/*
 * Do not edit: automatically generated by the urboot project using
 * https://github.com/stefanrueger/urboot/blob/main/src/mkurbootlist.pl
 *
 * urbootlist.c
 *
 * List of template urboot bootloaders
 *
 * Published under GNU General Public License, version 3 (GPL-3.0)
 * Meta-author Stefan Rueger <stefan.rueger@urclocks.com>
 *
 * v 1.22
 * 26.05.2025
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <stdint.h>
#include <string.h>

#include "avrdude.h"
#include <libavrdude.h>
#include "urbootlist.h"
#include "urclock_private.h"

static const char *mcus[166] = {
  "m169", "m169a", "m169p", "m169pa", "m329", "m329a", "m329p", "m329pa",
  "m3290", "m3290a", "m3290p", "m3290pa", "m649", "m649a", "m649p", "m6490",
  "m6490a", "m6490p", "m48", "m48a", "m48p", "m48pa", "m48pb", "m88",
  "m88a", "m88p", "m88pa", "m88pb", "m168", "m168a", "m168p", "m168pa",
  "m168pb", "m328", "m328p", "m328pb", "m406", "m165", "m165a", "m165p",
  "m165pa", "m325", "m325a", "m325p", "m325pa", "m3250", "m3250a", "m3250p",
  "m3250pa", "m645", "m645a", "m645p", "m6450", "m6450a", "m6450p", "m8515",
  "m8535", "m164a", "m164p", "m164pa", "m324a", "m324p", "m324pa", "m324pb",
  "m644", "m644a", "m644p", "m644pa", "m644rfr2", "m1284", "m1284p", "m1284rfr2",
  "m2564rfr2", "m163", "m162", "m161", "m8", "m8a", "m8hva", "m8u2",
  "m16", "m16a", "m16hva", "m16hvb", "m16hvbrevb", "m16m1", "m16u2", "m16u4",
  "m32", "m32a", "m32c1", "m32hvb", "m32hvbrevb", "m32m1", "m32u2", "m32u4",
  "m64", "m64a", "m64c1", "m64hve2", "m64m1", "m64rfr2", "m640", "m128",
  "m128a", "m128rfa1", "m128rfr2", "m1280", "m1281", "m256rfr2", "m2560", "m2561",
  "t48", "t88", "t828", "t87", "t167", "t25", "t45", "t85",
  "t24", "t24a", "t44", "t44a", "t84", "t84a", "t1634", "t13",
  "t13a", "t43u", "t2313", "t2313a", "t4313", "t261", "t261a", "t441",
  "t461", "t461a", "t841", "t861", "t861a", "c32", "c64", "c128",
  "pwm1", "pwm2", "pwm2b", "pwm3", "pwm3b", "pwm81", "pwm161", "pwm216",
  "pwm316", "usb82", "usb162", "usb646", "usb647", "usb1286", "usb1287", "a5505",
  "a6612c", "a6613c", "a6614q", "a6616c", "a6617c", "a664251",
};

static const char *iotypes[31] = {
  "autobaud_uart0", "autobaud_uart0_alt1", "autobaud_uart1", "autobaud_uart2",
  "lin_uart0",
  "u1x8_uart0", "u1x8_uart0_alt1", "u1x8_uart1", "u1x8_uart2", "u1x8_uart3",
  "u1x12_uart0", "u1x12_uart0_alt1", "u1x12_uart1", "u1x12_uart2", "u1x12_uart3",
  "u2x8_uart0", "u2x8_uart0_alt1", "u2x8_uart1", "u2x8_uart2", "u2x8_uart3",
  "u2x12_uart0", "u2x12_uart0_alt1", "u2x12_uart1", "u2x12_uart2", "u2x12_uart3",
  "swio10", "swio11", "swio12", "swio13", "swio14", "swio15",
};

static const char *bltypes[3] = {
  "noled", "lednop", "dual",
};

static const char *configs[14] = {
  "min", "pr", "pr_u4", "pr_ee", "pr_ee_u4", "pr_ce", "pr_ce_u4", "pr_ee_ce", "pr_ee_ce_u4",
  "hw", "ee_hw", "ce_hw", "ee_ce_hw", "ee_ce_u4_hw",
};

enum {
  U_MIN, U_PR, U_PR_U4, U_PR_EE, U_PR_EE_U4, U_PR_CE, U_PR_CE_U4, U_PR_EE_CE, U_PR_EE_CE_U4,
  U_HW, U_EE_HW, U_CE_HW, U_EE_CE_HW, U_EE_CE_U4_HW,
};


typedef struct {
  uint16_t word;
  uint32_t hcode;
} Ul_huffcode;

// Huffman code table for compression of bootloader templates
static Ul_huffcode hcodes[1995] = {
#define ulhc(n, code) (((n)<<27) | (code))
  {0x0000, ulhc( 4, 000000013)}, // 1011
  {0xe080, ulhc( 6, 000000031)}, // 011001
  {0x9508, ulhc( 6, 000000071)}, // 111001
  {0xcffc, ulhc( 7, 000000003)}, // 0000011
  {0x2c55, ulhc( 7, 000000005)}, // 0000101
  {0x1345, ulhc( 7, 000000014)}, // 0001100
  {0x01f9, ulhc( 7, 000000017)}, // 0001111
  {0xcffe, ulhc( 7, 000000027)}, // 0010111
  {0x0060, ulhc( 7, 000000030)}, // 0011000
  {0x95a8, ulhc( 7, 000000036)}, // 0011110
  {0xe088, ulhc( 7, 000000052)}, // 0101010
  {0xe0b1, ulhc( 7, 000000057)}, // 0101111
  {0x13a7, ulhc( 7, 000000061)}, // 0110001
  {0xf7e1, ulhc( 7, 000000070)}, // 0111000
  {0x50c1, ulhc( 7, 000000075)}, // 0111101
  {0xe083, ulhc( 7, 000000077)}, // 0111111
  {0xf019, ulhc( 7, 000000105)}, // 1000101
  {0x2411, ulhc( 7, 000000111)}, // 1001001
  {0x938d, ulhc( 7, 000000140)}, // 1100000
  {0x2fc8, ulhc( 7, 000000142)}, // 1100010
  {0xe0a0, ulhc( 7, 000000161)}, // 1110001
  {0x2c00, ulhc( 8, 000000001)}, // 00000001
  {0x2c11, ulhc( 8, 000000002)}, // 00000010
  {0x2ccc, ulhc( 8, 000000003)}, // 00000011
  {0xbdf2, ulhc( 8, 000000024)}, // 00010100
  {0x9390, ulhc( 8, 000000027)}, // 00010111
  {0x6091, ulhc( 8, 000000051)}, // 00101001
  {0x915d, ulhc( 8, 000000052)}, // 00101010
  {0xe090, ulhc( 8, 000000053)}, // 00101011
  {0xff90, ulhc( 8, 000000054)}, // 00101100
  {0x938c, ulhc( 8, 000000063)}, // 00110011
  {0x9630, ulhc( 8, 000000064)}, // 00110100
  {0x0f7a, ulhc( 8, 000000066)}, // 00110110
  {0xbde1, ulhc( 8, 000000102)}, // 01000010
  {0x0004, ulhc( 8, 000000105)}, // 01000101
  {0xd001, ulhc( 8, 000000112)}, // 01001010
  {0xe181, ulhc( 8, 000000113)}, // 01001011
  {0xe280, ulhc( 8, 000000121)}, // 01010001
  {0x9711, ulhc( 8, 000000127)}, // 01010111
  {0xf429, ulhc( 8, 000000130)}, // 01011000
  {0x3082, ulhc( 8, 000000151)}, // 01101001
  {0xf411, ulhc( 8, 000000154)}, // 01101100
  {0x01fb, ulhc( 8, 000000155)}, // 01101101
  {0x9185, ulhc( 8, 000000156)}, // 01101110
  {0xd007, ulhc( 8, 000000164)}, // 01110100
  {0x019f, ulhc( 8, 000000170)}, // 01111000
  {0xe198, ulhc( 8, 000000201)}, // 10000001
  {0xb617, ulhc( 8, 000000205)}, // 10000101
  {0xbf87, ulhc( 8, 000000206)}, // 10000110
  {0xdff5, ulhc( 8, 000000215)}, // 10001101
  {0xb624, ulhc( 8, 000000217)}, // 10001111
  {0xbe14, ulhc( 8, 000000220)}, // 10010000
  {0x2fe8, ulhc( 8, 000000224)}, // 10010100
  {0x2ff8, ulhc( 8, 000000225)}, // 10010101
  {0x3280, ulhc( 8, 000000226)}, // 10010110
  {0x900d, ulhc( 8, 000000227)}, // 10010111
  {0x901d, ulhc( 8, 000000230)}, // 10011000
  {0x95e8, ulhc( 8, 000000231)}, // 10011001
  {0x9632, ulhc( 8, 000000232)}, // 10011010
  {0xe085, ulhc( 8, 000000233)}, // 10011011
  {0xf441, ulhc( 8, 000000234)}, // 10011100
  {0xfc10, ulhc( 8, 000000235)}, // 10011101
  {0x01dc, ulhc( 8, 000000237)}, // 10011111
  {0xe081, ulhc( 8, 000000241)}, // 10100001
  {0x2c66, ulhc( 8, 000000246)}, // 10100110
  {0x9408, ulhc( 8, 000000247)}, // 10100111
  {0x952a, ulhc( 8, 000000250)}, // 10101000
  {0xcffa, ulhc( 8, 000000310)}, // 11001000
  {0x9180, ulhc( 8, 000000317)}, // 11001111
  {0x9631, ulhc( 8, 000000323)}, // 11010011
  {0xcfff, ulhc( 8, 000000355)}, // 11101101
  {0x9380, ulhc( 8, 000000366)}, // 11110110
  {0xcffd, ulhc( 8, 000000372)}, // 11111010
  {0xe08e, ulhc( 8, 000000377)}, // 11111111
  {0xfd84, ulhc( 9, 000000012)}, // 000001010
  {0xcfe7, ulhc( 9, 000000020)}, // 000010000
  {0x2c77, ulhc( 9, 000000030)}, // 000011000
  {0x2c88, ulhc( 9, 000000031)}, // 000011001
  {0x2c99, ulhc( 9, 000000032)}, // 000011010
  {0x2f8e, ulhc( 9, 000000033)}, // 000011011
  {0x2f8f, ulhc( 9, 000000034)}, // 000011100
  {0x3c80, ulhc( 9, 000000035)}, // 000011101
  {0x5001, ulhc( 9, 000000036)}, // 000011110
  {0x7f80, ulhc( 9, 000000037)}, // 000011111
  {0x9730, ulhc( 9, 000000040)}, // 000100000
  {0xe004, ulhc( 9, 000000041)}, // 000100001
  {0xe086, ulhc( 9, 000000042)}, // 000100010
  {0xe580, ulhc( 9, 000000043)}, // 000100011
  {0xf7d9, ulhc( 9, 000000044)}, // 000100100
  {0xfc21, ulhc( 9, 000000045)}, // 000100101
  {0xfe23, ulhc( 9, 000000046)}, // 000100110
  {0x0006, ulhc( 9, 000000064)}, // 000110100
  {0x0007, ulhc( 9, 000000065)}, // 000110101
  {0xbbee, ulhc( 9, 000000067)}, // 000110111
  {0xcfe1, ulhc( 9, 000000072)}, // 000111010
  {0xe470, ulhc( 9, 000000105)}, // 001000101
  {0xff95, ulhc( 9, 000000106)}, // 001000110
  {0x13e7, ulhc( 9, 000000107)}, // 001000111
  {0x3f6f, ulhc( 9, 000000110)}, // 001001000
  {0xcfc8, ulhc( 9, 000000114)}, // 001001100
  {0xd00b, ulhc( 9, 000000116)}, // 001001110
  {0xd021, ulhc( 9, 000000153)}, // 001101011
  {0x9190, ulhc( 9, 000000157)}, // 001101111
  {0xe0b2, ulhc( 9, 000000161)}, // 001110001
  {0x07f8, ulhc( 9, 000000164)}, // 001110100
  {0x30e0, ulhc( 9, 000000165)}, // 001110101
  {0x58e0, ulhc( 9, 000000166)}, // 001110110
  {0x09f1, ulhc( 9, 000000167)}, // 001110111
  {0x99f9, ulhc( 9, 000000206)}, // 010000110
  {0x9af8, ulhc( 9, 000000207)}, // 010000111
  {0x9af9, ulhc( 9, 000000210)}, // 010001000
  {0x9afa, ulhc( 9, 000000211)}, // 010001001
  {0xb580, ulhc( 9, 000000214)}, // 010001100
  {0x000b, ulhc( 9, 000000221)}, // 010010001
  {0xdff2, ulhc( 9, 000000223)}, // 010010011
  {0x78e0, ulhc( 9, 000000231)}, // 010011001
  {0x0009, ulhc( 9, 000000235)}, // 010011101
  {0xec8f, ulhc( 9, 000000236)}, // 010011110
  {0xbd80, ulhc( 9, 000000263)}, // 010110011
  {0x00c0, ulhc( 9, 000000265)}, // 010110101
  {0xcfe2, ulhc( 9, 000000270)}, // 010111000
  {0xcff1, ulhc( 9, 000000272)}, // 010111010
  {0x0200, ulhc( 9, 000000302)}, // 011000010
  {0x00c6, ulhc( 9, 000000320)}, // 011010000
  {0x3083, ulhc( 9, 000000321)}, // 011010001
  {0xf008, ulhc( 9, 000000353)}, // 011101011
  {0xcfe0, ulhc( 9, 000000355)}, // 011101101
  {0x000d, ulhc( 9, 000000356)}, // 011101110
  {0xbf8d, ulhc( 9, 000000401)}, // 100000001
  {0xbf9e, ulhc( 9, 000000404)}, // 100000100
  {0xf7a9, ulhc( 9, 000000411)}, // 100001001
  {0xf7c1, ulhc( 9, 000000416)}, // 100001110
  {0x35c1, ulhc( 9, 000000420)}, // 100010000
  {0x09b1, ulhc( 9, 000000474)}, // 100111100
  {0xcff0, ulhc( 9, 000000500)}, // 101000000
  {0x9488, ulhc( 9, 000000522)}, // 101010010
  {0x9580, ulhc( 9, 000000523)}, // 101010011
  {0x9586, ulhc( 9, 000000524)}, // 101010100
  {0x9587, ulhc( 9, 000000525)}, // 101010101
  {0x959a, ulhc( 9, 000000526)}, // 101010110
  {0xd000, ulhc( 9, 000000527)}, // 101010111
  {0xd004, ulhc( 9, 000000530)}, // 101011000
  {0xe029, ulhc( 9, 000000531)}, // 101011001
  {0xe02a, ulhc( 9, 000000532)}, // 101011010
  {0xf410, ulhc( 9, 000000533)}, // 101011011
  {0xf7b9, ulhc( 9, 000000534)}, // 101011100
  {0x3582, ulhc( 9, 000000537)}, // 101011111
  {0xc016, ulhc( 9, 000000606)}, // 110000110
  {0xea80, ulhc( 9, 000000614)}, // 110001100
  {0xf461, ulhc( 9, 000000615)}, // 110001101
  {0xc00a, ulhc( 9, 000000617)}, // 110001111
  {0x13da, ulhc( 9, 000000633)}, // 110011011
  {0xc002, ulhc( 9, 000000634)}, // 110011100
  {0xcff7, ulhc( 9, 000000635)}, // 110011101
  {0xd00d, ulhc( 9, 000000642)}, // 110100010
  {0xe870, ulhc( 9, 000000644)}, // 110100100
  {0x11c1, ulhc( 9, 000000650)}, // 110101000
  {0x2fd8, ulhc( 9, 000000651)}, // 110101001
  {0x30c1, ulhc( 9, 000000652)}, // 110101010
  {0x30c3, ulhc( 9, 000000653)}, // 110101011
  {0x50d1, ulhc( 9, 000000654)}, // 110101100
  {0x7f8d, ulhc( 9, 000000655)}, // 110101101
  {0x918d, ulhc( 9, 000000656)}, // 110101110
  {0xe091, ulhc( 9, 000000664)}, // 110110100
  {0xe0e0, ulhc( 9, 000000671)}, // 110111001
  {0x50f1, ulhc( 9, 000000703)}, // 111000011
  {0xcffb, ulhc( 9, 000000722)}, // 111010010
  {0xf7f1, ulhc( 9, 000000724)}, // 111010100
  {0x30f0, ulhc( 9, 000000730)}, // 111011000
  {0xff87, ulhc( 9, 000000734)}, // 111011100
  {0xef8f, ulhc( 9, 000000735)}, // 111011101
  {0x3f5f, ulhc( 9, 000000736)}, // 111011110
  {0x6092, ulhc( 9, 000000737)}, // 111011111
  {0xc004, ulhc( 9, 000000740)}, // 111100000
  {0xf009, ulhc( 9, 000000741)}, // 111100001
  {0xff91, ulhc( 9, 000000742)}, // 111100010
  {0xe0f0, ulhc( 9, 000000745)}, // 111100101
  {0x9145, ulhc( 9, 000000747)}, // 111100111
  {0xfe21, ulhc( 9, 000000763)}, // 111110011
  {0xcff4, ulhc( 9, 000000770)}, // 111111000
  {0x2345, ulhc( 9, 000000771)}, // 111111001
  {0x6094, ulhc( 9, 000000772)}, // 111111010
  {0xff92, ulhc( 9, 000000773)}, // 111111011
  {0x0064, ulhc(10, 000000001)}, // 0000000001
  {0xd046, ulhc(10, 000000002)}, // 0000000010
  {0x0082, ulhc(10, 000000020)}, // 0000010000
  {0xd030, ulhc(10, 000000027)}, // 0000010111
  {0x0072, ulhc(10, 000000044)}, // 0000100100
  {0xbf8b, ulhc(10, 000000045)}, // 0000100101
  {0x0075, ulhc(10, 000000046)}, // 0000100110
  {0x9918, ulhc(10, 000000116)}, // 0001001110
  {0xd049, ulhc(10, 000000127)}, // 0001010111
  {0x0073, ulhc(10, 000000132)}, // 0001011010
  {0x0076, ulhc(10, 000000154)}, // 0001101100
  {0x99e1, ulhc(10, 000000155)}, // 0001101101
  {0x9ae0, ulhc(10, 000000160)}, // 0001110000
  {0x9ae1, ulhc(10, 000000161)}, // 0001110001
  {0x9ae2, ulhc(10, 000000162)}, // 0001110010
  {0xb38d, ulhc(10, 000000163)}, // 0001110011
  {0xbb8d, ulhc(10, 000000166)}, // 0001110110
  {0x0074, ulhc(10, 000000202)}, // 0010000010
  {0x0057, ulhc(10, 000000205)}, // 0010000101
  {0xbf9b, ulhc(10, 000000207)}, // 0010000111
  {0xd04b, ulhc(10, 000000211)}, // 0010001001
  {0xd040, ulhc(10, 000000223)}, // 0010010011
  {0xd031, ulhc(10, 000000227)}, // 0010010111
  {0xc013, ulhc(10, 000000233)}, // 0010011011
  {0x0056, ulhc(10, 000000236)}, // 0010011110
  {0xd03f, ulhc(10, 000000237)}, // 0010011111
  {0xd043, ulhc(10, 000000240)}, // 0010100000
  {0x005a, ulhc(10, 000000265)}, // 0010110101
  {0xe188, ulhc(10, 000000267)}, // 0010110111
  {0x54a0, ulhc(10, 000000310)}, // 0011001000
  {0x0049, ulhc(10, 000000312)}, // 0011001010
  {0x9980, ulhc(10, 000000313)}, // 0011001011
  {0xcfef, ulhc(10, 000000324)}, // 0011010100
  {0xe8e0, ulhc(10, 000000340)}, // 0011100000
  {0xcfd9, ulhc(10, 000000347)}, // 0011100111
  {0xd03a, ulhc(10, 000000370)}, // 0011111000
  {0xd041, ulhc(10, 000000372)}, // 0011111010
  {0xcfee, ulhc(10, 000000373)}, // 0011111011
  {0x004c, ulhc(10, 000000375)}, // 0011111101
  {0xd052, ulhc(10, 000000376)}, // 0011111110
  {0xcfdd, ulhc(10, 000000400)}, // 0100000000
  {0xdfe0, ulhc(10, 000000404)}, // 0100000100
  {0xf4b9, ulhc(10, 000000435)}, // 0100011101
  {0xf778, ulhc(10, 000000436)}, // 0100011110
  {0xc010, ulhc(10, 000000437)}, // 0100011111
  {0xece0, ulhc(10, 000000441)}, // 0100100001
  {0x30a0, ulhc(10, 000000444)}, // 0100100100
  {0x50b1, ulhc(10, 000000445)}, // 0100100101
  {0xd038, ulhc(10, 000000461)}, // 0100110001
  {0xd005, ulhc(10, 000000465)}, // 0100110101
  {0xe094, ulhc(10, 000000466)}, // 0100110110
  {0x9948, ulhc(10, 000000502)}, // 0101000010
  {0x0071, ulhc(10, 000000503)}, // 0101000011
  {0xd047, ulhc(10, 000000513)}, // 0101001011
  {0xd04e, ulhc(10, 000000514)}, // 0101001100
  {0xc011, ulhc(10, 000000516)}, // 0101001110
  {0xe38f, ulhc(10, 000000517)}, // 0101001111
  {0xf4e9, ulhc(10, 000000531)}, // 0101011001
  {0x83b0, ulhc(10, 000000533)}, // 0101011011
  {0xd02f, ulhc(10, 000000544)}, // 0101100100
  {0x004d, ulhc(10, 000000554)}, // 0101101100
  {0xe58f, ulhc(10, 000000555)}, // 0101101101
  {0xd04c, ulhc(10, 000000567)}, // 0101110111
  {0xb985, ulhc(10, 000000601)}, // 0110000001
  {0xb984, ulhc(10, 000000603)}, // 0110000011
  {0xdfee, ulhc(10, 000000607)}, // 0110000111
  {0x34a0, ulhc(10, 000000652)}, // 0110101010
  {0x004b, ulhc(10, 000000653)}, // 0110101011
  {0xd033, ulhc(10, 000000655)}, // 0110101101
  {0x95ba, ulhc(10, 000000676)}, // 0110111110
  {0xbf6b, ulhc(10, 000000714)}, // 0111001100
  {0xdfe7, ulhc(10, 000000725)}, // 0111010101
  {0xd042, ulhc(10, 000000731)}, // 0111011001
  {0xd02e, ulhc(10, 000000744)}, // 0111100100
  {0xd02b, ulhc(10, 000000747)}, // 0111100111
  {0xd00c, ulhc(10, 000000761)}, // 0111110001
  {0xf578, ulhc(10, 000000766)}, // 0111110110
  {0x4fff, ulhc(10, 000000767)}, // 0111110111
  {0xf4a1, ulhc(10, 000001000)}, // 1000000000
  {0xcff3, ulhc(10, 000001014)}, // 1000001100
  {0xd03e, ulhc(10, 000001021)}, // 1000010001
  {0x0180, ulhc(10, 000001042)}, // 1000100010
  {0x3984, ulhc(10, 000001060)}, // 1000110000
  {0xd03d, ulhc(10, 000001062)}, // 1000110010
  {0x0068, ulhc(10, 000001063)}, // 1000110011
  {0xd045, ulhc(10, 000001071)}, // 1000111001
  {0x0f7e, ulhc(10, 000001073)}, // 1000111011
  {0xd01d, ulhc(10, 000001105)}, // 1001000101
  {0xb814, ulhc(10, 000001172)}, // 1001111010
  {0xb815, ulhc(10, 000001173)}, // 1001111011
  {0xd034, ulhc(10, 000001210)}, // 1010001000
  {0xdfec, ulhc(10, 000001215)}, // 1010001101
  {0xb58d, ulhc(10, 000001216)}, // 1010001110
  {0xb58e, ulhc(10, 000001217)}, // 1010001111
  {0xbc1c, ulhc(10, 000001220)}, // 1010010000
  {0xbd8c, ulhc(10, 000001221)}, // 1010010001
  {0xbd8e, ulhc(10, 000001222)}, // 1010010010
  {0x2f7a, ulhc(10, 000001224)}, // 1010010100
  {0x70e0, ulhc(10, 000001225)}, // 1010010101
  {0xd048, ulhc(10, 000001274)}, // 1010111100
  {0xdff0, ulhc(10, 000001275)}, // 1010111101
  {0x83b4, ulhc(10, 000001445)}, // 1100100101
  {0xc00c, ulhc(10, 000001450)}, // 1100101000
  {0xf4d9, ulhc(10, 000001451)}, // 1100101001
  {0xbd91, ulhc(10, 000001452)}, // 1100101010
  {0xbbff, ulhc(10, 000001455)}, // 1100101101
  {0xd017, ulhc(10, 000001456)}, // 1100101110
  {0xcfc2, ulhc(10, 000001464)}, // 1100110100
  {0x7ce0, ulhc(10, 000001506)}, // 1101000110
  {0xcfe3, ulhc(10, 000001537)}, // 1101011111
  {0x83b1, ulhc(10, 000001541)}, // 1101100001
  {0xe1b8, ulhc(10, 000001542)}, // 1101100010
  {0xcfd6, ulhc(10, 000001543)}, // 1101100011
  {0x00ce, ulhc(10, 000001544)}, // 1101100100
  {0x00c8, ulhc(10, 000001567)}, // 1101110111
  {0xf459, ulhc(10, 000001571)}, // 1101111001
  {0xd035, ulhc(10, 000001573)}, // 1101111011
  {0x3581, ulhc(10, 000001577)}, // 1101111111
  {0xf421, ulhc(10, 000001600)}, // 1110000000
  {0xf7e0, ulhc(10, 000001601)}, // 1110000001
  {0xbd81, ulhc(10, 000001605)}, // 1110000101
  {0xdfe9, ulhc(10, 000001640)}, // 1110100000
  {0x9165, ulhc(10, 000001642)}, // 1110100010
  {0xd00a, ulhc(10, 000001646)}, // 1110100110
  {0x000a, ulhc(10, 000001652)}, // 1110101010
  {0xc000, ulhc(10, 000001662)}, // 1110110010
  {0x58a0, ulhc(10, 000001711)}, // 1111001001
  {0xcfe6, ulhc(10, 000001714)}, // 1111001100
  {0xdff6, ulhc(10, 000001722)}, // 1111010010
  {0xdff3, ulhc(10, 000001723)}, // 1111010011
  {0x0101, ulhc(10, 000001724)}, // 1111010100
  {0xdfeb, ulhc(10, 000001726)}, // 1111010110
  {0xf469, ulhc(10, 000001734)}, // 1111011100
  {0xd03c, ulhc(10, 000001736)}, // 1111011110
  {0xdff7, ulhc(10, 000001737)}, // 1111011111
  {0xc00e, ulhc(10, 000001756)}, // 1111101110
  {0xf439, ulhc(10, 000001757)}, // 1111101111
  {0x38a0, ulhc(10, 000001771)}, // 1111111001
  {0xec8e, ulhc(10, 000001773)}, // 1111111011
  {0xd082, ulhc(11, 000000001)}, // 00000000001
  {0xf7b1, ulhc(11, 000000006)}, // 00000000110
  {0xf7c9, ulhc(11, 000000007)}, // 00000000111
  {0xd07f, ulhc(11, 000000043)}, // 00000100011
  {0x9891, ulhc(11, 000000044)}, // 00000100100
  {0x9a89, ulhc(11, 000000045)}, // 00000100101
  {0x9a91, ulhc(11, 000000046)}, // 00000100110
  {0xc03f, ulhc(11, 000000055)}, // 00000101101
  {0x3060, ulhc(11, 000000107)}, // 00001000111
  {0x9829, ulhc(11, 000000236)}, // 00010011110
  {0x9a21, ulhc(11, 000000237)}, // 00010011111
  {0x9a29, ulhc(11, 000000250)}, // 00010101000
  {0x994c, ulhc(11, 000000254)}, // 00010101100
  {0xd079, ulhc(11, 000000260)}, // 00010110000
  {0x0400, ulhc(11, 000000261)}, // 00010110001
  {0x995c, ulhc(11, 000000262)}, // 00010110010
  {0xdfe3, ulhc(11, 000000266)}, // 00010110110
  {0xf711, ulhc(11, 000000356)}, // 00011101110
  {0x00d2, ulhc(11, 000000357)}, // 00011101111
  {0xc040, ulhc(11, 000000400)}, // 00100000000
  {0xcfca, ulhc(11, 000000402)}, // 00100000010
  {0xd063, ulhc(11, 000000403)}, // 00100000011
  {0x99b0, ulhc(11, 000000410)}, // 00100001000
  {0x003a, ulhc(11, 000000421)}, // 00100010001
  {0xcfdc, ulhc(11, 000000444)}, // 00100100100
  {0xd084, ulhc(11, 000000450)}, // 00100101000
  {0xc042, ulhc(11, 000000451)}, // 00100101001
  {0x003b, ulhc(11, 000000453)}, // 00100101011
  {0xd01e, ulhc(11, 000000454)}, // 00100101100
  {0x001b, ulhc(11, 000000504)}, // 00101000100
  {0x9b5d, ulhc(11, 000000505)}, // 00101000101
  {0x9b5f, ulhc(11, 000000506)}, // 00101000110
  {0xb18c, ulhc(11, 000000507)}, // 00101000111
  {0xb98a, ulhc(11, 000000550)}, // 00101101000
  {0xb98c, ulhc(11, 000000551)}, // 00101101001
  {0x00af, ulhc(11, 000000622)}, // 00110010010
  {0x00cc, ulhc(11, 000000623)}, // 00110010011
  {0x9859, ulhc(11, 000000653)}, // 00110101011
  {0x9a51, ulhc(11, 000000670)}, // 00110111000
  {0x9a59, ulhc(11, 000000671)}, // 00110111001
  {0xcfc7, ulhc(11, 000000672)}, // 00110111010
  {0x0046, ulhc(11, 000000702)}, // 00111000010
  {0xf7c8, ulhc(11, 000000710)}, // 00111001000
  {0xcfd7, ulhc(11, 000000713)}, // 00111001011
  {0x00d6, ulhc(11, 000000770)}, // 00111111000
  {0x4067, ulhc(11, 000000771)}, // 00111111001
  {0xd07d, ulhc(11, 000000776)}, // 00111111110
  {0xd077, ulhc(11, 000000777)}, // 00111111111
  {0x9690, ulhc(11, 000001003)}, // 01000000011
  {0xe7af, ulhc(11, 000001004)}, // 01000000100
  {0xefbf, ulhc(11, 000001005)}, // 01000000101
  {0xe183, ulhc(11, 000001006)}, // 01000000110
  {0xe092, ulhc(11, 000001012)}, // 01000001010
  {0x003e, ulhc(11, 000001013)}, // 01000001011
  {0xe190, ulhc(11, 000001014)}, // 01000001100
  {0x00b6, ulhc(11, 000001064)}, // 01000110100
  {0x00a6, ulhc(11, 000001066)}, // 01000110110
  {0x0140, ulhc(11, 000001067)}, // 01000110111
  {0x00ac, ulhc(11, 000001071)}, // 01000111001
  {0xece8, ulhc(11, 000001101)}, // 01001000001
  {0xdfe5, ulhc(11, 000001141)}, // 01001100001
  {0xd014, ulhc(11, 000001151)}, // 01001101001
  {0x00a1, ulhc(11, 000001156)}, // 01001101110
  {0xc03e, ulhc(11, 000001157)}, // 01001101111
  {0xd06b, ulhc(11, 000001161)}, // 01001110001
  {0x00b1, ulhc(11, 000001162)}, // 01001110010
  {0x00a5, ulhc(11, 000001200)}, // 01010000000
  {0xcfc5, ulhc(11, 000001201)}, // 01010000001
  {0x00a7, ulhc(11, 000001202)}, // 01010000010
  {0xc041, ulhc(11, 000001203)}, // 01010000011
  {0x9147, ulhc(11, 000001221)}, // 01010010001
  {0x00a0, ulhc(11, 000001224)}, // 01010010100
  {0xd055, ulhc(11, 000001225)}, // 01010010101
  {0x00ae, ulhc(11, 000001233)}, // 01010011011
  {0x00b4, ulhc(11, 000001261)}, // 01010110001
  {0x00b3, ulhc(11, 000001264)}, // 01010110100
  {0xd018, ulhc(11, 000001312)}, // 01011001010
  {0xd07b, ulhc(11, 000001313)}, // 01011001011
  {0xd072, ulhc(11, 000001320)}, // 01011010000
  {0x994a, ulhc(11, 000001321)}, // 01011010001
  {0xd070, ulhc(11, 000001322)}, // 01011010010
  {0x00a8, ulhc(11, 000001334)}, // 01011011100
  {0xd025, ulhc(11, 000001336)}, // 01011011110
  {0x00ad, ulhc(11, 000001337)}, // 01011011111
  {0xd06e, ulhc(11, 000001344)}, // 01011100100
  {0x009e, ulhc(11, 000001354)}, // 01011101100
  {0xd067, ulhc(11, 000001355)}, // 01011101101
  {0xd012, ulhc(11, 000001400)}, // 01100000000
  {0xd053, ulhc(11, 000001401)}, // 01100000001
  {0xd009, ulhc(11, 000001405)}, // 01100000101
  {0x00a4, ulhc(11, 000001415)}, // 01100001101
  {0xd06a, ulhc(11, 000001521)}, // 01101010001
  {0xd059, ulhc(11, 000001522)}, // 01101010010
  {0xd064, ulhc(11, 000001523)}, // 01101010011
  {0xd06c, ulhc(11, 000001530)}, // 01101011000
  {0x00aa, ulhc(11, 000001534)}, // 01101011100
  {0x00a2, ulhc(11, 000001536)}, // 01101011110
  {0x00a9, ulhc(11, 000001570)}, // 01101111000
  {0xc00f, ulhc(11, 000001573)}, // 01101111011
  {0x004a, ulhc(11, 000001576)}, // 01101111110
  {0x9a5b, ulhc(11, 000001620)}, // 01110010000
  {0x0097, ulhc(11, 000001621)}, // 01110010001
  {0x0098, ulhc(11, 000001623)}, // 01110010011
  {0x009f, ulhc(11, 000001624)}, // 01110010100
  {0x00a3, ulhc(11, 000001626)}, // 01110010110
  {0x008f, ulhc(11, 000001627)}, // 01110010111
  {0x2f7e, ulhc(11, 000001632)}, // 01110011010
  {0xd069, ulhc(11, 000001633)}, // 01110011011
  {0x00b0, ulhc(11, 000001634)}, // 01110011100
  {0x00c1, ulhc(11, 000001635)}, // 01110011101
  {0xf4c8, ulhc(11, 000001636)}, // 01110011110
  {0xd05a, ulhc(11, 000001637)}, // 01110011111
  {0xd065, ulhc(11, 000001651)}, // 01110101001
  {0x009d, ulhc(11, 000001660)}, // 01110110000
  {0xd00f, ulhc(11, 000001675)}, // 01110111101
  {0xd057, ulhc(11, 000001677)}, // 01110111111
  {0xd062, ulhc(11, 000001712)}, // 01111001010
  {0xd01b, ulhc(11, 000001714)}, // 01111001100
  {0x00d0, ulhc(11, 000001740)}, // 01111100000
  {0x00b5, ulhc(11, 000001746)}, // 01111100110
  {0xd044, ulhc(11, 000001751)}, // 01111101001
  {0x00ab, ulhc(11, 000001752)}, // 01111101010
  {0x00c4, ulhc(11, 000002002)}, // 10000000010
  {0x008e, ulhc(11, 000002032)}, // 10000011010
  {0xd06d, ulhc(11, 000002034)}, // 10000011100
  {0x0094, ulhc(11, 000002035)}, // 10000011101
  {0xc014, ulhc(11, 000002037)}, // 10000011111
  {0xf7f9, ulhc(11, 000002040)}, // 10000100000
  {0x0768, ulhc(11, 000002074)}, // 10000111100
  {0x9187, ulhc(11, 000002075)}, // 10000111101
  {0xb76b, ulhc(11, 000002076)}, // 10000111110
  {0x005e, ulhc(11, 000002106)}, // 10001000110
  {0x0092, ulhc(11, 000002110)}, // 10001001000
  {0x9a53, ulhc(11, 000002111)}, // 10001001001
  {0xe087, ulhc(11, 000002113)}, // 10001001011
  {0x0099, ulhc(11, 000002114)}, // 10001001100
  {0x0084, ulhc(11, 000002115)}, // 10001001101
  {0x008c, ulhc(11, 000002117)}, // 10001001111
  {0xcfc6, ulhc(11, 000002143)}, // 10001100011
  {0xd022, ulhc(11, 000002160)}, // 10001110000
  {0x0091, ulhc(11, 000002161)}, // 10001110001
  {0x0065, ulhc(11, 000002164)}, // 10001110100
  {0x00c9, ulhc(11, 000002165)}, // 10001110101
  {0x008a, ulhc(11, 000002214)}, // 10010001100
  {0x009a, ulhc(11, 000002215)}, // 10010001101
  {0x004f, ulhc(11, 000002217)}, // 10010001111
  {0x0081, ulhc(11, 000002405)}, // 10100000101
  {0xd061, ulhc(11, 000002406)}, // 10100000110
  {0x0054, ulhc(11, 000002422)}, // 10100010010
  {0xd039, ulhc(11, 000002423)}, // 10100010011
  {0xd056, ulhc(11, 000002424)}, // 10100010100
  {0x0083, ulhc(11, 000002425)}, // 10100010101
  {0x0085, ulhc(11, 000002426)}, // 10100010110
  {0x9732, ulhc(11, 000002446)}, // 10100100110
  {0x008d, ulhc(11, 000002447)}, // 10100100111
  {0x0087, ulhc(11, 000002454)}, // 10100101100
  {0xd05b, ulhc(11, 000002456)}, // 10100101110
  {0x005f, ulhc(11, 000002457)}, // 10100101111
  {0xd05e, ulhc(11, 000002564)}, // 10101110100
  {0xe089, ulhc(11, 000002567)}, // 10101110111
  {0x00b2, ulhc(11, 000003020)}, // 11000010000
  {0x9960, ulhc(11, 000003021)}, // 11000010001
  {0xd024, ulhc(11, 000003022)}, // 11000010010
  {0xd060, ulhc(11, 000003024)}, // 11000010100
  {0x0066, ulhc(11, 000003025)}, // 11000010101
  {0xd05d, ulhc(11, 000003034)}, // 11000011100
  {0xd032, ulhc(11, 000003035)}, // 11000011101
  {0x0088, ulhc(11, 000003072)}, // 11000111010
  {0xf3f0, ulhc(11, 000003073)}, // 11000111011
  {0x0051, ulhc(11, 000003114)}, // 11001001100
  {0x006f, ulhc(11, 000003115)}, // 11001001101
  {0xd058, ulhc(11, 000003116)}, // 11001001110
  {0x006c, ulhc(11, 000003126)}, // 11001010110
  {0x007e, ulhc(11, 000003130)}, // 11001011000
  {0x006e, ulhc(11, 000003136)}, // 11001011110
  {0x0089, ulhc(11, 000003137)}, // 11001011111
  {0x0078, ulhc(11, 000003140)}, // 11001100000
  {0x007c, ulhc(11, 000003141)}, // 11001100001
  {0x0095, ulhc(11, 000003142)}, // 11001100010
  {0xd01c, ulhc(11, 000003143)}, // 11001100011
  {0x0061, ulhc(11, 000003144)}, // 11001100100
  {0x008b, ulhc(11, 000003145)}, // 11001100101
  {0x009c, ulhc(11, 000003146)}, // 11001100110
  {0x009b, ulhc(11, 000003201)}, // 11010000001
  {0xd023, ulhc(11, 000003202)}, // 11010000010
  {0xd02c, ulhc(11, 000003203)}, // 11010000011
  {0x007f, ulhc(11, 000003205)}, // 11010000101
  {0xdfea, ulhc(11, 000003206)}, // 11010000110
  {0x0059, ulhc(11, 000003217)}, // 11010001111
  {0xd05f, ulhc(11, 000003224)}, // 11010010100
  {0xd027, ulhc(11, 000003225)}, // 11010010101
  {0x007d, ulhc(11, 000003226)}, // 11010010110
  {0xd010, ulhc(11, 000003227)}, // 11010010111
  {0xdff8, ulhc(11, 000003275)}, // 11010111101
  {0xf4d1, ulhc(11, 000003300)}, // 11011000000
  {0x0093, ulhc(11, 000003301)}, // 11011000001
  {0x0070, ulhc(11, 000003312)}, // 11011001010
  {0xd068, ulhc(11, 000003313)}, // 11011001011
  {0xcfe5, ulhc(11, 000003316)}, // 11011001110
  {0x0077, ulhc(11, 000003324)}, // 11011010100
  {0x0063, ulhc(11, 000003330)}, // 11011011000
  {0x01fa, ulhc(11, 000003332)}, // 11011011010
  {0x0062, ulhc(11, 000003333)}, // 11011011011
  {0xcfed, ulhc(11, 000003336)}, // 11011011110
  {0xcfea, ulhc(11, 000003340)}, // 11011100000
  {0x0096, ulhc(11, 000003342)}, // 11011100010
  {0x006d, ulhc(11, 000003343)}, // 11011100011
  {0xf540, ulhc(11, 000003350)}, // 11011101000
  {0x0090, ulhc(11, 000003351)}, // 11011101001
  {0xf701, ulhc(11, 000003352)}, // 11011101010
  {0x007a, ulhc(11, 000003354)}, // 11011101100
  {0xd04f, ulhc(11, 000003360)}, // 11011110000
  {0xd050, ulhc(11, 000003361)}, // 11011110001
  {0x0058, ulhc(11, 000003364)}, // 11011110100
  {0xd020, ulhc(11, 000003370)}, // 11011111000
  {0xd054, ulhc(11, 000003372)}, // 11011111010
  {0xd066, ulhc(11, 000003373)}, // 11011111011
  {0x007b, ulhc(11, 000003374)}, // 11011111100
  {0x004e, ulhc(11, 000003406)}, // 11100000110
  {0x0050, ulhc(11, 000003407)}, // 11100000111
  {0xd029, ulhc(11, 000003410)}, // 11100001000
  {0xd05c, ulhc(11, 000003411)}, // 11100001001
  {0xb78b, ulhc(11, 000003507)}, // 11101000111
  {0xdff4, ulhc(11, 000003526)}, // 11101010110
  {0x005b, ulhc(11, 000003530)}, // 11101011000
  {0xd03b, ulhc(11, 000003532)}, // 11101011010
  {0x54e0, ulhc(11, 000003533)}, // 11101011011
  {0x0080, ulhc(11, 000003536)}, // 11101011110
  {0x0100, ulhc(11, 000003546)}, // 11101100110
  {0x0053, ulhc(11, 000003547)}, // 11101100111
  {0xd051, ulhc(11, 000003614)}, // 11110001100
  {0x006b, ulhc(11, 000003615)}, // 11110001101
  {0x0067, ulhc(11, 000003617)}, // 11110001111
  {0xd04a, ulhc(11, 000003620)}, // 11110010000
  {0xd02d, ulhc(11, 000003632)}, // 11110011010
  {0x0055, ulhc(11, 000003633)}, // 11110011011
  {0x006a, ulhc(11, 000003640)}, // 11110100000
  {0x0069, ulhc(11, 000003641)}, // 11110100001
  {0x0079, ulhc(11, 000003643)}, // 11110100011
  {0x005d, ulhc(11, 000003656)}, // 11110101110
  {0x0048, ulhc(11, 000003657)}, // 11110101111
  {0x0052, ulhc(11, 000003673)}, // 11110111011
  {0xc012, ulhc(11, 000003700)}, // 11111000000
  {0xd036, ulhc(11, 000003701)}, // 11111000001
  {0x0047, ulhc(11, 000003703)}, // 11111000011
  {0x0086, ulhc(11, 000003704)}, // 11111000100
  {0x005c, ulhc(11, 000003707)}, // 11111000111
  {0xd026, ulhc(11, 000003710)}, // 11111001000
  {0x83b5, ulhc(11, 000003712)}, // 11111001010
  {0xd037, ulhc(11, 000003730)}, // 11111011000
  {0xd04d, ulhc(11, 000003733)}, // 11111011011
  {0xd02a, ulhc(11, 000003765)}, // 11111110101
  {0x4177, ulhc(12, 000000001)}, // 000000000001
  {0x0036, ulhc(12, 000000104)}, // 000001000100
  {0xe0b0, ulhc(12, 000000117)}, // 000001001111
  {0x0033, ulhc(12, 000000211)}, // 000010001001
  {0xe270, ulhc(12, 000000212)}, // 000010001010
  {0xf4b8, ulhc(12, 000000213)}, // 000010001011
  {0xc00b, ulhc(12, 000000234)}, // 000010011100
  {0x002d, ulhc(12, 000000236)}, // 000010011110
  {0x4006, ulhc(12, 000000237)}, // 000010011111
  {0xd08f, ulhc(12, 000000522)}, // 000101010010
  {0xd095, ulhc(12, 000000523)}, // 000101010011
  {0xf4b1, ulhc(12, 000000525)}, // 000101010101
  {0xf780, ulhc(12, 000000526)}, // 000101010110
  {0xc049, ulhc(12, 000000532)}, // 000101011010
  {0xc04c, ulhc(12, 000000533)}, // 000101011011
  {0xb81a, ulhc(12, 000000547)}, // 000101100111
  {0x00da, ulhc(12, 000001015)}, // 001000001101
  {0x2802, ulhc(12, 000001016)}, // 001000001110
  {0x98c1, ulhc(12, 000001017)}, // 001000001111
  {0x9ab9, ulhc(12, 000001022)}, // 001000010010
  {0x9ac1, ulhc(12, 000001023)}, // 001000010011
  {0x0032, ulhc(12, 000001030)}, // 001000011000
  {0x0028, ulhc(12, 000001031)}, // 001000011001
  {0xdfe8, ulhc(12, 000001032)}, // 001000011010
  {0xe7c8, ulhc(12, 000001033)}, // 001000011011
  {0x0025, ulhc(12, 000001041)}, // 001000100001
  {0xd098, ulhc(12, 000001112)}, // 001001001010
  {0x4137, ulhc(12, 000001113)}, // 001001001011
  {0xe4e0, ulhc(12, 000001132)}, // 001001011010
  {0xc015, ulhc(12, 000001133)}, // 001001011011
  {0x00e7, ulhc(12, 000001151)}, // 001001101001
  {0x4176, ulhc(12, 000001152)}, // 001001101010
  {0xc0f5, ulhc(12, 000001205)}, // 001010000101
  {0x0042, ulhc(12, 000001330)}, // 001011011000
  {0x00d9, ulhc(12, 000001331)}, // 001011011001
  {0xe7fd, ulhc(12, 000001333)}, // 001011011011
  {0x00f2, ulhc(12, 000001524)}, // 001101010100
  {0x00f5, ulhc(12, 000001566)}, // 001101110110
  {0x00eb, ulhc(12, 000001567)}, // 001101110111
  {0x0020, ulhc(12, 000001606)}, // 001110000110
  {0xe1fd, ulhc(12, 000001622)}, // 001110010010
  {0x00d7, ulhc(12, 000001630)}, // 001110011000
  {0x95f3, ulhc(12, 000001631)}, // 001110011001
  {0xf709, ulhc(12, 000001632)}, // 001110011010
  {0x0022, ulhc(12, 000001633)}, // 001110011011
  {0xbb97, ulhc(12, 000001744)}, // 001111100100
  {0xd08c, ulhc(12, 000001746)}, // 001111100110
  {0x01c0, ulhc(12, 000001747)}, // 001111100111
  {0x4061, ulhc(12, 000002005)}, // 010000000101
  {0x00e8, ulhc(12, 000002034)}, // 010000011100
  {0x00e9, ulhc(12, 000002036)}, // 010000011110
  {0xd019, ulhc(12, 000002153)}, // 010001101011
  {0x0044, ulhc(12, 000002160)}, // 010001110000
  {0xefce, ulhc(12, 000002200)}, // 010010000000
  {0x002e, ulhc(12, 000002301)}, // 010011000001
  {0x0038, ulhc(12, 000002320)}, // 010011010000
  {0xf011, ulhc(12, 000002321)}, // 010011010001
  {0xd006, ulhc(12, 000002341)}, // 010011100001
  {0xd094, ulhc(12, 000002346)}, // 010011100110
  {0x01cf, ulhc(12, 000002370)}, // 010011111000
  {0x1181, ulhc(12, 000002371)}, // 010011111001
  {0x2b89, ulhc(12, 000002372)}, // 010011111010
  {0x5f8f, ulhc(12, 000002373)}, // 010011111011
  {0x9593, ulhc(12, 000002374)}, // 010011111100
  {0xc009, ulhc(12, 000002375)}, // 010011111101
  {0xf419, ulhc(12, 000002376)}, // 010011111110
  {0xf6b9, ulhc(12, 000002377)}, // 010011111111
  {0xe0d1, ulhc(12, 000002441)}, // 010100100001
  {0xd093, ulhc(12, 000002444)}, // 010100100100
  {0xd092, ulhc(12, 000002445)}, // 010100100101
  {0xe3fe, ulhc(12, 000002446)}, // 010100100110
  {0x003d, ulhc(12, 000002464)}, // 010100110100
  {0xd016, ulhc(12, 000002541)}, // 010101100001
  {0xd08b, ulhc(12, 000002647)}, // 010110100111
  {0xd078, ulhc(12, 000002673)}, // 010110111011
  {0x00f4, ulhc(12, 000002712)}, // 010111001010
  {0x00f3, ulhc(12, 000002714)}, // 010111001100
  {0xf568, ulhc(12, 000002715)}, // 010111001101
  {0xf7d0, ulhc(12, 000002716)}, // 010111001110
  {0x001f, ulhc(12, 000003010)}, // 011000001000
  {0xd08a, ulhc(12, 000003031)}, // 011000011001
  {0x0017, ulhc(12, 000003241)}, // 011010100001
  {0x0031, ulhc(12, 000003263)}, // 011010110011
  {0xf7f8, ulhc(12, 000003277)}, // 011010111111
  {0x9167, ulhc(12, 000003362)}, // 011011110010
  {0xf770, ulhc(12, 000003363)}, // 011011110011
  {0xf588, ulhc(12, 000003364)}, // 011011110100
  {0xf490, ulhc(12, 000003376)}, // 011011111110
  {0xb98b, ulhc(12, 000003444)}, // 011100100100
  {0xcfda, ulhc(12, 000003452)}, // 011100101010
  {0xd085, ulhc(12, 000003543)}, // 011101100011
  {0xe6a0, ulhc(12, 000003570)}, // 011101111000
  {0x003c, ulhc(12, 000003571)}, // 011101111001
  {0xed98, ulhc(12, 000003575)}, // 011101111101
  {0x00d5, ulhc(12, 000003626)}, // 011110010110
  {0xcfc4, ulhc(12, 000003627)}, // 011110010111
  {0xd083, ulhc(12, 000003702)}, // 011111000010
  {0x00cf, ulhc(12, 000003703)}, // 011111000011
  {0xf499, ulhc(12, 000003710)}, // 011111001000
  {0xdfef, ulhc(12, 000003712)}, // 011111001010
  {0x0008, ulhc(12, 000003720)}, // 011111010000
  {0xd028, ulhc(12, 000003726)}, // 011111010110
  {0x9871, ulhc(12, 000004050)}, // 100000101000
  {0x9a69, ulhc(12, 000004051)}, // 100000101001
  {0x0001, ulhc(12, 000004053)}, // 100000101011
  {0x0045, ulhc(12, 000004054)}, // 100000101100
  {0x00d3, ulhc(12, 000004055)}, // 100000101101
  {0xefcc, ulhc(12, 000004056)}, // 100000101110
  {0x0037, ulhc(12, 000004066)}, // 100000110110
  {0xd087, ulhc(12, 000004067)}, // 100000110111
  {0x0035, ulhc(12, 000004074)}, // 100000111100
  {0x00cd, ulhc(12, 000004102)}, // 100001000010
  {0xcfc9, ulhc(12, 000004103)}, // 100001000011
  {0xc03d, ulhc(12, 000004216)}, // 100010001110
  {0xcfec, ulhc(12, 000004217)}, // 100010001111
  {0xd091, ulhc(12, 000004235)}, // 100010011101
  {0x0991, ulhc(12, 000004421)}, // 100100010001
  {0x0041, ulhc(12, 000004422)}, // 100100010010
  {0x00d4, ulhc(12, 000004423)}, // 100100010011
  {0x0040, ulhc(12, 000004435)}, // 100100011101
  {0x9721, ulhc(12, 000005010)}, // 101000001000
  {0xd01f, ulhc(12, 000005011)}, // 101000001001
  {0x97b0, ulhc(12, 000005057)}, // 101000101111
  {0xe098, ulhc(12, 000005060)}, // 101000110000
  {0xf4a9, ulhc(12, 000005061)}, // 101000110001
  {0xf788, ulhc(12, 000005062)}, // 101000110010
  {0xe184, ulhc(12, 000005133)}, // 101001011011
  {0xe28c, ulhc(12, 000005352)}, // 101011101010
  {0xd090, ulhc(12, 000006046)}, // 110000100110
  {0x000f, ulhc(12, 000006055)}, // 110000101101
  {0xd089, ulhc(12, 000006075)}, // 110000111101
  {0xd015, ulhc(12, 000006077)}, // 110000111111
  {0x003f, ulhc(12, 000006161)}, // 110001110001
  {0x9a71, ulhc(12, 000006163)}, // 110001110011
  {0xe082, ulhc(12, 000006220)}, // 110010010000
  {0xf570, ulhc(12, 000006221)}, // 110010010001
  {0x4026, ulhc(12, 000006237)}, // 110010011111
  {0x0026, ulhc(12, 000006257)}, // 110010101111
  {0x9b77, ulhc(12, 000006316)}, // 110011001110
  {0xb18f, ulhc(12, 000006317)}, // 110011001111
  {0xb98f, ulhc(12, 000006324)}, // 110011010100
  {0xba18, ulhc(12, 000006325)}, // 110011010101
  {0xbb88, ulhc(12, 000006326)}, // 110011010110
  {0xd08e, ulhc(12, 000006327)}, // 110011010111
  {0xe1fe, ulhc(12, 000006400)}, // 110100000000
  {0x00d1, ulhc(12, 000006416)}, // 110100001110
  {0x0043, ulhc(12, 000006417)}, // 110100001111
  {0xd076, ulhc(12, 000006630)}, // 110110011000
  {0x00cb, ulhc(12, 000006633)}, // 110110011011
  {0xeffd, ulhc(12, 000006636)}, // 110110011110
  {0xe0b4, ulhc(12, 000006637)}, // 110110011111
  {0xe0bd, ulhc(12, 000006652)}, // 110110101010
  {0xd088, ulhc(12, 000006654)}, // 110110101100
  {0xd07e, ulhc(12, 000006655)}, // 110110101101
  {0x00bf, ulhc(12, 000006656)}, // 110110101110
  {0xd07a, ulhc(12, 000006662)}, // 110110110010
  {0xdfe2, ulhc(12, 000006670)}, // 110110111000
  {0xd07c, ulhc(12, 000006671)}, // 110110111001
  {0xb989, ulhc(12, 000006672)}, // 110110111010
  {0xe0b3, ulhc(12, 000006673)}, // 110110111011
  {0xe3b8, ulhc(12, 000006676)}, // 110110111110
  {0xeeb7, ulhc(12, 000006677)}, // 110110111111
  {0x002c, ulhc(12, 000006702)}, // 110111000010
  {0xd081, ulhc(12, 000006726)}, // 110111010110
  {0x00b7, ulhc(12, 000006727)}, // 110111010111
  {0xe7cc, ulhc(12, 000006732)}, // 110111011010
  {0x00b8, ulhc(12, 000006762)}, // 110111110010
  {0x00ba, ulhc(12, 000006763)}, // 110111110011
  {0x00bc, ulhc(12, 000006773)}, // 110111111011
  {0xd01a, ulhc(12, 000007012)}, // 111000001010
  {0xe3fd, ulhc(12, 000007205)}, // 111010000101
  {0x002a, ulhc(12, 000007207)}, // 111010000111
  {0xba17, ulhc(12, 000007214)}, // 111010001100
  {0x00b9, ulhc(12, 000007215)}, // 111010001101
  {0xb81d, ulhc(12, 000007234)}, // 111010011100
  {0xb98d, ulhc(12, 000007235)}, // 111010011101
  {0x01fc, ulhc(12, 000007237)}, // 111010011111
  {0xcfe8, ulhc(12, 000007256)}, // 111010101110
  {0x00c7, ulhc(12, 000007262)}, // 111010110010
  {0x00bd, ulhc(12, 000007270)}, // 111010111000
  {0x4066, ulhc(12, 000007271)}, // 111010111001
  {0x4027, ulhc(12, 000007273)}, // 111010111011
  {0xd086, ulhc(12, 000007277)}, // 111010111111
  {0x00c5, ulhc(12, 000007442)}, // 111100100010
  {0x00be, ulhc(12, 000007505)}, // 111101000101
  {0x00bb, ulhc(12, 000007524)}, // 111101010100
  {0x00c2, ulhc(12, 000007525)}, // 111101010101
  {0xd06f, ulhc(12, 000007527)}, // 111101010111
  {0x5ce0, ulhc(12, 000007564)}, // 111101110100
  {0x00ca, ulhc(12, 000007565)}, // 111101110101
  {0xd071, ulhc(12, 000007605)}, // 111110000101
  {0x00c3, ulhc(12, 000007612)}, // 111110001010
  {0xd074, ulhc(12, 000007614)}, // 111110001100
  {0xd075, ulhc(12, 000007615)}, // 111110001101
  {0x985b, ulhc(12, 000007623)}, // 111110010011
  {0xd073, ulhc(12, 000007627)}, // 111110010111
  {0xeb90, ulhc(12, 000007662)}, // 111110110010
  {0xd080, ulhc(12, 000007665)}, // 111110110101
  {0xe78f, ulhc(12, 000007742)}, // 111111100010
  {0x0039, ulhc(12, 000007750)}, // 111111101000
  {0xcfe4, ulhc(12, 000007751)}, // 111111101001
  {0xd0a0, ulhc(13, 000000000)}, // 0000000000000
  {0x017c, ulhc(13, 000000212)}, // 0000010001010
  {0xc13d, ulhc(13, 000000213)}, // 0000010001011
  {0x002b, ulhc(13, 000000261)}, // 0000010110001
  {0xcfc1, ulhc(13, 000000262)}, // 0000010110010
  {0xe084, ulhc(13, 000000263)}, // 0000010110011
  {0xee87, ulhc(13, 000000420)}, // 0000100010000
  {0x002f, ulhc(13, 000000472)}, // 0000100111010
  {0xd0b4, ulhc(13, 000001250)}, // 0001010101000
  {0x017e, ulhc(13, 000001251)}, // 0001010101001
  {0xd09f, ulhc(13, 000001256)}, // 0001010101110
  {0x2202, ulhc(13, 000001315)}, // 0001011001101
  {0xc0b2, ulhc(13, 000001334)}, // 0001011011100
  {0x01fe, ulhc(13, 000001336)}, // 0001011011110
  {0xbf96, ulhc(13, 000002005)}, // 0010000000101
  {0xefcd, ulhc(13, 000002006)}, // 0010000000110
  {0xb981, ulhc(13, 000002007)}, // 0010000000111
  {0x4157, ulhc(13, 000002031)}, // 0010000011001
  {0x0178, ulhc(13, 000002100)}, // 0010001000000
  {0x4004, ulhc(13, 000002250)}, // 0010010101000
  {0xd0ab, ulhc(13, 000002320)}, // 0010011010000
  {0xc0a7, ulhc(13, 000002326)}, // 0010011010110
  {0xc1f5, ulhc(13, 000002327)}, // 0010011010111
  {0x00f0, ulhc(13, 000002414)}, // 0010100001100
  {0x001c, ulhc(13, 000002415)}, // 0010100001101
  {0x9a11, ulhc(13, 000002417)}, // 0010100001111
  {0x00ed, ulhc(13, 000002665)}, // 0010110110101
  {0xe388, ulhc(13, 000003253)}, // 0011010101011
  {0x9900, ulhc(13, 000003417)}, // 0011100001111
  {0x4046, ulhc(13, 000003712)}, // 0011111001010
  {0x31a0, ulhc(13, 000004034)}, // 0100000011100
  {0x0021, ulhc(13, 000004035)}, // 0100000011101
  {0x017a, ulhc(13, 000004064)}, // 0100000110100
  {0x9942, ulhc(13, 000004066)}, // 0100000110110
  {0x0002, ulhc(13, 000004067)}, // 0100000110111
  {0xd0aa, ulhc(13, 000004072)}, // 0100000111010
  {0xc1f9, ulhc(13, 000004324)}, // 0100011010100
  {0xc03c, ulhc(13, 000004403)}, // 0100100000011
  {0xcfdb, ulhc(13, 000004700)}, // 0100111000000
  {0x001e, ulhc(13, 000004716)}, // 0100111001110
  {0xd0a6, ulhc(13, 000004717)}, // 0100111001111
  {0xe7fe, ulhc(13, 000005100)}, // 0101001000000
  {0x00ec, ulhc(13, 000005153)}, // 0101001101011
  {0xd011, ulhc(13, 000005300)}, // 0101011000000
  {0xcfcc, ulhc(13, 000005324)}, // 0101011010100
  {0x4170, ulhc(13, 000005565)}, // 0101101110101
  {0x00fe, ulhc(13, 000005636)}, // 0101110011110
  {0x1b03, ulhc(13, 000006023)}, // 0110000010011
  {0xc149, ulhc(13, 000006060)}, // 0110000110000
  {0xc022, ulhc(13, 000006501)}, // 0110101000001
  {0x9908, ulhc(13, 000006564)}, // 0110101110100
  {0x7fe0, ulhc(13, 000006565)}, // 0110101110101
  {0x9770, ulhc(13, 000006566)}, // 0110101110110
  {0xd09e, ulhc(13, 000006567)}, // 0110101110111
  {0xe170, ulhc(13, 000006574)}, // 0110101111100
  {0x1b02, ulhc(13, 000006753)}, // 0110111101011
  {0xc0ef, ulhc(13, 000006777)}, // 0110111111111
  {0xc028, ulhc(13, 000007112)}, // 0111001001010
  {0xd0a8, ulhc(13, 000007127)}, // 0111001010111
  {0x9a28, ulhc(13, 000007464)}, // 0111100110100
  {0xe882, ulhc(13, 000007465)}, // 0111100110101
  {0xbb87, ulhc(13, 000007623)}, // 0111110010011
  {0xf550, ulhc(13, 000007627)}, // 0111110010111
  {0xcfcf, ulhc(13, 000007634)}, // 0111110011100
  {0xcfd0, ulhc(13, 000007642)}, // 0111110100010
  {0xd09b, ulhc(13, 000010014)}, // 1000000001100
  {0xc043, ulhc(13, 000010136)}, // 1000001011110
  {0x0011, ulhc(13, 000010172)}, // 1000001111010
  {0x00e4, ulhc(13, 000010376)}, // 1000011111110
  {0xd09c, ulhc(13, 000010452)}, // 1000100101010
  {0x00e5, ulhc(13, 000010612)}, // 1000110001010
  {0xd099, ulhc(13, 000011040)}, // 1001000100000
  {0x0029, ulhc(13, 000011071)}, // 1001000111001
  {0x0024, ulhc(13, 000012034)}, // 1010000011100
  {0xc018, ulhc(13, 000012037)}, // 1010000011111
  {0x00f6, ulhc(13, 000012147)}, // 1010001100111
  {0x2402, ulhc(13, 000012265)}, // 1010010110101
  {0x00f1, ulhc(13, 000012726)}, // 1010111010110
  {0x4171, ulhc(13, 000012727)}, // 1010111010111
  {0x4007, ulhc(13, 000012732)}, // 1010111011010
  {0x00e3, ulhc(13, 000014116)}, // 1100001001110
  {0xeffb, ulhc(13, 000014117)}, // 1100001001111
  {0xf4d0, ulhc(13, 000014131)}, // 1100001011001
  {0x0130, ulhc(13, 000014134)}, // 1100001011100
  {0xd09d, ulhc(13, 000014135)}, // 1100001011101
  {0x00e6, ulhc(13, 000014170)}, // 1100001111000
  {0x0136, ulhc(13, 000014171)}, // 1100001111001
  {0x0201, ulhc(13, 000014174)}, // 1100001111100
  {0xf538, ulhc(13, 000014344)}, // 1100011100100
  {0x4136, ulhc(13, 000014445)}, // 1100100100101
  {0x00e2, ulhc(13, 000014475)}, // 1100100111101
  {0xd013, ulhc(13, 000014535)}, // 1100101011101
  {0x4047, ulhc(13, 000014545)}, // 1100101100101
  {0xdfed, ulhc(13, 000015003)}, // 1101000000011
  {0xcfc3, ulhc(13, 000015020)}, // 1101000010000
  {0x238e, ulhc(13, 000015021)}, // 1101000010001
  {0xb994, ulhc(13, 000015023)}, // 1101000010011
  {0xcfde, ulhc(13, 000015070)}, // 1101000111000
  {0x00e1, ulhc(13, 000015072)}, // 1101000111010
  {0xdff1, ulhc(13, 000015073)}, // 1101000111011
  {0x0003, ulhc(13, 000015360)}, // 1101011110000
  {0x0030, ulhc(13, 000015362)}, // 1101011110010
  {0x7ee0, ulhc(13, 000015462)}, // 1101100110010
  {0x00dc, ulhc(13, 000015463)}, // 1101100110011
  {0xb81b, ulhc(13, 000015526)}, // 1101101010110
  {0xcfcb, ulhc(13, 000015536)}, // 1101101011110
  {0xe380, ulhc(13, 000015546)}, // 1101101100110
  {0x00df, ulhc(13, 000015724)}, // 1101111010100
  {0x00e0, ulhc(13, 000015725)}, // 1101111010101
  {0x00de, ulhc(13, 000015727)}, // 1101111010111
  {0xd097, ulhc(13, 000016026)}, // 1110000010110
  {0xffff, ulhc(13, 000016027)}, // 1110000010111
  {0xe0fe, ulhc(13, 000016475)}, // 1110100111101
  {0x00dd, ulhc(13, 000016537)}, // 1110101011111
  {0x9010, ulhc(13, 000016546)}, // 1110101100110
  {0x00d8, ulhc(13, 000016575)}, // 1110101111101
  {0xc01f, ulhc(13, 000017070)}, // 1111000111000
  {0xf528, ulhc(13, 000017255)}, // 1111010101101
  {0x00ea, ulhc(13, 000017426)}, // 1111100010110
  {0xd096, ulhc(13, 000017427)}, // 1111100010111
  {0x0034, ulhc(13, 000017445)}, // 1111100100101
  {0xe18f, ulhc(13, 000017454)}, // 1111100101100
  {0xd08d, ulhc(13, 000017546)}, // 1111101100110
  {0xd09a, ulhc(13, 000017547)}, // 1111101100111
  {0x4060, ulhc(13, 000017550)}, // 1111101101000
  {0xc00d, ulhc(13, 000017700)}, // 1111111000000
  {0xf4e1, ulhc(13, 000017701)}, // 1111111000001
  {0x00db, ulhc(13, 000017707)}, // 1111111000111
  {0xe0f1, ulhc(14, 000000470)}, // 00000100111000
  {0xe3e0, ulhc(14, 000000471)}, // 00000100111001
  {0xf580, ulhc(14, 000000472)}, // 00000100111010
  {0xf598, ulhc(14, 000000473)}, // 00000100111011
  {0x9811, ulhc(14, 000000541)}, // 00000101100001
  {0x9a09, ulhc(14, 000001042)}, // 00001000100010
  {0x4116, ulhc(14, 000001060)}, // 00001000110000
  {0x9210, ulhc(14, 000001061)}, // 00001000110001
  {0x9670, ulhc(14, 000001062)}, // 00001000110010
  {0xba1a, ulhc(14, 000001063)}, // 00001000110011
  {0xba1b, ulhc(14, 000001064)}, // 00001000110100
  {0xbb8a, ulhc(14, 000001065)}, // 00001000110101
  {0xbb8b, ulhc(14, 000001066)}, // 00001000110110
  {0xf719, ulhc(14, 000001067)}, // 00001000110111
  {0x016c, ulhc(14, 000002673)}, // 00010110111011
  {0x01a0, ulhc(14, 000002676)}, // 00010110111110
  {0x9853, ulhc(14, 000004060)}, // 00100000110000
  {0x9a4b, ulhc(14, 000004061)}, // 00100000110001
  {0x40e7, ulhc(14, 000004202)}, // 00100010000010
  {0xc0ca, ulhc(14, 000004643)}, // 00100110100011
  {0xc143, ulhc(14, 000005020)}, // 00101000010000
  {0x4156, ulhc(14, 000005023)}, // 00101000010011
  {0xcfd4, ulhc(14, 000005034)}, // 00101000011100
  {0x1908, ulhc(14, 000005035)}, // 00101000011101
  {0x9b60, ulhc(14, 000007034)}, // 00111000011100
  {0xc036, ulhc(14, 000007035)}, // 00111000011101
  {0x0016, ulhc(14, 000007115)}, // 00111001001101
  {0x0f3a, ulhc(14, 000007116)}, // 00111001001110
  {0x133a, ulhc(14, 000007117)}, // 00111001001111
  {0x2f38, ulhc(14, 000007120)}, // 00111001010000
  {0xc02a, ulhc(14, 000007121)}, // 00111001010001
  {0xe0d3, ulhc(14, 000007122)}, // 00111001010010
  {0xe0f6, ulhc(14, 000007123)}, // 00111001010011
  {0xc0fd, ulhc(14, 000007627)}, // 00111110010111
  {0x1303, ulhc(14, 000010020)}, // 01000000010000
  {0x1503, ulhc(14, 000010021)}, // 01000000010001
  {0xc0df, ulhc(14, 000010074)}, // 01000000111100
  {0xc01a, ulhc(14, 000010152)}, // 01000001101010
  {0xed80, ulhc(14, 000010166)}, // 01000001110110
  {0x013a, ulhc(14, 000010177)}, // 01000001111111
  {0x013c, ulhc(14, 000010653)}, // 01000110101011
  {0x4000, ulhc(14, 000010704)}, // 01000111000100
  {0x0168, ulhc(14, 000010706)}, // 01000111000110
  {0x9819, ulhc(14, 000010707)}, // 01000111000111
  {0x9a19, ulhc(14, 000011004)}, // 01001000000100
  {0x0176, ulhc(14, 000011403)}, // 01001100000011
  {0xd0b0, ulhc(14, 000012235)}, // 01010010011101
  {0x016a, ulhc(14, 000012237)}, // 01010010011111
  {0xc017, ulhc(14, 000012324)}, // 01010011010100
  {0xcfbf, ulhc(14, 000012325)}, // 01010011010101
  {0xc031, ulhc(14, 000012652)}, // 01010110101010
  {0xc0db, ulhc(14, 000012653)}, // 01010110101011
  {0xe7c9, ulhc(14, 000012654)}, // 01010110101100
  {0x1907, ulhc(14, 000012656)}, // 01010110101110
  {0xd0af, ulhc(14, 000012657)}, // 01010110101111
  {0xc035, ulhc(14, 000013351)}, // 01011011101001
  {0xd0b9, ulhc(14, 000013456)}, // 01011100101110
  {0xc03b, ulhc(14, 000013476)}, // 01011100111110
  {0xc0ae, ulhc(14, 000014044)}, // 01100000100100
  {0xc034, ulhc(14, 000015201)}, // 01101010000001
  {0x016e, ulhc(14, 000015373)}, // 01101011111011
  {0x1404, ulhc(14, 000015724)}, // 01101111010100
  {0x83b6, ulhc(14, 000015725)}, // 01101111010101
  {0xb980, ulhc(14, 000015774)}, // 01101111111100
  {0xcfd8, ulhc(14, 000016227)}, // 01110010010111
  {0x013e, ulhc(14, 000016255)}, // 01110010101101
  {0x9790, ulhc(14, 000016502)}, // 01110101000010
  {0xc139, ulhc(14, 000016503)}, // 01110101000011
  {0xf560, ulhc(14, 000016504)}, // 01110101000100
  {0xd0ae, ulhc(14, 000016761)}, // 01110111110001
  {0xf4d8, ulhc(14, 000016762)}, // 01110111110010
  {0x994f, ulhc(14, 000017154)}, // 01111001101100
  {0xc0ed, ulhc(14, 000017444)}, // 01111100100100
  {0xe093, ulhc(14, 000017445)}, // 01111100100101
  {0xfd83, ulhc(14, 000017454)}, // 01111100101100
  {0xd0b2, ulhc(14, 000017534)}, // 01111101011100
  {0x00f8, ulhc(14, 000017537)}, // 01111101011111
  {0x99ca, ulhc(14, 000020033)}, // 10000000011011
  {0xc0aa, ulhc(14, 000020034)}, // 10000000011100
  {0xc0c7, ulhc(14, 000020035)}, // 10000000011101
  {0xd0b1, ulhc(14, 000020036)}, // 10000000011110
  {0xeffc, ulhc(14, 000020037)}, // 10000000011111
  {0x0174, ulhc(14, 000020252)}, // 10000010101010
  {0xd0a1, ulhc(14, 000020253)}, // 10000010101011
  {0x9a50, ulhc(14, 000020773)}, // 10000111111011
  {0xd0a4, ulhc(14, 000021120)}, // 10001001010000
  {0xe0bf, ulhc(14, 000021121)}, // 10001001010001
  {0xfd94, ulhc(14, 000021122)}, // 10001001010010
  {0xff80, ulhc(14, 000021123)}, // 10001001010011
  {0xc0ce, ulhc(14, 000021420)}, // 10001100010000
  {0xd0b3, ulhc(14, 000021421)}, // 10001100010001
  {0xe980, ulhc(14, 000021423)}, // 10001100010011
  {0xc032, ulhc(14, 000022102)}, // 10010001000010
  {0x0172, ulhc(14, 000024073)}, // 10100000111011
  {0x2502, ulhc(14, 000024074)}, // 10100000111100
  {0xcfcd, ulhc(14, 000024270)}, // 10100010111000
  {0xd0b8, ulhc(14, 000024272)}, // 10100010111010
  {0x0160, ulhc(14, 000025660)}, // 10101110110000
  {0x9b80, ulhc(14, 000025667)}, // 10101110110111
  {0x0170, ulhc(14, 000030275)}, // 11000010111101
  {0x1903, ulhc(14, 000030276)}, // 11000010111110
  {0xede0, ulhc(14, 000030372)}, // 11000011111010
  {0x9914, ulhc(14, 000030700)}, // 11000111000000
  {0xc075, ulhc(14, 000030703)}, // 11000111000011
  {0xcfdf, ulhc(14, 000030713)}, // 11000111001011
  {0xc0b4, ulhc(14, 000031110)}, // 11001001001000
  {0x1403, ulhc(14, 000031114)}, // 11001001001100
  {0xd0b6, ulhc(14, 000031115)}, // 11001001001101
  {0xc0ee, ulhc(14, 000031270)}, // 11001010111000
  {0xcfeb, ulhc(14, 000031271)}, // 11001010111001
  {0x9b15, ulhc(14, 000031311)}, // 11001011001001
  {0x9b17, ulhc(14, 000031314)}, // 11001011001100
  {0xb183, ulhc(14, 000031315)}, // 11001011001101
  {0xb983, ulhc(14, 000031316)}, // 11001011001110
  {0xc045, ulhc(14, 000032044)}, // 11010000100100
  {0x9919, ulhc(14, 000032163)}, // 11010001110011
  {0xd0ad, ulhc(14, 000032746)}, // 11010111100110
  {0x00ef, ulhc(14, 000033150)}, // 11011001101000
  {0xc033, ulhc(14, 000033276)}, // 11011010111110
  {0x9b48, ulhc(14, 000033316)}, // 11011011001110
  {0x1b04, ulhc(14, 000033414)}, // 11011100001100
  {0xd0a2, ulhc(14, 000033554)}, // 11011101101100
  {0x0280, ulhc(14, 000033555)}, // 11011101101101
  {0xd0a9, ulhc(14, 000033556)}, // 11011101101110
  {0xeb8f, ulhc(14, 000033557)}, // 11011101101111
  {0xc0f1, ulhc(14, 000033654)}, // 11011110101100
  {0xcfd2, ulhc(14, 000033750)}, // 11011111101000
  {0x01f8, ulhc(14, 000033751)}, // 11011111101001
  {0xd0a3, ulhc(14, 000034047)}, // 11100000100111
  {0x0027, ulhc(14, 000035020)}, // 11101000010000
  {0xb9b9, ulhc(14, 000035021)}, // 11101000010001
  {0xdfe1, ulhc(14, 000035022)}, // 11101000010010
  {0xd0a7, ulhc(14, 000035030)}, // 11101000011000
  {0xb982, ulhc(14, 000035032)}, // 11101000011010
  {0xc12f, ulhc(14, 000035033)}, // 11101000011011
  {0xcfd3, ulhc(14, 000035170)}, // 11101001111000
  {0xf518, ulhc(14, 000035275)}, // 11101010111101
  {0xc0dd, ulhc(14, 000035316)}, // 11101011001110
  {0x00ee, ulhc(14, 000035317)}, // 11101011001111
  {0x1904, ulhc(14, 000035350)}, // 11101011101000
  {0x1c04, ulhc(14, 000035351)}, // 11101011101001
  {0xd0a5, ulhc(14, 000035352)}, // 11101011101010
  {0xdfde, ulhc(14, 000035353)}, // 11101011101011
  {0xd0b5, ulhc(14, 000036162)}, // 11110001110010
  {0x83b2, ulhc(14, 000036163)}, // 11110001110011
  {0xc0c9, ulhc(14, 000036164)}, // 11110001110100
  {0xcfd5, ulhc(14, 000036166)}, // 11110001110110
  {0xd0b7, ulhc(14, 000036167)}, // 11110001110111
  {0xe08d, ulhc(14, 000036214)}, // 11110010001100
  {0x1905, ulhc(14, 000036216)}, // 11110010001110
  {0x00fc, ulhc(14, 000036217)}, // 11110010001111
  {0x1906, ulhc(14, 000036421)}, // 11110100010001
  {0xcfc0, ulhc(14, 000036422)}, // 11110100010010
  {0x9b4a, ulhc(14, 000036423)}, // 11110100010011
  {0xc0eb, ulhc(14, 000036530)}, // 11110101011000
  {0x1c03, ulhc(14, 000037021)}, // 11111000010001
  {0xc0d2, ulhc(14, 000037022)}, // 11111000010010
  {0x00fa, ulhc(14, 000037110)}, // 11111001001000
  {0xe780, ulhc(14, 000037111)}, // 11111001001001
  {0x0300, ulhc(14, 000037605)}, // 11111110000101
  {0xc0f9, ulhc(14, 000037606)}, // 11111110000110
  {0xd0ac, ulhc(14, 000037607)}, // 11111110000111
  {0xcfd1, ulhc(14, 000037615)}, // 11111110001101
  {0x01aa, ulhc(15, 000000004)}, // 000000000000100
  {0xc0ad, ulhc(15, 000000005)}, // 000000000000101
  {0x0e06, ulhc(15, 000000007)}, // 000000000000111
  {0xc08a, ulhc(15, 000001300)}, // 000001011000000
  {0xc0bd, ulhc(15, 000001301)}, // 000001011000001
  {0x4086, ulhc(15, 000002107)}, // 000010001000111
  {0xcf98, ulhc(15, 000002354)}, // 000010011101100
  {0xcf9e, ulhc(15, 000002355)}, // 000010011101101
  {0x000c, ulhc(15, 000002357)}, // 000010011101111
  {0xcf97, ulhc(15, 000005274)}, // 000101010111100
  {0xd0d0, ulhc(15, 000005275)}, // 000101010111101
  {0x011a, ulhc(15, 000005463)}, // 000101100110011
  {0x0166, ulhc(15, 000005564)}, // 000101101110100
  {0xc0f3, ulhc(15, 000005565)}, // 000101101110101
  {0xe7c7, ulhc(15, 000005576)}, // 000101101111110
  {0x010e, ulhc(15, 000005577)}, // 000101101111111
  {0x0114, ulhc(15, 000010020)}, // 001000000010000
  {0x1f03, ulhc(15, 000010021)}, // 001000000010001
  {0xc09d, ulhc(15, 000010022)}, // 001000000010010
  {0xe9e0, ulhc(15, 000010023)}, // 001000000010011
  {0x0e1c, ulhc(15, 000010407)}, // 001000100000111
  {0x40e1, ulhc(15, 000011244)}, // 001001010100100
  {0x41f6, ulhc(15, 000011245)}, // 001001010100101
  {0x997f, ulhc(15, 000011246)}, // 001001010100110
  {0xc1b8, ulhc(15, 000011247)}, // 001001010100111
  {0xeec4, ulhc(15, 000011250)}, // 001001010101000
  {0x1405, ulhc(15, 000012042)}, // 001010000100010
  {0x4001, ulhc(15, 000012043)}, // 001010000100011
  {0xc108, ulhc(15, 000012044)}, // 001010000100100
  {0x0113, ulhc(15, 000013320)}, // 001011011010000
  {0x1e04, ulhc(15, 000013321)}, // 001011011010001
  {0xcf91, ulhc(15, 000013322)}, // 001011011010010
  {0xd0c5, ulhc(15, 000013323)}, // 001011011010011
  {0x0142, ulhc(15, 000015252)}, // 001101010101010
  {0x1e03, ulhc(15, 000015253)}, // 001101010101011
  {0xcf9d, ulhc(15, 000016230)}, // 001110010011000
  {0xc0c6, ulhc(15, 000016231)}, // 001110010011001
  {0xcfb7, ulhc(15, 000016250)}, // 001110010101000
  {0x1f04, ulhc(15, 000017455)}, // 001111100101101
  {0x0162, ulhc(15, 000020044)}, // 010000000100100
  {0x01f0, ulhc(15, 000020045)}, // 010000000100101
  {0x014c, ulhc(15, 000020172)}, // 010000001111010
  {0x01f2, ulhc(15, 000020173)}, // 010000001111011
  {0x01f4, ulhc(15, 000020174)}, // 010000001111100
  {0xc079, ulhc(15, 000020175)}, // 010000001111101
  {0xcfb6, ulhc(15, 000020176)}, // 010000001111110
  {0xe3c9, ulhc(15, 000020177)}, // 010000001111111
  {0x0023, ulhc(15, 000020327)}, // 010000011010111
  {0x1106, ulhc(15, 000020356)}, // 010000011101110
  {0xc024, ulhc(15, 000020357)}, // 010000011101111
  {0xc0dc, ulhc(15, 000020370)}, // 010000011111000
  {0xcfa4, ulhc(15, 000020371)}, // 010000011111001
  {0x015c, ulhc(15, 000021525)}, // 010001101010101
  {0xc0b8, ulhc(15, 000021612)}, // 010001110001010
  {0xcfb9, ulhc(15, 000021613)}, // 010001110001011
  {0x01a2, ulhc(15, 000022013)}, // 010010000001011
  {0x1e02, ulhc(15, 000023000)}, // 010011000000000
  {0x1f05, ulhc(15, 000023001)}, // 010011000000001
  {0xc0a6, ulhc(15, 000023002)}, // 010011000000010
  {0xc101, ulhc(15, 000023003)}, // 010011000000011
  {0xc17d, ulhc(15, 000023004)}, // 010011000000100
  {0x01ea, ulhc(15, 000023005)}, // 010011000000101
  {0xcfb4, ulhc(15, 000023404)}, // 010011100000100
  {0xefcb, ulhc(15, 000023405)}, // 010011100000101
  {0x010d, ulhc(15, 000023407)}, // 010011100000111
  {0x019c, ulhc(15, 000024406)}, // 010100100000110
  {0x01a8, ulhc(15, 000024407)}, // 010100100000111
  {0xff84, ulhc(15, 000024470)}, // 010100100111000
  {0x2801, ulhc(15, 000024474)}, // 010100100111100
  {0x0110, ulhc(15, 000025405)}, // 010101100000101
  {0x01ae, ulhc(15, 000025406)}, // 010101100000110
  {0xc0d4, ulhc(15, 000025407)}, // 010101100000111
  {0xcfaf, ulhc(15, 000025532)}, // 010101101011010
  {0x0106, ulhc(15, 000025533)}, // 010101101011011
  {0x0111, ulhc(15, 000026460)}, // 010110100110000
  {0xc1ad, ulhc(15, 000026461)}, // 010110100110001
  {0xcfb2, ulhc(15, 000026462)}, // 010110100110010
  {0x00f9, ulhc(15, 000027130)}, // 010111001011000
  {0x0105, ulhc(15, 000027131)}, // 010111001011001
  {0x0120, ulhc(15, 000027132)}, // 010111001011010
  {0x01ac, ulhc(15, 000027133)}, // 010111001011011
  {0x1f06, ulhc(15, 000027137)}, // 010111001011111
  {0xc0b5, ulhc(15, 000027176)}, // 010111001111110
  {0xc0c5, ulhc(15, 000027177)}, // 010111001111111
  {0x0108, ulhc(15, 000030113)}, // 011000001001011
  {0x40a6, ulhc(15, 000030304)}, // 011000011000100
  {0x98d9, ulhc(15, 000030305)}, // 011000011000101
  {0x9ad1, ulhc(15, 000030306)}, // 011000011000110
  {0x9ad9, ulhc(15, 000030307)}, // 011000011000111
  {0xcf84, ulhc(15, 000032400)}, // 011010100000000
  {0xcf9a, ulhc(15, 000032620)}, // 011010110010000
  {0xefc8, ulhc(15, 000032621)}, // 011010110010001
  {0x0104, ulhc(15, 000032627)}, // 011010110010111
  {0x0109, ulhc(15, 000032764)}, // 011010111110100
  {0xe7fb, ulhc(15, 000032765)}, // 011010111110101
  {0xc0d1, ulhc(15, 000033772)}, // 011011111111010
  {0x40e6, ulhc(15, 000034531)}, // 011100101011001
  {0xf481, ulhc(15, 000035200)}, // 011101010000000
  {0xf7c0, ulhc(15, 000035201)}, // 011101010000001
  {0x000e, ulhc(15, 000035203)}, // 011101010000011
  {0x0138, ulhc(15, 000035212)}, // 011101010001010
  {0x1003, ulhc(15, 000035213)}, // 011101010001011
  {0x1004, ulhc(15, 000035214)}, // 011101010001100
  {0xc11f, ulhc(15, 000035215)}, // 011101010001101
  {0xf4f1, ulhc(15, 000035216)}, // 011101010001110
  {0xf7d8, ulhc(15, 000035217)}, // 011101010001111
  {0x01be, ulhc(15, 000035741)}, // 011101111100001
  {0xc030, ulhc(15, 000035746)}, // 011101111100110
  {0xc087, ulhc(15, 000035747)}, // 011101111100111
  {0x985e, ulhc(15, 000036332)}, // 011110011011010
  {0x9a56, ulhc(15, 000036333)}, // 011110011011011
  {0x9a5e, ulhc(15, 000036334)}, // 011110011011100
  {0xcf99, ulhc(15, 000036337)}, // 011110011011111
  {0xcfb3, ulhc(15, 000037132)}, // 011111001011010
  {0x0112, ulhc(15, 000037133)}, // 011111001011011
  {0x019e, ulhc(15, 000037164)}, // 011111001110100
  {0x01ec, ulhc(15, 000037165)}, // 011111001110101
  {0xb625, ulhc(15, 000037166)}, // 011111001110110
  {0xbd9f, ulhc(15, 000037167)}, // 011111001110111
  {0xbe15, ulhc(15, 000037170)}, // 011111001111000
  {0xbf80, ulhc(15, 000037171)}, // 011111001111001
  {0xcfb1, ulhc(15, 000037172)}, // 011111001111010
  {0xd0ba, ulhc(15, 000037173)}, // 011111001111011
  {0xd0c4, ulhc(15, 000037174)}, // 011111001111100
  {0xe680, ulhc(15, 000037175)}, // 011111001111101
  {0x9a2e, ulhc(15, 000037217)}, // 011111010001111
  {0x9a58, ulhc(15, 000037272)}, // 011111010111010
  {0x9bc7, ulhc(15, 000037273)}, // 011111010111011
  {0xb786, ulhc(15, 000037274)}, // 011111010111100
  {0xbf86, ulhc(15, 000037275)}, // 011111010111101
  {0xe0fd, ulhc(15, 000040064)}, // 100000000110100
  {0x010a, ulhc(15, 000040065)}, // 100000000110101
  {0xc0b9, ulhc(15, 000040520)}, // 100000101010000
  {0x01a6, ulhc(15, 000040575)}, // 100000101111101
  {0xed8f, ulhc(15, 000040576)}, // 100000101111110
  {0x01a4, ulhc(15, 000040754)}, // 100000111101100
  {0xc048, ulhc(15, 000040755)}, // 100000111101101
  {0xc04b, ulhc(15, 000040756)}, // 100000111101110
  {0xf548, ulhc(15, 000040757)}, // 100000111101111
  {0x2803, ulhc(15, 000041774)}, // 100001111111100
  {0xc03a, ulhc(15, 000041775)}, // 100001111111101
  {0xe8b8, ulhc(15, 000041776)}, // 100001111111110
  {0x00f7, ulhc(15, 000042254)}, // 100010010101100
  {0x0134, ulhc(15, 000042255)}, // 100010010101101
  {0xc0a5, ulhc(15, 000042256)}, // 100010010101110
  {0xc0b3, ulhc(15, 000042257)}, // 100010010101111
  {0xc103, ulhc(15, 000042340)}, // 100010011100000
  {0xe0bc, ulhc(15, 000042341)}, // 100010011100001
  {0xe48f, ulhc(15, 000042342)}, // 100010011100010
  {0xeab9, ulhc(15, 000042343)}, // 100010011100011
  {0x010c, ulhc(15, 000043045)}, // 100011000100101
  {0x83b3, ulhc(15, 000043054)}, // 100011000101100
  {0x9b4c, ulhc(15, 000043055)}, // 100011000101101
  {0x015e, ulhc(15, 000043056)}, // 100011000101110
  {0x01ee, ulhc(15, 000044207)}, // 100100010000111
  {0x9a48, ulhc(15, 000044340)}, // 100100011100000
  {0xb819, ulhc(15, 000044341)}, // 100100011100001
  {0xb81e, ulhc(15, 000044342)}, // 100100011100010
  {0x1105, ulhc(15, 000050172)}, // 101000001111010
  {0xcfb5, ulhc(15, 000050173)}, // 101000001111011
  {0xe3cc, ulhc(15, 000050562)}, // 101000101110010
  {0x1304, ulhc(15, 000050563)}, // 101000101110011
  {0x1504, ulhc(15, 000050566)}, // 101000101110110
  {0xc0d5, ulhc(15, 000050567)}, // 101000101110111
  {0x982b, ulhc(15, 000051320)}, // 101001011010000
  {0x9a23, ulhc(15, 000051321)}, // 101001011010001
  {0x9a2b, ulhc(15, 000051322)}, // 101001011010010
  {0xcf9b, ulhc(15, 000051323)}, // 101001011010011
  {0x40a7, ulhc(15, 000053542)}, // 101011101100010
  {0x4130, ulhc(15, 000053543)}, // 101011101100011
  {0x4131, ulhc(15, 000053544)}, // 101011101100100
  {0xc0fc, ulhc(15, 000053545)}, // 101011101100101
  {0xc0b1, ulhc(15, 000060540)}, // 110000101100000
  {0x2504, ulhc(15, 000060541)}, // 110000101100001
  {0xc09f, ulhc(15, 000060576)}, // 110000101111110
  {0xc0e9, ulhc(15, 000060577)}, // 110000101111111
  {0xe3fb, ulhc(15, 000060766)}, // 110000111110110
  {0xc0e7, ulhc(15, 000060767)}, // 110000111110111
  {0xcfb0, ulhc(15, 000061602)}, // 110001110000010
  {0xe3c8, ulhc(15, 000061603)}, // 110001110000011
  {0x0107, ulhc(15, 000061625)}, // 110001110010101
  {0x0164, ulhc(15, 000062222)}, // 110010010010010
  {0xcfb8, ulhc(15, 000062223)}, // 110010010010011
  {0xd0c1, ulhc(15, 000062234)}, // 110010010011100
  {0x4151, ulhc(15, 000062621)}, // 110010110010001
  {0xc0ea, ulhc(15, 000062636)}, // 110010110011110
  {0x010b, ulhc(15, 000064011)}, // 110100000001001
  {0x015a, ulhc(15, 000064012)}, // 110100000001010
  {0x0010, ulhc(15, 000064013)}, // 110100000001011
  {0xcfba, ulhc(15, 000064344)}, // 110100011100100
  {0xd0c2, ulhc(15, 000065704)}, // 110101111000100
  {0x4117, ulhc(15, 000065716)}, // 110101111001110
  {0xd0c3, ulhc(15, 000065717)}, // 110101111001111
  {0x01f6, ulhc(15, 000066326)}, // 110110011010110
  {0x4021, ulhc(15, 000066327)}, // 110110011010111
  {0xc1b4, ulhc(15, 000066534)}, // 110110101011100
  {0xcfbe, ulhc(15, 000066535)}, // 110110101011101
  {0x0102, ulhc(15, 000066577)}, // 110110101111111
  {0xcfbc, ulhc(15, 000066636)}, // 110110110011110
  {0xcff2, ulhc(15, 000066637)}, // 110110110011111
  {0xc0af, ulhc(15, 000067032)}, // 110111000011010
  {0xf4f0, ulhc(15, 000067033)}, // 110111000011011
  {0xcfbb, ulhc(15, 000067533)}, // 110111101011011
  {0x99b4, ulhc(15, 000067724)}, // 110111111010100
  {0x99cb, ulhc(15, 000067725)}, // 110111111010101
  {0xc0b7, ulhc(15, 000067726)}, // 110111111010110
  {0x0018, ulhc(15, 000072047)}, // 111010000100111
  {0xcfe9, ulhc(15, 000072062)}, // 111010000110010
  {0xd0c0, ulhc(15, 000072362)}, // 111010011110010
  {0xcf9c, ulhc(15, 000072570)}, // 111010101111000
  {0x0103, ulhc(15, 000072760)}, // 111010111110000
  {0xcfbd, ulhc(15, 000072761)}, // 111010111110001
  {0xcfce, ulhc(15, 000072762)}, // 111010111110010
  {0x1502, ulhc(15, 000074353)}, // 111100011101011
  {0xc021, ulhc(15, 000075262)}, // 111101010110010
  {0x0e14, ulhc(15, 000076046)}, // 111110000100110
  {0x2503, ulhc(15, 000076264)}, // 111110010110100
  {0x001d, ulhc(15, 000076265)}, // 111110010110101
  {0x0240, ulhc(15, 000076266)}, // 111110010110110
  {0xe9e8, ulhc(15, 000076267)}, // 111110010110111
  {0xe7cb, ulhc(15, 000076645)}, // 111110110100101
  {0x0119, ulhc(16, 000000015)}, // 0000000000001101
  {0x41d7, ulhc(16, 000004214)}, // 0000100010001100
  {0xc102, ulhc(16, 000004215)}, // 0000100010001101
  {0x0218, ulhc(16, 000004735)}, // 0000100111011101
  {0xc037, ulhc(16, 000012574)}, // 0001010101111100
  {0xcfa5, ulhc(16, 000012575)}, // 0001010101111101
  {0xcfab, ulhc(16, 000012576)}, // 0001010101111110
  {0xcfad, ulhc(16, 000012577)}, // 0001010101111111
  {0xcf7e, ulhc(16, 000021014)}, // 0010001000001100
  {0x0186, ulhc(16, 000021015)}, // 0010001000001101
  {0x0188, ulhc(16, 000022522)}, // 0010010101010010
  {0x110a, ulhc(16, 000022523)}, // 0010010101010011
  {0x1b05, ulhc(16, 000022524)}, // 0010010101010100
  {0x2203, ulhc(16, 000022525)}, // 0010010101010101
  {0xc01e, ulhc(16, 000022526)}, // 0010010101010110
  {0xc0de, ulhc(16, 000022527)}, // 0010010101010111
  {0xcf73, ulhc(16, 000022530)}, // 0010010101011000
  {0xd0be, ulhc(16, 000022531)}, // 0010010101011001
  {0x011e, ulhc(16, 000024113)}, // 0010100001001011
  {0x01e4, ulhc(16, 000032520)}, // 0011010101010000
  {0x1305, ulhc(16, 000032521)}, // 0011010101010001
  {0x1704, ulhc(16, 000032522)}, // 0011010101010010
  {0xcf79, ulhc(16, 000032523)}, // 0011010101010011
  {0x0015, ulhc(16, 000034522)}, // 0011100101010010
  {0x011b, ulhc(16, 000034523)}, // 0011100101010011
  {0x0122, ulhc(16, 000034524)}, // 0011100101010100
  {0x0905, ulhc(16, 000034525)}, // 0011100101010101
  {0x1c05, ulhc(16, 000034526)}, // 0011100101010110
  {0xc1b7, ulhc(16, 000034527)}, // 0011100101010111
  {0xcf88, ulhc(16, 000034530)}, // 0011100101011000
  {0xcf89, ulhc(16, 000034531)}, // 0011100101011001
  {0xe28f, ulhc(16, 000034532)}, // 0011100101011010
  {0x021c, ulhc(16, 000040114)}, // 0100000001001100
  {0x022e, ulhc(16, 000040115)}, // 0100000001001101
  {0x1909, ulhc(16, 000040116)}, // 0100000001001110
  {0xc12e, ulhc(16, 000040117)}, // 0100000001001111
  {0xcf87, ulhc(16, 000040654)}, // 0100000110101100
  {0x1c06, ulhc(16, 000040655)}, // 0100000110101101
  {0xc08e, ulhc(16, 000040764)}, // 0100000111110100
  {0xc171, ulhc(16, 000040765)}, // 0100000111110101
  {0xcf7d, ulhc(16, 000040766)}, // 0100000111110110
  {0xcf83, ulhc(16, 000040767)}, // 0100000111110111
  {0xcf8e, ulhc(16, 000040770)}, // 0100000111111000
  {0xcfa7, ulhc(16, 000040771)}, // 0100000111111001
  {0x0230, ulhc(16, 000044025)}, // 0100100000010101
  {0xcf7c, ulhc(16, 000047014)}, // 0100111000001100
  {0x41f0, ulhc(16, 000047015)}, // 0100111000001101
  {0xc02f, ulhc(16, 000051010)}, // 0101001000001000
  {0xc131, ulhc(16, 000051011)}, // 0101001000001001
  {0x0216, ulhc(16, 000051163)}, // 0101001001110011
  {0xc044, ulhc(16, 000051172)}, // 0101001001111010
  {0xcfa1, ulhc(16, 000051173)}, // 0101001001111011
  {0xcfa2, ulhc(16, 000053010)}, // 0101011000001000
  {0xe7c0, ulhc(16, 000053011)}, // 0101011000001001
  {0x0f04, ulhc(16, 000055146)}, // 0101101001100110
  {0x1104, ulhc(16, 000055147)}, // 0101101001100111
  {0x1302, ulhc(16, 000055150)}, // 0101101001101000
  {0xc089, ulhc(16, 000055151)}, // 0101101001101001
  {0xc09b, ulhc(16, 000055152)}, // 0101101001101010
  {0xcfa6, ulhc(16, 000055153)}, // 0101101001101011
  {0x0126, ulhc(16, 000056275)}, // 0101110010111101
  {0x022c, ulhc(16, 000060224)}, // 0110000010010100
  {0xb9b0, ulhc(16, 000060225)}, // 0110000010010101
  {0xcfae, ulhc(16, 000065002)}, // 0110101000000010
  {0x0146, ulhc(16, 000065003)}, // 0110101000000011
  {0x0184, ulhc(16, 000065444)}, // 0110101100100100
  {0x018a, ulhc(16, 000065445)}, // 0110101100100101
  {0x01e2, ulhc(16, 000065446)}, // 0110101100100110
  {0x0e10, ulhc(16, 000065447)}, // 0110101100100111
  {0xc0d9, ulhc(16, 000065450)}, // 0110101100101000
  {0xcf93, ulhc(16, 000065451)}, // 0110101100101001
  {0xcfaa, ulhc(16, 000065452)}, // 0110101100101010
  {0x00fd, ulhc(16, 000067766)}, // 0110111111110110
  {0x012a, ulhc(16, 000067767)}, // 0110111111110111
  {0x01b8, ulhc(16, 000071130)}, // 0111001001011000
  {0x01e0, ulhc(16, 000071131)}, // 0111001001011001
  {0x1902, ulhc(16, 000071132)}, // 0111001001011010
  {0x1f08, ulhc(16, 000071133)}, // 0111001001011011
  {0xcf78, ulhc(16, 000071260)}, // 0111001010110000
  {0xcf9f, ulhc(16, 000071261)}, // 0111001010110001
  {0x021a, ulhc(16, 000072405)}, // 0111010100000101
  {0x0605, ulhc(16, 000073040)}, // 0111011000100000
  {0x0606, ulhc(16, 000073041)}, // 0111011000100001
  {0x0906, ulhc(16, 000073042)}, // 0111011000100010
  {0x2201, ulhc(16, 000073043)}, // 0111011000100011
  {0xc1a9, ulhc(16, 000073044)}, // 0111011000100100
  {0xd0d2, ulhc(16, 000073045)}, // 0111011000100101
  {0x0131, ulhc(16, 000074672)}, // 0111100110111010
  {0x01d6, ulhc(16, 000074673)}, // 0111100110111011
  {0xd0c6, ulhc(16, 000074674)}, // 0111100110111100
  {0xd0cd, ulhc(16, 000074675)}, // 0111100110111101
  {0x0132, ulhc(16, 000076374)}, // 0111110011111100
  {0x0182, ulhc(16, 000076375)}, // 0111110011111101
  {0x0192, ulhc(16, 000076376)}, // 0111110011111110
  {0x01d4, ulhc(16, 000076377)}, // 0111110011111111
  {0x01e6, ulhc(16, 000076430)}, // 0111110100011000
  {0xcf96, ulhc(16, 000076431)}, // 0111110100011001
  {0xe1fb, ulhc(16, 000076432)}, // 0111110100011010
  {0x01b2, ulhc(16, 000101242)}, // 1000001010100010
  {0x01de, ulhc(16, 000101243)}, // 1000001010100011
  {0x0238, ulhc(16, 000101244)}, // 1000001010100100
  {0x0e20, ulhc(16, 000101245)}, // 1000001010100101
  {0x1806, ulhc(16, 000101246)}, // 1000001010100110
  {0xc0e4, ulhc(16, 000101247)}, // 1000001010100111
  {0xe68f, ulhc(16, 000101370)}, // 1000001011111000
  {0xeec0, ulhc(16, 000101371)}, // 1000001011111001
  {0x0128, ulhc(16, 000101377)}, // 1000001011111111
  {0x018e, ulhc(16, 000103740)}, // 1000011111100000
  {0x01e8, ulhc(16, 000103741)}, // 1000011111100001
  {0x32a0, ulhc(16, 000103742)}, // 1000011111100010
  {0xc11d, ulhc(16, 000103743)}, // 1000011111100011
  {0xcf80, ulhc(16, 000103744)}, // 1000011111100100
  {0xd0cc, ulhc(16, 000103745)}, // 1000011111100101
  {0x00fb, ulhc(16, 000103777)}, // 1000011111111111
  {0x012e, ulhc(16, 000104710)}, // 1000100111001000
  {0x0148, ulhc(16, 000104711)}, // 1000100111001001
  {0x1006, ulhc(16, 000104712)}, // 1000100111001010
  {0x1206, ulhc(16, 000104713)}, // 1000100111001011
  {0x1406, ulhc(16, 000104714)}, // 1000100111001100
  {0x1f07, ulhc(16, 000104715)}, // 1000100111001101
  {0xc0bf, ulhc(16, 000104716)}, // 1000100111001110
  {0xc0c2, ulhc(16, 000104717)}, // 1000100111001111
  {0xc12b, ulhc(16, 000106110)}, // 1000110001001000
  {0x01b4, ulhc(16, 000106136)}, // 1000110001011110
  {0xbf8c, ulhc(16, 000106137)}, // 1000110001011111
  {0xcf94, ulhc(16, 000110414)}, // 1001000100001100
  {0x1108, ulhc(16, 000110707)}, // 1001000111000111
  {0x41b6, ulhc(16, 000120350)}, // 1010000011101000
  {0xcfa3, ulhc(16, 000120351)}, // 1010000011101001
  {0xcfa9, ulhc(16, 000120352)}, // 1010000011101010
  {0xd0ce, ulhc(16, 000120353)}, // 1010000011101011
  {0x0150, ulhc(16, 000121460)}, // 1010001100110000
  {0x1805, ulhc(16, 000121461)}, // 1010001100110001
  {0x1b01, ulhc(16, 000121462)}, // 1010001100110010
  {0xcf82, ulhc(16, 000121463)}, // 1010001100110011
  {0xd0bf, ulhc(16, 000121464)}, // 1010001100110100
  {0x0196, ulhc(16, 000127314)}, // 1010111011001100
  {0x1205, ulhc(16, 000127315)}, // 1010111011001101
  {0x1c02, ulhc(16, 000127316)}, // 1010111011001110
  {0xc0c3, ulhc(16, 000127317)}, // 1010111011001111
  {0xc0e3, ulhc(16, 000127330)}, // 1010111011011000
  {0xc0f8, ulhc(16, 000127331)}, // 1010111011011001
  {0xe7ce, ulhc(16, 000127332)}, // 1010111011011010
  {0x1703, ulhc(16, 000141304)}, // 1100001011000100
  {0xc0a2, ulhc(16, 000141305)}, // 1100001011000101
  {0xc0e5, ulhc(16, 000141306)}, // 1100001011000110
  {0xcf77, ulhc(16, 000141307)}, // 1100001011000111
  {0xf520, ulhc(16, 000141360)}, // 1100001011110000
  {0x0116, ulhc(16, 000143410)}, // 1100011100001000
  {0x014e, ulhc(16, 000143411)}, // 1100011100001001
  {0x01b6, ulhc(16, 000143412)}, // 1100011100001010
  {0x01bc, ulhc(16, 000143413)}, // 1100011100001011
  {0xc039, ulhc(16, 000143450)}, // 1100011100101000
  {0x01d8, ulhc(16, 000144472)}, // 1100100100111010
  {0x1107, ulhc(16, 000144473)}, // 1100100100111011
  {0xc0f0, ulhc(16, 000144474)}, // 1100100100111100
  {0xcf75, ulhc(16, 000144475)}, // 1100100100111101
  {0xcf81, ulhc(16, 000144476)}, // 1100100100111110
  {0xcf86, ulhc(16, 000144477)}, // 1100100100111111
  {0xcfa0, ulhc(16, 000144740)}, // 1100100111100000
  {0xd0bc, ulhc(16, 000144741)}, // 1100100111100001
  {0x41f1, ulhc(16, 000145441)}, // 1100101100100001
  {0xc0f2, ulhc(16, 000145476)}, // 1100101100111110
  {0xcf85, ulhc(16, 000145477)}, // 1100101100111111
  {0xcfa8, ulhc(16, 000150020)}, // 1101000000010000
  {0xc038, ulhc(16, 000150224)}, // 1101000010010100
  {0xc0d3, ulhc(16, 000150225)}, // 1101000010010101
  {0xdfe4, ulhc(16, 000150226)}, // 1101000010010110
  {0x0154, ulhc(16, 000150713)}, // 1101000111001011
  {0x0158, ulhc(16, 000153612)}, // 1101011110001010
  {0x2403, ulhc(16, 000153613)}, // 1101011110001011
  {0xd0bb, ulhc(16, 000153614)}, // 1101011110001100
  {0xd0cb, ulhc(16, 000153615)}, // 1101011110001101
  {0xe7cd, ulhc(16, 000153616)}, // 1101011110001110
  {0x014a, ulhc(16, 000154644)}, // 1101100110100100
  {0x1402, ulhc(16, 000154645)}, // 1101100110100101
  {0xd0cf, ulhc(16, 000154646)}, // 1101100110100110
  {0x0194, ulhc(16, 000155274)}, // 1101101010111100
  {0x01ba, ulhc(16, 000155275)}, // 1101101010111101
  {0x0f03, ulhc(16, 000155276)}, // 1101101010111110
  {0x41f7, ulhc(16, 000155277)}, // 1101101010111111
  {0xcf7a, ulhc(16, 000155374)}, // 1101101011111100
  {0x012c, ulhc(16, 000156070)}, // 1101110000111000
  {0x0e18, ulhc(16, 000156071)}, // 1101110000111001
  {0x940c, ulhc(16, 000156072)}, // 1101110000111010
  {0xeffe, ulhc(16, 000156073)}, // 1101110000111011
  {0x0152, ulhc(16, 000156077)}, // 1101110000111111
  {0x0156, ulhc(16, 000157264)}, // 1101111010110100
  {0x41b7, ulhc(16, 000157265)}, // 1101111010110101
  {0x0e05, ulhc(16, 000157656)}, // 1101111110101110
  {0x1a0c, ulhc(16, 000157657)}, // 1101111110101111
  {0x98c3, ulhc(16, 000160200)}, // 1110000010000000
  {0x98da, ulhc(16, 000160201)}, // 1110000010000001
  {0x99b2, ulhc(16, 000160202)}, // 1110000010000010
  {0x9abb, ulhc(16, 000160203)}, // 1110000010000011
  {0x9ac3, ulhc(16, 000160204)}, // 1110000010000100
  {0x9ad2, ulhc(16, 000160205)}, // 1110000010000101
  {0x9ada, ulhc(16, 000160206)}, // 1110000010000110
  {0x9bb2, ulhc(16, 000160207)}, // 1110000010000111
  {0xc092, ulhc(16, 000164146)}, // 1110100001100110
  {0xc0a9, ulhc(16, 000164147)}, // 1110100001100111
  {0x0115, ulhc(16, 000164747)}, // 1110100111100111
  {0xc135, ulhc(16, 000165362)}, // 1110101011110010
  {0x00ff, ulhc(16, 000165746)}, // 1110101111100110
  {0x1005, ulhc(16, 000165747)}, // 1110101111100111
  {0x010f, ulhc(16, 000170725)}, // 1111000111010101
  {0x40e0, ulhc(16, 000171064)}, // 1111001000110100
  {0x011c, ulhc(16, 000172102)}, // 1111010001000010
  {0x2401, ulhc(16, 000172103)}, // 1111010001000011
  {0xc0ab, ulhc(16, 000172546)}, // 1111010101100110
  {0xb811, ulhc(16, 000172547)}, // 1111010101100111
  {0xb812, ulhc(16, 000174100)}, // 1111100001000000
  {0xe484, ulhc(16, 000174101)}, // 1111100001000001
  {0xc0b6, ulhc(16, 000174117)}, // 1111100001001111
  {0xc0da, ulhc(16, 000175510)}, // 1111101101001000
  {0x01b0, ulhc(16, 000175511)}, // 1111101101001001
  {0x4114, ulhc(16, 000175514)}, // 1111101101001100
  {0xcf8f, ulhc(16, 000175515)}, // 1111101101001101
  {0x0198, ulhc(16, 000177062)}, // 1111111000110010
  {0x019a, ulhc(16, 000177063)}, // 1111111000110011
  {0x0124, ulhc(17, 000011671)}, // 00001001110111001
  {0x01ca, ulhc(17, 000026300)}, // 00010110011000000
  {0x0248, ulhc(17, 000026301)}, // 00010110011000001
  {0xc12a, ulhc(17, 000026302)}, // 00010110011000010
  {0xc188, ulhc(17, 000026303)}, // 00010110011000011
  {0xce86, ulhc(17, 000026304)}, // 00010110011000100
  {0xced6, ulhc(17, 000026305)}, // 00010110011000101
  {0xcee7, ulhc(17, 000026306)}, // 00010110011000110
  {0xcf57, ulhc(17, 000026307)}, // 00010110011000111
  {0xcf69, ulhc(17, 000026310)}, // 00010110011001000
  {0xcf6a, ulhc(17, 000026311)}, // 00010110011001001
  {0xeec8, ulhc(17, 000026312)}, // 00010110011001010
  {0x01c8, ulhc(17, 000045264)}, // 00100101010110100
  {0x0204, ulhc(17, 000045265)}, // 00100101010110101
  {0x1804, ulhc(17, 000045266)}, // 00100101010110110
  {0xbd86, ulhc(17, 000045267)}, // 00100101010110111
  {0xce8f, ulhc(17, 000045270)}, // 00100101010111000
  {0xce99, ulhc(17, 000045271)}, // 00100101010111001
  {0xced8, ulhc(17, 000045272)}, // 00100101010111010
  {0xcf6e, ulhc(17, 000045273)}, // 00100101010111011
  {0xcf8d, ulhc(17, 000045274)}, // 00100101010111100
  {0xd0de, ulhc(17, 000045275)}, // 00100101010111101
  {0x0242, ulhc(17, 000071266)}, // 00111001010110110
  {0x040b, ulhc(17, 000071267)}, // 00111001010110111
  {0x060b, ulhc(17, 000071270)}, // 00111001010111000
  {0x090b, ulhc(17, 000071271)}, // 00111001010111001
  {0x0e0b, ulhc(17, 000071272)}, // 00111001010111010
  {0x1f09, ulhc(17, 000071273)}, // 00111001010111011
  {0x991c, ulhc(17, 000071274)}, // 00111001010111100
  {0x9b1c, ulhc(17, 000071275)}, // 00111001010111101
  {0xc0d6, ulhc(17, 000071276)}, // 00111001010111110
  {0xc129, ulhc(17, 000071277)}, // 00111001010111111
  {0xced7, ulhc(17, 000076260)}, // 00111110010110000
  {0xcf58, ulhc(17, 000076261)}, // 00111110010110001
  {0xcf65, ulhc(17, 000076262)}, // 00111110010110010
  {0x0232, ulhc(17, 000101764)}, // 01000001111110100
  {0x9962, ulhc(17, 000101765)}, // 01000001111110101
  {0x9b19, ulhc(17, 000101766)}, // 01000001111110110
  {0x9b62, ulhc(17, 000101767)}, // 01000001111110111
  {0xc177, ulhc(17, 000106520)}, // 01000110101010000
  {0xcf56, ulhc(17, 000106521)}, // 01000110101010001
  {0xcf6f, ulhc(17, 000106522)}, // 01000110101010010
  {0xc086, ulhc(17, 000122024)}, // 01010010000010100
  {0xc091, ulhc(17, 000122025)}, // 01010010000010101
  {0xc115, ulhc(17, 000122026)}, // 01010010000010110
  {0xce85, ulhc(17, 000122027)}, // 01010010000010111
  {0xce96, ulhc(17, 000122344)}, // 01010010011100100
  {0xcf5d, ulhc(17, 000122345)}, // 01010010011100101
  {0x01c6, ulhc(17, 000132330)}, // 01011010011011000
  {0x01d2, ulhc(17, 000132331)}, // 01011010011011001
  {0x1204, ulhc(17, 000132332)}, // 01011010011011010
  {0x4080, ulhc(17, 000132333)}, // 01011010011011011
  {0xc095, ulhc(17, 000132334)}, // 01011010011011100
  {0xce7a, ulhc(17, 000132335)}, // 01011010011011101
  {0xcecc, ulhc(17, 000132336)}, // 01011010011011110
  {0xcf5c, ulhc(17, 000132337)}, // 01011010011011111
  {0xcf70, ulhc(17, 000133500)}, // 01011011101000000
  {0xcf71, ulhc(17, 000133501)}, // 01011011101000001
  {0x0214, ulhc(17, 000153126)}, // 01101011001010110
  {0xc11b, ulhc(17, 000153127)}, // 01101011001010111
  {0xce77, ulhc(17, 000153130)}, // 01101011001011000
  {0xce84, ulhc(17, 000153131)}, // 01101011001011001
  {0xcf4c, ulhc(17, 000153132)}, // 01101011001011010
  {0xcf64, ulhc(17, 000153133)}, // 01101011001011011
  {0xcf8a, ulhc(17, 000165010)}, // 01110101000001000
  {0x0d05, ulhc(17, 000165011)}, // 01110101000001001
  {0x0d06, ulhc(17, 000166114)}, // 01110110001001100
  {0x0e07, ulhc(17, 000166115)}, // 01110110001001101
  {0x110b, ulhc(17, 000166116)}, // 01110110001001110
  {0x1505, ulhc(17, 000166117)}, // 01110110001001111
  {0xc07f, ulhc(17, 000166120)}, // 01110110001010000
  {0xc094, ulhc(17, 000166121)}, // 01110110001010001
  {0xc0a8, ulhc(17, 000166122)}, // 01110110001010010
  {0xc0ba, ulhc(17, 000166123)}, // 01110110001010011
  {0xc0f4, ulhc(17, 000166124)}, // 01110110001010100
  {0xc17c, ulhc(17, 000166125)}, // 01110110001010101
  {0xc1ae, ulhc(17, 000166126)}, // 01110110001010110
  {0xc1b5, ulhc(17, 000166127)}, // 01110110001010111
  {0xcee6, ulhc(17, 000166130)}, // 01110110001011000
  {0xcee8, ulhc(17, 000166131)}, // 01110110001011001
  {0xcf76, ulhc(17, 000166132)}, // 01110110001011010
  {0x0226, ulhc(17, 000175066)}, // 01111101000110110
  {0x024a, ulhc(17, 000175067)}, // 01111101000110111
  {0xce91, ulhc(17, 000175070)}, // 01111101000111000
  {0xcee2, ulhc(17, 000175071)}, // 01111101000111001
  {0xcf5e, ulhc(17, 000175072)}, // 01111101000111010
  {0xe7ca, ulhc(17, 000175073)}, // 01111101000111011
  {0x01ce, ulhc(17, 000202775)}, // 10000010111111101
  {0x1002, ulhc(17, 000207714)}, // 10000111111001100
  {0x4087, ulhc(17, 000207715)}, // 10000111111001101
  {0x9b5c, ulhc(17, 000207716)}, // 10000111111001110
  {0xcf92, ulhc(17, 000207717)}, // 10000111111001111
  {0xe7e3, ulhc(17, 000207720)}, // 10000111111010000
  {0xf498, ulhc(17, 000207721)}, // 10000111111010001
  {0x0220, ulhc(17, 000214223)}, // 10001100010010011
  {0x1109, ulhc(17, 000221032)}, // 10010001000011010
  {0xc09a, ulhc(17, 000221033)}, // 10010001000011011
  {0xcf7b, ulhc(17, 000221614)}, // 10010001110001100
  {0x0117, ulhc(17, 000243152)}, // 10100011001101010
  {0x4084, ulhc(17, 000243153)}, // 10100011001101011
  {0xc109, ulhc(17, 000243154)}, // 10100011001101100
  {0xcf59, ulhc(17, 000243155)}, // 10100011001101101
  {0xe3c7, ulhc(17, 000243156)}, // 10100011001101110
  {0x01da, ulhc(17, 000256667)}, // 10101110110110111
  {0x0222, ulhc(17, 000302742)}, // 11000010111100010
  {0x1c08, ulhc(17, 000302743)}, // 11000010111100011
  {0xc0e0, ulhc(17, 000302744)}, // 11000010111100100
  {0xc164, ulhc(17, 000302745)}, // 11000010111100101
  {0xc1b3, ulhc(17, 000302746)}, // 11000010111100110
  {0xcee3, ulhc(17, 000302747)}, // 11000010111100111
  {0xcf8c, ulhc(17, 000307122)}, // 11000111001010010
  {0xc16d, ulhc(17, 000307123)}, // 11000111001010011
  {0xcee4, ulhc(17, 000311704)}, // 11001001111000100
  {0xcf5b, ulhc(17, 000311705)}, // 11001001111000101
  {0xcf60, ulhc(17, 000311706)}, // 11001001111000110
  {0xd0c7, ulhc(17, 000311707)}, // 11001001111000111
  {0xd0c8, ulhc(17, 000311710)}, // 11001001111001000
  {0x021e, ulhc(17, 000320043)}, // 11010000000100011
  {0x9b00, ulhc(17, 000320456)}, // 11010000100101110
  {0x9b42, ulhc(17, 000320457)}, // 11010000100101111
  {0xc027, ulhc(17, 000321624)}, // 11010001110010100
  {0xcf66, ulhc(17, 000321625)}, // 11010001110010101
  {0xd0ca, ulhc(17, 000327436)}, // 11010111100011110
  {0x0118, ulhc(17, 000327437)}, // 11010111100011111
  {0x0144, ulhc(17, 000331516)}, // 11011001101001110
  {0x1207, ulhc(17, 000331517)}, // 11011001101001111
  {0x40c7, ulhc(17, 000331520)}, // 11011001101010000
  {0xc0f7, ulhc(17, 000331521)}, // 11011001101010001
  {0xcf68, ulhc(17, 000331522)}, // 11011001101010010
  {0xf4e8, ulhc(17, 000331523)}, // 11011001101010011
  {0x022a, ulhc(17, 000332773)}, // 11011010111111011
  {0x1007, ulhc(17, 000334170)}, // 11011100001111000
  {0x1407, ulhc(17, 000334171)}, // 11011100001111001
  {0xc085, ulhc(17, 000334172)}, // 11011100001111010
  {0xc1b2, ulhc(17, 000334173)}, // 11011100001111011
  {0xf480, ulhc(17, 000334174)}, // 11011100001111100
  {0x018c, ulhc(17, 000340420)}, // 11100000100010000
  {0x0224, ulhc(17, 000340421)}, // 11100000100010001
  {0x0f9a, ulhc(17, 000340422)}, // 11100000100010010
  {0x1306, ulhc(17, 000340423)}, // 11100000100010011
  {0x139a, ulhc(17, 000340424)}, // 11100000100010100
  {0x1603, ulhc(17, 000340425)}, // 11100000100010101
  {0x2f98, ulhc(17, 000340426)}, // 11100000100010110
  {0x4020, ulhc(17, 000340427)}, // 11100000100010111
  {0x40c6, ulhc(17, 000340430)}, // 11100000100011000
  {0xb586, ulhc(17, 000340431)}, // 11100000100011001
  {0xb596, ulhc(17, 000340432)}, // 11100000100011010
  {0xbd85, ulhc(17, 000340433)}, // 11100000100011011
  {0xc0c8, ulhc(17, 000340434)}, // 11100000100011100
  {0xcf95, ulhc(17, 000340435)}, // 11100000100011101
  {0xd0c9, ulhc(17, 000340436)}, // 11100000100011110
  {0xd0d1, ulhc(17, 000340437)}, // 11100000100011111
  {0xe0f2, ulhc(17, 000340440)}, // 11100000100100000
  {0x1008, ulhc(17, 000351715)}, // 11101001111001101
  {0x1408, ulhc(17, 000352746)}, // 11101010111100110
  {0x1807, ulhc(17, 000352747)}, // 11101010111100111
  {0x1808, ulhc(17, 000361650)}, // 11110001110101000
  {0x011d, ulhc(17, 000361651)}, // 11110001110101001
  {0x0190, ulhc(17, 000362152)}, // 11110010001101010
  {0x0234, ulhc(17, 000362153)}, // 11110010001101011
  {0x023a, ulhc(17, 000362154)}, // 11110010001101100
  {0x1208, ulhc(17, 000362155)}, // 11110010001101101
  {0xc0b0, ulhc(17, 000362156)}, // 11110010001101110
  {0xcf90, ulhc(17, 000362157)}, // 11110010001101111
  {0x023c, ulhc(17, 000370204)}, // 11111000010000100
  {0x2501, ulhc(17, 000370205)}, // 11111000010000101
  {0xcf72, ulhc(17, 000370206)}, // 11111000010000110
  {0xcf7f, ulhc(17, 000370207)}, // 11111000010000111
  {0xcfac, ulhc(17, 000370234)}, // 11111000010011100
  {0x0228, ulhc(17, 000373234)}, // 11111011010011100
  {0x0236, ulhc(17, 000373235)}, // 11111011010011101
  {0x023e, ulhc(17, 000373236)}, // 11111011010011110
  {0x1a08, ulhc(17, 000373237)}, // 11111011010011111
  {0x9868, ulhc(17, 000376040)}, // 11111110000100000
  {0x9982, ulhc(17, 000376041)}, // 11111110000100001
  {0x9a60, ulhc(17, 000376042)}, // 11111110000100010
  {0x9a68, ulhc(17, 000376043)}, // 11111110000100011
  {0x9b08, ulhc(17, 000376044)}, // 11111110000100100
  {0x9b82, ulhc(17, 000376045)}, // 11111110000100101
  {0xc0d7, ulhc(17, 000376046)}, // 11111110000100110
  {0xc1b9, ulhc(17, 000376047)}, // 11111110000100111
  {0x024c, ulhc(18, 000000060)}, // 000000000000110000
  {0xce80, ulhc(18, 000000061)}, // 000000000000110001
  {0xce8e, ulhc(18, 000000062)}, // 000000000000110010
  {0xcea1, ulhc(18, 000000063)}, // 000000000000110011
  {0xcedf, ulhc(18, 000023560)}, // 000010011101110000
  {0xcef2, ulhc(18, 000023561)}, // 000010011101110001
  {0x0202, ulhc(18, 000054627)}, // 000101100110010111
  {0x110c, ulhc(18, 000112574)}, // 001001010101111100
  {0x1705, ulhc(18, 000112575)}, // 001001010101111101
  {0xc097, ulhc(18, 000112576)}, // 001001010101111110
  {0xc113, ulhc(18, 000112577)}, // 001001010101111111
  {0xc119, ulhc(18, 000115040)}, // 001001101000100000
  {0xc120, ulhc(18, 000115041)}, // 001001101000100001
  {0xc178, ulhc(18, 000115042)}, // 001001101000100010
  {0xc1b6, ulhc(18, 000115043)}, // 001001101000100011
  {0xce97, ulhc(18, 000115044)}, // 001001101000100100
  {0xcecd, ulhc(18, 000115045)}, // 001001101000100101
  {0xced0, ulhc(18, 000115046)}, // 001001101000100110
  {0xcee9, ulhc(18, 000115047)}, // 001001101000100111
  {0xcf52, ulhc(18, 000115050)}, // 001001101000101000
  {0xcf55, ulhc(18, 000115051)}, // 001001101000101001
  {0xf530, ulhc(18, 000115052)}, // 001001101000101010
  {0x01c4, ulhc(18, 000174547)}, // 001111100101100111
  {0x4081, ulhc(18, 000215246)}, // 010001101010100110
  {0xc16f, ulhc(18, 000215247)}, // 010001101010100111
  {0xce98, ulhc(18, 000220120)}, // 010010000001010000
  {0xcee5, ulhc(18, 000220121)}, // 010010000001010001
  {0xcf63, ulhc(18, 000220122)}, // 010010000001010010
  {0x1702, ulhc(18, 000267204)}, // 010110111010000100
  {0xc0a3, ulhc(18, 000267205)}, // 010110111010000101
  {0xc123, ulhc(18, 000267206)}, // 010110111010000110
  {0xce81, ulhc(18, 000267207)}, // 010110111010000111
  {0xce95, ulhc(18, 000267210)}, // 010110111010001000
  {0xceca, ulhc(18, 000267211)}, // 010110111010001001
  {0xcf61, ulhc(18, 000267212)}, // 010110111010001010
  {0xcf62, ulhc(18, 000267213)}, // 010110111010001011
  {0xd0da, ulhc(18, 000267214)}, // 010110111010001100
  {0xe3ca, ulhc(18, 000267215)}, // 010110111010001101
  {0x011f, ulhc(18, 000354266)}, // 011101100010110110
  {0x020a, ulhc(18, 000354267)}, // 011101100010110111
  {0x0250, ulhc(18, 000354270)}, // 011101100010111000
  {0x1e01, ulhc(18, 000354271)}, // 011101100010111001
  {0x4065, ulhc(18, 000354272)}, // 011101100010111010
  {0x40a1, ulhc(18, 000354273)}, // 011101100010111011
  {0x41b0, ulhc(18, 000354274)}, // 011101100010111100
  {0x41b1, ulhc(18, 000354275)}, // 011101100010111101
  {0xc01c, ulhc(18, 000354276)}, // 011101100010111110
  {0xc125, ulhc(18, 000354277)}, // 011101100010111111
  {0xc1b0, ulhc(18, 000357400)}, // 011101111100000000
  {0xce8c, ulhc(18, 000357401)}, // 011101111100000001
  {0xce92, ulhc(18, 000357402)}, // 011101111100000010
  {0xce9e, ulhc(18, 000357403)}, // 011101111100000011
  {0xcea0, ulhc(18, 000357404)}, // 011101111100000100
  {0xced4, ulhc(18, 000357405)}, // 011101111100000101
  {0xcf4e, ulhc(18, 000357406)}, // 011101111100000110
  {0xe7fc, ulhc(18, 000357407)}, // 011101111100000111
  {0xbd82, ulhc(18, 000405771)}, // 100000101111111001
  {0xc099, ulhc(18, 000417644)}, // 100001111110100100
  {0xce8d, ulhc(18, 000417645)}, // 100001111110100101
  {0xcf5a, ulhc(18, 000417646)}, // 100001111110100110
  {0xcf5f, ulhc(18, 000417647)}, // 100001111110100111
  {0xcf6b, ulhc(18, 000417650)}, // 100001111110101000
  {0xcf74, ulhc(18, 000417651)}, // 100001111110101001
  {0xd0dd, ulhc(18, 000417652)}, // 100001111110101010
  {0xd0df, ulhc(18, 000417653)}, // 100001111110101011
  {0xc020, ulhc(18, 000443433)}, // 100100011100011011
  {0xc0e6, ulhc(18, 000506336)}, // 101000110011011110
  {0xce9a, ulhc(18, 000506337)}, // 101000110011011111
  {0xcee0, ulhc(18, 000535554)}, // 101011101101101100
  {0xcf8b, ulhc(18, 000535555)}, // 101011101101101101
  {0x0208, ulhc(18, 000623622)}, // 110010011110010010
  {0x4194, ulhc(18, 000623623)}, // 110010011110010011
  {0x4197, ulhc(18, 000623624)}, // 110010011110010100
  {0xc019, ulhc(18, 000623625)}, // 110010011110010101
  {0xc01d, ulhc(18, 000623626)}, // 110010011110010110
  {0xc11c, ulhc(18, 000623627)}, // 110010011110010111
  {0xce83, ulhc(18, 000623630)}, // 110010011110011000
  {0xce9c, ulhc(18, 000623631)}, // 110010011110011001
  {0xce9d, ulhc(18, 000623632)}, // 110010011110011010
  {0xcecb, ulhc(18, 000623633)}, // 110010011110011011
  {0xced9, ulhc(18, 000623634)}, // 110010011110011100
  {0xcf54, ulhc(18, 000623635)}, // 110010011110011101
  {0xd0d3, ulhc(18, 000623636)}, // 110010011110011110
  {0xf4a0, ulhc(18, 000623637)}, // 110010011110011111
  {0x0127, ulhc(18, 000663250)}, // 110110011010101000
  {0x01cc, ulhc(18, 000663251)}, // 110110011010101001
  {0x4196, ulhc(18, 000663252)}, // 110110011010101010
  {0xce82, ulhc(18, 000663253)}, // 110110011010101011
  {0xce8a, ulhc(18, 000663254)}, // 110110011010101100
  {0xcee1, ulhc(18, 000663255)}, // 110110011010101101
  {0xcf67, ulhc(18, 000663256)}, // 110110011010101110
  {0xcff6, ulhc(18, 000663257)}, // 110110011010101111
  {0xdffa, ulhc(18, 000665764)}, // 110110101111110100
  {0xeae0, ulhc(18, 000665765)}, // 110110101111110101
  {0x001a, ulhc(18, 000670373)}, // 110111000011111011
  {0x01d0, ulhc(18, 000701102)}, // 111000001001000010
  {0x040a, ulhc(18, 000701103)}, // 111000001001000011
  {0x0604, ulhc(18, 000701104)}, // 111000001001000100
  {0x0607, ulhc(18, 000701105)}, // 111000001001000101
  {0x060a, ulhc(18, 000701106)}, // 111000001001000110
  {0x0907, ulhc(18, 000701107)}, // 111000001001000111
  {0x090a, ulhc(18, 000701110)}, // 111000001001001000
  {0x0e04, ulhc(18, 000701111)}, // 111000001001001001
  {0x0e0a, ulhc(18, 000701112)}, // 111000001001001010
  {0x0f02, ulhc(18, 000701113)}, // 111000001001001011
  {0x1307, ulhc(18, 000701114)}, // 111000001001001100
  {0x1308, ulhc(18, 000701115)}, // 111000001001001101
  {0x1f02, ulhc(18, 000701116)}, // 111000001001001110
  {0x2505, ulhc(18, 000701117)}, // 111000001001001111
  {0xc082, ulhc(18, 000701120)}, // 111000001001010000
  {0xc093, ulhc(18, 000701121)}, // 111000001001010001
  {0xc0e2, ulhc(18, 000701122)}, // 111000001001010010
  {0xc127, ulhc(18, 000701123)}, // 111000001001010011
  {0xc12d, ulhc(18, 000701124)}, // 111000001001010100
  {0xc133, ulhc(18, 000701125)}, // 111000001001010101
  {0xc141, ulhc(18, 000701126)}, // 111000001001010110
  {0xce78, ulhc(18, 000701127)}, // 111000001001010111
  {0xce87, ulhc(18, 000701130)}, // 111000001001011000
  {0xce93, ulhc(18, 000701131)}, // 111000001001011001
  {0xcece, ulhc(18, 000701132)}, // 111000001001011010
  {0xcf6c, ulhc(18, 000701133)}, // 111000001001011011
  {0xcf6d, ulhc(18, 000701134)}, // 111000001001011100
  {0xe9fd, ulhc(18, 000701135)}, // 111000001001011101
  {0xe9fe, ulhc(18, 000701136)}, // 111000001001011110
  {0x01c2, ulhc(18, 000750400)}, // 111101000100000000
  {0x0246, ulhc(18, 000750401)}, // 111101000100000001
  {0x024e, ulhc(18, 000750402)}, // 111101000100000010
  {0x1501, ulhc(18, 000750403)}, // 111101000100000011
  {0x41d6, ulhc(18, 000750404)}, // 111101000100000100
  {0xce79, ulhc(18, 000750405)}, // 111101000100000101
  {0xce7c, ulhc(18, 000750406)}, // 111101000100000110
  {0xce88, ulhc(18, 000750407)}, // 111101000100000111
  {0xd0bd, ulhc(18, 000760472)}, // 111110000100111010
  {0x1e05, ulhc(18, 000760473)}, // 111110000100111011
  {0x99cc, ulhc(18, 000774300)}, // 111111100011000000
  {0x9bca, ulhc(18, 000774301)}, // 111111100011000001
  {0x9bcc, ulhc(18, 000774302)}, // 111111100011000010
  {0xc130, ulhc(18, 000774303)}, // 111111100011000011
  {0xce75, ulhc(18, 000774304)}, // 111111100011000100
  {0xce94, ulhc(18, 000774305)}, // 111111100011000101
  {0xd0d4, ulhc(18, 000774306)}, // 111111100011000110
  {0xe3cb, ulhc(18, 000774307)}, // 111111100011000111
  {0xefc0, ulhc(19, 000131454)}, // 0001011001100101100
  {0x0019, ulhc(19, 000131455)}, // 0001011001100101101
  {0x0125, ulhc(19, 000232126)}, // 0010011010001010110
  {0x0210, ulhc(19, 000232127)}, // 0010011010001010111
  {0x0244, ulhc(19, 000232130)}, // 0010011010001011000
  {0x0258, ulhc(19, 000232131)}, // 0010011010001011001
  {0x0260, ulhc(19, 000232132)}, // 0010011010001011010
  {0x0264, ulhc(19, 000232133)}, // 0010011010001011011
  {0x0f05, ulhc(19, 000232134)}, // 0010011010001011100
  {0xc112, ulhc(19, 000232135)}, // 0010011010001011101
  {0xce6f, ulhc(19, 000232136)}, // 0010011010001011110
  {0xce76, ulhc(19, 000232137)}, // 0010011010001011111
  {0xcec5, ulhc(19, 000241120)}, // 0010100001001010000
  {0xced5, ulhc(19, 000241121)}, // 0010100001001010001
  {0xcf4d, ulhc(19, 000241122)}, // 0010100001001010010
  {0xd0d9, ulhc(19, 000241123)}, // 0010100001001010011
  {0xdfe6, ulhc(19, 000241124)}, // 0010100001001010100
  {0x025a, ulhc(19, 000440247)}, // 0100100000010100111
  {0x1009, ulhc(19, 000556434)}, // 0101101110100011100
  {0x1209, ulhc(19, 000556435)}, // 0101101110100011101
  {0x1409, ulhc(19, 000556436)}, // 0101101110100011110
  {0xc117, ulhc(19, 000556437)}, // 0101101110100011111
  {0xce73, ulhc(19, 000562740)}, // 0101110010111100000
  {0xce7d, ulhc(19, 000562741)}, // 0101110010111100001
  {0xce90, ulhc(19, 000562742)}, // 0101110010111100010
  {0xcec0, ulhc(19, 000562743)}, // 0101110010111100011
  {0xcecf, ulhc(19, 000562744)}, // 0101110010111100100
  {0xced3, ulhc(19, 000562745)}, // 0101110010111100101
  {0xcf50, ulhc(19, 000562746)}, // 0101110010111100110
  {0xe3cd, ulhc(19, 000562747)}, // 0101110010111100111
  {0xe6e0, ulhc(19, 001013760)}, // 1000001011111110000
  {0x0123, ulhc(19, 001013761)}, // 1000001011111110001
  {0x1602, ulhc(19, 001037530)}, // 1000011111101011000
  {0x41d1, ulhc(19, 001037531)}, // 1000011111101011001
  {0x9959, ulhc(19, 001037532)}, // 1000011111101011010
  {0x9b59, ulhc(19, 001037533)}, // 1000011111101011011
  {0x9b7f, ulhc(19, 001037534)}, // 1000011111101011100
  {0xbdb1, ulhc(19, 001037535)}, // 1000011111101011101
  {0xc0c1, ulhc(19, 001037536)}, // 1000011111101011110
  {0xce72, ulhc(19, 001037537)}, // 1000011111101011111
  {0xce9f, ulhc(19, 001037760)}, // 1000011111111110000
  {0xceea, ulhc(19, 001037761)}, // 1000011111111110001
  {0xcef3, ulhc(19, 001037762)}, // 1000011111111110010
  {0xcf4b, ulhc(19, 001037763)}, // 1000011111111110011
  {0xe88f, ulhc(19, 001037764)}, // 1000011111111110100
  {0x0121, ulhc(19, 001454400)}, // 1100101100100000000
  {0x0206, ulhc(19, 001454401)}, // 1100101100100000001
  {0x020c, ulhc(19, 001454402)}, // 1100101100100000010
  {0xc11a, ulhc(19, 001454403)}, // 1100101100100000011
  {0xce7b, ulhc(19, 001454404)}, // 1100101100100000100
  {0xce7e, ulhc(19, 001454405)}, // 1100101100100000101
  {0xce8b, ulhc(19, 001454406)}, // 1100101100100000110
  {0xcec1, ulhc(19, 001454407)}, // 1100101100100000111
  {0xcec3, ulhc(19, 001500210)}, // 1101000000010001000
  {0xced2, ulhc(19, 001500211)}, // 1101000000010001001
  {0xceda, ulhc(19, 001500212)}, // 1101000000010001010
  {0xcedc, ulhc(19, 001500213)}, // 1101000000010001011
  {0xcede, ulhc(19, 001560764)}, // 1101110000111110100
  {0x020e, ulhc(19, 001560765)}, // 1101110000111110101
  {0x0212, ulhc(19, 001602276)}, // 1110000010010111110
  {0x0252, ulhc(19, 001602277)}, // 1110000010010111111
  {0x0262, ulhc(19, 001602300)}, // 1110000010011000000
  {0x0408, ulhc(19, 001602301)}, // 1110000010011000001
  {0x0409, ulhc(19, 001602302)}, // 1110000010011000010
  {0x040d, ulhc(19, 001602303)}, // 1110000010011000011
  {0x0608, ulhc(19, 001602304)}, // 1110000010011000100
  {0x0609, ulhc(19, 001602305)}, // 1110000010011000101
  {0x060d, ulhc(19, 001602306)}, // 1110000010011000110
  {0x0904, ulhc(19, 001602307)}, // 1110000010011000111
  {0x0908, ulhc(19, 001602310)}, // 1110000010011001000
  {0x0909, ulhc(19, 001602311)}, // 1110000010011001001
  {0x090d, ulhc(19, 001602312)}, // 1110000010011001010
  {0x0d04, ulhc(19, 001602313)}, // 1110000010011001011
  {0x0d07, ulhc(19, 001602314)}, // 1110000010011001100
  {0x0e08, ulhc(19, 001602315)}, // 1110000010011001101
  {0x0e09, ulhc(19, 001602316)}, // 1110000010011001110
  {0x0e0d, ulhc(19, 001602317)}, // 1110000010011001111
  {0x110d, ulhc(19, 001602320)}, // 1110000010011010000
  {0x1309, ulhc(19, 001602321)}, // 1110000010011010001
  {0x1604, ulhc(19, 001602322)}, // 1110000010011010010
  {0x1809, ulhc(19, 001602323)}, // 1110000010011010011
  {0x1c0a, ulhc(19, 001602324)}, // 1110000010011010100
  {0x4024, ulhc(19, 001602325)}, // 1110000010011010101
  {0x4025, ulhc(19, 001602326)}, // 1110000010011010110
  {0x4064, ulhc(19, 001602327)}, // 1110000010011010111
  {0xc025, ulhc(19, 001602330)}, // 1110000010011011000
  {0xc07a, ulhc(19, 001602331)}, // 1110000010011011001
  {0xc07d, ulhc(19, 001602332)}, // 1110000010011011010
  {0xc088, ulhc(19, 001602333)}, // 1110000010011011011
  {0xc08d, ulhc(19, 001602334)}, // 1110000010011011100
  {0xc08f, ulhc(19, 001602335)}, // 1110000010011011101
  {0xc09c, ulhc(19, 001602336)}, // 1110000010011011110
  {0xc0cd, ulhc(19, 001602337)}, // 1110000010011011111
  {0xc0cf, ulhc(19, 001641140)}, // 1110100001001100000
  {0xc0e8, ulhc(19, 001641141)}, // 1110100001001100001
  {0xc116, ulhc(19, 001641142)}, // 1110100001001100010
  {0xc15e, ulhc(19, 001641143)}, // 1110100001001100011
  {0xc182, ulhc(19, 001641144)}, // 1110100001001100100
  {0xce89, ulhc(19, 001641145)}, // 1110100001001100101
  {0xce9b, ulhc(19, 001641146)}, // 1110100001001100110
  {0xcebf, ulhc(19, 001641147)}, // 1110100001001100111
  {0xcedb, ulhc(19, 001641150)}, // 1110100001001101000
  {0xcedd, ulhc(19, 001641151)}, // 1110100001001101001
  {0xcf53, ulhc(19, 001641152)}, // 1110100001001101010
  {0xeee0, ulhc(19, 001641153)}, // 1110100001001101011
  {0xefc6, ulhc(19, 001641154)}, // 1110100001001101100
  {0x0129, ulhc(20, 000502252)}, // 00101000010010101010
  {0x0268, ulhc(20, 000502253)}, // 00101000010010101011
  {0x9b14, ulhc(20, 000502254)}, // 00101000010010101100
  {0xce6d, ulhc(20, 000502255)}, // 00101000010010101101
  {0xce71, ulhc(20, 000502256)}, // 00101000010010101110
  {0xcea3, ulhc(20, 000502257)}, // 00101000010010101111
  {0xceb6, ulhc(20, 000762630)}, // 00111110010110011000
  {0xcec6, ulhc(20, 000762631)}, // 00111110010110011001
  {0xcec7, ulhc(20, 000762632)}, // 00111110010110011010
  {0xcec9, ulhc(20, 000762633)}, // 00111110010110011011
  {0xcf51, ulhc(20, 001100514)}, // 01001000000101001100
  {0xf558, ulhc(20, 001100515)}, // 01001000000101001101
  {0x012b, ulhc(20, 002077752)}, // 10000111111111101010
  {0x026a, ulhc(20, 002077753)}, // 10000111111111101011
  {0xce70, ulhc(20, 002077754)}, // 10000111111111101100
  {0xce74, ulhc(20, 002077755)}, // 10000111111111101101
  {0xcea2, ulhc(20, 002077756)}, // 10000111111111101110
  {0xced1, ulhc(20, 002077757)}, // 10000111111111101111
  {0xd0dc, ulhc(20, 002142220)}, // 10001100010010010000
  {0xff83, ulhc(20, 002142221)}, // 10001100010010010001
  {0x0256, ulhc(20, 003502332)}, // 11101000010011011010
  {0x040c, ulhc(20, 003502333)}, // 11101000010011011011
  {0x060c, ulhc(20, 003502334)}, // 11101000010011011100
  {0x090c, ulhc(20, 003502335)}, // 11101000010011011101
  {0x0e0c, ulhc(20, 003502336)}, // 11101000010011011110
  {0x4045, ulhc(20, 003502337)}, // 11101000010011011111
  {0xce7f, ulhc(20, 003517140)}, // 11101001111001100000
  {0xceb8, ulhc(20, 003517141)}, // 11101001111001100001
  {0xcebd, ulhc(20, 003517142)}, // 11101001111001100010
  {0xcebe, ulhc(20, 003517143)}, // 11101001111001100011
  {0xceee, ulhc(20, 003517144)}, // 11101001111001100100
  {0xcef1, ulhc(20, 003517145)}, // 11101001111001100101
  {0xcff5, ulhc(20, 003517146)}, // 11101001111001100110
  {0xdff9, ulhc(20, 003517147)}, // 11101001111001100111
  {0x0254, ulhc(21, 004304444)}, // 100011000100100100100
  {0x026c, ulhc(21, 004304445)}, // 100011000100100100101
  {0xc06a, ulhc(21, 004304446)}, // 100011000100100100110
  {0xcea4, ulhc(21, 004304447)}, // 100011000100100100111
  {0xcea5, ulhc(21, 004304450)}, // 100011000100100101000
  {0xceba, ulhc(21, 004304451)}, // 100011000100100101001
  {0xcebc, ulhc(21, 004304452)}, // 100011000100100101010
  {0xcec2, ulhc(21, 004304453)}, // 100011000100100101011
  {0xcec8, ulhc(21, 004304454)}, // 100011000100100101100
  {0xceeb, ulhc(21, 004304455)}, // 100011000100100101101
  {0xceec, ulhc(21, 004304456)}, // 100011000100100101110
  {0xceed, ulhc(21, 004304457)}, // 100011000100100101111
  {0xcef4, ulhc(21, 004434320)}, // 100100011100011010000
  {0xcef6, ulhc(21, 004434321)}, // 100100011100011010001
  {0xcef7, ulhc(21, 004434322)}, // 100100011100011010010
  {0x025e, ulhc(22, 011070646)}, // 1001000111000110100110
  {0x0266, ulhc(22, 011070647)}, // 1001000111000110100111
  {0x1103, ulhc(22, 011070650)}, // 1001000111000110101000
  {0xc0a0, ulhc(22, 011070651)}, // 1001000111000110101001
  {0xceb9, ulhc(22, 011070652)}, // 1001000111000110101010
  {0xcebb, ulhc(22, 011070653)}, // 1001000111000110101011
  {0xceef, ulhc(22, 011070654)}, // 1001000111000110101100
  {0xcef0, ulhc(22, 011070655)}, // 1001000111000110101101
  {0xcef5, ulhc(22, 011070656)}, // 1001000111000110101110
  {0xcf4f, ulhc(22, 011070657)}, // 1001000111000110101111
};


// Bootloader templates

/*
 * m169_autobaud_uart0_noled_pr      m169a_autobaud_uart0_noled        m169a_autobaud_uart0_noled_pr
 * m169p_autobaud_uart0_noled        m169p_autobaud_uart0_noled_pr     m169pa_autobaud_uart0_noled
 * m169pa_autobaud_uart0_noled_pr    m165_autobaud_uart0_noled         m165_autobaud_uart0_noled_pr
 * m165a_autobaud_uart0_noled        m165a_autobaud_uart0_noled_pr     m165p_autobaud_uart0_noled
 * m165p_autobaud_uart0_noled_pr     m165pa_autobaud_uart0_noled       m165pa_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m169_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x416caef2776c7b21,
  0xfa1e7fba9827c602, 0x74088153e123d7fd, 0xaa935f3873017488, 0xc90e1b46f6a8e15f, 0xfc19a4f51ebf9df2,
  0x05bdd35ad52e38e9, 0x173b1a446678e62c, 0x2b21ab71cb1823af, 0xe73859bf0312b5ec, 0x16f378392b01deb5,
  0x5fcdba96ae5297ce, 0x9d10267c502169dc, 0x612e65f36d38c6f1, 0xc81a3f8d163ce1bb, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0xae3e792bf734332c, 0x0000000007110249,
};

/*
 * m169a_autobaud_uart0_noled_pr_u4  m169p_autobaud_uart0_noled_pr_u4  m169pa_autobaud_uart0_noled_pr_u4
 * m165_autobaud_uart0_noled_pr_u4   m165a_autobaud_uart0_noled_pr_u4  m165p_autobaud_uart0_noled_pr_u4
 * m165pa_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m169_autobaud_uart0_noled_pr_u4[] = {
  0x6eeeeeed1222e59b, 0xbbbbbaabf0bedb89, 0xf4bc7cc982fdb1fb, 0x1c00f26eeedc4e1f, 0x93bbc962732193aa,
  0xfcc13e30120b6577, 0x9f09751fe78167f6, 0xc3980ba443a0440a, 0x37b5470afd549af9, 0xd47e80ef9610f0da,
  0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6, 0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0xc2cdf81895af60e3,
  0x7807d4180ef5af39, 0x75539794d8ce16f3, 0xd2c2e718de33a205, 0xe6d892455bd8aaa2, 0xe2e4d5c1e6c25ccb,
  0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x186bea8880a792bf, 0x0000000000000001,
};

/*
 * m169_autobaud_uart0_noled_pr_ee_u4 m169a_autobaud_uart0_noled_pr_ee
 * m169a_autobaud_uart0_noled_pr_ee_u4 m169p_autobaud_uart0_noled_pr_ee
 * m169p_autobaud_uart0_noled_pr_ee_u4 m169pa_autobaud_uart0_noled_pr_ee
 * m169pa_autobaud_uart0_noled_pr_ee_u4 m165_autobaud_uart0_noled_pr_ee
 * m165_autobaud_uart0_noled_pr_ee_u4 m165a_autobaud_uart0_noled_pr_ee
 * m165a_autobaud_uart0_noled_pr_ee_u4 m165p_autobaud_uart0_noled_pr_ee
 * m165p_autobaud_uart0_noled_pr_ee_u4 m165pa_autobaud_uart0_noled_pr_ee
 * m165pa_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m169_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x04f8c0482d95de4e, 0x4a577f9e059fd9d3, 0xc05d221d022054f8, 0xaa3857eaa4d7ce1c, 0x49aad68e7186d1bd,
  0xf06cc1a63ea3cae4, 0xd68450ef8afbaf51, 0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059,
  0x8a39e461c6c6ab5d, 0xadc37b2d97317090, 0x600544a9a546c11f, 0xaf39c2cdf81895af, 0x16f37807d4180ef5,
  0xa20575539794d8ce, 0xaaa2d2c2e718de33, 0x5ccbe6d892455bd8, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00009a9c9a0880a7,
};

/*
 * m169_autobaud_uart0_noled_pr_ce_u4 m169a_autobaud_uart0_noled_pr_ce
 * m169a_autobaud_uart0_noled_pr_ce_u4 m169p_autobaud_uart0_noled_pr_ce
 * m169p_autobaud_uart0_noled_pr_ce_u4 m169pa_autobaud_uart0_noled_pr_ce
 * m169pa_autobaud_uart0_noled_pr_ce_u4 m165_autobaud_uart0_noled_pr_ce
 * m165_autobaud_uart0_noled_pr_ce_u4 m165a_autobaud_uart0_noled_pr_ce
 * m165a_autobaud_uart0_noled_pr_ce_u4 m165p_autobaud_uart0_noled_pr_ce
 * m165p_autobaud_uart0_noled_pr_ce_u4 m165pa_autobaud_uart0_noled_pr_ce
 * m165pa_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x95a609f180905b2b, 0xa9f09143ff3c0b3f, 0x9c3980ba443a0440, 0xa37b5470afd549af, 0x953b7f2e2fae490d,
  0xd8488bee24b1e78c, 0x3fcc41fa8f84bf10, 0xb9633f5933c5dc6e, 0x8e9fc1eb3d4727a7, 0x7ac398b0147ce923,
  0xf6678ebd1f3b57f4, 0x3cb5b87d99e5403f, 0x66fc0c4ad7b071f0, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc,
  0x61738c6f19d102ba, 0xd89218edec555169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xabcdb880a792bf73,
  0x000000000000011b,
};

/*
 * m169a_autobaud_uart0_noled_pr_ee_ce m169p_autobaud_uart0_noled_pr_ee_ce
 * m169pa_autobaud_uart0_noled_pr_ee_ce m165_autobaud_uart0_noled_pr_ee_ce
 * m165a_autobaud_uart0_noled_pr_ee_ce m165p_autobaud_uart0_noled_pr_ee_ce
 * m165pa_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m169_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x04f8c0482d95de4e, 0x905aff3c0b3e3373, 0x80ba443a0440a9f0, 0x5470afd549af9c39, 0x877fd51bf90da37b,
  0x5da1f7e78c953bc0, 0xacac7be6139dc6e3, 0x06b5fd4795f5129d, 0x814c5613fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd388ea426be8, 0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132,
  0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00566d3ebc4053c9,
};

/*
 * m169a_autobaud_uart0_noled_pr_ee_ce_u4 m169p_autobaud_uart0_noled_pr_ee_ce_u4
 * m169pa_autobaud_uart0_noled_pr_ee_ce_u4 m165_autobaud_uart0_noled_pr_ee_ce_u4
 * m165a_autobaud_uart0_noled_pr_ee_ce_u4 m165p_autobaud_uart0_noled_pr_ee_ce_u4
 * m165pa_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x2ddddddda2435f41, 0x7777775573c14671, 0x6ec48f4eb23a1bb7, 0x6277d3c3f006ead0, 0x3bb45fddb62ae264,
  0xcc13e30120b65779, 0x094edffd8aecfd6f, 0x980ba443a0440a9f, 0xb5470afd549af9c3, 0x06e2faa390f0da37,
  0xfb892c79e50b8387, 0x7ea3e12fc4361222, 0xbe678bb8dce8fa92, 0xa8f2bea253b5b9b7, 0xc27fa8f83660d6bf,
  0x291669d68450298a, 0x711d484d7d185962, 0x76ded1e0b39d5dba, 0x871b1aaf1b1d79d3, 0xb65cc5c24228e791,
  0x534a8d8226470dec, 0x9bf0312b5ec2ce89, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0, 0x85ce31bc67440aea,
  0x624863b7b15545a5, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x08221b906e8b3c95,
};

/*
 * m169a_autobaud_uart0_noled_hw     m169p_autobaud_uart0_noled_hw     m169pa_autobaud_uart0_noled_hw
 * m165_autobaud_uart0_noled_hw      m165a_autobaud_uart0_noled_hw     m165p_autobaud_uart0_noled_hw
 * m165pa_autobaud_uart0_noled_hw
 */
static const uint64_t ur_m169_autobaud_uart0_noled_hw[] = {
  0x25bbbbbbbacdc49f, 0xeeeeeeeaafc2eebe, 0x20da569425f9b006, 0xb4133f4a64f77775, 0x0b657793bb98921a,
  0x38f3e7acc13e3012, 0xa0440a9f094beffc, 0x549af9c3980ba443, 0x4870da37b5470afd, 0xf06693d47e78ef96,
  0x16f74c37c9e8e3a7, 0x5cecf691e33398b0, 0x2b289dc72c608ebc, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5,
  0x40aeaa72f29b19c2, 0x545a585ce31bc674, 0x997cdb1248ab7b15, 0x615c9f9fd86ed84b, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x00000db2d5bbb053,
};

/*
 * m169a_autobaud_uart0_noled_ee_hw  m169p_autobaud_uart0_noled_ee_hw  m169pa_autobaud_uart0_noled_ee_hw
 * m165_autobaud_uart0_noled_ee_hw   m165a_autobaud_uart0_noled_ee_hw  m165p_autobaud_uart0_noled_ee_hw
 * m165pa_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m169_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0x674c13e30120b657, 0x54f84a577fd0a67f, 0xce1cc05d221d0220, 0xd1bdaa3857eaa4d7, 0xcae449aad68e7186,
  0xaf51f06cc1a63ea3, 0x1669d68450ef8afb, 0x93484d7d18596229, 0xf059cead2f38ae35, 0xab5d0ebce9bb6f68,
  0x70908a39e461c6c6, 0xc11fadc37b2d9731, 0x95af600544a9a546, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418,
  0xde33a20575539794, 0x5bd8aaa2d2c2e718, 0xe6c25ccbe6d89245, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x24e8a792bf734332, 0x00000000000b13df,
};

/*
 * m169a_autobaud_uart0_noled_ce_hw  m169p_autobaud_uart0_noled_ce_hw  m169pa_autobaud_uart0_noled_ce_hw
 * m165_autobaud_uart0_noled_ce_hw   m165a_autobaud_uart0_noled_ce_hw  m165p_autobaud_uart0_noled_ce_hw
 * m165pa_autobaud_uart0_noled_ce_hw
 */
static const uint64_t ur_m169_autobaud_uart0_noled_ce_hw[] = {
  0x96eeeeeed1218375, 0x777777557a4fe2f8, 0x1889b0b4663b4177, 0xc4d2cfde3bdddda1, 0x6caef27760580ad6,
  0x4cfe569827c60241, 0x0440a9f09143ffa1, 0x49af9c3980ba443a, 0x490da37b5470afd5, 0xcf285c1c7f2e2fae,
  0x7e21b09117dc4963, 0xe370c7c66ff51f09, 0x3d3dcb19fac99e2e, 0x491c74fe0f59ea39, 0xbfa3d61cc580a3e7,
  0x01ffb33c75e8f9da, 0x8f81e5adc3eccf2a, 0xe70b37e06256bd83, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0x5f36c490c76f62aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0006e8dc60e5453c,
};

/*
 * m169_autobaud_uart0_noled_ee_ce_u4_hw m169a_autobaud_uart0_noled_ee_ce_hw
 * m169a_autobaud_uart0_noled_ee_ce_u4_hw m169p_autobaud_uart0_noled_ee_ce_hw
 * m169p_autobaud_uart0_noled_ee_ce_u4_hw m169pa_autobaud_uart0_noled_ee_ce_hw
 * m169pa_autobaud_uart0_noled_ee_ce_u4_hw m165_autobaud_uart0_noled_ee_ce_hw
 * m165_autobaud_uart0_noled_ee_ce_u4_hw m165a_autobaud_uart0_noled_ee_ce_hw
 * m165a_autobaud_uart0_noled_ee_ce_u4_hw m165p_autobaud_uart0_noled_ee_ce_hw
 * m165p_autobaud_uart0_noled_ee_ce_u4_hw m165pa_autobaud_uart0_noled_ee_ce_hw
 * m165pa_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xfcc13e30120b6577, 0x3e129dbffa14cfd6, 0x8730174887408815, 0x6f6a8e15faa935f3, 0x0e0dc5f54721e1b4,
  0x45f71258f3ca1707, 0x91fd47c25f886c24, 0xb7be678bb8dc4a8b, 0xbfa8f2bea253b5b9, 0x8ac27fa8f83660d6,
  0x62291669d6845029, 0xba711d484d7d1859, 0xd376ded1e0b39d5d, 0x91871b1aaf1b1d79, 0xecb65cc5c24228e7,
  0x89534a8d8226470d, 0x859bf0312b5ec2ce, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6, 0xa585ce31bc67440a,
  0x9b624863b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0009521b90a29e4a,
};

/*
 * m169a_autobaud_uart0_lednop       m169p_autobaud_uart0_lednop       m169pa_autobaud_uart0_lednop
 * m165_autobaud_uart0_lednop        m165a_autobaud_uart0_lednop       m165p_autobaud_uart0_lednop
 * m165pa_autobaud_uart0_lednop
 */
static const uint64_t ur_m169_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xfd0f3f224c13e301, 0x3a0440a9f09695fe, 0xd549af9c3980ba44, 0x64870da37b5470af, 0x7f06693d47278ef9,
  0x80b7ba61f3a48e3a, 0x8b9d9af91c829cc5, 0x0ac1f7b8e58c11d7, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0xf3fb0ddb09732f9b, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x662fd7ae3e792bf7, 0x000000000000000d,
};

/*
 * m169_autobaud_uart0_lednop_pr_u4  m169a_autobaud_uart0_lednop_pr    m169a_autobaud_uart0_lednop_pr_u4
 * m169p_autobaud_uart0_lednop_pr    m169p_autobaud_uart0_lednop_pr_u4 m169pa_autobaud_uart0_lednop_pr
 * m169pa_autobaud_uart0_lednop_pr_u4 m165_autobaud_uart0_lednop_pr
 * m165_autobaud_uart0_lednop_pr_u4  m165a_autobaud_uart0_lednop_pr    m165a_autobaud_uart0_lednop_pr_u4
 * m165p_autobaud_uart0_lednop_pr    m165p_autobaud_uart0_lednop_pr_u4 m165pa_autobaud_uart0_lednop_pr
 * m165pa_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr[] = {
  0xb77777768911259b, 0xdddddd55f85cb8c4, 0xedbf4a9171debd3d, 0xff1fe2f7776e270f, 0x4eecbbb120ce05c2,
  0x7304f8c0482d95de, 0x7c25dd7f9e059f8f, 0x0e602e910e81102a, 0xded51c2bf5526be7, 0x51ed63be5843c368,
  0xc907e38e9fc1a0bf, 0x4690ce62c0596537, 0xff6608ebd1f3b2cf, 0x0f2cf6d059a45403, 0x59bf0312b5ec82b4,
  0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8,
  0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0x880a792bf734332c, 0x000000001186080b,
};

/*
 * m169a_autobaud_uart0_lednop_pr_ee m169p_autobaud_uart0_lednop_pr_ee m169pa_autobaud_uart0_lednop_pr_ee
 * m165_autobaud_uart0_lednop_pr_ee  m165a_autobaud_uart0_lednop_pr_ee m165p_autobaud_uart0_lednop_pr_ee
 * m165pa_autobaud_uart0_lednop_pr_ee
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr_ee[] = {
  0xddddddd0f5a22044, 0x7777755717fa0b12, 0x34cfda9bfa7a6277, 0xb210646d6ef1f1b6, 0x829395c1086d16a2,
  0x3e30120b657793ba, 0xd37fe78167c6b4c1, 0x1748874088153e12, 0x8e15faa935f38730, 0x6ab5a39c61b46f6a,
  0x1b30698fa8f2b32a, 0x422877c561efd47c, 0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7,
  0x82791bdab1aad743, 0x70decb65cc5c2422, 0x021f667951b047eb, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xe722adec555169ab, 0x357079b09732f9b6, 0xf207e50d1674f8b9,
  0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x0000001353ba7a20,
};

/*
 * m169a_autobaud_uart0_lednop_pr_ee_u4 m169p_autobaud_uart0_lednop_pr_ee_u4
 * m169pa_autobaud_uart0_lednop_pr_ee_u4 m165_autobaud_uart0_lednop_pr_ee_u4
 * m165a_autobaud_uart0_lednop_pr_ee_u4 m165p_autobaud_uart0_lednop_pr_ee_u4
 * m165pa_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x09f180905b2bbc9d, 0x9656ff3c0b3fa6e6, 0x80ba443a0440a9f0, 0x5470afd549af9c39, 0xf355ad1af90da37b,
  0x83660f22fa8f2b09, 0xb422877c57227a8f, 0x6be8c2cb1148b34e, 0xd5a5e5f2e2899a42, 0x5eba9bb08a8f9e39,
  0x8afe8f596355ae87, 0xc37b2e1c8c5c2422, 0x0312b5ec5c0fbfad, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00001353922f880a,
};

/*
 * m169_autobaud_uart0_lednop_pr_ce_u4 m169a_autobaud_uart0_lednop_pr_ce
 * m169a_autobaud_uart0_lednop_pr_ce_u4 m169p_autobaud_uart0_lednop_pr_ce
 * m169p_autobaud_uart0_lednop_pr_ce_u4 m169pa_autobaud_uart0_lednop_pr_ce
 * m169pa_autobaud_uart0_lednop_pr_ce_u4 m165_autobaud_uart0_lednop_pr_ce
 * m165_autobaud_uart0_lednop_pr_ce_u4 m165a_autobaud_uart0_lednop_pr_ce
 * m165a_autobaud_uart0_lednop_pr_ce_u4 m165p_autobaud_uart0_lednop_pr_ce
 * m165p_autobaud_uart0_lednop_pr_ce_u4 m165pa_autobaud_uart0_lednop_pr_ce
 * m165pa_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0xba9827c602416cae, 0xa7c25813fcf02cfd, 0x70e602e910e81102, 0x8ded51c2bf5526be, 0xa9dd4ab8beb92436,
  0xc2445f71258f3c64, 0x6fc00fd47c25f886, 0x9633f5933c5dc6e5, 0xe9fc1eb3d47e927b, 0x43398b0153111638,
  0x99e3af47cecb3d1a, 0x2d6e416691500ffd, 0xbf0312b5ec82b40f, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x00000011bad59510,
};

/*
 * m169a_autobaud_uart0_lednop_pr_ee_ce m169p_autobaud_uart0_lednop_pr_ee_ce
 * m169pa_autobaud_uart0_lednop_pr_ee_ce m165_autobaud_uart0_lednop_pr_ee_ce
 * m165a_autobaud_uart0_lednop_pr_ee_ce m165p_autobaud_uart0_lednop_pr_ee_ce
 * m165pa_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x827c602416caef27, 0x4ac7ffcf02cf8689, 0xc05d221d022054f8, 0xaa3857eaa4d7ce1c, 0xb3bfea8dfc86d1bd,
  0x293f5ff3c64a9def, 0x6b2b1ef984e771b8, 0xc1ad7f51e57dd4a7, 0xa05315edff51f06c, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0x1d79d3768c919347, 0x282791bdab1aaf1b, 0x470decb65cc5c242, 0x8598fb33ca8d8226,
  0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0x8b93571b09732f9b, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e, 0xec7f880a792bf734,
  0x0000000000000566,
};

/*
 * m169a_autobaud_uart0_lednop_pr_ee_ce_u4 m169p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m169pa_autobaud_uart0_lednop_pr_ee_ce_u4 m165_autobaud_uart0_lednop_pr_ee_ce_u4
 * m165a_autobaud_uart0_lednop_pr_ee_ce_u4 m165p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m165pa_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x2ddddddda2436d3a, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0x776e76cd8f6c98cc,
  0x9827c602416caef2, 0x09620ffb15d9f43e, 0x980ba443a0440a9f, 0xb5470afd549af9c3, 0x6ae2faa390f0da37,
  0xfb892c79e50b8389, 0xfea3e12fc4361222, 0x7ccf1771b8089300, 0x51e57dd4a76b736f, 0xedff51f06cc1ad7f,
  0x522cd3ad08a05315, 0xea3a909afa30b2c4, 0x768c9193473abb71, 0xbdab1aaf1b1d79d3, 0xb65cc5c242282791,
  0x33ca8d8226470dec, 0x37e06256bd8598fb, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xa56e8b3c95fb9a19, 0x0000000000082265,
};

/*
 * m169a_autobaud_uart0_lednop_hw    m169p_autobaud_uart0_lednop_hw    m169pa_autobaud_uart0_lednop_hw
 * m165_autobaud_uart0_lednop_hw     m165a_autobaud_uart0_lednop_hw    m165p_autobaud_uart0_lednop_hw
 * m165pa_autobaud_uart0_lednop_hw
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xc38f3f224c13e301, 0x1d022054f84b4aff, 0xeaa4d7ce1cc05d22, 0xb24386d1bdaa3857, 0x3f83349ea393c77c,
  0xc05bdd30f9d2471d, 0xc5cecd7c8e414e62, 0x8560fbdc72c608eb, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xf9fd86ed84b997cd, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xb65afafb053c95fb, 0x0000000000000001,
};

/*
 * m169a_autobaud_uart0_lednop_ee_hw m169p_autobaud_uart0_lednop_ee_hw m169pa_autobaud_uart0_lednop_ee_hw
 * m165_autobaud_uart0_lednop_ee_hw  m165a_autobaud_uart0_lednop_ee_hw m165p_autobaud_uart0_lednop_ee_hw
 * m165pa_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0xd69827c602416cae, 0xa9f0969bffa14cf8, 0x9c3980ba443a0440, 0xa37b5470afd549af, 0x95995355ad1ce30d,
  0x7ea3e0d9834c7d47, 0x59a75a1143be2b0f, 0x4d2135f4616588a4, 0x93473ab4b9eab8d6, 0x56ba1d79d3768c91,
  0xe1211413c8ded58d, 0x823f5b86f65b2e62, 0x56bd8010fb33ca8d, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000b13c02b514f,
};

/*
 * m169a_autobaud_uart0_lednop_ce_hw m169p_autobaud_uart0_lednop_ce_hw m169pa_autobaud_uart0_lednop_ce_hw
 * m165_autobaud_uart0_lednop_ce_hw  m165a_autobaud_uart0_lednop_ce_hw m165p_autobaud_uart0_lednop_ce_hw
 * m165pa_autobaud_uart0_lednop_ce_hw
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_ce_hw[] = {
  0x2ddddddda2431768, 0xeeeeeeaaf49f8671, 0xc47179b163f6c8ee, 0x67ae34d4deeeed08, 0x657793ba6e8ed68f,
  0x67edd4c13e30120b, 0x22054f84b027fd0a, 0x4d7ce1cc05d221d0, 0x486d1bdaa3857eaa, 0xf285c1ca95717d72,
  0xe21b09117dc4963c, 0x8dcff81a3f51f097, 0x24f72c67eb2678bb, 0x2c71d3f83d67a8fd, 0x7a3486731602a622,
  0x1ffb33c75e8f9d96, 0x681e5adc82cd22a0, 0x70b37e06256bd905, 0x450603bd6bcf0202, 0xa53929d002de6f36,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xdc21fa29e4afdcd0, 0x0000000000006e8d,
};

/*
 * m169_autobaud_uart0_lednop_ee_ce_u4_hw m169a_autobaud_uart0_lednop_ee_ce_hw
 * m169a_autobaud_uart0_lednop_ee_ce_u4_hw m169p_autobaud_uart0_lednop_ee_ce_hw
 * m169p_autobaud_uart0_lednop_ee_ce_u4_hw m169pa_autobaud_uart0_lednop_ee_ce_hw
 * m169pa_autobaud_uart0_lednop_ee_ce_u4_hw m165_autobaud_uart0_lednop_ee_ce_hw
 * m165_autobaud_uart0_lednop_ee_ce_u4_hw m165a_autobaud_uart0_lednop_ee_ce_hw
 * m165a_autobaud_uart0_lednop_ee_ce_u4_hw m165p_autobaud_uart0_lednop_ee_ce_hw
 * m165p_autobaud_uart0_lednop_ee_ce_u4_hw m165pa_autobaud_uart0_lednop_ee_ce_hw
 * m165pa_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xfa609f180905b2bb, 0x4f84b107fd0a67d0, 0xe1cc05d221d02205, 0x1bdaa3857eaa4d7c, 0xc4b5717d51c8786d,
  0x117dc4963cf285c1, 0x9cbf51f097e21b09, 0x6def99e2ee372929, 0xafea3cafba94ed6e, 0x62bdbfea3e0d9835,
  0x588a459a75a1140a, 0x6e3d4752135f4616, 0x3a6ed1923268e757, 0xf237b56355e363af, 0xbd96cb98b8484504,
  0x1f667951b044c8e1, 0xe166fc0c4ad7b0b3, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xb8f3612e65f36dce, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x4cb4b453c95fb9a1, 0x000000000000012a,
};

/*
 * m169_autobaud_uart0_dual_pr       m169_autobaud_uart0_dual_pr_u4    m169a_autobaud_uart0_dual
 * m169a_autobaud_uart0_dual_pr      m169a_autobaud_uart0_dual_pr_u4   m169p_autobaud_uart0_dual
 * m169p_autobaud_uart0_dual_pr      m169p_autobaud_uart0_dual_pr_u4   m169pa_autobaud_uart0_dual
 * m169pa_autobaud_uart0_dual_pr     m169pa_autobaud_uart0_dual_pr_u4  m165_autobaud_uart0_dual
 * m165_autobaud_uart0_dual_pr       m165_autobaud_uart0_dual_pr_u4    m165a_autobaud_uart0_dual
 * m165a_autobaud_uart0_dual_pr      m165a_autobaud_uart0_dual_pr_u4   m165p_autobaud_uart0_dual
 * m165p_autobaud_uart0_dual_pr      m165p_autobaud_uart0_dual_pr_u4   m165pa_autobaud_uart0_dual
 * m165pa_autobaud_uart0_dual_pr     m165pa_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m169_autobaud_uart0_dual[] = {
  0x5bbbbbbb4486dd9e, 0xeeeeeedf8d4fed1b, 0xa71d6414ccf59f6e, 0xd3924c765bbbab8f, 0x20770fcabdd17ae2,
  0x827c602416caef24, 0x75b40c8949485249, 0x2e20614306d23037, 0xd6ebf32addcee9f1, 0x51d82ec3021c2574,
  0x14239227f0670e6f, 0x0f8510c4aff3f7c1, 0xabbbddf371fe0037, 0xba2a10cb434a4432, 0x5b774bff4073c269,
  0xfdcd7982c3795e42, 0x8874088153e127f3, 0x5faa935f38730174, 0xf9626a1b46f6a8e1, 0x74fe0c43fa8f914e,
  0x1602a83cd38bdf1c, 0x5e00ced6b23afe73, 0x21d21aa01ffb3047, 0xb8a92a93a07967b6, 0x0312b5ec9fc55f3b,
  0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b,
  0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0xba2cf257ee686658, 0x000000002e0a838d,
};

/*
 * m169a_autobaud_uart0_dual_pr_ee   m169p_autobaud_uart0_dual_pr_ee   m169pa_autobaud_uart0_dual_pr_ee
 * m165_autobaud_uart0_dual_pr_ee    m165a_autobaud_uart0_dual_pr_ee   m165p_autobaud_uart0_dual_pr_ee
 * m165pa_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ee[] = {
  0xadddddddd41432db, 0x7777776fc3f75c4d, 0x5f05947d3ef5c2f7, 0xcd8eba9be9dbb619, 0x1c115658219d210e,
  0xc0482d95de49ba77, 0x32252520551304f8, 0x850c1b48c0ddd6d0, 0xccab773ba7c4b881, 0x6c3101c1aee643ef,
  0x227f061a26f51dfe, 0x0c4aff3f7c114239, 0x7cdc04480370f851, 0x65a181110caaeef7, 0xff4073c262eb1508,
  0x82c3795e425b7ff9, 0x02a7c244ebfdcd79, 0xbe70e602e910e811, 0x368ded51c2bf5526, 0x3cad7dcd56b47224,
  0x4af51f06cc1829ea, 0x22cd3ad08a1df15d, 0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a,
  0x2e1211408a8f9eb1, 0xb047eb70decbe966, 0x7715250084feb151, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x3bb8d165abc6e3cd,
  0x861539fa9d599bf8, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813, 0xa42b537459e4afdc,
  0x0000000000000052,
};

/*
 * m169a_autobaud_uart0_dual_pr_ee_u4 m169p_autobaud_uart0_dual_pr_ee_u4
 * m169pa_autobaud_uart0_dual_pr_ee_u4 m165_autobaud_uart0_dual_pr_ee_u4
 * m165a_autobaud_uart0_dual_pr_ee_u4 m165p_autobaud_uart0_dual_pr_ee_u4
 * m165pa_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ee_u4[] = {
  0x36b7777776890c86, 0xbbbbbbbb7e1fbdfb, 0xa520adb178d5b5df, 0x0b201a2f537d3b74, 0x25dddd8dd9683cc5,
  0x13e30120b6577936, 0xb68191292909c7cc, 0xc40c2860da4606ee, 0x107e655bb9dd3e25, 0x3868d869a383fc9b,
  0x08e489fc1d8fcdea, 0xe144312bfcfdf045, 0xddeef9b949400dc3, 0x2a10cb40a5a21955, 0xf76bfe80e784df3a,
  0x35e60b0de579096d, 0x4088153e12eafff7, 0xa935f38730174887, 0xd2a1b46f6a8e15fa, 0x4f51e571ee6ab5a3,
  0xc57227a8f83660fe, 0xb1148b34eb422877, 0x5c20b9a426be8c2c, 0x08a8fa439d5a5f4a, 0xbb1aad743af6b13b,
  0xf18b8484515fd1d4, 0x2ae07dfd6e1bd971, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x5bcde5ba8301deb5,
  0xf7ca9bd4a7253a00, 0x74408ea2810b4e02, 0x84b997cdb4e31bc6, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x37459e4afdcd0ccb,
  0x00000000014a9205,
};

/*
 * m169a_autobaud_uart0_dual_pr_ce   m169p_autobaud_uart0_dual_pr_ce   m169pa_autobaud_uart0_dual_pr_ce
 * m165_autobaud_uart0_dual_pr_ce    m165a_autobaud_uart0_dual_pr_ce   m165p_autobaud_uart0_dual_pr_ce
 * m165pa_autobaud_uart0_dual_pr_ce
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ce[] = {
  0x5bbbbbba1eb432db, 0x7777776fc361009b, 0xb15cea2f2d5b9337, 0xaeec2c9f7bbba539, 0x322ee3822ac69e33,
  0x609f180905b2bbc9, 0x75b40c894948f5aa, 0x2e20614306d23037, 0xad6ff32addcee9f1, 0x1f76b609b6709db9,
  0x847244fe0cc7e6f5, 0xf0a21895fe7ef822, 0xeef77cdc672006e1, 0x150865a05d510caa, 0x70b5ff4073c264ad,
  0xcd7982c3795e425b, 0xe81102a7c25b3bfd, 0x5526be70e602e910, 0xa804368ded51c2bf, 0x1e7942e0e3a5b8be,
  0x4bf10d8488bee24b, 0xbb8dcc40d77fa8f8, 0x1bf3dcb19f52e678, 0x7c8e3a7f0752fd47, 0xd6475fce62c05050,
  0x03ff6678ebc019da, 0x9d03cb5b843a4354, 0x64fe2af9ddc54954, 0x0809c2cdf81895af, 0xbcd914180ef5af3c,
  0x537a94e4a7400b79, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xa7c371e6c25ccbe6, 0x4eaccdfc1ddc68b3,
  0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65, 0xbb1ba2cf257ee686,
  0x0000000000015af6,
};

/*
 * m169a_autobaud_uart0_dual_pr_ce_u4 m169p_autobaud_uart0_dual_pr_ce_u4
 * m169pa_autobaud_uart0_dual_pr_ce_u4 m165_autobaud_uart0_dual_pr_ce_u4
 * m165a_autobaud_uart0_dual_pr_ce_u4 m165p_autobaud_uart0_dual_pr_ce_u4
 * m165pa_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ce_u4[] = {
  0xdaddddddda2432db, 0x77777776fc361d6c, 0x765bf762fb2b535f, 0x4a3f738b56eeed89, 0xb82ee3822ac07c67,
  0x609f180905b2bbc9, 0xbada0644a4a42e0a, 0x971030a18369181b, 0x60d1f9956ee774f8, 0xa3f4fec2c7ce1ff2,
  0x508e489fc1f57cde, 0x3e144312bfcfdf04, 0x5ddeef9b895000dc, 0xe2a10cb412b22195, 0x6e707fe80e784cbe,
  0xb9af30586f2bc84b, 0x1d022054f84b2b7f, 0xeaa4d7ce1cc05d22, 0xd57c86d1bdaa3857, 0x63cf285c1c28b717,
  0x097e21b09117dc49, 0x1771b9881aeff51f, 0xf70e7b9633c38ccf, 0xef71c74fe0c38fa8, 0x13c8ded1cc580b10,
  0xfee39633c75e45bb, 0xfc55f3bb8a928e84, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x5af659b7459e4afd,
  0x0000000000000001,
};

/*
 * m169a_autobaud_uart0_dual_pr_ee_ce m169p_autobaud_uart0_dual_pr_ee_ce
 * m169pa_autobaud_uart0_dual_pr_ee_ce m165_autobaud_uart0_dual_pr_ee_ce
 * m165a_autobaud_uart0_dual_pr_ee_ce m165p_autobaud_uart0_dual_pr_ee_ce
 * m165pa_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1b5bbbbbbba86f97, 0xeeeeeeeedf98ec7e, 0x27dda083e44fdebd, 0x7d7aefa16ccf7539, 0xcf046752c8a75609,
  0x30120b657792af9d, 0x32252520e49cc13e, 0x850c1b48c0ddd6d0, 0xccab773ba7c4b881, 0xd833e1c3ace6643f,
  0x13f83fd79bd47986, 0x6257f9fbe08a11c9, 0xe6e79c801b87c288, 0x2d04b488655777bb, 0xfa039e134728a843,
  0x161bcaf212db8a4f, 0x153e12d35fee6bcc, 0xf387301748874088, 0xb46f6a8e15faa935, 0x0706b1dff546e4e1,
  0xe372f0f96bf3ca17, 0xc94ed6564dd309ce, 0xf06cc1af9ea3cadf, 0xad08a05315c06f51, 0x9afa30b2c4522cd3,
  0xef673abb71943a90, 0xaf1b1d7a89768851, 0xe1211408a8f9eb1a, 0x8226470decbe9662, 0xb8a9296627f58a8d,
  0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b997cdb73863b7b, 0xeee3458f386e3cd8, 0xf4c2b93f75666fe0, 0x4a5b3e04e32c970c, 0x16792bf734332c3a,
  0x00000001888738dd,
};

/*
 * m169a_autobaud_uart0_dual_pr_ee_ce_u4 m169p_autobaud_uart0_dual_pr_ee_ce_u4
 * m169pa_autobaud_uart0_dual_pr_ee_ce_u4 m165_autobaud_uart0_dual_pr_ee_ce_u4
 * m165a_autobaud_uart0_dual_pr_ee_ce_u4 m165p_autobaud_uart0_dual_pr_ee_ce_u4
 * m165pa_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbbbb456ddb69f, 0xbbbbb7e15babd9b5, 0xf60987c705af05bb, 0xfa6d8b74abeabfea, 0xce8438dfc3793c89,
  0x792cf9dd202f9e5c, 0xf5cc13e30120b657, 0x1bbada0644a4a458, 0xf8971030a1836918, 0x4dcdffccb4b7e774,
  0x51d9cb61d1f38292, 0x2847244fe0d90e6f, 0x1f0a21895fe7ef82, 0xbbbddf372e4a006e, 0x8a8432d04db4432a,
  0xfd67ff4073c26b1f, 0xfc330586f2bc84b6, 0x81102a7c258ddff8, 0x526be70e602e910e, 0x4f4368ded51c2bf5,
  0x942f3b19bb8bea8d, 0x10d8488bee24b1e7, 0x9aa0f20ffa8f84bf, 0x76b737374cf1771b, 0x660d7cf51e56fe4a,
  0x450298ae037a8f83, 0xd185962291669d68, 0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b, 0x08a04547cf58d578,
  0x32386f65f4b31709, 0x494b313fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x1be2e4d5c1e6c25c, 0x9d599bf83f6ec68b,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0xd5b9705f2374f257, 0x000000000000000f,
};

/*
 * m169a_autobaud_uart0_dual_hw      m169p_autobaud_uart0_dual_hw      m169pa_autobaud_uart0_dual_hw
 * m165_autobaud_uart0_dual_hw       m165a_autobaud_uart0_dual_hw      m165p_autobaud_uart0_dual_hw
 * m165pa_autobaud_uart0_dual_hw
 */
static const uint64_t ur_m169_autobaud_uart0_dual_hw[] = {
  0xb7777776890c5aa4, 0xddddddbf1a9fda36, 0x4e3ac82999eb3edd, 0x272498ecb777571f, 0x24207761f4da6d82,
  0x49827c602416caef, 0x3775b40c89494852, 0xf12e20614306d230, 0x74d6ebf32addcee9, 0x6f51d82ec3021c25,
  0xc114239227f0670e, 0x370f8510c4aff3f7, 0x32abbbddf371fe00, 0x69ba2a10cb434a44, 0x425b774bff4073c2,
  0xe7ffa91982c3795e, 0xe910e81102a7c24f, 0xc2bf5526be70e602, 0x9df2c4d4368ded51, 0x38e9fc1887f51f22,
  0xe62c055079a717be, 0x8ebc019dad6475fc, 0x6c43a435403ff660, 0x777152552740f2cf, 0x7e06256bd93f8abe,
  0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156,
  0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x1d14f257ee686658, 0x0000000003d1b907,
};

/*
 * m169a_autobaud_uart0_dual_ee_hw   m169p_autobaud_uart0_dual_ee_hw   m169pa_autobaud_uart0_dual_ee_hw
 * m165_autobaud_uart0_dual_ee_hw    m165a_autobaud_uart0_dual_ee_hw   m165p_autobaud_uart0_dual_ee_hw
 * m165pa_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m169_autobaud_uart0_dual_ee_hw[] = {
  0x36b7777776890c86, 0xddddddddbf0fdd71, 0x657c1651f4fbd70b, 0x3b363aea6fa76ed8, 0xd3bbbb1bb3798a84,
  0x27c602416caef24d, 0xb68191292902a898, 0xc40c2860da4606ee, 0x1f7e655bb9dd3e25, 0xeff361880e0d7732,
  0x11c913f830d137a8, 0xc2886257f9fbe08a, 0x77bbe6e022401b87, 0xa8432d0c08886557, 0xffcffa039e131758,
  0x48cc161bcaf212db, 0x81102a7c244ebffd, 0x526be70e602e910e, 0x224368ded51c2bf5, 0x9ea3cad7dcd56b47,
  0x15d4af51f06cc182, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed,
  0x9662e1211408a8f9, 0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270,
  0x3929d002de6f3645, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x2b5514f257ee6866,
  0x000000000000b072,
};

/*
 * m169a_autobaud_uart0_dual_ce_hw   m169p_autobaud_uart0_dual_ce_hw   m169pa_autobaud_uart0_dual_ce_hw
 * m165_autobaud_uart0_dual_ce_hw    m165a_autobaud_uart0_dual_ce_hw   m165p_autobaud_uart0_dual_ce_hw
 * m165pa_autobaud_uart0_dual_ce_hw
 */
static const uint64_t ur_m169_autobaud_uart0_dual_ce_hw[] = {
  0xaddddddda243359b, 0xbbbbbbb7e1b0804d, 0xd8ae751796adc99b, 0xaf76164fbdddd29c, 0x24c8bb8786614d6b,
  0xa9827c602416caef, 0xddd6d032252523d6, 0xc4b881850c1b48c0, 0xe6b5bfccab773ba7, 0xd47ddad826d9c276,
  0x8a11c913f8331f9b, 0x87c2886257f9fbe0, 0xabbbddf3719c801b, 0xb454219681754432, 0x6dc2d7fd01cf0992,
  0xfea4660b0de57909, 0x874088153e12d9df, 0xfaa935f387301748, 0xf54021b46f6a8e15, 0x58f3ca17071d2dc5,
  0xc25f886c2445f712, 0xe2ee371fe620fd47, 0x1c6fcf72c67d4b99, 0x41f238e9fc1d4bf5, 0x6b591d7f398b0141,
  0x500ffd99e3af0067, 0x52740f2d6e10e90d, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0017a372eca29e4a,
};

/*
 * m169a_autobaud_uart0_dual_ee_ce_hw m169p_autobaud_uart0_dual_ee_ce_hw
 * m169pa_autobaud_uart0_dual_ee_ce_hw m165_autobaud_uart0_dual_ee_ce_hw
 * m165a_autobaud_uart0_dual_ee_ce_hw m165p_autobaud_uart0_dual_ee_ce_hw
 * m165pa_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m169_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdadddddddd437089, 0x77777776fcc763f0, 0x3eed041f227ef5ef, 0xebd77d0b667ba9c9, 0x75e4f595b5b4b04b,
  0x8c0482d95de4abe7, 0x0c8949483927304f, 0x614306d2303775b4, 0xf32addcee9f12e20, 0xb60cf870eb39990f,
  0x44fe0ff5e6f51e61, 0x1895fe7ef8228472, 0xf9b9e72006e1f0a2, 0xcb412d221955ddee, 0xfe80e784d1ca2a10,
  0x0586f2bc84b6e293, 0x0a9f0969afff5233, 0xf9c3980ba443a044, 0xda37b5470afd549a, 0x838358effaa37270,
  0xdc6e400149f9e50b, 0xf929dacac9ba6139, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x09732f9b6e70c76f, 0x4c2b93f3fb0dc79b, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000004d7e1e728,
};

/*
 * m169a_autobaud_uart0_dual_ee_ce_u4_hw m169p_autobaud_uart0_dual_ee_ce_u4_hw
 * m169pa_autobaud_uart0_dual_ee_ce_u4_hw m165_autobaud_uart0_dual_ee_ce_u4_hw
 * m165a_autobaud_uart0_dual_ee_ce_u4_hw m165p_autobaud_uart0_dual_ee_ce_u4_hw
 * m165pa_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468b202, 0xeeeeedf856eaf66d, 0xfabd8261f69c16ee, 0x227e9b62dd2afaaf, 0xe918ef0727f0de4f,
  0x0b657792cf9ddfd6, 0x4a458f5cc13e3012, 0x369181bbada0644a, 0x12774f8971030a18, 0xe705249b9bff9976,
  0xb21cdea3b396c3a3, 0xcfdf04508e489fc1, 0x9400dc3e144312bf, 0x688655777bbe6e5c, 0x84d63f150865a09b,
  0x79096dfacffe80e7, 0x377fb3d0e60b0de5, 0xba443a0440a9f096, 0x70afd549af9c3980, 0x2faa353d0da37b54,
  0x2c79e37c307066ee, 0xe12fc4361222fb89, 0x8bb8dc524e6ffea3, 0xb7f253b5b9b9ba67, 0xd47c1b306be7a8f2,
  0x34eb422814c5701b, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e, 0xc6abc6c75ea25da2, 0x98b84845022a3e7a,
  0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x617d3c95fb9a1996, 0x000000002134f9e8,
};

/*
 * m169_u1x8_uart0_noled_pr          m169a_u1x8_uart0_noled            m169a_u1x8_uart0_noled_pr
 * m169p_u1x8_uart0_noled            m169p_u1x8_uart0_noled_pr         m169pa_u1x8_uart0_noled
 * m169pa_u1x8_uart0_noled_pr        m165_u1x8_uart0_noled             m165_u1x8_uart0_noled_pr
 * m165a_u1x8_uart0_noled            m165a_u1x8_uart0_noled_pr         m165p_u1x8_uart0_noled
 * m165p_u1x8_uart0_noled_pr         m165pa_u1x8_uart0_noled           m165pa_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m169_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf829304f8c0482d9, 0x016f605f27fbf43c, 0x077cb087b9cdfda2, 0x471d3f83417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xce1bb612e65f36c4, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x400e5ae3e792bf73, 0x000000000000003e,
};

/*
 * m169a_u1x8_uart0_noled_pr_u4      m169p_u1x8_uart0_noled_pr_u4      m169pa_u1x8_uart0_noled_pr_u4
 * m165_u1x8_uart0_noled_pr_u4       m165a_u1x8_uart0_noled_pr_u4      m165p_u1x8_uart0_noled_pr_u4
 * m165pa_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m169_u1x8_uart0_noled_pr_u4[] = {
  0xdddddd7751222743, 0x7777755761c2f712, 0x5b3f77e1f19a4cf7, 0x3f5a5f9bbba44059, 0xc9dda8bc96c7ac1e,
  0x52609f180905b2bb, 0x6f605f27f9e059f0, 0x7cb087b9cdfda201, 0x1d3f83417ea3f407, 0x62c0596533df6b47,
  0x3af47ced5fd1eb0e, 0xb1f6679500ffd982, 0xc4ad7b071f03cb3d, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0,
  0xc6f19d102baa9cbc, 0x2adec55516961738, 0x0f3612e65f36c492, 0x1f943458df1726ae, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc4053c95fb9a1996,
  0x0000000003e4f2d2,
};

/*
 * m169_u1x8_uart0_noled_pr_ee_u4    m169a_u1x8_uart0_noled_pr_ee      m169a_u1x8_uart0_noled_pr_ee_u4
 * m169p_u1x8_uart0_noled_pr_ee      m169p_u1x8_uart0_noled_pr_ee_u4   m169pa_u1x8_uart0_noled_pr_ee
 * m169pa_u1x8_uart0_noled_pr_ee_u4  m165_u1x8_uart0_noled_pr_ee       m165_u1x8_uart0_noled_pr_ee_u4
 * m165a_u1x8_uart0_noled_pr_ee      m165a_u1x8_uart0_noled_pr_ee_u4   m165p_u1x8_uart0_noled_pr_ee
 * m165p_u1x8_uart0_noled_pr_ee_u4   m165pa_u1x8_uart0_noled_pr_ee     m165pa_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m169_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xf8c0482d95de4ee9, 0xd2ff9e059f297304, 0x3739bfb4402dec09, 0xd4795c89355ad1ce, 0x5f75ea3e0d9834c7,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d, 0xe62e1211473c8c38,
  0xa8d823f5b86f65b2, 0x0312b5ec00a89534, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa, 0xe31bc67440aeaa72,
  0x48ab7b15545a585c, 0xb83cd84b997cdb12, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x391014f257ee6866, 0x000000000009d715,
};

/*
 * m169_u1x8_uart0_noled_pr_ce_u4    m169a_u1x8_uart0_noled_pr_ce      m169a_u1x8_uart0_noled_pr_ce_u4
 * m169p_u1x8_uart0_noled_pr_ce      m169p_u1x8_uart0_noled_pr_ce_u4   m169pa_u1x8_uart0_noled_pr_ce
 * m169pa_u1x8_uart0_noled_pr_ce_u4  m165_u1x8_uart0_noled_pr_ce       m165_u1x8_uart0_noled_pr_ce_u4
 * m165a_u1x8_uart0_noled_pr_ce      m165a_u1x8_uart0_noled_pr_ce_u4   m165p_u1x8_uart0_noled_pr_ce
 * m165p_u1x8_uart0_noled_pr_ce_u4   m165pa_u1x8_uart0_noled_pr_ce     m165pa_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_noled_pr_ce[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xe9827c602416caef, 0xf604517fcf02cffc, 0x7d724b9cdfda2016, 0x258f3c64a9dbf971, 0x7c25f886c2445f71,
  0x9e2ee371fe620fd4, 0xea393d3dcb19fac9, 0xa3e7491c74fe0f59, 0xf9dabfa3d61cc580, 0xcf2a01ffb33c75e8,
  0xbd838f81e5adc3ec, 0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378,
  0x12e65f36c490c76f, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000375d32d4405,
};

/*
 * m169a_u1x8_uart0_noled_pr_ee_ce   m169p_u1x8_uart0_noled_pr_ee_ce   m169pa_u1x8_uart0_noled_pr_ee_ce
 * m165_u1x8_uart0_noled_pr_ee_ce    m165a_u1x8_uart0_noled_pr_ee_ce   m165p_u1x8_uart0_noled_pr_ee_ce
 * m165pa_u1x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m169_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaeed414477d6, 0xdddd55ee0541625b, 0x33f6a6fe9e989ddd, 0x0910e0fbbe96a18d, 0xd38ae0fda68b5159,
  0x180905b2bbc9dd7a, 0xbff3c0b3e35a609f, 0xe737f68805bd8169, 0x2a77810effaa37f2, 0x3b8dceb3643fcf19,
  0xea253b5958f7cc27, 0x8f83660d6bfa8f2b, 0x9d68450298ac27fa, 0x84d7d18596229166, 0x1e0b39d5dba711d4,
  0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc, 0x12b5ec2ce89534a8, 0x01deb5e73859bf03,
  0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0x79b09732f9b62486, 0xe50d165abcb93570,
  0x61539fa9d598f207, 0x7cd0f327f8138d28, 0xcb25c33d30ae4fc0, 0x0ccb0e9296cf8138, 0xf3a7a2029e4afdcd,
  0x0000000000000013,
};

/*
 * m169a_u1x8_uart0_noled_pr_ee_ce_u4 m169p_u1x8_uart0_noled_pr_ee_ce_u4
 * m169pa_u1x8_uart0_noled_pr_ee_ce_u4 m165_u1x8_uart0_noled_pr_ee_ce_u4
 * m165a_u1x8_uart0_noled_pr_ee_ce_u4 m165p_u1x8_uart0_noled_pr_ee_ce_u4
 * m165pa_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x777775dd44867f3e, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0x8d545eccdd6fa772,
  0x9f180905b2bbc9dd, 0x16bfec5767c66e60, 0x7b9cdfda2016f604, 0x85c1c383717d51c8, 0x1b09117dc4963cf2,
  0x747d493f51f097e2, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f5129, 0x2814c5613fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedd388ea426be, 0x8ebce9bb6f68f059, 0x1473c8c38d8d578d, 0x2386f65b2e62e121, 0x616744a9a546c113,
  0xaf39c2cdf81895af, 0x16f37807d4180ef5, 0xa20575539794d8ce, 0xaaa2d2c2e718de33, 0xb997cdb12431dbd8,
  0x771a2c6f86e3cd84, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f,
  0x9296cf8138cb25c3, 0x459e4afdcd0ccb0e, 0x000000027e0fc137,
};

/*
 * m169a_u1x8_uart0_noled_hw         m169p_u1x8_uart0_noled_hw         m169pa_u1x8_uart0_noled_hw
 * m168pb_u1x8_uart0_noled_hw        m165_u1x8_uart0_noled_hw          m165a_u1x8_uart0_noled_hw
 * m165p_u1x8_uart0_noled_hw         m165pa_u1x8_uart0_noled_hw
 */
static const uint64_t ur_m169_u1x8_uart0_noled_hw[] = {
  0x5bbbbbaeed66e614, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0xf8fd697e6eee9101, 0x95de4ee8dbc77af4,
  0xcf829304f8c0482d, 0x100b7b02f93ff0e3, 0xa03be5843dce6fed, 0x5a38e9fc1a0bf51f, 0x58731602cb299efb,
  0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0x7e06256bd838f81e, 0xf50603bd6bce70b3, 0xe5e5363385bcde01,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x3fb0ddb09732f9b6, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xe2039760a792bf73, 0x0000000000000008,
};

/*
 * m169a_u1x8_uart0_noled_ee_hw      m169p_u1x8_uart0_noled_ee_hw      m169pa_u1x8_uart0_noled_ee_hw
 * m168pb_u1x8_uart0_noled_ee_hw     m165_u1x8_uart0_noled_ee_hw       m165a_u1x8_uart0_noled_ee_hw
 * m165p_u1x8_uart0_noled_ee_hw      m165pa_u1x8_uart0_noled_ee_hw     pwm216_u1x8_uart0_noled_ee_hw
 * pwm316_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m169_u1x8_uart0_noled_ee_hw[] = {
  0x777775dd44862d7b, 0xddddd55d7208244b, 0x5e14f4c6dec33ddd, 0x8cc4e0be17bbbbfc, 0x7751d94ad7640ccd,
  0x9827c602416caef2, 0xd813a5ffa14cf94b, 0xa39c6e737f68805b, 0x698fa8f2b9126ab5, 0x3be2beebd47c1b30,
  0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a, 0xcb65cc5c24228e79,
  0x2a6951b047eb70de, 0xb37e06256bd80151, 0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d,
  0xb6249156f62aa8b4, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x002dfe343a29e4af,
};

/*
 * m169a_u1x8_uart0_noled_ce_hw      m169p_u1x8_uart0_noled_ce_hw      m169pa_u1x8_uart0_noled_ce_hw
 * m168pb_u1x8_uart0_noled_ce_hw     m165_u1x8_uart0_noled_ce_hw       m165a_u1x8_uart0_noled_ce_hw
 * m165p_u1x8_uart0_noled_ce_hw      m165pa_u1x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m169_u1x8_uart0_noled_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x234175f5a789df1f, 0x6c401b6d22eeeee8, 0x16caef2776c7b21a,
  0x71e7e449827c6024, 0xf68805bd81695ff8, 0x380a1dff5e92e737, 0xc6e393f9df9e3250, 0x79ee580b8ce6139d,
  0xc71d3f83c67ea388, 0x478cce62c05def05, 0x1cb19e3af173b3da, 0x7e06256bd83aa277, 0xf50603bd6bce70b3,
  0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0, 0x7f61bb612e65f36c, 0xc6592e19e985727e,
  0x866587494b659289, 0x853ebec14f257ee6, 0x0000000000000018,
};

/*
 * m169_u1x8_uart0_noled_ee_ce_u4_hw m169a_u1x8_uart0_noled_ee_ce_hw   m169a_u1x8_uart0_noled_ee_ce_u4_hw
 * m169p_u1x8_uart0_noled_ee_ce_hw   m169p_u1x8_uart0_noled_ee_ce_u4_hw
 * m169pa_u1x8_uart0_noled_ee_ce_hw  m169pa_u1x8_uart0_noled_ee_ce_u4_hw
 * m168pb_u1x8_uart0_noled_ee_ce_hw  m168pb_u1x8_uart0_noled_ee_ce_u4_hw
 * m165_u1x8_uart0_noled_ee_ce_hw    m165_u1x8_uart0_noled_ee_ce_u4_hw m165a_u1x8_uart0_noled_ee_ce_hw
 * m165a_u1x8_uart0_noled_ee_ce_u4_hw m165p_u1x8_uart0_noled_ee_ce_hw
 * m165p_u1x8_uart0_noled_ee_ce_u4_hw m165pa_u1x8_uart0_noled_ee_ce_hw
 * m165pa_u1x8_uart0_noled_ee_ce_u4_hw pwm216_u1x8_uart0_noled_ee_ce_hw
 * pwm216_u1x8_uart0_noled_ee_ce_u4_hw pwm316_u1x8_uart0_noled_ee_ce_hw
 * pwm316_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd448624d6, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0xbbf6baef53efa772,
  0xc13e30120b657793, 0x8105affa14cf8cdc, 0x721ee737f68805bd, 0x3ca17070e0dc5f54, 0xf886c2445f71258f,
  0x8dc4a8b91fd47c25, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f, 0xd7d185962291669d,
  0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c, 0xb5ec2ce89534a8d8,
  0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xb09732f9b624863b,
  0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2a29e4afdcd0ccb0, 0x0000000000a021f8,
};

/*
 * m169_u1x8_uart0_lednop_pr         m169a_u1x8_uart0_lednop           m169a_u1x8_uart0_lednop_pr
 * m169p_u1x8_uart0_lednop           m169p_u1x8_uart0_lednop_pr        m169pa_u1x8_uart0_lednop
 * m169pa_u1x8_uart0_lednop_pr       m165_u1x8_uart0_lednop            m165_u1x8_uart0_lednop_pr
 * m165a_u1x8_uart0_lednop           m165a_u1x8_uart0_lednop_pr        m165p_u1x8_uart0_lednop
 * m165p_u1x8_uart0_lednop_pr        m165pa_u1x8_uart0_lednop          m165pa_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m169_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xebe4c13e30120b65, 0x05bd81263fefd0f3, 0x1df2c90ee737f688, 0x1c74fe0cd27a8e4f, 0x398b016f74c3e749,
  0x23af173b35f23905, 0x5af61583ef71cb18, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400,
  0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xf8d163ce1bb612e6, 0xc2b93f75663c81a3, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x000007c8739ae3e7,
};

/*
 * m169a_u1x8_uart0_lednop_pr_u4     m169p_u1x8_uart0_lednop_pr_u4     m169pa_u1x8_uart0_lednop_pr_u4
 * m165_u1x8_uart0_lednop_pr_u4      m165a_u1x8_uart0_lednop_pr_u4     m165p_u1x8_uart0_lednop_pr_u4
 * m165pa_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddd77512233c3, 0x7777755761c1af12, 0x2f7b3dfb0dbd8037, 0x5d7f89dddd2202ca, 0x3ba47e5dbd38e3e9,
  0x4c13e30120b65779, 0xec0a6eff3c0b3e80, 0x9610f739bfb4402d, 0xa7f0682fd47b58ef, 0xb016594df241f8e3,
  0xf47cecb3d1a43398, 0x16691500ffd9823a, 0xad7b20ad03cb3db4, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01f276e422029e4a,
};

/*
 * m169_u1x8_uart0_lednop_pr_ee_u4   m169a_u1x8_uart0_lednop_pr_ee     m169a_u1x8_uart0_lednop_pr_ee_u4
 * m169p_u1x8_uart0_lednop_pr_ee     m169p_u1x8_uart0_lednop_pr_ee_u4  m169pa_u1x8_uart0_lednop_pr_ee
 * m169pa_u1x8_uart0_lednop_pr_ee_u4 m165_u1x8_uart0_lednop_pr_ee      m165_u1x8_uart0_lednop_pr_ee_u4
 * m165a_u1x8_uart0_lednop_pr_ee     m165a_u1x8_uart0_lednop_pr_ee_u4  m165p_u1x8_uart0_lednop_pr_ee
 * m165p_u1x8_uart0_lednop_pr_ee_u4  m165pa_u1x8_uart0_lednop_pr_ee    m165pa_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0xe30120b657793baf, 0xebfe78167d4f4c13, 0xdce6fed100b7b022, 0x51e56654d56b4738, 0xc3dfa8f83660d31f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x2464d1cead2e7aae, 0x6355ae875e74dda3, 0x98b8484504f237b5,
  0xa3608fd6e1bd96cb, 0x1895af60043eccf2, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x2e65f36dce455bd8, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000275c9c5c4053,
};

/*
 * m169_u1x8_uart0_lednop_pr_ce_u4   m169a_u1x8_uart0_lednop_pr_ce     m169a_u1x8_uart0_lednop_pr_ce_u4
 * m169p_u1x8_uart0_lednop_pr_ce     m169p_u1x8_uart0_lednop_pr_ce_u4  m169pa_u1x8_uart0_lednop_pr_ce
 * m169pa_u1x8_uart0_lednop_pr_ce_u4 m165_u1x8_uart0_lednop_pr_ce      m165_u1x8_uart0_lednop_pr_ce_u4
 * m165a_u1x8_uart0_lednop_pr_ce     m165a_u1x8_uart0_lednop_pr_ce_u4  m165p_u1x8_uart0_lednop_pr_ce
 * m165p_u1x8_uart0_lednop_pr_ce_u4  m165pa_u1x8_uart0_lednop_pr_ce    m165pa_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x39827c602416caef, 0xf60495bfcf02cf9c, 0x7d724b9cdfda2016, 0x4b1e78c953ba9571, 0xf84bf10d8488bee2,
  0x78bb8dcadf801fa8, 0xa8fd24f72c67eb26, 0xa6222c71d3f83d67, 0x9d967a3486731602, 0x22a01ffb33c75e8f,
  0xd905681e5adc82cd, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be,
  0xb6e70c76f62aa8b4, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xafbc162029e4afdc, 0x000000000000001b,
};

/*
 * m169a_u1x8_uart0_lednop_pr_ee_ce  m169p_u1x8_uart0_lednop_pr_ee_ce  m169pa_u1x8_uart0_lednop_pr_ee_ce
 * m165_u1x8_uart0_lednop_pr_ee_ce   m165a_u1x8_uart0_lednop_pr_ee_ce  m165p_u1x8_uart0_lednop_pr_ee_ce
 * m165pa_u1x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x180905b2bbc9dd01, 0x5fe78167fabe609f, 0xce6fed100b7b028e, 0x54ef7d9dff546fe5, 0x771b9722495f9e32,
  0xdd4a76b2b1ef984e, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd, 0x193473abb71ea3a9,
  0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x256bd8598fb33ca8, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x5abcb9357079b097,
  0xa9d598f207e50d16, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3, 0x029e4afdcd0ccb0e,
  0x0000000009f8bb22,
};

/*
 * m169a_u1x8_uart0_lednop_pr_ee_ce_u4 m169p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m169pa_u1x8_uart0_lednop_pr_ee_ce_u4 m165_u1x8_uart0_lednop_pr_ee_ce_u4
 * m165a_u1x8_uart0_lednop_pr_ee_ce_u4 m165p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m165pa_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x777775dd44864c7f, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xf5ddce29d55e2465,
  0x4f8c0482d95de4ee, 0xb1fffb15d9f0d130, 0x3dce6fed100b7b02, 0x42e0e25ab8bea8e4, 0x0d8488bee24b1e79,
  0x0224c03fa8f84bf1, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090, 0x61663eccf2a36089,
  0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3,
  0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x009f896d1ba2cf25,
};

/*
 * m169a_u1x8_uart0_lednop_hw        m169p_u1x8_uart0_lednop_hw        m169pa_u1x8_uart0_lednop_hw
 * m168pb_u1x8_uart0_lednop_hw       m165_u1x8_uart0_lednop_hw         m165a_u1x8_uart0_lednop_hw
 * m165p_u1x8_uart0_lednop_hw        m165pa_u1x8_uart0_lednop_hw
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_hw[] = {
  0x5bbbbbaeed66fcc5, 0xeeeeeeaaec3835e2, 0x6517bd9efdb76dee, 0xf4aebfc4eeee9101, 0x2bbc9dda86a6f70a,
  0x9f402609f180905b, 0x2016f605377fe1c7, 0xac77cb087b9cdfda, 0xfc71d3f83417ea3d, 0x19cc580b2ca6f920,
  0xc11d7a3e7659e8d2, 0x9eda0b348a807fec, 0xe06256bd905681e5, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x67a615c9f9fd86ed, 0x252d964a271964b8,
  0x053c95fb9a19961d, 0x000000004710e2fb,
};

/*
 * m169a_u1x8_uart0_lednop_ee_hw     m169p_u1x8_uart0_lednop_ee_hw     m169pa_u1x8_uart0_lednop_ee_hw
 * m168pb_u1x8_uart0_lednop_ee_hw    m165_u1x8_uart0_lednop_ee_hw      m165a_u1x8_uart0_lednop_ee_hw
 * m165p_u1x8_uart0_lednop_ee_hw     m165pa_u1x8_uart0_lednop_ee_hw    pwm216_u1x8_uart0_lednop_ee_hw
 * pwm316_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2435562, 0xddddd55d72056e25, 0x2d04c2aa1ed0bddd, 0xfb1e705f0bddddfe, 0xee99169db618fde2,
  0x304f8c0482d95de4, 0xb022ebff4299f53d, 0x4738dce6fed100b7, 0xd31f51e56654d56b, 0xef8ac3dfa8f83660,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74, 0x96cb98b8484504f2,
  0xccf2a3608fd6e1bd, 0xcdf81895af60043e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94,
  0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xeb7453c95fb9a199, 0x0000000000005be7,
};

/*
 * m169a_u1x8_uart0_lednop_ce_hw     m169p_u1x8_uart0_lednop_ce_hw     m169pa_u1x8_uart0_lednop_ce_hw
 * m168pb_u1x8_uart0_lednop_ce_hw    m165_u1x8_uart0_lednop_ce_hw      m165a_u1x8_uart0_lednop_ce_hw
 * m165p_u1x8_uart0_lednop_ce_hw     m165pa_u1x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xddddddd55d872b48, 0x82341da1377ef8fd, 0xa6c401b6f8feeeee, 0x416caef2776c7b21,
  0x0e3cfc069827c602, 0xfda2016f6041efff, 0x0e64877fd7a4b9cd, 0x71b8e4fe77e78c94, 0x2e7b9602e33984e7,
  0xf1c74fe0f19fa8f8, 0xa3905398b0177b10, 0x8e58cf1d78b9d838, 0xfc0c4ad7b074a0fb, 0x077ad79e0404e166,
  0x94e8016f3796ea0c, 0x2d380bdf2a6f529c, 0x18de33a204746304, 0xec376c25ccbe6da7, 0xcb25c33d30ae4fcf,
  0xccb0e9296cb25138, 0xa7d7d829e4afdcd0, 0x0000000000000310,
};

/*
 * m169_u1x8_uart0_lednop_ee_ce_u4_hw m169a_u1x8_uart0_lednop_ee_ce_hw
 * m169a_u1x8_uart0_lednop_ee_ce_u4_hw m169p_u1x8_uart0_lednop_ee_ce_hw
 * m169p_u1x8_uart0_lednop_ee_ce_u4_hw m169pa_u1x8_uart0_lednop_ee_ce_hw
 * m169pa_u1x8_uart0_lednop_ee_ce_u4_hw m168pb_u1x8_uart0_lednop_ee_ce_hw
 * m168pb_u1x8_uart0_lednop_ee_ce_u4_hw m165_u1x8_uart0_lednop_ee_ce_hw
 * m165_u1x8_uart0_lednop_ee_ce_u4_hw m165a_u1x8_uart0_lednop_ee_ce_hw
 * m165a_u1x8_uart0_lednop_ee_ce_u4_hw m165p_u1x8_uart0_lednop_ee_ce_hw
 * m165p_u1x8_uart0_lednop_ee_ce_u4_hw m165pa_u1x8_uart0_lednop_ee_ce_hw
 * m165pa_u1x8_uart0_lednop_ee_ce_u4_hw pwm216_u1x8_uart0_lednop_ee_ce_hw
 * pwm216_u1x8_uart0_lednop_ee_ce_u4_hw pwm316_u1x8_uart0_lednop_ee_ce_hw
 * pwm316_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd4486a4d6, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xdd39d9f7a55e2465,
  0x609f180905b2bbc9, 0xc0ac7ffe8533e1a2, 0x390f739bfb4402de, 0x9e50b83896ae2faa, 0xfc4361222fb892c7,
  0xc6e5253397ea3e12, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47, 0x6be8c2cb1148b34e,
  0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317, 0x5af61663eccf2a36,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa,
  0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0000140496d28a79,
};

/*
 * m169a_u1x8_uart0_dual             m169p_u1x8_uart0_dual             m169pa_u1x8_uart0_dual
 * m165_u1x8_uart0_dual              m165a_u1x8_uart0_dual             m165p_u1x8_uart0_dual
 * m165pa_u1x8_uart0_dual
 */
static const uint64_t ur_m169_u1x8_uart0_dual[] = {
  0xb777777c4ea22a20, 0xddddddbf36da3336, 0xd7d123c95a76d86d, 0x14e0dd13b777717b, 0xe4ad0ee1ec5ab635,
  0x67304f8c0482d95d, 0x06eeb6819129291d, 0x3e25c40c2860da46, 0x599c9fe6571eb9dd, 0x6f51dfcd82fb3814,
  0xe08a11c913f8332a, 0x1b87c2886257f9fb, 0x1955ddeef9b91c80, 0x35ad150865a11922, 0x212db98fffa039e1,
  0xd7fd2024c161bcaf, 0xdce6fed100b7b023, 0xa43f51c453be5abf, 0xc39931e9238e9fc1, 0x66be46f68e62c05f,
  0xfbdc72c608ebc8b7, 0x7f157ceee2a4a560, 0x04e166fc0c4ad7b2, 0x96ea0c077ad79e04, 0x6f529c94e8016f37,
  0x3a8a042d380bdf2a, 0x5f36d38c6f19d102, 0xfb1726ae0f3612e6, 0x32c970cf4c2b93f3, 0x4332c3a4a5b3e04e,
  0xbe38b880a792bf73, 0x0000000000000065,
};

/*
 * m169_u1x8_uart0_dual_pr_u4        m169a_u1x8_uart0_dual_pr          m169a_u1x8_uart0_dual_pr_u4
 * m169p_u1x8_uart0_dual_pr          m169p_u1x8_uart0_dual_pr_u4       m169pa_u1x8_uart0_dual_pr
 * m169pa_u1x8_uart0_dual_pr_u4      m165_u1x8_uart0_dual_pr           m165_u1x8_uart0_dual_pr_u4
 * m165a_u1x8_uart0_dual_pr          m165a_u1x8_uart0_dual_pr_u4       m165p_u1x8_uart0_dual_pr
 * m165p_u1x8_uart0_dual_pr_u4       m165pa_u1x8_uart0_dual_pr         m165pa_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m169_u1x8_uart0_dual_pr[] = {
  0x77777c4d1218022f, 0xddddbf36db4e36b7, 0x2941b848eabedddd, 0xa01513b777469b45, 0x6eec983f2350ce20,
  0x9f180905b2bbc906, 0x6d032252523ace60, 0x881850c1b48c0ddd, 0xc3fccab773ba7c4b, 0x7fddb04ac7074b31,
  0x08e489fc1c069bd4, 0xe144312bfcfdf045, 0xddeef9b9d3e00dc3, 0x150865a098a21955, 0xb98fffa039e13465,
  0xe6bcc161bcaf212d, 0x7f68805bd811ebfe, 0xa8f914ef9626ae73, 0x38bdf1c74fe0c43f, 0x23afe731602a83cd,
  0xffb30475e00ced6b, 0x07967b621d21aa01, 0xfc55f3bb8a92a93a, 0x13859bf0312b5ec9, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x24f5969ba2cf257e, 0x0000000000000005,
};

/*
 * m169_u1x8_uart0_dual_pr_ee_u4     m169a_u1x8_uart0_dual_pr_ee       m169a_u1x8_uart0_dual_pr_ee_u4
 * m169p_u1x8_uart0_dual_pr_ee       m169p_u1x8_uart0_dual_pr_ee_u4    m169pa_u1x8_uart0_dual_pr_ee
 * m169pa_u1x8_uart0_dual_pr_ee_u4   m165_u1x8_uart0_dual_pr_ee        m165_u1x8_uart0_dual_pr_ee_u4
 * m165a_u1x8_uart0_dual_pr_ee       m165a_u1x8_uart0_dual_pr_ee_u4    m165p_u1x8_uart0_dual_pr_ee
 * m165p_u1x8_uart0_dual_pr_ee_u4    m165pa_u1x8_uart0_dual_pr_ee      m165pa_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m169_u1x8_uart0_dual_pr_ee[] = {
  0x6eeeeef89a2432db, 0xbbbbbb7e614eb66d, 0x2dfbb17d95a9afbb, 0x716aa86d1776c4bb, 0x7045580f8ce947ee,
  0x0120b657793705dc, 0xc8949485c14c13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0xd858f9c3fe4c1a3f,
  0x13f83eaf9bd47e9f, 0x6257f9fbe08a11c9, 0xf3712a001b87c288, 0x9682564432abbbdd, 0xfd01cf0997dc5421,
  0x0b0de579096dce0f, 0x05bd81656ff735e6, 0xab5a3912e737f688, 0x660c14f51e56bee6, 0x450ef8aea57a8f83,
  0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7, 0x6f65f4b3170908a0,
  0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3,
  0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0005642cdba2cf25,
};

/*
 * m169_u1x8_uart0_dual_pr_ce_u4     m169a_u1x8_uart0_dual_pr_ce       m169a_u1x8_uart0_dual_pr_ce_u4
 * m169p_u1x8_uart0_dual_pr_ce       m169p_u1x8_uart0_dual_pr_ce_u4    m169pa_u1x8_uart0_dual_pr_ce
 * m169pa_u1x8_uart0_dual_pr_ce_u4   m165_u1x8_uart0_dual_pr_ce        m165_u1x8_uart0_dual_pr_ce_u4
 * m165a_u1x8_uart0_dual_pr_ce       m165a_u1x8_uart0_dual_pr_ce_u4    m165p_u1x8_uart0_dual_pr_ce
 * m165p_u1x8_uart0_dual_pr_ce_u4    m165pa_u1x8_uart0_dual_pr_ce      m165pa_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeef89a2435202, 0x77776fc6a79f66d6, 0xebb8d43db6abf777, 0xfbf7b2b777519b33, 0xce43ada6cdf9af45,
  0x30120b657793d39d, 0x19129290aebcc13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40, 0x5b04b4700b5318ff,
  0x489fc1c569bd4727, 0x4312bfcfdf04508e, 0xef9b930c00dc3e14, 0x0cb417da21955dde, 0xffe80e784c1ee2a1,
  0x30586f2bc84b6fa6, 0x402dec08a5ffb9af, 0x96e2faa01739bfb4, 0xfb892c79e50b838e, 0xfea3e12fc4361222,
  0x4b99e2ee370527eb, 0x4bf51c6fcf72c67d, 0x014141f238e9fc1d, 0x00676b591d7f398b, 0xe90d500ffd99e3af,
  0x152552740f2d6e10, 0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x8b3c95fb9a19961d, 0x000000069247d76e,
};

/*
 * m169a_u1x8_uart0_dual_pr_ee_ce    m169p_u1x8_uart0_dual_pr_ee_ce    m169pa_u1x8_uart0_dual_pr_ee_ce
 * m165_u1x8_uart0_dual_pr_ee_ce     m165a_u1x8_uart0_dual_pr_ee_ce    m165p_u1x8_uart0_dual_pr_ee_ce
 * m165pa_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m169_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbbe275050c86, 0xeeeeedf836f261b5, 0x55710b157ee44eee, 0x4dd6990123ba82b6, 0xbbb1bb3eafcc507c,
  0x602416caef25d93b, 0x32252523b8f9827c, 0x850c1b48c0ddd6d0, 0xccab773ba7c4b881, 0xf61000e02926fd7f,
  0x44fe0e76e6f51eb7, 0x1895fe7ef8228472, 0xf9b8a91006e1f0a2, 0xcb437da21955ddee, 0xfe80e784cc162a10,
  0x0b0de579096dd36f, 0x0b7b02a1fff735e6, 0xfea8dc9dce6fed10, 0x83fe7942e0e0d63b, 0x9374c273b8dcca86,
  0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae,
  0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x404e166fc0c4ad7b,
  0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a, 0xaf1b8f3612e65f36,
  0x75666fe0eee34596, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0x6792bf734332c3a4,
  0x0000002000e7cdd1,
};

/*
 * m169a_u1x8_uart0_dual_pr_ee_ce_u4 m169p_u1x8_uart0_dual_pr_ee_ce_u4 m169pa_u1x8_uart0_dual_pr_ee_ce_u4
 * m165_u1x8_uart0_dual_pr_ee_ce_u4  m165a_u1x8_uart0_dual_pr_ee_ce_u4 m165p_u1x8_uart0_dual_pr_ee_ce_u4
 * m165pa_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbe268adbb2906, 0xeeedf98ec7e1b5bb, 0x7c89fd7bd2bdeeee, 0x2d99eea724fbb410, 0x0548c6c12faf5df4,
  0xef255f3b8af9016f, 0xc939827c602416ca, 0x81bbada0644a4a41, 0x4f8971030a183691, 0xce6643fccb4b7e77,
  0xbd47986d833e1c3a, 0x08a11c913f83fd79, 0xb87c2886257f9fbe, 0x55777bbe6e79c801, 0x728a8432d04b4886,
  0x2db8a4ffa039e134, 0xfe3f0cc161bcaf21, 0x9bfb4402dec0b4d7, 0xec66ee2faa353d73, 0x222fb892c79e50bc,
  0xc83fea3e12fc4361, 0xdcdd33c5dc6e6a83, 0xf3d4795bf929dadc, 0x62b80dea3e0d9835, 0x588a459a75a1140a,
  0x6e328752135f4616, 0x512ed10a3dece757, 0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1,
  0x93f8abe77715252c, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x9357079b09732f9b, 0x6fe0fdbb1a2c6f8b, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x67bc8dd3c95fb9a1, 0x000000000001001f,
};

/*
 * m169a_u1x8_uart0_dual_hw          m169p_u1x8_uart0_dual_hw          m169pa_u1x8_uart0_dual_hw
 * m165_u1x8_uart0_dual_hw           m165a_u1x8_uart0_dual_hw          m165p_u1x8_uart0_dual_hw
 * m165pa_u1x8_uart0_dual_hw
 */
static const uint64_t ur_m169_u1x8_uart0_dual_hw[] = {
  0xdddddf1344867a31, 0x77776fcdb6d38dad, 0x4a506e123aafb777, 0x280544edddd1a6d1, 0x066ee44fc3ed07c8,
  0x609f180905b2bbc9, 0xdd6d032252523ace, 0x4b881850c1b48c0d, 0x31c3fccab773ba7c, 0xd47fddb04ac7074b,
  0x4508e489fc1c069b, 0xc3e144312bfcfdf0, 0x55ddeef9b9d3e00d, 0x65150865a098a219, 0x2db98fffa039e134,
  0xffd48cc161bcaf21, 0xe6fed100b7b023d7, 0x7f51f229df2c4d5c, 0x9a717be38e9fc188, 0xd6475fce62c05507,
  0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x31baeb2d514f257e,
};

/*
 * m169a_u1x8_uart0_dual_ee_hw       m169p_u1x8_uart0_dual_ee_hw       m169pa_u1x8_uart0_dual_ee_hw
 * m165_u1x8_uart0_dual_ee_hw        m165a_u1x8_uart0_dual_ee_hw       m165p_u1x8_uart0_dual_ee_hw
 * m165pa_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m169_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeef89a243573e, 0xbbbbb7e614eb66d6, 0xdfbb17d95a9afbbb, 0x16aa86d1776c4bb2, 0x5c5f766eb2947ee7,
  0x80905b2bbc9b82ee, 0x644a4a42e0a609f1, 0x0a18369181bbada0, 0x9956ee774f897103, 0xec2c7ce1ff260d1f,
  0x89fc1f57cdea3f4f, 0x312bfcfdf04508e4, 0xf9b895000dc3e144, 0xcb412b221955ddee, 0xfe80e784cbee2a10,
  0x0586f2bc84b6e707, 0x05bd81656fff5233, 0xab5a3912e737f688, 0x660c14f51e56bee6, 0x450ef8aea57a8f83,
  0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7, 0x6f65f4b3170908a0,
  0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3,
  0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x0015da2ce8a792bf,
};

/*
 * m169a_u1x8_uart0_dual_ce_hw       m169p_u1x8_uart0_dual_ce_hw       m169pa_u1x8_uart0_dual_ce_hw
 * m165_u1x8_uart0_dual_ce_hw        m165a_u1x8_uart0_dual_ce_hw       m165p_u1x8_uart0_dual_ce_hw
 * m165pa_u1x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m169_u1x8_uart0_dual_ce_hw[] = {
  0xdddddf13448664d6, 0xeeeedf8d4f3ecdad, 0xd771a87b6d57eeee, 0xf7ef656eeea33667, 0xceeccd8f0f65928b,
  0x9f180905b2bbc9e9, 0xb40c894948575e60, 0x20614306d2303775, 0x7ff32addcee9f12e, 0x93ad825a3805a98c,
  0x47244fe0e2b4dea3, 0x0a21895fe7ef8228, 0xef77cdc986006e1f, 0x50865a0bed10caae, 0xd37ff4073c260f71,
  0x91982c3795e425b7, 0xb4402dec08a5fffa, 0x8e96e2faa01739bf, 0x22fb892c79e50b83, 0x107ea3e12fc43612,
  0x3ea5ccf1771b8ff3, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c74fe, 0xd78033b5ac8ebf9c, 0x087486a807feccf1,
  0xbb8a92a93a0796b7, 0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0x84b997cdb73863b7, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xd14f257ee6866587, 0x0000000004dd63eb,
};

/*
 * m169a_u1x8_uart0_dual_ee_ce_hw    m169p_u1x8_uart0_dual_ee_ce_hw    m169pa_u1x8_uart0_dual_ee_ce_hw
 * m165_u1x8_uart0_dual_ee_ce_hw     m165a_u1x8_uart0_dual_ee_ce_hw    m165p_u1x8_uart0_dual_ee_ce_hw
 * m165pa_u1x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m169_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef89d41436f02, 0xbbbb7e0dbc986d6e, 0x5c42c55fb913bbbb, 0x75a64048eea0ad95, 0x3f87cd7d166c1f13,
  0xc0482d95de4bb277, 0x644a4a4771f304f8, 0x0a18369181bbada0, 0x9956ee774f897103, 0xec2001c0524dfaff,
  0x89fc1cedcdea3d6f, 0x312bfcfdf04508e4, 0xf37152200dc3e144, 0x9686fb4432abbbdd, 0xfd01cf09982c5421,
  0x161bcaf212dba6df, 0x2dec0a87fffd48cc, 0xfaa3727739bfb440, 0x87f9e50b838358ef, 0x26e984e771b9d66c,
  0xcf51e56fe4a76b2b, 0x8ae037a8f83660d7, 0x62291669d6845029, 0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d,
  0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3, 0x809c2cdf81895af6,
  0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35, 0x76371e6c25ccbe6d,
  0x09c69430a9cfd4d8, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000001d7539f514f,
};

/*
 * m169a_u1x8_uart0_dual_ee_ce_u4_hw m169p_u1x8_uart0_dual_ee_ce_u4_hw m169pa_u1x8_uart0_dual_ee_ce_u4_hw
 * m165_u1x8_uart0_dual_ee_ce_u4_hw  m165a_u1x8_uart0_dual_ee_ce_u4_hw m165p_u1x8_uart0_dual_ee_ce_u4_hw
 * m165pa_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77777c4d1468a0ae, 0xddddbf31d8fc36b7, 0x4107c89fbd7bdddd, 0xdf42d99eea724fbb, 0xfeb7a1f5ec12faf5,
  0x16caef255f3bbebe, 0x4a41c939827c6024, 0x369181bbada0644a, 0x12774f8971030a18, 0xc38759ccc87f9976,
  0x7faf37a8f30db067, 0xf3f7c114239227f0, 0x3900370f8510c4af, 0x6910caaeef77cdcf, 0x3c268e5150865a09,
  0x95e425b7149ff407, 0x2d35fecf43982c37, 0x4f5ce6fed100b7b0, 0xdf0c1c19bb8bea8d, 0x0d8488bee24b1e78,
  0x14939bffa8f84bf1, 0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0,
  0x73abb71943a909af, 0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x97cdb73863b7b155, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x0003aea73c985f4f,
};

/*
 * m169_u1x12_uart0_noled_pr         m169a_u1x12_uart0_noled           m169a_u1x12_uart0_noled_pr
 * m169p_u1x12_uart0_noled           m169p_u1x12_uart0_noled_pr        m169pa_u1x12_uart0_noled
 * m169pa_u1x12_uart0_noled_pr       m165_u1x12_uart0_noled            m165_u1x12_uart0_noled_pr
 * m165a_u1x12_uart0_noled           m165a_u1x12_uart0_noled_pr        m165p_u1x12_uart0_noled
 * m165p_u1x12_uart0_noled_pr        m165pa_u1x12_uart0_noled          m165pa_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m169_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x4c13e30120b65779, 0xf093dffefd0f3f92, 0x68dd27fb6a7f76e9, 0x4f51f9e3be5921c3, 0x30df27a38e9fc19a,
  0xda478cce62c05bdd, 0x771cb1823af173b3, 0x66fc0c4ad7b0aca2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc,
  0x61738c6f19d102ba, 0x6c4922adec555169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x07c8749dae3e792b,
};

/*
 * m169a_u1x12_uart0_noled_pr_u4     m169p_u1x12_uart0_noled_pr_u4     m169pa_u1x12_uart0_noled_pr_u4
 * m165_u1x12_uart0_noled_pr_u4      m165a_u1x12_uart0_noled_pr_u4     m165p_u1x12_uart0_noled_pr_u4
 * m165pa_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m169_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488da91, 0xeeaafb395a44b777, 0x22a99b6f46deeeee, 0xb07dddd0b28e3a11, 0xd17a763b976c478f,
  0x3e30120b657793ba, 0x97cff3c0b3f38cc1, 0xe93fdb53fbb74f84, 0x8fd01df2c21e1b46, 0x7dad1c74fe0d05fa,
  0x47ac398b016594cf, 0xff6608ebd1f3b57f, 0x0f2cf6c7d99e5403, 0x59bf0312b5ec1c7c, 0x00fa8301deb5e738,
  0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x9319391014f257ee, 0x000000000000000f,
};

/*
 * m169_u1x12_uart0_noled_pr_ee_u4   m169a_u1x12_uart0_noled_pr_ee     m169a_u1x12_uart0_noled_pr_ee_u4
 * m169p_u1x12_uart0_noled_pr_ee     m169p_u1x12_uart0_noled_pr_ee_u4  m169pa_u1x12_uart0_noled_pr_ee
 * m169pa_u1x12_uart0_noled_pr_ee_u4 m165_u1x12_uart0_noled_pr_ee      m165_u1x12_uart0_noled_pr_ee_u4
 * m165a_u1x12_uart0_noled_pr_ee     m165a_u1x12_uart0_noled_pr_ee_u4  m165p_u1x12_uart0_noled_pr_ee
 * m165p_u1x12_uart0_noled_pr_ee_u4  m165pa_u1x12_uart0_noled_pr_ee    m165pa_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m169_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0482d95de4eebb25, 0xf9e059f60b304f8c, 0xdb53fbb74f848e1f, 0xab5a39c61b46e93f, 0xb30698fa8f2b9126,
  0x1143be2beebd47c1, 0xf4616588a459a75a, 0xb4bce2b8d64d2135, 0xf3a6edbda3c1673a, 0xe791871b1aad743a,
  0x0decb65cc5c24228, 0x1512a6951b047eb7, 0xe70b37e06256bd80, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0x2f9b6249156f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x013afa38a2029e4a,
};

/*
 * m169_u1x12_uart0_noled_pr_ce_u4   m169a_u1x12_uart0_noled_pr_ce     m169a_u1x12_uart0_noled_pr_ce_u4
 * m169p_u1x12_uart0_noled_pr_ce     m169p_u1x12_uart0_noled_pr_ce_u4  m169pa_u1x12_uart0_noled_pr_ce
 * m169pa_u1x12_uart0_noled_pr_ce_u4 m165_u1x12_uart0_noled_pr_ce      m165_u1x12_uart0_noled_pr_ce_u4
 * m165a_u1x12_uart0_noled_pr_ce     m165a_u1x12_uart0_noled_pr_ce_u4  m165p_u1x12_uart0_noled_pr_ce
 * m165p_u1x12_uart0_noled_pr_ce_u4  m165pa_u1x12_uart0_noled_pr_ce    m165pa_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x827c602416caef27, 0x24e4ffcf02cfc879, 0x3749feda9fddba7c, 0x53b7f2e2fae490da, 0x8488bee24b1e78c9,
  0xfcc41fa8f84bf10d, 0x9633f5933c5dc6e3, 0xe9fc1eb3d4727a7b, 0xac398b0147ce9238, 0x6678ebd1f3b57f47,
  0xcb5b87d99e5403ff, 0x6fc0c4ad7b071f03, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0x89218edec5551696, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x9072880a792bf734, 0x00000000000006eb,
};

/*
 * m169a_u1x12_uart0_noled_pr_ee_ce  m169p_u1x12_uart0_noled_pr_ee_ce  m169pa_u1x12_uart0_noled_pr_ee_ce
 * m165_u1x12_uart0_noled_pr_ee_ce   m165a_u1x12_uart0_noled_pr_ee_ce  m165p_u1x12_uart0_noled_pr_ee_ce
 * m165pa_u1x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m169_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x20b657793bb61b65, 0x78167c9d4c13e301, 0xd4feedd3e128adfe, 0xea8dfc86d1ba4ff6, 0x0ff3c64a9de043bf,
  0x3df309cee373acd9, 0xfea3cafa894ed656, 0x2b09fea3e0d9835a, 0x88a459a75a1140a6, 0xe9c4752135f46165,
  0x4ddb7b4782ce7576, 0x461c6c6abc6c75e7, 0xb2d973170908a39e, 0x254d2a3608991c37, 0x166fc0c4ad7b0b3a,
  0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b, 0x6d89218edec55516, 0x2e4d5c1e6c25ccbe,
  0x663c81f9434596af, 0x04e34a1854e7ea75, 0x2b93f01f343cc9fe, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000027e631880a7,
};

/*
 * m169a_u1x12_uart0_noled_pr_ee_ce_u4 m169p_u1x12_uart0_noled_pr_ee_ce_u4
 * m169pa_u1x12_uart0_noled_pr_ee_ce_u4 m165_u1x12_uart0_noled_pr_ee_ce_u4
 * m165a_u1x12_uart0_noled_pr_ee_ce_u4 m165p_u1x12_uart0_noled_pr_ee_ce_u4
 * m165pa_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d78344863375, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x2ad1bab9d1c7a750,
  0x8c0482d95de4ee96, 0xfff62bb3fbb5304f, 0xfeda9fddba7c2463, 0xe2faa390f0da3749, 0x892c79e50b838706,
  0xa3e12fc4361222fb, 0x678bb8dce8fa927e, 0xf2bea253b5b9b7be, 0x7fa8f83660d6bfa8, 0x1669d68450298ac2,
  0x1d484d7d18596229, 0xded1e0b39d5dba71, 0x1b1aaf1b1d79d376, 0x5cc5c24228e79187, 0x4a8d8226470decb6,
  0xf0312b5ec2ce8953, 0xa8301deb5e73859b, 0x2f29b19c2de6f00f, 0xce31bc67440aeaa7, 0x4863b7b15545a585,
  0x0dc79b09732f9b62, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xf9ec4f6e8b3c95fb, 0x0000000000000009,
};

/*
 * m169a_u1x12_uart0_noled_hw        m169p_u1x12_uart0_noled_hw        m169pa_u1x12_uart0_noled_hw
 * m168pb_u1x12_uart0_noled_hw       m165_u1x12_uart0_noled_hw         m165a_u1x12_uart0_noled_hw
 * m165p_u1x12_uart0_noled_hw        m165pa_u1x12_uart0_noled_hw
 */
static const uint64_t ur_m169_u1x12_uart0_noled_hw[] = {
  0xdddb435e0eb3753a, 0xbbbaabece56912dd, 0xd089154cd267bbbb, 0x3c7d83eeee859471, 0x793ba5c6c9ea9b62,
  0x38cc13e30120b657, 0x74f8497cffc38f3f, 0xe1b46e93fdb53fbb, 0xd05fa8fd01df2c21, 0x594cf7dad1c74fe0,
  0x3b57f47ac398b016, 0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb,
  0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0xb997cdb1248ab7b1, 0xa615c9f9fd86ed84, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x00000008e200bb05,
};

/*
 * m169a_u1x12_uart0_noled_ee_hw     m169p_u1x12_uart0_noled_ee_hw     m169pa_u1x12_uart0_noled_ee_hw
 * m168pb_u1x12_uart0_noled_ee_hw    m165_u1x12_uart0_noled_ee_hw      m165a_u1x12_uart0_noled_ee_hw
 * m165p_u1x12_uart0_noled_ee_hw     m165pa_u1x12_uart0_noled_ee_hw    pwm216_u1x12_uart0_noled_ee_hw
 * pwm316_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m169_u1x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a243280b, 0x77557cd636225bbb, 0x429b2e3a34f77777, 0x7fa99a0eea451aeb, 0x939eb6b4e3760cc1,
  0x3e30120b657793bb, 0x8e1ffd0a67d82cc1, 0xe93fdb53fbb74f84, 0x9126ab5a39c61b46, 0x47c1b30698fa8f2b,
  0xa75a1143be2beebd, 0x2135f4616588a459, 0x673ab4bce2b8d64d, 0x743af3a6edbda3c1, 0x4228e791871b1aad,
  0x7eb70decb65cc5c2, 0xbd801512a6951b04, 0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363,
  0x62aa8b4b0b9c6378, 0x09732f9b6249156f, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000002dfcaac,
};

/*
 * m169a_u1x12_uart0_noled_ce_hw     m169p_u1x12_uart0_noled_ce_hw     m169pa_u1x12_uart0_noled_ce_hw
 * m168pb_u1x12_uart0_noled_ce_hw    m165_u1x12_uart0_noled_ce_hw      m165a_u1x12_uart0_noled_ce_hw
 * m165p_u1x12_uart0_noled_ce_hw     m165pa_u1x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m169_u1x12_uart0_noled_ce_hw[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb39e2e25bb, 0xfebc864f6a1eeeee, 0xdb26635f7776e270, 0xaef277417a09ac80,
  0x7dfc9827c602416c, 0x76e9f09195ff871e, 0xd24368dd27fb6a7f, 0xf3c64a071313bfeb, 0x9cc273b8dca95fbb,
  0xcfd4710f3dcb0171, 0x16e189f8e3a7f078, 0xb9da4151e33398b0, 0x1d3a7b8e58cf1d78, 0xe73859bf0312b5ec,
  0x5bcde5ba8301deb5, 0x6f55d54e5e536338, 0xf19d102e6cc6085a, 0xbb612e65f36d38c6, 0x2e19e985727e7f61,
  0x87494b659289c659, 0xaec14f257ee68665, 0x00000000000c4283,
};

/*
 * m169_u1x12_uart0_noled_ee_ce_u4_hw m169a_u1x12_uart0_noled_ee_ce_hw
 * m169a_u1x12_uart0_noled_ee_ce_u4_hw m169p_u1x12_uart0_noled_ee_ce_hw
 * m169p_u1x12_uart0_noled_ee_ce_u4_hw m169pa_u1x12_uart0_noled_ee_ce_hw
 * m169pa_u1x12_uart0_noled_ee_ce_u4_hw m168pb_u1x12_uart0_noled_ee_ce_hw
 * m168pb_u1x12_uart0_noled_ee_ce_u4_hw m165_u1x12_uart0_noled_ee_ce_hw
 * m165_u1x12_uart0_noled_ee_ce_u4_hw m165a_u1x12_uart0_noled_ee_ce_hw
 * m165a_u1x12_uart0_noled_ee_ce_u4_hw m165p_u1x12_uart0_noled_ee_ce_hw
 * m165p_u1x12_uart0_noled_ee_ce_u4_hw m165pa_u1x12_uart0_noled_ee_ce_hw
 * m165pa_u1x12_uart0_noled_ee_ce_u4_hw pwm216_u1x12_uart0_noled_ee_ce_hw
 * pwm216_u1x12_uart0_noled_ee_ce_u4_hw pwm316_u1x12_uart0_noled_ee_ce_hw
 * pwm316_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x12_uart0_noled_ee_ce_hw[] = {
  0x76d0d78344864aa4, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x9962fb9f71c7a750,
  0xf180905b2bbc9dd4, 0x8fffd0a67f76a609, 0x27fb6a7f76e9f091, 0x1b8bea8e43c368dd, 0xee24b1e7942e0e1c,
  0xfa8f84bf10d8488b, 0x7ccf1771b8951723, 0x51e57d44a76b736f, 0x84ff51f06cc1ad7f, 0x522cd3ad08a05315,
  0xe23a909afa30b2c4, 0xedbda3c1673abb74, 0x0e36355e363af3a6, 0x6cb98b848451cf23, 0xa6951b044c8e1bd9,
  0x37e06256bd859d12, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b,
  0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0x280bd89f453c95fb,
};

/*
 * m169_u1x12_uart0_lednop_pr        m169a_u1x12_uart0_lednop          m169a_u1x12_uart0_lednop_pr
 * m169p_u1x12_uart0_lednop          m169p_u1x12_uart0_lednop_pr       m169pa_u1x12_uart0_lednop
 * m169pa_u1x12_uart0_lednop_pr      m165_u1x12_uart0_lednop           m165_u1x12_uart0_lednop_pr
 * m165a_u1x12_uart0_lednop          m165a_u1x12_uart0_lednop_pr       m165p_u1x12_uart0_lednop
 * m165p_u1x12_uart0_lednop_pr       m165pa_u1x12_uart0_lednop         m165pa_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m169_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x49827c602416caef, 0x3e12f93fdfa1e7c1, 0x6d1ba4ff6d4feedd, 0x49ea393c77cb2438, 0xd30f9d2471d3f833,
  0xd7c8e414e62c05bd, 0xbdc72c608ebc5cec, 0xb37e06256bd8560f, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x6ed84b997cdb7391, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x396b8f9e4afdcd0c, 0x000000000000f900,
};

/*
 * m169a_u1x12_uart0_lednop_pr_u4    m169p_u1x12_uart0_lednop_pr_u4    m169pa_u1x12_uart0_lednop_pr_u4
 * m165_u1x12_uart0_lednop_pr_u4     m165a_u1x12_uart0_lednop_pr_u4    m165p_u1x12_uart0_lednop_pr_u4
 * m165pa_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2447f82, 0xeeaafb38ebe25bbb, 0x425f85c76a1eeeee, 0x4c9eeee859471d69, 0x5c62454dc1b267e9,
  0x9f180905b2bbc9dd, 0xa5f7f9e059f3d660, 0xe93fdb53fbb74f84, 0x8f6b1df2c21e1b46, 0x483f1c74fe0d05fa,
  0x3486731602cb29be, 0xfb30475e8f9d967a, 0x7967b682cd22a01f, 0xcdf81895af6415a0, 0x180ef5af3c0809c2,
  0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x4053c95fb9a19961, 0x000000007c983c9c,
};

/*
 * m169_u1x12_uart0_lednop_pr_ee_u4  m169a_u1x12_uart0_lednop_pr_ee    m169a_u1x12_uart0_lednop_pr_ee_u4
 * m169p_u1x12_uart0_lednop_pr_ee    m169p_u1x12_uart0_lednop_pr_ee_u4 m169pa_u1x12_uart0_lednop_pr_ee
 * m169pa_u1x12_uart0_lednop_pr_ee_u4 m165_u1x12_uart0_lednop_pr_ee
 * m165_u1x12_uart0_lednop_pr_ee_u4  m165a_u1x12_uart0_lednop_pr_ee    m165a_u1x12_uart0_lednop_pr_ee_u4
 * m165p_u1x12_uart0_lednop_pr_ee    m165p_u1x12_uart0_lednop_pr_ee_u4 m165pa_u1x12_uart0_lednop_pr_ee
 * m165pa_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x0120b657793bb61b, 0xfe78167f2b4c13e3, 0xf6d4feedd3e12287, 0xaad68e7186d1ba4f, 0x6cc1a63ea3cacca9,
  0x08a1df1587bf51f0, 0xfa30b2c4522cd3ad, 0x5a5cf55c6b26909a, 0xbce9bb4648c9a39d, 0x09e46f6ac6ab5d0e,
  0xc37b2d973170908a, 0x087d99e546c11fad, 0x13859bf0312b5ec0, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xcdb880a792bf7343,
  0x0000000000004ebb,
};

/*
 * m169_u1x12_uart0_lednop_pr_ce_u4  m169a_u1x12_uart0_lednop_pr_ce    m169a_u1x12_uart0_lednop_pr_ce_u4
 * m169p_u1x12_uart0_lednop_pr_ce    m169p_u1x12_uart0_lednop_pr_ce_u4 m169pa_u1x12_uart0_lednop_pr_ce
 * m169pa_u1x12_uart0_lednop_pr_ce_u4 m165_u1x12_uart0_lednop_pr_ce
 * m165_u1x12_uart0_lednop_pr_ce_u4  m165a_u1x12_uart0_lednop_pr_ce    m165a_u1x12_uart0_lednop_pr_ce_u4
 * m165p_u1x12_uart0_lednop_pr_ce    m165p_u1x12_uart0_lednop_pr_ce_u4 m165pa_u1x12_uart0_lednop_pr_ce
 * m165pa_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x09f180905b2bbc9d, 0x93a5ff3c0b3e52e6, 0xdd27fb6a7f76e9f0, 0x9dd4ab8beb924368, 0x2445f71258f3c64a,
  0xfc00fd47c25f886c, 0x633f5933c5dc6e56, 0x9fc1eb3d47e927b9, 0x3398b0153111638e, 0x9e3af47cecb3d1a4,
  0xd6e416691500ffd9, 0xf0312b5ec82b40f2, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0x84b997cdb73863b7, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000dd71539101,
};

/*
 * m169a_u1x12_uart0_lednop_pr_ee_ce m169p_u1x12_uart0_lednop_pr_ee_ce m169pa_u1x12_uart0_lednop_pr_ee_ce
 * m165_u1x12_uart0_lednop_pr_ee_ce  m165a_u1x12_uart0_lednop_pr_ee_ce m165p_u1x12_uart0_lednop_pr_ee_ce
 * m165pa_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x905b2bbc9dd4149c, 0x78167e87e609f180, 0xd4feedd3e12383fe, 0xea8dfc86d1ba4ff6, 0x2bf3c64a9defb3bf,
  0x3df309cee372e449, 0xfea3cafba94ed656, 0x2bdbfea3e0d9835a, 0x88a459a75a1140a6, 0xe3d4752135f46165,
  0xa6ed1923268e7576, 0x237b56355e363af3, 0xd96cb98b8484504f, 0xf667951b044c8e1b, 0x166fc0c4ad7b0b31,
  0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x8edec555169aba71, 0x0f3612e65f36dce1,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x7e610c4053c95fb9, 0x0000000000000002,
};

/*
 * m169a_u1x12_uart0_lednop_pr_ee_ce_u4 m169p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m169pa_u1x12_uart0_lednop_pr_ee_ce_u4 m165_u1x12_uart0_lednop_pr_ee_ce_u4
 * m165a_u1x12_uart0_lednop_pr_ee_ce_u4 m165p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m165pa_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbb686bc1a243304a, 0xeeaaef212ee25bbb, 0x531342f7276eeeee, 0x8c71f1fddb1e4872, 0xd47dd9201b82246c,
  0x602416caef2776c5, 0x7fd8aecfe9a9827c, 0xfdb53fbb74f84bfe, 0xc5f54721e1b46e93, 0x1258f3ca170712d5,
  0x47c25f886c2445f7, 0x9e2ee370112601fd, 0xcafba94ed6e6def9, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb,
  0x752135f4616588a4, 0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c,
  0xc0c4ad7b0b31f667, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xdd16792bf734332c, 0x0000000009f929ac,
};

/*
 * m169a_u1x12_uart0_lednop_hw       m169p_u1x12_uart0_lednop_hw       m169pa_u1x12_uart0_lednop_hw
 * m168pb_u1x12_uart0_lednop_hw      m165_u1x12_uart0_lednop_hw        m165a_u1x12_uart0_lednop_hw
 * m165p_u1x12_uart0_lednop_hw       m165pa_u1x12_uart0_lednop_hw
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_hw[] = {
  0x776d0d783acdc49f, 0xddd55f671d7c4b77, 0xad284bf3600ddddd, 0xfd2993dddd0b28e3, 0xde4eee62486ad04c,
  0x9eb304f8c0482d95, 0xba7c252fbff0e3cf, 0xf0da3749feda9fdd, 0x682fd47b58ef9610, 0x594df241f8e3a7f0,
  0xecb3d1a43398b016, 0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0xf3fb0ddb09732f9b, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x08e2b7760a792bf7,
};

/*
 * m169a_u1x12_uart0_lednop_ee_hw    m169p_u1x12_uart0_lednop_ee_hw    m169pa_u1x12_uart0_lednop_ee_hw
 * m168pb_u1x12_uart0_lednop_ee_hw   m165_u1x12_uart0_lednop_ee_hw     m165a_u1x12_uart0_lednop_ee_hw
 * m165p_u1x12_uart0_lednop_ee_hw    m165pa_u1x12_uart0_lednop_ee_hw   pwm216_u1x12_uart0_lednop_ee_hw
 * pwm316_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_ee_hw[] = {
  0xddb435e0d1218375, 0x77557cd6c5f12ddd, 0xb0b4663b41777777, 0x77ea6683ba9146b9, 0xc0b015ad89a59fbc,
  0x4f8c0482d95de4ee, 0x2287ff4299fcad30, 0xba4ff6d4feedd3e1, 0xcca9aad68e7186d1, 0x51f06cc1a63ea3ca,
  0xd3ad08a1df1587bf, 0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab,
  0x1fadc37b2d973170, 0x5ec0087d99e546c1, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0000b7cc1ca8a792,
};

/*
 * m169a_u1x12_uart0_lednop_ce_hw    m169p_u1x12_uart0_lednop_ce_hw    m169pa_u1x12_uart0_lednop_ce_hw
 * m168pb_u1x12_uart0_lednop_ce_hw   m165_u1x12_uart0_lednop_ce_hw     m165a_u1x12_uart0_lednop_ce_hw
 * m165p_u1x12_uart0_lednop_ce_hw    m165pa_u1x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x1fda1377ef8fdddd, 0x401b6f8feeeedc4e, 0xcaef2776c7b21a6c,
  0xcfc069827c602416, 0xddba7c241efff0e3, 0xf490da3749feda9f, 0xfcf19281c884effa, 0x67309cee370a2b93,
  0x33f51ebfcf72c05c, 0x02dad52e38e9fc1e, 0xc5cec3ed1d127316, 0xc1d29adc72c678eb, 0x1013859bf0312b5e,
  0x02de6f301deb5e78, 0x7c05a9c914b579d0, 0x9d1032fe63042d2a, 0x612e65f36d38c6f1, 0x19e985727e7f61bb,
  0x494b659289c6592e, 0xc14f257ee6866587, 0x0000000018853ebe,
};

/*
 * m169_u1x12_uart0_lednop_ee_ce_u4_hw m169a_u1x12_uart0_lednop_ee_ce_hw
 * m169a_u1x12_uart0_lednop_ee_ce_u4_hw m169p_u1x12_uart0_lednop_ee_ce_hw
 * m169p_u1x12_uart0_lednop_ee_ce_u4_hw m169pa_u1x12_uart0_lednop_ee_ce_hw
 * m169pa_u1x12_uart0_lednop_ee_ce_u4_hw m168pb_u1x12_uart0_lednop_ee_ce_hw
 * m168pb_u1x12_uart0_lednop_ee_ce_u4_hw m165_u1x12_uart0_lednop_ee_ce_hw
 * m165_u1x12_uart0_lednop_ee_ce_u4_hw m165a_u1x12_uart0_lednop_ee_ce_hw
 * m165a_u1x12_uart0_lednop_ee_ce_u4_hw m165p_u1x12_uart0_lednop_ee_ce_hw
 * m165p_u1x12_uart0_lednop_ee_ce_u4_hw m165pa_u1x12_uart0_lednop_ee_ce_hw
 * m165pa_u1x12_uart0_lednop_ee_ce_u4_hw pwm216_u1x12_uart0_lednop_ee_ce_hw
 * pwm216_u1x12_uart0_lednop_ee_ce_u4_hw pwm316_u1x12_uart0_lednop_ee_ce_hw
 * pwm316_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d783448607e1, 0xdd55de425dc4b777, 0xa62685ee4edddddd, 0x18e3e3fbb63c90e4, 0x87bf7a3af70448d9,
  0xf180905b2bbc9dd0, 0xff3fe8533fa6a609, 0x49feda9fddba7c25, 0x6ae2faa390f0da37, 0xfb892c79e50b8389,
  0x7ea3e12fc4361222, 0xdf33c5dc6e525339, 0xd4795f7529dadcdb, 0x7b7fd47c1b306b5f, 0x148b34eb422814c5,
  0x7a8ea426be8c2cb1, 0xdda32464d1ceaedc, 0x6f6ac6abc6c75e74, 0x2d973170908a09e4, 0xccf2a3608991c37b,
  0xcdf81895af61663e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0x35a8a792bf734332, 0x00000000000280a5,
};

/*
 * m169a_u1x12_uart0_dual            m169p_u1x12_uart0_dual            m169pa_u1x12_uart0_dual
 * m165_u1x12_uart0_dual             m165a_u1x12_uart0_dual            m165p_u1x12_uart0_dual
 * m165pa_u1x12_uart0_dual
 */
static const uint64_t ur_m169_u1x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xeeeeedf90044e36b, 0x06dc1e9c02b5b16e, 0xec8a7191dddd3f61, 0x92c83b95f33ed2c4,
  0x1cc13e30120b6577, 0x1bbada0644a4a432, 0xf8971030a1836918, 0xe6f9df995c7ae774, 0x7a8ebef60514e0e4,
  0x08a11c913f838f73, 0xb87c2886257f9fbe, 0x955ddeef9b870401, 0x6f7150865a03e221, 0x12dbc06ffa039e13,
  0xffd2024c161bcaf2, 0xfeda9fddba7c2413, 0x14ef96aff0da3749, 0x48e3a7f0690fd471, 0xa398b017f0e64c7a,
  0x823af22dd9af91bd, 0xb8a929583ef71cb1, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0x3a005bcde5ba8301,
  0x4e02f7ca9bd4a725, 0x1bc674408ea2810b, 0x83cd84b997cdb4e3, 0xd30ae4fcfec5c9ab, 0x296cf8138cb25c33,
  0x29e4afdcd0ccb0e9, 0x0000000196fdba20,
};

/*
 * m169_u1x12_uart0_dual_pr_u4       m169a_u1x12_uart0_dual_pr         m169a_u1x12_uart0_dual_pr_u4
 * m169p_u1x12_uart0_dual_pr         m169p_u1x12_uart0_dual_pr_u4      m169pa_u1x12_uart0_dual_pr
 * m169pa_u1x12_uart0_dual_pr_u4     m165_u1x12_uart0_dual_pr          m165_u1x12_uart0_dual_pr_u4
 * m165a_u1x12_uart0_dual_pr         m165a_u1x12_uart0_dual_pr_u4      m165p_u1x12_uart0_dual_pr
 * m165p_u1x12_uart0_dual_pr_u4      m165pa_u1x12_uart0_dual_pr        m165pa_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m169_u1x12_uart0_dual_pr[] = {
  0xdd327cde890c365a, 0xbbb7e400028daddd, 0x58a75c1dfb5bbbbb, 0x828c8eeeebd734af, 0xb89bbeb9629b41ec,
  0xc602416caef24ddb, 0x40c8949486439827, 0x0614306d2303775b, 0xff32addcee9f12e2, 0x2b6c1d29c0e1cc52,
  0x39227f0752a6f51d, 0x510c4aff3f7c1142, 0x7bbe6e58f80370f8, 0x4219687c88865577, 0x01bfe80e784c3e45,
  0xaf30586f2bc84b6f, 0x3fbb74f84827ffb9, 0x9626a1b46e93fdb5, 0x4fe0c43fa8f914ef, 0x602a83cd38bdf1c7,
  0xe00ced6b23afe731, 0x1d21aa01ffb30475, 0x8a92a93a07967b62, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0,
  0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xbb8d1637c371e6c2,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0xa2cf257ee6866587, 0x0000000524c202db,
};

/*
 * m169_u1x12_uart0_dual_pr_ee_u4    m169a_u1x12_uart0_dual_pr_ee      m169a_u1x12_uart0_dual_pr_ee_u4
 * m169p_u1x12_uart0_dual_pr_ee      m169p_u1x12_uart0_dual_pr_ee_u4   m169pa_u1x12_uart0_dual_pr_ee
 * m169pa_u1x12_uart0_dual_pr_ee_u4  m165_u1x12_uart0_dual_pr_ee       m165_u1x12_uart0_dual_pr_ee_u4
 * m165a_u1x12_uart0_dual_pr_ee      m165a_u1x12_uart0_dual_pr_ee_u4   m165p_u1x12_uart0_dual_pr_ee
 * m165p_u1x12_uart0_dual_pr_ee_u4   m165pa_u1x12_uart0_dual_pr_ee     m165pa_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m169_u1x12_uart0_dual_pr_ee[] = {
  0xddd327cde890cf68, 0xbbbb7e2d1738dadd, 0x179579cedae3bbbb, 0xcfb3134bbaccda75, 0xf53af70dd889ea3e,
  0x20b6577928eddcd1, 0x29291c3fcc13e301, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x7fc380689b4d7e65,
  0xf83a1f9bd47b1fd8, 0x57f9fbe08a11c913, 0x72e4401b87c28862, 0x83a54432abbbddf3, 0x01cf098a2c542196,
  0x1bcaf212dbf57ffd, 0x3e12df7fee6bcc16, 0x6d1ba4ff6d4feedd, 0x795afb9aad68e448, 0x95ea3e0d983053d4,
  0x459a75a1143be2ba, 0x5cd2135f4616588a, 0x7bd9cead2e652e2a, 0x55ae875ea25da214, 0x5c242281151f3d63,
  0x608fd6e1bd97d2cc, 0xee2a4a0109fd62a3, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x6e8b3c95fb9a1996,
  0x0000000000564e9e,
};

/*
 * m169_u1x12_uart0_dual_pr_ce_u4    m169a_u1x12_uart0_dual_pr_ce      m169a_u1x12_uart0_dual_pr_ce_u4
 * m169p_u1x12_uart0_dual_pr_ce      m169p_u1x12_uart0_dual_pr_ce_u4   m169pa_u1x12_uart0_dual_pr_ce
 * m169pa_u1x12_uart0_dual_pr_ce_u4  m165_u1x12_uart0_dual_pr_ce       m165_u1x12_uart0_dual_pr_ce_u4
 * m165a_u1x12_uart0_dual_pr_ce      m165a_u1x12_uart0_dual_pr_ce_u4   m165p_u1x12_uart0_dual_pr_ce
 * m165p_u1x12_uart0_dual_pr_ce_u4   m165pa_u1x12_uart0_dual_pr_ce     m165pa_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_dual_pr_ce[] = {
  0x774c9f37a2431f02, 0xbbb7e3d3dfb36b77, 0x5cb12bed403bbbbb, 0x179cedddd89c6eac, 0x5188b36842614ad5,
  0x80905b2bbc98e2ee, 0xc894948185e609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0xb00b47031f9866ff,
  0x89fc18d69bd474b5, 0x312bfcfdf04508e4, 0xf9b8cf800dc3e144, 0xcb40a2a21955ddee, 0xfe80e784c63e2a10,
  0x0586f2bc84b6f15b, 0xb74f84982ffb9af3, 0x021b46e93fdb53fb, 0x3ca17071d2dc5f54, 0xf886c2445f71258f,
  0xc6e0a4fd7fd47c25, 0xf9ee58cfa9733c5d, 0x471d3f83a97ea38d, 0x23afe7316028283e, 0xffb33c75e00ced6b,
  0x81e5adc21d21aa01, 0x7f157ceee2a4aa4e, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde,
  0xa718de33a2077ca9, 0xce18edec555169ab, 0xe1b8f3612e65f36d, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x6925594dd16792bf,
};

/*
 * m169a_u1x12_uart0_dual_pr_ee_ce   m169p_u1x12_uart0_dual_pr_ee_ce   m169pa_u1x12_uart0_dual_pr_ee_ce
 * m165_u1x12_uart0_dual_pr_ee_ce    m165a_u1x12_uart0_dual_pr_ee_ce   m165p_u1x12_uart0_dual_pr_ee_ce
 * m165pa_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m169_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d43573e, 0xeeeedf85c49b36b7, 0xd9beec75f47e6eee, 0xaaf2b7707747b1ce, 0xbeec2bdeb2bdc03e,
  0x20b657792d39dcb8, 0x29290e9d4c13e301, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x290e1faf31adfe65,
  0xf076b737a8f00360, 0xaff3f7c114239227, 0xceeb00370f8510c4, 0x1a6d10caaeef77cd, 0x073c26c09150865a,
  0x6f2bc84b6f3b7ff4, 0xf0974fffb9af3058, 0x68dd27fb6a7f76e9, 0x0e0d63bfea8dc9c3, 0xc6e5e1f2d7e7942e,
  0x929dacac9ba6139d, 0xe0d9835f3d4795bf, 0x5a1140a62b80dea3, 0x35f4616588a459a7, 0xdece7576e3287521,
  0x5e363af512ed10a3, 0xc242281151f3d635, 0x044c8e1bd97d2cc5, 0x715252cc4feb151b, 0x06256bd93f8abe77,
  0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6,
  0xddc68b1e70dc79b0, 0xe985727eeaccdfc1, 0x94b67c09c6592e19, 0x2cf257ee68665874, 0x0000001304b1fdba,
};

/*
 * m169a_u1x12_uart0_dual_pr_ee_ce_u4 m169p_u1x12_uart0_dual_pr_ee_ce_u4
 * m169pa_u1x12_uart0_dual_pr_ee_ce_u4 m165_u1x12_uart0_dual_pr_ee_ce_u4
 * m165a_u1x12_uart0_dual_pr_ee_ce_u4 m165p_u1x12_uart0_dual_pr_ee_ce_u4
 * m165pa_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd327cde8adbba812, 0xdbf2c9df5cdadddd, 0x35eaf7ab8bdddddd, 0xbadd2d59f6d3dee1, 0xfda3337609932829,
  0xfda7707d7e0e5dd9, 0x304f8c0482d95de4, 0x75b40c894948f3d7, 0x2e20614306d23037, 0x495f99696fcee9f1,
  0xecf9b0eb338321cd, 0x239227f066b737a8, 0x8510c4aff3f7c114, 0xef77cdcea700370f, 0x50865a016910caae,
  0xfafff4073c263831, 0xc330586f2bc84b6f, 0xfeedd3e127f9ff8f, 0x1a9e86d1ba4ff6d4, 0xcf285e76337717d5,
  0x7e21b09117dc4963, 0x373541e41ff51f09, 0x94ed6e6e6e99e2ee, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f,
  0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e,
  0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0x1637c5c9ab83cd84, 0xf53ab337f07edd8d, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00800cb4be46e9e4,
};

/*
 * m169a_u1x12_uart0_dual_hw         m169p_u1x12_uart0_dual_hw         m169pa_u1x12_uart0_dual_hw
 * m165_u1x12_uart0_dual_hw          m165a_u1x12_uart0_dual_hw         m165p_u1x12_uart0_dual_hw
 * m165pa_u1x12_uart0_dual_hw
 */
static const uint64_t ur_m169_u1x12_uart0_dual_hw[] = {
  0xee993e6f44861a4e, 0xdddbf2000146d6ee, 0xac53ae0efdaddddd, 0x4146477775eb9a57, 0xdbb935dc2f7dc0f6,
  0x27c602416caef24d, 0x5b40c89494864398, 0xe20614306d230377, 0x52ff32addcee9f12, 0x1d2b6c1d29c0e1cc,
  0x4239227f0752a6f5, 0xf8510c4aff3f7c11, 0x777bbe6e58f80370, 0x454219687c888655, 0x6f01bfe80e784c3e,
  0xf52330586f2bc84b, 0x6a7f76e9f0904fff, 0xdf2c4d4368dd27fb, 0x8e9fc1887f51f229, 0x62c055079a717be3,
  0xebc019dad6475fce, 0xc43a435403ff6608, 0x77152552740f2cf6, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xd14f257ee6866587,
  0x0000000031ba8405,
};

/*
 * m169a_u1x12_uart0_dual_ee_hw      m169p_u1x12_uart0_dual_ee_hw      m169pa_u1x12_uart0_dual_ee_hw
 * m165_u1x12_uart0_dual_ee_hw       m165a_u1x12_uart0_dual_ee_hw      m165p_u1x12_uart0_dual_ee_hw
 * m165pa_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m169_u1x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2435202, 0xeeedf8b45ce36b77, 0x5e55e73b6b8eeeee, 0x3ecc4d2eeb3369d4, 0x0eb69be6ba27a8fb,
  0x482d95de4a3b7739, 0x4a4a470ff304f8c0, 0x18369181bbada064, 0x56ee774f8971030a, 0x1ff0e01a26d35f99,
  0xfe0e87e6f51ec7f6, 0x95fe7ef822847244, 0xdcb91006e1f0a218, 0xa0e9510caaeef77c, 0x4073c2628b150865,
  0x86f2bc84b6fd5fff, 0x9f096fbfff523305, 0x368dd27fb6a7f76e, 0x3cad7dcd56b47224, 0x4af51f06cc1829ea,
  0x22cd3ad08a1df15d, 0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1,
  0xb047eb70decbe966, 0x7715250084feb151, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x514f257ee6866587, 0x0000000000aed74f,
};

/*
 * m169a_u1x12_uart0_dual_ce_hw      m169p_u1x12_uart0_dual_ce_hw      m169pa_u1x12_uart0_dual_ce_hw
 * m165_u1x12_uart0_dual_ce_hw       m165a_u1x12_uart0_dual_ce_hw      m165p_u1x12_uart0_dual_ce_hw
 * m165pa_u1x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m169_u1x12_uart0_dual_ce_hw[] = {
  0xee993e6f448618be, 0x776fc7a7bf66d6ee, 0xb96257da80777777, 0x2f39dbbbb138dd58, 0xbbbaf6705af055aa,
  0x7c602416caef2638, 0xd032252520617982, 0x81850c1b48c0ddd6, 0xbfccab773ba7c4b8, 0x2d6c02d1c0c7e619,
  0x39227f0635a6f51d, 0x510c4aff3f7c1142, 0x7bbe6e33e00370f8, 0x8432d028a8865577, 0x56ffa039e1318f8a,
  0x8cc161bcaf212dbc, 0xfddba7c24c17ffd4, 0xaa010da3749feda9, 0xc79e50b838e96e2f, 0x12fc4361222fb892,
  0x1771b8ff3107ea3e, 0xe37e7b9633ea5ccf, 0x0f91c74fe0ea5fa8, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b,
  0x93a0796b7087486a, 0xec9fc55f3bb8a92a, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0026eb565514f257,
};

/*
 * m169a_u1x12_uart0_dual_ee_ce_hw   m169p_u1x12_uart0_dual_ee_ce_hw   m169pa_u1x12_uart0_dual_ee_ce_hw
 * m165_u1x12_uart0_dual_ee_ce_hw    m165a_u1x12_uart0_dual_ee_ce_hw   m165p_u1x12_uart0_dual_ee_ce_hw
 * m165pa_u1x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m169_u1x12_uart0_dual_ee_ce_hw[] = {
  0x74c9f37d4143359b, 0xeedf85c49b36b777, 0xbeec75f47e6eeeee, 0xf2b7707747b1ced9, 0x330a6b5d7dc03eaa,
  0x20b657792d39dc3c, 0x29290e9d4c13e301, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x290e1faf31adfe65,
  0xf076b737a8f00360, 0xaff3f7c114239227, 0xceeb00370f8510c4, 0x1a6d10caaeef77cd, 0x073c26c09150865a,
  0x6f2bc84b6f3b7ff4, 0xe12e9ffff5233058, 0xd1ba4ff6d4feedd3, 0x1c1ac77fd51b9386, 0x8dceb3643fcf285c,
  0x253b5959374c273b, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42,
  0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36, 0x0c4ad7b27f157cee,
  0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2e65f36dce18edec,
  0x4e7ea6c3b1b8f361, 0x43cc9fe04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c, 0xb1fe8a792bf73433,
  0x0000000000001d75,
};

/*
 * m169a_u1x12_uart0_dual_ee_ce_u4_hw m169p_u1x12_uart0_dual_ee_ce_u4_hw
 * m169pa_u1x12_uart0_dual_ee_ce_u4_hw m165_u1x12_uart0_dual_ee_ce_u4_hw
 * m165a_u1x12_uart0_dual_ee_ce_u4_hw m165p_u1x12_uart0_dual_ee_ce_u4_hw
 * m165pa_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d1880b, 0x76fcb277d736b777, 0xdc26bed5ef777777, 0x05375ba5ab3eda7b, 0x5b669d666ec13265,
  0x95de4fda77093fd3, 0x8f3d7304f8c0482d, 0x2303775b40c89494, 0xee9f12e20614306d, 0x06439a92bf32ec24,
  0x6e6f51d9f361d667, 0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2,
  0x9096dff5ffe80e78, 0xe7fb3d0e60b0de57, 0x3fdb53fbb74f849f, 0xdc5f546a7a1b46e9, 0x1258f3c6f860e0cd,
  0x47c25f886c2445f7, 0xcf1771b8a49cdffd, 0xe56fe4a76b737374, 0x37a8f83660d7cf51, 0x1669d68450298ae0,
  0x1d484d7d18596229, 0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f,
  0xaf9ddc5494b313fa, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x85c2fa792bf73433, 0x00000000003aea2c,
};

/*
 * m169_u2x8_uart0_noled_pr          m169a_u2x8_uart0_noled            m169a_u2x8_uart0_noled_pr
 * m169p_u2x8_uart0_noled            m169p_u2x8_uart0_noled_pr         m169pa_u2x8_uart0_noled
 * m169pa_u2x8_uart0_noled_pr        m165_u2x8_uart0_noled             m165_u2x8_uart0_noled_pr
 * m165a_u2x8_uart0_noled            m165a_u2x8_uart0_noled_pr         m165p_u2x8_uart0_noled
 * m165p_u2x8_uart0_noled_pr         m165pa_u2x8_uart0_noled           m165pa_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m169_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0xc92609f180905b2b, 0x74f849efff7e879f, 0x0e1b46f6a8e526fb, 0x0cd27a8fcf1df2c9, 0xdee986f93d1c74fe,
  0x9d9ed23c66731602, 0x6513b8e58c11d78b, 0xe70b37e06256bd85, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0x2f9b6249156f62aa, 0xfc68b1e70ddb0973, 0x615c9fbab31e40d1, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x00003e43a4ed71f3,
};

/*
 * m169a_u2x8_uart0_noled_pr_u4      m169p_u2x8_uart0_noled_pr_u4      m169pa_u2x8_uart0_noled_pr_u4
 * m165_u2x8_uart0_noled_pr_u4       m165a_u2x8_uart0_noled_pr_u4      m165p_u2x8_uart0_noled_pr_u4
 * m165pa_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m169_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874488da91, 0x7777557d9cad225b, 0x089154cdb7a36f77, 0xc7d83eeee859471d, 0xdd68bd3b1dcbb623,
  0x609f180905b2bbc9, 0xc24be7f9e059f9c6, 0xda37b5472937dba7, 0x2fd47e80ef9610f0, 0xa67bed68e3a7f068,
  0xabfa3d61cc580b2c, 0xa01ffb30475e8f9d, 0xe3e07967b63eccf2, 0x39c2cdf81895af60, 0xf37807d4180ef5af,
  0x0575539794d8ce16, 0xa2d2c2e718de33a2, 0xcbe6d892455bd8aa, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x007c98c9c880a792,
};

/*
 * m169_u2x8_uart0_noled_pr_ee_u4    m169a_u2x8_uart0_noled_pr_ee      m169a_u2x8_uart0_noled_pr_ee_u4
 * m169p_u2x8_uart0_noled_pr_ee      m169p_u2x8_uart0_noled_pr_ee_u4   m169pa_u2x8_uart0_noled_pr_ee
 * m169pa_u2x8_uart0_noled_pr_ee_u4  m165_u2x8_uart0_noled_pr_ee       m165_u2x8_uart0_noled_pr_ee_u4
 * m165a_u2x8_uart0_noled_pr_ee      m165a_u2x8_uart0_noled_pr_ee_u4   m165p_u2x8_uart0_noled_pr_ee
 * m165p_u2x8_uart0_noled_pr_ee_u4   m165pa_u2x8_uart0_noled_pr_ee     m165pa_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m169_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0xc602416caef2775d, 0x0ffcf02cfb059827, 0xb5472937dba7c247, 0x89355ad1ce30da37, 0x3e0d9834c7d4795c,
  0x3ad08a1df15f75ea, 0x09afa30b2c4522cd, 0x39d5a5e715c6b269, 0xa1d79d376ded1e0b, 0x11473c8c38d8d56b,
  0xf5b86f65b2e62e12, 0xec00a89534a8d823, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19,
  0x15545a585ce31bc6, 0x4b997cdb1248ab7b, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000009d7d1c51014,
};

/*
 * m169_u2x8_uart0_noled_pr_ce_u4    m169a_u2x8_uart0_noled_pr_ce      m169a_u2x8_uart0_noled_pr_ce_u4
 * m169p_u2x8_uart0_noled_pr_ce      m169p_u2x8_uart0_noled_pr_ce_u4   m169pa_u2x8_uart0_noled_pr_ce
 * m169pa_u2x8_uart0_noled_pr_ce_u4  m165_u2x8_uart0_noled_pr_ce       m165_u2x8_uart0_noled_pr_ce_u4
 * m165a_u2x8_uart0_noled_pr_ce      m165a_u2x8_uart0_noled_pr_ce_u4   m165p_u2x8_uart0_noled_pr_ce
 * m165p_u2x8_uart0_noled_pr_ce_u4   m165pa_u2x8_uart0_noled_pr_ce     m165pa_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x3cc13e30120b6577, 0x3e12727fe78167e4, 0x86d1bdaa3949bedd, 0xc64a9dbf9717d724, 0x886c2445f71258f3,
  0x371fe620fd47c25f, 0xd3dcb19fac99e2ee, 0x91c74fe0f59ea393, 0xfa3d61cc580a3e74, 0x1ffb33c75e8f9dab,
  0xf81e5adc3eccf2a0, 0x70b37e06256bd838, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf36c490c76f62aa8, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x375c83944053c95f,
};

/*
 * m169a_u2x8_uart0_noled_pr_ee_ce   m169p_u2x8_uart0_noled_pr_ee_ce   m169pa_u2x8_uart0_noled_pr_ee_ce
 * m165_u2x8_uart0_noled_pr_ee_ce    m165a_u2x8_uart0_noled_pr_ee_ce   m165p_u2x8_uart0_noled_pr_ee_ce
 * m165pa_u2x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m169_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x80905b2bbc9ddb0d, 0xff3c0b3e4ea609f1, 0x51ca4df6e9f09456, 0x1dff546fe4368ded, 0x66c87f9e3254ef02,
  0xb2b1ef984e771b9d, 0x1ad7f51e57d44a76, 0x0531584ff51f06cc, 0x0b2c4522cd3ad08a, 0xabb74e23a909afa3,
  0xaf3a6edbda3c1673, 0x1cf230e36355e363, 0xe1bd96cb98b84845, 0x59d12a6951b044c8, 0xce70b37e06256bd8,
  0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0x65f36c490c76f62a, 0xb579726ae0f3612e,
  0x53ab31e40fca1a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86, 0x053c95fb9a19961d,
  0x0000000013f318c4,
};

/*
 * m169a_u2x8_uart0_noled_pr_ee_ce_u4 m169p_u2x8_uart0_noled_pr_ee_ce_u4
 * m169pa_u2x8_uart0_noled_pr_ee_ce_u4 m165_u2x8_uart0_noled_pr_ee_ce_u4
 * m165a_u2x8_uart0_noled_pr_ee_ce_u4 m165p_u2x8_uart0_noled_pr_ee_ce_u4
 * m165pa_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb68744863375, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0x4b1568dd5ce8e3d3,
  0x27c602416caef277, 0x31fffb15d9fdda98, 0xbdaa3949bedd3e12, 0x383717d51c8786d1, 0x17dc4963cf285c1c,
  0x93f51f097e21b091, 0xbdf33c5dc6e747d4, 0xfd4795f5129dadcd, 0x5613fd47c1b306b5, 0x1148b34eb422814c,
  0xd388ea426be8c2cb, 0x9bb6f68f059ceaed, 0x8c38d8d578d8ebce, 0x65b2e62e1211473c, 0x4a9a546c1132386f,
  0x2cdf81895af61674, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x004fcf627b7459e4,
};

/*
 * m169a_u2x8_uart0_noled_hw         m169p_u2x8_uart0_noled_hw         m169pa_u2x8_uart0_noled_hw
 * m168pb_u2x8_uart0_noled_hw        m165_u2x8_uart0_noled_hw          m165a_u2x8_uart0_noled_hw
 * m165p_u2x8_uart0_noled_hw         m165pa_u2x8_uart0_noled_hw
 */
static const uint64_t ur_m169_u2x8_uart0_noled_hw[] = {
  0x6eeeeeda1eb3753a, 0xdddddd55f672b489, 0x38e8448aa66933dd, 0xb11e3ec1f77742ca, 0x2bbc9dd2e364f54d,
  0x9f9c6609f180905b, 0x7dba7c24be7fe1c7, 0x610f0da37b547293, 0x7f0682fd47e80ef9, 0x80b2ca67bed68e3a,
  0xe8f9dabfa3d61cc5, 0xeccf2a01ffb30475, 0x5af60e3e07967b63, 0xef5af39c2cdf8189, 0x8ce16f37807d4180,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0x6c25ccbe6d892455, 0xc33d30ae4fcfec37, 0xe9296cb25138cb25,
  0xd829e4afdcd0ccb0, 0x0000000000471005,
};

/*
 * m169a_u2x8_uart0_noled_ee_hw      m169p_u2x8_uart0_noled_ee_hw      m169pa_u2x8_uart0_noled_ee_hw
 * m168pb_u2x8_uart0_noled_ee_hw     m165_u2x8_uart0_noled_ee_hw       m165a_u2x8_uart0_noled_ee_hw
 * m165p_u2x8_uart0_noled_ee_hw      m165pa_u2x8_uart0_noled_ee_hw     pwm216_u2x8_uart0_noled_ee_hw
 * pwm316_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m169_u2x8_uart0_noled_ee_hw[] = {
  0xdddddb43a243280b, 0xbbbbaabe6b1b112d, 0x75a14d971d1a7bbb, 0x60bfd4cd0775228d, 0xddc9cf5b5a71bb06,
  0x609f180905b2bbc9, 0xc2470ffe8533ec16, 0xda37b5472937dba7, 0x795c89355ad1ce30, 0x75ea3e0d9834c7d4,
  0x22cd3ad08a1df15f, 0xb26909afa30b2c45, 0x1e0b39d5a5e715c6, 0xd56ba1d79d376ded, 0x2e1211473c8c38d8,
  0xd823f5b86f65b2e6, 0x12b5ec00a89534a8, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2,
  0xab7b15545a585ce3, 0x3cd84b997cdb1248, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x556514f257ee6866, 0x00000000000016fe,
};

/*
 * m169a_u2x8_uart0_noled_ce_hw      m169p_u2x8_uart0_noled_ce_hw      m169pa_u2x8_uart0_noled_ce_hw
 * m168pb_u2x8_uart0_noled_ce_hw     m165_u2x8_uart0_noled_ce_hw       m165a_u2x8_uart0_noled_ce_hw
 * m165p_u2x8_uart0_noled_ce_hw      m165pa_u2x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m169_u2x8_uart0_noled_ce_hw[] = {
  0xddddddb43d66ef3a, 0x77777557d9cf1712, 0x387f5e4327b50f77, 0x406d9331afbbbb71, 0xb657793ba0bd04d6,
  0x8f3efe4c13e30120, 0x26fb74f848caffc3, 0xff5e921b46f6a8e5, 0xfddf9e325038989d, 0x0b8ce6139dc6e54a,
  0x83c67ea38879ee58, 0xc580b70c4fc71d3f, 0xebc5ced20a8f199c, 0xaf60e9d3dc72c678, 0xf5af39c2cdf81895,
  0x19c2de6f2dd4180e, 0x42d37aaeaa72f29b, 0xc6378ce881736630, 0xfb0ddb09732f9b69, 0x32c970cf4c2b93f3,
  0x332c3a4a5b2c944e, 0x141d760a792bf734, 0x0000000000000062,
};

/*
 * m169_u2x8_uart0_noled_ee_ce_u4_hw m169a_u2x8_uart0_noled_ee_ce_hw   m169a_u2x8_uart0_noled_ee_ce_u4_hw
 * m169p_u2x8_uart0_noled_ee_ce_hw   m169p_u2x8_uart0_noled_ee_ce_u4_hw
 * m169pa_u2x8_uart0_noled_ee_ce_hw  m169pa_u2x8_uart0_noled_ee_ce_u4_hw
 * m168pb_u2x8_uart0_noled_ee_ce_hw  m168pb_u2x8_uart0_noled_ee_ce_u4_hw
 * m165_u2x8_uart0_noled_ee_ce_hw    m165_u2x8_uart0_noled_ee_ce_u4_hw m165a_u2x8_uart0_noled_ee_ce_hw
 * m165a_u2x8_uart0_noled_ee_ce_u4_hw m165p_u2x8_uart0_noled_ee_ce_hw
 * m165p_u2x8_uart0_noled_ee_ce_u4_hw m165pa_u2x8_uart0_noled_ee_ce_hw
 * m165pa_u2x8_uart0_noled_ee_ce_u4_hw pwm216_u2x8_uart0_noled_ee_ce_hw
 * pwm216_u2x8_uart0_noled_ee_ce_u4_hw pwm316_u2x8_uart0_noled_ee_ce_hw
 * pwm316_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbb68744864aa4, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0xea4cb17dcfb8e3d3,
  0x04f8c0482d95de4e, 0x48c7ffe8533fbb53, 0x46f6a8e526fb74f8, 0x70e0dc5f54721e1b, 0x445f71258f3ca170,
  0xb91fd47c25f886c2, 0x9b7be678bb8dc4a8, 0x6bfa8f2bea253b5b, 0x98ac27fa8f83660d, 0x962291669d684502,
  0xdba711d484d7d185, 0x9d376ded1e0b39d5, 0x791871b1aaf1b1d7, 0xdecb65cc5c24228e, 0xe89534a8d8226470,
  0x3859bf0312b5ec2c, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de, 0x5a585ce31bc67440, 0xf9b624863b7b1554,
  0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0001405ec4fa29e4,
};

/*
 * m169_u2x8_uart0_lednop_pr         m169a_u2x8_uart0_lednop           m169a_u2x8_uart0_lednop_pr
 * m169p_u2x8_uart0_lednop           m169p_u2x8_uart0_lednop_pr        m169pa_u2x8_uart0_lednop
 * m169pa_u2x8_uart0_lednop_pr       m165_u2x8_uart0_lednop            m165_u2x8_uart0_lednop_pr
 * m165a_u2x8_uart0_lednop           m165a_u2x8_uart0_lednop_pr        m165p_u2x8_uart0_lednop
 * m165p_u2x8_uart0_lednop_pr        m165pa_u2x8_uart0_lednop          m165pa_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m169_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xe0a4c13e30120b65, 0x6e9f097c9fefd0f3, 0x21c368ded51ca4df, 0xc19a4f51c9e3be59, 0x2dee987ce9238e9f,
  0xe766be4720a73160, 0xb07dee39630475e2, 0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x79c376c25ccbe6db, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x6866587494b65928, 0xc801cb5c7cf257ee, 0x0000000000000007,
};

/*
 * m169a_u2x8_uart0_lednop_pr_u4     m169p_u2x8_uart0_lednop_pr_u4     m169pa_u2x8_uart0_lednop_pr_u4
 * m165_u2x8_uart0_lednop_pr_u4      m165a_u2x8_uart0_lednop_pr_u4     m165p_u2x8_uart0_lednop_pr_u4
 * m165pa_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddb43a2447f82, 0x7777557d9c75f12d, 0xb4a12fc2e3b50f77, 0xf4a64f77742ca38e, 0xeeae3122a6e0d933,
  0x304f8c0482d95de4, 0xc252fbfcf02cf9eb, 0xda37b5472937dba7, 0x2fd47b58ef9610f0, 0x4df241f8e3a7f068,
  0xb3d1a43398b01659, 0x00ffd9823af47cec, 0xad03cb3db4166915, 0x4e166fc0c4ad7b20, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x57079b09732f9b6e, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xe4e2029e4afdcd0c, 0x000000000003e4c1,
};

/*
 * m169_u2x8_uart0_lednop_pr_ee_u4   m169a_u2x8_uart0_lednop_pr_ee     m169a_u2x8_uart0_lednop_pr_ee_u4
 * m169p_u2x8_uart0_lednop_pr_ee     m169p_u2x8_uart0_lednop_pr_ee_u4  m169pa_u2x8_uart0_lednop_pr_ee
 * m169pa_u2x8_uart0_lednop_pr_ee_u4 m165_u2x8_uart0_lednop_pr_ee      m165_u2x8_uart0_lednop_pr_ee_u4
 * m165a_u2x8_uart0_lednop_pr_ee     m165a_u2x8_uart0_lednop_pr_ee_u4  m165p_u2x8_uart0_lednop_pr_ee
 * m165p_u2x8_uart0_lednop_pr_ee_u4  m165pa_u2x8_uart0_lednop_pr_ee    m165pa_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xf180905b2bbc9ddb, 0x43ff3c0b3f95a609, 0xed51ca4df6e9f091, 0x654d56b4738c368d, 0x8f83660d31f51e56,
  0x9d68450ef8ac3dfa, 0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d, 0x84504f237b56355a,
  0xfd6e1bd96cb98b84, 0xf60043eccf2a3608, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75de6dc4053c95fb,
  0x0000000000000002,
};

/*
 * m169_u2x8_uart0_lednop_pr_ce_u4   m169a_u2x8_uart0_lednop_pr_ce     m169a_u2x8_uart0_lednop_pr_ce_u4
 * m169p_u2x8_uart0_lednop_pr_ce     m169p_u2x8_uart0_lednop_pr_ce_u4  m169pa_u2x8_uart0_lednop_pr_ce
 * m169pa_u2x8_uart0_lednop_pr_ce_u4 m165_u2x8_uart0_lednop_pr_ce      m165_u2x8_uart0_lednop_pr_ce_u4
 * m165a_u2x8_uart0_lednop_pr_ce     m165a_u2x8_uart0_lednop_pr_ce_u4  m165p_u2x8_uart0_lednop_pr_ce
 * m165p_u2x8_uart0_lednop_pr_ce_u4  m165pa_u2x8_uart0_lednop_pr_ce    m165pa_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0x7304f8c0482d95de, 0xf849d2ff9e059f29, 0x1b46f6a8e526fb74, 0x3254eea55c5f5c92, 0x4361222fb892c79e,
  0x72b7e007ea3e12fc, 0x3dcb19fac99e2ee3, 0x1c74fe0f59ea3f49, 0x8d219cc580a9888b, 0xfeccf1d7a3e7659e,
  0x0796b720b348a807, 0x2cdf81895af6415a, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x880a792bf734332c, 0x0000000006eb8a9c,
};

/*
 * m169a_u2x8_uart0_lednop_pr_ee_ce  m169p_u2x8_uart0_lednop_pr_ee_ce  m169pa_u2x8_uart0_lednop_pr_ee_ce
 * m165_u2x8_uart0_lednop_pr_ee_ce   m165a_u2x8_uart0_lednop_pr_ee_ce  m165p_u2x8_uart0_lednop_pr_ee_ce
 * m165pa_u2x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0xc0482d95de4eea0a, 0xff3c0b3f43f304f8, 0x51ca4df6e9f091c1, 0x9dff546fe4368ded, 0x22495f9e3254ef7d,
  0xb2b1ef984e771b97, 0x1ad7f51e57dd4a76, 0x05315edff51f06cc, 0x0b2c4522cd3ad08a, 0xabb71ea3a909afa3,
  0xd79d3768c9193473, 0x82791bdab1aaf1b1, 0x70decb65cc5c2422, 0x598fb33ca8d82264, 0x0270b37e06256bd8,
  0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x357079b09732f9b6,
  0xf207e50d165abcb9, 0x8d2861539fa9d598, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0013f30862029e4a,
};

/*
 * m169a_u2x8_uart0_lednop_pr_ee_ce_u4 m169p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m169pa_u2x8_uart0_lednop_pr_ee_ce_u4 m165_u2x8_uart0_lednop_pr_ee_ce_u4
 * m165a_u2x8_uart0_lednop_pr_ee_ce_u4 m165p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m165pa_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddb43a243304a, 0x777755779097712d, 0x392989a17b93b777, 0x364638f8feed8f24, 0x62ea3eec900dc112,
  0x3e30120b657793bb, 0xff3fec5767f4d4c1, 0x7b5472937dba7c25, 0x96ae2faa390f0da3, 0x2fb892c79e50b838,
  0x0fea3e12fc436122, 0xf7ccf1771b808930, 0xf51e57dd4a76b736, 0x5edff51f06cc1ad7, 0x4522cd3ad08a0531,
  0x1ea3a909afa30b2c, 0x3768c9193473abb7, 0x1bdab1aaf1b1d79d, 0xcb65cc5c24228279, 0xb33ca8d8226470de,
  0xb37e06256bd8598f, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x79b09732f9b6e70c, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x4d66e8b3c95fb9a1, 0x0000000000004fc9,
};

/*
 * m169a_u2x8_uart0_lednop_hw        m169p_u2x8_uart0_lednop_hw        m169pa_u2x8_uart0_lednop_hw
 * m168pb_u2x8_uart0_lednop_hw       m165_u2x8_uart0_lednop_hw         m165a_u2x8_uart0_lednop_hw
 * m165p_u2x8_uart0_lednop_hw        m165pa_u2x8_uart0_lednop_hw
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_hw[] = {
  0xbbbbbb687acdc49f, 0xeeeeeaafb38ebe25, 0x71d69425f9b006ee, 0x267e94c9eeee8594, 0xcaef277731243568,
  0xe7cf59827c602416, 0xbedd3e1297dff871, 0xb08786d1bdaa3949, 0x3f83417ea3dac77c, 0x80b2ca6f920fc71d,
  0xa3e7659e8d219cc5, 0xb348a807fecc11d7, 0x6bd905681e59eda0, 0xcf020270b37e0625, 0xde6f36450603bd6b,
  0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0x7cdb739156f62aa8, 0x5c9f9fd86ed84b99, 0x64a271964b867a61,
  0x5fb9a19961d252d9, 0x00004715bbb053c9,
};

/*
 * m169a_u2x8_uart0_lednop_ee_hw     m169p_u2x8_uart0_lednop_ee_hw     m169pa_u2x8_uart0_lednop_ee_hw
 * m168pb_u2x8_uart0_lednop_ee_hw    m165_u2x8_uart0_lednop_ee_hw      m165a_u2x8_uart0_lednop_ee_hw
 * m165p_u2x8_uart0_lednop_ee_hw     m165pa_u2x8_uart0_lednop_ee_hw    pwm216_u2x8_uart0_lednop_ee_hw
 * pwm316_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_ee_hw[] = {
  0xeeeeeda1d1218375, 0xbbbbaabe6b62f896, 0x5cd85a331da0bbbb, 0xde3bf53341dd48a3, 0x7760580ad6c4d2cf,
  0x9827c602416caef2, 0xf09143ffa14cfe56, 0x368ded51ca4df6e9, 0x1e56654d56b4738c, 0x3dfa8f83660d31f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2e7aae3, 0x355ae875e74dda32, 0x8b8484504f237b56,
  0x3608fd6e1bd96cb9, 0x895af60043eccf2a, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000005be60e545,
};

/*
 * m169a_u2x8_uart0_lednop_ce_hw     m169p_u2x8_uart0_lednop_ce_hw     m169pa_u2x8_uart0_lednop_ce_hw
 * m168pb_u2x8_uart0_lednop_ce_hw    m165_u2x8_uart0_lednop_ce_hw      m165a_u2x8_uart0_lednop_ce_hw
 * m165p_u2x8_uart0_lednop_ce_hw     m165pa_u2x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_ce_hw[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x270fed09bbf7c7ee, 0x36200db7c7f7776e, 0x0b657793bb63d90d,
  0x71e7e034c13e3012, 0x49bedd3e120f7ff8, 0x7fd7a486d1bdaa39, 0x5c9fe78c940e4427, 0x02e33984e771b851,
  0xe0f19fa8f5fe7b96, 0x98b016d6a971c74f, 0xc75e2e761f68e893, 0x5af60e94d6e39633, 0xf3c0809c2cdf8189,
  0xce8016f37980ef5a, 0x6953e02d4e48a5ab, 0x378ce88197f31821, 0x0ddb09732f9b69c6, 0xc970cf4c2b93f3fb,
  0x2c3a4a5b2c944e32, 0xf5f60a792bf73433, 0x000000000000c429,
};

/*
 * m169_u2x8_uart0_lednop_ee_ce_u4_hw m169a_u2x8_uart0_lednop_ee_ce_hw
 * m169a_u2x8_uart0_lednop_ee_ce_u4_hw m169p_u2x8_uart0_lednop_ee_ce_hw
 * m169p_u2x8_uart0_lednop_ee_ce_u4_hw m169pa_u2x8_uart0_lednop_ee_ce_hw
 * m169pa_u2x8_uart0_lednop_ee_ce_u4_hw m168pb_u2x8_uart0_lednop_ee_ce_hw
 * m168pb_u2x8_uart0_lednop_ee_ce_u4_hw m165_u2x8_uart0_lednop_ee_ce_hw
 * m165_u2x8_uart0_lednop_ee_ce_u4_hw m165a_u2x8_uart0_lednop_ee_ce_hw
 * m165a_u2x8_uart0_lednop_ee_ce_u4_hw m165p_u2x8_uart0_lednop_ee_ce_hw
 * m165p_u2x8_uart0_lednop_ee_ce_u4_hw m165pa_u2x8_uart0_lednop_ee_ce_hw
 * m165pa_u2x8_uart0_lednop_ee_ce_u4_hw pwm216_u2x8_uart0_lednop_ee_ce_hw
 * pwm216_u2x8_uart0_lednop_ee_ce_u4_hw pwm316_u2x8_uart0_lednop_ee_ce_hw
 * pwm316_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb687448607e1, 0xeeeeaaef212ee25b, 0x72531342f7276eee, 0x6c8c71f1fddb1e48, 0xe843dfbd1d7b8224,
  0x04f8c0482d95de4e, 0x12ff9ff4299fd353, 0xd1bdaa3949bedd3e, 0x1c4b5717d51c8786, 0x9117dc4963cf285c,
  0x99cbf51f097e21b0, 0xe6def99e2ee37292, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983, 0x6588a459a75a1140,
  0x76e3d4752135f461, 0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e,
  0x4e166fc0c4ad7b0b, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x1b8f3612e65f36dc, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x0529ad453c95fb9a, 0x0000000000000014,
};

/*
 * m169a_u2x8_uart0_dual             m169p_u2x8_uart0_dual             m169pa_u2x8_uart0_dual
 * m165_u2x8_uart0_dual              m165a_u2x8_uart0_dual             m165p_u2x8_uart0_dual
 * m165pa_u2x8_uart0_dual
 */
static const uint64_t ur_m169_u2x8_uart0_dual[] = {
  0xd6eeeee993d44511, 0xdddddddbf20089c6, 0xc20db83d38056b62, 0x89d914e323bbba7e, 0xef2590772be67da5,
  0x6439827c602416ca, 0x303775b40c894948, 0xe9f12e20614306d2, 0xc9cdf3bf32b8f5ce, 0xe6f51d7dec0a29c1,
  0x7c114239227f071e, 0x0370f8510c4aff3f, 0x432abbbddf370e08, 0x26dee2a10cb407c4, 0xe425b780dff4073c,
  0x27ffa404982c3795, 0xf6a8e526fb74f848, 0x8e229df2d5fe1b46, 0x8f491c74fe0d21fa, 0x37b4731602fe1cc9,
  0x9630475e45bb35f2, 0xe77715252b07dee3, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0xe4a7400b79bcb750,
  0x2169c05ef9537a94, 0x9c6378ce8811d450, 0x357079b09732f9b6, 0x867a615c9f9fd8b9, 0x1d252d9f0271964b,
  0x44053c95fb9a1996, 0x000000000032dfb7,
};

/*
 * m169_u2x8_uart0_dual_pr_u4        m169a_u2x8_uart0_dual_pr          m169a_u2x8_uart0_dual_pr_u4
 * m169p_u2x8_uart0_dual_pr          m169p_u2x8_uart0_dual_pr_u4       m169pa_u2x8_uart0_dual_pr
 * m169pa_u2x8_uart0_dual_pr_u4      m165_u2x8_uart0_dual_pr           m165_u2x8_uart0_dual_pr_u4
 * m165a_u2x8_uart0_dual_pr          m165a_u2x8_uart0_dual_pr_u4       m165p_u2x8_uart0_dual_pr
 * m165p_u2x8_uart0_dual_pr_u4       m165pa_u2x8_uart0_dual_pr         m165pa_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m169_u2x8_uart0_dual_pr[] = {
  0xbbbba64e890c365a, 0x77776fc800051b5b, 0x5eb14eb83bf6b777, 0xd905191dddd7ae69, 0xb771377d72c53683,
  0x4f8c0482d95de49b, 0xb6819129290c8730, 0xc40c2860da4606ee, 0xa5fe655bb9dd3e25, 0x3a56d83a5381c398,
  0x847244fe0ea54dea, 0xf0a21895fe7ef822, 0xeef77cdcb1f006e1, 0x8a8432d0f9110caa, 0xde037fd01cf0987c,
  0x735e60b0de579096, 0xca4df6e9f0904fff, 0x9df2c4d4368ded51, 0x38e9fc1887f51f22, 0xe62c055079a717be,
  0x8ebc019dad6475fc, 0x6c43a435403ff660, 0x777152552740f2cf, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3,
  0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x5b7459e4afdcd0cc, 0x0000000000a49840,
};

/*
 * m169_u2x8_uart0_dual_pr_ee_u4     m169a_u2x8_uart0_dual_pr_ee       m169a_u2x8_uart0_dual_pr_ee_u4
 * m169p_u2x8_uart0_dual_pr_ee       m169p_u2x8_uart0_dual_pr_ee_u4    m169pa_u2x8_uart0_dual_pr_ee
 * m169pa_u2x8_uart0_dual_pr_ee_u4   m165_u2x8_uart0_dual_pr_ee        m165_u2x8_uart0_dual_pr_ee_u4
 * m165a_u2x8_uart0_dual_pr_ee       m165a_u2x8_uart0_dual_pr_ee_u4    m165p_u2x8_uart0_dual_pr_ee
 * m165p_u2x8_uart0_dual_pr_ee_u4    m165pa_u2x8_uart0_dual_pr_ee      m165pa_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m169_u2x8_uart0_dual_pr_ee[] = {
  0xbbbbba64e890cf68, 0x777776fc5a2e71b5, 0xea2f2af39db5c777, 0x7d9f6626977599b4, 0xa3ea75ee1bb113d4,
  0x02416caef251dbb9, 0x225252387f9827c6, 0x50c1b48c0ddd6d03, 0xcab773ba7c4b8818, 0xb0ff8700d1369afc,
  0x27f0743f37a8f63f, 0xc4aff3f7c1142392, 0xe6e5c880370f8510, 0x2d074a88655777bb, 0xfa039e131458a843,
  0x2c3795e425b7eaff, 0xba7c25beffdcd798, 0x890da37b5472937d, 0x7a8f2b5f7355ad1c, 0x5752bd47c1b3060a,
  0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x428f7b39d5a5cca5, 0xac6ab5d0ebd44bb4, 0x598b84845022a3e7,
  0x546c11fadc37b2fa, 0xf9ddc54940213fac, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd3cdd16792bf7343,
  0x0000000000000ac9,
};

/*
 * m169_u2x8_uart0_dual_pr_ce_u4     m169a_u2x8_uart0_dual_pr_ce       m169a_u2x8_uart0_dual_pr_ce_u4
 * m169p_u2x8_uart0_dual_pr_ce       m169p_u2x8_uart0_dual_pr_ce_u4    m169pa_u2x8_uart0_dual_pr_ce
 * m169pa_u2x8_uart0_dual_pr_ce_u4   m165_u2x8_uart0_dual_pr_ce        m165_u2x8_uart0_dual_pr_ce_u4
 * m165a_u2x8_uart0_dual_pr_ce       m165a_u2x8_uart0_dual_pr_ce_u4    m165p_u2x8_uart0_dual_pr_ce
 * m165p_u2x8_uart0_dual_pr_ce_u4    m165pa_u2x8_uart0_dual_pr_ce      m165pa_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_dual_pr_ce[] = {
  0xeeeee993a2431f02, 0x77776fc7a7bf66d6, 0x58b96257da807777, 0xaa2f39dbbbb138dd, 0xdca31166d084c295,
  0xe30120b6577931c5, 0x81912929030bcc13, 0x0c2860da4606eeb6, 0xfe655bb9dd3e25c4, 0x6b60168e063f30cd,
  0xc913f831ad37a8e9, 0x886257f9fbe08a11, 0xddf3719f001b87c2, 0x219681454432abbb, 0xb7fd01cf098c7c54,
  0xe60b0de579096de2, 0xdf6e9f09305ff735, 0xea804368ded51ca4, 0xb1e7942e0e3a5b8b, 0x84bf10d8488bee24,
  0x8bb8dc149faffa8f, 0x71bf3dcb19f52e67, 0x07c8e3a7f0752fd4, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000d24ab29ba2cf2,
};

/*
 * m169a_u2x8_uart0_dual_pr_ee_ce    m169p_u2x8_uart0_dual_pr_ee_ce    m169pa_u2x8_uart0_dual_pr_ee_ce
 * m165_u2x8_uart0_dual_pr_ee_ce     m165a_u2x8_uart0_dual_pr_ee_ce    m165p_u2x8_uart0_dual_pr_ee_ce
 * m165pa_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m169_u2x8_uart0_dual_pr_ee_ce[] = {
  0x6eeeee993d43573e, 0xddddddbf0b89366d, 0x9db37dd8ebe8fcdd, 0x7d55e56ee0ee8f63, 0x717dd857bd657b80,
  0x02416caef25a73b9, 0x2252521d3a9827c6, 0x50c1b48c0ddd6d03, 0xcab773ba7c4b8818, 0xc0521c3f5e635bfc,
  0x4fe0ed6e6f51e006, 0x895fe7ef82284724, 0x9b9dd6006e1f0a21, 0xb434da21955ddeef, 0xe80e784d8122a10c,
  0xb0de579096de76ff, 0xd3e12e9fff735e60, 0x386d1bdaa3949bed, 0x85c1c1ac77fd51b9, 0x73b8dcbc3e5afcf2,
  0xb7f253b5959374c2, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e,
  0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0x6fc0c4ad7b27f157,
  0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e,
  0xf83bb8d163ce1b8f, 0xc33d30ae4fdd599b, 0x0e9296cf8138cb25, 0xb7459e4afdcd0ccb, 0x000000000260963f,
};

/*
 * m169a_u2x8_uart0_dual_pr_ee_ce_u4 m169p_u2x8_uart0_dual_pr_ee_ce_u4 m169pa_u2x8_uart0_dual_pr_ee_ce_u4
 * m165_u2x8_uart0_dual_pr_ee_ce_u4  m165a_u2x8_uart0_dual_pr_ee_ce_u4 m165p_u2x8_uart0_dual_pr_ee_ce_u4
 * m165pa_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba64e8adbba812, 0xbbb7e593beb9b5bb, 0xc26bd5ef5717bbbb, 0x5375ba5ab3eda7bd, 0xb3fb4666ec132650,
  0xc9fb4ee0fafc1cbb, 0xae609f180905b2bb, 0x6eeb6819129291e7, 0xe25c40c2860da460, 0x9a92bf32d2df9dd3,
  0x51d9f361d6670643, 0x2847244fe0cd6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9d4e006e, 0x62a10cb402d22195,
  0xdff5ffe80e784c70, 0x1f8660b0de579096, 0x2937dba7c24ff3ff, 0xfaa353d0da37b547, 0x2c79e50bcec66ee2,
  0xe12fc4361222fb89, 0x5dc6e6a83c83fea3, 0xbf929dadcdcdd33c, 0xa3e0d9835f3d4795, 0xa75a1140a62b80de,
  0x2135f4616588a459, 0xa3dece7576e32875, 0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c,
  0x77715252cc4feb15, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0xb1a2c6f8b9357079, 0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000010019697c8dd,
};

/*
 * m169a_u2x8_uart0_dual_hw          m169p_u2x8_uart0_dual_hw          m169pa_u2x8_uart0_dual_hw
 * m165_u2x8_uart0_dual_hw           m165a_u2x8_uart0_dual_hw          m165p_u2x8_uart0_dual_hw
 * m165pa_u2x8_uart0_dual_hw
 */
static const uint64_t ur_m169_u2x8_uart0_dual_hw[] = {
  0xddddd32744861a4e, 0xbbbbb7e400028dad, 0xaf58a75c1dfb5bbb, 0xec828c8eeeebd734, 0x9bb7726bb85efb81,
  0x304f8c0482d95de4, 0xeeb6819129290c87, 0x25c40c2860da4606, 0x98a5fe655bb9dd3e, 0xea3a56d83a5381c3,
  0x22847244fe0ea54d, 0xe1f0a21895fe7ef8, 0xaaeef77cdcb1f006, 0x7c8a8432d0f9110c, 0x96de037fd01cf098,
  0xffea4660b0de5790, 0xa3949bedd3e1209f, 0x453be589a86d1bda, 0x7c71d3f8310fea3e, 0xf9cc580aa0f34e2f,
  0xc11d78033b5ac8eb, 0x9ed887486a807fec, 0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1,
  0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x80ba29e4afdcd0cc,
  0x0000000000063750,
};

/*
 * m169a_u2x8_uart0_dual_ee_hw       m169p_u2x8_uart0_dual_ee_hw       m169pa_u2x8_uart0_dual_ee_hw
 * m165_u2x8_uart0_dual_ee_hw        m165a_u2x8_uart0_dual_ee_hw       m165p_u2x8_uart0_dual_ee_hw
 * m165pa_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m169_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee993a2435202, 0xdddddbf168b9c6d6, 0xa8bcabce76d71ddd, 0xf67d989a5dd666d3, 0x721d6d37cd744f51,
  0x80905b2bbc9476ee, 0xc894948e1fe609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0xec3fe1c0344da6bf,
  0x89fc1d0fcdea3d8f, 0x312bfcfdf04508e4, 0xf9b972200dc3e144, 0xcb41d2a21955ddee, 0xfe80e784c5162a10,
  0x0b0de579096dfabf, 0xdd3e12df7ffea466, 0x4486d1bdaa3949be, 0x3d4795afb9aad68e, 0x2ba95ea3e0d98305,
  0x88a459a75a1143be, 0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da, 0x2cc5c242281151f3,
  0x2a3608fd6e1bd97d, 0x7ceee2a4a0109fd6, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xe9ea29e4afdcd0cc, 0x00000000000015da,
};

/*
 * m169a_u2x8_uart0_dual_ce_hw       m169p_u2x8_uart0_dual_ce_hw       m169pa_u2x8_uart0_dual_ce_hw
 * m165_u2x8_uart0_dual_ce_hw        m165a_u2x8_uart0_dual_ce_hw       m165p_u2x8_uart0_dual_ce_hw
 * m165pa_u2x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m169_u2x8_uart0_dual_ce_hw[] = {
  0xddddd327448618be, 0xeeeedf8f4f7ecdad, 0xb172c4afb500eeee, 0x545e73b7776271ba, 0x717775ece0b5e0ab,
  0x04f8c0482d95de4c, 0xada0644a4a40c2f3, 0x71030a18369181bb, 0x337f9956ee774f89, 0x3a5ad805a3818fcc,
  0x847244fe0c6b4dea, 0xf0a21895fe7ef822, 0xeef77cdc67c006e1, 0x150865a051510caa, 0x78adff4073c2631f,
  0xa91982c3795e425b, 0x526fb74f84982fff, 0xc5f54021b46f6a8e, 0x1258f3ca17071d2d, 0x47c25f886c2445f7,
  0x99e2ee371fe620fd, 0xf51c6fcf72c67d4b, 0x4141f238e9fc1d4b, 0x676b591d7f398b01, 0x0d500ffd99e3af00,
  0x2552740f2d6e10e9, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000004dd6acaa29e,
};

/*
 * m169a_u2x8_uart0_dual_ee_ce_hw    m169p_u2x8_uart0_dual_ee_ce_hw    m169pa_u2x8_uart0_dual_ee_ce_hw
 * m165_u2x8_uart0_dual_ee_ce_hw     m165a_u2x8_uart0_dual_ee_ce_hw    m165p_u2x8_uart0_dual_ee_ce_hw
 * m165pa_u2x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m169_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeee993d4143359b, 0xddddbf0b89366d6e, 0xb37dd8ebe8fcdddd, 0x55e56ee0ee8f639d, 0x786614d6bafb807d,
  0x02416caef25a73b8, 0x2252521d3a9827c6, 0x50c1b48c0ddd6d03, 0xcab773ba7c4b8818, 0xc0521c3f5e635bfc,
  0x4fe0ed6e6f51e006, 0x895fe7ef82284724, 0x9b9dd6006e1f0a21, 0xb434da21955ddeef, 0xe80e784d8122a10c,
  0xb0de579096de76ff, 0xa7c25d3fffea4660, 0x70da37b5472937db, 0x0b838358effaa372, 0xe771b9d66c87f9e5,
  0x6fe4a76b2b26e984, 0xa8f83660d7cf51e5, 0x69d68450298ae037, 0x484d7d1859622916, 0x28f7b39d5db8ca1d,
  0x8d578d8ebd44bb44, 0x3170908a04547cf5, 0x46c1132386f65f4b, 0x9ddc5494b313fac5, 0xdf81895af64fe2af,
  0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d,
  0x30a9cfd4d876371e, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c, 0xaeb63fd14f257ee6,
  0x0000000000000003,
};

/*
 * m169a_u2x8_uart0_dual_ee_ce_u4_hw m169p_u2x8_uart0_dual_ee_ce_u4_hw m169pa_u2x8_uart0_dual_ee_ce_u4_hw
 * m165_u2x8_uart0_dual_ee_ce_u4_hw  m165a_u2x8_uart0_dual_ee_ce_u4_hw m165p_u2x8_uart0_dual_ee_ce_u4_hw
 * m165pa_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeee993a28d1880b, 0xeeedf964efae6d6e, 0xf7b84d7dabdeeeee, 0xca0a6eb74b567db4, 0xa6b6cd3accdd8264,
  0x5b2bbc9fb4ee127f, 0x291e7ae609f18090, 0xda4606eeb6819129, 0x49dd3e25c40c2860, 0xce0c8735257e65d8,
  0x9adcdea3b3e6c3ac, 0xcfdf04508e489fc1, 0x9c00dc3e144312bf, 0xa4432abbbddf373a, 0xf098e0c542196805,
  0xaf212dbfebffd01c, 0x3fcff67a1cc161bc, 0xded51ca4df6e9f09, 0x19bb8bea8d4f4368, 0xbee24b1e78df0c1c,
  0xffa8f84bf10d8488, 0x6e99e2ee3714939b, 0xea3cadfc94ed6e6e, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531,
  0x1943a909afa30b2c, 0x9768851ef673abb7, 0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de,
  0xfc55f3bb8a929662, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xc6e3cd84b997cdb7, 0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x4590b85f4f257ee6, 0x000000000000075d,
};

/*
 * m169_u2x12_uart0_noled_pr         m169a_u2x12_uart0_noled           m169a_u2x12_uart0_noled_pr
 * m169p_u2x12_uart0_noled           m169p_u2x12_uart0_noled_pr        m169pa_u2x12_uart0_noled
 * m169pa_u2x12_uart0_noled_pr       m165_u2x12_uart0_noled            m165_u2x12_uart0_noled_pr
 * m165a_u2x12_uart0_noled           m165a_u2x12_uart0_noled_pr        m165p_u2x12_uart0_noled
 * m165p_u2x12_uart0_noled_pr        m165pa_u2x12_uart0_noled          m165pa_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m169_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x9827c602416caef2, 0xe12887fdfa1e7e6e, 0x51ca4fe6d4faadd3, 0x9e3be5921c368ded, 0x7a38e9fc19a4f51f,
  0xcce62c05bdd30df2, 0x1823af173b3da478, 0xc4ad7b0aca2771cb, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0,
  0xc6f19d102baa9cbc, 0x2adec55516961738, 0x1bb612e65f36c492, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0xa9dae3e792bf7343, 0x0000000000001f20,
};

/*
 * m169a_u2x12_uart0_noled_pr_u4     m169p_u2x12_uart0_noled_pr_u4     m169pa_u2x12_uart0_noled_pr_u4
 * m165_u2x12_uart0_noled_pr_u4      m165a_u2x12_uart0_noled_pr_u4     m165p_u2x12_uart0_noled_pr_u4
 * m165pa_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m169_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488a8ae, 0xbaab9c178fc4b777, 0xe4d5a00d2e3bbbbb, 0xf07dddd888913e2d, 0xa69638d931223188,
  0x13e30120b657793b, 0x4814ff3c0b3fa54c, 0x7293f9b53eab74f8, 0x0ef9610f0da37b54, 0x8e3a7f0682fd47e8,
  0x1cc580b2ca67bed6, 0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x81895af60e3e0796, 0x4180ef5af39c2cdf,
  0x794d8ce16f37807d, 0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x5c1e6c25ccbe6d89, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x4e880a792bf73433, 0x00000000000f938d,
};

/*
 * m169_u2x12_uart0_noled_pr_ee_u4   m169a_u2x12_uart0_noled_pr_ee     m169a_u2x12_uart0_noled_pr_ee_u4
 * m169p_u2x12_uart0_noled_pr_ee     m169p_u2x12_uart0_noled_pr_ee_u4  m169pa_u2x12_uart0_noled_pr_ee
 * m169pa_u2x12_uart0_noled_pr_ee_u4 m165_u2x12_uart0_noled_pr_ee      m165_u2x12_uart0_noled_pr_ee_u4
 * m165a_u2x12_uart0_noled_pr_ee     m165a_u2x12_uart0_noled_pr_ee_u4  m165p_u2x12_uart0_noled_pr_ee
 * m165p_u2x12_uart0_noled_pr_ee_u4  m165pa_u2x12_uart0_noled_pr_ee    m165pa_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m169_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x0120b657793bad3b, 0xfe78167f024c13e3, 0xe6d4faadd3e12297, 0x738c368ded51ca4f, 0x31f51e57224d56b4,
  0x7c57dd7a8f83660d, 0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d,
  0x6cb98b848451cf23, 0x4d2a3608fd6e1bd9, 0x6fc0c4ad7b002a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0,
  0x1738c6f19d102baa, 0xc4922adec5551696, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xf6bdc4053c95fb9a,
  0x0000000000000275,
};

/*
 * m169_u2x12_uart0_noled_pr_ce_u4   m169a_u2x12_uart0_noled_pr_ce     m169a_u2x12_uart0_noled_pr_ce_u4
 * m169p_u2x12_uart0_noled_pr_ce     m169p_u2x12_uart0_noled_pr_ce_u4  m169pa_u2x12_uart0_noled_pr_ce
 * m169pa_u2x12_uart0_noled_pr_ce_u4 m165_u2x12_uart0_noled_pr_ce      m165_u2x12_uart0_noled_pr_ce_u4
 * m165a_u2x12_uart0_noled_pr_ce     m165a_u2x12_uart0_noled_pr_ce_u4  m165p_u2x12_uart0_noled_pr_ce
 * m165p_u2x12_uart0_noled_pr_ce_u4  m165pa_u2x12_uart0_noled_pr_ce    m165pa_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x9f180905b2bbc9dd, 0x7ceff3c0b3e5d660, 0x527f36a7d56e9f09, 0xc5f5c921b46f6a8e, 0xc4963cf192a76fe5,
  0x51f097e21b09117d, 0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316,
  0xb33ca807feccf1d7, 0x5af60e3e0796b70f, 0xef5af39c2cdf8189, 0x8ce16f37807d4180, 0xe33a20575539794d,
  0xbd8aaa2d2c2e718d, 0xd84b997cdb12431d, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x0000000dd77e0510,
};

/*
 * m169a_u2x12_uart0_noled_pr_ee_ce  m169p_u2x12_uart0_noled_pr_ee_ce  m169pa_u2x12_uart0_noled_pr_ee_ce
 * m165_u2x12_uart0_noled_pr_ee_ce   m165a_u2x12_uart0_noled_pr_ee_ce  m165p_u2x12_uart0_noled_pr_ee_ce
 * m165pa_u2x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m169_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x2416caef2775b11c, 0xcf02cfa5a9827c60, 0xda9f55ba7c2435bf, 0xfc86d1bdaa3949fc, 0xc64a9de043bfea8d,
  0x09cee373acd90ff3, 0xcafa894ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62b09, 0x752135f4616588a4,
  0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9, 0xc0c4ad7b0b3a254d,
  0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617, 0x5c1e6c25ccbe6d89,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x009f864880a792bf,
};

/*
 * m169a_u2x12_uart0_noled_pr_ee_ce_u4 m169p_u2x12_uart0_noled_pr_ee_ce_u4
 * m169pa_u2x12_uart0_noled_pr_ee_ce_u4 m165_u2x12_uart0_noled_pr_ee_ce_u4
 * m165a_u2x12_uart0_noled_pr_ee_ce_u4 m165p_u2x12_uart0_noled_pr_ee_ce_u4
 * m165pa_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d7834486cc7f, 0xbaabae43a744b777, 0x7e98d3d89dbbbbbb, 0xa912c47771da09e4, 0x55e52947e0dc71a8,
  0x0120b657793ba9f7, 0xfd8aecfa6dcc13e3, 0x36a7d56e9f090cdf, 0x21e1b46f6a8e527f, 0xca17070e0dc5f547,
  0x886c2445f71258f3, 0xb9d1f524fd47c25f, 0xa76b736f7ccf1771, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0,
  0xfa30b2c4522cd3ad, 0x673abb74e23a909a, 0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84,
  0xbd859d12a6951b04, 0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378,
  0x12e65f36c490c76f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xdd16792bf734332c, 0x0000000013f3cfc2,
};

/*
 * m169a_u2x12_uart0_noled_hw        m169p_u2x12_uart0_noled_hw        m169pa_u2x12_uart0_noled_hw
 * m168pb_u2x12_uart0_noled_hw       m165_u2x12_uart0_noled_hw         m165a_u2x12_uart0_noled_hw
 * m165p_u2x12_uart0_noled_hw        m165pa_u2x12_uart0_noled_hw
 */
static const uint64_t ur_m169_u2x12_uart0_noled_hw[] = {
  0x776d0d783acdfebe, 0xbbaab9c178fc4b77, 0x8b79356d1b7bbbbb, 0x623c1f777622244f, 0xef2777c7e15a480c,
  0xf4a9827c602416ca, 0x6e9f09029ff871e7, 0x6f6a8e527f36a7d5, 0xa8fd01df2c21e1b4, 0xf7dad1c74fe0d05f,
  0xf47ac398b016594c, 0x3ff6608ebd1f3b57, 0xc0f2cf6c7d99e540, 0x859bf0312b5ec1c7, 0xf00fa8301deb5e73,
  0xeaa72f29b19c2de6, 0xa585ce31bc67440a, 0xcdb1248ab7b15545, 0xc9f9fd86ed84b997, 0x4a271964b867a615,
  0xfb9a19961d252d96, 0x008e2d38fb053c95,
};

/*
 * m169a_u2x12_uart0_noled_ee_hw     m169p_u2x12_uart0_noled_ee_hw     m169pa_u2x12_uart0_noled_ee_hw
 * m168pb_u2x12_uart0_noled_ee_hw    m165_u2x12_uart0_noled_ee_hw      m165a_u2x12_uart0_noled_ee_hw
 * m165p_u2x12_uart0_noled_ee_hw     m165pa_u2x12_uart0_noled_ee_hw    pwm216_u2x12_uart0_noled_ee_hw
 * pwm316_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m169_u2x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a2433a31, 0xeeaaf2200ce25bbb, 0x8121e3f5ebeeeeee, 0xa730987f75e475ec, 0xd89b0da02a199bb6,
  0x4f8c0482d95de4ee, 0x2297ff4299fc0930, 0xca4fe6d4faadd3e1, 0x56b4738c368ded51, 0x660d31f51e57224d,
  0x22877c57dd7a8f83, 0xe8c2cb1148b34eb4, 0x6979c571ac9a426b, 0xe74ddb7b4782ce75, 0xcf230e36355ae875,
  0x1bd96cb98b848451, 0x2a254d2a3608fd6e, 0xce166fc0c4ad7b00, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x5f36c4922adec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b7cc713453c,
};

/*
 * m169a_u2x12_uart0_noled_ce_hw     m169p_u2x12_uart0_noled_ce_hw     m169pa_u2x12_uart0_noled_ce_hw
 * m168pb_u2x12_uart0_noled_ce_hw    m165_u2x12_uart0_noled_ce_hw      m165a_u2x12_uart0_noled_ce_hw
 * m165p_u2x12_uart0_noled_ce_hw     m165pa_u2x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m169_u2x12_uart0_noled_ce_hw[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x99b426efdf1fbbbb, 0x401b6f8feeee8da2, 0xcaef2776c7b21a6c,
  0xcfc069827c602416, 0x55ba7c241efff0e3, 0xd1bdaa3949fcda9f, 0x940e3de77fd7a486, 0xe771b8beca2fe78c,
  0xdafa7b9602e33984, 0xf6a38e9fc1e33f51, 0xd22333c731602f48, 0x5b8e58cf1d78b9d8, 0x66fc0c4ad7b0750d,
  0xe0e4ac077ad79ce1, 0xea5ab94a5f385bcd, 0x33cc6085a7717f36, 0x2f9b69c6378ce881, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0000c429f5f60a79,
};

/*
 * m169_u2x12_uart0_noled_ee_ce_u4_hw m169a_u2x12_uart0_noled_ee_ce_hw
 * m169a_u2x12_uart0_noled_ee_ce_u4_hw m169p_u2x12_uart0_noled_ee_ce_hw
 * m169p_u2x12_uart0_noled_ee_ce_u4_hw m169pa_u2x12_uart0_noled_ee_ce_hw
 * m169pa_u2x12_uart0_noled_ee_ce_u4_hw m168pb_u2x12_uart0_noled_ee_ce_hw
 * m168pb_u2x12_uart0_noled_ee_ce_u4_hw m165_u2x12_uart0_noled_ee_ce_hw
 * m165_u2x12_uart0_noled_ee_ce_u4_hw m165a_u2x12_uart0_noled_ee_ce_hw
 * m165a_u2x12_uart0_noled_ee_ce_u4_hw m165p_u2x12_uart0_noled_ee_ce_hw
 * m165p_u2x12_uart0_noled_ee_ce_u4_hw m165pa_u2x12_uart0_noled_ee_ce_hw
 * m165pa_u2x12_uart0_noled_ee_ce_u4_hw pwm216_u2x12_uart0_noled_ee_ce_hw
 * pwm216_u2x12_uart0_noled_ee_ce_u4_hw pwm316_u2x12_uart0_noled_ee_ce_hw
 * pwm316_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeda1af06890c1107, 0x75575c874e896eee, 0xfd31a7b13b777777, 0x522588eee3b413c8, 0x9157eefdc1b8e351,
  0xc602416caef27753, 0x37ff4299f4db9827, 0x9fcda9f55ba7c243, 0x51c8786d1bdaa394, 0x3cf285c1c383717d,
  0x97e21b09117dc496, 0xee3712a2e47f51f0, 0xa894ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62b09fea,
  0x135f4616588a459a, 0x782ce7576e9c4752, 0xabc6c75e74ddb7b4, 0x70908a39e461c6c6, 0x608991c37b2d9731,
  0x4ad7b0b3a254d2a3, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xe6c25ccbe6d89218, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0xf868a792bf734332, 0x0000000000050179,
};

/*
 * m169_u2x12_uart0_lednop_pr        m169a_u2x12_uart0_lednop          m169a_u2x12_uart0_lednop_pr
 * m169p_u2x12_uart0_lednop          m169p_u2x12_uart0_lednop_pr       m169pa_u2x12_uart0_lednop
 * m169pa_u2x12_uart0_lednop_pr      m165_u2x12_uart0_lednop           m165_u2x12_uart0_lednop_pr
 * m165a_u2x12_uart0_lednop          m165a_u2x12_uart0_lednop_pr       m165p_u2x12_uart0_lednop
 * m165p_u2x12_uart0_lednop_pr       m165pa_u2x12_uart0_lednop         m165pa_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m169_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x3e609f180905b2bb, 0x9f09201fefd0f3e1, 0x6a8e527f36a7d56e, 0xe4f1df2c90e1b46f, 0xf3d1c74fe0cd27a8,
  0x20a731602dee986f, 0xb1823af173b07147, 0x312b5ec2b141f71c, 0xeb5e781013859bf0, 0xa005bcde5ba8301d,
  0xe02f7ca9bd4a7253, 0xbc674408ea2810b4, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0xa76b8f9e4afdcd0c, 0x0000000000007c82,
};

/*
 * m169a_u2x12_uart0_lednop_pr_u4    m169p_u2x12_uart0_lednop_pr_u4    m169pa_u2x12_uart0_lednop_pr_u4
 * m165_u2x12_uart0_lednop_pr_u4     m165a_u2x12_uart0_lednop_pr_u4    m165p_u2x12_uart0_lednop_pr_u4
 * m165pa_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2446d4e, 0xdd55ce0be9625bbb, 0x8b60fe3f731ddddd, 0xe6fbbbb1112278ff, 0x626e09208cc6d933,
  0x3e30120b657793ba, 0x201fe78167c27cc1, 0x527f36a7d56e9f09, 0xdf2c21e1b46f6a8e, 0xc74fe0d05fa8f6b1,
  0x31602cb29be483f1, 0x75e8f9d967a34867, 0x682cd22a01ffb304, 0x895af6415a07967b, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0007c9883544053c,
};

/*
 * m169_u2x12_uart0_lednop_pr_ee_u4  m169a_u2x12_uart0_lednop_pr_ee    m169a_u2x12_uart0_lednop_pr_ee_u4
 * m169p_u2x12_uart0_lednop_pr_ee    m169p_u2x12_uart0_lednop_pr_ee_u4 m169pa_u2x12_uart0_lednop_pr_ee
 * m169pa_u2x12_uart0_lednop_pr_ee_u4 m165_u2x12_uart0_lednop_pr_ee
 * m165_u2x12_uart0_lednop_pr_ee_u4  m165a_u2x12_uart0_lednop_pr_ee    m165a_u2x12_uart0_lednop_pr_ee_u4
 * m165p_u2x12_uart0_lednop_pr_ee    m165p_u2x12_uart0_lednop_pr_ee_u4 m165pa_u2x12_uart0_lednop_pr_ee
 * m165pa_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x02416caef2775b11, 0xfcf02cfefb9827c6, 0xcda9f55ba7c24a7b, 0xe7186d1bdaa3949f, 0x63ea3cacca9aad68,
  0xf1587bf51f06cc1a, 0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b,
  0xd973170908a09e46, 0x9e546c11fadc37b2, 0xbf0312b5ec0087d9, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0x6c25ccbe6db9c8ab, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x0a792bf734332c3a,
  0x00000004ebdd5b88,
};

/*
 * m169_u2x12_uart0_lednop_pr_ce_u4  m169a_u2x12_uart0_lednop_pr_ce    m169a_u2x12_uart0_lednop_pr_ce_u4
 * m169p_u2x12_uart0_lednop_pr_ce    m169p_u2x12_uart0_lednop_pr_ce_u4 m169pa_u2x12_uart0_lednop_pr_ce
 * m169pa_u2x12_uart0_lednop_pr_ce_u4 m165_u2x12_uart0_lednop_pr_ce
 * m165_u2x12_uart0_lednop_pr_ce_u4  m165a_u2x12_uart0_lednop_pr_ce    m165a_u2x12_uart0_lednop_pr_ce_u4
 * m165p_u2x12_uart0_lednop_pr_ce    m165p_u2x12_uart0_lednop_pr_ce_u4 m165pa_u2x12_uart0_lednop_pr_ce
 * m165pa_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x4f8c0482d95de4ee, 0x8e1ff9e059f60b30, 0x293f9b53eab74f84, 0xe2fae490da37b547, 0xc4963cf192a7752a,
  0x51f097e21b09117d, 0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c,
  0x9a45403ff6678ebd, 0xd7b20ad03cb5b905, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x375f47144053c95f,
};

/*
 * m169a_u2x12_uart0_lednop_pr_ee_ce m169p_u2x12_uart0_lednop_pr_ee_ce m169pa_u2x12_uart0_lednop_pr_ee_ce
 * m165_u2x12_uart0_lednop_pr_ee_ce  m165a_u2x12_uart0_lednop_pr_ee_ce m165p_u2x12_uart0_lednop_pr_ee_ce
 * m165pa_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x2416caef27747b16, 0x9e059fe9f9827c60, 0x6a7d56e9f09757ff, 0xf21b46f6a8e527f3, 0x192a77beceffaa37,
  0x273b8dcb9124afcf, 0x2beea53b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x0312b5ec2cc7d99e,
  0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b997cdb73863b7b,
  0x8b2d5e5c9ab83cd8, 0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0x71014f257ee68665, 0x000000000013f1eb,
};

/*
 * m169a_u2x12_uart0_lednop_pr_ee_ce_u4 m169p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m169pa_u2x12_uart0_lednop_pr_ee_ce_u4 m165_u2x12_uart0_lednop_pr_ee_ce_u4
 * m165a_u2x12_uart0_lednop_pr_ee_ce_u4 m165p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m165pa_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddb435e0d1219f68, 0xeeaaeb9012312ddd, 0xef234176c4eeeeee, 0xfa44b11ddc768274, 0xf44f69c164777048,
  0x180905b2bbc9dd2a, 0x1ff62bb3eff2609f, 0xfe6d4faadd3e120d, 0x8e43c368ded51ca4, 0xe7942e0e25ab8bea,
  0xbf10d8488bee24b1, 0xc6e0224c03fa8f84, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47,
  0x6be8c2cb1148b34e, 0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317,
  0x5af61663eccf2a36, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xbe6db9c31dbd8aaa, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000027e5c41dba2c,
};

/*
 * m169a_u2x12_uart0_lednop_hw       m169p_u2x12_uart0_lednop_hw       m169pa_u2x12_uart0_lednop_hw
 * m168pb_u2x12_uart0_lednop_hw      m165_u2x12_uart0_lednop_hw        m165a_u2x12_uart0_lednop_hw
 * m165p_u2x12_uart0_lednop_hw       m165pa_u2x12_uart0_lednop_hw
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_hw[] = {
  0xbbb686bc1d66ef3a, 0xddd55ce0be9625bb, 0x3fe2d83ed43ddddd, 0x4cf9beeeec44489e, 0xe4ee82f4135901b6,
  0x9f304f8c0482d95d, 0xa7c24807fe1c79f0, 0xdaa3949fcda9f55b, 0x3dac77cb08786d1b, 0x20fc71d3f83417ea,
  0xd219cc580b2ca6f9, 0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xed84b997cdb73915, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0xbb053c95fb9a1996, 0x000000000004710e,
};

/*
 * m169a_u2x12_uart0_lednop_ee_hw    m169p_u2x12_uart0_lednop_ee_hw    m169pa_u2x12_uart0_lednop_ee_hw
 * m168pb_u2x12_uart0_lednop_ee_hw   m165_u2x12_uart0_lednop_ee_hw     m165a_u2x12_uart0_lednop_ee_hw
 * m165p_u2x12_uart0_lednop_ee_hw    m165pa_u2x12_uart0_lednop_ee_hw   pwm216_u2x12_uart0_lednop_ee_hw
 * pwm316_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_ee_hw[] = {
  0xbb686bc1a2432493, 0xeeaaf2207ee25bbb, 0x9b200bf6a2eeeeee, 0x4e6130feebc8ebc1, 0x0dc82b4ed50b6976,
  0x9f180905b2bbc9dd, 0x4a7bfe8533fbee60, 0x949fcda9f55ba7c2, 0xad68e7186d1bdaa3, 0xcc1a63ea3cacca9a,
  0x8a1df1587bf51f06, 0xa30b2c4522cd3ad0, 0xa5cf55c6b26909af, 0xce9bb4648c9a39d5, 0x9e46f6ac6ab5d0eb,
  0x37b2d973170908a0, 0x87d99e546c11fadc, 0x3859bf0312b5ec00, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x371e6c25ccbe6db9, 0xef79430a9cfd4176, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x7cc1128a792bf734, 0x000000000000000b,
};

/*
 * m169a_u2x12_uart0_lednop_ce_hw    m169p_u2x12_uart0_lednop_ce_hw    m169pa_u2x12_uart0_lednop_ce_hw
 * m168pb_u2x12_uart0_lednop_ce_hw   m165_u2x12_uart0_lednop_ce_hw     m165a_u2x12_uart0_lednop_ce_hw
 * m165p_u2x12_uart0_lednop_ce_hw    m165pa_u2x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_ce_hw[] = {
  0xbb686bc1a243280b, 0x7755783236225bbb, 0x429b2e3a34f77777, 0x0cc17eeee9932f6b, 0x93bb939eb6b4e376,
  0x2cc13e30120b6577, 0x4f848e1ffd0a67d8, 0xb547293f9b53eab7, 0x952ae2fae490da37, 0x22fb892c79e50b83,
  0x347ea3e12fc43612, 0xcfd64cf1771b9ff0, 0xf07acf51fa49ee58, 0xe62c054c4458e3a7, 0x8ebd1f3b2cf4690c,
  0xb9059a45403ff667, 0x0c4ad7b20ad03cb5, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2e65f36dce18edec, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x0000000eb3795594,
};

/*
 * m169_u2x12_uart0_lednop_ee_ce_u4_hw m169a_u2x12_uart0_lednop_ee_ce_hw
 * m169a_u2x12_uart0_lednop_ee_ce_u4_hw m169p_u2x12_uart0_lednop_ee_ce_hw
 * m169p_u2x12_uart0_lednop_ee_ce_u4_hw m169pa_u2x12_uart0_lednop_ee_ce_hw
 * m169pa_u2x12_uart0_lednop_ee_ce_u4_hw m168pb_u2x12_uart0_lednop_ee_ce_hw
 * m168pb_u2x12_uart0_lednop_ee_ce_u4_hw m165_u2x12_uart0_lednop_ee_ce_hw
 * m165_u2x12_uart0_lednop_ee_ce_u4_hw m165a_u2x12_uart0_lednop_ee_ce_hw
 * m165a_u2x12_uart0_lednop_ee_ce_u4_hw m165p_u2x12_uart0_lednop_ee_ce_hw
 * m165p_u2x12_uart0_lednop_ee_ce_u4_hw m165pa_u2x12_uart0_lednop_ee_ce_hw
 * m165pa_u2x12_uart0_lednop_ee_ce_u4_hw pwm216_u2x12_uart0_lednop_ee_ce_hw
 * pwm216_u2x12_uart0_lednop_ee_ce_u4_hw pwm316_u2x12_uart0_lednop_ee_ce_hw
 * pwm316_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d78344867f3e, 0xbaabae4048c4b777, 0xbc8d05db13bbbbbb, 0xe912c47771da09d3, 0xaa8bf5d6d1ddc123,
  0xe30120b657793bb1, 0x347fd0a67dfe4c13, 0x93f9b53eab74f848, 0xaa390f0da37b5472, 0xc79e50b83896ae2f,
  0x12fc4361222fb892, 0x5dc6e5253397ea3e, 0xf7529dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd,
  0x426be8c2cb1148b3, 0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973,
  0x895af61663eccf2a, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xccbe6db9c31dbd8a, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000005015c41e8a,
};

/*
 * m169a_u2x12_uart0_dual            m169p_u2x12_uart0_dual            m169pa_u2x12_uart0_dual
 * m165_u2x12_uart0_dual             m165a_u2x12_uart0_dual            m165p_u2x12_uart0_dual
 * m165pa_u2x12_uart0_dual
 */
static const uint64_t ur_m169_u2x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xdddddbf2a1c4e36b, 0x1db83d38056b62dd, 0xb229c6477775a5d9, 0x92b6ee57ccfb4b13,
  0xe609f180905b2bbc, 0xddd6d03225252190, 0xc4b881850c1b48c0, 0x3487fccae3d73ba7, 0xd4728bb072670f9d,
  0x22847244fe0dfc9b, 0xe1f0a21895fe7ef8, 0x55777bbe6e1c1006, 0x6fc54219683de886, 0x96de037fd01cf098,
  0xfe901260b0de5790, 0xe6d4faadd3e1209f, 0xabfc368ded51ca4f, 0xf83487ea3dc33be5, 0x17f0e65ae4d471d3,
  0x16ec27d1a0b398b0, 0xac349b8e58c11d79, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x8016f37980ef5af3,
  0x53e02d4e48a5abce, 0xc67440cbfc502169, 0xcd84b997cdb4e31b, 0x0ae4fcfec5c9ab83, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000196fdba2029,
};

/*
 * m169_u2x12_uart0_dual_pr_u4       m169a_u2x12_uart0_dual_pr         m169a_u2x12_uart0_dual_pr_u4
 * m169p_u2x12_uart0_dual_pr         m169p_u2x12_uart0_dual_pr_u4      m169pa_u2x12_uart0_dual_pr
 * m169pa_u2x12_uart0_dual_pr_u4     m165_u2x12_uart0_dual_pr          m165_u2x12_uart0_dual_pr_u4
 * m165a_u2x12_uart0_dual_pr         m165a_u2x12_uart0_dual_pr_u4      m165p_u2x12_uart0_dual_pr
 * m165p_u2x12_uart0_dual_pr_u4      m165pa_u2x12_uart0_dual_pr        m165pa_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr[] = {
  0xdd327cde890c0668, 0x776fca86828daddd, 0x33b2477a93377777, 0x3da05eeee841f4ec, 0xe07d6089f7c7f57c,
  0x180905b2bbc9866e, 0x03225252292a609f, 0x1850c1b48c0ddd6d, 0xfccab773ba7c4b88, 0x4bb0386702973305,
  0xe489fc1fee9bd477, 0x44312bfcfdf04508, 0xf77cdcff800dc3e1, 0x8432d05f110caaee, 0xa57fd01cf099ef8a,
  0x5e60b0de579096de, 0x3eab74f84bbaff73, 0x0da37b547293f9b5, 0x21fd47c8a77cb135, 0x1e69c5ef8e3a7f06,
  0x6b591d7f398b0154, 0x500ffd9823af0067, 0x49d03cb3db10e90d, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a,
  0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f,
  0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x002926a9acdd1679,
};

/*
 * m169a_u2x12_uart0_dual_pr_ee      m169p_u2x12_uart0_dual_pr_ee      m169pa_u2x12_uart0_dual_pr_ee
 * m165_u2x12_uart0_dual_pr_ee       m165a_u2x12_uart0_dual_pr_ee      m165p_u2x12_uart0_dual_pr_ee
 * m165pa_u2x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr_ee[] = {
  0x74c9f370f5a1a5fb, 0xddbf19051f36b777, 0x0eb843dd9bdddddd, 0xb05ff4f74dd00aad, 0x75c892ac4d744feb,
  0xb657793939dd2c8d, 0x2911f74c13e30120, 0xda4606eeb6819129, 0xb9dd3e25c40c2860, 0x83869a99fe7e655b,
  0x1f4fcdea3ffcd806, 0xfcfdf04508e489fc, 0x49400dc3e144312b, 0xe1a21955ddeef9b8, 0xe784ce4e2a10cb40,
  0xe579096de87ffe80, 0x0969bff735e60b0d, 0x8e527f36a7d56e9f, 0x6ab5a39121b46f6a, 0x3660c14f51e56bee,
  0x8450ef8aea57a8f8, 0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d,
  0x86f65f4b3170908a, 0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0x379b228301deb5e7,
  0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x3a7c371e6c25ccbe, 0xd4eaccdfc1ddc68b,
  0x8cbf313f9430a9cf, 0xeffe09a1e64ff173, 0x592e19e985727e39, 0x66587494b67c09c6, 0x98c5ba2cf257ee68,
  0x00000000000000ac,
};

/*
 * m169a_u2x12_uart0_dual_pr_ee_u4   m169p_u2x12_uart0_dual_pr_ee_u4   m169pa_u2x12_uart0_dual_pr_ee_u4
 * m165_u2x12_uart0_dual_pr_ee_u4    m165a_u2x12_uart0_dual_pr_ee_u4   m165p_u2x12_uart0_dual_pr_ee_u4
 * m165pa_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr_ee_u4[] = {
  0x7774c9f37a2432db, 0xddddbf19075b36b7, 0xfdd8becad4d7dddd, 0xb502ffa7bb625d96, 0x22ac07c674a3f738,
  0x905b2bbc9b82ee38, 0x4a4a42e0a609f180, 0x18369181bbada064, 0x56ee774f8971030a, 0x2c7ce1ff260d1f99,
  0xfc1f57cdea3f4fec, 0x2bfcfdf04508e489, 0xb895000dc3e14431, 0x412b221955ddeef9, 0x80e784cbee2a10cb,
  0x86f2bc84b6e707fe, 0x4f84b2b7fb9af305, 0xb547293f9b53eab7, 0xf7355ad1e950da37, 0x7c1b307f27a8f2b8,
  0xeb422877c5663fd4, 0x26be8c2cb1148b34, 0x3ab4b84f5c20b9a4, 0x75ed62761f11f487, 0x51d023a976355ae8,
  0x6e1bd971f18b8484, 0x5f3bb8a92ae04ffd, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x42cdba2cf257ee68,
  0x0000000000000056,
};

/*
 * m169_u2x12_uart0_dual_pr_ce_u4    m169a_u2x12_uart0_dual_pr_ce      m169a_u2x12_uart0_dual_pr_ce_u4
 * m169p_u2x12_uart0_dual_pr_ce      m169p_u2x12_uart0_dual_pr_ce_u4   m169pa_u2x12_uart0_dual_pr_ce
 * m169pa_u2x12_uart0_dual_pr_ce_u4  m165_u2x12_uart0_dual_pr_ce       m165_u2x12_uart0_dual_pr_ce_u4
 * m165a_u2x12_uart0_dual_pr_ce      m165a_u2x12_uart0_dual_pr_ce_u4   m165p_u2x12_uart0_dual_pr_ce
 * m165p_u2x12_uart0_dual_pr_ce_u4   m165pa_u2x12_uart0_dual_pr_ce     m165pa_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr_ce[] = {
  0xbba64f9bd121a5fb, 0xdddbf14dd179b5bb, 0xaf4fbfb5a16ddddd, 0xeb410f7774c894a2, 0x74b235d70f8ab2ab,
  0x8c0482d95de4c1b7, 0x0644a4a43b77304f, 0x30a18369181bbada, 0xf9956ee774f89710, 0x5b031f380cdcdbb5,
  0x489fc193a9bd470b, 0x4312bfcfdf04508e, 0xef9b9d6600dc3e14, 0x0cb41c9a21955dde, 0xbfe80e784d01a2a1,
  0x30586f2bc84b6e35, 0xab74f84b027fb9af, 0xa37b547293f9b53e, 0xb838e96e2faa010d, 0x61222fb892c79e50,
  0x527ebfea3e12fc43, 0x2c67d4b99e2ee370, 0x9fc1d4bf51c6fcf7, 0xf398b014141f238e, 0x9e3af00676b591d7,
  0xd6e10e90d500ffd9, 0xbe777152552740f2, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x9a06e8b3c95fb9a1,
  0x0000000000001a48,
};

/*
 * m169a_u2x12_uart0_dual_pr_ee_ce   m169p_u2x12_uart0_dual_pr_ee_ce   m169pa_u2x12_uart0_dual_pr_ee_ce
 * m165_u2x12_uart0_dual_pr_ee_ce    m165a_u2x12_uart0_dual_pr_ee_ce   m165p_u2x12_uart0_dual_pr_ee_ce
 * m165pa_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d435202, 0xddddbf3c783e36b7, 0x435deeb7b7d7dddd, 0x038bd1deeabe0868, 0x6d1717e6be44fb84,
  0x5b2bbc9014ee721d, 0x520c7ae609f18090, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x9c0d6e6986fccab7,
  0xd6fcdea38a4d87eb, 0xcfdf04508e489fc1, 0x0000dc3e144312bf, 0x64432abbbddf3700, 0xf09a574542196845,
  0xaf212dbdadffd01c, 0x563ffee6bcc161bc, 0x949fcda9f55ba7c2, 0xfd51b9386d1bdaa3, 0x5afcf285c1c1ac77,
  0x9374c273b8dcbc3e, 0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81, 0x6083cbb7459e4afd,
  0x0000000000000002,
};

/*
 * m169a_u2x12_uart0_dual_pr_ee_ce_u4 m169p_u2x12_uart0_dual_pr_ee_ce_u4
 * m169pa_u2x12_uart0_dual_pr_ee_ce_u4 m165_u2x12_uart0_dual_pr_ee_ce_u4
 * m165a_u2x12_uart0_dual_pr_ee_ce_u4 m165p_u2x12_uart0_dual_pr_ee_ce_u4
 * m165pa_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xa64f9bd15b77ac4f, 0xedf9855821b5bbbb, 0xae3793d721eeeeee, 0xa56eb3edfb19cc89, 0xa0d5d7bccd937514,
  0x498ee9a75571f5b4, 0x609f180905b2bbc9, 0xeb681912929196d2, 0x5c40c2860da4606e, 0x9cbf32d2df9dd3e2,
  0xfacf60c8670a4a99, 0x47244fe0e61a6f51, 0x0a21895fe7ef8228, 0xdeef9b8b82006e1f, 0x42196818fa21955d,
  0x5bffa039e13757c5, 0x1982c3795e425b73, 0xd56e9f09620ffc7e, 0xb46f6a8e527f36a7, 0x9d8cddc5f546a7a1,
  0x2445f71258f3ca17, 0x7907fd47c25f886c, 0x9b9ba678bb8dcd50, 0xbe7a8f2b7f253b5b, 0x4c5701bd47c1b306,
  0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea, 0x22a3e7ac6abc6c75, 0x37b2fa598b848450,
  0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc,
  0xaba718de33a2077c, 0x6dce18edec555169, 0x726ae0f3612e65f3, 0xcdfc1fb763458df1, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x64e791ba792bf734,
  0x0000000000002000,
};

/*
 * m169a_u2x12_uart0_dual_hw         m169p_u2x12_uart0_dual_hw         m169pa_u2x12_uart0_dual_hw
 * m165_u2x12_uart0_dual_hw          m165a_u2x12_uart0_dual_hw         m165p_u2x12_uart0_dual_hw
 * m165pa_u2x12_uart0_dual_hw
 */
static const uint64_t ur_m169_u2x12_uart0_dual_hw[] = {
  0xee993e6f4486d0e3, 0xbbb7e5434146d6ee, 0x19d923bd499bbbbb, 0x1ed02f777420fa76, 0x9bbab8da0ee44abe,
  0x27c602416caef261, 0x5b40c894948a4a98, 0xe20614306d230377, 0xc17f32addcee9f12, 0x1dd2ec0e19c0a5cc,
  0x4239227f07fba6f5, 0xf8510c4aff3f7c11, 0xbbbddf373fe00370, 0xe2a10cb417c4432a, 0xb7a95ff4073c267b,
  0xfa91982c3795e425, 0xda9f55ba7c25dd7f, 0x9a86d1bdaa3949fc, 0x8310fea3e453be58, 0xaa0f34e2f7c71d3f,
  0x33b5ac8ebf9cc580, 0x86a807fecc11d780, 0x4aa4e81e59ed8874, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4,
  0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0000637554d6a29e,
};

/*
 * m169a_u2x12_uart0_dual_ee_hw      m169p_u2x12_uart0_dual_ee_hw      m169pa_u2x12_uart0_dual_ee_hw
 * m165_u2x12_uart0_dual_ee_hw       m165a_u2x12_uart0_dual_ee_hw      m165p_u2x12_uart0_dual_ee_hw
 * m165pa_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m169_u2x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2431f02, 0xdddbf19051f36b77, 0xd0eb843dd9bddddd, 0xbb05ff4f74dd00aa, 0x88b37a6144d744fe,
  0x905b2bbc9c9cee51, 0x949488fba609f180, 0x306d2303775b40c8, 0xaddcee9f12e20614, 0x0341c34d4cff3f32,
  0xfe0fa7e6f51ffe6c, 0x95fe7ef822847244, 0xdc24a006e1f0a218, 0xa070d10caaeef77c, 0x4073c26727150865,
  0x86f2bc84b6f43fff, 0x9f0969bfff523305, 0x6a8e527f36a7d56e, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000002bb58c68a79,
};

/*
 * m169a_u2x12_uart0_dual_ce_hw      m169p_u2x12_uart0_dual_ce_hw      m169pa_u2x12_uart0_dual_ce_hw
 * m165_u2x12_uart0_dual_ce_hw       m165a_u2x12_uart0_dual_ce_hw      m165p_u2x12_uart0_dual_ce_hw
 * m165pa_u2x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m169_u2x12_uart0_dual_ce_hw[] = {
  0x774c9f37a2435032, 0xbbb7e29ba2f36b77, 0x5e9f7f6b42dbbbbb, 0xd6821eeee9912945, 0xddd57b68fef76557,
  0x3e30120b65779306, 0x6819129290eddcc1, 0x40c2860da4606eeb, 0xd7e655bb9dd3e25c, 0x2d6c0c7ce033736e,
  0x39227f064ea6f51c, 0x510c4aff3f7c1142, 0x7bbe6e75980370f8, 0x8432d07268865577, 0xd6ffa039e134068a,
  0x8cc161bcaf212db8, 0xf55ba7c25813ffd4, 0x6d1bdaa3949fcda9, 0x85c1c74b717d5008, 0x1b09117dc4963cf2,
  0xc7f9883f51f097e2, 0xdcb19f52e678bb8d, 0x3a7f0752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647,
  0xcb5b843a435403ff, 0x2af9ddc549549d03, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xaa6828a792bf7343, 0x000000000000009b,
};

/*
 * m169a_u2x12_uart0_dual_ee_ce_hw   m169p_u2x12_uart0_dual_ee_ce_hw   m169pa_u2x12_uart0_dual_ee_ce_hw
 * m165_u2x12_uart0_dual_ee_ce_hw    m165a_u2x12_uart0_dual_ee_ce_hw   m165p_u2x12_uart0_dual_ee_ce_hw
 * m165pa_u2x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m169_u2x12_uart0_dual_ee_ce_hw[] = {
  0x774c9f37d41432db, 0xdddbf3c783e36b77, 0x35deeb7b7d7ddddd, 0x38bd1deeabe08684, 0x1156699d644fb840,
  0x482d95de480a771c, 0x2929063d7304f8c0, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0xf5ce06b734c37e65,
  0xe0eb7e6f51c526c3, 0x5fe7ef822847244f, 0x8000006e1f0a2189, 0x22b221955ddeef9b, 0x0e784d2ba2a10cb4,
  0xde579096ded6ffe8, 0xc2563fffea4660b0, 0xa3949fcda9f55ba7, 0x77fd51b9386d1bda, 0x3643fcf285c1c1ac,
  0x959374c273b8dceb, 0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c,
  0x5ea25da2147bd9ce, 0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0x7b27f157ceee2a4a,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x6c3b1b8f3612e65f, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x00000001d751e5e8,
};

/*
 * m169a_u2x12_uart0_dual_ee_ce_u4_hw m169p_u2x12_uart0_dual_ee_ce_u4_hw
 * m169pa_u2x12_uart0_dual_ee_ce_u4_hw m165_u2x12_uart0_dual_ee_ce_u4_hw
 * m165a_u2x12_uart0_dual_ee_ce_u4_hw m165p_u2x12_uart0_dual_ee_ce_u4_hw
 * m165pa_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d08f43, 0xddbf30ab0436b777, 0xc89ae3b793dddddd, 0x514a56eb3edfb19c, 0x6ada9c7d7bccd937,
  0x657792931dde27ed, 0x232da4c13e30120b, 0x48c0ddd6d0322525, 0x3ba7c4b881850c1b, 0xc292a6672fccbb09,
  0x869bd47eb3d83219, 0xfbe08a11c913f839, 0x801b87c2886257f9, 0x88655777bbe6e2e0, 0x4dd5f150865a063e,
  0x9096dcd6ffe80e78, 0x07fb3d0e60b0de57, 0x3f9b53eab74f84b1, 0xa353d0da37b54729, 0x9e37c307066ee2fa,
  0xfc4361222fb892c7, 0x8dc524e6ffea3e12, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47,
  0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b,
  0xe2a4a5989fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2e65f36dce18edec, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x000001d759642e17,
};

/*
 * m169a_swio10_noled                m169p_swio10_noled                m169pa_swio10_noled
 * m165_swio10_noled                 m165a_swio10_noled                m165p_swio10_noled
 * m165pa_swio10_noled
 */
static const uint64_t ur_m169_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xf7e879f912609f18, 0x4c4ef9626a5074af, 0x248e3a7f0621fd47, 0x4f1cc580b7ba6ea3,
  0xb1823af173b0df46, 0x5e5caad4ac26b71c, 0x52a8d7738ce6283b, 0xb395daa5beace751, 0x10d2a97debe910e6,
  0xf16bae7b55a22bcb, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x5f36c8122adec555, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00002a4faf5c7cf2,
};

/*
 * m169_swio10_noled_pr_u4           m169a_swio10_noled_pr             m169a_swio10_noled_pr_u4
 * m169p_swio10_noled_pr             m169p_swio10_noled_pr_u4          m169pa_swio10_noled_pr
 * m169pa_swio10_noled_pr_u4         m165_swio10_noled_pr              m165_swio10_noled_pr_u4
 * m165a_swio10_noled_pr             m165a_swio10_noled_pr_u4          m165p_swio10_noled_pr
 * m165p_swio10_noled_pr_u4          m165pa_swio10_noled_pr            m165pa_swio10_noled_pr_u4
 */
static const uint64_t ur_m169_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x3dcc13e30120b657, 0x22ca0f75fe78167e, 0xf064f7a8f371df2c, 0x0b2ca632a718e3a7,
  0x8f9d9ef476b1cc58, 0xd67aa01ffb30475e, 0xab555aa07967b770, 0x5dce3398a0ed7972, 0x6a96fab39d454aa3,
  0xa5f7afa4439ace57, 0xb9ed5688af2c434a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0x2048ab7b15545a5b,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x10171014f257ee68, 0x0000000000001f26,
};

/*
 * m169a_swio10_noled_pr_ee          m169p_swio10_noled_pr_ee          m169pa_swio10_noled_pr_ee
 * m165_swio10_noled_pr_ee           m165a_swio10_noled_pr_ee          m165p_swio10_noled_pr_ee
 * m165pa_swio10_noled_pr_ee
 */
static const uint64_t ur_m169_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0x69827c602416caef, 0x7283a6ffcf02cf8d, 0x51e5670e6ab5a38f, 0xcbafa8f83660cf5f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x48e2139d5a5ff72e, 0xc6ab5d0ebce9bb69, 0x98b84845098a3116,
  0xa3608fd6e1bd96cb, 0x5e5caad40226abfa, 0x52a8d7738ce6283b, 0xb395daa5beace751, 0x10d2a97debe910e6,
  0xf16bae7b55a22bcb, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x5f36c8122adec555, 0x9f1726ae0f3612e6,
  0x3ab31e40fca1a2ce, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x4f44053c95fb9a19, 0x0000000000004ebf,
};

/*
 * m169a_swio10_noled_pr_ee_u4       m169p_swio10_noled_pr_ee_u4       m169pa_swio10_noled_pr_ee_u4
 * m165_swio10_noled_pr_ee_u4        m165a_swio10_noled_pr_ee_u4       m165p_swio10_noled_pr_ee_u4
 * m165pa_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m169_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0x7528395bfcf02cfe, 0x7a8f2b4ad355ad1f, 0xafe77a8f83660e5f,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x5118f873ab4bc065, 0xc6ab5d0ebd753760, 0x3170908a322a3e82,
  0xb826beb70decb872, 0xc673141daf2e556a, 0xdf5673a8a9546bb9, 0xf5f4887359caed52, 0xaad115e5886954be,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x079b09732f9b6409, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xe2029e4afdcd0ccb, 0x00000000009d748b,
};

/*
 * m169_swio10_noled_pr_ce_u4        m169a_swio10_noled_pr_ce          m169a_swio10_noled_pr_ce_u4
 * m169p_swio10_noled_pr_ce          m169p_swio10_noled_pr_ce_u4       m169pa_swio10_noled_pr_ce
 * m169pa_swio10_noled_pr_ce_u4      m165_swio10_noled_pr_ce           m165_swio10_noled_pr_ce_u4
 * m165a_swio10_noled_pr_ce          m165a_swio10_noled_pr_ce_u4       m165p_swio10_noled_pr_ce
 * m165p_swio10_noled_pr_ce_u4       m165pa_swio10_noled_pr_ce         m165pa_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m169_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0x0b3f6ea609f18090, 0x8beb224a0e04ff3c, 0x1258f3c64a9de56b, 0x47c25f886c2445f7,
  0x678bb8dc4a8b91fd, 0xfa8f924f72c67eb2, 0xbdd0291c74fe0f05, 0xf9d9ef476b1cc580, 0x67aa01ffb33c75e8,
  0xad556a81e5add70d, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d, 0x97debe910e6b395d, 0xe7b55a22bcb10d2a,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0218edec5551696d, 0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0xaca880a792bf7343, 0x000000000000375e,
};

/*
 * m169a_swio10_noled_pr_ee_ce       m169p_swio10_noled_pr_ee_ce       m169pa_swio10_noled_pr_ee_ce
 * m165_swio10_noled_pr_ee_ce        m165a_swio10_noled_pr_ee_ce       m165p_swio10_noled_pr_ee_ce
 * m165pa_swio10_noled_pr_ee_ce
 */
static const uint64_t ur_m169_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0x9c3941b1fff3c0b3, 0xf192a7763e77fd51, 0xc273b8dc24aca8fc,
  0xe56e9653b5958f7c, 0x3fa8f83660d00f51, 0x1669d68450298ae4, 0x1d484d7d18596229, 0xd291c4273abb77ee,
  0x5b1aaf1b1d79d376, 0x2e62e121142628c4, 0xf546c1132386f65b, 0x76bcb955a9664d57, 0xa2a551aee719cc50,
  0xcd672bb54b7d59ce, 0x9621a552fbd7d221, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a,
  0x997cdb20431dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x0029a763fc4053c9,
};

/*
 * m169a_swio10_noled_pr_ee_ce_u4    m169p_swio10_noled_pr_ee_ce_u4    m169pa_swio10_noled_pr_ee_ce_u4
 * m165_swio10_noled_pr_ee_ce_u4     m165a_swio10_noled_pr_ee_ce_u4    m165p_swio10_noled_pr_ee_ce_u4
 * m165pa_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0xa1f4c13e30120b65, 0x6ea507107fd8aecf, 0xca17073105c5f547, 0x886c2445f71258f3,
  0x73a9cb82fd47c25f, 0x4ed6e6def99e2ee3, 0xd983403d4795ba59, 0x1140a62b90fea3e0, 0xf4616588a459a75a,
  0x9ceaeddfb8752135, 0x6c75e74ddb4a4710, 0x845098a3116c6abc, 0x4c8e1bd96cb98b84, 0x56a599355fd51b04,
  0xbb9c673141daf2e5, 0xd52df5673a8a9546, 0x4bef5f4887359cae, 0x73daad115e588695, 0x36294f0d3bcf8b5d,
  0x89c6378ce8810775, 0x810c76f62aa8b4b6, 0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x4fccb4add16792bf,
};

/*
 * m169a_swio10_noled_hw             m169p_swio10_noled_hw             m169pa_swio10_noled_hw
 * m165_swio10_noled_hw              m165a_swio10_noled_hw             m165p_swio10_noled_hw
 * m165pa_swio10_noled_hw
 */
static const uint64_t ur_m169_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfe1c79f912609f18, 0xa6277cb135283a57, 0x92471d3f8310fea3, 0x278e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0xa9546bb9c673141d, 0x59caed52df5673a8, 0x886954bef5f48873,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x2f9b6409156f62aa, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x000011c5f5f60a79,
};

/*
 * m169a_swio10_noled_ee_hw          m169p_swio10_noled_ee_hw          m169pa_swio10_noled_ee_hw
 * m165_swio10_noled_ee_hw           m165a_swio10_noled_ee_hw          m165p_swio10_noled_ee_hw
 * m165pa_swio10_noled_ee_hw
 */
static const uint64_t ur_m169_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xad1c7b941d37ff42, 0x067afa8f2b387355, 0x877c565d7d47c1b3,
  0xc2cb1148b34eb422, 0xffb971ac9a426be8, 0x4ddb4a47109cead2, 0x5188b6355ae875e7, 0xecb65cc5c242284c,
  0x355fd51b047eb70d, 0x3141daf2e556a011, 0x673a8a9546bb9c67, 0x4887359caed52df5, 0x115e5886954bef5f,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xb09732f9b6409156, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x6a29e4afdcd0ccb0,
  0x000000000016f805,
};

/*
 * m169a_swio10_noled_ce_hw          m169p_swio10_noled_ce_hw          m169pa_swio10_noled_ce_hw
 * m165_swio10_noled_ce_hw           m165a_swio10_noled_ce_hw          m165p_swio10_noled_ce_hw
 * m165pa_swio10_noled_ce_hw
 */
static const uint64_t ur_m169_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0482d95de4ee9ba3, 0xff4299fb75304f8c, 0xcad717d644941c09, 0x17dc4963cf285c1c, 0x6ff51f097e21b091,
  0xfac99e2ee373f5cd, 0x3c17ea3e493dcb19, 0x1602f740a471d3f8, 0xd7a3e767bd1dac73, 0x5c359ea807feccf1,
  0x972ab555aa0796b7, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x34aa5f7afa4439ac, 0x5aeb9ed5688af2c4,
  0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0x9b640863b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00eb37c21fa29e4a,
};

/*
 * m169_swio10_noled_ee_ce_u4_hw     m169a_swio10_noled_ee_ce_hw       m169a_swio10_noled_ee_ce_u4_hw
 * m169p_swio10_noled_ee_ce_hw       m169p_swio10_noled_ee_ce_u4_hw    m169pa_swio10_noled_ee_ce_hw
 * m169pa_swio10_noled_ee_ce_u4_hw   m165_swio10_noled_ee_ce_hw        m165_swio10_noled_ee_ce_u4_hw
 * m165a_swio10_noled_ee_ce_hw       m165a_swio10_noled_ee_ce_u4_hw    m165p_swio10_noled_ee_ce_hw
 * m165p_swio10_noled_ee_ce_u4_hw    m165pa_swio10_noled_ee_ce_hw      m165pa_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0xa3b75283883fe853, 0x79e50b839882e2fa, 0x2fc4361222fb892c,
  0xc6e6a83c83fea3e1, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b74, 0xb422814c5721fd47, 0x6be8c2cb1148b34e,
  0x2139d5dbbf70ea42, 0x78d8ebce9bb6948e, 0x0908a1314622d8d5, 0x08991c37b2d97317, 0xcaad4b326abfaa36,
  0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0x2a97debe910e6b39, 0xbae7b55a22bcb10d, 0xea6c529e1a779f16,
  0x6d138c6f19d1020e, 0xd90218edec555169, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x0140596968a792bf,
};

/*
 * m169a_swio10_lednop               m169p_swio10_lednop               m169pa_swio10_lednop
 * m165_swio10_lednop                m165a_swio10_lednop               m165p_swio10_lednop
 * m165pa_swio10_lednop
 */
static const uint64_t ur_m169_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xfbf43cfbf9304f8c, 0xfc877cb135282657, 0xf7c71d3f8310fea3, 0xe80e62c05bdd31ea,
  0x2c608ebc5ced6b23, 0xd7972ab52b39edc7, 0x54aa35dce3398a0e, 0x04e576a96fab39d4, 0xab574bfa4439ae04,
  0x6b9ed5688af2c434, 0xa58594d8b3a03cfd, 0x63fc502169ab9d5e, 0x5f36d38c6f19d103, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00001520eb5c7cf2,
};

/*
 * m169_swio10_lednop_pr_u4          m169a_swio10_lednop_pr            m169a_swio10_lednop_pr_u4
 * m169p_swio10_lednop_pr            m169p_swio10_lednop_pr_u4         m169pa_swio10_lednop_pr
 * m169pa_swio10_lednop_pr_u4        m165_swio10_lednop_pr             m165_swio10_lednop_pr_u4
 * m165a_swio10_lednop_pr            m165a_swio10_lednop_pr_u4         m165p_swio10_lednop_pr
 * m165p_swio10_lednop_pr_u4         m165pa_swio10_lednop_pr           m165pa_swio10_lednop_pr_u4
 */
static const uint64_t ur_m169_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xe034c13e30120b65, 0x8459410f7fe78167, 0xfe0c9ef51e713be5, 0x02cb298c79eb1c74,
  0x47cedf22383e7316, 0xbe81500ffd9823af, 0x556b02b40f2cf6f7, 0x6bb9c673141daf2e, 0xed52df5673a8a954,
  0x97f488735c0809ca, 0xaad115e5886956ae, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xf3612e65f36cbb22, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x4053c95fb9a19961, 0x000000007c9bf544,
};

/*
 * m169a_swio10_lednop_pr_ee         m169p_swio10_lednop_pr_ee         m169pa_swio10_lednop_pr_ee
 * m165_swio10_lednop_pr_ee          m165a_swio10_lednop_pr_ee         m165p_swio10_lednop_pr_ee
 * m165pa_swio10_lednop_pr_ee
 */
static const uint64_t ur_m169_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0x506397f9e059feaf, 0x3caca1cd56b471ee, 0x05f51f06cc19ebea,
  0x22cd3ad08a1df15b, 0xb26909afa30b2c45, 0x1af873ab4bfce5c6, 0xaad743af3a6ec13d, 0x5c24228c9118dfb1,
  0xb047eb70decb65cc, 0x5caad402b86b3d51, 0xa8d7738ce6283b5e, 0x95daa5beace75152, 0x5d2fe910e6b81013,
  0x7b55a22bcb10d2ad, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xc1e6c25ccbe6d976,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000004ebaec880a7,
};

/*
 * m169a_swio10_lednop_pr_ee_u4      m169p_swio10_lednop_pr_ee_u4      m169pa_swio10_lednop_pr_ee_u4
 * m165_swio10_lednop_pr_ee_u4       m165a_swio10_lednop_pr_ee_u4      m165p_swio10_lednop_pr_ee_u4
 * m165pa_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xf752836ebfcf02cf, 0xf7a8f2b90f355ad1, 0x8ace1fa8f83660e5,
  0x62291669d68450ef, 0x5c5133484d7d1859, 0x4011a6273ab4b945, 0xac6ab5d0ebd75376, 0x918b848450f7a3b5,
  0xab8b87f5b86f65c3, 0x9c673141daf2e556, 0x2df5673a8a9546bb, 0x488735c0809caed5, 0x115e5886956ae97f,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36cbb22ade, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000009d7085c405,
};

/*
 * m169_swio10_lednop_pr_ce_u4       m169a_swio10_lednop_pr_ce         m169a_swio10_lednop_pr_ce_u4
 * m169p_swio10_lednop_pr_ce         m169p_swio10_lednop_pr_ce_u4      m169pa_swio10_lednop_pr_ce
 * m169pa_swio10_lednop_pr_ce_u4     m165_swio10_lednop_pr_ce          m165_swio10_lednop_pr_ce_u4
 * m165a_swio10_lednop_pr_ce         m165a_swio10_lednop_pr_ce_u4      m165p_swio10_lednop_pr_ce
 * m165p_swio10_lednop_pr_ce_u4      m165pa_swio10_lednop_pr_ce        m165pa_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0xb3f15a609f180905, 0xbeb224a0efbff3c0, 0x258f3c64a9ddbab8, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0xa8e0a4f72c67eb26, 0x3da011c74fe0f05f, 0x76f911c1f398b014, 0x0a807feccf1d7a3e,
  0xd605681e5addbdf4, 0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0xe910e6b8101395da, 0xa22bcb10d2ad5d2f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb2ec31db, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000006eb967101,
};

/*
 * m169a_swio10_lednop_pr_ee_ce      m169p_swio10_lednop_pr_ee_ce      m169pa_swio10_lednop_pr_ee_ce
 * m165_swio10_lednop_pr_ee_ce       m165a_swio10_lednop_pr_ee_ce      m165p_swio10_lednop_pr_ee_ce
 * m165pa_swio10_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x70e50776bfcf02cf, 0xc64a9deed1dff546, 0x139dc6e747d493f3,
  0x2b2eb29dacac7be6, 0xfd47c1b306807a8f, 0xb34eb422814c5652, 0xea426be8c2cb1148, 0x9e8d7c39d5dbbe70,
  0xb1aaf1b1d79d3760, 0xcc5c24228c9118df, 0xa8d8226470decb65, 0xaf2e556a59dc359e, 0xa9546bb9c673141d,
  0x09caed52df5673a8, 0x56ae97f488735c08, 0xd73daad115e58869, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xe4d5c6c25ccbe6d9, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0x8522029e4afdcd0c, 0x0000000000014d33,
};

/*
 * m169a_swio10_lednop_pr_ee_ce_u4   m169p_swio10_lednop_pr_ee_ce_u4   m169pa_swio10_lednop_pr_ee_ce_u4
 * m165_swio10_lednop_pr_ee_ce_u4    m165a_swio10_lednop_pr_ee_ce_u4   m165p_swio10_lednop_pr_ee_ce_u4
 * m165pa_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfebcc13e30120b65, 0x6ea506007fd8aecf, 0xca17072005c5f547, 0x886c2445f71258f3,
  0xe05919ebfd47c25f, 0x9dadcdbdf33c5dc6, 0xb306807a8f2b2eb2, 0x22814c5652fd47c1, 0xe8c2cb1148b34eb4,
  0x39d5dbbe70ea426b, 0xb1d79d37609e8d7c, 0x228c9118dfb1aaf1, 0x6470decb65cc5c24, 0x6a59dc359ea8d822,
  0xb9c673141daf2e55, 0x52df5673a8a9546b, 0xf488735c0809caed, 0xd115e5886956ae97, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6d97618ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x1ba2cf257ee68665,
  0x00000000009f96e4,
};

/*
 * m169a_swio10_lednop_hw            m169p_swio10_lednop_hw            m169pa_swio10_lednop_hw
 * m165_swio10_lednop_hw             m165a_swio10_lednop_hw            m165p_swio10_lednop_hw
 * m165pa_swio10_lednop_hw
 */
static const uint64_t ur_m169_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xff0e3cfbf9304f8c, 0xfe43be589a94132b, 0x7be38e9fc1887f51, 0xf40731602dee98f5,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x2a551aee719cc507, 0x0272bb54b7d59cea, 0x55aba5fd221cd702,
  0xb5cf6ab44579621a, 0x52c2ca6c59d01e7e, 0xb1fe2810b4d5ceaf, 0x2f9b69c6378ce881, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x000008e21d760a79,
};

/*
 * m169a_swio10_lednop_ee_hw         m169p_swio10_lednop_ee_hw         m169pa_swio10_lednop_ee_hw
 * m165_swio10_lednop_ee_hw          m165a_swio10_lednop_ee_hw         m165p_swio10_lednop_ee_hw
 * m165pa_swio10_lednop_ee_hw
 */
static const uint64_t ur_m169_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xa38f72831cbfe853, 0xcf5f51e5650e6ab5, 0xef8ad82fa8f83660,
  0x5962291669d68450, 0xe72e3593484d7d18, 0x7609e8d7c39d5a5f, 0xc6fd8d56ba1d79d3, 0x5b2e62e121146488,
  0x59ea8d823f5b86f6, 0x41daf2e556a015c3, 0x3a8a9546bb9c6731, 0xc0809caed52df567, 0x86956ae97f488735,
  0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36cbb22adec55516, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005be6b05453c95,
};

/*
 * m169a_swio10_lednop_ce_hw         m169p_swio10_lednop_ce_hw         m169pa_swio10_lednop_ce_hw
 * m165_swio10_lednop_ce_hw          m165a_swio10_lednop_ce_hw         m165p_swio10_lednop_ce_hw
 * m165pa_swio10_lednop_ce_hw
 */
static const uint64_t ur_m169_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x2416caef2775d92b, 0xfa14cfc569827c60, 0xbab8beb224a0efbf, 0xbee24b1e7942e0e5, 0x5fa8f84bf10d8488,
  0xd64cf1771b9787cb, 0xe0bf51c149ee58cf, 0x60287b40238e9fc1, 0xf47cedf22383e731, 0x7be81500ffd99e3a,
  0xb955ac0ad03cb5bb, 0x51aee719cc5076bc, 0x2bb54b7d59cea2a5, 0xba5fd221cd702027, 0xf6ab44579621a55a,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0xc79b09732f9b65d8, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xccc5a29e4afdcd0c,
  0x000000000000759b,
};

/*
 * m169_swio10_lednop_ee_ce_u4_hw    m169a_swio10_lednop_ee_ce_hw      m169a_swio10_lednop_ee_ce_u4_hw
 * m169p_swio10_lednop_ee_ce_hw      m169p_swio10_lednop_ee_ce_u4_hw   m169pa_swio10_lednop_ee_ce_hw
 * m169pa_swio10_lednop_ee_ce_u4_hw  m165_swio10_lednop_ee_ce_hw       m165_swio10_lednop_ee_ce_u4_hw
 * m165a_swio10_lednop_ee_ce_hw      m165a_swio10_lednop_ee_ce_u4_hw   m165p_swio10_lednop_ee_ce_hw
 * m165p_swio10_lednop_ee_ce_u4_hw   m165pa_swio10_lednop_ee_ce_hw     m165pa_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0x51dba941801ff429, 0x3cf285c1c801717d, 0x97e21b09117dc496,
  0x71b8148f9cbf51f0, 0xaca76b736f7ccf17, 0xf06cc1a01ea3cacb, 0xad08a0531594bf51, 0x9afa30b2c4522cd3,
  0x5f0e7576ef9c3a90, 0xbc6c75e74dd827a3, 0x0908a3244637ec6a, 0x08991c37b2d97317, 0x955a96770d67aa36,
  0x1aee719cc5076bcb, 0xbb54b7d59cea2a55, 0xa5fd221cd7020272, 0x6ab44579621a55ab, 0x2d7ce80f1cad75cf,
  0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b65d86, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xb90a29e4afdcd0cc, 0x0000000000005015,
};

/*
 * m169_swio10_dual_pr               m169_swio10_dual_pr_u4            m169a_swio10_dual
 * m169a_swio10_dual_pr              m169a_swio10_dual_pr_u4           m169p_swio10_dual
 * m169p_swio10_dual_pr              m169p_swio10_dual_pr_u4           m169pa_swio10_dual
 * m169pa_swio10_dual_pr             m169pa_swio10_dual_pr_u4          m165_swio10_dual
 * m165_swio10_dual_pr               m165_swio10_dual_pr_u4            m165a_swio10_dual
 * m165a_swio10_dual_pr              m165a_swio10_dual_pr_u4           m165p_swio10_dual
 * m165p_swio10_dual_pr              m165p_swio10_dual_pr_u4           m165pa_swio10_dual
 * m165pa_swio10_dual_pr             m165pa_swio10_dual_pr_u4
 */
static const uint64_t ur_m169_swio10_dual[] = {
  0xa34bbbbbbb4486f9, 0x697e276fc75e738d, 0x9da9f7bb06d60d0b, 0x291fc5f4cfed1d62, 0xe7f0c6a08761b74d,
  0xde4ad0ee9b4721dc, 0xc03304f8c0482d95, 0xc0ddd6d032252520, 0xa7c4b881850c1b48, 0x28b3393fccab773b,
  0x54dea3bf9b05f670, 0xf7c114239227f066, 0x80370f8510c4aff3, 0x88655777bbe6e56f, 0x84d6b45421968464,
  0xbc84b6e5d7fe80e7, 0x6a57fb9af30586f2, 0x7d47910ef961f250, 0x6fdc65471d3f8311, 0xe28def398b01541e,
  0x07fecc11d78033b4, 0x181e59edad783ea8, 0x9fc55f3bb8a92dfe, 0xe3398a0ed7972ab5, 0x6fab39d454aa35dc,
  0x4439ae0404e576a9, 0x8af2c434ab574bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x9732f9b65d9156f6, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xe8b3c95fb9a19961, 0x00000000a49ad3e6,
};

/*
 * m169a_swio10_dual_pr_ee           m169p_swio10_dual_pr_ee           m169pa_swio10_dual_pr_ee
 * m165_swio10_dual_pr_ee            m165a_swio10_dual_pr_ee           m165p_swio10_dual_pr_ee
 * m165pa_swio10_dual_pr_ee
 */
static const uint64_t ur_m169_swio10_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x47c4edf8d4f261b4, 0xf722775261d68166, 0x3d646682ab8858ab, 0x41f1375a266f5da7,
  0x9ceeeec6ecfabf31, 0x09f180905b2bbc9e, 0x5b40c894948ee3e6, 0xe20614306d230377, 0xc7ff32addcee9f12,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b8a91006e1, 0x2a10cb417da21955,
  0xd36ffe80e784c1ee, 0x35e60b0de579096d, 0x5ad1945941a1fff7, 0x306657a8f2bdf735, 0x2877c576ebd47c1b,
  0x8c2cb1148b34eb42, 0xb9435c54b9a426be, 0x12ed1ed1e9473ab4, 0x08d31b1aad743af5, 0xecbe9662e1211420,
  0x32b5951b047eb70d, 0x3f8abe777152500a, 0xc673141daf2e556b, 0xdf5673a8a9546bb9, 0x88735c0809caed52,
  0x15e5886956ae97f4, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36cbb22adec,
  0xee34596af1b8f361, 0x854e7ea75666fe0e, 0xf343cc9fe04e34a1, 0x2c970cf4c2b93f01, 0x332c3a4a5b3e04e3,
  0x0e7cdd16792bf734, 0x0000000000000159,
};

/*
 * m169a_swio10_dual_pr_ee_u4        m169p_swio10_dual_pr_ee_u4        m169pa_swio10_dual_pr_ee_u4
 * m165_swio10_dual_pr_ee_u4         m165a_swio10_dual_pr_ee_u4        m165p_swio10_dual_pr_ee_u4
 * m165pa_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m169_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0xc4edf8d4f261b4d3, 0x5a7b5261d6816647, 0x6682ab8858abf227, 0x375a266f5da73d64,
  0xa912bcaf7fd6c1f1, 0x0482d95de4f4e771, 0x44a4a4771f304f8c, 0xa18369181bbada06, 0xb4b7e774f8971030,
  0x0968e016a631ffcc, 0x3f838ad37a8e4eb6, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xd05f688655777bbe,
  0xa039e1307b8a8432, 0xc3795e425b74dbff, 0x5941a1fffc7e1982, 0xa8f2bdf7355ad194, 0x76ebd47c1b306657,
  0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0xd1e9473ab4b9435c, 0x1aad743af512ed1e, 0x62e121142008d31b,
  0x1b047eb70decbe96, 0x777152500a32b595, 0x1daf2e556b3f8abe, 0xa8a9546bb9c67314, 0x0809caed52df5673,
  0x6956ae97f488735c, 0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6cbb22adec555169,
  0x726ae0f3612e65f3, 0xcdfc1fb763458df1, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x96ff91ba792bf734, 0x0000000000002b25,
};

/*
 * m169a_swio10_dual_pr_ce           m169p_swio10_dual_pr_ce           m169pa_swio10_dual_pr_ce
 * m165_swio10_dual_pr_ce            m165a_swio10_dual_pr_ce           m165p_swio10_dual_pr_ce
 * m165pa_swio10_dual_pr_ce
 */
static const uint64_t ur_m169_swio10_dual_pr_ce[] = {
  0xdd6eeeee87ad0c86, 0x1f13b7e78f4d7368, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0xc5d9bae255fba6e8,
  0x4c4bbbbb1bb2fafc, 0x9827c602416caef2, 0xdd6d032252520ebe, 0x4b881850c1b48c0d, 0x6eaffccab773ba7c,
  0xa8fb3b611c8e0706, 0x8a11c913f8395d37, 0x87c2886257f9fbe0, 0x5777bbe6e341c01b, 0xf8a8432d00f68865,
  0xb7b1fffa039e1304, 0xdcd7982c3795e425, 0x0dc5f531f28235bf, 0xf71258f3ca17070e, 0xfd47c25f886c2445,
  0x2e678bb8dcb9124a, 0x87ea3f513dcb19f5, 0x05a95dd471d3f83b, 0x00ced38a37bce62c, 0xe0faa01ffb33c75e,
  0xa92dfe181e5adcb5, 0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x574bfa4439ae0404,
  0x9ed5688af2c434ab, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x0c76f62aa8b49053, 0xb8f3612e65f36cbb,
  0x66fe0eee3459d3e1, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0xd16792bf734332c3, 0x000000000d24408d,
};

/*
 * m169a_swio10_dual_pr_ce_u4        m169p_swio10_dual_pr_ce_u4        m169pa_swio10_dual_pr_ce_u4
 * m165_swio10_dual_pr_ce_u4         m165a_swio10_dual_pr_ce_u4        m165p_swio10_dual_pr_ce_u4
 * m165pa_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m169_swio10_dual_pr_ce_u4[] = {
  0x4647777776890c86, 0xa7789dbf3c7d579b, 0x96d77ee80a2951c7, 0xe4ea661b9d6f7ed3, 0x798a1640258b74c8,
  0xf25a2bbbbb1bb2d0, 0xeb9827c602416cae, 0x0ddd6d0322525219, 0x7c4b881850c1b48c, 0x373456fccab773ba,
  0x9bd47cadb0df670d, 0xf04508e489fc1943, 0x0dc3e144312bfcfd, 0x1955ddeef9b94940, 0x69c62a10cb4027a2,
  0x425b74b5ff4073c2, 0xebfdcd7982c3795e, 0x39a6ee2faf752836, 0x222fb892c79e50b8, 0x9257ea3e12fc4361,
  0xcf0e333c5dc6e5c8, 0x8359fea3cbe9ee58, 0x62c058f7a5471d3f, 0x3af22ddb244637ce, 0x2a4a3a8cb71cb19e,
  0xe5caad67f157ceee, 0x2a8d7738ce6283b5, 0x395daa5beace7515, 0xd5d2fe910e6b8101, 0xe7b55a22bcb10d2a,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xc31dbd8aaa2d2414, 0x6e3cd84b997cdb2e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x4920537459e4afdc, 0x0000000000000003,
};

/*
 * m169a_swio10_dual_pr_ee_ce        m169p_swio10_dual_pr_ee_ce        m169pa_swio10_dual_pr_ee_ce
 * m165_swio10_dual_pr_ee_ce         m165a_swio10_dual_pr_ee_ce        m165p_swio10_dual_pr_ee_ce
 * m165pa_swio10_dual_pr_ee_ce
 */
static const uint64_t ur_m169_swio10_dual_pr_ee_ce[] = {
  0xd4e2ddddddd432db, 0x7ade276fc622d3c6, 0x0efd5f753ecb5586, 0x95f1ba39dee30f90, 0x6d0672b8a9be4b38,
  0xe771c11560f0ccea, 0x4f8c0482d95de4e4, 0xb40c8949484f2f30, 0x20614306d2303775, 0xf3f32addcee9f12e,
  0xffe6c0341c34d4cf, 0x47244fe0fa7e6f51, 0x0a21895fe7ef8228, 0xbddf3715d7006e1f, 0x4219681c34432abb,
  0x1f7fd01cf099c9c5, 0xbcc161bcaf212dba, 0xaa32972829b7fee6, 0x7f3ca1707136ceff, 0x0cc273b8dc683822,
  0x51e5650e53b59591, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962, 0x76ee9182873abb74,
  0x916c6abc6c75ed62, 0xe3e3170908a26e47, 0x525c6319191c37b2, 0x2e556b3f8abe7771, 0x546bb9c673141daf,
  0xcaed52df5673a8a9, 0xae97f488735c0809, 0x3daad115e5886956, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0x71e6c25ccbe6d976, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0xa4e6e8b3c95fb9a1, 0x0000000000004c13,
};

/*
 * m169a_swio10_dual_pr_ee_ce_u4     m169p_swio10_dual_pr_ee_ce_u4     m169pa_swio10_dual_pr_ee_ce_u4
 * m165_swio10_dual_pr_ee_ce_u4      m165a_swio10_dual_pr_ee_ce_u4     m165p_swio10_dual_pr_ee_ce_u4
 * m165pa_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x4edf998b90cdacfb, 0xacad0b5ce08673bc, 0x8beaf7f57f71dd9b, 0xe1bb89d9f762f38a,
  0x7cc5b0009645188c, 0x7792d89ddfda3e3d, 0xb82cc13e30120b65, 0x81bbada0644a4a46, 0x4f8971030a183691,
  0x0e6e5afccb4b7e77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc88c401,
  0xf7150865a11c910c, 0xb6f723ff4073c26d, 0xf8fc330586f2bc84, 0xe2faa33832826b7f, 0x892c79e50bcecd6e,
  0xa3e12fc4361222fb, 0x3c5dc6e44629c7fe, 0x2bcad29dadcdcdd3, 0xbd47c1b307dd7a8f, 0xb34eb422814c572b,
  0xea426be8c2cb1148, 0xf68f4a39d5db8a18, 0xb1aaf1b1d7a89768, 0x662e121142008d31, 0xa8d8226470decbe9,
  0xf3bb8a92967195ac, 0xa0ed7972ab59fc55, 0x9d454aa35dce3398, 0xe0404e576a96fab3, 0x434ab574bfa4439a,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36cbb0c76f62aa8b, 0x1726ae0f3612e65f,
  0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x6b2d791ba792bf73, 0x0000000000000400,
};

/*
 * m169a_swio10_dual_hw              m169p_swio10_dual_hw              m169pa_swio10_dual_hw
 * m165_swio10_dual_hw               m165a_swio10_dual_hw              m165p_swio10_dual_hw
 * m165pa_swio10_dual_hw
 */
static const uint64_t ur_m169_swio10_dual_hw[] = {
  0x97777776890d7f41, 0xfc4edf8ebce71b46, 0x53ef760dac1a16d2, 0x3f8be99fda3ac53b, 0x578d410ec36e9a52,
  0xbc95a1ddee3337bf, 0x806609f180905b2b, 0x81bbada0644a4a41, 0x4f8971030a183691, 0x5166727f9956ee77,
  0xa9bd477f360bece0, 0xef822847244fe0cc, 0x006e1f0a21895fe7, 0x10caaeef77cdcadf, 0x09ad68a8432d08c9,
  0x79096dcbaffd01cf, 0xa95ffea4660b0de5, 0xf51e443be587c941, 0xbf71951c74fe0c45, 0x8a37bce62c055079,
  0x1ffb30475e00ced3, 0x607967b6b5e0faa0, 0x7f157ceee2a4b7f8, 0x8ce6283b5e5caad6, 0xbeace75152a8d773,
  0x10e6b8101395daa5, 0x2bcb10d2ad5d2fe9, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x5ccbe6d976455bd8, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x0000000c6eab4fa8,
};

/*
 * m169a_swio10_dual_ee_hw           m169p_swio10_dual_ee_hw           m169pa_swio10_dual_ee_hw
 * m165_swio10_dual_ee_hw            m165a_swio10_dual_ee_hw           m165p_swio10_dual_ee_hw
 * m165pa_swio10_dual_ee_hw
 */
static const uint64_t ur_m169_swio10_dual_ee_hw[] = {
  0x3b7777743d686f97, 0x7c4edf8d4f261b4d, 0x722775261d681664, 0xd646682ab8858abf, 0x1f1375a266f5da73,
  0x7a73b9e08ceb54e8, 0x9827c602416caef2, 0xdd6d032252523b8f, 0x4b881850c1b48c0d, 0x631ffccab773ba7c,
  0xa8e4eb60968e016a, 0x8a11c913f838ad37, 0x87c2886257f9fbe0, 0x5777bbe6e2a4401b, 0xb8a8432d05f68865,
  0xb74dbffa039e1307, 0xfa91982c3795e425, 0xaad68ca2ca0d0fff, 0xd98332bd4795efb9, 0x1143be2bb75ea3e0,
  0xf4616588a459a75a, 0xa5ca1ae2a5cd2135, 0xa89768f68f4a39d5, 0x004698d8d56ba1d7, 0x6f65f4b3170908a1,
  0x5195aca8d823f5b8, 0x59fc55f3bb8a9280, 0xce3398a0ed7972ab, 0x96fab39d454aa35d, 0xa4439ae0404e576a,
  0x88af2c434ab574bf, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b65d9156f,
  0x1539fa97ab8dc79b, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0002bb473ea29e4a,
};

/*
 * m169a_swio10_dual_ce_hw           m169p_swio10_dual_ce_hw           m169pa_swio10_dual_ce_hw
 * m165_swio10_dual_ce_hw            m165a_swio10_dual_ce_hw           m165p_swio10_dual_ce_hw
 * m165pa_swio10_dual_ce_hw
 */
static const uint64_t ur_m169_swio10_dual_ce_hw[] = {
  0x375bbbbbb4486f97, 0x07c4edf9e3d35cda, 0xb70fb74eb00a4777, 0x0dd2edeb201b9c58, 0x4eb66eb8957ee9ba,
  0xef24c4bb9e08ceb5, 0xebe9827c602416ca, 0xc0ddd6d032252520, 0xa7c4b881850c1b48, 0x7066eaffccab773b,
  0xd37a8fb3b611c8e0, 0xbe08a11c913f8395, 0x01b87c2886257f9f, 0x8655777bbe6e341c, 0x304f8a8432d00f68,
  0x425b7b1fffa039e1, 0xb7ffa91982c3795e, 0xe1c1b8bea63e5046, 0x88bee24b1e7942e0, 0x723fa8f84bf10d84,
  0x3ea5ccf1771b8951, 0x0770fd47ea27b963, 0xc580b52bba8e3a7f, 0xebc019da7146f79c, 0x96bc1f5403ff6678,
  0x771525bfc303cb5b, 0xdaf2e556b3f8abe7, 0x8a9546bb9c673141, 0x809caed52df5673a, 0x956ae97f488735c0,
  0x5d73daad115e5886, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0x97618edec5551692, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x026ea8128a792bf7,
};

/*
 * m169a_swio10_dual_ee_ce_hw        m169p_swio10_dual_ee_ce_hw        m169pa_swio10_dual_ee_ce_hw
 * m165_swio10_dual_ee_ce_hw         m165a_swio10_dual_ee_ce_hw        m165p_swio10_dual_ee_ce_hw
 * m165pa_swio10_dual_ee_ce_hw
 */
static const uint64_t ur_m169_swio10_dual_ee_ce_hw[] = {
  0x1ceddddddd431f02, 0xc5e276fc6233686d, 0xd5c5eeefdf5d9da6, 0x263d68d43f2d07bb, 0x7e3fa10a9be4a739,
  0xddca31166f4c29f5, 0x3e30120b657792cc, 0xd032252520f9f4c1, 0x81850c1b48c0ddd6, 0xbfccab773ba7c4b8,
  0xa6b60ff0e188266b, 0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0xf77cdc76ec01b87c, 0x0865a0c1510caaee,
  0x83ff4073c2690f15, 0x330586f2bc84b6fd, 0x51e04941b5bfff52, 0xf9e50b8396b677fd, 0xd309cee3719cba3f,
  0x4795e5694ed6564d, 0x95dea3e0d983eebd, 0xa459a75a1140a62b, 0x0c752135f4616588, 0xb47b47a51ceaedc5,
  0x98d8d578d8ebd44b, 0xf4b3170908a10046, 0xd6546c1132386f65, 0x2af9ddc5494b38ca, 0xcc5076bcb955acfe,
  0x59cea2a551aee719, 0xcd7020272bb54b7d, 0x9621a55aba5fd221, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x2f9b65d863b7b155, 0x93f3fb0dc79b0973, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x000089a64928a792,
};

/*
 * m169a_swio10_dual_ee_ce_u4_hw     m169p_swio10_dual_ee_ce_u4_hw     m169pa_swio10_dual_ee_ce_u4_hw
 * m165_swio10_dual_ee_ce_u4_hw      m165a_swio10_dual_ee_ce_u4_hw     m165p_swio10_dual_ee_ce_u4_hw
 * m165pa_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0xc4edf998b90cdacf, 0xeecdd0b5ce08673b, 0x9c545f57bfabfb8d, 0xc4670ddc4ecfbb17,
  0x4eaae3f68354b228, 0x120b657792d89dd3, 0x4a4a46b82cc13e30, 0x18369181bbada064, 0x7612774f8971030a,
  0xec1385e1cdcb5f99, 0xf06d7737a8f8ddb0, 0xaff3f7c114239227, 0x911880370f8510c4, 0x239221955ddeef9b,
  0x0e784dbee2a10cb4, 0xde579096dee47fe8, 0xa09adffb3d0e60b0, 0xc1c35bb8bea8ce0c, 0x488bee24b1e78df0,
  0x70fffa8f84bf10d8, 0x9b9ba678bb8dc5c1, 0xbaf51e5795a53b5b, 0x98ae577a8f83660f, 0x962291669d684502,
  0xb71431d484d7d185, 0x512ed1ed1e9473ab, 0x011a636355e363af, 0xbd97d2cc5c242284, 0xe32b5951b044c8e1,
  0xb3f8abe77715252c, 0x9c673141daf2e556, 0x2df5673a8a9546bb, 0x488735c0809caed5, 0x115e5886956ae97f,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6d97618ede, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a,
  0x0000000eba8d1b82,
};

/*
 * m169_swio12_noled                 m169a_swio11_noled                m169a_swio12_noled
 * m169p_swio11_noled                m169p_swio12_noled                m169pa_swio11_noled
 * m169pa_swio12_noled               m165_swio11_noled                 m165_swio12_noled
 * m165a_swio11_noled                m165a_swio12_noled                m165p_swio11_noled
 * m165p_swio12_noled                m165pa_swio11_noled               m165pa_swio12_noled
 */
static const uint64_t ur_m169_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0xd0f3f1ee609f1809, 0x9df2dd04a0f75fef, 0x1c74fe0ebffa8e98, 0x398b016f74c800f9,
  0x823af173b7488c9e, 0xb955a95821f71cb1, 0x51aee719cc5076bc, 0xbb54b7d5d9cea2a5, 0x95b1bd7d221cd672,
  0xad73daad115e5886, 0x9d4e02ca54fa779f, 0x23cbc5021696173a, 0x65f36d38c6f19d10, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000001525bb5c7cf,
};

/*
 * m169_swio11_noled_pr_u4           m169_swio12_noled_pr              m169_swio12_noled_pr_u4
 * m169a_swio11_noled_pr             m169a_swio11_noled_pr_u4          m169a_swio12_noled_pr
 * m169a_swio12_noled_pr_u4          m169p_swio11_noled_pr             m169p_swio11_noled_pr_u4
 * m169p_swio12_noled_pr             m169p_swio12_noled_pr_u4          m169pa_swio11_noled_pr
 * m169pa_swio11_noled_pr_u4         m169pa_swio12_noled_pr            m169pa_swio12_noled_pr_u4
 * m165_swio11_noled_pr              m165_swio11_noled_pr_u4           m165_swio12_noled_pr
 * m165_swio12_noled_pr_u4           m165a_swio11_noled_pr             m165a_swio11_noled_pr_u4
 * m165a_swio12_noled_pr             m165a_swio12_noled_pr_u4          m165p_swio11_noled_pr
 * m165p_swio11_noled_pr_u4          m165p_swio12_noled_pr             m165p_swio12_noled_pr_u4
 * m165pa_swio11_noled_pr            m165pa_swio11_noled_pr_u4         m165pa_swio12_noled_pr
 * m165pa_swio12_noled_pr_u4
 */
static const uint64_t ur_m169_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x8f9827c602416cae, 0xf7283b7ffcf02cf9, 0xc1935ea382877cb6, 0x5965307b40238e9f,
  0x7cec98a3114e62c0, 0x279500ffd9823af4, 0x56a844c0f2cf6ed6, 0xbb9c673141daf2e5, 0x52df57673a8a9546,
  0xc6f5f4887359caed, 0xcf6ab44579621a56, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da,
  0xab83cd84b997cdb6, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe0b1014f257ee686, 0x000000000001f26a,
};

/*
 * m169_swio12_noled_pr_ee           m169a_swio11_noled_pr_ee          m169a_swio12_noled_pr_ee
 * m169p_swio11_noled_pr_ee          m169p_swio12_noled_pr_ee          m169pa_swio11_noled_pr_ee
 * m169pa_swio12_noled_pr_ee         m165_swio11_noled_pr_ee           m165_swio12_noled_pr_ee
 * m165a_swio11_noled_pr_ee          m165a_swio12_noled_pr_ee          m165p_swio11_noled_pr_ee
 * m165p_swio12_noled_pr_ee          m165pa_swio11_noled_pr_ee         m165pa_swio12_noled_pr_ee
 */
static const uint64_t ur_m169_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0x283b3bfcf02cf9c1, 0x1e565d66ab5a331f, 0xa5fa8f83660fa8f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8fe439d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x8b84845110a3deec,
  0x3608fd6e1bd96cb9, 0xf2e556a01741cf2a, 0x9546bb9c673141da, 0xcaed52df57673a8a, 0x1a56c6f5f4887359,
  0x2d75cf6ab4457962, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xcdb610c55bd8aaa2, 0xc5c9ab83cd84b997,
  0xacc7903f2868b3a7, 0xf313f9430a9cfd4e, 0xe09a1e64ff1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0x51014f257ee68665, 0x000000000009d781,
};

/*
 * m169_swio12_noled_pr_ee_u4        m169a_swio11_noled_pr_ee_u4       m169a_swio12_noled_pr_ee_u4
 * m169p_swio11_noled_pr_ee_u4       m169p_swio12_noled_pr_ee_u4       m169pa_swio11_noled_pr_ee_u4
 * m169pa_swio12_noled_pr_ee_u4      m165_swio11_noled_pr_ee_u4        m165_swio12_noled_pr_ee_u4
 * m165a_swio11_noled_pr_ee_u4       m165a_swio12_noled_pr_ee_u4       m165p_swio11_noled_pr_ee_u4
 * m165p_swio12_noled_pr_ee_u4       m165pa_swio11_noled_pr_ee_u4      m165pa_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m169_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0x94195dfe78167f67, 0x8f2bf9d355ad1edf, 0xe97d47c1b30738fa,
  0x48b34eb422877c56, 0x899a426be8c2cb11, 0x1ad739d5a5d7dae2, 0x56ba1d7aea6ed2f9, 0x70908a07c47d258d,
  0xe83eb70decb87231, 0x73141daf2e556ab8, 0x7673a8a9546bb9c6, 0x4887359caed52df5, 0x44579621a56c6f5f,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0xd84b997cdb610c55, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x0000000275d34110,
};

/*
 * m169_swio11_noled_pr_ce_u4        m169_swio12_noled_pr_ce           m169_swio12_noled_pr_ce_u4
 * m169a_swio11_noled_pr_ce          m169a_swio11_noled_pr_ce_u4       m169a_swio12_noled_pr_ce
 * m169a_swio12_noled_pr_ce_u4       m169p_swio11_noled_pr_ce          m169p_swio11_noled_pr_ce_u4
 * m169p_swio12_noled_pr_ce          m169p_swio12_noled_pr_ce_u4       m169pa_swio11_noled_pr_ce
 * m169pa_swio11_noled_pr_ce_u4      m169pa_swio12_noled_pr_ce         m169pa_swio12_noled_pr_ce_u4
 * m165_swio11_noled_pr_ce           m165_swio11_noled_pr_ce_u4        m165_swio12_noled_pr_ce
 * m165_swio12_noled_pr_ce_u4        m165a_swio11_noled_pr_ce          m165a_swio11_noled_pr_ce_u4
 * m165a_swio12_noled_pr_ce          m165a_swio12_noled_pr_ce_u4       m165p_swio11_noled_pr_ce
 * m165p_swio11_noled_pr_ce_u4       m165p_swio12_noled_pr_ce          m165p_swio12_noled_pr_ce_u4
 * m165pa_swio11_noled_pr_ce         m165pa_swio11_noled_pr_ce_u4      m165pa_swio12_noled_pr_ce
 * m165pa_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m169_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0xbdd4a0e56ff3c0b3, 0x8f3c64a9dcaeb8be, 0x25f886c2445f7125,
  0xbb8dc643a4afd47c, 0xebe4f72c67eb2678, 0x97d1c74fe0d67fa8, 0x4c5188a731602edf, 0x807feccf1d7a3e76,
  0x08981e5add6b13ca, 0x8ce6283b5e5caad5, 0xeaece75152a8d773, 0xbe910e6b395daa5b, 0x5688af2c434ad8de,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0xf3612e65f36d8426, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x4053c95fb9a19961, 0x000000001bae917c,
};

/*
 * m169_swio12_noled_pr_ee_ce        m169a_swio11_noled_pr_ee_ce       m169a_swio12_noled_pr_ee_ce
 * m169p_swio11_noled_pr_ee_ce       m169p_swio12_noled_pr_ee_ce       m169pa_swio11_noled_pr_ee_ce
 * m169pa_swio12_noled_pr_ee_ce      m165_swio11_noled_pr_ee_ce        m165_swio12_noled_pr_ee_ce
 * m165a_swio11_noled_pr_ee_ce       m165a_swio12_noled_pr_ee_ce       m165p_swio11_noled_pr_ee_ce
 * m165p_swio12_noled_pr_ee_ce       m165pa_swio11_noled_pr_ee_ce      m165pa_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m169_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0xca08cdff9e059f4d, 0x953b19b3bfea8cba, 0x3b8dc672e8ffe78c,
  0x21e53b5958f7cc27, 0x8f83660f4af51e57, 0x9d68450298ace1fa, 0x84d7d18596229166, 0x1fc873abb73931d4,
  0xaaf1b1d79d3763d5, 0x2e121144428f7bb1, 0x6c1132386f65b2e6, 0xe5caad4b3e839e54, 0x2a8d7738ce6283b5,
  0x95daa5beaece7515, 0x34ad8debe910e6b3, 0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408,
  0x36d84263b7b15545, 0xe71726ae3612e65f, 0xeeacc7903f2868b1, 0x9c6592e19e985727, 0x6866587494b65928,
  0x698bf71014f257ee, 0x000000000000000a,
};

/*
 * m169_swio12_noled_pr_ee_ce_u4     m169a_swio11_noled_pr_ee_ce_u4    m169a_swio12_noled_pr_ee_ce_u4
 * m169p_swio11_noled_pr_ee_ce_u4    m169p_swio12_noled_pr_ee_ce_u4    m169pa_swio11_noled_pr_ee_ce_u4
 * m169pa_swio12_noled_pr_ee_ce_u4   m165_swio11_noled_pr_ee_ce_u4     m165_swio12_noled_pr_ee_ce_u4
 * m165a_swio11_noled_pr_ee_ce_u4    m165a_swio12_noled_pr_ee_ce_u4    m165p_swio11_noled_pr_ee_ce_u4
 * m165p_swio12_noled_pr_ee_ce_u4    m165pa_swio11_noled_pr_ee_ce_u4   m165pa_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x24c13e30120b6577, 0xe506b7ffec5767c5, 0x2e0e56fdc5f547a6, 0xd8488bee24b1e794,
  0x6ec2c9fa8f84bf10, 0x5b9b7be678bb8dc7, 0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845,
  0xabb73931d484d7d1, 0xd79d3763d51fc873, 0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132,
  0x38ce6283b5e5caad, 0xbeaece75152a8d77, 0xebe910e6b395daa5, 0xd5688af2c434ad8d, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x8f3612e65f36d842, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x1eaedd16792bf734,
  0x00000000000004fc,
};

/*
 * m169_swio12_noled_hw              m169a_swio11_noled_hw             m169a_swio12_noled_hw
 * m169p_swio11_noled_hw             m169p_swio12_noled_hw             m169pa_swio11_noled_hw
 * m169pa_swio12_noled_hw            m165_swio11_noled_hw              m165_swio12_noled_hw
 * m165a_swio11_noled_hw             m165a_swio12_noled_hw             m165p_swio11_noled_hw
 * m165p_swio12_noled_hw             m165pa_swio11_noled_hw            m165pa_swio12_noled_hw
 */
static const uint64_t ur_m169_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x38f3f1ee609f1809, 0x4ef96e82507baffc, 0x8e3a7f075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x4ad8debe910e6b39,
  0xd6b9ed5688af2c43, 0x4ea701652a7d3bcf, 0x11e5e2810b4b0b9d, 0x32f9b69c6378ce88, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x0000008e2b7760a7,
};

/*
 * m169_swio12_noled_ee_hw           m169a_swio11_noled_ee_hw          m169a_swio12_noled_ee_hw
 * m169p_swio11_noled_ee_hw          m169p_swio12_noled_ee_hw          m169pa_swio11_noled_ee_hw
 * m169pa_swio12_noled_ee_hw         m165_swio11_noled_ee_hw           m165_swio12_noled_ee_hw
 * m165a_swio11_noled_ee_hw          m165a_swio12_noled_ee_hw          m165p_swio11_noled_ee_hw
 * m165p_swio12_noled_ee_hw          m165pa_swio11_noled_ee_hw         m165pa_swio12_noled_ee_hw
 */
static const uint64_t ur_m169_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0xd198f941d9dff429, 0x7d47a8f2b2eb355a, 0x77c5652fd47c1b30,
  0x2cb1148b34eb4228, 0xe4d71ac9a426be8c, 0xdd8f547f21cead2e, 0x1ef76355ae875e74, 0xcb65cc5c24228885,
  0x0e7951b047eb70de, 0x8a0ed7972ab500ba, 0x39d454aa35dce339, 0x439ace576a96fabb, 0x2bcb10d2b637afa4,
  0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6db0862ade, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x000000000b7ff34e,
};

/*
 * m169_swio12_noled_ce_hw           m169a_swio11_noled_ce_hw          m169a_swio12_noled_ce_hw
 * m169p_swio11_noled_ce_hw          m169p_swio12_noled_ce_hw          m169pa_swio11_noled_ce_hw
 * m169pa_swio12_noled_ce_hw         m165_swio11_noled_ce_hw           m165_swio12_noled_ce_hw
 * m165a_swio11_noled_ce_hw          m165a_swio12_noled_ce_hw          m165p_swio11_noled_ce_hw
 * m165p_swio12_noled_ce_hw          m165pa_swio11_noled_ce_hw         m165pa_swio12_noled_ce_hw
 */
static const uint64_t ur_m169_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x16caef2774a70f6d, 0x14cfe9b9827c6024, 0xb8bebdd4a0e56ffa, 0xe24b1e7942e0e4ae, 0xa8f84bf10d8488be,
  0x4cf1771b9d83787f, 0xff51d7c9ee58cfd6, 0x5dbf2fa38e9fc1ac, 0x7cec98a3114e62c0, 0x279500ffd99e3af4,
  0x55aa11303cb5bad6, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551, 0xb1bd7d221cd672bb, 0x73daad115e588695,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x084c76f62aa8b4b6, 0x6371e6c25ccbe6db, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x66c9f868a792bf73,
  0x000000000000001d,
};

/*
 * m169_swio11_noled_ee_ce_u4_hw     m169_swio12_noled_ee_ce_hw        m169_swio12_noled_ee_ce_u4_hw
 * m169a_swio11_noled_ee_ce_hw       m169a_swio11_noled_ee_ce_u4_hw    m169a_swio12_noled_ee_ce_hw
 * m169a_swio12_noled_ee_ce_u4_hw    m169p_swio11_noled_ee_ce_hw       m169p_swio11_noled_ee_ce_u4_hw
 * m169p_swio12_noled_ee_ce_hw       m169p_swio12_noled_ee_ce_u4_hw    m169pa_swio11_noled_ee_ce_hw
 * m169pa_swio11_noled_ee_ce_u4_hw   m169pa_swio12_noled_ee_ce_hw      m169pa_swio12_noled_ee_ce_u4_hw
 * m165_swio11_noled_ee_ce_hw        m165_swio11_noled_ee_ce_u4_hw     m165_swio12_noled_ee_ce_hw
 * m165_swio12_noled_ee_ce_u4_hw     m165a_swio11_noled_ee_ce_hw       m165a_swio11_noled_ee_ce_u4_hw
 * m165a_swio12_noled_ee_ce_hw       m165a_swio12_noled_ee_ce_u4_hw    m165p_swio11_noled_ee_ce_hw
 * m165p_swio11_noled_ee_ce_u4_hw    m165p_swio12_noled_ee_ce_hw       m165p_swio12_noled_ee_ce_u4_hw
 * m165pa_swio11_noled_ee_ce_hw      m165pa_swio11_noled_ee_ce_u4_hw   m165pa_swio12_noled_ee_ce_hw
 * m165pa_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x3d372835bfff4299, 0x3ca17072b7ee2faa, 0xf886c2445f71258f,
  0xdc36ec291fd47c25, 0x53b5b9b7be678bb8, 0x3660f4af51e5721e, 0x8450298ace1fa8f8, 0x7d185962291669d6,
  0x873abb73931d484d, 0x1b1d79d3763d51fc, 0x21144428f7bb1aaf, 0x132386f65b2e62e1, 0xaad4b3e839e546c1,
  0xd7738ce6283b5e5c, 0xaa5beaece75152a8, 0xd8debe910e6b395d, 0xb9ed5688af2c434a, 0x9b14a7869de7c5ae,
  0x44e31bc6744083ba, 0x84263b7b15545a5b, 0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xa021eaf453c95fb9,
};

/*
 * m169_swio12_lednop                m169a_swio11_lednop               m169a_swio12_lednop
 * m169p_swio11_lednop               m169p_swio12_lednop               m169pa_swio11_lednop
 * m169pa_swio12_lednop              m165_swio11_lednop                m165_swio12_lednop
 * m165a_swio11_lednop               m165a_swio12_lednop               m165p_swio11_lednop
 * m165p_swio12_lednop               m165pa_swio11_lednop              m165pa_swio12_lednop
 */
static const uint64_t ur_m169_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xfd0f3f01a609f180, 0x43be5ba09410f7fe, 0x638e9fc1d7ff51f2, 0x8731602dee9ba84c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0xaa35dce3398a0ed7, 0x576a96fabb39d454, 0xf4bfa4439ae0404e,
  0xf6ab44579621a572, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0xdb4e31bc67440a2f, 0x9f9fd86ed84b997c,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x00a93ebd71f3c95f,
};

/*
 * m169_swio11_lednop_pr_u4          m169_swio12_lednop_pr             m169_swio12_lednop_pr_u4
 * m169a_swio11_lednop_pr            m169a_swio11_lednop_pr_u4         m169a_swio12_lednop_pr
 * m169a_swio12_lednop_pr_u4         m169p_swio11_lednop_pr            m169p_swio11_lednop_pr_u4
 * m169p_swio12_lednop_pr            m169p_swio12_lednop_pr_u4         m169pa_swio11_lednop_pr
 * m169pa_swio11_lednop_pr_u4        m169pa_swio12_lednop_pr           m169pa_swio12_lednop_pr_u4
 * m165_swio11_lednop_pr             m165_swio11_lednop_pr_u4          m165_swio12_lednop_pr
 * m165_swio12_lednop_pr_u4          m165a_swio11_lednop_pr            m165a_swio11_lednop_pr_u4
 * m165a_swio12_lednop_pr            m165a_swio12_lednop_pr_u4         m165p_swio11_lednop_pr
 * m165p_swio11_lednop_pr_u4         m165p_swio12_lednop_pr            m165p_swio12_lednop_pr_u4
 * m165pa_swio11_lednop_pr           m165pa_swio11_lednop_pr_u4        m165pa_swio12_lednop_pr
 * m165pa_swio12_lednop_pr_u4
 */
static const uint64_t ur_m169_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xdcc13e30120b6577, 0xb9418f7fe78167d7, 0x0c9af51d003be5b7, 0x6594cfe7511c74fe,
  0xe76c9118df398b01, 0x48a807fecc11d7a3, 0x6b2ed40f2cf6e0ff, 0xb9c673141daf2e55, 0x2df57673a8a9546b,
  0x488735c0809caed5, 0x88af2c434ae5e97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x09732f9b6c63156f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000007c99c87e202,
};

/*
 * m169_swio12_lednop_pr_ee          m169a_swio11_lednop_pr_ee         m169a_swio12_lednop_pr_ee
 * m169p_swio11_lednop_pr_ee         m169p_swio12_lednop_pr_ee         m169pa_swio11_lednop_pr_ee
 * m169pa_swio12_lednop_pr_ee        m165_swio11_lednop_pr_ee          m165_swio12_lednop_pr_ee
 * m165a_swio11_lednop_pr_ee         m165a_swio12_lednop_pr_ee         m165p_swio11_lednop_pr_ee
 * m165p_swio12_lednop_pr_ee         m165pa_swio11_lednop_pr_ee        m165pa_swio12_lednop_pr_ee
 */
static const uint64_t ur_m169_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xe5046b7f9e059f4b, 0xa3cad82cd56b4663, 0xa9ef51f06cc1f51e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x11cdc73ab4bba55c, 0x8d56ba1d79d37691, 0x3170908a17c47195,
  0x46c11fadc37b2d97, 0x5e5caad402b589e5, 0x52a8d7738ce6283b, 0x395daa5beaece751, 0xcbd2fe910e6b8101,
  0x73daad115e588695, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a, 0xae0f3612e65f36d8,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000009d7324405,
};

/*
 * m169_swio12_lednop_pr_ee_u4       m169a_swio11_lednop_pr_ee_u4      m169a_swio12_lednop_pr_ee_u4
 * m169p_swio11_lednop_pr_ee_u4      m169p_swio12_lednop_pr_ee_u4      m169pa_swio11_lednop_pr_ee_u4
 * m169pa_swio12_lednop_pr_ee_u4     m165_swio11_lednop_pr_ee_u4       m165_swio12_lednop_pr_ee_u4
 * m165a_swio11_lednop_pr_ee_u4      m165a_swio12_lednop_pr_ee_u4      m165p_swio11_lednop_pr_ee_u4
 * m165p_swio12_lednop_pr_ee_u4      m165pa_swio11_lednop_pr_ee_u4     m165pa_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xbf28235bfcf02cfa, 0xf51e5721e6ab5a3d, 0xaff77a8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x911a6273ab4bc065, 0xc6ab5d0ebd75376c, 0x3170908a20fa3b5a,
  0x7182feb70decb872, 0x8ce6283b5e5caad5, 0xeaece75152a8d773, 0x0e6b8101395daa5b, 0x5e588695cbd2fe91,
  0x74079fad73daad11, 0x3573abd4b0b29b16, 0xf19d1028be8a042d, 0xf3612e65f36d38c6, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x4053c95fb9a19961, 0x0000000013ae917c,
};

/*
 * m169_swio11_lednop_pr_ce_u4       m169_swio12_lednop_pr_ce          m169_swio12_lednop_pr_ce_u4
 * m169a_swio11_lednop_pr_ce         m169a_swio11_lednop_pr_ce_u4      m169a_swio12_lednop_pr_ce
 * m169a_swio12_lednop_pr_ce_u4      m169p_swio11_lednop_pr_ce         m169p_swio11_lednop_pr_ce_u4
 * m169p_swio12_lednop_pr_ce         m169p_swio12_lednop_pr_ce_u4      m169pa_swio11_lednop_pr_ce
 * m169pa_swio11_lednop_pr_ce_u4     m169pa_swio12_lednop_pr_ce        m169pa_swio12_lednop_pr_ce_u4
 * m165_swio11_lednop_pr_ce          m165_swio11_lednop_pr_ce_u4       m165_swio12_lednop_pr_ce
 * m165_swio12_lednop_pr_ce_u4       m165a_swio11_lednop_pr_ce         m165a_swio11_lednop_pr_ce_u4
 * m165a_swio12_lednop_pr_ce         m165a_swio12_lednop_pr_ce_u4      m165p_swio11_lednop_pr_ce
 * m165p_swio11_lednop_pr_ce_u4      m165p_swio12_lednop_pr_ce         m165p_swio12_lednop_pr_ce_u4
 * m165pa_swio11_lednop_pr_ce        m165pa_swio11_lednop_pr_ce_u4     m165pa_swio12_lednop_pr_ce
 * m165pa_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xebdd4a0dbaff3c0b, 0x58f3c64a9de9bb8b, 0xc25f886c2445f712,
  0x8bb8dc24aca8fd47, 0x1e5f4f72c67eb267, 0xbd2a38e9fc1acff5, 0xd92231be731602c7, 0x500ffd99e3af47ce,
  0x976a0796b741fe91, 0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0x439ae0404e576a96, 0x579621a572f4bfa4,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b6c6263b7b1, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006eb842e2029e,
};

/*
 * m169_swio12_lednop_pr_ee_ce       m169a_swio11_lednop_pr_ee_ce      m169a_swio12_lednop_pr_ee_ce
 * m169p_swio11_lednop_pr_ee_ce      m169p_swio12_lednop_pr_ee_ce      m169pa_swio11_lednop_pr_ee_ce
 * m169pa_swio12_lednop_pr_ee_ce     m165_swio11_lednop_pr_ee_ce       m165_swio12_lednop_pr_ee_ce
 * m165a_swio11_lednop_pr_ee_ce      m165a_swio12_lednop_pr_ee_ce      m165p_swio11_lednop_pr_ee_ce
 * m165p_swio12_lednop_pr_ee_ce      m165pa_swio11_lednop_pr_ee_ce     m165pa_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0xb2821a3fcf02cfbf, 0x92a761a0effaa32e, 0xcee371a0e089fcf1,
  0x94b94ed6563df309, 0xa3e0d983d2bd4795, 0xa75a1140a62b287e, 0x2135f4616588a459, 0x47371ceaedce9475,
  0x6abc6c75e74dda44, 0x8b848450be238cac, 0x1b044c8e1bd96cb9, 0x7972ab52ced62795, 0x4aa35dce3398a0ed,
  0xe576a96fabb39d45, 0x2f4bfa4439ae0404, 0xcf6ab44579621a57, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x263b7b15545a4829, 0x3571b09732f9b6c6, 0x3c81f943458f38b9, 0x970cf4c2b93f7566, 0xc3a4a5b2c944e32c,
  0xf880a792bf734332, 0x0000000000534db8,
};

/*
 * m169_swio12_lednop_pr_ee_ce_u4    m169a_swio11_lednop_pr_ee_ce_u4   m169a_swio12_lednop_pr_ee_ce_u4
 * m169p_swio11_lednop_pr_ee_ce_u4   m169p_swio12_lednop_pr_ee_ce_u4   m169pa_swio11_lednop_pr_ee_ce_u4
 * m169pa_swio12_lednop_pr_ee_ce_u4  m165_swio11_lednop_pr_ee_ce_u4    m165_swio12_lednop_pr_ee_ce_u4
 * m165a_swio11_lednop_pr_ee_ce_u4   m165a_swio12_lednop_pr_ee_ce_u4   m165p_swio11_lednop_pr_ee_ce_u4
 * m165p_swio12_lednop_pr_ee_ce_u4   m165pa_swio11_lednop_pr_ee_ce_u4  m165pa_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x19827c602416caef, 0x94143effb15d9fec, 0xb83887d717d51e9b, 0x61222fb892c79e50,
  0xff1f77ea3e12fc43, 0xdcdbdf33c5dc6e70, 0x7a57a8f2b29729da, 0x14c5650fd47c1b30, 0x2cb1148b34eb4228,
  0x5db9d28ea426be8c, 0xbce9bb4888e6e39d, 0x17c471958d578d8e, 0xc37b2d973170908a, 0x59dac4f2a3608991,
  0xc673141daf2e556a, 0xf57673a8a9546bb9, 0x8735c0809caed52d, 0xaf2c434ae5e97f48, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x16792bf734332c3a,
  0x00000009f91a9cdd,
};

/*
 * m169_swio12_lednop_hw             m169a_swio11_lednop_hw            m169a_swio12_lednop_hw
 * m169p_swio11_lednop_hw            m169p_swio12_lednop_hw            m169pa_swio11_lednop_hw
 * m169pa_swio12_lednop_hw           m165_swio11_lednop_hw             m165_swio12_lednop_hw
 * m165a_swio11_lednop_hw            m165a_swio12_lednop_hw            m165p_swio11_lednop_hw
 * m165p_swio12_lednop_hw            m165pa_swio11_lednop_hw           m165pa_swio12_lednop_hw
 */
static const uint64_t ur_m169_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xc38f3f01a609f180, 0x21df2dd04a087bff, 0x31c74fe0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x7a5fd221cd702027,
  0x7b55a22bcb10d2b9, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x6da718de33a20517, 0x4fcfec376c25ccbe,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x004717d7d829e4af,
};

/*
 * m169_swio12_lednop_ee_hw          m169a_swio11_lednop_ee_hw         m169a_swio12_lednop_ee_hw
 * m169p_swio11_lednop_ee_hw         m169p_swio12_lednop_ee_hw         m169pa_swio11_lednop_ee_hw
 * m169pa_swio12_lednop_ee_hw        m165_swio11_lednop_ee_hw          m165_swio12_lednop_ee_hw
 * m165a_swio11_lednop_ee_hw         m165a_swio12_lednop_ee_hw         m165p_swio11_lednop_ee_hw
 * m165p_swio12_lednop_ee_hw         m165pa_swio11_lednop_ee_hw        m165pa_swio12_lednop_ee_hw
 */
static const uint64_t ur_m169_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0x68cc7ca08d6ffa14, 0x3ea3d4795b059aad, 0x3be2b53dea3e0d98,
  0x16588a459a75a114, 0x74ab8d64d2135f46, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0x65b2e62e121142f8,
  0xb13ca8d823f5b86f, 0xc5076bcb955a8056, 0x9cea2a551aee719c, 0x7020272bb54b7d5d, 0x10d2b97a5fd221cd,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0000b7c6a728a792,
};

/*
 * m169_swio12_lednop_ce_hw          m169a_swio11_lednop_ce_hw         m169a_swio12_lednop_ce_hw
 * m169p_swio11_lednop_ce_hw         m169p_swio12_lednop_ce_hw         m169pa_swio11_lednop_ce_hw
 * m169pa_swio12_lednop_ce_hw        m165_swio11_lednop_ce_hw          m165_swio12_lednop_ce_hw
 * m165a_swio11_lednop_ce_hw         m165a_swio12_lednop_ce_hw         m165p_swio11_lednop_ce_hw
 * m165p_swio12_lednop_ce_hw         m165pa_swio11_lednop_ce_hw        m165pa_swio12_lednop_ce_hw
 */
static const uint64_t ur_m169_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x0b657793baf5a716, 0x0a67e394c13e3012, 0xdc5f5eea506dd7fd, 0x71258f3ca170734d, 0xd47c25f886c2445f,
  0x2678bb8dc98667cf, 0xff51e5f4f72c67eb, 0x2c7bd2a38e9fc1ac, 0x7ced92231be73160, 0xe91500ffd99e3af4,
  0xab5976a0796b741f, 0x5dce3398a0ed7972, 0xa96fabb39d454aa3, 0xfa4439ae0404e576, 0xb44579621a572f4b,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x2a29e4afdcd0ccb0,
  0x000000000759bef8,
};

/*
 * m169_swio11_lednop_ee_ce_u4_hw    m169_swio12_lednop_ee_ce_hw       m169_swio12_lednop_ee_ce_u4_hw
 * m169a_swio11_lednop_ee_ce_hw      m169a_swio11_lednop_ee_ce_u4_hw   m169a_swio12_lednop_ee_ce_hw
 * m169a_swio12_lednop_ee_ce_u4_hw   m169p_swio11_lednop_ee_ce_hw      m169p_swio11_lednop_ee_ce_u4_hw
 * m169p_swio12_lednop_ee_ce_hw      m169p_swio12_lednop_ee_ce_u4_hw   m169pa_swio11_lednop_ee_ce_hw
 * m169pa_swio11_lednop_ee_ce_u4_hw  m169pa_swio12_lednop_ee_ce_hw     m169pa_swio12_lednop_ee_ce_u4_hw
 * m165_swio11_lednop_ee_ce_hw       m165_swio11_lednop_ee_ce_u4_hw    m165_swio12_lednop_ee_ce_hw
 * m165_swio12_lednop_ee_ce_u4_hw    m165a_swio11_lednop_ee_ce_hw      m165a_swio11_lednop_ee_ce_u4_hw
 * m165a_swio12_lednop_ee_ce_hw      m165a_swio12_lednop_ee_ce_u4_hw   m165p_swio11_lednop_ee_ce_hw
 * m165p_swio11_lednop_ee_ce_u4_hw   m165p_swio12_lednop_ee_ce_hw      m165p_swio12_lednop_ee_ce_u4_hw
 * m165pa_swio11_lednop_ee_ce_hw     m165pa_swio11_lednop_ee_ce_u4_hw  m165pa_swio12_lednop_ee_ce_hw
 * m165pa_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0xf4dca0a1f7fd0a67, 0xf285c1c43eb8bea8, 0xe21b09117dc4963c,
  0x715d7185ff51f097, 0x4ed6e6def99e2ee3, 0xd983d2bd479594b9, 0x1140a62b287ea3e0, 0xf4616588a459a75a,
  0x1ceaedce94752135, 0x6c75e74dda444737, 0x8450be238cac6abc, 0x4c8e1bd96cb98b84, 0xab52ced627951b04,
  0x5dce3398a0ed7972, 0xa96fabb39d454aa3, 0xfa4439ae0404e576, 0xb44579621a572f4b, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xea29e4afdcd0ccb0, 0x0000000000a028d4,
};

/*
 * m169_swio11_dual_pr               m169_swio11_dual_pr_u4            m169_swio12_dual
 * m169_swio12_dual_pr               m169_swio12_dual_pr_u4            m169a_swio11_dual
 * m169a_swio11_dual_pr              m169a_swio11_dual_pr_u4           m169a_swio12_dual
 * m169a_swio12_dual_pr              m169a_swio12_dual_pr_u4           m169p_swio11_dual
 * m169p_swio11_dual_pr              m169p_swio11_dual_pr_u4           m169p_swio12_dual
 * m169p_swio12_dual_pr              m169p_swio12_dual_pr_u4           m169pa_swio11_dual
 * m169pa_swio11_dual_pr             m169pa_swio11_dual_pr_u4          m169pa_swio12_dual
 * m169pa_swio12_dual_pr             m169pa_swio12_dual_pr_u4          m165_swio11_dual
 * m165_swio11_dual_pr               m165_swio11_dual_pr_u4            m165_swio12_dual
 * m165_swio12_dual_pr               m165_swio12_dual_pr_u4            m165a_swio11_dual
 * m165a_swio11_dual_pr              m165a_swio11_dual_pr_u4           m165a_swio12_dual
 * m165a_swio12_dual_pr              m165a_swio12_dual_pr_u4           m165p_swio11_dual
 * m165p_swio11_dual_pr              m165p_swio11_dual_pr_u4           m165p_swio12_dual
 * m165p_swio12_dual_pr              m165p_swio12_dual_pr_u4           m165pa_swio11_dual
 * m165pa_swio11_dual_pr             m165pa_swio11_dual_pr_u4          m165pa_swio12_dual
 * m165pa_swio12_dual_pr             m165pa_swio12_dual_pr_u4
 */
static const uint64_t ur_m169_swio11_dual[] = {
  0x23fbbbbb4486c541, 0x13b7e3af4e46d2e3, 0x17ddb83d3a85b4bf, 0xe2ff23b295f14adb, 0x59f16a015bab8c8f,
  0xd0eeb047f0d57a8c, 0x04f8c0482d95de4a, 0xd6d0322525215233, 0xb881850c1b48c0dd, 0x393fccab773ba7c4,
  0xa3bf9b05f67028b3, 0x14239227f06654de, 0x0f8510c4aff3f7c1, 0x5777bbe6e35d8037, 0xb454219684648865,
  0xb6e52ffe80e784d6, 0xfb9af30586f2bc84, 0xdd1df2cb5e504a2f, 0x7b8e3a7f07bdfa8f, 0xc4e62c0550799c98,
  0x30475e00cec80234, 0xb3db7bc6faa01ffb, 0x5f3bb8a92be7503c, 0x8a0ed7972ab59fc5, 0x39d454aa35dce339,
  0xe0404e576a96fabb, 0x21a572f4bfa4439a, 0xcad75cf6ab445796, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0xcdb6318ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000524c83937459e,
};

/*
 * m169_swio12_dual_pr_ee            m169a_swio11_dual_pr_ee           m169a_swio12_dual_pr_ee
 * m169p_swio11_dual_pr_ee           m169p_swio12_dual_pr_ee           m169pa_swio11_dual_pr_ee
 * m169pa_swio12_dual_pr_ee          m165_swio11_dual_pr_ee            m165_swio12_dual_pr_ee
 * m165a_swio11_dual_pr_ee           m165a_swio12_dual_pr_ee           m165p_swio11_dual_pr_ee
 * m165p_swio12_dual_pr_ee           m165pa_swio11_dual_pr_ee          m165pa_swio12_dual_pr_ee
 */
static const uint64_t ur_m169_swio11_dual_pr_ee[] = {
  0x33d6dddddd435032, 0xf13b7e35342136ac, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd7b0cf5,
  0xabdb47faf7dd8e17, 0x80905b2bbc9e9cee, 0xc8949485d16609f1, 0x14306d2303775b40, 0x32addcee9f12e206,
  0xd825a3805a98c7ff, 0x44fe0e2b4dea393a, 0x1895fe7ef8228472, 0xf9b9743006e1f0a2, 0xcb417da21955ddee,
  0xfe80e784c1ee2a10, 0x0586f2bc84b6fa6b, 0x7fba5042d7fb9af3, 0xf7ea3caedd4d56b4, 0xe2bd37ea3e0d9830,
  0x588a459a75a1143b, 0xae2a5cd2135f4616, 0x31e8cf539d5a5d82, 0x0d8d56ba1d7a8976, 0x4b3170908a34a471,
  0xaa8d823f5b86f65f, 0xbe777152500b2288, 0x141daf2e556b3f8a, 0x73a8a9546bb9c673, 0xc0809caed52df576,
  0x434ae5e97f488735, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6c63156f62aa8b,
  0xb1e70dc79b09732f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857, 0x7ee6866587494b67, 0x0190a22f9ba2cf25,
};

/*
 * m169_swio12_dual_pr_ee_u4         m169a_swio11_dual_pr_ee_u4        m169a_swio12_dual_pr_ee_u4
 * m169p_swio11_dual_pr_ee_u4        m169p_swio12_dual_pr_ee_u4        m169pa_swio11_dual_pr_ee_u4
 * m169pa_swio12_dual_pr_ee_u4       m165_swio11_dual_pr_ee_u4         m165_swio12_dual_pr_ee_u4
 * m165a_swio11_dual_pr_ee_u4        m165a_swio12_dual_pr_ee_u4        m165p_swio11_dual_pr_ee_u4
 * m165p_swio12_dual_pr_ee_u4        m165pa_swio11_dual_pr_ee_u4       m165pa_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m169_swio11_dual_pr_ee_u4[] = {
  0x5b777768adbba0ae, 0xedf8d4d084dab0cf, 0xf34e72be816647c4, 0xb55de9afbf6d3da3, 0x71337af619eb2333,
  0x6eaf61f5dc2f0fae, 0x95de4f4e777d7dfd, 0x42e8b304f8c0482d, 0x9181bbada0644a4a, 0x774f8971030a1836,
  0x016a631ffccb4b7e, 0xad37a8e4eb60968e, 0xfbe08a11c913f838, 0xc01b87c2886257f9, 0x88655777bbe6e5d0,
  0x1307b8a8432d05f6, 0xf212dbe9affa039e, 0x2d7fe3f0cc161bca, 0xedd4d56b47fba504, 0xa3e0d9830f7ea3ca,
  0xa75a1143be2bd37e, 0x2135f4616588a459, 0x39d5a5d82ae2a5cd, 0xa1d7a897631e8cf5, 0x08a34a4710d8d56b,
  0xf5b86f65f4b31709, 0x2500b2288aa8d823, 0xe556b3f8abe77715, 0x46bb9c673141daf2, 0xed52df57673a8a95,
  0x97f488735c0809ca, 0xd5688af2c434ae5e, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0x79b09732f9b6c631, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xdd3c95fb9a19961d, 0x0000002b27b13fc8,
};

/*
 * m169_swio12_dual_pr_ce            m169a_swio11_dual_pr_ce           m169a_swio12_dual_pr_ce
 * m169p_swio11_dual_pr_ce           m169p_swio12_dual_pr_ce           m169pa_swio11_dual_pr_ce
 * m169pa_swio12_dual_pr_ce          m165_swio11_dual_pr_ce            m165_swio12_dual_pr_ce
 * m165a_swio11_dual_pr_ce           m165a_swio12_dual_pr_ce           m165p_swio11_dual_pr_ce
 * m165p_swio12_dual_pr_ce           m165pa_swio11_dual_pr_ce          m165pa_swio12_dual_pr_ce
 */
static const uint64_t ur_m169_swio11_dual_pr_ce[] = {
  0x6edddddec121a5fb, 0x4edf9e3fbb368a70, 0xfb755f362477707c, 0xbb69c89f55fd77a0, 0x995dfbf7ba538374,
  0x5dd2c8d759b42acc, 0x3e30120b65779262, 0x6819129291118cc1, 0x40c2860da4606eeb, 0x7fe655bb9dd3e25c,
  0xd9db08e470383375, 0x8e489fc1cae9bd47, 0x144312bfcfdf0450, 0xdeef9b8a4800dc3e, 0xa10cb403da21955d,
  0x66ffe80e784c13e2, 0x5e60b0de579096dc, 0x8beafe4a09c1ff73, 0x24b1e7942e0e13ab, 0x8f84bf10d8488bee,
  0x9e2ee3719be951fa, 0x51c27cf72c67d4b9, 0x45dbf1c74fe0ed6f, 0x764011a627316029, 0xd500ffd99e3af006,
  0x57cea0796b73de37, 0x556b3f8abe777152, 0x6bb9c673141daf2e, 0xd52df57673a8a954, 0x7f488735c0809cae,
  0x5688af2c434ae5e9, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7,
  0xe0eee34596af1b8f, 0x4a1854e7ea75666f, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x3491eb6dd16792bf,
};

/*
 * m169_swio12_dual_pr_ce_u4         m169a_swio11_dual_pr_ce_u4        m169a_swio12_dual_pr_ce_u4
 * m169p_swio11_dual_pr_ce_u4        m169p_swio12_dual_pr_ce_u4        m169pa_swio11_dual_pr_ce_u4
 * m169pa_swio12_dual_pr_ce_u4       m165_swio11_dual_pr_ce_u4         m165_swio12_dual_pr_ce_u4
 * m165a_swio11_dual_pr_ce_u4        m165a_swio12_dual_pr_ce_u4        m165p_swio11_dual_pr_ce_u4
 * m165p_swio12_dual_pr_ce_u4        m165pa_swio11_dual_pr_ce_u4       m165pa_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m169_swio11_dual_pr_ce_u4[] = {
  0x4e4eddddda2432db, 0xf13b7e78fb1736ac, 0x4d7dd6c4eca38f4e, 0xe4ea666eb4b1272d, 0x674a3f738abf76c4,
  0xc968aee3822ac07c, 0xfa609f180905b2bb, 0x3775b40c8949483a, 0xf12e20614306d230, 0xdcd15bf32addcee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0xa718a8432d009e88,
  0x12dbd8fffd01cf09, 0xdfee6bcc161bcaf2, 0x8a7ae2faedf9411a, 0x22fb892c79e50b83, 0x21fea3e12fc43612,
  0xf0e333c5dc6e759b, 0x193dea3cbe9ee58c, 0x1602edf5f238e9fc, 0xd7916ec3e231be73, 0xa4a3ab87b8e58cf1,
  0x5caad67f157ceee2, 0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0xd2fe910e6b810139, 0xdaad115e588695cb,
  0xb29b1674079fad73, 0x63042d3573abd4b0, 0xda718de33a20517c, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x000d242cdba2cf25,
};

/*
 * m169_swio12_dual_pr_ee_ce         m169a_swio11_dual_pr_ee_ce        m169a_swio12_dual_pr_ee_ce
 * m169p_swio11_dual_pr_ee_ce        m169p_swio12_dual_pr_ee_ce        m169pa_swio11_dual_pr_ee_ce
 * m169pa_swio12_dual_pr_ee_ce       m165_swio11_dual_pr_ee_ce         m165_swio12_dual_pr_ee_ce
 * m165a_swio11_dual_pr_ee_ce        m165a_swio12_dual_pr_ee_ce        m165p_swio11_dual_pr_ee_ce
 * m165p_swio12_dual_pr_ee_ce        m165pa_swio11_dual_pr_ee_ce       m165pa_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m169_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0x6f13b7e3111f86d7, 0x7af7bb62f1aac33d, 0xf1ba4e56820f913f, 0xbebd77a9be4bf695,
  0xe78233a96453ab04, 0x180905b2bbc9c9ce, 0x19129290724e609f, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40,
  0xcd80683869a99fe7, 0x489fc1f4fcdea3ff, 0x4312bfcfdf04508e, 0xdf373ce400dc3e14, 0x19681c34432abbbd,
  0x7fd01cf099c9c542, 0x60b0de579096dc52, 0x8ca1ca0e9aff735e, 0xe7942e0e69a3bfea, 0xcc273b8dc524e6ff,
  0x1e56c1653b595910, 0x4f7a8f83660fa8f5, 0x91669d68450298ad, 0x31d484d7d1859622, 0xb6fa397c73abb71c,
  0xcb1aaf1b1d7b589d, 0x7c62e121140288c7, 0x9718e4532386f65c, 0x955acfe2af9ddc54, 0x1aee719cc5076bcb,
  0xb54b7d5d9cea2a55, 0x5fd221cd7020272b, 0x55a22bcb10d2b97a, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0xfe0eee3458f386e3, 0x70cf4c2b93f75666, 0xc3a4a5b3e04e32c9,
  0x8dd16792bf734332, 0x0000000000098273,
};

/*
 * m169_swio12_dual_pr_ee_ce_u4      m169a_swio11_dual_pr_ee_ce_u4     m169a_swio12_dual_pr_ee_ce_u4
 * m169p_swio11_dual_pr_ee_ce_u4     m169p_swio12_dual_pr_ee_ce_u4     m169pa_swio11_dual_pr_ee_ce_u4
 * m169pa_swio12_dual_pr_ee_ce_u4    m165_swio11_dual_pr_ee_ce_u4      m165_swio12_dual_pr_ee_ce_u4
 * m165a_swio11_dual_pr_ee_ce_u4     m165a_swio12_dual_pr_ee_ce_u4     m165p_swio11_dual_pr_ee_ce_u4
 * m165p_swio12_dual_pr_ee_ce_u4     m165pa_swio11_dual_pr_ee_ce_u4    m165pa_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio11_dual_pr_ee_ce_u4[] = {
  0xbeeeeed15b770668, 0x6fccc5fc26d157d8, 0x6a6bd5784339de27, 0xe2faf7683acadada, 0x7138abec5e713ada,
  0x399a0e087877d737, 0x6c4eeab8fb000352, 0x609f180905b2bbc9, 0xd6d032252521966e, 0xb881850c1b48c0dd,
  0x2d7e65a5bf3ba7c4, 0xe376c3b04e178737, 0x8e489fc1b5dcdea3, 0x144312bfcfdf0450, 0xbddf37055000dc3e,
  0x4219684724432abb, 0x257fd01cf09b7dc5, 0x0cc161bcaf212dbd, 0xa8c9d4a0de1ffe3f, 0x1e7942f3bbc3b8be,
  0x4bf10d8488bee24b, 0xb8dc1545927fa8f8, 0xba53b5b9b9ba678b, 0xf06cc1edff51e572, 0xad08a05315efbf51,
  0x9afa30b2c4522cd3, 0x3d4e7576e60a3a90, 0xbc6c75ea25d8c7a3, 0x848451a523886c6a, 0x08991c37b2fa598b,
  0xc5494b3c8a22aa36, 0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0x72bb54b7d5d9cea2, 0x97a5fd221cd70202,
  0xe7b55a22bcb10d2b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0xb83cd84b997cdb63,
  0x07edd8d1637c5c9a, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0xe46e9e4afdcd0ccb, 0x0000000010013f05,
};

/*
 * m169_swio12_dual_hw               m169a_swio11_dual_hw              m169a_swio12_dual_hw
 * m169p_swio11_dual_hw              m169p_swio12_dual_hw              m169pa_swio11_dual_hw
 * m169pa_swio12_dual_hw             m165_swio11_dual_hw               m165_swio12_dual_hw
 * m165a_swio11_dual_hw              m165a_swio12_dual_hw              m165p_swio11_dual_hw
 * m165p_swio12_dual_hw              m165pa_swio11_dual_hw             m165pa_swio12_dual_hw
 */
static const uint64_t ur_m169_swio11_dual_hw[] = {
  0x8feeeeed12190907, 0x4edf8ebd391b4b8c, 0x5f76e0f4ea16d2fc, 0x8bfc8eca57c52b6c, 0x67c5a8056eae323f,
  0x2b43bad07eafbd7b, 0xcc13e30120b65779, 0x775b40c894948548, 0x12e20614306d2303, 0xcce4ff32addcee9f,
  0x7a8efe6c17d9c0a2, 0x04508e489fc19953, 0xdc3e144312bfcfdf, 0x955ddeef9b8d7600, 0x5ad150865a119221,
  0x12db94bffa039e13, 0x7ffd48cc161bcaf2, 0x7ee8ef965af28251, 0xc3dc71d3f83defd4, 0xa62731602a83cce4,
  0xd9823af006764011, 0xe59edbde37d500ff, 0x2af9ddc5495f3a81, 0xcc5076bcb955acfe, 0xd9cea2a551aee719,
  0xd7020272bb54b7d5, 0xb10d2b97a5fd221c, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0xbe6db18c55bd8aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000c6ea41ca8a79,
};

/*
 * m169_swio12_dual_ee_hw            m169a_swio11_dual_ee_hw           m169a_swio12_dual_ee_hw
 * m169p_swio11_dual_ee_hw           m169p_swio12_dual_ee_hw           m169pa_swio11_dual_ee_hw
 * m169pa_swio12_dual_ee_hw          m165_swio11_dual_ee_hw            m165_swio12_dual_ee_hw
 * m165a_swio11_dual_ee_hw           m165a_swio12_dual_ee_hw           m165p_swio11_dual_ee_hw
 * m165p_swio12_dual_ee_hw           m165pa_swio11_dual_ee_hw          m165pa_swio12_dual_ee_hw
 */
static const uint64_t ur_m169_swio11_dual_ee_hw[] = {
  0xeb6eeee87ad0cf68, 0x9dbf1a9a109b5619, 0xf6e9ce57d02cc8f8, 0xcced577a6befdeb4, 0xeb9c4cdebd867ac8,
  0xcd1f53ad6ec70bc3, 0x30120b657793d39d, 0x19129290ba2cc13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40,
  0x5b04b4700b5318ff, 0x489fc1c569bd4727, 0x4312bfcfdf04508e, 0xdf372e8600dc3e14, 0x19682fb4432abbbd,
  0x7fd01cf0983dc542, 0x60b0de579096df4d, 0x1fee9410b5ffea46, 0x3dfa8f2bb75355ad, 0xf8af4dfa8f83660c,
  0x962291669d68450e, 0xab8a973484d7d185, 0x8c7a33d4e7569760, 0x436355ae875ea25d, 0xd2cc5c24228d291c,
  0x2aa3608fd6e1bd97, 0xaf9ddc549402c8a2, 0xc5076bcb955acfe2, 0x9cea2a551aee719c, 0x7020272bb54b7d5d,
  0x10d2b97a5fd221cd, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2,
  0xa5eae371e6c25ccb, 0x65f989fca1854e7e, 0x7ff04d0f327f8b9c, 0xc970cf4c2b93f1cf, 0x32c3a4a5b3e04e32,
  0xd22fa8a792bf7343, 0x00000000000000ae,
};

/*
 * m169_swio12_dual_ce_hw            m169a_swio11_dual_ce_hw           m169a_swio12_dual_ce_hw
 * m169p_swio11_dual_ce_hw           m169p_swio12_dual_ce_hw           m169pa_swio11_dual_ce_hw
 * m169pa_swio12_dual_ce_hw          m165_swio11_dual_ce_hw            m165_swio12_dual_ce_hw
 * m165a_swio11_dual_ce_hw           m165a_swio12_dual_ce_hw           m165p_swio11_dual_ce_hw
 * m165p_swio12_dual_ce_hw           m165pa_swio11_dual_ce_hw          m165pa_swio12_dual_ce_hw
 */
static const uint64_t ur_m169_swio11_dual_ce_hw[] = {
  0xc1bb77776890cf68, 0xf13b7e78feecda29, 0x83edd57cd891ddc1, 0xd2eda7227d57f5de, 0x326577efdee94e0d,
  0x498977347d4eb5bb, 0x3304f8c0482d95de, 0xbbada0644a4a4446, 0x8971030a18369181, 0xcdd5ff9956ee774f,
  0xf51f676c2391c0e0, 0x114239227f072ba6, 0x70f8510c4aff3f7c, 0x55777bbe6e292003, 0x4f8a8432d00f6886,
  0x5b719bffa039e130, 0xffa91982c3795e42, 0x9d5c5f57f2504e0f, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0x52e678bb8dc643a4, 0xb5bd4709f3dcb19f, 0x80a5176fc71d3f83, 0xc019d90046989cc5, 0x78df5403ff6678eb,
  0xc5495f3a81e5adcf, 0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0x72bb54b7d5d9cea2, 0x97a5fd221cd70202,
  0xe7b55a22bcb10d2b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0x6e3cd84b997cdb63,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x757add14f257ee68, 0x0000000000000013,
};

/*
 * m169_swio12_dual_ee_ce_hw         m169a_swio11_dual_ee_ce_hw        m169a_swio12_dual_ee_ce_hw
 * m169p_swio11_dual_ee_ce_hw        m169p_swio12_dual_ee_ce_hw        m169pa_swio11_dual_ee_ce_hw
 * m169pa_swio12_dual_ee_ce_hw       m165_swio11_dual_ee_ce_hw         m165_swio12_dual_ee_ce_hw
 * m165a_swio11_dual_ee_ce_hw        m165a_swio12_dual_ee_ce_hw        m165p_swio11_dual_ee_ce_hw
 * m165p_swio12_dual_ee_ce_hw        m165pa_swio11_dual_ee_ce_hw       m165pa_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m169_swio11_dual_ee_ce_hw[] = {
  0x924cdddddd43359b, 0xf13b7e311b043693, 0xe4f7475d3eced362, 0x7accf8673226b8ed, 0x66c9b537c953924c,
  0x70f0cc29ad75ebde, 0x8c0482d95de4b337, 0x0c894948cb69304f, 0x614306d2303775b4, 0xf32addcee9f12e20,
  0xad83fc3862099aef, 0x244fe0ffe4dea3e9, 0x21895fe7ef822847, 0xef9b8b82006e1f0a, 0x0cb4182a21955dde,
  0xffe80e784d21e2a1, 0x60b0de579096dcd6, 0x1e56941c41ffea46, 0xcf285c1cc4077fd5, 0x984e771b9950d07f,
  0x3cae574a76b2b26e, 0xf7ea3e0d983dbfea, 0x459a75a1140a62bd, 0x4752135f4616588a, 0x18f467a9ceaedcc1,
  0x0d8d578d8ebd44bb, 0x4b3170908a34a471, 0x5546c1132386f65f, 0x5f3bb8a929679144, 0x8a0ed7972ab59fc5,
  0x39d454aa35dce339, 0xe0404e576a96fabb, 0x21a572f4bfa4439a, 0xcad75cf6ab445796, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0xf3fb0dc79b09732f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x0044d300a8a792bf,
};

/*
 * m169_swio12_dual_ee_ce_u4_hw      m169a_swio11_dual_ee_ce_u4_hw     m169a_swio12_dual_ee_ce_u4_hw
 * m169p_swio11_dual_ee_ce_u4_hw     m169p_swio12_dual_ee_ce_u4_hw     m169pa_swio11_dual_ee_ce_u4_hw
 * m169pa_swio12_dual_ee_ce_u4_hw    m165_swio11_dual_ee_ce_u4_hw      m165_swio12_dual_ee_ce_u4_hw
 * m165a_swio11_dual_ee_ce_u4_hw     m165a_swio12_dual_ee_ce_u4_hw     m165p_swio11_dual_ee_ce_u4_hw
 * m165p_swio12_dual_ee_ce_u4_hw     m165pa_swio11_dual_ee_ce_u4_hw    m165pa_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio11_dual_ee_ce_u4_hw[] = {
  0x17ddddda28d172df, 0xedf998bf84da2afb, 0xdd4d7aaf08673bc4, 0xadae2faf7683baca, 0x7377138abec5e713,
  0x0d5a1968e087877d, 0xd95de4b62776d6aa, 0x90cb37304f8c0482, 0xa4606eeb68191292, 0x9dd3e25c40c2860d,
  0xe1787372d7e65d84, 0x5dcdea3e376c3b04, 0xfdf04508e489fc1b, 0x000dc3e144312bfc, 0x4432abbbddf37055,
  0x09b7dc5421968472, 0xf212dbd257fd01cf, 0xc3ff67a1cc161bca, 0x787717d5193a941b, 0x7dc4963cf1be1839,
  0xff51f097e21b0911, 0x74cf1771b816467a, 0xa3cae574a76b7373, 0xdf7ea3e0d983dbfe, 0xa459a75a1140a62b,
  0x14752135f4616588, 0xb18f467a9ceaedcc, 0x10d8d578d8ebd44b, 0xf4b3170908a34a47, 0x45546c1132386f65,
  0x55f3bb8a92967914, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0xae0404e576a96fab, 0x621a572f4bfa4439,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x003aeac6680be9e4,
};

/*
 * m169a_swio13_noled                m169p_swio13_noled                m169pa_swio13_noled
 * m165_swio13_noled                 m165a_swio13_noled                m165p_swio13_noled
 * m165pa_swio13_noled
 */
static const uint64_t ur_m169_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xf7e879f31f304f8c, 0x109df2dd24a0edff, 0xd78e3a7f07cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x4aa35dce3398a0ed, 0xdaa5beaa6fb39d45, 0x5abdebe910e6b395,
  0x5cf6ab44579621a5, 0x5380b2953e9de7eb, 0xbf714085a585cea7, 0x7cdb4e31bc674408, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000548b8d71f3c9,
};

/*
 * m169_swio13_noled_pr_u4           m169a_swio13_noled_pr             m169a_swio13_noled_pr_u4
 * m169p_swio13_noled_pr             m169p_swio13_noled_pr_u4          m169pa_swio13_noled_pr
 * m169pa_swio13_noled_pr_u4         m165_swio13_noled_pr              m165_swio13_noled_pr_u4
 * m165a_swio13_noled_pr             m165a_swio13_noled_pr_u4          m165p_swio13_noled_pr
 * m165p_swio13_noled_pr_u4          m165pa_swio13_noled_pr            m165pa_swio13_noled_pr_u4
 */
static const uint64_t ur_m169_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0fca0995fe78167, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x6bb9c673141daf2e, 0xb7d54df673a8a954,
  0xbd7d221cd672bb54, 0xd5688af2c434ab57, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e,
  0xe0f3612e65f36c64, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xb44053c95fb9a199, 0x00000000007c9aa6,
};

/*
 * m169a_swio13_noled_pr_ee          m169p_swio13_noled_pr_ee          m169pa_swio13_noled_pr_ee
 * m165_swio13_noled_pr_ee           m165a_swio13_noled_pr_ee          m165p_swio13_noled_pr_ee
 * m165pa_swio13_noled_pr_ee
 */
static const uint64_t ur_m169_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x28315bfcf02cf93a, 0x8f2b297355ad1bf9, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae,
  0xe7b55a22bcb10d2a, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x000000009d7c6310,
};

/*
 * m169a_swio13_noled_pr_ee_u4       m169p_swio13_noled_pr_ee_u4       m169pa_swio13_noled_pr_ee_u4
 * m165_swio13_noled_pr_ee_u4        m165a_swio13_noled_pr_ee_u4       m165p_swio13_noled_pr_ee_u4
 * m165pa_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m169_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x54a0efbff3c0b3f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0x19cc5076bcb955aa, 0x37d9cea2a551aee7, 0x887359caed52df55, 0x2bcb10d2ad5ef5f4,
  0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x84b997cdb1922ade, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000004eb967101,
};

/*
 * m169_swio13_noled_pr_ce_u4        m169a_swio13_noled_pr_ce          m169a_swio13_noled_pr_ce_u4
 * m169p_swio13_noled_pr_ce          m169p_swio13_noled_pr_ce_u4       m169pa_swio13_noled_pr_ce
 * m169pa_swio13_noled_pr_ce_u4      m165_swio13_noled_pr_ce           m165_swio13_noled_pr_ce_u4
 * m165a_swio13_noled_pr_ce          m165a_swio13_noled_pr_ce_u4       m165p_swio13_noled_pr_ce
 * m165p_swio13_noled_pr_ce_u4       m165pa_swio13_noled_pr_ce         m165pa_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m169_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xf5dbf2832bbfcf02, 0x2c79e3254ef7ddc5, 0xe12fc4361222fb89,
  0xc5dc6e5c89257ea3, 0x479ba7b9633f5933, 0x9538c71d3f8327bd, 0x768851ef67316029, 0x4a807feccf1d7a3e,
  0xd5f5b81e5adc2293, 0x738ce6283b5e5caa, 0xaa9bece75152a8d7, 0xfa4439ace576a96f, 0xd115e5886956af7a,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0xcd84b997cdb190c7, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x00000000375d3411,
};

/*
 * m169a_swio13_noled_pr_ee_ce       m169p_swio13_noled_pr_ee_ce       m169pa_swio13_noled_pr_ee_ce
 * m165_swio13_noled_pr_ee_ce        m165a_swio13_noled_pr_ee_ce       m165p_swio13_noled_pr_ee_ce
 * m165pa_swio13_noled_pr_ee_ce
 */
static const uint64_t ur_m169_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52e507fe7f9e059f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x152a8d7738ce6283,
  0x576a96faa9bece75, 0x956af7afa4439ace, 0x5d73daad115e5886, 0x7536294f0d3bcf8b, 0xb689c6378ce88107,
  0xdb190c76f62aa8b4, 0x9c5c9ab8d84b997c, 0xbab31e40fca1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0xa63cbc4053c95fb9, 0x0000000000000029,
};

/*
 * m169a_swio13_noled_pr_ee_ce_u4    m169p_swio13_noled_pr_ee_ce_u4    m169pa_swio13_noled_pr_ee_ce_u4
 * m165_swio13_noled_pr_ee_ce_u4     m165a_swio13_noled_pr_ee_ce_u4    m165p_swio13_noled_pr_ee_ce_u4
 * m165pa_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x9d282d77ff62bb3f, 0xa17071aeee2faa3d, 0x86c2445f71258f3c,
  0x2e0b87ffd47c25f8, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b38729, 0x2814c565d7d47c1b, 0x8c2cb1148b34eb42,
  0x9d5db92b0ea426be, 0x8ebce9bb7508f243, 0x147c88e0fd8d578d, 0x2386f65b2e62e121, 0xa967d260b546c113,
  0xe719cc5076bcb955, 0x5537d9cea2a551ae, 0xf4887359caed52df, 0xa22bcb10d2ad5ef5, 0xe1a779f16bae7b55,
  0xf19d1020eea6c529, 0xdec5551696d138c6, 0x9b09732f9b63218e, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x9c6e8b3c95fb9a19,
  0x0000000000027e0c,
};

/*
 * m169a_swio13_noled_hw             m169p_swio13_noled_hw             m169pa_swio13_noled_hw
 * m165_swio13_noled_hw              m165a_swio13_noled_hw             m165p_swio13_noled_hw
 * m165pa_swio13_noled_hw
 */
static const uint64_t ur_m169_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfe1c79f31f304f8c, 0x884ef96e925076ff, 0x6bc71d3f83e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0xa551aee719cc5076, 0xed52df5537d9cea2, 0xad5ef5f4887359ca,
  0xae7b55a22bcb10d2, 0xa9c0594a9f4ef3f5, 0x5fb8a042d2c2e753, 0xbe6da718de33a204, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000238971d829e4,
};

/*
 * m169a_swio13_noled_ee_hw          m169p_swio13_noled_ee_hw          m169pa_swio13_noled_ee_hw
 * m165_swio13_noled_ee_hw           m165a_swio13_noled_ee_hw          m165p_swio13_noled_ee_hw
 * m165pa_swio13_noled_ee_hw
 */
static const uint64_t ur_m169_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0x68dfc9418adff429, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x283b5e5caad402e9, 0xe75152a8d7738ce6, 0xace576a96faa9bec, 0x886956af7afa4439,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0xcbe6d8c9156f62aa, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000000b7ff24e8a7,
};

/*
 * m169a_swio13_noled_ce_hw          m169p_swio13_noled_ce_hw          m169pa_swio13_noled_ce_hw
 * m165_swio13_noled_ce_hw           m165a_swio13_noled_ce_hw          m165p_swio13_noled_ce_hw
 * m165pa_swio13_noled_ce_hw
 */
static const uint64_t ur_m169_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x905b2bbc9dd29475, 0xe8533fb3a609f180, 0xddc5f5dbf2832bbf, 0xf71258f3ca170737, 0xfd47c25f886c2445,
  0xb2678bb8dc35b986, 0x4f7a8f374f72c67e, 0xc0532a718e3a7f06, 0xf47ced10a3dece62, 0x45269500ffd99e3a,
  0xb955abeb703cb5b8, 0x51aee719cc5076bc, 0x52df5537d9cea2a5, 0x5ef5f4887359caed, 0x7b55a22bcb10d2ad,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x218edec5551696d1, 0x8dc79b09732f9b63, 0x7bde50c2a73f505d,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x9b7c93a29e4afdcd,
  0x0000000000000075,
};

/*
 * m169_swio13_noled_ee_ce_u4_hw     m169a_swio13_noled_ee_ce_hw       m169a_swio13_noled_ee_ce_u4_hw
 * m169p_swio13_noled_ee_ce_hw       m169p_swio13_noled_ee_ce_u4_hw    m169pa_swio13_noled_ee_ce_hw
 * m169pa_swio13_noled_ee_ce_u4_hw   m165_swio13_noled_ee_ce_hw        m165_swio13_noled_ee_ce_u4_hw
 * m165a_swio13_noled_ee_ce_hw       m165a_swio13_noled_ee_ce_u4_hw    m165p_swio13_noled_ee_ce_hw
 * m165p_swio13_noled_ee_ce_u4_hw    m165pa_swio13_noled_ee_ce_hw      m165pa_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0xa3d9d282d77ff429, 0xf3ca17071aeee2fa, 0x5f886c2445f71258,
  0x8dce41d5d7fd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0x68450298acbafa8f, 0xd7d185962291669d,
  0x4873abb72561d484, 0xf1b1d79d376ea11e, 0x24228f911c1fb1aa, 0x226470decb65cc5c, 0x2ab52cfa4c16a8d8,
  0x35dce3398a0ed797, 0x5beaa6fb39d454aa, 0xdebe910e6b395daa, 0x6ab44579621a55ab, 0xa53c34ef3e2d75cf,
  0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27, 0xb8f3612e65f36c64, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f,
  0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x21939453c95fb9a1, 0x00000000000000a0,
};

/*
 * m169a_swio13_lednop               m169p_swio13_lednop               m169pa_swio13_lednop
 * m165_swio13_lednop                m165a_swio13_lednop               m165p_swio13_lednop
 * m165pa_swio13_lednop
 */
static const uint64_t ur_m169_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xfbf43cfc069827c6, 0xc90ef96e925043df, 0x98c71d3f83e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0xa9546bb9c673141d, 0xbb54b7d54df673a8, 0x25fd221cd7020272,
  0xdaad115e588695c9, 0x2d794e02e7407973, 0xf45021695844c2f5, 0x9b69c6378ce88145, 0x93f3fb0ddb09732f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x001527d7ae3e792b,
};

/*
 * m169_swio13_lednop_pr_u4          m169a_swio13_lednop_pr            m169a_swio13_lednop_pr_u4
 * m169p_swio13_lednop_pr            m169p_swio13_lednop_pr_u4         m169pa_swio13_lednop_pr
 * m169pa_swio13_lednop_pr_u4        m165_swio13_lednop_pr             m165_swio13_lednop_pr_u4
 * m165a_swio13_lednop_pr            m165a_swio13_lednop_pr_u4         m165p_swio13_lednop_pr
 * m165p_swio13_lednop_pr_u4         m165pa_swio13_lednop_pr           m165pa_swio13_lednop_pr_u4
 */
static const uint64_t ur_m169_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f94131ffe78167, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0x5dce3398a0ed7972, 0xbeaa6fb39d454aa3,
  0x10e6b8101395daa5, 0x8af2c434ae492fe9, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x9732f9b6815156f6, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00003e4ffaa22029,
};

/*
 * m169a_swio13_lednop_pr_ee         m169p_swio13_lednop_pr_ee         m169pa_swio13_lednop_pr_ee
 * m165_swio13_lednop_pr_ee          m165a_swio13_lednop_pr_ee         m165p_swio13_lednop_pr_ee
 * m165pa_swio13_lednop_pr_ee
 */
static const uint64_t ur_m169_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x941383fe78167e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0x9546bb9c673141da, 0xb54b7d54df673a8a, 0x5fd221cd7020272b,
  0xaad115e588695c92, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xf3612e65f36d02a2,
  0xca1a2cb579726ae0, 0xc2a73f53ab31e40f, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271,
  0xbe10c4053c95fb9a, 0x000000000000004e,
};

/*
 * m169a_swio13_lednop_pr_ee_u4      m169p_swio13_lednop_pr_ee_u4      m169pa_swio13_lednop_pr_ee_u4
 * m165_swio13_lednop_pr_ee_u4       m165a_swio13_lednop_pr_ee_u4      m165p_swio13_lednop_pr_ee_u4
 * m165pa_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca941383fe7816, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0xdce3398a0ed7972a, 0xeaa6fb39d454aa35, 0x0e6b8101395daa5b, 0xaf2c434ae492fe91,
  0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0x78ce88139f450216, 0x79b09732f9b69c63, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x0000000004eba682,
};

/*
 * m169a_swio13_lednop_pr_ce         m169p_swio13_lednop_pr_ce         m169pa_swio13_lednop_pr_ce
 * m165_swio13_lednop_pr_ce          m165a_swio13_lednop_pr_ce         m165p_swio13_lednop_pr_ce
 * m165pa_swio13_lednop_pr_ce
 */
static const uint64_t ur_m169_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xf1ad304f8c0482d9, 0xbb7e5074dff9e059, 0x8f3c64a9deceb8be, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0xf38cf72c67eb2678, 0xcf58e3a7f064f7a8, 0x97c47191cc580a63, 0xa01ffb33c75e8f9d,
  0xe1c81e5adc37ee1a, 0x8ce6283b5e5caad6, 0x9bece75152a8d773, 0xae0404e576a96faa, 0xb10d2b924bfa4439,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0x7c5c9ab83cd84b99,
  0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x3d1014f257ee6866, 0x000000000001bafd,
};

/*
 * m169a_swio13_lednop_pr_ce_u4      m169p_swio13_lednop_pr_ce_u4      m169pa_swio13_lednop_pr_ce_u4
 * m165_swio13_lednop_pr_ce_u4       m165a_swio13_lednop_pr_ce_u4      m165p_swio13_lednop_pr_ce_u4
 * m165pa_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9eb283813fcf02, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x398a0ed7972ab51d, 0xfb39d454aa35dce3, 0x8101395daa5beaa6, 0x434ae492fe910e6b, 0x95aeb9ed5688af2c,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0x1726ae0f3612e65f, 0x5663c81f943458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xbaf56544053c95fb, 0x0000000000000001,
};

/*
 * m169a_swio13_lednop_pr_ee_ce      m169p_swio13_lednop_pr_ee_ce      m169pa_swio13_lednop_pr_ee_ce
 * m165_swio13_lednop_pr_ee_ce       m165a_swio13_lednop_pr_ee_ce      m165p_swio13_lednop_pr_ee_ce
 * m165pa_swio13_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x2972829b7fe78167, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0x8a9546bb9c673141,
  0x2bb54b7d54df673a, 0x925fd221cd702027, 0x3daad115e588695c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0xd5c6c25ccbe6da05, 0xf207e50d163ce2e4, 0x5c33d30ae4fdd598, 0x0e9296cb25138cb2,
  0xe2029e4afdcd0ccb, 0x000000000014d3c6,
};

/*
 * m169a_swio13_lednop_pr_ee_ce_u4   m169p_swio13_lednop_pr_ee_ce_u4   m169pa_swio13_lednop_pr_ee_ce_u4
 * m165_swio13_lednop_pr_ee_ce_u4    m165a_swio13_lednop_pr_ee_ce_u4   m165p_swio13_lednop_pr_ee_ce_u4
 * m165pa_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xb3a504527fd8aecf, 0xca17070525c5f547, 0x886c2445f71258f3,
  0xc67afd6afd47c25f, 0x3b5b9b7be678bb8d, 0x660cf5f51e5650e5, 0x450298ad82fa8f83, 0xd185962291669d68,
  0x73abb74871d484d7, 0xb1d79d376ee91828, 0x2289b91e45b1aaf1, 0x6470decb65cc5c24, 0x5a96622934a8d822,
  0xee719cc5076bcb95, 0xf5537d9cea2a551a, 0x8735c0809caed52d, 0x579621a572497f48, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x8b3c95fb9a19961d,
  0x00000004fc07936e,
};

/*
 * m169a_swio13_lednop_hw            m169p_swio13_lednop_hw            m169pa_swio13_lednop_hw
 * m165_swio13_lednop_hw             m165a_swio13_lednop_hw            m165p_swio13_lednop_hw
 * m165pa_swio13_lednop_hw
 */
static const uint64_t ur_m169_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xff0e3cfc069827c6, 0xe4877cb7492821ef, 0x4c638e9fc1f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x54aa35dce3398a0e, 0x5daa5beaa6fb39d4, 0x92fe910e6b810139,
  0xed5688af2c434ae4, 0x96bca70173a03cb9, 0xfa2810b4ac22617a, 0xcdb4e31bc67440a2, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x0008e2fafb053c95,
};

/*
 * m169a_swio13_lednop_ee_hw         m169p_swio13_lednop_ee_hw         m169pa_swio13_lednop_ee_hw
 * m165_swio13_lednop_ee_hw          m165a_swio13_lednop_ee_hw         m165p_swio13_lednop_ee_hw
 * m165pa_swio13_lednop_ee_hw
 */
static const uint64_t ur_m169_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0xb46fe4a09c1ffa14, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0x8a0ed7972ab50084, 0x39d454aa35dce339, 0x01395daa5beaa6fb, 0x4ae492fe910e6b81,
  0xaeb9ed5688af2c43, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6815156f62aa8b49, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x02df9a9ca29e4afd,
};

/*
 * m169a_swio13_lednop_ce_hw         m169p_swio13_lednop_ce_hw         m169pa_swio13_lednop_ce_hw
 * m165_swio13_lednop_ce_hw          m165a_swio13_lednop_ce_hw         m165p_swio13_lednop_ce_hw
 * m165pa_swio13_lednop_ce_hw
 */
static const uint64_t ur_m169_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x905b2bbc9dd69df6, 0xe8533e35a609f180, 0x75c5f5dbf283a6ff, 0xf71258f3ca170736, 0xfd47c25f886c2445,
  0x64cf1771b9cb4cdf, 0x9ef51e719ee58cfd, 0x014c79eb1c74fe0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x1aee719cc5076bcb, 0x2df5537d9cea2a55, 0x488735c0809caed5, 0x44579621a572497f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b681463b7, 0xc2a73f505d8dc79b,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x000000003acd8056,
};

/*
 * m169_swio13_lednop_ee_ce_u4_hw    m169a_swio13_lednop_ee_ce_hw      m169a_swio13_lednop_ee_ce_u4_hw
 * m169p_swio13_lednop_ee_ce_hw      m169p_swio13_lednop_ee_ce_u4_hw   m169pa_swio13_lednop_ee_ce_hw
 * m169pa_swio13_lednop_ee_ce_u4_hw  m165_swio13_lednop_ee_ce_hw       m165_swio13_lednop_ee_ce_u4_hw
 * m165a_swio13_lednop_ee_ce_hw      m165a_swio13_lednop_ee_ce_u4_hw   m165p_swio13_lednop_ee_ce_hw
 * m165p_swio13_lednop_ee_ce_u4_hw   m165pa_swio13_lednop_ee_ce_hw     m165pa_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0x47b3a504527fd0a6, 0xf3ca17070525c5f5, 0x5f886c2445f71258,
  0xe373ce5d4efd47c2, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0x5a1140a62b60bea3, 0x35f4616588a459a7,
  0x0a1ceaedd21c7521, 0xbc6c75e74ddbba46, 0x0908a26e47916c6a, 0x08991c37b2d97317, 0xe556a5988a4d2a36,
  0x46bb9c673141daf2, 0x4b7d54df673a8a95, 0xd221cd7020272bb5, 0xd115e588695c925f, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xe8a792bf734332c3, 0x00000000028081e4,
};

/*
 * m169_swio13_dual_pr               m169_swio13_dual_pr_u4            m169a_swio13_dual
 * m169a_swio13_dual_pr              m169a_swio13_dual_pr_u4           m169p_swio13_dual
 * m169p_swio13_dual_pr              m169p_swio13_dual_pr_u4           m169pa_swio13_dual
 * m169pa_swio13_dual_pr             m169pa_swio13_dual_pr_u4          m165_swio13_dual
 * m165_swio13_dual_pr               m165_swio13_dual_pr_u4            m165a_swio13_dual
 * m165a_swio13_dual_pr              m165a_swio13_dual_pr_u4           m165p_swio13_dual
 * m165p_swio13_dual_pr              m165p_swio13_dual_pr_u4           m165pa_swio13_dual
 * m165pa_swio13_dual_pr             m165pa_swio13_dual_pr_u4
 */
static const uint64_t ur_m169_swio13_dual[] = {
  0xa7bbbbbb44869a4e, 0x7e276fc75e10cdaf, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b77e99,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0x775b40c894948ba1, 0x12e20614306d2303, 0xcce4ff32addcee9f,
  0x7a8efe6c17d9c0a2, 0x04508e489fc19953, 0xdc3e144312bfcfdf, 0xcaaeef77cdc80000, 0xad68a8432d08c910,
  0x096dca1ffd01cf09, 0xeff735e60b0de579, 0x1f6f9df2cf7ca0fe, 0xd1ee38e9fc1c1ff5, 0xe21398b01541e64a,
  0xecc11d78033b6948, 0x7967b698c64a807f, 0xc55f3bb8a92e04a0, 0x398a0ed7972ab59f, 0xfb39d454aa35dce3,
  0x8101395daa5beaa6, 0x434ae492fe910e6b, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b6815156f62aa8b, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000a49ef056e8b3c,
};

/*
 * m169a_swio13_dual_pr_ee           m169p_swio13_dual_pr_ee           m169pa_swio13_dual_pr_ee
 * m165_swio13_dual_pr_ee            m165a_swio13_dual_pr_ee           m165p_swio13_dual_pr_ee
 * m165pa_swio13_dual_pr_ee
 */
static const uint64_t ur_m169_swio13_dual_pr_ee[] = {
  0x00addddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0x4f59198f6d9beec7, 0xf700faabc99bd701,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x1030a18369181bba, 0x3ff9956ee774f897,
  0xc9d6c12d1c02d4c6, 0x239227f0715a6f51, 0x8510c4aff3f7c114, 0xef77cdceeb00370f, 0x50865a0bed10caae,
  0x3b7ff4073c260f71, 0xaf30586f2bc84b6f, 0xd68dc9ca0f4fffb9, 0x071efd4795e9b9aa, 0x877c57b3bd47c1b3,
  0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8, 0x65f4b3170908a0f5,
  0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0x3398a0ed7972ab59, 0x6fb39d454aa35dce, 0xb8101395daa5beaa,
  0xc434ae492fe910e6, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0x8b1e70dc79b09732, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x003214b1fdba2cf2,
};

/*
 * m169a_swio13_dual_pr_ee_u4        m169p_swio13_dual_pr_ee_u4        m169pa_swio13_dual_pr_ee_u4
 * m165_swio13_dual_pr_ee_u4         m165a_swio13_dual_pr_ee_u4        m165p_swio13_dual_pr_ee_u4
 * m165pa_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m169_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b402, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5c053d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0x06d2303775b40c89, 0x6fcee9f12e206143,
  0xd1c02d4c63ff9969, 0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc,
  0x73c260f7150865a0, 0xf2bc84b6f3b7ff40, 0x83d3fff8fc330586, 0xe57a6e6ab5a37272, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0x76a96faa9bece751,
  0x4bfa4439ae0404e5, 0xb55a22bcb10d2b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x1e6c25ccbe6da054, 0xf6ec68b1be2e4d5c, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x374f257ee6866587, 0x00000002b225b4f2,
};

/*
 * m169a_swio13_dual_pr_ce           m169p_swio13_dual_pr_ce           m169pa_swio13_dual_pr_ce
 * m165_swio13_dual_pr_ce            m165a_swio13_dual_pr_ce           m165p_swio13_dual_pr_ce
 * m165pa_swio13_dual_pr_ce
 */
static const uint64_t ur_m169_swio13_dual_pr_ce[] = {
  0x95bbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a50,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0xeeb68191292902a8, 0x25c40c2860da4606, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0xabbbddf37011200d, 0x7c542196807b4432,
  0x6dffe7fd01cf0982, 0xf735e60b0de57909, 0x5f717d6034a093af, 0xfb892c79e50b839d, 0xfea3e12fc4361222,
  0x9733c5dc6e759b21, 0x45f51e449ee58cfa, 0x017f71951c74fe0c, 0x8033b6948e21398b, 0x8c64a807feccf1d7,
  0xe2a4b81281e5adc9, 0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0x76a96faa9bece751, 0x4bfa4439ae0404e5,
  0xb55a22bcb10d2b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3,
  0xbf83bb8d165abc6e, 0x8d2861539fa9d599, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x00d242b537459e4a,
};

/*
 * m169a_swio13_dual_pr_ce_u4        m169p_swio13_dual_pr_ce_u4        m169pa_swio13_dual_pr_ce_u4
 * m165_swio13_dual_pr_ce_u4         m165a_swio13_dual_pr_ce_u4        m165p_swio13_dual_pr_ce_u4
 * m165pa_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m169_swio13_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x0bc9d4cca76f5d84, 0x2d4e900d57efdeec,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0xc0ddd6d032252522, 0xa7c4b881850c1b48, 0xd373456fccab773b,
  0x39bd47cadb0df670, 0xdf04508e489fc194, 0x00dc3e144312bfcf, 0x21955ddeef9b8c86, 0x269c62a10cb4027a,
  0xc84b6e337ff4073c, 0xe0ffb9af30586f2b, 0x073025c5f532a504, 0x2445f71258f3ca17, 0x8b91fd47c25f886c,
  0x19e1c6678bb8dc4a, 0xfc1935ea3ce33dcb, 0x398b014ca9ba38e9, 0x78ebc8b765ae8e32, 0xb8a928ead6dc72c6,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x5daa5beaa6fb39d4, 0x92fe910e6b810139, 0xed5688af2c434ae4,
  0x594d8b3a03cfd6b9, 0x3182169ab9d5ea58, 0x6d38c6f19d10273e, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x003490216dd16792,
};

/*
 * m169a_swio13_dual_pr_ee_ce        m169p_swio13_dual_pr_ee_ce        m169pa_swio13_dual_pr_ee_ce
 * m165_swio13_dual_pr_ee_ce         m165a_swio13_dual_pr_ee_ce        m165p_swio13_dual_pr_ee_ce
 * m165pa_swio13_dual_pr_ee_ce
 */
static const uint64_t ur_m169_swio13_dual_pr_ee_ce[] = {
  0x5b2b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c9765,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0x030a18369181bbad, 0x9f9956ee774f8971,
  0xff3601a0e1a6a67f, 0x39227f07d3f37a8f, 0x510c4aff3f7c1142, 0xeef9b830b80370f8, 0x10cb40e1a21955dd,
  0xbbfe80e784ce4e2a, 0xe60b0de579096df1, 0x51b059419dbff735, 0xf9e50b8393b677fd, 0x66139dc6e0224c03,
  0x8f2b53d29dacac88, 0x027a8f83660c27fa, 0x91669d68450298af, 0x51d484d7d1859622, 0x63291ce273abb717,
  0x5ec6abc6c75ed627, 0x7c62e121144be46b, 0x4b8c47c32386f65c, 0xcaad67f157ceee2a, 0x8d7738ce6283b5e5,
  0x96faa9bece75152a, 0xa4439ae0404e576a, 0xa22bcb10d2b924bf, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0x84b997cdb40a31db, 0x0eee3458f386e3cd, 0xcf4c2b93f75666fe, 0xa4a5b3e04e32c970,
  0xd16792bf734332c3, 0x000000002608a9cd,
};

/*
 * m169a_swio13_dual_pr_ee_ce_u4     m169p_swio13_dual_pr_ee_ce_u4     m169pa_swio13_dual_pr_ee_ce_u4
 * m165_swio13_dual_pr_ee_ce_u4      m165a_swio13_dual_pr_ee_ce_u4     m165p_swio13_dual_pr_ee_ce_u4
 * m165pa_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d6fd, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x437713b7eec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0x606eeb6819129291, 0xd3e25c40c2860da4,
  0xc39b96bf32d2df9d, 0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x2abbbddf37138f00,
  0x7dc5421968472443, 0x2db9257fd01cf09b, 0xfe3f0cc161bcaf21, 0x717d51f57ca0cc37, 0xc4963cf285e7730d,
  0x51f097e21b09117d, 0x9e2ee37138fee3ff, 0x95efb94ed6e6e6e9, 0x5ea3e0d98332bd47, 0x59a75a1140a62bb7,
  0x752135f4616588a4, 0xfc47d41ceaedca78, 0x2c6abc6c75ea25d9, 0x598b8484507aa3f9, 0xaa3608991c37b2fa,
  0x7ceee2a4a598f9bd, 0x283b5e5caad67f15, 0xe75152a8d7738ce6, 0x04e576a96faa9bec, 0x2b924bfa4439ae04,
  0xbae7b55a22bcb10d, 0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb,
  0x7f07edd8d1637c5c, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x17e46e9e4afdcd0c, 0x0000000000100010,
};

/*
 * m169a_swio13_dual_hw              m169p_swio13_dual_hw              m169pa_swio13_dual_hw
 * m165_swio13_dual_hw               m165a_swio13_dual_hw              m165p_swio13_dual_hw
 * m165pa_swio13_dual_hw
 */
static const uint64_t ur_m169_swio13_dual_hw[] = {
  0x4f777776890d365a, 0xfc4edf8ebc219b5f, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0x7b2c51a9b16efd32,
  0x792b43bb227af7a5, 0xa1cc13e30120b657, 0x03775b40c894948b, 0x9f12e20614306d23, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x10caaeef77cdc800, 0x09ad68a8432d08c9,
  0x79096dca1ffd01cf, 0xfddffea4660b0de5, 0xea3edf3be59ef941, 0x95a3dc71d3f8383f, 0x91c42731602a83cc,
  0xffd9823af00676d2, 0x40f2cf6d318c9500, 0x3f8abe7771525c09, 0xc673141daf2e556b, 0x4df673a8a9546bb9,
  0xd7020272bb54b7d5, 0x588695c925fd221c, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20,
  0x5f36d02a2adec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00006375de0b453c,
};

/*
 * m169a_swio13_dual_ee_hw           m169p_swio13_dual_ee_hw           m169pa_swio13_dual_ee_hw
 * m165_swio13_dual_ee_hw            m165a_swio13_dual_ee_hw           m165p_swio13_dual_ee_hw
 * m165pa_swio13_dual_ee_hw
 */
static const uint64_t ur_m169_swio13_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0x47c4edf8d4c9b368, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdeb80a,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0x75b40c89494874ea, 0x2e20614306d23037, 0x8c7ff32addcee9f1,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b9dd6006e, 0xe2a10cb417da2195,
  0xde76ffe80e784c1e, 0xea4660b0de579096, 0xab5a3727283d3fff, 0xcc1c7bf51e57a6e6, 0x8a1df15ecef51f06,
  0xa30b2c4522cd3ad0, 0x2ea797152e6909af, 0xa25d9fc47d41cead, 0xd51fc96355ae875e, 0xbd97d2cc5c242283,
  0x0f9bdaa3608fd6e1, 0x67f157ceee2a4a01, 0x38ce6283b5e5caad, 0xa9bece75152a8d77, 0x9ae0404e576a96fa,
  0xcb10d2b924bfa443, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0xcbe6da05455bd8aa,
  0x7ea5eae371e6c25c, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0x5dab1fe8a792bf73, 0x0000000000000001,
};

/*
 * m169a_swio13_dual_ce_hw           m169p_swio13_dual_ce_hw           m169pa_swio13_dual_ce_hw
 * m165_swio13_dual_ce_hw            m165a_swio13_dual_ce_hw           m165p_swio13_dual_ce_hw
 * m165pa_swio13_dual_ce_hw
 */
static const uint64_t ur_m169_swio13_dual_ce_hw[] = {
  0x452b777776890c86, 0x707c4edf9e3eb89b, 0xef5c2f767120a477, 0xa0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9312eeeec6ecd, 0x0aa2609f180905b2, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x0e0cdd5ff9956ee7,
  0xba6f51f676c2391c, 0xf7c114239227f072, 0x80370f8510c4aff3, 0x10caaeef77cdc044, 0x2609f150865a01ed,
  0xe425b7ff9ff4073c, 0x9d7ffa91982c3795, 0x1ceafb8beb01a504, 0x9117dc4963cf285c, 0x492bf51f097e21b0,
  0x67d4b99e2ee372e4, 0xf0622fa8f224f72c, 0xcc580bfb8ca8e3a7, 0x8ebc019db4a47109, 0x6e4c6325403ff667,
  0xe7771525c0940f2d, 0x41daf2e556b3f8ab, 0x3a8a9546bb9c6731, 0x272bb54b7d54df67, 0x5c925fd221cd7020,
  0xd73daad115e58869, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0x6371e6c25ccbe6da,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x9ba95aa8a792bf73, 0x0000000000000000,
};

/*
 * m169a_swio13_dual_ee_ce_hw        m169p_swio13_dual_ee_ce_hw        m169pa_swio13_dual_ee_ce_hw
 * m165_swio13_dual_ee_ce_hw         m165a_swio13_dual_ee_ce_hw        m165p_swio13_dual_ee_ce_hw
 * m165pa_swio13_dual_ee_ce_hw
 */
static const uint64_t ur_m169_swio13_dual_ee_ce_hw[] = {
  0x821eeeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a10d2,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x0614306d2303775b, 0xff32addcee9f12e2,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xeef9b8164006e1f0, 0x10cb4182a21955dd,
  0x0ffe80e784d21e2a, 0x660b0de579096def, 0xa395d2835bfffea4, 0xf3ca17072b7ceffa, 0xa6139dc6e747d493,
  0x8f2bdf729dacac9b, 0x6ebd47c1b306657a, 0x48b34eb422814c57, 0xf0ea426be8c2cb11, 0xb3f88fa839d5db94,
  0xf258d578d8ebd44b, 0xf4b3170908a0f547, 0x7b546c1132386f65, 0x2af9ddc5494b31f3, 0xcc5076bcb955acfe,
  0xd9cea2a551aee719, 0x0809caed52df5537, 0x1a572497f488735c, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb681463b7b15545a, 0x3fb0dc79b09732f9, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x22698e2e8a792bf7,
};

/*
 * m169a_swio13_dual_ee_ce_u4_hw     m169p_swio13_dual_ee_ce_u4_hw     m169pa_swio13_dual_ee_ce_u4_hw
 * m165_swio13_dual_ee_ce_u4_hw      m165a_swio13_dual_ee_ce_u4_hw     m165p_swio13_dual_ee_ce_u4_hw
 * m165pa_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0xe276fccc54626d6f, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4edfbb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0x4306d2303775b40c, 0x2ec24ee9f12e2061,
  0x1d8270bc39b96bf3, 0xfe0daee6f51f1bb6, 0x95fe7ef822847244, 0x7138f006e1f0a218, 0x84724432abbbddf3,
  0x01cf09b7dc542196, 0x1bcaf212db9257fd, 0x941986ff67a1cc16, 0x307261ae2faa3eaf, 0x1222fb892c79e37c,
  0xf1f77ea3e12fc436, 0xcdcdd33c5dc6e70f, 0x657a8f2bdf729dad, 0x4c576ebd47c1b306, 0xcb1148b34eb42281,
  0xdb94f0ea426be8c2, 0xd44bb3f88fa839d5, 0xf547f258d578d8eb, 0x6f65f4b3170908a0, 0x31f37b546c113238,
  0xacfe2af9ddc5494b, 0xe719cc5076bcb955, 0x5537d9cea2a551ae, 0x735c0809caed52df, 0x79621a572497f488,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00003aeb346e0be9,
};

/*
 * m169a_swio14_noled                m169p_swio14_noled                m169pa_swio14_noled
 * m165_swio14_noled                 m165a_swio14_noled                m165p_swio14_noled
 * m165pa_swio14_noled
 */
static const uint64_t ur_m169_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xefd0f3f1ee609f18, 0x989df2dd04a0f75f, 0xf91c74fe0ebffa8e, 0x9e398b016f74c800,
  0xb1823af173b7488c, 0xbcb955a95821f71c, 0xa551aee719cc5076, 0x372bb54b7d59cea2, 0xd2b63f7f4887359d,
  0xf5ae7b55a22bcb10, 0x53a9c0594a9f4ef3, 0x047978a042d2c2e7, 0xccbe6da718de33a2, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x0000002a4b76b8f9,
};

/*
 * m169_swio14_noled_pr_u4           m169a_swio14_noled_pr             m169a_swio14_noled_pr_u4
 * m169p_swio14_noled_pr             m169p_swio14_noled_pr_u4          m169pa_swio14_noled_pr
 * m169pa_swio14_noled_pr_u4         m165_swio14_noled_pr              m165_swio14_noled_pr_u4
 * m165a_swio14_noled_pr             m165a_swio14_noled_pr_u4          m165p_swio14_noled_pr
 * m165p_swio14_noled_pr_u4          m165pa_swio14_noled_pr            m165pa_swio14_noled_pr_u4
 */
static const uint64_t ur_m169_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xf31f304f8c0482d9, 0x6dee5076fff9e059, 0x3f8326bd47050ef9, 0x80b2ca60f680471d,
  0xe8f9d93146229cc5, 0xac4f2a01ffb30475, 0xcaad508981e59edd, 0x8d7738ce6283b5e5, 0x5daa5beace75152a,
  0xb1fbfa4439ace9b9, 0x73daad115e588695, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6,
  0x6ae0f3612e65f36d, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0xb82c4053c95fb9a1, 0x0000000000007c9a,
};

/*
 * m169a_swio14_noled_pr_ee          m169p_swio14_noled_pr_ee          m169pa_swio14_noled_pr_ee
 * m165_swio14_noled_pr_ee           m165a_swio14_noled_pr_ee          m165p_swio14_noled_pr_ee
 * m165pa_swio14_noled_pr_ee
 */
static const uint64_t ur_m169_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x7ca0eceff3c0b3e7, 0xd47959759aad68cc, 0xb297ea3e0d983ea3,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xaa3f90e75697726b, 0xb1aad743af3a6ec7, 0xe62e121144428f7b,
  0xa8d823f5b86f65b2, 0x6bcb955a805d073c, 0x2a551aee719cc507, 0xd372bb54b7d59cea, 0x0d2b63f7f4887359,
  0x16bae7b55a22bcb1, 0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xe6db0862adec5551, 0xe2e4d5c1e6c25ccb,
  0x5663c81f943459d3, 0xf989fca1854e7ea7, 0xf04d0f327f8b9c65, 0x70cf4c2b93f1cf7f, 0xc3a4a5b3e04e32c9,
  0xa880a792bf734332, 0x000000000004ebc0,
};

/*
 * m169a_swio14_noled_pr_ee_u4       m169p_swio14_noled_pr_ee_u4       m169pa_swio14_noled_pr_ee_u4
 * m165_swio14_noled_pr_ee_u4        m165a_swio14_noled_pr_ee_u4       m165p_swio14_noled_pr_ee_u4
 * m165pa_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m169_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0xdf94195dfe78167f, 0xfa8f2bf9d355ad1e, 0x56e97d47c1b30738,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0xf91ad739d5a5d7da, 0x8d56ba1d7aea6ed2, 0x3170908a07c47d25,
  0xb8e83eb70decb872, 0xc673141daf2e556a, 0xdf5673a8a9546bb9, 0xd221cd674dcaed52, 0x688af2c434ad8fdf,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x9b09732f9b6c218a, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x029e4afdcd0ccb0e, 0x000000004eba6822,
};

/*
 * m169_swio14_noled_pr_ce_u4        m169a_swio14_noled_pr_ce          m169a_swio14_noled_pr_ce_u4
 * m169p_swio14_noled_pr_ce          m169p_swio14_noled_pr_ce_u4       m169pa_swio14_noled_pr_ce
 * m169pa_swio14_noled_pr_ce_u4      m165_swio14_noled_pr_ce           m165_swio14_noled_pr_ce_u4
 * m165a_swio14_noled_pr_ce          m165a_swio14_noled_pr_ce_u4       m165p_swio14_noled_pr_ce
 * m165p_swio14_noled_pr_ce_u4       m165pa_swio14_noled_pr_ce         m165pa_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m169_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0x67f4dcc13e30120b, 0x7d7ba941cadfe781, 0x4b1e78c953b95d71, 0xf84bf10d8488bee2,
  0xf1771b8c87495fa8, 0x51d7c9ee58cfd64c, 0xbf2fa38e9fc1acff, 0xec98a3114e62c05d, 0x9500ffd99e3af47c,
  0xaa11303cb5bad627, 0xe719cc5076bcb955, 0x4b7d59cea2a551ae, 0x7f4887359d372bb5, 0x55a22bcb10d2b63f,
  0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x3cd84b997cdb6109, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x1014f257ee686658, 0x0000000006eba45f,
};

/*
 * m169a_swio14_noled_pr_ee_ce       m169p_swio14_noled_pr_ee_ce       m169pa_swio14_noled_pr_ee_ce
 * m165_swio14_noled_pr_ee_ce        m165a_swio14_noled_pr_ee_ce       m165p_swio14_noled_pr_ee_ce
 * m165pa_swio14_noled_pr_ee_ce
 */
static const uint64_t ur_m169_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x5d650466ffcf02cf, 0xc64a9d8cd9dff546, 0x139dc6e339747ff3,
  0x2b90f29dacac7be6, 0xfd47c1b307a57a8f, 0xb34eb422814c5670, 0xea426be8c2cb1148, 0xea8fe439d5db9c98,
  0xd8d578d8ebce9bb1, 0x73170908a22147bd, 0x2a3608991c37b2d9, 0xdaf2e556a59f41cf, 0x8a9546bb9c673141,
  0x74dcaed52df5673a, 0x434ad8fdfd221cd6, 0xc5aeb9ed5688af2c, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440,
  0xf36d84263b7b1554, 0x1e71726ae3612e65, 0x7eeacc7903f2868b, 0x89c6592e19e98572, 0xe6866587494b6592,
  0xa698bf71014f257e,
};

/*
 * m169a_swio14_noled_pr_ee_ce_u4    m169p_swio14_noled_pr_ee_ce_u4    m169pa_swio14_noled_pr_ee_ce_u4
 * m165_swio14_noled_pr_ee_ce_u4     m165a_swio14_noled_pr_ee_ce_u4    m165p_swio14_noled_pr_ee_ce_u4
 * m165pa_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x149304f8c0482d95, 0x9b941adfffb15d9f, 0x50b8395bf717d51e, 0x4361222fb892c79e,
  0x1dbb0b27ea3e12fc, 0xed6e6def99e2ee37, 0x983d2bd4795c8794, 0x140a62b387ea3e0d, 0x4616588a459a75a1,
  0xceaedce4c752135f, 0xc75e74dd8f547f21, 0x45110a3deec6abc6, 0xc8e1bd96cb98b848, 0xb52cfa0e7951b044,
  0xdce3398a0ed7972a, 0xa96fab39d454aa35, 0xefe910e6b3a6e576, 0x6ab44579621a56c7, 0xa53c34ef3e2d75cf,
  0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27, 0xc79b09732f9b6c21, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x0f576e8b3c95fb9a,
  0x000000000000027e,
};

/*
 * m169a_swio14_noled_hw             m169p_swio14_noled_hw             m169pa_swio14_noled_hw
 * m165_swio14_noled_hw              m165a_swio14_noled_hw             m165p_swio14_noled_hw
 * m165pa_swio14_noled_hw
 */
static const uint64_t ur_m169_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfc38f3f1ee609f18, 0x4c4ef96e82507baf, 0x7c8e3a7f075ffd47, 0x4f1cc580b7ba6400,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0x52a8d7738ce6283b, 0x9b95daa5beace751, 0x695b1fbfa4439ace,
  0xfad73daad115e588, 0xa9d4e02ca54fa779, 0x023cbc5021696173, 0xe65f36d38c6f19d1, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x00000011c56eec14,
};

/*
 * m169a_swio14_noled_ee_hw          m169p_swio14_noled_ee_hw          m169pa_swio14_noled_ee_hw
 * m165_swio14_noled_ee_hw           m165a_swio14_noled_ee_hw          m165p_swio14_noled_ee_hw
 * m165pa_swio14_noled_ee_hw
 */
static const uint64_t ur_m169_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0x6b4663e507677fd0, 0xc1f51ea3cacbacd5, 0xa1df1594bf51f06c,
  0x30b2c4522cd3ad08, 0xbb935c6b26909afa, 0xd3763d51fc873ab4, 0x147bdd8d56ba1d79, 0x7b2d973170908a22,
  0xe839e546c11fadc3, 0xe6283b5e5caad402, 0xace75152a8d7738c, 0x439ace9b95daa5be, 0x15e588695b1fbfa4,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x12e65f36d843156f, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x0000000005bff9a7,
};

/*
 * m169a_swio14_noled_ce_hw          m169p_swio14_noled_ce_hw          m169pa_swio14_noled_ce_hw
 * m165_swio14_noled_ce_hw           m165a_swio14_noled_ce_hw          m165p_swio14_noled_ce_hw
 * m165pa_swio14_noled_ce_hw
 */
static const uint64_t ur_m169_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x482d95de4ee94e1e, 0xf4299fd37304f8c0, 0x5d717d7ba941cadf, 0x7dc4963cf285c1c9, 0xff51f097e21b0911,
  0xac99e2ee373b06f0, 0x59fea3af93dcb19f, 0x80bb7e5f471d3f83, 0xe8f9d93146229cc5, 0xac4f2a01ffb33c75,
  0x72ab542260796b75, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x6c7efe910e6b3a6e, 0x5cf6ab44579621a5,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x59b27e1a29e4afdc,
  0x0000000000000007,
};

/*
 * m169_swio14_noled_ee_ce_u4_hw     m169a_swio14_noled_ee_ce_hw       m169a_swio14_noled_ee_ce_u4_hw
 * m169p_swio14_noled_ee_ce_hw       m169p_swio14_noled_ee_ce_u4_hw    m169pa_swio14_noled_ee_ce_hw
 * m169pa_swio14_noled_ee_ce_u4_hw   m165_swio14_noled_ee_ce_hw        m165_swio14_noled_ee_ce_u4_hw
 * m165a_swio14_noled_ee_ce_hw       m165a_swio14_noled_ee_ce_u4_hw    m165p_swio14_noled_ee_ce_hw
 * m165p_swio14_noled_ee_ce_u4_hw    m165pa_swio14_noled_ee_ce_hw      m165pa_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0xa8f4dca0d6fffd0a, 0x3cf285c1cadfb8be, 0x97e21b09117dc496,
  0xe370dbb0a47f51f0, 0x794ed6e6def99e2e, 0xe0d983d2bd4795c8, 0x5a1140a62b387ea3, 0x35f4616588a459a7,
  0xf21ceaedce4c7521, 0xbc6c75e74dd8f547, 0x84845110a3deec6a, 0x044c8e1bd96cb98b, 0x72ab52cfa0e7951b,
  0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x6c7efe910e6b3a6e, 0x5cf6ab44579621a5, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x5010f57a29e4afdc,
};

/*
 * m169a_swio14_lednop               m169p_swio14_lednop               m169pa_swio14_lednop
 * m165_swio14_lednop                m165a_swio14_lednop               m165p_swio14_lednop
 * m165pa_swio14_lednop
 */
static const uint64_t ur_m169_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfefd0f3f01a609f1, 0xf243be5ba09410f7, 0x4c638e9fc1d7ff51, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x54aa35dce3398a0e, 0xa6e576a96fab39d4, 0x2fb1e910e6b81013,
  0xcf6ab44579621a57, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0xcdb4e31bc67440a2, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x000a93ebd71f3c95,
};

/*
 * m169_swio14_lednop_pr_u4          m169a_swio14_lednop_pr            m169a_swio14_lednop_pr_u4
 * m169p_swio14_lednop_pr            m169p_swio14_lednop_pr_u4         m169pa_swio14_lednop_pr
 * m169pa_swio14_lednop_pr_u4        m165_swio14_lednop_pr             m165_swio14_lednop_pr_u4
 * m165a_swio14_lednop_pr            m165a_swio14_lednop_pr_u4         m165p_swio14_lednop_pr
 * m165p_swio14_lednop_pr_u4         m165pa_swio14_lednop_pr           m165pa_swio14_lednop_pr_u4
 */
static const uint64_t ur_m169_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xafb9827c602416ca, 0x6f72831effcf02cf, 0xfc1935ea3a0077cb, 0x02cb299fcea238e9,
  0x47ced92231be7316, 0xfe91500ffd9823af, 0xaad65da81e59edc1, 0xd7738ce6283b5e5c, 0xdaa5beace75152a8,
  0xa4439ae0404e9b95, 0xd115e588695cbec7, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0x612e65f36d8c62ad, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x000000f93390fc40,
};

/*
 * m169a_swio14_lednop_pr_ee         m169p_swio14_lednop_pr_ee         m169pa_swio14_lednop_pr_ee
 * m165_swio14_lednop_pr_ee          m165a_swio14_lednop_pr_ee         m165p_swio14_lednop_pr_ee
 * m165pa_swio14_lednop_pr_ee
 */
static const uint64_t ur_m169_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0x8f9411adfe78167d, 0x7a8f2b60b355ad19, 0x56a7bd47c1b307d4,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x4447371cead2ee95, 0x56355ae875e74dda, 0x5cc5c242285f11c6,
  0x951b047eb70decb6, 0xed7972ab500ad627, 0x454aa35dce3398a0, 0x3a6e576a96fab39d, 0x72fb1e910e6b8101,
  0x5cf6ab44579621a5, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482, 0xab83cd84b997cdb6,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e64ff1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000000275cc9101,
};

/*
 * m169a_swio14_lednop_pr_ee_u4      m169p_swio14_lednop_pr_ee_u4      m169pa_swio14_lednop_pr_ee_u4
 * m165_swio14_lednop_pr_ee_u4       m165a_swio14_lednop_pr_ee_u4      m165p_swio14_lednop_pr_ee_u4
 * m165pa_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x3dbf28235bfcf02c, 0x71f51e5721e6ab5a, 0xf8aff77a8f83660e,
  0x962291669d68450e, 0x65c5133484d7d185, 0x6c911a6273ab4bc0, 0x5ac6ab5d0ebd7537, 0x723170908a20fa3b,
  0xd57182feb70decb8, 0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0x439ae0404e9b95da, 0x15e588695cbec7a4,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d1028be8a042, 0x0f3612e65f36d38c, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xc4053c95fb9a1996, 0x00000000013ae917,
};

/*
 * m169_swio14_lednop_pr_ce_u4       m169a_swio14_lednop_pr_ce         m169a_swio14_lednop_pr_ce_u4
 * m169p_swio14_lednop_pr_ce         m169p_swio14_lednop_pr_ce_u4      m169pa_swio14_lednop_pr_ce
 * m169pa_swio14_lednop_pr_ce_u4     m165_swio14_lednop_pr_ce          m165_swio14_lednop_pr_ce_u4
 * m165a_swio14_lednop_pr_ce         m165a_swio14_lednop_pr_ce_u4      m165p_swio14_lednop_pr_ce
 * m165p_swio14_lednop_pr_ce_u4      m165pa_swio14_lednop_pr_ce        m165pa_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0x167e394c13e30120, 0x17d7ba941b75fe78, 0x24b1e78c953bd377, 0x8f84bf10d8488bee,
  0xcf1771b8495951fa, 0xea3cbe9ee58cfd64, 0x8f7a5471d3f8359f, 0x9db244637ce62c05, 0x22a01ffb33c75e8f,
  0x6b2ed40f2d6e83fd, 0xb9c673141daf2e55, 0x52df5673a8a9546b, 0x21cd7020274dcaed, 0x8af2c434ae5f63d2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00000dd7085c4053,
};

/*
 * m169a_swio14_lednop_pr_ee_ce      m169p_swio14_lednop_pr_ee_ce      m169pa_swio14_lednop_pr_ee_ce
 * m165_swio14_lednop_pr_ee_ce       m165a_swio14_lednop_pr_ee_ce      m165p_swio14_lednop_pr_ee_ce
 * m165pa_swio14_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0x9759410d1fe78167, 0x78c953b0d077fd51, 0x84e771b8d07044fe,
  0xcaca5ca76b2b1ef9, 0x3f51f06cc1e95ea3, 0x2cd3ad08a0531594, 0x3a909afa30b2c452, 0x22239b8e7576e74a,
  0x56355e363af3a6ed, 0x5cc5c242285f11c6, 0xca8d8226470decb6, 0x76bcb955a9676b13, 0xa2a551aee719cc50,
  0x9d372bb54b7d59ce, 0xb97d8f488735c080, 0xae7b55a22bcb10d2, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x3131dbd8aaa2d241, 0xc9ab8d84b997cdb6, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0xc7c4053c95fb9a19, 0x0000000000029a6d,
};

/*
 * m169a_swio14_lednop_pr_ee_ce_u4   m169p_swio14_lednop_pr_ee_ce_u4   m169pa_swio14_lednop_pr_ee_ce_u4
 * m165_swio14_lednop_pr_ee_ce_u4    m165a_swio14_lednop_pr_ee_ce_u4   m165p_swio14_lednop_pr_ee_ce_u4
 * m165pa_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xb06609f180905b2b, 0x6e5050fbfec5767f, 0x42e0e21f5c5f547a, 0x0d8488bee24b1e79,
  0xc3fc7ddfa8f84bf1, 0x6b736f7ccf1771b9, 0xc1e95ea3caca5ca7, 0xa05315943f51f06c, 0x30b2c4522cd3ad08,
  0x7576e74a3a909afa, 0x3af3a6ed22239b8e, 0x285f11c656355e36, 0x470decb65cc5c242, 0xa9676b13ca8d8226,
  0xe719cc5076bcb955, 0x4b7d59cea2a551ae, 0x8735c0809d372bb5, 0x2bcb10d2b97d8f48, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x459e4afdcd0ccb0e,
  0x000000027e46a737,
};

/*
 * m169a_swio14_lednop_hw            m169p_swio14_lednop_hw            m169pa_swio14_lednop_hw
 * m165_swio14_lednop_hw             m165a_swio14_lednop_hw            m165p_swio14_lednop_hw
 * m165pa_swio14_lednop_hw
 */
static const uint64_t ur_m169_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0xf921df2dd04a087b, 0x2631c74fe0ebffa8, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x2a551aee719cc507, 0xd372bb54b7d59cea, 0x97d8f488735c0809,
  0xe7b55a22bcb10d2b, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0xe6da718de33a2051, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0004717d7d829e4a,
};

/*
 * m169a_swio14_lednop_ee_hw         m169p_swio14_lednop_ee_hw         m169pa_swio14_lednop_ee_hw
 * m165_swio14_lednop_ee_hw          m165a_swio14_lednop_ee_hw         m165p_swio14_lednop_ee_hw
 * m165pa_swio14_lednop_ee_hw
 */
static const uint64_t ur_m169_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0xb5a331f28235bfe8, 0x60fa8f51e56c166a, 0x50ef8ad4f7a8f836,
  0x185962291669d684, 0x5dd2ae3593484d7d, 0xe9bb4888e6e39d5a, 0xe238cac6ab5d0ebc, 0xbd96cb98b848450b,
  0x5ac4f2a3608fd6e1, 0x73141daf2e556a01, 0x5673a8a9546bb9c6, 0x7020274dcaed52df, 0xc434ae5f63d221cd,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00002df1a9ca29e4,
};

/*
 * m169a_swio14_lednop_ce_hw         m169p_swio14_lednop_ce_hw         m169pa_swio14_lednop_ce_hw
 * m165_swio14_lednop_ce_hw          m165a_swio14_lednop_ce_hw         m165p_swio14_lednop_ce_hw
 * m165pa_swio14_lednop_ce_hw
 */
static const uint64_t ur_m169_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x2416caef2775eb4e, 0xfa14cfc729827c60, 0x9bb8bebdd4a0dbaf, 0xbee24b1e7942e0e6, 0x9fa8f84bf10d8488,
  0xd64cf1771b930ccf, 0x59fea3cbe9ee58cf, 0xc058f7a5471d3f83, 0xe8f9db244637ce62, 0x3fd22a01ffb33c75,
  0xe556b2ed40f2d6e8, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0x3d221cd7020274dc, 0x5688af2c434ae5f6,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x05453c95fb9a1996,
  0x0000000000eb37df,
};

/*
 * m169_swio14_lednop_ee_ce_u4_hw    m169a_swio14_lednop_ee_ce_hw      m169a_swio14_lednop_ee_ce_u4_hw
 * m169p_swio14_lednop_ee_ce_hw      m169p_swio14_lednop_ee_ce_u4_hw   m169pa_swio14_lednop_ee_ce_hw
 * m169pa_swio14_lednop_ee_ce_u4_hw  m165_swio14_lednop_ee_ce_hw       m165_swio14_lednop_ee_ce_u4_hw
 * m165a_swio14_lednop_ee_ce_hw      m165a_swio14_lednop_ee_ce_u4_hw   m165p_swio14_lednop_ee_ce_hw
 * m165p_swio14_lednop_ee_ce_u4_hw   m165pa_swio14_lednop_ee_ce_hw     m165pa_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0xa3d3728287dff429, 0xf3ca170710fae2fa, 0x5f886c2445f71258,
  0x8dc575c617fd47c2, 0xe53b5b9b7be678bb, 0x83660f4af51e5652, 0x68450298aca1fa8f, 0xd7d185962291669d,
  0xdc73abb73a51d484, 0xf1b1d79d3769111c, 0x121142f88e32b1aa, 0x1132386f65b2e62e, 0xcaad4b3b589e546c,
  0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0x7a4439ae0404e9b9, 0xad115e588695cbec, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3a8a792bf734332c, 0x0000000000280a35,
};

/*
 * m169_swio14_dual_pr               m169_swio14_dual_pr_u4            m169a_swio14_dual
 * m169a_swio14_dual_pr              m169a_swio14_dual_pr_u4           m169p_swio14_dual
 * m169p_swio14_dual_pr              m169p_swio14_dual_pr_u4           m169pa_swio14_dual
 * m169pa_swio14_dual_pr             m169pa_swio14_dual_pr_u4          m165_swio14_dual
 * m165_swio14_dual_pr               m165_swio14_dual_pr_u4            m165a_swio14_dual
 * m165a_swio14_dual_pr              m165a_swio14_dual_pr_u4           m165p_swio14_dual
 * m165p_swio14_dual_pr              m165p_swio14_dual_pr_u4           m165pa_swio14_dual
 * m165pa_swio14_dual_pr             m165pa_swio14_dual_pr_u4
 */
static const uint64_t ur_m169_swio14_dual[] = {
  0x4bbbbbbb4486c541, 0x7e276fc75e9c8da3, 0xb62fbb707a750b69, 0x1fc5fe47652be295, 0x18b3e2d402b74d29,
  0x95a1dd608fe1aaf5, 0x6609f180905b2bbc, 0xbbada0644a4a42a4, 0x8971030a18369181, 0x66727f9956ee774f,
  0xbd477f360bece051, 0x822847244fe0cca9, 0x6e1f0a21895fe7ef, 0xcaaeef77cdc6bb00, 0xad68a8432d08c910,
  0x096dca5ffd01cf09, 0x5ff735e60b0de579, 0x1fba3be596bca094, 0x30f71c74fe0f7bf5, 0x6989cc580aa0f339,
  0xf6608ebc019d9004, 0x7967b6f78df5403f, 0x8abe77715257cea0, 0x73141daf2e556b3f, 0x5673a8a9546bb9c6,
  0x7020274dcaed52df, 0xc434ae5f63d221cd, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b6c63156f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000a4990726e8b3,
};

/*
 * m169a_swio14_dual_pr_ee           m169p_swio14_dual_pr_ee           m169pa_swio14_dual_pr_ee
 * m165_swio14_dual_pr_ee            m165a_swio14_dual_pr_ee           m165p_swio14_dual_pr_ee
 * m165pa_swio14_dual_pr_ee
 */
static const uint64_t ur_m169_swio14_dual_pr_ee[] = {
  0x34eddddddd435032, 0x23e276fc6a68426d, 0x7ad3dba7395f40b3, 0xeb2333b55de9afbf, 0x2f0fae71337aed39,
  0xdd57b68ff5efbb1c, 0xe30120b657793d39, 0x819129290ba2cc13, 0x0c2860da4606eeb6, 0xfe655bb9dd3e25c4,
  0x75b04b4700b5318f, 0xe489fc1c569bd472, 0x44312bfcfdf04508, 0xddf372e8600dc3e1, 0x219682fb4432abbb,
  0xd7fd01cf0983dc54, 0xe60b0de579096df4, 0x68ff74a085aff735, 0x61efd4795dba9aad, 0x77c57a6fd47c1b30,
  0x2cb1148b34eb4228, 0x055c54b9a426be8c, 0xec63d19ea73ab4bb, 0xe21b1aad743af512, 0xbe9662e121146948,
  0x11551b047eb70dec, 0x157ceee2a4a01645, 0xe6283b5e5caad67f, 0xace75152a8d7738c, 0xe0404e9b95daa5be,
  0x88695cbec7a4439a, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0x163ce1b8f3612e65, 0xe4fdd599bf83bb8d, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c, 0x00321445f37459e4,
};

/*
 * m169a_swio14_dual_pr_ee_u4        m169p_swio14_dual_pr_ee_u4        m169pa_swio14_dual_pr_ee_u4
 * m165_swio14_dual_pr_ee_u4         m165a_swio14_dual_pr_ee_u4        m165p_swio14_dual_pr_ee_u4
 * m165pa_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m169_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x89dbf1a9a109b4d3, 0x47e69ce57d02cc8f, 0x676abbd35f7eda7b, 0x5ce266f5da73d646,
  0xfadd5ec3ebb85e1f, 0x5b2bbc9e9ceefafb, 0x9485d16609f18090, 0x6d2303775b40c894, 0xfcee9f12e2061430,
  0x1c02d4c63ff99696, 0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xa180370f8510c4af, 0xed10caaeef77cdcb,
  0x3c260f7150865a0b, 0x95e425b7d35ff407, 0x085affc7e1982c37, 0x95dba9aad68ff74a, 0xfd47c1b3061efd47,
  0xb34eb422877c57a6, 0x9a426be8c2cb1148, 0xea73ab4bb055c54b, 0xd743af512ec63d19, 0x121146948e21b1aa,
  0x47eb70decbe9662e, 0x2a4a0164511551b0, 0xe5caad67f157ceee, 0x2a8d7738ce6283b5, 0xb95daa5beace7515,
  0xec7a4439ae0404e9, 0xdaad115e588695cb, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x0f3612e65f36d8c6, 0xfb763458df1726ae, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x1ba792bf734332c3, 0x0000000564f627f9,
};

/*
 * m169a_swio14_dual_pr_ce           m169p_swio14_dual_pr_ce           m169pa_swio14_dual_pr_ce
 * m165_swio14_dual_pr_ce            m165a_swio14_dual_pr_ce           m165p_swio14_dual_pr_ce
 * m165pa_swio14_dual_pr_ce
 */
static const uint64_t ur_m169_swio14_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xf89dbf3c7f766d1b, 0x41f6eabe6c48eee0, 0xe976d3913eabfaef, 0x9932bbf7ef74dd06,
  0xc4bba591aeb36855, 0x827c602416caef24, 0xd6d0322525222319, 0xb881850c1b48c0dd, 0xeaffccab773ba7c4,
  0x8fb3b611c8e07066, 0xa11c913f8395d37a, 0x7c2886257f9fbe08, 0xbbbddf37149001b8, 0xc542196807b4432a,
  0xb8cdffd01cf09827, 0xe6bcc161bcaf212d, 0x5717d5fc941383fe, 0xdc4963cf285c1c27, 0xf51f097e21b09117,
  0x733c5dc6e337d2a3, 0xdea384f9ee58cfa9, 0x528bb7e38e9fc1da, 0x0cec80234c4e62c0, 0x6faa01ffb33c75e0,
  0xa4af9d40f2d6e7bc, 0x5caad67f157ceee2, 0xa8d7738ce6283b5e, 0x95daa5beace75152, 0xc7a4439ae0404e9b,
  0xaad115e588695cbe, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6db1898,
  0xfc1ddc68b2d5e371, 0x69430a9cfd4eaccd, 0x7e03e687993fc09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x06923d6dba2cf257,
};

/*
 * m169a_swio14_dual_pr_ce_u4        m169p_swio14_dual_pr_ce_u4        m169pa_swio14_dual_pr_ce_u4
 * m165_swio14_dual_pr_ce_u4         m165a_swio14_dual_pr_ce_u4        m165p_swio14_dual_pr_ce_u4
 * m165pa_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m169_swio14_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x9de276fcf1f62e6d, 0x5a9afbad89d9471e, 0x91c9d4ccdd69624e, 0xf8ce947ee7157ee9,
  0x7792d15dc7045580, 0x75f4c13e30120b65, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0x69b9a2b7e655bb9d,
  0x1cdea3e56d86fb38, 0xef822847244fe0ca, 0x006e1f0a21895fe7, 0x10caaeef77cdc4a8, 0x134e3150865a013d,
  0xe425b7b1fffa039e, 0x35bfdcd7982c3795, 0x0714f5c5f5dbf282, 0x2445f71258f3ca17, 0x3643fd47c25f886c,
  0x19e1c6678bb8dceb, 0xf8327bd4797d3dcb, 0xe62c05dbebe471d3, 0xe3af22dd87c4637c, 0xc54947570f71cb19,
  0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0x372bb54b7d59cea2, 0x7d8f488735c0809d, 0x7b55a22bcb10d2b9,
  0x165362ce80f3f5ae, 0x8c6085a6ae757a96, 0xdb4e31bc67440a2f, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0001a4859b7459e4,
};

/*
 * m169a_swio14_dual_pr_ee_ce        m169p_swio14_dual_pr_ee_ce        m169pa_swio14_dual_pr_ee_ce
 * m165_swio14_dual_pr_ee_ce         m165a_swio14_dual_pr_ee_ce        m165p_swio14_dual_pr_ee_ce
 * m165pa_swio14_dual_pr_ee_ce
 */
static const uint64_t ur_m169_swio14_dual_pr_ee_ce[] = {
  0xa9c5bbbbbba86f97, 0x7ade276fc6223f0d, 0x7ef5ef76c5e35586, 0x2be3749cad041f22, 0x097d7aef537c9671,
  0x9dcf046752c8a756, 0x3e30120b65779393, 0xd032252520e49cc1, 0x81850c1b48c0ddd6, 0xcfccab773ba7c4b8,
  0xff9b00d070d3533f, 0x1c913f83e9f9bd47, 0x2886257f9fbe08a1, 0x7bbe6e79c801b87c, 0x8432d03868865577,
  0xa4ffa039e133938a, 0xbcc161bcaf212db8, 0xd51943941d35fee6, 0xffcf285c1cd3477f, 0x21984e771b8a49cd,
  0xea3cad82ca76b2b2, 0x5a9ef51f06cc1f51, 0x4522cd3ad08a0531, 0x3863a909afa30b2c, 0x3b6df472f8e7576e,
  0x8f96355e363af6b1, 0xb8f8c5c242280511, 0xa92e31c8a6470dec, 0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7,
  0xe576a96fab39d454, 0xb1e910e6b81013a6, 0x6ab44579621a572f, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b6c626, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x71ba2cf257ee6866, 0x000000000001304e,
};

/*
 * m169a_swio14_dual_pr_ee_ce_u4     m169p_swio14_dual_pr_ee_ce_u4     m169pa_swio14_dual_pr_ee_ce_u4
 * m165_swio14_dual_pr_ee_ce_u4      m165a_swio14_dual_pr_ee_ce_u4     m165p_swio14_dual_pr_ee_ce_u4
 * m165pa_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x276fccc5fc26d67d, 0xda6a6bd5784339de, 0xdae2faf7683acada, 0x37713b3eec5e713a,
  0x52399a0e087877d7, 0xc96c4eeab8fb0003, 0x6e609f180905b2bb, 0xddd6d03225252196, 0xc4b881850c1b48c0,
  0x372d7e65a5bf3ba7, 0xa3e376c3b04e1787, 0x508e489fc1b5dcde, 0x3e144312bfcfdf04, 0xbbbddf37055000dc,
  0xc54219684724432a, 0xbd257fd01cf09b7d, 0x3f0cc161bcaf212d, 0xbea8c9d4a0de1ffe, 0x4b1e7942f3bbc3b8,
  0xf84bf10d8488bee2, 0x8bb8dc1545927fa8, 0x72ba53b5b9b9ba67, 0x51f06cc1edff51e5, 0xd3ad08a05315efbf,
  0x909afa30b2c4522c, 0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7, 0x8b848451a523886c, 0x3608991c37b2fa59,
  0xddc5494b3c8a22aa, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0x9d372bb54b7d59ce, 0xb97d8f488735c080,
  0xae7b55a22bcb10d2, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xab83cd84b997cdb6,
  0xf07edd8d1637c5c9, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0x5e46e9e4afdcd0cc, 0x00000000010013f0,
};

/*
 * m169a_swio14_dual_hw              m169p_swio14_dual_hw              m169pa_swio14_dual_hw
 * m165_swio14_dual_hw               m165a_swio14_dual_hw              m165p_swio14_dual_hw
 * m165pa_swio14_dual_hw
 */
static const uint64_t ur_m169_swio14_dual_hw[] = {
  0x2eeeeeed12190907, 0xf89dbf1d7a72368d, 0xd8beedc1e9d42da5, 0x7f17f91d94af8a56, 0xf6cf8b500add34a4,
  0xf2568775a0fd5f7a, 0x919827c602416cae, 0x06eeb6819129290a, 0x3e25c40c2860da46, 0x4599c9fe655bb9dd,
  0xa6f51dfcd82fb381, 0xbe08a11c913f8332, 0x01b87c2886257f9f, 0x432abbbddf371aec, 0x26b5a2a10cb42324,
  0xe425b7297ff4073c, 0xa2fffa91982c3795, 0xa8fdd1df2cb5e504, 0xc987b8e3a7f07bdf, 0x234c4e62c0550799,
  0xffb30475e00cec80, 0x03cb3db7bc6faa01, 0xfc55f3bb8a92be75, 0x3398a0ed7972ab59, 0xfab39d454aa35dce,
  0x6b81013a6e576a96, 0x9621a572fb1e910e, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x97cdb6318ab7b155, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000018dd4839514f,
};

/*
 * m169a_swio14_dual_ee_hw           m169p_swio14_dual_ee_hw           m169pa_swio14_dual_ee_hw
 * m165_swio14_dual_ee_hw            m165a_swio14_dual_ee_hw           m165p_swio14_dual_ee_hw
 * m165pa_swio14_dual_ee_hw
 */
static const uint64_t ur_m169_swio14_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0xf13b7e353421369a, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd769cf5,
  0x3b9a3ea75add8e17, 0x7c602416caef27a7, 0xd032252521745982, 0x81850c1b48c0ddd6, 0xffccab773ba7c4b8,
  0x4eb60968e016a631, 0x1c913f838ad37a8e, 0x2886257f9fbe08a1, 0x7bbe6e5d0c01b87c, 0x8432d05f68865577,
  0x9affa039e1307b8a, 0x8cc161bcaf212dbe, 0x5a3fdd28216bffd4, 0x187bf51e576ea6ab, 0x1df15e9bf51f06cc,
  0x0b2c4522cd3ad08a, 0xc157152e6909afa3, 0xbb18f467a9cead2e, 0x3886c6ab5d0ebd44, 0x2fa598b848451a52,
  0x445546c11fadc37b, 0xc55f3bb8a9280591, 0x398a0ed7972ab59f, 0xab39d454aa35dce3, 0xb81013a6e576a96f,
  0x621a572fb1e910e6, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb6318ab7b1554,
  0xd4bd5c6e3cd84b99, 0x8cbf313f9430a9cf, 0xeffe09a1e64ff173, 0x592e19e985727e39, 0x66587494b67c09c6,
  0xda45f514f257ee68, 0x0000000000000015,
};

/*
 * m169a_swio14_dual_ce_hw           m169p_swio14_dual_ce_hw           m169pa_swio14_dual_ce_hw
 * m165_swio14_dual_ce_hw            m165a_swio14_dual_ce_hw           m165p_swio14_dual_ce_hw
 * m165pa_swio14_dual_ce_hw
 */
static const uint64_t ur_m169_swio14_dual_ce_hw[] = {
  0x6eb777776890cf68, 0x83e276fcf1fdd9b4, 0xbd07dbaaf9b123bb, 0x1ba5db4e44faafeb, 0x7664caefdfbdd374,
  0xbc9312ee68fa9d6b, 0x8c6609f180905b2b, 0x03775b40c8949488, 0x9f12e20614306d23, 0xc19babff32addcee,
  0x4dea3eced8472381, 0xf822847244fe0e57, 0x06e1f0a21895fe7e, 0x0caaeef77cdc5240, 0x609f150865a01ed1,
  0x84b6e337ff4073c2, 0x1fff52330586f2bc, 0xe13ab8beafe4a09c, 0x88bee24b1e7942e0, 0x495fa8f84bf10d84,
  0x3ea5ccf1771b8c87, 0x076b7a8e13e7b963, 0x8b014a2edf8e3a7f, 0xd78033b2008d3139, 0x9ef1bea807feccf1,
  0xbb8a92be7503cb5b, 0xed7972ab59fc55f3, 0x454aa35dce3398a0, 0x3a6e576a96fab39d, 0x72fb1e910e6b8101,
  0x5cf6ab44579621a5, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x8dc79b09732f9b6c,
  0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x6eaf5ba29e4afdcd, 0x0000000000000002,
};

/*
 * m169a_swio14_dual_ee_ce_hw        m169p_swio14_dual_ee_ce_hw        m169pa_swio14_dual_ee_ce_hw
 * m165_swio14_dual_ee_ce_hw         m165a_swio14_dual_ee_ce_hw        m165p_swio14_dual_ee_ce_hw
 * m165pa_swio14_dual_ee_ce_hw
 */
static const uint64_t ur_m169_swio14_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0xc5e276fc6236086d, 0xdbc9ee8eba7d9da6, 0x98f599f0ce644d71, 0xbccd936a6f929ce4,
  0x6ee1e198535aebd7, 0x9f180905b2bbc966, 0x681912929196d260, 0x40c2860da4606eeb, 0xdfe655bb9dd3e25c,
  0xd35b07f870c41335, 0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xbddf37170400dc3e, 0x4219683054432abb,
  0xadffd01cf09a43c5, 0x8cc161bcaf212db9, 0xaa3cad283883ffd4, 0xff9e50b839880eff, 0xdd309cee3732a1a0,
  0xd4795cae94ed6564, 0x7befd47c1b307b7f, 0x148b34eb422814c5, 0x828ea426be8c2cb1, 0x7631e8cf539d5db9,
  0xe21b1aaf1b1d7a89, 0xbe9662e121146948, 0x88aa8d8226470dec, 0x8abe77715252cf22, 0x73141daf2e556b3f,
  0x5673a8a9546bb9c6, 0x7020274dcaed52df, 0xc434ae5f63d221cd, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0x7e7f61b8f3612e65, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00089a601514f257,
};

/*
 * m169a_swio14_dual_ee_ce_u4_hw     m169p_swio14_dual_ee_ce_u4_hw     m169pa_swio14_dual_ee_ce_u4_hw
 * m165_swio14_dual_ee_ce_u4_hw      m165a_swio14_dual_ee_ce_u4_hw     m165p_swio14_dual_ee_ce_u4_hw
 * m165pa_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0xc4edf998bf84dacf, 0xcadd4d7aaf08673b, 0x13adae2faf7683ba, 0x7d737713b3eec5e7,
  0xaa0d5a1968e08787, 0x82d95de4b62776d6, 0x9290cb37304f8c04, 0x0da4606eeb681912, 0x849dd3e25c40c286,
  0x04e1787372d7e65d, 0x1b5dcdea3e376c3b, 0xfcfdf04508e489fc, 0x55000dc3e144312b, 0x724432abbbddf370,
  0xcf09b7dc54219684, 0xcaf212dbd257fd01, 0x1bc3ff67a1cc161b, 0x39787717d5193a94, 0x117dc4963cf1be18,
  0x7aff51f097e21b09, 0x7374cf1771b81646, 0xfea3cae574a76b73, 0x2bdf7ea3e0d983db, 0x88a459a75a1140a6,
  0xcc14752135f46165, 0x4bb18f467a9ceaed, 0x4710d8d578d8ebd4, 0x65f4b3170908a34a, 0x1445546c1132386f,
  0xfc55f3bb8a929679, 0x3398a0ed7972ab59, 0xfab39d454aa35dce, 0x6b81013a6e576a96, 0x9621a572fb1e910e,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0003aeac6680be9e,
};

/*
 * m169a_swio15_noled                m169p_swio15_noled                m169pa_swio15_noled
 * m165_swio15_noled                 m165a_swio15_noled                m165p_swio15_noled
 * m165pa_swio15_noled
 */
static const uint64_t ur_m169_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xfdfa1e7cc7cc13e3, 0xc4277cb749283b7f, 0xb5e38e9fc1f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x52a8d7738ce6283b, 0xb95daa5beaece751, 0xab57fbfa4439ace9,
  0x6b9ed5688af2c434, 0xea701652a7d3bcfd, 0x17ee2810b4b0b9d4, 0x2f9b69c6378ce881, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00000a9171ae3e79,
};

/*
 * m169_swio15_noled_pr_u4           m169a_swio15_noled_pr             m169a_swio15_noled_pr_u4
 * m169p_swio15_noled_pr             m169p_swio15_noled_pr_u4          m169pa_swio15_noled_pr
 * m169pa_swio15_noled_pr_u4         m165_swio15_noled_pr              m165_swio15_noled_pr_u4
 * m165a_swio15_noled_pr             m165a_swio15_noled_pr_u4          m165p_swio15_noled_pr
 * m165p_swio15_noled_pr_u4          m165pa_swio15_noled_pr            m165pa_swio15_noled_pr_u4
 */
static const uint64_t ur_m169_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0fca0995fe78167, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x6bb9c673141daf2e, 0xd52df57673a8a954,
  0xfdfd221cd674dcae, 0x6ab44579621a55ab, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x455bd8aaa2d2da27,
  0x7079b09732f9b632, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x5a2029e4afdcd0cc, 0x00000000003e4d53,
};

/*
 * m169a_swio15_noled_pr_ee          m169p_swio15_noled_pr_ee          m169pa_swio15_noled_pr_ee
 * m165_swio15_noled_pr_ee           m165a_swio15_noled_pr_ee          m165p_swio15_noled_pr_ee
 * m165pa_swio15_noled_pr_ee
 */
static const uint64_t ur_m169_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x28315bfcf02cf93a, 0x8f2b297355ad1bf9, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x6aff7f4887359d37,
  0x73daad115e588695, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x4d5c1e6c25ccbe6d,
  0x3c81f943459d3e2e, 0x9fca1854e7ea7566, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c,
  0x0a792bf734332c3a, 0x000000004ebe3188,
};

/*
 * m169a_swio15_noled_pr_ee_u4       m169p_swio15_noled_pr_ee_u4       m169pa_swio15_noled_pr_ee_u4
 * m165_swio15_noled_pr_ee_u4        m165a_swio15_noled_pr_ee_u4       m165p_swio15_noled_pr_ee_u4
 * m165pa_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m169_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x54a0efbff3c0b3f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0x19cc5076bcb955aa, 0xd5d9cea2a551aee7, 0x887359d372bb54b7, 0x15e5886956aff7f4,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0xc25ccbe6d8c9156f, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x0000000275cb3880,
};

/*
 * m169_swio15_noled_pr_ce_u4        m169a_swio15_noled_pr_ce          m169a_swio15_noled_pr_ce_u4
 * m169p_swio15_noled_pr_ce          m169p_swio15_noled_pr_ce_u4       m169pa_swio15_noled_pr_ce
 * m169pa_swio15_noled_pr_ce_u4      m165_swio15_noled_pr_ce           m165_swio15_noled_pr_ce_u4
 * m165a_swio15_noled_pr_ce          m165a_swio15_noled_pr_ce_u4       m165p_swio15_noled_pr_ce
 * m165p_swio15_noled_pr_ce_u4       m165pa_swio15_noled_pr_ce         m165pa_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m169_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0xb3fb3a609f180905, 0x7d76fca0caeff3c0, 0x4b1e78c953bdf771, 0xf84bf10d8488bee2,
  0xf1771b9722495fa8, 0x51e6e9ee58cfd64c, 0x654e31c74fe0c9ef, 0x9da2147bd9cc580a, 0xd2a01ffb33c75e8f,
  0xb57d6e0796b708a4, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0xfe910e6b3a6e576a, 0x5a22bcb10d2ad5fe,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c, 0x79b09732f9b63218, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x0000000006eba682,
};

/*
 * m169a_swio15_noled_pr_ee_ce       m169p_swio15_noled_pr_ee_ce       m169pa_swio15_noled_pr_ee_ce
 * m165_swio15_noled_pr_ee_ce        m165a_swio15_noled_pr_ee_ce       m165p_swio15_noled_pr_ee_ce
 * m165pa_swio15_noled_pr_ee_ce
 */
static const uint64_t ur_m169_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52e507fe7f9e059f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x152a8d7738ce6283,
  0x9b95daa5beaece75, 0x4ab57fbfa4439ace, 0xaeb9ed5688af2c43, 0xba9b14a7869de7c5, 0x5b44e31bc6744083,
  0x6d8c863b7b15545a, 0xce2e4d5c6c25ccbe, 0xdd598f207e50d163, 0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251,
  0xd31e5e2029e4afdc, 0x0000000000000014,
};

/*
 * m169a_swio15_noled_pr_ee_ce_u4    m169p_swio15_noled_pr_ee_ce_u4    m169pa_swio15_noled_pr_ee_ce_u4
 * m165_swio15_noled_pr_ee_ce_u4     m165a_swio15_noled_pr_ee_ce_u4    m165p_swio15_noled_pr_ee_ce_u4
 * m165pa_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x9d282d77ff62bb3f, 0xa17071aeee2faa3d, 0x86c2445f71258f3c,
  0x2e0b87ffd47c25f8, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b38729, 0x2814c565d7d47c1b, 0x8c2cb1148b34eb42,
  0x9d5db92b0ea426be, 0x8ebce9bb7508f243, 0x147c88e0fd8d578d, 0x2386f65b2e62e121, 0xa967d260b546c113,
  0xe719cc5076bcb955, 0xb7d5d9cea2a551ae, 0xf4887359d372bb54, 0xd115e5886956aff7, 0xf0d3bcf8b5d73daa,
  0x78ce881077536294, 0x6f62aa8b4b689c63, 0xcd84b997cdb190c7, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x4e37459e4afdcd0c,
  0x0000000000013f06,
};

/*
 * m169a_swio15_noled_hw             m169p_swio15_noled_hw             m169pa_swio15_noled_hw
 * m165_swio15_noled_hw              m165a_swio15_noled_hw             m165p_swio15_noled_hw
 * m165pa_swio15_noled_hw
 */
static const uint64_t ur_m169_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xff871e7cc7cc13e3, 0xe213be5ba4941dbf, 0x5af1c74fe0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0xa9546bb9c673141d, 0xdcaed52df57673a8, 0x55abfdfd221cd674,
  0xb5cf6ab44579621a, 0x75380b2953e9de7e, 0x8bf714085a585cea, 0x97cdb4e31bc67440, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000004712e3b053c,
};

/*
 * m169a_swio15_noled_ee_hw          m169p_swio15_noled_ee_hw          m169pa_swio15_noled_ee_hw
 * m165_swio15_noled_ee_hw           m165a_swio15_noled_ee_hw          m165p_swio15_noled_ee_hw
 * m165pa_swio15_noled_ee_hw
 */
static const uint64_t ur_m169_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0x68dfc9418adff429, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x283b5e5caad402e9, 0xe75152a8d7738ce6, 0xace9b95daa5beaec, 0xc434ab57fbfa4439,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x65f36c648ab7b155, 0xe7ea0bb1b8f3612e,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000005bff927453,
};

/*
 * m169a_swio15_noled_ce_hw          m169p_swio15_noled_ce_hw          m169pa_swio15_noled_ce_hw
 * m165_swio15_noled_ce_hw           m165a_swio15_noled_ce_hw          m165p_swio15_noled_ce_hw
 * m165pa_swio15_noled_ce_hw
 */
static const uint64_t ur_m169_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x2416caef2774a51d, 0xfa14cfece9827c60, 0xf7717d76fca0caef, 0x7dc4963cf285c1cd, 0xbf51f097e21b0911,
  0xac99e2ee370d6e61, 0x93dea3cdd3dcb19f, 0xb014ca9c638e9fc1, 0xbd1f3b4428f7b398, 0x1149a5403ff6678e,
  0x2e556afadc0f2d6e, 0x546bb9c673141daf, 0xaed52df57673a8a9, 0xabfdfd221cd674dc, 0xcf6ab44579621a55,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xb36f927453c95fb9,
  0x000000000000000e,
};

/*
 * m169_swio15_noled_ee_ce_u4_hw     m169a_swio15_noled_ee_ce_hw       m169a_swio15_noled_ee_ce_u4_hw
 * m169p_swio15_noled_ee_ce_hw       m169p_swio15_noled_ee_ce_u4_hw    m169pa_swio15_noled_ee_ce_hw
 * m169pa_swio15_noled_ee_ce_u4_hw   m165_swio15_noled_ee_ce_hw        m165_swio15_noled_ee_ce_u4_hw
 * m165a_swio15_noled_ee_ce_hw       m165a_swio15_noled_ee_ce_u4_hw    m165p_swio15_noled_ee_ce_hw
 * m165p_swio15_noled_ee_ce_u4_hw    m165pa_swio15_noled_ee_ce_hw      m165pa_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0xa3d9d282d77ff429, 0xf3ca17071aeee2fa, 0x5f886c2445f71258,
  0x8dce41d5d7fd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0x68450298acbafa8f, 0xd7d185962291669d,
  0x4873abb72561d484, 0xf1b1d79d376ea11e, 0x24228f911c1fb1aa, 0x226470decb65cc5c, 0x2ab52cfa4c16a8d8,
  0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0xfefe910e6b3a6e57, 0xb55a22bcb10d2ad5, 0x529e1a779f16bae7,
  0x8c6f19d1020eea6c, 0x18edec5551696d13, 0xdc79b09732f9b632, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x10c9ca29e4afdcd0, 0x0000000000000050,
};

/*
 * m169a_swio15_lednop               m169p_swio15_lednop               m169pa_swio15_lednop
 * m165_swio15_lednop                m165a_swio15_lednop               m165p_swio15_lednop
 * m165pa_swio15_lednop
 */
static const uint64_t ur_m169_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfefd0f3f01a609f1, 0xf243be5ba49410f7, 0x2631c74fe0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x2a551aee719cc507, 0x372bb54b7d5d9cea, 0x958f488735c0809d,
  0x3daad115e588695c, 0x52d794e02e740797, 0x5f45021695844c2f, 0xf9b69c6378ce8814, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0001527d7ae3e792,
};

/*
 * m169_swio15_lednop_pr_u4          m169a_swio15_lednop_pr            m169a_swio15_lednop_pr_u4
 * m169p_swio15_lednop_pr            m169p_swio15_lednop_pr_u4         m169pa_swio15_lednop_pr
 * m169pa_swio15_lednop_pr_u4        m165_swio15_lednop_pr             m165_swio15_lednop_pr_u4
 * m165a_swio15_lednop_pr            m165a_swio15_lednop_pr_u4         m165p_swio15_lednop_pr
 * m165p_swio15_lednop_pr_u4         m165pa_swio15_lednop_pr           m165pa_swio15_lednop_pr_u4
 */
static const uint64_t ur_m169_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f94131ffe78167, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0x5dce3398a0ed7972, 0xa96fabb39d454aa3,
  0x10e6b81013a6e576, 0x22bcb10d2b92b1e9, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x25ccbe6da05455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000f93fea8880a,
};

/*
 * m169a_swio15_lednop_pr_ee         m169p_swio15_lednop_pr_ee         m169pa_swio15_lednop_pr_ee
 * m165_swio15_lednop_pr_ee          m165a_swio15_lednop_pr_ee         m165p_swio15_lednop_pr_ee
 * m165pa_swio15_lednop_pr_ee
 */
static const uint64_t ur_m169_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x941383fe78167e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0x9546bb9c673141da, 0xcaed52df57673a8a, 0x63d221cd7020274d,
  0x6ab44579621a5725, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x3cd84b997cdb40a8,
  0xf2868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0xaf8431014f257ee6, 0x0000000000000013,
};

/*
 * m169a_swio15_lednop_pr_ee_u4      m169p_swio15_lednop_pr_ee_u4      m169pa_swio15_lednop_pr_ee_u4
 * m165_swio15_lednop_pr_ee_u4       m165a_swio15_lednop_pr_ee_u4      m165p_swio15_lednop_pr_ee_u4
 * m165pa_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m169_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca941383fe7816, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0x0e6b81013a6e576a, 0x2bcb10d2b92b1e91,
  0xce80f3f5ae7b55a2, 0xa6ae757a96165362, 0xde33a204e7d14085, 0x1e6c25ccbe6da718, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x880a792bf734332c, 0x00000000013ae9a0,
};

/*
 * m169a_swio15_lednop_pr_ce         m169p_swio15_lednop_pr_ce         m169pa_swio15_lednop_pr_ce
 * m165_swio15_lednop_pr_ce          m165a_swio15_lednop_pr_ce         m165p_swio15_lednop_pr_ce
 * m165pa_swio15_lednop_pr_ce
 */
static const uint64_t ur_m169_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0x7c6b4c13e30120b6, 0xaedf941d37fe7816, 0x63cf192a77b3ae2f, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0x3ce33dcb19fac99e, 0xf3d638e9fc193dea, 0x65f11c6473160298, 0xa807feccf1d7a3e7,
  0xb8720796b70dfb86, 0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xcb10d2b92b1e910e,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0xa7c5c9ab83cd84b9,
  0x4eacc7903f2868b3, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0xd3d1014f257ee686, 0x0000000000001baf,
};

/*
 * m169a_swio15_lednop_pr_ce_u4      m169p_swio15_lednop_pr_ce_u4      m169pa_swio15_lednop_pr_ce_u4
 * m165_swio15_lednop_pr_ce_u4       m165a_swio15_lednop_pr_ce_u4      m165p_swio15_lednop_pr_ce_u4
 * m165pa_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m169_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9eb283813fcf02, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x398a0ed7972ab51d, 0xbb39d454aa35dce3, 0x81013a6e576a96fa, 0x10d2b92b1e910e6b, 0xe56bae7b55a22bcb,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0xc5c9ab83cd84b997, 0xd598f207e50d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x6ebd5951014f257e,
};

/*
 * m169a_swio15_lednop_pr_ee_ce      m169p_swio15_lednop_pr_ee_ce      m169pa_swio15_lednop_pr_ee_ce
 * m165_swio15_lednop_pr_ee_ce       m165a_swio15_lednop_pr_ee_ce      m165p_swio15_lednop_pr_ee_ce
 * m165pa_swio15_lednop_pr_ee_ce
 */
static const uint64_t ur_m169_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x2972829b7fe78167, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0x8a9546bb9c673141,
  0x4dcaed52df57673a, 0x2563d221cd702027, 0xcf6ab44579621a57, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x463b7b15545a4829, 0x3571b09732f9b681, 0x3c81f943458f38b9, 0x970cf4c2b93f7566, 0xc3a4a5b2c944e32c,
  0xb880a792bf734332, 0x00000000000534f1,
};

/*
 * m169a_swio15_lednop_pr_ee_ce_u4   m169p_swio15_lednop_pr_ee_ce_u4   m169pa_swio15_lednop_pr_ee_ce_u4
 * m165_swio15_lednop_pr_ee_ce_u4    m165a_swio15_lednop_pr_ee_ce_u4   m165p_swio15_lednop_pr_ee_ce_u4
 * m165pa_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xb3a504527fd8aecf, 0xca17070525c5f547, 0x886c2445f71258f3,
  0xc67afd6afd47c25f, 0x3b5b9b7be678bb8d, 0x660cf5f51e5650e5, 0x450298ad82fa8f83, 0xd185962291669d68,
  0x73abb74871d484d7, 0xb1d79d376ee91828, 0x2289b91e45b1aaf1, 0x6470decb65cc5c24, 0x5a96622934a8d822,
  0xee719cc5076bcb95, 0x4b7d5d9cea2a551a, 0x8735c0809d372bb5, 0x15e588695c958f48, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6da0518edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa2cf257ee6866587,
  0x000000013f01e4db,
};

/*
 * m169a_swio15_lednop_hw            m169p_swio15_lednop_hw            m169pa_swio15_lednop_hw
 * m165_swio15_lednop_hw             m165a_swio15_lednop_hw            m165p_swio15_lednop_hw
 * m165pa_swio15_lednop_hw
 */
static const uint64_t ur_m169_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0xf921df2dd24a087b, 0x1318e3a7f07cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x152a8d7738ce6283, 0x9b95daa5beaece75, 0x4ac7a4439ae0404e,
  0x9ed5688af2c434ae, 0xa96bca70173a03cb, 0x2fa2810b4ac22617, 0x7cdb4e31bc67440a, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00008e2fafb053c9,
};

/*
 * m169a_swio15_lednop_ee_hw         m169p_swio15_lednop_ee_hw         m169pa_swio15_lednop_ee_hw
 * m165_swio15_lednop_ee_hw          m165a_swio15_lednop_ee_hw         m165p_swio15_lednop_ee_hw
 * m165pa_swio15_lednop_ee_hw
 */
static const uint64_t ur_m169_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0xb46fe4a09c1ffa14, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0x8a0ed7972ab50084, 0x39d454aa35dce339, 0x013a6e576a96fabb, 0xd2b92b1e910e6b81,
  0x6bae7b55a22bcb10, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x00b7e6a728a792bf,
};

/*
 * m169a_swio15_lednop_ce_hw         m169p_swio15_lednop_ce_hw         m169pa_swio15_lednop_ce_hw
 * m165_swio15_lednop_ce_hw          m165a_swio15_lednop_ce_hw         m165p_swio15_lednop_ce_hw
 * m165pa_swio15_lednop_ce_hw
 */
static const uint64_t ur_m169_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x2416caef2775a77d, 0xfa14cf8d69827c60, 0x9d717d76fca0e9bf, 0x7dc4963cf285c1cd, 0xff51f097e21b0911,
  0x5933c5dc6e72d337, 0x27bd479c67b9633f, 0xc0531e7ac71d3f83, 0xf47cecbe238c8e62, 0xbf70d500ffd99e3a,
  0xe556b70e40f2d6e1, 0x46bb9c673141daf2, 0xed52df57673a8a95, 0xd221cd7020274dca, 0xb44579621a572563,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x6a29e4afdcd0ccb0,
  0x0000000003acd805,
};

/*
 * m169_swio15_lednop_ee_ce_u4_hw    m169a_swio15_lednop_ee_ce_hw      m169a_swio15_lednop_ee_ce_u4_hw
 * m169p_swio15_lednop_ee_ce_hw      m169p_swio15_lednop_ee_ce_u4_hw   m169pa_swio15_lednop_ee_ce_hw
 * m169pa_swio15_lednop_ee_ce_u4_hw  m165_swio15_lednop_ee_ce_hw       m165_swio15_lednop_ee_ce_u4_hw
 * m165a_swio15_lednop_ee_ce_hw      m165a_swio15_lednop_ee_ce_u4_hw   m165p_swio15_lednop_ee_ce_hw
 * m165p_swio15_lednop_ee_ce_u4_hw   m165pa_swio15_lednop_ee_ce_hw     m165pa_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0x47b3a504527fd0a6, 0xf3ca17070525c5f5, 0x5f886c2445f71258,
  0xe373ce5d4efd47c2, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0x5a1140a62b60bea3, 0x35f4616588a459a7,
  0x0a1ceaedd21c7521, 0xbc6c75e74ddbba46, 0x0908a26e47916c6a, 0x08991c37b2d97317, 0xe556a5988a4d2a36,
  0x46bb9c673141daf2, 0xed52df57673a8a95, 0xd221cd7020274dca, 0xb44579621a572563, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3a29e4afdcd0ccb0, 0x0000000000a02079,
};

/*
 * m169_swio15_dual_pr               m169_swio15_dual_pr_u4            m169a_swio15_dual
 * m169a_swio15_dual_pr              m169a_swio15_dual_pr_u4           m169p_swio15_dual
 * m169p_swio15_dual_pr              m169p_swio15_dual_pr_u4           m169pa_swio15_dual
 * m169pa_swio15_dual_pr             m169pa_swio15_dual_pr_u4          m165_swio15_dual
 * m165_swio15_dual_pr               m165_swio15_dual_pr_u4            m165a_swio15_dual
 * m165a_swio15_dual_pr              m165a_swio15_dual_pr_u4           m165p_swio15_dual
 * m165p_swio15_dual_pr              m165p_swio15_dual_pr_u4           m165pa_swio15_dual
 * m165pa_swio15_dual_pr             m165pa_swio15_dual_pr_u4
 */
static const uint64_t ur_m169_swio15_dual[] = {
  0xc7bbbbbb44869a4e, 0x7e276fc75e10cda5, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b75719,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0x775b40c894948ba1, 0x12e20614306d2303, 0xcce4ff32addcee9f,
  0x7a8efe6c17d9c0a2, 0x04508e489fc19953, 0xdc3e144312bfcfdf, 0xcaaeef77cdc80000, 0xad68a8432d08c910,
  0x096dca1ffd01cf09, 0xeff735e60b0de579, 0x1f6f9df2cf7ca0fe, 0xd1ee38e9fc1c1ff5, 0xe21398b01541e64a,
  0xecc11d78033b6948, 0x7967b698c64a807f, 0xc55f3bb8a92e04a0, 0x398a0ed7972ab59f, 0xbb39d454aa35dce3,
  0x81013a6e576a96fa, 0x10d2b92b1e910e6b, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6da05455bd8aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0002927bc15ba2cf,
};

/*
 * m169a_swio15_dual_pr_ee           m169p_swio15_dual_pr_ee           m169pa_swio15_dual_pr_ee
 * m165_swio15_dual_pr_ee            m165a_swio15_dual_pr_ee           m165p_swio15_dual_pr_ee
 * m165pa_swio15_dual_pr_ee
 */
static const uint64_t ur_m169_swio15_dual_pr_ee[] = {
  0x586ddddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0xcf59198f6d9beec7, 0xf700faabc99bd7b0,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x1030a18369181bba, 0x3ff9956ee774f897,
  0xc9d6c12d1c02d4c6, 0x239227f0715a6f51, 0x8510c4aff3f7c114, 0xef77cdceeb00370f, 0x50865a0bed10caae,
  0x3b7ff4073c260f71, 0xaf30586f2bc84b6f, 0xd68dc9ca0f4fffb9, 0x071efd4795e9b9aa, 0x877c57b3bd47c1b3,
  0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8, 0x65f4b3170908a0f5,
  0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0x3398a0ed7972ab59, 0xabb39d454aa35dce, 0xb81013a6e576a96f,
  0xb10d2b92b1e910e6, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xbe6da05455bd8aaa,
  0xa2c79c371e6c25cc, 0x5c9fbab337f07771, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000c852c7f6e8b3c,
};

/*
 * m169a_swio15_dual_pr_ee_u4        m169p_swio15_dual_pr_ee_u4        m169pa_swio15_dual_pr_ee_u4
 * m165_swio15_dual_pr_ee_u4         m165a_swio15_dual_pr_ee_u4        m165p_swio15_dual_pr_ee_u4
 * m165pa_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m169_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b561, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5ec33d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0x06d2303775b40c89, 0x6fcee9f12e206143,
  0xd1c02d4c63ff9969, 0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc,
  0x73c260f7150865a0, 0xf2bc84b6f3b7ff40, 0x83d3fff8fc330586, 0xe57a6e6ab5a37272, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0xb95daa5beaece751,
  0xac7a4439ae0404e9, 0xed5688af2c434ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0x079b09732f9b6815, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x8dd3c95fb9a19961, 0x00000000ac896d3c,
};

/*
 * m169a_swio15_dual_pr_ce           m169p_swio15_dual_pr_ce           m169pa_swio15_dual_pr_ce
 * m165_swio15_dual_pr_ce            m165a_swio15_dual_pr_ce           m165p_swio15_dual_pr_ce
 * m165pa_swio15_dual_pr_ce
 */
static const uint64_t ur_m169_swio15_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a70,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0xeeb68191292902a8, 0x25c40c2860da4606, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0xabbbddf37011200d, 0x7c542196807b4432,
  0x6dffe7fd01cf0982, 0xf735e60b0de57909, 0x5f717d6034a093af, 0xfb892c79e50b839d, 0xfea3e12fc4361222,
  0x9733c5dc6e759b21, 0x45f51e449ee58cfa, 0x017f71951c74fe0c, 0x8033b6948e21398b, 0x8c64a807feccf1d7,
  0xe2a4b81281e5adc9, 0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0xb95daa5beaece751, 0xac7a4439ae0404e9,
  0xed5688af2c434ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x8f3612e65f36d028,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343cc9fe04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x003490ad4dd16792,
};

/*
 * m169a_swio15_dual_pr_ce_u4        m169p_swio15_dual_pr_ce_u4        m169pa_swio15_dual_pr_ce_u4
 * m165_swio15_dual_pr_ce_u4         m165a_swio15_dual_pr_ce_u4        m165p_swio15_dual_pr_ce_u4
 * m165pa_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m169_swio15_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x89c9d4cca76f5d84, 0x2d4e900d57efdeed,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0xc0ddd6d032252522, 0xa7c4b881850c1b48, 0xd373456fccab773b,
  0x39bd47cadb0df670, 0xdf04508e489fc194, 0x00dc3e144312bfcf, 0x21955ddeef9b8c86, 0x269c62a10cb4027a,
  0xc84b6e337ff4073c, 0xe0ffb9af30586f2b, 0x073025c5f532a504, 0x2445f71258f3ca17, 0x8b91fd47c25f886c,
  0x19e1c6678bb8dc4a, 0xfc1935ea3ce33dcb, 0x398b014ca9ba38e9, 0x78ebc8b765ae8e32, 0xb8a928ead6dc72c6,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x6e576a96fabb39d4, 0x2b1e910e6b81013a, 0x7b55a22bcb10d2b9,
  0x165362ce80f3f5ae, 0x8c6085a6ae757a96, 0xdb4e31bc674409cf, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x000d24085b7459e4,
};

/*
 * m169a_swio15_dual_pr_ee_ce        m169p_swio15_dual_pr_ee_ce        m169pa_swio15_dual_pr_ee_ce
 * m165_swio15_dual_pr_ee_ce         m165a_swio15_dual_pr_ee_ce        m165p_swio15_dual_pr_ee_ce
 * m165pa_swio15_dual_pr_ee_ce
 */
static const uint64_t ur_m169_swio15_dual_pr_ee_ce[] = {
  0x5f6b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c97ed,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0x030a18369181bbad, 0x9f9956ee774f8971,
  0xff3601a0e1a6a67f, 0x39227f07d3f37a8f, 0x510c4aff3f7c1142, 0xeef9b830b80370f8, 0x10cb40e1a21955dd,
  0xbbfe80e784ce4e2a, 0xe60b0de579096df1, 0x51b059419dbff735, 0xf9e50b8393b677fd, 0x66139dc6e0224c03,
  0x8f2b53d29dacac88, 0x027a8f83660c27fa, 0x91669d68450298af, 0x51d484d7d1859622, 0x63291ce273abb717,
  0x5ec6abc6c75ed627, 0x7c62e121144be46b, 0x4b8c47c32386f65c, 0xcaad67f157ceee2a, 0x8d7738ce6283b5e5,
  0xdaa5beaece75152a, 0xa4439ae0404e9b95, 0x688af2c434ae4ac7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x83bb8d163ce1b8f3, 0x33d30ae4fdd599bf, 0xe9296cf8138cb25c,
  0x7459e4afdcd0ccb0, 0x0000000009822a73,
};

/*
 * m169a_swio15_dual_pr_ee_ce_u4     m169p_swio15_dual_pr_ee_ce_u4     m169pa_swio15_dual_pr_ee_ce_u4
 * m165_swio15_dual_pr_ee_ce_u4      m165a_swio15_dual_pr_ee_ce_u4     m165p_swio15_dual_pr_ee_ce_u4
 * m165pa_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m169_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d157, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x4377138abec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0x606eeb6819129291, 0xd3e25c40c2860da4,
  0xc39b96bf32d2df9d, 0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x2abbbddf37138f00,
  0x7dc5421968472443, 0x2db9257fd01cf09b, 0xfe3f0cc161bcaf21, 0x717d51f57ca0cc37, 0xc4963cf285e7730d,
  0x51f097e21b09117d, 0x9e2ee37138fee3ff, 0x95efb94ed6e6e6e9, 0x5ea3e0d98332bd47, 0x59a75a1140a62bb7,
  0x752135f4616588a4, 0xfc47d41ceaedca78, 0x2c6abc6c75ea25d9, 0x598b8484507aa3f9, 0xaa3608991c37b2fa,
  0x7ceee2a4a598f9bd, 0x283b5e5caad67f15, 0xe75152a8d7738ce6, 0x04e9b95daa5beaec, 0x4ae4ac7a4439ae04,
  0xaeb9ed5688af2c43, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0x26ae0f3612e65f36,
  0xdfc1fb763458df17, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x05f91ba792bf7343, 0x0000000000040004,
};

/*
 * m169a_swio15_dual_hw              m169p_swio15_dual_hw              m169pa_swio15_dual_hw
 * m165_swio15_dual_hw               m165a_swio15_dual_hw              m165p_swio15_dual_hw
 * m165pa_swio15_dual_hw
 */
static const uint64_t ur_m169_swio15_dual_hw[] = {
  0x8f777776890d365a, 0xfc4edf8ebc219b4b, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0x7b2c51a9b16eae32,
  0x792b43bb227af7a5, 0xa1cc13e30120b657, 0x03775b40c894948b, 0x9f12e20614306d23, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x10caaeef77cdc800, 0x09ad68a8432d08c9,
  0x79096dca1ffd01cf, 0xfddffea4660b0de5, 0xea3edf3be59ef941, 0x95a3dc71d3f8383f, 0x91c42731602a83cc,
  0xffd9823af00676d2, 0x40f2cf6d318c9500, 0x3f8abe7771525c09, 0xc673141daf2e556b, 0xf57673a8a9546bb9,
  0xd7020274dcaed52d, 0x9621a572563d221c, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x97cdb40a8ab7b155, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000018dd7782d14f,
};

/*
 * m169a_swio15_dual_ee_hw           m169p_swio15_dual_ee_hw           m169pa_swio15_dual_ee_hw
 * m165_swio15_dual_ee_hw            m165a_swio15_dual_ee_hw           m165p_swio15_dual_ee_hw
 * m165pa_swio15_dual_ee_hw
 */
static const uint64_t ur_m169_swio15_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x47c4edf8d4c9b36a, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdebd86,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0x75b40c89494874ea, 0x2e20614306d23037, 0x8c7ff32addcee9f1,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b9dd6006e, 0xe2a10cb417da2195,
  0xde76ffe80e784c1e, 0xea4660b0de579096, 0xab5a3727283d3fff, 0xcc1c7bf51e57a6e6, 0x8a1df15ecef51f06,
  0xa30b2c4522cd3ad0, 0x2ea797152e6909af, 0xa25d9fc47d41cead, 0xd51fc96355ae875e, 0xbd97d2cc5c242283,
  0x0f9bdaa3608fd6e1, 0x67f157ceee2a4a01, 0x38ce6283b5e5caad, 0xbeaece75152a8d77, 0x9ae0404e9b95daa5,
  0xf2c434ae4ac7a443, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x32f9b6815156f62a,
  0x9fa97ab8dc79b097, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x576ac7fa29e4afdc,
};

/*
 * m169a_swio15_dual_ce_hw           m169p_swio15_dual_ce_hw           m169pa_swio15_dual_ce_hw
 * m165_swio15_dual_ce_hw            m165a_swio15_dual_ce_hw           m165p_swio15_dual_ce_hw
 * m165pa_swio15_dual_ce_hw
 */
static const uint64_t ur_m169_swio15_dual_ce_hw[] = {
  0x453b777776890c86, 0x707c4edf9e3eb89b, 0xef5c2f767120a477, 0xe0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9312eeeec6ecd, 0x0aa2609f180905b2, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x0e0cdd5ff9956ee7,
  0xba6f51f676c2391c, 0xf7c114239227f072, 0x80370f8510c4aff3, 0x10caaeef77cdc044, 0x2609f150865a01ed,
  0xe425b7ff9ff4073c, 0x9d7ffa91982c3795, 0x1ceafb8beb01a504, 0x9117dc4963cf285c, 0x492bf51f097e21b0,
  0x67d4b99e2ee372e4, 0xf0622fa8f224f72c, 0xcc580bfb8ca8e3a7, 0x8ebc019db4a47109, 0x6e4c6325403ff667,
  0xe7771525c0940f2d, 0x41daf2e556b3f8ab, 0x3a8a9546bb9c6731, 0x274dcaed52df5767, 0x572563d221cd7020,
  0x75cf6ab44579621a, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0xd8dc79b09732f9b6,
  0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x26ea56aa29e4afdc,
};

/*
 * m169a_swio15_dual_ee_ce_hw        m169p_swio15_dual_ee_ce_hw        m169pa_swio15_dual_ee_ce_hw
 * m165_swio15_dual_ee_ce_hw         m165a_swio15_dual_ee_ce_hw        m165p_swio15_dual_ee_ce_hw
 * m165pa_swio15_dual_ee_ce_hw
 */
static const uint64_t ur_m169_swio15_dual_ee_ce_hw[] = {
  0x9396eeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a9c92,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x0614306d2303775b, 0xff32addcee9f12e2,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xeef9b8164006e1f0, 0x10cb4182a21955dd,
  0x0ffe80e784d21e2a, 0x660b0de579096def, 0xa395d2835bfffea4, 0xf3ca17072b7ceffa, 0xa6139dc6e747d493,
  0x8f2bdf729dacac9b, 0x6ebd47c1b306657a, 0x48b34eb422814c57, 0xf0ea426be8c2cb11, 0xb3f88fa839d5db94,
  0xf258d578d8ebd44b, 0xf4b3170908a0f547, 0x7b546c1132386f65, 0x2af9ddc5494b31f3, 0xcc5076bcb955acfe,
  0xd9cea2a551aee719, 0x0809d372bb54b7d5, 0x8695c958f488735c, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6da0518edec55516, 0xcfec371e6c25ccbe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x089a638ba29e4afd,
};

/*
 * m169a_swio15_dual_ee_ce_u4_hw     m169p_swio15_dual_ee_ce_u4_hw     m169pa_swio15_dual_ee_ce_u4_hw
 * m165_swio15_dual_ee_ce_u4_hw      m165a_swio15_dual_ee_ce_u4_hw     m165p_swio15_dual_ee_ce_u4_hw
 * m165pa_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m169_swio15_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0xe276fccc54626d15, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4e2afb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0x4306d2303775b40c, 0x2ec24ee9f12e2061,
  0x1d8270bc39b96bf3, 0xfe0daee6f51f1bb6, 0x95fe7ef822847244, 0x7138f006e1f0a218, 0x84724432abbbddf3,
  0x01cf09b7dc542196, 0x1bcaf212db9257fd, 0x941986ff67a1cc16, 0x307261ae2faa3eaf, 0x1222fb892c79e37c,
  0xf1f77ea3e12fc436, 0xcdcdd33c5dc6e70f, 0x657a8f2bdf729dad, 0x4c576ebd47c1b306, 0xcb1148b34eb42281,
  0xdb94f0ea426be8c2, 0xd44bb3f88fa839d5, 0xf547f258d578d8eb, 0x6f65f4b3170908a0, 0x31f37b546c113238,
  0xacfe2af9ddc5494b, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae, 0x735c0809d372bb54, 0x5e588695c958f488,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0x9cfd4176371e6c25,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000ebacd1b82fa,
};

/*
 * m329_autobaud_uart0_noled_pr      m329a_autobaud_uart0_noled        m329a_autobaud_uart0_noled_pr
 * m329p_autobaud_uart0_noled        m329p_autobaud_uart0_noled_pr     m329pa_autobaud_uart0_noled
 * m329pa_autobaud_uart0_noled_pr    m3290_autobaud_uart0_noled        m3290_autobaud_uart0_noled_pr
 * m3290a_autobaud_uart0_noled       m3290a_autobaud_uart0_noled_pr    m3290p_autobaud_uart0_noled
 * m3290p_autobaud_uart0_noled_pr    m3290pa_autobaud_uart0_noled      m3290pa_autobaud_uart0_noled_pr
 * m325_autobaud_uart0_noled         m325_autobaud_uart0_noled_pr      m325a_autobaud_uart0_noled
 * m325a_autobaud_uart0_noled_pr     m325p_autobaud_uart0_noled        m325p_autobaud_uart0_noled_pr
 * m325pa_autobaud_uart0_noled       m325pa_autobaud_uart0_noled_pr    m3250_autobaud_uart0_noled
 * m3250_autobaud_uart0_noled_pr     m3250a_autobaud_uart0_noled       m3250a_autobaud_uart0_noled_pr
 * m3250p_autobaud_uart0_noled       m3250p_autobaud_uart0_noled_pr    m3250pa_autobaud_uart0_noled
 * m3250pa_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m329_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x04316ef2776c7b21,
  0xe879feea609f1809, 0xd022054f848f5ff7, 0xaa4d7ce1cc05d221, 0x24386d1bdaa3857e, 0xf06693d47afe77cb,
  0x16f74d6b54b8e3a7, 0x5cec691199e398b0, 0xac86adc72c608ebc, 0x9ce166fc0c4ad7b0, 0x5bcde0e4ac077ad7,
  0x7f36ea5ab94a5f38, 0x744099f14085a771, 0x84b997cdb4e31bc6, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xb8f9e4afdcd0ccb0, 0x000000001c440926,
};

/*
 * m329a_autobaud_uart0_noled_pr_u4  m329p_autobaud_uart0_noled_pr_u4  m329pa_autobaud_uart0_noled_pr_u4
 * m3290_autobaud_uart0_noled_pr_u4  m3290a_autobaud_uart0_noled_pr_u4 m3290p_autobaud_uart0_noled_pr_u4
 * m3290pa_autobaud_uart0_noled_pr_u4 m325_autobaud_uart0_noled_pr_u4
 * m325a_autobaud_uart0_noled_pr_u4  m325p_autobaud_uart0_noled_pr_u4  m325pa_autobaud_uart0_noled_pr_u4
 * m3250_autobaud_uart0_noled_pr_u4  m3250a_autobaud_uart0_noled_pr_u4 m3250p_autobaud_uart0_noled_pr_u4
 * m3250pa_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m329_autobaud_uart0_noled_pr_u4[] = {
  0x6eeeeeed1222e59b, 0xbbbbbaabf0bedb89, 0xf4bc7cc982fdb1fb, 0x1c00f26eeedc4e1f, 0x93bbc962732193aa,
  0xf304f8c048218b77, 0x7c25d47f9e059fdb, 0x0e602e910e81102a, 0xded51c2bf5526be7, 0x51fa03be5843c368,
  0xefb5a38e9fc1a0bf, 0xe8f58731602cb299, 0x7fecc11d7a3e76af, 0x81e59ed8fb33ca80, 0x0b37e06256bd838f,
  0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x61afaa22029e4afd, 0x0000000000000004,
};

/*
 * m329_autobaud_uart0_noled_pr_ee_u4 m329a_autobaud_uart0_noled_pr_ee
 * m329a_autobaud_uart0_noled_pr_ee_u4 m329p_autobaud_uart0_noled_pr_ee
 * m329p_autobaud_uart0_noled_pr_ee_u4 m329pa_autobaud_uart0_noled_pr_ee
 * m329pa_autobaud_uart0_noled_pr_ee_u4 m3290_autobaud_uart0_noled_pr_ee
 * m3290_autobaud_uart0_noled_pr_ee_u4 m3290a_autobaud_uart0_noled_pr_ee
 * m3290a_autobaud_uart0_noled_pr_ee_u4 m3290p_autobaud_uart0_noled_pr_ee
 * m3290p_autobaud_uart0_noled_pr_ee_u4 m3290pa_autobaud_uart0_noled_pr_ee
 * m3290pa_autobaud_uart0_noled_pr_ee_u4 m325_autobaud_uart0_noled_pr_ee
 * m325_autobaud_uart0_noled_pr_ee_u4 m325a_autobaud_uart0_noled_pr_ee
 * m325a_autobaud_uart0_noled_pr_ee_u4 m325p_autobaud_uart0_noled_pr_ee
 * m325p_autobaud_uart0_noled_pr_ee_u4 m325pa_autobaud_uart0_noled_pr_ee
 * m325pa_autobaud_uart0_noled_pr_ee_u4 m3250_autobaud_uart0_noled_pr_ee
 * m3250_autobaud_uart0_noled_pr_ee_u4 m3250a_autobaud_uart0_noled_pr_ee
 * m3250a_autobaud_uart0_noled_pr_ee_u4 m3250p_autobaud_uart0_noled_pr_ee
 * m3250p_autobaud_uart0_noled_pr_ee_u4 m3250pa_autobaud_uart0_noled_pr_ee
 * m3250pa_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m329_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x13e30120862dde4e, 0x295dfe78167f674c, 0x01748874088153e1, 0xa8e15faa935f3873, 0x26ab5a39c61b46f6,
  0xc1b30698fa8f2b91, 0x5a1143be2beebd47, 0x35f4616588a459a7, 0x3ab4bce2b8d64d21, 0x3af3a6edbda3c167,
  0x28e791871b1aad74, 0xb70decb65cc5c242, 0x801512a6951b047e, 0xbce70b37e06256bd, 0x5bcde01f50603bd6,
  0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0x732f9b6249156f62, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00026a726822029e,
};

/*
 * m329_autobaud_uart0_noled_pr_ce_u4 m329a_autobaud_uart0_noled_pr_ce
 * m329a_autobaud_uart0_noled_pr_ce_u4 m329p_autobaud_uart0_noled_pr_ce
 * m329p_autobaud_uart0_noled_pr_ce_u4 m329pa_autobaud_uart0_noled_pr_ce
 * m329pa_autobaud_uart0_noled_pr_ce_u4 m3290_autobaud_uart0_noled_pr_ce
 * m3290_autobaud_uart0_noled_pr_ce_u4 m3290a_autobaud_uart0_noled_pr_ce
 * m3290a_autobaud_uart0_noled_pr_ce_u4 m3290p_autobaud_uart0_noled_pr_ce
 * m3290p_autobaud_uart0_noled_pr_ce_u4 m3290pa_autobaud_uart0_noled_pr_ce
 * m3290pa_autobaud_uart0_noled_pr_ce_u4 m325_autobaud_uart0_noled_pr_ce
 * m325_autobaud_uart0_noled_pr_ce_u4 m325a_autobaud_uart0_noled_pr_ce
 * m325a_autobaud_uart0_noled_pr_ce_u4 m325p_autobaud_uart0_noled_pr_ce
 * m325p_autobaud_uart0_noled_pr_ce_u4 m325pa_autobaud_uart0_noled_pr_ce
 * m325pa_autobaud_uart0_noled_pr_ce_u4 m3250_autobaud_uart0_noled_pr_ce
 * m3250_autobaud_uart0_noled_pr_ce_u4 m3250a_autobaud_uart0_noled_pr_ce
 * m3250a_autobaud_uart0_noled_pr_ce_u4 m3250p_autobaud_uart0_noled_pr_ce
 * m3250p_autobaud_uart0_noled_pr_ce_u4 m3250pa_autobaud_uart0_noled_pr_ce
 * m3250pa_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x569827c602410c5b, 0xa7c2450ffcf02cfe, 0x70e602e910e81102, 0x8ded51c2bf5526be, 0x54edfcb8beb92436,
  0xc2445f71258f3c02, 0xfe620fd47c25f886, 0xcb19fac99e2ee371, 0x74fe0f59ea393d3d, 0xd61cc580a3e7491c,
  0xb33c75e8f9dabfa3, 0xe5adc3eccf2a01ff, 0x37e06256bd838f81, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x5e6dc4053c95fb9a,
  0x00000000000008dd,
};

/*
 * m329a_autobaud_uart0_noled_pr_ee_ce m329p_autobaud_uart0_noled_pr_ee_ce
 * m329pa_autobaud_uart0_noled_pr_ee_ce m3290_autobaud_uart0_noled_pr_ee_ce
 * m3290a_autobaud_uart0_noled_pr_ee_ce m3290p_autobaud_uart0_noled_pr_ee_ce
 * m3290pa_autobaud_uart0_noled_pr_ee_ce m325_autobaud_uart0_noled_pr_ee_ce
 * m325a_autobaud_uart0_noled_pr_ee_ce m325p_autobaud_uart0_noled_pr_ee_ce
 * m325pa_autobaud_uart0_noled_pr_ee_ce m3250_autobaud_uart0_noled_pr_ee_ce
 * m3250a_autobaud_uart0_noled_pr_ee_ce m3250p_autobaud_uart0_noled_pr_ee_ce
 * m3250pa_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m329_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x13e30120862dde4e, 0x416bfcf02cf8cdcc, 0x02e910e81102a7c2, 0x51c2bf5526be70e6, 0x1dff546fe4368ded,
  0xed0fbf3c0254ef02, 0x6563df309cee371a, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114,
  0x576e9c4752135f46, 0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991,
  0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0xcbe6d89218edec55,
  0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x02b369f5e2029e4a,
};

/*
 * m329a_autobaud_uart0_noled_pr_ee_ce_u4 m329p_autobaud_uart0_noled_pr_ee_ce_u4
 * m329pa_autobaud_uart0_noled_pr_ee_ce_u4 m3290_autobaud_uart0_noled_pr_ee_ce_u4
 * m3290a_autobaud_uart0_noled_pr_ee_ce_u4 m3290p_autobaud_uart0_noled_pr_ee_ce_u4
 * m3290pa_autobaud_uart0_noled_pr_ee_ce_u4 m325_autobaud_uart0_noled_pr_ee_ce_u4
 * m325a_autobaud_uart0_noled_pr_ee_ce_u4 m325p_autobaud_uart0_noled_pr_ee_ce_u4
 * m325pa_autobaud_uart0_noled_pr_ee_ce_u4 m3250_autobaud_uart0_noled_pr_ee_ce_u4
 * m3250a_autobaud_uart0_noled_pr_ee_ce_u4 m3250p_autobaud_uart0_noled_pr_ee_ce_u4
 * m3250pa_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x2ddddddda2435f41, 0x7777775573c14671, 0x6ec48f4eb23a1bb7, 0x6277d3c3f006ead0, 0x3bb45fddb62ae264,
  0x304f8c048218b779, 0x253b7ff62bb3f5bf, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0x1b8bea8e43c368de,
  0xee24b1e79b680e1c, 0xfa8f84bf10d8488b, 0xf99e2ee373a3ea49, 0xa3cafa894ed6e6de, 0x09fea3e0d9835afe,
  0xa459a75a1140a62b, 0xc4752135f4616588, 0xdb7b4782ce7576e9, 0x1c6c6abc6c75e74d, 0xd973170908a39e46,
  0x4d2a3608991c37b2, 0x6fc0c4ad7b0b3a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0x89218edec5551696, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x20886e41ba2cf257,
};

/*
 * m329a_autobaud_uart0_noled_ee_hw  m329p_autobaud_uart0_noled_ee_hw  m329pa_autobaud_uart0_noled_ee_hw
 * m3290_autobaud_uart0_noled_ee_hw  m3290a_autobaud_uart0_noled_ee_hw m3290p_autobaud_uart0_noled_ee_hw
 * m3290pa_autobaud_uart0_noled_ee_hw m325_autobaud_uart0_noled_ee_hw
 * m325a_autobaud_uart0_noled_ee_hw  m325p_autobaud_uart0_noled_ee_hw  m325pa_autobaud_uart0_noled_ee_hw
 * m3250_autobaud_uart0_noled_ee_hw  m3250a_autobaud_uart0_noled_ee_hw m3250p_autobaud_uart0_noled_ee_hw
 * m3250pa_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m329_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0x9d304f8c048218b7, 0x53e1295dff4299fd, 0x3873017488740881, 0x46f6a8e15faa935f, 0x2b9126ab5a39c61b,
  0xbd47c1b30698fa8f, 0x59a75a1143be2bee, 0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3,
  0xc24228e791871b1a, 0x047eb70decb65cc5, 0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x9b09732f9b624915, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x93a29e4afdcd0ccb, 0x00000000002c4f7c,
};

/*
 * m329_autobaud_uart0_noled_ee_ce_u4_hw m329a_autobaud_uart0_noled_ee_ce_hw
 * m329a_autobaud_uart0_noled_ee_ce_u4_hw m329p_autobaud_uart0_noled_ee_ce_hw
 * m329p_autobaud_uart0_noled_ee_ce_u4_hw m329pa_autobaud_uart0_noled_ee_ce_hw
 * m329pa_autobaud_uart0_noled_ee_ce_u4_hw m3290_autobaud_uart0_noled_ee_ce_hw
 * m3290_autobaud_uart0_noled_ee_ce_u4_hw m3290a_autobaud_uart0_noled_ee_ce_hw
 * m3290a_autobaud_uart0_noled_ee_ce_u4_hw m3290p_autobaud_uart0_noled_ee_ce_hw
 * m3290p_autobaud_uart0_noled_ee_ce_u4_hw m3290pa_autobaud_uart0_noled_ee_ce_hw
 * m3290pa_autobaud_uart0_noled_ee_ce_u4_hw m325_autobaud_uart0_noled_ee_ce_hw
 * m325_autobaud_uart0_noled_ee_ce_u4_hw m325a_autobaud_uart0_noled_ee_ce_hw
 * m325a_autobaud_uart0_noled_ee_ce_u4_hw m325p_autobaud_uart0_noled_ee_ce_hw
 * m325p_autobaud_uart0_noled_ee_ce_u4_hw m325pa_autobaud_uart0_noled_ee_ce_hw
 * m325pa_autobaud_uart0_noled_ee_ce_u4_hw m3250_autobaud_uart0_noled_ee_ce_hw
 * m3250_autobaud_uart0_noled_ee_ce_u4_hw m3250a_autobaud_uart0_noled_ee_ce_hw
 * m3250a_autobaud_uart0_noled_ee_ce_u4_hw m3250p_autobaud_uart0_noled_ee_ce_hw
 * m3250p_autobaud_uart0_noled_ee_ce_u4_hw m3250pa_autobaud_uart0_noled_ee_ce_hw
 * m3250pa_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xf304f8c048218b77, 0xf84a76ffe8533f5b, 0x1cc05d221d022054, 0xbdaa3857eaa4d7ce, 0x383717d51c8786d1,
  0x17dc4963cf36d01c, 0x47f51f097e21b091, 0xdef99e2ee3712a2e, 0xfea3cafa894ed6e6, 0x2b09fea3e0d9835a,
  0x88a459a75a1140a6, 0xe9c4752135f46165, 0x4ddb7b4782ce7576, 0x461c6c6abc6c75e7, 0xb2d973170908a39e,
  0x254d2a3608991c37, 0x166fc0c4ad7b0b3a, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b,
  0x6d89218edec55516, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0025486e428a792b,
};

/*
 * m329a_autobaud_uart0_lednop       m329p_autobaud_uart0_lednop       m329pa_autobaud_uart0_lednop
 * m3290_autobaud_uart0_lednop       m3290a_autobaud_uart0_lednop      m3290p_autobaud_uart0_lednop
 * m3290pa_autobaud_uart0_lednop     m325_autobaud_uart0_lednop        m325a_autobaud_uart0_lednop
 * m325p_autobaud_uart0_lednop       m325pa_autobaud_uart0_lednop      m3250_autobaud_uart0_lednop
 * m3250a_autobaud_uart0_lednop      m3250p_autobaud_uart0_lednop      m3250pa_autobaud_uart0_lednop
 */
static const uint64_t ur_m329_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x8218b7793bb63d90,
  0xf43cfc89304f8c04, 0xe81102a7c25a57fb, 0x5526be70e602e910, 0x921c368ded51c2bf, 0xfc19a4f51c9e3be5,
  0x02dee987ce9238e9, 0x2e766be4720a7316, 0x2b07dee39630475e, 0x013859bf0312b5ec, 0x9b228301deb5e781,
  0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0xcfec376c25ccbe6d, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x98bf5eb8f9e4afdc, 0x0000000000000035,
};

/*
 * m329_autobaud_uart0_lednop_pr_u4  m329a_autobaud_uart0_lednop_pr    m329a_autobaud_uart0_lednop_pr_u4
 * m329p_autobaud_uart0_lednop_pr    m329p_autobaud_uart0_lednop_pr_u4 m329pa_autobaud_uart0_lednop_pr
 * m329pa_autobaud_uart0_lednop_pr_u4 m3290_autobaud_uart0_lednop_pr
 * m3290_autobaud_uart0_lednop_pr_u4 m3290a_autobaud_uart0_lednop_pr
 * m3290a_autobaud_uart0_lednop_pr_u4 m3290p_autobaud_uart0_lednop_pr
 * m3290p_autobaud_uart0_lednop_pr_u4 m3290pa_autobaud_uart0_lednop_pr
 * m3290pa_autobaud_uart0_lednop_pr_u4 m325_autobaud_uart0_lednop_pr
 * m325_autobaud_uart0_lednop_pr_u4  m325a_autobaud_uart0_lednop_pr    m325a_autobaud_uart0_lednop_pr_u4
 * m325p_autobaud_uart0_lednop_pr    m325p_autobaud_uart0_lednop_pr_u4 m325pa_autobaud_uart0_lednop_pr
 * m325pa_autobaud_uart0_lednop_pr_u4 m3250_autobaud_uart0_lednop_pr
 * m3250_autobaud_uart0_lednop_pr_u4 m3250a_autobaud_uart0_lednop_pr
 * m3250a_autobaud_uart0_lednop_pr_u4 m3250p_autobaud_uart0_lednop_pr
 * m3250p_autobaud_uart0_lednop_pr_u4 m3250pa_autobaud_uart0_lednop_pr
 * m3250pa_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr[] = {
  0xb77777768911259b, 0xdddddd55f85cb8c4, 0xedbf4a9171debd3d, 0xff1fe2f7776e270f, 0x4eecbbb120ce05c2,
  0xcc13e30120862dde, 0xf09775fe78167e3d, 0x3980ba443a0440a9, 0x7b5470afd549af9c, 0x47b58ef9610f0da3,
  0x241f8e3a7f0682fd, 0x1a43398b016594df, 0xfd9823af47cecb3d, 0x3cb3db416691500f, 0x66fc0c4ad7b20ad0,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722,
  0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x2029e4afdcd0ccb0, 0x000000004618202e,
};

/*
 * m329a_autobaud_uart0_lednop_pr_ee m329p_autobaud_uart0_lednop_pr_ee m329pa_autobaud_uart0_lednop_pr_ee
 * m3290_autobaud_uart0_lednop_pr_ee m3290a_autobaud_uart0_lednop_pr_ee
 * m3290p_autobaud_uart0_lednop_pr_ee m3290pa_autobaud_uart0_lednop_pr_ee
 * m325_autobaud_uart0_lednop_pr_ee  m325a_autobaud_uart0_lednop_pr_ee m325p_autobaud_uart0_lednop_pr_ee
 * m325pa_autobaud_uart0_lednop_pr_ee m3250_autobaud_uart0_lednop_pr_ee
 * m3250a_autobaud_uart0_lednop_pr_ee m3250p_autobaud_uart0_lednop_pr_ee
 * m3250pa_autobaud_uart0_lednop_pr_ee
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr_ee[] = {
  0xddddddd0f5a22044, 0x7777755717fa0b12, 0x34cfda9bfa7a6277, 0xb210646d6ef1f1b6, 0x829395c1086d16a2,
  0xf8c048218b7793ba, 0x4dff9e059f1ad304, 0x5d221d022054f84b, 0x3857eaa4d7ce1cc0, 0xaad68e7186d1bdaa,
  0x6cc1a63ea3cacca9, 0x08a1df1587bf51f0, 0xfa30b2c4522cd3ad, 0x5a5cf55c6b26909a, 0xbce9bb4648c9a39d,
  0x09e46f6ac6ab5d0e, 0xc37b2d973170908a, 0x087d99e546c11fad, 0x13859bf0312b5ec0, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xd5c1e6c25ccbe6db, 0xc81f943459d3e2e4,
  0xfca1854e7ea75663, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x0000004d4ee9e880,
};

/*
 * m329a_autobaud_uart0_lednop_pr_ee_u4 m329p_autobaud_uart0_lednop_pr_ee_u4
 * m329pa_autobaud_uart0_lednop_pr_ee_u4 m3290_autobaud_uart0_lednop_pr_ee_u4
 * m3290a_autobaud_uart0_lednop_pr_ee_u4 m3290p_autobaud_uart0_lednop_pr_ee_u4
 * m3290pa_autobaud_uart0_lednop_pr_ee_u4 m325_autobaud_uart0_lednop_pr_ee_u4
 * m325a_autobaud_uart0_lednop_pr_ee_u4 m325p_autobaud_uart0_lednop_pr_ee_u4
 * m325pa_autobaud_uart0_lednop_pr_ee_u4 m3250_autobaud_uart0_lednop_pr_ee_u4
 * m3250a_autobaud_uart0_lednop_pr_ee_u4 m3250p_autobaud_uart0_lednop_pr_ee_u4
 * m3250pa_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x27c602410c5bbc9d, 0x595bfcf02cfe9b98, 0x02e910e81102a7c2, 0x51c2bf5526be70e6, 0xcd56b46be4368ded,
  0x0d983c8bea3cac27, 0xd08a1df15c89ea3e, 0xafa30b2c4522cd3a, 0x569797cb8a266909, 0x7aea6ec22a3e78e7,
  0x2bfa3d658d56ba1d, 0x0decb8723170908a, 0x0c4ad7b1703efeb7, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00004d4e48be2029,
};

/*
 * m329_autobaud_uart0_lednop_pr_ce_u4 m329a_autobaud_uart0_lednop_pr_ce
 * m329a_autobaud_uart0_lednop_pr_ce_u4 m329p_autobaud_uart0_lednop_pr_ce
 * m329p_autobaud_uart0_lednop_pr_ce_u4 m329pa_autobaud_uart0_lednop_pr_ce
 * m329pa_autobaud_uart0_lednop_pr_ce_u4 m3290_autobaud_uart0_lednop_pr_ce
 * m3290_autobaud_uart0_lednop_pr_ce_u4 m3290a_autobaud_uart0_lednop_pr_ce
 * m3290a_autobaud_uart0_lednop_pr_ce_u4 m3290p_autobaud_uart0_lednop_pr_ce
 * m3290p_autobaud_uart0_lednop_pr_ce_u4 m3290pa_autobaud_uart0_lednop_pr_ce
 * m3290pa_autobaud_uart0_lednop_pr_ce_u4 m325_autobaud_uart0_lednop_pr_ce
 * m325_autobaud_uart0_lednop_pr_ce_u4 m325a_autobaud_uart0_lednop_pr_ce
 * m325a_autobaud_uart0_lednop_pr_ce_u4 m325p_autobaud_uart0_lednop_pr_ce
 * m325p_autobaud_uart0_lednop_pr_ce_u4 m325pa_autobaud_uart0_lednop_pr_ce
 * m325pa_autobaud_uart0_lednop_pr_ce_u4 m3250_autobaud_uart0_lednop_pr_ce
 * m3250_autobaud_uart0_lednop_pr_ce_u4 m3250a_autobaud_uart0_lednop_pr_ce
 * m3250a_autobaud_uart0_lednop_pr_ce_u4 m3250p_autobaud_uart0_lednop_pr_ce
 * m3250p_autobaud_uart0_lednop_pr_ce_u4 m3250pa_autobaud_uart0_lednop_pr_ce
 * m3250pa_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0xea609f180904316e, 0x9f09604ff3c0b3f6, 0xc3980ba443a0440a, 0x37b5470afd549af9, 0xa7752ae2fae490da,
  0x1222fb892c79e012, 0x7e007ea3e12fc436, 0xb19fac99e2ee372b, 0x4fe0f59ea3f493dc, 0x19cc580a9888b1c7,
  0xcf1d7a3e7659e8d2, 0x6b720b348a807fec, 0xf81895af6415a079, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xc25ccbe6db9c31db, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x0000008dd6aca880,
};

/*
 * m329a_autobaud_uart0_lednop_pr_ee_ce m329p_autobaud_uart0_lednop_pr_ee_ce
 * m329pa_autobaud_uart0_lednop_pr_ee_ce m3290_autobaud_uart0_lednop_pr_ee_ce
 * m3290a_autobaud_uart0_lednop_pr_ee_ce m3290p_autobaud_uart0_lednop_pr_ee_ce
 * m3290pa_autobaud_uart0_lednop_pr_ee_ce m325_autobaud_uart0_lednop_pr_ee_ce
 * m325a_autobaud_uart0_lednop_pr_ee_ce m325p_autobaud_uart0_lednop_pr_ee_ce
 * m325pa_autobaud_uart0_lednop_pr_ee_ce m3250_autobaud_uart0_lednop_pr_ee_ce
 * m3250a_autobaud_uart0_lednop_pr_ee_ce m3250p_autobaud_uart0_lednop_pr_ee_ce
 * m3250pa_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x09f180904316ef27, 0x2b1fff3c0b3e1a26, 0x01748874088153e1, 0xa8e15faa935f3873, 0xceffaa37f21b46f6,
  0x49faff9e012a77be, 0x5958f7cc273b8dc1, 0x0d6bfa8f2beea53b, 0x0298af6ffa8f8366, 0x85962291669d6845,
  0xd5db8f51d484d7d1, 0xebce9bb4648c9a39, 0x413c8ded58d578d8, 0x386f65b2e62e1211, 0x2cc7d99e546c1132,
  0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x5c9ab8d84b997cdb, 0xb31e40fca1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271, 0x63fc4053c95fb9a1,
  0x0000000000002b37,
};

/*
 * m329a_autobaud_uart0_lednop_pr_ee_ce_u4 m329p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m329pa_autobaud_uart0_lednop_pr_ee_ce_u4 m3290_autobaud_uart0_lednop_pr_ee_ce_u4
 * m3290a_autobaud_uart0_lednop_pr_ee_ce_u4 m3290p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m3290pa_autobaud_uart0_lednop_pr_ee_ce_u4 m325_autobaud_uart0_lednop_pr_ee_ce_u4
 * m325a_autobaud_uart0_lednop_pr_ee_ce_u4 m325p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m325pa_autobaud_uart0_lednop_pr_ee_ce_u4 m3250_autobaud_uart0_lednop_pr_ee_ce_u4
 * m3250a_autobaud_uart0_lednop_pr_ee_ce_u4 m3250p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m3250pa_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x2ddddddda2436d3a, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0x776e76cd8f6c98cc,
  0x609f180904316ef2, 0x25883fec5767d0fa, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0xab8bea8e43c368de,
  0xee24b1e79b680e25, 0xfa8f84bf10d8488b, 0xf33c5dc6e0224c03, 0x4795f7529dadcdbd, 0xb7fd47c1b306b5fd,
  0x48b34eb422814c57, 0xa8ea426be8c2cb11, 0xda32464d1ceaedc7, 0xf6ac6abc6c75e74d, 0xd973170908a09e46,
  0xcf2a3608991c37b2, 0xdf81895af61663ec, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x95ba2cf257ee6866, 0x0000000000208996,
};

/*
 * m329a_autobaud_uart0_lednop_ee_hw m329p_autobaud_uart0_lednop_ee_hw m329pa_autobaud_uart0_lednop_ee_hw
 * m3290_autobaud_uart0_lednop_ee_hw m3290a_autobaud_uart0_lednop_ee_hw
 * m3290p_autobaud_uart0_lednop_ee_hw m3290pa_autobaud_uart0_lednop_ee_hw
 * m325_autobaud_uart0_lednop_ee_hw  m325a_autobaud_uart0_lednop_ee_hw m325p_autobaud_uart0_lednop_ee_hw
 * m325pa_autobaud_uart0_lednop_ee_hw m3250_autobaud_uart0_lednop_ee_hw
 * m3250a_autobaud_uart0_lednop_ee_hw m3250p_autobaud_uart0_lednop_ee_hw
 * m3250pa_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0x5a609f180904316e, 0xa7c25a6ffe8533e3, 0x70e602e910e81102, 0x8ded51c2bf5526be, 0x56654d56b4738c36,
  0xfa8f83660d31f51e, 0x669d68450ef8ac3d, 0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246,
  0x8484504f237b5635, 0x08fd6e1bd96cb98b, 0x5af60043eccf2a36, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00002c4f00ad453c,
};

/*
 * m329_autobaud_uart0_lednop_ee_ce_u4_hw m329a_autobaud_uart0_lednop_ee_ce_hw
 * m329a_autobaud_uart0_lednop_ee_ce_u4_hw m329p_autobaud_uart0_lednop_ee_ce_hw
 * m329p_autobaud_uart0_lednop_ee_ce_u4_hw m329pa_autobaud_uart0_lednop_ee_ce_hw
 * m329pa_autobaud_uart0_lednop_ee_ce_u4_hw m3290_autobaud_uart0_lednop_ee_ce_hw
 * m3290_autobaud_uart0_lednop_ee_ce_u4_hw m3290a_autobaud_uart0_lednop_ee_ce_hw
 * m3290a_autobaud_uart0_lednop_ee_ce_u4_hw m3290p_autobaud_uart0_lednop_ee_ce_hw
 * m3290p_autobaud_uart0_lednop_ee_ce_u4_hw m3290pa_autobaud_uart0_lednop_ee_ce_hw
 * m3290pa_autobaud_uart0_lednop_ee_ce_u4_hw m325_autobaud_uart0_lednop_ee_ce_hw
 * m325_autobaud_uart0_lednop_ee_ce_u4_hw m325a_autobaud_uart0_lednop_ee_ce_hw
 * m325a_autobaud_uart0_lednop_ee_ce_u4_hw m325p_autobaud_uart0_lednop_ee_ce_hw
 * m325p_autobaud_uart0_lednop_ee_ce_u4_hw m325pa_autobaud_uart0_lednop_ee_ce_hw
 * m325pa_autobaud_uart0_lednop_ee_ce_u4_hw m3250_autobaud_uart0_lednop_ee_ce_hw
 * m3250_autobaud_uart0_lednop_ee_ce_u4_hw m3250a_autobaud_uart0_lednop_ee_ce_hw
 * m3250a_autobaud_uart0_lednop_ee_ce_u4_hw m3250p_autobaud_uart0_lednop_ee_ce_hw
 * m3250p_autobaud_uart0_lednop_ee_ce_u4_hw m3250pa_autobaud_uart0_lednop_ee_ce_hw
 * m3250pa_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xe9827c602410c5bb, 0x3e12c41ff4299f43, 0x8730174887408815, 0x6f6a8e15faa935f3, 0x12d5c5f54721e1b4,
  0x45f71258f3cdb407, 0x72fd47c25f886c24, 0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6,
  0x62291669d6845029, 0xb8f51d484d7d1859, 0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413,
  0x7d99e546c1132386, 0x859bf0312b5ec2cc, 0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0xe3cd84b997cdb738, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x32d2d14f257ee686, 0x00000000000004a9,
};

/*
 * m329_autobaud_uart0_dual_pr       m329_autobaud_uart0_dual_pr_u4    m329a_autobaud_uart0_dual
 * m329a_autobaud_uart0_dual_pr      m329a_autobaud_uart0_dual_pr_u4   m329p_autobaud_uart0_dual
 * m329p_autobaud_uart0_dual_pr      m329p_autobaud_uart0_dual_pr_u4   m329pa_autobaud_uart0_dual
 * m329pa_autobaud_uart0_dual_pr     m329pa_autobaud_uart0_dual_pr_u4  m3290_autobaud_uart0_dual
 * m3290_autobaud_uart0_dual_pr      m3290_autobaud_uart0_dual_pr_u4   m3290a_autobaud_uart0_dual
 * m3290a_autobaud_uart0_dual_pr     m3290a_autobaud_uart0_dual_pr_u4  m3290p_autobaud_uart0_dual
 * m3290p_autobaud_uart0_dual_pr     m3290p_autobaud_uart0_dual_pr_u4  m3290pa_autobaud_uart0_dual
 * m3290pa_autobaud_uart0_dual_pr    m3290pa_autobaud_uart0_dual_pr_u4 m325_autobaud_uart0_dual
 * m325_autobaud_uart0_dual_pr       m325_autobaud_uart0_dual_pr_u4    m325a_autobaud_uart0_dual
 * m325a_autobaud_uart0_dual_pr      m325a_autobaud_uart0_dual_pr_u4   m325p_autobaud_uart0_dual
 * m325p_autobaud_uart0_dual_pr      m325p_autobaud_uart0_dual_pr_u4   m325pa_autobaud_uart0_dual
 * m325pa_autobaud_uart0_dual_pr     m325pa_autobaud_uart0_dual_pr_u4  m3250_autobaud_uart0_dual
 * m3250_autobaud_uart0_dual_pr      m3250_autobaud_uart0_dual_pr_u4   m3250a_autobaud_uart0_dual
 * m3250a_autobaud_uart0_dual_pr     m3250a_autobaud_uart0_dual_pr_u4  m3250p_autobaud_uart0_dual
 * m3250p_autobaud_uart0_dual_pr     m3250p_autobaud_uart0_dual_pr_u4  m3250pa_autobaud_uart0_dual
 * m3250pa_autobaud_uart0_dual_pr    m3250pa_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m329_autobaud_uart0_dual[] = {
  0x5bbbbbbb4486dd9e, 0xeeeeeedf8d4fed1b, 0xa71d6414ccf59f6e, 0xd3924c765bbbab8f, 0x20770fcabdd17ae2,
  0x09f180904316ef24, 0xd6d0322525214926, 0xb881850c1b48c0dd, 0x5bafccae833ba7c4, 0x4760bb0c087095d3,
  0x508e489fc19c39bd, 0x3e144312bfcfdf04, 0xaeef77cdc7f800dc, 0xe8a8432d0d2910ca, 0x6ddd2ffd01cf09a6,
  0xf735e60b0de57909, 0x21d022054f849fcf, 0x7eaa4d7ce1cc05d2, 0xe589a86d1bdaa385, 0xd3f8310fea3e453b,
  0x580aa0f34e2f7c71, 0x78033b5ac8ebf9cc, 0x87486a807fecc11d, 0xe2a4aa4e81e59ed8, 0x0c4ad7b27f157cee,
  0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec,
  0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07,
  0xd252d9f0271964b8, 0xe8b3c95fb9a19961, 0x00000000b82a0e36,
};

/*
 * m329a_autobaud_uart0_dual_pr_ee   m329p_autobaud_uart0_dual_pr_ee   m329pa_autobaud_uart0_dual_pr_ee
 * m3290_autobaud_uart0_dual_pr_ee   m3290a_autobaud_uart0_dual_pr_ee  m3290p_autobaud_uart0_dual_pr_ee
 * m3290pa_autobaud_uart0_dual_pr_ee m325_autobaud_uart0_dual_pr_ee    m325a_autobaud_uart0_dual_pr_ee
 * m325p_autobaud_uart0_dual_pr_ee   m325pa_autobaud_uart0_dual_pr_ee  m3250_autobaud_uart0_dual_pr_ee
 * m3250a_autobaud_uart0_dual_pr_ee  m3250p_autobaud_uart0_dual_pr_ee  m3250pa_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ee[] = {
  0xadddddddd41432db, 0x7777776fc3f75c4d, 0x5f05947d3ef5c2f7, 0xcd8eba9be9dbb619, 0x1c115658219d210e,
  0x0120862dde49ba77, 0xc8949481544c13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0xb0c40706bb990fbf,
  0x89fc18689bd477f9, 0x312bfcfdf04508e4, 0xf37011200dc3e144, 0x9686044432abbbdd, 0xfd01cf098bac5421,
  0x0b0de579096dffe7, 0x0a9f0913aff735e6, 0xf9c3980ba443a044, 0xda37b5470afd549a, 0xf2b5f7355ad1c890,
  0x2bd47c1b3060a7a8, 0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428,
  0xb84845022a3e7ac6, 0xc11fadc37b2fa598, 0xdc54940213fac546, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf,
  0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x12e65f36dce455bd, 0xeee34596af1b8f36,
  0x1854e7ea75666fe0, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e, 0x90ad4dd16792bf73,
  0x000000000000014a,
};

/*
 * m329a_autobaud_uart0_dual_pr_ee_u4 m329p_autobaud_uart0_dual_pr_ee_u4
 * m329pa_autobaud_uart0_dual_pr_ee_u4 m3290_autobaud_uart0_dual_pr_ee_u4
 * m3290a_autobaud_uart0_dual_pr_ee_u4 m3290p_autobaud_uart0_dual_pr_ee_u4
 * m3290pa_autobaud_uart0_dual_pr_ee_u4 m325_autobaud_uart0_dual_pr_ee_u4
 * m325a_autobaud_uart0_dual_pr_ee_u4 m325p_autobaud_uart0_dual_pr_ee_u4
 * m325pa_autobaud_uart0_dual_pr_ee_u4 m3250_autobaud_uart0_dual_pr_ee_u4
 * m3250a_autobaud_uart0_dual_pr_ee_u4 m3250p_autobaud_uart0_dual_pr_ee_u4
 * m3250pa_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ee_u4[] = {
  0x36b7777776890c86, 0xbbbbbbbb7e1fbdfb, 0xa520adb178d5b5df, 0x0b201a2f537d3b74, 0x25dddd8dd9683cc5,
  0x4f8c048218b77936, 0xda0644a4a4271f30, 0x1030a18369181bba, 0x41f995d06774f897, 0xe1a361a68e0ff26c,
  0x239227f0763f37a8, 0x8510c4aff3f7c114, 0x77bbe6e52500370f, 0xa8432d0296886557, 0xddaffa039e137ce8,
  0xd7982c3795e425b7, 0x022054f84babffdc, 0xa4d7ce1cc05d221d, 0x4a86d1bdaa3857ea, 0x3d4795c7b9aad68f,
  0x15c89ea3e0d983f9, 0xc4522cd3ad08a1df, 0x7082e6909afa30b2, 0x22a3e90e75697d29, 0xec6ab5d0ebdac4ec,
  0xc62e1211457f4752, 0xab81f7f5b86f65c7, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0x6f3796ea0c077ad7,
  0xdf2a6f529c94e801, 0xd1023a8a042d380b, 0x12e65f36d38c6f19, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xdd16792bf734332c,
  0x00000000052a4814,
};

/*
 * m329a_autobaud_uart0_dual_pr_ce   m329p_autobaud_uart0_dual_pr_ce   m329pa_autobaud_uart0_dual_pr_ce
 * m3290_autobaud_uart0_dual_pr_ce   m3290a_autobaud_uart0_dual_pr_ce  m3290p_autobaud_uart0_dual_pr_ce
 * m3290pa_autobaud_uart0_dual_pr_ce m325_autobaud_uart0_dual_pr_ce    m325a_autobaud_uart0_dual_pr_ce
 * m325p_autobaud_uart0_dual_pr_ce   m325pa_autobaud_uart0_dual_pr_ce  m3250_autobaud_uart0_dual_pr_ce
 * m3250a_autobaud_uart0_dual_pr_ce  m3250p_autobaud_uart0_dual_pr_ce  m3250pa_autobaud_uart0_dual_pr_ce
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ce[] = {
  0x5bbbbbba1eb432db, 0x7777776fc361009b, 0xb15cea2f2d5b9337, 0xaeec2c9f7bbba539, 0x322ee3822ac69e33,
  0x827c602410c5bbc9, 0xd6d032252523d6a9, 0xb881850c1b48c0dd, 0xb5bfccae833ba7c4, 0x7ddad826d9c276e6,
  0x11c913f8331f9bd4, 0xc2886257f9fbe08a, 0xbbddf3719c801b87, 0x54219681754432ab, 0xc2d7fd01cf0992b4,
  0x35e60b0de579096d, 0xa0440a9f096ceff7, 0x549af9c3980ba443, 0xa010da37b5470afd, 0x79e6da038e96e2fa,
  0x2fc4361222fb892c, 0xee3731035dfea3e1, 0x6fcf72c67d4b99e2, 0xf238e9fc1d4bf51c, 0x591d7f398b014141,
  0x0ffd99e3af00676b, 0x740f2d6e10e90d50, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d, 0x9f0dc79b09732f9b, 0x3ab337f07771a2ce,
  0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196, 0xec6e8b3c95fb9a19,
  0x0000000000056bda,
};

/*
 * m329a_autobaud_uart0_dual_pr_ce_u4 m329p_autobaud_uart0_dual_pr_ce_u4
 * m329pa_autobaud_uart0_dual_pr_ce_u4 m3290_autobaud_uart0_dual_pr_ce_u4
 * m3290a_autobaud_uart0_dual_pr_ce_u4 m3290p_autobaud_uart0_dual_pr_ce_u4
 * m3290pa_autobaud_uart0_dual_pr_ce_u4 m325_autobaud_uart0_dual_pr_ce_u4
 * m325a_autobaud_uart0_dual_pr_ce_u4 m325p_autobaud_uart0_dual_pr_ce_u4
 * m325pa_autobaud_uart0_dual_pr_ce_u4 m3250_autobaud_uart0_dual_pr_ce_u4
 * m3250a_autobaud_uart0_dual_pr_ce_u4 m3250p_autobaud_uart0_dual_pr_ce_u4
 * m3250pa_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ce_u4[] = {
  0xdaddddddda2432db, 0x77777776fc361d6c, 0x765bf762fb2b535f, 0x4a3f738b56eeed89, 0xb82ee3822ac07c67,
  0x827c602410c5bbc9, 0xeb6819129290b829, 0x5c40c2860da4606e, 0x8347e657419dd3e2, 0x8fd3fb0b1f387fc9,
  0x4239227f07d5f37a, 0xf8510c4aff3f7c11, 0x777bbe6e25400370, 0x8a8432d04ac88655, 0xb9c1ffa039e132fb,
  0xe6bcc161bcaf212d, 0x74088153e12cadfe, 0xaa935f3873017488, 0x55f21b46f6a8e15f, 0x8f3cdb4070a2dc5f,
  0x25f886c2445f7125, 0x5dc6e6206bbfd47c, 0xdc39ee58cf0e333c, 0xbdc71d3f830e3ea3, 0x4f237b4731602c43,
  0xfb8e58cf1d7916ec, 0xf157ceee2a4a3a13, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x1b8f3612e65f36dc, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x6bd966dd16792bf7,
  0x0000000000000005,
};

/*
 * m329a_autobaud_uart0_dual_pr_ee_ce m329p_autobaud_uart0_dual_pr_ee_ce
 * m329pa_autobaud_uart0_dual_pr_ee_ce m3290_autobaud_uart0_dual_pr_ee_ce
 * m3290a_autobaud_uart0_dual_pr_ee_ce m3290p_autobaud_uart0_dual_pr_ee_ce
 * m3290pa_autobaud_uart0_dual_pr_ee_ce m325_autobaud_uart0_dual_pr_ee_ce
 * m325a_autobaud_uart0_dual_pr_ee_ce m325p_autobaud_uart0_dual_pr_ee_ce
 * m325pa_autobaud_uart0_dual_pr_ee_ce m3250_autobaud_uart0_dual_pr_ee_ce
 * m3250a_autobaud_uart0_dual_pr_ee_ce m3250p_autobaud_uart0_dual_pr_ee_ce
 * m3250pa_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1b5bbbbbbba86f97, 0xeeeeeeeedf98ec7e, 0x27dda083e44fdebd, 0x7d7aefa16ccf7539, 0xcf046752c8a75609,
  0xc048218b7792af9d, 0xc8949483927304f8, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x60cf870eb39990ff,
  0x4fe0ff5e6f51e61b, 0x895fe7ef82284724, 0x9b9e72006e1f0a21, 0xb412d221955ddeef, 0xe80e784d1ca2a10c,
  0x586f2bc84b6e293f, 0x54f84b4d7fb9af30, 0xce1cc05d221d0220, 0xd1bdaa3857eaa4d7, 0x1c1ac77fd51b9386,
  0x8dcbc3e5afcf36d0, 0x253b5959374c273b, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2e65f36dce18edec, 0xbb8d163ce1b8f361, 0xd30ae4fdd599bf83, 0x296cf8138cb25c33, 0x59e4afdcd0ccb0e9,
  0x00000006221ce374,
};

/*
 * m329a_autobaud_uart0_dual_pr_ee_ce_u4 m329p_autobaud_uart0_dual_pr_ee_ce_u4
 * m329pa_autobaud_uart0_dual_pr_ee_ce_u4 m3290_autobaud_uart0_dual_pr_ee_ce_u4
 * m3290a_autobaud_uart0_dual_pr_ee_ce_u4 m3290p_autobaud_uart0_dual_pr_ee_ce_u4
 * m3290pa_autobaud_uart0_dual_pr_ee_ce_u4 m325_autobaud_uart0_dual_pr_ee_ce_u4
 * m325a_autobaud_uart0_dual_pr_ee_ce_u4 m325p_autobaud_uart0_dual_pr_ee_ce_u4
 * m325pa_autobaud_uart0_dual_pr_ee_ce_u4 m3250_autobaud_uart0_dual_pr_ee_ce_u4
 * m3250a_autobaud_uart0_dual_pr_ee_ce_u4 m3250p_autobaud_uart0_dual_pr_ee_ce_u4
 * m3250pa_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbbbb456ddb69f, 0xbbbbb7e15babd9b5, 0xf60987c705af05bb, 0xfa6d8b74abeabfea, 0xce8438dfc3793c89,
  0x792cf9dd202f9e5c, 0xd7304f8c048218b7, 0x6eeb681912929163, 0xe25c40c2860da460, 0x3737ff32d0729dd3,
  0x47672d8747ce0a49, 0xa11c913f836439bd, 0x7c2886257f9fbe08, 0xeef77cdcb92801b8, 0x2a10cb4136d10caa,
  0xf59ffd01cf09ac7e, 0xf0cc161bcaf212db, 0x0440a9f096377fe3, 0x49af9c3980ba443a, 0x3d0da37b5470afd5,
  0x6da4ec66ee2faa35, 0x4361222fb892c79e, 0x6a83c83fea3e12fc, 0xdadcdcdd33c5dc6e, 0x9835f3d4795bf929,
  0x140a62b80dea3e0d, 0x4616588a459a75a1, 0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3,
  0xc8e1bd97d2cc5c24, 0x252cc4feb151b044, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa, 0x6f8b9357079b0973, 0x75666fe0fdbb1a2c,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x56e5c17c8dd3c95f, 0x000000000000003f,
};

/*
 * m329a_autobaud_uart0_dual_ee_hw   m329p_autobaud_uart0_dual_ee_hw   m329pa_autobaud_uart0_dual_ee_hw
 * m3290_autobaud_uart0_dual_ee_hw   m3290a_autobaud_uart0_dual_ee_hw  m3290p_autobaud_uart0_dual_ee_hw
 * m3290pa_autobaud_uart0_dual_ee_hw m325_autobaud_uart0_dual_ee_hw    m325a_autobaud_uart0_dual_ee_hw
 * m325p_autobaud_uart0_dual_ee_hw   m325pa_autobaud_uart0_dual_ee_hw  m3250_autobaud_uart0_dual_ee_hw
 * m3250a_autobaud_uart0_dual_ee_hw  m3250p_autobaud_uart0_dual_ee_hw  m3250pa_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m329_autobaud_uart0_dual_ee_hw[] = {
  0x36b7777776890c86, 0xddddddddbf0fdd71, 0x657c1651f4fbd70b, 0x3b363aea6fa76ed8, 0xd3bbbb1bb3798a84,
  0x9f180904316ef24d, 0xda0644a4a40aa260, 0x1030a18369181bba, 0x7df995d06774f897, 0xbfcd86203835dcc8,
  0x47244fe0c344dea3, 0x0a21895fe7ef8228, 0xdeef9b8089006e1f, 0xa10cb4302221955d, 0xff3fe80e784c5d62,
  0x2330586f2bc84b6f, 0x0440a9f0913afff5, 0x49af9c3980ba443a, 0x890da37b5470afd5, 0x7a8f2b5f7355ad1c,
  0x5752bd47c1b3060a, 0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x428f7b39d5a5cca5, 0xac6ab5d0ebd44bb4,
  0x598b84845022a3e7, 0x546c11fadc37b2fa, 0xf9ddc54940213fac, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2,
  0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xca1854e7ea0bb1b8,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xad5453c95fb9a199,
  0x000000000002c1c8,
};

/*
 * m329a_autobaud_uart0_dual_ee_ce_hw m329p_autobaud_uart0_dual_ee_ce_hw
 * m329pa_autobaud_uart0_dual_ee_ce_hw m3290_autobaud_uart0_dual_ee_ce_hw
 * m3290a_autobaud_uart0_dual_ee_ce_hw m3290p_autobaud_uart0_dual_ee_ce_hw
 * m3290pa_autobaud_uart0_dual_ee_ce_hw m325_autobaud_uart0_dual_ee_ce_hw
 * m325a_autobaud_uart0_dual_ee_ce_hw m325p_autobaud_uart0_dual_ee_ce_hw
 * m325pa_autobaud_uart0_dual_ee_ce_hw m3250_autobaud_uart0_dual_ee_ce_hw
 * m3250a_autobaud_uart0_dual_ee_ce_hw m3250p_autobaud_uart0_dual_ee_ce_hw
 * m3250pa_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m329_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdadddddddd437089, 0x77777776fcc763f0, 0x3eed041f227ef5ef, 0xebd77d0b667ba9c9, 0x75e4f595b5b4b04b,
  0x30120862dde4abe7, 0x32252520e49cc13e, 0x850c1b48c0ddd6d0, 0xccae833ba7c4b881, 0xd833e1c3ace6643f,
  0x13f83fd79bd47986, 0x6257f9fbe08a11c9, 0xe6e79c801b87c288, 0x2d04b488655777bb, 0xfa039e134728a843,
  0x161bcaf212db8a4f, 0x2a7c25a6bffd48cc, 0xe70e602e910e8110, 0x68ded51c2bf5526b, 0x0e0d63bfea8dc9c3,
  0x71b9000527e79b68, 0xe4a76b2b26e984e7, 0xf83660d7cf51e56f, 0xd68450298ae037a8, 0x4d7d185962291669,
  0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31, 0xdc5494b313fac546,
  0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0x25ccbe6db9c31dbd, 0x30ae4fcfec371e6c, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000135f879ca2,
};

/*
 * m329a_autobaud_uart0_dual_ee_ce_u4_hw m329p_autobaud_uart0_dual_ee_ce_u4_hw
 * m329pa_autobaud_uart0_dual_ee_ce_u4_hw m3290_autobaud_uart0_dual_ee_ce_u4_hw
 * m3290a_autobaud_uart0_dual_ee_ce_u4_hw m3290p_autobaud_uart0_dual_ee_ce_u4_hw
 * m3290pa_autobaud_uart0_dual_ee_ce_u4_hw m325_autobaud_uart0_dual_ee_ce_u4_hw
 * m325a_autobaud_uart0_dual_ee_ce_u4_hw m325p_autobaud_uart0_dual_ee_ce_u4_hw
 * m325pa_autobaud_uart0_dual_ee_ce_u4_hw m3250_autobaud_uart0_dual_ee_ce_u4_hw
 * m3250a_autobaud_uart0_dual_ee_ce_u4_hw m3250p_autobaud_uart0_dual_ee_ce_u4_hw
 * m3250pa_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468b202, 0xeeeeedf856eaf66d, 0xfabd8261f69c16ee, 0x227e9b62dd2afaaf, 0xe918ef0727f0de4f,
  0x218b7792cf9ddfd6, 0x29163d7304f8c048, 0xda4606eeb6819129, 0x69dd3e25c40c2860, 0xe0a493737ff32c4d,
  0x439bd47672d8747c, 0xfbe08a11c913f836, 0x801b87c2886257f9, 0x10caaeef77cdcb92, 0x9ac7e2a10cb4136d,
  0x212dbf59ffd01cf0, 0xeff67a1cc161bcaf, 0x48874088153e12c6, 0x15faa935f3873017, 0xf546a7a1b46f6a8e,
  0x8f3cafac0e0cddc5, 0x25f886c2445f7125, 0x771b8a49cdffd47c, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56,
  0x9d68450298ae037a, 0x84d7d18596229166, 0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58,
  0x6c1132386f65f4b3, 0xddc5494b313fac54, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xc25ccbe6db9c31db, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000004269f3d0c,
};

/*
 * m329_u1x8_uart0_noled_pr          m329a_u1x8_uart0_noled            m329a_u1x8_uart0_noled_pr
 * m329p_u1x8_uart0_noled            m329p_u1x8_uart0_noled_pr         m329pa_u1x8_uart0_noled
 * m329pa_u1x8_uart0_noled_pr        m3290_u1x8_uart0_noled            m3290_u1x8_uart0_noled_pr
 * m3290a_u1x8_uart0_noled           m3290a_u1x8_uart0_noled_pr        m3290p_u1x8_uart0_noled
 * m3290p_u1x8_uart0_noled_pr        m3290pa_u1x8_uart0_noled          m3290pa_u1x8_uart0_noled_pr
 * m325_u1x8_uart0_noled             m325_u1x8_uart0_noled_pr          m325a_u1x8_uart0_noled
 * m325a_u1x8_uart0_noled_pr         m325p_u1x8_uart0_noled            m325p_u1x8_uart0_noled_pr
 * m325pa_u1x8_uart0_noled           m325pa_u1x8_uart0_noled_pr        m3250_u1x8_uart0_noled
 * m3250_u1x8_uart0_noled_pr         m3250a_u1x8_uart0_noled           m3250a_u1x8_uart0_noled_pr
 * m3250p_u1x8_uart0_noled           m3250p_u1x8_uart0_noled_pr        m3250pa_u1x8_uart0_noled
 * m3250pa_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m329_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0xdde4ee82f4133164,
  0xe0a4c13e30120862, 0x05bd817c9fefd0f3, 0x1df2c21ee737f688, 0x1c74fe0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa,
  0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x386ed84b997cdb12, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x00396b8f9e4afdcd, 0x00000000000000f9,
};

/*
 * m329a_u1x8_uart0_noled_pr_u4      m329p_u1x8_uart0_noled_pr_u4      m329pa_u1x8_uart0_noled_pr_u4
 * m3290_u1x8_uart0_noled_pr_u4      m3290a_u1x8_uart0_noled_pr_u4     m3290p_u1x8_uart0_noled_pr_u4
 * m3290pa_u1x8_uart0_noled_pr_u4    m325_u1x8_uart0_noled_pr_u4       m325a_u1x8_uart0_noled_pr_u4
 * m325p_u1x8_uart0_noled_pr_u4      m325pa_u1x8_uart0_noled_pr_u4     m3250_u1x8_uart0_noled_pr_u4
 * m3250a_u1x8_uart0_noled_pr_u4     m3250p_u1x8_uart0_noled_pr_u4     m3250pa_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m329_u1x8_uart0_noled_pr_u4[] = {
  0xdddddd7751222743, 0x7777755761c2f712, 0x5b3f77e1f19a4cf7, 0x3f5a5f9bbba44059, 0xc9dda8bc96c7ac1e,
  0x49827c602410c5bb, 0xbd817c9fe78167c1, 0xf2c21ee737f68805, 0x74fe0d05fa8fd01d, 0x8b016594cf7dad1c,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x12b5ec1c7c0f2cf6, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x3cd84b997cdb1248, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x1014f257ee686658,
  0x000000000f93cb4b,
};

/*
 * m329_u1x8_uart0_noled_pr_ee_u4    m329a_u1x8_uart0_noled_pr_ee      m329a_u1x8_uart0_noled_pr_ee_u4
 * m329p_u1x8_uart0_noled_pr_ee      m329p_u1x8_uart0_noled_pr_ee_u4   m329pa_u1x8_uart0_noled_pr_ee
 * m329pa_u1x8_uart0_noled_pr_ee_u4  m3290_u1x8_uart0_noled_pr_ee      m3290_u1x8_uart0_noled_pr_ee_u4
 * m3290a_u1x8_uart0_noled_pr_ee     m3290a_u1x8_uart0_noled_pr_ee_u4  m3290p_u1x8_uart0_noled_pr_ee
 * m3290p_u1x8_uart0_noled_pr_ee_u4  m3290pa_u1x8_uart0_noled_pr_ee    m3290pa_u1x8_uart0_noled_pr_ee_u4
 * m325_u1x8_uart0_noled_pr_ee       m325_u1x8_uart0_noled_pr_ee_u4    m325a_u1x8_uart0_noled_pr_ee
 * m325a_u1x8_uart0_noled_pr_ee_u4   m325p_u1x8_uart0_noled_pr_ee      m325p_u1x8_uart0_noled_pr_ee_u4
 * m325pa_u1x8_uart0_noled_pr_ee     m325pa_u1x8_uart0_noled_pr_ee_u4  m3250_u1x8_uart0_noled_pr_ee
 * m3250_u1x8_uart0_noled_pr_ee_u4   m3250a_u1x8_uart0_noled_pr_ee     m3250a_u1x8_uart0_noled_pr_ee_u4
 * m3250p_u1x8_uart0_noled_pr_ee     m3250p_u1x8_uart0_noled_pr_ee_u4  m3250pa_u1x8_uart0_noled_pr_ee
 * m3250pa_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m329_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xe30120862dde4ee9, 0x4bfe78167ca5cc13, 0xdce6fed100b7b027, 0x51e57224d56b4738, 0x7dd7a8f83660d31f,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xb4782ce756979c57, 0x6355ae875e74ddb7, 0x98b848451cf230e3,
  0xa3608fd6e1bd96cb, 0x0c4ad7b002a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb,
  0x22adec5551696173, 0xe0f3612e65f36c49, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xe44053c95fb9a199, 0x0000000000275c54,
};

/*
 * m329_u1x8_uart0_noled_pr_ce_u4    m329a_u1x8_uart0_noled_pr_ce      m329a_u1x8_uart0_noled_pr_ce_u4
 * m329p_u1x8_uart0_noled_pr_ce      m329p_u1x8_uart0_noled_pr_ce_u4   m329pa_u1x8_uart0_noled_pr_ce
 * m329pa_u1x8_uart0_noled_pr_ce_u4  m3290_u1x8_uart0_noled_pr_ce      m3290_u1x8_uart0_noled_pr_ce_u4
 * m3290a_u1x8_uart0_noled_pr_ce     m3290a_u1x8_uart0_noled_pr_ce_u4  m3290p_u1x8_uart0_noled_pr_ce
 * m3290p_u1x8_uart0_noled_pr_ce_u4  m3290pa_u1x8_uart0_noled_pr_ce    m3290pa_u1x8_uart0_noled_pr_ce_u4
 * m325_u1x8_uart0_noled_pr_ce       m325_u1x8_uart0_noled_pr_ce_u4    m325a_u1x8_uart0_noled_pr_ce
 * m325a_u1x8_uart0_noled_pr_ce_u4   m325p_u1x8_uart0_noled_pr_ce      m325p_u1x8_uart0_noled_pr_ce_u4
 * m325pa_u1x8_uart0_noled_pr_ce     m325pa_u1x8_uart0_noled_pr_ce_u4  m3250_u1x8_uart0_noled_pr_ce
 * m3250_u1x8_uart0_noled_pr_ce_u4   m3250a_u1x8_uart0_noled_pr_ce     m3250a_u1x8_uart0_noled_pr_ce_u4
 * m3250p_u1x8_uart0_noled_pr_ce     m3250p_u1x8_uart0_noled_pr_ce_u4  m3250pa_u1x8_uart0_noled_pr_ce
 * m3250pa_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_noled_pr_ce[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xa609f180904316ef, 0xd81145ff3c0b3ff3, 0xf5c92e737f68805b, 0x2c79e012a76fe5c5, 0xe12fc4361222fb89,
  0xf1771b8ff3107ea3, 0x51c9e9ee58cfd64c, 0x1f3a48e3a7f07acf, 0xced5fd1eb0e62c05, 0x79500ffd99e3af47,
  0xec1c7c0f2d6e1f66, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x9732f9b624863b7b, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001bae996a2029,
};

/*
 * m329a_u1x8_uart0_noled_pr_ee_ce   m329p_u1x8_uart0_noled_pr_ee_ce   m329pa_u1x8_uart0_noled_pr_ee_ce
 * m3290_u1x8_uart0_noled_pr_ee_ce   m3290a_u1x8_uart0_noled_pr_ee_ce  m3290p_u1x8_uart0_noled_pr_ee_ce
 * m3290pa_u1x8_uart0_noled_pr_ee_ce m325_u1x8_uart0_noled_pr_ee_ce    m325a_u1x8_uart0_noled_pr_ee_ce
 * m325p_u1x8_uart0_noled_pr_ee_ce   m325pa_u1x8_uart0_noled_pr_ee_ce  m3250_u1x8_uart0_noled_pr_ee_ce
 * m3250a_u1x8_uart0_noled_pr_ee_ce  m3250p_u1x8_uart0_noled_pr_ee_ce  m3250pa_u1x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m329_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaeed414477d6, 0xdddd55ee0541625b, 0x33f6a6fe9e989ddd, 0x0910e0fbbe96a18d, 0xd38ae0fda68b5159,
  0x602410c5bbc9dd7a, 0xffcf02cf8d69827c, 0x9cdfda2016f605a6, 0xa9de043bfea8dfcb, 0xdc6e759b21fe7804,
  0x5129dacac7be6139, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4, 0x26be8c2cb1148b34, 0xf059ceaedd388ea4,
  0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62, 0x95af616744a9a546, 0x0ef5af39c2cdf818,
  0xd8ce16f37807d418, 0xde33a20575539794, 0xdbd8aaa2d2c2e718, 0xcd84b997cdb12431, 0x2868b2d5e5c9ab83,
  0x0a9cfd4eacc7903f, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6, 0x9d3d1014f257ee68,
  0x000000000000009f,
};

/*
 * m329a_u1x8_uart0_noled_pr_ee_ce_u4 m329p_u1x8_uart0_noled_pr_ee_ce_u4
 * m329pa_u1x8_uart0_noled_pr_ee_ce_u4 m3290_u1x8_uart0_noled_pr_ee_ce_u4
 * m3290a_u1x8_uart0_noled_pr_ee_ce_u4 m3290p_u1x8_uart0_noled_pr_ee_ce_u4
 * m3290pa_u1x8_uart0_noled_pr_ee_ce_u4 m325_u1x8_uart0_noled_pr_ee_ce_u4
 * m325a_u1x8_uart0_noled_pr_ee_ce_u4 m325p_u1x8_uart0_noled_pr_ee_ce_u4
 * m325pa_u1x8_uart0_noled_pr_ee_ce_u4 m3250_u1x8_uart0_noled_pr_ee_ce_u4
 * m3250a_u1x8_uart0_noled_pr_ee_ce_u4 m3250p_u1x8_uart0_noled_pr_ee_ce_u4
 * m3250pa_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x777775dd44867f3e, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0x8d545eccdd6fa772,
  0x7c602410c5bbc9dd, 0x5affb15d9f19b982, 0xee737f68805bd810, 0xb4070e0dc5f54721, 0x6c2445f71258f3cd,
  0xd1f524fd47c25f88, 0x6b736f7ccf1771b9, 0xc1ad7f51e57d44a7, 0xa0531584ff51f06c, 0x30b2c4522cd3ad08,
  0x3abb74e23a909afa, 0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484, 0x859d12a6951b044c,
  0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0xe65f36c490c76f62,
  0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x16792bf734332c3a, 0x00000009f83f04dd,
};

/*
 * m329a_u1x8_uart0_noled_ee_hw      m329p_u1x8_uart0_noled_ee_hw      m329pa_u1x8_uart0_noled_ee_hw
 * m3290_u1x8_uart0_noled_ee_hw      m3290a_u1x8_uart0_noled_ee_hw     m3290p_u1x8_uart0_noled_ee_hw
 * m3290pa_u1x8_uart0_noled_ee_hw    m325_u1x8_uart0_noled_ee_hw       m325a_u1x8_uart0_noled_ee_hw
 * m325p_u1x8_uart0_noled_ee_hw      m325pa_u1x8_uart0_noled_ee_hw     m3250_u1x8_uart0_noled_ee_hw
 * m3250a_u1x8_uart0_noled_ee_hw     m3250p_u1x8_uart0_noled_ee_hw     m3250pa_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m329_u1x8_uart0_noled_ee_hw[] = {
  0x777775dd44862d7b, 0xddddd55d7208244b, 0x5e14f4c6dec33ddd, 0x8cc4e0be17bbbbfc, 0x7751d94ad7640ccd,
  0x609f180904316ef2, 0x604e97fe8533e52e, 0x8e71b9cdfda2016f, 0xa63ea3cae449aad6, 0xef8afbaf51f06cc1,
  0x5962291669d68450, 0x38ae3593484d7d18, 0xbb6f68f059cead2f, 0x61c6c6ab5d0ebce9, 0x2d973170908a39e4,
  0xa9a546c11fadc37b, 0xcdf81895af600544, 0x07d4180ef5af39c2, 0x539794d8ce16f378, 0xc2e718de33a20575,
  0xd892455bd8aaa2d2, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x00b7f8d0e8a792bf,
};

/*
 * m329_u1x8_uart0_noled_ee_ce_u4_hw m329a_u1x8_uart0_noled_ee_ce_hw   m329a_u1x8_uart0_noled_ee_ce_u4_hw
 * m329p_u1x8_uart0_noled_ee_ce_hw   m329p_u1x8_uart0_noled_ee_ce_u4_hw
 * m329pa_u1x8_uart0_noled_ee_ce_hw  m329pa_u1x8_uart0_noled_ee_ce_u4_hw
 * m3290_u1x8_uart0_noled_ee_ce_hw   m3290_u1x8_uart0_noled_ee_ce_u4_hw
 * m3290a_u1x8_uart0_noled_ee_ce_hw  m3290a_u1x8_uart0_noled_ee_ce_u4_hw
 * m3290p_u1x8_uart0_noled_ee_ce_hw  m3290p_u1x8_uart0_noled_ee_ce_u4_hw
 * m3290pa_u1x8_uart0_noled_ee_ce_hw m3290pa_u1x8_uart0_noled_ee_ce_u4_hw
 * m325_u1x8_uart0_noled_ee_ce_hw    m325_u1x8_uart0_noled_ee_ce_u4_hw m325a_u1x8_uart0_noled_ee_ce_hw
 * m325a_u1x8_uart0_noled_ee_ce_u4_hw m325p_u1x8_uart0_noled_ee_ce_hw
 * m325p_u1x8_uart0_noled_ee_ce_u4_hw m325pa_u1x8_uart0_noled_ee_ce_hw
 * m325pa_u1x8_uart0_noled_ee_ce_u4_hw m3250_u1x8_uart0_noled_ee_ce_hw
 * m3250_u1x8_uart0_noled_ee_ce_u4_hw m3250a_u1x8_uart0_noled_ee_ce_hw
 * m3250a_u1x8_uart0_noled_ee_ce_u4_hw m3250p_u1x8_uart0_noled_ee_ce_hw
 * m3250p_u1x8_uart0_noled_ee_ce_u4_hw m3250pa_u1x8_uart0_noled_ee_ce_hw
 * m3250pa_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd448624d6, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0xbbf6baef53efa772,
  0x04f8c048218b7793, 0x0416bfe8533e3373, 0xc87b9cdfda2016f6, 0xf36d01c383717d51, 0xe21b09117dc4963c,
  0x3712a2e47f51f097, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xd7b0b3a254d2a360,
  0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c, 0xec55516961738c6f, 0xc25ccbe6d89218ed,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xa8a792bf734332c3, 0x00000000028087e0,
};

/*
 * m329_u1x8_uart0_lednop_pr         m329a_u1x8_uart0_lednop           m329a_u1x8_uart0_lednop_pr
 * m329p_u1x8_uart0_lednop           m329p_u1x8_uart0_lednop_pr        m329pa_u1x8_uart0_lednop
 * m329pa_u1x8_uart0_lednop_pr       m3290_u1x8_uart0_lednop           m3290_u1x8_uart0_lednop_pr
 * m3290a_u1x8_uart0_lednop          m3290a_u1x8_uart0_lednop_pr       m3290p_u1x8_uart0_lednop
 * m3290p_u1x8_uart0_lednop_pr       m3290pa_u1x8_uart0_lednop         m3290pa_u1x8_uart0_lednop_pr
 * m325_u1x8_uart0_lednop            m325_u1x8_uart0_lednop_pr         m325a_u1x8_uart0_lednop
 * m325a_u1x8_uart0_lednop_pr        m325p_u1x8_uart0_lednop           m325p_u1x8_uart0_lednop_pr
 * m325pa_u1x8_uart0_lednop          m325pa_u1x8_uart0_lednop_pr       m3250_u1x8_uart0_lednop
 * m3250_u1x8_uart0_lednop_pr        m3250a_u1x8_uart0_lednop          m3250a_u1x8_uart0_lednop_pr
 * m3250p_u1x8_uart0_lednop          m3250p_u1x8_uart0_lednop_pr       m3250pa_u1x8_uart0_lednop
 * m3250pa_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m329_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xaf9304f8c048218b, 0x16f60498ffbf43cf, 0x77cb243b9cdfda20, 0x71d3f83349ea393c, 0xe62c05bdd30f9d24,
  0x8ebc5cecd7c8e414, 0x6bd8560fbdc72c60, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0x7cdb739156f62aa8, 0xe3458f386ed84b99, 0x0ae4fdd598f2068f, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x00001f21ce6b8f9e,
};

/*
 * m329a_u1x8_uart0_lednop_pr_u4     m329p_u1x8_uart0_lednop_pr_u4     m329pa_u1x8_uart0_lednop_pr_u4
 * m3290_u1x8_uart0_lednop_pr_u4     m3290a_u1x8_uart0_lednop_pr_u4    m3290p_u1x8_uart0_lednop_pr_u4
 * m3290pa_u1x8_uart0_lednop_pr_u4   m325_u1x8_uart0_lednop_pr_u4      m325a_u1x8_uart0_lednop_pr_u4
 * m325p_u1x8_uart0_lednop_pr_u4     m325pa_u1x8_uart0_lednop_pr_u4    m3250_u1x8_uart0_lednop_pr_u4
 * m3250a_u1x8_uart0_lednop_pr_u4    m3250p_u1x8_uart0_lednop_pr_u4    m3250pa_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddd77512233c3, 0x7777755761c1af12, 0x2f7b3dfb0dbd8037, 0x5d7f89dddd2202ca, 0x3ba47e5dbd38e3e9,
  0x304f8c048218b779, 0xb029bbfcf02cfa01, 0x5843dce6fed100b7, 0x9fc1a0bf51ed63be, 0xc0596537c907e38e,
  0xd1f3b2cf4690ce62, 0x59a45403ff6608eb, 0xb5ec82b40f2cf6d0, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x07c9db90880a792b,
};

/*
 * m329_u1x8_uart0_lednop_pr_ee_u4   m329a_u1x8_uart0_lednop_pr_ee     m329a_u1x8_uart0_lednop_pr_ee_u4
 * m329p_u1x8_uart0_lednop_pr_ee     m329p_u1x8_uart0_lednop_pr_ee_u4  m329pa_u1x8_uart0_lednop_pr_ee
 * m329pa_u1x8_uart0_lednop_pr_ee_u4 m3290_u1x8_uart0_lednop_pr_ee     m3290_u1x8_uart0_lednop_pr_ee_u4
 * m3290a_u1x8_uart0_lednop_pr_ee    m3290a_u1x8_uart0_lednop_pr_ee_u4 m3290p_u1x8_uart0_lednop_pr_ee
 * m3290p_u1x8_uart0_lednop_pr_ee_u4 m3290pa_u1x8_uart0_lednop_pr_ee
 * m3290pa_u1x8_uart0_lednop_pr_ee_u4 m325_u1x8_uart0_lednop_pr_ee
 * m325_u1x8_uart0_lednop_pr_ee_u4   m325a_u1x8_uart0_lednop_pr_ee     m325a_u1x8_uart0_lednop_pr_ee_u4
 * m325p_u1x8_uart0_lednop_pr_ee     m325p_u1x8_uart0_lednop_pr_ee_u4  m325pa_u1x8_uart0_lednop_pr_ee
 * m325pa_u1x8_uart0_lednop_pr_ee_u4 m3250_u1x8_uart0_lednop_pr_ee     m3250_u1x8_uart0_lednop_pr_ee_u4
 * m3250a_u1x8_uart0_lednop_pr_ee    m3250a_u1x8_uart0_lednop_pr_ee_u4 m3250p_u1x8_uart0_lednop_pr_ee
 * m3250p_u1x8_uart0_lednop_pr_ee_u4 m3250pa_u1x8_uart0_lednop_pr_ee
 * m3250pa_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0x8c048218b7793baf, 0xaff9e059f53d304f, 0x739bfb4402dec08b, 0x4795995355ad1ce3, 0x0f7ea3e0d9834c7d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x9193473ab4b9eab8, 0x8d56ba1d79d3768c, 0x62e1211413c8ded5,
  0x8d823f5b86f65b2e, 0x6256bd8010fb33ca, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00009d727171014f,
};

/*
 * m329_u1x8_uart0_lednop_pr_ce_u4   m329a_u1x8_uart0_lednop_pr_ce     m329a_u1x8_uart0_lednop_pr_ce_u4
 * m329p_u1x8_uart0_lednop_pr_ce     m329p_u1x8_uart0_lednop_pr_ce_u4  m329pa_u1x8_uart0_lednop_pr_ce
 * m329pa_u1x8_uart0_lednop_pr_ce_u4 m3290_u1x8_uart0_lednop_pr_ce     m3290_u1x8_uart0_lednop_pr_ce_u4
 * m3290a_u1x8_uart0_lednop_pr_ce    m3290a_u1x8_uart0_lednop_pr_ce_u4 m3290p_u1x8_uart0_lednop_pr_ce
 * m3290p_u1x8_uart0_lednop_pr_ce_u4 m3290pa_u1x8_uart0_lednop_pr_ce
 * m3290pa_u1x8_uart0_lednop_pr_ce_u4 m325_u1x8_uart0_lednop_pr_ce
 * m325_u1x8_uart0_lednop_pr_ce_u4   m325a_u1x8_uart0_lednop_pr_ce     m325a_u1x8_uart0_lednop_pr_ce_u4
 * m325p_u1x8_uart0_lednop_pr_ce     m325p_u1x8_uart0_lednop_pr_ce_u4  m325pa_u1x8_uart0_lednop_pr_ce
 * m325pa_u1x8_uart0_lednop_pr_ce_u4 m3250_u1x8_uart0_lednop_pr_ce     m3250_u1x8_uart0_lednop_pr_ce_u4
 * m3250a_u1x8_uart0_lednop_pr_ce    m3250a_u1x8_uart0_lednop_pr_ce_u4 m3250p_u1x8_uart0_lednop_pr_ce
 * m3250p_u1x8_uart0_lednop_pr_ce_u4 m3250pa_u1x8_uart0_lednop_pr_ce
 * m3250pa_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0xe609f180904316ef, 0xd81256ff3c0b3e70, 0xf5c92e737f68805b, 0x58f3c0254eea55c5, 0xc25f886c2445f712,
  0xc5dc6e56fc00fd47, 0x47e927b9633f5933, 0x3111638e9fc1eb3d, 0xecb3d1a43398b015, 0x1500ffd99e3af47c,
  0xc82b40f2d6e41669, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x7de0b1014f257ee6, 0x00000000000000dd,
};

/*
 * m329a_u1x8_uart0_lednop_pr_ee_ce  m329p_u1x8_uart0_lednop_pr_ee_ce  m329pa_u1x8_uart0_lednop_pr_ee_ce
 * m3290_u1x8_uart0_lednop_pr_ee_ce  m3290a_u1x8_uart0_lednop_pr_ee_ce m3290p_u1x8_uart0_lednop_pr_ee_ce
 * m3290pa_u1x8_uart0_lednop_pr_ee_ce m325_u1x8_uart0_lednop_pr_ee_ce
 * m325a_u1x8_uart0_lednop_pr_ee_ce  m325p_u1x8_uart0_lednop_pr_ee_ce  m325pa_u1x8_uart0_lednop_pr_ee_ce
 * m3250_u1x8_uart0_lednop_pr_ee_ce  m3250a_u1x8_uart0_lednop_pr_ee_ce m3250p_u1x8_uart0_lednop_pr_ee_ce
 * m3250pa_u1x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x602410c5bbc9dd01, 0x7f9e059feaf9827c, 0x39bfb4402dec0a39, 0x53bdf677fd51bf97, 0xb8dcb9124afcf009,
  0xea53b5958f7cc273, 0xf83660d6bfa8f2be, 0xd68450298af6ffa8, 0x4d7d185962291669, 0xc9a39d5db8f51d48,
  0x578d8ebce9bb4648, 0xe1211413c8ded58d, 0xc1132386f65b2e62, 0x2b5ec2cc7d99e546, 0x5e781013859bf031,
  0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x97cdb73863b7b155, 0xd5e5c9ab83cd84b9,
  0x4eacc7903f2868b2, 0x3fc09c69430a9cfd, 0xe985727e03e68799, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x000000004fc5d910,
};

/*
 * m329a_u1x8_uart0_lednop_pr_ee_ce_u4 m329p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m329pa_u1x8_uart0_lednop_pr_ee_ce_u4 m3290_u1x8_uart0_lednop_pr_ee_ce_u4
 * m3290a_u1x8_uart0_lednop_pr_ee_ce_u4 m3290p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m3290pa_u1x8_uart0_lednop_pr_ee_ce_u4 m325_u1x8_uart0_lednop_pr_ee_ce_u4
 * m325a_u1x8_uart0_lednop_pr_ee_ce_u4 m325p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m325pa_u1x8_uart0_lednop_pr_ee_ce_u4 m3250_u1x8_uart0_lednop_pr_ee_ce_u4
 * m3250a_u1x8_uart0_lednop_pr_ee_ce_u4 m3250p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m3250pa_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x777775dd44864c7f, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xf5ddce29d55e2465,
  0x3e30120862dde4ee, 0xc7ffec5767c344c1, 0xf739bfb4402dec0a, 0xda03896ae2faa390, 0x361222fb892c79e6,
  0x089300fea3e12fc4, 0x6b736f7ccf1771b8, 0xc1ad7f51e57dd4a7, 0xa05315edff51f06c, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0x1d79d3768c919347, 0x282791bdab1aaf1b, 0x470decb65cc5c242, 0x8598fb33ca8d8226,
  0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x027e25b46e8b3c95,
};

/*
 * m329a_u1x8_uart0_lednop_ee_hw     m329p_u1x8_uart0_lednop_ee_hw     m329pa_u1x8_uart0_lednop_ee_hw
 * m3290_u1x8_uart0_lednop_ee_hw     m3290a_u1x8_uart0_lednop_ee_hw    m3290p_u1x8_uart0_lednop_ee_hw
 * m3290pa_u1x8_uart0_lednop_ee_hw   m325_u1x8_uart0_lednop_ee_hw      m325a_u1x8_uart0_lednop_ee_hw
 * m325p_u1x8_uart0_lednop_ee_hw     m325pa_u1x8_uart0_lednop_ee_hw    m3250_u1x8_uart0_lednop_ee_hw
 * m3250a_u1x8_uart0_lednop_ee_hw    m3250p_u1x8_uart0_lednop_ee_hw    m3250pa_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2435562, 0xddddd55d72056e25, 0x2d04c2aa1ed0bddd, 0xfb1e705f0bddddfe, 0xee99169db618fde2,
  0xc13e30120862dde4, 0xc08baffd0a67d4f4, 0x1ce3739bfb4402de, 0x4c7d4795995355ad, 0xbe2b0f7ea3e0d983,
  0x6588a459a75a1143, 0xeab8d64d2135f461, 0x768c9193473ab4b9, 0xded58d56ba1d79d3, 0x5b2e62e1211413c8,
  0x33ca8d823f5b86f6, 0x37e06256bd8010fb, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xadd14f257ee68665, 0x0000000000016f9f,
};

/*
 * m329_u1x8_uart0_lednop_ee_ce_u4_hw m329a_u1x8_uart0_lednop_ee_ce_hw
 * m329a_u1x8_uart0_lednop_ee_ce_u4_hw m329p_u1x8_uart0_lednop_ee_ce_hw
 * m329p_u1x8_uart0_lednop_ee_ce_u4_hw m329pa_u1x8_uart0_lednop_ee_ce_hw
 * m329pa_u1x8_uart0_lednop_ee_ce_u4_hw m3290_u1x8_uart0_lednop_ee_ce_hw
 * m3290_u1x8_uart0_lednop_ee_ce_u4_hw m3290a_u1x8_uart0_lednop_ee_ce_hw
 * m3290a_u1x8_uart0_lednop_ee_ce_u4_hw m3290p_u1x8_uart0_lednop_ee_ce_hw
 * m3290p_u1x8_uart0_lednop_ee_ce_u4_hw m3290pa_u1x8_uart0_lednop_ee_ce_hw
 * m3290pa_u1x8_uart0_lednop_ee_ce_u4_hw m325_u1x8_uart0_lednop_ee_ce_hw
 * m325_u1x8_uart0_lednop_ee_ce_u4_hw m325a_u1x8_uart0_lednop_ee_ce_hw
 * m325a_u1x8_uart0_lednop_ee_ce_u4_hw m325p_u1x8_uart0_lednop_ee_ce_hw
 * m325p_u1x8_uart0_lednop_ee_ce_u4_hw m325pa_u1x8_uart0_lednop_ee_ce_hw
 * m325pa_u1x8_uart0_lednop_ee_ce_u4_hw m3250_u1x8_uart0_lednop_ee_ce_hw
 * m3250_u1x8_uart0_lednop_ee_ce_u4_hw m3250a_u1x8_uart0_lednop_ee_ce_hw
 * m3250a_u1x8_uart0_lednop_ee_ce_u4_hw m3250p_u1x8_uart0_lednop_ee_ce_hw
 * m3250p_u1x8_uart0_lednop_ee_ce_u4_hw m3250pa_u1x8_uart0_lednop_ee_ce_hw
 * m3250pa_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd4486a4d6, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xdd39d9f7a55e2465,
  0x827c602410c5bbc9, 0x02b1fffa14cf8689, 0xe43dce6fed100b7b, 0x79b680e25ab8bea8, 0xf10d8488bee24b1e,
  0x1b9494ce5fa8f84b, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57dd, 0xd08a05315edff51f, 0xafa30b2c4522cd3a,
  0x3473abb71ea3a909, 0xf1b1d79d3768c919, 0x242282791bdab1aa, 0x226470decb65cc5c, 0x6bd8598fb33ca8d8,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x000050125b4a29e4,
};

/*
 * m329a_u1x8_uart0_dual             m329p_u1x8_uart0_dual             m329pa_u1x8_uart0_dual
 * m3290_u1x8_uart0_dual             m3290a_u1x8_uart0_dual            m3290p_u1x8_uart0_dual
 * m3290pa_u1x8_uart0_dual           m325_u1x8_uart0_dual              m325a_u1x8_uart0_dual
 * m325p_u1x8_uart0_dual             m325pa_u1x8_uart0_dual            m3250_u1x8_uart0_dual
 * m3250a_u1x8_uart0_dual            m3250p_u1x8_uart0_dual            m3250pa_u1x8_uart0_dual
 */
static const uint64_t ur_m329_u1x8_uart0_dual[] = {
  0xb777777c4ea22a20, 0xddddddbf36da3336, 0xd7d123c95a76d86d, 0x14e0dd13b777717b, 0xe4ad0ee1ec5ab635,
  0x9cc13e30120862dd, 0x1bbada0644a4a475, 0xf8971030a1836918, 0x2cce4ff32b012774, 0x37a8efe6c17d9c0a,
  0xf04508e489fc1995, 0x0dc3e144312bfcfd, 0x0caaeef77cdc8e40, 0x9ad68a8432d08c91, 0x9096dcc7ffd01cf0,
  0xebfe901260b0de57, 0xee737f68805bd811, 0xd21fa8e229df2d5f, 0xe1cc98f491c74fe0, 0xb35f237b4731602f,
  0x7dee39630475e45b, 0x3f8abe77715252b0, 0x0270b37e06256bd9, 0xcb750603bd6bcf02, 0x37a94e4a7400b79b,
  0x1d4502169c05ef95, 0x2f9b69c6378ce881, 0xfd8b9357079b0973, 0x1964b867a615c9f9, 0xa19961d252d9f027,
  0xdf1c5c4053c95fb9, 0x0000000000000032,
};

/*
 * m329_u1x8_uart0_dual_pr_u4        m329a_u1x8_uart0_dual_pr          m329a_u1x8_uart0_dual_pr_u4
 * m329p_u1x8_uart0_dual_pr          m329p_u1x8_uart0_dual_pr_u4       m329pa_u1x8_uart0_dual_pr
 * m329pa_u1x8_uart0_dual_pr_u4      m3290_u1x8_uart0_dual_pr          m3290_u1x8_uart0_dual_pr_u4
 * m3290a_u1x8_uart0_dual_pr         m3290a_u1x8_uart0_dual_pr_u4      m3290p_u1x8_uart0_dual_pr
 * m3290p_u1x8_uart0_dual_pr_u4      m3290pa_u1x8_uart0_dual_pr        m3290pa_u1x8_uart0_dual_pr_u4
 * m325_u1x8_uart0_dual_pr           m325_u1x8_uart0_dual_pr_u4        m325a_u1x8_uart0_dual_pr
 * m325a_u1x8_uart0_dual_pr_u4       m325p_u1x8_uart0_dual_pr          m325p_u1x8_uart0_dual_pr_u4
 * m325pa_u1x8_uart0_dual_pr         m325pa_u1x8_uart0_dual_pr_u4      m3250_u1x8_uart0_dual_pr
 * m3250_u1x8_uart0_dual_pr_u4       m3250a_u1x8_uart0_dual_pr         m3250a_u1x8_uart0_dual_pr_u4
 * m3250p_u1x8_uart0_dual_pr         m3250p_u1x8_uart0_dual_pr_u4      m3250pa_u1x8_uart0_dual_pr
 * m3250pa_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m329_u1x8_uart0_dual_pr[] = {
  0x77777c4d1218022f, 0xddddbf36db4e36b7, 0x2941b848eabedddd, 0xa01513b777469b45, 0x6eec983f2350ce20,
  0x7c602410c5bbc906, 0xb40c894948eb3982, 0x20614306d2303775, 0x0ff32ba0cee9f12e, 0xff76c12b1c1d2cc7,
  0x239227f0701a6f51, 0x8510c4aff3f7c114, 0x77bbe6e74f80370f, 0x5421968262886557, 0xe63ffe80e784d194,
  0x9af30586f2bc84b6, 0xfda2016f6047affb, 0xa3e453be589ab9cd, 0xe2f7c71d3f8310fe, 0x8ebf9cc580aa0f34,
  0xfecc11d78033b5ac, 0x1e59ed887486a807, 0xf157ceee2a4aa4e8, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x0dc79b09732f9b6e, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x93d65a6e8b3c95fb, 0x0000000000000014,
};

/*
 * m329_u1x8_uart0_dual_pr_ee_u4     m329a_u1x8_uart0_dual_pr_ee       m329a_u1x8_uart0_dual_pr_ee_u4
 * m329p_u1x8_uart0_dual_pr_ee       m329p_u1x8_uart0_dual_pr_ee_u4    m329pa_u1x8_uart0_dual_pr_ee
 * m329pa_u1x8_uart0_dual_pr_ee_u4   m3290_u1x8_uart0_dual_pr_ee       m3290_u1x8_uart0_dual_pr_ee_u4
 * m3290a_u1x8_uart0_dual_pr_ee      m3290a_u1x8_uart0_dual_pr_ee_u4   m3290p_u1x8_uart0_dual_pr_ee
 * m3290p_u1x8_uart0_dual_pr_ee_u4   m3290pa_u1x8_uart0_dual_pr_ee     m3290pa_u1x8_uart0_dual_pr_ee_u4
 * m325_u1x8_uart0_dual_pr_ee        m325_u1x8_uart0_dual_pr_ee_u4     m325a_u1x8_uart0_dual_pr_ee
 * m325a_u1x8_uart0_dual_pr_ee_u4    m325p_u1x8_uart0_dual_pr_ee       m325p_u1x8_uart0_dual_pr_ee_u4
 * m325pa_u1x8_uart0_dual_pr_ee      m325pa_u1x8_uart0_dual_pr_ee_u4   m3250_u1x8_uart0_dual_pr_ee
 * m3250_u1x8_uart0_dual_pr_ee_u4    m3250a_u1x8_uart0_dual_pr_ee      m3250a_u1x8_uart0_dual_pr_ee_u4
 * m3250p_u1x8_uart0_dual_pr_ee      m3250p_u1x8_uart0_dual_pr_ee_u4   m3250pa_u1x8_uart0_dual_pr_ee
 * m3250pa_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m329_u1x8_uart0_dual_pr_ee[] = {
  0x6eeeeef89a2432db, 0xbbbbbb7e614eb66d, 0x2dfbb17d95a9afbb, 0x716aa86d1776c4bb, 0x7045580f8ce947ee,
  0x048218b7793705dc, 0x2252521705304f8c, 0x50c1b48c0ddd6d03, 0xcae833ba7c4b8818, 0x6163e70ff93068fc,
  0x4fe0fabe6f51fa7f, 0x895fe7ef82284724, 0xcdc4a8006e1f0a21, 0x5a095910caaeef77, 0xf4073c265f715086,
  0x2c3795e425b7383f, 0x16f60595bfdcd798, 0xad68e44b9cdfda20, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x001590b36e8b3c95,
};

/*
 * m329_u1x8_uart0_dual_pr_ce_u4     m329a_u1x8_uart0_dual_pr_ce       m329a_u1x8_uart0_dual_pr_ce_u4
 * m329p_u1x8_uart0_dual_pr_ce       m329p_u1x8_uart0_dual_pr_ce_u4    m329pa_u1x8_uart0_dual_pr_ce
 * m329pa_u1x8_uart0_dual_pr_ce_u4   m3290_u1x8_uart0_dual_pr_ce       m3290_u1x8_uart0_dual_pr_ce_u4
 * m3290a_u1x8_uart0_dual_pr_ce      m3290a_u1x8_uart0_dual_pr_ce_u4   m3290p_u1x8_uart0_dual_pr_ce
 * m3290p_u1x8_uart0_dual_pr_ce_u4   m3290pa_u1x8_uart0_dual_pr_ce     m3290pa_u1x8_uart0_dual_pr_ce_u4
 * m325_u1x8_uart0_dual_pr_ce        m325_u1x8_uart0_dual_pr_ce_u4     m325a_u1x8_uart0_dual_pr_ce
 * m325a_u1x8_uart0_dual_pr_ce_u4    m325p_u1x8_uart0_dual_pr_ce       m325p_u1x8_uart0_dual_pr_ce_u4
 * m325pa_u1x8_uart0_dual_pr_ce      m325pa_u1x8_uart0_dual_pr_ce_u4   m3250_u1x8_uart0_dual_pr_ce
 * m3250_u1x8_uart0_dual_pr_ce_u4    m3250a_u1x8_uart0_dual_pr_ce      m3250a_u1x8_uart0_dual_pr_ce_u4
 * m3250p_u1x8_uart0_dual_pr_ce      m3250p_u1x8_uart0_dual_pr_ce_u4   m3250pa_u1x8_uart0_dual_pr_ce
 * m3250pa_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeef89a2435202, 0x77776fc6a79f66d6, 0xebb8d43db6abf777, 0xfbf7b2b777519b33, 0xce43ada6cdf9af45,
  0xc048218b7793d39d, 0x644a4a42baf304f8, 0x0a18369181bbada0, 0x995d06774f897103, 0x6c12d1c02d4c63ff,
  0x227f0715a6f51c9d, 0x0c4aff3f7c114239, 0xbe6e4c300370f851, 0x32d05f688655777b, 0xffa039e1307b8a84,
  0xc161bcaf212dbe9b, 0x00b7b02297fee6bc, 0x5b8bea805ce6fed1, 0xee24b1e79b680e3a, 0xfa8f84bf10d8488b,
  0x2e678bb8dc149faf, 0x2fd471bf3dcb19f5, 0x050507c8e3a7f075, 0x019dad6475fce62c, 0xa435403ff6678ebc,
  0x549549d03cb5b843, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x2cf257ee68665874, 0x0000001a491f5dba,
};

/*
 * m329a_u1x8_uart0_dual_pr_ee_ce    m329p_u1x8_uart0_dual_pr_ee_ce    m329pa_u1x8_uart0_dual_pr_ee_ce
 * m3290_u1x8_uart0_dual_pr_ee_ce    m3290a_u1x8_uart0_dual_pr_ee_ce   m3290p_u1x8_uart0_dual_pr_ee_ce
 * m3290pa_u1x8_uart0_dual_pr_ee_ce  m325_u1x8_uart0_dual_pr_ee_ce     m325a_u1x8_uart0_dual_pr_ee_ce
 * m325p_u1x8_uart0_dual_pr_ee_ce    m325pa_u1x8_uart0_dual_pr_ee_ce   m3250_u1x8_uart0_dual_pr_ee_ce
 * m3250a_u1x8_uart0_dual_pr_ee_ce   m3250p_u1x8_uart0_dual_pr_ee_ce   m3250pa_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m329_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbbe275050c86, 0xeeeeedf836f261b5, 0x55710b157ee44eee, 0x4dd6990123ba82b6, 0xbbb1bb3eafcc507c,
  0x80904316ef25d93b, 0xc894948ee3e609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0xd8400380a49bf5ff,
  0x13f839db9bd47adf, 0x6257f9fbe08a11c9, 0xe6e2a4401b87c288, 0x2d0df688655777bb, 0xfa039e133058a843,
  0x2c3795e425b74dbf, 0x2dec0a87ffdcd798, 0xfaa3727739bfb440, 0x0ff9e6da038358ef, 0x4dd309cee3732a1a,
  0x9ea3cadfc94ed656, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053, 0x71943a909afa30b2, 0x89768851ef673abb,
  0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d, 0x9fc55f3bb8a92966, 0x013859bf0312b5ec,
  0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xbc6e3cd84b997cdb,
  0xd599bf83bb8d165a, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000080039f3745,
};

/*
 * m329a_u1x8_uart0_dual_pr_ee_ce_u4 m329p_u1x8_uart0_dual_pr_ee_ce_u4 m329pa_u1x8_uart0_dual_pr_ee_ce_u4
 * m3290_u1x8_uart0_dual_pr_ee_ce_u4 m3290a_u1x8_uart0_dual_pr_ee_ce_u4
 * m3290p_u1x8_uart0_dual_pr_ee_ce_u4 m3290pa_u1x8_uart0_dual_pr_ee_ce_u4
 * m325_u1x8_uart0_dual_pr_ee_ce_u4  m325a_u1x8_uart0_dual_pr_ee_ce_u4 m325p_u1x8_uart0_dual_pr_ee_ce_u4
 * m325pa_u1x8_uart0_dual_pr_ee_ce_u4 m3250_u1x8_uart0_dual_pr_ee_ce_u4
 * m3250a_u1x8_uart0_dual_pr_ee_ce_u4 m3250p_u1x8_uart0_dual_pr_ee_ce_u4
 * m3250pa_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbe268adbb2906, 0xeeedf98ec7e1b5bb, 0x7c89fd7bd2bdeeee, 0x2d99eea724fbb410, 0x0548c6c12faf5df4,
  0xef255f3b8af9016f, 0x24e609f180904316, 0x06eeb68191292907, 0x3e25c40c2860da46, 0x39990ff32d0729dd,
  0xf51e61b60cf870eb, 0x22847244fe0ff5e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b9e72006, 0xca2a10cb412d2219,
  0xb6e293fe80e784d1, 0xf8fc330586f2bc84, 0x6fed100b7b02d35f, 0xb19bb8bea8d4f5ce, 0x88bee24b1e79b693,
  0x20ffa8f84bf10d84, 0x7374cf1771b9aa0f, 0xcf51e56fe4a76b73, 0x8ae037a8f83660d7, 0x62291669d6845029,
  0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386,
  0x4fe2af9ddc5494b3, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9ef2374f257ee686, 0x000000000004007d,
};

/*
 * m329a_u1x8_uart0_dual_ee_hw       m329p_u1x8_uart0_dual_ee_hw       m329pa_u1x8_uart0_dual_ee_hw
 * m3290_u1x8_uart0_dual_ee_hw       m3290a_u1x8_uart0_dual_ee_hw      m3290p_u1x8_uart0_dual_ee_hw
 * m3290pa_u1x8_uart0_dual_ee_hw     m325_u1x8_uart0_dual_ee_hw        m325a_u1x8_uart0_dual_ee_hw
 * m325p_u1x8_uart0_dual_ee_hw       m325pa_u1x8_uart0_dual_ee_hw      m3250_u1x8_uart0_dual_ee_hw
 * m3250a_u1x8_uart0_dual_ee_hw      m3250p_u1x8_uart0_dual_ee_hw      m3250pa_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m329_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeef89a243573e, 0xbbbbb7e614eb66d6, 0xdfbb17d95a9afbbb, 0x16aa86d1776c4bb2, 0x5c5f766eb2947ee7,
  0x02410c5bbc9b82ee, 0x9129290b829827c6, 0x2860da4606eeb681, 0x657419dd3e25c40c, 0xb0b1f387fc98347e,
  0x27f07d5f37a8fd3f, 0xc4aff3f7c1142392, 0xe6e25400370f8510, 0x2d04ac88655777bb, 0xfa039e132fb8a843,
  0x161bcaf212db9c1f, 0x16f60595bffd48cc, 0xad68e44b9cdfda20, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x005768b3a29e4afd,
};

/*
 * m329a_u1x8_uart0_dual_ee_ce_hw    m329p_u1x8_uart0_dual_ee_ce_hw    m329pa_u1x8_uart0_dual_ee_ce_hw
 * m3290_u1x8_uart0_dual_ee_ce_hw    m3290a_u1x8_uart0_dual_ee_ce_hw   m3290p_u1x8_uart0_dual_ee_ce_hw
 * m3290pa_u1x8_uart0_dual_ee_ce_hw  m325_u1x8_uart0_dual_ee_ce_hw     m325a_u1x8_uart0_dual_ee_ce_hw
 * m325p_u1x8_uart0_dual_ee_ce_hw    m325pa_u1x8_uart0_dual_ee_ce_hw   m3250_u1x8_uart0_dual_ee_ce_hw
 * m3250a_u1x8_uart0_dual_ee_ce_hw   m3250p_u1x8_uart0_dual_ee_ce_hw   m3250pa_u1x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m329_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef89d41436f02, 0xbbbb7e0dbc986d6e, 0x5c42c55fb913bbbb, 0x75a64048eea0ad95, 0x3f87cd7d166c1f13,
  0x0120862dde4bb277, 0x9129291dc7cc13e3, 0x2860da4606eeb681, 0x657419dd3e25c40c, 0xb08007014937ebfe,
  0x27f073b737a8f5bf, 0xc4aff3f7c1142392, 0xcdc54880370f8510, 0x5a1bed10caaeef77, 0xf4073c2660b15086,
  0x586f2bc84b6e9b7f, 0xb7b02a1ffff52330, 0xea8dc9dce6fed100, 0x1fe79b680e0d63bf, 0x9ba6139dc6e759b2,
  0x3d4795bf929dacac, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576,
  0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x0270b37e06256bd9,
  0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0xd8dc79b09732f9b6,
  0x271a50c2a73f5361, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000075d4e7d453c,
};

/*
 * m329a_u1x8_uart0_dual_ee_ce_u4_hw m329p_u1x8_uart0_dual_ee_ce_u4_hw m329pa_u1x8_uart0_dual_ee_ce_u4_hw
 * m3290_u1x8_uart0_dual_ee_ce_u4_hw m3290a_u1x8_uart0_dual_ee_ce_u4_hw
 * m3290p_u1x8_uart0_dual_ee_ce_u4_hw m3290pa_u1x8_uart0_dual_ee_ce_u4_hw
 * m325_u1x8_uart0_dual_ee_ce_u4_hw  m325a_u1x8_uart0_dual_ee_ce_u4_hw m325p_u1x8_uart0_dual_ee_ce_u4_hw
 * m325pa_u1x8_uart0_dual_ee_ce_u4_hw m3250_u1x8_uart0_dual_ee_ce_u4_hw
 * m3250a_u1x8_uart0_dual_ee_ce_u4_hw m3250p_u1x8_uart0_dual_ee_ce_u4_hw
 * m3250pa_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77777c4d1468a0ae, 0xddddbf31d8fc36b7, 0x4107c89fbd7bdddd, 0xdf42d99eea724fbb, 0xfeb7a1f5ec12faf5,
  0x4316ef255f3bbebe, 0x290724e609f18090, 0xda4606eeb6819129, 0x69dd3e25c40c2860, 0x70eb39990ff32c4d,
  0xf5e6f51e61b60cf8, 0x7ef822847244fe0f, 0x2006e1f0a21895fe, 0x221955ddeef9b9e7, 0x84d1ca2a10cb412d,
  0xbc84b6e293fe80e7, 0xa6bfd9e8730586f2, 0xeb9cdfda2016f605, 0xeb038337717d51a9, 0xb09117dc4963cf2b,
  0x92737ff51f097e21, 0xadcdcdd33c5dc6e2, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11,
  0x7576e328752135f4, 0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c,
  0x6bd93f8abe777152, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0075d4e7930be9e4,
};

/*
 * m329_u1x12_uart0_noled_pr         m329a_u1x12_uart0_noled           m329a_u1x12_uart0_noled_pr
 * m329p_u1x12_uart0_noled           m329p_u1x12_uart0_noled_pr        m329pa_u1x12_uart0_noled
 * m329pa_u1x12_uart0_noled_pr       m3290_u1x12_uart0_noled           m3290_u1x12_uart0_noled_pr
 * m3290a_u1x12_uart0_noled          m3290a_u1x12_uart0_noled_pr       m3290p_u1x12_uart0_noled
 * m3290p_u1x12_uart0_noled_pr       m3290pa_u1x12_uart0_noled         m3290pa_u1x12_uart0_noled_pr
 * m325_u1x12_uart0_noled            m325_u1x12_uart0_noled_pr         m325a_u1x12_uart0_noled
 * m325a_u1x12_uart0_noled_pr        m325p_u1x12_uart0_noled           m325p_u1x12_uart0_noled_pr
 * m325pa_u1x12_uart0_noled          m325pa_u1x12_uart0_noled_pr       m3250_u1x12_uart0_noled
 * m3250_u1x12_uart0_noled_pr        m3250a_u1x12_uart0_noled          m3250a_u1x12_uart0_noled_pr
 * m3250p_u1x12_uart0_noled          m3250p_u1x12_uart0_noled_pr       m3250pa_u1x12_uart0_noled
 * m3250pa_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m329_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x304f8c048218b779, 0xc24f7ffbf43cfe49, 0xa3749feda9fddba7, 0x3d47e78ef964870d, 0xc37c9e8e3a7f0669,
  0x691e33398b016f74, 0xdc72c608ebc5cecf, 0x9bf0312b5ec2b289, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0x58f386ed84b997cd, 0x4fdd598f2068fe34, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x1f21d276b8f9e4af,
};

/*
 * m329a_u1x12_uart0_noled_pr_u4     m329p_u1x12_uart0_noled_pr_u4     m329pa_u1x12_uart0_noled_pr_u4
 * m3290_u1x12_uart0_noled_pr_u4     m3290a_u1x12_uart0_noled_pr_u4    m3290p_u1x12_uart0_noled_pr_u4
 * m3290pa_u1x12_uart0_noled_pr_u4   m325_u1x12_uart0_noled_pr_u4      m325a_u1x12_uart0_noled_pr_u4
 * m325p_u1x12_uart0_noled_pr_u4     m325pa_u1x12_uart0_noled_pr_u4    m3250_u1x12_uart0_noled_pr_u4
 * m3250a_u1x12_uart0_noled_pr_u4    m3250p_u1x12_uart0_noled_pr_u4    m3250pa_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m329_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488da91, 0xeeaafb395a44b777, 0x22a99b6f46deeeee, 0xb07dddd0b28e3a11, 0xd17a763b976c478f,
  0xf8c048218b7793ba, 0x5f3fcf02cfce3304, 0xa4ff6d4feedd3e12, 0x3f4077cb08786d1b, 0xf6b471d3f83417ea,
  0x1eb0e62c0596533d, 0xfd9823af47ced5fd, 0x3cb3db1f6679500f, 0x66fc0c4ad7b071f0, 0x03ea0c077ad79ce1,
  0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0x6c4922adec555169, 0x726ae0f3612e65f3, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x4c64e44053c95fb9, 0x000000000000003e,
};

/*
 * m329_u1x12_uart0_noled_pr_ee_u4   m329a_u1x12_uart0_noled_pr_ee     m329a_u1x12_uart0_noled_pr_ee_u4
 * m329p_u1x12_uart0_noled_pr_ee     m329p_u1x12_uart0_noled_pr_ee_u4  m329pa_u1x12_uart0_noled_pr_ee
 * m329pa_u1x12_uart0_noled_pr_ee_u4 m3290_u1x12_uart0_noled_pr_ee     m3290_u1x12_uart0_noled_pr_ee_u4
 * m3290a_u1x12_uart0_noled_pr_ee    m3290a_u1x12_uart0_noled_pr_ee_u4 m3290p_u1x12_uart0_noled_pr_ee
 * m3290p_u1x12_uart0_noled_pr_ee_u4 m3290pa_u1x12_uart0_noled_pr_ee
 * m3290pa_u1x12_uart0_noled_pr_ee_u4 m325_u1x12_uart0_noled_pr_ee
 * m325_u1x12_uart0_noled_pr_ee_u4   m325a_u1x12_uart0_noled_pr_ee     m325a_u1x12_uart0_noled_pr_ee_u4
 * m325p_u1x12_uart0_noled_pr_ee     m325p_u1x12_uart0_noled_pr_ee_u4  m325pa_u1x12_uart0_noled_pr_ee
 * m325pa_u1x12_uart0_noled_pr_ee_u4 m3250_u1x12_uart0_noled_pr_ee     m3250_u1x12_uart0_noled_pr_ee_u4
 * m3250a_u1x12_uart0_noled_pr_ee    m3250a_u1x12_uart0_noled_pr_ee_u4 m3250p_u1x12_uart0_noled_pr_ee
 * m3250p_u1x12_uart0_noled_pr_ee_u4 m3250pa_u1x12_uart0_noled_pr_ee
 * m3250pa_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m329_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x120862dde4eebb25, 0xe78167d82cc13e30, 0x6d4feedd3e12387f, 0xad68e7186d1ba4ff, 0xcc1a63ea3cae449a,
  0x450ef8afbaf51f06, 0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb,
  0x37b2d973170908a3, 0x544a9a546c11fadc, 0x9c2cdf81895af600, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xbe6d892455bd8aaa, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04ebe8e2880a792b,
};

/*
 * m329_u1x12_uart0_noled_pr_ce_u4   m329a_u1x12_uart0_noled_pr_ce     m329a_u1x12_uart0_noled_pr_ce_u4
 * m329p_u1x12_uart0_noled_pr_ce     m329p_u1x12_uart0_noled_pr_ce_u4  m329pa_u1x12_uart0_noled_pr_ce
 * m329pa_u1x12_uart0_noled_pr_ce_u4 m3290_u1x12_uart0_noled_pr_ce     m3290_u1x12_uart0_noled_pr_ce_u4
 * m3290a_u1x12_uart0_noled_pr_ce    m3290a_u1x12_uart0_noled_pr_ce_u4 m3290p_u1x12_uart0_noled_pr_ce
 * m3290p_u1x12_uart0_noled_pr_ce_u4 m3290pa_u1x12_uart0_noled_pr_ce
 * m3290pa_u1x12_uart0_noled_pr_ce_u4 m325_u1x12_uart0_noled_pr_ce
 * m325_u1x12_uart0_noled_pr_ce_u4   m325a_u1x12_uart0_noled_pr_ce     m325a_u1x12_uart0_noled_pr_ce_u4
 * m325p_u1x12_uart0_noled_pr_ce     m325p_u1x12_uart0_noled_pr_ce_u4  m325pa_u1x12_uart0_noled_pr_ce
 * m325pa_u1x12_uart0_noled_pr_ce_u4 m3250_u1x12_uart0_noled_pr_ce     m3250_u1x12_uart0_noled_pr_ce_u4
 * m3250a_u1x12_uart0_noled_pr_ce    m3250a_u1x12_uart0_noled_pr_ce_u4 m3250p_u1x12_uart0_noled_pr_ce
 * m3250p_u1x12_uart0_noled_pr_ce_u4 m3250pa_u1x12_uart0_noled_pr_ce
 * m3250pa_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x09f180904316ef27, 0x9393ff3c0b3f21e6, 0xdd27fb6a7f76e9f0, 0x4edfcb8beb924368, 0x2445f71258f3c025,
  0xe620fd47c25f886c, 0xb19fac99e2ee371f, 0x4fe0f59ea393d3dc, 0x61cc580a3e7491c7, 0x33c75e8f9dabfa3d,
  0x5adc3eccf2a01ffb, 0x7e06256bd838f81e, 0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54,
  0x490c76f62aa8b4b0, 0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x83944053c95fb9a1, 0x000000000000375c,
};

/*
 * m329a_u1x12_uart0_noled_pr_ee_ce  m329p_u1x12_uart0_noled_pr_ee_ce  m329pa_u1x12_uart0_noled_pr_ee_ce
 * m3290_u1x12_uart0_noled_pr_ee_ce  m3290a_u1x12_uart0_noled_pr_ee_ce m3290p_u1x12_uart0_noled_pr_ee_ce
 * m3290pa_u1x12_uart0_noled_pr_ee_ce m325_u1x12_uart0_noled_pr_ee_ce
 * m325a_u1x12_uart0_noled_pr_ee_ce  m325p_u1x12_uart0_noled_pr_ee_ce  m325pa_u1x12_uart0_noled_pr_ee_ce
 * m3250_u1x12_uart0_noled_pr_ee_ce  m3250a_u1x12_uart0_noled_pr_ee_ce m3250p_u1x12_uart0_noled_pr_ee_ce
 * m3250pa_u1x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m329_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x8218b7793bb61b65, 0xe059f275304f8c04, 0x53fbb74f84a2b7f9, 0xaa37f21b46e93fdb, 0x7f9e012a77810eff,
  0xef984e771b9d66c8, 0xf51e57d44a76b2b1, 0x584ff51f06cc1ad7, 0x4522cd3ad08a0531, 0x4e23a909afa30b2c,
  0x6edbda3c1673abb7, 0x30e36355e363af3a, 0x96cb98b848451cf2, 0x2a6951b044c8e1bd, 0xb37e06256bd859d1,
  0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4, 0x726ae0f3612e65f3,
  0x31e40fca1a2cb579, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000013f318c4053c,
};

/*
 * m329a_u1x12_uart0_noled_pr_ee_ce_u4 m329p_u1x12_uart0_noled_pr_ee_ce_u4
 * m329pa_u1x12_uart0_noled_pr_ee_ce_u4 m3290_u1x12_uart0_noled_pr_ee_ce_u4
 * m3290a_u1x12_uart0_noled_pr_ee_ce_u4 m3290p_u1x12_uart0_noled_pr_ee_ce_u4
 * m3290pa_u1x12_uart0_noled_pr_ee_ce_u4 m325_u1x12_uart0_noled_pr_ee_ce_u4
 * m325a_u1x12_uart0_noled_pr_ee_ce_u4 m325p_u1x12_uart0_noled_pr_ee_ce_u4
 * m325pa_u1x12_uart0_noled_pr_ee_ce_u4 m3250_u1x12_uart0_noled_pr_ee_ce_u4
 * m3250a_u1x12_uart0_noled_pr_ee_ce_u4 m3250p_u1x12_uart0_noled_pr_ee_ce_u4
 * m3250pa_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d78344863375, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x2ad1bab9d1c7a750,
  0x30120862dde4ee96, 0xffd8aecfeed4c13e, 0xfb6a7f76e9f0918f, 0x8bea8e43c368dd27, 0x24b1e79b680e1c1b,
  0x8f84bf10d8488bee, 0x9e2ee373a3ea49fa, 0xcafa894ed6e6def9, 0xfea3e0d9835afea3, 0x59a75a1140a62b09,
  0x752135f4616588a4, 0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9,
  0xc0c4ad7b0b3a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617,
  0x371e6c25ccbe6d89, 0x599bf83bb8d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0xe7b13dba2cf257ee, 0x0000000000000027,
};

/*
 * m329a_u1x12_uart0_noled_ee_hw     m329p_u1x12_uart0_noled_ee_hw     m329pa_u1x12_uart0_noled_ee_hw
 * m3290_u1x12_uart0_noled_ee_hw     m3290a_u1x12_uart0_noled_ee_hw    m3290p_u1x12_uart0_noled_ee_hw
 * m3290pa_u1x12_uart0_noled_ee_hw   m325_u1x12_uart0_noled_ee_hw      m325a_u1x12_uart0_noled_ee_hw
 * m325p_u1x12_uart0_noled_ee_hw     m325pa_u1x12_uart0_noled_ee_hw    m3250_u1x12_uart0_noled_ee_hw
 * m3250a_u1x12_uart0_noled_ee_hw    m3250p_u1x12_uart0_noled_ee_hw    m3250pa_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m329_u1x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a243280b, 0x77557cd636225bbb, 0x429b2e3a34f77777, 0x7fa99a0eea451aeb, 0x939eb6b4e3760cc1,
  0xf8c048218b7793bb, 0x387ff4299f60b304, 0xa4ff6d4feedd3e12, 0x449aad68e7186d1b, 0x1f06cc1a63ea3cae,
  0x9d68450ef8afbaf5, 0x84d7d18596229166, 0x9cead2f38ae35934, 0xd0ebce9bb6f68f05, 0x08a39e461c6c6ab5,
  0xfadc37b2d9731709, 0xf600544a9a546c11, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c,
  0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x000000000b7f2ab2,
};

/*
 * m329_u1x12_uart0_noled_ee_ce_u4_hw m329a_u1x12_uart0_noled_ee_ce_hw
 * m329a_u1x12_uart0_noled_ee_ce_u4_hw m329p_u1x12_uart0_noled_ee_ce_hw
 * m329p_u1x12_uart0_noled_ee_ce_u4_hw m329pa_u1x12_uart0_noled_ee_ce_hw
 * m329pa_u1x12_uart0_noled_ee_ce_u4_hw m3290_u1x12_uart0_noled_ee_ce_hw
 * m3290_u1x12_uart0_noled_ee_ce_u4_hw m3290a_u1x12_uart0_noled_ee_ce_hw
 * m3290a_u1x12_uart0_noled_ee_ce_u4_hw m3290p_u1x12_uart0_noled_ee_ce_hw
 * m3290p_u1x12_uart0_noled_ee_ce_u4_hw m3290pa_u1x12_uart0_noled_ee_ce_hw
 * m3290pa_u1x12_uart0_noled_ee_ce_u4_hw m325_u1x12_uart0_noled_ee_ce_hw
 * m325_u1x12_uart0_noled_ee_ce_u4_hw m325a_u1x12_uart0_noled_ee_ce_hw
 * m325a_u1x12_uart0_noled_ee_ce_u4_hw m325p_u1x12_uart0_noled_ee_ce_hw
 * m325p_u1x12_uart0_noled_ee_ce_u4_hw m325pa_u1x12_uart0_noled_ee_ce_hw
 * m325pa_u1x12_uart0_noled_ee_ce_u4_hw m3250_u1x12_uart0_noled_ee_ce_hw
 * m3250_u1x12_uart0_noled_ee_ce_u4_hw m3250a_u1x12_uart0_noled_ee_ce_hw
 * m3250a_u1x12_uart0_noled_ee_ce_u4_hw m3250p_u1x12_uart0_noled_ee_ce_hw
 * m3250p_u1x12_uart0_noled_ee_ce_u4_hw m3250pa_u1x12_uart0_noled_ee_ce_hw
 * m3250pa_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x12_uart0_noled_ee_ce_hw[] = {
  0x76d0d78344864aa4, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x9962fb9f71c7a750,
  0xc602410c5bbc9dd4, 0x3fff4299fdda9827, 0x9feda9fddba7c246, 0x6e2faa390f0da374, 0xb892c79e6da03870,
  0xea3e12fc4361222f, 0xf33c5dc6e2545c8f, 0x4795f5129dadcdbd, 0x13fd47c1b306b5fd, 0x48b34eb422814c56,
  0x88ea426be8c2cb11, 0xb6f68f059ceaedd3, 0x38d8d578d8ebce9b, 0xb2e62e1211473c8c, 0x9a546c1132386f65,
  0xdf81895af616744a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755, 0x12431dbd8aaa2d2c,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xa02f627d14f257ee,
};

/*
 * m329_u1x12_uart0_lednop_pr        m329a_u1x12_uart0_lednop          m329a_u1x12_uart0_lednop_pr
 * m329p_u1x12_uart0_lednop          m329p_u1x12_uart0_lednop_pr       m329pa_u1x12_uart0_lednop
 * m329pa_u1x12_uart0_lednop_pr      m3290_u1x12_uart0_lednop          m3290_u1x12_uart0_lednop_pr
 * m3290a_u1x12_uart0_lednop         m3290a_u1x12_uart0_lednop_pr      m3290p_u1x12_uart0_lednop
 * m3290p_u1x12_uart0_lednop_pr      m3290pa_u1x12_uart0_lednop        m3290pa_u1x12_uart0_lednop_pr
 * m325_u1x12_uart0_lednop           m325_u1x12_uart0_lednop_pr        m325a_u1x12_uart0_lednop
 * m325a_u1x12_uart0_lednop_pr       m325p_u1x12_uart0_lednop          m325p_u1x12_uart0_lednop_pr
 * m325pa_u1x12_uart0_lednop         m325pa_u1x12_uart0_lednop_pr      m3250_u1x12_uart0_lednop
 * m3250_u1x12_uart0_lednop_pr       m3250a_u1x12_uart0_lednop         m3250a_u1x12_uart0_lednop_pr
 * m3250p_u1x12_uart0_lednop         m3250p_u1x12_uart0_lednop_pr      m3250pa_u1x12_uart0_lednop
 * m3250pa_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m329_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x2609f180904316ef, 0xf84be4ff7e879f05, 0xb46e93fdb53fbb74, 0x27a8e4f1df2c90e1, 0x4c3e7491c74fe0cd,
  0x5f23905398b016f7, 0xf71cb1823af173b3, 0xcdf81895af61583e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xbb612e65f36dce45, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0xe5ae3e792bf73433, 0x000000000003e400,
};

/*
 * m329a_u1x12_uart0_lednop_pr_u4    m329p_u1x12_uart0_lednop_pr_u4    m329pa_u1x12_uart0_lednop_pr_u4
 * m3290_u1x12_uart0_lednop_pr_u4    m3290a_u1x12_uart0_lednop_pr_u4   m3290p_u1x12_uart0_lednop_pr_u4
 * m3290pa_u1x12_uart0_lednop_pr_u4  m325_u1x12_uart0_lednop_pr_u4     m325a_u1x12_uart0_lednop_pr_u4
 * m325p_u1x12_uart0_lednop_pr_u4    m325pa_u1x12_uart0_lednop_pr_u4   m3250_u1x12_uart0_lednop_pr_u4
 * m3250a_u1x12_uart0_lednop_pr_u4   m3250p_u1x12_uart0_lednop_pr_u4   m3250pa_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2447f82, 0xeeaafb38ebe25bbb, 0x425f85c76a1eeeee, 0x4c9eeee859471d69, 0x5c62454dc1b267e9,
  0x7c602410c5bbc9dd, 0x97dfe78167cf5982, 0xa4ff6d4feedd3e12, 0x3dac77cb08786d1b, 0x20fc71d3f83417ea,
  0xd219cc580b2ca6f9, 0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x00000001f260f271,
};

/*
 * m329_u1x12_uart0_lednop_pr_ee_u4  m329a_u1x12_uart0_lednop_pr_ee    m329a_u1x12_uart0_lednop_pr_ee_u4
 * m329p_u1x12_uart0_lednop_pr_ee    m329p_u1x12_uart0_lednop_pr_ee_u4 m329pa_u1x12_uart0_lednop_pr_ee
 * m329pa_u1x12_uart0_lednop_pr_ee_u4 m3290_u1x12_uart0_lednop_pr_ee
 * m3290_u1x12_uart0_lednop_pr_ee_u4 m3290a_u1x12_uart0_lednop_pr_ee
 * m3290a_u1x12_uart0_lednop_pr_ee_u4 m3290p_u1x12_uart0_lednop_pr_ee
 * m3290p_u1x12_uart0_lednop_pr_ee_u4 m3290pa_u1x12_uart0_lednop_pr_ee
 * m3290pa_u1x12_uart0_lednop_pr_ee_u4 m325_u1x12_uart0_lednop_pr_ee
 * m325_u1x12_uart0_lednop_pr_ee_u4  m325a_u1x12_uart0_lednop_pr_ee    m325a_u1x12_uart0_lednop_pr_ee_u4
 * m325p_u1x12_uart0_lednop_pr_ee    m325p_u1x12_uart0_lednop_pr_ee_u4 m325pa_u1x12_uart0_lednop_pr_ee
 * m325pa_u1x12_uart0_lednop_pr_ee_u4 m3250_u1x12_uart0_lednop_pr_ee
 * m3250_u1x12_uart0_lednop_pr_ee_u4 m3250a_u1x12_uart0_lednop_pr_ee
 * m3250a_u1x12_uart0_lednop_pr_ee_u4 m3250p_u1x12_uart0_lednop_pr_ee
 * m3250p_u1x12_uart0_lednop_pr_ee_u4 m3250pa_u1x12_uart0_lednop_pr_ee
 * m3250pa_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x048218b7793bb61b, 0xf9e059fcad304f8c, 0xdb53fbb74f848a1f, 0xab5a39c61b46e93f, 0xb30698fa8f2b32a6,
  0x22877c561efd47c1, 0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0xf3a6ed1923268e75, 0x2791bdab1aad743a,
  0x0decb65cc5c24228, 0x21f667951b047eb7, 0x4e166fc0c4ad7b00, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x57079b09732f9b6e, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x36e2029e4afdcd0c,
  0x0000000000013aef,
};

/*
 * m329_u1x12_uart0_lednop_pr_ce_u4  m329a_u1x12_uart0_lednop_pr_ce    m329a_u1x12_uart0_lednop_pr_ce_u4
 * m329p_u1x12_uart0_lednop_pr_ce    m329p_u1x12_uart0_lednop_pr_ce_u4 m329pa_u1x12_uart0_lednop_pr_ce
 * m329pa_u1x12_uart0_lednop_pr_ce_u4 m3290_u1x12_uart0_lednop_pr_ce
 * m3290_u1x12_uart0_lednop_pr_ce_u4 m3290a_u1x12_uart0_lednop_pr_ce
 * m3290a_u1x12_uart0_lednop_pr_ce_u4 m3290p_u1x12_uart0_lednop_pr_ce
 * m3290p_u1x12_uart0_lednop_pr_ce_u4 m3290pa_u1x12_uart0_lednop_pr_ce
 * m3290pa_u1x12_uart0_lednop_pr_ce_u4 m325_u1x12_uart0_lednop_pr_ce
 * m325_u1x12_uart0_lednop_pr_ce_u4  m325a_u1x12_uart0_lednop_pr_ce    m325a_u1x12_uart0_lednop_pr_ce_u4
 * m325p_u1x12_uart0_lednop_pr_ce    m325p_u1x12_uart0_lednop_pr_ce_u4 m325pa_u1x12_uart0_lednop_pr_ce
 * m325pa_u1x12_uart0_lednop_pr_ce_u4 m3250_u1x12_uart0_lednop_pr_ce
 * m3250_u1x12_uart0_lednop_pr_ce_u4 m3250a_u1x12_uart0_lednop_pr_ce
 * m3250a_u1x12_uart0_lednop_pr_ce_u4 m3250p_u1x12_uart0_lednop_pr_ce
 * m3250p_u1x12_uart0_lednop_pr_ce_u4 m3250pa_u1x12_uart0_lednop_pr_ce
 * m3250pa_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x27c602410c5bbc9d, 0x4e97fcf02cf94b98, 0x749feda9fddba7c2, 0x7752ae2fae490da3, 0x222fb892c79e012a,
  0xe007ea3e12fc4361, 0x19fac99e2ee372b7, 0xfe0f59ea3f493dcb, 0x9cc580a9888b1c74, 0xf1d7a3e7659e8d21,
  0xb720b348a807fecc, 0x81895af6415a0796, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x25ccbe6db9c31dbd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000006eb8a9c880a,
};

/*
 * m329a_u1x12_uart0_lednop_pr_ee_ce m329p_u1x12_uart0_lednop_pr_ee_ce m329pa_u1x12_uart0_lednop_pr_ee_ce
 * m3290_u1x12_uart0_lednop_pr_ee_ce m3290a_u1x12_uart0_lednop_pr_ee_ce
 * m3290p_u1x12_uart0_lednop_pr_ee_ce m3290pa_u1x12_uart0_lednop_pr_ee_ce
 * m325_u1x12_uart0_lednop_pr_ee_ce  m325a_u1x12_uart0_lednop_pr_ee_ce m325p_u1x12_uart0_lednop_pr_ee_ce
 * m325pa_u1x12_uart0_lednop_pr_ee_ce m3250_u1x12_uart0_lednop_pr_ee_ce
 * m3250a_u1x12_uart0_lednop_pr_ee_ce m3250p_u1x12_uart0_lednop_pr_ee_ce
 * m3250pa_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x410c5bbc9dd4149c, 0xe059fa1f9827c602, 0x53fbb74f848e0ff9, 0xaa37f21b46e93fdb, 0x5f9e012a77beceff,
  0xef984e771b972249, 0xf51e57dd4a76b2b1, 0x5edff51f06cc1ad7, 0x4522cd3ad08a0531, 0x1ea3a909afa30b2c,
  0x3768c9193473abb7, 0x1bdab1aaf1b1d79d, 0xcb65cc5c24228279, 0xb33ca8d8226470de, 0xb37e06256bd8598f,
  0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c,
  0xe50d165abcb93570, 0x61539fa9d598f207, 0x7cd0f327f8138d28, 0xcb25c33d30ae4fc0, 0x0ccb0e9296cf8138,
  0xf30862029e4afdcd, 0x0000000000000013,
};

/*
 * m329a_u1x12_uart0_lednop_pr_ee_ce_u4 m329p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m329pa_u1x12_uart0_lednop_pr_ee_ce_u4 m3290_u1x12_uart0_lednop_pr_ee_ce_u4
 * m3290a_u1x12_uart0_lednop_pr_ee_ce_u4 m3290p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m3290pa_u1x12_uart0_lednop_pr_ee_ce_u4 m325_u1x12_uart0_lednop_pr_ee_ce_u4
 * m325a_u1x12_uart0_lednop_pr_ee_ce_u4 m325p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m325pa_u1x12_uart0_lednop_pr_ee_ce_u4 m3250_u1x12_uart0_lednop_pr_ee_ce_u4
 * m3250a_u1x12_uart0_lednop_pr_ee_ce_u4 m3250p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m3250pa_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbb686bc1a243304a, 0xeeaaef212ee25bbb, 0x531342f7276eeeee, 0x8c71f1fddb1e4872, 0xd47dd9201b82246c,
  0x80904316ef2776c5, 0xff62bb3fa6a609f1, 0xf6d4feedd3e12ff9, 0x17d51c8786d1ba4f, 0x4963cf36d01c4b57,
  0x1f097e21b09117dc, 0x78bb8dc0449807f5, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f, 0x669d68450298af6f,
  0xd484d7d185962291, 0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2,
  0x0312b5ec2cc7d99e, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b997cdb73863b7b, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x7459e4afdcd0ccb0, 0x0000000027e4a6b3,
};

/*
 * m329a_u1x12_uart0_lednop_ee_hw    m329p_u1x12_uart0_lednop_ee_hw    m329pa_u1x12_uart0_lednop_ee_hw
 * m3290_u1x12_uart0_lednop_ee_hw    m3290a_u1x12_uart0_lednop_ee_hw   m3290p_u1x12_uart0_lednop_ee_hw
 * m3290pa_u1x12_uart0_lednop_ee_hw  m325_u1x12_uart0_lednop_ee_hw     m325a_u1x12_uart0_lednop_ee_hw
 * m325p_u1x12_uart0_lednop_ee_hw    m325pa_u1x12_uart0_lednop_ee_hw   m3250_u1x12_uart0_lednop_ee_hw
 * m3250a_u1x12_uart0_lednop_ee_hw   m3250p_u1x12_uart0_lednop_ee_hw   m3250pa_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_ee_hw[] = {
  0xddb435e0d1218375, 0x77557cd6c5f12ddd, 0xb0b4663b41777777, 0x77ea6683ba9146b9, 0xc0b015ad89a59fbc,
  0x3e30120862dde4ee, 0x8a1ffd0a67f2b4c1, 0xe93fdb53fbb74f84, 0x32a6ab5a39c61b46, 0x47c1b30698fa8f2b,
  0x4eb422877c561efd, 0x426be8c2cb1148b3, 0x8e756973d571ac9a, 0x743af3a6ed192326, 0x42282791bdab1aad,
  0x7eb70decb65cc5c2, 0x7b0021f667951b04, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0002df3072a29e4a,
};

/*
 * m329_u1x12_uart0_lednop_ee_ce_u4_hw m329a_u1x12_uart0_lednop_ee_ce_hw
 * m329a_u1x12_uart0_lednop_ee_ce_u4_hw m329p_u1x12_uart0_lednop_ee_ce_hw
 * m329p_u1x12_uart0_lednop_ee_ce_u4_hw m329pa_u1x12_uart0_lednop_ee_ce_hw
 * m329pa_u1x12_uart0_lednop_ee_ce_u4_hw m3290_u1x12_uart0_lednop_ee_ce_hw
 * m3290_u1x12_uart0_lednop_ee_ce_u4_hw m3290a_u1x12_uart0_lednop_ee_ce_hw
 * m3290a_u1x12_uart0_lednop_ee_ce_u4_hw m3290p_u1x12_uart0_lednop_ee_ce_hw
 * m3290p_u1x12_uart0_lednop_ee_ce_u4_hw m3290pa_u1x12_uart0_lednop_ee_ce_hw
 * m3290pa_u1x12_uart0_lednop_ee_ce_u4_hw m325_u1x12_uart0_lednop_ee_ce_hw
 * m325_u1x12_uart0_lednop_ee_ce_u4_hw m325a_u1x12_uart0_lednop_ee_ce_hw
 * m325a_u1x12_uart0_lednop_ee_ce_u4_hw m325p_u1x12_uart0_lednop_ee_ce_hw
 * m325p_u1x12_uart0_lednop_ee_ce_u4_hw m325pa_u1x12_uart0_lednop_ee_ce_hw
 * m325pa_u1x12_uart0_lednop_ee_ce_u4_hw m3250_u1x12_uart0_lednop_ee_ce_hw
 * m3250_u1x12_uart0_lednop_ee_ce_u4_hw m3250a_u1x12_uart0_lednop_ee_ce_hw
 * m3250a_u1x12_uart0_lednop_ee_ce_u4_hw m3250p_u1x12_uart0_lednop_ee_ce_hw
 * m3250p_u1x12_uart0_lednop_ee_ce_u4_hw m3250pa_u1x12_uart0_lednop_ee_ce_hw
 * m3250pa_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d783448607e1, 0xdd55de425dc4b777, 0xa62685ee4edddddd, 0x18e3e3fbb63c90e4, 0x87bf7a3af70448d9,
  0xc602410c5bbc9dd0, 0xfcffa14cfe9a9827, 0x27fb6a7f76e9f097, 0xab8bea8e43c368dd, 0xee24b1e79b680e25,
  0xfa8f84bf10d8488b, 0x7ccf1771b9494ce5, 0x51e57dd4a76b736f, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315,
  0xea3a909afa30b2c4, 0x768c9193473abb71, 0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec,
  0x37e06256bd8598fb, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0xd6a29e4afdcd0ccb, 0x00000000000a0294,
};

/*
 * m329a_u1x12_uart0_dual            m329p_u1x12_uart0_dual            m329pa_u1x12_uart0_dual
 * m3290_u1x12_uart0_dual            m3290a_u1x12_uart0_dual           m3290p_u1x12_uart0_dual
 * m3290pa_u1x12_uart0_dual          m325_u1x12_uart0_dual             m325a_u1x12_uart0_dual
 * m325p_u1x12_uart0_dual            m325pa_u1x12_uart0_dual           m3250_u1x12_uart0_dual
 * m3250a_u1x12_uart0_dual           m3250p_u1x12_uart0_dual           m3250pa_u1x12_uart0_dual
 */
static const uint64_t ur_m329_u1x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xeeeeedf90044e36b, 0x06dc1e9c02b5b16e, 0xec8a7191dddd3f61, 0x92c83b95f33ed2c4,
  0x7304f8c048218b77, 0x6eeb6819129290c8, 0xe25c40c2860da460, 0x737cefccac049dd3, 0xbd475f7b028a7072,
  0x04508e489fc1c7b9, 0xdc3e144312bfcfdf, 0xcaaeef77cdc38200, 0xb7b8a8432d01f110, 0x096de037fd01cf09,
  0xffe901260b0de579, 0xff6d4feedd3e1209, 0x8a77cb57f86d1ba4, 0x2471d3f83487ea38, 0xd1cc580bf873263d,
  0xc11d7916ecd7c8de, 0xdc5494ac1f7b8e58, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x9d002de6f2dd4180,
  0xa7017be54dea5392, 0x8de33a2047514085, 0xc1e6c25ccbe6da71, 0xe985727e7f62e4d5, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x00000000cb7edd10,
};

/*
 * m329_u1x12_uart0_dual_pr_u4       m329a_u1x12_uart0_dual_pr         m329a_u1x12_uart0_dual_pr_u4
 * m329p_u1x12_uart0_dual_pr         m329p_u1x12_uart0_dual_pr_u4      m329pa_u1x12_uart0_dual_pr
 * m329pa_u1x12_uart0_dual_pr_u4     m3290_u1x12_uart0_dual_pr         m3290_u1x12_uart0_dual_pr_u4
 * m3290a_u1x12_uart0_dual_pr        m3290a_u1x12_uart0_dual_pr_u4     m3290p_u1x12_uart0_dual_pr
 * m3290p_u1x12_uart0_dual_pr_u4     m3290pa_u1x12_uart0_dual_pr       m3290pa_u1x12_uart0_dual_pr_u4
 * m325_u1x12_uart0_dual_pr          m325_u1x12_uart0_dual_pr_u4       m325a_u1x12_uart0_dual_pr
 * m325a_u1x12_uart0_dual_pr_u4      m325p_u1x12_uart0_dual_pr         m325p_u1x12_uart0_dual_pr_u4
 * m325pa_u1x12_uart0_dual_pr        m325pa_u1x12_uart0_dual_pr_u4     m3250_u1x12_uart0_dual_pr
 * m3250_u1x12_uart0_dual_pr_u4      m3250a_u1x12_uart0_dual_pr        m3250a_u1x12_uart0_dual_pr_u4
 * m3250p_u1x12_uart0_dual_pr        m3250p_u1x12_uart0_dual_pr_u4     m3250pa_u1x12_uart0_dual_pr
 * m3250pa_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m329_u1x12_uart0_dual_pr[] = {
  0xdd327cde890c365a, 0xbbb7e400028daddd, 0x58a75c1dfb5bbbbb, 0x828c8eeeebd734af, 0xb89bbeb9629b41ec,
  0x180904316ef24ddb, 0x03225252190e609f, 0x1850c1b48c0ddd6d, 0xfccae833ba7c4b88, 0xadb074a70387314b,
  0xe489fc1d4a9bd474, 0x44312bfcfdf04508, 0xeef9b963e00dc3e1, 0x0865a1f2221955dd, 0x06ffa039e130f915,
  0xbcc161bcaf212dbc, 0xfeedd3e1209ffee6, 0x589a86d1ba4ff6d4, 0x3f8310fea3e453be, 0x80aa0f34e2f7c71d,
  0x8033b5ac8ebf9cc5, 0x7486a807fecc11d7, 0x2a4aa4e81e59ed88, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0,
  0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x732f9b6e722adec5, 0xee3458df0dc79b09,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x8b3c95fb9a19961d, 0x0000001493080b6e,
};

/*
 * m329_u1x12_uart0_dual_pr_ee_u4    m329a_u1x12_uart0_dual_pr_ee      m329a_u1x12_uart0_dual_pr_ee_u4
 * m329p_u1x12_uart0_dual_pr_ee      m329p_u1x12_uart0_dual_pr_ee_u4   m329pa_u1x12_uart0_dual_pr_ee
 * m329pa_u1x12_uart0_dual_pr_ee_u4  m3290_u1x12_uart0_dual_pr_ee      m3290_u1x12_uart0_dual_pr_ee_u4
 * m3290a_u1x12_uart0_dual_pr_ee     m3290a_u1x12_uart0_dual_pr_ee_u4  m3290p_u1x12_uart0_dual_pr_ee
 * m3290p_u1x12_uart0_dual_pr_ee_u4  m3290pa_u1x12_uart0_dual_pr_ee    m3290pa_u1x12_uart0_dual_pr_ee_u4
 * m325_u1x12_uart0_dual_pr_ee       m325_u1x12_uart0_dual_pr_ee_u4    m325a_u1x12_uart0_dual_pr_ee
 * m325a_u1x12_uart0_dual_pr_ee_u4   m325p_u1x12_uart0_dual_pr_ee      m325p_u1x12_uart0_dual_pr_ee_u4
 * m325pa_u1x12_uart0_dual_pr_ee     m325pa_u1x12_uart0_dual_pr_ee_u4  m3250_u1x12_uart0_dual_pr_ee
 * m3250_u1x12_uart0_dual_pr_ee_u4   m3250a_u1x12_uart0_dual_pr_ee     m3250a_u1x12_uart0_dual_pr_ee_u4
 * m3250p_u1x12_uart0_dual_pr_ee     m3250p_u1x12_uart0_dual_pr_ee_u4  m3250pa_u1x12_uart0_dual_pr_ee
 * m3250pa_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m329_u1x12_uart0_dual_pr_ee[] = {
  0xddd327cde890cf68, 0xbbbb7e2d1738dadd, 0x179579cedae3bbbb, 0xcfb3134bbaccda75, 0xf53af70dd889ea3e,
  0x8218b77928eddcd1, 0xa4a470ff304f8c04, 0x8369181bbada0644, 0xd06774f8971030a1, 0xff0e01a26d35f995,
  0xe0e87e6f51ec7f61, 0x5fe7ef822847244f, 0xcb91006e1f0a2189, 0x0e9510caaeef77cd, 0x073c2628b150865a,
  0x6f2bc84b6fd5fff4, 0xf84b7dffb9af3058, 0xb46e93fdb53fbb74, 0xe56bee6ab5a39121, 0x57a8f83660c14f51,
  0x1669d68450ef8aea, 0x73484d7d18596229, 0xef673ab4b994b8a9, 0x56ba1d7a89768851, 0x70908a04547cf58d,
  0x823f5b86f65f4b31, 0xb8a9280427f58a8d, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xba2cf257ee686658,
  0x0000000001593a79,
};

/*
 * m329_u1x12_uart0_dual_pr_ce_u4    m329a_u1x12_uart0_dual_pr_ce      m329a_u1x12_uart0_dual_pr_ce_u4
 * m329p_u1x12_uart0_dual_pr_ce      m329p_u1x12_uart0_dual_pr_ce_u4   m329pa_u1x12_uart0_dual_pr_ce
 * m329pa_u1x12_uart0_dual_pr_ce_u4  m3290_u1x12_uart0_dual_pr_ce      m3290_u1x12_uart0_dual_pr_ce_u4
 * m3290a_u1x12_uart0_dual_pr_ce     m3290a_u1x12_uart0_dual_pr_ce_u4  m3290p_u1x12_uart0_dual_pr_ce
 * m3290p_u1x12_uart0_dual_pr_ce_u4  m3290pa_u1x12_uart0_dual_pr_ce    m3290pa_u1x12_uart0_dual_pr_ce_u4
 * m325_u1x12_uart0_dual_pr_ce       m325_u1x12_uart0_dual_pr_ce_u4    m325a_u1x12_uart0_dual_pr_ce
 * m325a_u1x12_uart0_dual_pr_ce_u4   m325p_u1x12_uart0_dual_pr_ce      m325p_u1x12_uart0_dual_pr_ce_u4
 * m325pa_u1x12_uart0_dual_pr_ce     m325pa_u1x12_uart0_dual_pr_ce_u4  m3250_u1x12_uart0_dual_pr_ce
 * m3250_u1x12_uart0_dual_pr_ce_u4   m3250a_u1x12_uart0_dual_pr_ce     m3250a_u1x12_uart0_dual_pr_ce_u4
 * m3250p_u1x12_uart0_dual_pr_ce     m3250p_u1x12_uart0_dual_pr_ce_u4  m3250pa_u1x12_uart0_dual_pr_ce
 * m3250pa_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_dual_pr_ce[] = {
  0x774c9f37a2431f02, 0xbbb7e3d3dfb36b77, 0x5cb12bed403bbbbb, 0x179cedddd89c6eac, 0x5188b36842614ad5,
  0x02410c5bbc98e2ee, 0x22525206179827c6, 0x50c1b48c0ddd6d03, 0xcae833ba7c4b8818, 0xc02d1c0c7e619bfc,
  0x27f0635a6f51d2d6, 0xc4aff3f7c1142392, 0xe6e33e00370f8510, 0x2d028a88655777bb, 0xfa039e1318f8a843,
  0x161bcaf212dbc56f, 0xdd3e1260bfee6bcc, 0x086d1ba4ff6d4fee, 0xf36d01c74b717d50, 0xe21b09117dc4963c,
  0x1b8293f5ff51f097, 0xe7b9633ea5ccf177, 0x1c74fe0ea5fa8e37, 0x8ebf9cc580a0a0f9, 0xfeccf1d78033b5ac,
  0x0796b7087486a807, 0xfc55f3bb8a92a93a, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xa4956537459e4afd,
  0x0000000000000001,
};

/*
 * m329a_u1x12_uart0_dual_pr_ee_ce   m329p_u1x12_uart0_dual_pr_ee_ce   m329pa_u1x12_uart0_dual_pr_ee_ce
 * m3290_u1x12_uart0_dual_pr_ee_ce   m3290a_u1x12_uart0_dual_pr_ee_ce  m3290p_u1x12_uart0_dual_pr_ee_ce
 * m3290pa_u1x12_uart0_dual_pr_ee_ce m325_u1x12_uart0_dual_pr_ee_ce    m325a_u1x12_uart0_dual_pr_ee_ce
 * m325p_u1x12_uart0_dual_pr_ee_ce   m325pa_u1x12_uart0_dual_pr_ee_ce  m3250_u1x12_uart0_dual_pr_ee_ce
 * m3250a_u1x12_uart0_dual_pr_ee_ce  m3250p_u1x12_uart0_dual_pr_ee_ce  m3250pa_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m329_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d43573e, 0xeeeedf85c49b36b7, 0xd9beec75f47e6eee, 0xaaf2b7707747b1ce, 0xbeec2bdeb2bdc03e,
  0x8218b7792d39dcb8, 0xa4a43a75304f8c04, 0x8369181bbada0644, 0xd06774f8971030a1, 0xa4387ebcc6b7f995,
  0xc1dadcdea3c00d80, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x69b4432abbbddf37, 0x1cf09b0245421968,
  0xbcaf212dbcedffd0, 0xc25d3ffee6bcc161, 0xa3749feda9fddba7, 0x38358effaa37270d, 0x1b9787cb5f9e6da0,
  0x4a76b2b26e984e77, 0x83660d7cf51e56fe, 0x68450298ae037a8f, 0xd7d185962291669d, 0x7b39d5db8ca1d484,
  0x78d8ebd44bb4428f, 0x0908a04547cf58d5, 0x1132386f65f4b317, 0xc5494b313fac546c, 0x1895af64fe2af9dd,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8,
  0x771a2c79c371e6c2, 0xa615c9fbab337f07, 0x52d9f0271964b867, 0xb3c95fb9a19961d2, 0x0000004c12c7f6e8,
};

/*
 * m329a_u1x12_uart0_dual_pr_ee_ce_u4 m329p_u1x12_uart0_dual_pr_ee_ce_u4
 * m329pa_u1x12_uart0_dual_pr_ee_ce_u4 m3290_u1x12_uart0_dual_pr_ee_ce_u4
 * m3290a_u1x12_uart0_dual_pr_ee_ce_u4 m3290p_u1x12_uart0_dual_pr_ee_ce_u4
 * m3290pa_u1x12_uart0_dual_pr_ee_ce_u4 m325_u1x12_uart0_dual_pr_ee_ce_u4
 * m325a_u1x12_uart0_dual_pr_ee_ce_u4 m325p_u1x12_uart0_dual_pr_ee_ce_u4
 * m325pa_u1x12_uart0_dual_pr_ee_ce_u4 m3250_u1x12_uart0_dual_pr_ee_ce_u4
 * m3250a_u1x12_uart0_dual_pr_ee_ce_u4 m3250p_u1x12_uart0_dual_pr_ee_ce_u4
 * m3250pa_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd327cde8adbba812, 0xdbf2c9df5cdadddd, 0x35eaf7ab8bdddddd, 0xbadd2d59f6d3dee1, 0xfda3337609932829,
  0xfda7707d7e0e5dd9, 0xc13e30120862dde4, 0xd6d032252523cf5c, 0xb881850c1b48c0dd, 0x257e65a0e53ba7c4,
  0xb3e6c3acce0c8735, 0x8e489fc19adcdea3, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x42196805a4432abb,
  0xebffd01cf098e0c5, 0x0cc161bcaf212dbf, 0xfbb74f849fe7fe3f, 0x6a7a1b46e93fdb53, 0x3cdb49d8cddc5f54,
  0xf886c2445f71258f, 0xdcd507907fd47c25, 0x53b5b9b9ba678bb8, 0x1b306be7a8f2b7f2, 0x422814c5701bd47c,
  0xbe8c2cb1148b34eb, 0xd9ceaedc650ea426, 0xc6c75ea25da2147b, 0x4845022a3e7ac6ab, 0x8991c37b2fa598b8,
  0x2a4a5989fd62a360, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0xe65f36dce18edec5, 0x58df1726ae0f3612, 0xd4eaccdfc1fb7634, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x020032d2f91ba792,
};

/*
 * m329a_u1x12_uart0_dual_ee_hw      m329p_u1x12_uart0_dual_ee_hw      m329pa_u1x12_uart0_dual_ee_hw
 * m3290_u1x12_uart0_dual_ee_hw      m3290a_u1x12_uart0_dual_ee_hw     m3290p_u1x12_uart0_dual_ee_hw
 * m3290pa_u1x12_uart0_dual_ee_hw    m325_u1x12_uart0_dual_ee_hw       m325a_u1x12_uart0_dual_ee_hw
 * m325p_u1x12_uart0_dual_ee_hw      m325pa_u1x12_uart0_dual_ee_hw     m3250_u1x12_uart0_dual_ee_hw
 * m3250a_u1x12_uart0_dual_ee_hw     m3250p_u1x12_uart0_dual_ee_hw     m3250pa_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m329_u1x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2435202, 0xeeedf8b45ce36b77, 0x5e55e73b6b8eeeee, 0x3ecc4d2eeb3369d4, 0x0eb69be6ba27a8fb,
  0x20862dde4a3b7739, 0x29291c3fcc13e301, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x7fc380689b4d7e65,
  0xf83a1f9bd47b1fd8, 0x57f9fbe08a11c913, 0x72e4401b87c28862, 0x83a54432abbbddf3, 0x01cf098a2c542196,
  0x1bcaf212dbf57ffd, 0x7c25befffd48cc16, 0xda3749feda9fddba, 0xf2b5f7355ad1c890, 0x2bd47c1b3060a7a8,
  0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6,
  0xc11fadc37b2fa598, 0xdc54940213fac546, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x12e65f36dce455bd, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000002bb5d3d,
};

/*
 * m329a_u1x12_uart0_dual_ee_ce_hw   m329p_u1x12_uart0_dual_ee_ce_hw   m329pa_u1x12_uart0_dual_ee_ce_hw
 * m3290_u1x12_uart0_dual_ee_ce_hw   m3290a_u1x12_uart0_dual_ee_ce_hw  m3290p_u1x12_uart0_dual_ee_ce_hw
 * m3290pa_u1x12_uart0_dual_ee_ce_hw m325_u1x12_uart0_dual_ee_ce_hw    m325a_u1x12_uart0_dual_ee_ce_hw
 * m325p_u1x12_uart0_dual_ee_ce_hw   m325pa_u1x12_uart0_dual_ee_ce_hw  m3250_u1x12_uart0_dual_ee_ce_hw
 * m3250a_u1x12_uart0_dual_ee_ce_hw  m3250p_u1x12_uart0_dual_ee_ce_hw  m3250pa_u1x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m329_u1x12_uart0_dual_ee_ce_hw[] = {
  0x74c9f37d4143359b, 0xeedf85c49b36b777, 0xbeec75f47e6eeeee, 0xf2b7707747b1ced9, 0x330a6b5d7dc03eaa,
  0x8218b7792d39dc3c, 0xa4a43a75304f8c04, 0x8369181bbada0644, 0xd06774f8971030a1, 0xa4387ebcc6b7f995,
  0xc1dadcdea3c00d80, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x69b4432abbbddf37, 0x1cf09b0245421968,
  0xbcaf212dbcedffd0, 0x84ba7fffd48cc161, 0x46e93fdb53fbb74f, 0x706b1dff546e4e1b, 0x373acd90ff3cdb40,
  0x94ed6564dd309cee, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909,
  0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1,
  0x39fa9b0ec6e3cd84, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2, 0xc7fa29e4afdcd0cc,
  0x00000000000075d6,
};

/*
 * m329a_u1x12_uart0_dual_ee_ce_u4_hw m329p_u1x12_uart0_dual_ee_ce_u4_hw
 * m329pa_u1x12_uart0_dual_ee_ce_u4_hw m3290_u1x12_uart0_dual_ee_ce_u4_hw
 * m3290a_u1x12_uart0_dual_ee_ce_u4_hw m3290p_u1x12_uart0_dual_ee_ce_u4_hw
 * m3290pa_u1x12_uart0_dual_ee_ce_u4_hw m325_u1x12_uart0_dual_ee_ce_u4_hw
 * m325a_u1x12_uart0_dual_ee_ce_u4_hw m325p_u1x12_uart0_dual_ee_ce_u4_hw
 * m325pa_u1x12_uart0_dual_ee_ce_u4_hw m3250_u1x12_uart0_dual_ee_ce_u4_hw
 * m3250a_u1x12_uart0_dual_ee_ce_u4_hw m3250p_u1x12_uart0_dual_ee_ce_u4_hw
 * m3250pa_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d1880b, 0x76fcb277d736b777, 0xdc26bed5ef777777, 0x05375ba5ab3eda7b, 0x5b669d666ec13265,
  0x2dde4fda77093fd3, 0x3cf5cc13e3012086, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0xc8735257e6589ad3,
  0xcdea3b3e6c3acce0, 0xf04508e489fc19ad, 0x0dc3e144312bfcfd, 0x32abbbddf373a9c0, 0x8e0c542196805a44,
  0x12dbfebffd01cf09, 0xff67a1cc161bcaf2, 0xfb6a7f76e9f093fc, 0x8bea8d4f4368dd27, 0x4b1e795f581c19bb,
  0xf84bf10d8488bee2, 0xe2ee3714939bffa8, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06,
  0xa909afa30b2c4522, 0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9,
  0xf3bb8a9296627f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xb85f4f257ee68665, 0x00000000075d4590,
};

/*
 * m329_u2x8_uart0_noled_pr          m329a_u2x8_uart0_noled            m329a_u2x8_uart0_noled_pr
 * m329p_u2x8_uart0_noled            m329p_u2x8_uart0_noled_pr         m329pa_u2x8_uart0_noled
 * m329pa_u2x8_uart0_noled_pr        m3290_u2x8_uart0_noled            m3290_u2x8_uart0_noled_pr
 * m3290a_u2x8_uart0_noled           m3290a_u2x8_uart0_noled_pr        m3290p_u2x8_uart0_noled
 * m3290p_u2x8_uart0_noled_pr        m3290pa_u2x8_uart0_noled          m3290pa_u2x8_uart0_noled_pr
 * m325_u2x8_uart0_noled             m325_u2x8_uart0_noled_pr          m325a_u2x8_uart0_noled
 * m325a_u2x8_uart0_noled_pr         m325p_u2x8_uart0_noled            m325p_u2x8_uart0_noled_pr
 * m325pa_u2x8_uart0_noled           m325pa_u2x8_uart0_noled_pr        m3250_u2x8_uart0_noled
 * m3250_u2x8_uart0_noled_pr         m3250a_u2x8_uart0_noled           m3250a_u2x8_uart0_noled_pr
 * m3250p_u2x8_uart0_noled           m3250p_u2x8_uart0_noled_pr        m3250pa_u2x8_uart0_noled
 * m3250pa_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m329_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0x249827c602410c5b, 0xd3e127bffdfa1e7f, 0x386d1bdaa3949bed, 0x3349ea3f3c77cb24, 0x7ba61be4f471d3f8,
  0x767b48f199cc580b, 0x944ee39630475e2e, 0x9c2cdf81895af615, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xbe6d892455bd8aaa, 0xf1a2c79c376c25cc, 0x85727eeacc790347, 0x659289c6592e19e9,
  0x257ee6866587494b, 0x0000f90e93b5c7cf,
};

/*
 * m329a_u2x8_uart0_noled_pr_u4      m329p_u2x8_uart0_noled_pr_u4      m329pa_u2x8_uart0_noled_pr_u4
 * m3290_u2x8_uart0_noled_pr_u4      m3290a_u2x8_uart0_noled_pr_u4     m3290p_u2x8_uart0_noled_pr_u4
 * m3290pa_u2x8_uart0_noled_pr_u4    m325_u2x8_uart0_noled_pr_u4       m325a_u2x8_uart0_noled_pr_u4
 * m325p_u2x8_uart0_noled_pr_u4      m325pa_u2x8_uart0_noled_pr_u4     m3250_u2x8_uart0_noled_pr_u4
 * m3250a_u2x8_uart0_noled_pr_u4     m3250p_u2x8_uart0_noled_pr_u4     m3250pa_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m329_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874488da91, 0x7777557d9cad225b, 0x089154cdb7a36f77, 0xc7d83eeee859471d, 0xdd68bd3b1dcbb623,
  0x827c602410c5bbc9, 0x092f9fe78167e719, 0x68ded51ca4df6e9f, 0xbf51fa03be5843c3, 0x99efb5a38e9fc1a0,
  0xafe8f58731602cb2, 0x807fecc11d7a3e76, 0x8f81e59ed8fb33ca, 0xe70b37e06256bd83, 0xcde01f50603bd6bc,
  0x15d54e5e5363385b, 0x8b4b0b9c6378ce88, 0x2f9b6249156f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01f2632722029e4a,
};

/*
 * m329_u2x8_uart0_noled_pr_ee_u4    m329a_u2x8_uart0_noled_pr_ee      m329a_u2x8_uart0_noled_pr_ee_u4
 * m329p_u2x8_uart0_noled_pr_ee      m329p_u2x8_uart0_noled_pr_ee_u4   m329pa_u2x8_uart0_noled_pr_ee
 * m329pa_u2x8_uart0_noled_pr_ee_u4  m3290_u2x8_uart0_noled_pr_ee      m3290_u2x8_uart0_noled_pr_ee_u4
 * m3290a_u2x8_uart0_noled_pr_ee     m3290a_u2x8_uart0_noled_pr_ee_u4  m3290p_u2x8_uart0_noled_pr_ee
 * m3290p_u2x8_uart0_noled_pr_ee_u4  m3290pa_u2x8_uart0_noled_pr_ee    m3290pa_u2x8_uart0_noled_pr_ee_u4
 * m325_u2x8_uart0_noled_pr_ee       m325_u2x8_uart0_noled_pr_ee_u4    m325a_u2x8_uart0_noled_pr_ee
 * m325a_u2x8_uart0_noled_pr_ee_u4   m325p_u2x8_uart0_noled_pr_ee      m325p_u2x8_uart0_noled_pr_ee_u4
 * m325pa_u2x8_uart0_noled_pr_ee     m325pa_u2x8_uart0_noled_pr_ee_u4  m3250_u2x8_uart0_noled_pr_ee
 * m3250_u2x8_uart0_noled_pr_ee_u4   m3250a_u2x8_uart0_noled_pr_ee     m3250a_u2x8_uart0_noled_pr_ee_u4
 * m3250p_u2x8_uart0_noled_pr_ee     m3250p_u2x8_uart0_noled_pr_ee_u4  m3250pa_u2x8_uart0_noled_pr_ee
 * m3250pa_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m329_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0x180904316ef2775d, 0x3ff3c0b3ec16609f, 0xd51ca4df6e9f091c, 0x24d56b4738c368de, 0xf83660d31f51e572,
  0xeb422877c57dd7a8, 0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae,
  0xd6e1bd96cb98b848, 0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67,
  0x55516961738c6f19, 0x2e65f36c4922adec, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000275f47144053,
};

/*
 * m329_u2x8_uart0_noled_pr_ce_u4    m329a_u2x8_uart0_noled_pr_ce      m329a_u2x8_uart0_noled_pr_ce_u4
 * m329p_u2x8_uart0_noled_pr_ce      m329p_u2x8_uart0_noled_pr_ce_u4   m329pa_u2x8_uart0_noled_pr_ce
 * m329pa_u2x8_uart0_noled_pr_ce_u4  m3290_u2x8_uart0_noled_pr_ce      m3290_u2x8_uart0_noled_pr_ce_u4
 * m3290a_u2x8_uart0_noled_pr_ce     m3290a_u2x8_uart0_noled_pr_ce_u4  m3290p_u2x8_uart0_noled_pr_ce
 * m3290p_u2x8_uart0_noled_pr_ce_u4  m3290pa_u2x8_uart0_noled_pr_ce    m3290pa_u2x8_uart0_noled_pr_ce_u4
 * m325_u2x8_uart0_noled_pr_ce       m325_u2x8_uart0_noled_pr_ce_u4    m325a_u2x8_uart0_noled_pr_ce
 * m325a_u2x8_uart0_noled_pr_ce_u4   m325p_u2x8_uart0_noled_pr_ce      m325p_u2x8_uart0_noled_pr_ce_u4
 * m325pa_u2x8_uart0_noled_pr_ce     m325pa_u2x8_uart0_noled_pr_ce_u4  m3250_u2x8_uart0_noled_pr_ce
 * m3250_u2x8_uart0_noled_pr_ce_u4   m3250a_u2x8_uart0_noled_pr_ce     m3250a_u2x8_uart0_noled_pr_ce_u4
 * m3250p_u2x8_uart0_noled_pr_ce     m3250p_u2x8_uart0_noled_pr_ce_u4  m3250pa_u2x8_uart0_noled_pr_ce
 * m3250pa_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0xf304f8c048218b77, 0xf849c9ff9e059f90, 0x1b46f6a8e526fb74, 0x012a76fe5c5f5c92, 0x4361222fb892c79e,
  0xb8ff3107ea3e12fc, 0x9ee58cfd64cf1771, 0x8e3a7f07acf51c9e, 0xd1eb0e62c051f3a4, 0xffd99e3af47ced5f,
  0xc0f2d6e1f6679500, 0x859bf0312b5ec1c7, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6, 0xa585ce31bc67440a,
  0x9b624863b7b15545, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xbae41ca2029e4afd, 0x0000000000000001,
};

/*
 * m329a_u2x8_uart0_noled_pr_ee_ce   m329p_u2x8_uart0_noled_pr_ee_ce   m329pa_u2x8_uart0_noled_pr_ee_ce
 * m3290_u2x8_uart0_noled_pr_ee_ce   m3290a_u2x8_uart0_noled_pr_ee_ce  m3290p_u2x8_uart0_noled_pr_ee_ce
 * m3290pa_u2x8_uart0_noled_pr_ee_ce m325_u2x8_uart0_noled_pr_ee_ce    m325a_u2x8_uart0_noled_pr_ee_ce
 * m325p_u2x8_uart0_noled_pr_ee_ce   m325pa_u2x8_uart0_noled_pr_ee_ce  m3250_u2x8_uart0_noled_pr_ee_ce
 * m3250a_u2x8_uart0_noled_pr_ee_ce  m3250p_u2x8_uart0_noled_pr_ee_ce  m3250pa_u2x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m329_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x02410c5bbc9ddb0d, 0xfcf02cf93a9827c6, 0x472937dba7c2515b, 0x77fd51bf90da37b5, 0x3643fcf00953bc08,
  0x958f7cc273b8dceb, 0xd6bfa8f2bea253b5, 0x298ac27fa8f83660, 0x5962291669d68450, 0x5dba711d484d7d18,
  0x79d376ded1e0b39d, 0xe791871b1aaf1b1d, 0x0decb65cc5c24228, 0xce89534a8d822647, 0x73859bf0312b5ec2,
  0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x2f9b624863b7b155, 0xabcb9357079b0973,
  0x9d598f207e50d165, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x000000009f98c620,
};

/*
 * m329a_u2x8_uart0_noled_pr_ee_ce_u4 m329p_u2x8_uart0_noled_pr_ee_ce_u4
 * m329pa_u2x8_uart0_noled_pr_ee_ce_u4 m3290_u2x8_uart0_noled_pr_ee_ce_u4
 * m3290a_u2x8_uart0_noled_pr_ee_ce_u4 m3290p_u2x8_uart0_noled_pr_ee_ce_u4
 * m3290pa_u2x8_uart0_noled_pr_ee_ce_u4 m325_u2x8_uart0_noled_pr_ee_ce_u4
 * m325a_u2x8_uart0_noled_pr_ee_ce_u4 m325p_u2x8_uart0_noled_pr_ee_ce_u4
 * m325pa_u2x8_uart0_noled_pr_ee_ce_u4 m3250_u2x8_uart0_noled_pr_ee_ce_u4
 * m3250a_u2x8_uart0_noled_pr_ee_ce_u4 m3250p_u2x8_uart0_noled_pr_ee_ce_u4
 * m3250pa_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb68744863375, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0x4b1568dd5ce8e3d3,
  0x9f180904316ef277, 0xc7ffec5767f76a60, 0xf6a8e526fb74f848, 0xe0dc5f54721e1b46, 0x5f71258f3cdb4070,
  0x4fd47c25f886c244, 0xf7ccf1771b9d1f52, 0xf51e57d44a76b736, 0x584ff51f06cc1ad7, 0x4522cd3ad08a0531,
  0x4e23a909afa30b2c, 0x6edbda3c1673abb7, 0x30e36355e363af3a, 0x96cb98b848451cf2, 0x2a6951b044c8e1bd,
  0xb37e06256bd859d1, 0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4,
  0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd,
  0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x013f3d89edd16792,
};

/*
 * m329a_u2x8_uart0_noled_ee_hw      m329p_u2x8_uart0_noled_ee_hw      m329pa_u2x8_uart0_noled_ee_hw
 * m3290_u2x8_uart0_noled_ee_hw      m3290a_u2x8_uart0_noled_ee_hw     m3290p_u2x8_uart0_noled_ee_hw
 * m3290pa_u2x8_uart0_noled_ee_hw    m325_u2x8_uart0_noled_ee_hw       m325a_u2x8_uart0_noled_ee_hw
 * m325p_u2x8_uart0_noled_ee_hw      m325pa_u2x8_uart0_noled_ee_hw     m3250_u2x8_uart0_noled_ee_hw
 * m3250a_u2x8_uart0_noled_ee_hw     m3250p_u2x8_uart0_noled_ee_hw     m3250pa_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m329_u2x8_uart0_noled_ee_hw[] = {
  0xdddddb43a243280b, 0xbbbbaabe6b1b112d, 0x75a14d971d1a7bbb, 0x60bfd4cd0775228d, 0xddc9cf5b5a71bb06,
  0x827c602410c5bbc9, 0x091c3ffa14cfb059, 0x68ded51ca4df6e9f, 0xe57224d56b4738c3, 0xd7a8f83660d31f51,
  0x8b34eb422877c57d, 0xc9a426be8c2cb114, 0x782ce756979c571a, 0x55ae875e74ddb7b4, 0xb848451cf230e363,
  0x608fd6e1bd96cb98, 0x4ad7b002a254d2a3, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca,
  0xadec55516961738c, 0xf3612e65f36c4922, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x559453c95fb9a199, 0x0000000000005bf9,
};

/*
 * m329_u2x8_uart0_noled_ee_ce_u4_hw m329a_u2x8_uart0_noled_ee_ce_hw   m329a_u2x8_uart0_noled_ee_ce_u4_hw
 * m329p_u2x8_uart0_noled_ee_ce_hw   m329p_u2x8_uart0_noled_ee_ce_u4_hw
 * m329pa_u2x8_uart0_noled_ee_ce_hw  m329pa_u2x8_uart0_noled_ee_ce_u4_hw
 * m3290_u2x8_uart0_noled_ee_ce_hw   m3290_u2x8_uart0_noled_ee_ce_u4_hw
 * m3290a_u2x8_uart0_noled_ee_ce_hw  m3290a_u2x8_uart0_noled_ee_ce_u4_hw
 * m3290p_u2x8_uart0_noled_ee_ce_hw  m3290p_u2x8_uart0_noled_ee_ce_u4_hw
 * m3290pa_u2x8_uart0_noled_ee_ce_hw m3290pa_u2x8_uart0_noled_ee_ce_u4_hw
 * m325_u2x8_uart0_noled_ee_ce_hw    m325_u2x8_uart0_noled_ee_ce_u4_hw m325a_u2x8_uart0_noled_ee_ce_hw
 * m325a_u2x8_uart0_noled_ee_ce_u4_hw m325p_u2x8_uart0_noled_ee_ce_hw
 * m325p_u2x8_uart0_noled_ee_ce_u4_hw m325pa_u2x8_uart0_noled_ee_ce_hw
 * m325pa_u2x8_uart0_noled_ee_ce_u4_hw m3250_u2x8_uart0_noled_ee_ce_hw
 * m3250_u2x8_uart0_noled_ee_ce_u4_hw m3250a_u2x8_uart0_noled_ee_ce_hw
 * m3250a_u2x8_uart0_noled_ee_ce_u4_hw m3250p_u2x8_uart0_noled_ee_ce_hw
 * m3250p_u2x8_uart0_noled_ee_ce_u4_hw m3250pa_u2x8_uart0_noled_ee_ce_hw
 * m3250pa_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbb68744864aa4, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0xea4cb17dcfb8e3d3,
  0x13e30120862dde4e, 0x231fffa14cfeed4c, 0x1bdaa3949bedd3e1, 0xc383717d51c8786d, 0x117dc4963cf36d01,
  0xe47f51f097e21b09, 0x6def99e2ee3712a2, 0xafea3cafa894ed6e, 0x62b09fea3e0d9835, 0x588a459a75a1140a,
  0x6e9c4752135f4616, 0x74ddb7b4782ce757, 0xe461c6c6abc6c75e, 0x7b2d973170908a39, 0xa254d2a3608991c3,
  0xe166fc0c4ad7b0b3, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79, 0x6961738c6f19d102, 0xe6d89218edec5551,
  0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0005017b13e8a792,
};

/*
 * m329_u2x8_uart0_lednop_pr         m329a_u2x8_uart0_lednop           m329a_u2x8_uart0_lednop_pr
 * m329p_u2x8_uart0_lednop           m329p_u2x8_uart0_lednop_pr        m329pa_u2x8_uart0_lednop
 * m329pa_u2x8_uart0_lednop_pr       m3290_u2x8_uart0_lednop           m3290_u2x8_uart0_lednop_pr
 * m3290a_u2x8_uart0_lednop          m3290a_u2x8_uart0_lednop_pr       m3290p_u2x8_uart0_lednop
 * m3290p_u2x8_uart0_lednop_pr       m3290pa_u2x8_uart0_lednop         m3290pa_u2x8_uart0_lednop_pr
 * m325_u2x8_uart0_lednop            m325_u2x8_uart0_lednop_pr         m325a_u2x8_uart0_lednop
 * m325a_u2x8_uart0_lednop_pr        m325p_u2x8_uart0_lednop           m325p_u2x8_uart0_lednop_pr
 * m325pa_u2x8_uart0_lednop          m325pa_u2x8_uart0_lednop_pr       m3250_u2x8_uart0_lednop
 * m3250_u2x8_uart0_lednop_pr        m3250a_u2x8_uart0_lednop          m3250a_u2x8_uart0_lednop_pr
 * m3250p_u2x8_uart0_lednop          m3250p_u2x8_uart0_lednop_pr       m3250pa_u2x8_uart0_lednop
 * m3250pa_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m329_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0x829304f8c048218b, 0xba7c25f27fbf43cf, 0x870da37b5472937d, 0x06693d47278ef964, 0xb7ba61f3a48e3a7f,
  0x9d9af91c829cc580, 0xc1f7b8e58c11d78b, 0x4e166fc0c4ad7b0a, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0xe70ddb09732f9b6e, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x20072d71f3c95fb9, 0x000000000000001f,
};

/*
 * m329a_u2x8_uart0_lednop_pr_u4     m329p_u2x8_uart0_lednop_pr_u4     m329pa_u2x8_uart0_lednop_pr_u4
 * m3290_u2x8_uart0_lednop_pr_u4     m3290a_u2x8_uart0_lednop_pr_u4    m3290p_u2x8_uart0_lednop_pr_u4
 * m3290pa_u2x8_uart0_lednop_pr_u4   m325_u2x8_uart0_lednop_pr_u4      m325a_u2x8_uart0_lednop_pr_u4
 * m325p_u2x8_uart0_lednop_pr_u4     m325pa_u2x8_uart0_lednop_pr_u4    m3250_u2x8_uart0_lednop_pr_u4
 * m3250a_u2x8_uart0_lednop_pr_u4    m3250p_u2x8_uart0_lednop_pr_u4    m3250pa_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddb43a2447f82, 0x7777557d9c75f12d, 0xb4a12fc2e3b50f77, 0xf4a64f77742ca38e, 0xeeae3122a6e0d933,
  0xc13e30120862dde4, 0x094beff3c0b3e7ac, 0x68ded51ca4df6e9f, 0xbf51ed63be5843c3, 0x37c907e38e9fc1a0,
  0xcf4690ce62c05965, 0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101,
  0x529c94e8016f379b, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x5c1e6c25ccbe6db9, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x93880a792bf73433, 0x00000000000f9307,
};

/*
 * m329_u2x8_uart0_lednop_pr_ee_u4   m329a_u2x8_uart0_lednop_pr_ee     m329a_u2x8_uart0_lednop_pr_ee_u4
 * m329p_u2x8_uart0_lednop_pr_ee     m329p_u2x8_uart0_lednop_pr_ee_u4  m329pa_u2x8_uart0_lednop_pr_ee
 * m329pa_u2x8_uart0_lednop_pr_ee_u4 m3290_u2x8_uart0_lednop_pr_ee     m3290_u2x8_uart0_lednop_pr_ee_u4
 * m3290a_u2x8_uart0_lednop_pr_ee    m3290a_u2x8_uart0_lednop_pr_ee_u4 m3290p_u2x8_uart0_lednop_pr_ee
 * m3290p_u2x8_uart0_lednop_pr_ee_u4 m3290pa_u2x8_uart0_lednop_pr_ee
 * m3290pa_u2x8_uart0_lednop_pr_ee_u4 m325_u2x8_uart0_lednop_pr_ee
 * m325_u2x8_uart0_lednop_pr_ee_u4   m325a_u2x8_uart0_lednop_pr_ee     m325a_u2x8_uart0_lednop_pr_ee_u4
 * m325p_u2x8_uart0_lednop_pr_ee     m325p_u2x8_uart0_lednop_pr_ee_u4  m325pa_u2x8_uart0_lednop_pr_ee
 * m325pa_u2x8_uart0_lednop_pr_ee_u4 m3250_u2x8_uart0_lednop_pr_ee     m3250_u2x8_uart0_lednop_pr_ee_u4
 * m3250a_u2x8_uart0_lednop_pr_ee    m3250a_u2x8_uart0_lednop_pr_ee_u4 m3250p_u2x8_uart0_lednop_pr_ee
 * m3250p_u2x8_uart0_lednop_pr_ee_u4 m3250pa_u2x8_uart0_lednop_pr_ee
 * m3250pa_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xc602410c5bbc9ddb, 0x0ffcf02cfe569827, 0xb5472937dba7c245, 0x95355ad1ce30da37, 0x3e0d9834c7d47959,
  0x75a1143be2b0f7ea, 0x135f4616588a459a, 0x73ab4b9eab8d64d2, 0xa1d79d3768c91934, 0x11413c8ded58d56b,
  0xf5b86f65b2e62e12, 0xd8010fb33ca8d823, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xd779b71014f257ee,
  0x0000000000000009,
};

/*
 * m329_u2x8_uart0_lednop_pr_ce_u4   m329a_u2x8_uart0_lednop_pr_ce     m329a_u2x8_uart0_lednop_pr_ce_u4
 * m329p_u2x8_uart0_lednop_pr_ce     m329p_u2x8_uart0_lednop_pr_ce_u4  m329pa_u2x8_uart0_lednop_pr_ce
 * m329pa_u2x8_uart0_lednop_pr_ce_u4 m3290_u2x8_uart0_lednop_pr_ce     m3290_u2x8_uart0_lednop_pr_ce_u4
 * m3290a_u2x8_uart0_lednop_pr_ce    m3290a_u2x8_uart0_lednop_pr_ce_u4 m3290p_u2x8_uart0_lednop_pr_ce
 * m3290p_u2x8_uart0_lednop_pr_ce_u4 m3290pa_u2x8_uart0_lednop_pr_ce
 * m3290pa_u2x8_uart0_lednop_pr_ce_u4 m325_u2x8_uart0_lednop_pr_ce
 * m325_u2x8_uart0_lednop_pr_ce_u4   m325a_u2x8_uart0_lednop_pr_ce     m325a_u2x8_uart0_lednop_pr_ce_u4
 * m325p_u2x8_uart0_lednop_pr_ce     m325p_u2x8_uart0_lednop_pr_ce_u4  m325pa_u2x8_uart0_lednop_pr_ce
 * m325pa_u2x8_uart0_lednop_pr_ce_u4 m3250_u2x8_uart0_lednop_pr_ce     m3250_u2x8_uart0_lednop_pr_ce_u4
 * m3250a_u2x8_uart0_lednop_pr_ce    m3250a_u2x8_uart0_lednop_pr_ce_u4 m3250p_u2x8_uart0_lednop_pr_ce
 * m3250p_u2x8_uart0_lednop_pr_ce_u4 m3250pa_u2x8_uart0_lednop_pr_ce
 * m3250pa_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0xcc13e30120862dde, 0xe1274bfe78167ca5, 0x6d1bdaa3949bedd3, 0x0953ba95717d7248, 0x1b09117dc4963cf0,
  0x95bf003f51f097e2, 0xee58cfd64cf1771b, 0xe3a7f07acf51fa49, 0x690ce62c054c4458, 0xf6678ebd1f3b2cf4,
  0x3cb5b9059a45403f, 0x66fc0c4ad7b20ad0, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xf3612e65f36dce18, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x4053c95fb9a19961, 0x00000000375c54e4,
};

/*
 * m329a_u2x8_uart0_lednop_pr_ee_ce  m329p_u2x8_uart0_lednop_pr_ee_ce  m329pa_u2x8_uart0_lednop_pr_ee_ce
 * m3290_u2x8_uart0_lednop_pr_ee_ce  m3290a_u2x8_uart0_lednop_pr_ee_ce m3290p_u2x8_uart0_lednop_pr_ee_ce
 * m3290pa_u2x8_uart0_lednop_pr_ee_ce m325_u2x8_uart0_lednop_pr_ee_ce
 * m325a_u2x8_uart0_lednop_pr_ee_ce  m325p_u2x8_uart0_lednop_pr_ee_ce  m325pa_u2x8_uart0_lednop_pr_ee_ce
 * m3250_u2x8_uart0_lednop_pr_ee_ce  m3250a_u2x8_uart0_lednop_pr_ee_ce m3250p_u2x8_uart0_lednop_pr_ee_ce
 * m3250pa_u2x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0x0120862dde4eea0a, 0xfcf02cfd0fcc13e3, 0x472937dba7c24707, 0x77fd51bf90da37b5, 0x124afcf00953bdf6,
  0x958f7cc273b8dcb9, 0xd6bfa8f2beea53b5, 0x298af6ffa8f83660, 0x5962291669d68450, 0x5db8f51d484d7d18,
  0xbce9bb4648c9a39d, 0x13c8ded58d578d8e, 0x86f65b2e62e12114, 0xcc7d99e546c11323, 0x13859bf0312b5ec2,
  0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0xab83cd84b997cdb7,
  0x903f2868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e687993fc09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x009f98431014f257,
};

/*
 * m329a_u2x8_uart0_lednop_pr_ee_ce_u4 m329p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m329pa_u2x8_uart0_lednop_pr_ee_ce_u4 m3290_u2x8_uart0_lednop_pr_ee_ce_u4
 * m3290a_u2x8_uart0_lednop_pr_ee_ce_u4 m3290p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m3290pa_u2x8_uart0_lednop_pr_ee_ce_u4 m325_u2x8_uart0_lednop_pr_ee_ce_u4
 * m325a_u2x8_uart0_lednop_pr_ee_ce_u4 m325p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m325pa_u2x8_uart0_lednop_pr_ee_ce_u4 m3250_u2x8_uart0_lednop_pr_ee_ce_u4
 * m3250a_u2x8_uart0_lednop_pr_ee_ce_u4 m3250p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m3250pa_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddb43a243304a, 0x777755779097712d, 0x392989a17b93b777, 0x364638f8feed8f24, 0x62ea3eec900dc112,
  0xf8c048218b7793bb, 0xfcffb15d9fd35304, 0xed51ca4df6e9f097, 0x5ab8bea8e43c368d, 0xbee24b1e79b680e2,
  0x3fa8f84bf10d8488, 0xdf33c5dc6e0224c0, 0xd4795f7529dadcdb, 0x7b7fd47c1b306b5f, 0x148b34eb422814c5,
  0x7a8ea426be8c2cb1, 0xdda32464d1ceaedc, 0x6f6ac6abc6c75e74, 0x2d973170908a09e4, 0xccf2a3608991c37b,
  0xcdf81895af61663e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x359ba2cf257ee686, 0x0000000000013f25,
};

/*
 * m329a_u2x8_uart0_lednop_ee_hw     m329p_u2x8_uart0_lednop_ee_hw     m329pa_u2x8_uart0_lednop_ee_hw
 * m3290_u2x8_uart0_lednop_ee_hw     m3290a_u2x8_uart0_lednop_ee_hw    m3290p_u2x8_uart0_lednop_ee_hw
 * m3290pa_u2x8_uart0_lednop_ee_hw   m325_u2x8_uart0_lednop_ee_hw      m325a_u2x8_uart0_lednop_ee_hw
 * m325p_u2x8_uart0_lednop_ee_hw     m325pa_u2x8_uart0_lednop_ee_hw    m3250_u2x8_uart0_lednop_ee_hw
 * m3250a_u2x8_uart0_lednop_ee_hw    m3250p_u2x8_uart0_lednop_ee_hw    m3250pa_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_ee_hw[] = {
  0xeeeeeda1d1218375, 0xbbbbaabe6b62f896, 0x5cd85a331da0bbbb, 0xde3bf53341dd48a3, 0x7760580ad6c4d2cf,
  0x609f180904316ef2, 0xc2450ffe8533f95a, 0xda37b5472937dba7, 0x795995355ad1ce30, 0xf7ea3e0d9834c7d4,
  0x459a75a1143be2b0, 0x64d2135f4616588a, 0x193473ab4b9eab8d, 0xd56ba1d79d3768c9, 0x2e1211413c8ded58,
  0xd823f5b86f65b2e6, 0x256bd8010fb33ca8, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00000016f9839514,
};

/*
 * m329_u2x8_uart0_lednop_ee_ce_u4_hw m329a_u2x8_uart0_lednop_ee_ce_hw
 * m329a_u2x8_uart0_lednop_ee_ce_u4_hw m329p_u2x8_uart0_lednop_ee_ce_hw
 * m329p_u2x8_uart0_lednop_ee_ce_u4_hw m329pa_u2x8_uart0_lednop_ee_ce_hw
 * m329pa_u2x8_uart0_lednop_ee_ce_u4_hw m3290_u2x8_uart0_lednop_ee_ce_hw
 * m3290_u2x8_uart0_lednop_ee_ce_u4_hw m3290a_u2x8_uart0_lednop_ee_ce_hw
 * m3290a_u2x8_uart0_lednop_ee_ce_u4_hw m3290p_u2x8_uart0_lednop_ee_ce_hw
 * m3290p_u2x8_uart0_lednop_ee_ce_u4_hw m3290pa_u2x8_uart0_lednop_ee_ce_hw
 * m3290pa_u2x8_uart0_lednop_ee_ce_u4_hw m325_u2x8_uart0_lednop_ee_ce_hw
 * m325_u2x8_uart0_lednop_ee_ce_u4_hw m325a_u2x8_uart0_lednop_ee_ce_hw
 * m325a_u2x8_uart0_lednop_ee_ce_u4_hw m325p_u2x8_uart0_lednop_ee_ce_hw
 * m325p_u2x8_uart0_lednop_ee_ce_u4_hw m325pa_u2x8_uart0_lednop_ee_ce_hw
 * m325pa_u2x8_uart0_lednop_ee_ce_u4_hw m3250_u2x8_uart0_lednop_ee_ce_hw
 * m3250_u2x8_uart0_lednop_ee_ce_u4_hw m3250a_u2x8_uart0_lednop_ee_ce_hw
 * m3250a_u2x8_uart0_lednop_ee_ce_u4_hw m3250p_u2x8_uart0_lednop_ee_ce_hw
 * m3250p_u2x8_uart0_lednop_ee_ce_u4_hw m3250pa_u2x8_uart0_lednop_ee_ce_hw
 * m3250pa_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb687448607e1, 0xeeeeaaef212ee25b, 0x72531342f7276eee, 0x6c8c71f1fddb1e48, 0xe843dfbd1d7b8224,
  0x13e30120862dde4e, 0x4bfe7fd0a67f4d4c, 0x46f6a8e526fb74f8, 0x712d5c5f54721e1b, 0x445f71258f3cdb40,
  0x672fd47c25f886c2, 0x9b7be678bb8dca4a, 0x6bfa8f2beea53b5b, 0x98af6ffa8f83660d, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238,
  0x3859bf0312b5ec2c, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0x6e3cd84b997cdb73, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x14a6b514f257ee68, 0x0000000000000050,
};

/*
 * m329a_u2x8_uart0_dual             m329p_u2x8_uart0_dual             m329pa_u2x8_uart0_dual
 * m3290_u2x8_uart0_dual             m3290a_u2x8_uart0_dual            m3290p_u2x8_uart0_dual
 * m3290pa_u2x8_uart0_dual           m325_u2x8_uart0_dual              m325a_u2x8_uart0_dual
 * m325p_u2x8_uart0_dual             m325pa_u2x8_uart0_dual            m3250_u2x8_uart0_dual
 * m3250a_u2x8_uart0_dual            m3250p_u2x8_uart0_dual            m3250pa_u2x8_uart0_dual
 */
static const uint64_t ur_m329_u2x8_uart0_dual[] = {
  0xd6eeeee993d44511, 0xdddddddbf20089c6, 0xc20db83d38056b62, 0x89d914e323bbba7e, 0xef2590772be67da5,
  0x90e609f180904316, 0xc0ddd6d032252521, 0xa7c4b881850c1b48, 0xe4e6f9df9958093b, 0x737a8ebef60514e0,
  0xbe08a11c913f838f, 0x01b87c2886257f9f, 0x21955ddeef9b8704, 0x136f7150865a03e2, 0xf212dbc06ffa039e,
  0x13ffd2024c161bca, 0x7b5472937dba7c24, 0x47114ef96aff0da3, 0xc7a48e3a7f0690fd, 0x1bda398b017f0e64,
  0xcb1823af22dd9af9, 0xf3bb8a929583ef71, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0x7253a005bcde5ba8,
  0x10b4e02f7ca9bd4a, 0x4e31bc674408ea28, 0x9ab83cd84b997cdb, 0xc33d30ae4fcfec5c, 0x0e9296cf8138cb25,
  0xa2029e4afdcd0ccb, 0x0000000000196fdb,
};

/*
 * m329_u2x8_uart0_dual_pr_u4        m329a_u2x8_uart0_dual_pr          m329a_u2x8_uart0_dual_pr_u4
 * m329p_u2x8_uart0_dual_pr          m329p_u2x8_uart0_dual_pr_u4       m329pa_u2x8_uart0_dual_pr
 * m329pa_u2x8_uart0_dual_pr_u4      m3290_u2x8_uart0_dual_pr          m3290_u2x8_uart0_dual_pr_u4
 * m3290a_u2x8_uart0_dual_pr         m3290a_u2x8_uart0_dual_pr_u4      m3290p_u2x8_uart0_dual_pr
 * m3290p_u2x8_uart0_dual_pr_u4      m3290pa_u2x8_uart0_dual_pr        m3290pa_u2x8_uart0_dual_pr_u4
 * m325_u2x8_uart0_dual_pr           m325_u2x8_uart0_dual_pr_u4        m325a_u2x8_uart0_dual_pr
 * m325a_u2x8_uart0_dual_pr_u4       m325p_u2x8_uart0_dual_pr          m325p_u2x8_uart0_dual_pr_u4
 * m325pa_u2x8_uart0_dual_pr         m325pa_u2x8_uart0_dual_pr_u4      m3250_u2x8_uart0_dual_pr
 * m3250_u2x8_uart0_dual_pr_u4       m3250a_u2x8_uart0_dual_pr         m3250a_u2x8_uart0_dual_pr_u4
 * m3250p_u2x8_uart0_dual_pr         m3250p_u2x8_uart0_dual_pr_u4      m3250pa_u2x8_uart0_dual_pr
 * m3250pa_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m329_u2x8_uart0_dual_pr[] = {
  0xbbbba64e890c365a, 0x77776fc800051b5b, 0x5eb14eb83bf6b777, 0xd905191dddd7ae69, 0xb771377d72c53683,
  0x3e30120862dde49b, 0xda0644a4a4321cc1, 0x1030a18369181bba, 0x97f995d06774f897, 0xe95b60e94e070e62,
  0x11c913f83a9537a8, 0xc2886257f9fbe08a, 0xbbddf372c7c01b87, 0x2a10cb43e44432ab, 0x780dff4073c261f2,
  0xcd7982c3795e425b, 0x2937dba7c2413ffd, 0x77cb1350da37b547, 0xe3a7f0621fd47c8a, 0x98b01541e69c5ef8,
  0x3af00676b591d7f3, 0xb10e90d500ffd982, 0xddc549549d03cb3d, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd,
  0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x6dd16792bf734332, 0x0000000002926101,
};

/*
 * m329_u2x8_uart0_dual_pr_ee_u4     m329a_u2x8_uart0_dual_pr_ee       m329a_u2x8_uart0_dual_pr_ee_u4
 * m329p_u2x8_uart0_dual_pr_ee       m329p_u2x8_uart0_dual_pr_ee_u4    m329pa_u2x8_uart0_dual_pr_ee
 * m329pa_u2x8_uart0_dual_pr_ee_u4   m3290_u2x8_uart0_dual_pr_ee       m3290_u2x8_uart0_dual_pr_ee_u4
 * m3290a_u2x8_uart0_dual_pr_ee      m3290a_u2x8_uart0_dual_pr_ee_u4   m3290p_u2x8_uart0_dual_pr_ee
 * m3290p_u2x8_uart0_dual_pr_ee_u4   m3290pa_u2x8_uart0_dual_pr_ee     m3290pa_u2x8_uart0_dual_pr_ee_u4
 * m325_u2x8_uart0_dual_pr_ee        m325_u2x8_uart0_dual_pr_ee_u4     m325a_u2x8_uart0_dual_pr_ee
 * m325a_u2x8_uart0_dual_pr_ee_u4    m325p_u2x8_uart0_dual_pr_ee       m325p_u2x8_uart0_dual_pr_ee_u4
 * m325pa_u2x8_uart0_dual_pr_ee      m325pa_u2x8_uart0_dual_pr_ee_u4   m3250_u2x8_uart0_dual_pr_ee
 * m3250_u2x8_uart0_dual_pr_ee_u4    m3250a_u2x8_uart0_dual_pr_ee      m3250a_u2x8_uart0_dual_pr_ee_u4
 * m3250p_u2x8_uart0_dual_pr_ee      m3250p_u2x8_uart0_dual_pr_ee_u4   m3250pa_u2x8_uart0_dual_pr_ee
 * m3250pa_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m329_u2x8_uart0_dual_pr_ee[] = {
  0xbbbbba64e890cf68, 0x777776fc5a2e71b5, 0xea2f2af39db5c777, 0x7d9f6626977599b4, 0xa3ea75ee1bb113d4,
  0x0904316ef251dbb9, 0x894948e1fe609f18, 0x4306d2303775b40c, 0x2ba0cee9f12e2061, 0xc3fe1c0344da6bf3,
  0x9fc1d0fcdea3d8fe, 0x12bfcfdf04508e48, 0x9b972200dc3e1443, 0xb41d2a21955ddeef, 0xe80e784c5162a10c,
  0xb0de579096dfabff, 0xe9f096fbff735e60, 0x24368ded51ca4df6, 0xea3cad7dcd56b472, 0x5d4af51f06cc1829,
  0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0x0a3dece756973297, 0xb1aad743af512ed1, 0x662e1211408a8f9e,
  0x51b047eb70decbe9, 0xe77715250084feb1, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x4f37459e4afdcd0c,
  0x0000000000002b27,
};

/*
 * m329_u2x8_uart0_dual_pr_ce_u4     m329a_u2x8_uart0_dual_pr_ce       m329a_u2x8_uart0_dual_pr_ce_u4
 * m329p_u2x8_uart0_dual_pr_ce       m329p_u2x8_uart0_dual_pr_ce_u4    m329pa_u2x8_uart0_dual_pr_ce
 * m329pa_u2x8_uart0_dual_pr_ce_u4   m3290_u2x8_uart0_dual_pr_ce       m3290_u2x8_uart0_dual_pr_ce_u4
 * m3290a_u2x8_uart0_dual_pr_ce      m3290a_u2x8_uart0_dual_pr_ce_u4   m3290p_u2x8_uart0_dual_pr_ce
 * m3290p_u2x8_uart0_dual_pr_ce_u4   m3290pa_u2x8_uart0_dual_pr_ce     m3290pa_u2x8_uart0_dual_pr_ce_u4
 * m325_u2x8_uart0_dual_pr_ce        m325_u2x8_uart0_dual_pr_ce_u4     m325a_u2x8_uart0_dual_pr_ce
 * m325a_u2x8_uart0_dual_pr_ce_u4    m325p_u2x8_uart0_dual_pr_ce       m325p_u2x8_uart0_dual_pr_ce_u4
 * m325pa_u2x8_uart0_dual_pr_ce      m325pa_u2x8_uart0_dual_pr_ce_u4   m3250_u2x8_uart0_dual_pr_ce
 * m3250_u2x8_uart0_dual_pr_ce_u4    m3250a_u2x8_uart0_dual_pr_ce      m3250a_u2x8_uart0_dual_pr_ce_u4
 * m3250p_u2x8_uart0_dual_pr_ce      m3250p_u2x8_uart0_dual_pr_ce_u4   m3250pa_u2x8_uart0_dual_pr_ce
 * m3250pa_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_dual_pr_ce[] = {
  0xeeeee993a2431f02, 0x77776fc7a7bf66d6, 0x58b96257da807777, 0xaa2f39dbbbb138dd, 0xdca31166d084c295,
  0x8c048218b77931c5, 0x0644a4a40c2f304f, 0x30a18369181bbada, 0xf995d06774f89710, 0xad805a3818fcc337,
  0x244fe0c6b4dea3a5, 0x21895fe7ef822847, 0x77cdc67c006e1f0a, 0x865a051510caaeef, 0xdff4073c2631f150,
  0x982c3795e425b78a, 0x7dba7c24c17fdcd7, 0xaa010da37b547293, 0xc79e6da038e96e2f, 0x12fc4361222fb892,
  0x2ee370527ebfea3e, 0xc6fcf72c67d4b99e, 0x1f238e9fc1d4bf51, 0xb591d7f398b01414, 0x00ffd99e3af00676,
  0x2740f2d6e10e90d5, 0xd93f8abe77715255, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x003492aca6e8b3c9,
};

/*
 * m329a_u2x8_uart0_dual_pr_ee_ce    m329p_u2x8_uart0_dual_pr_ee_ce    m329pa_u2x8_uart0_dual_pr_ee_ce
 * m3290_u2x8_uart0_dual_pr_ee_ce    m3290a_u2x8_uart0_dual_pr_ee_ce   m3290p_u2x8_uart0_dual_pr_ee_ce
 * m3290pa_u2x8_uart0_dual_pr_ee_ce  m325_u2x8_uart0_dual_pr_ee_ce     m325a_u2x8_uart0_dual_pr_ee_ce
 * m325p_u2x8_uart0_dual_pr_ee_ce    m325pa_u2x8_uart0_dual_pr_ee_ce   m3250_u2x8_uart0_dual_pr_ee_ce
 * m3250a_u2x8_uart0_dual_pr_ee_ce   m3250p_u2x8_uart0_dual_pr_ee_ce   m3250pa_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m329_u2x8_uart0_dual_pr_ee_ce[] = {
  0x6eeeee993d43573e, 0xddddddbf0b89366d, 0x9db37dd8ebe8fcdd, 0x7d55e56ee0ee8f63, 0x717dd857bd657b80,
  0x0904316ef25a73b9, 0x89494874ea609f18, 0x4306d2303775b40c, 0x2ba0cee9f12e2061, 0x014870fd798d6ff3,
  0x3f83b5b9bd47801b, 0x257f9fbe08a11c91, 0x6e775801b87c2886, 0xd0d3688655777bbe, 0xa039e136048a8432,
  0xc3795e425b79dbff, 0x4f84ba7ffdcd7982, 0xe1b46f6a8e526fb7, 0xb40706b1dff546e4, 0xcee372f0f96bf3cd,
  0xdfc94ed6564dd309, 0x51f06cc1af9ea3ca, 0xd3ad08a05315c06f, 0x909afa30b2c4522c, 0x51ef673abb71943a,
  0x1aaf1b1d7a897688, 0x62e1211408a8f9eb, 0x8d8226470decbe96, 0x3bb8a9296627f58a, 0xbf0312b5ec9fc55f,
  0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b,
  0xe0eee3458f386e3c, 0x0cf4c2b93f75666f, 0x3a4a5b3e04e32c97, 0xdd16792bf734332c, 0x00000000098258fe,
};

/*
 * m329a_u2x8_uart0_dual_pr_ee_ce_u4 m329p_u2x8_uart0_dual_pr_ee_ce_u4 m329pa_u2x8_uart0_dual_pr_ee_ce_u4
 * m3290_u2x8_uart0_dual_pr_ee_ce_u4 m3290a_u2x8_uart0_dual_pr_ee_ce_u4
 * m3290p_u2x8_uart0_dual_pr_ee_ce_u4 m3290pa_u2x8_uart0_dual_pr_ee_ce_u4
 * m325_u2x8_uart0_dual_pr_ee_ce_u4  m325a_u2x8_uart0_dual_pr_ee_ce_u4 m325p_u2x8_uart0_dual_pr_ee_ce_u4
 * m325pa_u2x8_uart0_dual_pr_ee_ce_u4 m3250_u2x8_uart0_dual_pr_ee_ce_u4
 * m3250a_u2x8_uart0_dual_pr_ee_ce_u4 m3250p_u2x8_uart0_dual_pr_ee_ce_u4
 * m3250pa_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba64e8adbba812, 0xbbb7e593beb9b5bb, 0xc26bd5ef5717bbbb, 0x5375ba5ab3eda7bd, 0xb3fb4666ec132650,
  0xc9fb4ee0fafc1cbb, 0xb9827c602410c5bb, 0xbbada0644a4a479e, 0x8971030a18369181, 0x6a4afccb41ca774f,
  0x4767cd87599c190e, 0xa11c913f8335b9bd, 0x7c2886257f9fbe08, 0x777bbe6e753801b8, 0x8a8432d00b488655,
  0x7fd7ffa039e131c1, 0x7e1982c3795e425b, 0xa4df6e9f093fcffc, 0xea8d4f4368ded51c, 0xb1e79b693b19bb8b,
  0x84bf10d8488bee24, 0x771b9aa0f20ffa8f, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a,
  0x84d7d18596229166, 0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3,
  0xddc5494b313fac54, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4,
  0xd8aaa2d3574e31bc, 0xc25ccbe6db9c31db, 0xc68b1be2e4d5c1e6, 0x39fa9d599bf83f6e, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000040065a5f2374,
};

/*
 * m329a_u2x8_uart0_dual_ee_hw       m329p_u2x8_uart0_dual_ee_hw       m329pa_u2x8_uart0_dual_ee_hw
 * m3290_u2x8_uart0_dual_ee_hw       m3290a_u2x8_uart0_dual_ee_hw      m3290p_u2x8_uart0_dual_ee_hw
 * m3290pa_u2x8_uart0_dual_ee_hw     m325_u2x8_uart0_dual_ee_hw        m325a_u2x8_uart0_dual_ee_hw
 * m325p_u2x8_uart0_dual_ee_hw       m325pa_u2x8_uart0_dual_ee_hw      m3250_u2x8_uart0_dual_ee_hw
 * m3250a_u2x8_uart0_dual_ee_hw      m3250p_u2x8_uart0_dual_ee_hw      m3250pa_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m329_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee993a2435202, 0xdddddbf168b9c6d6, 0xa8bcabce76d71ddd, 0xf67d989a5dd666d3, 0x721d6d37cd744f51,
  0x02410c5bbc9476ee, 0x225252387f9827c6, 0x50c1b48c0ddd6d03, 0xcae833ba7c4b8818, 0xb0ff8700d1369afc,
  0x27f0743f37a8f63f, 0xc4aff3f7c1142392, 0xe6e5c880370f8510, 0x2d074a88655777bb, 0xfa039e131458a843,
  0x2c3795e425b7eaff, 0x74f84b7dfffa9198, 0x121b46f6a8e526fb, 0xf51e56bee6ab5a39, 0xaea57a8f83660c14,
  0x2291669d68450ef8, 0x8a973484d7d18596, 0x851ef673ab4b994b, 0x58d56ba1d7a89768, 0xb3170908a04547cf,
  0xa8d823f5b86f65f4, 0xf3bb8a9280427f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xa7a8a792bf734332, 0x000000000000576b,
};

/*
 * m329a_u2x8_uart0_dual_ee_ce_hw    m329p_u2x8_uart0_dual_ee_ce_hw    m329pa_u2x8_uart0_dual_ee_ce_hw
 * m3290_u2x8_uart0_dual_ee_ce_hw    m3290a_u2x8_uart0_dual_ee_ce_hw   m3290p_u2x8_uart0_dual_ee_ce_hw
 * m3290pa_u2x8_uart0_dual_ee_ce_hw  m325_u2x8_uart0_dual_ee_ce_hw     m325a_u2x8_uart0_dual_ee_ce_hw
 * m325p_u2x8_uart0_dual_ee_ce_hw    m325pa_u2x8_uart0_dual_ee_ce_hw   m3250_u2x8_uart0_dual_ee_ce_hw
 * m3250a_u2x8_uart0_dual_ee_ce_hw   m3250p_u2x8_uart0_dual_ee_ce_hw   m3250pa_u2x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m329_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeee993d4143359b, 0xddddbf0b89366d6e, 0xb37dd8ebe8fcdddd, 0x55e56ee0ee8f639d, 0x786614d6bafb807d,
  0x0904316ef25a73b8, 0x89494874ea609f18, 0x4306d2303775b40c, 0x2ba0cee9f12e2061, 0x014870fd798d6ff3,
  0x3f83b5b9bd47801b, 0x257f9fbe08a11c91, 0x6e775801b87c2886, 0xd0d3688655777bbe, 0xa039e136048a8432,
  0xc3795e425b79dbff, 0x9f0974ffffa91982, 0xc368ded51ca4df6e, 0x680e0d63bfea8dc9, 0x9dc6e759b21fe79b,
  0xbf929dacac9ba613, 0xa3e0d9835f3d4795, 0xa75a1140a62b80de, 0x2135f4616588a459, 0xa3dece7576e32875,
  0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c, 0x77715252cc4feb15, 0x7e06256bd93f8abe,
  0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76,
  0xc2a73f5361d8dc79, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271, 0xbad8ff453c95fb9a,
  0x000000000000000e,
};

/*
 * m329a_u2x8_uart0_dual_ee_ce_u4_hw m329p_u2x8_uart0_dual_ee_ce_u4_hw m329pa_u2x8_uart0_dual_ee_ce_u4_hw
 * m3290_u2x8_uart0_dual_ee_ce_u4_hw m3290a_u2x8_uart0_dual_ee_ce_u4_hw
 * m3290p_u2x8_uart0_dual_ee_ce_u4_hw m3290pa_u2x8_uart0_dual_ee_ce_u4_hw
 * m325_u2x8_uart0_dual_ee_ce_u4_hw  m325a_u2x8_uart0_dual_ee_ce_u4_hw m325p_u2x8_uart0_dual_ee_ce_u4_hw
 * m325pa_u2x8_uart0_dual_ee_ce_u4_hw m3250_u2x8_uart0_dual_ee_ce_u4_hw
 * m3250a_u2x8_uart0_dual_ee_ce_u4_hw m3250p_u2x8_uart0_dual_ee_ce_u4_hw
 * m3250pa_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeee993a28d1880b, 0xeeedf964efae6d6e, 0xf7b84d7dabdeeeee, 0xca0a6eb74b567db4, 0xa6b6cd3accdd8264,
  0x0c5bbc9fb4ee127f, 0xa479eb9827c60241, 0x69181bbada0644a4, 0xa774f8971030a183, 0xc190e6a4afccb135,
  0x5b9bd4767cd87599, 0xfbe08a11c913f833, 0x801b87c2886257f9, 0x88655777bbe6e753, 0x131c18a8432d00b4,
  0xe425b7fd7ffa039e, 0xf9fecf43982c3795, 0xdaa3949bedd3e127, 0x37717d51a9e86d1b, 0xdc4963cf2beb0383,
  0xf51f097e21b09117, 0xd33c5dc6e292737f, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b,
  0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9,
  0x8abe77715252cc4f, 0x70b37e06256bd93f, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb2170be9e4afdcd0, 0x000000000000eba8,
};

/*
 * m329_u2x12_uart0_noled_pr         m329a_u2x12_uart0_noled           m329a_u2x12_uart0_noled_pr
 * m329p_u2x12_uart0_noled           m329p_u2x12_uart0_noled_pr        m329pa_u2x12_uart0_noled
 * m329pa_u2x12_uart0_noled_pr       m3290_u2x12_uart0_noled           m3290_u2x12_uart0_noled_pr
 * m3290a_u2x12_uart0_noled          m3290a_u2x12_uart0_noled_pr       m3290p_u2x12_uart0_noled
 * m3290p_u2x12_uart0_noled_pr       m3290pa_u2x12_uart0_noled         m3290pa_u2x12_uart0_noled_pr
 * m325_u2x12_uart0_noled            m325_u2x12_uart0_noled_pr         m325a_u2x12_uart0_noled
 * m325a_u2x12_uart0_noled_pr        m325p_u2x12_uart0_noled           m325p_u2x12_uart0_noled_pr
 * m325pa_u2x12_uart0_noled          m325pa_u2x12_uart0_noled_pr       m3250_u2x12_uart0_noled
 * m3250_u2x12_uart0_noled_pr        m3250a_u2x12_uart0_noled          m3250a_u2x12_uart0_noled_pr
 * m3250p_u2x12_uart0_noled          m3250p_u2x12_uart0_noled_pr       m3250pa_u2x12_uart0_noled
 * m3250pa_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m329_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x609f180904316ef2, 0x84a21ff7e879f9ba, 0x47293f9b53eab74f, 0x78ef964870da37b5, 0xe8e3a7f06693d47e,
  0x3398b016f74c37c9, 0x608ebc5cecf691e3, 0x12b5ec2b289dc72c, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x6ed84b997cdb1248, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0xa76b8f9e4afdcd0c, 0x0000000000007c82,
};

/*
 * m329a_u2x12_uart0_noled_pr_u4     m329p_u2x12_uart0_noled_pr_u4     m329pa_u2x12_uart0_noled_pr_u4
 * m3290_u2x12_uart0_noled_pr_u4     m3290a_u2x12_uart0_noled_pr_u4    m3290p_u2x12_uart0_noled_pr_u4
 * m3290pa_u2x12_uart0_noled_pr_u4   m325_u2x12_uart0_noled_pr_u4      m325a_u2x12_uart0_noled_pr_u4
 * m325p_u2x12_uart0_noled_pr_u4     m325pa_u2x12_uart0_noled_pr_u4    m3250_u2x12_uart0_noled_pr_u4
 * m3250a_u2x12_uart0_noled_pr_u4    m3250p_u2x12_uart0_noled_pr_u4    m3250pa_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m329_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488a8ae, 0xbaab9c178fc4b777, 0xe4d5a00d2e3bbbbb, 0xf07dddd888913e2d, 0xa69638d931223188,
  0x4f8c048218b7793b, 0x2053fcf02cfe9530, 0xca4fe6d4faadd3e1, 0x3be5843c368ded51, 0x38e9fc1a0bf51fa0,
  0x731602cb299efb5a, 0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x06256bd838f81e59, 0x0603bd6bce70b37e,
  0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0x7079b09732f9b624, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x3a2029e4afdcd0cc, 0x00000000003e4e35,
};

/*
 * m329_u2x12_uart0_noled_pr_ee_u4   m329a_u2x12_uart0_noled_pr_ee     m329a_u2x12_uart0_noled_pr_ee_u4
 * m329p_u2x12_uart0_noled_pr_ee     m329p_u2x12_uart0_noled_pr_ee_u4  m329pa_u2x12_uart0_noled_pr_ee
 * m329pa_u2x12_uart0_noled_pr_ee_u4 m3290_u2x12_uart0_noled_pr_ee     m3290_u2x12_uart0_noled_pr_ee_u4
 * m3290a_u2x12_uart0_noled_pr_ee    m3290a_u2x12_uart0_noled_pr_ee_u4 m3290p_u2x12_uart0_noled_pr_ee
 * m3290p_u2x12_uart0_noled_pr_ee_u4 m3290pa_u2x12_uart0_noled_pr_ee
 * m3290pa_u2x12_uart0_noled_pr_ee_u4 m325_u2x12_uart0_noled_pr_ee
 * m325_u2x12_uart0_noled_pr_ee_u4   m325a_u2x12_uart0_noled_pr_ee     m325a_u2x12_uart0_noled_pr_ee_u4
 * m325p_u2x12_uart0_noled_pr_ee     m325p_u2x12_uart0_noled_pr_ee_u4  m325pa_u2x12_uart0_noled_pr_ee
 * m325pa_u2x12_uart0_noled_pr_ee_u4 m3250_u2x12_uart0_noled_pr_ee     m3250_u2x12_uart0_noled_pr_ee_u4
 * m3250a_u2x12_uart0_noled_pr_ee    m3250a_u2x12_uart0_noled_pr_ee_u4 m3250p_u2x12_uart0_noled_pr_ee
 * m3250p_u2x12_uart0_noled_pr_ee_u4 m3250pa_u2x12_uart0_noled_pr_ee
 * m3250pa_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m329_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x048218b7793bad3b, 0xf9e059fc09304f8c, 0x9b53eab74f848a5f, 0xce30da37b547293f, 0xc7d4795c89355ad1,
  0xf15f75ea3e0d9834, 0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37,
  0xb2e62e1211473c8c, 0x34a8d823f5b86f65, 0xbf0312b5ec00a895, 0xfa8301deb5e73859, 0x72f29b19c2de6f00,
  0x5ce31bc67440aeaa, 0x1248ab7b15545a58, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xdaf71014f257ee68,
  0x00000000000009d7,
};

/*
 * m329_u2x12_uart0_noled_pr_ce_u4   m329a_u2x12_uart0_noled_pr_ce     m329a_u2x12_uart0_noled_pr_ce_u4
 * m329p_u2x12_uart0_noled_pr_ce     m329p_u2x12_uart0_noled_pr_ce_u4  m329pa_u2x12_uart0_noled_pr_ce
 * m329pa_u2x12_uart0_noled_pr_ce_u4 m3290_u2x12_uart0_noled_pr_ce     m3290_u2x12_uart0_noled_pr_ce_u4
 * m3290a_u2x12_uart0_noled_pr_ce    m3290a_u2x12_uart0_noled_pr_ce_u4 m3290p_u2x12_uart0_noled_pr_ce
 * m3290p_u2x12_uart0_noled_pr_ce_u4 m3290pa_u2x12_uart0_noled_pr_ce
 * m3290pa_u2x12_uart0_noled_pr_ce_u4 m325_u2x12_uart0_noled_pr_ce
 * m325_u2x12_uart0_noled_pr_ce_u4   m325a_u2x12_uart0_noled_pr_ce     m325a_u2x12_uart0_noled_pr_ce_u4
 * m325p_u2x12_uart0_noled_pr_ce     m325p_u2x12_uart0_noled_pr_ce_u4  m325pa_u2x12_uart0_noled_pr_ce
 * m325pa_u2x12_uart0_noled_pr_ce_u4 m3250_u2x12_uart0_noled_pr_ce     m3250_u2x12_uart0_noled_pr_ce_u4
 * m3250a_u2x12_uart0_noled_pr_ce    m3250a_u2x12_uart0_noled_pr_ce_u4 m3250p_u2x12_uart0_noled_pr_ce
 * m3250p_u2x12_uart0_noled_pr_ce_u4 m3250pa_u2x12_uart0_noled_pr_ce
 * m3250pa_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x7c602410c5bbc9dd, 0xf3bfcf02cf975982, 0x49fcda9f55ba7c25, 0x17d72486d1bdaa39, 0x24b1e7804a9dbf97,
  0x8f84bf10d8488bee, 0x33c5dc6e3fcc41fa, 0x3d4727a7b9633f59, 0x147ce9238e9fc1eb, 0x1f3b57f47ac398b0,
  0x99e5403ff6678ebd, 0xd7b071f03cb5b87d, 0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0xc25ccbe6d89218ed, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x0000006ebbf02880,
};

/*
 * m329a_u2x12_uart0_noled_pr_ee_ce  m329p_u2x12_uart0_noled_pr_ee_ce  m329pa_u2x12_uart0_noled_pr_ee_ce
 * m3290_u2x12_uart0_noled_pr_ee_ce  m3290a_u2x12_uart0_noled_pr_ee_ce m3290p_u2x12_uart0_noled_pr_ee_ce
 * m3290pa_u2x12_uart0_noled_pr_ee_ce m325_u2x12_uart0_noled_pr_ee_ce
 * m325a_u2x12_uart0_noled_pr_ee_ce  m325p_u2x12_uart0_noled_pr_ee_ce  m325pa_u2x12_uart0_noled_pr_ee_ce
 * m3250_u2x12_uart0_noled_pr_ee_ce  m3250a_u2x12_uart0_noled_pr_ee_ce m3250p_u2x12_uart0_noled_pr_ee_ce
 * m3250pa_u2x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m329_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x904316ef2775b11c, 0x3c0b3e96a609f180, 0x6a7d56e9f090d6ff, 0xf21b46f6a8e527f3, 0x012a77810effaa37,
  0x4e771b9d66c87f9e, 0x57d44a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x06256bd859d12a69,
  0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x0c76f62aa8b4b0b9, 0xe0f3612e65f36c49,
  0x0fca1a2cb579726a, 0x50c2a73f53ab31e4, 0x80f9a1e64ff0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x04fc3244053c95fb,
};

/*
 * m329a_u2x12_uart0_noled_pr_ee_ce_u4 m329p_u2x12_uart0_noled_pr_ee_ce_u4
 * m329pa_u2x12_uart0_noled_pr_ee_ce_u4 m3290_u2x12_uart0_noled_pr_ee_ce_u4
 * m3290a_u2x12_uart0_noled_pr_ee_ce_u4 m3290p_u2x12_uart0_noled_pr_ee_ce_u4
 * m3290pa_u2x12_uart0_noled_pr_ee_ce_u4 m325_u2x12_uart0_noled_pr_ee_ce_u4
 * m325a_u2x12_uart0_noled_pr_ee_ce_u4 m325p_u2x12_uart0_noled_pr_ee_ce_u4
 * m325pa_u2x12_uart0_noled_pr_ee_ce_u4 m3250_u2x12_uart0_noled_pr_ee_ce_u4
 * m3250a_u2x12_uart0_noled_pr_ee_ce_u4 m3250p_u2x12_uart0_noled_pr_ee_ce_u4
 * m3250pa_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d7834486cc7f, 0xbaabae43a744b777, 0x7e98d3d89dbbbbbb, 0xa912c47771da09e4, 0x55e52947e0dc71a8,
  0x048218b7793ba9f7, 0xf62bb3e9b7304f8c, 0xda9f55ba7c24337f, 0x8786d1bdaa3949fc, 0x36d01c383717d51c,
  0x21b09117dc4963cf, 0xe747d493f51f097e, 0x9dadcdbdf33c5dc6, 0xb306b5fd4795f512, 0x22814c5613fd47c1,
  0xe8c2cb1148b34eb4, 0x9ceaedd388ea426b, 0xd8ebce9bb6f68f05, 0x11473c8c38d8d578, 0x32386f65b2e62e12,
  0xf616744a9a546c11, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0x4b997cdb12431dbd, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x7459e4afdcd0ccb0, 0x000000004fcf3f0b,
};

/*
 * m329a_u2x12_uart0_noled_ee_hw     m329p_u2x12_uart0_noled_ee_hw     m329pa_u2x12_uart0_noled_ee_hw
 * m3290_u2x12_uart0_noled_ee_hw     m3290a_u2x12_uart0_noled_ee_hw    m3290p_u2x12_uart0_noled_ee_hw
 * m3290pa_u2x12_uart0_noled_ee_hw   m325_u2x12_uart0_noled_ee_hw      m325a_u2x12_uart0_noled_ee_hw
 * m325p_u2x12_uart0_noled_ee_hw     m325pa_u2x12_uart0_noled_ee_hw    m3250_u2x12_uart0_noled_ee_hw
 * m3250a_u2x12_uart0_noled_ee_hw    m3250p_u2x12_uart0_noled_ee_hw    m3250pa_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m329_u2x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a2433a31, 0xeeaaf2200ce25bbb, 0x8121e3f5ebeeeeee, 0xa730987f75e475ec, 0xd89b0da02a199bb6,
  0x3e30120862dde4ee, 0x8a5ffd0a67f024c1, 0x293f9b53eab74f84, 0x5ad1ce30da37b547, 0x9834c7d4795c8935,
  0x8a1df15f75ea3e0d, 0xa30b2c4522cd3ad0, 0xa5e715c6b26909af, 0x9d376ded1e0b39d5, 0x3c8c38d8d56ba1d7,
  0x6f65b2e62e121147, 0xa89534a8d823f5b8, 0x3859bf0312b5ec00, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de,
  0x5a585ce31bc67440, 0x7cdb1248ab7b1554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00002df31c4d14f2,
};

/*
 * m329_u2x12_uart0_noled_ee_ce_u4_hw m329a_u2x12_uart0_noled_ee_ce_hw
 * m329a_u2x12_uart0_noled_ee_ce_u4_hw m329p_u2x12_uart0_noled_ee_ce_hw
 * m329p_u2x12_uart0_noled_ee_ce_u4_hw m329pa_u2x12_uart0_noled_ee_ce_hw
 * m329pa_u2x12_uart0_noled_ee_ce_u4_hw m3290_u2x12_uart0_noled_ee_ce_hw
 * m3290_u2x12_uart0_noled_ee_ce_u4_hw m3290a_u2x12_uart0_noled_ee_ce_hw
 * m3290a_u2x12_uart0_noled_ee_ce_u4_hw m3290p_u2x12_uart0_noled_ee_ce_hw
 * m3290p_u2x12_uart0_noled_ee_ce_u4_hw m3290pa_u2x12_uart0_noled_ee_ce_hw
 * m3290pa_u2x12_uart0_noled_ee_ce_u4_hw m325_u2x12_uart0_noled_ee_ce_hw
 * m325_u2x12_uart0_noled_ee_ce_u4_hw m325a_u2x12_uart0_noled_ee_ce_hw
 * m325a_u2x12_uart0_noled_ee_ce_u4_hw m325p_u2x12_uart0_noled_ee_ce_hw
 * m325p_u2x12_uart0_noled_ee_ce_u4_hw m325pa_u2x12_uart0_noled_ee_ce_hw
 * m325pa_u2x12_uart0_noled_ee_ce_u4_hw m3250_u2x12_uart0_noled_ee_ce_hw
 * m3250_u2x12_uart0_noled_ee_ce_u4_hw m3250a_u2x12_uart0_noled_ee_ce_hw
 * m3250a_u2x12_uart0_noled_ee_ce_u4_hw m3250p_u2x12_uart0_noled_ee_ce_hw
 * m3250p_u2x12_uart0_noled_ee_ce_u4_hw m3250pa_u2x12_uart0_noled_ee_ce_hw
 * m3250pa_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeda1af06890c1107, 0x75575c874e896eee, 0xfd31a7b13b777777, 0x522588eee3b413c8, 0x9157eefdc1b8e351,
  0x180904316ef27753, 0xdffd0a67d36e609f, 0x7f36a7d56e9f090c, 0x4721e1b46f6a8e52, 0xf3cdb4070e0dc5f5,
  0x5f886c2445f71258, 0xb8dc4a8b91fd47c2, 0xa253b5b9b7be678b, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8,
  0x4d7d185962291669, 0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5,
  0x2b5ec2ce89534a8d, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0xe1a29e4afdcd0ccb, 0x00000000001405e7,
};

/*
 * m329_u2x12_uart0_lednop_pr        m329a_u2x12_uart0_lednop          m329a_u2x12_uart0_lednop_pr
 * m329p_u2x12_uart0_lednop          m329p_u2x12_uart0_lednop_pr       m329pa_u2x12_uart0_lednop
 * m329pa_u2x12_uart0_lednop_pr      m3290_u2x12_uart0_lednop          m3290_u2x12_uart0_lednop_pr
 * m3290a_u2x12_uart0_lednop         m3290a_u2x12_uart0_lednop_pr      m3290p_u2x12_uart0_lednop
 * m3290p_u2x12_uart0_lednop_pr      m3290pa_u2x12_uart0_lednop        m3290pa_u2x12_uart0_lednop_pr
 * m325_u2x12_uart0_lednop           m325_u2x12_uart0_lednop_pr        m325a_u2x12_uart0_lednop
 * m325a_u2x12_uart0_lednop_pr       m325p_u2x12_uart0_lednop          m325p_u2x12_uart0_lednop_pr
 * m325pa_u2x12_uart0_lednop         m325pa_u2x12_uart0_lednop_pr      m3250_u2x12_uart0_lednop
 * m3250_u2x12_uart0_lednop_pr       m3250a_u2x12_uart0_lednop         m3250a_u2x12_uart0_lednop_pr
 * m3250p_u2x12_uart0_lednop         m3250p_u2x12_uart0_lednop_pr      m3250pa_u2x12_uart0_lednop
 * m3250pa_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m329_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0xf9827c602410c5bb, 0x7c24807fbf43cf84, 0xaa3949fcda9f55ba, 0x93c77cb24386d1bd, 0xcf471d3f83349ea3,
  0x829cc580b7ba61bf, 0xc608ebc5cec1c51c, 0xc4ad7b0ac507dc72, 0xad79e0404e166fc0, 0x8016f3796ea0c077,
  0x80bdf2a6f529c94e, 0xf19d1023a8a042d3, 0xbb612e65f36d38c6, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x9dae3e792bf73433, 0x000000000001f20a,
};

/*
 * m329a_u2x12_uart0_lednop_pr_u4    m329p_u2x12_uart0_lednop_pr_u4    m329pa_u2x12_uart0_lednop_pr_u4
 * m3290_u2x12_uart0_lednop_pr_u4    m3290a_u2x12_uart0_lednop_pr_u4   m3290p_u2x12_uart0_lednop_pr_u4
 * m3290pa_u2x12_uart0_lednop_pr_u4  m325_u2x12_uart0_lednop_pr_u4     m325a_u2x12_uart0_lednop_pr_u4
 * m325p_u2x12_uart0_lednop_pr_u4    m325pa_u2x12_uart0_lednop_pr_u4   m3250_u2x12_uart0_lednop_pr_u4
 * m3250a_u2x12_uart0_lednop_pr_u4   m3250p_u2x12_uart0_lednop_pr_u4   m3250pa_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2446d4e, 0xdd55ce0be9625bbb, 0x8b60fe3f731ddddd, 0xe6fbbbb1112278ff, 0x626e09208cc6d933,
  0xf8c048218b7793ba, 0x807f9e059f09f304, 0x49fcda9f55ba7c24, 0x7cb08786d1bdaa39, 0x1d3f83417ea3dac7,
  0xc580b2ca6f920fc7, 0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x256bd905681e59ed, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x001f2620d51014f2,
};

/*
 * m329_u2x12_uart0_lednop_pr_ee_u4  m329a_u2x12_uart0_lednop_pr_ee    m329a_u2x12_uart0_lednop_pr_ee_u4
 * m329p_u2x12_uart0_lednop_pr_ee    m329p_u2x12_uart0_lednop_pr_ee_u4 m329pa_u2x12_uart0_lednop_pr_ee
 * m329pa_u2x12_uart0_lednop_pr_ee_u4 m3290_u2x12_uart0_lednop_pr_ee
 * m3290_u2x12_uart0_lednop_pr_ee_u4 m3290a_u2x12_uart0_lednop_pr_ee
 * m3290a_u2x12_uart0_lednop_pr_ee_u4 m3290p_u2x12_uart0_lednop_pr_ee
 * m3290p_u2x12_uart0_lednop_pr_ee_u4 m3290pa_u2x12_uart0_lednop_pr_ee
 * m3290pa_u2x12_uart0_lednop_pr_ee_u4 m325_u2x12_uart0_lednop_pr_ee
 * m325_u2x12_uart0_lednop_pr_ee_u4  m325a_u2x12_uart0_lednop_pr_ee    m325a_u2x12_uart0_lednop_pr_ee_u4
 * m325p_u2x12_uart0_lednop_pr_ee    m325p_u2x12_uart0_lednop_pr_ee_u4 m325pa_u2x12_uart0_lednop_pr_ee
 * m325pa_u2x12_uart0_lednop_pr_ee_u4 m3250_u2x12_uart0_lednop_pr_ee
 * m3250_u2x12_uart0_lednop_pr_ee_u4 m3250a_u2x12_uart0_lednop_pr_ee
 * m3250a_u2x12_uart0_lednop_pr_ee_u4 m3250p_u2x12_uart0_lednop_pr_ee
 * m3250p_u2x12_uart0_lednop_pr_ee_u4 m3250pa_u2x12_uart0_lednop_pr_ee
 * m3250pa_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x0904316ef2775b11, 0xf3c0b3fbee609f18, 0x36a7d56e9f0929ef, 0x9c61b46f6a8e527f, 0x8fa8f2b32a6ab5a3,
  0xc561efd47c1b3069, 0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xd1923268e756973d, 0xdab1aad743af3a6e,
  0x65cc5c242282791b, 0x7951b047eb70decb, 0xfc0c4ad7b0021f66, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xb09732f9b6e722ad, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x00000013af756e20,
};

/*
 * m329_u2x12_uart0_lednop_pr_ce_u4  m329a_u2x12_uart0_lednop_pr_ce    m329a_u2x12_uart0_lednop_pr_ce_u4
 * m329p_u2x12_uart0_lednop_pr_ce    m329p_u2x12_uart0_lednop_pr_ce_u4 m329pa_u2x12_uart0_lednop_pr_ce
 * m329pa_u2x12_uart0_lednop_pr_ce_u4 m3290_u2x12_uart0_lednop_pr_ce
 * m3290_u2x12_uart0_lednop_pr_ce_u4 m3290a_u2x12_uart0_lednop_pr_ce
 * m3290a_u2x12_uart0_lednop_pr_ce_u4 m3290p_u2x12_uart0_lednop_pr_ce
 * m3290p_u2x12_uart0_lednop_pr_ce_u4 m3290pa_u2x12_uart0_lednop_pr_ce
 * m3290pa_u2x12_uart0_lednop_pr_ce_u4 m325_u2x12_uart0_lednop_pr_ce
 * m325_u2x12_uart0_lednop_pr_ce_u4  m325a_u2x12_uart0_lednop_pr_ce    m325a_u2x12_uart0_lednop_pr_ce_u4
 * m325p_u2x12_uart0_lednop_pr_ce    m325p_u2x12_uart0_lednop_pr_ce_u4 m325pa_u2x12_uart0_lednop_pr_ce
 * m325pa_u2x12_uart0_lednop_pr_ce_u4 m3250_u2x12_uart0_lednop_pr_ce
 * m3250_u2x12_uart0_lednop_pr_ce_u4 m3250a_u2x12_uart0_lednop_pr_ce
 * m3250a_u2x12_uart0_lednop_pr_ce_u4 m3250p_u2x12_uart0_lednop_pr_ce
 * m3250p_u2x12_uart0_lednop_pr_ce_u4 m3250pa_u2x12_uart0_lednop_pr_ce
 * m3250pa_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x3e30120862dde4ee, 0x387fe78167d82cc1, 0xa4fe6d4faadd3e12, 0x8beb924368ded51c, 0x24b1e7804a9dd4ab,
  0x8f84bf10d8488bee, 0x678bb8dcadf801fa, 0x7a8fd24f72c67eb2, 0x2a6222c71d3f83d6, 0xf9d967a348673160,
  0xd22a01ffb33c75e8, 0xbd905681e5adc82c, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xbafa38a2029e4afd,
  0x0000000000000001,
};

/*
 * m329a_u2x12_uart0_lednop_pr_ee_ce m329p_u2x12_uart0_lednop_pr_ee_ce m329pa_u2x12_uart0_lednop_pr_ee_ce
 * m3290_u2x12_uart0_lednop_pr_ee_ce m3290a_u2x12_uart0_lednop_pr_ee_ce
 * m3290p_u2x12_uart0_lednop_pr_ee_ce m3290pa_u2x12_uart0_lednop_pr_ee_ce
 * m325_u2x12_uart0_lednop_pr_ee_ce  m325a_u2x12_uart0_lednop_pr_ee_ce m325p_u2x12_uart0_lednop_pr_ee_ce
 * m325pa_u2x12_uart0_lednop_pr_ee_ce m3250_u2x12_uart0_lednop_pr_ee_ce
 * m3250a_u2x12_uart0_lednop_pr_ee_ce m3250p_u2x12_uart0_lednop_pr_ee_ce
 * m3250pa_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x904316ef27747b16, 0x78167fa7e609f180, 0xa9f55ba7c25d5ffe, 0xc86d1bdaa3949fcd, 0x04a9defb3bfea8df,
  0x39dc6e5c89257e78, 0x5f7529dacac7be61, 0xd47c1b306b5fd479, 0x34eb422814c57b7f, 0xa426be8c2cb1148b,
  0x2464d1ceaedc7a8e, 0xc6abc6c75e74dda3, 0x3170908a09e46f6a, 0xa3608991c37b2d97, 0x1895af61663eccf2,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8,
  0x596af2e4d5c1e6c2, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x880a792bf734332c, 0x00000000009f8f5b,
};

/*
 * m329a_u2x12_uart0_lednop_pr_ee_ce_u4 m329p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m329pa_u2x12_uart0_lednop_pr_ee_ce_u4 m3290_u2x12_uart0_lednop_pr_ee_ce_u4
 * m3290a_u2x12_uart0_lednop_pr_ee_ce_u4 m3290p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m3290pa_u2x12_uart0_lednop_pr_ee_ce_u4 m325_u2x12_uart0_lednop_pr_ee_ce_u4
 * m325a_u2x12_uart0_lednop_pr_ee_ce_u4 m325p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m325pa_u2x12_uart0_lednop_pr_ee_ce_u4 m3250_u2x12_uart0_lednop_pr_ee_ce_u4
 * m3250a_u2x12_uart0_lednop_pr_ee_ce_u4 m3250p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m3250pa_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddb435e0d1219f68, 0xeeaaeb9012312ddd, 0xef234176c4eeeeee, 0xfa44b11ddc768274, 0xf44f69c164777048,
  0x602410c5bbc9dd2a, 0x7fd8aecfbfc9827c, 0xf9b53eab74f84834, 0x390f0da37b547293, 0x9e6da03896ae2faa,
  0xfc4361222fb892c7, 0x1b8089300fea3e12, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57dd, 0xd08a05315edff51f,
  0xafa30b2c4522cd3a, 0x3473abb71ea3a909, 0xf1b1d79d3768c919, 0x242282791bdab1aa, 0x226470decb65cc5c,
  0x6bd8598fb33ca8d8, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00009f971076e8b3,
};

/*
 * m329a_u2x12_uart0_lednop_ee_hw    m329p_u2x12_uart0_lednop_ee_hw    m329pa_u2x12_uart0_lednop_ee_hw
 * m3290_u2x12_uart0_lednop_ee_hw    m3290a_u2x12_uart0_lednop_ee_hw   m3290p_u2x12_uart0_lednop_ee_hw
 * m3290pa_u2x12_uart0_lednop_ee_hw  m325_u2x12_uart0_lednop_ee_hw     m325a_u2x12_uart0_lednop_ee_hw
 * m325p_u2x12_uart0_lednop_ee_hw    m325pa_u2x12_uart0_lednop_ee_hw   m3250_u2x12_uart0_lednop_ee_hw
 * m3250a_u2x12_uart0_lednop_ee_hw   m3250p_u2x12_uart0_lednop_ee_hw   m3250pa_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_ee_hw[] = {
  0xbb686bc1a2432493, 0xeeaaf2207ee25bbb, 0x9b200bf6a2eeeeee, 0x4e6130feebc8ebc1, 0x0dc82b4ed50b6976,
  0x7c602410c5bbc9dd, 0x29effa14cfefb982, 0x527f36a7d56e9f09, 0xb5a39c61b46f6a8e, 0x30698fa8f2b32a6a,
  0x2877c561efd47c1b, 0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af,
  0xdecb65cc5c242282, 0x1f667951b047eb70, 0xe166fc0c4ad7b002, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xf3044a29e4afdcd0, 0x000000000000002d,
};

/*
 * m329_u2x12_uart0_lednop_ee_ce_u4_hw m329a_u2x12_uart0_lednop_ee_ce_hw
 * m329a_u2x12_uart0_lednop_ee_ce_u4_hw m329p_u2x12_uart0_lednop_ee_ce_hw
 * m329p_u2x12_uart0_lednop_ee_ce_u4_hw m329pa_u2x12_uart0_lednop_ee_ce_hw
 * m329pa_u2x12_uart0_lednop_ee_ce_u4_hw m3290_u2x12_uart0_lednop_ee_ce_hw
 * m3290_u2x12_uart0_lednop_ee_ce_u4_hw m3290a_u2x12_uart0_lednop_ee_ce_hw
 * m3290a_u2x12_uart0_lednop_ee_ce_u4_hw m3290p_u2x12_uart0_lednop_ee_ce_hw
 * m3290p_u2x12_uart0_lednop_ee_ce_u4_hw m3290pa_u2x12_uart0_lednop_ee_ce_hw
 * m3290pa_u2x12_uart0_lednop_ee_ce_u4_hw m325_u2x12_uart0_lednop_ee_ce_hw
 * m325_u2x12_uart0_lednop_ee_ce_u4_hw m325a_u2x12_uart0_lednop_ee_ce_hw
 * m325a_u2x12_uart0_lednop_ee_ce_u4_hw m325p_u2x12_uart0_lednop_ee_ce_hw
 * m325p_u2x12_uart0_lednop_ee_ce_u4_hw m325pa_u2x12_uart0_lednop_ee_ce_hw
 * m325pa_u2x12_uart0_lednop_ee_ce_u4_hw m3250_u2x12_uart0_lednop_ee_ce_hw
 * m3250_u2x12_uart0_lednop_ee_ce_u4_hw m3250a_u2x12_uart0_lednop_ee_ce_hw
 * m3250a_u2x12_uart0_lednop_ee_ce_u4_hw m3250p_u2x12_uart0_lednop_ee_ce_hw
 * m3250p_u2x12_uart0_lednop_ee_ce_u4_hw m3250pa_u2x12_uart0_lednop_ee_ce_hw
 * m3250pa_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d78344867f3e, 0xbaabae4048c4b777, 0xbc8d05db13bbbbbb, 0xe912c47771da09d3, 0xaa8bf5d6d1ddc123,
  0x8c048218b7793bb1, 0xd1ff4299f7f9304f, 0x4fe6d4faadd3e120, 0xa8e43c368ded51ca, 0x1e79b680e25ab8be,
  0x4bf10d8488bee24b, 0x771b9494ce5fa8f8, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5,
  0x09afa30b2c4522cd, 0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc,
  0x256bd8598fb33ca8, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0x32f9b6e70c76f62a, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000014057107a29,
};

/*
 * m329a_u2x12_uart0_dual            m329p_u2x12_uart0_dual            m329pa_u2x12_uart0_dual
 * m3290_u2x12_uart0_dual            m3290a_u2x12_uart0_dual           m3290p_u2x12_uart0_dual
 * m3290pa_u2x12_uart0_dual          m325_u2x12_uart0_dual             m325a_u2x12_uart0_dual
 * m325p_u2x12_uart0_dual            m325pa_u2x12_uart0_dual           m3250_u2x12_uart0_dual
 * m3250a_u2x12_uart0_dual           m3250p_u2x12_uart0_dual           m3250pa_u2x12_uart0_dual
 */
static const uint64_t ur_m329_u2x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xdddddbf2a1c4e36b, 0x1db83d38056b62dd, 0xb229c6477775a5d9, 0x92b6ee57ccfb4b13,
  0x9827c602410c5bbc, 0x775b40c894948643, 0x12e20614306d2303, 0x9a43fe656024ee9f, 0xea3945d8393387ce,
  0x114239227f06fe4d, 0x70f8510c4aff3f7c, 0x2abbbddf370e0803, 0x37e2a10cb41ef443, 0x4b6f01bfe80e784c,
  0xff480930586f2bc8, 0xf36a7d56e9f0904f, 0xd5fe1b46f6a8e527, 0xfc1a43f51ee19df2, 0x0bf8732d726a38e9,
  0x8b7613e8d059cc58, 0x561a4dc72c608ebc, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0x400b79bcc077ad79,
  0xa9f016a72452d5e7, 0xe33a2065fe2810b4, 0xe6c25ccbe6da718d, 0x85727e7f62e4d5c1, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000000cb7edd1014,
};

/*
 * m329_u2x12_uart0_dual_pr_u4       m329a_u2x12_uart0_dual_pr         m329a_u2x12_uart0_dual_pr_u4
 * m329p_u2x12_uart0_dual_pr         m329p_u2x12_uart0_dual_pr_u4      m329pa_u2x12_uart0_dual_pr
 * m329pa_u2x12_uart0_dual_pr_u4     m3290_u2x12_uart0_dual_pr         m3290_u2x12_uart0_dual_pr_u4
 * m3290a_u2x12_uart0_dual_pr        m3290a_u2x12_uart0_dual_pr_u4     m3290p_u2x12_uart0_dual_pr
 * m3290p_u2x12_uart0_dual_pr_u4     m3290pa_u2x12_uart0_dual_pr       m3290pa_u2x12_uart0_dual_pr_u4
 * m325_u2x12_uart0_dual_pr          m325_u2x12_uart0_dual_pr_u4       m325a_u2x12_uart0_dual_pr
 * m325a_u2x12_uart0_dual_pr_u4      m325p_u2x12_uart0_dual_pr         m325p_u2x12_uart0_dual_pr_u4
 * m325pa_u2x12_uart0_dual_pr        m325pa_u2x12_uart0_dual_pr_u4     m3250_u2x12_uart0_dual_pr
 * m3250_u2x12_uart0_dual_pr_u4      m3250a_u2x12_uart0_dual_pr        m3250a_u2x12_uart0_dual_pr_u4
 * m3250p_u2x12_uart0_dual_pr        m3250p_u2x12_uart0_dual_pr_u4     m3250pa_u2x12_uart0_dual_pr
 * m3250pa_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr[] = {
  0xdd327cde890c0668, 0x776fca86828daddd, 0x33b2477a93377777, 0x3da05eeee841f4ec, 0xe07d6089f7c7f57c,
  0x602410c5bbc9866e, 0x0c894948a4a9827c, 0x614306d2303775b4, 0xf32ba0cee9f12e20, 0x2ec0e19c0a5ccc17,
  0x9227f07fba6f51dd, 0x10c4aff3f7c11423, 0xddf373fe00370f85, 0x10cb417c4432abbb, 0x95ff4073c267be2a,
  0x7982c3795e425b7a, 0xfaadd3e12eebfdcd, 0x368ded51ca4fe6d4, 0x87f51f229df2c4d4, 0x79a717be38e9fc18,
  0xad6475fce62c0550, 0x403ff6608ebc019d, 0x2740f2cf6c43a435, 0xd93f8abe77715255, 0x020270b37e06256b,
  0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0xc6f86e3cd84b997c,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00a49aa6b37459e4,
};

/*
 * m329a_u2x12_uart0_dual_pr_ee      m329p_u2x12_uart0_dual_pr_ee      m329pa_u2x12_uart0_dual_pr_ee
 * m3290_u2x12_uart0_dual_pr_ee      m3290a_u2x12_uart0_dual_pr_ee     m3290p_u2x12_uart0_dual_pr_ee
 * m3290pa_u2x12_uart0_dual_pr_ee    m325_u2x12_uart0_dual_pr_ee       m325a_u2x12_uart0_dual_pr_ee
 * m325p_u2x12_uart0_dual_pr_ee      m325pa_u2x12_uart0_dual_pr_ee     m3250_u2x12_uart0_dual_pr_ee
 * m3250a_u2x12_uart0_dual_pr_ee     m3250p_u2x12_uart0_dual_pr_ee     m3250pa_u2x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr_ee[] = {
  0x74c9f370f5a1a5fb, 0xddbf19051f36b777, 0x0eb843dd9bdddddd, 0xb05ff4f74dd00aad, 0x75c892ac4d744feb,
  0x18b7793939dd2c8d, 0xa447dd304f8c0482, 0x69181bbada0644a4, 0x6774f8971030a183, 0x0e1a6a67f9f995d0,
  0x7d3f37a8fff3601a, 0xf3f7c114239227f0, 0x2500370f8510c4af, 0x8688655777bbe6e1, 0x9e133938a8432d03,
  0x95e425b7a1fffa03, 0x25a6ffdcd7982c37, 0x3949fcda9f55ba7c, 0xaad68e4486d1bdaa, 0xd983053d4795afb9,
  0x1143be2ba95ea3e0, 0xf4616588a459a75a, 0xd2e652e2a5cd2135, 0xea25da2147bd9cea, 0x1151f3d6355ae875,
  0x1bd97d2cc5c24228, 0x109fd62a3608fd6e, 0xb27f157ceee2a4a0, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0xe9f0dc79b09732f9, 0x53ab337f07771a2c,
  0x32fcc4fe50c2a73f, 0xbff82687993fc5ce, 0x64b867a615c9f8e7, 0x9961d252d9f02719, 0x6316e8b3c95fb9a1,
  0x00000000000002b2,
};

/*
 * m329a_u2x12_uart0_dual_pr_ee_u4   m329p_u2x12_uart0_dual_pr_ee_u4   m329pa_u2x12_uart0_dual_pr_ee_u4
 * m3290_u2x12_uart0_dual_pr_ee_u4   m3290a_u2x12_uart0_dual_pr_ee_u4  m3290p_u2x12_uart0_dual_pr_ee_u4
 * m3290pa_u2x12_uart0_dual_pr_ee_u4 m325_u2x12_uart0_dual_pr_ee_u4    m325a_u2x12_uart0_dual_pr_ee_u4
 * m325p_u2x12_uart0_dual_pr_ee_u4   m325pa_u2x12_uart0_dual_pr_ee_u4  m3250_u2x12_uart0_dual_pr_ee_u4
 * m3250a_u2x12_uart0_dual_pr_ee_u4  m3250p_u2x12_uart0_dual_pr_ee_u4  m3250pa_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr_ee_u4[] = {
  0x7774c9f37a2432db, 0xddddbf19075b36b7, 0xfdd8becad4d7dddd, 0xb502ffa7bb625d96, 0x22ac07c674a3f738,
  0x410c5bbc9b82ee38, 0x29290b829827c602, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0xb1f387fc98347e65,
  0xf07d5f37a8fd3fb0, 0xaff3f7c114239227, 0xe25400370f8510c4, 0x04ac88655777bbe6, 0x039e132fb8a8432d,
  0x1bcaf212db9c1ffa, 0x3e12cadfee6bcc16, 0xd51ca4fe6d4faadd, 0xdcd56b47a54368de, 0xf06cc1fc9ea3cae3,
  0xad08a1df1598ff51, 0x9afa30b2c4522cd3, 0xead2e13d7082e690, 0xd7b589d87c47d21c, 0x47408ea5d8d56ba1,
  0xb86f65c7c62e1211, 0x7ceee2a4ab813ff5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x0b36e8b3c95fb9a1,
  0x0000000000000159,
};

/*
 * m329_u2x12_uart0_dual_pr_ce_u4    m329a_u2x12_uart0_dual_pr_ce      m329a_u2x12_uart0_dual_pr_ce_u4
 * m329p_u2x12_uart0_dual_pr_ce      m329p_u2x12_uart0_dual_pr_ce_u4   m329pa_u2x12_uart0_dual_pr_ce
 * m329pa_u2x12_uart0_dual_pr_ce_u4  m3290_u2x12_uart0_dual_pr_ce      m3290_u2x12_uart0_dual_pr_ce_u4
 * m3290a_u2x12_uart0_dual_pr_ce     m3290a_u2x12_uart0_dual_pr_ce_u4  m3290p_u2x12_uart0_dual_pr_ce
 * m3290p_u2x12_uart0_dual_pr_ce_u4  m3290pa_u2x12_uart0_dual_pr_ce    m3290pa_u2x12_uart0_dual_pr_ce_u4
 * m325_u2x12_uart0_dual_pr_ce       m325_u2x12_uart0_dual_pr_ce_u4    m325a_u2x12_uart0_dual_pr_ce
 * m325a_u2x12_uart0_dual_pr_ce_u4   m325p_u2x12_uart0_dual_pr_ce      m325p_u2x12_uart0_dual_pr_ce_u4
 * m325pa_u2x12_uart0_dual_pr_ce     m325pa_u2x12_uart0_dual_pr_ce_u4  m3250_u2x12_uart0_dual_pr_ce
 * m3250_u2x12_uart0_dual_pr_ce_u4   m3250a_u2x12_uart0_dual_pr_ce     m3250a_u2x12_uart0_dual_pr_ce_u4
 * m3250p_u2x12_uart0_dual_pr_ce     m3250p_u2x12_uart0_dual_pr_ce_u4  m3250pa_u2x12_uart0_dual_pr_ce
 * m3250pa_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr_ce[] = {
  0xbba64f9bd121a5fb, 0xdddbf14dd179b5bb, 0xaf4fbfb5a16ddddd, 0xeb410f7774c894a2, 0x74b235d70f8ab2ab,
  0x30120862dde4c1b7, 0x19129290eddcc13e, 0xc2860da4606eeb68, 0xe657419dd3e25c40, 0x6c0c7ce033736ed7,
  0x227f064ea6f51c2d, 0x0c4aff3f7c114239, 0xbe6e75980370f851, 0x32d072688655777b, 0xffa039e134068a84,
  0xc161bcaf212db8d6, 0xadd3e12c09fee6bc, 0x8ded51ca4fe6d4fa, 0x80e3a5b8bea80436, 0x8488bee24b1e79b6,
  0x49faffa8f84bf10d, 0xb19f52e678bb8dc1, 0x7f0752fd471bf3dc, 0xce62c050507c8e3a, 0x78ebc019dad6475f,
  0x5b843a435403ff66, 0xf9ddc549549d03cb, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x681ba2cf257ee686,
  0x0000000000006922,
};

/*
 * m329a_u2x12_uart0_dual_pr_ee_ce   m329p_u2x12_uart0_dual_pr_ee_ce   m329pa_u2x12_uart0_dual_pr_ee_ce
 * m3290_u2x12_uart0_dual_pr_ee_ce   m3290a_u2x12_uart0_dual_pr_ee_ce  m3290p_u2x12_uart0_dual_pr_ee_ce
 * m3290pa_u2x12_uart0_dual_pr_ee_ce m325_u2x12_uart0_dual_pr_ee_ce    m325a_u2x12_uart0_dual_pr_ee_ce
 * m325p_u2x12_uart0_dual_pr_ee_ce   m325pa_u2x12_uart0_dual_pr_ee_ce  m3250_u2x12_uart0_dual_pr_ee_ce
 * m3250a_u2x12_uart0_dual_pr_ee_ce  m3250p_u2x12_uart0_dual_pr_ee_ce  m3250pa_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d435202, 0xddddbf3c783e36b7, 0x435deeb7b7d7dddd, 0x038bd1deeabe0868, 0x6d1717e6be44fb84,
  0x0c5bbc9014ee721d, 0x4831eb9827c60241, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x7035b9a61bf32ba0,
  0x5bf37a8e29361fae, 0x3f7c114239227f07, 0x000370f8510c4aff, 0x910caaeef77cdc00, 0xc2695d150865a115,
  0xbc84b6f6b7ff4073, 0x58fffb9af30586f2, 0x527f36a7d56e9f09, 0xf546e4e1b46f6a8e, 0x6bf3cdb40706b1df,
  0x4dd309cee372f0f9, 0x9ea3cadfc94ed656, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053, 0x71943a909afa30b2,
  0x89768851ef673abb, 0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d, 0x9fc55f3bb8a92966,
  0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x386e3cd84b997cdb, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04, 0x820f2edd16792bf7,
  0x0000000000000009,
};

/*
 * m329a_u2x12_uart0_dual_pr_ee_ce_u4 m329p_u2x12_uart0_dual_pr_ee_ce_u4
 * m329pa_u2x12_uart0_dual_pr_ee_ce_u4 m3290_u2x12_uart0_dual_pr_ee_ce_u4
 * m3290a_u2x12_uart0_dual_pr_ee_ce_u4 m3290p_u2x12_uart0_dual_pr_ee_ce_u4
 * m3290pa_u2x12_uart0_dual_pr_ee_ce_u4 m325_u2x12_uart0_dual_pr_ee_ce_u4
 * m325a_u2x12_uart0_dual_pr_ee_ce_u4 m325p_u2x12_uart0_dual_pr_ee_ce_u4
 * m325pa_u2x12_uart0_dual_pr_ee_ce_u4 m3250_u2x12_uart0_dual_pr_ee_ce_u4
 * m3250a_u2x12_uart0_dual_pr_ee_ce_u4 m3250p_u2x12_uart0_dual_pr_ee_ce_u4
 * m3250pa_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xa64f9bd15b77ac4f, 0xedf9855821b5bbbb, 0xae3793d721eeeeee, 0xa56eb3edfb19cc89, 0xa0d5d7bccd937514,
  0x498ee9a75571f5b4, 0x827c602410c5bbc9, 0xada0644a4a465b49, 0x71030a18369181bb, 0x72fccb41ca774f89,
  0xeb3d83219c292a66, 0x1c913f839869bd47, 0x2886257f9fbe08a1, 0x7bbe6e2e0801b87c, 0x0865a063e8865577,
  0x6ffe80e784dd5f15, 0x660b0de579096dcd, 0x55ba7c25883ff1f8, 0xd1bdaa3949fcda9f, 0x76337717d51a9e86,
  0x9117dc4963cf36d2, 0xe41ff51f097e21b0, 0x6e6e99e2ee373541, 0xf9ea3cadfc94ed6e, 0x315c06f51f06cc1a,
  0x2c4522cd3ad08a05, 0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140,
  0x627f58a8d8226470, 0xc9fc55f3bb8a9296, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3,
  0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x939e46e9e4afdcd0,
  0x0000000000008001,
};

/*
 * m329a_u2x12_uart0_dual_ee_hw      m329p_u2x12_uart0_dual_ee_hw      m329pa_u2x12_uart0_dual_ee_hw
 * m3290_u2x12_uart0_dual_ee_hw      m3290a_u2x12_uart0_dual_ee_hw     m3290p_u2x12_uart0_dual_ee_hw
 * m3290pa_u2x12_uart0_dual_ee_hw    m325_u2x12_uart0_dual_ee_hw       m325a_u2x12_uart0_dual_ee_hw
 * m325p_u2x12_uart0_dual_ee_hw      m325pa_u2x12_uart0_dual_ee_hw     m3250_u2x12_uart0_dual_ee_hw
 * m3250a_u2x12_uart0_dual_ee_hw     m3250p_u2x12_uart0_dual_ee_hw     m3250pa_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m329_u2x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2431f02, 0xdddbf19051f36b77, 0xd0eb843dd9bddddd, 0xbb05ff4f74dd00aa, 0x88b37a6144d744fe,
  0x410c5bbc9c9cee51, 0x525223ee9827c602, 0xc1b48c0ddd6d0322, 0xe833ba7c4b881850, 0x0d070d3533fcfcca,
  0xf83e9f9bd47ff9b0, 0x57f9fbe08a11c913, 0x7092801b87c28862, 0x81c34432abbbddf3, 0x01cf099c9c542196,
  0x1bcaf212dbd0fffd, 0x7c25a6fffd48cc16, 0xaa3949fcda9f55ba, 0xb9aad68e4486d1bd, 0xe0d983053d4795af,
  0x5a1143be2ba95ea3, 0x35f4616588a459a7, 0xead2e652e2a5cd21, 0x75ea25da2147bd9c, 0x281151f3d6355ae8,
  0x6e1bd97d2cc5c242, 0xa0109fd62a3608fd, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xf505d8dc79b09732, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00000aed631a29e4,
};

/*
 * m329a_u2x12_uart0_dual_ee_ce_hw   m329p_u2x12_uart0_dual_ee_ce_hw   m329pa_u2x12_uart0_dual_ee_ce_hw
 * m3290_u2x12_uart0_dual_ee_ce_hw   m3290a_u2x12_uart0_dual_ee_ce_hw  m3290p_u2x12_uart0_dual_ee_ce_hw
 * m3290pa_u2x12_uart0_dual_ee_ce_hw m325_u2x12_uart0_dual_ee_ce_hw    m325a_u2x12_uart0_dual_ee_ce_hw
 * m325p_u2x12_uart0_dual_ee_ce_hw   m325pa_u2x12_uart0_dual_ee_ce_hw  m3250_u2x12_uart0_dual_ee_ce_hw
 * m3250a_u2x12_uart0_dual_ee_ce_hw  m3250p_u2x12_uart0_dual_ee_ce_hw  m3250pa_u2x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m329_u2x12_uart0_dual_ee_ce_hw[] = {
  0x774c9f37d41432db, 0xdddbf3c783e36b77, 0x35deeb7b7d7ddddd, 0x38bd1deeabe08684, 0x1156699d644fb840,
  0x20862dde480a771c, 0xa4a418f5cc13e301, 0x8369181bbada0644, 0xd06774f8971030a1, 0xd7381adcd30df995,
  0x83adf9bd47149b0f, 0x7f9fbe08a11c913f, 0x000001b87c288625, 0x8ac88655777bbe6e, 0x39e134ae8a8432d0,
  0x795e425b7b5bffa0, 0x0958ffffa91982c3, 0x8e527f36a7d56e9f, 0xdff546e4e1b46f6a, 0xd90ff3cdb40706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000075d4797a2,
};

/*
 * m329a_u2x12_uart0_dual_ee_ce_u4_hw m329p_u2x12_uart0_dual_ee_ce_u4_hw
 * m329pa_u2x12_uart0_dual_ee_ce_u4_hw m3290_u2x12_uart0_dual_ee_ce_u4_hw
 * m3290a_u2x12_uart0_dual_ee_ce_u4_hw m3290p_u2x12_uart0_dual_ee_ce_u4_hw
 * m3290pa_u2x12_uart0_dual_ee_ce_u4_hw m325_u2x12_uart0_dual_ee_ce_u4_hw
 * m325a_u2x12_uart0_dual_ee_ce_u4_hw m325p_u2x12_uart0_dual_ee_ce_u4_hw
 * m325pa_u2x12_uart0_dual_ee_ce_u4_hw m3250_u2x12_uart0_dual_ee_ce_u4_hw
 * m3250a_u2x12_uart0_dual_ee_ce_u4_hw m3250p_u2x12_uart0_dual_ee_ce_u4_hw
 * m3250pa_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d08f43, 0xddbf30ab0436b777, 0xc89ae3b793dddddd, 0x514a56eb3edfb19c, 0x6ada9c7d7bccd937,
  0x8b7792931dde27ed, 0x8cb69304f8c04821, 0x2303775b40c89494, 0xee9f12e20614306d, 0x5254cce5f99626b4,
  0xd37a8fd67b064338, 0x7c114239227f0730, 0x0370f8510c4aff3f, 0x0caaeef77cdc5c10, 0xbabe2a10cb40c7d1,
  0x12db9adffd01cf09, 0xff67a1cc161bcaf2, 0xf36a7d56e9f09620, 0x6a7a1b46f6a8e527, 0xcafac0e0cddc5f54,
  0x886c2445f71258f3, 0xb8a49cdffd47c25f, 0xa76b737374cf1771, 0x3660d7cf51e56fe4, 0x8450298ae037a8f8,
  0x7d185962291669d6, 0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7, 0x908a04547cf58d57, 0x132386f65f4b3170,
  0x5494b313fac546c1, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00003aeb2c85c2fa,
};

/*
 * m329a_swio10_noled                m329p_swio10_noled                m329pa_swio10_noled
 * m3290_swio10_noled                m3290a_swio10_noled               m3290p_swio10_noled
 * m3290pa_swio10_noled              m325_swio10_noled                 m325a_swio10_noled
 * m325p_swio10_noled                m325pa_swio10_noled               m3250_swio10_noled
 * m3250a_swio10_noled               m3250p_swio10_noled               m3250pa_swio10_noled
 */
static const uint64_t ur_m329_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x2410c5bbc9ddb1ec, 0xdfa1e7e449827c60, 0x313be589a941d2bf, 0x9238e9fc1887f51d, 0x3c731602dee9ba8c,
  0xc608ebc5cec37d19, 0x7972ab52b09adc72, 0x4aa35dce3398a0ed, 0xce576a96fab39d45, 0x434aa5f7afa4439a,
  0xc5aeb9ed5688af2c, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0x7cdb2048ab7b1554, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000a93ebd71f3c9,
};

/*
 * m329_swio10_noled_pr_u4           m329a_swio10_noled_pr             m329a_swio10_noled_pr_u4
 * m329p_swio10_noled_pr             m329p_swio10_noled_pr_u4          m329pa_swio10_noled_pr
 * m329pa_swio10_noled_pr_u4         m3290_swio10_noled_pr             m3290_swio10_noled_pr_u4
 * m3290a_swio10_noled_pr            m3290a_swio10_noled_pr_u4         m3290p_swio10_noled_pr
 * m3290p_swio10_noled_pr_u4         m3290pa_swio10_noled_pr           m3290pa_swio10_noled_pr_u4
 * m325_swio10_noled_pr              m325_swio10_noled_pr_u4           m325a_swio10_noled_pr
 * m325a_swio10_noled_pr_u4          m325p_swio10_noled_pr             m325p_swio10_noled_pr_u4
 * m325pa_swio10_noled_pr            m325pa_swio10_noled_pr_u4         m3250_swio10_noled_pr
 * m3250_swio10_noled_pr_u4          m3250a_swio10_noled_pr            m3250a_swio10_noled_pr_u4
 * m3250p_swio10_noled_pr            m3250p_swio10_noled_pr_u4         m3250pa_swio10_noled_pr
 * m3250pa_swio10_noled_pr_u4
 */
static const uint64_t ur_m329_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0xf7304f8c048218b7, 0x8b283dd7f9e059f8, 0xc193dea3cdc77cb0, 0x2cb298ca9c638e9f,
  0x3e767bd1dac73160, 0x59ea807fecc11d7a, 0xad556a81e59eddc3, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d,
  0x97debe910e6b395d, 0xe7b55a22bcb10d2a, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x8122adec5551696d,
  0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x405c4053c95fb9a1, 0x0000000000007c98,
};

/*
 * m329a_swio10_noled_pr_ee          m329p_swio10_noled_pr_ee          m329pa_swio10_noled_pr_ee
 * m3290_swio10_noled_pr_ee          m3290a_swio10_noled_pr_ee         m3290p_swio10_noled_pr_ee
 * m3290pa_swio10_noled_pr_ee        m325_swio10_noled_pr_ee           m325a_swio10_noled_pr_ee
 * m325p_swio10_noled_pr_ee          m325pa_swio10_noled_pr_ee         m3250_swio10_noled_pr_ee
 * m3250a_swio10_noled_pr_ee         m3250p_swio10_noled_pr_ee         m3250pa_swio10_noled_pr_ee
 */
static const uint64_t ur_m329_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0xa609f180904316ef, 0xca0e9bff3c0b3e35, 0x47959c39aad68e3d, 0x2ebea3e0d9833d7d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23884e75697fdcb8, 0x1aad743af3a6eda5, 0x62e121142628c45b,
  0x8d823f5b86f65b2e, 0x7972ab50089aafea, 0x4aa35dce3398a0ed, 0xce576a96fab39d45, 0x434aa5f7afa4439a,
  0xc5aeb9ed5688af2c, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0x7cdb2048ab7b1554, 0x7c5c9ab83cd84b99,
  0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x3d1014f257ee6866, 0x0000000000013afd,
};

/*
 * m329a_swio10_noled_pr_ee_u4       m329p_swio10_noled_pr_ee_u4       m329pa_swio10_noled_pr_ee_u4
 * m3290_swio10_noled_pr_ee_u4       m3290a_swio10_noled_pr_ee_u4      m3290p_swio10_noled_pr_ee_u4
 * m3290pa_swio10_noled_pr_ee_u4     m325_swio10_noled_pr_ee_u4        m325a_swio10_noled_pr_ee_u4
 * m325p_swio10_noled_pr_ee_u4       m325pa_swio10_noled_pr_ee_u4      m3250_swio10_noled_pr_ee_u4
 * m3250a_swio10_noled_pr_ee_u4      m3250p_swio10_noled_pr_ee_u4      m3250pa_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m329_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x6e609f180904316e, 0xd4a0e56ff3c0b3fa, 0xea3cad2b4d56b47d, 0xbf9dea3e0d98397d,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x4463e1cead2f0197, 0x1aad743af5d4dd81, 0xc5c24228c8a8fa0b,
  0xe09afadc37b2e1c8, 0x19cc5076bcb955aa, 0x7d59cea2a551aee7, 0xd7d221cd672bb54b, 0xab44579621a552fb,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x1e6c25ccbe6d9024, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x880a792bf734332c, 0x000000000275d22f,
};

/*
 * m329_swio10_noled_pr_ce_u4        m329a_swio10_noled_pr_ce          m329a_swio10_noled_pr_ce_u4
 * m329p_swio10_noled_pr_ce          m329p_swio10_noled_pr_ce_u4       m329pa_swio10_noled_pr_ce
 * m329pa_swio10_noled_pr_ce_u4      m3290_swio10_noled_pr_ce          m3290_swio10_noled_pr_ce_u4
 * m3290a_swio10_noled_pr_ce         m3290a_swio10_noled_pr_ce_u4      m3290p_swio10_noled_pr_ce
 * m3290p_swio10_noled_pr_ce_u4      m3290pa_swio10_noled_pr_ce        m3290pa_swio10_noled_pr_ce_u4
 * m325_swio10_noled_pr_ce           m325_swio10_noled_pr_ce_u4        m325a_swio10_noled_pr_ce
 * m325a_swio10_noled_pr_ce_u4       m325p_swio10_noled_pr_ce          m325p_swio10_noled_pr_ce_u4
 * m325pa_swio10_noled_pr_ce         m325pa_swio10_noled_pr_ce_u4      m3250_swio10_noled_pr_ce
 * m3250_swio10_noled_pr_ce_u4       m3250a_swio10_noled_pr_ce         m3250a_swio10_noled_pr_ce_u4
 * m3250p_swio10_noled_pr_ce         m3250p_swio10_noled_pr_ce_u4      m3250pa_swio10_noled_pr_ce
 * m3250pa_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m329_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x0c5bbc9dd4149cba, 0x2cfdba9827c60241, 0x2fac89283813fcf0, 0x92c79e012a7795ae, 0x3e12fc4361222fb8,
  0x3c5dc6e2545c8fea, 0xd47c927b9633f593, 0xee8148e3a7f0782f, 0xcecf7a3b58e62c05, 0x3d500ffd99e3af47,
  0x6aab540f2d6eb86b, 0xb9c673141daf2e55, 0x52df5673a8a9546b, 0xbef5f4887359caed, 0x3daad115e5886954,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x10c76f62aa8b4b68, 0xae0f3612e65f36c8, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x6544053c95fb9a19, 0x000000000001baf5,
};

/*
 * m329a_swio10_noled_pr_ee_ce       m329p_swio10_noled_pr_ee_ce       m329pa_swio10_noled_pr_ee_ce
 * m3290_swio10_noled_pr_ee_ce       m3290a_swio10_noled_pr_ee_ce      m3290p_swio10_noled_pr_ee_ce
 * m3290pa_swio10_noled_pr_ee_ce     m325_swio10_noled_pr_ee_ce        m325a_swio10_noled_pr_ee_ce
 * m325p_swio10_noled_pr_ee_ce       m325pa_swio10_noled_pr_ee_ce      m3250_swio10_noled_pr_ee_ce
 * m3250a_swio10_noled_pr_ee_ce      m3250p_swio10_noled_pr_ee_ce      m3250pa_swio10_noled_pr_ee_ce
 */
static const uint64_t ur_m329_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0x8689827c602410c5, 0x70e506c7ffcf02cf, 0x804a9dd8f9dff546, 0x139dc6e1256547e7,
  0x2b74b29dacac7be6, 0xfd47c1b306807a8f, 0xb34eb422814c5721, 0xea426be8c2cb1148, 0x948e2139d5dbbf70,
  0xd8d578d8ebce9bb6, 0x73170908a1314622, 0xaa3608991c37b2d9, 0xb5e5caad4b326abf, 0x152a8d7738ce6283,
  0x6b395daa5beace75, 0xb10d2a97debe910e, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1,
  0xcbe6d90218edec55, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x014d3b1fe2029e4a,
};

/*
 * m329a_swio10_noled_pr_ee_ce_u4    m329p_swio10_noled_pr_ee_ce_u4    m329pa_swio10_noled_pr_ee_ce_u4
 * m3290_swio10_noled_pr_ee_ce_u4    m3290a_swio10_noled_pr_ee_ce_u4   m3290p_swio10_noled_pr_ee_ce_u4
 * m3290pa_swio10_noled_pr_ee_ce_u4  m325_swio10_noled_pr_ee_ce_u4     m325a_swio10_noled_pr_ee_ce_u4
 * m325p_swio10_noled_pr_ee_ce_u4    m325pa_swio10_noled_pr_ee_ce_u4   m3250_swio10_noled_pr_ee_ce_u4
 * m3250a_swio10_noled_pr_ee_ce_u4   m3250p_swio10_noled_pr_ee_ce_u4   m3250pa_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0x87d304f8c048218b, 0xba941c41ff62bb3e, 0x36d01cc41717d51d, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660d00f51e56e965, 0x450298ae43fa8f83, 0xd185962291669d68,
  0x73abb77ee1d484d7, 0xb1d79d376d291c42, 0x1142628c45b1aaf1, 0x32386f65b2e62e12, 0x5a9664d57f546c11,
  0xee719cc5076bcb95, 0x54b7d59cea2a551a, 0x2fbd7d221cd672bb, 0xcf6ab44579621a55, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x0431dbd8aaa2d2da, 0x86e3cd84b997cdb2, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x3f32d2b7459e4afd,
  0x0000000000000001,
};

/*
 * m329a_swio10_noled_ee_hw          m329p_swio10_noled_ee_hw          m329pa_swio10_noled_ee_hw
 * m3290_swio10_noled_ee_hw          m3290a_swio10_noled_ee_hw         m3290p_swio10_noled_ee_hw
 * m3290pa_swio10_noled_ee_hw        m325_swio10_noled_ee_hw           m325a_swio10_noled_ee_hw
 * m325p_swio10_noled_ee_hw          m325pa_swio10_noled_ee_hw         m3250_swio10_noled_ee_hw
 * m3250a_swio10_noled_ee_hw         m3250p_swio10_noled_ee_hw         m3250pa_swio10_noled_ee_hw
 */
static const uint64_t ur_m329_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0x62dde4eeb4efb5bb, 0x67c6b4c13e301208, 0xb471ee5074dffd0a, 0x19ebea3cace1cd56, 0x1df15975f51f06cc,
  0x0b2c4522cd3ad08a, 0xfee5c6b26909afa3, 0x376d291c4273ab4b, 0x4622d8d56ba1d79d, 0xb2d973170908a131,
  0xd57f546c11fadc37, 0xc5076bcb955a8044, 0x9cea2a551aee719c, 0x221cd672bb54b7d5, 0x4579621a552fbd7d,
  0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0xc25ccbe6d902455b, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xa8a792bf734332c3,
  0x00000000005be015,
};

/*
 * m329_swio10_noled_ee_ce_u4_hw     m329a_swio10_noled_ee_ce_hw       m329a_swio10_noled_ee_ce_u4_hw
 * m329p_swio10_noled_ee_ce_hw       m329p_swio10_noled_ee_ce_u4_hw    m329pa_swio10_noled_ee_ce_hw
 * m329pa_swio10_noled_ee_ce_u4_hw   m3290_swio10_noled_ee_ce_hw       m3290_swio10_noled_ee_ce_u4_hw
 * m3290a_swio10_noled_ee_ce_hw      m3290a_swio10_noled_ee_ce_u4_hw   m3290p_swio10_noled_ee_ce_hw
 * m3290p_swio10_noled_ee_ce_u4_hw   m3290pa_swio10_noled_ee_ce_hw     m3290pa_swio10_noled_ee_ce_u4_hw
 * m325_swio10_noled_ee_ce_hw        m325_swio10_noled_ee_ce_u4_hw     m325a_swio10_noled_ee_ce_hw
 * m325a_swio10_noled_ee_ce_u4_hw    m325p_swio10_noled_ee_ce_hw       m325p_swio10_noled_ee_ce_u4_hw
 * m325pa_swio10_noled_ee_ce_hw      m325pa_swio10_noled_ee_ce_u4_hw   m3250_swio10_noled_ee_ce_hw
 * m3250_swio10_noled_ee_ce_u4_hw    m3250a_swio10_noled_ee_ce_hw      m3250a_swio10_noled_ee_ce_u4_hw
 * m3250p_swio10_noled_ee_ce_hw      m3250p_swio10_noled_ee_ce_u4_hw   m3250pa_swio10_noled_ee_ce_hw
 * m3250pa_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x2dde4eee7da01d44, 0xfa1f4c13e3012086, 0x8edd4a0e20ffa14c, 0xe79b680e620b8bea, 0xbf10d8488bee24b1,
  0x1b9aa0f20ffa8f84, 0xca76b736f7ccf177, 0x06cc1a01ea3cadd2, 0xd08a05315c87f51f, 0xafa30b2c4522cd3a,
  0x84e7576efdc3a909, 0xe363af3a6eda5238, 0x242284c5188b6355, 0x226470decb65cc5c, 0x2ab52cc9aafea8d8,
  0x35dce3398a0ed797, 0x76a96fab39d454aa, 0xaa5f7afa4439ace5, 0xeb9ed5688af2c434, 0xa9b14a7869de7c5a,
  0xb44e31bc6744083b, 0x640863b7b15545a5, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x050165a5a29e4afd,
};

/*
 * m329a_swio10_lednop               m329p_swio10_lednop               m329pa_swio10_lednop
 * m3290_swio10_lednop               m3290a_swio10_lednop              m3290p_swio10_lednop
 * m3290pa_swio10_lednop             m325_swio10_lednop                m325a_swio10_lednop
 * m325p_swio10_lednop               m325pa_swio10_lednop              m3250_swio10_lednop
 * m3250a_swio10_lednop              m3250p_swio10_lednop              m3250pa_swio10_lednop
 */
static const uint64_t ur_m329_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x120862dde4ee82f4, 0xefd0f3efe4c13e30, 0xf21df2c4d4a0995f, 0xdf1c74fe0c43fa8f, 0xa0398b016f74c7ab,
  0xb1823af173b5ac8f, 0x5e5caad4ace7b71c, 0x52a8d7738ce6283b, 0x1395daa5beace751, 0xad5d2fe910e6b810,
  0xae7b55a22bcb10d2, 0x96165362ce80f3f5, 0x8ff14085a6ae757a, 0x7cdb4e31bc67440d, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00005483ad71f3c9,
};

/*
 * m329_swio10_lednop_pr_u4          m329a_swio10_lednop_pr            m329a_swio10_lednop_pr_u4
 * m329p_swio10_lednop_pr            m329p_swio10_lednop_pr_u4         m329pa_swio10_lednop_pr
 * m329pa_swio10_lednop_pr_u4        m3290_swio10_lednop_pr            m3290_swio10_lednop_pr_u4
 * m3290a_swio10_lednop_pr           m3290a_swio10_lednop_pr_u4        m3290p_swio10_lednop_pr
 * m3290p_swio10_lednop_pr_u4        m3290pa_swio10_lednop_pr          m3290pa_swio10_lednop_pr_u4
 * m325_swio10_lednop_pr             m325_swio10_lednop_pr_u4          m325a_swio10_lednop_pr
 * m325a_swio10_lednop_pr_u4         m325p_swio10_lednop_pr            m325p_swio10_lednop_pr_u4
 * m325pa_swio10_lednop_pr           m325pa_swio10_lednop_pr_u4        m3250_swio10_lednop_pr
 * m3250_swio10_lednop_pr_u4         m3250a_swio10_lednop_pr           m3250a_swio10_lednop_pr_u4
 * m3250p_swio10_lednop_pr           m3250p_swio10_lednop_pr_u4        m3250pa_swio10_lednop_pr
 * m3250pa_swio10_lednop_pr_u4
 */
static const uint64_t ur_m329_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0x80d304f8c048218b, 0x1165043dff9e059f, 0xf8327bd479c4ef96, 0x0b2ca631e7ac71d3,
  0x1f3b7c88e0f9cc58, 0xfa05403ff6608ebd, 0x55ac0ad03cb3dbde, 0xaee719cc5076bcb9, 0xb54b7d59cea2a551,
  0x5fd221cd7020272b, 0xab44579621a55aba, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0xcd84b997cdb2ec8a, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x014f257ee6866587, 0x00000001f26fd511,
};

/*
 * m329a_swio10_lednop_pr_ee         m329p_swio10_lednop_pr_ee         m329pa_swio10_lednop_pr_ee
 * m3290_swio10_lednop_pr_ee         m3290a_swio10_lednop_pr_ee        m3290p_swio10_lednop_pr_ee
 * m3290pa_swio10_lednop_pr_ee       m325_swio10_lednop_pr_ee          m325a_swio10_lednop_pr_ee
 * m325p_swio10_lednop_pr_ee         m325pa_swio10_lednop_pr_ee        m3250_swio10_lednop_pr_ee
 * m3250a_swio10_lednop_pr_ee        m3250p_swio10_lednop_pr_ee        m3250pa_swio10_lednop_pr_ee
 */
static const uint64_t ur_m329_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x609f180904316ef2, 0x418e5fe78167fabe, 0xf2b287355ad1c7b9, 0x17d47c1b3067afa8,
  0x8b34eb422877c56c, 0xc9a426be8c2cb114, 0x6be1cead2ff3971a, 0xab5d0ebce9bb04f4, 0x70908a3244637ec6,
  0xc11fadc37b2d9731, 0x72ab500ae1acf546, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x74bfa4439ae0404e,
  0xed5688af2c434ab5, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0x079b09732f9b65d9,
  0x7e50d1674f8b9357, 0x861539fa9d598f20, 0xc9fe2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000013aebb22029e,
};

/*
 * m329a_swio10_lednop_pr_ee_u4      m329p_swio10_lednop_pr_ee_u4      m329pa_swio10_lednop_pr_ee_u4
 * m3290_swio10_lednop_pr_ee_u4      m3290a_swio10_lednop_pr_ee_u4     m3290p_swio10_lednop_pr_ee_u4
 * m3290pa_swio10_lednop_pr_ee_u4    m325_swio10_lednop_pr_ee_u4       m325a_swio10_lednop_pr_ee_u4
 * m325p_swio10_lednop_pr_ee_u4      m325pa_swio10_lednop_pr_ee_u4     m3250_swio10_lednop_pr_ee_u4
 * m3250a_swio10_lednop_pr_ee_u4     m3250p_swio10_lednop_pr_ee_u4     m3250pa_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0x1ca609f180904316, 0xdd4a0dbaff3c0b3f, 0xdea3cae43cd56b47, 0x2b387ea3e0d98397,
  0x88a459a75a1143be, 0x7144cd2135f46165, 0x0046989cead2e515, 0xb1aad743af5d4dd9, 0x462e121143de8ed6,
  0xae2e1fd6e1bd970e, 0x719cc5076bcb955a, 0xb7d59cea2a551aee, 0x221cd7020272bb54, 0x4579621a55aba5fd,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb2ec8ab7b, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000275c2171014,
};

/*
 * m329_swio10_lednop_pr_ce_u4       m329a_swio10_lednop_pr_ce         m329a_swio10_lednop_pr_ce_u4
 * m329p_swio10_lednop_pr_ce         m329p_swio10_lednop_pr_ce_u4      m329pa_swio10_lednop_pr_ce
 * m329pa_swio10_lednop_pr_ce_u4     m3290_swio10_lednop_pr_ce         m3290_swio10_lednop_pr_ce_u4
 * m3290a_swio10_lednop_pr_ce        m3290a_swio10_lednop_pr_ce_u4     m3290p_swio10_lednop_pr_ce
 * m3290p_swio10_lednop_pr_ce_u4     m3290pa_swio10_lednop_pr_ce       m3290pa_swio10_lednop_pr_ce_u4
 * m325_swio10_lednop_pr_ce          m325_swio10_lednop_pr_ce_u4       m325a_swio10_lednop_pr_ce
 * m325a_swio10_lednop_pr_ce_u4      m325p_swio10_lednop_pr_ce         m325p_swio10_lednop_pr_ce_u4
 * m325pa_swio10_lednop_pr_ce        m325pa_swio10_lednop_pr_ce_u4     m3250_swio10_lednop_pr_ce
 * m3250_swio10_lednop_pr_ce_u4      m3250a_swio10_lednop_pr_ce        m3250a_swio10_lednop_pr_ce_u4
 * m3250p_swio10_lednop_pr_ce        m3250p_swio10_lednop_pr_ce_u4     m3250pa_swio10_lednop_pr_ce
 * m3250pa_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xc5bbc9dd3ad1a848, 0xcfc569827c602410, 0xfac89283beffcf02, 0x2c79e012a776eae2, 0xe12fc4361222fb89,
  0xc5dc6e5253397ea3, 0x470527b9633f5933, 0xed008e3a7f0782fd, 0xb7c88e0f9cc580a1, 0x5403ff6678ebd1f3,
  0xb02b40f2d6edefa0, 0x9c673141daf2e556, 0x2df5673a8a9546bb, 0x488735c0809caed5, 0x115e5886956ae97f,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6d97618ede, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000375cb3880a,
};

/*
 * m329a_swio10_lednop_pr_ee_ce      m329p_swio10_lednop_pr_ee_ce      m329pa_swio10_lednop_pr_ee_ce
 * m3290_swio10_lednop_pr_ee_ce      m3290a_swio10_lednop_pr_ee_ce     m3290p_swio10_lednop_pr_ee_ce
 * m3290pa_swio10_lednop_pr_ee_ce    m325_swio10_lednop_pr_ee_ce       m325a_swio10_lednop_pr_ee_ce
 * m325p_swio10_lednop_pr_ee_ce      m325pa_swio10_lednop_pr_ee_ce     m3250_swio10_lednop_pr_ee_ce
 * m3250a_swio10_lednop_pr_ee_ce     m3250p_swio10_lednop_pr_ee_ce     m3250pa_swio10_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0x3b7304f8c048218b, 0xc3941ddaff3c0b3f, 0x012a77bb477fd519, 0x9cee373a3ea49f9e,
  0x597594ed6563df30, 0xea3e0d983403d479, 0x9a75a1140a62b297, 0x52135f4616588a45, 0xf46be1ceaeddf387,
  0x8d578d8ebce9bb04, 0x62e121146488c6fd, 0x46c1132386f65b2e, 0x7972ab52cee1acf5, 0x4aa35dce3398a0ed,
  0x4e576a96fab39d45, 0xb574bfa4439ae040, 0xb9ed5688af2c434a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0xb0c76f62aa8b4905, 0x26ae3612e65f36cb, 0xc7903f2868b1e717, 0x92e19e985727eeac, 0x587494b659289c65,
  0x291014f257ee6866, 0x00000000000a699c,
};

/*
 * m329a_swio10_lednop_pr_ee_ce_u4   m329p_swio10_lednop_pr_ee_ce_u4   m329pa_swio10_lednop_pr_ee_ce_u4
 * m3290_swio10_lednop_pr_ee_ce_u4   m3290a_swio10_lednop_pr_ee_ce_u4  m3290p_swio10_lednop_pr_ee_ce_u4
 * m3290pa_swio10_lednop_pr_ee_ce_u4 m325_swio10_lednop_pr_ee_ce_u4    m325a_swio10_lednop_pr_ee_ce_u4
 * m325p_swio10_lednop_pr_ee_ce_u4   m325pa_swio10_lednop_pr_ee_ce_u4  m3250_swio10_lednop_pr_ee_ce_u4
 * m3250a_swio10_lednop_pr_ee_ce_u4  m3250p_swio10_lednop_pr_ee_ce_u4  m3250pa_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfaf304f8c048218b, 0xba941801ff62bb3f, 0x36d01c801717d51d, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc1a01ea3cacbaca, 0x8a0531594bf51f06, 0xa30b2c4522cd3ad0,
  0xe7576ef9c3a909af, 0xc75e74dd827a35f0, 0x8a3244637ec6abc6, 0x91c37b2d97317090, 0xa96770d67aa36089,
  0xe719cc5076bcb955, 0x4b7d59cea2a551ae, 0xd221cd7020272bb5, 0x44579621a55aba5f, 0xce80f1cad75cf6ab,
  0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b65d863b7, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x6e8b3c95fb9a1996,
  0x00000000027e5b90,
};

/*
 * m329a_swio10_lednop_ee_hw         m329p_swio10_lednop_ee_hw         m329pa_swio10_lednop_ee_hw
 * m3290_swio10_lednop_ee_hw         m3290a_swio10_lednop_ee_hw        m3290p_swio10_lednop_ee_hw
 * m3290pa_swio10_lednop_ee_hw       m325_swio10_lednop_ee_hw          m325a_swio10_lednop_ee_hw
 * m325p_swio10_lednop_ee_hw         m325pa_swio10_lednop_ee_hw        m3250_swio10_lednop_ee_hw
 * m3250a_swio10_lednop_ee_hw        m3250p_swio10_lednop_ee_hw        m3250pa_swio10_lednop_ee_hw
 */
static const uint64_t ur_m329_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x2dde4eeb6239da9c, 0xff57cc13e3012086, 0x8e3dca0c72ffa14c, 0x3d7d47959439aad6, 0xbe2b60bea3e0d983,
  0x6588a459a75a1143, 0x9cb8d64d2135f461, 0xd827a35f0e75697f, 0x1bf6355ae875e74d, 0x6cb98b8484519223,
  0x67aa3608fd6e1bd9, 0x076bcb955a80570d, 0xea2a551aee719cc5, 0x020272bb54b7d59c, 0x1a55aba5fd221cd7,
  0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb2ec8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0016f9ac1514f257,
};

/*
 * m329_swio10_lednop_ee_ce_u4_hw    m329a_swio10_lednop_ee_ce_hw      m329a_swio10_lednop_ee_ce_u4_hw
 * m329p_swio10_lednop_ee_ce_hw      m329p_swio10_lednop_ee_ce_u4_hw   m329pa_swio10_lednop_ee_ce_hw
 * m329pa_swio10_lednop_ee_ce_u4_hw  m3290_swio10_lednop_ee_ce_hw      m3290_swio10_lednop_ee_ce_u4_hw
 * m3290a_swio10_lednop_ee_ce_hw     m3290a_swio10_lednop_ee_ce_u4_hw  m3290p_swio10_lednop_ee_ce_hw
 * m3290p_swio10_lednop_ee_ce_u4_hw  m3290pa_swio10_lednop_ee_ce_hw    m3290pa_swio10_lednop_ee_ce_u4_hw
 * m325_swio10_lednop_ee_ce_hw       m325_swio10_lednop_ee_ce_u4_hw    m325a_swio10_lednop_ee_ce_hw
 * m325a_swio10_lednop_ee_ce_u4_hw   m325p_swio10_lednop_ee_ce_hw      m325p_swio10_lednop_ee_ce_u4_hw
 * m325pa_swio10_lednop_ee_ce_hw     m325pa_swio10_lednop_ee_ce_u4_hw  m3250_swio10_lednop_ee_ce_hw
 * m3250_swio10_lednop_ee_ce_u4_hw   m3250a_swio10_lednop_ee_ce_hw     m3250a_swio10_lednop_ee_ce_u4_hw
 * m3250p_swio10_lednop_ee_ce_hw     m3250p_swio10_lednop_ee_ce_u4_hw  m3250pa_swio10_lednop_ee_ce_hw
 * m3250pa_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0x16ef277475d35f7b, 0x7ff5e609f1809043, 0x476ea506007fd0a6, 0xf3cdb4072005c5f5, 0x5f886c2445f71258,
  0xc6e0523e72fd47c2, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b2e, 0xb422814c5652fd47, 0x6be8c2cb1148b34e,
  0x7c39d5dbbe70ea42, 0xf1b1d79d37609e8d, 0x24228c9118dfb1aa, 0x226470decb65cc5c, 0x556a59dc359ea8d8,
  0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x97f488735c0809ca, 0xaad115e5886956ae, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6d97618, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xe428a792bf734332, 0x0000000000014056,
};

/*
 * m329_swio10_dual_pr               m329_swio10_dual_pr_u4            m329a_swio10_dual
 * m329a_swio10_dual_pr              m329a_swio10_dual_pr_u4           m329p_swio10_dual
 * m329p_swio10_dual_pr              m329p_swio10_dual_pr_u4           m329pa_swio10_dual
 * m329pa_swio10_dual_pr             m329pa_swio10_dual_pr_u4          m3290_swio10_dual
 * m3290_swio10_dual_pr              m3290_swio10_dual_pr_u4           m3290a_swio10_dual
 * m3290a_swio10_dual_pr             m3290a_swio10_dual_pr_u4          m3290p_swio10_dual
 * m3290p_swio10_dual_pr             m3290p_swio10_dual_pr_u4          m3290pa_swio10_dual
 * m3290pa_swio10_dual_pr            m3290pa_swio10_dual_pr_u4         m325_swio10_dual
 * m325_swio10_dual_pr               m325_swio10_dual_pr_u4            m325a_swio10_dual
 * m325a_swio10_dual_pr              m325a_swio10_dual_pr_u4           m325p_swio10_dual
 * m325p_swio10_dual_pr              m325p_swio10_dual_pr_u4           m325pa_swio10_dual
 * m325pa_swio10_dual_pr             m325pa_swio10_dual_pr_u4          m3250_swio10_dual
 * m3250_swio10_dual_pr              m3250_swio10_dual_pr_u4           m3250a_swio10_dual
 * m3250a_swio10_dual_pr             m3250a_swio10_dual_pr_u4          m3250p_swio10_dual
 * m3250p_swio10_dual_pr             m3250p_swio10_dual_pr_u4          m3250pa_swio10_dual
 * m3250pa_swio10_dual_pr            m3250pa_swio10_dual_pr_u4
 */
static const uint64_t ur_m329_swio10_dual[] = {
  0xa34bbbbbbb4486f9, 0x697e276fc75e738d, 0x9da9f7bb06d60d0b, 0x291fc5f4cfed1d62, 0xe7f0c6a08761b74d,
  0xde4ad0ee9b4721dc, 0x00cc13e30120862d, 0x03775b40c8949483, 0x9f12e20614306d23, 0xa2cce4ff32ba0cee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b95be, 0x135ad150865a1192,
  0xf212db975ffa039e, 0xa95fee6bcc161bca, 0xf51e443be587c941, 0xbf71951c74fe0c45, 0x8a37bce62c055079,
  0x1ffb30475e00ced3, 0x607967b6b5e0faa0, 0x7f157ceee2a4b7f8, 0x8ce6283b5e5caad6, 0xbeace75152a8d773,
  0x10e6b8101395daa5, 0x2bcb10d2ad5d2fe9, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x5ccbe6d976455bd8, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa2cf257ee6866587, 0x00000002926b4f9b,
};

/*
 * m329a_swio10_dual_pr_ee           m329p_swio10_dual_pr_ee           m329pa_swio10_dual_pr_ee
 * m3290_swio10_dual_pr_ee           m3290a_swio10_dual_pr_ee          m3290p_swio10_dual_pr_ee
 * m3290pa_swio10_dual_pr_ee         m325_swio10_dual_pr_ee            m325a_swio10_dual_pr_ee
 * m325p_swio10_dual_pr_ee           m325pa_swio10_dual_pr_ee          m3250_swio10_dual_pr_ee
 * m3250a_swio10_dual_pr_ee          m3250p_swio10_dual_pr_ee          m3250pa_swio10_dual_pr_ee
 */
static const uint64_t ur_m329_swio10_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x47c4edf8d4f261b4, 0xf722775261d68166, 0x3d646682ab8858ab, 0x41f1375a266f5da7,
  0x9ceeeec6ecfabf31, 0x27c602410c5bbc9e, 0x6d032252523b8f98, 0x881850c1b48c0ddd, 0x1ffccae833ba7c4b,
  0xe4eb60968e016a63, 0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0x77bbe6e2a4401b87, 0xa8432d05f6886557,
  0x4dbffa039e1307b8, 0xd7982c3795e425b7, 0x6b4651650687ffdc, 0xc1995ea3caf7dcd5, 0xa1df15dbaf51f06c,
  0x30b2c4522cd3ad08, 0xe50d7152e6909afa, 0x4bb47b47a51cead2, 0x234c6c6ab5d0ebd4, 0xb2fa598b84845080,
  0xcad6546c11fadc37, 0xfe2af9ddc5494028, 0x19cc5076bcb955ac, 0x7d59cea2a551aee7, 0x21cd7020272bb54b,
  0x579621a55aba5fd2, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb2ec8ab7b1,
  0xb8d165abc6e3cd84, 0x1539fa9d599bf83b, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x39f37459e4afdcd0, 0x0000000000000564,
};

/*
 * m329a_swio10_dual_pr_ee_u4        m329p_swio10_dual_pr_ee_u4        m329pa_swio10_dual_pr_ee_u4
 * m3290_swio10_dual_pr_ee_u4        m3290a_swio10_dual_pr_ee_u4       m3290p_swio10_dual_pr_ee_u4
 * m3290pa_swio10_dual_pr_ee_u4      m325_swio10_dual_pr_ee_u4         m325a_swio10_dual_pr_ee_u4
 * m325p_swio10_dual_pr_ee_u4        m325pa_swio10_dual_pr_ee_u4       m3250_swio10_dual_pr_ee_u4
 * m3250a_swio10_dual_pr_ee_u4       m3250p_swio10_dual_pr_ee_u4       m3250pa_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m329_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0xc4edf8d4f261b4d3, 0x5a7b5261d6816647, 0x6682ab8858abf227, 0x375a266f5da73d64,
  0xa912bcaf7fd6c1f1, 0x120862dde4f4e771, 0x129291dc7cc13e30, 0x860da4606eeb6819, 0xd0729dd3e25c40c2,
  0x25a3805a98c7ff32, 0xfe0e2b4dea393ad8, 0x95fe7ef822847244, 0xb8a91006e1f0a218, 0x417da21955ddeef9,
  0x80e784c1ee2a10cb, 0x0de579096dd36ffe, 0x650687fff1f8660b, 0xa3caf7dcd56b4651, 0xdbaf51f06cc1995e,
  0x522cd3ad08a1df15, 0x52e6909afa30b2c4, 0x47a51cead2e50d71, 0x6ab5d0ebd44bb47b, 0x8b84845080234c6c,
  0x6c11fadc37b2fa59, 0xddc5494028cad654, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0x20272bb54b7d59ce,
  0xa55aba5fd221cd70, 0xd75cf6ab44579621, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb2ec8ab7b15545a4,
  0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x5bfe46e9e4afdcd0, 0x000000000000ac96,
};

/*
 * m329a_swio10_dual_pr_ce           m329p_swio10_dual_pr_ce           m329pa_swio10_dual_pr_ce
 * m3290_swio10_dual_pr_ce           m3290a_swio10_dual_pr_ce          m3290p_swio10_dual_pr_ce
 * m3290pa_swio10_dual_pr_ce         m325_swio10_dual_pr_ce            m325a_swio10_dual_pr_ce
 * m325p_swio10_dual_pr_ce           m325pa_swio10_dual_pr_ce          m3250_swio10_dual_pr_ce
 * m3250a_swio10_dual_pr_ce          m3250p_swio10_dual_pr_ce          m3250pa_swio10_dual_pr_ce
 */
static const uint64_t ur_m329_swio10_dual_pr_ce[] = {
  0xdd6eeeee87ad0c86, 0x1f13b7e78f4d7368, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0xc5d9bae255fba6e8,
  0x4c4bbbbb1bb2fafc, 0x609f180904316ef2, 0x75b40c8949483afa, 0x2e20614306d23037, 0xbabff32ba0cee9f1,
  0xa3eced8472381c19, 0x2847244fe0e574de, 0x1f0a21895fe7ef82, 0x5ddeef9b8d07006e, 0xe2a10cb403da2195,
  0xdec7ffe80e784c13, 0x735e60b0de579096, 0x3717d4c7ca08d6ff, 0xdc4963cf36d01c38, 0xf51f097e21b09117,
  0xb99e2ee372e4492b, 0x1fa8fd44f72c67d4, 0x16a57751c74fe0ee, 0x033b4e28def398b0, 0x83ea807feccf1d78,
  0xa4b7f860796b72d7, 0x5caad67f157ceee2, 0xa8d7738ce6283b5e, 0x95daa5beace75152, 0x5d2fe910e6b81013,
  0x7b55a22bcb10d2ad, 0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec,
  0x9bf83bb8d1674f86, 0x27f2861539fa9d59, 0x343cc9fe2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0x459e4afdcd0ccb0e, 0x0000000034910237,
};

/*
 * m329a_swio10_dual_pr_ce_u4        m329p_swio10_dual_pr_ce_u4        m329pa_swio10_dual_pr_ce_u4
 * m3290_swio10_dual_pr_ce_u4        m3290a_swio10_dual_pr_ce_u4       m3290p_swio10_dual_pr_ce_u4
 * m3290pa_swio10_dual_pr_ce_u4      m325_swio10_dual_pr_ce_u4         m325a_swio10_dual_pr_ce_u4
 * m325p_swio10_dual_pr_ce_u4        m325pa_swio10_dual_pr_ce_u4       m3250_swio10_dual_pr_ce_u4
 * m3250a_swio10_dual_pr_ce_u4       m3250p_swio10_dual_pr_ce_u4       m3250pa_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m329_swio10_dual_pr_ce_u4[] = {
  0x4647777776890c86, 0xa7789dbf3c7d579b, 0x96d77ee80a2951c7, 0xe4ea661b9d6f7ed3, 0x798a1640258b74c8,
  0xf25a2bbbbb1bb2d0, 0xae609f180904316e, 0x3775b40c89494867, 0xf12e20614306d230, 0xdcd15bf32ba0cee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e52500, 0xa718a8432d009e88,
  0x096dd2d7fd01cf09, 0xaff735e60b0de579, 0xe69bb8bebdd4a0db, 0x88bee24b1e79b680, 0x495fa8f84bf10d84,
  0x3c38ccf1771b9722, 0x0d67fa8f2fa7b963, 0x8b0163de951c74fe, 0xebc8b76c9118df39, 0xa928ea32dc72c678,
  0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x574bfa4439ae0404, 0x9ed5688af2c434ab,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x0c76f62aa8b49053, 0xb8f3612e65f36cbb, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x24814dd16792bf73, 0x000000000000000d,
};

/*
 * m329a_swio10_dual_pr_ee_ce        m329p_swio10_dual_pr_ee_ce        m329pa_swio10_dual_pr_ee_ce
 * m3290_swio10_dual_pr_ee_ce        m3290a_swio10_dual_pr_ee_ce       m3290p_swio10_dual_pr_ee_ce
 * m3290pa_swio10_dual_pr_ee_ce      m325_swio10_dual_pr_ee_ce         m325a_swio10_dual_pr_ee_ce
 * m325p_swio10_dual_pr_ee_ce        m325pa_swio10_dual_pr_ee_ce       m3250_swio10_dual_pr_ee_ce
 * m3250a_swio10_dual_pr_ee_ce       m3250p_swio10_dual_pr_ee_ce       m3250pa_swio10_dual_pr_ee_ce
 */
static const uint64_t ur_m329_swio10_dual_pr_ee_ce[] = {
  0xd4e2ddddddd432db, 0x7ade276fc622d3c6, 0x0efd5f753ecb5586, 0x95f1ba39dee30f90, 0x6d0672b8a9be4b38,
  0xe771c11560f0ccea, 0x3e30120862dde4e4, 0xd0322525213cbcc1, 0x81850c1b48c0ddd6, 0xcfccae833ba7c4b8,
  0xff9b00d070d3533f, 0x1c913f83e9f9bd47, 0x2886257f9fbe08a1, 0xf77cdc575c01b87c, 0x0865a070d10caaee,
  0x7dff4073c2672715, 0xf30586f2bc84b6e8, 0xa8ca5ca0a6dffb9a, 0xfcf36d01c4db3bfe, 0x3309cee371a0e089,
  0x479594394ed65644, 0x60bea3e0d9833d7d, 0xa459a75a1140a62b, 0x1c752135f4616588, 0xdbba460a1ceaedd2,
  0x45b1aaf1b1d7b589, 0x8f8c5c242289b91e, 0x49718c646470decb, 0xb955acfe2af9ddc5, 0x51aee719cc5076bc,
  0x2bb54b7d59cea2a5, 0xba5fd221cd702027, 0xf6ab44579621a55a, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b65d8, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x939ba2cf257ee686, 0x000000000001304e,
};

/*
 * m329a_swio10_dual_pr_ee_ce_u4     m329p_swio10_dual_pr_ee_ce_u4     m329pa_swio10_dual_pr_ee_ce_u4
 * m3290_swio10_dual_pr_ee_ce_u4     m3290a_swio10_dual_pr_ee_ce_u4    m3290p_swio10_dual_pr_ee_ce_u4
 * m3290pa_swio10_dual_pr_ee_ce_u4   m325_swio10_dual_pr_ee_ce_u4      m325a_swio10_dual_pr_ee_ce_u4
 * m325p_swio10_dual_pr_ee_ce_u4     m325pa_swio10_dual_pr_ee_ce_u4    m3250_swio10_dual_pr_ee_ce_u4
 * m3250a_swio10_dual_pr_ee_ce_u4    m3250p_swio10_dual_pr_ee_ce_u4    m3250pa_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x4edf998b90cdacfb, 0xacad0b5ce08673bc, 0x8beaf7f57f71dd9b, 0xe1bb89d9f762f38a,
  0x7cc5b0009645188c, 0x7792d89ddfda3e3d, 0xe0b304f8c048218b, 0x06eeb6819129291a, 0x3e25c40c2860da46,
  0x39b96bf32d0729dd, 0xf51f1bb61d8270bc, 0x22847244fe0daee6, 0xe1f0a21895fe7ef8, 0xabbbddf372231006,
  0xdc54219684724432, 0xdbdc8ffd01cf09b7, 0xe3f0cc161bcaf212, 0x8bea8ce0ca09adff, 0x24b1e79b693b35bb,
  0x8f84bf10d8488bee, 0xf1771b9118a71ffa, 0xaf2b4a76b737374c, 0xf51f06cc1f75ea3c, 0xcd3ad08a05315cae,
  0xa909afa30b2c4522, 0xda3d28e7576e2863, 0xc6abc6c75ea25da3, 0x98b84845080234c6, 0xa3608991c37b2fa5,
  0xceee2a4a59c656b2, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x8101395daa5beace, 0x0d2ad5d2fe910e6b,
  0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0xdb2ec31dbd8aaa2d, 0x5c9ab83cd84b997c,
  0x337f07edd8d1637c, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0xacb5e46e9e4afdcd, 0x0000000000001001,
};

/*
 * m329a_swio10_dual_ee_hw           m329p_swio10_dual_ee_hw           m329pa_swio10_dual_ee_hw
 * m3290_swio10_dual_ee_hw           m3290a_swio10_dual_ee_hw          m3290p_swio10_dual_ee_hw
 * m3290pa_swio10_dual_ee_hw         m325_swio10_dual_ee_hw            m325a_swio10_dual_ee_hw
 * m325p_swio10_dual_ee_hw           m325pa_swio10_dual_ee_hw          m3250_swio10_dual_ee_hw
 * m3250a_swio10_dual_ee_hw          m3250p_swio10_dual_ee_hw          m3250pa_swio10_dual_ee_hw
 */
static const uint64_t ur_m329_swio10_dual_ee_hw[] = {
  0x3b7777743d686f97, 0x7c4edf8d4f261b4d, 0x722775261d681664, 0xd646682ab8858abf, 0x1f1375a266f5da73,
  0x7a73b9e08ceb54e8, 0x609f180904316ef2, 0x75b40c894948ee3e, 0x2e20614306d23037, 0x8c7ff32ba0cee9f1,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b8a91006e, 0xe2a10cb417da2195,
  0xdd36ffe80e784c1e, 0xea4660b0de579096, 0xab5a328b28343fff, 0x660ccaf51e57bee6, 0x450ef8aedd7a8f83,
  0xd185962291669d68, 0x97286b8a973484d7, 0xa25da3da3d28e756, 0x011a636355ae875e, 0xbd97d2cc5c242284,
  0x4656b2a3608fd6e1, 0x67f157ceee2a4a01, 0x38ce6283b5e5caad, 0x5beace75152a8d77, 0x910e6b8101395daa,
  0x22bcb10d2ad5d2fe, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6d976455bd,
  0x54e7ea5eae371e6c, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x000aed1cfa8a792b,
};

/*
 * m329a_swio10_dual_ee_ce_hw        m329p_swio10_dual_ee_ce_hw        m329pa_swio10_dual_ee_ce_hw
 * m3290_swio10_dual_ee_ce_hw        m3290a_swio10_dual_ee_ce_hw       m3290p_swio10_dual_ee_ce_hw
 * m3290pa_swio10_dual_ee_ce_hw      m325_swio10_dual_ee_ce_hw         m325a_swio10_dual_ee_ce_hw
 * m325p_swio10_dual_ee_ce_hw        m325pa_swio10_dual_ee_ce_hw       m3250_swio10_dual_ee_ce_hw
 * m3250a_swio10_dual_ee_ce_hw       m3250p_swio10_dual_ee_ce_hw       m3250pa_swio10_dual_ee_ce_hw
 */
static const uint64_t ur_m329_swio10_dual_ee_ce_hw[] = {
  0x1ceddddddd431f02, 0xc5e276fc6233686d, 0xd5c5eeefdf5d9da6, 0x263d68d43f2d07bb, 0x7e3fa10a9be4a739,
  0xddca31166f4c29f5, 0xf8c048218b7792cc, 0x40c8949483e7d304, 0x0614306d2303775b, 0xff32ba0cee9f12e2,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xddf371dbb006e1f0, 0x219683054432abbb,
  0x0ffd01cf09a43c54, 0xcc161bcaf212dbf6, 0x47812506d6fffd48, 0xe79b680e5ad9dff5, 0x4c273b8dc672e8ff,
  0x1e5795a53b595937, 0x577a8f83660fbaf5, 0x91669d68450298ae, 0x31d484d7d1859622, 0xd1ed1e9473abb714,
  0x636355e363af512e, 0xd2cc5c242284011a, 0x5951b044c8e1bd97, 0xabe77715252ce32b, 0x3141daf2e556b3f8,
  0x673a8a9546bb9c67, 0x35c0809caed52df5, 0x5886956ae97f4887, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6d97618edec555, 0x4fcfec371e6c25cc, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0002269924a29e4a,
};

/*
 * m329a_swio10_dual_ee_ce_u4_hw     m329p_swio10_dual_ee_ce_u4_hw     m329pa_swio10_dual_ee_ce_u4_hw
 * m3290_swio10_dual_ee_ce_u4_hw     m3290a_swio10_dual_ee_ce_u4_hw    m3290p_swio10_dual_ee_ce_u4_hw
 * m3290pa_swio10_dual_ee_ce_u4_hw   m325_swio10_dual_ee_ce_u4_hw      m325a_swio10_dual_ee_ce_u4_hw
 * m325p_swio10_dual_ee_ce_u4_hw     m325pa_swio10_dual_ee_ce_u4_hw    m3250_swio10_dual_ee_ce_u4_hw
 * m3250a_swio10_dual_ee_ce_u4_hw    m3250p_swio10_dual_ee_ce_u4_hw    m3250pa_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0xc4edf998b90cdacf, 0xeecdd0b5ce08673b, 0x9c545f57bfabfb8d, 0xc4670ddc4ecfbb17,
  0x4eaae3f68354b228, 0x48218b7792d89dd3, 0x29291ae0b304f8c0, 0x60da4606eeb68191, 0x4d69dd3e25c40c28,
  0x8270bc39b96bf32c, 0x0daee6f51f1bb61d, 0xfe7ef822847244fe, 0x231006e1f0a21895, 0x724432abbbddf372,
  0xcf09b7dc54219684, 0xcaf212dbdc8ffd01, 0x135bff67a1cc161b, 0x386b7717d519c194, 0x117dc4963cf2beb0,
  0x1fff51f097e21b09, 0x7374cf1771b8b82e, 0x5ea3caf2b4a76b73, 0x15caef51f06cc1f7, 0xc4522cd3ad08a053,
  0xe2863a909afa30b2, 0x25da3da3d28e7576, 0x234c6c6abc6c75ea, 0xb2fa598b84845080, 0x656b2a3608991c37,
  0x7f157ceee2a4a59c, 0x8ce6283b5e5caad6, 0xbeace75152a8d773, 0x10e6b8101395daa5, 0x2bcb10d2ad5d2fe9,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb2ec31dbd8, 0x539fa82ec6e3cd84,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x000001d751a3705f,
};

/*
 * m329_swio12_noled                 m329a_swio11_noled                m329a_swio12_noled
 * m329p_swio11_noled                m329p_swio12_noled                m329pa_swio11_noled
 * m329pa_swio12_noled               m3290_swio11_noled                m3290_swio12_noled
 * m3290a_swio11_noled               m3290a_swio12_noled               m3290p_swio11_noled
 * m3290p_swio12_noled               m3290pa_swio11_noled              m3290pa_swio12_noled
 * m325_swio11_noled                 m325_swio12_noled                 m325a_swio11_noled
 * m325a_swio12_noled                m325p_swio11_noled                m325p_swio12_noled
 * m325pa_swio11_noled               m325pa_swio12_noled               m3250_swio11_noled
 * m3250_swio12_noled                m3250a_swio11_noled               m3250a_swio12_noled
 * m3250p_swio11_noled               m3250p_swio12_noled               m3250pa_swio11_noled
 * m3250pa_swio12_noled
 */
static const uint64_t ur_m329_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x10c5bbc9ddcc490d, 0x43cfc7b9827c6024, 0x77cb741283dd7fbf, 0x71d3f83affea3a62, 0xe62c05bdd32003e4,
  0x08ebc5cedd223278, 0xe556a56087dc72c6, 0x46bb9c673141daf2, 0xed52df57673a8a95, 0x56c6f5f4887359ca,
  0xb5cf6ab44579621a, 0x75380b2953e9de7e, 0x8f2f14085a585cea, 0x97cdb4e31bc67440, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000005496ed71f3c,
};

/*
 * m329_swio11_noled_pr_u4           m329_swio12_noled_pr              m329_swio12_noled_pr_u4
 * m329a_swio11_noled_pr             m329a_swio11_noled_pr_u4          m329a_swio12_noled_pr
 * m329a_swio12_noled_pr_u4          m329p_swio11_noled_pr             m329p_swio11_noled_pr_u4
 * m329p_swio12_noled_pr             m329p_swio12_noled_pr_u4          m329pa_swio11_noled_pr
 * m329pa_swio11_noled_pr_u4         m329pa_swio12_noled_pr            m329pa_swio12_noled_pr_u4
 * m3290_swio11_noled_pr             m3290_swio11_noled_pr_u4          m3290_swio12_noled_pr
 * m3290_swio12_noled_pr_u4          m3290a_swio11_noled_pr            m3290a_swio11_noled_pr_u4
 * m3290a_swio12_noled_pr            m3290a_swio12_noled_pr_u4         m3290p_swio11_noled_pr
 * m3290p_swio11_noled_pr_u4         m3290p_swio12_noled_pr            m3290p_swio12_noled_pr_u4
 * m3290pa_swio11_noled_pr           m3290pa_swio11_noled_pr_u4        m3290pa_swio12_noled_pr
 * m3290pa_swio12_noled_pr_u4        m325_swio11_noled_pr              m325_swio11_noled_pr_u4
 * m325_swio12_noled_pr              m325_swio12_noled_pr_u4           m325a_swio11_noled_pr
 * m325a_swio11_noled_pr_u4          m325a_swio12_noled_pr             m325a_swio12_noled_pr_u4
 * m325p_swio11_noled_pr             m325p_swio11_noled_pr_u4          m325p_swio12_noled_pr
 * m325p_swio12_noled_pr_u4          m325pa_swio11_noled_pr            m325pa_swio11_noled_pr_u4
 * m325pa_swio12_noled_pr            m325pa_swio12_noled_pr_u4         m3250_swio11_noled_pr
 * m3250_swio11_noled_pr_u4          m3250_swio12_noled_pr             m3250_swio12_noled_pr_u4
 * m3250a_swio11_noled_pr            m3250a_swio11_noled_pr_u4         m3250a_swio12_noled_pr
 * m3250a_swio12_noled_pr_u4         m3250p_swio11_noled_pr            m3250p_swio11_noled_pr_u4
 * m3250p_swio12_noled_pr            m3250p_swio12_noled_pr_u4         m3250pa_swio11_noled_pr
 * m3250pa_swio11_noled_pr_u4        m3250pa_swio12_noled_pr           m3250pa_swio12_noled_pr_u4
 */
static const uint64_t ur_m329_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x3e609f180904316e, 0xdca0edfff3c0b3e6, 0x064d7a8e0a1df2db, 0x6594c1ed008e3a7f,
  0xf3b2628c45398b01, 0x9e5403ff6608ebd1, 0x5aa11303cb3dbb58, 0xee719cc5076bcb95, 0x4b7d5d9cea2a551a,
  0x1bd7d221cd672bb5, 0x3daad115e588695b, 0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x43156f62aa8b4b68,
  0xae0f3612e65f36d8, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x82c4053c95fb9a19, 0x000000000007c9ab,
};

/*
 * m329_swio12_noled_pr_ee           m329a_swio11_noled_pr_ee          m329a_swio12_noled_pr_ee
 * m329p_swio11_noled_pr_ee          m329p_swio12_noled_pr_ee          m329pa_swio11_noled_pr_ee
 * m329pa_swio12_noled_pr_ee         m3290_swio11_noled_pr_ee          m3290_swio12_noled_pr_ee
 * m3290a_swio11_noled_pr_ee         m3290a_swio12_noled_pr_ee         m3290p_swio11_noled_pr_ee
 * m3290p_swio12_noled_pr_ee         m3290pa_swio11_noled_pr_ee        m3290pa_swio12_noled_pr_ee
 * m325_swio11_noled_pr_ee           m325_swio12_noled_pr_ee           m325a_swio11_noled_pr_ee
 * m325a_swio12_noled_pr_ee          m325p_swio11_noled_pr_ee          m325p_swio12_noled_pr_ee
 * m325pa_swio11_noled_pr_ee         m325pa_swio12_noled_pr_ee         m3250_swio11_noled_pr_ee
 * m3250_swio12_noled_pr_ee          m3250a_swio11_noled_pr_ee         m3250a_swio12_noled_pr_ee
 * m3250p_swio11_noled_pr_ee         m3250p_swio12_noled_pr_ee         m3250pa_swio11_noled_pr_ee
 * m3250pa_swio12_noled_pr_ee
 */
static const uint64_t ur_m329_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x609f180904316ef2, 0xa0eceff3c0b3e706, 0x7959759aad68cc7c, 0x97ea3e0d983ea3d4,
  0x459a75a1143be2b2, 0x64d2135f4616588a, 0x3f90e75697726b8d, 0xaad743af3a6ec7aa, 0x2e121144428f7bb1,
  0xd823f5b86f65b2e6, 0xcb955a805d073ca8, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x695b1bd7d221cd67,
  0xb5d73daad115e588, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x36d843156f62aa8b, 0x1726ae0f3612e65f,
  0xb31e40fca1a2ce9f, 0xcc4fe50c2a73f53a, 0x82687993fc5ce32f, 0x867a615c9f8e7bff, 0x1d252d9f0271964b,
  0x44053c95fb9a1996, 0x0000000000275e05,
};

/*
 * m329_swio12_noled_pr_ee_u4        m329a_swio11_noled_pr_ee_u4       m329a_swio12_noled_pr_ee_u4
 * m329p_swio11_noled_pr_ee_u4       m329p_swio12_noled_pr_ee_u4       m329pa_swio11_noled_pr_ee_u4
 * m329pa_swio12_noled_pr_ee_u4      m3290_swio11_noled_pr_ee_u4       m3290_swio12_noled_pr_ee_u4
 * m3290a_swio11_noled_pr_ee_u4      m3290a_swio12_noled_pr_ee_u4      m3290p_swio11_noled_pr_ee_u4
 * m3290p_swio12_noled_pr_ee_u4      m3290pa_swio11_noled_pr_ee_u4     m3290pa_swio12_noled_pr_ee_u4
 * m325_swio11_noled_pr_ee_u4        m325_swio12_noled_pr_ee_u4        m325a_swio11_noled_pr_ee_u4
 * m325a_swio12_noled_pr_ee_u4       m325p_swio11_noled_pr_ee_u4       m325p_swio12_noled_pr_ee_u4
 * m325pa_swio11_noled_pr_ee_u4      m325pa_swio12_noled_pr_ee_u4      m3250_swio11_noled_pr_ee_u4
 * m3250_swio12_noled_pr_ee_u4       m3250a_swio11_noled_pr_ee_u4      m3250a_swio12_noled_pr_ee_u4
 * m3250p_swio11_noled_pr_ee_u4      m3250p_swio12_noled_pr_ee_u4      m3250pa_swio11_noled_pr_ee_u4
 * m3250pa_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m329_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x304f8c048218b779, 0x506577f9e059fd9d, 0x3cafe74d56b47b7e, 0xa5f51f06cc1ce3ea,
  0x22cd3ad08a1df15b, 0x266909afa30b2c45, 0x6b5ce756975f6b8a, 0x5ae875eba9bb4be4, 0xc242281f11f49635,
  0xa0fadc37b2e1c8c5, 0xcc5076bcb955aae3, 0xd9cea2a551aee719, 0x221cd672bb54b7d5, 0x115e588695b1bd7d,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x612e65f36d843156, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x00000009d74d0440,
};

/*
 * m329_swio11_noled_pr_ce_u4        m329_swio12_noled_pr_ce           m329_swio12_noled_pr_ce_u4
 * m329a_swio11_noled_pr_ce          m329a_swio11_noled_pr_ce_u4       m329a_swio12_noled_pr_ce
 * m329a_swio12_noled_pr_ce_u4       m329p_swio11_noled_pr_ce          m329p_swio11_noled_pr_ce_u4
 * m329p_swio12_noled_pr_ce          m329p_swio12_noled_pr_ce_u4       m329pa_swio11_noled_pr_ce
 * m329pa_swio11_noled_pr_ce_u4      m329pa_swio12_noled_pr_ce         m329pa_swio12_noled_pr_ce_u4
 * m3290_swio11_noled_pr_ce          m3290_swio11_noled_pr_ce_u4       m3290_swio12_noled_pr_ce
 * m3290_swio12_noled_pr_ce_u4       m3290a_swio11_noled_pr_ce         m3290a_swio11_noled_pr_ce_u4
 * m3290a_swio12_noled_pr_ce         m3290a_swio12_noled_pr_ce_u4      m3290p_swio11_noled_pr_ce
 * m3290p_swio11_noled_pr_ce_u4      m3290p_swio12_noled_pr_ce         m3290p_swio12_noled_pr_ce_u4
 * m3290pa_swio11_noled_pr_ce        m3290pa_swio11_noled_pr_ce_u4     m3290pa_swio12_noled_pr_ce
 * m3290pa_swio12_noled_pr_ce_u4     m325_swio11_noled_pr_ce           m325_swio11_noled_pr_ce_u4
 * m325_swio12_noled_pr_ce           m325_swio12_noled_pr_ce_u4        m325a_swio11_noled_pr_ce
 * m325a_swio11_noled_pr_ce_u4       m325a_swio12_noled_pr_ce          m325a_swio12_noled_pr_ce_u4
 * m325p_swio11_noled_pr_ce          m325p_swio11_noled_pr_ce_u4       m325p_swio12_noled_pr_ce
 * m325p_swio12_noled_pr_ce_u4       m325pa_swio11_noled_pr_ce         m325pa_swio11_noled_pr_ce_u4
 * m325pa_swio12_noled_pr_ce         m325pa_swio12_noled_pr_ce_u4      m3250_swio11_noled_pr_ce
 * m3250_swio11_noled_pr_ce_u4       m3250_swio12_noled_pr_ce          m3250_swio12_noled_pr_ce_u4
 * m3250a_swio11_noled_pr_ce         m3250a_swio11_noled_pr_ce_u4      m3250a_swio12_noled_pr_ce
 * m3250a_swio12_noled_pr_ce_u4      m3250p_swio11_noled_pr_ce         m3250p_swio11_noled_pr_ce_u4
 * m3250p_swio12_noled_pr_ce         m3250p_swio12_noled_pr_ce_u4      m3250pa_swio11_noled_pr_ce
 * m3250pa_swio11_noled_pr_ce_u4     m3250pa_swio12_noled_pr_ce        m3250pa_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m329_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xe9b9827c602410c5, 0xf7528395bfcf02cf, 0x79e012a772bae2fa, 0x2fc4361222fb892c,
  0xdc6e321d257ea3e1, 0x5f27b9633f5933c5, 0xbe8e3a7f06b3fd47, 0x628c45398b0176fc, 0x03ff6678ebd1f3b2,
  0x44c0f2d6eb589e54, 0x673141daf2e556a8, 0x57673a8a9546bb9c, 0xf4887359caed52df, 0xb44579621a56c6f5,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x9b09732f9b6c2131, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x029e4afdcd0ccb0e, 0x00000000dd748be2,
};

/*
 * m329_swio12_noled_pr_ee_ce        m329a_swio11_noled_pr_ee_ce       m329a_swio12_noled_pr_ee_ce
 * m329p_swio11_noled_pr_ee_ce       m329p_swio12_noled_pr_ee_ce       m329pa_swio11_noled_pr_ee_ce
 * m329pa_swio12_noled_pr_ee_ce      m3290_swio11_noled_pr_ee_ce       m3290_swio12_noled_pr_ee_ce
 * m3290a_swio11_noled_pr_ee_ce      m3290a_swio12_noled_pr_ee_ce      m3290p_swio11_noled_pr_ee_ce
 * m3290p_swio12_noled_pr_ee_ce      m3290pa_swio11_noled_pr_ee_ce     m3290pa_swio12_noled_pr_ee_ce
 * m325_swio11_noled_pr_ee_ce        m325_swio12_noled_pr_ee_ce        m325a_swio11_noled_pr_ee_ce
 * m325a_swio12_noled_pr_ee_ce       m325p_swio11_noled_pr_ee_ce       m325p_swio12_noled_pr_ee_ce
 * m325pa_swio11_noled_pr_ee_ce      m325pa_swio12_noled_pr_ee_ce      m3250_swio11_noled_pr_ee_ce
 * m3250_swio12_noled_pr_ee_ce       m3250a_swio11_noled_pr_ee_ce      m3250a_swio12_noled_pr_ee_ce
 * m3250p_swio11_noled_pr_ee_ce      m3250p_swio12_noled_pr_ee_ce      m3250pa_swio11_noled_pr_ee_ce
 * m3250pa_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m329_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xe609f180904316ef, 0x282337fe78167d36, 0x54ec66ceffaa32eb, 0xdc6e339747ff3c02,
  0x0f29dacac7be6139, 0x7c1b307a57a8f2b9, 0xeb422814c5670fd4, 0x26be8c2cb1148b34, 0xfe439d5db9c98ea4,
  0x578d8ebce9bb1ea8, 0x70908a22147bdd8d, 0x608991c37b2d9731, 0x2e556a59f41cf2a3, 0x546bb9c673141daf,
  0xaed52df57673a8a9, 0xa56c6f5f4887359c, 0xd75cf6ab44579621, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041,
  0xb6c2131dbd8aaa2d, 0x38b93571b09732f9, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x4c5fb880a792bf73, 0x0000000000000053,
};

/*
 * m329_swio12_noled_pr_ee_ce_u4     m329a_swio11_noled_pr_ee_ce_u4    m329a_swio12_noled_pr_ee_ce_u4
 * m329p_swio11_noled_pr_ee_ce_u4    m329p_swio12_noled_pr_ee_ce_u4    m329pa_swio11_noled_pr_ee_ce_u4
 * m329pa_swio12_noled_pr_ee_ce_u4   m3290_swio11_noled_pr_ee_ce_u4    m3290_swio12_noled_pr_ee_ce_u4
 * m3290a_swio11_noled_pr_ee_ce_u4   m3290a_swio12_noled_pr_ee_ce_u4   m3290p_swio11_noled_pr_ee_ce_u4
 * m3290p_swio12_noled_pr_ee_ce_u4   m3290pa_swio11_noled_pr_ee_ce_u4  m3290pa_swio12_noled_pr_ee_ce_u4
 * m325_swio11_noled_pr_ee_ce_u4     m325_swio12_noled_pr_ee_ce_u4     m325a_swio11_noled_pr_ee_ce_u4
 * m325a_swio12_noled_pr_ee_ce_u4    m325p_swio11_noled_pr_ee_ce_u4    m325p_swio12_noled_pr_ee_ce_u4
 * m325pa_swio11_noled_pr_ee_ce_u4   m325pa_swio12_noled_pr_ee_ce_u4   m3250_swio11_noled_pr_ee_ce_u4
 * m3250_swio12_noled_pr_ee_ce_u4    m3250a_swio11_noled_pr_ee_ce_u4   m3250a_swio12_noled_pr_ee_ce_u4
 * m3250p_swio11_noled_pr_ee_ce_u4   m3250p_swio12_noled_pr_ee_ce_u4   m3250pa_swio11_noled_pr_ee_ce_u4
 * m3250pa_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x9304f8c048218b77, 0x941adfffb15d9f14, 0xa0395bf717d51e9b, 0x61222fb892c79e6d,
  0xbb0b27ea3e12fc43, 0x6e6def99e2ee371d, 0x3d2bd4795c8794ed, 0x0a62b387ea3e0d98, 0x16588a459a75a114,
  0xaedce4c752135f46, 0x5e74dd8f547f21ce, 0x110a3deec6abc6c7, 0xe1bd96cb98b84845, 0x2cfa0e7951b044c8,
  0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0xafa4439ace576a96, 0x55a22bcb10d2b637, 0x29e1a779f16bae7b,
  0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x3cd84b997cdb6109, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x7abb7459e4afdcd0,
  0x00000000000013f0,
};

/*
 * m329_swio12_noled_ee_hw           m329a_swio11_noled_ee_hw          m329a_swio12_noled_ee_hw
 * m329p_swio11_noled_ee_hw          m329p_swio12_noled_ee_hw          m329pa_swio11_noled_ee_hw
 * m329pa_swio12_noled_ee_hw         m3290_swio11_noled_ee_hw          m3290_swio12_noled_ee_hw
 * m3290a_swio11_noled_ee_hw         m3290a_swio12_noled_ee_hw         m3290p_swio11_noled_ee_hw
 * m3290p_swio12_noled_ee_hw         m3290pa_swio11_noled_ee_hw        m3290pa_swio12_noled_ee_hw
 * m325_swio11_noled_ee_hw           m325_swio12_noled_ee_hw           m325a_swio11_noled_ee_hw
 * m325a_swio12_noled_ee_hw          m325p_swio11_noled_ee_hw          m325p_swio12_noled_ee_hw
 * m325pa_swio11_noled_ee_hw         m325pa_swio12_noled_ee_hw         m3250_swio11_noled_ee_hw
 * m3250_swio12_noled_ee_hw          m3250a_swio11_noled_ee_hw         m3250a_swio12_noled_ee_hw
 * m3250p_swio11_noled_ee_hw         m3250p_swio12_noled_ee_hw         m3250pa_swio11_noled_ee_hw
 * m3250pa_swio12_noled_ee_hw
 */
static const uint64_t ur_m329_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x2dde4eed86d95a93, 0x7ce0cc13e3012086, 0x4663e507677fd0a6, 0xf51ea3cacbacd56b, 0xdf1594bf51f06cc1,
  0xb2c4522cd3ad08a1, 0x935c6b26909afa30, 0x763d51fc873ab4bb, 0x7bdd8d56ba1d79d3, 0x2d973170908a2214,
  0x39e546c11fadc37b, 0x283b5e5caad402e8, 0xe75152a8d7738ce6, 0x0e6b395daa5beaec, 0xaf2c434ad8debe91,
  0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x9732f9b6c218ab7b, 0x2a73f505d8dc79b0,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x000000002dffcd3a,
};

/*
 * m329_swio11_noled_ee_ce_u4_hw     m329_swio12_noled_ee_ce_hw        m329_swio12_noled_ee_ce_u4_hw
 * m329a_swio11_noled_ee_ce_hw       m329a_swio11_noled_ee_ce_u4_hw    m329a_swio12_noled_ee_ce_hw
 * m329a_swio12_noled_ee_ce_u4_hw    m329p_swio11_noled_ee_ce_hw       m329p_swio11_noled_ee_ce_u4_hw
 * m329p_swio12_noled_ee_ce_hw       m329p_swio12_noled_ee_ce_u4_hw    m329pa_swio11_noled_ee_ce_hw
 * m329pa_swio11_noled_ee_ce_u4_hw   m329pa_swio12_noled_ee_ce_hw      m329pa_swio12_noled_ee_ce_u4_hw
 * m3290_swio11_noled_ee_ce_hw       m3290_swio11_noled_ee_ce_u4_hw    m3290_swio12_noled_ee_ce_hw
 * m3290_swio12_noled_ee_ce_u4_hw    m3290a_swio11_noled_ee_ce_hw      m3290a_swio11_noled_ee_ce_u4_hw
 * m3290a_swio12_noled_ee_ce_hw      m3290a_swio12_noled_ee_ce_u4_hw   m3290p_swio11_noled_ee_ce_hw
 * m3290p_swio11_noled_ee_ce_u4_hw   m3290p_swio12_noled_ee_ce_hw      m3290p_swio12_noled_ee_ce_u4_hw
 * m3290pa_swio11_noled_ee_ce_hw     m3290pa_swio11_noled_ee_ce_u4_hw  m3290pa_swio12_noled_ee_ce_hw
 * m3290pa_swio12_noled_ee_ce_u4_hw  m325_swio11_noled_ee_ce_hw        m325_swio11_noled_ee_ce_u4_hw
 * m325_swio12_noled_ee_ce_hw        m325_swio12_noled_ee_ce_u4_hw     m325a_swio11_noled_ee_ce_hw
 * m325a_swio11_noled_ee_ce_u4_hw    m325a_swio12_noled_ee_ce_hw       m325a_swio12_noled_ee_ce_u4_hw
 * m325p_swio11_noled_ee_ce_hw       m325p_swio11_noled_ee_ce_u4_hw    m325p_swio12_noled_ee_ce_hw
 * m325p_swio12_noled_ee_ce_u4_hw    m325pa_swio11_noled_ee_ce_hw      m325pa_swio11_noled_ee_ce_u4_hw
 * m325pa_swio12_noled_ee_ce_hw      m325pa_swio12_noled_ee_ce_u4_hw   m3250_swio11_noled_ee_ce_hw
 * m3250_swio11_noled_ee_ce_u4_hw    m3250_swio12_noled_ee_ce_hw       m3250_swio12_noled_ee_ce_u4_hw
 * m3250a_swio11_noled_ee_ce_hw      m3250a_swio11_noled_ee_ce_u4_hw   m3250a_swio12_noled_ee_ce_hw
 * m3250a_swio12_noled_ee_ce_u4_hw   m3250p_swio11_noled_ee_ce_hw      m3250p_swio11_noled_ee_ce_u4_hw
 * m3250p_swio12_noled_ee_ce_hw      m3250p_swio12_noled_ee_ce_u4_hw   m3250pa_swio11_noled_ee_ce_hw
 * m3250pa_swio11_noled_ee_ce_u4_hw  m3250pa_swio12_noled_ee_ce_hw     m3250pa_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0xdde4ee957a27e858, 0xc524c13e30120862, 0xf4dca0d6fffd0a67, 0xf36d01cadfb8bea8, 0xe21b09117dc4963c,
  0x70dbb0a47f51f097, 0x4ed6e6def99e2ee3, 0xd983d2bd4795c879, 0x1140a62b387ea3e0, 0xf4616588a459a75a,
  0x1ceaedce4c752135, 0x6c75e74dd8f547f2, 0x845110a3deec6abc, 0x4c8e1bd96cb98b84, 0xab52cfa0e7951b04,
  0x5dce3398a0ed7972, 0xa96fabb39d454aa3, 0x637afa4439ace576, 0xe7b55a22bcb10d2b, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x1098edec5551696d, 0xc6e3cd84b997cdb6, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x8087abd14f257ee6, 0x0000000000000002,
};

/*
 * m329_swio12_lednop                m329a_swio11_lednop               m329a_swio12_lednop
 * m329p_swio11_lednop               m329p_swio12_lednop               m329pa_swio11_lednop
 * m329pa_swio12_lednop              m3290_swio11_lednop               m3290_swio12_lednop
 * m3290a_swio11_lednop              m3290a_swio12_lednop              m3290p_swio11_lednop
 * m3290p_swio12_lednop              m3290pa_swio11_lednop             m3290pa_swio12_lednop
 * m325_swio11_lednop                m325_swio12_lednop                m325a_swio11_lednop
 * m325a_swio12_lednop               m325p_swio11_lednop               m325p_swio12_lednop
 * m325pa_swio11_lednop              m325pa_swio12_lednop              m3250_swio11_lednop
 * m3250_swio12_lednop               m3250a_swio11_lednop              m3250a_swio12_lednop
 * m3250p_swio11_lednop              m3250p_swio12_lednop              m3250pa_swio11_lednop
 * m3250pa_swio12_lednop
 */
static const uint64_t ur_m329_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x410c5bbc9ddb1ec8, 0xf43cfc069827c602, 0x0ef96e825043dffb, 0x8e3a7f075ffd47c9, 0x1cc580b7ba6ea131,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0xd2fe910e6b810139,
  0xdaad115e588695cb, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x6d38c6f19d1028be, 0x7e7f61bb612e65f3,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x02a4faf5c7cf257e,
};

/*
 * m329_swio11_lednop_pr_u4          m329_swio12_lednop_pr             m329_swio12_lednop_pr_u4
 * m329a_swio11_lednop_pr            m329a_swio11_lednop_pr_u4         m329a_swio12_lednop_pr
 * m329a_swio12_lednop_pr_u4         m329p_swio11_lednop_pr            m329p_swio11_lednop_pr_u4
 * m329p_swio12_lednop_pr            m329p_swio12_lednop_pr_u4         m329pa_swio11_lednop_pr
 * m329pa_swio11_lednop_pr_u4        m329pa_swio12_lednop_pr           m329pa_swio12_lednop_pr_u4
 * m3290_swio11_lednop_pr            m3290_swio11_lednop_pr_u4         m3290_swio12_lednop_pr
 * m3290_swio12_lednop_pr_u4         m3290a_swio11_lednop_pr           m3290a_swio11_lednop_pr_u4
 * m3290a_swio12_lednop_pr           m3290a_swio12_lednop_pr_u4        m3290p_swio11_lednop_pr
 * m3290p_swio11_lednop_pr_u4        m3290p_swio12_lednop_pr           m3290p_swio12_lednop_pr_u4
 * m3290pa_swio11_lednop_pr          m3290pa_swio11_lednop_pr_u4       m3290pa_swio12_lednop_pr
 * m3290pa_swio12_lednop_pr_u4       m325_swio11_lednop_pr             m325_swio11_lednop_pr_u4
 * m325_swio12_lednop_pr             m325_swio12_lednop_pr_u4          m325a_swio11_lednop_pr
 * m325a_swio11_lednop_pr_u4         m325a_swio12_lednop_pr            m325a_swio12_lednop_pr_u4
 * m325p_swio11_lednop_pr            m325p_swio11_lednop_pr_u4         m325p_swio12_lednop_pr
 * m325p_swio12_lednop_pr_u4         m325pa_swio11_lednop_pr           m325pa_swio11_lednop_pr_u4
 * m325pa_swio12_lednop_pr           m325pa_swio12_lednop_pr_u4        m3250_swio11_lednop_pr
 * m3250_swio11_lednop_pr_u4         m3250_swio12_lednop_pr            m3250_swio12_lednop_pr_u4
 * m3250a_swio11_lednop_pr           m3250a_swio11_lednop_pr_u4        m3250a_swio12_lednop_pr
 * m3250a_swio12_lednop_pr_u4        m3250p_swio11_lednop_pr           m3250p_swio11_lednop_pr_u4
 * m3250p_swio12_lednop_pr           m3250p_swio12_lednop_pr_u4        m3250pa_swio11_lednop_pr
 * m3250pa_swio11_lednop_pr_u4       m3250pa_swio12_lednop_pr          m3250pa_swio12_lednop_pr_u4
 */
static const uint64_t ur_m329_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0x7304f8c048218b77, 0xe5063dff9e059f5f, 0x326bd47400ef96de, 0x96533f9d4471d3f8,
  0x9db244637ce62c05, 0x22a01ffb30475e8f, 0xacbb503cb3db83fd, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae,
  0x221cd7020272bb54, 0x22bcb10d2b97a5fd, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x25ccbe6db18c55bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00001f26721f880a,
};

/*
 * m329_swio12_lednop_pr_ee          m329a_swio11_lednop_pr_ee         m329a_swio12_lednop_pr_ee
 * m329p_swio11_lednop_pr_ee         m329p_swio12_lednop_pr_ee         m329pa_swio11_lednop_pr_ee
 * m329pa_swio12_lednop_pr_ee        m3290_swio11_lednop_pr_ee         m3290_swio12_lednop_pr_ee
 * m3290a_swio11_lednop_pr_ee        m3290a_swio12_lednop_pr_ee        m3290p_swio11_lednop_pr_ee
 * m3290p_swio12_lednop_pr_ee        m3290pa_swio11_lednop_pr_ee       m3290pa_swio12_lednop_pr_ee
 * m325_swio11_lednop_pr_ee          m325_swio12_lednop_pr_ee          m325a_swio11_lednop_pr_ee
 * m325a_swio12_lednop_pr_ee         m325p_swio11_lednop_pr_ee         m325p_swio12_lednop_pr_ee
 * m325pa_swio11_lednop_pr_ee        m325pa_swio12_lednop_pr_ee        m3250_swio11_lednop_pr_ee
 * m3250_swio12_lednop_pr_ee         m3250a_swio11_lednop_pr_ee        m3250a_swio12_lednop_pr_ee
 * m3250p_swio11_lednop_pr_ee        m3250p_swio12_lednop_pr_ee        m3250pa_swio11_lednop_pr_ee
 * m3250pa_swio12_lednop_pr_ee
 */
static const uint64_t ur_m329_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x4c13e30120862dde, 0x9411adfe78167d2d, 0x8f2b60b355ad198f, 0xa7bd47c1b307d47a,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47371cead2ee9571, 0x355ae875e74dda44, 0xc5c242285f11c656,
  0x1b047eb70decb65c, 0x7972ab500ad62795, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0x2f4bfa4439ae0404,
  0xcf6ab44579621a57, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0xb83cd84b997cdb63,
  0x03f2868b3a7c5c9a, 0x9430a9cfd4eacc79, 0xe64ff1738cbf313f, 0x85727e39effe09a1, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000000275cc91014,
};

/*
 * m329_swio12_lednop_pr_ee_u4       m329a_swio11_lednop_pr_ee_u4      m329a_swio12_lednop_pr_ee_u4
 * m329p_swio11_lednop_pr_ee_u4      m329p_swio12_lednop_pr_ee_u4      m329pa_swio11_lednop_pr_ee_u4
 * m329pa_swio12_lednop_pr_ee_u4     m3290_swio11_lednop_pr_ee_u4      m3290_swio12_lednop_pr_ee_u4
 * m3290a_swio11_lednop_pr_ee_u4     m3290a_swio12_lednop_pr_ee_u4     m3290p_swio11_lednop_pr_ee_u4
 * m3290p_swio12_lednop_pr_ee_u4     m3290pa_swio11_lednop_pr_ee_u4    m3290pa_swio12_lednop_pr_ee_u4
 * m325_swio11_lednop_pr_ee_u4       m325_swio12_lednop_pr_ee_u4       m325a_swio11_lednop_pr_ee_u4
 * m325a_swio12_lednop_pr_ee_u4      m325p_swio11_lednop_pr_ee_u4      m325p_swio12_lednop_pr_ee_u4
 * m325pa_swio11_lednop_pr_ee_u4     m325pa_swio12_lednop_pr_ee_u4     m3250_swio11_lednop_pr_ee_u4
 * m3250_swio12_lednop_pr_ee_u4      m3250a_swio11_lednop_pr_ee_u4     m3250a_swio12_lednop_pr_ee_u4
 * m3250p_swio11_lednop_pr_ee_u4     m3250p_swio12_lednop_pr_ee_u4     m3250pa_swio11_lednop_pr_ee_u4
 * m3250pa_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x6a609f180904316e, 0xfca08d6ff3c0b3e9, 0xd4795c879aad68f6, 0xbfddea3e0d9839c7,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x446989cead2f0197, 0x1aad743af5d4ddb2, 0xc5c2422883e8ed6b,
  0xc60bfadc37b2e1c8, 0x3398a0ed7972ab55, 0xabb39d454aa35dce, 0x39ae0404e576a96f, 0x79621a572f4bfa44,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0xc67440a2fa2810b4, 0xcd84b997cdb4e31b, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x000000004eba45f1,
};

/*
 * m329_swio11_lednop_pr_ce_u4       m329_swio12_lednop_pr_ce          m329_swio12_lednop_pr_ce_u4
 * m329a_swio11_lednop_pr_ce         m329a_swio11_lednop_pr_ce_u4      m329a_swio12_lednop_pr_ce
 * m329a_swio12_lednop_pr_ce_u4      m329p_swio11_lednop_pr_ce         m329p_swio11_lednop_pr_ce_u4
 * m329p_swio12_lednop_pr_ce         m329p_swio12_lednop_pr_ce_u4      m329pa_swio11_lednop_pr_ce
 * m329pa_swio11_lednop_pr_ce_u4     m329pa_swio12_lednop_pr_ce        m329pa_swio12_lednop_pr_ce_u4
 * m3290_swio11_lednop_pr_ce         m3290_swio11_lednop_pr_ce_u4      m3290_swio12_lednop_pr_ce
 * m3290_swio12_lednop_pr_ce_u4      m3290a_swio11_lednop_pr_ce        m3290a_swio11_lednop_pr_ce_u4
 * m3290a_swio12_lednop_pr_ce        m3290a_swio12_lednop_pr_ce_u4     m3290p_swio11_lednop_pr_ce
 * m3290p_swio11_lednop_pr_ce_u4     m3290p_swio12_lednop_pr_ce        m3290p_swio12_lednop_pr_ce_u4
 * m3290pa_swio11_lednop_pr_ce       m3290pa_swio11_lednop_pr_ce_u4    m3290pa_swio12_lednop_pr_ce
 * m3290pa_swio12_lednop_pr_ce_u4    m325_swio11_lednop_pr_ce          m325_swio11_lednop_pr_ce_u4
 * m325_swio12_lednop_pr_ce          m325_swio12_lednop_pr_ce_u4       m325a_swio11_lednop_pr_ce
 * m325a_swio11_lednop_pr_ce_u4      m325a_swio12_lednop_pr_ce         m325a_swio12_lednop_pr_ce_u4
 * m325p_swio11_lednop_pr_ce         m325p_swio11_lednop_pr_ce_u4      m325p_swio12_lednop_pr_ce
 * m325p_swio12_lednop_pr_ce_u4      m325pa_swio11_lednop_pr_ce        m325pa_swio11_lednop_pr_ce_u4
 * m325pa_swio12_lednop_pr_ce        m325pa_swio12_lednop_pr_ce_u4     m3250_swio11_lednop_pr_ce
 * m3250_swio11_lednop_pr_ce_u4      m3250_swio12_lednop_pr_ce         m3250_swio12_lednop_pr_ce_u4
 * m3250a_swio11_lednop_pr_ce        m3250a_swio11_lednop_pr_ce_u4     m3250a_swio12_lednop_pr_ce
 * m3250a_swio12_lednop_pr_ce_u4     m3250p_swio11_lednop_pr_ce        m3250p_swio11_lednop_pr_ce_u4
 * m3250p_swio12_lednop_pr_ce        m3250p_swio12_lednop_pr_ce_u4     m3250pa_swio11_lednop_pr_ce
 * m3250pa_swio11_lednop_pr_ce_u4    m3250pa_swio12_lednop_pr_ce       m3250pa_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x5bbc9dd57ccfa0d9, 0xfc729827c602410c, 0xaf752836ebfcf02c, 0xc79e012a77a6ee2f, 0x12fc4361222fb892,
  0x5dc6e1256547ea3e, 0xf2fa7b9633f5933c, 0xe951c74fe0d67fa8, 0xc9118df398b0163d, 0x807feccf1d7a3e76,
  0xbb503cb5ba0ff48a, 0x19cc5076bcb955ac, 0xd5d9cea2a551aee7, 0x1cd7020272bb54b7, 0xbcb10d2b97a5fd22,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb63131dbd8a, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000375c2171014f2,
};

/*
 * m329_swio12_lednop_pr_ee_ce       m329a_swio11_lednop_pr_ee_ce      m329a_swio12_lednop_pr_ee_ce
 * m329p_swio11_lednop_pr_ee_ce      m329p_swio12_lednop_pr_ee_ce      m329pa_swio11_lednop_pr_ee_ce
 * m329pa_swio12_lednop_pr_ee_ce     m3290_swio11_lednop_pr_ee_ce      m3290_swio12_lednop_pr_ee_ce
 * m3290a_swio11_lednop_pr_ee_ce     m3290a_swio12_lednop_pr_ee_ce     m3290p_swio11_lednop_pr_ee_ce
 * m3290p_swio12_lednop_pr_ee_ce     m3290pa_swio11_lednop_pr_ee_ce    m3290pa_swio12_lednop_pr_ee_ce
 * m325_swio11_lednop_pr_ee_ce       m325_swio12_lednop_pr_ee_ce       m325a_swio11_lednop_pr_ee_ce
 * m325a_swio12_lednop_pr_ee_ce      m325p_swio11_lednop_pr_ee_ce      m325p_swio12_lednop_pr_ee_ce
 * m325pa_swio11_lednop_pr_ee_ce     m325pa_swio12_lednop_pr_ee_ce     m3250_swio11_lednop_pr_ee_ce
 * m3250_swio12_lednop_pr_ee_ce      m3250a_swio11_lednop_pr_ee_ce     m3250a_swio12_lednop_pr_ee_ce
 * m3250p_swio11_lednop_pr_ee_ce     m3250p_swio12_lednop_pr_ee_ce     m3250pa_swio11_lednop_pr_ee_ce
 * m3250pa_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0x2609f180904316ef, 0xca0868ff3c0b3eff, 0x4a9d8683bfea8cba, 0x771b8d07044fe780,
  0xa5ca76b2b1ef984e, 0x1f06cc1e95ea3cac, 0x3ad08a05315943f5, 0x09afa30b2c4522cd, 0x39b8e7576e74a3a9,
  0x55e363af3a6ed222, 0x5c242285f11c6563, 0xd8226470decb65cc, 0xcb955a9676b13ca8, 0x551aee719cc5076b,
  0x2bb54b7d5d9cea2a, 0x7a5fd221cd702027, 0x7b55a22bcb10d2b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xab8d84b997cdb631, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xc4053c95fb9a1996, 0x00000000029a6dc7,
};

/*
 * m329_swio12_lednop_pr_ee_ce_u4    m329a_swio11_lednop_pr_ee_ce_u4   m329a_swio12_lednop_pr_ee_ce_u4
 * m329p_swio11_lednop_pr_ee_ce_u4   m329p_swio12_lednop_pr_ee_ce_u4   m329pa_swio11_lednop_pr_ee_ce_u4
 * m329pa_swio12_lednop_pr_ee_ce_u4  m3290_swio11_lednop_pr_ee_ce_u4   m3290_swio12_lednop_pr_ee_ce_u4
 * m3290a_swio11_lednop_pr_ee_ce_u4  m3290a_swio12_lednop_pr_ee_ce_u4  m3290p_swio11_lednop_pr_ee_ce_u4
 * m3290p_swio12_lednop_pr_ee_ce_u4  m3290pa_swio11_lednop_pr_ee_ce_u4 m3290pa_swio12_lednop_pr_ee_ce_u4
 * m325_swio11_lednop_pr_ee_ce_u4    m325_swio12_lednop_pr_ee_ce_u4    m325a_swio11_lednop_pr_ee_ce_u4
 * m325a_swio12_lednop_pr_ee_ce_u4   m325p_swio11_lednop_pr_ee_ce_u4   m325p_swio12_lednop_pr_ee_ce_u4
 * m325pa_swio11_lednop_pr_ee_ce_u4  m325pa_swio12_lednop_pr_ee_ce_u4  m3250_swio11_lednop_pr_ee_ce_u4
 * m3250_swio12_lednop_pr_ee_ce_u4   m3250a_swio11_lednop_pr_ee_ce_u4  m3250a_swio12_lednop_pr_ee_ce_u4
 * m3250p_swio11_lednop_pr_ee_ce_u4  m3250p_swio12_lednop_pr_ee_ce_u4  m3250pa_swio11_lednop_pr_ee_ce_u4
 * m3250pa_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x6609f180904316ef, 0x5050fbfec5767fb0, 0x80e21f5c5f547a6e, 0x8488bee24b1e79b6,
  0xfc7ddfa8f84bf10d, 0x736f7ccf1771b9c3, 0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76e74a3a909afa30, 0xf3a6ed22239b8e75, 0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0x19cc5076bcb955a9, 0xd5d9cea2a551aee7, 0x1cd7020272bb54b7, 0xbcb10d2b97a5fd22, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb63131dbd8a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x59e4afdcd0ccb0e9,
  0x00000027e46a7374,
};

/*
 * m329_swio12_lednop_ee_hw          m329a_swio11_lednop_ee_hw         m329a_swio12_lednop_ee_hw
 * m329p_swio11_lednop_ee_hw         m329p_swio12_lednop_ee_hw         m329pa_swio11_lednop_ee_hw
 * m329pa_swio12_lednop_ee_hw        m3290_swio11_lednop_ee_hw         m3290_swio12_lednop_ee_hw
 * m3290a_swio11_lednop_ee_hw        m3290a_swio12_lednop_ee_hw        m3290p_swio11_lednop_ee_hw
 * m3290p_swio12_lednop_ee_hw        m3290pa_swio11_lednop_ee_hw       m3290pa_swio12_lednop_ee_hw
 * m325_swio11_lednop_ee_hw          m325_swio12_lednop_ee_hw          m325a_swio11_lednop_ee_hw
 * m325a_swio12_lednop_ee_hw         m325p_swio11_lednop_ee_hw         m325p_swio12_lednop_ee_hw
 * m325pa_swio11_lednop_ee_hw        m325pa_swio12_lednop_ee_hw        m3250_swio11_lednop_ee_hw
 * m3250_swio12_lednop_ee_hw         m3250a_swio11_lednop_ee_hw        m3250a_swio12_lednop_ee_hw
 * m3250p_swio11_lednop_ee_hw        m3250p_swio12_lednop_ee_hw        m3250pa_swio11_lednop_ee_hw
 * m3250pa_swio12_lednop_ee_hw
 */
static const uint64_t ur_m329_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0x16ef277505272d08, 0x3e96a609f1809043, 0xa331f28235bfe853, 0xfa8f51e56c166ab5, 0xef8ad4f7a8f83660,
  0x5962291669d68450, 0xd2ae3593484d7d18, 0xbb4888e6e39d5a5d, 0x38cac6ab5d0ebce9, 0x96cb98b848450be2,
  0xc4f2a3608fd6e1bd, 0x141daf2e556a015a, 0x73a8a9546bb9c673, 0xc0809caed52df576, 0x434ae5e97f488735,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6c63156f62aa8b, 0x505d8dc79b09732f,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x0002df1a9ca29e4a,
};

/*
 * m329_swio11_lednop_ee_ce_u4_hw    m329_swio12_lednop_ee_ce_hw       m329_swio12_lednop_ee_ce_u4_hw
 * m329a_swio11_lednop_ee_ce_hw      m329a_swio11_lednop_ee_ce_u4_hw   m329a_swio12_lednop_ee_ce_hw
 * m329a_swio12_lednop_ee_ce_u4_hw   m329p_swio11_lednop_ee_ce_hw      m329p_swio11_lednop_ee_ce_u4_hw
 * m329p_swio12_lednop_ee_ce_hw      m329p_swio12_lednop_ee_ce_u4_hw   m329pa_swio11_lednop_ee_ce_hw
 * m329pa_swio11_lednop_ee_ce_u4_hw  m329pa_swio12_lednop_ee_ce_hw     m329pa_swio12_lednop_ee_ce_u4_hw
 * m3290_swio11_lednop_ee_ce_hw      m3290_swio11_lednop_ee_ce_u4_hw   m3290_swio12_lednop_ee_ce_hw
 * m3290_swio12_lednop_ee_ce_u4_hw   m3290a_swio11_lednop_ee_ce_hw     m3290a_swio11_lednop_ee_ce_u4_hw
 * m3290a_swio12_lednop_ee_ce_hw     m3290a_swio12_lednop_ee_ce_u4_hw  m3290p_swio11_lednop_ee_ce_hw
 * m3290p_swio11_lednop_ee_ce_u4_hw  m3290p_swio12_lednop_ee_ce_hw     m3290p_swio12_lednop_ee_ce_u4_hw
 * m3290pa_swio11_lednop_ee_ce_hw    m3290pa_swio11_lednop_ee_ce_u4_hw m3290pa_swio12_lednop_ee_ce_hw
 * m3290pa_swio12_lednop_ee_ce_u4_hw m325_swio11_lednop_ee_ce_hw       m325_swio11_lednop_ee_ce_u4_hw
 * m325_swio12_lednop_ee_ce_hw       m325_swio12_lednop_ee_ce_u4_hw    m325a_swio11_lednop_ee_ce_hw
 * m325a_swio11_lednop_ee_ce_u4_hw   m325a_swio12_lednop_ee_ce_hw      m325a_swio12_lednop_ee_ce_u4_hw
 * m325p_swio11_lednop_ee_ce_hw      m325p_swio11_lednop_ee_ce_u4_hw   m325p_swio12_lednop_ee_ce_hw
 * m325p_swio12_lednop_ee_ce_u4_hw   m325pa_swio11_lednop_ee_ce_hw     m325pa_swio11_lednop_ee_ce_u4_hw
 * m325pa_swio12_lednop_ee_ce_hw     m325pa_swio12_lednop_ee_ce_u4_hw  m3250_swio11_lednop_ee_ce_hw
 * m3250_swio11_lednop_ee_ce_u4_hw   m3250_swio12_lednop_ee_ce_hw      m3250_swio12_lednop_ee_ce_u4_hw
 * m3250a_swio11_lednop_ee_ce_hw     m3250a_swio11_lednop_ee_ce_u4_hw  m3250a_swio12_lednop_ee_ce_hw
 * m3250a_swio12_lednop_ee_ce_u4_hw  m3250p_swio11_lednop_ee_ce_hw     m3250p_swio11_lednop_ee_ce_u4_hw
 * m3250p_swio12_lednop_ee_ce_hw     m3250p_swio12_lednop_ee_ce_u4_hw  m3250pa_swio11_lednop_ee_ce_hw
 * m3250pa_swio11_lednop_ee_ce_u4_hw m3250pa_swio12_lednop_ee_ce_hw    m3250pa_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xec19827c602410c5, 0xd3728287dff4299f, 0xcdb40710fae2faa3, 0x886c2445f71258f3,
  0xc575c617fd47c25f, 0x3b5b9b7be678bb8d, 0x660f4af51e5652e5, 0x450298aca1fa8f83, 0xd185962291669d68,
  0x73abb73a51d484d7, 0xb1d79d3769111cdc, 0x1142f88e32b1aaf1, 0x32386f65b2e62e12, 0xad4b3b589e546c11,
  0x7738ce6283b5e5ca, 0xa5beaece75152a8d, 0xe910e6b8101395da, 0xd115e588695cbd2f, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6db1898ed, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xa8a792bf734332c3, 0x000000000280a353,
};

/*
 * m329_swio11_dual_pr               m329_swio11_dual_pr_u4            m329_swio12_dual
 * m329_swio12_dual_pr               m329_swio12_dual_pr_u4            m329a_swio11_dual
 * m329a_swio11_dual_pr              m329a_swio11_dual_pr_u4           m329a_swio12_dual
 * m329a_swio12_dual_pr              m329a_swio12_dual_pr_u4           m329p_swio11_dual
 * m329p_swio11_dual_pr              m329p_swio11_dual_pr_u4           m329p_swio12_dual
 * m329p_swio12_dual_pr              m329p_swio12_dual_pr_u4           m329pa_swio11_dual
 * m329pa_swio11_dual_pr             m329pa_swio11_dual_pr_u4          m329pa_swio12_dual
 * m329pa_swio12_dual_pr             m329pa_swio12_dual_pr_u4          m3290_swio11_dual
 * m3290_swio11_dual_pr              m3290_swio11_dual_pr_u4           m3290_swio12_dual
 * m3290_swio12_dual_pr              m3290_swio12_dual_pr_u4           m3290a_swio11_dual
 * m3290a_swio11_dual_pr             m3290a_swio11_dual_pr_u4          m3290a_swio12_dual
 * m3290a_swio12_dual_pr             m3290a_swio12_dual_pr_u4          m3290p_swio11_dual
 * m3290p_swio11_dual_pr             m3290p_swio11_dual_pr_u4          m3290p_swio12_dual
 * m3290p_swio12_dual_pr             m3290p_swio12_dual_pr_u4          m3290pa_swio11_dual
 * m3290pa_swio11_dual_pr            m3290pa_swio11_dual_pr_u4         m3290pa_swio12_dual
 * m3290pa_swio12_dual_pr            m3290pa_swio12_dual_pr_u4         m325_swio11_dual
 * m325_swio11_dual_pr               m325_swio11_dual_pr_u4            m325_swio12_dual
 * m325_swio12_dual_pr               m325_swio12_dual_pr_u4            m325a_swio11_dual
 * m325a_swio11_dual_pr              m325a_swio11_dual_pr_u4           m325a_swio12_dual
 * m325a_swio12_dual_pr              m325a_swio12_dual_pr_u4           m325p_swio11_dual
 * m325p_swio11_dual_pr              m325p_swio11_dual_pr_u4           m325p_swio12_dual
 * m325p_swio12_dual_pr              m325p_swio12_dual_pr_u4           m325pa_swio11_dual
 * m325pa_swio11_dual_pr             m325pa_swio11_dual_pr_u4          m325pa_swio12_dual
 * m325pa_swio12_dual_pr             m325pa_swio12_dual_pr_u4          m3250_swio11_dual
 * m3250_swio11_dual_pr              m3250_swio11_dual_pr_u4           m3250_swio12_dual
 * m3250_swio12_dual_pr              m3250_swio12_dual_pr_u4           m3250a_swio11_dual
 * m3250a_swio11_dual_pr             m3250a_swio11_dual_pr_u4          m3250a_swio12_dual
 * m3250a_swio12_dual_pr             m3250a_swio12_dual_pr_u4          m3250p_swio11_dual
 * m3250p_swio11_dual_pr             m3250p_swio11_dual_pr_u4          m3250p_swio12_dual
 * m3250p_swio12_dual_pr             m3250p_swio12_dual_pr_u4          m3250pa_swio11_dual
 * m3250pa_swio11_dual_pr            m3250pa_swio11_dual_pr_u4         m3250pa_swio12_dual
 * m3250pa_swio12_dual_pr            m3250pa_swio12_dual_pr_u4
 */
static const uint64_t ur_m329_swio11_dual[] = {
  0x23fbbbbb4486c541, 0x13b7e3af4e46d2e3, 0x17ddb83d3a85b4bf, 0xe2ff23b295f14adb, 0x59f16a015bab8c8f,
  0xd0eeb047f0d57a8c, 0x13e30120862dde4a, 0x5b40c894948548cc, 0xe20614306d230377, 0xe4ff32ba0cee9f12,
  0x8efe6c17d9c0a2cc, 0x508e489fc199537a, 0x3e144312bfcfdf04, 0x5ddeef9b8d7600dc, 0xd150865a11922195,
  0xdb94bffa039e135a, 0xee6bcc161bcaf212, 0x7477cb2d794128bf, 0xee38e9fc1ef7ea3f, 0x1398b01541e67261,
  0xc11d78033b2008d3, 0xcf6def1bea807fec, 0x7ceee2a4af9d40f2, 0x283b5e5caad67f15, 0xe75152a8d7738ce6,
  0x8101395daa5beaec, 0x8695cbd2fe910e6b, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36d8c62adec55516, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00149320e4dd1679,
};

/*
 * m329_swio12_dual_pr_ee            m329a_swio11_dual_pr_ee           m329a_swio12_dual_pr_ee
 * m329p_swio11_dual_pr_ee           m329p_swio12_dual_pr_ee           m329pa_swio11_dual_pr_ee
 * m329pa_swio12_dual_pr_ee          m3290_swio11_dual_pr_ee           m3290_swio12_dual_pr_ee
 * m3290a_swio11_dual_pr_ee          m3290a_swio12_dual_pr_ee          m3290p_swio11_dual_pr_ee
 * m3290p_swio12_dual_pr_ee          m3290pa_swio11_dual_pr_ee         m3290pa_swio12_dual_pr_ee
 * m325_swio11_dual_pr_ee            m325_swio12_dual_pr_ee            m325a_swio11_dual_pr_ee
 * m325a_swio12_dual_pr_ee           m325p_swio11_dual_pr_ee           m325p_swio12_dual_pr_ee
 * m325pa_swio11_dual_pr_ee          m325pa_swio12_dual_pr_ee          m3250_swio11_dual_pr_ee
 * m3250_swio12_dual_pr_ee           m3250a_swio11_dual_pr_ee          m3250a_swio12_dual_pr_ee
 * m3250p_swio11_dual_pr_ee          m3250p_swio12_dual_pr_ee          m3250pa_swio11_dual_pr_ee
 * m3250pa_swio12_dual_pr_ee
 */
static const uint64_t ur_m329_swio11_dual_pr_ee[] = {
  0x33d6dddddd435032, 0xf13b7e35342136ac, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd7b0cf5,
  0xabdb47faf7dd8e17, 0x02410c5bbc9e9cee, 0x22525217459827c6, 0x50c1b48c0ddd6d03, 0xcae833ba7c4b8818,
  0x60968e016a631ffc, 0x13f838ad37a8e4eb, 0x6257f9fbe08a11c9, 0xe6e5d0c01b87c288, 0x2d05f688655777bb,
  0xfa039e1307b8a843, 0x161bcaf212dbe9af, 0xfee9410b5fee6bcc, 0xdfa8f2bb75355ad1, 0x8af4dfa8f83660c3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xc7a33d4e7569760a, 0x36355ae875ea25d8, 0x2cc5c24228d291c4,
  0xaa3608fd6e1bd97d, 0xf9ddc549402c8a22, 0x5076bcb955acfe2a, 0xcea2a551aee719cc, 0x020272bb54b7d5d9,
  0x0d2b97a5fd221cd7, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d,
  0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c, 0xfb9a19961d252d9f, 0x064288be6e8b3c95,
};

/*
 * m329_swio12_dual_pr_ee_u4         m329a_swio11_dual_pr_ee_u4        m329a_swio12_dual_pr_ee_u4
 * m329p_swio11_dual_pr_ee_u4        m329p_swio12_dual_pr_ee_u4        m329pa_swio11_dual_pr_ee_u4
 * m329pa_swio12_dual_pr_ee_u4       m3290_swio11_dual_pr_ee_u4        m3290_swio12_dual_pr_ee_u4
 * m3290a_swio11_dual_pr_ee_u4       m3290a_swio12_dual_pr_ee_u4       m3290p_swio11_dual_pr_ee_u4
 * m3290p_swio12_dual_pr_ee_u4       m3290pa_swio11_dual_pr_ee_u4      m3290pa_swio12_dual_pr_ee_u4
 * m325_swio11_dual_pr_ee_u4         m325_swio12_dual_pr_ee_u4         m325a_swio11_dual_pr_ee_u4
 * m325a_swio12_dual_pr_ee_u4        m325p_swio11_dual_pr_ee_u4        m325p_swio12_dual_pr_ee_u4
 * m325pa_swio11_dual_pr_ee_u4       m325pa_swio12_dual_pr_ee_u4       m3250_swio11_dual_pr_ee_u4
 * m3250_swio12_dual_pr_ee_u4        m3250a_swio11_dual_pr_ee_u4       m3250a_swio12_dual_pr_ee_u4
 * m3250p_swio11_dual_pr_ee_u4       m3250p_swio12_dual_pr_ee_u4       m3250pa_swio11_dual_pr_ee_u4
 * m3250pa_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m329_swio11_dual_pr_ee_u4[] = {
  0x5b777768adbba0ae, 0xedf8d4d084dab0cf, 0xf34e72be816647c4, 0xb55de9afbf6d3da3, 0x71337af619eb2333,
  0x6eaf61f5dc2f0fae, 0x2dde4f4e777d7dfd, 0x0ba2cc13e3012086, 0x4606eeb681912929, 0xdd3e25c40c2860da,
  0x05a98c7ff32d0729, 0xb4dea393ad825a38, 0xef822847244fe0e2, 0x006e1f0a21895fe7, 0x21955ddeef9b9743,
  0x4c1ee2a10cb417da, 0xc84b6fa6bfe80e78, 0xb5ff8fc330586f2b, 0xb75355ad1fee9410, 0x8f83660c3dfa8f2b,
  0x9d68450ef8af4dfa, 0x84d7d18596229166, 0xe7569760ab8a9734, 0x875ea25d8c7a33d4, 0x228d291c436355ae,
  0xd6e1bd97d2cc5c24, 0x9402c8a22aa3608f, 0x955acfe2af9ddc54, 0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55,
  0x5fd221cd7020272b, 0x55a22bcb10d2b97a, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31,
  0xe6c25ccbe6db18c5, 0x6ec68b1be2e4d5c1, 0x1539fa9d599bf83f, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x74f257ee68665874, 0x000000ac9ec4ff23,
};

/*
 * m329_swio12_dual_pr_ce            m329a_swio11_dual_pr_ce           m329a_swio12_dual_pr_ce
 * m329p_swio11_dual_pr_ce           m329p_swio12_dual_pr_ce           m329pa_swio11_dual_pr_ce
 * m329pa_swio12_dual_pr_ce          m3290_swio11_dual_pr_ce           m3290_swio12_dual_pr_ce
 * m3290a_swio11_dual_pr_ce          m3290a_swio12_dual_pr_ce          m3290p_swio11_dual_pr_ce
 * m3290p_swio12_dual_pr_ce          m3290pa_swio11_dual_pr_ce         m3290pa_swio12_dual_pr_ce
 * m325_swio11_dual_pr_ce            m325_swio12_dual_pr_ce            m325a_swio11_dual_pr_ce
 * m325a_swio12_dual_pr_ce           m325p_swio11_dual_pr_ce           m325p_swio12_dual_pr_ce
 * m325pa_swio11_dual_pr_ce          m325pa_swio12_dual_pr_ce          m3250_swio11_dual_pr_ce
 * m3250_swio12_dual_pr_ce           m3250a_swio11_dual_pr_ce          m3250a_swio12_dual_pr_ce
 * m3250p_swio11_dual_pr_ce          m3250p_swio12_dual_pr_ce          m3250pa_swio11_dual_pr_ce
 * m3250pa_swio12_dual_pr_ce
 */
static const uint64_t ur_m329_swio11_dual_pr_ce[] = {
  0x6edddddec121a5fb, 0x4edf9e3fbb368a70, 0xfb755f362477707c, 0xbb69c89f55fd77a0, 0x995dfbf7ba538374,
  0x5dd2c8d759b42acc, 0xf8c048218b779262, 0xa0644a4a44463304, 0x030a18369181bbad, 0xff995d06774f8971,
  0x676c2391c0e0cdd5, 0x39227f072ba6f51f, 0x510c4aff3f7c1142, 0x7bbe6e29200370f8, 0x8432d00f68865577,
  0x9bffa039e1304f8a, 0x7982c3795e425b71, 0x2fabf9282707fdcd, 0x92c79e6da0384eae, 0x3e12fc4361222fb8,
  0x78bb8dc66fa547ea, 0x4709f3dcb19f52e6, 0x176fc71d3f83b5bd, 0xd90046989cc580a5, 0x5403ff6678ebc019,
  0x5f3a81e5adcf78df, 0x55acfe2af9ddc549, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551, 0xfd221cd7020272bb,
  0x5a22bcb10d2b97a5, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d,
  0x83bb8d165abc6e3c, 0x2861539fa9d599bf, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0xd247adb7459e4afd,
};

/*
 * m329_swio12_dual_pr_ce_u4         m329a_swio11_dual_pr_ce_u4        m329a_swio12_dual_pr_ce_u4
 * m329p_swio11_dual_pr_ce_u4        m329p_swio12_dual_pr_ce_u4        m329pa_swio11_dual_pr_ce_u4
 * m329pa_swio12_dual_pr_ce_u4       m3290_swio11_dual_pr_ce_u4        m3290_swio12_dual_pr_ce_u4
 * m3290a_swio11_dual_pr_ce_u4       m3290a_swio12_dual_pr_ce_u4       m3290p_swio11_dual_pr_ce_u4
 * m3290p_swio12_dual_pr_ce_u4       m3290pa_swio11_dual_pr_ce_u4      m3290pa_swio12_dual_pr_ce_u4
 * m325_swio11_dual_pr_ce_u4         m325_swio12_dual_pr_ce_u4         m325a_swio11_dual_pr_ce_u4
 * m325a_swio12_dual_pr_ce_u4        m325p_swio11_dual_pr_ce_u4        m325p_swio12_dual_pr_ce_u4
 * m325pa_swio11_dual_pr_ce_u4       m325pa_swio12_dual_pr_ce_u4       m3250_swio11_dual_pr_ce_u4
 * m3250_swio12_dual_pr_ce_u4        m3250a_swio11_dual_pr_ce_u4       m3250a_swio12_dual_pr_ce_u4
 * m3250p_swio11_dual_pr_ce_u4       m3250p_swio12_dual_pr_ce_u4       m3250pa_swio11_dual_pr_ce_u4
 * m3250pa_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m329_swio11_dual_pr_ce_u4[] = {
  0x4e4eddddda2432db, 0xf13b7e78fb1736ac, 0x4d7dd6c4eca38f4e, 0xe4ea666eb4b1272d, 0x674a3f738abf76c4,
  0xc968aee3822ac07c, 0xe9827c602410c5bb, 0xddd6d032252520eb, 0xc4b881850c1b48c0, 0x73456fccae833ba7,
  0xbd47cadb0df670d3, 0x04508e489fc19439, 0xdc3e144312bfcfdf, 0x955ddeef9b895000, 0x9c62a10cb4027a21,
  0x4b6f63fff4073c26, 0x7fb9af30586f2bc8, 0x29eb8bebb7e5046b, 0x8bee24b1e79b680e, 0x87fa8f84bf10d848,
  0xc38ccf1771b9d66c, 0x64f7a8f2fa7b9633, 0x580bb7d7c8e3a7f0, 0x5e45bb0f88c6f9cc, 0x928eae1ee39633c7,
  0x72ab59fc55f3bb8a, 0xa35dce3398a0ed79, 0x76a96fabb39d454a, 0x4bfa4439ae0404e5, 0x6ab44579621a572f,
  0xca6c59d01e7eb5cf, 0x8c10b4d5ceaf52c2, 0x69c6378ce88145f1, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x003490b36e8b3c95,
};

/*
 * m329_swio12_dual_pr_ee_ce         m329a_swio11_dual_pr_ee_ce        m329a_swio12_dual_pr_ee_ce
 * m329p_swio11_dual_pr_ee_ce        m329p_swio12_dual_pr_ee_ce        m329pa_swio11_dual_pr_ee_ce
 * m329pa_swio12_dual_pr_ee_ce       m3290_swio11_dual_pr_ee_ce        m3290_swio12_dual_pr_ee_ce
 * m3290a_swio11_dual_pr_ee_ce       m3290a_swio12_dual_pr_ee_ce       m3290p_swio11_dual_pr_ee_ce
 * m3290p_swio12_dual_pr_ee_ce       m3290pa_swio11_dual_pr_ee_ce      m3290pa_swio12_dual_pr_ee_ce
 * m325_swio11_dual_pr_ee_ce         m325_swio12_dual_pr_ee_ce         m325a_swio11_dual_pr_ee_ce
 * m325a_swio12_dual_pr_ee_ce        m325p_swio11_dual_pr_ee_ce        m325p_swio12_dual_pr_ee_ce
 * m325pa_swio11_dual_pr_ee_ce       m325pa_swio12_dual_pr_ee_ce       m3250_swio11_dual_pr_ee_ce
 * m3250_swio12_dual_pr_ee_ce        m3250a_swio11_dual_pr_ee_ce       m3250a_swio12_dual_pr_ee_ce
 * m3250p_swio11_dual_pr_ee_ce       m3250p_swio12_dual_pr_ee_ce       m3250pa_swio11_dual_pr_ee_ce
 * m3250pa_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m329_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0x6f13b7e3111f86d7, 0x7af7bb62f1aac33d, 0xf1ba4e56820f913f, 0xbebd77a9be4bf695,
  0xe78233a96453ab04, 0x602410c5bbc9c9ce, 0x644a4a41c939827c, 0x0a18369181bbada0, 0x995d06774f897103,
  0x3601a0e1a6a67f9f, 0x227f07d3f37a8fff, 0x0c4aff3f7c114239, 0x7cdcf3900370f851, 0x65a070d10caaeef7,
  0xff4073c267271508, 0x82c3795e425b7149, 0x3287283a6bfdcd79, 0x9e6da039a68effaa, 0x309cee3714939bff,
  0x795b0594ed656443, 0x3dea3e0d983ea3d4, 0x459a75a1140a62b5, 0xc752135f4616588a, 0xdbe8e5f1ceaedc70,
  0x2c6abc6c75ed6276, 0xf18b8484500a231f, 0x5c63914c8e1bd971, 0x556b3f8abe777152, 0x6bb9c673141daf2e,
  0xd52df57673a8a954, 0x7f488735c0809cae, 0x5688af2c434ae5e9, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5,
  0x6f62aa8b490538c6, 0x3612e65f36d8c4c7, 0xf83bb8d163ce1b8f, 0xc33d30ae4fdd599b, 0x0e9296cf8138cb25,
  0x37459e4afdcd0ccb, 0x00000000002609ce,
};

/*
 * m329_swio12_dual_pr_ee_ce_u4      m329a_swio11_dual_pr_ee_ce_u4     m329a_swio12_dual_pr_ee_ce_u4
 * m329p_swio11_dual_pr_ee_ce_u4     m329p_swio12_dual_pr_ee_ce_u4     m329pa_swio11_dual_pr_ee_ce_u4
 * m329pa_swio12_dual_pr_ee_ce_u4    m3290_swio11_dual_pr_ee_ce_u4     m3290_swio12_dual_pr_ee_ce_u4
 * m3290a_swio11_dual_pr_ee_ce_u4    m3290a_swio12_dual_pr_ee_ce_u4    m3290p_swio11_dual_pr_ee_ce_u4
 * m3290p_swio12_dual_pr_ee_ce_u4    m3290pa_swio11_dual_pr_ee_ce_u4   m3290pa_swio12_dual_pr_ee_ce_u4
 * m325_swio11_dual_pr_ee_ce_u4      m325_swio12_dual_pr_ee_ce_u4      m325a_swio11_dual_pr_ee_ce_u4
 * m325a_swio12_dual_pr_ee_ce_u4     m325p_swio11_dual_pr_ee_ce_u4     m325p_swio12_dual_pr_ee_ce_u4
 * m325pa_swio11_dual_pr_ee_ce_u4    m325pa_swio12_dual_pr_ee_ce_u4    m3250_swio11_dual_pr_ee_ce_u4
 * m3250_swio12_dual_pr_ee_ce_u4     m3250a_swio11_dual_pr_ee_ce_u4    m3250a_swio12_dual_pr_ee_ce_u4
 * m3250p_swio11_dual_pr_ee_ce_u4    m3250p_swio12_dual_pr_ee_ce_u4    m3250pa_swio11_dual_pr_ee_ce_u4
 * m3250pa_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio11_dual_pr_ee_ce_u4[] = {
  0xbeeeeed15b770668, 0x6fccc5fc26d157d8, 0x6a6bd5784339de27, 0xe2faf7683acadada, 0x7138abec5e713ada,
  0x399a0e087877d737, 0x6c4eeab8fb000352, 0x827c602410c5bbc9, 0x5b40c894948659b9, 0xe20614306d230377,
  0xb5f9968394ee9f12, 0x8ddb0ec1385e1cdc, 0x39227f06d7737a8f, 0x510c4aff3f7c1142, 0xf77cdc15400370f8,
  0x0865a11c910caaee, 0x95ff4073c26df715, 0x330586f2bc84b6f4, 0xa3275283787ff8fc, 0x79e6da4eef0ee2fa,
  0x2fc4361222fb892c, 0xe370551649fea3e1, 0xe94ed6e6e6e99e2e, 0xc1b307b7fd4795ca, 0xb422814c57befd47,
  0x6be8c2cb1148b34e, 0xf539d5db9828ea42, 0xf1b1d7a897631e8c, 0x121146948e21b1aa, 0x226470decbe9662e,
  0x15252cf2288aa8d8, 0xf2e556b3f8abe777, 0x9546bb9c673141da, 0xcaed52df57673a8a, 0x5e97f488735c0809,
  0x9ed5688af2c434ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x4c76f62aa8b49053, 0xe0f3612e65f36d8c,
  0x1fb763458df1726a, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0x91ba792bf734332c, 0x000000004004fc17,
};

/*
 * m329_swio12_dual_ee_hw            m329a_swio11_dual_ee_hw           m329a_swio12_dual_ee_hw
 * m329p_swio11_dual_ee_hw           m329p_swio12_dual_ee_hw           m329pa_swio11_dual_ee_hw
 * m329pa_swio12_dual_ee_hw          m3290_swio11_dual_ee_hw           m3290_swio12_dual_ee_hw
 * m3290a_swio11_dual_ee_hw          m3290a_swio12_dual_ee_hw          m3290p_swio11_dual_ee_hw
 * m3290p_swio12_dual_ee_hw          m3290pa_swio11_dual_ee_hw         m3290pa_swio12_dual_ee_hw
 * m325_swio11_dual_ee_hw            m325_swio12_dual_ee_hw            m325a_swio11_dual_ee_hw
 * m325a_swio12_dual_ee_hw           m325p_swio11_dual_ee_hw           m325p_swio12_dual_ee_hw
 * m325pa_swio11_dual_ee_hw          m325pa_swio12_dual_ee_hw          m3250_swio11_dual_ee_hw
 * m3250_swio12_dual_ee_hw           m3250a_swio11_dual_ee_hw          m3250a_swio12_dual_ee_hw
 * m3250p_swio11_dual_ee_hw          m3250p_swio12_dual_ee_hw          m3250pa_swio11_dual_ee_hw
 * m3250pa_swio12_dual_ee_hw
 */
static const uint64_t ur_m329_swio11_dual_ee_hw[] = {
  0xeb6eeee87ad0cf68, 0x9dbf1a9a109b5619, 0xf6e9ce57d02cc8f8, 0xcced577a6befdeb4, 0xeb9c4cdebd867ac8,
  0xcd1f53ad6ec70bc3, 0xc048218b7793d39d, 0x644a4a42e8b304f8, 0x0a18369181bbada0, 0x995d06774f897103,
  0x6c12d1c02d4c63ff, 0x227f0715a6f51c9d, 0x0c4aff3f7c114239, 0x7cdcba180370f851, 0x65a0bed10caaeef7,
  0xff4073c260f71508, 0x82c3795e425b7d35, 0x7fba5042d7ffa919, 0xf7ea3caedd4d56b4, 0xe2bd37ea3e0d9830,
  0x588a459a75a1143b, 0xae2a5cd2135f4616, 0x31e8cf539d5a5d82, 0x0d8d56ba1d7a8976, 0x4b3170908a34a471,
  0xaa8d823f5b86f65f, 0xbe777152500b2288, 0x141daf2e556b3f8a, 0x73a8a9546bb9c673, 0xc0809caed52df576,
  0x434ae5e97f488735, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6c63156f62aa8b,
  0x97ab8dc79b09732f, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x25c33d30ae4fc73d, 0xcb0e9296cf8138cb,
  0x48bea29e4afdcd0c, 0x00000000000002bb,
};

/*
 * m329_swio12_dual_ee_ce_hw         m329a_swio11_dual_ee_ce_hw        m329a_swio12_dual_ee_ce_hw
 * m329p_swio11_dual_ee_ce_hw        m329p_swio12_dual_ee_ce_hw        m329pa_swio11_dual_ee_ce_hw
 * m329pa_swio12_dual_ee_ce_hw       m3290_swio11_dual_ee_ce_hw        m3290_swio12_dual_ee_ce_hw
 * m3290a_swio11_dual_ee_ce_hw       m3290a_swio12_dual_ee_ce_hw       m3290p_swio11_dual_ee_ce_hw
 * m3290p_swio12_dual_ee_ce_hw       m3290pa_swio11_dual_ee_ce_hw      m3290pa_swio12_dual_ee_ce_hw
 * m325_swio11_dual_ee_ce_hw         m325_swio12_dual_ee_ce_hw         m325a_swio11_dual_ee_ce_hw
 * m325a_swio12_dual_ee_ce_hw        m325p_swio11_dual_ee_ce_hw        m325p_swio12_dual_ee_ce_hw
 * m325pa_swio11_dual_ee_ce_hw       m325pa_swio12_dual_ee_ce_hw       m3250_swio11_dual_ee_ce_hw
 * m3250_swio12_dual_ee_ce_hw        m3250a_swio11_dual_ee_ce_hw       m3250a_swio12_dual_ee_ce_hw
 * m3250p_swio11_dual_ee_ce_hw       m3250p_swio12_dual_ee_ce_hw       m3250pa_swio11_dual_ee_ce_hw
 * m3250pa_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m329_swio11_dual_ee_ce_hw[] = {
  0x924cdddddd43359b, 0xf13b7e311b043693, 0xe4f7475d3eced362, 0x7accf8673226b8ed, 0x66c9b537c953924c,
  0x70f0cc29ad75ebde, 0x30120862dde4b337, 0x322525232da4c13e, 0x850c1b48c0ddd6d0, 0xccae833ba7c4b881,
  0xb60ff0e188266bbf, 0x913f83ff937a8fa6, 0x86257f9fbe08a11c, 0xbe6e2e0801b87c28, 0x32d060a88655777b,
  0xffa039e134878a84, 0x82c3795e425b735b, 0x795a507107ffa919, 0x3cdb4073101dff54, 0x6139dc6e654341ff,
  0xf2b95d29dacac9ba, 0xdfa8f83660f6ffa8, 0x1669d68450298af7, 0x1d484d7d18596229, 0x63d19ea73abb7305,
  0x36355e363af512ec, 0x2cc5c24228d291c4, 0x551b044c8e1bd97d, 0x7ceee2a4a59e4511, 0x283b5e5caad67f15,
  0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6db1898edec55516, 0xcfec371e6c25ccbe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x01134c02a29e4afd,
};

/*
 * m329_swio12_dual_ee_ce_u4_hw      m329a_swio11_dual_ee_ce_u4_hw     m329a_swio12_dual_ee_ce_u4_hw
 * m329p_swio11_dual_ee_ce_u4_hw     m329p_swio12_dual_ee_ce_u4_hw     m329pa_swio11_dual_ee_ce_u4_hw
 * m329pa_swio12_dual_ee_ce_u4_hw    m3290_swio11_dual_ee_ce_u4_hw     m3290_swio12_dual_ee_ce_u4_hw
 * m3290a_swio11_dual_ee_ce_u4_hw    m3290a_swio12_dual_ee_ce_u4_hw    m3290p_swio11_dual_ee_ce_u4_hw
 * m3290p_swio12_dual_ee_ce_u4_hw    m3290pa_swio11_dual_ee_ce_u4_hw   m3290pa_swio12_dual_ee_ce_u4_hw
 * m325_swio11_dual_ee_ce_u4_hw      m325_swio12_dual_ee_ce_u4_hw      m325a_swio11_dual_ee_ce_u4_hw
 * m325a_swio12_dual_ee_ce_u4_hw     m325p_swio11_dual_ee_ce_u4_hw     m325p_swio12_dual_ee_ce_u4_hw
 * m325pa_swio11_dual_ee_ce_u4_hw    m325pa_swio12_dual_ee_ce_u4_hw    m3250_swio11_dual_ee_ce_u4_hw
 * m3250_swio12_dual_ee_ce_u4_hw     m3250a_swio11_dual_ee_ce_u4_hw    m3250a_swio12_dual_ee_ce_u4_hw
 * m3250p_swio11_dual_ee_ce_u4_hw    m3250p_swio12_dual_ee_ce_u4_hw    m3250pa_swio11_dual_ee_ce_u4_hw
 * m3250pa_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio11_dual_ee_ce_u4_hw[] = {
  0x17ddddda28d172df, 0xedf998bf84da2afb, 0xdd4d7aaf08673bc4, 0xadae2faf7683baca, 0x7377138abec5e713,
  0x0d5a1968e087877d, 0x62dde4b62776d6aa, 0x432cdcc13e301208, 0x9181bbada0644a4a, 0x774f8971030a1836,
  0x2f0e6e5afccb135a, 0xb9bd47c6ed87609c, 0xbe08a11c913f836b, 0x01b87c2886257f9f, 0x8655777bbe6e0aa0,
  0x36fb8a8432d08e48, 0x425b7a4affa039e1, 0x7fecf43982c3795e, 0x0ee2faa327528378, 0xb892c79e57d6072f,
  0xea3e12fc4361222f, 0x99e2ee3702c8cf5f, 0x795cae94ed6e6e6e, 0xefd47c1b307b7fd4, 0x8b34eb422814c57b,
  0x8ea426be8c2cb114, 0x31e8cf539d5db982, 0x1b1aaf1b1d7a8976, 0x9662e121146948e2, 0xaa8d8226470decbe,
  0xbe77715252cf2288, 0x141daf2e556b3f8a, 0x73a8a9546bb9c673, 0xc0809caed52df576, 0x434ae5e97f488735,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d8c4c76f62aa8b, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x075d58cd017d3c95,
};

/*
 * m329a_swio13_noled                m329p_swio13_noled                m329pa_swio13_noled
 * m3290_swio13_noled                m3290a_swio13_noled               m3290p_swio13_noled
 * m3290pa_swio13_noled              m325_swio13_noled                 m325a_swio13_noled
 * m325p_swio13_noled                m325pa_swio13_noled               m3250_swio13_noled
 * m3250a_swio13_noled               m3250p_swio13_noled               m3250pa_swio13_noled
 */
static const uint64_t ur_m329_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x120862dde4eec2f5, 0xdfa1e7cc7cc13e30, 0x4277cb749283b7ff, 0x5e38e9fc1f3dea3c, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0x6af7afa4439ace57,
  0x73daad115e588695, 0x4e02ca54fa779fad, 0xfdc5021696173a9d, 0xf36d38c6f19d1022, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001522e35c7cf25,
};

/*
 * m329_swio13_noled_pr_u4           m329a_swio13_noled_pr             m329a_swio13_noled_pr_u4
 * m329p_swio13_noled_pr             m329p_swio13_noled_pr_u4          m329pa_swio13_noled_pr
 * m329pa_swio13_noled_pr_u4         m3290_swio13_noled_pr             m3290_swio13_noled_pr_u4
 * m3290a_swio13_noled_pr            m3290a_swio13_noled_pr_u4         m3290p_swio13_noled_pr
 * m3290p_swio13_noled_pr_u4         m3290pa_swio13_noled_pr           m3290pa_swio13_noled_pr_u4
 * m325_swio13_noled_pr              m325_swio13_noled_pr_u4           m325a_swio13_noled_pr
 * m325a_swio13_noled_pr_u4          m325p_swio13_noled_pr             m325p_swio13_noled_pr_u4
 * m325pa_swio13_noled_pr            m325pa_swio13_noled_pr_u4         m3250_swio13_noled_pr
 * m3250_swio13_noled_pr_u4          m3250a_swio13_noled_pr            m3250a_swio13_noled_pr_u4
 * m3250p_swio13_noled_pr            m3250p_swio13_noled_pr_u4         m3250pa_swio13_noled_pr
 * m3250pa_swio13_noled_pr_u4
 */
static const uint64_t ur_m329_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0x7f2609f180904316, 0x83f282657f9e059f, 0xf07d07a8f2f8ef96, 0x16594d1ef4a8e3a7,
  0x1f3b4428f7b398b0, 0x49a5403ff6608ebd, 0x55abeb703cb3db11, 0xaee719cc5076bcb9, 0xdf5537d9cea2a551,
  0xf5f4887359caed52, 0x55a22bcb10d2ad5e, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x2adec5551696d138,
  0x83cd84b997cdb192, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xd1014f257ee68665, 0x0000000001f26a9a,
};

/*
 * m329a_swio13_noled_pr_ee          m329p_swio13_noled_pr_ee          m329pa_swio13_noled_pr_ee
 * m3290_swio13_noled_pr_ee          m3290a_swio13_noled_pr_ee         m3290p_swio13_noled_pr_ee
 * m3290pa_swio13_noled_pr_ee        m325_swio13_noled_pr_ee           m325a_swio13_noled_pr_ee
 * m325p_swio13_noled_pr_ee          m325pa_swio13_noled_pr_ee         m3250_swio13_noled_pr_ee
 * m3250a_swio13_noled_pr_ee         m3250p_swio13_noled_pr_ee         m3250pa_swio13_noled_pr_ee
 */
static const uint64_t ur_m329_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x609f180904316ef2, 0xa0c56ff3c0b3e4ea, 0x3caca5cd56b46fe4, 0x87ea3e0d98309fea,
  0x459a75a1143be2b2, 0x64d2135f4616588a, 0x3c90e756974acb8d, 0xaad743af3a6edd42, 0x5c24228f911c1fb1,
  0xb047eb70decb65cc, 0x2e556a0174982d51, 0x546bb9c673141daf, 0x54b7d54df673a8a9, 0x57bd7d221cd672bb,
  0x9ed5688af2c434ab, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x648ab7b15545a5b4, 0x6ae0f3612e65f36c,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x0000000275f18c40,
};

/*
 * m329a_swio13_noled_pr_ee_u4       m329p_swio13_noled_pr_ee_u4       m329pa_swio13_noled_pr_ee_u4
 * m3290_swio13_noled_pr_ee_u4       m3290a_swio13_noled_pr_ee_u4      m3290p_swio13_noled_pr_ee_u4
 * m3290pa_swio13_noled_pr_ee_u4     m325_swio13_noled_pr_ee_u4        m325a_swio13_noled_pr_ee_u4
 * m325p_swio13_noled_pr_ee_u4       m325pa_swio13_noled_pr_ee_u4      m3250_swio13_noled_pr_ee_u4
 * m3250a_swio13_noled_pr_ee_u4      m3250p_swio13_noled_pr_ee_u4      m3250pa_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m329_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x69827c602410c5bb, 0x5283beffcf02cfc5, 0xa8f2b74b355ad199, 0x721fd47c1b306807,
  0x148b34eb422877c5, 0x2899a426be8c2cb1, 0x28def39d5a5ea52e, 0x355ae875eba9bb4e, 0x170908a16ba3b876,
  0x8e93eb70decb8723, 0x673141daf2e556ab, 0xdf673a8a9546bb9c, 0x21cd672bb54b7d54, 0xaf2c434ab57bd7d2,
  0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x12e65f36c648ab7b, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000013ae59c405,
};

/*
 * m329_swio13_noled_pr_ce_u4        m329a_swio13_noled_pr_ce          m329a_swio13_noled_pr_ce_u4
 * m329p_swio13_noled_pr_ce          m329p_swio13_noled_pr_ce_u4       m329pa_swio13_noled_pr_ce
 * m329pa_swio13_noled_pr_ce_u4      m3290_swio13_noled_pr_ce          m3290_swio13_noled_pr_ce_u4
 * m3290a_swio13_noled_pr_ce         m3290a_swio13_noled_pr_ce_u4      m3290p_swio13_noled_pr_ce
 * m3290p_swio13_noled_pr_ce_u4      m3290pa_swio13_noled_pr_ce        m3290pa_swio13_noled_pr_ce_u4
 * m325_swio13_noled_pr_ce           m325_swio13_noled_pr_ce_u4        m325a_swio13_noled_pr_ce
 * m325a_swio13_noled_pr_ce_u4       m325p_swio13_noled_pr_ce          m325p_swio13_noled_pr_ce_u4
 * m325pa_swio13_noled_pr_ce         m325pa_swio13_noled_pr_ce_u4      m3250_swio13_noled_pr_ce
 * m3250_swio13_noled_pr_ce_u4       m3250a_swio13_noled_pr_ce         m3250a_swio13_noled_pr_ce_u4
 * m3250p_swio13_noled_pr_ce         m3250p_swio13_noled_pr_ce_u4      m3250pa_swio13_noled_pr_ce
 * m3250pa_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m329_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x16ef27747b16a8e3, 0x3fb3a609f1809043, 0xd76fca0caeff3c0b, 0x63cf00953bdf7717, 0x097e21b09117dc49,
  0x2ee372e4492bf51f, 0x3cdd3dcb19fac99e, 0xa9c638e9fc193dea, 0xb4428f7b398b014c, 0x5403ff6678ebd1f3,
  0xafadc0f2d6e1149a, 0x9c673141daf2e556, 0x54df673a8a9546bb, 0xd221cd672bb54b7d, 0x88af2c434ab57bd7,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6c25ccbe6d8c863b, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x0a792bf734332c3a, 0x00000001bae9a088,
};

/*
 * m329a_swio13_noled_pr_ee_ce       m329p_swio13_noled_pr_ee_ce       m329pa_swio13_noled_pr_ee_ce
 * m3290_swio13_noled_pr_ee_ce       m3290a_swio13_noled_pr_ee_ce      m3290p_swio13_noled_pr_ee_ce
 * m3290pa_swio13_noled_pr_ee_ce     m325_swio13_noled_pr_ee_ce        m325a_swio13_noled_pr_ee_ce
 * m325p_swio13_noled_pr_ee_ce       m325pa_swio13_noled_pr_ee_ce      m3250_swio13_noled_pr_ee_ce
 * m3250a_swio13_noled_pr_ee_ce      m3250p_swio13_noled_pr_ee_ce      m3250pa_swio13_noled_pr_ee_ce
 */
static const uint64_t ur_m329_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0x4d4c13e30120862d, 0x4b941ff9fe78167f, 0x00953bff877fd519, 0x4e771b9950d07fcf,
  0xace1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xcd3ad08a05315975, 0xa909afa30b2c4522, 0x423c90e7576e4ac3,
  0x6355e363af3a6edd, 0x98b848451f22383f, 0x51b044c8e1bd96cb, 0xaf2e556a59f4982d, 0xa9546bb9c673141d,
  0xbb54b7d54df673a8, 0xab57bd7d221cd672, 0xeb9ed5688af2c434, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b,
  0xd8c863b7b15545a5, 0xe2e4d5c6c25ccbe6, 0xd598f207e50d163c, 0x8cb25c33d30ae4fd, 0x0ccb0e9296cb2513,
  0x31e5e2029e4afdcd, 0x000000000000014d,
};

/*
 * m329a_swio13_noled_pr_ee_ce_u4    m329p_swio13_noled_pr_ee_ce_u4    m329pa_swio13_noled_pr_ee_ce_u4
 * m3290_swio13_noled_pr_ee_ce_u4    m3290a_swio13_noled_pr_ee_ce_u4   m3290p_swio13_noled_pr_ee_ce_u4
 * m3290pa_swio13_noled_pr_ee_ce_u4  m325_swio13_noled_pr_ee_ce_u4     m325a_swio13_noled_pr_ee_ce_u4
 * m325p_swio13_noled_pr_ee_ce_u4    m325pa_swio13_noled_pr_ee_ce_u4   m3250_swio13_noled_pr_ee_ce_u4
 * m3250a_swio13_noled_pr_ee_ce_u4   m3250p_swio13_noled_pr_ee_ce_u4   m3250pa_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x374c13e30120862d, 0x74a0b5dffd8aecfe, 0x6d01c6bbb8bea8f6, 0x1b09117dc4963cf3,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x9c673141daf2e556, 0x54df673a8a9546bb, 0xd221cd672bb54b7d, 0x88af2c434ab57bd7, 0x869de7c5aeb9ed56,
  0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6c25ccbe6d8c863b, 0xf83bb8d1637c371e, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x71ba2cf257ee6866,
  0x000000000009f832,
};

/*
 * m329a_swio13_noled_ee_hw          m329p_swio13_noled_ee_hw          m329pa_swio13_noled_ee_hw
 * m3290_swio13_noled_ee_hw          m3290a_swio13_noled_ee_hw         m3290p_swio13_noled_ee_hw
 * m3290pa_swio13_noled_ee_hw        m325_swio13_noled_ee_hw           m325a_swio13_noled_ee_hw
 * m325p_swio13_noled_ee_hw          m325pa_swio13_noled_ee_hw         m3250_swio13_noled_ee_hw
 * m3250a_swio13_noled_ee_hw         m3250p_swio13_noled_ee_hw         m3250pa_swio13_noled_ee_hw
 */
static const uint64_t ur_m329_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x2dde4ee80a499a73, 0x7c9d4c13e3012086, 0xa37f25062b7fd0a6, 0x84ff51e5652e6ab5, 0xdf15943f51f06cc1,
  0xb2c4522cd3ad08a1, 0x565c6b26909afa30, 0x76ea11e4873ab4ba, 0xe0fd8d56ba1d79d3, 0x5b2e62e121147c88,
  0xc16a8d823f5b86f6, 0xa0ed7972ab500ba4, 0x9d454aa35dce3398, 0xb395daa5beaa6fb3, 0x21a55abdebe910e6,
  0xe2d75cf6ab445796, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x2f9b632455bd8aaa, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000002dffc93a29e,
};

/*
 * m329_swio13_noled_ee_ce_u4_hw     m329a_swio13_noled_ee_ce_hw       m329a_swio13_noled_ee_ce_u4_hw
 * m329p_swio13_noled_ee_ce_hw       m329p_swio13_noled_ee_ce_u4_hw    m329pa_swio13_noled_ee_ce_hw
 * m329pa_swio13_noled_ee_ce_u4_hw   m3290_swio13_noled_ee_ce_hw       m3290_swio13_noled_ee_ce_u4_hw
 * m3290a_swio13_noled_ee_ce_hw      m3290a_swio13_noled_ee_ce_u4_hw   m3290p_swio13_noled_ee_ce_hw
 * m3290p_swio13_noled_ee_ce_u4_hw   m3290pa_swio13_noled_ee_ce_hw     m3290pa_swio13_noled_ee_ce_u4_hw
 * m325_swio13_noled_ee_ce_hw        m325_swio13_noled_ee_ce_u4_hw     m325a_swio13_noled_ee_ce_hw
 * m325a_swio13_noled_ee_ce_u4_hw    m325p_swio13_noled_ee_ce_hw       m325p_swio13_noled_ee_ce_u4_hw
 * m325pa_swio13_noled_ee_ce_hw      m325pa_swio13_noled_ee_ce_u4_hw   m3250_swio13_noled_ee_ce_hw
 * m3250_swio13_noled_ee_ce_u4_hw    m3250a_swio13_noled_ee_ce_hw      m3250a_swio13_noled_ee_ce_u4_hw
 * m3250p_swio13_noled_ee_ce_hw      m3250p_swio13_noled_ee_ce_u4_hw   m3250pa_swio13_noled_ee_ce_hw
 * m3250pa_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0x16ef27777ec2da9a, 0x7f1ba609f1809043, 0x8f674a0b5dffd0a6, 0xcf36d01c6bbb8bea, 0x7e21b09117dc4963,
  0x373907575ff51f09, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0xd7738ce6283b5e5c, 0x6faa9bece75152a8, 0x7afa4439ace576a9, 0xaad115e5886956af, 0x94f0d3bcf8b5d73d,
  0x6378ce8810775362, 0xc76f62aa8b4b689c, 0xe3cd84b997cdb190, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x864e514f257ee686, 0x0000000000000280,
};

/*
 * m329a_swio13_lednop               m329p_swio13_lednop               m329pa_swio13_lednop
 * m3290_swio13_lednop               m3290a_swio13_lednop              m3290p_swio13_lednop
 * m3290pa_swio13_lednop             m325_swio13_lednop                m325a_swio13_lednop
 * m325p_swio13_lednop               m325pa_swio13_lednop              m3250_swio13_lednop
 * m3250a_swio13_lednop              m3250p_swio13_lednop              m3250pa_swio13_lednop
 */
static const uint64_t ur_m329_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0904316ef2776c7b, 0xefd0f3f01a609f18, 0x243be5ba49410f7f, 0x631c74fe0f9ef51f, 0xa4398b016f74dd42,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0xa551aee719cc5076, 0xed52df5537d9cea2, 0x97f488735c0809ca,
  0x6ab44579621a5724, 0xb5e5380b9d01e5cf, 0xd14085a561130bd4, 0x6da718de33a20517, 0x4fcfec376c25ccbe,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x00549f5eb8f9e4af,
};

/*
 * m329_swio13_lednop_pr_u4          m329a_swio13_lednop_pr            m329a_swio13_lednop_pr_u4
 * m329p_swio13_lednop_pr            m329p_swio13_lednop_pr_u4         m329pa_swio13_lednop_pr
 * m329pa_swio13_lednop_pr_u4        m3290_swio13_lednop_pr            m3290_swio13_lednop_pr_u4
 * m3290a_swio13_lednop_pr           m3290a_swio13_lednop_pr_u4        m3290p_swio13_lednop_pr
 * m3290p_swio13_lednop_pr_u4        m3290pa_swio13_lednop_pr          m3290pa_swio13_lednop_pr_u4
 * m325_swio13_lednop_pr             m325_swio13_lednop_pr_u4          m325a_swio13_lednop_pr
 * m325a_swio13_lednop_pr_u4         m325p_swio13_lednop_pr            m325p_swio13_lednop_pr_u4
 * m325pa_swio13_lednop_pr           m325pa_swio13_lednop_pr_u4        m3250_swio13_lednop_pr
 * m3250_swio13_lednop_pr_u4         m3250a_swio13_lednop_pr           m3250a_swio13_lednop_pr_u4
 * m3250p_swio13_lednop_pr           m3250p_swio13_lednop_pr_u4        m3250pa_swio13_lednop_pr
 * m3250pa_swio13_lednop_pr_u4
 */
static const uint64_t ur_m329_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xa95304f8c048218b, 0x07e504c7ff9e059f, 0xf07d07a8fa51df2d, 0x2cb29a0304f8e3a7,
  0x3e765f11c6473160, 0xb86a807fecc11d7a, 0xad6e1c81e59ed8df, 0x7738ce6283b5e5ca, 0xfaa9bece75152a8d,
  0x439ae0404e576a96, 0x2bcb10d2b924bfa4, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x5ccbe6da05455bd8, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000f93fea8880a7,
};

/*
 * m329a_swio13_lednop_pr_ee         m329p_swio13_lednop_pr_ee         m329pa_swio13_lednop_pr_ee
 * m3290_swio13_lednop_pr_ee         m3290a_swio13_lednop_pr_ee        m3290p_swio13_lednop_pr_ee
 * m3290pa_swio13_lednop_pr_ee       m325_swio13_lednop_pr_ee          m325a_swio13_lednop_pr_ee
 * m325p_swio13_lednop_pr_ee         m325pa_swio13_lednop_pr_ee        m3250_swio13_lednop_pr_ee
 * m3250a_swio13_lednop_pr_ee        m3250p_swio13_lednop_pr_ee        m3250pa_swio13_lednop_pr_ee
 */
static const uint64_t ur_m329_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0x9827c602410c5bbc, 0x504e0ff9e059fa1f, 0x1e56a7a6ab5a37f2, 0x04f51f06cc184ff5,
  0x22cd3ad08a1df15e, 0xb26909afa30b2c45, 0x182873ab4bc875c6, 0xd56ba1d79d376ee9, 0x2e121144dc8f22d8,
  0xd823f5b86f65b2e6, 0xcb955a80422934a8, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0x7f488735c0809cae,
  0xab44579621a57249, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0xcd84b997cdb40a8a,
  0x2868b2d5e5c9ab83, 0x0a9cfd4eacc7903f, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6,
  0xf8431014f257ee68, 0x000000000000013a,
};

/*
 * m329a_swio13_lednop_pr_ee_u4      m329p_swio13_lednop_pr_ee_u4      m329pa_swio13_lednop_pr_ee_u4
 * m3290_swio13_lednop_pr_ee_u4      m3290a_swio13_lednop_pr_ee_u4     m3290p_swio13_lednop_pr_ee_u4
 * m3290pa_swio13_lednop_pr_ee_u4    m325_swio13_lednop_pr_ee_u4       m325a_swio13_lednop_pr_ee_u4
 * m325p_swio13_lednop_pr_ee_u4      m325pa_swio13_lednop_pr_ee_u4     m3250_swio13_lednop_pr_ee_u4
 * m3250a_swio13_lednop_pr_ee_u4     m3250p_swio13_lednop_pr_ee_u4     m3250pa_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x5bbc9dd1ec5aa38c, 0xfa1f9827c602410c, 0x332a504e0ff9e059, 0x00f51e5670e6ab5a, 0xf8adc9fa8f83660d,
  0x962291669d68450e, 0xb5c5133484d7d185, 0x65f11c4273ab4baf, 0x16c6ab5d0ebd7537, 0x723170908a06fa31,
  0xd570b3feb70decb8, 0x738ce6283b5e5caa, 0xaa9bece75152a8d7, 0x39ae0404e576a96f, 0xbcb10d2b924bfa44,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xe33a204e7d14085a, 0xe6c25ccbe6da718d, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x80a792bf734332c3, 0x0000000013ae9a08,
};

/*
 * m329a_swio13_lednop_pr_ce         m329p_swio13_lednop_pr_ce         m329pa_swio13_lednop_pr_ce
 * m3290_swio13_lednop_pr_ce         m3290a_swio13_lednop_pr_ce        m3290p_swio13_lednop_pr_ce
 * m3290pa_swio13_lednop_pr_ce       m325_swio13_lednop_pr_ce          m325a_swio13_lednop_pr_ce
 * m325p_swio13_lednop_pr_ce         m325pa_swio13_lednop_pr_ce        m3250_swio13_lednop_pr_ce
 * m3250a_swio13_lednop_pr_ce        m3250p_swio13_lednop_pr_ce        m3250pa_swio13_lednop_pr_ce
 */
static const uint64_t ur_m329_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0xdde4eea0a4e57042, 0xc6b4c13e30120862, 0xedf941d37fe78167, 0x79e012a77b3ae2fa, 0x2fc4361222fb892c,
  0xdc6e2545c8fea3e1, 0x9c67b9633f5933c5, 0x7ac71d3f8327bd47, 0xbe238c8e62c0531e, 0x00ffd99e3af47cec,
  0x0e40f2d6e1bf70d5, 0x673141daf2e556b7, 0xdf673a8a9546bb9c, 0x7020272bb54b7d54, 0x88695c925fd221cd,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xe2e4d5c1e6c25ccb,
  0x5663c81f943459d3, 0xf989fca1854e7ea7, 0xf04d0f327f8b9c65, 0x70cf4c2b93f1cf7f, 0xc3a4a5b3e04e32c9,
  0xe880a792bf734332, 0x00000000000dd7e9,
};

/*
 * m329a_swio13_lednop_pr_ce_u4      m329p_swio13_lednop_pr_ce_u4      m329pa_swio13_lednop_pr_ce_u4
 * m3290_swio13_lednop_pr_ce_u4      m3290a_swio13_lednop_pr_ce_u4     m3290p_swio13_lednop_pr_ce_u4
 * m3290pa_swio13_lednop_pr_ce_u4    m325_swio13_lednop_pr_ce_u4       m325a_swio13_lednop_pr_ce_u4
 * m325p_swio13_lednop_pr_ce_u4      m325pa_swio13_lednop_pr_ce_u4     m3250_swio13_lednop_pr_ce_u4
 * m3250a_swio13_lednop_pr_ce_u4     m3250p_swio13_lednop_pr_ce_u4     m3250pa_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x16ef277505272e9c, 0x3f6ea609f1809043, 0xea7aca0e04ff3c0b, 0xb1e7804a9de56b8b, 0x84bf10d8488bee24,
  0x1771b8951723fa8f, 0x7c927b9633f19ccf, 0x8148e3a7f0621fd4, 0xcf7a3b58e62c05ee, 0x45dc72c678ebc5ce,
  0xcc5076bcb955a8e8, 0xd9cea2a551aee719, 0x0809caed52df5537, 0x1a572497f488735c, 0xad75cf6ab4457962,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xd7ab2a2029e4afdc, 0x000000000000000d,
};

/*
 * m329a_swio13_lednop_pr_ee_ce      m329p_swio13_lednop_pr_ee_ce      m329pa_swio13_lednop_pr_ee_ce
 * m3290_swio13_lednop_pr_ee_ce      m3290a_swio13_lednop_pr_ee_ce     m3290p_swio13_lednop_pr_ee_ce
 * m3290pa_swio13_lednop_pr_ee_ce    m325_swio13_lednop_pr_ee_ce       m325a_swio13_lednop_pr_ee_ce
 * m325p_swio13_lednop_pr_ee_ce      m325pa_swio13_lednop_pr_ee_ce     m3250_swio13_lednop_pr_ee_ce
 * m3250a_swio13_lednop_pr_ee_ce     m3250p_swio13_lednop_pr_ee_ce     m3250pa_swio13_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xb5b9827c602410c5, 0xa5ca0a6dff9e059f, 0x00953b4db3bfea8c, 0x4e771b8a49cdffcf,
  0xaca1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xcd3ad08a05315b05, 0xa909afa30b2c4522, 0xd23050e7576e90e3,
  0x6355e363af3a6edd, 0x98b8484513723c8b, 0x51b044c8e1bd96cb, 0xd7972ab52cc45269, 0x54aa35dce3398a0e,
  0x5daa5beaa6fb39d4, 0x92fe910e6b810139, 0xed5688af2c434ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0xae3612e65f36d028, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0x1014f257ee686658, 0x0000000000a69e37,
};

/*
 * m329a_swio13_lednop_pr_ee_ce_u4   m329p_swio13_lednop_pr_ee_ce_u4   m329pa_swio13_lednop_pr_ee_ce_u4
 * m3290_swio13_lednop_pr_ee_ce_u4   m3290a_swio13_lednop_pr_ee_ce_u4  m3290p_swio13_lednop_pr_ee_ce_u4
 * m3290pa_swio13_lednop_pr_ee_ce_u4 m325_swio13_lednop_pr_ee_ce_u4    m325a_swio13_lednop_pr_ee_ce_u4
 * m325p_swio13_lednop_pr_ee_ce_u4   m325pa_swio13_lednop_pr_ee_ce_u4  m3250_swio13_lednop_pr_ee_ce_u4
 * m3250a_swio13_lednop_pr_ee_ce_u4  m3250p_swio13_lednop_pr_ee_ce_u4  m3250pa_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x6b7304f8c048218b, 0xce941149ff62bb3e, 0x36d01c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xb9c673141daf2e55, 0xd54df673a8a9546b, 0x1cd7020272bb54b7, 0x5e588695c925fd22, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x2cf257ee68665874,
  0x00000013f01e4dba,
};

/*
 * m329a_swio13_lednop_ee_hw         m329p_swio13_lednop_ee_hw         m329pa_swio13_lednop_ee_hw
 * m3290_swio13_lednop_ee_hw         m3290a_swio13_lednop_ee_hw        m3290p_swio13_lednop_ee_hw
 * m3290pa_swio13_lednop_ee_hw       m325_swio13_lednop_ee_hw          m325a_swio13_lednop_ee_hw
 * m325p_swio13_lednop_ee_hw         m325pa_swio13_lednop_ee_hw        m3250_swio13_lednop_ee_hw
 * m3250a_swio13_lednop_ee_hw        m3250p_swio13_lednop_ee_hw        m3250pa_swio13_lednop_ee_hw
 */
static const uint64_t ur_m329_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x8b7793ba76821e96, 0x3f43f304f8c04821, 0xd1bf9282707fe853, 0xc27fa8f2b53d355a, 0xef8af027a8f83660,
  0x5962291669d68450, 0x43ae3593484d7d18, 0xbb7748c1439d5a5e, 0x7916c6ab5d0ebce9, 0x2d973170908a26e4,
  0x49a546c11fadc37b, 0x283b5e5caad40211, 0xe75152a8d7738ce6, 0x04e576a96faa9bec, 0x2b924bfa4439ae04,
  0xbae7b55a22bcb10d, 0x417296be74078e56, 0x14e31bc67440842a, 0xa05455bd8aaa2d24, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0b7e6a728a792bf7,
};

/*
 * m329_swio13_lednop_ee_ce_u4_hw    m329a_swio13_lednop_ee_ce_hw      m329a_swio13_lednop_ee_ce_u4_hw
 * m329p_swio13_lednop_ee_ce_hw      m329p_swio13_lednop_ee_ce_u4_hw   m329pa_swio13_lednop_ee_ce_hw
 * m329pa_swio13_lednop_ee_ce_u4_hw  m3290_swio13_lednop_ee_ce_hw      m3290_swio13_lednop_ee_ce_u4_hw
 * m3290a_swio13_lednop_ee_ce_hw     m3290a_swio13_lednop_ee_ce_u4_hw  m3290p_swio13_lednop_ee_ce_hw
 * m3290p_swio13_lednop_ee_ce_u4_hw  m3290pa_swio13_lednop_ee_ce_hw    m3290pa_swio13_lednop_ee_ce_u4_hw
 * m325_swio13_lednop_ee_ce_hw       m325_swio13_lednop_ee_ce_u4_hw    m325a_swio13_lednop_ee_ce_hw
 * m325a_swio13_lednop_ee_ce_u4_hw   m325p_swio13_lednop_ee_ce_hw      m325p_swio13_lednop_ee_ce_u4_hw
 * m325pa_swio13_lednop_ee_ce_hw     m325pa_swio13_lednop_ee_ce_u4_hw  m3250_swio13_lednop_ee_ce_hw
 * m3250_swio13_lednop_ee_ce_u4_hw   m3250a_swio13_lednop_ee_ce_hw     m3250a_swio13_lednop_ee_ce_u4_hw
 * m3250p_swio13_lednop_ee_ce_hw     m3250p_swio13_lednop_ee_ce_u4_hw  m3250pa_swio13_lednop_ee_ce_hw
 * m3250pa_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x5bbc9dd75bae3b5d, 0xf35b9827c602410c, 0x1ece941149ff4299, 0xcf36d01c149717d5, 0x7e21b09117dc4963,
  0x8dcf39753bf51f09, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x1aee719cc5076bcb, 0x2df5537d9cea2a55, 0x488735c0809caed5, 0x44579621a572497f, 0xce80f1cad75cf6ab,
  0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b681463b7, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000000a020793,
};

/*
 * m329_swio13_dual_pr               m329_swio13_dual_pr_u4            m329a_swio13_dual
 * m329a_swio13_dual_pr              m329a_swio13_dual_pr_u4           m329p_swio13_dual
 * m329p_swio13_dual_pr              m329p_swio13_dual_pr_u4           m329pa_swio13_dual
 * m329pa_swio13_dual_pr             m329pa_swio13_dual_pr_u4          m3290_swio13_dual
 * m3290_swio13_dual_pr              m3290_swio13_dual_pr_u4           m3290a_swio13_dual
 * m3290a_swio13_dual_pr             m3290a_swio13_dual_pr_u4          m3290p_swio13_dual
 * m3290p_swio13_dual_pr             m3290p_swio13_dual_pr_u4          m3290pa_swio13_dual
 * m3290pa_swio13_dual_pr            m3290pa_swio13_dual_pr_u4         m325_swio13_dual
 * m325_swio13_dual_pr               m325_swio13_dual_pr_u4            m325a_swio13_dual
 * m325a_swio13_dual_pr              m325a_swio13_dual_pr_u4           m325p_swio13_dual
 * m325p_swio13_dual_pr              m325p_swio13_dual_pr_u4           m325pa_swio13_dual
 * m325pa_swio13_dual_pr             m325pa_swio13_dual_pr_u4          m3250_swio13_dual
 * m3250_swio13_dual_pr              m3250_swio13_dual_pr_u4           m3250a_swio13_dual
 * m3250a_swio13_dual_pr             m3250a_swio13_dual_pr_u4          m3250p_swio13_dual
 * m3250p_swio13_dual_pr             m3250p_swio13_dual_pr_u4          m3250pa_swio13_dual
 * m3250pa_swio13_dual_pr            m3250pa_swio13_dual_pr_u4
 */
static const uint64_t ur_m329_swio13_dual[] = {
  0xa7bbbbbb44869a4e, 0x7e276fc75e10cdaf, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b77e99,
  0x2b43bb8fea3151f1, 0x304f8c048218b779, 0xdd6d032252522e87, 0x4b881850c1b48c0d, 0x3393fccae833ba7c,
  0xea3bf9b05f67028b, 0x114239227f06654d, 0x70f8510c4aff3f7c, 0x2abbbddf37200003, 0xb5a2a10cb4232443,
  0x25b7287ff4073c26, 0xbfdcd7982c3795e4, 0x7dbe77cb3df283fb, 0x47b8e3a7f0707fd4, 0x884e62c05507992b,
  0xb30475e00ceda523, 0xe59eda63192a01ff, 0x157ceee2a4b81281, 0xe6283b5e5caad67f, 0xece75152a8d7738c,
  0x0404e576a96faa9b, 0x0d2b924bfa4439ae, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084,
  0x6da05455bd8aaa2d, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x002927bc15ba2cf2,
};

/*
 * m329a_swio13_dual_pr_ee           m329p_swio13_dual_pr_ee           m329pa_swio13_dual_pr_ee
 * m3290_swio13_dual_pr_ee           m3290a_swio13_dual_pr_ee          m3290p_swio13_dual_pr_ee
 * m3290pa_swio13_dual_pr_ee         m325_swio13_dual_pr_ee            m325a_swio13_dual_pr_ee
 * m325p_swio13_dual_pr_ee           m325pa_swio13_dual_pr_ee          m3250_swio13_dual_pr_ee
 * m3250a_swio13_dual_pr_ee          m3250p_swio13_dual_pr_ee          m3250pa_swio13_dual_pr_ee
 */
static const uint64_t ur_m329_swio13_dual_pr_ee[] = {
  0x00addddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0x4f59198f6d9beec7, 0xf700faabc99bd701,
  0xe772e2fbb0af7aca, 0x3e30120862dde4f4, 0x6819129290e9d4c1, 0x40c2860da4606eeb, 0xffe657419dd3e25c,
  0x275b04b4700b5318, 0x8e489fc1c569bd47, 0x144312bfcfdf0450, 0xbddf373bac00dc3e, 0x4219682fb4432abb,
  0xedffd01cf0983dc5, 0xbcc161bcaf212dbc, 0x5a3727283d3ffee6, 0x1c7bf51e57a6e6ab, 0x1df15ecef51f06cc,
  0x0b2c4522cd3ad08a, 0xa797152e6909afa3, 0x5d9fc47d41cead2e, 0x1fc96355ae875ea2, 0x97d2cc5c242283d5,
  0x9bdaa3608fd6e1bd, 0xf157ceee2a4a010f, 0xce6283b5e5caad67, 0xbece75152a8d7738, 0xe0404e576a96faa9,
  0x10d2b924bfa4439a, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2,
  0x2c79c371e6c25ccb, 0xc9fbab337f07771a, 0xf0271964b867a615, 0x5fb9a19961d252d9, 0x00c852c7f6e8b3c9,
};

/*
 * m329a_swio13_dual_pr_ee_u4        m329p_swio13_dual_pr_ee_u4        m329pa_swio13_dual_pr_ee_u4
 * m3290_swio13_dual_pr_ee_u4        m3290a_swio13_dual_pr_ee_u4       m3290p_swio13_dual_pr_ee_u4
 * m3290pa_swio13_dual_pr_ee_u4      m325_swio13_dual_pr_ee_u4         m325a_swio13_dual_pr_ee_u4
 * m325p_swio13_dual_pr_ee_u4        m325pa_swio13_dual_pr_ee_u4       m3250_swio13_dual_pr_ee_u4
 * m3250a_swio13_dual_pr_ee_u4       m3250p_swio13_dual_pr_ee_u4       m3250pa_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m329_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b402, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5c053d64,
  0x41f5d717d35bdc03, 0x10c5bbc9e9cee1a7, 0x2521d3a9827c6024, 0x1b48c0ddd6d03225, 0xe53ba7c4b881850c,
  0x4700b5318ffe65a0, 0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xbac00dc3e144312b, 0xfb4432abbbddf373,
  0xcf0983dc54219682, 0xcaf212dbcedffd01, 0x0f4fffe3f0cc161b, 0x95e9b9aad68dc9ca, 0xbd47c1b3071efd47,
  0xb34eb422877c57b3, 0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5,
  0x23f5b86f65f4b317, 0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xdaa5beaa6fb39d45,
  0x2fe910e6b8101395, 0xd5688af2c434ae49, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0x79b09732f9b68151, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xdd3c95fb9a19961d, 0x0000000ac896d3c8,
};

/*
 * m329a_swio13_dual_pr_ce           m329p_swio13_dual_pr_ce           m329pa_swio13_dual_pr_ce
 * m3290_swio13_dual_pr_ce           m3290a_swio13_dual_pr_ce          m3290p_swio13_dual_pr_ce
 * m3290pa_swio13_dual_pr_ce         m325_swio13_dual_pr_ce            m325a_swio13_dual_pr_ce
 * m325p_swio13_dual_pr_ce           m325pa_swio13_dual_pr_ce          m3250_swio13_dual_pr_ce
 * m3250a_swio13_dual_pr_ce          m3250p_swio13_dual_pr_ce          m3250pa_swio13_dual_pr_ce
 */
static const uint64_t ur_m329_swio13_dual_pr_ce[] = {
  0x95bbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a50,
  0x4c4bb8e08ab2c10c, 0x609f180904316ef2, 0xbada0644a4a40aa2, 0x971030a18369181b, 0xdd5ff995d06774f8,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc0448037, 0xf150865a01ed10ca,
  0xb7ff9ff4073c2609, 0xdcd7982c3795e425, 0x7dc5f580d2824ebf, 0xee24b1e79b680e75, 0xfa8f84bf10d8488b,
  0x5ccf1771b9d66c87, 0x17d479127b9633ea, 0x05fdc65471d3f831, 0x00ceda523884e62c, 0x3192a01ffb33c75e,
  0x8a92e04a0796b726, 0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xdaa5beaa6fb39d45, 0x2fe910e6b8101395,
  0xd5688af2c434ae49, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d028c,
  0xfe0eee34596af1b8, 0x34a1854e7ea75666, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x03490ad4dd16792b,
};

/*
 * m329a_swio13_dual_pr_ce_u4        m329p_swio13_dual_pr_ce_u4        m329pa_swio13_dual_pr_ce_u4
 * m3290_swio13_dual_pr_ce_u4        m3290a_swio13_dual_pr_ce_u4       m3290p_swio13_dual_pr_ce_u4
 * m3290pa_swio13_dual_pr_ce_u4      m325_swio13_dual_pr_ce_u4         m325a_swio13_dual_pr_ce_u4
 * m325p_swio13_dual_pr_ce_u4        m325pa_swio13_dual_pr_ce_u4       m3250_swio13_dual_pr_ce_u4
 * m3250a_swio13_dual_pr_ce_u4       m3250p_swio13_dual_pr_ce_u4       m3250pa_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m329_swio13_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x0bc9d4cca76f5d84, 0x2d4e900d57efdeec,
  0xef25a2bb9e08ce9c, 0x8c6609f180904316, 0x03775b40c8949488, 0x9f12e20614306d23, 0x4dcd15bf32ba0cee,
  0xe6f51f2b6c37d9c3, 0x7c114239227f0650, 0x0370f8510c4aff3f, 0x8655777bbe6e3218, 0x9a718a8432d009e8,
  0x212db8cdffd01cf0, 0x83fee6bcc161bcaf, 0x1cc09717d4ca9413, 0x9117dc4963cf36d0, 0x2e47f51f097e21b0,
  0x6787199e2ee3712a, 0xf064d7a8f38cf72c, 0xe62c0532a6e8e3a7, 0xe3af22dd96ba38c8, 0xe2a4a3ab5b71cb19,
  0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0x76a96faa9bece751, 0x4bfa4439ae0404e5, 0xb55a22bcb10d2b92,
  0x65362ce80f3f5ae7, 0xc6085a6ae757a961, 0xb4e31bc674409cf8, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x00d24085b7459e4a,
};

/*
 * m329a_swio13_dual_pr_ee_ce        m329p_swio13_dual_pr_ee_ce        m329pa_swio13_dual_pr_ee_ce
 * m3290_swio13_dual_pr_ee_ce        m3290a_swio13_dual_pr_ee_ce       m3290p_swio13_dual_pr_ee_ce
 * m3290pa_swio13_dual_pr_ee_ce      m325_swio13_dual_pr_ee_ce         m325a_swio13_dual_pr_ee_ce
 * m325p_swio13_dual_pr_ee_ce        m325pa_swio13_dual_pr_ee_ce       m3250_swio13_dual_pr_ee_ce
 * m3250a_swio13_dual_pr_ee_ce       m3250p_swio13_dual_pr_ee_ce       m3250pa_swio13_dual_pr_ee_ce
 */
static const uint64_t ur_m329_swio13_dual_pr_ee_ce[] = {
  0x5b2b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c9765,
  0x3b9a3ea74704dd9c, 0xf180904316ef2727, 0x81912929047ae609, 0x0c2860da4606eeb6, 0x7e657419dd3e25c4,
  0xfcd80683869a99fe, 0xe489fc1f4fcdea3f, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d038688655777,
  0xeffa039e133938a8, 0x982c3795e425b7c6, 0x46c1650676ffdcd7, 0xe79b680e4ed9dff5, 0x984e771b8089300f,
  0x3cad4f4a76b2b221, 0x09ea3e0d98309fea, 0x459a75a1140a62bc, 0x4752135f4616588a, 0x8ca47389ceaedc5d,
  0x7b1aaf1b1d7b589d, 0xf18b8484512f91ad, 0x2e311f0c8e1bd971, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x5beaa6fb39d454aa, 0x910e6b8101395daa, 0x88af2c434ae492fe, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af,
  0x62aa8b490538c6f1, 0x12e65f36d028c76f, 0x3bb8d163ce1b8f36, 0x3d30ae4fdd599bf8, 0x9296cf8138cb25c3,
  0x459e4afdcd0ccb0e, 0x000000009822a737,
};

/*
 * m329a_swio13_dual_pr_ee_ce_u4     m329p_swio13_dual_pr_ee_ce_u4     m329pa_swio13_dual_pr_ee_ce_u4
 * m3290_swio13_dual_pr_ee_ce_u4     m3290a_swio13_dual_pr_ee_ce_u4    m3290p_swio13_dual_pr_ee_ce_u4
 * m3290pa_swio13_dual_pr_ee_ce_u4   m325_swio13_dual_pr_ee_ce_u4      m325a_swio13_dual_pr_ee_ce_u4
 * m325p_swio13_dual_pr_ee_ce_u4     m325pa_swio13_dual_pr_ee_ce_u4    m3250_swio13_dual_pr_ee_ce_u4
 * m3250a_swio13_dual_pr_ee_ce_u4    m3250p_swio13_dual_pr_ee_ce_u4    m3250pa_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d6fd, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x437713b7eec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0xea89827c602410c5, 0x81bbada0644a4a45, 0x4f8971030a183691,
  0x0e6e5afccb41ca77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01,
  0xf7150865a11c910c, 0xb6e495ff4073c26d, 0xf8fc330586f2bc84, 0xc5f547d5f28330df, 0x1258f3cdb49dcc35,
  0x47c25f886c2445f7, 0x78bb8dc4e3fb8ffd, 0x57bee53b5b9b9ba6, 0x7a8f83660ccaf51e, 0x669d68450298aedd,
  0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767, 0x662e121141ea8fe4, 0xa8d8226470decbe9,
  0xf3bb8a929663e6f6, 0xa0ed7972ab59fc55, 0x9d454aa35dce3398, 0x1395daa5beaa6fb3, 0xae492fe910e6b810,
  0xeb9ed5688af2c434, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d,
  0xfc1fb763458df172, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0x5f91ba792bf73433, 0x0000000000400040,
};

/*
 * m329a_swio13_dual_ee_hw           m329p_swio13_dual_ee_hw           m329pa_swio13_dual_ee_hw
 * m3290_swio13_dual_ee_hw           m3290a_swio13_dual_ee_hw          m3290p_swio13_dual_ee_hw
 * m3290pa_swio13_dual_ee_hw         m325_swio13_dual_ee_hw            m325a_swio13_dual_ee_hw
 * m325p_swio13_dual_ee_hw           m325pa_swio13_dual_ee_hw          m3250_swio13_dual_ee_hw
 * m3250a_swio13_dual_ee_hw          m3250p_swio13_dual_ee_hw          m3250pa_swio13_dual_ee_hw
 */
static const uint64_t ur_m329_swio13_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0x47c4edf8d4c9b368, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdeb80a,
  0xe9ceeeec6ecde62f, 0x827c602410c5bbc9, 0xd6d032252521d3a9, 0xb881850c1b48c0dd, 0x31ffccae833ba7c4,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e775801b8, 0x8a8432d05f688655,
  0x79dbffa039e1307b, 0xa91982c3795e425b, 0xad68dc9ca0f4ffff, 0x3071efd4795e9b9a, 0x2877c57b3bd47c1b,
  0x8c2cb1148b34eb42, 0xba9e5c54b9a426be, 0x89767f11f5073ab4, 0x547f258d56ba1d7a, 0xf65f4b3170908a0f,
  0x3e6f6a8d823f5b86, 0x9fc55f3bb8a92804, 0xe3398a0ed7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea,
  0x2c434ae492fe910e, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b6815156f62aa,
  0xfa97ab8dc79b0973, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0x76ac7fa29e4afdcd, 0x0000000000000005,
};

/*
 * m329a_swio13_dual_ee_ce_hw        m329p_swio13_dual_ee_ce_hw        m329pa_swio13_dual_ee_ce_hw
 * m3290_swio13_dual_ee_ce_hw        m3290a_swio13_dual_ee_ce_hw       m3290p_swio13_dual_ee_ce_hw
 * m3290pa_swio13_dual_ee_ce_hw      m325_swio13_dual_ee_ce_hw         m325a_swio13_dual_ee_ce_hw
 * m325p_swio13_dual_ee_ce_hw        m325pa_swio13_dual_ee_ce_hw       m3250_swio13_dual_ee_ce_hw
 * m3250a_swio13_dual_ee_ce_hw       m3250p_swio13_dual_ee_ce_hw       m3250pa_swio13_dual_ee_ce_hw
 */
static const uint64_t ur_m329_swio13_dual_ee_ce_hw[] = {
  0x821eeeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a10d2,
  0xbba591aeba55857b, 0xf180904316ef2599, 0x032252520f67a609, 0x1850c1b48c0ddd6d, 0xfccae833ba7c4b88,
  0x6b60ff0e188266bb, 0xc913f83ff937a8fa, 0x886257f9fbe08a11, 0xbbe6e059001b87c2, 0x432d060a88655777,
  0x3ffa039e134878a8, 0x982c3795e425b7bc, 0x8e574a0d6ffffa91, 0xcf36d01cadf3bfea, 0x984e771b9d1f524f,
  0x3caf7dca76b2b26e, 0xbaf51f06cc1995ea, 0x22cd3ad08a05315d, 0xc3a909afa30b2c45, 0xcfe23ea0e7576e53,
  0xc96355e363af512e, 0xd2cc5c242283d51f, 0xed51b044c8e1bd97, 0xabe77715252cc7cd, 0x3141daf2e556b3f8,
  0x673a8a9546bb9c67, 0x20272bb54b7d54df, 0x695c925fd221cd70, 0xb5d73daad115e588, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0xfec371e6c25ccbe6, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x89a638ba29e4afdc,
};

/*
 * m329a_swio13_dual_ee_ce_u4_hw     m329p_swio13_dual_ee_ce_u4_hw     m329pa_swio13_dual_ee_ce_u4_hw
 * m3290_swio13_dual_ee_ce_u4_hw     m3290a_swio13_dual_ee_ce_u4_hw    m3290p_swio13_dual_ee_ce_u4_hw
 * m3290pa_swio13_dual_ee_ce_u4_hw   m325_swio13_dual_ee_ce_u4_hw      m325a_swio13_dual_ee_ce_u4_hw
 * m325p_swio13_dual_ee_ce_u4_hw     m325pa_swio13_dual_ee_ce_u4_hw    m3250_swio13_dual_ee_ce_u4_hw
 * m3250a_swio13_dual_ee_ce_u4_hw    m3250p_swio13_dual_ee_ce_u4_hw    m3250pa_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0xe276fccc54626d6f, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4edfbb17,
  0x4e30cb5bb4f9e0a5, 0x120862dde4b62775, 0x252522f544c13e30, 0x0c1b48c0ddd6d032, 0x89ad3ba7c4b88185,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x271e00dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x795e425b724affa0, 0x8330dfecf43982c3, 0x0e4c35c5f547d5f2, 0x445f71258f3cafac,
  0x3eefd47c25f886c2, 0xb9ba678bb8dce1fe, 0xaf51e57bee53b5b9, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0xe3398a0ed7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x2c434ae492fe910e,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d028c76f62aa, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00075d668dc17d3c,
};

/*
 * m329a_swio14_noled                m329p_swio14_noled                m329pa_swio14_noled
 * m3290_swio14_noled                m3290a_swio14_noled               m3290p_swio14_noled
 * m3290pa_swio14_noled              m325_swio14_noled                 m325a_swio14_noled
 * m325p_swio14_noled                m325pa_swio14_noled               m3250_swio14_noled
 * m3250a_swio14_noled               m3250p_swio14_noled               m3250pa_swio14_noled
 */
static const uint64_t ur_m329_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x2410c5bbc9ddcc49, 0xbf43cfc7b9827c60, 0x6277cb741283dd7f, 0xe471d3f83affea3a, 0x78e62c05bdd32003,
  0xc608ebc5cedd2232, 0xf2e556a56087dc72, 0x9546bb9c673141da, 0xdcaed52df5673a8a, 0x4ad8fdfd221cd674,
  0xd6b9ed5688af2c43, 0x4ea701652a7d3bcf, 0x11e5e2810b4b0b9d, 0x32f9b69c6378ce88, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000000a92ddae3e7,
};

/*
 * m329_swio14_noled_pr_u4           m329a_swio14_noled_pr             m329a_swio14_noled_pr_u4
 * m329p_swio14_noled_pr             m329p_swio14_noled_pr_u4          m329pa_swio14_noled_pr
 * m329pa_swio14_noled_pr_u4         m3290_swio14_noled_pr             m3290_swio14_noled_pr_u4
 * m3290a_swio14_noled_pr            m3290a_swio14_noled_pr_u4         m3290p_swio14_noled_pr
 * m3290p_swio14_noled_pr_u4         m3290pa_swio14_noled_pr           m3290pa_swio14_noled_pr_u4
 * m325_swio14_noled_pr              m325_swio14_noled_pr_u4           m325a_swio14_noled_pr
 * m325a_swio14_noled_pr_u4          m325p_swio14_noled_pr             m325p_swio14_noled_pr_u4
 * m325pa_swio14_noled_pr            m325pa_swio14_noled_pr_u4         m3250_swio14_noled_pr
 * m3250_swio14_noled_pr_u4          m3250a_swio14_noled_pr            m3250a_swio14_noled_pr_u4
 * m3250p_swio14_noled_pr            m3250p_swio14_noled_pr_u4         m3250pa_swio14_noled_pr
 * m3250pa_swio14_noled_pr_u4
 */
static const uint64_t ur_m329_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0xdde4eec718178bd9, 0xcc7cc13e30120862, 0xb7b941dbffe78167, 0xfe0c9af51c143be5, 0x02cb2983da011c74,
  0xa3e764c5188a7316, 0xb13ca807fecc11d7, 0x2ab5422607967b76, 0x35dce3398a0ed797, 0x76a96fab39d454aa,
  0xc7efe910e6b3a6e5, 0xcf6ab44579621a56, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da,
  0xab83cd84b997cdb6, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe0b1014f257ee686, 0x000000000001f26a,
};

/*
 * m329a_swio14_noled_pr_ee          m329p_swio14_noled_pr_ee          m329pa_swio14_noled_pr_ee
 * m3290_swio14_noled_pr_ee          m3290a_swio14_noled_pr_ee         m3290p_swio14_noled_pr_ee
 * m3290pa_swio14_noled_pr_ee        m325_swio14_noled_pr_ee           m325a_swio14_noled_pr_ee
 * m325p_swio14_noled_pr_ee          m325pa_swio14_noled_pr_ee         m3250_swio14_noled_pr_ee
 * m3250a_swio14_noled_pr_ee         m3250p_swio14_noled_pr_ee         m3250pa_swio14_noled_pr_ee
 */
static const uint64_t ur_m329_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x19827c602410c5bb, 0xf283b3bfcf02cf9c, 0x51e565d66ab5a331, 0xca5fa8f83660fa8f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0xa8fe439d5a5dc9ae, 0xc6ab5d0ebce9bb1e, 0x98b84845110a3dee,
  0xa3608fd6e1bd96cb, 0xaf2e556a01741cf2, 0xa9546bb9c673141d, 0x4dcaed52df5673a8, 0x34ad8fdfd221cd67,
  0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0x9b6c218ab7b15545, 0x8b9357079b09732f,
  0x598f207e50d1674f, 0xe627f2861539fa9d, 0xc1343cc9fe2e7197, 0xc33d30ae4fc73dff, 0x0e9296cf8138cb25,
  0xa2029e4afdcd0ccb, 0x000000000013af02,
};

/*
 * m329a_swio14_noled_pr_ee_u4       m329p_swio14_noled_pr_ee_u4       m329pa_swio14_noled_pr_ee_u4
 * m3290_swio14_noled_pr_ee_u4       m3290a_swio14_noled_pr_ee_u4      m3290p_swio14_noled_pr_ee_u4
 * m3290pa_swio14_noled_pr_ee_u4     m325_swio14_noled_pr_ee_u4        m325a_swio14_noled_pr_ee_u4
 * m325p_swio14_noled_pr_ee_u4       m325pa_swio14_noled_pr_ee_u4      m3250_swio14_noled_pr_ee_u4
 * m3250a_swio14_noled_pr_ee_u4      m3250p_swio14_noled_pr_ee_u4      m3250pa_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m329_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x9d304f8c048218b7, 0x7e506577f9e059fd, 0xea3cafe74d56b47b, 0x5ba5f51f06cc1ce3,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0xe46b5ce756975f6b, 0x355ae875eba9bb4b, 0xc5c242281f11f496,
  0xe3a0fadc37b2e1c8, 0x19cc5076bcb955aa, 0x7d59cea2a551aee7, 0x4887359d372bb54b, 0xa22bcb10d2b63f7f,
  0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0x6c25ccbe6db0862a, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x0a792bf734332c3a, 0x000000013ae9a088,
};

/*
 * m329_swio14_noled_pr_ce_u4        m329a_swio14_noled_pr_ce          m329a_swio14_noled_pr_ce_u4
 * m329p_swio14_noled_pr_ce          m329p_swio14_noled_pr_ce_u4       m329pa_swio14_noled_pr_ce
 * m329pa_swio14_noled_pr_ce_u4      m3290_swio14_noled_pr_ce          m3290_swio14_noled_pr_ce_u4
 * m3290a_swio14_noled_pr_ce         m3290a_swio14_noled_pr_ce_u4      m3290p_swio14_noled_pr_ce
 * m3290p_swio14_noled_pr_ce_u4      m3290pa_swio14_noled_pr_ce        m3290pa_swio14_noled_pr_ce_u4
 * m325_swio14_noled_pr_ce           m325_swio14_noled_pr_ce_u4        m325a_swio14_noled_pr_ce
 * m325a_swio14_noled_pr_ce_u4       m325p_swio14_noled_pr_ce          m325p_swio14_noled_pr_ce_u4
 * m325pa_swio14_noled_pr_ce         m325pa_swio14_noled_pr_ce_u4      m3250_swio14_noled_pr_ce
 * m3250_swio14_noled_pr_ce_u4       m3250a_swio14_noled_pr_ce         m3250a_swio14_noled_pr_ce_u4
 * m3250p_swio14_noled_pr_ce         m3250p_swio14_noled_pr_ce_u4      m3250pa_swio14_noled_pr_ce
 * m3250pa_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m329_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x8b7793ba76821cbb, 0x9fd37304f8c04821, 0xf5eea5072b7f9e05, 0x58f3c0254ee575c5, 0xc25f886c2445f712,
  0x8bb8dc643a4afd47, 0x8ebe4f72c67eb267, 0xf97d1c74fe0d67fa, 0x64c5188a731602ed, 0xa807feccf1d7a3e7,
  0x508981e5add6b13c, 0x38ce6283b5e5caad, 0x5beace75152a8d77, 0xfa4439ace9b95daa, 0xad115e588695b1fb,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6, 0xe6c25ccbe6db084c, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x80a792bf734332c3, 0x00000000375d22f8,
};

/*
 * m329a_swio14_noled_pr_ee_ce       m329p_swio14_noled_pr_ee_ce       m329pa_swio14_noled_pr_ee_ce
 * m3290_swio14_noled_pr_ee_ce       m3290a_swio14_noled_pr_ee_ce      m3290p_swio14_noled_pr_ee_ce
 * m3290pa_swio14_noled_pr_ee_ce     m325_swio14_noled_pr_ee_ce        m325a_swio14_noled_pr_ee_ce
 * m325p_swio14_noled_pr_ee_ce       m325pa_swio14_noled_pr_ee_ce      m3250_swio14_noled_pr_ee_ce
 * m3250a_swio14_noled_pr_ee_ce      m3250p_swio14_noled_pr_ee_ce      m3250pa_swio14_noled_pr_ee_ce
 */
static const uint64_t ur_m329_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0x9b7304f8c048218b, 0x7594119bff3c0b3e, 0x012a7633677fd519, 0x9cee3719cba3ff9e,
  0x5c8794ed6563df30, 0xea3e0d983d2bd479, 0x9a75a1140a62b387, 0x52135f4616588a45, 0x547f21ceaedce4c7,
  0xc6abc6c75e74dd8f, 0x98b84845110a3dee, 0x51b044c8e1bd96cb, 0xd7972ab52cfa0e79, 0x54aa35dce3398a0e,
  0xa6e576a96fab39d4, 0x1a56c7efe910e6b3, 0x2d75cf6ab4457962, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204,
  0x9b6c2131dbd8aaa2, 0xf38b93571b09732f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x34c5fb880a792bf7, 0x0000000000000005,
};

/*
 * m329a_swio14_noled_pr_ee_ce_u4    m329p_swio14_noled_pr_ee_ce_u4    m329pa_swio14_noled_pr_ee_ce_u4
 * m3290_swio14_noled_pr_ee_ce_u4    m3290a_swio14_noled_pr_ee_ce_u4   m3290p_swio14_noled_pr_ee_ce_u4
 * m3290pa_swio14_noled_pr_ee_ce_u4  m325_swio14_noled_pr_ee_ce_u4     m325a_swio14_noled_pr_ee_ce_u4
 * m325p_swio14_noled_pr_ee_ce_u4    m325pa_swio14_noled_pr_ee_ce_u4   m3250_swio14_noled_pr_ee_ce_u4
 * m3250a_swio14_noled_pr_ee_ce_u4   m3250p_swio14_noled_pr_ee_ce_u4   m3250pa_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x524c13e30120862d, 0x6e506b7ffec5767c, 0xb680e56fdc5f547a, 0x0d8488bee24b1e79,
  0x76ec2c9fa8f84bf1, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684,
  0x3abb73931d484d7d, 0x1d79d3763d51fc87, 0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113,
  0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0xbfa4439ace9b95da, 0xaad115e588695b1f, 0x94f0d3bcf8b5d73d,
  0x6378ce8810775362, 0xc76f62aa8b4b689c, 0x1e6c25ccbe6db084, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x3d5dba2cf257ee68,
  0x00000000000009f8,
};

/*
 * m329a_swio14_noled_ee_hw          m329p_swio14_noled_ee_hw          m329pa_swio14_noled_ee_hw
 * m3290_swio14_noled_ee_hw          m3290a_swio14_noled_ee_hw         m3290p_swio14_noled_ee_hw
 * m3290pa_swio14_noled_ee_hw        m325_swio14_noled_ee_hw           m325a_swio14_noled_ee_hw
 * m325p_swio14_noled_ee_hw          m325pa_swio14_noled_ee_hw         m3250_swio14_noled_ee_hw
 * m3250a_swio14_noled_ee_hw         m3250p_swio14_noled_ee_hw         m3250pa_swio14_noled_ee_hw
 */
static const uint64_t ur_m329_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0x18b7793bb61b656a, 0x99f383304f8c0482, 0xad198f941d9dff42, 0x07d47a8f2b2eb355, 0x877c5652fd47c1b3,
  0xc2cb1148b34eb422, 0xee4d71ac9a426be8, 0x4dd8f547f21cead2, 0x51ef76355ae875e7, 0xecb65cc5c2422888,
  0xa0e7951b047eb70d, 0x98a0ed7972ab500b, 0xb39d454aa35dce33, 0x0e6b3a6e576a96fa, 0x579621a56c7efe91,
  0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb610c55bd, 0x1539fa82ec6e3cd8,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x0000000016ffe69d,
};

/*
 * m329_swio14_noled_ee_ce_u4_hw     m329a_swio14_noled_ee_ce_hw       m329a_swio14_noled_ee_ce_u4_hw
 * m329p_swio14_noled_ee_ce_hw       m329p_swio14_noled_ee_ce_u4_hw    m329pa_swio14_noled_ee_ce_hw
 * m329pa_swio14_noled_ee_ce_u4_hw   m3290_swio14_noled_ee_ce_hw       m3290_swio14_noled_ee_ce_u4_hw
 * m3290a_swio14_noled_ee_ce_hw      m3290a_swio14_noled_ee_ce_u4_hw   m3290p_swio14_noled_ee_ce_hw
 * m3290p_swio14_noled_ee_ce_u4_hw   m3290pa_swio14_noled_ee_ce_hw     m3290pa_swio14_noled_ee_ce_u4_hw
 * m325_swio14_noled_ee_ce_hw        m325_swio14_noled_ee_ce_u4_hw     m325a_swio14_noled_ee_ce_hw
 * m325a_swio14_noled_ee_ce_u4_hw    m325p_swio14_noled_ee_ce_hw       m325p_swio14_noled_ee_ce_u4_hw
 * m325pa_swio14_noled_ee_ce_hw      m325pa_swio14_noled_ee_ce_u4_hw   m3250_swio14_noled_ee_ce_hw
 * m3250_swio14_noled_ee_ce_u4_hw    m3250a_swio14_noled_ee_ce_hw      m3250a_swio14_noled_ee_ce_u4_hw
 * m3250p_swio14_noled_ee_ce_hw      m3250p_swio14_noled_ee_ce_u4_hw   m3250pa_swio14_noled_ee_ce_hw
 * m3250pa_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x8b7793ba55e89fa1, 0x9f149304f8c04821, 0xa3d372835bfff429, 0xf3cdb4072b7ee2fa, 0x5f886c2445f71258,
  0x8dc36ec291fd47c2, 0xe53b5b9b7be678bb, 0x83660f4af51e5721, 0x68450298ace1fa8f, 0xd7d185962291669d,
  0xc873abb73931d484, 0xf1b1d79d3763d51f, 0x121144428f7bb1aa, 0x1132386f65b2e62e, 0xcaad4b3e839e546c,
  0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0xb1fbfa4439ace9b9, 0x73daad115e588695, 0x36294f0d3bcf8b5d,
  0x89c6378ce8810775, 0x084c76f62aa8b4b6, 0x6371e6c25ccbe6db, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x4043d5e8a792bf73, 0x0000000000000001,
};

/*
 * m329a_swio14_lednop               m329p_swio14_lednop               m329pa_swio14_lednop
 * m3290_swio14_lednop               m3290a_swio14_lednop              m3290p_swio14_lednop
 * m3290pa_swio14_lednop             m325_swio14_lednop                m325a_swio14_lednop
 * m325p_swio14_lednop               m325pa_swio14_lednop              m3250_swio14_lednop
 * m3250a_swio14_lednop              m3250p_swio14_lednop              m3250pa_swio14_lednop
 */
static const uint64_t ur_m329_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x02410c5bbc9ddb1e, 0xfbf43cfc069827c6, 0xc90ef96e825043df, 0x318e3a7f075ffd47, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x52a8d7738ce6283b, 0x9b95daa5beace751, 0xbec7a4439ae0404e,
  0x3daad115e588695c, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0x27e7f61bb612e65f,
  0x289c6592e19e9857, 0xee6866587494b659, 0x002a4faf5c7cf257,
};

/*
 * m329_swio14_lednop_pr_u4          m329a_swio14_lednop_pr            m329a_swio14_lednop_pr_u4
 * m329p_swio14_lednop_pr            m329p_swio14_lednop_pr_u4         m329pa_swio14_lednop_pr
 * m329pa_swio14_lednop_pr_u4        m3290_swio14_lednop_pr            m3290_swio14_lednop_pr_u4
 * m3290a_swio14_lednop_pr           m3290a_swio14_lednop_pr_u4        m3290p_swio14_lednop_pr
 * m3290p_swio14_lednop_pr_u4        m3290pa_swio14_lednop_pr          m3290pa_swio14_lednop_pr_u4
 * m325_swio14_lednop_pr             m325_swio14_lednop_pr_u4          m325a_swio14_lednop_pr
 * m325a_swio14_lednop_pr_u4         m325p_swio14_lednop_pr            m325p_swio14_lednop_pr_u4
 * m325pa_swio14_lednop_pr           m325pa_swio14_lednop_pr_u4        m3250_swio14_lednop_pr
 * m3250_swio14_lednop_pr_u4         m3250a_swio14_lednop_pr           m3250a_swio14_lednop_pr_u4
 * m3250p_swio14_lednop_pr           m3250p_swio14_lednop_pr_u4        m3250pa_swio14_lednop_pr
 * m3250pa_swio14_lednop_pr_u4
 */
static const uint64_t ur_m329_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xbee609f180904316, 0xbdca0c7bff3c0b3e, 0xf064d7a8e801df2d, 0x0b2ca67f3a88e3a7,
  0x1f3b6488c6f9cc58, 0xfa45403ff6608ebd, 0xab5976a07967b707, 0x5dce3398a0ed7972, 0x6a96fab39d454aa3,
  0x910e6b81013a6e57, 0x44579621a572fb1e, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb6318ab7, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000003e4ce43f101,
};

/*
 * m329a_swio14_lednop_pr_ee         m329p_swio14_lednop_pr_ee         m329pa_swio14_lednop_pr_ee
 * m3290_swio14_lednop_pr_ee         m3290a_swio14_lednop_pr_ee        m3290p_swio14_lednop_pr_ee
 * m3290pa_swio14_lednop_pr_ee       m325_swio14_lednop_pr_ee          m325a_swio14_lednop_pr_ee
 * m325p_swio14_lednop_pr_ee         m325pa_swio14_lednop_pr_ee        m3250_swio14_lednop_pr_ee
 * m3250a_swio14_lednop_pr_ee        m3250p_swio14_lednop_pr_ee        m3250pa_swio14_lednop_pr_ee
 */
static const uint64_t ur_m329_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0xb5304f8c048218b7, 0x3e5046b7f9e059f4, 0xea3cad82cd56b466, 0x5a9ef51f06cc1f51,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x111cdc73ab4bba55, 0x58d56ba1d79d3769, 0x73170908a17c4719,
  0x546c11fadc37b2d9, 0xb5e5caad402b589e, 0x152a8d7738ce6283, 0xe9b95daa5beace75, 0xcbec7a4439ae0404,
  0x73daad115e588695, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a, 0xae0f3612e65f36d8,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000009d7324405,
};

/*
 * m329a_swio14_lednop_pr_ee_u4      m329p_swio14_lednop_pr_ee_u4      m329pa_swio14_lednop_pr_ee_u4
 * m3290_swio14_lednop_pr_ee_u4      m3290a_swio14_lednop_pr_ee_u4     m3290p_swio14_lednop_pr_ee_u4
 * m3290pa_swio14_lednop_pr_ee_u4    m325_swio14_lednop_pr_ee_u4       m325a_swio14_lednop_pr_ee_u4
 * m325p_swio14_lednop_pr_ee_u4      m325pa_swio14_lednop_pr_ee_u4     m3250_swio14_lednop_pr_ee_u4
 * m3250a_swio14_lednop_pr_ee_u4     m3250p_swio14_lednop_pr_ee_u4     m3250pa_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0x6ef2774ed0439765, 0xe96a609f18090431, 0xf6fca08d6ff3c0b3, 0xc7d4795c879aad68, 0xe2bfddea3e0d9839,
  0x588a459a75a1143b, 0x97144cd2135f4616, 0xb2446989cead2f01, 0x6b1aad743af5d4dd, 0xc8c5c2422883e8ed,
  0x55c60bfadc37b2e1, 0xce3398a0ed7972ab, 0x96fab39d454aa35d, 0x0e6b81013a6e576a, 0x579621a572fb1e91,
  0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0xbc67440a2fa2810b, 0x3cd84b997cdb4e31, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x1014f257ee686658, 0x0000000004eba45f,
};

/*
 * m329_swio14_lednop_pr_ce_u4       m329a_swio14_lednop_pr_ce         m329a_swio14_lednop_pr_ce_u4
 * m329p_swio14_lednop_pr_ce         m329p_swio14_lednop_pr_ce_u4      m329pa_swio14_lednop_pr_ce
 * m329pa_swio14_lednop_pr_ce_u4     m3290_swio14_lednop_pr_ce         m3290_swio14_lednop_pr_ce_u4
 * m3290a_swio14_lednop_pr_ce        m3290a_swio14_lednop_pr_ce_u4     m3290p_swio14_lednop_pr_ce
 * m3290p_swio14_lednop_pr_ce_u4     m3290pa_swio14_lednop_pr_ce       m3290pa_swio14_lednop_pr_ce_u4
 * m325_swio14_lednop_pr_ce          m325_swio14_lednop_pr_ce_u4       m325a_swio14_lednop_pr_ce
 * m325a_swio14_lednop_pr_ce_u4      m325p_swio14_lednop_pr_ce         m325p_swio14_lednop_pr_ce_u4
 * m325pa_swio14_lednop_pr_ce        m325pa_swio14_lednop_pr_ce_u4     m3250_swio14_lednop_pr_ce
 * m3250_swio14_lednop_pr_ce_u4      m3250a_swio14_lednop_pr_ce        m3250a_swio14_lednop_pr_ce_u4
 * m3250p_swio14_lednop_pr_ce        m3250p_swio14_lednop_pr_ce_u4     m3250pa_swio14_lednop_pr_ce
 * m3250pa_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x18b7793baaf99f41, 0x59f8e5304f8c0482, 0x5f5eea506dd7f9e0, 0x258f3c0254ef4ddc, 0x7c25f886c2445f71,
  0x78bb8dc24aca8fd4, 0x51e5f4f72c67eb26, 0x7bd2a38e9fc1acff, 0xed92231be731602c, 0x1500ffd99e3af47c,
  0x5976a0796b741fe9, 0xce3398a0ed7972ab, 0x96fab39d454aa35d, 0x0e6b81013a6e576a, 0x579621a572fb1e91,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b6c6263b7b1, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006eb842e2029e,
};

/*
 * m329a_swio14_lednop_pr_ee_ce      m329p_swio14_lednop_pr_ee_ce      m329pa_swio14_lednop_pr_ee_ce
 * m3290_swio14_lednop_pr_ee_ce      m3290a_swio14_lednop_pr_ee_ce     m3290p_swio14_lednop_pr_ee_ce
 * m3290pa_swio14_lednop_pr_ee_ce    m325_swio14_lednop_pr_ee_ce       m325a_swio14_lednop_pr_ee_ce
 * m325p_swio14_lednop_pr_ee_ce      m325pa_swio14_lednop_pr_ee_ce     m3250_swio14_lednop_pr_ee_ce
 * m3250a_swio14_lednop_pr_ee_ce     m3250p_swio14_lednop_pr_ee_ce     m3250pa_swio14_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0x7f9304f8c048218b, 0x5d6504347f9e059f, 0xc0254ec341dff546, 0x273b8dc6838227f3,
  0x5652e53b5958f7cc, 0xfa8f83660f4af51e, 0x669d68450298aca1, 0xd484d7d185962291, 0x111cdc73abb73a51,
  0xb1aaf1b1d79d3769, 0xe62e121142f88e32, 0x546c1132386f65b2, 0xb5e5caad4b3b589e, 0x152a8d7738ce6283,
  0xe9b95daa5beace75, 0xcbec7a4439ae0404, 0x73daad115e588695, 0xb94b5f3a03c72b5d, 0x718de33a20421520,
  0x898edec55516920a, 0x4d5c6c25ccbe6db1, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x3e2029e4afdcd0cc, 0x000000000014d36e,
};

/*
 * m329a_swio14_lednop_pr_ee_ce_u4   m329p_swio14_lednop_pr_ee_ce_u4   m329pa_swio14_lednop_pr_ee_ce_u4
 * m3290_swio14_lednop_pr_ee_ce_u4   m3290a_swio14_lednop_pr_ee_ce_u4  m3290p_swio14_lednop_pr_ee_ce_u4
 * m3290pa_swio14_lednop_pr_ee_ce_u4 m325_swio14_lednop_pr_ee_ce_u4    m325a_swio14_lednop_pr_ee_ce_u4
 * m325p_swio14_lednop_pr_ee_ce_u4   m325pa_swio14_lednop_pr_ee_ce_u4  m3250_swio14_lednop_pr_ee_ce_u4
 * m3250a_swio14_lednop_pr_ee_ce_u4  m3250p_swio14_lednop_pr_ee_ce_u4  m3250pa_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xc19827c602410c5b, 0xb94143effb15d9fe, 0xda03887d717d51e9, 0x361222fb892c79e6,
  0x0ff1f77ea3e12fc4, 0xadcdbdf33c5dc6e7, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9d28ea426be8, 0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0x9c673141daf2e556, 0x2df5673a8a9546bb, 0x1cd7020274dcaed5, 0xaf2c434ae5f63d22, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x16792bf734332c3a,
  0x00000009f91a9cdd,
};

/*
 * m329a_swio14_lednop_ee_hw         m329p_swio14_lednop_ee_hw         m329pa_swio14_lednop_ee_hw
 * m3290_swio14_lednop_ee_hw         m3290a_swio14_lednop_ee_hw        m3290p_swio14_lednop_ee_hw
 * m3290pa_swio14_lednop_ee_hw       m325_swio14_lednop_ee_hw          m325a_swio14_lednop_ee_hw
 * m325p_swio14_lednop_ee_hw         m325pa_swio14_lednop_ee_hw        m3250_swio14_lednop_ee_hw
 * m3250a_swio14_lednop_ee_hw        m3250p_swio14_lednop_ee_hw        m3250pa_swio14_lednop_ee_hw
 */
static const uint64_t ur_m329_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x0c5bbc9dd4149cb4, 0x4cfa5a9827c60241, 0xd68cc7ca08d6ffa1, 0x83ea3d4795b059aa, 0x43be2b53dea3e0d9,
  0x616588a459a75a11, 0x774ab8d64d2135f4, 0xa6ed22239b8e7569, 0x88e32b1aad743af3, 0xf65b2e62e121142f,
  0x6b13ca8d823f5b86, 0xcc5076bcb955a805, 0x59cea2a551aee719, 0xc0809d372bb54b7d, 0x10d2b97d8f488735,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0000b7c6a728a792,
};

/*
 * m329_swio14_lednop_ee_ce_u4_hw    m329a_swio14_lednop_ee_ce_hw      m329a_swio14_lednop_ee_ce_u4_hw
 * m329p_swio14_lednop_ee_ce_hw      m329p_swio14_lednop_ee_ce_u4_hw   m329pa_swio14_lednop_ee_ce_hw
 * m329pa_swio14_lednop_ee_ce_u4_hw  m3290_swio14_lednop_ee_ce_hw      m3290_swio14_lednop_ee_ce_u4_hw
 * m3290a_swio14_lednop_ee_ce_hw     m3290a_swio14_lednop_ee_ce_u4_hw  m3290p_swio14_lednop_ee_ce_hw
 * m3290p_swio14_lednop_ee_ce_u4_hw  m3290pa_swio14_lednop_ee_ce_hw    m3290pa_swio14_lednop_ee_ce_u4_hw
 * m325_swio14_lednop_ee_ce_hw       m325_swio14_lednop_ee_ce_u4_hw    m325a_swio14_lednop_ee_ce_hw
 * m325a_swio14_lednop_ee_ce_u4_hw   m325p_swio14_lednop_ee_ce_hw      m325p_swio14_lednop_ee_ce_u4_hw
 * m325pa_swio14_lednop_ee_ce_hw     m325pa_swio14_lednop_ee_ce_u4_hw  m3250_swio14_lednop_ee_ce_hw
 * m3250_swio14_lednop_ee_ce_u4_hw   m3250a_swio14_lednop_ee_ce_hw     m3250a_swio14_lednop_ee_ce_u4_hw
 * m3250p_swio14_lednop_ee_ce_hw     m3250p_swio14_lednop_ee_ce_u4_hw  m3250pa_swio14_lednop_ee_ce_hw
 * m3250pa_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0x16ef27768bfbbdae, 0x7fb06609f1809043, 0x8f4dca0a1f7fd0a6, 0xcf36d01c43eb8bea, 0x7e21b09117dc4963,
  0x3715d7185ff51f09, 0x94ed6e6def99e2ee, 0x0d983d2bd479594b, 0xa1140a62b287ea3e, 0x5f4616588a459a75,
  0x71ceaedce9475213, 0xc6c75e74dda44473, 0x48450be238cac6ab, 0x44c8e1bd96cb98b8, 0x2ab52ced627951b0,
  0x35dce3398a0ed797, 0x76a96fab39d454aa, 0xe910e6b81013a6e5, 0xb44579621a572fb1, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xea29e4afdcd0ccb0, 0x0000000000a028d4,
};

/*
 * m329_swio14_dual_pr               m329_swio14_dual_pr_u4            m329a_swio14_dual
 * m329a_swio14_dual_pr              m329a_swio14_dual_pr_u4           m329p_swio14_dual
 * m329p_swio14_dual_pr              m329p_swio14_dual_pr_u4           m329pa_swio14_dual
 * m329pa_swio14_dual_pr             m329pa_swio14_dual_pr_u4          m3290_swio14_dual
 * m3290_swio14_dual_pr              m3290_swio14_dual_pr_u4           m3290a_swio14_dual
 * m3290a_swio14_dual_pr             m3290a_swio14_dual_pr_u4          m3290p_swio14_dual
 * m3290p_swio14_dual_pr             m3290p_swio14_dual_pr_u4          m3290pa_swio14_dual
 * m3290pa_swio14_dual_pr            m3290pa_swio14_dual_pr_u4         m325_swio14_dual
 * m325_swio14_dual_pr               m325_swio14_dual_pr_u4            m325a_swio14_dual
 * m325a_swio14_dual_pr              m325a_swio14_dual_pr_u4           m325p_swio14_dual
 * m325p_swio14_dual_pr              m325p_swio14_dual_pr_u4           m325pa_swio14_dual
 * m325pa_swio14_dual_pr             m325pa_swio14_dual_pr_u4          m3250_swio14_dual
 * m3250_swio14_dual_pr              m3250_swio14_dual_pr_u4           m3250a_swio14_dual
 * m3250a_swio14_dual_pr             m3250a_swio14_dual_pr_u4          m3250p_swio14_dual
 * m3250p_swio14_dual_pr             m3250p_swio14_dual_pr_u4          m3250pa_swio14_dual
 * m3250pa_swio14_dual_pr            m3250pa_swio14_dual_pr_u4
 */
static const uint64_t ur_m329_swio14_dual[] = {
  0x4bbbbbbb4486c541, 0x7e276fc75e9c8da3, 0xb62fbb707a750b69, 0x1fc5fe47652be295, 0x18b3e2d402b74d29,
  0x95a1dd608fe1aaf5, 0x9827c602410c5bbc, 0xeeb6819129290a91, 0x25c40c2860da4606, 0x99c9fe657419dd3e,
  0xf51dfcd82fb38145, 0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x2abbbddf371aec01, 0xb5a2a10cb4232443,
  0x25b7297ff4073c26, 0x7fdcd7982c3795e4, 0x7ee8ef965af28251, 0xc3dc71d3f83defd4, 0xa62731602a83cce4,
  0xd9823af006764011, 0xe59edbde37d500ff, 0x2af9ddc5495f3a81, 0xcc5076bcb955acfe, 0x59cea2a551aee719,
  0xc0809d372bb54b7d, 0x10d2b97d8f488735, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6db18c55bd8aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000292641c9ba2cf,
};

/*
 * m329a_swio14_dual_pr_ee           m329p_swio14_dual_pr_ee           m329pa_swio14_dual_pr_ee
 * m3290_swio14_dual_pr_ee           m3290a_swio14_dual_pr_ee          m3290p_swio14_dual_pr_ee
 * m3290pa_swio14_dual_pr_ee         m325_swio14_dual_pr_ee            m325a_swio14_dual_pr_ee
 * m325p_swio14_dual_pr_ee           m325pa_swio14_dual_pr_ee          m3250_swio14_dual_pr_ee
 * m3250a_swio14_dual_pr_ee          m3250p_swio14_dual_pr_ee          m3250pa_swio14_dual_pr_ee
 */
static const uint64_t ur_m329_swio14_dual_pr_ee[] = {
  0x34eddddddd435032, 0x23e276fc6a68426d, 0x7ad3dba7395f40b3, 0xeb2333b55de9afbf, 0x2f0fae71337aed39,
  0xdd57b68ff5efbb1c, 0x8c048218b7793d39, 0x0644a4a42e8b304f, 0x30a18369181bbada, 0xf995d06774f89710,
  0xd6c12d1c02d4c63f, 0x9227f0715a6f51c9, 0x10c4aff3f7c11423, 0x77cdcba180370f85, 0x865a0bed10caaeef,
  0x5ff4073c260f7150, 0x982c3795e425b7d3, 0xa3fdd28216bfdcd7, 0x87bf51e576ea6ab5, 0xdf15e9bf51f06cc1,
  0xb2c4522cd3ad08a1, 0x157152e6909afa30, 0xb18f467a9cead2ec, 0x886c6ab5d0ebd44b, 0xfa598b848451a523,
  0x45546c11fadc37b2, 0x55f3bb8a92805914, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x81013a6e576a96fa,
  0x21a572fb1e910e6b, 0xcad75cf6ab445796, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545,
  0x58f386e3cd84b997, 0x93f75666fe0eee34, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3, 0x00c85117cdd16792,
};

/*
 * m329a_swio14_dual_pr_ee_u4        m329p_swio14_dual_pr_ee_u4        m329pa_swio14_dual_pr_ee_u4
 * m3290_swio14_dual_pr_ee_u4        m3290a_swio14_dual_pr_ee_u4       m3290p_swio14_dual_pr_ee_u4
 * m3290pa_swio14_dual_pr_ee_u4      m325_swio14_dual_pr_ee_u4         m325a_swio14_dual_pr_ee_u4
 * m325p_swio14_dual_pr_ee_u4        m325pa_swio14_dual_pr_ee_u4       m3250_swio14_dual_pr_ee_u4
 * m3250a_swio14_dual_pr_ee_u4       m3250p_swio14_dual_pr_ee_u4       m3250pa_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m329_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x89dbf1a9a109b4d3, 0x47e69ce57d02cc8f, 0x676abbd35f7eda7b, 0x5ce266f5da73d646,
  0xfadd5ec3ebb85e1f, 0x0c5bbc9e9ceefafb, 0x5217459827c60241, 0xb48c0ddd6d032252, 0x53ba7c4b881850c1,
  0x700b5318ffe65a0e, 0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x8600dc3e144312bf, 0xb4432abbbddf372e,
  0xf0983dc54219682f, 0x579096df4d7fd01c, 0x216bff1f8660b0de, 0x576ea6ab5a3fdd28, 0xf51f06cc187bf51e,
  0xcd3ad08a1df15e9b, 0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab,
  0x1fadc37b2fa598b8, 0xa9280591445546c1, 0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7, 0xe576a96fab39d454,
  0xb1e910e6b81013a6, 0x6ab44579621a572f, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x3cd84b997cdb6318, 0xedd8d1637c5c9ab8, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x6e9e4afdcd0ccb0e, 0x0000001593d89fe4,
};

/*
 * m329a_swio14_dual_pr_ce           m329p_swio14_dual_pr_ce           m329pa_swio14_dual_pr_ce
 * m3290_swio14_dual_pr_ce           m3290a_swio14_dual_pr_ce          m3290p_swio14_dual_pr_ce
 * m3290pa_swio14_dual_pr_ce         m325_swio14_dual_pr_ce            m325a_swio14_dual_pr_ce
 * m325p_swio14_dual_pr_ce           m325pa_swio14_dual_pr_ce          m3250_swio14_dual_pr_ce
 * m3250a_swio14_dual_pr_ce          m3250p_swio14_dual_pr_ce          m3250pa_swio14_dual_pr_ce
 */
static const uint64_t ur_m329_swio14_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xf89dbf3c7f766d1b, 0x41f6eabe6c48eee0, 0xe976d3913eabfaef, 0x9932bbf7ef74dd06,
  0xc4bba591aeb36855, 0x09f180904316ef24, 0x5b40c89494888c66, 0xe20614306d230377, 0xabff32ba0cee9f12,
  0x3eced8472381c19b, 0x847244fe0e574dea, 0xf0a21895fe7ef822, 0xeef77cdc524006e1, 0x150865a01ed10caa,
  0xe337ff4073c2609f, 0x9af30586f2bc84b6, 0x5c5f57f2504e0ffb, 0x71258f3cdb40709d, 0xd47c25f886c2445f,
  0xccf1771b8cdf4a8f, 0x7a8e13e7b9633ea5, 0x4a2edf8e3a7f076b, 0x33b2008d31398b01, 0xbea807feccf1d780,
  0x92be7503cb5b9ef1, 0x72ab59fc55f3bb8a, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x1e910e6b81013a6e,
  0xab44579621a572fb, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b09732f9b6c6263,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x1a48f5b6e8b3c95f,
};

/*
 * m329a_swio14_dual_pr_ce_u4        m329p_swio14_dual_pr_ce_u4        m329pa_swio14_dual_pr_ce_u4
 * m3290_swio14_dual_pr_ce_u4        m3290a_swio14_dual_pr_ce_u4       m3290p_swio14_dual_pr_ce_u4
 * m3290pa_swio14_dual_pr_ce_u4      m325_swio14_dual_pr_ce_u4         m325a_swio14_dual_pr_ce_u4
 * m325p_swio14_dual_pr_ce_u4        m325pa_swio14_dual_pr_ce_u4       m3250_swio14_dual_pr_ce_u4
 * m3250a_swio14_dual_pr_ce_u4       m3250p_swio14_dual_pr_ce_u4       m3250pa_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m329_swio14_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x9de276fcf1f62e6d, 0x5a9afbad89d9471e, 0x91c9d4ccdd69624e, 0xf8ce947ee7157ee9,
  0x7792d15dc7045580, 0xd7d304f8c048218b, 0x81bbada0644a4a41, 0x4f8971030a183691, 0xa6e68adf995d0677,
  0x737a8f95b61bece1, 0xbe08a11c913f8328, 0x01b87c2886257f9f, 0x432abbbddf3712a0, 0x4d38c542196804f4,
  0x9096dec7ffe80e78, 0xd6ff735e60b0de57, 0x1c53d717d76fca08, 0x9117dc4963cf36d0, 0xd90ff51f097e21b0,
  0x6787199e2ee373ac, 0xe0c9ef51e5f4f72c, 0x98b0176faf91c74f, 0x8ebc8b761f118df3, 0x15251d5c3dc72c67,
  0xf2e556b3f8abe777, 0x9546bb9c673141da, 0xdcaed52df5673a8a, 0xf63d221cd7020274, 0xed5688af2c434ae5,
  0x594d8b3a03cfd6b9, 0x3182169ab9d5ea58, 0x6d38c6f19d1028be, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x000692166dd16792,
};

/*
 * m329a_swio14_dual_pr_ee_ce        m329p_swio14_dual_pr_ee_ce        m329pa_swio14_dual_pr_ee_ce
 * m3290_swio14_dual_pr_ee_ce        m3290a_swio14_dual_pr_ee_ce       m3290p_swio14_dual_pr_ee_ce
 * m3290pa_swio14_dual_pr_ee_ce      m325_swio14_dual_pr_ee_ce         m325a_swio14_dual_pr_ee_ce
 * m325p_swio14_dual_pr_ee_ce        m325pa_swio14_dual_pr_ee_ce       m3250_swio14_dual_pr_ee_ce
 * m3250a_swio14_dual_pr_ee_ce       m3250p_swio14_dual_pr_ee_ce       m3250pa_swio14_dual_pr_ee_ce
 */
static const uint64_t ur_m329_swio14_dual_pr_ee_ce[] = {
  0xa9c5bbbbbba86f97, 0x7ade276fc6223f0d, 0x7ef5ef76c5e35586, 0x2be3749cad041f22, 0x097d7aef537c9671,
  0x9dcf046752c8a756, 0xf8c048218b779393, 0x40c8949483927304, 0x0614306d2303775b, 0x3f32ba0cee9f12e2,
  0xfe6c0341c34d4cff, 0x7244fe0fa7e6f51f, 0xa21895fe7ef82284, 0xeef9b9e72006e1f0, 0x10cb40e1a21955dd,
  0x93fe80e784ce4e2a, 0xf30586f2bc84b6e2, 0x54650e5074d7fb9a, 0xff3cdb40734d1dff, 0x866139dc6e292737,
  0xa8f2b60b29dacac8, 0x6a7bd47c1b307d47, 0x148b34eb422814c5, 0xe18ea426be8c2cb1, 0xedb7d1cbe39d5db8,
  0x3e58d578d8ebdac4, 0xe3e3170908a01446, 0xa4b8c722991c37b2, 0x5caad67f157ceee2, 0xa8d7738ce6283b5e,
  0x95daa5beace75152, 0xc7a4439ae0404e9b, 0xaad115e588695cbe, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xe6c25ccbe6db1898, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964,
  0xc6e8b3c95fb9a199, 0x000000000004c139,
};

/*
 * m329a_swio14_dual_pr_ee_ce_u4     m329p_swio14_dual_pr_ee_ce_u4     m329pa_swio14_dual_pr_ee_ce_u4
 * m3290_swio14_dual_pr_ee_ce_u4     m3290a_swio14_dual_pr_ee_ce_u4    m3290p_swio14_dual_pr_ee_ce_u4
 * m3290pa_swio14_dual_pr_ee_ce_u4   m325_swio14_dual_pr_ee_ce_u4      m325a_swio14_dual_pr_ee_ce_u4
 * m325p_swio14_dual_pr_ee_ce_u4     m325pa_swio14_dual_pr_ee_ce_u4    m3250_swio14_dual_pr_ee_ce_u4
 * m3250a_swio14_dual_pr_ee_ce_u4    m3250p_swio14_dual_pr_ee_ce_u4    m3250pa_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x276fccc5fc26d67d, 0xda6a6bd5784339de, 0xdae2faf7683acada, 0x37713b3eec5e713a,
  0x52399a0e087877d7, 0xc96c4eeab8fb0003, 0xb9827c602410c5bb, 0x775b40c894948659, 0x12e20614306d2303,
  0xdcb5f9968394ee9f, 0x8f8ddb0ec1385e1c, 0x4239227f06d7737a, 0xf8510c4aff3f7c11, 0xeef77cdc15400370,
  0x150865a11c910caa, 0xf495ff4073c26df7, 0xfc330586f2bc84b6, 0xfaa3275283787ff8, 0x2c79e6da4eef0ee2,
  0xe12fc4361222fb89, 0x2ee370551649fea3, 0xcae94ed6e6e6e99e, 0x47c1b307b7fd4795, 0x4eb422814c57befd,
  0x426be8c2cb1148b3, 0x8cf539d5db9828ea, 0xaaf1b1d7a897631e, 0x2e121146948e21b1, 0xd8226470decbe966,
  0x7715252cf2288aa8, 0xdaf2e556b3f8abe7, 0x8a9546bb9c673141, 0x74dcaed52df5673a, 0xe5f63d221cd70202,
  0xb9ed5688af2c434a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0xae0f3612e65f36d8,
  0xc1fb763458df1726, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0x791ba792bf734332, 0x0000000004004fc1,
};

/*
 * m329a_swio14_dual_ee_hw           m329p_swio14_dual_ee_hw           m329pa_swio14_dual_ee_hw
 * m3290_swio14_dual_ee_hw           m3290a_swio14_dual_ee_hw          m3290p_swio14_dual_ee_hw
 * m3290pa_swio14_dual_ee_hw         m325_swio14_dual_ee_hw            m325a_swio14_dual_ee_hw
 * m325p_swio14_dual_ee_hw           m325pa_swio14_dual_ee_hw          m3250_swio14_dual_ee_hw
 * m3250a_swio14_dual_ee_hw          m3250p_swio14_dual_ee_hw          m3250pa_swio14_dual_ee_hw
 */
static const uint64_t ur_m329_swio14_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0xf13b7e353421369a, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd769cf5,
  0x3b9a3ea75add8e17, 0xf180904316ef27a7, 0x40c8949485d16609, 0x0614306d2303775b, 0xff32ba0cee9f12e2,
  0x3ad825a3805a98c7, 0x7244fe0e2b4dea39, 0xa21895fe7ef82284, 0xeef9b9743006e1f0, 0x10cb417da21955dd,
  0x6bfe80e784c1ee2a, 0x330586f2bc84b6fa, 0x68ff74a085afff52, 0x61efd4795dba9aad, 0x77c57a6fd47c1b30,
  0x2cb1148b34eb4228, 0x055c54b9a426be8c, 0xec63d19ea73ab4bb, 0xe21b1aad743af512, 0xbe9662e121146948,
  0x11551b047eb70dec, 0x157ceee2a4a01645, 0xe6283b5e5caad67f, 0xace75152a8d7738c, 0xe0404e9b95daa5be,
  0x88695cbec7a4439a, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0x52f571b8f3612e65, 0x32fcc4fe50c2a73f, 0xbff82687993fc5ce, 0x64b867a615c9f8e7, 0x9961d252d9f02719,
  0x6917d453c95fb9a1, 0x0000000000000057,
};

/*
 * m329a_swio14_dual_ee_ce_hw        m329p_swio14_dual_ee_ce_hw        m329pa_swio14_dual_ee_ce_hw
 * m3290_swio14_dual_ee_ce_hw        m3290a_swio14_dual_ee_ce_hw       m3290p_swio14_dual_ee_ce_hw
 * m3290pa_swio14_dual_ee_ce_hw      m325_swio14_dual_ee_ce_hw         m325a_swio14_dual_ee_ce_hw
 * m325p_swio14_dual_ee_ce_hw        m325pa_swio14_dual_ee_ce_hw       m3250_swio14_dual_ee_ce_hw
 * m3250a_swio14_dual_ee_ce_hw       m3250p_swio14_dual_ee_ce_hw       m3250pa_swio14_dual_ee_ce_hw
 */
static const uint64_t ur_m329_swio14_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0xc5e276fc6236086d, 0xdbc9ee8eba7d9da6, 0x98f599f0ce644d71, 0xbccd936a6f929ce4,
  0x6ee1e198535aebd7, 0x7c602410c5bbc966, 0xa0644a4a465b4982, 0x030a18369181bbad, 0x7f995d06774f8971,
  0x4d6c1fe1c3104cd7, 0x39227f07ff26f51f, 0x510c4aff3f7c1142, 0xf77cdc5c100370f8, 0x0865a0c1510caaee,
  0xb7ff4073c2690f15, 0x330586f2bc84b6e6, 0xa8f2b4a0e20fff52, 0xfe79b680e6203bfe, 0x74c273b8dcca8683,
  0x51e572ba53b59593, 0xefbf51f06cc1edff, 0x522cd3ad08a05315, 0x0a3a909afa30b2c4, 0xd8c7a33d4e7576e6,
  0x886c6abc6c75ea25, 0xfa598b848451a523, 0x22aa3608991c37b2, 0x2af9ddc5494b3c8a, 0xcc5076bcb955acfe,
  0x59cea2a551aee719, 0xc0809d372bb54b7d, 0x10d2b97d8f488735, 0xe56bae7b55a22bcb, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0xf9fd86e3cd84b997, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x002269805453c95f,
};

/*
 * m329a_swio14_dual_ee_ce_u4_hw     m329p_swio14_dual_ee_ce_u4_hw     m329pa_swio14_dual_ee_ce_u4_hw
 * m3290_swio14_dual_ee_ce_u4_hw     m3290a_swio14_dual_ee_ce_u4_hw    m3290p_swio14_dual_ee_ce_u4_hw
 * m3290pa_swio14_dual_ee_ce_u4_hw   m325_swio14_dual_ee_ce_u4_hw      m325a_swio14_dual_ee_ce_u4_hw
 * m325p_swio14_dual_ee_ce_u4_hw     m325pa_swio14_dual_ee_ce_u4_hw    m3250_swio14_dual_ee_ce_u4_hw
 * m3250a_swio14_dual_ee_ce_u4_hw    m3250p_swio14_dual_ee_ce_u4_hw    m3250pa_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0xc4edf998bf84dacf, 0xcadd4d7aaf08673b, 0x13adae2faf7683ba, 0x7d737713b3eec5e7,
  0xaa0d5a1968e08787, 0x0862dde4b62776d6, 0x4a432cdcc13e3012, 0x369181bbada0644a, 0x5a774f8971030a18,
  0x9c2f0e6e5afccb13, 0x6bb9bd47c6ed8760, 0x9fbe08a11c913f83, 0xa001b87c2886257f, 0x488655777bbe6e0a,
  0xe136fb8a8432d08e, 0x5e425b7a4affa039, 0x787fecf43982c379, 0x2f0ee2faa3275283, 0x2fb892c79e57d607,
  0x5fea3e12fc436122, 0x6e99e2ee3702c8cf, 0xd4795cae94ed6e6e, 0x7befd47c1b307b7f, 0x148b34eb422814c5,
  0x828ea426be8c2cb1, 0x7631e8cf539d5db9, 0xe21b1aaf1b1d7a89, 0xbe9662e121146948, 0x88aa8d8226470dec,
  0x8abe77715252cf22, 0x73141daf2e556b3f, 0x5673a8a9546bb9c6, 0x7020274dcaed52df, 0xc434ae5f63d221cd,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0075d58cd017d3c9,
};

/*
 * m329a_swio15_noled                m329p_swio15_noled                m329pa_swio15_noled
 * m3290_swio15_noled                m3290a_swio15_noled               m3290p_swio15_noled
 * m3290pa_swio15_noled              m325_swio15_noled                 m325a_swio15_noled
 * m325p_swio15_noled                m325pa_swio15_noled               m3250_swio15_noled
 * m3250a_swio15_noled               m3250p_swio15_noled               m3250pa_swio15_noled
 */
static const uint64_t ur_m329_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x048218b7793bb0bd, 0xf7e879f31f304f8c, 0x109df2dd24a0edff, 0xd78e3a7f07cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xad5fefe910e6b3a6,
  0xae7b55a22bcb10d2, 0xa9c0594a9f4ef3f5, 0x5fb8a042d2c2e753, 0xbe6da718de33a204, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a45c6b8f9e4,
};

/*
 * m329_swio15_noled_pr_u4           m329a_swio15_noled_pr             m329a_swio15_noled_pr_u4
 * m329p_swio15_noled_pr             m329p_swio15_noled_pr_u4          m329pa_swio15_noled_pr
 * m329pa_swio15_noled_pr_u4         m3290_swio15_noled_pr             m3290_swio15_noled_pr_u4
 * m3290a_swio15_noled_pr            m3290a_swio15_noled_pr_u4         m3290p_swio15_noled_pr
 * m3290p_swio15_noled_pr_u4         m3290pa_swio15_noled_pr           m3290pa_swio15_noled_pr_u4
 * m325_swio15_noled_pr              m325_swio15_noled_pr_u4           m325a_swio15_noled_pr
 * m325a_swio15_noled_pr_u4          m325p_swio15_noled_pr             m325p_swio15_noled_pr_u4
 * m325pa_swio15_noled_pr            m325pa_swio15_noled_pr_u4         m3250_swio15_noled_pr
 * m3250_swio15_noled_pr_u4          m3250a_swio15_noled_pr            m3250a_swio15_noled_pr_u4
 * m3250p_swio15_noled_pr            m3250p_swio15_noled_pr_u4         m3250pa_swio15_noled_pr
 * m3250pa_swio15_noled_pr_u4
 */
static const uint64_t ur_m329_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0x7f2609f180904316, 0x83f282657f9e059f, 0xf07d07a8f2f8ef96, 0x16594d1ef4a8e3a7,
  0x1f3b4428f7b398b0, 0x49a5403ff6608ebd, 0x55abeb703cb3db11, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551,
  0xf7f4887359d372bb, 0xaad115e5886956af, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c,
  0xc1e6c25ccbe6d8c9, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x6880a792bf734332, 0x0000000000f9354d,
};

/*
 * m329a_swio15_noled_pr_ee          m329p_swio15_noled_pr_ee          m329pa_swio15_noled_pr_ee
 * m3290_swio15_noled_pr_ee          m3290a_swio15_noled_pr_ee         m3290p_swio15_noled_pr_ee
 * m3290pa_swio15_noled_pr_ee        m325_swio15_noled_pr_ee           m325a_swio15_noled_pr_ee
 * m325p_swio15_noled_pr_ee          m325pa_swio15_noled_pr_ee         m3250_swio15_noled_pr_ee
 * m3250a_swio15_noled_pr_ee         m3250p_swio15_noled_pr_ee         m3250pa_swio15_noled_pr_ee
 */
static const uint64_t ur_m329_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x609f180904316ef2, 0xa0c56ff3c0b3e4ea, 0x3caca5cd56b46fe4, 0x87ea3e0d98309fea,
  0x459a75a1143be2b2, 0x64d2135f4616588a, 0x3c90e756974acb8d, 0xaad743af3a6edd42, 0x5c24228f911c1fb1,
  0xb047eb70decb65cc, 0x2e556a0174982d51, 0x546bb9c673141daf, 0xaed52df57673a8a9, 0xabfdfd221cd674dc,
  0xcf6ab44579621a55, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x32455bd8aaa2d2da, 0x357079b09732f9b6,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x29e4afdcd0ccb0e9, 0x000000013af8c620,
};

/*
 * m329a_swio15_noled_pr_ee_u4       m329p_swio15_noled_pr_ee_u4       m329pa_swio15_noled_pr_ee_u4
 * m3290_swio15_noled_pr_ee_u4       m3290a_swio15_noled_pr_ee_u4      m3290p_swio15_noled_pr_ee_u4
 * m3290pa_swio15_noled_pr_ee_u4     m325_swio15_noled_pr_ee_u4        m325a_swio15_noled_pr_ee_u4
 * m325p_swio15_noled_pr_ee_u4       m325pa_swio15_noled_pr_ee_u4      m3250_swio15_noled_pr_ee_u4
 * m3250a_swio15_noled_pr_ee_u4      m3250p_swio15_noled_pr_ee_u4      m3250pa_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m329_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x69827c602410c5bb, 0x5283beffcf02cfc5, 0xa8f2b74b355ad199, 0x721fd47c1b306807,
  0x148b34eb422877c5, 0x2899a426be8c2cb1, 0x28def39d5a5ea52e, 0x355ae875eba9bb4e, 0x170908a16ba3b876,
  0x8e93eb70decb8723, 0x673141daf2e556ab, 0x57673a8a9546bb9c, 0x21cd674dcaed52df, 0x579621a55abfdfd2,
  0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x09732f9b632455bd, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000009d72ce202,
};

/*
 * m329_swio15_noled_pr_ce_u4        m329a_swio15_noled_pr_ce          m329a_swio15_noled_pr_ce_u4
 * m329p_swio15_noled_pr_ce          m329p_swio15_noled_pr_ce_u4       m329pa_swio15_noled_pr_ce
 * m329pa_swio15_noled_pr_ce_u4      m3290_swio15_noled_pr_ce          m3290_swio15_noled_pr_ce_u4
 * m3290a_swio15_noled_pr_ce         m3290a_swio15_noled_pr_ce_u4      m3290p_swio15_noled_pr_ce
 * m3290p_swio15_noled_pr_ce_u4      m3290pa_swio15_noled_pr_ce        m3290pa_swio15_noled_pr_ce_u4
 * m325_swio15_noled_pr_ce           m325_swio15_noled_pr_ce_u4        m325a_swio15_noled_pr_ce
 * m325a_swio15_noled_pr_ce_u4       m325p_swio15_noled_pr_ce          m325p_swio15_noled_pr_ce_u4
 * m325pa_swio15_noled_pr_ce         m325pa_swio15_noled_pr_ce_u4      m3250_swio15_noled_pr_ce
 * m3250_swio15_noled_pr_ce_u4       m3250a_swio15_noled_pr_ce         m3250a_swio15_noled_pr_ce_u4
 * m3250p_swio15_noled_pr_ce         m3250p_swio15_noled_pr_ce_u4      m3250pa_swio15_noled_pr_ce
 * m3250pa_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m329_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xc5bbc9dd1ec5aa38, 0xcfece9827c602410, 0xf5dbf2832bbfcf02, 0x58f3c0254ef7ddc5, 0xc25f886c2445f712,
  0x8bb8dcb9124afd47, 0x8f374f72c67eb267, 0x2a718e3a7f064f7a, 0xed10a3dece62c053, 0x9500ffd99e3af47c,
  0xabeb703cb5b84526, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae, 0xf4887359d372bb54, 0xd115e5886956aff7,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0xcd84b997cdb190c7, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x00000000375d3411,
};

/*
 * m329a_swio15_noled_pr_ee_ce       m329p_swio15_noled_pr_ee_ce       m329pa_swio15_noled_pr_ee_ce
 * m3290_swio15_noled_pr_ee_ce       m3290a_swio15_noled_pr_ee_ce      m3290p_swio15_noled_pr_ee_ce
 * m3290pa_swio15_noled_pr_ee_ce     m325_swio15_noled_pr_ee_ce        m325a_swio15_noled_pr_ee_ce
 * m325p_swio15_noled_pr_ee_ce       m325pa_swio15_noled_pr_ee_ce      m3250_swio15_noled_pr_ee_ce
 * m3250a_swio15_noled_pr_ee_ce      m3250p_swio15_noled_pr_ee_ce      m3250pa_swio15_noled_pr_ee_ce
 */
static const uint64_t ur_m329_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0x4d4c13e30120862d, 0x4b941ff9fe78167f, 0x00953bff877fd519, 0x4e771b9950d07fcf,
  0xace1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xcd3ad08a05315975, 0xa909afa30b2c4522, 0x423c90e7576e4ac3,
  0x6355e363af3a6edd, 0x98b848451f22383f, 0x51b044c8e1bd96cb, 0xaf2e556a59f4982d, 0xa9546bb9c673141d,
  0xdcaed52df57673a8, 0x55abfdfd221cd674, 0x75cf6ab44579621a, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d,
  0x6c6431dbd8aaa2d2, 0x71726ae3612e65f3, 0xeacc7903f2868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0x98f2f1014f257ee6, 0x00000000000000a6,
};

/*
 * m329a_swio15_noled_pr_ee_ce_u4    m329p_swio15_noled_pr_ee_ce_u4    m329pa_swio15_noled_pr_ee_ce_u4
 * m3290_swio15_noled_pr_ee_ce_u4    m3290a_swio15_noled_pr_ee_ce_u4   m3290p_swio15_noled_pr_ee_ce_u4
 * m3290pa_swio15_noled_pr_ee_ce_u4  m325_swio15_noled_pr_ee_ce_u4     m325a_swio15_noled_pr_ee_ce_u4
 * m325p_swio15_noled_pr_ee_ce_u4    m325pa_swio15_noled_pr_ee_ce_u4   m3250_swio15_noled_pr_ee_ce_u4
 * m3250a_swio15_noled_pr_ee_ce_u4   m3250p_swio15_noled_pr_ee_ce_u4   m3250pa_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x374c13e30120862d, 0x74a0b5dffd8aecfe, 0x6d01c6bbb8bea8f6, 0x1b09117dc4963cf3,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x9c673141daf2e556, 0xdf57673a8a9546bb, 0xd221cd674dcaed52, 0x44579621a55abfdf, 0xc34ef3e2d75cf6ab,
  0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x3612e65f36c6431d, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x38dd16792bf73433,
  0x000000000004fc19,
};

/*
 * m329a_swio15_noled_ee_hw          m329p_swio15_noled_ee_hw          m329pa_swio15_noled_ee_hw
 * m3290_swio15_noled_ee_hw          m3290a_swio15_noled_ee_hw         m3290p_swio15_noled_ee_hw
 * m3290pa_swio15_noled_ee_hw        m325_swio15_noled_ee_hw           m325a_swio15_noled_ee_hw
 * m325p_swio15_noled_ee_hw          m325pa_swio15_noled_ee_hw         m3250_swio15_noled_ee_hw
 * m3250a_swio15_noled_ee_hw         m3250p_swio15_noled_ee_hw         m3250pa_swio15_noled_ee_hw
 */
static const uint64_t ur_m329_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x2dde4ee80a499a73, 0x7c9d4c13e3012086, 0xa37f25062b7fd0a6, 0x84ff51e5652e6ab5, 0xdf15943f51f06cc1,
  0xb2c4522cd3ad08a1, 0x565c6b26909afa30, 0x76ea11e4873ab4ba, 0xe0fd8d56ba1d79d3, 0x5b2e62e121147c88,
  0xc16a8d823f5b86f6, 0xa0ed7972ab500ba4, 0x9d454aa35dce3398, 0xb3a6e576a96fabb3, 0x10d2ad5fefe910e6,
  0xf16bae7b55a22bcb, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x97cdb1922adec555, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000016ffe49d14f,
};

/*
 * m329_swio15_noled_ee_ce_u4_hw     m329a_swio15_noled_ee_ce_hw       m329a_swio15_noled_ee_ce_u4_hw
 * m329p_swio15_noled_ee_ce_hw       m329p_swio15_noled_ee_ce_u4_hw    m329pa_swio15_noled_ee_ce_hw
 * m329pa_swio15_noled_ee_ce_u4_hw   m3290_swio15_noled_ee_ce_hw       m3290_swio15_noled_ee_ce_u4_hw
 * m3290a_swio15_noled_ee_ce_hw      m3290a_swio15_noled_ee_ce_u4_hw   m3290p_swio15_noled_ee_ce_hw
 * m3290p_swio15_noled_ee_ce_u4_hw   m3290pa_swio15_noled_ee_ce_hw     m3290pa_swio15_noled_ee_ce_u4_hw
 * m325_swio15_noled_ee_ce_hw        m325_swio15_noled_ee_ce_u4_hw     m325a_swio15_noled_ee_ce_hw
 * m325a_swio15_noled_ee_ce_u4_hw    m325p_swio15_noled_ee_ce_hw       m325p_swio15_noled_ee_ce_u4_hw
 * m325pa_swio15_noled_ee_ce_hw      m325pa_swio15_noled_ee_ce_u4_hw   m3250_swio15_noled_ee_ce_hw
 * m3250_swio15_noled_ee_ce_u4_hw    m3250a_swio15_noled_ee_ce_hw      m3250a_swio15_noled_ee_ce_u4_hw
 * m3250p_swio15_noled_ee_ce_hw      m3250p_swio15_noled_ee_ce_u4_hw   m3250pa_swio15_noled_ee_ce_hw
 * m3250pa_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0x16ef27777ec2da9a, 0x7f1ba609f1809043, 0x8f674a0b5dffd0a6, 0xcf36d01c6bbb8bea, 0x7e21b09117dc4963,
  0x373907575ff51f09, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0xd7738ce6283b5e5c, 0xaa5beaece75152a8, 0xfbfa4439ace9b95d, 0xd5688af2c434ab57, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x71e6c25ccbe6d8c8, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x432728a792bf7343, 0x0000000000000140,
};

/*
 * m329a_swio15_lednop               m329p_swio15_lednop               m329pa_swio15_lednop
 * m3290_swio15_lednop               m3290a_swio15_lednop              m3290p_swio15_lednop
 * m3290pa_swio15_lednop             m325_swio15_lednop                m325a_swio15_lednop
 * m325p_swio15_lednop               m325pa_swio15_lednop              m3250_swio15_lednop
 * m3250a_swio15_lednop              m3250p_swio15_lednop              m3250pa_swio15_lednop
 */
static const uint64_t ur_m329_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x02410c5bbc9ddb1e, 0xfbf43cfc069827c6, 0xc90ef96e925043df, 0x98c71d3f83e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0xa9546bb9c673141d, 0xdcaed52df57673a8, 0x563d221cd7020274,
  0xf6ab44579621a572, 0x4b5e5380b9d01e5c, 0x7d14085a561130bd, 0xe6da718de33a2051, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000549f5eb8f9e4a,
};

/*
 * m329_swio15_lednop_pr_u4          m329a_swio15_lednop_pr            m329a_swio15_lednop_pr_u4
 * m329p_swio15_lednop_pr            m329p_swio15_lednop_pr_u4         m329pa_swio15_lednop_pr
 * m329pa_swio15_lednop_pr_u4        m3290_swio15_lednop_pr            m3290_swio15_lednop_pr_u4
 * m3290a_swio15_lednop_pr           m3290a_swio15_lednop_pr_u4        m3290p_swio15_lednop_pr
 * m3290p_swio15_lednop_pr_u4        m3290pa_swio15_lednop_pr          m3290pa_swio15_lednop_pr_u4
 * m325_swio15_lednop_pr             m325_swio15_lednop_pr_u4          m325a_swio15_lednop_pr
 * m325a_swio15_lednop_pr_u4         m325p_swio15_lednop_pr            m325p_swio15_lednop_pr_u4
 * m325pa_swio15_lednop_pr           m325pa_swio15_lednop_pr_u4        m3250_swio15_lednop_pr
 * m3250_swio15_lednop_pr_u4         m3250a_swio15_lednop_pr           m3250a_swio15_lednop_pr_u4
 * m3250p_swio15_lednop_pr           m3250p_swio15_lednop_pr_u4        m3250pa_swio15_lednop_pr
 * m3250pa_swio15_lednop_pr_u4
 */
static const uint64_t ur_m329_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xa95304f8c048218b, 0x07e504c7ff9e059f, 0xf07d07a8fa51df2d, 0x2cb29a0304f8e3a7,
  0x3e765f11c6473160, 0xb86a807fecc11d7a, 0xad6e1c81e59ed8df, 0x7738ce6283b5e5ca, 0xa5beaece75152a8d,
  0x439ae0404e9b95da, 0x8af2c434ae4ac7a4, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x9732f9b6815156f6, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00003e4ffaa22029,
};

/*
 * m329a_swio15_lednop_pr_ee         m329p_swio15_lednop_pr_ee         m329pa_swio15_lednop_pr_ee
 * m3290_swio15_lednop_pr_ee         m3290a_swio15_lednop_pr_ee        m3290p_swio15_lednop_pr_ee
 * m3290pa_swio15_lednop_pr_ee       m325_swio15_lednop_pr_ee          m325a_swio15_lednop_pr_ee
 * m325p_swio15_lednop_pr_ee         m325pa_swio15_lednop_pr_ee        m3250_swio15_lednop_pr_ee
 * m3250a_swio15_lednop_pr_ee        m3250p_swio15_lednop_pr_ee        m3250pa_swio15_lednop_pr_ee
 */
static const uint64_t ur_m329_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0x9827c602410c5bbc, 0x504e0ff9e059fa1f, 0x1e56a7a6ab5a37f2, 0x04f51f06cc184ff5,
  0x22cd3ad08a1df15e, 0xb26909afa30b2c45, 0x182873ab4bc875c6, 0xd56ba1d79d376ee9, 0x2e121144dc8f22d8,
  0xd823f5b86f65b2e6, 0xcb955a80422934a8, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x8f488735c0809d37,
  0xaad115e588695c95, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xf3612e65f36d02a2,
  0xca1a2cb579726ae0, 0xc2a73f53ab31e40f, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271,
  0xbe10c4053c95fb9a, 0x000000000000004e,
};

/*
 * m329a_swio15_lednop_pr_ee_u4      m329p_swio15_lednop_pr_ee_u4      m329pa_swio15_lednop_pr_ee_u4
 * m3290_swio15_lednop_pr_ee_u4      m3290a_swio15_lednop_pr_ee_u4     m3290p_swio15_lednop_pr_ee_u4
 * m3290pa_swio15_lednop_pr_ee_u4    m325_swio15_lednop_pr_ee_u4       m325a_swio15_lednop_pr_ee_u4
 * m325p_swio15_lednop_pr_ee_u4      m325pa_swio15_lednop_pr_ee_u4     m3250_swio15_lednop_pr_ee_u4
 * m3250a_swio15_lednop_pr_ee_u4     m3250p_swio15_lednop_pr_ee_u4     m3250pa_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m329_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x5bbc9dd1ec5aa38c, 0xfa1f9827c602410c, 0x332a504e0ff9e059, 0x00f51e5670e6ab5a, 0xf8adc9fa8f83660d,
  0x962291669d68450e, 0xb5c5133484d7d185, 0x65f11c4273ab4baf, 0x16c6ab5d0ebd7537, 0x723170908a06fa31,
  0xd570b3feb70decb8, 0x738ce6283b5e5caa, 0x5beaece75152a8d7, 0x39ae0404e9b95daa, 0xaf2c434ae4ac7a44,
  0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0x78ce88139f450216, 0x79b09732f9b69c63, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x0000000004eba682,
};

/*
 * m329a_swio15_lednop_pr_ce         m329p_swio15_lednop_pr_ce         m329pa_swio15_lednop_pr_ce
 * m3290_swio15_lednop_pr_ce         m3290a_swio15_lednop_pr_ce        m3290p_swio15_lednop_pr_ce
 * m3290pa_swio15_lednop_pr_ce       m325_swio15_lednop_pr_ce          m325a_swio15_lednop_pr_ce
 * m325p_swio15_lednop_pr_ce         m325pa_swio15_lednop_pr_ce        m3250_swio15_lednop_pr_ce
 * m3250a_swio15_lednop_pr_ce        m3250p_swio15_lednop_pr_ce        m3250pa_swio15_lednop_pr_ce
 */
static const uint64_t ur_m329_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0xb7793ba829395c10, 0xf1ad304f8c048218, 0xbb7e5074dff9e059, 0x1e7804a9deceb8be, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0xe719ee58cfd64cf1, 0x9eb1c74fe0c9ef51, 0x2f88e32398b014c7, 0x403ff6678ebd1f3b,
  0xc3903cb5b86fdc35, 0x19cc5076bcb955ad, 0xd5d9cea2a551aee7, 0x5c0809d372bb54b7, 0x588695c958f48873,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6da0518edec555, 0x3e2e4d5c1e6c25cc,
  0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x9e880a792bf73433, 0x000000000000dd7e,
};

/*
 * m329a_swio15_lednop_pr_ce_u4      m329p_swio15_lednop_pr_ce_u4      m329pa_swio15_lednop_pr_ce_u4
 * m3290_swio15_lednop_pr_ce_u4      m3290a_swio15_lednop_pr_ce_u4     m3290p_swio15_lednop_pr_ce_u4
 * m3290pa_swio15_lednop_pr_ce_u4    m325_swio15_lednop_pr_ce_u4       m325a_swio15_lednop_pr_ce_u4
 * m325p_swio15_lednop_pr_ce_u4      m325pa_swio15_lednop_pr_ce_u4     m3250_swio15_lednop_pr_ce_u4
 * m3250a_swio15_lednop_pr_ce_u4     m3250p_swio15_lednop_pr_ce_u4     m3250pa_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m329_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x16ef277505272e9c, 0x3f6ea609f1809043, 0xea7aca0e04ff3c0b, 0xb1e7804a9de56b8b, 0x84bf10d8488bee24,
  0x1771b8951723fa8f, 0x7c927b9633f19ccf, 0x8148e3a7f0621fd4, 0xcf7a3b58e62c05ee, 0x45dc72c678ebc5ce,
  0xcc5076bcb955a8e8, 0xd9cea2a551aee719, 0x0809d372bb54b7d5, 0x8695c958f488735c, 0x2b5d73daad115e58,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x75eaca880a792bf7, 0x0000000000000003,
};

/*
 * m329a_swio15_lednop_pr_ee_ce      m329p_swio15_lednop_pr_ee_ce      m329pa_swio15_lednop_pr_ee_ce
 * m3290_swio15_lednop_pr_ee_ce      m3290a_swio15_lednop_pr_ee_ce     m3290p_swio15_lednop_pr_ee_ce
 * m3290pa_swio15_lednop_pr_ee_ce    m325_swio15_lednop_pr_ee_ce       m325a_swio15_lednop_pr_ee_ce
 * m325p_swio15_lednop_pr_ee_ce      m325pa_swio15_lednop_pr_ee_ce     m3250_swio15_lednop_pr_ee_ce
 * m3250a_swio15_lednop_pr_ee_ce     m3250p_swio15_lednop_pr_ee_ce     m3250pa_swio15_lednop_pr_ee_ce
 */
static const uint64_t ur_m329_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xb5b9827c602410c5, 0xa5ca0a6dff9e059f, 0x00953b4db3bfea8c, 0x4e771b8a49cdffcf,
  0xaca1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xcd3ad08a05315b05, 0xa909afa30b2c4522, 0xd23050e7576e90e3,
  0x6355e363af3a6edd, 0x98b8484513723c8b, 0x51b044c8e1bd96cb, 0xd7972ab52cc45269, 0x54aa35dce3398a0e,
  0x6e576a96fabb39d4, 0x2b1e910e6b81013a, 0x7b55a22bcb10d2b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xab8d84b997cdb40a, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xc4053c95fb9a1996, 0x000000000029a78d,
};

/*
 * m329a_swio15_lednop_pr_ee_ce_u4   m329p_swio15_lednop_pr_ee_ce_u4   m329pa_swio15_lednop_pr_ee_ce_u4
 * m3290_swio15_lednop_pr_ee_ce_u4   m3290a_swio15_lednop_pr_ee_ce_u4  m3290p_swio15_lednop_pr_ee_ce_u4
 * m3290pa_swio15_lednop_pr_ee_ce_u4 m325_swio15_lednop_pr_ee_ce_u4    m325a_swio15_lednop_pr_ee_ce_u4
 * m325p_swio15_lednop_pr_ee_ce_u4   m325pa_swio15_lednop_pr_ee_ce_u4  m3250_swio15_lednop_pr_ee_ce_u4
 * m3250a_swio15_lednop_pr_ee_ce_u4  m3250p_swio15_lednop_pr_ee_ce_u4  m3250pa_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x6b7304f8c048218b, 0xce941149ff62bb3e, 0x36d01c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xb9c673141daf2e55, 0x2df57673a8a9546b, 0x1cd7020274dcaed5, 0x579621a572563d22, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x8b3c95fb9a19961d,
  0x00000004fc07936e,
};

/*
 * m329a_swio15_lednop_ee_hw         m329p_swio15_lednop_ee_hw         m329pa_swio15_lednop_ee_hw
 * m3290_swio15_lednop_ee_hw         m3290a_swio15_lednop_ee_hw        m3290p_swio15_lednop_ee_hw
 * m3290pa_swio15_lednop_ee_hw       m325_swio15_lednop_ee_hw          m325a_swio15_lednop_ee_hw
 * m325p_swio15_lednop_ee_hw         m325pa_swio15_lednop_ee_hw        m3250_swio15_lednop_ee_hw
 * m3250a_swio15_lednop_ee_hw        m3250p_swio15_lednop_ee_hw        m3250pa_swio15_lednop_ee_hw
 */
static const uint64_t ur_m329_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x8b7793ba76821e96, 0x3f43f304f8c04821, 0xd1bf9282707fe853, 0xc27fa8f2b53d355a, 0xef8af027a8f83660,
  0x5962291669d68450, 0x43ae3593484d7d18, 0xbb7748c1439d5a5e, 0x7916c6ab5d0ebce9, 0x2d973170908a26e4,
  0x49a546c11fadc37b, 0x283b5e5caad40211, 0xe75152a8d7738ce6, 0x04e9b95daa5beaec, 0x4ae4ac7a4439ae04,
  0xaeb9ed5688af2c43, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6815156f62aa8b49, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x02df9a9ca29e4afd,
};

/*
 * m329_swio15_lednop_ee_ce_u4_hw    m329a_swio15_lednop_ee_ce_hw      m329a_swio15_lednop_ee_ce_u4_hw
 * m329p_swio15_lednop_ee_ce_hw      m329p_swio15_lednop_ee_ce_u4_hw   m329pa_swio15_lednop_ee_ce_hw
 * m329pa_swio15_lednop_ee_ce_u4_hw  m3290_swio15_lednop_ee_ce_hw      m3290_swio15_lednop_ee_ce_u4_hw
 * m3290a_swio15_lednop_ee_ce_hw     m3290a_swio15_lednop_ee_ce_u4_hw  m3290p_swio15_lednop_ee_ce_hw
 * m3290p_swio15_lednop_ee_ce_u4_hw  m3290pa_swio15_lednop_ee_ce_hw    m3290pa_swio15_lednop_ee_ce_u4_hw
 * m325_swio15_lednop_ee_ce_hw       m325_swio15_lednop_ee_ce_u4_hw    m325a_swio15_lednop_ee_ce_hw
 * m325a_swio15_lednop_ee_ce_u4_hw   m325p_swio15_lednop_ee_ce_hw      m325p_swio15_lednop_ee_ce_u4_hw
 * m325pa_swio15_lednop_ee_ce_hw     m325pa_swio15_lednop_ee_ce_u4_hw  m3250_swio15_lednop_ee_ce_hw
 * m3250_swio15_lednop_ee_ce_u4_hw   m3250a_swio15_lednop_ee_ce_hw     m3250a_swio15_lednop_ee_ce_u4_hw
 * m3250p_swio15_lednop_ee_ce_hw     m3250p_swio15_lednop_ee_ce_u4_hw  m3250pa_swio15_lednop_ee_ce_hw
 * m3250pa_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x5bbc9dd75bae3b5d, 0xf35b9827c602410c, 0x1ece941149ff4299, 0xcf36d01c149717d5, 0x7e21b09117dc4963,
  0x8dcf39753bf51f09, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x488735c0809d372b, 0xd115e588695c958f, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xe8a792bf734332c3, 0x00000000028081e4,
};

/*
 * m329_swio15_dual_pr               m329_swio15_dual_pr_u4            m329a_swio15_dual
 * m329a_swio15_dual_pr              m329a_swio15_dual_pr_u4           m329p_swio15_dual
 * m329p_swio15_dual_pr              m329p_swio15_dual_pr_u4           m329pa_swio15_dual
 * m329pa_swio15_dual_pr             m329pa_swio15_dual_pr_u4          m3290_swio15_dual
 * m3290_swio15_dual_pr              m3290_swio15_dual_pr_u4           m3290a_swio15_dual
 * m3290a_swio15_dual_pr             m3290a_swio15_dual_pr_u4          m3290p_swio15_dual
 * m3290p_swio15_dual_pr             m3290p_swio15_dual_pr_u4          m3290pa_swio15_dual
 * m3290pa_swio15_dual_pr            m3290pa_swio15_dual_pr_u4         m325_swio15_dual
 * m325_swio15_dual_pr               m325_swio15_dual_pr_u4            m325a_swio15_dual
 * m325a_swio15_dual_pr              m325a_swio15_dual_pr_u4           m325p_swio15_dual
 * m325p_swio15_dual_pr              m325p_swio15_dual_pr_u4           m325pa_swio15_dual
 * m325pa_swio15_dual_pr             m325pa_swio15_dual_pr_u4          m3250_swio15_dual
 * m3250_swio15_dual_pr              m3250_swio15_dual_pr_u4           m3250a_swio15_dual
 * m3250a_swio15_dual_pr             m3250a_swio15_dual_pr_u4          m3250p_swio15_dual
 * m3250p_swio15_dual_pr             m3250p_swio15_dual_pr_u4          m3250pa_swio15_dual
 * m3250pa_swio15_dual_pr            m3250pa_swio15_dual_pr_u4
 */
static const uint64_t ur_m329_swio15_dual[] = {
  0xc7bbbbbb44869a4e, 0x7e276fc75e10cda5, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b75719,
  0x2b43bb8fea3151f1, 0x304f8c048218b779, 0xdd6d032252522e87, 0x4b881850c1b48c0d, 0x3393fccae833ba7c,
  0xea3bf9b05f67028b, 0x114239227f06654d, 0x70f8510c4aff3f7c, 0x2abbbddf37200003, 0xb5a2a10cb4232443,
  0x25b7287ff4073c26, 0xbfdcd7982c3795e4, 0x7dbe77cb3df283fb, 0x47b8e3a7f0707fd4, 0x884e62c05507992b,
  0xb30475e00ceda523, 0xe59eda63192a01ff, 0x157ceee2a4b81281, 0xe6283b5e5caad67f, 0xece75152a8d7738c,
  0x0404e9b95daa5bea, 0x434ae4ac7a4439ae, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b6815156f62aa8b, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000a49ef056e8b3c,
};

/*
 * m329a_swio15_dual_pr_ee           m329p_swio15_dual_pr_ee           m329pa_swio15_dual_pr_ee
 * m3290_swio15_dual_pr_ee           m3290a_swio15_dual_pr_ee          m3290p_swio15_dual_pr_ee
 * m3290pa_swio15_dual_pr_ee         m325_swio15_dual_pr_ee            m325a_swio15_dual_pr_ee
 * m325p_swio15_dual_pr_ee           m325pa_swio15_dual_pr_ee          m3250_swio15_dual_pr_ee
 * m3250a_swio15_dual_pr_ee          m3250p_swio15_dual_pr_ee          m3250pa_swio15_dual_pr_ee
 */
static const uint64_t ur_m329_swio15_dual_pr_ee[] = {
  0x586ddddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0xcf59198f6d9beec7, 0xf700faabc99bd7b0,
  0xe772e2fbb0af7aca, 0x3e30120862dde4f4, 0x6819129290e9d4c1, 0x40c2860da4606eeb, 0xffe657419dd3e25c,
  0x275b04b4700b5318, 0x8e489fc1c569bd47, 0x144312bfcfdf0450, 0xbddf373bac00dc3e, 0x4219682fb4432abb,
  0xedffd01cf0983dc5, 0xbcc161bcaf212dbc, 0x5a3727283d3ffee6, 0x1c7bf51e57a6e6ab, 0x1df15ecef51f06cc,
  0x0b2c4522cd3ad08a, 0xa797152e6909afa3, 0x5d9fc47d41cead2e, 0x1fc96355ae875ea2, 0x97d2cc5c242283d5,
  0x9bdaa3608fd6e1bd, 0xf157ceee2a4a010f, 0xce6283b5e5caad67, 0xaece75152a8d7738, 0xe0404e9b95daa5be,
  0xc434ae4ac7a4439a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0x8b1e70dc79b09732, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x003214b1fdba2cf2,
};

/*
 * m329a_swio15_dual_pr_ee_u4        m329p_swio15_dual_pr_ee_u4        m329pa_swio15_dual_pr_ee_u4
 * m3290_swio15_dual_pr_ee_u4        m3290a_swio15_dual_pr_ee_u4       m3290p_swio15_dual_pr_ee_u4
 * m3290pa_swio15_dual_pr_ee_u4      m325_swio15_dual_pr_ee_u4         m325a_swio15_dual_pr_ee_u4
 * m325p_swio15_dual_pr_ee_u4        m325pa_swio15_dual_pr_ee_u4       m3250_swio15_dual_pr_ee_u4
 * m3250a_swio15_dual_pr_ee_u4       m3250p_swio15_dual_pr_ee_u4       m3250pa_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m329_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b561, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5ec33d64,
  0x41f5d717d35bdc03, 0x10c5bbc9e9cee1a7, 0x2521d3a9827c6024, 0x1b48c0ddd6d03225, 0xe53ba7c4b881850c,
  0x4700b5318ffe65a0, 0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xbac00dc3e144312b, 0xfb4432abbbddf373,
  0xcf0983dc54219682, 0xcaf212dbcedffd01, 0x0f4fffe3f0cc161b, 0x95e9b9aad68dc9ca, 0xbd47c1b3071efd47,
  0xb34eb422877c57b3, 0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5,
  0x23f5b86f65f4b317, 0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45,
  0xb1e910e6b81013a6, 0xb55a22bcb10d2b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x1e6c25ccbe6da054, 0xf6ec68b1be2e4d5c, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x374f257ee6866587, 0x00000002b225b4f2,
};

/*
 * m329a_swio15_dual_pr_ce           m329p_swio15_dual_pr_ce           m329pa_swio15_dual_pr_ce
 * m3290_swio15_dual_pr_ce           m3290a_swio15_dual_pr_ce          m3290p_swio15_dual_pr_ce
 * m3290pa_swio15_dual_pr_ce         m325_swio15_dual_pr_ce            m325a_swio15_dual_pr_ce
 * m325p_swio15_dual_pr_ce           m325pa_swio15_dual_pr_ce          m3250_swio15_dual_pr_ce
 * m3250a_swio15_dual_pr_ce          m3250p_swio15_dual_pr_ce          m3250pa_swio15_dual_pr_ce
 */
static const uint64_t ur_m329_swio15_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a70,
  0x4c4bb8e08ab2c10c, 0x609f180904316ef2, 0xbada0644a4a40aa2, 0x971030a18369181b, 0xdd5ff995d06774f8,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc0448037, 0xf150865a01ed10ca,
  0xb7ff9ff4073c2609, 0xdcd7982c3795e425, 0x7dc5f580d2824ebf, 0xee24b1e79b680e75, 0xfa8f84bf10d8488b,
  0x5ccf1771b9d66c87, 0x17d479127b9633ea, 0x05fdc65471d3f831, 0x00ceda523884e62c, 0x3192a01ffb33c75e,
  0x8a92e04a0796b726, 0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xb1e910e6b81013a6,
  0xb55a22bcb10d2b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3,
  0xbf83bb8d165abc6e, 0x8d2861539fa9d599, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x00d242b537459e4a,
};

/*
 * m329a_swio15_dual_pr_ce_u4        m329p_swio15_dual_pr_ce_u4        m329pa_swio15_dual_pr_ce_u4
 * m3290_swio15_dual_pr_ce_u4        m3290a_swio15_dual_pr_ce_u4       m3290p_swio15_dual_pr_ce_u4
 * m3290pa_swio15_dual_pr_ce_u4      m325_swio15_dual_pr_ce_u4         m325a_swio15_dual_pr_ce_u4
 * m325p_swio15_dual_pr_ce_u4        m325pa_swio15_dual_pr_ce_u4       m3250_swio15_dual_pr_ce_u4
 * m3250a_swio15_dual_pr_ce_u4       m3250p_swio15_dual_pr_ce_u4       m3250pa_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m329_swio15_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x89c9d4cca76f5d84, 0x2d4e900d57efdeed,
  0xef25a2bb9e08ce9c, 0x8c6609f180904316, 0x03775b40c8949488, 0x9f12e20614306d23, 0x4dcd15bf32ba0cee,
  0xe6f51f2b6c37d9c3, 0x7c114239227f0650, 0x0370f8510c4aff3f, 0x8655777bbe6e3218, 0x9a718a8432d009e8,
  0x212db8cdffd01cf0, 0x83fee6bcc161bcaf, 0x1cc09717d4ca9413, 0x9117dc4963cf36d0, 0x2e47f51f097e21b0,
  0x6787199e2ee3712a, 0xf064d7a8f38cf72c, 0xe62c0532a6e8e3a7, 0xe3af22dd96ba38c8, 0xe2a4a3ab5b71cb19,
  0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0xb95daa5beaece751, 0xac7a4439ae0404e9, 0xed5688af2c434ae4,
  0x594d8b3a03cfd6b9, 0x3182169ab9d5ea58, 0x6d38c6f19d10273e, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x003490216dd16792,
};

/*
 * m329a_swio15_dual_pr_ee_ce        m329p_swio15_dual_pr_ee_ce        m329pa_swio15_dual_pr_ee_ce
 * m3290_swio15_dual_pr_ee_ce        m3290a_swio15_dual_pr_ee_ce       m3290p_swio15_dual_pr_ee_ce
 * m3290pa_swio15_dual_pr_ee_ce      m325_swio15_dual_pr_ee_ce         m325a_swio15_dual_pr_ee_ce
 * m325p_swio15_dual_pr_ee_ce        m325pa_swio15_dual_pr_ee_ce       m3250_swio15_dual_pr_ee_ce
 * m3250a_swio15_dual_pr_ee_ce       m3250p_swio15_dual_pr_ee_ce       m3250pa_swio15_dual_pr_ee_ce
 */
static const uint64_t ur_m329_swio15_dual_pr_ee_ce[] = {
  0x5f6b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c97ed,
  0x3b9a3ea74704dd9c, 0xf180904316ef2727, 0x81912929047ae609, 0x0c2860da4606eeb6, 0x7e657419dd3e25c4,
  0xfcd80683869a99fe, 0xe489fc1f4fcdea3f, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d038688655777,
  0xeffa039e133938a8, 0x982c3795e425b7c6, 0x46c1650676ffdcd7, 0xe79b680e4ed9dff5, 0x984e771b8089300f,
  0x3cad4f4a76b2b221, 0x09ea3e0d98309fea, 0x459a75a1140a62bc, 0x4752135f4616588a, 0x8ca47389ceaedc5d,
  0x7b1aaf1b1d7b589d, 0xf18b8484512f91ad, 0x2e311f0c8e1bd971, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x6a96fabb39d454aa, 0x910e6b81013a6e57, 0xa22bcb10d2b92b1e, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0x84b997cdb40a31db, 0x0eee3458f386e3cd, 0xcf4c2b93f75666fe, 0xa4a5b3e04e32c970,
  0xd16792bf734332c3, 0x000000002608a9cd,
};

/*
 * m329a_swio15_dual_pr_ee_ce_u4     m329p_swio15_dual_pr_ee_ce_u4     m329pa_swio15_dual_pr_ee_ce_u4
 * m3290_swio15_dual_pr_ee_ce_u4     m3290a_swio15_dual_pr_ee_ce_u4    m3290p_swio15_dual_pr_ee_ce_u4
 * m3290pa_swio15_dual_pr_ee_ce_u4   m325_swio15_dual_pr_ee_ce_u4      m325a_swio15_dual_pr_ee_ce_u4
 * m325p_swio15_dual_pr_ee_ce_u4     m325pa_swio15_dual_pr_ee_ce_u4    m3250_swio15_dual_pr_ee_ce_u4
 * m3250a_swio15_dual_pr_ee_ce_u4    m3250p_swio15_dual_pr_ee_ce_u4    m3250pa_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m329_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d157, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x4377138abec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0xea89827c602410c5, 0x81bbada0644a4a45, 0x4f8971030a183691,
  0x0e6e5afccb41ca77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01,
  0xf7150865a11c910c, 0xb6e495ff4073c26d, 0xf8fc330586f2bc84, 0xc5f547d5f28330df, 0x1258f3cdb49dcc35,
  0x47c25f886c2445f7, 0x78bb8dc4e3fb8ffd, 0x57bee53b5b9b9ba6, 0x7a8f83660ccaf51e, 0x669d68450298aedd,
  0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767, 0x662e121141ea8fe4, 0xa8d8226470decbe9,
  0xf3bb8a929663e6f6, 0xa0ed7972ab59fc55, 0x9d454aa35dce3398, 0x13a6e576a96fabb3, 0x2b92b1e910e6b810,
  0xbae7b55a22bcb10d, 0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb,
  0x7f07edd8d1637c5c, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x17e46e9e4afdcd0c, 0x0000000000100010,
};

/*
 * m329a_swio15_dual_ee_hw           m329p_swio15_dual_ee_hw           m329pa_swio15_dual_ee_hw
 * m3290_swio15_dual_ee_hw           m3290a_swio15_dual_ee_hw          m3290p_swio15_dual_ee_hw
 * m3290pa_swio15_dual_ee_hw         m325_swio15_dual_ee_hw            m325a_swio15_dual_ee_hw
 * m325p_swio15_dual_ee_hw           m325pa_swio15_dual_ee_hw          m3250_swio15_dual_ee_hw
 * m3250a_swio15_dual_ee_hw          m3250p_swio15_dual_ee_hw          m3250pa_swio15_dual_ee_hw
 */
static const uint64_t ur_m329_swio15_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x47c4edf8d4c9b36a, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdebd86,
  0xe9ceeeec6ecde62f, 0x827c602410c5bbc9, 0xd6d032252521d3a9, 0xb881850c1b48c0dd, 0x31ffccae833ba7c4,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e775801b8, 0x8a8432d05f688655,
  0x79dbffa039e1307b, 0xa91982c3795e425b, 0xad68dc9ca0f4ffff, 0x3071efd4795e9b9a, 0x2877c57b3bd47c1b,
  0x8c2cb1148b34eb42, 0xba9e5c54b9a426be, 0x89767f11f5073ab4, 0x547f258d56ba1d7a, 0xf65f4b3170908a0f,
  0x3e6f6a8d823f5b86, 0x9fc55f3bb8a92804, 0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96,
  0xcb10d2b92b1e910e, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0xcbe6da05455bd8aa,
  0x7ea5eae371e6c25c, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0x5dab1fe8a792bf73, 0x0000000000000001,
};

/*
 * m329a_swio15_dual_ee_ce_hw        m329p_swio15_dual_ee_ce_hw        m329pa_swio15_dual_ee_ce_hw
 * m3290_swio15_dual_ee_ce_hw        m3290a_swio15_dual_ee_ce_hw       m3290p_swio15_dual_ee_ce_hw
 * m3290pa_swio15_dual_ee_ce_hw      m325_swio15_dual_ee_ce_hw         m325a_swio15_dual_ee_ce_hw
 * m325p_swio15_dual_ee_ce_hw        m325pa_swio15_dual_ee_ce_hw       m3250_swio15_dual_ee_ce_hw
 * m3250a_swio15_dual_ee_ce_hw       m3250p_swio15_dual_ee_ce_hw       m3250pa_swio15_dual_ee_ce_hw
 */
static const uint64_t ur_m329_swio15_dual_ee_ce_hw[] = {
  0x9396eeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a9c92,
  0xbba591aeba55857b, 0xf180904316ef2599, 0x032252520f67a609, 0x1850c1b48c0ddd6d, 0xfccae833ba7c4b88,
  0x6b60ff0e188266bb, 0xc913f83ff937a8fa, 0x886257f9fbe08a11, 0xbbe6e059001b87c2, 0x432d060a88655777,
  0x3ffa039e134878a8, 0x982c3795e425b7bc, 0x8e574a0d6ffffa91, 0xcf36d01cadf3bfea, 0x984e771b9d1f524f,
  0x3caf7dca76b2b26e, 0xbaf51f06cc1995ea, 0x22cd3ad08a05315d, 0xc3a909afa30b2c45, 0xcfe23ea0e7576e53,
  0xc96355e363af512e, 0xd2cc5c242283d51f, 0xed51b044c8e1bd97, 0xabe77715252cc7cd, 0x3141daf2e556b3f8,
  0x673a8a9546bb9c67, 0x20274dcaed52df57, 0x1a572563d221cd70, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb681463b7b15545a, 0x3fb0dc79b09732f9, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x22698e2e8a792bf7,
};

/*
 * m329a_swio15_dual_ee_ce_u4_hw     m329p_swio15_dual_ee_ce_u4_hw     m329pa_swio15_dual_ee_ce_u4_hw
 * m3290_swio15_dual_ee_ce_u4_hw     m3290a_swio15_dual_ee_ce_u4_hw    m3290p_swio15_dual_ee_ce_u4_hw
 * m3290pa_swio15_dual_ee_ce_u4_hw   m325_swio15_dual_ee_ce_u4_hw      m325a_swio15_dual_ee_ce_u4_hw
 * m325p_swio15_dual_ee_ce_u4_hw     m325pa_swio15_dual_ee_ce_u4_hw    m3250_swio15_dual_ee_ce_u4_hw
 * m3250a_swio15_dual_ee_ce_u4_hw    m3250p_swio15_dual_ee_ce_u4_hw    m3250pa_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m329_swio15_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0xe276fccc54626d15, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4e2afb17,
  0x4e30cb5bb4f9e0a5, 0x120862dde4b62775, 0x252522f544c13e30, 0x0c1b48c0ddd6d032, 0x89ad3ba7c4b88185,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x271e00dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x795e425b724affa0, 0x8330dfecf43982c3, 0x0e4c35c5f547d5f2, 0x445f71258f3cafac,
  0x3eefd47c25f886c2, 0xb9ba678bb8dce1fe, 0xaf51e57bee53b5b9, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xcb10d2b92b1e910e,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0001d759a3705f4f,
};

/*
 * m649_autobaud_uart0_noled_pr      m649a_autobaud_uart0_noled        m649a_autobaud_uart0_noled_pr
 * m649p_autobaud_uart0_noled        m649p_autobaud_uart0_noled_pr     m6490_autobaud_uart0_noled
 * m6490_autobaud_uart0_noled_pr     m6490a_autobaud_uart0_noled       m6490a_autobaud_uart0_noled_pr
 * m6490p_autobaud_uart0_noled       m6490p_autobaud_uart0_noled_pr    m645_autobaud_uart0_noled
 * m645_autobaud_uart0_noled_pr      m645a_autobaud_uart0_noled        m645a_autobaud_uart0_noled_pr
 * m645p_autobaud_uart0_noled        m645p_autobaud_uart0_noled_pr     m6450_autobaud_uart0_noled
 * m6450_autobaud_uart0_noled_pr     m6450a_autobaud_uart0_noled       m6450a_autobaud_uart0_noled_pr
 * m6450p_autobaud_uart0_noled       m6450p_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m649_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xeea41b4d3277e68c, 0x85e6c311e3ef26ee, 0x413057793bb63d90,
  0xf43cfedf9827c602, 0xe81102a7c25d47fb, 0x5526be70e602e910, 0x921c368ded51c2bf, 0x4819a4f51f9e3be5,
  0x5bdd308ad7d490e2, 0xe76905478cce62c0, 0x58e9ee39630475e2, 0x39c2cdf81895af61, 0xde6f2dd4180ef5af,
  0x7aaeaa72f29b19c2, 0xc67440b9b8a042d3, 0x1b94b52fcdb4e31b, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x00b022f9e4afdcd0, 0x0000000000007110,
};

/*
 * m649a_autobaud_uart0_noled_pr_u4  m649p_autobaud_uart0_noled_pr_u4  m6490_autobaud_uart0_noled_pr_u4
 * m6490a_autobaud_uart0_noled_pr_u4 m6490p_autobaud_uart0_noled_pr_u4 m645_autobaud_uart0_noled_pr_u4
 * m645a_autobaud_uart0_noled_pr_u4  m645p_autobaud_uart0_noled_pr_u4  m6450_autobaud_uart0_noled_pr_u4
 * m6450a_autobaud_uart0_noled_pr_u4 m6450p_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m649_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbaabf0bedb8, 0xe1ff4bc7cc9ee63b, 0x6ea1c00f26eeedc4, 0x57793bab8c48e150,
  0xfedf9827c6024130, 0x02a7c25d47fd8aec, 0xbe70e602e910e811, 0x368ded51c2bf5526, 0x0bf51fa03be5843c,
  0x4cf7dad490e2481a, 0x57f47ac398b01659, 0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1,
  0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x2fcdb1248ab7b155, 0x7771a2c8931b94b5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x35c7cf257ee68665, 0x0000000008c3269f,
};

/*
 * m649_autobaud_uart0_noled_pr_ee_u4 m649a_autobaud_uart0_noled_pr_ee
 * m649a_autobaud_uart0_noled_pr_ee_u4 m649p_autobaud_uart0_noled_pr_ee
 * m649p_autobaud_uart0_noled_pr_ee_u4 m6490_autobaud_uart0_noled_pr_ee
 * m6490_autobaud_uart0_noled_pr_ee_u4 m6490a_autobaud_uart0_noled_pr_ee
 * m6490a_autobaud_uart0_noled_pr_ee_u4 m6490p_autobaud_uart0_noled_pr_ee
 * m6490p_autobaud_uart0_noled_pr_ee_u4 m645_autobaud_uart0_noled_pr_ee
 * m645_autobaud_uart0_noled_pr_ee_u4 m645a_autobaud_uart0_noled_pr_ee
 * m645a_autobaud_uart0_noled_pr_ee_u4 m645p_autobaud_uart0_noled_pr_ee
 * m645p_autobaud_uart0_noled_pr_ee_u4 m6450_autobaud_uart0_noled_pr_ee
 * m6450_autobaud_uart0_noled_pr_ee_u4 m6450a_autobaud_uart0_noled_pr_ee
 * m6450a_autobaud_uart0_noled_pr_ee_u4 m6450p_autobaud_uart0_noled_pr_ee
 * m6450p_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m649_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bdb23b, 0x1eb9210646d6ef1f, 0x9ddb0db2b92a4c08,
  0x4c13e30120982bbc, 0xc252bbfec5767f67, 0xe602e910e81102a7, 0xed51c2bf5526be70, 0x224d56b4738c368d,
  0x8f83660d31f51e57, 0x4eb422877c57dd7a, 0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782,
  0x8451cf230e36355a, 0xfd6e1bd96cb98b84, 0x7b002a254d2a3608, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077,
  0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x52d4bf36c4922ade, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc,
  0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x7c93d71f3c95fb9a,
  0x0000000000004d4e,
};

/*
 * m649_autobaud_uart0_noled_pr_ce_u4 m649a_autobaud_uart0_noled_pr_ce
 * m649a_autobaud_uart0_noled_pr_ce_u4 m649p_autobaud_uart0_noled_pr_ce
 * m649p_autobaud_uart0_noled_pr_ce_u4 m6490_autobaud_uart0_noled_pr_ce
 * m6490_autobaud_uart0_noled_pr_ce_u4 m6490a_autobaud_uart0_noled_pr_ce
 * m6490a_autobaud_uart0_noled_pr_ce_u4 m6490p_autobaud_uart0_noled_pr_ce
 * m6490p_autobaud_uart0_noled_pr_ce_u4 m645_autobaud_uart0_noled_pr_ce
 * m645_autobaud_uart0_noled_pr_ce_u4 m645a_autobaud_uart0_noled_pr_ce
 * m645a_autobaud_uart0_noled_pr_ce_u4 m645p_autobaud_uart0_noled_pr_ce
 * m645p_autobaud_uart0_noled_pr_ce_u4 m6450_autobaud_uart0_noled_pr_ce
 * m6450_autobaud_uart0_noled_pr_ce_u4 m6450a_autobaud_uart0_noled_pr_ce
 * m6450a_autobaud_uart0_noled_pr_ce_u4 m6450p_autobaud_uart0_noled_pr_ce
 * m6450p_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2432493, 0x7777775571842b71, 0xf1f4130aa87ad2f7, 0xd1fbc5f63f777767, 0x5de4ee86e41447ce,
  0xea7a609f180904c1, 0x153e122ebff62bb3, 0xf387301748874088, 0xb46f6a8e15faa935, 0x373b8f718bf58861,
  0x10d8488bace1e78f, 0xc3ffc0d1fa8f84bf, 0x3d3dcb3abeb264c5, 0x4a4871240f59ea39, 0xfd1eb0e62c051f3a,
  0x0ffd99e3af47ced5, 0x7c0f2d6e1f667950, 0x3859bf0312b5ec1c, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de,
  0x5a585ce31bc67440, 0xf9b624863b7b1554, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xb8f9e4afdcd0ccb0, 0x000000011ba9fade,
};

/*
 * m649_autobaud_uart0_noled_pr_ee_ce_u4 m649a_autobaud_uart0_noled_pr_ee_ce
 * m649a_autobaud_uart0_noled_pr_ee_ce_u4 m649p_autobaud_uart0_noled_pr_ee_ce
 * m649p_autobaud_uart0_noled_pr_ee_ce_u4 m6490_autobaud_uart0_noled_pr_ee_ce
 * m6490_autobaud_uart0_noled_pr_ee_ce_u4 m6490a_autobaud_uart0_noled_pr_ee_ce
 * m6490a_autobaud_uart0_noled_pr_ee_ce_u4 m6490p_autobaud_uart0_noled_pr_ee_ce
 * m6490p_autobaud_uart0_noled_pr_ee_ce_u4 m645_autobaud_uart0_noled_pr_ee_ce
 * m645_autobaud_uart0_noled_pr_ee_ce_u4 m645a_autobaud_uart0_noled_pr_ee_ce
 * m645a_autobaud_uart0_noled_pr_ee_ce_u4 m645p_autobaud_uart0_noled_pr_ee_ce
 * m645p_autobaud_uart0_noled_pr_ee_ce_u4 m6450_autobaud_uart0_noled_pr_ee_ce
 * m6450_autobaud_uart0_noled_pr_ee_ce_u4 m6450a_autobaud_uart0_noled_pr_ee_ce
 * m6450a_autobaud_uart0_noled_pr_ee_ce_u4 m6450p_autobaud_uart0_noled_pr_ee_ce
 * m6450p_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108371, 0x0672ef92841a6477, 0x23334a683b6f770a, 0xddb1751f7ac80627,
  0xc13e30120982bbc9, 0x926dffd8aecfdadc, 0x80ba443a0440a9f0, 0x5470afd549af9c39, 0x8c5faa3f9d0da37b,
  0x5d670f3c79b9dc72, 0x2fd47c25f886c244, 0x20f7cc98b87a4a67, 0xb5fd4795f5129dac, 0x4c5613fd47c1b306,
  0xcb1148b34eb42281, 0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147,
  0x744a9a546c113238, 0x9c2cdf81895af616, 0x37807d4180ef5af3, 0x575539794d8ce16f, 0x2d2c2e718de33a20,
  0xfcdb12431dbd8aaa, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0x5c7cf257ee686658, 0x00000000411262fb,
};

/*
 * m649a_autobaud_uart0_noled_ee_hw  m649p_autobaud_uart0_noled_ee_hw  m6490_autobaud_uart0_noled_ee_hw
 * m6490a_autobaud_uart0_noled_ee_hw m6490p_autobaud_uart0_noled_ee_hw m645_autobaud_uart0_noled_ee_hw
 * m645a_autobaud_uart0_noled_ee_hw  m645p_autobaud_uart0_noled_ee_hw  m6450_autobaud_uart0_noled_ee_hw
 * m6450a_autobaud_uart0_noled_ee_hw m6450p_autobaud_uart0_noled_ee_hw c64_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m649_autobaud_uart0_noled_ee_hw[] = {
  0xb77777768a342493, 0xdddddd55c5fc69c4, 0xdb3f60cf1ded91dd, 0xf5c9083236b778f8, 0xc9dd0dc82b4ed040,
  0x74c13e30120982bb, 0x9f094aeffeb267f6, 0xc3980ba443a0440a, 0x37b5470afd549af9, 0x5c89355ad1ce30da,
  0xea3e0d9834c7d479, 0xcd3ad08a1df15f75, 0x6909afa30b2c4522, 0x0b39d5a5e715c6b2, 0x6ba1d79d376ded1e,
  0x1211473c8c38d8d5, 0x23f5b86f65b2e62e, 0xb5ec00a89534a8d8, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301,
  0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xb94b52fcdb1248ab, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d,
  0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xfe176a8a792bf734, 0x00000000000002c4,
};

/*
 * m649_autobaud_uart0_noled_ee_ce_u4_hw m649a_autobaud_uart0_noled_ee_ce_hw
 * m649a_autobaud_uart0_noled_ee_ce_u4_hw m649p_autobaud_uart0_noled_ee_ce_hw
 * m649p_autobaud_uart0_noled_ee_ce_u4_hw m6490_autobaud_uart0_noled_ee_ce_hw
 * m6490_autobaud_uart0_noled_ee_ce_u4_hw m6490a_autobaud_uart0_noled_ee_ce_hw
 * m6490a_autobaud_uart0_noled_ee_ce_u4_hw m6490p_autobaud_uart0_noled_ee_ce_hw
 * m6490p_autobaud_uart0_noled_ee_ce_u4_hw m645_autobaud_uart0_noled_ee_ce_hw
 * m645_autobaud_uart0_noled_ee_ce_u4_hw m645a_autobaud_uart0_noled_ee_ce_hw
 * m645a_autobaud_uart0_noled_ee_ce_u4_hw m645p_autobaud_uart0_noled_ee_ce_hw
 * m645p_autobaud_uart0_noled_ee_ce_u4_hw m6450_autobaud_uart0_noled_ee_ce_hw
 * m6450_autobaud_uart0_noled_ee_ce_u4_hw m6450a_autobaud_uart0_noled_ee_ce_hw
 * m6450a_autobaud_uart0_noled_ee_ce_u4_hw m6450p_autobaud_uart0_noled_ee_ce_hw
 * m6450p_autobaud_uart0_noled_ee_ce_u4_hw c64_autobaud_uart0_noled_ee_ce_hw
 * c64_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed146807e1, 0xbbbbbaabc8841b89, 0x33977c9420d323bb, 0x199a5341db7bb850, 0x9dd087bf7a3af139,
  0xcc13e30120982bbc, 0xc249b7ffd64cfdad, 0xe602e910e81102a7, 0xed51c2bf5526be70, 0xca317ea8fe74368d,
  0x22eb3879e790e771, 0x6ffea3e12fc43612, 0xc20f7cc98b87e5a6, 0x6b5fd4795f5129da, 0x14c5613fd47c1b30,
  0x2cb1148b34eb4228, 0xaedd388ea426be8c, 0xbce9bb6f68f059ce, 0x73c8c38d8d578d8e, 0x86f65b2e62e12114,
  0x6744a9a546c11323, 0x39c2cdf81895af61, 0xf37807d4180ef5af, 0x0575539794d8ce16, 0xa2d2c2e718de33a2,
  0x2fcdb12431dbd8aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xa8a792bf734332c3, 0x0000000009521392,
};

/*
 * m649a_autobaud_uart0_lednop       m649p_autobaud_uart0_lednop       m6490_autobaud_uart0_lednop
 * m6490a_autobaud_uart0_lednop      m6490p_autobaud_uart0_lednop      m645_autobaud_uart0_lednop
 * m645a_autobaud_uart0_lednop       m645p_autobaud_uart0_lednop       m6450_autobaud_uart0_lednop
 * m6450a_autobaud_uart0_lednop      m6450p_autobaud_uart0_lednop
 */
static const uint64_t ur_m649_autobaud_uart0_lednop[] = {
  0x12dddddddd66ef3a, 0xf7777777557e1719, 0x48368ebeb4f13b50, 0x5908036da45ddddd, 0x04c15de4ee82f413,
  0xe879f912609f1809, 0xd022054f84b4aff7, 0xaa4d7ce1cc05d221, 0x24386d1bdaa3857e, 0x903349ea393c77cb,
  0x2dee987ce92921c4, 0xe766be4720a73160, 0xb07dee39630475e2, 0x13859bf0312b5ec2, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xf3fb0dca5a97e6db, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0xcc5faf022f9e4afd, 0x000000000000001a,
};

/*
 * m649_autobaud_uart0_lednop_pr_u4  m649a_autobaud_uart0_lednop_pr    m649a_autobaud_uart0_lednop_pr_u4
 * m649p_autobaud_uart0_lednop_pr    m649p_autobaud_uart0_lednop_pr_u4 m6490_autobaud_uart0_lednop_pr
 * m6490_autobaud_uart0_lednop_pr_u4 m6490a_autobaud_uart0_lednop_pr
 * m6490a_autobaud_uart0_lednop_pr_u4 m6490p_autobaud_uart0_lednop_pr
 * m6490p_autobaud_uart0_lednop_pr_u4 m645_autobaud_uart0_lednop_pr
 * m645_autobaud_uart0_lednop_pr_u4  m645a_autobaud_uart0_lednop_pr    m645a_autobaud_uart0_lednop_pr_u4
 * m645p_autobaud_uart0_lednop_pr    m645p_autobaud_uart0_lednop_pr_u4 m6450_autobaud_uart0_lednop_pr
 * m6450_autobaud_uart0_lednop_pr_u4 m6450a_autobaud_uart0_lednop_pr
 * m6450a_autobaud_uart0_lednop_pr_u4 m6450p_autobaud_uart0_lednop_pr
 * m6450p_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e172e3, 0x387f6dfa548bb63f, 0xee17f8ff17bbbb71, 0x57793bb4cd19a088,
  0xfc7b9827c6024130, 0x02a7c25dd7fd8aec, 0xbe70e602e910e811, 0x368ded51c2bf5526, 0x0bf51ed63be5843c,
  0x9be483f490e2481a, 0x67a3486731602cb2, 0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x9c2cdf81895af641,
  0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x224c6e52d4bf36dc,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00230c959bd71f3c,
};

/*
 * m649_autobaud_uart0_lednop_pr_ee_u4 m649a_autobaud_uart0_lednop_pr_ee
 * m649a_autobaud_uart0_lednop_pr_ee_u4 m649p_autobaud_uart0_lednop_pr_ee
 * m649p_autobaud_uart0_lednop_pr_ee_u4 m6490_autobaud_uart0_lednop_pr_ee
 * m6490_autobaud_uart0_lednop_pr_ee_u4 m6490a_autobaud_uart0_lednop_pr_ee
 * m6490a_autobaud_uart0_lednop_pr_ee_u4 m6490p_autobaud_uart0_lednop_pr_ee
 * m6490p_autobaud_uart0_lednop_pr_ee_u4 m645_autobaud_uart0_lednop_pr_ee
 * m645_autobaud_uart0_lednop_pr_ee_u4 m645a_autobaud_uart0_lednop_pr_ee
 * m645a_autobaud_uart0_lednop_pr_ee_u4 m645p_autobaud_uart0_lednop_pr_ee
 * m645p_autobaud_uart0_lednop_pr_ee_u4 m6450_autobaud_uart0_lednop_pr_ee
 * m6450_autobaud_uart0_lednop_pr_ee_u4 m6450a_autobaud_uart0_lednop_pr_ee
 * m6450a_autobaud_uart0_lednop_pr_ee_u4 m6450p_autobaud_uart0_lednop_pr_ee
 * m6450p_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe82c, 0x8db1a67ed4de9a5d, 0xb5159083236b778f, 0x9dd4149ca5d84368,
  0x4c13e30120982bbc, 0xc25a6ffec5767c6b, 0xe602e910e81102a7, 0xed51c2bf5526be70, 0x654d56b4738c368d,
  0x8f83660d31f51e56, 0x9d68450ef8ac3dfa, 0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d,
  0x84504f237b56355a, 0xfd6e1bd96cb98b84, 0xf60043eccf2a3608, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3,
  0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x1f3c95fb9a19961d,
  0x00000026a70056d7,
};

/*
 * m649_autobaud_uart0_lednop_pr_ce_u4 m649a_autobaud_uart0_lednop_pr_ce
 * m649a_autobaud_uart0_lednop_pr_ce_u4 m649p_autobaud_uart0_lednop_pr_ce
 * m649p_autobaud_uart0_lednop_pr_ce_u4 m6490_autobaud_uart0_lednop_pr_ce
 * m6490_autobaud_uart0_lednop_pr_ce_u4 m6490a_autobaud_uart0_lednop_pr_ce
 * m6490a_autobaud_uart0_lednop_pr_ce_u4 m6490p_autobaud_uart0_lednop_pr_ce
 * m6490p_autobaud_uart0_lednop_pr_ce_u4 m645_autobaud_uart0_lednop_pr_ce
 * m645_autobaud_uart0_lednop_pr_ce_u4 m645a_autobaud_uart0_lednop_pr_ce
 * m645a_autobaud_uart0_lednop_pr_ce_u4 m645p_autobaud_uart0_lednop_pr_ce
 * m645p_autobaud_uart0_lednop_pr_ce_u4 m6450_autobaud_uart0_lednop_pr_ce
 * m6450_autobaud_uart0_lednop_pr_ce_u4 m6450a_autobaud_uart0_lednop_pr_ce
 * m6450a_autobaud_uart0_lednop_pr_ce_u4 m6450p_autobaud_uart0_lednop_pr_ce
 * m6450p_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c21bb8, 0xf1f2b68242fd7afb, 0xf0d3866f4f777767, 0x5de4ee94a3adf4d5,
  0xf2ba609f180904c1, 0x153e1260bff62bb3, 0xf387301748874088, 0xb46f6a8e15faa935, 0x373b80d18bf58861,
  0x10d8488bace1e78f, 0x0e9b73b7fa8f84bf, 0x24f72ceafac99317, 0x6921c4903d67a8fd, 0xd1a43398b0153111,
  0xffd99e3af47cecb3, 0x40f2d6e416691500, 0x859bf0312b5ec82b, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x63b7b15545a6ae9c, 0x931b94b52fcdb738, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x08dd5be0b5c7cf25,
};

/*
 * m649_autobaud_uart0_lednop_pr_ee_ce_u4 m649a_autobaud_uart0_lednop_pr_ee_ce
 * m649a_autobaud_uart0_lednop_pr_ee_ce_u4 m649p_autobaud_uart0_lednop_pr_ee_ce
 * m649p_autobaud_uart0_lednop_pr_ee_ce_u4 m6490_autobaud_uart0_lednop_pr_ee_ce
 * m6490_autobaud_uart0_lednop_pr_ee_ce_u4 m6490a_autobaud_uart0_lednop_pr_ee_ce
 * m6490a_autobaud_uart0_lednop_pr_ee_ce_u4 m6490p_autobaud_uart0_lednop_pr_ee_ce
 * m6490p_autobaud_uart0_lednop_pr_ee_ce_u4 m645_autobaud_uart0_lednop_pr_ee_ce
 * m645_autobaud_uart0_lednop_pr_ee_ce_u4 m645a_autobaud_uart0_lednop_pr_ee_ce
 * m645a_autobaud_uart0_lednop_pr_ee_ce_u4 m645p_autobaud_uart0_lednop_pr_ee_ce
 * m645p_autobaud_uart0_lednop_pr_ee_ce_u4 m6450_autobaud_uart0_lednop_pr_ee_ce
 * m6450_autobaud_uart0_lednop_pr_ee_ce_u4 m6450a_autobaud_uart0_lednop_pr_ee_ce
 * m6450a_autobaud_uart0_lednop_pr_ee_ce_u4 m6450p_autobaud_uart0_lednop_pr_ee_ce
 * m6450p_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x7777775579104771, 0x0ce0dcbb68baccf7, 0xc9c624d076deee14, 0xeeefd8580526bd89,
  0x609f180904c15de4, 0x24ff3fec5767daee, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0xa317ea8fe74368de,
  0x1759c3cf1e6e764e, 0x1ff51f097e21b091, 0x107be64c5c3e5434, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983,
  0x6588a459a75a1140, 0x76e3d4752135f461, 0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450,
  0x31f667951b044c8e, 0x4e166fc0c4ad7b0b, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b,
  0xe18edec555169aba, 0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0008227d9ed71f3c,
};

/*
 * m649a_autobaud_uart0_lednop_ee_hw m649p_autobaud_uart0_lednop_ee_hw m6490_autobaud_uart0_lednop_ee_hw
 * m6490a_autobaud_uart0_lednop_ee_hw m6490p_autobaud_uart0_lednop_ee_hw
 * m645_autobaud_uart0_lednop_ee_hw  m645a_autobaud_uart0_lednop_ee_hw m645p_autobaud_uart0_lednop_ee_hw
 * m6450_autobaud_uart0_lednop_ee_hw m6450a_autobaud_uart0_lednop_ee_hw
 * m6450p_autobaud_uart0_lednop_ee_hw c64_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2ff4162, 0x6d8d33f6a6f4d2ee, 0xa8ac84191b5bbc7c, 0xc9dd29475b55f345,
  0xb4c13e30120982bb, 0x9f0969bffeb267c6, 0xc3980ba443a0440a, 0x37b5470afd549af9, 0x5995355ad1ce30da,
  0xea3e0d9834c7d479, 0x9a75a1143be2b0f7, 0xd2135f4616588a45, 0x3473ab4b9eab8d64, 0x6ba1d79d3768c919,
  0x1211413c8ded58d5, 0x23f5b86f65b2e62e, 0x6bd8010fb33ca8d8, 0xcf020270b37e0625, 0xde6f36450603bd6b,
  0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x539fa84e31b94b52, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x00000001627cd35a,
};

/*
 * m649_autobaud_uart0_lednop_ee_ce_u4_hw m649a_autobaud_uart0_lednop_ee_ce_hw
 * m649a_autobaud_uart0_lednop_ee_ce_u4_hw m649p_autobaud_uart0_lednop_ee_ce_hw
 * m649p_autobaud_uart0_lednop_ee_ce_u4_hw m6490_autobaud_uart0_lednop_ee_ce_hw
 * m6490_autobaud_uart0_lednop_ee_ce_u4_hw m6490a_autobaud_uart0_lednop_ee_ce_hw
 * m6490a_autobaud_uart0_lednop_ee_ce_u4_hw m6490p_autobaud_uart0_lednop_ee_ce_hw
 * m6490p_autobaud_uart0_lednop_ee_ce_u4_hw m645_autobaud_uart0_lednop_ee_ce_hw
 * m645_autobaud_uart0_lednop_ee_ce_u4_hw m645a_autobaud_uart0_lednop_ee_ce_hw
 * m645a_autobaud_uart0_lednop_ee_ce_u4_hw m645p_autobaud_uart0_lednop_ee_ce_hw
 * m645p_autobaud_uart0_lednop_ee_ce_u4_hw m6450_autobaud_uart0_lednop_ee_ce_hw
 * m6450_autobaud_uart0_lednop_ee_ce_u4_hw m6450a_autobaud_uart0_lednop_ee_ce_hw
 * m6450a_autobaud_uart0_lednop_ee_ce_u4_hw m6450p_autobaud_uart0_lednop_ee_ce_hw
 * m6450p_autobaud_uart0_lednop_ee_ce_u4_hw c64_autobaud_uart0_lednop_ee_ce_hw
 * c64_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeeed14683d5b, 0xbbbbbaabc8823b89, 0x6706e5db45d667bb, 0x4e312683b6f770a0, 0x27759f3aded6ac4e,
  0x7304f8c048260aef, 0xf849fe7ff5933ed7, 0x1cc05d221d022054, 0xbdaa3857eaa4d7ce, 0x9d462fd51fce86d1,
  0x445d670f3cf21cec, 0x643fd47c25f886c2, 0xac20f7cc98b87eb3, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3,
  0xc2cb1148b34eb422, 0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908,
  0x1663eccf2a360899, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0xd42718dca5a97e6d, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00004a927549453c,
};

/*
 * m649_autobaud_uart0_dual_pr       m649_autobaud_uart0_dual_pr_u4    m649a_autobaud_uart0_dual
 * m649a_autobaud_uart0_dual_pr      m649a_autobaud_uart0_dual_pr_u4   m649p_autobaud_uart0_dual
 * m649p_autobaud_uart0_dual_pr      m649p_autobaud_uart0_dual_pr_u4   m6490_autobaud_uart0_dual
 * m6490_autobaud_uart0_dual_pr      m6490_autobaud_uart0_dual_pr_u4   m6490a_autobaud_uart0_dual
 * m6490a_autobaud_uart0_dual_pr     m6490a_autobaud_uart0_dual_pr_u4  m6490p_autobaud_uart0_dual
 * m6490p_autobaud_uart0_dual_pr     m6490p_autobaud_uart0_dual_pr_u4  m645_autobaud_uart0_dual
 * m645_autobaud_uart0_dual_pr       m645_autobaud_uart0_dual_pr_u4    m645a_autobaud_uart0_dual
 * m645a_autobaud_uart0_dual_pr      m645a_autobaud_uart0_dual_pr_u4   m645p_autobaud_uart0_dual
 * m645p_autobaud_uart0_dual_pr      m645p_autobaud_uart0_dual_pr_u4   m6450_autobaud_uart0_dual
 * m6450_autobaud_uart0_dual_pr      m6450_autobaud_uart0_dual_pr_u4   m6450a_autobaud_uart0_dual
 * m6450a_autobaud_uart0_dual_pr     m6450a_autobaud_uart0_dual_pr_u4  m6450p_autobaud_uart0_dual
 * m6450p_autobaud_uart0_dual_pr     m6450p_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m649_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddd5ac7ce2bf, 0xc11ecd8a05e843dd, 0x9ced9452b7774d2a, 0x0aeef7199b2affab,
  0x13e30120982bbc9a, 0x5f64c8c1548683cc, 0xe20614306d230377, 0xbeff328094ee9f12, 0x1ca1ec14f1c32b4d,
  0x149120920721e6f5, 0xc2886257f9fbe08a, 0xce5e99c9db13eb87, 0xa2a10cb434a4432a, 0xb774bff4073c269b,
  0xeaa4982c3795e425, 0x1d022054f849fcff, 0xeaa4d7ce1cc05d22, 0x589a86d1bdaa3857, 0x490310fea3e453be,
  0x055079a717be921c, 0x019dad6475fce62c, 0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x256bd93f8abe7771,
  0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x52fcdb739156f62a,
  0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xab5c7cf257ee6866, 0x00000000002e0ab5,
};

/*
 * m649a_autobaud_uart0_dual_pr_ee   m649p_autobaud_uart0_dual_pr_ee   m6490_autobaud_uart0_dual_pr_ee
 * m6490a_autobaud_uart0_dual_pr_ee  m6490p_autobaud_uart0_dual_pr_ee  m645_autobaud_uart0_dual_pr_ee
 * m645a_autobaud_uart0_dual_pr_ee   m645p_autobaud_uart0_dual_pr_ee   m6450_autobaud_uart0_dual_pr_ee
 * m6450a_autobaud_uart0_dual_pr_ee  m6450p_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m649_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0xeeeeeeeac6efbbbf, 0xac89f55fd77a4dee, 0xdfbf764d60eeb4e3, 0x78233a19c53ac995,
  0x0120982bbc90dcee, 0x9182a91118cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0x616b670adf9a007e,
  0x1240f76a6f51e76f, 0x4aff3f7c11429224, 0x38a4827d70f8510c, 0x2d0c08886559cbd3, 0xfa039e131758a843,
  0x161bcaf212dbffcf, 0x54f8489d7ff5524c, 0xce1cc05d221d0220, 0xd1bdaa3857eaa4d7, 0x95afb9aad68e4486,
  0x5ea3e0d983053d47, 0x59a75a1143be2ba9, 0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147,
  0xc242281151f3d635, 0x08fd6e1bd97d2cc5, 0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0xf07771a2cf782372,
  0xe50c2a73f53ab337, 0xd1f6c3dce32fcc4f, 0xf4c2b93f1cf7ff04, 0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9,
  0x00000052a47adeb8,
};

/*
 * m649a_autobaud_uart0_dual_pr_ee_u4 m649p_autobaud_uart0_dual_pr_ee_u4
 * m6490_autobaud_uart0_dual_pr_ee_u4 m6490a_autobaud_uart0_dual_pr_ee_u4
 * m6490p_autobaud_uart0_dual_pr_ee_u4 m645_autobaud_uart0_dual_pr_ee_u4
 * m645a_autobaud_uart0_dual_pr_ee_u4 m645p_autobaud_uart0_dual_pr_ee_u4
 * m6450_autobaud_uart0_dual_pr_ee_u4 m6450a_autobaud_uart0_dual_pr_ee_u4
 * m6450p_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m649_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xdddddddd58dda01b, 0xd8ae751796adaefd, 0x8593eec9ac1dd29c, 0xb9a3ea75682dd9dd,
  0x8c048260aef24c8b, 0x26460aa47ad5304f, 0x30a18369181bbafb, 0xf99404a774f89710, 0x5b04db384edcd6b7,
  0x20920663f37a8fbb, 0x6257f9fbe08a1491, 0x99c67213eb87c288, 0x196814b4432ace5e, 0xffd01cf09be74542,
  0xc161bcaf212dbf4f, 0x054f84a2b7ff5524, 0x7ce1cc05d221d022, 0x6d1bdaa3857eaa4d, 0x795c7b9aad68f4a8,
  0x1fea3e0d983f93d4, 0x459a75a1143be2b3, 0x5cd2135f4616588a, 0xfa439d5a5c27ae10, 0xad743af6b13b0f88,
  0xc24228e811d4bb1a, 0x27feb70decb8f8c5, 0x4fe2af9ddc549570, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0000029522ecd71f,
};

/*
 * m649_autobaud_uart0_dual_pr_ce_u4 m649a_autobaud_uart0_dual_pr_ce   m649a_autobaud_uart0_dual_pr_ce_u4
 * m649p_autobaud_uart0_dual_pr_ce   m649p_autobaud_uart0_dual_pr_ce_u4
 * m6490_autobaud_uart0_dual_pr_ce   m6490_autobaud_uart0_dual_pr_ce_u4
 * m6490a_autobaud_uart0_dual_pr_ce  m6490a_autobaud_uart0_dual_pr_ce_u4
 * m6490p_autobaud_uart0_dual_pr_ce  m6490p_autobaud_uart0_dual_pr_ce_u4
 * m645_autobaud_uart0_dual_pr_ce    m645_autobaud_uart0_dual_pr_ce_u4 m645a_autobaud_uart0_dual_pr_ce
 * m645a_autobaud_uart0_dual_pr_ce_u4 m645p_autobaud_uart0_dual_pr_ce
 * m645p_autobaud_uart0_dual_pr_ce_u4 m6450_autobaud_uart0_dual_pr_ce
 * m6450_autobaud_uart0_dual_pr_ce_u4 m6450a_autobaud_uart0_dual_pr_ce
 * m6450a_autobaud_uart0_dual_pr_ce_u4 m6450p_autobaud_uart0_dual_pr_ce
 * m6450p_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_dual_pr_ce[] = {
  0xe6eeeeeed121a5fb, 0xdddddddd5968b9d7, 0xa75179579ced4d7d, 0x44f51f67dbbbaccd, 0x76ee9646ba83e2ac,
  0x13e30120982bbc94, 0xbec99182a91c3fcc, 0xc40c2860da4606ee, 0x4d7e650129dd3e25, 0x7b1fd87fc380689b,
  0xa48904903a1f9bd4, 0x144312bfcfdf0450, 0x72f4ce5c889f5c3e, 0x2a10cb4243a21956, 0xe96bfe80e784dfba,
  0x54930586f2bc84b6, 0x4088153e12b75ffd, 0xa935f38730174887, 0x2fa1b46f6a8e15fa, 0xcf1e6e7695a317eb,
  0x097e21b0911759c3, 0x93170f5bf003f51f, 0x471bf3dcb3abd4b9, 0x83e52438920752fd, 0xd6b23afe73160282,
  0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79,
  0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x1f3c95fb9a19961d,
  0x0000000ad7be9ed7,
};

/*
 * m649a_autobaud_uart0_dual_pr_ee_ce m649p_autobaud_uart0_dual_pr_ee_ce
 * m6490_autobaud_uart0_dual_pr_ee_ce m6490a_autobaud_uart0_dual_pr_ee_ce
 * m6490p_autobaud_uart0_dual_pr_ee_ce m645_autobaud_uart0_dual_pr_ee_ce
 * m645a_autobaud_uart0_dual_pr_ee_ce m645p_autobaud_uart0_dual_pr_ee_ce
 * m6450_autobaud_uart0_dual_pr_ee_ce m6450a_autobaud_uart0_dual_pr_ee_ce
 * m6450p_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m649_autobaud_uart0_dual_pr_ee_ce[] = {
  0xfcdddddddd431f02, 0xeeeeeeeead63f226, 0x2c4e164da8fed826, 0xc7e776d2ec4eea4c, 0x5188b36e4330a5f5,
  0x0120982bbc91ecee, 0x460aa41662cc13e3, 0xa18369181bbafb26, 0x9404a774f8971030, 0x09863833e4dd67f9,
  0x490314937a8e6b7b, 0x2bfcfdf0450a4890, 0x814889f5c3e14431, 0xa1d5e886559cbd33, 0x4073c268ad150865,
  0x86f2bc84b6e87dff, 0x7c249b7ffd549305, 0x0e602e910e81102a, 0xded51c2bf5526be7, 0xe3958fea8ff74368,
  0x0ffae6b7f9e3cdce, 0xf253b58166e99ceb, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x52d4bf36dce18ede, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0xb0e9296ce1c4e32c, 0xe6b8f9e4afdcd0cc,
  0x00000000000c4434,
};

/*
 * m649a_autobaud_uart0_dual_pr_ee_ce_u4 m649p_autobaud_uart0_dual_pr_ee_ce_u4
 * m6490_autobaud_uart0_dual_pr_ee_ce_u4 m6490a_autobaud_uart0_dual_pr_ee_ce_u4
 * m6490p_autobaud_uart0_dual_pr_ee_ce_u4 m645_autobaud_uart0_dual_pr_ee_ce_u4
 * m645a_autobaud_uart0_dual_pr_ee_ce_u4 m645p_autobaud_uart0_dual_pr_ee_ce_u4
 * m6450_autobaud_uart0_dual_pr_ee_ce_u4 m6450a_autobaud_uart0_dual_pr_ee_ce_u4
 * m6450p_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768a87fa812, 0xbbbbbab209f57bf3, 0x6083399335c87bbb, 0x8591f69dba9f6eb7, 0xe5acafed0b8b2bdb,
  0x15de48437707d7e0, 0x09e4e609f180904c, 0x181bbafb26460aa4, 0x74f8971030a18369, 0x9513341ff32b0127,
  0xcdea3dc8ec0928e1, 0x0450a4890490366f, 0x5c3e144312bfcfdf, 0x6559cbd338cf589f, 0xd3f150865a1bb488,
  0x96dd9f3fe80e784d, 0xf8c85e60b0de5790, 0x0e81102a7c2487df, 0xf5526be70e602e91, 0x8ca1c368ded51c2b,
  0x79f00cecc7e317ea, 0x4bf10d8488bace1e, 0xc5c39806e87fa8f8, 0xadfc94ed6109ba64, 0xf51f06cc1af9ea3c,
  0xcd3ad08a05315c06, 0xa909afa30b2c4522, 0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e,
  0xa8d8226470decbe9, 0xf3bb8a9296627f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x1b94b52fcdb73863, 0x99bf8347f1a2c893, 0x3def2861539fa9d5,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xb6c793880a792bf7,
  0x00000000000001fa,
};

/*
 * m649a_autobaud_uart0_dual_ee_hw   m649p_autobaud_uart0_dual_ee_hw   m6490_autobaud_uart0_dual_ee_hw
 * m6490a_autobaud_uart0_dual_ee_hw  m6490p_autobaud_uart0_dual_ee_hw  m645_autobaud_uart0_dual_ee_hw
 * m645a_autobaud_uart0_dual_ee_hw   m645p_autobaud_uart0_dual_ee_hw   m6450_autobaud_uart0_dual_ee_hw
 * m6450a_autobaud_uart0_dual_ee_hw  m6450p_autobaud_uart0_dual_ee_hw  c64_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m649_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb451a25fb, 0x777777756377dddf, 0xd644faafebbd26f7, 0xefdfbb26b0775a71, 0xee9646bae95664ca,
  0xe30120982bbc90dc, 0xc99182a91118cc13, 0x0c2860da4606eebe, 0x7e657419dd3e25c4, 0x6f616b670adf9a00,
  0x241240f76a6f51e7, 0x0c4aff3f7c114292, 0xd338a4827d70f851, 0x432d0c08886559cb, 0xcffa039e131758a8,
  0xcc161bcaf212dbff, 0x102a7c244ebfcead, 0x6be70e602e910e81, 0x4368ded51c2bf552, 0xa3cad7dcd56b4722,
  0xd4af51f06cc1829e, 0x522cd3ad08a1df15, 0x52e6909afa30b2c4, 0xa3dece7569732971, 0x1aad743af512ed10,
  0x62e1211408a8f9eb, 0x1b047eb70decbe96, 0x77715250084feb15, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3,
  0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb94b52fcdb739156, 0xef2861539fa84e31,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x2d9e4e8a792bf734,
  0x0000000000000b07,
};

/*
 * m649_autobaud_uart0_dual_ee_ce_u4_hw m649a_autobaud_uart0_dual_ee_ce_hw
 * m649a_autobaud_uart0_dual_ee_ce_u4_hw m649p_autobaud_uart0_dual_ee_ce_hw
 * m649p_autobaud_uart0_dual_ee_ce_u4_hw m6490_autobaud_uart0_dual_ee_ce_hw
 * m6490_autobaud_uart0_dual_ee_ce_u4_hw m6490a_autobaud_uart0_dual_ee_ce_hw
 * m6490a_autobaud_uart0_dual_ee_ce_u4_hw m6490p_autobaud_uart0_dual_ee_ce_hw
 * m6490p_autobaud_uart0_dual_ee_ce_u4_hw m645_autobaud_uart0_dual_ee_ce_hw
 * m645_autobaud_uart0_dual_ee_ce_u4_hw m645a_autobaud_uart0_dual_ee_ce_hw
 * m645a_autobaud_uart0_dual_ee_ce_u4_hw m645p_autobaud_uart0_dual_ee_ce_hw
 * m645p_autobaud_uart0_dual_ee_ce_u4_hw m6450_autobaud_uart0_dual_ee_ce_hw
 * m6450_autobaud_uart0_dual_ee_ce_u4_hw m6450a_autobaud_uart0_dual_ee_ce_hw
 * m6450a_autobaud_uart0_dual_ee_ce_u4_hw m6450p_autobaud_uart0_dual_ee_ce_hw
 * m6450p_autobaud_uart0_dual_ee_ce_u4_hw c64_autobaud_uart0_dual_ee_ce_hw
 * c64_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d08f43, 0xeeeeeeac827d5efc, 0xd820ce64cd721eee, 0xe1647da76ea7dbad, 0xfb5ab6a71ae2caf6,
  0x04c15de484377789, 0xaa409e4e609f1809, 0x369181bbafb26460, 0x06774f8971030a18, 0x470ca899a0ff995d,
  0xb37e6f51ee476049, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0xa4432ace5e99c67a, 0xc26e9f8a8432d0dd,
  0xbc84b6ecf9ff4073, 0x43eff3ab730586f2, 0x1748874088153e12, 0x8e15faa935f38730, 0x8bf54650e1b46f6a,
  0xb3879e790e7663f1, 0xea3e12fc4361222e, 0x374c98b87672e8ff, 0x3d4795bf929dac21, 0x2b80dea3e0d9835f,
  0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811,
  0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00109a66dbad14f2,
};

/*
 * m649_u1x8_uart0_noled_pr          m649a_u1x8_uart0_noled            m649a_u1x8_uart0_noled_pr
 * m649p_u1x8_uart0_noled            m649p_u1x8_uart0_noled_pr         m6490_u1x8_uart0_noled
 * m6490_u1x8_uart0_noled_pr         m6490a_u1x8_uart0_noled           m6490a_u1x8_uart0_noled_pr
 * m6490p_u1x8_uart0_noled           m6490p_u1x8_uart0_noled_pr        m645_u1x8_uart0_noled
 * m645_u1x8_uart0_noled_pr          m645a_u1x8_uart0_noled            m645a_u1x8_uart0_noled_pr
 * m645p_u1x8_uart0_noled            m645p_u1x8_uart0_noled_pr         m6450_u1x8_uart0_noled
 * m6450_u1x8_uart0_noled_pr         m6450a_u1x8_uart0_noled           m6450a_u1x8_uart0_noled_pr
 * m6450p_u1x8_uart0_noled           m6450p_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m649_u1x8_uart0_noled[] = {
  0xb777775ddacdfc4f, 0xdddddd55d870bdc4, 0xcad9fbbf0feb11dd, 0x71fad2fcdddd2202, 0x7793bb0bd68f1e82,
  0xc149827c60241305, 0x0b7b02f93fdfa1e7, 0x3be5843dce6fed10, 0x90e2481a0bf51fa0, 0x98b016594cf7dad4,
  0x8ebd1f3b57f47ac3, 0x6c7d99e5403ff660, 0x312b5ec1c7c0f2cf, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0xce1b94b52fcdb124, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0xd0ccb0e9296ce1c4, 0x801cb022f9e4afdc, 0x000000000000007c,
};

/*
 * m649a_u1x8_uart0_noled_pr_u4      m649p_u1x8_uart0_noled_pr_u4      m6490_u1x8_uart0_noled_pr_u4
 * m6490a_u1x8_uart0_noled_pr_u4     m6490p_u1x8_uart0_noled_pr_u4     m645_u1x8_uart0_noled_pr_u4
 * m645a_u1x8_uart0_noled_pr_u4      m645p_u1x8_uart0_noled_pr_u4      m6450_u1x8_uart0_noled_pr_u4
 * m6450a_u1x8_uart0_noled_pr_u4     m6450p_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m649_u1x8_uart0_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xddddd55d870bdc4b, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0xe4ee8d35c7e3fe9f,
  0x52609f180904c15d, 0xdec0be4ffb15d9f0, 0xf9610f739bfb4402, 0x38920682fd47e80e, 0x2c0596533df6b524,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x4ad7b071f03cb3db, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xc6e52d4bf36c4922, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0xf274793d71f3c95f,
  0x0000000000000001,
};

/*
 * m649_u1x8_uart0_noled_pr_ee_u4    m649a_u1x8_uart0_noled_pr_ee      m649a_u1x8_uart0_noled_pr_ee_u4
 * m649p_u1x8_uart0_noled_pr_ee      m649p_u1x8_uart0_noled_pr_ee_u4   m6490_u1x8_uart0_noled_pr_ee
 * m6490_u1x8_uart0_noled_pr_ee_u4   m6490a_u1x8_uart0_noled_pr_ee     m6490a_u1x8_uart0_noled_pr_ee_u4
 * m6490p_u1x8_uart0_noled_pr_ee     m6490p_u1x8_uart0_noled_pr_ee_u4  m645_u1x8_uart0_noled_pr_ee
 * m645_u1x8_uart0_noled_pr_ee_u4    m645a_u1x8_uart0_noled_pr_ee      m645a_u1x8_uart0_noled_pr_ee_u4
 * m645p_u1x8_uart0_noled_pr_ee      m645p_u1x8_uart0_noled_pr_ee_u4   m6450_u1x8_uart0_noled_pr_ee
 * m6450_u1x8_uart0_noled_pr_ee_u4   m6450a_u1x8_uart0_noled_pr_ee     m6450a_u1x8_uart0_noled_pr_ee_u4
 * m6450p_u1x8_uart0_noled_pr_ee     m6450p_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m649_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9041225, 0x2f0a7a636f4ddeee, 0xc662705f0bddddfe, 0xdb1361aa280a0666,
  0x13e30120982bbc9d, 0x4e97fec5767ca5cc, 0x71b9cdfda2016f60, 0x3ea3cae449aad68e, 0x8afbaf51f06cc1a6,
  0x62291669d68450ef, 0xae3593484d7d1859, 0x6f68f059cead2f38, 0xc6c6ab5d0ebce9bb, 0x973170908a39e461,
  0xa546c11fadc37b2d, 0xf81895af600544a9, 0xd4180ef5af39c2cd, 0x9794d8ce16f37807, 0xe718de33a2057553,
  0x92455bd8aaa2d2c2, 0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00013afc687ae3e7,
};

/*
 * m649a_u1x8_uart0_noled_pr_ce      m649p_u1x8_uart0_noled_pr_ce      m6490_u1x8_uart0_noled_pr_ce
 * m6490a_u1x8_uart0_noled_pr_ce     m6490p_u1x8_uart0_noled_pr_ce     m645_u1x8_uart0_noled_pr_ce
 * m645a_u1x8_uart0_noled_pr_ce      m645p_u1x8_uart0_noled_pr_ce      m6450_u1x8_uart0_noled_pr_ce
 * m6450a_u1x8_uart0_noled_pr_ce     m6450p_u1x8_uart0_noled_pr_ce
 */
static const uint64_t ur_m649_u1x8_uart0_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x5941c5a64efcd19b, 0x79b0c478fbc9bbba, 0x4c15de4eed8f6421,
  0x0f3fb7e609f18090, 0x68805bd81751fefd, 0xb1f2c7f5e82e737f, 0x0ee4fe77e79b8773, 0x2e7b965d63399ceb,
  0xa4871240f19fa8f5, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xf0312b5ec1d7e1ee, 0x6f301deb5e73859b,
  0x306a6c4a7ef9c2de, 0x3a2042063042d392, 0xca5a97e6da718de3, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x587494b670e27196, 0x58117cf257ee6866, 0x000000000005ba80,
};

/*
 * m649a_u1x8_uart0_noled_pr_ce_u4   m649p_u1x8_uart0_noled_pr_ce_u4   m6490_u1x8_uart0_noled_pr_ce_u4
 * m6490a_u1x8_uart0_noled_pr_ce_u4  m6490p_u1x8_uart0_noled_pr_ce_u4  m645_u1x8_uart0_noled_pr_ce_u4
 * m645a_u1x8_uart0_noled_pr_ce_u4   m645p_u1x8_uart0_noled_pr_ce_u4   m6450_u1x8_uart0_noled_pr_ce_u4
 * m6450a_u1x8_uart0_noled_pr_ce_u4  m6450p_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e6131dc4b, 0x782ff1fc7f568ddd, 0xc2ac9933ddddd5b7, 0xbc9dd8361ba199ba,
  0xc9cc13e30120982b, 0x6f604beffec5767d, 0x2fd621b9cdfda201, 0xb3879e3cdcee3dc6, 0xea3e12fc4361222e,
  0xfac993170fff0347, 0x3d67a8e4f4f72cea, 0xb0147ce92921c490, 0xbd1f3b57f47ac398, 0x7d99e5403ff6678e,
  0x4ad7b071f03cb5b8, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0x8dca5a97e6d89218, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x75c0bb5ae3e792bf, 0x0000000000000003,
};

/*
 * m649_u1x8_uart0_noled_pr_ee_ce_u4 m649a_u1x8_uart0_noled_pr_ee_ce   m649a_u1x8_uart0_noled_pr_ee_ce_u4
 * m649p_u1x8_uart0_noled_pr_ee_ce   m649p_u1x8_uart0_noled_pr_ee_ce_u4
 * m6490_u1x8_uart0_noled_pr_ee_ce   m6490_u1x8_uart0_noled_pr_ee_ce_u4
 * m6490a_u1x8_uart0_noled_pr_ee_ce  m6490a_u1x8_uart0_noled_pr_ee_ce_u4
 * m6490p_u1x8_uart0_noled_pr_ee_ce  m6490p_u1x8_uart0_noled_pr_ee_ce_u4
 * m645_u1x8_uart0_noled_pr_ee_ce    m645_u1x8_uart0_noled_pr_ee_ce_u4 m645a_u1x8_uart0_noled_pr_ee_ce
 * m645a_u1x8_uart0_noled_pr_ee_ce_u4 m645p_u1x8_uart0_noled_pr_ee_ce
 * m645p_u1x8_uart0_noled_pr_ee_ce_u4 m6450_u1x8_uart0_noled_pr_ee_ce
 * m6450_u1x8_uart0_noled_pr_ee_ce_u4 m6450a_u1x8_uart0_noled_pr_ee_ce
 * m6450a_u1x8_uart0_noled_pr_ee_ce_u4 m6450p_u1x8_uart0_noled_pr_ee_ce
 * m6450p_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce27e9c4b, 0x647ea2833de9dbbb, 0x3697a90bdeef8f7a, 0x49962f93b3ef92d3,
  0x3e30120982bbc9dd, 0x2d7fd8aecf98fcc1, 0xd739bfb4402dec09, 0x9b9dc728c5faa3f9, 0x886c2445d670f3c7,
  0x87a4a672fd47c25f, 0x5129dac20f7cc98b, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4, 0x26be8c2cb1148b34,
  0xf059ceaedd388ea4, 0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62, 0x95af616744a9a546,
  0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794, 0xdbd8aaa2d2c2e718, 0x1b94b52fcdb12431,
  0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x7e2538f5c7cf257e, 0x0000000000000002,
};

/*
 * m649a_u1x8_uart0_noled_ee_hw      m649p_u1x8_uart0_noled_ee_hw      m6490_u1x8_uart0_noled_ee_hw
 * m6490a_u1x8_uart0_noled_ee_hw     m6490p_u1x8_uart0_noled_ee_hw     m645_u1x8_uart0_noled_ee_hw
 * m645a_u1x8_uart0_noled_ee_hw      m645p_u1x8_uart0_noled_ee_hw      m6450_u1x8_uart0_noled_ee_hw
 * m6450a_u1x8_uart0_noled_ee_hw     m6450p_u1x8_uart0_noled_ee_hw     c64_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m649_u1x8_uart0_noled_ee_hw[] = {
  0xddddd77514680cc5, 0x77775575c820912d, 0x7853d31b7a6ef777, 0x331382f85eeeeff1, 0xdd8361bb4dd03336,
  0xc13e30120982bbc9, 0x813a5ffeb267ca5c, 0x39c6e737f68805bd, 0x98fa8f2b9126ab5a, 0xbe2beebd47c1b306,
  0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6, 0xb65cc5c24228e791,
  0xa6951b047eb70dec, 0x37e06256bd801512, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0, 0x0b9c6378ce8815d5,
  0x6249156f62aa8b4b, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x000002df1a6b514f,
};

/*
 * m649_u1x8_uart0_noled_ee_ce_u4_hw m649a_u1x8_uart0_noled_ee_ce_hw   m649a_u1x8_uart0_noled_ee_ce_u4_hw
 * m649p_u1x8_uart0_noled_ee_ce_hw   m649p_u1x8_uart0_noled_ee_ce_u4_hw
 * m6490_u1x8_uart0_noled_ee_ce_hw   m6490_u1x8_uart0_noled_ee_ce_u4_hw
 * m6490a_u1x8_uart0_noled_ee_ce_hw  m6490a_u1x8_uart0_noled_ee_ce_u4_hw
 * m6490p_u1x8_uart0_noled_ee_ce_hw  m6490p_u1x8_uart0_noled_ee_ce_u4_hw
 * m645_u1x8_uart0_noled_ee_ce_hw    m645_u1x8_uart0_noled_ee_ce_u4_hw m645a_u1x8_uart0_noled_ee_ce_hw
 * m645a_u1x8_uart0_noled_ee_ce_u4_hw m645p_u1x8_uart0_noled_ee_ce_hw
 * m645p_u1x8_uart0_noled_ee_ce_u4_hw m6450_u1x8_uart0_noled_ee_ce_hw
 * m6450_u1x8_uart0_noled_ee_ce_u4_hw m6450a_u1x8_uart0_noled_ee_ce_hw
 * m6450a_u1x8_uart0_noled_ee_ce_u4_hw m6450p_u1x8_uart0_noled_ee_ce_hw
 * m6450p_u1x8_uart0_noled_ee_ce_u4_hw c64_u1x8_uart0_noled_ee_ce_hw
 * c64_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbbaeea28d0582, 0xddddd55e713f4e25, 0x323f51419ef4eddd, 0x9b4bd485ef77c7bd, 0x774ed043d2d5c969,
  0x304f8c048260aef2, 0xc092d7ff5933e63f, 0x3f9d739bfb4402de, 0x79e439dc728c5faa, 0x4bf10d8488bace1e,
  0x62e1f9699bffa8f8, 0x57d44a76b083df32, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x06256bd859d12a69,
  0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x0c76f62aa8b4b0b9, 0x38c6e52d4bf36c49,
  0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x0280a03eea29e4af,
};

/*
 * m649_u1x8_uart0_lednop_pr         m649a_u1x8_uart0_lednop           m649a_u1x8_uart0_lednop_pr
 * m649p_u1x8_uart0_lednop           m649p_u1x8_uart0_lednop_pr        m6490_u1x8_uart0_lednop
 * m6490_u1x8_uart0_lednop_pr        m6490a_u1x8_uart0_lednop          m6490a_u1x8_uart0_lednop_pr
 * m6490p_u1x8_uart0_lednop          m6490p_u1x8_uart0_lednop_pr       m645_u1x8_uart0_lednop
 * m645_u1x8_uart0_lednop_pr         m645a_u1x8_uart0_lednop           m645a_u1x8_uart0_lednop_pr
 * m645p_u1x8_uart0_lednop           m645p_u1x8_uart0_lednop_pr        m6450_u1x8_uart0_lednop
 * m6450_u1x8_uart0_lednop_pr        m6450a_u1x8_uart0_lednop          m6450a_u1x8_uart0_lednop_pr
 * m6450p_u1x8_uart0_lednop          m6450p_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m649_u1x8_uart0_lednop[] = {
  0xb777775ddacdfebe, 0xeeeeeeaaec38f244, 0xb2e6fc1cd0778fee, 0xad0bdbf6ddddcd60, 0xef2777c7e145c490,
  0xaf9304f8c048260a, 0x16f60498ffbf43cf, 0x77cb243b9cdfda20, 0x21c4903349ea393c, 0x31602dee987ce929,
  0x75e2e766be4720a7, 0x5ec2b07dee396304, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xfc68b1e70dca5a97, 0x615c9fbab31e40d1, 0xb670e271964b867a,
  0xf257ee6866587494, 0x000007c87398117c,
};

/*
 * m649a_u1x8_uart0_lednop_pr_u4     m649p_u1x8_uart0_lednop_pr_u4     m6490_u1x8_uart0_lednop_pr_u4
 * m6490a_u1x8_uart0_lednop_pr_u4    m6490p_u1x8_uart0_lednop_pr_u4    m645_u1x8_uart0_lednop_pr_u4
 * m645a_u1x8_uart0_lednop_pr_u4     m645p_u1x8_uart0_lednop_pr_u4     m6450_u1x8_uart0_lednop_pr_u4
 * m6450a_u1x8_uart0_lednop_pr_u4    m6450p_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d8706bc4b, 0xa2f7b3dfb6933ddd, 0x95d7f89dddd2202c, 0x93bb4169982ff23e,
  0x09827c6024130577, 0x7b029bbfec5767d0, 0xe5843dce6fed100b, 0xe2481a0bf51ed63b, 0x602cb29be483f490,
  0xe8f9d967a3486731, 0x2cd22a01ffb30475, 0x5af6415a07967b68, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xd71f3c95fb9a1996,
  0x000000001f26b8be,
};

/*
 * m649_u1x8_uart0_lednop_pr_ee_u4   m649a_u1x8_uart0_lednop_pr_ee     m649a_u1x8_uart0_lednop_pr_ee_u4
 * m649p_u1x8_uart0_lednop_pr_ee     m649p_u1x8_uart0_lednop_pr_ee_u4  m6490_u1x8_uart0_lednop_pr_ee
 * m6490_u1x8_uart0_lednop_pr_ee_u4  m6490a_u1x8_uart0_lednop_pr_ee    m6490a_u1x8_uart0_lednop_pr_ee_u4
 * m6490p_u1x8_uart0_lednop_pr_ee    m6490p_u1x8_uart0_lednop_pr_ee_u4 m645_u1x8_uart0_lednop_pr_ee
 * m645_u1x8_uart0_lednop_pr_ee_u4   m645a_u1x8_uart0_lednop_pr_ee     m645a_u1x8_uart0_lednop_pr_ee_u4
 * m645p_u1x8_uart0_lednop_pr_ee     m645p_u1x8_uart0_lednop_pr_ee_u4  m6450_u1x8_uart0_lednop_pr_ee
 * m6450_u1x8_uart0_lednop_pr_ee_u4  m6450a_u1x8_uart0_lednop_pr_ee    m6450a_u1x8_uart0_lednop_pr_ee_u4
 * m6450p_u1x8_uart0_lednop_pr_ee    m6450p_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d72056e25, 0x2d04c2aa1eb4bddd, 0xfb1e705f0bddddfe, 0x43720a23e768fde2,
  0x4f8c048260aef277, 0x175ffb15d9f53d30, 0xc6e737f68805bd81, 0xfa8f2b32a6ab5a39, 0x561efd47c1b30698,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x1923268e756973d5, 0xab1aad743af3a6ed, 0x5cc5c242282791bd,
  0x951b047eb70decb6, 0xc0c4ad7b0021f667, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x296a5f9b6e722ade, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x9fadeb8f9e4afdcd, 0x00000000000004eb,
};

/*
 * m649_u1x8_uart0_lednop_pr_ce_u4   m649a_u1x8_uart0_lednop_pr_ce     m649a_u1x8_uart0_lednop_pr_ce_u4
 * m649p_u1x8_uart0_lednop_pr_ce     m649p_u1x8_uart0_lednop_pr_ce_u4  m6490_u1x8_uart0_lednop_pr_ce
 * m6490_u1x8_uart0_lednop_pr_ce_u4  m6490a_u1x8_uart0_lednop_pr_ce    m6490a_u1x8_uart0_lednop_pr_ce_u4
 * m6490p_u1x8_uart0_lednop_pr_ce    m6490p_u1x8_uart0_lednop_pr_ce_u4 m645_u1x8_uart0_lednop_pr_ce
 * m645_u1x8_uart0_lednop_pr_ce_u4   m645a_u1x8_uart0_lednop_pr_ce     m645a_u1x8_uart0_lednop_pr_ce_u4
 * m645p_u1x8_uart0_lednop_pr_ce     m645p_u1x8_uart0_lednop_pr_ce_u4  m6450_u1x8_uart0_lednop_pr_ce
 * m6450_u1x8_uart0_lednop_pr_ce_u4  m6450a_u1x8_uart0_lednop_pr_ce    m6450a_u1x8_uart0_lednop_pr_ce_u4
 * m6450p_u1x8_uart0_lednop_pr_ce    m6450p_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e6114dc4b, 0x7e3b05fe974d8ddd, 0x90424200ddddd5b7, 0xef27751d94aa16ec,
  0x74b304f8c048260a, 0x5bd817eeffb15d9f, 0x8bf5886e737f6880, 0xace1e78f373b80d1, 0xfa8f84bf10d8488b,
  0xfac993170e9b73b7, 0x3d67a8fd24f72cea, 0xb01531116921c490, 0xf47cecb3d1a43398, 0x16691500ffd99e3a,
  0x2b5ec82b40f2d6e4, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x2fcdb73863b7b155, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x35c7cf257ee68665, 0x000000000375c6a9,
};

/*
 * m649_u1x8_uart0_lednop_pr_ee_ce_u4 m649a_u1x8_uart0_lednop_pr_ee_ce
 * m649a_u1x8_uart0_lednop_pr_ee_ce_u4 m649p_u1x8_uart0_lednop_pr_ee_ce
 * m649p_u1x8_uart0_lednop_pr_ee_ce_u4 m6490_u1x8_uart0_lednop_pr_ee_ce
 * m6490_u1x8_uart0_lednop_pr_ee_ce_u4 m6490a_u1x8_uart0_lednop_pr_ee_ce
 * m6490a_u1x8_uart0_lednop_pr_ee_ce_u4 m6490p_u1x8_uart0_lednop_pr_ee_ce
 * m6490p_u1x8_uart0_lednop_pr_ee_ce_u4 m645_u1x8_uart0_lednop_pr_ee_ce
 * m645_u1x8_uart0_lednop_pr_ee_ce_u4 m645a_u1x8_uart0_lednop_pr_ee_ce
 * m645a_u1x8_uart0_lednop_pr_ee_ce_u4 m645p_u1x8_uart0_lednop_pr_ee_ce
 * m645p_u1x8_uart0_lednop_pr_ee_ce_u4 m6450_u1x8_uart0_lednop_pr_ee_ce
 * m6450_u1x8_uart0_lednop_pr_ee_ce_u4 m6450a_u1x8_uart0_lednop_pr_ee_ce
 * m6450a_u1x8_uart0_lednop_pr_ee_ce_u4 m6450p_u1x8_uart0_lednop_pr_ee_ce
 * m6450p_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce27c8c4b, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0x087bf702c75e5dac,
  0x3e30120982bbc9dd, 0xa7ffec5767ffe4c1, 0xd739bfb4402dec0b, 0x9b9d93a8c5faa3f9, 0x886c2445d670f3c7,
  0x0f950d07fd47c25f, 0xea53b5841ef99317, 0xf83660d6bfa8f2be, 0xd68450298af6ffa8, 0x4d7d185962291669,
  0xc9a39d5db8f51d48, 0x578d8ebce9bb4648, 0xe1211413c8ded58d, 0xc1132386f65b2e62, 0x2b5ec2cc7d99e546,
  0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fcdb73863b7b155,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0xf5c7cf257ee68665, 0x00000000013f2cb7,
};

/*
 * m649a_u1x8_uart0_lednop_ee_hw     m649p_u1x8_uart0_lednop_ee_hw     m6490_u1x8_uart0_lednop_ee_hw
 * m6490a_u1x8_uart0_lednop_ee_hw    m6490p_u1x8_uart0_lednop_ee_hw    m645_u1x8_uart0_lednop_ee_hw
 * m645a_u1x8_uart0_lednop_ee_hw     m645p_u1x8_uart0_lednop_ee_hw     m6450_u1x8_uart0_lednop_ee_hw
 * m6450a_u1x8_uart0_lednop_ee_hw    m6450p_u1x8_uart0_lednop_ee_hw    c64_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_ee_hw[] = {
  0xddddd77514682d7b, 0xeeeeaaeb902b712d, 0x68261550f5a5eeee, 0xd8f382f85eeeeff1, 0x751d94ad7647ef17,
  0x04f8c048260aef27, 0x045d7ffac99f53d3, 0xe71b9cdfda2016f6, 0x63ea3cacca9aad68, 0xf1587bf51f06cc1a,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b, 0xd973170908a09e46,
  0x9e546c11fadc37b2, 0xbf0312b5ec0087d9, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xdca5a97e6db9c8ab, 0xf79430a9cfd42718, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x7eecb5453c95fb9a, 0x000000000000000b,
};

/*
 * m649_u1x8_uart0_lednop_ee_ce_u4_hw m649a_u1x8_uart0_lednop_ee_ce_hw
 * m649a_u1x8_uart0_lednop_ee_ce_u4_hw m649p_u1x8_uart0_lednop_ee_ce_hw
 * m649p_u1x8_uart0_lednop_ee_ce_u4_hw m6490_u1x8_uart0_lednop_ee_ce_hw
 * m6490_u1x8_uart0_lednop_ee_ce_u4_hw m6490a_u1x8_uart0_lednop_ee_ce_hw
 * m6490a_u1x8_uart0_lednop_ee_ce_u4_hw m6490p_u1x8_uart0_lednop_ee_ce_hw
 * m6490p_u1x8_uart0_lednop_ee_ce_u4_hw m645_u1x8_uart0_lednop_ee_ce_hw
 * m645_u1x8_uart0_lednop_ee_ce_u4_hw m645a_u1x8_uart0_lednop_ee_ce_hw
 * m645a_u1x8_uart0_lednop_ee_ce_u4_hw m645p_u1x8_uart0_lednop_ee_ce_hw
 * m645p_u1x8_uart0_lednop_ee_ce_u4_hw m6450_u1x8_uart0_lednop_ee_ce_hw
 * m6450_u1x8_uart0_lednop_ee_ce_u4_hw m6450a_u1x8_uart0_lednop_ee_ce_hw
 * m6450a_u1x8_uart0_lednop_ee_ce_u4_hw m6450p_u1x8_uart0_lednop_ee_ce_hw
 * m6450p_u1x8_uart0_lednop_ee_ce_u4_hw c64_u1x8_uart0_lednop_ee_ce_hw
 * c64_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xb777775dd451a111, 0xbbbbbaabce27c8c4, 0xa7f4c8f9fbd123bb, 0xc17afa90bdeef8f7, 0x4eeabe67da58a5da,
  0x2609f180904c15de, 0xd8174ffff5933fff, 0x47f3ae737f68805b, 0xcf3c873b27518bf5, 0x097e21b0911759c3,
  0x262e1facd90ff51f, 0xe57dd4a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33,
  0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f,
  0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x1d52514f257ee686, 0x0000000000000a02,
};

/*
 * m649_u1x8_uart0_dual_pr           m649_u1x8_uart0_dual_pr_u4        m649a_u1x8_uart0_dual
 * m649a_u1x8_uart0_dual_pr          m649a_u1x8_uart0_dual_pr_u4       m649p_u1x8_uart0_dual
 * m649p_u1x8_uart0_dual_pr          m649p_u1x8_uart0_dual_pr_u4       m6490_u1x8_uart0_dual
 * m6490_u1x8_uart0_dual_pr          m6490_u1x8_uart0_dual_pr_u4       m6490a_u1x8_uart0_dual
 * m6490a_u1x8_uart0_dual_pr         m6490a_u1x8_uart0_dual_pr_u4      m6490p_u1x8_uart0_dual
 * m6490p_u1x8_uart0_dual_pr         m6490p_u1x8_uart0_dual_pr_u4      m645_u1x8_uart0_dual
 * m645_u1x8_uart0_dual_pr           m645_u1x8_uart0_dual_pr_u4        m645a_u1x8_uart0_dual
 * m645a_u1x8_uart0_dual_pr          m645a_u1x8_uart0_dual_pr_u4       m645p_u1x8_uart0_dual
 * m645p_u1x8_uart0_dual_pr          m645p_u1x8_uart0_dual_pr_u4       m6450_u1x8_uart0_dual
 * m6450_u1x8_uart0_dual_pr          m6450_u1x8_uart0_dual_pr_u4       m6450a_u1x8_uart0_dual
 * m6450a_u1x8_uart0_dual_pr         m6450a_u1x8_uart0_dual_pr_u4      m6450p_u1x8_uart0_dual
 * m6450p_u1x8_uart0_dual_pr         m6450p_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m649_u1x8_uart0_dual[] = {
  0xddddd60f4486bd5b, 0x7777756266f5afcd, 0x4a73338e3a76b777, 0x8ac323bdddd69764, 0x6dddddfb84e5682d,
  0x27c6024130577925, 0xbec99182a90cdf98, 0xc40c2860da4606ee, 0x43fe650129dd3e25, 0x3945d8393387ce9a,
  0x1491209206fe4dea, 0xc2886257f9fbe08a, 0x672f4ce05a13eb87, 0x5150865a098a2195, 0xdb98fffa039e1346,
  0xf5524c161bcaf212, 0xdfda2016f6047aff, 0xea3e453be589ab9c, 0x717be921c490310f, 0x475fce62c055079a,
  0xff6608ebc019dad6, 0x0f2cf6c43a435403, 0xf8abe77715255274, 0x270b37e06256bd93, 0x6450603bd6bcf020,
  0xea53929d002de6f3, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000524efaa35c7cf,
};

/*
 * m649_u1x8_uart0_dual_pr_ee_u4     m649a_u1x8_uart0_dual_pr_ee       m649a_u1x8_uart0_dual_pr_ee_u4
 * m649p_u1x8_uart0_dual_pr_ee       m649p_u1x8_uart0_dual_pr_ee_u4    m6490_u1x8_uart0_dual_pr_ee
 * m6490_u1x8_uart0_dual_pr_ee_u4    m6490a_u1x8_uart0_dual_pr_ee      m6490a_u1x8_uart0_dual_pr_ee_u4
 * m6490p_u1x8_uart0_dual_pr_ee      m6490p_u1x8_uart0_dual_pr_ee_u4   m645_u1x8_uart0_dual_pr_ee
 * m645_u1x8_uart0_dual_pr_ee_u4     m645a_u1x8_uart0_dual_pr_ee       m645a_u1x8_uart0_dual_pr_ee_u4
 * m645p_u1x8_uart0_dual_pr_ee       m645p_u1x8_uart0_dual_pr_ee_u4    m6450_u1x8_uart0_dual_pr_ee
 * m6450_u1x8_uart0_dual_pr_ee_u4    m6450a_u1x8_uart0_dual_pr_ee      m6450a_u1x8_uart0_dual_pr_ee_u4
 * m6450p_u1x8_uart0_dual_pr_ee      m6450p_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m649_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeeb07a2436f02, 0x777775653745f7e6, 0x2af4fbfb5a807777, 0x0432e364774c894a, 0x1f35d08459baafad,
  0x41305779306ddcfe, 0x05521dbb9827c602, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x8f9c066e6ddafcca,
  0x40c9d4dea385ad81, 0xff3f7c1142922412, 0xd6627d70f8510c4a, 0x04ac886559cbd339, 0x039e132fb8a8432d,
  0x1bcaf212db9c1ffa, 0xec0b2b7ff5524c16, 0xd1c89739bfb4402d, 0x60a7a8f2b5f7355a, 0x77c5752bd47c1b30,
  0x2cb1148b34eb4228, 0xca5c54b9a426be8c, 0xbb4428f7b39d5a5c, 0x3e7ac6ab5d0ebd44, 0x2fa598b84845022a,
  0xfac546c11fadc37b, 0xe2af9ddc54940213, 0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa94e4a7400b79bcd,
  0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0000ac89a0d71f3c,
};

/*
 * m649_u1x8_uart0_dual_pr_ce_u4     m649a_u1x8_uart0_dual_pr_ce       m649a_u1x8_uart0_dual_pr_ce_u4
 * m649p_u1x8_uart0_dual_pr_ce       m649p_u1x8_uart0_dual_pr_ce_u4    m6490_u1x8_uart0_dual_pr_ce
 * m6490_u1x8_uart0_dual_pr_ce_u4    m6490a_u1x8_uart0_dual_pr_ce      m6490a_u1x8_uart0_dual_pr_ce_u4
 * m6490p_u1x8_uart0_dual_pr_ce      m6490p_u1x8_uart0_dual_pr_ce_u4   m645_u1x8_uart0_dual_pr_ce
 * m645_u1x8_uart0_dual_pr_ce_u4     m645a_u1x8_uart0_dual_pr_ce       m645a_u1x8_uart0_dual_pr_ce_u4
 * m645p_u1x8_uart0_dual_pr_ce       m645p_u1x8_uart0_dual_pr_ce_u4    m6450_u1x8_uart0_dual_pr_ce
 * m6450_u1x8_uart0_dual_pr_ce_u4    m6450a_u1x8_uart0_dual_pr_ce      m6450a_u1x8_uart0_dual_pr_ce_u4
 * m6450p_u1x8_uart0_dual_pr_ce      m6450p_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44860aac, 0xeeeeead0bfaeefcd, 0x8d49c9b168ebeeee, 0xf62eafb777448991, 0x777d5e5902c70455,
  0xf180904c15de4f91, 0x64c8c154836ee609, 0x0614306d2303775f, 0xff328094ee9f12e2, 0xe5b038270eaf9a87,
  0x4482481dba9bd478, 0x21895fe7ef822852, 0x7a673b044fae1f0a, 0x8432d07f110cab39, 0xfbffa039e136df8a,
  0x24c161bcaf212dbe, 0x4402dec08e1fff55, 0xad18bf597d739bfb, 0x88bace1e78f373b4, 0x801fa8f84bf10d84,
  0x9d5ea5cc98b87adf, 0x903a97ea38df9ee5, 0x98b014141f2921c4, 0x3af00676b591d7f3, 0xe10e90d500ffd99e,
  0x777152552740f2d6, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0x7296a5f9b6e70c76, 0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x909c5eb8f9e4afdc, 0x0000000000000034,
};

/*
 * m649a_u1x8_uart0_dual_pr_ee_ce    m649p_u1x8_uart0_dual_pr_ee_ce    m6490_u1x8_uart0_dual_pr_ee_ce
 * m6490a_u1x8_uart0_dual_pr_ee_ce   m6490p_u1x8_uart0_dual_pr_ee_ce   m645_u1x8_uart0_dual_pr_ee_ce
 * m645a_u1x8_uart0_dual_pr_ee_ce    m645p_u1x8_uart0_dual_pr_ee_ce    m6450_u1x8_uart0_dual_pr_ee_ce
 * m6450a_u1x8_uart0_dual_pr_ee_ce   m6450p_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m649_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeb07d4143359b, 0x7777562675df7e6e, 0xd740362fa0fb7777, 0x17ad12ef74054e24, 0xcc29368d7526f265,
  0x04c15de494e770f0, 0x15484e3e609f1809, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0x6f9c2004c293f328,
  0x034db9bd47b5bd85, 0xfcfdf0450a489049, 0x6f89f5c3e144312b, 0x4ae4432ace5e99ce, 0x1cf098a1c5421968,
  0xde579096dc347fd0, 0x60496bffaa9260b0, 0x1feeb9cdfda2016f, 0xf3c79b9dc72b1fd5, 0xcdd339d61ee4492b,
  0xcf51e56fe4a76b02, 0x8ae037a8f83660d7, 0x62291669d6845029, 0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d,
  0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3, 0x809c2cdf81895af6,
  0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35, 0x607a18dca5a97e6d,
  0xfa9d599bf83bb8d1, 0x3ed87138d2861539, 0xb867a615c9f80f9a, 0x87494b670e271964, 0x75c7cf257ee68665,
  0x00000000008001d1,
};

/*
 * m649a_u1x8_uart0_dual_pr_ee_ce_u4 m649p_u1x8_uart0_dual_pr_ee_ce_u4 m6490_u1x8_uart0_dual_pr_ee_ce_u4
 * m6490a_u1x8_uart0_dual_pr_ee_ce_u4 m6490p_u1x8_uart0_dual_pr_ee_ce_u4
 * m645_u1x8_uart0_dual_pr_ee_ce_u4  m645a_u1x8_uart0_dual_pr_ee_ce_u4 m645p_u1x8_uart0_dual_pr_ee_ce_u4
 * m6450_u1x8_uart0_dual_pr_ee_ce_u4 m6450a_u1x8_uart0_dual_pr_ee_ce_u4
 * m6450p_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87f3202, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xbde4fa6b0ce34f26,
  0x57792769dc34e83e, 0x9aa49827c6024130, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0x96a666ffe656024e,
  0x9bd47ec1d85e19c3, 0x0450a4890490343e, 0x5c3e144312bfcfdf, 0x6559cbd339c8389f, 0x6ce8a8432d027488,
  0x12dbc00ffa039e13, 0xff190bcc161bcaf2, 0xcdfda2016f6041a3, 0xd98fc62fd51943b9, 0x0911759c3cf3e019,
  0x0dd0ff51f097e21b, 0xdac21374c98b8730, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x5f9b6e70c76f62aa, 0x8fe345912637296a, 0xc2a73f53ab337f06, 0x97e627ff787bde50, 0x7efd8668fb61c7f1,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0x1014f257ee686658, 0x0000000020022ac5,
};

/*
 * m649a_u1x8_uart0_dual_ee_hw       m649p_u1x8_uart0_dual_ee_hw       m6490_u1x8_uart0_dual_ee_hw
 * m6490a_u1x8_uart0_dual_ee_hw      m6490p_u1x8_uart0_dual_ee_hw      m645_u1x8_uart0_dual_ee_hw
 * m645a_u1x8_uart0_dual_ee_hw       m645p_u1x8_uart0_dual_ee_hw       m6450_u1x8_uart0_dual_ee_hw
 * m6450a_u1x8_uart0_dual_ee_hw      m6450p_u1x8_uart0_dual_ee_hw      c64_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m649_u1x8_uart0_dual_ee_hw[] = {
  0x7777583d14680aac, 0xbbbbab29ba2fbf37, 0x57a7dfdad403bbbb, 0x21971b23ba644a51, 0xfabcb269c1557d68,
  0x0120982bbc9836ee, 0x9182a90eddcc13e3, 0x2860da4606eebec9, 0x657419dd3e25c40c, 0xc0c7ce033736ed7e,
  0x092064ea6f51c2d6, 0x257f9fbe08a14912, 0x9ceb313eb87c2886, 0x9682564432ace5e9, 0xfd01cf0997dc5421,
  0x0b0de579096dce0f, 0x0b7b02cadfe756e6, 0x56b47225ce6fed10, 0xcc1829ea3cad7dcd, 0x8a1df15d4af51f06,
  0xa30b2c4522cd3ad0, 0x973297152e6909af, 0x512ed10a3dece756, 0x8a8f9eb1aad743af, 0xdecbe9662e121140,
  0x84feb151b047eb70, 0x93f8abe777152500, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xfa84e31b94b52fcd, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00002bb5c134e8a7,
};

/*
 * m649_u1x8_uart0_dual_ee_ce_u4_hw  m649a_u1x8_uart0_dual_ee_ce_hw    m649a_u1x8_uart0_dual_ee_ce_u4_hw
 * m649p_u1x8_uart0_dual_ee_ce_hw    m649p_u1x8_uart0_dual_ee_ce_u4_hw m6490_u1x8_uart0_dual_ee_ce_hw
 * m6490_u1x8_uart0_dual_ee_ce_u4_hw m6490a_u1x8_uart0_dual_ee_ce_hw
 * m6490a_u1x8_uart0_dual_ee_ce_u4_hw m6490p_u1x8_uart0_dual_ee_ce_hw
 * m6490p_u1x8_uart0_dual_ee_ce_u4_hw m645_u1x8_uart0_dual_ee_ce_hw
 * m645_u1x8_uart0_dual_ee_ce_u4_hw  m645a_u1x8_uart0_dual_ee_ce_hw    m645a_u1x8_uart0_dual_ee_ce_u4_hw
 * m645p_u1x8_uart0_dual_ee_ce_hw    m645p_u1x8_uart0_dual_ee_ce_u4_hw m6450_u1x8_uart0_dual_ee_ce_hw
 * m6450_u1x8_uart0_dual_ee_ce_u4_hw m6450a_u1x8_uart0_dual_ee_ce_hw
 * m6450a_u1x8_uart0_dual_ee_ce_u4_hw m6450p_u1x8_uart0_dual_ee_ce_hw
 * m6450p_u1x8_uart0_dual_ee_ce_u4_hw c64_u1x8_uart0_dual_ee_ce_hw
 * c64_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbac1e8a3457c3b, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xe27eb7fb0ce34f26,
  0x13057792769dc559, 0x5489aa49827c6024, 0x6d2303775f64c8c1, 0x0cee9f12e2061430, 0xce1cb53337ff32ba,
  0xa1f4dea3f60ec2f0, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0xa4432ace5e99ce41, 0xf09b674542196813,
  0x579096de007fd01c, 0x20d1fe756e60b0de, 0xa1dce6fed100b7b0, 0xf21cecc7e317ea8c, 0xf886c2445d670f3c,
  0x70ece5d1ffd47c25, 0x7f253b58426e9931, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de,
  0xe52d4bf36dce18ed, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0xb4668a29e4afdcd0, 0x00000000000003ae,
};

/*
 * m649_u1x12_uart0_noled_pr         m649a_u1x12_uart0_noled           m649a_u1x12_uart0_noled_pr
 * m649p_u1x12_uart0_noled           m649p_u1x12_uart0_noled_pr        m6490_u1x12_uart0_noled
 * m6490_u1x12_uart0_noled_pr        m6490a_u1x12_uart0_noled          m6490a_u1x12_uart0_noled_pr
 * m6490p_u1x12_uart0_noled          m6490p_u1x12_uart0_noled_pr       m645_u1x12_uart0_noled
 * m645_u1x12_uart0_noled_pr         m645a_u1x12_uart0_noled           m645a_u1x12_uart0_noled_pr
 * m645p_u1x12_uart0_noled           m645p_u1x12_uart0_noled_pr        m6450_u1x12_uart0_noled
 * m6450_u1x12_uart0_noled_pr        m6450a_u1x12_uart0_noled          m6450a_u1x12_uart0_noled_pr
 * m6450p_u1x12_uart0_noled          m6450p_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m649_u1x12_uart0_noled[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x8e8448aa668cdddd, 0x11e3ec1f77742ca3, 0x793bb63d9085e6c3,
  0x719827c602413057, 0xd3e125f3fdfa1e7e, 0x86d1ba4ff6d4feed, 0x417ea3f4077cb087, 0x299efb5a921c4903,
  0x6afe8f58731602cb, 0xa807fecc11d7a3e7, 0x38f81e59ed8fb33c, 0xce70b37e06256bd8, 0xbcde01f50603bd6b,
  0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0xa5f9b6249156f62a, 0x347f1a2c79c37296, 0x9e985727eeacc790,
  0x252d9c389c6592e1, 0x5f3c95fb9a19961d, 0x00000001f2001604,
};

/*
 * m649a_u1x12_uart0_noled_pr_u4     m649p_u1x12_uart0_noled_pr_u4     m6490_u1x12_uart0_noled_pr_u4
 * m6490a_u1x12_uart0_noled_pr_u4    m6490p_u1x12_uart0_noled_pr_u4    m645_u1x12_uart0_noled_pr_u4
 * m645a_u1x12_uart0_noled_pr_u4     m645p_u1x12_uart0_noled_pr_u4     m6450_u1x12_uart0_noled_pr_u4
 * m6450a_u1x12_uart0_noled_pr_u4    m6450p_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m649_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xeeaafb395a44b777, 0x42245533466eeeee, 0xf1f60fbbba1651c7, 0x775eb98985f4cd88,
  0x304f8c048260aef2, 0xc24be7fd8aecfce3, 0xa3749feda9fddba7, 0xfd47e80ef9610f0d, 0x3df6b52438920682,
  0xfd1eb0e62c059653, 0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c,
  0xbaa9cbca6c670b79, 0x6961738c6f19d102, 0xf36c4922adec5551, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x71f3c95fb9a19961,
  0x00000001f274e4ad,
};

/*
 * m649_u1x12_uart0_noled_pr_ee_u4   m649a_u1x12_uart0_noled_pr_ee     m649a_u1x12_uart0_noled_pr_ee_u4
 * m649p_u1x12_uart0_noled_pr_ee     m649p_u1x12_uart0_noled_pr_ee_u4  m6490_u1x12_uart0_noled_pr_ee
 * m6490_u1x12_uart0_noled_pr_ee_u4  m6490a_u1x12_uart0_noled_pr_ee    m6490a_u1x12_uart0_noled_pr_ee_u4
 * m6490p_u1x12_uart0_noled_pr_ee    m6490p_u1x12_uart0_noled_pr_ee_u4 m645_u1x12_uart0_noled_pr_ee
 * m645_u1x12_uart0_noled_pr_ee_u4   m645a_u1x12_uart0_noled_pr_ee     m645a_u1x12_uart0_noled_pr_ee_u4
 * m645p_u1x12_uart0_noled_pr_ee     m645p_u1x12_uart0_noled_pr_ee_u4  m6450_u1x12_uart0_noled_pr_ee
 * m6450_u1x12_uart0_noled_pr_ee_u4  m6450a_u1x12_uart0_noled_pr_ee    m6450a_u1x12_uart0_noled_pr_ee_u4
 * m6450p_u1x12_uart0_noled_pr_ee    m6450p_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m649_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd636225bbb, 0x429b2e3b0cf77777, 0x7fa99a0eea451aeb, 0x6d89a2a0a3760cc1,
  0x30120982bbc9dd66, 0xffec5767d82cc13e, 0xfeda9fddba7c2470, 0x355ad1ce30da3749, 0x0d9834c7d4795c89,
  0xd08a1df15f75ea3e, 0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39, 0x473c8c38d8d56ba1,
  0xb86f65b2e62e1211, 0x00a89534a8d823f5, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2,
  0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xb35c7cf257ee6866, 0x0000000000275f2a,
};

/*
 * m649_u1x12_uart0_noled_pr_ce_u4   m649a_u1x12_uart0_noled_pr_ce     m649a_u1x12_uart0_noled_pr_ce_u4
 * m649p_u1x12_uart0_noled_pr_ce     m649p_u1x12_uart0_noled_pr_ce_u4  m6490_u1x12_uart0_noled_pr_ce
 * m6490_u1x12_uart0_noled_pr_ce_u4  m6490a_u1x12_uart0_noled_pr_ce    m6490a_u1x12_uart0_noled_pr_ce_u4
 * m6490p_u1x12_uart0_noled_pr_ce    m6490p_u1x12_uart0_noled_pr_ce_u4 m645_u1x12_uart0_noled_pr_ce
 * m645_u1x12_uart0_noled_pr_ce_u4   m645a_u1x12_uart0_noled_pr_ce     m645a_u1x12_uart0_noled_pr_ce_u4
 * m645p_u1x12_uart0_noled_pr_ce     m645p_u1x12_uart0_noled_pr_ce_u4  m6450_u1x12_uart0_noled_pr_ce
 * m6450_u1x12_uart0_noled_pr_ce_u4  m6450a_u1x12_uart0_noled_pr_ce    m6450a_u1x12_uart0_noled_pr_ce_u4
 * m6450p_u1x12_uart0_noled_pr_ce    m6450p_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85ec9c4b777, 0x385ec47590dddddd, 0x850dbdddd36922b5, 0xeea3329c34ca52d1,
  0x609f180904c15de4, 0x1228bff62bb3ff3a, 0x1ba4ff6d4feedd3e, 0xcee3dc62fd62186d, 0x361222eb3879e3cd,
  0xfff0347ea3e12fc4, 0x4f72ceafac993170, 0x921c4903d67a8e4f, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f,
  0x03cb5b87d99e5403, 0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b,
  0x6d89218edec55516, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x3e792bf734332c3a, 0x000000375d843fae,
};

/*
 * m649_u1x12_uart0_noled_pr_ee_ce_u4 m649a_u1x12_uart0_noled_pr_ee_ce
 * m649a_u1x12_uart0_noled_pr_ee_ce_u4 m649p_u1x12_uart0_noled_pr_ee_ce
 * m649p_u1x12_uart0_noled_pr_ee_ce_u4 m6490_u1x12_uart0_noled_pr_ee_ce
 * m6490_u1x12_uart0_noled_pr_ee_ce_u4 m6490a_u1x12_uart0_noled_pr_ee_ce
 * m6490a_u1x12_uart0_noled_pr_ee_ce_u4 m6490p_u1x12_uart0_noled_pr_ee_ce
 * m6490p_u1x12_uart0_noled_pr_ee_ce_u4 m645_u1x12_uart0_noled_pr_ee_ce
 * m645_u1x12_uart0_noled_pr_ee_ce_u4 m645a_u1x12_uart0_noled_pr_ee_ce
 * m645a_u1x12_uart0_noled_pr_ee_ce_u4 m645p_u1x12_uart0_noled_pr_ee_ce
 * m645p_u1x12_uart0_noled_pr_ee_ce_u4 m6450_u1x12_uart0_noled_pr_ee_ce
 * m6450_u1x12_uart0_noled_pr_ee_ce_u4 m6450a_u1x12_uart0_noled_pr_ee_ce
 * m6450a_u1x12_uart0_noled_pr_ee_ce_u4 m6450p_u1x12_uart0_noled_pr_ee_ce
 * m6450p_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d0533896eee, 0xb45377b1c7777777, 0xcb2ab4dd85ea6d71, 0xabec4efdf4ee4b42,
  0x02413057793ba9c8, 0xfb15d9f19b9827c6, 0xb6a7f76e9f0905af, 0x7ea8fe74368dd27f, 0x9c3cf1e6e771ca31,
  0x51f097e21b091175, 0xdf3262e1e9299cbf, 0xf51e57d44a76b083, 0x584ff51f06cc1ad7, 0x4522cd3ad08a0531,
  0x4e23a909afa30b2c, 0x6edbda3c1673abb7, 0x30e36355e363af3a, 0x96cb98b848451cf2, 0x2a6951b044c8e1bd,
  0xb37e06256bd859d1, 0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4,
  0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0xf3c95fb9a19961d2, 0x0000004fc1f82d71,
};

/*
 * m649a_u1x12_uart0_noled_ee_hw     m649p_u1x12_uart0_noled_ee_hw     m6490_u1x12_uart0_noled_ee_hw
 * m6490a_u1x12_uart0_noled_ee_hw    m6490p_u1x12_uart0_noled_ee_hw    m645_u1x12_uart0_noled_ee_hw
 * m645a_u1x12_uart0_noled_ee_hw     m645p_u1x12_uart0_noled_ee_hw     m6450_u1x12_uart0_noled_ee_hw
 * m6450a_u1x12_uart0_noled_ee_hw    m6450p_u1x12_uart0_noled_ee_hw    c64_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m649_u1x12_uart0_noled_ee_hw[] = {
  0xdb435e0d1468d38b, 0xbaabe6b1b112dddd, 0x14d971d867bbbbbb, 0xfd4cd0775228d75a, 0x6653b4a51bb0660b,
  0xe30120982bbc9dd4, 0xc3ffeb267d82cc13, 0x27fb6a7f76e9f091, 0x24d56b4738c368dd, 0xf83660d31f51e572,
  0xeb422877c57dd7a8, 0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae,
  0xd6e1bd96cb98b848, 0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67,
  0x55516961738c6f19, 0x2d4bf36c4922adec, 0xa1854e7ea138c6e5, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x22fa29e4afdcd0cc, 0x000000000000b7e8,
};

/*
 * m649_u1x12_uart0_noled_ee_ce_u4_hw m649a_u1x12_uart0_noled_ee_ce_hw
 * m649a_u1x12_uart0_noled_ee_ce_u4_hw m649p_u1x12_uart0_noled_ee_ce_hw
 * m649p_u1x12_uart0_noled_ee_ce_u4_hw m6490_u1x12_uart0_noled_ee_ce_hw
 * m6490_u1x12_uart0_noled_ee_ce_u4_hw m6490a_u1x12_uart0_noled_ee_ce_hw
 * m6490a_u1x12_uart0_noled_ee_ce_u4_hw m6490p_u1x12_uart0_noled_ee_ce_hw
 * m6490p_u1x12_uart0_noled_ee_ce_u4_hw m645_u1x12_uart0_noled_ee_ce_hw
 * m645_u1x12_uart0_noled_ee_ce_u4_hw m645a_u1x12_uart0_noled_ee_ce_hw
 * m645a_u1x12_uart0_noled_ee_ce_u4_hw m645p_u1x12_uart0_noled_ee_ce_hw
 * m645p_u1x12_uart0_noled_ee_ce_u4_hw m6450_u1x12_uart0_noled_ee_ce_hw
 * m6450_u1x12_uart0_noled_ee_ce_u4_hw m6450a_u1x12_uart0_noled_ee_ce_hw
 * m6450a_u1x12_uart0_noled_ee_ce_u4_hw m6450p_u1x12_uart0_noled_ee_ce_hw
 * m6450p_u1x12_uart0_noled_ee_ce_u4_hw c64_u1x12_uart0_noled_ee_ce_hw
 * c64_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbb686bc1a28d12a8, 0xdd55e3414ce25bbb, 0x6d14ddec71dddddd, 0xb2caad37617a9b5c, 0xeb46ad67dd3b92d0,
  0xf8c048260aef2774, 0x2d7ff5933e337304, 0x93fdb53fbb74f848, 0x518bf547f3a1b46e, 0x1759c3cf3c873b8e,
  0x7ff51f097e21b091, 0x107be64c5c3f2d33, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983, 0x6588a459a75a1140,
  0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3, 0x3a254d2a3608991c,
  0xce166fc0c4ad7b0b, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10, 0x7e6d89218edec555,
  0xa9cfd42718dca5a9, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x453c95fb9a19961d, 0x0000000050126001,
};

/*
 * m649_u1x12_uart0_lednop_pr        m649a_u1x12_uart0_lednop          m649a_u1x12_uart0_lednop_pr
 * m649p_u1x12_uart0_lednop          m649p_u1x12_uart0_lednop_pr       m6490_u1x12_uart0_lednop
 * m6490_u1x12_uart0_lednop_pr       m6490a_u1x12_uart0_lednop         m6490a_u1x12_uart0_lednop_pr
 * m6490p_u1x12_uart0_lednop         m6490p_u1x12_uart0_lednop_pr      m645_u1x12_uart0_lednop
 * m645_u1x12_uart0_lednop_pr        m645a_u1x12_uart0_lednop          m645a_u1x12_uart0_lednop_pr
 * m645p_u1x12_uart0_lednop          m645p_u1x12_uart0_lednop_pr       m6450_u1x12_uart0_lednop
 * m6450_u1x12_uart0_lednop_pr       m6450a_u1x12_uart0_lednop         m6450a_u1x12_uart0_lednop_pr
 * m6450p_u1x12_uart0_lednop         m6450p_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m649_u1x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xddd55f670bdc4b77, 0x9fbbf0feb11ddddd, 0xd697e6eeec88444d, 0x9dd85eb478f4138f,
  0x4c13e30120982bbc, 0xf097c9fefd0f3e0a, 0x68dd27fb6a7f76e9, 0x4f51c9e3be5921c3, 0xc3e749490e24819a,
  0xf23905398b016f74, 0x71cb1823af173b35, 0xdf81895af61583ef, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6e52d4bf36dce455, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0x72c08be792bf7343, 0x000000000001f200,
};

/*
 * m649a_u1x12_uart0_lednop_pr_u4    m649p_u1x12_uart0_lednop_pr_u4    m6490_u1x12_uart0_lednop_pr_u4
 * m6490a_u1x12_uart0_lednop_pr_u4   m6490p_u1x12_uart0_lednop_pr_u4   m645_u1x12_uart0_lednop_pr_u4
 * m645a_u1x12_uart0_lednop_pr_u4    m645p_u1x12_uart0_lednop_pr_u4    m6450_u1x12_uart0_lednop_pr_u4
 * m6450a_u1x12_uart0_lednop_pr_u4   m6450p_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece3af896ee, 0xb4a12fcd1b7bbbbb, 0xf4a64f77742ca38e, 0xeed45e4ad4d60933,
  0x609f180904c15de4, 0x094beffb15d9f3d6, 0x8dd27fb6a7f76e9f, 0xf51ed63be5843c36, 0xe483f490e2481a0b,
  0xa3486731602cb29b, 0xffb30475e8f9d967, 0x07967b682cd22a01, 0x2cdf81895af6415a, 0x4180ef5af3c0809c,
  0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x4c6e52d4bf36dce4, 0xeaccdfc1ddc68b22,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x1f26c793d71f3c95,
};

/*
 * m649_u1x12_uart0_lednop_pr_ee_u4  m649a_u1x12_uart0_lednop_pr_ee    m649a_u1x12_uart0_lednop_pr_ee_u4
 * m649p_u1x12_uart0_lednop_pr_ee    m649p_u1x12_uart0_lednop_pr_ee_u4 m6490_u1x12_uart0_lednop_pr_ee
 * m6490_u1x12_uart0_lednop_pr_ee_u4 m6490a_u1x12_uart0_lednop_pr_ee
 * m6490a_u1x12_uart0_lednop_pr_ee_u4 m6490p_u1x12_uart0_lednop_pr_ee
 * m6490p_u1x12_uart0_lednop_pr_ee_u4 m645_u1x12_uart0_lednop_pr_ee
 * m645_u1x12_uart0_lednop_pr_ee_u4  m645a_u1x12_uart0_lednop_pr_ee    m645a_u1x12_uart0_lednop_pr_ee_u4
 * m645p_u1x12_uart0_lednop_pr_ee    m645p_u1x12_uart0_lednop_pr_ee_u4 m6450_u1x12_uart0_lednop_pr_ee
 * m6450_u1x12_uart0_lednop_pr_ee_u4 m6450a_u1x12_uart0_lednop_pr_ee
 * m6450a_u1x12_uart0_lednop_pr_ee_u4 m6450p_u1x12_uart0_lednop_pr_ee
 * m6450p_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd6c5f12ddd, 0xb0b4663b42f77777, 0x77ea6683ba9146b9, 0x70f65c6759a59fbc,
  0x8c048260aef2774a, 0x3ffb15d9fcad304f, 0x7fb6a7f76e9f0914, 0x4d56b4738c368dd2, 0x83660d31f51e5665,
  0x68450ef8ac3dfa8f, 0xd7d185962291669d, 0xead2e7aae3593484, 0x75e74dda32464d1c, 0x504f237b56355ae8,
  0x6e1bd96cb98b8484, 0x0043eccf2a3608fd, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9,
  0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000009d73072d71f,
};

/*
 * m649_u1x12_uart0_lednop_pr_ce_u4  m649a_u1x12_uart0_lednop_pr_ce    m649a_u1x12_uart0_lednop_pr_ce_u4
 * m649p_u1x12_uart0_lednop_pr_ce    m649p_u1x12_uart0_lednop_pr_ce_u4 m6490_u1x12_uart0_lednop_pr_ce
 * m6490_u1x12_uart0_lednop_pr_ce_u4 m6490a_u1x12_uart0_lednop_pr_ce
 * m6490a_u1x12_uart0_lednop_pr_ce_u4 m6490p_u1x12_uart0_lednop_pr_ce
 * m6490p_u1x12_uart0_lednop_pr_ce_u4 m645_u1x12_uart0_lednop_pr_ce
 * m645_u1x12_uart0_lednop_pr_ce_u4  m645a_u1x12_uart0_lednop_pr_ce    m645a_u1x12_uart0_lednop_pr_ce_u4
 * m645p_u1x12_uart0_lednop_pr_ce    m645p_u1x12_uart0_lednop_pr_ce_u4 m6450_u1x12_uart0_lednop_pr_ce
 * m6450_u1x12_uart0_lednop_pr_ce_u4 m6450a_u1x12_uart0_lednop_pr_ce
 * m6450a_u1x12_uart0_lednop_pr_ce_u4 m6450p_u1x12_uart0_lednop_pr_ce
 * m6450p_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0x77557e1724225bbb, 0x9b53267a0cf77777, 0x412a1eeee9b4916c, 0x777273d6a0ad38d8,
  0x304f8c048260aef2, 0x09256ffb15d9f387, 0x8dd27fb6a7f76e9f, 0xe7701a317eb10c36, 0x1b0911759c3cf1e6,
  0xd36e76ff51f097e2, 0x9ee59d5f593262e1, 0x24389207acf51fa4, 0x3486731602a6222d, 0xfb33c75e8f9d967a,
  0x1e5adc82cd22a01f, 0xb37e06256bd90568, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x637296a5f9b6e70c, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x6ebde49eb8f9e4af,
};

/*
 * m649_u1x12_uart0_lednop_pr_ee_ce_u4 m649a_u1x12_uart0_lednop_pr_ee_ce
 * m649a_u1x12_uart0_lednop_pr_ee_ce_u4 m649p_u1x12_uart0_lednop_pr_ee_ce
 * m649p_u1x12_uart0_lednop_pr_ee_ce_u4 m6490_u1x12_uart0_lednop_pr_ee_ce
 * m6490_u1x12_uart0_lednop_pr_ee_ce_u4 m6490a_u1x12_uart0_lednop_pr_ee_ce
 * m6490a_u1x12_uart0_lednop_pr_ee_ce_u4 m6490p_u1x12_uart0_lednop_pr_ee_ce
 * m6490p_u1x12_uart0_lednop_pr_ee_ce_u4 m645_u1x12_uart0_lednop_pr_ee_ce
 * m645_u1x12_uart0_lednop_pr_ee_ce_u4 m645a_u1x12_uart0_lednop_pr_ee_ce
 * m645a_u1x12_uart0_lednop_pr_ee_ce_u4 m645p_u1x12_uart0_lednop_pr_ee_ce
 * m645p_u1x12_uart0_lednop_pr_ee_ce_u4 m6450_u1x12_uart0_lednop_pr_ee_ce
 * m6450_u1x12_uart0_lednop_pr_ee_ce_u4 m6450a_u1x12_uart0_lednop_pr_ee_ce
 * m6450a_u1x12_uart0_lednop_pr_ee_ce_u4 m6450p_u1x12_uart0_lednop_pr_ee_ce
 * m6450p_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc68160c4b777, 0xd71b4bdb83bbbbbb, 0x05955a6ec2f5374c, 0xa2f0dceb62465d84,
  0x80904c15de4eec6a, 0xff62bb3e1a2609f1, 0xeda9fddba7c2563f, 0x5faa3f9d0da3749f, 0x670f3c79b9d93a8c,
  0xd47c25f886c2445d, 0xef993170f950d07f, 0xfa8f2beea53b5841, 0xaf6ffa8f83660d6b, 0x2291669d68450298,
  0x8f51d484d7d18596, 0x9bb4648c9a39d5db, 0x8ded58d578d8ebce, 0x65b2e62e1211413c, 0xd99e546c1132386f,
  0x59bf0312b5ec2cc7, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x09f896d35c7cf257,
};

/*
 * m649a_u1x12_uart0_lednop_ee_hw    m649p_u1x12_uart0_lednop_ee_hw    m6490_u1x12_uart0_lednop_ee_hw
 * m6490a_u1x12_uart0_lednop_ee_hw   m6490p_u1x12_uart0_lednop_ee_hw   m645_u1x12_uart0_lednop_ee_hw
 * m645a_u1x12_uart0_lednop_ee_hw    m645p_u1x12_uart0_lednop_ee_hw    m6450_u1x12_uart0_lednop_ee_hw
 * m6450a_u1x12_uart0_lednop_ee_hw   m6450p_u1x12_uart0_lednop_ee_hw   c64_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_ee_hw[] = {
  0xeda1af068a34280b, 0xbaabe6b62f896eee, 0x85a331da17bbbbbb, 0xbf53341dd48a35cd, 0x273d6d69cd2cfde3,
  0xf8c048260aef2777, 0x50fffac99fcad304, 0x49feda9fddba7c24, 0x95355ad1ce30da37, 0x3e0d9834c7d47959,
  0x75a1143be2b0f7ea, 0x135f4616588a459a, 0x73ab4b9eab8d64d2, 0xa1d79d3768c91934, 0x11413c8ded58d56b,
  0xf5b86f65b2e62e12, 0xd8010fb33ca8d823, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3,
  0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000002df608be8a,
};

/*
 * m649_u1x12_uart0_lednop_ee_ce_u4_hw m649a_u1x12_uart0_lednop_ee_ce_hw
 * m649a_u1x12_uart0_lednop_ee_ce_u4_hw m649p_u1x12_uart0_lednop_ee_ce_hw
 * m649p_u1x12_uart0_lednop_ee_ce_u4_hw m6490_u1x12_uart0_lednop_ee_ce_hw
 * m6490_u1x12_uart0_lednop_ee_ce_u4_hw m6490a_u1x12_uart0_lednop_ee_ce_hw
 * m6490a_u1x12_uart0_lednop_ee_ce_u4_hw m6490p_u1x12_uart0_lednop_ee_ce_hw
 * m6490p_u1x12_uart0_lednop_ee_ce_u4_hw m645_u1x12_uart0_lednop_ee_ce_hw
 * m645_u1x12_uart0_lednop_ee_ce_u4_hw m645a_u1x12_uart0_lednop_ee_ce_hw
 * m645a_u1x12_uart0_lednop_ee_ce_u4_hw m645p_u1x12_uart0_lednop_ee_ce_hw
 * m645p_u1x12_uart0_lednop_ee_ce_u4_hw m6450_u1x12_uart0_lednop_ee_ce_hw
 * m6450_u1x12_uart0_lednop_ee_ce_u4_hw m6450a_u1x12_uart0_lednop_ee_ce_hw
 * m6450a_u1x12_uart0_lednop_ee_ce_u4_hw m6450p_u1x12_uart0_lednop_ee_ce_hw
 * m6450p_u1x12_uart0_lednop_ee_ce_u4_hw c64_u1x12_uart0_lednop_ee_ce_hw
 * c64_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xdb435e0d146824d6, 0xeaaf1a058312dddd, 0x5c6d2f6e0eeeeeee, 0x165569bb0bd4dd33, 0xd75dea7d89197610,
  0x8c048260aef2777e, 0x7fffac99f0d1304f, 0x3fdb53fbb74f84ac, 0x18bf547f3a1b46e9, 0x759c3cf3c873b275,
  0xff51f097e21b0911, 0x83df3262e1facd90, 0xd7f51e57dd4a76b0, 0x315edff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb71ea3a909afa30b, 0x9d3768c9193473ab, 0x791bdab1aaf1b1d7, 0xdecb65cc5c242282, 0x8fb33ca8d8226470,
  0x70b37e06256bd859, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x9c637296a5f9b6e7, 0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x00a021c5f514f257,
};

/*
 * m649_u1x12_uart0_dual_pr          m649_u1x12_uart0_dual_pr_u4       m649a_u1x12_uart0_dual
 * m649a_u1x12_uart0_dual_pr         m649a_u1x12_uart0_dual_pr_u4      m649p_u1x12_uart0_dual
 * m649p_u1x12_uart0_dual_pr         m649p_u1x12_uart0_dual_pr_u4      m6490_u1x12_uart0_dual
 * m6490_u1x12_uart0_dual_pr         m6490_u1x12_uart0_dual_pr_u4      m6490a_u1x12_uart0_dual
 * m6490a_u1x12_uart0_dual_pr        m6490a_u1x12_uart0_dual_pr_u4     m6490p_u1x12_uart0_dual
 * m6490p_u1x12_uart0_dual_pr        m6490p_u1x12_uart0_dual_pr_u4     m645_u1x12_uart0_dual
 * m645_u1x12_uart0_dual_pr          m645_u1x12_uart0_dual_pr_u4       m645a_u1x12_uart0_dual
 * m645a_u1x12_uart0_dual_pr         m645a_u1x12_uart0_dual_pr_u4      m645p_u1x12_uart0_dual
 * m645p_u1x12_uart0_dual_pr         m645p_u1x12_uart0_dual_pr_u4      m6450_u1x12_uart0_dual
 * m6450_u1x12_uart0_dual_pr         m6450_u1x12_uart0_dual_pr_u4      m6450a_u1x12_uart0_dual
 * m6450a_u1x12_uart0_dual_pr        m6450a_u1x12_uart0_dual_pr_u4     m6450p_u1x12_uart0_dual
 * m6450p_u1x12_uart0_dual_pr        m6450p_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m649_u1x12_uart0_dual[] = {
  0x77783eefa24343ee, 0xdddd586dd86bf377, 0x646ea0de9d6ddddd, 0x6c593b77768591f7, 0xbabbf224b534f1da,
  0x8c048260aef2717b, 0xc99182a90951304f, 0x0c2860da4606eebe, 0xfe650129dd3e25c4, 0x93d87ce3848798ba,
  0x2241240d7dcdea3b, 0x10c4aff3f7c11429, 0xbd33863e27d70f85, 0x4219687c8886559c, 0x01bfe80e784c3e45,
  0x4930586f2bc84b6f, 0xfeedd3e1209fffd5, 0x589a86d1ba4ff6d4, 0x490310fea3e453be, 0x055079a717be921c,
  0x019dad6475fce62c, 0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x256bd93f8abe7771, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x52fcdb739156f62a, 0x07771a2c8931b94b,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x0b5c7cf257ee6866, 0x0000000000524e7e,
};

/*
 * m649_u1x12_uart0_dual_pr_ee_u4    m649a_u1x12_uart0_dual_pr_ee      m649a_u1x12_uart0_dual_pr_ee_u4
 * m649p_u1x12_uart0_dual_pr_ee      m649p_u1x12_uart0_dual_pr_ee_u4   m6490_u1x12_uart0_dual_pr_ee
 * m6490_u1x12_uart0_dual_pr_ee_u4   m6490a_u1x12_uart0_dual_pr_ee     m6490a_u1x12_uart0_dual_pr_ee_u4
 * m6490p_u1x12_uart0_dual_pr_ee     m6490p_u1x12_uart0_dual_pr_ee_u4  m645_u1x12_uart0_dual_pr_ee
 * m645_u1x12_uart0_dual_pr_ee_u4    m645a_u1x12_uart0_dual_pr_ee      m645a_u1x12_uart0_dual_pr_ee_u4
 * m645p_u1x12_uart0_dual_pr_ee      m645p_u1x12_uart0_dual_pr_ee_u4   m6450_u1x12_uart0_dual_pr_ee
 * m6450_u1x12_uart0_dual_pr_ee_u4   m6450a_u1x12_uart0_dual_pr_ee     m6450a_u1x12_uart0_dual_pr_ee_u4
 * m6450p_u1x12_uart0_dual_pr_ee     m6450p_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m649_u1x12_uart0_dual_pr_ee[] = {
  0x77783eefa243359b, 0xbbbbab1215abf377, 0x3af9f693342dbbbb, 0x8d5e3c8feec0b7ac, 0x6614c3e6baa01aaf,
  0x8260aef2519bb878, 0x055202c9304f8c04, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0xcd9c376a64dbfcca,
  0x81a5a9bd4731fd80, 0xfe7ef82285244824, 0x90c4fae1f0a21895, 0x0e9510cab397a671, 0x073c2628b150865a,
  0x6f2bc84b6fd5fff4, 0xe12df7ffd5493058, 0xd1ba4ff6d4feedd3, 0x95afb9aad68e4486, 0x5ea3e0d983053d47,
  0x59a75a1143be2ba9, 0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635,
  0x08fd6e1bd97d2cc5, 0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0xfe0eee3459126372, 0xbca1854e7ea75666,
  0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x085eb8f9e4afdcd0,
  0x0000000000000564,
};

/*
 * m649_u1x12_uart0_dual_pr_ce_u4    m649a_u1x12_uart0_dual_pr_ce      m649a_u1x12_uart0_dual_pr_ce_u4
 * m649p_u1x12_uart0_dual_pr_ce      m649p_u1x12_uart0_dual_pr_ce_u4   m6490_u1x12_uart0_dual_pr_ce
 * m6490_u1x12_uart0_dual_pr_ce_u4   m6490a_u1x12_uart0_dual_pr_ce     m6490a_u1x12_uart0_dual_pr_ce_u4
 * m6490p_u1x12_uart0_dual_pr_ce     m6490p_u1x12_uart0_dual_pr_ce_u4  m645_u1x12_uart0_dual_pr_ce
 * m645_u1x12_uart0_dual_pr_ce_u4    m645a_u1x12_uart0_dual_pr_ce      m645a_u1x12_uart0_dual_pr_ce_u4
 * m645p_u1x12_uart0_dual_pr_ce      m645p_u1x12_uart0_dual_pr_ce_u4   m6450_u1x12_uart0_dual_pr_ce
 * m6450_u1x12_uart0_dual_pr_ce_u4   m6450a_u1x12_uart0_dual_pr_ce     m6450a_u1x12_uart0_dual_pr_ce_u4
 * m6450p_u1x12_uart0_dual_pr_ce     m6450p_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_dual_pr_ce[] = {
  0xeef07ddf448687e1, 0x77756b1f62f7e6ee, 0x22d476b5d6f77777, 0xaffb5bbbb7060596, 0x2bdbc1776d1f1d72,
  0x0120982bbc9582ee, 0x9182a90148cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc3abce143f374ffe,
  0x09207b3a6f51ce0e, 0x257f9fbe08a14912, 0x9cbc313eb87c2886, 0x9682fb4432ace5e9, 0xfd01cf0983dc5421,
  0x0b0de579096df4df, 0xba7c2452fffaa926, 0xd0da3749feda9fdd, 0x8f373b4ad18bf597, 0xbf10d8488bace1e7,
  0x8b87adf801fa8f84, 0x8df9ee59d5ea5cc9, 0xf2921c4903a97ea3, 0x591d7f398b014141, 0x0ffd99e3af00676b,
  0x740f2d6e10e90d50, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6,
  0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000003491e6deb8f,
};

/*
 * m649a_u1x12_uart0_dual_pr_ee_ce   m649p_u1x12_uart0_dual_pr_ee_ce   m6490_u1x12_uart0_dual_pr_ee_ce
 * m6490a_u1x12_uart0_dual_pr_ee_ce  m6490p_u1x12_uart0_dual_pr_ee_ce  m645_u1x12_uart0_dual_pr_ee_ce
 * m645a_u1x12_uart0_dual_pr_ee_ce   m645p_u1x12_uart0_dual_pr_ee_ce   m6450_u1x12_uart0_dual_pr_ee_ce
 * m6450a_u1x12_uart0_dual_pr_ee_ce  m6450p_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m649_u1x12_uart0_dual_pr_ee_ce[] = {
  0x77783eefd41432db, 0xdddd586de4cbf377, 0x710b157efb8ddddd, 0xd6990123ba82b655, 0x04559c7f33a07c4d,
  0x2413057792ec9dc7, 0x305523b8f9827c60, 0x0c1b48c0ddd7d932, 0xa0253ba7c4b88185, 0x1000e02926fd7fcc,
  0x240e76e6f51eb7f6, 0xaff3f7c114292241, 0x152227d70f8510c4, 0xa16e910cab397a67, 0x4073c2653d150865,
  0xc3795e425b7d35ff, 0x9f0905affeaa4982, 0x368dd27fb6a7f76e, 0xdcee3958fea8ff74, 0xceb0f722495f9e3c,
  0x2b7f253b58166e99, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xc6e52d4bf36dce18,
  0xccdfc1ddc68b03d0, 0x89c69430a9cfd4ea, 0x30ae4fc07cd1f6c3, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000002000e7dae3e,
};

/*
 * m649a_u1x12_uart0_dual_pr_ee_ce_u4 m649p_u1x12_uart0_dual_pr_ee_ce_u4
 * m6490_u1x12_uart0_dual_pr_ee_ce_u4 m6490a_u1x12_uart0_dual_pr_ee_ce_u4
 * m6490p_u1x12_uart0_dual_pr_ee_ce_u4 m645_u1x12_uart0_dual_pr_ee_ce_u4
 * m645a_u1x12_uart0_dual_pr_ee_ce_u4 m645p_u1x12_uart0_dual_pr_ee_ce_u4
 * m6450_u1x12_uart0_dual_pr_ee_ce_u4 m6450a_u1x12_uart0_dual_pr_ee_ce_u4
 * m6450p_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff9231, 0xdd59a9b4f5f9bbbb, 0x3e403bc7fddddddd, 0xa702f74e775dfb8c, 0xf876b54da0ce5711,
  0xf24eb3bbff8669d3, 0x2f304f8c048260ae, 0x3775f64c8c15484f, 0xf12e20614306d230, 0xf32547e656024ee9,
  0xd47bc3d872d1c19b, 0x50a48904903c6e9b, 0x3e144312bfcfdf04, 0x59cbd338aeb89f5c, 0x28a8432d04b48865,
  0xdb8a4ffa039e1347, 0x190bcc161bcaf212, 0xa9fddba7c25a6bff, 0xaa32870da3749fed, 0x79e7c033b31f8c5f,
  0xe12fc4361222eb38, 0x93170e601ba1fea3, 0xf2b7f253b58426e9, 0x1bd47c1b306be7a8, 0x8b34eb422814c570,
  0x0ea426be8c2cb114, 0xa2147bd9ceaedc65, 0x7ac6abc6c75ea25d, 0xa598b84845022a3e, 0x62a3608991c37b2f,
  0x57ceee2a4a5989fd, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x4c6e52d4bf36dce1, 0x5666fe0d1fc68b22, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x400469f22029e4af,
};

/*
 * m649a_u1x12_uart0_dual_ee_hw      m649p_u1x12_uart0_dual_ee_hw      m6490_u1x12_uart0_dual_ee_hw
 * m6490a_u1x12_uart0_dual_ee_hw     m6490p_u1x12_uart0_dual_ee_hw     m645_u1x12_uart0_dual_ee_hw
 * m645a_u1x12_uart0_dual_ee_hw      m645p_u1x12_uart0_dual_ee_hw      m6450_u1x12_uart0_dual_ee_hw
 * m6450a_u1x12_uart0_dual_ee_hw     m6450p_u1x12_uart0_dual_ee_hw     c64_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m649_u1x12_uart0_dual_ee_hw[] = {
  0xbbc1f77d146887e1, 0xdddd5890ad5f9bbb, 0xd7cfb499a16ddddd, 0x6af1e47f7605bd61, 0xbdbc16b47d00d57c,
  0x120982bbc9466ee2, 0x8c15480b24c13e30, 0x4306d2303775f64c, 0x2ba0cee9f12e2061, 0x033670dda9936ff3,
  0x920696a6f51cc7f6, 0x57f9fbe08a149120, 0xc64313eb87c28862, 0x683a54432ace5e99, 0xd01cf098a2c54219,
  0x61bcaf212dbf57ff, 0xa7c25beffceadcc1, 0x0da3749feda9fddb, 0x8f2b5f7355ad1c89, 0x52bd47c1b3060a7a,
  0x48b34eb422877c57, 0x4b9a426be8c2cb11, 0x8f7b39d5a5cca5c5, 0x6ab5d0ebd44bb442, 0x8b84845022a3e7ac,
  0x6c11fadc37b2fa59, 0xddc54940213fac54, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7,
  0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x0880ba29e4afdcd0, 0x0000000000000aed,
};

/*
 * m649_u1x12_uart0_dual_ee_ce_u4_hw m649a_u1x12_uart0_dual_ee_ce_hw   m649a_u1x12_uart0_dual_ee_ce_u4_hw
 * m649p_u1x12_uart0_dual_ee_ce_hw   m649p_u1x12_uart0_dual_ee_ce_u4_hw
 * m6490_u1x12_uart0_dual_ee_ce_hw   m6490_u1x12_uart0_dual_ee_ce_u4_hw
 * m6490a_u1x12_uart0_dual_ee_ce_hw  m6490a_u1x12_uart0_dual_ee_ce_u4_hw
 * m6490p_u1x12_uart0_dual_ee_ce_hw  m6490p_u1x12_uart0_dual_ee_ce_u4_hw
 * m645_u1x12_uart0_dual_ee_ce_hw    m645_u1x12_uart0_dual_ee_ce_u4_hw m645a_u1x12_uart0_dual_ee_ce_hw
 * m645a_u1x12_uart0_dual_ee_ce_u4_hw m645p_u1x12_uart0_dual_ee_ce_hw
 * m645p_u1x12_uart0_dual_ee_ce_u4_hw m6450_u1x12_uart0_dual_ee_ce_hw
 * m6450_u1x12_uart0_dual_ee_ce_u4_hw m6450a_u1x12_uart0_dual_ee_ce_hw
 * m6450a_u1x12_uart0_dual_ee_ce_u4_hw m6450p_u1x12_uart0_dual_ee_ce_hw
 * m6450p_u1x12_uart0_dual_ee_ce_u4_hw c64_u1x12_uart0_dual_ee_ce_hw
 * c64_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u1x12_uart0_dual_ee_ce_hw[] = {
  0xde0fbbe8a343e907, 0xeeacd4da7afcdddd, 0x1f201de3feeeeeee, 0xd3817ba73baefdc6, 0xeb59f5e6d0672b88,
  0xc15de49d67729d3c, 0x909e5e609f180904, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0xc19bf32547e65741,
  0x6e9bd47bc3d872d1, 0xdf0450a48904903c, 0x9f5c3e144312bfcf, 0x886559cbd338aeb8, 0x134728a8432d04b4,
  0xf212db8a4ffa039e, 0xa6bfceadcc161bca, 0x49feda9fddba7c25, 0xf8c5faa32870da37, 0x1759c3cf3c873b31,
  0x7ff51f097e21b091, 0x109ba64c5c3b3974, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71943a909afa30, 0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647,
  0xec9fc55f3bb8a929, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000000ebaaea928a,
};

/*
 * m649_u2x8_uart0_noled_pr          m649a_u2x8_uart0_noled            m649a_u2x8_uart0_noled_pr
 * m649p_u2x8_uart0_noled            m649p_u2x8_uart0_noled_pr         m6490_u2x8_uart0_noled
 * m6490_u2x8_uart0_noled_pr         m6490a_u2x8_uart0_noled           m6490a_u2x8_uart0_noled_pr
 * m6490p_u2x8_uart0_noled           m6490p_u2x8_uart0_noled_pr        m645_u2x8_uart0_noled
 * m645_u2x8_uart0_noled_pr          m645a_u2x8_uart0_noled            m645a_u2x8_uart0_noled_pr
 * m645p_u2x8_uart0_noled            m645p_u2x8_uart0_noled_pr         m6450_u2x8_uart0_noled
 * m6450_u2x8_uart0_noled_pr         m6450a_u2x8_uart0_noled           m6450a_u2x8_uart0_noled_pr
 * m6450p_u2x8_uart0_noled           m6450p_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m649_u2x8_uart0_noled[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x51c742245533466e, 0x6188f1f60fbbba16, 0x2bbc9ddb1ec842f3,
  0x3f38cc13e3012098, 0xf6e9f092f9fefd0f, 0x843c368ded51ca4d, 0x481a0bf51fa03be5, 0x16594cf7dad490e2,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0x5ec1c7c0f2cf6c7d, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0xb022f9e4afdcd0cc, 0x00000000000f9000,
};

/*
 * m649a_u2x8_uart0_noled_pr_u4      m649p_u2x8_uart0_noled_pr_u4      m6490_u2x8_uart0_noled_pr_u4
 * m6490a_u2x8_uart0_noled_pr_u4     m6490p_u2x8_uart0_noled_pr_u4     m645_u2x8_uart0_noled_pr_u4
 * m645a_u2x8_uart0_noled_pr_u4      m645p_u2x8_uart0_noled_pr_u4      m6450_u2x8_uart0_noled_pr_u4
 * m6450a_u2x8_uart0_noled_pr_u4     m6450p_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m649_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0x7777557d9cad225b, 0xe3a1122a99a33777, 0xc478fb07dddd0b28, 0x793baf5cc4c2fa66,
  0x719827c602413057, 0xd3e125f3fec5767e, 0x786d1bdaa3949bed, 0x3417ea3f4077cb08, 0xb299efb5a921c490,
  0x76afe8f58731602c, 0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xbce70b37e06256bd, 0x5bcde01f50603bd6,
  0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0x6a5f9b6249156f62, 0xe0eee34591263729, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x256b8f9e4afdcd0c,
  0x00000000000f93a7,
};

/*
 * m649_u2x8_uart0_noled_pr_ee_u4    m649a_u2x8_uart0_noled_pr_ee      m649a_u2x8_uart0_noled_pr_ee_u4
 * m649p_u2x8_uart0_noled_pr_ee      m649p_u2x8_uart0_noled_pr_ee_u4   m6490_u2x8_uart0_noled_pr_ee
 * m6490_u2x8_uart0_noled_pr_ee_u4   m6490a_u2x8_uart0_noled_pr_ee     m6490a_u2x8_uart0_noled_pr_ee_u4
 * m6490p_u2x8_uart0_noled_pr_ee     m6490p_u2x8_uart0_noled_pr_ee_u4  m645_u2x8_uart0_noled_pr_ee
 * m645_u2x8_uart0_noled_pr_ee_u4    m645a_u2x8_uart0_noled_pr_ee      m645a_u2x8_uart0_noled_pr_ee_u4
 * m645p_u2x8_uart0_noled_pr_ee      m645p_u2x8_uart0_noled_pr_ee_u4   m6450_u2x8_uart0_noled_pr_ee
 * m6450_u2x8_uart0_noled_pr_ee_u4   m6450a_u2x8_uart0_noled_pr_ee     m6450a_u2x8_uart0_noled_pr_ee_u4
 * m6450p_u2x8_uart0_noled_pr_ee     m6450p_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m649_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b1b112d, 0x75a14d971d867bbb, 0x60bfd4cd0775228d, 0xb336c4d15051bb06,
  0x9f180904c15de4ee, 0x387ff62bb3ec1660, 0xbdaa3949bedd3e12, 0xe449aad68e7186d1, 0x51f06cc1a63ea3ca,
  0x69d68450ef8afbaf, 0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab,
  0x1fadc37b2d973170, 0xaf600544a9a546c1, 0xf5af39c2cdf81895, 0xce16f37807d4180e, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xf9559ae3e792bf73, 0x000000000000013a,
};

/*
 * m649_u2x8_uart0_noled_pr_ce_u4    m649a_u2x8_uart0_noled_pr_ce      m649a_u2x8_uart0_noled_pr_ce_u4
 * m649p_u2x8_uart0_noled_pr_ce      m649p_u2x8_uart0_noled_pr_ce_u4   m6490_u2x8_uart0_noled_pr_ce
 * m6490_u2x8_uart0_noled_pr_ce_u4   m6490a_u2x8_uart0_noled_pr_ce     m6490a_u2x8_uart0_noled_pr_ce_u4
 * m6490p_u2x8_uart0_noled_pr_ce     m6490p_u2x8_uart0_noled_pr_ce_u4  m645_u2x8_uart0_noled_pr_ce
 * m645_u2x8_uart0_noled_pr_ce_u4    m645a_u2x8_uart0_noled_pr_ce      m645a_u2x8_uart0_noled_pr_ce_u4
 * m645p_u2x8_uart0_noled_pr_ce      m645p_u2x8_uart0_noled_pr_ce_u4   m6450_u2x8_uart0_noled_pr_ce
 * m6450_u2x8_uart0_noled_pr_ce_u4   m6450a_u2x8_uart0_noled_pr_ce     m6450a_u2x8_uart0_noled_pr_ce_u4
 * m6450p_u2x8_uart0_noled_pr_ce     m6450p_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f64e25b, 0x5a9c2f623ac86eee, 0x68c286deeee9b491, 0xf27751994e1a6529,
  0x9d304f8c048260ae, 0x9f09145ffb15d9ff, 0xc368ded51ca4df6e, 0x1e6e771ee317eb10, 0x7e21b0911759c3cf,
  0x8b87ff81a3f51f09, 0x727a7b96757d64c9, 0x749490e2481eb3d4, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d,
  0x38f81e5adc3eccf2, 0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8,
  0x4bf36c490c76f62a, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xfd71f3c95fb9a199, 0x0000000001baec21,
};

/*
 * m649_u2x8_uart0_noled_pr_ee_ce_u4 m649a_u2x8_uart0_noled_pr_ee_ce   m649a_u2x8_uart0_noled_pr_ee_ce_u4
 * m649p_u2x8_uart0_noled_pr_ee_ce   m649p_u2x8_uart0_noled_pr_ee_ce_u4
 * m6490_u2x8_uart0_noled_pr_ee_ce   m6490_u2x8_uart0_noled_pr_ee_ce_u4
 * m6490a_u2x8_uart0_noled_pr_ee_ce  m6490a_u2x8_uart0_noled_pr_ee_ce_u4
 * m6490p_u2x8_uart0_noled_pr_ee_ce  m6490p_u2x8_uart0_noled_pr_ee_ce_u4
 * m645_u2x8_uart0_noled_pr_ee_ce    m645_u2x8_uart0_noled_pr_ee_ce_u4 m645a_u2x8_uart0_noled_pr_ee_ce
 * m645a_u2x8_uart0_noled_pr_ee_ce_u4 m645p_u2x8_uart0_noled_pr_ee_ce
 * m645p_u2x8_uart0_noled_pr_ee_ce_u4 m6450_u2x8_uart0_noled_pr_ee_ce
 * m6450_u2x8_uart0_noled_pr_ee_ce_u4 m6450a_u2x8_uart0_noled_pr_ee_ce
 * m6450a_u2x8_uart0_noled_pr_ee_ce_u4 m6450p_u2x8_uart0_noled_pr_ee_ce
 * m6450p_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc68299c4b7, 0xb8da29bbd8e3bbbb, 0xa165955a6ec2f536, 0xe455f6277efa7725,
  0xe30120982bbc9dd4, 0xd7fd8aecf8cdcc13, 0x6a8e526fb74f8482, 0x518bf547f3a1b46f, 0x8bace1e78f373b8e,
  0xe5fa8f84bf10d848, 0x841ef993170f494c, 0xd6bfa8f2bea253b5, 0x298ac27fa8f83660, 0x5962291669d68450,
  0x5dba711d484d7d18, 0x79d376ded1e0b39d, 0xe791871b1aaf1b1d, 0x0decb65cc5c24228, 0xce89534a8d822647,
  0x73859bf0312b5ec2, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x5f9b624863b7b155,
  0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0x6b8f9e4afdcd0ccb, 0x00000000027e0fc1,
};

/*
 * m649a_u2x8_uart0_noled_ee_hw      m649p_u2x8_uart0_noled_ee_hw      m6490_u2x8_uart0_noled_ee_hw
 * m6490a_u2x8_uart0_noled_ee_hw     m6490p_u2x8_uart0_noled_ee_hw     m645_u2x8_uart0_noled_ee_hw
 * m645a_u2x8_uart0_noled_ee_hw      m645p_u2x8_uart0_noled_ee_hw      m6450_u2x8_uart0_noled_ee_hw
 * m6450a_u2x8_uart0_noled_ee_hw     m6450p_u2x8_uart0_noled_ee_hw     c64_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m649_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeda1d1468d38b, 0xdddd55f358d8896e, 0xad0a6cb8ec33dddd, 0x05fea6683ba9146b, 0xea3329da528dd833,
  0x09f180904c15de4e, 0x48e1fff5933ec166, 0x46f6a8e526fb74f8, 0x2b9126ab5a39c61b, 0xbd47c1b30698fa8f,
  0x59a75a1143be2bee, 0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a,
  0x047eb70decb65cc5, 0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53,
  0x6f62aa8b4b0b9c63, 0x37296a5f9b624915, 0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xbf4117d14f257ee6, 0x0000000000000005,
};

/*
 * m649_u2x8_uart0_noled_ee_ce_u4_hw m649a_u2x8_uart0_noled_ee_ce_hw   m649a_u2x8_uart0_noled_ee_ce_u4_hw
 * m649p_u2x8_uart0_noled_ee_ce_hw   m649p_u2x8_uart0_noled_ee_ce_u4_hw
 * m6490_u2x8_uart0_noled_ee_ce_hw   m6490_u2x8_uart0_noled_ee_ce_u4_hw
 * m6490a_u2x8_uart0_noled_ee_ce_hw  m6490a_u2x8_uart0_noled_ee_ce_u4_hw
 * m6490p_u2x8_uart0_noled_ee_ce_hw  m6490p_u2x8_uart0_noled_ee_ce_u4_hw
 * m645_u2x8_uart0_noled_ee_ce_hw    m645_u2x8_uart0_noled_ee_ce_u4_hw m645a_u2x8_uart0_noled_ee_ce_hw
 * m645a_u2x8_uart0_noled_ee_ce_u4_hw m645p_u2x8_uart0_noled_ee_ce_hw
 * m645p_u2x8_uart0_noled_ee_ce_u4_hw m6450_u2x8_uart0_noled_ee_ce_hw
 * m6450_u2x8_uart0_noled_ee_ce_u4_hw m6450a_u2x8_uart0_noled_ee_ce_hw
 * m6450a_u2x8_uart0_noled_ee_ce_u4_hw m6450p_u2x8_uart0_noled_ee_ce_hw
 * m6450p_u2x8_uart0_noled_ee_ce_u4_hw c64_u2x8_uart0_noled_ee_ce_hw
 * c64_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddb43a28d12a8, 0xeeeeaaf1a0a6712d, 0xae368a6ef638eeee, 0x685965569bb0bd4d, 0xba75a356b3ee9dc9,
  0x827c602413057793, 0x2416bffac99f19b9, 0xa37b5472937dba7c, 0xdc728c5faa3f9d0d, 0x8488bace1e79e439,
  0x699bffa8f84bf10d, 0x76b083df3262e1f9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2d4bf36c490c76f6,
  0xa1854e7ea138c6e5, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x000a29e4afdcd0cc, 0x0000000000028093,
};

/*
 * m649_u2x8_uart0_lednop_pr         m649a_u2x8_uart0_lednop           m649a_u2x8_uart0_lednop_pr
 * m649p_u2x8_uart0_lednop           m649p_u2x8_uart0_lednop_pr        m6490_u2x8_uart0_lednop
 * m6490_u2x8_uart0_lednop_pr        m6490a_u2x8_uart0_lednop          m6490a_u2x8_uart0_lednop_pr
 * m6490p_u2x8_uart0_lednop          m6490p_u2x8_uart0_lednop_pr       m645_u2x8_uart0_lednop
 * m645_u2x8_uart0_lednop_pr         m645a_u2x8_uart0_lednop           m645a_u2x8_uart0_lednop_pr
 * m645p_u2x8_uart0_lednop           m645p_u2x8_uart0_lednop_pr        m6450_u2x8_uart0_lednop
 * m6450_u2x8_uart0_lednop_pr        m6450a_u2x8_uart0_lednop          m6450a_u2x8_uart0_lednop_pr
 * m6450p_u2x8_uart0_lednop          m6450p_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m649_u2x8_uart0_lednop[] = {
  0xbbbbbb687acdfc4f, 0xeeeeeaafb385ee25, 0x26cfddf87f588eee, 0xc7eb4bf377764422, 0xde4eec2f5a3c7a09,
  0x052609f180904c15, 0x74f84be4ff7e879f, 0x0e1b46f6a8e526fb, 0x0cd27a8e4f1df2c9, 0x7ba61f3a4a487124,
  0xd9af91c829cc580b, 0x1f7b8e58c11d78b9, 0xe166fc0c4ad7b0ac, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x79c37296a5f9b6e7, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x9a19961d252d9c38, 0x900396045f3c95fb, 0x000000000000000f,
};

/*
 * m649a_u2x8_uart0_lednop_pr_u4     m649p_u2x8_uart0_lednop_pr_u4     m6490_u2x8_uart0_lednop_pr_u4
 * m6490a_u2x8_uart0_lednop_pr_u4    m6490p_u2x8_uart0_lednop_pr_u4    m645_u2x8_uart0_lednop_pr_u4
 * m645a_u2x8_uart0_lednop_pr_u4     m645p_u2x8_uart0_lednop_pr_u4     m6450_u2x8_uart0_lednop_pr_u4
 * m6450a_u2x8_uart0_lednop_pr_u4    m6450p_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f671d7c4b, 0xc75a5097e68dbddd, 0x99fa5327bbba1651, 0xf2776a2f256a6b04,
  0xeb304f8c048260ae, 0x4f84a5f7fd8aecf9, 0xe1b46f6a8e526fb7, 0xd05fa8f6b1df2c21, 0x94df241fa4871240,
  0xcb3d1a43398b0165, 0x500ffd9823af47ce, 0x0ad03cb3db416691, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xe722adec555169ab, 0x5912637296a5f9b6, 0x7ea75666fe0eee34,
  0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x0000f9363c9eb8f9,
};

/*
 * m649_u2x8_uart0_lednop_pr_ee_u4   m649a_u2x8_uart0_lednop_pr_ee     m649a_u2x8_uart0_lednop_pr_ee_u4
 * m649p_u2x8_uart0_lednop_pr_ee     m649p_u2x8_uart0_lednop_pr_ee_u4  m6490_u2x8_uart0_lednop_pr_ee
 * m6490_u2x8_uart0_lednop_pr_ee_u4  m6490a_u2x8_uart0_lednop_pr_ee    m6490a_u2x8_uart0_lednop_pr_ee_u4
 * m6490p_u2x8_uart0_lednop_pr_ee    m6490p_u2x8_uart0_lednop_pr_ee_u4 m645_u2x8_uart0_lednop_pr_ee
 * m645_u2x8_uart0_lednop_pr_ee_u4   m645a_u2x8_uart0_lednop_pr_ee     m645a_u2x8_uart0_lednop_pr_ee_u4
 * m645p_u2x8_uart0_lednop_pr_ee     m645p_u2x8_uart0_lednop_pr_ee_u4  m6450_u2x8_uart0_lednop_pr_ee
 * m6450_u2x8_uart0_lednop_pr_ee_u4  m6450a_u2x8_uart0_lednop_pr_ee    m6450a_u2x8_uart0_lednop_pr_ee_u4
 * m6450p_u2x8_uart0_lednop_pr_ee    m6450p_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b62f896, 0x5cd85a331da17bbb, 0xde3bf53341dd48a3, 0xa5387b2e33acd2cf,
  0x27c602413057793b, 0x8a1ffd8aecfe5698, 0x6f6a8e526fb74f84, 0xb32a6ab5a39c61b4, 0xd47c1b30698fa8f2,
  0x34eb422877c561ef, 0xa426be8c2cb1148b, 0x68e756973d571ac9, 0xd743af3a6ed19232, 0x242282791bdab1aa,
  0x47eb70decb65cc5c, 0xd7b0021f667951b0, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xb8f9e4afdcd0ccb0, 0x000000004eb98396,
};

/*
 * m649_u2x8_uart0_lednop_pr_ce_u4   m649a_u2x8_uart0_lednop_pr_ce     m649a_u2x8_uart0_lednop_pr_ce_u4
 * m649p_u2x8_uart0_lednop_pr_ce     m649p_u2x8_uart0_lednop_pr_ce_u4  m6490_u2x8_uart0_lednop_pr_ce
 * m6490_u2x8_uart0_lednop_pr_ce_u4  m6490a_u2x8_uart0_lednop_pr_ce    m6490a_u2x8_uart0_lednop_pr_ce_u4
 * m6490p_u2x8_uart0_lednop_pr_ce    m6490p_u2x8_uart0_lednop_pr_ce_u4 m645_u2x8_uart0_lednop_pr_ce
 * m645_u2x8_uart0_lednop_pr_ce_u4   m645a_u2x8_uart0_lednop_pr_ce     m645a_u2x8_uart0_lednop_pr_ce_u4
 * m645p_u2x8_uart0_lednop_pr_ce     m645p_u2x8_uart0_lednop_pr_ce_u4  m6450_u2x8_uart0_lednop_pr_ce
 * m6450_u2x8_uart0_lednop_pr_ce_u4  m6450a_u2x8_uart0_lednop_pr_ce    m6450a_u2x8_uart0_lednop_pr_ce_u4
 * m6450p_u2x8_uart0_lednop_pr_ce    m6450p_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0xbbbbaabf0b92112d, 0xb64da9933d067bbb, 0x6c20950f7774da48, 0x793bb939eb50569c,
  0xc39827c602413057, 0x4f8492b7fd8aecf9, 0x61b46f6a8e526fb7, 0x8f373b80d18bf588, 0xbf10d8488bace1e7,
  0x170e9b73b7fa8f84, 0xfd24f72ceafac993, 0x116921c4903d67a8, 0xb3d1a43398b01531, 0x00ffd99e3af47cec,
  0x2b40f2d6e4166915, 0x13859bf0312b5ec8, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x000375ef24f5c7cf,
};

/*
 * m649_u2x8_uart0_lednop_pr_ee_ce_u4 m649a_u2x8_uart0_lednop_pr_ee_ce
 * m649a_u2x8_uart0_lednop_pr_ee_ce_u4 m649p_u2x8_uart0_lednop_pr_ee_ce
 * m649p_u2x8_uart0_lednop_pr_ee_ce_u4 m6490_u2x8_uart0_lednop_pr_ee_ce
 * m6490_u2x8_uart0_lednop_pr_ee_ce_u4 m6490a_u2x8_uart0_lednop_pr_ee_ce
 * m6490a_u2x8_uart0_lednop_pr_ee_ce_u4 m6490p_u2x8_uart0_lednop_pr_ee_ce
 * m6490p_u2x8_uart0_lednop_pr_ee_ce_u4 m645_u2x8_uart0_lednop_pr_ee_ce
 * m645_u2x8_uart0_lednop_pr_ee_ce_u4 m645a_u2x8_uart0_lednop_pr_ee_ce
 * m645a_u2x8_uart0_lednop_pr_ee_ce_u4 m645p_u2x8_uart0_lednop_pr_ee_ce
 * m645p_u2x8_uart0_lednop_pr_ee_ce_u4 m6450_u2x8_uart0_lednop_pr_ee_ce
 * m6450_u2x8_uart0_lednop_pr_ee_ce_u4 m6450a_u2x8_uart0_lednop_pr_ee_ce
 * m6450a_u2x8_uart0_lednop_pr_ee_ce_u4 m6450p_u2x8_uart0_lednop_pr_ee_ce
 * m6450p_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e340b0625b, 0xa66b8da5edc1dddd, 0xc202caad37617a9b, 0x3551786e75b1232e,
  0xf8c048260aef2776, 0x1fffb15d9f0d1304, 0xdaa3949bedd3e12b, 0xd462fd51fce86d1b, 0x22eb3879e3cdcec9,
  0x83fea3e12fc43612, 0xc20f7cc98b87ca86, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30, 0x2cb1148b34eb4228,
  0xaedc7a8ea426be8c, 0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a, 0x663eccf2a3608991,
  0x09c2cdf81895af61, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x64498dca5a97e6db, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00004fc4b69ae3e7,
};

/*
 * m649a_u2x8_uart0_lednop_ee_hw     m649p_u2x8_uart0_lednop_ee_hw     m6490_u2x8_uart0_lednop_ee_hw
 * m6490a_u2x8_uart0_lednop_ee_hw    m6490p_u2x8_uart0_lednop_ee_hw    m645_u2x8_uart0_lednop_ee_hw
 * m645a_u2x8_uart0_lednop_ee_hw     m645p_u2x8_uart0_lednop_ee_hw     m6450_u2x8_uart0_lednop_ee_hw
 * m6450a_u2x8_uart0_lednop_ee_hw    m6450p_u2x8_uart0_lednop_ee_hw    c64_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_ee_hw[] = {
  0x77776d0e8a34280b, 0xdddd55f35b17c4b7, 0xe6c2d198ed0bdddd, 0xf1dfa99a0eea451a, 0xbb939eb6b4e6967e,
  0x827c602413057793, 0x12287ffd64cfe569, 0xd1bdaa3949bedd3e, 0xcacca9aad68e7186, 0xbf51f06cc1a63ea3,
  0x2cd3ad08a1df1587, 0x26909afa30b2c452, 0xc9a39d5a5cf55c6b, 0xab5d0ebce9bb4648, 0x70908a09e46f6ac6,
  0xc11fadc37b2d9731, 0x2b5ec0087d99e546, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x97e6db9c8ab7b155, 0x0a9cfd42718dca5a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xf453c95fb9a19961, 0x00000000016fb045,
};

/*
 * m649_u2x8_uart0_lednop_ee_ce_u4_hw m649a_u2x8_uart0_lednop_ee_ce_hw
 * m649a_u2x8_uart0_lednop_ee_ce_u4_hw m649p_u2x8_uart0_lednop_ee_ce_hw
 * m649p_u2x8_uart0_lednop_ee_ce_u4_hw m6490_u2x8_uart0_lednop_ee_ce_hw
 * m6490_u2x8_uart0_lednop_ee_ce_u4_hw m6490a_u2x8_uart0_lednop_ee_ce_hw
 * m6490a_u2x8_uart0_lednop_ee_ce_u4_hw m6490p_u2x8_uart0_lednop_ee_ce_hw
 * m6490p_u2x8_uart0_lednop_ee_ce_u4_hw m645_u2x8_uart0_lednop_ee_ce_hw
 * m645_u2x8_uart0_lednop_ee_ce_u4_hw m645a_u2x8_uart0_lednop_ee_ce_hw
 * m645a_u2x8_uart0_lednop_ee_ce_u4_hw m645p_u2x8_uart0_lednop_ee_ce_hw
 * m645p_u2x8_uart0_lednop_ee_ce_u4_hw m6450_u2x8_uart0_lednop_ee_ce_hw
 * m6450_u2x8_uart0_lednop_ee_ce_u4_hw m6450a_u2x8_uart0_lednop_ee_ce_hw
 * m6450a_u2x8_uart0_lednop_ee_ce_u4_hw m6450p_u2x8_uart0_lednop_ee_ce_hw
 * m6450p_u2x8_uart0_lednop_ee_ce_u4_hw c64_u2x8_uart0_lednop_ee_ce_hw
 * c64_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xeeeeda1d146824d6, 0x7775578d02c1896e, 0x99ae3697b7077777, 0x080b2ab4dd85ea6e, 0xbf6baef53ec48cbb,
  0x27c602413057793b, 0x563fffd64cf86898, 0x37b5472937dba7c2, 0x93a8c5faa3f9d0da, 0x488bace1e79e439d,
  0x6c87fa8f84bf10d8, 0xb5841ef993170fd6, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xb73863b7b15545a6,
  0xfa84e31b94b52fcd, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3,
  0x92bf734332c3a4a5, 0x000005010e2fa8a7,
};

/*
 * m649_u2x8_uart0_dual_pr           m649_u2x8_uart0_dual_pr_u4        m649a_u2x8_uart0_dual
 * m649a_u2x8_uart0_dual_pr          m649a_u2x8_uart0_dual_pr_u4       m649p_u2x8_uart0_dual
 * m649p_u2x8_uart0_dual_pr          m649p_u2x8_uart0_dual_pr_u4       m6490_u2x8_uart0_dual
 * m6490_u2x8_uart0_dual_pr          m6490_u2x8_uart0_dual_pr_u4       m6490a_u2x8_uart0_dual
 * m6490a_u2x8_uart0_dual_pr         m6490a_u2x8_uart0_dual_pr_u4      m6490p_u2x8_uart0_dual
 * m6490p_u2x8_uart0_dual_pr         m6490p_u2x8_uart0_dual_pr_u4      m645_u2x8_uart0_dual
 * m645_u2x8_uart0_dual_pr           m645_u2x8_uart0_dual_pr_u4        m645a_u2x8_uart0_dual
 * m645a_u2x8_uart0_dual_pr          m645a_u2x8_uart0_dual_pr_u4       m645p_u2x8_uart0_dual
 * m645p_u2x8_uart0_dual_pr          m645p_u2x8_uart0_dual_pr_u4       m6450_u2x8_uart0_dual
 * m6450_u2x8_uart0_dual_pr          m6450_u2x8_uart0_dual_pr_u4       m6450a_u2x8_uart0_dual
 * m6450a_u2x8_uart0_dual_pr         m6450a_u2x8_uart0_dual_pr_u4      m6450p_u2x8_uart0_dual
 * m6450p_u2x8_uart0_dual_pr         m6450p_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m649_u2x8_uart0_dual[] = {
  0xeeeeef07a24343ee, 0xbbbbbab0dbb0d7e6, 0xeec8dd41bd3adbbb, 0xb4d8b276eeed0b23, 0xf77577e4496a69e3,
  0x9f180904c15de4e2, 0x7d9323055212a260, 0x881850c1b48c0ddd, 0x75fcca0253ba7c4b, 0x7727b0f9c7090f31,
  0x524482481afb9bd4, 0x0a21895fe7ef8228, 0x397a670c7c4fae1f, 0x8a8432d0f9110cab, 0xde037fd01cf0987c,
  0xaa9260b0de579096, 0x2937dba7c2413fff, 0x77cb1350da37b547, 0x438920621fd47c8a, 0xc580aa0f34e2f7d2,
  0xd78033b5ac8ebf9c, 0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f,
  0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x296a5f9b6e722ade, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xcfc16b8f9e4afdcd, 0x0000000000000a49,
};

/*
 * m649_u2x8_uart0_dual_pr_ee_u4     m649a_u2x8_uart0_dual_pr_ee       m649a_u2x8_uart0_dual_pr_ee_u4
 * m649p_u2x8_uart0_dual_pr_ee       m649p_u2x8_uart0_dual_pr_ee_u4    m6490_u2x8_uart0_dual_pr_ee
 * m6490_u2x8_uart0_dual_pr_ee_u4    m6490a_u2x8_uart0_dual_pr_ee      m6490a_u2x8_uart0_dual_pr_ee_u4
 * m6490p_u2x8_uart0_dual_pr_ee      m6490p_u2x8_uart0_dual_pr_ee_u4   m645_u2x8_uart0_dual_pr_ee
 * m645_u2x8_uart0_dual_pr_ee_u4     m645a_u2x8_uart0_dual_pr_ee       m645a_u2x8_uart0_dual_pr_ee_u4
 * m645p_u2x8_uart0_dual_pr_ee       m645p_u2x8_uart0_dual_pr_ee_u4    m6450_u2x8_uart0_dual_pr_ee
 * m6450_u2x8_uart0_dual_pr_ee_u4    m6450a_u2x8_uart0_dual_pr_ee      m6450a_u2x8_uart0_dual_pr_ee_u4
 * m6450p_u2x8_uart0_dual_pr_ee      m6450p_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m649_u2x8_uart0_dual_pr_ee[] = {
  0xeeeeef07a243359b, 0x77777756242b57e6, 0x5875f3ed26685b77, 0x5f1abc791fdd816f, 0xf0cc2987cd754035,
  0x0904c15de4a33770, 0x460aa40592609f18, 0xa18369181bbafb26, 0x9404a774f8971030, 0x019b386ed4c9b7f9,
  0x49034b537a8e63fb, 0x2bfcfdf0450a4890, 0xe32189f5c3e14431, 0xb41d2a2195672f4c, 0xe80e784c5162a10c,
  0xb0de579096dfabff, 0xa7c25befffaa9260, 0x90da37b5472937db, 0xa8f2b5f7355ad1c8, 0x752bd47c1b3060a7,
  0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x28f7b39d5a5cca5c, 0xc6ab5d0ebd44bb44, 0x98b84845022a3e7a,
  0x46c11fadc37b2fa5, 0x9ddc54940213fac5, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6e52d4bf36dce455, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xac810bd71f3c95fb,
  0x0000000000000000,
};

/*
 * m649_u2x8_uart0_dual_pr_ce_u4     m649a_u2x8_uart0_dual_pr_ce       m649a_u2x8_uart0_dual_pr_ce_u4
 * m649p_u2x8_uart0_dual_pr_ce       m649p_u2x8_uart0_dual_pr_ce_u4    m6490_u2x8_uart0_dual_pr_ce
 * m6490_u2x8_uart0_dual_pr_ce_u4    m6490a_u2x8_uart0_dual_pr_ce      m6490a_u2x8_uart0_dual_pr_ce_u4
 * m6490p_u2x8_uart0_dual_pr_ce      m6490p_u2x8_uart0_dual_pr_ce_u4   m645_u2x8_uart0_dual_pr_ce
 * m645_u2x8_uart0_dual_pr_ce_u4     m645a_u2x8_uart0_dual_pr_ce       m645a_u2x8_uart0_dual_pr_ce_u4
 * m645p_u2x8_uart0_dual_pr_ce       m645p_u2x8_uart0_dual_pr_ce_u4    m6450_u2x8_uart0_dual_pr_ce
 * m6450_u2x8_uart0_dual_pr_ce_u4    m6450a_u2x8_uart0_dual_pr_ce      m6450a_u2x8_uart0_dual_pr_ce_u4
 * m6450p_u2x8_uart0_dual_pr_ce      m6450p_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_dual_pr_ce[] = {
  0xddddde0f448687e1, 0xeeeeead63ec5efcd, 0x2c45a8ed6badeeee, 0xe55ff6b7776e0c0b, 0xdc57b782eeda3e3a,
  0xc602413057792b05, 0x9323055202919827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x1d87579c287e6e9f,
  0x241240f674dea39c, 0x0c4aff3f7c114292, 0xd33978627d70f851, 0x432d05f6886559cb, 0xbffa039e1307b8a8,
  0x4c161bcaf212dbe9, 0xfb74f848a5fff552, 0xb2fa1b46f6a8e526, 0x3cf1e6e7695a317e, 0xf097e21b0911759c,
  0x993170f5bf003f51, 0xd471bf3dcb3abd4b, 0x283e52438920752f, 0xed6b23afe7316028, 0xaa01ffb33c75e00c,
  0xaa4e81e5adc21d21, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x71f3c95fb9a19961, 0x000000006923cdbd,
};

/*
 * m649a_u2x8_uart0_dual_pr_ee_ce    m649p_u2x8_uart0_dual_pr_ee_ce    m6490_u2x8_uart0_dual_pr_ee_ce
 * m6490a_u2x8_uart0_dual_pr_ee_ce   m6490p_u2x8_uart0_dual_pr_ee_ce   m645_u2x8_uart0_dual_pr_ee_ce
 * m645a_u2x8_uart0_dual_pr_ee_ce    m645p_u2x8_uart0_dual_pr_ee_ce    m6450_u2x8_uart0_dual_pr_ee_ce
 * m6450a_u2x8_uart0_dual_pr_ee_ce   m6450p_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m649_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeef07d41432db, 0xbbbbbab0dbc997e6, 0xaae2162afdf71bbb, 0x9bad32024775056c, 0x8e08ab38fe6740f8,
  0xc048260aef25d93b, 0x6460aa4771f304f8, 0x0a18369181bbafb2, 0x99404a774f897103, 0xec2001c0524dfaff,
  0x82481cedcdea3d6f, 0x895fe7ef82285244, 0xce2a444fae1f0a21, 0xcb42dd22195672f4, 0xfe80e784ca7a2a10,
  0x0586f2bc84b6fa6b, 0xdd3e120b5ffd5493, 0xee86d1bdaa3949be, 0xc79b9dc72b1fd51f, 0xd339d61ee4492bf3,
  0x51e56fe4a76b02cd, 0xe037a8f83660d7cf, 0x291669d68450298a, 0xca1d484d7d185962, 0xbb4428f7b39d5db8,
  0x7cf58d578d8ebd44, 0x5f4b3170908a0454, 0xfac546c1132386f6, 0xe2af9ddc5494b313, 0x9c2cdf81895af64f,
  0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x7a18dca5a97e6db9,
  0x9d599bf83bb8d160, 0xd87138d2861539fa, 0x67a615c9f80f9a3e, 0x494b670e271964b8, 0xc7cf257ee6866587,
  0x000000004001cfb5,
};

/*
 * m649a_u2x8_uart0_dual_pr_ee_ce_u4 m649p_u2x8_uart0_dual_pr_ee_ce_u4 m6490_u2x8_uart0_dual_pr_ee_ce_u4
 * m6490a_u2x8_uart0_dual_pr_ee_ce_u4 m6490p_u2x8_uart0_dual_pr_ee_ce_u4
 * m645_u2x8_uart0_dual_pr_ee_ce_u4  m645a_u2x8_uart0_dual_pr_ee_ce_u4 m645p_u2x8_uart0_dual_pr_ee_ce_u4
 * m6450_u2x8_uart0_dual_pr_ee_ce_u4 m6450a_u2x8_uart0_dual_pr_ee_ce_u4
 * m6450p_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777783d150ff9231, 0xbbbab35369ebf377, 0x187c80778ffbbbbb, 0x234e05ee9ceebbf7, 0xa7f0ed6a9b419cae,
  0x5de49d6777ff0cd3, 0x9e5e609f180904c1, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x37e64a8fccac049d,
  0x37a8f787b0e5a383, 0x08a14912092078dd, 0xb87c2886257f9fbe, 0xcab397a6715d713e, 0x8e5150865a096910,
  0x25b7149ff4073c26, 0xfe3217982c3795e4, 0x8e526fb74f84b4d7, 0x8bf54650e1b46f6a, 0x670f3cf8067663f1,
  0xd47c25f886c2445d, 0xdd3262e1cc03743f, 0xf51e56fe4a76b084, 0xae037a8f83660d7c, 0x2291669d68450298,
  0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f,
  0xfe2af9ddc5494b31, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0x64498dca5a97e6db, 0xd4eaccdfc1a3f8d1, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0008008d3e44053c,
};

/*
 * m649a_u2x8_uart0_dual_ee_hw       m649p_u2x8_uart0_dual_ee_hw       m6490_u2x8_uart0_dual_ee_hw
 * m6490a_u2x8_uart0_dual_ee_hw      m6490p_u2x8_uart0_dual_ee_hw      m645_u2x8_uart0_dual_ee_hw
 * m645a_u2x8_uart0_dual_ee_hw       m645p_u2x8_uart0_dual_ee_hw       m6450_u2x8_uart0_dual_ee_hw
 * m6450a_u2x8_uart0_dual_ee_hw      m6450p_u2x8_uart0_dual_ee_hw      c64_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m649_u2x8_uart0_dual_ee_hw[] = {
  0x7777783d146887e1, 0xbbbbbab1215abf37, 0xc3af9f693342dbbb, 0xf8d5e3c8feec0b7a, 0xc57b782d68fa01aa,
  0x6024130577928cdd, 0x99182a901649827c, 0xc2860da4606eebec, 0xe657419dd3e25c40, 0xec066ce1bb5326df,
  0x41240d2d4dea398f, 0xc4aff3f7c1142922, 0x338c8627d70f8510, 0x32d074a886559cbd, 0xffa039e131458a84,
  0x82c3795e425b7eaf, 0xb74f84b7dff9d5b9, 0x9121b46f6a8e526f, 0x4f51e56bee6ab5a3, 0x8aea57a8f83660c1,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0x8851ef673ab4b994, 0xf58d56ba1d7a8976, 0x4b3170908a04547c,
  0x8a8d823f5b86f65f, 0x5f3bb8a9280427f5, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x18dca5a97e6db9c8, 0x1ef79430a9cfd427, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x5da11017453c95fb, 0x0000000000000001,
};

/*
 * m649_u2x8_uart0_dual_ee_ce_u4_hw  m649a_u2x8_uart0_dual_ee_ce_hw    m649a_u2x8_uart0_dual_ee_ce_u4_hw
 * m649p_u2x8_uart0_dual_ee_ce_hw    m649p_u2x8_uart0_dual_ee_ce_u4_hw m6490_u2x8_uart0_dual_ee_ce_hw
 * m6490_u2x8_uart0_dual_ee_ce_u4_hw m6490a_u2x8_uart0_dual_ee_ce_hw
 * m6490a_u2x8_uart0_dual_ee_ce_u4_hw m6490p_u2x8_uart0_dual_ee_ce_hw
 * m6490p_u2x8_uart0_dual_ee_ce_u4_hw m645_u2x8_uart0_dual_ee_ce_hw
 * m645_u2x8_uart0_dual_ee_ce_u4_hw  m645a_u2x8_uart0_dual_ee_ce_hw    m645a_u2x8_uart0_dual_ee_ce_u4_hw
 * m645p_u2x8_uart0_dual_ee_ce_hw    m645p_u2x8_uart0_dual_ee_ce_u4_hw m6450_u2x8_uart0_dual_ee_ce_hw
 * m6450_u2x8_uart0_dual_ee_ce_u4_hw m6450a_u2x8_uart0_dual_ee_ce_hw
 * m6450a_u2x8_uart0_dual_ee_ce_u4_hw m6450p_u2x8_uart0_dual_ee_ce_hw
 * m6450p_u2x8_uart0_dual_ee_ce_u4_hw c64_u2x8_uart0_dual_ee_ce_hw
 * c64_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbc1e8a343e907, 0xdddd59a9b4f5f9bb, 0x8c3e403bc7fddddd, 0x11a702f74e775dfb, 0x79d6b3ebcda0ce57,
  0x0982bbc93acee53a, 0x55213cbcc13e3012, 0x1b48c0ddd7d93230, 0x833ba7c4b881850c, 0xa38337e64a8fccae,
  0x78dd37a8f787b0e5, 0x9fbe08a149120920, 0x713eb87c2886257f, 0x6910cab397a6715d, 0x3c268e5150865a09,
  0x95e425b7149ff407, 0x4b4d7f9d5b982c37, 0x46f6a8e526fb74f8, 0x663f18bf54650e1b, 0x1222eb3879e790e7,
  0x2e8ffea3e12fc436, 0xdac21374c98b8767, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x5f9b6e70c76f62aa, 0x2a73f509c637296a, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x514f257ee6866587, 0x000000001d755d52,
};

/*
 * m649_u2x12_uart0_noled_pr         m649a_u2x12_uart0_noled           m649a_u2x12_uart0_noled_pr
 * m649p_u2x12_uart0_noled           m649p_u2x12_uart0_noled_pr        m6490_u2x12_uart0_noled
 * m6490_u2x12_uart0_noled_pr        m6490a_u2x12_uart0_noled          m6490a_u2x12_uart0_noled_pr
 * m6490p_u2x12_uart0_noled          m6490p_u2x12_uart0_noled_pr       m645_u2x12_uart0_noled
 * m645_u2x12_uart0_noled_pr         m645a_u2x12_uart0_noled           m645a_u2x12_uart0_noled_pr
 * m645p_u2x12_uart0_noled           m645p_u2x12_uart0_noled_pr        m6450_u2x12_uart0_noled
 * m6450_u2x12_uart0_noled_pr        m6450a_u2x12_uart0_noled          m6450a_u2x12_uart0_noled_pr
 * m6450p_u2x12_uart0_noled          m6450p_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m649_u2x12_uart0_noled[] = {
  0x776d0d783acdc49f, 0xddd55ce0b4244b77, 0x8a64d0e6bafddddd, 0xe2f56dddd3c19ee4, 0x3bb9892150d681af,
  0x9827c60241305779, 0xe12887fdfa1e7e6e, 0x51ca4fe6d4faadd3, 0x9e3be5921c368ded, 0xd490e24819a4f51f,
  0x6731602dee986f93, 0xc11d78b9d9ed23c6, 0x256bd856513b8e58, 0x03bd6bce70b37e06, 0x363385bcde01f506,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0xc37296a5f9b62491, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x19961d252d9c389c, 0x2a76045f3c95fb9a, 0x00000000000007c8,
};

/*
 * m649a_u2x12_uart0_noled_pr_u4     m649p_u2x12_uart0_noled_pr_u4     m6490_u2x12_uart0_noled_pr_u4
 * m6490a_u2x12_uart0_noled_pr_u4    m6490p_u2x12_uart0_noled_pr_u4    m645_u2x12_uart0_noled_pr_u4
 * m645a_u2x12_uart0_noled_pr_u4     m645p_u2x12_uart0_noled_pr_u4     m6450_u2x12_uart0_noled_pr_u4
 * m6450a_u2x12_uart0_noled_pr_u4    m6450p_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m649_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d78344861391, 0xbaab9c178fc4b777, 0xb79356ddb7bbbbbb, 0x23c1f777622244f8, 0x77420f2363f928c6,
  0x304f8c048260aef2, 0xc240a7fd8aecfe95, 0xa3949fcda9f55ba7, 0x4077cb08786d1bda, 0xa921c4903417ea3f,
  0x8731602cb299efb5, 0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0xe06256bd838f81e5, 0x50603bd6bce70b37,
  0x5e5363385bcde01f, 0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0x912637296a5f9b62, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x001f27cbf0eb8f9e,
};

/*
 * m649_u2x12_uart0_noled_pr_ee_u4   m649a_u2x12_uart0_noled_pr_ee     m649a_u2x12_uart0_noled_pr_ee_u4
 * m649p_u2x12_uart0_noled_pr_ee     m649p_u2x12_uart0_noled_pr_ee_u4  m6490_u2x12_uart0_noled_pr_ee
 * m6490_u2x12_uart0_noled_pr_ee_u4  m6490a_u2x12_uart0_noled_pr_ee    m6490a_u2x12_uart0_noled_pr_ee_u4
 * m6490p_u2x12_uart0_noled_pr_ee    m6490p_u2x12_uart0_noled_pr_ee_u4 m645_u2x12_uart0_noled_pr_ee
 * m645_u2x12_uart0_noled_pr_ee_u4   m645a_u2x12_uart0_noled_pr_ee     m645a_u2x12_uart0_noled_pr_ee_u4
 * m645p_u2x12_uart0_noled_pr_ee     m645p_u2x12_uart0_noled_pr_ee_u4  m6450_u2x12_uart0_noled_pr_ee
 * m6450_u2x12_uart0_noled_pr_ee_u4  m6450a_u2x12_uart0_noled_pr_ee    m6450a_u2x12_uart0_noled_pr_ee_u4
 * m6450p_u2x12_uart0_noled_pr_ee    m6450p_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m649_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0xeeaaf2200ce25bbb, 0x8121e3f469eeeeee, 0xa730987f75e475ec, 0xd1da34a3da199bb6,
  0x8c048260aef2774d, 0xbffb15d9fc09304f, 0x7f36a7d56e9f0914, 0xa39c61b46f6a8e52, 0x698fa8f2b9126ab5,
  0x3be2beebd47c1b30, 0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a,
  0xcb65cc5c24228e79, 0x2a6951b047eb70de, 0xb37e06256bd80151, 0x01f50603bd6bce70, 0x54e5e5363385bcde,
  0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9, 0x0000009d731c4eb8,
};

/*
 * m649_u2x12_uart0_noled_pr_ce_u4   m649a_u2x12_uart0_noled_pr_ce     m649a_u2x12_uart0_noled_pr_ce_u4
 * m649p_u2x12_uart0_noled_pr_ce     m649p_u2x12_uart0_noled_pr_ce_u4  m6490_u2x12_uart0_noled_pr_ce
 * m6490_u2x12_uart0_noled_pr_ce_u4  m6490a_u2x12_uart0_noled_pr_ce    m6490a_u2x12_uart0_noled_pr_ce_u4
 * m6490p_u2x12_uart0_noled_pr_ce    m6490p_u2x12_uart0_noled_pr_ce_u4 m645_u2x12_uart0_noled_pr_ce
 * m645_u2x12_uart0_noled_pr_ce_u4   m645a_u2x12_uart0_noled_pr_ce     m645a_u2x12_uart0_noled_pr_ce_u4
 * m645p_u2x12_uart0_noled_pr_ce     m645p_u2x12_uart0_noled_pr_ce_u4  m6450_u2x12_uart0_noled_pr_ce
 * m6450_u2x12_uart0_noled_pr_ce_u4  m6450a_u2x12_uart0_noled_pr_ce    m6450a_u2x12_uart0_noled_pr_ce_u4
 * m6450p_u2x12_uart0_noled_pr_ce    m6450p_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xeeaae8778544b777, 0xd3b1e334adeeeeee, 0x0b4171ddddf12f23, 0x4eec4e764f5deb32,
  0xe609f180904c15de, 0xe12727ff62bb3f21, 0x51ca4fe6d4faadd3, 0xee317eb10c368ded, 0x11759c3cf1e6e771,
  0x1a3f51f097e21b09, 0x6757d64c98b87ff8, 0x2481eb3d4727a7b9, 0x1cc580a3e749490e, 0x3c75e8f9dabfa3d6,
  0xadc3eccf2a01ffb3, 0xe06256bd838f81e5, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x90c76f62aa8b4b0b, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00375e57e1d71f3c,
};

/*
 * m649_u2x12_uart0_noled_pr_ee_ce_u4 m649a_u2x12_uart0_noled_pr_ee_ce
 * m649a_u2x12_uart0_noled_pr_ee_ce_u4 m649p_u2x12_uart0_noled_pr_ee_ce
 * m649p_u2x12_uart0_noled_pr_ee_ce_u4 m6490_u2x12_uart0_noled_pr_ee_ce
 * m6490_u2x12_uart0_noled_pr_ee_ce_u4 m6490a_u2x12_uart0_noled_pr_ee_ce
 * m6490a_u2x12_uart0_noled_pr_ee_ce_u4 m6490p_u2x12_uart0_noled_pr_ee_ce
 * m6490p_u2x12_uart0_noled_pr_ee_ce_u4 m645_u2x12_uart0_noled_pr_ee_ce
 * m645_u2x12_uart0_noled_pr_ee_ce_u4 m645a_u2x12_uart0_noled_pr_ee_ce
 * m645a_u2x12_uart0_noled_pr_ee_ce_u4 m645p_u2x12_uart0_noled_pr_ee_ce
 * m645p_u2x12_uart0_noled_pr_ee_ce_u4 m6450_u2x12_uart0_noled_pr_ee_ce
 * m6450_u2x12_uart0_noled_pr_ee_ce_u4 m6450a_u2x12_uart0_noled_pr_ee_ce
 * m6450a_u2x12_uart0_noled_pr_ee_ce_u4 m6450p_u2x12_uart0_noled_pr_ee_ce
 * m6450p_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8725896eee, 0x4d2c33d837bbbbbb, 0xb1c7c7f76c792062, 0x3aecce8be38f4ea0,
  0x0120982bbc9dd2d4, 0xfd8aecfeed4c13e3, 0x36a7d56e9f0918ff, 0xf3a1b46f6a8e527f, 0x8f373b8e518bf547,
  0xbf10d8488bace1e7, 0x170f494ce5fa8f84, 0xbea253b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f,
  0x484d7d1859622916, 0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c,
  0x312b5ec2ce89534a, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x04fcf627eb8f9e4a,
};

/*
 * m649a_u2x12_uart0_noled_ee_hw     m649p_u2x12_uart0_noled_ee_hw     m6490_u2x12_uart0_noled_ee_hw
 * m6490a_u2x12_uart0_noled_ee_hw    m6490p_u2x12_uart0_noled_ee_hw    m645_u2x12_uart0_noled_ee_hw
 * m645a_u2x12_uart0_noled_ee_hw     m645p_u2x12_uart0_noled_ee_hw     m6450_u2x12_uart0_noled_ee_hw
 * m6450a_u2x12_uart0_noled_ee_hw    m6450p_u2x12_uart0_noled_ee_hw    c64_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m649_u2x12_uart0_noled_ee_hw[] = {
  0xdb435e0d146851eb, 0x755791006712dddd, 0x090f1fa34f777777, 0x3984c3fbaf23af64, 0x273b2d7ad0ccddb5,
  0xf8c048260aef2776, 0x52fffac99fc09304, 0x49fcda9f55ba7c24, 0xd68e7186d1bdaa39, 0xc1a63ea3cae449aa,
  0x50ef8afbaf51f06c, 0x185962291669d684, 0x2f38ae3593484d7d, 0xe9bb6f68f059cead, 0xe461c6c6ab5d0ebc,
  0x7b2d973170908a39, 0x44a9a546c11fadc3, 0xc2cdf81895af6005, 0x7807d4180ef5af39, 0x75539794d8ce16f3,
  0xd2c2e718de33a205, 0xe6d892455bd8aaa2, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000002df209a74,
};

/*
 * m649_u2x12_uart0_noled_ee_ce_u4_hw m649a_u2x12_uart0_noled_ee_ce_hw
 * m649a_u2x12_uart0_noled_ee_ce_u4_hw m649p_u2x12_uart0_noled_ee_ce_hw
 * m649p_u2x12_uart0_noled_ee_ce_u4_hw m6490_u2x12_uart0_noled_ee_ce_hw
 * m6490_u2x12_uart0_noled_ee_ce_u4_hw m6490a_u2x12_uart0_noled_ee_ce_hw
 * m6490a_u2x12_uart0_noled_ee_ce_u4_hw m6490p_u2x12_uart0_noled_ee_ce_hw
 * m6490p_u2x12_uart0_noled_ee_ce_u4_hw m645_u2x12_uart0_noled_ee_ce_hw
 * m645_u2x12_uart0_noled_ee_ce_u4_hw m645a_u2x12_uart0_noled_ee_ce_hw
 * m645a_u2x12_uart0_noled_ee_ce_u4_hw m645p_u2x12_uart0_noled_ee_ce_hw
 * m645p_u2x12_uart0_noled_ee_ce_u4_hw m6450_u2x12_uart0_noled_ee_ce_hw
 * m6450_u2x12_uart0_noled_ee_ce_u4_hw m6450a_u2x12_uart0_noled_ee_ce_hw
 * m6450a_u2x12_uart0_noled_ee_ce_u4_hw m6450p_u2x12_uart0_noled_ee_ce_hw
 * m6450p_u2x12_uart0_noled_ee_ce_u4_hw c64_u2x12_uart0_noled_ee_ce_hw
 * c64_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x12_uart0_noled_ee_ce_hw[] = {
  0xdb435e0d1468bf3e, 0x7557790e4b12dddd, 0x9a5867b06f777777, 0x638f8feed8f240c4, 0x88b16f5dc71e9d41,
  0xc602413057793bb3, 0x7fffac99fdda9827, 0x3f9b53eab74f848c, 0xa3f9d0da37b54729, 0xe79e439dc728c5fa,
  0x84bf10d8488bace1, 0x262e1f9699bffa8f, 0xe57d44a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a0531584,
  0x3a909afa30b2c452, 0xbda3c1673abb74e2, 0x36355e363af3a6ed, 0xb98b848451cf230e, 0x951b044c8e1bd96c,
  0xe06256bd859d12a6, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b,
  0x138c6e52d4bf36c4, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x0050123d3aa29e4a,
};

/*
 * m649_u2x12_uart0_lednop_pr        m649a_u2x12_uart0_lednop          m649a_u2x12_uart0_lednop_pr
 * m649p_u2x12_uart0_lednop          m649p_u2x12_uart0_lednop_pr       m6490_u2x12_uart0_lednop
 * m6490_u2x12_uart0_lednop_pr       m6490a_u2x12_uart0_lednop         m6490a_u2x12_uart0_lednop_pr
 * m6490p_u2x12_uart0_lednop         m6490p_u2x12_uart0_lednop_pr      m645_u2x12_uart0_lednop
 * m645_u2x12_uart0_lednop_pr        m645a_u2x12_uart0_lednop          m645a_u2x12_uart0_lednop_pr
 * m645p_u2x12_uart0_lednop          m645p_u2x12_uart0_lednop_pr       m6450_u2x12_uart0_lednop
 * m6450_u2x12_uart0_lednop_pr       m6450a_u2x12_uart0_lednop         m6450a_u2x12_uart0_lednop_pr
 * m6450p_u2x12_uart0_lednop         m6450p_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m649_u2x12_uart0_lednop[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x75089154cd19bbbb, 0x23c7d83eeee9e0cf, 0xf2776c7b210bcd86,
  0xe3304f8c048260ae, 0xa7c24be7fbf43cfc, 0xdaa3949fcda9f55b, 0x393c77cb24386d1b, 0xe92921c4903349ea,
  0x20a731602dee987c, 0x630475e2e766be47, 0x312b5ec2b07dee39, 0xeb5e781013859bf0, 0x8016f379b228301d,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0x40d1fc68b1e70dca, 0x867a615c9fbab31e,
  0x7494b670e271964b, 0x117cf257ee686658, 0x0000000007c80058,
};

/*
 * m649a_u2x12_uart0_lednop_pr_u4    m649p_u2x12_uart0_lednop_pr_u4    m6490_u2x12_uart0_lednop_pr_u4
 * m6490a_u2x12_uart0_lednop_pr_u4   m6490p_u2x12_uart0_lednop_pr_u4   m645_u2x12_uart0_lednop_pr_u4
 * m645a_u2x12_uart0_lednop_pr_u4    m645p_u2x12_uart0_lednop_pr_u4    m6450_u2x12_uart0_lednop_pr_u4
 * m6450a_u2x12_uart0_lednop_pr_u4   m6450p_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0be9625bbb, 0xfe2d83e971dddddd, 0xcf9beeeec44489e3, 0xd68bd39e9cbb1b64,
  0x13e30120982bbc9d, 0x2403fec5767c27cc, 0xca4fe6d4faadd3e1, 0x3be5843c368ded51, 0x90e2481a0bf51ed6,
  0x31602cb29be483f4, 0x75e8f9d967a34867, 0x682cd22a01ffb304, 0x895af6415a07967b, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xd4bf36dce455bd8a, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xdad71f3c95fb9a19, 0x00000000003e4f45,
};

/*
 * m649_u2x12_uart0_lednop_pr_ee_u4  m649a_u2x12_uart0_lednop_pr_ee    m649a_u2x12_uart0_lednop_pr_ee_u4
 * m649p_u2x12_uart0_lednop_pr_ee    m649p_u2x12_uart0_lednop_pr_ee_u4 m6490_u2x12_uart0_lednop_pr_ee
 * m6490_u2x12_uart0_lednop_pr_ee_u4 m6490a_u2x12_uart0_lednop_pr_ee
 * m6490a_u2x12_uart0_lednop_pr_ee_u4 m6490p_u2x12_uart0_lednop_pr_ee
 * m6490p_u2x12_uart0_lednop_pr_ee_u4 m645_u2x12_uart0_lednop_pr_ee
 * m645_u2x12_uart0_lednop_pr_ee_u4  m645a_u2x12_uart0_lednop_pr_ee    m645a_u2x12_uart0_lednop_pr_ee_u4
 * m645p_u2x12_uart0_lednop_pr_ee    m645p_u2x12_uart0_lednop_pr_ee_u4 m6450_u2x12_uart0_lednop_pr_ee
 * m6450_u2x12_uart0_lednop_pr_ee_u4 m6450a_u2x12_uart0_lednop_pr_ee
 * m6450a_u2x12_uart0_lednop_pr_ee_u4 m6450p_u2x12_uart0_lednop_pr_ee
 * m6450p_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x775579103f712ddd, 0xcd9005fb41777777, 0x2730987f75e475e0, 0x92be31338a85b4bb,
  0x8c048260aef2775d, 0xeffb15d9fdf7304f, 0x7f36a7d56e9f0929, 0xa39c61b46f6a8e52, 0x698fa8f2b32a6ab5,
  0x77c561efd47c1b30, 0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0x6ed1923268e75697, 0x1bdab1aad743af3a,
  0xcb65cc5c24228279, 0x667951b047eb70de, 0x66fc0c4ad7b0021f, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x4eb98226b8f9e4af,
};

/*
 * m649_u2x12_uart0_lednop_pr_ce_u4  m649a_u2x12_uart0_lednop_pr_ce    m649a_u2x12_uart0_lednop_pr_ce_u4
 * m649p_u2x12_uart0_lednop_pr_ce    m649p_u2x12_uart0_lednop_pr_ce_u4 m6490_u2x12_uart0_lednop_pr_ce
 * m6490_u2x12_uart0_lednop_pr_ce_u4 m6490a_u2x12_uart0_lednop_pr_ce
 * m6490a_u2x12_uart0_lednop_pr_ce_u4 m6490p_u2x12_uart0_lednop_pr_ce
 * m6490p_u2x12_uart0_lednop_pr_ce_u4 m645_u2x12_uart0_lednop_pr_ce
 * m645_u2x12_uart0_lednop_pr_ce_u4  m645a_u2x12_uart0_lednop_pr_ce    m645a_u2x12_uart0_lednop_pr_ce_u4
 * m645p_u2x12_uart0_lednop_pr_ce    m645p_u2x12_uart0_lednop_pr_ce_u4 m6450_u2x12_uart0_lednop_pr_ce
 * m6450_u2x12_uart0_lednop_pr_ce_u4 m6450a_u2x12_uart0_lednop_pr_ce
 * m6450a_u2x12_uart0_lednop_pr_ce_u4 m6450p_u2x12_uart0_lednop_pr_ce
 * m6450p_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b41225bbb, 0x53d31b7a6ef77777, 0xcd8cc77777c4bc98, 0x3bb626c35450140c,
  0x9827c60241305779, 0x849d2ffd8aecf94b, 0x47293f9b53eab74f, 0x68c5fac430da37b5, 0x45d670f3c79b9dc0,
  0xdbfd47c25f886c24, 0x757d64c98b874db9, 0x481eb3d47e927b96, 0xcc580a9888b490e2, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x5a97e6db9c31dbd8, 0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x687ae3e792bf7343, 0x000000000001bafc,
};

/*
 * m649_u2x12_uart0_lednop_pr_ee_ce_u4 m649a_u2x12_uart0_lednop_pr_ee_ce
 * m649a_u2x12_uart0_lednop_pr_ee_ce_u4 m649p_u2x12_uart0_lednop_pr_ee_ce
 * m649p_u2x12_uart0_lednop_pr_ee_ce_u4 m6490_u2x12_uart0_lednop_pr_ee_ce
 * m6490_u2x12_uart0_lednop_pr_ee_ce_u4 m6490a_u2x12_uart0_lednop_pr_ee_ce
 * m6490a_u2x12_uart0_lednop_pr_ee_ce_u4 m6490p_u2x12_uart0_lednop_pr_ee_ce
 * m6490p_u2x12_uart0_lednop_pr_ee_ce_u4 m645_u2x12_uart0_lednop_pr_ee_ce
 * m645_u2x12_uart0_lednop_pr_ee_ce_u4 m645a_u2x12_uart0_lednop_pr_ee_ce
 * m645a_u2x12_uart0_lednop_pr_ee_ce_u4 m645p_u2x12_uart0_lednop_pr_ee_ce
 * m645p_u2x12_uart0_lednop_pr_ee_ce_u4 m6450_u2x12_uart0_lednop_pr_ee_ce
 * m6450_u2x12_uart0_lednop_pr_ee_ce_u4 m6450a_u2x12_uart0_lednop_pr_ee_ce
 * m6450a_u2x12_uart0_lednop_pr_ee_ce_u4 m6450p_u2x12_uart0_lednop_pr_ee_ce
 * m6450p_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de425dc4b777, 0xa62685ea3bdddddd, 0x18e3e3fbb63c90e4, 0x2ad14eb9d70448d9,
  0x180904c15de4ee96, 0x9ff62bb3fa6a609f, 0xfe6d4faadd3e12ff, 0x8fe74368ded51ca4, 0xcf1e6e764ea317ea,
  0x097e21b0911759c3, 0x4c5c3e54341ff51f, 0xcafba94ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb,
  0x752135f4616588a4, 0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c,
  0xc0c4ad7b0b31f667, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x52d4bf36dce18ede, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x94d6d71f3c95fb9a, 0x00000000000004fc,
};

/*
 * m649a_u2x12_uart0_lednop_ee_hw    m649p_u2x12_uart0_lednop_ee_hw    m6490_u2x12_uart0_lednop_ee_hw
 * m6490a_u2x12_uart0_lednop_ee_hw   m6490p_u2x12_uart0_lednop_ee_hw   m645_u2x12_uart0_lednop_ee_hw
 * m645a_u2x12_uart0_lednop_ee_hw    m645p_u2x12_uart0_lednop_ee_hw    m6450_u2x12_uart0_lednop_ee_hw
 * m6450a_u2x12_uart0_lednop_ee_hw   m6450p_u2x12_uart0_lednop_ee_hw   c64_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_ee_hw[] = {
  0xeda1af068a343a31, 0xbaabc881fb896eee, 0x6c802fda0bbbbbbb, 0x3984c3fbaf23af06, 0xc4d86d01542da5d9,
  0xf8c048260aef2776, 0xa7bffac99fdf7304, 0x49fcda9f55ba7c24, 0xd68e7186d1bdaa39, 0xc1a63ea3cacca9aa,
  0xa1df1587bf51f06c, 0x30b2c4522cd3ad08, 0x5cf55c6b26909afa, 0xe9bb4648c9a39d5a, 0xe46f6ac6ab5d0ebc,
  0x7b2d973170908a09, 0x7d99e546c11fadc3, 0x859bf0312b5ec008, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x718dca5a97e6db9c, 0xe1ef79430a9cfd42, 0xed871fc65f989ffd,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x02dfa09a7453c95f,
};

/*
 * m649_u2x12_uart0_lednop_ee_ce_u4_hw m649a_u2x12_uart0_lednop_ee_ce_hw
 * m649a_u2x12_uart0_lednop_ee_ce_u4_hw m649p_u2x12_uart0_lednop_ee_ce_hw
 * m649p_u2x12_uart0_lednop_ee_ce_u4_hw m6490_u2x12_uart0_lednop_ee_ce_hw
 * m6490_u2x12_uart0_lednop_ee_ce_u4_hw m6490a_u2x12_uart0_lednop_ee_ce_hw
 * m6490a_u2x12_uart0_lednop_ee_ce_u4_hw m6490p_u2x12_uart0_lednop_ee_ce_hw
 * m6490p_u2x12_uart0_lednop_ee_ce_u4_hw m645_u2x12_uart0_lednop_ee_ce_hw
 * m645_u2x12_uart0_lednop_ee_ce_u4_hw m645a_u2x12_uart0_lednop_ee_ce_hw
 * m645a_u2x12_uart0_lednop_ee_ce_u4_hw m645p_u2x12_uart0_lednop_ee_ce_hw
 * m645p_u2x12_uart0_lednop_ee_ce_u4_hw m6450_u2x12_uart0_lednop_ee_ce_hw
 * m6450_u2x12_uart0_lednop_ee_ce_u4_hw m6450a_u2x12_uart0_lednop_ee_ce_hw
 * m6450a_u2x12_uart0_lednop_ee_ce_u4_hw m6450p_u2x12_uart0_lednop_ee_ce_hw
 * m6450p_u2x12_uart0_lednop_ee_ce_u4_hw c64_u2x12_uart0_lednop_ee_ce_hw
 * c64_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xdb435e0d14684aa4, 0x755779097712dddd, 0x989a17a8ef777777, 0x638f8feed8f24392, 0x658bee7ddc112364,
  0x8c048260aef27752, 0xf3ffac99fd35304f, 0x9fcda9f55ba7c25f, 0x51fce86d1bdaa394, 0xf3cf21cec9d462fd,
  0xc25f886c2445d670, 0xc98b87eb3643fd47, 0x795f7529dac20f7c, 0x7fd47c1b306b5fd4, 0x8b34eb422814c57b,
  0x8ea426be8c2cb114, 0xa32464d1ceaedc7a, 0x6ac6abc6c75e74dd, 0x973170908a09e46f, 0xf2a3608991c37b2d,
  0xf81895af61663ecc, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xca5a97e6db9c31db, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1,
  0x9961d252d9c389c6, 0x4d20f453c95fb9a1, 0x0000000000000501,
};

/*
 * m649_u2x12_uart0_dual_pr          m649_u2x12_uart0_dual_pr_u4       m649a_u2x12_uart0_dual
 * m649a_u2x12_uart0_dual_pr         m649a_u2x12_uart0_dual_pr_u4      m649p_u2x12_uart0_dual
 * m649p_u2x12_uart0_dual_pr         m649p_u2x12_uart0_dual_pr_u4      m6490_u2x12_uart0_dual
 * m6490_u2x12_uart0_dual_pr         m6490_u2x12_uart0_dual_pr_u4      m6490a_u2x12_uart0_dual
 * m6490a_u2x12_uart0_dual_pr        m6490a_u2x12_uart0_dual_pr_u4     m6490p_u2x12_uart0_dual
 * m6490p_u2x12_uart0_dual_pr        m6490p_u2x12_uart0_dual_pr_u4     m645_u2x12_uart0_dual
 * m645_u2x12_uart0_dual_pr          m645_u2x12_uart0_dual_pr_u4       m645a_u2x12_uart0_dual
 * m645a_u2x12_uart0_dual_pr         m645a_u2x12_uart0_dual_pr_u4      m645p_u2x12_uart0_dual
 * m645p_u2x12_uart0_dual_pr         m645p_u2x12_uart0_dual_pr_u4      m6450_u2x12_uart0_dual
 * m6450_u2x12_uart0_dual_pr         m6450_u2x12_uart0_dual_pr_u4      m6450a_u2x12_uart0_dual
 * m6450a_u2x12_uart0_dual_pr        m6450a_u2x12_uart0_dual_pr_u4     m6450p_u2x12_uart0_dual
 * m6450p_u2x12_uart0_dual_pr        m6450p_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m649_u2x12_uart0_dual[] = {
  0xbbc1f77d1218022f, 0xeeeac5c5b15f9bbb, 0xe2948cf6716eeeee, 0xdab13bbbb41571b4, 0x764c1f8cf8670eb1,
  0x180904c15de49fb7, 0x932305522e46609f, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x9db090e702eb3143,
  0x44824819459bd47f, 0x21895fe7ef822852, 0x7a67066c4fae1f0a, 0x8432d05f110cab39, 0xa57fd01cf099ef8a,
  0x9260b0de579096de, 0xfaadd3e12eebffaa, 0x368ded51ca4fe6d4, 0x87f51f229df2c4d4, 0xcd38bdf490e24818,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x1013859bf0312b5e,
  0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xd164498dca5a97e6,
  0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe792bf734332c3a4, 0x000002926ae0bae3,
};

/*
 * m649_u2x12_uart0_dual_pr_ee_u4    m649a_u2x12_uart0_dual_pr_ee      m649a_u2x12_uart0_dual_pr_ee_u4
 * m649p_u2x12_uart0_dual_pr_ee      m649p_u2x12_uart0_dual_pr_ee_u4   m6490_u2x12_uart0_dual_pr_ee
 * m6490_u2x12_uart0_dual_pr_ee_u4   m6490a_u2x12_uart0_dual_pr_ee     m6490a_u2x12_uart0_dual_pr_ee_u4
 * m6490p_u2x12_uart0_dual_pr_ee     m6490p_u2x12_uart0_dual_pr_ee_u4  m645_u2x12_uart0_dual_pr_ee
 * m645_u2x12_uart0_dual_pr_ee_u4    m645a_u2x12_uart0_dual_pr_ee      m645a_u2x12_uart0_dual_pr_ee_u4
 * m645p_u2x12_uart0_dual_pr_ee      m645p_u2x12_uart0_dual_pr_ee_u4   m6450_u2x12_uart0_dual_pr_ee
 * m6450_u2x12_uart0_dual_pr_ee_u4   m6450a_u2x12_uart0_dual_pr_ee     m6450a_u2x12_uart0_dual_pr_ee_u4
 * m6450p_u2x12_uart0_dual_pr_ee     m6450p_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m649_u2x12_uart0_dual_pr_ee[] = {
  0x777783eefa2432db, 0xddddd5904aafbf37, 0xeb7bf69cb7bbdddd, 0x2c50bd71ee86eb0c, 0x822ac70b33a0b201,
  0x120982bbc989cee3, 0x182a90cf5cc13e30, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x3768e09b734edfe6,
  0x240c2d4dea38cdec, 0xaff3f7c114292241, 0x949427d70f8510c4, 0xd0386886559cbd33, 0xa039e133938a8432,
  0xc3795e425b7a1fff, 0x9f0969bffeaa4982, 0x6a8e527f36a7d56e, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0x7e6db9c8ab7b1554, 0xbb8d164498dca5a9, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xae3e792bf734332c,
  0x0000000000564815,
};

/*
 * m649_u2x12_uart0_dual_pr_ce_u4    m649a_u2x12_uart0_dual_pr_ce      m649a_u2x12_uart0_dual_pr_ce_u4
 * m649p_u2x12_uart0_dual_pr_ce      m649p_u2x12_uart0_dual_pr_ce_u4   m6490_u2x12_uart0_dual_pr_ce
 * m6490_u2x12_uart0_dual_pr_ce_u4   m6490a_u2x12_uart0_dual_pr_ce     m6490a_u2x12_uart0_dual_pr_ce_u4
 * m6490p_u2x12_uart0_dual_pr_ce     m6490p_u2x12_uart0_dual_pr_ce_u4  m645_u2x12_uart0_dual_pr_ce
 * m645_u2x12_uart0_dual_pr_ce_u4    m645a_u2x12_uart0_dual_pr_ce      m645a_u2x12_uart0_dual_pr_ce_u4
 * m645p_u2x12_uart0_dual_pr_ce      m645p_u2x12_uart0_dual_pr_ce_u4   m6450_u2x12_uart0_dual_pr_ce
 * m6450_u2x12_uart0_dual_pr_ce_u4   m6450a_u2x12_uart0_dual_pr_ce     m6450a_u2x12_uart0_dual_pr_ce_u4
 * m6450p_u2x12_uart0_dual_pr_ce     m6450p_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_dual_pr_ce[] = {
  0x77783eefa243573e, 0xbbbab63b2afbf377, 0xed9f1d6db9dbbbbb, 0xeba4cdddd4761b93, 0xb8beecaefd653ad8,
  0x024130577932eddc, 0x9182a91e729827c6, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc287ce1d3f358ffe,
  0x1240e394dea3f57e, 0x4aff3f7c11429224, 0x39cb427d70f8510c, 0x2d028a886559cbd3, 0xfa039e1318f8a843,
  0x161bcaf212dbc56f, 0x74f84982fff5524c, 0x7b547293f9b53eab, 0xb4ad18bf597d0da3, 0x8488bace1e78f373,
  0xdf801fa8f84bf10d, 0xe59d5ea5cc98b87a, 0xc4903a97ea38df9e, 0xf398b014141f2921, 0x9e3af00676b591d7,
  0xd6e10e90d500ffd9, 0xbe777152552740f2, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x637296a5f9b6e70c, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3492eadeb8f9e4af,
};

/*
 * m649a_u2x12_uart0_dual_pr_ee_ce   m649p_u2x12_uart0_dual_pr_ee_ce   m6490_u2x12_uart0_dual_pr_ee_ce
 * m6490a_u2x12_uart0_dual_pr_ee_ce  m6490p_u2x12_uart0_dual_pr_ee_ce  m645_u2x12_uart0_dual_pr_ee_ce
 * m645a_u2x12_uart0_dual_pr_ee_ce   m645p_u2x12_uart0_dual_pr_ee_ce   m6450_u2x12_uart0_dual_pr_ee_ce
 * m6450a_u2x12_uart0_dual_pr_ee_ce  m6450p_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m649_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdde0fbbf5050cf68, 0xbbbab17126efcddd, 0xdf763afb913bbbbb, 0x795bb83ba3d8e76c, 0x4ebeaedd9ee01f55,
  0x4c15de4b4e77347d, 0x54874ea609f18090, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x870fd798d6ff3280,
  0x3b5b9bd47801b014, 0xcfdf0450a4890490, 0xb09f5c3e144312bf, 0xce4432ace5e99cee, 0xcf09b2b454219686,
  0xe579096ddfe7fd01, 0x48c7fffaa9260b0d, 0x7293f9b53eab74f8, 0x3faa3fdd0da37b54, 0x9257e78f373b8e56,
  0xd6059ba673ac3dc8, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08, 0x3abb71943a909afa,
  0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226, 0xb5ec9fc55f3bb8a9,
  0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfcdb73863b7b1554,
  0x71a2c0f431b94b52, 0x2a73f53ab337f077, 0x1f347db0e271a50c, 0x32c970cf4c2b93f0, 0x0ccb0e9296ce1c4e,
  0x163feb8f9e4afdcd, 0x0000000000000100,
};

/*
 * m649a_u2x12_uart0_dual_pr_ee_ce_u4 m649p_u2x12_uart0_dual_pr_ee_ce_u4
 * m6490_u2x12_uart0_dual_pr_ee_ce_u4 m6490a_u2x12_uart0_dual_pr_ee_ce_u4
 * m6490p_u2x12_uart0_dual_pr_ee_ce_u4 m645_u2x12_uart0_dual_pr_ee_ce_u4
 * m645a_u2x12_uart0_dual_pr_ee_ce_u4 m645p_u2x12_uart0_dual_pr_ee_ce_u4
 * m6450_u2x12_uart0_dual_pr_ee_ce_u4 m6450a_u2x12_uart0_dual_pr_ee_ce_u4
 * m6450p_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff1107, 0xdd59e98ce5f9bbbb, 0xc2c2dbf57ddddddd, 0xd70ddba10ec5f225, 0xe1e906e3fcda6cdb,
  0xe4ce27737fb54e31, 0xae609f180904c15d, 0x6eebec99182a9047, 0xe25c40c2860da460, 0x26b91fccac049dd3,
  0xa8fcb5b066f9c12a, 0xa1491209207d8337, 0x7c2886257f9fbe08, 0xb397a67061713eb8, 0x3150865a016910ca,
  0x6ffafff4073c2638, 0x642f30586f2bc84b, 0xa7d56e9f093fcffc, 0xe1b46f6a8e527f36, 0x067663f18bf54650,
  0x86c2445d670f3cf8, 0xcc03743fd47c25f8, 0x4a76b084dd3262e1, 0x83660d7cf51e56fe, 0x68450298ae037a8f,
  0xd7d185962291669d, 0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f, 0x0908a04547cf58d5, 0x1132386f65f4b317,
  0xc5494b313fac546c, 0x1895af64fe2af9dd, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x5a97e6db9c31dbd8, 0xc1a3f8d164498dca, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xf0c4053c95fb9a19, 0x00000000001000cb,
};

/*
 * m649a_u2x12_uart0_dual_ee_hw      m649p_u2x12_uart0_dual_ee_hw      m6490_u2x12_uart0_dual_ee_hw
 * m6490a_u2x12_uart0_dual_ee_hw     m6490p_u2x12_uart0_dual_ee_hw     m645_u2x12_uart0_dual_ee_hw
 * m645a_u2x12_uart0_dual_ee_hw      m645p_u2x12_uart0_dual_ee_hw      m6450_u2x12_uart0_dual_ee_hw
 * m6450a_u2x12_uart0_dual_ee_hw     m6450p_u2x12_uart0_dual_ee_hw     c64_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m649_u2x12_uart0_dual_ee_hw[] = {
  0xdde0fbbe8a34573e, 0x77756412abefcddd, 0xdefda72deef77777, 0x142f5c7ba1bac33a, 0xc5f766eb282c804b,
  0x120982bbc989cee5, 0x182a90cf5cc13e30, 0x860da4606eebec99, 0x57419dd3e25c40c2, 0x3768e09b734edfe6,
  0x240c2d4dea38cdec, 0xaff3f7c114292241, 0x949427d70f8510c4, 0xd0386886559cbd33, 0xa039e133938a8432,
  0xc3795e425b7a1fff, 0x4f84b4dff9d5b982, 0xb547293f9b53eab7, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5,
  0xeb422877c5752bd4, 0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d,
  0xadc37b2fa598b848, 0x940213fac546c11f, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000aed05214,
};

/*
 * m649_u2x12_uart0_dual_ee_ce_u4_hw m649a_u2x12_uart0_dual_ee_ce_hw   m649a_u2x12_uart0_dual_ee_ce_u4_hw
 * m649p_u2x12_uart0_dual_ee_ce_hw   m649p_u2x12_uart0_dual_ee_ce_u4_hw
 * m6490_u2x12_uart0_dual_ee_ce_hw   m6490_u2x12_uart0_dual_ee_ce_u4_hw
 * m6490a_u2x12_uart0_dual_ee_ce_hw  m6490a_u2x12_uart0_dual_ee_ce_u4_hw
 * m6490p_u2x12_uart0_dual_ee_ce_hw  m6490p_u2x12_uart0_dual_ee_ce_u4_hw
 * m645_u2x12_uart0_dual_ee_ce_hw    m645_u2x12_uart0_dual_ee_ce_u4_hw m645a_u2x12_uart0_dual_ee_ce_hw
 * m645a_u2x12_uart0_dual_ee_ce_u4_hw m645p_u2x12_uart0_dual_ee_ce_hw
 * m645p_u2x12_uart0_dual_ee_ce_u4_hw m6450_u2x12_uart0_dual_ee_ce_hw
 * m6450_u2x12_uart0_dual_ee_ce_u4_hw m6450a_u2x12_uart0_dual_ee_ce_hw
 * m6450a_u2x12_uart0_dual_ee_ce_u4_hw m6450p_u2x12_uart0_dual_ee_ce_hw
 * m6450p_u2x12_uart0_dual_ee_ce_u4_hw c64_u2x12_uart0_dual_ee_ce_hw
 * c64_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbbc1f77d1468ce4a, 0xddd59e98ce5f9bbb, 0x5c2c2dbf57dddddd, 0xbd70ddba10ec5f22, 0xacdf4afe3fcda6cd,
  0x8260aef26713bb98, 0x154823d7304f8c04, 0x06d2303775f64c8c, 0xa0cee9f12e206143, 0xbe704a89ae47f32b,
  0x1f60cdea3f2d6c19, 0xe7ef822852448248, 0x5c4fae1f0a21895f, 0x5a4432ace5e99c18, 0xcf098e0c54219680,
  0xcaf212dbfebffd01, 0x24ff3fceadcc161b, 0x3949fcda9f55ba7c, 0x2fd5194386d1bdaa, 0xce1e79e439d98fc6,
  0xa8f84bf10d8488ba, 0xdd3262e1d9cba3ff, 0xf51e56fe4a76b084, 0xae037a8f83660d7c, 0x2291669d68450298,
  0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f,
  0xfe2af9ddc5494b31, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0x42718dca5a97e6db, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x001d7551017453c9,
};

/*
 * m649a_swio10_noled                m649p_swio10_noled                m6490_swio10_noled
 * m6490a_swio10_noled               m6490p_swio10_noled               m645_swio10_noled
 * m645a_swio10_noled                m645p_swio10_noled                m6450_swio10_noled
 * m6450a_swio10_noled               m6450p_swio10_noled
 */
static const uint64_t ur_m649_swio10_noled[] = {
  0x444ddddddd66ef3a, 0x13d6eed55c8a0c89, 0x13b50f7438a38c61, 0x417f43bd04ebeb4f, 0x9ac8401b6d22eec4,
  0x48260aef277417a0, 0xbf43cfc89304f8c0, 0x6277cb135283a57f, 0x2921c490310fea3a, 0xc731602dee9ba8c9,
  0x608ebc5cec37d193, 0x972ab52b09adc72c, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x34aa5f7afa4439ac,
  0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xcdb2048ab7b15545, 0x5727e7f61b94b52f,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0000549f5e045f3c,
};

/*
 * m649_swio10_noled_pr_u4           m649a_swio10_noled_pr             m649a_swio10_noled_pr_u4
 * m649p_swio10_noled_pr             m649p_swio10_noled_pr_u4          m6490_swio10_noled_pr
 * m6490_swio10_noled_pr_u4          m6490a_swio10_noled_pr            m6490a_swio10_noled_pr_u4
 * m6490p_swio10_noled_pr            m6490p_swio10_noled_pr_u4         m645_swio10_noled_pr
 * m645_swio10_noled_pr_u4           m645a_swio10_noled_pr             m645a_swio10_noled_pr_u4
 * m645p_swio10_noled_pr             m645p_swio10_noled_pr_u4          m6450_swio10_noled_pr
 * m6450_swio10_noled_pr_u4          m6450a_swio10_noled_pr            m6450a_swio10_noled_pr_u4
 * m6450p_swio10_noled_pr            m6450p_swio10_noled_pr_u4
 */
static const uint64_t ur_m649_swio10_noled_pr[] = {
  0x8e3dddddda243762, 0xf05ddaab9142e312, 0x2ed8fdd530389b04, 0xe82cd6f0bdb7e952, 0x23b85fe3fc5eec71,
  0xc15de4eed3346682, 0xb3f1ee609f180904, 0xf2c22ca0f75ff62b, 0x3892064f7a8f371d, 0x2c05965319538d24,
  0xaf47cecf7a3b58e6, 0xb86b3d500ffd9823, 0xb955aaad503cb3db, 0x51aee719cc5076bc, 0x2bb54b7d59cea2a5,
  0xa552fbd7d221cd67, 0xd75cf6ab44579621, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0x6d902455bd8aaa2d,
  0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f,
  0x4a5b387138cb25c3, 0x3e792bf734332c3a, 0x0000003e4d2b37ae,
};

/*
 * m649_swio10_noled_pr_ee_u4        m649a_swio10_noled_pr_ee          m649a_swio10_noled_pr_ee_u4
 * m649p_swio10_noled_pr_ee          m649p_swio10_noled_pr_ee_u4       m6490_swio10_noled_pr_ee
 * m6490_swio10_noled_pr_ee_u4       m6490a_swio10_noled_pr_ee         m6490a_swio10_noled_pr_ee_u4
 * m6490p_swio10_noled_pr_ee         m6490p_swio10_noled_pr_ee_u4      m645_swio10_noled_pr_ee
 * m645_swio10_noled_pr_ee_u4        m645a_swio10_noled_pr_ee          m645a_swio10_noled_pr_ee_u4
 * m645p_swio10_noled_pr_ee          m645p_swio10_noled_pr_ee_u4       m6450_swio10_noled_pr_ee
 * m6450_swio10_noled_pr_ee_u4       m6450a_swio10_noled_pr_ee         m6450a_swio10_noled_pr_ee_u4
 * m6450p_swio10_noled_pr_ee         m6450p_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m649_swio10_noled_pr_ee[] = {
  0x35f777776890c044, 0x93776aafc2f41624, 0x4de9a5dd2e2339b9, 0x6bd686d7a51a67ed, 0x86d16a2b2020da08,
  0x57793ba829394bb0, 0xf8d69827c6024130, 0x71ee5074dffd8aec, 0xebea3cace1cd56b4, 0xf15975f51f06cc19,
  0x2c4522cd3ad08a1d, 0xe5c6b26909afa30b, 0x6d291c4273ab4bfe, 0x22d8d56ba1d79d37, 0xd973170908a13146,
  0x7f546c11fadc37b2, 0x076bcb955a8044d5, 0xea2a551aee719cc5, 0x1cd672bb54b7d59c, 0x79621a552fbd7d22,
  0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x5a97e6d902455bd8, 0xf83bb8d164498dca,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x0adae3e792bf7343, 0x0000000000009d70,
};

/*
 * m649_swio10_noled_pr_ce_u4        m649a_swio10_noled_pr_ce          m649a_swio10_noled_pr_ce_u4
 * m649p_swio10_noled_pr_ce          m649p_swio10_noled_pr_ce_u4       m6490_swio10_noled_pr_ce
 * m6490_swio10_noled_pr_ce_u4       m6490a_swio10_noled_pr_ce         m6490a_swio10_noled_pr_ce_u4
 * m6490p_swio10_noled_pr_ce         m6490p_swio10_noled_pr_ce_u4      m645_swio10_noled_pr_ce
 * m645_swio10_noled_pr_ce_u4        m645a_swio10_noled_pr_ce          m645a_swio10_noled_pr_ce_u4
 * m645p_swio10_noled_pr_ce          m645p_swio10_noled_pr_ce_u4       m6450_swio10_noled_pr_ce
 * m6450_swio10_noled_pr_ce_u4       m6450a_swio10_noled_pr_ce         m6450a_swio10_noled_pr_ce_u4
 * m6450p_swio10_noled_pr_ce         m6450p_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m649_swio10_noled_pr_ce[] = {
  0x22eeeeeed121be4a, 0x6776aafd608ddc49, 0xf5ebeeb11f177e3f, 0xf374385ecada090b, 0xd5f0d3866f4f7522,
  0xc15de4ee94a3adf4, 0xb3f2ba609f180904, 0xfd7a894160bff62b, 0x3879e3cdced4f462, 0xa3e12fc4361222eb,
  0xb264c5c3de1f2d7e, 0x17ea3e493dcb3abe, 0x17ba052921c4903c, 0x1f3b3de8ed6398b0, 0xacf5403ff6678ebd,
  0x55aaad503cb5bae1, 0xaee719cc5076bcb9, 0xb54b7d59cea2a551, 0x52fbd7d221cd672b, 0x5cf6ab44579621a5,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x20431dbd8aaa2d2d, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x0000375dbe0b5c7c,
};

/*
 * m649_swio10_noled_pr_ee_ce_u4     m649a_swio10_noled_pr_ee_ce       m649a_swio10_noled_pr_ee_ce_u4
 * m649p_swio10_noled_pr_ee_ce       m649p_swio10_noled_pr_ee_ce_u4    m6490_swio10_noled_pr_ee_ce
 * m6490_swio10_noled_pr_ee_ce_u4    m6490a_swio10_noled_pr_ee_ce      m6490a_swio10_noled_pr_ee_ce_u4
 * m6490p_swio10_noled_pr_ee_ce      m6490p_swio10_noled_pr_ee_ce_u4   m645_swio10_noled_pr_ee_ce
 * m645_swio10_noled_pr_ee_ce_u4     m645a_swio10_noled_pr_ee_ce       m645a_swio10_noled_pr_ee_ce_u4
 * m645p_swio10_noled_pr_ee_ce       m645p_swio10_noled_pr_ee_ce_u4    m6450_swio10_noled_pr_ee_ce
 * m6450_swio10_noled_pr_ee_ce_u4    m6450a_swio10_noled_pr_ee_ce      m6450a_swio10_noled_pr_ee_ce_u4
 * m6450p_swio10_noled_pr_ee_ce      m6450p_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio10_noled_pr_ee_ce[] = {
  0x9bdddddda2436812, 0x1bbb557382a3b892, 0x5d667ba6ed90cc6a, 0x764f6da0906e5db4, 0xb13938c491073753,
  0xbc9dddfb0b00a4d7, 0x5dcc13e30120982b, 0xba505fe7fd8aecfb, 0xf373b7f918bf5472, 0xf10d8488bace1e78,
  0x870a47ce5fa8f84b, 0x4b29dac20f7cc98b, 0x7c1b306807a8f2b7, 0xeb422814c5721fd4, 0x26be8c2cb1148b34,
  0xe2139d5dbbf70ea4, 0x578d8ebce9bb6948, 0x70908a1314622d8d, 0x608991c37b2d9731, 0x5caad4b326abfaa3,
  0xa8d7738ce6283b5e, 0x95daa5beace75152, 0xd2a97debe910e6b3, 0x6bae7b55a22bcb10, 0xeea6c529e1a779f1,
  0x96d138c6f19d1020, 0x6d90218edec55516, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x3e792bf734332c3a, 0x00000004fcfb3dae,
};

/*
 * m649a_swio10_noled_ee_hw          m649p_swio10_noled_ee_hw          m6490_swio10_noled_ee_hw
 * m6490a_swio10_noled_ee_hw         m6490p_swio10_noled_ee_hw         m645_swio10_noled_ee_hw
 * m645a_swio10_noled_ee_hw          m645p_swio10_noled_ee_hw          m6450_swio10_noled_ee_hw
 * m6450a_swio10_noled_ee_hw         m6450p_swio10_noled_ee_hw         c64_swio10_noled_ee_hw
 */
static const uint64_t ur_m649_swio10_noled_ee_hw[] = {
  0xafbbbbbb451a3e4a, 0x9bbb557e17a0b121, 0x6f4d2ee97119cdcc, 0x5eb436bd28d33f6a, 0xe68b51590106d043,
  0x057793ba528eb6ab, 0xcf8d69827c602413, 0xd1c7b941d37ffd64, 0x67afa8f2b387355a, 0x77c565d7d47c1b30,
  0x2cb1148b34eb4228, 0xfb971ac9a426be8c, 0xddb4a47109cead2f, 0x188b6355ae875e74, 0xcb65cc5c242284c5,
  0x55fd51b047eb70de, 0x141daf2e556a0113, 0x73a8a9546bb9c673, 0x887359caed52df56, 0x15e5886954bef5f4,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x296a5f9b6409156f, 0xe50c2a73f509c637,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0x9a6b514f257ee686,
  0x00000000000002df,
};

/*
 * m649_swio10_noled_ee_ce_u4_hw     m649a_swio10_noled_ee_ce_hw       m649a_swio10_noled_ee_ce_u4_hw
 * m649p_swio10_noled_ee_ce_hw       m649p_swio10_noled_ee_ce_u4_hw    m6490_swio10_noled_ee_ce_hw
 * m6490_swio10_noled_ee_ce_u4_hw    m6490a_swio10_noled_ee_ce_hw      m6490a_swio10_noled_ee_ce_u4_hw
 * m6490p_swio10_noled_ee_ce_hw      m6490p_swio10_noled_ee_ce_u4_hw   m645_swio10_noled_ee_ce_hw
 * m645_swio10_noled_ee_ce_u4_hw     m645a_swio10_noled_ee_ce_hw       m645a_swio10_noled_ee_ce_u4_hw
 * m645p_swio10_noled_ee_ce_hw       m645p_swio10_noled_ee_ce_u4_hw    m6450_swio10_noled_ee_ce_hw
 * m6450_swio10_noled_ee_ce_u4_hw    m6450a_swio10_noled_ee_ce_hw      m6450a_swio10_noled_ee_ce_u4_hw
 * m6450p_swio10_noled_ee_ce_hw      m6450p_swio10_noled_ee_ce_u4_hw   c64_swio10_noled_ee_ce_hw
 * c64_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio10_noled_ee_ce_hw[] = {
  0xdeeeeeed14683d5b, 0xdddaab9c151dc494, 0xeb33dd376c866350, 0xb27b6d048372eda2, 0x89c9c6248839ba9b,
  0x5de4eeb3e75bdad5, 0xdaee609f180904c1, 0xe574a0bfcffeb267, 0xe790e76ff2317ea8, 0x2fc4361222eb3879,
  0x170f7437547ea3e1, 0x6e9653b5841ef993, 0xa8f83660d00f51e5, 0x69d68450298ae43f, 0x484d7d1859622916,
  0x91c4273abb77ee1d, 0x1aaf1b1d79d376d2, 0x62e121142628c45b, 0x46c1132386f65b2e, 0xbcb955a9664d57f5,
  0xa551aee719cc5076, 0x672bb54b7d59cea2, 0x21a552fbd7d221cd, 0xe2d75cf6ab445796, 0x41dd4d8a53c34ef3,
  0x2d2da2718de33a20, 0xfcdb20431dbd8aaa, 0x539fa84e31b94b52, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x000000005014ea92,
};

/*
 * m649a_swio10_lednop               m649p_swio10_lednop               m6490_swio10_lednop
 * m6490a_swio10_lednop              m6490p_swio10_lednop              m645_swio10_lednop
 * m645a_swio10_lednop               m645p_swio10_lednop               m6450_swio10_lednop
 * m6450a_swio10_lednop              m6450p_swio10_lednop
 */
static const uint64_t ur_m649_swio10_lednop[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab914f1712, 0x7a5c7750e2448c22, 0x882fe877a0b5e432, 0x46a0836c998d7dd8,
  0x120982bbc9dd85eb, 0xefd0f3efe4c13e30, 0xf21df2c4d4a0995f, 0xfa4871240c43fa8f, 0x01cc580b7ba63d5e,
  0x8c11d78b9dad647d, 0xf2e556a5673db8e5, 0x9546bb9c673141da, 0x9caed52df5673a8a, 0x6ae97f488735c080,
  0x73daad115e588695, 0xb0b29b1674079fad, 0x7f8a042d3573abd4, 0xe6da718de33a206c, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00001520eb022f9e,
};

/*
 * m649_swio10_lednop_pr_u4          m649a_swio10_lednop_pr            m649a_swio10_lednop_pr_u4
 * m649p_swio10_lednop_pr            m649p_swio10_lednop_pr_u4         m6490_swio10_lednop_pr
 * m6490_swio10_lednop_pr_u4         m6490a_swio10_lednop_pr           m6490a_swio10_lednop_pr_u4
 * m6490p_swio10_lednop_pr           m6490p_swio10_lednop_pr_u4        m645_swio10_lednop_pr
 * m645_swio10_lednop_pr_u4          m645a_swio10_lednop_pr            m645a_swio10_lednop_pr_u4
 * m645p_swio10_lednop_pr            m645p_swio10_lednop_pr_u4         m6450_swio10_lednop_pr
 * m6450_swio10_lednop_pr_u4         m6450a_swio10_lednop_pr           m6450a_swio10_lednop_pr_u4
 * m6450p_swio10_lednop_pr           m6450p_swio10_lednop_pr_u4
 */
static const uint64_t ur_m649_swio10_lednop_pr[] = {
  0xc7bbbbbb4486c056, 0x05ddaab914cc6251, 0x35e9eeeac871b04f, 0xa0b35bc2cb8edba1, 0x645a982fe3fbb1c7,
  0x0aef277560e4e2b6, 0x9f80d304f8c04826, 0x2c22ca087bffb15d, 0x892064f7a8f389df, 0x80b2ca631e7ad243,
  0xd1f3b7c88e0f9cc5, 0xefa05403ff6608eb, 0x955ac0ad03cb3dbd, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55,
  0xa5fd221cd7020272, 0x6ab44579621a55ab, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x31b94b52fcdb2ec8, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0xf9315f875c7cf257,
};

/*
 * m649_swio10_lednop_pr_ee_u4       m649a_swio10_lednop_pr_ee         m649a_swio10_lednop_pr_ee_u4
 * m649p_swio10_lednop_pr_ee         m649p_swio10_lednop_pr_ee_u4      m6490_swio10_lednop_pr_ee
 * m6490_swio10_lednop_pr_ee_u4      m6490a_swio10_lednop_pr_ee        m6490a_swio10_lednop_pr_ee_u4
 * m6490p_swio10_lednop_pr_ee        m6490p_swio10_lednop_pr_ee_u4     m645_swio10_lednop_pr_ee
 * m645_swio10_lednop_pr_ee_u4       m645a_swio10_lednop_pr_ee         m645a_swio10_lednop_pr_ee_u4
 * m645p_swio10_lednop_pr_ee         m645p_swio10_lednop_pr_ee_u4      m6450_swio10_lednop_pr_ee
 * m6450_swio10_lednop_pr_ee_u4      m6450a_swio10_lednop_pr_ee        m6450a_swio10_lednop_pr_ee_u4
 * m6450p_swio10_lednop_pr_ee        m6450p_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_swio10_lednop_pr_ee[] = {
  0x35f777776890d2a8, 0x93776aafc2f64624, 0x46989ddf1fb6f9b9, 0x5eb436bd2d051a6b, 0xcb8c8f833106d043,
  0x7793ba75a3541b67, 0xeaf9827c60241305, 0x3dca0c72ffb15d9f, 0x7d47959439aad68e, 0x2b60bea3e0d9833d,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x27a35f0e75697f9c, 0xf6355ae875e74dd8, 0xb98b84845192231b,
  0xaa3608fd6e1bd96c, 0x6bcb955a80570d67, 0x2a551aee719cc507, 0x0272bb54b7d59cea, 0x55aba5fd221cd702,
  0x75cf6ab44579621a, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x2ec8ab7b15545a48, 0x2c8931b94b52fcdb,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a,
  0xf257ee6866587494, 0x0000275cd60b5c7c,
};

/*
 * m649_swio10_lednop_pr_ce_u4       m649a_swio10_lednop_pr_ce         m649a_swio10_lednop_pr_ce_u4
 * m649p_swio10_lednop_pr_ce         m649p_swio10_lednop_pr_ce_u4      m6490_swio10_lednop_pr_ce
 * m6490_swio10_lednop_pr_ce_u4      m6490a_swio10_lednop_pr_ce        m6490a_swio10_lednop_pr_ce_u4
 * m6490p_swio10_lednop_pr_ce        m6490p_swio10_lednop_pr_ce_u4     m645_swio10_lednop_pr_ce
 * m645_swio10_lednop_pr_ce_u4       m645a_swio10_lednop_pr_ce         m645a_swio10_lednop_pr_ce_u4
 * m645p_swio10_lednop_pr_ce         m645p_swio10_lednop_pr_ce_u4      m6450_swio10_lednop_pr_ce
 * m6450_swio10_lednop_pr_ce_u4      m6450a_swio10_lednop_pr_ce        m6450a_swio10_lednop_pr_ce_u4
 * m6450p_swio10_lednop_pr_ce        m6450p_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_swio10_lednop_pr_ce[] = {
  0x22eeeeeed121af43, 0x6776aafd609a5c49, 0x4f6a2ee8c1af7e3f, 0x5e6e870bd9bb2b6d, 0x4765505a17856ea4,
  0x4c15de4eeb4efb5e, 0xbb3fa6e609f18090, 0x2fd7a8941cadff62, 0xb3879e3cdcee5746, 0xea3e12fc4361222e,
  0xeb264c5c3b3e759f, 0xc17ea38293dcb3ab, 0x0287b402921c4903, 0x47cedf22383e7316, 0xbe81500ffd99e3af,
  0x955ac0ad03cb5bb7, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55, 0xa5fd221cd7020272, 0x6ab44579621a55ab,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x637296a5f9b65d86, 0x5666fe0eee345912,
  0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x6eb93f0eb8f9e4af,
};

/*
 * m649_swio10_lednop_pr_ee_ce_u4    m649a_swio10_lednop_pr_ee_ce      m649a_swio10_lednop_pr_ee_ce_u4
 * m649p_swio10_lednop_pr_ee_ce      m649p_swio10_lednop_pr_ee_ce_u4   m6490_swio10_lednop_pr_ee_ce
 * m6490_swio10_lednop_pr_ee_ce_u4   m6490a_swio10_lednop_pr_ee_ce     m6490a_swio10_lednop_pr_ee_ce_u4
 * m6490p_swio10_lednop_pr_ee_ce     m6490p_swio10_lednop_pr_ee_ce_u4  m645_swio10_lednop_pr_ee_ce
 * m645_swio10_lednop_pr_ee_ce_u4    m645a_swio10_lednop_pr_ee_ce      m645a_swio10_lednop_pr_ee_ce_u4
 * m645p_swio10_lednop_pr_ee_ce      m645p_swio10_lednop_pr_ee_ce_u4   m6450_swio10_lednop_pr_ee_ce
 * m6450_swio10_lednop_pr_ee_ce_u4   m6450a_swio10_lednop_pr_ee_ce     m6450a_swio10_lednop_pr_ee_ce_u4
 * m6450p_swio10_lednop_pr_ee_ce     m6450p_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio10_lednop_pr_ee_ce[] = {
  0x9bdddddda243704a, 0x1bbb557382991892, 0x7a53b761995bcc6a, 0xec9edb4111dc1b5c, 0x1ba05f25220e6ea6,
  0xe4eebadd713b55de, 0x92609f180904c15d, 0xd2835bfff62bb3e2, 0x373badf8c5faa395, 0x10d8488bace1e78f,
  0xe30bbb77fa8f84bf, 0x653b5841ef993170, 0x83660d00f51e565d, 0x68450298aca5fa8f, 0xd7d185962291669d,
  0xf873abb77ce1d484, 0xe363af3a6ec13d1a, 0x4845192231bf6355, 0x44c8e1bd96cb98b8, 0xaad4b3b86b3d51b0,
  0xd7738ce6283b5e5c, 0xdaa5beace75152a8, 0x2fe910e6b8101395, 0x55a22bcb10d2ad5d, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb2ec31, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x9f83d5f5c7cf257e,
};

/*
 * m649a_swio10_lednop_ee_hw         m649p_swio10_lednop_ee_hw         m6490_swio10_lednop_ee_hw
 * m6490a_swio10_lednop_ee_hw        m6490p_swio10_lednop_ee_hw        m645_swio10_lednop_ee_hw
 * m645a_swio10_lednop_ee_hw         m645p_swio10_lednop_ee_hw         m6450_swio10_lednop_ee_hw
 * m6450a_swio10_lednop_ee_hw        m6450p_swio10_lednop_ee_hw        c64_swio10_lednop_ee_hw
 */
static const uint64_t ur_m649_swio10_lednop_ee_hw[] = {
  0xafbbbbbb451a2f43, 0x9bbb557e17b23121, 0x34c4eef8fdb7cdcc, 0xf5a1b5e96828d35a, 0x5c647c198836821a,
  0x57793bad3bed6eca, 0xfeaf9827c6024130, 0x38f72831cbffac99, 0xf5f51e5650e6ab5a, 0xf8ad82fa8f83660c,
  0x962291669d68450e, 0x72e3593484d7d185, 0x609e8d7c39d5a5fe, 0x6fd8d56ba1d79d37, 0xb2e62e121146488c,
  0x9ea8d823f5b86f65, 0x1daf2e556a015c35, 0xa8a9546bb9c67314, 0x0809caed52df5673, 0x6956ae97f488735c,
  0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6cbb22adec555169, 0x7ea138c6e52d4bf3,
  0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x000000b7c6907a29,
};

/*
 * m649_swio10_lednop_ee_ce_u4_hw    m649a_swio10_lednop_ee_ce_hw      m649a_swio10_lednop_ee_ce_u4_hw
 * m649p_swio10_lednop_ee_ce_hw      m649p_swio10_lednop_ee_ce_u4_hw   m6490_swio10_lednop_ee_ce_hw
 * m6490_swio10_lednop_ee_ce_u4_hw   m6490a_swio10_lednop_ee_ce_hw     m6490a_swio10_lednop_ee_ce_u4_hw
 * m6490p_swio10_lednop_ee_ce_hw     m6490p_swio10_lednop_ee_ce_u4_hw  m645_swio10_lednop_ee_ce_hw
 * m645_swio10_lednop_ee_ce_u4_hw    m645a_swio10_lednop_ee_ce_hw      m645a_swio10_lednop_ee_ce_u4_hw
 * m645p_swio10_lednop_ee_ce_hw      m645p_swio10_lednop_ee_ce_u4_hw   m6450_swio10_lednop_ee_ce_hw
 * m6450_swio10_lednop_ee_ce_u4_hw   m6450a_swio10_lednop_ee_ce_hw     m6450a_swio10_lednop_ee_ce_u4_hw
 * m6450p_swio10_lednop_ee_ce_hw     m6450p_swio10_lednop_ee_ce_u4_hw  c64_swio10_lednop_ee_ce_hw
 * c64_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio10_lednop_ee_ce_hw[] = {
  0xdeeeeeed1468cc7f, 0xdddaab9c14c8c494, 0xd29dbb0ccade6350, 0x64f6da088ee0dae3, 0xdd02f92910737537,
  0xbc9dd4fbaafd51f0, 0x524c13e30120982b, 0xae941adfffeb267c, 0xe439dd6fc62fd51c, 0xf10d8488bace1e79,
  0x870001b77fa8f84b, 0xeb29dac20f7cc98b, 0x7c1b306807a8f2b2, 0xeb422814c5652fd4, 0x26be8c2cb1148b34,
  0xd7c39d5dbbe70ea4, 0xaf1b1d79d37609e8, 0xc24228c9118dfb1a, 0x8226470decb65cc5, 0xe556a59dc359ea8d,
  0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xe97f488735c0809c, 0xdaad115e5886956a, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0x18dca5a97e6d9761, 0x1ef79430a9cfd427, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x5014cf27453c95fb,
};

/*
 * m649_swio10_dual_pr               m649_swio10_dual_pr_u4            m649a_swio10_dual
 * m649a_swio10_dual_pr              m649a_swio10_dual_pr_u4           m649p_swio10_dual
 * m649p_swio10_dual_pr              m649p_swio10_dual_pr_u4           m6490_swio10_dual
 * m6490_swio10_dual_pr              m6490_swio10_dual_pr_u4           m6490a_swio10_dual
 * m6490a_swio10_dual_pr             m6490a_swio10_dual_pr_u4          m6490p_swio10_dual
 * m6490p_swio10_dual_pr             m6490p_swio10_dual_pr_u4          m645_swio10_dual
 * m645_swio10_dual_pr               m645_swio10_dual_pr_u4            m645a_swio10_dual
 * m645a_swio10_dual_pr              m645a_swio10_dual_pr_u4           m645p_swio10_dual
 * m645p_swio10_dual_pr              m645p_swio10_dual_pr_u4           m6450_swio10_dual
 * m6450_swio10_dual_pr              m6450_swio10_dual_pr_u4           m6450a_swio10_dual
 * m6450a_swio10_dual_pr             m6450a_swio10_dual_pr_u4          m6450p_swio10_dual
 * m6450p_swio10_dual_pr             m6450p_swio10_dual_pr_u4
 */
static const uint64_t ur_m649_swio10_dual[] = {
  0x3fbbbbbb4486ff3e, 0x6c1f756e3e932fc2, 0xd67dba247928d386, 0xa28333133887b1ba, 0x5ecb527269dba47d,
  0x4920ee69e2bdd17d, 0xe609f180904c15de, 0xbbafb26460aa4737, 0x8971030a18369181, 0xa6fddf99404a774f,
  0x7a8e63f61018e152, 0x450a48904903dbf3, 0xc3e144312bfcfdf0, 0xcab397a6731009f5, 0xad68a8432d08c910,
  0x096dcbaffd01cf09, 0xbffaa9260b0de579, 0x3c8877cb0f928352, 0x195490e248188bea, 0x7bce62c055079bf7,
  0xb30475e00ced38a3, 0x967b6b5e0faa01ff, 0x57ceee2a4b7f8607, 0x6283b5e5caad67f1, 0xce75152a8d7738ce,
  0x6b8101395daa5bea, 0xb10d2ad5d2fe910e, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0x7e6d976455bd8aaa, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xae3e792bf734332c, 0x0000000014934cb5,
};

/*
 * m649a_swio10_dual_pr_ee           m649p_swio10_dual_pr_ee           m6490_swio10_dual_pr_ee
 * m6490a_swio10_dual_pr_ee          m6490p_swio10_dual_pr_ee          m645_swio10_dual_pr_ee
 * m645a_swio10_dual_pr_ee           m645p_swio10_dual_pr_ee           m6450_swio10_dual_pr_ee
 * m6450a_swio10_dual_pr_ee          m6450p_swio10_dual_pr_ee
 */
static const uint64_t ur_m649_swio10_dual_pr_ee[] = {
  0xb6eeeeeea0a1a5fb, 0x60fbab58fd9bbf1e, 0x70bddd943dac4e4e, 0x2b82d8bbb44fcfbd, 0xe42175b1942deb3b,
  0xdd2c8d75b042acc3, 0xc602413057792b05, 0x932305522c939827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa670c0227d70f851, 0x865a0bed10cab397,
  0x7ff4073c260f7150, 0x30586f2bc84b6e9b, 0x328b28343fffd549, 0xcaf51e57bee6ab5a, 0xf8aedd7a8f83660c,
  0x962291669d68450e, 0x6b8a973484d7d185, 0xa3da3d28e7569728, 0x636355ae875ea25d, 0xd2cc5c242284011a,
  0xb2a3608fd6e1bd97, 0x57ceee2a4a014656, 0x6283b5e5caad67f1, 0xce75152a8d7738ce, 0x6b8101395daa5bea,
  0xb10d2ad5d2fe910e, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7e6d976455bd8aaa,
  0xb8d1607a18dca5a9, 0x1539fa9d599bf83b, 0x0f9a3ed87138d286, 0x1964b867a615c9f8, 0x866587494b670e27,
  0x89f5f5c7cf257ee6, 0x00000000000000ac,
};

/*
 * m649a_swio10_dual_pr_ee_u4        m649p_swio10_dual_pr_ee_u4        m6490_swio10_dual_pr_ee_u4
 * m6490a_swio10_dual_pr_ee_u4       m6490p_swio10_dual_pr_ee_u4       m645_swio10_dual_pr_ee_u4
 * m645a_swio10_dual_pr_ee_u4        m645p_swio10_dual_pr_ee_u4        m6450_swio10_dual_pr_ee_u4
 * m6450a_swio10_dual_pr_ee_u4       m6450p_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m649_swio10_dual_pr_ee_u4[] = {
  0x375bbbbbb4486f97, 0x0583eead63c75efc, 0xdb5c774eb00a4777, 0x741ba5dbd6dcfb67, 0xe935d13dd6c650b3,
  0x2625dcf04675ee14, 0x9827c60241305779, 0xdd7d932305522c93, 0x4b881850c1b48c0d, 0x6eaffcca0253ba7c,
  0xa8fb3b611c8e0706, 0x50a4890490395d37, 0x3e144312bfcfdf04, 0x5672f4ce12509f5c, 0x122a10cb423da219,
  0xb6e9b7ff4073c269, 0xfd54930586f2bc84, 0x355ad1bf928343ff, 0x3660c27fa8f2b60b, 0x8450ef8ae43fa8f8,
  0x7d185962291669d6, 0x697726b84173484d, 0xdac4ed38a39b8e75, 0x6ba38cac6ab5d0eb, 0x37b2e3e3170908a1,
  0x3bb8a92ae3a4fadc, 0x0ed7972ab59fc55f, 0xd454aa35dce3398a, 0x0404e576a96fab39, 0x34ab574bfa4439ae,
  0xfd6b9ed5688af2c4, 0x5ea58594d8b3a03c, 0x0363fc502169ab9d, 0xd4bf36d38c6f19d1, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x31d71f3c95fb9a19, 0x0000000000002b26,
};

/*
 * m649_swio10_dual_pr_ce_u4         m649a_swio10_dual_pr_ce           m649a_swio10_dual_pr_ce_u4
 * m649p_swio10_dual_pr_ce           m649p_swio10_dual_pr_ce_u4        m6490_swio10_dual_pr_ce
 * m6490_swio10_dual_pr_ce_u4        m6490a_swio10_dual_pr_ce          m6490a_swio10_dual_pr_ce_u4
 * m6490p_swio10_dual_pr_ce          m6490p_swio10_dual_pr_ce_u4       m645_swio10_dual_pr_ce
 * m645_swio10_dual_pr_ce_u4         m645a_swio10_dual_pr_ce           m645a_swio10_dual_pr_ce_u4
 * m645p_swio10_dual_pr_ce           m645p_swio10_dual_pr_ce_u4        m6450_swio10_dual_pr_ce
 * m6450_swio10_dual_pr_ce_u4        m6450a_swio10_dual_pr_ce          m6450a_swio10_dual_pr_ce_u4
 * m6450p_swio10_dual_pr_ce          m6450p_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m649_swio10_dual_pr_ce[] = {
  0x02f777776890cf68, 0xe2c1f75680100df9, 0x5b5dfba829eb41b8, 0xb13c94a75cea2f2d, 0x5bb3bb0b27deec0b,
  0xe49a577347d4ead0, 0xaa609f180904c15d, 0x3775f64c8c1548f5, 0xf12e20614306d230, 0xb4c35bf328094ee9,
  0x6f51f7dec34d9c22, 0x08a1491209206a7a, 0xb87c2886257f9fbe, 0x32ace5e99c67213e, 0xc7ac54219686df44,
  0x096dfa7ffe80e784, 0xbffaa9260b0de579, 0x8e518bf50f728315, 0x488bace1e78f373b, 0x4ce5fa8f84bf10d8,
  0xb3abd4b993170f49, 0x4903b87ea3f513dc, 0x731602d4aeea921c, 0xe3af006769c51bde, 0x6e5af07d500ffd99,
  0x9ddc5496ff0c0f2d, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x020272bb54b7d59c, 0x1a55aba5fd221cd7,
  0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb65d863b7b15545a, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0xf9e4afdcd0ccb0e9, 0x00000003491766b8,
};

/*
 * m649a_swio10_dual_pr_ee_ce        m649p_swio10_dual_pr_ee_ce        m6490_swio10_dual_pr_ee_ce
 * m6490a_swio10_dual_pr_ee_ce       m6490p_swio10_dual_pr_ee_ce       m645_swio10_dual_pr_ee_ce
 * m645a_swio10_dual_pr_ee_ce        m645p_swio10_dual_pr_ee_ce        m6450_swio10_dual_pr_ee_ce
 * m6450a_swio10_dual_pr_ee_ce       m6450p_swio10_dual_pr_ee_ce
 */
static const uint64_t ur_m649_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f756e3e3397, 0xb6fd5f773ed9f362, 0x5f68a5043c8970b0, 0x1fe6d366de9d33d9,
  0x2ee3822ac1e199d7, 0x3e30120982bbc9b1, 0xd9323055208f5cc1, 0x81850c1b48c0ddd7, 0x0fcca0253ba7c4b8,
  0x0d1b0d34707f9362, 0x48904903b1f9bd47, 0x44312bfcfdf0450a, 0xbd33830b89f5c3e1, 0x8432d0286886559c,
  0xd7ffa039e133a58a, 0x4982c3795e425b7f, 0xa8d4f4a0bfcffeaa, 0xff9e3cdcedfe58fe, 0x2cdd339d61d4939b,
  0x75ea3caf2b4a76b0, 0x315caef51f06cc1f, 0x2c4522cd3ad08a05, 0x6e2863a909afa30b, 0xa25da3da3d28e757,
  0x0234c6c6abc6c75e, 0x7b2fa598b8484508, 0xc656b2a3608991c3, 0x67f157ceee2a4a59, 0x38ce6283b5e5caad,
  0x5beace75152a8d77, 0x910e6b8101395daa, 0x22bcb10d2ad5d2fe, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b52fcdb2ec31dbd, 0xbf83bb8d163ce1b9, 0x5c33d30ae4fdd599, 0xc3a4a5b387138cb2,
  0xdae3e792bf734332, 0x00000000002608a9,
};

/*
 * m649a_swio10_dual_pr_ee_ce_u4     m649p_swio10_dual_pr_ee_ce_u4     m6490_swio10_dual_pr_ee_ce_u4
 * m6490a_swio10_dual_pr_ee_ce_u4    m6490p_swio10_dual_pr_ee_ce_u4    m645_swio10_dual_pr_ee_ce_u4
 * m645a_swio10_dual_pr_ee_ce_u4     m645p_swio10_dual_pr_ee_ce_u4     m6450_swio10_dual_pr_ee_ce_u4
 * m6450a_swio10_dual_pr_ee_ce_u4    m6450p_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150ff72df, 0x3eeac5c6af77e75d, 0x3dd51fa2f499f698, 0x8abfeaf60987da3c, 0x224addc1ebb2c43d,
  0xd42cd865a7f0de4f, 0x15de4b4e776d6aa0, 0x2c7ae609f180904c, 0x8c0ddd7d93230552, 0xba7c4b881850c1b4,
  0x7ebcc6b7f9958093, 0xdcdea3c00d80a438, 0xf8228524482481da, 0xfae1f0a21895fe7e, 0x432ace5e99cb9284,
  0x9b2b454219686ce4, 0x212dba547fd01cf0, 0xfff190bcc161bcaf, 0xf18bf5471ca507f5, 0x5d670f3cf80677fa,
  0xafd47c25f886c244, 0x1374c98b8767afd6, 0xd7a8f2bcad29dac2, 0xc572bbd47c1b307d, 0xb1148b34eb422814,
  0xb8a18ea426be8c2c, 0x89768f68f4a39d5d, 0x08d31b1aaf1b1d7a, 0xecbe9662e1211420, 0x195aca8d8226470d,
  0x9fc55f3bb8a92967, 0xe3398a0ed7972ab5, 0x6fab39d454aa35dc, 0x4439ae0404e576a9, 0x8af2c434ab574bfa,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2d4bf36cbb0c76f6, 0xe0d1fc68b224c6e5,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x04a2029e4afdcd0c, 0x000000000008004a,
};

/*
 * m649a_swio10_dual_ee_hw           m649p_swio10_dual_ee_hw           m6490_swio10_dual_ee_hw
 * m6490a_swio10_dual_ee_hw          m6490p_swio10_dual_ee_hw          m645_swio10_dual_ee_hw
 * m645a_swio10_dual_ee_hw           m645p_swio10_dual_ee_hw           m6450_swio10_dual_ee_hw
 * m6450a_swio10_dual_ee_hw          m6450p_swio10_dual_ee_hw          c64_swio10_dual_ee_hw
 */
static const uint64_t ur_m649_swio10_dual_ee_hw[] = {
  0xd6dddddda28d0f68, 0xcc1f756b1fb377e3, 0xae17bbb287b589c9, 0x65705b177689f9f7, 0x7c842eb63285bd67,
  0x60bb9a3ea75add98, 0x04f8c048260aef25, 0xafb26460aa459273, 0x71030a18369181bb, 0xd3ff995d06774f89,
  0x7383b0eaf3850fcd, 0x524482481ece9bd4, 0x0a21895fe7ef8228, 0x72f4ce18044fae1f, 0x2a10cb417da21956,
  0xd36ffe80e784c1ee, 0x56e60b0de579096d, 0xb5a328b28343ffe7, 0x60ccaf51e57bee6a, 0x50ef8aedd7a8f836,
  0x185962291669d684, 0x7286b8a973484d7d, 0x25da3da3d28e7569, 0x11a636355ae875ea, 0xd97d2cc5c2422840,
  0x656b2a3608fd6e1b, 0x7f157ceee2a4a014, 0x8ce6283b5e5caad6, 0xbeace75152a8d773, 0x10e6b8101395daa5,
  0x2bcb10d2ad5d2fe9, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5a97e6d976455bd8,
  0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x20f453c95fb9a199, 0x00000000000aed2d,
};

/*
 * m649_swio10_dual_ee_ce_u4_hw      m649a_swio10_dual_ee_ce_hw        m649a_swio10_dual_ee_ce_u4_hw
 * m649p_swio10_dual_ee_ce_hw        m649p_swio10_dual_ee_ce_u4_hw     m6490_swio10_dual_ee_ce_hw
 * m6490_swio10_dual_ee_ce_u4_hw     m6490a_swio10_dual_ee_ce_hw       m6490a_swio10_dual_ee_ce_u4_hw
 * m6490p_swio10_dual_ee_ce_hw       m6490p_swio10_dual_ee_ce_u4_hw    m645_swio10_dual_ee_ce_hw
 * m645_swio10_dual_ee_ce_u4_hw      m645a_swio10_dual_ee_ce_hw        m645a_swio10_dual_ee_ce_u4_hw
 * m645p_swio10_dual_ee_ce_hw        m645p_swio10_dual_ee_ce_u4_hw     m6450_swio10_dual_ee_ce_hw
 * m6450_swio10_dual_ee_ce_u4_hw     m6450a_swio10_dual_ee_ce_hw       m6450a_swio10_dual_ee_ce_u4_hw
 * m6450p_swio10_dual_ee_ce_hw       m6450p_swio10_dual_ee_ce_u4_hw    c64_swio10_dual_ee_ce_hw
 * c64_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio10_dual_ee_ce_hw[] = {
  0xbdddddda28d072df, 0x07dd58b8d5eefceb, 0x87baa3f45e933ed3, 0xb157fd5ec130fb47, 0xe4495bb83d765887,
  0xb97d6dac02fe1bc9, 0x04c15de4b4e7733e, 0x5522c7ae609f1809, 0x1b48c0ddd7d93230, 0x833ba7c4b881850c,
  0x21c3f5e635bfccae, 0x0ed6e6f51e006c05, 0xf3f7c11429224124, 0x9427d70f8510c4af, 0x6722195672f4ce5c,
  0xe784d95a2a10cb43, 0xe579096dd2a3fe80, 0x83faffe756e60b0d, 0x3bfd78c5faa38e52, 0xb0911759c3cf3c87,
  0x39753bf51f097e21, 0x9dac21374c98b87f, 0xb307dd7a8f2bcad2, 0x22814c572bbd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db8a18ea426b, 0xb1d7a89768f68f4a, 0x1142008d31b1aaf1, 0x6470decbe9662e12, 0x92967195aca8d822,
  0x72ab59fc55f3bb8a, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x74bfa4439ae0404e, 0xed5688af2c434ab5,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x8c6e52d4bf36cbb0, 0x0f7bca1854e7ea13,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3aebcf43a29e4afd,
};

/*
 * m649_swio12_noled                 m649a_swio11_noled                m649a_swio12_noled
 * m649p_swio11_noled                m649p_swio12_noled                m6490_swio11_noled
 * m6490_swio12_noled                m6490a_swio11_noled               m6490a_swio12_noled
 * m6490p_swio11_noled               m6490p_swio12_noled               m645_swio11_noled
 * m645_swio12_noled                 m645a_swio11_noled                m645a_swio12_noled
 * m645p_swio11_noled                m645p_swio12_noled                m6450_swio11_noled
 * m6450_swio12_noled                m6450a_swio11_noled               m6450a_swio12_noled
 * m6450p_swio11_noled               m6450p_swio12_noled
 */
static const uint64_t ur_m649_swio11_noled[] = {
  0x905ff7777759bb37, 0x5bbb5572284ce25a, 0xf8fdd341b891844f, 0xf43b8e362235f83e, 0x82e236f67eeea417,
  0xc15de4eed8f6434d, 0x79feea609f180904, 0xf96e82504f5ff7e8, 0x3892075ffd47884e, 0x580b7ba609ebe524,
  0xd78b9da32464d1cc, 0x56a56741b8e58c11, 0xbb9c673141daf2e5, 0x52df57673a8a9546, 0xc6f5f4887359caed,
  0xcf6ab44579621a56, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0xe7f61b94b52fcdb6,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0x524bfe045f3c95fb, 0x0000000000000001,
};

/*
 * m649_swio11_noled_pr_u4           m649_swio12_noled_pr              m649_swio12_noled_pr_u4
 * m649a_swio11_noled_pr             m649a_swio11_noled_pr_u4          m649a_swio12_noled_pr
 * m649a_swio12_noled_pr_u4          m649p_swio11_noled_pr             m649p_swio11_noled_pr_u4
 * m649p_swio12_noled_pr             m649p_swio12_noled_pr_u4          m6490_swio11_noled_pr
 * m6490_swio11_noled_pr_u4          m6490_swio12_noled_pr             m6490_swio12_noled_pr_u4
 * m6490a_swio11_noled_pr            m6490a_swio11_noled_pr_u4         m6490a_swio12_noled_pr
 * m6490a_swio12_noled_pr_u4         m6490p_swio11_noled_pr            m6490p_swio11_noled_pr_u4
 * m6490p_swio12_noled_pr            m6490p_swio12_noled_pr_u4         m645_swio11_noled_pr
 * m645_swio11_noled_pr_u4           m645_swio12_noled_pr              m645_swio12_noled_pr_u4
 * m645a_swio11_noled_pr             m645a_swio11_noled_pr_u4          m645a_swio12_noled_pr
 * m645a_swio12_noled_pr_u4          m645p_swio11_noled_pr             m645p_swio11_noled_pr_u4
 * m645p_swio12_noled_pr             m645p_swio12_noled_pr_u4          m6450_swio11_noled_pr
 * m6450_swio11_noled_pr_u4          m6450_swio12_noled_pr             m6450_swio12_noled_pr_u4
 * m6450a_swio11_noled_pr            m6450a_swio11_noled_pr_u4         m6450a_swio12_noled_pr
 * m6450a_swio12_noled_pr_u4         m6450p_swio11_noled_pr            m6450p_swio11_noled_pr_u4
 * m6450p_swio12_noled_pr            m6450p_swio12_noled_pr_u4
 */
static const uint64_t ur_m649_swio11_noled_pr[] = {
  0xe82ddddda2432aac, 0xeed55c8a543895c4, 0x53dd7ec682d82782, 0x2cd60e21b63367eb, 0x3817e635a6edc4e8,
  0x57793bbe451db211, 0xf98f9827c6024130, 0x6dee5076fffd8aec, 0x490326bd47050ef9, 0x05965307b402921c,
  0x47cec98a3114e62c, 0x6279500ffd9823af, 0x556a844c0f2cf6ed, 0x6bb9c673141daf2e, 0xd52df57673a8a954,
  0x6c6f5f4887359cae, 0x5cf6ab44579621a5, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x610c55bd8aaa2d2d,
  0x2c8931b94b52fcdb, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x00007c9899a35c7c,
};

/*
 * m649_swio11_noled_pr_ee_u4        m649_swio12_noled_pr_ee           m649_swio12_noled_pr_ee_u4
 * m649a_swio11_noled_pr_ee          m649a_swio11_noled_pr_ee_u4       m649a_swio12_noled_pr_ee
 * m649a_swio12_noled_pr_ee_u4       m649p_swio11_noled_pr_ee          m649p_swio11_noled_pr_ee_u4
 * m649p_swio12_noled_pr_ee          m649p_swio12_noled_pr_ee_u4       m6490_swio11_noled_pr_ee
 * m6490_swio11_noled_pr_ee_u4       m6490_swio12_noled_pr_ee          m6490_swio12_noled_pr_ee_u4
 * m6490a_swio11_noled_pr_ee         m6490a_swio11_noled_pr_ee_u4      m6490a_swio12_noled_pr_ee
 * m6490a_swio12_noled_pr_ee_u4      m6490p_swio11_noled_pr_ee         m6490p_swio11_noled_pr_ee_u4
 * m6490p_swio12_noled_pr_ee         m6490p_swio12_noled_pr_ee_u4      m645_swio11_noled_pr_ee
 * m645_swio11_noled_pr_ee_u4        m645_swio12_noled_pr_ee           m645_swio12_noled_pr_ee_u4
 * m645a_swio11_noled_pr_ee          m645a_swio11_noled_pr_ee_u4       m645a_swio12_noled_pr_ee
 * m645a_swio12_noled_pr_ee_u4       m645p_swio11_noled_pr_ee          m645p_swio11_noled_pr_ee_u4
 * m645p_swio12_noled_pr_ee          m645p_swio12_noled_pr_ee_u4       m6450_swio11_noled_pr_ee
 * m6450_swio11_noled_pr_ee_u4       m6450_swio12_noled_pr_ee          m6450_swio12_noled_pr_ee_u4
 * m6450a_swio11_noled_pr_ee         m6450a_swio11_noled_pr_ee_u4      m6450a_swio12_noled_pr_ee
 * m6450a_swio12_noled_pr_ee_u4      m6450p_swio11_noled_pr_ee         m6450p_swio11_noled_pr_ee_u4
 * m6450p_swio12_noled_pr_ee         m6450p_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m649_swio11_noled_pr_ee[] = {
  0xfad377776890c582, 0x6eed55f85c208971, 0xd5c7bb50c99f3732, 0xfd686d0ca170cf0a, 0x447ec89b020da0b8,
  0x7793ba76821c712d, 0x9c19827c60241305, 0x63e507677fd8aecf, 0x1ea3cacbacd56b46, 0x1594bf51f06cc1f5,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x3d51fc873ab4bb93, 0xdd8d56ba1d79d376, 0x973170908a22147b,
  0xe546c11fadc37b2d, 0x3b5e5caad402e839, 0x5152a8d7738ce628, 0x6b395daa5beaece7, 0x2c434ad8debe910e,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xa5f9b6c218ab7b15, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x9eb8f9e4afdcd0cc, 0x00000000004ebfe6,
};

/*
 * m649_swio11_noled_pr_ce_u4        m649_swio12_noled_pr_ce           m649_swio12_noled_pr_ce_u4
 * m649a_swio11_noled_pr_ce          m649a_swio11_noled_pr_ce_u4       m649a_swio12_noled_pr_ce
 * m649a_swio12_noled_pr_ce_u4       m649p_swio11_noled_pr_ce          m649p_swio11_noled_pr_ce_u4
 * m649p_swio12_noled_pr_ce          m649p_swio12_noled_pr_ce_u4       m6490_swio11_noled_pr_ce
 * m6490_swio11_noled_pr_ce_u4       m6490_swio12_noled_pr_ce          m6490_swio12_noled_pr_ce_u4
 * m6490a_swio11_noled_pr_ce         m6490a_swio11_noled_pr_ce_u4      m6490a_swio12_noled_pr_ce
 * m6490a_swio12_noled_pr_ce_u4      m6490p_swio11_noled_pr_ce         m6490p_swio11_noled_pr_ce_u4
 * m6490p_swio12_noled_pr_ce         m6490p_swio12_noled_pr_ce_u4      m645_swio11_noled_pr_ce
 * m645_swio11_noled_pr_ce_u4        m645_swio12_noled_pr_ce           m645_swio12_noled_pr_ce_u4
 * m645a_swio11_noled_pr_ce          m645a_swio11_noled_pr_ce_u4       m645a_swio12_noled_pr_ce
 * m645a_swio12_noled_pr_ce_u4       m645p_swio11_noled_pr_ce          m645p_swio11_noled_pr_ce_u4
 * m645p_swio12_noled_pr_ce          m645p_swio12_noled_pr_ce_u4       m6450_swio11_noled_pr_ce
 * m6450_swio11_noled_pr_ce_u4       m6450_swio12_noled_pr_ce          m6450_swio12_noled_pr_ce_u4
 * m6450a_swio11_noled_pr_ce         m6450a_swio11_noled_pr_ce_u4      m6450a_swio12_noled_pr_ce
 * m6450a_swio12_noled_pr_ce_u4      m6450p_swio11_noled_pr_ce         m6450p_swio11_noled_pr_ce_u4
 * m6450p_swio12_noled_pr_ce         m6450p_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m649_swio11_noled_pr_ce[] = {
  0xf9beeeeed121b768, 0xbb557eb047ee25b3, 0xa0bbbe96b4bf1fb3, 0xdd0e78b066c802fd, 0xc542da5d93ddd9fc,
  0x57793baec95f1899, 0xfefb9827c6024130, 0xa13e5054f7fd8aec, 0x3cf1e6e77812317e, 0xf097e21b0911759c,
  0x3262e1e6199f3f51, 0xf51d7c9ee59d5f59, 0xdf97d490e2481acf, 0x764c5188a731602e, 0xca807feccf1d7a3e,
  0xd508981e5add6b13, 0x738ce6283b5e5caa, 0x5beaece75152a8d7, 0xdebe910e6b395daa, 0xed5688af2c434ad8,
  0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x263b7b15545a5b44, 0x24c6e52d4bf36d84, 0x4eaccdfc1ddc68b2,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x00dd73044d71f3c9,
};

/*
 * m649_swio11_noled_pr_ee_ce_u4     m649_swio12_noled_pr_ee_ce        m649_swio12_noled_pr_ee_ce_u4
 * m649a_swio11_noled_pr_ee_ce       m649a_swio11_noled_pr_ee_ce_u4    m649a_swio12_noled_pr_ee_ce
 * m649a_swio12_noled_pr_ee_ce_u4    m649p_swio11_noled_pr_ee_ce       m649p_swio11_noled_pr_ee_ce_u4
 * m649p_swio12_noled_pr_ee_ce       m649p_swio12_noled_pr_ee_ce_u4    m6490_swio11_noled_pr_ee_ce
 * m6490_swio11_noled_pr_ee_ce_u4    m6490_swio12_noled_pr_ee_ce       m6490_swio12_noled_pr_ee_ce_u4
 * m6490a_swio11_noled_pr_ee_ce      m6490a_swio11_noled_pr_ee_ce_u4   m6490a_swio12_noled_pr_ee_ce
 * m6490a_swio12_noled_pr_ee_ce_u4   m6490p_swio11_noled_pr_ee_ce      m6490p_swio11_noled_pr_ee_ce_u4
 * m6490p_swio12_noled_pr_ee_ce      m6490p_swio12_noled_pr_ee_ce_u4   m645_swio11_noled_pr_ee_ce
 * m645_swio11_noled_pr_ee_ce_u4     m645_swio12_noled_pr_ee_ce        m645_swio12_noled_pr_ee_ce_u4
 * m645a_swio11_noled_pr_ee_ce       m645a_swio11_noled_pr_ee_ce_u4    m645a_swio12_noled_pr_ee_ce
 * m645a_swio12_noled_pr_ee_ce_u4    m645p_swio11_noled_pr_ee_ce       m645p_swio11_noled_pr_ee_ce_u4
 * m645p_swio12_noled_pr_ee_ce       m645p_swio12_noled_pr_ee_ce_u4    m6450_swio11_noled_pr_ee_ce
 * m6450_swio11_noled_pr_ee_ce_u4    m6450_swio12_noled_pr_ee_ce       m6450_swio12_noled_pr_ee_ce_u4
 * m6450a_swio11_noled_pr_ee_ce      m6450a_swio11_noled_pr_ee_ce_u4   m6450a_swio12_noled_pr_ee_ce
 * m6450a_swio12_noled_pr_ee_ce_u4   m6450p_swio11_noled_pr_ee_ce      m6450p_swio11_noled_pr_ee_ce_u4
 * m6450p_swio12_noled_pr_ee_ce      m6450p_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio11_noled_pr_ee_ce[] = {
  0x593ddddda2431bc1, 0xeed55ce0b13a2585, 0x4376e9fb36331a86, 0x93db6c85c18e247f, 0x2cc8d33220e6f855,
  0x277475d35db17770, 0x1304f8c048260aef, 0x941b5bffb15d9f80, 0xb9ddadc62fd51efb, 0x86c2445d670f3c79,
  0x575c617fd47c25f8, 0x29dac20f7cc98b87, 0x1b307a57a8f2b90f, 0x422814c5670fd47c, 0xbe8c2cb1148b34eb,
  0x439d5db9c98ea426, 0x8d8ebce9bb1ea8fe, 0x908a22147bdd8d57, 0x8991c37b2d973170, 0x556a59f41cf2a360,
  0x6bb9c673141daf2e, 0xd52df57673a8a954, 0x6c6f5f4887359cae, 0x5cf6ab44579621a5, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000013f026b6b8f9,
};

/*
 * m649_swio12_noled_ee_hw           m649a_swio11_noled_ee_hw          m649a_swio12_noled_ee_hw
 * m649p_swio11_noled_ee_hw          m649p_swio12_noled_ee_hw          m6490_swio11_noled_ee_hw
 * m6490_swio12_noled_ee_hw          m6490a_swio11_noled_ee_hw         m6490a_swio12_noled_ee_hw
 * m6490p_swio11_noled_ee_hw         m6490p_swio12_noled_ee_hw         m645_swio11_noled_ee_hw
 * m645_swio12_noled_ee_hw           m645a_swio11_noled_ee_hw          m645a_swio12_noled_ee_hw
 * m645p_swio11_noled_ee_hw          m645p_swio12_noled_ee_hw          m6450_swio11_noled_ee_hw
 * m6450_swio12_noled_ee_hw          m6450a_swio11_noled_ee_hw         m6450a_swio12_noled_ee_hw
 * m6450p_swio11_noled_ee_hw         m6450p_swio12_noled_ee_hw         c64_swio11_noled_ee_hw
 * c64_swio12_noled_ee_hw
 */
static const uint64_t ur_m649_swio11_noled_ee_hw[] = {
  0xd69bbbbb451a3768, 0x776aafc2e1044b8f, 0xae3dda864cf9b993, 0xeb4368650b867856, 0x23f644d8106d05c7,
  0x57793baec95f6ce2, 0xf9c19827c6024130, 0x198f941d9dffd64c, 0xd47a8f2b2eb355ad, 0x7c5652fd47c1b307,
  0xcb1148b34eb42287, 0x4d71ac9a426be8c2, 0xd8f547f21cead2ee, 0xef76355ae875e74d, 0xb65cc5c242288851,
  0xe7951b047eb70dec, 0xa0ed7972ab500ba0, 0x9d454aa35dce3398, 0x39ace576a96fabb3, 0xbcb10d2b637afa44,
  0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5a97e6db0862adec, 0x430a9cfd42718dca,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x095453c95fb9a199,
  0x000000000000b7fa,
};

/*
 * m649_swio11_noled_ee_ce_u4_hw     m649_swio12_noled_ee_ce_hw        m649_swio12_noled_ee_ce_u4_hw
 * m649a_swio11_noled_ee_ce_hw       m649a_swio11_noled_ee_ce_u4_hw    m649a_swio12_noled_ee_ce_hw
 * m649a_swio12_noled_ee_ce_u4_hw    m649p_swio11_noled_ee_ce_hw       m649p_swio11_noled_ee_ce_u4_hw
 * m649p_swio12_noled_ee_ce_hw       m649p_swio12_noled_ee_ce_u4_hw    m6490_swio11_noled_ee_ce_hw
 * m6490_swio11_noled_ee_ce_u4_hw    m6490_swio12_noled_ee_ce_hw       m6490_swio12_noled_ee_ce_u4_hw
 * m6490a_swio11_noled_ee_ce_hw      m6490a_swio11_noled_ee_ce_u4_hw   m6490a_swio12_noled_ee_ce_hw
 * m6490a_swio12_noled_ee_ce_u4_hw   m6490p_swio11_noled_ee_ce_hw      m6490p_swio11_noled_ee_ce_u4_hw
 * m6490p_swio12_noled_ee_ce_hw      m6490p_swio12_noled_ee_ce_u4_hw   m645_swio11_noled_ee_ce_hw
 * m645_swio11_noled_ee_ce_u4_hw     m645_swio12_noled_ee_ce_hw        m645_swio12_noled_ee_ce_u4_hw
 * m645a_swio11_noled_ee_ce_hw       m645a_swio11_noled_ee_ce_u4_hw    m645a_swio12_noled_ee_ce_hw
 * m645a_swio12_noled_ee_ce_u4_hw    m645p_swio11_noled_ee_ce_hw       m645p_swio11_noled_ee_ce_u4_hw
 * m645p_swio12_noled_ee_ce_hw       m645p_swio12_noled_ee_ce_u4_hw    m6450_swio11_noled_ee_ce_hw
 * m6450_swio11_noled_ee_ce_u4_hw    m6450_swio12_noled_ee_ce_hw       m6450_swio12_noled_ee_ce_u4_hw
 * m6450a_swio11_noled_ee_ce_hw      m6450a_swio11_noled_ee_ce_u4_hw   m6450a_swio12_noled_ee_ce_hw
 * m6450a_swio12_noled_ee_ce_u4_hw   m6450p_swio11_noled_ee_ce_hw      m6450p_swio11_noled_ee_ce_u4_hw
 * m6450p_swio12_noled_ee_ce_hw      m6450p_swio12_noled_ee_ce_u4_hw   c64_swio11_noled_ee_ce_hw
 * c64_swio11_noled_ee_ce_u4_hw      c64_swio12_noled_ee_ce_hw         c64_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio11_noled_ee_ce_hw[] = {
  0xc9eeeeed14683375, 0x76aae70589d12c2a, 0x1bb74fd9b198d437, 0x9edb642e0c7123fa, 0x664699910737c2ac,
  0xde4ee962ad6dce81, 0x002609f180904c15, 0x7dca0dadfff5933f, 0xf21ceed6e317ea8f, 0xf886c2445d670f3c,
  0xe1fbac000fd47c25, 0x43ca76b083df3262, 0x1f06cc1e95ea3cae, 0x3ad08a053159c3f5, 0x09afa30b2c4522cd,
  0x3f90e7576e7263a9, 0x55e363af3a6ec7aa, 0x5c242288851ef763, 0xd8226470decb65cc, 0xcb955a967d073ca8,
  0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x695b1bd7d221cd67, 0xb5d73daad115e588, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x6db084c76f62aa8b, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000005017d98b45,
};

/*
 * m649_swio12_lednop                m649a_swio11_lednop               m649a_swio12_lednop
 * m649p_swio11_lednop               m649p_swio12_lednop               m6490_swio11_lednop
 * m6490_swio12_lednop               m6490a_swio11_lednop              m6490a_swio12_lednop
 * m6490p_swio11_lednop              m6490p_swio12_lednop              m645_swio11_lednop
 * m645_swio12_lednop                m645a_swio11_lednop               m645a_swio12_lednop
 * m645p_swio11_lednop               m645p_swio12_lednop               m6450_swio11_lednop
 * m6450_swio12_lednop               m6450a_swio11_lednop              m6450a_swio12_lednop
 * m6450p_swio11_lednop              m6450p_swio12_lednop
 */
static const uint64_t ur_m649_swio11_lednop[] = {
  0x417fdddddd66ef3a, 0xb776aae452b4896a, 0xd43ddc3e3683089e, 0x17f43b8e3da1377e, 0xac8401b6f8feeea4,
  0x8260aef277417a09, 0xe879f80d304f8c04, 0x1df2dd04a087bff7, 0x4871240ebffa8f92, 0xcc580b7ba6ea131a,
  0x11d78b9d84547d21, 0xcaad4acc17b8e58c, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0x2fe910e6b8101395,
  0xaad115e588695cbd, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xd38c6f19d1028be8, 0x9f9fd86e52d4bf36,
  0xe271964b867a615c, 0xee6866587494b670, 0x01527d78117cf257,
};

/*
 * m649_swio11_lednop_pr_u4          m649_swio12_lednop_pr             m649_swio12_lednop_pr_u4
 * m649a_swio11_lednop_pr            m649a_swio11_lednop_pr_u4         m649a_swio12_lednop_pr
 * m649a_swio12_lednop_pr_u4         m649p_swio11_lednop_pr            m649p_swio11_lednop_pr_u4
 * m649p_swio12_lednop_pr            m649p_swio12_lednop_pr_u4         m6490_swio11_lednop_pr
 * m6490_swio11_lednop_pr_u4         m6490_swio12_lednop_pr            m6490_swio12_lednop_pr_u4
 * m6490a_swio11_lednop_pr           m6490a_swio11_lednop_pr_u4        m6490a_swio12_lednop_pr
 * m6490a_swio12_lednop_pr_u4        m6490p_swio11_lednop_pr           m6490p_swio11_lednop_pr_u4
 * m6490p_swio12_lednop_pr           m6490p_swio12_lednop_pr_u4        m645_swio11_lednop_pr
 * m645_swio11_lednop_pr_u4          m645_swio12_lednop_pr             m645_swio12_lednop_pr_u4
 * m645a_swio11_lednop_pr            m645a_swio11_lednop_pr_u4         m645a_swio12_lednop_pr
 * m645a_swio12_lednop_pr_u4         m645p_swio11_lednop_pr            m645p_swio11_lednop_pr_u4
 * m645p_swio12_lednop_pr            m645p_swio12_lednop_pr_u4         m6450_swio11_lednop_pr
 * m6450_swio11_lednop_pr_u4         m6450_swio12_lednop_pr            m6450_swio12_lednop_pr_u4
 * m6450a_swio11_lednop_pr           m6450a_swio11_lednop_pr_u4        m6450a_swio12_lednop_pr
 * m6450a_swio12_lednop_pr_u4        m6450p_swio11_lednop_pr           m6450p_swio11_lednop_pr_u4
 * m6450p_swio12_lednop_pr           m6450p_swio12_lednop_pr_u4
 */
static const uint64_t ur_m649_swio11_lednop_pr[] = {
  0xd05bbbbb44869391, 0xddaab91485f12b89, 0xc9eedf987db04f05, 0x66b0715431b65ef6, 0xe3bb1eebf76e2741,
  0xde4eef4e3220cec4, 0xbee609f180904c15, 0x7b9418f7ff62bb3e, 0x40c9af51d003be5b, 0xb2ca67f3a8a48712,
  0xf3b6488c6f9cc580, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0xdce3398a0ed7972a, 0x96fabb39d454aa35,
  0xa4439ae0404e576a, 0x44579621a572f4bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x94b52fcdb6318ab7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xda41f5c7cf257ee6, 0x0000000000000f93,
};

/*
 * m649_swio11_lednop_pr_ee_u4       m649_swio12_lednop_pr_ee          m649_swio12_lednop_pr_ee_u4
 * m649a_swio11_lednop_pr_ee         m649a_swio11_lednop_pr_ee_u4      m649a_swio12_lednop_pr_ee
 * m649a_swio12_lednop_pr_ee_u4      m649p_swio11_lednop_pr_ee         m649p_swio11_lednop_pr_ee_u4
 * m649p_swio12_lednop_pr_ee         m649p_swio12_lednop_pr_ee_u4      m6490_swio11_lednop_pr_ee
 * m6490_swio11_lednop_pr_ee_u4      m6490_swio12_lednop_pr_ee         m6490_swio12_lednop_pr_ee_u4
 * m6490a_swio11_lednop_pr_ee        m6490a_swio11_lednop_pr_ee_u4     m6490a_swio12_lednop_pr_ee
 * m6490a_swio12_lednop_pr_ee_u4     m6490p_swio11_lednop_pr_ee        m6490p_swio11_lednop_pr_ee_u4
 * m6490p_swio12_lednop_pr_ee        m6490p_swio12_lednop_pr_ee_u4     m645_swio11_lednop_pr_ee
 * m645_swio11_lednop_pr_ee_u4       m645_swio12_lednop_pr_ee          m645_swio12_lednop_pr_ee_u4
 * m645a_swio11_lednop_pr_ee         m645a_swio11_lednop_pr_ee_u4      m645a_swio12_lednop_pr_ee
 * m645a_swio12_lednop_pr_ee_u4      m645p_swio11_lednop_pr_ee         m645p_swio11_lednop_pr_ee_u4
 * m645p_swio12_lednop_pr_ee         m645p_swio12_lednop_pr_ee_u4      m6450_swio11_lednop_pr_ee
 * m6450_swio11_lednop_pr_ee_u4      m6450_swio12_lednop_pr_ee         m6450_swio12_lednop_pr_ee_u4
 * m6450a_swio11_lednop_pr_ee        m6450a_swio11_lednop_pr_ee_u4     m6450a_swio12_lednop_pr_ee
 * m6450a_swio12_lednop_pr_ee_u4     m6450p_swio11_lednop_pr_ee        m6450p_swio11_lednop_pr_ee_u4
 * m6450p_swio12_lednop_pr_ee        m6450p_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_swio11_lednop_pr_ee[] = {
  0x3f5a6eeeed121911, 0x9bbb557e1768b12e, 0x9b4cf77311b7cdcc, 0x8fd686d0c08285a0, 0x8be99a5c5e20da0b,
  0xaef27755f33eb825, 0xf4b5304f8c048260, 0xcc7ca08d6ffb15d9, 0xa3d4795b059aad68, 0xe2b53dea3e0d983e,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0xd22239b8e7569774, 0x32b1aad743af3a6e, 0xb2e62e121142f88e,
  0x3ca8d823f5b86f65, 0x076bcb955a8056b1, 0xea2a551aee719cc5, 0x20272bb54b7d5d9c, 0xd2b97a5fd221cd70,
  0x6bae7b55a22bcb10, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0xd164498dca5a97e6,
  0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe792bf734332c3a4, 0x0000013ae3539ae3,
};

/*
 * m649_swio11_lednop_pr_ce_u4       m649_swio12_lednop_pr_ce          m649_swio12_lednop_pr_ce_u4
 * m649a_swio11_lednop_pr_ce         m649a_swio11_lednop_pr_ce_u4      m649a_swio12_lednop_pr_ce
 * m649a_swio12_lednop_pr_ce_u4      m649p_swio11_lednop_pr_ce         m649p_swio11_lednop_pr_ce_u4
 * m649p_swio12_lednop_pr_ce         m649p_swio12_lednop_pr_ce_u4      m6490_swio11_lednop_pr_ce
 * m6490_swio11_lednop_pr_ce_u4      m6490_swio12_lednop_pr_ce         m6490_swio12_lednop_pr_ce_u4
 * m6490a_swio11_lednop_pr_ce        m6490a_swio11_lednop_pr_ce_u4     m6490a_swio12_lednop_pr_ce
 * m6490a_swio12_lednop_pr_ce_u4     m6490p_swio11_lednop_pr_ce        m6490p_swio11_lednop_pr_ce_u4
 * m6490p_swio12_lednop_pr_ce        m6490p_swio12_lednop_pr_ce_u4     m645_swio11_lednop_pr_ce
 * m645_swio11_lednop_pr_ce_u4       m645_swio12_lednop_pr_ce          m645_swio12_lednop_pr_ce_u4
 * m645a_swio11_lednop_pr_ce         m645a_swio11_lednop_pr_ce_u4      m645a_swio12_lednop_pr_ce
 * m645a_swio12_lednop_pr_ce_u4      m645p_swio11_lednop_pr_ce         m645p_swio11_lednop_pr_ce_u4
 * m645p_swio12_lednop_pr_ce         m645p_swio12_lednop_pr_ce_u4      m6450_swio11_lednop_pr_ce
 * m6450_swio11_lednop_pr_ce_u4      m6450_swio12_lednop_pr_ce         m6450_swio12_lednop_pr_ce_u4
 * m6450a_swio11_lednop_pr_ce        m6450a_swio11_lednop_pr_ce_u4     m6450a_swio12_lednop_pr_ce
 * m6450a_swio12_lednop_pr_ce_u4     m6450p_swio11_lednop_pr_ce        m6450p_swio11_lednop_pr_ce_u4
 * m6450p_swio12_lednop_pr_ce        m6450p_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_swio11_lednop_pr_ce[] = {
  0xf9beeeeed121b705, 0xbb557eb0434e25b3, 0x6477499f1fbf1fb3, 0x7439e2cfd833c77b, 0x98103d72437767f3,
  0x57793bb61b657254, 0xfece9827c6024130, 0xa13e506577fd8aec, 0x3cf1e6e77bee317e, 0xf097e21b0911759c,
  0x64c5c3b37d2a3f51, 0xd4797d3dcb3abeb2, 0xf7a5524389206b3f, 0xdb244637ce62c058, 0x2a01ffb33c75e8f9,
  0xb2ed40f2d6e83fd2, 0x9c673141daf2e556, 0xdf57673a8a9546bb, 0x88735c0809caed52, 0x8af2c434ae5e97f4,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2d4bf36d8c4c76f6, 0xfc1ddc68b224c6e5,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0xc93d71f3c95fb9a1, 0x000000000000dd77,
};

/*
 * m649_swio11_lednop_pr_ee_ce_u4    m649_swio12_lednop_pr_ee_ce       m649_swio12_lednop_pr_ee_ce_u4
 * m649a_swio11_lednop_pr_ee_ce      m649a_swio11_lednop_pr_ee_ce_u4   m649a_swio12_lednop_pr_ee_ce
 * m649a_swio12_lednop_pr_ee_ce_u4   m649p_swio11_lednop_pr_ee_ce      m649p_swio11_lednop_pr_ee_ce_u4
 * m649p_swio12_lednop_pr_ee_ce      m649p_swio12_lednop_pr_ee_ce_u4   m6490_swio11_lednop_pr_ee_ce
 * m6490_swio11_lednop_pr_ee_ce_u4   m6490_swio12_lednop_pr_ee_ce      m6490_swio12_lednop_pr_ee_ce_u4
 * m6490a_swio11_lednop_pr_ee_ce     m6490a_swio11_lednop_pr_ee_ce_u4  m6490a_swio12_lednop_pr_ee_ce
 * m6490a_swio12_lednop_pr_ee_ce_u4  m6490p_swio11_lednop_pr_ee_ce     m6490p_swio11_lednop_pr_ee_ce_u4
 * m6490p_swio12_lednop_pr_ee_ce     m6490p_swio12_lednop_pr_ee_ce_u4  m645_swio11_lednop_pr_ee_ce
 * m645_swio11_lednop_pr_ee_ce_u4    m645_swio12_lednop_pr_ee_ce       m645_swio12_lednop_pr_ee_ce_u4
 * m645a_swio11_lednop_pr_ee_ce      m645a_swio11_lednop_pr_ee_ce_u4   m645a_swio12_lednop_pr_ee_ce
 * m645a_swio12_lednop_pr_ee_ce_u4   m645p_swio11_lednop_pr_ee_ce      m645p_swio11_lednop_pr_ee_ce_u4
 * m645p_swio12_lednop_pr_ee_ce      m645p_swio12_lednop_pr_ee_ce_u4   m6450_swio11_lednop_pr_ee_ce
 * m6450_swio11_lednop_pr_ee_ce_u4   m6450_swio12_lednop_pr_ee_ce      m6450_swio12_lednop_pr_ee_ce_u4
 * m6450a_swio11_lednop_pr_ee_ce     m6450a_swio11_lednop_pr_ee_ce_u4  m6450a_swio12_lednop_pr_ee_ce
 * m6450a_swio12_lednop_pr_ee_ce_u4  m6450p_swio11_lednop_pr_ee_ce     m6450p_swio11_lednop_pr_ee_ce_u4
 * m6450p_swio12_lednop_pr_ee_ce     m6450p_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio11_lednop_pr_ee_ce[] = {
  0x593ddddda2431000, 0xeed55ce0b6262585, 0x94add6960cf31a86, 0x27b6d9089d707e9e, 0xd333582441cdf0ab,
  0x2776b55de3db66cd, 0xd304f8c048260aef, 0x282d77ff62bb3f8d, 0x73b6bb8c5faa3df7, 0x0d8488bace1e78f3,
  0xf539705fa8f84bf1, 0x94ed6107be64c5c3, 0x0d983d2bd479594b, 0xa1140a62b287ea3e, 0x5f4616588a459a75,
  0x71ceaedce9475213, 0xc6c75e74dda44473, 0x48450be238cac6ab, 0x44c8e1bd96cb98b8, 0x2ab52ced627951b0,
  0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0xbfa4439ae0404e57, 0xab44579621a572f4, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b6c6263, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3f064e6b8f9e4afd,
  0x0000000000000001,
};

/*
 * m649_swio12_lednop_ee_hw          m649a_swio11_lednop_ee_hw         m649a_swio12_lednop_ee_hw
 * m649p_swio11_lednop_ee_hw         m649p_swio12_lednop_ee_hw         m6490_swio11_lednop_ee_hw
 * m6490_swio12_lednop_ee_hw         m6490a_swio11_lednop_ee_hw        m6490a_swio12_lednop_ee_hw
 * m6490p_swio11_lednop_ee_hw        m6490p_swio12_lednop_ee_hw        m645_swio11_lednop_ee_hw
 * m645_swio12_lednop_ee_hw          m645a_swio11_lednop_ee_hw         m645a_swio12_lednop_ee_hw
 * m645p_swio11_lednop_ee_hw         m645p_swio12_lednop_ee_hw         m6450_swio11_lednop_ee_hw
 * m6450_swio12_lednop_ee_hw         m6450a_swio11_lednop_ee_hw        m6450a_swio12_lednop_ee_hw
 * m6450p_swio11_lednop_ee_hw        m6450p_swio12_lednop_ee_hw        c64_swio11_lednop_ee_hw
 * c64_swio12_lednop_ee_hw
 */
static const uint64_t ur_m649_swio11_lednop_ee_hw[] = {
  0xd69bbbbb451a3705, 0xeed55f85da2c4b8f, 0xd33ddcc46df37326, 0xf5a1b43020a16826, 0xfa669717883682e3,
  0x57793bb61b656a4c, 0xfa5a9827c6024130, 0x198f9411adffd64c, 0xd47a8f2b60b355ad, 0x7c56a7bd47c1b307,
  0xcb1148b34eb42287, 0x9571ac9a426be8c2, 0xda4447371cead2ee, 0xc656355ae875e74d, 0xb65cc5c242285f11,
  0x27951b047eb70dec, 0xa0ed7972ab500ad6, 0x9d454aa35dce3398, 0x0404e576a96fabb3, 0x1a572f4bfa4439ae,
  0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a, 0x9fa84e31b94b52fc,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x0000002dfe08be8a,
};

/*
 * m649_swio11_lednop_ee_ce_u4_hw    m649_swio12_lednop_ee_ce_hw       m649_swio12_lednop_ee_ce_u4_hw
 * m649a_swio11_lednop_ee_ce_hw      m649a_swio11_lednop_ee_ce_u4_hw   m649a_swio12_lednop_ee_ce_hw
 * m649a_swio12_lednop_ee_ce_u4_hw   m649p_swio11_lednop_ee_ce_hw      m649p_swio11_lednop_ee_ce_u4_hw
 * m649p_swio12_lednop_ee_ce_hw      m649p_swio12_lednop_ee_ce_u4_hw   m6490_swio11_lednop_ee_ce_hw
 * m6490_swio11_lednop_ee_ce_u4_hw   m6490_swio12_lednop_ee_ce_hw      m6490_swio12_lednop_ee_ce_u4_hw
 * m6490a_swio11_lednop_ee_ce_hw     m6490a_swio11_lednop_ee_ce_u4_hw  m6490a_swio12_lednop_ee_ce_hw
 * m6490a_swio12_lednop_ee_ce_u4_hw  m6490p_swio11_lednop_ee_ce_hw     m6490p_swio11_lednop_ee_ce_u4_hw
 * m6490p_swio12_lednop_ee_ce_hw     m6490p_swio12_lednop_ee_ce_u4_hw  m645_swio11_lednop_ee_ce_hw
 * m645_swio11_lednop_ee_ce_u4_hw    m645_swio12_lednop_ee_ce_hw       m645_swio12_lednop_ee_ce_u4_hw
 * m645a_swio11_lednop_ee_ce_hw      m645a_swio11_lednop_ee_ce_u4_hw   m645a_swio12_lednop_ee_ce_hw
 * m645a_swio12_lednop_ee_ce_u4_hw   m645p_swio11_lednop_ee_ce_hw      m645p_swio11_lednop_ee_ce_u4_hw
 * m645p_swio12_lednop_ee_ce_hw      m645p_swio12_lednop_ee_ce_u4_hw   m6450_swio11_lednop_ee_ce_hw
 * m6450_swio11_lednop_ee_ce_u4_hw   m6450_swio12_lednop_ee_ce_hw      m6450_swio12_lednop_ee_ce_u4_hw
 * m6450a_swio11_lednop_ee_ce_hw     m6450a_swio11_lednop_ee_ce_u4_hw  m6450a_swio12_lednop_ee_ce_hw
 * m6450a_swio12_lednop_ee_ce_u4_hw  m6450p_swio11_lednop_ee_ce_hw     m6450p_swio11_lednop_ee_ce_u4_hw
 * m6450p_swio12_lednop_ee_ce_hw     m6450p_swio12_lednop_ee_ce_u4_hw  c64_swio11_lednop_ee_ce_hw
 * c64_swio11_lednop_ee_ce_u4_hw     c64_swio12_lednop_ee_ce_hw        c64_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio11_lednop_ee_ce_hw[] = {
  0x64f777768a34304a, 0xbb557382d8989615, 0x52b75a5833cc6a1b, 0x9edb642275c1fa7a, 0x4ccd60910737c2ac,
  0xe4eed8ba8fea0137, 0xba609f180904c15d, 0xb9416bbffeb267f1, 0x439db5dc62fd51ef, 0x10d8488bace1e79e,
  0xfaa0f20ffa8f84bf, 0xe53b5841ef993170, 0x83660f4af51e5652, 0x68450298aca1fa8f, 0xd7d185962291669d,
  0xdc73abb73a51d484, 0xf1b1d79d3769111c, 0x121142f88e32b1aa, 0x1132386f65b2e62e, 0xcaad4b3b589e546c,
  0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0x2fe910e6b8101395, 0xaad115e588695cbd, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0x8dca5a97e6db1898, 0xef79430a9cfd4271, 0x871fc65f989ffde1,
  0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x012cf27453c95fb9, 0x0000000000000005,
};

/*
 * m649_swio11_dual_pr               m649_swio11_dual_pr_u4            m649_swio12_dual
 * m649_swio12_dual_pr               m649_swio12_dual_pr_u4            m649a_swio11_dual
 * m649a_swio11_dual_pr              m649a_swio11_dual_pr_u4           m649a_swio12_dual
 * m649a_swio12_dual_pr              m649a_swio12_dual_pr_u4           m649p_swio11_dual
 * m649p_swio11_dual_pr              m649p_swio11_dual_pr_u4           m649p_swio12_dual
 * m649p_swio12_dual_pr              m649p_swio12_dual_pr_u4           m6490_swio11_dual
 * m6490_swio11_dual_pr              m6490_swio11_dual_pr_u4           m6490_swio12_dual
 * m6490_swio12_dual_pr              m6490_swio12_dual_pr_u4           m6490a_swio11_dual
 * m6490a_swio11_dual_pr             m6490a_swio11_dual_pr_u4          m6490a_swio12_dual
 * m6490a_swio12_dual_pr             m6490a_swio12_dual_pr_u4          m6490p_swio11_dual
 * m6490p_swio11_dual_pr             m6490p_swio11_dual_pr_u4          m6490p_swio12_dual
 * m6490p_swio12_dual_pr             m6490p_swio12_dual_pr_u4          m645_swio11_dual
 * m645_swio11_dual_pr               m645_swio11_dual_pr_u4            m645_swio12_dual
 * m645_swio12_dual_pr               m645_swio12_dual_pr_u4            m645a_swio11_dual
 * m645a_swio11_dual_pr              m645a_swio11_dual_pr_u4           m645a_swio12_dual
 * m645a_swio12_dual_pr              m645a_swio12_dual_pr_u4           m645p_swio11_dual
 * m645p_swio11_dual_pr              m645p_swio11_dual_pr_u4           m645p_swio12_dual
 * m645p_swio12_dual_pr              m645p_swio12_dual_pr_u4           m6450_swio11_dual
 * m6450_swio11_dual_pr              m6450_swio11_dual_pr_u4           m6450_swio12_dual
 * m6450_swio12_dual_pr              m6450_swio12_dual_pr_u4           m6450a_swio11_dual
 * m6450a_swio11_dual_pr             m6450a_swio11_dual_pr_u4          m6450a_swio12_dual
 * m6450a_swio12_dual_pr             m6450a_swio12_dual_pr_u4          m6450p_swio11_dual
 * m6450p_swio11_dual_pr             m6450p_swio11_dual_pr_u4          m6450p_swio12_dual
 * m6450p_swio12_dual_pr             m6450p_swio12_dual_pr_u4
 */
static const uint64_t ur_m649_swio11_dual[] = {
  0x68bbbbbb4486dd9e, 0x0fbab71f39d7e1a5, 0x62dd836b0469c336, 0x419d33fb4758a769, 0x71a821d86dd34ad1,
  0x483b87e55edd6d71, 0x827c602413057792, 0xebec99182a906019, 0x5c40c2860da4606e, 0xbf77e650129dd3e2,
  0xa398fd84063854a9, 0x4292241240f6fcde, 0xf8510c4aff3f7c11, 0x59cbd3395be27d70, 0xb454219684648865,
  0xb6e52ffe80e784d6, 0xfd54930586f2bc84, 0x7477cb2d794128bf, 0x7490e2481ef7ea3f, 0x9cc580aa0f33930f,
  0x08ebc019d9004698, 0x7b6f78df5403ff66, 0xe77715257cea0796, 0x41daf2e556b3f8ab, 0x3a8a9546bb9c6731,
  0x0809caed52df5767, 0x34ae5e97f488735c, 0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210,
  0xb6c63156f62aa8b4, 0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f,
  0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9, 0x000000524d69f6b8,
};

/*
 * m649_swio12_dual_pr_ee            m649a_swio11_dual_pr_ee           m649a_swio12_dual_pr_ee
 * m649p_swio11_dual_pr_ee           m649p_swio12_dual_pr_ee           m6490_swio11_dual_pr_ee
 * m6490_swio12_dual_pr_ee           m6490a_swio11_dual_pr_ee          m6490a_swio12_dual_pr_ee
 * m6490p_swio11_dual_pr_ee          m6490p_swio12_dual_pr_ee          m645_swio11_dual_pr_ee
 * m645_swio12_dual_pr_ee            m645a_swio11_dual_pr_ee           m645a_swio12_dual_pr_ee
 * m645p_swio11_dual_pr_ee           m645p_swio12_dual_pr_ee           m6450_swio11_dual_pr_ee
 * m6450_swio12_dual_pr_ee           m6450a_swio11_dual_pr_ee          m6450a_swio12_dual_pr_ee
 * m6450p_swio11_dual_pr_ee          m6450p_swio12_dual_pr_ee
 */
static const uint64_t ur_m649_swio11_dual_pr_ee[] = {
  0x3b2dddddd41432db, 0x07dd5ac7e4cbf1a7, 0xdc6ea4c3ad627273, 0x2b8282ab8858abf7, 0x1f1375a1942da73b,
  0x1771c115671fcce8, 0x9f180904c15de4ac, 0xf64c8c1548ee3e60, 0x20614306d2303775, 0x7ff328094ee9f12e,
  0x70761d5e70a1f9ba, 0x48904903d9d37a8e, 0x44312bfcfdf0450a, 0x5e99c54889f5c3e1, 0x4219682fb4432ace,
  0x4d7fd01cf0983dc5, 0x9260b0de579096df, 0x5a3fdd28216bffaa, 0x187bf51e576ea6ab, 0x1df15e9bf51f06cc,
  0x0b2c4522cd3ad08a, 0xc157152e6909afa3, 0xbb18f467a9cead2e, 0x3886c6ab5d0ebd44, 0x2fa598b848451a52,
  0x445546c11fadc37b, 0xc55f3bb8a9280591, 0x398a0ed7972ab59f, 0xbb39d454aa35dce3, 0x9ae0404e576a96fa,
  0x9621a572f4bfa443, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2fcdb6318ab7b155,
  0x771a2c0f431b94b5, 0xc2a73f53ab337f07, 0x01f347db0e271a50, 0xe32c970cf4c2b93f, 0xd0ccb0e9296ce1c4,
  0x6439f6b8f9e4afdc, 0x0000000000000005,
};

/*
 * m649_swio12_dual_pr_ee_u4         m649a_swio11_dual_pr_ee_u4        m649a_swio12_dual_pr_ee_u4
 * m649p_swio11_dual_pr_ee_u4        m649p_swio12_dual_pr_ee_u4        m6490_swio11_dual_pr_ee_u4
 * m6490_swio12_dual_pr_ee_u4        m6490a_swio11_dual_pr_ee_u4       m6490a_swio12_dual_pr_ee_u4
 * m6490p_swio11_dual_pr_ee_u4       m6490p_swio12_dual_pr_ee_u4       m645_swio11_dual_pr_ee_u4
 * m645_swio12_dual_pr_ee_u4         m645a_swio11_dual_pr_ee_u4        m645a_swio12_dual_pr_ee_u4
 * m645p_swio11_dual_pr_ee_u4        m645p_swio12_dual_pr_ee_u4        m6450_swio11_dual_pr_ee_u4
 * m6450_swio12_dual_pr_ee_u4        m6450a_swio11_dual_pr_ee_u4       m6450a_swio12_dual_pr_ee_u4
 * m6450p_swio11_dual_pr_ee_u4       m6450p_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m649_swio11_dual_pr_ee_u4[] = {
  0xc1bb77776890cf68, 0x83eead63e8befc29, 0xbbf755f362477705, 0x374bb69da55e58b6, 0x677616ad0ca16538,
  0x312ee68fa9d5a0b7, 0xc13e30120982bbc9, 0xebec99182a91dc7c, 0x5c40c2860da4606e, 0x757fe650129dd3e2,
  0x47d9db08e4703833, 0x8524482481cae9bd, 0xf0a21895fe7ef822, 0xb397a6719c84fae1, 0x9150865a11ed10ca,
  0xdbe9affa039e1348, 0xf5524c161bcaf212, 0xd56b4701a5042d7f, 0x6cc1c89ea3cad4f4, 0x08a1df159c3f51f0,
  0xfa30b2c4522cd3ad, 0xd2e9597082e6909a, 0xb589d900460a1cea, 0xde8f22d8d56ba1d7, 0x6f65c7c62e121143,
  0xeee2a4ab8b87f5b8, 0x3b5e5caad67f157c, 0x5152a8d7738ce628, 0x01395daa5beaece7, 0x95cbd2fe910e6b81,
  0xad73daad115e5886, 0xd4b0b29b1674079f, 0x28be8a042d3573ab, 0x4bf36d38c6f19d10, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xcd71f3c95fb9a199, 0x000000000002b22e,
};

/*
 * m649_swio11_dual_pr_ce_u4         m649_swio12_dual_pr_ce            m649_swio12_dual_pr_ce_u4
 * m649a_swio11_dual_pr_ce           m649a_swio11_dual_pr_ce_u4        m649a_swio12_dual_pr_ce
 * m649a_swio12_dual_pr_ce_u4        m649p_swio11_dual_pr_ce           m649p_swio11_dual_pr_ce_u4
 * m649p_swio12_dual_pr_ce           m649p_swio12_dual_pr_ce_u4        m6490_swio11_dual_pr_ce
 * m6490_swio11_dual_pr_ce_u4        m6490_swio12_dual_pr_ce           m6490_swio12_dual_pr_ce_u4
 * m6490a_swio11_dual_pr_ce          m6490a_swio11_dual_pr_ce_u4       m6490a_swio12_dual_pr_ce
 * m6490a_swio12_dual_pr_ce_u4       m6490p_swio11_dual_pr_ce          m6490p_swio11_dual_pr_ce_u4
 * m6490p_swio12_dual_pr_ce          m6490p_swio12_dual_pr_ce_u4       m645_swio11_dual_pr_ce
 * m645_swio11_dual_pr_ce_u4         m645_swio12_dual_pr_ce            m645_swio12_dual_pr_ce_u4
 * m645a_swio11_dual_pr_ce           m645a_swio11_dual_pr_ce_u4        m645a_swio12_dual_pr_ce
 * m645a_swio12_dual_pr_ce_u4        m645p_swio11_dual_pr_ce           m645p_swio11_dual_pr_ce_u4
 * m645p_swio12_dual_pr_ce           m645p_swio12_dual_pr_ce_u4        m6450_swio11_dual_pr_ce
 * m6450_swio11_dual_pr_ce_u4        m6450_swio12_dual_pr_ce           m6450_swio12_dual_pr_ce_u4
 * m6450a_swio11_dual_pr_ce          m6450a_swio11_dual_pr_ce_u4       m6450a_swio12_dual_pr_ce
 * m6450a_swio12_dual_pr_ce_u4       m6450p_swio11_dual_pr_ce          m6450p_swio11_dual_pr_ce_u4
 * m6450p_swio12_dual_pr_ce          m6450p_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m649_swio11_dual_pr_ce[] = {
  0x6762777776890c86, 0x2c1f75680113efc6, 0xbb37ba769a741b8e, 0x279294aaaf75b8d5, 0x2d714d7b17dd6676,
  0x34aeeeec6ecc89e6, 0xc13e30120982bbc9, 0xebec99182a917254, 0x5c40c2860da4606e, 0x86b7e650129dd3e2,
  0xa3efbd869b384569, 0x4292241240d4f4de, 0xf8510c4aff3f7c11, 0x59cbd33995027d70, 0x58a8432d0dbe8865,
  0xdb98fffd01cf098f, 0xf5524c161bcaf212, 0xa317eb1ee506397f, 0x1759c3cf1e6e7635, 0xa3f51f097e21b091,
  0x57a973262e1c92b2, 0x076b7a8e13e7b967, 0x580a5176fd243892, 0xbc019d90046989cc, 0xf78df5403ff6678e,
  0xdc5495f3a81e5adc, 0x6bcb955acfe2af9d, 0x2a551aee719cc507, 0x272bb54b7d5d9cea, 0xb97a5fd221cd7020,
  0xae7b55a22bcb10d2, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xc8931b94b52fcdb6,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000006921935c7cf,
};

/*
 * m649_swio12_dual_pr_ee_ce         m649a_swio11_dual_pr_ee_ce        m649a_swio12_dual_pr_ee_ce
 * m649p_swio11_dual_pr_ee_ce        m649p_swio12_dual_pr_ee_ce        m6490_swio11_dual_pr_ee_ce
 * m6490_swio12_dual_pr_ee_ce        m6490a_swio11_dual_pr_ee_ce       m6490a_swio12_dual_pr_ee_ce
 * m6490p_swio11_dual_pr_ee_ce       m6490p_swio12_dual_pr_ee_ce       m645_swio11_dual_pr_ee_ce
 * m645_swio12_dual_pr_ee_ce         m645a_swio11_dual_pr_ee_ce        m645a_swio12_dual_pr_ee_ce
 * m645p_swio11_dual_pr_ee_ce        m645p_swio12_dual_pr_ee_ce        m6450_swio11_dual_pr_ee_ce
 * m6450_swio12_dual_pr_ee_ce        m6450a_swio11_dual_pr_ee_ce       m6450a_swio12_dual_pr_ee_ce
 * m6450p_swio11_dual_pr_ee_ce       m6450p_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m649_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x983eeadc7efaf7e2, 0xebdee9579626c561, 0x4528b534f7b84d7d, 0xb04c98f4e99a4cfb,
  0xcf046752c8a7599b, 0x602413057793625d, 0x6460aa479eb9827c, 0x0a18369181bbafb2, 0x99404a774f897103,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x339d4e13eb87c288, 0x32d0286886559cbd,
  0xffa039e133a58a84, 0x82c3795e425b7ec1, 0xe04941b5bffeaa49, 0x78f373bb5bb1fd51, 0xe99ceb0e089300fe,
  0x51e572ba53b58166, 0xefbf51f06cc1edff, 0x522cd3ad08a05315, 0x0a3a909afa30b2c4, 0xd8c7a33d4e7576e6,
  0x886c6abc6c75ea25, 0xfa598b848451a523, 0x22aa3608991c37b2, 0x2af9ddc5494b3c8a, 0xcc5076bcb955acfe,
  0xd9cea2a551aee719, 0xd7020272bb54b7d5, 0xb10d2b97a5fd221c, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0xbb8d163ce1b94b52, 0xd30ae4fdd599bf83, 0xa5b387138cb25c33,
  0xe792bf734332c3a4, 0x0000004c100e5ae3,
};

/*
 * m649_swio12_dual_pr_ee_ce_u4      m649a_swio11_dual_pr_ee_ce_u4     m649a_swio12_dual_pr_ee_ce_u4
 * m649p_swio11_dual_pr_ee_ce_u4     m649p_swio12_dual_pr_ee_ce_u4     m6490_swio11_dual_pr_ee_ce_u4
 * m6490_swio12_dual_pr_ee_ce_u4     m6490a_swio11_dual_pr_ee_ce_u4    m6490a_swio12_dual_pr_ee_ce_u4
 * m6490p_swio11_dual_pr_ee_ce_u4    m6490p_swio12_dual_pr_ee_ce_u4    m645_swio11_dual_pr_ee_ce_u4
 * m645_swio12_dual_pr_ee_ce_u4      m645a_swio11_dual_pr_ee_ce_u4     m645a_swio12_dual_pr_ee_ce_u4
 * m645p_swio11_dual_pr_ee_ce_u4     m645p_swio12_dual_pr_ee_ce_u4     m6450_swio11_dual_pr_ee_ce_u4
 * m6450_swio12_dual_pr_ee_ce_u4     m6450a_swio11_dual_pr_ee_ce_u4    m6450a_swio12_dual_pr_ee_ce_u4
 * m6450p_swio11_dual_pr_ee_ce_u4    m6450p_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio11_dual_pr_ee_ce_u4[] = {
  0x8b777768a87f2541, 0xbab1715c5df89f65, 0xba805d6d267da60f, 0x7efaf7c7f07db2c9, 0x78addc14fb2c43db,
  0xa30a6d3e518b90da, 0xaef25a73baa71865, 0x4fc3304f8c048260, 0x606eebec99182a91, 0xd3e25c40c2860da4,
  0xf5e635bfccac049d, 0xe6f51e006c0521c3, 0xc114292241240ed6, 0xd70f8510c4aff3f7, 0x195672f4ce3c0227,
  0xd95a2a10cb436722, 0x096dd90ffe80e784, 0xff8c85e60b0de579, 0x8c5faa31ad283d83, 0xeb3879e7c033bec1,
  0x7ea3e12fc4361222, 0x9ba64c5c3c7dd725, 0xfd4795cae94ed610, 0x57befd47c1b307b7, 0x1148b34eb422814c,
  0x9828ea426be8c2cb, 0x97631e8cf539d5db, 0x8e21b1aaf1b1d7a8, 0xcbe9662e12114694, 0x288aa8d8226470de,
  0xf8abe77715252cf2, 0x673141daf2e556b3, 0x57673a8a9546bb9c, 0x735c0809caed52df, 0xf2c434ae5e97f488,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x4bf36d8c4c76f62a, 0xd1fc68b224c6e52d,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0xa2029e4afdcd0ccb, 0x0000000004006d35,
};

/*
 * m649_swio12_dual_ee_hw            m649a_swio11_dual_ee_hw           m649a_swio12_dual_ee_hw
 * m649p_swio11_dual_ee_hw           m649p_swio12_dual_ee_hw           m6490_swio11_dual_ee_hw
 * m6490_swio12_dual_ee_hw           m6490a_swio11_dual_ee_hw          m6490a_swio12_dual_ee_hw
 * m6490p_swio11_dual_ee_hw          m6490p_swio12_dual_ee_hw          m645_swio11_dual_ee_hw
 * m645_swio12_dual_ee_hw            m645a_swio11_dual_ee_hw           m645a_swio12_dual_ee_hw
 * m645p_swio11_dual_ee_hw           m645p_swio12_dual_ee_hw           m6450_swio11_dual_ee_hw
 * m6450_swio12_dual_ee_hw           m6450a_swio11_dual_ee_hw          m6450a_swio12_dual_ee_hw
 * m6450p_swio11_dual_ee_hw          m6450p_swio12_dual_ee_hw          c64_swio11_dual_ee_hw
 * c64_swio12_dual_ee_hw
 */
static const uint64_t ur_m649_swio11_dual_ee_hw[] = {
  0x73b2ddddda28d086, 0x307dd5ac7e4cbf1a, 0x7dc6ea4c3ad62727, 0xb2b8282ab8858abf, 0x41f1375a1942da73,
  0x4ac1777763766f31, 0xe609f180904c15de, 0x775f64c8c1548ee3, 0x12e20614306d2303, 0x9ba7ff32ba0cee9f,
  0xa8e70761d5e70a1f, 0x50a48904903d9d37, 0x3e144312bfcfdf04, 0xace5e99c54889f5c, 0xdc54219682fb4432,
  0x6df4d7fd01cf0983, 0xe756e60b0de57909, 0x355ad1fee9410b5f, 0x3660c3dfa8f2bb75, 0x8450ef8af4dfa8f8,
  0x7d185962291669d6, 0x69760ab8a973484d, 0xea25d8c7a33d4e75, 0xd291c436355ae875, 0x1bd97d2cc5c24228,
  0x2c8a22aa3608fd6e, 0xacfe2af9ddc54940, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae, 0x221cd7020272bb54,
  0x22bcb10d2b97a5fd, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0xa5a97e6db18c55bd,
  0x9430a9cfd42718dc, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x7a75453c95fb9a19, 0x0000000000015da2,
};

/*
 * m649_swio11_dual_ee_ce_u4_hw      m649_swio12_dual_ee_ce_hw         m649_swio12_dual_ee_ce_u4_hw
 * m649a_swio11_dual_ee_ce_hw        m649a_swio11_dual_ee_ce_u4_hw     m649a_swio12_dual_ee_ce_hw
 * m649a_swio12_dual_ee_ce_u4_hw     m649p_swio11_dual_ee_ce_hw        m649p_swio11_dual_ee_ce_u4_hw
 * m649p_swio12_dual_ee_ce_hw        m649p_swio12_dual_ee_ce_u4_hw     m6490_swio11_dual_ee_ce_hw
 * m6490_swio11_dual_ee_ce_u4_hw     m6490_swio12_dual_ee_ce_hw        m6490_swio12_dual_ee_ce_u4_hw
 * m6490a_swio11_dual_ee_ce_hw       m6490a_swio11_dual_ee_ce_u4_hw    m6490a_swio12_dual_ee_ce_hw
 * m6490a_swio12_dual_ee_ce_u4_hw    m6490p_swio11_dual_ee_ce_hw       m6490p_swio11_dual_ee_ce_u4_hw
 * m6490p_swio12_dual_ee_ce_hw       m6490p_swio12_dual_ee_ce_u4_hw    m645_swio11_dual_ee_ce_hw
 * m645_swio11_dual_ee_ce_u4_hw      m645_swio12_dual_ee_ce_hw         m645_swio12_dual_ee_ce_u4_hw
 * m645a_swio11_dual_ee_ce_hw        m645a_swio11_dual_ee_ce_u4_hw     m645a_swio12_dual_ee_ce_hw
 * m645a_swio12_dual_ee_ce_u4_hw     m645p_swio11_dual_ee_ce_hw        m645p_swio11_dual_ee_ce_u4_hw
 * m645p_swio12_dual_ee_ce_hw        m645p_swio12_dual_ee_ce_u4_hw     m6450_swio11_dual_ee_ce_hw
 * m6450_swio11_dual_ee_ce_u4_hw     m6450_swio12_dual_ee_ce_hw        m6450_swio12_dual_ee_ce_u4_hw
 * m6450a_swio11_dual_ee_ce_hw       m6450a_swio11_dual_ee_ce_u4_hw    m6450a_swio12_dual_ee_ce_hw
 * m6450a_swio12_dual_ee_ce_u4_hw    m6450p_swio11_dual_ee_ce_hw       m6450p_swio11_dual_ee_ce_u4_hw
 * m6450p_swio12_dual_ee_ce_hw       m6450p_swio12_dual_ee_ce_u4_hw    c64_swio11_dual_ee_ce_hw
 * c64_swio11_dual_ee_ce_u4_hw       c64_swio12_dual_ee_ce_hw          c64_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio11_dual_ee_ce_hw[] = {
  0x62ddddda28d1bf5b, 0xeeac5c57177e27d9, 0x6ea0175b499f6983, 0xdfbebdf1fc1f6cb2, 0x9e2b77053ecb10f6,
  0xac03b202d462e436, 0x04c15de4b4e77337, 0x55229f86609f1809, 0x1b48c0ddd7d93230, 0x833ba7c4b881850c,
  0x21c3f5e635bfccae, 0x0ed6e6f51e006c05, 0xf3f7c11429224124, 0x0227d70f8510c4af, 0x6722195672f4ce3c,
  0xe784d95a2a10cb43, 0xe579096dd90ffe80, 0x83d83fe756e60b0d, 0x3bec18c5faa31ad2, 0xb0911759c3cf3c87,
  0x1776eff51f097e21, 0x76b084dd3262e1c6, 0x983dbfea3cae574a, 0x140a62bdf7ea3e0d, 0x4616588a459a75a1,
  0xceaedcc14752135f, 0x8ebd44bb18f467a9, 0x8a34a4710d8d578d, 0x2386f65f4b317090, 0x296791445546c113,
  0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0xbfa4439ae0404e57, 0xab44579621a572f4,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b6c6263, 0xbde50c2a73f509c6,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x7523c9d14f257ee6,
  0x000000000000001d,
};

/*
 * m649a_swio13_noled                m649p_swio13_noled                m6490_swio13_noled
 * m6490a_swio13_noled               m6490p_swio13_noled               m645_swio13_noled
 * m645a_swio13_noled                m645p_swio13_noled                m6450_swio13_noled
 * m6450a_swio13_noled               m6450p_swio13_noled
 */
static const uint64_t ur_m649_swio13_noled[] = {
  0x3ddbbbbbbacdc49f, 0xf5bbb5572285ee25, 0xfb006ea1c4891844, 0x70bfa1ddc4eecfe0, 0x21ab46db195a6ecf,
  0x02413057793bb989, 0xfbf43cf98f9827c6, 0x884ef96e925076ff, 0x5e921c4903e7bd47, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0x6af7afa4439ace57,
  0x73daad115e588695, 0x4e02ca54fa779fad, 0xfdc5021696173a9d, 0xf36d38c6f19d1022, 0x15c9f9fd86e52d4b,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00000a91718117cf,
};

/*
 * m649_swio13_noled_pr_u4           m649a_swio13_noled_pr             m649a_swio13_noled_pr_u4
 * m649p_swio13_noled_pr             m649p_swio13_noled_pr_u4          m6490_swio13_noled_pr
 * m6490_swio13_noled_pr_u4          m6490a_swio13_noled_pr            m6490a_swio13_noled_pr_u4
 * m6490p_swio13_noled_pr            m6490p_swio13_noled_pr_u4         m645_swio13_noled_pr
 * m645_swio13_noled_pr_u4           m645a_swio13_noled_pr             m645a_swio13_noled_pr_u4
 * m645p_swio13_noled_pr             m645p_swio13_noled_pr_u4          m6450_swio13_noled_pr
 * m6450_swio13_noled_pr_u4          m6450a_swio13_noled_pr            m6450a_swio13_noled_pr_u4
 * m6450p_swio13_noled_pr            m6450p_swio13_noled_pr_u4
 */
static const uint64_t ur_m649_swio13_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c492, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f75227,
  0x0aef277792c4e363, 0xcfbf9304f8c04826, 0x9683f282657fd8ae, 0x89207d07a8f2f8ef, 0x80b2ca68f7a55243,
  0xe8f9da2147bd9cc5, 0x8a4d2a01ffb30475, 0xcaad5f5b81e59ed8, 0x8d7738ce6283b5e5, 0x96faa9bece75152a,
  0xf7afa4439ace576a, 0xdaad115e5886956a, 0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x9156f62aa8b4b689,
  0x4498dca5a97e6d8c, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x003e4e4cd1ae3e79,
};

/*
 * m649_swio13_noled_pr_ee_u4        m649a_swio13_noled_pr_ee          m649a_swio13_noled_pr_ee_u4
 * m649p_swio13_noled_pr_ee          m649p_swio13_noled_pr_ee_u4       m6490_swio13_noled_pr_ee
 * m6490_swio13_noled_pr_ee_u4       m6490a_swio13_noled_pr_ee         m6490a_swio13_noled_pr_ee_u4
 * m6490p_swio13_noled_pr_ee         m6490p_swio13_noled_pr_ee_u4      m645_swio13_noled_pr_ee
 * m645_swio13_noled_pr_ee_u4        m645a_swio13_noled_pr_ee          m645a_swio13_noled_pr_ee_u4
 * m645p_swio13_noled_pr_ee          m645p_swio13_noled_pr_ee_u4       m6450_swio13_noled_pr_ee
 * m6450_swio13_noled_pr_ee_u4       m6450a_swio13_noled_pr_ee         m6450a_swio13_noled_pr_ee_u4
 * m6450p_swio13_noled_pr_ee         m6450p_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m649_swio13_noled_pr_ee[] = {
  0xebf777776890ca20, 0x93776aafc2f51624, 0x86fd3ddf1fb6f9b9, 0xbeb436899bd76964, 0x4695a295b106d04e,
  0x7793ba3d8b50918d, 0x93a9827c60241305, 0x7f25062b7fd8aecf, 0xff51e5652e6ab5a3, 0x15943f51f06cc184,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0xea11e4873ab4ba56, 0xfd8d56ba1d79d376, 0x2e62e121147c88e0,
  0x6a8d823f5b86f65b, 0xed7972ab500ba4c1, 0x454aa35dce3398a0, 0x95daa5beaa6fb39d, 0xa55abdebe910e6b3,
  0xd75cf6ab44579621, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0x9b632455bd8aaa2d, 0xe345912637296a5f,
  0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x8f9e4afdcd0ccb0e, 0x00000004ebfe49eb,
};

/*
 * m649_swio13_noled_pr_ce_u4        m649a_swio13_noled_pr_ce          m649a_swio13_noled_pr_ce_u4
 * m649p_swio13_noled_pr_ce          m649p_swio13_noled_pr_ce_u4       m6490_swio13_noled_pr_ce
 * m6490_swio13_noled_pr_ce_u4       m6490a_swio13_noled_pr_ce         m6490a_swio13_noled_pr_ce_u4
 * m6490p_swio13_noled_pr_ce         m6490p_swio13_noled_pr_ce_u4      m645_swio13_noled_pr_ce
 * m645_swio13_noled_pr_ce_u4        m645a_swio13_noled_pr_ce          m645a_swio13_noled_pr_ce_u4
 * m645p_swio13_noled_pr_ce          m645p_swio13_noled_pr_ce_u4       m6450_swio13_noled_pr_ce
 * m6450_swio13_noled_pr_ce_u4       m6450a_swio13_noled_pr_ce         m6450a_swio13_noled_pr_ce_u4
 * m6450p_swio13_noled_pr_ce         m6450p_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m649_swio13_noled_pr_ce[] = {
  0xf26eeeeed121b7d6, 0xb3bb557eb050ce24, 0x8fd0837460d7bf1f, 0xe4e6e872b4c5e6c5, 0x4cfed3d71a6a6f75,
  0x04c15de4eebd69c5, 0x2bb3f6ea609f1809, 0x62fd644941c09ff6, 0xeb3879e3cdcef2b4, 0xfea3e12fc4361222,
  0x7d64c98b87e5a66f, 0x327bd479ba7b9675, 0xb014ca9c6921c490, 0xbd1f3b4428f7b398, 0x1149a5403ff6678e,
  0x2e556afadc0f2d6e, 0x546bb9c673141daf, 0x54b7d54df673a8a9, 0x57bd7d221cd672bb, 0x9ed5688af2c434ab,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x000375f843fae3e7,
};

/*
 * m649_swio13_noled_pr_ee_ce_u4     m649a_swio13_noled_pr_ee_ce       m649a_swio13_noled_pr_ee_ce_u4
 * m649p_swio13_noled_pr_ee_ce       m649p_swio13_noled_pr_ee_ce_u4    m6490_swio13_noled_pr_ee_ce
 * m6490_swio13_noled_pr_ee_ce_u4    m6490a_swio13_noled_pr_ee_ce      m6490a_swio13_noled_pr_ee_ce_u4
 * m6490p_swio13_noled_pr_ee_ce      m6490p_swio13_noled_pr_ee_ce_u4   m645_swio13_noled_pr_ee_ce
 * m645_swio13_noled_pr_ee_ce_u4     m645a_swio13_noled_pr_ee_ce       m645a_swio13_noled_pr_ee_ce_u4
 * m645p_swio13_noled_pr_ee_ce       m645p_swio13_noled_pr_ee_ce_u4    m6450_swio13_noled_pr_ee_ce
 * m6450_swio13_noled_pr_ee_ce_u4    m6450a_swio13_noled_pr_ee_ce      m6450a_swio13_noled_pr_ee_ce_u4
 * m6450p_swio13_noled_pr_ee_ce      m6450p_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio13_noled_pr_ee_ce[] = {
  0x90dddddda2435f41, 0x0dddaab9c1727448, 0x5d375bb0ccade635, 0x164f6d9b08cc489a, 0xb33b13e448839b92,
  0xde4eed17f7682ab8, 0x0fa609f180904c15, 0x75283883fec5767d, 0x79b9de208c5faa3b, 0xf886c2445d670f3c,
  0xe1fce5d4efd47c25, 0xe1ca76b083df3262, 0x1f06cc19ebea3cac, 0x3ad08a05315975f5, 0x09afa30b2c4522cd,
  0x3c90e7576e4ac3a9, 0x55e363af3a6edd42, 0xb848451f22383f63, 0xb044c8e1bd96cb98, 0x2e556a59f4982d51,
  0x546bb9c673141daf, 0x54b7d54df673a8a9, 0x57bd7d221cd672bb, 0x9ed5688af2c434ab, 0xb14a7869de7c5aeb,
  0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00004fccb4bae3e7,
};

/*
 * m649a_swio13_noled_ee_hw          m649p_swio13_noled_ee_hw          m6490_swio13_noled_ee_hw
 * m6490a_swio13_noled_ee_hw         m6490p_swio13_noled_ee_hw         m645_swio13_noled_ee_hw
 * m645a_swio13_noled_ee_hw          m645p_swio13_noled_ee_hw          m6450_swio13_noled_ee_hw
 * m6450a_swio13_noled_ee_hw         m6450p_swio13_noled_ee_hw         c64_swio13_noled_ee_hw
 */
static const uint64_t ur_m649_swio13_noled_ee_hw[] = {
  0x5fbbbbbb451a37d6, 0x9bbb557e17a8b127, 0x37e9eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad88368275,
  0x57793baf5a716fda, 0xf93a9827c6024130, 0x8dfc9418adffd64c, 0x13fd479594b9aad6, 0x7c5650fd47c1b306,
  0xcb1148b34eb42287, 0x5971ac9a426be8c2, 0xdba847921cead2e9, 0x83f6355ae875e74d, 0x6cb98b848451f223,
  0x05aa3608fd6e1bd9, 0x83b5e5caad402e93, 0x75152a8d7738ce62, 0xce576a96faa9bece, 0x86956af7afa4439a,
  0x8b5d73daad115e58, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7e6d8c9156f62aa8, 0xa9cfd42718dca5a9,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d,
  0x000000000b7c8cd1,
};

/*
 * m649_swio13_noled_ee_ce_u4_hw     m649a_swio13_noled_ee_ce_hw       m649a_swio13_noled_ee_ce_u4_hw
 * m649p_swio13_noled_ee_ce_hw       m649p_swio13_noled_ee_ce_u4_hw    m6490_swio13_noled_ee_ce_hw
 * m6490_swio13_noled_ee_ce_u4_hw    m6490a_swio13_noled_ee_ce_hw      m6490a_swio13_noled_ee_ce_u4_hw
 * m6490p_swio13_noled_ee_ce_hw      m6490p_swio13_noled_ee_ce_u4_hw   m645_swio13_noled_ee_ce_hw
 * m645_swio13_noled_ee_ce_u4_hw     m645a_swio13_noled_ee_ce_hw       m645a_swio13_noled_ee_ce_u4_hw
 * m645p_swio13_noled_ee_ce_hw       m645p_swio13_noled_ee_ce_u4_hw    m6450_swio13_noled_ee_ce_hw
 * m6450_swio13_noled_ee_ce_u4_hw    m6450a_swio13_noled_ee_ce_hw      m6450a_swio13_noled_ee_ce_u4_hw
 * m6450p_swio13_noled_ee_ce_hw      m6450p_swio13_noled_ee_ce_u4_hw   c64_swio13_noled_ee_ce_hw
 * c64_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio13_noled_ee_ce_hw[] = {
  0x86eeeeed14684c7f, 0x6eed55ce0b93a244, 0xe9badd86656f31a8, 0xb27b6cd8466244d2, 0x99d89f22441cdc90,
  0x7793bbd7773b6abd, 0x43e9827c60241305, 0xb75283883ffac99f, 0x9e439de208c5faa3, 0xbf10d8488bace1e7,
  0xb877546a83fa8f84, 0x38729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c565d7d, 0x426be8c2cb1148b3,
  0x8f2439d5db92b0ea, 0xd578d8ebce9bb750, 0x2e121147c88e0fd8, 0x6c1132386f65b2e6, 0xcb955a967d260b54,
  0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae, 0xe7b55a22bcb10d2a, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x3218edec5551696d, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0002809990bd14f2,
};

/*
 * m649a_swio13_lednop               m649p_swio13_lednop               m6490_swio13_lednop
 * m6490a_swio13_lednop              m6490p_swio13_lednop              m645_swio13_lednop
 * m645a_swio13_lednop               m645p_swio13_lednop               m6450_swio13_lednop
 * m6450a_swio13_lednop              m6450p_swio13_lednop
 */
static const uint64_t ur_m649_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x9eb776aae4506bc4, 0xbef8fddf5fe16308, 0xdc2fe877713a5ef9, 0x0d360b88db75fbb3,
  0x2413057793bb63d9, 0xbf43cfafb9827c60, 0xf0ef96e925063dff, 0x6921c4903e7bd475, 0xce62c05bdd304f88,
  0xc11d78b9db7b4770, 0x5caad4ac59fb8e58, 0xa8d7738ce6283b5e, 0xa96faa9bece75152, 0xfa4439ae0404e576,
  0x5a22bcb10d2b924b, 0x362ce80f3f5ae7b5, 0x085a6ae757a96165, 0x718de33a204e7d14, 0xf3fb0dca5a97e6da,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0xa925ff022f9e4afd, 0x0000000000000000,
};

/*
 * m649_swio13_lednop_pr_u4          m649a_swio13_lednop_pr            m649a_swio13_lednop_pr_u4
 * m649p_swio13_lednop_pr            m649p_swio13_lednop_pr_u4         m6490_swio13_lednop_pr
 * m6490_swio13_lednop_pr_u4         m6490a_swio13_lednop_pr           m6490a_swio13_lednop_pr_u4
 * m6490p_swio13_lednop_pr           m6490p_swio13_lednop_pr_u4        m645_swio13_lednop_pr
 * m645_swio13_lednop_pr_u4          m645a_swio13_lednop_pr            m645a_swio13_lednop_pr_u4
 * m645p_swio13_lednop_pr            m645p_swio13_lednop_pr_u4         m6450_swio13_lednop_pr
 * m6450_swio13_lednop_pr_u4         m6450a_swio13_lednop_pr           m6450a_swio13_lednop_pr_u4
 * m6450p_swio13_lednop_pr           m6450p_swio13_lednop_pr_u4
 */
static const uint64_t ur_m649_swio13_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be249, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4775227,
  0x15de4eecbbb138be, 0x3f52a609f180904c, 0xb41f94131fff62bb, 0x2481f41ea3e9477c, 0x05965340609f490e,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0xaee719cc5076bcb9, 0xdf5537d9cea2a551,
  0x88735c0809caed52, 0x4579621a572497f4, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b52fcdb40a8ab7b, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33, 0xc7f197e627ff787b, 0x5fe07efd8668fb61,
  0x964b867a617c68f4, 0x66587494b670e271, 0xa41f5c7cf257ee68, 0x000000000000f933,
};

/*
 * m649_swio13_lednop_pr_ee_u4       m649a_swio13_lednop_pr_ee         m649a_swio13_lednop_pr_ee_u4
 * m649p_swio13_lednop_pr_ee         m649p_swio13_lednop_pr_ee_u4      m6490_swio13_lednop_pr_ee
 * m6490_swio13_lednop_pr_ee_u4      m6490a_swio13_lednop_pr_ee        m6490a_swio13_lednop_pr_ee_u4
 * m6490p_swio13_lednop_pr_ee        m6490p_swio13_lednop_pr_ee_u4     m645_swio13_lednop_pr_ee
 * m645_swio13_lednop_pr_ee_u4       m645a_swio13_lednop_pr_ee         m645a_swio13_lednop_pr_ee_u4
 * m645p_swio13_lednop_pr_ee         m645p_swio13_lednop_pr_ee_u4      m6450_swio13_lednop_pr_ee
 * m6450_swio13_lednop_pr_ee_u4      m6450a_swio13_lednop_pr_ee        m6450a_swio13_lednop_pr_ee_u4
 * m6450p_swio13_lednop_pr_ee        m6450p_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb4486bf3e, 0x9bbb557e1723f127, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b413a,
  0xbc9dd9c458919f5d, 0x0fcc13e30120982b, 0xf2504e0ffd8aecfd, 0xf51e56a7a6ab5a37, 0x5e04f51f06cc184f,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xe9182873ab4bc875, 0xd8d56ba1d79d376e, 0xe62e121144dc8f22,
  0xa8d823f5b86f65b2, 0x6bcb955a80422934, 0x2a551aee719cc507, 0xaed52df5537d9cea, 0x497f488735c0809c,
  0xf6ab44579621a572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x931b94b52fcdb40a,
  0x3ab337f07771a2c8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x0275e6a735c7cf25,
};

/*
 * m649_swio13_lednop_pr_ce_u4       m649a_swio13_lednop_pr_ce         m649a_swio13_lednop_pr_ce_u4
 * m649p_swio13_lednop_pr_ce         m649p_swio13_lednop_pr_ce_u4      m6490_swio13_lednop_pr_ce
 * m6490_swio13_lednop_pr_ce_u4      m6490a_swio13_lednop_pr_ce        m6490a_swio13_lednop_pr_ce_u4
 * m6490p_swio13_lednop_pr_ce        m6490p_swio13_lednop_pr_ce_u4     m645_swio13_lednop_pr_ce
 * m645_swio13_lednop_pr_ce_u4       m645a_swio13_lednop_pr_ce         m645a_swio13_lednop_pr_ce_u4
 * m645p_swio13_lednop_pr_ce         m645p_swio13_lednop_pr_ce_u4      m6450_swio13_lednop_pr_ce
 * m6450_swio13_lednop_pr_ce_u4      m6450a_swio13_lednop_pr_ce        m6450a_swio13_lednop_pr_ce_u4
 * m6450p_swio13_lednop_pr_ce        m6450p_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_swio13_lednop_pr_ce[] = {
  0xf26eeeeed1219541, 0xb3bb557eb0542e24, 0x7ad17776dbafbf1f, 0x39ba1cad219e2f7a, 0x09cea8b41568dd79,
  0x982bbc9dd0149316, 0x767e2b4c13e30120, 0x5fac89283beffec5, 0x670f3c79b9ddba8c, 0xd47c25f886c2445d,
  0xd64c98b87eb3643f, 0x27bd479c67b96757, 0x0298f3d6921c4903, 0xa3e765f11c647316, 0xfb86a807feccf1d7,
  0x2ab5b8720796b70d, 0x35dce3398a0ed797, 0x5beaa6fb39d454aa, 0x910e6b8101395daa, 0x88af2c434ae492fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d028c76f, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0xccc5d71f3c95fb9a, 0x0000000000000dd7,
};

/*
 * m649_swio13_lednop_pr_ee_ce_u4    m649a_swio13_lednop_pr_ee_ce      m649a_swio13_lednop_pr_ee_ce_u4
 * m649p_swio13_lednop_pr_ee_ce      m649p_swio13_lednop_pr_ee_ce_u4   m6490_swio13_lednop_pr_ee_ce
 * m6490_swio13_lednop_pr_ee_ce_u4   m6490a_swio13_lednop_pr_ee_ce     m6490a_swio13_lednop_pr_ee_ce_u4
 * m6490p_swio13_lednop_pr_ee_ce     m6490p_swio13_lednop_pr_ee_ce_u4  m645_swio13_lednop_pr_ee_ce
 * m645_swio13_lednop_pr_ee_ce_u4    m645a_swio13_lednop_pr_ee_ce      m645a_swio13_lednop_pr_ee_ce_u4
 * m645p_swio13_lednop_pr_ee_ce      m645p_swio13_lednop_pr_ee_ce_u4   m6450_swio13_lednop_pr_ee_ce
 * m6450_swio13_lednop_pr_ee_ce_u4   m6450a_swio13_lednop_pr_ee_ce     m6450a_swio13_lednop_pr_ee_ce_u4
 * m6450p_swio13_lednop_pr_ee_ce     m6450p_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio13_lednop_pr_ee_ce[] = {
  0x90dddddda2436d3a, 0x0dddaab9c1605c48, 0x9d765ba34f17e635, 0x164f6d9b19391998, 0x14e0ddd388839b92,
  0xbc9ddb9db3675b26, 0xebcc13e30120982b, 0xea506007fd8aecff, 0xf373b80118bf5476, 0xf10d8488bace1e78,
  0x8776ec2c9fa8f84b, 0x8729dac20f7cc98b, 0x7c1b3067afa8f2b2, 0xeb422814c56c17d4, 0x26be8c2cb1148b34,
  0xc1439d5dba438ea4, 0x578d8ebce9bb7748, 0xe121144dc8f22d8d, 0xc1132386f65b2e62, 0x5caad4b31149a546,
  0xa8d7738ce6283b5e, 0xa96faa9bece75152, 0xfa4439ae0404e576, 0x5a22bcb10d2b924b, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb94b52fcdb40a31d, 0x337f07771a2c8931, 0x7bde50c2a73f53ab,
  0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xf96e435c7cf257ee,
  0x0000000000000009,
};

/*
 * m649a_swio13_lednop_ee_hw         m649p_swio13_lednop_ee_hw         m6490_swio13_lednop_ee_hw
 * m6490a_swio13_lednop_ee_hw        m6490p_swio13_lednop_ee_hw        m645_swio13_lednop_ee_hw
 * m645a_swio13_lednop_ee_hw         m645p_swio13_lednop_ee_hw         m6450_swio13_lednop_ee_hw
 * m6450a_swio13_lednop_ee_hw        m6450p_swio13_lednop_ee_hw        c64_swio13_lednop_ee_hw
 */
static const uint64_t ur_m649_swio13_lednop_ee_hw[] = {
  0x5fbbbbbb451a1541, 0x9bbb557e1723f127, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x1895c66ec41b413a,
  0x2bbc9dd0149334e7, 0xfd0fcc13e3012098, 0x8dfc941383ffd64c, 0x13fd4795a9e9aad6, 0x7c57813d47c1b306,
  0xcb1148b34eb42287, 0x1d71ac9a426be8c2, 0xdbba460a1cead2f2, 0xc8b6355ae875e74d, 0x6cb98b8484513723,
  0x4d2a3608fd6e1bd9, 0x41daf2e556a0108a, 0x3a8a9546bb9c6731, 0x272bb54b7d54df67, 0x5c925fd221cd7020,
  0xd73daad115e58869, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920, 0xa138c6e52d4bf36d,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x00016fd3217a29e4,
};

/*
 * m649_swio13_lednop_ee_ce_u4_hw    m649a_swio13_lednop_ee_ce_hw      m649a_swio13_lednop_ee_ce_u4_hw
 * m649p_swio13_lednop_ee_ce_hw      m649p_swio13_lednop_ee_ce_u4_hw   m6490_swio13_lednop_ee_ce_hw
 * m6490_swio13_lednop_ee_ce_u4_hw   m6490a_swio13_lednop_ee_ce_hw     m6490a_swio13_lednop_ee_ce_u4_hw
 * m6490p_swio13_lednop_ee_ce_hw     m6490p_swio13_lednop_ee_ce_u4_hw  m645_swio13_lednop_ee_ce_hw
 * m645_swio13_lednop_ee_ce_u4_hw    m645a_swio13_lednop_ee_ce_hw      m645a_swio13_lednop_ee_ce_u4_hw
 * m645p_swio13_lednop_ee_ce_hw      m645p_swio13_lednop_ee_ce_u4_hw   m6450_swio13_lednop_ee_ce_hw
 * m6450_swio13_lednop_ee_ce_u4_hw   m6450a_swio13_lednop_ee_ce_hw     m6450a_swio13_lednop_ee_ce_u4_hw
 * m6450p_swio13_lednop_ee_ce_hw     m6450p_swio13_lednop_ee_ce_u4_hw  c64_swio13_lednop_ee_ce_hw
 * c64_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio13_lednop_ee_ce_hw[] = {
  0x437777768a34173e, 0x3776aae705817122, 0x75d96e8d3c5f98d4, 0x593db66c64e46662, 0x5383774e220e6e48,
  0xbbc9ddcfb403a89e, 0xfebcc13e30120982, 0xdba941801ffd64cf, 0xcf21cee00462fd51, 0x5f886c2445d670f3,
  0xb8736ec291fd47c2, 0x28729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c56c17d, 0x426be8c2cb1148b3,
  0x8c1439d5dba438ea, 0xd578d8ebce9bb774, 0x2e121144dc8f22d8, 0x6c1132386f65b2e6, 0xe5caad4b31149a54,
  0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0xbfa4439ae0404e57, 0x55a22bcb10d2b924, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb40a31, 0xdef2861539fa84e3, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x02c0fba8a792bf73, 0x000000000000000a,
};

/*
 * m649_swio13_dual_pr               m649_swio13_dual_pr_u4            m649a_swio13_dual
 * m649a_swio13_dual_pr              m649a_swio13_dual_pr_u4           m649p_swio13_dual
 * m649p_swio13_dual_pr              m649p_swio13_dual_pr_u4           m6490_swio13_dual
 * m6490_swio13_dual_pr              m6490_swio13_dual_pr_u4           m6490a_swio13_dual
 * m6490a_swio13_dual_pr             m6490a_swio13_dual_pr_u4          m6490p_swio13_dual
 * m6490p_swio13_dual_pr             m6490p_swio13_dual_pr_u4          m645_swio13_dual
 * m645_swio13_dual_pr               m645_swio13_dual_pr_u4            m645a_swio13_dual
 * m645a_swio13_dual_pr              m645a_swio13_dual_pr_u4           m645p_swio13_dual
 * m645p_swio13_dual_pr              m645p_swio13_dual_pr_u4           m6450_swio13_dual
 * m6450_swio13_dual_pr              m6450_swio13_dual_pr_u4           m6450a_swio13_dual
 * m6450a_swio13_dual_pr             m6450a_swio13_dual_pr_u4          m6450p_swio13_dual
 * m6450p_swio13_dual_pr             m6450p_swio13_dual_pr_u4
 */
static const uint64_t ur_m649_swio13_dual[] = {
  0xc7bbbbbb44865c93, 0x6c1f756e3e9cafc5, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b7571b,
  0x92483b86717175ab, 0x19827c6024130577, 0x6eebec99182a90a9, 0xe25c40c2860da460, 0xa9bf77e650129dd3,
  0xdea398fd84063854, 0x114292241240f6fc, 0x70f8510c4aff3f7c, 0x6559cbd338d7627d, 0xd6b4542196846488,
  0x84b6e50ffe80e784, 0xdffd54930586f2bc, 0x3edf3be59ef941fd, 0x1ee921c490383fea, 0x21398b01541e64ad,
  0xcc11d78033b6948e, 0x967b698c64a807fe, 0x55f3bb8a92e04a07, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33,
  0x101395daa5beaa6f, 0x34ae492fe910e6b8, 0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210,
  0xb6815156f62aa8b4, 0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f,
  0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9, 0x000000524c8396b8,
};

/*
 * m649a_swio13_dual_pr_ee           m649p_swio13_dual_pr_ee           m6490_swio13_dual_pr_ee
 * m6490a_swio13_dual_pr_ee          m6490p_swio13_dual_pr_ee          m645_swio13_dual_pr_ee
 * m645a_swio13_dual_pr_ee           m645p_swio13_dual_pr_ee           m6450_swio13_dual_pr_ee
 * m6450a_swio13_dual_pr_ee          m6450p_swio13_dual_pr_ee
 */
static const uint64_t ur_m649_swio13_dual_pr_ee[] = {
  0x0dbbbbbba8286f97, 0x983eead63d086fcb, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942ec33b,
  0xee78233accda9d38, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe650129dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x1b93941e9fffeaa4, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x20272bb54b7d54df,
  0x695c925fd221cd70, 0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0x8b03d0c6e52d4bf3, 0xcfd4eaccdfc1ddc6, 0xd1f6c389c69430a9, 0x25c33d30ae4fc07c, 0x2c3a4a5b387138cb,
  0x7dae3e792bf73433, 0x0000000000015911,
};

/*
 * m649a_swio13_dual_pr_ee_u4        m649p_swio13_dual_pr_ee_u4        m6490_swio13_dual_pr_ee_u4
 * m6490a_swio13_dual_pr_ee_u4       m6490p_swio13_dual_pr_ee_u4       m645_swio13_dual_pr_ee_u4
 * m645a_swio13_dual_pr_ee_u4        m645p_swio13_dual_pr_ee_u4        m6450_swio13_dual_pr_ee_u4
 * m6450a_swio13_dual_pr_ee_u4       m6450p_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m649_swio13_dual_pr_ee_u4[] = {
  0x852b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4a0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0xcc13e30120982bbc, 0xeebec99182a90ba2, 0x25c40c2860da4606, 0x3757fe650129dd3e,
  0xd47d9db08e470383, 0x28524482481cae9b, 0x1f0a21895fe7ef82, 0xab397a6732a04fae, 0x89150865a11ed10c,
  0x5b79dbffa039e134, 0xfeaa4982c3795e42, 0x355ad1afb941e9ff, 0x1b307dd7a8f2bc09, 0x422877c565d7d47c,
  0xbe8c2cb1148b34eb, 0xb4bfce5c20b9a426, 0xdac4eda52397c73a, 0x98a31f2c6ab5d0eb, 0x1bd971f18b848450,
  0x9ddc5495716b7d6e, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x9caed52df5537d9c, 0x72497f488735c080,
  0x5cf6ab44579621a5, 0x2c2ca6c59d01e7eb, 0xcfa2810b4d5ceaf5, 0xfcdb4e31bc674409, 0x771a2c8931b94b52,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0x5c7cf257ee686658, 0x00000000002b2193,
};

/*
 * m649a_swio13_dual_pr_ce           m649p_swio13_dual_pr_ce           m6490_swio13_dual_pr_ce
 * m6490a_swio13_dual_pr_ce          m6490p_swio13_dual_pr_ce          m645_swio13_dual_pr_ce
 * m645a_swio13_dual_pr_ce           m645p_swio13_dual_pr_ce           m6450_swio13_dual_pr_ce
 * m6450a_swio13_dual_pr_ce          m6450p_swio13_dual_pr_ce
 */
static const uint64_t ur_m649_swio13_dual_pr_ce[] = {
  0xedddddd0f5a1a5fb, 0x2c1f7568002d7e06, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd0dd,
  0x49a5774b235d5a78, 0x6609f180904c15de, 0x775f64c8c1548780, 0x12e20614306d2303, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x559cbd339d1f13eb, 0xf58a8432d0dbe886,
  0x2dbd8fffd01cf098, 0xff5524c161bcaf21, 0x06317ea63e5046b7, 0x11759c3cf1e6e767, 0xe47f51f097e21b09,
  0x757a973262e1d2a2, 0x903117d479127b96, 0x31602fee32a921c4, 0x3af00676d291c427, 0xb9318c9500ffd99e,
  0x9ddc549702503cb5, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x9caed52df5537d9c, 0x72497f488735c080,
  0x5cf6ab44579621a5, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0xf78237296a5f9b68,
  0x53ab337f07771a2c, 0x32fcc4fe50c2a73f, 0xcf7ff04d1f6c3dce, 0x32c970cf4c2b93f1, 0x0ccb0e9296ce1c4e,
  0x2610eb8f9e4afdcd, 0x0000000000000069,
};

/*
 * m649a_swio13_dual_pr_ce_u4        m649p_swio13_dual_pr_ce_u4        m6490_swio13_dual_pr_ce_u4
 * m6490a_swio13_dual_pr_ce_u4       m6490p_swio13_dual_pr_ce_u4       m645_swio13_dual_pr_ce_u4
 * m645a_swio13_dual_pr_ce_u4        m645p_swio13_dual_pr_ce_u4        m6450_swio13_dual_pr_ce_u4
 * m6450a_swio13_dual_pr_ce_u4       m6450p_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m649_swio13_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf3, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb939,
  0x4840ee9646ba83e2, 0xe609f180904c15de, 0x775f64c8c1548e1f, 0x12e20614306d2303, 0x4d6ebf328094ee9f,
  0xf51d82ec3021c257, 0x8a149120920670e6, 0x87c2886257f9fbe0, 0x2ace5e99cb9113eb, 0x0522a10cb40f5443,
  0x25b74b5ff4073c26, 0xffeaa4982c3795e4, 0xa6e317ebdd4a0dba, 0x911759c3cf1e6e77, 0x2e47f51f097e21b0,
  0x67570e33262e1d2a, 0x490326bd474027b9, 0x398b015fcea2921c, 0x78ebc8b769b91e45, 0xb8a928e87cdc72c6,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x5daa5beaa6fb39d4, 0x92fe910e6b810139, 0xed5688af2c434ae4,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x4c6e52d4bf36d028, 0xeaccdfc1ddc68b22,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x00d24e9ed71f3c95,
};

/*
 * m649a_swio13_dual_pr_ee_ce        m649p_swio13_dual_pr_ee_ce        m6490_swio13_dual_pr_ee_ce
 * m6490a_swio13_dual_pr_ee_ce       m6490p_swio13_dual_pr_ee_ce       m645_swio13_dual_pr_ee_ce
 * m645a_swio13_dual_pr_ee_ce        m645p_swio13_dual_pr_ee_ce        m6450_swio13_dual_pr_ee_ce
 * m6450a_swio13_dual_pr_ee_ce       m6450p_swio13_dual_pr_ee_ce
 */
static const uint64_t ur_m649_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e999ce,
  0xee68fa9d1c13767d, 0xe30120982bbc9b12, 0x932305520f9f4c13, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0xd1b0d34707f93620, 0x8904903b1f9bd470, 0x4312bfcfdf0450a4, 0xd338edd89f5c3e14, 0x432d0286886559cb,
  0xbffa039e133a58a8, 0x982c3795e425b735, 0x8f2b4a0e20ffeaa4, 0xf9e3cdcef1058fea, 0x9ba673ac3f37d523,
  0xbd4795efb94ed605, 0x2bb75ea3e0d98332, 0x88a459a75a1140a6, 0xca78752135f46165, 0x25d9fc47d41ceaed,
  0xa3f92c6abc6c75ea, 0xb2fa598b8484507a, 0xf9bdaa3608991c37, 0x7f157ceee2a4a598, 0x8ce6283b5e5caad6,
  0x9bece75152a8d773, 0xae0404e576a96faa, 0xb10d2b924bfa4439, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb40a31dbd8aaa, 0xbb8d163ce1b94b52, 0xd30ae4fdd599bf83, 0xa5b387138cb25c33,
  0xe792bf734332c3a4, 0x0000001304249ae3,
};

/*
 * m649a_swio13_dual_pr_ee_ce_u4     m649p_swio13_dual_pr_ee_ce_u4     m6490_swio13_dual_pr_ee_ce_u4
 * m6490a_swio13_dual_pr_ee_ce_u4    m6490p_swio13_dual_pr_ee_ce_u4    m645_swio13_dual_pr_ee_ce_u4
 * m645a_swio13_dual_pr_ee_ce_u4     m645p_swio13_dual_pr_ee_ce_u4     m6450_swio13_dual_pr_ee_ce_u4
 * m6450a_swio13_dual_pr_ee_ce_u4    m6450p_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e58b, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb8362e5887,
  0xd3e6ba85b41e1bf8, 0x60aef25a73bb4836, 0x917b3d304f8c0482, 0xa4606eebec99182a, 0x9dd3e25c40c2860d,
  0xc3f5e635bfccac04, 0xd6e6f51e006c0521, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0x22195672f4ce1d7c,
  0x84d95a2a10cb4367, 0x79096dee47fe80e7, 0xb7ff8c85e60b0de5, 0x5b8c5faa33832826, 0x22eb3879e7c033b3,
  0x00fea3e12fc43612, 0x109ba64c5c3fad4f, 0x32bd4795efb94ed6, 0xa62bb75ea3e0d983, 0x6588a459a75a1140,
  0xedca78752135f461, 0xea25d9fc47d41cea, 0x7aa3f92c6abc6c75, 0x37b2fa598b848450, 0x98f9bdaa3608991c,
  0xd67f157ceee2a4a5, 0x738ce6283b5e5caa, 0xaa9bece75152a8d7, 0x39ae0404e576a96f, 0xbcb10d2b924bfa44,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x52fcdb40a31dbd8a, 0x347f1a2c8931b94b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0xc880a792bf734332, 0x00000000010009a7,
};

/*
 * m649a_swio13_dual_ee_hw           m649p_swio13_dual_ee_hw           m6490_swio13_dual_ee_hw
 * m6490a_swio13_dual_ee_hw          m6490p_swio13_dual_ee_hw          m645_swio13_dual_ee_hw
 * m645a_swio13_dual_ee_hw           m645p_swio13_dual_ee_hw           m6450_swio13_dual_ee_hw
 * m6450a_swio13_dual_ee_hw          m6450p_swio13_dual_ee_hw          c64_swio13_dual_ee_hw
 */
static const uint64_t ur_m649_swio13_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63d086fcb0, 0xd0774e72beb13939, 0xb8276abbd35f7ef6, 0xe1f5ce1942ec33b2,
  0xeed6573174d48b85, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe657419dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x8dc9ca0f4fff9d5b, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x101395daa5beaa6f,
  0x34ae492fe910e6b8, 0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4,
  0x3f509c637296a5f9, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a,
  0xf257ee6866587494, 0x000002bb4c8b2514,
};

/*
 * m649_swio13_dual_ee_ce_u4_hw      m649a_swio13_dual_ee_ce_hw        m649a_swio13_dual_ee_ce_u4_hw
 * m649p_swio13_dual_ee_ce_hw        m649p_swio13_dual_ee_ce_u4_hw     m6490_swio13_dual_ee_ce_hw
 * m6490_swio13_dual_ee_ce_u4_hw     m6490a_swio13_dual_ee_ce_hw       m6490a_swio13_dual_ee_ce_u4_hw
 * m6490p_swio13_dual_ee_ce_hw       m6490p_swio13_dual_ee_ce_u4_hw    m645_swio13_dual_ee_ce_hw
 * m645_swio13_dual_ee_ce_u4_hw      m645a_swio13_dual_ee_ce_hw        m645a_swio13_dual_ee_ce_u4_hw
 * m645p_swio13_dual_ee_ce_hw        m645p_swio13_dual_ee_ce_u4_hw     m6450_swio13_dual_ee_ce_hw
 * m6450_swio13_dual_ee_ce_u4_hw     m6450a_swio13_dual_ee_ce_hw       m6450a_swio13_dual_ee_ce_u4_hw
 * m6450p_swio13_dual_ee_ce_hw       m6450p_swio13_dual_ee_ce_u4_hw    c64_swio13_dual_ee_ce_hw
 * c64_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio13_dual_ee_ce_hw[] = {
  0xbeeeeeed14682906, 0x83eeac5c6f277e58, 0x705ba89f5a499f69, 0x7b0eb95ef336e17a, 0x847e15bb8362e588,
  0x2be405ed2311e1bf, 0x0120982bbc969cee, 0x460aa45ecf4c13e3, 0xa18369181bbafb26, 0x95d06774f8971030,
  0x80a4387ebcc6b7f9, 0x2481dadcdea3c00d, 0x95fe7ef822852448, 0xc3af84fae1f0a218, 0x686ce4432ace5e99,
  0xd01cf09b2b454219, 0x61bcaf212dbdc8ff, 0x06504d6ffceadcc1, 0x90e766b718bf5467, 0xc4361222eb3879e7,
  0x0fd4e5c17ea3e12f, 0xee53b58426e99317, 0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669,
  0xf5073abb729e1d48, 0xaf1b1d7a89767f11, 0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x5daa5beaa6fb39d4, 0x92fe910e6b810139, 0xed5688af2c434ae4,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x8c6e52d4bf36d028, 0x0f7bca1854e7ea13,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x75d62812a29e4afd,
};

/*
 * m649a_swio14_noled                m649p_swio14_noled                m6490_swio14_noled
 * m6490a_swio14_noled               m6490p_swio14_noled               m645_swio14_noled
 * m645a_swio14_noled                m645p_swio14_noled                m6450_swio14_noled
 * m6450a_swio14_noled               m6450p_swio14_noled
 */
static const uint64_t ur_m649_swio14_noled[] = {
  0x511377777759bb37, 0x4f5bbb5572284ce2, 0x3ef8fdd341b89184, 0x17f43b8e362235f8, 0x4d82e236f67eec44,
  0x04c15de4eed8f643, 0xe879feea609f1809, 0x4ef96e82504f5ff7, 0x243892075ffd4788, 0xcc580b7ba609ebe5,
  0x11d78b9da32464d1, 0xe556a56741b8e58c, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xd8fdfd221cd674dc,
  0xb9ed5688af2c434a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc218ab7b15545a5b, 0xfcfec37296a5f9b6,
  0x138cb25c33d30ae4, 0x734332c3a4a5b387, 0x2a497fc08be792bf, 0x0000000000000000,
};

/*
 * m649_swio14_noled_pr_u4           m649a_swio14_noled_pr             m649a_swio14_noled_pr_u4
 * m649p_swio14_noled_pr             m649p_swio14_noled_pr_u4          m6490_swio14_noled_pr
 * m6490_swio14_noled_pr_u4          m6490a_swio14_noled_pr            m6490a_swio14_noled_pr_u4
 * m6490p_swio14_noled_pr            m6490p_swio14_noled_pr_u4         m645_swio14_noled_pr
 * m645_swio14_noled_pr_u4           m645a_swio14_noled_pr             m645a_swio14_noled_pr_u4
 * m645p_swio14_noled_pr             m645p_swio14_noled_pr_u4          m6450_swio14_noled_pr
 * m6450_swio14_noled_pr_u4          m6450a_swio14_noled_pr            m6450a_swio14_noled_pr_u4
 * m6450p_swio14_noled_pr            m6450p_swio14_noled_pr_u4
 */
static const uint64_t ur_m649_swio14_noled_pr[] = {
  0xe3dddddda2432aac, 0x05ddaab914a87128, 0xd6a7bafd8d05b04f, 0xd059ac1c436c66cf, 0x22702fcc6b4dd8e3,
  0x60aef2777c8a3b64, 0xd9f31f304f8c0482, 0xf2dbdca0edfffb15, 0x3892064d7a8e0a1d, 0x580b2ca60f680524,
  0x5e8f9d93146229cc, 0xdac4f2a01ffb3047, 0x5caad508981e59ed, 0xa8d7738ce6283b5e, 0x95daa5beace75152,
  0x5b1fbfa4439ace9b, 0xd73daad115e58869, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd843156f62aa8b4b,
  0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00001f262668d71f,
};

/*
 * m649_swio14_noled_pr_ee_u4        m649a_swio14_noled_pr_ee          m649a_swio14_noled_pr_ee_u4
 * m649p_swio14_noled_pr_ee          m649p_swio14_noled_pr_ee_u4       m6490_swio14_noled_pr_ee
 * m6490_swio14_noled_pr_ee_u4       m6490a_swio14_noled_pr_ee         m6490a_swio14_noled_pr_ee_u4
 * m6490p_swio14_noled_pr_ee         m6490p_swio14_noled_pr_ee_u4      m645_swio14_noled_pr_ee
 * m645_swio14_noled_pr_ee_u4        m645a_swio14_noled_pr_ee          m645a_swio14_noled_pr_ee_u4
 * m645p_swio14_noled_pr_ee          m645p_swio14_noled_pr_ee_u4       m6450_swio14_noled_pr_ee
 * m6450_swio14_noled_pr_ee_u4       m6450a_swio14_noled_pr_ee         m6450a_swio14_noled_pr_ee_u4
 * m6450p_swio14_noled_pr_ee         m6450p_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m649_swio14_noled_pr_ee[] = {
  0x35f777776890c582, 0xc9bbb557e1708224, 0x2b571eed43267cdc, 0x1af5a1b43285c33c, 0xb511fb226c083682,
  0x15de4ee9da0871c4, 0x3e706609f180904c, 0x198f941d9dff62bb, 0xd47a8f2b2eb355ad, 0x7c5652fd47c1b307,
  0xcb1148b34eb42287, 0x4d71ac9a426be8c2, 0xd8f547f21cead2ee, 0xef76355ae875e74d, 0xb65cc5c242288851,
  0xe7951b047eb70dec, 0xa0ed7972ab500ba0, 0x9d454aa35dce3398, 0x6b3a6e576a96fab3, 0x9621a56c7efe910e,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x52fcdb610c55bd8a, 0x07771a2c8931b94b,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x4f5c7cf257ee6866, 0x0000000000275ff3,
};

/*
 * m649_swio14_noled_pr_ce_u4        m649a_swio14_noled_pr_ce          m649a_swio14_noled_pr_ce_u4
 * m649p_swio14_noled_pr_ce          m649p_swio14_noled_pr_ce_u4       m6490_swio14_noled_pr_ce
 * m6490_swio14_noled_pr_ce_u4       m6490a_swio14_noled_pr_ce         m6490a_swio14_noled_pr_ce_u4
 * m6490p_swio14_noled_pr_ce         m6490p_swio14_noled_pr_ce_u4      m645_swio14_noled_pr_ce
 * m645_swio14_noled_pr_ce_u4        m645a_swio14_noled_pr_ce          m645a_swio14_noled_pr_ce_u4
 * m645p_swio14_noled_pr_ce          m645p_swio14_noled_pr_ce_u4       m6450_swio14_noled_pr_ce
 * m6450_swio14_noled_pr_ce_u4       m6450a_swio14_noled_pr_ce         m6450a_swio14_noled_pr_ce_u4
 * m6450p_swio14_noled_pr_ce         m6450p_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m649_swio14_noled_pr_ce[] = {
  0x22eeeeeed121b768, 0x6776aafd608fdc49, 0xfb41777d2d697e3f, 0x79ba1cf160cd9005, 0x338a85b4bb27ba91,
  0x60aef2775d92be31, 0xd9fdf7304f8c0482, 0xfd427ca0a9effb15, 0x3879e3cdcef02462, 0xa3e12fc4361222eb,
  0xb264c5c3cc333e7e, 0x9fea3af93dcb3abe, 0x5dbf2fa921c49035, 0x7cec98a3114e62c0, 0x279500ffd99e3af4,
  0x55aa11303cb5bad6, 0xaee719cc5076bcb9, 0xb54b7d59cea2a551, 0x3f7f4887359d372b, 0x7b55a22bcb10d2b6,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x098edec5551696d1, 0x8931b94b52fcdb61, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x00375cc1135c7cf2,
};

/*
 * m649_swio14_noled_pr_ee_ce_u4     m649a_swio14_noled_pr_ee_ce       m649a_swio14_noled_pr_ee_ce_u4
 * m649p_swio14_noled_pr_ee_ce       m649p_swio14_noled_pr_ee_ce_u4    m6490_swio14_noled_pr_ee_ce
 * m6490_swio14_noled_pr_ee_ce_u4    m6490a_swio14_noled_pr_ee_ce      m6490a_swio14_noled_pr_ee_ce_u4
 * m6490p_swio14_noled_pr_ee_ce      m6490p_swio14_noled_pr_ee_ce_u4   m645_swio14_noled_pr_ee_ce
 * m645_swio14_noled_pr_ee_ce_u4     m645a_swio14_noled_pr_ee_ce       m645a_swio14_noled_pr_ee_ce_u4
 * m645p_swio14_noled_pr_ee_ce       m645p_swio14_noled_pr_ee_ce_u4    m6450_swio14_noled_pr_ee_ce
 * m6450_swio14_noled_pr_ee_ce_u4    m6450a_swio14_noled_pr_ee_ce      m6450a_swio14_noled_pr_ee_ce_u4
 * m6450p_swio14_noled_pr_ee_ce      m6450p_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio14_noled_pr_ee_ce[] = {
  0x9bdddddda2431bc1, 0x1bbb557382c4e892, 0xfd0ddba7ecd8cc6a, 0x764f6db217063891, 0x8166469991073753,
  0x793ba3ae9aed8bbb, 0x009827c602413057, 0xdca0dadffd8aecfc, 0xcdceed6e317ea8f7, 0xc4361222eb3879e3,
  0x3abae30bfea3e12f, 0x794ed6107be64c5c, 0xe0d983d2bd4795c8, 0x5a1140a62b387ea3, 0x35f4616588a459a7,
  0xf21ceaedce4c7521, 0xbc6c75e74dd8f547, 0x84845110a3deec6a, 0x044c8e1bd96cb98b, 0x72ab52cfa0e7951b,
  0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x6c7efe910e6b3a6e, 0x5cf6ab44579621a5, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000013f026b6b8f9,
};

/*
 * m649a_swio14_noled_ee_hw          m649p_swio14_noled_ee_hw          m6490_swio14_noled_ee_hw
 * m6490a_swio14_noled_ee_hw         m6490p_swio14_noled_ee_hw         m645_swio14_noled_ee_hw
 * m645a_swio14_noled_ee_hw          m645p_swio14_noled_ee_hw          m6450_swio14_noled_ee_hw
 * m6450a_swio14_noled_ee_hw         m6450p_swio14_noled_ee_hw         c64_swio14_noled_ee_hw
 */
static const uint64_t ur_m649_swio14_noled_ee_hw[] = {
  0xafbbbbbb451a3768, 0x4dddaabf0b841121, 0x5ab8f76a1933e6e6, 0xd7ad0da1942e19e1, 0x888fd9136041b410,
  0xc15de4eebb257db3, 0x33e706609f180904, 0xb4663e507677ff59, 0x1f51ea3cacbacd56, 0x1df1594bf51f06cc,
  0x0b2c4522cd3ad08a, 0xb935c6b26909afa3, 0x3763d51fc873ab4b, 0x47bdd8d56ba1d79d, 0xb2d973170908a221,
  0x839e546c11fadc37, 0x6283b5e5caad402e, 0xce75152a8d7738ce, 0x39ace9b95daa5bea, 0x5e588695b1fbfa44,
  0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x2d4bf36d843156f6, 0xa1854e7ea138c6e5,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x04aa29e4afdcd0cc,
  0x0000000000005bfd,
};

/*
 * m649_swio14_noled_ee_ce_u4_hw     m649a_swio14_noled_ee_ce_hw       m649a_swio14_noled_ee_ce_u4_hw
 * m649p_swio14_noled_ee_ce_hw       m649p_swio14_noled_ee_ce_u4_hw    m6490_swio14_noled_ee_ce_hw
 * m6490_swio14_noled_ee_ce_u4_hw    m6490a_swio14_noled_ee_ce_hw      m6490a_swio14_noled_ee_ce_u4_hw
 * m6490p_swio14_noled_ee_ce_hw      m6490p_swio14_noled_ee_ce_u4_hw   m645_swio14_noled_ee_ce_hw
 * m645_swio14_noled_ee_ce_u4_hw     m645a_swio14_noled_ee_ce_hw       m645a_swio14_noled_ee_ce_u4_hw
 * m645p_swio14_noled_ee_ce_hw       m645p_swio14_noled_ee_ce_u4_hw    m6450_swio14_noled_ee_ce_hw
 * m6450_swio14_noled_ee_ce_u4_hw    m6450a_swio14_noled_ee_ce_hw      m6450a_swio14_noled_ee_ce_u4_hw
 * m6450p_swio14_noled_ee_ce_hw      m6450p_swio14_noled_ee_ce_u4_hw   c64_swio14_noled_ee_ce_hw
 * c64_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio14_noled_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xdddaab9c16274494, 0xe86edd3f66c66350, 0xb27b6d90b831c48f, 0x0b3234cc8839ba9b,
  0xaef2774b156b6e74, 0xf801304f8c048260, 0x7bee506d6fffac99, 0xe790e776b718bf54, 0x2fc4361222eb3879,
  0x170fdd60007ea3e1, 0x721e53b5841ef993, 0xa8f83660f4af51e5, 0x69d68450298ace1f, 0x484d7d1859622916,
  0x51fc873abb73931d, 0x1aaf1b1d79d3763d, 0x62e121144428f7bb, 0x46c1132386f65b2e, 0x5e5caad4b3e839e5,
  0x52a8d7738ce6283b, 0x9b95daa5beace751, 0x695b1fbfa4439ace, 0xb5d73daad115e588, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x6db084c76f62aa8b, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000005017d98b45,
};

/*
 * m649a_swio14_lednop               m649p_swio14_lednop               m6490_swio14_lednop
 * m6490a_swio14_lednop              m6490p_swio14_lednop              m645_swio14_lednop
 * m645a_swio14_lednop               m645p_swio14_lednop               m6450_swio14_lednop
 * m6450a_swio14_lednop              m6450p_swio14_lednop
 */
static const uint64_t ur_m649_swio14_lednop[] = {
  0x444ddddddd66ef3a, 0x9eb776aae452b489, 0x7ed43ddc3e368308, 0x4417f43b8e3da137, 0x09ac8401b6f8feec,
  0x048260aef277417a, 0xf7e879f80d304f8c, 0x921df2dd04a087bf, 0x1a4871240ebffa8f, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x2a8d7738ce6283b5, 0xb95daa5beace7515, 0xec7a4439ae0404e9,
  0xdaad115e588695cb, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x6d38c6f19d1028be, 0xc9f9fd86e52d4bf3,
  0x0e271964b867a615, 0x7ee6866587494b67, 0x001527d78117cf25,
};

/*
 * m649_swio14_lednop_pr_u4          m649a_swio14_lednop_pr            m649a_swio14_lednop_pr_u4
 * m649p_swio14_lednop_pr            m649p_swio14_lednop_pr_u4         m6490_swio14_lednop_pr
 * m6490_swio14_lednop_pr_u4         m6490a_swio14_lednop_pr           m6490a_swio14_lednop_pr_u4
 * m6490p_swio14_lednop_pr           m6490p_swio14_lednop_pr_u4        m645_swio14_lednop_pr
 * m645_swio14_lednop_pr_u4          m645a_swio14_lednop_pr            m645a_swio14_lednop_pr_u4
 * m645p_swio14_lednop_pr            m645p_swio14_lednop_pr_u4         m6450_swio14_lednop_pr
 * m6450_swio14_lednop_pr_u4         m6450a_swio14_lednop_pr           m6450a_swio14_lednop_pr_u4
 * m6450p_swio14_lednop_pr           m6450p_swio14_lednop_pr_u4
 */
static const uint64_t ur_m649_swio14_lednop_pr[] = {
  0xc7bbbbbb44869391, 0x0bbb5572290be251, 0xed93ddbf30fb609e, 0x82cd60e2a8636cbd, 0x89c7763dd7eec71e,
  0x2bbc9dde9c64419d, 0x7d7dcc13e3012098, 0xb6f72831effec576, 0x2481935ea3a0077c, 0x016594cfe751490e,
  0xa3e76c9118df398b, 0xff48a807fecc11d7, 0x556b2ed40f2cf6e0, 0x6bb9c673141daf2e, 0xed52df5673a8a954,
  0xd221cd7020274dca, 0x688af2c434ae5f63, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0x7296a5f9b6c63156, 0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x7b483eb8f9e4afdc, 0x00000000000001f2,
};

/*
 * m649_swio14_lednop_pr_ee_u4       m649a_swio14_lednop_pr_ee         m649a_swio14_lednop_pr_ee_u4
 * m649p_swio14_lednop_pr_ee         m649p_swio14_lednop_pr_ee_u4      m6490_swio14_lednop_pr_ee
 * m6490_swio14_lednop_pr_ee_u4      m6490a_swio14_lednop_pr_ee        m6490a_swio14_lednop_pr_ee_u4
 * m6490p_swio14_lednop_pr_ee        m6490p_swio14_lednop_pr_ee_u4     m645_swio14_lednop_pr_ee
 * m645_swio14_lednop_pr_ee_u4       m645a_swio14_lednop_pr_ee         m645a_swio14_lednop_pr_ee_u4
 * m645p_swio14_lednop_pr_ee         m645p_swio14_lednop_pr_ee_u4      m6450_swio14_lednop_pr_ee
 * m6450_swio14_lednop_pr_ee_u4      m6450a_swio14_lednop_pr_ee        m6450a_swio14_lednop_pr_ee_u4
 * m6450p_swio14_lednop_pr_ee        m6450p_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_swio14_lednop_pr_ee[] = {
  0x86beeeeeed121911, 0x326eed55f85da2c4, 0x826d33ddcc46df37, 0x21af5a1b43020a16, 0x962fa66971788368,
  0x82bbc9dd57ccfae0, 0x67d2d4c13e301209, 0xa331f28235bfec57, 0xfa8f51e56c166ab5, 0xef8ad4f7a8f83660,
  0x5962291669d68450, 0xd2ae3593484d7d18, 0xbb4888e6e39d5a5d, 0x38cac6ab5d0ebce9, 0x96cb98b848450be2,
  0xc4f2a3608fd6e1bd, 0x141daf2e556a015a, 0x73a8a9546bb9c673, 0x20274dcaed52df56, 0x34ae5f63d221cd70,
  0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0xf9e4afdcd0ccb0e9, 0x0000004eb8d4e6b8,
};

/*
 * m649_swio14_lednop_pr_ce_u4       m649a_swio14_lednop_pr_ce         m649a_swio14_lednop_pr_ce_u4
 * m649p_swio14_lednop_pr_ce         m649p_swio14_lednop_pr_ce_u4      m6490_swio14_lednop_pr_ce
 * m6490_swio14_lednop_pr_ce_u4      m6490a_swio14_lednop_pr_ce        m6490a_swio14_lednop_pr_ce_u4
 * m6490p_swio14_lednop_pr_ce        m6490p_swio14_lednop_pr_ce_u4     m645_swio14_lednop_pr_ce
 * m645_swio14_lednop_pr_ce_u4       m645a_swio14_lednop_pr_ce         m645a_swio14_lednop_pr_ce_u4
 * m645p_swio14_lednop_pr_ce         m645p_swio14_lednop_pr_ce_u4      m6450_swio14_lednop_pr_ce
 * m6450_swio14_lednop_pr_ce_u4      m6450a_swio14_lednop_pr_ce        m6450a_swio14_lednop_pr_ce_u4
 * m6450p_swio14_lednop_pr_ce        m6450p_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_swio14_lednop_pr_ce[] = {
  0x22eeeeeed121b705, 0x6776aafd60869c49, 0xf6c8ee933e3f7e3f, 0xe6e873c59fb0678e, 0xa930207ae486ea45,
  0x60aef2776c36cae4, 0xd9fd9d304f8c0482, 0xfd427ca0caeffb15, 0x3879e3cdcef7dc62, 0xa3e12fc4361222eb,
  0x64c98b8766fa547e, 0x7fa8f2fa7b96757d, 0xb1ef4aa4871240d6, 0xf3b6488c6f9cc580, 0xa45403ff6678ebd1,
  0xad65da81e5add07f, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d, 0x4439ae0404e9b95d, 0x115e588695cbec7a,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0xa5a97e6db1898ede, 0xbf83bb8d164498dc,
  0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0xf927ae3e792bf734, 0x0000000000001bae,
};

/*
 * m649_swio14_lednop_pr_ee_ce_u4    m649a_swio14_lednop_pr_ee_ce      m649a_swio14_lednop_pr_ee_ce_u4
 * m649p_swio14_lednop_pr_ee_ce      m649p_swio14_lednop_pr_ee_ce_u4   m6490_swio14_lednop_pr_ee_ce
 * m6490_swio14_lednop_pr_ee_ce_u4   m6490a_swio14_lednop_pr_ee_ce     m6490a_swio14_lednop_pr_ee_ce_u4
 * m6490p_swio14_lednop_pr_ee_ce     m6490p_swio14_lednop_pr_ee_ce_u4  m645_swio14_lednop_pr_ee_ce
 * m645_swio14_lednop_pr_ee_ce_u4    m645a_swio14_lednop_pr_ee_ce      m645a_swio14_lednop_pr_ee_ce_u4
 * m645p_swio14_lednop_pr_ee_ce      m645p_swio14_lednop_pr_ee_ce_u4   m6450_swio14_lednop_pr_ee_ce
 * m6450_swio14_lednop_pr_ee_ce_u4   m6450a_swio14_lednop_pr_ee_ce     m6450a_swio14_lednop_pr_ee_ce_u4
 * m6450p_swio14_lednop_pr_ee_ce     m6450p_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio14_lednop_pr_ee_ce[] = {
  0x9bdddddda2431000, 0x1bbb557382d89892, 0x7a52b75a5833cc6a, 0xec9edb642275c1fa, 0x6e999ac1220e6ea6,
  0x793bb5aaef1edb36, 0x6e9827c602413057, 0xb9416bbffb15d9fc, 0x9b9db5dc62fd51ef, 0x886c2445d670f3c7,
  0x1fa9cb82fd47c25f, 0x5ca76b083df3262e, 0xf06cc1e95ea3caca, 0xad08a05315943f51, 0x9afa30b2c4522cd3,
  0x9b8e7576e74a3a90, 0x5e363af3a6ed2223, 0xc242285f11c65635, 0x8226470decb65cc5, 0xb955a9676b13ca8d,
  0x51aee719cc5076bc, 0x2bb54b7d59cea2a5, 0x8f488735c0809d37, 0x55a22bcb10d2b97d, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb63131, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x9f832735c7cf257e,
};

/*
 * m649a_swio14_lednop_ee_hw         m649p_swio14_lednop_ee_hw         m6490_swio14_lednop_ee_hw
 * m6490a_swio14_lednop_ee_hw        m6490p_swio14_lednop_ee_hw        m645_swio14_lednop_ee_hw
 * m645a_swio14_lednop_ee_hw         m645p_swio14_lednop_ee_hw         m6450_swio14_lednop_ee_hw
 * m6450a_swio14_lednop_ee_hw        m6450p_swio14_lednop_ee_hw        c64_swio14_lednop_ee_hw
 */
static const uint64_t ur_m649_swio14_lednop_ee_hw[] = {
  0xafbbbbbb451a3705, 0x9bbb557e1768b121, 0x9b4cf77311b7cdcc, 0x6bd686d0c08285a0, 0x33e99a5c5e20da08,
  0xc15de4eed86d95a9, 0x33e96a609f180904, 0xb4663e5046b7ff59, 0x1f51ea3cad82cd56, 0x1df15a9ef51f06cc,
  0x0b2c4522cd3ad08a, 0xba55c6b26909afa3, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0xb2d973170908a17c,
  0x589e546c11fadc37, 0x6283b5e5caad402b, 0xce75152a8d7738ce, 0x0404e9b95daa5bea, 0x8695cbec7a4439ae,
  0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516, 0xe7ea138c6e52d4bf,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000000b7f822fa2,
};

/*
 * m649_swio14_lednop_ee_ce_u4_hw    m649a_swio14_lednop_ee_ce_hw      m649a_swio14_lednop_ee_ce_u4_hw
 * m649p_swio14_lednop_ee_ce_hw      m649p_swio14_lednop_ee_ce_u4_hw   m6490_swio14_lednop_ee_ce_hw
 * m6490_swio14_lednop_ee_ce_u4_hw   m6490a_swio14_lednop_ee_ce_hw     m6490a_swio14_lednop_ee_ce_u4_hw
 * m6490p_swio14_lednop_ee_ce_hw     m6490p_swio14_lednop_ee_ce_u4_hw  m645_swio14_lednop_ee_ce_hw
 * m645_swio14_lednop_ee_ce_u4_hw    m645a_swio14_lednop_ee_ce_hw      m645a_swio14_lednop_ee_ce_u4_hw
 * m645p_swio14_lednop_ee_ce_hw      m645p_swio14_lednop_ee_ce_u4_hw   m6450_swio14_lednop_ee_ce_hw
 * m6450_swio14_lednop_ee_ce_u4_hw   m6450a_swio14_lednop_ee_ce_hw     m6450a_swio14_lednop_ee_ce_u4_hw
 * m6450p_swio14_lednop_ee_ce_hw     m6450p_swio14_lednop_ee_ce_u4_hw  c64_swio14_lednop_ee_ce_hw
 * c64_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio14_lednop_ee_ce_hw[] = {
  0x6f7777768a34304a, 0x6eed55ce0b62624a, 0xe94add6960cf31a8, 0xb27b6d9089d707e9, 0xba666b048839ba9b,
  0xef2776c5d47f5009, 0x8dd304f8c048260a, 0x7dca0b5dfff5933f, 0xf21cedaee317ea8f, 0xf886c2445d670f3c,
  0x87d507907fd47c25, 0x9729dac20f7cc98b, 0x7c1b307a57a8f2b2, 0xeb422814c5650fd4, 0x26be8c2cb1148b34,
  0xe6e39d5db9d28ea4, 0x578d8ebce9bb4888, 0x70908a17c471958d, 0x608991c37b2d9731, 0x2e556a59dac4f2a3,
  0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x63d221cd7020274d, 0xd5688af2c434ae5f, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d8c4c, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x8096793a29e4afdc, 0x0000000000000002,
};

/*
 * m649_swio14_dual_pr               m649_swio14_dual_pr_u4            m649a_swio14_dual
 * m649a_swio14_dual_pr              m649a_swio14_dual_pr_u4           m649p_swio14_dual
 * m649p_swio14_dual_pr              m649p_swio14_dual_pr_u4           m6490_swio14_dual
 * m6490_swio14_dual_pr              m6490_swio14_dual_pr_u4           m6490a_swio14_dual
 * m6490a_swio14_dual_pr             m6490a_swio14_dual_pr_u4          m6490p_swio14_dual
 * m6490p_swio14_dual_pr             m6490p_swio14_dual_pr_u4          m645_swio14_dual
 * m645_swio14_dual_pr               m645_swio14_dual_pr_u4            m645a_swio14_dual
 * m645a_swio14_dual_pr              m645a_swio14_dual_pr_u4           m645p_swio14_dual
 * m645p_swio14_dual_pr              m645p_swio14_dual_pr_u4           m6450_swio14_dual
 * m6450_swio14_dual_pr              m6450_swio14_dual_pr_u4           m6450a_swio14_dual
 * m6450a_swio14_dual_pr             m6450a_swio14_dual_pr_u4          m6450p_swio14_dual
 * m6450p_swio14_dual_pr             m6450p_swio14_dual_pr_u4
 */
static const uint64_t ur_m649_swio14_dual[] = {
  0x3fbbbbbb4486dd9e, 0x6c1f756e3e73afc2, 0xd2c5bb06d608d386, 0xa2833a67f68eb14e, 0xe2e35043b0dba47d,
  0x2490770fcabdbada, 0x3304f8c048260aef, 0xddd7d932305520c0, 0xc4b881850c1b48c0, 0x537eefcca0253ba7,
  0xbd4731fb080c70a9, 0x228524482481edf9, 0xe1f0a21895fe7ef8, 0xcab397a672b7c4fa, 0xad68a8432d08c910,
  0x096dca5ffd01cf09, 0x7ffaa9260b0de579, 0x7ee8ef965af28251, 0x1ee921c4903defd4, 0x31398b01541e6726,
  0xcc11d78033b2008d, 0x2cf6def1bea807fe, 0x57ceee2a4af9d40f, 0x6283b5e5caad67f1, 0xce75152a8d7738ce,
  0x0404e9b95daa5bea, 0x8695cbec7a4439ae, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36d8c62adec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x1f3c95fb9a19961d, 0x0000000a49ad3ed7,
};

/*
 * m649a_swio14_dual_pr_ee           m649p_swio14_dual_pr_ee           m6490_swio14_dual_pr_ee
 * m6490a_swio14_dual_pr_ee          m6490p_swio14_dual_pr_ee          m645_swio14_dual_pr_ee
 * m645a_swio14_dual_pr_ee           m645p_swio14_dual_pr_ee           m6450_swio14_dual_pr_ee
 * m6450a_swio14_dual_pr_ee          m6450p_swio14_dual_pr_ee
 */
static const uint64_t ur_m649_swio14_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xe60fbab58fc997e3, 0xefb8dd49875ac4e4, 0x765705055710b157, 0xd03e26eb43285bd6,
  0x582ee3822ace3f99, 0xc13e30120982bbc9, 0xebec99182a91dc7c, 0x5c40c2860da4606e, 0x74ffe650129dd3e2,
  0x1ce0ec3abce143f3, 0x1491209207b3a6f5, 0xc2886257f9fbe08a, 0x9cbd338a9113eb87, 0x8a8432d05f688655,
  0xbe9affa039e1307b, 0x5524c161bcaf212d, 0x56b47fba5042d7ff, 0x9830f7ea3caedd4d, 0x143be2bd37ea3e0d,
  0x4616588a459a75a1, 0x5d82ae2a5cd2135f, 0x897631e8cf539d5a, 0xa4710d8d56ba1d7a, 0xf65f4b3170908a34,
  0x2288aa8d823f5b86, 0x3f8abe777152500b, 0xc673141daf2e556b, 0xdf5673a8a9546bb9, 0xcd7020274dcaed52,
  0xf2c434ae5f63d221, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0xa5f9b6c63156f62a,
  0xeee34581e8637296, 0x1854e7ea75666fe0, 0xe03e68fb61c4e34a, 0x9c6592e19e985727, 0x9a19961d252d9c38,
  0xac873ed71f3c95fb, 0x0000000000000000,
};

/*
 * m649a_swio14_dual_pr_ee_u4        m649p_swio14_dual_pr_ee_u4        m6490_swio14_dual_pr_ee_u4
 * m6490a_swio14_dual_pr_ee_u4       m6490p_swio14_dual_pr_ee_u4       m645_swio14_dual_pr_ee_u4
 * m645a_swio14_dual_pr_ee_u4        m645p_swio14_dual_pr_ee_u4        m6450_swio14_dual_pr_ee_u4
 * m6450a_swio14_dual_pr_ee_u4       m6450p_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m649_swio14_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0x0b07dd5ac7d17df8, 0x6d77eeabe6c48eee, 0xd06e976d3b4abcb1, 0x6eceec2d5a1942cd,
  0x92625dcd1f53ab41, 0xf9827c6024130577, 0xddd7d932305523b8, 0xc4b881850c1b48c0, 0x66eaffcca0253ba7,
  0x7a8fb3b611c8e070, 0x450a4890490395d3, 0xc3e144312bfcfdf0, 0x95672f4ce33909f5, 0x9122a10cb423da21,
  0x25b7d35ff4073c26, 0xffeaa4982c3795e4, 0xe9aad68e034a085a, 0xe0d983913d4795a9, 0x5a1143be2b387ea3,
  0x35f4616588a459a7, 0xd5a5d2b2e105cd21, 0xaf6b13b2008c1439, 0x87bd1e45b1aad743, 0x70decb8f8c5c2422,
  0xf9ddc54957170feb, 0x5076bcb955acfe2a, 0xcea2a551aee719cc, 0x809d372bb54b7d59, 0xd2b97d8f488735c0,
  0xf5ae7b55a22bcb10, 0x7a96165362ce80f3, 0x0517d14085a6ae75, 0xa97e6da718de33a2, 0x83bb8d164498dca5,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xd9ae3e792bf73433, 0x0000000000005645,
};

/*
 * m649_swio14_dual_pr_ce_u4         m649a_swio14_dual_pr_ce           m649a_swio14_dual_pr_ce_u4
 * m649p_swio14_dual_pr_ce           m649p_swio14_dual_pr_ce_u4        m6490_swio14_dual_pr_ce
 * m6490_swio14_dual_pr_ce_u4        m6490a_swio14_dual_pr_ce          m6490a_swio14_dual_pr_ce_u4
 * m6490p_swio14_dual_pr_ce          m6490p_swio14_dual_pr_ce_u4       m645_swio14_dual_pr_ce
 * m645_swio14_dual_pr_ce_u4         m645a_swio14_dual_pr_ce           m645a_swio14_dual_pr_ce_u4
 * m645p_swio14_dual_pr_ce           m645p_swio14_dual_pr_ce_u4        m6450_swio14_dual_pr_ce
 * m6450_swio14_dual_pr_ce_u4        m6450a_swio14_dual_pr_ce          m6450a_swio14_dual_pr_ce_u4
 * m6450p_swio14_dual_pr_ce          m6450p_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m649_swio14_dual_pr_ce[] = {
  0x902f777776890c86, 0x1c583eead00227df, 0xab766f74ed34e837, 0xec4f2529555eeb71, 0xcc5ae29af62fbb02,
  0x92695dddd8dd9913, 0xa9827c6024130577, 0xddd7d932305522e4, 0xc4b881850c1b48c0, 0xd30d6fcca0253ba7,
  0xbd47df7b0d36708a, 0x228524482481a9e9, 0xe1f0a21895fe7ef8, 0xcab397a6732a04fa, 0x1eb150865a1b7d10,
  0x25b731fffa039e13, 0xffeaa4982c3795e4, 0x6b462fd63dca0c72, 0x222eb3879e3cdcec, 0x6547ea3e12fc4361,
  0xceaf52e64c5c3925, 0x240ed6f51c27cf72, 0x98b014a2edfa4871, 0x1d78033b2008d313, 0xb9ef1bea807feccf,
  0x3bb8a92be7503cb5, 0x0ed7972ab59fc55f, 0xd454aa35dce3398a, 0x13a6e576a96fab39, 0x572fb1e910e6b810,
  0x75cf6ab44579621a, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x5912637296a5f9b6,
  0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x000000d24326b8f9,
};

/*
 * m649a_swio14_dual_pr_ee_ce        m649p_swio14_dual_pr_ee_ce        m6490_swio14_dual_pr_ee_ce
 * m6490a_swio14_dual_pr_ee_ce       m6490p_swio14_dual_pr_ee_ce       m645_swio14_dual_pr_ee_ce
 * m645a_swio14_dual_pr_ee_ce        m645p_swio14_dual_pr_ee_ce        m6450_swio14_dual_pr_ee_ce
 * m6450a_swio14_dual_pr_ee_ce       m6450p_swio14_dual_pr_ee_ce
 */
static const uint64_t ur_m649_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xc3307dd5b8fdf5ef, 0xfbd7bdd2af2c4d8a, 0xf68a516a69ef709a, 0x37609931e9d33d95,
  0xbb9e08cea5914eb3, 0xf8c048260aef26c4, 0x64c8c1548f3d7304, 0x0614306d2303775f, 0x3f328094ee9f12e2,
  0x346c34d1c1fe4d88, 0x2241240ec7e6f51c, 0x10c4aff3f7c11429, 0x7a673a9c27d70f85, 0x0865a050d10cab39,
  0x83ff4073c2674b15, 0x930586f2bc84b6fd, 0xa3c092836b7ffd54, 0xfcf1e6e776b763fa, 0xcdd339d61c112601,
  0xfea3cae574a76b02, 0x2bdf7ea3e0d983db, 0x88a459a75a1140a6, 0xcc14752135f46165, 0x4bb18f467a9ceaed,
  0x4710d8d578d8ebd4, 0x65f4b3170908a34a, 0x1445546c1132386f, 0xfc55f3bb8a929679, 0x3398a0ed7972ab59,
  0xfab39d454aa35dce, 0x6b81013a6e576a96, 0x9621a572fb1e910e, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x5f9b6c6263b7b155, 0x7771a2c79c37296a, 0x7a615c9fbab337f0, 0x94b670e271964b86,
  0x7cf257ee68665874, 0x000000098201cb5c,
};

/*
 * m649a_swio14_dual_pr_ee_ce_u4     m649p_swio14_dual_pr_ee_ce_u4     m6490_swio14_dual_pr_ee_ce_u4
 * m6490a_swio14_dual_pr_ee_ce_u4    m6490p_swio14_dual_pr_ee_ce_u4    m645_swio14_dual_pr_ee_ce_u4
 * m645a_swio14_dual_pr_ee_ce_u4     m645p_swio14_dual_pr_ee_ce_u4     m6450_swio14_dual_pr_ee_ce_u4
 * m6450a_swio14_dual_pr_ee_ce_u4    m6450p_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio14_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x1f7562e2b8bbf3ae, 0x937500bada4cfb4c, 0xb6fdf5ef8fe0fb65, 0xb4f15bb83d765887,
  0xcb4614da7ca31721, 0xc15de4b4e7754e30, 0x229f86609f180904, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b,
  0x87ebcc6b7f995809, 0xadcdea3c00d80a43, 0xef8228524482481d, 0x4fae1f0a21895fe7, 0x4432ace5e99c7804,
  0x09b2b454219686ce, 0xf212dbb21ffd01cf, 0x07ff190bcc161bca, 0x8318bf54635a507b, 0x45d670f3cf80677d,
  0x4afd47c25f886c24, 0x21374c98b878fbae, 0x6ffa8f2b95d29dac, 0x98af7dfa8f83660f, 0x962291669d684502,
  0xb73051d484d7d185, 0x512ec63d19ea73ab, 0x291c436355e363af, 0xbd97d2cc5c24228d, 0xe4511551b044c8e1,
  0x67f157ceee2a4a59, 0x38ce6283b5e5caad, 0x5beace75152a8d77, 0x39ae0404e9b95daa, 0x5e588695cbec7a44,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xa97e6db1898edec5, 0x1a3f8d164498dca5,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xb44053c95fb9a199, 0x0000000000800da6,
};

/*
 * m649a_swio14_dual_ee_hw           m649p_swio14_dual_ee_hw           m6490_swio14_dual_ee_hw
 * m6490a_swio14_dual_ee_hw          m6490p_swio14_dual_ee_hw          m645_swio14_dual_ee_hw
 * m645a_swio14_dual_ee_hw           m645p_swio14_dual_ee_hw           m6450_swio14_dual_ee_hw
 * m6450a_swio14_dual_ee_hw          m6450p_swio14_dual_ee_hw          c64_swio14_dual_ee_hw
 */
static const uint64_t ur_m649_swio14_dual_ee_hw[] = {
  0x3d6dddddda28d086, 0x4e60fbab58fc997e, 0x7efb8dd49875ac4e, 0x6765705055710b15, 0x6283e26eb43285bd,
  0xbc9582eeeec6ecde, 0xc7cc13e30120982b, 0x06eebec99182a91d, 0x3e25c40c2860da46, 0x3f374ffe657419dd,
  0x6f51ce0ec3abce14, 0x08a1491209207b3a, 0xb87c2886257f9fbe, 0x6559cbd338a9113e, 0x07b8a8432d05f688,
  0x12dbe9affa039e13, 0xbfceadcc161bcaf2, 0xea6ab5a3fdd28216, 0xf06cc187bf51e576, 0xad08a1df15e9bf51,
  0x9afa30b2c4522cd3, 0xead2ec157152e690, 0xebd44bb18f467a9c, 0x51a523886c6ab5d0, 0xdc37b2fa598b8484,
  0x80591445546c11fa, 0xab59fc55f3bb8a92, 0x5dce3398a0ed7972, 0x6a96fab39d454aa3, 0x910e6b81013a6e57,
  0x44579621a572fb1e, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x94b52fcdb6318ab7,
  0xf2861539fa84e31b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x4f4ea8a792bf7343, 0x0000000000002bb4,
};

/*
 * m649_swio14_dual_ee_ce_u4_hw      m649a_swio14_dual_ee_ce_hw        m649a_swio14_dual_ee_ce_u4_hw
 * m649p_swio14_dual_ee_ce_hw        m649p_swio14_dual_ee_ce_u4_hw     m6490_swio14_dual_ee_ce_hw
 * m6490_swio14_dual_ee_ce_u4_hw     m6490a_swio14_dual_ee_ce_hw       m6490a_swio14_dual_ee_ce_u4_hw
 * m6490p_swio14_dual_ee_ce_hw       m6490p_swio14_dual_ee_ce_u4_hw    m645_swio14_dual_ee_ce_hw
 * m645_swio14_dual_ee_ce_u4_hw      m645a_swio14_dual_ee_ce_hw        m645a_swio14_dual_ee_ce_u4_hw
 * m645p_swio14_dual_ee_ce_hw        m645p_swio14_dual_ee_ce_u4_hw     m6450_swio14_dual_ee_ce_hw
 * m6450_swio14_dual_ee_ce_u4_hw     m6450a_swio14_dual_ee_ce_hw       m6450a_swio14_dual_ee_ce_u4_hw
 * m6450p_swio14_dual_ee_ce_hw       m6450p_swio14_dual_ee_ce_u4_hw    c64_swio14_dual_ee_ce_hw
 * c64_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio14_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0x07dd58b8ae2efceb, 0x64dd402eb6933ed3, 0xedbf7d7be3f83ed9, 0x6d3c56ee0f5d9621,
  0x6f58076405a8c5c8, 0x120982bbc969cee6, 0x60aa453f0cc13e30, 0x18369181bbafb264, 0x5d06774f8971030a,
  0x0a4387ebcc6b7f99, 0x481dadcdea3c00d8, 0x5fe7ef8228524482, 0x78044fae1f0a2189, 0x86ce4432ace5e99c,
  0x01cf09b2b4542196, 0x1bcaf212dbb21ffd, 0xa507b07fceadcc16, 0x0e77d8318bf54635, 0x4361222eb3879e79,
  0x8c2eeddfea3e12fc, 0x94ed6109ba64c5c3, 0x1b307b7fd4795cae, 0x422814c57befd47c, 0xbe8c2cb1148b34eb,
  0x539d5db9828ea426, 0x1b1d7a897631e8cf, 0x21146948e21b1aaf, 0x26470decbe9662e1, 0x5252cf2288aa8d82,
  0x2e556b3f8abe7771, 0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x63d221cd7020274d, 0xd5688af2c434ae5f,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d8c4c, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xaea4793a29e4afdc,
  0x0000000000000003,
};

/*
 * m649a_swio15_noled                m649p_swio15_noled                m6490_swio15_noled
 * m6490a_swio15_noled               m6490p_swio15_noled               m645_swio15_noled
 * m645a_swio15_noled                m645p_swio15_noled                m6450_swio15_noled
 * m6450a_swio15_noled               m6450p_swio15_noled
 */
static const uint64_t ur_m649_swio15_noled[] = {
  0xd49bbbbbbacdc49f, 0x7adddaab9142f712, 0x7d803750e2448c22, 0x905fd0eee27767f0, 0x486ad1b6c6569bba,
  0x80904c15de4eee62, 0xfefd0f3e63e609f1, 0xe213be5ba4941dbf, 0xd7a4871240f9ef51, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xad5fefe910e6b3a6,
  0xae7b55a22bcb10d2, 0xa9c0594a9f4ef3f5, 0x5fb8a042d2c2e753, 0x7e6da718de33a204, 0xc2b93f3fb0dca5a9,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000001522e3022f9,
};

/*
 * m649_swio15_noled_pr_u4           m649a_swio15_noled_pr             m649a_swio15_noled_pr_u4
 * m649p_swio15_noled_pr             m649p_swio15_noled_pr_u4          m6490_swio15_noled_pr
 * m6490_swio15_noled_pr_u4          m6490a_swio15_noled_pr            m6490a_swio15_noled_pr_u4
 * m6490p_swio15_noled_pr            m6490p_swio15_noled_pr_u4         m645_swio15_noled_pr
 * m645_swio15_noled_pr_u4           m645a_swio15_noled_pr             m645a_swio15_noled_pr_u4
 * m645p_swio15_noled_pr             m645p_swio15_noled_pr_u4          m6450_swio15_noled_pr
 * m6450_swio15_noled_pr_u4          m6450a_swio15_noled_pr            m6450a_swio15_noled_pr_u4
 * m6450p_swio15_noled_pr            m6450p_swio15_noled_pr_u4
 */
static const uint64_t ur_m649_swio15_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c4ae, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f76e27,
  0x0aef277792c4e363, 0xcfbf9304f8c04826, 0x9683f282657fd8ae, 0x89207d07a8f2f8ef, 0x80b2ca68f7a55243,
  0xe8f9da2147bd9cc5, 0x8a4d2a01ffb30475, 0xcaad5f5b81e59ed8, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a,
  0x7fbfa4439ace9b95, 0xed5688af2c434ab5, 0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44,
  0x224c6e52d4bf36c6, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x001f272668d71f3c,
};

/*
 * m649_swio15_noled_pr_ee_u4        m649a_swio15_noled_pr_ee          m649a_swio15_noled_pr_ee_u4
 * m649p_swio15_noled_pr_ee          m649p_swio15_noled_pr_ee_u4       m6490_swio15_noled_pr_ee
 * m6490_swio15_noled_pr_ee_u4       m6490a_swio15_noled_pr_ee         m6490a_swio15_noled_pr_ee_u4
 * m6490p_swio15_noled_pr_ee         m6490p_swio15_noled_pr_ee_u4      m645_swio15_noled_pr_ee
 * m645_swio15_noled_pr_ee_u4        m645a_swio15_noled_pr_ee          m645a_swio15_noled_pr_ee_u4
 * m645p_swio15_noled_pr_ee          m645p_swio15_noled_pr_ee_u4       m6450_swio15_noled_pr_ee
 * m6450_swio15_noled_pr_ee_u4       m6450a_swio15_noled_pr_ee         m6450a_swio15_noled_pr_ee_u4
 * m6450p_swio15_noled_pr_ee         m6450p_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m649_swio15_noled_pr_ee[] = {
  0xc7f777776890ca20, 0x93776aafc2f51625, 0x86fd3ddf1fb6f9b9, 0x7eb436899bd76964, 0x4695a295b106d05c,
  0x7793ba3d8b50918d, 0x93a9827c60241305, 0x7f25062b7fd8aecf, 0xff51e5652e6ab5a3, 0x15943f51f06cc184,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0xea11e4873ab4ba56, 0xfd8d56ba1d79d376, 0x2e62e121147c88e0,
  0x6a8d823f5b86f65b, 0xed7972ab500ba4c1, 0x454aa35dce3398a0, 0xa6e576a96fabb39d, 0xd2ad5fefe910e6b3,
  0x6bae7b55a22bcb10, 0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0xcdb1922adec55516, 0x71a2c8931b94b52f,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xc7cf257ee6866587, 0x0000000275ff24f5,
};

/*
 * m649_swio15_noled_pr_ce_u4        m649a_swio15_noled_pr_ce          m649a_swio15_noled_pr_ce_u4
 * m649p_swio15_noled_pr_ce          m649p_swio15_noled_pr_ce_u4       m6490_swio15_noled_pr_ce
 * m6490_swio15_noled_pr_ce_u4       m6490a_swio15_noled_pr_ce         m6490a_swio15_noled_pr_ce_u4
 * m6490p_swio15_noled_pr_ce         m6490p_swio15_noled_pr_ce_u4      m645_swio15_noled_pr_ce
 * m645_swio15_noled_pr_ce_u4        m645a_swio15_noled_pr_ce          m645a_swio15_noled_pr_ce_u4
 * m645p_swio15_noled_pr_ce          m645p_swio15_noled_pr_ce_u4       m6450_swio15_noled_pr_ce
 * m6450_swio15_noled_pr_ce_u4       m6450a_swio15_noled_pr_ce         m6450a_swio15_noled_pr_ce_u4
 * m6450p_swio15_noled_pr_ce         m6450p_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m649_swio15_noled_pr_ce[] = {
  0x67eeeeeed121b7d6, 0x6776aafd60a19c4b, 0x1fa106e8c1af7e3f, 0x9fcdd0e5698bcd8b, 0x33fb4f5c69a9bddd,
  0x13057793baf5a715, 0xaecfdba9827c6024, 0x8bf5912507027fd8, 0xace1e78f373bcad1, 0xfa8f84bf10d8488b,
  0xf593262e1f9699bf, 0xc9ef51e6e9ee59d5, 0xc0532a71a4871240, 0xf47ced10a3dece62, 0x45269500ffd99e3a,
  0xb955abeb703cb5b8, 0x51aee719cc5076bc, 0xbb54b7d5d9cea2a5, 0xaff7f4887359d372, 0x3daad115e5886956,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0xc8931b94b52fcdb1, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x0006ebf087f5c7cf,
};

/*
 * m649_swio15_noled_pr_ee_ce_u4     m649a_swio15_noled_pr_ee_ce       m649a_swio15_noled_pr_ee_ce_u4
 * m649p_swio15_noled_pr_ee_ce       m649p_swio15_noled_pr_ee_ce_u4    m6490_swio15_noled_pr_ee_ce
 * m6490_swio15_noled_pr_ee_ce_u4    m6490a_swio15_noled_pr_ee_ce      m6490a_swio15_noled_pr_ee_ce_u4
 * m6490p_swio15_noled_pr_ee_ce      m6490p_swio15_noled_pr_ee_ce_u4   m645_swio15_noled_pr_ee_ce
 * m645_swio15_noled_pr_ee_ce_u4     m645a_swio15_noled_pr_ee_ce       m645a_swio15_noled_pr_ee_ce_u4
 * m645p_swio15_noled_pr_ee_ce       m645p_swio15_noled_pr_ee_ce_u4    m6450_swio15_noled_pr_ee_ce
 * m6450_swio15_noled_pr_ee_ce_u4    m6450a_swio15_noled_pr_ee_ce      m6450a_swio15_noled_pr_ee_ce_u4
 * m6450p_swio15_noled_pr_ee_ce      m6450p_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio15_noled_pr_ee_ce[] = {
  0x0adddddda2435f41, 0x0dddaab9c172744b, 0x5d375bb0ccade635, 0x564f6d9b08cc489a, 0xb33b13e448839be1,
  0xde4eed17f7682ab8, 0x0fa609f180904c15, 0x75283883fec5767d, 0x79b9de208c5faa3b, 0xf886c2445d670f3c,
  0xe1fce5d4efd47c25, 0xe1ca76b083df3262, 0x1f06cc19ebea3cac, 0x3ad08a05315975f5, 0x09afa30b2c4522cd,
  0x3c90e7576e4ac3a9, 0x55e363af3a6edd42, 0xb848451f22383f63, 0xb044c8e1bd96cb98, 0x2e556a59f4982d51,
  0x546bb9c673141daf, 0xaed52df57673a8a9, 0xabfdfd221cd674dc, 0xcf6ab44579621a55, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000027e65a5d71f3,
};

/*
 * m649a_swio15_noled_ee_hw          m649p_swio15_noled_ee_hw          m6490_swio15_noled_ee_hw
 * m6490a_swio15_noled_ee_hw         m6490p_swio15_noled_ee_hw         m645_swio15_noled_ee_hw
 * m645a_swio15_noled_ee_hw          m645p_swio15_noled_ee_hw          m6450_swio15_noled_ee_hw
 * m6450a_swio15_noled_ee_hw         m6450p_swio15_noled_ee_hw         c64_swio15_noled_ee_hw
 */
static const uint64_t ur_m649_swio15_noled_ee_hw[] = {
  0x3fbbbbbb451a37d6, 0x9bbb557e17a8b12e, 0x37e9eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad883682e3,
  0x57793baf5a716fda, 0xf93a9827c6024130, 0x8dfc9418adffd64c, 0x13fd479594b9aad6, 0x7c5650fd47c1b306,
  0xcb1148b34eb42287, 0x5971ac9a426be8c2, 0xdba847921cead2e9, 0x83f6355ae875e74d, 0x6cb98b848451f223,
  0x05aa3608fd6e1bd9, 0x83b5e5caad402e93, 0x75152a8d7738ce62, 0xce9b95daa5beaece, 0x434ab57fbfa4439a,
  0xc5aeb9ed5688af2c, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xbf36c648ab7b1554, 0x54e7ea138c6e52d4,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e,
  0x0000000005be4668,
};

/*
 * m649_swio15_noled_ee_ce_u4_hw     m649a_swio15_noled_ee_ce_hw       m649a_swio15_noled_ee_ce_u4_hw
 * m649p_swio15_noled_ee_ce_hw       m649p_swio15_noled_ee_ce_u4_hw    m6490_swio15_noled_ee_ce_hw
 * m6490_swio15_noled_ee_ce_u4_hw    m6490a_swio15_noled_ee_ce_hw      m6490a_swio15_noled_ee_ce_u4_hw
 * m6490p_swio15_noled_ee_ce_hw      m6490p_swio15_noled_ee_ce_u4_hw   m645_swio15_noled_ee_ce_hw
 * m645_swio15_noled_ee_ce_u4_hw     m645a_swio15_noled_ee_ce_hw       m645a_swio15_noled_ee_ce_u4_hw
 * m645p_swio15_noled_ee_ce_hw       m645p_swio15_noled_ee_ce_u4_hw    m6450_swio15_noled_ee_ce_hw
 * m6450_swio15_noled_ee_ce_u4_hw    m6450a_swio15_noled_ee_ce_hw      m6450a_swio15_noled_ee_ce_u4_hw
 * m6450p_swio15_noled_ee_ce_hw      m6450p_swio15_noled_ee_ce_u4_hw   c64_swio15_noled_ee_ce_hw
 * c64_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio15_noled_ee_ce_hw[] = {
  0x56eeeeed14684c7f, 0x6eed55ce0b93a258, 0xe9badd86656f31a8, 0xb27b6cd8466244d2, 0x99d89f22441cdf0a,
  0x7793bbd7773b6abd, 0x43e9827c60241305, 0xb75283883ffac99f, 0x9e439de208c5faa3, 0xbf10d8488bace1e7,
  0xb877546a83fa8f84, 0x38729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c565d7d, 0x426be8c2cb1148b3,
  0x8f2439d5db92b0ea, 0xd578d8ebce9bb750, 0x2e121147c88e0fd8, 0x6c1132386f65b2e6, 0xcb955a967d260b54,
  0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x6aff7f4887359d37, 0x73daad115e588695, 0x36294f0d3bcf8b5d,
  0x89c6378ce8810775, 0x190c76f62aa8b4b6, 0xa84e31b94b52fcdb, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0001404cc85e8a79,
};

/*
 * m649a_swio15_lednop               m649p_swio15_lednop               m6490_swio15_lednop
 * m6490a_swio15_lednop              m6490p_swio15_lednop              m645_swio15_lednop
 * m645a_swio15_lednop               m645p_swio15_lednop               m6450_swio15_lednop
 * m6450a_swio15_lednop              m6450p_swio15_lednop
 */
static const uint64_t ur_m649_swio15_lednop[] = {
  0x5a9377777759bb37, 0x4f5bbb55722835e2, 0xdf7c7eefaff0b184, 0xa417f43bb89d2f7c, 0x434d82e236dd7eee,
  0x0904c15de4eed8f6, 0xefd0f3ebee609f18, 0x7c3be5ba49418f7f, 0x1a4871240f9ef51d, 0x3398b016f74c13e2,
  0x30475e2e76ded1dc, 0x972ab52b167ee396, 0xaa35dce3398a0ed7, 0x576a96fabb39d454, 0x1e910e6b81013a6e,
  0x55a22bcb10d2b92b, 0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0xa718de33a204e7d1, 0x3f3fb0dca5a97e6d,
  0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1, 0x0a925ff022f9e4af,
};

/*
 * m649_swio15_lednop_pr_u4          m649a_swio15_lednop_pr            m649a_swio15_lednop_pr_u4
 * m649p_swio15_lednop_pr            m649p_swio15_lednop_pr_u4         m6490_swio15_lednop_pr
 * m6490_swio15_lednop_pr_u4         m6490a_swio15_lednop_pr           m6490a_swio15_lednop_pr_u4
 * m6490p_swio15_lednop_pr           m6490p_swio15_lednop_pr_u4        m645_swio15_lednop_pr
 * m645_swio15_lednop_pr_u4          m645a_swio15_lednop_pr            m645a_swio15_lednop_pr_u4
 * m645p_swio15_lednop_pr            m645p_swio15_lednop_pr_u4         m6450_swio15_lednop_pr
 * m6450_swio15_lednop_pr_u4         m6450a_swio15_lednop_pr           m6450a_swio15_lednop_pr_u4
 * m6450p_swio15_lednop_pr           m6450p_swio15_lednop_pr_u4
 */
static const uint64_t ur_m649_swio15_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be257, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4776e27,
  0x15de4eecbbb138be, 0x3f52a609f180904c, 0xb41f94131fff62bb, 0x2481f41ea3e9477c, 0x05965340609f490e,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551,
  0x88735c0809d372bb, 0x115e588695c958f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x52d4bf36d02a2ade, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xe907d71f3c95fb9a, 0x0000000000003e4c,
};

/*
 * m649_swio15_lednop_pr_ee_u4       m649a_swio15_lednop_pr_ee         m649a_swio15_lednop_pr_ee_u4
 * m649p_swio15_lednop_pr_ee         m649p_swio15_lednop_pr_ee_u4      m6490_swio15_lednop_pr_ee
 * m6490_swio15_lednop_pr_ee_u4      m6490a_swio15_lednop_pr_ee        m6490a_swio15_lednop_pr_ee_u4
 * m6490p_swio15_lednop_pr_ee        m6490p_swio15_lednop_pr_ee_u4     m645_swio15_lednop_pr_ee
 * m645_swio15_lednop_pr_ee_u4       m645a_swio15_lednop_pr_ee         m645a_swio15_lednop_pr_ee_u4
 * m645p_swio15_lednop_pr_ee         m645p_swio15_lednop_pr_ee_u4      m6450_swio15_lednop_pr_ee
 * m6450_swio15_lednop_pr_ee_u4      m6450a_swio15_lednop_pr_ee        m6450a_swio15_lednop_pr_ee_u4
 * m6450p_swio15_lednop_pr_ee        m6450p_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m649_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb4486bf3e, 0x9bbb557e1723f12e, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b4171,
  0xbc9dd9c458919f5d, 0x0fcc13e30120982b, 0xf2504e0ffd8aecfd, 0xf51e56a7a6ab5a37, 0x5e04f51f06cc184f,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xe9182873ab4bc875, 0xd8d56ba1d79d376e, 0xe62e121144dc8f22,
  0xa8d823f5b86f65b2, 0x6bcb955a80422934, 0x2a551aee719cc507, 0x372bb54b7d5d9cea, 0x958f488735c0809d,
  0x3daad115e588695c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7, 0x24c6e52d4bf36d02,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x009d79a9cd71f3c9,
};

/*
 * m649_swio15_lednop_pr_ce_u4       m649a_swio15_lednop_pr_ce         m649a_swio15_lednop_pr_ce_u4
 * m649p_swio15_lednop_pr_ce         m649p_swio15_lednop_pr_ce_u4      m6490_swio15_lednop_pr_ce
 * m6490_swio15_lednop_pr_ce_u4      m6490a_swio15_lednop_pr_ce        m6490a_swio15_lednop_pr_ce_u4
 * m6490p_swio15_lednop_pr_ce        m6490p_swio15_lednop_pr_ce_u4     m645_swio15_lednop_pr_ce
 * m645_swio15_lednop_pr_ce_u4       m645a_swio15_lednop_pr_ce         m645a_swio15_lednop_pr_ce_u4
 * m645p_swio15_lednop_pr_ce         m645p_swio15_lednop_pr_ce_u4      m6450_swio15_lednop_pr_ce
 * m6450_swio15_lednop_pr_ce_u4      m6450a_swio15_lednop_pr_ce        m6450a_swio15_lednop_pr_ce_u4
 * m6450p_swio15_lednop_pr_ce        m6450p_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m649_swio15_lednop_pr_ce[] = {
  0x67eeeeeed1219541, 0x6776aafd60a85c4b, 0xf5a2eeedb75f7e3f, 0xf374395a433c5ef4, 0x273aa2d055a37767,
  0x60aef27740524c58, 0xd9f8ad304f8c0482, 0x7eb224a0efbffb15, 0x9c3cf1e6e776ea31, 0x51f097e21b091175,
  0x593262e1facd90ff, 0x9ef51e719ee59d5f, 0x0a63cf5a4871240c, 0x8f9d97c47191cc58, 0xee1aa01ffb33c75e,
  0xaad6e1c81e5adc37, 0xd7738ce6283b5e5c, 0xaa5beaece75152a8, 0x4439ae0404e9b95d, 0x88af2c434ae4ac7a,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d028c76f, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0xccc5d71f3c95fb9a, 0x0000000000000dd7,
};

/*
 * m649_swio15_lednop_pr_ee_ce_u4    m649a_swio15_lednop_pr_ee_ce      m649a_swio15_lednop_pr_ee_ce_u4
 * m649p_swio15_lednop_pr_ee_ce      m649p_swio15_lednop_pr_ee_ce_u4   m6490_swio15_lednop_pr_ee_ce
 * m6490_swio15_lednop_pr_ee_ce_u4   m6490a_swio15_lednop_pr_ee_ce     m6490a_swio15_lednop_pr_ee_ce_u4
 * m6490p_swio15_lednop_pr_ee_ce     m6490p_swio15_lednop_pr_ee_ce_u4  m645_swio15_lednop_pr_ee_ce
 * m645_swio15_lednop_pr_ee_ce_u4    m645a_swio15_lednop_pr_ee_ce      m645a_swio15_lednop_pr_ee_ce_u4
 * m645p_swio15_lednop_pr_ee_ce      m645p_swio15_lednop_pr_ee_ce_u4   m6450_swio15_lednop_pr_ee_ce
 * m6450_swio15_lednop_pr_ee_ce_u4   m6450a_swio15_lednop_pr_ee_ce     m6450a_swio15_lednop_pr_ee_ce_u4
 * m6450p_swio15_lednop_pr_ee_ce     m6450p_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio15_lednop_pr_ee_ce[] = {
  0x0adddddda2436d3a, 0x0dddaab9c1605c4b, 0x9d765ba34f17e635, 0x564f6d9b19391998, 0x14e0ddd388839be1,
  0xbc9ddb9db3675b26, 0xebcc13e30120982b, 0xea506007fd8aecff, 0xf373b80118bf5476, 0xf10d8488bace1e78,
  0x8776ec2c9fa8f84b, 0x8729dac20f7cc98b, 0x7c1b3067afa8f2b2, 0xeb422814c56c17d4, 0x26be8c2cb1148b34,
  0xc1439d5dba438ea4, 0x578d8ebce9bb7748, 0xe121144dc8f22d8d, 0xc1132386f65b2e62, 0x5caad4b31149a546,
  0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x7a4439ae0404e9b9, 0x5688af2c434ae4ac, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6e52d4bf36d028c7, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x7e5b90d71f3c95fb,
  0x0000000000000002,
};

/*
 * m649a_swio15_lednop_ee_hw         m649p_swio15_lednop_ee_hw         m6490_swio15_lednop_ee_hw
 * m6490a_swio15_lednop_ee_hw        m6490p_swio15_lednop_ee_hw        m645_swio15_lednop_ee_hw
 * m645a_swio15_lednop_ee_hw         m645p_swio15_lednop_ee_hw         m6450_swio15_lednop_ee_hw
 * m6450a_swio15_lednop_ee_hw        m6450p_swio15_lednop_ee_hw        c64_swio15_lednop_ee_hw
 */
static const uint64_t ur_m649_swio15_lednop_ee_hw[] = {
  0x3fbbbbbb451a1541, 0x9bbb557e1723f12e, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x1895c66ec41b4171,
  0x2bbc9dd0149334e7, 0xfd0fcc13e3012098, 0x8dfc941383ffd64c, 0x13fd4795a9e9aad6, 0x7c57813d47c1b306,
  0xcb1148b34eb42287, 0x1d71ac9a426be8c2, 0xdbba460a1cead2f2, 0xc8b6355ae875e74d, 0x6cb98b8484513723,
  0x4d2a3608fd6e1bd9, 0x41daf2e556a0108a, 0x3a8a9546bb9c6731, 0x274dcaed52df5767, 0x572563d221cd7020,
  0x75cf6ab44579621a, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x40a8ab7b15545a48, 0xa84e31b94b52fcdb,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x00005bf4c85e8a79,
};

/*
 * m649_swio15_lednop_ee_ce_u4_hw    m649a_swio15_lednop_ee_ce_hw      m649a_swio15_lednop_ee_ce_u4_hw
 * m649p_swio15_lednop_ee_ce_hw      m649p_swio15_lednop_ee_ce_u4_hw   m6490_swio15_lednop_ee_ce_hw
 * m6490_swio15_lednop_ee_ce_u4_hw   m6490a_swio15_lednop_ee_ce_hw     m6490a_swio15_lednop_ee_ce_u4_hw
 * m6490p_swio15_lednop_ee_ce_hw     m6490p_swio15_lednop_ee_ce_u4_hw  m645_swio15_lednop_ee_ce_hw
 * m645_swio15_lednop_ee_ce_u4_hw    m645a_swio15_lednop_ee_ce_hw      m645a_swio15_lednop_ee_ce_u4_hw
 * m645p_swio15_lednop_ee_ce_hw      m645p_swio15_lednop_ee_ce_u4_hw   m6450_swio15_lednop_ee_ce_hw
 * m6450_swio15_lednop_ee_ce_u4_hw   m6450a_swio15_lednop_ee_ce_hw     m6450a_swio15_lednop_ee_ce_u4_hw
 * m6450p_swio15_lednop_ee_ce_hw     m6450p_swio15_lednop_ee_ce_u4_hw  c64_swio15_lednop_ee_ce_hw
 * c64_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio15_lednop_ee_ce_hw[] = {
  0x2b7777768a34173e, 0x3776aae70581712c, 0x75d96e8d3c5f98d4, 0x593db66c64e46662, 0x5383774e220e6f85,
  0xbbc9ddcfb403a89e, 0xfebcc13e30120982, 0xdba941801ffd64cf, 0xcf21cee00462fd51, 0x5f886c2445d670f3,
  0xb8736ec291fd47c2, 0x28729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c56c17d, 0x426be8c2cb1148b3,
  0x8c1439d5dba438ea, 0xd578d8ebce9bb774, 0x2e121144dc8f22d8, 0x6c1132386f65b2e6, 0xe5caad4b31149a54,
  0x2a8d7738ce6283b5, 0x95daa5beaece7515, 0xc7a4439ae0404e9b, 0xd5688af2c434ae4a, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d028c, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x80b03eea29e4afdc, 0x0000000000000002,
};

/*
 * m649_swio15_dual_pr               m649_swio15_dual_pr_u4            m649a_swio15_dual
 * m649a_swio15_dual_pr              m649a_swio15_dual_pr_u4           m649p_swio15_dual
 * m649p_swio15_dual_pr              m649p_swio15_dual_pr_u4           m6490_swio15_dual
 * m6490_swio15_dual_pr              m6490_swio15_dual_pr_u4           m6490a_swio15_dual
 * m6490a_swio15_dual_pr             m6490a_swio15_dual_pr_u4          m6490p_swio15_dual
 * m6490p_swio15_dual_pr             m6490p_swio15_dual_pr_u4          m645_swio15_dual
 * m645_swio15_dual_pr               m645_swio15_dual_pr_u4            m645a_swio15_dual
 * m645a_swio15_dual_pr              m645a_swio15_dual_pr_u4           m645p_swio15_dual
 * m645p_swio15_dual_pr              m645p_swio15_dual_pr_u4           m6450_swio15_dual
 * m6450_swio15_dual_pr              m6450_swio15_dual_pr_u4           m6450a_swio15_dual
 * m6450a_swio15_dual_pr             m6450a_swio15_dual_pr_u4          m6450p_swio15_dual
 * m6450p_swio15_dual_pr             m6450p_swio15_dual_pr_u4
 */
static const uint64_t ur_m649_swio15_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3e9cafc3, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b74d2b,
  0x92483b86717175ab, 0x19827c6024130577, 0x6eebec99182a90a9, 0xe25c40c2860da460, 0xa9bf77e650129dd3,
  0xdea398fd84063854, 0x114292241240f6fc, 0x70f8510c4aff3f7c, 0x6559cbd338d7627d, 0xd6b4542196846488,
  0x84b6e50ffe80e784, 0xdffd54930586f2bc, 0x3edf3be59ef941fd, 0x1ee921c490383fea, 0x21398b01541e64ad,
  0xcc11d78033b6948e, 0x967b698c64a807fe, 0x55f3bb8a92e04a07, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33,
  0x1013a6e576a96fab, 0x0d2b92b1e910e6b8, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084,
  0x6da05455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x3e792bf734332c3a, 0x000000149320e5ae,
};

/*
 * m649a_swio15_dual_pr_ee           m649p_swio15_dual_pr_ee           m6490_swio15_dual_pr_ee
 * m6490a_swio15_dual_pr_ee          m6490p_swio15_dual_pr_ee          m645_swio15_dual_pr_ee
 * m645a_swio15_dual_pr_ee           m645p_swio15_dual_pr_ee           m6450_swio15_dual_pr_ee
 * m6450a_swio15_dual_pr_ee          m6450p_swio15_dual_pr_ee
 */
static const uint64_t ur_m649_swio15_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63d086fc6, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942da73b,
  0xee78233accda9d38, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe650129dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x1b93941e9fffeaa4, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x20274dcaed52df57,
  0x1a572563d221cd70, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0xa2c0f431b94b52fc, 0x73f53ab337f07771, 0x347db0e271a50c2a, 0xc970cf4c2b93f01f, 0xcb0e9296ce1c4e32,
  0x5f6b8f9e4afdcd0c, 0x0000000000005644,
};

/*
 * m649a_swio15_dual_pr_ee_u4        m649p_swio15_dual_pr_ee_u4        m6490_swio15_dual_pr_ee_u4
 * m6490a_swio15_dual_pr_ee_u4       m6490p_swio15_dual_pr_ee_u4       m645_swio15_dual_pr_ee_u4
 * m645a_swio15_dual_pr_ee_u4        m645p_swio15_dual_pr_ee_u4        m6450_swio15_dual_pr_ee_u4
 * m6450a_swio15_dual_pr_ee_u4       m6450p_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m649_swio15_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4e0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0xcc13e30120982bbc, 0xeebec99182a90ba2, 0x25c40c2860da4606, 0x3757fe650129dd3e,
  0xd47d9db08e470383, 0x28524482481cae9b, 0x1f0a21895fe7ef82, 0xab397a6732a04fae, 0x89150865a11ed10c,
  0x5b79dbffa039e134, 0xfeaa4982c3795e42, 0x355ad1afb941e9ff, 0x1b307dd7a8f2bc09, 0x422877c565d7d47c,
  0xbe8c2cb1148b34eb, 0xb4bfce5c20b9a426, 0xdac4eda52397c73a, 0x98a31f2c6ab5d0eb, 0x1bd971f18b848450,
  0x9ddc5495716b7d6e, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x9d372bb54b7d5d9c, 0x5c958f488735c080,
  0xd73daad115e58869, 0x4b0b29b1674079fa, 0x73e8a042d3573abd, 0xbf36d38c6f19d102, 0xddc68b224c6e52d4,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0xd71f3c95fb9a1996, 0x00000000000ac864,
};

/*
 * m649a_swio15_dual_pr_ce           m649p_swio15_dual_pr_ce           m6490_swio15_dual_pr_ce
 * m6490a_swio15_dual_pr_ce          m6490p_swio15_dual_pr_ce          m645_swio15_dual_pr_ce
 * m645a_swio15_dual_pr_ce           m645p_swio15_dual_pr_ce           m6450_swio15_dual_pr_ce
 * m6450a_swio15_dual_pr_ce          m6450p_swio15_dual_pr_ce
 */
static const uint64_t ur_m649_swio15_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0x2c1f7568002d7e33, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd667,
  0x49a5774b235d5a78, 0x6609f180904c15de, 0x775f64c8c1548780, 0x12e20614306d2303, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x559cbd339d1f13eb, 0xf58a8432d0dbe886,
  0x2dbd8fffd01cf098, 0xff5524c161bcaf21, 0x06317ea63e5046b7, 0x11759c3cf1e6e767, 0xe47f51f097e21b09,
  0x757a973262e1d2a2, 0x903117d479127b96, 0x31602fee32a921c4, 0x3af00676d291c427, 0xb9318c9500ffd99e,
  0x9ddc549702503cb5, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x9d372bb54b7d5d9c, 0x5c958f488735c080,
  0xd73daad115e58869, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0x3de08dca5a97e6da,
  0xd4eaccdfc1ddc68b, 0x8cbf313f9430a9cf, 0x73dffc1347db0f73, 0x8cb25c33d30ae4fc, 0x4332c3a4a5b38713,
  0x49843ae3e792bf73, 0x000000000000001a,
};

/*
 * m649a_swio15_dual_pr_ce_u4        m649p_swio15_dual_pr_ce_u4        m6490_swio15_dual_pr_ce_u4
 * m6490a_swio15_dual_pr_ce_u4       m6490p_swio15_dual_pr_ce_u4       m645_swio15_dual_pr_ce_u4
 * m645a_swio15_dual_pr_ce_u4        m645p_swio15_dual_pr_ce_u4        m6450_swio15_dual_pr_ce_u4
 * m6450a_swio15_dual_pr_ce_u4       m6450p_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m649_swio15_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf2, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb139,
  0x4840ee9646ba83e2, 0xe609f180904c15de, 0x775f64c8c1548e1f, 0x12e20614306d2303, 0x4d6ebf328094ee9f,
  0xf51d82ec3021c257, 0x8a149120920670e6, 0x87c2886257f9fbe0, 0x2ace5e99cb9113eb, 0x0522a10cb40f5443,
  0x25b74b5ff4073c26, 0xffeaa4982c3795e4, 0xa6e317ebdd4a0dba, 0x911759c3cf1e6e77, 0x2e47f51f097e21b0,
  0x67570e33262e1d2a, 0x490326bd474027b9, 0x398b015fcea2921c, 0x78ebc8b769b91e45, 0xb8a928e87cdc72c6,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x6e576a96fabb39d4, 0x2b1e910e6b81013a, 0x7b55a22bcb10d2b9,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x931b94b52fcdb40a, 0x3ab337f07771a2c8,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x003493a7b5c7cf25,
};

/*
 * m649a_swio15_dual_pr_ee_ce        m649p_swio15_dual_pr_ee_ce        m6490_swio15_dual_pr_ee_ce
 * m6490a_swio15_dual_pr_ee_ce       m6490p_swio15_dual_pr_ee_ce       m645_swio15_dual_pr_ee_ce
 * m645a_swio15_dual_pr_ee_ce        m645p_swio15_dual_pr_ee_ce        m6450_swio15_dual_pr_ee_ce
 * m6450a_swio15_dual_pr_ee_ce       m6450p_swio15_dual_pr_ee_ce
 */
static const uint64_t ur_m649_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e99a4c,
  0xee68fa9d1c13767d, 0xe30120982bbc9b12, 0x932305520f9f4c13, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0xd1b0d34707f93620, 0x8904903b1f9bd470, 0x4312bfcfdf0450a4, 0xd338edd89f5c3e14, 0x432d0286886559cb,
  0xbffa039e133a58a8, 0x982c3795e425b735, 0x8f2b4a0e20ffeaa4, 0xf9e3cdcef1058fea, 0x9ba673ac3f37d523,
  0xbd4795efb94ed605, 0x2bb75ea3e0d98332, 0x88a459a75a1140a6, 0xca78752135f46165, 0x25d9fc47d41ceaed,
  0xa3f92c6abc6c75ea, 0xb2fa598b8484507a, 0xf9bdaa3608991c37, 0x7f157ceee2a4a598, 0x8ce6283b5e5caad6,
  0xeaece75152a8d773, 0xae0404e9b95daa5b, 0x2c434ae4ac7a4439, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0xeee3458f386e52d4, 0xf4c2b93f75666fe0, 0x296ce1c4e32c970c,
  0xf9e4afdcd0ccb0e9, 0x00000004c10926b8,
};

/*
 * m649a_swio15_dual_pr_ee_ce_u4     m649p_swio15_dual_pr_ee_ce_u4     m6490_swio15_dual_pr_ee_ce_u4
 * m6490a_swio15_dual_pr_ee_ce_u4    m6490p_swio15_dual_pr_ee_ce_u4    m645_swio15_dual_pr_ee_ce_u4
 * m645a_swio15_dual_pr_ee_ce_u4     m645p_swio15_dual_pr_ee_ce_u4     m6450_swio15_dual_pr_ee_ce_u4
 * m6450a_swio15_dual_pr_ee_ce_u4    m6450p_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m649_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e27d, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb829f65887,
  0xd3e6ba85b41e1bf8, 0x60aef25a73bb4836, 0x917b3d304f8c0482, 0xa4606eebec99182a, 0x9dd3e25c40c2860d,
  0xc3f5e635bfccac04, 0xd6e6f51e006c0521, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0x22195672f4ce1d7c,
  0x84d95a2a10cb4367, 0x79096dee47fe80e7, 0xb7ff8c85e60b0de5, 0x5b8c5faa33832826, 0x22eb3879e7c033b3,
  0x00fea3e12fc43612, 0x109ba64c5c3fad4f, 0x32bd4795efb94ed6, 0xa62bb75ea3e0d983, 0x6588a459a75a1140,
  0xedca78752135f461, 0xea25d9fc47d41cea, 0x7aa3f92c6abc6c75, 0x37b2fa598b848450, 0x98f9bdaa3608991c,
  0xd67f157ceee2a4a5, 0x738ce6283b5e5caa, 0x5beaece75152a8d7, 0x39ae0404e9b95daa, 0xaf2c434ae4ac7a44,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xd4bf36d028c76f62, 0x0d1fc68b224c6e52,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xf22029e4afdcd0cc, 0x0000000000400269,
};

/*
 * m649a_swio15_dual_ee_hw           m649p_swio15_dual_ee_hw           m6490_swio15_dual_ee_hw
 * m6490a_swio15_dual_ee_hw          m6490p_swio15_dual_ee_hw          m645_swio15_dual_ee_hw
 * m645a_swio15_dual_ee_hw           m645p_swio15_dual_ee_hw           m6450_swio15_dual_ee_hw
 * m6450a_swio15_dual_ee_hw          m6450p_swio15_dual_ee_hw          c64_swio15_dual_ee_hw
 */
static const uint64_t ur_m649_swio15_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63d086fc69, 0xd0774e72beb13939, 0xb8276abbd35f7ef6, 0xe1f5ce1942da73b2,
  0xeed6573174d48b85, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe657419dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x8dc9ca0f4fff9d5b, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x1013a6e576a96fab,
  0x0d2b92b1e910e6b8, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d,
  0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x000000aed322c945,
};

/*
 * m649_swio15_dual_ee_ce_u4_hw      m649a_swio15_dual_ee_ce_hw        m649a_swio15_dual_ee_ce_u4_hw
 * m649p_swio15_dual_ee_ce_hw        m649p_swio15_dual_ee_ce_u4_hw     m6490_swio15_dual_ee_ce_hw
 * m6490_swio15_dual_ee_ce_u4_hw     m6490a_swio15_dual_ee_ce_hw       m6490a_swio15_dual_ee_ce_u4_hw
 * m6490p_swio15_dual_ee_ce_hw       m6490p_swio15_dual_ee_ce_u4_hw    m645_swio15_dual_ee_ce_hw
 * m645_swio15_dual_ee_ce_u4_hw      m645a_swio15_dual_ee_ce_hw        m645a_swio15_dual_ee_ce_u4_hw
 * m645p_swio15_dual_ee_ce_hw        m645p_swio15_dual_ee_ce_u4_hw     m6450_swio15_dual_ee_ce_hw
 * m6450_swio15_dual_ee_ce_u4_hw     m6450a_swio15_dual_ee_ce_hw       m6450a_swio15_dual_ee_ce_u4_hw
 * m6450p_swio15_dual_ee_ce_hw       m6450p_swio15_dual_ee_ce_u4_hw    c64_swio15_dual_ee_ce_hw
 * c64_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m649_swio15_dual_ee_ce_hw[] = {
  0xdeeeeeed14682906, 0x83eeac5c6f277e27, 0x705ba89f5a499f69, 0x7b0eb95ef336e17a, 0x847e15bb829f6588,
  0x2be405ed2311e1bf, 0x0120982bbc969cee, 0x460aa45ecf4c13e3, 0xa18369181bbafb26, 0x95d06774f8971030,
  0x80a4387ebcc6b7f9, 0x2481dadcdea3c00d, 0x95fe7ef822852448, 0xc3af84fae1f0a218, 0x686ce4432ace5e99,
  0xd01cf09b2b454219, 0x61bcaf212dbdc8ff, 0x06504d6ffceadcc1, 0x90e766b718bf5467, 0xc4361222eb3879e7,
  0x0fd4e5c17ea3e12f, 0xee53b58426e99317, 0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669,
  0xf5073abb729e1d48, 0xaf1b1d7a89767f11, 0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0x6e576a96fabb39d4, 0x2b1e910e6b81013a, 0x7b55a22bcb10d2b9,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe31b94b52fcdb40a, 0xc3def2861539fa84,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x1d758a04a8a792bf,
};

// m48_autobaud_uart0_noled_pr       m48a_autobaud_uart0_noled         m48a_autobaud_uart0_noled_pr
static const uint64_t ur_m48_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7e2e, 0xc1d04f2737f5fa33, 0xd0475e35cdadddd6, 0xb304f8c9ddb1fb0b,
  0xf094beff6617cf9e, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xa3f3c77cb24386d1, 0xbe4f471cab03349e,
  0x8f199cc580b7ba61, 0x39630475e2e767b4, 0xf81895af615944ee, 0xd4180ef5af39c2cd, 0x9794d8ce16f37807,
  0xe718de33a2057553, 0x92455bd8aaa2d2c2, 0x4406ed94462fe6d8, 0xbab31e40d1fc68b3, 0x1966b219e985a0df,
  0xfb9a19961d964a27, 0x01c440920baf3c95,
};

// m48a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m48_autobaud_uart0_noled_pr_u4[] = {
  0x377777768bb128ae, 0xeeeeee963d4d88d6, 0x635cbd9b550f7c7e, 0x6d8cddfbbbb3dde1, 0x3e32777e9ee14247,
  0xba8ff3b467f6fcc1, 0x02e8855022054f84, 0x51c2bf5526bee6de, 0xa03be5843c368ded, 0x5a38e5581a0bf51f,
  0x58731602cb299efb, 0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0x7e06256bd838f81e, 0xf50603bd6bce70b3,
  0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x6ae0f365118bf9b6, 0xf2076d0d1659d172,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3,
  0xc32681c4f9e4afdc, 0x0000000000000008,
};

// m48a_autobaud_uart0_noled_pr_ee
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xeeeeeee96293e0ce, 0xaf64090f1f42f5eb, 0xddb53e17f5fbaf23, 0x2777c8e9894670cc,
  0xff3b467edd4c13e3, 0x10aa0440a9f09604, 0x57eaa4d7dcdbc05d, 0xd68c1486d1bdaa38, 0x1ad7f51e57d441fe,
  0x07f1584ff51f06cc, 0x185962291669d684, 0xe5f0e87dccc00d7d, 0x53b08a8f9e39d5a5, 0x8f593daad743af43,
  0x5ecb65cc5c242afe, 0x12a6951b0465ff80, 0x59bf0312b5ec1c5d, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x40b93571b288c5fc, 0xeacc7903b6868b34, 0x659ac867a616837e,
  0xee6866587659289c, 0x0c41c0e4e27cf257,
};

// m48a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ee_u4[] = {
  0x8ddddddda2447768, 0x7777774b149f0675, 0x7b204878f7afb417, 0xeda9f0bfafdd791d, 0x3bad3b699ce28666,
  0xf487f3f6ea609f19, 0x0aa0440a9f09604f, 0x7eaa4d7dcdbc05d1, 0x68c1486d1bdaa385, 0xad7f51e57d441fed,
  0x7f1584ff51f06cc1, 0x85962291669d6840, 0x5f0e87dccc00d7d1, 0x3b08a8f9e39d5a5e, 0xf593daad743af435,
  0xecb65cc5c242afe8, 0x2a6951b0465ff805, 0x9bf0312b5ec1c5d1, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0x9357079b288c5fcd, 0xc7903f2868b2ce8b, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0xd4edaf7117cf257e,
  0x0000000000000004,
};

// m48a_autobaud_uart0_noled_pr_ce
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ce[] = {
  0xbbbbbbba83d8b562, 0x777774b10880beb1, 0x7c7c01e2c90d5a37, 0x4da9b11ddddf5fe2, 0xe3277699eb4bb82f,
  0x4aff3b467d2b4c13, 0x5d10aa0440a9f095, 0x3857eaa4d7dcdbc0, 0xab1fd77b86d1bdaa, 0xb5c2d7e797970734,
  0x9ee5975ac99cebb9, 0x8e395607acf51c9e, 0xd1eb0e62c051f3a4, 0xffd99e3af47ced5f, 0xc0f2d6e1f6679500,
  0x859bf0312b5ec1c7, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6, 0xa585ce31bc67440a, 0x9b624863b7b15545,
  0x9726ae0f365118bf, 0x663c81db434597ab, 0x04e34a1854e7ea75, 0x5a0dfbe2343c899e, 0x9f0271966b219e98,
  0x9f3c95fb9a19961d, 0x000000046ea3a2b8,
};

// m48a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ce_u4[] = {
  0x1bbbbbbb4488a493, 0x7777774b0b90412b, 0xbc29e98db867ad2f, 0x0ccd8cc7777777f8, 0x3e32774a769a53b4,
  0x297fe90fe7f024c1, 0x0ba2154088153e12, 0x470afd549afb9b78, 0xfaa8fafc90da37b5, 0x71a20f3cbcbad218,
  0x2cbc25f886c2445f, 0x64cd51dcdaf3b7fa, 0xd67a8e4f4f72c10d, 0x6028f9d2471cab03, 0x7a3e76afe8f58731,
  0xfb33ca807feccf1d, 0x95af60e3e0796b70, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794,
  0xdbd8aaa2d2c2e718, 0x9b288c5fcdb12431, 0x2868b2ce8b935707, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867, 0x9117cf257ee68665, 0x0000000002375153,
};

// m48a_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd41446f43, 0xbbbbba58f53b2358, 0xd051a6b4791de4bb, 0x8330b248bbbb6e17, 0x74056c4ed94b8c8f,
  0x21fcff4fcc13e327, 0x5022054f84babffd, 0x5526bee6de02e885, 0xc3dc368ded51c2bf, 0xe5e5d690a1d8fea8,
  0xe4ce75dcdafcb5f9, 0xa8f2bd280ddac0a3, 0x67afa8f83660f22f, 0xc4522cd3ad08e405, 0x4befad801afa30b2,
  0xa761151f3c73ab5c, 0x7ac9ed57a7075e86, 0xf65b2e62e12157f4, 0x4a9a546c11409c02, 0xb37e06256bd9d3d4,
  0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4, 0xe4d5c1e6ca2317f3,
  0xc7903f2868b2f572, 0x9c69430a9cfd4eac, 0x41bf7c46879133c0, 0xe04e32cd6433d30b, 0xe792bf734332c3b3,
  0x00000008222ec88b,
};

// m48a_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddda2e7c4c7f, 0x777774b09eb58358, 0x4cd71b4b477b13b7, 0x840368c4775a9ad1, 0xdb17d76555e2465d,
  0x9a79f7f9304f8c9d, 0x4088153e120d1fef, 0x549afb9b780ba215, 0x4ad0da37b5470afd, 0x97979dc56aa8faa3,
  0x10d8488bee3441e7, 0x9b5f2a3f459784bf, 0x0376b33c7c99aa3b, 0x0d983c8bea3caf4a, 0xeb42390159ebea3e,
  0x06be8c2cb1148b34, 0xcf1cead712fbeb60, 0xe9c1d7a1a9d84547, 0xb84855fd1eb27b55, 0x04502700bd96cb98,
  0x5af674f512a6951b, 0xef5af39c2cdf8189, 0x8ce16f37807d4180, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d,
  0xb288c5fcdb12431d, 0xc68b2ce8b9357079, 0x4e7ea75663c819a7, 0xcc4ffef0f7bca185, 0x826879133c0fe32f,
  0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3, 0x5aa792bf734332c3, 0x000000008222f3e7,
};

// m48_autobaud_uart0_lednop_pr      m48a_autobaud_uart0_lednop        m48a_autobaud_uart0_lednop_pr
static const uint64_t ur_m48_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7cde, 0xad83a0b783eada33, 0x2f411d78d7d9fbbb, 0x3dcc13e32776c7ec,
  0xa7c25dd7fb30be7e, 0x736f017442a81102, 0x46f6a8e15faa935f, 0x7a8e4f1df2c90e1b, 0x86ff3d1c72ac0cd2,
  0x14720a731602dee9, 0x71cb1823af173b07, 0xbf0312b5ec2b141f, 0x01deb5e781013859, 0x253a005bcde5ba83,
  0x0b4e02f7ca9bd4a7, 0xe31bc674408ea281, 0x880ddb288c5fcdb4, 0x75663c81a3f8d166, 0x32cd6433d30b41bf,
  0xf734332c3b2c944e, 0x03888124175e792b,
};

// m48a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb45d8ad4e, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0xe32777c8ea088ccb,
  0xbaff3b467e3dcc13, 0x2e8855022054f84b, 0x1c2bf5526bee6de0, 0x63be5843c368ded5, 0xe38e5581a0bf51ed,
  0xce62c0596537c907, 0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x0312b5ec82b40f2c, 0xdeb5e781013859bf,
  0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4462fe6db9c8ab7b, 0x4596745c9ab83cd9,
  0xe7ea75663c81db43, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x3e792bf734332c3b, 0x00000001186e9e71,
};

// m48a_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ee[] = {
  0xb1bbbbbbbbd8b562, 0xeeeeeee96293e56e, 0x8b4130aa8634f685, 0x2fb1fc2febf7777f, 0x4eed33dfa7704fde,
  0xfe768cfefb9827c6, 0x2154088153e1253d, 0xafd549afb9b780ba, 0xad1fc90da37b5470, 0x31bfea3cacf583fd,
  0x07f15f51ea3e0d98, 0x185962291669d684, 0xe0a0eb19ccc00d7d, 0x33b5ac8ebf9cead2, 0x18fb9ed56ba1d780,
  0xf65c3918b848421d, 0x56bd83a1f72ffc02, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x5fcdb739156f62aa, 0xb3440b93571b288c, 0x37eeacc7903b6868, 0x89c659ac867a6168,
  0x257ee68665876592, 0x0000620ea9ce27cf,
};

// m48a_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x8ddddddda2447705, 0x7777774b149f3f75, 0xf066c802fa8bb647, 0x5d93e17f5fbaf23a, 0x775b16ac149942da,
  0xe90fe7e2b4c13e32, 0x154088153e12df7f, 0xfd549afb9b780ba2, 0xd18290da37b5470a, 0x5afea3cafba83fda,
  0xfe2bdbfea3e0d983, 0x0b2c4522cd3ad080, 0x4a1d0fb99801afa3, 0x761be8c9e39d5a5f, 0x90e7b55ae875e86a,
  0x65b2e62e1212cf46, 0x33ca8d8232ffc02f, 0xbf0312b5ec1c58fb, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd94462fe6db9c8ab, 0x434596745c9ab83c, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xf826879133c0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d, 0x88be792bf734332c,
  0x0000000026a75d5b,
};

// m48a_autobaud_uart0_lednop_pr_ce
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef62ff41, 0xddddddd2c42263ba, 0x120bfc7f1f413590, 0xe1564c99eeeefaff, 0x4f8c9dda0bb42cc4,
  0x4e4ffced19f90f30, 0x017442a81102a7c2, 0xa8e15faa935f736f, 0x13ec7f5dee1b46f6, 0xcdafa6ff3cbcb838,
  0x24f72cbad64ce75d, 0x2c71cab03d67a8fd, 0x7a3486731602a622, 0x1ffb33c75e8f9d96, 0x681e5adc82cd22a0,
  0x70b37e06256bd905, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x6ae365118bf9b6e7, 0xf2076d0d16688172, 0x90cf4c2d06fdd598, 0xccb0ecb25138cb35, 0xa2f9c4f9e4afdcd0,
  0x000000000000b3f0,
};

// m48a_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x8ddddddda2447e4a, 0x7777774b0b902b75, 0x5a0985543a17af5f, 0xfde2fb1fbbbbbbfc, 0x7c64eebd6d312af8,
  0xa7bfd21fcfefb982, 0x17442a81102a7c24, 0x8e15faa935f736f0, 0x7551f5f921b46f6a, 0xe3441e797975a45f,
  0x59784bf10d8488be, 0x64cd51dcdaf883f4, 0xd67a8fd24f72c10d, 0x602a6222c71cab03, 0xe8f9d967a3486731,
  0x2cd22a01ffb33c75, 0x56bd905681e5adc8, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0xbf9b6e70c76f62aa, 0x9d1726ae0f365118, 0x9d598f207e50d165, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x00046ea4e2e22f9e,
};

// m48a_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41447032, 0xbbbbba58f5334b58, 0xd91a0a6c74ed977b, 0x9fb0b248bbbb6e17, 0x74ed6d894e54cfe9,
  0x21fcf8cdcc13e327, 0xa81102a7c2416bfd, 0xaa935f736f017442, 0x61ee1b46f6a8e15f, 0xf2f2eb49812c7f54,
  0xf2673aee6d7eb3fc, 0xa8f2b09e06ed6051, 0x7227a8f83660f22f, 0xc4522cd3ad08e405, 0x34afad801afa30b2,
  0xa761be8c9e39d5ae, 0xa439ed57a7075e86, 0xd96cb98b8484b3d1, 0x667951b04502700b, 0x9bf0312b5ece9e1f,
  0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x9b288c5fcdb73863,
  0xa1a2cbd5cb935707, 0x2a73f53ab31e40fc, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1, 0xcd0ccb0ecf8138cb,
  0x208881222f9e4afd,
};

// m48a_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e173e, 0xbbbbba584f5c71ac, 0x5834cdeb991db13b, 0xb451b4623bad4d68, 0xddfbdb0c89e8ce0d,
  0x34f3f5bf304f8c9d, 0x022054f84a76ffdf, 0x526bee6de02e8855, 0x2b4368ded51c2bf5, 0x5e5e76706aa3ea8d,
  0x4361222fb8d1079e, 0x6d7524fd165e12fc, 0x0ddaccf1f266a8ee, 0x6cc1e45f51e5613c, 0x5a11c80ae44f51f0,
  0x35f4616588a459a7, 0x3c73ab5c695f5b00, 0x4e0ebd0d4ec37d19, 0x090967a34873daaf, 0x8a04e017b2d97317,
  0xbd9d3c3eccf2a360, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde,
  0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x104420e4eb54f257,
};

// m48a_autobaud_uart0_dual
static const uint64_t ur_m48_autobaud_uart0_dual[] = {
  0xe1fdddddddd44511, 0xaddddddd43950cc8, 0x5d91d4771c50569d, 0xb134e76502f7775a, 0x09f19256ee5f6b74,
  0x571164004a4747e6, 0x881850c195d606da, 0xff32d8bb53ba7c4b, 0xe76c2439c0bacc50, 0x392156065166f51f,
  0x6e1f02bfcc681142, 0x57717bbe2efb1f00, 0x98c54219684dc886, 0x4b6ee97fe80e784c, 0xfecc2f30586f2bc8,
  0x10aa0440a9f093f9, 0x57eaa4d7dcdbc05d, 0x7cb57f86d1bdaa38, 0x1cab03487ea388a7, 0xc580bf873263d247,
  0xd7916ecd7c8ded1c, 0x494ac1f7b8e58c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x02de6f2dd4180ef5,
  0x17be54dea53929d0, 0x33a2047514085a70, 0xd94462fe6da718de, 0x0df8f8765c9ab83c, 0x0271966b219e985a,
  0x3c95fb9a19961d9f, 0x00000327931d445f,
};

// m48a_autobaud_uart0_dual_pr
static const uint64_t ur_m48_autobaud_uart0_dual_pr[] = {
  0xbbbbbba1ebe7ce7c, 0xbbbba872a1a0ac3f, 0x0cec91da4cd39dbb, 0x0f6817bbba107d3b, 0xcee4843b9f63f15f,
  0x04a4747e609f1930, 0x195d606da5711640, 0x053ba7c4b881850c, 0x5386049a577e65fe, 0x0dd2cdea394bd830,
  0x7f98d022847242ac, 0xbe2ef7f800dc3e05, 0x196869488657717b, 0x7fe80e784d374542, 0x30586f2bc84b6ee9,
  0x88153e127f3fced1, 0x9afb9b780ba21540, 0x50da37b5470afd54, 0x621fd47c8a77cb13, 0x41e69c5ef8e39560,
  0x76b591d7f398b015, 0xd500ffd9823af006, 0x549d03cb3db10e90, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895,
  0x79bcd914180ef5af, 0xf9537a94e4a7400b, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xb2e4d5c1e6ca2317,
  0xacc790334f8d160b, 0xf313f9430a9cfd4e, 0x0f9a1e44cf1738cb, 0x867a616837e39efc, 0x6658767c09c659ac,
  0x5408eb54f257ee68, 0x0000000000000170,
};

// m48a_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m48_autobaud_uart0_dual_pr_u4[] = {
  0xfddddddda2e7ce7c, 0xdddddd43950deb61, 0x94e6671c4eb6abed, 0x1586477bbbad2ec8, 0x2b772421d67c3f1b,
  0x001291723304f8c9, 0x30657581b695c459, 0xf814ee9f12e20614, 0x21ce05d66287f997, 0xb0328b37a8ff3b61,
  0x15fe63408a11c90a, 0xddf177eed00370f8, 0x10cb426e4432bb8b, 0x8bff4073c264c62a, 0x8982c3795e425b72,
  0x088153e12dbffe76, 0x49afb9b780ba2154, 0xff0da37b5470afd5, 0x0690fd47114ef96a, 0xfe1cd920df8e3956,
  0x6ec4f237b4731602, 0xc13fb8e58c11d791, 0x64fe2af9ddc5494a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c,
  0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0xe4d5c1e6ca2317f3, 0x8f20669f1a2cb3a2,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e44c, 0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb,
  0x2e0b029d6a9e4afd, 0x0000000000000000,
};

// m48a_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ee[] = {
  0x1fdddddddde7ce7c, 0x6eeeeeea1c41021e, 0xe29da930eb56b6e7, 0xbcfb8d40bd71eee4, 0x91b9210eecd8fcdf,
  0x02523d6a9827c648, 0x0caeb036d2b88b20, 0x029dd3e25c40c286, 0xe1c0344da6bf32ff, 0x1d0fcdea3d8fec3f,
  0xff31a04508e48558, 0xf8bbfacc01b87c0a, 0xcb40e1a2195dc5ee, 0xfe80e784ce4e2a10, 0x0b0de579096dcc7f,
  0x054f84a397f9da26, 0xbee6de02e8855022, 0x368ded51c2bf5526, 0xf2beea0ff6b4738c, 0x2bd47c1b30698fa8,
  0x522cd3ad080fe2bd, 0x7199801afa30b2c4, 0x193c73ab4bcbe1d0, 0xaad743af29a76e91, 0x317090aa5a34873d,
  0xd1a497fe017b2e3e, 0xd93f8abe77715251, 0x020270b37e06256b, 0x005bcde603bd6bcf, 0x4f80b5392296af3a,
  0x19d1032ff14085a5, 0x6ca2317f36d38c6f, 0xf1a2cd102e4d5c1e, 0x2d06fdd598f20669, 0xcf8138cb3590cf4c,
  0x6a9e4afdcd0ccb0e, 0x0000000411781c9d,
};

// m48a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ee_u4[] = {
  0x1fddddddda2432db, 0xeeeeeeea1c412e76, 0x69d45e55e73b6b8e, 0x51f67c0bd71eeb33, 0x77268fefb833a44f,
  0x4a45c95304f8c947, 0x95d606da57116400, 0x73ba7c4b881850c1, 0x383fc9b107e65c1c, 0xd8fcdea3868d869a,
  0xf31a04508e485581, 0x177b41c01b87c0af, 0x683054432bb8bddf, 0xd01cf09a43c54219, 0x61bcaf212dbd8fff,
  0x53e121adfe90fcc1, 0xb9b780ba21540881, 0xa37b5470afd549af, 0xadfc83fdad1f510d, 0xf51f06cc1af9ea3c,
  0x1669d68407f15c06, 0xccc00d7d18596229, 0x4539d5a5f6f8e84f, 0x6ba1d7b19bb2628c, 0x5c242b591d7f9ed5,
  0x08cbff00bd97d2cc, 0x15251c589fd62a36, 0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x8c5fcdb739156f62, 0xb8d1659d0dc79b28, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0xae149e4afdcd0ccb,
  0x00000000014a93a7,
};

// m48a_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ce[] = {
  0xfdddddddde7c50e3, 0xdddddd4385c4b561, 0x73bed3d62afddfbd, 0x6cf9056eeeac1466, 0x5c772eef42ce17d7,
  0x004a41b77304f8c9, 0xc195d606da571164, 0xe053ba7c4b881850, 0x04e1d5f350ffe65f, 0x03b7537a8f1cb607,
  0x5fe63408a11c90ab, 0xdf177de180370f81, 0x19684064432bb8bd, 0xbfe80e784c654542, 0x30586f2bc84b6f6e,
  0x102a7c245d7fced1, 0x35f736f017442a81, 0xe1b46f6a8e15faa9, 0xcbcbcee3dd8feab5, 0xb99cebb9b5fabff3,
  0x5fa8e37e7b965d54, 0x0a0a0f91c72ac0ea, 0x033b5ac8ebf9cc58, 0x486a807feccf1d78, 0xa92a93a0796b7087,
  0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0xc5fcdb73863b7b15, 0x3440b9357079b288, 0xf75663c819a7c68b, 0xe32cd6433d30b41b, 0x2bf734332c3b3e04,
  0x00029e4f1b75aa79,
};

// m48a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ce_u4[] = {
  0xfddddddda2436f02, 0xbbbbba872c98ebe1, 0xecfbebb9c5a89fbb, 0x9ceb69cb77772714, 0x246e43c3d26c59bb,
  0x00948e1fe609f192, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xf8700d1369afccb8, 0x0743f37a8f63fb0f,
  0xbfcc681142392156, 0xbe2ef24a006e1f02, 0x32d038688657717b, 0xffa039e133938a84, 0x82c3795e425b7a1f,
  0x02a7c25a6ffd21f9, 0x5f736f017442a811, 0x1b46f6a8e15faa93, 0x80612f9d551f59c6, 0xd8488bee3441e785,
  0x5d0fbf459784bf10, 0xb960854b99aa3b9b, 0x72ac0ea5fa8e37e7, 0xbf9cc580a0a0f91c, 0xccf1d78033b5ac8e,
  0x96b7087486a807fe, 0x55f3bb8a92a93a07, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x63b7b15545a6ae9c, 0xc79b288c5fcdb738, 0x9bf83bb8d1659d0d, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7e07effe09a1e44c, 0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xd7b48bee149e4afd,
  0x000000000000000a,
};

// m48a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ee_ce[] = {
  0xf77777775050cf68, 0xeeeeea1ca8684387, 0x577a6befdeb4f6ee, 0xae7033b83ba76926, 0xd656f5edbb1c2f0f,
  0x0f27304f8c97ad72, 0x81b695c459001291, 0x9f12e20614306575, 0x1cdcb5f997071cee, 0x7a8f8ddb0ec1385e,
  0x114239215606d773, 0x07006e1f02bfcc68, 0xa2195dc5eef8bbf9, 0x84da6e2a10cb40e0, 0x79096ddaeffe80e7,
  0xddaff487e60b0de5, 0x0ba2154088153e12, 0x470afd549afb9b78, 0x63faa3a950da37b5, 0xd257e78580612d9d,
  0x6b02e49339d7736b, 0x83f93d4795c7b037, 0x47202b31fea3e0d9, 0xd185962291669d68, 0x9d5ae36ffd6c00d7,
  0x1d7b19bb2628c453, 0x0ad6475fe7b55e9c, 0x09c02f65f4b31709, 0x5e9e13fac546c114, 0x6bd93f8abe777152,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0xb2f571b8f365118b, 0xfd4eaccdfc1ddc68, 0x9133c09c69430a9c, 0x33d30b41bf7c4687, 0x32c3b3e04e32cd64,
  0x8beb852792bf7343, 0x000000000001fab6,
};

// m48a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fbf5b, 0xbbba8714d8ce61fd, 0x70b0b15ef6af7bbb, 0x080dd6e843b17c89, 0xd1f9017c7f9b4d9b,
  0x04f8c99c572feb7a, 0x5c4590012907b3d3, 0x2061430657581b69, 0x7e657662cee9f12e, 0x46c2e44e04953654,
  0x485581f2d4dea3a5, 0x87c0aff31a04508e, 0x717bbe2ef67ac01b, 0x8a8432d0ff888657, 0x7e5affa039e1305a,
  0xcd3982c3795e425b, 0xa0440a9f09400ff7, 0xaa4d7dcdbc05d10a, 0x94b86d1bdaa3857e, 0x2c020e74fd547d51,
  0x86c2445f71a20f3c, 0xb5fbadfa2cbc25f8, 0x376b33f2499aa3b9, 0xd983f93d4795c7b0, 0x6847202b31fea3e0,
  0xd7d185962291669d, 0x539d5ae36ffd6c00, 0x9c1d7b19bb2628c4, 0x090ad6475fe7b55e, 0x1409c02f65f4b317,
  0x525e9e13fac546c1, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x8bf9b6e70c76f62a, 0x59d1726ae0f36511, 0x75666fe0dfa08d16, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x01fab64e2dc80a79,
};

// m48_u1x8_uart0_noled_pr           m48a_u1x8_uart0_noled             m48a_u1x8_uart0_noled_pr
static const uint64_t ur_m48_u1x8_uart0_noled[] = {
  0x8ddddddb96b372ac, 0x7777774b161448b5, 0xbf99360fe17a35f7, 0x97b793d7eeee8c20, 0x27c64eed43d802c9,
  0x5f27fb30be7c1498, 0x87b9cdfda2016f60, 0x03417ea3f4077cb0, 0x596533df6b471cab, 0x7ced5fd1eb0e62c0,
  0x679500ffd9823af4, 0x7b071f03cb3db1f6, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0xa2317f36c4922ade, 0x068fe3459a20376c, 0xcf4c2d06fdd598f2, 0xb0ecb25138cb3590,
  0x705d79e4afdcd0cc, 0x000000000001f21a,
};

// m48a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m48_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbb72a2ec53b90, 0xeeee962c28916b1b, 0x360fe17c7f5d7eee, 0x93d7eeee8c20bf99, 0x9dda17be3d7197b7,
  0xfe768cf829304f8c, 0x737f68805bd817c9, 0x5fa8fd01df2c21ee, 0x4cf7dad1c72ac0d0, 0x57f47ac398b01659,
  0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d,
  0x45a585ce31bc6744, 0x5fcdb1248ab7b155, 0xce8b9357079b288c, 0x4eacc7903b6868b2, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0, 0x0000f931538e27cf,
};

// m48a_u1x8_uart0_noled_pr_ee
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f62eff6, 0xbbbbba58e177a758, 0xf63f3175ec869b1b, 0xbdb6c39a0b76fce6, 0x3ba106bd7a664829,
  0xf9da33e70e609f19, 0x9bfb4402dec092b7, 0xafa883fdad182973, 0xea3e0d9835afea3c, 0x2cd3ad080fe2b09f,
  0x99801afa30b2c452, 0x3c73ab4bcbe1d0fb, 0xae875e86a761151f, 0xb84855fd1eb27b55, 0x08cbff00bd96cb98,
  0x6bd838ba254d2a36, 0xbd6bce70b37e0625, 0x3385bcde01f50603, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637,
  0x65118bf9b6249156, 0x6d0d166881726ae3, 0x4c2d06fdd598f207, 0xecb25138cb3590cf, 0xc4f9e4afdcd0ccb0,
  0x000000000a7cb1fd,
};

// m48a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ee_u4[] = {
  0xeeeeedca891151eb, 0xddddd2c70bbd3ac6, 0x63f3175e6c695bdd, 0xdb6c39a0b76fce6f, 0x74c8ed057ac4829b,
  0x90fe7ce1cc13e327, 0xfed100b7b024adfe, 0xea20ff6b460a5ce6, 0x8f83660d6bfa8f2b, 0x34eb4203f8ac27fa,
  0x6006be8c2cb1148b, 0x1cead2f2f8743ee6, 0xa1d7a1a9d84547cf, 0x12157f47ac9ed56b, 0x32ffc02f65b2e62e,
  0xf60e2e89534a8d82, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0x4462fe6d892455bd, 0x4596745c9ab83cd9, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc,
  0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30, 0xbe792bf734332c3b, 0x00000004ebaf3e88,
};

// m48a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a0d7a, 0xdc497bd9efdb76de, 0x8f4aebfc4eeee8bf, 0x04f8c9ddc77b63cd,
  0x1201fecc2f9f09f3, 0xe82e737f68805bd8, 0xf9e5e5e129bac7f5, 0x58ce673aee6d72eb, 0x3c67ea38879ee597,
  0x2c05def05c71cab0, 0xaf173b3da478cce6, 0xbd83aa2771cb19e3, 0xd6bce70b37e06256, 0x385bcde01f50603b,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0xa2317f36c490c76f, 0x068fe3459a20376c, 0xcf4c2d06fdd598f2,
  0xb0ecb25138cb3590, 0x2c5d79e4afdcd0cc, 0x000000000005ba8e,
};

// m48a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c42271fac, 0xf6df1691417ed8fd, 0xd4380188eeeef85b, 0x27c64eef25d6411d,
  0x2a95fe768cfa5698, 0x3e5ce6fed100b7b0, 0x9e5e5c1c402aa3ea, 0xfc4361222fb8d107, 0xee6d731ffd165e12,
  0x879ee58218ce66a8, 0xfc71cab03c67ea38, 0xa8f199cc580b70c4, 0xc72c678ebc5ced20, 0xdf81895af60e9d3d,
  0xdd4180ef5af39c2c, 0xa72f29b19c2de6f2, 0x173663042d37aaea, 0x8bf9b69c6378ce88, 0x59d1726ae0f36511,
  0xa9d598f2076d0d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x000001baf029c4f9,
};

// m48a_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5bd8bf82, 0xeeeeee962c286c56, 0xeb429b2e2d2f469e, 0x60be0c9fb6ea451a, 0xdd313ab8e0d9bb06,
  0xced19f95d304f8c9, 0xdfda2016f604c17f, 0x7243d8fea8e44b9c, 0x7736ba6dfe797970, 0x2806ed60583f339d,
  0x3e0d983defd47958, 0x69d6847202b97dea, 0xc00d7d1859622916, 0x8ea59cead71927d6, 0x55e9c1d78033b740,
  0x31709084fa3a267b, 0x2512813805ecb872, 0x73859bf0312b5ec3, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d,
  0x45a585ce31bc6744, 0xbf9b624863b7b155, 0x66881726ae365118, 0x6fdd598f2076d0d1, 0x138cb3590cf4c2d0,
  0x4afdcd0ccb0ecb25, 0x000014d3e71c4f9e,
};

// m48a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddb951222a20, 0xbbbbba58f537af58, 0x6966eec9ae3dfa7b, 0x2081649177588971, 0xbaafb60dc6ab2210,
  0x90fe7fabe609f193, 0xfed100b7b028e5fe, 0xbeeaa3ea8ea55ce6, 0x7dc6883cf2f2eb49, 0xe8b2f097e21b0911,
  0x83f33547736bdc8f, 0xfa8f2b0500ddaccf, 0x572fbd47c1b307bd, 0x2c4522cd3ad08e40, 0xe324fad801afa30b,
  0x0676e811d4b39d5a, 0x4744cf6abd383af0, 0xbd970e462e12109f, 0x256bd864a2502700, 0x03bd6bce70b37e06,
  0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xe6ca2317f36c490c, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x5c45f3c95fb9a199, 0x000000000004fc08,
};

// m48_u1x8_uart0_lednop_pr          m48a_u1x8_uart0_lednop            m48a_u1x8_uart0_lednop_pr
static const uint64_t ur_m48_u1x8_uart0_lednop[] = {
  0x3777776e5acdfebe, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0x27c64eec2fdf1e48,
  0x5377fb30be7d0098, 0x87b9cdfda2016f60, 0x03417ea3dac77cb0, 0xb2ca6f920fc71cab, 0xe7659e8d219cc580,
  0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x166880ddb288c5fc, 0x1bf75663c81a3f8d, 0x44e32cd6433d30b4,
  0x92bf734332c3b2c9, 0x00000f9054e175e7,
};

// m48a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddb951762eff6, 0xbbbba58b0a50958d, 0x48a64d0e7a5d19bb, 0xfe2f56dddd18417f, 0x8c9dd083417d331a,
  0xddfe768cfa01304f, 0xee737f68805bd814, 0xd05fa8f6b1df2c21, 0xb29be483f1c72ac0, 0xd967a3486731602c,
  0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x4d5c1e6ca2317f36, 0x1e40eda1a2cb3a2e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xfc0fdffc1343c899, 0x6b219e98577d1ee4, 0x9a19961d9f027196, 0xe4c9c5b89f3c95fb,
  0x0000000000000003,
};

// m48a_u1x8_uart0_lednop_pr_ee
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ee[] = {
  0x1bbbbbb72dec4743, 0xbbbbbba58e17c2ab, 0x377a763c6033dc5f, 0xb417161cd05bb7e7, 0xc9dd68bb51560b20,
  0xffced19f287304f8, 0x9cdfda2016f60521, 0xe57dd41fed68c14b, 0xff51f06cc1ad7f51, 0x91669d68407f15ed,
  0xdccc00d7d1859622, 0x64f1cead2fa50e87, 0xad743af4353b0df4, 0x17090967a34873da, 0xc1197fe017b2d973,
  0x5af60e2c7d99e546, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0x7f36dce455bd8aaa, 0xcd102e4d5c6ca231, 0xdfbab31e40eda1a2, 0x271966b219e985a0, 0x95fb9a19961d964a,
  0x00014f870a389f3c,
};

// m48a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777776e54488ba31, 0x777774b1c2f85563, 0xef4ec78cc5fa6ef7, 0x82e2c39a0b76fce6, 0x3baccf6c880a6416,
  0xf487f3e50e609f19, 0x37f68805bd81487f, 0x5f7507fb5a3052e7, 0xd47c1b306b5fd479, 0x59a75a101fc57b7f,
  0x330035f4616588a4, 0x3c73ab4be943a1f7, 0x5d0ebd0d4ec37d19, 0xc24259e8d21cf6ab, 0x465ff805ecb65cc5,
  0xbd838b1f667951b0, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0xcdb739156f62aa8b, 0x8b9357079b288c5f, 0xacc7903f2868b2ce, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c, 0x009d720e5117cf25,
};

// m48a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a6cfa, 0xbfdc4eeef36b76de, 0xe6c7a575f426eee8, 0xc9827c64eee3bdb1,
  0xf604657fb30be7df, 0xfd7a0b9cdfda2016, 0xbafe7979784be4b1, 0x65d63399cebb9b5c, 0xac0f19fa8f82e7b9,
  0x398b0177b10f1c72, 0xf1d78b9d838a3905, 0xad7b074a0fb8e58c, 0x79e0404e166fc0c4, 0x16f3796ea0c077ad,
  0xbdf2a6f529c94e80, 0x3a2047463042d380, 0x94462fe6da718de3, 0x40d1fc68b34406ed, 0x19e985a0dfbab31e,
  0x961d964a271966b2, 0xc58baf3c95fb9a19, 0x000000000000b751,
};

// m48a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e54488aaac, 0xeeeee962111d7d63, 0xdb6b4d9f63f5a9ee, 0xc7971f4bbbbbe16f, 0x3e3277560e9b113b,
  0x28bfe90fe7fe74c1, 0xe5ce6fed100b7b02, 0x97975a4d2aaa3ea3, 0x10d8488bee3441e7, 0x9b5ec7ff459784bf,
  0xe7b960863399aa3b, 0x1c72ac0f19fa8f5f, 0x8e89398b016d6a97, 0x39633c75e2e761f6, 0xf81895af60e94d6e,
  0x0ef5af3c0809c2cd, 0x8a5abce8016f3798, 0x318216953e02d4e4, 0xb69c6378ce88197f, 0x726ae0f365118bf9,
  0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x375f596a22f9e4af,
};

// m48a_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0xbbbbbba58b0a62fa, 0xae6c2d198bd7da0b, 0xf78ee0c9fb6ea451, 0x9dde4bb4cd1db4b3,
  0xfced19fd37304f8c, 0xcdfda2016f60595b, 0x070a5d8fea8e44b9, 0xebb9b5dfe7e79797, 0xd000376b02c1f99c,
  0x51f06cc1ef7ea3ca, 0x59a75a11c80af4af, 0x5b0035f4616588a4, 0xb23afe73ab5c029f, 0xed57a7075e00ced6,
  0x918b848421d18fb9, 0x320fb409c02f65c3, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xb93571b288c5fcdb, 0xcc7903b6868b3440, 0x9ac867a616837eea,
  0x6866587659289c65, 0x4d3248e27cf257ee, 0x0000000000000001,
};

// m48a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddddb951222a20, 0xbbbbba58f5337758, 0x71d2b6482e3dfa7b, 0x2086616491775889, 0x27755f6c1b8d5644,
  0xfe90fe7ffe4c13e3, 0xcdfda2016f605d3f, 0x93025547d51d4ab9, 0x22fb8d1079e5e5d6, 0x1fd165e12fc43612,
  0x9f07e66a8ee6d7b9, 0x7bf51e568001bb59, 0x4056be7a8f83660f, 0x0b2c4522cd3ad08e, 0x5ae324fad801afa3,
  0xe00cecb3d1d7f39d, 0x2d18fb9ed57a7075, 0x02f65c3918b84848, 0x6256bd864507409c, 0xd6bcf020270b37e0,
  0x400b79bcb750603b, 0xc05ef9537a94e4a7, 0xf19d1023a3182169, 0xe6ca2317f36d38c6, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x5c45f3c95fb9a199, 0x000000000004fc08,
};

// m48_u1x8_uart0_dual_pr            m48a_u1x8_uart0_dual              m48a_u1x8_uart0_dual_pr
static const uint64_t ur_m48_u1x8_uart0_dual[] = {
  0x7f7777754cd44511, 0x77777750e71fc9d8, 0x68cc489a5295aecb, 0x33b13e4777756837, 0x9c7772fb5aaf8b13,
  0x9001291d83304f8c, 0x430657581b695c45, 0x62ed4ee9f12e2061, 0x3f8705f73145fccb, 0x5607dd4dea3c7bd8,
  0x02bfcc6811423921, 0xbddf17793a006e1f, 0xa10cb42324432bb8, 0xf75ff4073c26b5a2, 0x0bcc161bcaf212db,
  0xda2016f6040a7fb3, 0x388a77cb57fb9cdf, 0x06fc71cab03487ea, 0xbda398b017f0e6c9, 0x2c608ebc8b762791,
  0xceee2a4a5609fdc7, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x365118bf9b6e722a, 0x50d166881726ae0f, 0xc2d06fdd598f207e, 0xecf8138cb3590cf4,
  0x22f9e4afdcd0ccb0, 0x00000000018801ca,
};

// m48a_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m48_u1x8_uart0_dual_pr_u4[] = {
  0x777754ca2e7c50e3, 0x77750e71f0dd87f7, 0x627791015ad8b777, 0x3a38eeee833a1762, 0x2e5dde9ce70b7645,
  0x1290cf9304f8c924, 0x657581b695c45900, 0x14ee9f12e2061430, 0x8e095a674bf997f8, 0x331f37a8f52b61fb,
  0xfe63408a11c90ab0, 0xf177f4f80370f815, 0xcb41314432bb8bdd, 0xff4073c268ca2a10, 0x82c3795e425b731f,
  0x805bd811ebfe7689, 0x14ef9626ae737f68, 0xf1c72ac0c43fa8f9, 0xe731602a83cd38bd, 0x0475e00ced6b23af,
  0x7b621d21aa01ffb3, 0xf3bb8a92a93a0796, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd94462fe6db9c8a, 0x3e34596745c9ab83, 0x2a73f53ab31e40cd,
  0x7e627ff787bde50c, 0xfc1343c899e07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e, 0xbad53c95fb9a1996,
  0x0000000002926917,
};

// m48a_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbaa66f3e43ee, 0x777750e02febbc3f, 0xd49c9b13aded6b77, 0xabe1834f74489918, 0xb266d77b4f157d8b,
  0x8f394c13e327c8dc, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0xa7e6b1ffccbfc0a7, 0x9bd47eafd850f9c3,
  0xa04508e485581c72, 0xb37c01b87c0aff31, 0xee4432bb8bddf177, 0xe784cfe454219687, 0xf2bc84b6f1cbfe80,
  0x604a7bfced130586, 0x8fa8b9cdfda2016f, 0x7cf51e56fe41fed6, 0xf8ae037a8f83660d, 0x2cb1148b34eb4203,
  0x7c7427e66006be8c, 0xd93146229cead2fb, 0xbfcf6ab5d0ebd8cd, 0xcbe9662e1215ac8e, 0xeb151b0465ff805e,
  0x55f3bb8a928e2c4f, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5,
  0x8ab7b15545a6ae9c, 0x83cd94462fe6db9c, 0xcd3e3459a205c9ab, 0xe985a0dfbab31e40, 0x61d9f0271966b219,
  0x73ad53c95fb9a199, 0x0000000000190a2a,
};

// m48a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeea99448618be, 0xdddd4380bfaef0fe, 0x1a939362d75bdddd, 0x757c3069ee891323, 0x955ef7bb7822afb1,
  0x91e729827c64f91b, 0x7581b695c4590012, 0xee9f12e206143065, 0x74fcd63ff997071c, 0x537a8fd5fb0a1f38,
  0x3408a11c90ab038e, 0xf66f80370f815fe6, 0xfdc88657717bbe2e, 0x1cf099fc8a8432d0, 0xde579096de397fd0,
  0xd8129eff487e60b0, 0xa3ea2e737f68805b, 0x5f3d4795bf907fb5, 0xfe2b80dea3e0d983, 0x0b2c4522cd3ad080,
  0xdf1d09f99801afa3, 0x764c5188a73ab4be, 0xaff3daad743af633, 0xb2fa598b84856b23, 0xfac546c1197fe017,
  0x157ceee2a4a38b13, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x22adec555169aba7, 0xb8f365118bf9b6e7, 0x337f07771a2cb3a1, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719, 0x15909c5dc293c95f,
};

// m48a_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ce[] = {
  0x77754cd41e7cbd5b, 0x7750e0d71ed87f77, 0xa764e4e5a10f7777, 0x8376eeed91a66d89, 0x2aefddfbb41fb4af,
  0x90a49304f8c91a77, 0x7581b695c4590012, 0xee9f12e206143065, 0x12ba6b75f997f814, 0x8737a8ec1761810e,
  0x63408a11c90ab033, 0xbbf1000370f815fe, 0xa1d422195dc5eef8, 0x4073c2697d150865, 0xc3795e425b7387ff,
  0xb7b025f7fe768982, 0x1fd56bdce6fed100, 0xf4d7e797979dc7bb, 0x965d54b99cebb9b5, 0x2ac0ea5fa8e37e7b,
  0xf9cc580a0a0f91c7, 0xcf1d78033b5ac8eb, 0x6b7087486a807fec, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5,
  0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x79b288c5fcdb7386,
  0x9f1a2cbd5cb93570, 0x1539fa9d598f2066, 0x8d0f22678138d286, 0x9ac867a616837ef8, 0xe686658767c09c65,
  0x3490ad4eb54f257e,
};

// m48a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeea994486c541, 0xeeeea1c2e25ab0fe, 0x39df69eb6957eeee, 0xb67c82b777560a33, 0x8ee599bd402a31eb,
  0x094836ee609f192b, 0x32bac0db4ae22c80, 0x8e774f8971030a18, 0x9c3abe6a1ffccb83, 0x76ea6f51e396c0e0,
  0xfcc6811423921560, 0xe2efbc3006e1f02b, 0x2d080c88657717bb, 0xfd01cf098ca8a843, 0x0b0de579096dedd7,
  0x05bd81175ff487e6, 0x551f59c6e737f688, 0x3441e78580612f9d, 0x9784bf10d8488bee, 0x99aa3b9b5d0fbf45,
  0xfa8e37e7b960854b, 0xa0a0f91c72ac0ea5, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780, 0x92a93a0796b70874,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x5fcdb73863b7b155, 0xd1659d0dc79b288c, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf,
  0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0x149e4afdcd0ccb0e, 0x00000001a48fc0ae,
};

// m48a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbaa676090cf68, 0x77750e543421c3fb, 0xbd35f7ef5a7b7777, 0x3819dc1dd3b4932b, 0x2b7af6dd8e1787d7,
  0x939827c64bd6b96b, 0xdb4ae22c80094887, 0x8971030a1832bac0, 0x6e5afccb838e774f, 0x47c6ed87609c2f0e,
  0xa11c90ab036bb9bd, 0x80370f815fe63408, 0x0caee2f77c5dfc83, 0x6d37150865a07051, 0x84b6ed77ff4073c2,
  0xd7fa43f30586f2bc, 0xe737f68805bd816e, 0xc25d3f551f54652e, 0x9117dc6883cf0b00, 0x257e8b2f097e21b0,
  0x667e4933547736bd, 0x7f27a8f2b8f606ed, 0xe405663fd47c1b30, 0x30b2c4522cd3ad08, 0xab5c6dffad801afa,
  0xaf633764c5188a73, 0x5ac8ebfcf6abd383, 0x3805ecbe9662e121, 0xd3c27f58a8d82281, 0x7b27f157ceee2a4b,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x5eae371e6ca2317f, 0xa9d599bf83bb8d16, 0x2678138d2861539f, 0x7a616837ef88d0f2, 0x58767c09c659ac86,
  0x7d70a4f257ee6866, 0x0000000000020011,
};

// m48a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xfdddddd532890c86, 0xbbbbba872a1d17e1, 0x95f6957962dc99bb, 0x7616ad033b83bb61, 0x6eae55b4d69ee62f,
  0x02520c7ae609f192, 0x0caeb036d2b88b20, 0xe39dd3e25c40c286, 0xc70c6e9bb07f32e0, 0x6ff26f51daef6087,
  0xfcc6811423921560, 0xc5dfcdf006e1f02b, 0x5a1b3910caee2f77, 0xf4073c26cad15086, 0x586f2bc84b6f5bff,
  0x2dec0bfe7fa43f30, 0xfaa374b739bfb440, 0x0f3c2c03095baaa8, 0x25f886c2445f71a2, 0x51dcdae495fa2cbc,
  0xc2781bb599ef7ccd, 0xa3e0d9835afea3ca, 0xb34eb4239015ce3e, 0xb6006be8c2cb1148, 0x4464f1cead712fbe,
  0xdaaf4e0ebca69dba, 0xe317090aa5a34873, 0x990d2204e017b2e3, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b,
  0xd002de6f301deb5e, 0x2a7c05a9c914b579, 0xf19d1032fe63042d, 0xe6ca2317f36d38c6, 0xfe0eee3459674371,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x002ecb852792bf73, 0x0000000000000004,
};

// m48_u1x12_uart0_noled_pr          m48a_u1x12_uart0_noled            m48a_u1x12_uart0_noled_pr
static const uint64_t ur_m48_u1x12_uart0_noled[] = {
  0x7777624eed66fcc5, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0x7c64eee63b50f0aa,
  0xbe7fb30be7e71982, 0x49feda9fddba7c24, 0x7e80ef9610f0da37, 0xed68e39560682fd4, 0x3d61cc580b2ca67b,
  0xfb30475e8f9dabfa, 0x7967b63eccf2a01f, 0xcdf81895af60e3e0, 0x07d4180ef5af39c2, 0x539794d8ce16f378,
  0xc2e718de33a20575, 0xd892455bd8aaa2d2, 0xb34406ed94462fe6, 0xdfbab31e40d1fc68, 0x271966b219e985a0,
  0x95fb9a19961d964a, 0x00001f21ce0baf3c,
};

// m48a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m48_u1x12_uart0_noled_pr_u4[] = {
  0xbbb127751762ff41, 0x7774b0e72792b1bb, 0xf07341623be97777, 0x6fdb777693fa939b, 0xeed05d85e626b42f,
  0xf3b467e719827c64, 0xdb53fbb74f8497cf, 0x1df2c21e1b46e93f, 0x1c72ac0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa,
  0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x7079b288c5fcdb12, 0x03b6868b2ce8b935, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac, 0xd1c4e27cf257ee68,
  0x0000000000000f93,
};

// m48a_u1x12_uart0_noled_pr_ee
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12776f621391, 0x77774b0876a6eb1b, 0xec17fa52b7a0cf77, 0x06ce5c4eeb07d9f8, 0xb647420e4a821210,
  0xda33e52e609f193b, 0x53fbb74f849d2ff9, 0x5a30521b46e93fdb, 0x6b5fd4795f5107fb, 0x1fc5613fd47c1b30,
  0x616588a459a75a10, 0x97c3a1f7330035f4, 0x4ec22a3e78e75697, 0x3d64f6ab5d0ebd0d, 0x7b2d97317090abfa,
  0x4a9a546c1197fe01, 0x66fc0c4ad7b07174, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc, 0x61738c6f19d102ba,
  0x6c4922adec555169, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1, 0x966b219e985a0dfb, 0xb9a19961d964a271,
  0x14f83cbb89f3c95f,
};

// m48a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeeec49dd4488d562, 0xdddd2c21da9bac6e, 0xb05fe9419ee2fddd, 0x1b39713bac1f67e3, 0x817b516c32084840,
  0x3f9f297304f8c9dd, 0x3fbb74f849d2ffa4, 0xa30521b46e93fdb5, 0xb5fd4795f5107fb5, 0xfc5613fd47c1b306,
  0x16588a459a75a101, 0x7c3a1f7330035f46, 0xec22a3e78e756979, 0xd64f6ab5d0ebd0d4, 0xb2d97317090abfa3,
  0xa9a546c1197fe017, 0x6fc0c4ad7b071744, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0xc4922adec5551696, 0x4d5c1e6ca2317f36, 0x1e40fca1a2cb3a2e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xfc0fdffc1343c899, 0x6b219e98577d1ee4, 0x9a19961d9f027196, 0x75d69f445f3c95fb, 0x0000000000000002,
};

// m48a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ce[] = {
  0x7777624eed66ef3a, 0x77774b15a7d22d63, 0x6d34c9df9a4cf777, 0x0c478fbc9bbbba90, 0x09f193bad4f417b2,
  0x5b7ffd985f3e63e6, 0x749feda9fddba7c2, 0x093df63faf410da3, 0xd7736bba5fcf2f2f, 0xc43cf72cbac67339,
  0x27e38e5581e33f51, 0x05478cce62c05b86, 0xee39633c75e2e769, 0x66fc0c4ad7b074e9, 0x96ea0c077ad79ce1,
  0x5539794d8ce16f37, 0x40b9b3182169bd57, 0x8c5fcdb4e31bc674, 0xa3f8d166880ddb28, 0xd30b41bf75663c81,
  0x3b2c944e32cd6433, 0x175e792bf734332c, 0x00000000002dd402,
};

// m48a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ce_u4[] = {
  0xdddd893ba8bb1762, 0xeeee960217e3f58d, 0x6f8b48a0bf6c7eee, 0x0e00623bbba6837e, 0xf193bbc975904775,
  0xa57f9da33e95a609, 0x93fdb53fbb74f84a, 0x97d551f51f21b46e, 0x2fb8d1079e5e5c1c, 0xfd165e12fc436122,
  0x0c6733547736b85a, 0x1e33f51ea5cf72c1, 0x1602f4090e38e558, 0xd78b9da8946a0e73, 0x7b075f87b8e58cf1,
  0xad79ce166fc0c4ad, 0x29fbe70b79bcc077, 0x18c10b4e48c1a9b1, 0x9b69c6378ce88108, 0x1726ae0f365118bf,
  0x598f2076d0d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x001baf029c4f9e4a,
};

// m48a_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8ad4e, 0xbbbba58739033ac6, 0x90243c7d0bd7afbb, 0xd4d3d77e6ebc8ebd, 0xdf23a62519c33376,
  0xed19fb75304f8c9d, 0xa9fddba7c25813fc, 0xd51c890da3749fed, 0xbfcf2f2e0e487b1f, 0x0b07e673aee6d74d,
  0xbdfa8f2b0500ddac, 0x40572fbd47c1b307, 0x0b2c4522cd3ad08e, 0x5ae324fad801afa3, 0xf00676e811d4b39d,
  0x9f4744cf6abd383a, 0x00bd970e462e1210, 0x06256bd864a25027, 0x0603bd6bce70b37e, 0xe5363385bcde01f5,
  0xc6378ce8815d54e5, 0x0c76f62aa8b4b0b9, 0xd5c6ca2317f36c49, 0xe40eda1a2cd102e4, 0x219e985a0dfbab31,
  0x9961d964a271966b, 0x039389f3c95fb9a1, 0x00000000000014d3,
};

// m48a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0x777774b130810563, 0xa170cf0a313b4cf7, 0x226c44479374678f, 0x9ddfb5a8ccb111fb,
  0xf487f3f43f304f8c, 0xb6a7f76e9f091c1f, 0x3ea8ea54368dd27f, 0x83cf2f2eb49beeaa, 0x097e21b09117dc68,
  0x547736bdc8fe8b2f, 0xb0500ddaccf83f33, 0xd47c1b307bdfa8f2, 0x2cd3ad08e40572fb, 0xad801afa30b2c452,
  0x811d4b39d5ae324f, 0xf6abd383af00676e, 0xe462e12109f4744c, 0x864a2502700bd970, 0xbce70b37e06256bd,
  0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0x317f36c490c76f62, 0xcb3a2e4d5c1e6ca2,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x00000013f205445f,
};

// m48_u1x12_uart0_lednop_pr         m48a_u1x12_uart0_lednop           m48a_u1x12_uart0_lednop_pr
static const uint64_t ur_m48_u1x12_uart0_lednop[] = {
  0xeeeec49ddacdfc4f, 0xbbbba5873978bac6, 0xa47939bfafd19bbb, 0x75e35cdadddda4fe, 0x4f8c9ddb1fb0bd04,
  0x4beff6617cf9eb30, 0xd27fb6a7f76e9f09, 0x1ed63be5843c368d, 0x907e38e5581a0bf5, 0x690ce62c0596537c,
  0xf6608ebd1f3b2cf4, 0xf2cf6d059a45403f, 0x9bf0312b5ec82b40, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xed94462fe6db9c8a, 0x1e40d1fc68b34406, 0xb219e985a0dfbab3,
  0x19961d964a271966, 0x40920baf3c95fb9a, 0x000000000000003e,
};

// m48a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_u4[] = {
  0xbbb1277517621391, 0xeee961ce5e2eb1bb, 0x737f5e4cf76deeee, 0xb9b5bbbb49fd48f2, 0x776c8eb53e4aebc6,
  0xf9da33e7acc13e32, 0xdb53fbb74f84a5f7, 0x1df2c21e1b46e93f, 0x1c72ac0d05fa8f6b, 0x731602cb29be483f,
  0x475e8f9d967a3486, 0xb682cd22a01ffb30, 0x1895af6415a07967, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e,
  0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2317f36dce455bd8, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40eda1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xf3c95fb9a19961d9,
  0x0000003e4de6db89,
};

// m48a_u1x12_uart0_lednop_pr_ee
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ee[] = {
  0xdddd893bb7b15a91, 0xddddd2c21dad158d, 0x9bc77b6cdde9fbdd, 0x1fb39713bac1f67a, 0x4d2eb4597656d90f,
  0xb467d4f4c13e3277, 0xa7f76e9f09175ff3, 0xb460a4368dd27fb6, 0xd6bfa8f2beea0ff6, 0x3f8af6ffa8f83660,
  0xc2cb1148b34eb420, 0xd28743ee66006be8, 0x9d86fa3278e75697, 0xa439ed56ba1d7a1a, 0xd96cb98b8484b3d1,
  0xccf2a3608cbff00b, 0x6fc0c4ad7b07163e, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x365118bf9b6e722a, 0x76d0d166881726ae, 0xf4c2d06fdd598f20, 0x0ecb25138cb3590c,
  0xdc4f9e4afdcd0ccb, 0x00000000000a7cc6,
};

// m48a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xeeec49dd44889202, 0xeeee9610ed68ac6e, 0xde3bdb67ef619eee, 0xfd9cb89dd60fb3d4, 0x6eb48fa0a2b6c878,
  0x7f3ea7a609f193ba, 0x7f76e9f09175ff48, 0x460a4368dd27fb6a, 0x6bfa8f2beea0ff6b, 0xf8af6ffa8f83660d,
  0x2cb1148b34eb4203, 0x28743ee66006be8c, 0xd86fa3278e75697d, 0x439ed56ba1d7a1a9, 0x96cb98b8484b3d1a,
  0xcf2a3608cbff00bd, 0xfc0c4ad7b07163ec, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0x65118bf9b6e722ad, 0x0d1659d1726ae0f3, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0xe09a1e44cf03f8cb, 0xc2bbe8f727e07eff, 0xecf8138cb3590cf4, 0x22f9e4afdcd0ccb0, 0x0000000013aefc0a,
};

// m48a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569fd9f58, 0x1b4ddde6d6edbddd, 0xc7a575f426eeeea4, 0x827c64eee3bdb1e6,
  0x24657fb30be7dfc9, 0x3749feda9fddba7c, 0xf0926363faf410da, 0x9d7736bc87fcf2f2, 0x1ebfcf72cbac6733,
  0xd52e38e5581e33f5, 0xc3ed1d12731602da, 0x9adc72c678ebc5ce, 0x859bf0312b5ec1d2, 0x6f301deb5e781013,
  0xa9c914b579d002de, 0x32fe63042d2a7c05, 0x17f36d38c6f19d10, 0xfe3459a20376ca23, 0xc2d06fdd598f2068,
  0xcb25138cb3590cf4, 0xd79e4afdcd0ccb0e, 0x000000005ba8e2c5,
};

// m48a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0x7774b010bd93ac6e, 0xe17b112b7a0cf777, 0x286deeeebf6326d4, 0x2776c4e840d3968c,
  0xfe90fe7cbacc13e3, 0xf6d4feedd3e12f9d, 0xd547d7e486d1ba4f, 0x8d1079e5e5d6917d, 0x65e12fc4361222fb,
  0x933547736be20fd1, 0x59ea3f493dcb0435, 0x80a9888b1c72ac0f, 0xa3e7659e8d219cc5, 0xb348a807feccf1d7,
  0x5af6415a0796b720, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xfe6db9c31dbd8aaa, 0x745c9ab83cd94462, 0x75663c81f9434596, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff,
  0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x0006eba65a88be79,
};

// m48a_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeec49ddbd8ad4e, 0xddddd2c39c890ac6, 0xfdb260be85ebd7dd, 0xed044f5df9baf23a, 0x3bbe474c4a338666,
  0xf3b467fabe609f19, 0xb6a7f76e9f09472f, 0x7f547224368dd27f, 0x36ff3cbcb83895ac, 0xb02c1f99cebb9b5d,
  0x1ef7ea3cad000376, 0x1c80ad7cf51f06cc, 0x4616588a459a75a1, 0x3ab5c649f5b0035f, 0xebc019d967a3afe7,
  0x905a31f73daaf4e0, 0x3805ecb872317090, 0xc0c4ad7b0c8a0e81, 0x77ad79e0404e166f, 0x4e8016f3796ea0c0,
  0xd380bdf2a6f529c9, 0x8de33a2047463042, 0xab8d94462fe6da71, 0xc81db43459a205c9, 0x433d30b41bf75663,
  0x32c3b2c944e32cd6, 0x072713e792bf7343, 0x00000000000029a6,
};

// m48a_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xeeeee96261219d63, 0x3f717a08627699ee, 0xd911a7111e4dd19e, 0x64eefdad4665888f,
  0xffd21fcf8689827c, 0xfdb53fbb74f84ac7, 0x51f54752a1b46e93, 0x441e797975a4c095, 0x784bf10d8488bee3,
  0x9aa3b9b5ee47f459, 0x95a0006ed667c1f9, 0x9ea3e0d983defd47, 0x48b34eb4239015af, 0x3eb6006be8c2cb11,
  0x2cf475fce756b8c9, 0xe7b55e9c1d78033b, 0x0e462e12120b463e, 0x619141d02700bd97, 0x0809c2cdf81895af,
  0x6f2dd4180ef5af3c, 0x54dea53929d002de, 0x08e8c6085a7017be, 0xc5fcdb4e31bc6744, 0x2ce8b9357079b288,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d,
  0xf257ee686658767c, 0x0000004fc815117c,
};

// m48_u1x12_uart0_dual_pr           m48a_u1x12_uart0_dual             m48a_u1x12_uart0_dual_pr
static const uint64_t ur_m48_u1x12_uart0_dual[] = {
  0xeeeeeac6d6a232a8, 0xeeeea1c6231c70fe, 0xeac1fa653b4a56ee, 0x2cc8c1bdddd64219, 0x6c9dca7169d667d0,
  0x4004a4759cc13e32, 0x0c195d606da57116, 0x8bb53ba7c4b88185, 0x7d9c0a2cce4ff32d, 0x58199537a8efe6c1,
  0x0aff31a04508e485, 0xf77c5de70401b87c, 0x8432d01f110caee2, 0x037fd01cf09b7b8a, 0x5e60b0de579096de,
  0xfddba7c2413ffd98, 0x6aff0da3749feda9, 0x560690fd47114ef9, 0x017f0e64c7a48e39, 0x22dd9af91bda398b,
  0x9583ef71cb1823af, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xbcde5ba8301deb5e, 0x7ca9bd4a7253a005,
  0x4408ea2810b4e02f, 0x88c5fcdb4e31bc67, 0x8b3440b9357079b2, 0x837eeacc7903f286, 0xc09c659ac867a616,
  0xcf257ee686658767, 0x0000000620a9d117,
};

// m48a_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m48_u1x12_uart0_dual_pr_u4[] = {
  0xddd58daa2e7cbd5b, 0xdd438c44a761fddd, 0x22b050569daddddd, 0x837bbba6ee82b333, 0x55dfa10ed05a73b2,
  0x91d67304f8c9412e, 0x7581b695c4590012, 0xee9f12e206143065, 0x0e966387f997f814, 0x0d37a8ffbb60958e,
  0x63408a11c90ab038, 0x77d8f80370f815fe, 0x43e44432bb8bddf1, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xd3e1209ffe768982, 0x86d1ba4ff6d4feed, 0x10fea3e453be589a, 0x0f34e2f7c71cab03, 0xb5ac8ebf9cc580aa,
  0xa807fecc11d78033, 0xa4e81e59ed887486, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79,
  0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x1726ae0f365118bf, 0xcc790334f8d1659d,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x00a49966eb54f257,
};

// m48a_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ee[] = {
  0xdddd58dade7cbd5b, 0xddd438d4d9f61fdd, 0x265861d7da2fdddd, 0xb6debeecbb89c10d, 0xf7bbb41b17ebb1ed,
  0x8cc13e324c4dcabb, 0xb695c45900129014, 0x12e2061430657581, 0xdd3ff997f814ee9f, 0x47383b0eaf3850fc,
  0x508e485581ece9bd, 0x801b87c0aff31a04, 0x2195dc5eef8bbf96, 0x4d1ee2a10cb42a52, 0xc84b6fb3bfe80e78,
  0x50ffced130586f2b, 0x49feda9fddba7c24, 0xa83fdad1ce30da37, 0xf06cc1a63ea3cacc, 0x9d68407f1587bf51,
  0x00d7d18596229166, 0xcead2fd40e838ccc, 0x1d794d3b64547d01, 0x42269189f9ed56ba, 0x5ff805ecb8f8c5c2,
  0x2af9ddc54947427e, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x455bd8aaa2d3574e, 0xc1e6ca2317f36dce, 0x669f1a2cd102e4d5, 0xf4c2d06fdd598f20, 0xb0ecf8138cb3590c,
  0x39d6a9e4afdcd0cc, 0x00000000003214e9,
};

// m48a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa2435032, 0xbba871a9d8be1fdd, 0x88b51dadb9dbbbbb, 0xb5b6debeedc18165, 0x93daefeec1d72aff,
  0x53a609f192b06e57, 0x06da571164004a47, 0x7c4b881850c195d6, 0xf9bfe7e65c1c73ba, 0xf51e87f61d3e70b1,
  0x1142392156067066, 0xa8006e1f02bfcc68, 0xc88657717bbe2ef4, 0xe132fb8a8432d04a, 0xaf212db9c1ffa039,
  0x2cadfe90fcc161bc, 0xba4ff6d4feedd3e1, 0xfe41fed68fa886d1, 0x8f83660d7cf51e56, 0x34eb4203f8ae037a,
  0x6006be8c2cb1148b, 0x9cead2fb7c7427e6, 0xd0ebd8cdd9314622, 0x1215ac8ebfcf6ab5, 0x65ff805ecbe9662e,
  0x928e2c4feb151b04, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x68b2ce86e3cd9446, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6, 0x0a4f257ee6866587, 0x0000000056479b77,
};

// m48a_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ce[] = {
  0xeeac6d6a0f3e43ee, 0xea1c75eafb0feeee, 0xab125ab6356eeeee, 0x4edddd23fc94ed00, 0xc99b45ed3c933ed1,
  0x39bf304f8c97af72, 0xb036d2b88b200252, 0xd3e25c40c2860cae, 0xdd4db3bf32ff029d, 0xe6f51f026c2571c2,
  0x6811423921560652, 0xf6bb006e1f02bfcc, 0x48888657717bbe2e, 0x0e784c8045421968, 0x6f2bc84b6e52ffe8,
  0x7c24517fced13058, 0xda3749feda9fddba, 0xe5e771eec7f55af0, 0x673aee6d7d35f9e5, 0xea38df9ee597552e,
  0x8283e471cab03a97, 0xced6b23afe731602, 0x1aa01ffb33c75e00, 0x4aa4e81e5adc21d2, 0xad7b27f157ceee2a,
  0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x7f36dce18edec555,
  0x572e4d5c1e6ca231, 0x5663c819a7c68b2f, 0xe04e34a1854e7ea7, 0x85a0dfbe2343c899, 0xd9f0271966b219e9,
  0xad53c95fb9a19961, 0x0000000034913ebb,
};

// m48a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ce_u4[] = {
  0xbbbab1b5448664d6, 0xbba873c7b3ec3fbb, 0x1a4cb0da3afbbbbb, 0x5d8f6dddd9771382, 0x6e5d7bd0b4b258bf,
  0x9480a46609f19262, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0xc287e6e9ffccb838, 0x674dea39c1d87579,
  0x98d022847242ac0f, 0x5dfcb400dc3e057f, 0xa152910caee2f77c, 0x4073c268f7150865, 0xc3795e425b7d9dff,
  0xa7c2450ffd21f982, 0x0da3749feda9fddb, 0xc03097ceaa8face3, 0x6c2445f71a20f3c2, 0xae87dfa2cbc25f88,
  0xdcb042a5ccd51dcd, 0x39560752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647, 0xcb5b843a435403ff,
  0x2af9ddc549549d03, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0xe3cd94462fe6db9c, 0xcdfc1ddc68b2ce86, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0xd24c92770a4f257e,
};

// m48a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ee_ce[] = {
  0xddd58dad41437089, 0xba87188a27e1fddd, 0x75b8d5a843bbbbbb, 0x537e4774a520aaaf, 0xe8fcada5714d7b17,
  0x1304f8c9b13727f0, 0x6d2b88b200252055, 0x25c40c2860caeb03, 0x90fbf32e0e39dd3e, 0x477f9b0c40706bb9,
  0x508e4855818689bd, 0x401b87c0aff31a04, 0x432bb8bddf177980, 0x98a1c54219684ae4, 0x9096dc347fd01cf0,
  0x5aff487e60b0de57, 0x27fb6a7f76e9f092, 0x758fea8ea54368dd, 0xaf495f9e160184b6, 0xddac0b924ce75dcd,
  0x660fe4f51e571ec0, 0xa11c80acc7fa8f83, 0x5f4616588a459a75, 0x4e756b8dbff5b003, 0x7075ec66ec98a311,
  0x242b591d7f9ed57a, 0x502700bd97d2cc5c, 0x497a784feb151b04, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818,
  0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x2fe6db9c31dbd8aa, 0xa2cbd5c6e3cd9446,
  0x73f53ab337f07771, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a, 0x0ccb0ecf8138cb35, 0x00192e149e4afdcd,
  0x0000000000000004,
};

// m48a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeac6d51369fa0ae, 0xea1ccc70fb0feeee, 0xa2f19cdbebeeeeee, 0xa3bdd3ac9cb26571, 0x61f5ed05c2d47cdd,
  0xf8c9b0d72127f6f2, 0x4590012913549304, 0x61430657581b695c, 0x657662cee9f12e20, 0x85e19c396a666ffe,
  0xab0343e9bd47ec1d, 0x815fe63408a11c90, 0xf77c5deaeb80370f, 0x10cb43abd10caee2, 0xfbfe80e784d15a2a,
  0xe60b0de579096dd0, 0xbb74f84936ffdf34, 0x52e1b46e93fdb53f, 0xb00839d3f551f546, 0x1b09117dc6883cf0,
  0xd7eeb7e8b2f097e2, 0xddaccfc9266a8ee6, 0x660fe4f51e571ec0, 0xa11c80acc7fa8f83, 0x5f4616588a459a75,
  0x4e756b8dbff5b003, 0x7075ec66ec98a311, 0x242b591d7f9ed57a, 0x502700bd97d2cc5c, 0x497a784feb151b04,
  0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0x2fe6db9c31dbd8aa, 0x6745c9ab83cd9446, 0xd599bf837e823459, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813, 0x00400265a72029e4,
};

// m48_u2x8_uart0_noled_pr           m48a_u2x8_uart0_noled             m48a_u2x8_uart0_noled_pr
static const uint64_t ur_m48_u2x8_uart0_noled[] = {
  0x1bbbbbb12d66fcc5, 0x7777774b0e72792b, 0x52737e0e683aebf7, 0x5685edfb6eeed27f, 0x13e3277731da8785,
  0x25f3fd985f3f38cc, 0x1bdaa3949bedd3e1, 0xea3f4077cb08786d, 0x3df6b471cab03417, 0xfd1eb0e62c059653,
  0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79,
  0x6961738c6f19d102, 0xf36c4922adec5551, 0x3459a20376ca2317, 0xd06fdd598f2068fe, 0x25138cb3590cf4c2,
  0x9e4afdcd0ccb0ecb, 0x0000000f90e705d7,
};

// m48a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m48_u2x8_uart0_noled_pr_u4[] = {
  0xddddd8951762ff41, 0xbbbba587393c958d, 0xdf839a0b11df4bbb, 0x7b7edbbbb49fd49c, 0x277682ec2f3135a1,
  0x7f9da33f38cc13e3, 0x5472937dba7c24be, 0xe80ef9610f0da37b, 0xd68e39560682fd47, 0xd61cc580b2ca67be,
  0xb30475e8f9dabfa3, 0x967b63eccf2a01ff, 0xdf81895af60e3e07, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780,
  0x2e718de33a205755, 0x892455bd8aaa2d2c, 0x9ab83cd94462fe6d, 0x3c81db434596745c, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0xc9e8e2713e792bf7,
  0x0000000000000007,
};

// m48a_u2x8_uart0_noled_pr_ee
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd896f621391, 0xbbbbba5843b53758, 0xc760bfd295bd067b, 0x803672e277583ecf, 0xddb23a1072541090,
  0xced19f297304f8c9, 0x72937dba7c24e97f, 0xfdad18290da37b54, 0x9835afea3cafa883, 0x080fe2b09fea3e0d,
  0xfa30b2c4522cd3ad, 0x4bcbe1d0fb99801a, 0x86a761151f3c73ab, 0xfd1eb27b55ae875e, 0x00bd96cb98b84855,
  0xba254d2a3608cbff, 0x70b37e06256bd838, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0x6881726ae365118b, 0xfdd598f2076d0d16, 0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251,
  0x000a7c1e5dc4f9e4,
};

// m48a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ee_u4[] = {
  0x777776254488d562, 0xeeeee9610ed4dd63, 0x1d82ff4a0cf717ee, 0x00d9cb89dd60fb3f, 0xec0bda8b61904242,
  0x21fcf94b9827c64e, 0x2937dba7c24e97fd, 0xdad18290da37b547, 0x835afea3cafa883f, 0x80fe2b09fea3e0d9,
  0xa30b2c4522cd3ad0, 0xbcbe1d0fb99801af, 0x6a761151f3c73ab4, 0xd1eb27b55ae875e8, 0x0bd96cb98b84855f,
  0xa254d2a3608cbff0, 0x0b37e06256bd838b, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x9b6249156f62aa8b, 0x1726ae0f365118bf, 0x598f207e50d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb,
  0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138, 0x013aeb4fa22f9e4a,
};

// m48a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ce[] = {
  0x1bbbbbb12d66ef3a, 0xbbbbba58ad3e916b, 0x8369a64efcd267bb, 0x90623c7de4ddddd4, 0x304f8c9dd6a7a0bd,
  0x12dbffecc2f9f31f, 0xd1bdaa3949bedd3e, 0x97849efb1fd7a086, 0x9cebb9b5dd2fe797, 0xa8e21e7b965d6339,
  0xc313f1c72ac0f19f, 0xb482a3c66731602d, 0x74f71cb19e3af173, 0x70b37e06256bd83a, 0x9bcb750603bd6bce,
  0xabaa9cbca6c670b7, 0x3a205cd98c10b4de, 0x94462fe6da718de3, 0x40d1fc68b34406ed, 0x19e985a0dfbab31e,
  0x961d964a271966b2, 0x010baf3c95fb9a19, 0x00000000000016ea,
};

// m48a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeec4a8bb1762, 0x777774b010bf1fac, 0xf37c5a4505fb63f7, 0xa8700311dddd341b, 0x4f8c9dde4bac823b,
  0x552bfced19f4ad30, 0x37b5472937dba7c2, 0x0e4beaa8fa8f90da, 0x9117dc6883cf2f2e, 0x2d7e8b2f097e21b0,
  0x60863399aa3b9b5c, 0xac0f19fa8f52e7b9, 0x398b017a04871c72, 0x78ebc5ced44a3507, 0x56bd83afc3dc72c6,
  0x3bd6bce70b37e062, 0xd894fdf385bcde60, 0x840c6085a72460d4, 0x5fcdb4e31bc67440, 0xce8b9357079b288c,
  0x4eacc7903b6868b2, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df,
  0x257ee686658767c0, 0x00000dd7814e27cf,
};

// m48a_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ee_ce[] = {
  0x377777625bd8ad4e, 0xdddddd2c39c819d6, 0xec8121e3e85ebd7d, 0xb6a69ebbf375e475, 0xeef91d3128ce199b,
  0xe768cfdba9827c64, 0x3949bedd3e12c09f, 0x8fea8e4486d1bdaa, 0xa6dfe7979707243d, 0xd60583f339d7736b,
  0x83defd479582806e, 0x47202b97dea3e0d9, 0xd185962291669d68, 0xcead71927d6c00d7, 0x1d78033b7408ea59,
  0x084fa3a267b55e9c, 0x13805ecb87231709, 0xbf0312b5ec325128, 0xfa8301deb5e73859, 0x72f29b19c2de6f00,
  0x5ce31bc67440aeaa, 0x24863b7b15545a58, 0x726ae365118bf9b6, 0x98f2076d0d166881, 0x3590cf4c2d06fdd5,
  0xd0ccb0ecb25138cb, 0x6981c9c4f9e4afdc, 0x000000000000000a,
};

// m48a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xbbbbbba58984082b, 0x7d0b86785189da67, 0xd91362223c9ba33c, 0x64eefdad4665888f,
  0xffa43f9fa1f9827c, 0xa8e526fb74f848e0, 0x551f54752a1b46f6, 0x3441e797975a4df7, 0x9784bf10d8488bee,
  0x99aa3b9b5ee47f45, 0x79582806ed667c1f, 0x7dea3e0d983defd4, 0x291669d6847202b9, 0x27d6c00d7d185962,
  0xb7408ea59cead719, 0x267b55e9c1d78033, 0xb87231709084fa3a, 0x5ec32512813805ec, 0xeb5e73859bf0312b,
  0x9c2de6f00fa8301d, 0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x5118bf9b624863b7, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x2f9e4afdcd0ccb0e, 0x0000000009f902a2,
};

// m48_u2x8_uart0_lednop_pr          m48a_u2x8_uart0_lednop            m48a_u2x8_uart0_lednop_pr
static const uint64_t ur_m48_u2x8_uart0_lednop[] = {
  0x377777625acdfc4f, 0xdddddd2c39cbc5d6, 0xf523c9cdfd7e8cdd, 0x23af1ae6d6eeed27, 0x827c64eed8fd85e8,
  0x4a5f7fb30be7cf59, 0x46f6a8e526fb74f8, 0xfa8f6b1df2c21e1b, 0xbe483f1c72ac0d05, 0x7a3486731602cb29,
  0x1ffb30475e8f9d96, 0xa07967b682cd22a0, 0xc2cdf81895af6415, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x0376ca2317f36dce, 0x598f2068fe3459a2, 0xb3590cf4c2d06fdd,
  0xcd0ccb0ecb25138c, 0x1f204905d79e4afd,
};

// m48a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_u4[] = {
  0xddddd89517621391, 0x77774b0e72f1758d, 0x939bfaf267bb6f77, 0x35cdadddda4fea47, 0x93bb6475a9f2575e,
  0xbfced19f3d6609f1, 0x5472937dba7c252f, 0xb58ef9610f0da37b, 0x1f8e39560682fd47, 0x43398b016594df24,
  0x9823af47cecb3d1a, 0xb3db416691500ffd, 0xfc0c4ad7b20ad03c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad, 0x0d1659d1726ae0f3, 0x539fa9d598f2076d,
  0xf313ffbc3def2861, 0xe09a1e44cf03f8cb, 0xc2bbe8f727e07eff, 0xecf8138cb3590cf4, 0xc4f9e4afdcd0ccb0,
  0x000000001f26f36d,
};

// m48a_u2x8_uart0_lednop_pr_ee
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ee[] = {
  0x6eeeeec4b7b15a91, 0xeeeeee9610ed68ac, 0xd4de3bdb66ef4fde, 0x78fd9cb89dd60fb3, 0xba6975a2cbb2b6c8,
  0x9da33ea7a609f193, 0xe526fb74f848baff, 0xfb5a30521b46f6a8, 0x306b5fd4795f7507, 0x101fc57b7fd47c1b,
  0xf4616588a459a75a, 0x4be943a1f7330035, 0x0d4ec37d193c73ab, 0xe8d21cf6ab5d0ebd, 0x05ecb65cc5c24259,
  0x1f667951b0465ff8, 0x0b37e06256bd838b, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea,
  0x156f62aa8b4d5d38, 0x571b288c5fcdb739, 0x903b6868b3440b93, 0x867a616837eeacc7, 0x6587659289c659ac,
  0x636e27cf257ee686, 0x000000000000053e,
};

// m48a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x7777762544889202, 0x777774b0876b4563, 0xa6f1dedb3f7b0cf7, 0xc7ece5c4eeb07d9e, 0xd375a47d0515b643,
  0x43f9f53d304f8c9d, 0x526fb74f848baffa, 0xb5a30521b46f6a8e, 0x06b5fd4795f7507f, 0x01fc57b7fd47c1b3,
  0x4616588a459a75a1, 0xbe943a1f7330035f, 0xd4ec37d193c73ab4, 0x8d21cf6ab5d0ebd0, 0x5ecb65cc5c24259e,
  0xf667951b0465ff80, 0xb37e06256bd838b1, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391, 0xf2868b2ce8b93570, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0x7ff04d0f226781fc, 0x7a615df47b93f03f, 0x58767c09c659ac86, 0x05117cf257ee6866, 0x000000000009d77e,
};

// m48a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fecfa, 0x20da6eef36b76dee, 0x363d2bafa1377775, 0x4c13e327771ded8f,
  0xe1232bfd985f3efe, 0x6d1bdaa3949bedd3, 0x79784931b1fd7a08, 0x99cebb9b5e43fe79, 0xfa8f5fe7b965d633,
  0x6d6a971c72ac0f19, 0xe761f68e89398b01, 0xe94d6e39633c75e2, 0x09c2cdf81895af60, 0x6f37980ef5af3c08,
  0x02d4e48a5abce801, 0x88197f318216953e, 0x118bf9b69c6378ce, 0x347f1a2cd101bb65, 0x7a616837eeacc790,
  0x87659289c659ac86, 0x62ebcf257ee68665, 0x00000000002dd471,
};

// m48a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x777776254488a80b, 0xbbbba58085ec9d63, 0xa70bd8895bd067bb, 0x61436f7775fb1936, 0x193bb62742069cb4,
  0xeff487f3e5d6609f, 0xd51ca4df6e9f097c, 0xbeeaa3ebf24368de, 0x7dc6883cf2f2eb48, 0xe8b2f097e21b0911,
  0x1ac99aa3b9b5f107, 0x07acf51fa49ee582, 0x62c054c4458e3956, 0xebd1f3b2cf4690ce, 0x9059a45403ff6678,
  0xc4ad7b20ad03cb5b, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0x317f36dce18edec5, 0xcb3a2e4d5c1e6ca2, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62,
  0x7d1ee4fc0fdffc13, 0x0271966b219e9857, 0x3c95fb9a19961d9f, 0x00000375d32d445f,
};

// m48a_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x377777625bd8ad4e, 0xeeeeee961ce44856, 0xd7ed9305f42f5ebe, 0x3768227aefcdd791, 0xc9ddf23a62519c33,
  0x7f9da33fd5f304f8, 0xa8e526fb74f84a39, 0xd63faa39121b46f6, 0xae9b7f9e5e5c1c4a, 0xbb58160fcce75dcd,
  0x660f7bf51e568001, 0xd08e4056be7a8f83, 0xafa30b2c4522cd3a, 0xf39d5ae324fad801, 0x7075e00cecb3d1d7,
  0x48482d18fb9ed57a, 0x409c02f65c3918b8, 0x37e06256bd864507, 0x603bd6bcf020270b, 0xe4a7400b79bcb750,
  0x2169c05ef9537a94, 0x38c6f19d1023a318, 0xe4d5c6ca2317f36d, 0x31e40eda1a2cd102, 0x6b219e985a0dfbab,
  0xa19961d964a27196, 0xd3039389f3c95fb9, 0x0000000000000014,
};

// m48a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0x7777774b13090ceb, 0xf1fb8bd04313b4cf, 0x7ec88d3888f26e8c, 0xe32777ed6a332c44,
  0x3ffe90fe7c344c13, 0xb5472937dba7c256, 0x4aa8faa3a950da37, 0x71a20f3cbcbad260, 0x2cbc25f886c2445f,
  0xfccd51dcdaf723fa, 0xa3cad000376b33e0, 0xd7cf51f06cc1ef7e, 0x88a459a75a11c80a, 0x649f5b0035f46165,
  0x9d967a3afe73ab5c, 0x1f73daaf4e0ebc01, 0xcb872317090905a3, 0xd7b0c8a0e813805e, 0x9e0404e166fc0c4a,
  0x6f3796ea0c077ad7, 0xdf2a6f529c94e801, 0xa2047463042d380b, 0x4462fe6da718de33, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xbe792bf734332c3b, 0x0000000027e40a88,
};

// m48_u2x8_uart0_dual_pr            m48a_u2x8_uart0_dual              m48a_u2x8_uart0_dual_pr
static const uint64_t ur_m48_u2x8_uart0_dual[] = {
  0xfbbbbbbab6a232a8, 0xbbbbba87188c71c3, 0x67ab07e994ed295b, 0x40b32306f7775908, 0xc9b27729c5a7599f,
  0x59001291d67304f8, 0x1430657581b695c4, 0xb62ed4ee9f12e206, 0x05f67028b3393fcc, 0x15606654dea3bf9b,
  0xf02bfcc681142392, 0x8bddf1779c1006e1, 0x2a10cb407c4432bb, 0x780dff4073c26dee, 0x617982c3795e425b,
  0xa4df6e9f0904fff6, 0xbe5abfc368ded51c, 0x8e5581a43f51c453, 0x62c05fc39931e923, 0xebc8b766be46f68e,
  0xa4a560fbdc72c608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x016f3796ea0c077a, 0x0bdf2a6f529c94e8,
  0x19d1023a8a042d38, 0x6ca2317f36d38c6f, 0xa1a2cd102e4d5c1e, 0x85a0dfbab31e40fc, 0xd9f0271966b219e9,
  0x45f3c95fb9a19961, 0x0000000001882a74,
};

// m48a_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m48_u2x8_uart0_dual_pr_u4[] = {
  0x7777756a2e7cbd5b, 0x77750e31129d87f7, 0xcc8ac1415a76b777, 0xca0deeee9bba0acc, 0xb9577e843b4169ce,
  0x4a4759cc13e32504, 0x95d606da57116400, 0x53ba7c4b881850c1, 0x383a598e1fe65fe0, 0xe034dea3feed8256,
  0xf98d022847242ac0, 0xc5df63e00dc3e057, 0x2d0f9110caee2f77, 0xfd01cf0987c8a843, 0x0b0de579096de037,
  0xb74f84827ff9da26, 0x26a1b46f6a8e526f, 0xc0c43fa8f914ef96, 0x2a83cd38bdf1c72a, 0x0ced6b23afe73160,
  0x21aa01ffb30475e0, 0x92a93a07967b621d, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02,
  0x0000292659bad53c,
};

// m48a_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ee[] = {
  0x77777756de7cbd5b, 0x777750e35367d87f, 0x349961875f68bf77, 0xb6db7afbb2ee2704, 0xefdeeed06c5faec7,
  0x523304f8c931372a, 0x06da571164004a40, 0x7c4b881850c195d6, 0xf374ffe65fe053ba, 0xf51ce0ec3abce143,
  0x114239215607b3a6, 0x5a006e1f02bfcc68, 0x488657717bbe2efe, 0xe1347b8a8432d0a9, 0xaf212dbeceffa039,
  0x9143ff3b44c161bc, 0x8ded51ca4df6e9f0, 0xb32a0ff6b4738c36, 0xd47c1b30698fa8f2, 0x59a75a101fc561ef,
  0x330035f4616588a4, 0x4073ab4bf503a0e3, 0xae875e534ed9151f, 0x709089a4627e7b55, 0x9f97fe017b2e3e31,
  0x3f8abe77715251d0, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0x357079b288c5fcdb, 0xc819a7c68b3440b9, 0x433d30b41bf75663, 0x332c3b3e04e32cd6,
  0x3a4e75aa792bf734, 0x0000000000000c85,
};

// m48a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ee_u4[] = {
  0x77777756a2435032, 0xeeeea1c6a762f87f, 0x9622d476b6e76eee, 0xfed6db7afbb70605, 0x5e4f6bbfbb075cab,
  0x1d4e9827c64ac1b9, 0x581b695c45900129, 0xe9f12e2061430657, 0xc7e6ff9f997071ce, 0x9bd47a1fd874f9c2,
  0xa04508e4855819c1, 0xd2a001b87c0aff31, 0x2b22195dc5eef8bb, 0xe784cbee2a10cb41, 0xf2bc84b6e707fe80,
  0x84b2b7fa43f30586, 0xb46f6a8e526fb74f, 0x95bf907fb5a3ea21, 0xdea3e0d9835f3d47, 0x22cd3ad080fe2b80,
  0xf99801afa30b2c45, 0x88a73ab4bedf1d09, 0xad743af633764c51, 0x8b84856b23aff3da, 0xc1197fe017b2fa59,
  0xe2a4a38b13fac546, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x118bf9b6e722adec, 0x771a2cb3a1b8f365, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219, 0xddc293c95fb9a199, 0x00000000001591e6,
};

// m48a_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbab6a0f3e43ee, 0xbba871d7abec3fbb, 0x02ac496ad8d5bbbb, 0x453b77748ff253b4, 0xcb266d17b4f24cfb,
  0x48e6fcc13e325ebd, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x0b7536cefccbfc0a, 0x4b9bd47c09b095c7,
  0x31a04508e4855819, 0xbbdaec01b87c0aff, 0xa12222195dc5eef8, 0xa039e13201150865, 0x61bcaf212db94bff,
  0xe9f09145ff3b44c1, 0xbc368ded51ca4df6, 0x797979dc7bb1fd56, 0x4b99cebb9b5f4d7e, 0xa5fa8e37e7b965d5,
  0x80a0a0f91c72ac0e, 0x8033b5ac8ebf9cc5, 0x7486a807feccf1d7, 0x8a92a93a0796b708, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1,
  0xcbd5cb9357079b28, 0xa9d598f20669f1a2, 0x2678138d2861539f, 0x7a616837ef88d0f2, 0x58767c09c659ac86,
  0xaeeb54f257ee6866, 0x00000000000d244f,
};

// m48a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeeead448664d6, 0xeeeea1cf1ecfb0fe, 0x086932c368ebeeee, 0xfd763db77765dc4e, 0x89b975ef42d2c962,
  0x025202919827c649, 0x0caeb036d2b88b20, 0xe39dd3e25c40c286, 0xe70a1f9ba7ff32e0, 0x3d9d37a8e70761d5,
  0xfe63408a11c90ab0, 0xf177f2d00370f815, 0x96854a4432bb8bdd, 0xfd01cf09a3dc5421, 0x0b0de579096df677,
  0x6e9f09143ff487e6, 0x38c368ded51ca4df, 0xf0b00c25f3aaa3eb, 0xe21b09117dc6883c, 0x736ba1f7e8b2f097,
  0xfcf72c10a9733547, 0x238e5581d4bf51c6, 0x91d7f398b014141f, 0xffd99e3af00676b5, 0x40f2d6e10e90d500,
  0x3f8abe7771525527, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xa1b8f365118bf9b6, 0xab337f07771a2cb3, 0x787bde50c2a73f53, 0x899e07f197e627ff,
  0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x003493249dc293c9,
};

// m48a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777756d41437089, 0xeeea1c62289f87f7, 0xbdd6e356a10eeeee, 0x5d4df91dd29482aa, 0xc3a3f2b695c535ec,
  0x544c13e326c4dc9f, 0x0db4ae22c8009481, 0xf8971030a1832bac, 0xe643efccb838e774, 0xf51dfe6c3101c1ae,
  0x1142392156061a26, 0x01006e1f02bfcc68, 0x910caee2f77c5de6, 0xc26287150865a12b, 0x5e425b70d1ff4073,
  0x496bfd21f982c379, 0x37b5472937dba7c2, 0x2d9d63faa3a950da, 0x736bd257e7858061, 0xb0376b02e49339d7,
  0xe0d983f93d4795c7, 0x9d6847202b31fea3, 0x00d7d18596229166, 0xc4539d5ae36ffd6c, 0x5e9c1d7b19bb2628,
  0x17090ad6475fe7b5, 0xc11409c02f65f4b3, 0x71525e9e13fac546, 0x06256bd93f8abe77, 0xbd6bcf020270b37e,
  0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x118bf9b6e70c76f6, 0xdc68b2f571b8f365,
  0x0a9cfd4eaccdfc1d, 0x46879133c09c6943, 0xcd6433d30b41bf7c, 0x734332c3b3e04e32, 0x0100064b852792bf,
};

// m48a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab51369fa0ae, 0xbba87331c3ec3fbb, 0xc68bc6736fafbbbb, 0x768ef74eb272c995, 0xc987d7b4170b51f3,
  0x13e326c35c849fdb, 0x71164004a44d524c, 0x81850c195d606da5, 0xf995d98b3ba7c4b8, 0x76178670e5a999bf,
  0x42ac0d0fa6f51fb0, 0x3e057f98d0228472, 0x8bddf177abae00dc, 0xa8432d0eaf4432bb, 0x43effa039e134568,
  0xd3982c3795e425b7, 0x9bedd3e124dbff7c, 0x5194b86d1bdaa394, 0x3c2c020e74fd547d, 0xf886c2445f71a20f,
  0xb9b5fbadfa2cbc25, 0xb0376b33f2499aa3, 0xe0d983f93d4795c7, 0x9d6847202b31fea3, 0x00d7d18596229166,
  0xc4539d5ae36ffd6c, 0x5e9c1d7b19bb2628, 0x17090ad6475fe7b5, 0xc11409c02f65f4b3, 0x71525e9e13fac546,
  0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x118bf9b6e70c76f6, 0x1659d1726ae0f365, 0xea75666fe0dfa08d, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4,
  0xfa3dc9f81fbff826, 0x04e32cd6433d30ae, 0x792bf734332c3b3e, 0x000010009969c80a,
};

// m48_u2x12_uart0_noled_pr          m48a_u2x12_uart0_noled            m48a_u2x12_uart0_noled_pr
static const uint64_t ur_m48_u2x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c30e17bac6, 0xad9fbbf0fefa5ddd, 0x1fad2fcdddd2202c, 0x3e3277417ee62b47,
  0x053fd985f3fa54c1, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e5581a0bf51fa03, 0x31602cb299efb5a3,
  0x1d7a3e76afe8f587, 0xd8fb33ca807fecc1, 0x6256bd838f81e59e, 0x603bd6bce70b37e0, 0x5363385bcde01f50,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x1bb65118bf9b6249, 0xcc790347f1a2cd10, 0x9ac867a616837eea,
  0x6866587659289c65, 0xe400e42ebcf257ee, 0x0000000000000003,
};

// m48a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m48_u2x12_uart0_noled_pr_u4[] = {
  0xbbb1277517621c3b, 0x7774b0c385eeb1bb, 0x3f77e1f19a4cf777, 0x5a5f9bbba440595b, 0x93bb5176c7f91e3f,
  0x3fced19fd2a609f1, 0xfe6d4faadd3e1205, 0x5843c368ded51ca4, 0x5581a0bf51fa03be, 0x602cb299efb5a38e,
  0x7a3e76afe8f58731, 0xfb33ca807fecc11d, 0x56bd838f81e59ed8, 0x3bd6bce70b37e062, 0x63385bcde01f5060,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x365118bf9b624915, 0xd0d1659d1726ae0f, 0x1539fa9d598f2076,
  0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0xdc4f9e4afdcd0ccb,
  0x0000000001f27b5e,
};

// m48a_u2x12_uart0_noled_pr_ee
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ee[] = {
  0xbbbb12776f623f3e, 0xbbbba58832242b1b, 0x26d4c99e2fd377bb, 0x0ce0a369bbc1e84b, 0x48fed91e9c6c2095,
  0xb467d82cc13e3277, 0xa7d56e9f091c3ff3, 0x21b46f6a8e527f36, 0x4795f5107fb5a305, 0x13fd47c1b306b5fd,
  0x8a459a75a101fc56, 0x1f7330035f461658, 0xa3e78e7569797c3a, 0x6ab5d0ebd0d4ec22, 0x7317090abfa3d64f,
  0x46c1197fe017b2d9, 0xc4ad7b071744a9a5, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc,
  0x2adec55516961738, 0x5c6ca2317f36c492, 0x40eda1a2cd102e4d, 0x19e985a0dfbab31e, 0x961d964a271966b2,
  0xc7b89f3c95fb9a19, 0x0000000000014f8d,
};

// m48a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ee_u4[] = {
  0x777624eea2444375, 0x77774b1064485637, 0x4da9933377a7ef77, 0x19c146d37783d096, 0x86ed68ad88d8412a,
  0x1fcfb059827c64ee, 0x9f55ba7c2470ffd2, 0x86d1bdaa3949fcda, 0x1e57d441fed68c14, 0x4ff51f06cc1ad7f5,
  0x291669d68407f158, 0x7dccc00d7d185962, 0x8f9e39d5a5e5f0e8, 0xaad743af4353b08a, 0xcc5c242afe8f593d,
  0x1b0465ff805ecb65, 0x12b5ec1c5d12a695, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2,
  0xab7b15545a585ce3, 0x79b288c5fcdb1248, 0xf2868b2ce8b93570, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0x7ff04d0f226781fc, 0x7a615df47b93f03f, 0x58767c09c659ac86, 0x0b117cf257ee6866, 0x000000000009d7de,
};

// m48a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba58106d9f58, 0x41c5bbbcdaddb7bb, 0xb1e95d7d09bbba59, 0x609f193bb8ef6c79,
  0x09195fecc2f9f7f2, 0x8e527f36a7d56e9f, 0x5ec7f5e821b46f6a, 0xdaff3bf3cbcbc24b, 0x3dcb2eb19cce75dc,
  0xc72ac0f19fa8ed7d, 0x99e398b017a47b51, 0x2c678ebc5cec6911, 0x06256bd83a86adc7, 0x5603bd6bce70b37e,
  0x5ca52f9c2de6f072, 0x3042d3b8bf9b752d, 0xb4e31bc6744099e6, 0x66880ddb288c5fcd, 0xbf75663c81a3f8d1,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x00016ea38b175e79,
};

// m48a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ce_u4[] = {
  0xddd893ba891151eb, 0x7774b13897a758dd, 0xfcc5d79b1a56f777, 0x4dedbddddbf39bd8, 0x93ba647682bd6241,
  0xff487f3e70e609f1, 0xf36a7d56e9f09256, 0x5f921b46f6a8e527, 0xe797975a431f551f, 0xbf10d8488bee3441,
  0x3b9b5e76ff459784, 0xc9e9ee5821ac99aa, 0x3a48e395607acf51, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0x8bf9b624863b7b15, 0x59d1726ae0f36511, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x00001baebcfa22f9,
};

// m48a_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8b562, 0xeeeee9618730aac6, 0x2ebd385e34f685ee, 0xbd6818460fba5efd, 0x3bb4cf7e9dc13f78,
  0xf9da33e4ea609f19, 0x9b53eab74f84a2b7, 0xc890da37b547293f, 0xf2f2e0e145b1fd51, 0x3f339d7736bffcfc,
  0xd479582806ed6058, 0x5c43ea3e0d983def, 0xb1148b34eb423901, 0x84c7eb6006be8c2c, 0x33b57f4752ce756b,
  0x3a267b55e9c1d780, 0xecb87231709087da, 0x2b5ec323a6813805, 0x1deb5e73859bf031, 0x363385bcde5ba830,
  0x6085a6f55d54e5e5, 0xd38c6f19d102e6cc, 0x2e4d5c6ca2317f36, 0xb31e40eda1a2cd10, 0x66b219e985a0dfba,
  0x9a19961d964a2719, 0xa69aa7389f3c95fb,
};

// m48a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbb1277512232a8, 0x77774b1c2e7eeb1b, 0xfa0cd68fa7a62777, 0xad2e7b8bdeeedb85, 0xdd9c5b7059f345a8,
  0x487f3fbb5304f8c9, 0xd4faadd3e1231fff, 0x54368ded51ca4fe6, 0x2eb4850eaa3ea8ea, 0xb09117dc6883cf2f,
  0xbf59fe8b2f097e21, 0xdaccf83f33547736, 0x307bdfa8f2b0500d, 0x847202b887d47c1b, 0x7d185962291669d6,
  0x9cead7098fd6c00d, 0x83af00676afe8ea5, 0x210fb4744cf6abd3, 0x02700bd970e462e1, 0x37e06256bd86474d,
  0xb750603bd6bce70b, 0xa9cbca6c670b79bc, 0x05cd98c10b4deaba, 0x62fe6da718de33a2, 0x96745c9ab83cd944,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x0000004fce9e88be,
};

// m48_u2x12_uart0_lednop_pr         m48a_u2x12_uart0_lednop           m48a_u2x12_uart0_lednop_pr
static const uint64_t ur_m48_u2x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c1af58, 0x945ef67bf6ddb7bb, 0xd2baff13bbba4405, 0x3e327771ded8f363,
  0x807fb30be7c27cc1, 0x49fcda9f55ba7c24, 0x7cb08786d1bdaa39, 0x1cab03417ea3dac7, 0xc580b2ca6f920fc7,
  0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x256bd905681e59ed, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0x3f8d166880ddb288, 0x30b41bf75663c81a,
  0xb2c944e32cd6433d, 0x75e792bf734332c3, 0x000000001f2038b1,
};

// m48a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_u4[] = {
  0xbbb1277517623f3e, 0x7774b0c3835eb1bb, 0x7b3dfb0dbd803777, 0x7f89dddd2202ca2f, 0x7748febd3e9de95d,
  0xf3b467c27cc13e32, 0x9b53eab74f84900f, 0x10f0da37b547293f, 0x60682fd47b58ef96, 0x16594df241f8e395,
  0x7cecb3d1a43398b0, 0x691500ffd9823af4, 0x7b20ad03cb3db416, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79,
  0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x1726ae0f365118bf, 0x598f2076d0d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x01f27756dc4f9e4a,
};

// m48a_u2x12_uart0_lednop_pr_ee
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ee[] = {
  0xdddd893bb7b128ae, 0xddddd2c41932158d, 0x4859380219eb4bdd, 0x179c146d37783d08, 0xbf4f4d2891c5e56e,
  0xda33f95a609f193b, 0x53eab74f848a1ff9, 0x90da37b547293f9b, 0xa3cafba83fdad182, 0xdbfea3e0d9835afe,
  0x4522cd3ad080fe2b, 0x0fb99801afa30b2c, 0xe8c9e39d5a5f4a1d, 0xb55ae875e86a761b, 0xe62e1212cf4690e7,
  0x8d8232ffc02f65b2, 0x12b5ec1c58fb33ca, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0x62fe6db9c8ab7b15, 0x459a205c9ab8d944, 0x41bf75663c81db43, 0x944e32cd6433d30b,
  0x792bf734332c3b2c, 0x0000029f3a4e713e,
};

// m48a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xeeec49dd44889768, 0xeeee9620c990ac6e, 0x42c9c00d2f469eee, 0xbce0a369bbc1e842, 0x295ab8c7b62f2b70,
  0x3f9fcad304f8c9dd, 0x3eab74f848a1ffa4, 0x0da37b547293f9b5, 0x3cafba83fdad1829, 0xbfea3e0d9835afea,
  0x522cd3ad080fe2bd, 0xfb99801afa30b2c4, 0x8c9e39d5a5f4a1d0, 0x55ae875e86a761be, 0x62e1212cf4690e7b,
  0xd8232ffc02f65b2e, 0x2b5ec1c58fb33ca8, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x6745c9ab83cd9446, 0xa75663c81f943459, 0xfef0f7bca1854e7e,
  0x79133c0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x92bf734332c3b3e0, 0x00004ebe49388be7,
};

// m48a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ce[] = {
  0x77624eed41ec53c3, 0xeee96041bc7d6377, 0x099bc964f54deeee, 0x5e35f77746d14c80, 0x9dd5c7a6ee38d8f8,
  0xfced19f28b304f8c, 0xe6d4faadd3e127f3, 0xbbdc368ded51ca4f, 0xfe7979707027d8fe, 0xeb59339d7736bd8f,
  0xc0f59ea3f493dcb2, 0xcc580a9888b1c72a, 0x1d7a3e7659e8d219, 0x720b348a807feccf, 0x1895af6415a0796b,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x462fe6db9c31dbd8,
  0x65eae5c9ab83cd94, 0xfa9d598f2076d0d1, 0x22678138d2861539, 0x67a616837ef88d0f, 0x658767c09c659ac8,
  0x408e27cf257ee686, 0x0000000000000dd7,
};

// m48a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd4488ba31, 0xdddd2c4e270aac6e, 0xd3b1e3317e9bbddd, 0x0b4171ddddbf39bb, 0x8c9dd667b6440532,
  0x3ffa43f9f287304f, 0x3f9b53eab74f84a4, 0xfafc90da37b54729, 0x0f3cbcbad22fbaa8, 0x25f886c2445f71a2,
  0xa8ee6d7c41fa2cbc, 0x47e927b96086b266, 0x3111638e5581eb3d, 0xecb3d1a43398b015, 0x1500ffd99e3af47c,
  0xc82b40f2d6e41669, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0x9357079b288c5fcd, 0xc7903f2868b2ce8b, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0xdd720e5117cf257e,
};

// m48a_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c30e2d158, 0xa5d53763debed05d, 0xfdb20308c1f74bdf, 0x277792ed33476d2c,
  0xff3b467d2d4c13e3, 0xf36a7d56e9f090d6, 0x39121b46f6a8e527, 0x9e5e5c1c72763faa, 0x07e673aee6d70d1f,
  0xfa8f2b9c40ddac0b, 0x2bc93d47c1b307bd, 0x962291669d684720, 0x71f27d6c00d7d185, 0x0676c168c439cead,
  0x1c82cf6abd383af0, 0xf65c3918b84841c5, 0x56bd864d62409c02, 0xbcf020270b37e062, 0x02de6f0725603bd6,
  0xc5654ee2ca72f9d0, 0x9d103f598c10b4f0, 0xca2317f36d38c6f1, 0xda1a2cd102e4d5c6, 0x985a0dfbab31e40e,
  0xd964a271966b219e, 0x89f3c95fb9a19961, 0x000000000534c923,
};

// m48a_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xeeeee96385e19d63, 0xbf717a08627699ee, 0x4469cf717bdddb70, 0x3bbf6b51996223f6,
  0xf487f3e1a2609f19, 0x6d4faadd3e12b1ff, 0xa54368ded51ca4fe, 0xf2eb48c16aa3ea8e, 0x1b09117dc6883cf2,
  0x6ba547e8b2f097e2, 0xddaccf83f3354773, 0x660f7bf51e572f80, 0xd08e4057f27a8f83, 0xafa30b2c4522cd3a,
  0xe39d5ae221fad801, 0x7075e00cedcf236b, 0x1216b119a49ed57a, 0x902700bd970e462e, 0x66fc0c4ad7b0c8a6,
  0xcc077ad79e0404e1, 0x72452d5e7400b79b, 0xbf98c10b4a9f016a, 0xfcdb4e31bc67440c, 0xe8b9357079b288c5,
  0xeacc7903f2868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x00004fc815117cf2,
};

// m48_u2x12_uart0_dual_pr           m48a_u2x12_uart0_dual             m48a_u2x12_uart0_dual_pr
static const uint64_t ur_m48_u2x12_uart0_dual[] = {
  0xdddddd58dad44511, 0xdddddd4383048e1f, 0xd3de9c624a56bb2d, 0x333b137077774ad8, 0x64e1572fb5aaf8b1,
  0x2c8009484a89827c, 0x0a1832bac0db4ae2, 0x5b176a774f897103, 0x8145383939be77e6, 0x2ac0e3dcdea3afbd,
  0xe057f98d02284724, 0x17bbe2ef27400dc3, 0x54219683de886577, 0xd7dffd01cf0986fc, 0x85e60b0de579096d,
  0x4faadd3e12913fd9, 0xc368ded51ca4fe6d, 0xa43f51ed63be5abf, 0xc399efe8238e5581, 0xb54b4690ce62c05f,
  0x82ee39630475e45b, 0x7f157ceee2a4a564, 0x04e166fc0c4ad7b2, 0xe0e4ac077ad79e04, 0xdc594e5f3a005bcd,
  0xf5c502169e18aca9, 0x7f36d38c6f19d103, 0x102e4d5c1e6ca231, 0xbab31e40fca1a2cd, 0x1966b219e985a0df,
  0x5fb9a19961d9f027, 0x000310039445f3c9,
};

// m48a_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m48_u2x12_uart0_dual_pr_u4[] = {
  0xeeeac6d5173e43ee, 0xeeea1c18ecb0feee, 0x40b9763db4eb6eee, 0x7233dddd867514dd, 0xb964cd8d4d3c029a,
  0x4a4321cc13e324d8, 0x95d606da57116400, 0x53ba7c4b881850c1, 0x381c398a5fe65fe0, 0xea54dea3a56d83a5,
  0xf98d022847242ac0, 0xe2efff800dc3e057, 0x9682f888657717bb, 0xfe80e784cf7c5421, 0x0586f2bc84b6f52b,
  0xadd3e12eebfced13, 0x8ded51ca4fe6d4fa, 0xf51f229df2c4d436, 0xa717be38e5581887, 0x6475fce62c055079,
  0x3ff6608ebc019dad, 0x40f2cf6c43a43540, 0x3f8abe7771525527, 0x0270b37e06256bd9, 0x36450603bd6bcf02,
  0xdea53929d002de6f, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0x357079b288c5fcdb, 0xc819a7c68b2ce8b9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x93e9e75aa792bf73, 0x0000000000000014,
};

// m48a_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ee[] = {
  0xeeeeac6d6f3e43ee, 0xddd438f4faef0fee, 0x2726c4eb7b5adddd, 0xe80020dd12264635, 0x66d77b4f157d8bab,
  0x394c13e327c8dcb2, 0x0db4ae22c800948f, 0xf8971030a1832bac, 0xe6b1ffccbfc0a774, 0xd47eafd850f9c3a7,
  0x4508e485581c729b, 0x7c01b87c0aff31a0, 0x4432bb8bddf177b3, 0x84cfe454219687ee, 0xbc84b6f1cbfe80e7,
  0x4a7bfced130586f2, 0x949fcda9f55ba7c2, 0xed68e7186d1bdaa3, 0x60d31f51e566541f, 0x203f8ac3dfa8f836,
  0xe8c2cb1148b34eb4, 0x97ea0741c666006b, 0xa69db22a3e80e756, 0x48c4fcf6ab5d0ebc, 0x02f65c7c62e12113,
  0xeee2a4a3a13f2ffc, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0x65118bf9b6e722ad, 0x8d166881726ae0f3, 0x6837eeacc790334f, 0x7c09c659ac867a61,
  0x54f257ee68665876, 0x00000006428a9ceb,
};

// m48a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa2437089, 0xbba871e9957e1fdd, 0xdb3e3adaa3fbbbbb, 0x9900041ba8ec3727, 0xe1dc995b475b1d74,
  0xe0a609f1932eee4f, 0x06da571164004a42, 0x7c4b881850c195d6, 0xc98347e65c1c73ba, 0x7a8fd3fb0b1f387f,
  0x114239215607d5f3, 0x91006e1f02bfcc68, 0xa88657717bbe2efb, 0xe131458a8432d074, 0x5e425b7eafffa039,
  0x5beffd21f982c379, 0x949fcda9f55ba7c2, 0xed68fa886d1bdaa3, 0x60d7cf51e56fe41f, 0x203f8ae037a8f836,
  0xe8c2cb1148b34eb4, 0x2fb7c7427e66006b, 0x8cdd93146229cead, 0xc8ebfcf6ab5d0ebd, 0x05ecbe9662e1215a,
  0xc4feb151b0465ff8, 0x9fc55f3bb8a928e2, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0xe86e3cd94462fe6d, 0xeaccdfc1ddc68b2c, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x000564bab770a4f2,
};

// m48a_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ce[] = {
  0xeeeeac6d6f3e1000, 0xeeea1cf4bf6b0fee, 0x20a666cfb4b16eee, 0x63b2dddd5c7d38eb, 0x5caabf6b5b369c92,
  0x4a42a46609f19210, 0x95d606da57116400, 0x53ba7c4b881850c1, 0x386ce9a397e65fe0, 0xd82cdea3caed85ba,
  0xf98d022847242ac0, 0xc5de87c00dc3e057, 0x5a1b7d10caee2f77, 0xfa039e131eb15086, 0x161bcaf212dbb05f,
  0x6e9f09393ff3b44c, 0x6f6a8e527f36a7d5, 0xcee3dd8feab5e1b4, 0xebb9b5fabff3cbcb, 0xe37e7b965d54b99c,
  0x0f91c72ac0ea5fa8, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b, 0x93a0796b7087486a, 0xec9fc55f3bb8a92a,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb9357079b288c5fc, 0x63c819a7c68b3440, 0xd6433d30b41bf756, 0x34332c3b3e04e32c, 0x3d68be75aa792bf7,
  0x0000000000000007,
};

// m48a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ce_u4[] = {
  0xbbbab1b5448618be, 0x7750e42febbc3fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xb955ef7bb7822afb,
  0x291e729827c64f91, 0x57581b695c459001, 0xcee9f12e20614306, 0x874fcd63ff997071, 0xe537a8fd5fb0a1f3,
  0x63408a11c90ab038, 0xef66f80370f815fe, 0x0fdc88657717bbe2, 0x01cf099fc8a8432d, 0x0de579096de397fd,
  0x9f0929eff487e60b, 0x6a8e527f36a7d56e, 0xf9d551f59c61b46f, 0xbee3441e78580612, 0xf459784bf10d8488,
  0x54b99aa3b9b5d0fb, 0xea5fa8e37e7b9608, 0x580a0a0f91c72ac0, 0x78033b5ac8ebf9cc, 0x87486a807feccf1d,
  0xb8a92a93a0796b70, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x88c5fcdb73863b7b, 0xbb8d1659d0dc79b2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0x2ee149e4afdcd0cc, 0x00000000001a484e,
};

// m48a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ee_ce[] = {
  0xddd58dad41436f02, 0xbba870626be1fddd, 0x0dce2c5b87dbbbbb, 0x5e482c1dd7ac3d90, 0x1edf5c59bd9bae25,
  0x27304f8c9667721e, 0x6da571164004a459, 0xc4b881850c195d60, 0x36377e65c1c73ba7, 0x51f106c1aece087d,
  0x14239215607a6a6f, 0x3006e1f02bfcc681, 0x10caee2f77c5df74, 0x2653d150865a16e9, 0xe425b7d35ff4073c,
  0x16bfd21f982c3795, 0x49fcda9f55ba7c24, 0xd51d4a86d1bdaa39, 0xbf3c2c03096ceb1f, 0x172499cebb9b5e92,
  0xc9ea3cae3d81bb58, 0x01598ff51f06cc1f, 0x2cb1148b34eb4239, 0xd71b7feb6006be8c, 0xd8cdd93146229cea,
  0xb23aff3daaf4e0eb, 0x017b2fa598b84856, 0xf09fd62a3608a04e, 0xc9fc55f3bb8a92f4, 0x1013859bf0312b5e,
  0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xab8dc79b288c5fcd,
  0x75666fe0eee34597, 0x9e04e34a1854e7ea, 0x985a0dfbe2343c89, 0x1d9f0271966b219e, 0x5c293c95fb9a1996,
  0x0000000000200102,
};

// m48a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdd58daa26d3f880b, 0xa87017b85e1fdddd, 0xeb5369b609bbbbbb, 0x793b767116a26f66, 0x0cd3a69eb4144f86,
  0x3e325b15cbc4fd7f, 0x88b20025213cbcc1, 0x0c2860caeb036d2b, 0xccaecc59dd3e25c4, 0xb0e5a38337e64a8f,
  0x156078dd37a8f787, 0xf02bfcc681142392, 0x5eef8bbc617006e1, 0x42196850fa2195dc, 0x377fd01cf0986b45,
  0x9cc161bcaf212dbe, 0xd56e9f094edffbe6, 0xb46f6a8e527f36a7, 0x39d3f551f54652e1, 0x117dc6883cf0b008,
  0xb7e8b2f097e21b09, 0xcfc9266a8ee6d7ee, 0xe4f51e571ec0ddac, 0x80acc7fa8f83660f, 0x16588a459a75a11c,
  0x6b8dbff5b0035f46, 0xec66ec98a3114e75, 0x591d7f9ed57a7075, 0x00bd97d2cc5c242b, 0x784feb151b045027,
  0x64fe2af9ddc5497a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9,
  0xdb9c31dbd8aaa2d3, 0xc9ab83cd94462fe6, 0xbf837e8234596745, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0x0107272029e4afdc, 0x0000000000000040,
};

// m48_swio10_noled_pr               m48a_swio10_noled                 m48a_swio10_noled_pr
static const uint64_t ur_m48_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10adbbeb0, 0xdbe9776e27524192, 0x80f06612226f897e, 0x315a38fd68917748,
  0x1ee609f193ba0bf7, 0x4d0ec913fd985f3e, 0xc0c43fa8ef79df2c, 0x2dee9a71c8b1c72a, 0x5cedd02359e73160,
  0xac6bedc72c608ebc, 0xd873d59b5e5caad4, 0x6fab39d454aa35d9, 0xbd7d10a9ace576a9, 0xb55a22bca852552f,
  0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a204e14, 0xb34406ed94462fe6, 0xdfbab31e40d1fc68,
  0x271966b219e985a0, 0x95fb9a19961d964a, 0x0000f900390baf3c,
};

// m48a_swio10_noled_pr_u4
static const uint64_t ur_m48_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0x4f8c9ddf23a82233, 0xceebfced19f8f730, 0xf7a8f371df2c228e, 0xa632a718e3956064, 0x9ef476b1cc580b2c,
  0xa01ffb30475e8f9d, 0x5aa07967b770d67a, 0x61cf566d7972ab55, 0xbeace75152a8d767, 0xf5f442a6b395daa5,
  0xd5688af2a14954be, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0x079b288c5fcdb204,
  0x3b6868b2ce8b9357, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03,
  0x658767c09c659ac8, 0xd3ce27cf257ee686, 0x0000000000001f27,
};

// m48a_swio10_noled_pr_ee
static const uint64_t ur_m48_swio10_noled_pr_ee[] = {
  0x327bbbbbbbd8b562, 0x87ee5a588442b758, 0xc69ed0bd1aef2299, 0xf07f0bd9e8261550, 0xfde2fb1e4505fcc9,
  0x7c64eed33dfa7704, 0x53dfe768cfefb982, 0xff741fed68c278ec, 0x51f06cc1cddea3ca, 0x669d68407f15b93f,
  0xcc00d7d185962291, 0x29cead2efe0eb19c, 0xba1d78033b4dc8f2, 0xe1214648c9a9ed56, 0xd4bff00bd970e462,
  0x3d59b5e5caad4744, 0xb39d454aa35d9d87, 0xd10a9ace576a96fa, 0xa22bca852552fbd7, 0xe1a779f16bae7b55,
  0xf19d1020eea6c529, 0xdec5551696d138c6, 0x6ca2317f36c8122a, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40,
  0x1d964a271966b219, 0x389f3c95fb9a1996, 0x000000000053e2a7,
};

// m48a_swio10_noled_pr_ee_u4
static const uint64_t ur_m48_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda2447705, 0xad72d2c4221fbac6, 0xa8bb6477d2d686d6, 0x9170ff8b066c802f, 0x16d2ec991417fd9e,
  0xf193bad8b560a4ca, 0xfbff487f3f15a609, 0x74b07fb5a3328766, 0x47c1b306807a8f2b, 0x9a75a101fc5721fd,
  0x30035f4616588a45, 0x4e7569728a3a1f73, 0xd0ebd0d4ec80234c, 0x0909ef476b4f6ab5, 0x197fe017b2d97317,
  0xad47164d57f546c1, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d10a9ace57, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x4d5c1e6ca2317f36, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343c899, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0x75eeadc45f3c95fb, 0x0000000000000002,
};

// m48a_swio10_noled_pr_ce
static const uint64_t ur_m48_swio10_noled_pr_ce[] = {
  0x0feeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x09ac86993bf238cb, 0x705ff5605fe3f8fa, 0x89c2ac9933ddc3e8,
  0x609f193bb4176859, 0x3b1c9ff9da33f21e, 0x5e5c1c4ad63fae48, 0x2673aee6d7ff9f9e, 0x2fd47c927b965d6b,
  0x05ee8148e3956078, 0x47cecf7a3b58e62c, 0x6b3d500ffd99e3af, 0x556aab540f2d6eb8, 0x1aecec39eacdaf2e,
  0xbb54b7d59cea2a55, 0x2a97debe8854d672, 0x5d73daad115e5429, 0x7536294f0d3bcf8b, 0xb689c6378ce88107,
  0x6c810c76f62aa8b4, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1, 0x966b219e985a0dfb, 0xb9a19961d964a271,
  0x0b7545f389f3c95f,
};

// m48a_swio10_noled_pr_ce_u4
static const uint64_t ur_m48_swio10_noled_pr_ce_u4[] = {
  0x93dddddda2447e4a, 0x3f72d2c30e15bac1, 0x42f5ebe8d77914cc, 0x83f85ecf4130aa87, 0xaf8fde2fb1fba64f,
  0x9827c64eebd6d312, 0x1d8a7bfd21fcfefb, 0xcbad2604aa8fa84f, 0x6c2445f71a20f3cb, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xc72ac0f05fa8f924, 0x76b1cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x1e5add70d67aa01f,
  0xd59b5e5caad556a8, 0x39d454aa35d9d873, 0x10a9ace576a96fab, 0x22bca852552fbd7d, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x94462fe6d90218ed, 0x34596745c9ab83cd, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3, 0x8be792bf734332c3,
  0x000000006eb938b8,
};

// m48a_swio10_noled_pr_ee_ce
static const uint64_t ur_m48_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447032, 0x972d2c42b1a5ac13, 0x76cbbdb1f50fc5d0, 0xce6e5c6c8d05363a, 0x7f4cfdce24d04998,
  0x193ba76b6c4a72a6, 0x5fe90fe7c66e609f, 0x2d58fea8fe70ec0b, 0xb5ee87f9e5e5d690, 0x1bb58147c99cebb9,
  0xd98397dea3cad2b0, 0x6847202bf9dea3e0, 0xd7d185962291669d, 0x139d5ae0a2fd6c00, 0x383af4353b2008d3,
  0x0909ef476b4f6abd, 0x8a04e017b2d97317, 0xab5e9e26abfaa360, 0xd76761cf566d7972, 0xdaa5beace75152a8,
  0x54bef5f442a6b395, 0xeb9ed5688af2a149, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x640863b7b15545a5,
  0x26ae0f365118bf9b, 0x3c81f9434597ab97, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04, 0x0271966b219e985a,
  0x3c95fb9a19961d9f, 0x00000013f102445f,
};

// m48a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m48_swio10_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e173e, 0x772d2c5c0a38d62c, 0x8ed89d6414d8db26, 0xeebec9ac1a66f5cc, 0x836d16443c4d8f05,
  0x27777ef6c3227a33, 0xf7cd3cfd6fcc13e3, 0xaa3ea8f2b0ec9dbf, 0x1a20f3cbcbcee76e, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0xf2b4ac06ed6678f9, 0x77a8f83660e5f7a8, 0xa459a75a11c80afe, 0xbf5b0035f4616588,
  0xc80234c4e756b828, 0xd3daaf4e0ebd0d4e, 0xb65cc5c2427bd1da, 0xfea8d822813805ec, 0x9b5e5caad7a789aa,
  0xd454aa35d9d873d5, 0xa9ace576a96fab39, 0xbca852552fbd7d10, 0x779f16bae7b55a22, 0xd1020eea6c529e1a,
  0x5551696d138c6f19, 0x462fe6d90218edec, 0x596745c9ab83cd94, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857, 0x3c95fb9a19961d9f, 0x0000013f08393ad5,
};

// m48_swio10_lednop_pr              m48a_swio10_lednop                m48a_swio10_lednop_pr
static const uint64_t ur_m48_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0xd6edbdd1b42ca832, 0x101e0cc2444ddde6, 0xb1e6c7a575f426e9,
  0xdfc9827c64eee3bd, 0x89a1d8657fb30be7, 0x581887f51fe43be5, 0x02dee98f57be38e5, 0xe2e76b591f407316,
  0xa959cf6e39630475, 0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xfa21535c0809caed, 0xb4457950a4ab574b,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xc6378ce881b1fe28, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x03e407162ebcf257,
};

// m48a_swio10_lednop_pr_u4
static const uint64_t ur_m48_swio10_lednop_pr_u4[] = {
  0x41bbbbbb45d8bf82, 0xddcb4b10ade96b04, 0xfb98e8da16541921, 0x984889c7fc5b07f1, 0x36c99f37dd2203c1,
  0x9f193ba627490836, 0x813ffced19f32a60, 0x7f51f243be589a1d, 0x9bba05238e558188, 0x1f11f48731602dee,
  0x1ee39630475e2e76, 0xf566d7972ab52b2e, 0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0xbf9b65d9156f62aa, 0x9d1726ae0f365118,
  0x9d598f2076d0d165, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x00000f932cdc4f9e,
};

// m48a_swio10_lednop_pr_ee
static const uint64_t ur_m48_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0x87ee5a5884453758, 0xb4bd1a7aebcbda99, 0x4f83f85ecfdc7798, 0xb3760cc902282fe6,
  0x09f193ba627571c1, 0xb3677f9da33e7066, 0x2b4ad07fb5a309e3, 0xfd47c1b307377a8f, 0x459a75a101fc56be,
  0x7330035f4616588a, 0xb5ce7569731e3ac6, 0xb5d0ebc019da2146, 0x1709084547d24f6a, 0xe7a5ff805ecb8723,
  0x39eacdaf2e556a3a, 0xd59cea2a551aecec, 0x54d7020272bb54b7, 0x5e54292ad5d2fe88, 0x74079fad73daad11,
  0x3573abd4b0b29b16, 0xe33a206c7f8a042d, 0x8d94462fe6da718d, 0x1db43459a205c9ab, 0x3d30b41bf75663c8,
  0xc3b2c944e32cd643, 0xc713e792bf734332, 0x0000000000029f39,
};

// m48a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m48_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222044, 0x56b9696211069d63, 0x23fa697499f1f36b, 0x22e1ff167ec19e3b, 0x40f5c902282ffb3d,
  0xf8c9dd1edb1c4218, 0x677fa43f9f383304, 0x97583fdad19943b3, 0xa3e0d983403d4795, 0xcd3ad080fe2b297e,
  0x9801afa30b2c4522, 0x873ab4ba561d0fb9, 0xe875e86a76ea11e4, 0x090be44707e7b55a, 0x197fe017b2d97317,
  0x5a8e2ee1acf546c1, 0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546, 0xbfa21535c0809cae, 0xab4457950a4ab574,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b288c5fcdb2ec8a, 0x2868b2ce8b935707,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867,
  0x1117cf257ee68665, 0x0000000000275d34,
};

// m48a_swio10_lednop_pr_ce
static const uint64_t ur_m48_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833de6ec1e38cb, 0x82ffab63b05fe94a, 0x4a82121006ee1f43,
  0x609f193bb647420e, 0x3b1d2ff9da33e52e, 0x5e5c1c90f63fae48, 0x4ce75dcdae9b7f9e, 0x5fa8e0a4f72cbad6,
  0x143da011c72ac0f0, 0x3e76f911c1f398b0, 0xf40a807feccf1d7a, 0xaad605681e5addbd, 0x35d9d873d59b5e5c,
  0x76a96fab39d454aa, 0xa5fd10a9ae0404e5, 0xb55a22bca85255ab, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x71b288c5fcdb2ec3, 0x03b6868b3440b935, 0x67a616837eeacc79, 0x587659289c659ac8,
  0x2ee27cf257ee6866, 0x000000000005ba8f,
};

// m48a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m48_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2446f43, 0x3f72d2c30e1bbac1, 0x106d45d75e5ed4cc, 0x07f0bd9e56d0485e, 0x650d3866f4f74c9f,
  0x304f8c9dd015bc97, 0x3b2577fa43f9fd9d, 0x975a4df7551f509e, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51c149, 0x83e73160287b4023, 0xd99e3af47cedf223, 0x3cb5bb7be81500ff,
  0xab36bcb955ac0ad0, 0x73a8a9546bb3b0e7, 0x5c0809caed52df56, 0x50a4ab574bfa2153, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0xd1726ae0f365118b, 0xd598f207e50d1659,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813,
  0x001baf1f5e22f9e4,
};

// m48a_swio10_lednop_pr_ee_ce
static const uint64_t ur_m48_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22a20, 0x4b96962158c4d609, 0x23b06f71de63e2e8, 0x67372e2696c8e2f1, 0x1f2234e7126824cc,
  0x8c9dd57da1ba352c, 0xfffa43f9f0d1304f, 0xc7ec7f547f387658, 0xb5c001f9e5e5d692, 0x1bb58147c99cebb9,
  0xd98397dea3cae438, 0x6847202b387ea3e0, 0xd7d185962291669d, 0x439d5ae12b7d6c00, 0x383af4353b7508f2,
  0x1217c88e0fcf6abd, 0x1409c02f65b2e62e, 0xad7a7ae1acf546c1, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3,
  0x5fd10a9ae0404e57, 0x55a22bca85255aba, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31,
  0x9b288c5fcdb2ec31, 0xa1a2cbd5cb935707, 0x2a73f53ab31e40fc, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1,
  0xcd0ccb0ecf8138cb, 0x4fc1d1622f9e4afd,
};

// m48a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_swio10_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e1bc1, 0x772d2c5c0ae0d62c, 0x9e86ed2b6480db26, 0xeebec9c715835159, 0x476b8e443c4d8f05,
  0xc9dd75bd415dde4e, 0xfdf34f3e87d304f8, 0x5547d51e561d9883, 0x71a20f3cbcbcef10, 0x2cbc25f886c2445f,
  0xc99aa3b9b5d705fa, 0x4795c870376b33c7, 0x70fd47c1b3072fbd, 0x4522cd3ad08e4056, 0x56fad801afa30b2c,
  0x76ea11e4873ab5c2, 0x1f9ed57a7075e86a, 0xcb65cc5c242f911c, 0x59ea8d822813805e, 0xb36bcb955af4f5c3,
  0x3a8a9546bb3b0e7a, 0xc0809caed52df567, 0x0a4ab574bfa21535, 0xcad75cf6ab445795, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b65d863b7b15545, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x04fc1538eb54f257,
};

// m48a_swio10_dual
static const uint64_t ur_m48_swio10_dual[] = {
  0x33ddddddde7cbf3e, 0x053350e5096270fc, 0xb5a3db571d454109, 0x9fb7a6f5f6270913, 0xf5dd867acccf7619,
  0x609f19398dcb656e, 0xa571164004a4341e, 0xb881850c195d606d, 0xc7fe65fe053ba7c4, 0x1e44d86df3807b98,
  0xa11c90ab03d2a6f5, 0x80370f815fe63408, 0x432bb8bddf1778cd, 0x2627a2a10cb42d64, 0xe425b790fff4073c,
  0x80dfe768982c3795, 0xf51e5f1df2dbd8ec, 0xb6faf91c72ac0c9a, 0x923dece62c05fc39, 0xb8e58c11d7916ed1,
  0x157ceee2a4a56741, 0x73d59b5e5caad67f, 0xab39d454aa35d9d8, 0xa9ae0404e576a96f, 0xbca85255aba5fd10,
  0x05ce80f2e7b55a22, 0xd2b08985ea5af29c, 0xde33a2045fb8a042, 0x3cd94462fe6da718, 0x5a0df8f8765c9ab8,
  0x9f0271966b219e98, 0xd53c95fb9a19961d, 0x000000032df085ba,
};

// m48a_swio10_dual_pr
static const uint64_t ur_m48_swio10_dual_pr[] = {
  0xddddddd41e7cd0e3, 0x3350e50875b0fd05, 0x96ade4ab8f1795b5, 0xa1a2a0ab0c64421e, 0xca9c46eb7682bd75,
  0xe3bb96cde8ebe44e, 0x0012900899827c64, 0x30657581b695c459, 0xf814ee9f12e20614, 0x7f0e0bee628bf997,
  0xac0fba9bd478f7b0, 0x057f98d022847242, 0xf77c5df5be00dc3e, 0x8432d08c910caee2, 0xbaffd01cf09ad68a,
  0xa260b0de579096dc, 0x77cb0f83b2a57f9d, 0x38e558188bea3c88, 0xcc580aa0f37ee32a, 0x8ebc019da7146f79,
  0x6d6bc1f5403ff660, 0xddc5496ff0c0f2cf, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x0809caed52df5673,
  0xa4ab574bfa21535c, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb2ec8ab7b15545a,
  0xb9357079b288c5fc, 0x8f20669f1a2cbd5c, 0x38d2861539fa9d59, 0x837ef88d0f226781, 0xc09c659ac867a616,
  0x4f257ee686658767, 0x000000a498e8aeb5,
};

// m48a_swio10_dual_pr_u4
static const uint64_t ur_m48_swio10_dual_pr_u4[] = {
  0x9eeeeeed173e43ee, 0x299a8728481787e1, 0x6d3adab8ea2a0848, 0xfdbd37afb93a0d8f, 0xa780534e0ddbb0cc,
  0x7c64e6372c99b1a9, 0xe22c800948524982, 0x030a1832bac0db4a, 0xfccbfc0a774f8971, 0x89b0dbe700f7318f,
  0x39215607a54dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177ffc00, 0x27a2a10cb42d6443, 0x25b7387ff4073c26,
  0x7fe768982c3795e4, 0x8f389df2dbd8ec5f, 0x2a6e8e3956064d7a, 0x1c1f398b017f0e63, 0xe58c11d7916ed915,
  0x7ceee2a4a56749b8, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0xae0404e576a96fab, 0xa85255aba5fd10a9,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x7440d8ff14085a6a, 0x288c5fcdb4e31bc6, 0x68b2ce8b9357079b,
  0xe7ea75663c819a7c, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xaa792bf734332c3b, 0x00000001493e9e75,
};

// m48_swio10_dual_pr_ee_u4          m48a_swio10_dual_pr_ee            m48a_swio10_dual_pr_ee_u4
static const uint64_t ur_m48_swio10_dual_pr_ee[] = {
  0xf02f777776890c86, 0x38a99a870b8a01c3, 0xab7266ea0a7ad06e, 0x76279294eb9d45e5, 0xbdd8593ec6be2f81,
  0x49a5b956d35a7b98, 0x20025222319827c6, 0x860caeb036d2b88b, 0xe0e39dd3e25c40c2, 0x06b1c09d4c96bf32,
  0x5607bee6f51e2b6c, 0x02bfcc6811423921, 0xf77c5dfcdf006e1f, 0x8432d07f110caee2, 0xdaffa039e136df8a,
  0xf982c3795e425b7d, 0x5a35f63b3abffd21, 0x7dd7a8f2bcad07fb, 0x1fc572bbd47c1b30, 0x616588a459a75a10,
  0x2963a13f330035f4, 0xdd83da3400e75697, 0x6f7cf6ab5d0ebd8c, 0xf65f4b317090a714, 0x95aca8d8232ffc02,
  0xe2af9ddc54947171, 0x0e7ab36bcb955acf, 0xf5673a8a9546bb3b, 0x1535c0809caed52d, 0x57950a4ab574bfa2,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb2ec8ab7b1, 0xb8d1659d0dc79b28,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0x2e149e4afdcd0ccb, 0x00000000000ac8bb,
};

// m48a_swio10_dual_pr_ce
static const uint64_t ur_m48_swio10_dual_pr_ce[] = {
  0x25ddddddde7cd0e3, 0x553350e3c858b0ff, 0xfd75bd323705a2d4, 0xd0b8e25a8e700aa2, 0xcfb4fb3adbbc97c8,
  0x4e2fb96cded71c89, 0x20025215d79827c6, 0x860caeb036d2b88b, 0xff029dd3e25c40c2, 0x0ba9c0a1cca7bf32,
  0x5606e4e6f51e43ec, 0x02bfcc6811423921, 0x7bbe2ef67c006e1f, 0x8432d097c8865771, 0x2b7fd01cf09be48a,
  0xa260b0de579096de, 0x63faa003b182ff9d, 0x76bbfcf2f2f3b53d, 0xe597552e673aee6d, 0xe5581dc3f51fa89e,
  0xde731602d4aeea38, 0x99e3af006769c51b, 0x2d6e5af07d500ffd, 0xaf9ddc5496ff0c0f, 0x7ab36bcb955acfe2,
  0x673a8a9546bb3b0e, 0x35c0809caed52df5, 0x950a4ab574bfa215, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0xbf9b65d863b7b155, 0x881726ae0f365118, 0xeacc790334f8d166, 0x659ac867a616837e,
  0x7ee686658767c09c, 0x001cf5f38eb54f25,
};

// m48a_swio10_dual_pr_ce_u4
static const uint64_t ur_m48_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0xc954cd43832b587e, 0x4cdeef75a71bae9d, 0xe477f4e058ebe7da, 0x6558806abe356ec4,
  0x9f193516e4f05ae1, 0xe22c800948f5aa60, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0xbb8bddf177f47c01, 0xa22a10cb40ca4432, 0xb6e63fff4073c26e,
  0xfa43f30586f2bc84, 0xad551f58f63b2397, 0xee3441e785806121, 0x459784bf10d8488b, 0x4b99aa3b9b5f2a3f,
  0x70fd47ea27b96085, 0x80b52bba8e395607, 0xc019da7146f79cc5, 0xbc1f5403ff6678eb, 0x1525bfc303cb5b96,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x272bb54b7d59cea2, 0xad5d2fe8854d7020, 0xd73daad115e54292,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x7618edec55516920, 0x86e3cd94462fe6d9, 0xaccdfc1ddc68b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x00349021770a4f25,
};

// m48a_swio10_dual_pr_ee_ce
static const uint64_t ur_m48_swio10_dual_pr_ee_ce[] = {
  0xa0addddddd43573e, 0x6e53350e5080fb0f, 0x7b7d7dd2d5b28a70, 0xb119157c8435deeb, 0x13ee100c2f68a829,
  0x3772721eae2f5959, 0x1290598b304f8c98, 0x657581b695c45900, 0x1cee9f12e2061430, 0x3826dcd3b7f99707,
  0x0b537a8e337b0dda, 0xe63408a11c90ab03, 0x2eff3900370f815f, 0xd02ea88657717bbe, 0xa039e132568a8432,
  0x61bcaf212db8a4ff, 0xa18ecd35fe90fcc1, 0x160184b4d58fea8c, 0x4ce75dcdaea49f9e, 0x1e56a780ddac0b92,
  0x04f51f06cc184ff5, 0x148b34eb4239015e, 0x2feb6006be8c2cb1, 0xb07b46801cead705, 0xbe7b55e9c1d7b19b,
  0x2fa598b848538a37, 0x6b2a3608a04e017b, 0x55f3bb8a92f4f465, 0xcf566d7972ab59fc, 0xace75152a8d76761,
  0xa6b8101395daa5be, 0xf2a14956ae97f442, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x17f36cbb0c76f62a, 0x3459a20371e6ca23, 0xb41bf75666fe0eee, 0x3e04e32cd6433d30, 0x52792bf734332c3b,
  0x00000004c10797b8,
};

// m48a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m48_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed1369fa812, 0x66a1c26760987d39, 0x21e8eba7d8f6414a, 0x3e19cc89ae3793d7, 0x36b474e4e4739a73,
  0x5b5b4fed1d7bccd9, 0xf304f8c90dd729a7, 0xd2b88b2002521e20, 0x5c40c2860caeb036, 0xd7fccaecc59dd3e2,
  0xeb7f61000e02926f, 0x47242ac0e76e6f51, 0x0dc3e057f98d0228, 0x2bb8bddf177dc940, 0x024542196869b443,
  0x2dbf59ffd01cf09b, 0xfbe69cc161bcaf21, 0x551f547158766377, 0x6883cf0b008398dd, 0x2f097e21b09117dc,
  0xcd51dcdaf7257e8b, 0xcad4f01bb599f924, 0x9ea3e0d98309fea3, 0x91669d6847202bc0, 0xfd6c00d7d1859622,
  0x0f68d0039d5ae0a5, 0xcf6abd383af63376, 0xf4b317090a7146f7, 0x6546c11409c02f65, 0xbe7771525e9e8cad,
  0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0xd7020272bb54b7d5, 0x54292ad5d2fe8854, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6d97618edec555, 0x745c9ab83cd94462, 0x599bf837e8234596,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x040047d772029e4a,
};

/*
 * m48_swio11_noled_pr               m48_swio12_noled                  m48_swio12_noled_pr
 * m48a_swio11_noled                 m48a_swio11_noled_pr              m48a_swio12_noled
 * m48a_swio12_noled_pr
 */
static const uint64_t ur_m48_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adcdeb0d8, 0x466ea44cf741921d, 0x4f06613526f07d5b, 0xe823af1afb3f75b0,
  0xb9827c64eed8fd85, 0x03b3baff6617cfc7, 0x3affea3a6277cb74, 0xbdd32003e471cab0, 0xcedd223278e62c05,
  0x6087dc72c608ebc5, 0xc39eacdaf2e556a5, 0xd5d9cea2a551aece, 0xbe8854d672bb54b7, 0xab4457950a4ad8de,
  0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674408f2f1, 0x6880ddb288c5fcdb, 0xf75663c81a3f8d16,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x0007c8124175e792,
};

// m48_swio12_noled_pr_u4            m48a_swio11_noled_pr_u4           m48a_swio12_noled_pr_u4
static const uint64_t ur_m48_swio11_noled_pr_u4[] = {
  0xd113777768bb1762, 0x5cb4b10adb6eb13d, 0xb63f50e244c8866b, 0x21713e978f99305f, 0x43801e4dd9ee888f,
  0x7c64eef25d6411dd, 0xdbffe768cf98f982, 0x7a8e0a1df2dbd8ec, 0xc1ed008e3956064d, 0x628c45398b016594,
  0x03ff6608ebd1f3b2, 0x1303cb3dbb589e54, 0x0e7ab36bcb955aa1, 0x57673a8a9546bb3b, 0xfa215359caed52df,
  0xad115e54292b637a, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0xe6ca2317f36d8431,
  0xda1a2cb3a2e4d5c1, 0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd,
  0x61d9f0271966b219, 0x5389f3c95fb9a199, 0x000000000003e4e0,
};

// m48_swio12_noled_pr_ee            m48a_swio11_noled_pr_ee           m48a_swio12_noled_pr_ee
static const uint64_t ur_m48_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8ad4e, 0xf72d2c422033ac6e, 0x2f5ebef1fa114cc3, 0x1fc2de464090f1f4, 0x66eda991417fddfc,
  0x193bbe474c4a3386, 0x27f9da33f6ea609f, 0x9383fdad1c883b30, 0x3e0d983053d4795b, 0xd3ad080fe2b4adea,
  0x801afa30b2c4522c, 0x73ab4bc061d63399, 0x43af0067605118f8, 0x4859151f413daad7, 0x2ffc02f65c3918b8,
  0x566d7972ab51d741, 0xe75152a8d76761cf, 0x2a6b395daa5beaec, 0x2bca85256c6f5f44, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x4462fe6db0862ade, 0x43459a205c9ab8d9, 0x0b41bf75663c81db,
  0x2c944e32cd6433d3, 0x3e792bf734332c3b, 0x000000014f807271,
};

// m48_swio12_noled_pr_ee_u4         m48a_swio11_noled_pr_ee_u4        m48a_swio12_noled_pr_ee_u4
static const uint64_t ur_m48_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2445541, 0x5cb4b10890ceb0f2, 0x91d68ba306b9b5ab, 0x45c3f5a62f362c7d, 0x5c69a9b2282fef22,
  0xe32775056f4e39cf, 0x75fe90fe7e394c13, 0x43c1fed68c3d8ecb, 0x1f06cc1e95ea3cae, 0x69d68407f159c3f5,
  0xc00d7d1859622916, 0x39d5a5ff70e87dcc, 0x43af4353b6948e21, 0x2424c5188b3daad7, 0x65ff805ecb65cc5c,
  0x5a8e2fa0e7951b04, 0xbb3b0e7ab36bcb95, 0x52df57673a8a9546, 0x637afa215359caed, 0x73daad115e54292b,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xd5c1e6ca2317f36d, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xaf565445f3c95fb9, 0x0000000000000013,
};

// m48_swio12_noled_pr_ce            m48a_swio11_noled_pr_ce           m48a_swio12_noled_pr_ce
static const uint64_t ur_m48_swio11_noled_pr_ce[] = {
  0xd0e6eeeeef62eff6, 0x72d2c5938f4eb1eb, 0xd3637779b51c6595, 0x17fbf2c7e62ebd90, 0xc90537b6f77d7a1c,
  0x13e3277420d7af4c, 0x6256ff3b467ce1cc, 0xcb839f3ac7f55f07, 0x9cebb9b5f76bf3cb, 0xf51d7c9ee5975ac9,
  0xdbf2fa38e5581acf, 0xcec98a3114e62c05, 0x79500ffd99e3af47, 0x5aa11303cb5bad62, 0xbb3b0e7ab36bcb95,
  0x52df57673a8a9546, 0x637afa215359caed, 0x73daad115e54292b, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775,
  0x084c76f62aa8b4b6, 0xc9ab8d94462fe6db, 0x63c81db43459a205, 0xd6433d30b41bf756, 0x4332c3b2c944e32c,
  0xd6c7f713e792bf73, 0x000000000000002d,
};

// m48_swio12_noled_pr_ce_u4         m48a_swio11_noled_pr_ce_u4        m48a_swio12_noled_pr_ce_u4
static const uint64_t ur_m48_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda2447768, 0xb9696187019d6377, 0xfb41778fd08a661f, 0xfe16f23204878f7a, 0x28666eda9eeeefe0,
  0x09f193bad3b699ce, 0x6604ff487f3f6ea6, 0x75a4cad551f59107, 0x8488bee3441e7979, 0xd2a3f459784bf10d,
  0xe5821ac99aa3b9b5, 0xe5581acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0xb36bcb955aa11303, 0x3a8a9546bb3b0e7a, 0x5359caed52df5767, 0x5e54292b637afa21, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x462fe6db084c76f6, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xe792bf734332c3b3,
  0x0000006ebed7b88b,
};

// m48_swio12_noled_pr_ee_ce         m48a_swio11_noled_pr_ee_ce        m48a_swio12_noled_pr_ee_ce
static const uint64_t ur_m48_swio11_noled_pr_ee_ce[] = {
  0xc66eeeeea0a22044, 0x5cb4b10acb8eb1b6, 0x7b1c75a9f8ff1742, 0x39bd4368a1015b97, 0x989867389341db63,
  0x64ee8f6d81610fc8, 0xffd21fcfffc9827c, 0x3f63faa374a3b3a7, 0xafdd6fcf2f2eb49d, 0xddac0a3e4ce75dcd,
  0x660e71f51e57f380, 0xa11c80add2fa8f83, 0x5f4616588a459a75, 0x4e756b8fddf5b003, 0xe0ebd0d4eda52388,
  0x2424c5188b3daaf4, 0x2813805ecb65cc5c, 0x56bd3dd073ca8d82, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551,
  0xd8debe8854d672bb, 0x5cf6ab4457950a4a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d,
  0x6ae0f365118bf9b6, 0xc81f9434597ab972, 0x34a1854e7ea75663, 0xdfbe2343c899e04e, 0x271966b219e985a0,
  0xc95fb9a19961d9f0, 0x000004fc7adc45f3,
};

// m48_swio12_noled_pr_ee_ce_u4      m48a_swio11_noled_pr_ee_ce_u4     m48a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m48_swio11_noled_pr_ee_ce_u4[] = {
  0x0bf777768b9f1f68, 0xcb4b1702123586a6, 0xd817a6c61436c99d, 0xd7a9be9de4682d89, 0x048fc887896a60bd,
  0x9dd1d7d014164777, 0xdf34f3ed77304f8c, 0x547d51cae1d8ff3f, 0x1a20f3cbcbcedfe5, 0xcbc25f886c2445f7,
  0x99aa3b9b5fa9dfa2, 0x795fce0376b33c7c, 0x4bea3e0d9839c7d4, 0x291669d6847202b7, 0x77d6c00d7d185962,
  0xb6948e2139d5ae3f, 0x2cf6abd383af4353, 0x2d97317090931462, 0xcf2a3608a04e017b, 0xb36bcb955af4f741,
  0x3a8a9546bb3b0e7a, 0x5359caed52df5767, 0x5e54292b637afa21, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x462fe6db084c76f6, 0x596745c9ab83cd94, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857, 0x3c95fb9a19961d9f, 0x0000013f3782bad5,
};

/*
 * m48_swio11_lednop_pr              m48_swio12_lednop                 m48_swio12_lednop_pr
 * m48a_swio11_lednop                m48a_swio11_lednop_pr             m48a_swio12_lednop
 * m48a_swio12_lednop_pr
 */
static const uint64_t ur_m48_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215b67d61b, 0x76deef85e8283243, 0x4f06613526eef36b, 0xf363d2bafa1375b0,
  0xe4c13e327771ded8, 0x00ec32bfd985f3ef, 0x0ebffa8ff21df2dd, 0x6f74c7abdf1c72ac, 0x73b5ac8fa0398b01,
  0xace7b71cb1823af1, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9, 0x0a9ae0404e576a96, 0x15e54292b97a5fd1,
  0xe02e7407973daad1, 0x1695844c2f52d794, 0xc6f19d10363fc502, 0x0376ca2317f36d38, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0x7c80e2c5d79e4afd,
};

// m48_swio12_lednop_pr_u4           m48a_swio11_lednop_pr_u4          m48a_swio12_lednop_pr_u4
static const uint64_t ur_m48_swio11_lednop_pr_u4[] = {
  0x783bbbbb45d8b562, 0xdcb4b10ac32b0d82, 0xb0bf7c2f4141921d, 0x613523afad3c4e63, 0x00db691775b04f06,
  0x3e3277699ead1706, 0x244ff3b467c3dcc1, 0xfea3af877cb7403b, 0xdb7e5f471cab03af, 0x5d1dc3398b016f74,
  0xdc72c608ebc5cecb, 0x566d7972ab52b2d6, 0xe75152a8d76761cf, 0x8101395daa5beaec, 0x0a4ae5e97f442a6b,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545, 0x8b9357079b288c5f,
  0xacc7903b6868b2ce, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47,
  0x7ee686658767c09c, 0x003e4c216e27cf25,
};

// m48_swio12_lednop_pr_ee           m48a_swio11_lednop_pr_ee          m48a_swio12_lednop_pr_ee
static const uint64_t ur_m48_swio11_lednop_pr_ee[] = {
  0xfe0fbbbbbbd8b562, 0xfb969621130aac6e, 0x4f685eb11f16a661, 0xe0fe16f26bd385e3, 0xfde2f5a08a0bfeef,
  0x7c64eed33dfa7704, 0x8adfe768cf93a982, 0x7f3a0ff6b47220ec, 0xa8f83660c14f51e5, 0xb34eb4203f8aea57,
  0x66006be8c2cb1148, 0xbce756977f0758ce, 0xae875e00cedf2237, 0x7090b7b4770e7b55, 0x2e5ff805ecb87231,
  0x3d59b5e5caad4758, 0xb39d454aa35d9d87, 0xae0404e576a96fab, 0x54292b97a5fd10a9, 0x079fad73daad115e,
  0x73abd4b0b29b1674, 0x9d1028be8a042d35, 0xca2317f36d38c6f1, 0xda1a2cd102e4d5c6, 0x985a0dfbab31e40e,
  0xd964a271966b219e, 0x89f3c95fb9a19961, 0x00000000053e2a73,
};

// m48_swio12_lednop_pr_ee_u4        m48a_swio11_lednop_pr_ee_u4       m48a_swio12_lednop_pr_ee_u4
static const uint64_t ur_m48_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222582, 0xae5a58844a175879, 0x2eae3ddb6ebcdad5, 0x5c3f5a433c5ef4cd, 0xb415682282fef224,
  0x193ba75b44896aa8, 0x6ff487f3e4ea609f, 0x2e0ff6b461ec7645, 0xf83660f4af51e565, 0x4eb4203f8aca1fa8,
  0x006be8c2cb1148b3, 0xcead2ff38743ee66, 0x3af4353b04f46be1, 0x8592231bf3daad74, 0xbff00bd96cb98b84,
  0x51c5dac4f2a3608c, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0x442a6b8101395daa, 0x4457950a4ae5e97f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x288c5fcdb6318ab7, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x17cf257ee6866587, 0x0000000004eb9671,
};

// m48_swio12_lednop_pr_ce           m48a_swio11_lednop_pr_ce          m48a_swio12_lednop_pr_ce
static const uint64_t ur_m48_swio11_lednop_pr_ce[] = {
  0x7a1cddddddec4743, 0x572d2c593985563d, 0xf717ea45f131c659, 0xc17fbf1e9d8f180c, 0x82c82d05c777d7a1,
  0xc13e32775a2ed455, 0x76487ff3b467ca1c, 0xbcb83870ec7f55f0, 0x4ce75dcdafa6bf3c, 0xff51e5f4f72cbad6,
  0x2c7bd2a38e5581ac, 0x7ced92231be73160, 0xe91500ffd99e3af4, 0xab5976a0796b741f, 0xd76761cf566d7972,
  0xaa5beaece75152a8, 0x7f442a6b8101395d, 0xab4457950a4ae5e9, 0xd7ce80f1cad75cf6, 0x78ce881085482e52,
  0xb7b15545a4829c63, 0x365118bf9b6c6263, 0x76d0d166881726ae, 0xf4c2d06fdd598f20, 0x0ecb25138cb3590c,
  0x1c4f9e4afdcd0ccb, 0x0000000000b75385,
};

// m48_swio12_lednop_pr_ce_u4        m48a_swio11_lednop_pr_ce_u4       m48a_swio12_lednop_pr_ce_u4
static const uint64_t ur_m48_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda2447705, 0xb96961870fdd6377, 0x76c8eb11f16a661f, 0xf85bc80cd9005f51, 0x285b4bb27bbbbf83,
  0x27c64eeb62d58293, 0x9beffd21fcfc5698, 0xd692dd5547d6441d, 0x1222fb8d1079e5e5, 0xa4afd165e12fc436,
  0x96086b266a8ee6d7, 0x2ac0d67fa8f2fa7b, 0xf398b0163de951c7, 0xcf1d7a3e76c9118d, 0xb5ba0ff48a807fec,
  0x36bcb955acbb503c, 0xa8a9546bb3b0e7ab, 0x809caed52df57673, 0x2572f4bfa21535c0, 0x6bae7b55a22bca85,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb63131dbd8aaa2d2, 0x9357079b288c5fcd, 0xc7903f2868b2ce8b,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0xdd7bab7117cf257e,
};

// m48_swio12_lednop_pr_ee_ce        m48a_swio11_lednop_pr_ee_ce       m48a_swio12_lednop_pr_ee_ce
static const uint64_t ur_m48_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a232a8, 0x5cb4b10ad4ceb1b6, 0x7b7075e9c2ff1742, 0x737a86b8da29bb83, 0xe4b42e712683b6c6,
  0xc9dd9c5a6e99f74e, 0xff487f3e9b7304f8, 0xdd8fea8dd28ec19b, 0x7d507f3cbcbad20c, 0xed6051f2673aee6d,
  0x30738fa8f2b38606, 0x08e40565d7d47c1b, 0xfa30b2c4522cd3ad, 0x73ab5c7cefad801a, 0x0ebd0d4ec13d1af8,
  0x8592231bf3daaf4e, 0x02700bd96cb98b84, 0xd7a7ad627951b045, 0xd9d873d59b5e5caa, 0x96fabb39d454aa35,
  0xd10a9ae0404e576a, 0xd115e54292b97a5f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0x94462fe6db1898ed, 0xd165eae5c9ab83cd, 0x39fa9d598f207e50, 0x0f22678138d28615, 0xc867a616837ef88d,
  0x86658767c09c659a, 0xc4faf117cf257ee6, 0x000000000000004f,
};

// m48_swio12_lednop_pr_ee_ce_u4     m48a_swio11_lednop_pr_ee_ce_u4    m48a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e5f41, 0x96962e048ceb0d4c, 0x4dd68335a06d933b, 0x5ea6c48f4eb221bb, 0xefa7221e25a982f7,
  0x3bb5ad3b55c4c8c4, 0xdf34f3e292609f19, 0xa8faa395c3b2b7ff, 0x6883cf2f2f3badfa, 0x2f097e21b09117dc,
  0x66a8ee6d70b27e8b, 0xe5670c0ddaccf1f2, 0xafa8f83660e71f51, 0xa459a75a11c80acb, 0xdf5b0035f4616588,
  0x827a35f0e756b8f9, 0xe7b55e9c1d7a1a9d, 0xd97317090b244637, 0xf2a3608a04e017b2, 0x36bcb955af4f5ac4,
  0xa8a9546bb3b0e7ab, 0x809caed52df57673, 0x2572f4bfa21535c0, 0x6bae7b55a22bca85, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb63131dbd8aaa2d2, 0x9357079b288c5fcd, 0x3c819a7c68b2ce8b, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0x7e649375aa792bf7,
  0x0000000000000002,
};

/*
 * m48_swio11_dual_pr                m48_swio12_dual                   m48_swio12_dual_pr
 * m48a_swio11_dual                  m48a_swio11_dual_pr               m48a_swio12_dual
 * m48a_swio12_dual_pr
 */
static const uint64_t ur_m48_swio11_dual[] = {
  0xbeeeeeea0f3e43ee, 0x6a1ca115f61f081e, 0xd5ab07e9e2f2b6a6, 0x11f3b402ac496ad8, 0xcfb453b74207aeb4,
  0x1ddcb266d17b4f24, 0x00948e6fcc13e327, 0x832bac0db4ae22c8, 0xc0a774f8971030a1, 0xf8705f73145fccbf,
  0x607dd4dea3c7bd83, 0x2bfcc68114239215, 0xbbe2ef6bb006e1f0, 0x2196846488657717, 0x2ffe80e784d6b454,
  0x130586f2bc84b6e5, 0x7cb2d71d8517fced, 0x8e5581ef7ea3f747, 0x8b01541e67261ee3, 0xd78033b2008d3139,
  0xdef1bea807fecc11, 0xee2a4af9d40f2cf6, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x04e576a96fabb39d,
  0x2b97a5fd10a9ae04, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692,
  0x4d5c1e6ca2317f36, 0xc819a7c68b2f572e, 0x34a1854e7ea75663, 0xdfbe2343c899e04e, 0x271966b219e985a0,
  0xc95fb9a19961d9f0, 0x0000524d3ebbad53,
};

// m48_swio12_dual_pr_u4             m48a_swio11_dual_pr_u4            m48a_swio12_dual_pr_u4
static const uint64_t ur_m48_swio11_dual_pr_u4[] = {
  0x9fbddddda2e7ce7c, 0x99a8728466787da5, 0xd57dbf4ec8a08482, 0xdbd3a0ba646e09d6, 0xf1b1586375bad2cf,
  0xc64e6372421d67c3, 0x4590012900899827, 0x61430657581b695c, 0x997f814ee9f12e20, 0x361b7ce01ee631ff,
  0x242ac0f4a9bd4791, 0xc3e057f98d022847, 0xee2f77c5dfbb400d, 0xe8a8432d0b5910ca, 0x6dcbaffd01cf0989,
  0xf9da260b0de57909, 0x400ef9683e3b2a57, 0x0a471cab03e83d47, 0xdf398b017f0e60f6, 0xc608ebc8b761f118,
  0xeee2a4a565c3dc72, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x404e576a96fabb39, 0x92b97a5fd10a9ae0,
  0xfad73daad115e542, 0xbd4b0b29b1674079, 0x028be8a042d3573a, 0x317f36d38c6f19d1, 0xcb3a2e4d5c1e6ca2,
  0xa9d598f20669f1a2, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x000002927029d6a9,
};

// m48_swio12_dual_pr_ee             m48a_swio11_dual_pr_ee            m48a_swio12_dual_pr_ee
static const uint64_t ur_m48_swio11_dual_pr_ee[] = {
  0x89ddddd0f5a1a5fb, 0x6a1c2e289f87d99d, 0x3ba769a741b8e2a6, 0x294aaaf75b8d5a84, 0xec5c6be2f6676279,
  0x2782d1f85595c535, 0x20551304f8c934b7, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x09d4c96bf32e0e39,
  0xee6f51e2b6c06b1c, 0xc68114239215607b, 0xde601006e1f02bfc, 0x07f110caee2f77c5, 0x039e136df8a8432d,
  0x1bcaf212db868ffa, 0x50ec4b5fe90fcc16, 0xa3cae5741fed68ea, 0xdf7ea3e0d983dbfe, 0x4522cd3ad080fe2b,
  0x09f99801afa30b2c, 0xd1e9473ab4b9431d, 0xb55ae875ec66ed1e, 0x598b848480234c67, 0x46c1197fe017b2fa,
  0xddc5494717914455, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x809caed52df57673, 0x2572f4bfa21535c0,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0x2ec6e3cd94462fe6,
  0xa75666fe0eee3458, 0x65f989fca1854e7e, 0x7e07cd0f22678b9c, 0xd6433d30b41bf1cf, 0x34332c3b3e04e32c,
  0x0ac864b852792bf7,
};

// m48_swio12_dual_pr_ee_u4          m48a_swio11_dual_pr_ee_u4         m48a_swio12_dual_pr_ee_u4
static const uint64_t ur_m48_swio11_dual_pr_ee_u4[] = {
  0x723bddddda2432db, 0x53350e171b9d87f2, 0xd71ddb0c53ba7725, 0xbfa6cce8bcabce76, 0xa8fb3e1af8bf2723,
  0x5b9347f7dc19d227, 0x2522e4a9827c64d4, 0xcaeb036d2b88b200, 0x39dd3e25c40c2860, 0x9c22b4c35bf32e0e,
  0x6a7a6f51f7dec34d, 0xfcc6811423921560, 0xc5ded07006e1f02b, 0x2d032910caee2f77, 0xfd01cf09ba88a843,
  0x161bcaf212dbd8ff, 0xcc78ec1adfe90fcc, 0x1ea3cad82c1fed68, 0x15a9ef51f06cc1f5, 0x962291669d68407f,
  0x8e838ccc00d7d185, 0x7748c1439d5a5e43, 0x59ed56ba1d794d3b, 0xb8f8c5c2429b91e4, 0x494759165ff805ec,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0xe3cd94462fe6db18, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x0ac9d3d70a4f257e,
};

// m48_swio12_dual_pr_ce             m48a_swio11_dual_pr_ce            m48a_swio12_dual_pr_ce
static const uint64_t ur_m48_swio11_dual_pr_ce[] = {
  0x7c8eeeeeef3e43ee, 0x99a871e4ebbc3eb0, 0xdad6d89466d16a2a, 0x0b1231a93936275b, 0xafb1757dbab07c8d,
  0xe2fb964cdaef69e2, 0x001291e729827c64, 0x30657581b695c459, 0xf814ee9f12e20614, 0x5d4e050e653df997,
  0xb0372737a8f21f60, 0x15fe63408a11c90a, 0xbbe2ef66f80370f8, 0x432d097c88657717, 0x97fd01cf09be48a8,
  0x260b0de579096de3, 0x3fae943b14f7f9da, 0xc00fcf2f2f3bc096, 0x2cbaa97339d7736b, 0x2ac0ed6f51c27cf7,
  0x2731602945dbf1c7, 0x9e3af006764011a6, 0x6b73de37d500ffd9, 0xbe77715257cea079, 0xeacdaf2e556b3f8a,
  0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0x02e4d5c1e6ca2317, 0x598f20669f1a2cd1, 0xb3590cf4c2d06fdd,
  0xdcd0ccb0ecf8138c, 0x0e7ad539d6a9e4af,
};

// m48_swio12_dual_pr_ce_u4          m48a_swio11_dual_pr_ce_u4         m48a_swio12_dual_pr_ce_u4
static const uint64_t ur_m48_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x553350e0cb9d87f2, 0x6d71ddb0c53ba772, 0x3bfa6cce8bcabce7, 0x7489ea3ecfb77272,
  0x193516e4d1fdf706, 0x2c800948b92a609f, 0x0a1832bac0db4ae2, 0xcb838e774f897103, 0xb0d36708ad30d6fc,
  0x85581a9e9bd47df7, 0x7c0aff31a04508e4, 0x8bddf177b41c01b8, 0x2a10cb40ca4432bb, 0xf63fff4073c26ea2,
  0x43f30586f2bc84b6, 0x551f531e3b06b7fa, 0x3441e78580612383, 0x9784bf10d8488bee, 0x33547736bf47ff45,
  0xf51c27cf72c10a97, 0x945dbf1c72ac0ed6, 0x6764011a62731602, 0x7d500ffd99e3af00, 0x257cea0796b73de3,
  0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d8c4, 0x6fe0eee345967437,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c,
  0xd24e9eb852792bf7,
};

// m48_swio12_dual_pr_ee_ce          m48a_swio11_dual_pr_ee_ce         m48a_swio12_dual_pr_ee_ce
static const uint64_t ur_m48_swio11_dual_pr_ee_ce[] = {
  0xd362dddddd437089, 0x53350e508e1787ce, 0x9b4dd8d4930a706e, 0xc464671137b375ad, 0xd68289f0bda29da6,
  0x7727f0ede4eb68d3, 0x9484f2f304f8c983, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0xc136e69dbfccb838,
  0x5a9bd4719bd86ed1, 0x31a04508e4855818, 0xef185c01b87c0aff, 0x02ea88657717bbe2, 0x039e132568a8432d,
  0x3795e425b7c6effa, 0xa3b276ffd21f982c, 0x00c253b763faa360, 0xe75dcdae089fcf0b, 0x578100ddac0b924c,
  0x7a8f83660e44f51e, 0x459a75a11c80af2b, 0xf5b0035f4616588a, 0x3da3d28e756b8287, 0x3daaf4e0ebd8cdda,
  0xd2cc5c2424011a63, 0x551b04502700bd97, 0xf3bb8a92f4f64511, 0x566d7972ab59fc55, 0xe75152a8d76761cf,
  0x8101395daa5beaec, 0x0a4ae5e97f442a6b, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0x9b6c6263b7b15545, 0xcd101b8f365118bf, 0xdfbab337f07771a2, 0x271966b219e985a0, 0xc95fb9a19961d9f0,
  0x0000260870a5c293,
};

// m48_swio12_dual_pr_ee_ce_u4       m48a_swio11_dual_pr_ee_ce_u4      m48a_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m48_swio11_dual_pr_ee_ce_u4[] = {
  0xeddddda26d3e5f82, 0x4384cf8ff87c219c, 0xda2fb171ec8294cd, 0xf5da7abbdc87afe1, 0xa3a704339cd38b15,
  0x5eae3caf7f57c3e5, 0x7c6486eb96d6adf3, 0x459001290f1eb982, 0x61430657581b695c, 0x657662cee9f12e20,
  0xb08007014937ebfe, 0x156073b737a8f5bf, 0xf02bfcc681142392, 0x5eef8bbde01006e1, 0xa10cb434da2195dc,
  0x2a3fe80e784d8122, 0x4e60b0de579096dd, 0xaa38e43b3f5ffdf3, 0xe7858041cfd7aa8f, 0xbf10d8488bee3441,
  0xee6d77807f459784, 0x100ddaccfc9266a8, 0xf83660e44f51e578, 0xa75a11c80af2b7a8, 0x0035f4616588a459,
  0x3d28e756b8287f5b, 0xaf4e0ebd8cdda3da, 0xc5c2424011a633da, 0xb04502700bd97d2c, 0xb8a92f4f64511551,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x1395daa5beaece75, 0xae5e97f442a6b810, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x6ae0f365118bf9b6, 0xe0dfa08d1659d172,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6,
  0x756dc80a792bf734, 0x0000000000001001,
};

// m48_swio13_noled_pr               m48a_swio13_noled                 m48a_swio13_noled_pr
static const uint64_t ur_m48_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0xc8f066127bb4c9df, 0x2f64188f1f793742,
  0xc7cc13e32775a9e8, 0x483b36fffb30be7c, 0x81f3dea3c4277cb7, 0x5bdd3694b5e38e55, 0xb9dae1a3268e62c0,
  0xacaffb8e58c11d78, 0xd873d59b5e5caad4, 0xa6fb39d454aa35d9, 0x442a6b395daa5bea, 0x115e54292ad5ef5f,
  0x54fa779fad73daad, 0x1696173a9d4e02ca, 0xc6f19d1022fdc502, 0x0376ca2317f36d38, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0x0f900085d79e4afd,
};

// m48a_swio13_noled_pr_u4
static const uint64_t ur_m48_swio13_noled_pr_u4[] = {
  0xcb7777768bb128ae, 0xbb9696215988d602, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf742c8f06,
  0x27c64eefd3dc2848, 0x6751fe768cfedf98, 0x7bd47f90ef96e907, 0xd348937471cab03e, 0xb22a3e80e62c05bd,
  0x49b8e58c11d78b9d, 0x9eacdaf2e556a567, 0xd9cea2a551aecec3, 0x5359caed52df5537, 0xf2a14956af7afa21,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x2317f36c648ab7b1, 0x2cb3a2e4d5c1e6ca,
  0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xf3c95fb9a19961d9, 0x0000000f934d0389,
};

// m48a_swio13_noled_pr_ee
static const uint64_t ur_m48_swio13_noled_pr_ee[] = {
  0x1cdf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0xbf07f0ba10d85a33, 0xda59fbc764505ff9,
  0x27c64eef25da668e, 0xccadfe768cfe9b98, 0x5695a0ff6b47dd0e, 0xf51f06cc1cbef51e, 0x1669d68407f15fce,
  0xccc00d7d18596229, 0xd739d5a5d7d8eb19, 0xae875e00ced2f91a, 0xb84843e23e927b55, 0x492ffc02f65c3918,
  0xcf566d7972ab51d7, 0xece75152a8d76761, 0xa9ace576a96faa9b, 0x7950a4ab57bd7d10, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x118bf9b632455bd8, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0xf9e4afdcd0ccb0ec, 0x000000014f8491c4,
};

// m48a_swio13_noled_pr_ee_u4
static const uint64_t ur_m48_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447032, 0x56b96962111a5d62, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417fa11,
  0xf8c9dd3b5b2ed395, 0x4dffa43f9f1ad304, 0x38707fb5a38f63b3, 0x47c1b3067afa8f2b, 0x9a75a101fc565d7d,
  0x30035f4616588a45, 0x0e756977263a1f73, 0xd0ebd0d4ec7aa3f9, 0x090a2147bdcf6ab5, 0x197fe017b2d97317,
  0xad4717d260b546c1, 0x5d9d873d59b5e5ca, 0xbeaa6fb39d454aa3, 0xf5f442a6b395daa5, 0xaad115e54292ad5e,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x83cd94462fe6d8c9, 0x1f9434596745c9ab,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0x22f88be792bf7343, 0x000000000000275d,
};

// m48a_swio13_noled_pr_ce
static const uint64_t ur_m48_swio13_noled_pr_ce[] = {
  0xa66eeeeeef621c3b, 0x9572d2c593964eb0, 0x634adef3760f1c65, 0xe0bf9b4d4e17b113, 0xc8ad1850dbdd5310,
  0x304f8c9dda8bb417, 0x1d9f3bfced19f2eb, 0x2f2e0e3a5b1fd66e, 0x9339d7736b868fcf, 0x3dea3cdd3dcb2eb5,
  0x014ca9c638e55819, 0xd1f3b4428f7b398b, 0x149a5403ff6678eb, 0xe556afadc0f2d6e1, 0x51aecec39eacdaf2,
  0x52df5537d9cea2a5, 0xaf7afa215359caed, 0x9ed5688af2a14956, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9,
  0xc863b7b15545a5b4, 0xc9ab8d94462fe6d8, 0x63c81db43459a205, 0xd6433d30b41bf756, 0x4332c3b2c944e32c,
  0xd45fb713e792bf73, 0x000000000000002d,
};

// m48a_swio13_noled_pr_ce_u4
static const uint64_t ur_m48_swio13_noled_pr_ce_u4[] = {
  0x37dddddda24477d6, 0x3f72d2c30e62fac7, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deef37,
  0xe609f193bb61b7c8, 0x876656ff487f3fa6, 0x7975a495d551f5ee, 0x0d8488bee3441e79, 0xb5d90ff459784bf1,
  0x9ee5821ac99aa3b9, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcf566d7972ab57d6, 0xece75152a8d76761, 0xa9ace576a96faa9b, 0x7950a4ab57bd7d10, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x2317f36c6431dbd8, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xf3c95fb9a19961d9,
  0x000000375de6dc45,
};

// m48a_swio13_noled_pr_ee_ce
static const uint64_t ur_m48_swio13_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d606, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e71268236c,
  0x8c9dd3adacccb572, 0xfff487f3fbb5304f, 0x8fd8fea8e438ec31, 0x6bbaa3f3cbcbad21, 0x376b028f9339d773,
  0xd983403d4795ba50, 0x6847202b90fea3e0, 0xd7d185962291669d, 0x439d5ae1c9fd6c00, 0x383af4353b1ea8fe,
  0x090a2147bdcf6abd, 0x8a04e017b2d97317, 0xab5e9ee9305aa360, 0xd76761cf566d7972, 0x6faa9bece75152a8,
  0xbd7d10a9ace576a9, 0x6ab4457950a4ab57, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0xc1e6ca2317f36c64, 0x3f2868b2f572e4d5, 0x430a9cfd4eacc790, 0x7c46879133c09c69, 0x32cd6433d30b41bf,
  0xbf734332c3b3e04e, 0x0009f856a88be792,
};

// m48a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m48_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6812, 0x772d2c5c0a0dd631, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f138ec1,
  0xc9dda2fd6c49af13, 0xfef9a79f801304f8, 0xd547d51efb1d96b7, 0xe3441e797979ddad, 0x59784bf10d8488be,
  0x266a8ee6d776eff4, 0x1e56e940ddaccf1f, 0x43fa8f83660d00f5, 0x8a459a75a11c80ae, 0x27f5b0035f461658,
  0xec7aa3f90e756b87, 0xf73daaf4e0ebd0d4, 0xcb65cc5c2428851e, 0xc16a8d822813805e, 0x59b5e5caad7a7ba4,
  0x9d454aa35d9d873d, 0xb395daa5beaa6fb3, 0x4292ad5ef5f442a6, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0x5fcdb190c76f62aa, 0xce8b9357079b288c, 0x75663c819a7c68b2, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x00027e3f0275aa79,
};

// m48a_swio13_lednop
static const uint64_t ur_m48_swio13_lednop[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fba164,
  0x7b9827c64eeb53dd, 0x483b3baff6617cfc, 0x81f3dea3cdc77cb7, 0x2dee98ca9c638e55, 0x2e767bd1dac73160,
  0x95822ee39630475e, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb, 0x4d7020272bb54b7d, 0x7950a4ae492fe885,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xc5fcdb40a8ab7b15, 0x6837e3e1d8ddb288,
  0x9289c659ac867a61, 0xcf257ee686658765, 0x00000005492fe2eb,
};

// m48a_swio13_lednop_pr
static const uint64_t ur_m48_swio13_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d60b2, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd2ca888,
  0x4f8c9ddf23b8bd19, 0x863ffced19fa9530, 0x1ea3e9477cb41f1d, 0x680c13e38e5581f4, 0x7c47191cc580b2ca,
  0x01ffb30475e8f9d9, 0x7207967b637ee1aa, 0x1cf566d7972ab5b8, 0xbece75152a8d7676, 0xe0404e576a96faa9,
  0xa1495c925fd10a9a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0xd9726ae0f365118b, 0xeacc7903b6868b05, 0xbf313f9430a9cfd4, 0xc0f9a1e44cf1738c, 0xc867a616837e39ef,
  0x86658767c09c659a, 0x27842e27cf257ee6, 0x000000000000001f,
};

// m48a_swio13_lednop_pr_u4
static const uint64_t ur_m48_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8ad4e, 0xddcb4b10ac4ceb01, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f742c8f06,
  0x7c64eef91d411199, 0x775fe768cfc7b982, 0xbd479b8ef96e9076, 0x319538c71cab03e7, 0xf7a3b58e62c05bdd,
  0x5dc72c608ebc5cec, 0xf566d7972ab52b04, 0xce75152a8d76761c, 0x404e576a96faa9be, 0x495c925fd10a9ae0,
  0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4, 0x726ae0f365118bf9,
  0x98f2076d0d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x03e4fa79c4f9e4af,
};

// m48a_swio13_lednop_pr_ee
static const uint64_t ur_m48_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0x37e0fe17426d9305, 0xce199bb4108a0bff,
  0x827c64eef91d3128, 0xd91cbfced19feaf9, 0xcadd2c1fed68fba1, 0xbea3e0d98397dea3, 0x22cd3ad080fe2b28,
  0x399801afa30b2c45, 0xa6273ab4bc061d63, 0xad743af00676c911, 0x8b848507d1dad3da, 0x59f2ffc02f65c391,
  0x39eacdaf2e556a3a, 0x7d9cea2a551aecec, 0xc0809caed52df553, 0x4292b924bfa21535, 0x79fad73daad115e5,
  0x3abd4b0b29b16740, 0xd10273e8a042d357, 0xa2317f36d38c6f19, 0xa1a2cd102e4d5c6c, 0x85a0dfbab31e40ed,
  0x964a271966b219e9, 0x9f3c95fb9a19961d, 0x00000000a7c03938,
};

// m48a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m48_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xab5cb4b1088f5eb1, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfd08,
  0x3e327755f6c1b8d5, 0x1cbfd21fcff57cc1, 0x94383fdad1c7b1d9, 0xa3e0d9833d7d4795, 0xcd3ad080fe2b60be,
  0x9801afa30b2c4522, 0xc73ab4bba51d0fb9, 0xe875e86a769111cd, 0x8484be238ca7b55a, 0x8cbff00bd96cb98b,
  0xab51c588a4d2a360, 0xd76761cf566d7972, 0x6faa9bece75152a8, 0x10a9ae0404e576a9, 0x88af2a1495c925fd,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x5118bf9b6815156f, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x2f9e4afdcd0ccb0e, 0x000000004eb842e2,
};

// m48a_swio13_lednop_pr_ce
static const uint64_t ur_m48_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef623f3e, 0xcab96962c9c242b0, 0x5fa6ef767f078e32, 0xe0bf9b564da9933c, 0xa71b082543dd5310,
  0x304f8c9dd23fb647, 0x1d870ffced19f60b, 0x2f2e0e175b1fd66e, 0x2673aee6d79dbfcf, 0x7bd479c67b965d6b,
  0x0531e7ac71cab032, 0x47cecbe238c8e62c, 0xf70d500ffd99e3af, 0x556b70e40f2d6e1b, 0x1aecec39eacdaf2e,
  0x2df5537d9cea2a55, 0xa21535c0809caed5, 0xd115e54292b924bf, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0x94462fe6da0518ed, 0xb43459a205c9ab8d, 0x30b41bf75663c81d, 0xb2c944e32cd6433d,
  0x13e792bf734332c3, 0x000000002dd5b8f7,
};

// m48a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m48_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2445541, 0x3f72d2c30e433ac7, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbcdf,
  0x9827c64eea0ade9c, 0x1d96ebfd21fcfc72, 0xe5d6934dd547d7ba, 0x361222fb8d1079e5, 0xd724afd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c0531e7ac, 0xfd99e3af47cecbe2, 0x0f2d6e1bf70d500f,
  0xeacdaf2e556b70e4, 0x9cea2a551aecec39, 0x809caed52df5537d, 0x92b924bfa21535c0, 0xb5d73daad115e542,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xda0518edec555169, 0xc9ab83cd94462fe6, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0x375eaca88be792bf,
};

// m48a_swio13_lednop_pr_ee_ce
static const uint64_t ur_m48_swio13_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac0, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a08db,
  0xe32777ed694e2c52, 0xf9fe90fe7f4d4c13, 0x3fe58fea8e438ecf, 0x36b9b77f9e5e5d69, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xd6847202b297ea3e, 0x0d7d185962291669, 0x6e39d5ae1d2fd6c0, 0xd383af4353b4888e,
  0x709097c47194f6ab, 0x08a04e017b2d9731, 0x955af4f08a4d2a36, 0x46bb3b0e7ab36bcb, 0x4b7d54df673a8a95,
  0xe8854d7020272bb5, 0xb4457950a4ae492f, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0x65118bf9b681463b, 0x34597ab9726ae0f3, 0x4e7ea75663c81f94, 0x43c899e04e34a185, 0xb219e985a0dfbe23,
  0xa19961d9f0271966, 0xfc39f445f3c95fb9, 0x0000000000000004,
};

// m48a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e704a, 0x772d2c5c091dd631, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e271d82,
  0xc9ddb9da3dabbec4, 0xfdf34f3f8dd304f8, 0xaa8faa3df63b1aef, 0xc6883cf2f2f3b6bb, 0xb2f097e21b09117d,
  0x4cd51dcdafc3ffe8, 0x3cacba81bb599e3e, 0x4bf51f06cc1a01ea, 0x148b34eb42390159, 0x97eb6006be8c2cb1,
  0xda4447371cead70e, 0xca7b55e9c1d7a1a9, 0x96cb98b8484be238, 0x26951b04502700bd, 0x59b5e5caad7a7845,
  0x9d454aa35d9d873d, 0x1395daa5beaa6fb3, 0x572497f442a6b810, 0xbae7b55a22bca852, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x357079b288c5fcdb, 0xc819a7c68b2ce8b9, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd, 0xe68e275aa792bf73,
  0x0000000000000027,
};

// m48_swio13_dual_pr                m48a_swio13_dual                  m48a_swio13_dual_pr
static const uint64_t ur_m48_swio13_dual[] = {
  0x5ddddddd41e7ce7c, 0x53350e50938b0fd4, 0x6b3ede9c6271795b, 0x5a0d28f66c502e35, 0x1ced9452b76a2bd7,
  0x271ddc90875d6c7e, 0xc800948300cc13e3, 0xa1832bac0db4ae22, 0xbfc0a774f8971030, 0x83f8705f73145fcc,
  0x15607dd4dea3c7bd, 0xf02bfcc681142392, 0x8bddf177c00006e1, 0x2a10cb42324432bb, 0x7287ff4073c26b5a,
  0x768982c3795e425b, 0xf9df2cf78ecfddfe, 0xe38e5581c1ff51f6, 0x398b01541e64ad1e, 0x11d78033b6948e21,
  0x7b698c64a807fecc, 0xf3bb8a92e04a0796, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e576a96faa9bec,
  0x95c925fd10a9ae04, 0xaeb9ed5688af2a14, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6815156f62aa8b49,
  0x26ae0f365118bf9b, 0xe40cd3e34597ab97, 0x1a50c2a73f53ab31, 0x6fdf11a1e44cf027, 0x138cb3590cf4c2d0,
  0xe4afdcd0ccb0ecf8, 0x00000a499cf9d6a9,
};

// m48a_swio13_dual_pr_u4
static const uint64_t ur_m48_swio13_dual_pr_u4[] = {
  0xd3dddddda2e7ce7c, 0x053350e508ccf0f8, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375ba34,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xff997f814ee9f12e, 0x91361b7ce01ee631,
  0x47242ac0f4a9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5dfbb40, 0x89e8a8432d0b5910, 0x096dcbaffd01cf09,
  0x57f9da260b0de579, 0x47400ef961be3b2a, 0xf60a471cab03e93d, 0x18df398b017f0e60, 0x72c608ebc8b761f1,
  0x7ceee2a4a565c3dc, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0x01395daa5beaa6fb, 0x2572497f442a6b81,
  0x0f2e7b55a22bca85, 0x985ea5af29c05ce8, 0x1028be8a042d2b08, 0x2317f36d38c6f19d, 0x2cb3a2e4d5c1e6ca,
  0xfa9d598f20669f1a, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b,
  0x9e4afdcd0ccb0ecf, 0x0000002927029d6a,
};

// m48a_swio13_dual_pr_ee
static const uint64_t ur_m48_swio13_dual_pr_ee[] = {
  0xddbbbbba1eb432db, 0x153350e1710b61f0, 0xb49bdd1ed61a0dc7, 0x589e4aec947eb4cf, 0xbbfbbcfb1af8bc37,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x6b1c09d4c96bf32e,
  0x607bee6f51e2b6c0, 0x2bfcc68114239215, 0x77c5dea91006e1f0, 0x432d07f110caee2f, 0xbffa039e136df8a8,
  0x982c3795e425b74d, 0xa328a3b287ffd21f, 0x657a8f2bdf707fb5, 0xfc576ebd47c1b306, 0x16588a459a75a101,
  0x0a3a13f330035f46, 0xd8c7a33d4e756976, 0x10cf6ab5d0ebd8cd, 0x65f4b317090b4a47, 0x6f6a8d8232ffc02f,
  0x2af9ddc54947163e, 0xe7ab36bcb955acfe, 0xf673a8a9546bb3b0, 0x020272bb54b7d54d, 0x0a4ae492fe8854d7,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545, 0xb05d8dc79b288c5f,
  0xfd4eaccdfc1ddc68, 0x38cbf313f9430a9c, 0x9efc0f9a1e44cf17, 0x59ac867a616837e3, 0xee686658767c09c6,
  0x00ac984370a4f257,
};

// m48a_swio13_dual_pr_ee_u4
static const uint64_t ur_m48_swio13_dual_pr_ee_u4[] = {
  0x323bbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bcc8a,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x4d9c22b4c35bf32e,
  0x606a7a6f51f7dec3, 0x2bfcc68114239215, 0xbbe2ef524006e1f0, 0x2196819488657717, 0x6ffe80e784dd4454,
  0xe60b0de579096dc6, 0x5a37f0761c1ff487, 0xc27fa8f2b53d07fb, 0x3f8af027a8f83660, 0xc2cb1148b34eb420,
  0x70c741c666006be8, 0x76dbe8e5f1cead2e, 0x8f93daad743af29a, 0xecb8f8c5c2420511, 0xe2a4a3a1f25ff805,
  0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4, 0x497f442a6b810139, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xe3cd94462fe6da05, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x056481570a4f257e,
};

// m48a_swio13_dual_pr_ce
static const uint64_t ur_m48_swio13_dual_pr_ce[] = {
  0xf4eddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b77a77,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x65fe053ba7c4b881, 0xd817538143994f7e,
  0x42ac0dc9cdea3c87, 0x3e057f98d0228472, 0xe2f77c5dfd6600dc, 0x150865a12f910cae, 0xb8d6ffa039e137c9,
  0x3b44c161bcaf212d, 0x5ac7f53d476604ff, 0xdae87df9e5e5e779, 0x3dcb2eaa5cce75dc, 0x38e558188bea3c89,
  0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f, 0xfe2af9ddc5497025, 0xb0e7ab36bcb955ac,
  0x4df673a8a9546bb3, 0xd7020272bb54b7d5, 0x950a4ae492fe8854, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0xbf9b681463b7b155, 0x881726ae0f365118, 0xeacc790334f8d166, 0x659ac867a616837e,
  0x7ee686658767c09c, 0x00e7ac0e4eb54f25,
};

// m48a_swio13_dual_pr_ce_u4
static const uint64_t ur_m48_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x2a741640258b74c8,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbd49001, 0x51150865a0652219, 0x5b719bffa039e137,
  0xfd21f982c3795e42, 0x9d5547d5fc1d8707, 0xfb8d1079e1601848, 0xd165e12fc4361222, 0xa5ccd51dcdaed07f,
  0x88bea3c893dcb042, 0x602fee32a38e5581, 0xf00676d291c42731, 0x318c9500ffd99e3a, 0xdc549702503cb5b9,
  0x6bcb955acfe2af9d, 0x8a9546bb3b0e7ab3, 0x2bb54b7d54df673a, 0x492fe8854d702027, 0xcf6ab4457950a4ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x463b7b15545a4829, 0xb8f365118bf9b681, 0x337f07771a2cb3a1,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0x03492055c293c95f,
};

// m48a_swio13_dual_pr_ee_ce
static const uint64_t ur_m48_swio13_dual_pr_ee_ce[] = {
  0x8f6ddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed147b,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xd1c136e69dbfccb8,
  0x185a9bd4719bd86e, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x9681754432bb8bdd, 0xfd01cf0992b45421,
  0x161bcaf212dbfebf, 0xd4f0ec7f9fe90fcc, 0xe1601849fe58fea8, 0x499cebb9b5f9bff9, 0xa3caf2b01bb58172,
  0xcaef51f06cc1f75e, 0x1148b34eb4239015, 0xc17eb6006be8c2cb, 0xbb18f467a9cead70, 0x8867b55e9c1d7b19,
  0xb2fa598b8485a523, 0x9bdaa3608a04e017, 0xc55f3bb8a92f4f0f, 0x1cf566d7972ab59f, 0xbece75152a8d7676,
  0xe0404e576a96faa9, 0xa1495c925fd10a9a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d028c76f62aa8, 0x59a20371e6ca2317, 0x1bf75666fe0eee34, 0x04e32cd6433d30b4, 0x792bf734332c3b3e,
  0x000004c11b8fb852,
};

// m48a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m48_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f96a, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a716a39cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x7fccaecc59dd3e25,
  0xb7f61000e02926fd, 0x7242ac0e76e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1779d7c00, 0x24542196869b4432,
  0xdbb21ffd01cf09b0, 0xbe69cc161bcaf212, 0x51f54635876760ff, 0x883cf0b00839d835, 0xf097e21b09117dc6,
  0xd51dcdae75f7e8b2, 0xaf2b01bb599f924c, 0xf51f06cc1f75ea3c, 0x8b34eb4239015cae, 0xeb6006be8c2cb114,
  0x8f467a9cead70c17, 0x7b55e9c1d7b19bb1, 0xa598b8485a523886, 0xaa3608a04e017b2f, 0xf3bb8a92f4f0f9bd,
  0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e576a96faa9bec, 0x95c925fd10a9ae04, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0x4d5c1e6ca2317f36, 0xfc1bf411a2cb3a2e,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a,
  0x156539014f257ee6, 0x0000000000000100,
};

// m48_swio14_noled_pr               m48a_swio14_noled                 m48a_swio14_noled_pr
static const uint64_t ur_m48_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adcdeb0, 0x5b466ea44cf74192, 0x880f06613526f07d, 0x85e823af1afb3f74,
  0xc7b9827c64eed8fd, 0x7403b3baff6617cf, 0xb03affea3a6277cb, 0x05bdd32003e471ca, 0xc5cedd223278e62c,
  0xa56087dc72c608eb, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0xbfa215359d372bb5, 0xd5688af2a1495b1f,
  0x1652a7d3bcfd6b9e, 0x2810b4b0b9d4ea70, 0x69c6378ce8811e5e, 0xcd101bb65118bf9b, 0x7eeacc790347f1a2,
  0x9c659ac867a61683, 0x57ee686658765928, 0x0000f902482ebcf2,
};

// m48a_swio14_noled_pr_u4
static const uint64_t ur_m48_swio14_noled_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f50e244c886, 0x8f21713e978f9930, 0xeea1c00f26eea488,
  0xc13e3277792eb208, 0x766dfff3b467cc7c, 0x26bd47050ef96dec, 0xca60f680471cab03, 0xd93146229cc580b2,
  0x2a01ffb30475e8f9, 0x508981e59eddac4f, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x7f442a6b3a6e576a,
  0xaad115e54292b63f, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x1e6ca2317f36d843,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x05389f3c95fb9a19, 0x0000000000003e4e,
};

// m48a_swio14_noled_pr_ee
static const uint64_t ur_m48_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xe85ebd7de3f42299, 0xf83f85bc8c8121e3, 0x0ccddb532282fe64,
  0x3e32777c8e989467, 0x604ff3b467edd4c1, 0xb72707fb5a391076, 0xd47c1b3060a7a8f2, 0x59a75a101fc5695b,
  0x330035f4616588a4, 0xf0e7569780c3ac67, 0xae875e00cec0a231, 0x7090b22a3e827b55, 0x825ff805ecb87231,
  0x9eacdaf2e556a3ae, 0x59cea2a551aecec3, 0x15359d372bb54b7d, 0x8af2a1495b1fbfa2, 0x69de7c5aeb9ed568,
  0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x5118bf9b6c218ab7, 0xd0d166881726ae36, 0xc2d06fdd598f2076,
  0xcb25138cb3590cf4, 0x4f9e4afdcd0ccb0e, 0x0000000053e01c9c,
};

// m48a_swio14_noled_pr_ee_u4
static const uint64_t ur_m48_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0xf6475a2e8c1ae6d6, 0xe9170fd698bcd8b1, 0x7ae34d4d91417fd9,
  0x9f193ba82b7a71ce, 0x5baff487f3f1ca60, 0x721e0ff6b461ec76, 0xa8f83660f4af51e5, 0xb34eb4203f8ace1f,
  0x66006be8c2cb1148, 0x09cead2ffb8743ee, 0xba1d7a1a9db4a471, 0xe1212628c459ed56, 0x232ffc02f65b2e62,
  0xaad4717d073ca8d8, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0x63f7f442a6b3a6e5, 0x73daad115e54292b,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xd5c1e6ca2317f36d, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xaf565445f3c95fb9, 0x0000000000000013,
};

// m48a_swio14_noled_pr_ce
static const uint64_t ur_m48_swio14_noled_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x21a6c6eef36a38cb, 0x382ff7e58fcc5d7b, 0x99920a6f6deee1f4,
  0x9827c64ee841af5e, 0x0ec4adfe768cf9c3, 0x9797073e758feabe, 0x9339d7736beed7e7, 0x9fea3af93dcb2eb5,
  0x0bb7e5f471cab035, 0x8f9d93146229cc58, 0xc4f2a01ffb33c75e, 0x2ab542260796b75a, 0x8d76761cf566d797,
  0x5daa5beace75152a, 0xd8fdfd10a9ace9b9, 0x5cf6ab4457950a4a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd,
  0xc2131dbd8aaa2d2d, 0x726ae365118bf9b6, 0x98f2076d0d166881, 0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb,
  0x75b1fdc4f9e4afdc, 0x000000000000000b,
};

// m48a_swio14_noled_pr_ce_u4
static const uint64_t ur_m48_swio14_noled_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xf5f682ef1fa114cc, 0xc1fc2de464090f1e, 0x9c50ccddb53dd327,
  0x4c13e32775a76d33, 0x0ecc09fe90fe7edd, 0xf2eb4995aaa3eb22, 0x1b09117dc6883cf2, 0x6ba547e8b2f097e2,
  0x3dcb043593354773, 0x71cab0359fea3af9, 0x6229cc580bb7e5f4, 0xfb33c75e8f9d9314, 0x0796b75ac4f2a01f,
  0xf566d7972ab54226, 0xce75152a8d76761c, 0xa9ace9b95daa5bea, 0x57950a4ad8fdfd10, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x118bf9b6c2131dbd, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xf9e4afdcd0ccb0ec,
  0x0000001bafb5ee22,
};

// m48a_swio14_noled_pr_ee_ce
static const uint64_t ur_m48_swio14_noled_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0xef638eb53f1fe2e8, 0x6737a86d14202b72, 0x13130ce7126824cc,
  0x8c9dd1edb02c21f9, 0xfffa43f9fff9304f, 0xa7ec7f546e947674, 0xb5fbadf9e5e5d693, 0x1bb58147c99cebb9,
  0x6cc1ce3ea3cafe70, 0xb4239015ba5f51f0, 0x6be8c2cb1148b34e, 0x09cead71fbbeb600, 0x9c1d7a1a9db4a471,
  0x848498a31167b55e, 0x4502700bd96cb98b, 0xaad7a7ba0e7951b0, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa,
  0x63f7f442a6b3a6e5, 0x73daad115e54292b, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x084c76f62aa8b4b6,
  0xab83cd94462fe6db, 0x207e50d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138, 0x9c659ac867a61683,
  0x257ee686658767c0, 0x000013f1eb7117cf,
};

// m48a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m48_swio14_noled_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x13b02f4d8c286d93, 0x7baf537d3bc8d05b, 0xee091f910f1363c1,
  0x193ba3afa0282c8e, 0x7fbe69e7daee609f, 0xcaa8faa395c3b1fe, 0xee3441e797979dbf, 0x459784bf10d8488b,
  0xf933547736bf53bf, 0xa8f2bf9c06ed6678, 0x6e97d47c1b30738f, 0xc4522cd3ad08e405, 0x7eefad801afa30b2,
  0xa76d291c4273ab5c, 0xc459ed57a7075e86, 0xf65b2e62e1212628, 0x839e546c11409c02, 0xf566d7972ab5e9ee,
  0xce75152a8d76761c, 0xa9ace9b95daa5bea, 0x57950a4ad8fdfd10, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3,
  0x8aaa2d2da2718de3, 0x118bf9b6c2131dbd, 0x1659d1726ae0f365, 0xfd4eacc790334f8d, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767, 0x0000004fcde0aeb5,
};

// m48_swio14_lednop_pr              m48a_swio14_lednop                m48a_swio14_lednop_pr
static const uint64_t ur_m48_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0x6b76deef85e82832, 0x880f06613526eef3, 0xd8f363d2bafa1374,
  0xefe4c13e327771de, 0xdd00ec32bfd985f3, 0xac0ebffa8ff21df2, 0x016f74c7abdf1c72, 0xf173b5ac8fa0398b,
  0xd4ace7b71cb1823a, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0x42a6b81013a6e576, 0x115e54292b97d8f4,
  0x4e02e7407973daad, 0x21695844c2f52d79, 0x8c6f19d10363fc50, 0x20376ca2317f36d3, 0xd598f2068fe3459a,
  0xcb3590cf4c2d06fd, 0xdcd0ccb0ecb25138, 0x07c80e2c5d79e4af,
};

// m48a_swio14_lednop_pr_u4
static const uint64_t ur_m48_swio14_lednop_pr_u4[] = {
  0x41bbbbbb45d8b562, 0x1ddcb4b10ac32b04, 0x63b0bf7c2f414192, 0x06613523afad3c4e, 0x0600db691774880f,
  0xc13e3277699ead17, 0x3b244ff3b467c3dc, 0xaffea3af877cb740, 0x74db7e5f471cab03, 0xcb5d1dc3398b016f,
  0xd6dc72c608ebc5ce, 0xcf566d7972ab52b2, 0xace75152a8d76761, 0xe0404e9b95daa5be, 0x50a4ae5f63d10a9a,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0xe8b9357079b288c5,
  0xeacc7903b6868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x0003e4c216e27cf2,
};

// m48a_swio14_lednop_pr_ee
static const uint64_t ur_m48_swio14_lednop_pr_ee[] = {
  0x327bbbbbbbd8b562, 0xc3f72d2c42261558, 0xc69ed0bd623e2d4c, 0x27c1fc2de4d7a70b, 0x09fbc5eb411417f3,
  0x04f8c9dda67bf4ee, 0xd915bfced19f2753, 0xcafe741fed68e441, 0xaf51f06cc1829ea3, 0x91669d68407f15d4,
  0x9ccc00d7d1859622, 0x6f79cead2efe0eb1, 0xab5d0ebc019dbe44, 0x62e1216f68ee1cf6, 0xb05cbff00bd970e4,
  0x0e7ab36bcb955a8e, 0xf5673a8a9546bb3b, 0xd7020274dcaed52d, 0xca852572fb1e8854, 0x80f3f5ae7b55a22b,
  0xae757a96165362ce, 0x33a20517d14085a6, 0xd94462fe6da718de, 0xdb43459a205c9ab8, 0xd30b41bf75663c81,
  0x3b2c944e32cd6433, 0x713e792bf734332c, 0x0000000000a7c54e,
};

// m48a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m48_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x56b9696211285d63, 0x34bab8f76dbaf36b, 0x9170fd690cf17bd3, 0x45a0ab411417fd9e,
  0xf8c9dd3ada244b55, 0x2b7fa43f9f275304, 0x29707fb5a30f63b2, 0x47c1b307a57a8f2b, 0x9a75a101fc5650fd,
  0x30035f4616588a45, 0x0e75697f9c3a1f73, 0xa1d7a1a9d827a35f, 0x242c9118df9ed56b, 0x65ff805ecb65cc5c,
  0x5a8e2ed627951b04, 0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546, 0x8854d7020274dcae, 0xa22bca852572fb1e,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6db18c55b, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x8be792bf734332c3, 0x000000000275cb38,
};

// m48a_swio14_lednop_pr_ce
static const uint64_t ur_m48_swio14_lednop_pr_ce[] = {
  0x61fdddddddec4743, 0xb2ae5a58b2730aac, 0x19ee2fd48be2638c, 0x4382ff7e3d3b1e30, 0xab05905a0b8eee1f,
  0x39827c64eeb45da8, 0xe0ec90ffe768cf94, 0x79797070e1d8feab, 0xac99cebb9b5f4d7e, 0x59fea3cbe9ee5975,
  0xc058f7a5471cab03, 0xe8f9db244637ce62, 0x3fd22a01ffb33c75, 0xe556b2ed40f2d6e8, 0x51aecec39eacdaf2,
  0x2bb54b7d59cea2a5, 0xc7a21535c0809d37, 0xd5688af2a1495cbe, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x76f62aa8b490538c, 0xc6ca2317f36d8c4c, 0x0eda1a2cd102e4d5, 0x9e985a0dfbab31e4, 0x61d964a271966b21,
  0xa389f3c95fb9a199, 0x000000000016ea70,
};

// m48a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m48_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda2447705, 0x3f72d2c30e1fbac1, 0xa2ed91d623e2d4cc, 0x07f0b79019b200be, 0x2650b69764f74c9f,
  0x304f8c9dd6c5ab05, 0x3b37dffa43f9f8ad, 0xcbad25baaa8fac88, 0x6c2445f71a20f3cb, 0xaf495fa2cbc25f88,
  0xf72c10d64cd51dcd, 0x8e5581acff51e5f4, 0x1be731602c7bd2a3, 0xd99e3af47ced9223, 0x796b741fe91500ff,
  0x566d7972ab5976a0, 0xe75152a8d76761cf, 0x404e9b95daa5beac, 0xa4ae5f63d10a9ae0, 0xad75cf6ab4457950,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb6c6263b7b15545a, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x1baf756e22f9e4af,
};

// m48a_swio14_lednop_pr_ee_ce
static const uint64_t ur_m48_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a232a8, 0x4b9696215a99d609, 0x6f6e0ebd385fe2e8, 0xce6f50d71b453770, 0xdc9685ce24d04998,
  0x193bb38b4dd33ee9, 0x7fe90fe7d36e609f, 0x9bb1fd51ba51d833, 0xafaa0fe797975a41, 0xddac0a3e4ce75dcd,
  0x660e71f51e5670c0, 0xa11c80acbafa8f83, 0x5f4616588a459a75, 0x0e756b8f9df5b003, 0xc1d7a1a9d827a35f,
  0x90b244637e7b55e9, 0xa04e017b2d973170, 0x5af4f5ac4f2a3608, 0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546,
  0x8854d7020274dcae, 0xa22bca852572fb1e, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x288c5fcdb63131db, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x89f5e22f9e4afdcd, 0x000000000000009f,
};

// m48a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e5f41, 0x772d2c5c0919d62c, 0x769bad066b40db26, 0xeebd4d891e9d6443, 0x89df4e443c4d8f05,
  0x32776b5a76ab8991, 0xffbe69e7c524c13e, 0xf551f5472b87656f, 0xb8d1079e5e5e775b, 0x165e12fc4361222f,
  0xe4cd51dcdae164fd, 0xa3cace181bb599e3, 0x975f51f06cc1ce3e, 0x1148b34eb4239015, 0xf3beb6006be8c2cb,
  0x3b04f46be1cead71, 0x6fcf6abd383af435, 0x65b2e62e1216488c, 0x89e546c11409c02f, 0x566d7972ab5e9eb5,
  0xe75152a8d76761cf, 0x404e9b95daa5beac, 0xa4ae5f63d10a9ae0, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb6c6263b7b15545a, 0x726ae0f365118bf9, 0xc790334f8d1659d1, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0x4fcc926eb54f257e,
};

// m48_swio14_dual_pr                m48a_swio14_dual                  m48a_swio14_dual_pr
static const uint64_t ur_m48_swio14_dual[] = {
  0xeeeeeeea0f3e43ee, 0x99a8728457d87e82, 0x6356ac1fa78bcada, 0xd047ced00ab125ab, 0x267da29dbb415eba,
  0x38eee593368bda79, 0x4004a4737e609f19, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x1fc382fb98a2fe65,
  0xab03eea6f51e3dec, 0x815fe63408a11c90, 0xbddf177b5d80370f, 0xa10cb42324432bb8, 0x297ff4073c26b5a2,
  0x68982c3795e425b7, 0x3be596b8ec28bfe7, 0x1c72ac0f7bf51fba, 0xcc580aa0f33930f7, 0x8ebc019d90046989,
  0xb6f78df5403ff660, 0x77715257cea07967, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x09d372bb54b7d59c,
  0x95cbec7a21535c08, 0xaeb9ed5688af2a14, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6c63156f62aa8b49,
  0x26ae0f365118bf9b, 0xe40cd3e34597ab97, 0x1a50c2a73f53ab31, 0x6fdf11a1e44cf027, 0x138cb3590cf4c2d0,
  0xe4afdcd0ccb0ecf8, 0x000029269f5dd6a9,
};

// m48a_swio14_dual_pr_u4
static const uint64_t ur_m48_swio14_dual_pr_u4[] = {
  0x33dddddda2e7ce7c, 0x053350e508ccf0fc, 0xadaafb7e9d914109, 0x9fb7a74174c8dc13, 0x87e362b0c6eb7619,
  0x4f8c9cc6e4843acf, 0xb88b200252011330, 0x40c2860caeb036d2, 0xff32ff029dd3e25c, 0x226c36f9c03dcc63,
  0x8e485581e9537a8f, 0x1b87c0aff31a0450, 0x95dc5eef8bbf7680, 0x13d150865a16b221, 0x12db975ffa039e13,
  0xaff3b44c161bcaf2, 0x8e801df2d07c7654, 0xec148e395607d07a, 0x31be731602fe1cc1, 0xe58c11d7916ec3e2,
  0xf9ddc5494acb87b8, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x20274dcaed52df56, 0x52572fb1e8854d70,
  0x3f5ae7b55a22bca8, 0x57a96165362ce80f, 0x20517d14085a6ae7, 0x462fe6da718de33a, 0x596745c9ab83cd94,
  0xf53ab31e40cd3e34, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x000000524e053ad5,
};

// m48a_swio14_dual_pr_ee
static const uint64_t ur_m48_swio14_dual_pr_ee[] = {
  0xbdddddd0f5a1a5fb, 0x4cd4385c513f0fc0, 0x08774ed34e8371c5, 0xf2529555eeb71ab5, 0x6bd8b8d7c5f02ec4,
  0x6e4f05a3f0ab2b8a, 0x4a40aa2609f19269, 0x95d606da57116400, 0x73ba7c4b881850c1, 0x3813a992d7e65c1c,
  0xf7dcdea3c56d80d6, 0xf98d022847242ac0, 0x8bbcc0200dc3e057, 0x5a0fe22195dc5eef, 0xf4073c26dbf15086,
  0x2c3795e425b70d1f, 0xd4a1d896bfd21f98, 0xfd4795cae83fdad1, 0x57befd47c1b307b7, 0x588a459a75a101fc,
  0x3a13f330035f4616, 0x3da3d28e75697286, 0xcf6ab5d0ebd8cdda, 0xf4b3170909004698, 0xaa8d8232ffc02f65,
  0xf3bb8a928e2f2288, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x404e9b95daa5beac, 0xa4ae5f63d10a9ae0,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a, 0x05d8dc79b288c5fc,
  0xd4eaccdfc1ddc68b, 0x8cbf313f9430a9cf, 0xefc0f9a1e44cf173, 0x9ac867a616837e39, 0xe686658767c09c65,
  0x01590c970a4f257e,
};

// m48a_swio14_dual_pr_ee_u4
static const uint64_t ur_m48_swio14_dual_pr_ee_u4[] = {
  0xc4edddddda2432db, 0x4aa66a1c2e373b0f, 0xedae3bb618a774ee, 0x477f4d99d179579c, 0x4f51f67c35f17c4e,
  0xa8b7268fefb833a4, 0x004a45c95304f8c9, 0xc195d606da571164, 0x1c73ba7c4b881850, 0x9b38456986b7e65c,
  0xc0d4f4dea3efbd86, 0x57f98d022847242a, 0xef8bbda0e00dc3e0, 0x865a06522195dc5e, 0xfffa039e13751150,
  0x982c3795e425b7b1, 0xd198f1d835bfd21f, 0xea3d4795b0583fda, 0xfe2b53dea3e0d983, 0x0b2c4522cd3ad080,
  0x871d07199801afa3, 0x76ee9182873ab4bc, 0xc8b3daad743af29a, 0xd971f18b84853723, 0x8a928eb22cbff00b,
  0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e, 0xcf6ab4457950a4ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0xdc79b288c5fcdb63, 0x99bf83bb8d1659d0,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x01593a7ae149e4af,
};

// m48a_swio14_dual_pr_ce
static const uint64_t ur_m48_swio14_dual_pr_ce[] = {
  0x92eeeeeeef3e43ee, 0x553350e3c9d7787f, 0xb7b5adb128cda2d4, 0x1a16246352726c4e, 0xc55f62eafb7792f9,
  0xc9c5f72c99b5ded3, 0xb2002523ce5304f8, 0x2860caeb036d2b88, 0x2ff029dd3e25c40c, 0xc0ba9c0a1cca7bf3,
  0x15606e4e6f51e43e, 0xf02bfcc681142392, 0x2f77c5decdf006e1, 0x50865a12f910caee, 0xc72ffa039e137c91,
  0xb44c161bcaf212db, 0x2c7f5d287629eff3, 0xd7801f9e5e5e7781, 0xee597552e673aee6, 0x8e5581dadea384f9,
  0x4c4e62c0528bb7e3, 0xb33c75e00cec8023, 0xf2d6e7bc6faa01ff, 0x157ceee2a4af9d40, 0x73d59b5e5caad67f,
  0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xfe6db1898edec555, 0x205c9ab83cd94462, 0xab31e40cd3e3459a, 0x966b219e985a0dfb,
  0xfb9a19961d9f0271, 0x01cf5aa73ad53c95,
};

// m48a_swio14_dual_pr_ce_u4
static const uint64_t ur_m48_swio14_dual_pr_ce_u4[] = {
  0xc4edddddda2432db, 0xe4aa66a1c1973b0f, 0xcedae3bb618a774e, 0xe477f4d99d179579, 0x0ce913d47d9f6ec4,
  0x3e326a2dc9a3fbee, 0xc4590012917254c1, 0x061430657581b695, 0xf997071cee9f12e2, 0xef61a6ce115a61ad,
  0xc90ab0353d37a8fb, 0x70f815fe63408a11, 0x7717bbe2ef683803, 0x4454219681948865, 0x6dec7ffe80e784dd,
  0xf487e60b0de57909, 0x06aa3ea63c760d6f, 0xdc6883cf0b00c247, 0x8b2f097e21b09117, 0x2e66a8ee6d7e8ffe,
  0xadea384f9ee58215, 0x0528bb7e38e5581d, 0x00cec80234c4e62c, 0xc6faa01ffb33c75e, 0x2a4af9d40f2d6e7b,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x98edec55516920a7, 0xe3cd94462fe6db18, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x1a49d3d70a4f257e,
};

// m48a_swio14_dual_pr_ee_ce
static const uint64_t ur_m48_swio14_dual_pr_ee_ce[] = {
  0xa0addddddd437089, 0xdca66a1ca11c2f0f, 0x5b369bb1a92614e0, 0x4d88c8ce226f66eb, 0xa7ad0513e17b4541,
  0x06ee4fe1dbc9d6d1, 0x012909e5e609f193, 0x0657581b695c4590, 0x71cee9f12e206143, 0xa3826dcd3b7f9970,
  0x30b537a8e337b0dd, 0xfe63408a11c90ab0, 0xc5de30b80370f815, 0x5a05d510caee2f77, 0xf4073c264ad15086,
  0x586f2bc84b6f8ddf, 0xc14764edffa43f30, 0x160184a76ec7f546, 0x99cebb9b5c113f9e, 0x3caf0201bb581724,
  0x56f51f06cc1c89ea, 0x148b34eb4239015e, 0x0feb6006be8c2cb1, 0xb47b47a51cead705, 0xc67b55e9c1d7b19b,
  0x2fa598b848480234, 0x22aa3608a04e017b, 0xabe7771525e9ec8a, 0x9eacdaf2e556b3f8, 0x59cea2a551aecec3,
  0xc0809d372bb54b7d, 0xa1495cbec7a21535, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d8c4c76f62aa8, 0x59a20371e6ca2317, 0x1bf75666fe0eee34, 0x04e32cd6433d30b4, 0x792bf734332c3b3e,
  0x000004c10e14b852,
};

// m48a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m48_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e5f82, 0x9a87099f1ff0fa72, 0xc3b45f62e3d90529, 0x2bebb4f577b90f5f, 0xcb474e4e4739a716,
  0xe6bd5c795efeaf87, 0x04f8c90dd72dad5b, 0xb88b2002521e3d73, 0x40c2860caeb036d2, 0xfccaecc59dd3e25c,
  0x7f61000e02926fd7, 0x242ac0e76e6f51eb, 0xc3e057f98d022847, 0xb8bddf177bc0200d, 0x4542196869b4432b,
  0xba547fd01cf09b02, 0xe69cc161bcaf212d, 0x1f5471c8767ebffb, 0x83cf0b00839faf55, 0x097e21b09117dc68,
  0x51dcdaef00fe8b2f, 0xf0201bb599f924cd, 0x51f06cc1c89ea3ca, 0xb34eb4239015e56f, 0xb6006be8c2cb1148,
  0xb47a51cead7050fe, 0xb55e9c1d7b19bb47, 0x598b848480234c67, 0xa3608a04e017b2fa, 0x7771525e9ec8a22a,
  0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x09d372bb54b7d59c, 0x95cbec7a21535c08, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x4d5c1e6ca2317f36, 0xfc1bf411a2cb3a2e,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a,
  0x2eadb9014f257ee6, 0x0000000000000200,
};

// m48_swio15_noled_pr               m48a_swio15_noled                 m48a_swio15_noled_pr
static const uint64_t ur_m48_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0x04f066127bb4c9df, 0x2f64188f1f79375b,
  0xc7cc13e32775a9e8, 0x483b36fffb30be7c, 0x81f3dea3c4277cb7, 0x5bdd3694b5e38e55, 0xb9dae1a3268e62c0,
  0xacaffb8e58c11d78, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9, 0x442a6b3a6e576a96, 0x88af2a14956aff7f,
  0x2a7d3bcfd6b9ed56, 0x0b4b0b9d4ea70165, 0x6378ce88117ee281, 0x01bb65118bf9b69c, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0x07c80042ebcf257e,
};

// m48a_swio15_noled_pr_u4
static const uint64_t ur_m48_swio15_noled_pr_u4[] = {
  0x077777768bb128ae, 0xbb9696215988d61b, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf75b04f06,
  0x27c64eefd3dc2848, 0x6751fe768cfedf98, 0x7bd47f90ef96e907, 0xd348937471cab03e, 0xb22a3e80e62c05bd,
  0x49b8e58c11d78b9d, 0x9eacdaf2e556a567, 0xd9cea2a551aecec3, 0x5359d372bb54b7d5, 0x7950a4ab57fbfa21,
  0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x118bf9b632455bd8, 0x1659d1726ae0f365,
  0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0xf9e4afdcd0ccb0ec, 0x00000007c9a681c4,
};

// m48a_swio15_noled_pr_ee
static const uint64_t ur_m48_swio15_noled_pr_ee[] = {
  0x1bbf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0x7f07f0ba10d85a33, 0xda59fbc764505ff7,
  0x27c64eef25da668e, 0xccadfe768cfe9b98, 0x5695a0ff6b47dd0e, 0xf51f06cc1cbef51e, 0x1669d68407f15fce,
  0xccc00d7d18596229, 0xd739d5a5d7d8eb19, 0xae875e00ced2f91a, 0xb84843e23e927b55, 0x492ffc02f65c3918,
  0xcf566d7972ab51d7, 0xece75152a8d76761, 0xa9ace9b95daa5bea, 0xbca85255abfdfd10, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x88c5fcdb1922adec, 0x868b3440b93571b2, 0x16837eeacc7903b6,
  0x59289c659ac867a6, 0x7cf257ee68665876, 0x00000000a7c248e2,
};

// m48a_swio15_noled_pr_ee_u4
static const uint64_t ur_m48_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447032, 0x56b96962111a5d61, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417f791,
  0xf8c9dd3b5b2ed395, 0x4dffa43f9f1ad304, 0x38707fb5a38f63b3, 0x47c1b3067afa8f2b, 0x9a75a101fc565d7d,
  0x30035f4616588a45, 0x0e756977263a1f73, 0xd0ebd0d4ec7aa3f9, 0x090a2147bdcf6ab5, 0x197fe017b2d97317,
  0xad4717d260b546c1, 0x5d9d873d59b5e5ca, 0xa96fabb39d454aa3, 0xf7f442a6b3a6e576, 0xd5688af2a14956af,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0xc1e6ca2317f36c64, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x917c45f3c95fb9a1, 0x00000000000013ae,
};

// m48a_swio15_noled_pr_ce
static const uint64_t ur_m48_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bde6ec1e38cb, 0xc17f369a9c2f6226, 0x22b461436f77d7a1,
  0xc13e32776a2ed05f, 0x767ceff3b467cbac, 0xbcb838e96c7f59b8, 0x4ce75dcdae1a3f3c, 0xf7a8f374f72cbad6,
  0x0532a718e3956064, 0x47ced10a3dece62c, 0x5269500ffd99e3af, 0x955abeb703cb5b84, 0x46bb3b0e7ab36bcb,
  0xed52df57673a8a95, 0x5fefe8854d674dca, 0x3daad115e54292ad, 0x6294f0d3bcf8b5d7, 0x9c6378ce88107753,
  0x90c76f62aa8b4b68, 0x93571b288c5fcdb1, 0xc7903b6868b3440b, 0xac867a616837eeac, 0x866587659289c659,
  0xa8bf6e27cf257ee6, 0x000000000000005b,
};

// m48a_swio15_noled_pr_ce_u4
static const uint64_t ur_m48_swio15_noled_pr_ce_u4[] = {
  0xefdddddda24477d6, 0x3f72d2c30e62fac6, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deeeef,
  0xe609f193bb61b7c8, 0x876656ff487f3fa6, 0x7975a495d551f5ee, 0x0d8488bee3441e79, 0xb5d90ff459784bf1,
  0x9ee5821ac99aa3b9, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcf566d7972ab57d6, 0xece75152a8d76761, 0xa9ace9b95daa5bea, 0xbca85255abfdfd10, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x118bf9b63218edec, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xf9e4afdcd0ccb0ec,
  0x0000001baef36e22,
};

// m48a_swio15_noled_pr_ee_ce
static const uint64_t ur_m48_swio15_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d636, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e712683b6c,
  0x8c9dd3adacccb572, 0xfff487f3fbb5304f, 0x8fd8fea8e438ec31, 0x6bbaa3f3cbcbad21, 0x376b028f9339d773,
  0xd983403d4795ba50, 0x6847202b90fea3e0, 0xd7d185962291669d, 0x439d5ae1c9fd6c00, 0x383af4353b1ea8fe,
  0x090a2147bdcf6abd, 0x8a04e017b2d97317, 0xab5e9ee9305aa360, 0xd76761cf566d7972, 0xaa5beaece75152a8,
  0xfdfd10a9ace9b95d, 0xb55a22bca85255ab, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xe0f365118bf9b632, 0x1f9434597ab9726a, 0xa1854e7ea75663c8, 0xbe2343c899e04e34, 0x1966b219e985a0df,
  0x5fb9a19961d9f027, 0x0004fc2b5445f3c9,
};

// m48a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m48_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61a, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f12d4c1,
  0xc9dda2fd6c49af13, 0xfef9a79f801304f8, 0xd547d51efb1d96b7, 0xe3441e797979ddad, 0x59784bf10d8488be,
  0x266a8ee6d776eff4, 0x1e56e940ddaccf1f, 0x43fa8f83660d00f5, 0x8a459a75a11c80ae, 0x27f5b0035f461658,
  0xec7aa3f90e756b87, 0xf73daaf4e0ebd0d4, 0xcb65cc5c2428851e, 0xc16a8d822813805e, 0x59b5e5caad7a7ba4,
  0x9d454aa35d9d873d, 0xb3a6e576a96fabb3, 0xa14956aff7f442a6, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x45a5b44e31bc6744, 0x2fe6d8c863b7b155, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x00013f1f813ad53c,
};

// m48a_swio15_lednop
static const uint64_t ur_m48_swio15_lednop[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fbad82,
  0x7b9827c64eeb53dd, 0x483b3baff6617cfc, 0x81f3dea3cdc77cb7, 0x2dee98ca9c638e55, 0x2e767bd1dac73160,
  0x95822ee39630475e, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb, 0x4d7020274dcaed52, 0x5e54292b92b1e885,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0x317f36d02a2adec5, 0x5a0df8f876376ca2,
  0x64a271966b219e98, 0xf3c95fb9a19961d9, 0x00000001524bf8ba,
};

// m48a_swio15_lednop_pr
static const uint64_t ur_m48_swio15_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d627b, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd9ee888,
  0x4f8c9ddf23b8bd19, 0x863ffced19fa9530, 0x1ea3e9477cb41f1d, 0x680c13e38e5581f4, 0x7c47191cc580b2ca,
  0x01ffb30475e8f9d9, 0x7207967b637ee1aa, 0x1cf566d7972ab5b8, 0xaece75152a8d7676, 0xe0404e9b95daa5be,
  0xa852572563d10a9a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6da05455bd8aaa,
  0x765c9ab83cd94462, 0x3ab31e40eda1a2c1, 0x2fcc4fe50c2a73f5, 0xf03e6879133c5ce3, 0xb219e985a0df8e7b,
  0xa19961d9f0271966, 0xc9e10b89f3c95fb9, 0x0000000000000007,
};

// m48a_swio15_lednop_pr_u4
static const uint64_t ur_m48_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8ad4e, 0xddcb4b10ac4ceb0d, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f75b04f06,
  0x7c64eef91d411199, 0x775fe768cfc7b982, 0xbd479b8ef96e9076, 0x319538c71cab03e7, 0xf7a3b58e62c05bdd,
  0x5dc72c608ebc5cec, 0xf566d7972ab52b04, 0xce75152a8d76761c, 0x404e9b95daa5beae, 0x52572563d10a9ae0,
  0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d, 0x5c9ab83cd94462fe,
  0x663c81db43459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x00f93e9e713e792b,
};

// m48a_swio15_lednop_pr_ee
static const uint64_t ur_m48_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0xefe0fe17426d9305, 0xce199bb4108a0bfe,
  0x827c64eef91d3128, 0xd91cbfced19feaf9, 0xcadd2c1fed68fba1, 0xbea3e0d98397dea3, 0x22cd3ad080fe2b28,
  0x399801afa30b2c45, 0xa6273ab4bc061d63, 0xad743af00676c911, 0x8b848507d1dad3da, 0x59f2ffc02f65c391,
  0x39eacdaf2e556a3a, 0x5d9cea2a551aecec, 0xc0809d372bb54b7d, 0x50a4ae4ac7a21535, 0x1e7eb5cf6ab44579,
  0xceaf52c2ca6c59d0, 0x74409cfa2810b4d5, 0x288c5fcdb4e31bc6, 0x6868b3440b93571b, 0x616837eeacc7903b,
  0x659289c659ac867a, 0x27cf257ee6866587, 0x0000000029f00e4e,
};

// m48a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m48_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222a20, 0xab5cb4b1088f5eb0, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfbc8,
  0x3e327755f6c1b8d5, 0x1cbfd21fcff57cc1, 0x94383fdad1c7b1d9, 0xa3e0d9833d7d4795, 0xcd3ad080fe2b60be,
  0x9801afa30b2c4522, 0xc73ab4bba51d0fb9, 0xe875e86a769111cd, 0x8484be238ca7b55a, 0x8cbff00bd96cb98b,
  0xab51c588a4d2a360, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x10a9ae0404e9b95d, 0xa22bca852572563d,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6da05455b, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x8be792bf734332c3, 0x0000000013ae10b8,
};

// m48a_swio15_lednop_pr_ce
static const uint64_t ur_m48_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef623f3e, 0x9572d2c593848563, 0xbf4ddeecfe0f1c65, 0xc17f36ac9b532678, 0x9c6c20950f77d7a1,
  0xc13e327748fed91e, 0x761c3ff3b467d82c, 0xbcb8385d6c7f59b8, 0x99cebb9b5e76ff3c, 0xef51e719ee5975ac,
  0x14c79eb1c72ac0c9, 0x1f3b2f88e32398b0, 0xdc35403ff6678ebd, 0x55adc3903cb5b86f, 0x6bb3b0e7ab36bcb9,
  0xd52df57673a8a954, 0x8854d7020274dcae, 0xd115e54292b92b1e, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0x94462fe6da0518ed, 0xb43459a205c9ab8d, 0x30b41bf75663c81d, 0xb2c944e32cd6433d,
  0x13e792bf734332c3, 0x000000002dd5b8f7,
};

// m48a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m48_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2445541, 0x3f72d2c30e433ac6, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbbbf,
  0x9827c64eea0ade9c, 0x1d96ebfd21fcfc72, 0xe5d6934dd547d7ba, 0x361222fb8d1079e5, 0xd724afd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c0531e7ac, 0xfd99e3af47cecbe2, 0x0f2d6e1bf70d500f,
  0xeacdaf2e556b70e4, 0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0, 0xad75cf6ab4457950,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x0dd7ab2a22f9e4af,
};

// m48a_swio15_lednop_pr_ee_ce
static const uint64_t ur_m48_swio15_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac6, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a0edb,
  0xe32777ed694e2c52, 0xf9fe90fe7f4d4c13, 0x3fe58fea8e438ecf, 0x36b9b77f9e5e5d69, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xd6847202b297ea3e, 0x0d7d185962291669, 0x6e39d5ae1d2fd6c0, 0xd383af4353b4888e,
  0x709097c47194f6ab, 0x08a04e017b2d9731, 0x955af4f08a4d2a36, 0x46bb3b0e7ab36bcb, 0xed52df57673a8a95,
  0xe8854d7020274dca, 0xad115e54292b92b1, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0xd94462fe6da0518e, 0x0d165eae5c9ab83c, 0x539fa9d598f207e5, 0xd0f22678138d2861, 0xac867a616837ef88,
  0x686658767c09c659, 0x3f0e7d117cf257ee, 0x0000000000000001,
};

// m48a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m48_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61a, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e25a982,
  0xc9ddb9da3dabbec4, 0xfdf34f3f8dd304f8, 0xaa8faa3df63b1aef, 0xc6883cf2f2f3b6bb, 0xb2f097e21b09117d,
  0x4cd51dcdafc3ffe8, 0x3cacba81bb599e3e, 0x4bf51f06cc1a01ea, 0x148b34eb42390159, 0x97eb6006be8c2cb1,
  0xda4447371cead70e, 0xca7b55e9c1d7a1a9, 0x96cb98b8484be238, 0x26951b04502700bd, 0x59b5e5caad7a7845,
  0x9d454aa35d9d873d, 0x13a6e576a96fabb3, 0x95c958f442a6b810, 0xaeb9ed5688af2a14, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xf9a389d6a9e4afdc,
  0x0000000000000009,
};

// m48_swio15_dual_pr                m48a_swio15_dual                  m48a_swio15_dual_pr
static const uint64_t ur_m48_swio15_dual[] = {
  0x0ddddddd41e7ce7c, 0xa99a872849c587c2, 0xb59f6f4e3138bcad, 0xad06947b3628171a, 0x873b6514add081eb,
  0xc9c7772421d75b1f, 0xb2002520c03304f8, 0x2860caeb036d2b88, 0x2ff029dd3e25c40c, 0x60fe1c17dcc517f3,
  0x85581f7537a8f1ef, 0x7c0aff31a04508e4, 0xe2f77c5df00001b8, 0x8a8432d08c910cae, 0xdca1ffd01cf09ad6,
  0x9da260b0de579096, 0xbe77cb3de3b3f77f, 0xb8e39560707fd47d, 0x4e62c05507992b47, 0x0475e00ceda52388,
  0x9eda63192a01ffb3, 0x7ceee2a4b81281e5, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0x013a6e576a96fabb,
  0x495c958f442a6b81, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4,
  0x726ae0f365118bf9, 0x1e40cd3e34597ab9, 0x71a50c2a73f53ab3, 0x06fdf11a1e44cf02, 0x8138cb3590cf4c2d,
  0x9e4afdcd0ccb0ecf, 0x000000a499cf9d6a,
};

// m48a_swio15_dual_pr_u4
static const uint64_t ur_m48_swio15_dual_pr_u4[] = {
  0x4bdddddda2e7ce7c, 0x053350e508ccf0fb, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375bad2,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xff997f814ee9f12e, 0x91361b7ce01ee631,
  0x47242ac0f4a9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5dfbb40, 0x89e8a8432d0b5910, 0x096dcbaffd01cf09,
  0x57f9da260b0de579, 0x47400ef961be3b2a, 0xf60a471cab03e93d, 0x18df398b017f0e60, 0x72c608ebc8b761f1,
  0x7ceee2a4a565c3dc, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0x013a6e576a96fabb, 0x495c958f442a6b81,
  0x03cb9ed5688af2a1, 0x2617a96bca70173a, 0x440a2fa2810b4ac2, 0x88c5fcdb4e31bc67, 0x8b2ce8b9357079b2,
  0x7ea75663c819a7c6, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x0000000a49c0a75a,
};

// m48a_swio15_dual_pr_ee
static const uint64_t ur_m48_swio15_dual_pr_ee[] = {
  0x67bbbbba1eb432db, 0x153350e1710b61f6, 0xb49bdd1ed61a0dc7, 0xd89e4aec947eb4cf, 0xbbfbbcfb1af8bd99,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x6b1c09d4c96bf32e,
  0x607bee6f51e2b6c0, 0x2bfcc68114239215, 0x77c5dea91006e1f0, 0x432d07f110caee2f, 0xbffa039e136df8a8,
  0x982c3795e425b74d, 0xa328a3b287ffd21f, 0x657a8f2bdf707fb5, 0xfc576ebd47c1b306, 0x16588a459a75a101,
  0x0a3a13f330035f46, 0xd8c7a33d4e756976, 0x10cf6ab5d0ebd8cd, 0x65f4b317090b4a47, 0x6f6a8d8232ffc02f,
  0x2af9ddc54947163e, 0xe7ab36bcb955acfe, 0x7673a8a9546bb3b0, 0x020274dcaed52df5, 0x4292b92b1e8854d7,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551, 0x2c176371e6ca2317,
  0x3f53ab337f07771a, 0xce32fcc4fe50c2a7, 0xe7bf03e6879133c5, 0x966b219e985a0df8, 0xfb9a19961d9f0271,
  0x002b2610dc293c95,
};

// m48a_swio15_dual_pr_ee_u4
static const uint64_t ur_m48_swio15_dual_pr_ee_u4[] = {
  0xc9dbbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bf272,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x4d9c22b4c35bf32e,
  0x606a7a6f51f7dec3, 0x2bfcc68114239215, 0xbbe2ef524006e1f0, 0x2196819488657717, 0x6ffe80e784dd4454,
  0xe60b0de579096dc6, 0x5a37f0761c1ff487, 0xc27fa8f2b53d07fb, 0x3f8af027a8f83660, 0xc2cb1148b34eb420,
  0x70c741c666006be8, 0x76dbe8e5f1cead2e, 0x8f93daad743af29a, 0xecb8f8c5c2420511, 0xe2a4a3a1f25ff805,
  0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x6e576a96fabb39d4, 0x958f442a6b81013a, 0x9ed5688af2a1495c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053, 0xb8f365118bf9b681, 0x337f07771a2cb3a1,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0x01592055c293c95f,
};

// m48a_swio15_dual_pr_ce
static const uint64_t ur_m48_swio15_dual_pr_ce[] = {
  0xac1ddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b7560f,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x65fe053ba7c4b881, 0xd817538143994f7e,
  0x42ac0dc9cdea3c87, 0x3e057f98d0228472, 0xe2f77c5dfd6600dc, 0x150865a12f910cae, 0xb8d6ffa039e137c9,
  0x3b44c161bcaf212d, 0x5ac7f53d476604ff, 0xdae87df9e5e5e779, 0x3dcb2eaa5cce75dc, 0x38e558188bea3c89,
  0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f, 0xfe2af9ddc5497025, 0xb0e7ab36bcb955ac,
  0xf57673a8a9546bb3, 0xd7020274dcaed52d, 0xe54292b92b1e8854, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x2fe6da0518edec55, 0xa205c9ab83cd9446, 0xbab31e40cd3e3459, 0x1966b219e985a0df,
  0x5fb9a19961d9f027, 0x0039eb0393ad53c9,
};

// m48a_swio15_dual_pr_ce_u4
static const uint64_t ur_m48_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x2a741640258b7727,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbd49001, 0x51150865a0652219, 0x5b719bffa039e137,
  0xfd21f982c3795e42, 0x9d5547d5fc1d8707, 0xfb8d1079e1601848, 0xd165e12fc4361222, 0xa5ccd51dcdaed07f,
  0x88bea3c893dcb042, 0x602fee32a38e5581, 0xf00676d291c42731, 0x318c9500ffd99e3a, 0xdc549702503cb5b9,
  0x6bcb955acfe2af9d, 0x8a9546bb3b0e7ab3, 0x4dcaed52df57673a, 0x92b1e8854d702027, 0x73daad115e54292b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0x6e3cd94462fe6da0, 0xccdfc1ddc68b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x00d2481570a4f257,
};

// m48a_swio15_dual_pr_ee_ce
static const uint64_t ur_m48_swio15_dual_pr_ee_ce[] = {
  0x9daddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed14ed,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xd1c136e69dbfccb8,
  0x185a9bd4719bd86e, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x9681754432bb8bdd, 0xfd01cf0992b45421,
  0x161bcaf212dbfebf, 0xd4f0ec7f9fe90fcc, 0xe1601849fe58fea8, 0x499cebb9b5f9bff9, 0xa3caf2b01bb58172,
  0xcaef51f06cc1f75e, 0x1148b34eb4239015, 0xc17eb6006be8c2cb, 0xbb18f467a9cead70, 0x8867b55e9c1d7b19,
  0xb2fa598b8485a523, 0x9bdaa3608a04e017, 0xc55f3bb8a92f4f0f, 0x1cf566d7972ab59f, 0xaece75152a8d7676,
  0xe0404e9b95daa5be, 0xa852572563d10a9a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0xfcdb40a31dbd8aaa, 0x166880dc79b288c5, 0x06fdd599bf83bb8d, 0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf,
  0x0000013046e3ee14,
};

// m48a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m48_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f843, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a704339cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x7fccaecc59dd3e25,
  0xb7f61000e02926fd, 0x7242ac0e76e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1779d7c00, 0x24542196869b4432,
  0xdbb21ffd01cf09b0, 0xbe69cc161bcaf212, 0x51f54635876760ff, 0x883cf0b00839d835, 0xf097e21b09117dc6,
  0xd51dcdae75f7e8b2, 0xaf2b01bb599f924c, 0xf51f06cc1f75ea3c, 0x8b34eb4239015cae, 0xeb6006be8c2cb114,
  0x8f467a9cead70c17, 0x7b55e9c1d7b19bb1, 0xa598b8485a523886, 0xaa3608a04e017b2f, 0xf3bb8a92f4f0f9bd,
  0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e9b95daa5beaec, 0x2572563d10a9ae04, 0x6bae7b55a22bca85,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0x9357079b288c5fcd, 0x7f06fd0468b2ce8b,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x05594e4053c95fb9, 0x0000000000000040,
};

/*
 * m48p_autobaud_uart0_noled_pr      m48pa_autobaud_uart0_noled        m48pa_autobaud_uart0_noled_pr
 * m88_autobaud_uart0_noled          m88_autobaud_uart0_noled_pr       m88a_autobaud_uart0_noled
 * m88a_autobaud_uart0_noled_pr      m88p_autobaud_uart0_noled         m88p_autobaud_uart0_noled_pr
 * m88pa_autobaud_uart0_noled        m88pa_autobaud_uart0_noled_pr     a6612c_autobaud_uart0_noled
 * a6612c_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m48p_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x84a5f7fb30be7cf5, 0xde02e8855022054f, 0xed51c2bf5526bee6, 0x1f9e3be5921c368d, 0xf27a38e55819a4f5,
  0x78cce62c05bdd30d, 0xcb1823af173b3da4, 0xc0c4ad7b0aca2771, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x9c376ca2317f36c4, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0x102482ebcf257ee6, 0x0000000000000071,
};

/*
 * m48pa_autobaud_uart0_noled_pr_u4  m88_autobaud_uart0_noled_pr_u4    m88a_autobaud_uart0_noled_pr_u4
 * m88p_autobaud_uart0_noled_pr_u4   m88pa_autobaud_uart0_noled_pr_u4  a6612c_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb45d8b562, 0x7777774b1ea6c46b, 0xb1ae5ecdaa87be3f, 0xb6c66efdddd9eef0, 0x8c9ddfa706f0ab83,
  0xa3fced19fdbf304f, 0xba2154088153e12e, 0x70afd549afb9b780, 0x0ef9610f0da37b54, 0x8e39560682fd47e8,
  0x1cc580b2ca67bed6, 0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x81895af60e3e0796, 0x4180ef5af39c2cdf,
  0x794d8ce16f37807d, 0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0xb83cd94462fe6d89, 0x2076d0d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x40e27cf257ee6866, 0x0000000000046193,
};

// m48pa_autobaud_uart0_noled_pr_ee
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbbbd8bf82, 0xf7777774b149f412, 0x8bc29e98db3f7b0c, 0x6c663c2febf7777f, 0xdd5c62448fc1b066,
  0xced19fc09304f8c9, 0x2a81102a7c2452ff, 0xfaa935f736f01744, 0xa3f921b46f6a8e15, 0x37fd4795ce307fb5,
  0xfe2b403d47c1b306, 0x0b2c4522cd3ad080, 0x241d63399801afa3, 0x76e811d4b39d5a5f, 0xd133daad743af006,
  0x65c3918b848427d1, 0xb5ec1d5132ffc02f, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xb288c5fcdb1248ab, 0xdb43458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0xe792bf734332c3a4, 0x0000001883e9c713,
};

// m48pa_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ee_u4[] = {
  0x8ddddddda2446f43, 0x7777774b149f0675, 0x7b204878f7afb417, 0xeda9f0bfafdd791d, 0xd69df6a99eca8666,
  0x43f9fb75304f8c9d, 0x5022054f84b027fa, 0x5526bee6de02e885, 0x60a4368ded51c2bf, 0xbfa8f2bea20ff6b4,
  0x8ac27fa8f83660d6, 0xcb1148b34eb4203f, 0x8743ee66006be8c2, 0x84547cf1cead2f2f, 0xc9ed56ba1d7a1a9d,
  0x5b2e62e12157f47a, 0x34a8d8232ffc02f6, 0xf81895af60e2e895, 0xd4180ef5af39c2cd, 0x9794d8ce16f37807,
  0xe718de33a2057553, 0x92455bd8aaa2d2c2, 0xab83cd94462fe6d8, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xaf7117cf257ee686,
  0x000000000004d4ed,
};

// m48pa_autobaud_uart0_noled_pr_ce
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ce[] = {
  0xc6eeeeeeef62ff41, 0xddddddd2c7a9d8fa, 0x83e625c6b4243568, 0x364f1dfa5dddd533, 0xf193bb42fe9b4b31,
  0xa2ff9da33ff3a609, 0x2e8855022054f848, 0x1c2bf5526bee6de0, 0xa77fd60fc368ded5, 0x7de9bfcf2f2e0e1e,
  0x2c05d64c273b9b5f, 0xcab03d67a8e4f4f7, 0x587316028f9d2471, 0xccf1d7a3e76afe8f, 0x96b70fb33ca807fe,
  0xdf81895af60e3e07, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755, 0x12431dbd8aaa2d2c,
  0xb93571b288c5fcdb, 0x663c81db43458f38, 0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3, 0x7d7713e792bf7343,
  0x00000000000b3f0a,
};

// m48pa_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ce_u4[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ffa43f9fcad304f, 0xe8855022054f848a, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0x8d1079e5e5d691fc,
  0xa3e12fc4361222fb, 0x33c5dcdaeff3107e, 0x3d4727a7b9633f59, 0x147ce9238e5581eb, 0x1f3b57f47ac398b0,
  0x99e5403ff6678ebd, 0xd7b071f03cb5b87d, 0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0x94462fe6d89218ed, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000002375c927117,
};

// m48pa_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd41447032, 0xeeeee96021768b58, 0x08285a09c97560ee, 0xc5e2ffb3f746d82f, 0xb11cec9c9cbe99a5,
  0xfcf98fcc13e32775, 0x1102a7c2496bfd21, 0x935f736f017442a8, 0xee1b46f6a8e15faa, 0xe5d691829dff5471,
  0x9dcdaecf9d67f9e5, 0xd280ddacac1f2613, 0x8f83660f22fa8f2b, 0xcd3ad08e40567afa, 0xd801afa30b2c4522,
  0x51f3c73ab5c4befa, 0xd57a7075e86a7611, 0xe62e12157f47ac9e, 0x46c11409c02f65b2, 0x6256bd9d3d44a9a5,
  0x603bd6bce70b37e0, 0x5363385bcde01f50, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x1e6ca2317f36c490,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0x0886488be792bf73, 0x0000000000000002,
};

// m48pa_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e173e, 0xdddddd2c66b74eac, 0x791fa634e276e4ed, 0x6a2f85fa5ddc7682, 0x3ed00bd644f8371c,
  0x3cfdadcc13e32777, 0x88153e124dbff7cd, 0x9afb9b780ba21540, 0xd0da37b5470afd54, 0xe5e771cae2faa3f9,
  0x361222fb8d1079e5, 0xe8fa927ea3e12fc4, 0xd6e6c7c99e2ee6d7, 0x07917d4795e9406e, 0x47202b3d7d47c1b3,
  0xd185962291669d68, 0x9d5ae25f7d6c00d7, 0x3af4353b08a8f9e3, 0x0abfa3d64f6abd38, 0x04e017b2d9731709,
  0xce9ea254d2a3608a, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb, 0x440aeaa72f29b19c, 0x5545a585ce31bc67,
  0x18bf9b624863b7b1, 0x58df1726ae0f3651, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73, 0x43c899e07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0020889969d6a9e4,
};

/*
 * m48p_autobaud_uart0_lednop_pr     m48pa_autobaud_uart0_lednop       m48pa_autobaud_uart0_lednop_pr
 * m88_autobaud_uart0_lednop         m88_autobaud_uart0_lednop_pr      m88a_autobaud_uart0_lednop
 * m88a_autobaud_uart0_lednop_pr     m88p_autobaud_uart0_lednop        m88p_autobaud_uart0_lednop_pr
 * m88pa_autobaud_uart0_lednop       m88pa_autobaud_uart0_lednop_pr    a6612c_autobaud_uart0_lednop
 * a6612c_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m48p_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x3e12eebfd985f3f1, 0x9b780ba215408815, 0x37b5470afd549afb, 0xd47278ef964870da, 0x37f9e8e395606693,
  0xa3905398b016f74c, 0x8e58c11d78b9d838, 0xf81895af6158a0fb, 0x0ef5af3c0809c2cd, 0x29d002de6f2dd418,
  0x5a7017be54dea539, 0x18de33a204751408, 0x386ed94462fe6da7, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x204905d79e4afdcd, 0x00000000000000e2,
};

/*
 * m48pa_autobaud_uart0_lednop_pr_u4 m88_autobaud_uart0_lednop_pr_u4   m88a_autobaud_uart0_lednop_pr_u4
 * m88p_autobaud_uart0_lednop_pr_u4  m88pa_autobaud_uart0_lednop_pr_u4
 * a6612c_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_u4[] = {
  0x377777768bb128ae, 0xeeeeee963d4f8fd6, 0x178b793568034b8e, 0x8c623c1f7775b074, 0xc64ee9a58e364c48,
  0x4aff3b467e449827, 0x2e8855022054f84b, 0x1c2bf5526bee6de0, 0xe3be5921c368ded5, 0x238e55819a4f51c9,
  0xa731602dee987ce9, 0x0475e2e766be4720, 0x2b5ec2b07dee3963, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x37c5c9ab83cd9446, 0xa9d598f2076d0d16,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x008c35594e27cf25,
};

// m48pa_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ee[] = {
  0xd6377777777b1762, 0xbddddddd2c527cad, 0xf168261550c69ed0, 0xc5f63f85fd7eeeef, 0xeed33467f4d1d9fb,
  0xe768cfefb9827c64, 0x154088153e1253df, 0xfd549afb9b780ba2, 0xd1fc90da37b5470a, 0x1bfea3cacf583fda,
  0x7f15f51ea3e0d983, 0x85962291669d6840, 0x0a0eb19ccc00d7d1, 0x3b5ac8ebf9cead2e, 0x8fb9ed56ba1d7803,
  0x65c3918b848421d1, 0x6bd83a1f72ffc02f, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x8f38b93571b288c5, 0x3f75663c81db4345, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x310754e713e792bf, 0x0000000000000000,
};

// m48pa_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x8ddddddda2447032, 0x7777774b149f3f75, 0xf066c802fa8bb647, 0x5d93e17f5fbaf23a, 0xad88e72c14e542da,
  0x87f3f15a609f193b, 0xa0440a9f096fbff4, 0xaa4d7dcdbc05d10a, 0xc1486d1bdaa3857e, 0x7f51e57dd41fed68,
  0x15edff51f06cc1ad, 0x962291669d68407f, 0x0e87dccc00d7d185, 0x0df464f1cead2fa5, 0x73daad743af4353b,
  0xd97317090967a348, 0xe546c1197fe017b2, 0x81895af60e2c7d99, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa2317f36dce455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000026a75d5b88be,
};

// m48pa_autobaud_uart0_lednop_pr_ce
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef621391, 0xddddddd2c7a9bd3a, 0x07b1f98baf6434d8, 0xa4829bdb7bbbaa67, 0xf8c9dd083c8bd7e4,
  0x95bfced19f387304, 0x17442a81102a7c24, 0x8e15faa935f736f0, 0x43bfeb07e1b46f6a, 0xb3a397e797970724,
  0x9602eb26139dcdaf, 0xe5581eb3d47e927b, 0x43398b0153111638, 0x99e3af47cecb3d1a, 0x2d6e416691500ffd,
  0xbf0312b5ec82b40f, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb288c5fcdb73863b, 0xdb43458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c, 0xe792bf734332c3a4,
  0x0000059f86c7f713,
};

// m48pa_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff487f3f6ea609f, 0xd10aa0440a9f0960, 0x857eaa4d7dcdbc05, 0x717d72486d1bdaa3, 0x3441e797975a4a95,
  0x8f84bf10d8488bee, 0x9e2ee6d7adf801fa, 0xea3f493dcb19fac9, 0xa9888b1c72ac0f59, 0xe7659e8d219cc580,
  0x48a807feccf1d7a3, 0xf6415a0796b720b3, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x5c9ab83cd94462fe, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x75daf7117cf257ee,
  0x0000000000000023,
};

// m48pa_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeeeea0a22a20, 0x777774b010bae3ac, 0x68a1015b977b1c77, 0x8662ffb3f746d82f, 0x7b16a8171abc8989,
  0xfe7ffe4c13e32774, 0x1102a7c25d3ffe90, 0x935f736f017442a8, 0xee1b46f6a8e15faa, 0xe5d6932b1dff5471,
  0x9dcdae951723f9e5, 0x13c0ddacac1f2613, 0x1f06cc1e45f51e56, 0x9a75a11c80ae44f5, 0xb0035f4616588a45,
  0xd193c73ab5c695f5, 0xaaf4e0ebd0d4ec37, 0x317090967a34873d, 0x3608a04e017b2d97, 0x256bd9d3c3eccf2a,
  0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x8bf9b6e70c76f62a,
  0xb579726ae0f36511, 0x53ab31e40fca1a2c, 0x4cf0271a50c2a73f, 0x7a615c9f80f9a1e4, 0x252d9f0271964b86,
  0x5f3c95fb9a19961d, 0x000000010447adc4,
};

// m48pa_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e1bc1, 0xdddddd2c66b091ac, 0x74ef23416c4ec0bd, 0x48ff85fa5ddc7682, 0x3ae9ae02bbb47770,
  0x9e7daee609f193ba, 0x22054f849fe7fbe6, 0x26bee6de02e88550, 0x74368ded51c2bf55, 0x7979d93ab8bea8fe,
  0x0d8488bee3441e79, 0x8224c03fa8f84bf1, 0x6b7363e4cf17736b, 0x07917d479584f037, 0x47202b913d47c1b3,
  0xd185962291669d68, 0xcead71a57d6c00d7, 0x3af4353b0df464f1, 0x259e8d21cf6abd38, 0x13805ecb65cc5c24,
  0x74f0fb33ca8d8228, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xf0575aa792bf7343, 0x0000000000008226,
};

// m48pa_autobaud_uart0_dual
static const uint64_t ur_m48p_autobaud_uart0_dual[] = {
  0x61fdddddddd44511, 0x2ddddddd43950e27, 0x5d91db83d38056b6, 0xb13b229c6477775a, 0xf8c92b77257ccfb4,
  0xc459001290ce5304, 0x061430657581b695, 0xccb62ed4ee9f12e2, 0xdb090e702eb3143f, 0x4855819459bd47f9,
  0x87c0aff31a04508e, 0xdc5eef8bbfa7c01b, 0x3150865a13722195, 0xdba56ffa039e1326, 0xb30bcc161bcaf212,
  0x55022054f84a3dff, 0xf5526bee6de02e88, 0x5abfc368ded51c2b, 0xab03487ea3dc33be, 0x017f0e65ae4d471c,
  0x916ec27d1a0b398b, 0x4ac349b8e58c11d7, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xe8016f37980ef5af,
  0x953e02d4e48a5abc, 0xbc67440cbfc50216, 0x79b288c5fcdb4e31, 0x615c9f9fd8b93570, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000032793b7445f,
};

// m48pa_autobaud_uart0_dual_pr
static const uint64_t ur_m48p_autobaud_uart0_dual_pr[] = {
  0xddddddd41e7cbd5b, 0xdddd43950d0561fd, 0x67648ed2669ceddd, 0x7b40bdddd083e9d8, 0xcbbbf719f7682af8,
  0x48e8fcc13e32619d, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x0c0934aefccbfc0a, 0xa59bd47297b060a7,
  0x31a04508e485581b, 0x5deff001b87c0aff, 0xd0d2910caee2f77c, 0xd01cf09a6e8a8432, 0xb0de579096ddd2ff,
  0x2a7c24fe7f9da260, 0xf736f017442a8110, 0xb46f6a8e15faa935, 0x3fa8f914ef9626a1, 0xcd38bdf1c72ac0c4,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x1013859bf0312b5e,
  0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xc9ab83cd94462fe6,
  0x3c819a7c68b2d5e5, 0xe34a1854e7ea7566, 0x93f01f343c899e04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x000b82a0475aa792,
};

// m48pa_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_u4[] = {
  0xeeeeeeed173e43ee, 0xeeeeea1ca866470f, 0x8ea3b8e282b4ed6e, 0xa73b2817bbbad2ec, 0x6ee55df91210da79,
  0x04a4747e609f1925, 0x195d606da5711640, 0x053ba7c4b881850c, 0x73817598a1fe65fe, 0x0ca2cdea3fced848,
  0x7f98d022847242ac, 0x7c5df63e00dc3e05, 0x32d09b910caee2f7, 0xffd01cf099318a84, 0x60b0de579096ddd2,
  0x102a7c24fe7f9da2, 0x35f736f017442a81, 0xe1b46f6a8e15faa9, 0xd21fa8e229df2d5f, 0xe1cc98f491c72ac0,
  0xb35f237b4731602f, 0x7dee39630475e45b, 0x3f8abe77715252b0, 0x0270b37e06256bd9, 0xcb750603bd6bcf02,
  0x37a94e4a7400b79b, 0x1d4502169c05ef95, 0xbf9b69c6378ce881, 0xdf1726ae0f365118, 0x3ab31e40cd3e3458,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x017052cdd6a9e4af,
};

// m48p_autobaud_uart0_dual_pr_ee_u4 m48pa_autobaud_uart0_dual_pr_ee   m48pa_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_ee[] = {
  0x7f7777776890cf68, 0xbbbbbba87104b9d8, 0xa75179579cedae3b, 0x47d9f02f5c7baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0x581b695c45900129, 0xe9f12e2061430657, 0xff26c41f997071ce, 0xf37a8e1a361a68e0,
  0x6811423921560763, 0xed07006e1f02bfcc, 0xc1510caee2f77c5d, 0x73c2690f150865a0, 0xf2bc84b6f63fff40,
  0x8486b7fa43f30586, 0xde02e8855022054f, 0xed51c2bf5526bee6, 0xf20ff6b47d44368d, 0x7c1b306be7a8f2b7,
  0xa75a101fc5701bd4, 0x0035f4616588a459, 0xe75697dbe3a13f33, 0x875ec66ec98a3114, 0x90ad6475fe7b55ae,
  0x2ffc02f65f4b3170, 0x9471627f58a8d823, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x7f36dce455bd8aaa, 0xd1637c371e6ca231, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000a549d3d70a4,
};

// m48pa_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_ce[] = {
  0xfdddddddde7cd0e3, 0xdddddd43950e3561, 0x9cb6534edfbd1d7d, 0x6588ed6eeef4e476, 0x72ae36829af9129f,
  0xa4720f304f8c9fa7, 0x5d606da571164004, 0x3ba7c4b881850c19, 0x825a982d7e65fe05, 0x4dcdea38d6d813a3,
  0x98d022847242ac0f, 0x5df30c00dc3e057f, 0xa0bed10caee2f77c, 0x4073c260f7150865, 0xc3795e425b7d37ff,
  0x53e12297fe768982, 0xb9b780ba21540881, 0xa37b5470afd549af, 0x5e7663ceffabdf0d, 0x7736ba5a0b5f9e5e,
  0x37e7b9602d4b984e, 0xf91c72ac0ea5fa8e, 0xac8ebf9cc580a0a0, 0x07feccf1d78033b5, 0x3a0796b7087486a8,
  0xc9fc55f3bb8a92a9, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0x9357079b288c5fcd, 0x1e40cd3e3458f38b, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0x4e3ad53c95fb9a19, 0x0000000000029e4f,
};

// m48pa_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_ce_u4[] = {
  0xfeeeeeeed121a5fb, 0xdddddd438a6e8bf0, 0x4a2af4fbfb5a16dd, 0x2abeb410f7774c89, 0x1bb94b235d70f8ab,
  0x025219eb9827c64c, 0x0caeb036d2b88b20, 0xe39dd3e25c40c286, 0x4704db9a76ff32e0, 0x616a6f51c66f61bb,
  0xfcc6811423921560, 0xe2ef672006e1f02b, 0x2d02ea88657717bb, 0xfa039e132568a843, 0x161bcaf212db85af,
  0x153e12d9dfe90fcc, 0xfb9b780ba2154088, 0xda37b5470afd549a, 0x00c24e96e2faa010, 0xb09117dc6883cf0b,
  0x293f5ff51f097e21, 0x58cfa9733c5dcdae, 0xab03a97ea38df9ee, 0xe7316028283e471c, 0x3c75e00ced6b23af,
  0xadc21d21aa01ffb3, 0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xedec555169aba718, 0xe6ca2317f36dce18, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x34170a4f257ee686,
  0x000000000002b5ed,
};

// m48pa_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1fdddddddd43573e, 0xeeeeeeea1cf1e4de, 0x1ced9beec75f47e6, 0x03eaafc5e8cf747b, 0x4b8beec2bdeb2bdc,
  0x5c87e609f192d3ae, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x1a667cfccb838e77, 0xbd47fd7d81ad9c26,
  0x04508e485581c009, 0xa4401b87c0aff31a, 0x488657717bbe2ef0, 0xe136ce8a8432d027, 0xaf212dbc00ffa039,
  0x20d1fe90fcc161bc, 0x80ba2154088153e1, 0x5470afd549afb9b7, 0x8effaa328b0da37b, 0x1bc3fcf0b00c2515,
  0x56649309cee6d7ec, 0xf27a8f2b8f606ed6, 0x405663fd47c1b307, 0x0b2c4522cd3ad08e, 0xb5c6dffad801afa3,
  0xf633764c5188a73a, 0xac8ebfcf6abd383a, 0x805ecbe9662e1215, 0x3c27f58a8d822813, 0xb27f157ceee2a4bd,
  0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0x6dce18edec555169,
  0x79c371e6ca2317f3, 0xfbab337f07771a2c, 0x271964b867a615c9, 0xb9a19961d252d9f0, 0x622163fdc293c95f,
  0x0000000000000000,
};

// m48pa_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed1369fa812, 0xdddd439855f5f0fe, 0xee135eaf7ab8bddd, 0xa294edd2d59f6d3d, 0xdd9fda3337609932,
  0xc64fdab907d7e0e5, 0x59001291c7939827, 0x1430657581b695c4, 0x57662cee9f12e206, 0x5251c19ca6e8ffe6,
  0xb0367c9bd47643d8, 0x15fe63408a11c90a, 0x77c5df1f700370f8, 0x0cb4376910caee2f, 0x7fd01cf09ba7e2a1,
  0xc161bcaf212dbb3e, 0x0a9f0921f7fbe69c, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x83863f717d519438,
  0x9117dc6883cf0b00, 0xd507f51f097e21b0, 0xde4933c5dcdaeea8, 0x4f51e571ec0ddadc, 0x0acc7fa8f83660fe,
  0x6588a459a75a11c8, 0xb8dbff5b0035f461, 0xc66ec98a3114e756, 0x91d7f9ed57a7075e, 0x0bd97d2cc5c242b5,
  0x84feb151b0450270, 0x4fe2af9ddc5497a7, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35, 0x9ab83cd94462fe6d, 0xfe0dfa08d1637c5c, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xf6e4053c95fb9a19,
  0x0000000000fd5bda,
};

/*
 * m48p_u1x8_uart0_noled_pr          m48pa_u1x8_uart0_noled            m48pa_u1x8_uart0_noled_pr
 * m88_u1x8_uart0_noled              m88_u1x8_uart0_noled_pr           m88a_u1x8_uart0_noled
 * m88a_u1x8_uart0_noled_pr          m88p_u1x8_uart0_noled             m88p_u1x8_uart0_noled_pr
 * m88pa_u1x8_uart0_noled            m88pa_u1x8_uart0_noled_pr         a6612c_u1x8_uart0_noled
 * a6612c_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m48p_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0x93fd985f3e0a4c13, 0xdce6fed100b7b02f, 0xa0bf51fa03be5843, 0xb299efb5a38e5581, 0x76afe8f58731602c,
  0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338,
  0xaa8b4b0b9c6378ce, 0x18bf9b6249156f62, 0xa3f8d163ce1bb651, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0xe792bf734332c3a4, 0x00000007c869c175,
};

/*
 * m48pa_u1x8_uart0_noled_pr_u4      m88_u1x8_uart0_noled_pr_u4        m88a_u1x8_uart0_noled_pr_u4
 * m88p_u1x8_uart0_noled_pr_u4       m88pa_u1x8_uart0_noled_pr_u4      a6612c_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_u4[] = {
  0xdddddb951762ff41, 0x77774b161448b58d, 0x9b07f0be3faebf77, 0xc9ebf77746105fcc, 0x7685fd3f1e624bdb,
  0x9da33e0a4c13e327, 0xdfda2016f605f27f, 0xea3f4077cb087b9c, 0x3df6b471cab03417, 0xfd1eb0e62c059653,
  0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79,
  0x6961738c6f19d102, 0xf36c4922adec5551, 0xe2e4d5c1e6ca2317, 0xeacc7903b6868b1b, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x7c98a9c713e792bf,
};

// m48pa_u1x8_uart0_noled_pr_ee
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f621391, 0xbbbbba58e177a758, 0xf63f3175ec869b1b, 0xbdb6c39a0b76fce6, 0xd083c8bd7e4a4829,
  0xed19f387304f8c9d, 0xfda2016f60495bfc, 0xd441fed68c14b9cd, 0x1f06cc1ad7f51e57, 0x69d68407f1584ff5,
  0xc00d7d1859622916, 0x39d5a5e5f0e87dcc, 0x43af4353b08a8f9e, 0x242afe8f593daad7, 0x65ff805ecb65cc5c,
  0xec1c5d12a6951b04, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x88c5fcdb1248ab7b, 0x43458f38b93571b2, 0xc2b93f75663c81db, 0xb2c944e32c970cf4, 0x92bf734332c3a4a5,
  0x000029f2c7f713e7,
};

// m48pa_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777776e54488d562, 0xeeeee96385de9d63, 0xb1f98baf3634adee, 0xedb61cd05bb7e737, 0x322d3a82d862414d,
  0x3f9f387304f8c9dd, 0xb4402dec092b7fa4, 0x883fdad1829739bf, 0xe0d9835afea3cafa, 0x3ad080fe2b09fea3,
  0x01afa30b2c4522cd, 0x3ab4bcbe1d0fb998, 0x75e86a761151f3c7, 0x855fd1eb27b55ae8, 0xbff00bd96cb98b84,
  0x838ba254d2a3608c, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce,
  0x18bf9b6249156f62, 0x58df1726ae0f3651, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000275d79f445f3c,
};

// m48pa_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbaff6617cfc7b, 0xaf49739bfb4402de, 0xbf9e5e5e124c4eff, 0x33984e7736bc872e, 0x19fa8e21e7b9602e,
  0x02dc313f1c72ac0f, 0x173b482a3c667316, 0x83a74f71cb19e3af, 0xbce70b37e06256bd, 0x0b79bcb750603bd6,
  0x4deabaa9cbca6c67, 0xde33a205cd98c10b, 0x6ed94462fe6da718, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x4905d79e4afdcd0c, 0x00000000000016ea,
};

// m48pa_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e54488aaac, 0xeeeee963d4c6bd63, 0xb697be6f0bf417ee, 0xb88db75fbbba1c5a, 0x193bbe451da09138,
  0xbff487f3ee4e609f, 0xe737f68805bd812f, 0xe5d69271b8beab5e, 0x361222fb8d1079e5, 0xf4fd8ffea3e12fc4,
  0x9633f19ccf17736b, 0x2ac0f19fa8f52e7b, 0x7398b017a04871c7, 0x678ebc5ced44a350, 0x256bd83afc3dc72c,
  0x03bd6bce70b37e06, 0x4d894fdf385bcde6, 0x0840c6085a72460d, 0xc5fcdb4e31bc6744, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x001baf3e0a22f9e4,
};

// m48pa_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0xeeeeee962b4f95ba, 0xf4130aa8634f685e, 0xfb1eb90d5b7767f1, 0x699a33fa68ecfde2,
  0xb467f7dcc13e3277, 0xf68805bd8129eff3, 0x70ceffaa3eeae737, 0x7d34ff3f3cbcb838, 0xdacac83f309cee6d,
  0x307bdfa8f2b0500d, 0x08e40572fbd47c1b, 0xfa30b2c4522cd3ad, 0x39d5ae324fad801a, 0x83af00676e811d4b,
  0x2109f4744cf6abd3, 0x02700bd970e462e1, 0x37e06256bd864a25, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0xd539c4f9e4afdcd0, 0x0000000000000534,
};

// m48pa_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddb951222a20, 0xeeeee96021706758, 0x0f59053647f4d2ee, 0x5cdd8bfecfddf4b5, 0xe8f62d51c635040f,
  0x43f9fb1f9827c64e, 0xf68805bd8150fffa, 0x82dc5f546516e737, 0xfb8d1079e5e5d691, 0xfea3e12fc4361222,
  0xfccf17736ba545c8, 0x479582806ed6e6e0, 0xc43ea3e0d983defd, 0x1148b34eb4239015, 0x4c7eb6006be8c2cb,
  0x3b57f4752ce756b8, 0xa267b55e9c1d7803, 0xcb87231709087da3, 0xb5ec323a6813805e, 0xdeb5e73859bf0312,
  0x63385bcde5ba8301, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0xd5c1e6ca2317f36d, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x9a088be792bf7343, 0x00000000000009f8,
};

/*
 * m48p_u1x8_uart0_lednop_pr         m48pa_u1x8_uart0_lednop           m48pa_u1x8_uart0_lednop_pr
 * m88_u1x8_uart0_lednop             m88_u1x8_uart0_lednop_pr          m88a_u1x8_uart0_lednop
 * m88a_u1x8_uart0_lednop_pr         m88p_u1x8_uart0_lednop            m88p_u1x8_uart0_lednop_pr
 * m88pa_u1x8_uart0_lednop           m88pa_u1x8_uart0_lednop_pr        a6612c_u1x8_uart0_lednop
 * a6612c_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m48p_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0xddfecc2f9f402609, 0xee737f68805bd814, 0xd05fa8f6b1df2c21, 0xb29be483f1c72ac0, 0xd967a3486731602c,
  0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xc79c376ca2317f36, 0x7eeacc790347f1a2, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x1f20a9c2ebcf257e,
};

/*
 * m48pa_u1x8_uart0_lednop_pr_u4     m88_u1x8_uart0_lednop_pr_u4       m88a_u1x8_uart0_lednop_pr_u4
 * m88p_u1x8_uart0_lednop_pr_u4      m88pa_u1x8_uart0_lednop_pr_u4     a6612c_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddb9517621391, 0xbbbba58b0a50958d, 0x48a64d0e7a5d19bb, 0xfe2f56dddd18417f, 0x4ee841e4417f251a,
  0xff3b467d009827c6, 0x39bfb4402dec0a6e, 0x2fd47b58ef9610f7, 0x4df241f8e3956068, 0xb3d1a43398b01659,
  0x00ffd9823af47cec, 0xad03cb3db4166915, 0x4e166fc0c4ad7b20, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0xae0f365118bf9b6e, 0xc81db43458df1726, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xc5b89f3c95fb9a19,
  0x000000000003e4c9,
};

// m48pa_u1x8_uart0_lednop_pr_ee
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb7b15a91, 0xeeeeee96385f0aac, 0xdde9d8f180cf717e, 0xd05c5873416edf9c, 0xbad17a7545976c82,
  0x9da33e50e609f193, 0xbfb4402dec0a43ff, 0xfba83fdad1829739, 0xa3e0d9835afea3ca, 0xcd3ad080fe2bdbfe,
  0x9801afa30b2c4522, 0xe39d5a5f4a1d0fb9, 0xe875e86a761be8c9, 0x1212cf4690e7b55a, 0x32ffc02f65b2e62e,
  0xec1c58fb33ca8d82, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df,
  0x6db9c8ab7b15545a, 0x9c5c9ab8d94462fe, 0xbab31e40eda1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0xf870a389f3c95fb9, 0x0000000000000014,
};

// m48pa_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777776e544889202, 0x777774b1c2f85563, 0xef4ec78cc5fa6ef7, 0x82e2c39a0b76fce6, 0xd666d8ac8a0a6416,
  0x43f9f287304f8c9d, 0xfb4402dec0a43ffa, 0xba83fdad1829739b, 0x3e0d9835afea3caf, 0xd3ad080fe2bdbfea,
  0x801afa30b2c4522c, 0x39d5a5f4a1d0fb99, 0x875e86a761be8c9e, 0x212cf4690e7b55ae, 0x2ffc02f65b2e62e1,
  0xc1c58fb33ca8d823, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xdb9c8ab7b15545a6, 0xc9ab83cd94462fe6, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x720e5117cf257ee6, 0x000000000000009d,
};

// m48pa_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ce[] = {
  0xeeeedcb507b15a91, 0xdddd2c585200ac6e, 0x3623cdda9ee3bddd, 0x865ef777638d0e13, 0x75a2f4e2b72ef31a,
  0x3b467e034c13e327, 0x7f68805bd8107bff, 0x072443bfeb07ee73, 0x36b8cdeed7e79797, 0x49ee580bac984e77,
  0x58e395607acf51fa, 0xf4690ce62c054c44, 0x3ff6678ebd1f3b2c, 0xd03cb5b9059a4540, 0xe166fc0c4ad7b20a,
  0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd, 0x18edec555169aba7, 0xc1e6ca2317f36dce,
  0x1db434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343c899e04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x6ebaec713e792bf7,
};

// m48pa_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff487f3e70e609f1, 0x737f68805bd81256, 0x5d692a55c5f5c92e, 0x61222fb8d1079e5e, 0xb7e007ea3e12fc43,
  0x2c67eb2678bb9b5e, 0xcab03d67a8fd24f7, 0x86731602a6222c71, 0x33c75e8f9d967a34, 0x5adc82cd22a01ffb,
  0x7e06256bd905681e, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f,
  0x65118bf9b6e70c76, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x000000375d79f445,
};

// m48pa_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0x7777774b15a7f0aa, 0xc7f5e9c2f1a7b42f, 0xc5eb42e4356ddd9f, 0xeed33467f4d1d9fb,
  0xe768cf93a9827c64, 0x6fed100b7b028adf, 0x73e71dff547dd5ce, 0xdafa69fe7e797970, 0x1bb595907e6139dc,
  0x3660f7bf51e56800, 0xad08e4056be7a8f8, 0x1afa30b2c4522cd3, 0x7f39d5ae324fad80, 0xa7075e00cecb3d1d,
  0x848482d18fb9ed57, 0x7409c02f65c3918b, 0xb37e06256bd86450, 0x0603bd6bcf020270, 0x4e4a7400b79bcb75,
  0x82169c05ef9537a9, 0xd38c6f19d1023a31, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0xd539c4f9e4afdcd0, 0x0000000000000534,
};

// m48pa_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0xa1e95b24171efd3d, 0x1043317fd9fbbe96, 0xdd57ccfa0d962b22,
  0xa43f9fff9304f8c9, 0x7f68805bd8174fff, 0x3025c5f546516e73, 0x2fb8d1079e5e5d69, 0x57ea3e12fc436122,
  0x0fccf17736bdc892, 0xd4795ce206ed6e6e, 0x5e49ea3e0d983def, 0xb1148b34eb423901, 0x8f93eb6006be8c2c,
  0x33b60b4621ce756b, 0xe4167b55e9c1d780, 0xb2e1c8c5c2420e28, 0xb5ec326b1204e017, 0xe781013859bf0312,
  0x16f378392b01deb5, 0x2b2a77165397ce80, 0xe881facc6085a786, 0x5118bf9b69c6378c, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000004fc085c45f,
};

// m48p_u1x8_uart0_dual_pr           m48pa_u1x8_uart0_dual             m48pa_u1x8_uart0_dual_pr
static const uint64_t ur_m48p_u1x8_uart0_dual[] = {
  0xfbbbbbaa66a232a8, 0xbbbbba8738ff4ec3, 0x77be44d286ed375b, 0x19189d1c77775683, 0xe3bb91d68d47699f,
  0x80094867c9827c64, 0x1832bac0db4ae22c, 0x176a774f8971030a, 0xfc382fb98a2fe65b, 0xb03eea6f51e3dec1,
  0x15fe63408a11c90a, 0xeef8bbe3900370f8, 0x0865a11922195dc5, 0x8fffa039e135ad15, 0xbcc161bcaf212db9,
  0xa2016f6047affb30, 0x88a77cb57fb9cdfd, 0xd2471cab03487ea3, 0xed1cc580bf873263, 0x8c11d7916ecd7c8d,
  0xddc5494ac1f7b8e5, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0x29d002de6f2dd418, 0x5a7017be54dea539,
  0x18de33a204751408, 0xb83cd94462fe6da7, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x445f3c95fb9a1996, 0x0000000000621d27,
};

// m48pa_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_u4[] = {
  0x777754ca2e7cbd5b, 0x77750e71f0dd87f7, 0x627791015ad8b777, 0x3a38eeee833a1762, 0x2eefdc1ceb417645,
  0x4867c9827c649217, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x04ad33a5fccbfc0a, 0x8f9bd47a95b0fdc7,
  0x31a04508e4855819, 0xbbfa7c01b87c0aff, 0xa098a2195dc5eef8, 0xa039e13465150865, 0x61bcaf212db98fff,
  0x2dec08f5ff3b44c1, 0x77cb135739bfb440, 0xe39560621fd47c8a, 0x98b01541e69c5ef8, 0x3af00676b591d7f3,
  0xb10e90d500ffd982, 0xddc549549d03cb3d, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xca2317f36dce455b, 0xc68b1be2e4d5c1e6, 0x4e7ea75663c819a7,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000002926917bad5,
};

// m48pa_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ee[] = {
  0x7777754cde7cbd5b, 0x777750e02f2d587f, 0xefb4f58abf77ef77, 0x050c1a7bab05199c, 0x77ee02d683d76cf9,
  0xdbb9827c64ae3b97, 0x036d2b88b2002520, 0x3e25c40c2860caeb, 0xf9a87ff32ff029dd, 0xbd478e5b038270ea,
  0x04508e485581dba9, 0xf0c01b87c0aff31a, 0x322195dc5eef8bbe, 0x3c2632a2a10cb420, 0x95e425b7b75ff407,
  0x022ebfe768982c37, 0x738dce6fed100b7b, 0x8fa8f2b32a0ff6b4, 0xc561efd47c1b3069, 0x6588a459a75a101f,
  0x03a0e3330035f461, 0xd9151f4073ab4bf5, 0x7e7b55ae875e534e, 0x2e3e31709089a462, 0x5251d09f97fe017b,
  0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0xc5fcdb739156f62a, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x064298dbad53c95f,
};

// m48pa_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ee_u4[] = {
  0x7777754ca2435032, 0xeeeea1c05fd7787f, 0x8d49c9b16badeeee, 0xbabe1834f7448991, 0x5eda3fddf76157d8,
  0xe729827c64f91b95, 0x81b695c459001291, 0x9f12e20614306575, 0xfcd63ff997071cee, 0x7a8fd5fb0a1f3874,
  0x08a11c90ab038e53, 0x6f80370f815fe634, 0xc88657717bbe2ef6, 0xf099fc8a8432d0fd, 0x579096de397fd01c,
  0x129eff487e60b0de, 0xea2e737f68805bd8, 0x3d4795bf907fb5a3, 0x2b80dea3e0d9835f, 0x2c4522cd3ad080fe,
  0x1d09f99801afa30b, 0x4c5188a73ab4bedf, 0xf3daad743af63376, 0xfa598b84856b23af, 0xc546c1197fe017b2,
  0x7ceee2a4a38b13fa, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0xf365118bf9b6e722, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x38bb852792bf7343, 0x0000000000002b21,
};

// m48pa_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ce[] = {
  0x777754cd41e7ce7c, 0x77750e71f3ad87f7, 0xac3191087a5ab777, 0x88dd6eeeb45f2282, 0x6cdb4f0eb8fcd953,
  0x00899827c64d0bb9, 0x581b695c45900129, 0xe9f12e2061430657, 0xbee6d37f997f814e, 0xb37a8ea7b61958e1,
  0x3408a11c90ab032e, 0x7d6f80370f815fe6, 0x04f4432bb8bddf17, 0x0e784d38c5421968, 0x6f2bc84b6e5d7fe8,
  0xf60552bfced13058, 0xfd5efb9cdfda2016, 0x5bfcf2f2f3b31e77, 0xa97309cee6d79dbb, 0xd4bf51c6fcf72c05,
  0xb014141f238e5581, 0xf00676b591d7f398, 0x0e90d500ffd99e3a, 0x7152552740f2d6e1, 0x06256bd93f8abe77,
  0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x118bf9b6e70c76f6,
  0x2cb579726ae0f365, 0xfa9d598f20669f1a, 0x22678138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0xd6a9e4afdcd0ccb0, 0x000000000d241d15,
};

// m48pa_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeea9944860aac, 0xeeeea1ca871ab0fe, 0x4e5b29a76efdeeee, 0xb2c476b7777a723b, 0xe5f5796444f3824f,
  0x48e41e609f193f4e, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x04b5305afccb838e, 0x9b9bd471adb02747,
  0x31a04508e485581e, 0xbbe61801b87c0aff, 0x417da2195dc5eef8, 0x80e784c1ee2a10cb, 0x86f2bc84b6fa6ffe,
  0xdec08a5ffa43f305, 0x2faa01739bfb4402, 0x883cf0b00c24e96e, 0xf097e21b09117dc6, 0xc5dcdae293f5ff51,
  0x38df9ee58cfa9733, 0x83e471cab03a97ea, 0xd6b23afe73160282, 0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a,
  0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x637c371e6ca2317f, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000d24153970a4f2,
};

// m48pa_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ee_ce[] = {
  0x777754cd41435202, 0x77750e3af40387f7, 0xcea2f2d5b9337777, 0x7dd93a67ba539b15, 0x75b469ef35fbb0b2,
  0x8cc13e324c8dc9c8, 0xb695c45900129111, 0x12e2061430657581, 0x6801f997071cee9f, 0x479dbd85ad9c2b7e,
  0xa11c90ab03dda9bd, 0x80370f815fe63408, 0x8657717bbe2efe6f, 0x314b8a8432d0cac8, 0x425b7ddaffa039e1,
  0xbffd21f982c3795e, 0x739bfb4402dec0ba, 0x0c25158effaa328b, 0xe6d724aca8fcf0b0, 0x606ed656649309ce,
  0xc1b307f27a8f2b8f, 0x3ad08e405663fd47, 0x01afa30b2c4522cd, 0x88a73ab5c6dffad8, 0xbd383af633764c51,
  0x2e1215ac8ebfcf6a, 0x822813805ecbe966, 0xe2a4bd3c27f58a8d, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2317f36dce18edec, 0xdc68b2d5e371e6ca,
  0x0a9cfd4eaccdfc1d, 0xe6879133c09c6943, 0x592e19e985727e03, 0x66587494b67c09c6, 0x05d970a4f257ee68,
  0x0000000000000080,
};

// m48pa_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbaa651369f3202, 0xddd439e3c9bc3fbb, 0xdd8eb8fcd19cdddd, 0x8bd19ee8f639db37, 0xae2fa6b7b807d55f,
  0xf192d3ae434e83eb, 0x2c8009485c87e609, 0x0a1832bac0db4ae2, 0x2bb316774f897103, 0x06b670986999f3f3,
  0x56070026f51ff5f6, 0x02bfcc6811423921, 0xeef8bbc291006e1f, 0x10cb409d22195dc5, 0x03fe80e784db3a2a,
  0x730586f2bc84b6f0, 0x100b7b020d1fef9a, 0xb8bea8ca1dce6fed, 0x3441e7858041c31f, 0x8f84bf10d8488bee,
  0xe2ee6d77546a83fa, 0xb8f606ed6e6f2499, 0xd47c1b307f27a8f2, 0x2cd3ad08e405663f, 0xad801afa30b2c452,
  0xc5188a73ab5c6dff, 0xf6abd383af633764, 0x9662e1215ac8ebfc, 0xa8d822813805ecbe, 0xceee2a4bd3c27f58,
  0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d,
  0x6ca2317f36dce18e, 0x0468b1be2e4d5c1e, 0xa73f53ab337f06fd, 0xe627ff787bde50c2, 0xc3343c899e07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000004002f3e7202,
};

/*
 * m48p_u1x12_uart0_noled_pr         m48pa_u1x12_uart0_noled           m48pa_u1x12_uart0_noled_pr
 * m88_u1x12_uart0_noled             m88_u1x12_uart0_noled_pr          m88a_u1x12_uart0_noled
 * m88a_u1x12_uart0_noled_pr         m88p_u1x12_uart0_noled            m88p_u1x12_uart0_noled_pr
 * m88pa_u1x12_uart0_noled           m88pa_u1x12_uart0_noled_pr        a6612c_u1x12_uart0_noled
 * a6612c_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m48p_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x3fd985f3f38cc13e, 0xff6d4feedd3e125f, 0x4077cb08786d1ba4, 0xb471cab03417ea3f, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xfc0c4ad7b071f03c, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x4922adec55516961, 0x79c376ca2317f36c, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x6866587494b65928, 0x7c87382ebcf257ee,
};

/*
 * m48pa_u1x12_uart0_noled_pr_u4     m88_u1x12_uart0_noled_pr_u4       m88a_u1x12_uart0_noled_pr_u4
 * m88p_u1x12_uart0_noled_pr_u4      m88pa_u1x12_uart0_noled_pr_u4     a6612c_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_u4[] = {
  0xbbb1277517621c3b, 0x7774b0e72792b1bb, 0xf07341623be97777, 0x6fdb777693fa939b, 0x682d3385fe46b42f,
  0xda33f38cc13e3277, 0xa9fddba7c24be7f9, 0xf9610f0da3749fed, 0x39560682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x895af60e3e07967b, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x3cd94462fe6d8924, 0x76d0d1637c5c9ab8, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xe27cf257ee686658,
  0x000000000f93d1c4,
};

// m48pa_u1x12_uart0_noled_pr_ee
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12776f623f3e, 0x77774b0876a6eb1b, 0xec17fa52b7a0cf77, 0x06ce5c4eeb07d9f8, 0x22b0420e9c821210,
  0x19f297304f8c9ddb, 0xfddba7c24e97fced, 0x18290da3749feda9, 0xafea3cafa883fdad, 0xe2b09fea3e0d9835,
  0xb2c4522cd3ad080f, 0xe1d0fb99801afa30, 0x61151f3c73ab4bcb, 0xb27b55ae875e86a7, 0x96cb98b84855fd1e,
  0x4d2a3608cbff00bd, 0x7e06256bd838ba25, 0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54,
  0x249156f62aa8b4b0, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0xf2ee27cf257ee686, 0x00000000000053e0,
};

// m48pa_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ee_u4[] = {
  0x777624eea2444375, 0xeeee9610ed4dd637, 0xd82ff4a0cf717eee, 0x0d9cb89dd60fb3f1, 0x580aa8ad89042420,
  0xe7ca5cc13e327760, 0xeedd3e1274bfe90f, 0xc1486d1ba4ff6d4f, 0x7f51e57d441fed68, 0x1584ff51f06cc1ad,
  0x962291669d68407f, 0x0e87dccc00d7d185, 0x08a8f9e39d5a5e5f, 0x93daad743af4353b, 0xb65cc5c242afe8f5,
  0x6951b0465ff805ec, 0xf0312b5ec1c5d12a, 0xa8301deb5e73859b, 0x2f29b19c2de6f00f, 0xce31bc67440aeaa7,
  0x248ab7b15545a585, 0x57079b288c5fcdb1, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x4fa22f9e4afdcd0c, 0x0000000000013aeb,
};

// m48pa_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebfd985f3f1ee6, 0xba4ff6d4feedd3e1, 0x125ae77fd7a486d1, 0x36bfce90ff9e5e5e, 0xe7b9602e33984e77,
  0x1c72ac0f19fa8f52, 0x3507398b017a0487, 0x72c678ebc5ced44a, 0xe06256bd83afc3dc, 0xde603bd6bce70b37,
  0x60d4d894fdf385bc, 0x7440840c6085a724, 0x288c5fcdb4e31bc6, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0xbaf3c95fb9a19961, 0x0000000002dd4920,
};

// m48pa_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe90fe7e43cc13e32, 0x6d4feedd3e12727f, 0x717d72486d1ba4ff, 0x1a20f3cbcbad23f9, 0x47c25f886c2445f7,
  0x678bb9b5dfe620fd, 0x7a8e4f4f72c67eb2, 0x28f9d2471cab03d6, 0x3e76afe8f5873160, 0x33ca807feccf1d7a,
  0xaf60e3e0796b70fb, 0xf5af39c2cdf81895, 0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x288c5fcdb12431db, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000001bae838e22f,
};

// m48pa_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8ad4e, 0xddddd2c08329bac6, 0x8ee3bcc5a5e8d3dd, 0x33243358dadda118, 0x74c4dc15c68ccdd8,
  0x3b467ce0cc13e327, 0x6a7f76e9f096ceff, 0xf547dd4368dd27fb, 0xdfe79797073f71df, 0x1f984e7736beed26,
  0xd479582806ed6564, 0x5c43ea3e0d983def, 0xb1148b34eb423901, 0x84c7eb6006be8c2c, 0x33b57f4752ce756b,
  0x3a267b55e9c1d780, 0xecb87231709087da, 0x2b5ec323a6813805, 0x1deb5e73859bf031, 0x363385bcde5ba830,
  0x6085a6f55d54e5e5, 0xd38c6f19d102e6cc, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x3e71c4f9e4afdcd0, 0x000000000000014d,
};

// m48pa_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x8e95b24171efd3dd, 0x20867a9284dd2679, 0xbaaf99f41b2c5644,
  0x487f3fff2609f193, 0xd4feedd3e12e9fff, 0xd5194586d1ba4ff6, 0x1e797975a460b717, 0x4bf10d8488bee344,
  0xdcdae951723fa8f8, 0xa01bb5b9b83f33c5, 0xf83660f7bf51e560, 0xd3ad08e405710fa8, 0x801afa30b2c4522c,
  0x1d4b39d5ae131fad, 0x57a7075e00ced5fd, 0xc5c2421f68e899ed, 0x8e9a04e017b2e1c8, 0xce166fc0c4ad7b0c,
  0xf3796ea0c077ad79, 0xd575539794d8ce16, 0x67440b9b3182169b, 0xb288c5fcdb4e31bc, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x000000027e042e22,
};

/*
 * m48p_u1x12_uart0_lednop_pr        m48pa_u1x12_uart0_lednop          m48pa_u1x12_uart0_lednop_pr
 * m88_u1x12_uart0_lednop            m88_u1x12_uart0_lednop_pr         m88a_u1x12_uart0_lednop
 * m88a_u1x12_uart0_lednop_pr        m88p_u1x12_uart0_lednop           m88p_u1x12_uart0_lednop_pr
 * m88pa_u1x12_uart0_lednop          m88pa_u1x12_uart0_lednop_pr       a6612c_u1x12_uart0_lednop
 * a6612c_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m48p_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x5f7fb30be7cf5982, 0x93fdb53fbb74f84a, 0xf6b1df2c21e1b46e, 0x83f1c72ac0d05fa8, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xdf81895af6415a07, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6ca2317f36dce455, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x87494b659289c659, 0x82ebcf257ee68665, 0x00000000000f9024,
};

/*
 * m48pa_u1x12_uart0_lednop_pr_u4    m88_u1x12_uart0_lednop_pr_u4      m88a_u1x12_uart0_lednop_pr_u4
 * m88p_u1x12_uart0_lednop_pr_u4     m88pa_u1x12_uart0_lednop_pr_u4    a6612c_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_u4[] = {
  0xbbb1277517623f3e, 0xeee961ce5e2eb1bb, 0x737f5e4cf76deeee, 0xb9b5bbbb49fd48f2, 0xb64560b53e9cebc6,
  0xed19f3d6609f193b, 0xa9fddba7c252fbfc, 0xf9610f0da3749fed, 0x39560682fd47b58e, 0x8b016594df241f8e,
  0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x4ad7b20ad03cb3db, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x8bf9b6e722adec55, 0x8df1726ae0f36511, 0xea75663c81db4345,
  0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x003e4de6db89f3c9,
};

// m48pa_u1x12_uart0_lednop_pr_ee
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ee[] = {
  0xdddd893bb7b128ae, 0xddddd2c21dad158d, 0x9bc77b6cdde9fbdd, 0x1fb39713bac1f67a, 0x9638b4512256d90f,
  0x33ea7a609f193ba6, 0xfbb74f848baff9da, 0x30521b46e93fdb53, 0x5fd4795f7507fb5a, 0xc57b7fd47c1b306b,
  0x6588a459a75a101f, 0x43a1f7330035f461, 0xc37d193c73ab4be9, 0x1cf6ab5d0ebd0d4e, 0xb65cc5c24259e8d2,
  0x7951b0465ff805ec, 0xe06256bd838b1f66, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x288c5fcdb739156f, 0xb43458f38b93571b, 0x4c2b93f75663c81d, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x00000029f31b713e,
};

// m48pa_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xeeec49dd44889768, 0xeeee9610ed68ac6e, 0xde3bdb67ef619eee, 0xfd9cb89dd60fb3d4, 0x47688f8f62b6c878,
  0x9f53d304f8c9dd37, 0xbb74f848baffa43f, 0x0521b46e93fdb53f, 0xfd4795f7507fb5a3, 0x57b7fd47c1b306b5,
  0x588a459a75a101fc, 0x3a1f7330035f4616, 0x37d193c73ab4be94, 0xcf6ab5d0ebd0d4ec, 0x65cc5c24259e8d21,
  0x951b0465ff805ecb, 0x06256bd838b1f667, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x88c5fcdb739156f6, 0xa2c6f8b9357079b2, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000013aefc0a22f9,
};

// m48pa_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ce[] = {
  0xdd893bb507b128ae, 0x774b0e72a8758ddd, 0xc66cf7a7b64f7777, 0xc6b4dddd489f5e36, 0xe9a58e38bc4882fc,
  0x768cfd4a9827c64e, 0xd4feedd3e1231ffe, 0xffac1f86d1ba4ff6, 0xbb5f9e5e5c1c910e, 0x2eb26139dcdae337,
  0x81eb3d47e927b960, 0x98b0153111638e55, 0x3af47cecb3d1a433, 0xe416691500ffd99e, 0x312b5ec82b40f2d6,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1,
  0x65abcb9357079b28, 0xfa9d598f2076d0d1, 0x22678138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0xc4f9e4afdcd0ccb0, 0x000000000375f085,
};

// m48pa_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ce_u4[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf487f3e52e609f19, 0xb6a7f76e9f093a5f, 0xb8beb924368dd27f, 0x1a20f3cbcbad254a, 0x47c25f886c2445f7,
  0xcf17736bd6fc00fd, 0xf51fa49ee58cfd64, 0x54c4458e395607ac, 0xf3b2cf4690ce62c0, 0xa45403ff6678ebd1,
  0x7b20ad03cb5b9059, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xebad3e88be792bf7, 0x0000000000000006,
};

// m48pa_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c08361558, 0x11d7a70bc69ed0bd, 0xc5eb466b1b5bb423, 0xeed33467f4d1d9fb,
  0xe768cf93a9827c64, 0x6d4feedd3e128adf, 0xfea8fba86d1ba4ff, 0x9afcf2f2e0e3933b, 0x20fcc273b9b5c346,
  0xfd4795cbe0376b2b, 0x15fc9ea3e0d983de, 0xcb1148b34eb42390, 0xb8887eb6006be8c2, 0x033b73c8daf8e756,
  0x466927b55e9c1d78, 0x2f65c3918b8485ac, 0x12b5ec3229a409c0, 0xb5e781013859bf03, 0x579d002de6f301de,
  0x42d2a7c05a9c914b, 0x8c6f19d1032fe630, 0x4d5c6ca2317f36d3, 0x8f2076d0d163ce2e, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x39c4f9e4afdcd0cc, 0x00000000000534d5,
};

// m48pa_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x77624eea2e7cbf3e, 0xddd2c4e24fdd6377, 0x8335a3e9e989dddd, 0x697a9284dd26798e, 0xe22c5707aeda2d45,
  0x79fdda9827c64eec, 0xddba7c2463ffef9a, 0x28b0da3749feda9f, 0xe5e5e76a7ae2faa3, 0xc4361222fb8d1079,
  0x6bb21d257ea3e12f, 0x6ed6e6e0fccf1773, 0xb307bdfa8f2b97c0, 0x6847202bf93d47c1, 0xd7d185962291669d,
  0xf1cead7110fd6c00, 0x383af00676e791b5, 0x090b588cd24f6abd, 0x4813805ecb872317, 0xb37e06256bd86453,
  0xe603bd6bcf020270, 0x392296af3a005bcd, 0x5fcc6085a54f80b5, 0xfe6da718de33a206, 0x7c5c9ab83cd94462,
  0xeacc790334f8d163, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x27e4f8275aa792bf,
};

// m48p_u1x12_uart0_dual_pr          m48pa_u1x12_uart0_dual            m48pa_u1x12_uart0_dual_pr
static const uint64_t ur_m48p_u1x12_uart0_dual[] = {
  0xdddddd58dad44511, 0xddddd438c465de1f, 0x3de4ab8cdd694edd, 0xc4e4e123bbbac843, 0xc9dc95f33e1ec58a,
  0x0094866fcc13e326, 0x832bac0db4ae22c8, 0x76a774f8971030a1, 0xb3814599c9fe65b1, 0x0332a6f51dfcd82f,
  0x5fe63408a11c90ab, 0xef8bbc6b00370f81, 0x865a03e22195dc5e, 0xcffa039e136f7150, 0xe60b0de579096ddf,
  0xeedd3e12ea3fd985, 0x57f86d1ba4ff6d4f, 0xb03487ea3dac77cb, 0x0bf8733dfd0471ca, 0x8b76a968d219cc58,
  0xac905dc72c608ebc, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x79bc1c9580ef5af3, 0x953b8b29cbe7400b,
  0x207eb8a042d3c315, 0x462fe6da718de33a, 0x2c79c5c9ab83cd94, 0xc9fbab31e40fca1a, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x0000621ce445f3c9,
};

// m48pa_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_u4[] = {
  0xeeeac6d5173e43ee, 0xeea1c62253b0feee, 0x9158282b4ed6eeee, 0x41bdddd377415999, 0xefc89086d3cd39d9,
  0xeb39827c64a0972a, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x4b31c3fccbfc0a77, 0x9bd47fddb04ac707,
  0xa04508e485581c06, 0xec7c01b87c0aff31, 0xf222195dc5eef8bb, 0x39e130f9150865a1, 0xbcaf212dbc06ffa0,
  0xf0904fff3b44c161, 0x68dd27fb6a7f76e9, 0x7f51f229df2c4d43, 0x9a717be38e558188, 0xd6475fce62c05507,
  0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x9357079b288c5fcd, 0x8f20669f1a2c6f8b,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x9966eb54f257ee68, 0x00000000000000a4,
};

// m48pa_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ee[] = {
  0xeeeeac6d6f3e43ee, 0xeeea1c6a6cfb0fee, 0x932c30ebed17eeee, 0xdb6f5f765dc4e086, 0x13ddb4f58bf5d8f6,
  0x609f192626e55df9, 0x4ae22c8009480a46, 0x71030a1832bac0db, 0x9ffccbfc0a774f89, 0x9c1d87579c287e6e,
  0x47242ac0f674dea3, 0x0dc3e057f98d0228, 0xcaee2f77c5dfcb40, 0x8f7150865a152910, 0x25b7d9dff4073c26,
  0x7fe768982c3795e4, 0xff6d4feedd3e1228, 0x1fed68e7186d1ba4, 0x3660d31f51e56654, 0xb4203f8ac3dfa8f8,
  0x6be8c2cb1148b34e, 0x5697ea0741c66600, 0xbca69db22a3e80e7, 0x1348c4fcf6ab5d0e, 0xfc02f65c7c62e121,
  0x7ceee2a4a3a13f2f, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0xf365118bf9b6e722, 0xa7c68b1e71726ae0, 0x4c2b93f75663c819, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x000000c853a4e75a,
};

// m48pa_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa2437089, 0xbba871a9d8be1fdd, 0x88b51dadb9dbbbbb, 0xb5b6debeedc18165, 0x5955df5b41d72aff,
  0x9827c64ac1b95e4f, 0x695c459001291d4e, 0x2e2061430657581b, 0xff9f997071cee9f1, 0x7a1fd874f9c2c7e6,
  0x08e4855819c19bd4, 0x01b87c0aff31a045, 0x195dc5eef8bbd2a0, 0xcbee2a10cb412b22, 0x84b6e707fe80e784,
  0xb7fa43f30586f2bc, 0x3fdb53fbb74f84b2, 0x07fb5a3ea21b46e9, 0x0d9835f3d4795bf9, 0xad080fe2b80dea3e,
  0x1afa30b2c4522cd3, 0xab4bedf1d09f9980, 0xaf633764c5188a73, 0x56b23aff3daad743, 0xfe017b2fa598b848,
  0x38b13fac546c1197, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0xb1be1b8f365118bf, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0002b23cdbb85279,
};

// m48pa_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ce[] = {
  0xeeeeac6d6f3e6d3a, 0xeeea1c62338b0fee, 0x3628171ab59f6eee, 0x514adddd34ab047b, 0x5ced9b75bc9873b6,
  0x06019827c64d05b9, 0x581b695c45900129, 0xe9f12e2061430657, 0xa6e68adf997f814e, 0x737a8f95b61bece1,
  0x3408a11c90ab0328, 0xbe0000370f815fe6, 0x1dd22195dc5eef8b, 0x039e13695150865a, 0x1bcaf212db943ffa,
  0x9f097eeff3b44c16, 0x368dd27fb6a7f76e, 0x7979d98f3bfeaf7c, 0x39dcdae9682d7e79, 0x38df9ee580b52e61,
  0x83e471cab03a97ea, 0xd6b23afe73160282, 0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a, 0x7b27f157ceee2a4a,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x2e4d5c1e6ca2317f, 0xcc790334f8d163ce, 0x592e19e985727eea, 0x66587494b67c09c6, 0xce7ceb54f257ee68,
  0x0000000000000e7a,
};

// m48pa_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ce_u4[] = {
  0xbbbab1b5448687e1, 0xddd43998962c3fbb, 0xa8e700ada2fddddd, 0x3eceb6eeec71c9c5, 0x2bdbc126bb47f3ed,
  0x2baf304f8c9a6772, 0x606da571164004a4, 0xa7c4b881850c195d, 0xb5318ffe65c1c73b, 0x9bd47275b04b4700,
  0xa04508e485581c56, 0xd9f001b87c0aff31, 0xa2a2195dc5eef8bb, 0xe784c63e2a10cb40, 0xf2bc84b6f15bfe80,
  0x84982ffa43f30586, 0x46e93fdb53fbb74f, 0x1849d2dc5f54021b, 0x1222fb8d1079e160, 0x27ebfea3e12fc436,
  0x19f52e678bb9b5c5, 0x60752fd471bf3dcb, 0xe62c050507c8e395, 0x8ebc019dad6475fc, 0xb843a435403ff667,
  0x9ddc549549d03cb5, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0xd94462fe6db9c31d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x8ae149e4afdcd0cc, 0x00000000001a49a3,
};

// m48pa_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ee_ce[] = {
  0xddd58dad41431f02, 0x7750e7a50b61fddd, 0x1fad33ed26f77777, 0x7de15c9775d91da5, 0x166c670c295dfdde,
  0xe609f19302ee4a31, 0xb4ae22c8009484e3, 0x971030a1832bac0d, 0x0a4fccb838e774f8, 0x1ed6f615be708013,
  0x847242ac0d36e6f5, 0x00dc3e057f98d022, 0x195dc5eef8bbd522, 0xcc162a10cb437da2, 0x096dd36ffe80e784,
  0xfff487e60b0de579, 0xff6d4feedd3e12a1, 0x77fd5194586d1ba4, 0x6547e785806128ac, 0xb324984e7736b925,
  0x93d4795c7b0376b2, 0x02b31fea3e0d983f, 0x5962291669d68472, 0xae36ffd6c00d7d18, 0xb19bb2628c4539d5,
  0x6475fe7b55e9c1d7, 0x02f65f4b317090ad, 0xe13fac546c11409c, 0x93f8abe7771525e9, 0x20270b37e06256bd,
  0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d, 0xaf1b8f365118bf9b,
  0x75666fe0eee34596, 0x9e04e34a1854e7ea, 0x4c2b93f01f343c89, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4,
  0x0000000800c21b85,
};

// m48pa_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdd58daa26d3f9231, 0xd4390bc1f61fdddd, 0xeb77d7d9b4dddddd, 0x276eabe0868435de, 0xf6b5644fb84027ee,
  0x4055cbff8669d390, 0x004a41662cc13e32, 0xc195d606da571164, 0x98b3ba7c4b881850, 0x63833e4dd67f995d,
  0x314937a8e6b7b098, 0xfe63408a11c90ab0, 0xe2eff3900370f815, 0x2d04b488657717bb, 0xfa039e134728a843,
  0x161bcaf212db8a4f, 0x74f84b4d7fbe69cc, 0xe1b46e93fdb53fbb, 0x020e18fdc5f54650, 0xc2445f71a20f3c2c,
  0xa3541fd47c25f886, 0x737924cf17736bba, 0xf93d4795c7b0376b, 0x202b31fea3e0d983, 0x85962291669d6847,
  0x5ae36ffd6c00d7d1, 0x7b19bb2628c4539d, 0xd6475fe7b55e9c1d, 0xc02f65f4b317090a, 0x9e13fac546c11409,
  0xd93f8abe7771525e, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be,
  0xb6e70c76f62aa8b4, 0x726ae0f365118bf9, 0x9bf837e823458df1, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x69f39014f257ee68, 0x0000000000002001,
};

/*
 * m48p_u2x8_uart0_noled_pr          m48pa_u2x8_uart0_noled            m48pa_u2x8_uart0_noled_pr
 * m88_u2x8_uart0_noled              m88_u2x8_uart0_noled_pr           m88a_u2x8_uart0_noled
 * m88a_u2x8_uart0_noled_pr          m88p_u2x8_uart0_noled             m88p_u2x8_uart0_noled_pr
 * m88pa_u2x8_uart0_noled            m88pa_u2x8_uart0_noled_pr         a6612c_u2x8_uart0_noled
 * a6612c_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m48p_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0xf9fecc2f9f9c6609, 0xed51ca4df6e9f092, 0x1fa03be5843c368d, 0xfb5a38e5581a0bf5, 0x8f58731602cb299e,
  0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb37e06256bd838f8, 0x01f50603bd6bce70, 0x54e5e5363385bcde,
  0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0x163ce1bb65118bf9, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x003e439c175e792b,
};

/*
 * m48pa_u2x8_uart0_noled_pr_u4      m88_u2x8_uart0_noled_pr_u4        m88a_u2x8_uart0_noled_pr_u4
 * m88p_u2x8_uart0_noled_pr_u4       m88pa_u2x8_uart0_noled_pr_u4      a6612c_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_u4[] = {
  0xddddd89517621c3b, 0xbbbba587393c958d, 0xdf839a0b11df4bbb, 0x7b7edbbbb49fd49c, 0xbb41699c2ff235a1,
  0xced19f9c6609f193, 0x3949bedd3e125f3f, 0x077cb08786d1bdaa, 0x471cab03417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x5c1e6ca2317f36c4, 0x903b6868b1be2e4d, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xe2713e792bf73433,
  0x000000000007c9e8,
};

// m48pa_u2x8_uart0_noled_pr_ee
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd896f623f3e, 0xbbbbba5843b53758, 0xc760bfd295bd067b, 0x803672e277583ecf, 0xd915821074e41090,
  0x68cf94b9827c64ee, 0x49bedd3e1274bfe7, 0xd68c1486d1bdaa39, 0x1ad7f51e57d441fe, 0x07f1584ff51f06cc,
  0x185962291669d684, 0xe5f0e87dccc00d7d, 0x53b08a8f9e39d5a5, 0x8f593daad743af43, 0x5ecb65cc5c242afe,
  0x12a6951b0465ff80, 0x59bf0312b5ec1c5d, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae,
  0xdb1248ab7b15545a, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xf0797713e792bf73, 0x0000000000000029,
};

// m48pa_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ee_u4[] = {
  0xbbbbbb12a2444375, 0x777774b0876a6eb1, 0x8ec17fa5067b8bf7, 0x006ce5c4eeb07d9f, 0x02c055456c482121,
  0x7f3e52e609f193bb, 0x4df6e9f093a5ff48, 0xb460a4368ded51ca, 0xd6bfa8f2bea20ff6, 0x3f8ac27fa8f83660,
  0xc2cb1148b34eb420, 0x2f8743ee66006be8, 0x9d84547cf1cead2f, 0x7ac9ed56ba1d7a1a, 0xf65b2e62e12157f4,
  0x9534a8d8232ffc02, 0xcdf81895af60e2e8, 0x07d4180ef5af39c2, 0x539794d8ce16f378, 0xc2e718de33a20575,
  0xd892455bd8aaa2d2, 0xc9ab83cd94462fe6, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x75a7d117cf257ee6, 0x000000000000009d,
};

// m48pa_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775fecc2f9f8f7, 0x68ded51ca4df6e9f, 0x2f092d73bfebd243, 0x3b9b5fe7487fcf2f, 0xa973dcb01719cc27,
  0x438e3956078cfd47, 0x251a839cc580bd02, 0xee39633c75e2e76a, 0x9bf0312b5ec1d7e1, 0xde6f301deb5e7385,
  0x92306a6c4a7ef9c2, 0xe33a2042063042d3, 0xed94462fe6da718d, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x905d79e4afdcd0cc, 0x0000000000016ea4,
};

// m48pa_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff487f3f21e609f1, 0x51ca4df6e9f09393, 0xfcb8beb924368ded, 0xfb8d1079e5e5d691, 0x7ea3e12fc4361222,
  0x5933c5dcdaeff310, 0xeb3d4727a7b9633f, 0xb0147ce9238e5581, 0xbd1f3b57f47ac398, 0x7d99e5403ff6678e,
  0x4ad7b071f03cb5b8, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xcd94462fe6d89218, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x17cf257ee6866587, 0x00000000dd741c71,
};

// m48pa_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ee_ce[] = {
  0x377777625bd8ad4e, 0xeeeeee9604194dd6, 0xc4771de62d2f469e, 0xc199219ac6d6ed08, 0x3ba626e0ae34666e,
  0xf9da33e706609f19, 0x8e526fb74f84b677, 0xeffaa3eea1b46f6a, 0x936ff3cbcb839fb8, 0xb20fcc273b9b5f76,
  0xf7ea3cac140376b2, 0x80ae21f51f06cc1e, 0x16588a459a75a11c, 0xb5c263f5b0035f46, 0xc019dabfa3a9673a,
  0xed1d133daaf4e0eb, 0x02f65c3918b84843, 0x1895af6191d3409c, 0x180ef5af39c2cdf8, 0xf29b19c2de6f2dd4,
  0x663042d37aaeaa72, 0x9b69c6378ce88173, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0xa69f38e27cf257ee,
};

// m48pa_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0xcc74ad920b8f7e9e, 0x210433d49426e933, 0x9dd57ccfa0d962b2,
  0xfa43f9fff9304f8c, 0x1ca4df6e9f0974ff, 0x8bea8ca2c368ded5, 0xa20f3cbcbad2305b, 0x7c25f886c2445f71,
  0xe2ee6d74a8b91fd4, 0xb0500ddadcdc1f99, 0xd47c1b307bdfa8f2, 0x1669d6847202b887, 0xd6c00d7d18596229,
  0xfe8ea59cead7098f, 0xf6abd383af00676a, 0xe462e1210fb4744c, 0x86474d02700bd970, 0xbce70b37e06256bd,
  0x0b79bcb750603bd6, 0x4deabaa9cbca6c67, 0xde33a205cd98c10b, 0x3cd94462fe6da718, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x117cf257ee686658, 0x00000000013f0217,
};

/*
 * m48p_u2x8_uart0_lednop_pr         m48pa_u2x8_uart0_lednop           m48pa_u2x8_uart0_lednop_pr
 * m88_u2x8_uart0_lednop             m88_u2x8_uart0_lednop_pr          m88a_u2x8_uart0_lednop
 * m88a_u2x8_uart0_lednop_pr         m88p_u2x8_uart0_lednop            m88p_u2x8_uart0_lednop_pr
 * m88pa_u2x8_uart0_lednop           m88pa_u2x8_uart0_lednop_pr        a6612c_u2x8_uart0_lednop
 * a6612c_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m48p_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x52fbfd985f3e7acc, 0x37b5472937dba7c2, 0xd47b58ef9610f0da, 0xf241f8e39560682f, 0xd1a43398b016594d,
  0xffd9823af47cecb3, 0x03cb3db416691500, 0x166fc0c4ad7b20ad, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x1bb65118bf9b6e72, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x124175e792bf7343, 0x00000000000007c8,
};

/*
 * m48pa_u2x8_uart0_lednop_pr_u4     m88_u2x8_uart0_lednop_pr_u4       m88a_u2x8_uart0_lednop_pr_u4
 * m88p_u2x8_uart0_lednop_pr_u4      m88pa_u2x8_uart0_lednop_pr_u4     a6612c_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_u4[] = {
  0xddddd89517623f3e, 0x77774b0e72f1758d, 0x939bfaf267bb6f77, 0x35cdadddda4fea47, 0xddb22b05a9f4e75e,
  0xe768cf9eb304f8c9, 0x3949bedd3e1297df, 0xc77cb08786d1bdaa, 0xc71cab03417ea3da, 0x9cc580b2ca6f920f,
  0x11d7a3e7659e8d21, 0xeda0b348a807fecc, 0x06256bd905681e59, 0xbd6bcf020270b37e, 0xd002de6f36450603,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x88c5fcdb739156f6, 0xa2c6f8b9357079b2, 0x73f53ab31e40eda1,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00001f26f36dc4f9,
};

// m48pa_u2x8_uart0_lednop_pr_ee
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ee[] = {
  0x6eeeeec4b7b128ae, 0xeeeeee9610ed68ac, 0xd4de3bdb66ef4fde, 0x78fd9cb89dd60fb3, 0x34b1c5a28912b6c8,
  0xd19f53d304f8c9dd, 0x937dba7c245d7fce, 0xad18290da37b5472, 0x35afea3cafba83fd, 0x0fe2bdbfea3e0d98,
  0x30b2c4522cd3ad08, 0xf4a1d0fb99801afa, 0xa761be8c9e39d5a5, 0x690e7b55ae875e86, 0xf65b2e62e1212cf4,
  0xb33ca8d8232ffc02, 0x9bf0312b5ec1c58f, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x8d94462fe6db9c8a, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8,
  0x9f3c95fb9a19961d, 0x0000000014f98db8,
};

// m48pa_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x7777762544889768, 0x777774b0876b4563, 0xa6f1dedb3f7b0cf7, 0xc7ece5c4eeb07d9e, 0xba3b447c7b15b643,
  0xfcfa9e9827c64ee9, 0x37dba7c245d7fd21, 0xd18290da37b54729, 0x5afea3cafba83fda, 0xfe2bdbfea3e0d983,
  0x0b2c4522cd3ad080, 0x4a1d0fb99801afa3, 0x761be8c9e39d5a5f, 0x90e7b55ae875e86a, 0x65b2e62e1212cf46,
  0x33ca8d8232ffc02f, 0xbf0312b5ec1c58fb, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xd94462fe6db9c8ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x7cf257ee68665874, 0x00000009d77e0511,
};

// m48pa_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ce[] = {
  0xeeeec4b507b128ae, 0xbbba58739543ac6e, 0xb63367bd3db27bbb, 0xe635a6eeea44faf1, 0x774d2c71c5e24417,
  0xf3b467ea54c13e32, 0x1ca4df6e9f0918ff, 0x877fd60fc368ded5, 0x9bddafcf2f2e0e48, 0xb01759309cee6d71,
  0x2ac0f59ea3f493dc, 0x19cc580a9888b1c7, 0xcf1d7a3e7659e8d2, 0x6b720b348a807fec, 0xf81895af6415a079,
  0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x94462fe6db9c31db,
  0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659,
  0x42e27cf257ee6866, 0x000000000001baf8,
};

// m48pa_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xffa43f9f297304f8, 0xa8e526fb74f849d2, 0xa55c5f5c921b46f6, 0xfb8d1079e5e5d692, 0x7ea3e12fc4361222,
  0xb2678bb9b5eb7e00, 0xd67a8fd24f72c67e, 0x602a6222c71cab03, 0xe8f9d967a3486731, 0x2cd22a01ffb33c75,
  0x56bd905681e5adc8, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0xbf9b6e70c76f62aa, 0xdf1726ae0f365118, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0375d69f445f3c95,
};

// m48pa_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xeeeeeee96041b0aa, 0x188ebd385e34f685, 0xde2f5a3358dadda1, 0x277699a33fa68ecf,
  0xff3b467c9d4c13e3, 0x51ca4df6e9f09456, 0x9dff547dd4368ded, 0xa34d7e79797071c9, 0x95907e6139dcdae1,
  0xef7ea3cae5f01bb5, 0xc80afe4f51f06cc1, 0x616588a459a75a11, 0xab5c443f5b0035f4, 0xbc019db9e46d7c73,
  0xd6233493daaf4e0e, 0xe017b2e1c8c5c242, 0x81895af61914d204, 0xef5af3c0809c2cdf, 0xa5abce8016f37980,
  0x18216953e02d4e48, 0x69c6378ce88197f3, 0x1726ae365118bf9b, 0xacc7903b6868b1e7, 0x6592e19e985727ee,
  0x66587494b659289c, 0x6a9ce27cf257ee68, 0x000000000000029a,
};

// m48pa_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbbb12a2e7cbf3e, 0xeeee9627127eeb1b, 0x7419ad1f4f4c4eee, 0x2b4bd49426e933cc, 0x671162b83d76d16a,
  0xd3cfeed4c13e3277, 0x9bedd3e1231fff7c, 0x5194586d1bdaa394, 0x3cf2f2f3b53d717d, 0x97e21b09117dc688,
  0xb9b5d90e92bf51f0, 0xe0376b73707e678b, 0xe0d983defd4795cb, 0x4eb4239015fc9ea3, 0x006be8c2cb1148b3,
  0xdaf8e756b8887eb6, 0x5e9c1d78033b73c8, 0x8b8485ac466927b5, 0x29a409c02f65c391, 0x3859bf0312b5ec32,
  0xe6f301deb5e78101, 0x5a9c914b579d002d, 0x032fe63042d2a7c0, 0x317f36d38c6f19d1, 0xb1be2e4d5c1e6ca2,
  0xea75663c819a7c68, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x0013f27c13ad53c9,
};

// m48p_u2x8_uart0_dual_pr           m48pa_u2x8_uart0_dual             m48pa_u2x8_uart0_dual_pr
static const uint64_t ur_m48p_u2x8_uart0_dual[] = {
  0x7f77777756d44511, 0x77777750e3119778, 0x0cf792ae3375a53b, 0x2b1393848eeeeb21, 0x9b277257ccf87b16,
  0x20025219bf304f8c, 0x860caeb036d2b88b, 0xc5da9dd3e25c40c2, 0xbece05166727f996, 0xac0cca9bd477f360,
  0x057f98d022847242, 0x7bbe2ef1ac00dc3e, 0x4219680f88865771, 0x7f3fe80e784dbdc5, 0x17982c3795e425b7,
  0x26fb74f84ba8ff66, 0xf2d5fe1b46f6a8e5, 0x72ac0d21fa8f6b1d, 0x1602fe1ccf7f411c, 0xaf22ddaa5a348673,
  0x252b241771cb1823, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x02de6f0725603bd6, 0xc5654ee2ca72f9d0,
  0xce881fae2810b4f0, 0x65118bf9b69c6378, 0x868b1e71726ae0f3, 0x85727eeacc7903f2, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000000188739117c,
};

// m48pa_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_u4[] = {
  0xbbbbbab5173e43ee, 0xbbba8718894ec3fb, 0x664560a0ad3b5bbb, 0x6506f7774ddd0566, 0xabbf22421b4f34e7,
  0x23ace609f192825c, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x1d2cc70ff32ff029, 0x1a6f51ff76c12b1c,
  0xc681142392156070, 0xefb1f006e1f02bfc, 0x87c888657717bbe2, 0x80e784c3e4542196, 0x86f2bc84b6f01bfe,
  0xa7c2413ffced1305, 0x50da37b5472937db, 0x621fd47c8a77cb13, 0x41e69c5ef8e39560, 0x76b591d7f398b015,
  0xd500ffd9823af006, 0x549d03cb3db10e90, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0x79bcd914180ef5af,
  0xf9537a94e4a7400b, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x292659bad53c95fb,
};

// m48pa_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ee[] = {
  0xbbbbbbab6f3e43ee, 0xbbbba871a9b3ec3f, 0x1a4cb0c3afb45fbb, 0xdb6dbd7dd9771382, 0xe44f76d3d62fd763,
  0x19827c64989b9577, 0x6d2b88b200252029, 0x25c40c2860caeb03, 0xba7ff32ff029dd3e, 0x8e70761d5e70a1f9,
  0xa11c90ab03d9d37a, 0x00370f815fe63408, 0x432bb8bddf177f2d, 0x9a3dc542196854a4, 0x9096df677fd01cf0,
  0xa1ff9da260b0de57, 0xf6a8e526fb74f848, 0x9507fb5a39c61b46, 0x3e0d9834c7d47959, 0xd3ad080fe2b0f7ea,
  0x801afa30b2c4522c, 0x39d5a5fa81d07199, 0x43af29a76c8a8fa0, 0x4844d2313f3daad7, 0xcbff00bd971f18b8,
  0xc55f3bb8a928e84f, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0xc8ab7b15545a6ae9, 0xb83cd94462fe6db9, 0x0669f1a2c79c5c9a, 0x33d30ae4fdd598f2, 0xe9296cf8138cb25c,
  0xd6a9e4afdcd0ccb0, 0x000000003214e939,
};

// m48pa_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ee_u4[] = {
  0x77777756a2437089, 0xeeeea1c6a762f87f, 0x9622d476b6e76eee, 0xfed6db7afbb70605, 0x3d65577d6d075cab,
  0x3a609f192b06e579, 0x6da571164004a475, 0xc4b881850c195d60, 0x9bfe7e65c1c73ba7, 0x51e87f61d3e70b1f,
  0x142392156067066f, 0x8006e1f02bfcc681, 0x88657717bbe2ef4a, 0x132fb8a8432d04ac, 0xf212db9c1ffa039e,
  0xcadfe90fcc161bca, 0xbdaa3949bedd3e12, 0xfe41fed68fa886d1, 0x8f83660d7cf51e56, 0x34eb4203f8ae037a,
  0x6006be8c2cb1148b, 0x9cead2fb7c7427e6, 0xd0ebd8cdd9314622, 0x1215ac8ebfcf6ab5, 0x65ff805ecbe9662e,
  0x928e2c4feb151b04, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x1a2c6f86e3cd9446, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000ac8f36ee14,
};

// m48pa_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbbbab6f3e6d3a, 0xbbbba87188ce2c3f, 0xecd8a05c6ad67dbb, 0xd9452b7774d2ac11, 0xe573b66dd6f261ce,
  0xa41806609f193416, 0x5d606da571164004, 0x3ba7c4b881850c19, 0x869b9a2b7e65fe05, 0xa1cdea3e56d86fb3,
  0x98d022847242ac0c, 0x2ef80000dc3e057f, 0x6877488657717bbe, 0xe80e784da5454219, 0x586f2bc84b6e50ff,
  0xba7c25fbbfced130, 0xdf0da37b5472937d, 0x9e5e5e7663ceffab, 0x984e7736ba5a0b5f, 0xfa8e37e7b9602d4b,
  0xa0a0f91c72ac0ea5, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780, 0x92a93a0796b70874, 0x2b5ec9fc55f3bb8a,
  0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x5fcdb73863b7b155,
  0xf38b9357079b288c, 0xbab31e40cd3e3458, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x9eb39f3ad53c95fb,
  0x0000000000000003,
};

// m48pa_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeeead448687e1, 0x777750e66258b0fe, 0x16a39c02b68bf777, 0xb4fb3adbbbb1c727, 0xc8af6f049aed1fcf,
  0x90aebcc13e32699d, 0x7581b695c4590012, 0xee9f12e206143065, 0x02d4c63ff997071c, 0x5a6f51c9d6c12d1c,
  0xc681142392156071, 0xef67c006e1f02bfc, 0x028a88657717bbe2, 0x039e1318f8a8432d, 0x1bcaf212dbc56ffa,
  0x3e1260bfe90fcc16, 0x86d1bdaa3949bedd, 0x58061274b717d500, 0x0d8488bee3441e78, 0x7149faffa8f84bf1,
  0x72c67d4b99e2ee6d, 0xe5581d4bf51c6fcf, 0x7f398b014141f238, 0x99e3af00676b591d, 0x2d6e10e90d500ffd,
  0xabe777152552740f, 0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea,
  0xc76f62aa8b4d5d38, 0x8f365118bf9b6e70, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x68e2b852792bf734, 0x0000000000000692,
};

// m48pa_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777756d41431f02, 0xdddd439e942d87f7, 0x947eb4cfb49bdddd, 0x79f785725dd76476, 0xc459b19c30a577f7,
  0x8f9827c64c0bb928, 0x36d2b88b20025213, 0xe25c40c2860caeb0, 0x4c293f32e0e39dd3, 0xd47b5bd856f9c200,
  0x8a11c90ab034db9b, 0x880370f815fe6340, 0x88657717bbe2ef54, 0x133058a8432d0df6, 0xe425b74dbffa039e,
  0x87ffd21f982c3795, 0xf6a8e526fb74f84a, 0x2b1dff5465161b46, 0x495951f9e160184a, 0xacacc926139dcdae,
  0x0fe4f51e571ec0dd, 0x1c80acc7fa8f8366, 0x4616588a459a75a1, 0x756b8dbff5b0035f, 0x75ec66ec98a3114e,
  0x2b591d7f9ed57a70, 0x2700bd97d2cc5c24, 0x7a784feb151b0450, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895,
  0x79bcd914180ef5af, 0xf9537a94e4a7400b, 0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0x65abc6e3cd94462f,
  0xfa9d599bf83bb8d1, 0x22678138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c, 0xe149e4afdcd0ccb0,
  0x0000000002003086,
};

// m48pa_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777756a26d3f9231, 0x7750e42f07d87f77, 0x7baddf5f66d37777, 0xb89dbaaf821a10d7, 0x43dad5913ee1009f,
  0xc901572ffe19a74e, 0x9001290598b304f8, 0x430657581b695c45, 0x7662cee9f12e2061, 0x618e0cf93759fe65,
  0xc0c524dea39adec2, 0x57f98d022847242a, 0xef8bbfce400dc3e0, 0x0cb412d22195dc5e, 0x3fe80e784d1ca2a1,
  0x30586f2bc84b6e29, 0xedd3e12d35fef9a7, 0x94386d1bdaa3949b, 0x0b0083863f717d51, 0x21b09117dc6883cf,
  0xeea8d507f51f097e, 0xdadcde4933c5dcda, 0x60fe4f51e571ec0d, 0x11c80acc7fa8f836, 0xf4616588a459a75a,
  0xe756b8dbff5b0035, 0x075ec66ec98a3114, 0x42b591d7f9ed57a7, 0x02700bd97d2cc5c2, 0x97a784feb151b045,
  0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xfe6db9c31dbd8aaa, 0x7c5c9ab83cd94462, 0x5666fe0dfa08d163, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x005a7ce4053c95fb, 0x0000000000000008,
};

/*
 * m48p_u2x12_uart0_noled_pr         m48pa_u2x12_uart0_noled           m48pa_u2x12_uart0_noled_pr
 * m88_u2x12_uart0_noled             m88_u2x12_uart0_noled_pr          m88a_u2x12_uart0_noled
 * m88a_u2x12_uart0_noled_pr         m88p_u2x12_uart0_noled            m88p_u2x12_uart0_noled_pr
 * m88pa_u2x12_uart0_noled           m88pa_u2x12_uart0_noled_pr        a6612c_u2x12_uart0_noled
 * a6612c_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m48p_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0xa7fb30be7f4a9827, 0x9fcda9f55ba7c240, 0xcb08786d1bdaa394, 0xcab03417ea3f4077, 0x2c0596533df6b471,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x4ad7b071f03cb3db, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0x76ca2317f36c4922, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x587494b659289c65, 0xe42ebcf257ee6866, 0x000000000003e400,
};

/*
 * m48pa_u2x12_uart0_noled_pr_u4     m88_u2x12_uart0_noled_pr_u4       m88a_u2x12_uart0_noled_pr_u4
 * m88p_u2x12_uart0_noled_pr_u4      m88pa_u2x12_uart0_noled_pr_u4     a6612c_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_u4[] = {
  0x777624eea2ec4743, 0xeeee961870bdd637, 0x67eefc3e33499eee, 0xeb4bf37774880b2b, 0x3bb51792d8f583c7,
  0xfced19fd2a609f19, 0xe6d4faadd3e12053, 0x843c368ded51ca4f, 0x581a0bf51fa03be5, 0x02cb299efb5a38e5,
  0xa3e76afe8f587316, 0xb33ca807fecc11d7, 0x6bd838f81e59ed8f, 0xbd6bce70b37e0625, 0x3385bcde01f50603,
  0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637, 0x65118bf9b6249156, 0x43458df1726ae0f3, 0x54e7ea75663c81db,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2,
  0x0000003e4f6bdb89,
};

// m48pa_u2x12_uart0_noled_pr_ee
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b106448563, 0x64da9933c5fa6ef7, 0xa19c146d37783d09, 0x8fcbbb231c4d8412,
  0x467d82cc13e32774, 0x7d56e9f091c3ff3b, 0x1b46f6a8e527f36a, 0x795f5107fb5a3052, 0x3fd47c1b306b5fd4,
  0xa459a75a101fc561, 0xf7330035f4616588, 0x3e78e7569797c3a1, 0xab5d0ebd0d4ec22a, 0x317090abfa3d64f6,
  0x6c1197fe017b2d97, 0x4ad7b071744a9a54, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca,
  0xadec55516961738c, 0xc6ca2317f36c4922, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c,
  0x4f9e4afdcd0ccb0e, 0x00000000a7c6e3dc,
};

// m48pa_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ee_u4[] = {
  0xeeec49dd4488a493, 0xeeee9620c890ac6e, 0x9b532666ef4fdeee, 0x33828da6ef07a12c, 0xe414d14ed1b08254,
  0xcfb059827c64ee86, 0x55ba7c2470ffd21f, 0xd1bdaa3949fcda9f, 0x57d441fed68c1486, 0xf51f06cc1ad7f51e,
  0x1669d68407f1584f, 0xccc00d7d18596229, 0x9e39d5a5e5f0e87d, 0xd743af4353b08a8f, 0x5c242afe8f593daa,
  0x0465ff805ecb65cc, 0xb5ec1c5d12a6951b, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xb288c5fcdb1248ab, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x00000013afbc1622,
};

// m48pa_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ce[] = {
  0x77624eed41ec53c3, 0xeee961870b8d6377, 0xfa548b8ef5e9eeee, 0xff17bbbbe16fdb6d, 0x48fcbb0671c617f8,
  0xb467d7dcc13e3277, 0xa7d56e9f0947bff3, 0xe1b46f6a8e527f36, 0x9797070f53bfeb07, 0x4e7736bf4fd8ffe7,
  0x51c9e9ee580bac98, 0x1f3a48e395607acf, 0xced5fd1eb0e62c05, 0x79500ffd99e3af47, 0xec1c7c0f2d6e1f66,
  0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x118bf9b624863b7b,
  0x2cb579726ae0f365, 0x3f53ab31e40eda1a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x389f3c95fb9a1996, 0x00000000000dd732,
};

// m48pa_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe90fe7cbacc13e32, 0x6d4faadd3e12f9df, 0x924368ded51ca4fe, 0x9e5e5d691fcb8beb, 0xfc4361222fb8d107,
  0xcdaeff3107ea3e12, 0x7a7b9633f5933c5d, 0x9238e5581eb3d472, 0x7f47ac398b0147ce, 0x03ff6678ebd1f3b5,
  0x1f03cb5b87d99e54, 0xce166fc0c4ad7b07, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10,
  0xfe6d89218edec555, 0x7c5c9ab83cd94462, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0dd74cb5117cf257,
};

// m48pa_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba58b8161558, 0x19af4e178d3da17b, 0xe2f5a2443c4eef8b, 0x77699a33fa68ecfd,
  0xf3b467c9d4c13e32, 0x36a7d56e9f09456f, 0xeea1b46f6a8e527f, 0xcbcb838514effaa3, 0x09cee6d7ff81a3f3,
  0x2b9b80ddacac83f3, 0x7d47c1b307bdfa8f, 0x91669d6847202b4c, 0xfd6c00d7d1859622, 0x10e8c4f9cead70f7,
  0xcf6abd383af00676, 0x3918b848520a8f19, 0x86486a409c02f65c, 0xbce70b37e06256bd, 0xc2de6f0725603bd6,
  0x8bf9b752d5ca52f9, 0x6744099e63042d3b, 0xb288c5fcdb4e31bc, 0xdb43458f38b93571, 0xf4c2b93f75663c81,
  0xa5b2c944e32c970c, 0xe792bf734332c3a4, 0x00000014d354e713,
};

// m48pa_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4680ddd63, 0x7e95b24171efd3dd, 0x04332caf17ba36c1, 0xd57ccfa0d962b221,
  0x43f9fff9304f8c9d, 0xa7d56e9f0974fffa, 0x61b46f6a8e527f36, 0x5d690a5dc5f54651, 0x61222fb8d1079e5e,
  0x6fa547ea3e12fc43, 0xdcdc1f99e2ee6d76, 0x7bdfa8f2b5f00dda, 0x7202b7bfd47c1b30, 0x185962291669d684,
  0xd5ae16bfd6c00d7d, 0xbc019d9af91bda39, 0xd22333d3daaf4e0e, 0x805ecb8723170908, 0x0c4ad7b0c9f86813,
  0xcc077ad79ce166fc, 0x1a9b129fbe70b79b, 0x8810818c10b4e48c, 0x118bf9b69c6378ce, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000004fc085c45f3,
};

/*
 * m48p_u2x12_uart0_lednop_pr        m48pa_u2x12_uart0_lednop          m48pa_u2x12_uart0_lednop_pr
 * m88_u2x12_uart0_lednop            m88_u2x12_uart0_lednop_pr         m88a_u2x12_uart0_lednop
 * m88a_u2x12_uart0_lednop_pr        m88p_u2x12_uart0_lednop           m88p_u2x12_uart0_lednop_pr
 * m88pa_u2x12_uart0_lednop          m88pa_u2x12_uart0_lednop_pr       a6612c_u2x12_uart0_lednop
 * a6612c_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m48p_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0x9fecc2f9f9c6609f, 0x7f36a7d56e9f092f, 0x2c90e1b46f6a8e52, 0x2ac0cd27a8e4f1df, 0xb016f74c3e7491c7,
  0xf173b35f23905398, 0x61583ef71cb1823a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x2c79c376ca2317f3, 0x27eeacc790347f1a, 0x289c6592e19e9857,
  0xee6866587494b659, 0x007c87382ebcf257,
};

/*
 * m48pa_u2x12_uart0_lednop_pr_u4    m88_u2x12_uart0_lednop_pr_u4      m88a_u2x12_uart0_lednop_pr_u4
 * m88p_u2x12_uart0_lednop_pr_u4     m88pa_u2x12_uart0_lednop_pr_u4    a6612c_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_u4[] = {
  0x777624eea2ec53c3, 0xeeee9618706bd637, 0xef67bf61b7b006ee, 0xaff13bbba4405945, 0x748fcbb7a71c7d2b,
  0x3b467c27cc13e327, 0xb53eab74f84900ff, 0x0f0da37b547293f9, 0x0682fd47b58ef961, 0x6594df241f8e3956,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x726ae0f365118bf9, 0x663c81db43458df1,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x4eeadb89f3c95fb9, 0x000000000000003e,
};

// m48pa_u2x12_uart0_lednop_pr_ee
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee9620c990ac6, 0x242c9c010cf5a5ee, 0x0bce0a369bbc1e84, 0xd3836696e0e2f2b7,
  0x8cfe569827c64eef, 0xfaadd3e12287fe76, 0x368ded51ca4fe6d4, 0xf2beea0ff6b460a4, 0xffa8f83660d6bfa8,
  0x48b34eb4203f8af6, 0xee66006be8c2cb11, 0x3278e75697d28743, 0x56ba1d7a1a9d86fa, 0x8b8484b3d1a439ed,
  0x608cbff00bd96cb9, 0xad7b07163eccf2a3, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0xbf9b6e722adec555, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857,
  0xee6866587494b659, 0x053e749ce27cf257,
};

// m48pa_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x777624eea2447e4a, 0x77774b1064c85637, 0x2164e00697a34f77, 0x5e7051b4dde0f421, 0x51d65c6afb1795b8,
  0xe7f2b4c13e32774a, 0xaadd3e12287fe90f, 0x68ded51ca4fe6d4f, 0x2beea0ff6b460a43, 0xfa8f83660d6bfa8f,
  0x8b34eb4203f8af6f, 0xe66006be8c2cb114, 0x278e75697d28743e, 0x6ba1d7a1a9d86fa3, 0xb8484b3d1a439ed5,
  0x08cbff00bd96cb98, 0xd7b07163eccf2a36, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xf1726ae0f365118b, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x275f249c45f3c95f,
};

// m48pa_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ce[] = {
  0xeec49dda83d8b562, 0xeee96187331ac6ee, 0x3b6e84537b856eee, 0xbf8feeeef85bf62e, 0xdfa706cfddc16a60,
  0xed19ffdd304f8c9d, 0xa9f55ba7c2501bfc, 0xf86d1bdaa3949fcd, 0xe5e5c1c910effac1, 0x139dcdae337bb5f9,
  0xd47e927b9602eb26, 0x53111638e5581eb3, 0xcecb3d1a43398b01, 0x91500ffd99e3af47, 0xec82b40f2d6e4166,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb9357079b288c5fc, 0x98f2076d0d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f22678, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006ebbd6dc4f9e,
};

// m48pa_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe90fe7d82cc13e32, 0x6d4faadd3e12387f, 0x924368ded51ca4fe, 0x3cbcbad254ab8beb, 0xf886c2445f71a20f,
  0x36bd6fc00fd47c25, 0x49ee58cfd64cf177, 0x58e395607acf51fa, 0xf4690ce62c054c44, 0x3ff6678ebd1f3b2c,
  0xd03cb5b9059a4540, 0xe166fc0c4ad7b20a, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xc1e6ca2317f36dce, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x588be792bf734332, 0x00000000006ebef0,
};

// m48pa_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0xeee962e041056377, 0xe19e14627699eeee, 0x1221e2775d7c0142, 0xbed233d9447ec89b,
  0x7e87e609f193bad3, 0xadd3e12383fe90fe, 0x8ded51ca4fe6d4fa, 0x26563bfea8e3dc36, 0x5d2a2e47f3cbcbad,
  0xbb59583e4c273b9b, 0x983c8bea3cac2781, 0x4239015c89ea3e0d, 0xbe8c2cb1148b34eb, 0x8e756b8d2beb6006,
  0xc1d7a1a9d86fa327, 0x212cf4690e7b55e9, 0x409c02f65b2e62e1, 0xb3a787d99e546c11, 0x0404e166fc0c4ad7,
  0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0x6dce18edec555169, 0xe4d5c1e6ca2317f3,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343c899e0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000027e40a88be79,
};

// m48pa_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x77624eea2e7c4c7f, 0xddd2c4683c8d6377, 0x23e7eee0ea33dddd, 0x2caf17bbe3de9fd3, 0xce29d55f2ed60bd7,
  0xe9a9827c64eef5dd, 0xe9f097fcff7cd3cf, 0xf6a8e527f36a7d56, 0x9d5c5f547f3a1b46, 0x5f71a20f3cbcbcec,
  0x1fd47c25f886c244, 0xf2678bb9b5c11260, 0xa3cac2781bb5b9b1, 0xc89ea3e0d983c8be, 0x1148b34eb4239015,
  0xd2beb6006be8c2cb, 0x9d86fa3278e756b8, 0x90e7b55e9c1d7a1a, 0x65b2e62e1212cf46, 0x99e546c11409c02f,
  0x6fc0c4ad7b3a787d, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d,
  0x6ca2317f36dce18e, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x00000013f16b53ad,
};

// m48pa_u2x12_uart0_dual
static const uint64_t ur_m48p_u2x12_uart0_dual[] = {
  0xeeeeeac6d6a232a8, 0xeeeeea1c18ccf0fe, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x00252396a609f193, 0x60caeb036d2b88b2, 0x5da9dd3e25c40c28, 0x14e0e4e6f9df996c, 0x038f737a8ebef605,
  0x5fe63408a11c90ab, 0xef8bbc2d00370f81, 0x865a0f7a2195dc5e, 0x7ff4073c261bf150, 0x982c3795e425b78f,
  0xab74f84b4aff6617, 0xa37b547293f9b53e, 0xfd47114ef96aff0d, 0xd920df8e39560690, 0xf237b4731602fe1c,
  0xb8e58c11d7916ec4, 0x2af9ddc5494ac13f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xc1e6ca2317f36dce, 0xe985727e7f62e4d5, 0x94b67c09c6592e19,
  0x7cf257ee68665874, 0x000000196fe9c711,
};

// m48pa_u2x12_uart0_dual_pr
static const uint64_t ur_m48p_u2x12_uart0_dual_pr[] = {
  0xdddd58dade7cbf3e, 0xdddd4383238e1fdd, 0xd583f4ca7694addd, 0xb32306f7774ad8d3, 0x5729c4588eb75dc0,
  0x0948eb39827c64e1, 0x32bac0db4ae22c80, 0x0a774f8971030a18, 0xa7072737cefccbfc, 0x1c7b9bd475f7b028,
  0xff31a04508e48558, 0x7c5de70401b87c0a, 0x32d07bd10caee2f7, 0xffa039e130df8a84, 0xc161bcaf212dbc06,
  0x56e9f0904fff3b44, 0x46f6a8e527f36a7d, 0xf51ee19df2d5fe1b, 0x2d726a38e5581a43, 0xe8d059cc580bf873,
  0xc72c608ebc8b7613, 0x57ceee2a4a561a4d, 0x166fc0c4ad7b27f1, 0xbcc077ad79e0404e, 0xa72452d5e7400b79,
  0x65fe2810b4a9f016, 0x2fe6da718de33a20, 0x79c5c9ab83cd9446, 0xdd598f20669f1a2c, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x6204e2dd6a9e4afd, 0x0000000000000000,
};

// m48pa_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_u4[] = {
  0xddd58daa2e7c1a4e, 0xddd4383199e1fddd, 0x4774cec3680adddd, 0xa977bbba56c69991, 0x4d770b499ee0a51b,
  0x8e5a9827c64e1572, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x72737cefccbfc0a7, 0xb9bd475f7b028a70,
  0x1a04508e485581c7, 0xde16801b87c0aff3, 0x07bd10caee2f77c5, 0x039e130df8a8432d, 0x1bcaf212dbc7bffa,
  0x4f84b4aff3b44c16, 0xb547293f9b53eab7, 0x7114ef96aff0da37, 0x0df8e39560690fd4, 0x7b4731602fe1cd92,
  0x58c11d7916ec4f23, 0x9ddc5494ac13fb8e, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6ca2317f36dce455, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000029275653ad,
};

// m48pa_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ee[] = {
  0xdddd58dade7cd0e3, 0xddd438f4f6561fdd, 0x5f362dfbd1d7dddd, 0xce80020dd1226475, 0x6d0535f2253ecb11,
  0x92609f193e46e55c, 0x6da571164004a405, 0xc4b881850c195d60, 0x358ffe65fe053ba7, 0xa3f57ec287ce1d3f,
  0x2847242ac0e394de, 0xc00dc3e057f98d02, 0x10caee2f77c5df30, 0x133f9150865a1fb9, 0xf212dba5affa039e,
  0x5baff3b44c161bca, 0x527f36a7d56e9f09, 0xb5a39c61b46f6a8e, 0x834c7d479599507f, 0x407f15f51ea3e0d9,
  0xd185962291669d68, 0x2e800e838ccc00d7, 0xa69dad647d01cead, 0xe8c4fcf6ab5d0ebc, 0x05ecb8f8c5c24210,
  0xddc5494743ee5ff8, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0x29d002de6f2dd418, 0x5a7017be54dea539,
  0x18de33a204751408, 0xb83cd94462fe6da7, 0x0669f1a2c79c5c9a, 0x33d30ae4fdd598f2, 0xe9296cf8138cb25c,
  0xd6a9e4afdcd0ccb0, 0x0000000006429a71,
};

// m48pa_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa2436f02, 0xbba871e9957e1fdd, 0xdb3e3adaa3fbbbbb, 0x9900041ba8ec3727, 0x9af93059b75b1d74,
  0x304f8c9977727f0f, 0xd2b88b2002521705, 0x5c40c2860caeb036, 0x1a3f32e0e39dd3e2, 0x7e9fd858f9c3fe4c,
  0x11c90ab03eaf9bd4, 0x0370f815fe63408a, 0x32bb8bddf177dc88, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe90fcc161bcaf2, 0xfe6d4faadd3e12df, 0x47d44368ded51ca4, 0xbe7a8f2b7f20ff6b, 0xfc5701bd47c1b306,
  0x16588a459a75a101, 0xbe3a13f330035f46, 0xec98a3114e75697d, 0x5fe7b55ae875ec66, 0x65f4b317090ad647,
  0xf58a8d8232ffc02f, 0x2af9ddc549471627, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x71e6ca2317f36dce, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x4bab770a4f257ee6,
  0x0000000000000056,
};

// m48pa_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ce[] = {
  0xdddd58dade7c92df, 0xdddd438336561fdd, 0xc76837162debbddd, 0x9cf5b7777e9cbb57, 0x251f421b9c4d8433,
  0x22e87304f8c9a8b7, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x22b4c35bf32ff029, 0x7a6f51f7dec34d9c,
  0xc68114239215606a, 0x778a4006e1f02bfc, 0x40ca4432bb8bddf1, 0x4073c26ea22a10cb, 0xc3795e425b753dff,
  0xd3e124adfe768982, 0xed51ca4fe6d4faad, 0xd98f3bfeaf7c368d, 0xdae9682d7e797979, 0x9ee580b52e6139dc,
  0x71cab03a97ea38df, 0x3afe7316028283e4, 0xfb33c75e00ced6b2, 0x1e5adc21d21aa01f, 0xf157ceee2a4aa4e8,
  0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x5c1e6ca2317f36dc, 0x0334f8d163ce2e4d, 0x19e985727eeacc79, 0x7494b67c09c6592e, 0xeb54f257ee686658,
  0x000000001cf5d8fe,
};

// m48pa_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ce_u4[] = {
  0xdddd58daa243573e, 0xbba87017a7de1fdd, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0xc7e619bfccb838e7, 0xa6f51d2d6c02d1c0,
  0x6811423921560635, 0xfeb3006e1f02bfcc, 0x72688657717bbe2e, 0x39e134068a8432d0, 0xbcaf212db8d6ffa0,
  0xe12c09fe90fcc161, 0x51ca4fe6d4faadd3, 0xa5b8bea804368ded, 0xf71a20f3c2c03093, 0xfd47c25f886c2445,
  0x5ccf17736b8a4fd7, 0x5fa8e37e7b9633ea, 0x0a0a0f91c72ac0ea, 0x033b5ac8ebf9cc58, 0x486a807feccf1d78,
  0xa92a93a0796b7087, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0xc5fcdb73863b7b15, 0xe3458df0dc79b288, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2, 0x00000034936bddc2,
};

// m48pa_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeeac6d6a0a1a5fb, 0x7750e133eef0feee, 0xf55fd77a0fb77777, 0xb5a3a76eb4e3ac89, 0xbacda15664caefdf,
  0x304f8c90dd729646, 0xa571164004a4771f, 0xb881850c195d606d, 0xebfe65c1c73ba7c4, 0xf5bfb08007014937,
  0x2392156073b737a8, 0x06e1f02bfcc68114, 0xcaee2f77c5dfdd60, 0xc09150865a1a6d10, 0x4b6f3b7ff4073c26,
  0xffa43f30586f2bc8, 0xf36a7d56e9f0974f, 0x65161b46f6a8e527, 0xe160184a2b1dff54, 0x139dcdae495951f9,
  0x571ec0ddacacc926, 0xfa8f83660fe4f51e, 0x459a75a11c80acc7, 0xf5b0035f4616588a, 0x98a3114e756b8dbf,
  0x9ed57a7075ec66ec, 0xd2cc5c242b591d7f, 0x151b04502700bd97, 0xf9ddc5497a784feb, 0xcdf81895af64fe2a,
  0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xcd94462fe6db9c31,
  0xf83bb8d165abc6e3, 0xd2861539fa9d599b, 0xfc07cd0f22678138, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x04003d6ee149e4af,
};

// m48pa_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdd58daa26d3f1107, 0xd43963fdc61fdddd, 0xb9d609bc7fdddddd, 0x323bbf6a3561f64c, 0xc74830fcc890b34b,
  0x25055c9bfdaa71a8, 0x2002520e49cc13e3, 0x860caeb036d2b88b, 0xecc59dd3e25c40c2, 0x3e1c3ace6643fcca,
  0x03fd79bd47986d83, 0x5fe63408a11c90ab, 0xbe2efea700370f81, 0x32d00b488657717b, 0xffa039e131c18a84,
  0x82c3795e425b7fd7, 0x6e9f093fcff7cd39, 0x6f6a8e527f36a7d5, 0x18fdc5f54650e1b4, 0x5f71a20f3c2c020e,
  0x1fd47c25f886c244, 0x24cf17736bbaa354, 0x4795c7b0376b7379, 0x31fea3e0d983f93d, 0x2291669d6847202b,
  0x6ffd6c00d7d18596, 0xbb2628c4539d5ae3, 0x5fe7b55e9c1d7b19, 0x65f4b317090ad647, 0xfac546c11409c02f,
  0x8abe7771525e9e13, 0x70b37e06256bd93f, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xe0f365118bf9b6e7, 0x37e823458df1726a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x9014f257ee686658, 0x000000002003782b,
};

/*
 * m48p_swio10_noled_pr              m48pa_swio10_noled                m48pa_swio10_noled_pr
 * m88_swio10_noled                  m88_swio10_noled_pr               m88a_swio10_noled
 * m88a_swio10_noled_pr              m88p_swio10_noled                 m88p_swio10_noled_pr
 * m88pa_swio10_noled                m88pa_swio10_noled_pr             a6612c_swio10_noled
 * a6612c_swio10_noled_pr
 */
static const uint64_t ur_m48p_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xa1d9227fb30be7c3, 0x1887f51def3be589, 0xbdd34e391638e558, 0x9dba046b3ce62c05,
  0x8d7db8e58c11d78b, 0x0e7ab36bcb955a95, 0xf5673a8a9546bb3b, 0xafa215359caed52d, 0xab4457950a4aa5f7,
  0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674409c291, 0x1e70ddb288c5fcdb, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x9a19961d252d964a, 0xf900390baf3c95fb,
};

/*
 * m48pa_swio10_noled_pr_u4          m88_swio10_noled_pr_u4            m88a_swio10_noled_pr_u4
 * m88p_swio10_noled_pr_u4           m88pa_swio10_noled_pr_u4          a6612c_swio10_noled_pr_u4
 */
static const uint64_t ur_m48p_swio10_noled_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215b8fd608, 0x34b8edc4ea483243, 0x66122278b7935680, 0x88c623c1f74880f0,
  0x7c64ee9a58e364c4, 0x34aff3b467e44982, 0xfea3a6277cb1343b, 0x375192471cab0310, 0x6fa3278e62c05bdd,
  0x5b8e58c11d78b9d8, 0xeacdaf2e556a5613, 0x9cea2a551aecec39, 0x8854d672bb54b7d5, 0x115e54292a97debe,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x65118bf9b6409156, 0x43458df1726ae0f3,
  0x54e7ea75663c81db, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x0000001f27565389,
};

// m48pa_swio10_noled_pr_ee
static const uint64_t ur_m48p_swio10_noled_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b108856eb, 0x18d3da17a35de453, 0x3e0fe17b3d04c2aa, 0x9fbc5f63c8a0bf99,
  0xc64eed33467f4d1d, 0x3dfe768cfefb9827, 0xf741fed68c278ec5, 0x1f06cc1cddea3caf, 0x69d68407f15b93f5,
  0xc00d7d1859622916, 0x9cead2efe0eb19cc, 0xa1d78033b4dc8f22, 0x1214648c9a9ed56b, 0x4bff00bd970e462e,
  0xd59b5e5caad4744d, 0x39d454aa35d9d873, 0x10a9ace576a96fab, 0x22bca852552fbd7d, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0xca2317f36c8122ad, 0x6d0d163ce2e4d5c6, 0xd30ae4fdd598f207,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000029f1539c4f,
};

// m48pa_swio10_noled_pr_ee_u4
static const uint64_t ur_m48p_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c4221fbac6, 0xa8bb6477d2d686d6, 0x9170ff8b066c802f, 0x16d2ec991417fd9e,
  0xc9dd6c473960a72a, 0xffa43f9f8ad304f8, 0x583fdad19943b37d, 0xe0d983403d4795ba, 0x3ad080fe2b90fea3,
  0x01afa30b2c4522cd, 0x3ab4b9451d0fb998, 0x75e86a764011a627, 0x84f7a3b5a7b55ae8, 0xbff00bd96cb98b84,
  0xa38b26abfaa3608c, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x7debe8854d672bb5, 0x3daad115e54292a9,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x09156f62aa8b4b68, 0xae0f365118bf9b64, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0xadc45f3c95fb9a19, 0x00000000000275ee,
};

// m48pa_swio10_noled_pr_ce
static const uint64_t ur_m48p_swio10_noled_pr_ce[] = {
  0xd7eeeeeeef621391, 0x82b96962159e9d63, 0x6434d8ddde6d5c4e, 0xc3f112fcb1f98baf, 0xf92920a6f6deefaf,
  0xc13e3277420f22f5, 0x76256ff3b467ce1c, 0x797073e71dff55f0, 0xe7736beed26dfe79, 0x1f249ee580bac984,
  0xa05238e5581e0bf5, 0xb3de8ed6398b017b, 0x5403ff6678ebd1f3, 0xaad503cb5bae1acf, 0x3b0e7ab36bcb955a,
  0x2df5673a8a9546bb, 0xf7afa215359caed5, 0xf6ab4457950a4aa5, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d,
  0x431dbd8aaa2d2da2, 0x3571b288c5fcdb20, 0x3c81db43458f38b9, 0x970cf4c2b93f7566, 0xc3a4a5b2c944e32c,
  0xf713e792bf734332, 0x00000000002dd6c7,
};

// m48pa_swio10_noled_pr_ce_u4
static const uint64_t ur_m48p_swio10_noled_pr_ce_u4[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x9813fd21fcfdba98, 0x75a4cad717d6441d, 0x8488bee3441e7979, 0x51723fa8f84bf10d,
  0x633f5933c5dcdae9, 0x560782fd47c927b9, 0x8e62c05ee8148e39, 0x9e3af47cecf7a3b5, 0xd6eb86b3d500ffd9,
  0xdaf2e556aab540f2, 0xa2a551aecec39eac, 0x4d672bb54b7d59ce, 0xe54292a97debe885, 0xbcf8b5d73daad115,
  0x881077536294f0d3, 0xaa8b4b689c6378ce, 0x317f36c810c76f62, 0xb1be2e4d5c1e6ca2, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0006ebed7b88be79,
};

// m48pa_swio10_noled_pr_ee_ce
static const uint64_t ur_m48p_swio10_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xdcb4b1c85d71d636, 0x7b1c75a9f8fad0bd, 0xd22d4368a1015b97, 0x62619f0ba1cdb64c,
  0xdd1ec5aa05c6af22, 0xa43f9fff9304f8c9, 0xdff546e947674fff, 0x003f3cbcbad274f9, 0x0f9309cee6d7eeb0,
  0x7a8f2b4ac06ed656, 0xafe77a8f83660e5f, 0x588a459a75a11c80, 0x828bf5b0035f4616, 0xd4ec80234c4e756b,
  0x1dad3daaf4e0ebd0, 0x5ecb65cc5c2427bd, 0x9aafea8d82281380, 0x3d59b5e5caad7a78, 0xb39d454aa35d9d87,
  0xd10a9ace576a96fa, 0xa22bca852552fbd7, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6,
  0xd94462fe6d90218e, 0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x6879133c09c69430, 0x92e19e985727e03e,
  0x6587494b67c09c65, 0xeb7117cf257ee686, 0x00000000000013f1,
};

// m48pa_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_swio10_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0xbb9696367048d61a, 0x89d817a6c615006d, 0x3d88a9be9de4682d, 0xee091fa4ff076a76,
  0x77475d35c057768e, 0x7cd3cfb5dcc13e32, 0xc5f5472b8763fcff, 0x1a20f3cbcbcedfe5, 0x47c25f886c2445f7,
  0x78bb9b5fa9cb82fd, 0xad2b01bb5b9b1f26, 0xea3e0d98397dea3c, 0x1669d6847202bf9d, 0xd6c00d7d18596229,
  0x008d3139d5ae0a2f, 0xf6abd383af4353b2, 0x973170909ef476b4, 0xaa3608a04e017b2d, 0xd7972ab5e9e26abf,
  0x152a8d76761cf566, 0x6b395daa5beace75, 0x2a14954bef5f442a, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0x8bf9b640863b7b15, 0x8df1726ae0f36511, 0x53ab31e40cd3e345, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x009f9bc15d6a9e4a,
};

/*
 * m48pa_swio10_lednop               m88_swio10_lednop                 m88a_swio10_lednop
 * m88p_swio10_lednop                m88pa_swio10_lednop               a6612c_swio10_lednop
 */
static const uint64_t ur_m48p_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x0ec09ffecc2f9f32, 0xc43fa8f921df2c4d, 0xf74ddd0291c72ac0, 0x3b0f88fa4398b016,
  0x970f71cb1823af17, 0x0e7ab36bcb955a95, 0xf5673a8a9546bb3b, 0x1535c0809caed52d, 0x57950a4ab574bfa2,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb2ec8ab7b1, 0x4c2b93f3fb0ddb28,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000005483a175e,
};

/*
 * m48pa_swio10_lednop_pr            m88_swio10_lednop_pr              m88a_swio10_lednop_pr
 * m88p_swio10_lednop_pr             m88pa_swio10_lednop_pr            a6612c_swio10_lednop_pr
 */
static const uint64_t ur_m48p_swio10_lednop_pr[] = {
  0x37777743d7d8ad4e, 0xae5a58856802b1a9, 0xdc77b87c6d244335, 0x908e3266c479bb53, 0x31a865ef77524447,
  0x32774c4dc12b68cf, 0xbff3b467e034c13e, 0x479c4ef961147607, 0x1e7ac71cab0327bd, 0x8e0f9cc580b2ca63,
  0xff6608ebd1f3b7c8, 0x03cb3dbdefa05403, 0x7ab36bcb955ac0ad, 0x673a8a9546bb3b0e, 0x35c0809caed52df5,
  0x950a4ab574bfa215, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5fcdb2ec8ab7b155,
  0x4f8b9357079b288c, 0x9d598f2076d0d167, 0x97e627f2861539fa, 0xffc1343c899e2e71, 0x25c33d30ae4fc73d,
  0xcb0e9296cf8138cb, 0xbb1c4f9e4afdcd0c, 0x0000000000001f26,
};

/*
 * m48pa_swio10_lednop_pr_u4         m88_swio10_lednop_pr_u4           m88a_swio10_lednop_pr_u4
 * m88p_swio10_lednop_pr_u4          m88pa_swio10_lednop_pr_u4         a6612c_swio10_lednop_pr_u4
 */
static const uint64_t ur_m48p_swio10_lednop_pr_u4[] = {
  0x41bbbbbb45d8ad4e, 0xddcb4b10ade96b04, 0xfb98e8da16541921, 0x984889c7fc5b07f1, 0x36c99f37dd2203c1,
  0x8c9dd31370490466, 0x9ffe768cf995304f, 0xa8f921df2c4d0ec0, 0xdd0291c72ac0c43f, 0x88fa4398b016f74d,
  0x71cb1823af173b0f, 0xb36bcb955a95970f, 0x3a8a9546bb3b0e7a, 0xc0809caed52df567, 0x0a4ab574bfa21535,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb2ec8ab7b15545, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x0f932cdc4f9e4afd,
};

// m48pa_swio10_lednop_pr_ee
static const uint64_t ur_m48p_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884453758, 0xb4bd1a7aebcbda99, 0x4f83f85ecfdc7798, 0x33760cc902282fe6,
  0xf8c9dd31370571a3, 0xb3bfced19f383304, 0xa5683fdad184f1d9, 0xa3e0d9839bbd4795, 0xcd3ad080fe2b5f7e,
  0x9801afa30b2c4522, 0xe73ab4b98f1d6339, 0xe875e00ced10a35a, 0x848422a3e927b55a, 0xd2ffc02f65c3918b,
  0xf566d7972ab51d73, 0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a, 0x03cfd6b9ed5688af,
  0xb9d5ea58594d8b3a, 0x9d10363fc502169a, 0xca2317f36d38c6f1, 0x6d0d163ce2e4d5c6, 0xd30ae4fdd598f207,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000000a7ce71c4f,
};

// m48pa_swio10_lednop_pr_ee_u4
static const uint64_t ur_m48p_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x56b9696211069d63, 0x23fa697499f1f36b, 0x22e1ff167ec19e3b, 0x40f5c902282ffb3d,
  0x64ee8f62d51c6350, 0xbfd21fcf9c19827c, 0xac1fed68cca1d9b3, 0xf06cc1a01ea3cacb, 0x9d68407f1594bf51,
  0x00d7d18596229166, 0x9d5a5d2b0e87dccc, 0x3af4353b7508f243, 0x85f22383f3daad74, 0xbff00bd96cb98b84,
  0x471770d67aa3608c, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0xd10a9ae0404e576a, 0xa22bca85255aba5f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6d976455b, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x000000275d341117,
};

// m48pa_swio10_lednop_pr_ce
static const uint64_t ur_m48p_swio10_lednop_pr_ce[] = {
  0xebf7777777b15a91, 0xa0ae5a58856c2ab1, 0x0cf717ea45f13713, 0xf0fc44bf1e9d8f18, 0x2cbb641682e3bbeb,
  0x304f8c9dd68bd3aa, 0x1d921ffced19f287, 0x5e5c1c38677fd57c, 0x4e7736be9a7f9f9e, 0x51c149ee580bac98,
  0x7b40238e5581e0bf, 0xedf22383e7316028, 0x1500ffd99e3af47c, 0xac0ad03cb5bb7be8, 0xb3b0e7ab36bcb955,
  0x52df5673a8a9546b, 0xfa21535c0809caed, 0xb4457950a4ab574b, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d,
  0x7b15545a4829c637, 0x65118bf9b65d863b, 0xb6868b1e71726ae3, 0xe985727eeacc7903, 0x4b659289c6592e19,
  0xcf257ee686658749, 0x0000005ba9c28e27,
};

// m48pa_swio10_lednop_pr_ce_u4
static const uint64_t ur_m48p_swio10_lednop_pr_ce_u4[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff487f3f15a60, 0xd692dd5c5f591076, 0x1222fb8d1079e5e5, 0x53397ea3e12fc436,
  0x8cfd64cf17736bd2, 0x581e0bf51c149ee5, 0x73160287b40238e5, 0xe3af47cedf22383e, 0x5bb7be81500ffd99,
  0x6bcb955ac0ad03cb, 0x8a9546bb3b0e7ab3, 0x809caed52df5673a, 0x4ab574bfa21535c0, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x65d863b7b15545a4, 0x26ae0f365118bf9b, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xeeadc45f3c95fb9a, 0x0000000000000375,
};

// m48pa_swio10_lednop_pr_ee_ce
static const uint64_t ur_m48p_swio10_lednop_pr_ee_ce[] = {
  0x6dbddddddd4458e2, 0x7bb9696390bd33ac, 0x24760debd385f5a1, 0x3348b50d71b45376, 0x7725a17c2e8736d9,
  0x2774a70f60dc75ba, 0xfd21fcfa6dcc13e3, 0xceffaa374a3b066f, 0xba3ff9e5e5d69066, 0x583e4c273b9b5d9c,
  0x7dea3cae4381bb59, 0x02b387ea3e0d9839, 0x5962291669d68472, 0xae12b7d6c00d7d18, 0x4353b7508f2439d5,
  0x88e0fcf6abd383af, 0x02f65b2e62e1217c, 0xae1acf546c11409c, 0x73d59b5e5caad7a7, 0xab39d454aa35d9d8,
  0xa9ae0404e576a96f, 0xbca85255aba5fd10, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0xc5fcdb2ec31dbd8a, 0x458f38b93571b288, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00a69a7d788be792,
};

// m48pa_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_swio10_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1000, 0xbb9696367119d61a, 0xdda6eb419ad1006d, 0x7b11536247a75910, 0xc4efa749fe0ed4ec,
  0x776b55de76b66cc8, 0xbe69e7c524c13e32, 0xc5f5472b87656fff, 0x3441e797979dd6fd, 0x8f84bf10d8488bee,
  0xe2ee6d70b233d7fa, 0xb90e06ed6e6c7c99, 0xa8f83660e5f7a8f2, 0x59a75a11c80ace1f, 0x5b0035f4616588a4,
  0x423c90e756b84adf, 0xdaaf4e0ebd0d4edd, 0xb98b8485f22383f3, 0x51b04502700bd96c, 0x7972ab5e9eb86b3d,
  0x52a8d76761cf566d, 0x1395daa5beace751, 0x56ae97f442a6b810, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a,
  0x538c6f19d10210a9, 0xbb0c76f62aa8b490, 0xd5c1e6ca2317f36c, 0xc819a7c68b1be2e4, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x49bad53c95fb9a19,
  0x0000000000013f32,
};

// m48p_swio10_dual_pr               m48pa_swio10_dual                 m48pa_swio10_dual_pr
static const uint64_t ur_m48p_swio10_dual[] = {
  0x5ddddddd41e7ce7c, 0x53350e50875b0fd0, 0xe96ade4ab8f1795b, 0x5a1a2a0ab0c64421, 0x6ca9c46eb7682bd7,
  0x1ddcb66da7875c7e, 0x00948044cc13e327, 0x832bac0db4ae22c8, 0xc0a774f8971030a1, 0xf8705f73145fccbf,
  0x607dd4dea3c7bd83, 0x2bfcc68114239215, 0xbbe2efadf006e1f0, 0x2196846488657717, 0xd7fe80e784d6b454,
  0x130586f2bc84b6e5, 0xbe587c1d952bfced, 0xc72ac0c45f51e443, 0x62c055079bf71951, 0x75e00ced38a37bce,
  0x6b5e0faa01ffb304, 0xee2a4b7f8607967b, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x404e576a96fab39d,
  0x255aba5fd10a9ae0, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xd976455bd8aaa2d2,
  0xc9ab83cd94462fe6, 0x3c819a7c68b2d5e5, 0xe34a1854e7ea7566, 0x93f01f343c899e04, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x00524c74575aa792,
};

// m48pa_swio10_dual_pr_u4
static const uint64_t ur_m48p_swio10_dual_pr_u4[] = {
  0x33dddddda2e7ce7c, 0x053350e5096270fc, 0xb5a3db571d454109, 0x9fb7a6f5f6270913, 0x87e5867acccf7619,
  0x8c9cc6e5b36d3c5a, 0x8b2002521a0f304f, 0xc2860caeb036d2b8, 0x32ff029dd3e25c40, 0x6c36f9c03dcc63ff,
  0x485581e9537a8f22, 0x87c0aff31a04508e, 0xdc5eef8bbc66c01b, 0xd150865a16b22195, 0xdbc87ffa039e1313,
  0xf3b44c161bcaf212, 0x2f8ef96dec76406f, 0x7c8e3956064d7a8f, 0xf6731602fe1cdb7d, 0xc608ebc8b768c91e,
  0x77715252b3a0dc72, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x020272bb54b7d59c, 0x292ad5d2fe8854d7,
  0x407973daad115e54, 0x44c2f52d794e02e7, 0xd1022fdc50216958, 0xa2317f36d38c6f19, 0x68b1be2e4d5c1e6c,
  0xe7ea75663c819a7c, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00001493085bad53,
};

// m48pa_swio10_dual_pr_ee
static const uint64_t ur_m48p_swio10_dual_pr_ee[] = {
  0x17bbbbba1eb432db, 0x54cd4385c500e1f8, 0xb93375053d68371c, 0x13c94a75cea2f2d5, 0xec2c9f635f17c0bb,
  0xb723822ac69e33ae, 0x4a44463304f8c934, 0x95d606da57116400, 0x73ba7c4b881850c1, 0x3813a992d7e65c1c,
  0xf7dcdea3c56d80d6, 0xf98d022847242ac0, 0x8bbf9be00dc3e057, 0x5a0fe22195dc5eef, 0xf4073c26dbf15086,
  0x586f2bc84b6fbb5f, 0xbec76757ffa43f30, 0xf51e5795a0ff6b46, 0xae577a8f83660fba, 0xb1148b34eb4203f8,
  0x7427e66006be8c2c, 0x7b46801cead2e52c, 0x9ed56ba1d7b19bb0, 0xe9662e1214e28def, 0x951b0465ff805ecb,
  0xf3bb8a928e2e32b5, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0xb8101395daa5beac, 0xa14956ae97f442a6,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8, 0x59d3e1b8f365118b,
  0x7ea75666fe0eee34, 0x9c65f989fca1854e, 0xcf7ff04d0f22678b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0xb22ecb852792bf73, 0x0000000000000002,
};

// m48pa_swio10_dual_pr_ee_u4
static const uint64_t ur_m48p_swio10_dual_pr_ee_u4[] = {
  0x89dbbbbbb4486f97, 0x2553350e171ad61f, 0x337bbdd69c6eba77, 0x91dfd38163af9f69, 0x806abe350d7c5f13,
  0x16e4f04674e16a74, 0x0948f5aa609f1935, 0x32bac0db4ae22c80, 0x8e774f8971030a18, 0x6708ad30d6fccb83,
  0x1a9e9bd47df7b0d3, 0xff31a04508e48558, 0xf177f47c01b87c0a, 0xcb40ca4432bb8bdd, 0xff4073c26ea22a10,
  0x0586f2bc84b6e63f, 0x38f63b2397fa43f3, 0xafa8f2b28707fb5a, 0xc56c17d47c1b3067, 0x6588a459a75a101f,
  0xa3a0e3330035f461, 0xd22239b8e7569774, 0xca7b55ae875e534e, 0x971f18b8484be238, 0x549475194bff00bd,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0x9caed52df5673a8a, 0xb574bfa21535c080, 0x5cf6ab4457950a4a,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xec8ab7b15545a482, 0x0dc79b288c5fcdb2, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x564085dc293c95fb,
};

// m48pa_swio10_dual_pr_ce
static const uint64_t ur_m48p_swio10_dual_pr_ce[] = {
  0xd3ddddddde7c1a4e, 0xb53350e50810f0ff, 0xbd2afd4672ee82d0, 0x9fbe4a932713b2cf, 0x0b146a6c5bbf4d71,
  0x642e49aee1689fee, 0x004a46a83304f8c9, 0xc195d606da571164, 0xe053ba7c4b881850, 0xce3848798bafe65f,
  0xc0d7dcdea3b93d87, 0x57f98d022847242a, 0x77c5de6b600dc3e0, 0x432d0c9110caee2f, 0xbffa039e132d78a8,
  0x4c161bcaf212dbef, 0xff59b8761c3ff3b4, 0x883f3cbcbcecba9d, 0x50e3309cee6d77f9, 0x1acff51e5f4f72c0,
  0x1602c7bd2a38e558, 0xd7916ed92231be73, 0x5251d465b8e58cf1, 0x2e556b3f8abe7771, 0x551aecec39eacdaf,
  0x72bb54b7d59cea2a, 0xd5d2fe8854d70202, 0x73daad115e54292a, 0xb94b5f3a03c72b5d, 0x718de33a20421520,
  0x618edec55516920a, 0xb83cd94462fe6d97, 0x0669f1a2c79c5c9a, 0x33d30ae4fdd598f2, 0xe9296cf8138cb25c,
  0xd6a9e4afdcd0ccb0, 0x0000000039eb6e3d,
};

// m48pa_swio10_dual_pr_ce_u4
static const uint64_t ur_m48p_swio10_dual_pr_ce_u4[] = {
  0x93b777776890cf68, 0x0a99a87099dcec3f, 0xb6b8eed8629d2ed6, 0x2718966745e55e73, 0xec44f51f67dbb93a,
  0x9b237268fa9d7b86, 0x4004a45c95304f8c, 0x0c195d606da57116, 0xc1c73ba7c4b88185, 0x6ce3847298e0fe65,
  0xac0f024dea3dbad8, 0x057f98d022847242, 0xeef8bbda0e00dc3e, 0x10cb403da2195dc5, 0x7ffe80e784c13e2a,
  0xe60b0de579096dec, 0xbea63c760d6ff487, 0x20f3c2c03091c1b8, 0xc25f886c2445f71a, 0x5dcdafd1f524fd47,
  0xfa89ee58cfa9733c, 0xeea38e5581dc3f51, 0x9c51bde731602d4a, 0x00ffd99e3af00676, 0xf0c0f2d6e5af07d5,
  0xacfe2af9ddc5496f, 0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xfa21535c0809caed, 0xb4457950a4ab574b,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0x65118bf9b65d863b, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xeb852792bf734332, 0x00000000000d24e9,
};

// m48pa_swio10_dual_pr_ee_ce
static const uint64_t ur_m48p_swio10_dual_pr_ee_ce[] = {
  0x9daddddddd436f02, 0xe94cd4385edc2f0f, 0xb66d3763524c2946, 0x9055899c44decdd6, 0x4f5a0a2782f23e76,
  0xe4fe1f35ef262cdb, 0x909e5e609f193706, 0x7581b695c4590012, 0xee9f12e206143065, 0x1a6a67f9f997071c,
  0x3f37a8fff3601a0e, 0xc68114239215607d, 0xbc617006e1f02bfc, 0x0a5a2195dc5eef8b, 0x0e784df3a2a10cb4,
  0xde579096df1bbfe8, 0x8ec9dbff487e60b0, 0x06129db3bfea8d82, 0xcdae089300fe7858, 0x80ddacacc926139d,
  0x06cc184ff51e56a7, 0xeb4239015e04f51f, 0x06be8c2cb1148b34, 0x801cead7052feb60, 0xe9c1d7b19bb07b46,
  0xb848538a37be7b55, 0x08a04e017b2fa598, 0x8a92f4f4656b2a36, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d,
  0x1395daa5beace751, 0x56ae97f442a6b810, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xbb0c76f62aa8b490, 0xc371e6ca2317f36c, 0xab337f07771a2c79, 0x1964b867a615c9fb, 0xa19961d252d9f027,
  0x0870a5c293c95fb9, 0x0000000000000026,
};

// m48pa_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3f72df, 0x9a8736df1ff0f843, 0xc3b45f62e758ed29, 0x2bebb4f577b90f5f, 0xc824bb0869cac316,
  0xf35c32d15efeaf87, 0xe324dd5cb6b5506a, 0x2c80094878f5cc13, 0x0a1832bac0db4ae2, 0x2bb316774f897103,
  0x087c70c6e9bb07f3, 0x5606ff26f51daef6, 0x02bfcc6811423921, 0xeef8bbde01006e1f, 0x10cb436722195dc5,
  0xa3fe80e784d95a2a, 0xe60b0de579096dd2, 0xa38e43b3f5ffdf34, 0x9e1601073f5ee2fa, 0xfc4361222fb8d107,
  0x6bbc03118fea3e12, 0x376b737924cf1773, 0xb30613fd4795a9e0, 0xd08e4057813d47c1, 0xafa30b2c4522cd3a,
  0x073ab5c14bfad801, 0x7075ec66ec1ed1a0, 0x1214e28def9ed57a, 0x2813805ecbe9662e, 0xa4bd3d195aca8d82,
  0x5caad67f157ceee2, 0xaa35d9d873d59b5e, 0xe576a96fab39d454, 0xaba5fd10a9ae0404, 0xe7b55a22bca85255,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xc31dbd8aaa2d2414, 0x7079b288c5fcdb2e, 0x1bf411a2c6f8b935,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xc80a792bf734332c, 0x000000001001756d,
};

/*
 * m48p_swio11_noled_pr              m48p_swio12_noled                 m48p_swio12_noled_pr
 * m48pa_swio11_noled                m48pa_swio11_noled_pr             m48pa_swio12_noled
 * m48pa_swio12_noled_pr             m88_swio11_noled                  m88_swio11_noled_pr
 * m88_swio12_noled                  m88_swio12_noled_pr               m88a_swio11_noled
 * m88a_swio11_noled_pr              m88a_swio12_noled                 m88a_swio12_noled_pr
 * m88p_swio11_noled                 m88p_swio11_noled_pr              m88p_swio12_noled
 * m88p_swio12_noled_pr              m88pa_swio11_noled                m88pa_swio11_noled_pr
 * m88pa_swio12_noled                m88pa_swio12_noled_pr             a6612c_swio11_noled
 * a6612c_swio11_noled_pr            a6612c_swio12_noled               a6612c_swio12_noled_pr
 */
static const uint64_t ur_m48p_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x1d9dd7fb30be7e3d, 0xd7ff51d313be5ba0, 0xee99001f238e5581, 0x76e91193c731602d,
  0x043ee39630475e2e, 0x1cf566d7972ab52b, 0xaece75152a8d7676, 0xf442a6b395daa5be, 0x5a22bca85256c6f5,
  0x94a9f4ef3f5ae7b5, 0x042d2c2e753a9c05, 0x718de33a2047978a, 0xf386ed94462fe6da, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0xf204905d79e4afdc, 0x0000000000000001,
};

/*
 * m48p_swio12_noled_pr_u4           m48pa_swio11_noled_pr_u4          m48pa_swio12_noled_pr_u4
 * m88_swio11_noled_pr_u4            m88_swio12_noled_pr_u4            m88a_swio11_noled_pr_u4
 * m88a_swio12_noled_pr_u4           m88p_swio11_noled_pr_u4           m88p_swio12_noled_pr_u4
 * m88pa_swio11_noled_pr_u4          m88pa_swio12_noled_pr_u4          a6612c_swio11_noled_pr_u4
 * a6612c_swio12_noled_pr_u4
 */
static const uint64_t ur_m48p_swio11_noled_pr_u4[] = {
  0x783bbbbb45d8bf82, 0xcb4b10acebeb0d82, 0xa1ea44cf741921dd, 0x1352569425f85c76, 0x3f4a64f75b04f066,
  0x4eeae3122a6e0d93, 0xff3b467fba9827c6, 0x3c4277cb7403b0f5, 0xebe471cab03affea, 0x64d1cc580b7ba609,
  0xe58c11d78b9da324, 0xdaf2e556a56741b8, 0xa2a551aecec39eac, 0xd672bb54b7d5d9ce, 0x950a4ad8debe8854,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0xc5fcdb610c55bd8a, 0xc6f8b9357079b288,
  0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x000f9348bdc4f9e4,
};

// m48p_swio12_noled_pr_ee           m48pa_swio11_noled_pr_ee          m48pa_swio12_noled_pr_ee
static const uint64_t ur_m48p_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xf72d2c4223d3ac6e, 0xef619ef1fa114cc3, 0xe0fe16f26d8fa867, 0x199b0a6c8a0bfeef,
  0x327757189123f06c, 0xaff3b467e394c13e, 0xdd07fb5a3910765b, 0x7c1b3060a7a8f2bf, 0xd3ad080fe2b7f3d4,
  0x801afa30b2c4522c, 0x73ab4b87b1d63399, 0x875e00cecf7a3c8a, 0x90ae1a326a7b55ae, 0x5ff805ecb8723170,
  0x59b5e5caad47421e, 0x9d454aa35d9d873d, 0xa9ace576a96fabb3, 0xaf2a1495b1bd7d10, 0x7d3bcfd6b9ed5688,
  0x4b0b9d4ea701652a, 0x78ce8811e5e2810b, 0xe365118bf9b69c63, 0x03b6868b1e71726a, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x27cf257ee6866587, 0x000000000a7cd38e,
};

// m48p_swio12_noled_pr_ee_u4        m48pa_swio11_noled_pr_ee_u4       m48pa_swio12_noled_pr_ee_u4
static const uint64_t ur_m48p_swio11_noled_pr_ee_u4[] = {
  0x122eeeeed1222044, 0xae5a588448675879, 0xc8eb45d1835cdad5, 0x22e1fad3179b163e, 0xae34d4d91417f791,
  0xc9dd4149cba70437, 0x7fa43f9f8e5304f8, 0xf07fb5a30f63b2dd, 0xc1b307a57a8f2b90, 0x75a101fc5670fd47,
  0x035f4616588a459a, 0x75697fdc3a1f7330, 0xebd0d4eda523884e, 0x09314622cf6ab5d0, 0x7fe017b2d9731709,
  0xa38be839e546c119, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0xdebe8854d672bb54, 0xf6ab4457950a4ad8,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0x7079b288c5fcdb61, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x2a22f9e4afdcd0cc, 0x000000000009d7ab,
};

// m48p_swio12_noled_pr_ce           m48pa_swio11_noled_pr_ce          m48pa_swio12_noled_pr_ce
static const uint64_t ur_m48p_swio11_noled_pr_ce[] = {
  0x661fddddddec4743, 0x15cb4b10ad64eb0a, 0xc695bde6ec1ee274, 0xfc44369a9c2f6226, 0x60ad1850dbdd5330,
  0x27c64eed45e4b415, 0xcf9dfe768cf97598, 0x2e0e3a53bfeb370e, 0x3b9b5c3469afcf2f, 0xebe4f72c05d64c27,
  0x97d1c72ac0d67fa8, 0x4c5188a731602edf, 0x807feccf1d7a3e76, 0x08981e5add6b13ca, 0xd873d59b5e5caad5,
  0xfabb39d454aa35d9, 0xd7d10a9ace576a96, 0xd5688af2a1495b1b, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1,
  0x63b7b15545a5b44e, 0x5c6ca2317f36d842, 0x2076d0d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0xc4f9e4afdcd0ccb0, 0x000000000b7517ed,
};

// m48p_swio12_noled_pr_ce_u4        m48pa_swio11_noled_pr_ce_u4       m48pa_swio12_noled_pr_ce_u4
static const uint64_t ur_m48p_swio11_noled_pr_ce_u4[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff487f3fa6e609, 0x692575c5f5ee8766, 0x222fb8d1079e5e5d, 0xd257ea3e12fc4361,
  0xcfd64cf17736bb21, 0x81acff51d7c9ee58, 0x62c05dbf2fa38e55, 0x3af47cec98a3114e, 0xbad6279500ffd99e,
  0xbcb955aa11303cb5, 0xa9546bb3b0e7ab36, 0x9caed52df57673a8, 0x4292b637afa21535, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0xfe6db084c76f62aa, 0x7c5c9ab83cd94462, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0dd779b7117cf257,
};

// m48p_swio12_noled_pr_ee_ce        m48pa_swio11_noled_pr_ee_ce       m48pa_swio12_noled_pr_ee_ce
static const uint64_t ur_m48p_swio11_noled_pr_ee_ce[] = {
  0x99eeeeeea0a232a8, 0x5a58e42ff4eb036c, 0x891dc7798d685eee, 0x17c791fa8a0ce38e, 0x6d2f85d0e0db2669,
  0x9d68d4ccd9f725a6, 0x3f9fdda9827c64ee, 0xf54721c7618fffa4, 0x7f3cbcbad218f9df, 0x26139dcdaeea8d50,
  0x1e57f380ddacac1f, 0xd2fa8f83660e71f5, 0x8a459a75a11c80ad, 0xddf5b0035f461658, 0xeda523884e756b8f,
  0x8b3daaf4e0ebd0d4, 0xcb65cc5c2424c518, 0x73ca8d822813805e, 0xacdaf2e556bd3dd0, 0xcea2a551aecec39e,
  0x54d672bb54b7d5d9, 0x57950a4ad8debe88, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3,
  0x118bf9b6c2131dbd, 0x2cb579726ae0f365, 0x3f53ab31e40fca1a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1,
  0x1d252d9f0271964b, 0x445f3c95fb9a1996, 0x00000000004fc2b5,
};

// m48p_swio12_noled_pr_ee_ce_u4     m48pa_swio11_noled_pr_ee_ce_u4    m48pa_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_swio11_noled_pr_ee_ce_u4[] = {
  0xc7eeeeed173e5f41, 0xcb4b1b3906eb18ee, 0xd667a56c908036dd, 0x623854bbe4a1040b, 0x6669693fc1f1dd8f,
  0xed17f76d8ab8c4e4, 0xcd3cfc009827c64e, 0xbea8f7d8ecb5bff7, 0x883cf2f2f3bb5bb8, 0xf097e21b09117dc6,
  0x5dcdaeedd8593f51, 0xf380ddadcd8f933c, 0x8f83660e71f51e57, 0x9a75a11c80add2fa, 0xb0035f4616588a45,
  0x23884e756b8fddf5, 0xaaf4e0ebd0d4eda5, 0xcc5c2424c5188b3d, 0x8d822813805ecb65, 0xf2e556bd3dd073ca,
  0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0x0a4ad8debe8854d6, 0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3,
  0x2d2da2718de33a20, 0xf9b6c2131dbd8aaa, 0xf1726ae0f365118b, 0xab31e40cd3e3458d, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x9f8fc09d6a9e4afd,
};

/*
 * m48p_swio12_lednop                m48pa_swio11_lednop               m48pa_swio12_lednop
 * m88_swio11_lednop                 m88_swio12_lednop                 m88a_swio11_lednop
 * m88a_swio12_lednop                m88p_swio11_lednop                m88p_swio12_lednop
 * m88pa_swio11_lednop               m88pa_swio12_lednop               a6612c_swio11_lednop
 * a6612c_swio12_lednop
 */
static const uint64_t ur_m48p_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x076489fecc2f9f0f, 0x75ffd475f0ef96e8, 0xee9b6fcbe8e39560, 0xd96ba3b86731602d,
  0x5adb8e58c11d78b9, 0x39eacdaf2e556a56, 0x5d9cea2a551aecec, 0x4d7020272bb54b7d, 0xf2a1495cbd2fe885,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x8bf9b6c63156f62a, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000001527d62ebcf,
};

/*
 * m48p_swio12_lednop_pr             m48pa_swio11_lednop_pr            m48pa_swio12_lednop_pr
 * m88_swio11_lednop_pr              m88_swio12_lednop_pr              m88a_swio11_lednop_pr
 * m88a_swio12_lednop_pr             m88p_swio11_lednop_pr             m88p_swio12_lednop_pr
 * m88pa_swio11_lednop_pr            m88pa_swio12_lednop_pr            a6612c_swio11_lednop_pr
 * a6612c_swio12_lednop_pr
 */
static const uint64_t ur_m48p_swio11_lednop_pr[] = {
  0x226eeee87afb1762, 0x96962158b8d627ba, 0xe9efaff0b910cd6b, 0x2e276dfa548b8ef5, 0xf8ff17bb3dd111e4,
  0x77699a330668ee17, 0xf3b467d7dcc13e32, 0x400ef96dec7647bf, 0xd4471cab0326bd47, 0x37ce62c0596533f9,
  0xb30475e8f9db2446, 0xcb3db83fd22a01ff, 0xb36bcb955acbb503, 0x3a8a9546bb3b0e7a, 0x0809caed52df5767,
  0x52572f4bfa21535c, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d,
  0x5c9ab83cd94462fe, 0xcc7903b6868b3a7c, 0x313f9430a9cfd4ea, 0x09a1e44cf1738cbf, 0x19e985727e39effe,
  0x7494b67c09c6592e, 0xe27cf257ee686658, 0x00000000003e4cc8,
};

/*
 * m48p_swio12_lednop_pr_u4          m48pa_swio11_lednop_pr_u4         m48pa_swio12_lednop_pr_u4
 * m88_swio11_lednop_pr_u4           m88_swio12_lednop_pr_u4           m88a_swio11_lednop_pr_u4
 * m88a_swio12_lednop_pr_u4          m88p_swio11_lednop_pr_u4          m88p_swio12_lednop_pr_u4
 * m88pa_swio11_lednop_pr_u4         m88pa_swio12_lednop_pr_u4         a6612c_swio11_lednop_pr_u4
 * a6612c_swio12_lednop_pr_u4
 */
static const uint64_t ur_m48p_swio11_lednop_pr_u4[] = {
  0x4f07777768bb1762, 0xbb969621586561b0, 0x7617ef85e8283243, 0xcc26a475f5a789cc, 0xc01b6d22eeb609e0,
  0xe3277699a335a11d, 0x44ff3b467c3dcc13, 0xea3af877cb7403b2, 0xb7e5f471cab03aff, 0xd1dc3398b016f74d,
  0xc72c608ebc5cecb5, 0x66d7972ab52b2d6d, 0x75152a8d76761cf5, 0x101395daa5beaece, 0xa4ae5e97f442a6b8,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a, 0xb9357079b288c5fc,
  0xb31e40eda1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0xc9842dc4f9e4afdc, 0x0000000000000007,
};

// m48p_swio12_lednop_pr_ee          m48pa_swio11_lednop_pr_ee         m48pa_swio12_lednop_pr_ee
static const uint64_t ur_m48p_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x3f72d2c42261558d, 0x69ed0bd623e2d4cc, 0xfc1fc2de4d7a70bc, 0x9fbc5eb411417fdd,
  0xc64eed33467f4d1d, 0xadfe768cf93a9827, 0xf3a0ff6b47220ec8, 0x8f83660c14f51e57, 0x34eb4203f8aea57a,
  0x6006be8c2cb1148b, 0xce756977f0758ce6, 0xe875e00cedf2237b, 0x090b7b4770e7b55a, 0xe5ff805ecb872317,
  0xd59b5e5caad47582, 0x39d454aa35d9d873, 0xe0404e576a96fabb, 0x4292b97a5fd10a9a, 0x79fad73daad115e5,
  0x3abd4b0b29b16740, 0xd1028be8a042d357, 0xa2317f36d38c6f19, 0xd0d163ce2e4d5c6c, 0x30ae4fdd598f2076,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x0000029f1539c4f9,
};

// m48p_swio12_lednop_pr_ee_u4       m48pa_swio11_lednop_pr_ee_u4      m48pa_swio12_lednop_pr_ee_u4
static const uint64_t ur_m48p_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed12232a8, 0xae5a58844a175879, 0x2eae3ddb6ebcdad5, 0x5c3f5a433c5ef4cd, 0xb415682282fef224,
  0x9dd3ad1a848b3ea8, 0xfa43f9f275304f8c, 0x07fb5a30f63b22b7, 0x1b307a57a8f2b297, 0x5a101fc5650fd47c,
  0x35f4616588a459a7, 0x5697f9c3a1f73300, 0x7a1a9d827a35f0e7, 0xc9118df9ed56ba1d, 0xf805ecb65cc5c242,
  0xe2ed627951b0465f, 0xb0e7ab36bcb955a8, 0xf57673a8a9546bb3, 0x1535c0809caed52d, 0x2bca852572f4bfa2,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x462fe6db18c55bd8, 0x1637c5c9ab83cd94,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000004eb967117cf,
};

// m48p_swio12_lednop_pr_ce          m48pa_swio11_lednop_pr_ce         m48pa_swio12_lednop_pr_ce
static const uint64_t ur_m48p_swio11_lednop_pr_ce[] = {
  0x661fddddddec53c3, 0x0ae5a58856242b0a, 0xbf4ddeecfe0f713a, 0xfc4436ac9b532678, 0x389b082543dd5330,
  0x27c64ee91f977646, 0xc387fe768cfb0598, 0x2e0e1753bfeb370e, 0xee6d79dbb5bfcf2f, 0x97d3dcb01759309c,
  0x4a8e395606b3fd47, 0x488c6f9cc580b1ef, 0x03ff6678ebd1f3b6, 0xda81e5add07fa454, 0x873d59b5e5caad65,
  0xabb39d454aa35d9d, 0xa9ae0404e576a96f, 0x5e54292b97a5fd10, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0x62fe6db1898edec5, 0xa2c79c5c9ab8d944, 0x5c9fbab31e40eda1, 0x64a271964b867a61,
  0x5fb9a19961d252d9, 0x0016eadc7b89f3c9,
};

// m48p_swio12_lednop_pr_ce_u4       m48pa_swio11_lednop_pr_ce_u4      m48pa_swio12_lednop_pr_ce_u4
static const uint64_t ur_m48p_swio11_lednop_pr_ce_u4[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe90fe7e394c13, 0xd269bb8bebdd0ecb, 0x445f71a20f3cbcba, 0xca8fd47c25f886c2,
  0x9fac99e2ee6d724a, 0x06b3fd4797d3dcb1, 0xc580b1ef4a8e3956, 0xebd1f3b6488c6f9c, 0xd07fa45403ff6678,
  0xe5caad65da81e5ad, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x97a5fd10a9ae0404, 0x73daad115e54292b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0xb83cd94462fe6db1, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x95117cf257ee6866, 0x000000000006ebd5,
};

// m48p_swio12_lednop_pr_ee_ce       m48pa_swio11_lednop_pr_ee_ce      m48pa_swio12_lednop_pr_ee_ce
static const uint64_t ur_m48p_swio11_lednop_pr_ee_ce[] = {
  0xd933dddddd447e4a, 0xdcb4b1c85fc8d606, 0x7b7076c982fad0bd, 0xa45f1ff4c8f9fb83, 0x60bd7e1743836c99,
  0xba528eb1ba57d2ed, 0x487f3fa6a609f193, 0xdff54721c767fcff, 0xa0ff9e5e5d693fe1, 0x83e4c273b9b5f2a1,
  0x3ea3cace181bb595, 0x15975f51f06cc1ce, 0xcb1148b34eb42390, 0x71f3beb6006be8c2, 0x353b04f46be1cead,
  0x8c6fcf6abd383af4, 0x2f65b2e62e121648, 0xb589e546c11409c0, 0xcf566d7972ab5e9e, 0xece75152a8d76761,
  0x6b8101395daa5bea, 0x950a4ae5e97f442a, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0xbf9b6c6263b7b155, 0xb1e71726ae365118, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x0534ce7d117cf257,
};

// m48p_swio12_lednop_pr_ee_ce_u4    m48pa_swio11_lednop_pr_ee_ce_u4   m48pa_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_swio11_lednop_pr_ee_ce_u4[] = {
  0xc7eeeeed173e6d3a, 0xcb4b1b388eeb18ee, 0xd29db8bd048036dd, 0xc470a8372eda29ba, 0x38c4d27f83e3bb1e,
  0xb73b66c7b64cb139, 0x69e7f1ba609f193b, 0xf547bec7635dffbe, 0x41e797979db5ddc5, 0x84bf10d8488bee34,
  0xdcdafc3fc7ddfa8f, 0x0c0ddadcd8f933c5, 0xf83660e71f51e567, 0xa75a11c80acbafa8, 0x0035f4616588a459,
  0x35f0e756b8f9df5b, 0x5e9c1d7a1a9d827a, 0x17090b244637e7b5, 0x608a04e017b2d973, 0xb955af4f5ac4f2a3,
  0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c, 0x7b55a22bca852572, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb631, 0x669f1a2c6f8b9357, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xeb54f257ee686658,
  0x0000000004fcd1c4,
};

/*
 * m48p_swio11_dual_pr               m48p_swio12_dual                  m48p_swio12_dual_pr
 * m48pa_swio11_dual                 m48pa_swio11_dual_pr              m48pa_swio12_dual
 * m48pa_swio12_dual_pr
 */
static const uint64_t ur_m48p_swio11_dual[] = {
  0x1ebeeeeeef3e1000, 0xa66a1ca115f61f08, 0xd8d5ab07e9e2f2b6, 0xb411f3b402ac496a, 0xa4cfb453b74207ae,
  0xc7772ad577d17ecd, 0x0025239bf304f8c9, 0x60caeb036d2b88b2, 0xf029dd3e25c40c28, 0xfe1c17dcc517f32f,
  0x581f7537a8f1ef60, 0x0aff31a04508e485, 0xeef8bbdaec01b87c, 0x0865a11922195dc5, 0x4bffa039e135ad15,
  0x44c161bcaf212db9, 0xdf2cb5c76145ff3b, 0xe395607bdfa8fdd1, 0x62c0550799c987b8, 0x75e00cec80234c4e,
  0xb7bc6faa01ffb304, 0xbb8a92be7503cb3d, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x01395daa5beaece7,
  0x4ae5e97f442a6b81, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4,
  0x9357079b288c5fcd, 0x1e40cd3e3458f38b, 0x4b867a615c9fbab3, 0x961d252d9f027196, 0xebbad53c95fb9a19,
  0x000000000000c413,
};

// m48p_swio12_dual_pr_u4            m48pa_swio11_dual_pr_u4           m48pa_swio12_dual_pr_u4
static const uint64_t ur_m48p_swio11_dual_pr_u4[] = {
  0x9fbddddda24343ee, 0x99a8728481787da5, 0x1edbbf4ec8a08482, 0x9fb7a741772741bd, 0xb4f00a69c1bb75a5,
  0x19398dcabbf22421, 0x8b2002521492609f, 0xc2860caeb036d2b8, 0x32e0e39dd3e25c40, 0x6c36f9c03dcc63ff,
  0x485581e9537a8f22, 0x87c0aff31a04508e, 0xee2f77c5dfff001b, 0xe8a8432d0b5910ca, 0x6dce1ffd01cf0989,
  0xf487e60b0de57909, 0x389df2d07c762fbf, 0x6e8e395607d07a8f, 0x1f398b017f0e632a, 0x8c11d7916ed9151c,
  0xeee2a4a56749b8e5, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x404e576a96fabb39, 0x92b97a5fd10a9ae0,
  0x07973daad115e542, 0x4c2f52d794e02e74, 0x10363fc502169584, 0x2317f36d38c6f19d, 0xbb8d1637c371e6ca,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x0a4f257ee6866587, 0x000000014939f057,
};

// m48p_swio12_dual_pr_ee            m48pa_swio11_dual_pr_ee           m48pa_swio12_dual_pr_ee
static const uint64_t ur_m48p_swio11_dual_pr_ee[] = {
  0x627777743d686f97, 0x9a870b8a27e1f667, 0x0ee9da69d06e38a9, 0x4a52aabdd6e356a1, 0x7b171af8bd99d89e,
  0xe08ce87e29d5714d, 0x1544c13e324d2dc9, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x75325afccb838e77,
  0x9bd478adb01ac702, 0xa04508e485581efb, 0x980401b87c0aff31, 0xfc4432bb8bddf177, 0xe784db7e2a10cb41,
  0xf2bc84b6e1a3fe80, 0x3b12d7fa43f30586, 0xf2b95d07fb5a3a94, 0xdfa8f83660f6ffa8, 0x48b34eb4203f8af7,
  0x7e66006be8c2cb11, 0x7a51cead2e50c742, 0x56ba1d7b19bb47b4, 0x62e1212008d319ed, 0xb0465ff805ecbe96,
  0x715251c5e4511551, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020,
  0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0xe1b8f365118bf9b6,
  0x5666fe0eee3459d3, 0xf989fca1854e7ea7, 0xf04d0f22678b9c65, 0x70cf4c2b93f1cf7f, 0xc3a4a5b3e04e32c9,
  0x4b852792bf734332, 0x000000000000ac86,
};

// m48p_swio12_dual_pr_ee_u4         m48pa_swio11_dual_pr_ee_u4        m48pa_swio12_dual_pr_ee_u4
static const uint64_t ur_m48p_swio11_dual_pr_ee_u4[] = {
  0xc8ef77776890cf68, 0x4cd4385c6e761fc9, 0x5c776c314ee9dc95, 0xfe9b33a2f2af39db, 0xa3ecf86be2fc9c8e,
  0x4d1f53af70dd889e, 0x8b92a609f193516e, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x8ad30d6fccb838e7,
  0xe9bd47df7b0d3670, 0x1a04508e485581a9, 0x7b41c01b87c0aff3, 0x0ca4432bb8bddf17, 0x073c26ea22a10cb4,
  0x6f2bc84b6f63fff4, 0xe3b06b7fa43f3058, 0x8f2b60b07fb5a331, 0xa7bd47c1b307d47a, 0x8a459a75a101fc56,
  0x0e3330035f461658, 0x23050e7569790e3a, 0xb55ae875e534eddd, 0xe317090a6e479167, 0x1d64597fe017b2e3,
  0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x365118bf9b6c6315, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x9eb852792bf73433, 0x000000000000564e,
};

// m48p_swio12_dual_pr_ce            m48pa_swio11_dual_pr_ce           m48pa_swio12_dual_pr_ce
static const uint64_t ur_m48p_swio11_dual_pr_ce[] = {
  0xae3dddddde7cbd5b, 0x99a872842d587cc4, 0xefdea3b8e341685a, 0xdac139df69eb157e, 0xed9f20add312b8cf,
  0x2172eefdc05ad07a, 0x02520dbb9827c64b, 0x0caeb036d2b88b20, 0x029dd3e25c40c286, 0x71c243cc5d7f32ff,
  0x06bee6f51dc9ec3e, 0xbfcc681142392156, 0xbe2efbc3006e1f02, 0x196864888657717b, 0x7fd01cf0996bc542,
  0x60b0de579096dedd, 0xfa8283b0baff9da2, 0xbff9e5e5e7652cef, 0x1c66139dcdaf6b75, 0xc9ef51e719ee580a,
  0xb014c79eb1c72ac0, 0x5e45bb2f88e32398, 0x928eb22ee39633c7, 0x72ab59fc55f3bb8a, 0xa8d76761cf566d79,
  0x5daa5beaece75152, 0xe97f442a6b810139, 0xf6ab4457950a4ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0x0f365118bf9b6c62, 0x9a7c68b1e71726ae, 0xf4c2b93f75663c81, 0x4a5b3e04e32c970c,
  0xaa792bf734332c3a, 0x00000000e7af1b75,
};

// m48p_swio12_dual_pr_ce_u4         m48pa_swio11_dual_pr_ce_u4        m48pa_swio12_dual_pr_ce_u4
static const uint64_t ur_m48p_swio11_dual_pr_ce_u4[] = {
  0x2313b77776890c86, 0xa99a87099d57e1f3, 0xd77ee80a2952ed60, 0xe3121b9d6f7ed396, 0x8a1640258b74c8c4,
  0x6c8dcbbb1bb2d079, 0x001290f00cc13e32, 0x30657581b695c459, 0x071cee9f12e20614, 0xb38e11ca6383f997,
  0xb03c0937a8f6eb61, 0x15fe63408a11c90a, 0xddf177a9200370f8, 0x2196807b4432bb8b, 0xdffd01cf09827c54,
  0xcc161bcaf212db8c, 0xbeafe0ec383fe90f, 0x20f3c2c030913ab8, 0xc25f886c2445f71a, 0xbb9b5da0e089fd47,
  0x09f3dcb19f52e678, 0x6fc71cab03b5bd47, 0x0046989cc580a517, 0x03ff6678ebc019d9, 0x3a81e5adcf78df54,
  0xacfe2af9ddc5495f, 0xb3b0e7ab36bcb955, 0x2df57673a8a9546b, 0xa21535c0809caed5, 0xa22bca852572f4bf,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x288c5fcdb63131db, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x5c293c95fb9a1996, 0x0000000000349205,
};

// m48p_swio12_dual_pr_ee_ce         m48pa_swio11_dual_pr_ee_ce        m48pa_swio12_dual_pr_ee_ce
static const uint64_t ur_m48p_swio11_dual_pr_ee_ce[] = {
  0xb20adddddd431f02, 0x53350e17bf7187c7, 0xb04dd67c738a51ba, 0xab13f6b0fb265ced, 0x99121605e47c7b20,
  0x4a31166dc866141f, 0x0724e609f193706e, 0x581b695c45900129, 0xe9f12e2061430657, 0xa6a67f9f997071ce,
  0xf37a8fff3601a0e1, 0x68114239215607d3, 0xfd4e006e1f02bfcc, 0x52d10caee2f77c5d, 0x73c26f9d150865a0,
  0xf2bc84b6ffafff40, 0x3b1fe7fa43f30586, 0x0c24ff0effaa353c, 0x9b5f9bea91fcf0b0, 0x01bb5959924c273b,
  0x06cc1c89ea3caf02, 0xeb4239015e56f51f, 0x06be8c2cb1148b34, 0xa51cead7050feb60, 0xe9c1d7b19bb47b47,
  0xb848480234c67b55, 0x08a04e017b2fa598, 0x1525e9ec8a22aa36, 0xf2e556b3f8abe777, 0xa551aecec39eacda,
  0x72bb54b7d5d9cea2, 0xcbd2fe8854d70202, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0xc4c76f62aa8b4905, 0x371e6ca2317f36d8, 0xb337f07771a2c79c, 0x964b867a615c9fba, 0x19961d252d9f0271,
  0x8dc7dc293c95fb9a, 0x0000000000000260,
};

// m48p_swio12_dual_pr_ee_ce_u4      m48pa_swio11_dual_pr_ee_ce_u4     m48pa_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_swio11_dual_pr_ee_ce_u4[] = {
  0x96eeeed1369f2541, 0xa1cdb799bc3e5a93, 0xebade7d9d63b4a66, 0x9b41f9b36fe1d518, 0x049765a939586ebb,
  0x66f69f55efaf60f9, 0x324dd5caa71865a1, 0x64004a458f5cc13e, 0x50c195d606da5711, 0x5d98b3ba7c4b8818,
  0x43e386374dd83f99, 0xb037f937a8ed77b0, 0x15fe63408a11c90a, 0x77c5de75f00370f8, 0x865a1b3910caee2f,
  0x7ff4073c26cad150, 0x30586f2bc84b6ec8, 0x18d61d9d83fef9a7, 0xf0b00839d83717d5, 0xe21b09117dc6883c,
  0xae75f0aa3f51f097, 0xddadcde4933c5dcd, 0x660e44f51e578100, 0xa11c80af2b7a8f83, 0x5f4616588a459a75,
  0x8e756b8287f5b003, 0xe0ebd8cdda3da3d2, 0x2424011a633daaf4, 0x502700bd97d2cc5c, 0x92f4f64511551b04,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x5daa5beaece75152, 0xe97f442a6b810139, 0xf6ab4457950a4ae5,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x0f365118bf9b6c62, 0x7e823458df1726ae,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x0000000100156539,
};

/*
 * m48p_swio13_noled_pr              m48pa_swio13_noled                m48pa_swio13_noled_pr
 * m88_swio13_noled                  m88_swio13_noled_pr               m88a_swio13_noled
 * m88a_swio13_noled_pr              m88p_swio13_noled                 m88p_swio13_noled_pr
 * m88pa_swio13_noled                m88pa_swio13_noled_pr             a6612c_swio13_noled
 * a6612c_swio13_noled_pr
 */
static const uint64_t ur_m48p_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x483b3baff6617cfc, 0x81f3dea3a6277cb7, 0x2dee99001f238e55, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0xd10a9ace576a96fa, 0x4457950a4ab57bd7,
  0xe18a6f59de5cf6ab, 0x2f14085a5aff11a9, 0xcdb4e31bc674408f, 0x68b1e70ddb288c5f, 0x5c9fbab31e40d1fc,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0003e40920baf3c9,
};

/*
 * m48pa_swio13_noled_pr_u4          m88_swio13_noled_pr_u4            m88a_swio13_noled_pr_u4
 * m88p_swio13_noled_pr_u4           m88pa_swio13_noled_pr_u4          a6612c_swio13_noled_pr_u4
 */
static const uint64_t ur_m48p_swio13_noled_pr_u4[] = {
  0x65bbbbbb45d8b562, 0xddcb4b10acc46b01, 0xf7c7e8da16541921, 0x3093dc35cbd9b550, 0x76d8cddfba164783,
  0xf193bbf4e0de1570, 0xd47f9da33fb7e609, 0xf51fe43be5ba41d9, 0xd224dd1c72ac0f9e, 0x8a8fa0398b016f74,
  0x6e39630475e2e76c, 0xab36bcb955a959d2, 0x73a8a9546bb3b0e7, 0xd672bb54b7d54df6, 0xa85255abdebe8854,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0xc5fcdb1922adec55, 0xc6f8b9357079b288,
  0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0007c9a681c4f9e4,
};

// m48pa_swio13_noled_pr_ee
static const uint64_t ur_m48p_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a58844b2758, 0xc33d697aebcbda99, 0xdf83f85d09ad4fc7, 0x1c5e56f0a2282ffc,
  0xf8c9ddfa706cd2dc, 0xa6ffced19f1ad304, 0xdc9c1fed68fba1d9, 0xa3e0d98397dea3ca, 0xcd3ad080fe2b80de,
  0x9801afa30b2c4522, 0x873ab4bc7b1d6339, 0x743af006764c518f, 0xc242b591f413daad, 0xf97fe017b2e1c8c5,
  0xf566d7972ab51d57, 0xce75152a8d76761c, 0x9ace576a96faa9be, 0x950a4ab57bd7d10a, 0x9de7eb5cf6ab4457,
  0x85cea75380b2953e, 0x674408bf714085a5, 0xb288c5fcdb4e31bc, 0xdb43458f38b93571, 0xf4c2b93f75663c81,
  0xa5b2c944e32c970c, 0xe792bf734332c3a4, 0x00000029f3a4e713,
};

// m48pa_swio13_noled_pr_ee_u4
static const uint64_t ur_m48p_swio13_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xab5cb4b1088d2eb1, 0xb45d23fa4cf8f9b5, 0x9170f8d737656da9, 0x82d0bc288a0bfd08,
  0x32774ed0439765aa, 0x7fe90fe7c6b4c13e, 0x1c1fed68e3d8ecd3, 0xf06cc19ebea3cace, 0x9d68407f15975f51,
  0x00d7d18596229166, 0x9d5a5dc98e87dccc, 0x3af4353b1ea8fe43, 0x428851ef73daad74, 0x5ff805ecb65cc5c2,
  0x51c5f4982d51b046, 0x6761cf566d7972ab, 0xaa9bece75152a8d7, 0x7d10a9ace576a96f, 0xb4457950a4ab57bd,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xf365118bf9b63245, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x45f3c95fb9a19961, 0x0000000013ae917c,
};

// m48pa_swio13_noled_pr_ce
static const uint64_t ur_m48p_swio13_noled_pr_ce[] = {
  0xfb6eeeeeef623f3e, 0x82b969621594dd61, 0x5bd067a917c4dc4e, 0x7e22307c760bfd29, 0xd390424200dd7ed8,
  0x09f193bb64560841, 0xb1d2ff9da33e52e6, 0xcb83921ceffa8283, 0x3b9b5d36e76ff3cb, 0xf374f72c05d64c27,
  0xa718e3956064f7a8, 0xd10a3dece62c0532, 0x500ffd99e3af47ce, 0xbeb703cb5b845269, 0x3b0e7ab36bcb955a,
  0x54df673a8a9546bb, 0xe8854d672bb54b7d, 0xa22bca85255abdeb, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0x365118bf9b63218e, 0x3b6868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1,
  0x7cf257ee68665874, 0x00000005ba8f2ee2,
};

// m48pa_swio13_noled_pr_ce_u4
static const uint64_t ur_m48p_swio13_noled_pr_ce_u4[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff487f3fb3a60, 0xad26fbb8bebb7c76, 0x2445f71a20f3cbcb, 0x124afd47c25f886c,
  0x19fac99e2ee6d7b9, 0x58193dea3cdd3dcb, 0x398b014ca9c638e5, 0x78ebd1f3b4428f7b, 0xd6e1149a5403ff66,
  0xdaf2e556afadc0f2, 0xa2a551aecec39eac, 0xcaed52df5537d9ce, 0x4956af7afa215359, 0x5aeb9ed5688af2a1,
  0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xe6d8c863b7b15545, 0xc5c9ab83cd94462f, 0xd598f207e50d1637,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0xdd78faf117cf257e,
};

// m48pa_swio13_noled_pr_ee_ce
static const uint64_t ur_m48p_swio13_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xddcb4b1c85cc4d62, 0x23b06f5e9c2fad0b, 0xcd22e62696c8e2f1, 0x1f2234f85d0e4004,
  0x4eeabe67c1b8b12c, 0xfd21fcf8689827c6, 0xceffaa33863b2c7f, 0x1b77f9e5e5d692c7, 0x60f9309cee6d7000,
  0x07a8f2b74a06ed65, 0x05721fd47c1b3068, 0xb2c4522cd3ad08e4, 0x5c393fad801afa30, 0x86a763d51fc873ab,
  0x28f7b9ed57a7075e, 0x02f65b2e62e12144, 0xdd260b546c11409c, 0x39eacdaf2e556bd3, 0x7d9cea2a551aecec,
  0x15359caed52df553, 0xaf2a14956af7afa2, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6,
  0x4462fe6d8c863b7b, 0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903f286, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0xb117cf257ee68665, 0x000000000027e0e8,
};

// m48pa_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0xbb96963672e0d61e, 0x67a1bb419ad1006d, 0x3d889211c560d456, 0x91dae3a4ff077a76,
  0xeebadd714155df93, 0xf9a79f43e9827c64, 0x8bea8edd0ecc41fe, 0x3441e797979de20b, 0x8f84bf10d8488bee,
  0xe2ee6d75c170fffa, 0xb74a06ed6e6c7c99, 0xd47c1b306807a8f2, 0x2cd3ad08e405721f, 0xad801afa30b2c452,
  0xd51fc873ab5c393f, 0xed57a7075e86a763, 0x2e62e1214428f7b9, 0x546c11409c02f65b, 0xaf2e556bd3dd260b,
  0x2a551aecec39eacd, 0xaed52df5537d9cea, 0x956af7afa215359c, 0xaeb9ed5688af2a14, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0x6d8c863b7b15545a, 0x5c9ab83cd94462fe, 0xcc790334f8d1637c, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xe0a9c75aa792bf73,
  0x0000000000000027,
};

/*
 * m48pa_swio13_lednop               m88_swio13_lednop                 m88a_swio13_lednop
 * m88p_swio13_lednop                m88pa_swio13_lednop               a6612c_swio13_lednop
 */
static const uint64_t ur_m48p_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xa41d91effd985f3e, 0xc0f9ef51d7c3be5b, 0x2dee9827c431c72a, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0xec39eacdaf2e556a, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x19d10273e8a042d3, 0x6ca2317f36d38c6f, 0xc33d30ae4fcfec37,
  0xe9296cb25138cb25, 0x5d79e4afdcd0ccb0, 0x00000000001525b8,
};

/*
 * m48pa_swio13_lednop_pr            m88_swio13_lednop_pr              m88a_swio13_lednop_pr
 * m88p_swio13_lednop_pr             m88pa_swio13_lednop_pr            a6612c_swio13_lednop_pr
 */
static const uint64_t ur_m48p_swio13_lednop_pr[] = {
  0xb777777507b128ae, 0xb9696215aa1d60b2, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd2ca888,
  0xc64ee9a58e38bc48, 0x1ffe768cfd4a9827, 0x51f4a3be5a0f8ec3, 0x0609f1c72ac0fa0f, 0x238c8e62c0596534,
  0xffd9823af47cecbe, 0x03cb3db1bf70d500, 0x7ab36bcb955adc39, 0x673a8a9546bb3b0e, 0x20272bb54b7d54df,
  0xa4ae492fe8854d70, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0xb9357079b288c5fc, 0x98f2076d0d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f22678, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00003e4f085c4f9e,
};

/*
 * m48pa_swio13_lednop_pr_u4         m88_swio13_lednop_pr_u4           m88a_swio13_lednop_pr_u4
 * m88p_swio13_lednop_pr_u4          m88pa_swio13_lednop_pr_u4         a6612c_swio13_lednop_pr_u4
 */
static const uint64_t ur_m48p_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xeee5a58856a12b01, 0x3b50f438a38e0c90, 0x066127bb522f892e, 0xd933f4be2f742c8f,
  0x7c64eeae3122a6e0, 0x8f7fe768cfafb982, 0x7a8ebe1df2dd20ec, 0xc13e218e395607cf, 0xed1dc3398b016f74,
  0xee39630475e2e76d, 0x566d7972ab52b167, 0xe75152a8d76761cf, 0x04e576a96faa9bec, 0x95c925fd10a9ae04,
  0xd6b9ed5688af2a14, 0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x8bf9b69c6378ce88, 0x8df1726ae0f36511,
  0xea75663c81db4345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x001f26917b89f3c9,
};

// m48pa_swio13_lednop_pr_ee
static const uint64_t ur_m48p_swio13_lednop_pr_ee[] = {
  0x1cdf7777777b1762, 0x987ee5a58844c2ab, 0xbc69ed0bdf4b5a29, 0xe6fc1fc2e84d7a70, 0x1d9fbc5eb411417f,
  0x27c64eed33467f4d, 0xc8adfe768cf93a98, 0x57f3a0ff6b47dd0e, 0xf51f06cc1cbef51e, 0x1669d68407f15d4a,
  0xccc00d7d18596229, 0xf79cead2efe0eb19, 0xb5d0ebc019dbe446, 0x2e1216f68ee1cf6a, 0x05cbff00bd970e46,
  0xe7ab36bcb955a8eb, 0xf673a8a9546bb3b0, 0x020272bb54b7d54d, 0x0a4ae492fe8854d7, 0xd01e5cf6ab445795,
  0x1130bd4b5e5380b9, 0x3a20517d14085a56, 0x94462fe6da718de3, 0xda1a2c79c5c9ab8d, 0xa615c9fbab31e40e,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000053e2a7389f,
};

// m48pa_swio13_lednop_pr_ee_u4
static const uint64_t ur_m48p_swio13_lednop_pr_ee_u4[] = {
  0x284dddddda244511, 0xb56b96962111ebd6, 0x35c7bf4f46db1136, 0x122e1f1aed2cddd9, 0xac88408211417fa1,
  0xe327755f33e83658, 0xcbfd21fcff57cc13, 0x4383fdad1c7b1d91, 0x3e0d9833d7d47959, 0xd3ad080fe2b60bea,
  0x801afa30b2c4522c, 0x73ab4bba51d0fb99, 0x875e86a769111cdc, 0x484be238ca7b55ae, 0xcbff00bd96cb98b8,
  0xb51c588a4d2a3608, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0x0a9ae0404e576a96, 0x8af2a1495c925fd1,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x118bf9b6815156f6, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000009d7085c45f3,
};

// m48pa_swio13_lednop_pr_ce
static const uint64_t ur_m48p_swio13_lednop_pr_ce[] = {
  0xfdb7777777b128ae, 0xa0ae5a588565a2b0, 0x377a7ef5e4327713, 0x0fc4460ea6f1dedb, 0x12256d90f1fbafdb,
  0x09f193ba69638b45, 0xb0baff9da33ea7a6, 0xcb83852ceffa8283, 0xcee6d77f9883f3cb, 0x3ce33dcb01759309,
  0xf3d638e558193dea, 0x65f11c6473160298, 0xa807feccf1d7a3e7, 0xb8720796b70dfb86, 0x761cf566d7972ab5,
  0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0,
  0xa8b490538c6f19d1, 0x17f36d028c76f62a, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x000b75c6dc4f9e4a,
};

// m48pa_swio13_lednop_pr_ce_u4
static const uint64_t ur_m48p_swio13_lednop_pr_ce_u4[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x669bff487f3e35a6, 0xbad26ceb8bebb7c7, 0xc2445f71a20f3cbc, 0xe5d1ffd47c25f886,
  0x633f5933c5dcdaec, 0xab0327bd479c67b9, 0x8e62c0531e7ac71c, 0x9e3af47cecbe238c, 0xd6e1bf70d500ffd9,
  0xdaf2e556b70e40f2, 0xa2a551aecec39eac, 0xcaed52df5537d9ce, 0x924bfa21535c0809, 0x73daad115e54292b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0xb83cd94462fe6da0, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x5f117cf257ee6866, 0x000000000006eba4,
};

// m48pa_swio13_lednop_pr_ee_ce
static const uint64_t ur_m48p_swio13_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0xbddcb4b1c85f92d6, 0xb83a8cf54dd8fad0, 0x4cd22e62624d2c33, 0x71e9d41785d0e400,
  0x64eebb257c53a714, 0x7fa43f9f9db9827c, 0xd1dff54670c766ed, 0x7d493f3cbcbad26e, 0x2b07c984e7736bf4,
  0x403d47959750376b, 0x202b297ea3e0d983, 0x85962291669d6847, 0x5ae1d2fd6c00d7d1, 0xf4353b4888e6e39d,
  0x7c47194f6abd383a, 0xe017b2d973170909, 0x4f08a4d2a3608a04, 0xb0e7ab36bcb955af, 0x4df673a8a9546bb3,
  0xd7020272bb54b7d5, 0x950a4ae492fe8854, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0xbf9b681463b7b155, 0xb1e71726ae365118, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x0534d17d117cf257,
};

// m48pa_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e306a, 0xbb9696367227561e, 0x9da52b4ddb21006d, 0x3d889217063891f2, 0xcc8d33a4ff077a76,
  0xeed57e4c3ac84302, 0xf9a79ffd79827c64, 0x8bea8edd0ec801fe, 0x3441e797979dc00b, 0x8f84bf10d8488bee,
  0xc5dcdaecf5fad5fa, 0x65d40ddadcd8f933, 0xa8f83660d00f51e5, 0x59a75a11c80aca5f, 0x5b0035f4616588a4,
  0x2239b8e756b874bf, 0xdaaf4e0ebd0d4ed2, 0x5cc5c2425f11c653, 0xa8d822813805ecb6, 0xaf2e556bd3c22934,
  0x2a551aecec39eacd, 0xaed52df5537d9cea, 0x24bfa21535c0809c, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7,
  0x18de33a20421520b, 0x18edec55516920a7, 0x83cd94462fe6da05, 0x334f8d1637c5c9ab, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x75aa792bf734332c,
  0x00000000027e138b,
};

// m48p_swio13_dual_pr               m48pa_swio13_dual                 m48pa_swio13_dual_pr
static const uint64_t ur_m48p_swio13_dual[] = {
  0xa2eeeeeeef3e6d3a, 0xda99a872849c587e, 0xab59f6f4e3138bca, 0xbad06947b3628171, 0x30e76ca295bb515e,
  0x9c7772b9db36eb79, 0x2002520c03304f8c, 0x860caeb036d2b88b, 0xff029dd3e25c40c2, 0x0fe1c17dcc517f32,
  0x5581f7537a8f1ef6, 0xc0aff31a04508e48, 0x2f77c5df00001b87, 0xa8432d08c910caee, 0xca1ffd01cf09ad68,
  0xda260b0de579096d, 0xe77cb3de3b3f77f9, 0x8e39560707fd47db, 0xe62c05507992b47b, 0x475e00ceda523884,
  0xeda63192a01ffb30, 0xceee2a4b81281e59, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x1395daa5beaa6fb3,
  0x572497f442a6b810, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xa05455bd8aaa2d24,
  0x9ab83cd94462fe6d, 0xf20669f1a2c79c5c, 0x5c33d30ae4fdd598, 0xb0e9296cf8138cb2, 0xf9d6a9e4afdcd0cc,
  0x000000000001881c,
};

// m48pa_swio13_dual_pr_u4
static const uint64_t ur_m48p_swio13_dual_pr_u4[] = {
  0x8bbbbbbb4486ff3e, 0x6a66a1ca127161fa, 0xd8d5bbd38c4e2f2b, 0xf5d6834a3d9b140b, 0xaf673b6514adda8a,
  0x4e3bb934f15ec75e, 0x90012906019827c6, 0x430657581b695c45, 0x7071cee9f12e2061, 0x07f0e0bee628bf99,
  0x2ac0fba9bd478f7b, 0xe057f98d02284724, 0x17bbe2ef80000dc3, 0x5421968464886577, 0xe50ffe80e784d6b4,
  0x43f30586f2bc84b6, 0xe77cb3de3b3f77fa, 0x8e39560707fd47db, 0xe62c05507992b47b, 0x475e00ceda523884,
  0xeda63192a01ffb30, 0xceee2a4b81281e59, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x1395daa5beaa6fb3,
  0x572497f442a6b810, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xa05455bd8aaa2d24,
  0xf86e3cd94462fe6d, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x2926b5aae149e4af,
};

// m48pa_swio13_dual_pr_ee
static const uint64_t ur_m48p_swio13_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0x54cd4385c42d87c3, 0xd26f747b5868371c, 0x62792bb251fad33e, 0xefeef3ec6be2f0dd,
  0x6e4d1f53a19c6eca, 0x9484e3e609f19269, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0x70275325afccb838,
  0xefb9bd478adb01ac, 0xf31a04508e485581, 0x177aa4401b87c0af, 0xb41fc4432bb8bddf, 0xe80e784db7e2a10c,
  0xb0de579096dd36ff, 0xa28eca1fff487e60, 0xea3caf7dc1fed68c, 0x5dbaf51f06cc1995, 0x62291669d68407f1,
  0xe84fccc00d7d1859, 0x1e8cf539d5a5d828, 0x3daad743af633763, 0xd2cc5c242d291c43, 0xaa3608cbff00bd97,
  0xe77715251c58f9bd, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x09caed52df5537d9, 0x2b924bfa21535c08,
  0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692, 0x7c371e6ca2317f36,
  0xeaccdfc1ddc68b3a, 0xbf313f9430a9cfd4, 0xfe09a1e44cf1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x4370a4f257ee6866, 0x000000000000ac98,
};

// m48pa_swio13_dual_pr_ee_u4
static const uint64_t ur_m48p_swio13_dual_pr_ee_u4[] = {
  0xe647777776890c86, 0x2553350e171aafc3, 0x2daefdd01452ba77, 0x477f4c373adefda7, 0x0b2012c435f17991,
  0x16e5dd8dd9683cc5, 0x09487806609f1935, 0x32bac0db4ae22c80, 0x8e774f8971030a18, 0x6708ad30d6fccb83,
  0x1a9e9bd47df7b0d3, 0xff31a04508e48558, 0xf8bbd49001b87c0a, 0x65a06522195dc5ee, 0xffa039e137511508,
  0x82c3795e425b719b, 0x8dfc1d8707fd21f9, 0x9fea3cad4f41fed6, 0xe2bc09ea3e0d9830, 0xb2c4522cd3ad080f,
  0x31d07199801afa30, 0xb6fa397c73ab4b9c, 0xe4f6ab5d0ebca69d, 0x2e3e317090814463, 0xa928e87c97fe017b,
  0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x6a96faa9bece7515, 0x5fd10a9ae0404e57, 0xd5688af2a1495c92,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0xf365118bf9b68151, 0xdfc1ddc68b1be1b8,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x40ab852792bf7343, 0x00000000000002b2,
};

// m48pa_swio13_dual_pr_ce
static const uint64_t ur_m48p_swio13_dual_pr_ce[] = {
  0x33ddddddde7cd0e3, 0xb53350e5091ab0fd, 0xbd1d7d89c24682d0, 0x9fbe9c9cb6534edf, 0xa7d9623b5bb4cd71,
  0xc85cab8da0a6be44, 0x00948e41e609f192, 0x832bac0db4ae22c8, 0xc0a774f8971030a1, 0x9c7090f3175fccbf,
  0x81afb9bd47727b0f, 0xaff31a04508e4855, 0xef8bbe61801b87c0, 0x865a19222195dc5e, 0x7ff4073c265af150,
  0x982c3795e425b7d3, 0xfd65f0ec297fe768, 0xbbfcf2f2f3b28677, 0x871984e7736be206, 0x326bd474027b9602,
  0x1602bf9d4471cab0, 0xd7916ed3723c8a73, 0x5251d0f9b8e58cf1, 0x2e556b3f8abe7771, 0x551aecec39eacdaf,
  0xd52df5537d9cea2a, 0xbfa21535c0809cae, 0xaad115e54292b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xcd94462fe6da0518, 0x9f1a2c79c5c9ab83, 0x30ae4fdd598f2066, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000073d7a71d6a,
};

// m48pa_swio13_dual_pr_ce_u4
static const uint64_t ur_m48p_swio13_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x6a66a1c26745f87d, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087ba8cc,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x430657581b695c45, 0x7071cee9f12e2061, 0x1958e1bee6d37f99,
  0xab032eb37a8ea7b6, 0x815fe63408a11c90, 0xbddf177b3900370f, 0x42196804f4432bb8, 0x16bfe80e784d38c5,
  0x3f30586f2bc84b6e, 0xe2fa9943b3677fa4, 0x6883cf0b00c2515a, 0x1f097e21b09117dc, 0x78bb9b5c92b2a3f5,
  0xa3a013dcb19e1c66, 0xfcea238e5581935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x6761cf566d7972ab, 0xaa9bece75152a8d7, 0xa9ae0404e576a96f, 0xaf2a1495c925fd10, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x317f36d028c76f62, 0xb8d1637c371e6ca2, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xa4f257ee68665874,
  0x0000000349134170,
};

// m48pa_swio13_dual_pr_ee_ce
static const uint64_t ur_m48p_swio13_dual_pr_ee_ce[] = {
  0x9d6ddddddd43359b, 0xe94cd4385eed070f, 0xef1ff74b12722946, 0x0ab13b281f210d57, 0xc69e4d705e47ceb2,
  0x21e19851fc2d7519, 0x823d7304f8c9b837, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0xd3533fcfccb838e7,
  0xf9bd47ff9b00d070, 0x3408a11c90ab03e9, 0xeedd80370f815fe6, 0x52d10caee2f77c5d, 0x73c26f9d150865a0,
  0xf2bc84b6fd83ff40, 0x765adffa43f30586, 0x3095ad9dff547810, 0x6d7300dd0ff3c2c0, 0x06ed656649309cee,
  0x1b307dd7a8f2bcac, 0xad08e40572bbd47c, 0x1afa30b2c4522cd3, 0xea73ab5c305fad80, 0xa7075ec66ec63d19,
  0xe1216948e219ed57, 0x22813805ecbe9662, 0x2a4bd3c3e6f6a8d8, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5,
  0xdaa5beaa6fb39d45, 0x97f442a6b8101395, 0xb55a22bca8525724, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x79b288c5fcdb40a3, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x3770a4f257ee6866, 0x0000000000009826,
};

// m48pa_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x9a8736dfd5f0fc6a, 0xf0f6b455e758ed29, 0x7dd820ce64c518e8, 0x16824bb8d49cac32,
  0xf18502da2e2caf6e, 0x9f1926eae5a41b69, 0x88b20025229f8660, 0x0c2860caeb036d2b, 0xccaecc59dd3e25c4,
  0xd821f1c31ba6ec1f, 0x85581bfc9bd476bb, 0x7c0aff31a04508e4, 0x17bbe2ef88c401b8, 0xa8432d0d9c886577,
  0xb91ffa039e136568, 0xd3982c3795e425b7, 0xea8ce08ec35bff7c, 0x1e7858041c35bb8b, 0x4bf10d8488bee344,
  0xcdaf118a71ffa8f8, 0x80ddadcde4933c5d, 0x83660fbaf51e5795, 0x75a11c80ae577a8f, 0x035f4616588a459a,
  0x3d4e756b860bf5b0, 0xf4e0ebd8cdd8c7a3, 0x5c242d291c433daa, 0x04502700bd97d2cc, 0xc5497a787cded51b,
  0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0xbb54b7d54df673a8, 0x92fe8854d7020272, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x0f365118bf9b6814, 0x7e823458df1726ae,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x00000001000917b9,
};

/*
 * m48p_swio14_noled_pr              m48pa_swio14_noled                m48pa_swio14_noled_pr
 * m88_swio14_noled                  m88_swio14_noled_pr               m88a_swio14_noled
 * m88a_swio14_noled_pr              m88p_swio14_noled                 m88p_swio14_noled_pr
 * m88pa_swio14_noled                m88pa_swio14_noled_pr             a6612c_swio14_noled
 * a6612c_swio14_noled_pr
 */
static const uint64_t ur_m48p_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xa01d9dd7fb30be7e, 0x81d7ff51d313be5b, 0x2dee99001f238e55, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xfd10a9ace9b95daa, 0xab4457950a4ad8fd,
  0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674408f2f1, 0x1e70ddb288c5fcdb, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x9a19961d252d964a, 0x3e40920baf3c95fb,
};

/*
 * m48pa_swio14_noled_pr_u4          m88_swio14_noled_pr_u4            m88a_swio14_noled_pr_u4
 * m88p_swio14_noled_pr_u4           m88pa_swio14_noled_pr_u4          a6612c_swio14_noled_pr_u4
 */
static const uint64_t ur_m48p_swio14_noled_pr_u4[] = {
  0x41bbbbbb45d8bf82, 0xddcb4b10acebeb04, 0x76a1ea44cf741921, 0x661352569425f85c, 0x933f4a64f74880f0,
  0xc64eeae3122a6e0d, 0xf5ff3b467fba9827, 0xea3c4277cb7403b0, 0x09ebe471cab03aff, 0x2464d1cc580b7ba6,
  0xb8e58c11d78b9da3, 0xacdaf2e556a56741, 0xcea2a551aecec39e, 0x359d372bb54b7d59, 0xf2a1495b1fbfa215,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x18bf9b6c218ab7b1, 0x58df1726ae0f3651,
  0x7ea75663c81db434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0001f26917b89f3c,
};

// m48pa_swio14_noled_pr_ee
static const uint64_t ur_m48p_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0x87ee5a588447a758, 0xcfdec33de3f42299, 0x27c1fc2de4db1f50, 0xd8333614d91417f3,
  0x7c64eeae312247e0, 0xb75fe768cfc72982, 0x7fba0ff6b47220ec, 0xa8f83660c14f51e5, 0x59a75a101fc56fe7,
  0x330035f4616588a4, 0x14e756970f63ac67, 0x5d0ebc019d9ef479, 0xe1215c3464d4f6ab, 0x3cbff00bd970e462,
  0x7ab36bcb955a8e84, 0x673a8a9546bb3b0e, 0x54d674dcaed52df5, 0x2bca85256c7efe88, 0x9f4ef3f5ae7b55a2,
  0xd2c2e753a9c0594a, 0xde33a2047978a042, 0xb8d94462fe6da718, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x89f3c95fb9a19961, 0x00000000029f34e3,
};

// m48pa_swio14_noled_pr_ee_u4
static const uint64_t ur_m48p_swio14_noled_pr_ee_u4[] = {
  0x67eeeeeed1222044, 0x56b9696211219d63, 0xfb23ad17460d736b, 0xf48b87eb4c5e6c58, 0xbd71a6a6c8a0bfec,
  0xc64eea0a4e5d3821, 0xebfd21fcfc729827, 0x8783fdad187b1d96, 0x3e0d983d2bd4795c, 0xd3ad080fe2b387ea,
  0x801afa30b2c4522c, 0x73ab4bfee1d0fb99, 0x875e86a76d291c42, 0x48498a31167b55ae, 0xcbff00bd96cb98b8,
  0xb51c5f41cf2a3608, 0x76761cf566d7972a, 0xaa5beace75152a8d, 0xfdfd10a9ace9b95d, 0xf6ab4457950a4ad8,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0x7079b288c5fcdb61, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x2a22f9e4afdcd0cc, 0x000000000009d7ab,
};

// m48pa_swio14_noled_pr_ce
static const uint64_t ur_m48p_swio14_noled_pr_ce[] = {
  0x7afdddddddec4743, 0xd0572d2c42b593ac, 0x9b1a56f79bb07b89, 0xc3f110da6a70bd88, 0xab0568c286deefaf,
  0xc13e32776a2f25a0, 0x767ceff3b467cbac, 0x797071d29dff59b8, 0x39dcdae1a34d7e79, 0x475f27b9602eb261,
  0xfcbe8e395606b3fd, 0xb2628c45398b0176, 0x5403ff6678ebd1f3, 0xa844c0f2d6eb589e, 0xcec39eacdaf2e556,
  0x4b7d59cea2a551ae, 0xbfa215359d372bb5, 0xd5688af2a1495b1f, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1,
  0x63b7b15545a5b44e, 0x5c6ca2317f36d842, 0x2076d0d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0xc4f9e4afdcd0ccb0, 0x000000000b7517ed,
};

// m48pa_swio14_noled_pr_ce_u4
static const uint64_t ur_m48p_swio14_noled_pr_ce_u4[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0xccadfe90fe7f4dcc, 0xbad24aeb8bebdd0e, 0xc2445f71a20f3cbc, 0x43a4afd47c25f886,
  0xb19fac99e2ee6d76, 0xab0359fea3af93dc, 0x9cc580bb7e5f471c, 0x3c75e8f9d9314622, 0x6b75ac4f2a01ffb3,
  0x6d7972ab54226079, 0x5152a8d76761cf56, 0xce9b95daa5beace7, 0x50a4ad8fdfd10a9a, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0xbf9b6c2131dbd8aa, 0xdf1726ae0f365118, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0375de6dc45f3c95,
};

// m48pa_swio14_noled_pr_ee_ce
static const uint64_t ur_m48p_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xdcb4b1c85fe9d636, 0x1d123b8ef31ad0bd, 0xd22f8f23f51419c7, 0x4cda5f0ba1cdb64c,
  0xdd3ad1a999b3ee4b, 0x487f3fbb5304f8c9, 0xbfea8e438ec31fff, 0xa0fe797975a431f3, 0x3e4c273b9b5dd51a,
  0xea3cafe701bb5958, 0x5ba5f51f06cc1ce3, 0xb1148b34eb423901, 0x1fbbeb6006be8c2c, 0xa9db4a47109cead7,
  0x31167b55e9c1d7a1, 0xbd96cb98b848498a, 0xa0e7951b04502700, 0x3d59b5e5caad7a7b, 0xb39d454aa35d9d87,
  0x2a6b3a6e576a96fa, 0x15e54292b63f7f44, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378,
  0x4462fe6db084c76f, 0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903f286, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0x5117cf257ee68665, 0x000000000013f0ad,
};

// m48pa_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_swio14_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e5f41, 0xbb969636720dd61a, 0x17accf4ad921006d, 0x1ec470a977c94208, 0xc8ccd2d27f83b53b,
  0x9dda2feedb157189, 0xef9a79f801304f8c, 0x717d51efb1d96b7f, 0x8d1079e5e5e776b7, 0xa3e12fc4361222fb,
  0x78bb9b5ddbb0b27e, 0xafe701bb5b9b1f26, 0xf51f06cc1ce3ea3c, 0x8b34eb4239015ba5, 0xeb6006be8c2cb114,
  0x4a47109cead71fbb, 0x7b55e9c1d7a1a9db, 0xcb98b848498a3116, 0x951b04502700bd96, 0xb5e5caad7a7ba0e7,
  0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0x4292b63f7f442a6b, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0xfe6db084c76f62aa, 0x7c5c9ab83cd94462, 0xeacc790334f8d163, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x27e3f0275aa792bf,
};

/*
 * m48pa_swio14_lednop               m88_swio14_lednop                 m88a_swio14_lednop
 * m88p_swio14_lednop                m88pa_swio14_lednop               a6612c_swio14_lednop
 */
static const uint64_t ur_m48p_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0xe8076489fecc2f9f, 0x6075ffd475f0ef96, 0x2dee9b6fcbe8e395, 0xb9d96ba3b8673160,
  0x565adb8e58c11d78, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0x535c0809d372bb54, 0xaf2a1495cbec7a21,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x18bf9b6c63156f62, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000001527d62ebc,
};

/*
 * m48pa_swio14_lednop_pr            m88_swio14_lednop_pr              m88a_swio14_lednop_pr
 * m88p_swio14_lednop_pr             m88pa_swio14_lednop_pr            a6612c_swio14_lednop_pr
 */
static const uint64_t ur_m48p_swio14_lednop_pr[] = {
  0x26eeeee87afb1762, 0x6b96962158b8d635, 0xf5e9efaff0b910cd, 0xe42e276dfa548b8e, 0x0bfc7f8bddd49111,
  0x193bb4cd19833477, 0xdff9da33ebee609f, 0xa3a0077cb6f63b23, 0xfcea238e5581935e, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x3d59b5e5caad65da, 0xb39d454aa35d9d87, 0x81013a6e576a96fa,
  0x4292b97d8f442a6b, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0xe2e4d5c1e6ca2317, 0x5663c81db43459d3, 0xf989fca1854e7ea7, 0xf04d0f22678b9c65, 0x70cf4c2b93f1cf7f,
  0xc3a4a5b3e04e32c9, 0x4713e792bf734332, 0x000000000001f266,
};

/*
 * m48pa_swio14_lednop_pr_u4         m88_swio14_lednop_pr_u4           m88a_swio14_lednop_pr_u4
 * m88p_swio14_lednop_pr_u4          m88pa_swio14_lednop_pr_u4         a6612c_swio14_lednop_pr_u4
 */
static const uint64_t ur_m48p_swio14_lednop_pr_u4[] = {
  0x8837777768bb1762, 0x43bb969621586560, 0xcc7617ef85e82832, 0xe0cc26a475f5a789, 0x1dc01b6d22ee9101,
  0x13e3277699a335a1, 0xb244ff3b467c3dcc, 0xffea3af877cb7403, 0x4db7e5f471cab03a, 0xb5d1dc3398b016f7,
  0x6dc72c608ebc5cec, 0xf566d7972ab52b2d, 0xce75152a8d76761c, 0x0404e9b95daa5bea, 0x0a4ae5f63d10a9ae,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x7c9842dc4f9e4afd,
};

// m48pa_swio14_lednop_pr_ee
static const uint64_t ur_m48p_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x987ee5a58844c2ab, 0x78d3da17ac47c5a9, 0x64f83f85bc9af4e1, 0x3b3f78bd682282fe,
  0x4f8c9dda668cfe9a, 0x915bfced19f27530, 0xafe741fed68e441d, 0xf51f06cc1829ea3c, 0x1669d68407f15d4a,
  0xccc00d7d18596229, 0xf79cead2efe0eb19, 0xb5d0ebc019dbe446, 0x2e1216f68ee1cf6a, 0x05cbff00bd970e46,
  0xe7ab36bcb955a8eb, 0x5673a8a9546bb3b0, 0x7020274dcaed52df, 0xa852572fb1e8854d, 0x0f3f5ae7b55a22bc,
  0xe757a96165362ce8, 0x3a20517d14085a6a, 0x94462fe6da718de3, 0xda1a2c79c5c9ab8d, 0xa615c9fbab31e40e,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000053e2a7389f,
};

// m48pa_swio14_lednop_pr_ee_u4
static const uint64_t ur_m48p_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed12232a8, 0x56b9696211285d63, 0x34bab8f76dbaf36b, 0x9170fd690cf17bd3, 0x45a0ab411417fd9e,
  0x64ee9d68d42459f5, 0xbfd21fcf93a9827c, 0xb83fdad187b1d915, 0xe0d983d2bd479594, 0x3ad080fe2b287ea3,
  0x01afa30b2c4522cd, 0x3ab4bfce1d0fb998, 0xebd0d4ec13d1af87, 0x16488c6fcf6ab5d0, 0xffc02f65b2e62e12,
  0x47176b13ca8d8232, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2317f36d8c62adec, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000275cb388be7,
};

// m48pa_swio14_lednop_pr_ce
static const uint64_t ur_m48p_swio14_lednop_pr_ce[] = {
  0x7afdddddddec53c3, 0xe82b9696215890ac, 0xe2fd377bb3f83dc4, 0xc3f110dab26d4c99, 0x31c4d8412a1eefaf,
  0xc13e327748fcbbb2, 0x761c3ff3b467d82c, 0x797070ba9dff59b8, 0xe7736bceddadfe79, 0x3cbe9ee580bac984,
  0x7a5471cab0359fea, 0xb244637ce62c058f, 0xa01ffb33c75e8f9d, 0x2ed40f2d6e83fd22, 0xec39eacdaf2e556b,
  0xb7d59cea2a551aec, 0x535c0809d372bb54, 0xaf2a1495cbec7a21, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0x317f36d8c4c76f62, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x000b756e3dc4f9e4,
};

// m48pa_swio14_lednop_pr_ce_u4
static const uint64_t ur_m48p_swio14_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x96ebfd21fcfc7298, 0x75a4d37717d7ba1d, 0x8488bee3441e7979, 0x95951fa8f84bf10d,
  0x633f5933c5dcdae4, 0xac0d67fa8f2fa7b9, 0x398b0163de951c72, 0xf1d7a3e76c9118df, 0x5ba0ff48a807fecc,
  0x6bcb955acbb503cb, 0x8a9546bb3b0e7ab3, 0x74dcaed52df5673a, 0x72fb1e8854d70202, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0x57079b288c5fcdb6, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xb2a22f9e4afdcd0c, 0x000000000000dd7a,
};

// m48pa_swio14_lednop_pr_ee_ce
static const uint64_t ur_m48p_swio14_lednop_pr_ee_ce[] = {
  0x6dbddddddd447e4a, 0x7bb9696390bf91ac, 0x06f6e0ed9305f5a1, 0x3348be3fe991f3f7, 0xdac17afc2e8736d9,
  0x2774a51d6374afa5, 0xfe90fe7f4d4c13e3, 0xc3bfea8e438ecff9, 0x4341ff3cbcbad27f, 0x2b07c984e7736be5,
  0x9c7d47959c30376b, 0x202b2ebea3e0d983, 0x85962291669d6847, 0x5ae3e77d6c00d7d1, 0xe86a7609e8d7c39d,
  0x9118df9ed57a7075, 0x805ecb65cc5c242c, 0x3d6b13ca8d822813, 0xc39eacdaf2e556bd, 0x7d59cea2a551aece,
  0x35c0809d372bb54b, 0xf2a1495cbec7a215, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x17f36d8c4c76f62a, 0x163ce2e4d5c6ca23, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x00a699cfa22f9e4a,
};

// m48pa_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_swio14_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6d3a, 0xbb969636711dd61a, 0x75a53b717a09006d, 0x3d88e1506e5db453, 0x727189a4ff076a76,
  0x776e76cd8f6c9962, 0x7cd3cfe374c13e32, 0x8bea8f7d8ec6bbff, 0x6883cf2f2f3b6bbb, 0x1f097e21b09117dc,
  0x8bb9b5f87f8fbbf5, 0xce181bb5b9b1f267, 0x51f06cc1ce3ea3ca, 0xb34eb4239015975f, 0xb6006be8c2cb1148,
  0xf46be1cead71f3be, 0x6abd383af4353b04, 0xe62e1216488c6fcf, 0x46c11409c02f65b2, 0x7972ab5e9eb589e5,
  0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e, 0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75,
  0xc6378ce881085482, 0x263b7b15545a4829, 0xe0f365118bf9b6c6, 0x0cd3e3458df1726a, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x9d6a9e4afdcd0ccb,
  0x00000000009f9a38,
};

// m48p_swio14_dual_pr               m48pa_swio14_dual                 m48pa_swio14_dual_pr
static const uint64_t ur_m48p_swio14_dual[] = {
  0x82eeeeeeef3e1000, 0xda99a8728457d87e, 0xab6356ac1fa78bca, 0xbad047ced00ab125, 0x6d267da29dbb415e,
  0x4e3bb956abbe8bf6, 0x9001291cdf9827c6, 0x430657581b695c45, 0x7f814ee9f12e2061, 0x07f0e0bee628bf99,
  0x2ac0fba9bd478f7b, 0xe057f98d02284724, 0x2f77c5ded7600dc3, 0xa8432d08c910caee, 0xca5ffd01cf09ad68,
  0xda260b0de579096d, 0x8ef965ae3b0a2ff9, 0xc71cab03defd47ee, 0x731602a83cce4c3d, 0x23af006764011a62,
  0xedbde37d500ffd98, 0x9ddc5495f3a81e59, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x0274dcaed52df567,
  0x2572fb1e8854d702, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xc9ab83cd94462fe6, 0x8f20669f1a2c79c5, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb, 0xf5dd6a9e4afdcd0c,
  0x0000000000006209,
};

// m48pa_swio14_dual_pr_u4
static const uint64_t ur_m48p_swio14_dual_pr_u4[] = {
  0x33dddddda24343ee, 0x053350e50902f0fc, 0x7a3db77e9d914109, 0x333f6f4e82ee4e83, 0x4369e014d38376ec,
  0x3e32731b9577e448, 0x71164004a42924c1, 0x81850c195d606da5, 0xfe65c1c73ba7c4b8, 0x44d86df3807b98c7,
  0x1c90ab03d2a6f51e, 0x370f815fe63408a1, 0x95dc5eef8bbffe00, 0x13d150865a16b221, 0x12db9c3ffa039e13,
  0x7fe90fcc161bcaf2, 0x1e713be5a0f8ec5f, 0x54dd1c72ac0fa0f5, 0x383e731602fe1cc6, 0xcb1823af22ddb22a,
  0xf9ddc5494ace9371, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x20274dcaed52df56, 0x52572fb1e8854d70,
  0x80f2e7b55a22bca8, 0x8985ea5af29c05ce, 0xa206c7f8a042d2b0, 0x4462fe6da718de33, 0x7771a2c6f86e3cd9,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xe149e4afdcd0ccb0, 0x0000000029273e0a,
};

// m48pa_swio14_dual_pr_ee
static const uint64_t ur_m48p_swio14_dual_pr_ee[] = {
  0x2f7777743d686f97, 0x53350e17144fc3f0, 0x421dd3b4d3a0dc71, 0x3c94a5557badc6ad, 0x9af62e35f17c0bb1,
  0x93c119d0fc53aae2, 0x902a89827c649a5b, 0x7581b695c4590012, 0xee9f12e206143065, 0x04ea64b5f997071c,
  0xf737a8f15b60358e, 0x63408a11c90ab03d, 0xef30080370f815fe, 0x83f888657717bbe2, 0x01cf09b6fc542196,
  0x0de579096dc347fd, 0x287625aff487e60b, 0x51e572ba0ff6b475, 0xefbf51f06cc1edff, 0x2291669d68407f15,
  0x84fccc00d7d18596, 0x68f4a39d5a5ca18e, 0xdaad743af633768f, 0x2cc5c2424011a633, 0xa3608cbff00bd97d,
  0xeee2a4a38bc8a22a, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x13a6e576a96fab39, 0x2b97d8f442a6b810,
  0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692, 0x7c371e6ca2317f36,
  0xeaccdfc1ddc68b3a, 0xbf313f9430a9cfd4, 0xfe09a1e44cf1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0xc970a4f257ee6866, 0x0000000000001590,
};

// m48pa_swio14_dual_pr_ee_u4
static const uint64_t ur_m48p_swio14_dual_pr_ee_u4[] = {
  0x13b777776890cf68, 0x2a99a870b8dcec3f, 0xb6b8eed8629dd3b9, 0x1dfd366745e55e73, 0x3d47d9f0d7c5f139,
  0xdc9a3ea75ee1bb11, 0x2917254c13e326a2, 0x57581b695c459001, 0xcee9f12e20614306, 0xe115a61adf997071,
  0x53d37a8fbef61a6c, 0xe63408a11c90ab03, 0x2ef68380370f815f, 0x6819488657717bbe, 0xe80e784dd4454219,
  0xb0de579096dec7ff, 0x63c760d6ff487e60, 0xf51e56c160ff6b46, 0xad4f7a8f83660fa8, 0xb1148b34eb4203f8,
  0x741c666006be8c2c, 0xba460a1cead2f21c, 0xcf6ab5d0ebca69db, 0xc7c62e1214dc8f22, 0x4a3ac8b2ffc02f65,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0x576a96fab39d454a, 0x8f442a6b81013a6e, 0xaad115e54292b97d,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xe6ca2317f36d8c62, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xd3d70a4f257ee686, 0x0000000000000ac9,
};

// m48pa_swio14_dual_pr_ce
static const uint64_t ur_m48p_swio14_dual_pr_ce[] = {
  0xd3ddddddde7cbd5b, 0xb53350e5085ab0ff, 0xfddfbd4771c682d0, 0x9fb58273bed3d62a, 0xf5db3e415bbf4d71,
  0x9642e5ddfb80b5a0, 0x4004a41b77304f8c, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x7ce3848798bafe65,
  0xac0d7dcdea3b93d8, 0x057f98d022847242, 0xf77c5df78600dc3e, 0x8432d0c9110caee2, 0xbaffa039e132d78a,
  0x44c161bcaf212dbd, 0xdff505076175ff3b, 0xeb7ff3cbcbceca59, 0x1438cc273b9b5ed6, 0x8193dea3ce33dcb0,
  0x3160298f3d638e55, 0x8ebc8b765f11c647, 0x15251d645dc72c67, 0xf2e556b3f8abe777, 0xa551aecec39eacda,
  0x372bb54b7d59cea2, 0xbec7a21535c0809d, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x4c76f62aa8b49053, 0xc1e6ca2317f36d8c, 0x334f8d163ce2e4d5, 0x9e985727eeacc790, 0x494b67c09c6592e1,
  0xb54f257ee6866587, 0x000000001cf5e36e,
};

// m48pa_swio14_dual_pr_ce_u4
static const uint64_t ur_m48p_swio14_dual_pr_ce_u4[] = {
  0xf93b777776890c86, 0xc153350e133aafc3, 0x2daefdd01452a5da, 0x89c624373adefda7, 0xf3142c804b16ee4e,
  0x64d91b97763765a0, 0xb2002521e019827c, 0x2860caeb036d2b88, 0x2e0e39dd3e25c40c, 0xc3671c2394c707f3,
  0x156078126f51edd6, 0xf02bfcc681142392, 0x17bbe2ef524006e1, 0xa8432d00f6886577, 0x19bffa039e1304f8,
  0x1f982c3795e425b7, 0x717d5fc1d8707fd2, 0x3441e78580612275, 0x8f84bf10d8488bee, 0xf17736bb41c113fa,
  0x8e13e7b9633ea5cc, 0x2edf8e3956076b7a, 0xb2008d31398b014a, 0xa807feccf1d78033, 0xbe7503cb5b9ef1be,
  0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xdaa5beace75152a8, 0xd10a9ae0404e9b95, 0xb4457950a4ae5f63,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0x65118bf9b6c6263b, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xab852792bf734332, 0x0000000000069240,
};

// m48pa_swio14_dual_pr_ee_ce
static const uint64_t ur_m48p_swio14_dual_pr_ee_ce[] = {
  0x9daddddddd431f02, 0x74a66a1c2f7ee30f, 0xdb609bacf8e714a3, 0x415627ed61f64cb9, 0x3f32242c0bc8f9da,
  0xdc94622cdb90cc28, 0x520e49cc13e326e0, 0xaeb036d2b88b2002, 0x9dd3e25c40c2860c, 0xc34d4cff3f32e0e3,
  0xa7e6f51ffe6c0341, 0x98d022847242ac0f, 0xbbfa9c00dc3e057f, 0x40a5a2195dc5eef8, 0x80e784df3a2a10cb,
  0x0de579096dff5ffe, 0x78763fcff487e60b, 0x601849fe1dff546a, 0x7736bf37d523f9e1, 0x040376b2b324984e,
  0x3e0d983913d4795e, 0x69d6847202bcadea, 0xc00d7d1859622916, 0x8f4a39d5ae0a1fd6, 0xabd383af633768f6,
  0x3170909004698cf6, 0x6c11409c02f65f4b, 0xee2a4bd3d9144554, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0x3a6e576a96fab39d, 0xb97d8f442a6b8101, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x1898edec55516920, 0x86e3cd94462fe6db, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0x11b8fb852792bf73, 0x000000000000004c,
};

// m48pa_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed1369f2541, 0xcd439b6f33787c21, 0x31d75bcfb3ac7694, 0x773683f366dfc3aa, 0xf2092ec21a72b0dd,
  0x42cded3eabdf5ec1, 0x7c649bab954e30cb, 0x22c800948b1eb982, 0x30a1832bac0db4ae, 0x32bb316774f89710,
  0x6087c70c6e9bb07f, 0x15606ff26f51daef, 0xf02bfcc681142392, 0x5eef8bbcebe006e1, 0xa10cb436722195dc,
  0x90ffe80e784d95a2, 0x4e60b0de579096dd, 0xaa31ac3b3b07fdf3, 0x79e1601073b06e2f, 0x2fc4361222fb8d10,
  0x9b5cebe1547ea3e1, 0x01bb5b9bc92678bb, 0x06cc1c89ea3caf02, 0xeb4239015e56f51f, 0x06be8c2cb1148b34,
  0xa51cead7050feb60, 0xe9c1d7b19bb47b47, 0xb848480234c67b55, 0x08a04e017b2fa598, 0x1525e9ec8a22aa36,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x372bb54b7d59cea2, 0xbec7a21535c0809d, 0x9ed5688af2a1495c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x4c76f62aa8b49053, 0xc1e6ca2317f36d8c, 0x6fd0468b1be2e4d5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x000000002002aca7,
};

/*
 * m48p_swio15_noled_pr              m48pa_swio15_noled                m48pa_swio15_noled_pr
 * m88_swio15_noled                  m88_swio15_noled_pr               m88a_swio15_noled
 * m88a_swio15_noled_pr              m88p_swio15_noled                 m88p_swio15_noled_pr
 * m88pa_swio15_noled                m88pa_swio15_noled_pr             a6612c_swio15_noled
 * a6612c_swio15_noled_pr
 */
static const uint64_t ur_m48p_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x483b3baff6617cfc, 0x81f3dea3a6277cb7, 0x2dee99001f238e55, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0xd10a9ace9b95daa5, 0xa22bca85255abfdf,
  0xf0c537acef2e7b55, 0x978a042d2d7f88d4, 0xe6da718de33a2047, 0x3458f386ed94462f, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0001f204905d79e4,
};

/*
 * m48pa_swio15_noled_pr_u4          m88_swio15_noled_pr_u4            m88a_swio15_noled_pr_u4
 * m88p_swio15_noled_pr_u4           m88pa_swio15_noled_pr_u4          a6612c_swio15_noled_pr_u4
 */
static const uint64_t ur_m48p_swio15_noled_pr_u4[] = {
  0x83bbbbbb45d8b562, 0xddcb4b10acc46b0d, 0xf7c7e8da16541921, 0x3093dc35cbd9b550, 0x76d8cddfbad82783,
  0xf193bbf4e0de1570, 0xd47f9da33fb7e609, 0xf51fe43be5ba41d9, 0xd224dd1c72ac0f9e, 0x8a8fa0398b016f74,
  0x6e39630475e2e76c, 0xab36bcb955a959d2, 0x73a8a9546bb3b0e7, 0xd674dcaed52df576, 0x54292ad5fefe8854,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x62fe6d8c9156f62a, 0x637c5c9ab83cd944,
  0xfa9d598f2076d0d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0003e4d340e27cf2,
};

// m48pa_swio15_noled_pr_ee
static const uint64_t ur_m48p_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a58844b2758, 0xc33d697aebcbda99, 0xbf83f85d09ad4fc7, 0x1c5e56f0a2282ffb,
  0xf8c9ddfa706cd2dc, 0xa6ffced19f1ad304, 0xdc9c1fed68fba1d9, 0xa3e0d98397dea3ca, 0xcd3ad080fe2b80de,
  0x9801afa30b2c4522, 0x873ab4bc7b1d6339, 0x743af006764c518f, 0xc242b591f413daad, 0xf97fe017b2e1c8c5,
  0xf566d7972ab51d57, 0xce75152a8d76761c, 0x9ace9b95daa5beae, 0xca85255abfdfd10a, 0x4ef3f5ae7b55a22b,
  0xc2e753a9c0594a9f, 0x33a2045fb8a042d2, 0xd94462fe6da718de, 0xeda1a2c79c5c9ab8, 0x7a615c9fbab31e40,
  0x52d964a271964b86, 0xf3c95fb9a19961d2, 0x00000014f9d27389,
};

// m48pa_swio15_noled_pr_ee_u4
static const uint64_t ur_m48p_swio15_noled_pr_ee_u4[] = {
  0xf26eeeeed1222582, 0xab5cb4b1088d2eb0, 0xb45d23fa4cf8f9b5, 0x9170f8d737656da9, 0x82d0bc288a0bfbc8,
  0x32774ed0439765aa, 0x7fe90fe7c6b4c13e, 0x1c1fed68e3d8ecd3, 0xf06cc19ebea3cace, 0x9d68407f15975f51,
  0x00d7d18596229166, 0x9d5a5dc98e87dccc, 0x3af4353b1ea8fe43, 0x428851ef73daad74, 0x5ff805ecb65cc5c2,
  0x51c5f4982d51b046, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0xfd10a9ace9b95daa, 0x5a22bca85255abfd,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0x79b288c5fcdb1922, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x22f9e4afdcd0ccb0, 0x0000000009d748be,
};

// m48pa_swio15_noled_pr_ce
static const uint64_t ur_m48p_swio15_noled_pr_ce[] = {
  0xa66eeeeeef623f3e, 0x415cb4b10aca6eb0, 0xade833d48be26e27, 0x3f11183e3b05fe94, 0x74e41090803754cc,
  0x827c64eed9158210, 0xec74bfe768cf94b9, 0xf2e0e4873bfea0a0, 0xcee6d74db9dbfcf2, 0x3cdd3dcb01759309,
  0xa9c638e558193dea, 0xb4428f7b398b014c, 0x5403ff6678ebd1f3, 0xafadc0f2d6e1149a, 0xcec39eacdaf2e556,
  0xb7d5d9cea2a551ae, 0xfa215359d372bb54, 0xb4457950a4ab57fb, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5,
  0xdbd8aaa2d2da2718, 0xc6ca2317f36c6431, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c,
  0x4f9e4afdcd0ccb0e, 0x00000000b751e5dc,
};

// m48pa_swio15_noled_pr_ce_u4
static const uint64_t ur_m48p_swio15_noled_pr_ce_u4[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff487f3fb3a60, 0xad26fbb8bebb7c76, 0x2445f71a20f3cbcb, 0x124afd47c25f886c,
  0x19fac99e2ee6d7b9, 0x58193dea3cdd3dcb, 0x398b014ca9c638e5, 0x78ebd1f3b4428f7b, 0xd6e1149a5403ff66,
  0xdaf2e556afadc0f2, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xa4ab57fbfa215359, 0x2d75cf6ab4457950,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xf36c6431dbd8aaa2, 0xe2e4d5c1e6ca2317, 0xeacc7903f2868b1b,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x6ebc7d788be792bf,
};

// m48pa_swio15_noled_pr_ee_ce
static const uint64_t ur_m48p_swio15_noled_pr_ee_ce[] = {
  0xdbddddddd4144511, 0xbb9696390b989ac0, 0x4760debd385f5a17, 0x9a45cc4d2d91c5e2, 0x7c88d3e1743836c9,
  0x3baaf99f06e2c4b0, 0xf487f3e1a2609f19, 0x3bfea8ce18ecb1ff, 0x6ddfe797975a4b1f, 0x83e4c273b9b5c000,
  0x1ea3cadd281bb595, 0x15c87f51f06cc1a0, 0xcb1148b34eb42390, 0x70e4feb6006be8c2, 0x1a9d8f547f21cead,
  0xa3dee7b55e9c1d7a, 0x0bd96cb98b848510, 0x74982d51b0450270, 0xe7ab36bcb955af4f, 0x7673a8a9546bb3b0,
  0x54d674dcaed52df5, 0x5e54292ad5fefe88, 0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c,
  0x88c5fcdb190c76f6, 0x165abcb9357079b2, 0x9fa9d598f207e50d, 0xf22678138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0x622f9e4afdcd0ccb, 0x00000000004fc1d1,
};

// m48pa_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m48p_swio15_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e704a, 0xbb96963672e0d631, 0x67a1bb419ad1006d, 0x3d889211c560d456, 0x91dae3a4ff07c776,
  0xeebadd714155df93, 0xf9a79f43e9827c64, 0x8bea8edd0ecc41fe, 0x3441e797979de20b, 0x8f84bf10d8488bee,
  0xe2ee6d75c170fffa, 0xb74a06ed6e6c7c99, 0xd47c1b306807a8f2, 0x2cd3ad08e405721f, 0xad801afa30b2c452,
  0xd51fc873ab5c393f, 0xed57a7075e86a763, 0x2e62e1214428f7b9, 0x546c11409c02f65b, 0xaf2e556bd3dd260b,
  0x2a551aecec39eacd, 0x372bb54b7d5d9cea, 0x4ab57fbfa215359d, 0xd75cf6ab4457950a, 0xdd4d8a53c34ef3e2,
  0x2da2718de33a2041, 0x36c6431dbd8aaa2d, 0x2e4d5c1e6ca2317f, 0x663c819a7c68b1be, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xf054e3ad53c95fb9,
  0x0000000000000013,
};

/*
 * m48pa_swio15_lednop               m88_swio15_lednop                 m88a_swio15_lednop
 * m88p_swio15_lednop                m88pa_swio15_lednop               a6612c_swio15_lednop
 */
static const uint64_t ur_m48p_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xa41d91effd985f3e, 0xc0f9ef51d7c3be5b, 0x2dee9827c431c72a, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0xc674409cfa2810b4, 0xdb288c5fcdb4e31b, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0x175e792bf734332c, 0x000000000005496e,
};

/*
 * m48pa_swio15_lednop_pr            m88_swio15_lednop_pr              m88a_swio15_lednop_pr
 * m88p_swio15_lednop_pr             m88pa_swio15_lednop_pr            a6612c_swio15_lednop_pr
 */
static const uint64_t ur_m48p_swio15_lednop_pr[] = {
  0xb777777507b128ae, 0xb9696215aa1d627b, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd9ee888,
  0xc64ee9a58e38bc48, 0x1ffe768cfd4a9827, 0x51f4a3be5a0f8ec3, 0x0609f1c72ac0fa0f, 0x238c8e62c0596534,
  0xffd9823af47cecbe, 0x03cb3db1bf70d500, 0x7ab36bcb955adc39, 0x673a8a9546bb3b0e, 0x20274dcaed52df57,
  0x292b92b1e8854d70, 0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516,
  0x2e4d5c1e6ca2317f, 0x663c81db434596af, 0x04e34a1854e7ea75, 0x2b93f01f343c899e, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000f93c21713e7,
};

/*
 * m48pa_swio15_lednop_pr_u4         m88_swio15_lednop_pr_u4           m88a_swio15_lednop_pr_u4
 * m88p_swio15_lednop_pr_u4          m88pa_swio15_lednop_pr_u4         a6612c_swio15_lednop_pr_u4
 */
static const uint64_t ur_m48p_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xeee5a58856a12b0d, 0x3b50f438a38e0c90, 0x066127bb522f892e, 0xd933f4be2f75b04f,
  0x7c64eeae3122a6e0, 0x8f7fe768cfafb982, 0x7a8ebe1df2dd20ec, 0xc13e218e395607cf, 0xed1dc3398b016f74,
  0xee39630475e2e76d, 0x566d7972ab52b167, 0xe75152a8d76761cf, 0x04e9b95daa5beaec, 0x2572563d10a9ae04,
  0xf5ae7b55a22bca85, 0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x62fe6da718de33a2, 0x637c5c9ab83cd944,
  0xfa9d598f2076d0d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0007c9a45ee27cf2,
};

// m48pa_swio15_lednop_pr_ee
static const uint64_t ur_m48p_swio15_lednop_pr_ee[] = {
  0x1bbf7777777b1762, 0x987ee5a58844c2ab, 0xbc69ed0bdf4b5a29, 0xddfc1fc2e84d7a70, 0x1d9fbc5eb411417f,
  0x27c64eed33467f4d, 0xc8adfe768cf93a98, 0x57f3a0ff6b47dd0e, 0xf51f06cc1cbef51e, 0x1669d68407f15d4a,
  0xccc00d7d18596229, 0xf79cead2efe0eb19, 0xb5d0ebc019dbe446, 0x2e1216f68ee1cf6a, 0x05cbff00bd970e46,
  0xe7ab36bcb955a8eb, 0x7673a8a9546bb3b0, 0x020274dcaed52df5, 0x4292b92b1e8854d7, 0x7407973daad115e5,
  0x844c2f52d794e02e, 0xce88145f45021695, 0x65118bf9b69c6378, 0xb6868b1e71726ae3, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x00000014f8a9ce27,
};

// m48pa_swio15_lednop_pr_ee_u4
static const uint64_t ur_m48p_swio15_lednop_pr_ee_u4[] = {
  0x1e4dddddda244511, 0xb56b96962111ebd6, 0x35c7bf4f46db1136, 0x122e1f1aed2cddd9, 0xac88408211417f79,
  0xe327755f33e83658, 0xcbfd21fcff57cc13, 0x4383fdad1c7b1d91, 0x3e0d9833d7d47959, 0xd3ad080fe2b60bea,
  0x801afa30b2c4522c, 0x73ab4bba51d0fb99, 0x875e86a769111cdc, 0x484be238ca7b55ae, 0xcbff00bd96cb98b8,
  0xb51c588a4d2a3608, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0x0a9ae0404e9b95da, 0x22bca852572563d1,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4462fe6da05455bd, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000275c217117c,
};

// m48pa_swio15_lednop_pr_ce
static const uint64_t ur_m48p_swio15_lednop_pr_ce[] = {
  0x5337777777b128ae, 0xd0572d2c42b2d158, 0x9bbd3f7af2193b89, 0x87e223075378ef6d, 0x44895b643c7eea99,
  0x827c64ee9a58e2d1, 0xec2ebfe768cfa9e9, 0xf2e0e14b3bfea0a0, 0x73b9b5dfe620fcf2, 0x8f38cf72c05d64c2,
  0x3cf58e3956064f7a, 0xd97c47191cc580a6, 0xaa01ffb33c75e8f9, 0x6e1c81e5adc37ee1, 0x9d873d59b5e5caad,
  0x6fabb39d454aa35d, 0xa6b81013a6e576a9, 0xaf2a1495c958f442, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0x317f36d028c76f62, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x0000b75c6dc4f9e4,
};

// m48pa_swio15_lednop_pr_ce_u4
static const uint64_t ur_m48p_swio15_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x669bff487f3e35a6, 0xbad26ceb8bebb7c7, 0xc2445f71a20f3cbc, 0xe5d1ffd47c25f886,
  0x633f5933c5dcdaec, 0xab0327bd479c67b9, 0x8e62c0531e7ac71c, 0x9e3af47cecbe238c, 0xd6e1bf70d500ffd9,
  0xdaf2e556b70e40f2, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809, 0x5cf6ab4457950a4a,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0xae0f365118bf9b68, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x17c45f3c95fb9a19, 0x000000000001bae9,
};

// m48pa_swio15_lednop_pr_ee_ce
static const uint64_t ur_m48p_swio15_lednop_pr_ee_ce[] = {
  0x0dbddddddd447768, 0x7bb9696390bf25ac, 0x707519ea9bb1f5a1, 0x99a45cc4c49a5867, 0xc7a7505e1743836c,
  0x93baec95f14e9c51, 0xfe90fe7e76e609f1, 0x477fd519c31d9bb5, 0xf524fcf2f2eb49bb, 0xac1f26139dcdafd1,
  0x00f51e565d40ddac, 0x80aca5fa8f83660d, 0x16588a459a75a11c, 0x6b874bf5b0035f46, 0xd0d4ed22239b8e75,
  0xf11c653daaf4e0eb, 0x805ecb65cc5c2425, 0x3c22934a8d822813, 0xc39eacdaf2e556bd, 0xd5d9cea2a551aece,
  0x5c0809d372bb54b7, 0x950a4ae4ac7a2153, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0xbf9b681463b7b155, 0xb1e71726ae365118, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x0534d17d117cf257,
};

// m48pa_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m48p_swio15_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e306a, 0xbb96963672275631, 0x9da52b4ddb21006d, 0x3d889217063891f2, 0xcc8d33a4ff07c776,
  0xeed57e4c3ac84302, 0xf9a79ffd79827c64, 0x8bea8edd0ec801fe, 0x3441e797979dc00b, 0x8f84bf10d8488bee,
  0xc5dcdaecf5fad5fa, 0x65d40ddadcd8f933, 0xa8f83660d00f51e5, 0x59a75a11c80aca5f, 0x5b0035f4616588a4,
  0x2239b8e756b874bf, 0xdaaf4e0ebd0d4ed2, 0x5cc5c2425f11c653, 0xa8d822813805ecb6, 0xaf2e556bd3c22934,
  0x2a551aecec39eacd, 0x372bb54b7d5d9cea, 0x4ac7a21535c0809d, 0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75,
  0xc6378ce881085482, 0x463b7b15545a4829, 0xe0f365118bf9b681, 0x0cd3e3458df1726a, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xdd6a9e4afdcd0ccb,
  0x00000000009f84e2,
};

// m48p_swio15_dual_pr               m48pa_swio15_dual                 m48pa_swio15_dual_pr
static const uint64_t ur_m48p_swio15_dual[] = {
  0x106eeeeeef3e6d3a, 0x6d4cd439424e2c3e, 0xd5acfb7a7189c5e5, 0x5d6834a3d9b140b8, 0x4c39db28a56e840f,
  0x271ddcae76cdbade, 0xc800948300cc13e3, 0xa1832bac0db4ae22, 0xbfc0a774f8971030, 0x83f8705f73145fcc,
  0x15607dd4dea3c7bd, 0xf02bfcc681142392, 0x8bddf177c00006e1, 0x2a10cb42324432bb, 0x7287ff4073c26b5a,
  0x768982c3795e425b, 0xf9df2cf78ecfddfe, 0xe38e5581c1ff51f6, 0x398b01541e64ad1e, 0x11d78033b6948e21,
  0x7b698c64a807fecc, 0xf3bb8a92e04a0796, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e9b95daa5beaec,
  0x2572563d10a9ae04, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2,
  0xc9ab83cd94462fe6, 0x8f20669f1a2c79c5, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb, 0xcf9d6a9e4afdcd0c,
  0x0000000000001881,
};

// m48pa_swio15_dual_pr_u4
static const uint64_t ur_m48p_swio15_dual_pr_u4[] = {
  0x41bbbbbb4486ff3e, 0xb53350e50938b0f8, 0xec6adde9c6271795, 0x7aeb41a51ecd8a05, 0xabd9ced9452b7420,
  0x938eee4d3c57b1d7, 0x64004a41806609f1, 0x50c195d606da5711, 0x5c1c73ba7c4b8818, 0xc1fc382fb98a2fe6,
  0x0ab03eea6f51e3de, 0xf815fe63408a11c9, 0xc5eef8bbe0000370, 0x150865a11922195d, 0xb943ffa039e135ad,
  0x90fcc161bcaf212d, 0xf9df2cf78ecfddfe, 0xe38e5581c1ff51f6, 0x398b01541e64ad1e, 0x11d78033b6948e21,
  0x7b698c64a807fecc, 0xf3bb8a92e04a0796, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e9b95daa5beaec,
  0x2572563d10a9ae04, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2,
  0x6f86e3cd94462fe6, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x02926b5aae149e4a,
};

// m48pa_swio15_dual_pr_ee
static const uint64_t ur_m48p_swio15_dual_pr_ee[] = {
  0x9eeeeee87ad0cf68, 0x54cd4385c42d87d9, 0xd26f747b5868371c, 0x62792bb251fad33e, 0xefeef3ec6be2f667,
  0x6e4d1f53a19c6eca, 0x9484e3e609f19269, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0x70275325afccb838,
  0xefb9bd478adb01ac, 0xf31a04508e485581, 0x177aa4401b87c0af, 0xb41fc4432bb8bddf, 0xe80e784db7e2a10c,
  0xb0de579096dd36ff, 0xa28eca1fff487e60, 0xea3caf7dc1fed68c, 0x5dbaf51f06cc1995, 0x62291669d68407f1,
  0xe84fccc00d7d1859, 0x1e8cf539d5a5d828, 0x3daad743af633763, 0xd2cc5c242d291c43, 0xaa3608cbff00bd97,
  0xe77715251c58f9bd, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x09d372bb54b7d5d9, 0x4ae4ac7a21535c08,
  0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4, 0x9f0dc79b288c5fcd,
  0x3ab337f07771a2ce, 0x2fcc4fe50c2a73f5, 0xff826879133c5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x10dc293c95fb9a19, 0x0000000000002b26,
};

// m48pa_swio15_dual_pr_ee_u4
static const uint64_t ur_m48p_swio15_dual_pr_ee_u4[] = {
  0xf93b777776890c86, 0x2553350e171aafc3, 0x2daefdd01452ba77, 0x477f4c373adefda7, 0x0b2012c435f17e4e,
  0x16e5dd8dd9683cc5, 0x09487806609f1935, 0x32bac0db4ae22c80, 0x8e774f8971030a18, 0x6708ad30d6fccb83,
  0x1a9e9bd47df7b0d3, 0xff31a04508e48558, 0xf8bbd49001b87c0a, 0x65a06522195dc5ee, 0xffa039e137511508,
  0x82c3795e425b719b, 0x8dfc1d8707fd21f9, 0x9fea3cad4f41fed6, 0xe2bc09ea3e0d9830, 0xb2c4522cd3ad080f,
  0x31d07199801afa30, 0xb6fa397c73ab4b9c, 0xe4f6ab5d0ebca69d, 0x2e3e317090814463, 0xa928e87c97fe017b,
  0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x63d10a9ae0404e9b, 0xb55a22bca8525725,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x3cd94462fe6da054, 0x37f07771a2c6f86e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x902ae149e4afdcd0, 0x00000000000000ac,
};

// m48pa_swio15_dual_pr_ce
static const uint64_t ur_m48p_swio15_dual_pr_ce[] = {
  0x89ddddddde7cd0e3, 0xb53350e5091ab0f9, 0xbd1d7d89c24682d0, 0x9fbe9c9cb6534edf, 0xa7d9623b5ba62571,
  0xc85cab8da0a6be44, 0x00948e41e609f192, 0x832bac0db4ae22c8, 0xc0a774f8971030a1, 0x9c7090f3175fccbf,
  0x81afb9bd47727b0f, 0xaff31a04508e4855, 0xef8bbe61801b87c0, 0x865a19222195dc5e, 0x7ff4073c265af150,
  0x982c3795e425b7d3, 0xfd65f0ec297fe768, 0xbbfcf2f2f3b28677, 0x871984e7736be206, 0x326bd474027b9602,
  0x1602bf9d4471cab0, 0xd7916ed3723c8a73, 0x5251d0f9b8e58cf1, 0x2e556b3f8abe7771, 0x551aecec39eacdaf,
  0x2bb54b7d5d9cea2a, 0xc7a21535c0809d37, 0x6ab4457950a4ae4a, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0xf365118bf9b68146, 0xa7c68b1e71726ae0, 0x4c2b93f75663c819, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x0000001cf5e9c75a,
};

// m48pa_swio15_dual_pr_ce_u4
static const uint64_t ur_m48p_swio15_dual_pr_ce_u4[] = {
  0xe0eeeeeed121a5fb, 0x6a66a1c26745f87e, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087bb704,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x430657581b695c45, 0x7071cee9f12e2061, 0x1958e1bee6d37f99,
  0xab032eb37a8ea7b6, 0x815fe63408a11c90, 0xbddf177b3900370f, 0x42196804f4432bb8, 0x16bfe80e784d38c5,
  0x3f30586f2bc84b6e, 0xe2fa9943b3677fa4, 0x6883cf0b00c2515a, 0x1f097e21b09117dc, 0x78bb9b5c92b2a3f5,
  0xa3a013dcb19e1c66, 0xfcea238e5581935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x6761cf566d7972ab, 0x5beaece75152a8d7, 0xa9ae0404e9b95daa, 0x2bca852572563d10, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb40a31dbd8, 0xee3458df0dc79b28, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x293c95fb9a19961d,
  0x00000000d244d05c,
};

// m48pa_swio15_dual_pr_ee_ce
static const uint64_t ur_m48p_swio15_dual_pr_ee_ce[] = {
  0x8f6ddddddd43359b, 0xe94cd4385eed070f, 0xef1ff74b12722946, 0x0ab13b281f210d57, 0xc69e4d705e47c7b2,
  0x21e19851fc2d7519, 0x823d7304f8c9b837, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0xd3533fcfccb838e7,
  0xf9bd47ff9b00d070, 0x3408a11c90ab03e9, 0xeedd80370f815fe6, 0x52d10caee2f77c5d, 0x73c26f9d150865a0,
  0xf2bc84b6fd83ff40, 0x765adffa43f30586, 0x3095ad9dff547810, 0x6d7300dd0ff3c2c0, 0x06ed656649309cee,
  0x1b307dd7a8f2bcac, 0xad08e40572bbd47c, 0x1afa30b2c4522cd3, 0xea73ab5c305fad80, 0xa7075ec66ec63d19,
  0xe1216948e219ed57, 0x22813805ecbe9662, 0x2a4bd3c3e6f6a8d8, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5,
  0xe576a96fabb39d45, 0x58f442a6b81013a6, 0xed5688af2a1495c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x1e6ca2317f36d028, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0x8ddc293c95fb9a19, 0x0000000000002609,
};

// m48pa_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m48p_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x9a8736dfd5f0f96a, 0xf0f6b455e758ed29, 0x7dd820ce64c518e8, 0x16824bb2d49cac32,
  0xf18502da2e2caf6e, 0x9f1926eae5a41b69, 0x88b20025229f8660, 0x0c2860caeb036d2b, 0xccaecc59dd3e25c4,
  0xd821f1c31ba6ec1f, 0x85581bfc9bd476bb, 0x7c0aff31a04508e4, 0x17bbe2ef88c401b8, 0xa8432d0d9c886577,
  0xb91ffa039e136568, 0xd3982c3795e425b7, 0xea8ce08ec35bff7c, 0x1e7858041c35bb8b, 0x4bf10d8488bee344,
  0xcdaf118a71ffa8f8, 0x80ddadcde4933c5d, 0x83660fbaf51e5795, 0x75a11c80ae577a8f, 0x035f4616588a459a,
  0x3d4e756b860bf5b0, 0xf4e0ebd8cdd8c7a3, 0x5c242d291c433daa, 0x04502700bd97d2cc, 0xc5497a787cded51b,
  0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0xdcaed52df57673a8, 0x2b1e8854d7020274, 0x3daad115e54292b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0x83cd94462fe6da05, 0xdfa08d1637c5c9ab,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x4053c95fb9a19961, 0x00000000400245ee,
};

// m48pb_autobaud_uart0_noled_pr
static const uint64_t ur_m48pb_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x82a0aef2776c7b21,
  0xf82cff75304f8c04, 0x5022054f848f5ff2, 0x5526bee6de02e885, 0x921c368ded51c2bf, 0xb03349ea3d7f3be5,
  0x0b7ba6b5aa5c71ca, 0x2e763488ccf1cc58, 0x564356e39630475e, 0xce70b37e06256bd8, 0x2de6f0725603bd6b,
  0xbf9b752d5ca52f9c, 0x3a204cf8a042d3b8, 0x94462fe6da718de3, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0x5d79e4afdcd0ccb0, 0x000000000e220490,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_u4[] = {
  0x5bbbbbbb45d8bf82, 0xeeeeeeaafc2eebe2, 0xa569425f85c76a1e, 0x33f4a64f7777520d, 0xe4eeae3122a6e0d9,
  0xd6609f180905415d, 0x4f84a5f7f920d9f3, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0xf51f9e3be5921c36,
  0x0df27a38e55819a4, 0xa478cce62c05bdd3, 0x71cb1823af173b3d, 0x6fc0c4ad7b0aca27, 0x3ea0c077ad79ce16,
  0x9cbca6c670b79bc0, 0x1738c6f19d102baa, 0xc4922adec5551696, 0x4d5c1e6ca2317f36, 0xc7903b6868b1be2e,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0x922f713e792bf734, 0x0000000000000461,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ee[] = {
  0x25bbbbbbbbd8b562, 0xeeeeeeeaae16564e, 0x1d7eb53f1f0cf5a5, 0x795bc2a0cafcdd79, 0x2777e9c1b34b7071,
  0x7304f8c0482a0aef, 0xf84b2b7f920d9fd3, 0x6de02e8855022054, 0xded51c2bf5526bee, 0x9c60ff6b47f24368,
  0x8f83660c6ffa8f2b, 0x9a75a101fc57927a, 0x30035f4616588a45, 0x673ab4ba623ac673, 0xd0ebc019dabfa3a9,
  0x1210fb4744cf6ab5, 0xcbff00bd970e462e, 0x66fc0c4ad7b074e9, 0x96ea0c077ad79ce1, 0x5539794d8ce16f37,
  0x205cdc502169bd57, 0x462fe6da718de33a, 0x1a2c79c5c9ab8d94, 0x15c9fbab31e40eda, 0x964a271964b867a6,
  0x95fb9a19961d252d, 0x000620fd27389f3c,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ee_u4[] = {
  0x96eeeeeed1222044, 0xbbbbbbaab8594338, 0x9e2f362c7d91d68b, 0xa6a6e0cafcddad09, 0xea0a4e5d3821bd71,
  0x09f180905415de4e, 0x9604ff08c73f6ea6, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0x41fed68c1486d1bd,
  0x06cc1ad7f51e57d4, 0xd68407f1584ff51f, 0x0d7d185962291669, 0xd5a5e5f0e87dccc0, 0xaf4353b08a8f9e39,
  0x2afe8f593daad743, 0xff805ecb65cc5c24, 0x1c5d12a6951b0465, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5,
  0x40aeaa72f29b19c2, 0x545a585ce31bc674, 0xc5fcdb1248ab7b15, 0xc6f8b9357079b288, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x004d4eab2a22f9e4,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ce[] = {
  0x12ddddddddec4743, 0xf777777557e17b27, 0x456a70bd889b1a56, 0x15a30a1b7bbba6d2, 0xbbc9dda8bc9682ac,
  0xfe74c13e30120a82, 0x153e1228bfe48367, 0xfb9b780ba2154088, 0xda37b5470afd549a, 0xcb8387a9dff583f0,
  0xcee6d7df7a6ff3cb, 0x393d3dcb01759309, 0xe7491c72ac0f59ea, 0xdabfa3d61cc580a3, 0x2a01ffb33c75e8f9,
  0x838f81e5adc3eccf, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce,
  0x317f36c490c76f62, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0167e117edc4f9e4,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ce_u4[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x2b4c13e30120a82b, 0x53e12287fe118e7f, 0xb9b780ba21540881, 0xa37b5470afd549af, 0x75a47f2e2fae490d,
  0x8488bee3441e7979, 0xfcc41fa8f84bf10d, 0x58cfd64cf17736bb, 0x95607acf51c9e9ee, 0xb0e62c051f3a48e3,
  0x99e3af47ced5fd1e, 0x2d6e1f6679500ffd, 0xbf0312b5ec1c7c0f, 0xfa8301deb5e73859, 0x72f29b19c2de6f00,
  0x5ce31bc67440aeaa, 0x24863b7b15545a58, 0x6ae0f365118bf9b6, 0x3c81f943458df172, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xe6dc45f3c95fb9a1,
  0x0000000000008dd5,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a232a8, 0x777775578d07d389, 0x47ea28338e3a2477, 0xd2cb2bc5eef8f7a6, 0xd68d4ccd9f725a66,
  0xf180905415de4ee9, 0xb5fe118e7cc7e609, 0xba2154088153e124, 0x70afd549afb9b780, 0xffaa38f70da37b54,
  0xb3fcf2f2eb48c14e, 0x0f9309cee6d767ce, 0x7d4795e9406ed656, 0x2b3d7d47c1b30791, 0x962291669d684720,
  0xe25f7d6c00d7d185, 0x353b08a8f9e39d5a, 0xa3d64f6abd383af4, 0x17b2d97317090abf, 0xa254d2a3608a04e0,
  0x859bf0312b5ece9e, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6, 0xa585ce31bc67440a, 0x9b624863b7b15545,
  0x9726ae0f365118bf, 0xb31e40fca1a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e44cf, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000010442b5445f3,
};

static const uint64_t ur_m48pb_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e5f41, 0xbbbbbaab9e0c1b89, 0xcbbe4a1040bd667b, 0x66970f8dbddc2819, 0xd17f76d8ab8c4e46,
  0x9f180905415de4ee, 0x9b7fe3a9e7ed6e60, 0x17442a81102a7c24, 0x8e15faa935f736f0, 0xc5f547f3a1b46f6a,
  0x1a20f3cbcbcee395, 0x47c25f886c2445f7, 0x3c5dcdafd1f524fd, 0x2bd280ddadcd8f93, 0xfa8f83660f22fa8f,
  0x22cd3ad08e40567a, 0xfad801afa30b2c45, 0x1151f3c73ab5c4be, 0x9ed57a7075e86a76, 0xb2e62e12157f47ac,
  0xa546c11409c02f65, 0xe06256bd9d3d44a9, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x90c76f62aa8b4b0b, 0x5c1e6ca2317f36c4, 0x819a7c68b1be2e4d, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x13ad53c95fb9a199, 0x00000000004111f8,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x415057793bb63d90,
  0x7c167e449827c602, 0xa81102a7c25a57f9, 0xaa935f736f017442, 0xc90e1b46f6a8e15f, 0xac0cd27a8e4f1df2,
  0x016f74c3e7491c72, 0x173b35f23905398b, 0x1583ef71cb1823af, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xcfec376ca2317f36, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0xcc5fac5d79e4afdc, 0x000000000000001a,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr[] = {
  0x6eeeeee87afb1762, 0xbbbbbaabf0b97189, 0xdb7e9522e3bd7a7b, 0xfe3fc5eeeedc4e1f, 0x9dda668cc19a3b85,
  0xcc13e30120a82bbc, 0xf09775fe48367e3d, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xa3dac77cb08786d1,
  0x920fc71cab03417e, 0x8d219cc580b2ca6f, 0xfecc11d7a3e7659e, 0x1e59eda0b348a807, 0xb37e06256bd90568,
  0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391,
  0x6d0d1674f8b93570, 0x61539fa9d598f207, 0x99e2e7197e627f28, 0xe4fc73dffc1343c8, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x00008c3191c4f9e4,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_u4[] = {
  0x4b77777768bb1762, 0xfddddddd55f85c64, 0x368ebeb4f1398ec2, 0xb8036da45ddddd48, 0x5de4eed33466b423,
  0xf912609f18090541, 0x02a7c25a57f920d9, 0x5f736f017442a811, 0x1b46f6a8e15faa93, 0xd27a8e4f1df2c90e,
  0x74c3e7491c72ac0c, 0x35f23905398b016f, 0xef71cb1823af173b, 0x2cdf81895af61583, 0x4180ef5af3c0809c,
  0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x1e6ca2317f36dce4, 0x3b6868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x713e792bf734332c, 0x000000000230c10b,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ee[] = {
  0x44b77777777b1762, 0x5eeeeeeeaae16585, 0x91d7ebd385e34f68, 0xfde2f5a20cafcdd7, 0xf277699a33fa68ec,
  0xad304f8c0482a0ae, 0x4f84b7dff920d9f8, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0xbd2a0ff6b47f2436,
  0xa8f83660c6ffa8f2, 0x59a75a101fc57377, 0x330035f4616588a4, 0x0e73ab4bfc83ac67, 0x5d0ebc019db05a31,
  0x84841c51c82cf6ab, 0x52ffc02f65c3918b, 0x66fc0c4ad7b075ac, 0xac077ad79e0404e1, 0x4e5f3a005bcde0e4,
  0x02169e18aca9dc59, 0xd38c6f19d103f5c5, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0xd539c4f9e4afdcd0, 0x0000000000000c41,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed12232a8, 0xbbbbbbaab85950b8, 0x38678bde99a5d5c7, 0x0ab44195f9bb5a13, 0xe9d68d42459f545a,
  0x09f180905415de4e, 0x96fbff08c73f15a6, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0x41fed68c1486d1bd,
  0x06cc1ad7f51e57dd, 0xd68407f15edff51f, 0x0d7d185962291669, 0xead2fa50e87dccc0, 0xaf4353b0df464f1c,
  0x967a34873daad743, 0xfe017b2d97317090, 0xe2c7d99e546c1197, 0x09c2cdf81895af60, 0xd914180ef5af3c08,
  0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xd5c1e6ca2317f36d, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x8b388be792bf7343, 0x0000000000001353,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ce[] = {
  0x12ddddddddec53c3, 0x7bbbbbbaabf0b921, 0x45b26d4c99e2fd37, 0x136104a87bbba6d2, 0xbbc9dd23f2eec8c7,
  0xce1cc13e30120a82, 0x153e124adfe48367, 0xfb9b780ba2154088, 0xda37b5470afd549a, 0xcb839221dff583f0,
  0xcee6d7d9d1cbf3cb, 0x3f493dcb01759309, 0x888b1c72ac0f59ea, 0x659e8d219cc580a9, 0xa807feccf1d7a3e7,
  0x415a0796b720b348, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x5c9ab8d94462fe6d, 0xb31e40eda1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271,
  0xdc7b89f3c95fb9a1, 0x000000000002cfc2,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0x75304f8c0482a0ae, 0x4f84b027f84639fb, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0xad254ab8beb92436,
  0x2445f71a20f3cbcb, 0xfc00fd47c25f886c, 0x8cfd64cf17736bd6, 0x5607acf51fa49ee5, 0xce62c054c4458e39,
  0x78ebd1f3b2cf4690, 0x5b9059a45403ff66, 0xc0c4ad7b20ad03cb, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0xa2317f36dce18ede, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000008dd6aca88be,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd447e4a, 0xeeeeeeeaaf1a0f23, 0x4fe991f3f706f6e0, 0x05eb96578bddf1ef, 0xd294758dd2be976b,
  0x13e30120a82bbc9d, 0x5d3ffe118e7ffe4c, 0x017442a81102a7c2, 0xa8e15faa935f736f, 0x1dff5471ee1b46f6,
  0x0149f9e5e5d6932b, 0x2b07c984e7736bc0, 0x917d479584f0376b, 0x202b913d47c1b307, 0x85962291669d6847,
  0xad71a57d6c00d7d1, 0xf4353b0df464f1ce, 0x9e8d21cf6abd383a, 0x805ecb65cc5c2425, 0xf0fb33ca8d822813,
  0x9c2cdf81895af674, 0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x9ab8d94462fe6db9, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196, 0xf445f3c95fb9a199,
  0x0000000000159b39,
};

static const uint64_t ur_m48pb_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e6d3a, 0xbbbbbaab9e0a3b89, 0x8372eda29bad29db, 0x8c4e1f1b7bb85033, 0x73b66c7b64cb1393,
  0x7c602415057793bb, 0xfe7f8ea79f6bb982, 0x2e8855022054f849, 0x1c2bf5526bee6de0, 0x8bea8fe74368ded5,
  0x3441e797979d93ab, 0x8f84bf10d8488bee, 0xf17736b8224c03fa, 0x584f0376b7363e4c, 0xd47c1b307917d479,
  0x1669d6847202b913, 0xd6c00d7d18596229, 0xdf464f1cead71a57, 0xf6abd383af4353b0, 0x5cc5c24259e8d21c,
  0xa8d822813805ecb6, 0x1895af674f0fb33c, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x462fe6db9c31dbd8, 0x1637c5c9ab83cd94, 0xfd4eacc790334f8d, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00082268e275aa79,
};

// m48pb_autobaud_uart0_dual_pr
static const uint64_t ur_m48pb_autobaud_uart0_dual[] = {
  0xb6eeeeeeef3e1000, 0x7777775fb02f57da, 0xa768055892d5b1ab, 0x99f68a76eee91fe4, 0x5ddd5aaefa2fd9b4,
  0x27c602415057792f, 0x5c459001291d1f98, 0x2061430657581b69, 0xdf997f814ee9f12e, 0x52f60c14e1812695,
  0x1c90ab0374b37a8e, 0x370f815fe63408a1, 0x95dc5eef8bbdfe00, 0x4dd150865a1a5221, 0x12dbba5ffa039e13,
  0x9fe4834c161bcaf2, 0xd10aa0440a9f093f, 0x857eaa4d7dcdbc05, 0x3be589a86d1bdaa3, 0x71cab0310fea3e45,
  0xcc580aa0f34e2f7c, 0x1d78033b5ac8ebf9, 0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xfc0c4ad7b27f157c,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad,
  0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000aacda7d775aa7,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_u4[] = {
  0x6ddddddda24343ee, 0xeeeeeebf605f02f5, 0x2ae3dc9d06f47b6e, 0x4f00a69c1bb77768, 0x24fdbbabbf22421b,
  0x5304f8c0482a0aef, 0xb695c459001290ce, 0x12e2061430657581, 0x6287f997071cee9f, 0xa8ff3b6121ce05d6,
  0x8a11c90ab0328b37, 0xf80370f815fe6340, 0x4432bb8bddf177f4, 0xc264c62a10cb426e, 0x5e425b74adff4073,
  0x51effc231982c379, 0x017442a81102a7c2, 0xa8e15faa935f736f, 0xe19df2d5fe1b46f6, 0x6a38e5581a43f51e,
  0x59cc580bf8732d72, 0x608ebc8b7613e8d0, 0xee2a4a561a4dc72c, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f,
  0x52d5e7400b79bcc0, 0x2810b4a9f016a724, 0xda718de33a2065fe, 0x6f86e3cd94462fe6, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x02e0b3e0ae149e4a,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ee[] = {
  0xb77777743d686f97, 0x777775fb03344fd5, 0x555eeb71ab508777, 0xf62ef4fc8ee94a41, 0xc119d0fc53aae29a,
  0x0905415de4d89773, 0x800948b92a609f18, 0x1832bac0db4ae22c, 0x838e774f8971030a, 0xd34707f93620fccb,
  0xb03b1f9bd470d1b0, 0x15fe63408a11c90a, 0xbbe2ef68380370f8, 0x432d060a88657717, 0xfffa039e134878a8,
  0x982c3795e425b7b1, 0x102a7c2435bfc231, 0x35f736f017442a81, 0x21b46f6a8e15faa9, 0x4795bf907fb5a3ea,
  0x80dea3e0d9835f3d, 0x4522cd3ad080fe2b, 0x09f99801afa30b2c, 0x5188a73ab4bedf1d, 0xdaad743af633764c,
  0x598b84856b23aff3, 0x46c1197fe017b2fa, 0xeee2a4a38b13fac5, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad, 0x0eee3459d3e1b8f3,
  0xa1854e7ea75666fe, 0x22678b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000a54864b8527,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ee_u4[] = {
  0x5b7777776890cf68, 0xbbbbbbafd819dced, 0xa75179579cedae3b, 0x47d9f3d3f23baccd, 0x9a3ea75ee1bb113d,
  0xc0482a0aef251dbb, 0x64004a470ff304f8, 0x50c195d606da5711, 0x5c1c73ba7c4b8818, 0x87fc380689b4d7e6,
  0xab03a1f9bd47b1fd, 0x815fe63408a11c90, 0xbddf17792500370f, 0x4219681c34432bb8, 0x0fffd01cf099c9c5,
  0x8cc161bcaf212dbd, 0x088153e12d37fe11, 0x49afb9b780ba2154, 0xe30da37b5470afd5, 0xea3cacca83fdad1c,
  0x587bf51f06cc1a63, 0x62291669d68407f1, 0xe838ccc00d7d1859, 0x4547d01cead2fd40, 0x9ed56ba1d794d3b6,
  0x8f8c5c242269189f, 0x947427e5ff805ecb, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x7f36dce455bd8aaa, 0xd1637c371e6ca231, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000a549d3d70a4,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ce[] = {
  0x6dddddddde7cbd5b, 0xeeeeeebf605e5ab5, 0x39df69eb157eefde, 0xb67c82b777560a33, 0x1bbbbbf7016b41eb,
  0x4f8c0482a0aef257, 0xb88b2002523bad30, 0x40c2860caeb036d2, 0x7f32ff029dd3e25c, 0xdd6c3671c2394c70,
  0x392156078126f51e, 0x6e1f02bfcc681142, 0x57717bbe2efc6e00, 0x4f8a8432d00f6886, 0x2dbe04ffa039e130,
  0xfe4834c161bcaf21, 0x2154088153e12f9d, 0xafd549afb9b780ba, 0xff51bf0da37b5470, 0x383f9e5e5e77dd1d,
  0x2871984e7736bc72, 0x0c38fa8f70e7b960, 0xc580b10ef71c72ac, 0x75e45bb13c8ded1c, 0xa928e84fee39633c,
  0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0xc5fcdb73863b7b15, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x14f278dbad53c95f,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ce_u4[] = {
  0xd5b7777776890c86, 0xbbbbbbbafd904aaf, 0x58675bdfb4e5b5df, 0x8a1640258b777437, 0x6273bbbb1bb2d079,
  0x304f8c0482a0aef2, 0xa571164004a433d7, 0xb881850c195d606d, 0xedfe65c1c73ba7c4, 0x8cdec3768e09b734,
  0x47242ac0c2d4dea3, 0x0dc3e057f98d0228, 0xcaee2f77c5dece40, 0x4ad150865a05d510, 0x25b70b5ff4073c26,
  0xbfc231982c3795e4, 0x442a81102a7c25b3, 0x15faa935f736f017, 0xc5f54021b46f6a8e, 0xd1079e1601849d2d,
  0x3e12fc4361222fb8, 0x78bb9b5c527ebfea, 0x471bf3dcb19f52e6, 0x507c8e39560752fd, 0xdad6475fce62c050,
  0x5403ff6678ebc019, 0x549d03cb5b843a43, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0x79bcd914180ef5af,
  0xf9537a94e4a7400b, 0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0x2c6f86e3cd94462f, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00015af702ae149e,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ee_ce[] = {
  0x56dddddddd431f02, 0xeeeeeeebf6b1fee3, 0x8d587d932e76d826, 0x32242cd2cc8eefda, 0x94622cdb90cc283f,
  0xc0482a0aef25053b, 0x4004a42e43f304f8, 0x0c195d606da57116, 0xc1c73ba7c4b88185, 0xd6ce130d333e7e65,
  0xc0e004dea3febec0, 0x57f98d022847242a, 0xdf177852200dc3e0, 0x196813a4432bb8bd, 0x7fd01cf09b674542,
  0x60b0de579096de00, 0x40a9f09068ff08c6, 0xd7dcdbc05d10aa04, 0x86d1bdaa3857eaa4, 0x06128ac77fd51945,
  0x736bf60de1fe7858, 0xb0376b2b324984e7, 0xe0d983f93d4795c7, 0x9d6847202b31fea3, 0x00d7d18596229166,
  0xc4539d5ae36ffd6c, 0x5e9c1d7b19bb2628, 0x17090ad6475fe7b5, 0xc11409c02f65f4b3, 0x71525e9e13fac546,
  0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x118bf9b6e70c76f6, 0xbb8d163ce1b8f365, 0xd30ae4fdd599bf83, 0x296cf8138cb25c33, 0x49e4afdcd0ccb0e9,
  0x00000031106e3ee1,
};

static const uint64_t ur_m48pb_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed1369f2541, 0xeeeebf6643337ab6, 0x1f9b36fe1d518eee, 0xd2b4eddebba2f9b4, 0x66f69f55efaf60f8,
  0xf25393baa71865a1, 0x27304f8c0482a0ae, 0x6d2b88b20025238f, 0x25c40c2860caeb03, 0xd1ffccaecc59dd3e,
  0xec87b0a4a383394d, 0x239215606cf937a8, 0x06e1f02bfcc68114, 0x95dc5eef8bbe3ee0, 0x4fc54219686ed221,
  0x5b767cffa039e137, 0xfc753982c3795e42, 0x855022054f8490fb, 0xbf5526bee6de02e8, 0xa8ca1c368ded51c2,
  0xe7858041c31fb8be, 0xbf10d8488bee3441, 0x6d77546a83fa8f84, 0x06ed6e6f2499e2ee, 0x1b307f27a8f2b8f6,
  0xad08e405663fd47c, 0x1afa30b2c4522cd3, 0x8a73ab5c6dffad80, 0xd383af633764c518, 0xe1215ac8ebfcf6ab,
  0x22813805ecbe9662, 0x2a4bd3c27f58a8d8, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x317f36dce18edec5, 0xb1be2e4d5c1e6ca2, 0x53ab337f06fd0468,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x3f56eaca72029e4a,
};

// m48pb_u1x8_uart0_noled_pr
static const uint64_t ur_m48pb_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf052609f18090541, 0x05bd817c9fe5f059, 0x1df2c21ee737f688, 0x1c72ac0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa,
  0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x70ddb288c5fcdb12, 0xab31e40d1fc68b1e, 0x1964b867a615c9fb,
  0x19961d252d964a27, 0x00390baf3c95fb9a, 0x00000000000000f9,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbbaeea2ec4743, 0xeeeeeaaec385ee25, 0xb67eefc3e33499ee, 0x7eb4bf37774880b2, 0x93bb51792d8f583c,
  0x49827c6024150577, 0xbd817c9fe48367c1, 0xf2c21ee737f68805, 0x72ac0d05fa8fd01d, 0x8b016594cf7dad1c,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x12b5ec1c7c0f2cf6, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x79b288c5fcdb1248, 0xeda1a2c6f8b93570, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc4f9e4afdcd0ccb0,
  0x000000001f27b5ed,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ee[] = {
  0x5bbbbbaeedec53c3, 0x7777775578322422, 0x964da9933c5fa6ef, 0x2a19c146d37783d0, 0x48fcbbb231c4d841,
  0x4f8c0482a0aef277, 0x92b7f920d9f38730, 0x29739bfb4402dec0, 0xea3cafa883fdad18, 0xb09fea3e0d9835af,
  0xc4522cd3ad080fe2, 0xd0fb99801afa30b2, 0x151f3c73ab4bcbe1, 0x7b55ae875e86a761, 0xcb98b84855fd1eb2,
  0x2a3608cbff00bd96, 0x06256bd838ba254d, 0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5,
  0x9156f62aa8b4b0b9, 0x6ae365118bf9b624, 0x7903b6868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xee27cf257ee68665, 0x000000000053e371,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777775dd4488a493, 0xeeeeeaaf0644844b, 0xc9b532666ef4fdee, 0x433828da6ef07a12, 0x6e414d14ed1b0825,
  0xf180905415de4ee8, 0x56ff08c73e70e609, 0x2e737f68805bd812, 0x4795f5107fb5a305, 0x13fd47c1b306b5fd,
  0x8a459a75a101fc56, 0x1f7330035f461658, 0xa3e78e7569797c3a, 0x6ab5d0ebd0d4ec22, 0x7317090abfa3d64f,
  0x46c1197fe017b2d9, 0xc4ad7b071744a9a5, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc,
  0x2adec55516961738, 0x1e6ca2317f36c492, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x88be792bf734332c, 0x0000000004ebef05,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbaeed41ec53c3, 0xeeeeaaec385c625b, 0xdfa548b8ef5e9eee, 0x8ff17bbbbe16fdb6, 0x748fcbb0671c617f,
  0x04f8c0482a0aef27, 0x05dd7f920d9f8f73, 0xc1fb9cdfda2016f6, 0xf9e5e5c1c3d4effa, 0x26139dcdafd3f63f,
  0xb3d4727a7b9602eb, 0x0147ce9238e5581e, 0xd1f3b57f47ac398b, 0xd99e5403ff6678eb, 0xad7b071f03cb5b87,
  0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0, 0xf19d102baa9cbca6, 0xdec55516961738c6, 0xd94462fe6d89218e,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903b6, 0x6879133c09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0xcc8e27cf257ee686, 0x0000000000000375,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xd304f8c0482a0aef, 0xec08a2ff84639ff9, 0xfae49739bfb4402d, 0x41e797975a47f2e2, 0x84bf10d8488bee34,
  0x17736bbfcc41fa8f, 0x1c9e9ee58cfd64cf, 0xf3a48e395607acf5, 0xed5fd1eb0e62c051, 0x9500ffd99e3af47c,
  0xc1c7c0f2d6e1f667, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb, 0x440aeaa72f29b19c, 0x5545a585ce31bc67,
  0x18bf9b624863b7b1, 0x58df1726ae0f3651, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000375d32d445f3c,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ee_ce[] = {
  0x96eeeeebbb7b1762, 0xbbbbbbaabdc0b0a8, 0xb19af4e178d3da17, 0xde2f5a2443c4eef8, 0x277699a33fa68ecf,
  0xd304f8c0482a0aef, 0xec0b7dff920d9f8a, 0x51f75739bfb4402d, 0xf9e5e5c1c28a77fd, 0xf984e7736bffc0d1,
  0x4795cdc06ed65641, 0xa63ea3e0d983defd, 0x1148b34eb4239015, 0x7bfeb6006be8c2cb, 0x3b0874627ce756b8,
  0x8ce7b55e9c1d7803, 0x2e1c8c5c24290547, 0x5ec32435204e017b, 0xeb5e73859bf0312b, 0x7ce16f378392b01d,
  0x9dc5fcdba96ae529, 0xde33a204cf318216, 0xb8d94462fe6da718, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x89f3c95fb9a19961, 0x000000000a69aa73,
};

static const uint64_t ur_m48pb_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e3406ee2, 0x17e95b24171efd3d, 0x104332caf17ba36c, 0xdd57ccfa0d962b22,
  0xc13e30120a82bbc9, 0x0babffc231cff4fc, 0x28b739bfb4402dec, 0x2f2eb4852ee2faa3, 0x21b09117dc6883cf,
  0xbb37d2a3f51f097e, 0xed6e6e0fccf17736, 0x983defd4795af806, 0x4239015bdfea3e0d, 0xbe8c2cb1148b34eb,
  0x1cead70b5feb6006, 0x075e00cecd7c8ded, 0x84691199e9ed57a7, 0x09c02f65c3918b84, 0x7e06256bd864fc34,
  0xcde603bd6bce70b3, 0x460d4d894fdf385b, 0x67440840c6085a72, 0xb288c5fcdb4e31bc, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x000000027e042e22,
};

// m48pb_u1x8_uart0_lednop_pr
static const uint64_t ur_m48pb_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xd7c9827c60241505, 0x16f60498ff97c167, 0x77cb243b9cdfda20, 0x71cab03349ea393c, 0xe62c05bdd30f9d24,
  0x8ebc5cecd7c8e414, 0x6bd8560fbdc72c60, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0xc68b1e70ddb288c5, 0x15c9fbab31e40d1f, 0x964a271964b867a6,
  0x95fb9a19961d252d, 0x00001f21ce0baf3c,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_u4[] = {
  0xbbbbbaeea2ec53c3, 0xeeeeeaaec3835e25, 0x5ef67bf61b7b006e, 0xbaff13bbba440594, 0x7748fcbb7a71c7d2,
  0x304f8c0482a0aef2, 0xb029bbfc906cfa01, 0x5843dce6fed100b7, 0x5581a0bf51ed63be, 0xc0596537c907e38e,
  0xd1f3b2cf4690ce62, 0x59a45403ff6608eb, 0xb5ec82b40f2cf6d0, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfe6db9c8ab7b1554, 0x7c5c9ab83cd94462, 0x9d598f2076d0d163,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0f93bab6e27cf257,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ee[] = {
  0xb777775ddbd8b562, 0xeeeeeeaaf064c844, 0x4242c9c010cf5a5e, 0x70bce0a369bbc1e8, 0xfd3836696e0e2f2b,
  0x9f180905415de4ee, 0x487ff241b3e50e60, 0x52e737f68805bd81, 0xd4795f7507fb5a30, 0x7b7fd47c1b306b5f,
  0x88a459a75a101fc5, 0xa1f7330035f46165, 0x7d193c73ab4be943, 0xf6ab5d0ebd0d4ec3, 0x5cc5c24259e8d21c,
  0x51b0465ff805ecb6, 0x6256bd838b1f6679, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x8c5fcdb739156f62, 0x3458f38b93571b28, 0x2b93f75663c81db4, 0x2c944e32c970cf4c,
  0x2bf734332c3a4a5b, 0x00029f3a4e713e79,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbaeea2447e4a, 0x7777755783264225, 0x12164e00697a34f7, 0x85e7051b4dde0f42, 0xa51d65c6afb1795b,
  0xf8c0482a0aef2774, 0x43ff84639f287304, 0x9739bfb4402dec0a, 0xa3cafba83fdad182, 0xdbfea3e0d9835afe,
  0x4522cd3ad080fe2b, 0x0fb99801afa30b2c, 0xe8c9e39d5a5f4a1d, 0xb55ae875e86a761b, 0xe62e1212cf4690e7,
  0x8d8232ffc02f65b2, 0x12b5ec1c58fb33ca, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0x62fe6db9c8ab7b15, 0x637c5c9ab83cd944, 0xfa9d598f207e50d1, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0009d7c927117cf2,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ce[] = {
  0x77775dda83d8b562, 0xeeeeaaec3998c4b7, 0xe3b6e84537b856ee, 0x0bf8feeeef85bf62, 0xddfa706cfddc16a6,
  0xc13e30120a82bbc9, 0x020f7fe48367e034, 0x60fdce6fed100b7b, 0xfcf2f2e0e48877fd, 0x9309cee6d719bdda,
  0x59ea3f493dcb0175, 0x80a9888b1c72ac0f, 0xa3e7659e8d219cc5, 0xb348a807feccf1d7, 0x5af6415a0796b720,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xfe6db9c31dbd8aaa,
  0x5e5c9ab83cd94462, 0xeacc7903b6868b2d, 0x3c09c69430a9cfd4, 0x985727e03e687913, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x000000375deb6e27,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x7304f8c0482a0aef, 0xec092b7f84639f38, 0xfae49739bfb4402d, 0x83cf2f2eb4952ae2, 0x097e21b09117dc68,
  0x5dcdaf5bf003f51f, 0x7e927b9633f5933c, 0x111638e5581eb3d4, 0xcb3d1a43398b0153, 0x500ffd99e3af47ce,
  0x82b40f2d6e416691, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a,
  0x73863b7b15545a6a, 0x357079b288c5fcdb, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xbc1622f9e4afdcd0, 0x0000000000001baf,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41446f43, 0xeeeeaaf70208225b, 0x2e19e14627699eee, 0xb1221e2775d7c014, 0x3bed233d9447ec89,
  0xc602415057793bad, 0x3bfc231cf9c19827, 0xb9cdfda2016f605b, 0x75a4cac77fd51c7b, 0x736ba545c8fe7979,
  0xf0376b2b07c984e7, 0xc1b307917d479584, 0x9d6847202b913d47, 0x00d7d18596229166, 0x64f1cead71a57d6c,
  0xbd383af4353b0df4, 0x5c24259e8d21cf6a, 0x822813805ecb65cc, 0x5af674f0fb33ca8d, 0xf3c0809c2cdf8189,
  0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xfe6db9c31dbd8aaa, 0x5e5c9ab83cd94462,
  0xeacc7903f2868b2d, 0x3c09c69430a9cfd4, 0x985727e03e687913, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00000004fc815117,
};

static const uint64_t ur_m48pb_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbbaeea2e7c4c7f, 0xdddd55e341e4625b, 0x323e7eee0ea33ddd, 0x72caf17bbe3de9fd, 0xdce29d55f2ed60bd,
  0x80905415de4eef5d, 0xff1d4f3fff2609f1, 0xe6fed100b7b02e9f, 0x9d93ab8bea8fe75c, 0x488bee3441e79797,
  0x4c03fa8f84bf10d8, 0x363e4cf17736b822, 0x17d479584f0376b7, 0x02b913d47c1b3079, 0x5962291669d68472,
  0xd71a57d6c00d7d18, 0x4353b0df464f1cea, 0xe8d21cf6abd383af, 0x05ecb65cc5c24259, 0x0fb33ca8d8228138,
  0xc2cdf81895af674f, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x83cd94462fe6db9c, 0x334f8d1637c5c9ab, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x75aa792bf734332c, 0x00000000027e2d6a,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual[] = {
  0xdbbbbba6d6a232a8, 0xddddddd7ec3199ea, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270a771d68d5acf8,
  0x3304f8c0482a0aef, 0xb695c459001291d8, 0x12e2061430657581, 0x145fccb62ed4ee9f, 0xa3c7bd83f8705f73,
  0x14239215607dd4de, 0xa006e1f02bfcc681, 0x4432bb8bddf17793, 0xc26b5a2a10cb4232, 0xaf212dbf75ff4073,
  0x40a7f97c14c161bc, 0x7fb9cdfda2016f60, 0x03487ea388a77cb5, 0x7f0e6c906fc71cab, 0xb762791bda398b01,
  0x609fdc72c608ebc8, 0xb27f157ceee2a4a5, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc,
  0xaba718de33a2077c, 0xb6e722adec555169, 0x726ae0f365118bf9, 0x970cf4c2b93f3fb1, 0x2c3a4a5b3e04e32c,
  0xe388be792bf73433, 0x00000000000cb7f4,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr[] = {
  0x777774dade7cbf3e, 0xbbbbbafd86471d5b, 0xa7ab07e994ed295b, 0x8166460deeee95b1, 0xc29dd388b11d6ebb,
  0xc13e30120a82bbc9, 0xa571164004a44c34, 0xb881850c195d606d, 0xa2fe65fe053ba7c4, 0x1e3dec1fc382fb98,
  0xa11c90ab03eea6f5, 0x00370f815fe63408, 0x2195dc5eef8bbf67, 0x135ad150865a1192, 0xf212db87bffa039e,
  0x201fe4834c161bca, 0xfee737f68805bd81, 0x1a43f51ee19df2d5, 0xf8732d726a38e558, 0x7613e8d059cc580b,
  0x1a4dc72c608ebc8b, 0x27f157ceee2a4a56, 0x404e166fc0c4ad7b, 0x0b79bcc077ad79e0, 0xf016a72452d5e740,
  0x3a2065fe2810b4a9, 0x94462fe6da718de3, 0x1a2c79c5c9ab83cd, 0xae4fdd598f20669f, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006204e2dd6a9e,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_u4[] = {
  0x77774daa2e7c1a4e, 0xbbbbafd86333d5b7, 0x228ee99d86d015bb, 0x3752ef7774ad8d33, 0xdc9aee16933dc14a,
  0xe30120a82bbc9c29, 0x1164004a4760cc13, 0x1850c195d606da57, 0xe65fe053ba7c4b88, 0xdec1fc382fb98a2f,
  0xc90ab03eea6f51e3, 0x70f815fe63408a11, 0x5dc5eef8bbc9d003, 0xad150865a1192219, 0x96dfbaffa039e135,
  0xff241a60b0de5790, 0x39bfb4402dec0814, 0x0fd47114ef96aff7, 0xcd920df8e3956069, 0x4f237b4731602fe1,
  0xfb8e58c11d7916ec, 0xe2af9ddc5494ac13, 0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa94e4a7400b79bcd,
  0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x5c1e6ca2317f36dc, 0x819a7c68b1be2e4d, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x53ad53c95fb9a199,
  0x0000000000292756,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ee[] = {
  0x777774dade7cd0e3, 0xbbbbafd9e9ecad5b, 0xeabe6c5bf7a3afbb, 0x239d00041ba244c8, 0xb8da0a6be44a7d96,
  0x0482a0aef27c8bba, 0x4004a40c2f304f8c, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x704e1d5f350ffe65,
  0xb03b7537a8f1cb60, 0x15fe63408a11c90a, 0xddf177feb80370f8, 0x219684064432bb8b, 0x5bfe80e784c65454,
  0xd30586f2bc84b6e3, 0x4402dec0b027f920, 0x83fdad1ce3739bfb, 0x06cc1a63ea3cacca, 0xeb4203f8afa8f51f,
  0x06be8c2cb1148b34, 0x75697400741c6660, 0x75e534ed6b23e80e, 0x10874627e7b55ae8, 0xffc02f65c7c62e12,
  0x57ceee2a4a3a1f72, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0x29c94e8016f3796e, 0xa042d380bdf2a6f5,
  0x6d38c6f19d1023a8, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0xd38eb54f257ee686, 0x0000000000003214,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ee_u4[] = {
  0x777774daa2436f02, 0x77775fb3d32afd5b, 0x4fb67c75b547f777, 0xe93200083751d86e, 0x1f35f260b36eb63a,
  0x4150577932eddcfe, 0x01291e729827c602, 0x0657581b695c4590, 0x71cee9f12e206143, 0xf3874fcd63ff9970,
  0x38e537a8fd5fb0a1, 0xfe63408a11c90ab0, 0xe2ef66f80370f815, 0x2d0fdc88657717bb, 0xfd01cf099fc8a843,
  0x0b0de579096de397, 0x05bd8129eff08c66, 0xfb5a3ea2e737f688, 0x9835f3d4795bf907, 0x080fe2b80dea3e0d,
  0xfa30b2c4522cd3ad, 0x4bedf1d09f99801a, 0x633764c5188a73ab, 0xb23aff3daad743af, 0x017b2fa598b84856,
  0xb13fac546c1197fe, 0x27f157ceee2a4a38, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xbe1b8f365118bf9b, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x02b25d5bb852792b,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ce[] = {
  0x777774dade7c92df, 0xbbbbbafd866cad5b, 0xaf8ed06e2c5bd77b, 0x6739eb6eeefd3976, 0x5dca3e8437389b08,
  0x7c60241505779351, 0xc459001290089982, 0x061430657581b695, 0xf997f814ee9f12e2, 0x7b61958e1bee6d37,
  0xc90ab032eb37a8ea, 0x70f815fe63408a11, 0xbb8bddf177d6f803, 0x8c542196804f4432, 0xb6e5d7fe80e784d3,
  0xf920d30586f2bc84, 0x9bfb4402dec0aa57, 0x5e7663ceffabdf73, 0x7736ba5a0b5f9e5e, 0x37e7b9602d4b984e,
  0xf91c72ac0ea5fa8e, 0xac8ebf9cc580a0a0, 0x07feccf1d78033b5, 0x3a0796b7087486a8, 0xc9fc55f3bb8a92a9,
  0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xb73863b7b15545a6,
  0x9357079b288c5fcd, 0x1e40cd3e3458f38b, 0x4b867a615c9fbab3, 0x961d252d9f027196, 0x3fbad53c95fb9a19,
  0x0000000000073d76,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ce_u4[] = {
  0x777774daa243573e, 0x77775fb02f4fbd5b, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xbb9717dd95c7595b,
  0xf8c0482a0aef2792, 0x1164004a4720f304, 0x1850c195d606da57, 0xe65c1c73ba7c4b88, 0x6d813a3825a982d7,
  0x242ac0f4dcdea38d, 0xc3e057f98d022847, 0xee2f77c5df30c00d, 0x7150865a0bed10ca, 0xb7d37ff4073c260f,
  0xc231982c3795e425, 0xdfda2016f60452ff, 0x61274b717d500b9c, 0x488bee3441e78580, 0x9faffa8f84bf10d8,
  0x67d4b99e2ee6d714, 0x81d4bf51c6fcf72c, 0x98b014141f238e55, 0x3af00676b591d7f3, 0xe10e90d500ffd99e,
  0x777152552740f2d6, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0x65118bf9b6e70c76, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xbb852792bf734332, 0x00000000006926d7,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbba6d6a0a1a5fb, 0xeeeebf6267ddeadb, 0x13eabfaef41f6eee, 0xbf6b474edd69c759, 0x8d759b42acc995df,
  0x4150577921b9dd2c, 0x025222319827c602, 0x0caeb036d2b88b20, 0xe39dd3e25c40c286, 0xb3856fcd003f32e0,
  0x7bb537a8f3b7b0b5, 0xfcc6811423921560, 0xc5dfcdf006e1f02b, 0x5a195910caee2f77, 0xf4073c2629715086,
  0x586f2bc84b6fbb5f, 0x5bd81757ff846330, 0xf546516e737f6880, 0x1f9e160184a2b1df, 0x926139dcdae49595,
  0x51e571ec0ddacacc, 0xcc7fa8f83660fe4f, 0x88a459a75a11c80a, 0xdbff5b0035f46165, 0x6ec98a3114e756b8,
  0xd7f9ed57a7075ec6, 0xd97d2cc5c242b591, 0xfeb151b04502700b, 0xe2af9ddc5497a784, 0x9c2cdf81895af64f,
  0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x6e3cd94462fe6db9,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f22678, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00004003d6ee149e,
};

static const uint64_t ur_m48pb_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7774daa26d3f1107, 0xbbafdac7fb8d5b77, 0x9973ac1378ffbbbb, 0x9664777ed46ac3ec, 0x518e9061f9912166,
  0xde4a0a7737fb54e3, 0x87e609f180905415, 0xdb4ae22c8009485c, 0x8971030a1832bac0, 0x99f3f32bb316774f,
  0x1ff5f606b6709869, 0x42392156070026f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbc291, 0xdb3a2a10cb409d22,
  0x84b6f003fe80e784, 0x47f8ea730586f2bc, 0x739bfb4402dec083, 0x1070c7ee2faa3287, 0x1222fb8d1079e160,
  0x1aa0fea3e12fc436, 0x9bc92678bb9b5dd5, 0xc9ea3cae3d81bb5b, 0x01598ff51f06cc1f, 0x2cb1148b34eb4239,
  0xd71b7feb6006be8c, 0xd8cdd93146229cea, 0xb23aff3daaf4e0eb, 0x017b2fa598b84856, 0xf09fd62a3608a04e,
  0xc9fc55f3bb8a92f4, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0x9357079b288c5fcd, 0xdfc1bf411a2c6f8b, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc15c80a792bf7343, 0x000000000001001b,
};

// m48pb_u1x12_uart0_noled_pr
static const uint64_t ur_m48pb_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x9827c60241505779, 0xc24f7ff97c167f24, 0xa3749feda9fddba7, 0x3d47e78ef964870d, 0xc37c9e8e39560669,
  0x691e33398b016f74, 0xdc72c608ebc5cecf, 0x9bf0312b5ec2b289, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xb1e70ddb288c5fcd, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x1f21d270baf3c95f,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb15a91, 0xdd55f672b4896eee, 0x455336de8dbddddd, 0x60fbbba1651c7422, 0xa2f4ec772ed88f1f,
  0xf8c0482a0aef2775, 0x5f3fc906cfce3304, 0xa4ff6d4feedd3e12, 0x3f4077cb08786d1b, 0xf6b471cab03417ea,
  0x1eb0e62c0596533d, 0xfd9823af47ced5fd, 0x3cb3db1f6679500f, 0x66fc0c4ad7b071f0, 0x03ea0c077ad79ce1,
  0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0x6c4922adec555169, 0xe4d5c1e6ca2317f3, 0xcc7903b6868b1be2,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x9c7d7713e792bf73, 0x000000000000007c,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8bf82, 0xddd55d3d68244b77, 0x7a636cfdec33dddd, 0xf530e2ddddfe2f0a, 0x12247e0d83336331,
  0x80905415de4eeae3, 0xff241b3e52e609f1, 0xfb6a7f76e9f093a5, 0xff6b460a4368dd27, 0x660d6bfa8f2bea20,
  0x4203f8ac27fa8f83, 0xbe8c2cb1148b34eb, 0xd2f2f8743ee66006, 0xa1a9d84547cf1cea, 0x7f47ac9ed56ba1d7,
  0xc02f65b2e62e1215, 0x2e89534a8d8232ff, 0x9c2cdf81895af60e, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfe6d892455bd8aaa, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x029f34e389f3c95f,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a24458e2, 0xeeaae9eb41225bbb, 0xd31b70cf5a5eeeee, 0xa98716eeeff17853, 0xf634a758199b198f,
  0x0482a0aef2774a70, 0xf84639f297304f8c, 0xdb53fbb74f849d2f, 0xfb5a30521b46e93f, 0x306b5fd4795f5107,
  0x101fc5613fd47c1b, 0xf4616588a459a75a, 0x9797c3a1f7330035, 0x0d4ec22a3e78e756, 0xfa3d64f6ab5d0ebd,
  0x017b2d97317090ab, 0x744a9a546c1197fe, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79,
  0x6961738c6f19d102, 0xf36c4922adec5551, 0xe2e4d5c1e6ca2317, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x4eb8a9c88be792bf,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8bf82, 0xd55f673c7c4b7777, 0x3792c9ea9bdddddd, 0x6beeee9a0df90013, 0xc6244ddc1bb1f0bc,
  0xe30120a82bbc9dd5, 0xcaff241b3efe4c13, 0x93fdb53fbb74f848, 0x0f53bfeb07e1b46e, 0xbf4fd8ffe7979707,
  0xee580bac984e7736, 0xe395607acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0x59bf0312b5ec1c7c, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xb624863b7b15545a,
  0x726ae0f365118bf9, 0x31e40eda1a2cb579, 0x271a50c2a73f53ab, 0x5c9f80f9a1e44cf0, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000375d02389f3c,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x04f8c0482a0aef27, 0x49c9ff84639f90f3, 0x6e93fdb53fbb74f8, 0xb48fe5c5f5c921b4, 0x9117dc6883cf2f2e,
  0x9883f51f097e21b0, 0x19fac99e2ee6d77f, 0xac0f59ea393d3dcb, 0x1cc580a3e7491c72, 0x3c75e8f9dabfa3d6,
  0xadc3eccf2a01ffb3, 0xe06256bd838f81e5, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x90c76f62aa8b4b0b, 0x5c1e6ca2317f36c4, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7288be792bf73433, 0x000000000006eb90,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ee_ce[] = {
  0x776d0d783a88aaac, 0x77557eb044844b77, 0xc982fa17af5f7777, 0x21e0993dd1afb6f6, 0x1476626274333768,
  0x180905415de4eef9, 0xaff08c73f1ca609f, 0x7fb6a7f76e9f095b, 0x1dff547dd4368dd2, 0x7bb5f9e5e5d692a5,
  0x5907e6139dcdae33, 0x7bf51e56be01bb59, 0x4056f7fa8f83660f, 0x0b2c4522cd3ad08e, 0xb5c2d7fad801afa3,
  0x8033b35f237b473a, 0x44667a7b55e9c1d7, 0x0bd970e462e1211a, 0x895af6193f0d0270, 0x80ef5af39c2cdf81,
  0x536253f7ce16f379, 0x02103182169c9183, 0x317f36d38c6f19d1, 0xd163ce2e4d5c6ca2, 0xae4fdd598f207e50,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0029a7b5ee22f9e4,
};

static const uint64_t ur_m48pb_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xb686bc1a2e7c3375, 0xeaaef214ce25bbbb, 0x537706f6e0eeeeee, 0x18d7dd85ea6d71b4, 0x8dd5cee9dc9685c7,
  0x482a0aef2774b156, 0x1d4f3e337304f8c0, 0x6a7f76e9f0905aff, 0xea8fe74368dd27fb, 0x41e797979dc72b8b,
  0x84bf10d8488bee34, 0xbb9b5fa3ea49fa8f, 0xa501bb5b9b1f2678, 0x1f06cc1e45f51e57, 0x9a75a11c80acf5f5,
  0xb0035f4616588a45, 0xa3e78e756b897df5, 0xaaf4e0ebd0d4ec22, 0xcc5c242afe8f593d, 0x8d822813805ecb65,
  0xc4ad7b3a7a89534a, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc, 0x8edec55516961738,
  0x3cd94462fe6d8921, 0x34f8d1637c5c9ab8, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x5aa792bf734332c3, 0x000000004fc40567,
};

// m48pb_u1x12_uart0_lednop_pr
static const uint64_t ur_m48pb_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x9304f8c0482a0aef, 0xf84be4ff2f82cf82, 0xb46e93fdb53fbb74, 0x27a8e4f1df2c90e1, 0x4c3e7491c72ac0cd,
  0x5f23905398b016f7, 0xf71cb1823af173b3, 0xcdf81895af61583e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0x76ca2317f36dce45, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x587494b659289c65, 0xe42ebcf257ee6866, 0x000000000003e400,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8bf82, 0xdd55f671d7c4b777, 0x84bf0b8ed43ddddd, 0x993dddd0b28e3ad2, 0xb8c48a9b8364cfd2,
  0x7c602415057793ba, 0x97dfe48367cf5982, 0xa4ff6d4feedd3e12, 0x3dac77cb08786d1b, 0x20fc71cab03417ea,
  0xd219cc580b2ca6f9, 0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b288c5fcdb73915, 0xda1a2c6f8b935707,
  0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x4f9e4afdcd0ccb0e, 0x00000000f9348bdc,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ee[] = {
  0xeeeda1af077b1762, 0x7775574f595b896e, 0x9855431a7b42f777, 0xfea61c5bbbbfc5a0, 0xa33fa68ecfde2fb1,
  0xc0482a0aef277699, 0xff920d9f53d304f8, 0xfdb53fbb74f848ba, 0x7fb5a30521b46e93, 0xb306b5fd4795f750,
  0xa101fc57b7fd47c1, 0x5f4616588a459a75, 0xb4be943a1f733003, 0xd0d4ec37d193c73a, 0x9e8d21cf6ab5d0eb,
  0x805ecb65cc5c2425, 0xb1f667951b0465ff, 0x70b37e06256bd838, 0x450603bd6bcf0202, 0xa53929d002de6f36,
  0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x3571b288c5fcdb73, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xe713e792bf734332, 0x00000000000a7c54,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a24477d6, 0xdd55d3d656e25bbb, 0x1550e85ebd7ddddd, 0xa98716eeeff16826, 0x88c4fda3f78bec7f,
  0x120a82bbc9dd7ad3, 0xe118e7d4f4c13e30, 0x6d4feedd3e122ebf, 0xed68c1486d1ba4ff, 0xc1ad7f51e57dd41f,
  0x407f15edff51f06c, 0xd185962291669d68, 0x2fa50e87dccc00d7, 0x353b0df464f1cead, 0xa34873daad743af4,
  0x17b2d97317090967, 0x7d99e546c1197fe0, 0x2cdf81895af60e2c, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x1e6ca2317f36dce4, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x88be792bf734332c,
  0x0000000004eb938b,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ce[] = {
  0xeda1af07507b1762, 0xbaabece02f896eee, 0x00f16486ad1bbbbb, 0xd88eeee9a0df9e3e, 0xa668cda5a3b7a6d4,
  0x3e30120a82bbc9dd, 0x31ffe48367ea54c1, 0xa4ff6d4feedd3e12, 0xc910effac1f86d1b, 0xae337bb5f9e5e5c1,
  0x7b9602eb26139dcd, 0x38e5581eb3d47e92, 0x1a43398b01531116, 0xfd99e3af47cecb3d, 0x0f2d6e416691500f,
  0x59bf0312b5ec82b4, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x79b288c5fcdb7386, 0x6d0d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0x71d15c4f9e4afdcd, 0x00000000000000dd,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x13e30120a82bbc9d, 0x274bfe118e7ca5cc, 0xba4ff6d4feedd3e1, 0xa4a95717d72486d1, 0x88bee3441e797975,
  0x801fa8f84bf10d84, 0x9fac99e2ee6d7adf, 0xc0f59ea3f493dcb1, 0xcc580a9888b1c72a, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x462fe6db9c31dbd8, 0x1637c5c9ab83cd94, 0x9fa9d598f207e50d, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000dd71539117cf,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xb686bc1d41445541, 0x557eb0564625bbbb, 0xd68f23bc97777777, 0x264f77d2d43a0a34, 0x89c7397191f06678,
  0x82a0aef27740524c, 0x8c73fd5f304f8c04, 0xa7f76e9f09472ff0, 0xa8e3dc368dd27fb6, 0xf3cbcbad26563bfe,
  0x4c273b9b5d2a2e47, 0x3cac2781bb59583e, 0x89ea3e0d983c8bea, 0x148b34eb4239015c, 0x2beb6006be8c2cb1,
  0xd86fa3278e756b8d, 0x0e7b55e9c1d7a1a9, 0x5b2e62e1212cf469, 0x9e546c11409c02f6, 0xfc0c4ad7b3a787d9,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0xca2317f36dce18ed,
  0x34596af2e4d5c1e6, 0x4e7ea75663c81f94, 0x43c899e04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c,
  0xec88be792bf73433, 0x00000000000027e2,
};

static const uint64_t ur_m48pb_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xdb435e0d173e304a, 0x755779058312dddd, 0x1b4b477b13b77777, 0x8c6beec2f5374cd7, 0xf76480448cbb0823,
  0x20a82bbc9ddb1751, 0x3a9e7c344c13e301, 0xa9fddba7c2563ffe, 0xaa3f9d0da3749fed, 0x079e5e5e764eae2f,
  0x12fc4361222fb8d1, 0xdcdae089300fea3e, 0x3c0ddadcd8f933c5, 0xf06cc1e45f51e561, 0xa75a11c80ae44f51,
  0x0035f4616588a459, 0x193c73ab5c695f5b, 0xaf4e0ebd0d4ec37d, 0x17090967a34873da, 0x608a04e017b2d973,
  0x56bd9d3c3eccf2a3, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0xbf9b6e70c76f62aa, 0xdf1726ae0f365118, 0x3ab31e40cd3e3458, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f8bcf9d6a9e4af,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual[] = {
  0xbbbbe24c9ea22a20, 0xdddd7edb6d19eadb, 0xd123c95a76d86ddd, 0xe0dd13b777717bd7, 0xad0ee1ec5ab63514,
  0x609f180905415de4, 0xd2b88b2002523ace, 0x5c40c2860caeb036, 0x27f996c5da9dd3e2, 0x77f360bece051667,
  0x847242ac0cca9bd4, 0x00dc3e057f98d022, 0x8657717bbe2ef382, 0x4dbdc54219680f88, 0xc84b6f01bfe80e78,
  0x9ffe5f0530586f2b, 0x4ff6d4feedd3e120, 0x88a77cb57f86d1ba, 0xd2471cab03487ea3, 0xed1cc580bf873263,
  0x8c11d7916ecd7c8d, 0xddc5494ac1f7b8e5, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0x29d002de6f2dd418,
  0x5a7017be54dea539, 0x18de33a204751408, 0xb83cd94462fe6da7, 0x3d30ae4fcfec5c9a, 0x9296cf8138cb25c3,
  0x2f9e4afdcd0ccb0e, 0x0000000196f8e2e2,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr[] = {
  0xf893261ebe7cd0e3, 0x5fb6db69dab6eeee, 0x09157db38b777777, 0x76eee8d368a52837, 0xda0962c8941402a2,
  0x82a0aef2419bbab8, 0x01291d67304f8c04, 0x0657581b695c4590, 0x814ee9f12e206143, 0x58e0e966387f997f,
  0x0380d37a8ffbb609, 0x5fe63408a11c90ab, 0xdf177d8f80370f81, 0x0cb43e44432bb8bd, 0xdff4073c261f22a1,
  0x982c3795e425b780, 0xddba7c2413ffc906, 0x1350da3749feda9f, 0x60621fd47c8a77cb, 0x1541e69c5ef8e395,
  0x0676b591d7f398b0, 0x90d500ffd9823af0, 0x49549d03cb3db10e, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818,
  0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x17f36dce455bd8aa, 0xd3e2e4d5c1e6ca23,
  0x3ab31e40cd3e3459, 0x2fcc4fe50c2a73f5, 0xff826879133c5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x18bad53c95fb9a19, 0x000000000000524f,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_u4[] = {
  0x77c4993a2e7cd0e3, 0xbafdb6d9bad5b777, 0x3b92b62d415bbbbb, 0x247777717bd78179, 0xc6d0539644bd6294,
  0x120a82bbc95a1dd5, 0x4004a45e1cc13e30, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x2fb3814599c9fe65,
  0xab0332a6f51dfcd8, 0x815fe63408a11c90, 0x5eef8bbd2d00370f, 0x50865a03e22195dc, 0xccaffa039e136f71,
  0x41a60b0de579096d, 0x53fbb74f84a71ff2, 0xf2d5fe1b46e93fdb, 0x72ac0d21fa8e229d, 0x2c05fc39b241bf1c,
  0xaf22dd89e46f68e6, 0x9295827f71cb1823, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x37c5c9ab83cd9446, 0x4eacc790334f8d16,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x029269a075aa792b,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ee[] = {
  0x7777c4993de7ce7c, 0xbbbafd94d9ced5b7, 0xfda3b545faeb7bbb, 0x21d43b23bb70605e, 0xb69eae23f33ed3ec,
  0x20a82bbc9582eed9, 0x01290eddcc13e301, 0x0657581b695c4590, 0x814ee9f12e206143, 0xf3850fcdd3ff997f,
  0x1ece9bd47383b0ea, 0xff31a04508e48558, 0xf8bbcd6c01b87c0a, 0xcb42a522195dc5ee, 0xfe80e784d1ee2a10,
  0x0586f2bc84b6e4eb, 0xb74f84a577f920d3, 0xc61b46e93fdb53fb, 0xd479599507fb5a39, 0x5f51ea3e0d9834c7,
  0x62291669d68407f1, 0xe838ccc00d7d1859, 0xd647d01cead2e800, 0xcf6ab5d0ebca69da, 0x8f8c5c24210e8c4f,
  0x94743ee5ff805ecb, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0x2de6f2dd4180ef5a, 0x7be54dea53929d00,
  0x3a2047514085a701, 0x94462fe6da718de3, 0x1a2c79c5c9ab83cd, 0xae4fdd598f20669f, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00003214e71d6a9e,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ee_u4[] = {
  0x777c4993a243359b, 0x775fb29b1d7d5b77, 0x7d7738b513f77777, 0x550ec8eee4e29d9f, 0x8509b6badce75b4e,
  0xa82bbc9122ee1e19, 0x948ea74c13e30120, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0xe163f37fcfccb838,
  0xe0cdea3d0fec3a7c, 0x98d022847242ac0c, 0x5de95000dc3e057f, 0xa095910caee2f77c, 0x4073c265f7150865,
  0xc3795e425b7383ff, 0xa7c2595bfc231982, 0x0da3749feda9fddb, 0x3cadfc83fdad1f51, 0x06f51f06cc1af9ea,
  0x291669d68407f15c, 0x4fccc00d7d185962, 0x8c4539d5a5f6f8e8, 0xd56ba1d7b19bb262, 0xcc5c242b591d7f9e,
  0x3608cbff00bd97d2, 0x7715251c589fd62a, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x288c5fcdb739156f, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xdc293c95fb9a1996,
  0x0000000000ac8917,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ce[] = {
  0x777c4993de7c7a31, 0xbbafdb6d9ced5b77, 0xd629c9f7b62fbbbb, 0xd86dddda66247ed1, 0x4fc3e51f07d1a821,
  0x120a82bbc968aee4, 0x800948300cc13e30, 0x1832bac0db4ae22c, 0xfc0a774f8971030a, 0xdf670d373456fccb,
  0x5819439bd47cadb0, 0x0aff31a04508e485, 0xf77c5df00001b87c, 0x8432d0ee910caee2, 0xa1ffd01cf09b4a8a,
  0x1a60b0de579096dc, 0x7f76e9f097eeff24, 0xeaf7c368dd27fb6a, 0xd7e797979d98f3bf, 0x52e6139dcdae9682,
  0xa97ea38df9ee580b, 0x6028283e471cab03, 0xe00ced6b23afe731, 0x1d21aa01ffb33c75, 0xe2a4aa4e81e5adc2,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2317f36dce18edec, 0x163ce2e4d5c1e6ca, 0x27eeacc790334f8d, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x01cf58f2eeb54f25,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ce_u4[] = {
  0x777c4993a2435202, 0x775fb353cfbd5b77, 0xb8d43db6abf77777, 0xf7b2b777519b33eb, 0x43ada6cdf9af45fb,
  0x2415057793d39dce, 0x0025215d79827c60, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x5a3805a98c7ff32e,
  0xc0e2b4dea393ad82, 0x57f98d022847242a, 0x77c5decf800dc3e0, 0x865a051510caee2f, 0xdff4073c2631f150,
  0x982c3795e425b78a, 0xddba7c24c17fc231, 0xa010da3749feda9f, 0xcf0b00c24e96e2fa, 0x7e21b09117dc6883,
  0xcdae293f5ff51f09, 0xf9ee58cfa9733c5d, 0x471cab03a97ea38d, 0x23afe7316028283e, 0xffb33c75e00ced6b,
  0x81e5adc21d21aa01, 0x7f157ceee2a4aa4e, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde,
  0xa718de33a2077ca9, 0xce18edec555169ab, 0xc371e6ca2317f36d, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xd248faf70a4f257e,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ee_ce[] = {
  0xeef89327a8286f97, 0xeebf61b75dfab6ee, 0xe806c5f7dc6eeeee, 0xf64238ee80a9c49a, 0xceb8fea744de4ca2,
  0x2a0aef24a73b9e08, 0x4a4271f304f8c048, 0x95d606da57116400, 0x73ba7c4b881850c1, 0x3840098527e65c1c,
  0x9b737a8f6b7b0adf, 0xcc68114239215606, 0x5dea91006e1f02bf, 0xa1bed10caee2f77c, 0x4073c2660b150865,
  0x86f2bc84b6e9b7ff, 0x9f0950fff8463305, 0x368dd27fb6a7f76e, 0x3094563bfea8ca2c, 0x9b5c92b2a3f3c2c0,
  0x81bb5959924c273b, 0x06cc1fc9ea3cae3d, 0xeb423901598ff51f, 0x06be8c2cb1148b34, 0x229cead71b7feb60,
  0xf4e0ebd8cdd93146, 0xb84856b23aff3daa, 0x08a04e017b2fa598, 0x8a92f4f09fd62a36, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1,
  0x71a2cb578dc79b28, 0x2a73f53ab337f077, 0x9a1e44cf0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719,
  0x3a2dc293c95fb9a1, 0x0000000000001000,
};

static const uint64_t ur_m48pb_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0x7c4993a26d3e72df, 0x5fb63bc89d5b7777, 0x1fccdefd5f777777, 0x0bdd498589c2c9b5, 0x5601beb8fceee85c,
  0x47b3b99f5cbeb4b2, 0x304f8c0482a0aef2, 0x95c459001290598b, 0xe2061430657581b6, 0x9fe657662cee9f12,
  0xadec2618e0cf9375, 0x7242ac0c524dea39, 0xdc3e057f98d02284, 0x5dc5eef8bbfce400, 0xca2a10cb412d2219,
  0xb6e293fe80e784d1, 0xf8ea730586f2bc84, 0xdb53fbb74f84b4d7, 0x5f54650e1b46e93f, 0x20f3c2c020e18fdc,
  0xc25f886c2445f71a, 0x7736bbaa3541fd47, 0x7b0376b737924cf1, 0x3e0d983f93d4795c, 0x69d6847202b31fea,
  0xc00d7d1859622916, 0x8c4539d5ae36ffd6, 0x55e9c1d7b19bb262, 0x317090ad6475fe7b, 0x6c11409c02f65f4b,
  0x771525e9e13fac54, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x5118bf9b6e70c76f, 0x3458df1726ae0f36, 0x9fa9d599bf837e82, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000200054e39014f,
};

// m48pb_u2x8_uart0_noled_pr
static const uint64_t ur_m48pb_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0x924c13e30120a82b, 0xd3e127bffcbe0b3f, 0x386d1bdaa3949bed, 0x3349ea3f3c77cb24, 0x7ba61be4f471cab0,
  0x767b48f199cc580b, 0x944ee39630475e2e, 0x9c2cdf81895af615, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfe6d892455bd8aaa, 0xe3458f386ed94462, 0x0ae4fdd598f2068f, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0000f90e9385d79e,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_u4[] = {
  0x77776d0e8bb15a91, 0xeeeeaafb395a44b7, 0x1122a99b6f46deee, 0x8fb07dddd0b28e3a, 0xbad17a763b976c47,
  0x827c602415057793, 0x092f9fe48367e719, 0x68ded51ca4df6e9f, 0xbf51fa03be5843c3, 0x99efb5a38e5581a0,
  0xafe8f58731602cb2, 0x807fecc11d7a3e76, 0x8f81e59ed8fb33ca, 0xe70b37e06256bd83, 0xcde01f50603bd6bc,
  0x15d54e5e5363385b, 0x8b4b0b9c6378ce88, 0xbf9b6249156f62aa, 0xdf1726ae0f365118, 0xa75663c81db43458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x03e4e3ebb89f3c95,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb687bd8bf82, 0xeeeeeaae9eb41225, 0x853d31b67ef619ee, 0x98fa98716eeeff17, 0x7189123f06c199b1,
  0xf8c0482a0aef2775, 0xd2ff920d9f297304, 0xf6a8e526fb74f849, 0x5107fb5a30521b46, 0x7c1b306b5fd4795f,
  0xa75a101fc5613fd4, 0x0035f4616588a459, 0xe7569797c3a1f733, 0x0ebd0d4ec22a3e78, 0x90abfa3d64f6ab5d,
  0x97fe017b2d973170, 0xb071744a9a546c11, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67,
  0x55516961738c6f19, 0x2317f36c4922adec, 0x0d163ce2e4d5c6ca, 0x0ae4fdd598f2076d, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x000014f9a71c4f9e,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ee_u4[] = {
  0xdddddb43a24458e2, 0x77775574f5a0912d, 0x29e98db867ad2f77, 0xc7d4c38b7777f8bc, 0x387b1a53ac0ccd8c,
  0xc602415057793ba5, 0x97fc231cf94b9827, 0xb5472937dba7c24e, 0x883fdad18290da37, 0xe0d9835afea3cafa,
  0x3ad080fe2b09fea3, 0x01afa30b2c4522cd, 0x3ab4bcbe1d0fb998, 0x75e86a761151f3c7, 0x855fd1eb27b55ae8,
  0xbff00bd96cb98b84, 0x838ba254d2a3608c, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338,
  0xaa8b4b0b9c6378ce, 0x18bf9b6249156f62, 0x58df1726ae0f3651, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000275c54e445f3c,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ce[] = {
  0xbbbb687a83d8bf82, 0xeeeaafb39e3e25bb, 0x099bc964f54deeee, 0x5e35f7774d06fc80, 0xeae31226ee0dd8f8,
  0x09f180905415de4e, 0x24657f920d9f7f26, 0xa37b5472937dba7c, 0xb8387a9dff583f0d, 0xb9b5fa7ec7ff3cbc,
  0x4f4f72c05d64c273, 0xd2471cab03d67a8e, 0xafe8f587316028f9, 0x807feccf1d7a3e76, 0xe3e0796b70fb33ca,
  0x39c2cdf81895af60, 0xf37807d4180ef5af, 0x0575539794d8ce16, 0xa2d2c2e718de33a2, 0x5fcdb12431dbd8aa,
  0xabcb9357079b288c, 0x9d598f2076d0d165, 0x678138d2861539fa, 0xd30ae4fc07cd0f22, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000001bae811c4,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x79827c6024150577, 0x7c24e4ffc231cfc8, 0x0da37b5472937dba, 0x7975a47f2e2fae49, 0x0d8488bee3441e79,
  0xbbfcc41fa8f84bf1, 0xee58cfd64cf17736, 0xe395607acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd,
  0x0f2d6e1f6679500f, 0x59bf0312b5ec1c7c, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae,
  0xb624863b7b15545a, 0x726ae0f365118bf9, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x5c839445f3c95fb9, 0x0000000000000037,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbb687a88aaac, 0xbbbbaabf58224225, 0x7b64c17d0bd7afbb, 0xb410f04c9ee8d7db, 0x7c8a3b31313a199b,
  0x4f8c0482a0aef277, 0xadd7f84639f8e530, 0x6f6a8e526fb74f84, 0x9528effaa3eea1b4, 0x719bddafcf2f2eb4,
  0xdacac83f309cee6d, 0x307bdfa8f2b5f00d, 0x847202b7bfd47c1b, 0x7d185962291669d6, 0x39d5ae16bfd6c00d,
  0x0ebc019d9af91bda, 0x08d22333d3daaf4e, 0x13805ecb87231709, 0xfc0c4ad7b0c9f868, 0x9bcc077ad79ce166,
  0x8c1a9b129fbe70b7, 0xce8810818c10b4e4, 0x65118bf9b69c6378, 0xf2868b1e71726ae3, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x0000014d3daf7117,
};

static const uint64_t ur_m48pb_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xddddb43a2e7c3375, 0x777557790a6712dd, 0xda29bb837b707777, 0xe38c6beec2f536b8, 0xab46eae774ee4b42,
  0x602415057793ba58, 0x7f8ea79f19b9827c, 0xa8e526fb74f8482d, 0x5c5f547f3a1b46f6, 0x71a20f3cbcbcee39,
  0xd47c25f886c2445f, 0x33c5dcdafd1f524f, 0xf2bd280ddadcd8f9, 0xafa8f83660f22fa8, 0x522cd3ad08e40567,
  0xefad801afa30b2c4, 0x61151f3c73ab5c4b, 0xc9ed57a7075e86a7, 0x5b2e62e12157f47a, 0x9a546c11409c02f6,
  0x7e06256bd9d3d44a, 0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0,
  0xd5c1e6ca2317f36c, 0xc819a7c68b1be2e4, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x2b3ad53c95fb9a19, 0x0000000000027e20,
};

// m48pb_u2x8_uart0_lednop_pr
static const uint64_t ur_m48pb_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xc149827c60241505, 0xba7c25f27f97c167, 0x870da37b5472937d, 0x06693d47278ef964, 0xb7ba61f3a48e3956,
  0x9d9af91c829cc580, 0xc1f7b8e58c11d78b, 0x4e166fc0c4ad7b0a, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0xce1bb65118bf9b6e, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x20072175e792bf73, 0x000000000000001f,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_u4[] = {
  0xbbbbb68745d8bf82, 0xeeeeaafb38ebe25b, 0x69425f85c76a1eee, 0xe94c9eeee859471d, 0xdd5c62454dc1b267,
  0xc13e30120a82bbc9, 0x094beff241b3e7ac, 0x68ded51ca4df6e9f, 0xbf51ed63be5843c3, 0x37c907e38e5581a0,
  0xcf4690ce62c05965, 0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101,
  0x529c94e8016f379b, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0xb83cd94462fe6db9, 0x2076d0d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x5ee27cf257ee6866, 0x000000000007c9a4,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ee[] = {
  0xb777776d0f7b1762, 0xbbbbbaaba7acadc4, 0xd04c2aa18d3da17b, 0xd8ff530e2ddddfe2, 0x4cd19fd34767ef17,
  0x7c602415057793bb, 0x5d7fc906cfa9e982, 0x7b5472937dba7c24, 0xba83fdad18290da3, 0x3e0d9835afea3caf,
  0xd3ad080fe2bdbfea, 0x801afa30b2c4522c, 0x39d5a5f4a1d0fb99, 0x875e86a761be8c9e, 0x212cf4690e7b55ae,
  0x2ffc02f65b2e62e1, 0xc1c58fb33ca8d823, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3,
  0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xc5c9ab8d94462fe6, 0xab31e40eda1a2c79, 0x1964b867a615c9fb,
  0x19961d252d964a27, 0xe2a7389f3c95fb9a, 0x0000000000000053,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ee_u4[] = {
  0xdddddb43a24477d6, 0xeeeeaae9eb2b712d, 0x130aa8742f5ebeee, 0x3fd4c38b7777f8b4, 0x69c4627ed1fbc5f6,
  0x180905415de4eebd, 0x5ff08c73ea7a609f, 0xd51ca4df6e9f0917, 0xa0ff6b460a4368de, 0x83660d6bfa8f2bee,
  0xeb4203f8af6ffa8f, 0x06be8c2cb1148b34, 0x75697d28743ee660, 0xd7a1a9d86fa3278e, 0x4b3d1a439ed56ba1,
  0xff00bd96cb98b848, 0x7163eccf2a3608cb, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x6ae0f365118bf9b6, 0x3c81f943458df172, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x9c5c45f3c95fb9a1,
  0x000000000000275c,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ce[] = {
  0x77776d0f507b1762, 0xdddd55f67017c4b7, 0x1f0078b243568ddd, 0x6a6c477774d06fcf, 0xeed33466d2d1dbd3,
  0x609f180905415de4, 0x0918fff241b3f52a, 0x68ded51ca4df6e9f, 0x2e0e48877fd60fc3, 0xee6d719bddafcf2f,
  0xf493dcb01759309c, 0x88b1c72ac0f59ea3, 0x59e8d219cc580a98, 0x807feccf1d7a3e76, 0x15a0796b720b348a,
  0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0xab83cd94462fe6db, 0x903b6868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e6879133c09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x06eb8e8ae27cf257,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0xe609f180905415de, 0xf093a5ff08c73e52, 0x368ded51ca4df6e9, 0xcbad254ab8beb924, 0x6c2445f71a20f3cb,
  0xd6fc00fd47c25f88, 0xe58cfd64cf17736b, 0x395607acf51fa49e, 0x90ce62c054c4458e, 0x6678ebd1f3b2cf46,
  0xcb5b9059a45403ff, 0x6fc0c4ad7b20ad03, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x6ca2317f36dce18e, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xbe792bf734332c3a, 0x00000006eb8a9c88,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xddddb43d41445541, 0xbbaabf582b2312dd, 0x1a6b4791de4bbbbb, 0x3c1327bbe96a1d05, 0x2644e39cb8c8f833,
  0x02415057793ba029, 0xf84639feaf9827c6, 0x8e526fb74f84a397, 0xdff5471ee1b46f6a, 0x723f9e5e5d6932b1,
  0xc1f26139dcdae951, 0x5f51e5613c0ddaca, 0x0ae44f51f06cc1e4, 0x6588a459a75a11c8, 0x5c695f5b0035f461,
  0x0d4ec37d193c73ab, 0xa34873daaf4e0ebd, 0x17b2d97317090967, 0x3eccf2a3608a04e0, 0x0b37e06256bd9d3c,
  0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38, 0x0f365118bf9b6e70,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x3f176445f3c95fb9, 0x0000000000000001,
};

static const uint64_t ur_m48pb_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeeeda1d173e304a, 0xbbbaabbc82c1896e, 0x6b8da5a3bd89dbbb, 0x11c635f7617a9ba6, 0xa8fbb24022465d84,
  0x80905415de4eed8b, 0xff1d4f3e1a2609f1, 0xa3949bedd3e12b1f, 0x717d51fce86d1bda, 0xc6883cf2f2f3b275,
  0x51f097e21b09117d, 0x9e2ee6d70449807f, 0x2b09e06ed6e6c7c9, 0x7a8f83660f22fa8f, 0x22cd3ad08e405722,
  0xfad801afa30b2c45, 0x1be8c9e39d5ae34a, 0x9ed57a7075e86a76, 0xcb98b8484b3d1a43, 0x951b04502700bd96,
  0x0312b5ece9e1f667, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x88c5fcdb73863b7b, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00004fc5e7ceb54f,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual[] = {
  0xb777777c4ea22a20, 0xbbbbbafdb6da33d5, 0xafa24792b4edb0db, 0x29c1ba276eeee2f7, 0xc95a1dc3d8b56c6a,
  0x9cc13e30120a82bb, 0x6da571164004a475, 0xc4b881850c195d60, 0xce4ff32d8bb53ba7, 0xa8efe6c17d9c0a2c,
  0x4508e48558199537, 0x0401b87c0aff31a0, 0x110caee2f77c5de7, 0xf09b7b8a8432d01f, 0x579096de037fd01c,
  0x413ffcbe0a60b0de, 0x37b5472937dba7c2, 0xd47114ef96aff0da, 0x4c7a48e39560690f, 0x91bda398b017f0e6,
  0x1cb1823af22dd9af, 0x5f3bb8a929583ef7, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0xa7253a005bcde5ba,
  0x810b4e02f7ca9bd4, 0xb4e31bc674408ea2, 0x9357079b288c5fcd, 0xb867a615c9f9fd8b, 0x61d252d9f0271964,
  0x5c45f3c95fb9a199, 0x000000000032df1c,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr[] = {
  0xdddf121ebe7cd0e3, 0xeebf6db6d3b56ddd, 0x6e122afb6716eeee, 0x44edddd1a6d14a50, 0x71b412c591282805,
  0x0905415de4833775, 0x2002523ace609f18, 0x860caeb036d2b88b, 0xff029dd3e25c40c2, 0x12b1c1d2cc70ff32,
  0x560701a6f51ff76c, 0x02bfcc6811423921, 0x7bbe2efb1f006e1f, 0x4219687c88865771, 0x01bfe80e784c3e45,
  0x0d30586f2bc84b6f, 0x26fb74f84827ff92, 0xf9626a1b46f6a8e5, 0x72ac0c43fa8f914e, 0x1602a83cd38bdf1c,
  0x5e00ced6b23afe73, 0x21d21aa01ffb3047, 0xb8a92a93a07967b6, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf,
  0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4462fe6db9c8ab7b, 0x8b3a7c5c9ab83cd9,
  0x7ea75663c819a7c6, 0x9c65f989fca1854e, 0xcf7ff04d0f22678b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0x49e3175aa792bf73, 0x000000000000000a,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_u4[] = {
  0xeeeef89a2e7cd0e3, 0x7775fb6db375ab6e, 0xf277256c5a82b777, 0x2848eeeee2f7af02, 0xab8da0a72c897ac5,
  0x602415057792b43b, 0x2c800948bc39827c, 0x0a1832bac0db4ae2, 0xcbfc0a774f897103, 0xb05f67028b3393fc,
  0x215606654dea3bf9, 0x1f02bfcc68114239, 0xb8bddf177a5a006e, 0xe2a10cb407c4432b, 0xdb995ff4073c26de,
  0xe4834c161bcaf212, 0x1ca4df6e9f094e3f, 0x53be5abfc368ded5, 0xe38e5581a43f51c4, 0x1cc580bf87364837,
  0x0475e45bb13c8ded, 0x715252b04fee3963, 0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x88c5fcdb739156f6, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000524d340eb54f,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ee[] = {
  0x6eeeeef89de7ce7c, 0x777775fb29b39dab, 0xbdfb476a8bf5d6f7, 0xd843a8764776e0c0, 0xb36d3d5c47e67da7,
  0x02415057792b05dd, 0x2002521dbb9827c6, 0x860caeb036d2b88b, 0xff029dd3e25c40c2, 0xd5e70a1f9ba7ff32,
  0xb03d9d37a8e70761, 0x15fe63408a11c90a, 0xddf1779ad80370f8, 0x2196854a4432bb8b, 0xd7fd01cf09a3dc54,
  0xa60b0de579096dc9, 0xdf6e9f094aeff241, 0x4738c368ded51ca4, 0x98fa8f2b32a0ff6b, 0xfe2bea3d47c1b306,
  0x0b2c4522cd3ad080, 0x001d07199801afa3, 0x3b5ac8fa039d5a5d, 0x89f9ed56ba1d794d, 0xd971f18b848421d1,
  0x8a928e87dcbff00b, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0xa005bcde5ba8301d, 0xe02f7ca9bd4a7253,
  0xbc674408ea2810b4, 0x79b288c5fcdb4e31, 0xd3e3458f38b93570, 0xa615c9fbab31e40c, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x00000006429ce3ad,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeef89a243359b, 0xeeeebf65363afab6, 0x3efaee716a27eeee, 0x9caa1d91ddc9c53b, 0x330a136d75b9ceb6,
  0x415057792245dc3c, 0x01291d4e9827c602, 0x0657581b695c4590, 0x71cee9f12e206143, 0xf9c2c7e6ff9f9970,
  0x19c19bd47a1fd874, 0xff31a04508e48558, 0xf8bbd2a001b87c0a, 0xcb412b22195dc5ee, 0xfe80e784cbee2a10,
  0x0586f2bc84b6e707, 0xb74f84b2b7f84633, 0xea21b46f6a8e526f, 0x3d4795bf907fb5a3, 0x2b80dea3e0d9835f,
  0x2c4522cd3ad080fe, 0x1d09f99801afa30b, 0x4c5188a73ab4bedf, 0xf3daad743af63376, 0xfa598b84856b23af,
  0xc546c1197fe017b2, 0x7ceee2a4a38b13fa, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0xf365118bf9b6e722, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x22fb852792bf7343,
  0x0000000000001591,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeef89de7c7a31, 0x77775fb6db39dab6, 0xa3ac5393ef6c5f77, 0x43b0dbbbb4cc48fd, 0xc89f87ca3e0fa350,
  0x602415057792d15d, 0x590012906019827c, 0x1430657581b695c4, 0x97f814ee9f12e206, 0x61bece1a6e68adf9,
  0x0ab0328737a8f95b, 0xf815fe63408a11c9, 0xc5eef8bbe0000370, 0x150865a1dd22195d, 0xb943ffa039e13695,
  0x4834c161bcaf212d, 0x949bedd3e12fddfe, 0x77fd5ef86d1bdaa3, 0xd05afcf2f2f3b31e, 0x016a5cc273b9b5d2,
  0x60752fd471bf3dcb, 0xe62c050507c8e395, 0x8ebc019dad6475fc, 0xb843a435403ff667, 0x9ddc549549d03cb5,
  0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0xd94462fe6db9c31d, 0xf1a2c79c5c9ab83c, 0x0ae4fdd598f20669, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000039eb1e5dd6a9,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeef89a2435202, 0xeeeebf66a79f7ab6, 0xd771a87b6d57eeee, 0xf7ef656eeea33667, 0x9c875b4d9bf35e8b,
  0xc0482a0aef27a73b, 0x64004a42baf304f8, 0x50c195d606da5711, 0x5c1c73ba7c4b8818, 0x04b4700b5318ffe6,
  0x5581c569bd47275b, 0xc0aff31a04508e48, 0x5eef8bbd9f001b87, 0xa10cb40a2a2195dc, 0x15bfe80e784c63e2,
  0x6330586f2bc84b6f, 0x26fb74f84982ff84, 0x5f54021b46f6a8e5, 0x1079e1601849d2dc, 0xe12fc4361222fb8d,
  0x8bb9b5c527ebfea3, 0x71bf3dcb19f52e67, 0x07c8e39560752fd4, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001a491f5ee149e4,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ee_ce[] = {
  0xdddddf13a8286f97, 0xdddd7ec36ebbf56d, 0x35d00d8befb8dddd, 0x45ec8471dd015389, 0x119d71fd4e89bc99,
  0x905415de494e773c, 0x009484e3e609f180, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xbe7080130a4fccb8,
  0x0d36e6f51ed6f615, 0x7f98d022847242ac, 0xf8bbd52200dc3e05, 0xcb437da2195dc5ee, 0xfe80e784cc162a10,
  0x0b0de579096dd36f, 0xdd3e12a1fff08c66, 0x4586d1bdaa3949be, 0x5806128ac77fd519, 0xe7736b9256547e78,
  0xc7b0376b2b324984, 0xa3e0d983f93d4795, 0x669d6847202b31fe, 0x6c00d7d185962291, 0x28c4539d5ae36ffd,
  0xb55e9c1d7b19bb26, 0xb317090ad6475fe7, 0x46c11409c02f65f4, 0x7771525e9e13fac5, 0x7e06256bd93f8abe,
  0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0x65118bf9b6e70c76,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343c899e04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x000745b852792bf7, 0x0000000000000002,
};

static const uint64_t ur_m48pb_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeef89a26d3e72df, 0xeebf6c77913ab6ee, 0x6a3f99bdfabeeeee, 0xb817ba930b138593, 0x64ac037d71f9ddd0,
  0xe48f67733eb97d69, 0x16609f180905415d, 0x6d2b88b2002520b3, 0x25c40c2860caeb03, 0xeb3fccaecc59dd3e,
  0x735bd84c31c19f26, 0x08e4855818a49bd4, 0x01b87c0aff31a045, 0x32bb8bddf177f9c8, 0xa394542196825a44,
  0x096dc527fd01cf09, 0xaff1d4e60b0de579, 0xd51ca4df6e9f0969, 0xfb8bea8ca1c368de, 0xe3441e7858041c31,
  0xa8f84bf10d8488be, 0x9e2ee6d77546a83f, 0x2b8f606ed6e6f249, 0xfd47c1b307f27a8f, 0x22cd3ad08e405663,
  0xfad801afa30b2c45, 0x4c5188a73ab5c6df, 0xcf6abd383af63376, 0xe9662e1215ac8ebf, 0x8a8d822813805ecb,
  0x7ceee2a4bd3c27f5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xe6ca2317f36dce18, 0xd0468b1be2e4d5c1, 0x2a73f53ab337f06f, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x0000004000a9c720,
};

// m48pb_u2x12_uart0_noled_pr
static const uint64_t ur_m48pb_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x304f8c0482a0aef2, 0x84a21ff2f82cfcdd, 0x47293f9b53eab74f, 0x78ef964870da37b5, 0xe8e395606693d47e,
  0x3398b016f74c37c9, 0x608ebc5cecf691e3, 0x12b5ec2b289dc72c, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0xddb288c5fcdb1248, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0xa70baf3c95fb9a19, 0x0000000000007c82,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb128ae, 0x7557382f1f896eee, 0xc9ab401a5c777777, 0xe0fbbbb111227c5b, 0x4d2c71b262446311,
  0x4f8c0482a0aef277, 0x2053fc906cfe9530, 0xca4fe6d4faadd3e1, 0x3be5843c368ded51, 0x38e5581a0bf51fa0,
  0x731602cb299efb5a, 0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x06256bd838f81e59, 0x0603bd6bce70b37e,
  0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0xe0f365118bf9b624, 0x81db43458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x5389f3c95fb9a199, 0x00000000001f2756,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8ad4e, 0xeeeaae3086c44b77, 0x29b2e2d2f469eeee, 0xe6110e6ea451aeb4, 0xb82b8d199bb0660b,
  0x80905415de4ee989, 0xff241b3ec16609f1, 0xf36a7d56e9f091c3, 0x30521b46f6a8e527, 0x5fd4795f5107fb5a,
  0xc5613fd47c1b306b, 0x6588a459a75a101f, 0xc3a1f7330035f461, 0xc22a3e78e7569797, 0x64f6ab5d0ebd0d4e,
  0x2d97317090abfa3d, 0x9a546c1197fe017b, 0xfc0c4ad7b071744a, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x4922adec55516961, 0xe4d5c6ca2317f36c, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0xe71c4f9e4afdcd0c, 0x0000000000000a7c,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a2447768, 0x7755718436225bbb, 0x4d9711a7b42f7777, 0x30887375228d75a1, 0xbefa7388dd83305f,
  0x0482a0aef2775d92, 0xf84639f60b304f8c, 0x9b53eab74f848e1f, 0x8290da37b547293f, 0xfea3cafa883fdad1,
  0x2b09fea3e0d9835a, 0x2c4522cd3ad080fe, 0x1d0fb99801afa30b, 0x1151f3c73ab4bcbe, 0x27b55ae875e86a76,
  0x6cb98b84855fd1eb, 0xd2a3608cbff00bd9, 0xe06256bd838ba254, 0x50603bd6bce70b37, 0x5e5363385bcde01f,
  0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0xae0f365118bf9b62, 0xc81f943458df1726, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x71445f3c95fb9a19,
  0x00000000000275f4,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8ad4e, 0xaab9c1617c4b7777, 0xb2f7856921bbbbbb, 0xafddddc3ec1ea18d, 0x26e0c334678eec7b,
  0xc602415057793ba6, 0xeffc906cfafb9827, 0x9fcda9f55ba7c251, 0xfac1f86d1bdaa394, 0x3ff9e5e5c1c3d4ef,
  0xeb26139dcdafd3f6, 0x1eb3d4727a7b9602, 0x8b0147ce9238e558, 0xebd1f3b57f47ac39, 0x87d99e5403ff6678,
  0xc4ad7b071f03cb5b, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc, 0x8edec55516961738,
  0x3cd94462fe6d8921, 0xb6868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e6879133c09c694, 0x6592e19e985727e0,
  0x866587494b67c09c, 0x5cad4e27cf257ee6, 0x0000000000000037,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x3e30120a82bbc9dd, 0xf9dfe118e7cbacc1, 0xa4fe6d4faadd3e12, 0x8beb924368ded51c, 0xd1079e5e5d691fcb,
  0x3e12fc4361222fb8, 0x3c5dcdaeff3107ea, 0xd4727a7b9633f593, 0x47ce9238e5581eb3, 0xf3b57f47ac398b01,
  0x9e5403ff6678ebd1, 0x7b071f03cb5b87d9, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0x4462fe6d89218ede, 0xd1637c5c9ab83cd9, 0x39fa9d598f207e50, 0x313ffbc3def28615,
  0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00000dd77e05117c,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0xeaaf08951625bbbb, 0x59214cf7c8eeeeee, 0x83cdf7499e62f5da, 0xa476930d2b452b6d,
  0x482a0aef2776c36c, 0x84639f275304f8c0, 0xb53eab74f84a2b7f, 0xf70da37b547293f9, 0xf2eb48c14effaa38,
  0xcee6d767ceb3fcf2, 0xe9406ed6560f9309, 0x47c1b307917d4795, 0x669d6847202b3d7d, 0x6c00d7d185962291,
  0xa8f9e39d5ae25f7d, 0x6abd383af4353b08, 0x7317090abfa3d64f, 0xa3608a04e017b2d9, 0x312b5ece9ea254d2,
  0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0x0f365118bf9b6248,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x3f318c45f3c95fb9, 0x0000000000000001,
};

static const uint64_t ur_m48pb_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xb686bc1a2e7ccc7f, 0xd55d721c9625bbbb, 0xb0cd19ea3bdddddd, 0x4bafddb1e4818934, 0x94a51f8e3d3a82a4,
  0x05415de4eea7dd57, 0xa9e7f76a609f1809, 0x9f55ba7c2463ffe3, 0x86d1bdaa3949fcda, 0x2f3b8e5717d51fce,
  0xb09117dc6883cf2f, 0x47d493f51f097e21, 0xb7363e4cf17736bf, 0x3c8bea3caf4a0376, 0x390159ebea3e0d98,
  0x8c2cb1148b34eb42, 0xead712fbeb6006be, 0xd7a1a9d84547cf1c, 0x55fd1eb27b55e9c1, 0x2700bd96cb98b848,
  0x74f512a6951b0450, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1, 0xaa2d2c2e718de33a,
  0xc5fcdb12431dbd8a, 0xc6f8b9357079b288, 0xa9d598f20669f1a2, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc41c6eb54f25,
};

// m48pb_u2x12_uart0_lednop_pr
static const uint64_t ur_m48pb_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x7cc13e30120a82bb, 0x7c24807f97c167c2, 0xaa3949fcda9f55ba, 0x93c77cb24386d1bd, 0xcf471cab03349ea3,
  0x829cc580b7ba61bf, 0xc608ebc5cec1c51c, 0xc4ad7b0ac507dc72, 0xad79e0404e166fc0, 0x8016f3796ea0c077,
  0x80bdf2a6f529c94e, 0xf19d1023a8a042d3, 0x76ca2317f36d38c6, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x587494b659289c65, 0x9c2ebcf257ee6866, 0x000000000001f20a,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8ad4e, 0xbaab9c17d2c4b777, 0x16c1fc7ee63bbbbb, 0xcdf777622244f1ff, 0xc4dc1241198db267,
  0xf8c0482a0aef2774, 0x807f920d9f09f304, 0x49fcda9f55ba7c24, 0x7cb08786d1bdaa39, 0x1cab03417ea3dac7,
  0xc580b2ca6f920fc7, 0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x256bd905681e59ed, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0xc6f8b9357079b288,
  0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0000f932cdc4f9e4,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ee[] = {
  0x776d0d783bd8b562, 0xeeeaae308c844b77, 0x2c9c010cf5a5eeee, 0xf984439bbc1e8424, 0xe0d9a5b838bcadc2,
  0x602415057793bbf4, 0xffc906cf9439827c, 0xfcda9f55ba7c2521, 0x8fe486d1bdaa3949, 0xdff51e567ac1fed6,
  0xf8afa8f51f06cc18, 0x2cb1148b34eb4203, 0x50758ce66006be8c, 0xdad6475fce756970, 0x7dcf6ab5d0ebc019,
  0x2e1c8c5c24210e8c, 0x5ec1d0fb97fe017b, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0x79c5c9ab8d94462f, 0xfbab31e40eda1a2c, 0x271964b867a615c9,
  0x9a19961d252d964a, 0x4f9d27389f3c95fb, 0x0000000000000001,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a2447705, 0xeeaae3098be25bbb, 0x5a331a0ba106eeee, 0xcc221cdd48a35cd8, 0xb2bc8a4c6967ef1d,
  0x0120a82bbc9ddb0d, 0xfe118e7f2b4c13e3, 0xe6d4faadd3e12287, 0x60a4368ded51ca4f, 0xbfa8f2beea0ff6b4,
  0x8af6ffa8f83660d6, 0xcb1148b34eb4203f, 0x8743ee66006be8c2, 0x86fa3278e75697d2, 0x39ed56ba1d7a1a9d,
  0x6cb98b8484b3d1a4, 0xf2a3608cbff00bd9, 0xc0c4ad7b07163ecc, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x5118bf9b6e722ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000275de6dc45f,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ce[] = {
  0xddb435e0ef62eff6, 0xeeaae7056a712ddd, 0x50c6bad1a826eeee, 0xa63377770fb0785f, 0xebd731234e99a9b7,
  0x09f180905415de4e, 0x9406ff241b3ffba6, 0xe527f36a7d56e9f0, 0x3bfeb07e1b46f6a8, 0x3a397e7979707244,
  0x602eb26139dcdafb, 0x5581eb3d47e927b9, 0x3398b0153111638e, 0x9e3af47cecb3d1a4, 0xd6e416691500ffd9,
  0xf0312b5ec82b40f2, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x288c5fcdb73863b7, 0xb43458f38b93571b, 0x4c2b93f75663c81d, 0x5b2c944e32c970cf, 0x792bf734332c3a4a,
  0x0000016ea73e713e,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x9f180905415de4ee, 0x1c3ff08c73ec1660, 0x527f36a7d56e9f09, 0xc5f5c921b46f6a8e, 0xd1079e5e5d692a55,
  0x3e12fc4361222fb8, 0x78bb9b5eb7e007ea, 0xa8fd24f72c67eb26, 0xa6222c71cab03d67, 0x9d967a3486731602,
  0x22a01ffb33c75e8f, 0xd905681e5adc82cd, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x726ae0f365118bf9, 0x663c81f943458df1, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x5f471445f3c95fb9,
  0x0000000000000037,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0x755784423f12dddd, 0x5d90583bd3b77777, 0xc1e6fba4cf31a8af, 0x9191086625719bb6,
  0x2415057793ba8293, 0x84639fa1f9827c60, 0xb53eab74f848e0ff, 0xf70da37b547293f9, 0xf2eb49958effaa38,
  0xcee6d74a8b91fcf2, 0x09e06ed6560f9309, 0x8f83660f22fa8f2b, 0xcd3ad08e4057227a, 0xd801afa30b2c4522,
  0xe8c9e39d5ae34afa, 0xd57a7075e86a761b, 0x98b8484b3d1a439e, 0x1b04502700bd96cb, 0x12b5ece9e1f66795,
  0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xc5fcdb73863b7b15,
  0x5abcb9357079b288, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x3d30ae4fc07cd0f2, 0x9296cf8138cb25c3,
  0x2f9e4afdcd0ccb0e, 0x0000000013f30862,
};

static const uint64_t ur_m48pb_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeda1af068b9f1f68, 0x75575c84bb896eee, 0x4d0bc9da64777777, 0x12ebf76c7921c94c, 0x3da705ae0891b229,
  0x482a0aef2774abd1, 0x8ea79fd35304f8c0, 0xb53eab74f84bfe7f, 0x9d0da37b547293f9, 0x5e5e764eae2faa3f,
  0x4361222fb8d1079e, 0xe089300fea3e12fc, 0xdadcd8f933c5dcda, 0xc1e45f51e5613c0d, 0x11c80ae44f51f06c,
  0xf4616588a459a75a, 0x73ab5c695f5b0035, 0x0ebd0d4ec37d193c, 0x0967a34873daaf4e, 0x04e017b2d9731709,
  0x9d3c3eccf2a3608a, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x26ae0f365118bf9b, 0x1e40cd3e3458df17, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb4f9d6a9e4afdcd0, 0x00000000000009f8,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual[] = {
  0x77777c4993d44511, 0xddddd7ed0044ed5b, 0x0db83d38056b62dd, 0xd914e323bbba7ec2, 0x2590772be67da589,
  0x7304f8c0482a0aef, 0xb695c459001290c8, 0x12e2061430657581, 0x7cefccb62ed4ee9f, 0x475f7b028a707273,
  0x508e485581c7b9bd, 0xc01b87c0aff31a04, 0x2195dc5eef8bbfab, 0x261bf150865a0f7a, 0xe425b7a95ff4073c,
  0xbaff2f82982c3795, 0x93f9b53eab74f84b, 0xf96aff0da37b5472, 0x39560690fd47114e, 0x8b017f0e64c7a48e,
  0xaf22dd9af91bda39, 0x929583ef71cb1823, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x05bcde5ba8301deb,
  0x2f7ca9bd4a7253a0, 0x674408ea2810b4e0, 0xb288c5fcdb4e31bc, 0x5c9f9fd8b9357079, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000032dfb7445f3c,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr[] = {
  0xef893261ebe7ce7c, 0xbafda00015ab6eee, 0x3ae0fdadd95bbbbb, 0x6477775eb9a57ac5, 0x6da793ec7e0f6414,
  0x482a0aef24ddbbb6, 0x001290c87304f8c0, 0x30657581b695c459, 0xf814ee9f12e20614, 0xe94e070e6297f997,
  0xb03a9537a8e95b60, 0x15fe63408a11c90a, 0xeef8bbffe00370f8, 0x0865a0be22195dc5, 0x4affa039e133df15,
  0x34c161bcaf212dbd, 0x7d56e9f09775fe48, 0x1b46f6a8e527f36a, 0x43fa8f914ef9626a, 0x3cd38bdf1c72ac0c,
  0xd6b23afe731602a8, 0xa01ffb30475e00ce, 0x93a07967b621d21a, 0xec9fc55f3bb8a92a, 0x81013859bf0312b5,
  0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x5c9ab83cd94462fe,
  0x63c819a7c68b3a7c, 0x89fca1854e7ea756, 0x4d0f22678b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x5aa792bf734332c3, 0x0000000002926647,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_u4[] = {
  0x777c4993a2e7ce7c, 0xddd7ed0014ad5b77, 0xb13d38ed68f6dddd, 0xb5c1dddd3f61006e, 0x6cdb4f16a1f9619e,
  0xc0482a0aef259077, 0x59001291cb5304f8, 0x1430657581b695c4, 0x97f814ee9f12e206, 0x60514e0e4e6f9df9,
  0x0ab038f737a8ebef, 0xf815fe63408a11c9, 0xc5eef8bbc2d00370, 0x150865a0f7a2195d, 0x78f7ff4073c261bf,
  0x906982c3795e425b, 0xd4faadd3e12d2bfc, 0xfc368ded51ca4fe6, 0x1a43f51c453be5ab, 0xf87364837e38e558,
  0xbb13c8ded1cc580b, 0x04fee39630475e45, 0x93f8abe77715252b, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x9357079b288c5fcd, 0x8f20669f1a2c6f8b,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xc216eb54f257ee68, 0x0000000000000524,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ee[] = {
  0x7777c4993de7ce7c, 0xdddd7ec481ced5b7, 0x7ed1daa2fd75bddd, 0x0879891fdd4761bb, 0x6da7ab88fccfb4fb,
  0x482a0aef265dbbb6, 0x004a43b77304f8c0, 0xc195d606da571164, 0xe053ba7c4b881850, 0x7ce1d3f358ffe65f,
  0x0e394dea3f57ec28, 0x7f98d022847242ac, 0x7c5de6b600dc3e05, 0x65a1fb910caee2f7, 0xffa039e133f91508,
  0xc161bcaf212db93a, 0xadd3e1295dfe4834, 0x8ded51ca4fe6d4fa, 0xbeea0ff6b4738c36, 0xd47c1b30698fa8f2,
  0x2cd3ad080fe2bd2b, 0x99801afa30b2c452, 0x3c73ab4bcbe1d071, 0xd743af29a76e9119, 0x7090aa5a34873daa,
  0xa497fe017b2e3e31, 0x3f8abe77715251d1, 0x0270b37e06256bd9, 0x5bcde603bd6bcf02, 0x80b5392296af3a00,
  0xd1032ff14085a54f, 0xa2317f36d38c6f19, 0xd163ce2e4d5c1e6c, 0x727eeacc790334f8, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000190a738eb54f2,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ee_u4[] = {
  0x7777c4993a2432db, 0xbbbafd89075bd5b7, 0xfbb17d95a9afbbbb, 0xb566247f76c4bb2d, 0x22ac07c674a3f738,
  0x20a82bbc9b82ee38, 0x009485c14c13e301, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0x3e70ff93068fccb8,
  0x0fabe6f51fa7f616, 0x7f98d022847242ac, 0x7c5df72200dc3e05, 0x65a0e9510caee2f7, 0xff4073c2628b1508,
  0x0586f2bc84b6fd5f, 0xb74f84b7dff84633, 0x37b547293f9b53ea, 0xdfc83fdad1f510da, 0x51f06cc1af9ea3ca,
  0x669d68407f15c06f, 0xcc00d7d185962291, 0x539d5a5f6f8e84fc, 0xba1d7b19bb2628c4, 0xc242b591d7f9ed56,
  0x8cbff00bd97d2cc5, 0x5251c589fd62a360, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0xe3458df0dc79b288, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2,
  0x00000000ac859dc2,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ce[] = {
  0x777c4993de7c1a4e, 0xddd7ed00043d5b77, 0x713b2cfbd2afdddd, 0x9b16eeef25b82932, 0x6bb85a27fb82c51a,
  0x0905415de49a5772, 0x4004a45d0e609f18, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x69b38456986b7e65,
  0xac0d4f4dea3efbd8, 0x057f98d022847242, 0x7bbe2ef14800dc3e, 0x4219681948865771, 0xa7bfe80e784dd445,
  0x0d30586f2bc84b6e, 0x3eab74f8492b7f92, 0x0da37b547293f9b5, 0x5e5e7663ceffabdf, 0x4e7736ba5a0b5f9e,
  0x8e37e7b9602d4b98, 0xa0f91c72ac0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486,
  0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0x8b9357079b288c5f, 0xb31e40cd3e3458f3, 0x964b867a615c9fba, 0x19961d252d9f0271,
  0x6dc7bad53c95fb9a, 0x000000000000073d,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ce_u4[] = {
  0x777c4993a2431f02, 0x775fb3d3dfbd5b77, 0xb96257da80777777, 0x2f39dbbbb138dd58, 0xa31166d084c295aa,
  0x024150577931c5dc, 0x20025206179827c6, 0x860caeb036d2b88b, 0xe0e39dd3e25c40c2, 0x0b47031f9866ff32,
  0x5818d69bd474b5b0, 0x0aff31a04508e485, 0xeef8bbfacc01b87c, 0x10cb41c9a2195dc5, 0x5bfe80e784d01a2a,
  0x330586f2bc84b6e3, 0xeab74f84b027f846, 0xda37b547293f9b53, 0x00c24e96e2faa010, 0xb09117dc6883cf0b,
  0x293f5ff51f097e21, 0x58cfa9733c5dcdae, 0xab03a97ea38df9ee, 0xe7316028283e471c, 0x3c75e00ced6b23af,
  0xadc21d21aa01ffb3, 0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xedec555169aba718, 0xe6ca2317f36dce18, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x59570a4f257ee686,
  0x0000000000006925,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdddf1264f5050c86, 0xeeebf62e393356dd, 0x710b157ee44eeeee, 0xad15b837ba82b655, 0x63767d5f98a0f89b,
  0x905415de4bb27777, 0x00948ee3e609f180, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0x00e02926fd7fccb8,
  0x0e76e6f51eb7f610, 0x7f98d022847242ac, 0xf8bbfbac00dc3e05, 0xcb434da2195dc5ee, 0xfe80e784d8122a10,
  0x0b0de579096de76f, 0xdd3e12e9fff08c66, 0xded51ca4fe6d4faa, 0x4563bfea8ca2c368, 0xc92b2a3f3c2c0309,
  0xb5959924c273b9b5, 0xc1fc9ea3cae3d81b, 0x23901598ff51f06c, 0xe8c2cb1148b34eb4, 0xcead71b7feb6006b,
  0x0ebd8cdd93146229, 0x856b23aff3daaf4e, 0x04e017b2fa598b84, 0x2f4f09fd62a3608a, 0xb5ec9fc55f3bb8a9,
  0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfcdb73863b7b1554,
  0x2cb578dc79b288c5, 0x3f53ab337f07771a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x5c293c95fb9a1996, 0x000000000080039f,
};

static const uint64_t ur_m48pb_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbe24c9d1369f2906, 0xd7ed64c7e6adbbbb, 0x13faf7a57bdddddd, 0x6edd4e49f76820f9, 0x918d825f5ebbe828,
  0x4abe7715f202de0a, 0xe609f180905415de, 0x695c459001290724, 0x2e2061430657581b, 0x21fe657662cee9f1,
  0xcc36c19f0e1d6733, 0x8e485581febcdea3, 0x1b87c0aff31a0450, 0x2bb8bddf177f5380, 0xe0c542196805a443,
  0x2dbfebffd01cf098, 0xfe3a9cc161bcaf21, 0xe6d4faadd3e127f9, 0xca1c368ded51ca4f, 0x858041c31fb8bea8,
  0x10d8488bee3441e7, 0x77546a83fa8f84bf, 0xed6e6f2499e2ee6d, 0x307f27a8f2b8f606, 0x08e405663fd47c1b,
  0xfa30b2c4522cd3ad, 0x73ab5c6dffad801a, 0x83af633764c5188a, 0x215ac8ebfcf6abd3, 0x813805ecbe9662e1,
  0x4bd3c27f58a8d822, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x7f36dce18edec555, 0xbe2e4d5c1e6ca231, 0xab337f06fd0468b1, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x0068e272029e4afd,
  0x0000000000000004,
};

static const uint64_t ur_m48pb_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120a82bbc9ddb1ec, 0xcbe0b3f224c13e30, 0x989df2c4d0ecd2bf, 0x491c72ac0c43fa8e, 0x9e398b016f74dd46,
  0x630475e2e761be8c, 0xbcb955a9584d6e39, 0xa9546bb3b0e7ab36, 0x59caed52df5673a8, 0x50a4aa5f7afa2153,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2fe6d902455bd8aa, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000549f58baf3c,
};

static const uint64_t ur_m48pb_swio10_noled_pr[] = {
  0x1eeeeee87afb1762, 0x2eed55c8a1718947, 0xf5e9ea981c4d8278, 0x35bc2f6dfa548b8e, 0x17f8ff17bb1c7a0b,
  0xf277699a330668ee, 0xf7304f8c0482a0ae, 0x451d9dd7f920d9f8, 0xc0c9ef51e6e3be58, 0x16594c654e31c72a,
  0x1f3b3de8ed6398b0, 0xacf5403ff6608ebd, 0x56aab540f2cf6ee1, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551,
  0xa97debe8854d672b, 0xd73daad115e54292, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0x6409156f62aa8b4b,
  0x26ae0f365118bf9b, 0x1e40eda1a2ce9f17, 0x4fe50c2a73f53ab3, 0x6879133c5ce32fcc, 0x7a615c9f8e7bff82,
  0x252d9f0271964b86, 0x9f3c95fb9a19961d, 0x000000000f933238,
};

static const uint64_t ur_m48pb_swio10_noled_pr_u4[] = {
  0x1137777768bb1762, 0x4f5bbb5572283225, 0x98ec2fd0e28e3184, 0x7f43bd04ebeb4f13, 0x1dc01b6d22eec441,
  0x0aef277699a335a1, 0xcfc89304f8c0482a, 0xf2c4d0ecd2bfc906, 0x72ac0c43fa8e989d, 0x8b016f74dd46491c,
  0x75e2e761be8c9e39, 0x55a9584d6e396304, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954, 0xaa5f7afa215359ca,
  0x75cf6ab4457950a4, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xd902455bd8aaa2d2, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x4c216e27cf257ee6, 0x000000000000003e,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ee[] = {
  0x5b3f7777777b1762, 0xb56776aaf389c2a2, 0x78d3da17be96b436, 0xb3d22e1ff17af4e1, 0x767ef17ad020c595,
  0x57793bb4cd19fd34, 0xfc569827c6024150, 0x184f1d9beffc906c, 0xbbd479594583fdad, 0xe2b31fea3e0d9839,
  0xb2c4522cd3ad080f, 0xa1d63399801afa30, 0x65ae8e3239d5a5cc, 0x3d3daad743af0067, 0x2e1c8c5c242e9119,
  0x56a3a6be97fe017b, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0xa97debe8854d672b, 0xd73daad115e54292,
  0xd4e02ca54fa779fa, 0x70a45021696173a9, 0x7f36d38c6f19d102, 0x63ce2e4d5c6ca231, 0x4fdd598f2076d0d1,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x029f1539c4f9e4af,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0x25ddaabce2685c4b, 0x4bab8f46db11327e, 0xef5675f0cf17bd33, 0xb415681062caf165,
  0x9dd3ad1a848b3ea8, 0x4c13e30120a82bbc, 0x0ecdf7fe118e7e2b, 0x1e56e960ff6b4665, 0x43fa8f83660d00f5,
  0x148b34eb4203f8ae, 0x3ee66006be8c2cb1, 0x46989cead2e51474, 0xd56ba1d7a1a9d900, 0xe62e1213de8ed69e,
  0x8d8232ffc02f65b2, 0xcb955a8e2c9aafea, 0x9546bb3b0e7ab36b, 0x9caed52df5673a8a, 0x0a4aa5f7afa21535,
  0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0xfe6d902455bd8aaa, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x004eb967117cf257,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ce[] = {
  0xafcdddddddec53c3, 0x0da3bb5572284844, 0xf17e9bbd790c9871, 0x6ada0b83d936a64c, 0x8c7136104a87bb7e,
  0xa82bbc9dd23f2eec, 0x367ce1cc13e30120, 0xbfeabe0ec4adfe48, 0x4dbfcf2f2e0e7ce3, 0x1759309cee6d7dda,
  0x03c17ea3e493dcb0, 0x31602f740a471cab, 0x1d7a3e767bd1dac7, 0x75c359ea807feccf, 0x7972ab555aa0796b,
  0x52a8d76761cf566d, 0xb395daa5beace751, 0xa14954bef5f442a6, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x45a5b44e31bc6744, 0xbf9b640863b7b155, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857,
  0xee6866587494b659, 0x05bab71ee27cf257,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ce_u4[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0xa82bbc9dd4149cba, 0x8e7edd4c13e30120, 0x8beb220ecc09fe11, 0xa20f3cbcbad2656b, 0x7c25f886c2445f71,
  0xe2ee6d74a8b91fd4, 0xa3e493dcb19fac99, 0x740a471cab03c17e, 0x767bd1dac731602f, 0xea807feccf1d7a3e,
  0x555aa0796b75c359, 0x6761cf566d7972ab, 0xa5beace75152a8d7, 0xbef5f442a6b395da, 0x9ed5688af2a14954,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x0863b7b15545a5b4, 0xae0f365118bf9b64, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x65445f3c95fb9a19, 0x000000000001baf5,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0x8fbbb557b0a79189, 0x06f6e0ea9bb1ec47, 0x712f60bfe991f3f7, 0xdac17af064fdaa19,
  0x2774a51d6374afa5, 0x9304f8c0482a0aef, 0x47674fff84639fff, 0xbad274f9dff546e9, 0xb9b5ee4492bf3cbc,
  0xb01bb59583e4c273, 0xe0d98397dea3cad2, 0x9d6847202bf9dea3, 0x00d7d18596229166, 0xd3139d5ae0a2fd6c,
  0xbd383af4353b2008, 0x170909ef476b4f6a, 0x608a04e017b2d973, 0x72ab5e9e26abfaa3, 0xa8d76761cf566d79,
  0x95daa5beace75152, 0x4954bef5f442a6b3, 0x5aeb9ed5688af2a1, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408,
  0x9b640863b7b15545, 0xe71726ae365118bf, 0xeeacc7903f2868b1, 0x9c6592e19e985727, 0x6866587494b65928,
  0x34ce7d117cf257ee, 0x0000000000000005,
};

static const uint64_t ur_m48pb_swio10_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6d3a, 0x6eed55fd4d1dc494, 0xeb4a769bb64331a8, 0x9edb4120dcbb68a6, 0x7271890b248aa6ec,
  0x776e76cd8f6c9962, 0x304f8c0482a0aef2, 0x763fcff1d4f3ed77, 0xbcedfe5c5f5472b8, 0xc2445f71a20f3cbc,
  0x9cb82fd47c25f886, 0xb9b1f2678bb9b5fa, 0x97dea3cad2b01bb5, 0x202bf9dea3e0d983, 0x85962291669d6847,
  0x5ae0a2fd6c00d7d1, 0xf4353b2008d3139d, 0xef476b4f6abd383a, 0xe017b2d973170909, 0x9e26abfaa3608a04,
  0x61cf566d7972ab5e, 0xbeace75152a8d767, 0xf5f442a6b395daa5, 0xd5688af2a14954be, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x0f365118bf9b6408, 0xcd3e3458df1726ae, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xd6a9e4afdcd0ccb0,
  0x0000000009f9a389,
};

static const uint64_t ur_m48pb_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0905415de4ee82f4, 0xe5f059f7f2609f18, 0xf90ef9626876195f, 0xef8e39560621fd47, 0xd01cc580b7ba63d5,
  0x58c11d78b9dad647, 0xaf2e556a5673db8e, 0x2a551aecec39eacd, 0x0272bb54b7d59cea, 0x2ad5d2fe8854d702,
  0xad73daad115e5429, 0xd4b0b29b1674079f, 0x6c7f8a042d3573ab, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000002a41d0baf3c,
};

static const uint64_t ur_m48pb_swio10_lednop_pr[] = {
  0x7bbbbbba83d8b562, 0x5ddaab914cc6251c, 0x7b856eac871b04f0, 0xcd6f0b2e3b6e8453, 0x6a60bf8feec71e82,
  0xbc9ddfa706cfddc1, 0x034c13e30120a82b, 0x228ec0f7fe48367e, 0x6064f7a8f389df2c, 0x16594c63cf58e395,
  0x3e76f911c1f398b0, 0xf40a807fecc11d7a, 0xab5815a07967b7bd, 0xd76761cf566d7972, 0xdaa5beace75152a8,
  0x97f442a6b8101395, 0xd5688af2a14956ae, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0xf365118bf9b65d91, 0xda1a2cb579726ae0, 0xc2a73f53ab31e40e, 0xf9a1e44cf0271a50, 0x964b867a615c9f80,
  0x19961d252d9f0271, 0x37adb89f3c95fb9a, 0x00000000000000f9,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f17128, 0xfdcc750e2448c227, 0xbfa1de82d790c9f8, 0x198db26635f76220,
  0x0aef2774c4dc1241, 0xcfbf9304f8c0482a, 0xf2c4d0ec32bfc906, 0x72ac0c43fa8ff21d, 0x8b016f74c7abdf1c,
  0x3af173b5ac8fa039, 0xaad4ace7b71cb182, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0xa5fd10a9ae0404e5,
  0xb55a22bca85255ab, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xb4e31bc67440d8ff, 0x9357079b288c5fcd,
  0x31e40eda1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x932cdc4f9e4afdcd, 0x000000000000000f,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0x5ddaabce24208978, 0x13b4cf4b88c327e2, 0xf7ab3afa170cf0a3, 0xfb226c08316578b2,
  0x4ee9da0868ccb511, 0x6609f180905415de, 0x8766ceff08c73e70, 0x8f2b2eb07fb5a332, 0x52fd47c1b306807a,
  0x8a459a75a101fc56, 0x1f7330035f461658, 0x23c90e756974ac3a, 0x6ab5d0ebd0d4edd4, 0xe62e1217c88e0fcf,
  0x8d8232ffc02f65b2, 0x972ab51c5dc359ea, 0x2a8d76761cf566d7, 0x395daa5beace7515, 0x6ae97f442a6b8101,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xd9156f62aa8b4905, 0xae0f365118bf9b65,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x79133c5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000000275e05445f,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x59ddaabce2469c4b, 0x8fe9a5d267c7cdad, 0x8b87fc59fb0678ec, 0x07ae480831656cf4,
  0x27747b16a8e31a82, 0xd304f8c0482a0aef, 0xe3b2577f84639fd9, 0x8f2bf9d07fb5a309, 0xe97d47c1b307377a,
  0x8a459a75a101fc56, 0xc67330035f461658, 0xa37bce75697a943a, 0xb55ae875e00ced38, 0x462e1212d74770e7,
  0xeae1cbff00bd970e, 0xb0e7ab36bcb955a8, 0xdf5673a8a9546bb3, 0x21535c0809caed52, 0x457950a4ab574bfa,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x88c5fcdb2ec8ab7b, 0xa2c6f8b9357079b2,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000004eba68222f9,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8b562, 0x1b4776aae4519089, 0x867ad2f4bdf370e2, 0x6ada0b8392164e00, 0xb7071795b85fbb7e,
  0xa0aef2777e9c1b34, 0xd9f287304f8c0482, 0xffaaf83b243ff920, 0xff3f3cbcb83870ce, 0x1759309cee6d7d34,
  0x03c17ea38293dcb0, 0x62c050f680471cab, 0x75e8f9dbe44707ce, 0x76f7d02a01ffb33c, 0x7972ab5815a0796b,
  0x52a8d76761cf566d, 0x1395daa5beace751, 0x56ae97f442a6b810, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a,
  0x538c6f19d10210a9, 0xbb0c76f62aa8b490, 0xe4d5c6ca2317f36c, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x939c4f9e4afdcd0c, 0x000000000000b75e,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0x82bbc9dd3ad1a848, 0xe7e2b4c13e30120a, 0xbeb220ecdf7fe118, 0x20f3cbcbad25bab8, 0xc25f886c2445f71a,
  0x2ee6d7a4a672fd47, 0x38293dcb19fac99e, 0x680471cab03c17ea, 0xbe44707ce62c050f, 0xa01ffb33c75e8f9d,
  0x815a0796b76f7d02, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0x442a6b8101395daa, 0x88af2a14956ae97f,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0xa2317f36cbb0c76f, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000375cb388be,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0x8fbbb557b0a74e89, 0x477b13b490c76c47, 0xb897b05fe47e98d3, 0x6e38d458327ed50c,
  0x93bad3bed3b2d950, 0xb9827c6024150577, 0x4760cdff84639f4d, 0xbad20cd9dff546e9, 0x736bb39747ff3cbc,
  0x70376b2b07c984e7, 0xc1b3072fbd4795c8, 0x3ad08e405670fd47, 0x01afa30b2c4522cd, 0xe4873ab5c256fad8,
  0x7a7075e86a76ea11, 0x5c242f911c1f9ed5, 0x822813805ecb65cc, 0x955af4f5c359ea8d, 0x46bb3b0e7ab36bcb,
  0xaed52df5673a8a95, 0x74bfa21535c0809c, 0xf6ab4457950a4ab5, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xae365118bf9b65d8, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0x117cf257ee686658, 0x000000000a698bf7,
};

static const uint64_t ur_m48pb_swio10_lednop_pr_ee_ce_u4[] = {
  0xbdddddda2e7c4541, 0xdddaabfa99918929, 0x2d7adb0ccade6350, 0x7b6d0447706d71bb, 0x817c942c922a9bb2,
  0xeea0126e7161f06e, 0x609f180905415de4, 0xecadfff1d4f3e292, 0xf3badfb8bea8e570, 0x09117dc6883cf2f2,
  0x467aff51f097e21b, 0xcd8f933c5dcdae16, 0xbef51e5721c0ddad, 0x0159c3f51f06cc1c, 0x2cb1148b34eb4239,
  0xd7095beb6006be8c, 0xa1a9dba847921cea, 0x44707e7b55e9c1d7, 0x017b2d97317090be, 0xd70d67aa3608a04e,
  0x39eacdaf2e556bd3, 0xd59cea2a551aecec, 0x54d7020272bb54b7, 0x5e54292ad5d2fe88, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6d97618edec5, 0x637c5c9ab83cd944, 0xd4eacc790334f8d1,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0027e3cdb75aa792,
};

// m48pb_swio10_dual_pr
static const uint64_t ur_m48pb_swio10_dual[] = {
  0x45ddddddde7c92df, 0xb36b5fb0d7d95ab3, 0x2debbd8e3e45a59f, 0x4adfd357c7683716, 0x610ce73d6dd68b64,
  0x3853b947d086e713, 0x9827c60241505779, 0x695c459001290089, 0x2e2061430657581b, 0x28bf997f814ee9f1,
  0x478f7b07f0e0bee6, 0x2847242ac0fba9bd, 0xe00dc3e057f98d02, 0x10caee2f77c5df5b, 0x09ad68a8432d08c9,
  0x79096dcbaffd01cf, 0x54aff241a60b0de5, 0x7d47910ef961f076, 0x6fdc65471cab0311, 0xe28def398b01541e,
  0x07fecc11d78033b4, 0x181e59edad783ea8, 0x9fc55f3bb8a92dfe, 0x761cf566d7972ab5, 0x5beace75152a8d76,
  0x442a6b8101395daa, 0x88af2a14956ae97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x5118bf9b65d9156f, 0x68b1e71726ae0f36, 0xb93f75663c819a7c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000c42c7f75aa79,
};

static const uint64_t ur_m48pb_swio10_dual_pr_u4[] = {
  0x8bbbbbbb44865c93, 0x66d6bf61afb2b566, 0xd2c5bb1c7c8b4b3f, 0xc895bfa6af8ed06e, 0xe4c219ce7adbad16,
  0x4e14ee19c5c5badd, 0x6609f180905415de, 0xda571164004a4022, 0x4b881850c195d606, 0x8a2fe65c1c73ba7c,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xf80370f815fe6340, 0x4432bb8bddf177d6, 0xc26b5a2a10cb4232,
  0x5e425b72ebff4073, 0x952bfc231982c379, 0x5f51e443be587c1d, 0x9bf71951c72ac0c4, 0x38a37bce62c05507,
  0x01ffb30475e00ced, 0x8607967b6b5e0faa, 0x67f157ceee2a4b7f, 0x9d873d59b5e5caad, 0x96fab39d454aa35d,
  0xd10a9ae0404e576a, 0xa22bca85255aba5f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6d976455b, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xae149e4afdcd0ccb, 0x0000000002926bcf,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0xcdad7ed0bfbbd58a, 0xa0fb755f36289c8c, 0xd47169c89f55fd77, 0x577efdfa5696538d,
  0x74b235d66d0ab326, 0x180905415de4d337, 0x2c80094888c6609f, 0x0a1832bac0db4ae2, 0xcb838e774f897103,
  0xb01ac70275325afc, 0x85581efb9bd478ad, 0x7c0aff31a04508e4, 0x8bddf177f37c01b8, 0x2a10cb41fc4432bb,
  0xf76bfe80e784db7e, 0x8c660b0de579096d, 0xed68d7d8eceafff0, 0xc1f75ea3caf2b41f, 0x407f15caef51f06c,
  0xd185962291669d68, 0x5ca58e84fccc00d7, 0x33760f68d0039d5a, 0x51bdf3daad743af6, 0x0bd97d2cc5c2429c,
  0xc656b2a3608cbff0, 0x3f8abe77715251c5, 0xec39eacdaf2e556b, 0xb7d59cea2a551aec, 0x8854d7020272bb54,
  0x115e54292ad5d2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0xa2317f36cbb22ade,
  0xddc68b2d5e371e6c, 0x30a9cfd4eaccdfc1, 0x3e6879133c09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0x91eb770a4f257ee6, 0x0000000000000015,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xc4dad7ed0bf3ef56, 0x3deef75053d68371, 0x0bb13c94a76f5d84, 0xa40355fbf7e95a5c,
  0x34aee78233a70b53, 0xc13e30120a82bbc9, 0x95c459001291118c, 0xe2061430657581b6, 0xadf997071cee9f12,
  0xfbef61a6ce115a61, 0x11c90ab0353d37a8, 0x0370f815fe63408a, 0x32bb8bddf177d250, 0x6ea22a10cb40ca44,
  0x84b6fbb5ff4073c2, 0x7ff846330586f2bc, 0x2e0ff6b471ec7675, 0xf83660cf5f51e565, 0x4eb4203f8afe77a8,
  0x006be8c2cb1148b3, 0xcead2ffb8741c666, 0x1d794d3b4be46be1, 0x421f118df9ed56ba, 0x5ff805ecb8f8c5c2,
  0x157ceee2a4a3ae92, 0x73d59b5e5caad67f, 0xab39d454aa35d9d8, 0xa9ae0404e576a96f, 0xbca85255aba5fd10,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xc67440d8ff14085a, 0x9b288c5fcdb4e31b, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x85dc293c95fb9a19, 0x0000000000005640,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ce[] = {
  0x725ddddddde7ce7c, 0x4536b5fb0d72c5ab, 0x2fd75bd323705a2d, 0x8d0b8e25a8e700aa, 0xccfb4fb3adbbc97c,
  0x717bbb66da7ab88f, 0x304f8c0482a0aef2, 0xa571164004a46a83, 0xb881850c195d606d, 0xbafe65fe053ba7c4,
  0x3b93d87ce3848798, 0x847242ac0d7dcdea, 0x00dc3e057f98d022, 0x0caee2f77c5de6b6, 0x32d78a8432d0c911,
  0x212dbefbffa039e1, 0x87fe4834c161bcaf, 0x9d9753bfeb370ec3, 0xcdaeff3107e79797, 0xe9ee580a1c66139d,
  0x471cab0359fea3cb, 0x4637ce62c058f7a5, 0x1cb19e3af22ddb24, 0x57ceee2a4a3a8cb7, 0x3d59b5e5caad67f1,
  0xb39d454aa35d9d87, 0x9ae0404e576a96fa, 0xca85255aba5fd10a, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x5fcdb2ec31dbd8aa, 0xf38b9357079b288c, 0xbab31e40cd3e3458, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x73d7ce3ad53c95fb,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x929b5afd8b8d6b56, 0x99bddeeb4e375d3b, 0xc8efe9c0b1d7cfb4, 0xd4e900d57c6add89,
  0xf26a2bb9e08ce9c2, 0xc9304f8c0482a0ae, 0x36d2b88b20025202, 0xe25c40c2860caeb0, 0xcda6ff32e0e39dd3,
  0xf51d4f6c32b1c37d, 0x1142392156065d66, 0x4a006e1f02bfcc68, 0xe88657717bbe2efa, 0xf09a718a8432d009,
  0x579096dd2d7fd01c, 0x65baff08c660b0de, 0x0184b4ddc5f5ee87, 0x61222fb8d1079e16, 0xc89257ea3e12fc43,
  0x633c38ccf17736bd, 0xac0d67fa8f2fa7b9, 0x398b0163de951c72, 0x78ebc8b76c9118df, 0xb8a928ea32dc72c6,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x01395daa5beace75, 0x956ae97f442a6b81, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xcbb0c76f62aa8b49, 0x7c371e6ca2317f36, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0349021770a4f257,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ee_ce[] = {
  0xb4e2ddddddd432db, 0x7ac6d6bf6e3ed3da, 0x0efd5f753ecb5586, 0x95f1ba39dee30f90, 0x6d0672b8bd331338,
  0xe771c11560f0ccea, 0x9f180905415de4e4, 0xc4590012909e5e60, 0x061430657581b695, 0xf997071cee9f12e2,
  0xf3601a0e1a6a67f9, 0x9215607d3f37a8ff, 0xe1f02bfcc6811423, 0xdc5eef8bbc617006, 0xa2a10cb40a5a2195,
  0xdf1bbfe80e784df3, 0x08c660b0de579096, 0xbfea8d828ec9dbff, 0x00fe785806129db3, 0xc926139dcdae0893,
  0xf51e56a780ddacac, 0x5e04f51f06cc184f, 0xb1148b34eb423901, 0x052feb6006be8c2c, 0x9bb07b46801cead7,
  0x37be7b55e9c1d7b1, 0x7b2fa598b848538a, 0x656b2a3608a04e01, 0xfc55f3bb8a92f4f4, 0x61cf566d7972ab59,
  0xbeace75152a8d767, 0x42a6b8101395daa5, 0x8af2a14956ae97f4, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2317f36cbb0c76f6, 0x771a2c79c371e6ca, 0xa615c9fbab337f07, 0x52d9f0271964b867,
  0x93c95fb9a19961d2, 0x0000002609d275c2,
};

static const uint64_t ur_m48pb_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0xad7ed50caf7ab162, 0x82daaf1d7d95388d, 0x7de66e6d09b964d3, 0x0419dc12c4cf8ed6,
  0x42ace797721ae2ed, 0xaef25eb3bab00840, 0xe3d7304f8c0482a0, 0x036d2b88b2002521, 0x3e25c40c2860caeb,
  0xa6ec1fccaecc59dd, 0xd476bbd821f1c31b, 0x4508e485581bfc9b, 0x0401b87c0aff31a0, 0x88657717bbe2ef78,
  0x136568a8432d0d9c, 0xe425b74a8ffa039e, 0xf5ffc753982c3795, 0x3f5ee2faa38e43b3, 0x2fb8d1079e160107,
  0x8fea3e12fc436122, 0x24cf17736bbc0311, 0x4795a9e0376b7379, 0x813d47c1b30613fd, 0x4522cd3ad08e4057,
  0x4bfad801afa30b2c, 0xec1ed1a0073ab5c1, 0xef9ed57a7075ec66, 0xcbe9662e1214e28d, 0x5aca8d822813805e,
  0x157ceee2a4bd3d19, 0x73d59b5e5caad67f, 0xab39d454aa35d9d8, 0xa9ae0404e576a96f, 0xbca85255aba5fd10,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xc5fcdb2ec31dbd8a, 0xc6f8b9357079b288,
  0x4eaccdfc1bf411a2, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x008002cdc80a792b,
};

// m48pb_swio12_noled
static const uint64_t ur_m48pb_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0a82bbc9ddcc490d, 0xc167e3dcc13e3012, 0x3be5ba01d9dd7f97, 0x38e5581d7ff51d31, 0x731602dee99001f2,
  0x0475e2e76e91193c, 0x72ab52b043ee3963, 0xa8d76761cf566d79, 0x5daa5beaece75152, 0x256c6f5f442a6b39,
  0xf5ae7b55a22bca85, 0x53a9c0594a9f4ef3, 0x047978a042d2c2e7, 0x62fe6da718de33a2, 0x615c9f9fd86ed944,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000002a4b70baf3,
};

// m48pb_swio12_noled_pr
static const uint64_t ur_m48pb_swio11_noled_pr[] = {
  0x0b77777507b128ae, 0xb55722950e25713a, 0x4f5fb1a0b609e0bb, 0xc1c436c66cf7a7b6, 0xfcc6b4ddb89d059a,
  0x4ee9a58e38bc4882, 0xe609f180905415de, 0xc766dfff241b3e63, 0x326bd47050ef96de, 0x2ca60f680471cab0,
  0x9d93146229cc580b, 0xf2a01ffb30475e8f, 0xd508981e59eddac4, 0xd9d873d59b5e5caa, 0x96fabb39d454aa35,
  0x1bd7d10a9ace576a, 0x9ed5688af2a1495b, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4,
  0xae0f365118bf9b6c, 0x40eda1a2cb579726, 0xa50c2a73f53ab31e, 0xf80f9a1e44cf0271, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x07c9e10b89f3c95f,
};

// m48pb_swio12_noled_pr_u4
static const uint64_t ur_m48pb_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8bf82, 0xeed55c8a50912d48, 0x50f4d06e246113d6, 0x0ee38f522f892e3b, 0x99fa5f17bba905fd,
  0xf27757189153706c, 0xf7304f8c0482a0ae, 0xa01d9dd7f920d9f8, 0x81d7ff51d313be5b, 0x2dee99001f238e55,
  0x2e76e91193c73160, 0x2b043ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0xf5f442a6b395daa5,
  0xb55a22bca85256c6, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a204797, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x9a45ee27cf257ee6, 0x000000000000007c,
};

// m48pb_swio12_noled_pr_ee
static const uint64_t ur_m48pb_swio11_noled_pr_ee[] = {
  0xc8917777777b1762, 0x59ddaabce270a893, 0xc69ed0bd1835cdad, 0xe448b87eb4d7a70b, 0xecfde2f5a0418b29,
  0xaef277699a33fa68, 0xf8ad304f8c0482a0, 0x1c883b37dff920d9, 0x53d479594583fdad, 0xe2b31fea3e0d9830,
  0xb2c4522cd3ad080f, 0xa1d63399801afa30, 0x65ae8e3239d5a5cc, 0x3d3daad743af0067, 0x2e1c8c5c242e9119,
  0x56a3a6be97fe017b, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xd8debe8854d672bb, 0x5cf6ab4457950a4a,
  0xff11a9e18a6f59de, 0x74409c2914085a5a, 0x288c5fcdb4e31bc6, 0xb43458f38b93571b, 0x4c2b93f75663c81d,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000000a7c54e713e,
};

// m48pb_swio12_noled_pr_ee_u4
static const uint64_t ur_m48pb_swio11_noled_pr_ee_u4[] = {
  0xa17bddddda244511, 0x2eed55e712f5e255, 0x1efd3d803d2993f1, 0xbd5988b4b37764d7, 0x21020820c5955a17,
  0x9dd57ccfa0d962b2, 0x4c13e30120a82bbc, 0x8ecb75fe118e7e39, 0x3cae43c1fed68c3d, 0xc3f51f06cc1e95ea,
  0x291669d68407f159, 0x7dccc00d7d185962, 0x8e2139d5a5ff70e8, 0xaad743af4353b694, 0xcc5c2424c5188b3d,
  0x1b0465ff805ecb65, 0xcb955a8e2fa0e795, 0x9546bb3b0e7ab36b, 0xcaed52df57673a8a, 0x292b637afa215359,
  0x8b5d73daad115e54, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36d843156f62aa8, 0xe2e4d5c1e6ca2317,
  0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x13ae10b88be792bf,
};

// m48pb_swio12_noled_pr_ce
static const uint64_t ur_m48pb_swio11_noled_pr_ce[] = {
  0xad5b777777b128ae, 0xa3bb557228b4448d, 0xde9fbda13778710d, 0xda08c9a9bc77b6cd, 0x2256d90f1fba6d6a,
  0x57793ba69638b451, 0xf9759827c6024150, 0xd66e1d9f3bfc906c, 0x5f9e5e5c1c74a77f, 0xac984e7736b868d3,
  0xacff51d7c9ee580b, 0xc05dbf2fa38e5581, 0xf47cec98a3114e62, 0xd6279500ffd99e3a, 0xb955aa11303cb5ba,
  0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0x92b637afa215359c, 0xb5d73daad115e542, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x6db084c76f62aa8b, 0x9c5c9ab8d94462fe, 0xbab31e40eda1a2c7, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x6eb8db89f3c95fb9, 0x0000000000000001,
};

// m48pb_swio12_noled_pr_ce_u4
static const uint64_t ur_m48pb_swio11_noled_pr_ce_u4[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xf4dcc13e30120a82, 0xbdd0eccadfe118e7, 0xf3cbcbad24aeb8be, 0x5f886c2445f71a20,
  0xe6d7643a4afd47c2, 0xf93dcb19fac99e2e, 0xf471cab0359fea3a, 0x146229cc580bb7e5, 0x1ffb33c75e8f9d93,
  0x260796b75ac4f2a0, 0x1cf566d7972ab542, 0xaece75152a8d7676, 0xf442a6b395daa5be, 0x5a22bca85256c6f5,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c, 0x9b288c5fcdb61098, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x2f9e4afdcd0ccb0e, 0x00000000dd748be2,
};

// m48pb_swio12_noled_pr_ee_ce
static const uint64_t ur_m48pb_swio11_noled_pr_ee_ce[] = {
  0x7971dddddd447768, 0xdddaabd85392c4bc, 0x1d467b85353623c7, 0x4bdd8f31269619dc, 0xd3a82c193f6f1e5c,
  0xdd764af8a74e28e3, 0xc13e30120a82bbc9, 0xb0c7ffc231cfeed4, 0x690c7ceffaa390e3, 0xdaf494ce5f9e5e5d,
  0x0ddacac1f26139dc, 0x3660e71f51e57f38, 0x5a11c80add2fa8f8, 0x35f4616588a459a7, 0x84e756b8fddf5b00,
  0x4e0ebd0d4eda5238, 0xc2424c5188b3daaf, 0x22813805ecb65cc5, 0x556bd3dd073ca8d8, 0x1aecec39eacdaf2e,
  0xb54b7d5d9cea2a55, 0xad8debe8854d672b, 0x75cf6ab4457950a4, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d,
  0x6c2131dbd8aaa2d2, 0x1726ae365118bf9b, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0xd17d117cf257ee68, 0x0000000000000534,
};

// m48pb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m48pb_swio11_noled_pr_ee_ce_u4[] = {
  0xc9eeeeed173e306a, 0xbb557f5389d12c2a, 0xd295a7ecd8cc6a1b, 0xb6d90b831c48f94e, 0x91a661649170ab27,
  0xdaafc98759086059, 0x13e30120a82bbc9d, 0x96b7fe3a9e7e004c, 0x776b7717d51efb1d, 0x222fb8d1079e5e5e,
  0x0b27ea3e12fc4361, 0xb1f2678bb9b5ddbb, 0x3ea3cafe701bb5b9, 0x15ba5f51f06cc1ce, 0xcb1148b34eb42390,
  0x71fbbeb6006be8c2, 0x1a9db4a47109cead, 0xa31167b55e9c1d7a, 0x0bd96cb98b848498, 0xba0e7951b0450270,
  0x73d59b5e5caad7a7, 0xbb39d454aa35d9d8, 0xd10a9ace576a96fa, 0x688af2a1495b1bd7, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x6ca2317f36d84263, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000013f09c5bad,
};

// m48pb_swio12_lednop
static const uint64_t ur_m48pb_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20a82bbc9ddb1ec8, 0x7c167e034c13e301, 0x877cb7403b03dff9, 0xc71cab03affea3e4, 0x0e62c05bdd375098,
  0x608ebc5cec22a3e9, 0x2e556a5660bdc72c, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a, 0xbd2fe8854d702027,
  0x9ed5688af2a1495c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0x9b69c6378ce88145, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x001527d62ebcf257,
};

// m48pb_swio12_lednop_pr
static const uint64_t ur_m48pb_swio11_lednop_pr[] = {
  0x05bbbbba83d8ad4e, 0xdaab91485f12b89d, 0x486df987db04f05d, 0x60e2a8636cbde15a, 0x763dd7eedc4e82cd,
  0x9dd31370619a33c7, 0xcc13e30120a82bbc, 0x8ec8f7fe48367d7d, 0x64d7a8e801df2dbd, 0x2ca67f3a88e39560,
  0x3b6488c6f9cc580b, 0x45403ff6608ebd1f, 0x5976a07967b707fa, 0x6761cf566d7972ab, 0x5beaece75152a8d7,
  0x442a6b8101395daa, 0x4457950a4ae5e97f, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x288c5fcdb6318ab7, 0xd165abcb9357079b, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0x5c33d30ae4fc07cd,
  0xb0e9296cf8138cb2, 0xa9c4f9e4afdcd0cc, 0x000000000007c995,
};

// m48pb_swio12_lednop_pr_u4
static const uint64_t ur_m48pb_swio11_lednop_pr_u4[] = {
  0x05ff777768bb1762, 0xdddaab914ad225a9, 0xb0bf70f8da0c227a, 0xf43b8e3da1377e63, 0xdc01b6f8feeea417,
  0xaef277699a335a11, 0xf80d304f8c0482a0, 0xb7403b03dff920d9, 0xab03affea3e4877c, 0xc05bdd375098c71c,
  0xbc5cec22a3e90e62, 0x6a5660bdc72c608e, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a, 0xe8854d7020272bb5,
  0x688af2a1495cbd2f, 0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88145f450, 0xae0f365118bf9b69,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x85b89f3c95fb9a19, 0x000000000000f930,
};

// m48pb_swio12_lednop_pr_ee
static const uint64_t ur_m48pb_swio11_lednop_pr_ee[] = {
  0x7bddddd0f5a22a20, 0xed55e713516255a1, 0xf23b50c99993f12e, 0x5988bd769648533d, 0x52b620c5955a17bd,
  0x47b16a4771a8d2b4, 0x4f8c0482a0aef277, 0x22b7f84639f27530, 0xb29707fb5a30f63b, 0xd47c1b307a57a8f2,
  0x59a75a101fc5650f, 0x330035f4616588a4, 0xf0e75697f9c3a1f7, 0xba1d7a1a9d827a35, 0xc242c9118df9ed56,
  0x465ff805ecb65cc5, 0x55a8e2ed627951b0, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xbfa21535c0809cae,
  0x55a22bca852572f4, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xcd94462fe6db18c5,
  0x2868b3a7c5c9ab83, 0x0a9cfd4eacc7903f, 0xcf1738cbf313f943, 0x27e39effe09a1e44, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0009d7c63117cf25,
};

// m48pb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m48pb_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed12232a8, 0x776aaf389a171279, 0xbab8f76dbaf36b56, 0x70fd690cf17bd334, 0xa0ab40831653c891,
  0xee9d68d42459f545, 0x609f180905415de4, 0x766fbff08c73f15a, 0xf2b74b07fb5a3910, 0x1fd47c1b3060a7a8,
  0xa459a75a101fc572, 0x67330035f4616588, 0x34c4e7569728a3ac, 0x55ae875e00cec802, 0x18b8484f7a3b5a7b,
  0xd5ad2ffc02f65c39, 0x61cf566d7972ab51, 0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb6318ab7b1, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000009d72ce22f9e,
};

// m48pb_swio12_lednop_pr_ce
static const uint64_t ur_m48pb_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8ad4e, 0xd1ddaab914362246, 0x5e8d3df169143886, 0x6d0464d685365c5a, 0x666ec1982fdd36b5,
  0x57793ba626e0ae34, 0xfb059827c6024150, 0xd66e1d870ffc906c, 0x7f9e5e5c1c2ea77f, 0xb26139dcdaf3b76b,
  0x67fa8f2fa7b9602e, 0x0163de951c72ac0d, 0xa3e76c9118df398b, 0xff48a807feccf1d7, 0x955acbb503cb5ba0,
  0x46bb3b0e7ab36bcb, 0xed52df57673a8a95, 0x4bfa21535c0809ca, 0xb55a22bca852572f, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x71b288c5fcdb6313, 0x81db43458f38b935, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0x13e792bf734332c3, 0x0000000002dd79c7,
};

// m48pb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m48pb_swio11_lednop_pr_ce_u4[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x7e394c13e30120a8, 0xebdd0ecb75fe118e, 0x0f3cbcbad269bb8b, 0x25f886c2445f71a2,
  0xee6d724aca8fd47c, 0x97d3dcb19fac99e2, 0x4a8e395606b3fd47, 0x488c6f9cc580b1ef, 0x03ff6678ebd1f3b6,
  0xda81e5add07fa454, 0x873d59b5e5caad65, 0xabb39d454aa35d9d, 0xa9ae0404e576a96f, 0x5e54292b97a5fd10,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6db1898edec5, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000375c217117cf2,
};

// m48pb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m48pb_swio11_lednop_pr_ee_ce[] = {
  0x7971dddddd447705, 0xdddaabd8525dc4bc, 0xedc9dab43d3623c7, 0x4bdd8fe4a62685c4, 0x246c8c193f6f1e5c,
  0xddb0db29eb24cb82, 0xc13e30120a82bbc9, 0xecff9fe118e7f4d4, 0xad27fc3bfea8e438, 0x36be54341ff3cbcb,
  0x0376b2b07c984e77, 0x0d9839c7d47959c3, 0xd6847202b2ebea3e, 0x0d7d185962291669, 0x7c39d5ae3e77d6c0,
  0xa7075e86a7609e8d, 0xc242c9118df9ed57, 0x22813805ecb65cc5, 0x556bd3d6b13ca8d8, 0x1aecec39eacdaf2e,
  0xb54b7d5d9cea2a55, 0x2fe8854d7020272b, 0xd5688af2a1495cbd, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x76f62aa8b490538c, 0xc6ca2317f36d8c4c, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c,
  0x2f9e4afdcd0ccb0e, 0x000000014d31e5e2,
};

// m48pb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m48pb_swio11_lednop_pr_ee_ce_u4[] = {
  0x93ddddda2e7c7a31, 0x76aafea762625855, 0x5a76b4b06798d437, 0xdb642275c1fa6f5b, 0xcd60859245c2ac9e,
  0x513f0fbed03e374c, 0x4f8c0482a0aef277, 0x6bbff1d4f3f8dd30, 0xb6bbb8bea8f7d8ec, 0x117dc6883cf2f2f3,
  0xfbbf51f097e21b09, 0x1f2678bb9b5f87f8, 0xea3cace181bb5b9b, 0x5975f51f06cc1ce3, 0xb1148b34eb423901,
  0x1f3beb6006be8c2c, 0x53b04f46be1cead7, 0xc6fcf6abd383af43, 0xf65b2e62e1216488, 0x589e546c11409c02,
  0xf566d7972ab5e9eb, 0xce75152a8d76761c, 0xb8101395daa5beae, 0x50a4ae5e97f442a6, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0xf1726ae0f365118b, 0xab31e40cd3e3458d,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x9f91f5dd6a9e4afd,
};

// m48pb_swio11_dual_pr              m48pb_swio12_dual                 m48pb_swio12_dual_pr
static const uint64_t ur_m48pb_swio11_dual[] = {
  0xd91dddddde7c4541, 0xb5afd86ba4cd588f, 0xa7de891e4ad2cfd9, 0xd9899c43d8dd75de, 0xa93934edd23f644a,
  0x53b90093755f87c5, 0x27c6024150577938, 0x5c459001291cdf98, 0x2061430657581b69, 0xbf997f814ee9f12e,
  0x8f7b07f0e0bee628, 0x47242ac0fba9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5ded760, 0xad68a8432d08c910,
  0x096dca5ffd01cf09, 0x5ff241a60b0de579, 0x8fdd1df2cb5c7614, 0x987b8e395607bdfa, 0x34c4e62c0550799c,
  0xfb30475e00cec802, 0x3cb3db7bc6faa01f, 0xc55f3bb8a92be750, 0x1cf566d7972ab59f, 0xaece75152a8d7676,
  0xa6b8101395daa5be, 0x7950a4ae5e97f442, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0xc5fcdb6318ab7b15, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x06202fdbad53c95f,
};

// m48pb_swio12_dual_pr_u4
static const uint64_t ur_m48pb_swio11_dual_pr_u4[] = {
  0x64777776890ddb75, 0xd6bf61ae9335623f, 0x77ba24792b4b3f66, 0x2b6626710f6375bd, 0x96a4e4d3b748fd91,
  0x0a775f5ef275a721, 0x04f8c0482a0aef27, 0x2b88b20025239bf3, 0xc40c2860caeb036d, 0x17f32e0e39dd3e25,
  0xf1ef60fe1c17dcc5, 0x08e485581f7537a8, 0x01b87c0aff31a045, 0x195dc5eef8bbdaec, 0x35ad150865a11922,
  0x212db94bffa039e1, 0x8bfe118cc161bcaf, 0x51fba3be596b8ec2, 0x930f71c72ac0f7bf, 0x46989cc580aa0f33,
  0xff6608ebc019d900, 0x07967b6f78df5403, 0xf8abe77715257cea, 0xc39eacdaf2e556b3, 0xd5d9cea2a551aece,
  0x54d7020272bb54b7, 0xaf2a1495cbd2fe88, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0x18bf9b6c63156f62, 0xdc68b1be1b8f3651, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x52792bf734332c3a, 0x0000000a49a65ab8,
};

// m48pb_swio12_dual_pr_ee
static const uint64_t ur_m48pb_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0xb5afda17d71d58a5, 0x85eece2415139199, 0xa38d860b28fa7deb, 0x66c75fd2b4b2946e,
  0x8e08ab2c10ce9087, 0xc0482a0aef2699bb, 0xb2002520551304f8, 0x2860caeb036d2b88, 0x2e0e39dd3e25c40c,
  0xc06b1c09d4c96bf3, 0x15607bee6f51e2b6, 0xf02bfcc681142392, 0x2f77c5de601006e1, 0xa8432d07f110caee,
  0x868ffa039e136df8, 0x18cc161bcaf212db, 0xed68ea50ec4b5fe1, 0x83dbfea3cae5741f, 0x80fe2bdf7ea3e0d9,
  0xa30b2c4522cd3ad0, 0xb9431d09f99801af, 0x66ed1ed1e9473ab4, 0x234c67b55ae875ec, 0x17b2fa598b848480,
  0x91445546c1197fe0, 0xfe2af9ddc5494717, 0xb0e7ab36bcb955ac, 0xf57673a8a9546bb3, 0x1535c0809caed52d,
  0x2bca852572f4bfa2, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x462fe6db18c55bd8,
  0xb8d165abc6e3cd94, 0x1539fa9d599bf83b, 0xcd0f22678138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x15aae149e4afdcd0, 0x00000000000002b2,
};

// m48pb_swio12_dual_pr_ee_u4
static const uint64_t ur_m48pb_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xdad7ed0bcabf5666, 0x5c774ed34e8371c4, 0x6279294ad4fb2d5b, 0x3d47c75fd2b4b667,
  0xbb9a3ea75ee1bb11, 0xf8c0482a0aef24d2, 0x88b2002520551304, 0x0c2860caeb036d2b, 0xf32e0e39dd3e25c4,
  0xdec34d9c22b4c35b, 0x9215606a7a6f51f7, 0xe1f02bfcc6811423, 0x7717bbe2ef24a006, 0x4454219681948865,
  0xb6e1a3fe80e784dd, 0xf846330586f2bc84, 0x07fb5a331e3b12d7, 0x1b307d47a8f2b287, 0x5a101fc56e97d47c,
  0x35f4616588a459a7, 0x56977263a0e33300, 0x5e534ed38a39b8e7, 0x96ba38ca7b55ae87, 0xfe017b2e3e317090,
  0xbe77715251d5c397, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d,
  0x3cfd6b9ed5688af2, 0x9d5ea58594d8b3a0, 0xe88145f4502169ab, 0x5118bf9b69c6378c, 0x1ddc68b1be1b8f36,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xb852792bf734332c, 0x0000000000564e9e,
};

// m48pb_swio12_dual_pr_ce
static const uint64_t ur_m48pb_swio11_dual_pr_ce[] = {
  0xf91dddddde7cbd5b, 0xb5afd86bfdad5960, 0xefded89466d16a29, 0xd0b123a75805157e, 0xf5db3e499bab07c8,
  0x38bdddddfb80b5a0, 0x9827c60241505779, 0x695c459001291e72, 0x2e2061430657581b, 0x2ebf997f814ee9f1,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x00370f815fe63408, 0x432bb8bddf177e37, 0x4cb5e2a10cb43244,
  0xc84b6f1cbfe80e78, 0x4f7f920d30586f2b, 0xe76e4ceffa8283b1, 0xcdae9b73b7f9e5e5, 0xe9ee580a1c66139d,
  0x238e558193dea3cb, 0x231be731602edf5f, 0x8e58cf1d7916ec3e, 0x57ceee2a4a3ab87b, 0x3d59b5e5caad67f1,
  0xb39d454aa35d9d87, 0xae0404e576a96fab, 0x54292b97a5fd10a9, 0x079fad73daad115e, 0x73abd4b0b29b1674,
  0x3a20517c63042d35, 0x94462fe6da718de3, 0x1a2c79c5c9ab83cd, 0xae4fdd598f20669f, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000039ebc6dd6a9e,
};

// m48pb_swio12_dual_pr_ce_u4
static const uint64_t ur_m48pb_swio11_dual_pr_ce_u4[] = {
  0xc8ef77776890cf68, 0x6d6bf62e373b56c9, 0xae3bb618a774ee4a, 0x7f4d99d179579ced, 0x113d47d9f6ee4e47,
  0xa2bb9a3ea75ee1bb, 0x04f8c0482a0aef26, 0x571164004a470ff3, 0x881850c195d606da, 0xdfe65c1c73ba7c4b,
  0xa9ed8656386fb9b4, 0x47242ac0cbacdea3, 0x0dc3e057f98d0228, 0xcaee2f77c5de4940, 0x4e3150865a013d10,
  0x25b7a1fffa039e13, 0xffc231982c3795e4, 0x5b3ae2faedf1d9a6, 0x17dc6883cf0b00c2, 0xcbf51f097e21b091,
  0x1c6678bb9b5e9299, 0x93dea3ce33dcb19e, 0x60298f3d638e5581, 0xbc8b765f11c64731, 0x251d645dc72c678e,
  0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d8c4, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x9d3d70a4f257ee68, 0x00000000000001a4,
};

// m48pb_swio12_dual_pr_ee_ce
static const uint64_t ur_m48pb_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0x636b5fb71f1f9ab7, 0x7af7bb62f1aac33d, 0xf1ba4e56820f913f, 0xbebd77bd3313f695,
  0xe78233a96453ab04, 0x30120a82bbc9c9ce, 0xb2002520e49cc13e, 0x2860caeb036d2b88, 0x2e0e39dd3e25c40c,
  0xc0341c34d4cff3f3, 0x2ac0fa7e6f51ffe6, 0xe057f98d02284724, 0x5eef8bbfa9c00dc3, 0xa10cb40a5a2195dc,
  0xf5ffe80e784df3a2, 0xc660b0de579096df, 0xf546a78763fcff08, 0x3f9e1601849fe1df, 0x4984e7736bf37d52,
  0x4795e040376b2b32, 0xcadea3e0d983913d, 0x2291669d6847202b, 0xa1fd6c00d7d18596, 0x768f68f4a39d5ae0,
  0x98cf6abd383af633, 0x65f4b31709090046, 0x445546c11409c02f, 0x157ceee2a4bd3d91, 0x73d59b5e5caad67f,
  0xbb39d454aa35d9d8, 0x9ae0404e576a96fa, 0xe54292b97a5fd10a, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x2fe6db1898edec55, 0x3458f386e3cd9446, 0x2b93f75666fe0eee, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000004c139cb8527,
};

// m48pb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m48pb_swio11_dual_pr_ee_ce_u4[] = {
  0xfb7777689b4fb69f, 0x5fb543abdeadd76c, 0xb547e8bf654e236b, 0xfd5ec130f8e0b5e0, 0x33b83d76cf8ed157,
  0x7421c6fe1bc9e448, 0xc97acee9017cf2e6, 0x5cc13e30120a82bb, 0xda571164004a458f, 0x4b881850c195d606,
  0xd83f995d98b3ba7c, 0xed77b043e386374d, 0x11c90ab037f937a8, 0x0370f815fe63408a, 0xcaee2f77c5de75f0,
  0xcad150865a1b3910, 0x4b6ec87ff4073c26, 0xff8ea730586f2bc8, 0x0dc5f54635876760, 0x71a20f3c2c020e76,
  0xd47c25f886c2445f, 0xcf17736b9d7c2a8f, 0x95e040376b737924, 0xdea3e0d983913d47, 0x91669d6847202bca,
  0xfd6c00d7d1859622, 0x8f68f4a39d5ae0a1, 0xcf6abd383af63376, 0xf4b3170909004698, 0x5546c11409c02f65,
  0x7ceee2a4bd3d9144, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0xe0404e576a96fabb, 0x4292b97a5fd10a9a,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6db1898edec5551, 0xc5c9ab83cd94462f,
  0x666fe0dfa08d1637, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x00216e4053c95fb9, 0x0000000000000020,
};

static const uint64_t ur_m48pb_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0905415de4eec2f5, 0xcbe0b3e63e609f18, 0x213be5ba41d9b7ff, 0xaf1c72ac0f9ef51e, 0x34731602dee9b4a5,
  0xc608ebc5ced70d19, 0xf2e556a5657fdc72, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x56af7afa215359ca,
  0x6b9ed5688af2a149, 0xea701652a7d3bcfd, 0x17ee2810b4b0b9d4, 0xbf9b69c6378ce881, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00000a91702ebcf2,
};

static const uint64_t ur_m48pb_swio13_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2491, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7dd489d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07c76195fe48367d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xd76761cf566d7972, 0x6faa9bece75152a8,
  0xbd7d10a9ace576a9, 0x6ab4457950a4ab57, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x455bd8aaa2d2da27,
  0xe0f365118bf9b632, 0x0eda1a2cb579726a, 0x50c2a73f53ab31e4, 0x80f9a1e44cf0271a, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x3e4d02389f3c95fb,
};

static const uint64_t ur_m48pb_swio13_noled_pr_u4[] = {
  0xddbbbbbb45d8b562, 0x5bbb5572285ee253, 0xf7c7ea1c4891844f, 0xfa1ddc4eecfe0f50, 0xe0edb195a6ecf70b,
  0x0aef2777e9c1bc2a, 0x9f31f304f8c0482a, 0xcb7483b36fff920d, 0xe5581f3dea3c4277, 0x2c05bdd3694b5e38,
  0xd78b9dae1a3268e6, 0xad4acaffb8e58c11, 0x5d9d873d59b5e5ca, 0xbeaa6fb39d454aa3, 0xf5f442a6b395daa5,
  0xaad115e54292ad5e, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xd38c6f19d1022fdc, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x69a0713e792bf734, 0x00000000000001f2,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ee[] = {
  0x509bbbbbba88aaac, 0xd59ddaabce249089, 0xe85ebd7d267c7cda, 0x089170f8d7db260b, 0x7433376820831655,
  0x5de4eef914766262, 0xf1ca609f18090541, 0x3ee8765baff08c73, 0xf7a8f2bfdd07fb5a, 0xc56fe7a8f83660e5,
  0x6588a459a75a101f, 0x63ac67330035f461, 0x9ef47914e756970f, 0xd4f6ab5d0ebc019d, 0x70e462e1215c3464,
  0x5a8e843cbff00bd9, 0xbb3b0e7ab36bcb95, 0x7d54df673a8a9546, 0xebe8854d672bb54b, 0x55a22bca85255abd,
  0xd4f0c537acef2e7b, 0x47978a042d2d7f88, 0x2fe6da718de33a20, 0x2c79c5c9ab8d9446, 0xc9fbab31e40fca1a,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x029f36bdc45f3c95,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xaceed55e712d2e25, 0xd1748fe933e3e6d6, 0x45c3e35cdd95b6a6, 0x1685e1420c595422,
  0x93ba76821cbb2d54, 0xb9827c6024150577, 0xa1d995bfc231cfe9, 0xa3cad2b41fed68fb, 0xf9dea3e0d98397de,
  0x4522cd3ad080fe2b, 0x63399801afa30b2c, 0x235ae73ab4bafb1d, 0x6ab5d0ebc019da5f, 0x231709087c47d24f,
  0x3ae925ff805ecb87, 0xec39eacdaf2e556a, 0x537d9cea2a551aec, 0xa215359caed52df5, 0x88af2a14956af7af,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6ca2317f36c648ab, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xbe792bf734332c3a, 0x0000000275d22f88,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ce[] = {
  0x60fbbbbbbbd8bf82, 0x368eed55c8a20912, 0x7ef619e97be6e1c4, 0xab682ddf853d31b6, 0xe0d83336331dd60f,
  0x415de4eeae312247, 0xb3e52e609f180905, 0xff5050763a5ff241, 0xedfe79797072439d, 0xbac984e7736ba6dc,
  0x0c9ef51e6e9ee580, 0xc580a654e31c72ac, 0x75e8f9da2147bd9c, 0x708a4d2a01ffb33c, 0x7972ab57d6e0796b,
  0x52a8d76761cf566d, 0x76a96faa9bece751, 0xab57bd7d10a9ace5, 0x75cf6ab4457950a4, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0x6c6431dbd8aaa2d2, 0xe2e4d5c6ca2317f3, 0xd598f2076d0d163c, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0xeba71c4f9e4afdcd, 0x0000000000000016,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x0aef27747b16a8e3, 0x9fd9d304f8c0482a, 0xf5dbe3b2577f8463, 0x079e5e5d6937ddc5, 0x12fc4361222fb8d1,
  0x7736bdc89257ea3e, 0xe6e9ee58cfd64cf1, 0x4e31c72ac0c9ef51, 0xa2147bd9cc580a65, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708a4d2, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0xd10a9ace576a96fa, 0x4457950a4ab57bd7,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6ca2317f36c6431d, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xbe792bf734332c3a, 0x00000001bae9a088,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc7dddaabd85160c4, 0xa33d477a4863b623, 0x5c4bdb53a66b8da5, 0x48cbb0820c9fb662,
  0xf2775eb4e2295f68, 0xd1304f8c0482a0ae, 0x0c7658fff84639f0, 0xcbad258f9dff5467, 0x3b9b5c92b2a3f3cb,
  0xd281bb59583e4c27, 0x1f06cc1a01ea3cad, 0x34eb4239015c87f5, 0x6006be8c2cb1148b, 0x47f21cead70e4feb,
  0x55e9c1d7a1a9d8f5, 0x98b848510a3dee7b, 0x1b04502700bd96cb, 0xcb955af4f74982d5, 0x9546bb3b0e7ab36b,
  0xb54b7d54df673a8a, 0x5abdebe8854d672b, 0xae7b55a22bca8525, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee,
  0x63218edec5551696, 0x1726ae365118bf9b, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0xd8ff117cf257ee68, 0x0000000000000a69,
};

static const uint64_t ur_m48pb_swio13_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c92df, 0x6eed55fd4f274489, 0x56bb2d86656f31a8, 0x3db66c233122694a, 0xec4f910b248a4859,
  0x77547d0855f136cc, 0x304f8c0482a0aef2, 0x76620ff1d4f3e87d, 0xbcef105c5f5476e8, 0xc2445f71a20f3cbc,
  0x0b87ffd47c25f886, 0x7363e4cf17736bae, 0x403d4795ba50376b, 0x202b90fea3e0d983, 0x85962291669d6847,
  0x5ae1c9fd6c00d7d1, 0xf4353b1ea8fe439d, 0x2147bdcf6abd383a, 0xe017b2d97317090a, 0x9ee9305aa3608a04,
  0x61cf566d7972ab5e, 0x9bece75152a8d767, 0x10a9ace576a96faa, 0x457950a4ab57bd7d, 0x34ef3e2d75cf6ab4,
  0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0xca2317f36c6431db, 0xc68b1be2e4d5c1e6, 0x4e7ea75663c819a7,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000013f36bdbad5,
};

static const uint64_t ur_m48pb_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0482a0aef2776c7b, 0xe5f059f80d304f8c, 0x921df2dd20ec0f7f, 0x318e395607cf7a8f, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4, 0x497f442a6b810139,
  0x7b55a22bca852572, 0xa5af29c05ce80f2e, 0xbe8a042d2b08985e, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0002a4fac5d79e4a,
};

static const uint64_t ur_m48pb_swio13_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11dd489d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41f1d863ffc906cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd76761cf566d7972, 0x6faa9bece75152a8,
  0x10a9ae0404e576a9, 0x88af2a1495c925fd, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x5118bf9b6815156f, 0xa2cb579726ae0f36, 0x73f53ab31e40eda1, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a,
  0x61d252d9f0271964, 0x2b89f3c95fb9a199, 0x00000000001f263a,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0xf5bbb5572295a44a, 0xc7617efaff0b1844, 0x2fe877713b426efc, 0x477006dbe3fbb3dc,
  0x82bbc9dda668cd68, 0x67e034c13e30120a, 0xf2dd20ec0f7fe483, 0x395607cf7a8f921d, 0xc580b7ba6ea1318e,
  0x1d78b9d84547d21c, 0xaad4acc17b8e58c1, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa, 0x442a6b8101395daa,
  0xa22bca852572497f, 0x29c05ce80f2e7b55, 0x042d2b08985ea5af, 0x38c6f19d1028be8a, 0xd5c1e6ca2317f36d,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x10b713e792bf7343, 0x0000000000001f26,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xbbb5579c4d91890d, 0x7792ef8fdb664fc4, 0xf56f4b41469ad1e4, 0x8f8331062ca1ae5e,
  0xba75a3544e67cb8c, 0x827c602415057793, 0xb2397f84639feaf9, 0x2b28707fb5a38f63, 0x7d47c1b3067afa8f,
  0x459a75a101fc56c1, 0x7330035f4616588a, 0x9b8e7569774a3a1f, 0xb5d0ebd0d4ed2223, 0x1709097c47194f6a,
  0xc1197fe017b2d973, 0xe556a38b1149a546, 0x51aecec39eacdaf2, 0x52df5537d9cea2a5, 0xfa21535c0809caed,
  0xad115e54292b924b, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6ca2317f36d02a2a,
  0x43459d3e2e4d5c1e, 0x54e7ea75663c81f9, 0x78b9c65f989fca18, 0x3f1cf7ff04d0f226, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x004ebaec88be792b,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0xd59ddaabce25ebc4, 0xd71efd3d1b6c44da, 0x48b87c6bb4b37764, 0x64420410418b2a84,
  0x793baaf99f41b2c5, 0x729827c602415057, 0xba1d96ebfc231cfc, 0xea3cae43c1fed68f, 0xb387ea3e0d98397d,
  0xc4522cd3ad080fe2, 0xd63399801afa30b2, 0x291c4273ab4bfee1, 0x3daad743af00676d, 0x1c8c5c2424c5188b,
  0xa8e84597fe017b2e, 0xb3b0e7ab36bcb955, 0xd54df673a8a9546b, 0x54d7020272bb54b7, 0x57950a4ae492fe88,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb40a8ab7b1, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00004eb842e22f9e,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ce[] = {
  0x4c1f7777777b1762, 0x0da3bb55722856e2, 0xc69ed0bdad367871, 0xfab682dde8261550, 0x34767ef17d8fdd60,
  0x5057793bb4cd19fd, 0x6cfa9e9827c60241, 0x7fd4141d85d7fc90, 0xc41f9e5e5c1c2967, 0x0bac984e7736bbfc,
  0xc0c9ef51e719ee58, 0x98b014c79eb1c72a, 0x8ebd1f3b2f88e323, 0xb86fdc35403ff667, 0xbcb955adc3903cb5,
  0xa9546bb3b0e7ab36, 0xbb54b7d54df673a8, 0x92fe8854d7020272, 0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c,
  0x6378ce881085482e, 0x63b7b15545a4829c, 0xae365118bf9b6814, 0x903b6868b1e71726, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0xe27cf257ee686658, 0x00000000016eaa9c,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xfa9ea3b3027f8463, 0x83cf2f2eb4995ae2, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3d59b5e5caad4742, 0xb39d454aa35d9d87, 0x101395daa5beaa6f, 0x52572497f442a6b8, 0x56bae7b55a22bca8,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0xb9357079b288c5fc, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xd7ab2a22f9e4afdc, 0x000000000000000d,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc7dddaabd85238c4, 0xe4ed323a82593623, 0x5c4bdb535834cdeb, 0x33836d160c9fb662,
  0xe4ee80a498d38e72, 0x6e609f180905415d, 0x31d9bb5fe118e7e7, 0x2eb49bb477fd519c, 0xdcdafd1f524fcf2f,
  0xd40ddacac1f26139, 0xf83660d00f51e565, 0xa75a11c80aca5fa8, 0x0035f4616588a459, 0x39b8e756b874bf5b,
  0xaf4e0ebd0d4ed222, 0xc5c2425f11c653da, 0xd822813805ecb65c, 0x2e556bd3c22934a8, 0x551aecec39eacdaf,
  0xd52df5537d9cea2a, 0xbfa21535c0809cae, 0xaad115e54292b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0x8d94462fe6da0518, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8,
  0x5f3c95fb9a19961d, 0x000000029a670a44,
};

static const uint64_t ur_m48pb_swio13_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c50e3, 0x6eed55fd4e05c489, 0x76d86d1a78bf31a8, 0x3db66c64e466625a, 0x83774e0b248a4859,
  0x9dd0b03ed94e1653, 0xcc13e30120a82bbc, 0x1d9003fc753cffeb, 0x2f3b801717d51dba, 0xb09117dc6883cf2f,
  0xebf5abf51f097e21, 0xb9b1f2678bb9b5d9, 0xa01ea3cacba81bb5, 0x901594bf51f06cc1, 0xc2cb1148b34eb423,
  0xad70e97eb6006be8, 0x7a1a9da4447371ce, 0xbe238ca7b55e9c1d, 0x700bd96cb98b8484, 0xa784526951b04502,
  0xd873d59b5e5caad7, 0xa6fb39d454aa35d9, 0x6b8101395daa5bea, 0xca852572497f442a, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x5fcdb40a31dbd8aa, 0x6f8b9357079b288c, 0x9d598f20669f1a2c,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x04fcbab6eb54f257,
};

// m48pb_swio13_dual_pr
static const uint64_t ur_m48pb_swio13_dual[] = {
  0xa5ddddddde7c7a31, 0xb36b5fb0d739dab1, 0xbdb17d836b05a59f, 0x95ba67f68eb14e4f, 0xa35043b0dba696c8,
  0xc29dc89f87ca3e0f, 0xc13e30120a82bbc9, 0x4ae22c800948300c, 0x71030a1832bac0db, 0x45fccbfc0a774f89,
  0x3c7bd83f8705f731, 0x4239215607dd4dea, 0x006e1f02bfcc6811, 0x432bb8bddf177c00, 0x26b5a2a10cb42324,
  0xe425b7287ff4073c, 0xfbbfc906982c3795, 0xea3edf3be59ef1d9, 0x95a3dc71cab0383f, 0x91c42731602a83cc,
  0xffd9823af00676d2, 0x40f2cf6d318c9500, 0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x537d9cea2a551aec,
  0x35c0809caed52df5, 0xe54292b924bfa215, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0x17f36d02a2adec55, 0x3ce2e4d5c1e6ca23, 0xeeacc790334f8d16, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x1880f2eeb54f257e, 0x0000000000000000,
};

static const uint64_t ur_m48pb_swio13_dual_pr_u4[] = {
  0x634bbbbbbb4486f9, 0x3f66d6bf61ae73b5, 0x9da9f7bb06d60b4b, 0x2d912b74cfed1d62, 0xe7f0c6a08761b74d,
  0xde4e14ee9b4721dc, 0x806609f180905415, 0x06da571164004a41, 0x7c4b881850c195d6, 0xb98a2fe65c1c73ba,
  0x6f51e3dec1fc382f, 0x408a11c90ab03eea, 0xe0000370f815fe63, 0x1922195dc5eef8bb, 0x39e135ad150865a1,
  0xbcaf212db943ffa0, 0x8ecfddfe118cc161, 0xc1ff51f6f9df2cf7, 0x1e64ad1ee38e5581, 0xb6948e21398b0154,
  0xa807fecc11d78033, 0xe04a07967b698c64, 0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0x6faa9bece75152a8,
  0x10a9ae0404e576a9, 0x88af2a1495c925fd, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x5118bf9b6815156f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xb852792bf734332c, 0x000000000a49ad3e,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0xcdad7ed0bebbf567, 0xbee377ed1da89c8c, 0xea3880a4d740362f, 0x79328bfd2b4b7646,
  0xee78233ae3fa9d13, 0xe30120a82bbc9a66, 0x4590012909c7cc13, 0x61430657581b695c, 0x997071cee9f12e20,
  0xb60358e04ea64b5f, 0x90ab03df737a8f15, 0x0f815fe63408a11c, 0x717bbe2ef5488037, 0xc54219683f888657,
  0xba6dffd01cf09b6f, 0x118cc161bcaf212d, 0xfdad19451d943ffe, 0x98332bd4795efb83, 0x080fe2bb75ea3e0d,
  0xfa30b2c4522cd3ad, 0x4bb051d09f99801a, 0xc66ec63d19ea73ab, 0x5238867b55ae875e, 0x017b2fa598b8485a,
  0xb1f37b546c1197fe, 0x67f157ceee2a4a38, 0x9d873d59b5e5caad, 0xaa6fb39d454aa35d, 0xa6b8101395daa5be,
  0xbca852572497f442, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x62fe6da05455bd8a,
  0x8d165abc6e3cd944, 0x539fa9d599bf83bb, 0xd0f22678138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb,
  0xd16e149e4afdcd0c, 0x0000000000005641,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ee_u4[] = {
  0xc1bb777776890c86, 0x389b5afda17efdea, 0x56d77ee8f6b0d06e, 0x37589e4aecb6c5e3, 0xc50b201a2ff4ad2c,
  0x2695dddd8dd9683c, 0x9827c60241505779, 0xd2b88b200252138f, 0x5c40c2860caeb036, 0x35bf32e0e39dd3e2,
  0x1f7dec34d9c22b4c, 0x4239215606a7a6f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef672, 0x4dd4454219681948,
  0x9096dd36ffe80e78, 0x1fff08c660b0de57, 0xc160ff6b46fe0eca, 0x1f06cc184ff51e56, 0x69d68407f15c87f5,
  0xc00d7d1859622916, 0x39d5a5d2b0e838cc, 0xa1d794d3b2008c14, 0x2427bd1e459ed56b, 0xa5ff805ecb8f8c5c,
  0xf157ceee2a4a3ab5, 0x873d59b5e5caad67, 0x6fb39d454aa35d9d, 0xb8101395daa5beaa, 0xa852572497f442a6,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x3a204e7d14085a6a, 0x94462fe6da718de3, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xae149e4afdcd0ccb, 0x00000000000ac902,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ce[] = {
  0x4eddddddde7cd0e3, 0x536b5fb0d7d95ab7, 0xbd1d7d8168eda2d4, 0x91a1706f55f362df, 0x894fb2c473b77a77,
  0x4e2f77571b414d7c, 0xe609f180905415de, 0xb4ae22c800948185, 0x971030a1832bac0d, 0x175fccbfc0a774f8,
  0x47727b0f9c7090f3, 0x508e485581afb9bd, 0xc01b87c0aff31a04, 0x2195dc5eef8bbff5, 0x265af150865a1922,
  0xe425b71adff4073c, 0x813fc906982c3795, 0xe76958effacbe1d9, 0x736be9a7f9f9e5e5, 0xc67b9602871984e7,
  0x7471cab0326bd479, 0x5d1c647316029953, 0xb8e58cf1d7916ecb, 0x8abe77715251d5ad, 0x39eacdaf2e556b3f,
  0x7d9cea2a551aecec, 0xc0809caed52df553, 0x4292b924bfa21535, 0x79fad73daad115e5, 0x3abd4b0b29b16740,
  0xa204e7c63042d357, 0x4462fe6da718de33, 0xa2c79c5c9ab83cd9, 0xe4fdd598f20669f1, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x00073d7a71d6a9e4,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ce_u4[] = {
  0xc647777776890c86, 0x929b5afd8b8d57ea, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x798a1640258b74c8,
  0xf26a2bbbbb1bb2d0, 0xd7304f8c0482a0ae, 0x6da571164004a433, 0xc4b881850c195d60, 0x9b4dfe65c1c73ba7,
  0xea3a9ed8656386fb, 0x22847242ac0cbacd, 0xe400dc3e057f98d0, 0xd10caee2f77c5dec, 0xe134e3150865a013,
  0xaf212db85affa039, 0xcd9dfe118cc161bc, 0x0309456b8bea650e, 0xc2445f71a20f3c2c, 0x4aca8fd47c25f886,
  0xc6787199e2ee6d72, 0x56064d7a8e804f72, 0x4e62c057f3a88e39, 0x9e3af22dda6e4791, 0xee2a4a3a1f371cb1,
  0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x95daa5beaa6fb39d, 0x2497f442a6b81013, 0xe7b55a22bca85257,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xa31dbd8aaa2d2414, 0xdc79b288c5fcdb40, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x492055c293c95fb9, 0x0000000000000003,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ee_ce[] = {
  0xdb2b77777750cf68, 0xeb1b5afdb8f8ce6a, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b7a662765,
  0x3b9a3ea74704dd9c, 0xf8c0482a0aef2727, 0x22c80094823d7304, 0x30a1832bac0db4ae, 0xccb838e774f89710,
  0x9b00d070d3533fcf, 0x90ab03e9f9bd47ff, 0x0f815fe63408a11c, 0xe2f77c5deedd8037, 0x150865a052d10cae,
  0xfd83ff4073c26f9d, 0x46330586f2bc84b6, 0xff547810765adff8, 0x0ff3c2c03095ad9d, 0x49309cee6d7300dd,
  0xa8f2bcac06ed6566, 0x72bbd47c1b307dd7, 0xc4522cd3ad08e405, 0x305fad801afa30b2, 0x6ec63d19ea73ab5c,
  0xe219ed57a7075ec6, 0xecbe9662e1216948, 0xe6f6a8d822813805, 0xf157ceee2a4bd3c3, 0x873d59b5e5caad67,
  0x6fb39d454aa35d9d, 0xb8101395daa5beaa, 0xa852572497f442a6, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb40a31dbd8aaa, 0x8b1e70dc79b288c5, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0002608a9d70a4f2,
};

static const uint64_t ur_m48pb_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xad7ed50feafab46a, 0x787b5a2af3ac768d, 0x3eec106732628c74, 0x160cee0c6a4e5619,
  0xf18502da2e2caf6e, 0x577926e9dda41b69, 0x27939827c6024150, 0x81b695c459001290, 0x9f12e20614306575,
  0x7321f7e657662cee, 0x7a8eff361880e0d7, 0x08a11c90ab030d13, 0xb500370f815fe634, 0x910caee2f77c5dfe,
  0xc26287150865a12b, 0x79096dd9bfff4073, 0x0a4ff1d4e60b0de5, 0x70525c5f547b3876, 0x22fb8d1079e16010,
  0x00fea3e12fc43612, 0xf7ccf17736bfad4f, 0xd47959430376b736, 0xb60bea3e0d9833d7, 0x62291669d6847202,
  0x0e1fd6c00d7d1859, 0x4edb7d1cbe39d5ae, 0xc7c9ed57a7075e53, 0xf65c7c62e1210288, 0xb8a929907c409c02,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x576a96faa9bece75, 0x925fd10a9ae0404e, 0x9ed5688af2a1495c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0xc1e6ca2317f36d02, 0x6fd0468b1be2e4d5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x00000000200122f7,
};

static const uint64_t ur_m48pb_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120a82bbc9ddcc49, 0x97c167e3dcc13e30, 0x313be5ba01d9dd7f, 0xf238e5581d7ff51d, 0x3c731602dee99001,
  0x630475e2e76e9119, 0x7972ab52b043ee39, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0xa4ad8fdfd10a9ace,
  0x7eb5cf6ab4457950, 0xea75380b2953e9de, 0x408f2f14085a585c, 0x8c5fcdb4e31bc674, 0x4c2b93f3fb0ddb28,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000005496e175e,
};

static const uint64_t ur_m48pb_swio14_noled_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0x6c9ebf63416c13c1, 0x3583886d8cd9ef4f, 0x05f98d69bb1c7a0b,
  0xbc9dd34b1c717891, 0xc7cc13e30120a82b, 0xbd8ecdbffe48367c, 0x6064d7a8e0a1df2d, 0x16594c1ed008e395,
  0x1f3b2628c45398b0, 0x89e5403ff6608ebd, 0x55aa11303cb3dbb5, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954,
  0xc7efe8854d674dca, 0xe7b55a22bca85256, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0862adec5551696d,
  0xab83cd94462fe6db, 0x903b6868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e6879133c09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x01f27842e27cf257,
};

static const uint64_t ur_m48pb_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xd6eed55c8a509128, 0x3b50f4d06e246113, 0xfd0ee38f522f892e, 0x6c99fa5f17bb1105,
  0xaef2775718915370, 0xf8f7304f8c0482a0, 0x5ba01d9dd7f920d9, 0x5581d7ff51d313be, 0x602dee99001f238e,
  0x5e2e76e91193c731, 0xb52b043ee3963047, 0x76761cf566d7972a, 0xaa5beace75152a8d, 0xfdfd10a9ace9b95d,
  0xf6ab4457950a4ad8, 0x80b2953e9de7eb5c, 0xf14085a585cea753, 0xdb4e31bc674408f2, 0xb9357079b288c5fc,
  0xb31e40eda1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x9348bdc4f9e4afdc, 0x000000000000000f,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ee[] = {
  0x5b3f7777777b1762, 0xb56776aaf389c2a2, 0x2f1a7b42f460d736, 0x5b3d22e1fad35e9c, 0x4767ef17ad020c59,
  0x057793bb4cd19fd3, 0xcfc569827c602415, 0x68e441d9beffc906, 0x829ea3caca2c1fed, 0x7f1598ff51f06cc1,
  0x85962291669d6840, 0x650eb19ccc00d7d1, 0x3b2d747191cead2e, 0xc9e9ed56ba1d7803, 0xd970e462e1217488,
  0x2ab51d35f4bff00b, 0x8d76761cf566d797, 0x5daa5beace75152a, 0xd8fdfd10a9ace9b9, 0x5cf6ab4457950a4a,
  0xff11a9e18a6f59de, 0x74409c2914085a5a, 0x288c5fcdb4e31bc6, 0xb43458f38b93571b, 0x4c2b93f75663c81d,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000000a7c54e713e,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ee_u4[] = {
  0x78bdddddda244511, 0xc4bbb5579c4bd789, 0x5c7bf4f600f4a64f, 0x5ef56622d2cddd93, 0x91081041062caf16,
  0xe4eeabe67d06cb15, 0xca609f180905415d, 0xec765baff08c73f1, 0x51e5721e0ff6b461, 0xce1fa8f83660f4af,
  0x1148b34eb4203f8a, 0x43ee66006be8c2cb, 0xa47109cead2ffb87, 0xed56ba1d7a1a9db4, 0x2e62e1212628c459,
  0xa8d8232ffc02f65b, 0x5e5caad4717d073c, 0x54aa35d9d873d59b, 0xa6e576a96fab39d4, 0x292b63f7f442a6b3,
  0x8b5d73daad115e54, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36d843156f62aa8, 0xe2e4d5c1e6ca2317,
  0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x13ae10b88be792bf,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x377a7ef684dde1c4, 0xab682326a6f1dedb, 0x44895b643c7eedf9,
  0x415de4ee9a58e2d1, 0xb3e5d6609f180905, 0xff59b8767ceff241, 0x4d7e79797071d29d, 0x2eb26139dcdae1a3,
  0x06b3fd475f27b960, 0x8b0176fcbe8e3956, 0xebd1f3b2628c4539, 0xeb589e5403ff6678, 0xf2e556a844c0f2d6,
  0xa551aecec39eacda, 0x372bb54b7d59cea2, 0x495b1fbfa215359d, 0x5aeb9ed5688af2a1, 0x3ba9b14a7869de7c,
  0xa5b44e31bc674408, 0x36d84263b7b15545, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0xb75c6dc4f9e4afdc, 0x0000000000000000,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x057793ba76821cbb, 0xcfe9b9827c602415, 0x7d7ba1d995bfc231, 0x41e797975a495d71, 0x84bf10d8488bee34,
  0x5dcdaec87495fa8f, 0x75f27b9633f5933c, 0xcbe8e395606b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0xfa215359d372bb54, 0x5688af2a1495b1fb,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0xe6ca2317f36d8426, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x8be792bf734332c3, 0x00000000375d22f8,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ee_ce[] = {
  0x543ddddddd447768, 0x8fbbb557b0a72589, 0xb83a8cf70a6a6c47, 0xb897bb1e624d2c33, 0xc7a75058327ed50c,
  0x93baec95f14e9c51, 0xa9827c6024150577, 0xc7618fff84639fdd, 0xbad218f9dff54721, 0xb9b5e9299cbf3cbc,
  0x701bb59583e4c273, 0xf06cc1ce3ea3cafe, 0x4eb4239015ba5f51, 0x006be8c2cb1148b3, 0x7109cead71fbbeb6,
  0x5e9c1d7a1a9db4a4, 0x8b848498a31167b5, 0xb04502700bd96cb9, 0x5caad7a7ba0e7951, 0xaa35d9d873d59b5e,
  0xe576a96fab39d454, 0x2b63f7f442a6b3a6, 0x5d73daad115e5429, 0x7536294f0d3bcf8b, 0xb689c6378ce88107,
  0xdb084c76f62aa8b4, 0xc5c9ab8d94462fe6, 0xab31e40fca1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0x345f445f3c95fb9a, 0x000000000000014d,
};

static const uint64_t ur_m48pb_swio14_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e306a, 0x6eed55fd4e274494, 0x3b4a569fb36331a8, 0x9edb642e0c7123e5, 0xcc8d330b248aa6ec,
  0xeed57e4c3ac84302, 0x609f180905415de4, 0xecb5bff1d4f3f002, 0xf3bb5bb8bea8f7d8, 0x09117dc6883cf2f2,
  0xd8593f51f097e21b, 0xcd8f933c5dcdaeed, 0x71f51e57f380ddad, 0x80add2fa8f83660e, 0x16588a459a75a11c,
  0x6b8fddf5b0035f46, 0xd0d4eda523884e75, 0xc5188b3daaf4e0eb, 0x805ecb65cc5c2424, 0x3dd073ca8d822813,
  0xc39eacdaf2e556bd, 0x7d59cea2a551aece, 0xa215359d372bb54b, 0x688af2a1495b1fbf, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x6ca2317f36d84263, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000013f09c5bad,
};

static const uint64_t ur_m48pb_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf97c167e034c13e3, 0xe4877cb7403b03df, 0x98c71cab03affea3, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551aecec39eacd, 0xd372bb54b7d59cea, 0xcbec7a21535c0809,
  0xb9ed5688af2a1495, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xf9b69c6378ce8814, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001527d62ebcf25,
};

static const uint64_t ur_m48pb_swio14_lednop_pr[] = {
  0x7bbbbbba83d8ad4e, 0xbbb5572290be251c, 0xb490dbf30fb609e0, 0x9ac1c550c6d97bc2, 0x8eec7bafdd8e3d05,
  0x793ba626e0c33467, 0xfb9827c602415057, 0x7b1d91effc906cfa, 0xc0c9af51d003be5b, 0x16594cfe7511c72a,
  0x3e76c9118df398b0, 0xf48a807fecc11d7a, 0x56b2ed40f2cf6e0f, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551,
  0xa21535c0809d372b, 0x688af2a1495cbec7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0x65118bf9b6c63156, 0x1a2cb579726ae0f3, 0xa73f53ab31e40eda, 0xa1e44cf0271a50c2, 0x4b867a615c9f80f9,
  0x961d252d9f027196, 0xb5389f3c95fb9a19, 0x000000000000f932,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_u4[] = {
  0x1137777768bb1762, 0x7adddaab914ad225, 0x63b0bf70f8da0c22, 0x17f43b8e3da1377e, 0x11dc01b6f8feec44,
  0xa0aef277699a335a, 0xd9f80d304f8c0482, 0x7cb7403b03dff920, 0x1cab03affea3e487, 0x62c05bdd375098c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x1aecec39eacdaf2e, 0xbb54b7d59cea2a55, 0x7a21535c0809d372,
  0x5688af2a1495cbec, 0x4d8b3a03cfd6b9ed, 0x02169ab9d5ea5859, 0x9c6378ce88145f45, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x085b89f3c95fb9a1, 0x0000000000000f93,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ee[] = {
  0xbdddddd0f5a22a20, 0xbbb5579c4d458978, 0xf7c8ed4326664fc4, 0xf56622f5da59214c, 0xa295b1062caf165e,
  0xba3d8b523b8d4695, 0x827c602415057793, 0xd915bfc231cf93a9, 0x9594b83fdad187b1, 0x7ea3e0d983d2bd47,
  0x22cd3ad080fe2b28, 0xb99801afa30b2c45, 0xaf873ab4bfce1d0f, 0xb5d0ebd0d4ec13d1, 0x2e1216488c6fcf6a,
  0x8232ffc02f65b2e6, 0xcaad47176b13ca8d, 0xa35d9d873d59b5e5, 0x576a96fab39d454a, 0x8f442a6b81013a6e,
  0xaad115e54292b97d, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xe6ca2317f36d8c62,
  0x943459d3e2e4d5c1, 0x854e7ea75663c81f, 0x678b9c65f989fca1, 0x93f1cf7ff04d0f22, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x0004ebe3188be792,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed12232a8, 0x59ddaabce2685c4b, 0xd2eae3ddb6ebcdad, 0x45c3f5a433c5ef4c, 0x2d055a0418b2b67a,
  0x2774eb46a122cfaa, 0xd304f8c0482a0aef, 0x83b37dff84639f8a, 0x4795ba583fdad1c8, 0x90fea3e0d983053d,
  0x4522cd3ad080fe2b, 0x63399801afa30b2c, 0x11a6273ab4b9451d, 0xdaad743af0067640, 0xc8c5c2427bd1dad3,
  0x8ead697fe017b2e1, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0x54d7020274dcaed5, 0x2bca852572fb1e88,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x462fe6db18c55bd8, 0x1637c5c9ab83cd94,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000004eb967117cf,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8ad4e, 0x1b4776aae450d889, 0x697a34f7c5a450e2, 0xd5b411935a14d971, 0xd199bb0660bf76fc,
  0x415de4ee989b82b8, 0xb3ec16609f180905, 0xff59b8761c3ff241, 0xadfe79797070ba9d, 0xbac984e7736bcedd,
  0x359fea3cbe9ee580, 0x2c058f7a5471cab0, 0x5e8f9db244637ce6, 0x83fd22a01ffb33c7, 0x2e556b2ed40f2d6e,
  0x551aecec39eacdaf, 0x72bb54b7d59cea2a, 0xec7a21535c0809d3, 0xed5688af2a1495cb, 0xa5af9d01e395aeb9,
  0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x5c6ca2317f36d8c4, 0x2076d0d163ce2e4d, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xc4f9e4afdcd0ccb0, 0x0000000000b75e71,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ce_u4[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x5057793baaf99f41, 0x1cfc729827c60241, 0x17d7ba1d96ebfc23, 0x441e797975a4d377, 0xf84bf10d8488bee3,
  0xc5dcdae495951fa8, 0x8f2fa7b9633f5933, 0xde951c72ac0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0x54d7020274dcaed5, 0x2bca852572fb1e88,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb63131dbd8, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006eb842e22f9e,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ee_ce[] = {
  0x543ddddddd447705, 0x8fbbb557b0a4bb89, 0x89db93b5687a6c47, 0xb897bb1fc94c4d0b, 0x0448d918327ed50c,
  0x93bb61b653d64997, 0xa9827c6024150577, 0x71d9ff3fc231cfe9, 0x975a4ff877fd51c8, 0xee6d7ca8683fe797,
  0x8606ed6560f9309c, 0x7c1b30738fa8f2b3, 0xd3ad08e40565d7d4, 0x801afa30b2c4522c, 0x1af873ab5c7cefad,
  0xaf4e0ebd0d4ec13d, 0x8b848592231bf3da, 0xb04502700bd96cb9, 0x5caad7a7ad627951, 0xaa35d9d873d59b5e,
  0xe576a96fab39d454, 0xd8f442a6b81013a6, 0xdaad115e54292b97, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0xb8d94462fe6db189, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b,
  0x45f3c95fb9a19961, 0x0000000029a63cbc,
};

static const uint64_t ur_m48pb_swio14_lednop_pr_ee_ce_u4[] = {
  0xbdddddda2e7c7a31, 0xdddaabfa9d898929, 0x6d69dad2c19e6350, 0x7b6d9089d707e9bd, 0x666b042c922a9bb2,
  0xba89f87df681f1ba, 0x827c602415057793, 0x635dff8ea79fc6e9, 0x9db5ddc5f547bec7, 0x488bee3441e79797,
  0xc7ddfa8f84bf10d8, 0xd8f933c5dcdafc3f, 0x1f51e5670c0ddadc, 0x0acbafa8f83660e7, 0x6588a459a75a11c8,
  0xb8f9df5b0035f461, 0x1a9d827a35f0e756, 0x4637e7b55e9c1d7a, 0x17b2d97317090b24, 0x5ac4f2a3608a04e0,
  0xe7ab36bcb955af4f, 0x5673a8a9546bb3b0, 0x7020274dcaed52df, 0xa852572fb1e8854d, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0xf8b9357079b288c5, 0xd598f20669f1a2c6,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x4fc8faeeb54f257e,
};

// m48pb_swio14_dual_pr
static const uint64_t ur_m48pb_swio14_dual[] = {
  0x45ddddddde7c4541, 0xb36b5fb0d7499ab3, 0xbd4fbd123c95a59f, 0x95b3133887b1baeb, 0x8b527269dbad16c8,
  0x70a7720126eabf0f, 0x304f8c0482a0aef2, 0xd2b88b20025239bf, 0x5c40c2860caeb036, 0x517f32ff029dd3e2,
  0x8f1ef60fe1c17dcc, 0x508e485581f7537a, 0xc01b87c0aff31a04, 0x2195dc5eef8bbdae, 0x135ad150865a1192,
  0xf212db94bffa039e, 0x28bfe4834c161bca, 0xf51fba3be596b8ec, 0x3930f71c72ac0f7b, 0x046989cc580aa0f3,
  0x3ff6608ebc019d90, 0xa07967b6f78df540, 0x3f8abe77715257ce, 0xec39eacdaf2e556b, 0xb7d59cea2a551aec,
  0x535c0809d372bb54, 0xaf2a1495cbec7a21, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0x18bf9b6c63156f62, 0xb1e71726ae0f3651, 0x3f75663c819a7c68, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x00c405fb75aa792b,
};

static const uint64_t ur_m48pb_swio14_dual_pr_u4[] = {
  0x17777776890ddb75, 0xcdad7ec35d266acd, 0x7aef7448f256967e, 0x2256cc4ce21ec6eb, 0x432d49c9a76eb45b,
  0x4e14eebebde4eb4e, 0xe609f180905415de, 0xda571164004a4737, 0x4b881850c195d606, 0x8a2fe65c1c73ba7c,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xd80370f815fe6340, 0x4432bb8bddf177b5, 0xc26b5a2a10cb4232,
  0x5e425b7297ff4073, 0x8517fc231982c379, 0x7ea3f7477cb2d71d, 0x67261ee38e5581ef, 0x008d31398b01541e,
  0x07fecc11d78033b2, 0xd40f2cf6def1bea8, 0x67f157ceee2a4af9, 0x9d873d59b5e5caad, 0x96fab39d454aa35d,
  0x2a6b81013a6e576a, 0x15e54292b97d8f44, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x2317f36d8c62adec, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x0a4f257ee6866587, 0x000000014934cb57,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x336b5fb42fae3ab1, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebfa5696538,
  0x771c115658219d21, 0xf180905415de4d33, 0x1164004a40aa2609, 0x1850c195d606da57, 0xe65c1c73ba7c4b88,
  0x6d80d63813a992d7, 0x242ac0f7dcdea3c5, 0xc3e057f98d022847, 0xdc5eef8bbcc0200d, 0xf150865a0fe22195,
  0xb70d1ff4073c26db, 0xc231982c3795e425, 0x3fdad1d4a1d896bf, 0xb307b7fd4795cae8, 0xa101fc57befd47c1,
  0x5f4616588a459a75, 0x6972863a13f33003, 0xd8cdda3da3d28e75, 0x004698cf6ab5d0eb, 0xc02f65f4b3170909,
  0x2f2288aa8d8232ff, 0x59fc55f3bb8a928e, 0x6761cf566d7972ab, 0xa5beace75152a8d7, 0x0a9ae0404e9b95da,
  0x457950a4ae5f63d1, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x88c5fcdb6318ab7b,
  0x771a2cb578dc79b2, 0xc2a73f53ab337f07, 0xf9a1e44cf0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271,
  0x42b55c293c95fb9a, 0x0000000000000056,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0x89b5afda17957ead, 0xb6b8ee9da69d06e3, 0x2ec4f25295a9f65a, 0x227a8f8ebfa56970,
  0xa577347d4ebdc376, 0x09f180905415de49, 0x571164004a40aa26, 0x881850c195d606da, 0xb7e65c1c73ba7c4b,
  0xefbd869b38456986, 0x47242ac0d4f4dea3, 0x0dc3e057f98d0228, 0xcaee2f77c5de4940, 0xba88a8432d032910,
  0x096dc347fd01cf09, 0xaff08c660b0de579, 0x0e0ff6b4663c7625, 0xf83660fa8f51e565, 0x4eb4203f8add2fa8,
  0x006be8c2cb1148b3, 0xcead2ee4c741c666, 0x0ebca69da7147371, 0x212d747194f6ab5d, 0x2ffc02f65c7c62e1,
  0x157ceee2a4a3ab87, 0x73d59b5e5caad67f, 0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x9d1028be8a042d35, 0xca2317f36d38c6f1, 0x83bb8d1637c371e6,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xd70a4f257ee68665, 0x00000000000ac9d3,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ce[] = {
  0x25ddddddde7cbd5b, 0x536b5fb0d7fb5ab7, 0xfddfbdb128cda2d4, 0x91a162474eb00a2a, 0x41ebb67c9337792f,
  0xf2717bbbbbf7016b, 0xe5304f8c0482a0ae, 0x36d2b88b2002523c, 0xe25c40c2860caeb0, 0xcc5d7f32ff029dd3,
  0xf51dc9ec3e71c243, 0x114239215606bee6, 0x6e006e1f02bfcc68, 0x888657717bbe2efc, 0xf0996bc542196864,
  0x579096de397fd01c, 0x629eff241a60b0de, 0xcbcedc99dff50507, 0x3b9b5d36e76ff3cb, 0x97d3dcb01438cc27,
  0xbe471cab0327bd47, 0x7c4637ce62c05dbe, 0xf71cb19e3af22dd8, 0xe2af9ddc54947570, 0x0e7ab36bcb955acf,
  0xf5673a8a9546bb3b, 0xd7020274dcaed52d, 0xca852572fb1e8854, 0x80f3f5ae7b55a22b, 0xae757a96165362ce,
  0x67440a2f8c6085a6, 0xb288c5fcdb4e31bc, 0xe3458f38b9357079, 0x15c9fbab31e40cd3, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000073d78dbad53,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ce_u4[] = {
  0x13b777776890cf68, 0x94dad7ec5c6e76ad, 0xdb5c776c314ee9dc, 0x8efe9b33a2f2af39, 0x76227a8fb3edd89c,
  0x4d4577347d4ebdc3, 0xe609f180905415de, 0xb4ae22c800948e1f, 0x971030a1832bac0d, 0x69bfccb838e774f8,
  0x4753db0cac70df73, 0x508e4855819759bd, 0x801b87c0aff31a04, 0x2195dc5eef8bbc92, 0x269c62a10cb4027a,
  0xc84b6f43fff4073c, 0x4dff846330586f2b, 0x84b675c5f5dbe3b3, 0x222fb8d1079e1601, 0x3397ea3e12fc4361,
  0x3c38ccf17736bd25, 0x0327bd479c67b963, 0x62c0531e7ac71cab, 0x1d7916ecbe238c8e, 0x2a4a3ac8bb8e58cf,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x98edec55516920a7, 0xe3cd94462fe6db18, 0x337f07771a2c6f86,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x93a7ae149e4afdcd, 0x0000000000000034,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ee_ce[] = {
  0x69c5bbbbbba86f97, 0x7ac6d6bf6e3e3f35, 0x7ef5ef76c5e35586, 0x2be3749cad041f22, 0x097d7aef7a662671,
  0x9dcf046752c8a756, 0x7c60241505779393, 0x1164004a41c93982, 0x1850c195d606da57, 0xe65c1c73ba7c4b88,
  0xcd80683869a99fe7, 0x485581f4fcdea3ff, 0x87c0aff31a04508e, 0xb8bddf177f53801b, 0x4542196814b4432b,
  0xbfebffd01cf09be7, 0x118cc161bcaf212d, 0xbfea8d4f0ec7f9fe, 0xa47f3c2c03093fc3, 0x649309cee6d7e6fa,
  0x7a8f2bc0806ed656, 0x5795bd47c1b30722, 0x2c4522cd3ad08e40, 0xc143fad801afa30b, 0x66ed1ed1e9473ab5,
  0x8d319ed57a7075ec, 0x5ecbe9662e121200, 0x2288aa8d82281380, 0xfe2af9ddc5497a7b, 0xb0e7ab36bcb955ac,
  0xdf5673a8a9546bb3, 0x4d7020274dcaed52, 0xbca852572fb1e885, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0xc5fcdb63131dbd8a, 0xc68b1e70dc79b288, 0x85727eeaccdfc1dd, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000098273970a4,
};

static const uint64_t ur_m48pb_swio14_dual_pr_ee_ce_u4[] = {
  0xb77777689b4fb69f, 0x6b5fb543abdeac58, 0xe0b547e8bf654e23, 0x57fd5ec130f8e0b5, 0x2419dc12c4cf8ed1,
  0x733a10e37f0de4f2, 0x5de4bd677480be79, 0xc7ae609f18090541, 0x036d2b88b2002522, 0x3e25c40c2860caeb,
  0xa6ec1fccaecc59dd, 0xd476bbd821f1c31b, 0x4508e485581bfc9b, 0xf801b87c0aff31a0, 0x88657717bbe2ef3a,
  0x136568a8432d0d9c, 0xe425b7643ffa039e, 0xb07fc753982c3795, 0x3b06e2faa31ac3b3, 0x2fb8d1079e160107,
  0x47ea3e12fc436122, 0x92678bb9b5cebe15, 0xa3caf0201bb5b9bc, 0xe56f51f06cc1c89e, 0x1148b34eb4239015,
  0x50feb6006be8c2cb, 0xbb47b47a51cead70, 0x4c67b55e9c1d7b19, 0xb2fa598b84848023, 0xa22aa3608a04e017,
  0x8abe7771525e9ec8, 0x39eacdaf2e556b3f, 0xd59cea2a551aecec, 0x5c0809d372bb54b7, 0x2a1495cbec7a2153,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x7f36d8c4c76f62aa, 0xbe2e4d5c1e6ca231,
  0xab337f06fd0468b1, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x00010b72029e4afd, 0x0000000000000001,
};

static const uint64_t ur_m48pb_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02415057793bb0bd, 0xf2f82cf98f9827c6, 0x884ef96e90766dff, 0x6bc71cab03e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0xa9546bb3b0e7ab36, 0xdcaed52df57673a8, 0x2ad5fefe8854d674,
  0xad73daad115e5429, 0x9d4e02ca54fa779f, 0x22fdc5021696173a, 0x17f36d38c6f19d10, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000001522e05d79e,
};

static const uint64_t ur_m48pb_swio15_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2571, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7ddb89d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07c76195fe48367d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xd76761cf566d7972, 0xaa5beaece75152a8,
  0xfdfd10a9ace9b95d, 0xb55a22bca85255ab, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13,
  0x7079b288c5fcdb19, 0x076d0d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x1f26811c4f9e4afd,
};

static const uint64_t ur_m48pb_swio15_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0xadddaab9142f712d, 0x7be3f50e2448c227, 0xfd0eee27767f07a8, 0xb83b6c6569bba905,
  0x82bbc9ddfa706f0a, 0x67cc7cc13e30120a, 0xf2dd20ecdbffe483, 0x395607cf7a8f109d, 0x8b016f74da52d78e,
  0x75e2e76b868c9a39, 0xab52b2bfee396304, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0xfdfd10a9ace9b95d,
  0xb55a22bca85255ab, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a2045fb, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x4d340e27cf257ee6, 0x000000000000003e,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ee[] = {
  0x3c9bbbbbba88aaac, 0xd59ddaabce249089, 0xe85ebd7d267c7cda, 0xc89170f8d7db260b, 0x7433376820831653,
  0x5de4eef914766262, 0xf1ca609f18090541, 0x3ee8765baff08c73, 0xf7a8f2bfdd07fb5a, 0xc56fe7a8f83660e5,
  0x6588a459a75a101f, 0x63ac67330035f461, 0x9ef47914e756970f, 0xd4f6ab5d0ebc019d, 0x70e462e1215c3464,
  0x5a8e843cbff00bd9, 0xbb3b0e7ab36bcb95, 0x52df57673a8a9546, 0xefe8854d674dcaed, 0xaad115e54292ad5f,
  0x6a78629bd677973d, 0x23cbc5021696bfc4, 0x17f36d38c6f19d10, 0x163ce2e4d5c6ca23, 0xe4fdd598f207e50d,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x014f9b5ee22f9e4a,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ee_u4[] = {
  0xf26eeeeed1222582, 0xaceed55e712d2e24, 0xd1748fe933e3e6d6, 0x45c3e35cdd95b6a6, 0x1685e1420c594f22,
  0x93ba76821cbb2d54, 0xb9827c6024150577, 0xa1d995bfc231cfe9, 0xa3cad2b41fed68fb, 0xf9dea3e0d98397de,
  0x4522cd3ad080fe2b, 0x63399801afa30b2c, 0x235ae73ab4bafb1d, 0x6ab5d0ebc019da5f, 0x231709087c47d24f,
  0x3ae925ff805ecb87, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0xa215359d372bb54b, 0x4457950a4ab57fbf,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x365118bf9b632455, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x5f3c95fb9a19961d, 0x000000013ae917c4,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ce[] = {
  0x1b5bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf4bdf370e2, 0xd5b416efc29e98db, 0xf8360ccd8cc774da,
  0x5057793bab8c4891, 0x6cf94b9827c60241, 0x7fd4141d8e97fc90, 0x3b7f9e5e5c1c90e7, 0x2eb26139dcdae9b7,
  0x0327bd479ba7b960, 0x3160299538c71cab, 0x1d7a3e768851ef67, 0xdc22934a807feccf, 0x5e5caad5f5b81e5a,
  0x54aa35d9d873d59b, 0x6e576a96fabb39d4, 0x956aff7f442a6b3a, 0xaeb9ed5688af2a14, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0x6d8c863b7b15545a, 0x9c5c9ab8d94462fe, 0xbab31e40eda1a2c7, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0xdd74e389f3c95fb9, 0x0000000000000002,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0x82bbc9dd1ec5aa38, 0xe7f674c13e30120a, 0x7d76f8ec95dfe118, 0x41e797975a4df771, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0x79ba7b9633f5933c, 0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7,
  0x5f5b81e5adc22934, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d, 0xf442a6b3a6e576a9, 0x688af2a14956aff7,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd94462fe6d8c863, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x17cf257ee6866587, 0x00000000375d3411,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ee_ce[] = {
  0x78fddddddd4477d6, 0x8fbbb557b0a2c189, 0x467a8ef490c76c47, 0xb897b6a74cd71b4b, 0x232ec208327ede3c,
  0xc9dd7ad388a57da1, 0x44c13e30120a82bb, 0x31d963ffe118e7c3, 0x2eb4963e77fd519c, 0xee6d724aca8fcf2f,
  0x4a06ed6560f9309c, 0x7c1b306807a8f2b7, 0xd3ad08e405721fd4, 0x801afa30b2c4522c, 0x1fc873ab5c393fad,
  0x57a7075e86a763d5, 0x62e1214428f7b9ed, 0x6c11409c02f65b2e, 0x2e556bd3dd260b54, 0x551aecec39eacdaf,
  0x2bb54b7d5d9cea2a, 0xb57fbfa215359d37, 0x5cf6ab4457950a4a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd,
  0xc6431dbd8aaa2d2d, 0x2e4d5c6ca2317f36, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0xb1fe22f9e4afdcd0, 0x00000000000014d3,
};

static const uint64_t ur_m48pb_swio15_noled_pr_ee_ce_u4[] = {
  0xadddddda2e7c92df, 0x6eed55fd4f2744b0, 0x56bb2d86656f31a8, 0x3db66c233122694a, 0xec4f910b248b8559,
  0x77547d0855f136cc, 0x304f8c0482a0aef2, 0x76620ff1d4f3e87d, 0xbcef105c5f5476e8, 0xc2445f71a20f3cbc,
  0x0b87ffd47c25f886, 0x7363e4cf17736bae, 0x403d4795ba50376b, 0x202b90fea3e0d983, 0x85962291669d6847,
  0x5ae1c9fd6c00d7d1, 0xf4353b1ea8fe439d, 0x2147bdcf6abd383a, 0xe017b2d97317090a, 0x9ee9305aa3608a04,
  0x61cf566d7972ab5e, 0xeaece75152a8d767, 0x10a9ace9b95daa5b, 0x22bca85255abfdfd, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x65118bf9b63218ed, 0xe3458df1726ae0f3, 0xa73f53ab31e40cd3,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000009f9b5edd6a,
};

static const uint64_t ur_m48pb_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf97c167e034c13e3, 0xe4877cb7483b03df, 0x4c638e5581f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x2563d10a9ae0404e,
  0xe7b55a22bca85257, 0xea5af29c05ce80f2, 0x8be8a042d2b08985, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a4fac5d79e4,
};

static const uint64_t ur_m48pb_swio15_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11ddb89d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41f1d863ffc906cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd76761cf566d7972, 0xaa5beaece75152a8,
  0x10a9ae0404e9b95d, 0xa22bca852572563d, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6da05455b, 0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6,
  0x587494b67c09c659, 0x8ae27cf257ee6866, 0x000000000007c98e,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x7adddaab914ad225, 0x63b0bf7d7f858c22, 0x17f43bb89da1377e, 0x11dc01b6f8feeea4,
  0xa0aef277699a335a, 0xd9f80d304f8c0482, 0x7cb7483b03dff920, 0x8e5581f3dea3e487, 0x31602dee9ba84c63,
  0x475e2e761151f487, 0x2ab52b305ee39630, 0x8d76761cf566d797, 0xdaa5beaece75152a, 0xd10a9ae0404e9b95,
  0x5a22bca852572563, 0xf29c05ce80f2e7b5, 0xa042d2b08985ea5a, 0xd38c6f19d1028be8, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x610b713e792bf734, 0x00000000000001f2,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ee[] = {
  0x4dddddd0f5a232a8, 0x5ddaabce26c8c4ab, 0x3bc977c7edb327e2, 0x7ab7a5a0a34d68f2, 0x23e0cc418b2ab42f,
  0xee9d68d51399f2e3, 0x609f180905415de4, 0xec8e5fe118e7fabe, 0xcaca1c1fed68e3d8, 0x5f51f06cc19ebea3,
  0x91669d68407f15b0, 0xdccc00d7d1859622, 0xe6e39d5a5dd28e87, 0xad743af4353b4888, 0xc5c2425f11c653da,
  0xb0465ff805ecb65c, 0xb955a8e2c4526951, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0x1e8854d7020274dc,
  0xaad115e54292b92b, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xe6ca2317f36d02a2,
  0x943459d3e2e4d5c1, 0x854e7ea75663c81f, 0x678b9c65f989fca1, 0x93f1cf7ff04d0f22, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x0004ebaec88be792,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ee_u4[] = {
  0x9e4dddddda244511, 0xd59ddaabce25ebc4, 0xd71efd3d1b6c44da, 0x48b87c6bb4b37764, 0x64420410418b29e4,
  0x793baaf99f41b2c5, 0x729827c602415057, 0xba1d96ebfc231cfc, 0xea3cae43c1fed68f, 0xb387ea3e0d98397d,
  0xc4522cd3ad080fe2, 0xd63399801afa30b2, 0x291c4273ab4bfee1, 0x3daad743af00676d, 0x1c8c5c2424c5188b,
  0xa8e84597fe017b2e, 0xb3b0e7ab36bcb955, 0x2df57673a8a9546b, 0x54d7020274dcaed5, 0x15e54292b92b1e88,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2317f36d02a2adec, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000013ae10b88be7,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ce[] = {
  0x236b7777777b1762, 0x86d1ddaab9142b71, 0x634f685ed69b3c38, 0xad5b416ef4130aa8, 0x4d1d9fbc5f63f74d,
  0x5415de4eed33467f, 0x1b3ea7a609f18090, 0xdff505076175ff24, 0x3107e79797070a59, 0x02eb26139dcdaeff,
  0xb0327bd479c67b96, 0xe62c0531e7ac71ca, 0xe3af47cecbe238c8, 0x6e1bf70d500ffd99, 0xaf2e556b70e40f2d,
  0x2a551aecec39eacd, 0x372bb54b7d5d9cea, 0x4ac7a21535c0809d, 0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75,
  0xc6378ce881085482, 0x463b7b15545a4829, 0x6ae365118bf9b681, 0x7903b6868b1e7172, 0x2e19e985727eeacc,
  0x87494b659289c659, 0xce27cf257ee68665, 0x000000000016eaa9,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xfa9ea3b3027f8463, 0x83cf2f2eb4995ae2, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3d59b5e5caad4742, 0xb39d454aa35d9d87, 0x1013a6e576a96fab, 0x1495c958f442a6b8, 0x95aeb9ed5688af2a,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x75eaca88be792bf7, 0x0000000000000003,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ee_ce[] = {
  0x78fddddddd445541, 0x8fbbb557b0a47189, 0xc9da647504b26c47, 0xb897b6a6b0699bd7, 0xce0db458327ede3c,
  0x93ba0292634e39c8, 0xb9827c6024150577, 0xc766ed7f84639f9d, 0xbad26ed1dff54670, 0x736bf47d493f3cbc,
  0x50376b2b07c984e7, 0xe0d983403d479597, 0x9d6847202b297ea3, 0x00d7d18596229166, 0xe6e39d5ae1d2fd6c,
  0xbd383af4353b4888, 0x1709097c47194f6a, 0x608a04e017b2d973, 0xb955af4f08a4d2a3, 0x546bb3b0e7ab36bc,
  0xaed52df57673a8a9, 0x1e8854d7020274dc, 0xaad115e54292b92b, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0x8d94462fe6da0518, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8,
  0x5f3c95fb9a19961d, 0x000000029a670a44,
};

static const uint64_t ur_m48pb_swio15_lednop_pr_ee_ce_u4[] = {
  0xadddddda2e7c50e3, 0x6eed55fd4e05c4b0, 0x76d86d1a78bf31a8, 0x3db66c64e466625a, 0x83774e0b248b8559,
  0x9dd0b03ed94e1653, 0xcc13e30120a82bbc, 0x1d9003fc753cffeb, 0x2f3b801717d51dba, 0xb09117dc6883cf2f,
  0xebf5abf51f097e21, 0xb9b1f2678bb9b5d9, 0xa01ea3cacba81bb5, 0x901594bf51f06cc1, 0xc2cb1148b34eb423,
  0xad70e97eb6006be8, 0x7a1a9da4447371ce, 0xbe238ca7b55e9c1d, 0x700bd96cb98b8484, 0xa784526951b04502,
  0xd873d59b5e5caad7, 0xfabb39d454aa35d9, 0x6b81013a6e576a96, 0xf2a1495c958f442a, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x17f36d028c76f62a, 0x1be2e4d5c1e6ca23, 0xa75663c819a7c68b,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x013f2eadbad53c95,
};

// m48pb_swio15_dual_pr
static const uint64_t ur_m48pb_swio15_dual[] = {
  0x1fddddddde7c7a31, 0xb36b5fb0d739dab1, 0xbdb17d836b05a59f, 0x95ba67f68eb14e4f, 0xa35043b0dba47ec8,
  0xc29dc89f87ca3e0f, 0xc13e30120a82bbc9, 0x4ae22c800948300c, 0x71030a1832bac0db, 0x45fccbfc0a774f89,
  0x3c7bd83f8705f731, 0x4239215607dd4dea, 0x006e1f02bfcc6811, 0x432bb8bddf177c00, 0x26b5a2a10cb42324,
  0xe425b7287ff4073c, 0xfbbfc906982c3795, 0xea3edf3be59ef1d9, 0x95a3dc71cab0383f, 0x91c42731602a83cc,
  0xffd9823af00676d2, 0x40f2cf6d318c9500, 0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x7d5d9cea2a551aec,
  0x35c0809d372bb54b, 0x7950a4ae4ac7a215, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0xc5fcdb40a8ab7b15, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x06203cbbad53c95f,
};

static const uint64_t ur_m48pb_swio15_dual_pr_u4[] = {
  0x623fbbbbbb4486f9, 0x3f66d6bf61ae73b5, 0x9da9f7bb06d60b4b, 0xfd912b74cfed1d62, 0xe7f0c6a08761b748,
  0xde4e14ee9b4721dc, 0x806609f180905415, 0x06da571164004a41, 0x7c4b881850c195d6, 0xb98a2fe65c1c73ba,
  0x6f51e3dec1fc382f, 0x408a11c90ab03eea, 0xe0000370f815fe63, 0x1922195dc5eef8bb, 0x39e135ad150865a1,
  0xbcaf212db943ffa0, 0x8ecfddfe118cc161, 0xc1ff51f6f9df2cf7, 0x1e64ad1ee38e5581, 0xb6948e21398b0154,
  0xa807fecc11d78033, 0xe04a07967b698c64, 0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xaa5beaece75152a8,
  0x10a9ae0404e9b95d, 0xa22bca852572563d, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6da05455b, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xae149e4afdcd0ccb, 0x0000000002926b4f,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0xcdad7ed0bebbf562, 0xbee377ed1da89c8c, 0xea3880a4d740362f, 0x79328bfd2b4b2946,
  0xee78233ae3fa9d13, 0xe30120a82bbc9a66, 0x4590012909c7cc13, 0x61430657581b695c, 0x997071cee9f12e20,
  0xb60358e04ea64b5f, 0x90ab03df737a8f15, 0x0f815fe63408a11c, 0x717bbe2ef5488037, 0xc54219683f888657,
  0xba6dffd01cf09b6f, 0x118cc161bcaf212d, 0xfdad19451d943ffe, 0x98332bd4795efb83, 0x080fe2bb75ea3e0d,
  0xfa30b2c4522cd3ad, 0x4bb051d09f99801a, 0xc66ec63d19ea73ab, 0x5238867b55ae875e, 0x017b2fa598b8485a,
  0xb1f37b546c1197fe, 0x67f157ceee2a4a38, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d, 0xa6b81013a6e576a9,
  0xaf2a1495c958f442, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x18bf9b6815156f62,
  0xe34596af1b8f3651, 0x54e7ea75666fe0ee, 0x343c899e04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0x745b852792bf7343, 0x0000000000001590,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ee_u4[] = {
  0xcccf777776890c86, 0x389b5afda17efdea, 0x56d77ee8f6b0d06e, 0x99d89e4aecb6c5e3, 0xc50b201a2ff4ad2d,
  0x2695dddd8dd9683c, 0x9827c60241505779, 0xd2b88b200252138f, 0x5c40c2860caeb036, 0x35bf32e0e39dd3e2,
  0x1f7dec34d9c22b4c, 0x4239215606a7a6f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef672, 0x4dd4454219681948,
  0x9096dd36ffe80e78, 0x1fff08c660b0de57, 0xc160ff6b46fe0eca, 0x1f06cc184ff51e56, 0x69d68407f15c87f5,
  0xc00d7d1859622916, 0x39d5a5d2b0e838cc, 0xa1d794d3b2008c14, 0x2427bd1e459ed56b, 0xa5ff805ecb8f8c5c,
  0xf157ceee2a4a3ab5, 0x873d59b5e5caad67, 0xabb39d454aa35d9d, 0xb81013a6e576a96f, 0x2a1495c958f442a6,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xce88139f4502169a, 0x65118bf9b69c6378, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xab852792bf734332, 0x000000000002b240,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ce[] = {
  0xc1ddddddde7cd0e3, 0x536b5fb0d7d95ab2, 0xbd1d7d8168eda2d4, 0x91a1706f55f362df, 0x894fb2c473b7560f,
  0x4e2f77571b414d7c, 0xe609f180905415de, 0xb4ae22c800948185, 0x971030a1832bac0d, 0x175fccbfc0a774f8,
  0x47727b0f9c7090f3, 0x508e485581afb9bd, 0xc01b87c0aff31a04, 0x2195dc5eef8bbff5, 0x265af150865a1922,
  0xe425b71adff4073c, 0x813fc906982c3795, 0xe76958effacbe1d9, 0x736be9a7f9f9e5e5, 0xc67b9602871984e7,
  0x7471cab0326bd479, 0x5d1c647316029953, 0xb8e58cf1d7916ecb, 0x8abe77715251d5ad, 0x39eacdaf2e556b3f,
  0x5d9cea2a551aecec, 0xc0809d372bb54b7d, 0x50a4ae4ac7a21535, 0x1e7eb5cf6ab44579, 0xceaf52c2ca6c59d0,
  0xe88139f18c10b4d5, 0x5118bf9b69c6378c, 0x68b1e71726ae0f36, 0xb93f75663c819a7c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0001cf5e9c75aa79,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ce_u4[] = {
  0xd93b777776890c86, 0x929b5afd8b8d57ea, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x798a1640258b7727,
  0xf26a2bbbbb1bb2d0, 0xd7304f8c0482a0ae, 0x6da571164004a433, 0xc4b881850c195d60, 0x9b4dfe65c1c73ba7,
  0xea3a9ed8656386fb, 0x22847242ac0cbacd, 0xe400dc3e057f98d0, 0xd10caee2f77c5dec, 0xe134e3150865a013,
  0xaf212db85affa039, 0xcd9dfe118cc161bc, 0x0309456b8bea650e, 0xc2445f71a20f3c2c, 0x4aca8fd47c25f886,
  0xc6787199e2ee6d72, 0x56064d7a8e804f72, 0x4e62c057f3a88e39, 0x9e3af22dda6e4791, 0xee2a4a3a1f371cb1,
  0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0xa6e576a96fabb39d, 0xc958f442a6b81013, 0xb9ed5688af2a1495,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0x371e6ca2317f36d0, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xd2481570a4f257ee,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ee_ce[] = {
  0xdf6b77777750cf68, 0xeb1b5afdb8f8ce6a, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b7a6627ed,
  0x3b9a3ea74704dd9c, 0xf8c0482a0aef2727, 0x22c80094823d7304, 0x30a1832bac0db4ae, 0xccb838e774f89710,
  0x9b00d070d3533fcf, 0x90ab03e9f9bd47ff, 0x0f815fe63408a11c, 0xe2f77c5deedd8037, 0x150865a052d10cae,
  0xfd83ff4073c26f9d, 0x46330586f2bc84b6, 0xff547810765adff8, 0x0ff3c2c03095ad9d, 0x49309cee6d7300dd,
  0xa8f2bcac06ed6566, 0x72bbd47c1b307dd7, 0xc4522cd3ad08e405, 0x305fad801afa30b2, 0x6ec63d19ea73ab5c,
  0xe219ed57a7075ec6, 0xecbe9662e1216948, 0xe6f6a8d822813805, 0xf157ceee2a4bd3c3, 0x873d59b5e5caad67,
  0xabb39d454aa35d9d, 0xb81013a6e576a96f, 0x2a1495c958f442a6, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x7f36d028c76f62aa, 0xa2c79c371e6ca231, 0x5c9fbab337f07771, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00009822a75c293c,
};

static const uint64_t ur_m48pb_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xad7ed50feafab16a, 0x787b5a2af3ac768d, 0x3eec106732628c74, 0x160cee096a4e5619,
  0xf18502da2e2caf6e, 0x577926e9dda41b69, 0x27939827c6024150, 0x81b695c459001290, 0x9f12e20614306575,
  0x7321f7e657662cee, 0x7a8eff361880e0d7, 0x08a11c90ab030d13, 0xb500370f815fe634, 0x910caee2f77c5dfe,
  0xc26287150865a12b, 0x79096dd9bfff4073, 0x0a4ff1d4e60b0de5, 0x70525c5f547b3876, 0x22fb8d1079e16010,
  0x00fea3e12fc43612, 0xf7ccf17736bfad4f, 0xd47959430376b736, 0xb60bea3e0d9833d7, 0x62291669d6847202,
  0x0e1fd6c00d7d1859, 0x4edb7d1cbe39d5ae, 0xc7c9ed57a7075e53, 0xf65c7c62e1210288, 0xb8a929907c409c02,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x2563d10a9ae0404e, 0xe7b55a22bca85257,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xa31dbd8aaa2d2414, 0x7079b288c5fcdb40, 0x1bf411a2c6f8b935,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xc80a792bf734332c, 0x00000000080048bd,
};

/*
 * m88a_autobaud_uart0_noled_pr_ee   m88p_autobaud_uart0_noled_pr_ee   m88pa_autobaud_uart0_noled_pr_ee
 * a6612c_autobaud_uart0_noled_pr_ee
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0x7bbbbbba583c1362, 0x6bad0a6cb8b4bd1a, 0x0cc17f0ba99ba914, 0xdd31370571a33376,
  0xced19f95d304f8c9, 0x2a81102a7c24c17f, 0xfaa935f736f01744, 0xa35f21b46f6a8e15, 0xf22fa8f2bd2a6ab5,
  0x77c567afa8f83660, 0x2cb1148b34eb4228, 0xbe2e2899a426be8c, 0x76e911b5f1cead2e, 0x692c6ab5d0ebd753,
  0x0e462e1211454b46, 0x7b17144fd6e1bd97, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0xa2317f36c4922ade, 0xd0d163ce2e4d5c6c, 0x30ae4fdd598f2076, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x000003107e71c4f9,
};

/*
 * m88a_autobaud_uart0_noled_pr_ee_u4 m88p_autobaud_uart0_noled_pr_ee_u4
 * m88pa_autobaud_uart0_noled_pr_ee_u4 a6612c_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ee_u4[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0x21fcfece9827c64e, 0xa81102a7c252bbfd, 0xaa935f736f017442, 0x39c61b46f6a8e15f, 0x98fa8f2b9126ab5a,
  0xbe2beebd47c1b306, 0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6,
  0xb65cc5c24228e791, 0xa6951b047eb70dec, 0x37e06256bd801512, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0x26ae0f365118bf9b, 0x63c81f943458df17, 0xf7bca1854e7ea756,
  0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xa3ebc45f3c95fb9a,
  0x0000000000001353,
};

/*
 * m88a_autobaud_uart0_noled_pr_ce   m88p_autobaud_uart0_noled_pr_ce   m88pa_autobaud_uart0_noled_pr_ce
 * a6612c_autobaud_uart0_noled_pr_ce
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ce[] = {
  0xc6eeeeeeef62ff41, 0xddddddd2c7a9d8fa, 0x83e625c6b4243568, 0x364f1dfa5dddd533, 0xf193bb42fe9b4b31,
  0xa2ff9da33ff3a609, 0x2e8855022054f848, 0x1c2bf5526bee6de0, 0xa77fd60fc368ded5, 0xbef4dfe780160e1e,
  0x9602eb26139dcdaf, 0xe5581eb3d4727a7b, 0xac398b0147ce9238, 0x6678ebd1f3b57f47, 0xcb5b87d99e5403ff,
  0x6fc0c4ad7b071f03, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa, 0x89218edec5551696,
  0x5c9ab8d94462fe6d, 0xb31e40eda1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271, 0x3ebb89f3c95fb9a1,
  0x0000000000059f85,
};

/*
 * m88a_autobaud_uart0_noled_pr_ce_u4 m88p_autobaud_uart0_noled_pr_ce_u4
 * m88pa_autobaud_uart0_noled_pr_ce_u4 a6612c_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ce_u4[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ffa43f9fcad304f, 0xe8855022054f848a, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0xc6883cf002d691fc,
  0x51f097e21b09117d, 0x99e2ee6d77f9883f, 0x9ea393d3dcb19fac, 0x0a3e7491c72ac0f5, 0x8f9dabfa3d61cc58,
  0xccf2a01ffb33c75e, 0x6bd838f81e5adc3e, 0xbd6bce70b37e0625, 0x3385bcde01f50603, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0xca2317f36c490c76, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000011bae49388b,
};

/*
 * m88a_autobaud_uart0_noled_pr_ee_ce m88p_autobaud_uart0_noled_pr_ee_ce
 * m88pa_autobaud_uart0_noled_pr_ee_ce a6612c_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xfe7c66e609f193ba, 0x088153e120b5fe90, 0x49afb9b780ba2154, 0xf90da37b5470afd5, 0x00b5a4c0877fd51b,
  0x73b9b5facd90ff3c, 0xbea253b5958f7cc2, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x312b5ec2ce89534a,
  0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0x0f365118bf9b6248,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x11102445f3c95fb9, 0x0000000000000004,
};

/*
 * m88a_autobaud_uart0_noled_pr_ee_ce_u4 m88p_autobaud_uart0_noled_pr_ee_ce_u4
 * m88pa_autobaud_uart0_noled_pr_ee_ce_u4 a6612c_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e6812, 0xdddddd2c66b471ac, 0x2c1a66f5cc8ed89d, 0x6da2f858cddb266c, 0xddfb0b5864d74670,
  0x34f3f5bf304f8c9d, 0x022054f84a76ffdf, 0x526bee6de02e8855, 0x43c368ded51c2bf5, 0xc00b9d9c1b8bea8e,
  0x886c2445f71a20f3, 0xaea49cdffd47c25f, 0x9dadcdbdf33c5dcd, 0xb306b5fd4795f512, 0x22814c5613fd47c1,
  0xe8c2cb1148b34eb4, 0x9ceaedd388ea426b, 0xd8ebce9bb6f68f05, 0x11473c8c38d8d578, 0x32386f65b2e62e12,
  0xf616744a9a546c11, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0x88c5fcdb12431dbd, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000104420e4eb54f,
};

/*
 * m88a_autobaud_uart0_noled_hw      m88p_autobaud_uart0_noled_hw      m88pa_autobaud_uart0_noled_hw
 * a6612c_autobaud_uart0_noled_hw
 */
static const uint64_t ur_m88_autobaud_uart0_noled_hw[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea6c46, 0xde1635cbd9b5a5c7, 0x4136d8cddfbbbb3d, 0xe609f193bb0bd68d,
  0xf09751ff7c0b3fb7, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xa3f4077cb08786d1, 0xdf6b471cab03417e,
  0xd1eb0e62c0596533, 0xffd9823af47ced5f, 0x03cb3db1f6679500, 0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce,
  0xaa9cbca6c670b79b, 0x961738c6f19d102b, 0x36c4922adec55516, 0x4fcfec376ca2317f, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x0036cb4b8a29e4af,
};

/*
 * m88a_autobaud_uart0_noled_ee_hw   m88p_autobaud_uart0_noled_ee_hw   m88pa_autobaud_uart0_noled_ee_hw
 * a6612c_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m88_autobaud_uart0_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0xd10aa0440a9f094a, 0x857eaa4d7dcdbc05, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a,
  0x450ef8afbaf51f06, 0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb,
  0x37b2d973170908a3, 0x544a9a546c11fadc, 0x9c2cdf81895af600, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfe6d892455bd8aaa, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x001627b7c105f4f2,
};

/*
 * m88a_autobaud_uart0_noled_ce_hw   m88p_autobaud_uart0_noled_ce_hw   m88pa_autobaud_uart0_noled_ce_hw
 * a6612c_autobaud_uart0_noled_ce_hw
 */
static const uint64_t ur_m88_autobaud_uart0_noled_ce_hw[] = {
  0x1bbbbbbb448651eb, 0x7777774b09eb642b, 0xeb4242c9c01ad2f7, 0x5b1795b85fbbbbcd, 0x827c64eec4e765af,
  0x2450ffd87fcfe569, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0x4fe5c5f5c921b46f, 0x22fb8d1079e24e42,
  0xcdfea3e12fc43612, 0xfd64cf17736b98f8, 0x07acf51c9e9ee58c, 0x62c051f3a48e3956, 0x3af47ced5fd1eb0e,
  0xe1f6679500ffd99e, 0x312b5ec1c7c0f2d6, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f,
  0x63b7b15545a585ce, 0x8f365118bf9b6248, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0xa9c17d3c95fb9a19, 0x00000000006e8dc1,
};

/*
 * m88_autobaud_uart0_noled_ee_ce_u4_hw m88a_autobaud_uart0_noled_ee_ce_hw
 * m88a_autobaud_uart0_noled_ee_ce_u4_hw m88p_autobaud_uart0_noled_ee_ce_hw
 * m88p_autobaud_uart0_noled_ee_ce_u4_hw m88pa_autobaud_uart0_noled_ee_ce_hw
 * m88pa_autobaud_uart0_noled_ee_ce_u4_hw a6612c_autobaud_uart0_noled_ee_ce_hw
 * a6612c_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x10aa0440a9f094ed, 0x57eaa4d7dcdbc05d, 0xd51c8786d1bdaa38, 0x83cf127212383717,
  0x097e21b09117dc68, 0xbb9b5d2a2e47f51f, 0xea253b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298ac27fa,
  0x84d7d18596229166, 0x1e0b39d5dba711d4, 0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc,
  0x12b5ec2ce89534a8, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3,
  0xf365118bf9b62486, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x1217d3c95fb9a199, 0x0000000000254861,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ee  m88p_autobaud_uart0_lednop_pr_ee  m88pa_autobaud_uart0_lednop_pr_ee
 * a6612c_autobaud_uart0_lednop_pr_ee
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xf7777774b0782a6e, 0x51afb8ef31697a34, 0xec19921c2ea66ea4, 0x93ba626e0ae34666,
  0x7f9da33e706609f1, 0x8855022054f84b67, 0x2bf5526bee6de02e, 0x6b46be4368ded51c, 0x83c8bea3cac27cd5,
  0xa1df15ce3ea3e0d9, 0x30b2c4522cd3ad08, 0xbaf8b8a266909afa, 0x53762791f3c73ab4, 0xd1eb2c6ab5d0ebd7,
  0x65c3918b84845090, 0xad7b170a0ff5b86f, 0x79e0404e166fc0c4, 0x16f3796ea0c077ad, 0xbdf2a6f529c94e80,
  0x9d1023a8a042d380, 0xca2317f36d38c6f1, 0x6d0d163ce2e4d5c6, 0xd30ae4fdd598f207, 0x96cb25138cb25c33,
  0x9e4afdcd0ccb0e92, 0x0000003107e71c4f,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ee_u4 m88p_autobaud_uart0_lednop_pr_ee_u4
 * m88pa_autobaud_uart0_lednop_pr_ee_u4 a6612c_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ee_u4[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0x21fcf8d69827c64e, 0xa81102a7c25a6ffd, 0xaa935f736f017442, 0x39c61b46f6a8e15f, 0x98fa8f2b32a6ab5a,
  0x7c561efd47c1b306, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6,
  0xb65cc5c242282791, 0x67951b047eb70dec, 0x6fc0c4ad7b0021f6, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x365118bf9b6e722a, 0x943458df1726ae0f, 0x854e7ea75663c81f,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x5f3c95fb9a19961d,
  0x00000009a9c917c4,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ce  m88p_autobaud_uart0_lednop_pr_ce  m88pa_autobaud_uart0_lednop_pr_ce
 * a6612c_autobaud_uart0_lednop_pr_ce
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef621391, 0xddddddd2c7a9bd3a, 0x07b1f98baf6434d8, 0xa4829bdb7bbbaa67, 0xf8c9dd083c8bd7e4,
  0x95bfced19f387304, 0x17442a81102a7c24, 0x8e15faa935f736f0, 0x43bfeb07e1b46f6a, 0xd9d1cbf3c00b0724,
  0xcb01759309cee6d7, 0x72ac0f59ea3f493d, 0x219cc580a9888b1c, 0xccf1d7a3e7659e8d, 0x96b720b348a807fe,
  0xdf81895af6415a07, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0xd94462fe6db9c31d, 0xeda1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x000002cfc363fb89,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ce_u4 m88p_autobaud_uart0_lednop_pr_ce_u4
 * m88pa_autobaud_uart0_lednop_pr_ce_u4 a6612c_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff487f3f6ea609f, 0xd10aa0440a9f0960, 0x857eaa4d7dcdbc05, 0x717d72486d1bdaa3, 0x1a20f3c00b5a4a95,
  0x47c25f886c2445f7, 0xcf17736bd6fc00fd, 0xf51fa49ee58cfd64, 0x54c4458e395607ac, 0xf3b2cf4690ce62c0,
  0xa45403ff6678ebd1, 0x7b20ad03cb5b9059, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x36dce18edec55516, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xbaed7b88be792bf7,
  0x0000000000000011,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ee_ce m88p_autobaud_uart0_lednop_pr_ee_ce
 * m88pa_autobaud_uart0_lednop_pr_ee_ce a6612c_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x1fcf8689827c64ee, 0x022054f84ac7ffd2, 0x526bee6de02e8855, 0xfe4368ded51c2bf5, 0x002d6937d9dff546,
  0x9cee6d7b9124afcf, 0xafba94ed6563df30, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf, 0x52135f4616588a45,
  0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb, 0x0c4ad7b0b31f6679,
  0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2317f36dce18edec,
  0x596af2e4d5c1e6ca, 0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x88be792bf734332c, 0x0000000004110745,
};

/*
 * m88a_autobaud_uart0_lednop_pr_ee_ce_u4 m88p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m88pa_autobaud_uart0_lednop_pr_ee_ce_u4 a6612c_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e704a, 0xdddddd2c66b5c1ac, 0x47158351599e86ed, 0xed71f858cddb266c, 0x5d6eb8a0aaefc9c8,
  0xd3cfa1f4c13e3277, 0x0440a9f09620ff7c, 0xa4d7dcdbc05d10aa, 0x8786d1bdaa3857ea, 0x80173b4b5717d51c,
  0x10d8488bee3441e7, 0xb9806e87fa8f84bf, 0x76b736f7ccf17736, 0xcc1ad7f51e57dd4a, 0x8a05315edff51f06,
  0xa30b2c4522cd3ad0, 0x73abb71ea3a909af, 0xb1d79d3768c91934, 0x2282791bdab1aaf1, 0x6470decb65cc5c24,
  0xd8598fb33ca8d822, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be,
  0xb6e70c76f62aa8b4, 0x726ae0f365118bf9, 0x31e40cd3e3458df1, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x82a71d6a9e4afdcd, 0x0000000000000208,
};

/*
 * m88a_autobaud_uart0_lednop_hw     m88p_autobaud_uart0_lednop_hw     m88pa_autobaud_uart0_lednop_hw
 * a6612c_autobaud_uart0_lednop_hw
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_hw[] = {
  0xb1bbbbbbbacdfebe, 0x77777774b1ea7c7e, 0x0e82f16f26ada36f, 0x49018c4783eeeeb6, 0x49827c64eef8fc2b,
  0x3e12d2bfef8167e4, 0x9b780ba215408815, 0x37b5470afd549afb, 0xd47278ef964870da, 0x1f3a48e395606693,
  0x91c829cc580b7ba6, 0x8e58c11d78b9d9af, 0xfc0c4ad7b0ac1f7b, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad, 0x19e985727e7f61bb, 0x494b659289c6592e,
  0xd14f257ee6866587, 0x0000000036cb5a71,
};

/*
 * m88a_autobaud_uart0_lednop_ee_hw  m88p_autobaud_uart0_lednop_ee_hw  m88pa_autobaud_uart0_lednop_ee_hw
 * a6612c_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0xd10aa0440a9f0969, 0x857eaa4d7dcdbc05, 0xad68e7186d1bdaa3, 0xcc1a63ea3cacca9a,
  0x8a1df1587bf51f06, 0xa30b2c4522cd3ad0, 0xa5cf55c6b26909af, 0xce9bb4648c9a39d5, 0x9e46f6ac6ab5d0eb,
  0x37b2d973170908a0, 0x87d99e546c11fadc, 0x3859bf0312b5ec00, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x6e3cd94462fe6db9, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x93f085f4f257ee68, 0x0000000000001627,
};

/*
 * m88a_autobaud_uart0_lednop_ce_hw  m88p_autobaud_uart0_lednop_ce_hw  m88pa_autobaud_uart0_lednop_ce_hw
 * a6612c_autobaud_uart0_lednop_ce_hw
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_ce_hw[] = {
  0x8ddddddda2433a31, 0x7777774b09eb0675, 0xeb464090f1faf5f7, 0x2a199bb6a7bbbbcd, 0x827c64eed89b0da0,
  0x25813fd87fcfdba9, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0xaa55c5f5c921b46f, 0x45f71a20f3c49c84,
  0x68fd47c25f886c24, 0x7eb2678bb9b5ffe0, 0x03d67a8fd24f72c6, 0x31602a6222c71cab, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0x6256bd905681e5ad, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x18bf9b6e70c76f62, 0x4e7ea0bb1b8f3651, 0xcc4ffef0f7bca185, 0x866879133c0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000dd1b8c71217d,
};

/*
 * m88_autobaud_uart0_lednop_ee_ce_u4_hw m88a_autobaud_uart0_lednop_ee_ce_hw
 * m88a_autobaud_uart0_lednop_ee_ce_u4_hw m88p_autobaud_uart0_lednop_ee_ce_hw
 * m88p_autobaud_uart0_lednop_ee_ce_u4_hw m88pa_autobaud_uart0_lednop_ee_ce_hw
 * m88pa_autobaud_uart0_lednop_ee_ce_u4_hw a6612c_autobaud_uart0_lednop_ee_ce_hw
 * a6612c_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x7442a81102a7c258, 0xe15faa935f736f01, 0x5f54721e1b46f6a8, 0xa20f3c49c8492d5c,
  0x7c25f886c2445f71, 0xe2ee6d7a4a672fd4, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x0c4ad7b0b31f6679, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2317f36dce18edec, 0xa9cfd4176371e6ca, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000025487aa02f,
};

/*
 * m88a_autobaud_uart0_dual          m88p_autobaud_uart0_dual          m88pa_autobaud_uart0_dual
 * a6612c_autobaud_uart0_dual
 */
static const uint64_t ur_m88_autobaud_uart0_dual[] = {
  0x61fdddddddd44511, 0x2ddddddd43950e27, 0x5d91db83d38056b6, 0xb13b229c6477775a, 0xf8c92b77257ccfb4,
  0xc459001290ce5304, 0x061430657581b695, 0xe65dc5f4ee9f12e2, 0xed84873817598a1f, 0x242ac0ca2cdea3fc,
  0xc3e057f98d022847, 0xee2f77c5dfd3e00d, 0x18a8432d09b910ca, 0x6dd2b7fd01cf0993, 0xd985e60b0de57909,
  0x2a81102a7c251eff, 0xfaa935f736f01744, 0x2d5fe1b46f6a8e15, 0x5581a43f51ee19df, 0x80bf8732d726a38e,
  0xc8b7613e8d059cc5, 0xa561a4dc72c608eb, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0x7400b79bcc077ad7,
  0x4a9f016a72452d5e, 0xde33a2065fe2810b, 0x3cd94462fe6da718, 0x30ae4fcfec5c9ab8, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000193c9dba22f,
};

/*
 * m88a_autobaud_uart0_dual_pr       m88p_autobaud_uart0_dual_pr       m88pa_autobaud_uart0_dual_pr
 * a6612c_autobaud_uart0_dual_pr
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr[] = {
  0xddddddd41e7cbd5b, 0xdddd43950d0561fd, 0x67648ed2669ceddd, 0x7b40bdddd083e9d8, 0xcbbbf719f7682af8,
  0x48e8fcc13e32619d, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x86049a577e6535aa, 0xd2cdea394bd83053,
  0x98d022847242ac0d, 0x2ef7f800dc3e057f, 0x6869488657717bbe, 0xe80e784d37454219, 0x586f2bc84b6ee97f,
  0x153e127f3fced130, 0xfb9b780ba2154088, 0xda37b5470afd549a, 0x1fd47c8a77cb1350, 0xe69c5ef8e3956062,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x0809c2cdf81895af,
  0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0xe4d5c1e6ca2317f3,
  0x1e40cd3e34596af2, 0x71a50c2a73f53ab3, 0xc9f80f9a1e44cf02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0005c15023ad53c9,
};

/*
 * m88a_autobaud_uart0_dual_pr_u4    m88p_autobaud_uart0_dual_pr_u4    m88pa_autobaud_uart0_dual_pr_u4
 * a6612c_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_u4[] = {
  0xeeeeeeed173e43ee, 0xeeeeea1ca866470f, 0x8ea3b8e282b4ed6e, 0xa73b2817bbbad2ec, 0x6ee55df91210da79,
  0x04a4747e609f1925, 0x195d606da5711640, 0xd53ba7c4b881850c, 0x39c0bacc50ff329a, 0x065166f51fe76c24,
  0xbfcc681142392156, 0xbe2efb1f006e1f02, 0x19684dc88657717b, 0x7fe80e784c98c542, 0x30586f2bc84b6ee9,
  0x88153e127f3fced1, 0x9afb9b780ba21540, 0xf0da37b5470afd54, 0x690fd47114ef96af, 0xf0e64c7a48e39560,
  0xd9af91bda398b017, 0x3ef71cb1823af22d, 0x9fc55f3bb8a92958, 0x013859bf0312b5ec, 0xe5ba8301deb5e781,
  0x9bd4a7253a005bcd, 0x8ea2810b4e02f7ca, 0x5fcdb4e31bc67440, 0x6f8b9357079b288c, 0x9d598f20669f1a2c,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x00b82966eb54f257,
};

/*
 * m88a_autobaud_uart0_dual_pr_ee    m88p_autobaud_uart0_dual_pr_ee    m88pa_autobaud_uart0_dual_pr_ee
 * a6612c_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ee[] = {
  0xddddddd0f5a1a5fb, 0xddddd438c828fe1f, 0xaad0eb843dd9bddd, 0xfebb05ff4f74dd00, 0xc8d75c892ac4d744,
  0xafa609f19393ae52, 0x0db4ae22c8009483, 0xf8971030a1832bac, 0x04cd77f997612774, 0x6f51f4d6c1fe1c31,
  0x8114239215607ff2, 0x089006e1f02bfcc6, 0x1110caee2f77c5de, 0x3c262eb150865a18, 0x95e425b7ff9ff407,
  0x244ebfd21f982c37, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfe6db9c8ab7b1554, 0x1674f86e3cd94462, 0x9fa9d599bf83bb8d,
  0xe7197e627f286153, 0x73dffc1343c899e2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813, 0x5498c6e149e4afdc,
  0x000000000000000a,
};

/*
 * m88a_autobaud_uart0_dual_pr_ee_u4 m88p_autobaud_uart0_dual_pr_ee_u4 m88pa_autobaud_uart0_dual_pr_ee_u4
 * a6612c_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ee_u4[] = {
  0x1fddddddda2432db, 0xddddddd438c83ade, 0xd96fdd8becad4d7d, 0x738b502ffa7bb625, 0x23822ac07c674a3f,
  0x447dd304f8c9b837, 0xd606da571164004a, 0xba7c4b881850c195, 0x0d3533fcfccbb093, 0x9f9bd47ff9b00d07,
  0x63408a11c90ab03e, 0x77e5400370f815fe, 0x814b4432bb8bddf1, 0x01cf09be74542196, 0x1bcaf212dbf4fffd,
  0x3e128adfe90fcc16, 0x9b780ba215408815, 0x37b5470afd549afb, 0xb8f7355ad1e950da, 0xd47c1b307f27a8f2,
  0x34eb422877c5663f, 0xa426be8c2cb1148b, 0x873ab4b84f5c20b9, 0xe875ed62761f11f4, 0x8451d023a976355a,
  0xfd6e1bd971f18b84, 0xc55f3bb8a92ae04f, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x6e3cd94462fe6db9, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x2a42cee149e4afdc,
  0x0000000000000005,
};

/*
 * m88a_autobaud_uart0_dual_pr_ce    m88p_autobaud_uart0_dual_pr_ce    m88pa_autobaud_uart0_dual_pr_ce
 * a6612c_autobaud_uart0_dual_pr_ce
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ce[] = {
  0xfdddddddde7cd0e3, 0xdddddd43950e3561, 0x9cb6534edfbd1d7d, 0x6588ed6eeef4e476, 0x72ae36829af9129f,
  0xa4720f304f8c9fa7, 0x5d606da571164004, 0x3ba7c4b881850c19, 0xc12d4c16bf329ad5, 0xa6e6f51c6b6c09d1,
  0xcc68114239215607, 0x2ef986006e1f02bf, 0xd05f688657717bbe, 0xa039e1307b8a8432, 0x61bcaf212dbe9bff,
  0xa9f0914bff3b44c1, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0x173b31e77fd5ef86, 0x9dcdae9682d7e780,
  0x8df9ee580b52e613, 0x3e471cab03a97ea3, 0x6b23afe731602828, 0x01ffb33c75e00ced, 0x4e81e5adc21d21aa,
  0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c,
  0x6dce18edec555169, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0xd38eb54f257ee686, 0x000000000000a793,
};

/*
 * m88a_autobaud_uart0_dual_pr_ce_u4 m88p_autobaud_uart0_dual_pr_ce_u4 m88pa_autobaud_uart0_dual_pr_ce_u4
 * a6612c_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ce_u4[] = {
  0xfeeeeeeed121a5fb, 0xdddddd438a6e8bf0, 0x4a2af4fbfb5a16dd, 0x2abeb410f7774c89, 0x1bb94b235d70f8ab,
  0x025219eb9827c64c, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0x68e09b734edfe65d, 0x0c2d4dea38cdec37,
  0x7f98d022847242ac, 0x7c5dece400dc3e05, 0x65a05d510caee2f7, 0xff4073c264ad1508, 0x82c3795e425b70b5,
  0x02a7c25b3bfd21f9, 0x5f736f017442a811, 0x1b46f6a8e15faa93, 0x49c849d2dc5f5402, 0x86c2445f71a20f3c,
  0xb8a4fd7fd47c25f8, 0xb9633ea5ccf17736, 0x72ac0ea5fa8e37e7, 0xbf9cc580a0a0f91c, 0xccf1d78033b5ac8e,
  0x96b7087486a807fe, 0x55f3bb8a92a93a07, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x63b7b15545a6ae9c, 0xc79b288c5fcdb738, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756,
  0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xb4d05c293c95fb9a,
  0x0000000000000ad7,
};

/*
 * m88a_autobaud_uart0_dual_pr_ee_ce m88p_autobaud_uart0_dual_pr_ee_ce m88pa_autobaud_uart0_dual_pr_ee_ce
 * a6612c_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1fdddddddd435202, 0xddddddd439e3c1f6, 0x868435deeb7b7d7d, 0xb84038bd1deeabe0, 0x21d6d1717e6be44f,
  0x98b304f8c9015727, 0x1b695c4590012905, 0xf12e206143065758, 0xc9bacff32ec24ee9, 0xf51cd6f6130c7067,
  0x1142392156062926, 0x72006e1f02bfcc68, 0x910caee2f77c5dfe, 0xc268e5150865a096, 0x5e425b7149ff4073,
  0x5a6bfd21f982c379, 0x017442a81102a7c2, 0xa8e15faa935f736f, 0x1dff546e4e1b46f6, 0x0f96bf3c49c8486b,
  0x959374c273b9b5ef, 0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c,
  0x5ea25da2147bd9ce, 0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0x7b27f157ceee2a4a,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xc79c371e6ca2317f, 0x9fbab337f07771a2, 0x0271964b867a615c, 0xfb9a19961d252d9f, 0x062203cbdc293c95,
};

/*
 * m88a_autobaud_uart0_dual_pr_ee_ce_u4 m88p_autobaud_uart0_dual_pr_ee_ce_u4
 * m88pa_autobaud_uart0_dual_pr_ee_ce_u4 a6612c_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0xdddd4398558261fd, 0x9135c6f27ae43ddd, 0xa294add67dbf6339, 0xb6941abaf799b26e,
  0x192932e534eaae3e, 0x64004a43c41e609f, 0x50c195d606da5711, 0x57ed13ba7c4b8818, 0x3391c3a3f32927e6,
  0xb03eb39bd47a4ad8, 0x15fe63408a11c90a, 0x77c5df72500370f8, 0x0cb4136d10caee2f, 0xffd01cf09ac7e2a1,
  0xc161bcaf212dbf59, 0x0a9f096377fbe69c, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x038337717d51a9e8,
  0x1222fb8d1079e24e, 0x3c83fea3e12fc436, 0x37374cf17736bea8, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d,
  0x962291669d684502, 0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0,
  0x313fac546c113238, 0x64fe2af9ddc5494b, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xc9ab83cd94462fe6, 0x6fe0dfa08d1637c5, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xfaee4053c95fb9a1,
  0x00000000000fd5b8,
};

/*
 * m88a_autobaud_uart0_dual_hw       m88p_autobaud_uart0_dual_hw       m88pa_autobaud_uart0_dual_hw
 * a6612c_autobaud_uart0_dual_hw
 */
static const uint64_t ur_m88_autobaud_uart0_dual_hw[] = {
  0xfbbbbbbb4486d0e3, 0xbbbbba872a1a0ac3, 0xa7619d923bd499bb, 0xabe1ed02f777420f, 0x2619dcab8da0ee44,
  0xc800948e8fcc13e3, 0xa1832bac0db4ae22, 0x97612774f8971030, 0x60c14e1812695df9, 0x0ab0374b37a8e52f,
  0xf815fe63408a11c9, 0xc5eef8bbdfe00370, 0x150865a1a522195d, 0xbba5ffa039e134dd, 0x2a0cc161bcaf212d,
  0x54088153e127f3fc, 0xd549afb9b780ba21, 0xb1350da37b5470af, 0x560621fd47c8a77c, 0x01541e69c5ef8e39,
  0x00676b591d7f398b, 0xe90d500ffd9823af, 0x549549d03cb3db10, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0x317f36dce455bd8a, 0x9cfd4176371e6ca2,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00003d1b953582fa,
};

/*
 * m88a_autobaud_uart0_dual_ee_hw    m88p_autobaud_uart0_dual_ee_hw    m88pa_autobaud_uart0_dual_ee_hw
 * a6612c_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m88_autobaud_uart0_dual_ee_hw[] = {
  0xfddddddda2431f02, 0xdddddd438c828fe1, 0x0aad0eb843dd9bdd, 0x4febb05ff4f74dd0, 0x25188b37a6144d74,
  0x41d7d304f8c9c9d7, 0xd606da571164004a, 0xba7c4b881850c195, 0x188266bbfccbb093, 0xf937a8fa6b60ff0e,
  0x63408a11c90ab03f, 0xef04480370f815fe, 0x0c0888657717bbe2, 0x039e131758a8432d, 0x1bcaf212dbffcffa,
  0x7c244ebfc2a0cc16, 0x36f017442a81102a, 0x6f6a8e15faa935f7, 0x6bee6ab5a39121b4, 0xa8f83660c14f51e5,
  0x69d68450ef8aea57, 0x484d7d1859622916, 0x673ab4b994b8a973, 0xba1d7a89768851ef, 0x908a04547cf58d56,
  0x3f5b86f65f4b3170, 0xa9280427f58a8d82, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de,
  0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x62fe6db9c8ab7b15, 0x39fa82ec6e3cd944, 0x313ffbc3def28615,
  0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000002c1cb1885f4,
};

/*
 * m88a_autobaud_uart0_dual_ce_hw    m88p_autobaud_uart0_dual_ce_hw    m88pa_autobaud_uart0_dual_ce_hw
 * a6612c_autobaud_uart0_dual_ce_hw
 */
static const uint64_t ur_m88_autobaud_uart0_dual_ce_hw[] = {
  0xfddddddda2435032, 0xbbbbba8714dd17e1, 0x9455e9f7f6b42dbb, 0x557d6821eeee9912, 0x306ee557b68fef76,
  0x80094867ae609f19, 0x1832bac0db4ae22c, 0x7612774f8971030a, 0xdda3826dcd3b7f99, 0xb030b537a8e337b0,
  0x15fe63408a11c90a, 0xddf177b3900370f8, 0x219681754432bb8b, 0xd7fd01cf0992b454, 0x660b0de579096dc2,
  0x88153e12d9dfe150, 0x9afb9b780ba21540, 0x10da37b5470afd54, 0xe24e424e96e2faa0, 0xc4361222fb8d1079,
  0xdaeff3107ea3e12f, 0x9ee58cfa9733c5dc, 0x71cab03a97ea38df, 0x3afe7316028283e4, 0xfb33c75e00ced6b2,
  0x1e5adc21d21aa01f, 0xf157ceee2a4aa4e8, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x371e6ca2317f36dc, 0xef79430a9cfd4176, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x726802fa792bf734, 0x00000000000017a3,
};

/*
 * m88a_autobaud_uart0_dual_ee_ce_hw m88p_autobaud_uart0_dual_ee_ce_hw m88pa_autobaud_uart0_dual_ee_ce_hw
 * a6612c_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m88_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfdddddddd41432db, 0xdddddd439e3c1f61, 0x68435deeb7b7d7dd, 0x84038bd1deeabe08, 0x91c1156699d644fb,
  0x82cc59827c6480ab, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x33e4dd67f9976127, 0x937a8e6b7b098638,
  0x3408a11c90ab0314, 0xff3900370f815fe6, 0x4b488657717bbe2e, 0x39e134728a8432d0, 0xbcaf212db8a4ffa0,
  0xc25a6bfc2a0cc161, 0x6f017442a81102a7, 0xf6a8e15faa935f73, 0x6b1dff546e4e1b46, 0xfacd90ff3c49c848,
  0xb5959374c273b9b5, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42, 0xceaedc650ea426be,
  0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089, 0xad7b27f157ceee2a,
  0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x7f36dce18edec555,
  0xd4d876371e6ca231, 0x133c09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x0000000109a63cb8,
};

/*
 * m88a_autobaud_uart0_dual_ee_ce_u4_hw m88p_autobaud_uart0_dual_ee_ce_u4_hw
 * m88pa_autobaud_uart0_dual_ee_ce_u4_hw a6612c_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d08f43, 0xddddd4398558261f, 0x19cc89ae3b793ddd, 0x937514a56eb3edfb, 0x7ed6ada9c7d7bccd,
  0x1e609f192932e5e2, 0xda571164004a43c4, 0x4b881850c195d606, 0x524fccb20d53ba7c, 0xf495b067238747e6,
  0x239215607d6737a8, 0x06e1f02bfcc68114, 0x95dc5eef8bbee4a0, 0x8fc542196826da21, 0x5b7eb3ffa039e135,
  0xfc87f982c3795e42, 0x2a81102a7c258ddf, 0xfaa935f736f01744, 0x46a7a1b46f6a8e15, 0x78b17d090cddc5f5,
  0xf10d8488bee3441e, 0xb5d4939bffa8f84b, 0x53b5b9b9ba678bb9, 0x1b306be7a8f2b7f2, 0x422814c5701bd47c,
  0xbe8c2cb1148b34eb, 0xd9ceaedc650ea426, 0xc6c75ea25da2147b, 0x4845022a3e7ac6ab, 0x8991c37b2fa598b8,
  0x2a4a5989fd62a360, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0x317f36dce18edec5, 0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00084d39642fa02e,
};

/*
 * m88a_u1x8_uart0_noled_pr_ee       m88p_u1x8_uart0_noled_pr_ee       m88pa_u1x8_uart0_noled_pr_ee
 * a6612c_u1x8_uart0_noled_pr_ee
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f623f3e, 0x777774b11a053758, 0x8ec17fa52b7a0cf7, 0x0030e471eeb07d9f, 0xb22b0420e9c82121,
  0xd19f297304f8c9dd, 0xda2016f604e97fce, 0x449aad68e71b9cdf, 0x1f06cc1a63ea3cae, 0x9d68450ef8afbaf5,
  0x84d7d18596229166, 0x9cead2f38ae35934, 0xd0ebce9bb6f68f05, 0x08a39e461c6c6ab5, 0xfadc37b2d9731709,
  0xf600544a9a546c11, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0x4462fe6d892455bd, 0xa1a2c79c5c9ab8d9, 0x615c9fbab31e40ed, 0xd964a271964b867a, 0xc95fb9a19961d252,
  0x000014f83cbb89f3,
};

/*
 * m88a_u1x8_uart0_noled_pr_ee_u4    m88p_u1x8_uart0_noled_pr_ee_u4    m88pa_u1x8_uart0_noled_pr_ee_u4
 * a6612c_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ee_u4[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0xfe7ca5cc13e32776, 0xd100b7b0274bfe90, 0x24d56b4738dce6fe, 0xf83660d31f51e572, 0xeb422877c57dd7a8,
  0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae, 0xd6e1bd96cb98b848,
  0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67, 0x55516961738c6f19,
  0x2317f36c4922adec, 0x8b1be2e4d5c1e6ca, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00004ebad3e88be7,
};

/*
 * m88a_u1x8_uart0_noled_pr_ce       m88p_u1x8_uart0_noled_pr_ce       m88pa_u1x8_uart0_noled_pr_ce
 * a6612c_u1x8_uart0_noled_pr_ce
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbaff6617cfc7b, 0xaf49739bfb4402de, 0x5fcf002e124c4eff, 0x19cc273b9b5e4397, 0x8cfd4710f3dcb017,
  0x016e189f8e395607, 0x8b9da4151e33398b, 0xc1d3a7b8e58cf1d7, 0x5e73859bf0312b5e, 0x85bcde5ba8301deb,
  0xa6f55d54e5e53633, 0x6f19d102e6cc6085, 0x376ca2317f36d38c, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x2482ebcf257ee686, 0x0000000000000b75,
};

/*
 * m88a_u1x8_uart0_noled_pr_ce_u4    m88p_u1x8_uart0_noled_pr_ce_u4    m88pa_u1x8_uart0_noled_pr_ce_u4
 * a6612c_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e54488aaac, 0xeeeee963d4c6bd63, 0xb697be6f0bf417ee, 0xb88db75fbbba1c5a, 0x193bbe451da09138,
  0xbff487f3ee4e609f, 0xe737f68805bd812f, 0x02d69271b8beab5e, 0x1b09117dc6883cf0, 0xfa7ec7ff51f097e2,
  0xcb19f8ce678bb9b5, 0x956078cfd47a973d, 0x39cc580bd02438e3, 0x33c75e2e76a251a8, 0x12b5ec1d7e1ee396,
  0x01deb5e73859bf03, 0xa6c4a7ef9c2de6f3, 0x042063042d392306, 0x62fe6da718de33a2, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000dd79f05117cf2,
};

/*
 * m88a_u1x8_uart0_noled_pr_ee_ce    m88p_u1x8_uart0_noled_pr_ee_ce    m88pa_u1x8_uart0_noled_pr_ee_ce
 * a6612c_u1x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0x777774b15a7d4dd6, 0x23b8ef31697a34f7, 0x19920b90bf376846, 0xba626e0ae34666ec,
  0x9da33e706609f193, 0xbfb4402dec0b677f, 0xc4ac77fd51995739, 0xd74db9dbfcf002c1, 0x4ed656465309cee6,
  0xd9831bfea3cae719, 0x08a05315e49ea3e0, 0xfa30b2c4522cd3ad, 0xc73abb74423a909a, 0x63af5d4ddb9e46d7,
  0x228d6233496355e3, 0x91c37b2e1c8c5c24, 0xbf0312b5ecc62e99, 0xba8301deb5e73859, 0x4e5e5363385bcde5,
  0x2e6cc6085a6f55d5, 0x17f36d38c6f19d10, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x0014d3e71c4f9e4a,
};

/*
 * m88a_u1x8_uart0_noled_pr_ee_ce_u4 m88p_u1x8_uart0_noled_pr_ee_ce_u4 m88pa_u1x8_uart0_noled_pr_ee_ce_u4
 * a6612c_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe90fe7ffe4c13e32, 0xdfda2016f605d3ff, 0x4c09717d51b93b9c, 0x45f71a20f3c00b5a, 0x4afd47c25f886c24,
  0xe3299e2ee6d7b912, 0xfea3cae7194ed6e6, 0x15e49ea3e0d9831b, 0xc4522cd3ad08a053, 0x74423a909afa30b2,
  0x4ddb9e46d7c73abb, 0x33496355e363af5d, 0x2e1c8c5c24228d62, 0xb5ecc62e9991c37b, 0xdeb5e73859bf0312,
  0x63385bcde5ba8301, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0xd5c1e6ca2317f36d, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x10b88be792bf7343, 0x00000000000009f8,
};

/*
 * m88a_u1x8_uart0_noled_hw          m88p_u1x8_uart0_noled_hw          m88pa_u1x8_uart0_noled_hw
 * a6612c_u1x8_uart0_noled_hw
 */
static const uint64_t ur_m88_u1x8_uart0_noled_hw[] = {
  0x8ddddddb96b37382, 0x7777774b161448b5, 0xbf99360fe17a35f7, 0x97b793d7eeee8c20, 0x4f8c9ddf4b0bf417,
  0x5f27fdf02cf82930, 0x87b9cdfda2016f60, 0x03417ea3f4077cb0, 0x596533df6b471cab, 0x7ced5fd1eb0e62c0,
  0x679500ffd9823af4, 0x7b071f03cb3db1f6, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0xa2317f36c4922ade, 0x3d30ae4fcfec376c, 0x296cb25138cb25c3, 0x29e4afdcd0ccb0e9,
  0x00000000047169ca,
};

/*
 * m88a_u1x8_uart0_noled_ee_hw       m88p_u1x8_uart0_noled_ee_hw       m88pa_u1x8_uart0_noled_ee_hw
 * a6612c_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m88_u1x8_uart0_noled_ee_hw[] = {
  0x777776e5448690e3, 0xddddd2c46814dd63, 0xfc760bfd2e833ddd, 0x080187238f7583ec, 0x3ba24599e86e4109,
  0xf61ff3e52e609f19, 0x37f68805bd813a5f, 0x2b9126ab5a39c6e7, 0xbd47c1b30698fa8f, 0x59a75a1143be2bee,
  0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a, 0x047eb70decb65cc5,
  0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x365118bf9b624915, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x817d3c95fb9a1996, 0x00000000005be354,
};

/*
 * m88a_u1x8_uart0_noled_ce_hw       m88p_u1x8_uart0_noled_ce_hw       m88pa_u1x8_uart0_noled_ce_hw
 * a6612c_u1x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m88_u1x8_uart0_noled_ce_hw[] = {
  0x3777776e5acdfebe, 0xdddddd2c58538fd6, 0x227c5bc9ab68dbdd, 0x406311e0fbbbb111, 0x609f193bbe3f0ad2,
  0xc0b4affbe059f912, 0xaf49739bfb4402de, 0xefcf002e12050eff, 0x19cc273b9b5dc9fc, 0x8cfd4710f3dcb017,
  0x80bbde0b8e395607, 0xe2e767b48f199cc5, 0xb07544ee39633c75, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a,
  0xd102baa9cbca6c67, 0x55516961738c6f19, 0x462fe6d89218edec, 0xa615c9f9fd86ed94, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x000000310a69c745,
};

/*
 * m88_u1x8_uart0_noled_ee_ce_u4_hw  m88a_u1x8_uart0_noled_ee_ce_hw    m88a_u1x8_uart0_noled_ee_ce_u4_hw
 * m88p_u1x8_uart0_noled_ee_ce_hw    m88p_u1x8_uart0_noled_ee_ce_u4_hw m88pa_u1x8_uart0_noled_ee_ce_hw
 * m88pa_u1x8_uart0_noled_ee_ce_u4_hw a6612c_u1x8_uart0_noled_ee_ce_hw
 * a6612c_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x8_uart0_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x9bfb4402dec082d7, 0x24706e2faa390f73, 0x222fb8d1079e24e4, 0x5c8fea3e12fc4361,
  0x36f7ccf17736ba54, 0xd7f51e57d44a76b7, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05, 0xb74e23a909afa30b,
  0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1, 0x70b37e06256bd859,
  0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881, 0xf36c490c76f62aa8, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x00501082b82fa792,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ee      m88p_u1x8_uart0_lednop_pr_ee      m88pa_u1x8_uart0_lednop_pr_ee
 * a6612c_u1x8_uart0_lednop_pr_ee
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb7b128ae, 0xdddddd2c468168ac, 0xa9bc77b6cdde9fbd, 0xf1ec391c7bac1f67, 0x69638b4512256d90,
  0xa33ea7a609f193ba, 0xb4402dec08baff9d, 0x95355ad1ce3739bf, 0x3e0d9834c7d47959, 0x75a1143be2b0f7ea,
  0x135f4616588a459a, 0x73ab4b9eab8d64d2, 0xa1d79d3768c91934, 0x11413c8ded58d56b, 0xf5b86f65b2e62e12,
  0xd8010fb33ca8d823, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be,
  0xdb739156f62aa8b4, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x9f31b713e792bf73, 0x0000000000000002,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ee_u4   m88p_u1x8_uart0_lednop_pr_ee_u4   m88pa_u1x8_uart0_lednop_pr_ee_u4
 * a6612c_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xf9f53d304f8c9dd3, 0x4402dec08baffa43, 0x5355ad1ce3739bfb, 0xe0d9834c7d479599, 0x5a1143be2b0f7ea3,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba, 0x5b86f65b2e62e121,
  0x8010fb33ca8d823f, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0xb739156f62aa8b4d, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xefc0a22f9e4afdcd, 0x000000000000013a,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ce      m88p_u1x8_uart0_lednop_pr_ce      m88pa_u1x8_uart0_lednop_pr_ce
 * a6612c_u1x8_uart0_lednop_pr_ce
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ce[] = {
  0xeeeedcb507b15a91, 0xdddd2c585200ac6e, 0x3623cdda9ee3bddd, 0x865ef777638d0e13, 0x75a2f4e2b72ef31a,
  0x3b467e034c13e327, 0x7f68805bd8107bff, 0x072443bfeb07ee73, 0x9b5c66f76bf3c00b, 0x24f72c05d64c273b,
  0x2c71cab03d67a8fd, 0x7a3486731602a622, 0x1ffb33c75e8f9d96, 0x681e5adc82cd22a0, 0x70b37e06256bd905,
  0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xe0f365118bf9b6e7,
  0x0eda1a2cb579726a, 0x50c2a73f53ab31e4, 0x80f9a1e44cf0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x375d76389f3c95fb,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ce_u4   m88p_u1x8_uart0_lednop_pr_ce_u4   m88pa_u1x8_uart0_lednop_pr_ce_u4
 * a6612c_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff487f3e70e609f1, 0x737f68805bd81256, 0x2d692a55c5f5c92e, 0xb09117dc6883cf00, 0x5bf003f51f097e21,
  0x9633f5933c5dcdaf, 0xe5581eb3d47e927b, 0x43398b0153111638, 0x99e3af47cecb3d1a, 0x2d6e416691500ffd,
  0xbf0312b5ec82b40f, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb288c5fcdb73863b, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x0000001baebcfa22,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ee_ce   m88p_u1x8_uart0_lednop_pr_ee_ce   m88pa_u1x8_uart0_lednop_pr_ee_ce
 * a6612c_u1x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0x7777774b15a7f0aa, 0xc475e9c2f1a7b42f, 0xe2f5a17217e6ed08, 0x77699a33fa68ecfd,
  0xf3b467c9d4c13e32, 0x37f68805bd81456f, 0x39f38effaa332ae7, 0x36be9a7f9f9e0058, 0x4a76b2b232984e77,
  0x06cc18dff51e5680, 0x68450298ad7cf51f, 0xd7d185962291669d, 0x8739d5dbbe41d484, 0x1b1d7aea6ed82d18,
  0x08a038a3905b1aaf, 0x6470decb87231709, 0xdf81895af6631534, 0x80ef5af3c0809c2c, 0x48a5abce8016f379,
  0xf318216953e02d4e, 0x9b69c6378ce88197, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0x9a6a9ce27cf257ee, 0x0000000000000002,
};

/*
 * m88a_u1x8_uart0_lednop_pr_ee_ce_u4 m88p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m88pa_u1x8_uart0_lednop_pr_ee_ce_u4 a6612c_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbbb72a2e7cbf3e, 0xdddd2c042e7eeb1b, 0xe8335a3e9e989ddd, 0xad2c5fde4dd26798, 0x9c458ae0f5db45a8,
  0x4f3fbb5304f8c9dd, 0x4402dec08c7ffdf3, 0xae2faa3727739bfb, 0xdc6883cf002e7795, 0xf51f097e21b09117,
  0xa678bb9b5e9299cb, 0x8f2b40253b5b9b8c, 0xbe7a8f83660c6ffa, 0x48b34eb422814c56, 0x20ea426be8c2cb11,
  0x6c168c439ceaeddf, 0x2d8d578d8ebd7537, 0x918b8484501c51c8, 0x318a9a32386f65c3, 0x404e166fc0c4ad7b,
  0x0b79bcc077ad79e0, 0xf016a72452d5e740, 0x7440cbf98c10b4a9, 0x288c5fcdb4e31bc6, 0x1a2c6f8b9357079b,
  0x39fa9d598f20669f, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000004fc9f04eb54,
};

/*
 * m88a_u1x8_uart0_lednop_hw         m88p_u1x8_uart0_lednop_hw         m88pa_u1x8_uart0_lednop_hw
 * a6612c_u1x8_uart0_lednop_hw
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_hw[] = {
  0x3777776e5acdfcd7, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x8d7f17ab6eee8c20, 0x4f8c9dddb6d4f71d,
  0x5377fdf02cfa0130, 0x87b9cdfda2016f60, 0x03417ea3dac77cb0, 0xb2ca6f920fc71cab, 0xe7659e8d219cc580,
  0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x3f3fb0ddb288c5fc, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9,
  0x00238953a8a792bf,
};

/*
 * m88a_u1x8_uart0_lednop_ee_hw      m88p_u1x8_uart0_lednop_ee_hw      m88pa_u1x8_uart0_lednop_ee_hw
 * a6612c_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_ee_hw[] = {
  0x777776e54486d38b, 0xeeeee962340b4563, 0x7a9bc77b6f4fdeee, 0x0f1ec391c7bac1f6, 0x7751994ed29456d9,
  0xec3fe7d4f4c13e32, 0x6fed100b7b022ebf, 0x56654d56b4738dce, 0xfa8f83660d31f51e, 0x669d68450ef8ac3d,
  0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635, 0x08fd6e1bd96cb98b,
  0x5af60043eccf2a36, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0x7f36dce455bd8aaa, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00016fad1b82fa79,
};

/*
 * m88a_u1x8_uart0_lednop_ce_hw      m88p_u1x8_uart0_lednop_ce_hw      m88pa_u1x8_uart0_lednop_ce_hw
 * a6612c_u1x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_ce_hw[] = {
  0x1bbbbbb72d66ef3a, 0xeeeeee962c29e96b, 0x44f1ff16c1f6a1ee, 0x0db267cdf7776222, 0x13e3277417a09ac8,
  0x209fff7c0b3e654c, 0xd25ce6fed100b7b0, 0xf3c00b849003bfeb, 0x7309cee6d774a70f, 0x3f51f05cf72c05c6,
  0x163226a38e5581e3, 0x73b35f23905398b0, 0x743ef71cb19e3af1, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab, 0xfec376ca2317f36d, 0x8cb25c33d30ae4fc,
  0x0ccb0e9296cb2513, 0xc4283aa29e4afdcd,
};

/*
 * m88_u1x8_uart0_lednop_ee_ce_u4_hw m88a_u1x8_uart0_lednop_ee_ce_hw   m88a_u1x8_uart0_lednop_ee_ce_u4_hw
 * m88p_u1x8_uart0_lednop_ee_ce_hw   m88p_u1x8_uart0_lednop_ee_ce_u4_hw
 * m88pa_u1x8_uart0_lednop_ee_ce_hw  m88pa_u1x8_uart0_lednop_ee_ce_u4_hw
 * a6612c_u1x8_uart0_lednop_ee_ce_hw a6612c_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f68805bd8158fff, 0x92d5c5f54721ee73, 0x45f71a20f3c49c84, 0x72fd47c25f886c24,
  0xdef99e2ee6d7a4a6, 0xfea3cafba94ed6e6, 0x2bdbfea3e0d9835a, 0x88a459a75a1140a6, 0xe3d4752135f46165,
  0xa6ed1923268e7576, 0x237b56355e363af3, 0xd96cb98b8484504f, 0xf667951b044c8e1b, 0x166fc0c4ad7b0b31,
  0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x8edec555169aba71, 0x1e6ca2317f36dce1,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xa902fa792bf73433, 0x000000000005011e,
};

/*
 * m88_u1x8_uart0_dual_pr            m88a_u1x8_uart0_dual              m88a_u1x8_uart0_dual_pr
 * m88p_u1x8_uart0_dual              m88p_u1x8_uart0_dual_pr           m88pa_u1x8_uart0_dual
 * m88pa_u1x8_uart0_dual_pr          a6612c_u1x8_uart0_dual            a6612c_u1x8_uart0_dual_pr
 */
static const uint64_t ur_m88_u1x8_uart0_dual[] = {
  0xfbbbbbaa66a232a8, 0xbbbbba8738ff4ec3, 0x77be44d286ed375b, 0x19189d1c77775683, 0xe3bb91d68d47699f,
  0x80094867c9827c64, 0x1832bac0db4ae22c, 0xe2fa774f8971030a, 0xfe1c17dcc517f32e, 0x581f7537a8f1ef60,
  0x0aff31a04508e485, 0xf77c5df1c801b87c, 0x8432d08c910caee2, 0xc7ffd01cf09ad68a, 0x5e60b0de579096dc,
  0xd100b7b023d7fd98, 0xc453be5abfdce6fe, 0xe9238e5581a43f51, 0xf68e62c05fc39931, 0xc608ebc8b766be46,
  0xeee2a4a560fbdc72, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x94e8016f3796ea0c, 0x2d380bdf2a6f529c,
  0x8c6f19d1023a8a04, 0x5c1e6ca2317f36d3, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0x0e9296cf8138cb25,
  0xa22f9e4afdcd0ccb, 0x0000000000310e93,
};

/*
 * m88a_u1x8_uart0_dual_pr_u4        m88p_u1x8_uart0_dual_pr_u4        m88pa_u1x8_uart0_dual_pr_u4
 * a6612c_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_u4[] = {
  0x777754ca2e7cbd5b, 0x77750e71f0dd87f7, 0x627791015ad8b777, 0x3a38eeee833a1762, 0x2eefdc1ceb417645,
  0x4867c9827c649217, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0x825699d2fe6535aa, 0xc7cdea3d4ad87ee3,
  0x98d022847242ac0c, 0x5dfd3e00dc3e057f, 0xd04c510caee2f77c, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0x16f6047aff9da260, 0x3be589ab9cdfda20, 0x71cab0310fea3e45, 0xcc580aa0f34e2f7c, 0x1d78033b5ac8ebf9,
  0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad, 0xe3458df1726ae0f3, 0xa73f53ab31e40cd3,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000149348bdd6a,
};

/*
 * m88a_u1x8_uart0_dual_pr_ee        m88p_u1x8_uart0_dual_pr_ee        m88pa_u1x8_uart0_dual_pr_ee
 * a6612c_u1x8_uart0_dual_pr_ee
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbaa66f3e43ee, 0xbbbba872c7b3ec3f, 0x1a4cb0c3afb45fbb, 0x3d8650bdd9771382, 0x7e44f76d3d62fd76,
  0x919827c64989b957, 0x36d2b88b20025202, 0xe25c40c2860caeb0, 0xcdd3ff994d6a9dd3, 0xd47383b0eaf3850f,
  0x4508e485581ece9b, 0x6801b87c0aff31a0, 0x22195dc5eef8bbf9, 0x84d1ee2a10cb42a5, 0xbc84b6fb3bfe80e7,
  0x450ffced130586f2, 0x4ab9cdfda2016f60, 0x3d4795c7b9aad68f, 0x2b31fea3e0d983f9, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0xf88fa439d5a5c27a, 0xb1aad743af6b13b0, 0x8c5c24228e811d4b, 0x57027feb70decb8f,
  0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0x79bcd914180ef5af, 0xf9537a94e4a7400b, 0xd3574e31bc67440e,
  0xf36dce455bd8aaa2, 0xe2e4d5c1e6ca2317, 0xacc790334f8d163c, 0x6592e19e985727ee, 0x866587494b67c09c,
  0xa749ceb54f257ee6, 0x0000000000000190,
};

/*
 * m88a_u1x8_uart0_dual_pr_ee_u4     m88p_u1x8_uart0_dual_pr_ee_u4     m88pa_u1x8_uart0_dual_pr_ee_u4
 * a6612c_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ee_u4[] = {
  0x7777754ca2437089, 0xeeeea1cb1f62f87f, 0x9622d476b6e76eee, 0xbfed0ca17bb70605, 0x93d65577d6d075ca,
  0x53a609f192b06e57, 0x06da571164004a47, 0x7c4b881850c195d6, 0x3f37fcfccbb093ba, 0xdea3d0fec3a7ce16,
  0x022847242ac0ce0c, 0x95000dc3e057f98d, 0x5910caee2f77c5de, 0x3c265f7150865a09, 0x95e425b7383ff407,
  0x0595bfd21f982c37, 0xe44b9cdfda2016f6, 0x53d4795afb9aad68, 0xe2ba95ea3e0d9830, 0x588a459a75a1143b,
  0x2e2a5cd2135f4616, 0xa2147bd9cead2e65, 0x3d6355ae875ea25d, 0xd2cc5c242281151f, 0x62a3608fd6e1bd97,
  0x57ceee2a4a0109fd, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x2adec555169aba71, 0x8f365118bf9b6e72, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x3cdbb852792bf734, 0x00000000000002b2,
};

/*
 * m88a_u1x8_uart0_dual_pr_ce        m88p_u1x8_uart0_dual_pr_ce        m88pa_u1x8_uart0_dual_pr_ce
 * a6612c_u1x8_uart0_dual_pr_ce
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ce[] = {
  0x777754cd41e7ce7c, 0x77750e71f3ad87f7, 0xac3191087a5ab777, 0x88dd6eeeb45f2282, 0x6cdb4f0eb8fcd953,
  0x00899827c64d0bb9, 0x581b695c45900129, 0xe9f12e2061430657, 0xdf7369bfcca6b54e, 0x59bd4753db0cac70,
  0x1a04508e48558197, 0xbeb7c01b87c0aff3, 0x027a2195dc5eef8b, 0x073c269c62a10cb4, 0x3795e425b72ebff4,
  0x7b02a95fe768982c, 0xfeaf7dce6fed100b, 0xd6ff3c00b9d98f3b, 0x6a5cc273b9b5e76e, 0x752fd471bf3dcb01,
  0x2c050507c8e39560, 0xbc019dad6475fce6, 0x43a435403ff6678e, 0xdc549549d03cb5b8, 0x81895af64fe2af9d,
  0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x4462fe6db9c31dbd,
  0x8b2d5e5c9ab83cd9, 0x7ea75663c819a7c6, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x75aa792bf734332c, 0x0000000003490745,
};

/*
 * m88a_u1x8_uart0_dual_pr_ce_u4     m88p_u1x8_uart0_dual_pr_ce_u4     m88pa_u1x8_uart0_dual_pr_ce_u4
 * a6612c_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeea9944860aac, 0xeeeea1ca871ab0fe, 0x4e5b29a76efdeeee, 0xb2c476b7777a723b, 0xe5f5796444f3824f,
  0x48e41e609f193f4e, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0xe096a60b5f997612, 0xd3737a8e35b604e8,
  0xe63408a11c90ab03, 0x177cc300370f815f, 0x682fb4432bb8bddf, 0xd01cf0983dc54219, 0xb0de579096df4dff,
  0x5bd8114bff487e60, 0xc5f5402e737f6880, 0x1a20f3c49c849d2d, 0x47c25f886c2445f7, 0xcf17736b8a4fd7fd,
  0xa8e37e7b9633ea5c, 0x0a0f91c72ac0ea5f, 0x3b5ac8ebf9cc580a, 0x6a807feccf1d7803, 0x2a93a0796b708748,
  0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0x458df0dc79b288c5, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000349054e5c293,
};

/*
 * m88a_u1x8_uart0_dual_pr_ee_ce     m88p_u1x8_uart0_dual_pr_ee_ce     m88pa_u1x8_uart0_dual_pr_ee_ce
 * a6612c_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ee_ce[] = {
  0x777754cd41431f02, 0xdddd438ebc2d87f7, 0x947eb4cfb49bdddd, 0xf3eec9f91dd76476, 0x88b36338614aefee,
  0x1f304f8c98177251, 0x6da571164004a427, 0xc4b881850c195d60, 0x130a4fccbb093ba7, 0xf51ed6f615be7080,
  0x22847242ac0d36e6, 0x2200dc3e057f98d0, 0xa2195dc5eef8bbd5, 0x84cc162a10cb437d, 0x79096dd36ffe80e7,
  0xa1fff487e60b0de5, 0x9dce6fed100b7b02, 0x939090d63bfea8dc, 0xcee6d7ca8683fe78, 0xdfc94ed6564dd309,
  0x51f06cc1af9ea3ca, 0xd3ad08a05315c06f, 0x909afa30b2c4522c, 0x51ef673abb71943a, 0x1aaf1b1d7a897688,
  0x62e1211408a8f9eb, 0x8d8226470decbe96, 0x3bb8a9296627f58a, 0xbf0312b5ec9fc55f, 0x01deb5e781013859,
  0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xb288c5fcdb73863b, 0x07771a2cb578dc79,
  0x50c2a73f53ab337f, 0x80f9a1e44cf0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x400610dc293c95fb,
};

/*
 * m88a_u1x8_uart0_dual_pr_ee_ce_u4  m88p_u1x8_uart0_dual_pr_ee_ce_u4  m88pa_u1x8_uart0_dual_pr_ee_ce_u4
 * a6612c_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x77754ca26d3f9231, 0x7750e78f07d87f77, 0x7baddf5f66d37777, 0xf477baaf821a10d7, 0x43dad5913ee100e2,
  0xc901572ffe19a74e, 0x9001290598b304f8, 0x430657581b695c45, 0x5fb44ee9f12e2061, 0x9863833e4dd67f99,
  0xb0314937a8e6b7b0, 0x15fe63408a11c90a, 0xbbe2eff3900370f8, 0x432d04b488657717, 0x4ffa039e134728a8,
  0xcc161bcaf212db8a, 0x402dec0b4d7fbe69, 0xe2faa353d739bfb4, 0x1a20f3c49c07066e, 0x47c25f886c2445f7,
  0xe2ee6d7d507907fd, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06, 0xa909afa30b2c4522,
  0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9, 0xf3bb8a9296627f58,
  0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0x9b288c5fcdb73863, 0x411a2c6f8b935707, 0xa9cfd4eaccdfc1bf, 0xf989ffde1ef79430, 0xb0cd0f226781fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000001000b4f9c80,
};

/*
 * m88a_u1x8_uart0_dual_hw           m88p_u1x8_uart0_dual_hw           m88pa_u1x8_uart0_dual_hw
 * a6612c_u1x8_uart0_dual_hw
 */
static const uint64_t ur_m88_u1x8_uart0_dual_hw[] = {
  0x7777754ca243704a, 0x777750e71f0dd87f, 0xec4c4ef23a02b777, 0xc8a7471dddd06742, 0x9217275bae3b5dee,
  0x80094867c9827c64, 0x1832bac0db4ae22c, 0x7612774f8971030a, 0x1fb8e095a674bf99, 0xab0331f37a8f52b6,
  0x815fe63408a11c90, 0xbddf177f4f80370f, 0xa10cb41314432bb8, 0x31fff4073c268ca2, 0x41982c3795e425b7,
  0xda2016f6047aff85, 0x3e453be589ab9cdf, 0x2f7c71cab0310fea, 0xebf9cc580aa0f34e, 0xecc11d78033b5ac8,
  0xe59ed887486a807f, 0x157ceee2a4aa4e81, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0xb8f365118bf9b6e7, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x0f2617d3c95fb9a1, 0x000000000000c6ea,
};

/*
 * m88a_u1x8_uart0_dual_ee_hw        m88p_u1x8_uart0_dual_ee_hw        m88pa_u1x8_uart0_dual_ee_hw
 * a6612c_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m88_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeea9944869a4e, 0xdddd43963ec5f0fe, 0x2c45a8ed6dcedddd, 0x7fda1942f76e0c0b, 0xb8fea31d1e18eb95,
  0x8ea74c13e32560dc, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x2c7e6ff9f9976127, 0x19bd47a1fd874f9c,
  0x1a04508e4855819c, 0xbd2a001b87c0aff3, 0x12b22195dc5eef8b, 0x0e784cbee2a10cb4, 0x6f2bc84b6e707fe8,
  0xd81656ff0a833058, 0xa3912e737f68805b, 0xc14f51e56bee6ab5, 0xef8aea57a8f83660, 0x5962291669d68450,
  0x94b8a973484d7d18, 0x768851ef673ab4b9, 0x7cf58d56ba1d7a89, 0x5f4b3170908a0454, 0xf58a8d823f5b86f6,
  0xc55f3bb8a9280427, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0xc8ab7b15545a6ae9, 0x6e3cd94462fe6db9, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x9e6d85f4f257ee68, 0x0000000000000576,
};

/*
 * m88a_u1x8_uart0_dual_ce_hw        m88p_u1x8_uart0_dual_ce_hw        m88pa_u1x8_uart0_dual_ce_hw
 * a6612c_u1x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m88_u1x8_uart0_dual_ce_hw[] = {
  0xeeeeea994486dd9e, 0xeeeea1ca871ab0fe, 0x4e5b29a76efdeeee, 0xb2c476b7777a723b, 0x4ee43f2af7ab8b4f,
  0x0948e41e609f193f, 0x32bac0db4ae22c80, 0x12774f8971030a18, 0xe8e096a60b5f9976, 0x03d3737a8e35b604,
  0x5fe63408a11c90ab, 0xdf177cc300370f81, 0x19682fb4432bb8bd, 0xffd01cf0983dc542, 0x60b0de579096df4d,
  0x00b7b02297fe1506, 0x5b8bea805ce6fed1, 0xee3441e78939093a, 0xfa8f84bf10d8488b, 0x5ccf17736bbfcc41,
  0x5fa8e37e7b9633ea, 0x0a0a0f91c72ac0ea, 0x033b5ac8ebf9cc58, 0x486a807feccf1d78, 0xa92a93a0796b7087,
  0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0xc5fcdb73863b7b15, 0x73f505d8dc79b288, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009ba8a9c0be9,
};

/*
 * m88a_u1x8_uart0_dual_ee_ce_hw     m88p_u1x8_uart0_dual_ee_ce_hw     m88pa_u1x8_uart0_dual_ee_ce_hw
 * a6612c_u1x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m88_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeea99d82432db, 0xeeeea1cf1e0fb0fe, 0x21aef75bdbebeeee, 0x01c5e8ef755f0434, 0xe08ab34ceb227dc2,
  0x662cc13e324055c8, 0x06da571164004a41, 0x7c4b881850c195d6, 0xf26eb3fccbb093ba, 0xbd4735bd84c31c19,
  0x04508e4855818a49, 0x9c801b87c0aff31a, 0xa4432bb8bddf177f, 0xf09a394542196825, 0x579096dc527fd01c,
  0x2d35fe150660b0de, 0x4f5ce6fed100b7b0, 0x12721219bb8bea8d, 0x21b09117dc6883cf, 0x5facd90ff51f097e,
  0x3b5b9b9ba678bb9b, 0xb306be7a8f2b7f25, 0x22814c5701bd47c1, 0xe8c2cb1148b34eb4, 0x9ceaedc650ea426b,
  0x6c75ea25da2147bd, 0x845022a3e7ac6abc, 0x991c37b2fa598b84, 0xa4a5989fd62a3608, 0x4ad7b27f157ceee2,
  0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x17f36dce18edec55,
  0xfd4d876371e6ca23, 0x9133c09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e, 0x85f4f257ee686658,
  0x0000000003aea3cb,
};

/*
 * m88a_u1x8_uart0_dual_ee_ce_u4_hw  m88p_u1x8_uart0_dual_ee_ce_u4_hw  m88pa_u1x8_uart0_dual_ee_ce_u4_hw
 * a6612c_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfdddddd532890c86, 0xbbbbba873c7a8fe1, 0x5b2b6b455fae17bb, 0x766d13f17a3bdd41, 0x2b97763766f31508,
  0x4a427979827c64bb, 0x95d606da57116400, 0x93ba7c4b881850c1, 0x9c0d6e6986fccbb0, 0xd6fcdea38a4d87eb,
  0xf31a04508e485581, 0x177baa001b87c0af, 0x680d64432bb8bddf, 0xd01cf09add454219, 0x61bcaf212dbe377f,
  0xdec0a76ffc2a0cc1, 0xaa32eb739bfb4402, 0x079e24e42435ae2f, 0x12fc4361222fb8d1, 0x7736bdc89257ea3e,
  0x654a76b73710ccf1, 0x8f83660d31f51e56, 0x4eb422814c57d47a, 0x426be8c2cb1148b3, 0x47d21ceaedda50ea,
  0xaaf1b1d7b589d845, 0xb8484515fd1d4bb1, 0x23ecc8e1bd971f18, 0x93f8abe7771525c6, 0x20270b37e06256bd,
  0xbcb750603bd6bcf0, 0x537a94e4a7400b79, 0x23a3182169c05ef9, 0x17f36d38c6f19d10, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000eba95a82fa7,
};

/*
 * m88a_u1x12_uart0_noled_pr_ee      m88p_u1x12_uart0_noled_pr_ee      m88pa_u1x12_uart0_noled_pr_ee
 * a6612c_u1x12_uart0_noled_pr_ee
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b0f2048563, 0x64da9933c5fa6ef7, 0x50f6712277783d09, 0x47e5dd918e26c209,
  0xa33ec16609f193ba, 0x3fbb74f848e1ff9d, 0xa39c61b46e93fdb5, 0x698fa8f2b9126ab5, 0x3be2beebd47c1b30,
  0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a, 0xcb65cc5c24228e79,
  0x2a6951b047eb70de, 0xb37e06256bd80151, 0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d,
  0xb6249156f62aa8b4, 0x71726ae365118bf9, 0xeacc7903b6868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0xe371ee27cf257ee6, 0x0000000000000053,
};

/*
 * m88a_u1x12_uart0_noled_pr_ee_u4   m88p_u1x12_uart0_noled_pr_ee_u4   m88pa_u1x12_uart0_noled_pr_ee_u4
 * a6612c_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xeedd3e12387fe90f, 0xe7186d1ba4ff6d4f, 0x63ea3cae449aad68, 0xf8afbaf51f06cc1a,
  0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b, 0xd973170908a39e46,
  0x9a546c11fadc37b2, 0xdf81895af600544a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755,
  0x892455bd8aaa2d2c, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xde0b117cf257ee68, 0x00000000000009d7,
};

/*
 * m88a_u1x12_uart0_noled_pr_ce      m88p_u1x12_uart0_noled_pr_ce      m88pa_u1x12_uart0_noled_pr_ce
 * a6612c_u1x12_uart0_noled_pr_ce
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebfd985f3f1ee6, 0xba4ff6d4feedd3e1, 0x125ae77fd7a486d1, 0x9b5fe7487fcf002e, 0x73dcb01719cc273b,
  0x8e3956078cfd47a9, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xf0312b5ec1d7e1ee, 0x6f301deb5e73859b,
  0x306a6c4a7ef9c2de, 0x3a2042063042d392, 0x94462fe6da718de3, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0x5d79e4afdcd0ccb0, 0x00000000016ea490,
};

/*
 * m88a_u1x12_uart0_noled_pr_ce_u4   m88p_u1x12_uart0_noled_pr_ce_u4   m88pa_u1x12_uart0_noled_pr_ce_u4
 * a6612c_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe90fe7e43cc13e32, 0x6d4feedd3e12727f, 0x717d72486d1ba4ff, 0x8d1079e005ad23f9, 0xa3e12fc4361222fb,
  0x33c5dcdaeff3107e, 0x3d4727a7b9633f59, 0x147ce9238e5581eb, 0x1f3b57f47ac398b0, 0x99e5403ff6678ebd,
  0xd7b071f03cb5b87d, 0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0x94462fe6d89218ed, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000dd741c7117,
};

/*
 * m88a_u1x12_uart0_noled_pr_ee_ce   m88p_u1x12_uart0_noled_pr_ee_ce   m88pa_u1x12_uart0_noled_pr_ee_ce
 * a6612c_u1x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c08361558, 0x8cd7a70bc69ed0bd, 0xf17ad19acc1f77c5, 0x3bb4cd19fd34767e,
  0xf9da33e4ea609f19, 0xdb53fbb74f84a2b7, 0xffaa332a1b46e93f, 0xd35f9e005838e4ce, 0xb232984e7736b868,
  0xbfea3cae5f4a76b2, 0x315fc9ea3e0d9831, 0x2c4522cd3ad08a05, 0xb72623a909afa30b, 0xd4ddabfa3a9673ab,
  0xd1d136355e363af5, 0x65c3918b8484503e, 0x5af663186a32386f, 0xef5af39c2cdf8189, 0x4be70b79bc1c9580,
  0xb4ee2fe6dd4b5729, 0xc6f19d1026798c10, 0xd5c6ca2317f36d38, 0xf2076d0d163ce2e4, 0x5c33d30ae4fdd598,
  0x0e9296cb25138cb2, 0x9c4f9e4afdcd0ccb, 0x0000000000534d53,
};

/*
 * m88a_u1x12_uart0_noled_pr_ee_ce_u4 m88p_u1x12_uart0_noled_pr_ee_ce_u4
 * m88pa_u1x12_uart0_noled_pr_ee_ce_u4 a6612c_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x21fcfffc9827c64e, 0x53fbb74f84ba7ffd, 0x546e4e1b46e93fdb, 0x3cf002d69182dc5f, 0x97e21b09117dc688,
  0xb9b5d2a2e47f51f0, 0x5253b5b9b8ca678b, 0xf83660c6ffa8f2b0, 0xeb422814c5710fa8, 0x26be8c2cb1148b34,
  0xc4f9ceaedcf78ea4, 0x78d8ebd7537610e8, 0x4845120a8f19d8d5, 0x332386f65c3918b8, 0xcdf81895af6631fc,
  0x6f37980ef5af39c2, 0xc9183536253f7ce1, 0xf19d102103182169, 0xe6ca2317f36d38c6, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x8be792bf734332c3, 0x0000000009f810b8,
};

/*
 * m88a_u1x12_uart0_noled_hw         m88p_u1x12_uart0_noled_hw         m88pa_u1x12_uart0_noled_hw
 * a6612c_u1x12_uart0_noled_hw
 */
static const uint64_t ur_m88_u1x12_uart0_noled_hw[] = {
  0x7777624eed66faca, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0xf193ba4cec7eb53a,
  0x7cffbe059f9c6609, 0x93fdb53fbb74f849, 0xfd01df2c21e1b46e, 0xdad1c72ac0d05fa8, 0x7ac398b016594cf7,
  0xf6608ebd1f3b57f4, 0xf2cf6c7d99e5403f, 0x9bf0312b5ec1c7c0, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xf3fb0ddb288c5fcd, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x008e2e728a792bf7,
};

/*
 * m88a_u1x12_uart0_noled_ee_hw      m88p_u1x12_uart0_noled_ee_hw      m88pa_u1x12_uart0_noled_ee_hw
 * a6612c_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m88_u1x12_uart0_noled_ee_hw[] = {
  0xeeec49dd4486fc3b, 0xeeee961e4090ac6e, 0x5936a64cf4ddeeee, 0x543d9c489dde0f42, 0xddb826eb4a71b082,
  0xb0ff9f60b304f8c9, 0xb53fbb74f848e1ff, 0xb5a39c61b46e93fd, 0x30698fa8f2b9126a, 0x143be2beebd47c1b,
  0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af, 0xdecb65cc5c24228e,
  0x512a6951b047eb70, 0x70b37e06256bd801, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0xea0bb1b8f365118b, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0005bf792617d3c9,
};

/*
 * m88a_u1x12_uart0_noled_ce_hw      m88p_u1x12_uart0_noled_ce_hw      m88pa_u1x12_uart0_noled_ce_hw
 * a6612c_u1x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m88_u1x12_uart0_noled_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba58739311ac6, 0xb1ae5ecdad2e3bbb, 0xb6c66efdddd9eef0, 0x4f8c9dd85eb46a09,
  0xba8ffbe059fdbf30, 0xe93fdb53fbb74f84, 0x240a1dff5e921b46, 0x36bb93f9df9e005c, 0xe7b9602e33984e77,
  0x1c72ac0f19fa8e21, 0x1e33398b0177bc17, 0x72c678ebc5cecf69, 0xf81895af60ea89dc, 0xd4180ef5af39c2cd,
  0x9794d8ce16f37807, 0xe718de33a2057553, 0x2431dbd8aaa2d2c2, 0xfb0ddb288c5fcdb1, 0x32c970cf4c2b93f3,
  0x332c3a4a5b2c944e, 0x10a2e28a792bf734, 0x0000000000000003,
};

/*
 * m88_u1x12_uart0_noled_ee_ce_u4_hw m88a_u1x12_uart0_noled_ee_ce_hw   m88a_u1x12_uart0_noled_ee_ce_u4_hw
 * m88p_u1x12_uart0_noled_ee_ce_hw   m88p_u1x12_uart0_noled_ee_ce_u4_hw
 * m88pa_u1x12_uart0_noled_ee_ce_hw  m88pa_u1x12_uart0_noled_ee_ce_u4_hw
 * a6612c_u1x12_uart0_noled_ee_ce_hw a6612c_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xda9fddba7c2463ff, 0xfaa390f0da3749fe, 0x1079e24e424706e2, 0xe12fc4361222fb8d,
  0x17736ba545c8fea3, 0x7d44a76b736f7ccf, 0x51f06cc1ad7f51e5, 0xd3ad08a0531584ff, 0x909afa30b2c4522c,
  0xa3c1673abb74e23a, 0x355e363af3a6edbd, 0x8b848451cf230e36, 0x1b044c8e1bd96cb9, 0x6256bd859d12a695,
  0x603bd6bce70b37e0, 0x5363385bcde01f50, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x1e6ca2317f36c490,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x38c2fa792bf73433, 0x0000000000050125,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ee     m88p_u1x12_uart0_lednop_pr_ee     m88pa_u1x12_uart0_lednop_pr_ee
 * a6612c_u1x12_uart0_lednop_pr_ee
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee961e4190ac6, 0x242c9c010cf5a5ee, 0x85fb38913bbc1e84, 0xe9c1b34b7071795b,
  0x467f2b4c13e32777, 0x7f76e9f09143ff3b, 0x4738c368dd27fb6a, 0xd31f51e56654d56b, 0xef8ac3dfa8f83660,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74, 0x96cb98b8484504f2,
  0xccf2a3608fd6e1bd, 0xcdf81895af60043e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94,
  0x5bd8aaa2d3574e31, 0xc6ca2317f36dce45, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c,
  0x4f9e4afdcd0ccb0e, 0x00000000a7ce939c,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ee_u4  m88p_u1x12_uart0_lednop_pr_ee_u4  m88pa_u1x12_uart0_lednop_pr_ee_u4
 * a6612c_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ee_u4[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xf3f95a609f193ba5, 0xf76e9f09143ff487, 0x738c368dd27fb6a7, 0x31f51e56654d56b4, 0xf8ac3dfa8f83660d,
  0x962291669d68450e, 0xaae3593484d7d185, 0xda32464d1cead2e7, 0x7b56355ae875e74d, 0x6cb98b8484504f23,
  0xcf2a3608fd6e1bd9, 0xdf81895af60043ec, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6ca2317f36dce455, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xbe792bf734332c3a, 0x00000004ebe49388,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ce     m88p_u1x12_uart0_lednop_pr_ce     m88pa_u1x12_uart0_lednop_pr_ce
 * a6612c_u1x12_uart0_lednop_pr_ce
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ce[] = {
  0xdd893bb507b128ae, 0x774b0e72a8758ddd, 0xc66cf7a7b64f7777, 0xc6b4dddd489f5e36, 0xe9a58e38bc4882fc,
  0x768cfd4a9827c64e, 0xd4feedd3e1231ffe, 0xffac1f86d1ba4ff6, 0xddafcf002c1c910e, 0x1759309cee6d719b,
  0xc0f59ea3f493dcb0, 0xcc580a9888b1c72a, 0x1d7a3e7659e8d219, 0x720b348a807feccf, 0x1895af6415a0796b,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x462fe6db9c31dbd8,
  0xb2d5e5c9ab83cd94, 0xfd4eacc7903b6868, 0x9133c09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0xe27cf257ee686658, 0x0000000001baf842,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ce_u4  m88p_u1x12_uart0_lednop_pr_ce_u4  m88pa_u1x12_uart0_lednop_pr_ce_u4
 * a6612c_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ce_u4[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf487f3e52e609f19, 0xb6a7f76e9f093a5f, 0xb8beb924368dd27f, 0x8d1079e005ad254a, 0xa3e12fc4361222fb,
  0x678bb9b5eb7e007e, 0x7a8fd24f72c67eb2, 0x2a6222c71cab03d6, 0xf9d967a348673160, 0xd22a01ffb33c75e8,
  0xbd905681e5adc82c, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x1726ae0f365118bf, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75d69f445f3c95fb, 0x0000000000000003,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ee_ce  m88p_u1x12_uart0_lednop_pr_ee_ce  m88pa_u1x12_uart0_lednop_pr_ee_ce
 * a6612c_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x76e9f091c1ff487f, 0xfe4368dd27fb6a7f, 0x002d6937d9dff546, 0x9cee6d7b9124afcf,
  0xafba94ed6563df30, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf, 0x52135f4616588a45, 0x923268e7576e3d47,
  0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb, 0x0c4ad7b0b31f6679, 0x7ad79e0404e166fc,
  0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2317f36dce18edec, 0x596af2e4d5c1e6ca,
  0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x88be792bf734332c,
  0x000000000027e40a,
};

/*
 * m88a_u1x12_uart0_lednop_pr_ee_ce_u4 m88p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m88pa_u1x12_uart0_lednop_pr_ee_ce_u4 a6612c_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x77624eea2e7c4c7f, 0xddd2c4e27c8d6377, 0x23e7eee0ea33dddd, 0xea42f7bbe3de9fd3, 0xe714eaaf976b05eb,
  0xf4d4c13e32777aee, 0x74f84bfe7fbe69e7, 0xe1b46e93fdb53fbb, 0x05ced2d5c5f54721, 0x361222fb8d1079e0,
  0x601ba1fea3e12fc4, 0xadcdbdf33c5dcdae, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908, 0x1663eccf2a360899,
  0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0x9ab83cd94462fe6d, 0x790334f8d1637c5c, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd6a75aa792bf7343, 0x00000000000027e2,
};

/*
 * m88a_u1x12_uart0_lednop_hw        m88p_u1x12_uart0_lednop_hw        m88pa_u1x12_uart0_lednop_hw
 * a6612c_u1x12_uart0_lednop_hw
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_hw[] = {
  0xbbbbb12776b372ac, 0xeeeee961ce5e2eb1, 0xa91e4e6febf466ee, 0xdd78d736b777693f, 0x13e32776007a7b64,
  0x297dff7c0b3e7acc, 0xba4ff6d4feedd3e1, 0xa3dac77cb08786d1, 0x920fc71cab03417e, 0x8d219cc580b2ca6f,
  0xfecc11d7a3e7659e, 0x1e59eda0b348a807, 0xb37e06256bd90568, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0xddb288c5fcdb7391, 0x970cf4c2b93f3fb0, 0xc3a4a5b2c944e32c,
  0x4928a792bf734332, 0x00000000000011c4,
};

/*
 * m88a_u1x12_uart0_lednop_ee_hw     m88p_u1x12_uart0_lednop_ee_hw     m88pa_u1x12_uart0_lednop_ee_hw
 * a6612c_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd448651eb, 0xeeee961e4190ac6e, 0x8485938035a5eeee, 0x70bf6712277783d0, 0xdd89cecb5eb62f2b,
  0xb0ff9fcad304f8c9, 0xb53fbb74f848a1ff, 0xb5a39c61b46e93fd, 0x30698fa8f2b32a6a, 0x2877c561efd47c1b,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af, 0xdecb65cc5c242282,
  0x1f667951b047eb70, 0xe166fc0c4ad7b002, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x22adec555169aba7, 0xb8f365118bf9b6e7, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x1a9c17d3c95fb9a1, 0x00000000000005be,
};

/*
 * m88a_u1x12_uart0_lednop_ce_hw     m88p_u1x12_uart0_lednop_ce_hw     m88pa_u1x12_uart0_lednop_ce_hw
 * a6612c_u1x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba5873917bac6, 0xc2f767f07d2e3bbb, 0x136d8cad377767bb, 0x609f193bb0bd68d4,
  0x1231fff7c0b3f52a, 0x1ba4ff6d4feedd3e, 0x70964877fd7a486d, 0xdcdaee4fe77e7801, 0x0b9ee580b8ce6139,
  0x3c71cab03c67ea3e, 0x28e414e62c05dec4, 0xe39633c75e2e760e, 0xbf0312b5ec1d283e, 0x01deb5e781013859,
  0x253a005bcde5ba83, 0x0b4e02f7ca9bd4a7, 0xc6378ce8811d18c1, 0xf61bb65118bf9b69, 0x6592e19e985727e7,
  0x66587494b659289c, 0x2145c514f257ee68, 0x0000000000000006,
};

/*
 * m88_u1x12_uart0_lednop_ee_ce_u4_hw m88a_u1x12_uart0_lednop_ee_ce_hw
 * m88a_u1x12_uart0_lednop_ee_ce_u4_hw m88p_u1x12_uart0_lednop_ee_ce_hw
 * m88p_u1x12_uart0_lednop_ee_ce_u4_hw m88pa_u1x12_uart0_lednop_ee_ce_hw
 * m88pa_u1x12_uart0_lednop_ee_ce_u4_hw a6612c_u1x12_uart0_lednop_ee_ce_hw
 * a6612c_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0xa7f76e9f097fcff6, 0xa8e43c368dd27fb6, 0x1e789390925ab8be, 0x4bf10d8488bee344,
  0xdcdaf494ce5fa8f8, 0x7529dadcdbdf33c5, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4, 0x26be8c2cb1148b34,
  0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731, 0x95af61663eccf2a3,
  0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x2fe6db9c31dbd8aa,
  0x9fa82ec6e3cd9446, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000501596f85f4f,
};

/*
 * m88_u1x12_uart0_dual_pr           m88a_u1x12_uart0_dual             m88a_u1x12_uart0_dual_pr
 * m88p_u1x12_uart0_dual             m88p_u1x12_uart0_dual_pr          m88pa_u1x12_uart0_dual
 * m88pa_u1x12_uart0_dual_pr         a6612c_u1x12_uart0_dual           a6612c_u1x12_uart0_dual_pr
 */
static const uint64_t ur_m88_u1x12_uart0_dual[] = {
  0xdddddd58dad44511, 0xddddd438c465de1f, 0x3de4ab8cdd694edd, 0xc4e4e123bbbac843, 0xc9dc95f33e1ec58a,
  0x0094866fcc13e326, 0x832bac0db4ae22c8, 0x2fa774f8971030a1, 0xd9c0a2cce4ff32ee, 0x8199537a8efe6c17,
  0xaff31a04508e4855, 0x77c5de35801b87c0, 0x432d01f110caee2f, 0xe7fd01cf09b7b8a8, 0xf30586f2bc84b6ef,
  0xf76e9f09751fecc2, 0xabfc368dd27fb6a7, 0x581a43f51ed63be5, 0x05fc399efe8238e5, 0x45bb54b4690ce62c,
  0x56482ee39630475e, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xbcde0e4ac077ad79, 0xca9dc594e5f3a005,
  0x103f5c502169e18a, 0x2317f36d38c6f19d, 0x163ce2e4d5c1e6ca, 0xe4fdd598f207e50d, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x0000310e7222f9e4,
};

/*
 * m88a_u1x12_uart0_dual_pr_u4       m88p_u1x12_uart0_dual_pr_u4       m88pa_u1x12_uart0_dual_pr_u4
 * a6612c_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_u4[] = {
  0xeeeac6d5173e43ee, 0xeea1c62253b0feee, 0x9158282b4ed6eeee, 0x41bdddd377415999, 0xefc89086d3cd39d9,
  0xeb39827c64a0972a, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0xa598e1fe6535aa77, 0x4dea3feed8256383,
  0xd022847242ac0e03, 0xf63e00dc3e057f98, 0xf9110caee2f77c5d, 0x1cf0987c8a8432d0, 0xde579096de037fd0,
  0xf84827ff9da260b0, 0xb46e93fdb53fbb74, 0x3fa8f914ef9626a1, 0xcd38bdf1c72ac0c4, 0x6b23afe731602a83,
  0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xc9ab83cd94462fe6, 0xc790334f8d1637c5,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0x4cb375aa792bf734, 0x0000000000000052,
};

/*
 * m88a_u1x12_uart0_dual_pr_ee       m88p_u1x12_uart0_dual_pr_ee       m88pa_u1x12_uart0_dual_pr_ee
 * a6612c_u1x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ee[] = {
  0xdddd58dade7cd0e3, 0xddd4398ef6561fdd, 0x5f362dfbd1d7dddd, 0x3b6dd05dd1226475, 0xb414d7c894fb2c47,
  0x49827c64f91b9571, 0xb695c45900129016, 0x12e2061430657581, 0x6b1ffcca6b54ee9f, 0x47eafd850f9c3a7e,
  0x508e485581c729bd, 0x801b87c0aff31a04, 0x2195dc5eef8bbe61, 0x267f22a10cb43f72, 0xe425b74b5ff4073c,
  0xb75fe768982c3795, 0xa4ff6d4feedd3e12, 0x7b9aad68f4a86d1b, 0x3e0d983f93d4795c, 0x3ad08a1df15c89ea,
  0x09afa30b2c4522cd, 0xe75697d297082e69, 0x0ebdac4ec22a3e90, 0x1457f4752ec6ab5d, 0x5b86f65c7c62e121,
  0x57ceee2a4ab81f7f, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0x29c94e8016f3796e, 0xa042d380bdf2a6f5,
  0x6d38c6f19d1023a8, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0xd38eb54f257ee686, 0x0000000000003214,
};

/*
 * m88a_u1x12_uart0_dual_pr_ee_u4    m88p_u1x12_uart0_dual_pr_ee_u4    m88pa_u1x12_uart0_dual_pr_ee_u4
 * a6612c_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa2436f02, 0xbba8731d957e1fdd, 0xdb3e3adaa3fbbbbb, 0x66dba0bba8ec3727, 0x6be4c166dd6c75d2,
  0xc13e3265ddc9fc3e, 0x4ae22c8009485c14, 0x71030a1832bac0db, 0x0d1f997612774f89, 0x3f4fec2c7ce1ff26,
  0x08e485581f57cdea, 0x01b87c0aff31a045, 0x195dc5eef8bbee44, 0xc5162a10cb41d2a2, 0x096dfabffe80e784,
  0xbff487e60b0de579, 0x7fb6a7f76e9f096f, 0xcd56b47224368dd2, 0x06cc1829ea3cad7d, 0xd08a1df15d4af51f,
  0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743, 0x70decbe9662e1211,
  0x0084feb151b047eb, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x58df0dc79b288c5f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0001592eaddc293c,
};

/*
 * m88a_u1x12_uart0_dual_pr_ce       m88p_u1x12_uart0_dual_pr_ce       m88pa_u1x12_uart0_dual_pr_ce
 * a6612c_u1x12_uart0_dual_pr_ce
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ce[] = {
  0xeeeeac6d6f3e6d3a, 0xeeea1c62338b0fee, 0x3628171ab59f6eee, 0x514adddd34ab047b, 0x5ced9b75bc9873b6,
  0x06019827c64d05b9, 0x581b695c45900129, 0xe9f12e2061430657, 0xd373456fcca6b54e, 0x39bd47cadb0df670,
  0x1a04508e48558194, 0xdf00001b87c0aff3, 0x0ee910caee2f77c5, 0x01cf09b4a8a8432d, 0x0de579096dca1ffd,
  0x4f84bf77f9da260b, 0x1b46e93fdb53fbb7, 0x005cecc79dff57be, 0x4e7736ba5a0b5f9e, 0x8e37e7b9602d4b98,
  0xa0f91c72ac0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x8b9357079b288c5f, 0xb31e40cd3e3458f3, 0x964b867a615c9fba, 0x19961d252d9f0271, 0xb39f3ad53c95fb9a,
  0x000000000000039e,
};

/*
 * m88a_u1x12_uart0_dual_pr_ce_u4    m88p_u1x12_uart0_dual_pr_ce_u4    m88pa_u1x12_uart0_dual_pr_ce_u4
 * a6612c_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ce_u4[] = {
  0xbbbab1b5448687e1, 0xddd43998962c3fbb, 0xa8e700ada2fddddd, 0x3eceb6eeec71c9c5, 0x2bdbc126bb47f3ed,
  0x2baf304f8c9a6772, 0x606da571164004a4, 0xa7c4b881850c195d, 0x16a631ffccbb093b, 0xd37a8e4eb60968e0,
  0x3408a11c90ab038a, 0x7b3e00370f815fe6, 0x1454432bb8bddf17, 0x1cf098c7c5421968, 0xde579096de2b7fd0,
  0xf09305ff487e60b0, 0x68dd27fb6a7f76e9, 0x39093a5b8bea8043, 0xd8488bee3441e789, 0x149faffa8f84bf10,
  0x2c67d4b99e2ee6d7, 0x5581d4bf51c6fcf7, 0xf398b014141f238e, 0x9e3af00676b591d7, 0xd6e10e90d500ffd9,
  0xbe777152552740f2, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0xf365118bf9b6e70c, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x8e2b852792bf7343, 0x0000000000006926,
};

/*
 * m88a_u1x12_uart0_dual_pr_ee_ce    m88p_u1x12_uart0_dual_pr_ee_ce    m88pa_u1x12_uart0_dual_pr_ee_ce
 * a6612c_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ee_ce[] = {
  0xeeeac6d6a0a1a5fb, 0x7750e7a5eef0feee, 0xf55fd77a0fb77777, 0xbc2960eeb4e3ac89, 0xbacda15664caefdf,
  0x304f8c90dd729646, 0xa571164004a4771f, 0xb881850c195d606d, 0xfd7fccbb093ba7c4, 0x1eb7f61000e02926,
  0x847242ac0e76e6f5, 0x00dc3e057f98d022, 0x195dc5eef8bbfbac, 0xd8122a10cb434da2, 0x096de76ffe80e784,
  0xfff487e60b0de579, 0xff6d4feedd3e12e9, 0x77fd51b9386d1ba4, 0x0d07fcf1272121ac, 0xac9ba6139dcdaf95,
  0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461, 0xf512ed10a3dece75,
  0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252, 0x020270b37e06256b,
  0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x6af1b8f365118bf9,
  0xa75666fe0eee3459, 0x99e04e34a1854e7e, 0xf4c2b93f01f343c8, 0x4a5b3e04e32c970c, 0x52792bf734332c3a,
  0x00000001000f5bb8,
};

/*
 * m88a_u1x12_uart0_dual_pr_ee_ce_u4 m88p_u1x12_uart0_dual_pr_ee_ce_u4 m88pa_u1x12_uart0_dual_pr_ee_ce_u4
 * a6612c_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdd58daa26d3f1107, 0xd4390bfdc61fdddd, 0xb9d609bc7fdddddd, 0xc9dbbf6a3561f64c, 0xc74830fcc890b1fb,
  0x25055c9bfdaa71a8, 0x2002520e49cc13e3, 0x860caeb036d2b88b, 0xbf689dd3e25c40c2, 0xcf870eb39990ff32,
  0xc0ff5e6f51e61b60, 0x57f98d022847242a, 0xef8bbfa9c00dc3e0, 0x0cb402d22195dc5e, 0xffe80e784c7062a1,
  0x60b0de579096dff5, 0xdba7c24ff3fdf34e, 0x3d0da3749feda9fd, 0x49c07066ee2faa35, 0x86c2445f71a20f3c,
  0xd507907fd47c25f8, 0xd6e6e6e99e2ee6d7, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0xf8b9357079b288c5, 0xaccdfc1bf411a2c6, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x01bc15c80a792bf7, 0x0000000000000010,
};

/*
 * m88a_u1x12_uart0_dual_hw          m88p_u1x12_uart0_dual_hw          m88pa_u1x12_uart0_dual_hw
 * a6612c_u1x12_uart0_dual_hw
 */
static const uint64_t ur_m88_u1x12_uart0_dual_hw[] = {
  0xdddd58daa2436d3a, 0xddd438c44a761fdd, 0x6664560ea0addddd, 0x76506f7774ddd056, 0x12e573b66f72634e,
  0x01291d67304f8c94, 0x0657581b695c4590, 0xc24ee9f12e206143, 0x2b1c1d2cc70ff32e, 0x60701a6f51ff76c1,
  0x2bfcc68114239215, 0xbbe2efb1f006e1f0, 0x219687c888657717, 0x1bfe80e784c3e454, 0x330586f2bc84b6f0,
  0xf76e9f0904fff0a8, 0xc4d4368dd27fb6a7, 0x581887f51f229df2, 0x055079a717be38e5, 0x019dad6475fce62c,
  0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0x73f505d8dc79b288, 0x627ff787bde50c2a,
  0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00006375106a0be9,
};

/*
 * m88a_u1x12_uart0_dual_ee_hw       m88p_u1x12_uart0_dual_ee_hw       m88pa_u1x12_uart0_dual_ee_hw
 * a6612c_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m88_u1x12_uart0_dual_ee_hw[] = {
  0xbbbab1b544860aac, 0x7750e63b2afc3fbb, 0xb67c75b547f77777, 0xcdb7417751d86e4f, 0xbcb269c13ad8eba4,
  0x05304f8c997772fa, 0x36d2b88b20025217, 0xe25c40c2860caeb0, 0xc98347e65d849dd3, 0x7a8fd3fb0b1f387f,
  0x114239215607d5f3, 0x91006e1f02bfcc68, 0xa88657717bbe2efb, 0xe131458a8432d074, 0x5e425b7eafffa039,
  0xb7dff8541982c379, 0xe93fdb53fbb74f84, 0xbee6ab5a39121b46, 0x8f83660c14f51e56, 0x9d68450ef8aea57a,
  0x84d7d18596229166, 0x73ab4b994b8a9734, 0xa1d7a89768851ef6, 0x08a04547cf58d56b, 0xf5b86f65f4b31709,
  0x9280427f58a8d823, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000576aead85f4f,
};

/*
 * m88a_u1x12_uart0_dual_ce_hw       m88p_u1x12_uart0_dual_ce_hw       m88pa_u1x12_uart0_dual_ce_hw
 * a6612c_u1x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m88_u1x12_uart0_dual_ce_hw[] = {
  0x7775636a890ddb75, 0xbba873312c587f77, 0x51ce015b45fbbbbb, 0x7d9d6dddd8e3938b, 0xcafaf793d721e7da,
  0x90aebcc13e32699d, 0x7581b695c4590012, 0xee9f12e206143065, 0x805a98c7ff32ec24, 0x2b4dea393ad825a3,
  0x98d022847242ac0e, 0x5decf800dc3e057f, 0xa051510caee2f77c, 0x4073c2631f150865, 0xc3795e425b78adff,
  0x4f84982ff8541982, 0x1b46e93fdb53fbb7, 0x49c849d2dc5f5402, 0x86c2445f71a20f3c, 0x5dfe620fd47c25f8,
  0xdcb19f52e678bb9b, 0x39560752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647, 0xcb5b843a435403ff,
  0x2af9ddc549549d03, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0xe3cd94462fe6db9c, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x47105f4f257ee686, 0x0000000000004dd7,
};

/*
 * m88a_u1x12_uart0_dual_ee_ce_hw    m88p_u1x12_uart0_dual_ee_ce_hw    m88pa_u1x12_uart0_dual_ee_ce_hw
 * a6612c_u1x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m88_u1x12_uart0_dual_ee_ce_hw[] = {
  0xeeeac6d76090cf68, 0xeea1c85fee30feee, 0xd932e76d826eeeee, 0xc7ef276efda8d587, 0x3ea75add83f32242,
  0x49cc13e325055c9a, 0x36d2b88b2002520e, 0xe25c40c2860caeb0, 0x73321fe65d849dd3, 0xea3cc36c19f0e1d6,
  0x4508e485581febcd, 0x3801b87c0aff31a0, 0x4432bb8bddf177f5, 0x098e0c542196805a, 0xf212dbfebffd01cf,
  0xff3fc2a0cc161bca, 0x49feda9fddba7c24, 0x6ee2faa353d0da37, 0xf71a20f3c49c8486, 0xfd47c25f886c2445,
  0xe99e2ee6d7eb3643, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315, 0x943a909afa30b2c4,
  0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627,
  0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0xdc79b288c5fcdb73, 0x1a50c2a73f5361d8, 0x9f80f9a1e44cf027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x00ebab71e17d3c95,
};

/*
 * m88a_u1x12_uart0_dual_ee_ce_u4_hw m88p_u1x12_uart0_dual_ee_ce_u4_hw m88pa_u1x12_uart0_dual_ee_ce_u4_hw
 * a6612c_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x777775636a890c86, 0xeeeea1c85ea3f87f, 0xcedad157eb85eeee, 0x9b44f3f793b747b1, 0xe5dd8dd9bcc5421d,
  0x909e5e609f192d3a, 0x7581b695c4590012, 0xee9f12e206143065, 0x0986999f3f32ec24, 0x026f51ff5f606b67,
  0xc681142392156070, 0xdeea8006e1f02bfc, 0x04e910caee2f77c5, 0x073c26d9d150865a, 0x6f2bc84b6f8ddff4,
  0xe129dbff0a833058, 0xd1ba4ff6d4feedd3, 0x128ad717d5197586, 0x9117dc6883cf1272, 0x2e47f51f097e21b0,
  0x9b886678bb9b5d2a, 0x98fa8f2beea53b5b, 0xa62bd2bd47c1b306, 0x6588a459a75a1140, 0x76e9c4752135f461,
  0xb589dae1a3268e75, 0xf91bdab1aaf1b1d7, 0x7b2e3e3170908a1a, 0xee2a4b8c4d2191c3, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0x52d5e7400b79bcc0, 0x8c10b4a9f016a724, 0xb4e31bc67440cbf9, 0x5d8dc79b288c5fcd,
  0x787bde50c2a73f50, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x3aea56a0be9e4afd,
};

/*
 * m88a_u2x8_uart0_noled_pr_ee       m88p_u2x8_uart0_noled_pr_ee       m88pa_u2x8_uart0_noled_pr_ee
 * a6612c_u2x8_uart0_noled_pr_ee
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ee[] = {
  0x1bbbbbb12dec53c3, 0xbbbbbba58790242b, 0x4b26d4c99e2fd377, 0x4a87b38913bbc1e8, 0xd23f2eec8c713610,
  0xed19f60b304f8c9d, 0x2937dba7c2470ffc, 0x5ad1ce30da37b547, 0x9834c7d4795c8935, 0x8a1df15f75ea3e0d,
  0xa30b2c4522cd3ad0, 0xa5e715c6b26909af, 0x9d376ded1e0b39d5, 0x3c8c38d8d56ba1d7, 0x6f65b2e62e121147,
  0xa89534a8d823f5b8, 0x3859bf0312b5ec00, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de, 0x5a585ce31bc67440,
  0xfcdb1248ab7b1554, 0x8f38b93571b288c5, 0x3f75663c81db4345, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9,
  0x29f1b8f713e792bf,
};

/*
 * m88a_u2x8_uart0_noled_pr_ee_u4    m88p_u2x8_uart0_noled_pr_ee_u4    m88pa_u2x8_uart0_noled_pr_ee_u4
 * a6612c_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ee_u4[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0x7f3ec16609f193ba, 0x4df6e9f091c3ff48, 0xb4738c368ded51ca, 0x0d31f51e57224d56, 0x877c57dd7a8f8366,
  0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7, 0xd96cb98b848451cf,
  0x254d2a3608fd6e1b, 0x166fc0c4ad7b002a, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b,
  0x36c4922adec55516, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xebef0588be792bf7, 0x0000000000000004,
};

/*
 * m88a_u2x8_uart0_noled_pr_ce       m88p_u2x8_uart0_noled_pr_ce       m88pa_u2x8_uart0_noled_pr_ce
 * a6612c_u2x8_uart0_noled_pr_ce
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775fecc2f9f8f7, 0x68ded51ca4df6e9f, 0x17092d73bfebd243, 0x9dcdaff3a43fe780, 0xd4b9ee580b8ce613,
  0x21c71cab03c67ea3, 0x128d41ce62c05e81, 0xf71cb19e3af173b5, 0xcdf81895af60ebf0, 0x6f37980ef5af39c2,
  0xc9183536253f7ce1, 0xf19d102103182169, 0x76ca2317f36d38c6, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x587494b659289c65, 0x482ebcf257ee6866, 0x000000000000b752,
};

/*
 * m88a_u2x8_uart0_noled_pr_ce_u4    m88p_u2x8_uart0_noled_pr_ce_u4    m88pa_u2x8_uart0_noled_pr_ce_u4
 * a6612c_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff487f3f21e609f1, 0x51ca4df6e9f09393, 0xfcb8beb924368ded, 0x7dc6883cf002d691, 0x3f51f097e21b0911,
  0xac99e2ee6d77f988, 0xf59ea393d3dcb19f, 0x580a3e7491c72ac0, 0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb33c7,
  0x256bd838f81e5adc, 0x03bd6bce70b37e06, 0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6,
  0xe6ca2317f36c490c, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x8be792bf734332c3, 0x000000006eba0e38,
};

/*
 * m88a_u2x8_uart0_noled_pr_ee_ce    m88p_u2x8_uart0_noled_pr_ee_ce    m88pa_u2x8_uart0_noled_pr_ee_ce
 * a6612c_u2x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xeeeeeee96041b0aa, 0x2c66bd385e34f685, 0xf78bd68cd660fbbe, 0xc9dda668cfe9a3b3,
  0xbfced19f275304f8, 0x5472937dba7c2515, 0x677fd519950da37b, 0x3469afcf002c1c72, 0x5959194c273b9b5c,
  0x18dff51e572fa53b, 0x0298afe4f51f06cc, 0x85962291669d6845, 0xd5db9311d484d7d1, 0x7aea6ed5fd1d4b39,
  0x1f68e89b1aaf1b1d, 0x37b2e1c8c5c24228, 0xc4ad7b318c35191c, 0xc077ad79ce166fc0, 0x94a5f385bcde0e4a,
  0x085a7717f36ea5ab, 0x9c6378ce88133cc6, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea,
  0x6587494b659289c6, 0xa9ce27cf257ee686, 0x00000000000029a6,
};

/*
 * m88a_u2x8_uart0_noled_pr_ee_ce_u4 m88p_u2x8_uart0_noled_pr_ee_ce_u4 m88pa_u2x8_uart0_noled_pr_ee_ce_u4
 * a6612c_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe90fe7ffe4c13e32, 0x72937dba7c25d3ff, 0x2faa37270da37b54, 0x441e78016b48c16e, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x582929dadcdc6533, 0xd47c1b30637fd479, 0x9a75a1140a62b887, 0x52135f4616588a45,
  0x74627ce7576e7bc7, 0x6abc6c75eba9bb08, 0x5c24228905478cec, 0xfe1991c37b2e1c8c, 0xe166fc0c4ad7b318,
  0x70b79bcc077ad79c, 0xb4e48c1a9b129fbe, 0x6378ce8810818c10, 0xe0f365118bf9b69c, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x5c45f3c95fb9a199, 0x000000000004fc08,
};

/*
 * m88a_u2x8_uart0_noled_hw          m88p_u2x8_uart0_noled_hw          m88pa_u2x8_uart0_noled_hw
 * a6612c_u2x8_uart0_noled_hw
 */
static const uint64_t ur_m88_u2x8_uart0_noled_hw[] = {
  0x1bbbbbb12d66faca, 0x7777774b0e72792b, 0x52737e0e683aebf7, 0xd685edfb6eeed27f, 0x4f8c9dd26763f5a9,
  0x4be7fdf02cfce330, 0x37b5472937dba7c2, 0xd47e80ef9610f0da, 0x7bed68e39560682f, 0xfa3d61cc580b2ca6,
  0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0xc2cdf81895af60e3, 0x7807d4180ef5af39, 0x75539794d8ce16f3,
  0xd2c2e718de33a205, 0xe6d892455bd8aaa2, 0xc9f9fd86ed94462f, 0x4a271964b867a615, 0xfb9a19961d252d96,
  0x0000471739453c95,
};

/*
 * m88a_u2x8_uart0_noled_ee_hw       m88p_u2x8_uart0_noled_ee_hw       m88pa_u2x8_uart0_noled_ee_hw
 * a6612c_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m88_u2x8_uart0_noled_ee_hw[] = {
  0x777776254486fc3b, 0x777774b0f2048563, 0x12c9b53267a6ef77, 0x12a1ece244eef07a, 0x4eedc1375a538d84,
  0xfd87fcfb059827c6, 0x472937dba7c2470f, 0x355ad1ce30da37b5, 0x0d9834c7d4795c89, 0xd08a1df15f75ea3e,
  0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39, 0x473c8c38d8d56ba1, 0xb86f65b2e62e1211,
  0x00a89534a8d823f5, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0xc5fcdb1248ab7b15, 0x73f505d8dc79b288, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000002dfbc930be9,
};

/*
 * m88a_u2x8_uart0_noled_ce_hw       m88p_u2x8_uart0_noled_ce_hw       m88pa_u2x8_uart0_noled_ce_hw
 * a6612c_u2x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m88_u2x8_uart0_noled_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c988d6, 0x858d72f66d6971dd, 0x4db63377eeeecf77, 0x827c64eec2f5a350,
  0x25d47fdf02cfedf9, 0xa37b5472937dba7c, 0x2e12050effaf490d, 0x3b9b5dc9fcefcf00, 0x10f3dcb01719cc27,
  0x0b8e3956078cfd47, 0xb48f199cc580bbde, 0xee39633c75e2e767, 0x66fc0c4ad7b07544, 0x03ea0c077ad79ce1,
  0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0xd89218edec555169, 0xf9fd86ed94462fe6, 0x271964b867a615c9,
  0x9a19961d252d964a, 0x01885171453c95fb,
};

/*
 * m88_u2x8_uart0_noled_ee_ce_u4_hw  m88a_u2x8_uart0_noled_ee_ce_hw    m88a_u2x8_uart0_noled_ee_ce_u4_hw
 * m88p_u2x8_uart0_noled_ee_ce_hw    m88p_u2x8_uart0_noled_ee_ce_u4_hw m88pa_u2x8_uart0_noled_ee_ce_hw
 * m88pa_u2x8_uart0_noled_ee_ce_u4_hw a6612c_u2x8_uart0_noled_ee_ce_hw
 * a6612c_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x8_uart0_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0xa3949bedd3e1231f, 0x717d51c8786d1bda, 0xc6883cf127212383, 0x51f097e21b09117d,
  0x678bb9b5d2a2e47f, 0xf2bea253b5b9b7be, 0x7fa8f83660d6bfa8, 0x1669d68450298ac2, 0x1d484d7d18596229,
  0xded1e0b39d5dba71, 0x1b1aaf1b1d79d376, 0x5cc5c24228e79187, 0x4a8d8226470decb6, 0xf0312b5ec2ce8953,
  0xa8301deb5e73859b, 0x2f29b19c2de6f00f, 0xce31bc67440aeaa7, 0x4863b7b15545a585, 0x1b8f365118bf9b62,
  0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x929c617d3c95fb9a, 0x0000000000000280,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ee      m88p_u2x8_uart0_lednop_pr_ee      m88pa_u2x8_uart0_lednop_pr_ee
 * a6612c_u2x8_uart0_lednop_pr_ee
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ee[] = {
  0x377777625bd8b562, 0x7777774b0f20c856, 0x212164e00867ad2f, 0xdc2fd9c489dde0f4, 0xbf4e0d9a5b838bca,
  0xda33f95a609f193b, 0x526fb74f848a1ff9, 0xb5a39c61b46f6a8e, 0x30698fa8f2b32a6a, 0x2877c561efd47c1b,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af, 0xdecb65cc5c242282,
  0x1f667951b047eb70, 0xe166fc0c4ad7b002, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x22adec555169aba7, 0x6ae365118bf9b6e7, 0x7903b6868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xce27cf257ee68665, 0x000000000053e749,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ee_u4   m88p_u2x8_uart0_lednop_pr_ee_u4   m88pa_u2x8_uart0_lednop_pr_ee_u4
 * a6612c_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0x3f9fcad304f8c9dd, 0x26fb74f848a1ffa4, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab, 0x877c561efd47c1b3,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xa6ed1923268e7569, 0x91bdab1aad743af3, 0xecb65cc5c2422827,
  0xf667951b047eb70d, 0x166fc0c4ad7b0021, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x2adec555169aba71, 0x0f365118bf9b6e72, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc,
  0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc45f3c95fb9a1996, 0x000000000275f249,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ce      m88p_u2x8_uart0_lednop_pr_ce      m88pa_u2x8_uart0_lednop_pr_ce
 * a6612c_u2x8_uart0_lednop_pr_ce
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ce[] = {
  0xeeeec4b507b128ae, 0xbbba58739543ac6e, 0xb63367bd3db27bbb, 0xe635a6eeea44faf1, 0x774d2c71c5e24417,
  0xf3b467ea54c13e32, 0x1ca4df6e9f0918ff, 0x877fd60fc368ded5, 0xcdeed7e780160e48, 0x580bac984e7736b8,
  0x95607acf51fa49ee, 0x0ce62c054c4458e3, 0x678ebd1f3b2cf469, 0xb5b9059a45403ff6, 0xfc0c4ad7b20ad03c,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0xca2317f36dce18ed,
  0x34596af2e4d5c1e6, 0x4e7ea75663c81db4, 0x43c899e04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c,
  0x21713e792bf73433, 0x000000000000dd7c,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ce_u4   m88p_u2x8_uart0_lednop_pr_ce_u4   m88pa_u2x8_uart0_lednop_pr_ce_u4
 * a6612c_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xffa43f9f297304f8, 0xa8e526fb74f849d2, 0xa55c5f5c921b46f6, 0x7dc6883cf002d692, 0x3f51f097e21b0911,
  0x5933c5dcdaf5bf00, 0xeb3d47e927b9633f, 0xb0153111638e5581, 0xf47cecb3d1a43398, 0x16691500ffd99e3a,
  0x2b5ec82b40f2d6e4, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x5fcdb73863b7b155, 0x6f8b9357079b288c, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x01baeb4fa22f9e4a,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ee_ce   m88p_u2x8_uart0_lednop_pr_ee_ce   m88pa_u2x8_uart0_lednop_pr_ee_ce
 * a6612c_u2x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xf9fa1f9827c64eeb, 0x6fb74f848e0ffa43, 0xa37f21b46f6a8e52, 0xe78016b49beceffa, 0x984e7736bdc89257,
  0x1e57dd4a76b2b1ef, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45, 0x68c9193473abb71e,
  0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0x7e06256bd8598fb3, 0x03bd6bcf020270b3,
  0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0x65118bf9b6e70c76, 0x1a2cb579726ae0f3,
  0xa73f53ab31e40fca, 0xa1e44cf0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x05445f3c95fb9a19,
  0x00000000000013f2,
};

/*
 * m88a_u2x8_uart0_lednop_pr_ee_ce_u4 m88p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m88pa_u2x8_uart0_lednop_pr_ee_ce_u4 a6612c_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbbb12a2e7c4c7f, 0xeeee962713e46b1b, 0x991f3f7707519eee, 0x5f5217bddf1ef4fe, 0x7738a7557cbb582f,
  0x3fa6a609f193bbd7, 0xdba7c25ff3fdf34f, 0x90f0da37b5472937, 0xf002e7696ae2faa3, 0xe21b09117dc6883c,
  0xd7300dd0ff51f097, 0x4ed6e6def99e2ee6, 0xd9835afea3cafba9, 0x1140a62bdbfea3e0, 0xf4616588a459a75a,
  0x8e7576e3d4752135, 0x363af3a6ed192326, 0x84504f237b56355e, 0x4c8e1bd96cb98b84, 0x7b0b31f667951b04,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x2e4d5c1e6ca2317f, 0x663c819a7c68b1be, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0xf16b53ad53c95fb9, 0x0000000000000013,
};

/*
 * m88a_u2x8_uart0_lednop_hw         m88p_u2x8_uart0_lednop_hw         m88pa_u2x8_uart0_lednop_hw
 * a6612c_u2x8_uart0_lednop_hw
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_hw[] = {
  0x8dddddd896b372ac, 0x7777774b0e72f175, 0xfd48f2737f5fa337, 0x26ebc6b9b5bbbb49, 0x609f193bb003d3db,
  0x094beffbe059f3d6, 0x68ded51ca4df6e9f, 0xbf51ed63be5843c3, 0x37c907e38e5581a0, 0xcf4690ce62c05965,
  0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0xd86ed94462fe6db9, 0x964b867a615c9f9f, 0x9961d252d964a271,
  0xe2249453c95fb9a1, 0x0000000000000008,
};

/*
 * m88a_u2x8_uart0_lednop_ee_hw      m88p_u2x8_uart0_lednop_ee_hw      m88pa_u2x8_uart0_lednop_ee_hw
 * a6612c_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_ee_hw[] = {
  0x77777625448651eb, 0x777774b0f20c8563, 0x84242c9c01ad2f77, 0x5b85fb38913bbc1e, 0x4eec4e765af5b179,
  0xfd87fcfe569827c6, 0x472937dba7c2450f, 0x355ad1ce30da37b5, 0x0d9834c7d4795995, 0xa1143be2b0f7ea3e,
  0x5f4616588a459a75, 0xab4b9eab8d64d213, 0xd79d3768c9193473, 0x413c8ded58d56ba1, 0xb86f65b2e62e1211,
  0x010fb33ca8d823f5, 0x0270b37e06256bd8, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xdf0d4e0be9e4afdc, 0x0000000000000002,
};

/*
 * m88a_u2x8_uart0_lednop_ce_hw      m88p_u2x8_uart0_lednop_ce_hw      m88pa_u2x8_uart0_lednop_ce_hw
 * a6612c_u2x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c8bdd6, 0xde17bb3f83e971dd, 0xa09b6c6569bbbb3d, 0x5304f8c9dd85eb46,
  0xf0918fffbe059fa9, 0x368ded51ca4df6e9, 0x00b84b243bfebd24, 0x9cee6d7727f3bf3c, 0x1f05cf72c05c6730,
  0x621e38e5581e33f5, 0x0714720a731602ef, 0x1f71cb19e3af173b, 0x2cdf81895af60e94, 0x4180ef5af3c0809c,
  0x53929d002de6f2dd, 0x6085a7017be54dea, 0xb4e31bc674408e8c, 0xf3fb0ddb288c5fcd, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x0310a2e28a792bf7,
};

/*
 * m88_u2x8_uart0_lednop_ee_ce_u4_hw m88a_u2x8_uart0_lednop_ee_ce_hw   m88a_u2x8_uart0_lednop_ee_ce_u4_hw
 * m88p_u2x8_uart0_lednop_ee_ce_hw   m88p_u2x8_uart0_lednop_ee_ce_u4_hw
 * m88pa_u2x8_uart0_lednop_ee_ce_hw  m88pa_u2x8_uart0_lednop_ee_ce_u4_hw
 * a6612c_u2x8_uart0_lednop_ee_ce_hw a6612c_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xe526fb74f84bfe7f, 0x5f54721e1b46f6a8, 0xa20f3c49c8492d5c, 0x7c25f886c2445f71,
  0xe2ee6d7a4a672fd4, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf, 0x52135f4616588a45,
  0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb, 0x0c4ad7b0b31f6679,
  0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2317f36dce18edec,
  0xa9cfd4176371e6ca, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x000000280acb7c2f,
};

/*
 * m88_u2x8_uart0_dual_pr            m88a_u2x8_uart0_dual              m88a_u2x8_uart0_dual_pr
 * m88p_u2x8_uart0_dual              m88p_u2x8_uart0_dual_pr           m88pa_u2x8_uart0_dual
 * m88pa_u2x8_uart0_dual_pr          a6612c_u2x8_uart0_dual            a6612c_u2x8_uart0_dual_pr
 */
static const uint64_t ur_m88_u2x8_uart0_dual[] = {
  0x7f77777756d44511, 0x77777750e3119778, 0x0cf792ae3375a53b, 0x2b1393848eeeeb21, 0x9b277257ccf87b16,
  0x20025219bf304f8c, 0x860caeb036d2b88b, 0xb8be9dd3e25c40c2, 0x5f67028b3393fccb, 0x5606654dea3bf9b0,
  0x02bfcc6811423921, 0xbddf1778d6006e1f, 0xa10cb407c4432bb8, 0xbf9ff4073c26dee2, 0x0bcc161bcaf212db,
  0x937dba7c25d47fb3, 0xf96aff0da37b5472, 0x39560690fd47b58e, 0x8b017f0e67bfa08e, 0xd7916ed52d1a4339,
  0x9295920bb8e58c11, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x016f378392b01deb, 0x62b2a77165397ce8,
  0x67440fd714085a78, 0xb288c5fcdb4e31bc, 0x43458f38b9357079, 0xc2b93f75663c81f9, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000000c439c88be,
};

/*
 * m88a_u2x8_uart0_dual_pr_u4        m88p_u2x8_uart0_dual_pr_u4        m88pa_u2x8_uart0_dual_pr_u4
 * a6612c_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_u4[] = {
  0xbbbbbab5173e43ee, 0xbbba8718894ec3fb, 0x664560a0ad3b5bbb, 0x6506f7774ddd0566, 0xabbf22421b4f34e7,
  0x23ace609f192825c, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x0e966387f994d6a9, 0x0d37a8ffbb60958e,
  0x63408a11c90ab038, 0x77d8f80370f815fe, 0x43e44432bb8bddf1, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xd3e1209ffe768982, 0xa86d1bdaa3949bed, 0x310fea3e453be589, 0xa0f34e2f7c71cab0, 0x3b5ac8ebf9cc580a,
  0x6a807fecc11d7803, 0xaa4e81e59ed88748, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xf1726ae0f365118b, 0xab31e40cd3e3458d,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x14932cdd6a9e4afd,
};

/*
 * m88a_u2x8_uart0_dual_pr_ee        m88p_u2x8_uart0_dual_pr_ee        m88pa_u2x8_uart0_dual_pr_ee
 * a6612c_u2x8_uart0_dual_pr_ee
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ee[] = {
  0x77777756de7cd0e3, 0x777750e63bd9587f, 0xd57cd8b7ef475f77, 0x1cedb74177448991, 0xc6d0535f2253ecb1,
  0x592609f193e46e55, 0x06da571164004a40, 0x7c4b881850c195d6, 0xf9ac7ff329ad53ba, 0xf51fabf6143e70e9,
  0x1142392156071ca6, 0x86006e1f02bfcc68, 0xc88657717bbe2ef9, 0xf099fc8a8432d0fd, 0x579096dd2d7fd01c,
  0x4add7f9da260b0de, 0x46f6a8e526fb74f8, 0x571ee6ab5a3d2a1b, 0x7a8f83660fe4f51e, 0xb34eb422877c5722,
  0x9a426be8c2cb1148, 0xa439d5a5f4a5c20b, 0xd743af6b13b08a8f, 0x484515fd1d4bb1aa, 0xdfd6e1bd971f18b8,
  0xfc55f3bb8a92ae07, 0x13859bf0312b5ec9, 0x5ba8301deb5e7810, 0xbd4a7253a005bcde, 0xea2810b4e02f7ca9,
  0xfcdb4e31bc674408, 0x38b9357079b288c5, 0xab31e40cd3e3458f, 0x1964b867a615c9fb, 0xa19961d252d9f027,
  0x8534e3ad53c95fb9, 0x000000000000000c,
};

/*
 * m88a_u2x8_uart0_dual_pr_ee_u4     m88p_u2x8_uart0_dual_pr_ee_u4     m88pa_u2x8_uart0_dual_pr_ee_u4
 * a6612c_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ee_u4[] = {
  0x77777756a2436f02, 0xeeeea1cc7655f87f, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf9af93059b75b1d7,
  0x5304f8c9977727f0, 0x6d2b88b200252170, 0x25c40c2860caeb03, 0x98347e65d849dd3e, 0xa8fd3fb0b1f387fc,
  0x14239215607d5f37, 0x1006e1f02bfcc681, 0x88657717bbe2efb9, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffd21f982c3795, 0x7b5472937dba7c25, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c5752bd,
  0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5, 0xfadc37b2fa598b84,
  0x4940213fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x17f36dce455bd8aa, 0x8d1637c371e6ca23, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000564bab770a,
};

/*
 * m88a_u2x8_uart0_dual_pr_ce        m88p_u2x8_uart0_dual_pr_ce        m88pa_u2x8_uart0_dual_pr_ce
 * a6612c_u2x8_uart0_dual_pr_ce
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbbbab6f3e6d3a, 0xbbbba87188ce2c3f, 0xecd8a05c6ad67dbb, 0xd9452b7774d2ac11, 0xe573b66dd6f261ce,
  0xa41806609f193416, 0x5d606da571164004, 0x3ba7c4b881850c19, 0xc34dcd15bf329ad5, 0x50e6f51f2b6c37d9,
  0xcc68114239215606, 0x177c00006e1f02bf, 0xb43ba4432bb8bddf, 0xf4073c26d2a2a10c, 0x2c3795e425b7287f,
  0xdd3e12fddfe76898, 0xef86d1bdaa3949be, 0xe780173b31e77fd5, 0xe6139dcdae9682d7, 0x7ea38df9ee580b52,
  0x28283e471cab03a9, 0x0ced6b23afe73160, 0x21aa01ffb33c75e0, 0xa4aa4e81e5adc21d, 0x4ad7b27f157ceee2,
  0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x17f36dce18edec55,
  0x3ce2e4d5c1e6ca23, 0xeeacc790334f8d16, 0x9c6592e19e985727, 0xe6866587494b67c0, 0xe7ace7ceb54f257e,
  0x0000000000000000,
};

/*
 * m88a_u2x8_uart0_dual_pr_ce_u4     m88p_u2x8_uart0_dual_pr_ce_u4     m88pa_u2x8_uart0_dual_pr_ce_u4
 * a6612c_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeeead448687e1, 0x777750e66258b0fe, 0x16a39c02b68bf777, 0xb4fb3adbbbb1c727, 0xc8af6f049aed1fcf,
  0x90aebcc13e32699d, 0x7581b695c4590012, 0xee9f12e206143065, 0x805a98c7ff32ec24, 0x2b4dea393ad825a3,
  0x98d022847242ac0e, 0x5decf800dc3e057f, 0xa051510caee2f77c, 0x4073c2631f150865, 0xc3795e425b78adff,
  0xa7c24c17fd21f982, 0x10da37b5472937db, 0xe24e424e96e2faa0, 0xc4361222fb8d1079, 0xb5c527ebfea3e12f,
  0x3dcb19f52e678bb9, 0xe39560752fd471bf, 0x75fce62c050507c8, 0xf6678ebc019dad64, 0x3cb5b843a435403f,
  0xe2af9ddc549549d0, 0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537,
  0xc31dbd8aaa2d3574, 0x6e3cd94462fe6db9, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x49a38ae149e4afdc, 0x000000000000001a,
};

/*
 * m88a_u2x8_uart0_dual_pr_ee_ce     m88p_u2x8_uart0_dual_pr_ee_ce     m88pa_u2x8_uart0_dual_pr_ee_ce
 * a6612c_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xdddd439e97bbc3fb, 0x27d57f5de83edddd, 0x7ef0a583bad38eb2, 0x1aeb368559932bbf,
  0x7cc13e324375ca59, 0xb695c459001291dc, 0x12e2061430657581, 0x9bf5ff32ec24ee9f, 0xd47adfd8400380a4,
  0x8a11c90ab039db9b, 0xb00370f815fe6340, 0x88657717bbe2efee, 0x136048a8432d0d36, 0xe425b79dbffa039e,
  0xa7ffd21f982c3795, 0xf6a8e526fb74f84b, 0x6b1dff546e4e1b46, 0xe54341ff3c49c848, 0x6b2b26e984e7736b,
  0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684, 0x9d5db8ca1d484d7d, 0x8ebd44bb4428f7b3,
  0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189,
  0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xfe6db9c31dbd8aaa, 0x165abc6e3cd94462,
  0x9fa9d599bf83bb8d, 0xf22678138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0xee149e4afdcd0ccb,
  0x00000000004003d6,
};

/*
 * m88a_u2x8_uart0_dual_pr_ee_ce_u4  m88p_u2x8_uart0_dual_pr_ee_ce_u4  m88pa_u2x8_uart0_dual_pr_ee_ce_u4
 * a6612c_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777756a26d3f1107, 0x7750e42ff7187f77, 0x32e75826f1ff7777, 0xef276efda8d587d9, 0xa31d20c3f32242c7,
  0x8c9415726ff6a9c6, 0x2c8009483927304f, 0x0a1832bac0db4ae2, 0xcafda2774f897103, 0x833e1c3ace6643fc,
  0xab03fd79bd47986d, 0x815fe63408a11c90, 0x7bbe2efea700370f, 0x8432d00b48865771, 0xd7ffa039e131c18a,
  0x3982c3795e425b7f, 0xdf6e9f093fcff7cd, 0x8d4f4368ded51ca4, 0xcf12701c19bb8bea, 0x7e21b09117dc6883,
  0xb5f541e41ff51f09, 0x53b5b9b9ba678bb9, 0x1b306be7a8f2b7f2, 0x422814c5701bd47c, 0xbe8c2cb1148b34eb,
  0xd9ceaedc650ea426, 0xc6c75ea25da2147b, 0x4845022a3e7ac6ab, 0x8991c37b2fa598b8, 0x2a4a5989fd62a360,
  0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0x317f36dce18edec5, 0xb1be2e4d5c1e6ca2, 0x53ab337f06fd0468, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x04006f0572029e4a,
};

/*
 * m88a_u2x8_uart0_dual_hw           m88p_u2x8_uart0_dual_hw           m88pa_u2x8_uart0_dual_hw
 * a6612c_u2x8_uart0_dual_hw
 */
static const uint64_t ur_m88_u2x8_uart0_dual_hw[] = {
  0x77777756a2436d3a, 0x777750e31129d87f, 0x599991583a82b777, 0x39d941bdddd37741, 0x504b95ced9bdc98d,
  0x4004a4759cc13e32, 0x0c195d606da57116, 0xbb093ba7c4b88185, 0x04ac7074b31c3fcc, 0x5581c069bd47fddb,
  0xc0aff31a04508e48, 0x5eef8bbec7c01b87, 0x50865a1f222195dc, 0xc06ffa039e130f91, 0xa0cc161bcaf212db,
  0x937dba7c2413ffc2, 0x7cb1350da37b5472, 0x39560621fd47c8a7, 0x8b01541e69c5ef8e, 0xaf00676b591d7f39,
  0x10e90d500ffd9823, 0xdc549549d03cb3db, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa2317f36dce455bd, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x00000018dd441a82,
};

/*
 * m88a_u2x8_uart0_dual_ee_hw        m88p_u2x8_uart0_dual_ee_hw        m88pa_u2x8_uart0_dual_ee_hw
 * a6612c_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m88_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xdddd4398ecabf0fe, 0x3ed9f1d6d51fdddd, 0x9336dd05dd4761b9, 0xeaf2c9a704eb63ae,
  0x5c14c13e3265ddcb, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0xff260d1f99761277, 0xcdea3f4fec2c7ce1,
  0xa04508e485581f57, 0xee4401b87c0aff31, 0xd2a2195dc5eef8bb, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0x12df7fe150660b0d, 0xd1bdaa3949bedd3e, 0x95afb9aad68e4486, 0x5ea3e0d983053d47, 0x59a75a1143be2ba9,
  0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635, 0x08fd6e1bd97d2cc5,
  0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x118bf9b6e722adec, 0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x00000015dabab617,
};

/*
 * m88a_u2x8_uart0_dual_ce_hw        m88p_u2x8_uart0_dual_ce_hw        m88pa_u2x8_uart0_dual_ce_hw
 * a6612c_u2x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m88_u2x8_uart0_dual_ce_hw[] = {
  0xdddddd5a890ddb75, 0xeeeea1ccc4b161fd, 0x2d4738056d17eeee, 0x69f675b777638e4e, 0x772bebde4f5c879f,
  0x4a42baf304f8c9a6, 0x95d606da57116400, 0x93ba7c4b881850c1, 0x8e016a631ffccbb0, 0x38ad37a8e4eb6096,
  0xfe63408a11c90ab0, 0xf177b3e00370f815, 0x9681454432bb8bdd, 0xfd01cf098c7c5421, 0x0b0de579096de2b7,
  0xdd3e1260bfe15066, 0x0086d1bdaa3949be, 0xcf12721274b717d5, 0x7e21b09117dc6883, 0xe6d77f9883f51f09,
  0xfcf72c67d4b99e2e, 0x238e5581d4bf51c6, 0x91d7f398b014141f, 0xffd99e3af00676b5, 0x40f2d6e10e90d500,
  0x3f8abe7771525527, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x75d1c417d3c95fb9, 0x0000000000000013,
};

/*
 * m88a_u2x8_uart0_dual_ee_ce_hw     m88p_u2x8_uart0_dual_ee_ce_hw     m88pa_u2x8_uart0_dual_ee_ce_hw
 * a6612c_u2x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m88_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xbbba87217fb8c3fb, 0x1f64cb9db609bbbb, 0x0b1fbc9dbbf6a356, 0x68fa9d6b760fcc89,
  0x3927304f8c941572, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x59ccc87f99761277, 0x37a8f30db067c387,
  0x8114239215607faf, 0xd4e006e1f02bfcc6, 0x6910caee2f77c5df, 0x3c26383150865a01, 0x2bc84b6ffafff407,
  0x93fcff0a8330586f, 0x8ded51ca4df6e9f0, 0x219bb8bea8d4f436, 0x117dc6883cf12721, 0x90ff51f097e21b09,
  0xb9ba678bb9b5facd, 0xe7a8f2b7f253b5b9, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0x76371e6ca2317f36, 0x09c69430a9cfd4d8, 0x5727e03e6879133c, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00003aeadc785f4f,
};

/*
 * m88a_u2x8_uart0_dual_ee_ce_u4_hw  m88p_u2x8_uart0_dual_ee_ce_u4_hw  m88pa_u2x8_uart0_dual_ee_ce_u4_hw
 * a6612c_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfddddddd5a890c86, 0xbbbbba87217a8fe1, 0xc73b6b455fae17bb, 0x766d13cfde4edd1e, 0xeb97763766f31508,
  0x4a427979827c64b4, 0x95d606da57116400, 0x93ba7c4b881850c1, 0x9c261a667cfccbb0, 0xc009bd47fd7d81ad,
  0xf31a04508e485581, 0x177baa001b87c0af, 0x6813a4432bb8bddf, 0xd01cf09b67454219, 0x61bcaf212dbe377f,
  0x4f84a76ffc2a0cc1, 0x61b46f6a8e526fb7, 0x9c84a2b5c5f5465d, 0x6c2445f71a20f3c4, 0x4a8b91fd47c25f88,
  0xd6e6e2199e2ee6d7, 0xc1a63ea3cafba94e, 0x50298af4af51f06c, 0x185962291669d684, 0x9d5dba711d484d7d,
  0x75ed6276b868c9a3, 0x86be46f6ac6abc6c, 0x70decb8f8c5c2422, 0xf3bb8a92e3134864, 0x9bf0312b5ec9fc55,
  0x301deb5e78101385, 0xc914b579d002de6f, 0xfe63042d2a7c05a9, 0xf36d38c6f19d1032, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x000eba95a82fa792,
};

/*
 * m88a_u2x12_uart0_noled_pr_ee      m88p_u2x12_uart0_noled_pr_ee      m88pa_u2x12_uart0_noled_pr_ee
 * a6612c_u2x12_uart0_noled_pr_ee
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ee[] = {
  0xeeeec49ddbd8bf82, 0xddddd2c2e4104ac6, 0x0a7a636cfdec33dd, 0x62705f0bddddfe2f, 0xc62448fc1b0666c6,
  0x19fc09304f8c9dd5, 0xf55ba7c2452ffced, 0x6d1bdaa3949fcda9, 0x3cae449aad68e718, 0xbaf51f06cc1a63ea,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8f059cead2f38ae3, 0x6ab5d0ebce9bb6f6, 0x170908a39e461c6c,
  0x6c11fadc37b2d973, 0x895af600544a9a54, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41, 0x8de33a2057553979,
  0x55bd8aaa2d2c2e71, 0xb8d94462fe6d8924, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b,
  0x89f3c95fb9a19961, 0x00000000029f34e3,
};

/*
 * m88a_u2x12_uart0_noled_pr_ee_u4   m88p_u2x12_uart0_noled_pr_ee_u4   m88pa_u2x12_uart0_noled_pr_ee_u4
 * a6612c_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ee_u4[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0x55ba7c2452ffd21f, 0xd1bdaa3949fcda9f, 0xcae449aad68e7186, 0xaf51f06cc1a63ea3,
  0x1669d68450ef8afb, 0x93484d7d18596229, 0xf059cead2f38ae35, 0xab5d0ebce9bb6f68, 0x70908a39e461c6c6,
  0xc11fadc37b2d9731, 0x95af600544a9a546, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794,
  0x5bd8aaa2d2c2e718, 0xcd94462fe6d89245, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28,
  0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x17cf257ee6866587, 0x000000009d715391,
};

/*
 * m88a_u2x12_uart0_noled_pr_ce      m88p_u2x12_uart0_noled_pr_ce      m88pa_u2x12_uart0_noled_pr_ce
 * a6612c_u2x12_uart0_noled_pr_ce
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ce[] = {
  0x77624eed41ec53c3, 0xeee961870b8d6377, 0xfa548b8ef5e9eeee, 0xff17bbbbe16fdb6d, 0x48fcbb0671c617f8,
  0xb467d7dcc13e3277, 0xa7d56e9f0947bff3, 0xe1b46f6a8e527f36, 0xc00b070f53bfeb07, 0x273b9b5fa7ec7ff3,
  0xa8e4f4f72c05d64c, 0x8f9d2471cab03d67, 0xe76afe8f58731602, 0x3ca807feccf1d7a3, 0xf60e3e0796b70fb3,
  0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x88c5fcdb12431dbd,
  0x165abcb9357079b2, 0x9fa9d598f2076d0d, 0xf22678138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x1c4f9e4afdcd0ccb, 0x000000000006eb99,
};

/*
 * m88a_u2x12_uart0_noled_pr_ce_u4   m88p_u2x12_uart0_noled_pr_ce_u4   m88pa_u2x12_uart0_noled_pr_ce_u4
 * a6612c_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe90fe7cbacc13e32, 0x6d4faadd3e12f9df, 0x924368ded51ca4fe, 0xcf002d691fcb8beb, 0x7e21b09117dc6883,
  0xe6d77f9883f51f09, 0x3d3dcb19fac99e2e, 0x491c72ac0f59ea39, 0xbfa3d61cc580a3e7, 0x01ffb33c75e8f9da,
  0x8f81e5adc3eccf2a, 0xe70b37e06256bd83, 0xcde01f50603bd6bc, 0x15d54e5e5363385b, 0x8b4b0b9c6378ce88,
  0x7f36c490c76f62aa, 0xbe2e4d5c1e6ca231, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x06eba65a88be792b,
};

/*
 * m88a_u2x12_uart0_noled_pr_ee_ce   m88p_u2x12_uart0_noled_pr_ee_ce   m88pa_u2x12_uart0_noled_pr_ee_ce
 * a6612c_u2x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xddddd2c5c0890ac6, 0xbdb260be85ebd7dd, 0xda09221c1f746bed, 0xbe451d98989d0ccd,
  0x0fe7fabe609f193b, 0x4faadd3e128e5fe9, 0x4368ded51ca4fe6d, 0x2d693f71dff54665, 0xee6d7dda4dbfcf00,
  0x1494ed656465309c, 0x3e0d9831bfea3cac, 0x3ad08a05315c43ea, 0x09afa30b2c4522cd, 0x313e73abb73de3a9,
  0x5e363af5d4dd843a, 0x12114482a3c67635, 0x0cc8e1bd970e462e, 0xb37e06256bd98c7f, 0x5bcde603bd6bce70,
  0x72460d4d894fdf38, 0xbc67440840c6085a, 0x71b288c5fcdb4e31, 0x81f943458f38b935, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0x8be792bf734332c3, 0x00000000a69ed7b8,
};

/*
 * m88a_u2x12_uart0_noled_pr_ee_ce_u4 m88p_u2x12_uart0_noled_pr_ee_ce_u4
 * m88pa_u2x12_uart0_noled_pr_ee_ce_u4 a6612c_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x77624eea2e7c3375, 0xddd2c468299d6377, 0x68a6ee0dedc1dddd, 0x965569bb0bd4dae3, 0x568dd5cee9dc9685,
  0xfa6dcc13e32774b1, 0xdd3e1219bff7cd3c, 0xded51ca4fe6d4faa, 0x9c1b8bea8e43c368, 0x45f71a20f3c00b9d,
  0xdffd47c25f886c24, 0xbdf33c5dcdaea49c, 0xfd4795f5129dadcd, 0x5613fd47c1b306b5, 0x1148b34eb422814c,
  0xd388ea426be8c2cb, 0x9bb6f68f059ceaed, 0x8c38d8d578d8ebce, 0x65b2e62e1211473c, 0x4a9a546c1132386f,
  0x2cdf81895af61674, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0xb9357079b288c5fc, 0x98f20669f1a2c6f8, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x880aceb54f257ee6, 0x000000000000009f,
};

/*
 * m88a_u2x12_uart0_noled_hw         m88p_u2x12_uart0_noled_hw         m88pa_u2x12_uart0_noled_hw
 * a6612c_u2x12_uart0_noled_hw
 */
static const uint64_t ur_m88_u2x12_uart0_noled_hw[] = {
  0x7777624eed66e614, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0x7c64ee8dbc77af4f,
  0x053fef8167f4a982, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e5581a0bf51fa03, 0x31602cb299efb5a3,
  0x1d7a3e76afe8f587, 0xd8fb33ca807fecc1, 0x6256bd838f81e59e, 0x603bd6bce70b37e0, 0x5363385bcde01f50,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x1bb65118bf9b6249, 0x92e19e985727e7f6, 0x587494b659289c65,
  0x039514f257ee6866, 0x00000000000008e2,
};

/*
 * m88a_u2x12_uart0_noled_ee_hw      m88p_u2x12_uart0_noled_ee_hw      m88pa_u2x12_uart0_noled_ee_hw
 * a6612c_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m88_u2x12_uart0_noled_ee_hw[] = {
  0xeeec49dd44862d7b, 0xdddd2c2e4104ac6e, 0xe14f4c6dec33dddd, 0xcc4e0be17bbbbfc5, 0x751d94ad7640ccd8,
  0xc3fe7f024c13e327, 0xd4faadd3e12297fe, 0x8c368ded51ca4fe6, 0xf51e57224d56b473, 0x57dd7a8f83660d31,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x7b4782ce756979c5, 0x36355ae875e74ddb, 0xb98b848451cf230e,
  0x2a3608fd6e1bd96c, 0xc0c4ad7b002a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c,
  0x922adec555169617, 0x371e6ca2317f36c4, 0xef79430a9cfd4176, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xf8d0c2fa792bf734, 0x00000000000000b7,
};

/*
 * m88a_u2x12_uart0_noled_ce_hw      m88p_u2x12_uart0_noled_ce_hw      m88pa_u2x12_uart0_noled_ce_hw
 * a6612c_u2x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m88_u2x12_uart0_noled_ce_hw[] = {
  0xddddd893bb59bb37, 0xbbbbbba5861c1958, 0x34175f5a789df1fb, 0xc401b6d22eeeee82, 0xc13e32776c7b21a6,
  0x12913fef8167c3dc, 0x1ca4fe6d4faadd3e, 0x43bfebd24368ded5, 0x727f3bf3c00b8481, 0x2c05c67309cee6d7,
  0x5581e33f51c43cf7, 0x6731602ef782e38e, 0xcf1d78b9d9ed23c6, 0x12b5ec1d513b8e58, 0x01deb5e73859bf03,
  0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0xbb65118bf9b62486, 0x2e19e985727e7f61,
  0x87494b659289c659, 0xf5d14f257ee68665, 0x000000000000c429,
};

/*
 * m88_u2x12_uart0_noled_ee_ce_u4_hw m88a_u2x12_uart0_noled_ee_ce_hw   m88a_u2x12_uart0_noled_ee_ce_u4_hw
 * m88p_u2x12_uart0_noled_ee_ce_hw   m88p_u2x12_uart0_noled_ee_ce_u4_hw
 * m88pa_u2x12_uart0_noled_ee_ce_hw  m88pa_u2x12_uart0_noled_ee_ce_u4_hw
 * a6612c_u2x12_uart0_noled_ee_ce_hw a6612c_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x9f55ba7c24337fec, 0x86d1bdaa3949fcda, 0x7212383717d51c87, 0xb09117dc6883cf12,
  0x2a2e47f51f097e21, 0x5b9b7be678bb9b5d, 0x0d6bfa8f2bea253b, 0x0298ac27fa8f8366, 0x85962291669d6845,
  0xd5dba711d484d7d1, 0xd79d376ded1e0b39, 0x8e791871b1aaf1b1, 0x70decb65cc5c2422, 0x2ce89534a8d82264,
  0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674, 0x8bf9b624863b7b15,
  0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000014043f0417d3,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ee     m88p_u2x12_uart0_lednop_pr_ee     m88pa_u2x12_uart0_lednop_pr_ee
 * a6612c_u2x12_uart0_lednop_pr_ee
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ee[] = {
  0xddddd893bb7b1762, 0x777774b0b902b758, 0xa09855431a7b42f7, 0x63ce0be17bbbbfc5, 0x33467f4d1d9fbc5f,
  0x8cfefb9827c64eed, 0xfaadd3e1253dfe76, 0x368ded51ca4fe6d4, 0x1e56654d56b4738c, 0x3dfa8f83660d31f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2e7aae3, 0x355ae875e74dda32, 0x8b8484504f237b56,
  0x3608fd6e1bd96cb9, 0x895af60043eccf2a, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0x317f36dce455bd8a, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x00029f1539c4f9e4,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ee_u4  m88p_u2x12_uart0_lednop_pr_ee_u4  m88pa_u2x12_uart0_lednop_pr_ee_u4
 * a6612c_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0x56e9f0929eff487f, 0x46f6a8e527f36a7d, 0x2b32a6ab5a39c61b, 0xfd47c1b30698fa8f,
  0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923, 0xc242282791bdab1a,
  0x047eb70decb65cc5, 0xad7b0021f667951b, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0xbf9b6e722adec555, 0xdf1726ae0f365118, 0xa75663c81f943458, 0xfef0f7bca1854e7e,
  0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0275c9c5c45f3c95,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ce     m88p_u2x12_uart0_lednop_pr_ce     m88pa_u2x12_uart0_lednop_pr_ce
 * a6612c_u2x12_uart0_lednop_pr_ce
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ce[] = {
  0xeec49dda83d8b562, 0xeee96187331ac6ee, 0x3b6e84537b856eee, 0xbf8feeeef85bf62e, 0xdfa706cfddc16a60,
  0xed19ffdd304f8c9d, 0xa9f55ba7c2501bfc, 0xf86d1bdaa3949fcd, 0xf002c1c910effac1, 0x09cee6d719bddafc,
  0xea3f493dcb017593, 0xa9888b1c72ac0f59, 0xe7659e8d219cc580, 0x48a807feccf1d7a3, 0xf6415a0796b720b3,
  0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0x5c9ab83cd94462fe, 0xcc7903b6868b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e6879133c, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000375deb6e27cf,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ce_u4  m88p_u2x12_uart0_lednop_pr_ce_u4  m88pa_u2x12_uart0_lednop_pr_ce_u4
 * a6612c_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe90fe7d82cc13e32, 0x6d4faadd3e12387f, 0x924368ded51ca4fe, 0x9e005ad254ab8beb, 0xfc4361222fb8d107,
  0x9b5eb7e007ea3e12, 0x24f72c67eb2678bb, 0x2c71cab03d67a8fd, 0x7a3486731602a622, 0x1ffb33c75e8f9d96,
  0x681e5adc82cd22a0, 0x70b37e06256bd905, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xe0f365118bf9b6e7, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x2c45f3c95fb9a199, 0x0000000000375f78,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ee_ce  m88p_u2x12_uart0_lednop_pr_ee_ce  m88pa_u2x12_uart0_lednop_pr_ee_ce
 * a6612c_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xdd3e12eafff487f3, 0xded51ca4fe6d4faa, 0x37d9dff546fe4368, 0x7b9124afcf002d69,
  0xed6563df309cee6d, 0x9835afea3cafba94, 0x140a62bdbfea3e0d, 0x4616588a459a75a1, 0xe7576e3d4752135f,
  0x63af3a6ed1923268, 0x4504f237b56355e3, 0xc8e1bd96cb98b848, 0xb0b31f667951b044, 0x0404e166fc0c4ad7,
  0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0x6dce18edec555169, 0xe4d5c1e6ca2317f3,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343c899e0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000027e2ec88be79,
};

/*
 * m88a_u2x12_uart0_lednop_pr_ee_ce_u4 m88p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m88pa_u2x12_uart0_lednop_pr_ee_ce_u4 a6612c_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbb12775173e304a, 0xeee962340b06b1bb, 0xae36968ef6276eee, 0x0b2ab4dd85ea6e99, 0x51f76480448cbb08,
  0xf7f9304f8c9ddb17, 0xdd3e120d1fef9a79, 0xded51ca4fe6d4faa, 0xa5ab8bea8e43c368, 0x45f71a20f3c00b9d,
  0x43fd47c25f886c24, 0x7be678bb9b5cc037, 0xfa8f2beea53b5b9b, 0xaf6ffa8f83660d6b, 0x2291669d68450298,
  0x8f51d484d7d18596, 0x9bb4648c9a39d5db, 0x8ded58d578d8ebce, 0x65b2e62e1211413c, 0xd99e546c1132386f,
  0x59bf0312b5ec2cc7, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x79b288c5fcdb7386, 0x69f1a2c6f8b93570, 0x61539fa9d598f206, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xb54f257ee6866587, 0x000000004fc5e7ce,
};

/*
 * m88a_u2x12_uart0_lednop_hw        m88p_u2x12_uart0_lednop_hw        m88pa_u2x12_uart0_lednop_hw
 * a6612c_u2x12_uart0_lednop_hw
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_hw[] = {
  0x7777624eed66fcc5, 0xeeeee9618706bd63, 0x517bd9efdb76deee, 0x4aebfc4eeee91016, 0xf8c9dda86a6f70af,
  0x00ffbe059f09f304, 0x93f9b53eab74f849, 0xf9610f0da37b5472, 0x39560682fd47b58e, 0x8b016594df241f8e,
  0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x4ad7b20ad03cb3db, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x8bf9b6e722adec55, 0x85727e7f61bb6511, 0x659289c6592e19e9,
  0x257ee6866587494b, 0x0000008e21c5d14f,
};

/*
 * m88a_u2x12_uart0_lednop_ee_hw     m88p_u2x12_uart0_lednop_ee_hw     m88pa_u2x12_uart0_lednop_ee_hw
 * a6612c_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_ee_hw[] = {
  0x777624eea2435562, 0xdddd2c2e40add637, 0xd04c2aa1ed0bdddd, 0xb1e705f0bddddfe2, 0xe99169db618fde2f,
  0x87fcfefb9827c64e, 0xa9f55ba7c24a7bfd, 0x186d1bdaa3949fcd, 0xea3cacca9aad68e7, 0x587bf51f06cc1a63,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x648c9a39d5a5cf55, 0xac6ab5d0ebce9bb4, 0x73170908a09e46f6,
  0x546c11fadc37b2d9, 0x0312b5ec0087d99e, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x4462fe6db9c8ab7b, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874, 0x000000016f9fad85,
};

/*
 * m88a_u2x12_uart0_lednop_ce_hw     m88p_u2x12_uart0_lednop_ce_hw     m88pa_u2x12_uart0_lednop_ce_hw
 * a6612c_u2x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_ce_hw[] = {
  0xddddd893bb59bb37, 0xdddddd2c30e56958, 0x2341da1377ef8fdd, 0x6c401b6f8feeeee8, 0x4c13e32776c7b21a,
  0xc2501bfef8167ff7, 0xa3949fcda9f55ba7, 0x4877fd7a486d1bda, 0xee4fe77e78017096, 0xe580b8ce6139dcda,
  0xcab03c67ea3e0b9e, 0x14e62c05dec43c71, 0x33c75e2e760e28e4, 0x12b5ec1d283ee396, 0xb5e781013859bf03,
  0x005bcde5ba8301de, 0x02f7ca9bd4a7253a, 0x8ce8811d18c10b4e, 0xb65118bf9b69c637, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0x5d14f257ee686658, 0x00000000000c429f,
};

/*
 * m88_u2x12_uart0_lednop_ee_ce_u4_hw m88a_u2x12_uart0_lednop_ee_ce_hw
 * m88a_u2x12_uart0_lednop_ee_ce_u4_hw m88p_u2x12_uart0_lednop_ee_ce_hw
 * m88p_u2x12_uart0_lednop_ee_ce_u4_hw m88pa_u2x12_uart0_lednop_ee_ce_hw
 * m88pa_u2x12_uart0_lednop_ee_ce_u4_hw a6612c_u2x12_uart0_lednop_ee_ce_hw
 * a6612c_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0x53eab74f848347fb, 0xf0da37b547293f9b, 0x4e42496ae2faa390, 0x361222fb8d1079e2,
  0xd253397ea3e12fc4, 0x6b736f7ccf17736b, 0xc1ad7f51e57dd4a7, 0xa05315edff51f06c, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0x1d79d3768c919347, 0x282791bdab1aaf1b, 0x470decb65cc5c242, 0x8598fb33ca8d8226,
  0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0xa024b6817d3c95fb,
};

/*
 * m88a_u2x12_uart0_dual             m88p_u2x12_uart0_dual             m88pa_u2x12_uart0_dual
 * a6612c_u2x12_uart0_dual
 */
static const uint64_t ur_m88_u2x12_uart0_dual[] = {
  0xeeeeeac6d6a232a8, 0xeeeeea1c18ccf0fe, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x00252396a609f193, 0x60caeb036d2b88b2, 0x8be9dd3e25c40c28, 0x8a7072737cefccbb, 0x81c7b9bd475f7b02,
  0xaff31a04508e4855, 0x77c5de16801b87c0, 0x432d07bd10caee2f, 0xbffa039e130df8a8, 0xcc161bcaf212dbc7,
  0x55ba7c25a57fb30b, 0xd1bdaa3949fcda9f, 0x7ea388a77cb57f86, 0x6c906fc71cab0348, 0x791bda398b017f0e,
  0xdc72c608ebc8b762, 0x157ceee2a4a5609f, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0xe0f365118bf9b6e7, 0xf4c2b93f3fb1726a, 0x4a5b3e04e32c970c,
  0xbe792bf734332c3a, 0x0000000cb7f4e388,
};

/*
 * m88a_u2x12_uart0_dual_pr          m88p_u2x12_uart0_dual_pr          m88pa_u2x12_uart0_dual_pr
 * a6612c_u2x12_uart0_dual_pr
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr[] = {
  0xdddd58dade7cbf3e, 0xdddd4383238e1fdd, 0xd583f4ca7694addd, 0xb32306f7774ad8d3, 0x5729c4588eb75dc0,
  0x0948eb39827c64e1, 0x32bac0db4ae22c80, 0xaa774f8971030a18, 0x5383939be77e6535, 0x0e3dcdea3afbd814,
  0x7f98d022847242ac, 0xbe2ef38200dc3e05, 0x19683de88657717b, 0x7fd01cf0986fc542, 0x60b0de579096de03,
  0xab74f84827ff9da2, 0xa37b547293f9b53e, 0xfa8f70cef96aff0d, 0x96b9351c72ac0d21, 0xf4682ce62c05fc39,
  0xe39630475e45bb09, 0xabe77715252b0d26, 0x0b37e06256bd93f8, 0xde603bd6bcf02027, 0x5392296af3a005bc,
  0x32ff14085a54f80b, 0x17f36d38c6f19d10, 0x3ce2e4d5c1e6ca23, 0xeeacc790334f8d16, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x3102716eb54f257e, 0x0000000000000000,
};

/*
 * m88a_u2x12_uart0_dual_pr_u4       m88p_u2x12_uart0_dual_pr_u4       m88pa_u2x12_uart0_dual_pr_u4
 * a6612c_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_u4[] = {
  0xddd58daa2e7c1a4e, 0xddd4383199e1fddd, 0x4774cec3680adddd, 0xa977bbba56c69991, 0x4d770b499ee0a51b,
  0x8e5a9827c64e1572, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x3939be77e6535aa7, 0xdcdea3afbd814538,
  0x8d022847242ac0e3, 0xef0b400dc3e057f9, 0x83de88657717bbe2, 0x01cf0986fc542196, 0x0de579096de3dffd,
  0xa7c25a57f9da260b, 0xdaa3949fcda9f55b, 0x388a77cb57f86d1b, 0x06fc71cab03487ea, 0xbda398b017f0e6c9,
  0x2c608ebc8b762791, 0xceee2a4a5609fdc7, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x365118bf9b6e722a, 0x3e3458df1726ae0f, 0x2a73f53ab31e40cd,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xa9e4afdcd0ccb0e9,
  0x0000001493ab29d6,
};

/*
 * m88a_u2x12_uart0_dual_pr_ee       m88p_u2x12_uart0_dual_pr_ee       m88pa_u2x12_uart0_dual_pr_ee
 * a6612c_u2x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ee[] = {
  0xddddd58dade7ce7c, 0xdddd43964ce761fd, 0x7ed1daa2fd75bddd, 0x08700545ddb8302f, 0x6da7ab88fccfb4fb,
  0xf5cc13e32560dcb6, 0x1b695c459001290c, 0xf12e206143065758, 0xf37fcfcca6b54ee9, 0xea3d0fec3a7ce163,
  0x22847242ac0ce0cd, 0xf800dc3e057f98d0, 0x910caee2f77c5dec, 0xc265f7150865a095, 0x5e425b70b5ff4073,
  0x2d9dfe768982c379, 0xca4fe6d4faadd3e1, 0x56b47a54368ded51, 0xcc1fc9ea3cae3dcd, 0x450ef8ae44f51f06,
  0xd185962291669d68, 0x4be94b84173484d7, 0xd62761151f4873ab, 0xfa3a976355ae875e, 0x7b2e3e3170908a2b,
  0x7715255c0fbfadc3, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0xa7400b79bcb75060, 0x69c05ef9537a94e4,
  0x6378ce8811d45021, 0xe0f365118bf9b69c, 0x19a7c68b1e71726a, 0xcf4c2b93f75663c8, 0xa4a5b3e04e32c970,
  0x5aa792bf734332c3, 0x000000000c8539c7,
};

/*
 * m88a_u2x12_uart0_dual_pr_ee_u4    m88p_u2x12_uart0_dual_pr_ee_u4    m88pa_u2x12_uart0_dual_pr_ee_u4
 * a6612c_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ee_u4[] = {
  0xdddd58daa243359b, 0xbba872c98ebe1fdd, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0x695c459001291c3f, 0x2e2061430657581b, 0xda6bf32ec24ee9f1, 0xa3d8fec3fe1c0344,
  0x508e485581d0fcde, 0x801b87c0aff31a04, 0x2195dc5eef8bbc92, 0x4ce4e2a10cb40e1a, 0x9096de87ffe80e78,
  0x9bff487e60b0de57, 0x27f36a7d56e9f096, 0x5a39121b46f6a8e5, 0x0c14f51e56bee6ab, 0x0ef8aea57a8f8366,
  0x85962291669d6845, 0x994b8a973484d7d1, 0x9768851ef673ab4b, 0x47cf58d56ba1d7a8, 0x65f4b3170908a045,
  0x7f58a8d823f5b86f, 0xfc55f3bb8a928042, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x86e3cd94462fe6db, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x56448bee149e4afd,
};

/*
 * m88a_u2x12_uart0_dual_pr_ce       m88p_u2x12_uart0_dual_pr_ce       m88pa_u2x12_uart0_dual_pr_ce
 * a6612c_u2x12_uart0_dual_pr_ce
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ce[] = {
  0xdddd58dade7c92df, 0xdddd438336561fdd, 0xc76837162debbddd, 0x9cf5b7777e9cbb57, 0x251f421b9c4d8433,
  0x22e87304f8c9a8b7, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x115a61adf994d6a9, 0x3d37a8fbef61a6ce,
  0x63408a11c90ab035, 0xbbc5200370f815fe, 0xa06522195dc5eef8, 0xa039e13751150865, 0x61bcaf212dba9eff,
  0xe9f09256ff3b44c1, 0xf6a8e527f36a7d56, 0xecc79dff57be1b46, 0x36ba5a0b5f9e005c, 0xe7b9602d4b984e77,
  0x1c72ac0ea5fa8e37, 0x8ebf9cc580a0a0f9, 0xfeccf1d78033b5ac, 0x0796b7087486a807, 0xfc55f3bb8a92a93a,
  0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae,
  0x57079b288c5fcdb7, 0x40cd3e3458f38b93, 0x867a615c9fbab31e, 0x1d252d9f0271964b, 0xbad53c95fb9a1996,
  0x00000000073d763f,
};

/*
 * m88a_u2x12_uart0_dual_pr_ce_u4    m88p_u2x12_uart0_dual_pr_ce_u4    m88pa_u2x12_uart0_dual_pr_ce_u4
 * a6612c_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ce_u4[] = {
  0xdddd58daa243573e, 0xbba87017a7de1fdd, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x18fcc337f9976127, 0xb4dea3a5ad805a38,
  0x8d022847242ac0c6, 0xdfd6600dc3e057f9, 0x0e4d10caee2f77c5, 0x073c2680d150865a, 0x3795e425b71adff4,
  0x7c25813fd21f982c, 0xaa3949fcda9f55ba, 0x74b717d50086d1bd, 0x17dc6883cf127212, 0x5ff51f097e21b091,
  0xa9733c5dcdae293f, 0xa97ea38df9ee58cf, 0x6028283e471cab03, 0xe00ced6b23afe731, 0x1d21aa01ffb33c75,
  0xe2a4aa4e81e5adc2, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2317f36dce18edec, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x0a4f257ee6866587, 0x00000000d24daf77,
};

/*
 * m88a_u2x12_uart0_dual_pr_ee_ce    m88p_u2x12_uart0_dual_pr_ee_ce    m88pa_u2x12_uart0_dual_pr_ee_ce
 * a6612c_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbbbab1b5a8286f97, 0x7750e133aefc3fbb, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0xb4ae22c80094874e, 0x971030a1832bac0d, 0xc6b7f997612774f8, 0xa3c00d80a4387ebc,
  0x508e485581dadcde, 0x001b87c0aff31a04, 0x432bb8bddf177800, 0x9a57454219684564, 0x212dbdadffd01cf0,
  0x3ffe90fcc161bcaf, 0x9fcda9f55ba7c256, 0x51b9386d1bdaa394, 0xfcf1272121ac77fd, 0xa6139dcdaf950d07,
  0x4795bf929dacac9b, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b, 0x28752135f4616588, 0xed10a3dece7576e3,
  0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9, 0x8abe77715252cc4f, 0x70b37e06256bd93f,
  0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xb8f365118bf9b6e7,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343c899e0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0002000745b85279,
};

/*
 * m88a_u2x12_uart0_dual_pr_ee_ce_u4 m88p_u2x12_uart0_dual_pr_ee_ce_u4 m88pa_u2x12_uart0_dual_pr_ee_ce_u4
 * a6612c_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdd58daa26d3e72df, 0xa872c7e44e1fdddd, 0x8fe66f7eafbbbbbb, 0xc4eea4c2c4e164da, 0x2b00df5c7e776d2e,
  0x23dae4cfae5f5a59, 0x001291e7ae609f19, 0x30657581b695c459, 0xfb44ee9f12e20614, 0xb338321cd495f995,
  0x066b737a8ecf9b0e, 0xbfcc681142392156, 0x7c5deb82006e1f02, 0xcb40c7d10caee2f7, 0xfd01cf09babe2a10,
  0x161bcaf212db9adf, 0x74f84b107fbe69cc, 0x7b547293f9b53eab, 0x66ee2faa353d0da3, 0x5f71a20f3c49c070,
  0x7fd47c25f886c244, 0xe99e2ee6d7d50790, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315,
  0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec,
  0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0x7079b288c5fcdb73, 0x1bf411a2c6f8b935, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc80a792bf734332c, 0x0000000010002a71,
};

/*
 * m88a_u2x12_uart0_dual_hw          m88p_u2x12_uart0_dual_hw          m88pa_u2x12_uart0_dual_hw
 * a6612c_u2x12_uart0_dual_hw
 */
static const uint64_t ur_m88_u2x12_uart0_dual_hw[] = {
  0xbbbab1b5448692df, 0xbbba87063b2c3fbb, 0x6ea05cbbd1edbbbb, 0x4d3919eeeec33a8a, 0x6c5c947d08749b01,
  0x00252190e609f192, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x3a5381c398a5fe65, 0xac0ea54dea3a56d8,
  0x057f98d022847242, 0x7bbe2efff800dc3e, 0x4219682f88865771, 0x52bfe80e784cf7c5, 0x8330586f2bc84b6f,
  0x3eab74f84bbaff0a, 0x0da37b547293f9b5, 0x21fd47c8a77cb135, 0x1e69c5ef8e395606, 0x6b591d7f398b0154,
  0x500ffd9823af0067, 0x49d03cb3db10e90d, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3,
  0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0c6eb3e082fa792b,
};

/*
 * m88a_u2x12_uart0_dual_ee_hw       m88p_u2x12_uart0_dual_ee_hw       m88pa_u2x12_uart0_dual_ee_hw
 * a6612c_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m88_u2x12_uart0_dual_ee_hw[] = {
  0xbbbab1b5448687e1, 0x7750e5931d7c3fbb, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x6da571164004a470, 0xc4b881850c195d60, 0x1369afccbb093ba7, 0x7a8f63fb0ff8700d,
  0x11423921560743f3, 0x4a006e1f02bfcc68, 0x688657717bbe2ef2, 0xe133938a8432d038, 0x5e425b7a1fffa039,
  0xb4dff8541982c379, 0x293f9b53eab74f84, 0x5ad1c890da37b547, 0x3060a7a8f2b5f735, 0x2877c5752bd47c1b,
  0x8c2cb1148b34eb42, 0x5cca5c54b9a426be, 0x44bb4428f7b39d5a, 0x2a3e7ac6ab5d0ebd, 0x7b2fa598b8484502,
  0x13fac546c11fadc3, 0x4fe2af9ddc549402, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x76371e6ca2317f36, 0xe1ef79430a9cfd41, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x5da48bc2fa792bf7, 0x0000000000000001,
};

/*
 * m88a_u2x12_uart0_dual_ce_hw       m88p_u2x12_uart0_dual_ce_hw       m88pa_u2x12_uart0_dual_ce_hw
 * a6612c_u2x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m88_u2x12_uart0_dual_ce_hw[] = {
  0xbbbab1b54486c541, 0x7750e02f4fbc3fbb, 0x7c10d056d6b77777, 0x9f738b77760dd896, 0xb95823f875463bf7,
  0x5206179827c64f25, 0xaeb036d2b88b2002, 0x9dd3e25c40c2860c, 0xe063f30cdfe65d84, 0x1ad37a8e96b60168,
  0xe63408a11c90ab03, 0x177f5980370f815f, 0x683934432bb8bddf, 0xd01cf09a03454219, 0xb0de579096dc6b7f,
  0xd3e12c09fe150660, 0xed51ca4fe6d4faad, 0x93a5b8bea804368d, 0x88bee3441e789390, 0xc41fa8f84bf10d84,
  0x3ea5ccf17736bbfc, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c72ac, 0xd78033b5ac8ebf9c, 0x087486a807feccf1,
  0xbb8a92a93a0796b7, 0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0x288c5fcdb73863b7, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343c899e07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x000000009baed7b0,
};

/*
 * m88a_u2x12_uart0_dual_ee_ce_hw    m88p_u2x12_uart0_dual_ee_ce_hw    m88pa_u2x12_uart0_dual_ee_ce_hw
 * a6612c_u2x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m88_u2x12_uart0_dual_ee_ce_hw[] = {
  0xddd58dad41437089, 0xba87099d77e1fddd, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0xb695c459001290e9, 0x12e2061430657581, 0x98d6ff32ec24ee9f, 0xd47801b014870fd7,
  0x8a11c90ab03b5b9b, 0x000370f815fe6340, 0x88657717bbe2ef00, 0x134ae8a8432d08ac, 0xe425b7b5bffa039e,
  0x8fff8541982c3795, 0x27f36a7d56e9f095, 0x546e4e1b46f6a8e5, 0xff3c49c8486b1dff, 0x74c273b9b5facd90,
  0xa8f2b7f253b59593, 0x701bd47c1b306be7, 0x148b34eb422814c5, 0x650ea426be8c2cb1, 0x5da2147bd9ceaedc,
  0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b, 0xf157ceee2a4a5989, 0x4e166fc0c4ad7b27,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x371e6ca2317f36dc,
  0xc69430a9cfd4d876, 0x27e03e6879133c09, 0xc09c6592e19e9857, 0x7ee6866587494b67, 0x003aea3a285f4f25,
};

/*
 * m88a_u2x12_uart0_dual_ee_ce_u4_hw m88p_u2x12_uart0_dual_ee_ce_u4_hw m88pa_u2x12_uart0_dual_ee_ce_u4_hw
 * a6612c_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeac6d51468ce4a, 0xdd43963f2270feee, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x6da571164004a479, 0xc4b881850c195d60, 0x6a4afccb20d53ba7, 0x4767cd87599c190e,
  0xa11c90ab0335b9bd, 0x00370f815fe63408, 0x8657717bbe2ef5c1, 0xdd5f150865a063e8, 0x096dcd6ffe80e784,
  0x7ff21fe60b0de579, 0xf9b53eab74f84b10, 0x353d0da37b547293, 0xc58be84866ee2faa, 0x886c2445f71a20f3,
  0xaea49cdffd47c25f, 0x9dadcdcdd33c5dcd, 0xd9835f3d4795bf92, 0x1140a62b80dea3e0, 0xf4616588a459a75a,
  0xce7576e328752135, 0x363af512ed10a3de, 0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2, 0x5252cc4feb151b04,
  0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0x8bf9b6e70c76f62a, 0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0003aea1a7cd0173,
};

/*
 * m88a_swio10_noled_pr_ee           m88p_swio10_noled_pr_ee           m88pa_swio10_noled_pr_ee
 * a6612c_swio10_noled_pr_ee
 */
static const uint64_t ur_m88_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f53b2758, 0xe19eb4bd75e5ef56, 0x6fbbcd0684d6a7e3, 0x071795bc288a444e,
  0x3e32777e9c1b34b7, 0x69bff3b467c6b4c1, 0x56e4e6ab5a3ee876, 0xf51f06cc1cbef51e, 0xcd3ad08a1df15c06,
  0x6909afa30b2c4522, 0x14e756970f6b8a26, 0x743af5d4dd9ef479, 0x4228b868c9ab1aad, 0xfadc37b2e1c8c5c2,
  0xacdaf2e556ab86be, 0xcea2a551aecec39e, 0x854d672bb54b7d59, 0x15e54292a97debe8, 0x4fa779fad73daad1,
  0x696173a9d4e02ca5, 0x6f19d10270a45021, 0x5c6ca2317f36d38c, 0x2076d0d163ce2e4d, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xc4f9e4afdcd0ccb0, 0x000000000a7ce939,
};

/*
 * m88a_swio10_noled_pr_ee_u4        m88p_swio10_noled_pr_ee_u4        m88pa_swio10_noled_pr_ee_u4
 * a6612c_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m88_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xdffa43f9f1ad304f, 0x70e6ab5a38f63b34, 0x8f83660cf5f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x39d5a5ff72e35934, 0xd0ebce9bb6948e21, 0x845098a3116c6ab5, 0xfd6e1bd96cb98b84,
  0xad40226abfaa3608, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d10a9ace57, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f88be792bf734, 0x0000000000000275,
};

/*
 * m88a_swio10_noled_pr_ce           m88p_swio10_noled_pr_ce           m88pa_swio10_noled_pr_ce
 * a6612c_swio10_noled_pr_ce
 */
static const uint64_t ur_m88_swio10_noled_pr_ce[] = {
  0xd7eeeeeeef621391, 0x82b96962159e9d63, 0x6434d8ddde6d5c4e, 0xc3f112fcb1f98baf, 0xf92920a6f6deefaf,
  0xc13e3277420f22f5, 0x76256ff3b467ce1c, 0x00b073e71dff55f0, 0x73b9b5f76936ff3c, 0x8f924f72c05d64c2,
  0xd0291c72ac0f05fa, 0xd9ef476b1cc580bd, 0xaa01ffb33c75e8f9, 0x556a81e5add70d67, 0x9d873d59b5e5caad,
  0x96fab39d454aa35d, 0xfbd7d10a9ace576a, 0x7b55a22bca852552, 0xc529e1a779f16bae, 0x38c6f19d1020eea6,
  0x218edec5551696d1, 0x9ab8d94462fe6d90, 0x1e40eda1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0xfb89f3c95fb9a199, 0x000000000016eb63,
};

/*
 * m88a_swio10_noled_pr_ce_u4        m88p_swio10_noled_pr_ce_u4        m88pa_swio10_noled_pr_ce_u4
 * a6612c_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m88_swio10_noled_pr_ce_u4[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x9813fd21fcfdba98, 0xb5a4cad717d6441d, 0xc2445f71a20f3c00, 0xa8b91fd47c25f886,
  0xb19fac99e2ee6d74, 0xab03c17ea3e493dc, 0xc731602f740a471c, 0xcf1d7a3e767bd1da, 0x6b75c359ea807fec,
  0x6d7972ab555aa079, 0x5152a8d76761cf56, 0xa6b395daa5beace7, 0xf2a14954bef5f442, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x18bf9b640863b7b1, 0x58df1726ae0f3651, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000375f6bdc45f3c,
};

/*
 * m88a_swio10_noled_pr_ee_ce        m88p_swio10_noled_pr_ee_ce        m88pa_swio10_noled_pr_ee_ce
 * a6612c_swio10_noled_pr_ee_ce
 */
static const uint64_t ur_m88_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe90fe7c344c13e3, 0xe77fd519c31d963f, 0x06ddfe78016b4963, 0x58f7cc273b9b5c00,
  0x00f51e56e9653b59, 0x98ae43fa8f83660d, 0x962291669d684502, 0xb77ee1d484d7d185, 0x9d376d291c4273ab,
  0x628c45b1aaf1b1d7, 0x6f65b2e62e121142, 0x64d57f546c113238, 0x0e7ab36bcb955a96, 0xf5673a8a9546bb3b,
  0xafa215359caed52d, 0xab4457950a4aa5f7, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x79b288c5fcdb2043, 0xe50d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0xc1d1622f9e4afdcd, 0x000000000000004f,
};

/*
 * m88a_swio10_noled_pr_ee_ce_u4     m88p_swio10_noled_pr_ee_ce_u4     m88pa_swio10_noled_pr_ee_ce_u4
 * a6612c_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio10_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x0b96963672e0d61e, 0x67a1bb419ad150e0, 0x8ec61211c560d456, 0x391dae3a4f9937a7,
  0x4eebadd714155df9, 0xef9a79f43e9827c6, 0xb8bea8edd0ecc41f, 0x71a20f3c00b9de20, 0xd47c25f886c2445f,
  0xcf17736bae0b87ff, 0xcadd2ca76b736f7c, 0x7f51f06cc1a01ea3, 0x2cd3ad08a05315c8, 0x3a909afa30b2c452,
  0xa523884e7576efdc, 0xb6355e363af3a6ed, 0x5cc5c242284c5188, 0xea8d8226470decb6, 0x6d7972ab52cc9aaf,
  0x5152a8d76761cf56, 0xa6b395daa5beace7, 0xf2a14954bef5f442, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0x18bf9b640863b7b1, 0x58df1726ae0f3651, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0009f82a71d6a9e4,
};

/*
 * m88a_swio10_noled_hw              m88p_swio10_noled_hw              m88pa_swio10_noled_hw
 * a6612c_swio10_noled_hw
 */
static const uint64_t ur_m88_swio10_noled_hw[] = {
  0x441bbbbbbacdfebe, 0x1ddcb4b10adc7eb0, 0xda36f76e27524192, 0x1e0cc2444f16f26a, 0xb49018c4783ee910,
  0x449827c64eef8fc2, 0x4d0ecd2bfef8167e, 0xc0c43fa8e989df2c, 0x16f74dd46491c72a, 0x2e761be8c9e398b0,
  0x9584d6e39630475e, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0xf7afa215359caed5, 0xf6ab4457950a4aa5,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2, 0xd86ed94462fe6d90, 0x964b867a615c9f9f,
  0x9961d252d964a271, 0x169c7453c95fb9a1, 0x0000000000000047,
};

/*
 * m88a_swio10_noled_ee_hw           m88p_swio10_noled_ee_hw           m88pa_swio10_noled_ee_hw
 * a6612c_swio10_noled_ee_hw
 */
static const uint64_t ur_m88_swio10_noled_ee_hw[] = {
  0x426eeeeed12198e2, 0x6d5cb4b1ea6d2eb1, 0xa7ad177499f1ff12, 0x08f229835cdd95b6, 0xad41685e14452225,
  0xc13e32774a70f6d3, 0xecd37fec3fe7c6b4, 0x7959c39aad68e3d8, 0xebea3e0d9833d7d4, 0x459a75a1143be2b2,
  0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1, 0xd823f5b86f65b2e6,
  0x972ab50089aafea8, 0x2a8d76761cf566d7, 0x395daa5beace7515, 0x14954bef5f442a6b, 0xc5aeb9ed5688af2a,
  0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xfcdb2048ab7b1554, 0xf505d8dc79b288c5, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0002df27e10be9e4,
};

/*
 * m88a_swio10_noled_ce_hw           m88p_swio10_noled_ce_hw           m88pa_swio10_noled_ce_hw
 * a6612c_swio10_noled_ce_hw
 */
static const uint64_t ur_m88_swio10_noled_ce_hw[] = {
  0xefdddddda2433a31, 0xbee5a58b81033ac6, 0xfd7afbbc7e847ede, 0xf3261c4f23204878, 0x680a8666eda9eeee,
  0xea609f193bb626c3, 0x1076604ff61ff3f6, 0x3c49c84b2b5c5f59, 0xf886c2445f71a20f, 0x6d7fd735bfd47c25,
  0x93dcb19fac99e2ee, 0x471cab03c17ea3e4, 0xd1dac731602f740a, 0x7feccf1d7a3e767b, 0xa0796b75c359ea80,
  0xcf566d7972ab555a, 0xace75152a8d76761, 0xf442a6b395daa5be, 0x688af2a14954bef5, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x365118bf9b640863, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x217d3c95fb9a1996, 0x000000001d66cc71,
};

/*
 * m88_swio10_noled_ee_ce_u4_hw      m88a_swio10_noled_ee_ce_hw        m88a_swio10_noled_ee_ce_u4_hw
 * m88p_swio10_noled_ee_ce_hw        m88p_swio10_noled_ee_ce_u4_hw     m88pa_swio10_noled_ee_ce_hw
 * m88pa_swio10_noled_ee_ce_u4_hw    a6612c_swio10_noled_ee_ce_hw      a6612c_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0xb3107fb0ff9f43e9, 0x425882e2faa3b743, 0x1222fb8d1079e24e, 0x3c83fea3e12fc436,
  0x36f7ccf17736bea8, 0x01ea3cadd2ca76b7, 0x315c87f51f06cc1a, 0x2c4522cd3ad08a05, 0x6efdc3a909afa30b,
  0x3a6eda523884e757, 0xc5188b6355e363af, 0xdecb65cc5c242284, 0xc9aafea8d8226470, 0x1cf566d7972ab52c,
  0xeace75152a8d7676, 0x5f442a6b395daa5b, 0x5688af2a14954bef, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14,
  0x3b7b15545a5b44e3, 0xf365118bf9b64086, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x5017d3c95fb9a199, 0x00000000000a023d,
};

/*
 * m88a_swio10_lednop_pr_ee          m88p_swio10_lednop_pr_ee          m88pa_swio10_lednop_pr_ee
 * a6612c_swio10_lednop_pr_ee
 */
static const uint64_t ur_m88_swio10_lednop_pr_ee[] = {
  0x1cdf7777777b1762, 0x6532e5a58f53c2ab, 0x5e34f685efa5ad35, 0x737dde683426bd38, 0x4767ef17ad045222,
  0x09f193bb4cd19fd3, 0xb22b7f9da33e4ea6, 0xf2bf9d355ad1f743, 0x57a8f83660e5f7a8, 0x1669d68450ef8aea,
  0x33484d7d18596229, 0x5ae73ab4b98f5c51, 0x6ba1d7aea6ed10a3, 0x0908a04547d258d5, 0xffeb70decb872317,
  0x3d59b5e5caad5715, 0xb39d454aa35d9d87, 0x9ae0404e576a96fa, 0xca85255aba5fd10a, 0x5ce80f2e7b55a22b,
  0x2b08985ea5af29c0, 0xe33a2045fb8a042d, 0x8d94462fe6da718d, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0x9f3c95fb9a19961d, 0x0000000053e2a738,
};

/*
 * m88a_swio10_lednop_pr_ee_u4       m88p_swio10_lednop_pr_ee_u4       m88pa_swio10_lednop_pr_ee_u4
 * a6612c_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_swio10_lednop_pr_ee_u4[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x72ff487f3fd5f304, 0xca1cd56b471ec764, 0x51f06cc19ebea3ca, 0xd3ad08a1df15b05f,
  0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad, 0x7eb70decb65cc5c2,
  0xad402b86b3d51b04, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x5fd10a9ae0404e57, 0x55a22bca85255aba,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xcd94462fe6d97645, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x17cf257ee6866587, 0x00000000275c2171,
};

/*
 * m88a_swio10_lednop_pr_ce          m88p_swio10_lednop_pr_ce          m88pa_swio10_lednop_pr_ce
 * a6612c_swio10_lednop_pr_ce
 */
static const uint64_t ur_m88_swio10_lednop_pr_ce[] = {
  0xebf7777777b15a91, 0xa0ae5a58856c2ab1, 0x0cf717ea45f13713, 0xf0fc44bf1e9d8f18, 0x2cbb641682e3bbeb,
  0x304f8c9dd68bd3aa, 0x1d921ffced19f287, 0x002c1c38677fd57c, 0x273b9b5f4d3fcfcf, 0xa8e0a4f72c05d64c,
  0x3da011c72ac0f05f, 0x76f911c1f398b014, 0x0a807feccf1d7a3e, 0xd605681e5addbdf4, 0xd9d873d59b5e5caa,
  0xa96fab39d454aa35, 0xfd10a9ae0404e576, 0x5a22bca85255aba5, 0xbe74078e56bae7b5, 0xc67440842a417296,
  0xbd8aaa2d2414e31b, 0xb288c5fcdb2ec31d, 0xdb43458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0xe792bf734332c3a4, 0x0000002dd4e14713,
};

/*
 * m88a_swio10_lednop_pr_ce_u4       m88p_swio10_lednop_pr_ce_u4       m88pa_swio10_lednop_pr_ce_u4
 * a6612c_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_swio10_lednop_pr_ce_u4[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff487f3f15a60, 0xd692dd5c5f591076, 0x09117dc6883cf002, 0x299cbf51f097e21b,
  0xc67eb2678bb9b5e9, 0xac0f05fa8e0a4f72, 0x398b0143da011c72, 0xf1d7a3e76f911c1f, 0xaddbdf40a807fecc,
  0xb5e5caad605681e5, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0, 0x6bae7b55a22bca85,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb2ec31dbd8aaa2d2, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xf756e22f9e4afdcd, 0x00000000000001ba,
};

/*
 * m88a_swio10_lednop_pr_ee_ce       m88p_swio10_lednop_pr_ee_ce       m88pa_swio10_lednop_pr_ee_ce
 * a6612c_swio10_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfd21fcfcedcc13e, 0x68effaa33863b376, 0x1f524fcf002d6937, 0xcac7be6139dcdafd,
  0x6807a8f2b2eb29da, 0x14c5652fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbe70ea426be8c, 0x79d37609e8d7c39d,
  0xc9118dfb1aaf1b1d, 0x0decb65cc5c24228, 0x9dc359ea8d822647, 0xc39eacdaf2e556a5, 0x7d59cea2a551aece,
  0x854d7020272bb54b, 0x15e54292ad5d2fe8, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x462fe6d97618edec, 0x1a2c79c5c9ab8d94, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x00014d345f445f3c,
};

/*
 * m88a_swio10_lednop_pr_ee_ce_u4    m88p_swio10_lednop_pr_ee_ce_u4    m88pa_swio10_lednop_pr_ee_ce_u4
 * a6612c_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio10_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e306a, 0x0b9696367227561e, 0x9da52b4ddb2150e0, 0x8ec61217063891f2, 0x2cc8d33a4f9937a7,
  0x4eed57e4c3ac8430, 0xef9a79ffd79827c6, 0xb8bea8edd0ec801f, 0x71a20f3c00b9dc00, 0xd47c25f886c2445f,
  0x9e2ee6d767afd6af, 0x9597594ed6e6def9, 0x7ea3e0d983403d47, 0x59a75a1140a62b29, 0x752135f4616588a4,
  0x4f46be1ceaeddf38, 0xd8d578d8ebce9bb0, 0xe62e121146488c6f, 0x546c1132386f65b2, 0xd7972ab52cee1acf,
  0x152a8d76761cf566, 0x01395daa5beace75, 0x956ae97f442a6b81, 0xaeb9ed5688af2a14, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xcbb0c76f62aa8b49, 0x4d5c1e6ca2317f36, 0x3c819a7c68b1be2e, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x9c5bad53c95fb9a1,
  0x00000000000013f0,
};

/*
 * m88a_swio10_lednop_hw             m88p_swio10_lednop_hw             m88pa_swio10_lednop_hw
 * a6612c_swio10_lednop_hw
 */
static const uint64_t ur_m88_swio10_lednop_hw[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x87604fffbe059f32, 0x621fd47c90ef9626, 0x7ba6ee8148e39560, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x873d59b5e5caad4a, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x462fe6d976455bd8, 0xa615c9f9fd86ed94,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000000023887545,
};

/*
 * m88a_swio10_lednop_ee_hw          m88p_swio10_lednop_ee_hw          m88pa_swio10_lednop_ee_hw
 * a6612c_swio10_lednop_ee_hw
 */
static const uint64_t ur_m88_swio10_lednop_ee_hw[] = {
  0x426eeeeed121b7d6, 0x6d5cb4b1ea6f5eb1, 0x27ab8f746db11f12, 0x08f229835da59bbb, 0xdab2210208452225,
  0x609f193baf5a716f, 0xec8e5fec3fe7fabe, 0x7959439aad68e3d8, 0x0bea3e0d9833d7d4, 0x459a75a1143be2b6,
  0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63, 0x608fd6e1bd96cb98,
  0xb955a80570d67aa3, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x574bfa21535c0809, 0xcf6ab4457950a4ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0xdc79b288c5fcdb2e, 0xbde50c2a73f505d8,
  0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xef820be9e4afdcd0,
  0x00000000000002df,
};

/*
 * m88a_swio10_lednop_ce_hw          m88p_swio10_lednop_ce_hw          m88pa_swio10_lednop_ce_hw
 * a6612c_swio10_lednop_ce_hw
 */
static const uint64_t ur_m88_swio10_lednop_ce_hw[] = {
  0xefdddddda2432493, 0xbee5a58b811fbac6, 0xfb5177588f8b7ede, 0xcc98713c80cd9005, 0xa76a85b4bb27bbbb,
  0x69827c64ee86e415, 0x41d9beffd87fcfc5, 0xf127212b75717d64, 0xe21b09117dc6883c, 0xb5ef0f96bf51f097,
  0x4f72c67eb2678bb9, 0x1c72ac0f05fa8e0a, 0x1c1f398b0143da01, 0xfeccf1d7a3e76f91, 0x81e5addbdf40a807,
  0x3d59b5e5caad6056, 0xb39d454aa35d9d87, 0x9ae0404e576a96fa, 0xca85255aba5fd10a, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x5fcdb2ec31dbd8aa, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7,
  0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000759b30440be9e,
};

/*
 * m88_swio10_lednop_ee_ce_u4_hw     m88a_swio10_lednop_ee_ce_hw       m88a_swio10_lednop_ee_ce_u4_hw
 * m88p_swio10_lednop_ee_ce_hw       m88p_swio10_lednop_ee_ce_u4_hw    m88pa_swio10_lednop_ee_ce_hw
 * m88pa_swio10_lednop_ee_ce_u4_hw   a6612c_swio10_lednop_ee_ce_hw     a6612c_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x9003fd87fcffebcc, 0x12801717d51dba1d, 0x9117dc6883cf1272, 0xf9cbf51f097e21b0,
  0xdbdf33c5dcdae148, 0x07a8f2b2eb29dadc, 0xc5652fd47c1b3068, 0xb1148b34eb422814, 0xbbe70ea426be8c2c,
  0xd37609e8d7c39d5d, 0x118dfb1aaf1b1d79, 0xecb65cc5c24228c9, 0xc359ea8d8226470d, 0x9eacdaf2e556a59d,
  0x59cea2a551aecec3, 0x4d7020272bb54b7d, 0xe54292ad5d2fe885, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x2fe6d97618edec55, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000280826b05f4f,
};

/*
 * m88_swio10_dual_pr                m88a_swio10_dual                  m88a_swio10_dual_pr
 * m88p_swio10_dual                  m88p_swio10_dual_pr               m88pa_swio10_dual
 * m88pa_swio10_dual_pr              a6612c_swio10_dual                a6612c_swio10_dual_pr
 */
static const uint64_t ur_m88_swio10_dual[] = {
  0x5ddddddd41e7ce7c, 0x53350e50875b0fd0, 0xe96ade4ab8f1795b, 0x5a1a2a0ab0c64421, 0x6ca9c46eb7682bd7,
  0x1ddcb66da7875c7e, 0x00948044cc13e327, 0x832bac0db4ae22c8, 0x5aa774f8971030a1, 0xfc382fb98a2fe653,
  0xb03eea6f51e3dec1, 0x15fe63408a11c90a, 0xddf177d6f80370f8, 0x10cb42324432bb8b, 0xebff4073c26b5a2a,
  0x8982c3795e425b72, 0xdf2c3e0eca95fe76, 0xe39560622fa8f221, 0x31602a83cdfb8ca8, 0x3af006769c51bde7,
  0xb5af07d500ffd982, 0x771525bfc303cb3d, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0x20272bb54b7d59ce,
  0x92ad5d2fe8854d70, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6cbb22adec555169,
  0xe4d5c1e6ca2317f3, 0x1e40cd3e34596af2, 0x71a50c2a73f53ab3, 0xc9f80f9a1e44cf02, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x0029263a2bad53c9,
};

/*
 * m88a_swio10_dual_pr_u4            m88p_swio10_dual_pr_u4            m88pa_swio10_dual_pr_u4
 * a6612c_swio10_dual_pr_u4
 */
static const uint64_t ur_m88_swio10_dual_pr_u4[] = {
  0x33dddddda2e7ce7c, 0x053350e5096270fc, 0xb5a3db571d454109, 0x9fb7a6f5f6270913, 0x87e5867acccf7619,
  0x8c9cc6e5b36d3c5a, 0x8b2002521a0f304f, 0xc2860caeb036d2b8, 0x994d6a9dd3e25c40, 0x361b7ce01ee631ff,
  0x242ac0f4a9bd4791, 0xc3e057f98d022847, 0xee2f77c5de33600d, 0xe8a8432d0b5910ca, 0x6de43ffd01cf0989,
  0xf9da260b0de57909, 0x97c77cb6f63b2037, 0xbe471cab0326bd47, 0x7b398b017f0e6dbe, 0x630475e45bb4648f,
  0x3bb8a92959d06e39, 0x66d7972ab59fc55f, 0x75152a8d76761cf5, 0x8101395daa5beace, 0x14956ae97f442a6b,
  0xa03cb9ed5688af2a, 0x22617a96bca70173, 0xe88117ee2810b4ac, 0x5118bf9b69c6378c, 0x3458df1726ae0f36,
  0x73f53ab31e40cd3e, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000a49842dd6a9,
};

/*
 * m88a_swio10_dual_pr_ee            m88p_swio10_dual_pr_ee            m88pa_swio10_dual_pr_ee
 * a6612c_swio10_dual_pr_ee
 */
static const uint64_t ur_m88_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xd4cd43950c2d87c3, 0xd26f747b58646706, 0xccfa73b251fad33e, 0xefeef3ec6b9bb0dc,
  0xee4d1f53a19c6eca, 0x9484e3e609f193f4, 0x2bac0db4ae22c800, 0x2774f8971030a183, 0x8e096a60b5f99761,
  0x3d3737a8e35b604e, 0xfe63408a11c90ab0, 0xe2ef54880370f815, 0x2d05f688657717bb, 0xfa039e1307b8a843,
  0x2c3795e425b74dbf, 0x28a3b287ffd21f98, 0xaf51e57bee6ab5a3, 0x8aedd7a8f83660cc, 0x62291669d68450ef,
  0xb8a973484d7d1859, 0x3da3d28e75697286, 0x36355ae875ea25da, 0x2cc5c242284011a6, 0x2a3608fd6e1bd97d,
  0x7ceee2a4a014656b, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0xae0404e576a96fab, 0xa85255aba5fd10a9,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6d976455bd8aaa, 0x1674f86e3cd94462,
  0x9fa9d599bf83bb8d, 0xe7197e627f286153, 0x73dffc1343c899e2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x593086e149e4afdc, 0x0000000000000001,
};

/*
 * m88a_swio10_dual_pr_ee_u4         m88p_swio10_dual_pr_ee_u4         m88pa_swio10_dual_pr_ee_u4
 * a6612c_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m88_swio10_dual_pr_ee_u4[] = {
  0xe647777776890c86, 0x4e53350e543aafc3, 0x2daefdd01452a38f, 0xc9d4cc373adefda7, 0x0b2012c435cdd991,
  0x16e5dd8dd9683cc5, 0x09487806609f192d, 0x32bac0db4ae22c80, 0x12774f8971030a18, 0x58e035a6275f9976,
  0x03cad37a8fa6f611, 0x5fe63408a11c90ab, 0xdf177a9200370f81, 0x196847b4432bb8bd, 0xffe80e784d224542,
  0x60b0de579096dc66, 0xa37f0761c1ff487e, 0x84ff51e56a7a6ab5, 0xdf15e04f51f06cc1, 0xb2c4522cd3ad08a1,
  0x1d7082e6909afa30, 0xdbba460a1cead2f2, 0x22d8d56ba1d7b589, 0xc7c62e121144dc8f, 0x5255c465f5b86f65,
  0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x72bb54b7d59cea2a, 0xd5d2fe8854d70202, 0x73daad115e54292a,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a, 0x371e6ca2317f36cb, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x56481570a4f257ee,
};

/*
 * m88a_swio10_dual_pr_ce            m88p_swio10_dual_pr_ce            m88pa_swio10_dual_pr_ce
 * a6612c_swio10_dual_pr_ce
 */
static const uint64_t ur_m88_swio10_dual_pr_ce[] = {
  0xd3ddddddde7c1a4e, 0xb53350e50810f0ff, 0xbd2afd4672ee82d0, 0x9fbe4a932713b2cf, 0x0b146a6c5bbf4d71,
  0x642e49aee1689fee, 0x004a46a83304f8c9, 0xc195d606da571164, 0xad53ba7c4b881850, 0xe71c243cc5d7f329,
  0x606bee6f51dc9ec3, 0x2bfcc68114239215, 0xbbe2ef35b006e1f0, 0x2196864888657717, 0xdffd01cf0996bc54,
  0x260b0de579096df7, 0xffacdc3b0e1ff9da, 0x620fcf002e765d4e, 0x1438cc273b9b5dfe, 0x06b3fd4797d3dcb0,
  0xc580b1ef4a8e3956, 0x75e45bb6488c6f9c, 0x549475196e39633c, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0x9caed52df5673a8a, 0xb574bfa21535c080, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xd863b7b15545a482, 0xae0f365118bf9b65, 0x819a7c68b1e71726, 0x0cf4c2b93f75663c, 0x3a4a5b3e04e32c97,
  0x75aa792bf734332c, 0x000000000e7adb8f,
};

/*
 * m88a_swio10_dual_pr_ce_u4         m88p_swio10_dual_pr_ce_u4         m88pa_swio10_dual_pr_ce_u4
 * a6612c_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m88_swio10_dual_pr_ce_u4[] = {
  0x93b777776890cf68, 0x0a99a87099dcec3f, 0xb6b8eed8629d2ed6, 0x2718966745e55e73, 0xec44f51f67dbb93a,
  0x9b237268fa9d7b86, 0x4004a45c95304f8c, 0x0c195d606da57116, 0xbb093ba7c4b88185, 0x0d9c708e531c1fcc,
  0x5581e049bd47b75b, 0xc0aff31a04508e48, 0xbddf177b41c01b87, 0x42196807b4432bb8, 0x8fffd01cf09827c5,
  0xfcc161bcaf212dbd, 0x17d4c78ec1adfe90, 0x6883cf1272123837, 0x1f097e21b09117dc, 0xf17736bf47d493f5,
  0x47ea27b9633ea5cc, 0x2bba8e39560770fd, 0xda7146f79cc580b5, 0x5403ff6678ebc019, 0xbfc303cb5b96bc1f,
  0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0x2fe8854d7020272b, 0xaad115e54292ad5d,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xcd94462fe6d97618, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xa7ae149e4afdcd0c, 0x0000000000003493,
};

/*
 * m88a_swio10_dual_pr_ee_ce         m88p_swio10_dual_pr_ee_ce         m88pa_swio10_dual_pr_ee_ce
 * a6612c_swio10_dual_pr_ee_ce
 */
static const uint64_t ur_m88_swio10_dual_pr_ee_ce[] = {
  0x9d6ddddddd43359b, 0x294cd4385eed070f, 0xef1ff74b12727ac5, 0xf6667b281f210d57, 0xc69e4d705e694eb0,
  0x21e19851fc2d7519, 0x823d7304f8c94777, 0xac0db4ae22c80094, 0x74f8971030a1832b, 0x0ff26c41f9976127,
  0x3f37a8e1a361a68e, 0xc681142392156076, 0xbddbb006e1f02bfc, 0x182a2195dc5eef8b, 0x0e784d21e2a10cb4,
  0xde579096dfb07fe8, 0x0ecb5bff487e60b0, 0x7212b5b3bfea8f02, 0xb9b5cc03743fcf12, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0x386e3cd94462fe6d, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x4c131bb852792bf7,
};

/*
 * m88a_swio10_dual_pr_ee_ce_u4      m88p_swio10_dual_pr_ee_ce_u4      m88pa_swio10_dual_pr_ee_ce_u4
 * a6612c_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x9a8736dfd5f0fc6a, 0xf0f6b455f388eb29, 0x7dd820ce64c518e8, 0x16824718d45a9b12,
  0xf18502da2e2caf6e, 0x9f19252ae5a41b69, 0x88b20025229f8660, 0x0c2860caeb036d2b, 0xf32bf689dd3e25c4,
  0xb618dc70ec19af0f, 0x2156078826f51d0f, 0x1f02bfcc68114239, 0xc5eef8bbe231006e, 0x2a10cb423922195d,
  0xee47fe80e784dbee, 0x34e60b0de579096d, 0xfaa33823b0d6ffdf, 0x20f3c49c070d6ee2, 0xc25f886c2445f71a,
  0xee6d788c538ffd47, 0x5694ed6e6e6e99e2, 0x3e0d983eebd4795e, 0x75a1140a62b95dea, 0x135f4616588a459a,
  0x7a51ceaedc50c752, 0x578d8ebd44bb47b4, 0x70908a1004698d8d, 0xc1132386f65f4b31, 0xdc5494b38cad6546,
  0x6bcb955acfe2af9d, 0x8a9546bb3b0e7ab3, 0x809caed52df5673a, 0x4ab574bfa21535c0, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x65d863b7b15545a4, 0x26ae0f365118bf9b, 0xbf837e823458df17,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x17b9014f257ee686, 0x0000000000010009,
};

/*
 * m88a_swio10_dual_hw               m88p_swio10_dual_hw               m88pa_swio10_dual_hw
 * a6612c_swio10_dual_hw
 */
static const uint64_t ur_m88_swio10_dual_hw[] = {
  0x2eeeeeed1218022f, 0xa99a872843ad87e8, 0x421eef255c78bcad, 0xd75a1a2a0ab0c647, 0xce6ca9c46eb7682b,
  0xf1938eee59307e68, 0x1164004a40226609, 0x1850c195d606da57, 0xfccbb093ba7c4b88, 0x7bd83f8705f73145,
  0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x57717bbe2efadf00, 0x6b45421968464886, 0x4b6e5d7fe80e784d,
  0xff0a8330586f2bc8, 0x7910ef961f07654a, 0xc65471cab03117d4, 0xdef398b01541e6fd, 0xecc11d78033b4e28,
  0xe59edad783ea807f, 0x55f3bb8a92dfe181, 0xcf566d7972ab59fc, 0xace75152a8d76761, 0xa6b8101395daa5be,
  0xf2a14956ae97f442, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x8bf9b65d9156f62a,
  0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000c6ebfd5017d3,
};

/*
 * m88a_swio10_dual_ee_hw            m88p_swio10_dual_ee_hw            m88pa_swio10_dual_ee_hw
 * a6612c_swio10_dual_ee_hw
 */
static const uint64_t ur_m88_swio10_dual_ee_hw[] = {
  0x86edddddda2432db, 0x0da99a872a185b0f, 0x7da4dee8f6b0c8ce, 0xb999f4e764a3f5a6, 0x55dfdde7d8d73761,
  0x93f4ee4704559a67, 0xc8009484e3e609f1, 0xa1832bac0db4ae22, 0x97612774f8971030, 0x604e8e096a60b5f9,
  0x0ab03d3737a8e35b, 0xf815fe63408a11c9, 0x17bbe2ef54880370, 0xa8432d05f6886577, 0x4dbffa039e1307b8,
  0x41982c3795e425b7, 0x6b465147650fff85, 0xc1995ea3caf7dcd5, 0xa1df15dbaf51f06c, 0x30b2c4522cd3ad08,
  0xe50d7152e6909afa, 0x4bb47b47a51cead2, 0x234c6c6ab5d0ebd4, 0xb2fa598b84845080, 0xcad6546c11fadc37,
  0xfe2af9ddc5494028, 0xb0e7ab36bcb955ac, 0xdf5673a8a9546bb3, 0x21535c0809caed52, 0x457950a4ab574bfa,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x88c5fcdb2ec8ab7b, 0x2a73f505d8dc79b2,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9,
  0x000000015dac210b,
};

/*
 * m88a_swio10_dual_ce_hw            m88p_swio10_dual_ce_hw            m88pa_swio10_dual_ce_hw
 * a6612c_swio10_dual_ce_hw
 */
static const uint64_t ur_m88_swio10_dual_ce_hw[] = {
  0x4edddddda2435202, 0x2a66a1c26773b0fe, 0xdae3bb618a74bb58, 0x9c62599d179579ce, 0x5d13d47d9f6ee4e8,
  0x26c8dc9c875b4df3, 0x90012917254c13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0xc3671c2394c707f3,
  0x156078126f51edd6, 0xf02bfcc681142392, 0x2f77c5ded07006e1, 0x50865a01ed10caee, 0x63fff4073c2609f1,
  0x8330586f2bc84b6f, 0x8bea63c760d6ff0a, 0x3441e78939091c1b, 0x8f84bf10d8488bee, 0x3c5dcdae951723fa,
  0x51fa89ee58cfa973, 0x4aeea38e5581dc3f, 0x769c51bde731602d, 0xd500ffd99e3af006, 0x6ff0c0f2d6e5af07,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954, 0x4bfa21535c0809ca, 0x6ab4457950a4ab57,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0xf365118bf9b65d86, 0xca1854e7ea0bb1b8,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x3c17d3c95fb9a199,
  0x0000000000026ebd,
};

/*
 * m88a_swio10_dual_ee_ce_hw         m88p_swio10_dual_ee_ce_hw         m88pa_swio10_dual_ee_ce_hw
 * a6612c_swio10_dual_ee_ce_hw
 */
static const uint64_t ur_m88_swio10_dual_ee_ce_hw[] = {
  0x75b7777775050c86, 0xa53350e17bb41c3e, 0xbc7fdd2c49c9eb14, 0xd999eca07c84355f, 0x1a7935c179a53ac3,
  0xbb97763766f31467, 0x4a411eb9827c64a3, 0x95d606da57116400, 0x93ba7c4b881850c1, 0x4707f93620fccbb0,
  0x3b1f9bd470d1b0d3, 0xfe63408a11c90ab0, 0xc5deedd80370f815, 0x5a0c1510caee2f77, 0xf4073c2690f15086,
  0x586f2bc84b6fd83f, 0x020ecb5bff0a8330, 0x127212b5b3bfea8f, 0xe7736b8000dbbfcf, 0xf2b4a76b2b26e984,
  0x51f06cc1f75ea3ca, 0xd3ad08a05315caef, 0x909afa30b2c4522c, 0xa3d28e7576e2863a, 0x6abc6c75ea25da3d,
  0x8b84845080234c6c, 0x3608991c37b2fa59, 0xeee2a4a59c656b2a, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x0404e576a96fab39, 0x5255aba5fd10a9ae, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084,
  0xdb2ec31dbd8aaa2d, 0x61d8dc79b288c5fc, 0xf0271a50c2a73f53, 0x615c9f80f9a1e44c, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000000ebae3617d,
};

/*
 * m88a_swio10_dual_ee_ce_u4_hw      m88p_swio10_dual_ee_ce_u4_hw      m88pa_swio10_dual_ee_ce_u4_hw
 * a6612c_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio10_dual_ee_ce_u4_hw[] = {
  0xadddddda28d072df, 0x99a8736dfd5f0fc6, 0x8c776b455f388eb2, 0xd893eec10673266a, 0x7b70b41238c6a2d4,
  0x7d72fadb58057165, 0xfc3304f8c9295726, 0x1b695c4590012914, 0xf12e206143065758, 0x9af0ff32c8354ee9,
  0x51d0fb618dc70ec1, 0x142392156078826f, 0x1006e1f02bfcc681, 0x2195dc5eef8bbe23, 0x4dbee2a10cb42392,
  0x9096dee47fe80e78, 0xdfff21fe60b0de57, 0xaddc5f546704761a, 0xee3441e78b17d091, 0xfa8f84bf10d8488b,
  0x99e2ee6d75c170ff, 0x795e5694ed6e6e6e, 0x5dea3e0d983eebd4, 0x459a75a1140a62b9, 0xc752135f4616588a,
  0x47b47a51ceaedc50, 0x8d8d578d8ebd44bb, 0x4b3170908a100469, 0x6546c1132386f65f, 0xaf9ddc5494b38cad,
  0x7ab36bcb955acfe2, 0x673a8a9546bb3b0e, 0x35c0809caed52df5, 0x950a4ab574bfa215, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b65d863b7b155, 0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0075d4db75d0173c,
};

/*
 * m88_swio12_noled_pr_ee            m88a_swio11_noled_pr_ee           m88a_swio12_noled_pr_ee
 * m88p_swio11_noled_pr_ee           m88p_swio12_noled_pr_ee           m88pa_swio11_noled_pr_ee
 * m88pa_swio12_noled_pr_ee          a6612c_swio11_noled_pr_ee         a6612c_swio12_noled_pr_ee
 */
static const uint64_t ur_m88_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9a9bac24, 0x2f469eb11f17ab29, 0xdde6825ef71de62d, 0x6ec1992045222245,
  0x193ba626e0ae3466, 0x77f9da33e706609f, 0x95a6ab5a3dbe3b36, 0x8f83660e71f51e56, 0x9d68450ef8ad7dfa,
  0x84d7d18596229166, 0x73ab4bc7b5c51334, 0x0ebd753764c518f8, 0x4516b23e82c6ab5d, 0x5b86f65c3918b848,
  0xcdaf2e556ab810ff, 0xea2a551aecec39ea, 0x4d672bb54b7d5d9c, 0x7950a4ad8debe885, 0xe9de7eb5cf6ab445,
  0x585cea75380b2953, 0xc674408f2f14085a, 0x1b288c5fcdb4e31b, 0x1db43458f38b9357, 0xcf4c2b93f75663c8,
  0x4a5b2c944e32c970, 0x3e792bf734332c3a, 0x0000000029f39c71,
};

/*
 * m88_swio12_noled_pr_ee_u4         m88a_swio11_noled_pr_ee_u4        m88a_swio12_noled_pr_ee_u4
 * m88p_swio11_noled_pr_ee_u4        m88p_swio12_noled_pr_ee_u4        m88pa_swio11_noled_pr_ee_u4
 * m88pa_swio12_noled_pr_ee_u4       a6612c_swio11_noled_pr_ee_u4      a6612c_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m88_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xfd21fcf9c19827c6, 0xb355ad198f1d9b3b, 0xc1b307d47a8f2b2e, 0xb422877c5652fd47,
  0x6be8c2cb1148b34e, 0xead2ee4d71ac9a42, 0x75e74dd8f547f21c, 0x288851ef76355ae8, 0xb70decb65cc5c242,
  0x500ba0e7951b047e, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0x6f5f442a6b395daa, 0x7b55a22bca85256c,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x862adec5551696d1, 0xb83cd94462fe6db0, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x41117cf257ee6866, 0x00000000000275d3,
};

/*
 * m88_swio12_noled_pr_ce            m88a_swio11_noled_pr_ce           m88a_swio12_noled_pr_ce
 * m88p_swio11_noled_pr_ce           m88p_swio12_noled_pr_ce           m88pa_swio11_noled_pr_ce
 * m88pa_swio12_noled_pr_ce          a6612c_swio11_noled_pr_ce         a6612c_swio12_noled_pr_ce
 */
static const uint64_t ur_m88_swio11_noled_pr_ce[] = {
  0x661fddddddec4743, 0x15cb4b10ad64eb0a, 0xc695bde6ec1ee274, 0xfc44369a9c2f6226, 0x60ad1850dbdd5330,
  0x27c64eed45e4b415, 0xcf9dfe768cf97598, 0x160e3a53bfeb370e, 0x9dcdae1a34d7e780, 0x75f27b9602eb2613,
  0xcbe8e395606b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b, 0x844c0f2d6eb589e5, 0xec39eacdaf2e556a,
  0x7d5d9cea2a551aec, 0xebe8854d672bb54b, 0x6ab4457950a4ad8d, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8,
  0x31dbd8aaa2d2da27, 0xae365118bf9b6c21, 0x903b6868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0xe27cf257ee686658, 0x0000000005ba8bf6,
};

/*
 * m88_swio12_noled_pr_ce_u4         m88a_swio11_noled_pr_ce_u4        m88a_swio12_noled_pr_ce_u4
 * m88p_swio11_noled_pr_ce_u4        m88p_swio12_noled_pr_ce_u4        m88pa_swio11_noled_pr_ce_u4
 * m88pa_swio12_noled_pr_ce_u4       a6612c_swio11_noled_pr_ce_u4      a6612c_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m88_swio11_noled_pr_ce_u4[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff487f3fa6e609, 0x692575c5f5ee8766, 0x9117dc6883cf002d, 0xe92bf51f097e21b0,
  0x67eb2678bb9b5d90, 0xc0d67fa8ebe4f72c, 0x31602edf97d1c72a, 0x1d7a3e764c5188a7, 0xdd6b13ca807feccf,
  0x5e5caad508981e5a, 0x54aa35d9d873d59b, 0xce576a96fabb39d4, 0xa1495b1bd7d10a9a, 0x7c5aeb9ed5688af2,
  0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x7f36d84263b7b155, 0xbe2e4d5c1e6ca231, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x06ebbcdb88be792b,
};

/*
 * m88_swio12_noled_pr_ee_ce         m88a_swio11_noled_pr_ee_ce        m88a_swio12_noled_pr_ee_ce
 * m88p_swio11_noled_pr_ee_ce        m88p_swio12_noled_pr_ee_ce        m88pa_swio11_noled_pr_ee_ce
 * m88pa_swio12_noled_pr_ee_ce       a6612c_swio11_noled_pr_ee_ce      a6612c_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m88_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x487f3e9b7304f8c9, 0xbfea8cba8ec19bff, 0x47ff3c00b5a419b3, 0x1ef984e7736bb397,
  0x5ea3cae43ca76b2b, 0x159c3f51f06cc1e9, 0xc4522cd3ad08a053, 0xe7263a909afa30b2, 0xa6ec7aa3f90e7576,
  0x51ef76355e363af3, 0xecb65cc5c2422888, 0xd073ca8d8226470d, 0xe7ab36bcb955a967, 0x7673a8a9546bb3b0,
  0xa215359caed52df5, 0xd115e54292b637af, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0xd94462fe6db084c7, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x000000534d3ebc45,
};

/*
 * m88_swio12_noled_pr_ee_ce_u4      m88a_swio11_noled_pr_ee_ce_u4     m88a_swio12_noled_pr_ee_ce_u4
 * m88p_swio11_noled_pr_ee_ce_u4     m88p_swio12_noled_pr_ee_ce_u4     m88pa_swio11_noled_pr_ee_ce_u4
 * m88pa_swio12_noled_pr_ee_ce_u4    a6612c_swio11_noled_pr_ee_ce_u4   a6612c_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio11_noled_pr_ee_ce_u4[] = {
  0x1deeeeed173e1000, 0xcb4b1b388ceb164f, 0xd375b8bd04a87005, 0x63168123d3ac886e, 0x13be9d27cc9d93c7,
  0xddad5779dad9b323, 0xf9a79f149304f8c9, 0x17d51e9b1d95bffe, 0x6883cf002e775bf7, 0x1f097e21b09117dc,
  0xc5dcdae16467aff5, 0xb90f29dadcdbdf33, 0xd47c1b307a57a8f2, 0x34eb422814c5670f, 0xa426be8c2cb1148b,
  0xa8fe439d5db9c98e, 0x8d578d8ebce9bb1e, 0x3170908a22147bdd, 0xa3608991c37b2d97, 0xaf2e556a59f41cf2,
  0x2a551aecec39eacd, 0x672bb54b7d5d9cea, 0x50a4ad8debe8854d, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0xbf9b6c2131dbd8aa, 0xdf1726ae0f365118, 0x3ab31e40cd3e3458, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f9924dd6a9e4af,
};

/*
 * m88_swio12_noled_hw               m88a_swio11_noled_hw              m88a_swio12_noled_hw
 * m88p_swio11_noled_hw              m88p_swio12_noled_hw              m88pa_swio11_noled_hw
 * m88pa_swio12_noled_hw             a6612c_swio11_noled_hw            a6612c_swio12_noled_hw
 */
static const uint64_t ur_m88_swio11_noled_hw[] = {
  0x2783bbbbbacdc49f, 0xdcb4b10acebeb0d8, 0x006ea44cf741921d, 0x0661352569425f9b, 0x4133f4a64f75b04f,
  0x609f193bb98921ab, 0x3b0f5ffbe059feea, 0xaffea3c4277cb740, 0xba609ebe471cab03, 0xda32464d1cc580b7,
  0x741b8e58c11d78b9, 0x39eacdaf2e556a56, 0x5d9cea2a551aecec, 0xe8854d672bb54b7d, 0xb4457950a4ad8deb,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xdb288c5fcdb610c5, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0xba8a792bf734332c, 0x0000000000004715,
};

/*
 * m88_swio12_noled_ee_hw            m88a_swio11_noled_ee_hw           m88a_swio12_noled_ee_hw
 * m88p_swio11_noled_ee_hw           m88p_swio12_noled_ee_hw           m88pa_swio11_noled_ee_hw
 * m88pa_swio12_noled_ee_hw          a6612c_swio11_noled_ee_hw         a6612c_swio12_noled_ee_hw
 */
static const uint64_t ur_m88_swio11_noled_ee_hw[] = {
  0x6f26eeeed121be4a, 0xae5a58f531a7582f, 0xd23fbbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x9f193ba528eb6abe, 0x6ceff61ff3e70660, 0xacbacd56b4663c76, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df1594b,
  0x6909afa30b2c4522, 0xc873ab4bb935c6b2, 0x6ba1d79d3763d51f, 0x0908a22147bdd8d5, 0x11fadc37b2d97317,
  0xcaad402e839e546c, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0x95b1bd7d10a9ace5, 0xaeb9ed5688af2a14,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x05bef92617d3c95f,
};

/*
 * m88_swio12_noled_ce_hw            m88a_swio11_noled_ce_hw           m88a_swio12_noled_ce_hw
 * m88p_swio11_noled_ce_hw           m88p_swio12_noled_ce_hw           m88pa_swio11_noled_ce_hw
 * m88pa_swio12_noled_ce_hw          a6612c_swio11_noled_ce_hw         a6612c_swio12_noled_ce_hw
 */
static const uint64_t ur_m88_swio11_noled_ce_hw[] = {
  0xcc9eeeeed1218375, 0xb96962e058beb1cd, 0xd05dd75e5edfb7af, 0xc98715086c2d198e, 0xd89a59fbc77bbcdc,
  0x9827c64eec0b015a, 0x1d995bfd87fcfe9b, 0x12721295d717d7ba, 0x21b09117dc6883cf, 0x5fb06f0ff51f097e,
  0xf72c67eb2678bb9b, 0xc72ac0d67fa8ebe4, 0x88a731602edf97d1, 0xeccf1d7a3e764c51, 0x1e5add6b13ca807f,
  0xd59b5e5caad50898, 0x39d454aa35d9d873, 0x0a9ace576a96fabb, 0x8af2a1495b1bd7d1, 0x69de7c5aeb9ed568,
  0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0xa2317f36d84263b7, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x0000001d66cc1c82,
};

/*
 * m88_swio11_noled_ee_ce_u4_hw      m88_swio12_noled_ee_ce_hw         m88_swio12_noled_ee_ce_u4_hw
 * m88a_swio11_noled_ee_ce_hw        m88a_swio11_noled_ee_ce_u4_hw     m88a_swio12_noled_ee_ce_hw
 * m88a_swio12_noled_ee_ce_u4_hw     m88p_swio11_noled_ee_ce_hw        m88p_swio11_noled_ee_ce_u4_hw
 * m88p_swio12_noled_ee_ce_hw        m88p_swio12_noled_ee_ce_u4_hw     m88pa_swio11_noled_ee_ce_hw
 * m88pa_swio11_noled_ee_ce_u4_hw    m88pa_swio12_noled_ee_ce_hw       m88pa_swio12_noled_ee_ce_u4_hw
 * a6612c_swio11_noled_ee_ce_hw      a6612c_swio11_noled_ee_ce_u4_hw   a6612c_swio12_noled_ee_ce_hw
 * a6612c_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b1d95, 0x2fb8d1079e24e425, 0x8fea3e12fc436122,
  0x7ccf17736b9b7614, 0xa3cae43ca76b736f, 0x9c3f51f06cc1e95e, 0x522cd3ad08a05315, 0x263a909afa30b2c4,
  0xec7aa3f90e7576e7, 0xef76355e363af3a6, 0xb65cc5c242288851, 0x73ca8d8226470dec, 0xab36bcb955a967d0,
  0x73a8a9546bb3b0e7, 0x15359caed52df576, 0x15e54292b637afa2, 0xd3bcf8b5d73daad1, 0xce881077536294f0,
  0x62aa8b4b689c6378, 0x4462fe6db084c76f, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874, 0x00000002808dc805,
};

/*
 * m88_swio12_lednop_pr_ee           m88a_swio11_lednop_pr_ee          m88a_swio12_lednop_pr_ee
 * m88p_swio11_lednop_pr_ee          m88p_swio12_lednop_pr_ee          m88pa_swio11_lednop_pr_ee
 * m88pa_swio12_lednop_pr_ee         a6612c_swio11_lednop_pr_ee        a6612c_swio12_lednop_pr_ee
 */
static const uint64_t ur_m88_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbba88aaac, 0xcb96963d4c90ac24, 0xa17af5f460d7d594, 0x5dde6825ef6c982f, 0xd0ccdda084522224,
  0xf193bbe451d98989, 0xe5fe90fe7fabe609, 0xba59aad68f6f8ec8, 0xa3e0d9839c7d4795, 0xa75a1143be2b28be,
  0x2135f4616588a459, 0xce756977f17144cd, 0xa1d7aea6edf2237b, 0x1146f68ee1d8d56b, 0xd6e1bd970e462e12,
  0x59b5e5caad571cf7, 0x9d454aa35d9d873d, 0x0404e576a96fabb3, 0x292b97a5fd10a9ae, 0x407973daad115e54,
  0x44c2f52d794e02e7, 0xd10363fc50216958, 0xa2317f36d38c6f19, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000014f9b5ee22f9,
};

/*
 * m88_swio12_lednop_pr_ee_u4        m88a_swio11_lednop_pr_ee_u4       m88a_swio12_lednop_pr_ee_u4
 * m88p_swio11_lednop_pr_ee_u4       m88p_swio12_lednop_pr_ee_u4       m88pa_swio11_lednop_pr_ee_u4
 * m88pa_swio12_lednop_pr_ee_u4      a6612c_swio11_lednop_pr_ee_u4     a6612c_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xfd21fcf8d69827c6, 0x7355ad1edf1d9a6f, 0xc1b30738fa8f2b38, 0xb422877c565d7d47,
  0x6be8c2cb1148b34e, 0xd5a5ff72e2899a42, 0x5eba9bb6948e2139, 0x84c5188b6355ae87, 0xc37b2e1c8c5c2422,
  0x6bcb955aae2d6fad, 0x8a9546bb3b0e7ab3, 0x09caed52df57673a, 0x572f4bfa21535c08, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xa45f117cf257ee68, 0x00000000000004eb,
};

/*
 * m88_swio12_lednop_pr_ce           m88a_swio11_lednop_pr_ce          m88a_swio12_lednop_pr_ce
 * m88p_swio11_lednop_pr_ce          m88p_swio12_lednop_pr_ce          m88pa_swio11_lednop_pr_ce
 * m88pa_swio12_lednop_pr_ce         a6612c_swio11_lednop_pr_ce        a6612c_swio12_lednop_pr_ce
 */
static const uint64_t ur_m88_swio11_lednop_pr_ce[] = {
  0x661fddddddec53c3, 0x0ae5a58856242b0a, 0xbf4ddeecfe0f713a, 0xfc4436ac9b532678, 0x389b082543dd5330,
  0x27c64ee91f977646, 0xc387fe768cfb0598, 0x160e1753bfeb370e, 0x7736bceddadfe780, 0xcbe9ee580bac984e,
  0xa5471cab0359fea3, 0x244637ce62c058f7, 0x01ffb33c75e8f9db, 0xed40f2d6e83fd22a, 0xc39eacdaf2e556b2,
  0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0x317f36d8c4c76f62, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x000b756e3dc4f9e4,
};

/*
 * m88_swio12_lednop_pr_ce_u4        m88a_swio11_lednop_pr_ce_u4       m88a_swio12_lednop_pr_ce_u4
 * m88p_swio11_lednop_pr_ce_u4       m88p_swio12_lednop_pr_ce_u4       m88pa_swio11_lednop_pr_ce_u4
 * m88pa_swio12_lednop_pr_ce_u4      a6612c_swio11_lednop_pr_ce_u4     a6612c_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_swio11_lednop_pr_ce_u4[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe90fe7e394c13, 0xd269bb8bebdd0ecb, 0x222fb8d1079e005a, 0x6547ea3e12fc4361,
  0xcfd64cf17736b925, 0x0359fea3cbe9ee58, 0x62c058f7a5471cab, 0x75e8f9db244637ce, 0xe83fd22a01ffb33c,
  0xf2e556b2ed40f2d6, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xcbd2fe8854d70202, 0xb9ed5688af2a1495,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0x5c1e6ca2317f36d8, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xca88be792bf73433, 0x00000000000375ea,
};

/*
 * m88_swio12_lednop_pr_ee_ce        m88a_swio11_lednop_pr_ee_ce       m88a_swio12_lednop_pr_ee_ce
 * m88p_swio11_lednop_pr_ee_ce       m88p_swio12_lednop_pr_ee_ce       m88pa_swio11_lednop_pr_ee_ce
 * m88pa_swio12_lednop_pr_ee_ce      a6612c_swio11_lednop_pr_ee_ce     a6612c_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe90fe7dfe4c13e32, 0x3bfea8cba8ec0d1f, 0xc113f9e005ad2068, 0xb1ef984e7736bb41,
  0x95ea3caca5ca76b2, 0x315943f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e74a3a909afa30b, 0x3a6ed22239b8e757,
  0xf11c656355e363af, 0xdecb65cc5c242285, 0x76b13ca8d8226470, 0x0e7ab36bcb955a96, 0x57673a8a9546bb3b,
  0x535c0809caed52df, 0xbca852572f4bfa21, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0xc5fcdb63131dbd8a, 0x458f38b93571b288, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00534ec7f88be792,
};

/*
 * m88_swio12_lednop_pr_ee_ce_u4     m88a_swio11_lednop_pr_ee_ce_u4    m88a_swio12_lednop_pr_ee_ce_u4
 * m88p_swio11_lednop_pr_ee_ce_u4    m88p_swio12_lednop_pr_ee_ce_u4    m88pa_swio11_lednop_pr_ee_ce_u4
 * m88pa_swio12_lednop_pr_ee_ce_u4   a6612c_swio11_lednop_pr_ee_ce_u4  a6612c_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio11_lednop_pr_ee_ce_u4[] = {
  0x3bddddda2e7c92df, 0x9696367327562c9e, 0xaecb4fd9b150e00b, 0xc62d08cc489a5295, 0xc4f91a4f993b278e,
  0x7547d0855f136cce, 0xcd3cff60cc13e327, 0xbea8f4d8ec43eff7, 0x441e780173b43eb8, 0xf84bf10d8488bee3,
  0x5dcdaf1f75c95fa8, 0x29729dadcdbdf33c, 0x47c1b307a57a8f2b, 0x4eb422814c5650fd, 0x426be8c2cb1148b3,
  0x8e6e39d5db9d28ea, 0xd578d8ebce9bb488, 0x170908a17c471958, 0x3608991c37b2d973, 0xf2e556a59dac4f2a,
  0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xcbd2fe8854d70202, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae,
  0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0x5c1e6ca2317f36d8, 0x819a7c68b1be2e4d, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xdbad53c95fb9a199,
  0x000000000013f36b,
};

/*
 * m88_swio12_lednop_hw              m88a_swio11_lednop_hw             m88a_swio12_lednop_hw
 * m88p_swio11_lednop_hw             m88p_swio12_lednop_hw             m88pa_swio11_lednop_hw
 * m88pa_swio12_lednop_hw            a6612c_swio11_lednop_hw           a6612c_swio12_lednop_hw
 */
static const uint64_t ur_m88_swio11_lednop_hw[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x03b244ffbe059f0f, 0x3affea3af877cb74, 0xf74db7e5f471cab0, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x1cf566d7972ab52b, 0xaece75152a8d7676, 0xa6b8101395daa5be, 0x7950a4ae5e97f442,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xc5fcdb6318ab7b15, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000008e2fae8a7,
};

/*
 * m88_swio12_lednop_ee_hw           m88a_swio11_lednop_ee_hw          m88a_swio12_lednop_ee_hw
 * m88p_swio11_lednop_ee_hw          m88p_swio12_lednop_ee_hw          m88pa_swio11_lednop_ee_hw
 * m88pa_swio12_lednop_ee_hw         a6612c_swio11_lednop_ee_hw        a6612c_swio12_lednop_ee_hw
 */
static const uint64_t ur_m88_swio11_lednop_ee_hw[] = {
  0x6f26eeeed121af43, 0xae5a58f53a0b582f, 0xefd3dd803d2f8936, 0xbc8a671f1a67ed4d, 0x68b51590229110bd,
  0x9f193bad3bed6eca, 0x0d6ff61ff3e96a60, 0xad82cd56b4663c76, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xa5fd10a9ae0404e5, 0xdaad115e54292b97,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x1e6ca2317f36d8c6, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x1582fa792bf73433,
  0x0000000000005be0,
};

/*
 * m88_swio12_lednop_ce_hw           m88a_swio11_lednop_ce_hw          m88a_swio12_lednop_ce_hw
 * m88p_swio11_lednop_ce_hw          m88p_swio12_lednop_ce_hw          m88pa_swio11_lednop_ce_hw
 * m88pa_swio12_lednop_ce_hw         a6612c_swio11_lednop_ce_hw        a6612c_swio12_lednop_ce_hw
 */
static const uint64_t ur_m88_swio11_lednop_ce_hw[] = {
  0x993ddddda2431768, 0x72d2c5c0a19d639b, 0xd91ddf4b5a3f6f5f, 0x261c54262f362c7e, 0xf67ae34d4deef373,
  0x609f193ba6e8ed68, 0x765baff61ff3f1ca, 0x49c84b4ddc5f5ee8, 0x86c2445f71a20f3c, 0x798667cfd47c25f8,
  0xdcb19fac99e2ee6d, 0x395606b3fd4797d3, 0x6f9cc580b1ef4a8e, 0x6678ebd1f3b6488c, 0xe5add07fa45403ff,
  0x59b5e5caad65da81, 0x9d454aa35d9d873d, 0x0404e576a96fabb3, 0x292b97a5fd10a9ae, 0x2b5d73daad115e54,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6db1898edec55516, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x759be10f85f4f257,
};

/*
 * m88_swio11_lednop_ee_ce_u4_hw     m88_swio12_lednop_ee_ce_hw        m88_swio12_lednop_ee_ce_u4_hw
 * m88a_swio11_lednop_ee_ce_hw       m88a_swio11_lednop_ee_ce_u4_hw    m88a_swio12_lednop_ee_ce_hw
 * m88a_swio12_lednop_ee_ce_u4_hw    m88p_swio11_lednop_ee_ce_hw       m88p_swio11_lednop_ee_ce_u4_hw
 * m88p_swio12_lednop_ee_ce_hw       m88p_swio12_lednop_ee_ce_u4_hw    m88pa_swio11_lednop_ee_ce_hw
 * m88pa_swio11_lednop_ee_ce_u4_hw   m88pa_swio12_lednop_ee_ce_hw      m88pa_swio12_lednop_ee_ce_u4_hw
 * a6612c_swio11_lednop_ee_ce_hw     a6612c_swio11_lednop_ee_ce_u4_hw  a6612c_swio12_lednop_ee_ce_hw
 * a6612c_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b1d88, 0x2fb8d1079e24e424, 0xbfea3e12fc436122,
  0x7ccf17736babae30, 0xa3caca5ca76b736f, 0x943f51f06cc1e95e, 0x522cd3ad08a05315, 0x4a3a909afa30b2c4,
  0xed22239b8e7576e7, 0xc656355e363af3a6, 0xb65cc5c242285f11, 0x13ca8d8226470dec, 0xab36bcb955a9676b,
  0x73a8a9546bb3b0e7, 0xc0809caed52df576, 0x852572f4bfa21535, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0050165a50be9e4a,
};

/*
 * m88_swio11_dual_pr                m88_swio12_dual                   m88_swio12_dual_pr
 * m88a_swio11_dual                  m88a_swio11_dual_pr               m88a_swio12_dual
 * m88a_swio12_dual_pr               m88p_swio11_dual                  m88p_swio11_dual_pr
 * m88p_swio12_dual                  m88p_swio12_dual_pr               m88pa_swio11_dual
 * m88pa_swio11_dual_pr              m88pa_swio12_dual                 m88pa_swio12_dual_pr
 * a6612c_swio11_dual                a6612c_swio11_dual_pr             a6612c_swio12_dual
 * a6612c_swio12_dual_pr
 */
static const uint64_t ur_m88_swio11_dual[] = {
  0x1ebeeeeeef3e1000, 0xa66a1ca115f61f08, 0xd8d5ab07e9e2f2b6, 0xb411f3b402ac496a, 0xa4cfb453b74207ae,
  0xc7772ad577d17ecd, 0x0025239bf304f8c9, 0x60caeb036d2b88b2, 0xd6a9dd3e25c40c28, 0x7f0e0bee628bf994,
  0xac0fba9bd478f7b0, 0x057f98d022847242, 0xf77c5ded7600dc3e, 0x8432d08c910caee2, 0xa5ffd01cf09ad68a,
  0xa260b0de579096dc, 0xef965ae3b0a2ff9d, 0x71cab03defd47ee8, 0x31602a83cce4c3dc, 0x3af006764011a627,
  0xdbde37d500ffd982, 0xddc5495f3a81e59e, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x809caed52df57673,
  0x2572f4bfa21535c0, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xc9ab83cd94462fe6, 0x8f20669f1a2c79c5, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb, 0xf5dd6a9e4afdcd0c,
  0x0000000000006209,
};

/*
 * m88_swio12_dual_pr_u4             m88a_swio11_dual_pr_u4            m88a_swio12_dual_pr_u4
 * m88p_swio11_dual_pr_u4            m88p_swio12_dual_pr_u4            m88pa_swio11_dual_pr_u4
 * m88pa_swio12_dual_pr_u4           a6612c_swio11_dual_pr_u4          a6612c_swio12_dual_pr_u4
 */
static const uint64_t ur_m88_swio11_dual_pr_u4[] = {
  0x9fbddddda24343ee, 0x99a8728481787da5, 0x1edbbf4ec8a08482, 0x9fb7a741772741bd, 0xb4f00a69c1bb75a5,
  0x19398dcabbf22421, 0x8b2002521492609f, 0xc2860caeb036d2b8, 0xe65d849dd3e25c40, 0x4d86df3807b98c7f,
  0xc90ab03d2a6f51e4, 0x70f815fe63408a11, 0x5dc5eef8bbffe003, 0x3d150865a16b2219, 0x2db9c3ffa039e131,
  0xfe90fcc161bcaf21, 0xe713be5a0f8ec5f7, 0x4dd1c72ac0fa0f51, 0x83e731602fe1cc65, 0xb1823af22ddb22a3,
  0x9ddc5494ace9371c, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x0809caed52df5767, 0x52572f4bfa21535c,
  0x80f2e7b55a22bca8, 0x8985ea5af29c05ce, 0xa206c7f8a042d2b0, 0x4462fe6da718de33, 0x7771a2c6f86e3cd9,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xe149e4afdcd0ccb0, 0x0000000029273e0a,
};

/*
 * m88_swio12_dual_pr_ee             m88a_swio11_dual_pr_ee            m88a_swio12_dual_pr_ee
 * m88p_swio11_dual_pr_ee            m88p_swio12_dual_pr_ee            m88pa_swio11_dual_pr_ee
 * m88pa_swio12_dual_pr_ee           a6612c_swio11_dual_pr_ee          a6612c_swio12_dual_pr_ee
 */
static const uint64_t ur_m88_swio11_dual_pr_ee[] = {
  0x999eeeee87ad0c86, 0x3350e5434d7c3e6e, 0x3edd3ac02919c1b5, 0xf4e7ac806e7162dc, 0xb89578d73766e999,
  0xeec6ecbebf31766e, 0x5927304f8c9fa772, 0x606da571164004a4, 0xa7c4b881850c195d, 0x4b5305afccbb093b,
  0xb9bd471adb027470, 0x1a04508e485581e9, 0x7dd0c01b87c0aff3, 0x2fb4432bb8bddf17, 0x1cf0983dc5421968,
  0xde579096df4d7fd0, 0x87605aff487e60b0, 0xa3caedd4d56b47fb, 0xd37ea3e0d9830f7e, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x8cf539d5a5d82ae2, 0xd56ba1d7a897631e, 0x170908a34a4710d8, 0xd823f5b86f65f4b3,
  0x77152500b2288aa8, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0x0272bb54b7d5d9ce, 0x95cbd2fe8854d702,
  0xaeb9ed5688af2a14, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6c63156f62aa8b49, 0x3e1b8f365118bf9b,
  0x75666fe0eee3459d, 0x5f989fca1854e7ea, 0xff04d0f22678b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x04b852792bf73433, 0x0000000000002b22,
};

/*
 * m88_swio12_dual_pr_ee_u4          m88a_swio11_dual_pr_ee_u4         m88a_swio12_dual_pr_ee_u4
 * m88p_swio11_dual_pr_ee_u4         m88p_swio12_dual_pr_ee_u4         m88pa_swio11_dual_pr_ee_u4
 * m88pa_swio12_dual_pr_ee_u4        a6612c_swio11_dual_pr_ee_u4       a6612c_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m88_swio11_dual_pr_ee_u4[] = {
  0x4e4eddddda2432db, 0xa66a1ca8762f87ec, 0x9afbad89d9471e9c, 0xc9d4ccdd69624e5a, 0x1fb9c55e35cddd89,
  0x5b91c115603e33a5, 0x2522c939827c64b4, 0xcaeb036d2b88b200, 0x49dd3e25c40c2860, 0x6380d6989d7e65d8,
  0x0f2b4dea3e9bd845, 0x7f98d022847242ac, 0x7c5df95000dc3e05, 0x65a11ed10caee2f7, 0xffa039e134891508,
  0xc161bcaf212dbe9a, 0x8e030ec0b5fe90fc, 0x913d4795a9e9aad6, 0xbe2b387ea3e0d983, 0x6588a459a75a1143,
  0xb2e105cd2135f461, 0xb2008c1439d5a5d2, 0x45b1aad743af6b13, 0x8f8c5c242287bd1e, 0x4957170feb70decb,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c, 0x7b55a22bca852572,
  0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x6da718de33a20517, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00005642cee149e4,
};

/*
 * m88_swio12_dual_pr_ce             m88a_swio11_dual_pr_ce            m88a_swio12_dual_pr_ce
 * m88p_swio11_dual_pr_ce            m88p_swio12_dual_pr_ce            m88pa_swio11_dual_pr_ce
 * m88pa_swio12_dual_pr_ce           a6612c_swio11_dual_pr_ce          a6612c_swio12_dual_pr_ce
 */
static const uint64_t ur_m88_swio11_dual_pr_ce[] = {
  0xae3dddddde7cbd5b, 0x99a872842d587cc4, 0xefdea3b8e341685a, 0xdac139df69eb157e, 0xed9f20add312b8cf,
  0x2172eefdc05ad07a, 0x02520dbb9827c64b, 0x0caeb036d2b88b20, 0x6a9dd3e25c40c286, 0x38e121e62ebf994d,
  0x035f737a8ee4f61f, 0x5fe63408a11c90ab, 0xdf177de180370f81, 0x0cb43244432bb8bd, 0xbfe80e784cb5e2a1,
  0x30586f2bc84b6f6e, 0xfd4141d85d7fced1, 0x6ffe780173b29677, 0x871984e7736bdadd, 0x327bd479c67b9602,
  0x2c0531e7ac71cab0, 0xd7916ecbe238c8e6, 0xa4a3ac8bb8e58cf1, 0x5caad67f157ceee2, 0xaa35d9d873d59b5e,
  0x576a96fabb39d454, 0x7a5fd10a9ae0404e, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0x83cd94462fe6db18, 0x669f1a2c79c5c9ab, 0x3d30ae4fdd598f20, 0x9296cf8138cb25c3,
  0x6a9e4afdcd0ccb0e, 0x0000000039ebc6dd,
};

/*
 * m88_swio12_dual_pr_ce_u4          m88a_swio11_dual_pr_ce_u4         m88a_swio12_dual_pr_ce_u4
 * m88p_swio11_dual_pr_ce_u4         m88p_swio12_dual_pr_ce_u4         m88pa_swio11_dual_pr_ce_u4
 * m88pa_swio12_dual_pr_ce_u4        a6612c_swio11_dual_pr_ce_u4       a6612c_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m88_swio11_dual_pr_ce_u4[] = {
  0x2313b77776890c86, 0xa99a87099d57e1f3, 0xd77ee80a2952ed60, 0xe3121b9d6f7ed396, 0x8a1640258b74c8c4,
  0x6c8dcbbb1bb2d079, 0x001290f00cc13e32, 0x30657581b695c459, 0xec24ee9f12e20614, 0x3671c2394c707f32,
  0x56078126f51edd6c, 0x02bfcc6811423921, 0x7bbe2ef524006e1f, 0x8432d00f68865771, 0x9bffa039e1304f8a,
  0xf982c3795e425b71, 0x17d5fc1d8707fd21, 0x6883cf1272122757, 0x1f097e21b09117dc, 0xe2ee6d76838227f5,
  0x1c27cf72c67d4b99, 0x5dbf1c72ac0ed6f5, 0x64011a6273160294, 0x500ffd99e3af0067, 0x7cea0796b73de37d,
  0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d8c4c7, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x1570a4f257ee6866, 0x000000000000d248,
};

/*
 * m88_swio12_dual_pr_ee_ce          m88a_swio11_dual_pr_ee_ce         m88a_swio12_dual_pr_ee_ce
 * m88p_swio11_dual_pr_ee_ce         m88p_swio12_dual_pr_ee_ce         m88pa_swio11_dual_pr_ee_ce
 * m88pa_swio12_dual_pr_ee_ce        a6612c_swio11_dual_pr_ee_ce       a6612c_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m88_swio11_dual_pr_ee_ce[] = {
  0xf87b6eeeeea1a5fb, 0x53350e17bc89c3ea, 0x337bbd7610deb14a, 0x999a4c70b26d47f7, 0x8fceec179a557c3d,
  0xa591aeaa312acbeb, 0x3cf5cc13e3251ddc, 0xb036d2b88b200252, 0xd3e25c40c2860cae, 0x3fc9b107e65d849d,
  0xfcdea3868d869a38, 0x1a04508e485581d8, 0x7ae0801b87c0aff3, 0x3054432bb8bddf17, 0x1cf09a43c5421968,
  0xbcaf212db9adffd0, 0x0ecc41fe90fcc161, 0x39096203bfea8f2b, 0xdcdaea91eeb7e789, 0x5d29dacac9ba6139,
  0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669, 0x9ea73abb73051d48, 0x5e363af512ec63d1,
  0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b, 0x5e5caad67f157cee, 0x54aa35d9d873d59b,
  0x4e576a96fabb39d4, 0xb97a5fd10a9ae040, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x1898edec55516920, 0x86e3cd94462fe6db, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0x8269cb852792bf73, 0x0000000000000009,
};

/*
 * m88_swio12_dual_pr_ee_ce_u4       m88a_swio11_dual_pr_ee_ce_u4      m88a_swio12_dual_pr_ee_ce_u4
 * m88p_swio11_dual_pr_ee_ce_u4      m88p_swio12_dual_pr_ee_ce_u4      m88pa_swio11_dual_pr_ee_ce_u4
 * m88pa_swio12_dual_pr_ee_ce_u4     a6612c_swio11_dual_pr_ee_ce_u4    a6612c_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio11_dual_pr_ee_ce_u4[] = {
  0xaddddda26d3e421f, 0x439b6faf787d9f16, 0x6dcedfb9c47594cd, 0x8ff7d74211e1ecb2, 0x1238b3e2d4d8ac5f,
  0x750809793abdfb84, 0x6494ab917d60b68d, 0xc800948bd9e9827c, 0xa1832bac0db4ae22, 0xafda2774f8971030,
  0x6371c3b066bc3fcc, 0x581e209bd4743ed8, 0x0aff31a04508e485, 0xddf1778aa001b87c, 0x219684724432bb8b,
  0x57fd01cf09b7dc54, 0xcc161bcaf212dbd2, 0x464e8765e1ffbe69, 0xe789380e5e1dc5f5, 0xbf10d8488bee3441,
  0x6d71545927fa8f84, 0x94ed6e6e6e99e2ee, 0x1b307b7fd4795cae, 0x422814c57befd47c, 0xbe8c2cb1148b34eb,
  0x539d5db9828ea426, 0x1b1d7a897631e8cf, 0x21146948e21b1aaf, 0x26470decbe9662e1, 0x5252cf2288aa8d82,
  0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a, 0xbd2fe8854d702027, 0x9ed5688af2a1495c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x4c76f62aa8b49053, 0xc1e6ca2317f36d8c, 0x6fd0468b1be2e4d5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x0000000010009a07,
};

/*
 * m88_swio12_dual_hw                m88a_swio11_dual_hw               m88a_swio12_dual_hw
 * m88p_swio11_dual_hw               m88p_swio12_dual_hw               m88pa_swio11_dual_hw
 * m88pa_swio12_dual_hw              a6612c_swio11_dual_hw             a6612c_swio12_dual_hw
 */
static const uint64_t ur_m88_swio11_dual_hw[] = {
  0xebeeeeed121b9a7c, 0x66a1ca115f61f081, 0xd5bab07e9e2f2b6a, 0xd6823e76805589d2, 0x7499f68a76e840f5,
  0x938eee4842339b7d, 0x64004a4737e609f1, 0x50c195d606da5711, 0xcbb093ba7c4b8818, 0xd83f8705f73145fc,
  0x215607dd4dea3c7b, 0x1f02bfcc68114239, 0x717bbe2ef6bb006e, 0x4542196846488657, 0x6e52ffe80e784d6b,
  0x0a8330586f2bc84b, 0xd1df2cb5c76145ff, 0xb8e395607bdfa8fd, 0x4e62c0550799c987, 0x0475e00cec80234c,
  0x3db7bc6faa01ffb3, 0xf3bb8a92be7503cb, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x8101395daa5beaec,
  0x0a4ae5e97f442a6b, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545,
  0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x0637540560be9e4a,
};

/*
 * m88_swio12_dual_ee_hw             m88a_swio11_dual_ee_hw            m88a_swio12_dual_ee_hw
 * m88p_swio11_dual_ee_hw            m88p_swio12_dual_ee_hw            m88pa_swio11_dual_ee_hw
 * m88pa_swio12_dual_ee_hw           a6612c_swio11_dual_ee_hw          a6612c_swio12_dual_ee_hw
 */
static const uint64_t ur_m88_swio11_dual_ee_hw[] = {
  0xa667bbbbb4486f97, 0x4cd43950d35f0f9b, 0x0fb74eb00a46706d, 0x7d39eb201b9c58b7, 0xae255e35cdd9ba66,
  0x77278233ad53ad9b, 0x4a45927304f8c9fa, 0x95d606da57116400, 0x93ba7c4b881850c1, 0x4704b5305afccbb0,
  0x1e9b9bd471adb027, 0xff31a04508e48558, 0xf177dd0c01b87c0a, 0x9682fb4432bb8bdd, 0xfd01cf0983dc5421,
  0x0b0de579096df4d7, 0xff70ec0b5fe15066, 0xefd4795dba9aad68, 0xc57a6fd47c1b3061, 0xb1148b34eb422877,
  0x5c54b9a426be8c2c, 0x63d19ea73ab4bb05, 0x1b1aad743af512ec, 0x9662e121146948e2, 0x551b047eb70decbe,
  0x7ceee2a4a0164511, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0xe0404e576a96fabb, 0x4292b97a5fd10a9a,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0002bb48102fa792,
};

/*
 * m88_swio12_dual_ce_hw             m88a_swio11_dual_ce_hw            m88a_swio12_dual_ce_hw
 * m88p_swio11_dual_ce_hw            m88p_swio12_dual_ce_hw            m88pa_swio11_dual_ce_hw
 * m88pa_swio12_dual_ce_hw           a6612c_swio11_dual_ce_hw          a6612c_swio12_dual_ce_hw
 */
static const uint64_t ur_m88_swio11_dual_ce_hw[] = {
  0xc4eddddda2436f02, 0x66a1c26755f87cc8, 0xdfba028a54bb582a, 0xc486e75bdfb4e5b5, 0x85900962dd323138,
  0xb23727f0f9afa2cd, 0x004a43c03304f8c9, 0xc195d606da571164, 0xb093ba7c4b881850, 0xd9c708e531c1fccb,
  0x581e049bd47b75b0, 0x0aff31a04508e485, 0xeef8bbd49001b87c, 0x10cb403da2195dc5, 0x6ffe80e784c13e2a,
  0x660b0de579096dc6, 0xbeafe0ec383fe150, 0x441e789390913ab8, 0xf84bf10d8488bee3, 0xc5dcdaec87495fa8,
  0x384f9ee58cfa9733, 0xbb7e38e5581dadea, 0xc80234c4e62c0528, 0xa01ffb33c75e00ce, 0xf9d40f2d6e7bc6fa,
  0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0xa96fabb39d454aa3, 0xfd10a9ae0404e576, 0xad115e54292b97a5,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6db1898e, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658,
  0x00000000004dd605,
};

/*
 * m88_swio12_dual_ee_ce_hw          m88a_swio11_dual_ee_ce_hw         m88a_swio12_dual_ee_ce_hw
 * m88p_swio11_dual_ee_ce_hw         m88p_swio12_dual_ee_ce_hw         m88pa_swio11_dual_ee_ce_hw
 * m88pa_swio12_dual_ee_ce_hw        a6612c_swio11_dual_ee_ce_hw       a6612c_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m88_swio11_dual_ee_ce_hw[] = {
  0xf0f6dddddd435032, 0xa66a1c2f791387d5, 0x66f77aec21bd6294, 0x333498e164da8fee, 0x1f9dd82f34aaf87b,
  0xb955eda3fbdd97d7, 0xa479eb9827c64a3b, 0x5d606da571164004, 0x3ba7c4b881850c19, 0x707f93620fccbb09,
  0xb1f9bd470d1b0d34, 0xe63408a11c90ab03, 0x2ef5c100370f815f, 0xd060a88657717bbe, 0xa039e134878a8432,
  0xc3795e425b735bff, 0xac3b3107f8541982, 0x24e425880effaa3c, 0x73b9b5f2a1a0ff9e, 0x72ba53b5959374c2,
  0x51f06cc1edff51e5, 0xd3ad08a05315efbf, 0x909afa30b2c4522c, 0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7,
  0x8b848451a523886c, 0x3608991c37b2fa59, 0xddc5494b3c8a22aa, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab,
  0x809caed52df57673, 0x2572f4bfa21535c0, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842,
  0xb63131dbd8aaa2d2, 0xfb0dc79b288c5fcd, 0x32c970cf4c2b93f3, 0x4332c3a4a5b3e04e, 0x9a7a702fa792bf73,
  0x0000000000000008,
};

/*
 * m88_swio12_dual_ee_ce_u4_hw       m88a_swio11_dual_ee_ce_u4_hw      m88a_swio12_dual_ee_ce_u4_hw
 * m88p_swio11_dual_ee_ce_u4_hw      m88p_swio12_dual_ee_ce_u4_hw      m88pa_swio11_dual_ee_ce_u4_hw
 * m88pa_swio12_dual_ee_ce_u4_hw     a6612c_swio11_dual_ee_ce_u4_hw    a6612c_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio11_dual_ee_ce_u4_hw[] = {
  0x6addddda28d1bf5b, 0xd439b6faf787d9f1, 0xeedcedfb9c47594c, 0xc5f8ff7d7421d1e1, 0xb841238b3e2d4d8a,
  0xd601d9017793abdf, 0xf4c13e324a55c99b, 0xda571164004a45ec, 0x4b881850c195d606, 0xbc3fccb20d53ba7c,
  0x743ed86371c3b066, 0x08e485581e209bd4, 0x01b87c0aff31a045, 0x32bb8bddf1778aa0, 0xb7dc542196847244,
  0x12dbd257fd01cf09, 0xffe43fcc161bcaf2, 0x3b8bea8c9d0ecbc3, 0xc6883cf162fa12bc, 0x51f097e21b09117d,
  0x3c5dcdae16467aff, 0x2b95d29dadcdcdd3, 0xfa8f83660f6ffa8f, 0x669d68450298af7d, 0xd484d7d185962291,
  0x3d19ea73abb73051, 0x6355e363af512ec6, 0xcc5c24228d291c43, 0x51b044c8e1bd97d2, 0xceee2a4a59e45115,
  0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x0404e576a96fabb3, 0x292b97a5fd10a9ae, 0x2b5d73daad115e54,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6db1898edec55516, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0xd75b566f405cf257,
  0x0000000000000001,
};

/*
 * m88a_swio13_noled_pr_ee           m88p_swio13_noled_pr_ee           m88pa_swio13_noled_pr_ee
 * a6612c_swio13_noled_pr_ee
 */
static const uint64_t ur_m88_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x6532e5a58f53c2ab, 0x5e34f685efa5ad35, 0xd9fbbcd07c5ebd38, 0x8ecfde2f5a08a444,
  0x13e3277699a33fa6, 0x6456ff3b467c9d4c, 0xe57f3a6ab5a33287, 0x57a8f83660d00f51, 0x1669d68450ef8aea,
  0x33484d7d18596229, 0x5ae73ab4b98f5c51, 0x6ba1d7aea6ed10a3, 0x0908a04547d258d5, 0xffeb70decb872317,
  0x3d59b5e5caad5715, 0xb39d454aa35d9d87, 0xa6b395daa5beaa6f, 0xe54292ad5ef5f442, 0xa779fad73daad115,
  0x6173a9d4e02ca54f, 0x19d1022fdc502169, 0x6ca2317f36d38c6f, 0x76d0d163ce2e4d5c, 0x3d30ae4fdd598f20,
  0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9, 0x000000029f1539c4,
};

/*
 * m88a_swio13_noled_pr_ee_u4        m88p_swio13_noled_pr_ee_u4        m88pa_swio13_noled_pr_ee_u4
 * a6612c_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m88_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xdfe90fe7c9d4c13e, 0xa5cd56b46fe0ec8a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xecec39eacdaf2e55, 0xf5537d9cea2a551a, 0xafa215359caed52d, 0x5688af2a14956af7,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x1e6ca2317f36c648, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x88be792bf734332c, 0x0000000000275cb3,
};

/*
 * m88a_swio13_noled_pr_ce           m88p_swio13_noled_pr_ce           m88pa_swio13_noled_pr_ce
 * a6612c_swio13_noled_pr_ce
 */
static const uint64_t ur_m88_swio13_noled_pr_ce[] = {
  0xfb6eeeeeef623f3e, 0x82b969621594dd61, 0x5bd067a917c4dc4e, 0x7e22307c760bfd29, 0xd390424200dd7ed8,
  0x09f193bb64560841, 0xb1d2ff9da33e52e6, 0x0583921ceffa8283, 0x9dcdae9b73b7f9e0, 0x79ba7b9602eb2613,
  0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7, 0x5f5b81e5adc22934, 0x9d873d59b5e5caad,
  0xaa6fb39d454aa35d, 0xf442a6b395daa5be, 0xd115e54292ad5ef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294,
  0x6f62aa8b4b689c63, 0x1b288c5fcdb190c7, 0x1db43458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970,
  0x3e792bf734332c3a, 0x00000002dd479771,
};

/*
 * m88a_swio13_noled_pr_ce_u4        m88p_swio13_noled_pr_ce_u4        m88pa_swio13_noled_pr_ce_u4
 * a6612c_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m88_swio13_noled_pr_ce_u4[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff487f3fb3a60, 0xad26fbb8bebb7c76, 0x1222fb8d1079e005, 0x89257ea3e12fc436,
  0x8cfd64cf17736bdc, 0xac0c9ef51e6e9ee5, 0x9cc580a654e31c72, 0x3c75e8f9da2147bd, 0x6b708a4d2a01ffb3,
  0x6d7972ab57d6e079, 0x5152a8d76761cf56, 0xe576a96faa9bece7, 0xa4ab57bd7d10a9ac, 0x2d75cf6ab4457950,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xf36c6431dbd8aaa2, 0xe2e4d5c1e6ca2317, 0xeacc7903f2868b1b,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x6ebc7d788be792bf,
};

/*
 * m88a_swio13_noled_pr_ee_ce        m88p_swio13_noled_pr_ee_ce        m88pa_swio13_noled_pr_ee_ce
 * a6612c_swio13_noled_pr_ee_ce
 */
static const uint64_t ur_m88_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff487f3fa6a609f1, 0xe1dff54652c767fc, 0x50d07fcf002d693f, 0xcac7be6139dcdaf9,
  0x67afa8f2b38729da, 0x14c565d7d47c1b30, 0x2cb1148b34eb4228, 0x5db92b0ea426be8c, 0xbce9bb7508f2439d,
  0x7c88e0fd8d578d8e, 0x86f65b2e62e12114, 0x67d260b546c11323, 0xb0e7ab36bcb955a9, 0x4df673a8a9546bb3,
  0x8854d672bb54b7d5, 0x22bca85255abdebe, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f,
  0x65118bf9b63218ed, 0xf2868b1e71726ae3, 0xe985727eeacc7903, 0x4b659289c6592e19, 0xcf257ee686658749,
  0x000000534ce7d117,
};

/*
 * m88a_swio13_noled_pr_ee_ce_u4     m88p_swio13_noled_pr_ee_ce_u4     m88pa_swio13_noled_pr_ee_ce_u4
 * a6612c_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6d3a, 0x0b969636711dd614, 0x75a53b4ddb2150e0, 0x8ec620906e5db453, 0x2727189a4f993537,
  0x2776e76cd8f6c996, 0xf7cd3cfe374c13e3, 0xb8bea8f670ec6bbf, 0xe3441e780173b6bb, 0xa8f84bf10d8488be,
  0x3c5dcdafc3fc7ddf, 0x2b38729dadcdbdf3, 0x7d47c1b3067afa8f, 0xb34eb422814c565d, 0xea426be8c2cb1148,
  0x508f2439d5db92b0, 0xd8d578d8ebce9bb7, 0xe62e121147c88e0f, 0x546c1132386f65b2, 0x6bcb955a967d260b,
  0x8a9546bb3b0e7ab3, 0x2bb54b7d54df673a, 0x255abdebe8854d67, 0x6bae7b55a22bca85, 0xeea6c529e1a779f1,
  0x96d138c6f19d1020, 0x9b63218edec55516, 0x1726ae0f365118bf, 0xb31e40cd3e3458df, 0x87bde50c2a73f53a,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xf9a389d6a9e4afdc,
  0x0000000000000009,
};

/*
 * m88a_swio13_noled_hw              m88p_swio13_noled_hw              m88pa_swio13_noled_hw
 * a6612c_swio13_noled_hw
 */
static const uint64_t ur_m88_swio13_noled_hw[] = {
  0x165bbbbbbacdfc4f, 0x1ddcb4b10acc46b0, 0xb4b8ee8da1654192, 0xf066127b86b97b36, 0xa826db19bbf742c8,
  0xfcc13e3277617ad1, 0x20ecea3fef8167f6, 0x07cf7a8ff21df2dd, 0xb7ba69126e8e3956, 0x73b64547d01cc580,
  0xace9371cb1823af1, 0xd873d59b5e5caad4, 0xa6fb39d454aa35d9, 0x442a6b395daa5bea, 0x115e54292ad5ef5f,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xd94462fe6d8c9156, 0x867a615c9f9fd86e,
  0xd252d964a271964b, 0x1453c95fb9a19961, 0x0000000000023897,
};

/*
 * m88a_swio13_noled_ee_hw           m88p_swio13_noled_ee_hw           m88pa_swio13_noled_ee_hw
 * a6612c_swio13_noled_ee_hw
 */
static const uint64_t ur_m88_swio13_noled_ee_hw[] = {
  0xc5eeeeeed121b768, 0xdab96963d4e85d63, 0x4f4d2ee8db623e24, 0x2de4531d7c33c5ef, 0x1545a0ab4114889e,
  0x04f8c9dd764afb67, 0xb22b7fb0ff9f2753, 0xf2b297355ad1bf83, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546bb3b0e7ab36bc, 0x54b7d54df673a8a9, 0xabdebe8854d672bb, 0xe7b55a22bca85255,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xdfccc50be9e4afdc,
  0x0000000000000002,
};

/*
 * m88a_swio13_noled_ce_hw           m88p_swio13_noled_ce_hw           m88pa_swio13_noled_ce_hw
 * a6612c_swio13_noled_ce_hw
 */
static const uint64_t ur_m88_swio13_noled_ce_hw[] = {
  0x45dddddda2431202, 0xbee5a58b811bbac2, 0xfd0837588f8b7ede, 0x4c987117b2b68242, 0xa82869c337a7ba91,
  0xe9827c64eeb336c5, 0xf1d92bbfd87fcfec, 0xe24e425beee2faed, 0xc4361222fb8d1079, 0x6b9adcc37ea3e12f,
  0x9ee58cfd64cf1773, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcf566d7972ab57d6, 0xece75152a8d76761, 0xa9ace576a96faa9b, 0x7950a4ab57bd7d10, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x2317f36c6431dbd8, 0xa9cfd4176371e6ca, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000001d66dbe082f,
};

/*
 * m88_swio13_noled_ee_ce_u4_hw      m88a_swio13_noled_ee_ce_hw        m88a_swio13_noled_ee_ce_u4_hw
 * m88p_swio13_noled_ee_ce_hw        m88p_swio13_noled_ee_ce_u4_hw     m88pa_swio13_noled_ee_ce_hw
 * m88pa_swio13_noled_ee_ce_u4_hw    a6612c_swio13_noled_ee_ce_hw      a6612c_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0x26bbb8bea8f670ec, 0x117dc6883cf12721, 0x75ff51f097e21b09,
  0x7be678bb9b5f9075, 0xf51e5670e53b5b9b, 0xacbafa8f83660cf5, 0x2291669d68450298, 0x2561d484d7d18596,
  0x376ea11e4873abb7, 0x1c1fb1aaf1b1d79d, 0xcb65cc5c24228f91, 0x4c16a8d8226470de, 0xf566d7972ab52cfa,
  0xce75152a8d76761c, 0x9ace576a96faa9be, 0x950a4ab57bd7d10a, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0x317f36c6431dbd8a, 0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000001405f6782fa,
};

/*
 * m88a_swio13_lednop_pr_ee          m88p_swio13_lednop_pr_ee          m88pa_swio13_lednop_pr_ee
 * a6612c_swio13_lednop_pr_ee
 */
static const uint64_t ur_m88_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x3fe90fe7e87e609f, 0x4f4d56b46fe0ec38, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0x0a9ae0404e576a96, 0x8af2a1495c925fd1,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x118bf9b6815156f6, 0x2ce9f1726ae0f365,
  0x3f53ab31e40fca1a, 0xce32fcc4fe50c2a7, 0xe7bff826879133c5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x75e05445f3c95fb9, 0x0000000000000002,
};

/*
 * m88a_swio13_lednop_pr_ee_u4       m88p_swio13_lednop_pr_ee_u4       m88pa_swio13_lednop_pr_ee_u4
 * a6612c_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xbfd21fcf9c19827c, 0x759aad68cca1d9b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x9b5e5caad57022fd, 0xd454aa35d9d873d5, 0x395daa5beaa6fb39, 0x72497f442a6b8101, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0xab83cd94462fe6da, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x341117cf257ee686, 0x000000000000275d,
};

/*
 * m88a_swio13_lednop_pr_ce          m88p_swio13_lednop_pr_ce          m88pa_swio13_lednop_pr_ce
 * a6612c_swio13_lednop_pr_ce
 */
static const uint64_t ur_m88_swio13_lednop_pr_ce[] = {
  0xfdb7777777b128ae, 0xa0ae5a588565a2b0, 0x377a7ef5e4327713, 0x0fc4460ea6f1dedb, 0x12256d90f1fbafdb,
  0x09f193ba69638b45, 0xb0baff9da33ea7a6, 0x0583852ceffa8283, 0xe7736bbfcc41f9e0, 0x1e719ee580bac984,
  0x79eb1c72ac0c9ef5, 0xb2f88e32398b014c, 0x5403ff6678ebd1f3, 0xdc3903cb5b86fdc3, 0x3b0e7ab36bcb955a,
  0x54df673a8a9546bb, 0x4d7020272bb54b7d, 0x7950a4ae492fe885, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x8bf9b681463b7b15, 0x8b1e71726ae36511, 0x727eeacc7903b686, 0x9289c6592e19e985,
  0x7ee6866587494b65, 0x0005bae36e27cf25,
};

/*
 * m88a_swio13_lednop_pr_ce_u4       m88p_swio13_lednop_pr_ce_u4       m88pa_swio13_lednop_pr_ce_u4
 * a6612c_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_swio13_lednop_pr_ce_u4[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x669bff487f3e35a6, 0x5ad26ceb8bebb7c7, 0x61222fb8d1079e00, 0x72e8ffea3e12fc43,
  0xb19fac99e2ee6d76, 0x558193dea3ce33dc, 0x473160298f3d638e, 0xcf1d7a3e765f11c6, 0x6b70dfb86a807fec,
  0x6d7972ab5b872079, 0x5152a8d76761cf56, 0xe576a96faa9bece7, 0xc925fd10a9ae0404, 0xb9ed5688af2a1495,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0x5c1e6ca2317f36d0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x2f88be792bf73433, 0x00000000000375d2,
};

/*
 * m88a_swio13_lednop_pr_ee_ce       m88p_swio13_lednop_pr_ee_ce       m88pa_swio13_lednop_pr_ee_ce
 * a6612c_swio13_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff487f3f6b7304f8, 0xb3bfea8ca58ec4db, 0x2737ff3c00b5a44d, 0x2b1ef984e7736ba9,
  0x9ebea3caca1ca76b, 0x5315b05f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e90e3a909afa30, 0xf3a6eddd23050e75,
  0x3723c8b6355e363a, 0x1bd96cb98b848451, 0xcc4526951b044c8e, 0x61cf566d7972ab52, 0x9bece75152a8d767,
  0xae0404e576a96faa, 0x2a1495c925fd10a9, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0x7f36d028c76f62aa, 0x63ce2e4d5c6ca231, 0x4fdd598f207e50d1, 0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2,
  0x14d317ee22f9e4af,
};

/*
 * m88a_swio13_lednop_pr_ee_ce_u4    m88p_swio13_lednop_pr_ee_ce_u4    m88pa_swio13_lednop_pr_ee_ce_u4
 * a6612c_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio13_lednop_pr_ee_ce_u4[] = {
  0xbdddddda2e7c4541, 0x172d2c6ce191ac29, 0x96bd6d86656ea1c0, 0x3b188223b836b8dd, 0xe817c9693e64d4de,
  0x4eea0126e7161f06, 0xef9a79f35b9827c6, 0xb8bea8f670ec149f, 0x71a20f3c00b9d8a4, 0xd47c25f886c2445f,
  0x9e2ee6d7f5a9e01f, 0x9594394ed6e6def9, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4,
  0xba460a1ceaedd21c, 0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d,
  0xa2a551aecec39eac, 0xcaed52df5537d9ce, 0x924bfa21535c0809, 0x73daad115e54292b, 0xb94b5f3a03c72b5d,
  0x718de33a20421520, 0x518edec55516920a, 0xb83cd94462fe6da0, 0x0334f8d1637c5c9a, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xb75aa792bf734332,
  0x000000000027e3cd,
};

/*
 * m88a_swio13_lednop_hw             m88p_swio13_lednop_hw             m88pa_swio13_lednop_hw
 * a6612c_swio13_lednop_hw
 */
static const uint64_t ur_m88_swio13_lednop_hw[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd20ec8f7ff7c0b3e, 0x607cf7a8ebe1df2d, 0x16f74c13e218e395, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x8ce88139f4502169, 0xb65118bf9b69c637, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0x7514f257ee686658, 0x0000000000008e2b,
};

/*
 * m88a_swio13_lednop_ee_hw          m88p_swio13_lednop_ee_hw          m88pa_swio13_lednop_ee_hw
 * a6612c_swio13_lednop_ee_hw
 */
static const uint64_t ur_m88_swio13_lednop_ee_hw[] = {
  0xc5eeeeeed121b705, 0x6d5cb4b1ea610563, 0xe15a62774b88cf12, 0x78b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x1d8707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca, 0xdaad115e54292b92,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x1e6ca2317f36d02a, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x34c2fa792bf73433,
  0x000000000000b7ff,
};

/*
 * m88a_swio13_lednop_ce_hw          m88p_swio13_lednop_ce_hw          m88pa_swio13_lednop_ce_hw
 * a6612c_swio13_lednop_ce_hw
 */
static const uint64_t ur_m88_swio13_lednop_ce_hw[] = {
  0x22eeeeeed12198e2, 0x5f72d2c5c09a5d61, 0x53d68bba306bbf6f, 0x29930e22f66ecadb, 0xda75a82d0bc2b752,
  0xd69827c64ee94e1e, 0xdf1d9a6ffd87fcf8, 0x9e24e425b3ae2fae, 0xfc4361222fb8d107, 0x6d7e5a66ffea3e12,
  0x33dcb19fac99e2ee, 0x638e558193dea3ce, 0x11c6473160298f3d, 0x7feccf1d7a3e765f, 0x20796b70dfb86a80,
  0xcf566d7972ab5b87, 0xece75152a8d76761, 0x0404e576a96faa9b, 0x1495c925fd10a9ae, 0x95aeb9ed5688af2a,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x1d66c9f842fa792b,
};

/*
 * m88_swio13_lednop_ee_ce_u4_hw     m88a_swio13_lednop_ee_ce_hw       m88a_swio13_lednop_ee_ce_u4_hw
 * m88p_swio13_lednop_ee_ce_hw       m88p_swio13_lednop_ee_ce_u4_hw    m88pa_swio13_lednop_ee_ce_hw
 * m88pa_swio13_lednop_ee_ce_u4_hw   a6612c_swio13_lednop_ee_ce_hw     a6612c_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x848525c5f547b387, 0x2445f71a20f3c49c, 0x5d4efd47c25f886c,
  0x9b7be678bb9b5fce, 0xf5f51e5650e53b5b, 0x98ad82fa8f83660c, 0x962291669d684502, 0xb74871d484d7d185,
  0x9d376ee9182873ab, 0xb91e45b1aaf1b1d7, 0xdecb65cc5c242289, 0x622934a8d8226470, 0x0e7ab36bcb955a96,
  0xdf673a8a9546bb3b, 0x7020272bb54b7d54, 0x50a4ae492fe8854d, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b681463b7b1554, 0xea0bb1b8f365118b, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x000a021eae17d3c9,
};

/*
 * m88_swio13_dual_pr                m88a_swio13_dual                  m88a_swio13_dual_pr
 * m88p_swio13_dual                  m88p_swio13_dual_pr               m88pa_swio13_dual
 * m88pa_swio13_dual_pr              a6612c_swio13_dual                a6612c_swio13_dual_pr
 */
static const uint64_t ur_m88_swio13_dual[] = {
  0xa2eeeeeeef3e6d3a, 0xda99a872849c587e, 0xab59f6f4e3138bca, 0xbad06947b3628171, 0x30e76ca295bb515e,
  0x9c7772b9db36eb79, 0x2002520c03304f8c, 0x860caeb036d2b88b, 0x4d6a9dd3e25c40c2, 0x07f0e0bee628bf99,
  0x2ac0fba9bd478f7b, 0xe057f98d02284724, 0x17bbe2ef80000dc3, 0x5421968464886577, 0xe50ffe80e784d6b4,
  0xed130586f2bc84b6, 0xf3be59ef1d9fbbfc, 0xc71cab0383fea3ed, 0x731602a83cc95a3d, 0x23af00676d291c42,
  0xf6d318c9500ffd98, 0xe7771525c0940f2c, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x09caed52df5537d9,
  0x2b924bfa21535c08, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692,
  0x4d5c1e6ca2317f36, 0x790334f8d163ce2e, 0x2e19e985727eeacc, 0x587494b67c09c659, 0x7ceb54f257ee6866,
  0x000000000000c40e,
};

/*
 * m88a_swio13_dual_pr_u4            m88p_swio13_dual_pr_u4            m88pa_swio13_dual_pr_u4
 * a6612c_swio13_dual_pr_u4
 */
static const uint64_t ur_m88_swio13_dual_pr_u4[] = {
  0x8bbbbbbb4486ff3e, 0x6a66a1ca127161fa, 0xd8d5bbd38c4e2f2b, 0xf5d6834a3d9b140b, 0xaf673b6514adda8a,
  0x4e3bb934f15ec75e, 0x90012906019827c6, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0x60fe1c17dcc517f3,
  0x85581f7537a8f1ef, 0x7c0aff31a04508e4, 0xe2f77c5df00001b8, 0x8a8432d08c910cae, 0xdca1ffd01cf09ad6,
  0x487e60b0de579096, 0x7cef967bc767eeff, 0x71c72ac0e0ffa8fb, 0x9cc580aa0f32568f, 0x08ebc019db4a4710,
  0x3db4c6325403ff66, 0xf9ddc549702503cb, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x0272bb54b7d54df6,
  0x4ae492fe8854d702, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4,
  0xdf0dc79b288c5fcd, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0524d6b55c293c95,
};

/*
 * m88a_swio13_dual_pr_ee            m88p_swio13_dual_pr_ee            m88pa_swio13_dual_pr_ee
 * a6612c_swio13_dual_pr_ee
 */
static const uint64_t ur_m88_swio13_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0xa99a872a1f7787ca, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6eca733,
  0x29646bacda15664c, 0x4771f304f8c9fa77, 0xd606da571164004a, 0xba7c4b881850c195, 0x04b5305afccbb093,
  0x9b9bd471adb02747, 0x31a04508e485581e, 0x77f75801b87c0aff, 0x82fb4432bb8bddf1, 0x01cf0983dc542196,
  0x1bcaf212dbcedffd, 0x31d9d3ffe90fcc16, 0xa8f2bd37355ad1b9, 0xf677a8f83660e3df, 0x291669d68450ef8a,
  0xa973484d7d185962, 0x23ea0e7569753cb8, 0x1aad743af512ecfe, 0x62e121141ea8fe4b, 0x1b047eb70decbe96,
  0x77715250087cded5, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x9caed52df5537d9c, 0xb924bfa21535c080,
  0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920, 0xe371e6ca2317f36d,
  0xaccdfc1ddc68b2d5, 0xc09c69430a9cfd4e, 0x85727e03e6879133, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000001591eb770a4,
};

/*
 * m88a_swio13_dual_pr_ee_u4         m88p_swio13_dual_pr_ee_u4         m88pa_swio13_dual_pr_ee_u4
 * a6612c_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m88_swio13_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0x7299a872a1e7de1f, 0x7bddeea0a7ad1c7a, 0x1793a9994edebb08, 0x4806abf7ec6b9bb8,
  0xd16e4f04674e16a7, 0x00948ee3e609f192, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0x158e035a6275f997,
  0xb03cad37a8fa6f61, 0x15fe63408a11c90a, 0xbbe2efe8f80370f8, 0x432d08f688657717, 0xdffd01cf09a448a8,
  0xcc161bcaf212dbce, 0xd1afb1d9d3ffe90f, 0x7dd7a8f2bc09355a, 0x77c565d7d47c1b30, 0x2cb1148b34eb4228,
  0xce5c20b9a426be8c, 0xeda52397c73ab4bf, 0x1f2c6ab5d0ebdac4, 0x71f18b84845098a3, 0x5495716b7d6e1bd9,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xb4e31bc674409cfa, 0xdf0dc79b288c5fcd, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x00564085dc293c95,
};

/*
 * m88a_swio13_dual_pr_ce            m88p_swio13_dual_pr_ce            m88pa_swio13_dual_pr_ce
 * a6612c_swio13_dual_pr_ce
 */
static const uint64_t ur_m88_swio13_dual_pr_ce[] = {
  0x33ddddddde7cd0e3, 0xb53350e5091ab0fd, 0xbd1d7d89c24682d0, 0x9fbe9c9cb6534edf, 0xa7d9623b5bb4cd71,
  0xc85cab8da0a6be44, 0x00948e41e609f192, 0x832bac0db4ae22c8, 0x5aa774f8971030a1, 0xce3848798bafe653,
  0xc0d7dcdea3b93d87, 0x57f98d022847242a, 0x77c5df30c00dc3e0, 0x432d0c9110caee2f, 0xbffa039e132d78a8,
  0x4c161bcaf212dbe9, 0xfeb2f87614bff3b4, 0xaeff3c00b9d9433b, 0xa1c66139dcdaf881, 0x0c9af51d009ee580,
  0xc580afe7511c72ac, 0x75e45bb4dc8f229c, 0x5494743e6e39633c, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0xf365118bf9b68146, 0xa7c68b1e71726ae0, 0x4c2b93f75663c819, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x0000001cf5e9c75a,
};

/*
 * m88a_swio13_dual_pr_ce_u4         m88p_swio13_dual_pr_ce_u4         m88pa_swio13_dual_pr_ce_u4
 * a6612c_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m88_swio13_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x6a66a1c26745f87d, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087ba8cc,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0xc32b1c37dcda6ff3,
  0x156065d66f51d4f6, 0xf02bfcc681142392, 0x17bbe2ef672006e1, 0xa8432d009e886577, 0xc2d7fd01cf09a718,
  0x87e60b0de579096d, 0x5c5f5328766ceff4, 0x71a20f3c49c84a2b, 0xd47c25f886c2445f, 0x99e2ee6d724aca8f,
  0x7a8e804f72c67871, 0x57f3a88e3956064d, 0x2dda6e47914e62c0, 0x3a1f371cb19e3af2, 0xad67f157ceee2a4a,
  0x5d9d873d59b5e5ca, 0xbeaa6fb39d454aa3, 0x42a6b8101395daa5, 0x22bca852572497f4, 0x74078e56bae7b55a,
  0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x88c5fcdb40a31dbd, 0xeee3458df0dc79b2, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xc293c95fb9a19961,
  0x000000000d244d05,
};

/*
 * m88a_swio13_dual_pr_ee_ce         m88p_swio13_dual_pr_ee_ce         m88pa_swio13_dual_pr_ee_ce
 * a6612c_swio13_dual_pr_ee_ce
 */
static const uint64_t ur_m88_swio13_dual_pr_ee_ce[] = {
  0xfce2ddddddd432db, 0x5294cd4385eda7b0, 0x1dfabeea7d96a7ac, 0x0f666673bdc61f20, 0xda0ce57105e69671,
  0x7723822ac1e199d4, 0x9483e7d304f8c947, 0x2bac0db4ae22c800, 0x2774f8971030a183, 0x8e0ff26c41f99761,
  0x763f37a8e1a361a6, 0xfcc6811423921560, 0xc5de164006e1f02b, 0x5a0c1510caee2f77, 0xf4073c2690f15086,
  0x586f2bc84b6f787f, 0x2b87656fffa43f30, 0x89390956f9dff547, 0x39dcdaf7437547e7, 0xbdf729dacac9ba61,
  0xd47c1b306657a8f2, 0x34eb422814c576eb, 0xa426be8c2cb1148b, 0x88fa839d5db94f0e, 0x8d578d8ebd44bb3f,
  0x3170908a0f547f25, 0x46c1132386f65f4b, 0x9ddc5494b31f37b5, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a,
  0x272bb54b7d54df67, 0xae492fe8854d7020, 0x75cf6ab4457950a4, 0x82e52d7ce80f1cad, 0x29c6378ce8810854,
  0x81463b7b15545a48, 0xe1b8f365118bf9b6, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813,
  0x04e93ae149e4afdc, 0x0000000000000013,
};

/*
 * m88a_swio13_dual_pr_ee_ce_u4      m88p_swio13_dual_pr_ee_ce_u4      m88pa_swio13_dual_pr_ee_ce_u4
 * a6612c_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9a8736d95ef0f962, 0x05b55e3af388eb29, 0xfbccdcda1372c9a7, 0x05048e2588b5362c,
  0x42ace797721ae2ed, 0x3e324a55cab00840, 0x1164004a46b82cc1, 0x1850c195d606da57, 0xe657ed13ba7c4b88,
  0x6c31b8e1d8335e1f, 0x42ac0f104dea3a1f, 0x3e057f98d0228472, 0x8bddf177a71e00dc, 0x54219684724432bb,
  0x9257fd01cf09b7dc, 0x69cc161bcaf212db, 0xea8fabc764c37fbe, 0x83cf12701c986b8b, 0x097e21b09117dc68,
  0xb9b5d38fee3ff51f, 0xee53b5b9b9ba678b, 0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669,
  0xf5073abb729e1d48, 0xaf1b1d7a89767f11, 0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x576a96faa9bece75, 0x925fd10a9ae0404e, 0x9ed5688af2a1495c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0xc1e6ca2317f36d02, 0x6fd0468b1be2e4d5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x0000000002000b37,
};

/*
 * m88a_swio13_dual_hw               m88p_swio13_dual_hw               m88pa_swio13_dual_hw
 * a6612c_swio13_dual_hw
 */
static const uint64_t ur_m88_swio13_dual_hw[] = {
  0x17777776890c365a, 0xd4cd439424e2c3f5, 0xb1ab77a7189c5e56, 0xebad06947b362817, 0x6d0e76ca295bb515,
  0xf1938eee44ddf5f6, 0x1164004a41806609, 0x1850c195d606da57, 0xfccbb093ba7c4b88, 0x7bd83f8705f73145,
  0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177c0000, 0xb5a2a10cb4232443, 0x25b7287ff4073c26,
  0x7f8541982c3795e4, 0x7dbe77cb3de3b3f7, 0x47b8e39560707fd4, 0x884e62c05507992b, 0xb30475e00ceda523,
  0xe59eda63192a01ff, 0x157ceee2a4b81281, 0x73d59b5e5caad67f, 0xfb39d454aa35d9d8, 0x8101395daa5beaa6,
  0x852572497f442a6b, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x018dd56b505f4f25,
};

/*
 * m88a_swio13_dual_ee_hw            m88p_swio13_dual_ee_hw            m88pa_swio13_dual_ee_hw
 * a6612c_swio13_dual_ee_hw
 */
static const uint64_t ur_m88_swio13_dual_ee_hw[] = {
  0x53b777776890cf68, 0x6d4cd43950fbbc3e, 0x7a0fb755f3624670, 0x99f4e69c89f55fd7, 0x6577efd8d7376539,
  0xd3b9347d4eb5bb32, 0x02523b8f9827c64f, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0x3a3825a982d7e65d,
  0xc0f4dcdea38d6d81, 0x57f98d022847242a, 0xef8bbfbac00dc3e0, 0x0cb417da2195dc5e, 0xffe80e784c1ee2a1,
  0x60b0de579096de76, 0x1b931d9d3ffe1506, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e, 0x962291669d68450e,
  0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f, 0xed51b047eb70decb,
  0xabe77715250087cd, 0x9eacdaf2e556b3f8, 0xd9cea2a551aecec3, 0x0809caed52df5537, 0x292b924bfa21535c,
  0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0x4176371e6ca2317f,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00aed3d6c2fa792b,
};

/*
 * m88a_swio13_dual_ce_hw            m88p_swio13_dual_ce_hw            m88pa_swio13_dual_ce_hw
 * a6612c_swio13_dual_ce_hw
 */
static const uint64_t ur_m88_swio13_dual_ce_hw[] = {
  0x89dddddda2431f02, 0x54cd4384cd47f0fd, 0x766f75b13b2976b0, 0x4e3126eab43ae10f, 0x5135d13faef76c4c,
  0x26c8dc94622cde98, 0x900129075f4c13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0xc3671c2394c707f3,
  0x156078126f51edd6, 0xf02bfcc681142392, 0x2f77c5de089006e1, 0x50865a01ed10caee, 0xff9ff4073c2609f1,
  0x41982c3795e425b7, 0xc5f580c3b09d7f85, 0x3441e7893909757d, 0x8f84bf10d8488bee, 0x3c5dcdaf722495fa,
  0x51e449ee58cfa973, 0xf71951c72ac0c45f, 0x3b6948e21398b017, 0x4a807feccf1d7803, 0x4b81281e5adc98c6,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0xa5beaa6fb39d454a, 0xf442a6b8101395da, 0x5a22bca852572497,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb288c5fcdb40a31d, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0,
  0x00000000009bae31,
};

/*
 * m88a_swio13_dual_ee_ce_hw         m88p_swio13_dual_ee_ce_hw         m88pa_swio13_dual_ee_ce_hw
 * a6612c_swio13_dual_ee_ce_hw
 */
static const uint64_t ur_m88_swio13_dual_ee_ce_hw[] = {
  0xce2ddddddd43573e, 0x294cd4385eda7b0f, 0xdfabeea7d96a7ac5, 0xf666673bdc61f201, 0xa0ce57105e696710,
  0xeee4b8beecdd654d, 0x12907cfa609f1928, 0x657581b695c45900, 0x24ee9f12e2061430, 0xd1c1fe4d883f32ec,
  0x0ec7e6f51c346c34, 0x7f98d022847242ac, 0xf8bbc2c800dc3e05, 0xcb4182a2195dc5ee, 0xfe80e784d21e2a10,
  0x0b0de579096def0f, 0xcae1d95bffe15066, 0xe24e4255be77fd51, 0x273b9b5fa3ea49f9, 0x57bee53b5959374c,
  0x7a8f83660ccaf51e, 0x669d68450298aedd, 0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767,
  0x662e121141ea8fe4, 0xa8d8226470decbe9, 0xf3bb8a929663e6f6, 0x566d7972ab59fc55, 0xe75152a8d76761cf,
  0x04e576a96faa9bec, 0x95c925fd10a9ae04, 0xaeb9ed5688af2a14, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0xd028c76f62aa8b49, 0xec371e6ca2317f36, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138, 0x4fa4e0be9e4afdcd,
  0x0000000000000113,
};

/*
 * m88a_swio13_dual_ee_ce_u4_hw      m88p_swio13_dual_ee_ce_u4_hw      m88pa_swio13_dual_ee_ce_u4_hw
 * a6612c_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio13_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0x4cd439b6caf787cb, 0x64ddaaf1d79c4759, 0xb167de66e6d09bd9, 0x17682824712c45a9,
  0x15f202f6918b90d7, 0xd7059827c6494ab9, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x0cd787f99641aa77,
  0x7a8e87db0c6e3876, 0x08a11c90ab03c413, 0xc780370f815fe634, 0x910caee2f77c5de9, 0xc26df7150865a11c,
  0xbc84b6e495ff4073, 0x61bff90ff30586f2, 0x4c35c5f547d5e3b2, 0xbee3441e78b17d09, 0xdfa8f84bf10d8488,
  0xd33c5dcdafc3fc7d, 0x8f2bdf729dadcdcd, 0x6ebd47c1b306657a, 0x48b34eb422814c57, 0xf0ea426be8c2cb11,
  0xb3f88fa839d5db94, 0xf258d578d8ebd44b, 0xf4b3170908a0f547, 0x7b546c1132386f65, 0x2af9ddc5494b31f3,
  0xe7ab36bcb955acfe, 0xf673a8a9546bb3b0, 0x020272bb54b7d54d, 0x0a4ae492fe8854d7, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e,
  0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x3aeb38bed0173c95,
};

/*
 * m88a_swio14_noled_pr_ee           m88p_swio14_noled_pr_ee           m88pa_swio14_noled_pr_ee
 * a6612c_swio14_noled_pr_ee
 */
static const uint64_t ur_m88_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5353758, 0x5a5e8d3d623e2f56, 0x6fbbcd04bdee3bcc, 0xccdd8332408a444e,
  0x3e32774c4dc15c68, 0x6ceff3b467ce0cc1, 0xad2b4d56b47b7c76, 0xf51f06cc1ce3ea3c, 0xcd3ad08a1df15afb,
  0x6909afa30b2c4522, 0xf0e756978f6b8a26, 0xba1d7aea6ec98a31, 0x908a2d647d058d56, 0xfeb70decb8723170,
  0xd59b5e5caad57021, 0x39d454aa35d9d873, 0xa6b3a6e576a96fab, 0x5e54292b63f7f442, 0xfa779fad73daad11,
  0x96173a9d4e02ca54, 0xf19d1023cbc50216, 0xc6ca2317f36d38c6, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2,
  0x9296cb25138cb25c, 0x4f9e4afdcd0ccb0e, 0x000000000a7ce71c,
};

/*
 * m88a_swio14_noled_pr_ee_u4        m88p_swio14_noled_pr_ee_u4        m88pa_swio14_noled_pr_ee_u4
 * a6612c_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m88_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x3bfd21fcf9c19827, 0x2eb355ad198f1d9b, 0x47c1b307d47a8f2b, 0x4eb422877c5652fd,
  0x426be8c2cb1148b3, 0x1cead2ee4d71ac9a, 0xe875e74dd8f547f2, 0x42288851ef76355a, 0x7eb70decb65cc5c2,
  0xab500ba0e7951b04, 0xd76761cf566d7972, 0xdaa5beace75152a8, 0x8fdfd10a9ace9b95, 0xcf6ab4457950a4ad,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0x57079b288c5fcdb6, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x68222f9e4afdcd0c, 0x0000000000004eba,
};

/*
 * m88a_swio14_noled_pr_ce           m88p_swio14_noled_pr_ce           m88pa_swio14_noled_pr_ce
 * a6612c_swio14_noled_pr_ce
 */
static const uint64_t ur_m88_swio14_noled_pr_ce[] = {
  0x7afdddddddec4743, 0xd0572d2c42b593ac, 0x9b1a56f79bb07b89, 0xc3f110da6a70bd88, 0xab0568c286deefaf,
  0xc13e32776a2f25a0, 0x767ceff3b467cbac, 0x00b071d29dff59b8, 0x9cee6d70d1a6bf3c, 0xa3af93dcb0175930,
  0x7e5f471cab0359fe, 0xd93146229cc580bb, 0x2a01ffb33c75e8f9, 0x542260796b75ac4f, 0x6761cf566d7972ab,
  0xa5beace75152a8d7, 0xdfd10a9ace9b95da, 0x6ab4457950a4ad8f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8,
  0x31dbd8aaa2d2da27, 0xae365118bf9b6c21, 0x903b6868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0xe27cf257ee686658, 0x0000000005ba8bf6,
};

/*
 * m88a_swio14_noled_pr_ce_u4        m88p_swio14_noled_pr_ce_u4        m88pa_swio14_noled_pr_ce_u4
 * a6612c_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m88_swio14_noled_pr_ce_u4[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0xccadfe90fe7f4dcc, 0x5ad24aeb8bebdd0e, 0x61222fb8d1079e00, 0x21d257ea3e12fc43,
  0x58cfd64cf17736bb, 0x5581acff51d7c9ee, 0x4e62c05dbf2fa38e, 0x9e3af47cec98a311, 0xb5bad6279500ffd9,
  0x36bcb955aa11303c, 0xa8a9546bb3b0e7ab, 0x674dcaed52df5673, 0xa85256c7efe8854d, 0x9f16bae7b55a22bc,
  0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x5fcdb61098edec55, 0x6f8b9357079b288c, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baef36e22f9e4a,
};

/*
 * m88a_swio14_noled_pr_ee_ce        m88p_swio14_noled_pr_ee_ce        m88pa_swio14_noled_pr_ee_ce
 * a6612c_swio14_noled_pr_ee_ce
 */
static const uint64_t ur_m88_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xffa43f9f4db9827c, 0xd9dff5465d4760cd, 0xcba3ff9e005ad20c, 0x958f7cc273b9b5d9,
  0xf4af51e5721e53b5, 0x298ace1fa8f83660, 0x5962291669d68450, 0xbb73931d484d7d18, 0x79d3763d51fc873a,
  0x4428f7bb1aaf1b1d, 0x86f65b2e62e12114, 0xb3e839e546c11323, 0xd873d59b5e5caad4, 0x6fab39d454aa35d9,
  0xf442a6b3a6e576a9, 0xad115e54292b63f7, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6,
  0x8d94462fe6db084c, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x5f3c95fb9a19961d,
  0x0000000534d3ebc4,
};

/*
 * m88a_swio14_noled_pr_ee_ce_u4     m88p_swio14_noled_pr_ee_ce_u4     m88pa_swio14_noled_pr_ee_ce_u4
 * a6612c_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio14_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1000, 0x0b9696367119d61e, 0xdda6eb717a0950e0, 0x8ec62d0247a75910, 0x46277d3a4f9937a7,
  0x93bb5aaef3b5b366, 0xfdf34f3e292609f1, 0xee2faa3d363b2b7f, 0xb8d1079e005ceeb7, 0xea3e12fc4361222f,
  0x678bb9b5c2c8cf5f, 0xe5721e53b5b9b7be, 0x1fa8f83660f4af51, 0x1669d68450298ace, 0x1d484d7d18596229,
  0x3d51fc873abb7393, 0xbb1aaf1b1d79d376, 0x2e62e121144428f7, 0xe546c1132386f65b, 0x9b5e5caad4b3e839,
  0xd454aa35d9d873d5, 0xb3a6e576a96fab39, 0x54292b63f7f442a6, 0xcf8b5d73daad115e, 0x81077536294f0d3b,
  0xa8b4b689c6378ce8, 0x2fe6db084c76f62a, 0x37c5c9ab83cd9446, 0x4eacc790334f8d16, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x027e649375aa792b,
};

/*
 * m88a_swio14_noled_hw              m88p_swio14_noled_hw              m88pa_swio14_noled_hw
 * a6612c_swio14_noled_hw
 */
static const uint64_t ur_m88_swio14_noled_hw[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10acebeb0, 0x9b006ea44cf74192, 0x0f0661352569425f, 0xab4133f4a64f7488,
  0xea609f193bb98921, 0x403b0f5ffbe059fe, 0x03affea3c4277cb7, 0xb7ba609ebe471cab, 0xb9da32464d1cc580,
  0x56741b8e58c11d78, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0xfa215359d372bb54, 0x5688af2a1495b1fb,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0xbb65118bf9b6c218, 0x2e19e985727e7f61,
  0x87494b659289c659, 0xb7514f257ee68665, 0x00000000000008e2,
};

/*
 * m88a_swio14_noled_ee_hw           m88p_swio14_noled_ee_hw           m88pa_swio14_noled_ee_hw
 * a6612c_swio14_noled_ee_hw
 */
static const uint64_t ur_m88_swio14_noled_ee_hw[] = {
  0x426eeeeed121be4a, 0x6d5cb4b1ea634eb1, 0x77a47f776dbaff12, 0x08f2299c7cfd833c, 0xbe081eb920452225,
  0x609f193ba528eb6a, 0x766ceff61ff3e706, 0x3cacbacd56b4663c, 0x4bf51f06cc1f51ea, 0x22cd3ad08a1df159,
  0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8, 0x6c11fadc37b2d973,
  0xe5caad402e839e54, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x92b63f7f442a6b3a, 0xb5d73daad115e542,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x36d843156f62aa8b, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x00b7df24c2fa792b,
};

/*
 * m88a_swio14_noled_ce_hw           m88p_swio14_noled_ce_hw           m88pa_swio14_noled_ce_hw
 * a6612c_swio14_noled_ce_hw
 */
static const uint64_t ur_m88_swio14_noled_ce_hw[] = {
  0x77eeeeeed1218375, 0x5f72d2c5c0b17d63, 0x1da0bbaebcbdbf6f, 0x79930e2a10d85a33, 0xb5b134b3f78ef777,
  0x37304f8c9dd81602, 0x743b32b7fb0ff9fd, 0x9e24e4252bae2faf, 0xfc4361222fb8d107, 0x36bf60de1fea3e12,
  0xc9ee58cfd64cf177, 0xa38e5581acff51d7, 0xa3114e62c05dbf2f, 0xffd99e3af47cec98, 0x303cb5bad6279500,
  0xe7ab36bcb955aa11, 0x5673a8a9546bb3b0, 0x854d674dcaed52df, 0x22bca85256c7efe8, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x288c5fcdb61098ed, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x0000000759b30720,
};

/*
 * m88_swio14_noled_ee_ce_u4_hw      m88a_swio14_noled_ee_ce_hw        m88a_swio14_noled_ee_ce_u4_hw
 * m88p_swio14_noled_ee_ce_hw        m88p_swio14_noled_ee_ce_u4_hw     m88pa_swio14_noled_ee_ce_hw
 * m88pa_swio14_noled_ee_ce_u4_hw    a6612c_swio14_noled_ee_ce_hw      a6612c_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x2b7ffd87fcf8a498, 0x4ab7ee2faa3d363b, 0x445f71a20f3c49c8, 0x291fd47c25f886c2,
  0xdef99e2ee6d736ec, 0xbd4795c8794ed6e6, 0x2b387ea3e0d983d2, 0x88a459a75a1140a6, 0xce4c752135f46165,
  0x4dd8f547f21ceaed, 0xa3deec6abc6c75e7, 0xd96cb98b84845110, 0xa0e7951b044c8e1b, 0xcf566d7972ab52cf,
  0xace75152a8d76761, 0x0a9ace9b95daa5be, 0x457950a4ad8fdfd1, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x5118bf9b6c2131db, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x00000000a0237201,
};

/*
 * m88a_swio14_lednop_pr_ee          m88p_swio14_lednop_pr_ee          m88pa_swio14_lednop_pr_ee
 * a6612c_swio14_lednop_pr_ee
 */
static const uint64_t ur_m88_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbba88aaac, 0x29972d2c7a992158, 0x5f42f5ebe8c1afab, 0xe6fbbcd04bded930, 0x13a199bb4108a444,
  0x13e32777c8a3b313, 0x91cbfd21fcff57cc, 0x2b74b355ad1edf1d, 0x7d47c1b30738fa8f, 0xb34eb422877c5651,
  0x9a426be8c2cb1148, 0xf79cead2efe2e289, 0xd743af5d4ddbe446, 0x24228ded1dc3b1aa, 0xefadc37b2e1c8c5c,
  0x7ab36bcb955aae39, 0x673a8a9546bb3b0e, 0x020274dcaed52df5, 0x852572fb1e8854d7, 0xe80f2e7b55a22bca,
  0x08985ea5af29c05c, 0x3a206c7f8a042d2b, 0x94462fe6da718de3, 0xca1a2c79c5c9ab8d, 0xa615c9fbab31e40f,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000029f36bdc45f,
};

/*
 * m88a_swio14_lednop_pr_ee_u4       m88p_swio14_lednop_pr_ee_u4       m88pa_swio14_lednop_pr_ee_u4
 * a6612c_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xdffa43f9f1ad304f, 0x70e6ab5a3dbe3b34, 0x8f83660e71f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x73ab4bfee5c51334, 0x0ebd75376d291c42, 0x45098a3116c6ab5d, 0x5b86f65c3918b848,
  0x66d7972ab55c5adf, 0x75152a8d76761cf5, 0x04e9b95daa5beace, 0x4ae5f63d10a9ae04, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x748be22f9e4afdcd, 0x000000000000009d,
};

/*
 * m88a_swio14_lednop_pr_ce          m88p_swio14_lednop_pr_ce          m88pa_swio14_lednop_pr_ce
 * a6612c_swio14_lednop_pr_ce
 */
static const uint64_t ur_m88_swio14_lednop_pr_ce[] = {
  0x7afdddddddec53c3, 0xe82b9696215890ac, 0xe2fd377bb3f83dc4, 0xc3f110dab26d4c99, 0x31c4d8412a1eefaf,
  0xc13e327748fcbbb2, 0x761c3ff3b467d82c, 0x00b070ba9dff59b8, 0x73b9b5e76ed6ff3c, 0x1e5f4f72c05d64c2,
  0xbd2a38e5581acff5, 0xd92231be731602c7, 0x500ffd99e3af47ce, 0x976a0796b741fe91, 0x761cf566d7972ab5,
  0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x18bf9b6c6263b7b1, 0x68b1e71726ae3651, 0x5727eeacc7903b68, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x0005bab71ee27cf2,
};

/*
 * m88a_swio14_lednop_pr_ce_u4       m88p_swio14_lednop_pr_ce_u4       m88pa_swio14_lednop_pr_ce_u4
 * a6612c_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_swio14_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x96ebfd21fcfc7298, 0xb5a4d37717d7ba1d, 0xc2445f71a20f3c00, 0x4aca8fd47c25f886,
  0xb19fac99e2ee6d72, 0x5606b3fd4797d3dc, 0x9cc580b1ef4a8e39, 0x78ebd1f3b6488c6f, 0xadd07fa45403ff66,
  0xb5e5caad65da81e5, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101, 0xd73daad115e54292,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0xab83cd94462fe6db, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x595117cf257ee686, 0x0000000000006ebd,
};

/*
 * m88a_swio14_lednop_pr_ee_ce       m88p_swio14_lednop_pr_ee_ce       m88pa_swio14_lednop_pr_ee_ce
 * a6612c_swio14_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff487f3eff2609f, 0x341dff5465d47606, 0xa0e089fcf002d690, 0x5958f7cc273b9b5d,
  0x0f4af51e5652e53b, 0x0298aca1fa8f8366, 0x85962291669d6845, 0xabb73a51d484d7d1, 0xd79d3769111cdc73,
  0x42f88e32b1aaf1b1, 0x386f65b2e62e1211, 0x4b3b589e546c1132, 0x9d873d59b5e5caad, 0x96fab39d454aa35d,
  0x2a6b81013a6e576a, 0x15e54292b97d8f44, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x462fe6db1898edec, 0x1a2c79c5c9ab8d94, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x00029a763fc45f3c,
};

/*
 * m88a_swio14_lednop_pr_ee_ce_u4    m88p_swio14_lednop_pr_ee_ce_u4    m88pa_swio14_lednop_pr_ee_ce_u4
 * a6612c_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda2e7c92df, 0x172d2c6ce64eac3d, 0x2b5d969fb362a1c0, 0x1d8c5a11989134a5, 0x9d89f2349f326f4f,
  0x4eea8fa10abe26d9, 0xef9a79fec19827c6, 0x717d51e9b1d887df, 0xc6883cf002e7687d, 0x51f097e21b09117d,
  0x78bb9b5e3eeb92bf, 0x5652e53b5b9b7be6, 0xfa8f83660f4af51e, 0x669d68450298aca1, 0xd484d7d185962291,
  0x111cdc73abb73a51, 0xb1aaf1b1d79d3769, 0xe62e121142f88e32, 0x546c1132386f65b2, 0xb5e5caad4b3b589e,
  0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101, 0xd73daad115e54292, 0x0b94b5f3a03c72b5,
  0xa718de33a2042152, 0x1898edec55516920, 0xab83cd94462fe6db, 0x90334f8d1637c5c9, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7b75aa792bf73433,
  0x0000000000027e6d,
};

/*
 * m88a_swio14_lednop_hw             m88p_swio14_lednop_hw             m88pa_swio14_lednop_hw
 * a6612c_swio14_lednop_hw
 */
static const uint64_t ur_m88_swio14_lednop_hw[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x7403b244ffbe059f, 0xb03affea3af877cb, 0x16f74db7e5f471ca, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb6318ab7b1, 0x4c2b93f3fb0ddb28,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000000008e2fae8a,
};

/*
 * m88a_swio14_lednop_ee_hw          m88p_swio14_lednop_ee_hw          m88pa_swio14_lednop_ee_hw
 * a6612c_swio14_lednop_ee_hw
 */
static const uint64_t ur_m88_swio14_lednop_ee_hw[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea7416b1, 0x9bdfa7bb007a5f12, 0x847914ce3e34cfda, 0xca68b51590229112,
  0x609f193bad3bed6e, 0x760d6ff61ff3e96a, 0x3cad82cd56b4663c, 0x9ef51f06cc1f51ea, 0x22cd3ad08a1df15a,
  0xb26909afa30b2c45, 0x1cdc73ab4bba55c6, 0xd56ba1d79d376911, 0x170908a17c471958, 0x6c11fadc37b2d973,
  0xe5caad402b589e54, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0x71e6ca2317f36d8c, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x01582fa792bf7343,
  0x00000000000005be,
};

/*
 * m88a_swio14_lednop_ce_hw          m88p_swio14_lednop_ce_hw          m88pa_swio14_lednop_ce_hw
 * a6612c_swio14_lednop_ce_hw
 */
static const uint64_t ur_m88_swio14_lednop_ce_hw[] = {
  0xefdddddda2431768, 0xbee5a58b81433ac6, 0xfdb23bbe96b47ede, 0xe64c38a84c5e6c58, 0xd1ecf5c69a9bdddd,
  0x94c13e32774dd1da, 0xd0ecb75fec3fe7e3, 0x789390969bb8bebd, 0xf10d8488bee3441e, 0xdaf30ccf9fa8f84b,
  0xa7b9633f5933c5dc, 0x1c72ac0d67fa8f2f, 0x18df398b0163de95, 0xfeccf1d7a3e76c91, 0x03cb5ba0ff48a807,
  0x7ab36bcb955acbb5, 0x673a8a9546bb3b0e, 0x020274dcaed52df5, 0x852572fb1e8854d7, 0xe56bae7b55a22bca,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0x505d8dc79b288c5f, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0eb37c21f0be9e4a,
};

/*
 * m88_swio14_lednop_ee_ce_u4_hw     m88a_swio14_lednop_ee_ce_hw       m88a_swio14_lednop_ee_ce_u4_hw
 * m88p_swio14_lednop_ee_ce_hw       m88p_swio14_lednop_ee_ce_u4_hw    m88pa_swio14_lednop_ee_ce_hw
 * m88pa_swio14_lednop_ee_ce_u4_hw   a6612c_swio14_lednop_ee_ce_hw     a6612c_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x10fbfd87fcff60cc, 0x490fae2faa3d363b, 0x445f71a20f3c49c8, 0x617fd47c25f886c2,
  0xdef99e2ee6d7575c, 0xbd479594b94ed6e6, 0x2b287ea3e0d983d2, 0x88a459a75a1140a6, 0xce94752135f46165,
  0x4dda4447371ceaed, 0x238cac6abc6c75e7, 0xd96cb98b848450be, 0xd627951b044c8e1b, 0xcf566d7972ab52ce,
  0xace75152a8d76761, 0xe0404e9b95daa5be, 0x50a4ae5f63d10a9a, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0xea0bb1b8f365118b, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x000a02cb4a17d3c9,
};

/*
 * m88_swio14_dual_pr                m88a_swio14_dual                  m88a_swio14_dual_pr
 * m88p_swio14_dual                  m88p_swio14_dual_pr               m88pa_swio14_dual
 * m88pa_swio14_dual_pr              a6612c_swio14_dual                a6612c_swio14_dual_pr
 */
static const uint64_t ur_m88_swio14_dual[] = {
  0x82eeeeeeef3e1000, 0xda99a8728457d87e, 0xab6356ac1fa78bca, 0xbad047ced00ab125, 0x6d267da29dbb415e,
  0x4e3bb956abbe8bf6, 0x9001291cdf9827c6, 0x430657581b695c45, 0xa6b54ee9f12e2061, 0x83f8705f73145fcc,
  0x15607dd4dea3c7bd, 0xf02bfcc681142392, 0x17bbe2ef6bb006e1, 0x5421968464886577, 0xe52ffe80e784d6b4,
  0xed130586f2bc84b6, 0x477cb2d71d8517fc, 0xe38e5581ef7ea3f7, 0x398b01541e67261e, 0x11d78033b2008d31,
  0xf6def1bea807fecc, 0xceee2a4af9d40f2c, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x013a6e576a96fab3,
  0x92b97d8f442a6b81, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d8c62adec555169,
  0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65, 0xfaeeb54f257ee686,
  0x0000000000003104,
};

/*
 * m88a_swio14_dual_pr_u4            m88p_swio14_dual_pr_u4            m88pa_swio14_dual_pr_u4
 * a6612c_swio14_dual_pr_u4
 */
static const uint64_t ur_m88_swio14_dual_pr_u4[] = {
  0x33dddddda24343ee, 0x053350e50902f0fc, 0x7a3db77e9d914109, 0x333f6f4e82ee4e83, 0x4369e014d38376ec,
  0x3e32731b9577e448, 0x71164004a42924c1, 0x81850c195d606da5, 0xffccbb093ba7c4b8, 0xc89b0dbe700f7318,
  0x239215607a54dea3, 0x06e1f02bfcc68114, 0x32bb8bddf177ffc0, 0x627a2a10cb42d644, 0x425b7387ff4073c2,
  0xeffd21f982c3795e, 0xa3ce277cb41f1d8b, 0xca9ba38e5581f41e, 0x4707ce62c05fc398, 0x39630475e45bb645,
  0x5f3bb8a92959d26e, 0xf566d7972ab59fc5, 0xce75152a8d76761c, 0x0404e9b95daa5bea, 0x0a4ae5f63d10a9ae,
  0xd01e5cf6ab445795, 0x1130bd4b5e5380b9, 0x7440d8ff14085a56, 0x288c5fcdb4e31bc6, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x5c293c95fb9a1996, 0x000000000524e7c1,
};

/*
 * m88a_swio14_dual_pr_ee            m88p_swio14_dual_pr_ee            m88pa_swio14_dual_pr_ee
 * a6612c_swio14_dual_pr_ee
 */
static const uint64_t ur_m88_swio14_dual_pr_ee[] = {
  0x376eeeee87ad0c86, 0x6a66a1ca869af87c, 0xb87dba7580523383, 0x33e9cf5900dce2c5, 0xdd712af1ae6ec373,
  0xe5dd8dd97d7e62ec, 0x48b24e609f193f4e, 0xbac0db4ae22c8009, 0x774f8971030a1832, 0xe096a60b5f997612,
  0xd3737a8e35b604e8, 0xe63408a11c90ab03, 0x2efba180370f815f, 0xd05f688657717bbe, 0xa039e1307b8a8432,
  0x61bcaf212dbe9aff, 0xf70ec0b5fe90fcc1, 0xfd4795dba9aad68f, 0x57a6fd47c1b3061e, 0x1148b34eb422877c,
  0xc54b9a426be8c2cb, 0x3d19ea73ab4bb055, 0xb1aad743af512ec6, 0x662e121146948e21, 0x51b047eb70decbe9,
  0xceee2a4a01645115, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x013a6e576a96fab3, 0x92b97d8f442a6b81,
  0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d8c62adec555169, 0xa7c371e6ca2317f3,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0xffe09a1e44cf1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0x40970a4f257ee686, 0x0000000000000564,
};

/*
 * m88a_swio14_dual_pr_ee_u4         m88p_swio14_dual_pr_ee_u4         m88pa_swio14_dual_pr_ee_u4
 * a6612c_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m88_swio14_dual_pr_ee_u4[] = {
  0x991dddddda2432db, 0x394cd43950ec5f0f, 0xb535f75b13b28e3d, 0x2393a999bad2c49c, 0x4a3f738abc6b9bb3,
  0x68b723822ac07c67, 0x004a45927304f8c9, 0xc195d606da571164, 0xb093ba7c4b881850, 0x8ac701ad313afccb,
  0x581e569bd47d37b0, 0x0aff31a04508e485, 0xeef8bbf2a001b87c, 0x10cb423da2195dc5, 0x35ff4073c269122a,
  0xf982c3795e425b7d, 0xad1c061d816bfd21, 0x07227a8f2b53d355, 0x877c5670fd47c1b3, 0xc2cb1148b34eb422,
  0xa565c20b9a426be8, 0x276401182873ab4b, 0x3c8b6355ae875ed6, 0x971f18b848450f7a, 0x8a92ae2e1fd6e1bd,
  0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e, 0xcf6ab4457950a4ae,
  0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0xcdb4e31bc67440a2, 0x58df0dc79b288c5f, 0x7ea75666fe0eee34,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00000ac859dc293c,
};

/*
 * m88a_swio14_dual_pr_ce            m88p_swio14_dual_pr_ce            m88pa_swio14_dual_pr_ce
 * a6612c_swio14_dual_pr_ce
 */
static const uint64_t ur_m88_swio14_dual_pr_ce[] = {
  0xd3ddddddde7cbd5b, 0xb53350e5085ab0ff, 0xfddfbd4771c682d0, 0x9fb58273bed3d62a, 0xf5db3e415bbf4d71,
  0x9642e5ddfb80b5a0, 0x4004a41b77304f8c, 0x0c195d606da57116, 0x9ad53ba7c4b88185, 0x3e71c243cc5d7f32,
  0x5606bee6f51dc9ec, 0x02bfcc6811423921, 0x7bbe2efbc3006e1f, 0x4219686488865771, 0xdd7fd01cf0996bc5,
  0xa260b0de579096de, 0xeffa8283b0baff9d, 0xbadffcf002e7652c, 0x050e3309cee6d7b5, 0x6064f7a8f38cf72c,
  0xcc580a63cf58e395, 0xe3af22dd97c47191, 0xc54947591771cb19, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0x4dcaed52df5673a8, 0x2fb1e8854d702027, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x131dbd8aaa2d2414, 0x7079b288c5fcdb63, 0x0cd3e3458f38b935, 0x67a615c9fbab31e4, 0xd252d9f0271964b8,
  0xad53c95fb9a19961, 0x00000000073d78db,
};

/*
 * m88a_swio14_dual_pr_ce_u4         m88p_swio14_dual_pr_ce_u4         m88pa_swio14_dual_pr_ce_u4
 * a6612c_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m88_swio14_dual_pr_ce_u4[] = {
  0xf93b777776890c86, 0xc153350e133aafc3, 0x2daefdd01452a5da, 0x89c624373adefda7, 0xf3142c804b16ee4e,
  0x64d91b97763765a0, 0xb2002521e019827c, 0x2860caeb036d2b88, 0x65d849dd3e25c40c, 0xd86ce3847298e0fe,
  0x42ac0f024dea3dba, 0x3e057f98d0228472, 0xe2f77c5dea4800dc, 0x150865a01ed10cae, 0xe337ff4073c2609f,
  0x43f30586f2bc84b6, 0xae2fabf83b0e0ffa, 0xb8d1079e24e4244e, 0xea3e12fc4361222f, 0x33c5dcdaed07044f,
  0xea384f9ee58cfa97, 0x28bb7e38e5581dad, 0xcec80234c4e62c05, 0xfaa01ffb33c75e00, 0x4af9d40f2d6e7bc6,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0x576a96fab39d454a, 0x8f442a6b81013a6e, 0xaad115e54292b97d,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xcd94462fe6db1898, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x02ae149e4afdcd0c, 0x0000000000001a49,
};

/*
 * m88a_swio14_dual_pr_ee_ce         m88p_swio14_dual_pr_ee_ce         m88pa_swio14_dual_pr_ee_ce
 * a6612c_swio14_dual_pr_ee_ce
 */
static const uint64_t ur_m88_swio14_dual_pr_ee_ce[] = {
  0xceb6eeeeeea1a5fb, 0x94a66a1c2f791387, 0xee66f77aec21bd62, 0x7b333498e164da8f, 0xd71f9dd82f34a758,
  0xb94b235d54625597, 0xa479eb9827c64a3b, 0x5d606da571164004, 0x3ba7c4b881850c19, 0x707f93620fccbb09,
  0xb1f9bd470d1b0d34, 0xe63408a11c90ab03, 0x2ef5c100370f815f, 0xd060a88657717bbe, 0xa039e134878a8432,
  0xc3795e425b735bff, 0x561d9883fd21f982, 0x127212c4077fd51e, 0x73b9b5d523dd6fcf, 0x72ba53b5959374c2,
  0x51f06cc1edff51e5, 0xd3ad08a05315efbf, 0x909afa30b2c4522c, 0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7,
  0x8b848451a523886c, 0x3608991c37b2fa59, 0xddc5494b3c8a22aa, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab,
  0x274dcaed52df5673, 0x572fb1e8854d7020, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a,
  0x63131dbd8aaa2d24, 0x70dc79b288c5fcdb, 0xeaccdfc1ddc68b1e, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x304d3970a4f257ee, 0x0000000000000001,
};

/*
 * m88a_swio14_dual_pr_ee_ce_u4      m88p_swio14_dual_pr_ee_ce_u4      m88pa_swio14_dual_pr_ee_ce_u4
 * a6612c_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0x9a8736df5ef0fc6a, 0x64db9dbf7388eb29, 0xbf1fefae8423c3d9, 0x0824718d45a9b158,
  0x1aea1012f2757bf7, 0xf8c9295722fac16d, 0x4590012917b3d304, 0x61430657581b695c, 0x995fb44ee9f12e20,
  0xb0c6e38760cd787f, 0x0ab03c4137a8e87d, 0xf815fe63408a11c9, 0x17bbe2ef15400370, 0xa8432d08e4886577,
  0xa4affa039e136fb8, 0xd3982c3795e425b7, 0xea8c9d0ecbc3ff7c, 0x83cf12701cbc3b8b, 0x097e21b09117dc68,
  0xdcdae2a8b24ff51f, 0x5d29dadcdcdd33c5, 0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669,
  0x9ea73abb73051d48, 0x5e363af512ec63d1, 0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b,
  0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0xa6e576a96fab39d4, 0x97d8f442a6b81013, 0x73daad115e54292b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0xb83cd94462fe6db1, 0x0dfa08d1637c5c9a,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xe4053c95fb9a1996, 0x0000000002001340,
};

/*
 * m88a_swio14_dual_hw               m88p_swio14_dual_hw               m88pa_swio14_dual_hw
 * a6612c_swio14_dual_hw
 */
static const uint64_t ur_m88_swio14_dual_hw[] = {
  0x2eeeeeed121b9a7c, 0xa99a8728457d87e8, 0x4b56eac1fa78bcad, 0xd75a08f9da015627, 0xeba4cfb453b7682b,
  0x8c9c777242119cdb, 0x8b20025239bf304f, 0xc2860caeb036d2b8, 0xe65d849dd3e25c40, 0xdec1fc382fb98a2f,
  0xc90ab03eea6f51e3, 0x70f815fe63408a11, 0xbb8bddf177b5d803, 0x5a2a10cb42324432, 0x5b7297ff4073c26b,
  0xf8541982c3795e42, 0xee8ef965ae3b0a2f, 0x3dc71cab03defd47, 0x62731602a83cce4c, 0x9823af006764011a,
  0x59edbde37d500ffd, 0xaf9ddc5495f3a81e, 0x7ab36bcb955acfe2, 0x673a8a9546bb3b0e, 0x020274dcaed52df5,
  0x852572fb1e8854d7, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x031baa02b05f4f25,
};

/*
 * m88a_swio14_dual_ee_hw            m88p_swio14_dual_ee_hw            m88pa_swio14_dual_ee_hw
 * a6612c_swio14_dual_ee_hw
 */
static const uint64_t ur_m88_swio14_dual_ee_hw[] = {
  0x0ddbbbbbb4486f97, 0xda99a872a1a6be1f, 0x6e1f6e9d60148ce0, 0xccfa73d6403738b1, 0x375c4abc6b9bb0dc,
  0xf4ee4f04675aa75b, 0x00948b24e609f193, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0x4e8e096a60b5f997,
  0xb03d3737a8e35b60, 0x15fe63408a11c90a, 0xbbe2efba180370f8, 0x432d05f688657717, 0xaffa039e1307b8a8,
  0xcc161bcaf212dbe9, 0xd1fee1d816bfc2a0, 0xc3dfa8f2bb75355a, 0xef8af4dfa8f83660, 0x5962291669d68450,
  0x0ab8a973484d7d18, 0xd8c7a33d4e756976, 0xc436355ae875ea25, 0x7d2cc5c24228d291, 0x22aa3608fd6e1bd9,
  0x2af9ddc549402c8a, 0xe7ab36bcb955acfe, 0x5673a8a9546bb3b0, 0x7020274dcaed52df, 0xa852572fb1e8854d,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6db18c55bd8aaa, 0xfa82ec6e3cd94462,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x000057690205f4f2,
};

/*
 * m88a_swio14_dual_ce_hw            m88p_swio14_dual_ce_hw            m88pa_swio14_dual_ce_hw
 * a6612c_swio14_dual_ce_hw
 */
static const uint64_t ur_m88_swio14_dual_ce_hw[] = {
  0x4edddddda2436f02, 0x54cd4384ceabf0fe, 0x6bbf740514a976b0, 0x71890dceb7bf69cb, 0x9b0b2012c5bb93a2,
  0x93646e4fe1f35f45, 0xc8009487806609f1, 0xa1832bac0db4ae22, 0x97612774f8971030, 0x61b38e11ca6383f9,
  0x0ab03c0937a8f6eb, 0xf815fe63408a11c9, 0x8bddf177a9200370, 0x542196807b4432bb, 0x8cdffd01cf09827c,
  0xa0cc161bcaf212db, 0x717d5fc1d8707fc2, 0xc6883cf127212275, 0x51f097e21b09117d, 0x678bb9b5d90e92bf,
  0xd4709f3dcb19f52e, 0x5176fc71cab03b5b, 0x9d90046989cc580a, 0xf5403ff6678ebc01, 0x95f3a81e5adcf78d,
  0x955acfe2af9ddc54, 0x46bb3b0e7ab36bcb, 0xaed52df5673a8a95, 0x1e8854d7020274dc, 0x55a22bca852572fb,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x9b288c5fcdb63131, 0x50c2a73f505d8dc7,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xa0be9e4afdcd0ccb,
  0x000000000009bac0,
};

/*
 * m88a_swio14_dual_ee_ce_hw         m88p_swio14_dual_ee_ce_hw         m88pa_swio14_dual_ee_ce_hw
 * a6612c_swio14_dual_ee_ce_hw
 */
static const uint64_t ur_m88_swio14_dual_ee_ce_hw[] = {
  0x9d6ddddddd435032, 0x294cd4385ef2270f, 0xdccdeef5d8437ac5, 0xf6666931c2c9b51f, 0xae3f3bb05e694eb0,
  0x7772abdb47f7bb2f, 0x0948f3d7304f8c94, 0x32bac0db4ae22c80, 0x12774f8971030a18, 0x68e0ff26c41f9976,
  0x0763f37a8e1a361a, 0xbfcc681142392156, 0x7c5deb82006e1f02, 0x65a0c1510caee2f7, 0xff4073c2690f1508,
  0x0586f2bc84b6e6b7, 0x795876620ff0a833, 0x3c49c84b101dff54, 0x84e7736be54341ff, 0xcae574a76b2b26e9,
  0x7ea3e0d983dbfea3, 0x59a75a1140a62bdf, 0x752135f4616588a4, 0x8f467a9ceaedcc14, 0xd8d578d8ebd44bb1,
  0xb3170908a34a4710, 0x546c1132386f65f4, 0xf3bb8a9296791445, 0x566d7972ab59fc55, 0xe75152a8d76761cf,
  0x404e9b95daa5beac, 0xa4ae5f63d10a9ae0, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108,
  0xb6c6263b7b15545a, 0x7f61b8f365118bf9, 0xc6592e19e985727e, 0x6866587494b67c09, 0x134f4e05f4f257ee,
  0x0000000000000001,
};

/*
 * m88a_swio14_dual_ee_ce_u4_hw      m88p_swio14_dual_ee_ce_u4_hw      m88pa_swio14_dual_ee_ce_u4_hw
 * a6612c_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio14_dual_ee_ce_u4_hw[] = {
  0xadddddda28d1bf5b, 0x99a8736df5ef0fc6, 0xc3ddb9dbf7388eb2, 0x158bf1fefae843a3, 0xbf70824718d45a9b,
  0x37ac03b202ef2757, 0xd9e9827c6494ab93, 0x0db4ae22c800948b, 0xf8971030a1832bac, 0xcd787f99641aa774,
  0xa8e87db0c6e38760, 0x8a11c90ab03c4137, 0x400370f815fe6340, 0x88657717bbe2ef15, 0x136fb8a8432d08e4,
  0xe425b7a4affa039e, 0x87ffc87f982c3795, 0x787717d5193a1d97, 0xfb8d1079e2c5f425, 0xfea3e12fc4361222,
  0xa678bb9b5c2c8cf5, 0x1e572ba53b5b9b9b, 0xfbf51f06cc1edff5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x8c7a33d4e7576e60, 0x86c6abc6c75ea25d, 0xa598b848451a5238, 0x2aa3608991c37b2f, 0xaf9ddc5494b3c8a2,
  0x7ab36bcb955acfe2, 0x673a8a9546bb3b0e, 0x020274dcaed52df5, 0x852572fb1e8854d7, 0xe56bae7b55a22bca,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0x505d8dc79b288c5f, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x3aeb6acde80b9e4a,
};

/*
 * m88a_swio15_noled_pr_ee           m88p_swio15_noled_pr_ee           m88pa_swio15_noled_pr_ee
 * a6612c_swio15_noled_pr_ee
 */
static const uint64_t ur_m88_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x6532e5a58f53c2ab, 0x5e34f685efa5ad35, 0x48bbbcd07c5ebd38, 0x8ecfde2f5a08a444,
  0x13e3277699a33fa6, 0x6456ff3b467c9d4c, 0xe57f3a6ab5a33287, 0x57a8f83660d00f51, 0x1669d68450ef8aea,
  0x33484d7d18596229, 0x5ae73ab4b98f5c51, 0x6ba1d7aea6ed10a3, 0x0908a04547d258d5, 0xffeb70decb872317,
  0x3d59b5e5caad5715, 0xb39d454aa35d9d87, 0xa6b3a6e576a96fab, 0xf2a14956aff7f442, 0xd3bcfd6b9ed5688a,
  0xb0b9d4ea701652a7, 0x8ce88117ee2810b4, 0x365118bf9b69c637, 0x3b6868b1e71726ae, 0x9e985727eeacc790,
  0x94b659289c6592e1, 0x7cf257ee68665874, 0x000000014f8a9ce2,
};

/*
 * m88a_swio15_noled_pr_ee_u4        m88p_swio15_noled_pr_ee_u4        m88pa_swio15_noled_pr_ee_u4
 * a6612c_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m88_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xdfe90fe7c9d4c13e, 0xa5cd56b46fe0ec8a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a, 0xbfa215359d372bb5, 0xab4457950a4ab57f,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x0f365118bf9b6324, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xc45f3c95fb9a1996, 0x000000000013ae59,
};

/*
 * m88a_swio15_noled_pr_ce           m88p_swio15_noled_pr_ce           m88pa_swio15_noled_pr_ce
 * a6612c_swio15_noled_pr_ce
 */
static const uint64_t ur_m88_swio15_noled_pr_ce[] = {
  0xa66eeeeeef623f3e, 0x415cb4b10aca6eb0, 0xade833d48be26e27, 0x3f11183e3b05fe94, 0x74e41090803754cc,
  0x827c64eed9158210, 0xec74bfe768cf94b9, 0x0160e4873bfea0a0, 0xe7736ba6dcedfe78, 0x1e6e9ee580bac984,
  0x54e31c72ac0c9ef5, 0xda2147bd9cc580a6, 0x2a01ffb33c75e8f9, 0x57d6e0796b708a4d, 0x6761cf566d7972ab,
  0x5beaece75152a8d7, 0xfd10a9ace9b95daa, 0x5a22bca85255abfd, 0x9e1a779f16bae7b5, 0x6f19d1020eea6c52,
  0xedec5551696d138c, 0xe365118bf9b63218, 0x03b6868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e,
  0x27cf257ee6866587, 0x000000005ba8f2ee,
};

/*
 * m88a_swio15_noled_pr_ce_u4        m88p_swio15_noled_pr_ce_u4        m88pa_swio15_noled_pr_ce_u4
 * a6612c_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m88_swio15_noled_pr_ce_u4[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff487f3fb3a60, 0xad26fbb8bebb7c76, 0x1222fb8d1079e005, 0x89257ea3e12fc436,
  0x8cfd64cf17736bdc, 0xac0c9ef51e6e9ee5, 0x9cc580a654e31c72, 0x3c75e8f9da2147bd, 0x6b708a4d2a01ffb3,
  0x6d7972ab57d6e079, 0x5152a8d76761cf56, 0xe9b95daa5beaece7, 0x5255abfdfd10a9ac, 0x16bae7b55a22bca8,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf9b63218edec5551, 0xf1726ae0f365118b, 0x75663c81f943458d,
  0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x375e3ebc45f3c95f,
};

/*
 * m88a_swio15_noled_pr_ee_ce        m88p_swio15_noled_pr_ee_ce        m88pa_swio15_noled_pr_ee_ce
 * a6612c_swio15_noled_pr_ee_ce
 */
static const uint64_t ur_m88_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff487f3fa6a609f1, 0xe1dff54652c767fc, 0x50d07fcf002d693f, 0xcac7be6139dcdaf9,
  0x67afa8f2b38729da, 0x14c565d7d47c1b30, 0x2cb1148b34eb4228, 0x5db92b0ea426be8c, 0xbce9bb7508f2439d,
  0x7c88e0fd8d578d8e, 0x86f65b2e62e12114, 0x67d260b546c11323, 0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3,
  0x8854d674dcaed52d, 0x115e54292ad5fefe, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xb288c5fcdb190c76, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c, 0xe792bf734332c3a4,
  0x00000029a673e88b,
};

/*
 * m88a_swio15_noled_pr_ee_ce_u4     m88p_swio15_noled_pr_ee_ce_u4     m88pa_swio15_noled_pr_ee_ce_u4
 * a6612c_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6d3a, 0x0b969636711dd62c, 0x75a53b4ddb2150e0, 0x8ec620906e5db453, 0x2727189a4f993b27,
  0x2776e76cd8f6c996, 0xf7cd3cfe374c13e3, 0xb8bea8f670ec6bbf, 0xe3441e780173b6bb, 0xa8f84bf10d8488be,
  0x3c5dcdafc3fc7ddf, 0x2b38729dadcdbdf3, 0x7d47c1b3067afa8f, 0xb34eb422814c565d, 0xea426be8c2cb1148,
  0x508f2439d5db92b0, 0xd8d578d8ebce9bb7, 0xe62e121147c88e0f, 0x546c1132386f65b2, 0x6bcb955a967d260b,
  0x8a9546bb3b0e7ab3, 0x4dcaed52df57673a, 0x92ad5fefe8854d67, 0xb5d73daad115e542, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0xcdb190c76f62aa8b, 0x8b9357079b288c5f, 0x598f20669f1a2c6f, 0xc3def2861539fa9d,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xfcd1c4eb54f257ee,
  0x0000000000000004,
};

/*
 * m88a_swio15_noled_hw              m88p_swio15_noled_hw              m88pa_swio15_noled_hw
 * a6612c_swio15_noled_hw
 */
static const uint64_t ur_m88_swio15_noled_hw[] = {
  0xd83bbbbbbacdfc4f, 0x1ddcb4b10acc46b0, 0xb4b8ee8da1654192, 0xf066127b86b97b36, 0xa826db19bbf75b04,
  0xfcc13e3277617ad1, 0x20ecea3fef8167f6, 0x07cf7a8ff21df2dd, 0xb7ba69126e8e3956, 0x73b64547d01cc580,
  0xace9371cb1823af1, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9, 0x442a6b3a6e576a96, 0x88af2a14956aff7f,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6ca2317f36c648ab, 0xc33d30ae4fcfec37,
  0xe9296cb25138cb25, 0x8a29e4afdcd0ccb0, 0x0000000000011c4b,
};

/*
 * m88a_swio15_noled_ee_hw           m88p_swio15_noled_ee_hw           m88pa_swio15_noled_ee_hw
 * a6612c_swio15_noled_ee_hw
 */
static const uint64_t ur_m88_swio15_noled_ee_hw[] = {
  0xbdeeeeeed121b768, 0xdab96963d4e85d60, 0x4f4d2ee8db623e24, 0xede4531d7c33c5ef, 0x1545a0ab41148885,
  0x04f8c9dd764afb67, 0xb22b7fb0ff9f2753, 0xf2b297355ad1bf83, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xd5fefe8854d674dc, 0x73daad115e54292a,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0xec6e3cd94462fe6d, 0xc3def2861539fa82,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x6fe66285f4f257ee,
  0x0000000000000001,
};

/*
 * m88a_swio15_noled_ce_hw           m88p_swio15_noled_ce_hw           m88pa_swio15_noled_ce_hw
 * a6612c_swio15_noled_ce_hw
 */
static const uint64_t ur_m88_swio15_noled_ce_hw[] = {
  0x37dddddda2431202, 0xbee5a58b811bbac7, 0xfd0837588f8b7ede, 0xcc987117b2b68242, 0xa82869c337a7bbcd,
  0xe9827c64eeb336c5, 0xf1d92bbfd87fcfec, 0xe24e425beee2faed, 0xc4361222fb8d1079, 0x6b9adcc37ea3e12f,
  0x9ee58cfd64cf1773, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcf566d7972ab57d6, 0xece75152a8d76761, 0xa9ace9b95daa5bea, 0xbca85255abfdfd10, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x118bf9b63218edec, 0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18,
  0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x000000eb36df0417,
};

/*
 * m88_swio15_noled_ee_ce_u4_hw      m88a_swio15_noled_ee_ce_hw        m88a_swio15_noled_ee_ce_u4_hw
 * m88p_swio15_noled_ee_ce_hw        m88p_swio15_noled_ee_ce_u4_hw     m88pa_swio15_noled_ee_ce_hw
 * m88pa_swio15_noled_ee_ce_u4_hw    a6612c_swio15_noled_ee_ce_hw      a6612c_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0x26bbb8bea8f670ec, 0x117dc6883cf12721, 0x75ff51f097e21b09,
  0x7be678bb9b5f9075, 0xf51e5670e53b5b9b, 0xacbafa8f83660cf5, 0x2291669d68450298, 0x2561d484d7d18596,
  0x376ea11e4873abb7, 0x1c1fb1aaf1b1d79d, 0xcb65cc5c24228f91, 0x4c16a8d8226470de, 0xf566d7972ab52cfa,
  0xce75152a8d76761c, 0x9ace9b95daa5beae, 0xca85255abfdfd10a, 0x79f16bae7b55a22b, 0x1020eea6c529e1a7,
  0x551696d138c6f19d, 0x18bf9b63218edec5, 0x4e7ea0bb1b8f3651, 0xcc4ffef0f7bca185, 0x866879133c0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000000a02fb3c17d,
};

/*
 * m88a_swio15_lednop_pr_ee          m88p_swio15_lednop_pr_ee          m88pa_swio15_lednop_pr_ee
 * a6612c_swio15_lednop_pr_ee
 */
static const uint64_t ur_m88_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x3fe90fe7e87e609f, 0x4f4d56b46fe0ec38, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0x0a9ae0404e9b95da, 0x22bca852572563d1,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4462fe6da05455bd, 0x8b3a7c5c9ab83cd9,
  0xcfd4eacc7903f286, 0x738cbf313f9430a9, 0x39effe09a1e44cf1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x9d7815117cf257ee,
};

/*
 * m88a_swio15_lednop_pr_ee_u4       m88p_swio15_lednop_pr_ee_u4       m88pa_swio15_lednop_pr_ee_u4
 * a6612c_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m88_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xbfd21fcf9c19827c, 0x759aad68cca1d9b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x9b5e5caad57022fd, 0xd454aa35d9d873d5, 0x3a6e576a96fabb39, 0x5c958f442a6b8101, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490, 0x6ae0f365118bf9b6, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x4d0445f3c95fb9a1, 0x00000000000009d7,
};

/*
 * m88a_swio15_lednop_pr_ce          m88p_swio15_lednop_pr_ce          m88pa_swio15_lednop_pr_ce
 * a6612c_swio15_lednop_pr_ce
 */
static const uint64_t ur_m88_swio15_lednop_pr_ce[] = {
  0x5337777777b128ae, 0xd0572d2c42b2d158, 0x9bbd3f7af2193b89, 0x87e223075378ef6d, 0x44895b643c7eea99,
  0x827c64ee9a58e2d1, 0xec2ebfe768cfa9e9, 0x0160e14b3bfea0a0, 0x39dcdaeff3107e78, 0x479c67b9602eb261,
  0x1e7ac71cab0327bd, 0xecbe238c8e62c053, 0xd500ffd99e3af47c, 0xb70e40f2d6e1bf70, 0xcec39eacdaf2e556,
  0xb7d5d9cea2a551ae, 0x535c0809d372bb54, 0x57950a4ae4ac7a21, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x18bf9b681463b7b1, 0x68b1e71726ae3651, 0x5727eeacc7903b68, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x00005bae36e27cf2,
};

/*
 * m88a_swio15_lednop_pr_ce_u4       m88p_swio15_lednop_pr_ce_u4       m88pa_swio15_lednop_pr_ce_u4
 * a6612c_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m88_swio15_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x669bff487f3e35a6, 0x5ad26ceb8bebb7c7, 0x61222fb8d1079e00, 0x72e8ffea3e12fc43,
  0xb19fac99e2ee6d76, 0x558193dea3ce33dc, 0x473160298f3d638e, 0xcf1d7a3e765f11c6, 0x6b70dfb86a807fec,
  0x6d7972ab5b872079, 0x5152a8d76761cf56, 0xe9b95daa5beaece7, 0x72563d10a9ae0404, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0x57079b288c5fcdb4, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x8be22f9e4afdcd0c, 0x000000000000dd74,
};

/*
 * m88a_swio15_lednop_pr_ee_ce       m88p_swio15_lednop_pr_ee_ce       m88pa_swio15_lednop_pr_ee_ce
 * a6612c_swio15_lednop_pr_ee_ce
 */
static const uint64_t ur_m88_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff487f3f6b7304f8, 0xb3bfea8ca58ec4db, 0x2737ff3c00b5a44d, 0x2b1ef984e7736ba9,
  0x9ebea3caca1ca76b, 0x5315b05f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e90e3a909afa30, 0xf3a6eddd23050e75,
  0x3723c8b6355e363a, 0x1bd96cb98b848451, 0xcc4526951b044c8e, 0x61cf566d7972ab52, 0xeaece75152a8d767,
  0xae0404e9b95daa5b, 0xca852572563d10a9, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0x5fcdb40a31dbd8aa, 0x58f38b93571b288c, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c,
  0x0534c5fb88be792b,
};

/*
 * m88a_swio15_lednop_pr_ee_ce_u4    m88p_swio15_lednop_pr_ee_ce_u4    m88pa_swio15_lednop_pr_ee_ce_u4
 * a6612c_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio15_lednop_pr_ee_ce_u4[] = {
  0x3dddddda2e7c4541, 0x172d2c6ce191ac59, 0x96bd6d86656ea1c0, 0x3b188223b836b8dd, 0xe817c9693e64ec9e,
  0x4eea0126e7161f06, 0xef9a79f35b9827c6, 0xb8bea8f670ec149f, 0x71a20f3c00b9d8a4, 0xd47c25f886c2445f,
  0x9e2ee6d7f5a9e01f, 0x9594394ed6e6def9, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4,
  0xba460a1ceaedd21c, 0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d,
  0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7,
  0x9c6378ce88108548, 0x1463b7b15545a482, 0xae0f365118bf9b68, 0x40cd3e3458df1726, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x6dd6a9e4afdcd0cc,
  0x000000000009f8f3,
};

/*
 * m88a_swio15_lednop_hw             m88p_swio15_lednop_hw             m88pa_swio15_lednop_hw
 * a6612c_swio15_lednop_hw
 */
static const uint64_t ur_m88_swio15_lednop_hw[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd20ec8f7ff7c0b3e, 0x607cf7a8ebe1df2d, 0x16f74c13e218e395, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xe33a204e7d14085a, 0xed94462fe6da718d, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0xdd453c95fb9a1996, 0x000000000000238a,
};

/*
 * m88a_swio15_lednop_ee_hw          m88p_swio15_lednop_ee_hw          m88pa_swio15_lednop_ee_hw
 * a6612c_swio15_lednop_ee_hw
 */
static const uint64_t ur_m88_swio15_lednop_ee_hw[] = {
  0xbdeeeeeed121b705, 0x6d5cb4b1ea610560, 0xe15a62774b88cf12, 0x17b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x1d8707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xc79b288c5fcdb40a, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xcd30be9e4afdcd0c,
  0x0000000000002dff,
};

/*
 * m88a_swio15_lednop_ce_hw          m88p_swio15_lednop_ce_hw          m88pa_swio15_lednop_ce_hw
 * a6612c_swio15_lednop_ce_hw
 */
static const uint64_t ur_m88_swio15_lednop_ce_hw[] = {
  0x9beeeeeed12198e2, 0x5f72d2c5c09a5d63, 0x53d68bba306bbf6f, 0xb9930e22f66ecadb, 0xda75a82d0bc2b779,
  0xd69827c64ee94e1e, 0xdf1d9a6ffd87fcf8, 0x9e24e425b3ae2fae, 0xfc4361222fb8d107, 0x6d7e5a66ffea3e12,
  0x33dcb19fac99e2ee, 0x638e558193dea3ce, 0x11c6473160298f3d, 0x7feccf1d7a3e765f, 0x20796b70dfb86a80,
  0xcf566d7972ab5b87, 0xece75152a8d76761, 0x0404e9b95daa5bea, 0x852572563d10a9ae, 0xe56bae7b55a22bca,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0x505d8dc79b288c5f, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0759b27e10be9e4a,
};

/*
 * m88_swio15_lednop_ee_ce_u4_hw     m88a_swio15_lednop_ee_ce_hw       m88a_swio15_lednop_ee_ce_u4_hw
 * m88p_swio15_lednop_ee_ce_hw       m88p_swio15_lednop_ee_ce_u4_hw    m88pa_swio15_lednop_ee_ce_hw
 * m88pa_swio15_lednop_ee_ce_u4_hw   a6612c_swio15_lednop_ee_ce_hw     a6612c_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x848525c5f547b387, 0x2445f71a20f3c49c, 0x5d4efd47c25f886c,
  0x9b7be678bb9b5fce, 0xf5f51e5650e53b5b, 0x98ad82fa8f83660c, 0x962291669d684502, 0xb74871d484d7d185,
  0x9d376ee9182873ab, 0xb91e45b1aaf1b1d7, 0xdecb65cc5c242289, 0x622934a8d8226470, 0x0e7ab36bcb955a96,
  0x57673a8a9546bb3b, 0x7020274dcaed52df, 0x54292b92b1e8854d, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xfe6da0518edec555, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00028087ab85f4f2,
};

/*
 * m88_swio15_dual_pr                m88a_swio15_dual                  m88a_swio15_dual_pr
 * m88p_swio15_dual                  m88p_swio15_dual_pr               m88pa_swio15_dual
 * m88pa_swio15_dual_pr              a6612c_swio15_dual                a6612c_swio15_dual_pr
 */
static const uint64_t ur_m88_swio15_dual[] = {
  0x106eeeeeef3e6d3a, 0x6d4cd439424e2c3e, 0xd5acfb7a7189c5e5, 0x5d6834a3d9b140b8, 0x4c39db28a56e840f,
  0x271ddcae76cdbade, 0xc800948300cc13e3, 0xa1832bac0db4ae22, 0x535aa774f8971030, 0xc1fc382fb98a2fe6,
  0x0ab03eea6f51e3de, 0xf815fe63408a11c9, 0xc5eef8bbe0000370, 0x150865a11922195d, 0xb943ffa039e135ad,
  0x3b44c161bcaf212d, 0x7cef967bc767eeff, 0x71c72ac0e0ffa8fb, 0x9cc580aa0f32568f, 0x08ebc019db4a4710,
  0x3db4c6325403ff66, 0xf9ddc549702503cb, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x0274dcaed52df576,
  0x92b92b1e8854d702, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65, 0xe7ceb54f257ee686,
  0x0000000000000c40,
};

/*
 * m88a_swio15_dual_pr_u4            m88p_swio15_dual_pr_u4            m88pa_swio15_dual_pr_u4
 * a6612c_swio15_dual_pr_u4
 */
static const uint64_t ur_m88_swio15_dual_pr_u4[] = {
  0x41bbbbbb4486ff3e, 0xb53350e50938b0f8, 0xec6adde9c6271795, 0x7aeb41a51ecd8a05, 0xabd9ced9452b7420,
  0x938eee4d3c57b1d7, 0x64004a41806609f1, 0x50c195d606da5711, 0xcbb093ba7c4b8818, 0xd83f8705f73145fc,
  0x215607dd4dea3c7b, 0x1f02bfcc68114239, 0xb8bddf177c00006e, 0xa2a10cb42324432b, 0xb7287ff4073c26b5,
  0xd21f982c3795e425, 0xdf3be59ef1d9fbbf, 0xdc71cab0383fea3e, 0x2731602a83cc95a3, 0x823af00676d291c4,
  0xcf6d318c9500ffd9, 0xbe7771525c0940f2, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809d372bb54b7d5d,
  0xa4ae4ac7a21535c0, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0x8df0dc79b288c5fc, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00524d6b55c293c9,
};

/*
 * m88a_swio15_dual_pr_ee            m88p_swio15_dual_pr_ee            m88pa_swio15_dual_pr_ee
 * a6612c_swio15_dual_pr_ee
 */
static const uint64_t ur_m88_swio15_dual_pr_ee[] = {
  0xd6eeeeeea0a1a5fb, 0xa99a872a1f7787cd, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6ecdd33,
  0x29646bacda15664c, 0x4771f304f8c9fa77, 0xd606da571164004a, 0xba7c4b881850c195, 0x04b5305afccbb093,
  0x9b9bd471adb02747, 0x31a04508e485581e, 0x77f75801b87c0aff, 0x82fb4432bb8bddf1, 0x01cf0983dc542196,
  0x1bcaf212dbcedffd, 0x31d9d3ffe90fcc16, 0xa8f2bd37355ad1b9, 0xf677a8f83660e3df, 0x291669d68450ef8a,
  0xa973484d7d185962, 0x23ea0e7569753cb8, 0x1aad743af512ecfe, 0x62e121141ea8fe4b, 0x1b047eb70decbe96,
  0x77715250087cded5, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x9d372bb54b7d5d9c, 0xae4ac7a21535c080,
  0x75cf6ab4457950a4, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x40a8ab7b15545a48, 0x78dc79b288c5fcdb,
  0xab337f07771a2cb5, 0xf0271a50c2a73f53, 0x615c9f80f9a1e44c, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000005647addc29,
};

/*
 * m88a_swio15_dual_pr_ee_u4         m88p_swio15_dual_pr_ee_u4         m88pa_swio15_dual_pr_ee_u4
 * a6612c_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m88_swio15_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0x7299a872a1e7de1f, 0x7bddeea0a7ad1c7a, 0x1393a9994edebb08, 0x4806abf7ec6b9bbb,
  0xd16e4f04674e16a7, 0x00948ee3e609f192, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0x158e035a6275f997,
  0xb03cad37a8fa6f61, 0x15fe63408a11c90a, 0xbbe2efe8f80370f8, 0x432d08f688657717, 0xdffd01cf09a448a8,
  0xcc161bcaf212dbce, 0xd1afb1d9d3ffe90f, 0x7dd7a8f2bc09355a, 0x77c565d7d47c1b30, 0x2cb1148b34eb4228,
  0xce5c20b9a426be8c, 0xeda52397c73ab4bf, 0x1f2c6ab5d0ebdac4, 0x71f18b84845098a3, 0x5495716b7d6e1bd9,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0xcaed52df57673a8a, 0xb1e8854d7020274d, 0xdaad115e54292b92,
  0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x6d38c6f19d10273e, 0x37c371e6ca2317f3, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00159021770a4f25,
};

/*
 * m88a_swio15_dual_pr_ce            m88p_swio15_dual_pr_ce            m88pa_swio15_dual_pr_ce
 * a6612c_swio15_dual_pr_ce
 */
static const uint64_t ur_m88_swio15_dual_pr_ce[] = {
  0x89ddddddde7cd0e3, 0xb53350e5091ab0f9, 0xbd1d7d89c24682d0, 0x9fbe9c9cb6534edf, 0xa7d9623b5ba62571,
  0xc85cab8da0a6be44, 0x00948e41e609f192, 0x832bac0db4ae22c8, 0x5aa774f8971030a1, 0xce3848798bafe653,
  0xc0d7dcdea3b93d87, 0x57f98d022847242a, 0x77c5df30c00dc3e0, 0x432d0c9110caee2f, 0xbffa039e132d78a8,
  0x4c161bcaf212dbe9, 0xfeb2f87614bff3b4, 0xaeff3c00b9d9433b, 0xa1c66139dcdaf881, 0x0c9af51d009ee580,
  0xc580afe7511c72ac, 0x75e45bb4dc8f229c, 0x5494743e6e39633c, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xcaed52df57673a8a, 0xb1e8854d7020274d, 0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x3cd94462fe6da051, 0x69f1a2c79c5c9ab8, 0xd30ae4fdd598f206, 0x296cf8138cb25c33,
  0xa9e4afdcd0ccb0e9, 0x000000073d7a71d6,
};

/*
 * m88a_swio15_dual_pr_ce_u4         m88p_swio15_dual_pr_ce_u4         m88pa_swio15_dual_pr_ce_u4
 * a6612c_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m88_swio15_dual_pr_ce_u4[] = {
  0xe0eeeeeed121a5fb, 0x6a66a1c26745f87e, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087bb704,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0xc32b1c37dcda6ff3,
  0x156065d66f51d4f6, 0xf02bfcc681142392, 0x17bbe2ef672006e1, 0xa8432d009e886577, 0xc2d7fd01cf09a718,
  0x87e60b0de579096d, 0x5c5f5328766ceff4, 0x71a20f3c49c84a2b, 0xd47c25f886c2445f, 0x99e2ee6d724aca8f,
  0x7a8e804f72c67871, 0x57f3a88e3956064d, 0x2dda6e47914e62c0, 0x3a1f371cb19e3af2, 0xad67f157ceee2a4a,
  0x5d9d873d59b5e5ca, 0xa96fabb39d454aa3, 0x42a6b81013a6e576, 0x88af2a1495c958f4, 0x9d01e395aeb9ed56,
  0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0xa2317f36d028c76f, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x70a4f257ee686658,
  0x0000000003491341,
};

/*
 * m88a_swio15_dual_pr_ee_ce         m88p_swio15_dual_pr_ee_ce         m88pa_swio15_dual_pr_ee_ce
 * a6612c_swio15_dual_pr_ee_ce
 */
static const uint64_t ur_m88_swio15_dual_pr_ee_ce[] = {
  0xfabeddddddd432db, 0x5294cd4385eda7b0, 0x1dfabeea7d96a7ac, 0x0f666673bdc61f20, 0xda0ce57105e6955f,
  0x7723822ac1e199d4, 0x9483e7d304f8c947, 0x2bac0db4ae22c800, 0x2774f8971030a183, 0x8e0ff26c41f99761,
  0x763f37a8e1a361a6, 0xfcc6811423921560, 0xc5de164006e1f02b, 0x5a0c1510caee2f77, 0xf4073c2690f15086,
  0x586f2bc84b6f787f, 0x2b87656fffa43f30, 0x89390956f9dff547, 0x39dcdaf7437547e7, 0xbdf729dacac9ba61,
  0xd47c1b306657a8f2, 0x34eb422814c576eb, 0xa426be8c2cb1148b, 0x88fa839d5db94f0e, 0x8d578d8ebd44bb3f,
  0x3170908a0f547f25, 0x46c1132386f65f4b, 0x9ddc5494b31f37b5, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a,
  0x274dcaed52df5767, 0x2b92b1e8854d7020, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xa0518edec5551692, 0x386e3cd94462fe6d, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0xc13a4eb852792bf7, 0x0000000000000004,
};

/*
 * m88a_swio15_dual_pr_ee_ce_u4      m88p_swio15_dual_pr_ee_ce_u4      m88pa_swio15_dual_pr_ee_ce_u4
 * a6612c_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m88_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9a8736d95ef0fb3e, 0x05b55e3af388eb29, 0xfbccdcda1372c9a7, 0x05048e2cf8b5362c,
  0x42ace797721ae2ed, 0x3e324a55cab00840, 0x1164004a46b82cc1, 0x1850c195d606da57, 0xe657ed13ba7c4b88,
  0x6c31b8e1d8335e1f, 0x42ac0f104dea3a1f, 0x3e057f98d0228472, 0x8bddf177a71e00dc, 0x54219684724432bb,
  0x9257fd01cf09b7dc, 0x69cc161bcaf212db, 0xea8fabc764c37fbe, 0x83cf12701c986b8b, 0x097e21b09117dc68,
  0xb9b5d38fee3ff51f, 0xee53b5b9b9ba678b, 0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669,
  0xf5073abb729e1d48, 0xaf1b1d7a89767f11, 0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d,
  0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x2563d10a9ae0404e, 0xe7b55a22bca85257,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xa31dbd8aaa2d2414, 0x7079b288c5fcdb40, 0x1bf411a2c6f8b935,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xc80a792bf734332c, 0x00000000008002cd,
};

/*
 * m88a_swio15_dual_hw               m88p_swio15_dual_hw               m88pa_swio15_dual_hw
 * a6612c_swio15_dual_hw
 */
static const uint64_t ur_m88_swio15_dual_hw[] = {
  0x83777776890c365a, 0x6a66a1ca127161f0, 0xd8d5bbd38c4e2f2b, 0xf5d6834a3d9b140b, 0x9b439db28a56e840,
  0x7c64e3bb91377d7d, 0xc459001290601982, 0x061430657581b695, 0x7f32ec24ee9f12e2, 0x1ef60fe1c17dcc51,
  0x8e485581f7537a8f, 0x1b87c0aff31a0450, 0xcaee2f77c5df0000, 0xad68a8432d08c910, 0x096dca1ffd01cf09,
  0xdfe150660b0de579, 0x1f6f9df2cf78ecfd, 0xd1ee38e5581c1ff5, 0xe21398b01541e64a, 0xecc11d78033b6948,
  0x7967b698c64a807f, 0xc55f3bb8a92e04a0, 0x1cf566d7972ab59f, 0xaece75152a8d7676, 0xe0404e9b95daa5be,
  0xa852572563d10a9a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6da05455bd8aaa,
  0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0018dd56b505f4f2,
};

/*
 * m88a_swio15_dual_ee_hw            m88p_swio15_dual_ee_hw            m88pa_swio15_dual_ee_hw
 * a6612c_swio15_dual_ee_hw
 */
static const uint64_t ur_m88_swio15_dual_ee_hw[] = {
  0x6eb777776890cf68, 0x6d4cd43950fbbc3e, 0x7a0fb755f3624670, 0x99f4e69c89f55fd7, 0x6577efd8d73766e9,
  0xd3b9347d4eb5bb32, 0x02523b8f9827c64f, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0x3a3825a982d7e65d,
  0xc0f4dcdea38d6d81, 0x57f98d022847242a, 0xef8bbfbac00dc3e0, 0x0cb417da2195dc5e, 0xffe80e784c1ee2a1,
  0x60b0de579096de76, 0x1b931d9d3ffe1506, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e, 0x962291669d68450e,
  0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f, 0xed51b047eb70decb,
  0xabe77715250087cd, 0x9eacdaf2e556b3f8, 0xd9cea2a551aecec3, 0x0809d372bb54b7d5, 0x0a4ae4ac7a21535c,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545, 0x505d8dc79b288c5f,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x002bb4f5b0be9e4a,
};

/*
 * m88a_swio15_dual_ce_hw            m88p_swio15_dual_ce_hw            m88pa_swio15_dual_ce_hw
 * a6612c_swio15_dual_ce_hw
 */
static const uint64_t ur_m88_swio15_dual_ce_hw[] = {
  0x91dddddda2431f02, 0x54cd4384cd47f0f9, 0x766f75b13b2976b0, 0x4e3126eab43ae10f, 0x5135d13faef74c8c,
  0x26c8dc94622cde98, 0x900129075f4c13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0xc3671c2394c707f3,
  0x156078126f51edd6, 0xf02bfcc681142392, 0x2f77c5de089006e1, 0x50865a01ed10caee, 0xff9ff4073c2609f1,
  0x41982c3795e425b7, 0xc5f580c3b09d7f85, 0x3441e7893909757d, 0x8f84bf10d8488bee, 0x3c5dcdaf722495fa,
  0x51e449ee58cfa973, 0xf71951c72ac0c45f, 0x3b6948e21398b017, 0x4a807feccf1d7803, 0x4b81281e5adc98c6,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xf442a6b81013a6e5, 0x5688af2a1495c958,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d028c7, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x42fa792bf734332c,
  0x000000000026eb8c,
};

/*
 * m88a_swio15_dual_ee_ce_hw         m88p_swio15_dual_ee_ce_hw         m88pa_swio15_dual_ee_ce_hw
 * a6612c_swio15_dual_ee_ce_hw
 */
static const uint64_t ur_m88_swio15_dual_ee_ce_hw[] = {
  0xabeddddddd43573e, 0x294cd4385eda7b0f, 0xdfabeea7d96a7ac5, 0xf666673bdc61f201, 0xa0ce57105e6955f0,
  0xeee4b8beecdd654d, 0x12907cfa609f1928, 0x657581b695c45900, 0x24ee9f12e2061430, 0xd1c1fe4d883f32ec,
  0x0ec7e6f51c346c34, 0x7f98d022847242ac, 0xf8bbc2c800dc3e05, 0xcb4182a2195dc5ee, 0xfe80e784d21e2a10,
  0x0b0de579096def0f, 0xcae1d95bffe15066, 0xe24e4255be77fd51, 0x273b9b5fa3ea49f9, 0x57bee53b5959374c,
  0x7a8f83660ccaf51e, 0x669d68450298aedd, 0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767,
  0x662e121141ea8fe4, 0xa8d8226470decbe9, 0xf3bb8a929663e6f6, 0x566d7972ab59fc55, 0xe75152a8d76761cf,
  0x04e9b95daa5beaec, 0x2572563d10a9ae04, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842,
  0xb40a31dbd8aaa2d2, 0xfb0dc79b288c5fcd, 0x32c970cf4c2b93f3, 0x4332c3a4a5b3e04e, 0xd3e9382fa792bf73,
  0x0000000000000044,
};

/*
 * m88a_swio15_dual_ee_ce_u4_hw      m88p_swio15_dual_ee_ce_u4_hw      m88pa_swio15_dual_ee_ce_u4_hw
 * a6612c_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m88_swio15_dual_ee_ce_u4_hw[] = {
  0xf6eeeeed14682906, 0x4cd439b6caf787d9, 0x64ddaaf1d79c4759, 0xb167de66e6d09bd9, 0x176828247167c5a9,
  0x15f202f6918b90d7, 0xd7059827c6494ab9, 0xc0db4ae22c800948, 0x4f8971030a1832ba, 0x0cd787f99641aa77,
  0x7a8e87db0c6e3876, 0x08a11c90ab03c413, 0xc780370f815fe634, 0x910caee2f77c5de9, 0xc26df7150865a11c,
  0xbc84b6e495ff4073, 0x61bff90ff30586f2, 0x4c35c5f547d5e3b2, 0xbee3441e78b17d09, 0xdfa8f84bf10d8488,
  0xd33c5dcdafc3fc7d, 0x8f2bdf729dadcdcd, 0x6ebd47c1b306657a, 0x48b34eb422814c57, 0xf0ea426be8c2cb11,
  0xb3f88fa839d5db94, 0xf258d578d8ebd44b, 0xf4b3170908a0f547, 0x7b546c1132386f65, 0x2af9ddc5494b31f3,
  0xe7ab36bcb955acfe, 0x7673a8a9546bb3b0, 0x020274dcaed52df5, 0x4292b92b1e8854d7, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xa82ec6e3cd94462f, 0xffbc3def2861539f,
  0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0ebace2fb405cf25,
};

// m88pb_autobaud_uart0_noled_pr
static const uint64_t ur_m88pb_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x416caef2776c7b21,
  0x7c167fba9827c602, 0xa81102a7c247aff9, 0xaa935f736f017442, 0xc90e1b46f6a8e15f, 0x5819a4f51ebf9df2,
  0x05bdd35ad52e38e5, 0x173b1a446678e62c, 0x2b21ab71cb1823af, 0xe73859bf0312b5ec, 0x16f378392b01deb5,
  0x5fcdba96ae5297ce, 0x9d10267c502169dc, 0xca2317f36d38c6f1, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0x2ebcf257ee686658, 0x0000000007110248,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_u4[] = {
  0x5bbbbbbb45d8bf82, 0xeeeeeeaafc2eebe2, 0xa569425f85c76a1e, 0x33f4a64f7777520d, 0xe4eeae3122a6e0d9,
  0xeb304f8c0482d95d, 0xa7c252fbfc906cf9, 0x736f017442a81102, 0x46f6a8e15faa935f, 0x7a8fcf1df2c90e1b,
  0x86f93d1c72ac0cd2, 0xd23c66731602dee9, 0xb8e58c11d78b9d9e, 0x37e06256bd856513, 0x1f50603bd6bce70b,
  0x4e5e5363385bcde0, 0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0x26ae0f365118bf9b, 0x63c81db43458df17,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xc917b89f3c95fb9a, 0x0000000000000230,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ee[] = {
  0x44b77777777b1762, 0x5eeeeeeeaae2ff85, 0xefd2ebd385e34f68, 0xfbc5eb44191b5ba5, 0xe4eed33467f4d1d9,
  0xad304f8c0482d95d, 0x4f84b7dff920d9f8, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0x57a54d56b46be436,
  0xf51f06cc1e45f51e, 0x669d68450ef8ae6e, 0x3484d7d185962291, 0xbe39d5a5e215c513, 0xba1d7aea6edcf236,
  0x908a3588cd258d56, 0xfeb70decb8723170, 0xb37e06256bd8b874, 0xcb750603bd6bce70, 0xaa9cbca6c670b79b,
  0x102e6e2810b4deab, 0x2317f36d38c6f19d, 0x0d163ce2e4d5c6ca, 0x0ae4fdd598f2076d, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0000c41d539c4f9e,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ee_u4[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x04f8c0482d95de4e, 0x4a577f84639fd9d3, 0xe02e8855022054f8, 0xd51c2bf5526bee6d, 0x24d56b4738c368de,
  0xf83660d31f51e572, 0xeb422877c57dd7a8, 0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c,
  0x451cf230e36355ae, 0xd6e1bd96cb98b848, 0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a,
  0xd102baa9cbca6c67, 0x55516961738c6f19, 0x2317f36c4922adec, 0x8b1be2e4d5c1e6ca, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00009a9c9a088be7,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ce[] = {
  0x12ddddddddec4743, 0xf777777557e17b27, 0x456a70bd889b1a56, 0x15a30a1b7bbba6d2, 0xbbc9dda8bc9682ac,
  0xff3a609f180905b2, 0x0a9f09145ff241b3, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x02c1c3d4effac1f8,
  0x73b9b5f7de9bfcf0, 0x8e4f4f72c05d64c2, 0xf9d2471cab03d67a, 0x76afe8f587316028, 0xca807feccf1d7a3e,
  0x60e3e0796b70fb33, 0xaf39c2cdf81895af, 0x16f37807d4180ef5, 0xa20575539794d8ce, 0xaaa2d2c2e718de33,
  0x8c5fcdb12431dbd8, 0x3458f38b93571b28, 0x2b93f75663c81db4, 0x2c944e32c970cf4c, 0x2bf734332c3a4a5b,
  0x0059f845fb713e79,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ce_u4[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x95a609f180905b2b, 0xa9f09143ff08c73f, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0x5ad23f9717d72486,
  0x61222fb8d1079e00, 0xff3107ea3e12fc43, 0x9633f5933c5dcdae, 0xe5581eb3d4727a7b, 0xac398b0147ce9238,
  0x6678ebd1f3b57f47, 0xcb5b87d99e5403ff, 0x6fc0c4ad7b071f03, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0,
  0x1738c6f19d102baa, 0x89218edec5551696, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x79b7117cf257ee68,
  0x0000000000002375,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x04f8c0482d95de4e, 0x905aff08c73e3373, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0x43bfea8dfc86d1bd,
  0x7687df9e005ad260, 0xcac7be6139dcdaed, 0x6b5fd4795f5129da, 0x14c5613fd47c1b30, 0x2cb1148b34eb4228,
  0xaedd388ea426be8c, 0xbce9bb6f68f059ce, 0x73c8c38d8d578d8e, 0x86f65b2e62e12114, 0x6744a9a546c11323,
  0x39c2cdf81895af61, 0xf37807d4180ef5af, 0x0575539794d8ce16, 0xa2d2c2e718de33a2, 0x5fcdb12431dbd8aa,
  0x58f38b93571b288c, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x0acda7d788be792b,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e1000, 0xbbbbbaab9e0a3389, 0x123d3ac886ed375b, 0xdf4f0fc01bab41bb, 0xd6abbced6cd99189,
  0x4f8c0482d95de4ee, 0x9dbff1d4f3f5bf30, 0x0ba2154088153e12, 0x470afd549afb9b78, 0xe2faa390f0da37b5,
  0xc6883cf002e76706, 0x51f097e21b09117d, 0xcf17736ba92737ff, 0xe57d44a76b736f7c, 0xff51f06cc1ad7f51,
  0x2cd3ad08a0531584, 0x3a909afa30b2c452, 0xbda3c1673abb74e2, 0x36355e363af3a6ed, 0xb98b848451cf230e,
  0x951b044c8e1bd96c, 0xe06256bd859d12a6, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x90c76f62aa8b4b0b, 0x5c1e6ca2317f36c4, 0x819a7c68b1be2e4d, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x9bad53c95fb9a199, 0x0000000000411324,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_hw[] = {
  0x25bbbbbbbacdc49f, 0xeeeeeeeaafc2eebe, 0x20da569425f9b006, 0xb4133f4a64f77775, 0x0b657793bb98921a,
  0x38f3e7acc13e3012, 0xa0440a9f094beffc, 0xaa4d7dcdbc05d10a, 0x24386d1bdaa3857e, 0xb03349ea3f3c77cb,
  0x0b7ba61be4f471ca, 0x2e767b48f199cc58, 0x15944ee39630475e, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a,
  0x20575539794d8ce1, 0xaa2d2c2e718de33a, 0x62fe6d892455bd8a, 0x615c9f9fd86ed944, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x0000006d96add453,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0x674c13e30120b657, 0x54f84a577fd0a67f, 0xee6de02e88550220, 0x68ded51c2bf5526b, 0xe57224d56b4738c3,
  0xd7a8f83660d31f51, 0x8b34eb422877c57d, 0xc9a426be8c2cb114, 0x782ce756979c571a, 0x55ae875e74ddb7b4,
  0xb848451cf230e363, 0x608fd6e1bd96cb98, 0x4ad7b002a254d2a3, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xe6ca2317f36c4922, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x4c2fa792bf734332, 0x0000000000b13df2,
};

static const uint64_t ur_m88pb_autobaud_uart0_noled_ce_hw[] = {
  0x96eeeeeed1218375, 0x777777557a4fe2f8, 0x1889b0b4663b4177, 0xc4d2cfde3bdddda1, 0x6caef27760580ad6,
  0x4cfe569827c60241, 0x0440a9f09143ffa1, 0xa4d7dcdbc05d10aa, 0x2486d1bdaa3857ea, 0xe78939093f9717d7,
  0xbf10d8488bee3441, 0xcdae63e337fa8f84, 0x7a7b9633f5933c5d, 0x9238e5581eb3d472, 0x7f47ac398b0147ce,
  0x03ff6678ebd1f3b5, 0x1f03cb5b87d99e54, 0xce166fc0c4ad7b07, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0xfe6d89218edec555, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x01ba37183905f4f2,
};

// m88pb_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xfcc13e30120b6577, 0x3e129dbffa14cfd6, 0x9b780ba215408815, 0x37b5470afd549afb, 0x4706e2faa390f0da,
  0x22fb8d1079e24e42, 0xc8fea3e12fc43612, 0x6f7ccf17736ba545, 0x7f51e57d44a76b73, 0x1584ff51f06cc1ad,
  0xc4522cd3ad08a053, 0x74e23a909afa30b2, 0xa6edbda3c1673abb, 0x230e36355e363af3, 0xd96cb98b848451cf,
  0x12a6951b044c8e1b, 0x0b37e06256bd859d, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x36c490c76f62aa8b, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x025486e402fa792b,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xbe0b3f224c13e301, 0x54088153e12d2bfc, 0xd549afb9b780ba21, 0x64870da37b5470af, 0x5606693d47278ef9,
  0x80b7ba61f3a48e39, 0x8b9d9af91c829cc5, 0x0ac1f7b8e58c11d7, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0xe7f61bb65118bf9b, 0x9c6592e19e985727,
  0x6866587494b65928, 0x662fd62ebcf257ee, 0x000000000000000d,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr[] = {
  0x6eeeeee87afb1762, 0xbbbbbaabf0b97189, 0xdb7e9522e3bd7a7b, 0xfe3fc5eeeedc4e1f, 0x9dda668cc19a3b85,
  0xe609f180905b2bbc, 0xf84bbaff241b3f1e, 0x6de02e8855022054, 0xded51c2bf5526bee, 0x51ed63be5843c368,
  0xc907e38e5581a0bf, 0x4690ce62c0596537, 0xff6608ebd1f3b2cf, 0x0f2cf6d059a45403, 0x59bf0312b5ec82b4,
  0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x3cd94462fe6db9c8,
  0xb6868b3a7c5c9ab8, 0x30a9cfd4eacc7903, 0x4cf1738cbf313f94, 0x727e39effe09a1e4, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00004618c8e27cf2,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_u4[] = {
  0x4b77777768bb1762, 0xfddddddd55f85c64, 0x368ebeb4f1398ec2, 0xb8036da45ddddd48, 0x5de4eed33466b423,
  0xfc89304f8c0482d9, 0x8153e12d2bfc906c, 0xafb9b780ba215408, 0x0da37b5470afd549, 0x693d47278ef96487,
  0xba61f3a48e395606, 0x9af91c829cc580b7, 0xf7b8e58c11d78b9d, 0x166fc0c4ad7b0ac1, 0xa0c077ad79e0404e,
  0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x0f365118bf9b6e72, 0x1db43458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xb89f3c95fb9a1996, 0x0000000001186085,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ee[] = {
  0x25bbbbbbba88aaac, 0xf77777755717f242, 0x7e976c982fa17af5, 0x99bb4120c8dadd2f, 0x2777c8a3b31313a1,
  0x29827c602416caef, 0x7c256ebfc231cfc7, 0x36f017442a81102a, 0x6f6a8e15faa935f7, 0xb3d66ab5a35f21b4,
  0xa8f83660f22fa8f2, 0x34eb422877c560a7, 0xa426be8c2cb1148b, 0x39cead2ff22e2899, 0xd0ebd75376c168c4,
  0x2280e28e416c6ab5, 0xadc37b2e1c8c5c24, 0xbf0312b5ec5c29af, 0x01deb5e781013859, 0x914b579d002de6f3,
  0xf8a042d2a7c05a9c, 0x9b69c6378ce88197, 0xe71726ae365118bf, 0xeeacc7903f2868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0x07daf7117cf257ee, 0x0000000000000031,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x09f180905b2bbc9d, 0x9656ff08c73fa6e6, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0xf9aad68d7c86d1bd,
  0xc1b307917d479584, 0x5a1143be2b913d47, 0x35f4616588a459a7, 0xead2f2f97144cd21, 0xaf5d4dd84547cf1c,
  0x457f47acb1aad743, 0xe1bd970e462e1211, 0x81895af62e07dfd6, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa2317f36dce455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00001353922f88be,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ce[] = {
  0x12ddddddddec53c3, 0x7bbbbbbaabf0b921, 0x45b26d4c99e2fd37, 0x136104a87bbba6d2, 0xbbc9dd23f2eec8c7,
  0xe70e609f180905b2, 0x0a9f09256ff241b3, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x02c1c910effac1f8,
  0x73b9b5f67472fcf0, 0x8fd24f72c05d64c2, 0x6222c71cab03d67a, 0xd967a3486731602a, 0x2a01ffb33c75e8f9,
  0x905681e5adc82cd2, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x1726ae365118bf9b, 0xacc7903b6868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0xb71ee27cf257ee68, 0x000000000000b3f0,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0xba9827c602416cae, 0xa7c25813fc231cfd, 0x736f017442a81102, 0x46f6a8e15faa935f, 0xd692a55c5f5c921b,
  0x09117dc6883cf002, 0xbf003f51f097e21b, 0x633f5933c5dcdaf5, 0x5581eb3d47e927b9, 0x3398b0153111638e,
  0x9e3af47cecb3d1a4, 0xd6e416691500ffd9, 0xf0312b5ec82b40f2, 0x1deb5e781013859b, 0x4e8016f379b22830,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x288c5fcdb73863b7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000002375ab2a22f,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x827c602416caef27, 0x4ac7ffc231cf8689, 0xe02e8855022054f8, 0xd51c2bf5526bee6d, 0xd9dff546fe4368de,
  0xa4fd7fcf002d6937, 0xb2b1ef984e7736b8, 0x1ad7f51e57dd4a76, 0x05315edff51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71ea3a909afa3, 0xd79d3768c9193473, 0x82791bdab1aaf1b1, 0x70decb65cc5c2422, 0x598fb33ca8d82264,
  0x0270b37e06256bd8, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5,
  0x726ae365118bf9b6, 0xcc7903f2868b1e71, 0x592e19e985727eea, 0x6587494b659289c6, 0x8ff117cf257ee686,
  0x000000000000acdd,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddddda2e7c92df, 0x777775573c1c9d12, 0x8cc489a5295aecb7, 0x7c8e1f8037568376, 0xa3e842af89b66762,
  0x3e30120b657793ba, 0x883fc753cfa1f4c1, 0x17442a81102a7c25, 0x8e15faa935f736f0, 0xc5f54721e1b46f6a,
  0x8d1079e005ced2d5, 0xa3e12fc4361222fb, 0x3c5dcdae601ba1fe, 0x95f7529dadcdbdf3, 0xfd47c1b306b5fd47,
  0xb34eb422814c57b7, 0xea426be8c2cb1148, 0x32464d1ceaedc7a8, 0xac6abc6c75e74dda, 0x73170908a09e46f6,
  0x2a3608991c37b2d9, 0x81895af61663eccf, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x4462fe6db9c31dbd, 0xd1637c5c9ab83cd9, 0xcfd4eacc790334f8, 0x89ffde1ef79430a9,
  0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00008226d7b75aa7,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xc38f3f224c13e301, 0x55022054f84b4aff, 0xf5526bee6de02e88, 0x5921c368ded51c2b, 0x55819a4f51c9e3be,
  0x602dee987ce9238e, 0xe2e766be4720a731, 0xc2b07dee39630475, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xf9fd86ed94462fe6, 0x271964b867a615c9,
  0x9a19961d252d964a, 0x0db2d7d7453c95fb,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0xd69827c602416cae, 0xa9f0969bffa14cf8, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0xcacca9aad68e7186,
  0xbf51f06cc1a63ea3, 0x2cd3ad08a1df1587, 0x26909afa30b2c452, 0xc9a39d5a5cf55c6b, 0xab5d0ebce9bb4648,
  0x70908a09e46f6ac6, 0xc11fadc37b2d9731, 0x2b5ec0087d99e546, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000b13c02b05f4f,
};

static const uint64_t ur_m88pb_autobaud_uart0_lednop_ce_hw[] = {
  0x2ddddddda2431768, 0xeeeeeeaaf49f8671, 0xc47179b163f6c8ee, 0x67ae34d4deeeed08, 0x657793ba6e8ed68f,
  0x67edd4c13e30120b, 0x22054f84b027fd0a, 0x26bee6de02e88550, 0x24368ded51c2bf55, 0x789390954ab8beb9,
  0xf10d8488bee3441e, 0x36bffc0d1fa8f84b, 0x49ee58cfd64cf177, 0x58e395607acf51fa, 0xf4690ce62c054c44,
  0x3ff6678ebd1f3b2c, 0xd03cb5b9059a4540, 0xe166fc0c4ad7b20a, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x18edec555169aba7, 0x71e6ca2317f36dce, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x087c2fa792bf7343, 0x00000000001ba377,
};

// m88pb_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xfa609f180905b2bb, 0x4f84b107fd0a67d0, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0x925ab8bea8e43c36,
  0x88bee3441e789390, 0xce5fa8f84bf10d84, 0xdbdf33c5dcdaf494, 0x5fd4795f7529dadc, 0xc57b7fd47c1b306b,
  0xb1148b34eb422814, 0xdc7a8ea426be8c2c, 0x74dda32464d1ceae, 0xe46f6ac6abc6c75e, 0x7b2d973170908a09,
  0x3eccf2a3608991c3, 0xc2cdf81895af6166, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0xe3cd94462fe6db9c, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x2d285f4f257ee686, 0x0000000000004a93,
};

// m88pb_autobaud_uart0_dual_pr
static const uint64_t ur_m88pb_autobaud_uart0_dual[] = {
  0xb6eeeeeeef3e1000, 0x7777775fb02f57da, 0xa768055892d5b1ab, 0x99f68a76eee91fe4, 0x5ddd5aaefa2fd9b4,
  0x13e30120b657792f, 0xae22c800948e8fcc, 0x1030a1832bac0db4, 0x77e6535aa774f897, 0x94bd8305386049a5,
  0x47242ac0dd2cdea3, 0x0dc3e057f98d0228, 0x657717bbe2ef7f80, 0xd374542196869488, 0x84b6ee97fe80e784,
  0xe7f920d30586f2bc, 0x7442a81102a7c24f, 0xe15faa935f736f01, 0x4ef9626a1b46f6a8, 0x1c72ac0c43fa8f91,
  0x731602a83cd38bdf, 0x475e00ced6b23afe, 0xb621d21aa01ffb30, 0x3bb8a92a93a07967, 0xbf0312b5ec9fc55f,
  0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd94462fe6db9c8ab,
  0xf1a2c79c5c9ab83c, 0x0ae4fdd598f20669, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0002ab369f5dd6a9,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_u4[] = {
  0x6ddddddda24343ee, 0xeeeeeebf605f02f5, 0x2ae3dc9d06f47b6e, 0x4f00a69c1bb77768, 0x24fdbbabbf22421b,
  0x29827c602416caef, 0xdb4ae22c80094867, 0x8971030a1832bac0, 0x66287f997612774f, 0x7a8ff3b6121ce05d,
  0x08a11c90ab0328b3, 0x4f80370f815fe634, 0xe4432bb8bddf177f, 0x3c264c62a10cb426, 0x95e425b74adff407,
  0x251effc231982c37, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0xee19df2d5fe1b46f, 0x26a38e5581a43f51,
  0x059cc580bf8732d7, 0xc608ebc8b7613e8d, 0xeee2a4a561a4dc72, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x452d5e7400b79bcc, 0xe2810b4a9f016a72, 0x6da718de33a2065f, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x002e0b3e0ae149e4,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ee[] = {
  0xb6eeeeee87ad0c86, 0xeeeeeebf6c5e9afa, 0xf6403738b16e1f6e, 0x712af7a7c9775eb0, 0xdd8dd97d7e62ecdd,
  0x0120b657792ccddd, 0x900129075f4c13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0x83fc3862099aeff3,
  0x2ac0ffe4dea3e9ad, 0xe057f98d02284724, 0x5eef8bbc11200dc3, 0xa10cb430222195dc, 0xff3fe80e784c5d62,
  0x6330586f2bc84b6f, 0x022054f8489d7f84, 0x526bee6de02e8855, 0x224368ded51c2bf5, 0x9ea3cad7dcd56b47,
  0x15d4af51f06cc182, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed,
  0x9662e1211408a8f9, 0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270,
  0x3929d002de6f3645, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391, 0x7f07771a2ce9f0dc,
  0xfe50c2a73f53ab33, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867, 0x93c95fb9a19961d2,
  0x00000014a91025c2,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ee_u4[] = {
  0xadbbbbbbb4486f97, 0xbbbbbbafdb17e7de, 0x7402b7aec21ef77b, 0x06abf7ede9f25dd3, 0x9dcf04674e16a748,
  0x3e30120b65779393, 0xc459001291118cc1, 0x061430657581b695, 0x3f32ec24ee9f12e2, 0xfe6c0341c34d4cff,
  0x7242ac0fa7e6f51f, 0xdc3e057f98d02284, 0xaee2f77c5df49400, 0x9d150865a052d10c, 0xb6fbb5ff4073c26f,
  0xf846330586f2bc84, 0x0aa0440a9f09757f, 0x7eaa4d7dcdbc05d1, 0x68f4a86d1bdaa385, 0x3f93d4795c7b9aad,
  0x1df15c89ea3e0d98, 0x0b2c4522cd3ad08a, 0xd297082e6909afa3, 0x4ec22a3e90e75697, 0x752ec6ab5d0ebdac,
  0x5c7c62e1211457f4, 0x2a4ab81f7f5b86f6, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x8016f3796ea0c077,
  0x80bdf2a6f529c94e, 0xf19d1023a8a042d3, 0xe6ca2317f36d38c6, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x21770a4f257ee686,
  0x0000000000014a90,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ce[] = {
  0x6dddddddde7cbd5b, 0xeeeeeebf605e5ab5, 0x39df69eb157eefde, 0xb67c82b777560a33, 0x1bbbbbf7016b41eb,
  0x27c602416caef257, 0x5c459001291dd698, 0x2061430657581b69, 0x1fcca6b54ee9f12e, 0xb75b0d9c708e531c,
  0x8e485581e049bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbf1b80, 0x13e2a10cb403da21, 0x4b6f813fe80e784c,
  0x7f920d30586f2bc8, 0x8855022054f84be7, 0x2bf5526bee6de02e, 0x7fd46fc368ded51c, 0x4707f3c00b9df747,
  0x050e3309cee6d78e, 0x81871f51ee1cf72c, 0x98b01621dee38e55, 0x8ebc8b762791bda3, 0x15251d09fdc72c67,
  0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d,
  0x18bf9b6e70c76f62, 0xb1e71726ae0f3651, 0x3f75663c819a7c68, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x029e4f1b75aa792b,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ce_u4[] = {
  0xd5b7777776890c86, 0xbbbbbbbafd904aaf, 0x58675bdfb4e5b5df, 0x8a1640258b777437, 0x6273bbbb1bb2d079,
  0x9827c602416caef2, 0xd2b88b20025219eb, 0x5c40c2860caeb036, 0x4edfe65d849dd3e2, 0x38cdec3768e09b73,
  0x847242ac0c2d4dea, 0x00dc3e057f98d022, 0x0caee2f77c5dece4, 0x64ad150865a05d51, 0x425b70b5ff4073c2,
  0x3bfc231982c3795e, 0x7442a81102a7c25b, 0xe15faa935f736f01, 0xdc5f54021b46f6a8, 0x71a20f3c49c849d2,
  0xd47c25f886c2445f, 0xccf17736b8a4fd7f, 0xfa8e37e7b9633ea5, 0xa0a0f91c72ac0ea5, 0x33b5ac8ebf9cc580,
  0x86a807feccf1d780, 0x92a93a0796b70874, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x5fcdb73863b7b155, 0x3458df0dc79b288c, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000002b5ee055c29,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ee_ce[] = {
  0xab6eeeeeeea1a5fb, 0xeeeeeeebf6b1f913, 0x589c2c9b51fdccde, 0x8fceeda5d89dd498, 0xa591aeaa312acbeb,
  0x602416caef247b3b, 0xc8009482cc59827c, 0xa1832bac0db4ae22, 0x97612774f8971030, 0x09863833e4dd67f9,
  0xab0314937a8e6b7b, 0x815fe63408a11c90, 0x7bbe2eff3900370f, 0x8432d04b48865771, 0xa4ffa039e134728a,
  0x8cc161bcaf212db8, 0x088153e12d35fe11, 0x49afb9b780ba2154, 0x270da37b5470afd5, 0x24e424358effaa37,
  0x39dcdaf787cb5f9e, 0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45,
  0x0a3dece7576e3287, 0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x365118bf9b6e70c7, 0xf83bb8d163ce1b8f, 0xc33d30ae4fdd599b, 0x0e9296cf8138cb25, 0x2e149e4afdcd0ccb,
  0x00000000006221a7,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xdddd7ecc875ef56d, 0xfae8423c3d964ddd, 0xd2d86ddb17ad71fe, 0x5d42025e4eaf7ee0,
  0x7925a9dc5f582da3, 0x83cc13e30120b657, 0xdb4ae22c80094878, 0x8971030a1832bac0, 0x6524fccafda2774f,
  0x8f495b067238747e, 0x4239215607d6737a, 0x006e1f02bfcc6811, 0x195dc5eef8bbee4a, 0x58fc542196826da2,
  0x25b7eb3ffa039e13, 0xbfc753982c3795e4, 0x8855022054f84b1b, 0x2bf5526bee6de02e, 0xea8d4f4368ded51c,
  0x83cf12701c19bb8b, 0x097e21b09117dc68, 0xb9b5f541e41ff51f, 0xf253b5b9b9ba678b, 0x7c1b306be7a8f2b7,
  0xeb422814c5701bd4, 0x26be8c2cb1148b34, 0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6,
  0x608991c37b2fa598, 0xee2a4a5989fd62a3, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0xa2317f36dce18ede, 0x68b1be2e4d5c1e6c, 0x3f53ab337f06fd04,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x001fab69a072029e,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_hw[] = {
  0x6eeeeeed121b9a7c, 0x777775fb02f57dab, 0x94ed00ab13a5ab77, 0x933ed14edddd23fc, 0x5ebbb90846736fae,
  0x9827c602416caef2, 0x695c459001291d1f, 0x2e2061430657581b, 0xd2bbf32ec24ee9f1, 0x51ca5ec1829c3024,
  0x14239215606e966f, 0xc006e1f02bfcc681, 0x4432bb8bddf177bf, 0xc269ba2a10cb434a, 0x5e425b774bff4073,
  0x4fe7fbf3a982c379, 0x017442a81102a7c2, 0xa8e15faa935f736f, 0x914ef9626a1b46f6, 0xdf1c72ac0c43fa8f,
  0xfe731602a83cd38b, 0x30475e00ced6b23a, 0x67b621d21aa01ffb, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5,
  0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x3cd94462fe6db9c8,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x2b05f4f257ee6866, 0x00000000007a3720,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_ee_hw[] = {
  0xadbbbbbbb4486f97, 0xbbbbbbafdb17a6be, 0x3d900dce2c5b87db, 0x5c4abde9f25dd7ac, 0xddcf04675aa75b37,
  0x3e30120b657792cc, 0xc45900129075f4c1, 0x061430657581b695, 0xff32ec24ee9f12e2, 0x9ad83fc3862099ae,
  0x7242ac0ffe4dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbc11200, 0xd62a10cb43022219, 0xb6fff3fe80e784c5,
  0xf7e7530586f2bc84, 0x0aa0440a9f0913af, 0x7eaa4d7dcdbc05d1, 0x68e4486d1bdaa385, 0x3053d4795afb9aad,
  0x3be2ba95ea3e0d98, 0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2,
  0x97d2cc5c24228115, 0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x1b8f365118bf9b6e, 0xf7bca1854e7ea0bb,
  0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x7240817d3c95fb9a,
  0x00000000000000b0,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_ce_hw[] = {
  0x6ddddddda2436f02, 0xeeeeeebf6412abf5, 0x19d6f7ed396d77ee, 0x85900962dddd0dd6, 0x89cee7f0f9afa2cd,
  0x609f180905b2bbc9, 0x4ae22c80094867ae, 0x71030a1832bac0db, 0x3b7f997612774f89, 0xe337b0dda3826dcd,
  0x11c90ab030b537a8, 0x0370f815fe63408a, 0x32bb8bddf177b390, 0x92b4542196817544, 0x096dc2d7fd01cf09,
  0xdfefcea60b0de579, 0xa2154088153e12d9, 0x0afd549afb9b780b, 0xe2faa010da37b547, 0x8d1079e24e424e96,
  0xa3e12fc4361222fb, 0x33c5dcdaeff3107e, 0xea38df9ee58cfa97, 0x8283e471cab03a97, 0xced6b23afe731602,
  0x1aa01ffb33c75e00, 0x4aa4e81e5adc21d2, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x7f36dce18edec555, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0005e8dd0282fa79,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_ee_ce_hw[] = {
  0x56dddddddd435032, 0xddddddd7ed63f227, 0xb1385936a3fb99bd, 0x1f9ddb4bb13ba930, 0x7755eda3fbdd97d7,
  0xf8c0482d95de48f6, 0x459001290598b304, 0x61430657581b695c, 0xf32ec24ee9f12e20, 0xf6130c7067c9bacf,
  0x2156062926f51cd6, 0x1f02bfcc68114239, 0xe2f77c5dfe72006e, 0x150865a096910cae, 0x7149ff4073c268e5,
  0xf3a982c3795e425b, 0x5022054f84b4d7fb, 0x5526bee6de02e885, 0xdc9c368ded51c2bf, 0x78939090d63bfea8,
  0x6139dcdaf000527e, 0x795bf929dacac9ba, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8, 0x8752135f4616588a,
  0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97, 0xabe77715252cc4fe,
  0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0x8f365118bf9b6e70, 0xe19e985727e7f61b, 0x87494b67c09c6592, 0xe05f4f257ee68665, 0x000000000135f874,
};

static const uint64_t ur_m88pb_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d1bf5b, 0xddddd7ecc875ef56, 0x1fefae843a3c3ddd, 0xee0d2d86ddb17ad7, 0xf58076405de4eaf7,
  0x905b2bbc92d4ee66, 0x04a43c41e609f180, 0x195d606da5711640, 0xd53ba7c4b881850c, 0x38747e6524fccb20,
  0xd6737a8f495b0672, 0xcc68114239215607, 0xbbee4a006e1f02bf, 0x826da2195dc5eef8, 0x039e1358fc542196,
  0x3795e425b7eb3ffa, 0xc258ddffd46e982c, 0x6f017442a81102a7, 0xf6a8e15faa935f73, 0xcddc5f546a7a1b46,
  0xee3441e78b17d090, 0xfa8f84bf10d8488b, 0xa678bb9b5d4939bf, 0x8f2b7f253b5b9b9b, 0x01bd47c1b306be7a,
  0x48b34eb422814c57, 0x50ea426be8c2cb11, 0xda2147bd9ceaedc6, 0xe7ac6abc6c75ea25, 0xfa598b84845022a3,
  0xd62a3608991c37b2, 0x157ceee2a4a5989f, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x18edec555169aba7, 0x71e6ca2317f36dce, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xb37a02e792bf7343, 0x00000000004269da,
};

// m88pb_u1x8_uart0_noled_pr
static const uint64_t ur_m88pb_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf829304f8c0482d9, 0x02dec0be4ff2f82c, 0x0ef9610f739bfb44, 0x8e39560682fd47e8, 0x1cc580b2ca67bed6,
  0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x81895af60e3e0796, 0x4180ef5af39c2cdf, 0x794d8ce16f37807d,
  0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x386ed94462fe6d89, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x801c85d79e4afdcd, 0x000000000000007c,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbbaeea2ec4743, 0xeeeeeaaec385ee25, 0xb67eefc3e33499ee, 0x7eb4bf37774880b2, 0x93bb51792d8f583c,
  0xa4c13e30120b6577, 0xdec0be4ff241b3e0, 0xf9610f739bfb4402, 0x39560682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x895af60e3e07967b, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x3cd94462fe6d8924, 0x76d0d1637c5c9ab8, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xe27cf257ee686658,
  0x000000000f93daf6,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ee[] = {
  0xb777775ddbd8bf82, 0xdddddd55d7208244, 0xf0a7a636cfdec33d, 0x662705f0bddddfe2, 0x5c62448fc1b0666c,
  0x9f180905b2bbc9dd, 0x3a5ff241b3e52e60, 0xc6e737f68805bd81, 0xfa8f2b9126ab5a39, 0x2beebd47c1b30698,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0xbda3c1673ab4bce2, 0x1b1aad743af3a6ed, 0x5cc5c24228e79187,
  0x951b047eb70decb6, 0xe06256bd801512a6, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x49156f62aa8b4b0b, 0x26ae365118bf9b62, 0xc7903b6868b1e717, 0x92e19e985727eeac, 0x587494b659289c65,
  0x38e27cf257ee6866, 0x000000000000a7cd,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ee_u4[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xf8c0482d95de4ee9, 0xd2ff84639f297304, 0x3739bfb4402dec09, 0xd4795c89355ad1ce, 0x5f75ea3e0d9834c7,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d, 0xe62e1211473c8c38,
  0xa8d823f5b86f65b2, 0x0312b5ec00a89534, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa, 0xe31bc67440aeaa72,
  0x48ab7b15545a585c, 0x7079b288c5fcdb12, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x7222f9e4afdcd0cc, 0x000000000013ae2a,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbaeed41ec53c3, 0xeeeeaaec385c625b, 0xdfa548b8ef5e9eee, 0x8ff17bbbbe16fdb6, 0x748fcbb0671c617f,
  0x827c602416caef27, 0x02eebfc906cfc7b9, 0x60fdce6fed100b7b, 0xfe780160e1ea77fd, 0xc984e7736bf4fd8f,
  0xacf51c9e9ee580ba, 0xc051f3a48e395607, 0xf47ced5fd1eb0e62, 0xf6679500ffd99e3a, 0x2b5ec1c7c0f2d6e1,
  0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0x365118bf9b624863,
  0xa1a2cb579726ae0f, 0x2a73f53ab31e40ed, 0x9a1e44cf0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719,
  0x732389f3c95fb9a1, 0x00000000000000dd,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xe9827c602416caef, 0xf604517fc231cffc, 0x7d724b9cdfda2016, 0x1079e005ad23f971, 0xe12fc4361222fb8d,
  0xc5dcdaeff3107ea3, 0x4727a7b9633f5933, 0x7ce9238e5581eb3d, 0x3b57f47ac398b014, 0xe5403ff6678ebd1f,
  0xb071f03cb5b87d99, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67, 0x55516961738c6f19,
  0x462fe6d89218edec, 0x1637c5c9ab83cd94, 0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000dd74cb5117cf,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ee_ce[] = {
  0xb777775dda88aaac, 0xdddddd55ee044844, 0xdbdb260be85ebd7d, 0xdda09221c1f746be, 0xbbe451d98989d0cc,
  0xc13e30120b657793, 0x02b75fe118e7e394, 0x6655ce6fed100b7b, 0xf002d693f71dff54, 0x09cee6d7dda4dbfc,
  0xcac1494ed6564653, 0x3ea3e0d9831bfea3, 0x2cd3ad08a05315c4, 0x3a909afa30b2c452, 0x43a313e73abb73de,
  0x6355e363af5d4dd8, 0x62e12114482a3c67, 0xc7f0cc8e1bd970e4, 0xe70b37e06256bd98, 0xf385bcde603bd6bc,
  0x85a72460d4d894fd, 0xe31bc67440840c60, 0x93571b288c5fcdb4, 0x63c81f943458f38b, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x7b88be792bf73433, 0x00000000000a69ed,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbaeea2e7c3375, 0xdddd55e3414ce25b, 0x368a6ee0dedc1ddd, 0x5965569bb0bd4dae, 0x1568dd5cee9dc968,
  0xc602416caef2774b, 0xd7f8ea79f19b9827, 0x739bfb4402dec082, 0x2e76706e2faa390f, 0xb09117dc6883cf00,
  0x92737ff51f097e21, 0xb736f7ccf17736ba, 0x1ad7f51e57d44a76, 0x0531584ff51f06cc, 0x0b2c4522cd3ad08a,
  0xabb74e23a909afa3, 0xaf3a6edbda3c1673, 0x1cf230e36355e363, 0xe1bd96cb98b84845, 0x59d12a6951b044c8,
  0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0x17f36c490c76f62a,
  0x1be2e4d5c1e6ca23, 0xa75663c819a7c68b, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x027e202b3ad53c95,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_hw[] = {
  0x5bbbbbaeed66e614, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0xf8fd697e6eee9101, 0x95de4ee8dbc77af4,
  0xcf829304f8c0482d, 0x100b7b02f93ff0e3, 0xa03be5843dce6fed, 0x5a38e5581a0bf51f, 0x58731602cb299efb,
  0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0x7e06256bd838f81e, 0xf50603bd6bce70b3, 0xe5e5363385bcde01,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x7f61bb65118bf9b6, 0xc6592e19e985727e, 0x866587494b659289,
  0x8e2039514f257ee6, 0x0000000000000000,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_ee_hw[] = {
  0x777775dd44862d7b, 0xddddd55d7208244b, 0x5e14f4c6dec33ddd, 0x8cc4e0be17bbbbfc, 0x7751d94ad7640ccd,
  0x9827c602416caef2, 0xd813a5ffa14cf94b, 0xa39c6e737f68805b, 0x698fa8f2b9126ab5, 0x3be2beebd47c1b30,
  0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a, 0xcb65cc5c24228e79,
  0x2a6951b047eb70de, 0xb37e06256bd80151, 0x01f50603bd6bce70, 0x54e5e5363385bcde, 0xb0b9c6378ce8815d,
  0xb6249156f62aa8b4, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x05bfc68617d3c95f,
};

static const uint64_t ur_m88pb_u1x8_uart0_noled_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x234175f5a789df1f, 0x6c401b6d22eeeee8, 0x16caef2776c7b21a,
  0x71e7e449827c6024, 0xf68805bd81695ff8, 0x240a1dff5e92e737, 0x36bb93f9df9e005c, 0xe7b9602e33984e77,
  0x1c72ac0f19fa8e21, 0x1e33398b0177bc17, 0x72c678ebc5cecf69, 0xf81895af60ea89dc, 0xd4180ef5af39c2cd,
  0x9794d8ce16f37807, 0xe718de33a2057553, 0x2431dbd8aaa2d2c2, 0xfb0ddb288c5fcdb1, 0x32c970cf4c2b93f3,
  0x332c3a4a5b2c944e, 0x214fae8a792bf734, 0x0000000000000006,
};

// m88pb_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd448624d6, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0xbbf6baef53efa772,
  0xc13e30120b657793, 0x8105affa14cf8cdc, 0x721ee737f68805bd, 0x3c49c848e0dc5f54, 0xf886c2445f71a20f,
  0x6d74a8b91fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xd7b0b3a254d2a360,
  0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c, 0xec55516961738c6f, 0x94462fe6d89218ed,
  0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x5f4f257ee6866587, 0x000000005010fc10,
};

// m88pb_u1x8_uart0_lednop_pr
static const uint64_t ur_m88pb_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xebe4c13e30120b65, 0x0b7b024c7fcbe0b3, 0x3be5921dce6fed10, 0x38e55819a4f51c9e, 0x731602dee987ce92,
  0x475e2e766be4720a, 0xb5ec2b07dee39630, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0xfe6db9c8ab7b1554, 0xe3458f386ed94462, 0x0ae4fdd598f2068f, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x00000f90e705d79e,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_u4[] = {
  0xbbbbbaeea2ec53c3, 0xeeeeeaaec3835e25, 0x5ef67bf61b7b006e, 0xbaff13bbba440594, 0x7748fcbb7a71c7d2,
  0x9827c602416caef2, 0xd814ddfe48367d00, 0x2c21ee737f68805b, 0x2ac0d05fa8f6b1df, 0x602cb29be483f1c7,
  0xe8f9d967a3486731, 0x2cd22a01ffb30475, 0x5af6415a07967b68, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x7f36dce455bd8aaa, 0xbe2e4d5c1e6ca231, 0x4eacc7903b6868b1,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x07c9dd5b713e792b,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ee[] = {
  0x96eeeeebbb7b1762, 0x7777775575c815b8, 0x5a09855431a7b42f, 0xf63ce0be17bbbbfc, 0xd33467f4d1d9fbc5,
  0x4f8c0482d95de4ee, 0x8baff920d9f53d30, 0xe3739bfb4402dec0, 0x7d4795995355ad1c, 0x2b0f7ea3e0d9834c,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x8c9193473ab4b9ea, 0xd58d56ba1d79d376, 0x2e62e1211413c8de,
  0xca8d823f5b86f65b, 0xe06256bd8010fb33, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x288c5fcdb739156f, 0xb43458f38b93571b, 0x4c2b93f75663c81d, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x000000a7c54e713e,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0xe30120b657793baf, 0xebfe118e7d4f4c13, 0xdce6fed100b7b022, 0x51e56654d56b4738, 0xc3dfa8f83660d31f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x2464d1cead2e7aae, 0x6355ae875e74dda3, 0x98b8484504f237b5,
  0xa3608fd6e1bd96cb, 0x1895af60043eccf2, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x2317f36dce455bd8, 0x8b1be2e4d5c1e6ca, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9,
  0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00004eb938b88be7,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ce[] = {
  0x77775dda83d8b562, 0xeeeeaaec3998c4b7, 0xe3b6e84537b856ee, 0x0bf8feeeef85bf62, 0xddfa706cfddc16a6,
  0x609f180905b2bbc9, 0x8107bff241b3f01a, 0xb07ee737f68805bd, 0xbf3c00b072443bfe, 0x64c273b9b5c66f76,
  0xd67a8fd24f72c05d, 0x602a6222c71cab03, 0xe8f9d967a3486731, 0x2cd22a01ffb33c75, 0x56bd905681e5adc8,
  0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0xbf9b6e70c76f62aa,
  0x579726ae0f365118, 0x3ab31e40eda1a2cb, 0xcf0271a50c2a73f5, 0xa615c9f80f9a1e44, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x0000000dd77adb89,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x39827c602416caef, 0xf60495bfc231cf9c, 0x7d724b9cdfda2016, 0x20f3c00b5a4a9571, 0xc25f886c2445f71a,
  0x17736bd6fc00fd47, 0x1fa49ee58cfd64cf, 0xc4458e395607acf5, 0xb2cf4690ce62c054, 0x5403ff6678ebd1f3,
  0x20ad03cb5b9059a4, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca,
  0xdce18edec555169a, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xef0588be792bf734, 0x00000000000006eb,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x180905b2bbc9dd01, 0x5fe118e7fabe609f, 0xce6fed100b7b028e, 0xd6937d9dff546fe5, 0xe6d7b9124afcf002,
  0xa94ed6563df309ce, 0xe0d9835afea3cafb, 0x5a1140a62bdbfea3, 0x35f4616588a459a7, 0x268e7576e3d47521,
  0x5e363af3a6ed1923, 0x8484504f237b5635, 0x044c8e1bd96cb98b, 0xad7b0b31f667951b, 0x79e0404e166fc0c4,
  0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x7f36dce18edec555, 0xaf2e4d5c1e6ca231,
  0x75663c81f9434596, 0x9e04e34a1854e7ea, 0x4c2b93f01f343c89, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x000000027e2ec88b,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddd775173e304a, 0xeeeeaaf1a058312d, 0x9ae36968ef6276ee, 0x80b2ab4dd85ea6e9, 0x751f76480448cbb0,
  0x180905b2bbc9ddb1, 0xfff1d4f3e1a2609f, 0xce6fed100b7b02b1, 0xb9da5ab8bea8e43d, 0xc2445f71a20f3c00,
  0x03743fd47c25f886, 0xb9b7be678bb9b5cc, 0xd6bfa8f2beea53b5, 0x298af6ffa8f83660, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0xbce9bb4648c9a39d, 0x13c8ded58d578d8e, 0x86f65b2e62e12114, 0xcc7d99e546c11323,
  0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae,
  0x57079b288c5fcdb7, 0x20669f1a2c6f8b93, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x7ceb54f257ee6866, 0x000000000004fc5e,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_hw[] = {
  0x5bbbbbaeed66fcc5, 0xeeeeeeaaec3835e2, 0x6517bd9efdb76dee, 0xf4aebfc4eeee9101, 0x2bbc9dda86a6f70a,
  0x9f402609f180905b, 0x2016f605377fe1c7, 0xac77cb087b9cdfda, 0xfc71cab03417ea3d, 0x19cc580b2ca6f920,
  0xc11d7a3e7659e8d2, 0x9eda0b348a807fec, 0xe06256bd905681e5, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x288c5fcdb739156f, 0xcf4c2b93f3fb0ddb, 0x4a5b2c944e32c970,
  0x8a792bf734332c3a, 0x0000000004710e2e,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2435562, 0xddddd55d72056e25, 0x2d04c2aa1ed0bddd, 0xfb1e705f0bddddfe, 0xee99169db618fde2,
  0x304f8c0482d95de4, 0xb022ebff4299f53d, 0x4738dce6fed100b7, 0xd31f51e56654d56b, 0xef8ac3dfa8f83660,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74, 0x96cb98b8484504f2,
  0xccf2a3608fd6e1bd, 0xcdf81895af60043e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94,
  0x5bd8aaa2d3574e31, 0xe6ca2317f36dce45, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x6c2fa792bf734332, 0x00000000000b7cfd,
};

static const uint64_t ur_m88pb_u1x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xddddddd55d872b48, 0x82341da1377ef8fd, 0xa6c401b6f8feeeee, 0x416caef2776c7b21,
  0x0e3cfc069827c602, 0xfda2016f6041efff, 0x0964877fd7a4b9cd, 0xcdaee4fe77e78017, 0xb9ee580b8ce6139d,
  0xc71cab03c67ea3e0, 0x8e414e62c05dec43, 0x39633c75e2e760e2, 0xf0312b5ec1d283ee, 0x1deb5e781013859b,
  0x53a005bcde5ba830, 0xb4e02f7ca9bd4a72, 0x6378ce8811d18c10, 0x61bb65118bf9b69c, 0x592e19e985727e7f,
  0x6587494b659289c6, 0x29f5d14f257ee686, 0x00000000000000c4,
};

// m88pb_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd4486a4d6, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xdd39d9f7a55e2465,
  0x609f180905b2bbc9, 0xc0ac7ffe8533e1a2, 0x390f739bfb4402de, 0x9e24e42496ae2faa, 0xfc4361222fb8d107,
  0x36bd253397ea3e12, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57dd, 0xd08a05315edff51f, 0xafa30b2c4522cd3a,
  0x3473abb71ea3a909, 0xf1b1d79d3768c919, 0x242282791bdab1aa, 0x226470decb65cc5c, 0x6bd8598fb33ca8d8,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0xea0bb1b8f365118b, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x000a024b6817d3c9,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual[] = {
  0xdbbbbba6d6a232a8, 0xddddddd7ec3199ea, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270a771d68d5acf8,
  0x19827c602416caef, 0xdb4ae22c800948ec, 0x8971030a1832bac0, 0xc517f32ee2fa774f, 0xa8f1ef60fe1c17dc,
  0x4508e485581f7537, 0xe801b87c0aff31a0, 0x910caee2f77c5de4, 0xf09ad68a8432d08c, 0x2bc84b6fdd7fd01c,
  0x1029fe5f0530586f, 0x5fee737f68805bd8, 0xc0d21fa8e229df2d, 0x5fc39b241bf1c72a, 0x2dd89e46f68e62c0,
  0x5827f71cb1823af2, 0xec9fc55f3bb8a929, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x5c9ab83cd94462fe, 0x25c33d30ae4fcfec, 0xcb0e9296cf8138cb,
  0x38e22f9e4afdcd0c, 0x0000000000032dfd,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr[] = {
  0x777774dade7cbf3e, 0xbbbbbafd86471d5b, 0xa7ab07e994ed295b, 0x8166460deeee95b1, 0xc29dd388b11d6ebb,
  0x609f180905b2bbc9, 0xd2b88b200252261a, 0x5c40c2860caeb036, 0x28bf994d6a9dd3e2, 0x478f7b07f0e0bee6,
  0x2847242ac0fba9bd, 0xc00dc3e057f98d02, 0x88657717bbe2efd9, 0x84d6b45421968464, 0xbc84b6e1effe80e7,
  0x4807f920d30586f2, 0x7fb9cdfda2016f60, 0x0690fd47b8677cb5, 0xfe1ccb5c9a8e3956, 0xdd84fa3416731602,
  0x869371cb1823af22, 0xc9fc55f3bb8a9295, 0x1013859bf0312b5e, 0x02de6f301deb5e78, 0x7c05a9c914b579d0,
  0xce88197f8a042d2a, 0x65118bf9b69c6378, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0000188138b75aa7,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_u4[] = {
  0x77774daa2e7c1a4e, 0xbbbbafd86333d5b7, 0x228ee99d86d015bb, 0x3752ef7774ad8d33, 0xdc9aee16933dc14a,
  0xf180905b2bbc9c29, 0x88b2002523b06609, 0x0c2860caeb036d2b, 0xf994d6a9dd3e25c4, 0xf7b07f0e0bee628b,
  0x7242ac0fba9bd478, 0xdc3e057f98d02284, 0x57717bbe2ef27400, 0x6b45421968464886, 0x25b7eebfe80e784d,
  0x3fc906982c3795e4, 0xce6fed100b7b0205, 0x43f51c453be5abfd, 0x7364837e38e5581a, 0x13c8ded1cc580bf8,
  0xfee39630475e45bb, 0xf8abe77715252b04, 0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x57079b288c5fcdb7, 0x20669f1a2c6f8b93, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x94eb54f257ee6866,
  0x00000000000a49d5,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ee[] = {
  0xb777774dade7ce7c, 0xbbbbbafdac99ced5, 0x5efda3b545faeb7b, 0xf610e00a8bbb7060, 0x6cdb4f5711f99f69,
  0xc0482d95de4ac177, 0x64004a43b77304f8, 0x50c195d606da5711, 0x29ad53ba7c4b8818, 0x1d5e70a1f9ba7ff3,
  0xab03d9d37a8e7076, 0x815fe63408a11c90, 0xbddf1779ad80370f, 0x42196854a4432bb8, 0x9d7fd01cf09a3dc5,
  0x1a60b0de579096dc, 0x68805bd814aeff24, 0xee6ab5a3d2ae737f, 0xf83660fe4f51e571, 0xeb422877c57227a8,
  0x26be8c2cb1148b34, 0x9d5a5f4a5c20b9a4, 0x3af6b13b08a8fa43, 0x515fd1d4bb1aad74, 0x6e1bd971f18b8484,
  0x5f3bb8a92ae07dfd, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0xa7253a005bcde5ba, 0x810b4e02f7ca9bd4,
  0xb4e31bc674408ea2, 0x9357079b288c5fcd, 0x1e40cd3e3458f38b, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0xce3ad53c95fb9a19, 0x0000000000006429,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ee_u4[] = {
  0x777774daa243359b, 0x77775fb5931d7d5b, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x482d95de4891770f, 0x002523a9d304f8c0, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0xd3e70b1f9bfe7e65,
  0x6067066f51e87f61, 0x2bfcc68114239215, 0xbbe2ef4a8006e1f0, 0x432d04ac88657717, 0x1ffa039e132fb8a8,
  0xcc161bcaf212db9c, 0x100b7b02cadfe118, 0xcd56b47225ce6fed, 0x06cc1829ea3cad7d, 0xd08a1df15d4af51f,
  0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743, 0x70decbe9662e1211,
  0x0084feb151b047eb, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x58df0dc79b288c5f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000ac8917dc293c,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ce[] = {
  0x777774dade7c92df, 0xbbbbbafd866cad5b, 0xaf8ed06e2c5bd77b, 0x6739eb6eeefd3976, 0x5dca3e8437389b08,
  0x3e30120b65779351, 0xe22c800948044cc1, 0x030a1832bac0db4a, 0xfe6535aa774f8971, 0x9ed8656386fb9b4d,
  0x7242ac0cbacdea3a, 0xdc3e057f98d02284, 0xaee2f77c5df5be00, 0xe3150865a013d10c, 0x2db975ffa039e134,
  0xfe4834c161bcaf21, 0xe6fed100b7b02a95, 0x0b9d98f3bfeaf7dc, 0xcee6d74b416bf3c0, 0xc6fcf72c05a97309,
  0x1f238e5581d4bf51, 0xb591d7f398b01414, 0x00ffd99e3af00676, 0x2740f2d6e10e90d5, 0xd93f8abe77715255,
  0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x726ae0f365118bf9, 0x63c819a7c68b1e71, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32, 0xc7f75aa792bf7343,
  0x000000000000e7ae,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ce_u4[] = {
  0x777774daa243573e, 0x77775fb02f4fbd5b, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xbb9717dd95c7595b,
  0x7c602416caef2792, 0x88b2002523907982, 0x0c2860caeb036d2b, 0x7e65d849dd3e25c4, 0xd6d813a3825a982d,
  0x7242ac0f4dcdea38, 0xdc3e057f98d02284, 0xaee2f77c5df30c00, 0xf7150865a0bed10c, 0x5b7d37ff4073c260,
  0xfc231982c3795e42, 0xcdfda2016f60452f, 0x721274b717d500b9, 0xb09117dc6883cf12, 0x293f5ff51f097e21,
  0x58cfa9733c5dcdae, 0xab03a97ea38df9ee, 0xe7316028283e471c, 0x3c75e00ced6b23af, 0xadc21d21aa01ffb3,
  0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xe6ca2317f36dce18, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xaf770a4f257ee686, 0x000000000000d24d,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeebf62675dfab6, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x2416caef24a73b9e, 0x00252138f9827c60, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0xadf3840098527e65,
  0x6069b737a8f6b7b0, 0x2bfcc68114239215, 0x77c5dea91006e1f0, 0x865a1bed10caee2f, 0x7ff4073c2660b150,
  0x30586f2bc84b6e9b, 0x805bd8150fff8463, 0xdff546e4ee737f68, 0x341ff3c49c8486b1, 0xb26e984e7736be54,
  0x7cf51e56fe4a76b2, 0x98ae037a8f83660d, 0x962291669d684502, 0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5,
  0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238, 0x64fe2af9ddc5494b, 0x0809c2cdf81895af,
  0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xabc6e3cd94462fe6,
  0x9d599bf83bb8d165, 0x678138d2861539fa, 0xd30ae4fc07cd0f22, 0x296cf8138cb25c33, 0x49e4afdcd0ccb0e9,
  0x00000008001d16e1,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7774daa26d3e72df, 0x775fb58fc89d5b77, 0xb51fccdefd5f7777, 0x5d89dd498589c2c9, 0xb25601beb8fceeda,
  0xf247b3b99f5cbeb4, 0xc59827c602416cae, 0xdb4ae22c8009482c, 0x8971030a1832bac0, 0x6eb3fccafda2774f,
  0x4735bd84c31c19f2, 0x508e4855818a49bd, 0x801b87c0aff31a04, 0x432bb8bddf177f9c, 0x9a394542196825a4,
  0x9096dc527fd01cf0, 0x9aff1d4e60b0de57, 0xae737f68805bd816, 0x380e0cddc5f546a7, 0xd8488bee3441e789,
  0xa0f20ffa8f84bf10, 0xdcdcdd33c5dcdafa, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x1726ae0f365118bf, 0x99bf837e823458df, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x054e39014f257ee6, 0x0000000000000200,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_hw[] = {
  0xeeeee9b5448692df, 0x777775fb0c765ab6, 0x14dd40b977a3db77, 0x029a7233dddd8675, 0x24d87728fa10e936,
  0xc9827c602416caef, 0xdb4ae22c80094867, 0x8971030a1832bac0, 0xa674bf997612774f, 0x7a8f52b61fb8e095,
  0x08a11c90ab0331f3, 0x4f80370f815fe634, 0x14432bb8bddf177f, 0x3c268ca2a10cb413, 0x95e425b731fff407,
  0x047affbf3a982c37, 0x89ab9cdfda2016f6, 0xb0310fea3e453be5, 0x0aa0f34e2f7c71ca, 0x033b5ac8ebf9cc58,
  0x486a807fecc11d78, 0xa4aa4e81e59ed887, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x8bf9b6e722adec55, 0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854,
  0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000063759f0417d3,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeebf6b263afab6, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0x0120b657792245dc, 0xc800948ea74c13e3, 0xa1832bac0db4ae22, 0x97612774f8971030, 0x874f9c2c7e6ff9f9,
  0x55819c19bd47a1fd, 0xc0aff31a04508e48, 0x5eef8bbd2a001b87, 0xa10cb412b22195dc, 0x707fe80e784cbee2,
  0x7530586f2bc84b6e, 0x68805bd81656ff7e, 0xee6ab5a3912e737f, 0xf83660c14f51e56b, 0xd68450ef8aea57a8,
  0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba, 0x5b86f65f4b317090,
  0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0xfe6db9c8ab7b1554, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0002bb491785f4f2,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_ce_hw[] = {
  0xeeeee9b54486c541, 0xeeeebf605e9f7ab6, 0x2cf821a0adad6eee, 0xef3ee716eeec1bb1, 0x4aeeb047f0ea8c77,
  0x09f180905b2bbc9e, 0xae22c800948e41e6, 0x1030a1832bac0db4, 0xb5f997612774f897, 0xe35b604e8e096a60,
  0x11c90ab03d3737a8, 0x0370f815fe63408a, 0x32bb8bddf177cc30, 0x83dc54219682fb44, 0x096df4dffd01cf09,
  0x7fefcea60b0de579, 0xce6fed100b7b0229, 0x939093a5b8bea805, 0x0d8488bee3441e78, 0xbbfcc41fa8f84bf1,
  0xb9633ea5ccf17736, 0x72ac0ea5fa8e37e7, 0xbf9cc580a0a0f91c, 0xccf1d78033b5ac8e, 0x96b7087486a807fe,
  0x55f3bb8a92a93a07, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0xc79b288c5fcdb738, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343c899e,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xd7b0be9e4afdcd0c, 0x0000000000009bae,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7775fb133aefd5b7, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0x0482d95de494e775, 0x4004a4271f304f8c, 0x0c195d606da57116, 0xbb093ba7c4b88185, 0x15be7080130a4fcc,
  0xac0d36e6f51ed6f6, 0x057f98d022847242, 0xeef8bbd52200dc3e, 0x10cb437da2195dc5, 0x6ffe80e784cc162a,
  0xa60b0de579096dd3, 0x2016f60543ffefce, 0x77fd51b93b9cdfda, 0x3643fcf1272121ac, 0x564dd309cee6d7eb,
  0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30, 0x7a89768851ef673a,
  0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929, 0x81013859bf0312b5,
  0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x61d8dc79b288c5fc,
  0xf0271a50c2a73f53, 0x615c9f80f9a1e44c, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000000eba8e8a17d,
};

static const uint64_t ur_m88pb_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbafdac7e44eadb, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0x80905b2bbc91ecee, 0x2002520b316609f1, 0x860caeb036d2b88b, 0x906a9dd3e25c40c2, 0x618e0cf93759fe65,
  0xc0c524dea39adec2, 0x57f98d022847242a, 0xef8bbfce400dc3e0, 0x0cb412d22195dc5e, 0x3fe80e784d1ca2a1,
  0x30586f2bc84b6e29, 0x016f605a6bffa8dd, 0x17d51a9eb9cdfda2, 0x1079e2c5f4243377, 0xe12fc4361222fb8d,
  0x2ee6d7524e6ffea3, 0xdfc94ed6e6e6e99e, 0x51f06cc1af9ea3ca, 0xd3ad08a05315c06f, 0x909afa30b2c4522c,
  0x51ef673abb71943a, 0x1aaf1b1d7a897688, 0x62e1211408a8f9eb, 0x8d8226470decbe96, 0x3bb8a9296627f58a,
  0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb288c5fcdb73863b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x80b9e4afdcd0ccb0, 0x00000001d750d3e6,
};

// m88pb_u1x12_uart0_noled_pr
static const uint64_t ur_m88pb_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x4c13e30120b65779, 0xe127bffcbe0b3f92, 0xd1ba4ff6d4feedd3, 0x9ea3f3c77cb24386, 0x61be4f471cab0334,
  0xb48f199cc580b7ba, 0xee39630475e2e767, 0xcdf81895af615944, 0x07d4180ef5af39c2, 0x539794d8ce16f378,
  0xc2e718de33a20575, 0xd892455bd8aaa2d2, 0x58f386ed94462fe6, 0x4fdd598f2068fe34, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x0f90e9385d79e4af,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb15a91, 0xdd55f672b4896eee, 0x455336de8dbddddd, 0x60fbbba1651c7422, 0xa2f4ec772ed88f1f,
  0x7c602416caef2775, 0x2f9fe48367e71982, 0xd27fb6a7f76e9f09, 0x1fa03be5843c368d, 0xfb5a38e5581a0bf5,
  0x8f58731602cb299e, 0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb37e06256bd838f8, 0x01f50603bd6bce70,
  0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0x726ae0f365118bf9, 0x663c81db43458df1,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x4e3ebb89f3c95fb9, 0x000000000000003e,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8ad4e, 0xeeeaaf9ac6c44b77, 0x29b2e2d2f469eeee, 0xfa99a0eea451aeb4, 0x70571a333760cc17,
  0x80905b2bbc9dd313, 0xff241b3ec16609f1, 0xfb6a7f76e9f091c3, 0xd56b4738c368dd27, 0x3660d31f51e57224,
  0x422877c57dd7a8f8, 0xbe8c2cb1148b34eb, 0x56979c571ac9a426, 0x5e74ddb7b4782ce7, 0x1cf230e36355ae87,
  0xe1bd96cb98b84845, 0x02a254d2a3608fd6, 0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7, 0x02baa9cbca6c670b,
  0x516961738c6f19d1, 0x17f36c4922adec55, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x000a7ce71c4f9e4a,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0482d95de4eebb25, 0xf84639f60b304f8c, 0xdb53fbb74f848e1f, 0xab5a39c61b46e93f, 0xb30698fa8f2b9126,
  0x1143be2beebd47c1, 0xf4616588a459a75a, 0xb4bce2b8d64d2135, 0xf3a6edbda3c1673a, 0xe791871b1aad743a,
  0x0decb65cc5c24228, 0x1512a6951b047eb7, 0xe70b37e06256bd80, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0xbf9b6249156f62aa, 0xdf1726ae0f365118, 0xa75663c81f943458, 0xfef0f7bca1854e7e,
  0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0275f471445f3c95,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8bf82, 0xd55f673c7c4b7777, 0x3792c9ea9bdddddd, 0x6beeee9a0df90013, 0xc6244ddc1bb1f0bc,
  0xf180905b2bbc9dd5, 0x657f920d9f7f2609, 0x49feda9fddba7c24, 0x87a9dff583f0da37, 0xafd3f63ff9e00583,
  0x7b9602eb26139dcd, 0x38e5581eb3d4727a, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f, 0x03cb5b87d99e5403,
  0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b, 0x6d89218edec55516,
  0x5c9ab83cd94462fe, 0xcc7903b6868b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e6879133c, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00000dd7408e27cf,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x827c602416caef27, 0x24e4ffc231cfc879, 0x3749feda9fddba7c, 0x5a47f2e2fae490da, 0x2445f71a20f3c00b,
  0xe620fd47c25f886c, 0xc67eb2678bb9b5df, 0xab03d67a8e4f4f72, 0x87316028f9d2471c, 0xcf1d7a3e76afe8f5,
  0x6b70fb33ca807fec, 0xf81895af60e3e079, 0xd4180ef5af39c2cd, 0x9794d8ce16f37807, 0xe718de33a2057553,
  0x2431dbd8aaa2d2c2, 0x57079b288c5fcdb1, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x1ca22f9e4afdcd0c, 0x000000000001bae4,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x20b657793bb61b65, 0x118e7c9d4c13e301, 0xd4feedd3e128adfe, 0xea8dfc86d1ba4ff6, 0x7f9e005ad26043bf,
  0xbe6139dcdafd66c8, 0xd4795f5129dacac7, 0x613fd47c1b306b5f, 0x148b34eb422814c5, 0x388ea426be8c2cb1,
  0xbb6f68f059ceaedd, 0xc38d8d578d8ebce9, 0x5b2e62e1211473c8, 0xa9a546c1132386f6, 0xcdf81895af616744,
  0x07d4180ef5af39c2, 0x539794d8ce16f378, 0xc2e718de33a20575, 0xb12431dbd8aaa2d2, 0x9357079b288c5fcd,
  0x8f207e50d165abcb, 0x38d2861539fa9d59, 0xe4fc07cd0f226781, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x00009f98c622f9e4,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xb686bc1a2e7ccc7f, 0xeaaef21c9625bbbb, 0x58668cf51deeeeee, 0x8f8feed8f240c49a, 0xca528fc71e9d4163,
  0x416caef27753eeab, 0xea79fdda9827c602, 0xa7f76e9f0918fff8, 0xa8e43c368dd27fb6, 0x0f3c00b9d9c1b8be,
  0x25f886c2445f71a2, 0xdcdaea49cdffd47c, 0x5129dadcdbdf33c5, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4,
  0x26be8c2cb1148b34, 0xf059ceaedd388ea4, 0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62,
  0x95af616744a9a546, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794, 0xdbd8aaa2d2c2e718,
  0x9b288c5fcdb12431, 0x9f1a2c6f8b935707, 0x1539fa9d598f2066, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x54f257ee68665874, 0x00000004fc41c6eb,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_hw[] = {
  0xdddb435e0eb3753a, 0xbbbaabece56912dd, 0xd089154cd267bbbb, 0x3c7d83eeee859471, 0x793ba5c6c9ea9b62,
  0x38cc13e30120b657, 0x74f8497cffc38f3f, 0xe1b46e93fdb53fbb, 0xd05fa8fd01df2c21, 0x594cf7dad1c72ac0,
  0x3b57f47ac398b016, 0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb,
  0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x8c5fcdb1248ab7b1, 0x4c2b93f3fb0ddb28, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x000000008e200a8a,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a243280b, 0x77557cd636225bbb, 0x429b2e3a34f77777, 0x7fa99a0eea451aeb, 0x939eb6b4e3760cc1,
  0x3e30120b657793bb, 0x8e1ffd0a67d82cc1, 0xe93fdb53fbb74f84, 0x9126ab5a39c61b46, 0x47c1b30698fa8f2b,
  0xa75a1143be2beebd, 0x2135f4616588a459, 0x673ab4bce2b8d64d, 0x743af3a6edbda3c1, 0x4228e791871b1aad,
  0x7eb70decb65cc5c2, 0xbd801512a6951b04, 0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363,
  0x62aa8b4b0b9c6378, 0x5118bf9b6249156f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000005bf95581,
};

static const uint64_t ur_m88pb_u1x12_uart0_noled_ce_hw[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb39e2e25bb, 0xfebc864f6a1eeeee, 0xdb26635f7776e270, 0xaef277417a09ac80,
  0x7dfc9827c602416c, 0x76e9f09195ff871e, 0xd24368dd27fb6a7f, 0xf3c00b849313bfeb, 0x7309cee6d7a95fbb,
  0x3f51c43cf72c05c6, 0x5b8627e38e5581e3, 0xe76905478cce62c0, 0x74e9ee39633c75e2, 0x9ce166fc0c4ad7b0,
  0x6f3796ea0c077ad7, 0xbd575539794d8ce1, 0xc67440b9b3182169, 0xdb288c5fcdb4e31b, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0xea8a792bf734332c, 0x00000000000310a0,
};

// m88pb_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_u1x12_uart0_noled_ee_ce_hw[] = {
  0x76d0d78344864aa4, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x9962fb9f71c7a750,
  0xf180905b2bbc9dd4, 0x8fffd0a67f76a609, 0x27fb6a7f76e9f091, 0x1b8bea8e43c368dd, 0xee3441e78939091c,
  0xfa8f84bf10d8488b, 0xf33c5dcdae951723, 0x4795f5129dadcdbd, 0x13fd47c1b306b5fd, 0x48b34eb422814c56,
  0x88ea426be8c2cb11, 0xb6f68f059ceaedd3, 0x38d8d578d8ebce9b, 0xb2e62e1211473c8c, 0x9a546c1132386f65,
  0xdf81895af616744a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755, 0x12431dbd8aaa2d2c,
  0xd8dc79b288c5fcdb, 0x87bde50c2a73f505, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x05ec4f0be9e4afdc, 0x0000000000000014,
};

// m88pb_u1x12_uart0_lednop_pr
static const uint64_t ur_m88pb_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x49827c602416caef, 0x7c25f27f97c167c1, 0xda3749feda9fddba, 0x93d47278ef964870, 0xa61f3a48e3956066,
  0xaf91c829cc580b7b, 0x7b8e58c11d78b9d9, 0x66fc0c4ad7b0ac1f, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0xbb65118bf9b6e722, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x72175e792bf73433, 0x000000000001f200,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8bf82, 0xdd55f671d7c4b777, 0x84bf0b8ed43ddddd, 0x993dddd0b28e3ad2, 0xb8c48a9b8364cfd2,
  0x3e30120b657793ba, 0x4beff241b3e7acc1, 0xd27fb6a7f76e9f09, 0x1ed63be5843c368d, 0x907e38e5581a0bf5,
  0x690ce62c0596537c, 0xf6608ebd1f3b2cf4, 0xf2cf6d059a45403f, 0x9bf0312b5ec82b40, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd94462fe6db9c8a, 0x6d0d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x27cf257ee6866587, 0x000000007c9a45ee,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ee[] = {
  0x776d0d783bd8b562, 0xeeeaaf9acc844b77, 0x2c9c010cf5a5eeee, 0xfea6683bbc1e8424, 0xc1b34b7071795b85,
  0x602416caef2777e9, 0xffc906cf9439827c, 0xfeda9fddba7c2521, 0x355ad1af90da3749, 0x3660f22fa8f2b09f,
  0x422877c57227a8f8, 0xbe8c2cb1148b34eb, 0x5a5e5f2e2899a426, 0xeba9bb08a8f9e39d, 0xafe8f596355ae875,
  0x37b2e1c8c5c24228, 0x312b5ec5c0fbfadc, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x462fe6db9c8ab7b1, 0x1a2c79c5c9ab8d94, 0x15c9fbab31e40eda, 0x964a271964b867a6,
  0x95fb9a19961d252d, 0x00014f9d27389f3c,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x0120b657793bb61b, 0xfe118e7f2b4c13e3, 0xf6d4feedd3e12287, 0xaad68e7186d1ba4f, 0x6cc1a63ea3cacca9,
  0x08a1df1587bf51f0, 0xfa30b2c4522cd3ad, 0x5a5cf55c6b26909a, 0xbce9bb4648c9a39d, 0x09e46f6ac6ab5d0e,
  0xc37b2d973170908a, 0x087d99e546c11fad, 0x13859bf0312b5ec0, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xab83cd94462fe6db, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9b7117cf257ee686,
  0x0000000000009d77,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ce[] = {
  0xeda1af07507b1762, 0xbaabece02f896eee, 0x00f16486ad1bbbbb, 0xd88eeee9a0df9e3e, 0xa668cda5a3b7a6d4,
  0x9f180905b2bbc9dd, 0x18fff241b3f52a60, 0xd27fb6a7f76e9f09, 0xe48877fd60fc368d, 0x6b8cdeed7e780160,
  0x9ee580bac984e773, 0x8e395607acf51fa4, 0x4690ce62c054c445, 0xff6678ebd1f3b2cf, 0x03cb5b9059a45403,
  0x166fc0c4ad7b20ad, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x8edec555169aba71,
  0x1e6ca2317f36dce1, 0xdb434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0x5c745713e792bf73, 0x0000000000000037,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x09f180905b2bbc9d, 0x93a5ff08c73e52e6, 0xdd27fb6a7f76e9f0, 0xd254ab8beb924368, 0x222fb8d1079e005a,
  0xe007ea3e12fc4361, 0x67eb2678bb9b5eb7, 0xb03d67a8fd24f72c, 0x731602a6222c71ca, 0xc75e8f9d967a3486,
  0xdc82cd22a01ffb33, 0x06256bd905681e5a, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x118bf9b6e70c76f6, 0x458df1726ae0f365, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854,
  0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000375c54e445f3,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x905b2bbc9dd4149c, 0x118e7e87e609f180, 0xd4feedd3e12383fe, 0xea8dfc86d1ba4ff6, 0x5f9e005ad26fb3bf,
  0xbe6139dcdaf72249, 0xd4795f7529dacac7, 0x7b7fd47c1b306b5f, 0x148b34eb422814c5, 0x7a8ea426be8c2cb1,
  0xdda32464d1ceaedc, 0x6f6ac6abc6c75e74, 0x2d973170908a09e4, 0xccf2a3608991c37b, 0xcdf81895af61663e,
  0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xcd94462fe6db9c31,
  0x2868b2d5e5c9ab83, 0x0a9cfd4eacc7903f, 0xe6879133c09c6943, 0x592e19e985727e03, 0x66587494b67c09c6,
  0x9843117cf257ee68, 0x000000000000009f,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeda1af068b9f1f68, 0xbaabbc84bb896eee, 0x2685e4ed323bbbbb, 0xe3e3fbb63c90e4a6, 0x9ed382d70448d918,
  0x120b657793ba55e8, 0xe3a9e7f4d4c13e30, 0x6d4feedd3e12ff9f, 0x7d51c8786d1ba4ff, 0x441e780173b4b571,
  0xf84bf10d8488bee3, 0x17736b9806e87fa8, 0x7dd4a76b736f7ccf, 0x51f06cc1ad7f51e5, 0xd3ad08a05315edff,
  0x909afa30b2c4522c, 0x9193473abb71ea3a, 0x1aaf1b1d79d3768c, 0xc5c242282791bdab, 0x8d8226470decb65c,
  0x6256bd8598fb33ca, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d,
  0x18bf9b6e70c76f62, 0x58df1726ae0f3651, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73, 0x43c899e07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0009f8b4f9d6a9e4,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_hw[] = {
  0x776d0d783acdc49f, 0xddd55f671d7c4b77, 0xad284bf3600ddddd, 0xfd2993dddd0b28e3, 0xde4eee62486ad04c,
  0x9eb304f8c0482d95, 0xba7c252fbff0e3cf, 0xf0da3749feda9fdd, 0x682fd47b58ef9610, 0x594df241f8e39560,
  0xecb3d1a43398b016, 0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0xe7f61bb65118bf9b, 0x9c6592e19e985727,
  0x6866587494b65928, 0x008e2b7514f257ee,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_ee_hw[] = {
  0xddb435e0d1218375, 0x77557cd6c5f12ddd, 0xb0b4663b41777777, 0x77ea6683ba9146b9, 0xc0b015ad89a59fbc,
  0x4f8c0482d95de4ee, 0x2287ff4299fcad30, 0xba4ff6d4feedd3e1, 0xcca9aad68e7186d1, 0x51f06cc1a63ea3ca,
  0xd3ad08a1df1587bf, 0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab,
  0x1fadc37b2d973170, 0x5ec0087d99e546c1, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0016f983905f4f25,
};

static const uint64_t ur_m88pb_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x1fda1377ef8fdddd, 0x401b6f8feeeedc4e, 0xcaef2776c7b21a6c,
  0xcfc069827c602416, 0xddba7c241efff0e3, 0xf490da3749feda9f, 0xfcf002e12884effa, 0x9cc273b9b5ca2b93,
  0xcfd47aff3dcb0171, 0x0b6b54b8e3956078, 0x173b0fb47449cc58, 0x074a6b71cb19e3af, 0x404e166fc0c4ad7b,
  0x0b79bcc077ad79e0, 0xf016a72452d5e740, 0x7440cbf98c10b4a9, 0x288c5fcdb4e31bc6, 0xcf4c2b93f3fb0ddb,
  0x4a5b2c944e32c970, 0x8a792bf734332c3a, 0x0000000006214fae,
};

// m88pb_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d783448607e1, 0xdd55de425dc4b777, 0xa62685ee4edddddd, 0x18e3e3fbb63c90e4, 0x87bf7a3af70448d9,
  0xf180905b2bbc9dd0, 0xff3fe8533fa6a609, 0x49feda9fddba7c25, 0x6ae2faa390f0da37, 0xfb8d1079e24e4249,
  0x7ea3e12fc4361222, 0x7ccf17736bd25339, 0x51e57dd4a76b736f, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315,
  0xea3a909afa30b2c4, 0x768c9193473abb71, 0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec,
  0x37e06256bd8598fb, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x365118bf9b6e70c7, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0xc17d3c95fb9a1996, 0x000000000140529a,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual[] = {
  0xbbbbe24c9ea22a20, 0xdddd7edb6d19eadb, 0xd123c95a76d86ddd, 0xe0dd13b777717bd7, 0xad0ee1ec5ab63514,
  0x304f8c0482d95de4, 0x695c459001291d67, 0x2e2061430657581b, 0xc9fe65dc5f4ee9f1, 0x1dfcd82fb3814599,
  0xa11c90ab0332a6f5, 0x80370f815fe63408, 0x2195dc5eef8bbce0, 0x136f7150865a03e2, 0xf212dbc06ffa039e,
  0x27ff97c14c161bca, 0x93fdb53fbb74f848, 0xe229df2d5fe1b46e, 0xf491c72ac0d21fa8, 0x7b4731602fe1cc98,
  0x630475e45bb35f23, 0x77715252b07dee39, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x4a7400b79bcb7506,
  0x169c05ef9537a94e, 0xc6378ce8811d4502, 0xae0f365118bf9b69, 0xcf4c2b93f3fb1726, 0xa4a5b3e04e32c970,
  0x8be792bf734332c3, 0x0000000065be38b8,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr[] = {
  0xf893261ebe7cd0e3, 0x5fb6db69dab6eeee, 0x09157db38b777777, 0x76eee8d368a52837, 0xda0962c8941402a2,
  0x416caef2419bbab8, 0x00948eb39827c602, 0x832bac0db4ae22c8, 0x5aa774f8971030a1, 0x56383a598e1fe653,
  0xc0e034dea3feed82, 0x57f98d022847242a, 0x77c5df63e00dc3e0, 0x432d0f9110caee2f, 0x37fd01cf0987c8a8,
  0xa60b0de579096de0, 0xf76e9f0904fff241, 0xc4d4368dd27fb6a7, 0x581887f51f229df2, 0x055079a717be38e5,
  0x019dad6475fce62c, 0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x256bd93f8abe7771, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0x74f8b9357079b288,
  0x4eacc790334f8d16, 0xcbf313f9430a9cfd, 0xffe09a1e44cf1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0xc62eb54f257ee686, 0x0000000000001493,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_u4[] = {
  0x77c4993a2e7cd0e3, 0xbafdb6d9bad5b777, 0x3b92b62d415bbbbb, 0x247777717bd78179, 0xc6d0539644bd6294,
  0x0905b2bbc95a1dd5, 0x2002522f0e609f18, 0x860caeb036d2b88b, 0x4d6a9dd3e25c40c2, 0x0bece05166727f99,
  0x2ac0cca9bd477f36, 0xe057f98d02284724, 0x17bbe2ef4b400dc3, 0x54219680f8886577, 0x732bfe80e784dbdc,
  0x906982c3795e425b, 0xd4feedd3e129c7fc, 0x7cb57f86d1ba4ff6, 0x1cab03487ea388a7, 0x8b017f0e6c906fc7,
  0xebc8b762791bda39, 0xa4a5609fdc72c608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x8bf9b6e722adec55, 0x8df1726ae0f36511, 0x53ab31e40cd3e345,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x00a49a681d6a9e4a,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ee[] = {
  0x7777c4993de7ce7c, 0xdddd7ed851ced5b7, 0x7ed1daa2fd75bddd, 0x10ea1b45dd4761bb, 0xdb4f5711f99f69f6,
  0x482d95de4cbb776c, 0x004a43b77304f8c0, 0xc195d606da571164, 0xad53ba7c4b881850, 0x3e70e9f9ac7ff329,
  0x071ca6f51fabf614, 0xbfcc681142392156, 0xbe2ef35b006e1f02, 0x32d0fdc88657717b, 0x7fd01cf099fc8a84,
  0x60b0de579096dc9d, 0x76e9f094aeff241a, 0xa54368dd27fb6a7f, 0x4f51e56654d56b47, 0xc57d47a8f83660fe,
  0xb1148b34eb422877, 0x5c20b9a426be8c2c, 0xb868c9a39d5a5e71, 0x56355ae875ed6276, 0xc62e1211435f237b,
  0xab8349f5b86f65c7, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0x7400b79bcc077ad7, 0x4a9f016a72452d5e,
  0xde33a2065fe2810b, 0x3cd94462fe6da718, 0x69f1a2c79c5c9ab8, 0xd30ae4fdd598f206, 0x296cf8138cb25c33,
  0xa9e4afdcd0ccb0e9, 0x00000003214e71d6,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ee_u4[] = {
  0x7777c4993a2432db, 0xbbbafdb0a75bd5b7, 0xfbb17d95a9afbbbb, 0x6aa86d1776c4bb2d, 0x45580f8ce947ee71,
  0x20b657793705dc70, 0x009485c14c13e301, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0xc7ce1ff260d1f997,
  0x81f57cdea3f4fec2, 0xaff31a04508e4855, 0xef8bbee4401b87c0, 0x0cb41d2a2195dc5e, 0xffe80e784c5162a1,
  0x60b0de579096dfab, 0x76e9f096fbff08c6, 0x224368dd27fb6a7f, 0x9ea3cad7dcd56b47, 0x15d4af51f06cc182,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed, 0x9662e1211408a8f9,
  0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x859dc293c95fb9a1,
  0x00000000000000ac,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ce[] = {
  0x777c4993de7c7a31, 0xbbafdb6d9ced5b77, 0xd629c9f7b62fbbbb, 0xd86dddda66247ed1, 0x4fc3e51f07d1a821,
  0x0905b2bbc968aee4, 0x4004a41806609f18, 0x0c195d606da57116, 0x9ad53ba7c4b88185, 0x37d9c34dcd15bf32,
  0x560650e6f51f2b6c, 0x02bfcc6811423921, 0xbddf177c00006e1f, 0xa10cb43ba4432bb8, 0x287ff4073c26d2a2,
  0x06982c3795e425b7, 0x9fddba7c25fbbfc9, 0xfabdf0da3749feda, 0x5afcf002e7663cef, 0x6a5cc273b9b5d2d0,
  0x752fd471bf3dcb01, 0x2c050507c8e39560, 0xbc019dad6475fce6, 0x43a435403ff6678e, 0xdc549549d03cb5b8,
  0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0x4462fe6db9c31dbd, 0xa2c79c5c9ab83cd9, 0xe4fdd598f20669f1, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0039eb1e5dd6a9e4,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ce_u4[] = {
  0x777c4993a2435202, 0x775fb353cfbd5b77, 0xb8d43db6abf77777, 0xf7b2b777519b33eb, 0x43ada6cdf9af45fb,
  0x120b657793d39dce, 0x001290aebcc13e30, 0x30657581b695c459, 0xec24ee9f12e20614, 0x25a3805a98c7ff32,
  0xac0e2b4dea393ad8, 0x057f98d022847242, 0xf77c5decf800dc3e, 0x0865a051510caee2, 0xadff4073c2631f15,
  0x1982c3795e425b78, 0xfddba7c24c17fc23, 0xaa010da3749feda9, 0x079e24e424e96e2f, 0x12fc4361222fb8d1,
  0xbb9b5c527ebfea3e, 0x1bf3dcb19f52e678, 0x7c8e39560752fd47, 0xd6475fce62c05050, 0x03ff6678ebc019da,
  0x9d03cb5b843a4354, 0x64fe2af9ddc54954, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0x6f86e3cd94462fe6, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x01a491f5ee149e4a,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ee_ce[] = {
  0xdddf1264f5050c86, 0xeeebf61b793356dd, 0x710b157ee44eeeee, 0xd6990123ba82b655, 0xb1bb3eafcc507c4d,
  0x2416caef25d93bbb, 0x002523b8f9827c60, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x8007014937ebfe65,
  0x6073b737a8f5bfb0, 0x2bfcc68114239215, 0x77c5dfdd6006e1f0, 0x865a1a6d10caee2f, 0x7ff4073c26c09150,
  0x30586f2bc84b6f3b, 0x76e9f0974fff8463, 0xc9c368dd27fb6a7f, 0x8939090d63bfea8d, 0x9cee6d7ca8683fe7,
  0xadfc94ed6564dd30, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06, 0xa909afa30b2c4522, 0x851ef673abb71943,
  0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9, 0xf3bb8a9296627f58, 0x9bf0312b5ec9fc55,
  0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x9b288c5fcdb73863,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e44cf0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x080039f5c293c95f,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbe24c9d1369f2906, 0xd7ed8ec7e6adbbbb, 0x13faf7a57bdddddd, 0x33dd4e49f76820f9, 0x918d825f5ebbe85b,
  0x4abe7715f202de0a, 0x7304f8c0482d95de, 0xb4ae22c800948392, 0x971030a1832bac0d, 0x643fccafda2774f8,
  0x7986d833e1c3ace6, 0x11c90ab03fd79bd4, 0x0370f815fe63408a, 0x657717bbe2efea70, 0x1c18a8432d00b488,
  0x25b7fd7ffa039e13, 0x3fc753982c3795e4, 0xfeda9fddba7c24ff, 0xe2faa353d0da3749, 0x1a20f3c49c07066e,
  0x47c25f886c2445f7, 0xe2ee6d7d507907fd, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06,
  0xa909afa30b2c4522, 0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9,
  0xf3bb8a9296627f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x9b288c5fcdb73863, 0x411a2c6f8b935707, 0xa9cfd4eaccdfc1bf, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000001001a389c80,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_hw[] = {
  0xeef8932744867a31, 0x775fb6db69dab6ee, 0x506e123aafb77777, 0x0544edddd1a6d14a, 0x6ee44fc3ed07c828,
  0x9f180905b2bbc906, 0xb88b2002523ace60, 0x40c2860caeb036d2, 0x1fe65d849dd3e25c, 0xfeed8256383a598e,
  0x47242ac0e034dea3, 0x0dc3e057f98d0228, 0xcaee2f77c5df63e0, 0x87c8a8432d0f9110, 0x096de037fd01cf09,
  0xffefcea60b0de579, 0xff6d4feedd3e1209, 0x453be589a86d1ba4, 0x7c71cab0310fea3e, 0xf9cc580aa0f34e2f,
  0xc11d78033b5ac8eb, 0x9ed887486a807fec, 0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1,
  0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0xf365118bf9b6e722, 0xca1854e7ea0bb1b8,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xb417d3c95fb9a199,
  0x0000000000c6ebac,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_ee_hw[] = {
  0x777c4993a243573e, 0xbbafdb0a75bd5b77, 0xbb17d95a9afbbbbb, 0xaa86d1776c4bb2df, 0x5f766eb2947ee716,
  0x905b2bbc9b82ee5c, 0x004a42e0a609f180, 0xc195d606da571164, 0xb093ba7c4b881850, 0x63e70ff93068fccb,
  0xc0fabe6f51fa7f61, 0x57f98d022847242a, 0x77c5df72200dc3e0, 0x865a0e9510caee2f, 0xfff4073c2628b150,
  0x30586f2bc84b6fd5, 0x76e9f096fbff7e75, 0x224368dd27fb6a7f, 0x9ea3cad7dcd56b47, 0x15d4af51f06cc182,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed, 0x9662e1211408a8f9,
  0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xb30be9e4afdcd0cc, 0x0000000000005768,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_ce_hw[] = {
  0xeef89327448664d6, 0xeebf66a79f7ab6ee, 0x71a87b6d57eeeeee, 0xef656eeea33667d7, 0xeccd8f0f65928bf7,
  0x180905b2bbc9e9ce, 0x2c800948575e609f, 0x0a1832bac0db4ae2, 0x997612774f897103, 0x6c12d1c02d4c63ff,
  0x21560715a6f51c9d, 0x1f02bfcc68114239, 0x717bbe2ef67c006e, 0x8a8432d028a88657, 0xbc56ffa039e1318f,
  0xf9d4c161bcaf212d, 0xa9fddba7c24c17fd, 0x2faa010da3749fed, 0xd1079e24e424e96e, 0x3e12fc4361222fb8,
  0x3c5dcdaeff3107ea, 0xa38df9ee58cfa973, 0x283e471cab03a97e, 0xed6b23afe7316028, 0xaa01ffb33c75e00c,
  0xaa4e81e5adc21d21, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xd4176371e6ca2317, 0xffde1ef79430a9cf, 0x0f226781fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0026eb1f5c2fa792,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_ee_ce_hw[] = {
  0x77c4993d41436f02, 0xbafd86de4cd5b777, 0x42c55fb913bbbbbb, 0xa64048eea0ad955c, 0x87cd7d166c1f1375,
  0x482d95de4bb2773f, 0x004a4771f304f8c0, 0xc195d606da571164, 0xb093ba7c4b881850, 0x000e02926fd7fccb,
  0xc0e76e6f51eb7f61, 0x57f98d022847242a, 0xef8bbfbac00dc3e0, 0x0cb434da2195dc5e, 0xffe80e784d8122a1,
  0x60b0de579096de76, 0xdba7c25d3ffefcea, 0x270da3749feda9fd, 0x24e424358effaa37, 0x39dcdafd66c87f9e,
  0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45, 0x0a3dece7576e3287,
  0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1, 0x37e06256bd93f8ab,
  0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x365118bf9b6e70c7,
  0x1854e7ea6c3b1b8f, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e, 0xba9cf82fa792bf73,
  0x000000000000000e,
};

static const uint64_t ur_m88pb_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xbbe24c9d1468a0ae, 0xdd7ed8ec7e6adbbb, 0x07c89fbd7bdddddd, 0x42d99eea724fbb41, 0xb7a1f5ec12faf5df,
  0xcaef255f3bbebefe, 0x41c939827c602416, 0xd606da571164004a, 0xba7c4b881850c195, 0xace6643fccb20d53,
  0x9bd47986d833e1c3, 0x408a11c90ab03fd7, 0xea700370f815fe63, 0xb488657717bbe2ef, 0x9e131c18a8432d00,
  0x95e425b7fd7ffa03, 0x27f9ffd46e982c37, 0xba4ff6d4feedd3e1, 0x337717d51a9e86d1, 0xfb8d1079e2c5f424,
  0xfea3e12fc4361222, 0xe99e2ee6d7524e6f, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315,
  0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec,
  0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0xdc79b288c5fcdb73, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x3c9e80b9e4afdcd0, 0x000000000003aea7,
};

// m88pb_u2x8_uart0_noled_pr
static const uint64_t ur_m88pb_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0xc92609f180905b2b, 0xe9f093dffe5f059f, 0x1c368ded51ca4df6, 0x19a4f51f9e3be592, 0xbdd30df27a38e558,
  0x3b3da478cce62c05, 0xca2771cb1823af17, 0xce166fc0c4ad7b0a, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x7f36c4922adec555, 0xf1a2c79c376ca231, 0x85727eeacc790347, 0x659289c6592e19e9,
  0x257ee6866587494b, 0x00007c8749c2ebcf,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_u4[] = {
  0x77776d0e8bb15a91, 0xeeeeaafb395a44b7, 0x1122a99b6f46deee, 0x8fb07dddd0b28e3a, 0xbad17a763b976c47,
  0xc13e30120b657793, 0x8497cff241b3f38c, 0xb46f6a8e526fb74f, 0x5fa8fd01df2c21e1, 0x4cf7dad1c72ac0d0,
  0x57f47ac398b01659, 0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e,
  0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x5fcdb1248ab7b155, 0x6f8b9357079b288c, 0x53ab31e40eda1a2c,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01f271f5dc4f9e4a,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb687bd8ad4e, 0x77777557cd636225, 0x5a14d971697a34f7, 0x0bfd4cd0775228d7, 0x89b82b8d199bb066,
  0xf8c0482d95de4ee9, 0xe1ff920d9f60b304, 0xf6a8e526fb74f848, 0x9126ab5a39c61b46, 0x47c1b30698fa8f2b,
  0xa75a1143be2beebd, 0x2135f4616588a459, 0x673ab4bce2b8d64d, 0x743af3a6edbda3c1, 0x4228e791871b1aad,
  0x7eb70decb65cc5c2, 0xbd801512a6951b04, 0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363,
  0x62aa8b4b0b9c6378, 0x5118bf9b6249156f, 0x6868b1e71726ae36, 0x985727eeacc7903b, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x00000053e738e27c,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ee_u4[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0xc602416caef2775d, 0x0ffc231cfb059827, 0xb5472937dba7c247, 0x89355ad1ce30da37, 0x3e0d9834c7d4795c,
  0x3ad08a1df15f75ea, 0x09afa30b2c4522cd, 0x39d5a5e715c6b269, 0xa1d79d376ded1e0b, 0x11473c8c38d8d56b,
  0xf5b86f65b2e62e12, 0xec00a89534a8d823, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19,
  0x15545a585ce31bc6, 0x88c5fcdb1248ab7b, 0xa2c6f8b9357079b2, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000013afa38a22f9,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ce[] = {
  0xbbbb687a83d8bf82, 0xeeeaafb39e3e25bb, 0x099bc964f54deeee, 0x5e35f7774d06fc80, 0xeae31226ee0dd8f8,
  0x04f8c0482d95de4e, 0x1232bfc906cfbf93, 0xd1bdaa3949bedd3e, 0x2c1c3d4effac1f86, 0xee6d7e9fb1ffcf00,
  0x93d3dcb01759309c, 0x7491c72ac0f59ea3, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d, 0x38f81e5adc3eccf2,
  0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0x17f36c490c76f62a,
  0x6af2e4d5c1e6ca23, 0xa75663c81db43459, 0x99e04e34a1854e7e, 0xf4c2b93f01f343c8, 0x4a5b3e04e32c970c,
  0x3e792bf734332c3a, 0x000000006eba0471,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x3cc13e30120b6577, 0x3e12727fe118e7e4, 0x86d1bdaa3949bedd, 0x005ad23f9717d724, 0x4361222fb8d1079e,
  0xaeff3107ea3e12fc, 0x7b9633f5933c5dcd, 0x38e5581eb3d4727a, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f,
  0x03cb5b87d99e5403, 0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b,
  0x6d89218edec55516, 0x5c9ab83cd94462fe, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb,
  0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xd720e5117cf257ee, 0x000000000000000d,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x80905b2bbc9ddb0d, 0xff08c73e4ea609f1, 0x51ca4df6e9f09456, 0x1dff546fe4368ded, 0x3643fcf002d69302,
  0x563df309cee6d7eb, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983, 0x6588a459a75a1140, 0x76e9c4752135f461,
  0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3, 0x3a254d2a3608991c, 0xce166fc0c4ad7b0b,
  0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10, 0xfe6d89218edec555, 0x5e5c9ab83cd94462,
  0xeacc7903f2868b2d, 0x3c09c69430a9cfd4, 0x985727e03e687913, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00000004fcc63117,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xddddb43a2e7ccc7f, 0x777557790e4b12dd, 0x4d2c33467a8ef777, 0xb1c7c7f76c792062, 0x55e52947e38f4ea0,
  0x0120b657793ba9f7, 0xfc753cfeed4c13e3, 0x8e526fb74f848c7f, 0xc5f54721e1b46f6a, 0x8d1079e005cece0d,
  0xa3e12fc4361222fb, 0x9e2ee6d7524e6ffe, 0xcafa894ed6e6def9, 0xfea3e0d9835afea3, 0x59a75a1140a62b09,
  0x752135f4616588a4, 0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9,
  0xc0c4ad7b0b3a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617,
  0xb83cd94462fe6d89, 0x0334f8d1637c5c9a, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x375aa792bf734332, 0x000000000027e20e,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_hw[] = {
  0x6eeeeeda1eb3753a, 0xdddddd55f672b489, 0x38e8448aa66933dd, 0xb11e3ec1f77742ca, 0x2bbc9dd2e364f54d,
  0x9f9c6609f180905b, 0x7dba7c24be7fe1c7, 0x610f0da37b547293, 0x560682fd47e80ef9, 0x80b2ca67bed68e39,
  0xe8f9dabfa3d61cc5, 0xeccf2a01ffb30475, 0x5af60e3e07967b63, 0xef5af39c2cdf8189, 0x8ce16f37807d4180,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xd94462fe6d892455, 0x867a615c9f9fd86e, 0xd252d964a271964b,
  0x5453c95fb9a19961, 0x0000000000047100,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_ee_hw[] = {
  0xdddddb43a243280b, 0xbbbbaabe6b1b112d, 0x75a14d971d1a7bbb, 0x60bfd4cd0775228d, 0xddc9cf5b5a71bb06,
  0x609f180905b2bbc9, 0xc2470ffe8533ec16, 0xda37b5472937dba7, 0x795c89355ad1ce30, 0x75ea3e0d9834c7d4,
  0x22cd3ad08a1df15f, 0xb26909afa30b2c45, 0x1e0b39d5a5e715c6, 0xd56ba1d79d376ded, 0x2e1211473c8c38d8,
  0xd823f5b86f65b2e6, 0x12b5ec00a89534a8, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2,
  0xab7b15545a585ce3, 0x79b288c5fcdb1248, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343c899e0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xac0be9e4afdcd0cc, 0x000000000002dfca,
};

static const uint64_t ur_m88pb_u2x8_uart0_noled_ce_hw[] = {
  0xddddddb43d66ef3a, 0x77777557d9cf1712, 0x387f5e4327b50f77, 0x406d9331afbbbb71, 0xb657793ba0bd04d6,
  0x8f3efe4c13e30120, 0x26fb74f848caffc3, 0xff5e921b46f6a8e5, 0xfddf9e005c24989d, 0x2e33984e7736bd4a,
  0x0f19fa8e21e7b960, 0x1602dc313f1c72ac, 0xaf173b482a3c6673, 0xbd83a74f71cb19e3, 0xd6bce70b37e06256,
  0x670b79bcb750603b, 0x0b4deabaa9cbca6c, 0x18de33a205cd98c1, 0xd86ed94462fe6da7, 0x964b867a615c9f9f,
  0x9961d252d964a271, 0x85075453c95fb9a1, 0x0000000000000018,
};

// m88pb_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_u2x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbb68744864aa4, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0xea4cb17dcfb8e3d3,
  0x04f8c0482d95de4e, 0x48c7ffe8533fbb53, 0x46f6a8e526fb74f8, 0x48e0dc5f54721e1b, 0x445f71a20f3c49c8,
  0xb91fd47c25f886c2, 0x6def99e2ee6d74a8, 0xafea3cafa894ed6e, 0x62b09fea3e0d9835, 0x588a459a75a1140a,
  0x6e9c4752135f4616, 0x74ddb7b4782ce757, 0xe461c6c6abc6c75e, 0x7b2d973170908a39, 0xa254d2a3608991c3,
  0xe166fc0c4ad7b0b3, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79, 0x6961738c6f19d102, 0xe6d89218edec5551,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00a02f62785f4f25,
};

// m88pb_u2x8_uart0_lednop_pr
static const uint64_t ur_m88pb_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xe0a4c13e30120b65, 0xdd3e12f93fcbe0b3, 0x4386d1bdaa3949be, 0x03349ea393c77cb2, 0x5bdd30f9d2471cab,
  0xcecd7c8e414e62c0, 0x60fbdc72c608ebc5, 0x270b37e06256bd85, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xe70ddb288c5fcdb7, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x900390baf3c95fb9, 0x000000000000000f,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_u4[] = {
  0xbbbbb68745d8bf82, 0xeeeeaafb38ebe25b, 0x69425f85c76a1eee, 0xe94c9eeee859471d, 0xdd5c62454dc1b267,
  0x609f180905b2bbc9, 0x84a5f7f920d9f3d6, 0xb46f6a8e526fb74f, 0x5fa8f6b1df2c21e1, 0x9be483f1c72ac0d0,
  0x67a3486731602cb2, 0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x9c2cdf81895af641, 0x914180ef5af3c080,
  0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x5c1e6ca2317f36dc, 0x903b6868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x2f713e792bf73433, 0x000000000003e4d2,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb687bd8b562, 0x77777557cd664225, 0x12164e00867ad2f7, 0xc2ff53341dde0f42, 0xf4e0d9a5b838bcad,
  0x3e30120b657793bb, 0x90ffe48367ca1cc1, 0xbdaa3949bedd3e12, 0x84f9aad68d7c86d1, 0x47c1b307917d4795,
  0xa75a1143be2b913d, 0x2135f4616588a459, 0x1cead2f2f97144cd, 0x43af5d4dd84547cf, 0x11457f47acb1aad7,
  0xd6e1bd970e462e12, 0xdf81895af62e07df, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6ca2317f36dce455, 0x76d0d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0xf9e4afdcd0ccb0e9, 0x0000000a7ce939c4,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ee_u4[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xf180905b2bbc9ddb, 0x43ff08c73f95a609, 0xed51ca4df6e9f091, 0x654d56b4738c368d, 0x8f83660d31f51e56,
  0x9d68450ef8ac3dfa, 0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d, 0x84504f237b56355a,
  0xfd6e1bd96cb98b84, 0xf60043eccf2a3608, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xebbcdb88be792bf7,
  0x0000000000000004,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ce[] = {
  0x77776d0f507b1762, 0xdddd55f67017c4b7, 0x1f0078b243568ddd, 0x6a6c477774d06fcf, 0xeed33466d2d1dbd3,
  0x304f8c0482d95de4, 0x848c7ff920d9fa95, 0xb46f6a8e526fb74f, 0x0b072443bfeb07e1, 0x3b9b5c66f76bf3c0,
  0xfd24f72c05d64c27, 0x222c71cab03d67a8, 0x967a3486731602a6, 0xa01ffb33c75e8f9d, 0x05681e5adc82cd22,
  0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5,
  0x6ae0f365118bf9b6, 0xe40eda1a2cb57972, 0x1a50c2a73f53ab31, 0x9f80f9a1e44cf027, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x01bae3a2b89f3c95,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0x7304f8c0482d95de, 0xf849d2ff84639f29, 0x1b46f6a8e526fb74, 0x02d692a55c5f5c92, 0x1b09117dc6883cf0,
  0xf5bf003f51f097e2, 0xb9633f5933c5dcda, 0x8e5581eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1,
  0xf2d6e416691500ff, 0x9bf0312b5ec82b40, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x9b288c5fcdb73863, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x2f9e4afdcd0ccb0e, 0x00000001bae2a722,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0xc0482d95de4eea0a, 0xff08c73f43f304f8, 0x51ca4df6e9f091c1, 0x9dff546fe4368ded, 0x124afcf002d6937d,
  0x563df309cee6d7b9, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983, 0x6588a459a75a1140, 0x76e3d4752135f461,
  0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e, 0x4e166fc0c4ad7b0b,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x5c1e6ca2317f36dc,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343c899e04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x04fcc2188be792bf,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x77776d0e8b9f1f68, 0xdddd55de425dc4b7, 0x531342f276991ddd, 0x8c71f1fddb1e4872, 0xf44f69c16b82246c,
  0x180905b2bbc9dd2a, 0xcff1d4f3fa6a609f, 0xd51ca4df6e9f097f, 0xab8bea8e43c368de, 0xf71a20f3c00b9da5,
  0xfd47c25f886c2445, 0xe678bb9b5cc03743, 0x8f2beea53b5b9b7b, 0x6ffa8f83660d6bfa, 0x91669d68450298af,
  0x51d484d7d1859622, 0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65,
  0xbf0312b5ec2cc7d9, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb288c5fcdb73863b, 0xf1a2c6f8b9357079, 0x539fa9d598f20669, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000004fc5a7ceb5,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_hw[] = {
  0xbbbbbb687acdc49f, 0xeeeeeaafb38ebe25, 0x71d69425f9b006ee, 0x267e94c9eeee8594, 0xcaef277731243568,
  0xe7cf59827c602416, 0xbedd3e1297dff871, 0xb08786d1bdaa3949, 0xab03417ea3dac77c, 0x80b2ca6f920fc71c,
  0xa3e7659e8d219cc5, 0xb348a807fecc11d7, 0x6bd905681e59eda0, 0xcf020270b37e0625, 0xde6f36450603bd6b,
  0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0xb93f3fb0ddb288c5, 0xc944e32c970cf4c2,
  0xbf734332c3a4a5b2, 0x000004715ba8a792,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_ee_hw[] = {
  0xeeeeeda1d1218375, 0xbbbbaabe6b62f896, 0x5cd85a331da0bbbb, 0xde3bf53341dd48a3, 0x7760580ad6c4d2cf,
  0x9827c602416caef2, 0xf09143ffa14cfe56, 0x368ded51ca4df6e9, 0x1e56654d56b4738c, 0x3dfa8f83660d31f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2e7aae3, 0x355ae875e74dda32, 0x8b8484504f237b56,
  0x3608fd6e1bd96cb9, 0x895af60043eccf2a, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0x317f36dce455bd8a, 0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000000b7cc1c82fa,
};

static const uint64_t ur_m88pb_u2x8_uart0_lednop_ce_hw[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x270fed09bbf7c7ee, 0x36200db7c7f7776e, 0x0b657793bb63d90d,
  0x71e7e034c13e3012, 0x49bedd3e120f7ff8, 0x7fd7a486d1bdaa39, 0x5c9fe78017094427, 0x0b8ce6139dcdae51,
  0x03c67ea3d7f9ee58, 0x62c05b5aa5c71cab, 0x1d78b9d87da3a24e, 0x6bd83a535b8e58cf, 0xcf020270b37e0625,
  0x3a005bcde603bd6b, 0xa54f80b5392296af, 0xde33a2065fcc6085, 0x6ed94462fe6da718, 0x4b867a615c9f9fd8,
  0x61d252d964a27196, 0x7d7453c95fb9a199, 0x000000000000310a,
};

// m88pb_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb687448607e1, 0xeeeeaaef212ee25b, 0x72531342f7276eee, 0x6c8c71f1fddb1e48, 0xe843dfbd1d7b8224,
  0x04f8c0482d95de4e, 0x12ff9ff4299fd353, 0xd1bdaa3949bedd3e, 0x124b5717d51c8786, 0x9117dc6883cf1272,
  0x99cbf51f097e21b0, 0x9b7be678bb9b5e92, 0x6bfa8f2beea53b5b, 0x98af6ffa8f83660d, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238,
  0x3859bf0312b5ec2c, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0xdc79b288c5fcdb73, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0x94d60be9e4afdcd0, 0x0000000000000a02,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual[] = {
  0xb777777c4ea22a20, 0xbbbbbafdb6da33d5, 0xafa24792b4edb0db, 0x29c1ba276eeee2f7, 0xc95a1dc3d8b56c6a,
  0xce609f180905b2bb, 0x36d2b88b2002523a, 0xe25c40c2860caeb0, 0x3393fccbb8be9dd3, 0xea3bf9b05f67028b,
  0x114239215606654d, 0xc1006e1f02bfcc68, 0xc4432bb8bddf1779, 0x3c26dee2a10cb407, 0x95e425b780dff407,
  0x904fff2f82982c37, 0x8ded51ca4df6e9f0, 0xf51c453be5abfc36, 0x931e9238e5581a43, 0xe46f68e62c05fc39,
  0xc72c608ebc8b766b, 0x57ceee2a4a560fbd, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0x29c94e8016f3796e,
  0xa042d380bdf2a6f5, 0x6d38c6f19d1023a8, 0xe4d5c1e6ca2317f3, 0x2e19e985727e7f62, 0x587494b67c09c659,
  0x17117cf257ee6866, 0x00000000000cb7c7,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr[] = {
  0xdddf121ebe7cd0e3, 0xeebf6db6d3b56ddd, 0x6e122afb6716eeee, 0x44edddd1a6d14a50, 0x71b412c591282805,
  0x0482d95de4833775, 0x9001291d67304f8c, 0x430657581b695c45, 0xa6b54ee9f12e2061, 0x04ac7074b31c3fcc,
  0x5581c069bd47fddb, 0xc0aff31a04508e48, 0x5eef8bbec7c01b87, 0x50865a1f222195dc, 0xc06ffa039e130f91,
  0x834c161bcaf212db, 0x49bedd3e1209ffe4, 0xbe589a86d1bdaa39, 0x1cab0310fea3e453, 0xc580aa0f34e2f7c7,
  0xd78033b5ac8ebf9c, 0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f,
  0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x5118bf9b6e722ade, 0xa2ce9f1726ae0f36,
  0x9fa9d598f20669f1, 0xe7197e627f286153, 0x73dffc1343c899e2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x9278c5d6a9e4afdc, 0x0000000000000002,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_u4[] = {
  0xeeeef89a2e7cd0e3, 0x7775fb6db375ab6e, 0xf277256c5a82b777, 0x2848eeeee2f7af02, 0xab8da0a72c897ac5,
  0x30120b657792b43b, 0x164004a45e1cc13e, 0x850c195d606da571, 0x329ad53ba7c4b881, 0x6c17d9c0a2cce4ff,
  0x48558199537a8efe, 0x87c0aff31a04508e, 0xee2f77c5de96801b, 0xb8a8432d01f110ca, 0xb6e657fd01cf09b7,
  0xf920d30586f2bc84, 0x472937dba7c2538f, 0x14ef96aff0da37b5, 0xf8e39560690fd471, 0x4731602fe1cd920d,
  0xc11d7916ec4f237b, 0xdc5494ac13fb8e58, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa2317f36dce455bd, 0x68b1be2e4d5c1e6c, 0xe7ea75663c819a7c,
  0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000014934d03ad53,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ee[] = {
  0x6eeeeef89de7ce7c, 0xbbbbbafdb0a39dab, 0x76fda3b545faeb7b, 0xec21d4368bba8ec3, 0xd9b69eae23f33ed3,
  0x80905b2bbc9976ee, 0xc80094876ee609f1, 0xa1832bac0db4ae22, 0x535aa774f8971030, 0x287ce1d3f358ffe6,
  0xac0e394dea3f57ec, 0x057f98d022847242, 0xf77c5de6b600dc3e, 0x0865a1fb910caee2, 0x3affa039e133f915,
  0x34c161bcaf212db9, 0x9bedd3e1295dfe48, 0x68f4a86d1bdaa394, 0x1fc9ea3cacca9aad, 0x0ef8afa8f51f06cc,
  0x85962291669d6845, 0xce2b84173484d7d1, 0x4ed70d193473ab4b, 0x6f6ac6ab5d0ebdac, 0xb8f8c5c242286be4,
  0x549570693eb70dec, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0xabce8016f37980ef, 0x216953e02d4e48a5,
  0xe31bc67440cbfc50, 0x57079b288c5fcdb4, 0x40cd3e3458f38b93, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x3ad53c95fb9a1996, 0x00000000006429ce,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ee_u4[] = {
  0x6eeeeef89a2432db, 0x777775fb614eb7ab, 0x5bf762fb2b535f77, 0xe2d550da2eed8976, 0xe08ab01f19d28fdc,
  0x02416caef26e0bb8, 0x9001290b829827c6, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0x858f9c3fe4c1a3f3,
  0xab03eaf9bd47e9fd, 0x815fe63408a11c90, 0xbddf177dc880370f, 0x4219683a54432bb8, 0x57ffd01cf098a2c5,
  0x8cc161bcaf212dbf, 0x9bedd3e12df7fe11, 0x68e4486d1bdaa394, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x1b8f365118bf9b6e, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x1590b3b852792bf7,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeef89de7c7a31, 0x77775fb6db39dab6, 0xa3ac5393ef6c5f77, 0x43b0dbbbb4cc48fd, 0xc89f87ca3e0fa350,
  0x30120b657792d15d, 0x2c800948300cc13e, 0x0a1832bac0db4ae2, 0x6535aa774f897103, 0xd86fb3869b9a2b7e,
  0x42ac0ca1cdea3e56, 0x3e057f98d0228472, 0x717bbe2ef80000dc, 0x4542196877488657, 0x6e50ffe80e784da5,
  0x920d30586f2bc84b, 0xe526fb74f84bf77f, 0x9dff57be1b46f6a8, 0x5a0b5f9e005cecc7, 0x602d4b984e7736ba,
  0xac0ea5fa8e37e7b9, 0x9cc580a0a0f91c72, 0xf1d78033b5ac8ebf, 0xb7087486a807fecc, 0xf3bb8a92a93a0796,
  0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0x9b288c5fcdb73863, 0x3e3458f38b935707, 0x615c9fbab31e40cd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000073d63cbbad5,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeef89a2435202, 0xeeeebf66a79f7ab6, 0xd771a87b6d57eeee, 0xf7ef656eeea33667, 0x9c875b4d9bf35e8b,
  0x602416caef27a73b, 0xb20025215d79827c, 0x2860caeb036d2b88, 0x65d849dd3e25c40c, 0xb04b4700b5318ffe,
  0x85581c569bd47275, 0x7c0aff31a04508e4, 0xc5eef8bbd9f001b8, 0x2a10cb40a2a2195d, 0xf15bfe80e784c63e,
  0x46330586f2bc84b6, 0x526fb74f84982ff8, 0xc5f54021b46f6a8e, 0x1a20f3c49c849d2d, 0x47c25f886c2445f7,
  0xcf17736b8a4fd7fd, 0xa8e37e7b9633ea5c, 0x0a0f91c72ac0ea5f, 0x3b5ac8ebf9cc580a, 0x6a807feccf1d7803,
  0x2a93a0796b708748, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0xfcdb73863b7b1554, 0x458df0dc79b288c5, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000034923ebdc293,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbbe275050c86, 0xddddd7ec36f266ad, 0xaae2162afdc89ddd, 0x9bad32024775056c, 0x7763767d5f98a0f8,
  0xc0482d95de4bb277, 0x64004a4771f304f8, 0x50c195d606da5711, 0xcbb093ba7c4b8818, 0x61000e02926fd7fc,
  0x2ac0e76e6f51eb7f, 0xe057f98d02284724, 0x5eef8bbfbac00dc3, 0xa10cb434da2195dc, 0x76ffe80e784d8122,
  0xc660b0de579096de, 0x9bedd3e12e9fff08, 0x51b9386d1bdaa394, 0xfcf1272121ac77fd, 0xa6139dcdaf950d07,
  0x4795bf929dacac9b, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b, 0x28752135f4616588, 0xed10a3dece7576e3,
  0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9, 0x8abe77715252cc4f, 0x70b37e06256bd93f,
  0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xb8f365118bf9b6e7,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343c899e0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000100073eb85279,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7777c4d1369f2906, 0xbbafdb1d8fcd5b77, 0xf227f5ef4af7bbbb, 0xb667ba9c93eed041, 0x15231b04bebd77d0,
  0xbc957cee2be405bc, 0x24e609f180905b2b, 0x1b695c4590012907, 0xf12e206143065758, 0xccc87f995fb44ee9,
  0xa8f30db067c38759, 0x14239215607faf37, 0xe006e1f02bfcc681, 0x10caee2f77c5dfd4, 0x26383150865a0169,
  0xc84b6ffafff4073c, 0xfe7f8ea730586f2b, 0xf6a8e526fb74f849, 0xcddc5f546a7a1b46, 0xbee3441e789380e0,
  0xffa8f84bf10d8488, 0xd33c5dcdafaa0f20, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b,
  0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9,
  0x8abe77715252cc4f, 0x70b37e06256bd93f, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xe0f365118bf9b6e7, 0x37e823458df1726a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x9014f257ee686658, 0x0000000020034713,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_hw[] = {
  0xdddddf1344867a31, 0xeeeebf6db6d3b56d, 0x94a0dc24755f6eee, 0x500a89dbbba34da2, 0x0cddc89f87da0f90,
  0xc13e30120b657792, 0xa571164004a4759c, 0xb881850c195d606d, 0x1c3fccbb093ba7c4, 0x47fddb04ac7074b3,
  0x508e485581c069bd, 0xc01b87c0aff31a04, 0x2195dc5eef8bbec7, 0x130f9150865a1f22, 0xf212dbc06ffa039e,
  0x13ffdf9d4c161bca, 0x7b5472937dba7c24, 0x47c8a77cb1350da3, 0xc5ef8e39560621fd, 0x1d7f398b01541e69,
  0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0, 0x9c2cdf81895af64f, 0x914180ef5af3c080,
  0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x371e6ca2317f36dc, 0xef79430a9cfd4176,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x759682fa792bf734,
  0x00000000000018dd,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeef89a243573e, 0x77775fb614eb7ab6, 0xbf762fb2b535f777, 0x2d550da2eed89765, 0xb8beecdd6528fdce,
  0x0120b657793705dc, 0xc8009485c14c13e3, 0xa1832bac0db4ae22, 0x97612774f8971030, 0xc2c7ce1ff260d1f9,
  0x5581f57cdea3f4fe, 0xc0aff31a04508e48, 0x5eef8bbee4401b87, 0xa10cb41d2a2195dc, 0xabffe80e784c5162,
  0xea60b0de579096df, 0x9bedd3e12df7fefc, 0x68e4486d1bdaa394, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x1b8f365118bf9b6e, 0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0,
  0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xed16617d3c95fb9a, 0x000000000000000a,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_ce_hw[] = {
  0xdddddf13448664d6, 0xdddd7ecd4f3ef56d, 0xaee350f6daafdddd, 0xefdecadddd466ccf, 0x9dd99b1e1ecb2517,
  0x3e30120b657793d3, 0xc459001290aebcc1, 0x061430657581b695, 0xff32ec24ee9f12e2, 0x3ad825a3805a98c7,
  0x7242ac0e2b4dea39, 0xdc3e057f98d02284, 0xaee2f77c5decf800, 0x1f150865a051510c, 0x5b78adff4073c263,
  0xfbf3a982c3795e42, 0x8e526fb74f84982f, 0x2dc5f54021b46f6a, 0xf71a20f3c49c849d, 0xfd47c25f886c2445,
  0x2e678bb9b5dfe620, 0x2fd471bf3dcb19f5, 0x050507c8e3956075, 0x019dad6475fce62c, 0xa435403ff6678ebc,
  0x549549d03cb5b843, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0x62fe6db9c31dbd8a, 0x39fa82ec6e3cd944, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000004dd63eb85f4,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef89d41436f02, 0x7775fb0dbc99ab6e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0x7f0f9afa2cd83e26,
  0x80905b2bbc9764ee, 0xc800948ee3e609f1, 0xa1832bac0db4ae22, 0x97612774f8971030, 0xc2001c0524dfaff9,
  0x5581cedcdea3d6fe, 0xc0aff31a04508e48, 0xbddf177f75801b87, 0x42196869b4432bb8, 0xedffd01cf09b0245,
  0xd4c161bcaf212dbc, 0x6fb74f84ba7ffdf9, 0x46e4e1b46f6a8e52, 0xf3c49c8486b1dff5, 0x4c273b9b5facd90f,
  0x8f2b7f253b595937, 0x01bd47c1b306be7a, 0x48b34eb422814c57, 0x50ea426be8c2cb11, 0xda2147bd9ceaedc6,
  0xe7ac6abc6c75ea25, 0xfa598b84845022a3, 0xd62a3608991c37b2, 0x157ceee2a4a5989f, 0xe166fc0c4ad7b27f,
  0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd, 0x18edec555169aba7, 0x71e6ca2317f36dce,
  0x69430a9cfd4d8763, 0x7e03e6879133c09c, 0x09c6592e19e98572, 0xee6866587494b67c, 0x01d7539f05f4f257,
};

static const uint64_t ur_m88pb_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77777c4d1468a0ae, 0xbbbafdb1d8fcd5b7, 0x820f913f7af7bbbb, 0xbe85b33dd4e49f76, 0xfd6f43ebd825f5eb,
  0x2d95de4abe777d7d, 0x9483927304f8c048, 0x2bac0db4ae22c800, 0xa774f8971030a183, 0x8759ccc87f99641a,
  0xaf37a8f30db067c3, 0xc68114239215607f, 0xdfd4e006e1f02bfc, 0x016910caee2f77c5, 0x073c26383150865a,
  0x6f2bc84b6ffafff4, 0xc24ff3ffa8dd3058, 0xda37b5472937dba7, 0x84866ee2faa353d0, 0x445f71a20f3c58be,
  0xcdffd47c25f886c2, 0xdcdd33c5dcdaea49, 0xf3d4795bf929dadc, 0x62b80dea3e0d9835, 0x588a459a75a1140a,
  0x6e328752135f4616, 0x512ed10a3dece757, 0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1,
  0x93f8abe77715252c, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xd4e793d0173c95fb, 0x0000000000000075,
};

// m88pb_u2x12_uart0_noled_pr
static const uint64_t ur_m88pb_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x9827c602416caef2, 0xc2510ff97c167e6e, 0xa3949fcda9f55ba7, 0x3c77cb24386d1bda, 0xf471cab03349ea3f,
  0x99cc580b7ba61be4, 0x30475e2e767b48f1, 0x895af615944ee396, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x6ed94462fe6d8924, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x5385d79e4afdcd0c, 0x0000000000003e41,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb128ae, 0x7557382f1f896eee, 0xc9ab401a5c777777, 0xe0fbbbb111227c5b, 0x4d2c71b262446311,
  0x27c602416caef277, 0x9029fe48367f4a98, 0xe527f36a7d56e9f0, 0x1df2c21e1b46f6a8, 0x1c72ac0d05fa8fd0,
  0x398b016594cf7dad, 0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf,
  0xf29b19c2de6f00fa, 0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x7079b288c5fcdb12, 0x40eda1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x29c4f9e4afdcd0cc, 0x00000000000f93ab,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8bf82, 0xeeeaaf2208244b77, 0x3d31b67ef619eeee, 0x66130feeeeff1785, 0xc4891f8360ccd8cc,
  0x30120b657793bab8, 0xbfe48367ca5cc13e, 0xfe6d4faadd3e1274, 0x46be4368ded51ca4, 0xe45f51e57a54d56b,
  0xef8acf5f51f06cc1, 0x5962291669d68450, 0x7c5c5133484d7d18, 0xedd2236be39d5a5d, 0xd258d56ba1d7aea6,
  0x1c8c5c24228a968c, 0xf62e289fadc37b2e, 0x5af39c2cdf81895a, 0xe16f37807d4180ef, 0x3a20575539794d8c,
  0x8aaa2d2c2e718de3, 0x4462fe6d892455bd, 0xa1a2c79c5c9ab8d9, 0x615c9fbab31e40ed, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x0000029f34e389f3,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x0120b657793bad3b, 0xfe118e7f024c13e3, 0xe6d4faadd3e12297, 0x738c368ded51ca4f, 0x31f51e57224d56b4,
  0x7c57dd7a8f83660d, 0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d,
  0x6cb98b848451cf23, 0x4d2a3608fd6e1bd9, 0x6fc0c4ad7b002a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0,
  0x1738c6f19d102baa, 0xc4922adec5551696, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xed7b88be792bf734,
  0x00000000000004eb,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8ad4e, 0xaab9c1617c4b7777, 0xb2f7856921bbbbbb, 0xafddddc3ec1ea18d, 0x26e0c334678eec7b,
  0xe30120b657793ba6, 0xf7fe48367d7dcc13, 0x4fe6d4faadd3e128, 0xfd60fc368ded51ca, 0x8ffe780160e1ea77,
  0xbac984e7736bf4fd, 0x07acf51c9e9ee580, 0x62c051f3a48e3956, 0x3af47ced5fd1eb0e, 0xe1f6679500ffd99e,
  0x312b5ec1c7c0f2d6, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x0f365118bf9b6248, 0xeda1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8,
  0xa19961d252d9f027, 0xd72b5389f3c95fb9, 0x000000000000000d,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x9f180905b2bbc9dd, 0x7ceff08c73e5d660, 0x527f36a7d56e9f09, 0xc5f5c921b46f6a8e, 0x3441e78016b48fe5,
  0x8f84bf10d8488bee, 0xcf17736bbfcc41fa, 0xf51c9e9ee58cfd64, 0x51f3a48e395607ac, 0x7ced5fd1eb0e62c0,
  0x679500ffd99e3af4, 0x5ec1c7c0f2d6e1f6, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d, 0x67440aeaa72f29b1,
  0xb15545a585ce31bc, 0x5118bf9b624863b7, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185,
  0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000375df81445f,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x2416caef2775b11c, 0xc231cfa5a9827c60, 0xda9f55ba7c2435bf, 0xfc86d1bdaa3949fc, 0x005ad26043bfea8d,
  0x39dcdafd66c87f9e, 0x5f5129dacac7be61, 0xd47c1b306b5fd479, 0x34eb422814c5613f, 0xa426be8c2cb1148b,
  0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e, 0x1895af616744a9a5,
  0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7, 0x079b288c5fcdb124,
  0x7e50d165abcb9357, 0x861539fa9d598f20, 0x07cd0f22678138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x27e19222f9e4afdc,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xdb435e0d173e173e, 0xeaaeb90e9d12dddd, 0x31a713b7276eeeee, 0x2588eee3b413c8fd, 0x5eb227c1b8e35152,
  0x20b657793bb9f680, 0x753cfa6dcc13e301, 0x53eab74f84866ffc, 0xf0da37b547293f9b, 0x02e76706e2faa390,
  0x1b09117dc6883cf0, 0xa92737ff51f097e2, 0x6b736f7ccf17736b, 0xc1ad7f51e57d44a7, 0xa0531584ff51f06c,
  0x30b2c4522cd3ad08, 0x3abb74e23a909afa, 0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484,
  0x859d12a6951b044c, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce,
  0x317f36c490c76f62, 0xb1be2e4d5c1e6ca2, 0xea75663c819a7c68, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0013f132d3ad53c9,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_hw[] = {
  0x776d0d783acdfebe, 0xbbaab9c178fc4b77, 0x8b79356d1b7bbbbb, 0x623c1f777622244f, 0xef2777c7e15a480c,
  0xf4a9827c602416ca, 0x6e9f09029ff871e7, 0x6f6a8e527f36a7d5, 0xa8fd01df2c21e1b4, 0xf7dad1c72ac0d05f,
  0xf47ac398b016594c, 0x3ff6608ebd1f3b57, 0xc0f2cf6c7d99e540, 0x859bf0312b5ec1c7, 0xf00fa8301deb5e73,
  0xeaa72f29b19c2de6, 0xa585ce31bc67440a, 0xcdb1248ab7b15545, 0x93f3fb0ddb288c5f, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x0008e2d38e8a792b,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a2433a31, 0xeeaaf2200ce25bbb, 0x8121e3f5ebeeeeee, 0xa730987f75e475ec, 0xd89b0da02a199bb6,
  0x4f8c0482d95de4ee, 0x2297ff4299fc0930, 0xca4fe6d4faadd3e1, 0x56b4738c368ded51, 0x660d31f51e57224d,
  0x22877c57dd7a8f83, 0xe8c2cb1148b34eb4, 0x6979c571ac9a426b, 0xe74ddb7b4782ce75, 0xcf230e36355ae875,
  0x1bd96cb98b848451, 0x2a254d2a3608fd6e, 0xce166fc0c4ad7b00, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x7f36c4922adec555, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00016f98e242fa79,
};

static const uint64_t ur_m88pb_u2x12_uart0_noled_ce_hw[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x99b426efdf1fbbbb, 0x401b6f8feeee8da2, 0xcaef2776c7b21a6c,
  0xcfc069827c602416, 0x55ba7c241efff0e3, 0xd1bdaa3949fcda9f, 0x17093de77fd7a486, 0x9dcdaebeca2fe780,
  0x6be9ee580b8ce613, 0xda8e3956078cfd47, 0x488ccf1cc580bd23, 0x6e39633c75e2e763, 0x9bf0312b5ec1d435,
  0x8392b01deb5e7385, 0xa96ae5297ce16f37, 0xcf3182169dc5fcdb, 0xfe6da718de33a204, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000310a7d7453c9,
};

// m88pb_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeda1af06890c1107, 0x75575c874e896eee, 0xfd31a7b13b777777, 0x522588eee3b413c8, 0x9157eefdc1b8e351,
  0xc602416caef27753, 0x37ff4299f4db9827, 0x9fcda9f55ba7c243, 0x51c8786d1bdaa394, 0x3cf127212383717d,
  0x97e21b09117dc688, 0xb9b5d2a2e47f51f0, 0xa253b5b9b7be678b, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8,
  0x4d7d185962291669, 0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5,
  0x2b5ec2ce89534a8d, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x365118bf9b624863, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x217d3c95fb9a1996, 0x000000000280bcfc,
};

// m88pb_u2x12_uart0_lednop_pr
static const uint64_t ur_m88pb_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x3e609f180905b2bb, 0x3e12403fcbe0b3e1, 0xd51ca4fe6d4faadd, 0xc9e3be5921c368de, 0xe7a38e55819a4f51,
  0x414e62c05bdd30df, 0x630475e2e760e28e, 0x6256bd856283ee39, 0xd6bcf020270b37e0, 0x400b79bcb750603b,
  0xc05ef9537a94e4a7, 0x78ce8811d4502169, 0xbb65118bf9b69c63, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x4e175e792bf73433, 0x000000000000f905,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8ad4e, 0xbaab9c17d2c4b777, 0x16c1fc7ee63bbbbb, 0xcdf777622244f1ff, 0xc4dc1241198db267,
  0x7c602416caef2774, 0x403fc906cf84f982, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e5581a0bf51ed63,
  0x62c0596537c907e3, 0xebd1f3b2cf4690ce, 0xd059a45403ff6608, 0x12b5ec82b40f2cf6, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x62fe6db9c8ab7b15, 0x637c5c9ab83cd944,
  0xfa9d598f2076d0d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00007c9966e27cf2,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ee[] = {
  0xeeeda1af077b1762, 0xbbbaabc8815b896e, 0x4c2aa18d3da17bbb, 0x7cc261fddddfe2d0, 0x68cfe9a3b3f78bec,
  0x180905b2bbc9dda6, 0x5ff241b3ea7a609f, 0x7f36a7d56e9f0917, 0xa35f21b46f6a8e52, 0xe45f51e5613e6ab5,
  0xef8ae44f51f06cc1, 0x5962291669d68450, 0xbe5c5133484d7d18, 0x761151f3c73ab4bc, 0xeb2c6ab5d0ebd753,
  0xc3918b8484515fd1, 0xbd8b81f7f5b86f65, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xf38b93571b288c5f, 0xf75663c81db43458, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0xa7c54e713e792bf7, 0x0000000000000000,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x02416caef2775b11, 0xfc231cfefb9827c6, 0xcda9f55ba7c24a7b, 0xe7186d1bdaa3949f, 0x63ea3cacca9aad68,
  0xf1587bf51f06cc1a, 0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b,
  0xd973170908a09e46, 0x9e546c11fadc37b2, 0xbf0312b5ec0087d9, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd94462fe6db9c8ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x7cf257ee68665874,
  0x00000009d7bab711,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ce[] = {
  0xddb435e0ef62eff6, 0xeeaae7056a712ddd, 0x50c6bad1a826eeee, 0xa63377770fb0785f, 0xebd731234e99a9b7,
  0x04f8c0482d95de4e, 0x4a037f920d9ffdd3, 0x7293f9b53eab74f8, 0x1dff583f0da37b54, 0xce8e5f9e00583922,
  0x580bac984e7736be, 0x95607acf51fa49ee, 0x0ce62c054c4458e3, 0x678ebd1f3b2cf469, 0xb5b9059a45403ff6,
  0xfc0c4ad7b20ad03c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de,
  0xca2317f36dce18ed, 0x6d0d163ce2e4d5c6, 0xd30ae4fdd598f207, 0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92,
  0x0000005ba9cf9c4f,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x4f8c0482d95de4ee, 0x8e1ff84639f60b30, 0x293f9b53eab74f84, 0xe2fae490da37b547, 0x3441e78016b4952a,
  0x8f84bf10d8488bee, 0x9e2ee6d7adf801fa, 0xea3f493dcb19fac9, 0xa9888b1c72ac0f59, 0xe7659e8d219cc580,
  0x48a807feccf1d7a3, 0xf6415a0796b720b3, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x5c9ab83cd94462fe, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xd7d1c5117cf257ee,
  0x000000000000000d,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x2416caef27747b16, 0x84639fe9f9827c60, 0x6a7d56e9f09757ff, 0xf21b46f6a8e527f3, 0x016b49beceffaa37,
  0xe7736bdc89257e78, 0x7dd4a76b2b1ef984, 0x51f06cc1ad7f51e5, 0xd3ad08a05315edff, 0x909afa30b2c4522c,
  0x9193473abb71ea3a, 0x1aaf1b1d79d3768c, 0xc5c242282791bdab, 0x8d8226470decb65c, 0x6256bd8598fb33ca,
  0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x18bf9b6e70c76f62,
  0xcb579726ae0f3651, 0xf53ab31e40fca1a2, 0x44cf0271a50c2a73, 0x67a615c9f80f9a1e, 0xd252d9f0271964b8,
  0x45f3c95fb9a19961, 0x0000000004fc7adc,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xdb435e0d173e1bc1, 0xeaaeb9012312dddd, 0x1a0b627605eeeeee, 0x2588eee3b413a779, 0x7015dda3bb8247d2,
  0x905b2bbc9dd1d74d, 0x1d4f3eff2609f180, 0x6a7d56e9f09068ff, 0x1e1b46f6a8e527f3, 0x005ced2d5c5f5472,
  0x4361222fb8d1079e, 0xe601ba1fea3e12fc, 0xdadcdbdf33c5dcda, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090,
  0x61663eccf2a36089, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9,
  0xdb9c31dbd8aaa2d3, 0xc9ab83cd94462fe6, 0xc790334f8d1637c5, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x6f0575aa792bf734, 0x000000000000027e,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_hw[] = {
  0xbbb686bc1d66ef3a, 0xddd55ce0be9625bb, 0x3fe2d83ed43ddddd, 0x4cf9beeeec44489e, 0xe4ee82f4135901b6,
  0x9f304f8c0482d95d, 0xa7c24807fe1c79f0, 0xdaa3949fcda9f55b, 0x3dac77cb08786d1b, 0x20fc71cab03417ea,
  0xd219cc580b2ca6f9, 0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xdb288c5fcdb73915, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0xea8a792bf734332c, 0x0000000000004710,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_ee_hw[] = {
  0xbb686bc1a2432493, 0xeeaaf2207ee25bbb, 0x9b200bf6a2eeeeee, 0x4e6130feebc8ebc1, 0x0dc82b4ed50b6976,
  0x9f180905b2bbc9dd, 0x4a7bfe8533fbee60, 0x949fcda9f55ba7c2, 0xad68e7186d1bdaa3, 0xcc1a63ea3cacca9a,
  0x8a1df1587bf51f06, 0xa30b2c4522cd3ad0, 0xa5cf55c6b26909af, 0xce9bb4648c9a39d5, 0x9e46f6ac6ab5d0eb,
  0x37b2d973170908a0, 0x87d99e546c11fadc, 0x3859bf0312b5ec00, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x6e3cd94462fe6db9, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x982205f4f257ee68, 0x000000000000016f,
};

static const uint64_t ur_m88pb_u2x12_uart0_lednop_ce_hw[] = {
  0xbb686bc1a243280b, 0x7755783236225bbb, 0x429b2e3a34f77777, 0x0cc17eeee9932f6b, 0x93bb939eb6b4e376,
  0x2cc13e30120b6577, 0x4f848e1ffd0a67d8, 0xb547293f9b53eab7, 0x552ae2fae490da37, 0x22fb8d1079e24e42,
  0x347ea3e12fc43612, 0x3f5933c5dcdafff0, 0x81eb3d47e927b963, 0x98b0153111638e55, 0x3af47cecb3d1a433,
  0xe416691500ffd99e, 0x312b5ec82b40f2d6, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1, 0xa73f505d8dc79b28, 0xe627ff787bde50c2, 0xc3343c899e07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000759bcaac0be,
};

// m88pb_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_u2x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d78344867f3e, 0xbaabae4048c4b777, 0xbc8d05db13bbbbbb, 0xe912c47771da09d3, 0xaa8bf5d6d1ddc123,
  0xe30120b657793bb1, 0x347fd0a67dfe4c13, 0x93f9b53eab74f848, 0xaa390f0da37b5472, 0x079e24e42496ae2f,
  0x12fc4361222fb8d1, 0x7736bd253397ea3e, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5,
  0x09afa30b2c4522cd, 0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc,
  0x256bd8598fb33ca8, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0x8bf9b6e70c76f62a, 0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000280ae20e17d3,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual[] = {
  0x77777c4993d44511, 0xddddd7ed0044ed5b, 0x0db83d38056b62dd, 0xd914e323bbba7ec2, 0x2590772be67da589,
  0x39827c602416caef, 0xdb4ae22c80094864, 0x8971030a1832bac0, 0xdf3bf32ee2fa774f, 0x51d7dec0a29c1c9c,
  0x142392156071ee6f, 0xf006e1f02bfcc681, 0x88657717bbe2efea, 0x0986fc54219683de, 0x79096dea57fd01cf,
  0xeebfcbe0a60b0de5, 0xa4fe6d4faadd3e12, 0xbe5abfc368ded51c, 0x8e5581a43f51c453, 0x62c05fc39931e923,
  0xebc8b766be46f68e, 0xa4a560fbdc72c608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x016f3796ea0c077a,
  0x0bdf2a6f529c94e8, 0x19d1023a8a042d38, 0x6ca2317f36d38c6f, 0x5727e7f62e4d5c1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00000cb7edd117cf,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr[] = {
  0xef893261ebe7ce7c, 0xbafda00015ab6eee, 0x3ae0fdadd95bbbbb, 0x6477775eb9a57ac5, 0x6da793ec7e0f6414,
  0x2416caef24ddbbb6, 0x8009486439827c60, 0x1832bac0db4ae22c, 0x35aa774f8971030a, 0x3a5381c398a5fe65,
  0xac0ea54dea3a56d8, 0x057f98d022847242, 0x7bbe2efff800dc3e, 0x4219682f88865771, 0x52bfe80e784cf7c5,
  0x0d30586f2bc84b6f, 0x9f55ba7c25dd7f92, 0x86d1bdaa3949fcda, 0x10fea3e453be589a, 0x0f34e2f7c71cab03,
  0xb5ac8ebf9cc580aa, 0xa807fecc11d78033, 0xa4e81e59ed887486, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x1726ae0f365118bf,
  0x98f20669f1a2ce9f, 0x627f2861539fa9d5, 0x1343c899e2e7197e, 0x33d30ae4fc73dffc, 0xe9296cf8138cb25c,
  0xd6a9e4afdcd0ccb0, 0x0000000000a49991,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_u4[] = {
  0x777c4993a2e7ce7c, 0xddd7ed0014ad5b77, 0xb13d38ed68f6dddd, 0xb5c1dddd3f61006e, 0x6cdb4f16a1f9619e,
  0x602416caef259077, 0x2c800948e5a9827c, 0x0a1832bac0db4ae2, 0x6535aa774f897103, 0xd8145383939be77e,
  0x42ac0e3dcdea3afb, 0x3e057f98d0228472, 0x717bbe2ef0b400dc, 0xc54219683de88657, 0xde3dffd01cf0986f,
  0x241a60b0de579096, 0xb53eab74f84b4aff, 0xff0da37b547293f9, 0x0690fd47114ef96a, 0xfe1cd920df8e3956,
  0x6ec4f237b4731602, 0xc13fb8e58c11d791, 0x64fe2af9ddc5494a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c,
  0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0xe4d5c1e6ca2317f3, 0x63c819a7c68b1be2,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x3085bad53c95fb9a, 0x0000000000000149,
};

// m88pb_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_ee[] = {
  0xdddf1264e890cf68, 0x7775fb2d173b56dd, 0x2f2af39db5c77777, 0x9f6626977599b4ea, 0xea75ee1bb113d47d,
  0x416caef251dbb9a3, 0x0252387f9827c602, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0xfc380689b4d7e65d,
  0x03a1f9bd47b1fd87, 0x5fe63408a11c90ab, 0xdf17792500370f81, 0x19681c34432bb8bd, 0xffd01cf099c9c542,
  0xc161bcaf212dbd0f, 0xadd3e12d37fe118c, 0x8ded51ca4fe6d4fa, 0xad7dcd56b4722436, 0xf51f06cc1829ea3c,
  0xcd3ad08a1df15d4a, 0x6909afa30b2c4522, 0xece756973297152e, 0xd743af512ed10a3d, 0x1211408a8f9eb1aa,
  0x47eb70decbe9662e, 0x15250084feb151b0, 0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x8c5fcdb739156f62, 0xee3458df0dc79b28, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x293c95fb9a19961d,
  0x000000002b274f5c,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_ce[] = {
  0x777c4993de7c1a4e, 0xddd7ed00043d5b77, 0x713b2cfbd2afdddd, 0x9b16eeef25b82932, 0x6bb85a27fb82c51a,
  0x0482d95de49a5772, 0x2002522e87304f8c, 0x860caeb036d2b88b, 0x4d6a9dd3e25c40c2, 0x1a6ce115a61adf99,
  0xab0353d37a8fbef6, 0x815fe63408a11c90, 0x5eef8bbc5200370f, 0x50865a06522195dc, 0xa9effa039e137511,
  0x834c161bcaf212db, 0x4faadd3e124adfe4, 0xc368ded51ca4fe6d, 0xc00b9d98f3bfeaf7, 0x09cee6d74b416bf3,
  0x51c6fcf72c05a973, 0x141f238e5581d4bf, 0x76b591d7f398b014, 0xd500ffd99e3af006, 0x552740f2d6e10e90,
  0x6bd93f8abe777152, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x71726ae0f365118b, 0x5663c819a7c68b1e, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0xadb8f75aa792bf73, 0x00000000000000e7,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_ce_u4[] = {
  0x777c4993a2431f02, 0x775fb3d3dfbd5b77, 0xb96257da80777777, 0x2f39dbbbb138dd58, 0xa31166d084c295aa,
  0x0120b6577931c5dc, 0x900129030bcc13e3, 0x430657581b695c45, 0x2ec24ee9f12e2061, 0x00b47031f9866ff3,
  0x55818d69bd474b5b, 0xc0aff31a04508e48, 0x5eef8bbfacc01b87, 0xa10cb41c9a2195dc, 0x35bfe80e784d01a2,
  0x6330586f2bc84b6e, 0x3eab74f84b027f84, 0x0da37b547293f9b5, 0x24e424e96e2faa01, 0x4361222fb8d1079e,
  0x5c527ebfea3e12fc, 0xdcb19f52e678bb9b, 0x39560752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647,
  0xcb5b843a435403ff, 0x2af9ddc549549d03, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0xe3cd94462fe6db9c, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x4ab2ae149e4afdcd,
  0x00000000000000d2,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7777c4993d43573e, 0xdddd7ec5c49bd5b7, 0xb37dd8ebe8fcdddd, 0x55e56ee0ee8f639d, 0x7dd857bd657b807d,
  0x416caef25a73b971, 0x02521d3a9827c602, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0x90e1faf31adfe65d,
  0x076b737a8f003602, 0xbfcc681142392156, 0x7c5de000006e1f02, 0x65a115910caee2f7, 0xff4073c2695d1508,
  0x0586f2bc84b6f6b7, 0x6e9f0958fff84633, 0x6f6a8e527f36a7d5, 0x86b1dff546e4e1b4, 0x5ef0f96bf3c49c84,
  0x3b5959374c273b9b, 0xb306be7a8f2b7f25, 0x22814c5701bd47c1, 0xe8c2cb1148b34eb4, 0x9ceaedc650ea426b,
  0x6c75ea25da2147bd, 0x845022a3e7ac6abc, 0x991c37b2fa598b84, 0xa4a5989fd62a3608, 0x4ad7b27f157ceee2,
  0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x17f36dce18edec55,
  0x1a2c79c371e6ca23, 0x15c9fbab337f0777, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000260963fdc293,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbe24c9d1369fa812, 0x5fb593bebeadbbbb, 0xd7abdeae2f777777, 0xeb74b567db4f7b84, 0xf68ccdd8264ca0a6,
  0xf69dc1f5f8397767, 0xc13e30120b657793, 0x2b88b2002523cf5c, 0xc40c2860caeb036d, 0x2bf32bf689dd3e25,
  0x9f361d66706439a9, 0x7242ac0cd6e6f51d, 0xdc3e057f98d02284, 0x5dc5eef8bbd70400, 0x7c542196818fa219,
  0xb735bffa039e1375, 0xc753982c3795e425, 0xda9f55ba7c25883f, 0x9e86d1bdaa3949fc, 0x24e038337717d51a,
  0x4361222fb8d1079e, 0xea83c83fea3e12fc, 0x6b737374cf17736b, 0x60d7cf51e56fe4a7, 0x50298ae037a8f836,
  0x185962291669d684, 0x9d5db8ca1d484d7d, 0x8ebd44bb4428f7b3, 0x8a04547cf58d578d, 0x2386f65f4b317090,
  0x94b313fac546c113, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400,
  0x2d3574e31bc67440, 0xfe6db9c31dbd8aaa, 0x7c5c9ab83cd94462, 0x5666fe0dfa08d163, 0xf0f7bca1854e7ea7,
  0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x00daf6e4053c95fb,
  0x0000000000000008,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_hw[] = {
  0xeef8932744861a4e, 0xbbafda00015ab6ee, 0x58a75c1dfb5bbbbb, 0x828c8eeeebd734af, 0xb7726bb85efb81ec,
  0x4f8c0482d95de49b, 0x5c459001290c8730, 0x2061430657581b69, 0x2ff32ec24ee9f12e, 0xd2b6c1d29c0e1cc5,
  0x23921560752a6f51, 0x06e1f02bfcc68114, 0x32bb8bddf177ffc0, 0x67be2a10cb417c44, 0x425b7a95ff4073c2,
  0xd7fbf3a982c3795e, 0x9fcda9f55ba7c25d, 0xe589a86d1bdaa394, 0xcab0310fea3e453b, 0x580aa0f34e2f7c71,
  0x78033b5ac8ebf9cc, 0x87486a807fecc11d, 0xe2a4aa4e81e59ed8, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x118bf9b6e722adec, 0x54e7ea0bb1b8f365,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x000000c6ea101617,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_ee_hw[] = {
  0x777c4993a2435202, 0xddd7ecb45ced5b77, 0xbcabce76d71ddddd, 0x7d989a5dd666d3a8, 0x1d6d37cd744f51f6,
  0x905b2bbc9476ee72, 0x00948e1fe609f180, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0xff0e01a26d35f997,
  0xc0e87e6f51ec7f61, 0x57f98d022847242a, 0x77c5de49400dc3e0, 0x865a070d10caee2f, 0xfff4073c26727150,
  0x30586f2bc84b6f43, 0x56e9f0969bff7e75, 0x46f6a8e527f36a7d, 0x56bee6ab5a39121b, 0x7a8f83660c14f51e,
  0x669d68450ef8aea5, 0x3484d7d185962291, 0xf673ab4b994b8a97, 0x6ba1d7a89768851e, 0x0908a04547cf58d5,
  0x23f5b86f65f4b317, 0x8a9280427f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x462fe6db9c8ab7b1, 0x539fa82ec6e3cd94, 0xf313ffbc3def2861,
  0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000aed74f05f,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_ce_hw[] = {
  0xeef89327448618be, 0xeebf67a7bf7ab6ee, 0x72c4afb500eeeeee, 0x5e73b7776271bab1, 0x7775ece0b5e0ab54,
  0xf8c0482d95de4c71, 0x1164004a40c2f304, 0x1850c195d606da57, 0xfccbb093ba7c4b88, 0xd6c02d1c0c7e619b,
  0x921560635a6f51d2, 0xe1f02bfcc6811423, 0x7717bbe2efeb3006, 0x68a8432d07268865, 0xdb8d6ffa039e1340,
  0xdf9d4c161bcaf212, 0xda9f55ba7c25813f, 0x0086d1bdaa3949fc, 0xcf12721274b717d5, 0x7e21b09117dc6883,
  0xe6d77f9883f51f09, 0xfcf72c67d4b99e2e, 0x238e5581d4bf51c6, 0x91d7f398b014141f, 0xffd99e3af00676b5,
  0x40f2d6e10e90d500, 0x3f8abe7771525527, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xbad59417d3c95fb9, 0x0000000000000009,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_ee_ce_hw[] = {
  0x77c4993d4143359b, 0xdd7ec5c49bd5b777, 0x7dd8ebe8fcdddddd, 0xe56ee0ee8f639db3, 0x6614d6bafb807d55,
  0x416caef25a73b878, 0x02521d3a9827c602, 0x0caeb036d2b88b20, 0x849dd3e25c40c286, 0x90e1faf31adfe65d,
  0x076b737a8f003602, 0xbfcc681142392156, 0x7c5de000006e1f02, 0x65a115910caee2f7, 0xff4073c2695d1508,
  0x0586f2bc84b6f6b7, 0xdd3e12b1fff7e753, 0xded51ca4fe6d4faa, 0x0d63bfea8dc9c368, 0xbf59b21fe7893909,
  0x76b2b26e984e7736, 0x660d7cf51e56fe4a, 0x450298ae037a8f83, 0xd185962291669d68, 0x39d5db8ca1d484d7,
  0xd8ebd44bb4428f7b, 0x08a04547cf58d578, 0x32386f65f4b31709, 0x494b313fac546c11, 0x95af64fe2af9ddc5,
  0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x2fe6db9c31dbd8aa,
  0xfa9b0ec6e3cd9446, 0x22678138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0,
  0x00000000075d6c7f,
};

static const uint64_t ur_m88pb_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0x77c4993a28d1880b, 0xebf6b277d7d5b777, 0xb84d7dabdeeeeeee, 0x0a6eb74b567db4f7, 0xb6cd3accdd8264ca,
  0x2bbc9fb4ee127fa6, 0x1e7ae609f180905b, 0x581b695c45900129, 0xe9f12e2061430657, 0x439a92bf32c8354e,
  0x6f51d9f361d66706, 0x022847242ac0cd6e, 0x70400dc3e057f98d, 0xfa2195dc5eef8bbd, 0xe13757c542196818,
  0x5e425b735bffa039, 0xc41ffd46e982c379, 0xa4fe6d4faadd3e12, 0xea8d4f4368ded51c, 0x3cf162fa1219bb8b,
  0x97e21b09117dc688, 0x736ba92737ff51f0, 0xe4a76b737374cf17, 0xf83660d7cf51e56f, 0xd68450298ae037a8,
  0x4d7d185962291669, 0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31,
  0xdc5494b313fac546, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x4462fe6db9c31dbd, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x5cf257ee68665874, 0x000003aea2c85f40,
};

static const uint64_t ur_m88pb_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xe5f059f912609f18, 0x4c4ef9626876695f, 0x248e39560621fd47, 0x4f1cc580b7ba6ea3,
  0xb1823af173b0df46, 0x5e5caad4ac26b71c, 0x54aa35d9d873d59b, 0xace576a96fab39d4, 0xa852552fbd7d10a9,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x17f36c8122adec55, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000002a4fac5d79e,
};

static const uint64_t ur_m88pb_swio10_noled_pr[] = {
  0x1eeeeee87afb1762, 0x2eed55c8a1718947, 0xf5e9ea981c4d8278, 0x35bc2f6dfa548b8e, 0x17f8ff17bb1c7a0b,
  0xf277699a330668ee, 0x7b9827c602416cae, 0x228eceebfc906cfc, 0x6064f7a8f371df2c, 0x0b2ca632a718e395,
  0x8f9d9ef476b1cc58, 0xd67aa01ffb30475e, 0xab555aa07967b770, 0xd76761cf566d7972, 0xdaa5beace75152a8,
  0x54bef5f442a6b395, 0xeb9ed5688af2a149, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xb2048ab7b15545a5,
  0x9357079b288c5fcd, 0x8f2076d0d1674f8b, 0x27f2861539fa9d59, 0x343c899e2e7197e6, 0x3d30ae4fc73dffc1,
  0x9296cf8138cb25c3, 0x4f9e4afdcd0ccb0e, 0x0000000007c9991c,
};

static const uint64_t ur_m88pb_swio10_noled_pr_u4[] = {
  0x1137777768bb1762, 0x4f5bbb5572283225, 0x98ec2fd0e28e3184, 0x7f43bd04ebeb4f13, 0x1dc01b6d22eec441,
  0xcaef277699a335a1, 0x67e449827c602416, 0xf9626876695fe483, 0x39560621fd474c4e, 0xc580b7ba6ea3248e,
  0x3af173b0df464f1c, 0xaad4ac26b71cb182, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0x552fbd7d10a9ace5,
  0xbae7b55a22bca852, 0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0x6c8122adec555169, 0xe4d5c1e6ca2317f3,
  0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x2610b713e792bf73, 0x000000000000001f,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ee[] = {
  0x509bbbbbba88aaac, 0x9b4eed55f85c9089, 0xe85ebd7d267c7fc4, 0x423c8a60d7db260b, 0x4e8666ed04106d05,
  0x2bbc9ddf228ecc4c, 0x3f1ca609f180905b, 0xa3ee8765baff08c7, 0xcbef51e57fba6ab5, 0xef8adfcf51f06cc1,
  0x5962291669d68450, 0xca5c5133484d7d18, 0x765ae8e3239d5a5c, 0x27ac6ab5d0ebd753, 0xc3918b848451d223,
  0x56ab8a97f5b86f65, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0xa97debe8854d672b, 0x973daad115e54292,
  0xbfc46a78629bd677, 0x9d102dc7c5021696, 0xca2317f36d38c6f1, 0xe50d163ce2e4d5c6, 0xd30ae4fdd598f207,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000014f9b5ee22f,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0xba1d995bfc231cfe, 0xbd4795a569aad68f, 0x57f3bd47c1b3072f,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0x288c7c39d5a5e032, 0x6355ae875eba9bb0, 0x18b8484519151f41,
  0x5c135f5b86f65c39, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xef5f442a6b395daa, 0xed5688af2a14954b,
  0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44, 0x7079b288c5fcdb20, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xbe22f9e4afdcd0cc, 0x000000000009d748,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ce[] = {
  0xafcdddddddec53c3, 0x0da3bb5572284844, 0xf17e9bbd790c9871, 0x6ada0b83d936a64c, 0x8c7136104a87bb7e,
  0x5b2bbc9dd23f2eec, 0x1b3e70e609f18090, 0xdff55f076256ff24, 0x936ff3c00b073e71, 0x05d64c273b9b5f76,
  0xc0f05fa8f924f72c, 0xcc580bdd0291c72a, 0xc75e8f9d9ef476b1, 0xdd70d67aa01ffb33, 0x5e5caad556a81e5a,
  0x54aa35d9d873d59b, 0xace576a96fab39d4, 0xa852552fbd7d10a9, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77,
  0x51696d138c6f19d1, 0x2fe6d90218edec55, 0x2c79c5c9ab8d9446, 0xc9fbab31e40eda1a, 0x4a271964b867a615,
  0xfb9a19961d252d96, 0x016eadc7b89f3c95,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ce_u4[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0xc73f6ea609f18090, 0xc5f591076604ff08, 0x6883cf002d6932b5, 0x1f097e21b09117dc,
  0x78bb9b5d2a2e47f5, 0xa8f924f72c67eb26, 0xdd0291c72ac0f05f, 0x9d9ef476b1cc580b, 0x7aa01ffb33c75e8f,
  0xd556a81e5add70d6, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0x2fbd7d10a9ace576, 0xe7b55a22bca85255,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0218edec5551696d, 0xab83cd94462fe6d9, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x595117cf257ee686, 0x0000000000006ebd,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0xce18ecb1fff08c73, 0xc00b5a4b1f3bfea8, 0x273b9b5c92b2a3f3,
  0x56e9653b5958f7cc, 0xfa8f83660d00f51e, 0x669d68450298ae43, 0xd484d7d185962291, 0x291c4273abb77ee1,
  0xb1aaf1b1d79d376d, 0xe62e121142628c45, 0x546c1132386f65b2, 0x6bcb955a9664d57f, 0x8a9546bb3b0e7ab3,
  0x359caed52df5673a, 0x950a4aa5f7afa215, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a,
  0xc5fcdb20431dbd8a, 0x458f38b93571b288, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00534ec7f88be792,
};

static const uint64_t ur_m88pb_swio10_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c92df, 0x2eed55fd4f274489, 0x56bb2d86656c17e6, 0x54006c233122694a, 0x3b13e442cb679218,
  0x9dd51f42157c4db3, 0xa609f180905b2bbc, 0x0ecc41fe3a9e7d0f, 0x0b9de20b8bea8edd, 0x6c2445f71a20f3c0,
  0xe0b87ffd47c25f88, 0xb736f7ccf17736ba, 0x1a01ea3cadd2ca76, 0x05315c87f51f06cc, 0x0b2c4522cd3ad08a,
  0x576efdc3a909afa3, 0xaf3a6eda523884e7, 0x84c5188b6355e363, 0x70decb65cc5c2422, 0x2cc9aafea8d82264,
  0x761cf566d7972ab5, 0x5beace75152a8d76, 0xef5f442a6b395daa, 0xed5688af2a14954b, 0x14a7869de7c5aeb9,
  0xe31bc6744083ba9b, 0x863b7b15545a5b44, 0xe0f365118bf9b640, 0x0cd3e3458df1726a, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xdd6a9e4afdcd0ccb,
  0x00000000009f9b5e,
};

static const uint64_t ur_m88pb_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfe1c79f912609f18, 0xd313be589a1d9a57, 0xc9238e5581887f51, 0x93c731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d76761cf566, 0x6b395daa5beace75, 0x2a14954bef5f442a,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xc5fcdb2048ab7b15, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000008e2fae8a7,
};

static const uint64_t ur_m88pb_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xd68e3d8ecd37ff42, 0x833d7d47959c39aa, 0x43be2b2ebea3e0d9,
  0x616588a459a75a11, 0x7fdcb8d64d2135f4, 0xa6eda523884e7569, 0x28c45b1aad743af3, 0xf65b2e62e1211426,
  0x9aafea8d823f5b86, 0xcf566d7972ab5008, 0xace75152a8d76761, 0xf442a6b395daa5be, 0x688af2a14954bef5,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x9b288c5fcdb2048a, 0x50c2a73f505d8dc7,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x60be9e4afdcd0ccb,
  0x000000000016f805,
};

static const uint64_t ur_m88pb_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0482d95de4ee9ba3, 0xff4299fb75304f8c, 0x656b8beb220ecc09, 0x8bee3441e7893909, 0xb7fa8f84bf10d848,
  0xf5933c5dcdaffae6, 0x782fd47c927b9633, 0x2c05ee8148e39560, 0xaf47cecf7a3b58e6, 0xb86b3d500ffd99e3,
  0x2e556aab540f2d6e, 0x551aecec39eacdaf, 0x72bb54b7d59cea2a, 0x292a97debe8854d6, 0x8b5d73daad115e54,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36c810c76f62aa8, 0xd4176371e6ca2317, 0xffde1ef79430a9cf,
  0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x03acdf087c2fa792,
};

// m88pb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0x51dba1d9883fe853, 0x3cf127212c41717d, 0x97e21b09117dc688,
  0x9b5f541e41ff51f0, 0x653b5b9b7be678bb, 0x83660d00f51e56e9, 0x68450298ae43fa8f, 0xd7d185962291669d,
  0x4273abb77ee1d484, 0xf1b1d79d376d291c, 0x121142628c45b1aa, 0x1132386f65b2e62e, 0x955a9664d57f546c,
  0x46bb3b0e7ab36bcb, 0xaed52df5673a8a95, 0x4aa5f7afa215359c, 0xd75cf6ab4457950a, 0xdd4d8a53c34ef3e2,
  0x2da2718de33a2041, 0xdb20431dbd8aaa2d, 0x05d8dc79b288c5fc, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x050165a50be9e4af,
};

static const uint64_t ur_m88pb_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xf2f82cfbf9304f8c, 0xfc877cb1343b0caf, 0xf7c71cab0310fea3, 0xe80e62c05bdd31ea,
  0x2c608ebc5ced6b23, 0xd7972ab52b39edc7, 0x152a8d76761cf566, 0x01395daa5beace75, 0x956ae97f442a6b81,
  0xd6b9ed5688af2a14, 0xea58594d8b3a03cf, 0x363fc502169ab9d5, 0x17f36d38c6f19d10, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000001520e85d79e,
};

static const uint64_t ur_m88pb_swio10_lednop_pr[] = {
  0x7bbbbbba83d8b562, 0x5ddaab914cc6251c, 0x7b856eac871b04f0, 0xcd6f0b2e3b6e8453, 0x6a60bf8feec71e82,
  0xbc9ddfa706cfddc1, 0x01a609f180905b2b, 0x1147607bff241b3f, 0xb0327bd479c4ef96, 0x0b2ca631e7ac71ca,
  0x1f3b7c88e0f9cc58, 0xfa05403ff6608ebd, 0x55ac0ad03cb3dbde, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954,
  0x4bfa21535c0809ca, 0x6ab4457950a4ab57, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x79b288c5fcdb2ec8, 0x6d0d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0x9bd6dc4f9e4afdcd, 0x000000000000007c,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f17128, 0xfdcc750e2448c227, 0xbfa1de82d790c9f8, 0x198db26635f76220,
  0xcaef2774c4dc1241, 0x67dfc9827c602416, 0xf9626876195fe483, 0x39560621fd47f90e, 0xc580b7ba63d5ef8e,
  0x1d78b9dad647d01c, 0x556a5673db8e58c1, 0x1aecec39eacdaf2e, 0xbb54b7d59cea2a55, 0xd2fe8854d7020272,
  0xdaad115e54292ad5, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0xda718de33a206c7f, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xc9966e27cf257ee6, 0x0000000000000007,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0x3b2397f84639feaf, 0x1e5650e6ab5a38f6, 0x82fa8f83660cf5f5,
  0x91669d68450ef8ad, 0x593484d7d1859622, 0x8d7c39d5a5fe72e3, 0xd56ba1d79d37609e, 0x2e121146488c6fd8,
  0xd823f5b86f65b2e6, 0x2e556a015c359ea8, 0x551aecec39eacdaf, 0x72bb54b7d59cea2a, 0xd5d2fe8854d70202,
  0x73daad115e54292a, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a, 0x5c1e6ca2317f36cb,
  0x81f943459d3e2e4d, 0xca1854e7ea75663c, 0xf22678b9c65f989f, 0xc2b93f1cf7ff04d0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000004ebaec88be,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xfba1d96ebfc231cf, 0xfbd4795c879aad68, 0xc5670fd47c1b3072,
  0xb1148b34eb422877, 0xae2899a426be8c2c, 0x2008d3139d5a5ca2, 0xd6355ae875eba9bb, 0xc8c5c242287bd1da,
  0x55c5c3fadc37b2e1, 0x6761cf566d7972ab, 0xa5beace75152a8d7, 0xf442a6b8101395da, 0x688af2a14956ae97,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x65118bf9b65d9156, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x00000009d7085c45,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8b562, 0x1b4776aae4519089, 0x867ad2f4bdf370e2, 0x6ada0b8392164e00, 0xb7071795b85fbb7e,
  0x6caef2777e9c1b34, 0x6cf9439827c60241, 0x7fd57c1d921ffc90, 0x3fcfcf002c1c3867, 0x05d64c273b9b5f4d,
  0xc0f05fa8e0a4f72c, 0x98b0143da011c72a, 0x1d7a3e76f911c1f3, 0xddbdf40a807feccf, 0x5e5caad605681e5a,
  0x54aa35d9d873d59b, 0x04e576a96fab39d4, 0x55aba5fd10a9ae04, 0xbae7b55a22bca852, 0x417296be74078e56,
  0x14e31bc67440842a, 0x2ec31dbd8aaa2d24, 0xb93571b288c5fcdb, 0x663c81db43458f38, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0xa4e713e792bf7343, 0x0000000000002dd7,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0x73f15a609f180905, 0x5f5910766fbff08c, 0x883cf002d692dd5c, 0xf097e21b09117dc6,
  0x8bb9b5e9299cbf51, 0x8e0a4f72c67eb267, 0xda011c72ac0f05fa, 0x6f911c1f398b0143, 0xa807feccf1d7a3e7,
  0x605681e5addbdf40, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0xd10a9ae0404e576a, 0xa22bca85255aba5f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x288c5fcdb2ec31db, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000dd72ce22f,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x3863b376bfc231cf, 0x002d693768effaa3, 0x39dcdafd1f524fcf,
  0xb2eb29dacac7be61, 0xd47c1b306807a8f2, 0x34eb422814c5652f, 0xa426be8c2cb1148b, 0xe8d7c39d5dbbe70e,
  0x1aaf1b1d79d37609, 0xc5c24228c9118dfb, 0x8d8226470decb65c, 0xf2e556a59dc359ea, 0xa551aecec39eacda,
  0x272bb54b7d59cea2, 0xad5d2fe8854d7020, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xc9ab8d94462fe6d9, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0x0a445f3c95fb9a19, 0x0000000000029a67,
};

static const uint64_t ur_m88pb_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c50e3, 0x2eed55fd4e05c489, 0x76d86d1a78bc17e6, 0x54006c64e466625a, 0xe0ddd382cb679218,
  0x27742c0fb6538594, 0x79827c602416caef, 0x43b2007f8ea79ffd, 0x02e77002e2faa3b7, 0x1b09117dc6883cf0,
  0x9ebf5abf51f097e2, 0x5b9b7be678bb9b5d, 0x0d00f51e565d653b, 0x0298aca5fa8f8366, 0x85962291669d6845,
  0xabb77ce1d484d7d1, 0xaf3a6ec13d1af873, 0x192231bf6355e363, 0xe1bd96cb98b84845, 0xb3b86b3d51b044c8,
  0xd873d59b5e5caad4, 0x6fab39d454aa35d9, 0x10a9ae0404e576a9, 0x22bca85255aba5fd, 0x74078e56bae7b55a,
  0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x88c5fcdb2ec31dbd, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00004fcbab6eb54f,
};

static const uint64_t ur_m88pb_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xff0e3cfbf9304f8c, 0xff21df2c4d0ec32b, 0xbdf1c72ac0c43fa8, 0xfa0398b016f74c7a,
  0xcb1823af173b5ac8, 0xb5e5caad4ace7b71, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0,
  0xf5ae7b55a22bca85, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0xc5fcdb4e31bc6744, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000004710ea8a7,
};

static const uint64_t ur_m88pb_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xd1c7b1d91cbfe853, 0x67afa8f2b287355a, 0x77c56c17d47c1b30,
  0x2cb1148b34eb4228, 0xf3971ac9a426be8c, 0xbb04f46be1cead2f, 0x637ec6ab5d0ebce9, 0x2d973170908a3244,
  0xacf546c11fadc37b, 0x566d7972ab500ae1, 0xe75152a8d76761cf, 0xb8101395daa5beac, 0xa14956ae97f442a6,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8, 0xea0bb1b8f365118b,
  0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0005be6b0417d3c9,
};

static const uint64_t ur_m88pb_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x2416caef2775d92b, 0xfa14cfc569827c60, 0xdd5c5f5910766fbf, 0x5f71a20f3c49c84a, 0xafd47c25f886c244,
  0xac99e2ee6d7bc3e5, 0xc17ea38293dcb19f, 0xc050f680471cab03, 0xe8f9dbe44707ce62, 0xf7d02a01ffb33c75,
  0x72ab5815a0796b76, 0xa8d76761cf566d79, 0x95daa5beace75152, 0xae97f442a6b81013, 0x9ed5688af2a14956,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x0c76f62aa8b49053, 0x71e6ca2317f36cbb, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x33142fa792bf7343,
  0x000000000001d66f,
};

// m88pb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0xa8edd0ec801ff429, 0x1e7893909400b8be, 0x4bf10d8488bee344,
  0xe6d70a47ce5fa8f8, 0x594ed6e6def99e2e, 0xe0d983403d479597, 0x5a1140a62b297ea3, 0x35f4616588a459a7,
  0xbe1ceaeddf387521, 0x78d8ebce9bb04f46, 0x121146488c6fd8d5, 0x1132386f65b2e62e, 0x2ab52cee1acf546c,
  0x8d76761cf566d797, 0x5daa5beace75152a, 0xe97f442a6b810139, 0xed5688af2a14956a, 0xa5af9d01e395aeb9,
  0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36cbb0, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xe402fa792bf73433, 0x0000000000014056,
};

// m88pb_swio10_dual_pr
static const uint64_t ur_m88pb_swio10_dual[] = {
  0x45ddddddde7c92df, 0xb36b5fb0d7d95ab3, 0x2debbd8e3e45a59f, 0x4adfd357c7683716, 0x610ce73d6dd68b64,
  0x3853b947d086e713, 0xcc13e30120b65779, 0xb4ae22c800948044, 0x971030a1832bac0d, 0x8a2fe6535aa774f8,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xf80370f815fe6340, 0x4432bb8bddf177d6, 0xc26b5a2a10cb4232,
  0x5e425b72ebff4073, 0x952bfc906982c379, 0x5f51e443be587c1d, 0x9bf71951c72ac0c4, 0x38a37bce62c05507,
  0x01ffb30475e00ced, 0x8607967b6b5e0faa, 0x67f157ceee2a4b7f, 0x9d873d59b5e5caad, 0x96fab39d454aa35d,
  0xd10a9ae0404e576a, 0xa22bca85255aba5f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6d976455b, 0x1a2c79c5c9ab83cd, 0xae4fdd598f20669f, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0000310b1fdd6a9e,
};

static const uint64_t ur_m88pb_swio10_dual_pr_u4[] = {
  0x8bbbbbbb44865c93, 0x66d6bf61afb2b566, 0xd2c5bb1c7c8b4b3f, 0xc895bfa6af8ed06e, 0xe4c219ce7adbad16,
  0x4e14ee19c5c5badd, 0x3304f8c0482d95de, 0x6d2b88b200252011, 0x25c40c2860caeb03, 0x98a2fe65d849dd3e,
  0xf51e3dec1fc382fb, 0x08a11c90ab03eea6, 0x6f80370f815fe634, 0x24432bb8bddf177d, 0x3c26b5a2a10cb423,
  0x95e425b72ebff407, 0xd952bfc231982c37, 0x45f51e443be587c1, 0x79bf71951c72ac0c, 0xd38a37bce62c0550,
  0xa01ffb30475e00ce, 0xf8607967b6b5e0fa, 0xd67f157ceee2a4b7, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35,
  0xfd10a9ae0404e576, 0x5a22bca85255aba5, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xd94462fe6d976455, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343c899e0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xfae149e4afdcd0cc, 0x00000000002926bc,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x8dad7ec0bebbf567, 0xbee377ed1da32313, 0x2a0d80a4d740362f, 0x79328bfd28d37645,
  0xee78233ae3fa9d13, 0xf180905b2bbc9e4a, 0x22c8009484e3e609, 0x30a1832bac0db4ae, 0xf997612774f89710,
  0x5b604e8e096a60b5, 0xc90ab03d3737a8e3, 0x70f815fe63408a11, 0x7717bbe2ef548803, 0xb8a8432d05f68865,
  0xb74dbffa039e1307, 0xc231982c3795e425, 0x6ab5a328a3b287ff, 0x3660ccaf51e57bee, 0x8450ef8aedd7a8f8,
  0x7d185962291669d6, 0x697286b8a973484d, 0xea25da3da3d28e75, 0x4011a636355ae875, 0x1bd97d2cc5c24228,
  0x14656b2a3608fd6e, 0xd67f157ceee2a4a0, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0xfd10a9ae0404e576,
  0x5a22bca85255aba5, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd94462fe6d976455,
  0x83bb8d165abc6e3c, 0x2861539fa9d599bf, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x5641d16e149e4afd,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ee_u4[] = {
  0xc1bb777776890c86, 0x0d9b5afd817efdea, 0x56d77ee8f6b0c8ce, 0x37333e9cecb6c5e3, 0xc50b201a2ff4a34c,
  0x3f4ddddd8dd9683c, 0xcc13e30120b65779, 0x695c4590012909c7, 0x2e2061430657581b, 0xc4ebf32ec24ee9f1,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0x2006e1f02bfcc681, 0x88657717bbe2ef67, 0x09a448a8432d08f6,
  0xf212dba6dffd01cf, 0x43ffe118cc161bca, 0x5b059aad68dfc1d9, 0xd47c1b30613fd479, 0x34eb422877c5721f,
  0xa426be8c2cb1148b, 0xc73ab4bb935c20b9, 0xe875ed62769c51cd, 0x8450b5d1c656355a, 0x7d6e1bd971f18b84,
  0xe2af9ddc549571d2, 0x0e7ab36bcb955acf, 0xf5673a8a9546bb3b, 0x1535c0809caed52d, 0x57950a4ab574bfa2,
  0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0x78ce881b1fe2810b, 0xf365118bf9b69c63, 0xdfc1ddc68b1be1b8,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x40ab852792bf7343, 0x00000000000002b2,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ce[] = {
  0x725ddddddde7ce7c, 0x4536b5fb0d72c5ab, 0x2fd75bd323705a2d, 0x8d0b8e25a8e700aa, 0xccfb4fb3adbbc97c,
  0x717bbb66da7ab88f, 0x9827c602416caef2, 0xd2b88b2002523541, 0x5c40c2860caeb036, 0x2ebf994d6a9dd3e2,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x80370f815fe63408, 0x432bb8bddf1779ad, 0x4cb5e2a10cb43244,
  0xc84b6fbeffe80e78, 0xe1ff920d30586f2b, 0xe765d4effacdc3b0, 0xb9b5dfe620fcf002, 0x7d3dcb01438cc273,
  0xa8e395606b3fd479, 0x88c6f9cc580b1ef4, 0xe39633c75e45bb64, 0x2af9ddc549475196, 0xe7ab36bcb955acfe,
  0x5673a8a9546bb3b0, 0x535c0809caed52df, 0x7950a4ab574bfa21, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x8bf9b65d863b7b15, 0x1e71726ae0f36511, 0xf75663c819a7c68b, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x0e7af9c75aa792bf,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x929b5afd8b8d6b56, 0x99bddeeb4e375d3b, 0xc8efe9c0b1d7cfb4, 0xd4e900d57c6add89,
  0xf26a2bb9e08ce9c2, 0x649827c602416cae, 0x1b695c4590012901, 0xf12e206143065758, 0xdcda6ff32ec24ee9,
  0x6f51d4f6c32b1c37, 0x81142392156065d6, 0xa4a006e1f02bfcc6, 0x9e88657717bbe2ef, 0xcf09a718a8432d00,
  0xe579096dd2d7fd01, 0x765baff08c660b0d, 0x49c84b4ddc5f5ee8, 0x86c2445f71a20f3c, 0x7b9124afd47c25f8,
  0x72c6787199e2ee6d, 0xe5581acff51e5f4f, 0xbe731602c7bd2a38, 0x8cf1d7916ed92231, 0x77715251d465b8e5,
  0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x020272bb54b7d59c, 0x292ad5d2fe8854d7, 0x2b5d73daad115e54,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x000692042ee149e4,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ee_ce[] = {
  0xdb2b77777750cf68, 0xc31b5afdb8f8ce6a, 0xda57bddcfb67cd8a, 0x7da29410f225c2c2, 0x7f9b4d9b7a74cf65,
  0xbb9a3ea74704dd9c, 0x7c602416caef26c4, 0x1164004a411eb982, 0x1850c195d606da57, 0xfccbb093ba7c4b88,
  0xd1b0d34707f93620, 0xc90ab03b1f9bd470, 0x70f815fe63408a11, 0xee2f77c5deedd803, 0xf150865a0c1510ca,
  0x6fd83ff4073c2690, 0x846330586f2bc84b, 0xdff547810765adff, 0xba1fe78939095ad9, 0xc9ba6139dcdae601,
  0xd7a8f2bcad29daca, 0xc572bbd47c1b307d, 0xb1148b34eb422814, 0xb8a18ea426be8c2c, 0x89768f68f4a39d5d,
  0x08d31b1aaf1b1d7a, 0xecbe9662e1211420, 0x195aca8d8226470d, 0x9fc55f3bb8a92967, 0x761cf566d7972ab5,
  0x5beace75152a8d76, 0x442a6b8101395daa, 0x88af2a14956ae97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af,
  0x62aa8b490538c6f1, 0xa2317f36cbb0c76f, 0x7771a2c79c371e6c, 0x7a615c9fbab337f0, 0x252d9f0271964b86,
  0x293c95fb9a19961d, 0x000000009822a75c,
};

static const uint64_t ur_m88pb_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xad7ed50feafab46a, 0x787b5a2af9c4758d, 0x3eec106732628c74, 0x160cd19c6a2d4d89,
  0xf18502da2e2caf6e, 0x57792529dda41b69, 0x13c9cc13e30120b6, 0xc0db4ae22c800948, 0x4f8971030a1832ba,
  0xfa6c6efccafda277, 0xdea3e20d835d9c10, 0x022847242ac0f4d4, 0xad400dc3e057f98d, 0xa4432bb8bddf177f,
  0xf0994f454219685b, 0x5e425b766fffd01c, 0x8293fc753982c379, 0x1c149717d51ece1d, 0x9117dc6883cf1270,
  0x7807f51f097e21b0, 0xb886678bb9b5fd6a, 0x5f51e5650e53b5b9, 0x8ad82fa8f83660cf, 0x62291669d6845029,
  0x74871d484d7d1859, 0x6276ee9182873abb, 0x47916c6abc6c75ed, 0xb2e3e3170908a26e, 0x71525c6319191c37,
  0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0x97618edec5551692, 0x9ab83cd94462fe6d, 0xfe0dfa08d1637c5c,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x5ee4053c95fb9a19, 0x0000000000040024,
};

static const uint64_t ur_m88pb_swio10_dual_hw[] = {
  0x17777776890c0668, 0xcdad7ec35f656acd, 0xa58b7638f916967e, 0x912b7f4d5f1da0dd, 0x3f84339cf5b75a2d,
  0xef270a7703eb04de, 0x0899827c602416ca, 0x81b695c459001290, 0x9f12e20614306575, 0x7dcc517f32ec24ee,
  0x537a8f1ef60fe1c1, 0x1a04508e485581f7, 0xbeb7c01b87c0aff3, 0x11922195dc5eef8b, 0x039e135ad150865a,
  0x1bcaf212db975ffa, 0xc1d952bfdf9d4c16, 0x0c45f51e443be587, 0x5079bf71951c72ac, 0xced38a37bce62c05,
  0xfaa01ffb30475e00, 0xb7f8607967b6b5e0, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa,
  0xa5fd10a9ae0404e5, 0xb55a22bca85255ab, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x3cd94462fe6d9764, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x9f05f4f257ee6866, 0x000000000018dd57,
};

static const uint64_t ur_m88pb_swio10_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0x6d6bf605f5dfab3b, 0xf71bbf68ed19189c, 0x506c0526ba01b17d, 0xc9945fe9469bb229,
  0x5774b235d74ab09b, 0x4f8c0482d95de4f2, 0x71164004a4271f30, 0x81850c195d606da5, 0xafccbb093ba7c4b8,
  0x1adb0274704b5305, 0x8e485581e9b9bd47, 0x1b87c0aff31a0450, 0x2bb8bddf177aa440, 0x3dc54219682fb443,
  0x2dba6dffd01cf098, 0xfdf9d4c161bcaf21, 0xe6ab5a328a3b287f, 0x83660ccaf51e57be, 0x68450ef8aedd7a8f,
  0xd7d185962291669d, 0x5697286b8a973484, 0x5ea25da3da3d28e7, 0x84011a636355ae87, 0xe1bd97d2cc5c2422,
  0x014656b2a3608fd6, 0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x5fd10a9ae0404e57,
  0x55a22bca85255aba, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xcd94462fe6d97645,
  0x430a9cfd4bd5c6e3, 0x44cf1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00002bb43a285f4f,
};

static const uint64_t ur_m88pb_swio10_dual_ce_hw[] = {
  0x99eeeeeed121a5fb, 0x136b5fb17144fd59, 0xd421dd3b4d3ae089, 0x16b04a5557badc6a, 0xb2b8a6bd8beeb338,
  0xe4ae3774b235d74a, 0x95304f8c0482d95d, 0x6da571164004a45c, 0xc4b881850c195d60, 0x531c1fccbb093ba7,
  0xbd47b75b0d9c708e, 0x04508e485581e049, 0x41c01b87c0aff31a, 0xb4432bb8bddf177b, 0xf09827c542196807,
  0xaf212dbd8fffd01c, 0x835bfdf9d4c161bc, 0xe424706e2fa98f1d, 0x61222fb8d1079e24, 0x545c8fea3e12fc43,
  0x633ea5ccf17736ba, 0x560770fd47ea27b9, 0x9cc580b52bba8e39, 0x78ebc019da7146f7, 0x5b96bc1f5403ff66,
  0xe7771525bfc303cb, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x7020272bb54b7d59, 0x4292ad5d2fe8854d,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6d97618edec5551, 0xa82ec6e3cd94462f,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00013753205f4f25,
};

static const uint64_t ur_m88pb_swio10_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0x0c6d6bf6e3e339ab, 0x695ef773ed9f362b, 0xf68a5043c8970b0b, 0xfe6d366de9d33d95,
  0x977390eb69be6bf1, 0x4f8c0482d95de4d8, 0xe22c80094823d730, 0x030a1832bac0db4a, 0x1f997612774f8971,
  0x1a361a68e0ff26c4, 0x3921560763f37a8e, 0x6e1f02bfcc681142, 0x5dc5eef8bbddbb00, 0x1e2a10cb4182a219,
  0x6dfb07fe80e784d2, 0xefcea60b0de57909, 0x77fd51e041d96b7f, 0xba3ff9e24e4256b6, 0x59374c273b9b5d9c,
  0xbaf51e5795a53b59, 0x98ae577a8f83660f, 0x962291669d684502, 0xb71431d484d7d185, 0x512ed1ed1e9473ab,
  0x011a636355e363af, 0xbd97d2cc5c242284, 0xe32b5951b044c8e1, 0xb3f8abe77715252c, 0xcec39eacdaf2e556,
  0x4b7d59cea2a551ae, 0xe8854d7020272bb5, 0xd115e54292ad5d2f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0x94462fe6d97618ed, 0xa615c9f9fd86e3cd, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x000000089a6a9c17,
};

static const uint64_t ur_m88pb_swio10_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xdad7ed50d717ab27, 0xc16ea0175b39db28, 0xd6dfbebdf1fc1f6b, 0x6d3c0cd19a7df5d9,
  0xafc1cb7fb428c5c8, 0x905b2bbc9b0cee0f, 0x025229f86609f180, 0x0caeb036d2b88b20, 0x6a9dd3e25c40c286,
  0x8e1d8335e1fe6590, 0xf104dea3a1f6c31b, 0xf98d022847242ac0, 0x177c46200dc3e057, 0x684724432bb8bddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbdc8ff, 0x08ec35bffea374c1, 0x2fa1235bb8bea8ce, 0xb09117dc6883cf16,
  0x82e1fff51f097e21, 0xdcdcdd33c5dcdaeb, 0x7dd7a8f2bcad29da, 0x14c572bbd47c1b30, 0x2cb1148b34eb4228,
  0x5db8a18ea426be8c, 0x7a89768f68f4a39d, 0x2008d31b1aaf1b1d, 0x0decbe9662e12114, 0x67195aca8d822647,
  0xb59fc55f3bb8a929, 0x76761cf566d7972a, 0xaa5beace75152a8d, 0x7f442a6b8101395d, 0x5688af2a14956ae9,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36cbb0c7, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xa02e792bf734332c,
  0x0000000075d48f27,
};

// m88pb_swio12_noled
static const uint64_t ur_m88pb_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0xe0b3f1ee609f1809, 0x9df2dd00eceebfcb, 0x1c72ac0ebffa8e98, 0x398b016f74c800f9,
  0x823af173b7488c9e, 0xb955a95821f71cb1, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0x92b637afa215359c,
  0xfad73daad115e542, 0xa9d4e02ca54fa779, 0x023cbc5021696173, 0x317f36d38c6f19d1, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x0000001525b85d79,
};

// m88pb_swio12_noled_pr
static const uint64_t ur_m88pb_swio11_noled_pr[] = {
  0x0b77777507b128ae, 0xb55722950e25713a, 0x4f5fb1a0b609e0bb, 0xc1c436c66cf7a7b6, 0xfcc6b4ddb89d059a,
  0x4ee9a58e38bc4882, 0xf304f8c0482d95de, 0x63b36fff920d9f31, 0x1935ea382877cb6f, 0x965307b40238e558,
  0xcec98a3114e62c05, 0x79500ffd9823af47, 0x6a844c0f2cf6ed62, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a,
  0x8debe8854d672bb5, 0xcf6ab4457950a4ad, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da,
  0x57079b288c5fcdb6, 0x2076d0d165abcb93, 0xd2861539fa9d598f, 0xfc07cd0f22678138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x03e4f085c4f9e4af,
};

// m88pb_swio12_noled_pr_u4
static const uint64_t ur_m88pb_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8bf82, 0xeed55c8a50912d48, 0x50f4d06e246113d6, 0x0ee38f522f892e3b, 0x99fa5f17bba905fd,
  0xf27757189153706c, 0x7b9827c602416cae, 0xd00eceebfc906cfc, 0xc0ebffa8e989df2d, 0x16f74c800f91c72a,
  0x173b7488c9e398b0, 0x95821f71cb1823af, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb, 0x7afa215359caed52,
  0xdaad115e54292b63, 0x02ca54fa779fad73, 0xc5021696173a9d4e, 0x6d38c6f19d1023cb, 0xe4d5c1e6ca2317f3,
  0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x4d22f713e792bf73, 0x000000000000003e,
};

// m88pb_swio12_noled_pr_ee
static const uint64_t ur_m88pb_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0x1d9b3bfc231cf9c1, 0x8f2b2eb355ad198f, 0x52fd47c1b307d47a,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47f21cead2ee4d71, 0x355ae875e74dd8f5, 0xc5c242288851ef76,
  0x1b047eb70decb65c, 0x7972ab500ba0e795, 0x52a8d76761cf566d, 0x395daa5beaece751, 0x85256c6f5f442a6b,
  0xf16bae7b55a22bca, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0xfe6db0862adec555, 0x7c5c9ab83cd94462,
  0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e44cf1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x15117cf257ee6866, 0x0000000000009d78,
};

// m88pb_swio12_noled_pr_ee_u4
static const uint64_t ur_m88pb_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0x8ec95dfe118e7f67, 0x4795fce9aad68f6f, 0x74bea3e0d9839c7d,
  0xa459a75a1143be2b, 0x44cd2135f4616588, 0x8d6b9cead2ebed71, 0xab5d0ebd7537697c, 0xb8484503e23e92c6,
  0x741f5b86f65c3918, 0x1cf566d7972ab55c, 0xaece75152a8d7676, 0xf442a6b395daa5be, 0x5a22bca85256c6f5,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0xcd94462fe6db0862, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x17cf257ee6866587, 0x00000000275d3411,
};

// m88pb_swio12_noled_pr_ce
static const uint64_t ur_m88pb_swio11_noled_pr_ce[] = {
  0xad5b777777b128ae, 0xa3bb557228b4448d, 0xde9fbda13778710d, 0xda08c9a9bc77b6cd, 0x2256d90f1fba6d6a,
  0x57793ba69638b451, 0x7cbacc13e30120b6, 0xeb370ecf9dfe4836, 0xd7e780160e3a53bf, 0xeb26139dcdae1a34,
  0x6b3fd475f27b9602, 0xb0176fcbe8e39560, 0xbd1f3b2628c45398, 0xb589e5403ff6678e, 0x2e556a844c0f2d6e,
  0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a, 0xa4ad8debe8854d67, 0x2d75cf6ab4457950, 0x1dd4d8a53c34ef3e,
  0xd2da2718de33a204, 0x9b6c2131dbd8aaa2, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0x5bae36e27cf257ee,
};

// m88pb_swio12_noled_pr_ce_u4
static const uint64_t ur_m88pb_swio11_noled_pr_ce_u4[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0x5ee876656ff08c73, 0x3cf002d692575c5f, 0x97e21b09117dc688,
  0xb9b5d90e92bf51f0, 0xbe4f72c67eb2678b, 0x7d1c72ac0d67fa8e, 0xc5188a731602edf9, 0x07feccf1d7a3e764,
  0x8981e5add6b13ca8, 0x873d59b5e5caad50, 0xabb39d454aa35d9d, 0x7d10a9ace576a96f, 0x5688af2a1495b1bd,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0xe6ca2317f36d8426, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x8be792bf734332c3, 0x00000000375d22f8,
};

// m88pb_swio12_noled_pr_ee_ce
static const uint64_t ur_m88pb_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0x4760cdff84639f4d, 0x5ad20cd9dff5465d, 0xb9b5d9cba3ff9e00,
  0x1e53b5958f7cc273, 0xf83660f4af51e572, 0xd68450298ace1fa8, 0x4d7d185962291669, 0xfc873abb73931d48,
  0xaf1b1d79d3763d51, 0xe121144428f7bb1a, 0xc1132386f65b2e62, 0x5caad4b3e839e546, 0xaa35d9d873d59b5e,
  0x576a96fabb39d454, 0x495b1bd7d10a9ace, 0x5aeb9ed5688af2a1, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408,
  0x36d84263b7b15545, 0xce2e4d5c6ca2317f, 0xdd598f207e50d163, 0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251,
  0xd317ee22f9e4afdc, 0x0000000000000014,
};

// m88pb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m88pb_swio11_noled_pr_ee_ce_u4[] = {
  0x0addddda2e7c4541, 0xbb557f53323125a3, 0xaf5b5a583305f98b, 0x002b68ee0dae3765, 0x0be4a165b3d68c2a,
  0x750093738b0f8374, 0x827c602416caef27, 0xb2b7ffc753cf8a49, 0xceeb7ee2faa3d363, 0x1222fb8d1079e005,
  0x8cf5fea3e12fc436, 0x9b7be678bb9b5c2c, 0x4af51e5721e53b5b, 0x98ace1fa8f83660f, 0x962291669d684502,
  0xb73931d484d7d185, 0x9d3763d51fc873ab, 0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238,
  0x873d59b5e5caad4b, 0xabb39d454aa35d9d, 0x7d10a9ace576a96f, 0x5688af2a1495b1bd, 0xa7869de7c5aeb9ed,
  0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0xe6ca2317f36d8426, 0xa7c68b1be2e4d5c1, 0x854e7ea75663c819,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xd53c95fb9a19961d,
  0x000000013f1e6dba,
};

// m88pb_swio12_noled_hw
static const uint64_t ur_m88pb_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x38f3f1ee609f1809, 0x277cb7403b3baffc, 0x471cab03affea3a6, 0x8e62c05bdd32003e,
  0x608ebc5cedd22327, 0x2e556a56087dc72c, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a, 0xa4ad8debe8854d67,
  0x7eb5cf6ab4457950, 0xea75380b2953e9de, 0x408f2f14085a585c, 0x8c5fcdb4e31bc674, 0x4c2b93f3fb0ddb28,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000000004715ba8a,
};

// m88pb_swio12_noled_ee_hw
static const uint64_t ur_m88pb_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0x68cc78ecd9dff429, 0x3ea3d47959759aad, 0x3be2b297ea3e0d98,
  0x16588a459a75a114, 0x726b8d64d2135f46, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0x65b2e62e12114442,
  0x073ca8d823f5b86f, 0x7ab36bcb955a805d, 0x673a8a9546bb3b0e, 0x215359caed52df57, 0x115e54292b637afa,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xca2317f36d843156, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x000000000b7ff34c,
};

// m88pb_swio12_noled_ce_hw
static const uint64_t ur_m88pb_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x16caef2774a70f6d, 0x14cfe9b9827c6024, 0x5c5f5ee876656ffa, 0x71a20f3c49c84a57, 0xd47c25f886c2445f,
  0x99e2ee6d7ec1bc3f, 0xfea3af93dcb19fac, 0xbb7e5f471cab0359, 0xf9d93146229cc580, 0x4f2a01ffb33c75e8,
  0xab542260796b75ac, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x6c6f5f442a6b395d, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0x61098edec5551696, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x9b27e10be9e4afdc,
  0x0000000000000075,
};

// m88pb_swio11_noled_ee_ce_u4_hw    m88pb_swio12_noled_ee_ce_hw       m88pb_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x1e9b1d95bfff4299, 0x9e24e4255bf717d5, 0xfc4361222fb8d107,
  0x6b9b76148fea3e12, 0xa76b736f7ccf1773, 0x6cc1e95ea3cae43c, 0x08a053159c3f51f0, 0xfa30b2c4522cd3ad,
  0x0e7576e7263a909a, 0x363af3a6ec7aa3f9, 0x42288851ef76355e, 0x26470decb65cc5c2, 0x55a967d073ca8d82,
  0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xb637afa215359cae, 0xd73daad115e54292, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0xec6e3cd94462fe6d, 0xc3def2861539fa82, 0x4cf03f8cbf313ffb,
  0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x8087ab85f4f257ee, 0x0000000000000002,
};

// m88pb_swio12_lednop
static const uint64_t ur_m88pb_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xbe0b3f01a609f180, 0x43be5ba01d81effc, 0x638e5581d7ff51f2, 0x8731602dee9ba84c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x5e97f442a6b81013,
  0xcf6ab4457950a4ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0xcdb4e31bc67440a2, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x000a93eb175e792b,
};

// m88pb_swio12_lednop_pr
static const uint64_t ur_m88pb_swio11_lednop_pr[] = {
  0x05bbbbba83d8ad4e, 0xdaab91485f12b89d, 0x486df987db04f05d, 0x60e2a8636cbde15a, 0x763dd7eedc4e82cd,
  0x9dd31370619a33c7, 0xe609f180905b2bbc, 0xc7647bff241b3ebe, 0x326bd47400ef96de, 0x96533f9d4471cab0,
  0x9db244637ce62c05, 0x22a01ffb30475e8f, 0xacbb503cb3db83fd, 0xb3b0e7ab36bcb955, 0x2df57673a8a9546b,
  0xa21535c0809caed5, 0xa22bca852572f4bf, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6db18c55b, 0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6,
  0x587494b67c09c659, 0xd4e27cf257ee6866, 0x000000000003e4ca,
};

// m88pb_swio12_lednop_pr_u4
static const uint64_t ur_m88pb_swio11_lednop_pr_u4[] = {
  0x05ff777768bb1762, 0xdddaab914ad225a9, 0xb0bf70f8da0c227a, 0xf43b8e3da1377e63, 0xdc01b6f8feeea417,
  0xaef277699a335a11, 0xfc069827c602416c, 0x5ba01d81effc906c, 0x5581d7ff51f243be, 0x602dee9ba84c638e,
  0x5e2e761151f48731, 0xb52b305ee3963047, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0xf442a6b8101395da,
  0xb4457950a4ae5e97, 0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc67440a2fa28, 0x57079b288c5fcdb4,
  0xe40eda1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x42dc4f9e4afdcd0c, 0x0000000000007c98,
};

// m88pb_swio12_lednop_pr_ee
static const uint64_t ur_m88pb_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xe3b06b7f84639f4b, 0x51e56c166ab5a331, 0xd4f7a8f83660fa8f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x88e6e39d5a5dd2ae, 0xc6ab5d0ebce9bb48, 0x98b848450be238ca,
  0xa3608fd6e1bd96cb, 0xaf2e556a015ac4f2, 0x2a551aecec39eacd, 0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020,
  0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0x6ae0f365118bf9b6,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x000000009d732445,
};

// m88pb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m88pb_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xdf1d835bfc231cfa, 0xfa8f2b90f355ad1e, 0x57fbbd47c1b30738,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0x488d3139d5a5e032, 0x6355ae875eba9bb6, 0x18b84845107d1dad,
  0xb8c17f5b86f65c39, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x854d7020272bb54b, 0x8af2a1495cbd2fe8,
  0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x378ce88145f45021, 0x0f365118bf9b69c6, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xc45f3c95fb9a1996, 0x00000000013ae917,
};

// m88pb_swio12_lednop_pr_ce
static const uint64_t ur_m88pb_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8ad4e, 0xd1ddaab914362246, 0x5e8d3df169143886, 0x6d0464d685365c5a, 0x666ec1982fdd36b5,
  0x57793ba626e0ae34, 0x7d82cc13e30120b6, 0xeb370ec387fe4836, 0xdfe780160e1753bf, 0xac984e7736bcedda,
  0x59fea3cbe9ee580b, 0xc058f7a5471cab03, 0xe8f9db244637ce62, 0x3fd22a01ffb33c75, 0xe556b2ed40f2d6e8,
  0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb, 0xa5af9d01e395aeb9,
  0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x5c6ca2317f36d8c4, 0x2076d0d163ce2e4d, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xc4f9e4afdcd0ccb0, 0x0000000000b75e71,
};

// m88pb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m88pb_swio11_lednop_pr_ce_u4[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xf5ee8765baff08c7, 0x83cf002d6934ddc5, 0x097e21b09117dc68,
  0xbb9b5c92b2a3f51f, 0xe5f4f72c67eb2678, 0xd2a38e5581acff51, 0x92231be731602c7b, 0x00ffd99e3af47ced,
  0x76a0796b741fe915, 0x61cf566d7972ab59, 0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x18bf9b6c6263b7b1, 0x58df1726ae0f3651,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000dd7085c45f3c,
};

// m88pb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m88pb_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0x51d81a3fc231cfbf, 0x0b5a40d077fd5197, 0xee6d76838227f3c0,
  0x4b94ed6563df309c, 0x3e0d983d2bd47959, 0x75a1140a62b287ea, 0x135f4616588a459a, 0x7371ceaedce94752,
  0xabc6c75e74dda444, 0xb848450be238cac6, 0xb044c8e1bd96cb98, 0x972ab52ced627951, 0x2a8d76761cf566d7,
  0x95daa5beaece7515, 0x5e97f442a6b81013, 0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x263b7b15545a4829, 0x6ae365118bf9b6c6, 0x7903f2868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xf117cf257ee68665, 0x0000000000a69b71,
};

// m88pb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m88pb_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c1a4e, 0xbb557f53667125a3, 0xa02b6859bb05f98b, 0x002b66451dd33b0d, 0xba976165b3d68c2a,
  0xd4d770b499ee0a51, 0x09f180905b2bbc9d, 0x887dfe3a9e7fb066, 0x7687d717d51e9b1d, 0x9117dc6883cf002e,
  0xb92bf51f097e21b0, 0xb7be678bb9b5e3ee, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029,
  0x73a51d484d7d1859, 0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386,
  0x73d59b5e5caad4b3, 0xbb39d454aa35d9d8, 0x9ae0404e576a96fa, 0xe54292b97a5fd10a, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0x2fe6db1898edec55, 0x37c5c9ab83cd9446, 0x4eacc790334f8d16,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x013f2aca75aa792b,
};

// m88pb_swio12_lednop_hw
static const uint64_t ur_m88pb_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xc38f3f01a609f180, 0x90ef96e807607bff, 0x18e3956075ffd47c, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x97a5fd10a9ae0404,
  0x73daad115e54292b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0000238beba29e4a,
};

// m88pb_swio12_lednop_ee_hw
static const uint64_t ur_m88pb_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0xb4663c760d6ffa14, 0x1f51ea3cad82cd56, 0x1df15a9ef51f06cc,
  0x0b2c4522cd3ad08a, 0xba55c6b26909afa3, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0xb2d973170908a17c,
  0x589e546c11fadc37, 0x3d59b5e5caad402b, 0xb39d454aa35d9d87, 0xae0404e576a96fab, 0x54292b97a5fd10a9,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x7f36d8c62adec555, 0xfd4176371e6ca231,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000b7c6a702fa79,
};

// m88pb_swio12_lednop_ce_hw
static const uint64_t ur_m88pb_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x0b657793baf5a716, 0x0a67e394c13e3012, 0xee2faf743b2dd7fd, 0xb8d1079e24e425a6, 0xea3e12fc4361222f,
  0x4cf17736bcc333e7, 0xfea3cbe9ee58cfd6, 0x58f7a5471cab0359, 0xf9db244637ce62c0, 0xd22a01ffb33c75e8,
  0x56b2ed40f2d6e83f, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d8c4c7, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c,
  0x000000001d66fbe0,
};

// m88pb_swio11_lednop_ee_ce_u4_hw   m88pb_swio12_lednop_ee_ce_hw      m88pb_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0x7a6c7621f7fd0a67, 0x789390921f5c5f54, 0xf10d8488bee3441e,
  0xaeaeb8c2ffa8f84b, 0x9dadcdbdf33c5dcd, 0xb307a57a8f2b2972, 0x22814c5650fd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db9d28ea426b, 0xd8ebce9bb4888e6e, 0x08a17c471958d578, 0x991c37b2d9731709, 0x56a59dac4f2a3608,
  0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d8c4c7, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c, 0x000000000280a353,
};

// m88pb_swio11_dual_pr              m88pb_swio12_dual                 m88pb_swio12_dual_pr
static const uint64_t ur_m88pb_swio11_dual[] = {
  0xd91dddddde7c4541, 0xb5afd86ba4cd588f, 0xa7de891e4ad2cfd9, 0xd9899c43d8dd75de, 0xa93934edd23f644a,
  0x53b90093755f87c5, 0x13e30120b6577938, 0xae22c800948e6fcc, 0x1030a1832bac0db4, 0x2fe6535aa774f897,
  0xe3dec1fc382fb98a, 0x11c90ab03eea6f51, 0x0370f815fe63408a, 0x32bb8bddf177b5d8, 0x6b5a2a10cb423244,
  0x425b7297ff4073c2, 0x17fc906982c3795e, 0xa3f7477cb2d71d85, 0x261ee38e5581ef7e, 0x8d31398b01541e67,
  0xfecc11d78033b200, 0x0f2cf6def1bea807, 0xf157ceee2a4af9d4, 0x873d59b5e5caad67, 0xabb39d454aa35d9d,
  0xa9ae0404e576a96f, 0x5e54292b97a5fd10, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0x317f36d8c62adec5, 0x63ce2e4d5c1e6ca2, 0x7eeacc790334f8d1, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x01880bf6eb54f257,
};

// m88pb_swio12_dual_pr_u4
static const uint64_t ur_m88pb_swio11_dual_pr_u4[] = {
  0x64777776890ddb75, 0xd6bf61ae9335623f, 0x77ba24792b4b3f66, 0x2b6626710f6375bd, 0x96a4e4d3b748fd91,
  0x0a775f5ef275a721, 0x827c602416caef27, 0x95c459001291cdf9, 0xe2061430657581b6, 0x517f32ec24ee9f12,
  0x8f1ef60fe1c17dcc, 0x508e485581f7537a, 0xc01b87c0aff31a04, 0x2195dc5eef8bbdae, 0x135ad150865a1192,
  0xf212db94bffa039e, 0x28bfe118cc161bca, 0xf51fba3be596b8ec, 0x3930f71c72ac0f7b, 0x046989cc580aa0f3,
  0x3ff6608ebc019d90, 0xa07967b6f78df540, 0x3f8abe77715257ce, 0xec39eacdaf2e556b, 0x7d5d9cea2a551aec,
  0x854d7020272bb54b, 0x8af2a1495cbd2fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x118bf9b6c63156f6, 0xddc68b1be1b8f365, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x852792bf734332c3, 0x00000000a49a65ab,
};

// m88pb_swio12_dual_pr_ee
static const uint64_t ur_m88pb_swio11_dual_pr_ee[] = {
  0x52b777775050cf68, 0xad7ec0bf66f567ac, 0x0777650f6323138d, 0x0db62eed13f3ef6d, 0x85d6fd28d37ac52a,
  0x8fa9d666dbb30f90, 0x0905b2bbc9e4aee6, 0x800948b24e609f18, 0x1832bac0db4ae22c, 0x7612774f8971030a,
  0x04e8e096a60b5f99, 0xab03d3737a8e35b6, 0x815fe63408a11c90, 0x7bbe2efba180370f, 0x8432d05f68865771,
  0x9affa039e1307b8a, 0x8cc161bcaf212dbe, 0xd68ff70ec0b5fe11, 0x061efd4795dba9aa, 0x877c57a6fd47c1b3,
  0xc2cb1148b34eb422, 0xb055c54b9a426be8, 0x2ec63d19ea73ab4b, 0x8e21b1aad743af51, 0xcbe9662e12114694,
  0x511551b047eb70de, 0xf157ceee2a4a0164, 0x873d59b5e5caad67, 0xabb39d454aa35d9d, 0xa9ae0404e576a96f,
  0x5e54292b97a5fd10, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0x317f36d8c62adec5,
  0xc68b2d5e371e6ca2, 0xa9cfd4eaccdfc1dd, 0x6879133c09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0xfaf70a4f257ee686, 0x0000000000005644,
};

// m88pb_swio12_dual_pr_ee_u4
static const uint64_t ur_m88pb_swio11_dual_pr_ee_u4[] = {
  0x74ccf77776890c86, 0xcdad7ec0bf7ef563, 0x6bbf74eb00a46706, 0x999f4e7adb62f1ab, 0x85900d17fa51a66e,
  0xa6eeeec6ecb41e62, 0x09f180905b2bbc9f, 0xae22c8009484e3e6, 0x1030a1832bac0db4, 0x75f997612774f897,
  0xfa6f61158e035a62, 0x11c90ab03cad37a8, 0x0370f815fe63408a, 0x32bb8bddf177b390, 0xd224542196847b44,
  0x096dd36ffe80e784, 0xfff08c660b0de579, 0x059aad68e030eca1, 0x3e0d983913d4795b, 0x75a1143be2b90fea,
  0x135f4616588a459a, 0x9d5a5dc9ae105cd2, 0x3af6b13b4e28e6e3, 0x285ae8e32b1aad74, 0xb70decb8f8c5c242,
  0x57ceee2a4ab8e93e, 0x3d59b5e5caad67f1, 0xb39d454aa35d9d87, 0xae0404e576a96fab, 0x54292b97a5fd10a9,
  0xe7407973daad115e, 0x5844c2f52d794e02, 0x19d10363fc502169, 0x6ca2317f36d38c6f, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x1570a4f257ee6866, 0x0000000000005648,
};

// m88pb_swio12_dual_pr_ce
static const uint64_t ur_m88pb_swio11_dual_pr_ce[] = {
  0xf91dddddde7cbd5b, 0xb5afd86bfdad5960, 0xefded89466d16a29, 0xd0b123a75805157e, 0xf5db3e499bab07c8,
  0x38bdddddfb80b5a0, 0x4c13e30120b65779, 0xb4ae22c800948f39, 0x971030a1832bac0d, 0x8bafe6535aa774f8,
  0xa3b93d87ce384879, 0x2847242ac0d7dcde, 0xc00dc3e057f98d02, 0x10caee2f77c5df8d, 0x132d78a8432d0c91,
  0xf212dbc72ffa039e, 0x53dfe4834c161bca, 0xb9db933bfea0a0ec, 0xb9b5d36e76ff3c00, 0x7d3dcb01438cc273,
  0xe471cab0327bd479, 0xc4637ce62c05dbeb, 0x71cb19e3af22dd87, 0x2af9ddc54947570f, 0xe7ab36bcb955acfe,
  0x7673a8a9546bb3b0, 0x35c0809caed52df5, 0xca852572f4bfa215, 0x80f3f5ae7b55a22b, 0xae757a96165362ce,
  0x67440a2f8c6085a6, 0xb288c5fcdb4e31bc, 0xe3458f38b9357079, 0x15c9fbab31e40cd3, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000073d78dbad53,
};

// m88pb_swio12_dual_pr_ce_u4
static const uint64_t ur_m88pb_swio11_dual_pr_ce_u4[] = {
  0xc8ef77776890cf68, 0x6d6bf62e373b56c9, 0xae3bb618a774ee4a, 0x7f4d99d179579ced, 0x113d47d9f6ee4e47,
  0xa2bb9a3ea75ee1bb, 0x827c602416caef26, 0x2b88b200252387f9, 0xc40c2860caeb036d, 0x4dfe65d849dd3e25,
  0x3a9ed8656386fb9b, 0x847242ac0cbacdea, 0x00dc3e057f98d022, 0x0caee2f77c5de494, 0x34e3150865a013d1,
  0x425b7a1fffa039e1, 0x6ffc231982c3795e, 0x25b3ae2faedf1d9a, 0x222fb8d1079e24e4, 0x3397ea3e12fc4361,
  0x3c38ccf17736bd25, 0x0327bd479c67b963, 0x62c0531e7ac71cab, 0x1d7916ecbe238c8e, 0x2a4a3ac8bb8e58cf,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x97a5fd10a9ae0404, 0x73daad115e54292b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0x6e3cd94462fe6db1, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x493a7ae149e4afdc, 0x0000000000000003,
};

// m88pb_swio12_dual_pr_ee_ce
static const uint64_t ur_m88pb_swio11_dual_pr_ee_ce[] = {
  0x499f6b7777750c86, 0x31b5afdb8fdf5f56, 0xb57bdd2af2c4d8ac, 0x68a516a69ef709af, 0x7609931e9d33499f,
  0x77763763c1731733, 0x8c0482d95de4d897, 0x2c800948f3d7304f, 0x0a1832bac0db4ae2, 0x997612774f897103,
  0x361a68e0ff26c41f, 0x21560763f37a8e1a, 0x1f02bfcc68114239, 0xe2f77c5deb82006e, 0x150865a0c1510cae,
  0xe6b7ff4073c2690f, 0x46330586f2bc84b6, 0xffaa3cac3b3107f8, 0xbadf9e24e425880e, 0x26e984e7736baa47,
  0xfea3cae574a76b2b, 0x2bdf7ea3e0d983db, 0x88a459a75a1140a6, 0xcc14752135f46165, 0x4bb18f467a9ceaed,
  0x4710d8d578d8ebd4, 0x65f4b3170908a34a, 0x1445546c1132386f, 0xfc55f3bb8a929679, 0x61cf566d7972ab59,
  0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x18bf9b6c6263b7b1, 0xb8d163ce1b8f3651, 0x30ae4fdd599bf83b, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000098201cae14,
};

// m88pb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m88pb_swio11_dual_pr_ee_ce_u4[] = {
  0xaddddda26d3e421f, 0xbf6a87d7bd599f16, 0x36e76fdce23ac6d6, 0xc7fbeba108f0f659, 0x668cd9f16a6c562f,
  0x750809793abdfb80, 0xe494a7717d60b68d, 0x0f304f8c0482d95d, 0x6d2b88b2002521e2, 0x25c40c2860caeb03,
  0xb1bbf32bf689dd3e, 0x8f88360d767043e9, 0xa11c90ab03d3537a, 0x00370f815fe63408, 0x0caee2f77c5df725,
  0x653d150865a16e91, 0x84b6fd67ff4073c2, 0x77f8ea730586f2bc, 0x375c5f5471587663, 0xbee3441e789380e6,
  0xdfa8f84bf10d8488, 0x333c5dcdaf7251d7, 0x8f2b60b29dadcdc4, 0xa7bd47c1b307d47a, 0x48b34eb422814c56,
  0x18ea426be8c2cb11, 0xdb7d1cbe39d5db8e, 0xe58d578d8ebdac4e, 0x3e3170908a014463, 0x4b8c722991c37b2e,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xa5fd10a9ae0404e5, 0xdaad115e54292b97,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6db189, 0xfa08d1637c5c9ab8,
  0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x053c95fb9a19961d, 0x00000002001340e4,
};

// m88pb_swio12_dual_hw
static const uint64_t ur_m88pb_swio11_dual_hw[] = {
  0xc8eeeeed121a559b, 0xad7ec35d266ac47e, 0xef7448f256967ecd, 0x56cc4ce21ec6eb7a, 0x2d49c9a76e91fb22,
  0x3853b9c2f8ffb99b, 0xcc13e30120b65779, 0xb4ae22c800948e6f, 0x971030a1832bac0d, 0x628bf997612774f8,
  0xd478f7b07f0e0bee, 0x22847242ac0fba9b, 0x7600dc3e057f98d0, 0x910caee2f77c5ded, 0xf09ad68a8432d08c,
  0x579096dca5ffd01c, 0xc28bfefcea60b0de, 0xbf51fba3be596b8e, 0x33930f71c72ac0f7, 0x0046989cc580aa0f,
  0x03ff6608ebc019d9, 0xea07967b6f78df54, 0xb3f8abe77715257c, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae,
  0x8854d7020272bb54, 0x88af2a1495cbd2fe, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x5118bf9b6c63156f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000063754cb41,
};

// m88pb_swio12_dual_ee_hw
static const uint64_t ur_m88pb_swio11_dual_ee_hw[] = {
  0x295bbbba1eb432db, 0xd6bf605fb37ab3d6, 0x83bbb287b19189c6, 0x06db177689f9f7b6, 0x42eb7e9469bd6295,
  0xdc704559a67587c8, 0xe30120b657793c95, 0x459001291649cc13, 0x61430657581b695c, 0xf32ec24ee9f12e20,
  0xb6c09d1c12d4c16b, 0x9215607a6e6f51c6, 0xe1f02bfcc6811423, 0xee2f77c5df743006, 0x7150865a0bed10ca,
  0xb7d35ff4073c260f, 0xbf3a982c3795e425, 0x6ab5a3fdc3b02d7f, 0x6cc187bf51e576ea, 0x08a1df15e9bf51f0,
  0xfa30b2c4522cd3ad, 0xd2ec157152e6909a, 0xd44bb18f467a9cea, 0xa523886c6ab5d0eb, 0x37b2fa598b848451,
  0x591445546c11fadc, 0x59fc55f3bb8a9280, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0x442a6b8101395daa,
  0x4457950a4ae5e97f, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x288c5fcdb6318ab7,
  0x1539fa97ab8dc79b, 0x9e2e7197e627f286, 0x4fc73dffc1343c89, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x00aed27d70be9e4a,
};

// m88pb_swio12_dual_ce_hw
static const uint64_t ur_m88pb_swio11_dual_ce_hw[] = {
  0x740bddddda2432db, 0x26d6bf62e216d583, 0x6937ba3dac35c112, 0x816b05d928fd699f, 0x6755dfdde7dee86e,
  0x7792b8ddc704559a, 0xf00cc13e30120b65, 0x81b695c459001290, 0x9f12e20614306575, 0x394c707f32ec24ee,
  0x26f51edd6c3671c2, 0x6811423921560781, 0xf524006e1f02bfcc, 0x0f688657717bbe2e, 0x39e1304f8a8432d0,
  0x795e425b719bffa0, 0x3b0e0ffbf3a982c3, 0x24e4244eae2fabf8, 0x4361222fb8d1079e, 0xbb21d257ea3e12fc,
  0xb9633ea5ccf17736, 0x3956076b7a8e13e7, 0x31398b014a2edf8e, 0xccf1d78033b2008d, 0xcb5b9ef1bea807fe,
  0x55f3bb8a92be7503, 0xcf566d7972ab59fc, 0xece75152a8d76761, 0x6b8101395daa5bea, 0x950a4ae5e97f442a,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b6c6263b7b155, 0x7ea0bb1b8f365118,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000026eb84217d3c,
};

// m88pb_swio12_dual_ee_ce_hw
static const uint64_t ur_m88pb_swio11_dual_ee_ce_hw[] = {
  0x67dadddddd436f02, 0x6d6bf6e3f7d7d592, 0x5ef74abcb1362b0c, 0x2945a9a7bdc26bed, 0x8264c7a74cd267da,
  0xcfe1f35f459bccdd, 0x30120b657793625d, 0xb2002523cf5cc13e, 0x2860caeb036d2b88, 0x65d849dd3e25c40c,
  0xd869a383fc9b107e, 0x85581d8fcdea3868, 0x7c0aff31a04508e4, 0x8bddf177ae0801b8, 0x54219683054432bb,
  0x9adffd01cf09a43c, 0x9d4c161bcaf212db, 0xfd51e561d9883fdf, 0x07fcf127212c4077, 0x9ba6139dcdaf950d,
  0xfa8f2b95d29dacac, 0xaf7dfa8f83660f6f, 0x2291669d68450298, 0x3051d484d7d18596, 0x2ec63d19ea73abb7,
  0x1c436355e363af51, 0x97d2cc5c24228d29, 0x511551b044c8e1bd, 0xf157ceee2a4a59e4, 0x873d59b5e5caad67,
  0xabb39d454aa35d9d, 0xa9ae0404e576a96f, 0x5e54292b97a5fd10, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0x62fe6db1898edec5, 0x5c9f9fd86e3cd944, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0001134c0e417d3c,
};

// m88pb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio11_dual_ee_ce_u4_hw[] = {
  0xbbddddda28d05f82, 0xafdaa1de4f56b17e, 0xf7513eb473b651b5, 0x3ae57bccdb85eb47, 0xf019a33b17ebb3ac,
  0xfb46d5c78f0dfc23, 0xb657793619ddd35b, 0xa45ecf4c13e30120, 0x5d606da571164004, 0x3ba7c4b881850c19,
  0x3b066bc3fccb20d5, 0x09bd4743ed86371c, 0x1a04508e485581e2, 0x78aa001b87c0aff3, 0x4724432bb8bddf17,
  0x1cf09b7dc5421968, 0xbcaf212dbd257fd0, 0xecbc3ffea374c161, 0xa12bc3b8bea8c9d0, 0x9117dc6883cf162f,
  0x67aff51f097e21b0, 0xdcdd33c5dcdae164, 0xffa8f2b95d29dadc, 0x8af7dfa8f83660f6, 0x62291669d6845029,
  0x73051d484d7d1859, 0x12ec63d19ea73abb, 0x91c436355e363af5, 0xd97d2cc5c24228d2, 0x4511551b044c8e1b,
  0x7f157ceee2a4a59e, 0xd873d59b5e5caad6, 0xfabb39d454aa35d9, 0x0a9ae0404e576a96, 0x15e54292b97a5fd1,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x462fe6db1898edec, 0x539fa82ec6e3cd94,
  0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00001d758a04b405,
};

static const uint64_t ur_m88pb_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xe5f059f31f304f8c, 0x109df2dd20ecdbff, 0xd78e395607cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x52a8d76761cf566d, 0x76a96faa9bece751, 0xab57bd7d10a9ace5,
  0xb5cf6ab4457950a4, 0x75380b2953e9de7e, 0x8bf714085a585cea, 0x5fcdb4e31bc67440, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00000548b8175e79,
};

static const uint64_t ur_m88pb_swio13_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2491, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7dd489d05,
  0x793bab8c489bb837, 0xfe4c13e30120b657, 0x83e3b0caff241b3e, 0x607d07a8f2f8ef96, 0x16594d1ef4a8e395,
  0x1f3b4428f7b398b0, 0x49a5403ff6608ebd, 0x55abeb703cb3db11, 0x6bb3b0e7ab36bcb9, 0xb7d54df673a8a954,
  0xdebe8854d672bb54, 0xb55a22bca85255ab, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13,
  0x7079b288c5fcdb19, 0x076d0d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x1f26811c4f9e4afd,
};

static const uint64_t ur_m88pb_swio13_noled_pr_u4[] = {
  0xddbbbbbb45d8b562, 0x5bbb5572285ee253, 0xf7c7ea1c4891844f, 0xfa1ddc4eecfe0f50, 0xe0edb195a6ecf70b,
  0xcaef2777e9c1bc2a, 0xcf98f9827c602416, 0xe5ba41d9b7ffc906, 0x72ac0f9ef51e213b, 0x1602dee9b4a5af1c,
  0xebc5ced70d193473, 0x56a5657fdc72c608, 0xaecec39eacdaf2e5, 0xdf5537d9cea2a551, 0x7afa215359caed52,
  0xd5688af2a14956af, 0x1652a7d3bcfd6b9e, 0x2810b4b0b9d4ea70, 0x69c6378ce88117ee, 0x26ae0f365118bf9b,
  0x63c81db43458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x34d0389f3c95fb9a, 0x00000000000000f9,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x1d915bfc231cf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47921cead2e95971, 0x355ae875e74ddba8, 0x8b848451f22383f6,
  0x3608fd6e1bd96cb9, 0xe5caad402e9305aa, 0x4aa35d9d873d59b5, 0xdaa5beaa6fb39d45, 0xad5ef5f442a6b395,
  0xd73daad115e54292, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd8c9156f62aa8b4b, 0xc9ab83cd94462fe6,
  0xc7903f2868b3a7c5, 0x13f9430a9cfd4eac, 0x9a1e44cf1738cbf3, 0x9e985727e39effe0, 0x494b67c09c6592e1,
  0x17cf257ee6866587, 0x0000000009d7c631,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x28766fbff08c73f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xc51bde73ab4bd4a5, 0xc6ab5d0ebd753769, 0x62e121142d74770e,
  0x71d27d6e1bd970e4, 0xd873d59b5e5caad5, 0xa6fb39d454aa35d9, 0x442a6b395daa5bea, 0x115e54292ad5ef5f,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xd94462fe6d8c9156, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x7cf257ee68665874, 0x000000004eb96711,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ce[] = {
  0x60fbbbbbbbd8bf82, 0x368eed55c8a20912, 0x7ef619e97be6e1c4, 0xab682ddf853d31b6, 0xe0d83336331dd60f,
  0xd95de4eeae312247, 0xd9f297304f8c0482, 0xffa8283b1d2ff920, 0x3b7f9e00583921ce, 0x2eb26139dcdae9b7,
  0x0327bd479ba7b960, 0x3160299538c71cab, 0x1d7a3e768851ef67, 0xdc22934a807feccf, 0x5e5caad5f5b81e5a,
  0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f442a6b39, 0x5d73daad115e5429, 0x7536294f0d3bcf8b,
  0xb689c6378ce88107, 0xdb190c76f62aa8b4, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0xbae9c713e792bf73, 0x0000000000000005,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xfaedf1d92bbfc231, 0x41e78016b49beee2, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0x79ba7b9633f5933c, 0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7,
  0x5f5b81e5adc22934, 0x9d873d59b5e5caad, 0xaa6fb39d454aa35d, 0xf442a6b395daa5be, 0xd115e54292ad5ef5,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x9b288c5fcdb190c7, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x2f9e4afdcd0ccb0e, 0x000000006eba6822,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x2963b3fe7f84639f, 0x8016b49ff0effaa3, 0x9cee6d7ca8683fe7,
  0x59c394ed6563df30, 0xea3e0d9833d7d479, 0x9a75a1140a62b2eb, 0x52135f4616588a45, 0x847921ceaedc9587,
  0xc6abc6c75e74ddba, 0x3170908a3e44707e, 0xa3608991c37b2d97, 0x5e5caad4b3e9305a, 0x54aa35d9d873d59b,
  0x5daa5beaa6fb39d4, 0x2ad5ef5f442a6b39, 0x5d73daad115e5429, 0x7536294f0d3bcf8b, 0xb689c6378ce88107,
  0xdb190c76f62aa8b4, 0x38b93571b288c5fc, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x4c79788be792bf73, 0x0000000000000053,
};

static const uint64_t ur_m88pb_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c7a31, 0x2eed55fd4ec4c490, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf4130,
  0x77513f0fbed03e37, 0x9827c602416caef2, 0x7635dff8ea79fc6e, 0xb9db5ddc5f547b38, 0xc2445f71a20f3c00,
  0xfe3eefd47c25f886, 0xe6def99e2ee6d7e1, 0x3d7d47959c394ed6, 0xa62b2ebea3e0d983, 0x6588a459a75a1140,
  0xedc958752135f461, 0xe74ddba847921cea, 0xe44707ec6abc6c75, 0x37b2d973170908a3, 0x3e9305aa3608991c,
  0x873d59b5e5caad4b, 0x6fb39d454aa35d9d, 0x42a6b395daa5beaa, 0x15e54292ad5ef5f4, 0xd3bcf8b5d73daad1,
  0xce881077536294f0, 0x62aa8b4b689c6378, 0x288c5fcdb190c76f, 0x1a2c6f8b9357079b, 0x39fa9d598f20669f,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000004fc8faeeb54,
};

static const uint64_t ur_m88pb_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfe1c79f31f304f8c, 0xc4277cb7483b36ff, 0xb5e38e5581f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f442a6b39,
  0xad73daad115e5429, 0x9d4e02ca54fa779f, 0x22fdc5021696173a, 0x17f36d38c6f19d10, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000011c4b8a29e,
};

static const uint64_t ur_m88pb_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe0ec8adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xeacdaf2e556a0174, 0x9cea2a551aecec39, 0x359caed52df5537d, 0x2a14956af7afa215,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x317f36c648ab7b15, 0x9cfd4176371e6ca2,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000000b7ff24c2fa,
};

static const uint64_t ur_m88pb_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x905b2bbc9dd29475, 0xe8533fb3a609f180, 0xeee2faedf1d92bbf, 0xfb8d1079e24e425b, 0x7ea3e12fc4361222,
  0x64cf17736b9adcc3, 0x9ef51e6e9ee58cfd, 0x80a654e31c72ac0c, 0xe8f9da2147bd9cc5, 0x8a4d2a01ffb33c75,
  0x72ab57d6e0796b70, 0xa8d76761cf566d79, 0xa96faa9bece75152, 0x57bd7d10a9ace576, 0xcf6ab4457950a4ab,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0x6371e6ca2317f36c, 0x1ef79430a9cfd417,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x6df24c2fa792bf73,
  0x00000000000001d6,
};

// m88pb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece1d8d77ff429, 0x79e24e424d77717d, 0x2fc4361222fb8d10,
  0x36bf20eaebfea3e1, 0xca76b736f7ccf177, 0x06cc19ebea3cace1, 0xd08a05315975f51f, 0xafa30b2c4522cd3a,
  0x90e7576e4ac3a909, 0xe363af3a6edd423c, 0x48451f22383f6355, 0x44c8e1bd96cb98b8, 0x556a59f4982d51b0,
  0x1aecec39eacdaf2e, 0x2df5537d9cea2a55, 0xf7afa215359caed5, 0xed5688af2a14956a, 0x14a7869de7c5aeb9,
  0xe31bc6744083ba9b, 0x863b7b15545a5b44, 0x6e3cd94462fe6d8c, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x864e05f4f257ee68, 0x0000000000000280,
};

static const uint64_t ur_m88pb_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xf2f82cfc069827c6, 0xc90ef96e907607bf, 0x98c71cab03e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551aecec39eacd, 0xaed52df5537d9cea, 0x24bfa21535c0809c,
  0x3daad115e54292b9, 0x52d794e02e740797, 0x5f45021695844c2f, 0xf9b69c6378ce8814, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001527d62ebcf25,
};

static const uint64_t ur_m88pb_swio13_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11dd489d0,
  0x7793bb4cd19b4b47, 0xea54c13e30120b65, 0xa0f8ec31ffe48367, 0xac0fa0f51f4a3be5, 0x05965340609f1c72,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6bb3b0e7ab36bcb9, 0xb7d54df673a8a954,
  0x8854d7020272bb54, 0x4457950a4ae492fe, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x288c5fcdb40a8ab7, 0xd165abcb9357079b, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0x5c33d30ae4fc07cd,
  0xb0e9296cf8138cb2, 0x15c4f9e4afdcd0cc, 0x00000000000f931d,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0xf5bbb5572295a44a, 0xc7617efaff0b1844, 0x2fe877713b426efc, 0x477006dbe3fbb3dc,
  0xb2bbc9dda668cd68, 0xb3f01a609f180905, 0xf96e907607bff241, 0x1cab03e7bd47c90e, 0x62c05bdd375098c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x1aecec39eacdaf2e, 0x2df5537d9cea2a55, 0xa21535c0809caed5,
  0xd115e54292b924bf, 0x94e02e7407973daa, 0x021695844c2f52d7, 0x9c6378ce88145f45, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x085b89f3c95fb9a1, 0x0000000000000f93,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x0ec383fe118e7e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23050e7569790eb8, 0x1aad743af3a6eddd, 0xc5c242289b91e45b,
  0x1b047eb70decb65c, 0x7972ab5008452695, 0x52a8d76761cf566d, 0x76a96faa9bece751, 0x25fd10a9ae0404e5,
  0xed5688af2a1495c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0x0f365118bf9b6815,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xebe10c45f3c95fb9, 0x0000000000000004,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46650ec383fe118e, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb2c4522cd3ad08a1, 0xf6b8a266909afa30, 0xecbe23884e756975, 0x22d8d56ba1d7aea6, 0x0e462e121140df46,
  0x5aae167fd6e1bd97, 0xbb3b0e7ab36bcb95, 0x7d54df673a8a9546, 0x854d7020272bb54b, 0x457950a4ae492fe8,
  0x59d01e7eb5cf6ab4, 0xb4d5ceaf52c2ca6c, 0x1bc674409cfa2810, 0x079b288c5fcdb4e3, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x222f9e4afdcd0ccb, 0x00000000004eba68,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ce[] = {
  0x4c1f7777777b1762, 0x0da3bb55722856e2, 0xc69ed0bdad367871, 0xfab682dde8261550, 0x34767ef17d8fdd60,
  0xb657793bb4cd19fd, 0x367d4f4c13e30120, 0xbfea0a0ec2ebfe48, 0x3107e780160e14b3, 0x02eb26139dcdaeff,
  0xb0327bd479c67b96, 0xe62c0531e7ac71ca, 0xe3af47cecbe238c8, 0x6e1bf70d500ffd99, 0xaf2e556b70e40f2d,
  0x2a551aecec39eacd, 0xaed52df5537d9cea, 0x24bfa21535c0809c, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7,
  0x18de33a20421520b, 0x18edec55516920a7, 0xab8d94462fe6da05, 0xe40eda1a2c79c5c9, 0xb867a615c9fbab31,
  0x1d252d964a271964, 0x389f3c95fb9a1996, 0x00000000005baaa7,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f51d9813fc231, 0x20f3c00b5a4cad71, 0xc25f886c2445f71a,
  0x2ee6d74a8b91fd47, 0xf924f72c67e3399e, 0x0291c72ac0c43fa8, 0x9ef476b1cc580bdd, 0x8bb8e58cf1d78b9d,
  0xcf566d7972ab51d0, 0xece75152a8d76761, 0x0404e576a96faa9b, 0x1495c925fd10a9ae, 0x95aeb9ed5688af2a,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x75eaca88be792bf7, 0x0000000000000003,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94b1d89b7fe118e7, 0x8016b489b677fd51, 0x9cee6d7524e6ffe7,
  0x594394ed6563df30, 0xea3e0d9833d7d479, 0x9a75a1140a62b60b, 0x52135f4616588a45, 0xa460a1ceaedd21c7,
  0xc6abc6c75e74ddbb, 0x3170908a26e47916, 0xa3608991c37b2d97, 0xaf2e556a5988a4d2, 0x2a551aecec39eacd,
  0xaed52df5537d9cea, 0x24bfa21535c0809c, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0xab8d94462fe6da05, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xc45f3c95fb9a1996, 0x000000000029a78d,
};

static const uint64_t ur_m88pb_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7cbd5b, 0x2eed55fd4c374490, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf4130,
  0x9ddeefdc1ceb4176, 0xe609f180905b2bbc, 0x0ec149fe3a9e7cd6, 0x0b9d8a4b8bea8f67, 0x6c2445f71a20f3c0,
  0x5a9e01fd47c25f88, 0x6e6def99e2ee6d7f, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114,
  0xaedd21c752135f46, 0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991,
  0xec39eacdaf2e556a, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0x2fe6da0518edec55, 0x37c5c9ab83cd9446, 0x4eacc790334f8d16,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x013f122f75aa792b,
};

static const uint64_t ur_m88pb_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xff0e3cfc069827c6, 0xf243be5ba41d81ef, 0x2631c72ac0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546bb3b0e7ab3, 0x2bb54b7d54df673a, 0x492fe8854d702027,
  0xcf6ab4457950a4ae, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xfe6da718de33a205, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000004717d7453c9,
};

static const uint64_t ur_m88pb_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f0761c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x7ab36bcb955a8042, 0x673a8a9546bb3b0e, 0x20272bb54b7d54df, 0xa4ae492fe8854d70,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x05d8dc79b288c5fc,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x02df9a9c0be9e4af,
};

static const uint64_t ur_m88pb_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x905b2bbc9dd69df6, 0xe8533e35a609f180, 0x3ae2faedf1d9a6ff, 0xfb8d1079e24e425b, 0xfea3e12fc4361222,
  0xc99e2ee6d7e5a66f, 0x3dea3ce33dcb19fa, 0x0298f3d638e55819, 0xa3e765f11c647316, 0xfb86a807feccf1d7,
  0x2ab5b8720796b70d, 0x8d76761cf566d797, 0x96faa9bece75152a, 0xd10a9ae0404e576a, 0x688af2a1495c925f,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d028c76, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x00000000eb360158,
};

// m88pb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9c3b0527fd0a6, 0x79e24e424292e2fa, 0x2fc4361222fb8d10,
  0xcdafe72ea77ea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b28, 0xb422814c56c17d47, 0x6be8c2cb1148b34e,
  0x1439d5dba438ea42, 0x78d8ebce9bb7748c, 0x121144dc8f22d8d5, 0x1132386f65b2e62e, 0xcaad4b31149a546c,
  0xa35d9d873d59b5e5, 0xa5beaa6fb39d454a, 0xf442a6b8101395da, 0x5a22bca852572497, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb288c5fcdb40a31d, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x000000000a020793,
};

// m88pb_swio13_dual_pr
static const uint64_t ur_m88pb_swio13_dual[] = {
  0xa5ddddddde7c7a31, 0xb36b5fb0d739dab1, 0xbdb17d836b05a59f, 0x95ba67f68eb14e4f, 0xa35043b0dba696c8,
  0xc29dc89f87ca3e0f, 0x609f180905b2bbc9, 0xa571164004a41806, 0xb881850c195d606d, 0x517f329ad53ba7c4,
  0x8f1ef60fe1c17dcc, 0x508e485581f7537a, 0x001b87c0aff31a04, 0x10caee2f77c5df00, 0x09ad68a8432d08c9,
  0x79096dca1ffd01cf, 0x7eeff241a60b0de5, 0xfa8fb7cef967bc76, 0x2568f71c72ac0e0f, 0xa47109cc580aa0f3,
  0x3ff6608ebc019db4, 0x503cb3db4c632540, 0xcfe2af9ddc549702, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb,
  0x4d7020272bb54b7d, 0x7950a4ae492fe885, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0xc5fcdb40a8ab7b15, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x06203cbbad53c95f,
};

static const uint64_t ur_m88pb_swio13_dual_pr_u4[] = {
  0x634bbbbbbb4486f9, 0x3f66d6bf61ae73b5, 0x9da9f7bb06d60b4b, 0x2d912b74cfed1d62, 0xe7f0c6a08761b74d,
  0xde4e14ee9b4721dc, 0xc03304f8c0482d95, 0x036d2b88b2002520, 0x3e25c40c2860caeb, 0xfb98a2fe65d849dd,
  0xa6f51e3dec1fc382, 0x3408a11c90ab03ee, 0xbe0000370f815fe6, 0x11922195dc5eef8b, 0x039e135ad150865a,
  0x1bcaf212db943ffa, 0x78ecfddfe118cc16, 0x1c1ff51f6f9df2cf, 0x41e64ad1ee38e558, 0x3b6948e21398b015,
  0x4a807fecc11d7803, 0x2e04a07967b698c6, 0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0x96faa9bece75152a,
  0xd10a9ae0404e576a, 0x688af2a1495c925f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0x65118bf9b6815156, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xeb852792bf734332, 0x0000000000a49ad3,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x38dad7ec0bf266ac, 0xf722775261d63231, 0x14a83682ab8858ab, 0x41f1375af4a34da7,
  0x4aeeeec6ecfabf31, 0x09f180905b2bbc9e, 0xae22c800948ee3e6, 0x1030a1832bac0db4, 0xb5f997612774f897,
  0xe35b604e8e096a60, 0x11c90ab03d3737a8, 0x0370f815fe63408a, 0x657717bbe2efeeb0, 0x07b8a8432d05f688,
  0x25b79dbffa039e13, 0xffc231982c3795e4, 0x6e6ab5a37263b3a7, 0xf06cc1c7bf51e57a, 0xad08a1df15ecef51,
  0x9afa30b2c4522cd3, 0xead2ea797152e690, 0x75ea25d9fc47d41c, 0x283d51fc96355ae8, 0x6e1bd97d2cc5c242,
  0xa010f9bdaa3608fd, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa, 0x442a6b8101395daa,
  0xa22bca852572497f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6da05455b,
  0x3bb8d165abc6e3cd, 0x861539fa9d599bf8, 0x07cd0f22678138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0xb21cfae149e4afdc, 0x0000000000000002,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed1369fbb90, 0xb5afd817e4cd59a7, 0xb4f6a4c3ac646271, 0x6d055710b157e44e, 0x6eb5e9469b4e2950,
  0x5225795effad83e2, 0x0905b2bbc9e4aee3, 0x800948ee3e609f18, 0x1832bac0db4ae22c, 0xfda2774f8971030a,
  0x274704b5305afcca, 0x581e9b9bd471adb0, 0x0aff31a04508e485, 0xddf177f75801b87c, 0x219682fb4432bb8b,
  0xdffd01cf0983dc54, 0xcc161bcaf212dbce, 0xd1b931d9d3ffe3a9, 0xe3dfa8f2bd37355a, 0xef8af677a8f83660,
  0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512, 0xbe9662e121141ea8,
  0xded51b047eb70dec, 0x8abe77715250087c, 0x39eacdaf2e556b3f, 0x7d9cea2a551aecec, 0xc0809caed52df553,
  0x4292b924bfa21535, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0xe2e4d5c1e6ca2317, 0xb337f06fd0468b1b, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x22d6a72029e4afdc, 0x000000000000002b,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ce[] = {
  0x4eddddddde7cd0e3, 0x536b5fb0d7d95ab7, 0xbd1d7d8168eda2d4, 0x91a1706f55f362df, 0x894fb2c473b77a77,
  0x4e2f77571b414d7c, 0xf304f8c0482d95de, 0xda571164004a40c2, 0x4b881850c195d606, 0xc5d7f329ad53ba7c,
  0x51dc9ec3e71c243c, 0x14239215606bee6f, 0x7006e1f02bfcc681, 0x88657717bbe2effd, 0x0996bc5421968648,
  0x79096dc6b7fd01cf, 0x604ff241a60b0de5, 0xb9da563bfeb2f876, 0xee6d7d34ff3f3c00, 0x38cf72c050e3309c,
  0x6e8e3956064d7a8f, 0x6ba38c8e62c0532a, 0xb71cb19e3af22dd9, 0xf157ceee2a4a3ab5, 0x873d59b5e5caad67,
  0x6fb39d454aa35d9d, 0xb8101395daa5beaa, 0xa852572497f442a6, 0x0f3f5ae7b55a22bc, 0xe757a96165362ce8,
  0x74409cf8c6085a6a, 0x288c5fcdb4e31bc6, 0x3458f38b9357079b, 0x5c9fbab31e40cd3e, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000e7af4e3ad53c,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ce_u4[] = {
  0xc647777776890c86, 0x929b5afd8b8d57ea, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x798a1640258b74c8,
  0xf26a2bbbbb1bb2d0, 0xeb9827c602416cae, 0x36d2b88b20025219, 0xe25c40c2860caeb0, 0xb9b4dfe65d849dd3,
  0xdea3a9ed8656386f, 0x022847242ac0cbac, 0xce400dc3e057f98d, 0x3d10caee2f77c5de, 0x9e134e3150865a01,
  0xcaf212db85affa03, 0xecd9dfe118cc161b, 0x93909456b8bea650, 0x0d8488bee3441e78, 0xe495951fa8f84bf1,
  0xe58cf0e333c5dcda, 0x72ac0c9af51d009e, 0x229cc580afe7511c, 0x633c75e45bb4dc8f, 0x9ddc5494743e6e39,
  0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x272bb54b7d54df67, 0xae492fe8854d7020, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0xe1b8f365118bf9b6, 0xeaccdfc1ddc68b1b,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x069240ab852792bf,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ee_ce[] = {
  0xb4e2ddddddd432db, 0x2946d6bf6e3ed3da, 0x0efd5f753ecb53d6, 0x87b33339dee30f90, 0x6d0672b8bd3a6738,
  0xb771c11560f0ccea, 0x4f8c0482d95de4a3, 0xe22c8009484f2f30, 0x030a1832bac0db4a, 0x5f997612774f8971,
  0xc7f61ff0e01a26d3, 0x7242ac0e87e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1778c2e00, 0x9c54219681c34432,
  0xdbe377fd01cf099c, 0xe118cc161bcaf212, 0x77fd51b051d93b7f, 0x4c03f9e24e4253b6, 0xb221984e7736b822,
  0x9fea3cad4f4a76b2, 0x62bc09ea3e0d9830, 0x588a459a75a1140a, 0xdc5d4752135f4616, 0x589d8ca47389ceae,
  0x91ad7b1aaf1b1d7b, 0xd971f18b8484512f, 0xb8a92e311f0c8e1b, 0xd7972ab59fc55f3b, 0x152a8d76761cf566,
  0x576a96faa9bece75, 0x925fd10a9ae0404e, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x8c76f62aa8b49053, 0x71e6ca2317f36d02, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0xd275c293c95fb9a1, 0x0000000000002609,
};

static const uint64_t ur_m88pb_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0xad7ed50caf7ab162, 0x82daaf1d79c4758d, 0x7de66e6d09b964d3, 0x0419a332c45a9b16,
  0x42ace797721ae2ed, 0xaef24a53bab00840, 0xf1eb9827c602416c, 0x81b695c459001290, 0x9f12e20614306575,
  0xf4d8ddf995fb44ee, 0xbd47c41b06bb3821, 0x04508e485581e9a9, 0x80401b87c0aff31a, 0x488657717bbe2ef7,
  0xe1329e8a8432d0b7, 0x5e425b74a8ffa039, 0x3f5ffc753982c379, 0x73f5ee2faa38e43b, 0x445f71a20f3c49c0,
  0x231fd47c25f886c2, 0xe2199e2ee6d77806, 0xfd4795a9e94ed6e6, 0x57813d47c1b30613, 0x1148b34eb422814c,
  0x8ba8ea426be8c2cb, 0x13b1948e7139d5db, 0x35af6355e363af6b, 0x2e3e3170908a25f2, 0x1525c623e191c37b,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca, 0xdaad115e54292b92,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6da051, 0xfa08d1637c5c9ab8,
  0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x053c95fb9a19961d, 0x00000000400166e4,
};

static const uint64_t ur_m88pb_swio13_dual_hw[] = {
  0x97777776890d7f41, 0xcdad7ec35ce76ac6, 0x53ef760dac16967e, 0x2256e99fda3ac53b, 0x578d410ec36e9a5b,
  0xbc9c29ddee3337bf, 0x806609f180905b2b, 0x06da571164004a41, 0x7c4b881850c195d6, 0xf73145fccbb093ba,
  0x4dea3c7bd83f8705, 0x68114239215607dd, 0x7c00006e1f02bfcc, 0x2324432bb8bddf17, 0x073c26b5a2a10cb4,
  0x3795e425b7287ff4, 0xe3b3f77fbf3a982c, 0x707fd47dbe77cb3d, 0x07992b47b8e39560, 0xeda523884e62c055,
  0x2a01ffb30475e00c, 0xb81281e59eda6319, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa,
  0x442a6b8101395daa, 0xa22bca852572497f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6da05455b, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f,
  0x494b67c09c6592e1, 0x5f4f257ee6866587, 0x000000018dd569f0,
};

static const uint64_t ur_m88pb_swio13_dual_ee_hw[] = {
  0x3b7777743d686f97, 0x8dad7ec0bf266acd, 0x722775261d632313, 0x4a83682ab8858abf, 0x1f1375af4a34da71,
  0x792bb9e08ceb54e8, 0x9827c602416caef2, 0xd2b88b2002523b8f, 0x5c40c2860caeb036, 0x82d7e65d849dd3e2,
  0xa38d6d813a3825a9, 0x2847242ac0f4dcde, 0xc00dc3e057f98d02, 0x2195dc5eef8bbfba, 0x4c1ee2a10cb417da,
  0x9096de76ffe80e78, 0x3ffefcea60b0de57, 0xd37355ad1b931d9d, 0x8f83660e3dfa8f2b, 0x9d68450ef8af677a,
  0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7, 0xeb70decbe9662e12,
  0x250087cded51b047, 0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0x52df5537d9cea2a5, 0xfa21535c0809caed,
  0xad115e54292b924b, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6ca2317f36d02a2a,
  0x1854e7ea5eae371e, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000aed1cf82fa79,
};

static const uint64_t ur_m88pb_swio13_dual_ce_hw[] = {
  0x375bbbbbb4486f97, 0x44dad7ec5c535f56, 0xb70fb74eb00ab822, 0x816b05eb201b9c58, 0x4eb66eb8957ee9ba,
  0xef2571bb9e08ceb5, 0xebe9827c602416ca, 0x036d2b88b2002520, 0x3e25c40c2860caeb, 0x7298e0fe65d849dd,
  0x4dea3dbad86ce384, 0xd022847242ac0f02, 0xc11200dc3e057f98, 0x3da2195dc5eef8bb, 0xe784c13e2a10cb40,
  0xf2bc84b6fff3fe80, 0x7613aff7e7530586, 0x27212eafb8beb018, 0x1b09117dc6883cf1, 0xee4492bf51f097e2,
  0xcb19f52e678bb9b5, 0xe558188bea3c893d, 0x42731602fee32a38, 0x99e3af00676d291c, 0xcb5b9318c9500ffd,
  0x2af9ddc549702503, 0xe7ab36bcb955acfe, 0xf673a8a9546bb3b0, 0x020272bb54b7d54d, 0x0a4ae492fe8854d7,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0xa0bb1b8f365118bf,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x00137540817d3c95,
};

static const uint64_t ur_m88pb_swio13_dual_ee_ce_hw[] = {
  0x1ceddddddd431f02, 0x0c6d6bf6e3f369ab, 0xd5c5eeefdf5db62b, 0xed14a8d43f2d07bb, 0x7e3fa10bd3a6673b,
  0x5dca31166f4c29f5, 0x3e30120b65779362, 0x88b2002520f9f4c1, 0x0c2860caeb036d2b, 0x7e65d849dd3e25c4,
  0x68d869a383fc9b10, 0xe485581d8fcdea38, 0xb87c0aff31a04508, 0xbb8bddf177859001, 0x3c54219683054432,
  0xdbde1ffd01cf09a4, 0xdf9d4c161bcaf212, 0xeffaa395c3b2b7ff, 0xd493f3c49c84ab7c, 0xb26e984e7736bf47,
  0x95ea3caf7dca76b2, 0x315dbaf51f06cc19, 0x2c4522cd3ad08a05, 0x6e53c3a909afa30b, 0x512ecfe23ea0e757,
  0xd51fc96355e363af, 0xbd97d2cc5c242283, 0xc7cded51b044c8e1, 0xb3f8abe77715252c, 0xcec39eacdaf2e556,
  0x5537d9cea2a551ae, 0x535c0809caed52df, 0x5e54292b924bfa21, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0x62fe6da0518edec5, 0x5c9f9fd86e3cd944, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000044d324817d3c,
};

static const uint64_t ur_m88pb_swio13_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0xb5afdaa1b90f56cf, 0xdd9ba16b9c73b651, 0x75a8beaf7f57f71b, 0x88ce0334679f7d76,
  0x9d55c7ed06a96451, 0x2416caef26c33ba6, 0x00948d7059827c60, 0x832bac0db4ae22c8, 0x1aa774f8971030a1,
  0xe38760cd787f9964, 0x3c4137a8e87db0c6, 0xfe63408a11c90ab0, 0xc5de9c780370f815, 0x5a11c910caee2f77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bffa8dd30, 0x17d094c35c5f547d, 0xd8488bee3441e78b,
  0x3fc7ddfa8f84bf10, 0xdcdcdd33c5dcdafc, 0x6657a8f2bdf729da, 0x14c576ebd47c1b30, 0x2cb1148b34eb4228,
  0x5db94f0ea426be8c, 0xbd44bb3f88fa839d, 0x0f547f258d578d8e, 0x86f65f4b3170908a, 0xb31f37b546c11323,
  0x5acfe2af9ddc5494, 0xbb3b0e7ab36bcb95, 0x7d54df673a8a9546, 0x854d7020272bb54b, 0x457950a4ae492fe8,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x118bf9b681463b7b, 0x54e7ea0bb1b8f365,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2,
  0x000003aea346ed01,
};

static const uint64_t ur_m88pb_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xcbe0b3f1ee609f18, 0x989df2dd00eceebf, 0xf91c72ac0ebffa8e, 0x9e398b016f74c800,
  0xb1823af173b7488c, 0xbcb955a95821f71c, 0xa9546bb3b0e7ab36, 0x4dcaed52df5673a8, 0x5256c7efe8854d67,
  0x3f5ae7b55a22bca8, 0x753a9c0594a9f4ef, 0x2047978a042d2c2e, 0x462fe6da718de33a, 0xa615c9f9fd86ed94,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000002a4b70baf,
};

static const uint64_t ur_m88pb_swio14_noled_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0x6c9ebf63416c13c1, 0x3583886d8cd9ef4f, 0x05f98d69bb1c7a0b,
  0xbc9dd34b1c717891, 0x63e609f180905b2b, 0xdec766dfff241b3e, 0xb0326bd47050ef96, 0x0b2ca60f680471ca,
  0x8f9d93146229cc58, 0xc4f2a01ffb30475e, 0xaad508981e59edda, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa,
  0x63f7f442a6b3a6e5, 0x73daad115e54292b, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6,
  0xd5c1e6ca2317f36d, 0xc81db434596af2e4, 0x34a1854e7ea75663, 0x3f01f343c899e04e, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x00f93c21713e792b,
};

static const uint64_t ur_m88pb_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xd6eed55c8a509128, 0x3b50f4d06e246113, 0xfd0ee38f522f892e, 0x6c99fa5f17bb1105,
  0xaef2775718915370, 0xfc7b9827c602416c, 0x2dd00eceebfc906c, 0x2ac0ebffa8e989df, 0xb016f74c800f91c7,
  0xaf173b7488c9e398, 0x5a95821f71cb1823, 0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546, 0x7efe8854d674dcae,
  0x7b55a22bca85256c, 0xc0594a9f4ef3f5ae, 0x78a042d2c2e753a9, 0x6da718de33a20479, 0x5c9ab83cd94462fe,
  0x598f2076d0d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xc9a45ee27cf257ee, 0x0000000000000007,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x3c766ceff08c73e7, 0xea3cacbacd56b466, 0x594bf51f06cc1f51,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xd51fc873ab4bb935, 0xd8d56ba1d79d3763, 0x73170908a22147bd,
  0x546c11fadc37b2d9, 0xb5e5caad402e839e, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0x4292b63f7f442a6b,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x7f36d843156f62aa, 0x3e2e4d5c1e6ca231,
  0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f22678b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x0a88be792bf73433, 0x0000000000004ebc,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0x6f8ec95dfe118e7f, 0x7d4795fce9aad68f, 0x2b74bea3e0d9839c,
  0x88a459a75a1143be, 0x7144cd2135f46165, 0x7c8d6b9cead2ebed, 0xc6ab5d0ebd753769, 0x18b8484503e23e92,
  0x5c741f5b86f65c39, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xfd10a9ace9b95daa, 0xab4457950a4ad8fd,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x79b288c5fcdb610c, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x22f9e4afdcd0ccb0, 0x0000000004eba682,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x377a7ef684dde1c4, 0xab682326a6f1dedb, 0x44895b643c7eedf9,
  0xd95de4ee9a58e2d1, 0xd9f2eb304f8c0482, 0xffacdc3b3e77f920, 0xd35f9e005838e94e, 0x0bac984e7736b868,
  0x81acff51d7c9ee58, 0x62c05dbf2fa38e55, 0x3af47cec98a3114e, 0xbad6279500ffd99e, 0xbcb955aa11303cb5,
  0xa9546bb3b0e7ab36, 0x4dcaed52df5673a8, 0x5256c7efe8854d67, 0x16bae7b55a22bca8, 0x0eea6c529e1a779f,
  0x696d138c6f19d102, 0xcdb61098edec5551, 0xf38b93571b288c5f, 0xf75663c81db43458, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x2dd71b713e792bf7,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0xe7f4dcc13e30120b, 0xbebdd0eccadfe118, 0x1079e005ad24aeb8, 0xe12fc4361222fb8d,
  0x17736bb21d257ea3, 0x1d7c9ee58cfd64cf, 0xf2fa38e5581acff5, 0xc98a3114e62c05db, 0x500ffd99e3af47ce,
  0xa11303cb5bad6279, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0xfe8854d674dcaed5, 0x55a22bca85256c7e,
  0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x79b288c5fcdb6109, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x22f9e4afdcd0ccb0, 0x000000000dd748be,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x2ea3b066ffc231cf, 0x002d69066ceffaa3, 0x39dcdaece5d1ffcf,
  0xb90f29dacac7be61, 0xd47c1b307a57a8f2, 0x34eb422814c5670f, 0xa426be8c2cb1148b, 0xa8fe439d5db9c98e,
  0x8d578d8ebce9bb1e, 0x3170908a22147bdd, 0xa3608991c37b2d97, 0xaf2e556a59f41cf2, 0x2a551aecec39eacd,
  0xd372bb54b7d59cea, 0x1495b1fbfa215359, 0xc5aeb9ed5688af2a, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440,
  0xf36d84263b7b1554, 0x3ce2e4d5c6ca2317, 0xfdd598f207e50d16, 0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25,
  0x4d317ee22f9e4afd, 0x0000000000000001,
};

static const uint64_t ur_m88pb_swio14_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d6960cc17e6, 0xa800ada3b836b8dd, 0xd02f928596cf2430,
  0x9dd4024dce2c3e0d, 0x2609f180905b2bbc, 0x8ecadfff1d4f3e29, 0x173badfb8bea8f4d, 0xd8488bee3441e780,
  0xb233d7fa8f84bf10, 0x6e6def99e2ee6d70, 0x3d2bd4795c8794ed, 0x0a62b387ea3e0d98, 0x16588a459a75a114,
  0xaedce4c752135f46, 0x5e74dd8f547f21ce, 0x110a3deec6abc6c7, 0xe1bd96cb98b84845, 0x2cfa0e7951b044c8,
  0x761cf566d7972ab5, 0x5beace75152a8d76, 0xfd10a9ace9b95daa, 0xab4457950a4ad8fd, 0x53c34ef3e2d75cf6,
  0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271, 0xf365118bf9b6c213, 0xd3e3458df1726ae0, 0xc2a73f53ab31e40c,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x6a9e4afdcd0ccb0e,
  0x000000009f8f36dd,
};

static const uint64_t ur_m88pb_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfc38f3f1ee609f18, 0xa6277cb7403b3baf, 0x3e471cab03affea3, 0x278e62c05bdd3200,
  0x2c608ebc5cedd223, 0xaf2e556a56087dc7, 0x2a551aecec39eacd, 0xd372bb54b7d59cea, 0x1495b1fbfa215359,
  0xcfd6b9ed5688af2a, 0x9d4ea701652a7d3b, 0x8811e5e2810b4b0b, 0x118bf9b69c6378ce, 0xe985727e7f61bb65,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x0000000008e2b751,
};

static const uint64_t ur_m88pb_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0xb5a331e3b3677fd0, 0x60fa8f51e565d66a, 0x50ef8aca5fa8f836,
  0x185962291669d684, 0x5dc9ae3593484d7d, 0xe9bb1ea8fe439d5a, 0x0a3deec6ab5d0ebc, 0xbd96cb98b8484511,
  0x741cf2a3608fd6e1, 0x39eacdaf2e556a01, 0xd59cea2a551aecec, 0x215359d372bb54b7, 0x88af2a1495b1fbfa,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x65118bf9b6c218ab, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961,
  0x0000000005bff9a6,
};

static const uint64_t ur_m88pb_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x482d95de4ee94e1e, 0xf4299fd37304f8c0, 0xaeb8bebdd0eccadf, 0xbee3441e78939094, 0x7fa8f84bf10d8488,
  0x5933c5dcdafd8378, 0xb3fd475f27b9633f, 0x0176fcbe8e395606, 0xd1f3b2628c45398b, 0x589e5403ff6678eb,
  0xe556a844c0f2d6eb, 0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa215359d37, 0xeb9ed5688af2a149,
  0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xd84263b7b15545a5, 0x76371e6ca2317f36, 0xe1ef79430a9cfd41,
  0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x66c9f842fa792bf7,
  0x000000000000001d,
};

// m88pb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0x547a6c7656fffd0a, 0x1e789390956fdc5f, 0x4bf10d8488bee344,
  0xcdae6dd8523fa8f8, 0xf29dadcdbdf33c5d, 0xc1b307a57a8f2b90, 0xb422814c5670fd47, 0x6be8c2cb1148b34e,
  0xe439d5db9c98ea42, 0x78d8ebce9bb1ea8f, 0x0908a22147bdd8d5, 0x08991c37b2d97317, 0xe556a59f41cf2a36,
  0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa215359d37, 0xeb9ed5688af2a149, 0xa9b14a7869de7c5a,
  0xb44e31bc6744083b, 0xd84263b7b15545a5, 0x76371e6ca2317f36, 0xe1ef79430a9cfd41, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x4043d5c2fa792bf7, 0x0000000000000001,
};

static const uint64_t ur_m88pb_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfcbe0b3f01a609f1, 0xf243be5ba01d81ef, 0x4c638e5581d7ff51, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d76761cf566, 0xe9b95daa5beace75, 0xe5f63d10a9ae0404,
  0x5cf6ab4457950a4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0xfcdb4e31bc67440a, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0000a93eb175e792,
};

static const uint64_t ur_m88pb_swio14_lednop_pr[] = {
  0x7bbbbbba83d8ad4e, 0xbbb5572290be251c, 0xb490dbf30fb609e0, 0x9ac1c550c6d97bc2, 0x8eec7bafdd8e3d05,
  0x793ba626e0c33467, 0x7dcc13e30120b657, 0xbd8ec8f7fe48367d, 0x6064d7a8e801df2d, 0x0b2ca67f3a88e395,
  0x1f3b6488c6f9cc58, 0xfa45403ff6608ebd, 0xab5976a07967b707, 0xd76761cf566d7972, 0xdaa5beace75152a8,
  0xd10a9ae0404e9b95, 0xb4457950a4ae5f63, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xb288c5fcdb6318ab, 0x0d165abcb9357079, 0x539fa9d598f2076d, 0xd0f22678138d2861, 0x25c33d30ae4fc07c,
  0xcb0e9296cf8138cb, 0x5a9c4f9e4afdcd0c, 0x0000000000007c99,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_u4[] = {
  0x1137777768bb1762, 0x7adddaab914ad225, 0x63b0bf70f8da0c22, 0x17f43b8e3da1377e, 0x11dc01b6f8feec44,
  0x6caef277699a335a, 0x6cfc069827c60241, 0xbe5ba01d81effc90, 0x8e5581d7ff51f243, 0x31602dee9ba84c63,
  0x475e2e761151f487, 0x2ab52b305ee39630, 0x8d76761cf566d797, 0x5daa5beace75152a, 0x3d10a9ae0404e9b9,
  0xab4457950a4ae5f6, 0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x4e31bc67440a2fa2, 0x357079b288c5fcdb,
  0x1e40eda1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0x842dc4f9e4afdcd0, 0x00000000000007c9,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0xc78ec1adfe118e7d, 0x3d4795b059aad68c, 0x2b53dea3e0d983ea,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x22239b8e7569774a, 0x2b1aad743af3a6ed, 0x2e62e121142f88e3,
  0xca8d823f5b86f65b, 0x36bcb955a8056b13, 0xa8a9546bb3b0e7ab, 0x274dcaed52df5673, 0x572fb1e8854d7020,
  0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x9ab83cd94462fe6d,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e44cf1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x7cf257ee68665874, 0x00000000275cc911,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x1edf1d835bfc231c, 0x38fa8f2b90f355ad, 0x7c57fbbd47c1b307,
  0xcb1148b34eb42287, 0x32e2899a426be8c2, 0xb6488d3139d5a5e0, 0xad6355ae875eba9b, 0x3918b84845107d1d,
  0x6ab8c17f5b86f65c, 0xecec39eacdaf2e55, 0x54b7d59cea2a551a, 0x21535c0809d372bb, 0x88af2a1495cbec7a,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88145f4502, 0xe0f365118bf9b69c, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x7c45f3c95fb9a199, 0x000000000013ae91,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8ad4e, 0x1b4776aae450d889, 0x697a34f7c5a450e2, 0xd5b411935a14d971, 0xd199bb0660bf76fc,
  0xd95de4ee989b82b8, 0xd9f60b304f8c0482, 0xffacdc3b0e1ff920, 0x6b7f9e0058385d4e, 0x2eb26139dcdaf3b7,
  0x0d67fa8f2fa7b960, 0x8b0163de951c72ac, 0xd7a3e76c9118df39, 0xa0ff48a807feccf1, 0xcb955acbb503cb5b,
  0x9546bb3b0e7ab36b, 0xdcaed52df5673a8a, 0xfb1e8854d7020274, 0x7b55a22bca852572, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x571b288c5fcdb631, 0xc81db43458f38b93, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0x713e792bf734332c, 0x00000000002dd79c,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ce_u4[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0x8e7e394c13e30120, 0x8bebdd0ecb75fe11, 0xd1079e005ad269bb, 0x3e12fc4361222fb8,
  0xf17736b9256547ea, 0xa3cbe9ee58cfd64c, 0xf7a5471cab0359fe, 0xdb244637ce62c058, 0x2a01ffb33c75e8f9,
  0xb2ed40f2d6e83fd2, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2317f36d8c4c76f6, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00001bae10b88be7,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0xcba8ec0d1fe118e7, 0xe005ad20683bfea8, 0x4e7736bb41c113f9,
  0xaca5ca76b2b1ef98, 0xf51f06cc1e95ea3c, 0xcd3ad08a05315943, 0xa909afa30b2c4522, 0x2239b8e7576e74a3,
  0x6355e363af3a6ed2, 0xcc5c242285f11c65, 0xa8d8226470decb65, 0x6bcb955a9676b13c, 0x8a9546bb3b0e7ab3,
  0x74dcaed52df5673a, 0x72fb1e8854d70202, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x3131dbd8aaa2d241, 0x93571b288c5fcdb6, 0x63c81f943458f38b, 0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32,
  0x8f88be792bf73433, 0x00000000000534db,
};

static const uint64_t ur_m88pb_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c1a4e, 0x2eed55fd4d99c489, 0x3680ada166ec17e6, 0xa800ad9914774cec, 0x46ea5d8596cf2430,
  0x77535dc2d267b829, 0x9827c602416caef2, 0x7621f7f8ea79fec1, 0xb9da1f5c5f547a6c, 0xc2445f71a20f3c00,
  0xbae4afd47c25f886, 0xe6def99e2ee6d78f, 0xd2bd479594b94ed6, 0xa62b287ea3e0d983, 0x6588a459a75a1140,
  0xedce94752135f461, 0xe74dda4447371cea, 0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e,
  0x61cf566d7972ab52, 0xbeace75152a8d767, 0x9ae0404e9b95daa5, 0x7950a4ae5f63d10a, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x8bf9b6c6263b7b15, 0x8df1726ae0f36511, 0x53ab31e40cd3e345,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x004fcab29d6a9e4a,
};

static const uint64_t ur_m88pb_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e807607b, 0x1318e3956075ffd4, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101,
  0xd73daad115e54292, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00000238beba29e4,
};

static const uint64_t ur_m88pb_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0x5ad198f1d835bfe8, 0x307d47a8f2b60b35, 0x2877c56a7bd47c1b,
  0x8c2cb1148b34eb42, 0x2ee9571ac9a426be, 0x74dda4447371cead, 0xf11c656355ae875e, 0xdecb65cc5c242285,
  0xad627951b047eb70, 0x1cf566d7972ab500, 0xeace75152a8d7676, 0xae0404e9b95daa5b, 0x950a4ae5f63d10a9,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5fcdb6318ab7b155, 0x3f505d8dc79b288c,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002df1a9c0be9e,
};

static const uint64_t ur_m88pb_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x2416caef2775eb4e, 0xfa14cfc729827c60, 0x4ddc5f5ee8765baf, 0x5f71a20f3c49c84b, 0xcfd47c25f886c244,
  0xac99e2ee6d798667, 0xb3fd4797d3dcb19f, 0x80b1ef4a8e395606, 0xd1f3b6488c6f9cc5, 0x7fa45403ff6678eb,
  0xcaad65da81e5add0, 0xa35d9d873d59b5e5, 0x576a96fab39d454a, 0x8f442a6b81013a6e, 0xaad115e54292b97d,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xcd94462fe6db1898, 0x2861539fa82ec6e3,
  0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x105f4f257ee68665,
  0x0000000003acdf7c,
};

// m88pb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0x51e9b1d887dff429, 0x79e24e42487d717d, 0x2fc4361222fb8d10,
  0x36babae30bfea3e1, 0xca76b736f7ccf177, 0x06cc1e95ea3caca5, 0xd08a05315943f51f, 0xafa30b2c4522cd3a,
  0xb8e7576e74a3a909, 0xe363af3a6ed22239, 0x242285f11c656355, 0x226470decb65cc5c, 0x955a9676b13ca8d8,
  0x46bb3b0e7ab36bcb, 0xaed52df5673a8a95, 0x1e8854d7020274dc, 0x55a22bca852572fb, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x9b288c5fcdb63131, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xe0be9e4afdcd0ccb, 0x0000000000a028d4,
};

// m88pb_swio14_dual_pr
static const uint64_t ur_m88pb_swio14_dual[] = {
  0x45ddddddde7c4541, 0xb36b5fb0d7499ab3, 0xbd4fbd123c95a59f, 0x95b3133887b1baeb, 0x8b527269dbad16c8,
  0x70a7720126eabf0f, 0x9827c602416caef2, 0x695c459001291cdf, 0x2e2061430657581b, 0x145fcca6b54ee9f1,
  0xa3c7bd83f8705f73, 0x14239215607dd4de, 0xb006e1f02bfcc681, 0x88657717bbe2ef6b, 0x84d6b45421968464,
  0xbc84b6e52ffe80e7, 0x0a2ff920d30586f2, 0xfd47ee8ef965ae3b, 0xce4c3dc71cab03de, 0x011a62731602a83c,
  0x0ffd9823af006764, 0xa81e59edbde37d50, 0xcfe2af9ddc5495f3, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb,
  0x54d7020274dcaed5, 0x2bca852572fb1e88, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x462fe6db18c55bd8, 0x2c79c5c9ab83cd94, 0x4fdd598f20669f1a, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0031017edd6a9e4a,
};

static const uint64_t ur_m88pb_swio14_dual_pr_u4[] = {
  0x17777776890ddb75, 0xcdad7ec35d266acd, 0x7aef7448f256967e, 0x2256cc4ce21ec6eb, 0x432d49c9a76eb45b,
  0x4e14eebebde4eb4e, 0xf304f8c0482d95de, 0x6d2b88b20025239b, 0x25c40c2860caeb03, 0x98a2fe65d849dd3e,
  0xf51e3dec1fc382fb, 0x08a11c90ab03eea6, 0x5d80370f815fe634, 0x24432bb8bddf177b, 0x3c26b5a2a10cb423,
  0x95e425b7297ff407, 0xd8517fc231982c37, 0xf7ea3f7477cb2d71, 0xe67261ee38e5581e, 0x2008d31398b01541,
  0x807fecc11d78033b, 0x9d40f2cf6def1bea, 0xd67f157ceee2a4af, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35,
  0x42a6b81013a6e576, 0x115e54292b97d8f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0xa2317f36d8c62ade, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x70a4f257ee686658, 0x0000000014934cb5,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ee[] = {
  0xcb7777775050cf68, 0x1b5afd817ecdeace, 0xda0eeeca1ec64627, 0x541b6c5dda27e7de, 0x210badfa51a6ec8a,
  0xcd1f53accdb7661f, 0x30120b657793c95d, 0x59001291649cc13e, 0x1430657581b695c4, 0x32ec24ee9f12e206,
  0x6c09d1c12d4c16bf, 0x215607a6e6f51c6b, 0x1f02bfcc68114239, 0xe2f77c5df743006e, 0x150865a0bed10cae,
  0x7d35ff4073c260f7, 0x231982c3795e425b, 0x55ad1fee1d816bfc, 0x660c3dfa8f2bb753, 0x450ef8af4dfa8f83,
  0xd185962291669d68, 0x9760ab8a973484d7, 0xa25d8c7a33d4e756, 0x291c436355ae875e, 0xbd97d2cc5c24228d,
  0xc8a22aa3608fd6e1, 0xcfe2af9ddc549402, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0x54d7020274dcaed5,
  0x2bca852572fb1e88, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x462fe6db18c55bd8,
  0xb8d165abc6e3cd94, 0x1539fa9d599bf83b, 0xcd0f22678138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x9f5ee149e4afdcd0, 0x0000000000000ac8,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ee_u4[] = {
  0xc1bb777776890c86, 0x0d9b5afd817efdea, 0x56d77ee9d60148ce, 0x37333e9cf5b6c5e3, 0xc50b201a2ff4a34c,
  0x3f4ddddd8dd9683c, 0xcc13e30120b65779, 0x695c4590012909c7, 0x2e2061430657581b, 0xc4ebf32ec24ee9f1,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0x2006e1f02bfcc681, 0x88657717bbe2ef67, 0x09a448a8432d08f6,
  0xf212dba6dffd01cf, 0x43ffe118cc161bca, 0xb60b355ad1c061d9, 0xd47c1b307227a8f2, 0x34eb422877c5721f,
  0xa426be8c2cb1148b, 0xc73ab4bb935c20b9, 0xe875ed62769c51cd, 0x8450b5d1c656355a, 0x7d6e1bd971f18b84,
  0xe2af9ddc549571d2, 0x0e7ab36bcb955acf, 0xf5673a8a9546bb3b, 0xd7020274dcaed52d, 0xca852572fb1e8854,
  0x5ce80f2e7b55a22b, 0x2b08985ea5af29c0, 0xe33a206c7f8a042d, 0xcd94462fe6da718d, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x02ae149e4afdcd0c, 0x0000000000000ac9,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ce[] = {
  0x25ddddddde7cbd5b, 0x536b5fb0d7fb5ab7, 0xfddfbdb128cda2d4, 0x91a162474eb00a2a, 0x41ebb67c9337792f,
  0xf2717bbbbbf7016b, 0x729827c602416cae, 0x1b695c459001291e, 0xf12e206143065758, 0xf3175fcca6b54ee9,
  0xbd47727b0f9c7090, 0x04508e485581afb9, 0x1b801b87c0aff31a, 0x222195dc5eef8bbf, 0x3c265af150865a19,
  0x95e425b78e5ff407, 0xd8a7bfc906982c37, 0x0173b72677fd4141, 0xe7736ba6dcedfe78, 0xf2fa7b9602871984,
  0xd7c8e3956064f7a8, 0x0f88c6f9cc580bb7, 0x1ee39633c75e45bb, 0xfc55f3bb8a928eae, 0x61cf566d7972ab59,
  0xbeace75152a8d767, 0x9ae0404e9b95daa5, 0x7950a4ae5f63d10a, 0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59,
  0x8ce88145f18c10b4, 0x365118bf9b69c637, 0x7c68b1e71726ae0f, 0xc2b93f75663c819a, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000e7af1b75aa,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ce_u4[] = {
  0x13b777776890cf68, 0x94dad7ec5c6e76ad, 0xdb5c776c314ee9dc, 0x8efe9b33a2f2af39, 0x76227a8fb3edd89c,
  0x4d4577347d4ebdc3, 0xf304f8c0482d95de, 0xda571164004a470f, 0x4b881850c195d606, 0x369bfccbb093ba7c,
  0xd4753db0cac70df7, 0x4508e4855819759b, 0x2801b87c0aff31a0, 0xa2195dc5eef8bbc9, 0xc269c62a10cb4027,
  0xbc84b6f43fff4073, 0x34dff846330586f2, 0xc84b675c5f5dbe3b, 0xc2445f71a20f3c49, 0x4a672fd47c25f886,
  0xc6787199e2ee6d7a, 0x56064f7a8f38cf72, 0x1cc580a63cf58e39, 0x9e3af22dd97c4719, 0xdc54947591771cb1,
  0x6bcb955acfe2af9d, 0x8a9546bb3b0e7ab3, 0x74dcaed52df5673a, 0x72fb1e8854d70202, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0x0dc79b288c5fcdb6, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x69274f5c293c95fb,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ee_ce[] = {
  0xadb2b77777750c86, 0x58636b5fb71fbebe, 0x5f6af7ba55e589b1, 0xbed14a2d4d3dee13, 0x66ec13263d3a67b2,
  0x2eeeec6ec782e62e, 0x9f180905b2bbc9b1, 0xc459001291e7ae60, 0x061430657581b695, 0x3f32ec24ee9f12e2,
  0x346c34d1c1fe4d88, 0x7242ac0ec7e6f51c, 0xdc3e057f98d02284, 0x5dc5eef8bbd70400, 0x1e2a10cb4182a219,
  0x6dcd6ffe80e784d2, 0xf08c660b0de57909, 0x1dff54795876620f, 0x8f75bf3c49c84b10, 0x564dd309cee6d754,
  0xb7fd4795cae94ed6, 0x4c57befd47c1b307, 0xcb1148b34eb42281, 0xdb9828ea426be8c2, 0xa897631e8cf539d5,
  0x948e21b1aaf1b1d7, 0xdecbe9662e121146, 0xf2288aa8d8226470, 0xb3f8abe77715252c, 0xcec39eacdaf2e556,
  0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2317f36d8c4c76f6, 0x771a2c79c371e6ca, 0xa615c9fbab337f07, 0x52d9f0271964b867,
  0x93c95fb9a19961d2, 0x00000013040395c2,
};

static const uint64_t ur_m88pb_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xad7ed50faf7ab46a, 0xb26dcedfb9c4758d, 0x5f8ff7d74211e1ec, 0x00cd19c6a2d4d8ac,
  0x1aea1012f2757bf7, 0xbbc9294ee2fac16d, 0xc41e609f180905b2, 0x06da571164004a43, 0x7c4b881850c195d6,
  0xd36377e657ed13ba, 0xf51f106c1aece087, 0x114239215607a6a6, 0x4a006e1f02bfcc68, 0x22195dc5eef8bbee,
  0x84ca7a2a10cb42dd, 0x79096dfacffe80e7, 0xc6eff1d4e60b0de5, 0xcc6eb8bea8e2b0ec, 0x117dc6883cf12701,
  0xafbf51f097e21b09, 0x886678bb9b5ee4a3, 0xf51e56c1653b5b9b, 0xad4f7a8f83660fa8, 0x2291669d68450298,
  0x1c31d484d7d18596, 0x9db6fa397c73abb7, 0xc7cb1aaf1b1d7b58, 0x5c7c62e121140288, 0x549718e4532386f6,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0xdcaed52df5673a8a, 0xfb1e8854d7020274, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb631, 0xbf411a2c6f8b9357,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x80a792bf734332c3, 0x000000004002681c,
};

static const uint64_t ur_m88pb_swio14_dual_hw[] = {
  0x2eeeeeed121a559b, 0x9b5afd86ba4cd59a, 0xf5dee891e4ad2cfd, 0x44ad9899c43d8dd6, 0x365a93934edd68b6,
  0xf270a77385f1ff73, 0xdf9827c602416cae, 0x1b695c459001291c, 0xf12e206143065758, 0xdcc517f32ec24ee9,
  0x37a8f1ef60fe1c17, 0xa04508e485581f75, 0xdaec01b87c0aff31, 0x1922195dc5eef8bb, 0x39e135ad150865a1,
  0xbcaf212db94bffa0, 0x1d8517fdf9d4c161, 0xef7ea3f7477cb2d7, 0x1e67261ee38e5581, 0xb2008d31398b0154,
  0xa807fecc11d78033, 0xf9d40f2cf6def1be, 0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3,
  0x442a6b81013a6e57, 0xd115e54292b97d8f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0xca2317f36d8c62ad, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000c6ea9968,
};

static const uint64_t ur_m88pb_swio14_dual_ee_hw[] = {
  0x65bbbbba1eb432db, 0x8dad7ec0bf66f567, 0x6d0777650f632313, 0x2a0db62eed13f3ef, 0x9085d6fd28d37645,
  0x2bb8e08ab34ceb0f, 0x27c602416caef279, 0xb88b2002522c9398, 0x40c2860caeb036d2, 0xd7e65d849dd3e25c,
  0x8d6d813a3825a982, 0x47242ac0f4dcdea3, 0x0dc3e057f98d0228, 0x95dc5eef8bbee860, 0x1ee2a10cb417da21,
  0x4b6fa6bfe80e784c, 0xff7e7530586f2bc8, 0xd4d56b47fb87605a, 0xe0d9830f7ea3caed, 0x5a1143be2bd37ea3,
  0x35f4616588a459a7, 0xd5a5d82ae2a5cd21, 0xd7a897631e8cf539, 0xa34a4710d8d56ba1, 0xb86f65f4b3170908,
  0x00b2288aa8d823f5, 0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0xa21535c0809d372b,
  0x688af2a1495cbec7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x65118bf9b6c63156,
  0xc2a73f52f571b8f3, 0x33c5ce32fcc4fe50, 0xc9f8e7bff8268791, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0015da4fae17d3c9,
};

static const uint64_t ur_m88pb_swio14_dual_ce_hw[] = {
  0x333dddddda2432db, 0x244dad7ec5c42dab, 0x3ed26f747b586b82, 0x6702d60bb251fad3, 0x34ceabbfbbcfbdd6,
  0xcaef2571bb8e08ab, 0x21e019827c602416, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x847298e0fe65d849,
  0x024dea3dbad86ce3, 0x98d022847242ac0f, 0x5dea4800dc3e057f, 0xa01ed10caee2f77c, 0x4073c2609f150865,
  0x86f2bc84b6e337ff, 0xf0761c1ff7e75305, 0x3c49c8489d5c5f57, 0xf886c2445f71a20f, 0x6d7643a4afd47c25,
  0xcf72c67d4b99e2ee, 0x1c72ac0ed6f51c27, 0x1a62731602945dbf, 0xfd99e3af00676401, 0x0796b73de37d500f,
  0xf8abe77715257cea, 0xc39eacdaf2e556b3, 0x7d59cea2a551aece, 0x35c0809d372bb54b, 0xf2a1495cbec7a215,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x17f36d8c4c76f62a, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000004dd70842fa7,
};

static const uint64_t ur_m88pb_swio14_dual_ee_ce_hw[] = {
  0x6caddddddd436f02, 0x18dad7edc7efafab, 0xdabdee9579626c56, 0xb4528b534f7b84d7, 0xbb04c98f4e99ecaf,
  0xbb9fc3e6be8b3799, 0x7c602416caef26c4, 0x1164004a479eb982, 0x1850c195d606da57, 0xfccbb093ba7c4b88,
  0xd1b0d34707f93620, 0xc90ab03b1f9bd470, 0x70f815fe63408a11, 0x7717bbe2ef5c1003, 0x78a8432d060a8865,
  0xb735bffa039e1348, 0xbf3a982c3795e425, 0xeffaa3cac3b3107f, 0x1a0ff9e24e425880, 0x59374c273b9b5f2a,
  0xdff51e572ba53b59, 0x315efbf51f06cc1e, 0x2c4522cd3ad08a05, 0x6e60a3a909afa30b, 0xa25d8c7a33d4e757,
  0x523886c6abc6c75e, 0x7b2fa598b848451a, 0xc8a22aa3608991c3, 0xcfe2af9ddc5494b3, 0x3b0e7ab36bcb955a,
  0x2df5673a8a9546bb, 0x54d7020274dcaed5, 0x2bca852572fb1e88, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xaaa2d2414e31bc67, 0x8c5fcdb63131dbd8, 0x2b93f3fb0dc79b28, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000226981c82fa7,
};

static const uint64_t ur_m88pb_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d05f82, 0xb5afdaa1de4f564f, 0x47f7513eb473b651, 0xac3ae57bccdb85eb, 0x23f019a334fbebb3,
  0x5bfb46d5c78f0dfc, 0x20b657793619ddd3, 0x04a45ecf4c13e301, 0x195d606da5711640, 0xd53ba7c4b881850c,
  0x1c3b066bc3fccb20, 0xe209bd4743ed8637, 0xf31a04508e485581, 0x1778aa001b87c0af, 0x684724432bb8bddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbd257f, 0xd0ecbc3ffea374c1, 0x2fa12bc3b8bea8c9, 0xb09117dc6883cf16,
  0x6467aff51f097e21, 0xdcdcdd33c5dcdae1, 0xf6ffa8f2b95d29da, 0x298af7dfa8f83660, 0x5962291669d68450,
  0xbb73051d484d7d18, 0xf512ec63d19ea73a, 0xd291c436355e363a, 0x1bd97d2cc5c24228, 0x9e4511551b044c8e,
  0xd67f157ceee2a4a5, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0x42a6b81013a6e576, 0x115e54292b97d8f4,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x4462fe6db1898ede, 0x1539fa82ec6e3cd9,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x5cf257ee68665874,
  0x000001d758a04b40,
};

static const uint64_t ur_m88pb_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xf97c167cc7cc13e3, 0xc4277cb7483b36ff, 0xb5e38e5581f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x54aa35d9d873d59b, 0x6e576a96fabb39d4, 0x956aff7f442a6b3a,
  0xd6b9ed5688af2a14, 0x4ea701652a7d3bcf, 0x117ee2810b4b0b9d, 0x8bf9b69c6378ce88, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000000a91702ebcf,
};

static const uint64_t ur_m88pb_swio15_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2571, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7ddb89d05,
  0x793bab8c489bb837, 0xfe4c13e30120b657, 0x83e3b0caff241b3e, 0x607d07a8f2f8ef96, 0x16594d1ef4a8e395,
  0x1f3b4428f7b398b0, 0x49a5403ff6608ebd, 0x55abeb703cb3db11, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954,
  0xfefe8854d674dcae, 0xdaad115e54292ad5, 0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x9156f62aa8b4b689,
  0xb83cd94462fe6d8c, 0x03b6868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e6879133c09c6, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x0f93408e27cf257e,
};

static const uint64_t ur_m88pb_swio15_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0xadddaab9142f712d, 0x7be3f50e2448c227, 0xfd0eee27767f07a8, 0xb83b6c6569bba905,
  0xb2bbc9ddfa706f0a, 0xb3e63e609f180905, 0xf96e90766dfff241, 0x1cab03e7bd47884e, 0xc580b7ba6d296bc7,
  0x3af173b5c3464d1c, 0x55a9595ff71cb182, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xfefe8854d674dcae,
  0xdaad115e54292ad5, 0x02ca54fa779fad73, 0xc5021696173a9d4e, 0x6d38c6f19d1022fd, 0xe4d5c1e6ca2317f3,
  0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x269a0713e792bf73, 0x000000000000001f,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x1d915bfc231cf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47921cead2e95971, 0x355ae875e74ddba8, 0x8b848451f22383f6,
  0x3608fd6e1bd96cb9, 0xe5caad402e9305aa, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x56aff7f442a6b3a6,
  0xeb9ed5688af2a149, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x6c648ab7b15545a5, 0xe4d5c1e6ca2317f3,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f22678b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x8be792bf734332c3, 0x0000000004ebe318,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x28766fbff08c73f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xc51bde73ab4bd4a5, 0xc6ab5d0ebd753769, 0x62e121142d74770e,
  0x71d27d6e1bd970e4, 0xd873d59b5e5caad5, 0xfabb39d454aa35d9, 0x442a6b3a6e576a96, 0x88af2a14956aff7f,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6ca2317f36c648ab, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xbe792bf734332c3a, 0x00000000275cb388,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ce[] = {
  0x1b5bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf4bdf370e2, 0xd5b416efc29e98db, 0xf8360ccd8cc774da,
  0xb657793bab8c4891, 0x367ca5cc13e30120, 0xbfea0a0ec74bfe48, 0xcedfe780160e4873, 0x0bac984e7736ba6d,
  0xc0c9ef51e6e9ee58, 0xcc580a654e31c72a, 0xc75e8f9da2147bd9, 0xb708a4d2a01ffb33, 0xd7972ab57d6e0796,
  0x152a8d76761cf566, 0x9b95daa5beaece75, 0x255abfdfd10a9ace, 0x6bae7b55a22bca85, 0xeea6c529e1a779f1,
  0x96d138c6f19d1020, 0x9b63218edec55516, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0xb75d38e27cf257ee, 0x0000000000000000,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0x73fb3a609f180905, 0xbebb7c764aeff08c, 0x1079e005ad26fbb8, 0xe12fc4361222fb8d,
  0x17736bdc89257ea3, 0x1e6e9ee58cfd64cf, 0x54e31c72ac0c9ef5, 0xda2147bd9cc580a6, 0x2a01ffb33c75e8f9,
  0x57d6e0796b708a4d, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0xfd10a9ace9b95daa, 0x5a22bca85255abfd,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c, 0xf365118bf9b63218, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x45f3c95fb9a19961, 0x000000000dd74d04,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x2963b3fe7f84639f, 0x8016b49ff0effaa3, 0x9cee6d7ca8683fe7,
  0x59c394ed6563df30, 0xea3e0d9833d7d479, 0x9a75a1140a62b2eb, 0x52135f4616588a45, 0x847921ceaedc9587,
  0xc6abc6c75e74ddba, 0x3170908a3e44707e, 0xa3608991c37b2d97, 0x5e5caad4b3e9305a, 0x54aa35d9d873d59b,
  0x6e576a96fabb39d4, 0x956aff7f442a6b3a, 0xaeb9ed5688af2a14, 0xba9b14a7869de7c5, 0x5b44e31bc6744083,
  0x6d8c863b7b15545a, 0x9c5c9ab8d94462fe, 0xbab31e40fca1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0xa63cbc45f3c95fb9, 0x0000000000000029,
};

static const uint64_t ur_m88pb_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c7a31, 0x2eed55fd4ec4c496, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf5a30,
  0x77513f0fbed03e37, 0x9827c602416caef2, 0x7635dff8ea79fc6e, 0xb9db5ddc5f547b38, 0xc2445f71a20f3c00,
  0xfe3eefd47c25f886, 0xe6def99e2ee6d7e1, 0x3d7d47959c394ed6, 0xa62b2ebea3e0d983, 0x6588a459a75a1140,
  0xedc958752135f461, 0xe74ddba847921cea, 0xe44707ec6abc6c75, 0x37b2d973170908a3, 0x3e9305aa3608991c,
  0x873d59b5e5caad4b, 0xabb39d454aa35d9d, 0x42a6b3a6e576a96f, 0x8af2a14956aff7f4, 0x69de7c5aeb9ed568,
  0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x94462fe6d8c863b7, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x0000027e47d775aa,
};

static const uint64_t ur_m88pb_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xff871e7cc7cc13e3, 0xf109df2dd20ecdbf, 0x2d78e395607cf7a8, 0xc9a398b016f74da5,
  0x9630475e2e76b868, 0xd7972ab52b2bfee3, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x255abfdfd10a9ace,
  0xf5ae7b55a22bca85, 0x53a9c0594a9f4ef3, 0x045fb8a042d2c2e7, 0x62fe6da718de33a2, 0x615c9f9fd86ed944,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000000238971453,
};

static const uint64_t ur_m88pb_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe0ec8adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xeacdaf2e556a0174, 0x9cea2a551aecec39, 0x359d372bb54b7d5d, 0x950a4ab57fbfa215,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x18bf9b632455bd8a, 0x4e7ea0bb1b8f3651,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000005bff92617d,
};

static const uint64_t ur_m88pb_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x2416caef2774a51d, 0xfa14cfece9827c60, 0xfbb8bebb7c764aef, 0xbee3441e78939096, 0xdfa8f84bf10d8488,
  0x5933c5dcdae6b730, 0x27bd479ba7b9633f, 0x60299538c71cab03, 0x7a3e768851ef6731, 0x22934a807feccf1d,
  0x5caad5f5b81e5adc, 0xaa35d9d873d59b5e, 0x576a96fabb39d454, 0x6aff7f442a6b3a6e, 0xb9ed5688af2a1495,
  0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0x8c863b7b15545a5b, 0xec6e3cd94462fe6d, 0xc3def2861539fa82,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xcdbe4985f4f257ee,
  0x000000000000003a,
};

// m88pb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece1d8d77ff429, 0x79e24e424d77717d, 0x2fc4361222fb8d10,
  0x36bf20eaebfea3e1, 0xca76b736f7ccf177, 0x06cc19ebea3cace1, 0xd08a05315975f51f, 0xafa30b2c4522cd3a,
  0x90e7576e4ac3a909, 0xe363af3a6edd423c, 0x48451f22383f6355, 0x44c8e1bd96cb98b8, 0x556a59f4982d51b0,
  0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55, 0x7fbfa215359d372b, 0xf6ab4457950a4ab5, 0x8a53c34ef3e2d75c,
  0x718de33a2041dd4d, 0x431dbd8aaa2d2da2, 0x371e6ca2317f36c6, 0xef79430a9cfd4176, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x432702fa792bf734, 0x0000000000000140,
};

static const uint64_t ur_m88pb_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfcbe0b3f01a609f1, 0xf243be5ba41d81ef, 0x2631c72ac0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546bb3b0e7ab3, 0x4dcaed52df57673a, 0x92b1e8854d702027,
  0x73daad115e54292b, 0xf52d794e02e74079, 0x45f45021695844c2, 0xbf9b69c6378ce881, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00001527d62ebcf2,
};

static const uint64_t ur_m88pb_swio15_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11ddb89d0,
  0x7793bb4cd19b4b47, 0xea54c13e30120b65, 0xa0f8ec31ffe48367, 0xac0fa0f51f4a3be5, 0x05965340609f1c72,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954,
  0x8854d7020274dcae, 0xd115e54292b92b1e, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0xca2317f36d02a2ad, 0x34596af2e4d5c1e6, 0x4e7ea75663c81db4, 0x43c899e04e34a185, 0x970cf4c2b93f01f3,
  0x2c3a4a5b3e04e32c, 0x45713e792bf73433, 0x000000000003e4c7,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x7adddaab914ad225, 0x63b0bf7d7f858c22, 0x17f43bb89da1377e, 0x11dc01b6f8feeea4,
  0x6caef277699a335a, 0x6cfc069827c60241, 0xbe5ba41d81effc90, 0xc72ac0f9ef51f243, 0x98b016f74dd42631,
  0x23af173b08a8fa43, 0x955a95982f71cb18, 0x46bb3b0e7ab36bcb, 0xed52df57673a8a95, 0xe8854d7020274dca,
  0xad115e54292b92b1, 0x794e02e7407973da, 0x5021695844c2f52d, 0x69c6378ce88145f4, 0x26ae0f365118bf9b,
  0x63c81db43458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x3085b89f3c95fb9a, 0x00000000000000f9,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x0ec383fe118e7e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23050e7569790eb8, 0x1aad743af3a6eddd, 0xc5c242289b91e45b,
  0x1b047eb70decb65c, 0x7972ab5008452695, 0x52a8d76761cf566d, 0xb95daa5beaece751, 0x563d10a9ae0404e9,
  0x7b55a22bca852572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x83cd94462fe6da05,
  0x3f2868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e6879133c09c69, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x3af843117cf257ee, 0x0000000000000001,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46650ec383fe118e, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb2c4522cd3ad08a1, 0xf6b8a266909afa30, 0xecbe23884e756975, 0x22d8d56ba1d7aea6, 0x0e462e121140df46,
  0x5aae167fd6e1bd97, 0xbb3b0e7ab36bcb95, 0x52df57673a8a9546, 0x854d7020274dcaed, 0x115e54292b92b1e8,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0xc6f19d10273e8a04, 0xc1e6ca2317f36d38, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x088be792bf734332, 0x000000000013ae9a,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ce[] = {
  0x236b7777777b1762, 0x86d1ddaab9142b71, 0x634f685ed69b3c38, 0xad5b416ef4130aa8, 0x4d1d9fbc5f63f74d,
  0x2d95de4eed33467f, 0x0d9f53d304f8c048, 0xeffa8283b0baff92, 0xcc41f9e00583852c, 0x80bac984e7736bbf,
  0xac0c9ef51e719ee5, 0x398b014c79eb1c72, 0x78ebd1f3b2f88e32, 0x5b86fdc35403ff66, 0x6bcb955adc3903cb,
  0x8a9546bb3b0e7ab3, 0x4dcaed52df57673a, 0x92b1e8854d702027, 0x73daad115e54292b, 0xb94b5f3a03c72b5d,
  0x718de33a20421520, 0x518edec55516920a, 0x9ab8d94462fe6da0, 0x1e40eda1a2c79c5c, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x7389f3c95fb9a199, 0x000000000005baaa,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f51d9813fc231, 0x20f3c00b5a4cad71, 0xc25f886c2445f71a,
  0x2ee6d74a8b91fd47, 0xf924f72c67e3399e, 0x0291c72ac0c43fa8, 0x9ef476b1cc580bdd, 0x8bb8e58cf1d78b9d,
  0xcf566d7972ab51d0, 0xece75152a8d76761, 0x0404e9b95daa5bea, 0x852572563d10a9ae, 0xe56bae7b55a22bca,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0x8b9357079b288c5f, 0xab31e40fca1a2c6f,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0xdd7ab2a22f9e4afd,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94b1d89b7fe118e7, 0x8016b489b677fd51, 0x9cee6d7524e6ffe7,
  0x594394ed6563df30, 0xea3e0d9833d7d479, 0x9a75a1140a62b60b, 0x52135f4616588a45, 0xa460a1ceaedd21c7,
  0xc6abc6c75e74ddbb, 0x3170908a26e47916, 0xa3608991c37b2d97, 0xaf2e556a5988a4d2, 0x2a551aecec39eacd,
  0x372bb54b7d5d9cea, 0x4ac7a21535c0809d, 0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x463b7b15545a4829, 0x6ae365118bf9b681, 0x7903f2868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0x7117cf257ee68665, 0x00000000000a69e3,
};

static const uint64_t ur_m88pb_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7cbd5b, 0x2eed55fd4c374496, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf5a30,
  0x9ddeefdc1ceb4176, 0xe609f180905b2bbc, 0x0ec149fe3a9e7cd6, 0x0b9d8a4b8bea8f67, 0x6c2445f71a20f3c0,
  0x5a9e01fd47c25f88, 0x6e6def99e2ee6d7f, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114,
  0xaedd21c752135f46, 0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991,
  0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x8bf9b681463b7b15, 0x8df1726ae0f36511, 0x53ab31e40cd3e345,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x004fc48bdd6a9e4a,
};

static const uint64_t ur_m88pb_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e907607b, 0x098c71cab03e7bd4, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809,
  0x5cf6ab4457950a4a, 0xbd4b5e5380b9d01e, 0x517d14085a561130, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x0000004717d7453c,
};

static const uint64_t ur_m88pb_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f0761c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x7ab36bcb955a8042, 0x673a8a9546bb3b0e, 0x20274dcaed52df57, 0x292b92b1e8854d70,
  0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0x4176371e6ca2317f,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00b7e6a702fa792b,
};

static const uint64_t ur_m88pb_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x2416caef2775a77d, 0xfa14cf8d69827c60, 0xceb8bebb7c7669bf, 0xbee3441e78939096, 0xffa8f84bf10d8488,
  0xb2678bb9b5f9699b, 0x4f7a8f38cf72c67e, 0x80a63cf58e395606, 0xe8f9d97c47191cc5, 0x7ee1aa01ffb33c75,
  0xcaad6e1c81e5adc3, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xf442a6b81013a6e5, 0x5688af2a1495c958,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d028c7, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c,
  0x000000000eb36015,
};

// m88pb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m88pb_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9c3b0527fd0a6, 0x79e24e424292e2fa, 0x2fc4361222fb8d10,
  0xcdafe72ea77ea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b28, 0xb422814c56c17d47, 0x6be8c2cb1148b34e,
  0x1439d5dba438ea42, 0x78d8ebce9bb7748c, 0x121144dc8f22d8d5, 0x1132386f65b2e62e, 0xcaad4b31149a546c,
  0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xf442a6b81013a6e5, 0x5688af2a1495c958, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d028c7, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc2fa792bf734332c, 0x00000000028081e4,
};

// m88pb_swio15_dual_pr
static const uint64_t ur_m88pb_swio15_dual[] = {
  0x1fddddddde7c7a31, 0xb36b5fb0d739dab1, 0xbdb17d836b05a59f, 0x95ba67f68eb14e4f, 0xa35043b0dba47ec8,
  0xc29dc89f87ca3e0f, 0x609f180905b2bbc9, 0xa571164004a41806, 0xb881850c195d606d, 0x517f329ad53ba7c4,
  0x8f1ef60fe1c17dcc, 0x508e485581f7537a, 0x001b87c0aff31a04, 0x10caee2f77c5df00, 0x09ad68a8432d08c9,
  0x79096dca1ffd01cf, 0x7eeff241a60b0de5, 0xfa8fb7cef967bc76, 0x2568f71c72ac0e0f, 0xa47109cc580aa0f3,
  0x3ff6608ebc019db4, 0x503cb3db4c632540, 0xcfe2af9ddc549702, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb,
  0x4d7020274dcaed52, 0x5e54292b92b1e885, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0x317f36d02a2adec5, 0x63ce2e4d5c1e6ca2, 0x7eeacc790334f8d1, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x01880f2eeb54f257,
};

static const uint64_t ur_m88pb_swio15_dual_pr_u4[] = {
  0x623fbbbbbb4486f9, 0x3f66d6bf61ae73b5, 0x9da9f7bb06d60b4b, 0xfd912b74cfed1d62, 0xe7f0c6a08761b748,
  0xde4e14ee9b4721dc, 0xc03304f8c0482d95, 0x036d2b88b2002520, 0x3e25c40c2860caeb, 0xfb98a2fe65d849dd,
  0xa6f51e3dec1fc382, 0x3408a11c90ab03ee, 0xbe0000370f815fe6, 0x11922195dc5eef8b, 0x039e135ad150865a,
  0x1bcaf212db943ffa, 0x78ecfddfe118cc16, 0x1c1ff51f6f9df2cf, 0x41e64ad1ee38e558, 0x3b6948e21398b015,
  0x4a807fecc11d7803, 0x2e04a07967b698c6, 0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0xdaa5beaece75152a,
  0xd10a9ae0404e9b95, 0x5a22bca852572563, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xd94462fe6da05455, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343c899e0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xfae149e4afdcd0cc, 0x00000000002926b4,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ee[] = {
  0xf5b7777775050c86, 0x38dad7ec0bf266ac, 0xf722775261d63231, 0x14a83682ab8858ab, 0x41f1375af4a34deb,
  0x4aeeeec6ecfabf31, 0x09f180905b2bbc9e, 0xae22c800948ee3e6, 0x1030a1832bac0db4, 0xb5f997612774f897,
  0xe35b604e8e096a60, 0x11c90ab03d3737a8, 0x0370f815fe63408a, 0x657717bbe2efeeb0, 0x07b8a8432d05f688,
  0x25b79dbffa039e13, 0xffc231982c3795e4, 0x6e6ab5a37263b3a7, 0xf06cc1c7bf51e57a, 0xad08a1df15ecef51,
  0x9afa30b2c4522cd3, 0xead2ea797152e690, 0x75ea25d9fc47d41c, 0x283d51fc96355ae8, 0x6e1bd97d2cc5c242,
  0xa010f9bdaa3608fd, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa, 0x442a6b81013a6e57,
  0x688af2a1495c958f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x65118bf9b6815156,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343c899e04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0xac873eb852792bf7, 0x0000000000000000,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed1369fbb90, 0xb5afd817e4cd59eb, 0xb4f6a4c3ac646271, 0x6d055710b157e44e, 0x6eb5e9469bd62950,
  0x5225795effad83e2, 0x0905b2bbc9e4aee3, 0x800948ee3e609f18, 0x1832bac0db4ae22c, 0xfda2774f8971030a,
  0x274704b5305afcca, 0x581e9b9bd471adb0, 0x0aff31a04508e485, 0xddf177f75801b87c, 0x219682fb4432bb8b,
  0xdffd01cf0983dc54, 0xcc161bcaf212dbce, 0xd1b931d9d3ffe3a9, 0xe3dfa8f2bd37355a, 0xef8af677a8f83660,
  0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512, 0xbe9662e121141ea8,
  0xded51b047eb70dec, 0x8abe77715250087c, 0x39eacdaf2e556b3f, 0x5d9cea2a551aecec, 0xc0809d372bb54b7d,
  0x50a4ae4ac7a21535, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb40a8ab7b1554,
  0xf8b9357079b288c5, 0xaccdfc1bf411a2c6, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xc8b5a9c80a792bf7, 0x000000000000000a,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ce[] = {
  0xc1ddddddde7cd0e3, 0x536b5fb0d7d95ab2, 0xbd1d7d8168eda2d4, 0x91a1706f55f362df, 0x894fb2c473b7560f,
  0x4e2f77571b414d7c, 0xf304f8c0482d95de, 0xda571164004a40c2, 0x4b881850c195d606, 0xc5d7f329ad53ba7c,
  0x51dc9ec3e71c243c, 0x14239215606bee6f, 0x7006e1f02bfcc681, 0x88657717bbe2effd, 0x0996bc5421968648,
  0x79096dc6b7fd01cf, 0x604ff241a60b0de5, 0xb9da563bfeb2f876, 0xee6d7d34ff3f3c00, 0x38cf72c050e3309c,
  0x6e8e3956064d7a8f, 0x6ba38c8e62c0532a, 0xb71cb19e3af22dd9, 0xf157ceee2a4a3ab5, 0x873d59b5e5caad67,
  0xabb39d454aa35d9d, 0xb81013a6e576a96f, 0x2a1495c958f442a6, 0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a,
  0x9d10273e3182169a, 0xca2317f36d38c6f1, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000039ebd38eb54f,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ce_u4[] = {
  0xd93b777776890c86, 0x929b5afd8b8d57ea, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x798a1640258b7727,
  0xf26a2bbbbb1bb2d0, 0xeb9827c602416cae, 0x36d2b88b20025219, 0xe25c40c2860caeb0, 0xb9b4dfe65d849dd3,
  0xdea3a9ed8656386f, 0x022847242ac0cbac, 0xce400dc3e057f98d, 0x3d10caee2f77c5de, 0x9e134e3150865a01,
  0xcaf212db85affa03, 0xecd9dfe118cc161b, 0x93909456b8bea650, 0x0d8488bee3441e78, 0xe495951fa8f84bf1,
  0xe58cf0e333c5dcda, 0x72ac0c9af51d009e, 0x229cc580afe7511c, 0x633c75e45bb4dc8f, 0x9ddc5494743e6e39,
  0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x274dcaed52df5767, 0x2b92b1e8854d7020, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0xf86e3cd94462fe6d, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x01a4902ae149e4af,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ee_ce[] = {
  0xb2beddddddd432db, 0x2946d6bf6e3ed3da, 0x0efd5f753ecb53d6, 0x87b33339dee30f90, 0x6d0672b8bd3a66af,
  0xb771c11560f0ccea, 0x4f8c0482d95de4a3, 0xe22c8009484f2f30, 0x030a1832bac0db4a, 0x5f997612774f8971,
  0xc7f61ff0e01a26d3, 0x7242ac0e87e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1778c2e00, 0x9c54219681c34432,
  0xdbe377fd01cf099c, 0xe118cc161bcaf212, 0x77fd51b051d93b7f, 0x4c03f9e24e4253b6, 0xb221984e7736b822,
  0x9fea3cad4f4a76b2, 0x62bc09ea3e0d9830, 0x588a459a75a1140a, 0xdc5d4752135f4616, 0x589d8ca47389ceae,
  0x91ad7b1aaf1b1d7b, 0xd971f18b8484512f, 0xb8a92e311f0c8e1b, 0xd7972ab59fc55f3b, 0x152a8d76761cf566,
  0x9b95daa5beaece75, 0x2563d10a9ae0404e, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0xa31dbd8aaa2d2414, 0xdc79b288c5fcdb40, 0xccdfc1ddc68b1e70, 0x592e19e985727eea, 0x66587494b67c09c6,
  0x749d70a4f257ee68, 0x0000000000000982,
};

static const uint64_t ur_m88pb_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0xad7ed50caf7ab33e, 0x82daaf1d79c4758d, 0x7de66e6d09b964d3, 0x0419a3367c5a9b16,
  0x42ace797721ae2ed, 0xaef24a53bab00840, 0xf1eb9827c602416c, 0x81b695c459001290, 0x9f12e20614306575,
  0xf4d8ddf995fb44ee, 0xbd47c41b06bb3821, 0x04508e485581e9a9, 0x80401b87c0aff31a, 0x488657717bbe2ef7,
  0xe1329e8a8432d0b7, 0x5e425b74a8ffa039, 0x3f5ffc753982c379, 0x73f5ee2faa38e43b, 0x445f71a20f3c49c0,
  0x231fd47c25f886c2, 0xe2199e2ee6d77806, 0xfd4795a9e94ed6e6, 0x57813d47c1b30613, 0x1148b34eb422814c,
  0x8ba8ea426be8c2cb, 0x13b1948e7139d5db, 0x35af6355e363af6b, 0x2e3e3170908a25f2, 0x1525c623e191c37b,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x0f365118bf9b6814, 0x7e823458df1726ae,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x014f257ee6866587, 0x00000000100059b9,
};

static const uint64_t ur_m88pb_swio15_dual_hw[] = {
  0x7f777776890d7f41, 0xcdad7ec35ce76ac4, 0x53ef760dac16967e, 0x2256e99fda3ac53b, 0x578d410ec36e91fb,
  0xbc9c29ddee3337bf, 0x806609f180905b2b, 0x06da571164004a41, 0x7c4b881850c195d6, 0xf73145fccbb093ba,
  0x4dea3c7bd83f8705, 0x68114239215607dd, 0x7c00006e1f02bfcc, 0x2324432bb8bddf17, 0x073c26b5a2a10cb4,
  0x3795e425b7287ff4, 0xe3b3f77fbf3a982c, 0x707fd47dbe77cb3d, 0x07992b47b8e39560, 0xeda523884e62c055,
  0x2a01ffb30475e00c, 0xb81281e59eda6319, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa,
  0x442a6b81013a6e57, 0x688af2a1495c958f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0x65118bf9b6815156, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07,
  0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x0000000063755a7c,
};

static const uint64_t ur_m88pb_swio15_dual_ee_hw[] = {
  0x5b7777743d686f97, 0x8dad7ec0bf266acf, 0x722775261d632313, 0x4a83682ab8858abf, 0x1f1375af4a34deb1,
  0x792bb9e08ceb54e8, 0x9827c602416caef2, 0xd2b88b2002523b8f, 0x5c40c2860caeb036, 0x82d7e65d849dd3e2,
  0xa38d6d813a3825a9, 0x2847242ac0f4dcde, 0xc00dc3e057f98d02, 0x2195dc5eef8bbfba, 0x4c1ee2a10cb417da,
  0x9096de76ffe80e78, 0x3ffefcea60b0de57, 0xd37355ad1b931d9d, 0x8f83660e3dfa8f2b, 0x9d68450ef8af677a,
  0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7, 0xeb70decbe9662e12,
  0x250087cded51b047, 0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0x7a21535c0809d372,
  0xab4457950a4ae4ac, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b288c5fcdb40a8a,
  0x861539fa97ab8dc7, 0x899e2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002bb473e0be9e,
};

static const uint64_t ur_m88pb_swio15_dual_ce_hw[] = {
  0x0ddbbbbbb4486f97, 0x44dad7ec5c535f56, 0xb70fb74eb00ab822, 0x816b05eb201b9c58, 0x4eb66eb8957ee86e,
  0xef2571bb9e08ceb5, 0xebe9827c602416ca, 0x036d2b88b2002520, 0x3e25c40c2860caeb, 0x7298e0fe65d849dd,
  0x4dea3dbad86ce384, 0xd022847242ac0f02, 0xc11200dc3e057f98, 0x3da2195dc5eef8bb, 0xe784c13e2a10cb40,
  0xf2bc84b6fff3fe80, 0x7613aff7e7530586, 0x27212eafb8beb018, 0x1b09117dc6883cf1, 0xee4492bf51f097e2,
  0xcb19f52e678bb9b5, 0xe558188bea3c893d, 0x42731602fee32a38, 0x99e3af00676d291c, 0xcb5b9318c9500ffd,
  0x2af9ddc549702503, 0xe7ab36bcb955acfe, 0x7673a8a9546bb3b0, 0x020274dcaed52df5, 0x4292b92b1e8854d7,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xa82ec6e3cd94462f,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x0004dd50205f4f25,
};

static const uint64_t ur_m88pb_swio15_dual_ee_ce_hw[] = {
  0x24cddddddd431f02, 0x0c6d6bf6e3f369ab, 0xd5c5eeefdf5db62b, 0xed14a8d43f2d07bb, 0x7e3fa10bd3a66933,
  0x5dca31166f4c29f5, 0x3e30120b65779362, 0x88b2002520f9f4c1, 0x0c2860caeb036d2b, 0x7e65d849dd3e25c4,
  0x68d869a383fc9b10, 0xe485581d8fcdea38, 0xb87c0aff31a04508, 0xbb8bddf177859001, 0x3c54219683054432,
  0xdbde1ffd01cf09a4, 0xdf9d4c161bcaf212, 0xeffaa395c3b2b7ff, 0xd493f3c49c84ab7c, 0xb26e984e7736bf47,
  0x95ea3caf7dca76b2, 0x315dbaf51f06cc19, 0x2c4522cd3ad08a05, 0x6e53c3a909afa30b, 0x512ecfe23ea0e757,
  0xd51fc96355e363af, 0xbd97d2cc5c242283, 0xc7cded51b044c8e1, 0xb3f8abe77715252c, 0xcec39eacdaf2e556,
  0xb7d5d9cea2a551ae, 0x535c0809d372bb54, 0x57950a4ae4ac7a21, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x18bf9b681463b7b1, 0x5727e7f61b8f3651, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001134c9205f4f,
};

static const uint64_t ur_m88pb_swio15_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d1ac4f, 0xb5afdaa1b90f56b1, 0xdd9ba16b9c73b651, 0x75a8beaf7f57f71b, 0x88ce03346762fd76,
  0x9d55c7ed06a96451, 0x2416caef26c33ba6, 0x00948d7059827c60, 0x832bac0db4ae22c8, 0x1aa774f8971030a1,
  0xe38760cd787f9964, 0x3c4137a8e87db0c6, 0xfe63408a11c90ab0, 0xc5de9c780370f815, 0x5a11c910caee2f77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bffa8dd30, 0x17d094c35c5f547d, 0xd8488bee3441e78b,
  0x3fc7ddfa8f84bf10, 0xdcdcdd33c5dcdafc, 0x6657a8f2bdf729da, 0x14c576ebd47c1b30, 0x2cb1148b34eb4228,
  0x5db94f0ea426be8c, 0xbd44bb3f88fa839d, 0x0f547f258d578d8e, 0x86f65f4b3170908a, 0xb31f37b546c11323,
  0x5acfe2af9ddc5494, 0xbb3b0e7ab36bcb95, 0x52df57673a8a9546, 0x854d7020274dcaed, 0x115e54292b92b1e8,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x4462fe6da0518ede, 0x1539fa82ec6e3cd9,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x5cf257ee68665874,
  0x000000eba8d1bb40,
};

/*
 * m168_autobaud_uart0_noled_pr      m168a_autobaud_uart0_noled        m168a_autobaud_uart0_noled_pr
 * m168p_autobaud_uart0_noled        m168p_autobaud_uart0_noled_pr     m168pa_autobaud_uart0_noled
 * m168pa_autobaud_uart0_noled_pr    m328_autobaud_uart0_noled         m328_autobaud_uart0_noled_pr
 * m328p_autobaud_uart0_noled        m328p_autobaud_uart0_noled_pr     m328pb_autobaud_uart0_noled
 * m328pb_autobaud_uart0_noled_pr    a6613c_autobaud_uart0_noled       a6613c_autobaud_uart0_noled_pr
 * a6614q_autobaud_uart0_noled       a6614q_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m168_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x84a5f7fb357e7cf5, 0xde02e8855022054f, 0xed51c2bf5526bee6, 0x1f9e3be5921c368d, 0xf27a38e9fc19a4f5,
  0x78cce62c05bdd30d, 0xcb1823af173b3da4, 0xc0c4ad7b0aca2771, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xce1bb612e65f36c4, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x20491693a792bf73, 0x00000000000000e2,
};

/*
 * m168a_autobaud_uart0_noled_pr_u4  m168p_autobaud_uart0_noled_pr_u4  m168pa_autobaud_uart0_noled_pr_u4
 * m328_autobaud_uart0_noled_pr_u4   m328p_autobaud_uart0_noled_pr_u4  m328pb_autobaud_uart0_noled_pr_u4
 * a6613c_autobaud_uart0_noled_pr_u4 a6614q_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m168_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0xa3fc6afcfedf9827, 0xba2154088153e12e, 0x70afd549afb9b780, 0x0ef9610f0da37b54, 0x8e3a7f0682fd47e8,
  0x1cc580b2ca67bed6, 0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x81895af60e3e0796, 0x4180ef5af39c2cdf,
  0x794d8ce16f37807d, 0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x5c1e6c25ccbe6d89, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x4a7d0e792bf73433, 0x00000000001186de,
};

/*
 * m168_autobaud_uart0_noled_pr_ee_u4 m168a_autobaud_uart0_noled_pr_ee
 * m168a_autobaud_uart0_noled_pr_ee_u4 m168p_autobaud_uart0_noled_pr_ee
 * m168p_autobaud_uart0_noled_pr_ee_u4 m168pa_autobaud_uart0_noled_pr_ee
 * m168pa_autobaud_uart0_noled_pr_ee_u4 m328_autobaud_uart0_noled_pr_ee
 * m328_autobaud_uart0_noled_pr_ee_u4 m328p_autobaud_uart0_noled_pr_ee
 * m328p_autobaud_uart0_noled_pr_ee_u4 m328pb_autobaud_uart0_noled_pr_ee
 * m328pb_autobaud_uart0_noled_pr_ee_u4 a6613c_autobaud_uart0_noled_pr_ee
 * a6613c_autobaud_uart0_noled_pr_ee_u4 a6614q_autobaud_uart0_noled_pr_ee
 * a6614q_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m168_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0x6afcfece9827c64e, 0xa81102a7c252bbfc, 0xaa935f736f017442, 0x39c61b46f6a8e15f, 0x98fa8f2b9126ab5a,
  0xbe2beebd47c1b306, 0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6,
  0xb65cc5c24228e791, 0xa6951b047eb70dec, 0x37e06256bd801512, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd1f5df439e4afdcd,
  0x00000000000009a9,
};

/*
 * m168_autobaud_uart0_noled_pr_ce_u4 m168a_autobaud_uart0_noled_pr_ce
 * m168a_autobaud_uart0_noled_pr_ce_u4 m168p_autobaud_uart0_noled_pr_ce
 * m168p_autobaud_uart0_noled_pr_ce_u4 m168pa_autobaud_uart0_noled_pr_ce
 * m168pa_autobaud_uart0_noled_pr_ce_u4 a6613c_autobaud_uart0_noled_pr_ce
 * a6613c_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ff8d5f9fcad304f, 0xe8855022054f848a, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0xb892c79e3254edfc,
  0xea3e12fc4361222f, 0x64cf1771b8ff3107, 0xacf51c9e9ee58cfd, 0xc051f3a48e3a7f07, 0xf47ced5fd1eb0e62,
  0xf6679500ffd99e3a, 0x2b5ec1c7c0f2d6e1, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29,
  0xb7b15545a585ce31, 0x9b09732f9b624863, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x439e4afdcd0ccb0e, 0x000000046eb924df,
};

/*
 * m168a_autobaud_uart0_noled_pr_ee_ce m168p_autobaud_uart0_noled_pr_ee_ce
 * m168pa_autobaud_uart0_noled_pr_ee_ce a6613c_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m168_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x7e7c66e609f193ba, 0x088153e120b5fe35, 0x49afb9b780ba2154, 0xf90da37b5470afd5, 0x8c953bc0877fd51b,
  0x139dc6e759b21fe7, 0x95f5129dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x81895af616744a9a,
  0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x1044408fa1cf257e,
};

/*
 * m168a_autobaud_uart0_noled_pr_ee_ce_u4 m168p_autobaud_uart0_noled_pr_ee_ce_u4
 * m168pa_autobaud_uart0_noled_pr_ee_ce_u4 a6613c_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xc48c73f5bf304f8c, 0x55022054f84a76ff, 0xf5526bee6de02e88, 0x8e43c368ded51c2b, 0xe7942e0e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xad7b0b3a254d2a36, 0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0, 0xf19d102baa9cbca6, 0xdec55516961738c6,
  0x6c25ccbe6d89218e, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x122ebcf257ee6866, 0x0000000000208861,
};

/*
 * m168a_autobaud_uart0_noled_hw     m168p_autobaud_uart0_noled_hw     m168pa_autobaud_uart0_noled_hw
 * m164a_autobaud_uart0_noled_hw     m164p_autobaud_uart0_noled_hw     m164pa_autobaud_uart0_noled_hw
 * a6613c_autobaud_uart0_noled_hw
 */
static const uint64_t ur_m168_autobaud_uart0_noled_hw[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea6c46, 0xde1635cbd9b5a5c7, 0x4136d8cddfbbbb3d, 0xe609f193bb0bd68d,
  0xf09751ff7c0b3fb7, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xa3f4077cb08786d1, 0xdf6b471d3f83417e,
  0xd1eb0e62c0596533, 0xffd9823af47ced5f, 0x03cb3db1f6679500, 0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce,
  0xaa9cbca6c670b79b, 0x961738c6f19d102b, 0x36c4922adec55516, 0x27e7f61bb612e65f, 0x289c6592e19e9857,
  0xee6866587494b659, 0x036cb4b8ec14f257,
};

/*
 * m168a_autobaud_uart0_noled_ee_hw  m168p_autobaud_uart0_noled_ee_hw  m168pa_autobaud_uart0_noled_ee_hw
 * m328_autobaud_uart0_noled_ee_hw   m328p_autobaud_uart0_noled_ee_hw  m328pb_autobaud_uart0_noled_ee_hw
 * m164a_autobaud_uart0_noled_ee_hw  m164p_autobaud_uart0_noled_ee_hw  m164pa_autobaud_uart0_noled_ee_hw
 * m324a_autobaud_uart0_noled_ee_hw  m324p_autobaud_uart0_noled_ee_hw  m324pa_autobaud_uart0_noled_ee_hw
 * m324pb_autobaud_uart0_noled_ee_hw a6613c_autobaud_uart0_noled_ee_hw a6614q_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m168_autobaud_uart0_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0xd10aa0440a9f094a, 0x857eaa4d7dcdbc05, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a,
  0x450ef8afbaf51f06, 0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb,
  0x37b2d973170908a3, 0x544a9a546c11fadc, 0x9c2cdf81895af600, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xbe6d892455bd8aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000b13dbe0a8a79,
};

/*
 * m168a_autobaud_uart0_noled_ce_hw  m168p_autobaud_uart0_noled_ce_hw  m168pa_autobaud_uart0_noled_ce_hw
 * m164a_autobaud_uart0_noled_ce_hw  m164p_autobaud_uart0_noled_ce_hw  m164pa_autobaud_uart0_noled_ce_hw
 * a6613c_autobaud_uart0_noled_ce_hw
 */
static const uint64_t ur_m168_autobaud_uart0_noled_ce_hw[] = {
  0x1bbbbbbb448651eb, 0x7777774b09eb642b, 0xeb4242c9c01ad2f7, 0x5b1795b85fbbbbcd, 0x827c64eec4e765af,
  0x2450ffd87fcfe569, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0x8fe5c5f5c921b46f, 0x22fb892c79e50b83,
  0xcdfea3e12fc43612, 0x3f5933c5dc6e18f8, 0xc1eb3d4727a7b963, 0x98b0147ce9238e9f, 0x8ebd1f3b57f47ac3,
  0xb87d99e5403ff667, 0x0c4ad7b071f03cb5, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb,
  0x18edec5551696173, 0x71e6c25ccbe6d892, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x8353a8a792bf7343, 0x000000000000dd1b,
};

/*
 * m168_autobaud_uart0_noled_ee_ce_u4_hw m168a_autobaud_uart0_noled_ee_ce_hw
 * m168a_autobaud_uart0_noled_ee_ce_u4_hw m168p_autobaud_uart0_noled_ee_ce_hw
 * m168p_autobaud_uart0_noled_ee_ce_u4_hw m168pa_autobaud_uart0_noled_ee_ce_hw
 * m168pa_autobaud_uart0_noled_ee_ce_u4_hw m164a_autobaud_uart0_noled_ee_ce_hw
 * m164a_autobaud_uart0_noled_ee_ce_u4_hw m164p_autobaud_uart0_noled_ee_ce_hw
 * m164p_autobaud_uart0_noled_ee_ce_u4_hw m164pa_autobaud_uart0_noled_ee_ce_hw
 * m164pa_autobaud_uart0_noled_ee_ce_u4_hw a6613c_autobaud_uart0_noled_ee_ce_hw
 * a6613c_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x10aa0440a9f094ed, 0x57eaa4d7dcdbc05d, 0xd51c8786d1bdaa38, 0x63cf285c1c383717,
  0x097e21b09117dc49, 0x2ee3712a2e47f51f, 0xfa894ed6e6def99e, 0xa3e0d9835afea3ca, 0xa75a1140a62b09fe,
  0x2135f4616588a459, 0x4782ce7576e9c475, 0x6abc6c75e74ddb7b, 0x170908a39e461c6c, 0x3608991c37b2d973,
  0xc4ad7b0b3a254d2a, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc, 0x8edec55516961738,
  0x1e6c25ccbe6d8921, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0xc2268a792bf73433, 0x0000000000004a90,
};

/*
 * m168_autobaud_uart0_lednop_pr     m168a_autobaud_uart0_lednop       m168a_autobaud_uart0_lednop_pr
 * m168p_autobaud_uart0_lednop       m168p_autobaud_uart0_lednop_pr    m168pa_autobaud_uart0_lednop
 * m168pa_autobaud_uart0_lednop_pr   m328_autobaud_uart0_lednop        m328_autobaud_uart0_lednop_pr
 * m328p_autobaud_uart0_lednop       m328p_autobaud_uart0_lednop_pr    m328pb_autobaud_uart0_lednop
 * m328pb_autobaud_uart0_lednop_pr   a6613c_autobaud_uart0_lednop      a6613c_autobaud_uart0_lednop_pr
 * a6614q_autobaud_uart0_lednop      a6614q_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m168_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x3e12eebfd9abf3f1, 0x9b780ba215408815, 0x37b5470afd549afb, 0xd47278ef964870da, 0x37f9e8e3a7f06693,
  0xa3905398b016f74c, 0x8e58c11d78b9d838, 0xf81895af6158a0fb, 0x0ef5af3c0809c2cd, 0x29d002de6f2dd418,
  0x5a7017be54dea539, 0x18de33a204751408, 0x9c376c25ccbe6da7, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0x40922d274f257ee6, 0x00000000000001c4,
};

/*
 * m168a_autobaud_uart0_lednop_pr_u4 m168p_autobaud_uart0_lednop_pr_u4 m168pa_autobaud_uart0_lednop_pr_u4
 * m328_autobaud_uart0_lednop_pr_u4  m328p_autobaud_uart0_lednop_pr_u4
 * m328pb_autobaud_uart0_lednop_pr_u4 a6613c_autobaud_uart0_lednop_pr_u4
 * a6614q_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xff1abf3f1ee609f1, 0x8855022054f84bba, 0x2bf5526bee6de02e, 0xbe5843c368ded51c, 0x8e9fc1a0bf51ed63,
  0x62c0596537c907e3, 0xebd1f3b2cf4690ce, 0xd059a45403ff6608, 0x12b5ec82b40f2cf6, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0008c34f827d0e79,
};

/*
 * m168_autobaud_uart0_lednop_pr_ee_u4 m168a_autobaud_uart0_lednop_pr_ee
 * m168a_autobaud_uart0_lednop_pr_ee_u4 m168p_autobaud_uart0_lednop_pr_ee
 * m168p_autobaud_uart0_lednop_pr_ee_u4 m168pa_autobaud_uart0_lednop_pr_ee
 * m168pa_autobaud_uart0_lednop_pr_ee_u4 m328_autobaud_uart0_lednop_pr_ee
 * m328_autobaud_uart0_lednop_pr_ee_u4 m328p_autobaud_uart0_lednop_pr_ee
 * m328p_autobaud_uart0_lednop_pr_ee_u4 m328pb_autobaud_uart0_lednop_pr_ee
 * m328pb_autobaud_uart0_lednop_pr_ee_u4 a6613c_autobaud_uart0_lednop_pr_ee
 * a6613c_autobaud_uart0_lednop_pr_ee_u4 a6614q_autobaud_uart0_lednop_pr_ee
 * a6614q_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0x6afcf8d69827c64e, 0xa81102a7c25a6ffc, 0xaa935f736f017442, 0x39c61b46f6a8e15f, 0x98fa8f2b32a6ab5a,
  0x7c561efd47c1b306, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6,
  0xb65cc5c242282791, 0x67951b047eb70dec, 0x6fc0c4ad7b0021f6, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x9b09732f9b6e722a, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x439e4afdcd0ccb0e,
  0x00000004d4e48bdf,
};

/*
 * m168_autobaud_uart0_lednop_pr_ce_u4 m168a_autobaud_uart0_lednop_pr_ce
 * m168a_autobaud_uart0_lednop_pr_ce_u4 m168p_autobaud_uart0_lednop_pr_ce
 * m168p_autobaud_uart0_lednop_pr_ce_u4 m168pa_autobaud_uart0_lednop_pr_ce
 * m168pa_autobaud_uart0_lednop_pr_ce_u4 a6613c_autobaud_uart0_lednop_pr_ce
 * a6613c_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff1abf3f6ea609f, 0xd10aa0440a9f0960, 0x857eaa4d7dcdbc05, 0x717d72486d1bdaa3, 0xe24b1e78c953ba95,
  0xa8f84bf10d8488be, 0x2678bb8dcadf801f, 0x67a8fd24f72c67eb, 0x02a6222c71d3f83d, 0x8f9d967a34867316,
  0xcd22a01ffb33c75e, 0x6bd905681e5adc82, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x46ebb5edf439e4af,
};

/*
 * m168a_autobaud_uart0_lednop_pr_ee_ce m168p_autobaud_uart0_lednop_pr_ee_ce
 * m168pa_autobaud_uart0_lednop_pr_ee_ce a6613c_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xafcf8689827c64ee, 0x022054f84ac7ffc6, 0x526bee6de02e8855, 0xfe4368ded51c2bf5, 0xe3254ef7d9dff546,
  0x84e771b9722495f9, 0xe57dd4a76b2b1ef9, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33,
  0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x15f439e4afdcd0cc, 0x000000000010441d,
};

/*
 * m168a_autobaud_uart0_lednop_pr_ee_ce_u4 m168p_autobaud_uart0_lednop_pr_ee_ce_u4
 * m168pa_autobaud_uart0_lednop_pr_ee_ce_u4 a6613c_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xe24639f43e9827c6, 0x154088153e12c41f, 0xfd549afb9b780ba2, 0xa390f0da37b5470a, 0x79e50b83896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0x56bd8598fb33ca8d, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000004110f540baf,
};

/*
 * m168a_autobaud_uart0_lednop_hw    m168p_autobaud_uart0_lednop_hw    m168pa_autobaud_uart0_lednop_hw
 * m164a_autobaud_uart0_lednop_hw    m164p_autobaud_uart0_lednop_hw    m164pa_autobaud_uart0_lednop_hw
 * a6613c_autobaud_uart0_lednop_hw
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_hw[] = {
  0xb1bbbbbbbacdfebe, 0x77777774b1ea7c7e, 0x0e82f16f26ada36f, 0x49018c4783eeeeb6, 0x49827c64eef8fc2b,
  0x3e12d2bfef8167e4, 0x9b780ba215408815, 0x37b5470afd549afb, 0xd47278ef964870da, 0x1f3a48e3a7f06693,
  0x91c829cc580b7ba6, 0x8e58c11d78b9d9af, 0xfc0c4ad7b0ac1f7b, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xb09732f9b6e722ad, 0x0cf4c2b93f3fb0dd, 0xa4a5b2c944e32c97,
  0x60a792bf734332c3, 0x000000036cb5a71f,
};

/*
 * m168a_autobaud_uart0_lednop_ee_hw m168p_autobaud_uart0_lednop_ee_hw m168pa_autobaud_uart0_lednop_ee_hw
 * m328_autobaud_uart0_lednop_ee_hw  m328p_autobaud_uart0_lednop_ee_hw
 * m328pb_autobaud_uart0_lednop_ee_hw m164a_autobaud_uart0_lednop_ee_hw
 * m164p_autobaud_uart0_lednop_ee_hw m164pa_autobaud_uart0_lednop_ee_hw
 * m324a_autobaud_uart0_lednop_ee_hw m324p_autobaud_uart0_lednop_ee_hw
 * m324pa_autobaud_uart0_lednop_ee_hw m324pb_autobaud_uart0_lednop_ee_hw
 * a6613c_autobaud_uart0_lednop_ee_hw a6614q_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0xd10aa0440a9f0969, 0x857eaa4d7dcdbc05, 0xad68e7186d1bdaa3, 0xcc1a63ea3cacca9a,
  0x8a1df1587bf51f06, 0xa30b2c4522cd3ad0, 0xa5cf55c6b26909af, 0xce9bb4648c9a39d5, 0x9e46f6ac6ab5d0eb,
  0x37b2d973170908a0, 0x87d99e546c11fadc, 0x3859bf0312b5ec00, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x371e6c25ccbe6db9, 0xef79430a9cfd4176, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x3c9f868a792bf734, 0x00000000000000b1,
};

/*
 * m168a_autobaud_uart0_lednop_ce_hw m168p_autobaud_uart0_lednop_ce_hw m168pa_autobaud_uart0_lednop_ce_hw
 * m164a_autobaud_uart0_lednop_ce_hw m164p_autobaud_uart0_lednop_ce_hw
 * m164pa_autobaud_uart0_lednop_ce_hw a6613c_autobaud_uart0_lednop_ce_hw
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_ce_hw[] = {
  0x8ddddddda2433a31, 0x7777774b09eb0675, 0xeb464090f1faf5f7, 0x2a199bb6a7bbbbcd, 0x827c64eed89b0da0,
  0x25813fd87fcfdba9, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0x2a55c5f5c921b46f, 0x45f71258f3ca1707,
  0x68fd47c25f886c24, 0x9fac99e2ee373fe0, 0xe0f59ea3f493dcb1, 0xcc580a9888b1c74f, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000001ba3718e268,
};

/*
 * m168_autobaud_uart0_lednop_ee_ce_u4_hw m168a_autobaud_uart0_lednop_ee_ce_hw
 * m168a_autobaud_uart0_lednop_ee_ce_u4_hw m168p_autobaud_uart0_lednop_ee_ce_hw
 * m168p_autobaud_uart0_lednop_ee_ce_u4_hw m168pa_autobaud_uart0_lednop_ee_ce_hw
 * m168pa_autobaud_uart0_lednop_ee_ce_u4_hw m164a_autobaud_uart0_lednop_ee_ce_hw
 * m164a_autobaud_uart0_lednop_ee_ce_u4_hw m164p_autobaud_uart0_lednop_ee_ce_hw
 * m164p_autobaud_uart0_lednop_ee_ce_u4_hw m164pa_autobaud_uart0_lednop_ee_ce_hw
 * m164pa_autobaud_uart0_lednop_ee_ce_u4_hw a6613c_autobaud_uart0_lednop_ee_ce_hw
 * a6613c_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x7442a81102a7c258, 0xe15faa935f736f01, 0x5f54721e1b46f6a8, 0x258f3ca170712d5c,
  0x7c25f886c2445f71, 0x78bb8dca4a672fd4, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f, 0x669d68450298af6f,
  0xd484d7d185962291, 0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2,
  0x0312b5ec2cc7d99e, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b997cdb73863b7b, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000004a90f545,
};

/*
 * m168_autobaud_uart0_dual_pr       m168_autobaud_uart0_dual_pr_u4    m168a_autobaud_uart0_dual
 * m168a_autobaud_uart0_dual_pr      m168a_autobaud_uart0_dual_pr_u4   m168p_autobaud_uart0_dual
 * m168p_autobaud_uart0_dual_pr      m168p_autobaud_uart0_dual_pr_u4   m168pa_autobaud_uart0_dual
 * m168pa_autobaud_uart0_dual_pr     m168pa_autobaud_uart0_dual_pr_u4  a6613c_autobaud_uart0_dual
 * a6613c_autobaud_uart0_dual_pr     a6613c_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m168_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0x810e12ba6b75f995, 0xf8338737a8ec1761,
  0x57f9fbe08a11c913, 0xb8ff001b87c28862, 0xa1a5221955ddeef9, 0xa039e134dd150865, 0x61bcaf212dbba5ff,
  0x53e127f3fffa1cc1, 0xb9b780ba21540881, 0xa37b5470afd549af, 0xfd47c8a77cb1350d, 0x69c5ef8e3a7f0621,
  0x591d7f398b01541e, 0x0ffd9823af00676b, 0xd03cb3db10e90d50, 0x4fe2af9ddc549549, 0x809c2cdf81895af6,
  0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xbe1b8f3612e65f36,
  0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x2e0a721f175e792b, 0x0000000000000000,
};

/*
 * m168a_autobaud_uart0_dual_pr_ee   m168p_autobaud_uart0_dual_pr_ee   m168pa_autobaud_uart0_dual_pr_ee
 * a6613c_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m168_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0xc0db4b6819129290, 0x4f8971030a1832ba, 0x5dcc87df9956ee77, 0x4dea3bfcd8620383,
  0xf822847244fe0c34, 0x06e1f0a21895fe7e, 0x1955ddeef9b80890, 0xc5d62a10cb430222, 0x84b6fff3fe80e784,
  0xafffe8730586f2bc, 0xd10aa0440a9f0913, 0x857eaa4d7dcdbc05, 0xad68e4486d1bdaa3, 0x983053d4795afb9a,
  0x143be2ba95ea3e0d, 0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e,
  0xbd97d2cc5c242281, 0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0x9f0dc79b09732f9b, 0x3ab337f07771a2ce,
  0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196, 0x320baf3c95fb9a19,
  0x00000000000052a4,
};

/*
 * m168a_autobaud_uart0_dual_pr_ee_u4 m168p_autobaud_uart0_dual_pr_ee_u4
 * m168pa_autobaud_uart0_dual_pr_ee_u4 a6613c_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m168_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0xac0db4b681912929, 0x74f8971030a1832b, 0x0ff26c41f9956ee7, 0x3f37a8e1a361a68e,
  0xf7c114239227f076, 0x00370f8510c4aff3, 0x88655777bbe6e654, 0x137ce8a8432d0296, 0xe425b7e9fffa039e,
  0x2b7fff43982c3795, 0x2e8855022054f84a, 0x1c2bf5526bee6de0, 0xd56b47a54368ded5, 0x6cc1fc9ea3cae3dc,
  0x08a1df1598ff51f0, 0xfa30b2c4522cd3ad, 0xd2e13d7082e6909a, 0xb589d87c47d21cea, 0x408ea5d8d56ba1d7,
  0x6f65c7c62e121147, 0xeee2a4ab813ff5b8, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xb09732f9b6e722ad, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xf0baf3c95fb9a199,
  0x0000000000295274,
};

/*
 * m168_autobaud_uart0_dual_pr_ce_u4 m168a_autobaud_uart0_dual_pr_ce   m168a_autobaud_uart0_dual_pr_ce_u4
 * m168p_autobaud_uart0_dual_pr_ce   m168p_autobaud_uart0_dual_pr_ce_u4
 * m168pa_autobaud_uart0_dual_pr_ce  m168pa_autobaud_uart0_dual_pr_ce_u4
 * a6613c_autobaud_uart0_dual_pr_ce  a6613c_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x1832bac0db4b6819, 0x56ee774f8971030a, 0x4db384edcd6b7f99, 0xf0663f37a8fbb5b0,
  0xaff3f7c114239227, 0xe33900370f8510c4, 0x02ea88655777bbe6, 0x039e132568a8432d, 0x1bcaf212db85affa,
  0x7c25b3bfffa1cc16, 0x36f017442a81102a, 0x6f6a8e15faa935f7, 0x071d2dc5f54021b4, 0x2445f71258f3ca17,
  0x4fd7fd47c25f886c, 0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe,
  0xdc21d21aa01ffb33, 0xceee2a4aa4e81e5a, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x0b175e792bf73433,
  0x000000000015af61,
};

/*
 * m168a_autobaud_uart0_dual_pr_ee_ce m168p_autobaud_uart0_dual_pr_ee_ce
 * m168pa_autobaud_uart0_dual_pr_ee_ce a6613c_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m168_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x581b696d03225252, 0xe9f12e2061430657, 0xeb39990ff32addce, 0xe6f51e61b60cf870,
  0xf822847244fe0ff5, 0x06e1f0a21895fe7e, 0x1955ddeef9b9e720, 0xd1ca2a10cb412d22, 0x84b6e293fe80e784,
  0xafffe8730586f2bc, 0xd10aa0440a9f0969, 0x857eaa4d7dcdbc05, 0xfd51b9386d1bdaa3, 0x5afcf285c1c1ac77,
  0x9374c273b8dcbc3e, 0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81, 0x1106e3c5d79e4afd,
  0x0000000000000003,
};

/*
 * m168a_autobaud_uart0_dual_pr_ee_ce_u4 m168p_autobaud_uart0_dual_pr_ee_ce_u4
 * m168pa_autobaud_uart0_dual_pr_ee_ce_u4 a6613c_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x1430657581b696d0, 0x9696fcee9f12e206, 0x3a3e705249b9bff9,
  0xfc1b21cdea3b396c, 0x2bfcfdf04508e489, 0xe5c9400dc3e14431, 0x09b688655777bbe6, 0x0e784d63f150865a,
  0xde579096dfacffe8, 0x096377ffea7260b0, 0xbc05d10aa0440a9f, 0xdaa3857eaa4d7dcd, 0x37717d51a9e86d1b,
  0x7dc4963cf285e763, 0xff51f097e21b0911, 0xe99e2ee373541e41, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e,
  0x522cd3ad08a05315, 0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8,
  0xf58a8d8226470dec, 0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x9c4f9e4afdcd0ccb,
  0x000000003f56e353,
};

/*
 * m168a_autobaud_uart0_dual_hw      m168p_autobaud_uart0_dual_hw      m168pa_autobaud_uart0_dual_hw
 * a6613c_autobaud_uart0_dual_hw
 */
static const uint64_t ur_m168_autobaud_uart0_dual_hw[] = {
  0x99bbbbbbb4486e7c, 0xeeeeeeefafcc47b2, 0x699b6269d93b5396, 0xf3ed2be0ddbbbb64, 0x19234ee5b36d3da3,
  0x032252521492609f, 0x61430657581b696d, 0xf32addcee9f12e20, 0x2ec3021c2574d6eb, 0x9227f0670e6f51d8,
  0x10c4aff3f7c11423, 0xddf371fe00370f85, 0x10cb434a4432abbb, 0x4bff4073c269ba2a, 0xb982c3795e425b77,
  0x1102a7c24fe7fb5f, 0x935f736f017442a8, 0x6a1b46f6a8e15faa, 0x0c43fa8f914ef962, 0xa83cd38bdf1c74fe,
  0xced6b23afe731602, 0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312,
  0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0007a371c87e8a79,
};

/*
 * m168a_autobaud_uart0_dual_ee_hw   m168p_autobaud_uart0_dual_ee_hw   m168pa_autobaud_uart0_dual_ee_hw
 * a6613c_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m168_autobaud_uart0_dual_ee_hw[] = {
  0x66eeeeeed121a5fb, 0xeeeeeefaf2b689ea, 0x2aabdd6e356a10ee, 0x5ec5da9d33dd2948, 0xca591aeba5595c53,
  0x481544c13e326c4d, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc1aee643efccab77, 0x1a26f51dfe6c3101,
  0x3f7c114239227f06, 0x480370f8510c4aff, 0x110caaeef77cdc04, 0xc262eb150865a181, 0x5e425b7ff9ff4073,
  0x89d7fb5fb982c379, 0x02e8855022054f84, 0x51c2bf5526bee6de, 0xcd56b47224368ded, 0x06cc1829ea3cad7d,
  0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743,
  0x70decbe9662e1211, 0x0084feb151b047eb, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xa82ec6e3cd84b997, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0000b07232514f25,
};

/*
 * m168a_autobaud_uart0_dual_ce_hw   m168p_autobaud_uart0_dual_ce_hw   m168pa_autobaud_uart0_dual_ce_hw
 * a6613c_autobaud_uart0_dual_ce_hw
 */
static const uint64_t ur_m168_autobaud_uart0_dual_ce_hw[] = {
  0xcddddddda2437089, 0xdddddddf5e485694, 0x7ac3af9f69337bbd, 0x8806abe356eeec0b, 0x946772bc9eb2b6b6,
  0x44a4a47ad5304f8c, 0x860caeb036d2da06, 0x55bb9dd3e25c40c2, 0x136ce13b735adfe6, 0xfc198fcdea3eed6c,
  0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x40baa21955ddeef9, 0x80e784c95a2a10cb, 0x86f2bc84b6e16bfe,
  0x9f096ceff6bf7305, 0xcdbc05d10aa0440a, 0x1bdaa3857eaa4d7d, 0xc1c74b717d50086d, 0x09117dc4963cf285,
  0xf9883f51f097e21b, 0xb19f52e678bb8dc7, 0x7f0752fd471bf3dc, 0xce62c050507c8e3a, 0x78ebc019dad6475f,
  0x5b843a435403ff66, 0xf9ddc549549d03cb, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x42e8a792bf734332, 0x000000000017a370,
};

/*
 * m168a_autobaud_uart0_dual_ee_ce_hw m168p_autobaud_uart0_dual_ee_ce_hw
 * m168pa_autobaud_uart0_dual_ee_ce_hw a6613c_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m168_autobaud_uart0_dual_ee_ce_hw[] = {
  0x377777775050cf68, 0xbbbbbbebe17fb853, 0x561f64cb9db609bb, 0x890b1fbc9dbbf6a3, 0x7268fa9d6b760fcc,
  0x483927304f8c9415, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc3ace6643fccab77, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xa6bfdafdcc161bca, 0x17442a81102a7c25, 0x8e15faa935f736f0, 0xdff546e4e1b46f6a, 0xd90ff3ca170706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000002134db8fa2,
};

/*
 * m168a_autobaud_uart0_dual_ee_ce_u4_hw m168p_autobaud_uart0_dual_ee_ce_u4_hw
 * m168pa_autobaud_uart0_dual_ee_ce_u4_hw a6613c_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d8be, 0xdddddf5eb4666d4c, 0x9b41f9b37afe1ddd, 0x0f9a2bd6ddebba2f, 0x5a41b4beb55efaf6,
  0x5cc13e325395c9e7, 0x6d2da0644a4a458f, 0x25c40c2860caeb03, 0x6e6ffe65d849dd3e, 0x8ece5b0e8f9c1492,
  0x4239227f06c8737a, 0xf8510c4aff3f7c11, 0xddeef9b972500370, 0x542196826da21955, 0xeb3ffa039e1358fc,
  0x9c982c3795e425b7, 0x088153e12c6effea, 0x49afb9b780ba2154, 0x3d0da37b5470afd5, 0x7c307066ee2faa35,
  0x361222fb892c79e3, 0x524e6ffea3e12fc4, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848,
  0x4a5989fd62a36089, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x5f36dce18edec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0042698772017d3c,
};

/*
 * m168_u1x8_uart0_noled_pr          m168a_u1x8_uart0_noled            m168a_u1x8_uart0_noled_pr
 * m168p_u1x8_uart0_noled            m168p_u1x8_uart0_noled_pr         m168pa_u1x8_uart0_noled
 * m168pa_u1x8_uart0_noled_pr        m328_u1x8_uart0_noled             m328_u1x8_uart0_noled_pr
 * m328p_u1x8_uart0_noled            m328p_u1x8_uart0_noled_pr         m328pb_u1x8_uart0_noled
 * m328pb_u1x8_uart0_noled_pr        a6613c_u1x8_uart0_noled           a6613c_u1x8_uart0_noled_pr
 * a6614q_u1x8_uart0_noled           a6614q_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m168_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0x93fd9abf3e0a4c13, 0xdce6fed100b7b02f, 0xa0bf51fa03be5843, 0xb299efb5a38e9fc1, 0x76afe8f58731602c,
  0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xbce70b37e06256bd, 0x5bcde01f50603bd6, 0x8815d54e5e536338,
  0xaa8b4b0b9c6378ce, 0x732f9b6249156f62, 0xd1fc68b1e70ddb09, 0x7a615c9fbab31e40, 0x52d964a271964b86,
  0xd3c95fb9a19961d2, 0x0000000f90d38b49,
};

/*
 * m168a_u1x8_uart0_noled_pr_u4      m168p_u1x8_uart0_noled_pr_u4      m168pa_u1x8_uart0_noled_pr_u4
 * m328_u1x8_uart0_noled_pr_u4       m328p_u1x8_uart0_noled_pr_u4      m328pb_u1x8_uart0_noled_pr_u4
 * a6613c_u1x8_uart0_noled_pr_u4     a6614q_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0x8d5f9f052609f193, 0xdfda2016f605f27f, 0xea3f4077cb087b9c, 0x3df6b471d3f83417, 0xfd1eb0e62c059653,
  0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79,
  0x6961738c6f19d102, 0xf36c4922adec5551, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x3e4cf543e873c95f,
};

/*
 * m168_u1x8_uart0_noled_pr_ee_u4    m168a_u1x8_uart0_noled_pr_ee      m168a_u1x8_uart0_noled_pr_ee_u4
 * m168p_u1x8_uart0_noled_pr_ee      m168p_u1x8_uart0_noled_pr_ee_u4   m168pa_u1x8_uart0_noled_pr_ee
 * m168pa_u1x8_uart0_noled_pr_ee_u4  m328_u1x8_uart0_noled_pr_ee       m328_u1x8_uart0_noled_pr_ee_u4
 * m328p_u1x8_uart0_noled_pr_ee      m328p_u1x8_uart0_noled_pr_ee_u4   m328pb_u1x8_uart0_noled_pr_ee
 * m328pb_u1x8_uart0_noled_pr_ee_u4  a6613c_u1x8_uart0_noled_pr_ee     a6613c_u1x8_uart0_noled_pr_ee_u4
 * a6614q_u1x8_uart0_noled_pr_ee     a6614q_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0x7e7ca5cc13e32776, 0xd100b7b0274bfe35, 0x24d56b4738dce6fe, 0xf83660d31f51e572, 0xeb422877c57dd7a8,
  0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae, 0xd6e1bd96cb98b848,
  0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67, 0x55516961738c6f19,
  0x2e65f36c4922adec, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000275d69f3e873,
};

/*
 * m168a_u1x8_uart0_noled_pr_ce      m168p_u1x8_uart0_noled_pr_ce      m168pa_u1x8_uart0_noled_pr_ce
 * a6613c_u1x8_uart0_noled_pr_ce
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbaff66afcfc7b, 0xaf49739bfb4402de, 0x5fcf19281c4c4eff, 0xc67309cee3724397, 0xe33f51c43cf72c05,
  0xc05b8627e38e9fc1, 0xe2e76905478cce62, 0xb074e9ee39633c75, 0xd79ce166fc0c4ad7, 0xe16f3796ea0c077a,
  0x69bd575539794d8c, 0x1bc67440b9b31821, 0x86ed84b997cdb4e3, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x9245a4e9e4afdcd0, 0x00000000000005ba,
};

/*
 * m168a_u1x8_uart0_noled_pr_ce_u4   m168p_u1x8_uart0_noled_pr_ce_u4   m168pa_u1x8_uart0_noled_pr_ce_u4
 * a6613c_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xff1abf3ff3a609f1, 0x737f68805bd81145, 0x92a76fe5c5f5c92e, 0x1b09117dc4963cf1, 0xc7f9883f51f097e2,
  0xf72c67eb2678bb8d, 0x71d3f83d67a8e4f4, 0x8f587316028f9d24, 0xfeccf1d7a3e76afe, 0x0796b70fb33ca807,
  0x2cdf81895af60e3e, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0xae80acfa1cf257ee, 0x000000000000001b,
};

/*
 * m168a_u1x8_uart0_noled_pr_ee_ce   m168p_u1x8_uart0_noled_pr_ee_ce   m168pa_u1x8_uart0_noled_pr_ee_ce
 * a6613c_u1x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x402dec082d7f8d5f, 0xe2faa390f739bfb4, 0xc4963cf192a76706, 0x51f097e21b09117d,
  0x99e2ee373acd90ff, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xfc0c4ad7b0b3a254,
  0xea0c077ad79ce166, 0xcbca6c670b79bc03, 0x738c6f19d102baa9, 0x9218edec55516961, 0xd5c1e6c25ccbe6d8,
  0xc81f9434596af2e4, 0x34a1854e7ea75663, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0027e2047d0e792b,
};

/*
 * m168a_u1x8_uart0_noled_pr_ee_ce_u4 m168p_u1x8_uart0_noled_pr_ee_ce_u4
 * m168pa_u1x8_uart0_noled_pr_ee_ce_u4 a6613c_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0xdfda2016f605d3ff, 0xbc09717d51b93b9c, 0x88bee24b1e78c953, 0x495fa8f84bf10d84,
  0x37194cf1771b9722, 0xdff51e5738ca76b7, 0x98af24f51f06cc18, 0x962291669d684502, 0xdba211d484d7d185,
  0xea6edcf236be39d5, 0x119a4b1aaf1b1d7a, 0xd970e462e121146b, 0x95af663174cc8e1b, 0x0ef5af39c2cdf818,
  0x9b19c2de6f2dd418, 0x3042d37aaeaa72f2, 0x69c6378ce8817366, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xe042df439e4afdcd, 0x0000000000000027,
};

/*
 * m168a_u1x8_uart0_noled_hw         m168p_u1x8_uart0_noled_hw         m168pa_u1x8_uart0_noled_hw
 * m164a_u1x8_uart0_noled_hw         m164p_u1x8_uart0_noled_hw         m164pa_u1x8_uart0_noled_hw
 * a6613c_u1x8_uart0_noled_hw
 */
static const uint64_t ur_m168_u1x8_uart0_noled_hw[] = {
  0x8ddddddb96b37382, 0x7777774b161448b5, 0xbf99360fe17a35f7, 0x97b793d7eeee8c20, 0x4f8c9ddf4b0bf417,
  0x5f27fdf02cf82930, 0x87b9cdfda2016f60, 0x83417ea3f4077cb0, 0x596533df6b471d3f, 0x7ced5fd1eb0e62c0,
  0x679500ffd9823af4, 0x7b071f03cb3db1f6, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0x12e65f36c4922ade, 0x9e985727e7f61bb6, 0x94b659289c6592e1, 0x14f257ee68665874,
  0x0000000047169cec,
};

/*
 * m168a_u1x8_uart0_noled_ee_hw      m168p_u1x8_uart0_noled_ee_hw      m168pa_u1x8_uart0_noled_ee_hw
 * m328_u1x8_uart0_noled_ee_hw       m328p_u1x8_uart0_noled_ee_hw      m328pb_u1x8_uart0_noled_ee_hw
 * m164a_u1x8_uart0_noled_ee_hw      m164p_u1x8_uart0_noled_ee_hw      m164pa_u1x8_uart0_noled_ee_hw
 * m324a_u1x8_uart0_noled_ee_hw      m324p_u1x8_uart0_noled_ee_hw      m324pa_u1x8_uart0_noled_ee_hw
 * m324pb_u1x8_uart0_noled_ee_hw     a6613c_u1x8_uart0_noled_ee_hw     a6614q_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m168_u1x8_uart0_noled_ee_hw[] = {
  0x777776e5448690e3, 0xddddd2c46814dd63, 0xfc760bfd2e833ddd, 0x080187238f7583ec, 0x3ba24599e86e4109,
  0xf61ff3e52e609f19, 0x37f68805bd813a5f, 0x2b9126ab5a39c6e7, 0xbd47c1b30698fa8f, 0x59a75a1143be2bee,
  0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a, 0x047eb70decb65cc5,
  0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x9b09732f9b624915, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0xa4a29e4afdcd0ccb, 0x000000000002df1a,
};

/*
 * m168a_u1x8_uart0_noled_ce_hw      m168p_u1x8_uart0_noled_ce_hw      m168pa_u1x8_uart0_noled_ce_hw
 * m164a_u1x8_uart0_noled_ce_hw      m164p_u1x8_uart0_noled_ce_hw      m164pa_u1x8_uart0_noled_ce_hw
 * a6613c_u1x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m168_u1x8_uart0_noled_ce_hw[] = {
  0x3777776e5acdfebe, 0xdddddd2c58538fd6, 0x227c5bc9ab68dbdd, 0x406311e0fbbbb111, 0x609f193bbe3f0ad2,
  0xc0b4affbe059f912, 0xaf49739bfb4402de, 0xefcf19281c050eff, 0xc67309cee371c9fc, 0xe33f51c43cf72c05,
  0x602ef782e38e9fc1, 0x78b9d9ed23c66731, 0xec1d513b8e58cf1d, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de,
  0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b, 0xf4c2b93f3fb0ddb0, 0xa5b2c944e32c970c,
  0xa792bf734332c3a4, 0x000000c429a71f60,
};

/*
 * m168_u1x8_uart0_noled_ee_ce_u4_hw m168a_u1x8_uart0_noled_ee_ce_hw   m168a_u1x8_uart0_noled_ee_ce_u4_hw
 * m168p_u1x8_uart0_noled_ee_ce_hw   m168p_u1x8_uart0_noled_ee_ce_u4_hw
 * m168pa_u1x8_uart0_noled_ee_ce_hw  m168pa_u1x8_uart0_noled_ee_ce_u4_hw
 * m164a_u1x8_uart0_noled_ee_ce_hw   m164a_u1x8_uart0_noled_ee_ce_u4_hw
 * m164p_u1x8_uart0_noled_ee_ce_hw   m164p_u1x8_uart0_noled_ee_ce_u4_hw
 * m164pa_u1x8_uart0_noled_ee_ce_hw  m164pa_u1x8_uart0_noled_ee_ce_u4_hw
 * a6613c_u1x8_uart0_noled_ee_ce_hw  a6613c_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x8_uart0_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x9bfb4402dec082d7, 0x38706e2faa390f73, 0x222fb892c79e50b8, 0x5c8fea3e12fc4361,
  0xcdbdf33c5dc6e254, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281, 0xedd388ea426be8c2,
  0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238, 0x9c2cdf81895af616,
  0x37807d4180ef5af3, 0x575539794d8ce16f, 0x2d2c2e718de33a20, 0x7cdb12431dbd8aaa, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0000a021057514f2,
};

/*
 * m168_u1x8_uart0_lednop_pr         m168a_u1x8_uart0_lednop           m168a_u1x8_uart0_lednop_pr
 * m168p_u1x8_uart0_lednop           m168p_u1x8_uart0_lednop_pr        m168pa_u1x8_uart0_lednop
 * m168pa_u1x8_uart0_lednop_pr       m328_u1x8_uart0_lednop            m328_u1x8_uart0_lednop_pr
 * m328p_u1x8_uart0_lednop           m328p_u1x8_uart0_lednop_pr        m328pb_u1x8_uart0_lednop
 * m328pb_u1x8_uart0_lednop_pr       a6613c_u1x8_uart0_lednop          a6613c_u1x8_uart0_lednop_pr
 * a6614q_u1x8_uart0_lednop          a6614q_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m168_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0xddfecd5f9f402609, 0xee737f68805bd814, 0xd05fa8f6b1df2c21, 0xb29be483f1c74fe0, 0xd967a3486731602c,
  0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x3e41539693a792bf,
};

/*
 * m168a_u1x8_uart0_lednop_pr_u4     m168p_u1x8_uart0_lednop_pr_u4     m168pa_u1x8_uart0_lednop_pr_u4
 * m328_u1x8_uart0_lednop_pr_u4      m328p_u1x8_uart0_lednop_pr_u4     m328pb_u1x8_uart0_lednop_pr_u4
 * a6613c_u1x8_uart0_lednop_pr_u4    a6614q_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0xff1abf3e804c13e3, 0x39bfb4402dec0a6e, 0x2fd47b58ef9610f7, 0x4df241f8e3a7f068, 0xb3d1a43398b01659,
  0x00ffd9823af47cec, 0xad03cb3db4166915, 0x4e166fc0c4ad7b20, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x57079b09732f9b6e, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x359f439e4afdcd0c,
  0x000000000001f261,
};

/*
 * m168_u1x8_uart0_lednop_pr_ee_u4   m168a_u1x8_uart0_lednop_pr_ee     m168a_u1x8_uart0_lednop_pr_ee_u4
 * m168p_u1x8_uart0_lednop_pr_ee     m168p_u1x8_uart0_lednop_pr_ee_u4  m168pa_u1x8_uart0_lednop_pr_ee
 * m168pa_u1x8_uart0_lednop_pr_ee_u4 m328_u1x8_uart0_lednop_pr_ee      m328_u1x8_uart0_lednop_pr_ee_u4
 * m328p_u1x8_uart0_lednop_pr_ee     m328p_u1x8_uart0_lednop_pr_ee_u4  m328pb_u1x8_uart0_lednop_pr_ee
 * m328pb_u1x8_uart0_lednop_pr_ee_u4 a6613c_u1x8_uart0_lednop_pr_ee    a6613c_u1x8_uart0_lednop_pr_ee_u4
 * a6614q_u1x8_uart0_lednop_pr_ee    a6614q_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xf9f53d304f8c9dd3, 0x4402dec08baff8d5, 0x5355ad1ce3739bfb, 0xe0d9834c7d479599, 0x5a1143be2b0f7ea3,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba, 0x5b86f65b2e62e121,
  0x8010fb33ca8d823f, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0xb739156f62aa8b4d, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x77e04fa1cf257ee6, 0x000000000000009d,
};

/*
 * m168_u1x8_uart0_lednop_pr_ce_u4   m168a_u1x8_uart0_lednop_pr_ce     m168a_u1x8_uart0_lednop_pr_ce_u4
 * m168p_u1x8_uart0_lednop_pr_ce     m168p_u1x8_uart0_lednop_pr_ce_u4  m168pa_u1x8_uart0_lednop_pr_ce
 * m168pa_u1x8_uart0_lednop_pr_ce_u4 a6613c_u1x8_uart0_lednop_pr_ce    a6613c_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff1abf3e70e609f1, 0x737f68805bd81256, 0x254eea55c5f5c92e, 0x361222fb892c79e3, 0x2b7e007ea3e12fc4,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea3f493, 0xd219cc580a9888b1, 0xeccf1d7a3e7659e8, 0x796b720b348a807f,
  0xcdf81895af6415a0, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xd0e792bf734332c3, 0x000000006ebaf3e7,
};

/*
 * m168a_u1x8_uart0_lednop_pr_ee_ce  m168p_u1x8_uart0_lednop_pr_ee_ce  m168pa_u1x8_uart0_lednop_pr_ee_ce
 * a6613c_u1x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xf3e1a2609f193baa, 0x100b7b02b1fff1ab, 0xb8bea8e43dce6fed, 0x71258f3c64a9da5a, 0xd47c25f886c2445f,
  0xe678bb8dcb9124af, 0x8f2beea53b5b9b7b, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0xbf0312b5ec2cc7d9,
  0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0xe8afa1cf257ee686, 0x00000000000027e0,
};

/*
 * m168a_u1x8_uart0_lednop_pr_ee_ce_u4 m168p_u1x8_uart0_lednop_pr_ee_ce_u4
 * m168pa_u1x8_uart0_lednop_pr_ee_ce_u4 a6613c_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xf1231cfeed4c13e3, 0x6fed100b7b0231ff, 0xe656b8bea8dc9dce, 0x88bee24b1e7942e0, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0x5af66315346470de, 0xf3c0809c2cdf8189,
  0xce8016f37980ef5a, 0x6953e02d4e48a5ab, 0x378ce88197f31821, 0xc79b09732f9b69c6, 0x66fe0eee3458df0d,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x002b0baf3c95fb9a, 0x000000000000013f,
};

/*
 * m168a_u1x8_uart0_lednop_hw        m168p_u1x8_uart0_lednop_hw        m168pa_u1x8_uart0_lednop_hw
 * m164a_u1x8_uart0_lednop_hw        m164p_u1x8_uart0_lednop_hw        m164pa_u1x8_uart0_lednop_hw
 * a6613c_u1x8_uart0_lednop_hw
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_hw[] = {
  0x3777776e5acdfcd7, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x8d7f17ab6eee8c20, 0x4f8c9dddb6d4f71d,
  0x5377fdf02cfa0130, 0x87b9cdfda2016f60, 0x83417ea3dac77cb0, 0xb2ca6f920fc71d3f, 0xe7659e8d219cc580,
  0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x9f9fd86ed84b997c, 0xa271964b867a615c, 0xb9a19961d252d964,
  0x0238953bb053c95f,
};

/*
 * m168a_u1x8_uart0_lednop_ee_hw     m168p_u1x8_uart0_lednop_ee_hw     m168pa_u1x8_uart0_lednop_ee_hw
 * m328_u1x8_uart0_lednop_ee_hw      m328p_u1x8_uart0_lednop_ee_hw     m328pb_u1x8_uart0_lednop_ee_hw
 * m164a_u1x8_uart0_lednop_ee_hw     m164p_u1x8_uart0_lednop_ee_hw     m164pa_u1x8_uart0_lednop_ee_hw
 * m324a_u1x8_uart0_lednop_ee_hw     m324p_u1x8_uart0_lednop_ee_hw     m324pa_u1x8_uart0_lednop_ee_hw
 * m324pb_u1x8_uart0_lednop_ee_hw    a6613c_u1x8_uart0_lednop_ee_hw    a6614q_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_ee_hw[] = {
  0x777776e54486d38b, 0xeeeee962340b4563, 0x7a9bc77b6f4fdeee, 0x0f1ec391c7bac1f6, 0x7751994ed29456d9,
  0xec3fe7d4f4c13e32, 0x6fed100b7b022ebf, 0x56654d56b4738dce, 0xfa8f83660d31f51e, 0x669d68450ef8ac3d,
  0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635, 0x08fd6e1bd96cb98b,
  0x5af60043eccf2a36, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0x5f36dce455bd8aaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b7d68dd453c,
};

/*
 * m168a_u1x8_uart0_lednop_ce_hw     m168p_u1x8_uart0_lednop_ce_hw     m168pa_u1x8_uart0_lednop_ce_hw
 * m164a_u1x8_uart0_lednop_ce_hw     m164p_u1x8_uart0_lednop_ce_hw     m164pa_u1x8_uart0_lednop_ce_hw
 * a6613c_u1x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_ce_hw[] = {
  0x1bbbbbb72d66ef3a, 0xeeeeee962c29e96b, 0x44f1ff16c1f6a1ee, 0x0db267cdf7776222, 0x13e3277417a09ac8,
  0x209fff7c0b3e654c, 0xd25ce6fed100b7b0, 0xf3c64a071003bfeb, 0x9cc273b8dc74a70f, 0xcfd47c173dcb0171,
  0x058c89a8e3a7f078, 0x5cecd7c8e414e62c, 0x1d0fbdc72c678ebc, 0x013859bf0312b5ec, 0x9b228301deb5e781,
  0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0x9fd86ed84b997cdb, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x10a0ebb053c95fb9, 0x0000000000000003,
};

/*
 * m168_u1x8_uart0_lednop_ee_ce_u4_hw m168a_u1x8_uart0_lednop_ee_ce_hw
 * m168a_u1x8_uart0_lednop_ee_ce_u4_hw m168p_u1x8_uart0_lednop_ee_ce_hw
 * m168p_u1x8_uart0_lednop_ee_ce_u4_hw m168pa_u1x8_uart0_lednop_ee_ce_hw
 * m168pa_u1x8_uart0_lednop_ee_ce_u4_hw m164a_u1x8_uart0_lednop_ee_ce_hw
 * m164a_u1x8_uart0_lednop_ee_ce_u4_hw m164p_u1x8_uart0_lednop_ee_ce_hw
 * m164p_u1x8_uart0_lednop_ee_ce_u4_hw m164pa_u1x8_uart0_lednop_ee_ce_hw
 * m164pa_u1x8_uart0_lednop_ee_ce_u4_hw a6613c_u1x8_uart0_lednop_ee_ce_hw
 * a6613c_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f68805bd8158fff, 0x12d5c5f54721ee73, 0x45f71258f3ca1707, 0x72fd47c25f886c24,
  0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6, 0x62291669d6845029, 0xb8f51d484d7d1859,
  0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386, 0x859bf0312b5ec2cc,
  0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5, 0x63b7b15545a6ae9c, 0xe3cd84b997cdb738,
  0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x3d52514f257ee686, 0x0000000000000a02,
};

/*
 * m168_u1x8_uart0_dual_pr           m168a_u1x8_uart0_dual             m168a_u1x8_uart0_dual_pr
 * m168p_u1x8_uart0_dual             m168p_u1x8_uart0_dual_pr          m168pa_u1x8_uart0_dual
 * m168pa_u1x8_uart0_dual_pr         a6613c_u1x8_uart0_dual            a6613c_u1x8_uart0_dual_pr
 */
static const uint64_t ur_m168_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0xa1832bac0db4b681, 0x5c7ae774f8971030, 0x0bece05166727f99, 0x4fe0cca9bd477f36,
  0x895fe7ef82284724, 0xe6e456006e1f0a21, 0x96846488655777bb, 0xfe80e784d6b45421, 0x0586f2bc84b6f1ef,
  0x05bd81695ffcc2f3, 0x1df2d5fee737f688, 0x1c74fe0d21fa8f6b, 0x731602fe1ccf7f41, 0x23af22ddaa5a3486,
  0x15252b241771cb18, 0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0xd002de6f0725603b, 0xf0c5654ee2ca72f9,
  0x78ce881fae2810b4, 0x79b09732f9b69c63, 0xf943458f38b93570, 0xf4c2b93f75663c81, 0x4a5b3e04e32c970c,
  0x0e792bf734332c3a, 0x000000000c439c7d,
};

/*
 * m168a_u1x8_uart0_dual_pr_u4       m168p_u1x8_uart0_dual_pr_u4       m168pa_u1x8_uart0_dual_pr_u4
 * a6613c_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m168_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0x958e0e966387f995, 0xf8380d37a8ffbb60,
  0x57f9fbe08a11c913, 0x73a7c01b87c28862, 0x41314432abbbddf3, 0x4073c268ca2a10cb, 0xc3795e425b731fff,
  0x6f6047affff43982, 0xbe589ab9cdfda201, 0x1d3f8310fea3e453, 0xc580aa0f34e2f7c7, 0xd78033b5ac8ebf9c,
  0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x0baf3c95fb9a1996,
  0x000000000a498835,
};

/*
 * m168_u1x8_uart0_dual_pr_ee_u4     m168a_u1x8_uart0_dual_pr_ee       m168a_u1x8_uart0_dual_pr_ee_u4
 * m168p_u1x8_uart0_dual_pr_ee       m168p_u1x8_uart0_dual_pr_ee_u4    m168pa_u1x8_uart0_dual_pr_ee
 * m168pa_u1x8_uart0_dual_pr_ee_u4   a6613c_u1x8_uart0_dual_pr_ee      a6613c_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m168_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0xdb4b6819129290b8, 0x8971030a1832bac0, 0x260d1f9956ee774f, 0xea3f4fec2c7ce1ff,
  0x4508e489fc1f57cd, 0xc3e144312bfcfdf0, 0x55ddeef9b895000d, 0xee2a10cb412b2219, 0xb6e707fe80e784cb,
  0xffe8730586f2bc84, 0x37f68805bd81656f, 0x56bee6ab5a3912e7, 0x7a8f83660c14f51e, 0x669d68450ef8aea5,
  0x3484d7d185962291, 0xf673ab4b994b8a97, 0x6ba1d7a89768851e, 0x0908a04547cf58d5, 0x23f5b86f65f4b317,
  0x8a9280427f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x00000000564bab62,
};

/*
 * m168_u1x8_uart0_dual_pr_ce_u4     m168a_u1x8_uart0_dual_pr_ce       m168a_u1x8_uart0_dual_pr_ce_u4
 * m168p_u1x8_uart0_dual_pr_ce       m168p_u1x8_uart0_dual_pr_ce_u4    m168pa_u1x8_uart0_dual_pr_ce
 * m168pa_u1x8_uart0_dual_pr_ce_u4   a6613c_u1x8_uart0_dual_pr_ce      a6613c_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xe016a631ffccab77, 0x8ad37a8e4eb60968,
  0x9fbe08a11c913f83, 0x1801b87c2886257f, 0xb4432abbbddf3726, 0xf0983dc54219682f, 0x579096df4dffd01c,
  0x2297fffd0e60b0de, 0x805ce6fed100b7b0, 0xe7942e0e3a5b8bea, 0xbf10d8488bee24b1, 0xb8dc149faffa8f84,
  0xbf3dcb19f52e678b, 0xc8e3a7f0752fd471, 0x6475fce62c050507, 0x3ff6678ebc019dad, 0xd03cb5b843a43540,
  0x4fe2af9ddc549549, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0d24d1c42ebcf257,
};

/*
 * m168a_u1x8_uart0_dual_pr_ee_ce    m168p_u1x8_uart0_dual_pr_ee_ce    m168pa_u1x8_uart0_dual_pr_ee_ce
 * a6613c_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m168_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x6da5b40c894948ee, 0xc4b881850c195d60, 0x26fd7fccab773ba7, 0xf51eb7f61000e029,
  0x22847244fe0e76e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8a91006, 0x162a10cb437da219, 0x6dd36ffe80e784cc,
  0xffd0e60b0de57909, 0xdfda2016f60543ff, 0xc1ac77fd51b93b9c, 0xb9950d07fcf285c1, 0xa76b2b26e984e771,
  0x3660d7cf51e56fe4, 0x8450298ae037a8f8, 0x7d185962291669d6, 0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7,
  0x908a04547cf58d57, 0x132386f65f4b3170, 0x5494b313fac546c1, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0xc68b2d5e371e6c25,
  0xa9cfd4eaccdfc1dd, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65, 0xeb62ebcf257ee686,
  0x0000000000002001,
};

/*
 * m168a_u1x8_uart0_dual_pr_ee_ce_u4 m168p_u1x8_uart0_dual_pr_ee_ce_u4 m168pa_u1x8_uart0_dual_pr_ee_ce_u4
 * a6613c_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x61430657581b696d, 0x99696fcee9f12e20, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcf3900370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x2c3795e425b7149f, 0xb7b02d35fffa9c98, 0xea8d4f5ce6fed100, 0xb1e7942f3b19bb8b, 0x84bf10d8488bee24,
  0x771b9aa0f20ffa8f, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a, 0x84d7d18596229166,
  0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3, 0xddc5494b313fac54,
  0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xc25ccbe6db9c31db, 0xc68b1be2e4d5c1e6, 0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00002002e20ee27c,
};

/*
 * m168a_u1x8_uart0_dual_hw          m168p_u1x8_uart0_dual_hw          m168pa_u1x8_uart0_dual_hw
 * a6613c_u1x8_uart0_dual_hw
 */
static const uint64_t ur_m168_u1x8_uart0_dual_hw[] = {
  0x77777756a2436d3a, 0xbbbbbebd8894e533, 0xacccc8ac1d415bbb, 0x9ceca0deeee9bba0, 0x2825cae76cdee4c6,
  0x2252523ace609f19, 0x430657581b696d03, 0x2addcee9f12e2061, 0xc12b1c1d2cc70ff3, 0x27f0701a6f51ff76,
  0xc4aff3f7c1142392, 0xe6e74f80370f8510, 0x96826288655777bb, 0xfe80e784d1945421, 0x0586f2bc84b6e63f,
  0x02dec08f5ff6bf73, 0xa77cb135739bfb44, 0x8e3a7f0621fd47c8, 0x398b01541e69c5ef, 0x23af00676b591d7f,
  0xdb10e90d500ffd98, 0x9ddc549549d03cb3, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xd5453c95fb9a1996, 0x0000000000c6ea20,
};

/*
 * m168a_u1x8_uart0_dual_ee_hw       m168p_u1x8_uart0_dual_ee_hw       m168pa_u1x8_uart0_dual_ee_hw
 * a6613c_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m168_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xeeeefafc7655ea66, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf57964d38275b1d7,
  0x2e0a609f1932eee5, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0x7fc98347e655bb9d, 0xf37a8fd3fb0b1f38,
  0x7c114239227f07d5, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x32fb8a8432d04ac8, 0x212db9c1ffa039e1,
  0x5bfdafdcc161bcaf, 0xb9cdfda2016f6059, 0x4795afb9aad68e44, 0xa95ea3e0d983053d, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21, 0xc5c242281151f3d6, 0x3608fd6e1bd97d2c,
  0xeee2a4a0109fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0xb09732f9b6e722ad, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xba29e4afdcd0ccb0, 0x0000000000aed5d5,
};

/*
 * m168a_u1x8_uart0_dual_ce_hw       m168p_u1x8_uart0_dual_ce_hw       m168pa_u1x8_uart0_dual_ce_hw
 * a6613c_u1x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m168_u1x8_uart0_dual_ce_hw[] = {
  0xdddddd5a890ddb75, 0x77777d7e625894cd, 0x16a39c02b68bf777, 0xb4fb3adbbbb1c727, 0x3b95f5ef27ae43cf,
  0x25215d79827c64d3, 0x657581b696d03225, 0xdcee9f12e2061430, 0xa3805a98c7ff32ad, 0x0e2b4dea393ad825,
  0xfe7ef822847244fe, 0x986006e1f0a21895, 0xbed10caaeef77cdc, 0x73c260f7150865a0, 0x795e425b7d37ff40,
  0xc08a5ffb5fb982c3, 0xaa01739bfb4402de, 0xc79e50b838e96e2f, 0x12fc4361222fb892, 0x1771b8ff3107ea3e,
  0xe37e7b9633ea5ccf, 0x0f91c74fe0ea5fa8, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b, 0x93a0796b7087486a,
  0xec9fc55f3bb8a92a, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x004dd7471514f257,
};

/*
 * m168a_u1x8_uart0_dual_ee_ce_hw    m168p_u1x8_uart0_dual_ee_ce_hw    m168pa_u1x8_uart0_dual_ee_ce_hw
 * a6613c_u1x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m168_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xddddf5f0bfdc299b, 0x0fb265cedb04dddd, 0x858fde4eddfb51ab, 0x347d4eb5bb07e644,
  0x1c939827c64a0ab9, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0xd673321fe655bb9d, 0xcdea3cc36c19f0e1,
  0xf04508e489fc1feb, 0x0dc3e144312bfcfd, 0x32abbbddf373ce40, 0xa394542196825a44, 0x096dc527fd01cf09,
  0x5fed7ee60b0de579, 0xce6fed100b7b02d3, 0xc1c19bb8bea8d4f5, 0x09117dc4963cf285, 0xcd90ff51f097e21b,
  0x6e6e6e99e2ee373a, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3,
  0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x9b0ec6e3cd84b997, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x0000000075d5b8fa,
};

/*
 * m168a_u1x8_uart0_dual_ee_ce_u4_hw m168p_u1x8_uart0_dual_ee_ce_u4_hw m168pa_u1x8_uart0_dual_ee_ce_u4_hw
 * a6613c_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xcddddddd5a890c86, 0xddddddf5f0bd47d4, 0x639db5a2afd70bdd, 0x3b3689e7ef276e8f, 0x75cbbb1bb3798a84,
  0x25213cbcc13e325a, 0x657581b696d03225, 0xdcee9f12e2061430, 0x670986999f3f32ad, 0x70026f51ff5f606b,
  0xf3f7c114239227f0, 0xa180370f8510c4af, 0x5910caaeef77cdcb, 0x3c26b75150865a03, 0x2bc84b6e87dff407,
  0x24dbff6bf730586f, 0xbadce6fed100b7b0, 0x942e0e456b8bea8c, 0x10d8488bee24b1e7, 0xb8951723fa8f84bf,
  0xa76b73710ccf1771, 0x3660d31f51e57dd4, 0x422814c57a57a8f8, 0xbe8c2cb1148b34eb, 0xd1ceaedd388ea426,
  0x363af6b13b5c3464, 0x11435f237b56355e, 0x32386f65c7c62e12, 0x2af9ddc5497189a4, 0xc2cdf81895af64fe,
  0x37980ef5af3c0809, 0xd4e48a5abce8016f, 0x197f318216953e02, 0x32f9b69c6378ce88, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000003aea56aa29,
};

/*
 * m168_u1x12_uart0_noled_pr         m168a_u1x12_uart0_noled           m168a_u1x12_uart0_noled_pr
 * m168p_u1x12_uart0_noled           m168p_u1x12_uart0_noled_pr        m168pa_u1x12_uart0_noled
 * m168pa_u1x12_uart0_noled_pr       m328_u1x12_uart0_noled            m328_u1x12_uart0_noled_pr
 * m328p_u1x12_uart0_noled           m328p_u1x12_uart0_noled_pr        m328pb_u1x12_uart0_noled
 * m328pb_u1x12_uart0_noled_pr       a6613c_u1x12_uart0_noled          a6613c_u1x12_uart0_noled_pr
 * a6614q_u1x12_uart0_noled          a6614q_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m168_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x3fd9abf3f38cc13e, 0xff6d4feedd3e125f, 0x4077cb08786d1ba4, 0xb471d3f83417ea3f, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xfc0c4ad7b071f03c, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x4922adec55516961, 0x3ce1bb612e65f36c, 0xf75663c81a3f8d16, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0xf90e71693a792bf7,
};

/*
 * m168a_u1x12_uart0_noled_pr_u4     m168p_u1x12_uart0_noled_pr_u4     m168pa_u1x12_uart0_noled_pr_u4
 * m328_u1x12_uart0_noled_pr_u4      m328p_u1x12_uart0_noled_pr_u4     m328pb_u1x12_uart0_noled_pr_u4
 * a6613c_u1x12_uart0_noled_pr_u4    a6614q_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xd5f9f9c6609f193b, 0xa9fddba7c24be7f8, 0xf9610f0da3749fed, 0x3a7f0682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x895af60e3e07967b, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x1e6c25ccbe6d8924, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x7d0e792bf734332c,
  0x0000000007c9fd9e,
};

/*
 * m168_u1x12_uart0_noled_pr_ee_u4   m168a_u1x12_uart0_noled_pr_ee     m168a_u1x12_uart0_noled_pr_ee_u4
 * m168p_u1x12_uart0_noled_pr_ee     m168p_u1x12_uart0_noled_pr_ee_u4  m168pa_u1x12_uart0_noled_pr_ee
 * m168pa_u1x12_uart0_noled_pr_ee_u4 m328_u1x12_uart0_noled_pr_ee      m328_u1x12_uart0_noled_pr_ee_u4
 * m328p_u1x12_uart0_noled_pr_ee     m328p_u1x12_uart0_noled_pr_ee_u4  m328pb_u1x12_uart0_noled_pr_ee
 * m328pb_u1x12_uart0_noled_pr_ee_u4 a6613c_u1x12_uart0_noled_pr_ee    a6613c_u1x12_uart0_noled_pr_ee_u4
 * a6614q_u1x12_uart0_noled_pr_ee    a6614q_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xeedd3e12387fe357, 0xe7186d1ba4ff6d4f, 0x63ea3cae449aad68, 0xf8afbaf51f06cc1a,
  0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b, 0xd973170908a39e46,
  0x9a546c11fadc37b2, 0xdf81895af600544a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755,
  0x892455bd8aaa2d2c, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xef057d0e792bf734, 0x00000000000004eb,
};

/*
 * m168a_u1x12_uart0_noled_pr_ce     m168p_u1x12_uart0_noled_pr_ce     m168pa_u1x12_uart0_noled_pr_ce
 * a6613c_u1x12_uart0_noled_pr_ce
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebfd9abf3f1ee6, 0xba4ff6d4feedd3e1, 0x1c5ae77fd7a486d1, 0xe373e7487fcf1928, 0x5cf72c05c67309ce,
  0xe38e9fc1e33f51ea, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xfc0c4ad7b075f87b, 0x9bcc077ad79ce166,
  0x8c1a9b129fbe70b7, 0xce8810818c10b4e4, 0xb09732f9b69c6378, 0xe40d1fc68b1e70dd, 0xb867a615c9fbab31,
  0x1d252d964a271964, 0xb49d3c95fb9a1996, 0x0000000000b75248,
};

/*
 * m168a_u1x12_uart0_noled_pr_ce_u4  m168p_u1x12_uart0_noled_pr_ce_u4  m168pa_u1x12_uart0_noled_pr_ce_u4
 * a6613c_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe357e7e43cc13e32, 0x6d4feedd3e12727f, 0x717d72486d1ba4ff, 0x71258f3c64a9dbf9, 0xd47c25f886c2445f,
  0xc99e2ee371fe620f, 0x59ea393d3dcb19fa, 0x80a3e7491c74fe0f, 0xe8f9dabfa3d61cc5, 0xeccf2a01ffb33c75,
  0x56bd838f81e5adc3, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x3612e65f36c490c7, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x0000000375d071be,
};

/*
 * m168a_u1x12_uart0_noled_pr_ee_ce  m168p_u1x12_uart0_noled_pr_ee_ce  m168pa_u1x12_uart0_noled_pr_ee_ce
 * a6613c_u1x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xdd3e1231fff1abf3, 0x786d1ba4ff6d4fee, 0xc953b383717d51c8, 0x0d8488bee24b1e78,
  0x9d66c87fa8f84bf1, 0x76b736f7ccf1771b, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6,
  0x2cb579726ae0f361, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x3e873c95fb9a1996, 0x00000000004fc2b5,
};

/*
 * m168a_u1x12_uart0_noled_pr_ee_ce_u4 m168p_u1x12_uart0_noled_pr_ee_ce_u4
 * m168pa_u1x12_uart0_noled_pr_ee_ce_u4 a6613c_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x6afcfffc9827c64e, 0x53fbb74f84ba7ffc, 0x546e4e1b46e93fdb, 0xc79e3254ed82dc5f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0x82929dadcdc6533c, 0x47c1b30637fd4795, 0xa75a1140a62b887d, 0x2135f4616588a459,
  0x4627ce7576e7bc75, 0xabc6c75eba9bb087, 0xc24228905478cec6, 0xe1991c37b2e1c8c5, 0x166fc0c4ad7b318f,
  0x0b79bcc077ad79ce, 0x4e48c1a9b129fbe7, 0x378ce8810818c10b, 0x079b09732f9b69c6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xdf439e4afdcd0ccb, 0x000000000027e042,
};

/*
 * m168a_u1x12_uart0_noled_hw        m168p_u1x12_uart0_noled_hw        m168pa_u1x12_uart0_noled_hw
 * m164a_u1x12_uart0_noled_hw        m164p_u1x12_uart0_noled_hw        m164pa_u1x12_uart0_noled_hw
 * a6613c_u1x12_uart0_noled_hw
 */
static const uint64_t ur_m168_u1x12_uart0_noled_hw[] = {
  0x7777624eed66faca, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0xf193ba4cec7eb53a,
  0x7cffbe059f9c6609, 0x93fdb53fbb74f849, 0xfd01df2c21e1b46e, 0xdad1c74fe0d05fa8, 0x7ac398b016594cf7,
  0xf6608ebd1f3b57f4, 0xf2cf6c7d99e5403f, 0x9bf0312b5ec1c7c0, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xf9fd86ed84b997cd, 0x271964b867a615c9, 0x9a19961d252d964a,
  0x08e2e73b053c95fb,
};

/*
 * m168a_u1x12_uart0_noled_ee_hw     m168p_u1x12_uart0_noled_ee_hw     m168pa_u1x12_uart0_noled_ee_hw
 * m328_u1x12_uart0_noled_ee_hw      m328p_u1x12_uart0_noled_ee_hw     m328pb_u1x12_uart0_noled_ee_hw
 * m164a_u1x12_uart0_noled_ee_hw     m164p_u1x12_uart0_noled_ee_hw     m164pa_u1x12_uart0_noled_ee_hw
 * m324a_u1x12_uart0_noled_ee_hw     m324p_u1x12_uart0_noled_ee_hw     m324pa_u1x12_uart0_noled_ee_hw
 * m324pb_u1x12_uart0_noled_ee_hw    a6613c_u1x12_uart0_noled_ee_hw    a6614q_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m168_u1x12_uart0_noled_ee_hw[] = {
  0xeeec49dd4486fc3b, 0xeeee961e4090ac6e, 0x5936a64cf4ddeeee, 0x543d9c489dde0f42, 0xddb826eb4a71b082,
  0xb0ff9f60b304f8c9, 0xb53fbb74f848e1ff, 0xb5a39c61b46e93fd, 0x30698fa8f2b9126a, 0x143be2beebd47c1b,
  0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af, 0xdecb65cc5c24228e,
  0x512a6951b047eb70, 0x70b37e06256bd801, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00002dfbc93a29e4,
};

/*
 * m168a_u1x12_uart0_noled_ce_hw     m168p_u1x12_uart0_noled_ce_hw     m168pa_u1x12_uart0_noled_ce_hw
 * m164a_u1x12_uart0_noled_ce_hw     m164p_u1x12_uart0_noled_ce_hw     m164pa_u1x12_uart0_noled_ce_hw
 * a6613c_u1x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m168_u1x12_uart0_noled_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba58739311ac6, 0xb1ae5ecdad2e3bbb, 0xb6c66efdddd9eef0, 0x4f8c9dd85eb46a09,
  0xba8ffbe059fdbf30, 0xe93fdb53fbb74f84, 0x380a1dff5e921b46, 0xc6e393f9df9e3250, 0x79ee580b8ce6139d,
  0xc71d3f83c67ea388, 0x478cce62c05def05, 0x1cb19e3af173b3da, 0x7e06256bd83aa277, 0xf50603bd6bce70b3,
  0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0, 0x7f61bb612e65f36c, 0xc6592e19e985727e,
  0x866587494b659289, 0x428b8ec14f257ee6, 0x000000000000000c,
};

/*
 * m168_u1x12_uart0_noled_ee_ce_u4_hw m168a_u1x12_uart0_noled_ee_ce_hw
 * m168a_u1x12_uart0_noled_ee_ce_u4_hw m168p_u1x12_uart0_noled_ee_ce_hw
 * m168p_u1x12_uart0_noled_ee_ce_u4_hw m168pa_u1x12_uart0_noled_ee_ce_hw
 * m168pa_u1x12_uart0_noled_ee_ce_u4_hw m164a_u1x12_uart0_noled_ee_ce_hw
 * m164a_u1x12_uart0_noled_ee_ce_u4_hw m164p_u1x12_uart0_noled_ee_ce_hw
 * m164p_u1x12_uart0_noled_ee_ce_u4_hw m164pa_u1x12_uart0_noled_ee_ce_hw
 * m164pa_u1x12_uart0_noled_ee_ce_u4_hw a6613c_u1x12_uart0_noled_ee_ce_hw
 * a6613c_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xda9fddba7c2463ff, 0xfaa390f0da3749fe, 0x2c79e50b838706e2, 0xe12fc4361222fb89,
  0xc5dc6e2545c8fea3, 0x5f5129dadcdbdf33, 0xd47c1b306b5fd479, 0x34eb422814c5613f, 0xa426be8c2cb1148b,
  0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e, 0x1895af616744a9a5,
  0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7, 0xe3cd84b997cdb124,
  0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x4a71d14f257ee686, 0x0000000000000a02,
};

/*
 * m168_u1x12_uart0_lednop_pr        m168a_u1x12_uart0_lednop          m168a_u1x12_uart0_lednop_pr
 * m168p_u1x12_uart0_lednop          m168p_u1x12_uart0_lednop_pr       m168pa_u1x12_uart0_lednop
 * m168pa_u1x12_uart0_lednop_pr      m328_u1x12_uart0_lednop           m328_u1x12_uart0_lednop_pr
 * m328p_u1x12_uart0_lednop          m328p_u1x12_uart0_lednop_pr       m328pb_u1x12_uart0_lednop
 * m328pb_u1x12_uart0_lednop_pr      a6613c_u1x12_uart0_lednop         a6613c_u1x12_uart0_lednop_pr
 * a6614q_u1x12_uart0_lednop         a6614q_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m168_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x5f7fb357e7cf5982, 0x93fdb53fbb74f84a, 0xf6b1df2c21e1b46e, 0x83f1c74fe0d05fa8, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xdf81895af6415a07, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0xb612e65f36dce455, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x1693a792bf734332, 0x00000000001f2049,
};

/*
 * m168a_u1x12_uart0_lednop_pr_u4    m168p_u1x12_uart0_lednop_pr_u4    m168pa_u1x12_uart0_lednop_pr_u4
 * m328_u1x12_uart0_lednop_pr_u4     m328p_u1x12_uart0_lednop_pr_u4    m328pb_u1x12_uart0_lednop_pr_u4
 * a6613c_u1x12_uart0_lednop_pr_u4   a6614q_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0x6afcf9eb304f8c9d, 0xa9fddba7c252fbfc, 0xf9610f0da3749fed, 0x3a7f0682fd47b58e, 0x8b016594df241f8e,
  0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x4ad7b20ad03cb3db, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x32f9b6e722adec55, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x001f263d5df439e4,
};

/*
 * m168_u1x12_uart0_lednop_pr_ee_u4  m168a_u1x12_uart0_lednop_pr_ee    m168a_u1x12_uart0_lednop_pr_ee_u4
 * m168p_u1x12_uart0_lednop_pr_ee    m168p_u1x12_uart0_lednop_pr_ee_u4 m168pa_u1x12_uart0_lednop_pr_ee
 * m168pa_u1x12_uart0_lednop_pr_ee_u4 m328_u1x12_uart0_lednop_pr_ee
 * m328_u1x12_uart0_lednop_pr_ee_u4  m328p_u1x12_uart0_lednop_pr_ee    m328p_u1x12_uart0_lednop_pr_ee_u4
 * m328pb_u1x12_uart0_lednop_pr_ee   m328pb_u1x12_uart0_lednop_pr_ee_u4
 * a6613c_u1x12_uart0_lednop_pr_ee   a6613c_u1x12_uart0_lednop_pr_ee_u4
 * a6614q_u1x12_uart0_lednop_pr_ee   a6614q_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xf3f95a609f193ba5, 0xf76e9f09143ff1ab, 0x738c368dd27fb6a7, 0x31f51e56654d56b4, 0xf8ac3dfa8f83660d,
  0x962291669d68450e, 0xaae3593484d7d185, 0xda32464d1cead2e7, 0x7b56355ae875e74d, 0x6cb98b8484504f23,
  0xcf2a3608fd6e1bd9, 0xdf81895af60043ec, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x0000000275f249be,
};

/*
 * m168_u1x12_uart0_lednop_pr_ce_u4  m168a_u1x12_uart0_lednop_pr_ce    m168a_u1x12_uart0_lednop_pr_ce_u4
 * m168p_u1x12_uart0_lednop_pr_ce    m168p_u1x12_uart0_lednop_pr_ce_u4 m168pa_u1x12_uart0_lednop_pr_ce
 * m168pa_u1x12_uart0_lednop_pr_ce_u4 a6613c_u1x12_uart0_lednop_pr_ce
 * a6613c_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf1abf3e52e609f19, 0xb6a7f76e9f093a5f, 0xb8beb924368dd27f, 0x71258f3c64a9dd4a, 0xd47c25f886c2445f,
  0x933c5dc6e56fc00f, 0xb3d47e927b9633f5, 0x0153111638e9fc1e, 0x47cecb3d1a43398b, 0x6691500ffd99e3af,
  0xb5ec82b40f2d6e41, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0x7cdb73863b7b1554, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0dd75a7cfa1cf257,
};

/*
 * m168a_u1x12_uart0_lednop_pr_ee_ce m168p_u1x12_uart0_lednop_pr_ee_ce m168pa_u1x12_uart0_lednop_pr_ee_ce
 * a6613c_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x76e9f091c1ff1abf, 0xfe4368dd27fb6a7f, 0xe3254ef7d9dff546, 0x84e771b9722495f9,
  0xe57dd4a76b2b1ef9, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452, 0x8c9193473abb71ea,
  0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0xd165abcb9357079b,
  0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2, 0x29f439e4afdcd0cc,
  0x0000000000009f90,
};

/*
 * m168a_u1x12_uart0_lednop_pr_ee_ce_u4 m168p_u1x12_uart0_lednop_pr_ee_ce_u4
 * m168pa_u1x12_uart0_lednop_pr_ee_ce_u4 a6613c_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0xc73fa6a609f193ba, 0xfddba7c25ff3fc48, 0x390f0da3749feda9, 0x9e50b83896ae2faa, 0xfc4361222fb892c7,
  0x1b8089300fea3e12, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57dd, 0xd08a05315edff51f, 0xafa30b2c4522cd3a,
  0x3473abb71ea3a909, 0xf1b1d79d3768c919, 0x242282791bdab1aa, 0x226470decb65cc5c, 0x6bd8598fb33ca8d8,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e596f8baf3,
};

/*
 * m168a_u1x12_uart0_lednop_hw       m168p_u1x12_uart0_lednop_hw       m168pa_u1x12_uart0_lednop_hw
 * m164a_u1x12_uart0_lednop_hw       m164p_u1x12_uart0_lednop_hw       m164pa_u1x12_uart0_lednop_hw
 * a6613c_u1x12_uart0_lednop_hw
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_hw[] = {
  0xbbbbb12776b372ac, 0xeeeee961ce5e2eb1, 0xa91e4e6febf466ee, 0xdd78d736b777693f, 0x13e32776007a7b64,
  0x297dff7c0b3e7acc, 0xba4ff6d4feedd3e1, 0xa3dac77cb08786d1, 0x920fc71d3f83417e, 0x8d219cc580b2ca6f,
  0xfecc11d7a3e7659e, 0x1e59eda0b348a807, 0xb37e06256bd90568, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x6ed84b997cdb7391, 0x4b867a615c9f9fd8, 0x61d252d964a27196,
  0x93b053c95fb9a199, 0x0000000000011c44,
};

/*
 * m168a_u1x12_uart0_lednop_ee_hw    m168p_u1x12_uart0_lednop_ee_hw    m168pa_u1x12_uart0_lednop_ee_hw
 * m328_u1x12_uart0_lednop_ee_hw     m328p_u1x12_uart0_lednop_ee_hw    m328pb_u1x12_uart0_lednop_ee_hw
 * m164a_u1x12_uart0_lednop_ee_hw    m164p_u1x12_uart0_lednop_ee_hw    m164pa_u1x12_uart0_lednop_ee_hw
 * m324a_u1x12_uart0_lednop_ee_hw    m324p_u1x12_uart0_lednop_ee_hw    m324pa_u1x12_uart0_lednop_ee_hw
 * m324pb_u1x12_uart0_lednop_ee_hw   a6613c_u1x12_uart0_lednop_ee_hw   a6614q_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd448651eb, 0xeeee961e4190ac6e, 0x8485938035a5eeee, 0x70bf6712277783d0, 0xdd89cecb5eb62f2b,
  0xb0ff9fcad304f8c9, 0xb53fbb74f848a1ff, 0xb5a39c61b46e93fd, 0x30698fa8f2b32a6a, 0x2877c561efd47c1b,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af, 0xdecb65cc5c242282,
  0x1f667951b047eb70, 0xe166fc0c4ad7b002, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x22adec555169aba7, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xf0d4ea29e4afdcd0, 0x000000000000002d,
};

/*
 * m168a_u1x12_uart0_lednop_ce_hw    m168p_u1x12_uart0_lednop_ce_hw    m168pa_u1x12_uart0_lednop_ce_hw
 * m164a_u1x12_uart0_lednop_ce_hw    m164p_u1x12_uart0_lednop_ce_hw    m164pa_u1x12_uart0_lednop_ce_hw
 * a6613c_u1x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba5873917bac6, 0xc2f767f07d2e3bbb, 0x136d8cad377767bb, 0x609f193bb0bd68d4,
  0x1231fff7c0b3f52a, 0x1ba4ff6d4feedd3e, 0x40e64877fd7a486d, 0x771b8e4fe77e78c9, 0x82e7b9602e33984e,
  0x0f1c74fe0f19fa8f, 0x8a3905398b0177b1, 0xb8e58cf1d78b9d83, 0x6fc0c4ad7b074a0f, 0xc077ad79e0404e16,
  0xc94e8016f3796ea0, 0x42d380bdf2a6f529, 0x718de33a20474630, 0xfec376c25ccbe6da, 0x8cb25c33d30ae4fc,
  0x0ccb0e9296cb2513, 0x85171d829e4afdcd, 0x0000000000000018,
};

/*
 * m168_u1x12_uart0_lednop_ee_ce_u4_hw m168a_u1x12_uart0_lednop_ee_ce_hw
 * m168a_u1x12_uart0_lednop_ee_ce_u4_hw m168p_u1x12_uart0_lednop_ee_ce_hw
 * m168p_u1x12_uart0_lednop_ee_ce_u4_hw m168pa_u1x12_uart0_lednop_ee_ce_hw
 * m168pa_u1x12_uart0_lednop_ee_ce_u4_hw m164a_u1x12_uart0_lednop_ee_ce_hw
 * m164a_u1x12_uart0_lednop_ee_ce_u4_hw m164p_u1x12_uart0_lednop_ee_ce_hw
 * m164p_u1x12_uart0_lednop_ee_ce_u4_hw m164pa_u1x12_uart0_lednop_ee_ce_hw
 * m164pa_u1x12_uart0_lednop_ee_ce_u4_hw a6613c_u1x12_uart0_lednop_ee_ce_hw
 * a6613c_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0xa7f76e9f097fcff6, 0xa8e43c368dd27fb6, 0x1e7942e0e25ab8be, 0x4bf10d8488bee24b,
  0x771b9494ce5fa8f8, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x256bd8598fb33ca8,
  0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a,
  0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000000a02b2dfa29,
};

/*
 * m168a_u1x12_uart0_dual            m168p_u1x12_uart0_dual            m168pa_u1x12_uart0_dual
 * a6613c_u1x12_uart0_dual
 */
static const uint64_t ur_m168_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x30657581b696d032, 0x8f5cee9f12e20614, 0xa29c1c9cdf3bf32b, 0xf071ee6f51d7dec0,
  0xaff3f7c114239227, 0x712d00370f8510c4, 0x407c4432abbbddf3, 0x4073c26dee2a10cb, 0x61bcaf212db995ff,
  0xa7c2538fff30bcc1, 0x0da3749feda9fddb, 0x90fd47114ef96aff, 0x1cd920df8e3a7f06, 0xc4f237b4731602fe,
  0x3fb8e58c11d7916e, 0xfe2af9ddc5494ac1, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0x6ae0f3612e65f36d, 0x0cf4c2b93f3fb172, 0x3a4a5b3e04e32c97,
  0x7d0e792bf734332c, 0x000000000cb7f4e3,
};

/*
 * m168a_u1x12_uart0_dual_pr         m168p_u1x12_uart0_dual_pr         m168pa_u1x12_uart0_dual_pr
 * a6613c_u1x12_uart0_dual_pr
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x1430657581b696d0, 0x32addcee9f12e206, 0xec0a29c1c9cdf3bf, 0x227f071ee6f51d7d,
  0x0c4aff3f7c114239, 0xdf3723900370f851, 0x0cb407c4432abbbd, 0xfff4073c26dee2a1, 0x982c3795e425b731,
  0xddba7c247affff43, 0xaff0da3749feda9f, 0xe0d21fa8f70cef96, 0x5fc3996b9351c74f, 0x5bb09f4682ce62c0,
  0xb0d26e39630475e4, 0xd93f8abe77715252, 0x020270b37e06256b, 0x005bcde603bd6bcf, 0x4f80b5392296af3a,
  0x19d1032ff14085a5, 0x3612e65f36d38c6f, 0xf83bb8d163ce1b8f, 0xc33d30ae4fdd599b, 0x0e9296cf8138cb25,
  0x85d79e4afdcd0ccb, 0x0000000000620135,
};

/*
 * m168a_u1x12_uart0_dual_pr_u4      m168p_u1x12_uart0_dual_pr_u4      m168pa_u1x12_uart0_dual_pr_u4
 * a6613c_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x657581b696d03225, 0xdcee9f12e2061430, 0x29c0e1cc52ff32ad, 0x0752a6f51d2b6c1d,
  0xff3f7c114239227f, 0x58f80370f8510c4a, 0x7c888655777bbe6e, 0x0e784c3e45421968, 0x6f2bc84b6f01bfe8,
  0xf0904ffffe873058, 0x68dd27fb6a7f76e9, 0x7f51f229df2c4d43, 0x9a717be38e9fc188, 0xd6475fce62c05507,
  0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x029273e085d79e4a,
};

/*
 * m168_u1x12_uart0_dual_pr_ee_u4    m168a_u1x12_uart0_dual_pr_ee      m168a_u1x12_uart0_dual_pr_ee_u4
 * m168p_u1x12_uart0_dual_pr_ee      m168p_u1x12_uart0_dual_pr_ee_u4   m168pa_u1x12_uart0_dual_pr_ee
 * m168pa_u1x12_uart0_dual_pr_ee_u4  a6613c_u1x12_uart0_dual_pr_ee     a6613c_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xb4b6819129291c3f, 0x971030a1832bac0d, 0x6d35f9956ee774f8, 0x51ec7f61ff0e01a2,
  0x2847244fe0e87e6f, 0x1f0a21895fe7ef82, 0xaeef77cdcb91006e, 0xb150865a0e9510ca, 0x6fd5fff4073c2628,
  0xfe8730586f2bc84b, 0x6a7f76e9f096fbff, 0x6b47224368dd27fb, 0xc1829ea3cad7dcd5, 0xa1df15d4af51f06c,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x056448bc5d79e4af,
};

/*
 * m168_u1x12_uart0_dual_pr_ce_u4    m168a_u1x12_uart0_dual_pr_ce      m168a_u1x12_uart0_dual_pr_ce_u4
 * m168p_u1x12_uart0_dual_pr_ce      m168p_u1x12_uart0_dual_pr_ce_u4   m168pa_u1x12_uart0_dual_pr_ce
 * m168pa_u1x12_uart0_dual_pr_ce_u4  a6613c_u1x12_uart0_dual_pr_ce     a6613c_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x0c7e619bfccab773, 0x5a6f51d2d6c02d1c,
  0xf7c114239227f063, 0x00370f8510c4aff3, 0x88655777bbe6e33e, 0x1318f8a8432d028a, 0xf212dbc56ffa039e,
  0xc17fffa1cc161bca, 0x49feda9fddba7c24, 0x8e96e2faa010da37, 0x22fb892c79e50b83, 0xebfea3e12fc43612,
  0x7d4b99e2ee370527, 0x1d4bf51c6fcf72c6, 0x8b014141f238e9fc, 0xaf00676b591d7f39, 0x10e90d500ffd99e3,
  0x77152552740f2d6e, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x8baf3c95fb9a1996, 0x00000000034936bd,
};

/*
 * m168a_u1x12_uart0_dual_pr_ee_ce   m168p_u1x12_uart0_dual_pr_ee_ce   m168pa_u1x12_uart0_dual_pr_ee_ce
 * a6613c_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0xda5b40c89494874e, 0x4b881850c195d606, 0x635bfccab773ba7c, 0x51e006c0521c3f5e,
  0x2847244fe0ed6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9dd6006e, 0x22a10cb434da2195, 0xde76ffe80e784d81,
  0xfd0e60b0de579096, 0xa9fddba7c25d3fff, 0xaa37270da3749fed, 0xff9e50b838358eff, 0xdd309cee3732a1a0,
  0xea3cadfc94ed6564, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531, 0x1943a909afa30b2c, 0x9768851ef673abb7,
  0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de, 0xfc55f3bb8a929662, 0x13859bf0312b5ec9,
  0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0xc6e3cd84b997cdb7,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000008001d145d79,
};

/*
 * m168a_u1x12_uart0_dual_pr_ee_ce_u4 m168p_u1x12_uart0_dual_pr_ee_ce_u4
 * m168pa_u1x12_uart0_dual_pr_ee_ce_u4 a6613c_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x0c195d606da5b40c, 0xa5bf3ba7c4b88185, 0xacce0c8735257e65,
  0xc19adcdea3b3e6c3, 0xbfcfdf04508e489f, 0x3a9c00dc3e144312, 0x05a4432abbbddf37, 0x1cf098e0c5421968,
  0xbcaf212dbfebffd0, 0x093fcfffd4e4c161, 0x8dd27fb6a7f76e9f, 0xb19bb8bea8d4f436, 0x88bee24b1e7942f3,
  0x20ffa8f84bf10d84, 0x7374cf1771b9aa0f, 0xcf51e56fe4a76b73, 0x8ae037a8f83660d7, 0x62291669d6845029,
  0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386,
  0x4fe2af9ddc5494b3, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xd50e27cf257ee686, 0x0000000000008003,
};

/*
 * m168a_u1x12_uart0_dual_hw         m168p_u1x12_uart0_dual_hw         m168pa_u1x12_uart0_dual_hw
 * a6613c_u1x12_uart0_dual_hw
 */
static const uint64_t ur_m168_u1x12_uart0_dual_hw[] = {
  0x774daf13448692df, 0xbbbbebc63b253377, 0x6ea05cbbd1edbbbb, 0x4d3919eeeec33a8a, 0x6c5c947d08749b01,
  0x25252190e609f192, 0x30657581b696d032, 0xaddcee9f12e20614, 0x1d29c0e1cc52ff32, 0x7f0752a6f51d2b6c,
  0x4aff3f7c11423922, 0x6e58f80370f8510c, 0x687c888655777bbe, 0xe80e784c3e454219, 0x586f2bc84b6f01bf,
  0xe9f0904fff6bf730, 0x4368dd27fb6a7f76, 0x887f51f229df2c4d, 0x079a717be38e9fc1, 0xdad6475fce62c055,
  0x5403ff6608ebc019, 0x52740f2cf6c43a43, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xa82ec6e3cd84b997, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0018dd67c1514f25,
};

/*
 * m168a_u1x12_uart0_dual_ee_hw      m168p_u1x12_uart0_dual_ee_hw      m168pa_u1x12_uart0_dual_ee_hw
 * a6613c_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m168_u1x12_uart0_dual_ee_hw[] = {
  0x774daf13448687e1, 0x777d7d931d753377, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x36d2da0644a4a470, 0xe25c40c2860caeb0, 0x89b4d7e655bb9dd3, 0xbd47b1fd87fc3806,
  0x08a11c913f83a1f9, 0xb87c2886257f9fbe, 0x2abbbddf372e4401, 0xa2c54219683a5443, 0x2dbf57ffd01cf098,
  0xfdafdcc161bcaf21, 0xeda9fddba7c25bef, 0x55ad1c890da3749f, 0xb3060a7a8f2b5f73, 0x22877c5752bd47c1,
  0xe8c2cb1148b34eb4, 0xa5cca5c54b9a426b, 0xd44bb4428f7b39d5, 0x22a3e7ac6ab5d0eb, 0x37b2fa598b848450,
  0x213fac546c11fadc, 0x64fe2af9ddc54940, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x00aed245f453c95f,
};

/*
 * m168a_u1x12_uart0_dual_ce_hw      m168p_u1x12_uart0_dual_ce_hw      m168pa_u1x12_uart0_dual_ce_hw
 * a6613c_u1x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m168_u1x12_uart0_dual_ce_hw[] = {
  0x774daf134486c541, 0x777d782f4fb53377, 0x7c10d056d6b77777, 0x9f738b77760dd896, 0xb95823f875463bf7,
  0x5206179827c64f25, 0x57581b696d032252, 0xcee9f12e20614306, 0x7031f9866ff32add, 0x8d69bd474b5b00b4,
  0xcfdf04508e489fc1, 0xf800dc3e144312bf, 0x2a21955ddeef9b8c, 0x784c63e2a10cb40a, 0x2bc84b6f15bfe80e,
  0x9305ff6bf730586f, 0xdd27fb6a7f76e9f0, 0x0e3a5b8bea804368, 0x488bee24b1e7942e, 0xcc41fa8f84bf10d8,
  0x8cfa9733c5dc6e3f, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe, 0xdc21d21aa01ffb33,
  0xceee2a4aa4e81e5a, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x3612e65f36dce18e, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xf7453c95fb9a1996, 0x00000000001375da,
};

/*
 * m168a_u1x12_uart0_dual_ee_ce_hw   m168p_u1x12_uart0_dual_ee_ce_hw   m168pa_u1x12_uart0_dual_ee_ce_hw
 * a6613c_u1x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m168_u1x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41437089, 0xbbebc99d77a99bbb, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0xdb4b6819129290e9, 0x8971030a1832bac0, 0xcc6b7f9956ee774f, 0xea3c00d80a4387eb,
  0x4508e489fc1dadcd, 0xc3e144312bfcfdf0, 0xabbbddf373bac00d, 0x24542196869b4432, 0xdbcedffd01cf09b0,
  0xdafdcc161bcaf212, 0xb53fbb74f84ba7ff, 0xf546e4e1b46e93fd, 0x0ff3ca170706b1df, 0x4dd309cee373acd9,
  0x9ea3cadfc94ed656, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053, 0x71943a909afa30b2, 0x89768851ef673abb,
  0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d, 0x9fc55f3bb8a92966, 0x013859bf0312b5ec,
  0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xec6e3cd84b997cdb,
  0x138d2861539fa9b0, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0000075d4745a29e,
};

/*
 * m168a_u1x12_uart0_dual_ee_ce_u4_hw m168p_u1x12_uart0_dual_ee_ce_u4_hw
 * m168pa_u1x12_uart0_dual_ee_ce_u4_hw a6613c_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468ce4a, 0xddf5f63f2254cddd, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x36d2da0644a4a479, 0xe25c40c2860caeb0, 0x735257e65d849dd3, 0xea3b3e6c3acce0c8,
  0x4508e489fc19adcd, 0xc3e144312bfcfdf0, 0xabbbddf373a9c00d, 0x0c542196805a4432, 0xdbfebffd01cf098e,
  0xf54e4c161bcaf212, 0xb53fbb74f849fe7f, 0xf546a7a1b46e93fd, 0x8f3c6f860e0cddc5, 0x25f886c2445f7125,
  0x771b8a49cdffd47c, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a, 0x84d7d18596229166,
  0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3, 0xddc5494b313fac54,
  0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xc25ccbe6db9c31db, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000eba869f0,
};

/*
 * m168_u2x8_uart0_noled_pr          m168a_u2x8_uart0_noled            m168a_u2x8_uart0_noled_pr
 * m168p_u2x8_uart0_noled            m168p_u2x8_uart0_noled_pr         m168pa_u2x8_uart0_noled
 * m168pa_u2x8_uart0_noled_pr        m328_u2x8_uart0_noled             m328_u2x8_uart0_noled_pr
 * m328p_u2x8_uart0_noled            m328p_u2x8_uart0_noled_pr         m328pb_u2x8_uart0_noled
 * m328pb_u2x8_uart0_noled_pr        a6613c_u2x8_uart0_noled           a6613c_u2x8_uart0_noled_pr
 * a6614q_u2x8_uart0_noled           a6614q_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m168_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0xf9fecd5f9f9c6609, 0xed51ca4df6e9f092, 0x1fa03be5843c368d, 0xfb5a38e9fc1a0bf5, 0x8f58731602cb299e,
  0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb37e06256bd838f8, 0x01f50603bd6bce70, 0x54e5e5363385bcde,
  0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0x8b1e70ddb09732f9, 0xc9fbab31e40d1fc6, 0x4a271964b867a615,
  0xfb9a19961d252d96, 0x007c8738b49d3c95,
};

/*
 * m168a_u2x8_uart0_noled_pr_u4      m168p_u2x8_uart0_noled_pr_u4      m168pa_u2x8_uart0_noled_pr_u4
 * m328_u2x8_uart0_noled_pr_u4       m328p_u2x8_uart0_noled_pr_u4      m328pb_u2x8_uart0_noled_pr_u4
 * a6613c_u2x8_uart0_noled_pr_u4     a6614q_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xc6afcfce3304f8c9, 0x3949bedd3e125f3f, 0x077cb08786d1bdaa, 0x471d3f83417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xae0f3612e65f36c4, 0xc81f943458df1726, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xcf3e873c95fb9a19,
  0x000000000003e4fe,
};

/*
 * m168_u2x8_uart0_noled_pr_ee_u4    m168a_u2x8_uart0_noled_pr_ee      m168a_u2x8_uart0_noled_pr_ee_u4
 * m168p_u2x8_uart0_noled_pr_ee      m168p_u2x8_uart0_noled_pr_ee_u4   m168pa_u2x8_uart0_noled_pr_ee
 * m168pa_u2x8_uart0_noled_pr_ee_u4  m328_u2x8_uart0_noled_pr_ee       m328_u2x8_uart0_noled_pr_ee_u4
 * m328p_u2x8_uart0_noled_pr_ee      m328p_u2x8_uart0_noled_pr_ee_u4   m328pb_u2x8_uart0_noled_pr_ee
 * m328pb_u2x8_uart0_noled_pr_ee_u4  a6613c_u2x8_uart0_noled_pr_ee     a6613c_u2x8_uart0_noled_pr_ee_u4
 * a6614q_u2x8_uart0_noled_pr_ee     a6614q_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xbf3ec16609f193ba, 0x4df6e9f091c3ff1a, 0xb4738c368ded51ca, 0x0d31f51e57224d56, 0x877c57dd7a8f8366,
  0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7, 0xd96cb98b848451cf,
  0x254d2a3608fd6e1b, 0x166fc0c4ad7b002a, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b,
  0x36c4922adec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75f782be873c95fb, 0x0000000000000002,
};

/*
 * m168a_u2x8_uart0_noled_pr_ce      m168p_u2x8_uart0_noled_pr_ce      m168pa_u2x8_uart0_noled_pr_ce
 * a6613c_u2x8_uart0_noled_pr_ce
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775fecd5f9f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xe771b9f3a43fe78c, 0xf52e7b9602e33984,
  0x4871c74fe0f19fa8, 0x44a3507398b017a0, 0x3dc72c678ebc5ced, 0xb37e06256bd83afc, 0x5bcde603bd6bce70,
  0x72460d4d894fdf38, 0xbc67440840c6085a, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x245a4e9e4afdcd0c, 0x0000000000005ba9,
};

/*
 * m168a_u2x8_uart0_noled_pr_ce_u4   m168p_u2x8_uart0_noled_pr_ce_u4   m168pa_u2x8_uart0_noled_pr_ce_u4
 * a6613c_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff1abf3f21e609f1, 0x51ca4df6e9f09393, 0xfcb8beb924368ded, 0x2fb892c79e3254ed, 0x07ea3e12fc436122,
  0xfd64cf1771b8ff31, 0x07acf51c9e9ee58c, 0x62c051f3a48e3a7f, 0x3af47ced5fd1eb0e, 0xe1f6679500ffd99e,
  0x312b5ec1c7c0f2d6, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x079b09732f9b6248, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xdf439e4afdcd0ccb, 0x0000000001bae838,
};

/*
 * m168a_u2x8_uart0_noled_pr_ee_ce   m168p_u2x8_uart0_noled_pr_ee_ce   m168pa_u2x8_uart0_noled_pr_ee_ce
 * a6613c_u2x8_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xf6e9f0918fff8d5f, 0xe43c368ded51ca4d, 0x3c64a9d9c1b8bea8, 0xf886c2445f71258f,
  0x8dceb3643fd47c25, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f, 0xd7d185962291669d,
  0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c, 0xb5ec2ce89534a8d8,
  0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xb09732f9b624863b,
  0x0d165abcb9357079, 0x539fa9d598f207e5, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb,
  0x5a9f439e4afdcd0c, 0x00000000000027e1,
};

/*
 * m168a_u2x8_uart0_noled_pr_ee_ce_u4 m168p_u2x8_uart0_noled_pr_ee_ce_u4
 * m168pa_u2x8_uart0_noled_pr_ee_ce_u4 a6613c_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0x72937dba7c25d3ff, 0x2faa37270da37b54, 0x4963cf192a76c16e, 0x1f097e21b09117dc,
  0x9e2ee3712a2e47f5, 0xcac1494ed6e6e329, 0x3ea3e0d9831bfea3, 0x2cd3ad08a05315c4, 0x3a909afa30b2c452,
  0x43a313e73abb73de, 0x6355e363af5d4dd8, 0x62e12114482a3c67, 0xc7f0cc8e1bd970e4, 0xe70b37e06256bd98,
  0xf385bcde603bd6bc, 0x85a72460d4d894fd, 0xe31bc67440840c60, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x216fa1cf257ee686, 0x00000000000013f0,
};

/*
 * m168a_u2x8_uart0_noled_hw         m168p_u2x8_uart0_noled_hw         m168pa_u2x8_uart0_noled_hw
 * m164a_u2x8_uart0_noled_hw         m164p_u2x8_uart0_noled_hw         m164pa_u2x8_uart0_noled_hw
 * a6613c_u2x8_uart0_noled_hw
 */
static const uint64_t ur_m168_u2x8_uart0_noled_hw[] = {
  0x1bbbbbb12d66faca, 0x7777774b0e72792b, 0x52737e0e683aebf7, 0xd685edfb6eeed27f, 0x4f8c9dd26763f5a9,
  0x4be7fdf02cfce330, 0x37b5472937dba7c2, 0xd47e80ef9610f0da, 0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6,
  0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0xc2cdf81895af60e3, 0x7807d4180ef5af39, 0x75539794d8ce16f3,
  0xd2c2e718de33a205, 0xe6d892455bd8aaa2, 0xe4fcfec376c25ccb, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x000471739d829e4a,
};

/*
 * m168a_u2x8_uart0_noled_ee_hw      m168p_u2x8_uart0_noled_ee_hw      m168pa_u2x8_uart0_noled_ee_hw
 * m328_u2x8_uart0_noled_ee_hw       m328p_u2x8_uart0_noled_ee_hw      m328pb_u2x8_uart0_noled_ee_hw
 * m164a_u2x8_uart0_noled_ee_hw      m164p_u2x8_uart0_noled_ee_hw      m164pa_u2x8_uart0_noled_ee_hw
 * m324a_u2x8_uart0_noled_ee_hw      m324p_u2x8_uart0_noled_ee_hw      m324pa_u2x8_uart0_noled_ee_hw
 * m324pb_u2x8_uart0_noled_ee_hw     a6613c_u2x8_uart0_noled_ee_hw     a6614q_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m168_u2x8_uart0_noled_ee_hw[] = {
  0x777776254486fc3b, 0x777774b0f2048563, 0x12c9b53267a6ef77, 0x12a1ece244eef07a, 0x4eedc1375a538d84,
  0xfd87fcfb059827c6, 0x472937dba7c2470f, 0x355ad1ce30da37b5, 0x0d9834c7d4795c89, 0xd08a1df15f75ea3e,
  0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39, 0x473c8c38d8d56ba1, 0xb86f65b2e62e1211,
  0x00a89534a8d823f5, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0x997cdb1248ab7b15, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00000016fde49d14,
};

/*
 * m168a_u2x8_uart0_noled_ce_hw      m168p_u2x8_uart0_noled_ce_hw      m168pa_u2x8_uart0_noled_ce_hw
 * m164a_u2x8_uart0_noled_ce_hw      m164p_u2x8_uart0_noled_ce_hw      m164pa_u2x8_uart0_noled_ce_hw
 * a6613c_u2x8_uart0_noled_ce_hw
 */
static const uint64_t ur_m168_u2x8_uart0_noled_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c988d6, 0x858d72f66d6971dd, 0x4db63377eeeecf77, 0x827c64eec2f5a350,
  0x25d47fdf02cfedf9, 0xa37b5472937dba7c, 0x281c050effaf490d, 0xcee371c9fcefcf19, 0xc43cf72c05c67309,
  0x82e38e9fc1e33f51, 0xed23c66731602ef7, 0x3b8e58cf1d78b9d9, 0x59bf0312b5ec1d51, 0x00fa8301deb5e738,
  0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xb624863b7b15545a, 0x3f3fb0ddb09732f9, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x062145c760a792bf,
};

/*
 * m168_u2x8_uart0_noled_ee_ce_u4_hw m168a_u2x8_uart0_noled_ee_ce_hw   m168a_u2x8_uart0_noled_ee_ce_u4_hw
 * m168p_u2x8_uart0_noled_ee_ce_hw   m168p_u2x8_uart0_noled_ee_ce_u4_hw
 * m168pa_u2x8_uart0_noled_ee_ce_hw  m168pa_u2x8_uart0_noled_ee_ce_u4_hw
 * m164a_u2x8_uart0_noled_ee_ce_hw   m164a_u2x8_uart0_noled_ee_ce_u4_hw
 * m164p_u2x8_uart0_noled_ee_ce_hw   m164p_u2x8_uart0_noled_ee_ce_u4_hw
 * m164pa_u2x8_uart0_noled_ee_ce_hw  m164pa_u2x8_uart0_noled_ee_ce_u4_hw
 * a6613c_u2x8_uart0_noled_ee_ce_hw  a6613c_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x8_uart0_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0xa3949bedd3e1231f, 0x717d51c8786d1bda, 0xc4963cf285c1c383, 0x51f097e21b09117d,
  0x99e2ee3712a2e47f, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xfc0c4ad7b0b3a254,
  0xea0c077ad79ce166, 0xcbca6c670b79bc03, 0x738c6f19d102baa9, 0x9218edec55516961, 0x6371e6c25ccbe6d8,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x012538e8a792bf73, 0x0000000000000005,
};

/*
 * m168_u2x8_uart0_lednop_pr         m168a_u2x8_uart0_lednop           m168a_u2x8_uart0_lednop_pr
 * m168p_u2x8_uart0_lednop           m168p_u2x8_uart0_lednop_pr        m168pa_u2x8_uart0_lednop
 * m168pa_u2x8_uart0_lednop_pr       m328_u2x8_uart0_lednop            m328_u2x8_uart0_lednop_pr
 * m328p_u2x8_uart0_lednop           m328p_u2x8_uart0_lednop_pr        m328pb_u2x8_uart0_lednop
 * m328pb_u2x8_uart0_lednop_pr       a6613c_u2x8_uart0_lednop          a6613c_u2x8_uart0_lednop_pr
 * a6614q_u2x8_uart0_lednop          a6614q_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m168_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x52fbfd9abf3e7acc, 0x37b5472937dba7c2, 0xd47b58ef9610f0da, 0xf241f8e3a7f0682f, 0xd1a43398b016594d,
  0xffd9823af47cecb3, 0x03cb3db416691500, 0x166fc0c4ad7b20ad, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x0ddb09732f9b6e72, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x248b49d3c95fb9a1, 0x0000000000000f90,
};

/*
 * m168a_u2x8_uart0_lednop_pr_u4     m168p_u2x8_uart0_lednop_pr_u4     m168pa_u2x8_uart0_lednop_pr_u4
 * m328_u2x8_uart0_lednop_pr_u4      m328p_u2x8_uart0_lednop_pr_u4     m328pb_u2x8_uart0_lednop_pr_u4
 * a6613c_u2x8_uart0_lednop_pr_u4    a6614q_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xe357e7cf59827c64, 0x3949bedd3e1297df, 0xc77cb08786d1bdaa, 0xc71d3f83417ea3da, 0x9cc580b2ca6f920f,
  0x11d7a3e7659e8d21, 0xeda0b348a807fecc, 0x06256bd905681e59, 0xbd6bcf020270b37e, 0xd002de6f36450603,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b997cdb739156f6, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000f931eaefa1c,
};

/*
 * m168_u2x8_uart0_lednop_pr_ee_u4   m168a_u2x8_uart0_lednop_pr_ee     m168a_u2x8_uart0_lednop_pr_ee_u4
 * m168p_u2x8_uart0_lednop_pr_ee     m168p_u2x8_uart0_lednop_pr_ee_u4  m168pa_u2x8_uart0_lednop_pr_ee
 * m168pa_u2x8_uart0_lednop_pr_ee_u4 m328_u2x8_uart0_lednop_pr_ee      m328_u2x8_uart0_lednop_pr_ee_u4
 * m328p_u2x8_uart0_lednop_pr_ee     m328p_u2x8_uart0_lednop_pr_ee_u4  m328pb_u2x8_uart0_lednop_pr_ee
 * m328pb_u2x8_uart0_lednop_pr_ee_u4 a6613c_u2x8_uart0_lednop_pr_ee    a6613c_u2x8_uart0_lednop_pr_ee_u4
 * a6614q_u2x8_uart0_lednop_pr_ee    a6614q_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0x5f9fcad304f8c9dd, 0x26fb74f848a1ff8d, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab, 0x877c561efd47c1b3,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xa6ed1923268e7569, 0x91bdab1aad743af3, 0xecb65cc5c2422827,
  0xf667951b047eb70d, 0x166fc0c4ad7b0021, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x2adec555169aba71, 0x079b09732f9b6e72, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xdf439e4afdcd0ccb, 0x00000000013af924,
};

/*
 * m168_u2x8_uart0_lednop_pr_ce_u4   m168a_u2x8_uart0_lednop_pr_ce     m168a_u2x8_uart0_lednop_pr_ce_u4
 * m168p_u2x8_uart0_lednop_pr_ce     m168p_u2x8_uart0_lednop_pr_ce_u4  m168pa_u2x8_uart0_lednop_pr_ce
 * m168pa_u2x8_uart0_lednop_pr_ce_u4 a6613c_u2x8_uart0_lednop_pr_ce    a6613c_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff8d5f9f297304f8, 0xa8e526fb74f849d2, 0xa55c5f5c921b46f6, 0x2fb892c79e3254ee, 0x07ea3e12fc436122,
  0xfac99e2ee372b7e0, 0x0f59ea3f493dcb19, 0xc580a9888b1c74fe, 0xd7a3e7659e8d219c, 0x20b348a807feccf1,
  0x895af6415a0796b7, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xccbe6db9c31dbd8a, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0006ebad3e7d0e79,
};

/*
 * m168a_u2x8_uart0_lednop_pr_ee_ce  m168p_u2x8_uart0_lednop_pr_ee_ce  m168pa_u2x8_uart0_lednop_pr_ee_ce
 * a6613c_u2x8_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xf9fa1f9827c64eeb, 0x6fb74f848e0ff8d5, 0xa37f21b46f6a8e52, 0xfcf192a77beceffa, 0x7cc273b8dcb9124a,
  0xa8f2beea53b5958f, 0xf6ffa8f83660d6bf, 0x291669d68450298a, 0xf51d484d7d185962, 0xbb4648c9a39d5db8,
  0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6, 0x9bf0312b5ec2cc7d, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0x2868b2d5e5c9ab83,
  0x0a9cfd4eacc7903f, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6, 0xc814fa1cf257ee68,
  0x000000000000004f,
};

/*
 * m168a_u2x8_uart0_lednop_pr_ee_ce_u4 m168p_u2x8_uart0_lednop_pr_ee_ce_u4
 * m168pa_u2x8_uart0_lednop_pr_ee_ce_u4 a6613c_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x4639fd35304f8c9d, 0x49bedd3e12ff9fe2, 0xd51c8786d1bdaa39, 0x63cf285c1c4b5717, 0x097e21b09117dc49,
  0xbb8dc0449807f51f, 0xeea53b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298af6ffa, 0x84d7d18596229166,
  0x8c9a39d5db8f51d4, 0xd578d8ebce9bb464, 0x2e1211413c8ded58, 0x6c1132386f65b2e6, 0x12b5ec2cc7d99e54,
  0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x997cdb73863b7b15,
  0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x00000013f2cb7c5d,
};

/*
 * m168a_u2x8_uart0_lednop_hw        m168p_u2x8_uart0_lednop_hw        m168pa_u2x8_uart0_lednop_hw
 * m164a_u2x8_uart0_lednop_hw        m164p_u2x8_uart0_lednop_hw        m164pa_u2x8_uart0_lednop_hw
 * a6613c_u2x8_uart0_lednop_hw
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_hw[] = {
  0x8dddddd896b372ac, 0x7777774b0e72f175, 0xfd48f2737f5fa337, 0x26ebc6b9b5bbbb49, 0x609f193bb003d3db,
  0x094beffbe059f3d6, 0x68ded51ca4df6e9f, 0xbf51ed63be5843c3, 0x37c907e38e9fc1a0, 0xcf4690ce62c05965,
  0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0xec376c25ccbe6db9, 0xcb25c33d30ae4fcf, 0xccb0e9296cb25138,
  0x2249d829e4afdcd0, 0x000000000000008e,
};

/*
 * m168a_u2x8_uart0_lednop_ee_hw     m168p_u2x8_uart0_lednop_ee_hw     m168pa_u2x8_uart0_lednop_ee_hw
 * m328_u2x8_uart0_lednop_ee_hw      m328p_u2x8_uart0_lednop_ee_hw     m328pb_u2x8_uart0_lednop_ee_hw
 * m164a_u2x8_uart0_lednop_ee_hw     m164p_u2x8_uart0_lednop_ee_hw     m164pa_u2x8_uart0_lednop_ee_hw
 * m324a_u2x8_uart0_lednop_ee_hw     m324p_u2x8_uart0_lednop_ee_hw     m324pa_u2x8_uart0_lednop_ee_hw
 * m324pb_u2x8_uart0_lednop_ee_hw    a6613c_u2x8_uart0_lednop_ee_hw    a6614q_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_ee_hw[] = {
  0x77777625448651eb, 0x777774b0f20c8563, 0x84242c9c01ad2f77, 0x5b85fb38913bbc1e, 0x4eec4e765af5b179,
  0xfd87fcfe569827c6, 0x472937dba7c2450f, 0x355ad1ce30da37b5, 0x0d9834c7d4795995, 0xa1143be2b0f7ea3e,
  0x5f4616588a459a75, 0xab4b9eab8d64d213, 0xd79d3768c9193473, 0x413c8ded58d56ba1, 0xb86f65b2e62e1211,
  0x010fb33ca8d823f5, 0x0270b37e06256bd8, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x16f86a7514f257ee,
};

/*
 * m168a_u2x8_uart0_lednop_ce_hw     m168p_u2x8_uart0_lednop_ce_hw     m168pa_u2x8_uart0_lednop_ce_hw
 * m164a_u2x8_uart0_lednop_ce_hw     m164p_u2x8_uart0_lednop_ce_hw     m164pa_u2x8_uart0_lednop_ce_hw
 * a6613c_u2x8_uart0_lednop_ce_hw
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c8bdd6, 0xde17bb3f83e971dd, 0xa09b6c6569bbbb3d, 0x5304f8c9dd85eb46,
  0xf0918fffbe059fa9, 0x368ded51ca4df6e9, 0x64a073243bfebd24, 0x273b8dc727f3bf3c, 0x47c173dcb01719cc,
  0xd8878e3a7f078cfd, 0xc1c51c829cc580bb, 0x07dc72c678ebc5ce, 0x0b37e06256bd83a5, 0x50603bd6bcf02027,
  0x94e4a7400b79bcb7, 0x182169c05ef9537a, 0x6d38c6f19d1023a3, 0x7e7f61bb612e65f3, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x0c428b8ec14f257e,
};

/*
 * m168_u2x8_uart0_lednop_ee_ce_u4_hw m168a_u2x8_uart0_lednop_ee_ce_hw
 * m168a_u2x8_uart0_lednop_ee_ce_u4_hw m168p_u2x8_uart0_lednop_ee_ce_hw
 * m168p_u2x8_uart0_lednop_ee_ce_u4_hw m168pa_u2x8_uart0_lednop_ee_ce_hw
 * m168pa_u2x8_uart0_lednop_ee_ce_u4_hw m164a_u2x8_uart0_lednop_ee_ce_hw
 * m164a_u2x8_uart0_lednop_ee_ce_u4_hw m164p_u2x8_uart0_lednop_ee_ce_hw
 * m164p_u2x8_uart0_lednop_ee_ce_u4_hw m164pa_u2x8_uart0_lednop_ee_ce_hw
 * m164pa_u2x8_uart0_lednop_ee_ce_u4_hw a6613c_u2x8_uart0_lednop_ee_ce_hw
 * a6613c_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xe526fb74f84bfe7f, 0x5f54721e1b46f6a8, 0x258f3ca170712d5c, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x0312b5ec2cc7d99e,
  0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b997cdb73863b7b,
  0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x00000000501596fd,
};

/*
 * m168a_u2x8_uart0_dual             m168p_u2x8_uart0_dual             m168pa_u2x8_uart0_dual
 * a6613c_u2x8_uart0_dual
 */
static const uint64_t ur_m168_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x2860caeb036d2da0, 0x571eb9dd3e25c40c, 0x8145383939be77e6, 0x4fe0e3dcdea3afbd,
  0x895fe7ef82284724, 0xe6e25a006e1f0a21, 0x9680f888655777bb, 0xfe80e784dbdc5421, 0x82c3795e425b732b,
  0xb74f84a71ffe6179, 0x5fe1b46f6a8e526f, 0xe0d21fa8e229df2d, 0x5fc39b241bf1c74f, 0x2dd89e46f68e62c0,
  0x5827f71cb1823af2, 0xec9fc55f3bb8a929, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x2e4d5c1e6c25ccbe, 0x92e19e985727e7f6, 0x6587494b67c09c65,
  0x9c6fa1cf257ee686, 0x00000000000196fe,
};

/*
 * m168a_u2x8_uart0_dual_pr          m168p_u2x8_uart0_dual_pr          m168pa_u2x8_uart0_dual_pr
 * a6613c_u2x8_uart0_dual_pr
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x0c2860caeb036d2d, 0x7e655bb9dd3e25c4, 0xfbd8145383939be7, 0x7244fe0e3dcdea3a,
  0xa21895fe7ef82284, 0x7bbe6e472006e1f0, 0x4219680f88865577, 0x63ffe80e784dbdc5, 0x8730586f2bc84b6e,
  0x26fb74f848f5fffe, 0xf2d5fe1b46f6a8e5, 0xe9fc1a43f51ee19d, 0x580bf8732d726a38, 0xbc8b7613e8d059cc,
  0x4a561a4dc72c608e, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0xe7400b79bcc077ad, 0xb4a9f016a72452d5,
  0x8de33a2065fe2810, 0x71e6c25ccbe6da71, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0x26b0baf3c95fb9a1, 0x0000000000000c40,
};

/*
 * m168a_u2x8_uart0_dual_pr_u4       m168p_u2x8_uart0_dual_pr_u4       m168pa_u2x8_uart0_dual_pr_u4
 * a6613c_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x60caeb036d2da064, 0x5bb9dd3e25c40c28, 0x3a5381c398a5fe65, 0xfe0ea54dea3a56d8,
  0x95fe7ef822847244, 0xdcb1f006e1f0a218, 0xd0f9110caaeef77c, 0xd01cf0987c8a8432, 0xb0de579096de037f,
  0xd3e1209ffffd0e60, 0xa86d1bdaa3949bed, 0x310fea3e453be589, 0xa0f34e2f7c71d3f8, 0x3b5ac8ebf9cc580a,
  0x6a807fecc11d7803, 0xaa4e81e59ed88748, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0x458df0dc79b09732, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000524e7c10baf3,
};

/*
 * m168_u2x8_uart0_dual_pr_ee_u4     m168a_u2x8_uart0_dual_pr_ee       m168a_u2x8_uart0_dual_pr_ee_u4
 * m168p_u2x8_uart0_dual_pr_ee       m168p_u2x8_uart0_dual_pr_ee_u4    m168pa_u2x8_uart0_dual_pr_ee
 * m168pa_u2x8_uart0_dual_pr_ee_u4   a6613c_u2x8_uart0_dual_pr_ee      a6613c_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x1b696d0322525238, 0xf12e206143065758, 0x44da6bf32addcee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b972200, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xfffd0e60b0de5790, 0xa3949bedd3e12df7, 0x9aad68e4486d1bda, 0x0d983053d4795afb, 0xa1143be2ba95ea3e,
  0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87, 0xe1bd97d2cc5c2422,
  0x0109fd62a3608fd6, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000ac89178baf3c,
};

/*
 * m168_u2x8_uart0_dual_pr_ce_u4     m168a_u2x8_uart0_dual_pr_ce       m168a_u2x8_uart0_dual_pr_ce_u4
 * m168p_u2x8_uart0_dual_pr_ce       m168p_u2x8_uart0_dual_pr_ce_u4    m168pa_u2x8_uart0_dual_pr_ce
 * m168pa_u2x8_uart0_dual_pr_ce_u4   a6613c_u2x8_uart0_dual_pr_ce      a6613c_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0x2bac0db4b6819129, 0xe774f8971030a183, 0x3818fcc337f9956e, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x4982ffff43982c37, 0x46f6a8e526fb74f8, 0x7071d2dc5f54021b, 0xc2445f71258f3ca1, 0xa4fd7fd47c25f886,
  0x58cfa9733c5dc6e0, 0x3f83a97ea38df9ee, 0xe7316028283e471d, 0x3c75e00ced6b23af, 0xadc21d21aa01ffb3,
  0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xf3612e65f36dce18, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd7b175e792bf7343, 0x0000000000006926,
};

/*
 * m168a_u2x8_uart0_dual_pr_ee_ce    m168p_u2x8_uart0_dual_pr_ee_ce    m168pa_u2x8_uart0_dual_pr_ee_ce
 * a6613c_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x0db4b6819129290e, 0xf8971030a1832bac, 0xbcc6b7f9956ee774, 0xdea3c00d80a4387e,
  0x04508e489fc1dadc, 0xdc3e144312bfcfdf, 0x2abbbddf373bac00, 0x024542196869b443, 0x2dbcedffd01cf09b,
  0xfffa1cc161bcaf21, 0x8e526fb74f84ba7f, 0xdff546e4e1b46f6a, 0x341ff3ca170706b1, 0xac9ba6139dc6e654,
  0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461, 0xf512ed10a3dece75,
  0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252, 0x020270b37e06256b,
  0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0xb578dc79b09732f9,
  0x53ab337f07771a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86, 0xaf3c95fb9a19961d,
  0x000000010003a28b,
};

/*
 * m168a_u2x8_uart0_dual_pr_ee_ce_u4 m168p_u2x8_uart0_dual_pr_ee_ce_u4 m168pa_u2x8_uart0_dual_pr_ee_ce_u4
 * a6613c_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0x0a1832bac0db4b68, 0xcb4b7e774f897103, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x3e127f9fffa9c982, 0x86d1bdaa3949bedd, 0x5e76337717d51a9e, 0xb09117dc4963cf28,
  0x41e41ff51f097e21, 0x6e6e6e99e2ee3735, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71943a909afa3, 0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264,
  0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x007aa1c4f9e4afdc, 0x0000000000000010,
};

/*
 * m168a_u2x8_uart0_dual_hw          m168p_u2x8_uart0_dual_hw          m168pa_u2x8_uart0_dual_hw
 * a6613c_u2x8_uart0_dual_hw
 */
static const uint64_t ur_m168_u2x8_uart0_dual_hw[] = {
  0xeeeee9b5448692df, 0x777777d78c764a66, 0x14dd40b977a3db77, 0x029a7233dddd8675, 0x24d8b928fa10e936,
  0x644a4a4321cc13e3, 0x2860caeb036d2da0, 0x655bb9dd3e25c40c, 0xd83a5381c398a5fe, 0x44fe0ea54dea3a56,
  0x1895fe7ef8228472, 0x7cdcb1f006e1f0a2, 0x32d0f9110caaeef7, 0x7fd01cf0987c8a84, 0x60b0de579096de03,
  0xedd3e1209ffed7ee, 0x89a86d1bdaa3949b, 0xf8310fea3e453be5, 0x0aa0f34e2f7c71d3, 0x033b5ac8ebf9cc58,
  0x486a807fecc11d78, 0xa4aa4e81e59ed887, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x32f9b6e722adec55, 0x73f505d8dc79b097, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000031bacf82a29,
};

/*
 * m168a_u2x8_uart0_dual_ee_hw       m168p_u2x8_uart0_dual_ee_hw       m168pa_u2x8_uart0_dual_ee_hw
 * a6613c_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m168_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeefafb263aea66, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0xe1fe609f192246e4, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x0d1369afccab773b, 0xf37a8f63fb0ff870,
  0x7c114239227f0743, 0x0370f8510c4aff3f, 0x8655777bbe6e5c88, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xdffb5fb982c3795e, 0x6a8e526fb74f84b7, 0xee6ab5a39121b46f, 0xf83660c14f51e56b, 0xd68450ef8aea57a8,
  0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba, 0x5b86f65f4b317090,
  0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000015da48be8a79,
};

/*
 * m168a_u2x8_uart0_dual_ce_hw       m168p_u2x8_uart0_dual_ce_hw       m168pa_u2x8_uart0_dual_ce_hw
 * a6613c_u2x8_uart0_dual_ce_hw
 */
static const uint64_t ur_m168_u2x8_uart0_dual_ce_hw[] = {
  0xeeeee9b54486c541, 0xeeeefaf05e9f6a66, 0x2cf821a0adad6eee, 0xef3ee716eeec1bb1, 0x4b72b047f0ea8c77,
  0xa4a40c2f304f8c9e, 0x0caeb036d2da0644, 0xbb9dd3e25c40c286, 0x68e063f30cdfe655, 0x831ad37a8e96b601,
  0x7f9fbe08a11c913f, 0x19f001b87c288625, 0x1454432abbbddf37, 0x1cf098c7c5421968, 0xde579096de2b7fd0,
  0xe1260bfed7ee60b0, 0x6d1bdaa3949bedd3, 0x85c1c74b717d5008, 0x1b09117dc4963cf2, 0xc7f9883f51f097e2,
  0xdcb19f52e678bb8d, 0x3a7f0752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647, 0xcb5b843a435403ff,
  0x2af9ddc549549d03, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xbb5ee8a792bf7343, 0x000000000000026e,
};

/*
 * m168a_u2x8_uart0_dual_ee_ce_hw    m168p_u2x8_uart0_dual_ee_ce_hw    m168pa_u2x8_uart0_dual_ee_ce_hw
 * a6613c_u2x8_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m168_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7777d7933aef5337, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0xd3a9827c6494eb95, 0x81b696d032252521, 0x9f12e20614306575, 0xd798d6ff32addcee, 0x9bd47801b014870f,
  0xe08a11c913f83b5b, 0x1b87c2886257f9fb, 0x655777bbe6e77580, 0x6048a8432d0d3688, 0x25b79dbffa039e13,
  0xffb5fb982c3795e4, 0x51ca4df6e9f0974f, 0x3bfea8dc9c368ded, 0x9b21fe7942e0e0d6, 0xcac9ba6139dc6e75,
  0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114, 0x576e328752135f46, 0xaf512ed10a3dece7,
  0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8, 0xbd93f8abe7771525, 0xf020270b37e06256,
  0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0x361d8dc79b09732f,
  0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x00000000eba8e8b4,
};

/*
 * m168a_u2x8_uart0_dual_ee_ce_u4_hw m168p_u2x8_uart0_dual_ee_ce_u4_hw m168pa_u2x8_uart0_dual_ee_ce_u4_hw
 * a6613c_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbbebec7e44a99b, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0xf3d7304f8c91ed72, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x90e6a4afccbb093b, 0x9bd4767cd87599c1,
  0xe08a11c913f8335b, 0x1b87c2886257f9fb, 0x655777bbe6e75380, 0x1c18a8432d00b488, 0x25b7fd7ffa039e13,
  0xffea9c982c3795e4, 0x51ca4df6e9f093fc, 0xb8bea8d4f4368ded, 0x24b1e78df0c1c19b, 0x8f84bf10d8488bee,
  0x9e2ee3714939bffa, 0xcadfc94ed6e6e6e9, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x3cd84b997cdb7386, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x3e05f4f257ee6866, 0x00000000001d750d,
};

/*
 * m168_u2x12_uart0_noled_pr         m168a_u2x12_uart0_noled           m168a_u2x12_uart0_noled_pr
 * m168p_u2x12_uart0_noled           m168p_u2x12_uart0_noled_pr        m168pa_u2x12_uart0_noled
 * m168pa_u2x12_uart0_noled_pr       m328_u2x12_uart0_noled            m328_u2x12_uart0_noled_pr
 * m328p_u2x12_uart0_noled           m328p_u2x12_uart0_noled_pr        m328pb_u2x12_uart0_noled
 * m328pb_u2x12_uart0_noled_pr       a6613c_u2x12_uart0_noled          a6613c_u2x12_uart0_noled_pr
 * a6614q_u2x12_uart0_noled          a6614q_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m168_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0xa7fb357e7f4a9827, 0x9fcda9f55ba7c240, 0xcb08786d1bdaa394, 0xd3f83417ea3f4077, 0x2c0596533df6b471,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x4ad7b071f03cb3db, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xbb612e65f36c4922, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0xc9693a792bf73433, 0x000000000007c801,
};

/*
 * m168a_u2x12_uart0_noled_pr_u4     m168p_u2x12_uart0_noled_pr_u4     m168pa_u2x12_uart0_noled_pr_u4
 * m328_u2x12_uart0_noled_pr_u4      m328p_u2x12_uart0_noled_pr_u4     m328pb_u2x12_uart0_noled_pr_u4
 * a6613c_u2x12_uart0_noled_pr_u4    a6614q_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m168_u2x12_uart0_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xfc6afcfe95304f8c, 0xe6d4faadd3e12053, 0x843c368ded51ca4f, 0xfc1a0bf51fa03be5, 0x02cb299efb5a38e9,
  0xa3e76afe8f587316, 0xb33ca807fecc11d7, 0x6bd838f81e59ed8f, 0xbd6bce70b37e0625, 0x3385bcde01f50603,
  0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637, 0xb09732f9b6249156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9,
  0x0000001f279695f4,
};

/*
 * m168_u2x12_uart0_noled_pr_ee_u4   m168a_u2x12_uart0_noled_pr_ee     m168a_u2x12_uart0_noled_pr_ee_u4
 * m168p_u2x12_uart0_noled_pr_ee     m168p_u2x12_uart0_noled_pr_ee_u4  m168pa_u2x12_uart0_noled_pr_ee
 * m168pa_u2x12_uart0_noled_pr_ee_u4 m328_u2x12_uart0_noled_pr_ee      m328_u2x12_uart0_noled_pr_ee_u4
 * m328p_u2x12_uart0_noled_pr_ee     m328p_u2x12_uart0_noled_pr_ee_u4  m328pb_u2x12_uart0_noled_pr_ee
 * m328pb_u2x12_uart0_noled_pr_ee_u4 a6613c_u2x12_uart0_noled_pr_ee    a6613c_u2x12_uart0_noled_pr_ee_u4
 * a6614q_u2x12_uart0_noled_pr_ee    a6614q_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m168_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0x55ba7c2452ffc6af, 0xd1bdaa3949fcda9f, 0xcae449aad68e7186, 0xaf51f06cc1a63ea3,
  0x1669d68450ef8afb, 0x93484d7d18596229, 0xf059cead2f38ae35, 0xab5d0ebce9bb6f68, 0x70908a39e461c6c6,
  0xc11fadc37b2d9731, 0x95af600544a9a546, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794,
  0x5bd8aaa2d2c2e718, 0xe6c25ccbe6d89245, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xd0e792bf734332c3, 0x000000004eb8a9c7,
};

/*
 * m168_u2x12_uart0_noled_pr_ce_u4   m168a_u2x12_uart0_noled_pr_ce     m168a_u2x12_uart0_noled_pr_ce_u4
 * m168p_u2x12_uart0_noled_pr_ce     m168p_u2x12_uart0_noled_pr_ce_u4  m168pa_u2x12_uart0_noled_pr_ce
 * m168pa_u2x12_uart0_noled_pr_ce_u4 a6613c_u2x12_uart0_noled_pr_ce    a6613c_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe357e7cbacc13e32, 0x6d4faadd3e12f9df, 0x924368ded51ca4fe, 0x79e3254edfcb8beb, 0x2fc4361222fb892c,
  0x771b8ff3107ea3e1, 0xc9e9ee58cfd64cf1, 0x3a48e3a7f07acf51, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0x32f9b624863b7b15, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001bae9969f439e4,
};

/*
 * m168a_u2x12_uart0_noled_pr_ee_ce  m168p_u2x12_uart0_noled_pr_ee_ce  m168pa_u2x12_uart0_noled_pr_ee_ce
 * a6613c_u2x12_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m168_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xb74f8486b7f8d5f9, 0x37b547293f9b53ea, 0xbc0877fd51bf90da, 0x6e759b21fe78c953,
  0x29dacac7be6139dc, 0x1b306b5fd4795f51, 0x422814c5613fd47c, 0xbe8c2cb1148b34eb, 0x59ceaedd388ea426,
  0x8d8ebce9bb6f68f0, 0x211473c8c38d8d57, 0x132386f65b2e62e1, 0xaf616744a9a546c1, 0xf5af39c2cdf81895,
  0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0x84b997cdb12431db, 0x68b2d5e5c9ab83cd,
  0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0x3cfa1cf257ee6866,
  0x0000000000009f9d,
};

/*
 * m168a_u2x12_uart0_noled_pr_ee_ce_u4 m168p_u2x12_uart0_noled_pr_ee_ce_u4
 * m168pa_u2x12_uart0_noled_pr_ee_ce_u4 a6613c_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0x73e9b7304f8c9dd8, 0xab74f84866ffc48c, 0xa37b547293f9b53e, 0x38706e2faa390f0d, 0x222fb892c79e50b8,
  0xa927ea3e12fc4361, 0x9b7be678bb8dce8f, 0x6bfa8f2bea253b5b, 0x98ac27fa8f83660d, 0x962291669d684502,
  0xdba711d484d7d185, 0x9d376ded1e0b39d5, 0x791871b1aaf1b1d7, 0xdecb65cc5c24228e, 0xe89534a8d8226470,
  0x3859bf0312b5ec2c, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de, 0x5a585ce31bc67440, 0xf9b624863b7b1554,
  0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e0fc10baf3,
};

/*
 * m168a_u2x12_uart0_noled_hw        m168p_u2x12_uart0_noled_hw        m168pa_u2x12_uart0_noled_hw
 * m164a_u2x12_uart0_noled_hw        m164p_u2x12_uart0_noled_hw        m164pa_u2x12_uart0_noled_hw
 * a6613c_u2x12_uart0_noled_hw
 */
static const uint64_t ur_m168_u2x12_uart0_noled_hw[] = {
  0x7777624eed66e614, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0x7c64ee8dbc77af4f,
  0x053fef8167f4a982, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e9fc1a0bf51fa03, 0x31602cb299efb5a3,
  0x1d7a3e76afe8f587, 0xd8fb33ca807fecc1, 0x6256bd838f81e59e, 0x603bd6bce70b37e0, 0x5363385bcde01f50,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x0ddb09732f9b6249, 0xc970cf4c2b93f3fb, 0x2c3a4a5b2c944e32,
  0x39760a792bf73433, 0x0000000000008e20,
};

/*
 * m168a_u2x12_uart0_noled_ee_hw     m168p_u2x12_uart0_noled_ee_hw     m168pa_u2x12_uart0_noled_ee_hw
 * m328_u2x12_uart0_noled_ee_hw      m328p_u2x12_uart0_noled_ee_hw     m328pb_u2x12_uart0_noled_ee_hw
 * m164a_u2x12_uart0_noled_ee_hw     m164p_u2x12_uart0_noled_ee_hw     m164pa_u2x12_uart0_noled_ee_hw
 * m324a_u2x12_uart0_noled_ee_hw     m324p_u2x12_uart0_noled_ee_hw     m324pa_u2x12_uart0_noled_ee_hw
 * m324pb_u2x12_uart0_noled_ee_hw    a6613c_u2x12_uart0_noled_ee_hw    a6614q_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m168_u2x12_uart0_noled_ee_hw[] = {
  0xeeec49dd44862d7b, 0xdddd2c2e4104ac6e, 0xe14f4c6dec33dddd, 0xcc4e0be17bbbbfc5, 0x751d94ad7640ccd8,
  0xc3fe7f024c13e327, 0xd4faadd3e12297fe, 0x8c368ded51ca4fe6, 0xf51e57224d56b473, 0x57dd7a8f83660d31,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x7b4782ce756979c5, 0x36355ae875e74ddb, 0xb98b848451cf230e,
  0x2a3608fd6e1bd96c, 0xc0c4ad7b002a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c,
  0x922adec555169617, 0x1b8f3612e65f36c4, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xbfc687453c95fb9a, 0x0000000000000005,
};

/*
 * m168a_u2x12_uart0_noled_ce_hw     m168p_u2x12_uart0_noled_ce_hw     m168pa_u2x12_uart0_noled_ce_hw
 * m164a_u2x12_uart0_noled_ce_hw     m164p_u2x12_uart0_noled_ce_hw     m164pa_u2x12_uart0_noled_ce_hw
 * a6613c_u2x12_uart0_noled_ce_hw
 */
static const uint64_t ur_m168_u2x12_uart0_noled_ce_hw[] = {
  0xddddd893bb59bb37, 0xbbbbbba5861c1958, 0x34175f5a789df1fb, 0xc401b6d22eeeee82, 0xc13e32776c7b21a6,
  0x12913fef8167c3dc, 0x1ca4fe6d4faadd3e, 0x43bfebd24368ded5, 0x727f3bf3c64a0701, 0xcb01719cc273b8dc,
  0xa7f078cfd4710f3d, 0x99cc580bbde0b8e3, 0x33c75e2e767b48f1, 0xc4ad7b07544ee396, 0xc077ad79ce166fc0,
  0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x376c25ccbe6d8921, 0x25c33d30ae4fcfec,
  0xb0e9296cb25138cb, 0xd7d829e4afdcd0cc, 0x00000000000310a7,
};

/*
 * m168_u2x12_uart0_noled_ee_ce_u4_hw m168a_u2x12_uart0_noled_ee_ce_hw
 * m168a_u2x12_uart0_noled_ee_ce_u4_hw m168p_u2x12_uart0_noled_ee_ce_hw
 * m168p_u2x12_uart0_noled_ee_ce_u4_hw m168pa_u2x12_uart0_noled_ee_ce_hw
 * m168pa_u2x12_uart0_noled_ee_ce_u4_hw m164a_u2x12_uart0_noled_ee_ce_hw
 * m164a_u2x12_uart0_noled_ee_ce_u4_hw m164p_u2x12_uart0_noled_ee_ce_hw
 * m164p_u2x12_uart0_noled_ee_ce_u4_hw m164pa_u2x12_uart0_noled_ee_ce_hw
 * m164pa_u2x12_uart0_noled_ee_ce_u4_hw a6613c_u2x12_uart0_noled_ee_ce_hw
 * a6613c_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x9f55ba7c24337fec, 0x86d1bdaa3949fcda, 0x5c1c383717d51c87, 0xb09117dc4963cf28,
  0x2a2e47f51f097e21, 0xd6e6def99e2ee371, 0x835afea3cafa894e, 0x40a62b09fea3e0d9, 0x616588a459a75a11,
  0x7576e9c4752135f4, 0x75e74ddb7b4782ce, 0xa39e461c6c6abc6c, 0x1c37b2d973170908, 0x0b3a254d2a360899,
  0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000028087e0a8a,
};

/*
 * m168_u2x12_uart0_lednop_pr        m168a_u2x12_uart0_lednop          m168a_u2x12_uart0_lednop_pr
 * m168p_u2x12_uart0_lednop          m168p_u2x12_uart0_lednop_pr       m168pa_u2x12_uart0_lednop
 * m168pa_u2x12_uart0_lednop_pr      m328_u2x12_uart0_lednop           m328_u2x12_uart0_lednop_pr
 * m328p_u2x12_uart0_lednop          m328p_u2x12_uart0_lednop_pr       m328pb_u2x12_uart0_lednop
 * m328pb_u2x12_uart0_lednop_pr      a6613c_u2x12_uart0_lednop         a6613c_u2x12_uart0_lednop_pr
 * a6614q_u2x12_uart0_lednop         a6614q_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m168_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0x9fecd5f9f9c6609f, 0x7f36a7d56e9f092f, 0x2c90e1b46f6a8e52, 0x4fe0cd27a8e4f1df, 0xb016f74c3e7491c7,
  0xf173b35f23905398, 0x61583ef71cb1823a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x00f90e71693a792b,
};

/*
 * m168a_u2x12_uart0_lednop_pr_u4    m168p_u2x12_uart0_lednop_pr_u4    m168pa_u2x12_uart0_lednop_pr_u4
 * m328_u2x12_uart0_lednop_pr_u4     m328p_u2x12_uart0_lednop_pr_u4    m328pb_u2x12_uart0_lednop_pr_u4
 * a6613c_u2x12_uart0_lednop_pr_u4   a6614q_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0x1abf3e13e609f193, 0xb53eab74f84900ff, 0x0f0da37b547293f9, 0x0682fd47b58ef961, 0x6594df241f8e3a7f,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x276e41f439e4afdc, 0x000000000000001f,
};

/*
 * m168_u2x12_uart0_lednop_pr_ee_u4  m168a_u2x12_uart0_lednop_pr_ee    m168a_u2x12_uart0_lednop_pr_ee_u4
 * m168p_u2x12_uart0_lednop_pr_ee    m168p_u2x12_uart0_lednop_pr_ee_u4 m168pa_u2x12_uart0_lednop_pr_ee
 * m168pa_u2x12_uart0_lednop_pr_ee_u4 m328_u2x12_uart0_lednop_pr_ee
 * m328_u2x12_uart0_lednop_pr_ee_u4  m328p_u2x12_uart0_lednop_pr_ee    m328p_u2x12_uart0_lednop_pr_ee_u4
 * m328pb_u2x12_uart0_lednop_pr_ee   m328pb_u2x12_uart0_lednop_pr_ee_u4
 * a6613c_u2x12_uart0_lednop_pr_ee   a6613c_u2x12_uart0_lednop_pr_ee_u4
 * a6614q_u2x12_uart0_lednop_pr_ee   a6614q_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0x56e9f0929eff1abf, 0x46f6a8e527f36a7d, 0x2b32a6ab5a39c61b, 0xfd47c1b30698fa8f,
  0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923, 0xc242282791bdab1a,
  0x047eb70decb65cc5, 0xad7b0021f667951b, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x2f9b6e722adec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x013ae4e2df439e4a,
};

/*
 * m168_u2x12_uart0_lednop_pr_ce_u4  m168a_u2x12_uart0_lednop_pr_ce    m168a_u2x12_uart0_lednop_pr_ce_u4
 * m168p_u2x12_uart0_lednop_pr_ce    m168p_u2x12_uart0_lednop_pr_ce_u4 m168pa_u2x12_uart0_lednop_pr_ce
 * m168pa_u2x12_uart0_lednop_pr_ce_u4 a6613c_u2x12_uart0_lednop_pr_ce
 * a6613c_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe357e7d82cc13e32, 0x6d4faadd3e12387f, 0x924368ded51ca4fe, 0xf3c64a9dd4ab8beb, 0x5f886c2445f71258,
  0xdc6e56fc00fd47c2, 0xe927b9633f5933c5, 0x11638e9fc1eb3d47, 0xb3d1a43398b01531, 0x00ffd99e3af47cec,
  0x2b40f2d6e4166915, 0x13859bf0312b5ec8, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe0afa1cf257ee686, 0x000000000000dd7d,
};

/*
 * m168a_u2x12_uart0_lednop_pr_ee_ce m168p_u2x12_uart0_lednop_pr_ee_ce m168pa_u2x12_uart0_lednop_pr_ee_ce
 * a6613c_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xdd3e12eafff1abf3, 0xded51ca4fe6d4faa, 0xf7d9dff546fe4368, 0xb9722495f9e3254e,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57dd4, 0x08a05315edff51f0, 0xfa30b2c4522cd3ad, 0x473abb71ea3a909a,
  0x1b1d79d3768c9193, 0x42282791bdab1aaf, 0x26470decb65cc5c2, 0xbd8598fb33ca8d82, 0xf020270b37e06256,
  0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0xcb9357079b09732f,
  0x598f207e50d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000009f8bb1f439,
};

/*
 * m168a_u2x12_uart0_lednop_pr_ee_ce_u4 m168p_u2x12_uart0_lednop_pr_ee_ce_u4
 * m168pa_u2x12_uart0_lednop_pr_ee_ce_u4 a6613c_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x1cfbfc9827c64eef, 0xd56e9f09068ff123, 0xb46f6a8e527f36a7, 0x0712d5c5f54721e1, 0x2445f71258f3ca17,
  0x2601fd47c25f886c, 0xe6def99e2ee37011, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983, 0x6588a459a75a1140,
  0x76e3d4752135f461, 0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e,
  0x4e166fc0c4ad7b0b, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x1b8f3612e65f36dc, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x7e25b4175e792bf7, 0x0000000000000002,
};

/*
 * m168a_u2x12_uart0_lednop_hw       m168p_u2x12_uart0_lednop_hw       m168pa_u2x12_uart0_lednop_hw
 * m164a_u2x12_uart0_lednop_hw       m164p_u2x12_uart0_lednop_hw       m164pa_u2x12_uart0_lednop_hw
 * a6613c_u2x12_uart0_lednop_hw
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_hw[] = {
  0x7777624eed66fcc5, 0xeeeee9618706bd63, 0x517bd9efdb76deee, 0x4aebfc4eeee91016, 0xf8c9dda86a6f70af,
  0x00ffbe059f09f304, 0x93f9b53eab74f849, 0xf9610f0da37b5472, 0x3a7f0682fd47b58e, 0x8b016594df241f8e,
  0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x4ad7b20ad03cb3db, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x32f9b6e722adec55, 0xc2b93f3fb0ddb097, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x000008e21c5f60a7,
};

/*
 * m168a_u2x12_uart0_lednop_ee_hw    m168p_u2x12_uart0_lednop_ee_hw    m168pa_u2x12_uart0_lednop_ee_hw
 * m328_u2x12_uart0_lednop_ee_hw     m328p_u2x12_uart0_lednop_ee_hw    m328pb_u2x12_uart0_lednop_ee_hw
 * m164a_u2x12_uart0_lednop_ee_hw    m164p_u2x12_uart0_lednop_ee_hw    m164pa_u2x12_uart0_lednop_ee_hw
 * m324a_u2x12_uart0_lednop_ee_hw    m324p_u2x12_uart0_lednop_ee_hw    m324pa_u2x12_uart0_lednop_ee_hw
 * m324pb_u2x12_uart0_lednop_ee_hw   a6613c_u2x12_uart0_lednop_ee_hw   a6614q_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_ee_hw[] = {
  0x777624eea2435562, 0xdddd2c2e40add637, 0xd04c2aa1ed0bdddd, 0xb1e705f0bddddfe2, 0xe99169db618fde2f,
  0x87fcfefb9827c64e, 0xa9f55ba7c24a7bfd, 0x186d1bdaa3949fcd, 0xea3cacca9aad68e7, 0x587bf51f06cc1a63,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x648c9a39d5a5cf55, 0xac6ab5d0ebce9bb4, 0x73170908a09e46f6,
  0x546c11fadc37b2d9, 0x0312b5ec0087d99e, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x000000000b7cfd6e,
};

/*
 * m168a_u2x12_uart0_lednop_ce_hw    m168p_u2x12_uart0_lednop_ce_hw    m168pa_u2x12_uart0_lednop_ce_hw
 * m164a_u2x12_uart0_lednop_ce_hw    m164p_u2x12_uart0_lednop_ce_hw    m164pa_u2x12_uart0_lednop_ce_hw
 * a6613c_u2x12_uart0_lednop_ce_hw
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_ce_hw[] = {
  0xddddd893bb59bb37, 0xdddddd2c30e56958, 0x2341da1377ef8fdd, 0x6c401b6f8feeeee8, 0x4c13e32776c7b21a,
  0xc2501bfef8167ff7, 0xa3949fcda9f55ba7, 0x4877fd7a486d1bda, 0x8e4fe77e78c940e6, 0xb9602e33984e771b,
  0x74fe0f19fa8f82e7, 0x05398b0177b10f1c, 0x8cf1d78b9d838a39, 0xc4ad7b074a0fb8e5, 0xad79e0404e166fc0,
  0x8016f3796ea0c077, 0x80bdf2a6f529c94e, 0xe33a2047463042d3, 0x76c25ccbe6da718d, 0x5c33d30ae4fcfec3,
  0x0e9296cb25138cb2, 0x7d829e4afdcd0ccb, 0x0000000000310a7d,
};

/*
 * m168_u2x12_uart0_lednop_ee_ce_u4_hw m168a_u2x12_uart0_lednop_ee_ce_hw
 * m168a_u2x12_uart0_lednop_ee_ce_u4_hw m168p_u2x12_uart0_lednop_ee_ce_hw
 * m168p_u2x12_uart0_lednop_ee_ce_u4_hw m168pa_u2x12_uart0_lednop_ee_ce_hw
 * m168pa_u2x12_uart0_lednop_ee_ce_u4_hw m164a_u2x12_uart0_lednop_ee_ce_hw
 * m164a_u2x12_uart0_lednop_ee_ce_u4_hw m164p_u2x12_uart0_lednop_ee_ce_hw
 * m164p_u2x12_uart0_lednop_ee_ce_u4_hw m164pa_u2x12_uart0_lednop_ee_ce_hw
 * m164pa_u2x12_uart0_lednop_ee_ce_u4_hw a6613c_u2x12_uart0_lednop_ee_ce_hw
 * a6613c_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0x53eab74f848347fb, 0xf0da37b547293f9b, 0x0b83896ae2faa390, 0x361222fb892c79e5,
  0x5253397ea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090, 0x61663eccf2a36089,
  0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3,
  0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x0140496d28a792bf,
};

/*
 * m168a_u2x12_uart0_dual            m168p_u2x12_uart0_dual            m168pa_u2x12_uart0_dual
 * a6613c_u2x12_uart0_dual
 */
static const uint64_t ur_m168_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0x860caeb036d2da06, 0x71eb9dd3e25c40c2, 0x393387ce9a43fe65, 0x7f06fe4dea3945d8,
  0x4aff3f7c11423922, 0x6e75780370f8510c, 0x683de88655777bbe, 0xd01cf0986fc54219, 0xb0de579096dea57f,
  0xd3e12eebff985e60, 0xed51ca4fe6d4faad, 0x1c453be5abfc368d, 0x1e9238e9fc1a43f5, 0x6f68e62c05fc3993,
  0x2c608ebc8b766be4, 0xceee2a4a560fbdc7, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0xc94e8016f3796ea0,
  0x42d380bdf2a6f529, 0x38c6f19d1023a8a0, 0x6ae0f3612e65f36d, 0x0cf4c2b93f3fb172, 0x3a4a5b3e04e32c97,
  0x7d0e792bf734332c, 0x00000000065be38b,
};

/*
 * m168_u2x12_uart0_dual_pr_u4       m168a_u2x12_uart0_dual_pr         m168a_u2x12_uart0_dual_pr_u4
 * m168p_u2x12_uart0_dual_pr         m168p_u2x12_uart0_dual_pr_u4      m168pa_u2x12_uart0_dual_pr
 * m168pa_u2x12_uart0_dual_pr_u4     a6613c_u2x12_uart0_dual_pr        a6613c_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m168_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0x702973305fccab77, 0xfee9bd4774bb0386,
  0xcfdf04508e489fc1, 0xf800dc3e144312bf, 0xf110caaeef77cdcf, 0xcf099ef8a8432d05, 0xe579096dea57fd01,
  0x09775fffd0e60b0d, 0x8e527f36a7d56e9f, 0x14ef9626a1b46f6a, 0xf1c74fe0c43fa8f9, 0xe731602a83cd38bd,
  0x0475e00ced6b23af, 0x7b621d21aa01ffb3, 0xf3bb8a92a93a0796, 0x9bf0312b5ec9fc55, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xcb42ebcf257ee686, 0x000000000002927a,
};

/*
 * m168_u2x12_uart0_dual_pr_ee_u4    m168a_u2x12_uart0_dual_pr_ee      m168a_u2x12_uart0_dual_pr_ee_u4
 * m168p_u2x12_uart0_dual_pr_ee      m168p_u2x12_uart0_dual_pr_ee_u4   m168pa_u2x12_uart0_dual_pr_ee
 * m168pa_u2x12_uart0_dual_pr_ee_u4  a6613c_u2x12_uart0_dual_pr_ee     a6613c_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m168_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x36d2da0644a4a447, 0xe25c40c2860caeb0, 0xa99fe7e655bb9dd3, 0xdea3ffcd80683869,
  0x04508e489fc1f4fc, 0xdc3e144312bfcfdf, 0x955ddeef9b849400, 0xe4e2a10cb40e1a21, 0x96de87ffe80e784c,
  0xfffd0e60b0de5790, 0xe6d4faadd3e12d37, 0x7224368ded51ca4f, 0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18,
  0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e, 0xe9662e1211408a8f,
  0xb151b047eb70decb, 0xabe77715250084fe, 0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xe3cd84b997cdb739, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x642cc5d79e4afdcd,
  0x0000000000000005,
};

/*
 * m168_u2x12_uart0_dual_pr_ce_u4    m168a_u2x12_uart0_dual_pr_ce      m168a_u2x12_uart0_dual_pr_ce_u4
 * m168p_u2x12_uart0_dual_pr_ce      m168p_u2x12_uart0_dual_pr_ce_u4   m168pa_u2x12_uart0_dual_pr_ce
 * m168pa_u2x12_uart0_dual_pr_ce_u4  a6613c_u2x12_uart0_dual_pr_ce     a6613c_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x036d2da0644a4a43, 0x3e25c40c2860caeb, 0x3736ed7e655bb9dd, 0x6f51c2d6c0c7ce03,
  0xc114239227f064ea, 0x370f8510c4aff3f7, 0x655777bbe6e75980, 0x4068a8432d072688, 0x12db8d6ffa039e13,
  0x3fffa1cc161bcaf2, 0xfcda9f55ba7c2581, 0xd50086d1bdaa3949, 0x63cf285c1c74b717, 0x097e21b09117dc49,
  0x1771b8293f5ff51f, 0xe37e7b9633ea5ccf, 0x0f91c74fe0ea5fa8, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b,
  0x93a0796b7087486a, 0xec9fc55f3bb8a92a, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001a491f5c5d79e4,
};

/*
 * m168a_u2x12_uart0_dual_pr_ee_ce   m168p_u2x12_uart0_dual_pr_ee_ce   m168pa_u2x12_uart0_dual_pr_ee_ce
 * a6613c_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m168_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x1b696d032252520c, 0xf12e206143065758, 0xb9a61bf32addcee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xffe8730586f2bc84, 0x6d4faadd3e12b1ff, 0xc9c368ded51ca4fe, 0x942e0e0d63bfea8d, 0x273b8dcca8683fe7,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18,
  0xfe0eee34596af1b8, 0x34a1854e7ea75666, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0100073e175e792b,
};

/*
 * m168a_u2x12_uart0_dual_pr_ee_ce_u4 m168p_u2x12_uart0_dual_pr_ee_ce_u4
 * m168pa_u2x12_uart0_dual_pr_ee_ce_u4 a6613c_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0xa1832bac0db4b681, 0xb4b7e774f8971030, 0x3219c292a6672fcc,
  0xf839869bd47eb3d8, 0x57f9fbe08a11c913, 0xe2e0801b87c28862, 0x063e88655777bbe6, 0x0e784dd5f150865a,
  0xde579096dcd6ffe8, 0x84b107ffea7260b0, 0x47293f9b53eab74f, 0xe2faa353d0da37b5, 0x892c79e50bcec66e,
  0xa3e12fc4361222fb, 0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x9f3c95fb9a19961d, 0x00000002003ecf38,
};

/*
 * m168a_u2x12_uart0_dual_hw         m168p_u2x12_uart0_dual_hw         m168pa_u2x12_uart0_dual_hw
 * a6613c_u2x12_uart0_dual_hw
 */
static const uint64_t ur_m168_u2x12_uart0_dual_hw[] = {
  0x774daf1344867a31, 0xbbbebf6db4e53377, 0x2837091d57dbbbbb, 0x02a276eee8d368a5, 0x3b9227e1f683e414,
  0x4948a4a9827c6483, 0x195d606da5b40c89, 0x773ba7c4b881850c, 0x86702973305fccab, 0xc1fee9bd4774bb03,
  0xbfcfdf04508e489f, 0xcff800dc3e144312, 0x05f110caaeef77cd, 0x01cf099ef8a8432d, 0x0de579096dea57fd,
  0x9f09775fed7ee60b, 0x6a8e527f36a7d56e, 0xf914ef9626a1b46f, 0xbdf1c74fe0c43fa8, 0xafe731602a83cd38,
  0xb30475e00ced6b23, 0x967b621d21aa01ff, 0x55f3bb8a92a93a07, 0x859bf0312b5ec9fc, 0x28301deb5e781013,
  0x29c94e8016f379b2, 0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x7596a8a792bf7343,
  0x00000000000018dd,
};

/*
 * m168a_u2x12_uart0_dual_ee_hw      m168p_u2x12_uart0_dual_ee_hw      m168pa_u2x12_uart0_dual_ee_hw
 * a6613c_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m168_u2x12_uart0_dual_ee_hw[] = {
  0xbba6d789a243573e, 0xdddf5f853ada99bb, 0xdd8becad4d7ddddd, 0x554368bbb625d96f, 0x2fbb37594a3f738b,
  0xee9827c64dc1b92e, 0x1b696d0322525223, 0xf12e206143065758, 0xd4cff3f32addcee9, 0x6f51ffe6c0341c34,
  0x822847244fe0fa7e, 0x6e1f0a21895fe7ef, 0xcaaeef77cdc24a00, 0x727150865a070d10, 0x4b6f43fff4073c26,
  0xff6bf730586f2bc8, 0xf36a7d56e9f0969b, 0x39121b46f6a8e527, 0x14f51e56bee6ab5a, 0xf8aea57a8f83660c,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xda2ce8a792bf7343, 0x0000000000000015,
};

/*
 * m168a_u2x12_uart0_dual_ce_hw      m168p_u2x12_uart0_dual_ce_hw      m168pa_u2x12_uart0_dual_ce_hw
 * a6613c_u2x12_uart0_dual_ce_hw
 */
static const uint64_t ur_m168_u2x12_uart0_dual_ce_hw[] = {
  0x774daf13448664d6, 0x777d7b53cfb53377, 0xb8d43db6abf77777, 0xf7b2b777519b33eb, 0x9666c787b2c945fb,
  0x21dbb9827c64f4eb, 0x7581b696d0322525, 0xee9f12e206143065, 0x019b9b76bf32addc, 0x7537a8e16b6063e7,
  0xfbe08a11c913f832, 0xc01b87c2886257f9, 0x4432abbbddf373ac, 0x09a0345421968393, 0x79096dc6b7fd01cf,
  0xc09fed7ee60b0de5, 0xa4fe6d4faadd3e12, 0x8bea804368ded51c, 0x24b1e7942e0e3a5b, 0x8f84bf10d8488bee,
  0x33c5dc6e3fcc41fa, 0xea38df9ee58cfa97, 0x8283e471d3f83a97, 0xced6b23afe731602, 0x1aa01ffb33c75e00,
  0x4aa4e81e5adc21d2, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x5f36dce18edec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000013758faf453c,
};

/*
 * m168a_u2x12_uart0_dual_ee_ce_hw   m168p_u2x12_uart0_dual_ee_ce_hw   m168pa_u2x12_uart0_dual_ee_ce_hw
 * a6613c_u2x12_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m168_u2x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41436f02, 0xddf5e36f26299bbb, 0x2162afdc89dddddd, 0xd32024775056caae, 0xc3e6be8b360f89ba,
  0xf5cc13e325d95c9f, 0x36d2da0644a4a418, 0xe25c40c2860caeb0, 0x734c37e655bb9dd3, 0xf51c526c3f5ce06b,
  0x22847244fe0eb7e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8000006, 0xba2a10cb422b2219, 0x6ded6ffe80e784d2,
  0xed7ee60b0de57909, 0xda9f55ba7c2563ff, 0x9386d1bdaa3949fc, 0x285c1c1ac77fd51b, 0x273b8dceb3643fcf,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18,
  0xa1854e7ea6c3b1b8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04, 0x0eba9cfa8a792bf7,
};

/*
 * m168a_u2x12_uart0_dual_ee_ce_u4_hw m168p_u2x12_uart0_dual_ee_ce_u4_hw
 * m168pa_u2x12_uart0_dual_ee_ce_u4_hw a6613c_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468a0ae, 0xeefafc763f14cddd, 0x83e44fdebdeeeeee, 0xa16ccf753927dda0, 0x5bd0faf6097d7aef,
  0x09f192afae5f5f7f, 0xb681912929196d26, 0x1030a1832bac0db4, 0xe5f997612774f897, 0xd67b0643385254cc,
  0x39227f0730d37a8f, 0x510c4aff3f7c1142, 0xf77cdc5c100370f8, 0x10cb40c7d10caaee, 0xdffd01cf09babe2a,
  0x4c161bcaf212db9a, 0xab74f84b107ff54e, 0xa37b547293f9b53e, 0x7066ee2faa353d0d, 0x22fb892c79e37c30,
  0x6ffea3e12fc43612, 0xb9ba678bb8dc524e, 0xe7a8f2b7f253b5b9, 0xc5701bd47c1b306b, 0xb1148b34eb422814,
  0xdc650ea426be8c2c, 0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3,
  0x27f157ceee2a4a59, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca,
  0xdce18edec555169a, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xba9cf2617d3c95fb, 0x000000000000000e,
};

/*
 * m168_swio10_noled_pr              m168a_swio10_noled                m168a_swio10_noled_pr
 * m168p_swio10_noled                m168p_swio10_noled_pr             m168pa_swio10_noled
 * m168pa_swio10_noled_pr            m328_swio10_noled                 m328_swio10_noled_pr
 * m328p_swio10_noled                m328p_swio10_noled_pr             m328pb_swio10_noled
 * m328pb_swio10_noled_pr            a6613c_swio10_noled               a6613c_swio10_noled_pr
 * a6614q_swio10_noled               a6614q_swio10_noled_pr
 */
static const uint64_t ur_m168_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xa1d9227fb357e7c3, 0x1887f51def3be589, 0xbdd34e391638e9fc, 0x9dba046b3ce62c05,
  0x8d7db8e58c11d78b, 0x0e7ab36bcb955a95, 0xf5673a8a9546bb3b, 0xafa215359caed52d, 0xab4457950a4aa5f7,
  0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674409c291, 0x8f386ed84b997cdb, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0xf200725a4e9e4afd, 0x0000000000000001,
};

/*
 * m168a_swio10_noled_pr_u4          m168p_swio10_noled_pr_u4          m168pa_swio10_noled_pr_u4
 * m328_swio10_noled_pr_u4           m328p_swio10_noled_pr_u4          m328pb_swio10_noled_pr_u4
 * a6613c_swio10_noled_pr_u4         a6614q_swio10_noled_pr_u4
 */
static const uint64_t ur_m168_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xebfc6afcfc7b9827, 0xa8f371df2c228ece, 0x32a718e3a7f064f7, 0xf476b1cc580b2ca6,
  0x1ffb30475e8f9d9e, 0xa07967b770d67aa0, 0xcf566d7972ab555a, 0xace75152a8d76761, 0xf442a6b395daa5be,
  0x688af2a14954bef5, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd84b997cdb2048a,
  0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f,
  0x494b67c09c6592e1, 0xa1cf257ee6866587, 0x00000000f939f04f,
};

/*
 * m168_swio10_noled_pr_ee_u4        m168a_swio10_noled_pr_ee          m168a_swio10_noled_pr_ee_u4
 * m168p_swio10_noled_pr_ee          m168p_swio10_noled_pr_ee_u4       m168pa_swio10_noled_pr_ee
 * m168pa_swio10_noled_pr_ee_u4      m328_swio10_noled_pr_ee           m328_swio10_noled_pr_ee_u4
 * m328p_swio10_noled_pr_ee          m328p_swio10_noled_pr_ee_u4       m328pb_swio10_noled_pr_ee
 * m328pb_swio10_noled_pr_ee_u4      a6613c_swio10_noled_pr_ee         a6613c_swio10_noled_pr_ee_u4
 * a6614q_swio10_noled_pr_ee         a6614q_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m168_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xdff8d5f9f1ad304f, 0x70e6ab5a38f63b34, 0x8f83660cf5f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x39d5a5ff72e35934, 0xd0ebce9bb6948e21, 0x845098a3116c6ab5, 0xfd6e1bd96cb98b84,
  0xad40226abfaa3608, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d10a9ace57, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xe917be873c95fb9a, 0x000000000000013a,
};

/*
 * m168_swio10_noled_pr_ce_u4        m168a_swio10_noled_pr_ce          m168a_swio10_noled_pr_ce_u4
 * m168p_swio10_noled_pr_ce          m168p_swio10_noled_pr_ce_u4       m168pa_swio10_noled_pr_ce
 * m168pa_swio10_noled_pr_ce_u4      a6613c_swio10_noled_pr_ce         a6613c_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m168_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x9813fc6afcfdba98, 0x953bcad717d6441d, 0xd8488bee24b1e78c, 0x951723fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1e0bf51f249e, 0xd6398b017ba05238, 0x6678ebd1f3b3de8e, 0xcb5bae1acf5403ff,
  0xb36bcb955aaad503, 0x3a8a9546bb3b0e7a, 0x15359caed52df567, 0x57950a4aa5f7afa2, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb20431dbd, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000dd7daf6fa1c,
};

/*
 * m168a_swio10_noled_pr_ee_ce       m168p_swio10_noled_pr_ee_ce       m168pa_swio10_noled_pr_ee_ce
 * a6613c_swio10_noled_pr_ee_ce
 */
static const uint64_t ur_m168_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe357e7c344c13e3, 0xe77fd519c31d963f, 0x00dbbfcf192a7763, 0xcac7be6139dc6e00,
  0x6807a8f2b74b29da, 0x14c5721fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbf70ea426be8c, 0xbce9bb6948e2139d,
  0x1314622d8d578d8e, 0xc37b2d973170908a, 0xb326abfaa3608991, 0xd873d59b5e5caad4, 0x6fab39d454aa35d9,
  0xbd7d10a9ace576a9, 0xb55a22bca852552f, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xc1e6c25ccbe6d902, 0x1f9434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0x3f07457d0e792bf7, 0x0000000000000001,
};

/*
 * m168a_swio10_noled_pr_ee_ce_u4    m168p_swio10_noled_pr_ee_ce_u4    m168pa_swio10_noled_pr_ee_ce_u4
 * a6613c_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fc48c73e87d304, 0xc41717d51dba1d98, 0x17dc4963cf285c1c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0x7ab36bcb955a9664,
  0x673a8a9546bb3b0e, 0xa215359caed52df5, 0x4457950a4aa5f7af, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0xd84b997cdb20431d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa05d79e4afdcd0cc, 0x000000000009f87a,
};

/*
 * m168a_swio10_noled_hw             m168p_swio10_noled_hw             m168pa_swio10_noled_hw
 * m164a_swio10_noled_hw             m164p_swio10_noled_hw             m164pa_swio10_noled_hw
 * a6613c_swio10_noled_hw
 */
static const uint64_t ur_m168_swio10_noled_hw[] = {
  0x441bbbbbbacdfebe, 0x1ddcb4b10adc7eb0, 0xda36f76e27524192, 0x1e0cc2444f16f26a, 0xb49018c4783ee910,
  0x449827c64eef8fc2, 0x4d0ecd2bfef8167e, 0xe0c43fa8e989df2c, 0x16f74dd46491c74f, 0x2e761be8c9e398b0,
  0x9584d6e39630475e, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0xf7afa215359caed5, 0xf6ab4457950a4aa5,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2, 0xec376c25ccbe6d90, 0xcb25c33d30ae4fcf,
  0xccb0e9296cb25138, 0x69c7d829e4afdcd0, 0x0000000000000471,
};

/*
 * m168a_swio10_noled_ee_hw          m168p_swio10_noled_ee_hw          m168pa_swio10_noled_ee_hw
 * m328_swio10_noled_ee_hw           m328p_swio10_noled_ee_hw          m328pb_swio10_noled_ee_hw
 * m164a_swio10_noled_ee_hw          m164p_swio10_noled_ee_hw          m164pa_swio10_noled_ee_hw
 * m324a_swio10_noled_ee_hw          m324p_swio10_noled_ee_hw          m324pa_swio10_noled_ee_hw
 * m324pb_swio10_noled_ee_hw         a6613c_swio10_noled_ee_hw         a6614q_swio10_noled_ee_hw
 */
static const uint64_t ur_m168_swio10_noled_ee_hw[] = {
  0x426eeeeed12198e2, 0x6d5cb4b1ea6d2eb1, 0xa7ad177499f1ff12, 0x08f229835cdd95b6, 0xad41685e14452225,
  0xc13e32774a70f6d3, 0xecd37fec3fe7c6b4, 0x7959c39aad68e3d8, 0xebea3e0d9833d7d4, 0x459a75a1143be2b2,
  0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1, 0xd823f5b86f65b2e6,
  0x972ab50089aafea8, 0x2a8d76761cf566d7, 0x395daa5beace7515, 0x14954bef5f442a6b, 0xc5aeb9ed5688af2a,
  0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0x7cdb2048ab7b1554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000016f93f0d14f2,
};

/*
 * m168a_swio10_noled_ce_hw          m168p_swio10_noled_ce_hw          m168pa_swio10_noled_ce_hw
 * m164a_swio10_noled_ce_hw          m164p_swio10_noled_ce_hw          m164pa_swio10_noled_ce_hw
 * a6613c_swio10_noled_ce_hw
 */
static const uint64_t ur_m168_swio10_noled_ce_hw[] = {
  0xefdddddda2433a31, 0xbee5a58b81033ac6, 0xfd7afbbc7e847ede, 0xf3261c4f23204878, 0x680a8666eda9eeee,
  0xea609f193bb626c3, 0x1076604ff61ff3f6, 0x3ca170732b5c5f59, 0xf886c2445f71258f, 0x8dcfd735bfd47c25,
  0x24f72c67eb2678bb, 0x91c74fe0f05fa8f9, 0xf476b1cc580bdd02, 0x1ffb33c75e8f9d9e, 0xa81e5add70d67aa0,
  0x73d59b5e5caad556, 0xab39d454aa35d9d8, 0x7d10a9ace576a96f, 0x5a22bca852552fbd, 0x9e1a779f16bae7b5,
  0x6f19d1020eea6c52, 0xedec5551696d138c, 0xe6c25ccbe6d90218, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xe268a792bf734332, 0x00000000003acd98,
};

/*
 * m168_swio10_noled_ee_ce_u4_hw     m168a_swio10_noled_ee_ce_hw       m168a_swio10_noled_ee_ce_u4_hw
 * m168p_swio10_noled_ee_ce_hw       m168p_swio10_noled_ee_ce_u4_hw    m168pa_swio10_noled_ee_ce_hw
 * m168pa_swio10_noled_ee_ce_u4_hw   m164a_swio10_noled_ee_ce_hw       m164a_swio10_noled_ee_ce_u4_hw
 * m164p_swio10_noled_ee_ce_hw       m164p_swio10_noled_ee_ce_u4_hw    m164pa_swio10_noled_ee_ce_hw
 * m164pa_swio10_noled_ee_ce_u4_hw   a6613c_swio10_noled_ee_ce_hw      a6613c_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0xb3107fb0ff9f43e9, 0x839882e2faa3b743, 0x1222fb892c79e50b, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x873d59b5e5caad4b,
  0xfab39d454aa35d9d, 0xd7d10a9ace576a96, 0x55a22bca852552fb, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7aa28a792bf73433, 0x0000000000001404,
};

/*
 * m168a_swio10_lednop               m168p_swio10_lednop               m168pa_swio10_lednop
 * m328_swio10_lednop                m328p_swio10_lednop               m328pb_swio10_lednop
 * a6613c_swio10_lednop              a6614q_swio10_lednop
 */
static const uint64_t ur_m168_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x0ec09ffecd5f9f32, 0xc43fa8f921df2c4d, 0xf74ddd0291c74fe0, 0x3b0f88fa4398b016,
  0x970f71cb1823af17, 0x0e7ab36bcb955a95, 0xf5673a8a9546bb3b, 0x1535c0809caed52d, 0x57950a4ab574bfa2,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb2ec8ab7b1, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000000a9074b49d,
};

/*
 * m168_swio10_lednop_pr_u4          m168a_swio10_lednop_pr            m168a_swio10_lednop_pr_u4
 * m168p_swio10_lednop_pr            m168p_swio10_lednop_pr_u4         m168pa_swio10_lednop_pr
 * m168pa_swio10_lednop_pr_u4        m328_swio10_lednop_pr             m328_swio10_lednop_pr_u4
 * m328p_swio10_lednop_pr            m328p_swio10_lednop_pr_u4         m328pb_swio10_lednop_pr
 * m328pb_swio10_lednop_pr_u4        a6613c_swio10_lednop_pr           a6613c_swio10_lednop_pr_u4
 * a6614q_swio10_lednop_pr           a6614q_swio10_lednop_pr_u4
 */
static const uint64_t ur_m168_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0xf7fe357e7e034c13, 0xa8f389df2c228ec0, 0x63cf58e3a7f064f7, 0x11c1f398b016594c,
  0x7fecc11d7a3e76f9, 0xa07967b7bdf40a80, 0xcf566d7972ab5815, 0xace75152a8d76761, 0xa6b8101395daa5be,
  0xf2a14956ae97f442, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x32f9b65d9156f62a,
  0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x003e4e7e09f439e4,
};

/*
 * m168_swio10_lednop_pr_ee_u4       m168a_swio10_lednop_pr_ee         m168a_swio10_lednop_pr_ee_u4
 * m168p_swio10_lednop_pr_ee         m168p_swio10_lednop_pr_ee_u4      m168pa_swio10_lednop_pr_ee
 * m168pa_swio10_lednop_pr_ee_u4     m328_swio10_lednop_pr_ee          m328_swio10_lednop_pr_ee_u4
 * m328p_swio10_lednop_pr_ee         m328p_swio10_lednop_pr_ee_u4      m328pb_swio10_lednop_pr_ee
 * m328pb_swio10_lednop_pr_ee_u4     a6613c_swio10_lednop_pr_ee        a6613c_swio10_lednop_pr_ee_u4
 * a6614q_swio10_lednop_pr_ee        a6614q_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x72ff1abf3fd5f304, 0xca1cd56b471ec764, 0x51f06cc19ebea3ca, 0xd3ad08a1df15b05f,
  0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad, 0x7eb70decb65cc5c2,
  0xad402b86b3d51b04, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x5fd10a9ae0404e57, 0x55a22bca85255aba,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xe6c25ccbe6d97645, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xd0e792bf734332c3, 0x0000000013ae10b7,
};

/*
 * m168_swio10_lednop_pr_ce_u4       m168a_swio10_lednop_pr_ce         m168a_swio10_lednop_pr_ce_u4
 * m168p_swio10_lednop_pr_ce         m168p_swio10_lednop_pr_ce_u4      m168pa_swio10_lednop_pr_ce
 * m168pa_swio10_lednop_pr_ce_u4     a6613c_swio10_lednop_pr_ce        a6613c_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff1abf3f15a60, 0x54eedd5c5f591076, 0x61222fb892c79e32, 0x253397ea3e12fc43,
  0x9633f5933c5dc6e5, 0xa7f0782fd470527b, 0xf9cc580a1ed008e3, 0x678ebd1f3b7c88e0, 0x2d6edefa05403ff6,
  0xcdaf2e556b02b40f, 0xea2a551aecec39ea, 0x020272bb54b7d59c, 0x292ad5d2fe8854d7, 0x2b5d73daad115e54,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xebdd5b7d0e792bf7, 0x0000000000000006,
};

/*
 * m168a_swio10_lednop_pr_ee_ce      m168p_swio10_lednop_pr_ee_ce      m168pa_swio10_lednop_pr_ee_ce
 * a6613c_swio10_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfc6afcfcedcc13e, 0x68effaa33863b376, 0xa3ea49f9e3254ef7, 0xd6563df309cee373,
  0x83403d479597594e, 0x40a62b297ea3e0d9, 0x616588a459a75a11, 0xeaeddf38752135f4, 0xebce9bb04f46be1c,
  0x46488c6fd8d578d8, 0x386f65b2e62e1211, 0x2cee1acf546c1132, 0x761cf566d7972ab5, 0x5beace75152a8d76,
  0x442a6b8101395daa, 0x88af2a14956ae97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36cbb0c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x00000534d17cfa1c,
};

/*
 * m168a_swio10_lednop_pr_ee_ce_u4   m168p_swio10_lednop_pr_ee_ce_u4   m168pa_swio10_lednop_pr_ee_ce_u4
 * a6613c_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01fe24639ffd7982, 0x400b8bea8edd0ec8, 0x8bee24b1e7942e0e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0xd59b5e5caad4b3b8,
  0x39d454aa35d9d873, 0xae0404e576a96fab, 0xa85255aba5fd10a9, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb2ec31dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009f813585d79,
};

/*
 * m168a_swio10_lednop_hw            m168p_swio10_lednop_hw            m168pa_swio10_lednop_hw
 * m164a_swio10_lednop_hw            m164p_swio10_lednop_hw            m164pa_swio10_lednop_hw
 * a6613c_swio10_lednop_hw
 */
static const uint64_t ur_m168_swio10_lednop_hw[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x87604fffbe059f32, 0x621fd47c90ef9626, 0x7ba6ee8148e3a7f0, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x873d59b5e5caad4a, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6d976455bd8, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000000238875d82,
};

/*
 * m168a_swio10_lednop_ee_hw         m168p_swio10_lednop_ee_hw         m168pa_swio10_lednop_ee_hw
 * m328_swio10_lednop_ee_hw          m328p_swio10_lednop_ee_hw         m328pb_swio10_lednop_ee_hw
 * m164a_swio10_lednop_ee_hw         m164p_swio10_lednop_ee_hw         m164pa_swio10_lednop_ee_hw
 * m324a_swio10_lednop_ee_hw         m324p_swio10_lednop_ee_hw         m324pa_swio10_lednop_ee_hw
 * m324pb_swio10_lednop_ee_hw        a6613c_swio10_lednop_ee_hw        a6614q_swio10_lednop_ee_hw
 */
static const uint64_t ur_m168_swio10_lednop_ee_hw[] = {
  0x426eeeeed121b7d6, 0x6d5cb4b1ea6f5eb1, 0x27ab8f746db11f12, 0x08f229835da59bbb, 0xdab2210208452225,
  0x609f193baf5a716f, 0xec8e5fec3fe7fabe, 0x7959439aad68e3d8, 0x0bea3e0d9833d7d4, 0x459a75a1143be2b6,
  0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63, 0x608fd6e1bd96cb98,
  0xb955a80570d67aa3, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x574bfa21535c0809, 0xcf6ab4457950a4ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xff7c1514f257ee68,
  0x0000000000000016,
};

/*
 * m168a_swio10_lednop_ce_hw         m168p_swio10_lednop_ce_hw         m168pa_swio10_lednop_ce_hw
 * m164a_swio10_lednop_ce_hw         m164p_swio10_lednop_ce_hw         m164pa_swio10_lednop_ce_hw
 * a6613c_swio10_lednop_ce_hw
 */
static const uint64_t ur_m168_swio10_lednop_ce_hw[] = {
  0xefdddddda2432493, 0xbee5a58b811fbac6, 0xfb5177588f8b7ede, 0xcc98713c80cd9005, 0xa76a85b4bb27bbbb,
  0x69827c64ee86e415, 0x41d9beffd87fcfc5, 0xf285c1cb75717d64, 0xe21b09117dc4963c, 0x372f0f96bf51f097,
  0x93dcb19fac99e2ee, 0x471d3f83c17ea382, 0x4707ce62c050f680, 0xffb33c75e8f9dbe4, 0xa0796b76f7d02a01,
  0xcf566d7972ab5815, 0xace75152a8d76761, 0xa6b8101395daa5be, 0xf2a14956ae97f442, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36cbb0c76f62a, 0xe7ea0bb1b8f3612e, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00000eb366089453,
};

/*
 * m168_swio10_lednop_ee_ce_u4_hw    m168a_swio10_lednop_ee_ce_hw      m168a_swio10_lednop_ee_ce_u4_hw
 * m168p_swio10_lednop_ee_ce_hw      m168p_swio10_lednop_ee_ce_u4_hw   m168pa_swio10_lednop_ee_ce_hw
 * m168pa_swio10_lednop_ee_ce_u4_hw  m164a_swio10_lednop_ee_ce_hw      m164a_swio10_lednop_ee_ce_u4_hw
 * m164p_swio10_lednop_ee_ce_hw      m164p_swio10_lednop_ee_ce_u4_hw   m164pa_swio10_lednop_ee_ce_hw
 * m164pa_swio10_lednop_ee_ce_u4_hw  a6613c_swio10_lednop_ee_ce_hw     a6613c_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x9003fd87fcffebcc, 0x1c801717d51dba1d, 0x9117dc4963cf285c, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xe7ab36bcb955a967,
  0x5673a8a9546bb3b0, 0x535c0809caed52df, 0x7950a4ab574bfa21, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00000050104d6a29,
};

/*
 * m168_swio10_dual_pr               m168_swio10_dual_pr_u4            m168a_swio10_dual
 * m168a_swio10_dual_pr              m168a_swio10_dual_pr_u4           m168p_swio10_dual
 * m168p_swio10_dual_pr              m168p_swio10_dual_pr_u4           m168pa_swio10_dual
 * m168pa_swio10_dual_pr             m168pa_swio10_dual_pr_u4          a6613c_swio10_dual
 * a6613c_swio10_dual_pr             a6613c_swio10_dual_pr_u4
 */
static const uint64_t ur_m168_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xbe6e56f80370f851, 0x196846488655777b, 0x7fe80e784d6b4542,
  0x30586f2bc84b6e5d, 0x961f07654afffe87, 0xd3f83117d47910ef, 0xb01541e6fdc65471, 0x78033b4e28def398,
  0xd783ea807fecc11d, 0x8a92dfe181e59eda, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x1395daa5beace751,
  0x56ae97f442a6b810, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x5d9156f62aa8b490,
  0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x524d6b50baf3c95f,
};

/*
 * m168a_swio10_dual_pr_ee           m168p_swio10_dual_pr_ee           m168pa_swio10_dual_pr_ee
 * a6613c_swio10_dual_pr_ee
 */
static const uint64_t ur_m168_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xbac0db4b68191292, 0x774f8971030a1832, 0xc02d4c63ff9956ee,
  0x15a6f51c9d6c12d1, 0x3f7c114239227f07, 0x880370f8510c4aff, 0xd10caaeef77cdc54, 0xc260f7150865a0be,
  0xbc84b6e9b7ff4073, 0xa1ffffe8730586f2, 0x5efb9aad68ca28ec, 0xea3e0d98332bd479, 0x9a75a1143be2bb75,
  0xd2135f4616588a45, 0xa39d5a5ca1ae2a5c, 0xba1d7a89768f68f4, 0x908a1004698d8d56, 0x3f5b86f65f4b3170,
  0xa92805195aca8d82, 0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x395daa5beace7515, 0x6ae97f442a6b8101,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xd9156f62aa8b4905, 0x8dc79b09732f9b65,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000005647ad8baf3,
};

/*
 * m168a_swio10_dual_pr_ee_u4        m168p_swio10_dual_pr_ee_u4        m168pa_swio10_dual_pr_ee_u4
 * a6613c_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m168_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x30657581b696d032, 0xaddcee9f12e20614, 0x06b1c09d4c96bf32,
  0x7f07bee6f51e2b6c, 0x4aff3f7c11423922, 0x6e33900370f8510c, 0xd08f688655777bbe, 0xd01cf09a448a8432,
  0x61bcaf212dba6dff, 0xf83b287ffffa1cc1, 0xfa8f2b60b355ad1b, 0xae43fa8f83660c27, 0x2291669d68450ef8,
  0x84173484d7d18596, 0x8a39b8e75697726b, 0xc6ab5d0ebdac4ed3, 0x3170908a16ba38ca, 0xae3a4fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xdaa5beace75152a8, 0x97f442a6b8101395, 0xd5688af2a14956ae,
  0x94d8b3a03cfd6b9e, 0x502169ab9d5ea585, 0xd38c6f19d10363fc, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00ac810b175e792b,
};

/*
 * m168a_swio10_dual_pr_ce           m168p_swio10_dual_pr_ce           m168pa_swio10_dual_pr_ce
 * a6613c_swio10_dual_pr_ce
 */
static const uint64_t ur_m168_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0x391c0e0cdd5ff995,
  0xf072ba6f51f676c2, 0xaff3f7c114239227, 0xc68380370f8510c4, 0x01ed10caaeef77cd, 0x073c2609f150865a,
  0x6f2bc84b6f63fff4, 0xc760d6fffe873058, 0x942e0e1c1b8bea63, 0x10d8488bee24b1e7, 0xb9722495fa8f84bf,
  0x7b9633ea5ccf1771, 0xe3a7f0770fd47ea2, 0x6f79cc580b52bba8, 0xf6678ebc019da714, 0x3cb5b96bc1f5403f,
  0x8abe7771525bfc30, 0x39eacdaf2e556b3f, 0xd59cea2a551aecec, 0x54d7020272bb54b7, 0x5e54292ad5d2fe88,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6d97618edec5, 0xc68b3a7c371e6c25,
  0xa9cfd4eaccdfc1dd, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00d24c622ebcf257,
};

/*
 * m168a_swio10_dual_pr_ce_u4        m168p_swio10_dual_pr_ce_u4        m168pa_swio10_dual_pr_ce_u4
 * a6613c_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m168_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b949400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x82c3795e425b74b5, 0xaf743b2dd7fff439, 0xc79e50b839a6ee2f, 0x12fc4361222fb892, 0x5dc6e5c89257ea3e,
  0xcbe9ee58cf0e333c, 0xa5471d3f8359fea3, 0x244637ce62c058f7, 0xb71cb19e3af22ddb, 0xf157ceee2a4a3a8c,
  0x873d59b5e5caad67, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb2ec31dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e,
  0x0000000069226805,
};

/*
 * m168a_swio10_dual_pr_ee_ce        m168p_swio10_dual_pr_ee_ce        m168pa_swio10_dual_pr_ee_ce
 * a6613c_swio10_dual_pr_ee_ce
 */
static const uint64_t ur_m168_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x657581b696d03225, 0xdcee9f12e2061430, 0xc3862099aeff32ad,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xdbb006e1f0a21895, 0x054432abbbddf371, 0xcf09a43c54219683,
  0xcaf212dbf60ffd01, 0xb2d6ffffa1cc161b, 0x072d6ceffaa3c083, 0x8dc300dd0ff3ca17, 0xa53b5959374c273b,
  0x83660fbaf51e5795, 0x68450298ae577a8f, 0xd7d185962291669d, 0x9473abb71431d484, 0xe363af512ed1ed1e,
  0x242284011a636355, 0x44c8e1bd97d2cc5c, 0x15252ce32b5951b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda,
  0x272bb54b7d59cea2, 0xad5d2fe8854d7020, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xc371e6c25ccbe6d9, 0xab337f07771a2c79, 0x1964b867a615c9fb, 0xa19961d252d9f027,
  0x09d270baf3c95fb9, 0x0000000000000026,
};

/*
 * m168a_swio10_dual_pr_ee_ce_u4     m168p_swio10_dual_pr_ee_ce_u4     m168pa_swio10_dual_pr_ee_ce_u4
 * a6613c_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x81850c195d606da5, 0x7e65a5bf3ba7c4b8,
  0x76c3b04e1787372d, 0x489fc1b5dcdea3e3, 0x4312bfcfdf04508e, 0xbe6e446200dc3e14, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7b91, 0x9c11d86b7fffa9c9, 0xf285e766b7717d51, 0xe21b09117dc4963c,
  0x722314e3ff51f097, 0x4ed6e6e6e99e2ee3, 0xd983eebd4795e569, 0x1140a62b95dea3e0, 0xf4616588a459a75a,
  0x1ceaedc50c752135, 0xd8ebd44bb47b47a5, 0x08a1004698d8d578, 0x32386f65f4b31709, 0x494b38cad6546c11,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x574bfa21535c0809, 0xcf6ab4457950a4ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x863b7b15545a4829, 0x7079b09732f9b65d, 0x0fdbb1a2c6f8b935,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x389f3c95fb9a1996, 0x0000000004000835,
};

/*
 * m168a_swio10_dual_hw              m168p_swio10_dual_hw              m168pa_swio10_dual_hw
 * a6613c_swio10_dual_hw
 */
static const uint64_t ur_m168_swio10_dual_hw[] = {
  0x17777776890c365a, 0xf56df5fe2e712995, 0xb1ab77a71893f78b, 0x103206947b362817, 0x36873b6514adda8a,
  0xf8c9b277226efafb, 0xd032252520c03304, 0x061430657581b696, 0xff32addcee9f12e2, 0xfe6c17d9c0a2cce4,
  0x8e489fc199537a8e, 0x144312bfcfdf0450, 0xdeef9b95be00dc3e, 0x50865a119221955d, 0x975ffa039e135ad1,
  0xfdcc161bcaf212db, 0x3be587c1d952bfda, 0x1c74fe0c45f51e44, 0xe62c055079bf7195, 0x475e00ced38a37bc,
  0xb6b5e0faa01ffb30, 0xeee2a4b7f8607967, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x0404e576a96fab39,
  0x5255aba5fd10a9ae, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6d976455bd8aaa2d,
  0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x00c6eab5aa8a792b,
};

/*
 * m168a_swio10_dual_ee_hw           m168p_swio10_dual_ee_hw           m168pa_swio10_dual_ee_hw
 * a6613c_swio10_dual_ee_hw
 */
static const uint64_t ur_m168_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0xc195d606da5b40c8, 0xb773ba7c4b881850, 0x968e016a631ffcca,
  0xf838ad37a8e4eb60, 0x57f9fbe08a11c913, 0xe2a4401b87c28862, 0x05f688655777bbe6, 0x039e1307b8a8432d,
  0x3795e425b74dbffa, 0x47650fffb5fb982c, 0xa3caf7dcd56b4651, 0xdbaf51f06cc1995e, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x47a51cead2e50d71, 0x6ab5d0ebd44bb47b, 0x8b84845080234c6c, 0x6c11fadc37b2fa59,
  0xddc5494028cad654, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x0809caed52df5673, 0xa4ab574bfa21535c,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb2ec8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0015da7add14f257,
};

/*
 * m168a_swio10_dual_ce_hw           m168p_swio10_dual_ce_hw           m168pa_swio10_dual_ce_hw
 * a6613c_swio10_dual_ce_hw
 */
static const uint64_t ur_m168_swio10_dual_ce_hw[] = {
  0x89dddddda2431f02, 0x7ab6faf1b6a3ea65, 0xbb37bad89d909197, 0xc8f913755a1d7087, 0x289ae89fd77bb624,
  0x9247ee4a31166f4c, 0xc8949483afa609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0x611c8e07066eaffc,
  0x13f8395d37a8fb3b, 0x6257f9fbe08a11c9, 0xe6e341c01b87c288, 0x2d00f688655777bb, 0xfa039e1304f8a843,
  0x2c3795e425b7b1ff, 0x31e3b06b7fb5fb98, 0xf3ca17070e0dc5f5, 0x5f886c2445f71258, 0xb8dc4a8b91fd47c2,
  0x513dcb19f52e678b, 0xd471d3f83b87ea3f, 0x8a37bce62c05a95d, 0x1ffb33c75e00ced3, 0x181e5adcb5e0faa0,
  0x9fc55f3bb8a92dfe, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0x442a6b8101395daa, 0x88af2a14956ae97f,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36cbb0c76f, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x0000000001375c63,
};

/*
 * m168a_swio10_dual_ee_ce_hw        m168p_swio10_dual_ee_ce_hw        m168pa_swio10_dual_ee_ce_hw
 * a6613c_swio10_dual_ee_ce_hw
 */
static const uint64_t ur_m168_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0x0caeb036d2da0644, 0xbb9dd3e25c40c286, 0xf870c41335dfe655,
  0xc1ffc9bd47d35b07, 0xbfcfdf04508e489f, 0x3b7600dc3e144312, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b7ec1ffa0, 0x765adffb5fb982c3, 0xe0e5ad9dff547810, 0xb8dc672e8ffe7942, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0xec371e6c25ccbe6d, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138, 0x34fa4ea29e4afdcd,
  0x0000000000000011,
};

/*
 * m168a_swio10_dual_ee_ce_u4_hw     m168p_swio10_dual_ee_ce_u4_hw     m168pa_swio10_dual_ee_ce_u4_hw
 * a6613c_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0x581b696d03225252, 0xe9f12e2061430657, 0xbc39b96bf32ec24e,
  0xe6f51f1bb61d8270, 0xf822847244fe0dae, 0x06e1f0a21895fe7e, 0x32abbbddf3722310, 0xb7dc542196847244,
  0x12dbdc8ffd01cf09, 0xfff54e4c161bcaf2, 0xddc5f546704761ad, 0x71258f3c6f860e1a, 0xd47c25f886c2445f,
  0x33c5dc6e2e0b87ff, 0xf2bcad29dadcdcdd, 0xbbd47c1b307dd7a8, 0x8b34eb422814c572, 0x8ea426be8c2cb114,
  0x8f68f4a39d5db8a1, 0x1b1aaf1b1d7a8976, 0x9662e121142008d3, 0xca8d8226470decbe, 0x5f3bb8a92967195a,
  0xf566d7972ab59fc5, 0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00075d6717c17d3c,
};

/*
 * m168_swio11_noled_pr              m168_swio12_noled                 m168_swio12_noled_pr
 * m168a_swio11_noled                m168a_swio11_noled_pr             m168a_swio12_noled
 * m168a_swio12_noled_pr             m168p_swio11_noled                m168p_swio11_noled_pr
 * m168p_swio12_noled                m168p_swio12_noled_pr             m168pa_swio11_noled
 * m168pa_swio11_noled_pr            m168pa_swio12_noled               m168pa_swio12_noled_pr
 * m328_swio11_noled                 m328_swio11_noled_pr              m328_swio12_noled
 * m328_swio12_noled_pr              m328p_swio11_noled                m328p_swio11_noled_pr
 * m328p_swio12_noled                m328p_swio12_noled_pr             m328pb_swio11_noled
 * m328pb_swio11_noled_pr            m328pb_swio12_noled               m328pb_swio12_noled_pr
 * a6613c_swio11_noled               a6613c_swio11_noled_pr            a6613c_swio12_noled
 * a6613c_swio12_noled_pr            a6614q_swio11_noled               a6614q_swio11_noled_pr
 * a6614q_swio12_noled               a6614q_swio12_noled_pr
 */
static const uint64_t ur_m168_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x1d9dd7fb357e7e3d, 0xd7ff51d313be5ba0, 0xee99001f238e9fc1, 0x76e91193c731602d,
  0x043ee39630475e2e, 0x1cf566d7972ab52b, 0xaece75152a8d7676, 0xf442a6b395daa5be, 0x5a22bca85256c6f5,
  0x94a9f4ef3f5ae7b5, 0x042d2c2e753a9c05, 0x718de33a2047978a, 0x79c376c25ccbe6da, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x6866587494b65928, 0xe40922d274f257ee, 0x0000000000000003,
};

/*
 * m168_swio12_noled_pr_u4           m168a_swio11_noled_pr_u4          m168a_swio12_noled_pr_u4
 * m168p_swio11_noled_pr_u4          m168p_swio12_noled_pr_u4          m168pa_swio11_noled_pr_u4
 * m168pa_swio12_noled_pr_u4         m328_swio11_noled_pr_u4           m328_swio12_noled_pr_u4
 * m328p_swio11_noled_pr_u4          m328p_swio12_noled_pr_u4          m328pb_swio11_noled_pr_u4
 * m328pb_swio12_noled_pr_u4         a6613c_swio11_noled_pr_u4         a6613c_swio12_noled_pr_u4
 * a6614q_swio11_noled_pr_u4         a6614q_swio12_noled_pr_u4
 */
static const uint64_t ur_m168_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xfc6afcf98f9827c6, 0xc143be5b7b1d9b7f, 0xa011c74fe0c9af51, 0x88a731602cb2983d,
  0xecc11d7a3e764c51, 0x7967b76b13ca807f, 0x566d7972ab542260, 0xe75152a8d76761cf, 0x2a6b395daa5beaec,
  0x2bca85256c6f5f44, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6db0862ade,
  0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000f93bea87d0e,
};

/*
 * m168_swio11_noled_pr_ee_u4        m168_swio12_noled_pr_ee           m168_swio12_noled_pr_ee_u4
 * m168a_swio11_noled_pr_ee          m168a_swio11_noled_pr_ee_u4       m168a_swio12_noled_pr_ee
 * m168a_swio12_noled_pr_ee_u4       m168p_swio11_noled_pr_ee          m168p_swio11_noled_pr_ee_u4
 * m168p_swio12_noled_pr_ee          m168p_swio12_noled_pr_ee_u4       m168pa_swio11_noled_pr_ee
 * m168pa_swio11_noled_pr_ee_u4      m168pa_swio12_noled_pr_ee         m168pa_swio12_noled_pr_ee_u4
 * m328_swio11_noled_pr_ee           m328_swio11_noled_pr_ee_u4        m328_swio12_noled_pr_ee
 * m328_swio12_noled_pr_ee_u4        m328p_swio11_noled_pr_ee          m328p_swio11_noled_pr_ee_u4
 * m328p_swio12_noled_pr_ee          m328p_swio12_noled_pr_ee_u4       m328pb_swio11_noled_pr_ee
 * m328pb_swio11_noled_pr_ee_u4      m328pb_swio12_noled_pr_ee         m328pb_swio12_noled_pr_ee_u4
 * a6613c_swio11_noled_pr_ee         a6613c_swio11_noled_pr_ee_u4      a6613c_swio12_noled_pr_ee
 * a6613c_swio12_noled_pr_ee_u4      a6614q_swio11_noled_pr_ee         a6614q_swio11_noled_pr_ee_u4
 * a6614q_swio12_noled_pr_ee         a6614q_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m168_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xfc6afcf9c19827c6, 0xb355ad198f1d9b3b, 0xc1b307d47a8f2b2e, 0xb422877c5652fd47,
  0x6be8c2cb1148b34e, 0xead2ee4d71ac9a42, 0x75e74dd8f547f21c, 0x288851ef76355ae8, 0xb70decb65cc5c242,
  0x500ba0e7951b047e, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0x6f5f442a6b395daa, 0x7b55a22bca85256c,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x862adec5551696d1, 0x5c1e6c25ccbe6db0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xa07d0e792bf73433, 0x0000000000013ae9,
};

/*
 * m168_swio11_noled_pr_ce_u4        m168_swio12_noled_pr_ce           m168_swio12_noled_pr_ce_u4
 * m168a_swio11_noled_pr_ce          m168a_swio11_noled_pr_ce_u4       m168a_swio12_noled_pr_ce
 * m168a_swio12_noled_pr_ce_u4       m168p_swio11_noled_pr_ce          m168p_swio11_noled_pr_ce_u4
 * m168p_swio12_noled_pr_ce          m168p_swio12_noled_pr_ce_u4       m168pa_swio11_noled_pr_ce
 * m168pa_swio11_noled_pr_ce_u4      m168pa_swio12_noled_pr_ce         m168pa_swio12_noled_pr_ce_u4
 * a6613c_swio11_noled_pr_ce         a6613c_swio11_noled_pr_ce_u4      a6613c_swio12_noled_pr_ce
 * a6613c_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m168_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff1abf3fa6e609, 0x4ee575c5f5ee8766, 0x1222fb892c79e325, 0x1d257ea3e12fc436,
  0x633f5933c5dc6e32, 0x7f06b3fd475f27b9, 0x398b0176fcbe8e3a, 0x78ebd1f3b2628c45, 0xd6eb589e5403ff66,
  0xdaf2e556a844c0f2, 0xa2a551aecec39eac, 0xd672bb54b7d5d9ce, 0x950a4ad8debe8854, 0xf3e2d75cf6ab4457,
  0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x32f9b6c2131dbd8a, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x001baef36df439e4,
};

/*
 * m168_swio12_noled_pr_ee_ce        m168a_swio11_noled_pr_ee_ce       m168a_swio12_noled_pr_ee_ce
 * m168p_swio11_noled_pr_ee_ce       m168p_swio12_noled_pr_ee_ce       m168pa_swio11_noled_pr_ee_ce
 * m168pa_swio12_noled_pr_ee_ce      a6613c_swio11_noled_pr_ee_ce      a6613c_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m168_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x1abf3e9b7304f8c9, 0xbfea8cba8ec19bff, 0xe8ffe78c953b19b3, 0x58f7cc273b8dc672,
  0x4af51e5721e53b59, 0x98ace1fa8f83660f, 0x962291669d684502, 0xb73931d484d7d185, 0x9d3763d51fc873ab,
  0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238, 0x873d59b5e5caad4b, 0xabb39d454aa35d9d,
  0x7d10a9ace576a96f, 0x5688af2a1495b1bd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0xa1cf257ee6866587,
  0x000000014d34faef,
};

/*
 * m168_swio12_noled_pr_ee_ce_u4     m168a_swio11_noled_pr_ee_ce_u4    m168a_swio12_noled_pr_ee_ce_u4
 * m168p_swio11_noled_pr_ee_ce_u4    m168p_swio12_noled_pr_ee_ce_u4    m168pa_swio11_noled_pr_ee_ce_u4
 * m168pa_swio12_noled_pr_ee_ce_u4   a6613c_swio11_noled_pr_ee_ce_u4   a6613c_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xff8918e7c524c13e, 0xfdc5f547a6c7656f, 0xee24b1e7942e0e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x59b5e5caad4b3e83,
  0x9d454aa35d9d873d, 0xa9ace576a96fabb3, 0xaf2a1495b1bd7d10, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0x2e65f36d84263b7b, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x0000000027e1b901,
};

/*
 * m168_swio12_noled_hw              m168a_swio11_noled_hw             m168a_swio12_noled_hw
 * m168p_swio11_noled_hw             m168p_swio12_noled_hw             m168pa_swio11_noled_hw
 * m168pa_swio12_noled_hw            m164a_swio11_noled_hw             m164a_swio12_noled_hw
 * m164p_swio11_noled_hw             m164p_swio12_noled_hw             m164pa_swio11_noled_hw
 * m164pa_swio12_noled_hw            a6613c_swio11_noled_hw            a6613c_swio12_noled_hw
 */
static const uint64_t ur_m168_swio11_noled_hw[] = {
  0x2783bbbbbacdc49f, 0xdcb4b10acebeb0d8, 0x006ea44cf741921d, 0x0661352569425f9b, 0x4133f4a64f75b04f,
  0x609f193bb98921ab, 0x3b0f5ffbe059feea, 0xaffea3c4277cb740, 0xba609ebe471d3f83, 0xda32464d1cc580b7,
  0x741b8e58c11d78b9, 0x39eacdaf2e556a56, 0x5d9cea2a551aecec, 0xe8854d672bb54b7d, 0xb4457950a4ad8deb,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xed84b997cdb610c5, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0xbb053c95fb9a1996, 0x000000000004715b,
};

/*
 * m168_swio12_noled_ee_hw           m168a_swio11_noled_ee_hw          m168a_swio12_noled_ee_hw
 * m168p_swio11_noled_ee_hw          m168p_swio12_noled_ee_hw          m168pa_swio11_noled_ee_hw
 * m168pa_swio12_noled_ee_hw         m328_swio11_noled_ee_hw           m328_swio12_noled_ee_hw
 * m328p_swio11_noled_ee_hw          m328p_swio12_noled_ee_hw          m328pb_swio11_noled_ee_hw
 * m328pb_swio12_noled_ee_hw         m164a_swio11_noled_ee_hw          m164a_swio12_noled_ee_hw
 * m164p_swio11_noled_ee_hw          m164p_swio12_noled_ee_hw          m164pa_swio11_noled_ee_hw
 * m164pa_swio12_noled_ee_hw         m324a_swio11_noled_ee_hw          m324a_swio12_noled_ee_hw
 * m324p_swio11_noled_ee_hw          m324p_swio12_noled_ee_hw          m324pa_swio11_noled_ee_hw
 * m324pa_swio12_noled_ee_hw         m324pb_swio11_noled_ee_hw         m324pb_swio12_noled_ee_hw
 * a6613c_swio11_noled_ee_hw         a6613c_swio12_noled_ee_hw         a6614q_swio11_noled_ee_hw
 * a6614q_swio12_noled_ee_hw
 */
static const uint64_t ur_m168_swio11_noled_ee_hw[] = {
  0x6f26eeeed121be4a, 0xae5a58f531a7582f, 0xd23fbbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x9f193ba528eb6abe, 0x6ceff61ff3e70660, 0xacbacd56b4663c76, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df1594b,
  0x6909afa30b2c4522, 0xc873ab4bb935c6b2, 0x6ba1d79d3763d51f, 0x0908a22147bdd8d5, 0x11fadc37b2d97317,
  0xcaad402e839e546c, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0x95b1bd7d10a9ace5, 0xaeb9ed5688af2a14,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x002df7c93a29e4af,
};

/*
 * m168_swio12_noled_ce_hw           m168a_swio11_noled_ce_hw          m168a_swio12_noled_ce_hw
 * m168p_swio11_noled_ce_hw          m168p_swio12_noled_ce_hw          m168pa_swio11_noled_ce_hw
 * m168pa_swio12_noled_ce_hw         m164a_swio11_noled_ce_hw          m164a_swio12_noled_ce_hw
 * m164p_swio11_noled_ce_hw          m164p_swio12_noled_ce_hw          m164pa_swio11_noled_ce_hw
 * m164pa_swio12_noled_ce_hw         a6613c_swio11_noled_ce_hw         a6613c_swio12_noled_ce_hw
 */
static const uint64_t ur_m168_swio11_noled_ce_hw[] = {
  0xcc9eeeeed1218375, 0xb96962e058beb1cd, 0xd05dd75e5edfb7af, 0xc98715086c2d198e, 0xd89a59fbc77bbcdc,
  0x9827c64eec0b015a, 0x1d995bfd87fcfe9b, 0x285c1c95d717d7ba, 0x21b09117dc4963cf, 0x73b06f0ff51f097e,
  0x3dcb19fac99e2ee3, 0x71d3f8359fea3af9, 0x6229cc580bb7e5f4, 0xfb33c75e8f9d9314, 0x0796b75ac4f2a01f,
  0xf566d7972ab54226, 0xce75152a8d76761c, 0x42a6b395daa5beae, 0x22bca85256c6f5f4, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x84b997cdb61098ed, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x514f257ee6866587, 0x000000003acd9839,
};

/*
 * m168_swio11_noled_ee_ce_u4_hw     m168_swio12_noled_ee_ce_hw        m168_swio12_noled_ee_ce_u4_hw
 * m168a_swio11_noled_ee_ce_hw       m168a_swio11_noled_ee_ce_u4_hw    m168a_swio12_noled_ee_ce_hw
 * m168a_swio12_noled_ee_ce_u4_hw    m168p_swio11_noled_ee_ce_hw       m168p_swio11_noled_ee_ce_u4_hw
 * m168p_swio12_noled_ee_ce_hw       m168p_swio12_noled_ee_ce_u4_hw    m168pa_swio11_noled_ee_ce_hw
 * m168pa_swio11_noled_ee_ce_u4_hw   m168pa_swio12_noled_ee_ce_hw      m168pa_swio12_noled_ee_ce_u4_hw
 * m164a_swio11_noled_ee_ce_hw       m164a_swio11_noled_ee_ce_u4_hw    m164a_swio12_noled_ee_ce_hw
 * m164a_swio12_noled_ee_ce_u4_hw    m164p_swio11_noled_ee_ce_hw       m164p_swio11_noled_ee_ce_u4_hw
 * m164p_swio12_noled_ee_ce_hw       m164p_swio12_noled_ee_ce_u4_hw    m164pa_swio11_noled_ee_ce_hw
 * m164pa_swio11_noled_ee_ce_u4_hw   m164pa_swio12_noled_ee_ce_hw      m164pa_swio12_noled_ee_ce_u4_hw
 * a6613c_swio11_noled_ee_ce_hw      a6613c_swio11_noled_ee_ce_u4_hw   a6613c_swio12_noled_ee_ce_hw
 * a6613c_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b1d95, 0x2fb892c79e50b839, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xeacdaf2e556a59f4,
  0x9cea2a551aecec39, 0x854d672bb54b7d5d, 0x457950a4ad8debe8, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x09732f9b6c2131db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005011b90,
};

/*
 * m168_swio12_lednop                m168a_swio11_lednop               m168a_swio12_lednop
 * m168p_swio11_lednop               m168p_swio12_lednop               m168pa_swio11_lednop
 * m168pa_swio12_lednop              m328_swio11_lednop                m328_swio12_lednop
 * m328p_swio11_lednop               m328p_swio12_lednop               m328pb_swio11_lednop
 * m328pb_swio12_lednop              a6613c_swio11_lednop              a6613c_swio12_lednop
 * a6614q_swio11_lednop              a6614q_swio12_lednop
 */
static const uint64_t ur_m168_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x076489fecd5f9f0f, 0x75ffd475f0ef96e8, 0xee9b6fcbe8e3a7f0, 0xd96ba3b86731602d,
  0x5adb8e58c11d78b9, 0x39eacdaf2e556a56, 0x5d9cea2a551aecec, 0x4d7020272bb54b7d, 0xf2a1495cbd2fe885,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x32f9b6c63156f62a, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000002a4fad693a7,
};

/*
 * m168_swio11_lednop_pr_u4          m168_swio12_lednop_pr             m168_swio12_lednop_pr_u4
 * m168a_swio11_lednop_pr            m168a_swio11_lednop_pr_u4         m168a_swio12_lednop_pr
 * m168a_swio12_lednop_pr_u4         m168p_swio11_lednop_pr            m168p_swio11_lednop_pr_u4
 * m168p_swio12_lednop_pr            m168p_swio12_lednop_pr_u4         m168pa_swio11_lednop_pr
 * m168pa_swio11_lednop_pr_u4        m168pa_swio12_lednop_pr           m168pa_swio12_lednop_pr_u4
 * m328_swio11_lednop_pr             m328_swio11_lednop_pr_u4          m328_swio12_lednop_pr
 * m328_swio12_lednop_pr_u4          m328p_swio11_lednop_pr            m328p_swio11_lednop_pr_u4
 * m328p_swio12_lednop_pr            m328p_swio12_lednop_pr_u4         m328pb_swio11_lednop_pr
 * m328pb_swio11_lednop_pr_u4        m328pb_swio12_lednop_pr           m328pb_swio12_lednop_pr_u4
 * a6613c_swio11_lednop_pr           a6613c_swio11_lednop_pr_u4        a6613c_swio12_lednop_pr
 * a6613c_swio12_lednop_pr_u4        a6614q_swio11_lednop_pr           a6614q_swio11_lednop_pr_u4
 * a6614q_swio12_lednop_pr           a6614q_swio12_lednop_pr_u4
 */
static const uint64_t ur_m168_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xf1abf3ebee609f19, 0x400ef96dec7647bf, 0xd4471d3f8326bd47, 0x37ce62c0596533f9,
  0xb30475e8f9db2446, 0xcb3db83fd22a01ff, 0xb36bcb955acbb503, 0x3a8a9546bb3b0e7a, 0x0809caed52df5767,
  0x52572f4bfa21535c, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x93080b7d0e792bf7, 0x000000000000000f,
};

/*
 * m168_swio12_lednop_pr_ee          m168a_swio11_lednop_pr_ee         m168a_swio12_lednop_pr_ee
 * m168p_swio11_lednop_pr_ee         m168p_swio12_lednop_pr_ee         m168pa_swio11_lednop_pr_ee
 * m168pa_swio12_lednop_pr_ee        m328_swio11_lednop_pr_ee          m328_swio12_lednop_pr_ee
 * m328p_swio11_lednop_pr_ee         m328p_swio12_lednop_pr_ee         m328pb_swio11_lednop_pr_ee
 * m328pb_swio12_lednop_pr_ee        a6613c_swio11_lednop_pr_ee        a6613c_swio12_lednop_pr_ee
 * a6614q_swio11_lednop_pr_ee        a6614q_swio12_lednop_pr_ee
 */
static const uint64_t ur_m168_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0x8d5f9f4b5304f8c9, 0x6ab5a331e3b06b7f, 0x3660fa8f51e56c16, 0x8450ef8ad4f7a8f8,
  0x7d185962291669d6, 0x5a5dd2ae3593484d, 0xbce9bb4888e6e39d, 0x0be238cac6ab5d0e, 0xe1bd96cb98b84845,
  0x015ac4f2a3608fd6, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x854d7020272bb54b, 0x8af2a1495cbd2fe8,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6c63156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x75fa79f439e4afdc, 0x0000000000000002,
};

/*
 * m168_swio12_lednop_pr_ee_u4       m168a_swio11_lednop_pr_ee_u4      m168a_swio12_lednop_pr_ee_u4
 * m168p_swio11_lednop_pr_ee_u4      m168p_swio12_lednop_pr_ee_u4      m168pa_swio11_lednop_pr_ee_u4
 * m168pa_swio12_lednop_pr_ee_u4     m328_swio11_lednop_pr_ee_u4       m328_swio12_lednop_pr_ee_u4
 * m328p_swio11_lednop_pr_ee_u4      m328p_swio12_lednop_pr_ee_u4      m328pb_swio11_lednop_pr_ee_u4
 * m328pb_swio12_lednop_pr_ee_u4     a6613c_swio11_lednop_pr_ee_u4     a6613c_swio12_lednop_pr_ee_u4
 * a6614q_swio11_lednop_pr_ee_u4     a6614q_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xfc6afcf8d69827c6, 0x7355ad1edf1d9a6f, 0xc1b30738fa8f2b38, 0xb422877c565d7d47,
  0x6be8c2cb1148b34e, 0xd5a5ff72e2899a42, 0x5eba9bb6948e2139, 0x84c5188b6355ae87, 0xc37b2e1c8c5c2422,
  0x6bcb955aae2d6fad, 0x8a9546bb3b0e7ab3, 0x09caed52df57673a, 0x572f4bfa21535c08, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f7d0e792bf734, 0x0000000000000275,
};

/*
 * m168_swio11_lednop_pr_ce_u4       m168_swio12_lednop_pr_ce          m168_swio12_lednop_pr_ce_u4
 * m168a_swio11_lednop_pr_ce         m168a_swio11_lednop_pr_ce_u4      m168a_swio12_lednop_pr_ce
 * m168a_swio12_lednop_pr_ce_u4      m168p_swio11_lednop_pr_ce         m168p_swio11_lednop_pr_ce_u4
 * m168p_swio12_lednop_pr_ce         m168p_swio12_lednop_pr_ce_u4      m168pa_swio11_lednop_pr_ce
 * m168pa_swio11_lednop_pr_ce_u4     m168pa_swio12_lednop_pr_ce        m168pa_swio12_lednop_pr_ce_u4
 * a6613c_swio11_lednop_pr_ce        a6613c_swio11_lednop_pr_ce_u4     a6613c_swio12_lednop_pr_ce
 * a6613c_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe357e7e394c13, 0x9de9bb8bebdd0ecb, 0x2445f71258f3c64a, 0xaca8fd47c25f886c,
  0xc67eb2678bb8dc24, 0xfc1acff51e5f4f72, 0x731602c7bd2a38e9, 0xe3af47ced92231be, 0xb741fe91500ffd99,
  0xd7972ab5976a0796, 0x152a8d76761cf566, 0x1395daa5beaece75, 0xae5e97f442a6b810, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xab29f439e4afdcd0, 0x0000000000000dd7,
};

/*
 * m168_swio12_lednop_pr_ee_ce       m168a_swio11_lednop_pr_ee_ce      m168a_swio12_lednop_pr_ee_ce
 * m168p_swio11_lednop_pr_ee_ce      m168p_swio12_lednop_pr_ee_ce      m168pa_swio11_lednop_pr_ee_ce
 * m168pa_swio12_lednop_pr_ee_ce     a6613c_swio11_lednop_pr_ee_ce     a6613c_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe357e7dfe4c13e32, 0x3bfea8cba8ec0d1f, 0x38227f3c64a9d868, 0x958f7cc273b8dc68,
  0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450, 0xbb73a51d484d7d18, 0x79d3769111cdc73a,
  0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9,
  0x0a9ae0404e576a96, 0x15e54292b97a5fd1, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x5ccbe6db1898edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x00014d3b1fdf439e,
};

/*
 * m168_swio12_lednop_pr_ee_ce_u4    m168a_swio11_lednop_pr_ee_ce_u4   m168a_swio12_lednop_pr_ee_ce_u4
 * m168p_swio11_lednop_pr_ee_ce_u4   m168p_swio12_lednop_pr_ee_ce_u4   m168pa_swio11_lednop_pr_ee_ce_u4
 * m168pa_swio12_lednop_pr_ee_ce_u4  a6613c_swio11_lednop_pr_ee_ce_u4  a6613c_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xfe24639fec19827c, 0xd717d51e9b1d887d, 0xb892c79e50b83887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xcdaf2e556a59dac4,
  0xea2a551aecec39ea, 0x20272bb54b7d5d9c, 0x495cbd2fe8854d70, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5175e792,
};

/*
 * m168_swio12_lednop_hw             m168a_swio11_lednop_hw            m168a_swio12_lednop_hw
 * m168p_swio11_lednop_hw            m168p_swio12_lednop_hw            m168pa_swio11_lednop_hw
 * m168pa_swio12_lednop_hw           m164a_swio11_lednop_hw            m164a_swio12_lednop_hw
 * m164p_swio11_lednop_hw            m164p_swio12_lednop_hw            m164pa_swio11_lednop_hw
 * m164pa_swio12_lednop_hw           a6613c_swio11_lednop_hw           a6613c_swio12_lednop_hw
 */
static const uint64_t ur_m168_swio11_lednop_hw[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x03b244ffbe059f0f, 0x3affea3af877cb74, 0xf74db7e5f471d3f8, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x1cf566d7972ab52b, 0xaece75152a8d7676, 0xa6b8101395daa5be, 0x7950a4ae5e97f442,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb6318ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000008e2fafb053,
};

/*
 * m168_swio12_lednop_ee_hw          m168a_swio11_lednop_ee_hw         m168a_swio12_lednop_ee_hw
 * m168p_swio11_lednop_ee_hw         m168p_swio12_lednop_ee_hw         m168pa_swio11_lednop_ee_hw
 * m168pa_swio12_lednop_ee_hw        m328_swio11_lednop_ee_hw          m328_swio12_lednop_ee_hw
 * m328p_swio11_lednop_ee_hw         m328p_swio12_lednop_ee_hw         m328pb_swio11_lednop_ee_hw
 * m328pb_swio12_lednop_ee_hw        m164a_swio11_lednop_ee_hw         m164a_swio12_lednop_ee_hw
 * m164p_swio11_lednop_ee_hw         m164p_swio12_lednop_ee_hw         m164pa_swio11_lednop_ee_hw
 * m164pa_swio12_lednop_ee_hw        m324a_swio11_lednop_ee_hw         m324a_swio12_lednop_ee_hw
 * m324p_swio11_lednop_ee_hw         m324p_swio12_lednop_ee_hw         m324pa_swio11_lednop_ee_hw
 * m324pa_swio12_lednop_ee_hw        m324pb_swio11_lednop_ee_hw        m324pb_swio12_lednop_ee_hw
 * a6613c_swio11_lednop_ee_hw        a6613c_swio12_lednop_ee_hw        a6614q_swio11_lednop_ee_hw
 * a6614q_swio12_lednop_ee_hw
 */
static const uint64_t ur_m168_swio11_lednop_ee_hw[] = {
  0x6f26eeeed121af43, 0xae5a58f53a0b582f, 0xefd3dd803d2f8936, 0xbc8a671f1a67ed4d, 0x68b51590229110bd,
  0x9f193bad3bed6eca, 0x0d6ff61ff3e96a60, 0xad82cd56b4663c76, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xa5fd10a9ae0404e5, 0xdaad115e54292b97,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d8c6, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x00ad453c95fb9a19,
  0x00000000000002df,
};

/*
 * m168_swio12_lednop_ce_hw          m168a_swio11_lednop_ce_hw         m168a_swio12_lednop_ce_hw
 * m168p_swio11_lednop_ce_hw         m168p_swio12_lednop_ce_hw         m168pa_swio11_lednop_ce_hw
 * m168pa_swio12_lednop_ce_hw        m164a_swio11_lednop_ce_hw         m164a_swio12_lednop_ce_hw
 * m164p_swio11_lednop_ce_hw         m164p_swio12_lednop_ce_hw         m164pa_swio11_lednop_ce_hw
 * m164pa_swio12_lednop_ce_hw        a6613c_swio11_lednop_ce_hw        a6613c_swio12_lednop_ce_hw
 */
static const uint64_t ur_m168_swio11_lednop_ce_hw[] = {
  0x993ddddda2431768, 0x72d2c5c0a19d639b, 0xd91ddf4b5a3f6f5f, 0x261c54262f362c7e, 0xf67ae34d4deef373,
  0x609f193ba6e8ed68, 0x765baff61ff3f1ca, 0xa170734ddc5f5ee8, 0x86c2445f71258f3c, 0xc98667cfd47c25f8,
  0xf72c67eb2678bb8d, 0x8e9fc1acff51e5f4, 0x1be731602c7bd2a3, 0xd99e3af47ced9223, 0x796b741fe91500ff,
  0x566d7972ab5976a0, 0xe75152a8d76761cf, 0x8101395daa5beaec, 0x0a4ae5e97f442a6b, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00eb37c21fa29e4a,
};

/*
 * m168_swio11_lednop_ee_ce_u4_hw    m168_swio12_lednop_ee_ce_hw       m168_swio12_lednop_ee_ce_u4_hw
 * m168a_swio11_lednop_ee_ce_hw      m168a_swio11_lednop_ee_ce_u4_hw   m168a_swio12_lednop_ee_ce_hw
 * m168a_swio12_lednop_ee_ce_u4_hw   m168p_swio11_lednop_ee_ce_hw      m168p_swio11_lednop_ee_ce_u4_hw
 * m168p_swio12_lednop_ee_ce_hw      m168p_swio12_lednop_ee_ce_u4_hw   m168pa_swio11_lednop_ee_ce_hw
 * m168pa_swio11_lednop_ee_ce_u4_hw  m168pa_swio12_lednop_ee_ce_hw     m168pa_swio12_lednop_ee_ce_u4_hw
 * m164a_swio11_lednop_ee_ce_hw      m164a_swio11_lednop_ee_ce_u4_hw   m164a_swio12_lednop_ee_ce_hw
 * m164a_swio12_lednop_ee_ce_u4_hw   m164p_swio11_lednop_ee_ce_hw      m164p_swio11_lednop_ee_ce_u4_hw
 * m164p_swio12_lednop_ee_ce_hw      m164p_swio12_lednop_ee_ce_u4_hw   m164pa_swio11_lednop_ee_ce_hw
 * m164pa_swio11_lednop_ee_ce_u4_hw  m164pa_swio12_lednop_ee_ce_hw     m164pa_swio12_lednop_ee_ce_u4_hw
 * a6613c_swio11_lednop_ee_ce_hw     a6613c_swio11_lednop_ee_ce_u4_hw  a6613c_swio12_lednop_ee_ce_hw
 * a6613c_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b1d88, 0x2fb892c79e50b838, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xeacdaf2e556a59da,
  0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m168_swio11_dual_pr               m168_swio11_dual_pr_u4            m168_swio12_dual
 * m168_swio12_dual_pr               m168_swio12_dual_pr_u4            m168a_swio11_dual
 * m168a_swio11_dual_pr              m168a_swio11_dual_pr_u4           m168a_swio12_dual
 * m168a_swio12_dual_pr              m168a_swio12_dual_pr_u4           m168p_swio11_dual
 * m168p_swio11_dual_pr              m168p_swio11_dual_pr_u4           m168p_swio12_dual
 * m168p_swio12_dual_pr              m168p_swio12_dual_pr_u4           m168pa_swio11_dual
 * m168pa_swio11_dual_pr             m168pa_swio11_dual_pr_u4          m168pa_swio12_dual
 * m168pa_swio12_dual_pr             m168pa_swio12_dual_pr_u4          a6613c_swio11_dual
 * a6613c_swio11_dual_pr             a6613c_swio11_dual_pr_u4          a6613c_swio12_dual
 * a6613c_swio12_dual_pr             a6613c_swio12_dual_pr_u4
 */
static const uint64_t ur_m168_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x1832bac0db4b6819, 0x56ee774f8971030a, 0x0bece05166727f99,
  0x4fe0cca9bd477f36, 0x895fe7ef82284724, 0xcdc6bb006e1f0a21, 0x2d08c910caaeef77, 0xfd01cf09ad68a843,
  0x0b0de579096dca5f, 0x96b8ec28bfffd0e6, 0xfe0f7bf51fba3be5, 0x0aa0f33930f71c74, 0x019d90046989cc58,
  0x8df5403ff6608ebc, 0x5257cea07967b6f7, 0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a,
  0xbd2fe8854d702027, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053,
  0xdc79b09732f9b6c6, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d0718baf3c95fb9, 0x0000000000000052,
};

/*
 * m168_swio12_dual_pr_ee            m168a_swio11_dual_pr_ee           m168a_swio12_dual_pr_ee
 * m168p_swio11_dual_pr_ee           m168p_swio12_dual_pr_ee           m168pa_swio11_dual_pr_ee
 * m168pa_swio12_dual_pr_ee          a6613c_swio11_dual_pr_ee          a6613c_swio12_dual_pr_ee
 */
static const uint64_t ur_m168_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x016a631ffccab773,
  0xad37a8e4eb60968e, 0xfbe08a11c913f838, 0xc01b87c2886257f9, 0x88655777bbe6e5d0, 0x1307b8a8432d05f6,
  0xf212dbe9affa039e, 0x16bfffa1cc161bca, 0xbb75355ad1fee1d8, 0xa8f83660c3dfa8f2, 0x69d68450ef8af4df,
  0x484d7d1859622916, 0x4e7569760ab8a973, 0xe875ea25d8c7a33d, 0x4228d291c436355a, 0xfd6e1bd97d2cc5c2,
  0x49402c8a22aa3608, 0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c,
  0x7b55a22bca852572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0x71e6c25ccbe6db18,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0001590ad42ebcf2,
};

/*
 * m168_swio12_dual_pr_ee_u4         m168a_swio11_dual_pr_ee_u4        m168a_swio12_dual_pr_ee_u4
 * m168p_swio11_dual_pr_ee_u4        m168p_swio12_dual_pr_ee_u4        m168pa_swio11_dual_pr_ee_u4
 * m168pa_swio12_dual_pr_ee_u4       a6613c_swio11_dual_pr_ee_u4       a6613c_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m168_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x95d606da5b40c894, 0x73ba7c4b881850c1, 0xc70275325afccab7,
  0x1efb9bd478adb01a, 0xfcfdf04508e489fc, 0x95000dc3e144312b, 0x3da21955ddeef9b9, 0x73c269122a10cb42,
  0x795e425b7d35ff40, 0x3b02d7fff43982c3, 0x1e56a7a6ab5a380c, 0xe1fa8f83660e44f5, 0x91669d68450ef8ac,
  0x173484d7d1859622, 0x3050e756974acb84, 0xab5d0ebdac4ec802, 0x70908a1ef47916c6, 0x5c3fadc37b2e3e31,
  0xb3f8abe77715255c, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0x8854d7020272bb54, 0x88af2a1495cbd2fe,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88145f4502, 0xdc79b09732f9b69c, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0xb274f0baf3c95fb9, 0x0000000000000002,
};

/*
 * m168_swio12_dual_pr_ce            m168a_swio11_dual_pr_ce           m168a_swio12_dual_pr_ce
 * m168p_swio11_dual_pr_ce           m168p_swio12_dual_pr_ce           m168pa_swio11_dual_pr_ce
 * m168pa_swio12_dual_pr_ce          a6613c_swio11_dual_pr_ce          a6613c_swio12_dual_pr_ce
 */
static const uint64_t ur_m168_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x60caeb036d2da064, 0x5bb9dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0xb8a4800dc3e14431, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x0de579096dc66ffe, 0xe0ec383fffd0e60b, 0x7942e0e13ab8beaf, 0xf10d8488bee24b1e, 0x1b9494ce5fa8f84b,
  0xe7b9633ea5ccf177, 0x8e3a7f076b7a8e13, 0x8d31398b014a2edf, 0xfeccf1d78033b200, 0x03cb5b9ef1bea807,
  0xfc55f3bb8a92be75, 0x61cf566d7972ab59, 0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b6c6263b7b1, 0x71a2ce9f0dc79b09,
  0x2a73f53ab337f077, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x003491760baf3c95,
};

/*
 * m168_swio12_dual_pr_ce_u4         m168a_swio11_dual_pr_ce_u4        m168a_swio12_dual_pr_ce_u4
 * m168p_swio11_dual_pr_ce_u4        m168p_swio12_dual_pr_ce_u4        m168pa_swio11_dual_pr_ce_u4
 * m168pa_swio12_dual_pr_ce_u4       a6613c_swio11_dual_pr_ce_u4       a6613c_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m168_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x60caeb036d2da064, 0x5bb9dd3e25c40c28, 0x6fb3869b9a2b7e65,
  0xfe0ca1cdea3e56d8, 0x95fe7ef822847244, 0xdc24a006e1f0a218, 0xa013d10caaeef77c, 0xa039e134e3150865,
  0xc3795e425b7a1fff, 0xbe3b34dffff43982, 0x3ca17073675c5f5d, 0xf886c2445f71258f, 0x8dca4a672fd47c25,
  0x33dcb19e1c6678bb, 0x638e9fc193dea3ce, 0x11c6473160298f3d, 0xc72c678ebc8b765f, 0xabe77715251d645d,
  0x9eacdaf2e556b3f8, 0xd9cea2a551aecec3, 0xd7020272bb54b7d5, 0x2a1495cbd2fe8854, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d8c4c76f62aa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x0000003490b3175e,
};

/*
 * m168_swio12_dual_pr_ee_ce         m168a_swio11_dual_pr_ee_ce        m168a_swio12_dual_pr_ee_ce
 * m168p_swio11_dual_pr_ee_ce        m168p_swio12_dual_pr_ee_ce        m168pa_swio11_dual_pr_ee_ce
 * m168pa_swio12_dual_pr_ee_ce       a6613c_swio11_dual_pr_ee_ce       a6613c_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m168_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0xeb036d2da0644a4a, 0xdd3e25c40c2860ca, 0x0c41335dfe655bb9,
  0xfc9bd47d35b07f87, 0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf37170, 0x09a43c5421968305,
  0xf212db9adffd01cf, 0x883fffa1cc161bca, 0xcc4077fd51e561d9, 0x71523dd6fcf285c1, 0x4ed6564dd309cee3,
  0xb307b7fd4795cae9, 0x22814c57befd47c1, 0xe8c2cb1148b34eb4, 0x39d5db9828ea426b, 0xb1d7a897631e8cf5,
  0x1146948e21b1aaf1, 0x6470decbe9662e12, 0x252cf2288aa8d822, 0xe556b3f8abe77715, 0x51aecec39eacdaf2,
  0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d8c4, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0xe705d79e4afdcd0c, 0x0000000000001304,
};

/*
 * m168_swio12_dual_pr_ee_ce_u4      m168a_swio11_dual_pr_ee_ce_u4     m168a_swio12_dual_pr_ee_ce_u4
 * m168p_swio11_dual_pr_ee_ce_u4     m168p_swio12_dual_pr_ee_ce_u4     m168pa_swio11_dual_pr_ee_ce_u4
 * m168pa_swio12_dual_pr_ee_ce_u4    a6613c_swio11_dual_pr_ee_ce_u4    a6613c_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x1430657581b696d0, 0x9696fcee9f12e206,
  0x0ec1385e1cdcb5f9, 0x7f06d7737a8f8ddb, 0x4aff3f7c11423922, 0xdc15400370f8510c, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6f495ff, 0x43b2f0ffff539305, 0x0bceef0ee2faa327, 0x361222fb892c79e5,
  0x551649fea3e12fc4, 0xd6e6e6e99e2ee370, 0x07b7fd4795cae94e, 0x814c57befd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9828ea426be8, 0xd7a897631e8cf539, 0x46948e21b1aaf1b1, 0x70decbe9662e1211, 0x2cf2288aa8d82264,
  0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7, 0x763458df1726ae0f,
  0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000008009705713,
};

/*
 * m168_swio12_dual_hw               m168a_swio11_dual_hw              m168a_swio12_dual_hw
 * m168p_swio11_dual_hw              m168p_swio12_dual_hw              m168pa_swio11_dual_hw
 * m168pa_swio12_dual_hw             a6613c_swio11_dual_hw             a6613c_swio12_dual_hw
 */
static const uint64_t ur_m168_swio11_dual_hw[] = {
  0x08377776890c5aa4, 0x5b7d7f8bfb4a6591, 0x3edd9774ccfde2fd, 0x0c82e33ac82999eb, 0x2272498ecb76c884,
  0x64d93b961f4da6d8, 0x19129290a919827c, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0x360bece05166727f,
  0x244fe0cca9bd477f, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d08c910caaeef, 0x5ffd01cf09ad68a8,
  0xe60b0de579096dca, 0xe596b8ec28bfed7e, 0x74fe0f7bf51fba3b, 0x580aa0f33930f71c, 0xbc019d90046989cc,
  0xf78df5403ff6608e, 0x715257cea07967b6, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0x272bb54b7d5d9cea,
  0x5cbd2fe8854d7020, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490,
  0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x1baa0e3a29e4afdc, 0x0000000000000003,
};

/*
 * m168_swio12_dual_ee_hw            m168a_swio11_dual_ee_hw           m168a_swio12_dual_ee_hw
 * m168p_swio11_dual_ee_hw           m168p_swio12_dual_ee_hw           m168pa_swio11_dual_ee_hw
 * m168pa_swio12_dual_ee_hw          a6613c_swio11_dual_ee_hw          a6613c_swio12_dual_ee_hw
 */
static const uint64_t ur_m168_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0x0caeb036d2da0644, 0xbb9dd3e25c40c286, 0xb4700b5318ffe655,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x2e8600dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xde579096df4d7fd0, 0x0ec0b5fed7ee60b0, 0x4795dba9aad68ff7, 0xa6fd47c1b3061efd, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x19ea73ab4bb055c5, 0xaad743af512ec63d, 0x2e121146948e21b1, 0xb047eb70decbe966,
  0xee2a4a0164511551, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x04e576a96fabb39d, 0x2b97a5fd10a9ae04,
  0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692, 0xbb1b8f3612e65f36,
  0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x05768ad5453c95fb,
};

/*
 * m168_swio12_dual_ce_hw            m168a_swio11_dual_ce_hw           m168a_swio12_dual_ce_hw
 * m168p_swio11_dual_ce_hw           m168p_swio12_dual_ce_hw           m168pa_swio11_dual_ce_hw
 * m168pa_swio12_dual_ce_hw          a6613c_swio11_dual_ce_hw          a6613c_swio12_dual_ce_hw
 */
static const uint64_t ur_m168_swio11_dual_ce_hw[] = {
  0x991ddddda243359b, 0xadbebc6da0153205, 0x266ea0a7ac2465de, 0x7c894eb9d45e5ab7, 0xaf76164fbdd81664,
  0x248fdc8786614d6b, 0x9129291118cc13e3, 0xa1832bac0db4b681, 0x956ee774f8971030, 0xc2391c0e0cdd5ff9,
  0x27f072ba6f51f676, 0xc4aff3f7c1142392, 0xe6e29200370f8510, 0x2d00f688655777bb, 0xfa039e1304f8a843,
  0x2c3795e425b719bf, 0xbf83b0e0ffb5fb98, 0x79e50b8384eae2fa, 0x2fc4361222fb892c, 0xdc6e321d257ea3e1,
  0x4f9ee58cfa9733c5, 0x7e38e9fc1dadea38, 0x0234c4e62c0528bb, 0x1ffb33c75e00cec8, 0xd40f2d6e7bc6faa0,
  0x67f157ceee2a4af9, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d, 0x10a9ae0404e576a9, 0x115e54292b97a5fd,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6db1898ede, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x00000000026eabb2,
};

/*
 * m168_swio12_dual_ee_ce_hw         m168a_swio11_dual_ee_ce_hw        m168a_swio12_dual_ee_ce_hw
 * m168p_swio11_dual_ee_ce_hw        m168p_swio12_dual_ee_ce_hw        m168pa_swio11_dual_ee_ce_hw
 * m168pa_swio12_dual_ee_ce_hw       a6613c_swio11_dual_ee_ce_hw       a6613c_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m168_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0xbac0db4b68191292, 0x774f8971030a1832, 0xc3104cd77f9956ee,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0x620ff6bf730586f2, 0x73101dff54795876, 0x6e654341ff3ca170, 0x29dacac9ba6139dc,
  0x3660f6ffa8f2b95d, 0x8450298af7dfa8f8, 0x7d185962291669d6, 0xa73abb73051d484d, 0x363af512ec63d19e,
  0x4228d291c436355e, 0x4c8e1bd97d2cc5c2, 0xa4a59e4511551b04, 0x5caad67f157ceee2, 0xaa35d9d873d59b5e,
  0x576a96fabb39d454, 0x7a5fd10a9ae0404e, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0x71e6c25ccbe6db18, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2, 0xf9ca29e4afdcd0cc,
  0x0000000000001134,
};

/*
 * m168_swio12_dual_ee_ce_u4_hw      m168a_swio11_dual_ee_ce_u4_hw     m168a_swio12_dual_ee_ce_u4_hw
 * m168p_swio11_dual_ee_ce_u4_hw     m168p_swio12_dual_ee_ce_u4_hw     m168pa_swio11_dual_ee_ce_u4_hw
 * m168pa_swio12_dual_ee_ce_u4_hw    a6613c_swio11_dual_ee_ce_u4_hw    a6613c_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0x696d032252521966, 0x2e2061430657581b, 0xb96bf32ec24ee9f1,
  0x1f1bb61d8270bc39, 0x847244fe0daee6f5, 0xf0a21895fe7ef822, 0xddeef9b82a8006e1, 0x2a10cb4239221955,
  0xe92bfe80e784dbee, 0xa7260b0de579096d, 0xfaa32743b2f0fffa, 0xc79e37c3072f0ee2, 0x12fc4361222fb892,
  0xee3702c8cf5fea3e, 0xae94ed6e6e6e99e2, 0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34,
  0xcf539d5db9828ea4, 0xaf1b1d7a897631e8, 0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d,
  0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xd79e8617d3c95fb9,
  0x0000000000000075,
};

/*
 * m168_swio13_noled_pr              m168a_swio13_noled                m168a_swio13_noled_pr
 * m168p_swio13_noled                m168p_swio13_noled_pr             m168pa_swio13_noled
 * m168pa_swio13_noled_pr            m328_swio13_noled                 m328_swio13_noled_pr
 * m328p_swio13_noled                m328p_swio13_noled_pr             m328pb_swio13_noled
 * m328pb_swio13_noled_pr            a6613c_swio13_noled               a6613c_swio13_noled_pr
 * a6614q_swio13_noled               a6614q_swio13_noled_pr
 */
static const uint64_t ur_m168_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x483b3baff66afcfc, 0xc1f3dea3a6277cb7, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0xd10a9ace576a96fa, 0x4457950a4ab57bd7,
  0xe18a6f59de5cf6ab, 0x2f14085a5aff11a9, 0xcdb4e31bc674408f, 0x3458f386ed84b997, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0007c81245a4e9e4,
};

/*
 * m168a_swio13_noled_pr_u4          m168p_swio13_noled_pr_u4          m168pa_swio13_noled_pr_u4
 * m328_swio13_noled_pr_u4           m328p_swio13_noled_pr_u4          m328pb_swio13_noled_pr_u4
 * a6613c_swio13_noled_pr_u4         a6614q_swio13_noled_pr_u4
 */
static const uint64_t ur_m168_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x32bfc6afcfbf9304, 0xea3cbe3be5a0f8ec, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x39eacdaf2e556afa, 0x7d9cea2a551aecec, 0x15359caed52df553,
  0xaf2a14956af7afa2, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x12e65f36c648ab7b,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000007c9eb2d3e87,
};

/*
 * m168_swio13_noled_pr_ee_u4        m168a_swio13_noled_pr_ee          m168a_swio13_noled_pr_ee_u4
 * m168p_swio13_noled_pr_ee          m168p_swio13_noled_pr_ee_u4       m168pa_swio13_noled_pr_ee
 * m168pa_swio13_noled_pr_ee_u4      m328_swio13_noled_pr_ee           m328_swio13_noled_pr_ee_u4
 * m328p_swio13_noled_pr_ee          m328p_swio13_noled_pr_ee_u4       m328pb_swio13_noled_pr_ee
 * m328pb_swio13_noled_pr_ee_u4      a6613c_swio13_noled_pr_ee         a6613c_swio13_noled_pr_ee_u4
 * a6614q_swio13_noled_pr_ee         a6614q_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m168_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xdfe357e7c9d4c13e, 0xa5cd56b46fe0ec8a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xecec39eacdaf2e55, 0xf5537d9cea2a551a, 0xafa215359caed52d, 0x5688af2a14956af7,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x0f3612e65f36c648, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xbe873c95fb9a1996, 0x000000000013ae59,
};

/*
 * m168_swio13_noled_pr_ce_u4        m168a_swio13_noled_pr_ce          m168a_swio13_noled_pr_ce_u4
 * m168p_swio13_noled_pr_ce          m168p_swio13_noled_pr_ce_u4       m168pa_swio13_noled_pr_ce
 * m168pa_swio13_noled_pr_ce_u4      a6613c_swio13_noled_pr_ce         a6613c_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m168_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff1abf3fb3a60, 0xa9defbb8bebb7c76, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0xb36bcb955abeb703, 0x3a8a9546bb3b0e7a, 0x672bb54b7d54df67, 0x85255abdebe8854d, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baf1f5df439e4a,
};

/*
 * m168a_swio13_noled_pr_ee_ce       m168p_swio13_noled_pr_ee_ce       m168pa_swio13_noled_pr_ee_ce
 * a6613c_swio13_noled_pr_ee_ce
 */
static const uint64_t ur_m168_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff1abf3fa6a609f1, 0xe1dff54652c767fc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x9d873d59b5e5caad, 0xaa6fb39d454aa35d,
  0xf442a6b395daa5be, 0xd115e54292ad5ef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x873c95fb9a19961d,
  0x000000014d339f3e,
};

/*
 * m168a_swio13_noled_pr_ee_ce_u4    m168p_swio13_noled_pr_ee_ce_u4    m168pa_swio13_noled_pr_ee_ce_u4
 * a6613c_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdff8918e7f1ba609, 0x5ddc5f547b387635, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x566d7972ab52cfa4,
  0xe75152a8d76761cf, 0xace576a96faa9bec, 0x50a4ab57bd7d10a9, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x00000027e7d9e175,
};

/*
 * m168a_swio13_noled_hw             m168p_swio13_noled_hw             m168pa_swio13_noled_hw
 * m164a_swio13_noled_hw             m164p_swio13_noled_hw             m164pa_swio13_noled_hw
 * a6613c_swio13_noled_hw
 */
static const uint64_t ur_m168_swio13_noled_hw[] = {
  0x165bbbbbbacdfc4f, 0x1ddcb4b10acc46b0, 0xb4b8ee8da1654192, 0xf066127b86b97b36, 0xa826db19bbf742c8,
  0xfcc13e3277617ad1, 0x20ecea3fef8167f6, 0x07cf7a8ff21df2dd, 0xb7ba69126e8e3a7f, 0x73b64547d01cc580,
  0xace9371cb1823af1, 0xd873d59b5e5caad4, 0xa6fb39d454aa35d9, 0x442a6b395daa5bea, 0x115e54292ad5ef5f,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x6c25ccbe6d8c9156, 0xc33d30ae4fcfec37,
  0xe9296cb25138cb25, 0xd829e4afdcd0ccb0, 0x0000000000238971,
};

/*
 * m168a_swio13_noled_ee_hw          m168p_swio13_noled_ee_hw          m168pa_swio13_noled_ee_hw
 * m328_swio13_noled_ee_hw           m328p_swio13_noled_ee_hw          m328pb_swio13_noled_ee_hw
 * m164a_swio13_noled_ee_hw          m164p_swio13_noled_ee_hw          m164pa_swio13_noled_ee_hw
 * m324a_swio13_noled_ee_hw          m324p_swio13_noled_ee_hw          m324pa_swio13_noled_ee_hw
 * m324pb_swio13_noled_ee_hw         a6613c_swio13_noled_ee_hw         a6614q_swio13_noled_ee_hw
 */
static const uint64_t ur_m168_swio13_noled_ee_hw[] = {
  0xc5eeeeeed121b768, 0xdab96963d4e85d63, 0x4f4d2ee8db623e24, 0x2de4531d7c33c5ef, 0x1545a0ab4114889e,
  0x04f8c9dd764afb67, 0xb22b7fb0ff9f2753, 0xf2b297355ad1bf83, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546bb3b0e7ab36bc, 0x54b7d54df673a8a9, 0xabdebe8854d672bb, 0xe7b55a22bca85255,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x16fe662d14f257ee,
};

/*
 * m168a_swio13_noled_ce_hw          m168p_swio13_noled_ce_hw          m168pa_swio13_noled_ce_hw
 * m164a_swio13_noled_ce_hw          m164p_swio13_noled_ce_hw          m164pa_swio13_noled_ce_hw
 * a6613c_swio13_noled_ce_hw
 */
static const uint64_t ur_m168_swio13_noled_ce_hw[] = {
  0x45dddddda2431202, 0xbee5a58b811bbac2, 0xfd0837588f8b7ede, 0x4c987117b2b68242, 0xa82869c337a7ba91,
  0xe9827c64eeb336c5, 0xf1d92bbfd87fcfec, 0xe50b839beee2faed, 0xc4361222fb892c79, 0x6e1adcc37ea3e12f,
  0xa7b9633f5933c5dc, 0xc71d3f8327bd479b, 0x51ef673160299538, 0x7feccf1d7a3e7688, 0xb81e5adc22934a80,
  0x73d59b5e5caad5f5, 0xfb39d454aa35d9d8, 0x2a6b395daa5beaa6, 0x5e54292ad5ef5f44, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x4b997cdb190c76f6, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x00000003acdb7c15,
};

/*
 * m168_swio13_noled_ee_ce_u4_hw     m168a_swio13_noled_ee_ce_hw       m168a_swio13_noled_ee_ce_u4_hw
 * m168p_swio13_noled_ee_ce_hw       m168p_swio13_noled_ee_ce_u4_hw    m168pa_swio13_noled_ee_ce_hw
 * m168pa_swio13_noled_ee_ce_u4_hw   m164a_swio13_noled_ee_ce_hw       m164a_swio13_noled_ee_ce_u4_hw
 * m164p_swio13_noled_ee_ce_hw       m164p_swio13_noled_ee_ce_u4_hw    m164pa_swio13_noled_ee_ce_hw
 * m164pa_swio13_noled_ee_ce_u4_hw   a6613c_swio13_noled_ee_ce_hw      a6613c_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f670ec, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3d59b5e5caad4b3e,
  0xb39d454aa35d9d87, 0xa6b395daa5beaa6f, 0xe54292ad5ef5f442, 0xbcf8b5d73daad115, 0x881077536294f0d3,
  0xaa8b4b689c6378ce, 0xb997cdb190c76f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000280becf51,
};

/*
 * m168a_swio13_lednop               m168p_swio13_lednop               m168pa_swio13_lednop
 * m328_swio13_lednop                m328p_swio13_lednop               m328pb_swio13_lednop
 * a6613c_swio13_lednop              a6614q_swio13_lednop
 */
static const uint64_t ur_m168_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xa41d91effd9abf3e, 0xe0f9ef51d7c3be5b, 0x2dee9827c431c74f, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0xec39eacdaf2e556a, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x19d10273e8a042d3, 0xb612e65f36d38c6f, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0xd274f257ee686658, 0x00000000002a4b72,
};

/*
 * m168_swio13_lednop_pr_u4          m168a_swio13_lednop_pr            m168a_swio13_lednop_pr_u4
 * m168p_swio13_lednop_pr            m168p_swio13_lednop_pr_u4         m168pa_swio13_lednop_pr
 * m168pa_swio13_lednop_pr_u4        m328_swio13_lednop_pr             m328_swio13_lednop_pr_u4
 * m328p_swio13_lednop_pr            m328p_swio13_lednop_pr_u4         m328pb_swio13_lednop_pr
 * m328pb_swio13_lednop_pr_u4        a6613c_swio13_lednop_pr           a6613c_swio13_lednop_pr_u4
 * a6614q_swio13_lednop_pr           a6614q_swio13_lednop_pr_u4
 */
static const uint64_t ur_m168_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x31ffe357e7ea54c1, 0xf51f4a3be5a0f8ec, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xe7ab36bcb955adc3, 0xf673a8a9546bb3b0, 0x020272bb54b7d54d,
  0x0a4ae492fe8854d7, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545,
  0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xf26ae0afa1cf257e, 0x0000000000000001,
};

/*
 * m168a_swio13_lednop_pr_ee         m168p_swio13_lednop_pr_ee         m168pa_swio13_lednop_pr_ee
 * m328_swio13_lednop_pr_ee          m328p_swio13_lednop_pr_ee         m328pb_swio13_lednop_pr_ee
 * a6613c_swio13_lednop_pr_ee        a6614q_swio13_lednop_pr_ee
 */
static const uint64_t ur_m168_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x3fe357e7e87e609f, 0x4f4d56b46fe0ec38, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0x0a9ae0404e576a96, 0x8af2a1495c925fd1,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6815156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x3af029f439e4afdc, 0x0000000000000001,
};

/*
 * m168a_swio13_lednop_pr_ee_u4      m168p_swio13_lednop_pr_ee_u4      m168pa_swio13_lednop_pr_ee_u4
 * m328_swio13_lednop_pr_ee_u4       m328p_swio13_lednop_pr_ee_u4      m328pb_swio13_lednop_pr_ee_u4
 * a6613c_swio13_lednop_pr_ee_u4     a6614q_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xbfc6afcf9c19827c, 0x759aad68cca1d9b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x9b5e5caad57022fd, 0xd454aa35d9d873d5, 0x395daa5beaa6fb39, 0x72497f442a6b8101, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x9a07d0e792bf7343, 0x00000000000013ae,
};

/*
 * m168_swio13_lednop_pr_ce_u4       m168a_swio13_lednop_pr_ce         m168a_swio13_lednop_pr_ce_u4
 * m168p_swio13_lednop_pr_ce         m168p_swio13_lednop_pr_ce_u4      m168pa_swio13_lednop_pr_ce
 * m168pa_swio13_lednop_pr_ce_u4     a6613c_swio13_lednop_pr_ce        a6613c_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x669bff1abf3e35a6, 0x4a9deceb8bebb7c7, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0xb36bcb955adc3903, 0x3a8a9546bb3b0e7a, 0x272bb54b7d54df67, 0xae492fe8854d7020, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x48bdf439e4afdcd0, 0x0000000000000dd7,
};

/*
 * m168a_swio13_lednop_pr_ee_ce      m168p_swio13_lednop_pr_ee_ce      m168pa_swio13_lednop_pr_ee_ce
 * a6613c_swio13_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff1abf3f6b7304f8, 0xb3bfea8ca58ec4db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb,
  0x4d7020272bb54b7d, 0x7950a4ae492fe885, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x32f9b681463b7b15, 0x458f38b93571b097, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00534c5fb7d0e792,
};

/*
 * m168a_swio13_lednop_pr_ee_ce_u4   m168p_swio13_lednop_pr_ee_ce_u4   m168pa_swio13_lednop_pr_ee_ce_u4
 * a6613c_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff1231cf9adcc13, 0x525c5f547b38760a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xab36bcb955a96622,
  0x73a8a9546bb3b0e7, 0x0272bb54b7d54df6, 0x4ae492fe8854d702, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x681463b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f07ab8baf3c95,
};

/*
 * m168a_swio13_lednop_hw            m168p_swio13_lednop_hw            m168pa_swio13_lednop_hw
 * m164a_swio13_lednop_hw            m164p_swio13_lednop_hw            m164pa_swio13_lednop_hw
 * a6613c_swio13_lednop_hw
 */
static const uint64_t ur_m168_swio13_lednop_hw[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd20ec8f7ff7c0b3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x8ce88139f4502169, 0xdb09732f9b69c637, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0x760a792bf734332c, 0x000000000008e2b7,
};

/*
 * m168a_swio13_lednop_ee_hw         m168p_swio13_lednop_ee_hw         m168pa_swio13_lednop_ee_hw
 * m328_swio13_lednop_ee_hw          m328p_swio13_lednop_ee_hw         m328pb_swio13_lednop_ee_hw
 * m164a_swio13_lednop_ee_hw         m164p_swio13_lednop_ee_hw         m164pa_swio13_lednop_ee_hw
 * m324a_swio13_lednop_ee_hw         m324p_swio13_lednop_ee_hw         m324pa_swio13_lednop_ee_hw
 * m324pb_swio13_lednop_ee_hw        a6613c_swio13_lednop_ee_hw        a6614q_swio13_lednop_ee_hw
 */
static const uint64_t ur_m168_swio13_lednop_ee_hw[] = {
  0xc5eeeeeed121b705, 0x6d5cb4b1ea610563, 0xe15a62774b88cf12, 0x78b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x1d8707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca, 0xdaad115e54292b92,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xf9a7453c95fb9a19,
  0x00000000000005bf,
};

/*
 * m168a_swio13_lednop_ce_hw         m168p_swio13_lednop_ce_hw         m168pa_swio13_lednop_ce_hw
 * m164a_swio13_lednop_ce_hw         m164p_swio13_lednop_ce_hw         m164pa_swio13_lednop_ce_hw
 * a6613c_swio13_lednop_ce_hw
 */
static const uint64_t ur_m168_swio13_lednop_ce_hw[] = {
  0x22eeeeeed12198e2, 0x5f72d2c5c09a5d61, 0x53d68bba306bbf6f, 0x29930e22f66ecadb, 0xda75a82d0bc2b752,
  0xd69827c64ee94e1e, 0xdf1d9a6ffd87fcf8, 0x9e50b839b3ae2fae, 0xfc4361222fb892c7, 0x8dce5a66ffea3e12,
  0x8cf72c67eb2678bb, 0x58e3a7f064f7a8f3, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0x73d59b5e5caad6e1, 0xfb39d454aa35d9d8, 0x8101395daa5beaa6, 0x852572497f442a6b, 0xe56bae7b55a22bca,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0xa82ec6e3cd84b997, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x003acd93f0d14f25,
};

/*
 * m168_swio13_lednop_ee_ce_u4_hw    m168a_swio13_lednop_ee_ce_hw      m168a_swio13_lednop_ee_ce_u4_hw
 * m168p_swio13_lednop_ee_ce_hw      m168p_swio13_lednop_ee_ce_u4_hw   m168pa_swio13_lednop_ee_ce_hw
 * m168pa_swio13_lednop_ee_ce_u4_hw  m164a_swio13_lednop_ee_ce_hw      m164a_swio13_lednop_ee_ce_u4_hw
 * m164p_swio13_lednop_ee_ce_hw      m164p_swio13_lednop_ee_ce_u4_hw   m164pa_swio13_lednop_ee_ce_hw
 * m164pa_swio13_lednop_ee_ce_u4_hw  a6613c_swio13_lednop_ee_ce_hw     a6613c_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x070525c5f547b387, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc39eacdaf2e556a5,
  0x37d9cea2a551aece, 0x5c0809caed52df55, 0x54292b924bfa2153, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6da0518edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000014043d5e8a79,
};

/*
 * m168_swio13_dual_pr               m168_swio13_dual_pr_u4            m168a_swio13_dual
 * m168a_swio13_dual_pr              m168a_swio13_dual_pr_u4           m168p_swio13_dual
 * m168p_swio13_dual_pr              m168p_swio13_dual_pr_u4           m168pa_swio13_dual
 * m168pa_swio13_dual_pr             m168pa_swio13_dual_pr_u4          a6613c_swio13_dual
 * a6613c_swio13_dual_pr             a6613c_swio13_dual_pr_u4
 */
static const uint64_t ur_m168_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xdf3720000370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b728, 0xcb3de3b3f77fff43, 0xa7f0707fd47dbe77, 0xc05507992b47b8e3, 0xe00ceda523884e62,
  0x63192a01ffb30475, 0xe2a4b81281e59eda, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4,
  0x497f442a6b810139, 0x7b55a22bca852572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e,
  0x71e6c25ccbe6da05, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x35e7c2ebcf257ee6, 0x0000000000000149,
};

/*
 * m168a_swio13_dual_pr_ee           m168p_swio13_dual_pr_ee           m168pa_swio13_dual_pr_ee
 * a6613c_swio13_dual_pr_ee
 */
static const uint64_t ur_m168_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x57581b696d032252, 0xcee9f12e20614306, 0x3805a98c7ff32add,
  0xe2b4dea393ad825a, 0xe7ef822847244fe0, 0xd6006e1f0a21895f, 0xda21955ddeef9b9d, 0x784c1ee2a10cb417,
  0x579096de76ffe80e, 0x9d3ffffd0e60b0de, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f, 0x669d68450ef8af67,
  0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa, 0x47eb70decbe9662e,
  0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca,
  0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343cc9fe04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x001590745175e792,
};

/*
 * m168a_swio13_dual_pr_ee_u4        m168p_swio13_dual_pr_ee_u4        m168pa_swio13_dual_pr_ee_u4
 * a6613c_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m168_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x860caeb036d2da06, 0x55bb9dd3e25c40c2, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0x7d8ece9ffffe8730, 0xbd4795e049aad68d, 0x2b2ebea3e0d983ee, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x291cbe39d5a5fe72, 0x6355ae875ed6276d, 0x8c5c242284c518f9, 0xab8b5beb70decb8f,
  0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa, 0x442a6b8101395daa, 0xa22bca852572497f,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a204e7d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5648142ebcf257ee,
};

/*
 * m168a_swio13_dual_pr_ce           m168p_swio13_dual_pr_ce           m168pa_swio13_dual_pr_ce
 * a6613c_swio13_dual_pr_ce
 */
static const uint64_t ur_m168_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x30657581b696d032, 0xaddcee9f12e20614, 0x472381c19babff32,
  0xfe0e574dea3eced8, 0x95fe7ef822847244, 0xb8089006e1f0a218, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x86f2bc84b6fff3fe, 0x187613afffe87305, 0xf285c1ceafb8beb0, 0xe21b09117dc4963c, 0x37092b2a3f51f097,
  0x4f72c67d4b99e2ee, 0x8e3a7f0622fa8f22, 0x47109cc580bfb8ca, 0xff6678ebc019db4a, 0x40f2d6e4c6325403,
  0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x68b3a7c371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x03490c82ebcf257e,
};

/*
 * m168a_swio13_dual_pr_ce_u4        m168p_swio13_dual_pr_ce_u4        m168pa_swio13_dual_pr_ce_u4
 * a6613c_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m168_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0xb61bece1a6e68adf,
  0x913f8328737a8f95, 0x86257f9fbe08a11c, 0xdf3719c801b87c28, 0x196804f4432abbbd, 0xbfe80e784d38c542,
  0x30586f2bc84b6e16, 0xf5328766cefffe87, 0x58f3ca170722b5c5, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3a013dcb19e1c667, 0xcea238e9fc1935ea, 0x69b91e45398b015f, 0x7cdc72c678ebc8b7, 0x9fc55f3bb8a928e8,
  0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x0000001a4810b175,
};

/*
 * m168a_swio13_dual_pr_ee_ce        m168p_swio13_dual_pr_ee_ce        m168pa_swio13_dual_pr_ee_ce
 * a6613c_swio13_dual_pr_ee_ce
 */
static const uint64_t ur_m168_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x57581b696d032252, 0xcee9f12e20614306, 0x3862099aeff32add,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x64006e1f0a21895f, 0x2a21955ddeef9b81, 0x784d21e2a10cb418,
  0x579096def0ffe80e, 0x95bffffd0e60b0de, 0x395be77fd51cae1d, 0x6e5d0dd51f9e50b8, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x9c2ebcf257ee6866, 0x000000000002608a,
};

/*
 * m168a_swio13_dual_pr_ee_ce_u4     m168p_swio13_dual_pr_ee_ce_u4     m168pa_swio13_dual_pr_ee_ce_u4
 * a6613c_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x30a1832bac0db4b6, 0xccb4b7e774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xcdc4e3c01b87c288, 0x5a11c910caaeef77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bfff53930, 0xa179dcc35c5f547d, 0x86c2445f71258f3c,
  0x4e3fb8ffd47c25f8, 0xb5b9b9ba678bb8dc, 0x60ccaf51e57bee53, 0x50298aedd7a8f836, 0x185962291669d684,
  0x3abb729e1d484d7d, 0x1d7a89767f11f507, 0x141ea8fe4b1aaf1b, 0x470decbe9662e121, 0x29663e6f6a8d8226,
  0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0x96faa9bece75152a, 0xd10a9ae0404e576a, 0x688af2a1495c925f,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x63458df1726ae0f3,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000004004f82713e,
};

/*
 * m168a_swio13_dual_hw              m168p_swio13_dual_hw              m168pa_swio13_dual_hw
 * a6613c_swio13_dual_hw
 */
static const uint64_t ur_m168_swio13_dual_hw[] = {
  0x17777776890c0668, 0xf56df5fe2f65298d, 0xa58b7638f913f78b, 0x10321f4d5f1da0dd, 0x8fe10ce73d6dd68a,
  0xf19364ee40fac137, 0xa0644a4a45d0e609, 0x0c2860caeb036d2d, 0xfe655bb9dd3e25c4, 0xfcd82fb3814599c9,
  0x1c913f8332a6f51d, 0x2886257f9fbe08a1, 0xdeef9b900001b87c, 0x50865a119221955d, 0x943ffa039e135ad1,
  0xfdcc161bcaf212db, 0x3be59ef1d9fbbfda, 0x71d3f8383fea3edf, 0x31602a83cc95a3dc, 0x3af00676d291c427,
  0x6d318c9500ffd982, 0x7771525c0940f2cf, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x9caed52df5537d9c,
  0xb924bfa21535c080, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920,
  0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x3755e7d453c95fb9, 0x0000000000000006,
};

/*
 * m168a_swio13_dual_ee_hw           m168p_swio13_dual_ee_hw           m168pa_swio13_dual_ee_hw
 * a6613c_swio13_dual_ee_hw
 */
static const uint64_t ur_m168_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x32bac0db4b681912, 0xee774f8971030a18, 0xd1c02d4c63ff9956,
  0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0xece9fff6bf730586, 0x795e9b9aad68dc98, 0x3bd47c1b3071efd4, 0x8b34eb422877c57b,
  0xb9a426be8c2cb114, 0xf5073ab4ba9e5c54, 0x56ba1d7a89767f11, 0x70908a0f547f258d, 0x823f5b86f65f4b31,
  0xb8a928043e6f6a8d, 0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x576a96faa9bece75, 0x925fd10a9ae0404e,
  0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053, 0xdc79b09732f9b681,
  0x7f2861539fa97ab8, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x000000005768745a,
};

/*
 * m168a_swio13_dual_ce_hw           m168p_swio13_dual_ce_hw           m168pa_swio13_dual_ce_hw
 * a6613c_swio13_dual_ce_hw
 */
static const uint64_t ur_m168_swio13_dual_ce_hw[] = {
  0x99eeeeeed121a5fb, 0xbd5b7d78db44f531, 0xd421dd3b4d3848cb, 0x23e44a5557badc6a, 0xb2b8a6bd8beeb333,
  0x6491fb94b235d74a, 0x191292902a89827c, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0x6c2391c0e0cdd5ff,
  0x227f072ba6f51f67, 0x0c4aff3f7c114239, 0x7cdc04480370f851, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x82c3795e425b7ff9, 0x580c3b09d7fb5fb9, 0x1e7942e0e757dc5f, 0x4bf10d8488bee24b, 0x771b9722495fa8f8,
  0x9127b9633ea5ccf1, 0x65471d3f83117d47, 0xa523884e62c05fdc, 0x01ffb33c75e00ced, 0x04a0796b7263192a,
  0xb59fc55f3bb8a92e, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0x0a9ae0404e576a96, 0x8af2a1495c925fd1,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d028c76f6, 0x54e7ea0bb1b8f361,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x0000000004dd4c94,
};

/*
 * m168a_swio13_dual_ee_ce_hw        m168p_swio13_dual_ee_ce_hw        m168pa_swio13_dual_ee_ce_hw
 * a6613c_swio13_dual_ee_ce_hw
 */
static const uint64_t ur_m168_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0xcaeb036d2da0644a, 0xb9dd3e25c40c2860, 0x870c41335dfe655b,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x2c800dc3e144312b, 0x054432abbbddf370, 0xcf09a43c54219683,
  0xcaf212dbde1ffd01, 0xb2b7ffdafdcc161b, 0x072b7ceffaa395c3, 0xc6e747d493f3ca17, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0xbb54b7d54df673a8, 0x92fe8854d7020272, 0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6814, 0x70cf4c2b93f3fb0d, 0xc3a4a5b3e04e32c9, 0x53a8a792bf734332,
  0x000000000001134d,
};

/*
 * m168a_swio13_dual_ee_ce_u4_hw     m168p_swio13_dual_ee_ce_u4_hw     m168pa_swio13_dual_ee_ce_u4_hw
 * a6613c_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x0db4b68191292917, 0xf8971030a1832bac, 0x1cdcb5f997612774,
  0x7a8f8ddb0ec1385e, 0x114239227f06d773, 0x70f8510c4aff3f7c, 0x55ddeef9b89c7803, 0xee2a10cb42392219,
  0x6dc92bfe80e784db, 0xfaa7260b0de57909, 0xc5f547d5e3b261bf, 0x258f3c6f860e4c35, 0x7c25f886c2445f71,
  0x8bb8dce1fe3eefd4, 0x7bee53b5b9b9ba67, 0xa8f83660ccaf51e5, 0x69d68450298aedd7, 0x484d7d1859622916,
  0x11f5073abb729e1d, 0x1aaf1b1d7a89767f, 0x62e121141ea8fe4b, 0x8d8226470decbe96, 0x3bb8a929663e6f6a,
  0x66d7972ab59fc55f, 0x75152a8d76761cf5, 0x4e576a96faa9bece, 0x5c925fd10a9ae040, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xd48f2617d3c95fb9,
  0x0000000000000075,
};

/*
 * m168_swio14_noled_pr              m168a_swio14_noled                m168a_swio14_noled_pr
 * m168p_swio14_noled                m168p_swio14_noled_pr             m168pa_swio14_noled
 * m168pa_swio14_noled_pr            m328_swio14_noled                 m328_swio14_noled_pr
 * m328p_swio14_noled                m328p_swio14_noled_pr             m328pb_swio14_noled
 * m328pb_swio14_noled_pr            a6613c_swio14_noled               a6613c_swio14_noled_pr
 * a6614q_swio14_noled               a6614q_swio14_noled_pr
 */
static const uint64_t ur_m168_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xa01d9dd7fb357e7e, 0xc1d7ff51d313be5b, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xfd10a9ace9b95daa, 0xab4457950a4ad8fd,
  0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674408f2f1, 0x8f386ed84b997cdb, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x7c81245a4e9e4afd,
};

/*
 * m168a_swio14_noled_pr_u4          m168p_swio14_noled_pr_u4          m168pa_swio14_noled_pr_u4
 * m328_swio14_noled_pr_u4           m328p_swio14_noled_pr_u4          m328pb_swio14_noled_pr_u4
 * a6613c_swio14_noled_pr_u4         a6614q_swio14_noled_pr_u4
 */
static const uint64_t ur_m168_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0xbffe357e7cc7cc13, 0xa8e0a1df2dbd8ecd, 0x1ed008e3a7f064d7, 0x28c45398b016594c,
  0x3ff6608ebd1f3b26, 0x303cb3dbb589e540, 0xe7ab36bcb955aa11, 0x5673a8a9546bb3b0, 0x854d674dcaed52df,
  0x22bca85256c7efe8, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xc25ccbe6db0862ad,
  0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000000f93bea87d0,
};

/*
 * m168_swio14_noled_pr_ee_u4        m168a_swio14_noled_pr_ee          m168a_swio14_noled_pr_ee_u4
 * m168p_swio14_noled_pr_ee          m168p_swio14_noled_pr_ee_u4       m168pa_swio14_noled_pr_ee
 * m168pa_swio14_noled_pr_ee_u4      m328_swio14_noled_pr_ee           m328_swio14_noled_pr_ee_u4
 * m328p_swio14_noled_pr_ee          m328p_swio14_noled_pr_ee_u4       m328pb_swio14_noled_pr_ee
 * m328pb_swio14_noled_pr_ee_u4      a6613c_swio14_noled_pr_ee         a6613c_swio14_noled_pr_ee_u4
 * a6614q_swio14_noled_pr_ee         a6614q_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m168_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x3bfc6afcf9c19827, 0x2eb355ad198f1d9b, 0x47c1b307d47a8f2b, 0x4eb422877c5652fd,
  0x426be8c2cb1148b3, 0x1cead2ee4d71ac9a, 0xe875e74dd8f547f2, 0x42288851ef76355a, 0x7eb70decb65cc5c2,
  0xab500ba0e7951b04, 0xd76761cf566d7972, 0xdaa5beace75152a8, 0x8fdfd10a9ace9b95, 0xcf6ab4457950a4ad,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0xab83cd84b997cdb6, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x340fa1cf257ee686, 0x000000000000275d,
};

/*
 * m168_swio14_noled_pr_ce_u4        m168a_swio14_noled_pr_ce          m168a_swio14_noled_pr_ce_u4
 * m168p_swio14_noled_pr_ce          m168p_swio14_noled_pr_ce_u4       m168pa_swio14_noled_pr_ce
 * m168pa_swio14_noled_pr_ce_u4      a6613c_swio14_noled_pr_ce         a6613c_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m168_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0xccadfe357e7f4dcc, 0x4a9dcaeb8bebdd0e, 0x6c2445f71258f3c6, 0x643a4afd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0d67fa8ebe4f, 0x8a731602edf97d1c, 0xccf1d7a3e764c518, 0xe5add6b13ca807fe,
  0x59b5e5caad508981, 0x9d454aa35d9d873d, 0x6b3a6e576a96fab3, 0xe54292b63f7f442a, 0xbcf8b5d73daad115,
  0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xccbe6db084c76f62, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0006ebbcdb7d0e79,
};

/*
 * m168a_swio14_noled_pr_ee_ce       m168p_swio14_noled_pr_ee_ce       m168pa_swio14_noled_pr_ee_ce
 * a6613c_swio14_noled_pr_ee_ce
 */
static const uint64_t ur_m168_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff8d5f9f4db9827c, 0xd9dff5465d4760cd, 0x39747ff3c64a9d8c, 0xacac7be6139dc6e3,
  0x07a57a8f2b90f29d, 0x814c5670fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9c98ea426be8, 0xebce9bb1ea8fe439,
  0xa22147bdd8d578d8, 0x1c37b2d973170908, 0xa59f41cf2a360899, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae,
  0xbfa215359d372bb5, 0xd5688af2a1495b1f, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x63b7b15545a5b44e,
  0xae3612e65f36d842, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592, 0xfa1cf257ee686658,
  0x0000000014d34fae,
};

/*
 * m168a_swio14_noled_pr_ee_ce_u4    m168p_swio14_noled_pr_ee_ce_u4    m168pa_swio14_noled_pr_ee_ce_u4
 * a6613c_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff1231cf8a4982, 0xadfb8bea8f4d8eca, 0x17dc4963cf285c1c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0x7ab36bcb955a967d,
  0x673a8a9546bb3b0e, 0x54d674dcaed52df5, 0x2bca85256c7efe88, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x0000000009f86e40,
};

/*
 * m168a_swio14_noled_hw             m168p_swio14_noled_hw             m168pa_swio14_noled_hw
 * m164a_swio14_noled_hw             m164p_swio14_noled_hw             m164pa_swio14_noled_hw
 * a6613c_swio14_noled_hw
 */
static const uint64_t ur_m168_swio14_noled_hw[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10acebeb0, 0x9b006ea44cf74192, 0x0f0661352569425f, 0xab4133f4a64f7488,
  0xea609f193bb98921, 0x403b0f5ffbe059fe, 0x83affea3c4277cb7, 0xb7ba609ebe471d3f, 0xb9da32464d1cc580,
  0x56741b8e58c11d78, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0xfa215359d372bb54, 0x5688af2a1495b1fb,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0xddb09732f9b6c218, 0x970cf4c2b93f3fb0,
  0xc3a4a5b2c944e32c, 0x7760a792bf734332, 0x0000000000008e2b,
};

/*
 * m168a_swio14_noled_ee_hw          m168p_swio14_noled_ee_hw          m168pa_swio14_noled_ee_hw
 * m328_swio14_noled_ee_hw           m328p_swio14_noled_ee_hw          m328pb_swio14_noled_ee_hw
 * m164a_swio14_noled_ee_hw          m164p_swio14_noled_ee_hw          m164pa_swio14_noled_ee_hw
 * m324a_swio14_noled_ee_hw          m324p_swio14_noled_ee_hw          m324pa_swio14_noled_ee_hw
 * m324pb_swio14_noled_ee_hw         a6613c_swio14_noled_ee_hw         a6614q_swio14_noled_ee_hw
 */
static const uint64_t ur_m168_swio14_noled_ee_hw[] = {
  0x426eeeeed121be4a, 0x6d5cb4b1ea634eb1, 0x77a47f776dbaff12, 0x08f2299c7cfd833c, 0xbe081eb920452225,
  0x609f193ba528eb6a, 0x766ceff61ff3e706, 0x3cacbacd56b4663c, 0x4bf51f06cc1f51ea, 0x22cd3ad08a1df159,
  0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8, 0x6c11fadc37b2d973,
  0xe5caad402e839e54, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x92b63f7f442a6b3a, 0xb5d73daad115e542,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x36d843156f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0005bef927453c95,
};

/*
 * m168a_swio14_noled_ce_hw          m168p_swio14_noled_ce_hw          m168pa_swio14_noled_ce_hw
 * m164a_swio14_noled_ce_hw          m164p_swio14_noled_ce_hw          m164pa_swio14_noled_ce_hw
 * a6613c_swio14_noled_ce_hw
 */
static const uint64_t ur_m168_swio14_noled_ce_hw[] = {
  0x77eeeeeed1218375, 0x5f72d2c5c0b17d63, 0x1da0bbaebcbdbf6f, 0x79930e2a10d85a33, 0xb5b134b3f78ef777,
  0x37304f8c9dd81602, 0x743b32b7fb0ff9fd, 0x9e50b8392bae2faf, 0xfc4361222fb892c7, 0xc6e760de1fea3e12,
  0xf27b9633f5933c5d, 0xe8e3a7f06b3fd475, 0x28c45398b0176fcb, 0x3ff6678ebd1f3b26, 0x4c0f2d6eb589e540,
  0x39eacdaf2e556a84, 0xd59cea2a551aecec, 0x215359d372bb54b7, 0x88af2a1495b1fbfa, 0x869de7c5aeb9ed56,
  0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x612e65f36d84263b, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5453c95fb9a19961, 0x000000000eb3660e,
};

/*
 * m168_swio14_noled_ee_ce_u4_hw     m168a_swio14_noled_ee_ce_hw       m168a_swio14_noled_ee_ce_u4_hw
 * m168p_swio14_noled_ee_ce_hw       m168p_swio14_noled_ee_ce_u4_hw    m168pa_swio14_noled_ee_ce_hw
 * m168pa_swio14_noled_ee_ce_u4_hw   m164a_swio14_noled_ee_ce_hw       m164a_swio14_noled_ee_ce_u4_hw
 * m164p_swio14_noled_ee_ce_hw       m164p_swio14_noled_ee_ce_u4_hw    m164pa_swio14_noled_ee_ce_hw
 * m164pa_swio14_noled_ee_ce_u4_hw   a6613c_swio14_noled_ee_ce_hw      a6613c_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x2b7ffd87fcf8a498, 0x72b7ee2faa3d363b, 0x445f71258f3ca170, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0x73d59b5e5caad4b3,
  0xab39d454aa35d9d8, 0x42a6b3a6e576a96f, 0x115e54292b63f7f4, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xc25ccbe6db084c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x28a792bf734332c3, 0x00000000014046e4,
};

/*
 * m168a_swio14_lednop               m168p_swio14_lednop               m168pa_swio14_lednop
 * m328_swio14_lednop                m328p_swio14_lednop               m328pb_swio14_lednop
 * a6613c_swio14_lednop              a6614q_swio14_lednop
 */
static const uint64_t ur_m168_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0xe8076489fecd5f9f, 0xf075ffd475f0ef96, 0x2dee9b6fcbe8e3a7, 0xb9d96ba3b8673160,
  0x565adb8e58c11d78, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0x535c0809d372bb54, 0xaf2a1495cbec7a21,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6c63156f62, 0x4c2b93f3fb0ddb09,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x0000002a4fad693a,
};

/*
 * m168_swio14_lednop_pr_u4          m168a_swio14_lednop_pr            m168a_swio14_lednop_pr_u4
 * m168p_swio14_lednop_pr            m168p_swio14_lednop_pr_u4         m168pa_swio14_lednop_pr
 * m168pa_swio14_lednop_pr_u4        m328_swio14_lednop_pr             m328_swio14_lednop_pr_u4
 * m328p_swio14_lednop_pr            m328p_swio14_lednop_pr_u4         m328pb_swio14_lednop_pr
 * m328pb_swio14_lednop_pr_u4        a6613c_swio14_lednop_pr           a6613c_swio14_lednop_pr_u4
 * a6614q_swio14_lednop_pr           a6614q_swio14_lednop_pr_u4
 */
static const uint64_t ur_m168_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xdff8d5f9f5f7304f, 0xa3a0077cb6f63b23, 0xfcea238e9fc1935e, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x3d59b5e5caad65da, 0xb39d454aa35d9d87, 0x81013a6e576a96fa,
  0x4292b97d8f442a6b, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x7c98405be873c95f,
};

/*
 * m168a_swio14_lednop_pr_ee         m168p_swio14_lednop_pr_ee         m168pa_swio14_lednop_pr_ee
 * m328_swio14_lednop_pr_ee          m328p_swio14_lednop_pr_ee         m328pb_swio14_lednop_pr_ee
 * a6613c_swio14_lednop_pr_ee        a6614q_swio14_lednop_pr_ee
 */
static const uint64_t ur_m168_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0x7f8d5f9f4b5304f8, 0x166ab5a331e3b06b, 0xf83660fa8f51e56c, 0xd68450ef8ad4f7a8,
  0x4d7d185962291669, 0x9d5a5dd2ae359348, 0x0ebce9bb4888e6e3, 0x450be238cac6ab5d, 0xd6e1bd96cb98b848,
  0x6a015ac4f2a3608f, 0xecec39eacdaf2e55, 0x54b7d59cea2a551a, 0x21535c0809d372bb, 0x88af2a1495cbec7a,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b6c63156f, 0xd1674f8b9357079b,
  0x39fa9d598f207e50, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x275fa79f439e4afd,
};

/*
 * m168a_swio14_lednop_pr_ee_u4      m168p_swio14_lednop_pr_ee_u4      m168pa_swio14_lednop_pr_ee_u4
 * m328_swio14_lednop_pr_ee_u4       m328p_swio14_lednop_pr_ee_u4      m328pb_swio14_lednop_pr_ee_u4
 * a6613c_swio14_lednop_pr_ee_u4     a6614q_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xdff8d5f9f1ad304f, 0x70e6ab5a3dbe3b34, 0x8f83660e71f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x73ab4bfee5c51334, 0x0ebd75376d291c42, 0x45098a3116c6ab5d, 0x5b86f65c3918b848,
  0x66d7972ab55c5adf, 0x75152a8d76761cf5, 0x04e9b95daa5beace, 0x4ae5f63d10a9ae04, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xba45efa1cf257ee6, 0x000000000000004e,
};

/*
 * m168_swio14_lednop_pr_ce_u4       m168a_swio14_lednop_pr_ce         m168a_swio14_lednop_pr_ce_u4
 * m168p_swio14_lednop_pr_ce         m168p_swio14_lednop_pr_ce_u4      m168pa_swio14_lednop_pr_ce
 * m168pa_swio14_lednop_pr_ce_u4     a6613c_swio14_lednop_pr_ce        a6613c_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x96ebfc6afcfc7298, 0x953bd37717d7ba1d, 0xd8488bee24b1e78c, 0x495951fa8f84bf10,
  0xe58cfd64cf1771b8, 0xd3f8359fea3cbe9e, 0x7ce62c058f7a5471, 0x33c75e8f9db24463, 0x2d6e83fd22a01ffb,
  0xcdaf2e556b2ed40f, 0xea2a551aecec39ea, 0x09d372bb54b7d59c, 0x95cbec7a21535c08, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xf5653e873c95fb9a, 0x00000000000001ba,
};

/*
 * m168a_swio14_lednop_pr_ee_ce      m168p_swio14_lednop_pr_ee_ce      m168pa_swio14_lednop_pr_ee_ce
 * a6613c_swio14_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff1abf3eff2609f, 0x341dff5465d47606, 0x341c113f9e3254ec, 0xdacac7be6139dc6e,
  0x307a57a8f2b29729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42, 0x9d5db9d28ea426be, 0x8ebce9bb4888e6e3,
  0x8a17c471958d578d, 0x91c37b2d97317090, 0x6a59dac4f2a36089, 0xecec39eacdaf2e55, 0x54b7d59cea2a551a,
  0x21535c0809d372bb, 0x88af2a1495cbec7a, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36d8c4c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x00000a69d8fefa1c,
};

/*
 * m168a_swio14_lednop_pr_ee_ce_u4   m168p_swio14_lednop_pr_ee_ce_u4   m168pa_swio14_lednop_pr_ee_ce_u4
 * a6613c_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfc48c73fd83304, 0x0fae2faa3d363b10, 0x5f71258f3ca17071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0xd59b5e5caad4b3b5,
  0x39d454aa35d9d873, 0x1013a6e576a96fab, 0x292b97d8f442a6b8, 0x2b5d73daad115e54, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6db1898edec55516, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004fccb4a2ebcf2,
};

/*
 * m168a_swio14_lednop_hw            m168p_swio14_lednop_hw            m168pa_swio14_lednop_hw
 * m164a_swio14_lednop_hw            m164p_swio14_lednop_hw            m164pa_swio14_lednop_hw
 * a6613c_swio14_lednop_hw
 */
static const uint64_t ur_m168_swio14_lednop_hw[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x7403b244ffbe059f, 0xf83affea3af877cb, 0x16f74db7e5f471d3, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb6318ab7b1, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000008e2fafb05,
};

/*
 * m168a_swio14_lednop_ee_hw         m168p_swio14_lednop_ee_hw         m168pa_swio14_lednop_ee_hw
 * m328_swio14_lednop_ee_hw          m328p_swio14_lednop_ee_hw         m328pb_swio14_lednop_ee_hw
 * m164a_swio14_lednop_ee_hw         m164p_swio14_lednop_ee_hw         m164pa_swio14_lednop_ee_hw
 * m324a_swio14_lednop_ee_hw         m324p_swio14_lednop_ee_hw         m324pa_swio14_lednop_ee_hw
 * m324pb_swio14_lednop_ee_hw        a6613c_swio14_lednop_ee_hw        a6614q_swio14_lednop_ee_hw
 */
static const uint64_t ur_m168_swio14_lednop_ee_hw[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea7416b1, 0x9bdfa7bb007a5f12, 0x847914ce3e34cfda, 0xca68b51590229112,
  0x609f193bad3bed6e, 0x760d6ff61ff3e96a, 0x3cad82cd56b4663c, 0x9ef51f06cc1f51ea, 0x22cd3ad08a1df15a,
  0xb26909afa30b2c45, 0x1cdc73ab4bba55c6, 0xd56ba1d79d376911, 0x170908a17c471958, 0x6c11fadc37b2d973,
  0xe5caad402b589e54, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c, 0x7bca1854e7ea0bb1,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xf00ad453c95fb9a1,
  0x000000000000002d,
};

/*
 * m168a_swio14_lednop_ce_hw         m168p_swio14_lednop_ce_hw         m168pa_swio14_lednop_ce_hw
 * m164a_swio14_lednop_ce_hw         m164p_swio14_lednop_ce_hw         m164pa_swio14_lednop_ce_hw
 * a6613c_swio14_lednop_ce_hw
 */
static const uint64_t ur_m168_swio14_lednop_ce_hw[] = {
  0xefdddddda2431768, 0xbee5a58b81433ac6, 0xfdb23bbe96b47ede, 0xe64c38a84c5e6c58, 0xd1ecf5c69a9bdddd,
  0x94c13e32774dd1da, 0xd0ecb75fec3fe7e3, 0x7942e0e69bb8bebd, 0xf10d8488bee24b1e, 0x1b930ccf9fa8f84b,
  0xe9ee58cfd64cf177, 0x471d3f8359fea3cb, 0x4637ce62c058f7a5, 0xffb33c75e8f9db24, 0x40f2d6e83fd22a01,
  0x9eacdaf2e556b2ed, 0x59cea2a551aecec3, 0xc0809d372bb54b7d, 0xa1495cbec7a21535, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x001d66f843f453c9,
};

/*
 * m168_swio14_lednop_ee_ce_u4_hw    m168a_swio14_lednop_ee_ce_hw      m168a_swio14_lednop_ee_ce_u4_hw
 * m168p_swio14_lednop_ee_ce_hw      m168p_swio14_lednop_ee_ce_u4_hw   m168pa_swio14_lednop_ee_ce_hw
 * m168pa_swio14_lednop_ee_ce_u4_hw  m164a_swio14_lednop_ee_ce_hw      m164a_swio14_lednop_ee_ce_u4_hw
 * m164p_swio14_lednop_ee_ce_hw      m164p_swio14_lednop_ee_ce_u4_hw   m164pa_swio14_lednop_ee_ce_hw
 * m164pa_swio14_lednop_ee_ce_u4_hw  a6613c_swio14_lednop_ee_ce_hw     a6613c_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x10fbfd87fcff60cc, 0x710fae2faa3d363b, 0x445f71258f3ca170, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0x73d59b5e5caad4b3,
  0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000140596968a79,
};

/*
 * m168_swio14_dual_pr               m168_swio14_dual_pr_u4            m168a_swio14_dual
 * m168a_swio14_dual_pr              m168a_swio14_dual_pr_u4           m168p_swio14_dual
 * m168p_swio14_dual_pr              m168p_swio14_dual_pr_u4           m168pa_swio14_dual
 * m168pa_swio14_dual_pr             m168pa_swio14_dual_pr_u4          a6613c_swio14_dual
 * a6613c_swio14_dual_pr             a6613c_swio14_dual_pr_u4
 */
static const uint64_t ur_m168_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x2860caeb036d2da0, 0x655bb9dd3e25c40c, 0xd82fb3814599c9fe,
  0x913f8332a6f51dfc, 0x86257f9fbe08a11c, 0xdf371aec01b87c28, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b729, 0x965ae3b0a2ffff43, 0xd3f83defd47ee8ef, 0x602a83cce4c3dc71, 0xf006764011a62731,
  0xde37d500ffd9823a, 0xc5495f3a81e59edb, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0x4dcaed52df5673a8,
  0x2fb1e8854d702027, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414,
  0x371e6c25ccbe6db1, 0x599bf83bb8d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x9341c62ebcf257ee, 0x0000000000000014,
};

/*
 * m168a_swio14_dual_pr_ee           m168p_swio14_dual_pr_ee           m168pa_swio14_dual_pr_ee
 * a6613c_swio14_dual_pr_ee
 */
static const uint64_t ur_m168_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0x2bac0db4b6819129, 0xe774f8971030a183, 0x1c02d4c63ff9956e,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xa180370f8510c4af, 0xed10caaeef77cdcb, 0x3c260f7150865a0b,
  0x95e425b7d35ff407, 0xb02d7fff43982c37, 0xe576ea6ab5a3fdc3, 0xbf51f06cc187bf51, 0x2cd3ad08a1df15e9,
  0xe6909afa30b2c452, 0x7a9cead2ec157152, 0xb5d0ebd44bb18f46, 0x848451a523886c6a, 0x11fadc37b2fa598b,
  0x8a9280591445546c, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e,
  0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0x6e3cd84b997cdb63,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002b215a85d79e,
};

/*
 * m168a_swio14_dual_pr_ee_u4        m168p_swio14_dual_pr_ee_u4        m168pa_swio14_dual_pr_ee_u4
 * a6613c_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m168_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0x358e04ea64b5f995,
  0xf83df737a8f15b60, 0x57f9fbe08a11c913, 0x732a001b87c28862, 0x847b4432abbbddf3, 0x80e784d224542196,
  0x86f2bc84b6fa6bfe, 0x187605afffe87305, 0xea3cad4f4d56b470, 0x59c3f51f06cc1c89, 0x4522cd3ad08a1df1,
  0x082e6909afa30b2c, 0x0460a1cead2e9597, 0x8d56ba1d7b589d90, 0x62e121143de8f22d, 0xb8b87f5b86f65c7c,
  0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x442a6b81013a6e57, 0xd115e54292b97d8f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d1028be8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x564e9e175e792bf7,
};

/*
 * m168a_swio14_dual_pr_ce           m168p_swio14_dual_pr_ce           m168pa_swio14_dual_pr_ce
 * a6613c_swio14_dual_pr_ce
 */
static const uint64_t ur_m168_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0x611c8e07066eaffc,
  0x13f8395d37a8fb3b, 0x6257f9fbe08a11c9, 0xf37149001b87c288, 0x96807b4432abbbdd, 0xfd01cf09827c5421,
  0x161bcaf212db8cdf, 0x5fc1d8707fffa1cc, 0x3cf285c1c275717d, 0x97e21b09117dc496, 0xee3729299cbf51f0,
  0x27cf72c67d4b99e2, 0xbf1c74fe0ed6f51c, 0x011a62731602945d, 0x0ffd99e3af006764, 0xea0796b73de37d50,
  0xb3f8abe77715257c, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0xee3459d3e1b8f361,
  0x854e7ea75666fe0e, 0x7f8b9c65f989fca1, 0x93f1cf7ff04d0f32, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x0006922ec175e792,
};

/*
 * m168a_swio14_dual_pr_ce_u4        m168p_swio14_dual_pr_ce_u4        m168pa_swio14_dual_pr_ce_u4
 * a6613c_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m168_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b849400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x0586f2bc84b6f43f, 0xbb7c7669bfffe873, 0x1e7942e0e6ceb8be, 0x4bf10d8488bee24b, 0x771b9494ce5fa8f8,
  0x9c67b9633c38ccf1, 0x7ac71d3f8327bd47, 0xbe238c8e62c0531e, 0xbb8e58cf1d7916ec, 0xf157ceee2a4a3ac8,
  0x873d59b5e5caad67, 0xfab39d454aa35d9d, 0x6b81013a6e576a96, 0xe54292b97d8f442a, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6db1898edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00000006921662eb,
};

/*
 * m168a_swio14_dual_pr_ee_ce        m168p_swio14_dual_pr_ee_ce        m168pa_swio14_dual_pr_ee_ce
 * a6613c_swio14_dual_pr_ee_ce
 */
static const uint64_t ur_m168_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x95d606da5b40c894, 0x73ba7c4b881850c1, 0x0e188266bbfccab7,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0xe0801b87c2886257, 0x0a88655777bbe6e2, 0x9e134878a8432d06,
  0x95e425b735bffa03, 0xb3107fff43982c37, 0x839880effaa3cac3, 0xc6e2a47badf9e50b, 0xd29dacac9ba6139d,
  0x83660f6ffa8f2b95, 0x68450298af7dfa8f, 0xd7d185962291669d, 0xea73abb73051d484, 0xe363af512ec63d19,
  0x24228d291c436355, 0x44c8e1bd97d2cc5c, 0x2a4a59e4511551b0, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5,
  0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0x71e6c25ccbe6db18, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0x9ce0baf3c95fb9a1, 0x0000000000000260,
};

/*
 * m168a_swio14_dual_pr_ee_ce_u4     m168p_swio14_dual_pr_ee_ce_u4     m168pa_swio14_dual_pr_ee_ce_u4
 * a6613c_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x030a1832bac0db4b, 0xfccb4b7e774f8971,
  0xed87609c2f0e6e5a, 0x913f836bb9bd47c6, 0x86257f9fbe08a11c, 0xbe6e0aa001b87c28, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7a4a, 0x93a1d9787fffa9c9, 0xf285e77787717d51, 0xe21b09117dc4963c,
  0xb82a8b24ff51f097, 0xa76b737374cf1771, 0xd983dbfea3cae574, 0x1140a62bdf7ea3e0, 0xf4616588a459a75a,
  0x9ceaedcc14752135, 0xd8ebd44bb18f467a, 0x08a34a4710d8d578, 0x32386f65f4b31709, 0x9296791445546c11,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b6c626, 0xdbb1a2c6f8b93570,
  0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x9f3c95fb9a19961d, 0x00000004004b82b8,
};

/*
 * m168a_swio14_dual_hw              m168p_swio14_dual_hw              m168pa_swio14_dual_hw
 * a6613c_swio14_dual_hw
 */
static const uint64_t ur_m168_swio14_dual_hw[] = {
  0x17777776890c5aa4, 0xf56df5fe2fed2995, 0xacfb765dd333f78b, 0x10320b8ceb20a667, 0x6089c9263b2dda8a,
  0xf19364ee587d369b, 0xa0644a4a42a46609, 0x0c2860caeb036d2d, 0xfe655bb9dd3e25c4, 0xfcd82fb3814599c9,
  0x1c913f8332a6f51d, 0x2886257f9fbe08a1, 0xbddf371aec01b87c, 0xa10cb42324432abb, 0x297ff4073c26b5a2,
  0xfb982c3795e425b7, 0xef965ae3b0a2ffb5, 0x71d3f83defd47ee8, 0x31602a83cce4c3dc, 0x3af006764011a627,
  0xdbde37d500ffd982, 0xddc5495f3a81e59e, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x274dcaed52df5673,
  0x572fb1e8854d7020, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1,
  0x34332c3a4a5b3e04, 0xc6ea838e8a792bf7,
};

/*
 * m168a_swio14_dual_ee_hw           m168p_swio14_dual_ee_hw           m168pa_swio14_dual_ee_hw
 * a6613c_swio14_dual_ee_hw
 */
static const uint64_t ur_m168_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0x0c195d606da5b40c, 0xab773ba7c4b88185, 0x0968e016a631ffcc,
  0x3f838ad37a8e4eb6, 0x257f9fbe08a11c91, 0x6e5d0c01b87c2886, 0xd05f688655777bbe, 0xa039e1307b8a8432,
  0x61bcaf212dbe9aff, 0xee1d816bfdafdcc1, 0xfa8f2bb75355ad1f, 0xaf4dfa8f83660c3d, 0x2291669d68450ef8,
  0x8a973484d7d18596, 0x7a33d4e7569760ab, 0x6355ae875ea25d8c, 0xcc5c24228d291c43, 0xa3608fd6e1bd97d2,
  0x9ddc549402c8a22a, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x0274dcaed52df567, 0x2572fb1e8854d702,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x00aed15aa8a792bf,
};

/*
 * m168a_swio14_dual_ce_hw           m168p_swio14_dual_ce_hw           m168pa_swio14_dual_ce_hw
 * a6613c_swio14_dual_ce_hw
 */
static const uint64_t ur_m168_swio14_dual_ce_hw[] = {
  0x89dddddda243359b, 0xbd5b7d78db402a65, 0x6e4cdd414f5848cb, 0xc8f9129d73a8bcb5, 0xd75eec2c9f7bb624,
  0xc6491fb90f0cc29a, 0x0322525222319827, 0x61430657581b696d, 0xf32addcee9f12e20, 0xed8472381c19babf,
  0x244fe0e574dea3ec, 0x21895fe7ef822847, 0x77cdc524006e1f0a, 0x865a01ed10caaeef, 0x7ff4073c2609f150,
  0x30586f2bc84b6e33, 0xf57f0761c1ff6bf7, 0x58f3ca170709d5c5, 0xc25f886c2445f712, 0x8bb8dc643a4afd47,
  0x709f3dcb19f52e67, 0x76fc71d3f83b5bd4, 0x90046989cc580a51, 0x403ff6678ebc019d, 0xf3a81e5adcf78df5,
  0x5acfe2af9ddc5495, 0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546, 0x8854d7020274dcae, 0xa22bca852572fb1e,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb63131db, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x514f257ee6866587,
  0x00000000004dd576,
};

/*
 * m168a_swio14_dual_ee_ce_hw        m168p_swio14_dual_ee_ce_hw        m168pa_swio14_dual_ee_ce_hw
 * a6613c_swio14_dual_ee_ce_hw
 */
static const uint64_t ur_m168_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x657581b696d03225, 0xdcee9f12e2061430, 0xc3862099aeff32ad,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0xecc41fed7ee60b0d, 0xe0e6203bfea8f2b0, 0xb8dcca8683fe7942, 0xba53b5959374c273,
  0xf06cc1edff51e572, 0xad08a05315efbf51, 0x9afa30b2c4522cd3, 0x3d4e7576e60a3a90, 0xbc6c75ea25d8c7a3,
  0x848451a523886c6a, 0x08991c37b2fa598b, 0xc5494b3c8a22aa36, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0x4dcaed52df5673a8, 0x2fb1e8854d702027, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x131dbd8aaa2d2414, 0x6e3cd84b997cdb63, 0x4b867a615c9f9fd8, 0x961d252d9f027196, 0x9f39453c95fb9a19,
  0x0000000000000226,
};

/*
 * m168a_swio14_dual_ee_ce_u4_hw     m168p_swio14_dual_ee_ce_u4_hw     m168pa_swio14_dual_ee_ce_u4_hw
 * a6613c_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x0db4b6819129290c, 0xf8971030a1832bac, 0x1cdcb5f997612774,
  0x7a8f8ddb0ec1385e, 0x114239227f06d773, 0x70f8510c4aff3f7c, 0xaaeef77cdc154003, 0xf7150865a11c910c,
  0xb6f495ff4073c26d, 0xfd53930586f2bc84, 0x717d5193a1d9787f, 0x4963cf1be1839787, 0x1f097e21b09117dc,
  0xf1771b816467aff5, 0xae574a76b737374c, 0xea3e0d983dbfea3c, 0x9a75a1140a62bdf7, 0x52135f4616588a45,
  0xf467a9ceaedcc147, 0x8d578d8ebd44bb18, 0x3170908a34a4710d, 0x46c1132386f65f4b, 0x3bb8a92967914455,
  0x66d7972ab59fc55f, 0x75152a8d76761cf5, 0x04e9b95daa5beace, 0x4ae5f63d10a9ae04, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x6c6263b7b15545a4, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xaebcf430be9e4afd,
  0x0000000000000003,
};

/*
 * m168_swio15_noled_pr              m168a_swio15_noled                m168a_swio15_noled_pr
 * m168p_swio15_noled                m168p_swio15_noled_pr             m168pa_swio15_noled
 * m168pa_swio15_noled_pr            m328_swio15_noled                 m328_swio15_noled_pr
 * m328p_swio15_noled                m328p_swio15_noled_pr             m328pb_swio15_noled
 * m328pb_swio15_noled_pr            a6613c_swio15_noled               a6613c_swio15_noled_pr
 * a6614q_swio15_noled               a6614q_swio15_noled_pr
 */
static const uint64_t ur_m168_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x483b3baff66afcfc, 0xc1f3dea3a6277cb7, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0xd10a9ace9b95daa5, 0xa22bca85255abfdf,
  0xf0c537acef2e7b55, 0x978a042d2d7f88d4, 0xe6da718de33a2047, 0x1a2c79c376c25ccb, 0x5727eeacc790347f,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0003e40922d274f2,
};

/*
 * m168a_swio15_noled_pr_u4          m168p_swio15_noled_pr_u4          m168pa_swio15_noled_pr_u4
 * m328_swio15_noled_pr_u4           m328p_swio15_noled_pr_u4          m328pb_swio15_noled_pr_u4
 * a6613c_swio15_noled_pr_u4         a6614q_swio15_noled_pr_u4
 */
static const uint64_t ur_m168_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x32bfc6afcfbf9304, 0xea3cbe3be5a0f8ec, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x39eacdaf2e556afa, 0x5d9cea2a551aecec, 0x15359d372bb54b7d,
  0x57950a4ab57fbfa2, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x09732f9b632455bd,
  0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000003e4f5969f43,
};

/*
 * m168_swio15_noled_pr_ee_u4        m168a_swio15_noled_pr_ee          m168a_swio15_noled_pr_ee_u4
 * m168p_swio15_noled_pr_ee          m168p_swio15_noled_pr_ee_u4       m168pa_swio15_noled_pr_ee
 * m168pa_swio15_noled_pr_ee_u4      m328_swio15_noled_pr_ee           m328_swio15_noled_pr_ee_u4
 * m328p_swio15_noled_pr_ee          m328p_swio15_noled_pr_ee_u4       m328pb_swio15_noled_pr_ee
 * m328pb_swio15_noled_pr_ee_u4      a6613c_swio15_noled_pr_ee         a6613c_swio15_noled_pr_ee_u4
 * a6614q_swio15_noled_pr_ee         a6614q_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m168_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xdfe357e7c9d4c13e, 0xa5cd56b46fe0ec8a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a, 0xbfa215359d372bb5, 0xab4457950a4ab57f,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x079b09732f9b6324, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xdf439e4afdcd0ccb, 0x000000000009d72c,
};

/*
 * m168_swio15_noled_pr_ce_u4        m168a_swio15_noled_pr_ce          m168a_swio15_noled_pr_ce_u4
 * m168p_swio15_noled_pr_ce          m168p_swio15_noled_pr_ce_u4       m168pa_swio15_noled_pr_ce
 * m168pa_swio15_noled_pr_ce_u4      a6613c_swio15_noled_pr_ce         a6613c_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m168_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff1abf3fb3a60, 0xa9defbb8bebb7c76, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0xb36bcb955abeb703, 0x3a8a9546bb3b0e7a, 0x674dcaed52df5767, 0x4292ad5fefe8854d, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00dd78faefa1cf25,
};

/*
 * m168a_swio15_noled_pr_ee_ce       m168p_swio15_noled_pr_ee_ce       m168pa_swio15_noled_pr_ee_ce
 * a6613c_swio15_noled_pr_ee_ce
 */
static const uint64_t ur_m168_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff1abf3fa6a609f1, 0xe1dff54652c767fc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d,
  0xf442a6b3a6e576a9, 0x688af2a14956aff7, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0xc6c25ccbe6d8c863, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x439e4afdcd0ccb0e,
  0x00000000a699cf9f,
};

/*
 * m168a_swio15_noled_pr_ee_ce_u4    m168p_swio15_noled_pr_ee_ce_u4    m168pa_swio15_noled_pr_ee_ce_u4
 * a6613c_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdff8918e7f1ba609, 0x5ddc5f547b387635, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x566d7972ab52cfa4,
  0xe75152a8d76761cf, 0xace9b95daa5beaec, 0xa85255abfdfd10a9, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77,
  0x51696d138c6f19d1, 0x32f9b63218edec55, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x00000013f3ecf0ba,
};

/*
 * m168a_swio15_noled_hw             m168p_swio15_noled_hw             m168pa_swio15_noled_hw
 * m164a_swio15_noled_hw             m164p_swio15_noled_hw             m164pa_swio15_noled_hw
 * a6613c_swio15_noled_hw
 */
static const uint64_t ur_m168_swio15_noled_hw[] = {
  0xd83bbbbbbacdfc4f, 0x1ddcb4b10acc46b0, 0xb4b8ee8da1654192, 0xf066127b86b97b36, 0xa826db19bbf75b04,
  0xfcc13e3277617ad1, 0x20ecea3fef8167f6, 0x07cf7a8ff21df2dd, 0xb7ba69126e8e3a7f, 0x73b64547d01cc580,
  0xace9371cb1823af1, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9, 0x442a6b3a6e576a96, 0x88af2a14956aff7f,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xb612e65f36c648ab, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0xec14f257ee686658, 0x000000000011c4b8,
};

/*
 * m168a_swio15_noled_ee_hw          m168p_swio15_noled_ee_hw          m168pa_swio15_noled_ee_hw
 * m328_swio15_noled_ee_hw           m328p_swio15_noled_ee_hw          m328pb_swio15_noled_ee_hw
 * m164a_swio15_noled_ee_hw          m164p_swio15_noled_ee_hw          m164pa_swio15_noled_ee_hw
 * m324a_swio15_noled_ee_hw          m324p_swio15_noled_ee_hw          m324pa_swio15_noled_ee_hw
 * m324pb_swio15_noled_ee_hw         a6613c_swio15_noled_ee_hw         a6614q_swio15_noled_ee_hw
 */
static const uint64_t ur_m168_swio15_noled_ee_hw[] = {
  0xbdeeeeeed121b768, 0xdab96963d4e85d60, 0x4f4d2ee8db623e24, 0xede4531d7c33c5ef, 0x1545a0ab41148885,
  0x04f8c9dd764afb67, 0xb22b7fb0ff9f2753, 0xf2b297355ad1bf83, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xd5fefe8854d674dc, 0x73daad115e54292a,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0b7f33168a792bf7,
};

/*
 * m168a_swio15_noled_ce_hw          m168p_swio15_noled_ce_hw          m168pa_swio15_noled_ce_hw
 * m164a_swio15_noled_ce_hw          m164p_swio15_noled_ce_hw          m164pa_swio15_noled_ce_hw
 * a6613c_swio15_noled_ce_hw
 */
static const uint64_t ur_m168_swio15_noled_ce_hw[] = {
  0x37dddddda2431202, 0xbee5a58b811bbac7, 0xfd0837588f8b7ede, 0xcc987117b2b68242, 0xa82869c337a7bbcd,
  0xe9827c64eeb336c5, 0xf1d92bbfd87fcfec, 0xe50b839beee2faed, 0xc4361222fb892c79, 0x6e1adcc37ea3e12f,
  0xa7b9633f5933c5dc, 0xc71d3f8327bd479b, 0x51ef673160299538, 0x7feccf1d7a3e7688, 0xb81e5adc22934a80,
  0x73d59b5e5caad5f5, 0xbb39d454aa35d9d8, 0x2a6b3a6e576a96fa, 0xaf2a14956aff7f44, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x25ccbe6d8c863b7b, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x00000001d66dbe0a,
};

/*
 * m168_swio15_noled_ee_ce_u4_hw     m168a_swio15_noled_ee_ce_hw       m168a_swio15_noled_ee_ce_u4_hw
 * m168p_swio15_noled_ee_ce_hw       m168p_swio15_noled_ee_ce_u4_hw    m168pa_swio15_noled_ee_ce_hw
 * m168pa_swio15_noled_ee_ce_u4_hw   m164a_swio15_noled_ee_ce_hw       m164a_swio15_noled_ee_ce_u4_hw
 * m164p_swio15_noled_ee_ce_hw       m164p_swio15_noled_ee_ce_u4_hw    m164pa_swio15_noled_ee_ce_hw
 * m164pa_swio15_noled_ee_ce_u4_hw   a6613c_swio15_noled_ee_ce_hw      a6613c_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f670ec, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3d59b5e5caad4b3e,
  0xb39d454aa35d9d87, 0xa6b3a6e576a96fab, 0xf2a14956aff7f442, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0x5ccbe6d8c863b7b1, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000001405f67a8,
};

/*
 * m168a_swio15_lednop               m168p_swio15_lednop               m168pa_swio15_lednop
 * m328_swio15_lednop                m328p_swio15_lednop               m328pb_swio15_lednop
 * a6613c_swio15_lednop              a6614q_swio15_lednop
 */
static const uint64_t ur_m168_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xa41d91effd9abf3e, 0xe0f9ef51d7c3be5b, 0x2dee9827c431c74f, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0xc674409cfa2810b4, 0xed84b997cdb4e31b, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0xb49d3c95fb9a1996, 0x00000000000a92dc,
};

/*
 * m168_swio15_lednop_pr_u4          m168a_swio15_lednop_pr            m168a_swio15_lednop_pr_u4
 * m168p_swio15_lednop_pr            m168p_swio15_lednop_pr_u4         m168pa_swio15_lednop_pr
 * m168pa_swio15_lednop_pr_u4        m328_swio15_lednop_pr             m328_swio15_lednop_pr_u4
 * m328p_swio15_lednop_pr            m328p_swio15_lednop_pr_u4         m328pb_swio15_lednop_pr
 * m328pb_swio15_lednop_pr_u4        a6613c_swio15_lednop_pr           a6613c_swio15_lednop_pr_u4
 * a6614q_swio15_lednop_pr           a6614q_swio15_lednop_pr_u4
 */
static const uint64_t ur_m168_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x31ffe357e7ea54c1, 0xf51f4a3be5a0f8ec, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xe7ab36bcb955adc3, 0x7673a8a9546bb3b0, 0x020274dcaed52df5,
  0x4292b92b1e8854d7, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x7c9ab82be873c95f,
};

/*
 * m168a_swio15_lednop_pr_ee         m168p_swio15_lednop_pr_ee         m168pa_swio15_lednop_pr_ee
 * m328_swio15_lednop_pr_ee          m328p_swio15_lednop_pr_ee         m328pb_swio15_lednop_pr_ee
 * a6613c_swio15_lednop_pr_ee        a6614q_swio15_lednop_pr_ee
 */
static const uint64_t ur_m168_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x3fe357e7e87e609f, 0x4f4d56b46fe0ec38, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0x0a9ae0404e9b95da, 0x22bca852572563d1,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6da05455bd, 0x459d3e2e4d5c1e6c,
  0xe7ea75663c81f943, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x4ebc0a7d0e792bf7,
};

/*
 * m168a_swio15_lednop_pr_ee_u4      m168p_swio15_lednop_pr_ee_u4      m168pa_swio15_lednop_pr_ee_u4
 * m328_swio15_lednop_pr_ee_u4       m328p_swio15_lednop_pr_ee_u4      m328pb_swio15_lednop_pr_ee_u4
 * a6613c_swio15_lednop_pr_ee_u4     a6614q_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m168_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xbfc6afcf9c19827c, 0x759aad68cca1d9b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x9b5e5caad57022fd, 0xd454aa35d9d873d5, 0x3a6e576a96fabb39, 0x5c958f442a6b8101, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xa681f439e4afdcd0, 0x00000000000004eb,
};

/*
 * m168_swio15_lednop_pr_ce_u4       m168a_swio15_lednop_pr_ce         m168a_swio15_lednop_pr_ce_u4
 * m168p_swio15_lednop_pr_ce         m168p_swio15_lednop_pr_ce_u4      m168pa_swio15_lednop_pr_ce
 * m168pa_swio15_lednop_pr_ce_u4     a6613c_swio15_lednop_pr_ce        a6613c_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m168_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x669bff1abf3e35a6, 0x4a9deceb8bebb7c7, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0xb36bcb955adc3903, 0x3a8a9546bb3b0e7a, 0x274dcaed52df5767, 0x2b92b1e8854d7020, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f7d0e792bf734, 0x0000000000000375,
};

/*
 * m168a_swio15_lednop_pr_ee_ce      m168p_swio15_lednop_pr_ee_ce      m168pa_swio15_lednop_pr_ee_ce
 * a6613c_swio15_lednop_pr_ee_ce
 */
static const uint64_t ur_m168_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff1abf3f6b7304f8, 0xb3bfea8ca58ec4db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb,
  0x4d7020274dcaed52, 0x5e54292b92b1e885, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6da0518edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0014d317edf439e4,
};

/*
 * m168a_swio15_lednop_pr_ee_ce_u4   m168p_swio15_lednop_pr_ee_ce_u4   m168pa_swio15_lednop_pr_ee_ce_u4
 * a6613c_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff1231cf9adcc13, 0x525c5f547b38760a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xab36bcb955a96622,
  0x73a8a9546bb3b0e7, 0x0274dcaed52df576, 0x92b92b1e8854d702, 0xb5d73daad115e542, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eae2ebcf25,
};

/*
 * m168a_swio15_lednop_hw            m168p_swio15_lednop_hw            m168pa_swio15_lednop_hw
 * m164a_swio15_lednop_hw            m164p_swio15_lednop_hw            m164pa_swio15_lednop_hw
 * a6613c_swio15_lednop_hw
 */
static const uint64_t ur_m168_swio15_lednop_hw[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd20ec8f7ff7c0b3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xe33a204e7d14085a, 0x76c25ccbe6da718d, 0x5c33d30ae4fcfec3,
  0x0e9296cb25138cb2, 0xdd829e4afdcd0ccb, 0x00000000000238ad,
};

/*
 * m168a_swio15_lednop_ee_hw         m168p_swio15_lednop_ee_hw         m168pa_swio15_lednop_ee_hw
 * m328_swio15_lednop_ee_hw          m328p_swio15_lednop_ee_hw         m328pb_swio15_lednop_ee_hw
 * m164a_swio15_lednop_ee_hw         m164p_swio15_lednop_ee_hw         m164pa_swio15_lednop_ee_hw
 * m324a_swio15_lednop_ee_hw         m324p_swio15_lednop_ee_hw         m324pa_swio15_lednop_ee_hw
 * m324pb_swio15_lednop_ee_hw        a6613c_swio15_lednop_ee_hw        a6614q_swio15_lednop_ee_hw
 */
static const uint64_t ur_m168_swio15_lednop_ee_hw[] = {
  0xbdeeeeeed121b705, 0x6d5cb4b1ea610560, 0xe15a62774b88cf12, 0x17b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x1d8707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb40a, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xfe69d14f257ee686,
  0x000000000000016f,
};

/*
 * m168a_swio15_lednop_ce_hw         m168p_swio15_lednop_ce_hw         m168pa_swio15_lednop_ce_hw
 * m164a_swio15_lednop_ce_hw         m164p_swio15_lednop_ce_hw         m164pa_swio15_lednop_ce_hw
 * a6613c_swio15_lednop_ce_hw
 */
static const uint64_t ur_m168_swio15_lednop_ce_hw[] = {
  0x9beeeeeed12198e2, 0x5f72d2c5c09a5d63, 0x53d68bba306bbf6f, 0xb9930e22f66ecadb, 0xda75a82d0bc2b779,
  0xd69827c64ee94e1e, 0xdf1d9a6ffd87fcf8, 0x9e50b839b3ae2fae, 0xfc4361222fb892c7, 0x8dce5a66ffea3e12,
  0x8cf72c67eb2678bb, 0x58e3a7f064f7a8f3, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0x73d59b5e5caad6e1, 0xbb39d454aa35d9d8, 0x81013a6e576a96fa, 0xa1495c958f442a6b, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x000eb364fc3453c9,
};

/*
 * m168_swio15_lednop_ee_ce_u4_hw    m168a_swio15_lednop_ee_ce_hw      m168a_swio15_lednop_ee_ce_u4_hw
 * m168p_swio15_lednop_ee_ce_hw      m168p_swio15_lednop_ee_ce_u4_hw   m168pa_swio15_lednop_ee_ce_hw
 * m168pa_swio15_lednop_ee_ce_u4_hw  m164a_swio15_lednop_ee_ce_hw      m164a_swio15_lednop_ee_ce_u4_hw
 * m164p_swio15_lednop_ee_ce_hw      m164p_swio15_lednop_ee_ce_u4_hw   m164pa_swio15_lednop_ee_ce_hw
 * m164pa_swio15_lednop_ee_ce_u4_hw  a6613c_swio15_lednop_ee_ce_hw     a6613c_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x070525c5f547b387, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc39eacdaf2e556a5,
  0xd5d9cea2a551aece, 0x5c0809d372bb54b7, 0x950a4ae4ac7a2153, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x2f9b681463b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000005010f57a29e,
};

/*
 * m168_swio15_dual_pr               m168_swio15_dual_pr_u4            m168a_swio15_dual
 * m168a_swio15_dual_pr              m168a_swio15_dual_pr_u4           m168p_swio15_dual
 * m168p_swio15_dual_pr              m168p_swio15_dual_pr_u4           m168pa_swio15_dual
 * m168pa_swio15_dual_pr             m168pa_swio15_dual_pr_u4          a6613c_swio15_dual
 * a6613c_swio15_dual_pr             a6613c_swio15_dual_pr_u4
 */
static const uint64_t ur_m168_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xdf3720000370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b728, 0xcb3de3b3f77fff43, 0xa7f0707fd47dbe77, 0xc05507992b47b8e3, 0xe00ceda523884e62,
  0x63192a01ffb30475, 0xe2a4b81281e59eda, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x6e576a96fabb39d4,
  0x958f442a6b81013a, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053,
  0xdc79b09732f9b681, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d79f0baf3c95fb9, 0x0000000000000052,
};

/*
 * m168a_swio15_dual_pr_ee           m168p_swio15_dual_pr_ee           m168pa_swio15_dual_pr_ee
 * a6613c_swio15_dual_pr_ee
 */
static const uint64_t ur_m168_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x57581b696d032252, 0xcee9f12e20614306, 0x3805a98c7ff32add,
  0xe2b4dea393ad825a, 0xe7ef822847244fe0, 0xd6006e1f0a21895f, 0xda21955ddeef9b9d, 0x784c1ee2a10cb417,
  0x579096de76ffe80e, 0x9d3ffffd0e60b0de, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f, 0x669d68450ef8af67,
  0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa, 0x47eb70decbe9662e,
  0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3,
  0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb40a,
  0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0005641d145d79e4,
};

/*
 * m168a_swio15_dual_pr_ee_u4        m168p_swio15_dual_pr_ee_u4        m168pa_swio15_dual_pr_ee_u4
 * a6613c_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m168_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x860caeb036d2da06, 0x55bb9dd3e25c40c2, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0x7d8ece9ffffe8730, 0xbd4795e049aad68d, 0x2b2ebea3e0d983ee, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x291cbe39d5a5fe72, 0x6355ae875ed6276d, 0x8c5c242284c518f9, 0xab8b5beb70decb8f,
  0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa, 0x442a6b81013a6e57, 0x688af2a1495c958f,
  0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88139f450, 0x0dc79b09732f9b69, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x1592050baf3c95fb,
};

/*
 * m168a_swio15_dual_pr_ce           m168p_swio15_dual_pr_ce           m168pa_swio15_dual_pr_ce
 * a6613c_swio15_dual_pr_ce
 */
static const uint64_t ur_m168_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x30657581b696d032, 0xaddcee9f12e20614, 0x472381c19babff32,
  0xfe0e574dea3eced8, 0x95fe7ef822847244, 0xb8089006e1f0a218, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x86f2bc84b6fff3fe, 0x187613afffe87305, 0xf285c1ceafb8beb0, 0xe21b09117dc4963c, 0x37092b2a3f51f097,
  0x4f72c67d4b99e2ee, 0x8e3a7f0622fa8f22, 0x47109cc580bfb8ca, 0xff6678ebc019db4a, 0x40f2d6e4c6325403,
  0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0x1a2ce9f0dc79b097,
  0xa73f53ab337f0777, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x00d24320baf3c95f,
};

/*
 * m168a_swio15_dual_pr_ce_u4        m168p_swio15_dual_pr_ce_u4        m168pa_swio15_dual_pr_ce_u4
 * a6613c_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m168_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0xb61bece1a6e68adf,
  0x913f8328737a8f95, 0x86257f9fbe08a11c, 0xdf3719c801b87c28, 0x196804f4432abbbd, 0xbfe80e784d38c542,
  0x30586f2bc84b6e16, 0xf5328766cefffe87, 0x58f3ca170722b5c5, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3a013dcb19e1c667, 0xcea238e9fc1935ea, 0x69b91e45398b015f, 0x7cdc72c678ebc8b7, 0x9fc55f3bb8a928e8,
  0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9,
  0x0000000692042c5d,
};

/*
 * m168a_swio15_dual_pr_ee_ce        m168p_swio15_dual_pr_ee_ce        m168pa_swio15_dual_pr_ee_ce
 * a6613c_swio15_dual_pr_ee_ce
 */
static const uint64_t ur_m168_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x57581b696d032252, 0xcee9f12e20614306, 0x3862099aeff32add,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x64006e1f0a21895f, 0x2a21955ddeef9b81, 0x784d21e2a10cb418,
  0x579096def0ffe80e, 0x95bffffd0e60b0de, 0x395be77fd51cae1d, 0x6e5d0dd51f9e50b8, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xcaed52df57673a8a, 0xb1e8854d7020274d, 0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6da051, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0xa70baf3c95fb9a19, 0x0000000000009822,
};

/*
 * m168a_swio15_dual_pr_ee_ce_u4     m168p_swio15_dual_pr_ee_ce_u4     m168pa_swio15_dual_pr_ee_ce_u4
 * a6613c_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m168_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x30a1832bac0db4b6, 0xccb4b7e774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xcdc4e3c01b87c288, 0x5a11c910caaeef77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bfff53930, 0xa179dcc35c5f547d, 0x86c2445f71258f3c,
  0x4e3fb8ffd47c25f8, 0xb5b9b9ba678bb8dc, 0x60ccaf51e57bee53, 0x50298aedd7a8f836, 0x185962291669d684,
  0x3abb729e1d484d7d, 0x1d7a89767f11f507, 0x141ea8fe4b1aaf1b, 0x470decbe9662e121, 0x29663e6f6a8d8226,
  0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0xdaa5beaece75152a, 0xd10a9ae0404e9b95, 0x5a22bca852572563,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000010013e09c4f,
};

/*
 * m168a_swio15_dual_hw              m168p_swio15_dual_hw              m168pa_swio15_dual_hw
 * a6613c_swio15_dual_hw
 */
static const uint64_t ur_m168_swio15_dual_hw[] = {
  0x47777776890c0668, 0xf56df5fe2f652996, 0xa58b7638f913f78b, 0x10321f4d5f1da0dd, 0x8fe10ce73d6ddb22,
  0xf19364ee40fac137, 0xa0644a4a45d0e609, 0x0c2860caeb036d2d, 0xfe655bb9dd3e25c4, 0xfcd82fb3814599c9,
  0x1c913f8332a6f51d, 0x2886257f9fbe08a1, 0xdeef9b900001b87c, 0x50865a119221955d, 0x943ffa039e135ad1,
  0xfdcc161bcaf212db, 0x3be59ef1d9fbbfda, 0x71d3f8383fea3edf, 0x31602a83cc95a3dc, 0x3af00676d291c427,
  0x6d318c9500ffd982, 0x7771525c0940f2cf, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x9d372bb54b7d5d9c,
  0xae4ac7a21535c080, 0x75cf6ab4457950a4, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x40a8ab7b15545a48,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x8dd579f514f257ee, 0x0000000000000001,
};

/*
 * m168a_swio15_dual_ee_hw           m168p_swio15_dual_ee_hw           m168pa_swio15_dual_ee_hw
 * a6613c_swio15_dual_ee_hw
 */
static const uint64_t ur_m168_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x32bac0db4b681912, 0xee774f8971030a18, 0xd1c02d4c63ff9956,
  0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0xece9fff6bf730586, 0x795e9b9aad68dc98, 0x3bd47c1b3071efd4, 0x8b34eb422877c57b,
  0xb9a426be8c2cb114, 0xf5073ab4ba9e5c54, 0x56ba1d7a89767f11, 0x70908a0f547f258d, 0x823f5b86f65f4b31,
  0xb8a928043e6f6a8d, 0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x2563d10a9ae0404e,
  0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414, 0x371e6c25ccbe6da0,
  0x9fca1854e7ea5eae, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x0000000015da1d16,
};

/*
 * m168a_swio15_dual_ce_hw           m168p_swio15_dual_ce_hw           m168pa_swio15_dual_ce_hw
 * a6613c_swio15_dual_ce_hw
 */
static const uint64_t ur_m168_swio15_dual_ce_hw[] = {
  0x05eeeeeed121a5fb, 0xbd5b7d78db44f532, 0xd421dd3b4d3848cb, 0x23e44a5557badc6a, 0xb2b8a6bd8beec0b3,
  0x6491fb94b235d74a, 0x191292902a89827c, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0x6c2391c0e0cdd5ff,
  0x227f072ba6f51f67, 0x0c4aff3f7c114239, 0x7cdc04480370f851, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x82c3795e425b7ff9, 0x580c3b09d7fb5fb9, 0x1e7942e0e757dc5f, 0x4bf10d8488bee24b, 0x771b9722495fa8f8,
  0x9127b9633ea5ccf1, 0x65471d3f83117d47, 0xa523884e62c05fdc, 0x01ffb33c75e00ced, 0x04a0796b7263192a,
  0xb59fc55f3bb8a92e, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0x0a9ae0404e9b95da, 0x22bca852572563d1,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0x1539fa82ec6e3cd8,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x0000000001375325,
};

/*
 * m168a_swio15_dual_ee_ce_hw        m168p_swio15_dual_ee_ce_hw        m168pa_swio15_dual_ee_ce_hw
 * a6613c_swio15_dual_ee_ce_hw
 */
static const uint64_t ur_m168_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0xcaeb036d2da0644a, 0xb9dd3e25c40c2860, 0x870c41335dfe655b,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x2c800dc3e144312b, 0x054432abbbddf370, 0xcf09a43c54219683,
  0xcaf212dbde1ffd01, 0xb2b7ffdafdcc161b, 0x072b7ceffaa395c3, 0xc6e747d493f3ca17, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0xdcaed52df57673a8, 0x2b1e8854d7020274, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0x71e6c25ccbe6da05, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2, 0x54ea29e4afdcd0cc,
  0x00000000000044d3,
};

/*
 * m168a_swio15_dual_ee_ce_u4_hw     m168p_swio15_dual_ee_ce_u4_hw     m168pa_swio15_dual_ee_ce_u4_hw
 * a6613c_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m168_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x0db4b68191292917, 0xf8971030a1832bac, 0x1cdcb5f997612774,
  0x7a8f8ddb0ec1385e, 0x114239227f06d773, 0x70f8510c4aff3f7c, 0x55ddeef9b89c7803, 0xee2a10cb42392219,
  0x6dc92bfe80e784db, 0xfaa7260b0de57909, 0xc5f547d5e3b261bf, 0x258f3c6f860e4c35, 0x7c25f886c2445f71,
  0x8bb8dce1fe3eefd4, 0x7bee53b5b9b9ba67, 0xa8f83660ccaf51e5, 0x69d68450298aedd7, 0x484d7d1859622916,
  0x11f5073abb729e1d, 0x1aaf1b1d7a89767f, 0x62e121141ea8fe4b, 0x8d8226470decbe96, 0x3bb8a929663e6f6a,
  0x66d7972ab59fc55f, 0x75152a8d76761cf5, 0x4e9b95daa5beaece, 0x572563d10a9ae040, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x7523c985f4f257ee,
  0x000000000000001d,
};

// m168pb_autobaud_uart0_noled_pr
static const uint64_t ur_m168pb_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x416caef2776c7b21,
  0x6b267fba9827c602, 0x55022054f848f5ff, 0xf5526bee6de02e88, 0x5921c368ded51c2b, 0x3f83349ea3d7f3be,
  0x80b7ba6b5aa5c71d, 0xe2e763488ccf1cc5, 0x8564356e39630475, 0xbce70b37e06256bd, 0xc2de6f0725603bd6,
  0x8bf9b752d5ca52f9, 0x33a204cf8a042d3b, 0x6c25ccbe6da718de, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x87494b659289c659, 0x2d274f257ee68665, 0x0000000001c44092,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_pr_u4[] = {
  0x6eeeeeed1222e59b, 0xbbbbbaabf0bedb89, 0xf4bc7cc982fdb1fb, 0x1c00f26eeedc4e1f, 0x93bbc962732193aa,
  0xfcc13e30120b6577, 0x3e12ea3ffbe1e7f6, 0x9b780ba215408815, 0x37b5470afd549afb, 0xd47e80ef9610f0da,
  0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6, 0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0xc2cdf81895af60e3,
  0x7807d4180ef5af39, 0x75539794d8ce16f3, 0xd2c2e718de33a205, 0xe6d892455bd8aaa2, 0xe2e4d5c1e6c25ccb,
  0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x186bea87d0e792bf, 0x0000000000000001,
};

// m168pb_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m168pb_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x04f8c0482d95de4e, 0x94aeffef879fd9d3, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0x49aad68e7186d1bd,
  0xf06cc1a63ea3cae4, 0xd68450ef8afbaf51, 0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059,
  0x8a39e461c6c6ab5d, 0xadc37b2d97317090, 0x600544a9a546c11f, 0xaf39c2cdf81895af, 0x16f37807d4180ef5,
  0xa20575539794d8ce, 0xaaa2d2c2e718de33, 0x5ccbe6d892455bd8, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00009a9c9a07d0e7,
};

// m168pb_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m168pb_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x95a609f180905b2b, 0x53e12287ffdf0f3f, 0xb9b780ba21540881, 0xa37b5470afd549af, 0x953b7f2e2fae490d,
  0xd8488bee24b1e78c, 0x3fcc41fa8f84bf10, 0xb9633f5933c5dc6e, 0x8e9fc1eb3d4727a7, 0x7ac398b0147ce923,
  0xf6678ebd1f3b57f4, 0x3cb5b87d99e5403f, 0x66fc0c4ad7b071f0, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc,
  0x61738c6f19d102ba, 0xd89218edec555169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xabcdb7d0e792bf73,
  0x000000000000011b,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x04f8c0482d95de4e, 0x20b5ffdf0f3e3373, 0x80ba2154088153e1, 0x5470afd549afb9b7, 0x877fd51bf90da37b,
  0x5da1f7e78c953bc0, 0xacac7be6139dc6e3, 0x06b5fd4795f5129d, 0x814c5613fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd388ea426be8, 0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132,
  0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00566d3ebbe873c9,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x2ddddddda2435f41, 0x7777775573c14671, 0x6ec48f4eb23a1bb7, 0x6277d3c3f006ead0, 0x3bb45fddb62ae264,
  0xcc13e30120b65779, 0x4a76fff2907cfd6f, 0xe02e8855022054f8, 0xd51c2bf5526bee6d, 0x1b8bea8e43c368de,
  0xee24b1e7942e0e1c, 0xfa8f84bf10d8488b, 0xf99e2ee373a3ea49, 0xa3cafa894ed6e6de, 0x09fea3e0d9835afe,
  0xa459a75a1140a62b, 0xc4752135f4616588, 0xdb7b4782ce7576e9, 0x1c6c6abc6c75e74d, 0xd973170908a39e46,
  0x4d2a3608991c37b2, 0x6fc0c4ad7b0b3a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0x89218edec5551696, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x104437202ebcf257,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_hw[] = {
  0x25bbbbbbbacdc49f, 0xeeeeeeeaafc2eebe, 0x20da569425f9b006, 0xb4133f4a64f77775, 0x0b657793bb98921a,
  0x38f3e7acc13e3012, 0xa0440a9f094beffc, 0xaa4d7dcdbc05d10a, 0x24386d1bdaa3857e, 0xf83349ea3f3c77cb,
  0x0b7ba61be4f471d3, 0x2e767b48f199cc58, 0x15944ee39630475e, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a,
  0x20575539794d8ce1, 0xaa2d2c2e718de33a, 0xccbe6d892455bd8a, 0x30ae4fcfec376c25, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x000006d96addd829,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0x674c13e30120b657, 0x54f84a577fd0a67f, 0xee6de02e88550220, 0x68ded51c2bf5526b, 0xe57224d56b4738c3,
  0xd7a8f83660d31f51, 0x8b34eb422877c57d, 0xc9a426be8c2cb114, 0x782ce756979c571a, 0x55ae875e74ddb7b4,
  0xb848451cf230e363, 0x608fd6e1bd96cb98, 0x4ad7b002a254d2a3, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xf3612e65f36c4922, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x927453c95fb9a199, 0x00000000000589ef,
};

static const uint64_t ur_m168pb_autobaud_uart0_noled_ce_hw[] = {
  0x96eeeeeed1218375, 0x777777557a4fe2f8, 0x1889b0b4663b4177, 0xc4d2cfde3bdddda1, 0x6caef27760580ad6,
  0x4cfe569827c60241, 0x0440a9f09143ffa1, 0xa4d7dcdbc05d10aa, 0x2486d1bdaa3857ea, 0xe7942e0e3f9717d7,
  0xbf10d8488bee24b1, 0x71b863e337fa8f84, 0x9e9ee58cfd64cf17, 0xa48e3a7f07acf51c, 0x5fd1eb0e62c051f3,
  0x00ffd99e3af47ced, 0xc7c0f2d6e1f66795, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d,
  0x45a585ce31bc6744, 0x2f9b624863b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0003746e3072a29e,
};

// m168pb_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xfcc13e30120b6577, 0x3e129dbffa14cfd6, 0x9b780ba215408815, 0x37b5470afd549afb, 0x8706e2faa390f0da,
  0x22fb892c79e50b83, 0xc8fea3e12fc43612, 0xdbdf33c5dc6e2545, 0x5fd4795f5129dadc, 0xc5613fd47c1b306b,
  0xb1148b34eb422814, 0xdd388ea426be8c2c, 0xe9bb6f68f059ceae, 0xc8c38d8d578d8ebc, 0xf65b2e62e1211473,
  0x44a9a546c1132386, 0xc2cdf81895af6167, 0x7807d4180ef5af39, 0x75539794d8ce16f3, 0xd2c2e718de33a205,
  0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0004a90dc8514f25,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xb5933f224c13e301, 0x2a81102a7c25a57f, 0xfaa935f736f01744, 0x2c90e1b46f6a8e15, 0x4fe0cd27a8e4f1df,
  0xb016f74c3e7491c7, 0xf173b35f23905398, 0x61583ef71cb1823a, 0x0809c2cdf81895af, 0xbcd914180ef5af3c,
  0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x7e7f61bb612e65f3, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x598bf5ad274f257e, 0x0000000000000003,
};

// m168pb_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr[] = {
  0xb77777768911259b, 0xdddddd55f85cb8c4, 0xedbf4a9171debd3d, 0xff1fe2f7776e270f, 0x4eecbbb120ce05c2,
  0x7304f8c0482d95de, 0xf84bbaffef879f8f, 0x6de02e8855022054, 0xded51c2bf5526bee, 0x51ed63be5843c368,
  0xc907e38e9fc1a0bf, 0x4690ce62c0596537, 0xff6608ebd1f3b2cf, 0x0f2cf6d059a45403, 0x59bf0312b5ec82b4,
  0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8,
  0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0x7d0e792bf734332c, 0x000000001186080b,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr_ee[] = {
  0xddddddd0f5a22044, 0x7777755717fa0b12, 0x34cfda9bfa7a6277, 0xb210646d6ef1f1b6, 0x829395c1086d16a2,
  0x3e30120b657793ba, 0xa6fffbe1e7c6b4c1, 0x17442a81102a7c25, 0x8e15faa935f736f0, 0x6ab5a39c61b46f6a,
  0x1b30698fa8f2b32a, 0x422877c561efd47c, 0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7,
  0x82791bdab1aad743, 0x70decb65cc5c2422, 0x021f667951b047eb, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xe722adec555169ab, 0x357079b09732f9b6, 0xf207e50d1674f8b9,
  0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9,
  0x0000001353ba79f4,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x09f180905b2bbc9d, 0x2cadffdf0f3fa6e6, 0x80ba2154088153e1, 0x5470afd549afb9b7, 0xf355ad1af90da37b,
  0x83660f22fa8f2b09, 0xb422877c57227a8f, 0x6be8c2cb1148b34e, 0xd5a5e5f2e2899a42, 0x5eba9bb08a8f9e39,
  0x8afe8f596355ae87, 0xc37b2e1c8c5c2422, 0x0312b5ec5c0fbfad, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00001353922f7d0e,
};

// m168pb_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0xba9827c602416cae, 0x4f84b027ff7c3cfd, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0xa9dd4ab8beb92436,
  0xc2445f71258f3c64, 0x6fc00fd47c25f886, 0x9633f5933c5dc6e5, 0xe9fc1eb3d47e927b, 0x43398b0153111638,
  0x99e3af47cecb3d1a, 0x2d6e416691500ffd, 0xbf0312b5ec82b40f, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x1cf257ee68665874,
  0x00000011bad594fa,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x827c602416caef27, 0x958ffff7c3cf8689, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0xb3bfea8dfc86d1bd,
  0x293f5ff3c64a9def, 0x6b2b1ef984e771b8, 0xc1ad7f51e57dd4a7, 0xa05315edff51f06c, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0x1d79d3768c919347, 0x282791bdab1aaf1b, 0x470decb65cc5c242, 0x8598fb33ca8d8226,
  0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0x8b93571b09732f9b, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e, 0xec7f7d0e792bf734,
  0x0000000000000566,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x2ddddddda2436d3a, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0x776e76cd8f6c98cc,
  0x9827c602416caef2, 0x4b107fe520f9f43e, 0xe02e8855022054f8, 0xd51c2bf5526bee6d, 0xab8bea8e43c368de,
  0xee24b1e7942e0e25, 0xfa8f84bf10d8488b, 0xf33c5dc6e0224c03, 0x4795f7529dadcdbd, 0xb7fd47c1b306b5fd,
  0x48b34eb422814c57, 0xa8ea426be8c2cb11, 0xda32464d1ceaedc7, 0xf6ac6abc6c75e74d, 0xd973170908a09e46,
  0xcf2a3608991c37b2, 0xdf81895af61663ec, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x4a2ebcf257ee6866, 0x00000000001044cb,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xc38f3f224c13e301, 0x55022054f84b4aff, 0xf5526bee6de02e88, 0x5921c368ded51c2b, 0x9fc19a4f51c9e3be,
  0x602dee987ce9238e, 0xe2e766be4720a731, 0xc2b07dee39630475, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xfcfec376c25ccbe6, 0x138cb25c33d30ae4,
  0xcd0ccb0e9296cb25, 0xdb2d7d7d829e4afd,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0xd69827c602416cae, 0xa9f0969bffa14cf8, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0xcacca9aad68e7186,
  0xbf51f06cc1a63ea3, 0x2cd3ad08a1df1587, 0x26909afa30b2c452, 0xc9a39d5a5cf55c6b, 0xab5d0ebce9bb4648,
  0x70908a09e46f6ac6, 0xc11fadc37b2d9731, 0x2b5ec0087d99e546, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00000589e015a8a7,
};

static const uint64_t ur_m168pb_autobaud_uart0_lednop_ce_hw[] = {
  0x2ddddddda2431768, 0xeeeeeeaaf49f8671, 0xc47179b163f6c8ee, 0x67ae34d4deeeed08, 0x657793ba6e8ed68f,
  0x67edd4c13e30120b, 0x22054f84b027fd0a, 0x26bee6de02e88550, 0x24368ded51c2bf55, 0x7942e0e54ab8beb9,
  0xf10d8488bee24b1e, 0xc6e7fc0d1fa8f84b, 0x927b9633f5933c5d, 0x1638e9fc1eb3d47e, 0x3d1a43398b015311,
  0x0ffd99e3af47cecb, 0xb40f2d6e41669150, 0x3859bf0312b5ec82, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0x6e3cd84b997cdb73, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xee10fd14f257ee68, 0x0000000000003746,
};

// m168pb_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xfa609f180905b2bb, 0x4f84b107fd0a67d0, 0xe6de02e885502205, 0x8ded51c2bf5526be, 0xe25ab8bea8e43c36,
  0x88bee24b1e7942e0, 0xce5fa8f84bf10d84, 0x36f7ccf1771b9494, 0xd7f51e57dd4a76b7, 0x315edff51f06cc1a,
  0x2c4522cd3ad08a05, 0xb71ea3a909afa30b, 0x9d3768c9193473ab, 0x791bdab1aaf1b1d7, 0xdecb65cc5c242282,
  0x8fb33ca8d8226470, 0x70b37e06256bd859, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x265a5a29e4afdcd0, 0x0000000000000095,
};

// m168pb_autobaud_uart0_dual_pr     m168pb_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m168pb_autobaud_uart0_dual[] = {
  0x5bbbbbbb4486dd9e, 0xeeeeeedf8d4fed1b, 0xa71d6414ccf59f6e, 0xd3924c765bbbab8f, 0x20770fcabdd17ae2,
  0x827c602416caef24, 0xa5b40c8949485249, 0xb881850c195d606d, 0x5bafccab773ba7c4, 0x4760bb0c087095d3,
  0x508e489fc19c39bd, 0x3e144312bfcfdf04, 0xaeef77cdc7f800dc, 0xe8a8432d0d2910ca, 0x6ddd2ffd01cf09a6,
  0xd8d0e60b0de57909, 0x154088153e127f3f, 0xfd549afb9b780ba2, 0xcb1350da37b5470a, 0xa7f0621fd47c8a77,
  0xb01541e69c5ef8e3, 0xf00676b591d7f398, 0x0e90d500ffd9823a, 0xc549549d03cb3db1, 0x1895af64fe2af9dd,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2e65f36dce455bd8,
  0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x00000000b82a0e31,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ee[] = {
  0xadddddddd41432db, 0x7777776fc3f75c4d, 0x5f05947d3ef5c2f7, 0xcd8eba9be9dbb619, 0x1c115658219d210e,
  0xc0482d95de49ba77, 0x32252520551304f8, 0x1430657581b696d0, 0x32addcee9f12e206, 0xb0c40706bb990fbf,
  0x89fc18689bd477f9, 0x312bfcfdf04508e4, 0xf37011200dc3e144, 0x9686044432abbbdd, 0xfd01cf098bac5421,
  0x0b0de579096dffe7, 0x2a7c244ebfd8d0e6, 0xf736f017442a8110, 0xb46f6a8e15faa935, 0xe56bee6ab5a39121,
  0x57a8f83660c14f51, 0x1669d68450ef8aea, 0x73484d7d18596229, 0xef673ab4b994b8a9, 0x56ba1d7a89768851,
  0x70908a04547cf58d, 0x823f5b86f65f4b31, 0xb8a9280427f58a8d, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf,
  0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0xddc68b2d5e371e6c,
  0x30a9cfd4eaccdfc1, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c, 0x90ad42ebcf257ee6,
  0x000000000000014a,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ee_u4[] = {
  0x36b7777776890c86, 0xbbbbbbbb7e1fbdfb, 0xa520adb178d5b5df, 0x0b201a2f537d3b74, 0x25dddd8dd9683cc5,
  0x13e30120b6577936, 0xb68191292909c7cc, 0x1030a1832bac0db4, 0x41f9956ee774f897, 0xe1a361a68e0ff26c,
  0x239227f0763f37a8, 0x8510c4aff3f7c114, 0x77bbe6e52500370f, 0xa8432d0296886557, 0xddaffa039e137ce8,
  0x43982c3795e425b7, 0x088153e12eafff63, 0x49afb9b780ba2154, 0x950da37b5470afd5, 0x7a8f2b8f7355ad1e,
  0x2b913d47c1b307f2, 0x88a459a75a1143be, 0xe105cd2135f46165, 0x4547d21cead2fa52, 0xd8d56ba1d7b589d8,
  0x8c5c24228afe8ea5, 0x5703efeb70decb8f, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xde6f2dd4180ef5af,
  0xbe54dea53929d002, 0xa2047514085a7017, 0x25ccbe6da718de33, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x2ebcf257ee686658,
  0x00000000052a4814,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ce[] = {
  0x5bbbbbba1eb432db, 0x7777776fc361009b, 0xb15cea2f2d5b9337, 0xaeec2c9f7bbba539, 0x322ee3822ac69e33,
  0x609f180905b2bbc9, 0xa5b40c894948f5aa, 0xb881850c195d606d, 0xb5bfccab773ba7c4, 0x7ddad826d9c276e6,
  0x11c913f8331f9bd4, 0xc2886257f9fbe08a, 0xbbddf3719c801b87, 0x54219681754432ab, 0xc2d7fd01cf0992b4,
  0xd0e60b0de579096d, 0x81102a7c25b3bfd8, 0xa935f736f017442a, 0x4021b46f6a8e15fa, 0xf3ca17071d2dc5f5,
  0x5f886c2445f71258, 0xdc6e6206bbfd47c2, 0xdf9ee58cfa9733c5, 0xe471d3f83a97ea38, 0xb23afe7316028283,
  0x1ffb33c75e00ced6, 0xe81e5adc21d21aa0, 0x27f157ceee2a4aa4, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a, 0x3e1b8f3612e65f36, 0x75666fe0eee3459d,
  0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c, 0xec175e792bf73433,
  0x0000000000056bda,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ce_u4[] = {
  0xdaddddddda2432db, 0x77777776fc361d6c, 0x765bf762fb2b535f, 0x4a3f738b56eeed89, 0xb82ee3822ac07c67,
  0x609f180905b2bbc9, 0xd2da0644a4a42e0a, 0x5c40c2860caeb036, 0x8347e655bb9dd3e2, 0x8fd3fb0b1f387fc9,
  0x4239227f07d5f37a, 0xf8510c4aff3f7c11, 0x777bbe6e25400370, 0x8a8432d04ac88655, 0xb9c1ffa039e132fb,
  0x1a1cc161bcaf212d, 0x5022054f84b2b7fb, 0x5526bee6de02e885, 0xabe4368ded51c2bf, 0x1e7942e0e145b8be,
  0x4bf10d8488bee24b, 0xbb8dcc40d77fa8f8, 0xb873dcb19e1c6678, 0x7b8e3a7f061c7d47, 0x9e46f68e62c05887,
  0xf71cb19e3af22dd8, 0xe2af9ddc54947427, 0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa94e4a7400b79bcd,
  0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x371e6c25ccbe6db9, 0x599bf83bb8d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x6bd9662ebcf257ee,
  0x0000000000000005,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1b5bbbbbbba86f97, 0xeeeeeeeedf98ec7e, 0x27dda083e44fdebd, 0x7d7aefa16ccf7539, 0xcf046752c8a75609,
  0x30120b657792af9d, 0x32252520e49cc13e, 0x1430657581b696d0, 0x32addcee9f12e206, 0x60cf870eb39990ff,
  0x4fe0ff5e6f51e61b, 0x895fe7ef82284724, 0x9b9e72006e1f0a21, 0xb412d221955ddeef, 0xe80e784d1ca2a10c,
  0x586f2bc84b6e293f, 0x53e12d35fec68730, 0xb9b780ba21540881, 0xa37b5470afd549af, 0x38358effaa37270d,
  0x1b9787cb5f9e50b8, 0x4a76b2b26e984e77, 0x83660d7cf51e56fe, 0x68450298ae037a8f, 0xd7d185962291669d,
  0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f, 0x0908a04547cf58d5, 0x1132386f65f4b317, 0xc5494b313fac546c,
  0x1895af64fe2af9dd, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5ccbe6db9c31dbd8, 0x771a2c79c371e6c2, 0xa615c9fbab337f07, 0x52d9f0271964b867, 0xf3c95fb9a19961d2,
  0x00000006221ce0ba,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbbbb456ddb69f, 0xbbbbb7e15babd9b5, 0xf60987c705af05bb, 0xfa6d8b74abeabfea, 0xce8438dfc3793c89,
  0x792cf9dd202f9e5c, 0xf5cc13e30120b657, 0x36d2da0644a4a458, 0xe25c40c2860caeb0, 0x3737ff32d2df9dd3,
  0x47672d8747ce0a49, 0xa11c913f836439bd, 0x7c2886257f9fbe08, 0xeef77cdcb92801b8, 0x2a10cb4136d10caa,
  0xf59ffd01cf09ac7e, 0x374c161bcaf212db, 0x1102a7c258ddfffa, 0x935f736f017442a8, 0x7a1b46f6a8e15faa,
  0xa179d8cddc5f546a, 0x86c2445f71258f3c, 0xd507907fd47c25f8, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253,
  0x2814c5701bd47c1b, 0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6,
  0x91c37b2fa598b848, 0x4a5989fd62a36089, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x5f36dce18edec555, 0xdf1726ae0f3612e6, 0xeaccdfc1fb763458,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0xd5b9705713e792bf, 0x000000000000000f,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_hw[] = {
  0xb7777776890c5aa4, 0xddddddbf1a9fda36, 0x4e3ac82999eb3edd, 0x272498ecb777571f, 0x24207761f4da6d82,
  0x49827c602416caef, 0x6da5b40c89494852, 0xc4b881850c195d60, 0xd35bafccab773ba7, 0xbd4760bb0c087095,
  0x04508e489fc19c39, 0xdc3e144312bfcfdf, 0xcaaeef77cdc7f800, 0xa6e8a8432d0d2910, 0x096ddd2ffd01cf09,
  0x9ffea4660b0de579, 0xd10aa0440a9f093f, 0x857eaa4d7dcdbc05, 0x3be589a86d1bdaa3, 0x71d3f8310fea3e45,
  0xcc580aa0f34e2f7c, 0x1d78033b5ac8ebf9, 0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xfc0c4ad7b27f157c,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0xb09732f9b6e722ad,
  0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x3a29e4afdcd0ccb0, 0x0000000007a3720e,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_ee_hw[] = {
  0x36b7777776890c86, 0xddddddddbf0fdd71, 0x657c1651f4fbd70b, 0x3b363aea6fa76ed8, 0xd3bbbb1bb3798a84,
  0x27c602416caef24d, 0xb68191292902a898, 0x1030a1832bac0db4, 0x7df9956ee774f897, 0xbfcd86203835dcc8,
  0x47244fe0c344dea3, 0x0a21895fe7ef8228, 0xdeef9b8089006e1f, 0xa10cb4302221955d, 0xff3fe80e784c5d62,
  0x2330586f2bc84b6f, 0x0440a9f0913afff5, 0xa4d7dcdbc05d10aa, 0x4486d1bdaa3857ea, 0x3d4795afb9aad68e,
  0x2ba95ea3e0d98305, 0x88a459a75a1143be, 0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da,
  0x2cc5c242281151f3, 0x2a3608fd6e1bd97d, 0x7ceee2a4a0109fd6, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1,
  0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x56aa29e4afdcd0cc,
  0x00000000000160e4,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_ce_hw[] = {
  0xaddddddda243359b, 0xbbbbbbb7e1b0804d, 0xd8ae751796adc99b, 0xaf76164fbdddd29c, 0x24c8bb8786614d6b,
  0xa9827c602416caef, 0xb696d032252523d6, 0x12e2061430657581, 0x9ad6ff32addcee9f, 0x51f76b609b6709db,
  0x2847244fe0cc7e6f, 0x1f0a21895fe7ef82, 0xaeef77cdc672006e, 0xd150865a05d510ca, 0xb70b5ff4073c264a,
  0xfa91982c3795e425, 0x55022054f84b677f, 0xf5526bee6de02e88, 0xea804368ded51c2b, 0xb1e7942e0e3a5b8b,
  0x84bf10d8488bee24, 0xc5dc6e3fcc41fa8f, 0x38df9ee58cfa9733, 0x83e471d3f83a97ea, 0xd6b23afe73160282,
  0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79,
  0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x002f46e5d9453c95,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdadddddddd437089, 0x77777776fcc763f0, 0x3eed041f227ef5ef, 0xebd77d0b667ba9c9, 0x75e4f595b5b4b04b,
  0x8c0482d95de4abe7, 0x0c8949483927304f, 0x850c195d606da5b4, 0xccab773ba7c4b881, 0xd833e1c3ace6643f,
  0x13f83fd79bd47986, 0x6257f9fbe08a11c9, 0xe6e79c801b87c288, 0x2d04b488655777bb, 0xfa039e134728a843,
  0x161bcaf212db8a4f, 0x2a7c25a6bffd48cc, 0xf736f017442a8110, 0xb46f6a8e15faa935, 0x0706b1dff546e4e1,
  0xb8dc800293f3ca17, 0xf253b5959374c273, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x985727e7f61b8f36, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000009afc3ce51,
};

static const uint64_t ur_m168pb_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468b202, 0xeeeeedf856eaf66d, 0xfabd8261f69c16ee, 0x227e9b62dd2afaaf, 0xe918ef0727f0de4f,
  0x0b657792cf9ddfd6, 0x4a458f5cc13e3012, 0xcaeb036d2da0644a, 0x49dd3e25c40c2860, 0x9c14926e6ffe65d8,
  0xc8737a8ece5b0e8f, 0x3f7c114239227f06, 0x500370f8510c4aff, 0xa21955ddeef9b972, 0x1358fc542196826d,
  0xe425b7eb3ffa039e, 0xddfecf43982c3795, 0x7442a81102a7c258, 0xe15faa935f736f01, 0x5f546a7a1b46f6a8,
  0x58f3c6f860e0cddc, 0xc25f886c2445f712, 0x1771b8a49cdffd47, 0x6fe4a76b737374cf, 0xa8f83660d7cf51e5,
  0x69d68450298ae037, 0x484d7d1859622916, 0x28f7b39d5db8ca1d, 0x8d578d8ebd44bb44, 0x3170908a04547cf5,
  0x46c1132386f65f4b, 0x9ddc5494b313fac5, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc2fa792bf734332c, 0x000000004269f3d0,
};

// m168pb_u1x8_uart0_noled_pr
static const uint64_t ur_m168pb_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf829304f8c0482d9, 0x805bd817c9fed64c, 0x01df2c21ee737f68, 0xd1c74fe0d05fa8fd, 0xc398b016594cf7da,
  0x608ebd1f3b57f47a, 0xcf6c7d99e5403ff6, 0xf0312b5ec1c7c0f2, 0xa8301deb5e73859b, 0x2f29b19c2de6f00f,
  0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xf386ed84b997cdb1, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x200725a4e9e4afdc, 0x000000000000001f,
};

static const uint64_t ur_m168pb_u1x8_uart0_noled_pr_u4[] = {
  0xdddddd7751222743, 0x7777755761c2f712, 0x5b3f77e1f19a4cf7, 0x3f5a5f9bbba44059, 0xc9dda8bc96c7ac1e,
  0x52609f180905b2bb, 0xdec0be4ffef879f0, 0xf9610f739bfb4402, 0x3a7f0682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x895af60e3e07967b, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x1e6c25ccbe6d8924, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x7d0e792bf734332c,
  0x0000000007c9e5a5,
};

// m168pb_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m168pb_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xf8c0482d95de4ee9, 0xa5ffef879f297304, 0x6e737f68805bd813, 0xa8f2b9126ab5a39c, 0xbeebd47c1b30698f,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xda3c1673ab4bce2b, 0xb1aad743af3a6edb, 0xcc5c24228e791871,
  0x51b047eb70decb65, 0x06256bd801512a69, 0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5,
  0x9156f62aa8b4b0b9, 0x7079b09732f9b624, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x71f439e4afdcd0cc, 0x000000000013ae2a,
};

// m168pb_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m168pb_u1x8_uart0_noled_pr_ce[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xe9827c602416caef, 0xec08a2fff7c3cffc, 0xfae49739bfb4402d, 0x4b1e78c953b7f2e2, 0xf84bf10d8488bee2,
  0x3c5dc6e3fcc41fa8, 0xd4727a7b9633f593, 0x47ce9238e9fc1eb3, 0xf3b57f47ac398b01, 0x9e5403ff6678ebd1,
  0x7b071f03cb5b87d9, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6, 0xc55516961738c6f1,
  0x25ccbe6d89218ede, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000006eba65a7d0e,
};

static const uint64_t ur_m168pb_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaeed414477d6, 0xdddd55ee0541625b, 0x33f6a6fe9e989ddd, 0x0910e0fbbe96a18d, 0xd38ae0fda68b5159,
  0x180905b2bbc9dd7a, 0x7ffdf0f3e35a609f, 0xce6fed100b7b02d3, 0x54ef021dff546fe5, 0x771b9d66c87f9e32,
  0xd44a76b2b1ef984e, 0x1f06cc1ad7f51e57, 0x3ad08a0531584ff5, 0x09afa30b2c4522cd, 0x3c1673abb74e23a9,
  0x55e363af3a6edbda, 0xb848451cf230e363, 0xb044c8e1bd96cb98, 0x256bd859d12a6951, 0x03bd6bce70b37e06,
  0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xf3612e65f36c490c, 0xca1a2cb579726ae0,
  0xc2a73f53ab31e40f, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271, 0xe74f3e873c95fb9a,
  0x0000000000000027,
};

static const uint64_t ur_m168pb_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x777775dd44867f3e, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0x8d545eccdd6fa772,
  0x9f180905b2bbc9dd, 0xb5ff9483e7c66e60, 0xdce6fed100b7b020, 0x2e0e1c1b8bea8e43, 0xd8488bee24b1e794,
  0xa3ea49fa8f84bf10, 0xd6e6def99e2ee373, 0x835afea3cafa894e, 0x40a62b09fea3e0d9, 0x616588a459a75a11,
  0x7576e9c4752135f4, 0x75e74ddb7b4782ce, 0xa39e461c6c6abc6c, 0x1c37b2d973170908, 0x0b3a254d2a360899,
  0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xbcf257ee68665874, 0x00000009f83f042e,
};

// m168pb_u1x8_uart0_lednop_pr
static const uint64_t ur_m168pb_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xebe4c13e30120b65, 0x016f60498ffb5933, 0xc77cb243b9cdfda2, 0x471d3f83349ea393, 0x4e62c05bdd30f9d2,
  0x08ebc5cecd7c8e41, 0x56bd8560fbdc72c6, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0xfe3458f386ed84b9, 0x30ae4fdd598f2068, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x000003e439c5a4e9,
};

static const uint64_t ur_m168pb_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddd77512233c3, 0x7777755761c1af12, 0x2f7b3dfb0dbd8037, 0x5d7f89dddd2202ca, 0x3ba47e5dbd38e3e9,
  0x4c13e30120b65779, 0xd814ddffdf0f3e80, 0x2c21ee737f68805b, 0x4fe0d05fa8f6b1df, 0x602cb29be483f1c7,
  0xe8f9d967a3486731, 0x2cd22a01ffb30475, 0x5af6415a07967b68, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x03e4edc83e873c95,
};

// m168pb_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m168pb_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0xe30120b657793baf, 0xd7ffbe1e7d4f4c13, 0xb9cdfda2016f6045, 0xa3cacca9aad68e71, 0x87bf51f06cc1a63e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x48c9a39d5a5cf55c, 0xc6ab5d0ebce9bb46, 0x3170908a09e46f6a,
  0x46c11fadc37b2d97, 0x312b5ec0087d99e5, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00004eb938b7d0e7,
};

// m168pb_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m168pb_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x39827c602416caef, 0xec092b7ff7c3cf9c, 0xfae49739bfb4402d, 0x963cf192a7752ae2, 0xf097e21b09117dc4,
  0xf1771b95bf003f51, 0x51fa49ee58cfd64c, 0x4c4458e3a7f07acf, 0x3b2cf4690ce62c05, 0x45403ff6678ebd1f,
  0xb20ad03cb5b9059a, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c,
  0x6dce18edec555169, 0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x5f782be873c95fb9, 0x0000000000000037,
};

static const uint64_t ur_m168pb_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x180905b2bbc9dd01, 0xbffbe1e7fabe609f, 0x9cdfda2016f6051c, 0xa9defb3bfea8dfcb, 0xee372e4492bf3c64,
  0xba94ed6563df309c, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a, 0x3268e7576e3d4752,
  0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x4ad7b0b31f667951, 0xd79e0404e166fc0c,
  0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x65f36dce18edec55, 0xb579726ae0f3612e,
  0x53ab31e40fca1a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86, 0x873c95fb9a19961d,
  0x0000000013f1763e,
};

static const uint64_t ur_m168pb_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x777775dd44864c7f, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xf5ddce29d55e2465,
  0x4f8c0482d95de4ee, 0x8fffe520f9f0d130, 0xee737f68805bd815, 0x170712d5c5f54721, 0x6c2445f71258f3ca,
  0x112601fd47c25f88, 0xd6e6def99e2ee370, 0x835afea3cafba94e, 0x40a62bdbfea3e0d9, 0x616588a459a75a11,
  0x7576e3d4752135f4, 0x3af3a6ed1923268e, 0x504f237b56355e36, 0x8e1bd96cb98b8484, 0x0b31f667951b044c,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x027e25b4175e792b,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual[] = {
  0xb777777c4ea22a20, 0xddddddbf36da3336, 0xd7d123c95a76d86d, 0x14e0dd13b777717b, 0xe4ad0ee1ec5ab635,
  0x67304f8c0482d95d, 0x0db4b6819129291d, 0xf8971030a1832bac, 0x66727f995c7ae774, 0xbd477f360bece051,
  0x822847244fe0cca9, 0x6e1f0a21895fe7ef, 0x655777bbe6e47200, 0xd6b4542196846488, 0x84b6e63ffe80e784,
  0x5ff752330586f2bc, 0x739bfb4402dec08f, 0x90fd47114ef96aff, 0x0e64c7a48e3a7f06, 0x9af91bda398b017f,
  0xef71cb1823af22dd, 0xfc55f3bb8a929583, 0x13859bf0312b5ec9, 0x5ba8301deb5e7810, 0xbd4a7253a005bcde,
  0xea2810b4e02f7ca9, 0x7cdb4e31bc674408, 0xec5c9ab83cd84b99, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138,
  0xf8e2df439e4afdcd, 0x0000000000000196,
};

// m168pb_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m168pb_u1x8_uart0_dual_pr[] = {
  0x77777c4d1218022f, 0xddddbf36db4e36b7, 0x2941b848eabedddd, 0xa01513b777469b45, 0x6eec983f2350ce20,
  0x9f180905b2bbc906, 0x6d032252523ace60, 0x2061430657581b69, 0x0ff32addcee9f12e, 0xff76c12b1c1d2cc7,
  0x239227f0701a6f51, 0x8510c4aff3f7c114, 0x77bbe6e74f80370f, 0x5421968262886557, 0xe63ffe80e784d194,
  0x68730586f2bc84b6, 0xf68805bd811ebfec, 0x8f914ef9626ae737, 0x8bdf1c74fe0c43fa, 0x3afe731602a83cd3,
  0xfb30475e00ced6b2, 0x7967b621d21aa01f, 0xc55f3bb8a92a93a0, 0x3859bf0312b5ec9f, 0x228301deb5e78101,
  0x529c94e8016f379b, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x371e6c25ccbe6db9, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x27acb42ebcf257ee, 0x0000000000000029,
};

// m168pb_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m168pb_u1x8_uart0_dual_pr_ee[] = {
  0x6eeeeef89a2432db, 0xbbbbbb7e614eb66d, 0x2dfbb17d95a9afbb, 0x716aa86d1776c4bb, 0x7045580f8ce947ee,
  0x0120b657793705dc, 0xc8949485c14c13e3, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0x6163e70ff93068fc,
  0x4fe0fabe6f51fa7f, 0x895fe7ef82284724, 0xcdc4a8006e1f0a21, 0x5a095910caaeef77, 0xf4073c265f715086,
  0x2c3795e425b7383f, 0x5bd81656ff634398, 0xb5a3912e737f6880, 0x60c14f51e56bee6a, 0x50ef8aea57a8f836,
  0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a, 0xf65f4b3170908a04,
  0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x002b21662ebcf257,
};

// m168pb_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m168pb_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeef89a2435202, 0x77776fc6a79f66d6, 0xebb8d43db6abf777, 0xfbf7b2b777519b33, 0xce43ada6cdf9af45,
  0x30120b657793d39d, 0x19129290aebcc13e, 0x0a1832bac0db4b68, 0x9956ee774f897103, 0x6c12d1c02d4c63ff,
  0x227f0715a6f51c9d, 0x0c4aff3f7c114239, 0xbe6e4c300370f851, 0x32d05f688655777b, 0xffa039e1307b8a84,
  0xc161bcaf212dbe9b, 0x02dec08a5ffb1a1c, 0x6e2faa01739bfb44, 0xb892c79e50b838e9, 0xea3e12fc4361222f,
  0xb99e2ee370527ebf, 0xbf51c6fcf72c67d4, 0x14141f238e9fc1d4, 0x0676b591d7f398b0, 0x90d500ffd99e3af0,
  0x52552740f2d6e10e, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x00000034923eb8ba,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbbe275050c86, 0xeeeeedf836f261b5, 0x55710b157ee44eee, 0x4dd6990123ba82b6, 0xbbb1bb3eafcc507c,
  0x602416caef25d93b, 0x32252523b8f9827c, 0x1430657581b696d0, 0x32addcee9f12e206, 0xd8400380a49bf5ff,
  0x13f839db9bd47adf, 0x6257f9fbe08a11c9, 0xe6e2a4401b87c288, 0x2d0df688655777bb, 0xfa039e133058a843,
  0x2c3795e425b74dbf, 0xb7b02a1fff634398, 0xea8dc9dce6fed100, 0x3fe7942e0e0d63bf, 0x374c273b8dcca868,
  0x7a8f2b7f253b5959, 0x5701bd47c1b306be, 0x1148b34eb422814c, 0xc650ea426be8c2cb, 0x25da2147bd9ceaed,
  0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37, 0x7f157ceee2a4a598, 0x04e166fc0c4ad7b2,
  0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab, 0xf1b8f3612e65f36d,
  0x5666fe0eee34596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000100073e175e,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbe268adbb2906, 0xeeedf98ec7e1b5bb, 0x7c89fd7bd2bdeeee, 0x2d99eea724fbb410, 0x0548c6c12faf5df4,
  0xef255f3b8af9016f, 0xc939827c602416ca, 0x036d2da0644a4a41, 0x3e25c40c2860caeb, 0x39990ff32d2df9dd,
  0xf51e61b60cf870eb, 0x22847244fe0ff5e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b9e72006, 0xca2a10cb412d2219,
  0xb6e293fe80e784d1, 0xfe8dd30586f2bc84, 0xbfb4402dec0b4d7f, 0xc66ee2faa353d739, 0x22fb892c79e50bce,
  0x83fea3e12fc43612, 0xcdd33c5dc6e6a83c, 0x3d4795bf929dadcd, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6,
  0xe328752135f46165, 0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b,
  0x3f8abe77715252cc, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0x357079b09732f9b6, 0xfe0fdbb1a2c6f8b9, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xcf389f3c95fb9a19, 0x000000000002003e,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_hw[] = {
  0xdddddf1344867a31, 0x77776fcdb6d38dad, 0x4a506e123aafb777, 0x280544edddd1a6d1, 0x066ee44fc3ed07c8,
  0x609f180905b2bbc9, 0x696d032252523ace, 0x2e2061430657581b, 0xc70ff32addcee9f1, 0x51ff76c12b1c1d2c,
  0x14239227f0701a6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e74f8037, 0x9454219682628865, 0xb6e63ffe80e784d1,
  0xff52330586f2bc84, 0x9bfb4402dec08f5f, 0xfd47c8a77cb13573, 0x69c5ef8e3a7f0621, 0x591d7f398b01541e,
  0x0ffd9823af00676b, 0xd03cb3db10e90d50, 0x4fe2af9ddc549549, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xc6ebacb5453c95fb,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeef89a243573e, 0xbbbbb7e614eb66d6, 0xdfbb17d95a9afbbb, 0x16aa86d1776c4bb2, 0x5c5f766eb2947ee7,
  0x80905b2bbc9b82ee, 0x644a4a42e0a609f1, 0x2860caeb036d2da0, 0x655bb9dd3e25c40c, 0xb0b1f387fc98347e,
  0x27f07d5f37a8fd3f, 0xc4aff3f7c1142392, 0xe6e25400370f8510, 0x2d04ac88655777bb, 0xfa039e132fb8a843,
  0x161bcaf212db9c1f, 0x16f60595bffd48cc, 0xad68e44b9cdfda20, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x005768b3a29e4afd,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_ce_hw[] = {
  0xdddddf13448664d6, 0xeeeedf8d4f3ecdad, 0xd771a87b6d57eeee, 0xf7ef656eeea33667, 0xceeccd8f0f65928b,
  0x9f180905b2bbc9e9, 0xb40c894948575e60, 0x81850c195d606da5, 0xffccab773ba7c4b8, 0x4eb60968e016a631,
  0x1c913f838ad37a8e, 0x2886257f9fbe08a1, 0xbddf37261801b87c, 0x4219682fb4432abb, 0x4dffd01cf0983dc5,
  0x4660b0de579096df, 0xd100b7b02297ffea, 0x3a5b8bea805ce6fe, 0x8bee24b1e7942e0e, 0x41fa8f84bf10d848,
  0xfa9733c5dc6e3fcc, 0x3a97ea38df9ee58c, 0x16028283e471d3f8, 0x5e00ced6b23afe73, 0x21d21aa01ffb33c7,
  0xee2a4aa4e81e5adc, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x12e65f36dce18ede, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000013758faf,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef89d41436f02, 0xbbbb7e0dbc986d6e, 0x5c42c55fb913bbbb, 0x75a64048eea0ad95, 0x3f87cd7d166c1f13,
  0xc0482d95de4bb277, 0x644a4a4771f304f8, 0x2860caeb036d2da0, 0x655bb9dd3e25c40c, 0xb08007014937ebfe,
  0x27f073b737a8f5bf, 0xc4aff3f7c1142392, 0xcdc54880370f8510, 0x5a1bed10caaeef77, 0xf4073c2660b15086,
  0x586f2bc84b6e9b7f, 0xb7b02a1ffff52330, 0xea8dc9dce6fed100, 0x1fe7942e0e0d63bf, 0x9ba6139dc6e759b2,
  0x3d4795bf929dacac, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576,
  0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x0270b37e06256bd9,
  0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0xd8dc79b09732f9b6,
  0x271a50c2a73f5361, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000075d4e7d453c,
};

static const uint64_t ur_m168pb_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77777c4d1468a0ae, 0xddddbf31d8fc36b7, 0x4107c89fbd7bdddd, 0xdf42d99eea724fbb, 0xfeb7a1f5ec12faf5,
  0x16caef255f3bbebe, 0x4a41c939827c6024, 0xcaeb036d2da0644a, 0x49dd3e25c40c2860, 0x0e1d673321fe65d8,
  0xfebcdea3cc36c19f, 0xcfdf04508e489fc1, 0xe400dc3e144312bf, 0xa4432abbbddf373c, 0xf09a394542196825,
  0x579096dc527fd01c, 0xb4d7fb3d0e60b0de, 0x3d739bfb4402dec0, 0x7c307066ee2faa35, 0x361222fb892c79e3,
  0x524e6ffea3e12fc4, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089,
  0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20,
  0x5f36dce18edec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000eba9cf2617d3c,
};

// m168pb_u1x12_uart0_noled_pr
static const uint64_t ur_m168pb_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x4c13e30120b65779, 0x7c24f7ffb5933f92, 0xda3749feda9fddba, 0x93d47e78ef964870, 0x4c37c9e8e3a7f066,
  0xf691e33398b016f7, 0x9dc72c608ebc5cec, 0x59bf0312b5ec2b28, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x458f386ed84b997c, 0xe4fdd598f2068fe3, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x03e43a4e5a4e9e4a,
};

static const uint64_t ur_m168pb_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488da91, 0xeeaafb395a44b777, 0x22a99b6f46deeeee, 0xb07dddd0b28e3a11, 0xd17a763b976c478f,
  0x3e30120b657793ba, 0x2f9ffdf0f3f38cc1, 0xd27fb6a7f76e9f09, 0x1fa03be5843c368d, 0xfb5a38e9fc1a0bf5,
  0x8f58731602cb299e, 0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb37e06256bd838f8, 0x01f50603bd6bce70,
  0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x263271f439e4afdc, 0x000000000000001f,
};

// m168pb_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m168pb_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0482d95de4eebb25, 0xfef879f60b304f8c, 0xb6a7f76e9f091c3f, 0x56b4738c368dd27f, 0x660d31f51e57224d,
  0x22877c57dd7a8f83, 0xe8c2cb1148b34eb4, 0x6979c571ac9a426b, 0xe74ddb7b4782ce75, 0xcf230e36355ae875,
  0x1bd96cb98b848451, 0x2a254d2a3608fd6e, 0xce166fc0c4ad7b00, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x5f36c4922adec555, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0275f4713e873c95,
};

// m168pb_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m168pb_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x827c602416caef27, 0x49c9fff7c3cfc879, 0x6e93fdb53fbb74f8, 0xa76fe5c5f5c921b4, 0x09117dc4963cf192,
  0xf9883f51f097e21b, 0x2c67eb2678bb8dc7, 0xd3f83d67a8e4f4f7, 0x587316028f9d2471, 0xccf1d7a3e76afe8f,
  0x96b70fb33ca807fe, 0xdf81895af60e3e07, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755,
  0x12431dbd8aaa2d2c, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x20e4fa1cf257ee68, 0x0000000000000dd7,
};

static const uint64_t ur_m168pb_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x20b657793bb61b65, 0xbe1e7c9d4c13e301, 0xa9fddba7c2515bff, 0xd51bf90da3749fed, 0x1fe78c953bc0877f,
  0x7be6139dc6e759b2, 0xfd4795f5129dacac, 0x5613fd47c1b306b5, 0x1148b34eb422814c, 0xd388ea426be8c2cb,
  0x9bb6f68f059ceaed, 0x8c38d8d578d8ebce, 0x65b2e62e1211473c, 0x4a9a546c1132386f, 0x2cdf81895af61674,
  0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d, 0x5c9ab83cd84b997c,
  0xcc7903f2868b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000004fcc62fa1cf,
};

static const uint64_t ur_m168pb_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d78344863375, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x2ad1bab9d1c7a750,
  0x8c0482d95de4ee96, 0xffca41f3fbb5304f, 0xf6d4feedd3e1231f, 0x17d51c8786d1ba4f, 0x4963cf285c1c3837,
  0x1f097e21b09117dc, 0x3c5dc6e747d493f5, 0x95f5129dadcdbdf3, 0xfd47c1b306b5fd47, 0xb34eb422814c5613,
  0xea426be8c2cb1148, 0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2,
  0x81895af616744a9a, 0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e,
  0x6e3cd84b997cdb12, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xe7b13c5d79e4afdc, 0x0000000000000027,
};

// m168pb_u1x12_uart0_lednop_pr
static const uint64_t ur_m168pb_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x49827c602416caef, 0x4f84be4ff6b267c1, 0x1b46e93fdb53fbb7, 0xd27a8e4f1df2c90e, 0x74c3e7491c74fe0c,
  0x35f23905398b016f, 0xef71cb1823af173b, 0x2cdf81895af61583, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x1bb612e65f36dce4, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x1c9693a792bf7343, 0x0000000000007c80,
};

static const uint64_t ur_m168pb_u1x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2447f82, 0xeeaafb38ebe25bbb, 0x425f85c76a1eeeee, 0x4c9eeee859471d69, 0x5c62454dc1b267e9,
  0x9f180905b2bbc9dd, 0x4beffef879f3d660, 0xd27fb6a7f76e9f09, 0x1ed63be5843c368d, 0x907e38e9fc1a0bf5,
  0x690ce62c0596537c, 0xf6608ebd1f3b2cf4, 0xf2cf6d059a45403f, 0x9bf0312b5ec82b40, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xd0e792bf734332c3, 0x00000000f9307937,
};

// m168pb_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m168pb_u1x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x0120b657793bb61b, 0xffbe1e7f2b4c13e3, 0xeda9fddba7c2450f, 0x55ad1ce30da3749f, 0xd9834c7d47959953,
  0x1143be2b0f7ea3e0, 0xf4616588a459a75a, 0xb4b9eab8d64d2135, 0x79d3768c9193473a, 0x13c8ded58d56ba1d,
  0x86f65b2e62e12114, 0x10fb33ca8d823f5b, 0x270b37e06256bd80, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9b6fa1cf257ee686,
  0x0000000000009d77,
};

// m168pb_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m168pb_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x09f180905b2bbc9d, 0x274bffdf0f3e52e6, 0xba4ff6d4feedd3e1, 0x3ba95717d72486d1, 0x488bee24b1e78c95,
  0xf801fa8f84bf10d8, 0xc67eb2678bb8dcad, 0x3f83d67a8fd24f72, 0x6731602a6222c71d, 0x3c75e8f9d967a348,
  0xadc82cd22a01ffb3, 0xe06256bd905681e5, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000001bae2a71f43,
};

static const uint64_t ur_m168pb_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x905b2bbc9dd4149c, 0xbe1e7e87e609f180, 0xa9fddba7c24707ff, 0xd51bf90da3749fed, 0x57e78c953bdf677f,
  0x7be6139dc6e5c892, 0xfd4795f7529dacac, 0x57b7fd47c1b306b5, 0x1148b34eb422814c, 0xc7a8ea426be8c2cb,
  0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37, 0x2cdf81895af61663,
  0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0xfcc217d0e792bf73, 0x0000000000000004,
};

static const uint64_t ur_m168pb_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbb686bc1a243304a, 0xeeaaef212ee25bbb, 0x531342f7276eeeee, 0x8c71f1fddb1e4872, 0xd47dd9201b82246c,
  0x602416caef2776c5, 0xff2907cfe9a9827c, 0xeda9fddba7c25ff3, 0x2faa390f0da3749f, 0x92c79e50b83896ae,
  0x3e12fc4361222fb8, 0xf1771b8089300fea, 0x57dd4a76b736f7cc, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf,
  0xa909afa30b2c4522, 0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65,
  0x06256bd8598fb33c, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x9732f9b6e70c76f6, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961, 0x0000000027e4a6b0,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xeeeeedf90044e36b, 0x06dc1e9c02b5b16e, 0xec8a7191dddd3f61, 0x92c83b95f33ed2c4,
  0x1cc13e30120b6577, 0x36d2da0644a4a432, 0xe25c40c2860caeb0, 0x9be77e6571eb9dd3, 0xea3afbd814538393,
  0x22847244fe0e3dcd, 0xe1f0a21895fe7ef8, 0x55777bbe6e1c1006, 0xbdc54219680f8886, 0x4b6f01bfe80e784d,
  0xff752330586f2bc8, 0xfb6a7f76e9f0904f, 0x53be5abfc368dd27, 0x238e9fc1a43f51c4, 0x8e62c05fc39931e9,
  0x08ebc8b766be46f6, 0xe2a4a560fbdc72c6, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xe8016f3796ea0c07,
  0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x0f3612e65f36d38c, 0x4c2b93f3fb1726ae, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x000000065bf6e7d0,
};

// m168pb_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m168pb_u1x12_uart0_dual_pr[] = {
  0xdd327cde890c365a, 0xbbb7e400028daddd, 0x58a75c1dfb5bbbbb, 0x828c8eeeebd734af, 0xb89bbeb9629b41ec,
  0xc602416caef24ddb, 0x40c8949486439827, 0x1850c195d606da5b, 0xfccab773ba7c4b88, 0xadb074a70387314b,
  0xe489fc1d4a9bd474, 0x44312bfcfdf04508, 0xeef9b963e00dc3e1, 0x0865a1f2221955dd, 0x06ffa039e130f915,
  0x1cc161bcaf212dbc, 0xfbb74f84827ffb1a, 0x626a1b46e93fdb53, 0xfe0c43fa8f914ef9, 0x02a83cd38bdf1c74,
  0x00ced6b23afe7316, 0xd21aa01ffb30475e, 0xa92a93a07967b621, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb8d1637c371e6c25,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0xbcf257ee68665874, 0x000000292610162e,
};

// m168pb_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m168pb_u1x12_uart0_dual_pr_ee[] = {
  0xddd327cde890cf68, 0xbbbb7e2d1738dadd, 0x179579cedae3bbbb, 0xcfb3134bbaccda75, 0xf53af70dd889ea3e,
  0x20b6577928eddcd1, 0x29291c3fcc13e301, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0xff0e01a26d35f995,
  0xe0e87e6f51ec7f61, 0x5fe7ef822847244f, 0xcb91006e1f0a2189, 0x0e9510caaeef77cd, 0x073c2628b150865a,
  0x6f2bc84b6fd5fff4, 0xe12df7fec6873058, 0xd1ba4ff6d4feedd3, 0x95afb9aad68e4486, 0x5ea3e0d983053d47,
  0x59a75a1143be2ba9, 0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635,
  0x08fd6e1bd97d2cc5, 0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961,
  0x0000000002b274f0,
};

// m168pb_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m168pb_u1x12_uart0_dual_pr_ce[] = {
  0x774c9f37a2431f02, 0xbbb7e3d3dfb36b77, 0x5cb12bed403bbbbb, 0x179cedddd89c6eac, 0x5188b36842614ad5,
  0x80905b2bbc98e2ee, 0xc894948185e609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xc02d1c0c7e619bfc,
  0x27f0635a6f51d2d6, 0xc4aff3f7c1142392, 0xe6e33e00370f8510, 0x2d028a88655777bb, 0xfa039e1318f8a843,
  0x161bcaf212dbc56f, 0x74f84982ffb1a1cc, 0x21b46e93fdb53fbb, 0xca17071d2dc5f540, 0x886c2445f71258f3,
  0x6e0a4fd7fd47c25f, 0x9ee58cfa9733c5dc, 0x71d3f83a97ea38df, 0x3afe7316028283e4, 0xfb33c75e00ced6b2,
  0x1e5adc21d21aa01f, 0xf157ceee2a4aa4e8, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x1b8f3612e65f36dc, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x492aca175e792bf7,
  0x0000000000000003,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d43573e, 0xeeeedf85c49b36b7, 0xd9beec75f47e6eee, 0xaaf2b7707747b1ce, 0xbeec2bdeb2bdc03e,
  0x20b657792d39dcb8, 0x29290e9d4c13e301, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0xa4387ebcc6b7f995,
  0xc1dadcdea3c00d80, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x69b4432abbbddf37, 0x1cf09b0245421968,
  0xbcaf212dbcedffd0, 0x0974fffb1a1cc161, 0x8dd27fb6a7f76e9f, 0xe0d63bfea8dc9c36, 0x6e5e1f2d7e7942e0,
  0x29dacac9ba6139dc, 0x0d9835f3d4795bf9, 0xa1140a62b80dea3e, 0x5f4616588a459a75, 0xece7576e32875213,
  0xe363af512ed10a3d, 0x242281151f3d6355, 0x44c8e1bd97d2cc5c, 0x15252cc4feb151b0, 0x6256bd93f8abe777,
  0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62,
  0xdc68b1e70dc79b09, 0x985727eeaccdfc1d, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x00000098258fe2eb,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd327cde8adbba812, 0xdbf2c9df5cdadddd, 0x35eaf7ab8bdddddd, 0xbadd2d59f6d3dee1, 0xfda3337609932829,
  0xfda7707d7e0e5dd9, 0x304f8c0482d95de4, 0xa5b40c894948f3d7, 0xb881850c195d606d, 0x257e65a5bf3ba7c4,
  0xb3e6c3acce0c8735, 0x8e489fc19adcdea3, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x42196805a4432abb,
  0xebffd01cf098e0c5, 0x74c161bcaf212dbf, 0xeedd3e127f9fffa3, 0xa9e86d1ba4ff6d4f, 0xf285e76337717d51,
  0xe21b09117dc4963c, 0x73541e41ff51f097, 0x4ed6e6e6e99e2ee3, 0x6cc1af9ea3cadfc9, 0x08a05315c06f51f0,
  0xfa30b2c4522cd3ad, 0x673abb71943a909a, 0x1b1d7a89768851ef, 0x211408a8f9eb1aaf, 0x26470decbe9662e1,
  0xa9296627f58a8d82, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0x997cdb73863b7b15, 0x637c5c9ab83cd84b, 0x53ab337f07edd8d1, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x010019695c4f9e4a,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_hw[] = {
  0xee993e6f44861a4e, 0xdddbf2000146d6ee, 0xac53ae0efdaddddd, 0x4146477775eb9a57, 0xdbb935dc2f7dc0f6,
  0x27c602416caef24d, 0x5b40c89494864398, 0x881850c195d606da, 0x4bfccab773ba7c4b, 0x74adb074a7038731,
  0x08e489fc1d4a9bd4, 0xe144312bfcfdf045, 0xddeef9b963e00dc3, 0x150865a1f2221955, 0xbc06ffa039e130f9,
  0xd48cc161bcaf212d, 0xa9fddba7c2413fff, 0x7cb1350da3749fed, 0x3a7f0621fd47c8a7, 0x8b01541e69c5ef8e,
  0xaf00676b591d7f39, 0x10e90d500ffd9823, 0xdc549549d03cb3db, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf,
  0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x12e65f36dce455bd, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x00000000c6ea1017,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2435202, 0xeeedf8b45ce36b77, 0x5e55e73b6b8eeeee, 0x3ecc4d2eeb3369d4, 0x0eb69be6ba27a8fb,
  0x482d95de4a3b7739, 0x4a4a470ff304f8c0, 0x60caeb036d2da064, 0x5bb9dd3e25c40c28, 0x7fc380689b4d7e65,
  0xf83a1f9bd47b1fd8, 0x57f9fbe08a11c913, 0x72e4401b87c28862, 0x83a54432abbbddf3, 0x01cf098a2c542196,
  0x1bcaf212dbf57ffd, 0x7c25befffd48cc16, 0xda3749feda9fddba, 0xf2b5f7355ad1c890, 0x2bd47c1b3060a7a8,
  0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6,
  0xc11fadc37b2fa598, 0xdc54940213fac546, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x12e65f36dce455bd, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000002bb5d3d,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_ce_hw[] = {
  0xee993e6f448618be, 0x776fc7a7bf66d6ee, 0xb96257da80777777, 0x2f39dbbbb138dd58, 0xbbbaf6705af055aa,
  0x7c602416caef2638, 0xd032252520617982, 0x061430657581b696, 0xff32addcee9f12e2, 0xb5b00b47031f9866,
  0xe489fc18d69bd474, 0x44312bfcfdf04508, 0xeef9b8cf800dc3e1, 0x10cb40a2a21955dd, 0x5bfe80e784c63e2a,
  0x330586f2bc84b6f1, 0xf76e9f09305fff52, 0xa804368dd27fb6a7, 0x1e7942e0e3a5b8be, 0x4bf10d8488bee24b,
  0x5dc6e3fcc41fa8f8, 0x8df9ee58cfa9733c, 0x3e471d3f83a97ea3, 0x6b23afe731602828, 0x01ffb33c75e00ced,
  0x4e81e5adc21d21aa, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc,
  0xaba718de33a2077c, 0x6dce18edec555169, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x009bad595453c95f,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_ee_ce_hw[] = {
  0x74c9f37d4143359b, 0xeedf85c49b36b777, 0xbeec75f47e6eeeee, 0xf2b7707747b1ced9, 0x330a6b5d7dc03eaa,
  0x20b657792d39dc3c, 0x29290e9d4c13e301, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0xa4387ebcc6b7f995,
  0xc1dadcdea3c00d80, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x69b4432abbbddf37, 0x1cf09b0245421968,
  0xbcaf212dbcedffd0, 0x84ba7fffd48cc161, 0x46e93fdb53fbb74f, 0x706b1dff546e4e1b, 0x373acd90ff3ca170,
  0x94ed6564dd309cee, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909,
  0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1,
  0x39fa9b0ec6e3cd84, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2, 0xc7fa29e4afdcd0cc,
  0x00000000000075d6,
};

static const uint64_t ur_m168pb_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d1880b, 0x76fcb277d736b777, 0xdc26bed5ef777777, 0x05375ba5ab3eda7b, 0x5b669d666ec13265,
  0x95de4fda77093fd3, 0x8f3d7304f8c0482d, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x190e6a4afccbb093,
  0xb9bd4767cd87599c, 0xbe08a11c913f8335, 0x01b87c2886257f9f, 0x8655777bbe6e7538, 0x31c18a8432d00b48,
  0x425b7fd7ffa039e1, 0x9fecf43982c3795e, 0xff6d4feedd3e127f, 0x717d51a9e86d1ba4, 0x4963cf1be1838337,
  0x1f097e21b09117dc, 0x3c5dc6e292737ff5, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x170be9e4afdcd0cc, 0x0000000000eba8b2,
};

// m168pb_u2x8_uart0_noled_pr
static const uint64_t ur_m168pb_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0xc92609f180905b2b, 0xdd3e127bffdac99f, 0x4386d1bdaa3949be, 0x83349ea3f3c77cb2, 0xb7ba61be4f471d3f,
  0xe767b48f199cc580, 0x5944ee39630475e2, 0x39c2cdf81895af61, 0xf37807d4180ef5af, 0x0575539794d8ce16,
  0xa2d2c2e718de33a2, 0xcbe6d892455bd8aa, 0x7f1a2c79c376c25c, 0x985727eeacc79034, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x00001f21d272d274,
};

static const uint64_t ur_m168pb_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874488da91, 0x7777557d9cad225b, 0x089154cdb7a36f77, 0xc7d83eeee859471d, 0xdd68bd3b1dcbb623,
  0x609f180905b2bbc9, 0x8497cffef879f9c6, 0xb46f6a8e526fb74f, 0x5fa8fd01df2c21e1, 0x4cf7dad1c74fe0d0,
  0x57f47ac398b01659, 0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e,
  0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x97cdb1248ab7b155, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00f931938fa1cf25,
};

// m168pb_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m168pb_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0xc602416caef2775d, 0x1fff7c3cfb059827, 0x6a8e526fb74f848e, 0x126ab5a39c61b46f, 0x7c1b30698fa8f2b9,
  0x75a1143be2beebd4, 0x135f4616588a459a, 0x73ab4bce2b8d64d2, 0x43af3a6edbda3c16, 0x228e791871b1aad7,
  0xeb70decb65cc5c24, 0xd801512a6951b047, 0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633,
  0x2aa8b4b0b9c6378c, 0x9732f9b6249156f6, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000013afa389f439,
};

// m168pb_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m168pb_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x3cc13e30120b6577, 0x7c24e4fffbe1e7e4, 0x0da37b5472937dba, 0x8c953b7f2e2fae49, 0x10d8488bee24b1e7,
  0x6e3fcc41fa8f84bf, 0xa7b9633f5933c5dc, 0x238e9fc1eb3d4727, 0xf47ac398b0147ce9, 0x3ff6678ebd1f3b57,
  0xf03cb5b87d99e540, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79, 0x6961738c6f19d102,
  0xe6d89218edec5551, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x6eb90727d0e792bf,
};

static const uint64_t ur_m168pb_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x80905b2bbc9ddb0d, 0xffdf0f3e4ea609f1, 0xa3949bedd3e128ad, 0x3bfea8dfc86d1bda, 0xcd90ff3c64a9de04,
  0x6563df309cee373a, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114, 0x576e9c4752135f46,
  0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991, 0x9ce166fc0c4ad7b0,
  0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0xcbe6d89218edec55, 0x6af2e4d5c1e6c25c,
  0xa75663c81f943459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c, 0x0e792bf734332c3a,
  0x0000000027e6317d,
};

static const uint64_t ur_m168pb_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb68744863375, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0x4b1568dd5ce8e3d3,
  0x27c602416caef277, 0x8fffe520f9fdda98, 0xed51ca4df6e9f091, 0xc1b8bea8e43c368d, 0xbee24b1e7942e0e1,
  0x9fa8f84bf10d8488, 0xef99e2ee373a3ea4, 0xea3cafa894ed6e6d, 0xb09fea3e0d9835af, 0x8a459a75a1140a62,
  0x9c4752135f461658, 0xddb7b4782ce7576e, 0x61c6c6abc6c75e74, 0x2d973170908a39e4, 0x54d2a3608991c37b,
  0x66fc0c4ad7b0b3a2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0xd89218edec555169,
  0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x013f3d89e2ebcf25,
};

// m168pb_u2x8_uart0_lednop_pr
static const uint64_t ur_m168pb_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xe0a4c13e30120b65, 0xdba7c25f27fb5933, 0x4870da37b5472937, 0xf06693d47278ef96, 0x0b7ba61f3a48e3a7,
  0xb9d9af91c829cc58, 0xac1f7b8e58c11d78, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xe400e4b49d3c95fb, 0x0000000000000003,
};

static const uint64_t ur_m168pb_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddb43a2447f82, 0x7777557d9c75f12d, 0xb4a12fc2e3b50f77, 0xf4a64f77742ca38e, 0xeeae3122a6e0d933,
  0x304f8c0482d95de4, 0x84a5f7ff7c3cf9eb, 0xb46f6a8e526fb74f, 0x5fa8f6b1df2c21e1, 0x9be483f1c74fe0d0,
  0x67a3486731602cb2, 0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x9c2cdf81895af641, 0x914180ef5af3c080,
  0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0xae0f3612e65f36dc, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0xc9be873c95fb9a19, 0x000000000007c983,
};

// m168pb_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m168pb_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xf180905b2bbc9ddb, 0x87ffdf0f3f95a609, 0xdaa3949bedd3e122, 0xca9aad68e7186d1b, 0x1f06cc1a63ea3cac,
  0x3ad08a1df1587bf5, 0x09afa30b2c4522cd, 0x39d5a5cf55c6b269, 0xd0ebce9bb4648c9a, 0x08a09e46f6ac6ab5,
  0xfadc37b2d9731709, 0xec0087d99e546c11, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xebbcdb7d0e792bf7,
  0x0000000000000004,
};

// m168pb_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m168pb_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0x7304f8c0482d95de, 0xf093a5ffef879f29, 0x368ded51ca4df6e9, 0x64a9dd4ab8beb924, 0x86c2445f71258f3c,
  0xe56fc00fd47c25f8, 0x7b9633f5933c5dc6, 0x38e9fc1eb3d47e92, 0x1a43398b01531116, 0xfd99e3af47cecb3d,
  0x0f2d6e416691500f, 0x59bf0312b5ec82b4, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xfa1cf257ee686658, 0x000000000dd71538,
};

static const uint64_t ur_m168pb_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0xc0482d95de4eea0a, 0xffdf0f3f43f304f8, 0xa3949bedd3e12383, 0x3bfea8dfc86d1bda, 0x4492bf3c64a9defb,
  0x6563df309cee372e, 0x35afea3cafba94ed, 0x0a62bdbfea3e0d98, 0x16588a459a75a114, 0x576e3d4752135f46,
  0xaf3a6ed1923268e7, 0x04f237b56355e363, 0xe1bd96cb98b84845, 0xb31f667951b044c8, 0x04e166fc0c4ad7b0,
  0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab, 0x6ae0f3612e65f36d,
  0xe40fca1a2cb57972, 0x1a50c2a73f53ab31, 0x9f80f9a1e64ff027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x0027e610be873c95,
};

static const uint64_t ur_m168pb_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddb43a243304a, 0x777755779097712d, 0x392989a17b93b777, 0x364638f8feed8f24, 0x62ea3eec900dc112,
  0x3e30120b657793bb, 0xf9ff9483e7f4d4c1, 0xdaa3949bedd3e12f, 0xb5717d51c8786d1b, 0x7dc4963cf285c1c4,
  0x7f51f097e21b0911, 0xbe678bb8dc044980, 0xa8f2beea53b5b9b7, 0xf6ffa8f83660d6bf, 0x291669d68450298a,
  0xf51d484d7d185962, 0xbb4648c9a39d5db8, 0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6,
  0x9bf0312b5ec2cc7d, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0xcd84b997cdb73863, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x3585d79e4afdcd0c, 0x0000000000013f25,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual[] = {
  0xd6eeeee993d44511, 0xdddddddbf20089c6, 0xc20db83d38056b62, 0x89d914e323bbba7e, 0xef2590772be67da5,
  0x6439827c602416ca, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x2737cefccae3d73b, 0x9bd475f7b028a707,
  0xf04508e489fc1c7b, 0x0dc3e144312bfcfd, 0x0caaeef77cdc3820, 0x9b7b8a8432d01f11, 0x9096de037fd01cf0,
  0x9ffeea4660b0de57, 0xdaa3949bedd3e120, 0x388a77cb57f86d1b, 0x3d2471d3f83487ea, 0xded1cc580bf87326,
  0x58c11d7916ecd7c8, 0x9ddc5494ac1f7b8e, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x929d002de6f2dd41,
  0x85a7017be54dea53, 0x718de33a20475140, 0xd5c1e6c25ccbe6da, 0x19e985727e7f62e4, 0x7494b67c09c6592e,
  0xfa1cf257ee686658, 0x0000000000cb7edc,
};

// m168pb_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m168pb_u2x8_uart0_dual_pr[] = {
  0xbbbba64e890c365a, 0x77776fc800051b5b, 0x5eb14eb83bf6b777, 0xd905191dddd7ae69, 0xb771377d72c53683,
  0x4f8c0482d95de49b, 0xb6819129290c8730, 0x1030a1832bac0db4, 0x97f9956ee774f897, 0xe95b60e94e070e62,
  0x11c913f83a9537a8, 0xc2886257f9fbe08a, 0xbbddf372c7c01b87, 0x2a10cb43e44432ab, 0x780dff4073c261f2,
  0x343982c3795e425b, 0xa4df6e9f0904fff6, 0xdf2c4d4368ded51c, 0x8e9fc1887f51f229, 0x62c055079a717be3,
  0xebc019dad6475fce, 0xc43a435403ff6608, 0x77152552740f2cf6, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xc5d79e4afdcd0ccb, 0x000000000524c202,
};

// m168pb_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m168pb_u2x8_uart0_dual_pr_ee[] = {
  0xbbbbba64e890cf68, 0x777776fc5a2e71b5, 0xea2f2af39db5c777, 0x7d9f6626977599b4, 0xa3ea75ee1bb113d4,
  0x02416caef251dbb9, 0x225252387f9827c6, 0x430657581b696d03, 0x2addcee9f12e2061, 0xc3fe1c0344da6bf3,
  0x9fc1d0fcdea3d8fe, 0x12bfcfdf04508e48, 0x9b972200dc3e1443, 0xb41d2a21955ddeef, 0xe80e784c5162a10c,
  0xb0de579096dfabff, 0xa7c25beffd8d0e60, 0x90da37b5472937db, 0xa8f2b5f7355ad1c8, 0x752bd47c1b3060a7,
  0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x28f7b39d5a5cca5c, 0xc6ab5d0ebd44bb44, 0x98b84845022a3e7a,
  0x46c11fadc37b2fa5, 0x9ddc54940213fac5, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x9e175e792bf73433,
  0x000000000000564e,
};

// m168pb_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m168pb_u2x8_uart0_dual_pr_ce[] = {
  0xeeeee993a2431f02, 0x77776fc7a7bf66d6, 0x58b96257da807777, 0xaa2f39dbbbb138dd, 0xdca31166d084c295,
  0xe30120b6577931c5, 0x81912929030bcc13, 0x30a1832bac0db4b6, 0xf9956ee774f89710, 0xad805a3818fcc337,
  0x244fe0c6b4dea3a5, 0x21895fe7ef822847, 0x77cdc67c006e1f0a, 0x865a051510caaeef, 0xdff4073c2631f150,
  0x982c3795e425b78a, 0xf6e9f09305ff6343, 0xa804368ded51ca4d, 0x1e7942e0e3a5b8be, 0x4bf10d8488bee24b,
  0xbb8dc149faffa8f8, 0x1bf3dcb19f52e678, 0x7c8e3a7f0752fd47, 0xd6475fce62c05050, 0x03ff6678ebc019da,
  0x9d03cb5b843a4354, 0x64fe2af9ddc54954, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0069255942ebcf25,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_pr_ee_ce[] = {
  0x6eeeee993d43573e, 0xddddddbf0b89366d, 0x9db37dd8ebe8fcdd, 0x7d55e56ee0ee8f63, 0x717dd857bd657b80,
  0x02416caef25a73b9, 0x2252521d3a9827c6, 0x430657581b696d03, 0x2addcee9f12e2061, 0x014870fd798d6ff3,
  0x3f83b5b9bd47801b, 0x257f9fbe08a11c91, 0x6e775801b87c2886, 0xd0d3688655777bbe, 0xa039e136048a8432,
  0xc3795e425b79dbff, 0x3e12e9fff6343982, 0x86d1bdaa3949bedd, 0x5c1c1ac77fd51b93, 0x3b8dcbc3e5afcf28,
  0x7f253b5959374c27, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3, 0x47bd9ceaedc650ea,
  0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a, 0xfc0c4ad7b27f157c,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed,
  0x83bb8d163ce1b8f3, 0x33d30ae4fdd599bf, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x000000001304b1fc,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba64e8adbba812, 0xbbb7e593beb9b5bb, 0xc26bd5ef5717bbbb, 0x5375ba5ab3eda7bd, 0xb3fb4666ec132650,
  0xc9fb4ee0fafc1cbb, 0xae609f180905b2bb, 0xdb4b6819129291e7, 0x8971030a1832bac0, 0x6a4afccb4b7e774f,
  0x4767cd87599c190e, 0xa11c913f8335b9bd, 0x7c2886257f9fbe08, 0x777bbe6e753801b8, 0x8a8432d00b488655,
  0x7fd7ffa039e131c1, 0x46e982c3795e425b, 0x937dba7c24ff3fff, 0xaa353d0da37b5472, 0xc79e50bcec66ee2f,
  0x12fc4361222fb892, 0xdc6e6a83c83fea3e, 0xf929dadcdcdd33c5, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea,
  0x135f4616588a459a, 0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc,
  0x7715252cc4feb151, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0x1a2c6f8b9357079b, 0xe7ea75666fe0fdbb, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000020032d2b89f3,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_hw[] = {
  0xddddd32744861a4e, 0xbbbbb7e400028dad, 0xaf58a75c1dfb5bbb, 0xec828c8eeeebd734, 0x9bb7726bb85efb81,
  0x304f8c0482d95de4, 0xb4b6819129290c87, 0x971030a1832bac0d, 0x6297f9956ee774f8, 0xa8e95b60e94e070e,
  0x8a11c913f83a9537, 0x87c2886257f9fbe0, 0xabbbddf372c7c01b, 0xf22a10cb43e44432, 0x5b780dff4073c261,
  0xffa91982c3795e42, 0x8e526fb74f84827f, 0x14ef9626a1b46f6a, 0xf1c74fe0c43fa8f9, 0xe731602a83cd38bd,
  0x0475e00ced6b23af, 0x7b621d21aa01ffb3, 0xf3bb8a92a93a0796, 0x9bf0312b5ec9fc55, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0x9430a9cfd4176371,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x02e8a792bf734332,
  0x000000000018dd42,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee993a2435202, 0xdddddbf168b9c6d6, 0xa8bcabce76d71ddd, 0xf67d989a5dd666d3, 0x721d6d37cd744f51,
  0x80905b2bbc9476ee, 0xc894948e1fe609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818, 0xb0ff8700d1369afc,
  0x27f0743f37a8f63f, 0xc4aff3f7c1142392, 0xe6e5c880370f8510, 0x2d074a88655777bb, 0xfa039e131458a843,
  0x2c3795e425b7eaff, 0x74f84b7dfffa9198, 0x121b46f6a8e526fb, 0xf51e56bee6ab5a39, 0xaea57a8f83660c14,
  0x2291669d68450ef8, 0x8a973484d7d18596, 0x851ef673ab4b994b, 0x58d56ba1d7a89768, 0xb3170908a04547cf,
  0xa8d823f5b86f65f4, 0xf3bb8a9280427f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xa7a8a792bf734332, 0x000000000000576b,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_ce_hw[] = {
  0xddddd327448618be, 0xeeeedf8f4f7ecdad, 0xb172c4afb500eeee, 0x545e73b7776271ba, 0x717775ece0b5e0ab,
  0x04f8c0482d95de4c, 0x2da0644a4a40c2f3, 0xc40c2860caeb036d, 0xcdfe655bb9dd3e25, 0xe96b60168e063f30,
  0x11c913f831ad37a8, 0xc2886257f9fbe08a, 0xbbddf3719f001b87, 0x54219681454432ab, 0xe2b7fd01cf098c7c,
  0xa4660b0de579096d, 0x49bedd3e1260bffe, 0x17d50086d1bdaa39, 0x4963cf285c1c74b7, 0x1f097e21b09117dc,
  0x678bb8dc7f9883f5, 0xd471bf3dcb19f52e, 0x0507c8e3a7f0752f, 0x9dad6475fce62c05, 0x35403ff6678ebc01,
  0x9549d03cb5b843a4, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400,
  0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00001375ab2a8a79,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeee993d4143359b, 0xddddbf0b89366d6e, 0xb37dd8ebe8fcdddd, 0x55e56ee0ee8f639d, 0x786614d6bafb807d,
  0x02416caef25a73b8, 0x2252521d3a9827c6, 0x430657581b696d03, 0x2addcee9f12e2061, 0x014870fd798d6ff3,
  0x3f83b5b9bd47801b, 0x257f9fbe08a11c91, 0x6e775801b87c2886, 0xd0d3688655777bbe, 0xa039e136048a8432,
  0xc3795e425b79dbff, 0x9f0974ffffa91982, 0xc368ded51ca4df6e, 0x2e0e0d63bfea8dc9, 0x9dc6e759b21fe794,
  0xbf929dacac9ba613, 0xa3e0d9835f3d4795, 0xa75a1140a62b80de, 0x2135f4616588a459, 0xa3dece7576e32875,
  0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c, 0x77715252cc4feb15, 0x7e06256bd93f8abe,
  0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76,
  0xc2a73f5361d8dc79, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271, 0xbad8ff453c95fb9a,
  0x000000000000000e,
};

static const uint64_t ur_m168pb_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeee993a28d1880b, 0xeeedf964efae6d6e, 0xf7b84d7dabdeeeee, 0xca0a6eb74b567db4, 0xa6b6cd3accdd8264,
  0x5b2bbc9fb4ee127f, 0x291e7ae609f18090, 0x2bac0db4b6819129, 0x2774f8971030a183, 0x38321cd495f99761,
  0x6b737a8ecf9b0eb3, 0x3f7c114239227f06, 0x700370f8510c4aff, 0x910caaeef77cdcea, 0xc26383150865a016,
  0xbc84b6ffafff4073, 0xff3fd9e8730586f2, 0x7b5472937dba7c24, 0x66ee2faa353d0da3, 0xfb892c79e37c3070,
  0xfea3e12fc4361222, 0xba678bb8dc524e6f, 0xa8f2b7f253b5b9b9, 0x701bd47c1b306be7, 0x148b34eb422814c5,
  0x650ea426be8c2cb1, 0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b,
  0xf157ceee2a4a5989, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b,
  0xe18edec555169aba, 0x1b8f3612e65f36dc, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x1642e17d3c95fb9a, 0x0000000000001d75,
};

// m168pb_u2x12_uart0_noled_pr
static const uint64_t ur_m168pb_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x9827c602416caef2, 0xf84a21ff6b267e6e, 0x547293f9b53eab74, 0xe78ef964870da37b, 0x9e8e3a7f06693d47,
  0x33398b016f74c37c, 0xc608ebc5cecf691e, 0x312b5ec2b289dc72, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x86ed84b997cdb124, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x54e5a4e9e4afdcd0, 0x0000000000000f90,
};

static const uint64_t ur_m168pb_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488a8ae, 0xbaab9c178fc4b777, 0xe4d5a00d2e3bbbbb, 0xf07dddd888913e2d, 0xa69638d931223188,
  0x13e30120b657793b, 0x9029ffdf0f3fa54c, 0xe527f36a7d56e9f0, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8fd0,
  0x398b016594cf7dad, 0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf,
  0xf29b19c2de6f00fa, 0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0xb83cd84b997cdb12, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x9cfa1cf257ee6866, 0x00000000001f271a,
};

// m168pb_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m168pb_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x0120b657793bad3b, 0xffbe1e7f024c13e3, 0xcda9f55ba7c2452f, 0xe7186d1bdaa3949f, 0x63ea3cae449aad68,
  0xf8afbaf51f06cc1a, 0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b,
  0xd973170908a39e46, 0x9a546c11fadc37b2, 0xdf81895af600544a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780,
  0x2e718de33a205755, 0x892455bd8aaa2d2c, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xed7b7d0e792bf734,
  0x00000000000004eb,
};

// m168pb_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m168pb_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x9f180905b2bbc9dd, 0xf9dffdf0f3e5d660, 0xa4fe6d4faadd3e12, 0x8beb924368ded51c, 0x892c79e3254edfcb,
  0xa3e12fc4361222fb, 0x4cf1771b8ff3107e, 0xcf51c9e9ee58cfd6, 0x051f3a48e3a7f07a, 0x47ced5fd1eb0e62c,
  0x6679500ffd99e3af, 0xb5ec1c7c0f2d6e1f, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xb09732f9b624863b, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9, 0x0000001baefc09f4,
};

static const uint64_t ur_m168pb_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x2416caef2775b11c, 0xf7c3cfa5a9827c60, 0xb53eab74f8486b7f, 0xf90da37b547293f9, 0x8c953bc0877fd51b,
  0x139dc6e759b21fe7, 0x95f5129dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x81895af616744a9a,
  0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x013f0c8fa1cf257e,
};

static const uint64_t ur_m168pb_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d7834486cc7f, 0xbaabae43a744b777, 0x7e98d3d89dbbbbbb, 0xa912c47771da09e4, 0x55e52947e0dc71a8,
  0x0120b657793ba9f7, 0xf2907cfa6dcc13e3, 0xb53eab74f84866ff, 0x0f0da37b547293f9, 0x50b838706e2faa39,
  0x4361222fb892c79e, 0xce8fa927ea3e12fc, 0x3b5b9b7be678bb8d, 0x660d6bfa8f2bea25, 0x450298ac27fa8f83,
  0xd185962291669d68, 0x39d5dba711d484d7, 0xb1d79d376ded1e0b, 0x228e791871b1aaf1, 0x6470decb65cc5c24,
  0xec2ce89534a8d822, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x9732f9b624863b7b, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961, 0x000000004fcf3f08,
};

// m168pb_u2x12_uart0_lednop_pr
static const uint64_t ur_m168pb_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x3e609f180905b2bb, 0xa7c24807fb5933e1, 0xdaa3949fcda9f55b, 0x393c77cb24386d1b, 0xfcf471d3f83349ea,
  0xc829cc580b7ba61b, 0x2c608ebc5cec1c51, 0x0c4ad7b0ac507dc7, 0x7ad79e0404e166fc, 0xe8016f3796ea0c07,
  0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x1bb612e65f36d38c, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x539693a792bf7343, 0x0000000000003e41,
};

static const uint64_t ur_m168pb_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2446d4e, 0xdd55ce0be9625bbb, 0x8b60fe3f731ddddd, 0xe6fbbbb1112278ff, 0x626e09208cc6d933,
  0x3e30120b657793ba, 0x403ffbe1e7c27cc1, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e9fc1a0bf51ed63,
  0x62c0596537c907e3, 0xebd1f3b2cf4690ce, 0xd059a45403ff6608, 0x12b5ec82b40f2cf6, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x000f93106a7d0e79,
};

// m168pb_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m168pb_u2x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x02416caef2775b11, 0xff7c3cfefb9827c6, 0x9b53eab74f8494f7, 0xce30da37b547293f, 0xc7d4795995355ad1,
  0xe2b0f7ea3e0d9834, 0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37,
  0xb2e62e1211413c8d, 0x3ca8d823f5b86f65, 0x7e06256bd8010fb3, 0x03bd6bcf020270b3, 0x29d002de6f364506,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x1cf257ee68665874,
  0x00000009d7bab6fa,
};

// m168pb_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m168pb_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x4f8c0482d95de4ee, 0x1c3ffef879f60b30, 0x527f36a7d56e9f09, 0xc5f5c921b46f6a8e, 0x892c79e3254eea55,
  0xa3e12fc4361222fb, 0x99e2ee372b7e007e, 0x9ea3f493dcb19fac, 0x0a9888b1c74fe0f5, 0x3e7659e8d219cc58,
  0x348a807feccf1d7a, 0xaf6415a0796b720b, 0x3c0809c2cdf81895, 0x79bcd914180ef5af, 0xf9537a94e4a7400b,
  0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x6ebe8e27d0e792bf,
};

static const uint64_t ur_m168pb_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x2416caef27747b16, 0xef879fe9f9827c60, 0xd4faadd3e12eafff, 0xe4368ded51ca4fe6, 0x3254ef7d9dff546f,
  0x4e771b9722495f9e, 0x57dd4a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x06256bd8598fb33c,
  0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6,
  0x165abcb9357079b0, 0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0xdf439e4afdcd0ccb, 0x000000000027e3d6,
};

static const uint64_t ur_m168pb_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddb435e0d1219f68, 0xeeaaeb9012312ddd, 0xef234176c4eeeeee, 0xfa44b11ddc768274, 0xf44f69c164777048,
  0x180905b2bbc9dd2a, 0xffca41f3eff2609f, 0xf36a7d56e9f09068, 0x721e1b46f6a8e527, 0x3ca170712d5c5f54,
  0xf886c2445f71258f, 0x370112601fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e,
  0x5f4616588a459a75, 0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8,
  0xd7b0b31f667951b0, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207,
  0xf36dce18edec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00009f97107175e7,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual[] = {
  0x77774c9f37d44511, 0xdddddbf2a1c4e36b, 0x1db83d38056b62dd, 0xb229c6477775a5d9, 0x92b6ee57ccfb4b13,
  0xe609f180905b2bbc, 0xb696d03225252190, 0x12e2061430657581, 0xd21ff32b8f5cee9f, 0x51ca2ec1c99c3e74,
  0x8a11c913f837f26f, 0x87c2886257f9fbe0, 0x55ddeef9b870401b, 0xbf150865a0f7a219, 0x5b780dff4073c261,
  0xfba91982c3795e42, 0x9b53eab74f84827f, 0xaff0da37b547293f, 0xe0d21fa8f70cef96, 0x5fc3996b9351c74f,
  0x5bb09f4682ce62c0, 0xb0d26e39630475e4, 0xd93f8abe77715252, 0x020270b37e06256b, 0x005bcde603bd6bcf,
  0x4f80b5392296af3a, 0x19d1032ff14085a5, 0x3612e65f36d38c6f, 0x2b93f3fb1726ae0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0000065bf6e7d0e7,
};

// m168pb_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m168pb_u2x12_uart0_dual_pr[] = {
  0xdd327cde890c0668, 0x776fca86828daddd, 0x33b2477a93377777, 0x3da05eeee841f4ec, 0xe07d6089f7c7f57c,
  0x180905b2bbc9866e, 0x03225252292a609f, 0x61430657581b696d, 0xf32addcee9f12e20, 0x2ec0e19c0a5ccc17,
  0x9227f07fba6f51dd, 0x10c4aff3f7c11423, 0xddf373fe00370f85, 0x10cb417c4432abbb, 0x95ff4073c267be2a,
  0x3982c3795e425b7a, 0xeab74f84bbaff634, 0xda37b547293f9b53, 0x1fd47c8a77cb1350, 0xe69c5ef8e3a7f062,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x0809c2cdf81895af,
  0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x1be1b8f3612e65f3,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0149354d6175e792,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_pr_ee[] = {
  0x74c9f370f5a1a5fb, 0xddbf19051f36b777, 0x0eb843dd9bdddddd, 0xb05ff4f74dd00aad, 0x75c892ac4d744feb,
  0xb657793939dd2c8d, 0x2911f74c13e30120, 0x2bac0db4b6819129, 0xe774f8971030a183, 0x0e1a6a67f9f9956e,
  0x7d3f37a8fff3601a, 0xf3f7c114239227f0, 0x2500370f8510c4af, 0x8688655777bbe6e1, 0x9e133938a8432d03,
  0x95e425b7a1fffa03, 0x969bff6343982c37, 0xe527f36a7d56e9f0, 0xab5a39121b46f6a8, 0x660c14f51e56bee6,
  0x450ef8aea57a8f83, 0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7,
  0x6f65f4b3170908a0, 0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xa7c371e6c25ccbe6, 0x4eaccdfc1ddc68b3,
  0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65, 0xc622ebcf257ee686,
  0x0000000000000564,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_pr_ee_u4[] = {
  0x7774c9f37a2432db, 0xddddbf19075b36b7, 0xfdd8becad4d7dddd, 0xb502ffa7bb625d96, 0x22ac07c674a3f738,
  0x905b2bbc9b82ee38, 0x4a4a42e0a609f180, 0x60caeb036d2da064, 0x5bb9dd3e25c40c28, 0xb1f387fc98347e65,
  0xf07d5f37a8fd3fb0, 0xaff3f7c114239227, 0xe25400370f8510c4, 0x04ac88655777bbe6, 0x039e132fb8a8432d,
  0x1bcaf212db9c1ffa, 0xf84b2b7fb1a1cc16, 0x547293f9b53eab74, 0x7355ad1e950da37b, 0xc1b307f27a8f2b8f,
  0xb422877c5663fd47, 0x6be8c2cb1148b34e, 0xab4b84f5c20b9a42, 0x5ed62761f11f4873, 0x1d023a976355ae87,
  0xe1bd971f18b84845, 0xf3bb8a92ae04ffd6, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x1662ebcf257ee686,
  0x00000000000002b2,
};

// m168pb_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m168pb_u2x12_uart0_dual_pr_ce[] = {
  0xbba64f9bd121a5fb, 0xdddbf14dd179b5bb, 0xaf4fbfb5a16ddddd, 0xeb410f7774c894a2, 0x74b235d70f8ab2ab,
  0x8c0482d95de4c1b7, 0x0644a4a43b77304f, 0xc2860caeb036d2da, 0xe655bb9dd3e25c40, 0x6c0c7ce033736ed7,
  0x227f064ea6f51c2d, 0x0c4aff3f7c114239, 0xbe6e75980370f851, 0x32d072688655777b, 0xffa039e134068a84,
  0xc161bcaf212db8d6, 0xb74f84b027fb1a1c, 0x37b547293f9b53ea, 0x838e96e2faa010da, 0x1222fb892c79e50b,
  0x27ebfea3e12fc436, 0xc67d4b99e2ee3705, 0xfc1d4bf51c6fcf72, 0x398b014141f238e9, 0xe3af00676b591d7f,
  0x6e10e90d500ffd99, 0xe777152552740f2d, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xd00baf3c95fb9a19,
  0x000000000000d244,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7774c9f37d435202, 0xddddbf3c783e36b7, 0x435deeb7b7d7dddd, 0x038bd1deeabe0868, 0x6d1717e6be44fb84,
  0x5b2bbc9014ee721d, 0x520c7ae609f18090, 0x57581b696d032252, 0xcee9f12e20614306, 0x7035b9a61bf32add,
  0x5bf37a8e29361fae, 0x3f7c114239227f07, 0x000370f8510c4aff, 0x910caaeef77cdc00, 0xc2695d150865a115,
  0xbc84b6f6b7ff4073, 0x63ffec68730586f2, 0x49fcda9f55ba7c25, 0xd51b9386d1bdaa39, 0xafcf285c1c1ac77f,
  0x374c273b8dcbc3e5, 0x7a8f2b7f253b5959, 0x5701bd47c1b306be, 0x1148b34eb422814c, 0xc650ea426be8c2cb,
  0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37, 0x7f157ceee2a4a598,
  0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0xe1b8f3612e65f36d, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813, 0x041e5c5d79e4afdc,
  0x0000000000000013,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xa64f9bd15b77ac4f, 0xedf9855821b5bbbb, 0xae3793d721eeeeee, 0xa56eb3edfb19cc89, 0xa0d5d7bccd937514,
  0x498ee9a75571f5b4, 0x609f180905b2bbc9, 0x4b681912929196d2, 0x71030a1832bac0db, 0x72fccb4b7e774f89,
  0xeb3d83219c292a66, 0x1c913f839869bd47, 0x2886257f9fbe08a1, 0x7bbe6e2e0801b87c, 0x0865a063e8865577,
  0x6ffe80e784dd5f15, 0xa60b0de579096dcd, 0x56e9f09620fffd1b, 0x46f6a8e527f36a7d, 0xd8cddc5f546a7a1b,
  0x445f71258f3ca179, 0x907fd47c25f886c2, 0xb9ba678bb8dcd507, 0xe7a8f2b7f253b5b9, 0xc5701bd47c1b306b,
  0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502,
  0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0xdce18edec555169a, 0x26ae0f3612e65f36, 0xdfc1fb763458df17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc9c713e792bf7343,
  0x0000000000004000,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_hw[] = {
  0xee993e6f4486d0e3, 0xbbb7e5434146d6ee, 0x19d923bd499bbbbb, 0x1ed02f777420fa76, 0x9bbab8da0ee44abe,
  0x27c602416caef261, 0x5b40c894948a4a98, 0x881850c195d606da, 0x05fccab773ba7c4b, 0x774bb03867029733,
  0x08e489fc1fee9bd4, 0xe144312bfcfdf045, 0xeef77cdcff800dc3, 0x8a8432d05f110caa, 0xdea57fd01cf099ef,
  0xea4660b0de579096, 0x6a7d56e9f09775ff, 0x6a1b46f6a8e527f3, 0x0c43fa8f914ef962, 0xa83cd38bdf1c74fe,
  0xced6b23afe731602, 0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312,
  0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00018dd5535a8a79,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_ee_hw[] = {
  0x774c9f37a2431f02, 0xdddbf19051f36b77, 0xd0eb843dd9bddddd, 0xbb05ff4f74dd00aa, 0x88b37a6144d744fe,
  0x905b2bbc9c9cee51, 0x949488fba609f180, 0xc195d606da5b40c8, 0xb773ba7c4b881850, 0x0d070d3533fcfcca,
  0xf83e9f9bd47ff9b0, 0x57f9fbe08a11c913, 0x7092801b87c28862, 0x81c34432abbbddf3, 0x01cf099c9c542196,
  0x1bcaf212dbd0fffd, 0x7c25a6fffd48cc16, 0xaa3949fcda9f55ba, 0xb9aad68e4486d1bd, 0xe0d983053d4795af,
  0x5a1143be2ba95ea3, 0x35f4616588a459a7, 0xead2e652e2a5cd21, 0x75ea25da2147bd9c, 0x281151f3d6355ae8,
  0x6e1bd97d2cc5c242, 0xa0109fd62a3608fd, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xf505d8dc79b09732, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00000aed631a29e4,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_ce_hw[] = {
  0x774c9f37a2435032, 0xbbb7e29ba2f36b77, 0x5e9f7f6b42dbbbbb, 0xd6821eeee9912945, 0xddd57b68fef76557,
  0x3e30120b65779306, 0x6819129290eddcc1, 0x030a1832bac0db4b, 0x5f9956ee774f8971, 0xb5b031f380cdcdbb,
  0xe489fc193a9bd470, 0x44312bfcfdf04508, 0xeef9b9d6600dc3e1, 0x10cb41c9a21955dd, 0x5bfe80e784d01a2a,
  0x330586f2bc84b6e3, 0xd56e9f09604fff52, 0xb46f6a8e527f36a7, 0x17071d2dc5f54021, 0x6c2445f71258f3ca,
  0x1fe620fd47c25f88, 0x72c67d4b99e2ee37, 0xe9fc1d4bf51c6fcf, 0x7f398b014141f238, 0x99e3af00676b591d,
  0x2d6e10e90d500ffd, 0xabe777152552740f, 0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0xc76f62aa8b4d5d38, 0xc79b09732f9b6e70, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xa9a0a29e4afdcd0c, 0x000000000000026e,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_ee_ce_hw[] = {
  0x774c9f37d41432db, 0xdddbf3c783e36b77, 0x35deeb7b7d7ddddd, 0x38bd1deeabe08684, 0x1156699d644fb840,
  0x482d95de480a771c, 0x2929063d7304f8c0, 0x832bac0db4b68191, 0x6ee774f8971030a1, 0xd7381adcd30df995,
  0x83adf9bd47149b0f, 0x7f9fbe08a11c913f, 0x000001b87c288625, 0x8ac88655777bbe6e, 0x39e134ae8a8432d0,
  0x795e425b7b5bffa0, 0x0958ffffa91982c3, 0x8e527f36a7d56e9f, 0xdff546e4e1b46f6a, 0xd90ff3ca170706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000075d4797a2,
};

static const uint64_t ur_m168pb_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0x74c9f37a28d08f43, 0xddbf30ab0436b777, 0xc89ae3b793dddddd, 0x514a56eb3edfb19c, 0x6ada9c7d7bccd937,
  0x657792931dde27ed, 0x232da4c13e30120b, 0x7581b696d0322525, 0xee9f12e206143065, 0x0a4a999cbf32ec24,
  0x1a6f51facf60c867, 0xef822847244fe0e6, 0x006e1f0a21895fe7, 0x21955ddeef9b8b82, 0x3757c542196818fa,
  0x425b735bffa039e1, 0x1fecf43982c3795e, 0xfe6d4faadd3e12c4, 0x8d4f4368ded51ca4, 0x78df0c1c19bb8bea,
  0xf10d8488bee24b1e, 0x3714939bffa8f84b, 0x94ed6e6e6e99e2ee, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f,
  0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e,
  0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000075d6590b85f,
};

static const uint64_t ur_m168pb_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfdac99f912609f18, 0xe989df2c4d0ecd2b, 0x6491c74fe0c43fa8, 0xc9e398b016f74dd4,
  0x9630475e2e761be8, 0x6bcb955a9584d6e3, 0x8a9546bb3b0e7ab3, 0x359caed52df5673a, 0x950a4aa5f7afa215,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0xccbe6d902455bd8a, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000a93eb5a4e9,
};

// m168pb_swio10_noled_pr_u4
static const uint64_t ur_m168pb_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x3dcc13e30120b657, 0x228eceebffbe1e7e, 0xf064f7a8f371df2c, 0x0b2ca632a718e3a7,
  0x8f9d9ef476b1cc58, 0xd67aa01ffb30475e, 0xab555aa07967b770, 0xd76761cf566d7972, 0xdaa5beace75152a8,
  0x54bef5f442a6b395, 0xeb9ed5688af2a149, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xb2048ab7b15545a5,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x61016fa1cf257ee6, 0x00000000000001f2,
};

static const uint64_t ur_m168pb_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0x69827c602416caef, 0x63b34dfff7c3cf8d, 0x51e5670e6ab5a38f, 0xcbafa8f83660cf5f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x48e2139d5a5ff72e, 0xc6ab5d0ebce9bb69, 0x98b84845098a3116,
  0xa3608fd6e1bd96cb, 0x5e5caad40226abfa, 0x54aa35d9d873d59b, 0xace576a96fab39d4, 0xa852552fbd7d10a9,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x65f36c8122adec55, 0xe9f1726ae0f3612e,
  0x53ab31e40fca1a2c, 0x32fcc4fe50c2a73f, 0xbff82687993fc5ce, 0x64b867a615c9f8e7, 0x9961d252d9f02719,
  0xf4f3e873c95fb9a1, 0x00000000000004eb,
};

static const uint64_t ur_m168pb_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0x743b32b7ff7c3cfe, 0x7a8f2b4ad355ad1f, 0xafe77a8f83660e5f,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x5118f873ab4bc065, 0xc6ab5d0ebd753760, 0x3170908a322a3e82,
  0xb826beb70decb872, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0xdebe8854d672bb54, 0xdaad115e54292a97,
  0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x9156f62aa8b4b689, 0x7079b09732f9b640, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xbdf439e4afdcd0cc, 0x000000000009d748,
};

// m168pb_swio10_noled_pr_ce_u4
static const uint64_t ur_m168pb_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0x0f3f6ea609f18090, 0x8beb220ecc09ffdf, 0x1258f3c64a9de56b, 0x47c25f886c2445f7,
  0x678bb8dc4a8b91fd, 0xfa8f924f72c67eb2, 0xbdd0291c74fe0f05, 0xf9d9ef476b1cc580, 0x67aa01ffb33c75e8,
  0xad556a81e5add70d, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d10a9ace57, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0x90218edec5551696, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xeaca7d0e792bf734, 0x0000000000000375,
};

static const uint64_t ur_m168pb_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0x9c31d963fffdf0f3, 0xf192a7763e77fd51, 0xc273b8dc24aca8fc,
  0xe56e9653b5958f7c, 0x3fa8f83660d00f51, 0x1669d68450298ae4, 0x1d484d7d18596229, 0xd291c4273abb77ee,
  0x5b1aaf1b1d79d376, 0x2e62e121142628c4, 0xf546c1132386f65b, 0x36bcb955a9664d57, 0xa8a9546bb3b0e7ab,
  0x5359caed52df5673, 0x7950a4aa5f7afa21, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33,
  0xb997cdb20431dbd8, 0x1a2c79c5c9ab8d84, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x00029a763fbe873c,
};

static const uint64_t ur_m168pb_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0xa1f4c13e30120b65, 0xba1d9883ff2907cf, 0x285c1cc41717d51d, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660d00f51e56e965, 0x450298ae43fa8f83, 0xd185962291669d68,
  0x73abb77ee1d484d7, 0xb1d79d376d291c42, 0x1142628c45b1aaf1, 0x32386f65b2e62e12, 0x5a9664d57f546c11,
  0xbb3b0e7ab36bcb95, 0xd52df5673a8a9546, 0xa5f7afa215359cae, 0x5cf6ab4457950a4a, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0x20431dbd8aaa2d2d, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f996945d79e4af,
};

static const uint64_t ur_m168pb_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfe1c79f912609f18, 0xd313be589a1d9a57, 0xc9238e9fc1887f51, 0x93c731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d76761cf566, 0x6b395daa5beace75, 0x2a14954bef5f442a,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x997cdb2048ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000008e2fafb053,
};

static const uint64_t ur_m168pb_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xd68e3d8ecd37ff42, 0x833d7d47959c39aa, 0x43be2b2ebea3e0d9,
  0x616588a459a75a11, 0x7fdcb8d64d2135f4, 0xa6eda523884e7569, 0x28c45b1aad743af3, 0xf65b2e62e1211426,
  0x9aafea8d823f5b86, 0xcf566d7972ab5008, 0xace75152a8d76761, 0xf442a6b395daa5be, 0x688af2a14954bef5,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd84b997cdb2048a, 0x2861539fa82ec6e3,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x2b514f257ee68665,
  0x000000000000b7c0,
};

static const uint64_t ur_m168pb_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0482d95de4ee9ba3, 0xff4299fb75304f8c, 0x656b8beb220ecc09, 0x8bee24b1e7942e0e, 0xb7fa8f84bf10d848,
  0xfd64cf1771b9fae6, 0x1e0bf51f249ee58c, 0x8b017ba05238e9fc, 0xebd1f3b3de8ed639, 0xae1acf5403ff6678,
  0xcb955aaad503cb5b, 0x9546bb3b0e7ab36b, 0x9caed52df5673a8a, 0x0a4aa5f7afa21535, 0xe2d75cf6ab445795,
  0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x7cdb20431dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000759be10fd14f2,
};

// m168pb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0x51dba1d9883fe853, 0x3cf285c1cc41717d, 0x97e21b09117dc496,
  0xe373541e41ff51f0, 0x594ed6e6def99e2e, 0xe0d983403d4795ba, 0x5a1140a62b90fea3, 0x35f4616588a459a7,
  0x109ceaeddfb87521, 0xbc6c75e74ddb4a47, 0x84845098a3116c6a, 0x044c8e1bd96cb98b, 0xe556a599355fd51b,
  0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0x92a97debe8854d67, 0xb5d73daad115e542, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x36c810c76f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x000a02cb4b453c95,
};

static const uint64_t ur_m168pb_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xfed64cfbf9304f8c, 0x7f90ef9626876195, 0x5ef8e3a7f0621fd4, 0x7d01cc580b7ba63d,
  0xe58c11d78b9dad64, 0xdaf2e556a5673db8, 0xa2a551aecec39eac, 0x20272bb54b7d59ce, 0x92ad5d2fe8854d70,
  0xfad73daad115e542, 0xbd4b0b29b1674079, 0x06c7f8a042d3573a, 0xccbe6da718de33a2, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x0000005483a5a4e9,
};

// m168pb_swio10_lednop_pr_u4
static const uint64_t ur_m168pb_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xe034c13e30120b65, 0x8451d81efffbe1e7, 0xfe0c9ef51e713be5, 0x02cb298c79eb1c74,
  0x47cedf22383e7316, 0xbe81500ffd9823af, 0x556b02b40f2cf6f7, 0x1aecec39eacdaf2e, 0xbb54b7d59cea2a55,
  0xd2fe8854d7020272, 0xdaad115e54292ad5, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x0f3612e65f36cbb2, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x3e873c95fb9a1996, 0x0000000007c9bf54,
};

static const uint64_t ur_m168pb_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0x76472ffef879feaf, 0x3caca1cd56b471ec, 0x05f51f06cc19ebea,
  0x22cd3ad08a1df15b, 0xb26909afa30b2c45, 0x1af873ab4bfce5c6, 0xaad743af3a6ec13d, 0x5c24228c9118dfb1,
  0xb047eb70decb65cc, 0x5caad402b86b3d51, 0xaa35d9d873d59b5e, 0xe576a96fab39d454, 0xaba5fd10a9ae0404,
  0xe7b55a22bca85255, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x6455bd8aaa2d2414, 0x5c1e6c25ccbe6d97,
  0x81f943459d3e2e4d, 0xca1854e7ea75663c, 0xf327f8b9c65f989f, 0xc2b93f1cf7ff04d0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000004ebaec7d0e,
};

static const uint64_t ur_m168pb_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xf743b2dd7ff7c3cf, 0xf7a8f2b90f355ad1, 0x8ace1fa8f83660e5,
  0x62291669d68450ef, 0x5c5133484d7d1859, 0x4011a6273ab4b945, 0xac6ab5d0ebd75376, 0x918b848450f7a3b5,
  0xab8b87f5b86f65c3, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0xe8854d7020272bb5, 0xd115e54292ad5d2f,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0x612e65f36cbb22ad, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x73c95fb9a19961d2, 0x00000009d7085be8,
};

// m168pb_swio10_lednop_pr_ce_u4
static const uint64_t ur_m168pb_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0xf3f15a609f180905, 0xbeb220ecdf7ffdf0, 0x258f3c64a9ddbab8, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0xa8e0a4f72c67eb26, 0x3da011c74fe0f05f, 0x76f911c1f398b014, 0x0a807feccf1d7a3e,
  0xd605681e5addbdf4, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0xfd10a9ae0404e576, 0x5a22bca85255aba5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb2ec31d, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x1cf257ee68665874, 0x000000006eb966fa,
};

static const uint64_t ur_m168pb_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x70c766ed7ff7c3cf, 0xc64a9deed1dff546, 0x139dc6e747d493f3,
  0x2b2eb29dacac7be6, 0xfd47c1b306807a8f, 0xb34eb422814c5652, 0xea426be8c2cb1148, 0x9e8d7c39d5dbbe70,
  0xb1aaf1b1d79d3760, 0xcc5c24228c9118df, 0xa8d8226470decb65, 0xaf2e556a59dc359e, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0x2e4d5c6c25ccbe6d, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0x3851f439e4afdcd0, 0x00000000000014d3,
};

static const uint64_t ur_m168pb_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfebcc13e30120b65, 0xba1d9003ff2907cf, 0x285c1c801717d51d, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc1a01ea3cacbaca, 0x8a0531594bf51f06, 0xa30b2c4522cd3ad0,
  0xe7576ef9c3a909af, 0xc75e74dd827a35f0, 0x8a3244637ec6abc6, 0x91c37b2d97317090, 0xa96770d67aa36089,
  0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xfa21535c0809caed, 0xb4457950a4ab574b, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b65d863b, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x80baf3c95fb9a199,
  0x000000000013f2dc,
};

static const uint64_t ur_m168pb_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xff0e3cfbf9304f8c, 0xff21df2c4d0ec32b, 0xbdf1c74fe0c43fa8, 0xfa0398b016f74c7a,
  0xcb1823af173b5ac8, 0xb5e5caad4ace7b71, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0,
  0xf5ae7b55a22bca85, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0x997cdb4e31bc6744, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000004710ebb053,
};

static const uint64_t ur_m168pb_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xd1c7b1d91cbfe853, 0x67afa8f2b287355a, 0x77c56c17d47c1b30,
  0x2cb1148b34eb4228, 0xf3971ac9a426be8c, 0xbb04f46be1cead2f, 0x637ec6ab5d0ebce9, 0x2d973170908a3244,
  0xacf546c11fadc37b, 0x566d7972ab500ae1, 0xe75152a8d76761cf, 0xb8101395daa5beac, 0xa14956ae97f442a6,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00002df3582a29e4,
};

static const uint64_t ur_m168pb_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x2416caef2775d92b, 0xfa14cfc569827c60, 0xdd5c5f5910766fbf, 0x5f71258f3ca17072, 0xafd47c25f886c244,
  0xeb2678bb8dcbc3e5, 0xf05fa8e0a4f72c67, 0xb0143da011c74fe0, 0x7a3e76f911c1f398, 0xbdf40a807feccf1d,
  0x5caad605681e5add, 0xaa35d9d873d59b5e, 0xe576a96fab39d454, 0xaba5fd10a9ae0404, 0xe7b55a22bca85255,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xc31dbd8aaa2d2414, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xde662d14f257ee68,
  0x00000000000003ac,
};

// m168pb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0xa8edd0ec801ff429, 0x1e7942e0e400b8be, 0x4bf10d8488bee24b,
  0xb8dc0a47ce5fa8f8, 0xd653b5b9b7be678b, 0xf83660d00f51e565, 0xd68450298aca5fa8, 0x4d7d185962291669,
  0xaf873abb77ce1d48, 0x5e363af3a6ec13d1, 0x84845192231bf635, 0x044c8e1bd96cb98b, 0xcaad4b3b86b3d51b,
  0xa35d9d873d59b5e5, 0x576a96fab39d454a, 0xba5fd10a9ae0404e, 0x7b55a22bca85255a, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xadc8514f257ee686, 0x0000000000000280,
};

// m168pb_swio10_dual_pr             m168pb_swio10_dual_pr_u4
static const uint64_t ur_m168pb_swio10_dual[] = {
  0xa34bbbbbbb4486f9, 0x697e276fc75e738d, 0x9da9f7bb06d60d0b, 0x291fc5f4cfed1d62, 0xe7f0c6a08761b74d,
  0xde4ad0ee9b4721dc, 0xc03304f8c0482d95, 0x81b696d032252520, 0x9f12e20614306575, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b95be, 0x135ad150865a1192,
  0xf212db975ffa039e, 0xa57fb1a1cc161bca, 0xea3c8877cb0f83b2, 0x7ee32a38e9fc188b, 0x146f79cc580aa0f3,
  0x3ff6608ebc019da7, 0xc0f2cf6d6bc1f540, 0xfe2af9ddc5496ff0, 0xb0e7ab36bcb955ac, 0xdf5673a8a9546bb3,
  0x21535c0809caed52, 0x457950a4ab574bfa, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b997cdb2ec8ab7b, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x000000002926b4f8,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x47c4edf8d4f261b4, 0xf722775261d68166, 0x3d646682ab8858ab, 0x41f1375a266f5da7,
  0x9ceeeec6ecfabf31, 0x09f180905b2bbc9e, 0x5b40c894948ee3e6, 0x881850c195d606da, 0x1ffccab773ba7c4b,
  0xe4eb60968e016a63, 0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0x77bbe6e2a4401b87, 0xa8432d05f6886557,
  0x4dbffa039e1307b8, 0x43982c3795e425b7, 0xd68ca28eca1fff63, 0x8332bd4795efb9aa, 0x43be2bb75ea3e0d9,
  0x616588a459a75a11, 0xca1ae2a5cd2135f4, 0x9768f68f4a39d5a5, 0x4698d8d56ba1d7a8, 0x65f4b3170908a100,
  0x95aca8d823f5b86f, 0xfc55f3bb8a928051, 0x61cf566d7972ab59, 0xbeace75152a8d767, 0x42a6b8101395daa5,
  0x8af2a14956ae97f4, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b65d9156f6,
  0x771a2cb578dc79b0, 0xc2a73f53ab337f07, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271,
  0x439f0baf3c95fb9a, 0x0000000000000056,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0xc4edf8d4f261b4d3, 0x5a7b5261d6816647, 0x6682ab8858abf227, 0x375a266f5da73d64,
  0xa912bcaf7fd6c1f1, 0x0482d95de4f4e771, 0x44a4a4771f304f8c, 0x860caeb036d2da06, 0xd2df9dd3e25c40c2,
  0x25a3805a98c7ff32, 0xfe0e2b4dea393ad8, 0x95fe7ef822847244, 0xb8a91006e1f0a218, 0x417da21955ddeef9,
  0x80e784c1ee2a10cb, 0x0de579096dd36ffe, 0x8eca1ffffd1ba60b, 0x4795efb9aad68ca2, 0xb75ea3e0d98332bd,
  0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8f4a39d5a5ca1ae2, 0xd56ba1d7a89768f6, 0x170908a1004698d8,
  0xd823f5b86f65f4b3, 0xbb8a92805195aca8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x101395daa5beace7,
  0x4956ae97f442a6b8, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4,
  0xb9357079b09732f9, 0x66fe0fdbb1a2c6f8, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x596fb89f3c95fb9a, 0x00000000000002b2,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ce[] = {
  0xdd6eeeee87ad0c86, 0x1f13b7e78f4d7368, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0xc5d9bae255fba6e8,
  0x4c4bbbbb1bb2fafc, 0x9827c602416caef2, 0x696d032252520ebe, 0x2e2061430657581b, 0xbabff32addcee9f1,
  0xa3eced8472381c19, 0x2847244fe0e574de, 0x1f0a21895fe7ef82, 0x5ddeef9b8d07006e, 0xe2a10cb403da2195,
  0xdec7ffe80e784c13, 0x8d0e60b0de579096, 0x6e2fa98f1d835bfd, 0xb892c79e50b83870, 0xea3e12fc4361222f,
  0x733c5dc6e5c89257, 0x3f51fa89ee58cfa9, 0x2d4aeea38e9fc1dc, 0x06769c51bde73160, 0x07d500ffd99e3af0,
  0x496ff0c0f2d6e5af, 0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x574bfa21535c0809,
  0xcf6ab4457950a4ab, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x863b7b15545a4829, 0xdc79b09732f9b65d,
  0x337f07771a2ce9f0, 0xc4fe50c2a73f53ab, 0x2687993fc5ce32fc, 0x67a615c9f8e7bff8, 0xd252d9f0271964b8,
  0xbaf3c95fb9a19961, 0x0000000003491020,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ce_u4[] = {
  0x4647777776890c86, 0xa7789dbf3c7d579b, 0x96d77ee80a2951c7, 0xe4ea661b9d6f7ed3, 0x798a1640258b74c8,
  0xf25a2bbbbb1bb2d0, 0xeb9827c602416cae, 0x1b696d0322525219, 0xf12e206143065758, 0xdcd15bf32addcee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e52500, 0xa718a8432d009e88,
  0x096dd2d7fd01cf09, 0xbfd8d0e60b0de579, 0xcd37717d7ba1d96e, 0x117dc4963cf285c1, 0x92bf51f097e21b09,
  0x787199e2ee372e44, 0x1acff51e5f4f72c6, 0x1602c7bd2a38e9fc, 0xd7916ed92231be73, 0x5251d465b8e58cf1,
  0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x72bb54b7d59cea2a, 0xd5d2fe8854d70202, 0x73daad115e54292a,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x618edec55516920a, 0x371e6c25ccbe6d97, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xd248142ebcf257ee,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ee_ce[] = {
  0xd4e2ddddddd432db, 0x7ade276fc622d3c6, 0x0efd5f753ecb5586, 0x95f1ba39dee30f90, 0x6d0672b8a9be4b38,
  0xe771c11560f0ccea, 0x4f8c0482d95de4e4, 0xb40c8949484f2f30, 0x81850c195d606da5, 0xcfccab773ba7c4b8,
  0xff9b00d070d3533f, 0x1c913f83e9f9bd47, 0x2886257f9fbe08a1, 0xf77cdc575c01b87c, 0x0865a070d10caaee,
  0x7dff4073c2672715, 0x730586f2bc84b6e8, 0x5194b1d89b7fec68, 0xf9e50b8389b677fd, 0x66139dc6e341c113,
  0x8f2b28729dacac88, 0xc17d47c1b3067afa, 0x48b34eb422814c56, 0x38ea426be8c2cb11, 0xb7748c1439d5dba4,
  0x8b6355e363af6b13, 0x1f18b8484513723c, 0x92e318c8c8e1bd97, 0x72ab59fc55f3bb8a, 0xa8d76761cf566d79,
  0x95daa5beace75152, 0xae97f442a6b81013, 0x9ed5688af2a14956, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x0c76f62aa8b49053, 0xb8f3612e65f36cbb, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5, 0xccb0e9296cf8138c,
  0xe9385d79e4afdcd0, 0x0000000000001304,
};

static const uint64_t ur_m168pb_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x4edf998b90cdacfb, 0xacad0b5ce08673bc, 0x8beaf7f57f71dd9b, 0xe1bb89d9f762f38a,
  0x7cc5b0009645188c, 0x7792d89ddfda3e3d, 0xb82cc13e30120b65, 0x036d2da0644a4a46, 0x3e25c40c2860caeb,
  0x39b96bf32d2df9dd, 0xf51f1bb61d8270bc, 0x22847244fe0daee6, 0xe1f0a21895fe7ef8, 0xabbbddf372231006,
  0xdc54219684724432, 0xdbdc8ffd01cf09b7, 0xfa374c161bcaf212, 0x17d519c11d86b7ff, 0x4963cf285e766b77,
  0x1f097e21b09117dc, 0xe2ee3722314e3ff5, 0x5e5694ed6e6e6e99, 0xea3e0d983eebd479, 0x9a75a1140a62b95d,
  0x52135f4616588a45, 0xb47a51ceaedc50c7, 0x8d578d8ebd44bb47, 0x3170908a1004698d, 0x46c1132386f65f4b,
  0x9ddc5494b38cad65, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0xc0809caed52df567, 0x0a4ab574bfa21535,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b65d863b7b15545, 0x8b9357079b09732f,
  0x666fe0fdbb1a2c6f, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x06b2d389f3c95fb9, 0x0000000000000040,
};

static const uint64_t ur_m168pb_swio10_dual_hw[] = {
  0x97777776890d7f41, 0xfc4edf8ebce71b46, 0x53ef760dac1a16d2, 0x3f8be99fda3ac53b, 0x578d410ec36e9a52,
  0xbc95a1ddee3337bf, 0x806609f180905b2b, 0x036d2da0644a4a41, 0x3e25c40c2860caeb, 0x4599c9fe655bb9dd,
  0xa6f51dfcd82fb381, 0xbe08a11c913f8332, 0x01b87c2886257f9f, 0x432abbbddf372b7c, 0x26b5a2a10cb42324,
  0xe425b72ebff4073c, 0xa57ffa91982c3795, 0xea3c8877cb0f83b2, 0x7ee32a38e9fc188b, 0x146f79cc580aa0f3,
  0x3ff6608ebc019da7, 0xc0f2cf6d6bc1f540, 0xfe2af9ddc5496ff0, 0xb0e7ab36bcb955ac, 0xdf5673a8a9546bb3,
  0x21535c0809caed52, 0x457950a4ab574bfa, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b997cdb2ec8ab7b, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000018dd569f5,
};

static const uint64_t ur_m168pb_swio10_dual_ee_hw[] = {
  0x3b7777743d686f97, 0x7c4edf8d4f261b4d, 0x722775261d681664, 0xd646682ab8858abf, 0x1f1375a266f5da73,
  0x7a73b9e08ceb54e8, 0x9827c602416caef2, 0x696d032252523b8f, 0x2e2061430657581b, 0x8c7ff32addcee9f1,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b8a91006e, 0xe2a10cb417da2195,
  0xdd36ffe80e784c1e, 0xea4660b0de579096, 0x55ad19451d943fff, 0xb306657a8f2bdf73, 0x22877c576ebd47c1,
  0xe8c2cb1148b34eb4, 0x4b9435c54b9a426b, 0x512ed1ed1e9473ab, 0x008d31b1aad743af, 0xdecbe9662e121142,
  0xa32b5951b047eb70, 0xb3f8abe777152500, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0xe8854d7020272bb5,
  0xd115e54292ad5d2f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0x612e65f36cbb22ad,
  0xc2a73f52f571b8f3, 0x3fc5ce32fcc4fe50, 0xc9f8e7bff8268799, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00005768e7d453c9,
};

static const uint64_t ur_m168pb_swio10_dual_ce_hw[] = {
  0x375bbbbbb4486f97, 0x07c4edf9e3d35cda, 0xb70fb74eb00a4777, 0x0dd2edeb201b9c58, 0x4eb66eb8957ee9ba,
  0xef24c4bb9e08ceb5, 0xebe9827c602416ca, 0x81b696d032252520, 0x9f12e20614306575, 0xc19babff32addcee,
  0x4dea3eced8472381, 0xf822847244fe0e57, 0x06e1f0a21895fe7e, 0x1955ddeef9b8d070, 0xc13e2a10cb403da2,
  0x096dec7ffe80e784, 0xdffea4660b0de579, 0xc383717d4c78ec1a, 0x117dc4963cf285c1, 0xe47f51f097e21b09,
  0x7d4b99e2ee3712a2, 0x0ee1fa8fd44f72c6, 0x8b016a57751c74fe, 0xd78033b4e28def39, 0x2d783ea807feccf1,
  0xee2a4b7f860796b7, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xb2ec31dbd8aaa2d2, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x004dd502514f257e,
};

static const uint64_t ur_m168pb_swio10_dual_ee_ce_hw[] = {
  0x1ceddddddd431f02, 0xc5e276fc6233686d, 0xd5c5eeefdf5d9da6, 0x263d68d43f2d07bb, 0x7e3fa10a9be4a739,
  0xddca31166f4c29f5, 0x3e30120b657792cc, 0xd032252520f9f4c1, 0x061430657581b696, 0xff32addcee9f12e2,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xddf371dbb006e1f0, 0x219683054432abbb,
  0x0ffd01cf09a43c54, 0xcc161bcaf212dbf6, 0xa3c083b2d6fffd48, 0xf3ca17072d6ceffa, 0xa6139dc6e339747f,
  0x8f2bcad29dacac9b, 0x2bbd47c1b307dd7a, 0x48b34eb422814c57, 0x18ea426be8c2cb11, 0x68f68f4a39d5db8a,
  0x31b1aaf1b1d7a897, 0xe9662e121142008d, 0xaca8d8226470decb, 0x55f3bb8a92967195, 0xcf566d7972ab59fc,
  0xace75152a8d76761, 0xa6b8101395daa5be, 0xf2a14956ae97f442, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0,
  0xa8b490538c6f19d1, 0x65f36cbb0c76f62a, 0x727e7f61b8f3612e, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00001134c92514f2,
};

static const uint64_t ur_m168pb_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0xc4edf998b90cdacf, 0xeecdd0b5ce08673b, 0x9c545f57bfabfb8d, 0xc4670ddc4ecfbb17,
  0x4eaae3f68354b228, 0x120b657792d89dd3, 0x4a4a46b82cc13e30, 0x60caeb036d2da064, 0xd849dd3e25c40c28,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x446200dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x795e425b7b91ffa0, 0xd86b7fecf43982c3, 0x8386b7717d519c11, 0x9117dc4963cf1be1,
  0xe1fff51f097e21b0, 0x37374cf1771b8b82, 0x75ea3caf2b4a76b7, 0x315caef51f06cc1f, 0x2c4522cd3ad08a05,
  0x6e2863a909afa30b, 0xa25da3da3d28e757, 0x0234c6c6abc6c75e, 0x7b2fa598b8484508, 0xc656b2a3608991c3,
  0x67f157ceee2a4a59, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0xd10a9ae0404e576a, 0xa22bca85255aba5f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb2ec31db, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x00000001d751a370,
};

// m168pb_swio12_noled
static const uint64_t ur_m168pb_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x5933f1ee609f1809, 0x13be5ba01d9dd7fb, 0x238e9fc1d7ff51d3, 0xc731602dee99001f,
  0x30475e2e76e91193, 0x972ab52b043ee396, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x5256c6f5f442a6b3,
  0x3f5ae7b55a22bca8, 0x753a9c0594a9f4ef, 0x2047978a042d2c2e, 0x5ccbe6da718de33a, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000005496e5a4e,
};

// m168pb_swio11_noled_pr_u4         m168pb_swio12_noled_pr            m168pb_swio12_noled_pr_u4
static const uint64_t ur_m168pb_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x8f9827c602416cae, 0xf63b36ffff7c3cf9, 0xc1935ea382877cb6, 0x5965307b40238e9f,
  0x7cec98a3114e62c0, 0x279500ffd9823af4, 0x56a844c0f2cf6ed6, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551,
  0xd8debe8854d672bb, 0x5cf6ab4457950a4a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x610c55bd8aaa2d2d,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xae0afa1cf257ee68, 0x0000000000001f26,
};

// m168pb_swio12_noled_pr_ee
static const uint64_t ur_m168pb_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0x3b3677ff7c3cf9c1, 0x1e565d66ab5a331e, 0xa5fa8f83660fa8f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8fe439d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x8b84845110a3deec,
  0x3608fd6e1bd96cb9, 0xf2e556a01741cf2a, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0x0a4ad8debe8854d6,
  0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x7cdb610c55bd8aaa, 0x7c5c9ab83cd84b99,
  0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x14fa1cf257ee6866, 0x0000000000009d78,
};

// m168pb_swio12_noled_pr_ee_u4
static const uint64_t ur_m168pb_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0x1d92bbffbe1e7f67, 0x8f2bf9d355ad1edf, 0xe97d47c1b30738fa,
  0x48b34eb422877c56, 0x899a426be8c2cb11, 0x1ad739d5a5d7dae2, 0x56ba1d7aea6ed2f9, 0x70908a07c47d258d,
  0xe83eb70decb87231, 0x39eacdaf2e556ab8, 0x5d9cea2a551aecec, 0xe8854d672bb54b7d, 0xb4457950a4ad8deb,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xcd84b997cdb610c5, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0xa1cf257ee6866587, 0x00000000275d340f,
};

// m168pb_swio11_noled_pr_ce_u4      m168pb_swio12_noled_pr_ce         m168pb_swio12_noled_pr_ce_u4
static const uint64_t ur_m168pb_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0xbdd0eccadffdf0f3, 0x8f3c64a9dcaeb8be, 0x25f886c2445f7125,
  0xbb8dc643a4afd47c, 0xebe4f72c67eb2678, 0x97d1c74fe0d67fa8, 0x4c5188a731602edf, 0x807feccf1d7a3e76,
  0x08981e5add6b13ca, 0xd873d59b5e5caad5, 0xfabb39d454aa35d9, 0xd7d10a9ace576a96, 0xd5688af2a1495b1b,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x0f3612e65f36d842, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xbe873c95fb9a1996, 0x0000000001bae917,
};

// m168pb_swio12_noled_pr_ee_ce
static const uint64_t ur_m168pb_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0x8ec19bffef879f4d, 0x953b19b3bfea8cba, 0x3b8dc672e8ffe78c,
  0x21e53b5958f7cc27, 0x8f83660f4af51e57, 0x9d68450298ace1fa, 0x84d7d18596229166, 0x1fc873abb73931d4,
  0xaaf1b1d79d3763d5, 0x2e121144428f7bb1, 0x6c1132386f65b2e6, 0xe5caad4b3e839e54, 0x4aa35d9d873d59b5,
  0xe576a96fabb39d45, 0x1495b1bd7d10a9ac, 0xc5aeb9ed5688af2a, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440,
  0xf36d84263b7b1554, 0x1e71726ae3612e65, 0x7eeacc7903f2868b, 0x89c6592e19e98572, 0xe6866587494b6592,
  0xa698bf6fa1cf257e,
};

// m168pb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m168pb_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x24c13e30120b6577, 0x1d95bfff9483e7c5, 0xb8395bf717d51e9b, 0x61222fb892c79e50,
  0xbb0b27ea3e12fc43, 0x6e6def99e2ee371d, 0x3d2bd4795c8794ed, 0x0a62b387ea3e0d98, 0x16588a459a75a114,
  0xaedce4c752135f46, 0x5e74dd8f547f21ce, 0x110a3deec6abc6c7, 0xe1bd96cb98b84845, 0x2cfa0e7951b044c8,
  0x761cf566d7972ab5, 0xbeaece75152a8d76, 0xf5f442a6b395daa5, 0xb55a22bca85256c6, 0x529e1a779f16bae7,
  0x8c6f19d1020eea6c, 0x98edec5551696d13, 0xe3cd84b997cdb610, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x83d5c5d79e4afdcd,
  0x000000000000009f,
};

// m168pb_swio12_noled_hw
static const uint64_t ur_m168pb_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x38f3f1ee609f1809, 0x277cb7403b3baffc, 0x471d3f83affea3a6, 0x8e62c05bdd32003e,
  0x608ebc5cedd22327, 0x2e556a56087dc72c, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a, 0xa4ad8debe8854d67,
  0x7eb5cf6ab4457950, 0xea75380b2953e9de, 0x408f2f14085a585c, 0xb997cdb4e31bc674, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000004715bbb05,
};

// m168pb_swio12_noled_ee_hw
static const uint64_t ur_m168pb_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0x68cc78ecd9dff429, 0x3ea3d47959759aad, 0x3be2b297ea3e0d98,
  0x16588a459a75a114, 0x726b8d64d2135f46, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0x65b2e62e12114442,
  0x073ca8d823f5b86f, 0x7ab36bcb955a805d, 0x673a8a9546bb3b0e, 0x215359caed52df57, 0x115e54292b637afa,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x612e65f36d843156, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x7453c95fb9a19961,
  0x00000000005bff9a,
};

// m168pb_swio12_noled_ce_hw
static const uint64_t ur_m168pb_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x16caef2774a70f6d, 0x14cfe9b9827c6024, 0x5c5f5ee876656ffa, 0x71258f3ca1707257, 0xd47c25f886c2445f,
  0x2678bb8dcec1bc3f, 0x7fa8ebe4f72c67eb, 0x2edf97d1c74fe0d6, 0x3e764c5188a73160, 0x13ca807feccf1d7a,
  0xaad508981e5add6b, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d10a9ace57, 0xeb9ed5688af2a149,
  0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xd84263b7b15545a5, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xeb364fc3453c95fb,
};

// m168pb_swio11_noled_ee_ce_u4_hw   m168pb_swio12_noled_ee_ce_hw      m168pb_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x1e9b1d95bfff4299, 0x9e50b8395bf717d5, 0xfc4361222fb892c7,
  0x6e1b76148fea3e12, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b90f, 0x422814c5670fd47c, 0xbe8c2cb1148b34eb,
  0x439d5db9c98ea426, 0x8d8ebce9bb1ea8fe, 0x908a22147bdd8d57, 0x8991c37b2d973170, 0x556a59f41cf2a360,
  0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55, 0xad8debe8854d672b, 0x75cf6ab4457950a4, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0x6c2131dbd8aaa2d2, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x05010f57a29e4afd,
};

// m168pb_swio12_lednop
static const uint64_t ur_m168pb_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xb5933f01a609f180, 0x4877cb7403b03dff, 0x8c71d3f83affea3e, 0x90e62c05bdd37509,
  0xc608ebc5cec22a3e, 0xf2e556a5660bdc72, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xcbd2fe8854d70202,
  0xb9ed5688af2a1495, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xf9b69c6378ce8814, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0002a4fad693a792,
};

// m168pb_swio11_lednop_pr_u4        m168pb_swio12_lednop_pr           m168pb_swio12_lednop_pr_u4
static const uint64_t ur_m168pb_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xdcc13e30120b6577, 0xb1d91efffbe1e7d7, 0x0c9af51d003be5b7, 0x6594cfe7511c74fe,
  0xe76c9118df398b01, 0x48a807fecc11d7a3, 0x6b2ed40f2cf6e0ff, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a,
  0xe8854d7020272bb5, 0x688af2a1495cbd2f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6c63156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9, 0x0000007c99c87df4,
};

// m168pb_swio12_lednop_pr_ee
static const uint64_t ur_m168pb_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xc760d6ffef879f4b, 0xa3cad82cd56b4663, 0xa9ef51f06cc1f51e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x11cdc73ab4bba55c, 0x8d56ba1d79d37691, 0x3170908a17c47195,
  0x46c11fadc37b2d97, 0x5e5caad402b589e5, 0x54aa35d9d873d59b, 0x4e576a96fabb39d4, 0xb97a5fd10a9ae040,
  0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920, 0x6ae0f3612e65f36d,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x73c95fb9a19961d2, 0x000000009d7323e8,
};

// m168pb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m168pb_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xbe3b06b7ff7c3cfa, 0xf51e5721e6ab5a3d, 0xaff77a8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x911a6273ab4bc065, 0xc6ab5d0ebd75376c, 0x3170908a20fa3b5a,
  0x7182feb70decb872, 0xd873d59b5e5caad5, 0xfabb39d454aa35d9, 0x0a9ae0404e576a96, 0x15e54292b97a5fd1,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d1028be8a042, 0x0f3612e65f36d38c, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xbe873c95fb9a1996, 0x00000000013ae917,
};

// m168pb_swio11_lednop_pr_ce_u4     m168pb_swio12_lednop_pr_ce        m168pb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m168pb_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xebdd0ecb75ffdf0f, 0x58f3c64a9de9bb8b, 0xc25f886c2445f712,
  0x8bb8dc24aca8fd47, 0x1e5f4f72c67eb267, 0xbd2a38e9fc1acff5, 0xd92231be731602c7, 0x500ffd99e3af47ce,
  0x976a0796b741fe91, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x42a6b8101395daa5, 0x457950a4ae5e97f4,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b6c6263b7b, 0xa2c6f8b9357079b0,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000006eb842df439,
};

// m168pb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m168pb_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0xa3b0347ff7c3cfbf, 0x92a761a0effaa32e, 0xcee371a0e089fcf1,
  0x94b94ed6563df309, 0xa3e0d983d2bd4795, 0xa75a1140a62b287e, 0x2135f4616588a459, 0x47371ceaedce9475,
  0x6abc6c75e74dda44, 0x8b848450be238cac, 0x1b044c8e1bd96cb9, 0x7972ab52ced62795, 0x52a8d76761cf566d,
  0x395daa5beaece751, 0xe5e97f442a6b8101, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x6263b7b15545a482, 0x93571b09732f9b6c, 0x63c81f943458f38b, 0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32,
  0x8f7d0e792bf73433, 0x00000000000534db,
};

// m168pb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m168pb_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x19827c602416caef, 0x7621f7fe520f9fec, 0xe0e21f5c5f547a6c, 0x8488bee24b1e7942,
  0xfc7ddfa8f84bf10d, 0x736f7ccf1771b9c3, 0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76e74a3a909afa30, 0xf3a6ed22239b8e75, 0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3, 0x1535c0809caed52d, 0x2bca852572f4bfa2, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e,
  0x000000013f235385,
};

// m168pb_swio12_lednop_hw
static const uint64_t ur_m168pb_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xc38f3f01a609f180, 0x90ef96e807607bff, 0x18e3a7f075ffd47c, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x97a5fd10a9ae0404,
  0x73daad115e54292b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x000238bebec14f25,
};

// m168pb_swio12_lednop_ee_hw
static const uint64_t ur_m168pb_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0xb4663c760d6ffa14, 0x1f51ea3cad82cd56, 0x1df15a9ef51f06cc,
  0x0b2c4522cd3ad08a, 0xba55c6b26909afa3, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0xb2d973170908a17c,
  0x589e546c11fadc37, 0x3d59b5e5caad402b, 0xb39d454aa35d9d87, 0xae0404e576a96fab, 0x54292b97a5fd10a9,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x5f36d8c62adec555, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000005be3539453c,
};

// m168pb_swio12_lednop_ce_hw
static const uint64_t ur_m168pb_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x0b657793baf5a716, 0x0a67e394c13e3012, 0xee2faf743b2dd7fd, 0xb892c79e50b839a6, 0xea3e12fc4361222f,
  0x933c5dc6e4c333e7, 0x7fa8f2fa7b9633f5, 0x163de951c74fe0d6, 0x3e76c9118df398b0, 0xf48a807feccf1d7a,
  0x55acbb503cb5ba0f, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xbfa21535c0809cae, 0x55a22bca852572f4,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0x2861539fa82ec6e3,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xc1514f257ee68665,
  0x00000000003acdf7,
};

// m168pb_swio11_lednop_ee_ce_u4_hw  m168pb_swio12_lednop_ee_ce_hw     m168pb_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0x7a6c7621f7fd0a67, 0x7942e0e21f5c5f54, 0xf10d8488bee24b1e,
  0xb8aeb8c2ffa8f84b, 0xa76b736f7ccf1771, 0x6cc1e95ea3caca5c, 0x08a05315943f51f0, 0xfa30b2c4522cd3ad,
  0x8e7576e74a3a909a, 0x363af3a6ed22239b, 0x42285f11c656355e, 0x26470decb65cc5c2, 0x55a9676b13ca8d82,
  0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xbfa21535c0809cae, 0x55a22bca852572f4, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xa7514f257ee68665, 0x0000000000050146,
};

/*
 * m168pb_swio11_dual_pr             m168pb_swio11_dual_pr_u4          m168pb_swio12_dual
 * m168pb_swio12_dual_pr             m168pb_swio12_dual_pr_u4
 */
static const uint64_t ur_m168pb_swio11_dual[] = {
  0x23fbbbbb4486c541, 0x13b7e3af4e46d2e3, 0x17ddb83d3a85b4bf, 0xe2ff23b295f14adb, 0x59f16a015bab8c8f,
  0xd0eeb047f0d57a8c, 0x04f8c0482d95de4a, 0x96d0322525215233, 0xe2061430657581b6, 0xe4ff32addcee9f12,
  0x8efe6c17d9c0a2cc, 0x508e489fc199537a, 0x3e144312bfcfdf04, 0x5ddeef9b8d7600dc, 0xd150865a11922195,
  0xdb94bffa039e135a, 0xb1a1cc161bcaf212, 0xe8ef965ae3b0a2ff, 0xdc71d3f83defd47e, 0x2731602a83cce4c3,
  0x823af006764011a6, 0x9edbde37d500ffd9, 0xf9ddc5495f3a81e5, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7,
  0xc0809caed52df576, 0x852572f4bfa21535, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6db18c55bd8aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000149320e42ebcf,
};

// m168pb_swio12_dual_pr_ee
static const uint64_t ur_m168pb_swio11_dual_pr_ee[] = {
  0x33d6dddddd435032, 0xf13b7e35342136ac, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd7b0cf5,
  0xabdb47faf7dd8e17, 0x80905b2bbc9e9cee, 0xc8949485d16609f1, 0x50c195d606da5b40, 0xcab773ba7c4b8818,
  0x60968e016a631ffc, 0x13f838ad37a8e4eb, 0x6257f9fbe08a11c9, 0xe6e5d0c01b87c288, 0x2d05f688655777bb,
  0xfa039e1307b8a843, 0x161bcaf212dbe9af, 0xfdc3b02d7fb1a1cc, 0xbf51e576ea6ab5a3, 0x15e9bf51f06cc187,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x8f467a9cead2ec15, 0x6c6ab5d0ebd44bb1, 0x598b848451a52388,
  0x546c11fadc37b2fa, 0xf3bb8a9280591445, 0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x8101395daa5beaec,
  0x0a4ae5e97f442a6b, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545,
  0x58f386e3cd84b997, 0x93f75666fe0eee34, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3, 0x0064288be175e792,
};

// m168pb_swio12_dual_pr_ee_u4
static const uint64_t ur_m168pb_swio11_dual_pr_ee_u4[] = {
  0x5b777768adbba0ae, 0xedf8d4d084dab0cf, 0xf34e72be816647c4, 0xb55de9afbf6d3da3, 0x71337af619eb2333,
  0x6eaf61f5dc2f0fae, 0x95de4f4e777d7dfd, 0x42e8b304f8c0482d, 0xeb036d2da0644a4a, 0xdd3e25c40c2860ca,
  0x05a98c7ff32d2df9, 0xb4dea393ad825a38, 0xef822847244fe0e2, 0x006e1f0a21895fe7, 0x21955ddeef9b9743,
  0x4c1ee2a10cb417da, 0xc84b6fa6bfe80e78, 0xd7ffe8dd30586f2b, 0x6ea6ab5a3fdc3b02, 0x1f06cc187bf51e57,
  0x3ad08a1df15e9bf5, 0x09afa30b2c4522cd, 0xcead2ec157152e69, 0x0ebd44bb18f467a9, 0x451a523886c6ab5d,
  0xadc37b2fa598b848, 0x280591445546c11f, 0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0xdaa5beaece75152a,
  0x97f442a6b8101395, 0x6ab4457950a4ae5e, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x3cd84b997cdb6318, 0xedd8d1637c5c9ab8, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x4f9e4afdcd0ccb0e, 0x00000002b27b13dc,
};

// m168pb_swio12_dual_pr_ce
static const uint64_t ur_m168pb_swio11_dual_pr_ce[] = {
  0x6edddddec121a5fb, 0x4edf9e3fbb368a70, 0xfb755f362477707c, 0xbb69c89f55fd77a0, 0x995dfbf7ba538374,
  0x5dd2c8d759b42acc, 0x3e30120b65779262, 0x6819129291118cc1, 0x030a1832bac0db4b, 0xff9956ee774f8971,
  0x676c2391c0e0cdd5, 0x39227f072ba6f51f, 0x510c4aff3f7c1142, 0x7bbe6e29200370f8, 0x8432d00f68865577,
  0x9bffa039e1304f8a, 0x3982c3795e425b71, 0x5f57f0761c1ff634, 0x258f3ca170709d5c, 0x7c25f886c2445f71,
  0xf1771b8cdf4a8fd4, 0x8e13e7b9633ea5cc, 0x2edf8e3a7f076b7a, 0xb2008d31398b014a, 0xa807feccf1d78033,
  0xbe7503cb5b9ef1be, 0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x7f442a6b8101395d,
  0xab4457950a4ae5e9, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b09732f9b6c6263,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x0d247ad8baf3c95f,
};

// m168pb_swio12_dual_pr_ce_u4
static const uint64_t ur_m168pb_swio11_dual_pr_ce_u4[] = {
  0x4e4eddddda2432db, 0xf13b7e78fb1736ac, 0x4d7dd6c4eca38f4e, 0xe4ea666eb4b1272d, 0x674a3f738abf76c4,
  0xc968aee3822ac07c, 0xfa609f180905b2bb, 0x6da5b40c8949483a, 0xc4b881850c195d60, 0x73456fccab773ba7,
  0xbd47cadb0df670d3, 0x04508e489fc19439, 0xdc3e144312bfcfdf, 0x955ddeef9b895000, 0x9c62a10cb4027a21,
  0x4b6f63fff4073c26, 0xfec68730586f2bc8, 0x53d717d76f8ec1ad, 0x17dc4963cf285c1c, 0x0ff51f097e21b091,
  0x87199e2ee373acd9, 0xc9ef51e5f4f72c67, 0xb0176faf91c74fe0, 0xbc8b761f118df398, 0x251d5c3dc72c678e,
  0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb,
  0x594d8b3a03cfd6b9, 0x3182169ab9d5ea58, 0x6d38c6f19d1028be, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0003490b3175e792,
};

// m168pb_swio12_dual_pr_ee_ce
static const uint64_t ur_m168pb_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0x6f13b7e3111f86d7, 0x7af7bb62f1aac33d, 0xf1ba4e56820f913f, 0xbebd77a9be4bf695,
  0xe78233a96453ab04, 0x180905b2bbc9c9ce, 0x19129290724e609f, 0x0a1832bac0db4b68, 0x9956ee774f897103,
  0x3601a0e1a6a67f9f, 0x227f07d3f37a8fff, 0x0c4aff3f7c114239, 0x7cdcf3900370f851, 0x65a070d10caaeef7,
  0xff4073c267271508, 0x82c3795e425b7149, 0x650c7669aff63439, 0x3ca170734d1dff54, 0x6139dc6e292737ff,
  0xf2b60b29dacac886, 0x7bd47c1b307d47a8, 0x8b34eb422814c56a, 0x8ea426be8c2cb114, 0xb7d1cbe39d5db8e1,
  0x58d578d8ebdac4ed, 0xe3170908a014463e, 0xb8c722991c37b2e3, 0xaad67f157ceee2a4, 0x35d9d873d59b5e5c,
  0x6a96fabb39d454aa, 0x5fd10a9ae0404e57, 0xaad115e54292b97a, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xe6c25ccbe6db1898, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964,
  0xe0baf3c95fb9a199, 0x000000000002609c,
};

// m168pb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m168pb_swio11_dual_pr_ee_ce_u4[] = {
  0xbeeeeed15b770668, 0x6fccc5fc26d157d8, 0x6a6bd5784339de27, 0xe2faf7683acadada, 0x7138abec5e713ada,
  0x399a0e087877d737, 0x6c4eeab8fb000352, 0x609f180905b2bbc9, 0x96d032252521966e, 0xe2061430657581b6,
  0xb5f99696fcee9f12, 0x8ddb0ec1385e1cdc, 0x39227f06d7737a8f, 0x510c4aff3f7c1142, 0xf77cdc15400370f8,
  0x0865a11c910caaee, 0x95ff4073c26df715, 0xd30586f2bc84b6f4, 0x464e8765e1fffe8d, 0xf3ca179dde1dc5f5,
  0x5f886c2445f71258, 0xc6e0aa2c93fd47c2, 0xd29dadcdcdd33c5d, 0x83660f6ffa8f2b95, 0x68450298af7dfa8f,
  0xd7d185962291669d, 0xea73abb73051d484, 0xe363af512ec63d19, 0x24228d291c436355, 0x44c8e1bd97d2cc5c,
  0x2a4a59e4511551b0, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x97a5fd10a9ae0404,
  0x73daad115e54292b, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0x5c1e6c25ccbe6db1,
  0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0x4e27cf257ee68665, 0x00000000010013f0,
};

// m168pb_swio12_dual_hw
static const uint64_t ur_m168pb_swio11_dual_hw[] = {
  0x8feeeeed12190907, 0x4edf8ebd391b4b8c, 0x5f76e0f4ea16d2fc, 0x8bfc8eca57c52b6c, 0x67c5a8056eae323f,
  0x2b43bad07eafbd7b, 0xcc13e30120b65779, 0xda5b40c894948548, 0x4b881850c195d606, 0x3393fccab773ba7c,
  0xea3bf9b05f67028b, 0x114239227f06654d, 0x70f8510c4aff3f7c, 0x55777bbe6e35d803, 0x6b45421968464886,
  0x4b6e52ffe80e784d, 0xfff52330586f2bc8, 0xfdd1df2cb5c76145, 0x87b8e3a7f07bdfa8, 0x4c4e62c0550799c9,
  0xb30475e00cec8023, 0xcb3db7bc6faa01ff, 0x55f3bb8a92be7503, 0xcf566d7972ab59fc, 0xece75152a8d76761,
  0x6b8101395daa5bea, 0x950a4ae5e97f442a, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x97cdb6318ab7b155, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000018dd4839514f,
};

// m168pb_swio12_dual_ee_hw
static const uint64_t ur_m168pb_swio11_dual_ee_hw[] = {
  0xeb6eeee87ad0cf68, 0x9dbf1a9a109b5619, 0xf6e9ce57d02cc8f8, 0xcced577a6befdeb4, 0xeb9c4cdebd867ac8,
  0xcd1f53ad6ec70bc3, 0x30120b657793d39d, 0x19129290ba2cc13e, 0x0a1832bac0db4b68, 0x9956ee774f897103,
  0x6c12d1c02d4c63ff, 0x227f0715a6f51c9d, 0x0c4aff3f7c114239, 0x7cdcba180370f851, 0x65a0bed10caaeef7,
  0xff4073c260f71508, 0x82c3795e425b7d35, 0x3fdc3b02d7ffa919, 0x7bf51e576ea6ab5a, 0xf15e9bf51f06cc18,
  0x2c4522cd3ad08a1d, 0x57152e6909afa30b, 0x18f467a9cead2ec1, 0x86c6ab5d0ebd44bb, 0xa598b848451a5238,
  0x5546c11fadc37b2f, 0x5f3bb8a928059144, 0xf566d7972ab59fc5, 0xce75152a8d76761c, 0xb8101395daa5beae,
  0x50a4ae5e97f442a6, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb6318ab7b1554,
  0xd4bd5c6e3cd84b99, 0x8cbf313f9430a9cf, 0xeffe09a1e64ff173, 0x592e19e985727e39, 0x66587494b67c09c6,
  0xda45f514f257ee68, 0x0000000000000015,
};

// m168pb_swio12_dual_ce_hw
static const uint64_t ur_m168pb_swio11_dual_ce_hw[] = {
  0xc1bb77776890cf68, 0xf13b7e78feecda29, 0x83edd57cd891ddc1, 0xd2eda7227d57f5de, 0x326577efdee94e0d,
  0x498977347d4eb5bb, 0x3304f8c0482d95de, 0x6d2da0644a4a4446, 0x25c40c2860caeb03, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0x55ddeef9b8a4800d, 0x3e2a10cb403da219,
  0x6dc66ffe80e784c1, 0xfea4660b0de57909, 0x3ab8beafe0ec383f, 0xbee24b1e7942e0e1, 0x5fa8f84bf10d8488,
  0xa5ccf1771b8c8749, 0x6b7a8e13e7b9633e, 0x014a2edf8e3a7f07, 0x8033b2008d31398b, 0xf1bea807feccf1d7,
  0x8a92be7503cb5b9e, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x395daa5beaece751, 0xe5e97f442a6b8101,
  0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x8dc79b09732f9b6c,
  0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x6eaf5ba29e4afdcd, 0x0000000000000002,
};

// m168pb_swio12_dual_ee_ce_hw
static const uint64_t ur_m168pb_swio11_dual_ee_ce_hw[] = {
  0x924cdddddd43359b, 0xf13b7e311b043693, 0xe4f7475d3eced362, 0x7accf8673226b8ed, 0x66c9b537c953924c,
  0x70f0cc29ad75ebde, 0x8c0482d95de4b337, 0x0c894948cb69304f, 0x850c195d606da5b4, 0xccab773ba7c4b881,
  0xb60ff0e188266bbf, 0x913f83ff937a8fa6, 0x86257f9fbe08a11c, 0xbe6e2e0801b87c28, 0x32d060a88655777b,
  0xffa039e134878a84, 0x82c3795e425b735b, 0x3cac3b3107ffa919, 0x9e50b839880effaa, 0x309cee3732a1a0ff,
  0x795cae94ed6564dd, 0xefd47c1b307b7fd4, 0x8b34eb422814c57b, 0x8ea426be8c2cb114, 0x31e8cf539d5db982,
  0x1b1aaf1b1d7a8976, 0x9662e121146948e2, 0xaa8d8226470decbe, 0xbe77715252cf2288, 0xeacdaf2e556b3f8a,
  0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0x7e7f61b8f3612e65, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00089a601514f257,
};

// m168pb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio11_dual_ee_ce_u4_hw[] = {
  0x17ddddda28d172df, 0xedf998bf84da2afb, 0xdd4d7aaf08673bc4, 0xadae2faf7683baca, 0x7377138abec5e713,
  0x0d5a1968e087877d, 0xd95de4b62776d6aa, 0x90cb37304f8c0482, 0xbac0db4b68191292, 0x774f8971030a1832,
  0x85e1cdcb5f997612, 0x7737a8f8ddb0ec13, 0xf7c114239227f06d, 0x00370f8510c4aff3, 0x10caaeef77cdc154,
  0x26df7150865a11c9, 0xc84b6f495ff4073c, 0x0ffd9e8730586f2b, 0xf0ee2faa32743b2f, 0xfb892c79e37c3072,
  0xfea3e12fc4361222, 0xe99e2ee3702c8cf5, 0x4795cae94ed6e6e6, 0xbefd47c1b307b7fd, 0x48b34eb422814c57,
  0x28ea426be8c2cb11, 0x631e8cf539d5db98, 0x21b1aaf1b1d7a897, 0xe9662e121146948e, 0x8aa8d8226470decb,
  0xabe77715252cf228, 0x9eacdaf2e556b3f8, 0xd9cea2a551aecec3, 0xd7020272bb54b7d5, 0x2a1495cbd2fe8854,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d8c4c76f62aa, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00075d58cd017d3c,
};

static const uint64_t ur_m168pb_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfdac99f31f304f8c, 0xe213be5ba41d9b7f, 0x5af1c74fe0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x2a551aecec39eacd, 0xaed52df5537d9cea, 0x956af7afa215359c,
  0xd6b9ed5688af2a14, 0x4ea701652a7d3bcf, 0x117ee2810b4b0b9d, 0x32f9b69c6378ce88, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000001522e1693a7,
};

// m168pb_swio13_noled_pr_u4
static const uint64_t ur_m168pb_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0f8ec32bffbe1e7, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x1aecec39eacdaf2e, 0x2df5537d9cea2a55,
  0xf7afa215359caed5, 0xed5688af2a14956a, 0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44,
  0xae0f3612e65f36c6, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x6b3e873c95fb9a19, 0x000000000007c9aa,
};

static const uint64_t ur_m168pb_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x3b22b7ff7c3cf93a, 0x8f2b297355ad1bf8, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x9546bb3b0e7ab36b, 0xb54b7d54df673a8a, 0x5abdebe8854d672b,
  0xae7b55a22bca8525, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb1922adec5551696, 0xc9ab83cd84b997cd,
  0xc7903f2868b3a7c5, 0x13f9430a9cfd4eac, 0x9a1e64ff1738cbf3, 0x9e985727e39effe0, 0x494b67c09c6592e1,
  0xa1cf257ee6866587, 0x0000000009d7c62f,
};

static const uint64_t ur_m168pb_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x50ecdf7ffdf0f3f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0xb0e7ab36bcb955aa, 0x4df673a8a9546bb3, 0x8854d672bb54b7d5, 0x22bca85255abdebe,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xd84b997cdb1922ad, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x1cf257ee68665874, 0x000000004eb966fa,
};

// m168pb_swio13_noled_pr_ce_u4
static const uint64_t ur_m168pb_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xf5dbe3b2577ff7c3, 0x2c79e3254ef7ddc5, 0xe12fc4361222fb89,
  0xc5dc6e5c89257ea3, 0x479ba7b9633f5933, 0x9538c71d3f8327bd, 0x768851ef67316029, 0x4a807feccf1d7a3e,
  0xd5f5b81e5adc2293, 0xd9d873d59b5e5caa, 0xeaa6fb39d454aa35, 0x5f442a6b395daa5b, 0xad115e54292ad5ef,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6, 0x3cd84b997cdb190c, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xfa1cf257ee686658, 0x000000000375d340,
};

static const uint64_t ur_m168pb_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52c767fcffef879f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x454aa35d9d873d59,
  0x95daa5beaa6fb39d, 0x92ad5ef5f442a6b3, 0xb5d73daad115e542, 0x77536294f0d3bcf8, 0x4b689c6378ce8810,
  0xcdb190c76f62aa8b, 0x79c5c9ab8d84b997, 0xfbab31e40fca1a2c, 0x271964b867a615c9, 0x9a19961d252d964a,
  0x9a63cbbe873c95fb, 0x0000000000000002,
};

static const uint64_t ur_m168pb_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x70ec6bbffca41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0xcec39eacdaf2e556, 0x5537d9cea2a551ae, 0xfa215359caed52df, 0x688af2a14956af7a, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xe6c25ccbe6d8c863, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9382ebcf257ee686,
  0x0000000000004fc1,
};

static const uint64_t ur_m168pb_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfe1c79f31f304f8c, 0xc4277cb7483b36ff, 0xb5e38e9fc1f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f442a6b39,
  0xad73daad115e5429, 0x9d4e02ca54fa779f, 0x22fdc5021696173a, 0x65f36d38c6f19d10, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x0000011c4b8ec14f,
};

static const uint64_t ur_m168pb_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe0ec8adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xeacdaf2e556a0174, 0x9cea2a551aecec39, 0x359caed52df5537d, 0x2a14956af7afa215,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xe65f36c648ab7b15, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000005bff92745,
};

static const uint64_t ur_m168pb_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x905b2bbc9dd29475, 0xe8533fb3a609f180, 0xeee2faedf1d92bbf, 0xfb892c79e50b839b, 0x7ea3e12fc4361222,
  0x5933c5dc6e1adcc3, 0x27bd479ba7b9633f, 0x60299538c71d3f83, 0x7a3e768851ef6731, 0x22934a807feccf1d,
  0x5caad5f5b81e5adc, 0xaa35d9d873d59b5e, 0xaa5beaa6fb39d454, 0xd5ef5f442a6b395d, 0x73daad115e54292a,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x190c76f62aa8b4b6, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xacdbe49d14f257ee,
  0x0000000000000003,
};

// m168pb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece1d8d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x46bb3b0e7ab36bcb, 0x4b7d54df673a8a95, 0xbdebe8854d672bb5, 0x7b55a22bca85255a, 0xc529e1a779f16bae,
  0x38c6f19d1020eea6, 0x218edec5551696d1, 0x8dc79b09732f9b63, 0x7bde50c2a73f505d, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x010c9ca29e4afdcd, 0x0000000000000005,
};

static const uint64_t ur_m168pb_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xfed64cfc069827c6, 0xf921df2dd20ec0f7, 0x1318e3a7f07cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d9d873d59, 0x95daa5beaa6fb39d, 0x2497f442a6b81013,
  0xe7b55a22bca85257, 0xea5af29c05ce80f2, 0x8be8a042d2b08985, 0x5f36d38c6f19d102, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000549f5ad274f2,
};

// m168pb_swio13_lednop_pr_u4
static const uint64_t ur_m168pb_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f1d863fffbe1e7, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd76761cf566d7972, 0x6faa9bece75152a8,
  0x10a9ae0404e576a9, 0x88af2a1495c925fd, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x09732f9b6815156f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000003e4ffaa1f43,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x1d8707ffbe1e7e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca,
  0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x0f3612e65f36d02a,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xebe10be873c95fb9, 0x0000000000000004,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca1d8707ffbe1e, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0x0a9ae0404e576a96, 0x8af2a1495c925fd1,
  0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x378ce88139f45021, 0x079b09732f9b69c6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x1f439e4afdcd0ccb, 0x00000000004eba68,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xf1ad304f8c0482d9, 0xbb7c7669bffef879, 0x8f3c64a9deceb8be, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0xf38cf72c67eb2678, 0xcf58e3a7f064f7a8, 0x97c47191cc580a63, 0xa01ffb33c75e8f9d,
  0xe1c81e5adc37ee1a, 0xd873d59b5e5caad6, 0xa6fb39d454aa35d9, 0x6b8101395daa5bea, 0xca852572497f442a,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0xa7c5c9ab83cd84b9,
  0x4eacc7903f2868b3, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0xd3cfa1cf257ee686, 0x0000000000001baf,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9ea3b3027ff7c3, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x1cf566d7972ab51d, 0xbece75152a8d7676, 0xe0404e576a96faa9, 0xa1495c925fd10a9a, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xf1726ae0f3612e65, 0x75663c81f943458d,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x1baf5653e873c95f,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x2963b136fffbe1e7, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0xa2a551aecec39eac,
  0xcaed52df5537d9ce, 0x924bfa21535c0809, 0x73daad115e54292b, 0xb94b5f3a03c72b5d, 0x718de33a20421520,
  0x518edec55516920a, 0x4d5c6c25ccbe6da0, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x6df439e4afdcd0cc, 0x0000000000014d3c,
};

static const uint64_t ur_m168pb_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xce1d8293ff2907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xecec39eacdaf2e55, 0xf5537d9cea2a551a, 0x1535c0809caed52d, 0x15e54292b924bfa2, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6da0518edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587,
  0x000000009f80f262,
};

static const uint64_t ur_m168pb_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xff0e3cfc069827c6, 0xf243be5ba41d81ef, 0x2631c74fe0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546bb3b0e7ab3, 0x2bb54b7d54df673a, 0x492fe8854d702027,
  0xcf6ab4457950a4ae, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xbe6da718de33a205, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00004717d7d829e4,
};

static const uint64_t ur_m168pb_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f0761c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x7ab36bcb955a8042, 0x673a8a9546bb3b0e, 0x20272bb54b7d54df, 0xa4ae492fe8854d70,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0016fcd4e514f257,
};

static const uint64_t ur_m168pb_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x905b2bbc9dd69df6, 0xe8533e35a609f180, 0x3ae2faedf1d9a6ff, 0xfb892c79e50b839b, 0xfea3e12fc4361222,
  0xb2678bb8dce5a66f, 0x4f7a8f38cf72c67e, 0x80a63cf58e3a7f06, 0xe8f9d97c47191cc5, 0x7ee1aa01ffb33c75,
  0xcaad6e1c81e5adc3, 0xa35d9d873d59b5e5, 0xa5beaa6fb39d454a, 0xf442a6b8101395da, 0x5a22bca852572497,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xb514f257ee686658,
  0x0000000001d66c02,
};

// m168pb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9c3b0527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0xa8d76761cf566d79, 0xa96faa9bece75152, 0xfd10a9ae0404e576, 0x5688af2a1495c925, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d028c7, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x27453c95fb9a1996, 0x000000000014040f,
};

// m168pb_swio13_dual_pr             m168pb_swio13_dual_pr_u4
static const uint64_t ur_m168pb_swio13_dual[] = {
  0xa7bbbbbb44869a4e, 0x7e276fc75e10cdaf, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b77e99,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0xda5b40c894948ba1, 0x4b881850c195d606, 0x3393fccab773ba7c,
  0xea3bf9b05f67028b, 0x114239227f06654d, 0x70f8510c4aff3f7c, 0x2abbbddf37200003, 0xb5a2a10cb4232443,
  0x25b7287ff4073c26, 0xff6343982c3795e4, 0xfb7cef967bc767ee, 0x8f71c74fe0e0ffa8, 0x109cc580aa0f3256,
  0x6608ebc019db4a47, 0xcb3db4c6325403ff, 0x2af9ddc549702503, 0xe7ab36bcb955acfe, 0xf673a8a9546bb3b0,
  0x020272bb54b7d54d, 0x0a4ae492fe8854d7, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0xcdb40a8ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0002927bc145d79e,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ee[] = {
  0x00addddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0x4f59198f6d9beec7, 0xf700faabc99bd701,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x40c2860caeb036d2, 0xffe655bb9dd3e25c,
  0x275b04b4700b5318, 0x8e489fc1c569bd47, 0x144312bfcfdf0450, 0xbddf373bac00dc3e, 0x4219682fb4432abb,
  0xedffd01cf0983dc5, 0x1cc161bcaf212dbc, 0xb46e4c7674fffb1a, 0x38f7ea3caf4dcd56, 0x3be2bd9dea3e0d98,
  0x16588a459a75a114, 0x4f2e2a5cd2135f46, 0xbb3f88fa839d5a5d, 0x3f92c6ab5d0ebd44, 0x2fa598b8484507aa,
  0x37b546c11fadc37b, 0xe2af9ddc5494021f, 0x0e7ab36bcb955acf, 0xdf673a8a9546bb3b, 0x7020272bb54b7d54,
  0x50a4ae492fe8854d, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb40a8ab7b1554,
  0x458f386e3cd84b99, 0xb93f75666fe0eee3, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000c852c7f175e79,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b402, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5c053d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0x195d606da5b40c89, 0xbf3ba7c4b881850c,
  0x4700b5318ffe65a5, 0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xbac00dc3e144312b, 0xfb4432abbbddf373,
  0xcf0983dc54219682, 0xcaf212dbcedffd01, 0x9d3ffffa374c161b, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f,
  0x669d68450ef8af67, 0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa,
  0x47eb70decbe9662e, 0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0xed52df5537d9cea2,
  0x4bfa21535c0809ca, 0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x0f3612e65f36d02a, 0xfb763458df1726ae, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x13e792bf734332c3, 0x000000002b225b47,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ce[] = {
  0x95bbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a50,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0xb4b68191292902a8, 0x971030a1832bac0d, 0xdd5ff9956ee774f8,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc0448037, 0xf150865a01ed10ca,
  0xb7ff9ff4073c2609, 0x6343982c3795e425, 0xfb8beb0187613aff, 0xdc4963cf285c1cea, 0xf51f097e21b09117,
  0xb99e2ee373acd90f, 0x2fa8f224f72c67d4, 0x0bfb8ca8e3a7f062, 0x019db4a47109cc58, 0x6325403ff6678ebc,
  0x1525c0940f2d6e4c, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca,
  0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6da051,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x003490ad42ebcf25,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x0bc9d4cca76f5d84, 0x2d4e900d57efdeec,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0x81b696d032252522, 0x9f12e20614306575, 0x4dcd15bf32addcee,
  0xe6f51f2b6c37d9c3, 0x7c114239227f0650, 0x0370f8510c4aff3f, 0x8655777bbe6e3218, 0x9a718a8432d009e8,
  0x212db8cdffd01cf0, 0x0ffb1a1cc161bcaf, 0x39812e2fa9943b0e, 0x222fb892c79e50b8, 0x5c8fea3e12fc4361,
  0xcf0e333c5dc6e254, 0xe0c9af51e719ee58, 0xcc580a654dd1c74f, 0xc75e45bb2d747191, 0xc5494756b6e39633,
  0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0xbb54b7d54df673a8, 0x92fe8854d7020272, 0xf6ab4457950a4ae4,
  0x2ca6c59d01e7eb5c, 0x18c10b4d5ceaf52c, 0xb69c6378ce88139f, 0x8df0dc79b09732f9, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x000d240858baf3c9,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ee_ce[] = {
  0x5b2b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c9765,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0x0c2860caeb036d2d, 0x7e655bb9dd3e25c4,
  0xfcd80683869a99fe, 0xe489fc1f4fcdea3f, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d038688655777,
  0xeffa039e133938a8, 0x982c3795e425b7c6, 0x8d828ec9dbff6343, 0xcf285c1c9db3bfea, 0x309cee370112601f,
  0x795a9e94ed656443, 0x13d47c1b30613fd4, 0x8b34eb422814c578, 0x8ea426be8c2cb114, 0x1948e7139d5db8ba,
  0xf6355e363af6b13b, 0xe3170908a25f235a, 0x5c623e191c37b2e3, 0x556b3f8abe777152, 0x1aecec39eacdaf2e,
  0x2df5537d9cea2a55, 0xa21535c0809caed5, 0xd115e54292b924bf, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0xc25ccbe6da0518ed, 0x07771a2c79c371e6, 0x67a615c9fbab337f, 0xd252d9f0271964b8,
  0xbaf3c95fb9a19961, 0x0000000009822a70,
};

static const uint64_t ur_m168pb_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d6fd, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x437713b7eec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0xc0db4b6819129291, 0x4f8971030a1832ba,
  0x0e6e5afccb4b7e77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01,
  0xf7150865a11c910c, 0xb6e495ff4073c26d, 0xfe8dd30586f2bc84, 0x8bea8fabc764c37f, 0x24b1e7942f3b986b,
  0x8f84bf10d8488bee, 0xf1771b89c7f71ffa, 0xaf7dca76b737374c, 0xf51f06cc1995ea3c, 0xcd3ad08a05315dba,
  0xa909afa30b2c4522, 0xe23ea0e7576e53c3, 0x6355e363af512ecf, 0xcc5c242283d51fc9, 0x51b044c8e1bd97d2,
  0xe77715252cc7cded, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x09caed52df5537d9, 0x2b924bfa21535c08,
  0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x4d5c1e6c25ccbe6d,
  0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x016e27cf257ee686, 0x0000000000010001,
};

static const uint64_t ur_m168pb_swio13_dual_hw[] = {
  0x4f777776890d365a, 0xfc4edf8ebc219b5f, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0x7b2c51a9b16efd32,
  0x792b43bb227af7a5, 0xa1cc13e30120b657, 0x06da5b40c894948b, 0x7c4b881850c195d6, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x432abbbddf372000, 0x26b5a2a10cb42324,
  0xe425b7287ff4073c, 0xf77ffa91982c3795, 0xd47dbe77cb3de3b3, 0x2b47b8e3a7f0707f, 0x23884e62c0550799,
  0xffb30475e00ceda5, 0x81e59eda63192a01, 0x7f157ceee2a4b812, 0xd873d59b5e5caad6, 0xa6fb39d454aa35d9,
  0x6b8101395daa5bea, 0xca852572497f442a, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0xcbe6da05455bd8aa, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00000c6ebbc168a7,
};

static const uint64_t ur_m168pb_swio13_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0x47c4edf8d4c9b368, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdeb80a,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0xa5b40c89494874ea, 0xb881850c195d606d, 0x31ffccab773ba7c4,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e775801b8, 0x8a8432d05f688655,
  0x79dbffa039e1307b, 0xa91982c3795e425b, 0x56b46e4c7674ffff, 0x9838f7ea3caf4dcd, 0x143be2bd9dea3e0d,
  0x4616588a459a75a1, 0x5d4f2e2a5cd2135f, 0x44bb3f88fa839d5a, 0xaa3f92c6ab5d0ebd, 0x7b2fa598b8484507,
  0x1f37b546c11fadc3, 0xcfe2af9ddc549402, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb, 0x4d7020272bb54b7d,
  0x7950a4ae492fe885, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb40a8ab7b15,
  0xcfd4bd5c6e3cd84b, 0x738cbf313f9430a9, 0x39effe09a1e64ff1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x2bb563fd14f257ee,
};

static const uint64_t ur_m168pb_swio13_dual_ce_hw[] = {
  0x452b777776890c86, 0x707c4edf9e3eb89b, 0xef5c2f767120a477, 0xa0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9312eeeec6ecd, 0x0aa2609f180905b2, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0x3833757fe655bb9d,
  0xe9bd47d9db08e470, 0xdf04508e489fc1ca, 0x00dc3e144312bfcf, 0x432abbbddf370112, 0x9827c542196807b4,
  0x9096dffe7fd01cf0, 0x75ffea4660b0de57, 0x39d5f717d6030ec2, 0x222fb892c79e50b8, 0x9257ea3e12fc4361,
  0xcfa9733c5dc6e5c8, 0xe0c45f51e449ee58, 0x98b017f71951c74f, 0x1d78033b6948e213, 0xdc98c64a807feccf,
  0xceee2a4b81281e5a, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x1395daa5beaa6fb3, 0x572497f442a6b810,
  0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x13752b5514f257ee,
};

static const uint64_t ur_m168pb_swio13_dual_ee_ce_hw[] = {
  0x821eeeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a10d2,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x1850c195d606da5b, 0xfccab773ba7c4b88,
  0x6b60ff0e188266bb, 0xc913f83ff937a8fa, 0x886257f9fbe08a11, 0xbbe6e059001b87c2, 0x432d060a88655777,
  0x3ffa039e134878a8, 0x982c3795e425b7bc, 0x472b87656ffffa91, 0xe7942e0e56f9dff5, 0x4c273b8dce8fa927,
  0x1e57bee53b595937, 0xdd7a8f83660ccaf5, 0x91669d68450298ae, 0xe1d484d7d1859622, 0x67f11f5073abb729,
  0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb, 0x55f3bb8a929663e6, 0xcf566d7972ab59fc,
  0xece75152a8d76761, 0x0404e576a96faa9b, 0x1495c925fd10a9ae, 0x95aeb9ed5688af2a, 0x0a905ca5af9d01e3,
  0x490538c6f19d1021, 0x36d028c76f62aa8b, 0xe7f61b8f3612e65f, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x044d31c5d14f257e,
};

static const uint64_t ur_m168pb_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0xe276fccc54626d6f, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4edfbb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0x0c195d606da5b40c, 0xbb093ba7c4b88185,
  0x7609c2f0e6e5afcc, 0xf836bb9bd47c6ed8, 0x57f9fbe08a11c913, 0xc4e3c01b87c28862, 0x11c910caaeef77cd,
  0x073c26df7150865a, 0x6f2bc84b6e495ff4, 0x3b261bfd9e873058, 0x60e4c35c5f547d5e, 0x2445f71258f3c6f8,
  0xe3eefd47c25f886c, 0x9b9ba678bb8dce1f, 0xcaf51e57bee53b5b, 0x98aedd7a8f83660c, 0x962291669d684502,
  0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141, 0x63e6f6a8d8226470,
  0x59fc55f3bb8a9296, 0x6761cf566d7972ab, 0xaa9bece75152a8d7, 0xa9ae0404e576a96f, 0xaf2a1495c925fd10,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d028c76f62, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000075d668dc17d,
};

static const uint64_t ur_m168pb_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfb5933f1ee609f18, 0xd313be5ba01d9dd7, 0x1f238e9fc1d7ff51, 0x93c731602dee9900,
  0x9630475e2e76e911, 0xd7972ab52b043ee3, 0x152a8d76761cf566, 0xe9b95daa5beace75, 0x0a4ad8fdfd10a9ac,
  0xe7eb5cf6ab445795, 0xcea75380b2953e9d, 0x4408f2f14085a585, 0x4b997cdb4e31bc67, 0x7a615c9f9fd86ed8,
  0x52d964a271964b86, 0xd3c95fb9a19961d2, 0x00000000a92dcb49,
};

// m168pb_swio14_noled_pr_u4
static const uint64_t ur_m168pb_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xf31f304f8c0482d9, 0x6dec766dfffef879, 0x3f8326bd47050ef9, 0x80b2ca60f680471d,
  0xe8f9d93146229cc5, 0xac4f2a01ffb30475, 0xcaad508981e59edd, 0xa35d9d873d59b5e5, 0x576a96fab39d454a,
  0xb63f7f442a6b3a6e, 0xd73daad115e54292, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd843156f62aa8b4b,
  0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xab82be873c95fb9a, 0x00000000000007c9,
};

static const uint64_t ur_m168pb_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x78ecd9dffdf0f3e7, 0xd47959759aad68cc, 0xb297ea3e0d983ea3,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xaa3f90e75697726b, 0xb1aad743af3a6ec7, 0xe62e121144428f7b,
  0xa8d823f5b86f65b2, 0x6bcb955a805d073c, 0x8a9546bb3b0e7ab3, 0x74dcaed52df5673a, 0x85256c7efe8854d6,
  0xf16bae7b55a22bca, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0xbe6db0862adec555, 0x3e2e4d5c1e6c25cc,
  0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x0a7d0e792bf73433, 0x0000000000004ebc,
};

static const uint64_t ur_m168pb_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0xdf1d92bbffbe1e7f, 0xfa8f2bf9d355ad1e, 0x56e97d47c1b30738,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0xf91ad739d5a5d7da, 0x8d56ba1d7aea6ed2, 0x3170908a07c47d25,
  0xb8e83eb70decb872, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec, 0xfa215359d372bb54, 0x5688af2a1495b1fb,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x79b09732f9b6c218, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xf439e4afdcd0ccb0, 0x0000000004eba681,
};

// m168pb_swio14_noled_pr_ce_u4
static const uint64_t ur_m168pb_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0xe7f4dcc13e30120b, 0x7d7ba1d995bffbe1, 0x4b1e78c953b95d71, 0xf84bf10d8488bee2,
  0xf1771b8c87495fa8, 0x51d7c9ee58cfd64c, 0xbf2fa38e9fc1acff, 0xec98a3114e62c05d, 0x9500ffd99e3af47c,
  0xaa11303cb5bad627, 0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xefe8854d674dcaed, 0xb55a22bca85256c7,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x98edec5551696d13, 0x83cd84b997cdb610, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xefa1cf257ee68665, 0x00000000006eba45,
};

static const uint64_t ur_m168pb_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x5d4760cdfff7c3cf, 0xc64a9d8cd9dff546, 0x139dc6e339747ff3,
  0x2b90f29dacac7be6, 0xfd47c1b307a57a8f, 0xb34eb422814c5670, 0xea426be8c2cb1148, 0xea8fe439d5db9c98,
  0xd8d578d8ebce9bb1, 0x73170908a22147bd, 0x2a3608991c37b2d9, 0xdaf2e556a59f41cf, 0xa2a551aecec39eac,
  0x9d372bb54b7d59ce, 0xa1495b1fbfa21535, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744,
  0x5f36d84263b7b155, 0xb1e71726ae3612e6, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x0a698bf6fa1cf257,
};

static const uint64_t ur_m168pb_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x149304f8c0482d95, 0x6c7656fffe520f9f, 0x42e0e56fdc5f547a, 0x0d8488bee24b1e79,
  0x76ec2c9fa8f84bf1, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684,
  0x3abb73931d484d7d, 0x1d79d3763d51fc87, 0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113,
  0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0xf7f442a6b3a6e576, 0xdaad115e54292b63, 0x294f0d3bcf8b5d73,
  0xc6378ce881077536, 0x4c76f62aa8b4b689, 0x71e6c25ccbe6db08, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xc1eae2ebcf257ee6,
  0x000000000000004f,
};

static const uint64_t ur_m168pb_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfc38f3f1ee609f18, 0xa6277cb7403b3baf, 0x3e471d3f83affea3, 0x278e62c05bdd3200,
  0x2c608ebc5cedd223, 0xaf2e556a56087dc7, 0x2a551aecec39eacd, 0xd372bb54b7d59cea, 0x1495b1fbfa215359,
  0xcfd6b9ed5688af2a, 0x9d4ea701652a7d3b, 0x8811e5e2810b4b0b, 0x9732f9b69c6378ce, 0xf4c2b93f3fb0ddb0,
  0xa5b2c944e32c970c, 0xa792bf734332c3a4, 0x000000008e2b7760,
};

static const uint64_t ur_m168pb_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0xb5a331e3b3677fd0, 0x60fa8f51e565d66a, 0x50ef8aca5fa8f836,
  0x185962291669d684, 0x5dc9ae3593484d7d, 0xe9bb1ea8fe439d5a, 0x0a3deec6ab5d0ebc, 0xbd96cb98b8484511,
  0x741cf2a3608fd6e1, 0x39eacdaf2e556a01, 0xd59cea2a551aecec, 0x215359d372bb54b7, 0x88af2a1495b1fbfa,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xb09732f9b6c218ab, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3a29e4afdcd0ccb0,
  0x00000000002dffcd,
};

static const uint64_t ur_m168pb_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x482d95de4ee94e1e, 0xf4299fd37304f8c0, 0xaeb8bebdd0eccadf, 0xbee24b1e7942e0e4, 0x7fa8f84bf10d8488,
  0xd64cf1771b9d8378, 0xacff51d7c9ee58cf, 0xc05dbf2fa38e9fc1, 0xf47cec98a3114e62, 0xd6279500ffd99e3a,
  0xb955aa11303cb5ba, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x56c7efe8854d674d, 0xbae7b55a22bca852,
  0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xb61098edec555169, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x3acd93f0d14f257e,
};

// m168pb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0x547a6c7656fffd0a, 0x1e7942e0e56fdc5f, 0x4bf10d8488bee24b,
  0x71b86dd8523fa8f8, 0x3ca76b736f7ccf17, 0xf06cc1e95ea3cae4, 0xad08a053159c3f51, 0x9afa30b2c4522cd3,
  0xf90e7576e7263a90, 0x5e363af3a6ec7aa3, 0xc242288851ef7635, 0x8226470decb65cc5, 0xb955a967d073ca8d,
  0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x56c7efe8854d674d, 0xbae7b55a22bca852, 0xea6c529e1a779f16,
  0x6d138c6f19d1020e, 0xb61098edec555169, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x028087abd14f257e,
};

static const uint64_t ur_m168pb_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffb5933f01a609f1, 0x3e4877cb7403b03d, 0x098c71d3f83affea, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551aecec39eac, 0x9d372bb54b7d59ce, 0x5cbec7a21535c080,
  0x6b9ed5688af2a149, 0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0x2f9b69c6378ce881, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00002a4fad693a79,
};

// m168pb_swio14_lednop_pr_u4
static const uint64_t ur_m168pb_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xafb9827c602416ca, 0x6f63b23dfff7c3cf, 0xfc1935ea3a0077cb, 0x02cb299fcea238e9,
  0x47ced92231be7316, 0xfe91500ffd9823af, 0xaad65da81e59edc1, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa,
  0xf442a6b81013a6e5, 0xad115e54292b97d8, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0x3612e65f36d8c62a, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x0000000f93390fbe,
};

static const uint64_t ur_m168pb_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0x8f1d835bffbe1e7d, 0x7a8f2b60b355ad19, 0x56a7bd47c1b307d4,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x4447371cead2ee95, 0x56355ae875e74dda, 0x5cc5c242285f11c6,
  0x951b047eb70decb6, 0x6d7972ab500ad627, 0x5152a8d76761cf56, 0x4e9b95daa5beace7, 0xae5f63d10a9ae040,
  0x75cf6ab4457950a4, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x1cf257ee68665874, 0x00000000275cc8fa,
};

static const uint64_t ur_m168pb_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x3dbe3b06b7ff7c3c, 0x71f51e5721e6ab5a, 0xf8aff77a8f83660e,
  0x962291669d68450e, 0x65c5133484d7d185, 0x6c911a6273ab4bc0, 0x5ac6ab5d0ebd7537, 0x723170908a20fa3b,
  0xd57182feb70decb8, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35, 0x42a6b81013a6e576, 0x115e54292b97d8f4,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0xc6f19d1028be8a04, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x7be873c95fb9a199, 0x000000000013ae91,
};

// m168pb_swio14_lednop_pr_ce_u4
static const uint64_t ur_m168pb_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0x1e7e394c13e30120, 0x17d7ba1d96ebffbe, 0x24b1e78c953bd377, 0x8f84bf10d8488bee,
  0xcf1771b8495951fa, 0xea3cbe9ee58cfd64, 0x8f7a5471d3f8359f, 0x9db244637ce62c05, 0x22a01ffb33c75e8f,
  0x6b2ed40f2d6e83fd, 0xecec39eacdaf2e55, 0x54b7d59cea2a551a, 0x21535c0809d372bb, 0x88af2a1495cbec7a,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36d8c4c76f, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000000dd7085be87,
};

static const uint64_t ur_m168pb_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0x9751d81a3ffbe1e7, 0x78c953b0d077fd51, 0x84e771b8d07044fe,
  0xcaca5ca76b2b1ef9, 0x3f51f06cc1e95ea3, 0x2cd3ad08a0531594, 0x3a909afa30b2c452, 0x22239b8e7576e74a,
  0x56355e363af3a6ed, 0x5cc5c242285f11c6, 0xca8d8226470decb6, 0x36bcb955a9676b13, 0xa8a9546bb3b0e7ab,
  0x274dcaed52df5673, 0x572fb1e8854d7020, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a,
  0x63131dbd8aaa2d24, 0x5c9ab8d84b997cdb, 0xb31e40fca1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271,
  0xdc7be873c95fb9a1, 0x00000000000029a6,
};

static const uint64_t ur_m168pb_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xb06609f180905b2b, 0xb1d887dff9483e7f, 0x0b83887d717d51e9, 0x361222fb892c79e5,
  0x0ff1f77ea3e12fc4, 0xadcdbdf33c5dc6e7, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9d28ea426be8, 0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2, 0xd01e395aeb9ed568,
  0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3,
  0x000000004fc8d4e1,
};

static const uint64_t ur_m168pb_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e807607b, 0x1318e3a7f075ffd4, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101,
  0xd73daad115e54292, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0x5f36d38c6f19d102, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000238bebec14f2,
};

static const uint64_t ur_m168pb_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0x5ad198f1d835bfe8, 0x307d47a8f2b60b35, 0x2877c56a7bd47c1b,
  0x8c2cb1148b34eb42, 0x2ee9571ac9a426be, 0x74dda4447371cead, 0xf11c656355ae875e, 0xdecb65cc5c242285,
  0xad627951b047eb70, 0x1cf566d7972ab500, 0xeace75152a8d7676, 0xae0404e9b95daa5b, 0x950a4ae5f63d10a9,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x97cdb6318ab7b155, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000016f8d4e514f,
};

static const uint64_t ur_m168pb_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x2416caef2775eb4e, 0xfa14cfc729827c60, 0x4ddc5f5ee8765baf, 0x5f71258f3ca17073, 0xcfd47c25f886c244,
  0xeb2678bb8dc98667, 0xacff51e5f4f72c67, 0x602c7bd2a38e9fc1, 0xf47ced92231be731, 0x1fe91500ffd99e3a,
  0x72ab5976a0796b74, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b6c626, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xf82a29e4afdcd0cc,
  0x00000000000759be,
};

// m168pb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0x51e9b1d887dff429, 0x79e50b83887d717d, 0x2fc4361222fb892c,
  0xc6e2bae30bfea3e1, 0x729dadcdbdf33c5d, 0xc1b307a57a8f2b29, 0xb422814c5650fd47, 0x6be8c2cb1148b34e,
  0x6e39d5db9d28ea42, 0x78d8ebce9bb4888e, 0x0908a17c471958d5, 0x08991c37b2d97317, 0xe556a59dac4f2a36,
  0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0xc7a21535c0809d37, 0xd5688af2a1495cbe, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d8c4c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xa9d453c95fb9a199, 0x0000000000014051,
};

// m168pb_swio14_dual_pr             m168pb_swio14_dual_pr_u4
static const uint64_t ur_m168pb_swio14_dual[] = {
  0x4bbbbbbb4486c541, 0x7e276fc75e9c8da3, 0xb62fbb707a750b69, 0x1fc5fe47652be295, 0x18b3e2d402b74d29,
  0x95a1dd608fe1aaf5, 0x6609f180905b2bbc, 0x6d2da0644a4a42a4, 0x25c40c2860caeb03, 0x99c9fe655bb9dd3e,
  0xf51dfcd82fb38145, 0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x2abbbddf371aec01, 0xb5a2a10cb4232443,
  0x25b7297ff4073c26, 0xff6343982c3795e4, 0xfdd1df2cb5c76145, 0x87b8e3a7f07bdfa8, 0x4c4e62c0550799c9,
  0xb30475e00cec8023, 0xcb3db7bc6faa01ff, 0x55f3bb8a92be7503, 0xcf566d7972ab59fc, 0xace75152a8d76761,
  0xe0404e9b95daa5be, 0x50a4ae5f63d10a9a, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881,
  0x7cdb6318ab7b1554, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000292641c85d79,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ee[] = {
  0x34eddddddd435032, 0x23e276fc6a68426d, 0x7ad3dba7395f40b3, 0xeb2333b55de9afbf, 0x2f0fae71337aed39,
  0xdd57b68ff5efbb1c, 0xe30120b657793d39, 0x819129290ba2cc13, 0x30a1832bac0db4b6, 0xf9956ee774f89710,
  0xd6c12d1c02d4c63f, 0x9227f0715a6f51c9, 0x10c4aff3f7c11423, 0x77cdcba180370f85, 0x865a0bed10caaeef,
  0x5ff4073c260f7150, 0x982c3795e425b7d3, 0x47fb87605aff6343, 0x0f7ea3caedd4d56b, 0xbe2bd37ea3e0d983,
  0x6588a459a75a1143, 0x2ae2a5cd2135f461, 0x631e8cf539d5a5d8, 0x10d8d56ba1d7a897, 0xf4b3170908a34a47,
  0x8aa8d823f5b86f65, 0xabe777152500b228, 0x9eacdaf2e556b3f8, 0x59cea2a551aecec3, 0xc0809d372bb54b7d,
  0xa1495cbec7a21535, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8,
  0x8b1e70dc79b09732, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000c85117c2ebcf2,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x89dbf1a9a109b4d3, 0x47e69ce57d02cc8f, 0x676abbd35f7eda7b, 0x5ce266f5da73d646,
  0xfadd5ec3ebb85e1f, 0x5b2bbc9e9ceefafb, 0x9485d16609f18090, 0x95d606da5b40c894, 0xf3ba7c4b881850c1,
  0x700b5318ffe65a5b, 0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x8600dc3e144312bf, 0xb4432abbbddf372e,
  0xf0983dc54219682f, 0x579096df4d7fd01c, 0x05afffd1ba60b0de, 0xaedd4d56b47fb876, 0xea3e0d9830f7ea3c,
  0x9a75a1143be2bd37, 0xd2135f4616588a45, 0x539d5a5d82ae2a5c, 0xba1d7a897631e8cf, 0x908a34a4710d8d56,
  0x3f5b86f65f4b3170, 0x52500b2288aa8d82, 0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x72bb54b7d59cea2a,
  0xec7a21535c0809d3, 0xed5688af2a1495cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0x079b09732f9b6c63, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x89f3c95fb9a19961, 0x00000000564f627b,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xf89dbf3c7f766d1b, 0x41f6eabe6c48eee0, 0xe976d3913eabfaef, 0x9932bbf7ef74dd06,
  0xc4bba591aeb36855, 0x827c602416caef24, 0x96d0322525222319, 0xe2061430657581b6, 0xabff32addcee9f12,
  0x3eced8472381c19b, 0x847244fe0e574dea, 0xf0a21895fe7ef822, 0xeef77cdc524006e1, 0x150865a01ed10caa,
  0xe337ff4073c2609f, 0x68730586f2bc84b6, 0xb8beafe0ec383fec, 0xe24b1e7942e0e13a, 0xa8f84bf10d8488be,
  0x99e2ee3719be951f, 0xf51c27cf72c67d4b, 0x945dbf1c74fe0ed6, 0x6764011a62731602, 0x7d500ffd99e3af00,
  0x257cea0796b73de3, 0xe556b3f8abe77715, 0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0xc7a21535c0809d37,
  0xd5688af2a1495cbe, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d8c4c,
  0xfe0eee34596af1b8, 0x34a1854e7ea75666, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x01a48f5b175e792b,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x9de276fcf1f62e6d, 0x5a9afbad89d9471e, 0x91c9d4ccdd69624e, 0xf8ce947ee7157ee9,
  0x7792d15dc7045580, 0x75f4c13e30120b65, 0xc0db4b6819129290, 0x4f8971030a1832ba, 0xa6e68adf9956ee77,
  0x737a8f95b61bece1, 0xbe08a11c913f8328, 0x01b87c2886257f9f, 0x432abbbddf3712a0, 0x4d38c542196804f4,
  0x9096dec7ffe80e78, 0x5bfd8d0e60b0de57, 0x38a7ae2faedf1d83, 0x222fb892c79e50b8, 0xb21fea3e12fc4361,
  0xcf0e333c5dc6e759, 0xc193dea3cbe9ee58, 0x31602edf5f238e9f, 0x1d7916ec3e231be7, 0x2a4a3ab87b8e58cf,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9,
  0x0b29b1674079fad7, 0xc63042d3573abd4b, 0x6da718de33a20517, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00006921662ebcf2,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ee_ce[] = {
  0xa9c5bbbbbba86f97, 0x7ade276fc6223f0d, 0x7ef5ef76c5e35586, 0x2be3749cad041f22, 0x097d7aef537c9671,
  0x9dcf046752c8a756, 0x3e30120b65779393, 0xd032252520e49cc1, 0x061430657581b696, 0x3f32addcee9f12e2,
  0xfe6c0341c34d4cff, 0x7244fe0fa7e6f51f, 0xa21895fe7ef82284, 0xeef9b9e72006e1f0, 0x10cb40e1a21955dd,
  0x93fe80e784ce4e2a, 0x730586f2bc84b6e2, 0xa8ca18ecd35fec68, 0xfe7942e0e69a3bfe, 0x0cc273b8dc524e6f,
  0x51e56c1653b59591, 0xd4f7a8f83660fa8f, 0x291669d68450298a, 0xc31d484d7d185962, 0xdb6fa397c73abb71,
  0x7cb1aaf1b1d7b589, 0xc7c62e121140288c, 0x49718e4532386f65, 0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc,
  0xcaed52df5673a8a9, 0xb1e8854d7020274d, 0xb55a22bca852572f, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb6313, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x9c175e792bf73433, 0x0000000000004c13,
};

static const uint64_t ur_m168pb_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x276fccc5fc26d67d, 0xda6a6bd5784339de, 0xdae2faf7683acada, 0x37713b3eec5e713a,
  0x52399a0e087877d7, 0xc96c4eeab8fb0003, 0x6e609f180905b2bb, 0xb696d03225252196, 0x12e2061430657581,
  0xdcb5f99696fcee9f, 0x8f8ddb0ec1385e1c, 0x4239227f06d7737a, 0xf8510c4aff3f7c11, 0xeef77cdc15400370,
  0x150865a11c910caa, 0xf495ff4073c26df7, 0x8dd30586f2bc84b6, 0xf5464e8765e1fffe, 0x58f3ca179dde1dc5,
  0xc25f886c2445f712, 0x5dc6e0aa2c93fd47, 0x95d29dadcdcdd33c, 0x8f83660f6ffa8f2b, 0x9d68450298af7dfa,
  0x84d7d18596229166, 0x19ea73abb73051d4, 0x55e363af512ec63d, 0x5c24228d291c4363, 0xb044c8e1bd97d2cc,
  0xee2a4a59e4511551, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101,
  0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0xd5c1e6c25ccbe6db,
  0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x04e27cf257ee6866, 0x000000000010013f,
};

static const uint64_t ur_m168pb_swio14_dual_hw[] = {
  0x2eeeeeed12190907, 0xf89dbf1d7a72368d, 0xd8beedc1e9d42da5, 0x7f17f91d94af8a56, 0xf6cf8b500add34a4,
  0xf2568775a0fd5f7a, 0x919827c602416cae, 0x0db4b6819129290a, 0xf8971030a1832bac, 0x166727f9956ee774,
  0x9bd477f360bece05, 0xf822847244fe0cca, 0x06e1f0a21895fe7e, 0x0caaeef77cdc6bb0, 0x9ad68a8432d08c91,
  0x9096dca5ffd01cf0, 0x8bffea4660b0de57, 0x51fba3be596b8ec2, 0x930f71c74fe0f7bf, 0x46989cc580aa0f33,
  0xff6608ebc019d900, 0x07967b6f78df5403, 0xf8abe77715257cea, 0xc39eacdaf2e556b3, 0x7d59cea2a551aece,
  0x35c0809d372bb54b, 0xf2a1495cbec7a215, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x32f9b6c63156f62a, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000031ba9072a29,
};

static const uint64_t ur_m168pb_swio14_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0xf13b7e353421369a, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd769cf5,
  0x3b9a3ea75add8e17, 0x7c602416caef27a7, 0xd032252521745982, 0x061430657581b696, 0xff32addcee9f12e2,
  0x3ad825a3805a98c7, 0x7244fe0e2b4dea39, 0xa21895fe7ef82284, 0xeef9b9743006e1f0, 0x10cb417da21955dd,
  0x6bfe80e784c1ee2a, 0x330586f2bc84b6fa, 0xb47fb87605afff52, 0x30f7ea3caedd4d56, 0x3be2bd37ea3e0d98,
  0x16588a459a75a114, 0x82ae2a5cd2135f46, 0x7631e8cf539d5a5d, 0x710d8d56ba1d7a89, 0x5f4b3170908a34a4,
  0x88aa8d823f5b86f6, 0x8abe777152500b22, 0x39eacdaf2e556b3f, 0xd59cea2a551aecec, 0x5c0809d372bb54b7,
  0x2a1495cbec7a2153, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b6c63156f62aa,
  0xfa97ab8dc79b0973, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0xbb48bea29e4afdcd, 0x0000000000000002,
};

static const uint64_t ur_m168pb_swio14_dual_ce_hw[] = {
  0x6eb777776890cf68, 0x83e276fcf1fdd9b4, 0xbd07dbaaf9b123bb, 0x1ba5db4e44faafeb, 0x7664caefdfbdd374,
  0xbc9312ee68fa9d6b, 0x8c6609f180905b2b, 0x06da5b40c8949488, 0x7c4b881850c195d6, 0x066eaffccab773ba,
  0x37a8fb3b611c8e07, 0xe08a11c913f8395d, 0x1b87c2886257f9fb, 0x32abbbddf3714900, 0x827c542196807b44,
  0x12db8cdffd01cf09, 0x7ffd48cc161bcaf2, 0xc275717d5fc1d870, 0x117dc4963cf285c1, 0x92bf51f097e21b09,
  0x7d4b99e2ee37190e, 0x0ed6f51c27cf72c6, 0x1602945dbf1c74fe, 0xaf006764011a6273, 0x3de37d500ffd99e3,
  0x7715257cea0796b7, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0x9d372bb54b7d59ce, 0x5cbec7a21535c080,
  0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xb1b8f3612e65f36d,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x4dd5eb7453c95fb9, 0x0000000000000000,
};

static const uint64_t ur_m168pb_swio14_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0xc5e276fc6236086d, 0xdbc9ee8eba7d9da6, 0x98f599f0ce644d71, 0xbccd936a6f929ce4,
  0x6ee1e198535aebd7, 0x9f180905b2bbc966, 0x681912929196d260, 0x030a1832bac0db4b, 0x7f9956ee774f8971,
  0x4d6c1fe1c3104cd7, 0x39227f07ff26f51f, 0x510c4aff3f7c1142, 0xf77cdc5c100370f8, 0x0865a0c1510caaee,
  0xb7ff4073c2690f15, 0x330586f2bc84b6e6, 0x54795876620fff52, 0xff3ca17073101dff, 0xba6139dc6e654341,
  0xa8f2b95d29dacac9, 0xf7dfa8f83660f6ff, 0x291669d68450298a, 0x051d484d7d185962, 0xec63d19ea73abb73,
  0xc436355e363af512, 0x7d2cc5c24228d291, 0x11551b044c8e1bd9, 0x157ceee2a4a59e45, 0x73d59b5e5caad67f,
  0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6db1898edec555, 0x4fcfec371e6c25cc, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0001134c02a29e4a,
};

static const uint64_t ur_m168pb_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0xc4edf998bf84dacf, 0xcadd4d7aaf08673b, 0x13adae2faf7683ba, 0x7d737713b3eec5e7,
  0xaa0d5a1968e08787, 0x82d95de4b62776d6, 0x9290cb37304f8c04, 0x32bac0db4b681912, 0x12774f8971030a18,
  0x1385e1cdcb5f9976, 0x6d7737a8f8ddb0ec, 0xf3f7c114239227f0, 0x5400370f8510c4af, 0xc910caaeef77cdc1,
  0x3c26df7150865a11, 0x2bc84b6f495ff407, 0x2f0ffd9e8730586f, 0x72f0ee2faa32743b, 0x22fb892c79e37c30,
  0xf5fea3e12fc43612, 0xe6e99e2ee3702c8c, 0xfd4795cae94ed6e6, 0x57befd47c1b307b7, 0x1148b34eb422814c,
  0x9828ea426be8c2cb, 0x97631e8cf539d5db, 0x8e21b1aaf1b1d7a8, 0xcbe9662e12114694, 0x288aa8d8226470de,
  0xf8abe77715252cf2, 0xc39eacdaf2e556b3, 0x7d59cea2a551aece, 0x35c0809d372bb54b, 0xf2a1495cbec7a215,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d8c4c76f62a, 0xe7ea0bb1b8f3612e,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000075d58cd017d3,
};

static const uint64_t ur_m168pb_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xff6b267cc7cc13e3, 0x7884ef96e90766df, 0x96bc71d3f83e7bd4, 0x64d1cc580b7ba6d2,
  0xcb1823af173b5c34, 0x6bcb955a9595ff71, 0x8a9546bb3b0e7ab3, 0x4dcaed52df57673a, 0x92ad5fefe8854d67,
  0xfad73daad115e542, 0xa9d4e02ca54fa779, 0x022fdc5021696173, 0xe65f36d38c6f19d1, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000002a45c2d274,
};

// m168pb_swio15_noled_pr_u4
static const uint64_t ur_m168pb_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0f8ec32bffbe1e7, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55,
  0x7fbfa215359d372b, 0xf6ab4457950a4ab5, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2,
  0x57079b09732f9b63, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x359f439e4afdcd0c, 0x000000000003e4d5,
};

static const uint64_t ur_m168pb_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x3b22b7ff7c3cf93a, 0x8f2b297355ad1bf8, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x9546bb3b0e7ab36b, 0xcaed52df57673a8a, 0xad5fefe8854d674d,
  0xd73daad115e54292, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd8c9156f62aa8b4b, 0xe4d5c1e6c25ccbe6,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0xd0e792bf734332c3, 0x0000000004ebe317,
};

static const uint64_t ur_m168pb_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x50ecdf7ffdf0f3f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0xb0e7ab36bcb955aa, 0xf57673a8a9546bb3, 0x8854d674dcaed52d, 0x115e54292ad5fefe,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x6c25ccbe6d8c9156, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x0e792bf734332c3a, 0x00000000275cb37d,
};

// m168pb_swio15_noled_pr_ce_u4
static const uint64_t ur_m168pb_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0xf3fb3a609f180905, 0x7d76f8ec95dffdf0, 0x4b1e78c953bdf771, 0xf84bf10d8488bee2,
  0xf1771b9722495fa8, 0x51e6e9ee58cfd64c, 0x654e31c74fe0c9ef, 0x9da2147bd9cc580a, 0xd2a01ffb33c75e8f,
  0xb57d6e0796b708a4, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0xdfd10a9ace9b95da, 0x55a22bca85255abf,
  0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x079b09732f9b6321, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x1f439e4afdcd0ccb, 0x00000000006eba68,
};

static const uint64_t ur_m168pb_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52c767fcffef879f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x454aa35d9d873d59,
  0xa6e576a96fabb39d, 0x4956aff7f442a6b3, 0x5aeb9ed5688af2a1, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408,
  0xe6d8c863b7b15545, 0x3ce2e4d5c6c25ccb, 0xfdd598f207e50d16, 0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25,
  0x4d31e5df439e4afd, 0x0000000000000001,
};

static const uint64_t ur_m168pb_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x70ec6bbffca41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0xfa215359d372bb54, 0xb4457950a4ab57fb, 0x3c34ef3e2d75cf6a,
  0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0xf3612e65f36c6431, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc9c175e792bf7343,
  0x00000000000027e0,
};

static const uint64_t ur_m168pb_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xff871e7cc7cc13e3, 0xf109df2dd20ecdbf, 0x2d78e3a7f07cf7a8, 0xc9a398b016f74da5,
  0x9630475e2e76b868, 0xd7972ab52b2bfee3, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x255abfdfd10a9ace,
  0xf5ae7b55a22bca85, 0x53a9c0594a9f4ef3, 0x045fb8a042d2c2e7, 0xccbe6da718de33a2, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000238971d829,
};

static const uint64_t ur_m168pb_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe0ec8adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xeacdaf2e556a0174, 0x9cea2a551aecec39, 0x359d372bb54b7d5d, 0x950a4ab57fbfa215,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x732f9b632455bd8a, 0xa73f505d8dc79b09,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000002dffc93a2,
};

static const uint64_t ur_m168pb_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x2416caef2774a51d, 0xfa14cfece9827c60, 0xfbb8bebb7c764aef, 0xbee24b1e7942e0e6, 0xdfa8f84bf10d8488,
  0xd64cf1771b86b730, 0xc9ef51e6e9ee58cf, 0x580a654e31c74fe0, 0x5e8f9da2147bd9cc, 0x08a4d2a01ffb33c7,
  0x972ab57d6e0796b7, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x5abfdfd10a9ace9b, 0xae7b55a22bca8525,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0x63218edec5551696, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x759b7c93a29e4afd,
};

// m168pb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece1d8d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x46bb3b0e7ab36bcb, 0xed52df57673a8a95, 0x5fefe8854d674dca, 0x3daad115e54292ad, 0x6294f0d3bcf8b5d7,
  0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0xc6e3cd84b997cdb1, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x80864e514f257ee6, 0x0000000000000002,
};

static const uint64_t ur_m168pb_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffb5933f01a609f1, 0x3e4877cb7483b03d, 0x84c638e9fc1f3dea, 0x1f48731602dee9ba,
  0x39630475e2e76115, 0x6d7972ab52b305ee, 0x5152a8d76761cf56, 0xe9b95daa5beaece7, 0x72563d10a9ae0404,
  0x2e7b55a22bca8525, 0x5ea5af29c05ce80f, 0x28be8a042d2b0898, 0x65f36d38c6f19d10, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000549f5ad274f,
};

// m168pb_swio15_lednop_pr_u4
static const uint64_t ur_m168pb_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f1d863fffbe1e7, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd76761cf566d7972, 0xaa5beaece75152a8,
  0x10a9ae0404e9b95d, 0xa22bca852572563d, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0xc25ccbe6da05455b, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000000f93fea87d0,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x1d8707ffbe1e7e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3,
  0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x83cd84b997cdb40a,
  0x3f2868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e687993fc09c69, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x3af842fa1cf257ee, 0x0000000000000001,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca1d8707ffbe1e, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0x0a9ae0404e9b95da, 0x22bca852572563d1,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a204e7d1408, 0xc1e6c25ccbe6da71, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x07d0e792bf734332, 0x000000000013ae9a,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0x7c6b4c13e30120b6, 0xaedf1d9a6fffbe1e, 0x63cf192a77b3ae2f, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0x3ce33dcb19fac99e, 0xf3d638e9fc193dea, 0x65f11c6473160298, 0xa807feccf1d7a3e7,
  0xb8720796b70dfb86, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x3a7c5c9ab83cd84b,
  0xd4eacc7903f2868b, 0x8cbf313f9430a9cf, 0xeffe09a1e64ff173, 0x592e19e985727e39, 0x66587494b67c09c6,
  0xfd3cfa1cf257ee68, 0x00000000000001ba,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9ea3b3027ff7c3, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x1cf566d7972ab51d, 0xaece75152a8d7676, 0xe0404e9b95daa5be, 0xa852572563d10a9a, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x06ebd594fa1cf257,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x2963b136fffbe1e7, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0xa2a551aecec39eac,
  0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x1463b7b15545a482, 0x93571b09732f9b68, 0x63c81f943458f38b, 0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32,
  0x1b7d0e792bf73433, 0x000000000000534f,
};

static const uint64_t ur_m168pb_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xce1d8293ff2907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a, 0x1535c0809d372bb5, 0x457950a4ae4ac7a2, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b681463b7b, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961,
  0x0000000027e03c98,
};

static const uint64_t ur_m168pb_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e907607b, 0x098c71d3f83e7bd4, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809,
  0x5cf6ab4457950a4a, 0xbd4b5e5380b9d01e, 0x517d14085a561130, 0xcbe6da718de33a20, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000004717d7d829e,
};

static const uint64_t ur_m168pb_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f0761c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x7ab36bcb955a8042, 0x673a8a9546bb3b0e, 0x20274dcaed52df57, 0x292b92b1e8854d70,
  0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005bf3539453c95,
};

static const uint64_t ur_m168pb_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x2416caef2775a77d, 0xfa14cf8d69827c60, 0xceb8bebb7c7669bf, 0xbee24b1e7942e0e6, 0xffa8f84bf10d8488,
  0xac99e2ee3739699b, 0x93dea3ce33dcb19f, 0x60298f3d638e9fc1, 0x7a3e765f11c64731, 0xdfb86a807feccf1d,
  0x72ab5b8720796b70, 0xa8d76761cf566d79, 0x5daa5beaece75152, 0x3d10a9ae0404e9b9, 0x55a22bca85257256,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb40a31, 0x2861539fa82ec6e3,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x2b514f257ee68665,
  0x00000000001d66c0,
};

// m168pb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m168pb_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9c3b0527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0xa8d76761cf566d79, 0x5daa5beaece75152, 0x3d10a9ae0404e9b9, 0x55a22bca85257256, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb40a31, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xc9d14f257ee68665, 0x0000000000050103,
};

// m168pb_swio15_dual_pr             m168pb_swio15_dual_pr_u4
static const uint64_t ur_m168pb_swio15_dual[] = {
  0xc7bbbbbb44869a4e, 0x7e276fc75e10cda5, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b75719,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0xda5b40c894948ba1, 0x4b881850c195d606, 0x3393fccab773ba7c,
  0xea3bf9b05f67028b, 0x114239227f06654d, 0x70f8510c4aff3f7c, 0x2abbbddf37200003, 0xb5a2a10cb4232443,
  0x25b7287ff4073c26, 0xff6343982c3795e4, 0xfb7cef967bc767ee, 0x8f71c74fe0e0ffa8, 0x109cc580aa0f3256,
  0x6608ebc019db4a47, 0xcb3db4c6325403ff, 0x2af9ddc549702503, 0xe7ab36bcb955acfe, 0x7673a8a9546bb3b0,
  0x020274dcaed52df5, 0x4292b92b1e8854d7, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204,
  0xf36d02a2adec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000a49ef05175e7,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ee[] = {
  0x586ddddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0xcf59198f6d9beec7, 0xf700faabc99bd7b0,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x40c2860caeb036d2, 0xffe655bb9dd3e25c,
  0x275b04b4700b5318, 0x8e489fc1c569bd47, 0x144312bfcfdf0450, 0xbddf373bac00dc3e, 0x4219682fb4432abb,
  0xedffd01cf0983dc5, 0x1cc161bcaf212dbc, 0xb46e4c7674fffb1a, 0x38f7ea3caf4dcd56, 0x3be2bd9dea3e0d98,
  0x16588a459a75a114, 0x4f2e2a5cd2135f46, 0xbb3f88fa839d5a5d, 0x3f92c6ab5d0ebd44, 0x2fa598b8484507aa,
  0x37b546c11fadc37b, 0xe2af9ddc5494021f, 0x0e7ab36bcb955acf, 0x57673a8a9546bb3b, 0x7020274dcaed52df,
  0x54292b92b1e8854d, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x5f36d02a2adec555,
  0xd163ce1b8f3612e6, 0xae4fdd599bf83bb8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0003214b1fc5d79e,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b561, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5ec33d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0x195d606da5b40c89, 0xbf3ba7c4b881850c,
  0x4700b5318ffe65a5, 0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xbac00dc3e144312b, 0xfb4432abbbddf373,
  0xcf0983dc54219682, 0xcaf212dbcedffd01, 0x9d3ffffa374c161b, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f,
  0x669d68450ef8af67, 0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa,
  0x47eb70decbe9662e, 0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2,
  0xac7a21535c0809d3, 0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c,
  0x83cd84b997cdb40a, 0x7edd8d1637c5c9ab, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc4f9e4afdcd0ccb0, 0x000000000ac896d1,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a70,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0xb4b68191292902a8, 0x971030a1832bac0d, 0xdd5ff9956ee774f8,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc0448037, 0xf150865a01ed10ca,
  0xb7ff9ff4073c2609, 0x6343982c3795e425, 0xfb8beb0187613aff, 0xdc4963cf285c1cea, 0xf51f097e21b09117,
  0xb99e2ee373acd90f, 0x2fa8f224f72c67d4, 0x0bfb8ca8e3a7f062, 0x019db4a47109cc58, 0x6325403ff6678ebc,
  0x1525c0940f2d6e4c, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3,
  0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0xc79b09732f9b6814,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x000d242b50baf3c9,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x89c9d4cca76f5d84, 0x2d4e900d57efdeed,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0x81b696d032252522, 0x9f12e20614306575, 0x4dcd15bf32addcee,
  0xe6f51f2b6c37d9c3, 0x7c114239227f0650, 0x0370f8510c4aff3f, 0x8655777bbe6e3218, 0x9a718a8432d009e8,
  0x212db8cdffd01cf0, 0x0ffb1a1cc161bcaf, 0x39812e2fa9943b0e, 0x222fb892c79e50b8, 0x5c8fea3e12fc4361,
  0xcf0e333c5dc6e254, 0xe0c9af51e719ee58, 0xcc580a654dd1c74f, 0xc75e45bb2d747191, 0xc5494756b6e39633,
  0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0xdcaed52df57673a8, 0x2b1e8854d7020274, 0x3daad115e54292b9,
  0x0b29b1674079fad7, 0xc63042d3573abd4b, 0x6da718de33a204e7, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00034902162ebcf2,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ee_ce[] = {
  0x5f6b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c97ed,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0x0c2860caeb036d2d, 0x7e655bb9dd3e25c4,
  0xfcd80683869a99fe, 0xe489fc1f4fcdea3f, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d038688655777,
  0xeffa039e133938a8, 0x982c3795e425b7c6, 0x8d828ec9dbff6343, 0xcf285c1c9db3bfea, 0x309cee370112601f,
  0x795a9e94ed656443, 0x13d47c1b30613fd4, 0x8b34eb422814c578, 0x8ea426be8c2cb114, 0x1948e7139d5db8ba,
  0xf6355e363af6b13b, 0xe3170908a25f235a, 0x5c623e191c37b2e3, 0x556b3f8abe777152, 0x1aecec39eacdaf2e,
  0xb54b7d5d9cea2a55, 0xa21535c0809d372b, 0xb4457950a4ae4ac7, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d,
  0x7b15545a4829c637, 0xb09732f9b681463b, 0xc1ddc68b1e70dc79, 0x19e985727eeaccdf, 0x7494b67c09c6592e,
  0x2ebcf257ee686658, 0x0000000002608a9c,
};

static const uint64_t ur_m168pb_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d157, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x4377138abec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0xc0db4b6819129291, 0x4f8971030a1832ba,
  0x0e6e5afccb4b7e77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01,
  0xf7150865a11c910c, 0xb6e495ff4073c26d, 0xfe8dd30586f2bc84, 0x8bea8fabc764c37f, 0x24b1e7942f3b986b,
  0x8f84bf10d8488bee, 0xf1771b89c7f71ffa, 0xaf7dca76b737374c, 0xf51f06cc1995ea3c, 0xcd3ad08a05315dba,
  0xa909afa30b2c4522, 0xe23ea0e7576e53c3, 0x6355e363af512ecf, 0xcc5c242283d51fc9, 0x51b044c8e1bd97d2,
  0xe77715252cc7cded, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x09d372bb54b7d5d9, 0x4ae4ac7a21535c08,
  0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x681463b7b15545a4, 0x9357079b09732f9b,
  0x6fe0fdbb1a2c6f8b, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x405b89f3c95fb9a1, 0x0000000000004000,
};

static const uint64_t ur_m168pb_swio15_dual_hw[] = {
  0x8f777776890d365a, 0xfc4edf8ebc219b4b, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0x7b2c51a9b16eae32,
  0x792b43bb227af7a5, 0xa1cc13e30120b657, 0x06da5b40c894948b, 0x7c4b881850c195d6, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x432abbbddf372000, 0x26b5a2a10cb42324,
  0xe425b7287ff4073c, 0xf77ffa91982c3795, 0xd47dbe77cb3de3b3, 0x2b47b8e3a7f0707f, 0x23884e62c0550799,
  0xffb30475e00ceda5, 0x81e59eda63192a01, 0x7f157ceee2a4b812, 0xd873d59b5e5caad6, 0xfabb39d454aa35d9,
  0x6b81013a6e576a96, 0xf2a1495c958f442a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x32f9b6815156f62a, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000031baef05a29,
};

static const uint64_t ur_m168pb_swio15_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x47c4edf8d4c9b36a, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdebd86,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0xa5b40c89494874ea, 0xb881850c195d606d, 0x31ffccab773ba7c4,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e775801b8, 0x8a8432d05f688655,
  0x79dbffa039e1307b, 0xa91982c3795e425b, 0x56b46e4c7674ffff, 0x9838f7ea3caf4dcd, 0x143be2bd9dea3e0d,
  0x4616588a459a75a1, 0x5d4f2e2a5cd2135f, 0x44bb3f88fa839d5a, 0xaa3f92c6ab5d0ebd, 0x7b2fa598b8484507,
  0x1f37b546c11fadc3, 0xcfe2af9ddc549402, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb, 0x4d7020274dcaed52,
  0x5e54292b92b1e885, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xe65f36d02a2adec5,
  0x73f52f571b8f3612, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x0aed58ff453c95fb,
};

static const uint64_t ur_m168pb_swio15_dual_ce_hw[] = {
  0x453b777776890c86, 0x707c4edf9e3eb89b, 0xef5c2f767120a477, 0xe0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9312eeeec6ecd, 0x0aa2609f180905b2, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0x3833757fe655bb9d,
  0xe9bd47d9db08e470, 0xdf04508e489fc1ca, 0x00dc3e144312bfcf, 0x432abbbddf370112, 0x9827c542196807b4,
  0x9096dffe7fd01cf0, 0x75ffea4660b0de57, 0x39d5f717d6030ec2, 0x222fb892c79e50b8, 0x9257ea3e12fc4361,
  0xcfa9733c5dc6e5c8, 0xe0c45f51e449ee58, 0x98b017f71951c74f, 0x1d78033b6948e213, 0xdc98c64a807feccf,
  0xceee2a4b81281e5a, 0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x13a6e576a96fabb3, 0x95c958f442a6b810,
  0xaeb9ed5688af2a14, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbb1b8f3612e65f36,
  0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x04dd4ad5453c95fb,
};

static const uint64_t ur_m168pb_swio15_dual_ee_ce_hw[] = {
  0x9396eeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a9c92,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x1850c195d606da5b, 0xfccab773ba7c4b88,
  0x6b60ff0e188266bb, 0xc913f83ff937a8fa, 0x886257f9fbe08a11, 0xbbe6e059001b87c2, 0x432d060a88655777,
  0x3ffa039e134878a8, 0x982c3795e425b7bc, 0x472b87656ffffa91, 0xe7942e0e56f9dff5, 0x4c273b8dce8fa927,
  0x1e57bee53b595937, 0xdd7a8f83660ccaf5, 0x91669d68450298ae, 0xe1d484d7d1859622, 0x67f11f5073abb729,
  0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb, 0x55f3bb8a929663e6, 0xcf566d7972ab59fc,
  0xece75152a8d76761, 0x0404e9b95daa5bea, 0x852572563d10a9ae, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0xf9fd86e3cd84b997, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x01134c717453c95f,
};

static const uint64_t ur_m168pb_swio15_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0xe276fccc54626d15, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4e2afb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0x0c195d606da5b40c, 0xbb093ba7c4b88185,
  0x7609c2f0e6e5afcc, 0xf836bb9bd47c6ed8, 0x57f9fbe08a11c913, 0xc4e3c01b87c28862, 0x11c910caaeef77cd,
  0x073c26df7150865a, 0x6f2bc84b6e495ff4, 0x3b261bfd9e873058, 0x60e4c35c5f547d5e, 0x2445f71258f3c6f8,
  0xe3eefd47c25f886c, 0x9b9ba678bb8dce1f, 0xcaf51e57bee53b5b, 0x98aedd7a8f83660c, 0x962291669d684502,
  0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141, 0x63e6f6a8d8226470,
  0x59fc55f3bb8a9296, 0x6761cf566d7972ab, 0x5beaece75152a8d7, 0xa9ae0404e9b95daa, 0x2bca852572563d10,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb40a31dbd8, 0x539fa82ec6e3cd84,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x000001d759a3705f,
};

/*
 * m328_autobaud_uart0_noled_pr_ce_u4 m328p_autobaud_uart0_noled_pr_ce
 * m328p_autobaud_uart0_noled_pr_ce_u4 m328pb_autobaud_uart0_noled_pr_ce
 * m328pb_autobaud_uart0_noled_pr_ce_u4 a6614q_autobaud_uart0_noled_pr_ce
 * a6614q_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ff8d5f9fcad304f, 0xe8855022054f848a, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0x71258f3c0254edfc,
  0xd47c25f886c2445f, 0xc99e2ee371fe620f, 0x59ea393d3dcb19fa, 0x80a3e7491c74fe0f, 0xe8f9dabfa3d61cc5,
  0xeccf2a01ffb33c75, 0x56bd838f81e5adc3, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53,
  0x6f62aa8b4b0b9c63, 0x3612e65f36c490c7, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x00000008dd7249be,
};

/*
 * m328p_autobaud_uart0_noled_pr_ee_ce m328pb_autobaud_uart0_noled_pr_ee_ce
 * a6614q_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m328_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x7e7c66e609f193ba, 0x088153e120b5fe35, 0x49afb9b780ba2154, 0xf90da37b5470afd5, 0x00953bc0877fd51b,
  0x273b8dceb3643fcf, 0x2bea253b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298ac27, 0xd484d7d185962291,
  0xed1e0b39d5dba711, 0xb1aaf1b1d79d376d, 0xcc5c24228e791871, 0xa8d8226470decb65, 0x0312b5ec2ce89534,
  0x8301deb5e73859bf, 0xf29b19c2de6f00fa, 0xe31bc67440aeaa72, 0x863b7b15545a585c, 0x7079b09732f9b624,
  0x07e50d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x2088811f439e4afd,
};

/*
 * m328p_autobaud_uart0_noled_pr_ee_ce_u4 m328pb_autobaud_uart0_noled_pr_ee_ce_u4
 * a6614q_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xc48c73f5bf304f8c, 0x55022054f84a76ff, 0xf5526bee6de02e88, 0x8e43c368ded51c2b, 0xe79b680e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xad7b0b3a254d2a36, 0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0, 0xf19d102baa9cbca6, 0xdec55516961738c6,
  0x6c25ccbe6d89218e, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x122ebcf257ee6866, 0x0000000000208861,
};

/*
 * m328_autobaud_uart0_noled_ee_ce_u4_hw m328p_autobaud_uart0_noled_ee_ce_hw
 * m328p_autobaud_uart0_noled_ee_ce_u4_hw m328pb_autobaud_uart0_noled_ee_ce_hw
 * m328pb_autobaud_uart0_noled_ee_ce_u4_hw m324a_autobaud_uart0_noled_ee_ce_hw
 * m324a_autobaud_uart0_noled_ee_ce_u4_hw m324p_autobaud_uart0_noled_ee_ce_hw
 * m324p_autobaud_uart0_noled_ee_ce_u4_hw m324pa_autobaud_uart0_noled_ee_ce_hw
 * m324pa_autobaud_uart0_noled_ee_ce_u4_hw m324pb_autobaud_uart0_noled_ee_ce_hw
 * m324pb_autobaud_uart0_noled_ee_ce_u4_hw a6614q_autobaud_uart0_noled_ee_ce_hw
 * a6614q_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x10aa0440a9f094ed, 0x57eaa4d7dcdbc05d, 0xd51c8786d1bdaa38, 0x63cf36d01c383717,
  0x097e21b09117dc49, 0x2ee3712a2e47f51f, 0xfa894ed6e6def99e, 0xa3e0d9835afea3ca, 0xa75a1140a62b09fe,
  0x2135f4616588a459, 0x4782ce7576e9c475, 0x6abc6c75e74ddb7b, 0x170908a39e461c6c, 0x3608991c37b2d973,
  0xc4ad7b0b3a254d2a, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0, 0xc6f19d102baa9cbc, 0x8edec55516961738,
  0x1e6c25ccbe6d8921, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0xc2268a792bf73433, 0x0000000000004a90,
};

/*
 * m328_autobaud_uart0_lednop_pr_ce_u4 m328p_autobaud_uart0_lednop_pr_ce
 * m328p_autobaud_uart0_lednop_pr_ce_u4 m328pb_autobaud_uart0_lednop_pr_ce
 * m328pb_autobaud_uart0_lednop_pr_ce_u4 a6614q_autobaud_uart0_lednop_pr_ce
 * a6614q_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff1abf3f6ea609f, 0xd10aa0440a9f0960, 0x857eaa4d7dcdbc05, 0x717d72486d1bdaa3, 0xc4963cf00953ba95,
  0x51f097e21b09117d, 0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c,
  0x9a45403ff6678ebd, 0xd7b20ad03cb5b905, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x8dd76bdbe873c95f,
  0x0000000000000000,
};

/*
 * m328p_autobaud_uart0_lednop_pr_ee_ce m328pb_autobaud_uart0_lednop_pr_ee_ce
 * a6614q_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m328_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xafcf8689827c64ee, 0x022054f84ac7ffc6, 0x526bee6de02e8855, 0xfe4368ded51c2bf5, 0xc0254ef7d9dff546,
  0x09cee372e4492bf3, 0xcafba94ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4,
  0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0xc0c4ad7b0b31f667,
  0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x12e65f36dce18ede,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x2be873c95fb9a199, 0x000000000020883a,
};

/*
 * m328p_autobaud_uart0_lednop_pr_ee_ce_u4 m328pb_autobaud_uart0_lednop_pr_ee_ce_u4
 * a6614q_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xe24639f43e9827c6, 0x154088153e12c41f, 0xfd549afb9b780ba2, 0xa390f0da37b5470a, 0x79e6da03896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0x56bd8598fb33ca8d, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000004110f540baf,
};

/*
 * m328_autobaud_uart0_lednop_ee_ce_u4_hw m328p_autobaud_uart0_lednop_ee_ce_hw
 * m328p_autobaud_uart0_lednop_ee_ce_u4_hw m328pb_autobaud_uart0_lednop_ee_ce_hw
 * m328pb_autobaud_uart0_lednop_ee_ce_u4_hw m324a_autobaud_uart0_lednop_ee_ce_hw
 * m324a_autobaud_uart0_lednop_ee_ce_u4_hw m324p_autobaud_uart0_lednop_ee_ce_hw
 * m324p_autobaud_uart0_lednop_ee_ce_u4_hw m324pa_autobaud_uart0_lednop_ee_ce_hw
 * m324pa_autobaud_uart0_lednop_ee_ce_u4_hw m324pb_autobaud_uart0_lednop_ee_ce_hw
 * m324pb_autobaud_uart0_lednop_ee_ce_u4_hw a6614q_autobaud_uart0_lednop_ee_ce_hw
 * a6614q_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x7442a81102a7c258, 0xe15faa935f736f01, 0x5f54721e1b46f6a8, 0x258f3cdb40712d5c,
  0x7c25f886c2445f71, 0x78bb8dca4a672fd4, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f, 0x669d68450298af6f,
  0xd484d7d185962291, 0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2,
  0x0312b5ec2cc7d99e, 0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b997cdb73863b7b, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000004a90f545,
};

/*
 * m328_autobaud_uart0_dual_pr       m328_autobaud_uart0_dual_pr_u4    m328p_autobaud_uart0_dual
 * m328p_autobaud_uart0_dual_pr      m328p_autobaud_uart0_dual_pr_u4   m328pb_autobaud_uart0_dual
 * m328pb_autobaud_uart0_dual_pr     m328pb_autobaud_uart0_dual_pr_u4  a6614q_autobaud_uart0_dual
 * a6614q_autobaud_uart0_dual_pr     a6614q_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m328_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x810e12ba6b75f995, 0xf8338737a8ec1761,
  0x57f9fbe08a11c913, 0xb8ff001b87c28862, 0xa1a5221955ddeef9, 0xa039e134dd150865, 0x61bcaf212dbba5ff,
  0x53e127f3fffa1cc1, 0xb9b780ba21540881, 0xa37b5470afd549af, 0xfd47c8a77cb1350d, 0x69c5ef8e3a7f0621,
  0x591d7f398b01541e, 0x0ffd9823af00676b, 0xd03cb3db10e90d50, 0x4fe2af9ddc549549, 0x809c2cdf81895af6,
  0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xbe1b8f3612e65f36,
  0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x2e0a721f175e792b, 0x0000000000000000,
};

// m328p_autobaud_uart0_dual_pr_ee   m328pb_autobaud_uart0_dual_pr_ee  a6614q_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m328_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0xc0db4b6819129290, 0x4f8971030a1832ba, 0x5dcc87df995d0677, 0x4dea3bfcd8620383,
  0xf822847244fe0c34, 0x06e1f0a21895fe7e, 0x1955ddeef9b80890, 0xc5d62a10cb430222, 0x84b6fff3fe80e784,
  0xafffe8730586f2bc, 0xd10aa0440a9f0913, 0x857eaa4d7dcdbc05, 0xad68e4486d1bdaa3, 0x983053d4795afb9a,
  0x143be2ba95ea3e0d, 0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e,
  0xbd97d2cc5c242281, 0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0x9f0dc79b09732f9b, 0x3ab337f07771a2ce,
  0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196, 0x320baf3c95fb9a19,
  0x00000000000052a4,
};

/*
 * m328p_autobaud_uart0_dual_pr_ee_u4 m328pb_autobaud_uart0_dual_pr_ee_u4
 * a6614q_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m328_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0xac0db4b681912929, 0x74f8971030a1832b, 0x0ff26c41f995d067, 0x3f37a8e1a361a68e,
  0xf7c114239227f076, 0x00370f8510c4aff3, 0x88655777bbe6e654, 0x137ce8a8432d0296, 0xe425b7e9fffa039e,
  0x2b7fff43982c3795, 0x2e8855022054f84a, 0x1c2bf5526bee6de0, 0xd56b47a54368ded5, 0x6cc1fc9ea3cae3dc,
  0x08a1df1598ff51f0, 0xfa30b2c4522cd3ad, 0xd2e13d7082e6909a, 0xb589d87c47d21cea, 0x408ea5d8d56ba1d7,
  0x6f65c7c62e121147, 0xeee2a4ab813ff5b8, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xb09732f9b6e722ad, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xf0baf3c95fb9a199,
  0x0000000000295274,
};

/*
 * m328_autobaud_uart0_dual_pr_ce_u4 m328p_autobaud_uart0_dual_pr_ce   m328p_autobaud_uart0_dual_pr_ce_u4
 * m328pb_autobaud_uart0_dual_pr_ce  m328pb_autobaud_uart0_dual_pr_ce_u4
 * a6614q_autobaud_uart0_dual_pr_ce  a6614q_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x1832bac0db4b6819, 0x5d06774f8971030a, 0x4db384edcd6b7f99, 0xf0663f37a8fbb5b0,
  0xaff3f7c114239227, 0xe33900370f8510c4, 0x02ea88655777bbe6, 0x039e132568a8432d, 0x1bcaf212db85affa,
  0x7c25b3bfffa1cc16, 0x36f017442a81102a, 0x6f6a8e15faa935f7, 0x071d2dc5f54021b4, 0x2445f71258f3cdb4,
  0x4fd7fd47c25f886c, 0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe,
  0xdc21d21aa01ffb33, 0xceee2a4aa4e81e5a, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x0b175e792bf73433,
  0x000000000015af61,
};

/*
 * m328p_autobaud_uart0_dual_pr_ee_ce m328pb_autobaud_uart0_dual_pr_ee_ce
 * a6614q_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m328_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x581b696d03225252, 0xe9f12e2061430657, 0xeb39990ff32ba0ce, 0xe6f51e61b60cf870,
  0xf822847244fe0ff5, 0x06e1f0a21895fe7e, 0x1955ddeef9b9e720, 0xd1ca2a10cb412d22, 0x84b6e293fe80e784,
  0xafffe8730586f2bc, 0xd10aa0440a9f0969, 0x857eaa4d7dcdbc05, 0xfd51b9386d1bdaa3, 0x5afcf36d01c1ac77,
  0x9374c273b8dcbc3e, 0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81, 0x1106e3c5d79e4afd,
  0x0000000000000003,
};

/*
 * m328p_autobaud_uart0_dual_pr_ee_ce_u4 m328pb_autobaud_uart0_dual_pr_ee_ce_u4
 * a6614q_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x1430657581b696d0, 0x968394ee9f12e206, 0x3a3e705249b9bff9,
  0xfc1b21cdea3b396c, 0x2bfcfdf04508e489, 0xe5c9400dc3e14431, 0x09b688655777bbe6, 0x0e784d63f150865a,
  0xde579096dfacffe8, 0x096377ffea7260b0, 0xbc05d10aa0440a9f, 0xdaa3857eaa4d7dcd, 0x37717d51a9e86d1b,
  0x7dc4963cf36d2763, 0xff51f097e21b0911, 0xe99e2ee373541e41, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e,
  0x522cd3ad08a05315, 0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8,
  0xf58a8d8226470dec, 0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x9c4f9e4afdcd0ccb,
  0x000000003f56e353,
};

// m328p_autobaud_uart0_dual_ee_hw   m328pb_autobaud_uart0_dual_ee_hw  a6614q_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m328_autobaud_uart0_dual_ee_hw[] = {
  0x66eeeeeed121a5fb, 0xeeeeeefaf2b689ea, 0x2aabdd6e356a10ee, 0x5ec5da9d33dd2948, 0xca591aeba5595c53,
  0x481544c13e326c4d, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc1aee643efccae83, 0x1a26f51dfe6c3101,
  0x3f7c114239227f06, 0x480370f8510c4aff, 0x110caaeef77cdc04, 0xc262eb150865a181, 0x5e425b7ff9ff4073,
  0x89d7fb5fb982c379, 0x02e8855022054f84, 0x51c2bf5526bee6de, 0xcd56b47224368ded, 0x06cc1829ea3cad7d,
  0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743,
  0x70decbe9662e1211, 0x0084feb151b047eb, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xa82ec6e3cd84b997, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0000b07232514f25,
};

/*
 * m328p_autobaud_uart0_dual_ee_ce_hw m328pb_autobaud_uart0_dual_ee_ce_hw
 * a6614q_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m328_autobaud_uart0_dual_ee_ce_hw[] = {
  0x377777775050cf68, 0xbbbbbbebe17fb853, 0x561f64cb9db609bb, 0x890b1fbc9dbbf6a3, 0x7268fa9d6b760fcc,
  0x483927304f8c9415, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc3ace6643fccae83, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xa6bfdafdcc161bca, 0x17442a81102a7c25, 0x8e15faa935f736f0, 0xdff546e4e1b46f6a, 0xd90ff3cdb40706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000002134db8fa2,
};

/*
 * m328p_autobaud_uart0_dual_ee_ce_u4_hw m328pb_autobaud_uart0_dual_ee_ce_u4_hw
 * a6614q_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d8be, 0xdddddf5eb4666d4c, 0x9b41f9b37afe1ddd, 0x0f9a2bd6ddebba2f, 0x5a41b4beb55efaf6,
  0x5cc13e325395c9e7, 0x6d2da0644a4a458f, 0x25c40c2860caeb03, 0x737ff32c4d69dd3e, 0x7672d8747ce0a493,
  0x11c913f836439bd4, 0xc2886257f9fbe08a, 0xef77cdcb92801b87, 0xa10cb4136d10caae, 0x59ffd01cf09ac7e2,
  0xe4c161bcaf212dbf, 0x440a9f096377ff54, 0x4d7dcdbc05d10aa0, 0xe86d1bdaa3857eaa, 0xeb038337717d51a9,
  0xb09117dc4963cf2b, 0x92737ff51f097e21, 0xadcdcdd33c5dc6e2, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9,
  0x616588a459a75a11, 0x7576e328752135f4, 0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242,
  0x52cc4feb151b044c, 0x6bd93f8abe777152, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x02134c3b900be9e4,
};

// m328p_u1x8_uart0_noled_pr_ce      m328pb_u1x8_uart0_noled_pr_ce     a6614q_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m328_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbaff66afcfc7b, 0xaf49739bfb4402de, 0xbf9e01281c4c4eff, 0x8ce6139dc6e4872e, 0xc67ea38879ee580b,
  0x80b70c4fc71d3f83, 0xc5ced20a8f199cc5, 0x60e9d3dc72c678eb, 0xaf39c2cdf81895af, 0xc2de6f2dd4180ef5,
  0xd37aaeaa72f29b19, 0x378ce88173663042, 0x0ddb09732f9b69c6, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x248b49d3c95fb9a1, 0x0000000000000b75,
};

// m328p_u1x8_uart0_noled_pr_ce_u4   m328pb_u1x8_uart0_noled_pr_ce_u4  a6614q_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m328_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xff1abf3ff3a609f1, 0x737f68805bd81145, 0x12a76fe5c5f5c92e, 0x361222fb892c79e0, 0x8ff3107ea3e12fc4,
  0xee58cfd64cf1771b, 0xe3a7f07acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0x59bf0312b5ec1c7c, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xb624863b7b15545a,
  0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x5d0159f439e4afdc, 0x0000000000000037,
};

// m328p_u1x8_uart0_noled_pr_ee_ce   m328pb_u1x8_uart0_noled_pr_ee_ce  a6614q_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m328_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x402dec082d7f8d5f, 0xe2faa390f739bfb4, 0x892c79e012a76706, 0xa3e12fc4361222fb,
  0x33c5dc6e759b21fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf81895af616744a9,
  0xd4180ef5af39c2cd, 0x9794d8ce16f37807, 0xe718de33a2057553, 0x2431dbd8aaa2d2c2, 0xab83cd84b997cdb1,
  0x903f2868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e687993fc09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x004fc408fa1cf257,
};

/*
 * m328p_u1x8_uart0_noled_pr_ee_ce_u4 m328pb_u1x8_uart0_noled_pr_ee_ce_u4
 * a6614q_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0xdfda2016f605d3ff, 0xbc09717d51b93b9c, 0x117dc4963cf00953, 0x92bf51f097e21b09,
  0x6e3299e2ee372e44, 0xbfea3cae7194ed6e, 0x315e49ea3e0d9831, 0x2c4522cd3ad08a05, 0xb74423a909afa30b,
  0xd4ddb9e46d7c73ab, 0x233496355e363af5, 0xb2e1c8c5c24228d6, 0x2b5ecc62e9991c37, 0x1deb5e73859bf031,
  0x363385bcde5ba830, 0x6085a6f55d54e5e5, 0xd38c6f19d102e6cc, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xc085be873c95fb9a, 0x000000000000004f,
};

/*
 * m328_u1x8_uart0_noled_ee_ce_u4_hw m328p_u1x8_uart0_noled_ee_ce_hw   m328p_u1x8_uart0_noled_ee_ce_u4_hw
 * m328pb_u1x8_uart0_noled_ee_ce_hw  m328pb_u1x8_uart0_noled_ee_ce_u4_hw
 * m324a_u1x8_uart0_noled_ee_ce_hw   m324a_u1x8_uart0_noled_ee_ce_u4_hw
 * m324p_u1x8_uart0_noled_ee_ce_hw   m324p_u1x8_uart0_noled_ee_ce_u4_hw
 * m324pa_u1x8_uart0_noled_ee_ce_hw  m324pa_u1x8_uart0_noled_ee_ce_u4_hw
 * m324pb_u1x8_uart0_noled_ee_ce_hw  m324pb_u1x8_uart0_noled_ee_ce_u4_hw
 * a6614q_u1x8_uart0_noled_ee_ce_hw  a6614q_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x8_uart0_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x9bfb4402dec082d7, 0x38706e2faa390f73, 0x222fb892c79e6da0, 0x5c8fea3e12fc4361,
  0xcdbdf33c5dc6e254, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281, 0xedd388ea426be8c2,
  0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238, 0x9c2cdf81895af616,
  0x37807d4180ef5af3, 0x575539794d8ce16f, 0x2d2c2e718de33a20, 0x7cdb12431dbd8aaa, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0000a021057514f2,
};

/*
 * m328_u1x8_uart0_lednop_pr_ce_u4   m328p_u1x8_uart0_lednop_pr_ce     m328p_u1x8_uart0_lednop_pr_ce_u4
 * m328pb_u1x8_uart0_lednop_pr_ce    m328pb_u1x8_uart0_lednop_pr_ce_u4 a6614q_u1x8_uart0_lednop_pr_ce
 * a6614q_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff1abf3e70e609f1, 0x737f68805bd81256, 0x254eea55c5f5c92e, 0x6c2445f71258f3c0, 0x56fc00fd47c25f88,
  0xb9633f5933c5dc6e, 0x8e9fc1eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1, 0xf2d6e416691500ff,
  0x9bf0312b5ec82b40, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0xcd84b997cdb73863, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa1cf257ee6866587, 0x00000000dd75e7cf,
};

// m328p_u1x8_uart0_lednop_pr_ee_ce  m328pb_u1x8_uart0_lednop_pr_ee_ce a6614q_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m328_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xf3e1a2609f193baa, 0x100b7b02b1fff1ab, 0xb8bea8e43dce6fed, 0xe24b1e7804a9da5a, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0x7e06256bd8598fb3,
  0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76,
  0x0d165abcb9357079, 0x539fa9d598f207e5, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb,
  0xd15f439e4afdcd0c, 0x0000000000004fc1,
};

/*
 * m328p_u1x8_uart0_lednop_pr_ee_ce_u4 m328pb_u1x8_uart0_lednop_pr_ee_ce_u4
 * a6614q_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xf1231cfeed4c13e3, 0x6fed100b7b0231ff, 0xe656b8bea8dc9dce, 0x88bee24b1e79b680, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0x5af66315346470de, 0xf3c0809c2cdf8189,
  0xce8016f37980ef5a, 0x6953e02d4e48a5ab, 0x378ce88197f31821, 0xc79b09732f9b69c6, 0x66fe0eee3458df0d,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x002b0baf3c95fb9a, 0x000000000000013f,
};

/*
 * m328_u1x8_uart0_lednop_ee_ce_u4_hw m328p_u1x8_uart0_lednop_ee_ce_hw
 * m328p_u1x8_uart0_lednop_ee_ce_u4_hw m328pb_u1x8_uart0_lednop_ee_ce_hw
 * m328pb_u1x8_uart0_lednop_ee_ce_u4_hw m324a_u1x8_uart0_lednop_ee_ce_hw
 * m324a_u1x8_uart0_lednop_ee_ce_u4_hw m324p_u1x8_uart0_lednop_ee_ce_hw
 * m324p_u1x8_uart0_lednop_ee_ce_u4_hw m324pa_u1x8_uart0_lednop_ee_ce_hw
 * m324pa_u1x8_uart0_lednop_ee_ce_u4_hw m324pb_u1x8_uart0_lednop_ee_ce_hw
 * m324pb_u1x8_uart0_lednop_ee_ce_u4_hw a6614q_u1x8_uart0_lednop_ee_ce_hw
 * a6614q_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f68805bd8158fff, 0x12d5c5f54721ee73, 0x45f71258f3cdb407, 0x72fd47c25f886c24,
  0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6, 0x62291669d6845029, 0xb8f51d484d7d1859,
  0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386, 0x859bf0312b5ec2cc,
  0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5, 0x63b7b15545a6ae9c, 0xe3cd84b997cdb738,
  0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x3d52514f257ee686, 0x0000000000000a02,
};

/*
 * m328_u1x8_uart0_dual_pr           m328p_u1x8_uart0_dual             m328p_u1x8_uart0_dual_pr
 * m328pb_u1x8_uart0_dual            m328pb_u1x8_uart0_dual_pr         a6614q_u1x8_uart0_dual
 * a6614q_u1x8_uart0_dual_pr
 */
static const uint64_t ur_m328_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0xa1832bac0db4b681, 0x2b012774f8971030, 0xc17d9c0a2cce4ff3, 0x89fc199537a8efe6,
  0x312bfcfdf04508e4, 0x7cdc8ac00dc3e144, 0x32d08c910caaeef7, 0xffd01cf09ad68a84, 0x60b0de579096de3d,
  0x00b7b02d2bff985e, 0x63be5abfdce6fed1, 0x238e9fc1a43f51ed, 0xce62c05fc399efe8, 0x0475e45bb54b4690,
  0xe2a4a56482ee3963, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0x3a005bcde0e4ac07, 0x9e18aca9dc594e5f,
  0x6f19d103f5c50216, 0x0f3612e65f36d38c, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x494b67c09c6592e1,
  0xa1cf257ee6866587, 0x000000000188738f,
};

// m328p_u1x8_uart0_dual_pr_u4       m328pb_u1x8_uart0_dual_pr_u4      a6614q_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m328_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x958e0e966387f995, 0xf8380d37a8ffbb60,
  0x57f9fbe08a11c913, 0x73a7c01b87c28862, 0x41314432abbbddf3, 0x4073c268ca2a10cb, 0xc3795e425b731fff,
  0x6f6047affff43982, 0xbe589ab9cdfda201, 0x1d3f8310fea3e453, 0xc580aa0f34e2f7c7, 0xd78033b5ac8ebf9c,
  0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x0baf3c95fb9a1996,
  0x000000000a498835,
};

/*
 * m328_u1x8_uart0_dual_pr_ee_u4     m328p_u1x8_uart0_dual_pr_ee       m328p_u1x8_uart0_dual_pr_ee_u4
 * m328pb_u1x8_uart0_dual_pr_ee      m328pb_u1x8_uart0_dual_pr_ee_u4   a6614q_u1x8_uart0_dual_pr_ee
 * a6614q_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m328_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0xdb4b6819129290b8, 0x8971030a1832bac0, 0x260d1f995d06774f, 0xea3f4fec2c7ce1ff,
  0x4508e489fc1f57cd, 0xc3e144312bfcfdf0, 0x55ddeef9b895000d, 0xee2a10cb412b2219, 0xb6e707fe80e784cb,
  0xffe8730586f2bc84, 0x37f68805bd81656f, 0x56bee6ab5a3912e7, 0x7a8f83660c14f51e, 0x669d68450ef8aea5,
  0x3484d7d185962291, 0xf673ab4b994b8a97, 0x6ba1d7a89768851e, 0x0908a04547cf58d5, 0x23f5b86f65f4b317,
  0x8a9280427f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x00000000564bab62,
};

/*
 * m328_u1x8_uart0_dual_pr_ce_u4     m328p_u1x8_uart0_dual_pr_ce       m328p_u1x8_uart0_dual_pr_ce_u4
 * m328pb_u1x8_uart0_dual_pr_ce      m328pb_u1x8_uart0_dual_pr_ce_u4   a6614q_u1x8_uart0_dual_pr_ce
 * a6614q_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m328_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xe016a631ffccae83, 0x8ad37a8e4eb60968,
  0x9fbe08a11c913f83, 0x1801b87c2886257f, 0xb4432abbbddf3726, 0xf0983dc54219682f, 0x579096df4dffd01c,
  0x2297fffd0e60b0de, 0x805ce6fed100b7b0, 0xe79b680e3a5b8bea, 0xbf10d8488bee24b1, 0xb8dc149faffa8f84,
  0xbf3dcb19f52e678b, 0xc8e3a7f0752fd471, 0x6475fce62c050507, 0x3ff6678ebc019dad, 0xd03cb5b843a43540,
  0x4fe2af9ddc549549, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0d24d1c42ebcf257,
};

// m328p_u1x8_uart0_dual_pr_ee_ce    m328pb_u1x8_uart0_dual_pr_ee_ce   a6614q_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m328_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x6da5b40c894948ee, 0xc4b881850c195d60, 0x26fd7fccae833ba7, 0xf51eb7f61000e029,
  0x22847244fe0e76e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8a91006, 0x162a10cb437da219, 0x6dd36ffe80e784cc,
  0xffd0e60b0de57909, 0xdfda2016f60543ff, 0xc1ac77fd51b93b9c, 0xb9950d07fcf36d01, 0xa76b2b26e984e771,
  0x3660d7cf51e56fe4, 0x8450298ae037a8f8, 0x7d185962291669d6, 0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7,
  0x908a04547cf58d57, 0x132386f65f4b3170, 0x5494b313fac546c1, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0xc68b2d5e371e6c25,
  0xa9cfd4eaccdfc1dd, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65, 0xeb62ebcf257ee686,
  0x0000000000002001,
};

/*
 * m328p_u1x8_uart0_dual_pr_ee_ce_u4 m328pb_u1x8_uart0_dual_pr_ee_ce_u4
 * a6614q_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x61430657581b696d, 0x9968394ee9f12e20, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcf3900370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x2c3795e425b7149f, 0xb7b02d35fffa9c98, 0xea8d4f5ce6fed100, 0xb1e79b693b19bb8b, 0x84bf10d8488bee24,
  0x771b9aa0f20ffa8f, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a, 0x84d7d18596229166,
  0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3, 0xddc5494b313fac54,
  0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xc25ccbe6db9c31db, 0xc68b1be2e4d5c1e6, 0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00002002e20ee27c,
};

// m328p_u1x8_uart0_dual_ee_hw       m328pb_u1x8_uart0_dual_ee_hw      a6614q_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m328_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xeeeefafc7655ea66, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf57964d38275b1d7,
  0x2e0a609f1932eee5, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0x7fc98347e657419d, 0xf37a8fd3fb0b1f38,
  0x7c114239227f07d5, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x32fb8a8432d04ac8, 0x212db9c1ffa039e1,
  0x5bfdafdcc161bcaf, 0xb9cdfda2016f6059, 0x4795afb9aad68e44, 0xa95ea3e0d983053d, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21, 0xc5c242281151f3d6, 0x3608fd6e1bd97d2c,
  0xeee2a4a0109fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0xb09732f9b6e722ad, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xba29e4afdcd0ccb0, 0x0000000000aed5d5,
};

// m328p_u1x8_uart0_dual_ee_ce_hw    m328pb_u1x8_uart0_dual_ee_ce_hw   a6614q_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m328_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xddddf5f0bfdc299b, 0x0fb265cedb04dddd, 0x858fde4eddfb51ab, 0x347d4eb5bb07e644,
  0x1c939827c64a0ab9, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0xd673321fe657419d, 0xcdea3cc36c19f0e1,
  0xf04508e489fc1feb, 0x0dc3e144312bfcfd, 0x32abbbddf373ce40, 0xa394542196825a44, 0x096dc527fd01cf09,
  0x5fed7ee60b0de579, 0xce6fed100b7b02d3, 0x01c19bb8bea8d4f5, 0x09117dc4963cf36d, 0xcd90ff51f097e21b,
  0x6e6e6e99e2ee373a, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3,
  0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x9b0ec6e3cd84b997, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x0000000075d5b8fa,
};

/*
 * m328p_u1x8_uart0_dual_ee_ce_u4_hw m328pb_u1x8_uart0_dual_ee_ce_u4_hw
 * a6614q_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xcddddddd5a890c86, 0xddddddf5f0bd47d4, 0x639db5a2afd70bdd, 0x3b3689e7ef276e8f, 0x75cbbb1bb3798a84,
  0x25213cbcc13e325a, 0x657581b696d03225, 0x0cee9f12e2061430, 0x670986999f3f32ba, 0x70026f51ff5f606b,
  0xf3f7c114239227f0, 0xa180370f8510c4af, 0x5910caaeef77cdcb, 0x3c26b75150865a03, 0x2bc84b6e87dff407,
  0x24dbff6bf730586f, 0xbadce6fed100b7b0, 0x9b680e456b8bea8c, 0x10d8488bee24b1e7, 0xb8951723fa8f84bf,
  0xa76b73710ccf1771, 0x3660d31f51e57dd4, 0x422814c57a57a8f8, 0xbe8c2cb1148b34eb, 0xd1ceaedd388ea426,
  0x363af6b13b5c3464, 0x11435f237b56355e, 0x32386f65c7c62e12, 0x2af9ddc5497189a4, 0xc2cdf81895af64fe,
  0x37980ef5af3c0809, 0xd4e48a5abce8016f, 0x197f318216953e02, 0x32f9b69c6378ce88, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000003aea56aa29,
};

// m328p_u1x12_uart0_noled_pr_ce     m328pb_u1x12_uart0_noled_pr_ce    a6614q_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m328_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebfd9abf3f1ee6, 0xba4ff6d4feedd3e1, 0x1c5ae77fd7a486d1, 0xc6e7ce90ff9e0128, 0xb9ee580b8ce6139d,
  0xc71d3f83c67ea3d4, 0x8d41ce62c05e8121, 0x1cb19e3af173b512, 0xf81895af60ebf0f7, 0x37980ef5af39c2cd,
  0x183536253f7ce16f, 0x9d102103182169c9, 0x612e65f36d38c6f1, 0xc81a3f8d163ce1bb, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0x693a792bf734332c, 0x00000000016ea491,
};

// m328p_u1x12_uart0_noled_pr_ce_u4  m328pb_u1x12_uart0_noled_pr_ce_u4 a6614q_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m328_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe357e7e43cc13e32, 0x6d4feedd3e12727f, 0x717d72486d1ba4ff, 0xe24b1e7804a9dbf9, 0xa8f84bf10d8488be,
  0x933c5dc6e3fcc41f, 0xb3d4727a7b9633f5, 0x0147ce9238e9fc1e, 0xd1f3b57f47ac398b, 0xd99e5403ff6678eb,
  0xad7b071f03cb5b87, 0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0, 0xf19d102baa9cbca6, 0xdec55516961738c6,
  0x6c25ccbe6d89218e, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x0e792bf734332c3a, 0x00000006eba0e37d,
};

// m328p_u1x12_uart0_noled_pr_ee_ce  m328pb_u1x12_uart0_noled_pr_ee_ce a6614q_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m328_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xdd3e1231fff1abf3, 0x786d1ba4ff6d4fee, 0x0953b383717d51c8, 0x1b09117dc4963cf0,
  0x3acd90ff51f097e2, 0xed6e6def99e2ee37, 0x9835afea3cafa894, 0x140a62b09fea3e0d, 0x4616588a459a75a1,
  0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090, 0xb0b3a254d2a36089,
  0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67, 0x55516961738c6f19, 0x5ccbe6d89218edec,
  0x596af2e4d5c1e6c2, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x7d0e792bf734332c, 0x00000000009f856a,
};

/*
 * m328p_u1x12_uart0_noled_pr_ee_ce_u4 m328pb_u1x12_uart0_noled_pr_ee_ce_u4
 * a6614q_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x6afcfffc9827c64e, 0x53fbb74f84ba7ffc, 0x546e4e1b46e93fdb, 0x8f3c0254ed82dc5f, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0x05253b5b9b8ca678, 0x8f83660c6ffa8f2b, 0x4eb422814c5710fa, 0x426be8c2cb1148b3,
  0x8c4f9ceaedcf78ea, 0x578d8ebd7537610e, 0x84845120a8f19d8d, 0xc332386f65c3918b, 0x2cdf81895af6631f,
  0x16f37980ef5af39c, 0x9c9183536253f7ce, 0x6f19d10210318216, 0x0f3612e65f36d38c, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xbe873c95fb9a1996, 0x00000000004fc085,
};

/*
 * m328_u1x12_uart0_noled_ee_ce_u4_hw m328p_u1x12_uart0_noled_ee_ce_hw
 * m328p_u1x12_uart0_noled_ee_ce_u4_hw m328pb_u1x12_uart0_noled_ee_ce_hw
 * m328pb_u1x12_uart0_noled_ee_ce_u4_hw m324a_u1x12_uart0_noled_ee_ce_hw
 * m324a_u1x12_uart0_noled_ee_ce_u4_hw m324p_u1x12_uart0_noled_ee_ce_hw
 * m324p_u1x12_uart0_noled_ee_ce_u4_hw m324pa_u1x12_uart0_noled_ee_ce_hw
 * m324pa_u1x12_uart0_noled_ee_ce_u4_hw m324pb_u1x12_uart0_noled_ee_ce_hw
 * m324pb_u1x12_uart0_noled_ee_ce_u4_hw a6614q_u1x12_uart0_noled_ee_ce_hw
 * a6614q_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xda9fddba7c2463ff, 0xfaa390f0da3749fe, 0x2c79e6da038706e2, 0xe12fc4361222fb89,
  0xc5dc6e2545c8fea3, 0x5f5129dadcdbdf33, 0xd47c1b306b5fd479, 0x34eb422814c5613f, 0xa426be8c2cb1148b,
  0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e, 0x1895af616744a9a5,
  0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7, 0xe3cd84b997cdb124,
  0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x4a71d14f257ee686, 0x0000000000000a02,
};

/*
 * m328_u1x12_uart0_lednop_pr_ce_u4  m328p_u1x12_uart0_lednop_pr_ce    m328p_u1x12_uart0_lednop_pr_ce_u4
 * m328pb_u1x12_uart0_lednop_pr_ce   m328pb_u1x12_uart0_lednop_pr_ce_u4
 * a6614q_u1x12_uart0_lednop_pr_ce   a6614q_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf1abf3e52e609f19, 0xb6a7f76e9f093a5f, 0xb8beb924368dd27f, 0xe24b1e7804a9dd4a, 0xa8f84bf10d8488be,
  0x2678bb8dcadf801f, 0x67a8fd24f72c67eb, 0x02a6222c71d3f83d, 0x8f9d967a34867316, 0xcd22a01ffb33c75e,
  0x6bd905681e5adc82, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x1baeb4f9f439e4af,
};

/*
 * m328p_u1x12_uart0_lednop_pr_ee_ce m328pb_u1x12_uart0_lednop_pr_ee_ce
 * a6614q_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m328_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x76e9f091c1ff1abf, 0xfe4368dd27fb6a7f, 0xc0254ef7d9dff546, 0x09cee372e4492bf3,
  0xcafba94ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4, 0x1923268e7576e3d4,
  0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0xc0c4ad7b0b31f667, 0x77ad79e0404e166f,
  0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x12e65f36dce18ede, 0xa2cb579726ae0f36,
  0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964, 0x53e873c95fb9a199,
  0x0000000000013f20,
};

/*
 * m328p_u1x12_uart0_lednop_pr_ee_ce_u4 m328pb_u1x12_uart0_lednop_pr_ee_ce_u4
 * a6614q_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0xc73fa6a609f193ba, 0xfddba7c25ff3fc48, 0x390f0da3749feda9, 0x9e6da03896ae2faa, 0xfc4361222fb892c7,
  0x1b8089300fea3e12, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57dd, 0xd08a05315edff51f, 0xafa30b2c4522cd3a,
  0x3473abb71ea3a909, 0xf1b1d79d3768c919, 0x242282791bdab1aa, 0x226470decb65cc5c, 0x6bd8598fb33ca8d8,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e596f8baf3,
};

/*
 * m328_u1x12_uart0_lednop_ee_ce_u4_hw m328p_u1x12_uart0_lednop_ee_ce_hw
 * m328p_u1x12_uart0_lednop_ee_ce_u4_hw m328pb_u1x12_uart0_lednop_ee_ce_hw
 * m328pb_u1x12_uart0_lednop_ee_ce_u4_hw m324a_u1x12_uart0_lednop_ee_ce_hw
 * m324a_u1x12_uart0_lednop_ee_ce_u4_hw m324p_u1x12_uart0_lednop_ee_ce_hw
 * m324p_u1x12_uart0_lednop_ee_ce_u4_hw m324pa_u1x12_uart0_lednop_ee_ce_hw
 * m324pa_u1x12_uart0_lednop_ee_ce_u4_hw m324pb_u1x12_uart0_lednop_ee_ce_hw
 * m324pb_u1x12_uart0_lednop_ee_ce_u4_hw a6614q_u1x12_uart0_lednop_ee_ce_hw
 * a6614q_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0xa7f76e9f097fcff6, 0xa8e43c368dd27fb6, 0x1e79b680e25ab8be, 0x4bf10d8488bee24b,
  0x771b9494ce5fa8f8, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x256bd8598fb33ca8,
  0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a,
  0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000000a02b2dfa29,
};

// m328p_u1x12_uart0_dual            m328pb_u1x12_uart0_dual           a6614q_u1x12_uart0_dual
static const uint64_t ur_m328_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x30657581b696d032, 0x6024ee9f12e20614, 0x145383939be77e65, 0xfe0e3dcdea3afbd8,
  0x95fe7ef822847244, 0x6e25a006e1f0a218, 0x680f888655777bbe, 0xe80e784dbdc54219, 0x2c3795e425b732bf,
  0x74f84a71ffe61798, 0xe1b46e93fdb53fbb, 0xd21fa8e229df2d5f, 0xc39b241bf1c74fe0, 0xd89e46f68e62c05f,
  0x27f71cb1823af22d, 0x9fc55f3bb8a92958, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x4d5c1e6c25ccbe6d, 0xe19e985727e7f62e, 0x87494b67c09c6592,
  0x6fa1cf257ee68665, 0x000000000196fe9c,
};

// m328p_u1x12_uart0_dual_pr         m328pb_u1x12_uart0_dual_pr        a6614q_u1x12_uart0_dual_pr
static const uint64_t ur_m328_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x1430657581b696d0, 0x32ba0cee9f12e206, 0xec0a29c1c9cdf3bf, 0x227f071ee6f51d7d,
  0x0c4aff3f7c114239, 0xdf3723900370f851, 0x0cb407c4432abbbd, 0xfff4073c26dee2a1, 0x982c3795e425b731,
  0xddba7c247affff43, 0xaff0da3749feda9f, 0xe0d21fa8f70cef96, 0x5fc3996b9351c74f, 0x5bb09f4682ce62c0,
  0xb0d26e39630475e4, 0xd93f8abe77715252, 0x020270b37e06256b, 0x005bcde603bd6bcf, 0x4f80b5392296af3a,
  0x19d1032ff14085a5, 0x3612e65f36d38c6f, 0xf83bb8d163ce1b8f, 0xc33d30ae4fdd599b, 0x0e9296cf8138cb25,
  0x85d79e4afdcd0ccb, 0x0000000000620135,
};

// m328p_u1x12_uart0_dual_pr_u4      m328pb_u1x12_uart0_dual_pr_u4     a6614q_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m328_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x657581b696d03225, 0x0cee9f12e2061430, 0x29c0e1cc52ff32ba, 0x0752a6f51d2b6c1d,
  0xff3f7c114239227f, 0x58f80370f8510c4a, 0x7c888655777bbe6e, 0x0e784c3e45421968, 0x6f2bc84b6f01bfe8,
  0xf0904ffffe873058, 0x68dd27fb6a7f76e9, 0x7f51f229df2c4d43, 0x9a717be38e9fc188, 0xd6475fce62c05507,
  0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0,
  0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x029273e085d79e4a,
};

/*
 * m328_u1x12_uart0_dual_pr_ee_u4    m328p_u1x12_uart0_dual_pr_ee      m328p_u1x12_uart0_dual_pr_ee_u4
 * m328pb_u1x12_uart0_dual_pr_ee     m328pb_u1x12_uart0_dual_pr_ee_u4  a6614q_u1x12_uart0_dual_pr_ee
 * a6614q_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m328_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xb4b6819129291c3f, 0x971030a1832bac0d, 0x6d35f995d06774f8, 0x51ec7f61ff0e01a2,
  0x2847244fe0e87e6f, 0x1f0a21895fe7ef82, 0xaeef77cdcb91006e, 0xb150865a0e9510ca, 0x6fd5fff4073c2628,
  0xfe8730586f2bc84b, 0x6a7f76e9f096fbff, 0x6b47224368dd27fb, 0xc1829ea3cad7dcd5, 0xa1df15d4af51f06c,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x056448bc5d79e4af,
};

/*
 * m328_u1x12_uart0_dual_pr_ce_u4    m328p_u1x12_uart0_dual_pr_ce      m328p_u1x12_uart0_dual_pr_ce_u4
 * m328pb_u1x12_uart0_dual_pr_ce     m328pb_u1x12_uart0_dual_pr_ce_u4  a6614q_u1x12_uart0_dual_pr_ce
 * a6614q_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m328_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x0c7e619bfccae833, 0x5a6f51d2d6c02d1c,
  0xf7c114239227f063, 0x00370f8510c4aff3, 0x88655777bbe6e33e, 0x1318f8a8432d028a, 0xf212dbc56ffa039e,
  0xc17fffa1cc161bca, 0x49feda9fddba7c24, 0x8e96e2faa010da37, 0x22fb892c79e6da03, 0xebfea3e12fc43612,
  0x7d4b99e2ee370527, 0x1d4bf51c6fcf72c6, 0x8b014141f238e9fc, 0xaf00676b591d7f39, 0x10e90d500ffd99e3,
  0x77152552740f2d6e, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x8baf3c95fb9a1996, 0x00000000034936bd,
};

// m328p_u1x12_uart0_dual_pr_ee_ce   m328pb_u1x12_uart0_dual_pr_ee_ce  a6614q_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m328_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0xda5b40c89494874e, 0x4b881850c195d606, 0x635bfccae833ba7c, 0x51e006c0521c3f5e,
  0x2847244fe0ed6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9dd6006e, 0x22a10cb434da2195, 0xde76ffe80e784d81,
  0xfd0e60b0de579096, 0xa9fddba7c25d3fff, 0xaa37270da3749fed, 0xff9e6da038358eff, 0xdd309cee3732a1a0,
  0xea3cadfc94ed6564, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531, 0x1943a909afa30b2c, 0x9768851ef673abb7,
  0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de, 0xfc55f3bb8a929662, 0x13859bf0312b5ec9,
  0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0xc6e3cd84b997cdb7,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000008001d145d79,
};

/*
 * m328p_u1x12_uart0_dual_pr_ee_ce_u4 m328pb_u1x12_uart0_dual_pr_ee_ce_u4
 * a6614q_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x0c195d606da5b40c, 0xa0e53ba7c4b88185, 0xacce0c8735257e65,
  0xc19adcdea3b3e6c3, 0xbfcfdf04508e489f, 0x3a9c00dc3e144312, 0x05a4432abbbddf37, 0x1cf098e0c5421968,
  0xbcaf212dbfebffd0, 0x093fcfffd4e4c161, 0x8dd27fb6a7f76e9f, 0xb19bb8bea8d4f436, 0x88bee24b1e79b693,
  0x20ffa8f84bf10d84, 0x7374cf1771b9aa0f, 0xcf51e56fe4a76b73, 0x8ae037a8f83660d7, 0x62291669d6845029,
  0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386,
  0x4fe2af9ddc5494b3, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xd50e27cf257ee686, 0x0000000000008003,
};

// m328p_u1x12_uart0_dual_ee_hw      m328pb_u1x12_uart0_dual_ee_hw     a6614q_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m328_u1x12_uart0_dual_ee_hw[] = {
  0x774daf13448687e1, 0x777d7d931d753377, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x36d2da0644a4a470, 0xe25c40c2860caeb0, 0x89b4d7e657419dd3, 0xbd47b1fd87fc3806,
  0x08a11c913f83a1f9, 0xb87c2886257f9fbe, 0x2abbbddf372e4401, 0xa2c54219683a5443, 0x2dbf57ffd01cf098,
  0xfdafdcc161bcaf21, 0xeda9fddba7c25bef, 0x55ad1c890da3749f, 0xb3060a7a8f2b5f73, 0x22877c5752bd47c1,
  0xe8c2cb1148b34eb4, 0xa5cca5c54b9a426b, 0xd44bb4428f7b39d5, 0x22a3e7ac6ab5d0eb, 0x37b2fa598b848450,
  0x213fac546c11fadc, 0x64fe2af9ddc54940, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x00aed245f453c95f,
};

// m328p_u1x12_uart0_dual_ee_ce_hw   m328pb_u1x12_uart0_dual_ee_ce_hw  a6614q_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m328_u1x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41437089, 0xbbebc99d77a99bbb, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0xdb4b6819129290e9, 0x8971030a1832bac0, 0xcc6b7f995d06774f, 0xea3c00d80a4387eb,
  0x4508e489fc1dadcd, 0xc3e144312bfcfdf0, 0xabbbddf373bac00d, 0x24542196869b4432, 0xdbcedffd01cf09b0,
  0xdafdcc161bcaf212, 0xb53fbb74f84ba7ff, 0xf546e4e1b46e93fd, 0x0ff3cdb40706b1df, 0x4dd309cee373acd9,
  0x9ea3cadfc94ed656, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053, 0x71943a909afa30b2, 0x89768851ef673abb,
  0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d, 0x9fc55f3bb8a92966, 0x013859bf0312b5ec,
  0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xec6e3cd84b997cdb,
  0x138d2861539fa9b0, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0000075d4745a29e,
};

/*
 * m328p_u1x12_uart0_dual_ee_ce_u4_hw m328pb_u1x12_uart0_dual_ee_ce_u4_hw
 * a6614q_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468ce4a, 0xddf5f63f2254cddd, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x36d2da0644a4a479, 0xe25c40c2860caeb0, 0x9a92bf32c4d69dd3, 0x51d9f361d6670643,
  0x2847244fe0cd6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9d4e006e, 0x62a10cb402d22195, 0xdff5ffe80e784c70,
  0xaa7260b0de579096, 0xa9fddba7c24ff3ff, 0xaa353d0da3749fed, 0x79e57d607066ee2f, 0x2fc4361222fb892c,
  0xb8dc524e6ffea3e1, 0xf253b5b9b9ba678b, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000075d434f81,
};

// m328p_u2x8_uart0_noled_pr_ce      m328pb_u2x8_uart0_noled_pr_ce     a6614q_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m328_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775fecd5f9f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xcee373e7487fcf00, 0xea5cf72c05c67309,
  0x90e38e9fc1e33f51, 0x8946a0e731602f40, 0x7b8e58cf1d78b9da, 0x66fc0c4ad7b075f8, 0xb79bcc077ad79ce1,
  0xe48c1a9b129fbe70, 0x78ce8810818c10b4, 0xddb09732f9b69c63, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x48b49d3c95fb9a19, 0x000000000000b752,
};

// m328p_u2x8_uart0_noled_pr_ce_u4   m328pb_u2x8_uart0_noled_pr_ce_u4  a6614q_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m328_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff1abf3f21e609f1, 0x51ca4df6e9f09393, 0xfcb8beb924368ded, 0x5f71258f3c0254ed, 0x0fd47c25f886c244,
  0xfac99e2ee371fe62, 0x0f59ea393d3dcb19, 0xc580a3e7491c74fe, 0x75e8f9dabfa3d61c, 0xc3eccf2a01ffb33c,
  0x6256bd838f81e5ad, 0x603bd6bce70b37e0, 0x5363385bcde01f50, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c,
  0x0f3612e65f36c490, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xbe873c95fb9a1996, 0x000000000375d071,
};

// m328p_u2x8_uart0_noled_pr_ee_ce   m328pb_u2x8_uart0_noled_pr_ee_ce  a6614q_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m328_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xf6e9f0918fff8d5f, 0xe43c368ded51ca4d, 0x7804a9d9c1b8bea8, 0xf10d8488bee24b1e,
  0x1b9d66c87fa8f84b, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57d4, 0xd08a0531584ff51f, 0xafa30b2c4522cd3a,
  0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8, 0x6bd859d12a6951b0,
  0xbd6bce70b37e0625, 0x3385bcde01f50603, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637, 0x612e65f36c490c76,
  0x1a2cb579726ae0f3, 0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196,
  0xb53e873c95fb9a19, 0x0000000000004fc2,
};

/*
 * m328p_u2x8_uart0_noled_pr_ee_ce_u4 m328pb_u2x8_uart0_noled_pr_ee_ce_u4
 * a6614q_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0x72937dba7c25d3ff, 0x2faa37270da37b54, 0x92c79e012a76c16e, 0x3e12fc4361222fb8,
  0x3c5dc6e2545c8fea, 0x9582929dadcdc653, 0x7d47c1b30637fd47, 0x59a75a1140a62b88, 0x752135f4616588a4,
  0x874627ce7576e7bc, 0xc6abc6c75eba9bb0, 0xc5c24228905478ce, 0x8fe1991c37b2e1c8, 0xce166fc0c4ad7b31,
  0xe70b79bcc077ad79, 0x0b4e48c1a9b129fb, 0xc6378ce8810818c1, 0x57079b09732f9b69, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x42df439e4afdcd0c, 0x00000000000027e0,
};

/*
 * m328_u2x8_uart0_noled_ee_ce_u4_hw m328p_u2x8_uart0_noled_ee_ce_hw   m328p_u2x8_uart0_noled_ee_ce_u4_hw
 * m328pb_u2x8_uart0_noled_ee_ce_hw  m328pb_u2x8_uart0_noled_ee_ce_u4_hw
 * m324a_u2x8_uart0_noled_ee_ce_hw   m324a_u2x8_uart0_noled_ee_ce_u4_hw
 * m324p_u2x8_uart0_noled_ee_ce_hw   m324p_u2x8_uart0_noled_ee_ce_u4_hw
 * m324pa_u2x8_uart0_noled_ee_ce_hw  m324pa_u2x8_uart0_noled_ee_ce_u4_hw
 * m324pb_u2x8_uart0_noled_ee_ce_hw  m324pb_u2x8_uart0_noled_ee_ce_u4_hw
 * a6614q_u2x8_uart0_noled_ee_ce_hw  a6614q_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x8_uart0_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0xa3949bedd3e1231f, 0x717d51c8786d1bda, 0xc4963cf36d01c383, 0x51f097e21b09117d,
  0x99e2ee3712a2e47f, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xfc0c4ad7b0b3a254,
  0xea0c077ad79ce166, 0xcbca6c670b79bc03, 0x738c6f19d102baa9, 0x9218edec55516961, 0x6371e6c25ccbe6d8,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x012538e8a792bf73, 0x0000000000000005,
};

/*
 * m328_u2x8_uart0_lednop_pr_ce_u4   m328p_u2x8_uart0_lednop_pr_ce     m328p_u2x8_uart0_lednop_pr_ce_u4
 * m328pb_u2x8_uart0_lednop_pr_ce    m328pb_u2x8_uart0_lednop_pr_ce_u4 a6614q_u2x8_uart0_lednop_pr_ce
 * a6614q_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff8d5f9f297304f8, 0xa8e526fb74f849d2, 0xa55c5f5c921b46f6, 0x5f71258f3c0254ee, 0x0fd47c25f886c244,
  0xf5933c5dc6e56fc0, 0x1eb3d47e927b9633, 0x8b0153111638e9fc, 0xaf47cecb3d1a4339, 0x416691500ffd99e3,
  0x12b5ec82b40f2d6e, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0x997cdb73863b7b15, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000dd75a7cfa1cf2,
};

// m328p_u2x8_uart0_lednop_pr_ee_ce  m328pb_u2x8_uart0_lednop_pr_ee_ce a6614q_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m328_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xf9fa1f9827c64eeb, 0x6fb74f848e0ff8d5, 0xa37f21b46f6a8e52, 0xf9e012a77beceffa, 0xf984e771b9722495,
  0x51e57dd4a76b2b1e, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315, 0xea3a909afa30b2c4, 0x768c9193473abb71,
  0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec, 0x37e06256bd8598fb, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0x50d165abcb935707,
  0x1539fa9d598f207e, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c, 0x9029f439e4afdcd0,
  0x000000000000009f,
};

/*
 * m328p_u2x8_uart0_lednop_pr_ee_ce_u4 m328pb_u2x8_uart0_lednop_pr_ee_ce_u4
 * a6614q_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x4639fd35304f8c9d, 0x49bedd3e12ff9fe2, 0xd51c8786d1bdaa39, 0x63cf36d01c4b5717, 0x097e21b09117dc49,
  0xbb8dc0449807f51f, 0xeea53b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298af6ffa, 0x84d7d18596229166,
  0x8c9a39d5db8f51d4, 0xd578d8ebce9bb464, 0x2e1211413c8ded58, 0x6c1132386f65b2e6, 0x12b5ec2cc7d99e54,
  0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x997cdb73863b7b15,
  0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x00000013f2cb7c5d,
};

/*
 * m328_u2x8_uart0_lednop_ee_ce_u4_hw m328p_u2x8_uart0_lednop_ee_ce_hw
 * m328p_u2x8_uart0_lednop_ee_ce_u4_hw m328pb_u2x8_uart0_lednop_ee_ce_hw
 * m328pb_u2x8_uart0_lednop_ee_ce_u4_hw m324a_u2x8_uart0_lednop_ee_ce_hw
 * m324a_u2x8_uart0_lednop_ee_ce_u4_hw m324p_u2x8_uart0_lednop_ee_ce_hw
 * m324p_u2x8_uart0_lednop_ee_ce_u4_hw m324pa_u2x8_uart0_lednop_ee_ce_hw
 * m324pa_u2x8_uart0_lednop_ee_ce_u4_hw m324pb_u2x8_uart0_lednop_ee_ce_hw
 * m324pb_u2x8_uart0_lednop_ee_ce_u4_hw a6614q_u2x8_uart0_lednop_ee_ce_hw
 * a6614q_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xe526fb74f84bfe7f, 0x5f54721e1b46f6a8, 0x258f3cdb40712d5c, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x0312b5ec2cc7d99e,
  0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b997cdb73863b7b,
  0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x00000000501596fd,
};

// m328p_u2x8_uart0_dual             m328pb_u2x8_uart0_dual            a6614q_u2x8_uart0_dual
static const uint64_t ur_m328_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x2860caeb036d2da0, 0xcac049dd3e25c40c, 0xb028a7072737cefc, 0x89fc1c7b9bd475f7,
  0x312bfcfdf04508e4, 0x7cdc4b400dc3e144, 0x32d01f110caaeef7, 0x7fd01cf09b7b8a84, 0x30586f2bc84b6e65,
  0xf6e9f094e3ffcc2f, 0xabfc368ded51ca4d, 0xfc1a43f51c453be5, 0x0bf87364837e38e9, 0x45bb13c8ded1cc58,
  0x2b04fee39630475e, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xc5c9ab83cd84b997, 0xb25c33d30ae4fcfe, 0xccb0e9296cf8138c,
  0xd38df439e4afdcd0, 0x00000000000032df,
};

// m328p_u2x8_uart0_dual_pr          m328pb_u2x8_uart0_dual_pr         a6614q_u2x8_uart0_dual_pr
static const uint64_t ur_m328_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x0c2860caeb036d2d, 0x7e657419dd3e25c4, 0xfbd8145383939be7, 0x7244fe0e3dcdea3a,
  0xa21895fe7ef82284, 0x7bbe6e472006e1f0, 0x4219680f88865577, 0x63ffe80e784dbdc5, 0x8730586f2bc84b6e,
  0x26fb74f848f5fffe, 0xf2d5fe1b46f6a8e5, 0xe9fc1a43f51ee19d, 0x580bf8732d726a38, 0xbc8b7613e8d059cc,
  0x4a561a4dc72c608e, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0xe7400b79bcc077ad, 0xb4a9f016a72452d5,
  0x8de33a2065fe2810, 0x71e6c25ccbe6da71, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0x26b0baf3c95fb9a1, 0x0000000000000c40,
};

// m328p_u2x8_uart0_dual_pr_u4       m328pb_u2x8_uart0_dual_pr_u4      a6614q_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m328_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x60caeb036d2da064, 0x7419dd3e25c40c28, 0x3a5381c398a5fe65, 0xfe0ea54dea3a56d8,
  0x95fe7ef822847244, 0xdcb1f006e1f0a218, 0xd0f9110caaeef77c, 0xd01cf0987c8a8432, 0xb0de579096de037f,
  0xd3e1209ffffd0e60, 0xa86d1bdaa3949bed, 0x310fea3e453be589, 0xa0f34e2f7c71d3f8, 0x3b5ac8ebf9cc580a,
  0x6a807fecc11d7803, 0xaa4e81e59ed88748, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0x458df0dc79b09732, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000524e7c10baf3,
};

/*
 * m328_u2x8_uart0_dual_pr_ee_u4     m328p_u2x8_uart0_dual_pr_ee       m328p_u2x8_uart0_dual_pr_ee_u4
 * m328pb_u2x8_uart0_dual_pr_ee      m328pb_u2x8_uart0_dual_pr_ee_u4   a6614q_u2x8_uart0_dual_pr_ee
 * a6614q_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m328_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x1b696d0322525238, 0xf12e206143065758, 0x44da6bf32ba0cee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b972200, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xfffd0e60b0de5790, 0xa3949bedd3e12df7, 0x9aad68e4486d1bda, 0x0d983053d4795afb, 0xa1143be2ba95ea3e,
  0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87, 0xe1bd97d2cc5c2422,
  0x0109fd62a3608fd6, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000ac89178baf3c,
};

/*
 * m328_u2x8_uart0_dual_pr_ce_u4     m328p_u2x8_uart0_dual_pr_ce       m328p_u2x8_uart0_dual_pr_ce_u4
 * m328pb_u2x8_uart0_dual_pr_ce      m328pb_u2x8_uart0_dual_pr_ce_u4   a6614q_u2x8_uart0_dual_pr_ce
 * a6614q_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m328_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0x2bac0db4b6819129, 0x6774f8971030a183, 0x3818fcc337f995d0, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x4982ffff43982c37, 0x46f6a8e526fb74f8, 0x4071d2dc5f54021b, 0xc2445f71258f3cdb, 0xa4fd7fd47c25f886,
  0x58cfa9733c5dc6e0, 0x3f83a97ea38df9ee, 0xe7316028283e471d, 0x3c75e00ced6b23af, 0xadc21d21aa01ffb3,
  0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xf3612e65f36dce18, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd7b175e792bf7343, 0x0000000000006926,
};

// m328p_u2x8_uart0_dual_pr_ee_ce    m328pb_u2x8_uart0_dual_pr_ee_ce   a6614q_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m328_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x0db4b6819129290e, 0xf8971030a1832bac, 0xbcc6b7f995d06774, 0xdea3c00d80a4387e,
  0x04508e489fc1dadc, 0xdc3e144312bfcfdf, 0x2abbbddf373bac00, 0x024542196869b443, 0x2dbcedffd01cf09b,
  0xfffa1cc161bcaf21, 0x8e526fb74f84ba7f, 0xdff546e4e1b46f6a, 0x341ff3cdb40706b1, 0xac9ba6139dc6e654,
  0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461, 0xf512ed10a3dece75,
  0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252, 0x020270b37e06256b,
  0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0xb578dc79b09732f9,
  0x53ab337f07771a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86, 0xaf3c95fb9a19961d,
  0x000000010003a28b,
};

/*
 * m328p_u2x8_uart0_dual_pr_ee_ce_u4 m328pb_u2x8_uart0_dual_pr_ee_ce_u4
 * a6614q_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0x0a1832bac0db4b68, 0xcb41ca774f897103, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x3e127f9fffa9c982, 0x86d1bdaa3949bedd, 0xd276337717d51a9e, 0xb09117dc4963cf36,
  0x41e41ff51f097e21, 0x6e6e6e99e2ee3735, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71943a909afa3, 0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264,
  0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x007aa1c4f9e4afdc, 0x0000000000000010,
};

// m328p_u2x8_uart0_dual_ee_hw       m328pb_u2x8_uart0_dual_ee_hw      a6614q_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m328_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeefafb263aea66, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0xe1fe609f192246e4, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x0d1369afccae833b, 0xf37a8f63fb0ff870,
  0x7c114239227f0743, 0x0370f8510c4aff3f, 0x8655777bbe6e5c88, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xdffb5fb982c3795e, 0x6a8e526fb74f84b7, 0xee6ab5a39121b46f, 0xf83660c14f51e56b, 0xd68450ef8aea57a8,
  0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba, 0x5b86f65f4b317090,
  0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000015da48be8a79,
};

// m328p_u2x8_uart0_dual_ee_ce_hw    m328pb_u2x8_uart0_dual_ee_ce_hw   a6614q_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m328_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7777d7933aef5337, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0xd3a9827c6494eb95, 0x81b696d032252521, 0x9f12e20614306575, 0xd798d6ff32ba0cee, 0x9bd47801b014870f,
  0xe08a11c913f83b5b, 0x1b87c2886257f9fb, 0x655777bbe6e77580, 0x6048a8432d0d3688, 0x25b79dbffa039e13,
  0xffb5fb982c3795e4, 0x51ca4df6e9f0974f, 0x3bfea8dc9c368ded, 0x9b21fe79b680e0d6, 0xcac9ba6139dc6e75,
  0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114, 0x576e328752135f46, 0xaf512ed10a3dece7,
  0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8, 0xbd93f8abe7771525, 0xf020270b37e06256,
  0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0x361d8dc79b09732f,
  0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x00000000eba8e8b4,
};

/*
 * m328p_u2x8_uart0_dual_ee_ce_u4_hw m328pb_u2x8_uart0_dual_ee_ce_u4_hw
 * a6614q_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbbebec7e44a99b, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0xf3d7304f8c91ed72, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x8735257e6589ad3b, 0xdea3b3e6c3acce0c,
  0x04508e489fc19adc, 0xdc3e144312bfcfdf, 0x2abbbddf373a9c00, 0xe0c542196805a443, 0x2dbfebffd01cf098,
  0xff54e4c161bcaf21, 0x8e526fb74f849fe7, 0xc5f546a7a1b46f6a, 0x258f3cafac0e0cdd, 0x7c25f886c2445f71,
  0xf1771b8a49cdffd4, 0x56fe4a76b737374c, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0xf02fa792bf734332, 0x0000000000eba869,
};

/*
 * m328_u2x12_uart0_noled_pr_ce_u4   m328p_u2x12_uart0_noled_pr_ce     m328p_u2x12_uart0_noled_pr_ce_u4
 * m328pb_u2x12_uart0_noled_pr_ce    m328pb_u2x12_uart0_noled_pr_ce_u4 a6614q_u2x12_uart0_noled_pr_ce
 * a6614q_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe357e7cbacc13e32, 0x6d4faadd3e12f9df, 0x924368ded51ca4fe, 0xf3c0254edfcb8beb, 0x5f886c2445f71258,
  0xee371fe620fd47c2, 0x93d3dcb19fac99e2, 0x7491c74fe0f59ea3, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d,
  0x38f81e5adc3eccf2, 0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8,
  0x65f36c490c76f62a, 0x8df1726ae0f3612e, 0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00375d32d3e873c9,
};

// m328p_u2x12_uart0_noled_pr_ee_ce  m328pb_u2x12_uart0_noled_pr_ee_ce a6614q_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m328_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xb74f8486b7f8d5f9, 0x37b547293f9b53ea, 0xbc0877fd51bf90da, 0xdceb3643fcf00953,
  0x53b5958f7cc273b8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8, 0x7d185962291669d6, 0xb39d5dba711d484d,
  0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2, 0x5ec2ce89534a8d82, 0xeb5e73859bf0312b,
  0x9c2de6f00fa8301d, 0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x09732f9b624863b7, 0xd165abcb9357079b,
  0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2, 0x79f439e4afdcd0cc,
  0x0000000000013f3a,
};

/*
 * m328p_u2x12_uart0_noled_pr_ee_ce_u4 m328pb_u2x12_uart0_noled_pr_ee_ce_u4
 * a6614q_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0x73e9b7304f8c9dd8, 0xab74f84866ffc48c, 0xa37b547293f9b53e, 0x38706e2faa390f0d, 0x222fb892c79e6da0,
  0xa927ea3e12fc4361, 0x9b7be678bb8dce8f, 0x6bfa8f2bea253b5b, 0x98ac27fa8f83660d, 0x962291669d684502,
  0xdba711d484d7d185, 0x9d376ded1e0b39d5, 0x791871b1aaf1b1d7, 0xdecb65cc5c24228e, 0xe89534a8d8226470,
  0x3859bf0312b5ec2c, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de, 0x5a585ce31bc67440, 0xf9b624863b7b1554,
  0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e0fc10baf3,
};

/*
 * m328_u2x12_uart0_noled_ee_ce_u4_hw m328p_u2x12_uart0_noled_ee_ce_hw
 * m328p_u2x12_uart0_noled_ee_ce_u4_hw m328pb_u2x12_uart0_noled_ee_ce_hw
 * m328pb_u2x12_uart0_noled_ee_ce_u4_hw m324a_u2x12_uart0_noled_ee_ce_hw
 * m324a_u2x12_uart0_noled_ee_ce_u4_hw m324p_u2x12_uart0_noled_ee_ce_hw
 * m324p_u2x12_uart0_noled_ee_ce_u4_hw m324pa_u2x12_uart0_noled_ee_ce_hw
 * m324pa_u2x12_uart0_noled_ee_ce_u4_hw m324pb_u2x12_uart0_noled_ee_ce_hw
 * m324pb_u2x12_uart0_noled_ee_ce_u4_hw a6614q_u2x12_uart0_noled_ee_ce_hw
 * a6614q_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x9f55ba7c24337fec, 0x86d1bdaa3949fcda, 0xd01c383717d51c87, 0xb09117dc4963cf36,
  0x2a2e47f51f097e21, 0xd6e6def99e2ee371, 0x835afea3cafa894e, 0x40a62b09fea3e0d9, 0x616588a459a75a11,
  0x7576e9c4752135f4, 0x75e74ddb7b4782ce, 0xa39e461c6c6abc6c, 0x1c37b2d973170908, 0x0b3a254d2a360899,
  0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000028087e0a8a,
};

/*
 * m328_u2x12_uart0_lednop_pr_ce_u4  m328p_u2x12_uart0_lednop_pr_ce    m328p_u2x12_uart0_lednop_pr_ce_u4
 * m328pb_u2x12_uart0_lednop_pr_ce   m328pb_u2x12_uart0_lednop_pr_ce_u4
 * a6614q_u2x12_uart0_lednop_pr_ce   a6614q_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe357e7d82cc13e32, 0x6d4faadd3e12387f, 0x924368ded51ca4fe, 0xe7804a9dd4ab8beb, 0xbf10d8488bee24b1,
  0xb8dcadf801fa8f84, 0xd24f72c67eb2678b, 0x22c71d3f83d67a8f, 0x67a3486731602a62, 0x01ffb33c75e8f9d9,
  0x5681e5adc82cd22a, 0x270b37e06256bd90, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x57079b09732f9b6e, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc15f439e4afdcd0c, 0x000000000001bafb,
};

/*
 * m328p_u2x12_uart0_lednop_pr_ee_ce m328pb_u2x12_uart0_lednop_pr_ee_ce
 * a6614q_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m328_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xdd3e12eafff1abf3, 0xded51ca4fe6d4faa, 0xf7d9dff546fe4368, 0x72e4492bf3c0254e,
  0x4ed6563df309cee3, 0xd9835afea3cafba9, 0x1140a62bdbfea3e0, 0xf4616588a459a75a, 0x8e7576e3d4752135,
  0x363af3a6ed192326, 0x84504f237b56355e, 0x4c8e1bd96cb98b84, 0x7b0b31f667951b04, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516, 0x9726ae0f3612e65f,
  0xb31e40fca1a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000013f1763e873,
};

/*
 * m328p_u2x12_uart0_lednop_pr_ee_ce_u4 m328pb_u2x12_uart0_lednop_pr_ee_ce_u4
 * a6614q_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x1cfbfc9827c64eef, 0xd56e9f09068ff123, 0xb46f6a8e527f36a7, 0x0712d5c5f54721e1, 0x2445f71258f3cdb4,
  0x2601fd47c25f886c, 0xe6def99e2ee37011, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983, 0x6588a459a75a1140,
  0x76e3d4752135f461, 0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e,
  0x4e166fc0c4ad7b0b, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x1b8f3612e65f36dc, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x7e25b4175e792bf7, 0x0000000000000002,
};

/*
 * m328_u2x12_uart0_lednop_ee_ce_u4_hw m328p_u2x12_uart0_lednop_ee_ce_hw
 * m328p_u2x12_uart0_lednop_ee_ce_u4_hw m328pb_u2x12_uart0_lednop_ee_ce_hw
 * m328pb_u2x12_uart0_lednop_ee_ce_u4_hw m324a_u2x12_uart0_lednop_ee_ce_hw
 * m324a_u2x12_uart0_lednop_ee_ce_u4_hw m324p_u2x12_uart0_lednop_ee_ce_hw
 * m324p_u2x12_uart0_lednop_ee_ce_u4_hw m324pa_u2x12_uart0_lednop_ee_ce_hw
 * m324pa_u2x12_uart0_lednop_ee_ce_u4_hw m324pb_u2x12_uart0_lednop_ee_ce_hw
 * m324pb_u2x12_uart0_lednop_ee_ce_u4_hw a6614q_u2x12_uart0_lednop_ee_ce_hw
 * a6614q_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0x53eab74f848347fb, 0xf0da37b547293f9b, 0xda03896ae2faa390, 0x361222fb892c79e6,
  0x5253397ea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090, 0x61663eccf2a36089,
  0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3,
  0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x0140496d28a792bf,
};

// m328p_u2x12_uart0_dual            m328pb_u2x12_uart0_dual           a6614q_u2x12_uart0_dual
static const uint64_t ur_m328_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0x860caeb036d2da06, 0xac049dd3e25c40c2, 0x072670f9d3487fcc, 0x4fe0dfc9bd4728bb,
  0x895fe7ef82284724, 0xcdceaf006e1f0a21, 0x2d07bd10caaeef77, 0xfa039e130df8a843, 0x161bcaf212dbd4af,
  0xba7c25dd7ff30bcc, 0xbdaa3949fcda9f55, 0xa388a77cb57f86d1, 0x63d2471d3f83487e, 0x8ded1cc580bf8732,
  0xe58c11d7916ecd7c, 0xf9ddc5494ac1f7b8, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0x3929d002de6f2dd4,
  0x085a7017be54dea5, 0xa718de33a2047514, 0x4d5c1e6c25ccbe6d, 0xe19e985727e7f62e, 0x87494b67c09c6592,
  0x6fa1cf257ee68665, 0x0000000000cb7c71,
};

/*
 * m328_u2x12_uart0_dual_pr_u4       m328p_u2x12_uart0_dual_pr         m328p_u2x12_uart0_dual_pr_u4
 * m328pb_u2x12_uart0_dual_pr        m328pb_u2x12_uart0_dual_pr_u4     a6614q_u2x12_uart0_dual_pr
 * a6614q_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m328_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0x702973305fccae83, 0xfee9bd4774bb0386,
  0xcfdf04508e489fc1, 0xf800dc3e144312bf, 0xf110caaeef77cdcf, 0xcf099ef8a8432d05, 0xe579096dea57fd01,
  0x09775fffd0e60b0d, 0x8e527f36a7d56e9f, 0x14ef9626a1b46f6a, 0xf1c74fe0c43fa8f9, 0xe731602a83cd38bd,
  0x0475e00ced6b23af, 0x7b621d21aa01ffb3, 0xf3bb8a92a93a0796, 0x9bf0312b5ec9fc55, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xcb42ebcf257ee686, 0x000000000002927a,
};

/*
 * m328_u2x12_uart0_dual_pr_ee_u4    m328p_u2x12_uart0_dual_pr_ee      m328p_u2x12_uart0_dual_pr_ee_u4
 * m328pb_u2x12_uart0_dual_pr_ee     m328pb_u2x12_uart0_dual_pr_ee_u4  a6614q_u2x12_uart0_dual_pr_ee
 * a6614q_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m328_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x36d2da0644a4a447, 0xe25c40c2860caeb0, 0xa99fe7e657419dd3, 0xdea3ffcd80683869,
  0x04508e489fc1f4fc, 0xdc3e144312bfcfdf, 0x955ddeef9b849400, 0xe4e2a10cb40e1a21, 0x96de87ffe80e784c,
  0xfffd0e60b0de5790, 0xe6d4faadd3e12d37, 0x7224368ded51ca4f, 0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18,
  0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e, 0xe9662e1211408a8f,
  0xb151b047eb70decb, 0xabe77715250084fe, 0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xe3cd84b997cdb739, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x642cc5d79e4afdcd,
  0x0000000000000005,
};

/*
 * m328_u2x12_uart0_dual_pr_ce_u4    m328p_u2x12_uart0_dual_pr_ce      m328p_u2x12_uart0_dual_pr_ce_u4
 * m328pb_u2x12_uart0_dual_pr_ce     m328pb_u2x12_uart0_dual_pr_ce_u4  a6614q_u2x12_uart0_dual_pr_ce
 * a6614q_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x036d2da0644a4a43, 0x3e25c40c2860caeb, 0x3736ed7e657419dd, 0x6f51c2d6c0c7ce03,
  0xc114239227f064ea, 0x370f8510c4aff3f7, 0x655777bbe6e75980, 0x4068a8432d072688, 0x12db8d6ffa039e13,
  0x3fffa1cc161bcaf2, 0xfcda9f55ba7c2581, 0xd50086d1bdaa3949, 0x63cf36d01c74b717, 0x097e21b09117dc49,
  0x1771b8293f5ff51f, 0xe37e7b9633ea5ccf, 0x0f91c74fe0ea5fa8, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b,
  0x93a0796b7087486a, 0xec9fc55f3bb8a92a, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001a491f5c5d79e4,
};

// m328p_u2x12_uart0_dual_pr_ee_ce   m328pb_u2x12_uart0_dual_pr_ee_ce  a6614q_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m328_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x1b696d032252520c, 0xf12e206143065758, 0xb9a61bf32ba0cee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xffe8730586f2bc84, 0x6d4faadd3e12b1ff, 0xc9c368ded51ca4fe, 0x9b680e0d63bfea8d, 0x273b8dcca8683fe7,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18,
  0xfe0eee34596af1b8, 0x34a1854e7ea75666, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0100073e175e792b,
};

/*
 * m328p_u2x12_uart0_dual_pr_ee_ce_u4 m328pb_u2x12_uart0_dual_pr_ee_ce_u4
 * a6614q_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0xa1832bac0db4b681, 0xb41ca774f8971030, 0x3219c292a6672fcc,
  0xf839869bd47eb3d8, 0x57f9fbe08a11c913, 0xe2e0801b87c28862, 0x063e88655777bbe6, 0x0e784dd5f150865a,
  0xde579096dcd6ffe8, 0x84b107ffea7260b0, 0x47293f9b53eab74f, 0xe2faa353d0da37b5, 0x892c79e6da4ec66e,
  0xa3e12fc4361222fb, 0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x9f3c95fb9a19961d, 0x00000002003ecf38,
};

// m328p_u2x12_uart0_dual_ee_hw      m328pb_u2x12_uart0_dual_ee_hw     a6614q_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m328_u2x12_uart0_dual_ee_hw[] = {
  0xbba6d789a243573e, 0xdddf5f853ada99bb, 0xdd8becad4d7ddddd, 0x554368bbb625d96f, 0x2fbb37594a3f738b,
  0xee9827c64dc1b92e, 0x1b696d0322525223, 0xf12e206143065758, 0xd4cff3f32ba0cee9, 0x6f51ffe6c0341c34,
  0x822847244fe0fa7e, 0x6e1f0a21895fe7ef, 0xcaaeef77cdc24a00, 0x727150865a070d10, 0x4b6f43fff4073c26,
  0xff6bf730586f2bc8, 0xf36a7d56e9f0969b, 0x39121b46f6a8e527, 0x14f51e56bee6ab5a, 0xf8aea57a8f83660c,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2,
  0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xda2ce8a792bf7343, 0x0000000000000015,
};

// m328p_u2x12_uart0_dual_ee_ce_hw   m328pb_u2x12_uart0_dual_ee_ce_hw  a6614q_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m328_u2x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41436f02, 0xddf5e36f26299bbb, 0x2162afdc89dddddd, 0xd32024775056caae, 0xc3e6be8b360f89ba,
  0xf5cc13e325d95c9f, 0x36d2da0644a4a418, 0xe25c40c2860caeb0, 0x734c37e657419dd3, 0xf51c526c3f5ce06b,
  0x22847244fe0eb7e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8000006, 0xba2a10cb422b2219, 0x6ded6ffe80e784d2,
  0xed7ee60b0de57909, 0xda9f55ba7c2563ff, 0x9386d1bdaa3949fc, 0x36d01c1ac77fd51b, 0x273b8dceb3643fcf,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18,
  0xa1854e7ea6c3b1b8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04, 0x0eba9cfa8a792bf7,
};

/*
 * m328p_u2x12_uart0_dual_ee_ce_u4_hw m328pb_u2x12_uart0_dual_ee_ce_u4_hw
 * a6614q_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468a0ae, 0xeefafc763f14cddd, 0x83e44fdebdeeeeee, 0xa16ccf753927dda0, 0x5bd0faf6097d7aef,
  0x09f192afae5f5f7f, 0xb681912929196d26, 0x1030a1832bac0db4, 0x2fccb135a774f897, 0xb3d83219c292a667,
  0xc913f839869bd47e, 0x886257f9fbe08a11, 0xbbe6e2e0801b87c2, 0x865a063e88655777, 0xffe80e784dd5f150,
  0x60b0de579096dcd6, 0x5ba7c25883ffaa72, 0x1bdaa3949fcda9f5, 0x8337717d51a9e86d, 0x17dc4963cf2beb03,
  0x7ff51f097e21b091, 0xcdd33c5dc6e29273, 0x3d4795bf929dadcd, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6,
  0xe328752135f46165, 0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b,
  0x3f8abe77715252cc, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xd4e7930be9e4afdc, 0x0000000000000075,
};

/*
 * m328_swio10_noled_pr_ce_u4        m328p_swio10_noled_pr_ce          m328p_swio10_noled_pr_ce_u4
 * m328pb_swio10_noled_pr_ce         m328pb_swio10_noled_pr_ce_u4      a6614q_swio10_noled_pr_ce
 * a6614q_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m328_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x9813fc6afcfdba98, 0x953bcad717d6441d, 0xb09117dc4963cf00, 0x2a2e47f51f097e21,
  0xcb19fac99e2ee371, 0xd3f83c17ea3e493d, 0xac731602f740a471, 0xccf1d7a3e767bd1d, 0x96b75c359ea807fe,
  0x66d7972ab555aa07, 0x75152a8d76761cf5, 0x2a6b395daa5beace, 0xaf2a14954bef5f44, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x9732f9b640863b7b, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00001bafb5edf439,
};

// m328p_swio10_noled_pr_ee_ce       m328pb_swio10_noled_pr_ee_ce      a6614q_swio10_noled_pr_ee_ce
static const uint64_t ur_m328_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe357e7c344c13e3, 0xe77fd519c31d963f, 0x01b77f9e012a7763, 0x958f7cc273b8dc00,
  0xd00f51e56e9653b5, 0x298ae43fa8f83660, 0x5962291669d68450, 0xbb77ee1d484d7d18, 0x79d376d291c4273a,
  0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0xb0e7ab36bcb955a9, 0xdf5673a8a9546bb3,
  0x7afa215359caed52, 0x6ab4457950a4aa5f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0x83cd84b997cdb204, 0x3f2868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e687993fc09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0x7e0e8afa1cf257ee, 0x0000000000000002,
};

// m328p_swio10_noled_pr_ee_ce_u4    m328pb_swio10_noled_pr_ee_ce_u4   a6614q_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m328_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fc48c73e87d304, 0xc41717d51dba1d98, 0x17dc4963cf36d01c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0x7ab36bcb955a9664,
  0x673a8a9546bb3b0e, 0xa215359caed52df5, 0x4457950a4aa5f7af, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0xd84b997cdb20431d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa05d79e4afdcd0cc, 0x000000000009f87a,
};

/*
 * m328_swio10_noled_ee_ce_u4_hw     m328p_swio10_noled_ee_ce_hw       m328p_swio10_noled_ee_ce_u4_hw
 * m328pb_swio10_noled_ee_ce_hw      m328pb_swio10_noled_ee_ce_u4_hw   m324a_swio10_noled_ee_ce_hw
 * m324a_swio10_noled_ee_ce_u4_hw    m324p_swio10_noled_ee_ce_hw       m324p_swio10_noled_ee_ce_u4_hw
 * m324pa_swio10_noled_ee_ce_hw      m324pa_swio10_noled_ee_ce_u4_hw   m324pb_swio10_noled_ee_ce_hw
 * m324pb_swio10_noled_ee_ce_u4_hw   a6614q_swio10_noled_ee_ce_hw      a6614q_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0xb3107fb0ff9f43e9, 0x039882e2faa3b743, 0x1222fb892c79e6da, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x873d59b5e5caad4b,
  0xfab39d454aa35d9d, 0xd7d10a9ace576a96, 0x55a22bca852552fb, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7aa28a792bf73433, 0x0000000000001404,
};

/*
 * m328_swio10_lednop_pr_ce_u4       m328p_swio10_lednop_pr_ce         m328p_swio10_lednop_pr_ce_u4
 * m328pb_swio10_lednop_pr_ce        m328pb_swio10_lednop_pr_ce_u4     a6614q_swio10_lednop_pr_ce
 * a6614q_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff1abf3f15a60, 0x54eedd5c5f591076, 0xc2445f71258f3c02, 0x4a672fd47c25f886,
  0x2c67eb2678bb8dca, 0x4fe0f05fa8e0a4f7, 0xf398b0143da011c7, 0xcf1d7a3e76f911c1, 0x5addbdf40a807fec,
  0x9b5e5caad605681e, 0xd454aa35d9d873d5, 0x0404e576a96fab39, 0x5255aba5fd10a9ae, 0x56bae7b55a22bca8,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb2ec31dbd8aaa2d, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xd7bab6fa1cf257ee, 0x000000000000000d,
};

// m328p_swio10_lednop_pr_ee_ce      m328pb_swio10_lednop_pr_ee_ce     a6614q_swio10_lednop_pr_ee_ce
static const uint64_t ur_m328_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfc6afcfcedcc13e, 0x68effaa33863b376, 0x47d493f3c0254ef7, 0xacac7be6139dc6e7,
  0x06807a8f2b2eb29d, 0x814c5652fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbe70ea426be8, 0xd79d37609e8d7c39,
  0x8c9118dfb1aaf1b1, 0x70decb65cc5c2422, 0x59dc359ea8d82264, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec,
  0x8854d7020272bb54, 0x115e54292ad5d2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6d97618ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x00000a69a2f9f439,
};

// m328p_swio10_lednop_pr_ee_ce_u4   m328pb_swio10_lednop_pr_ee_ce_u4  a6614q_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m328_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01fe24639ffd7982, 0x400b8bea8edd0ec8, 0x8bee24b1e79b680e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0xd59b5e5caad4b3b8,
  0x39d454aa35d9d873, 0xae0404e576a96fab, 0xa85255aba5fd10a9, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb2ec31dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009f813585d79,
};

/*
 * m328_swio10_lednop_ee_ce_u4_hw    m328p_swio10_lednop_ee_ce_hw      m328p_swio10_lednop_ee_ce_u4_hw
 * m328pb_swio10_lednop_ee_ce_hw     m328pb_swio10_lednop_ee_ce_u4_hw  m324a_swio10_lednop_ee_ce_hw
 * m324a_swio10_lednop_ee_ce_u4_hw   m324p_swio10_lednop_ee_ce_hw      m324p_swio10_lednop_ee_ce_u4_hw
 * m324pa_swio10_lednop_ee_ce_hw     m324pa_swio10_lednop_ee_ce_u4_hw  m324pb_swio10_lednop_ee_ce_hw
 * m324pb_swio10_lednop_ee_ce_u4_hw  a6614q_swio10_lednop_ee_ce_hw     a6614q_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x9003fd87fcffebcc, 0x1c801717d51dba1d, 0x9117dc4963cf36d0, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xe7ab36bcb955a967,
  0x5673a8a9546bb3b0, 0x535c0809caed52df, 0x7950a4ab574bfa21, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00000050104d6a29,
};

/*
 * m328_swio10_dual_pr               m328_swio10_dual_pr_u4            m328p_swio10_dual
 * m328p_swio10_dual_pr              m328p_swio10_dual_pr_u4           m328pb_swio10_dual
 * m328pb_swio10_dual_pr             m328pb_swio10_dual_pr_u4          a6614q_swio10_dual
 * a6614q_swio10_dual_pr             a6614q_swio10_dual_pr_u4
 */
static const uint64_t ur_m328_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xbe6e56f80370f851, 0x196846488655777b, 0x7fe80e784d6b4542,
  0x30586f2bc84b6e5d, 0x961f07654afffe87, 0xd3f83117d47910ef, 0xb01541e6fdc65471, 0x78033b4e28def398,
  0xd783ea807fecc11d, 0x8a92dfe181e59eda, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x1395daa5beace751,
  0x56ae97f442a6b810, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x5d9156f62aa8b490,
  0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x524d6b50baf3c95f,
};

// m328p_swio10_dual_pr_ee           m328pb_swio10_dual_pr_ee          a6614q_swio10_dual_pr_ee
static const uint64_t ur_m328_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xbac0db4b68191292, 0x774f8971030a1832, 0xc02d4c63ff995d06,
  0x15a6f51c9d6c12d1, 0x3f7c114239227f07, 0x880370f8510c4aff, 0xd10caaeef77cdc54, 0xc260f7150865a0be,
  0xbc84b6e9b7ff4073, 0xa1ffffe8730586f2, 0x5efb9aad68ca28ec, 0xea3e0d98332bd479, 0x9a75a1143be2bb75,
  0xd2135f4616588a45, 0xa39d5a5ca1ae2a5c, 0xba1d7a89768f68f4, 0x908a1004698d8d56, 0x3f5b86f65f4b3170,
  0xa92805195aca8d82, 0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x395daa5beace7515, 0x6ae97f442a6b8101,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xd9156f62aa8b4905, 0x8dc79b09732f9b65,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000005647ad8baf3,
};

// m328p_swio10_dual_pr_ee_u4        m328pb_swio10_dual_pr_ee_u4       a6614q_swio10_dual_pr_ee_u4
static const uint64_t ur_m328_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x30657581b696d032, 0xba0cee9f12e20614, 0x06b1c09d4c96bf32,
  0x7f07bee6f51e2b6c, 0x4aff3f7c11423922, 0x6e33900370f8510c, 0xd08f688655777bbe, 0xd01cf09a448a8432,
  0x61bcaf212dba6dff, 0xf83b287ffffa1cc1, 0xfa8f2b60b355ad1b, 0xae43fa8f83660c27, 0x2291669d68450ef8,
  0x84173484d7d18596, 0x8a39b8e75697726b, 0xc6ab5d0ebdac4ed3, 0x3170908a16ba38ca, 0xae3a4fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xdaa5beace75152a8, 0x97f442a6b8101395, 0xd5688af2a14956ae,
  0x94d8b3a03cfd6b9e, 0x502169ab9d5ea585, 0xd38c6f19d10363fc, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00ac810b175e792b,
};

// m328p_swio10_dual_pr_ce           m328pb_swio10_dual_pr_ce          a6614q_swio10_dual_pr_ce
static const uint64_t ur_m328_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x391c0e0cdd5ff995,
  0xf072ba6f51f676c2, 0xaff3f7c114239227, 0xc68380370f8510c4, 0x01ed10caaeef77cd, 0x073c2609f150865a,
  0x6f2bc84b6f63fff4, 0xc760d6fffe873058, 0x9b680e1c1b8bea63, 0x10d8488bee24b1e7, 0xb9722495fa8f84bf,
  0x7b9633ea5ccf1771, 0xe3a7f0770fd47ea2, 0x6f79cc580b52bba8, 0xf6678ebc019da714, 0x3cb5b96bc1f5403f,
  0x8abe7771525bfc30, 0x39eacdaf2e556b3f, 0xd59cea2a551aecec, 0x54d7020272bb54b7, 0x5e54292ad5d2fe88,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6d97618edec5, 0xc68b3a7c371e6c25,
  0xa9cfd4eaccdfc1dd, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00d24c622ebcf257,
};

// m328p_swio10_dual_pr_ce_u4        m328pb_swio10_dual_pr_ce_u4       a6614q_swio10_dual_pr_ce_u4
static const uint64_t ur_m328_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b949400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x82c3795e425b74b5, 0xaf743b2dd7fff439, 0xc79e6da039a6ee2f, 0x12fc4361222fb892, 0x5dc6e5c89257ea3e,
  0xcbe9ee58cf0e333c, 0xa5471d3f8359fea3, 0x244637ce62c058f7, 0xb71cb19e3af22ddb, 0xf157ceee2a4a3a8c,
  0x873d59b5e5caad67, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb2ec31dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e,
  0x0000000069226805,
};

// m328p_swio10_dual_pr_ee_ce        m328pb_swio10_dual_pr_ee_ce       a6614q_swio10_dual_pr_ee_ce
static const uint64_t ur_m328_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x657581b696d03225, 0x0cee9f12e2061430, 0xc3862099aeff32ba,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xdbb006e1f0a21895, 0x054432abbbddf371, 0xcf09a43c54219683,
  0xcaf212dbf60ffd01, 0xb2d6ffffa1cc161b, 0x072d6ceffaa3c083, 0x8dc300dd0ff3cdb4, 0xa53b5959374c273b,
  0x83660fbaf51e5795, 0x68450298ae577a8f, 0xd7d185962291669d, 0x9473abb71431d484, 0xe363af512ed1ed1e,
  0x242284011a636355, 0x44c8e1bd97d2cc5c, 0x15252ce32b5951b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda,
  0x272bb54b7d59cea2, 0xad5d2fe8854d7020, 0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xc371e6c25ccbe6d9, 0xab337f07771a2c79, 0x1964b867a615c9fb, 0xa19961d252d9f027,
  0x09d270baf3c95fb9, 0x0000000000000026,
};

// m328p_swio10_dual_pr_ee_ce_u4     m328pb_swio10_dual_pr_ee_ce_u4    a6614q_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m328_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x81850c195d606da5, 0x7e65a0e53ba7c4b8,
  0x76c3b04e1787372d, 0x489fc1b5dcdea3e3, 0x4312bfcfdf04508e, 0xbe6e446200dc3e14, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7b91, 0x9c11d86b7fffa9c9, 0xf36d2766b7717d51, 0xe21b09117dc4963c,
  0x722314e3ff51f097, 0x4ed6e6e6e99e2ee3, 0xd983eebd4795e569, 0x1140a62b95dea3e0, 0xf4616588a459a75a,
  0x1ceaedc50c752135, 0xd8ebd44bb47b47a5, 0x08a1004698d8d578, 0x32386f65f4b31709, 0x494b38cad6546c11,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xcaed52df5673a8a9, 0x574bfa21535c0809, 0xcf6ab4457950a4ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x863b7b15545a4829, 0x7079b09732f9b65d, 0x0fdbb1a2c6f8b935,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x389f3c95fb9a1996, 0x0000000004000835,
};

// m328p_swio10_dual_ee_hw           m328pb_swio10_dual_ee_hw          a6614q_swio10_dual_ee_hw
static const uint64_t ur_m328_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0xc195d606da5b40c8, 0xe833ba7c4b881850, 0x968e016a631ffcca,
  0xf838ad37a8e4eb60, 0x57f9fbe08a11c913, 0xe2a4401b87c28862, 0x05f688655777bbe6, 0x039e1307b8a8432d,
  0x3795e425b74dbffa, 0x47650fffb5fb982c, 0xa3caf7dcd56b4651, 0xdbaf51f06cc1995e, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x47a51cead2e50d71, 0x6ab5d0ebd44bb47b, 0x8b84845080234c6c, 0x6c11fadc37b2fa59,
  0xddc5494028cad654, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x0809caed52df5673, 0xa4ab574bfa21535c,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb2ec8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0015da7add14f257,
};

// m328p_swio10_dual_ee_ce_hw        m328pb_swio10_dual_ee_ce_hw       a6614q_swio10_dual_ee_ce_hw
static const uint64_t ur_m328_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0x0caeb036d2da0644, 0x419dd3e25c40c286, 0xf870c41335dfe657,
  0xc1ffc9bd47d35b07, 0xbfcfdf04508e489f, 0x3b7600dc3e144312, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b7ec1ffa0, 0x765adffb5fb982c3, 0x80e5ad9dff547810, 0xb8dc672e8ffe79b6, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0xec371e6c25ccbe6d, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138, 0x34fa4ea29e4afdcd,
  0x0000000000000011,
};

// m328p_swio10_dual_ee_ce_u4_hw     m328pb_swio10_dual_ee_ce_u4_hw    a6614q_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m328_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0x581b696d03225252, 0xe9f12e2061430657, 0xe1cdcb5f99626b4e,
  0x37a8f8ddb0ec1385, 0xc114239227f06d77, 0x370f8510c4aff3f7, 0x955ddeef9b911880, 0xbee2a10cb4239221,
  0x96dee47fe80e784d, 0xffaa7260b0de5790, 0xee2faa33823b0d6f, 0x892c79e57d6070d6, 0xa3e12fc4361222fb,
  0x9e2ee371705c3ffe, 0x95e5694ed6e6e6e9, 0xdea3e0d983eebd47, 0x59a75a1140a62b95, 0x752135f4616588a4,
  0x7b47a51ceaedc50c, 0xd8d578d8ebd44bb4, 0xb3170908a1004698, 0x546c1132386f65f4, 0xf9ddc5494b38cad6,
  0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x5c0809caed52df56, 0x50a4ab574bfa2153, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0xf505d8dc79b09732, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x003aeb38be0be9e4,
};

/*
 * m328_swio11_noled_pr_ce_u4        m328_swio12_noled_pr_ce           m328_swio12_noled_pr_ce_u4
 * m328p_swio11_noled_pr_ce          m328p_swio11_noled_pr_ce_u4       m328p_swio12_noled_pr_ce
 * m328p_swio12_noled_pr_ce_u4       m328pb_swio11_noled_pr_ce         m328pb_swio11_noled_pr_ce_u4
 * m328pb_swio12_noled_pr_ce         m328pb_swio12_noled_pr_ce_u4      a6614q_swio11_noled_pr_ce
 * a6614q_swio11_noled_pr_ce_u4      a6614q_swio12_noled_pr_ce         a6614q_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m328_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff1abf3fa6e609, 0x4ee575c5f5ee8766, 0x2445f71258f3c025, 0x3a4afd47c25f886c,
  0xc67eb2678bb8dc64, 0xfe0d67fa8ebe4f72, 0x731602edf97d1c74, 0xf1d7a3e764c5188a, 0xadd6b13ca807fecc,
  0xb5e5caad508981e5, 0x454aa35d9d873d59, 0xace576a96fabb39d, 0x2a1495b1bd7d10a9, 0xe7c5aeb9ed5688af,
  0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x65f36d84263b7b15, 0x8df1726ae0f3612e, 0xea75663c81f94345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x00375de6dbe873c9,
};

/*
 * m328_swio12_noled_pr_ee_ce        m328p_swio11_noled_pr_ee_ce       m328p_swio12_noled_pr_ee_ce
 * m328pb_swio11_noled_pr_ee_ce      m328pb_swio12_noled_pr_ee_ce      a6614q_swio11_noled_pr_ee_ce
 * a6614q_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m328_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x1abf3e9b7304f8c9, 0xbfea8cba8ec19bff, 0xd1ffcf00953b19b3, 0xb1ef984e771b8ce5,
  0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b, 0x3a6ec7aa3f90e757,
  0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x0e7ab36bcb955a96, 0x57673a8a9546bb3b,
  0xfa215359caed52df, 0xad115e54292b637a, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6,
  0xc6c25ccbe6db084c, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x439e4afdcd0ccb0e,
  0x000000029a69f5df,
};

/*
 * m328_swio12_noled_pr_ee_ce_u4     m328p_swio11_noled_pr_ee_ce_u4    m328p_swio12_noled_pr_ee_ce_u4
 * m328pb_swio11_noled_pr_ee_ce_u4   m328pb_swio12_noled_pr_ee_ce_u4   a6614q_swio11_noled_pr_ee_ce_u4
 * a6614q_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m328_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xff8918e7c524c13e, 0xfdc5f547a6c7656f, 0xee24b1e79b680e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x59b5e5caad4b3e83,
  0x9d454aa35d9d873d, 0xa9ace576a96fabb3, 0xaf2a1495b1bd7d10, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0x2e65f36d84263b7b, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x0000000027e1b901,
};

/*
 * m328_swio11_noled_ee_ce_u4_hw     m328_swio12_noled_ee_ce_hw        m328_swio12_noled_ee_ce_u4_hw
 * m328p_swio11_noled_ee_ce_hw       m328p_swio11_noled_ee_ce_u4_hw    m328p_swio12_noled_ee_ce_hw
 * m328p_swio12_noled_ee_ce_u4_hw    m328pb_swio11_noled_ee_ce_hw      m328pb_swio11_noled_ee_ce_u4_hw
 * m328pb_swio12_noled_ee_ce_hw      m328pb_swio12_noled_ee_ce_u4_hw   m324a_swio11_noled_ee_ce_hw
 * m324a_swio11_noled_ee_ce_u4_hw    m324a_swio12_noled_ee_ce_hw       m324a_swio12_noled_ee_ce_u4_hw
 * m324p_swio11_noled_ee_ce_hw       m324p_swio11_noled_ee_ce_u4_hw    m324p_swio12_noled_ee_ce_hw
 * m324p_swio12_noled_ee_ce_u4_hw    m324pa_swio11_noled_ee_ce_hw      m324pa_swio11_noled_ee_ce_u4_hw
 * m324pa_swio12_noled_ee_ce_hw      m324pa_swio12_noled_ee_ce_u4_hw   m324pb_swio11_noled_ee_ce_hw
 * m324pb_swio11_noled_ee_ce_u4_hw   m324pb_swio12_noled_ee_ce_hw      m324pb_swio12_noled_ee_ce_u4_hw
 * a6614q_swio11_noled_ee_ce_hw      a6614q_swio11_noled_ee_ce_u4_hw   a6614q_swio12_noled_ee_ce_hw
 * a6614q_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b1d95, 0x2fb892c79e6da039, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xeacdaf2e556a59f4,
  0x9cea2a551aecec39, 0x854d672bb54b7d5d, 0x457950a4ad8debe8, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x09732f9b6c2131db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005011b90,
};

/*
 * m328_swio11_lednop_pr_ce_u4       m328_swio12_lednop_pr_ce          m328_swio12_lednop_pr_ce_u4
 * m328p_swio11_lednop_pr_ce         m328p_swio11_lednop_pr_ce_u4      m328p_swio12_lednop_pr_ce
 * m328p_swio12_lednop_pr_ce_u4      m328pb_swio11_lednop_pr_ce        m328pb_swio11_lednop_pr_ce_u4
 * m328pb_swio12_lednop_pr_ce        m328pb_swio12_lednop_pr_ce_u4     a6614q_swio11_lednop_pr_ce
 * a6614q_swio11_lednop_pr_ce_u4     a6614q_swio12_lednop_pr_ce        a6614q_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe357e7e394c13, 0x9de9bb8bebdd0ecb, 0x488bee24b1e7804a, 0x5951fa8f84bf10d8,
  0x8cfd64cf1771b849, 0xf8359fea3cbe9ee5, 0xe62c058f7a5471d3, 0xc75e8f9db244637c, 0x6e83fd22a01ffb33,
  0xaf2e556b2ed40f2d, 0x2a551aecec39eacd, 0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x5653e873c95fb9a1, 0x0000000000001baf,
};

/*
 * m328_swio12_lednop_pr_ee_ce       m328p_swio11_lednop_pr_ee_ce      m328p_swio12_lednop_pr_ee_ce
 * m328pb_swio11_lednop_pr_ee_ce     m328pb_swio12_lednop_pr_ee_ce     a6614q_swio11_lednop_pr_ee_ce
 * a6614q_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m328_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe357e7dfe4c13e32, 0x3bfea8cba8ec0d1f, 0x7044fe7804a9d868, 0x2b1ef984e771b8d0,
  0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e74a3a909afa30, 0xf3a6ed22239b8e75,
  0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647, 0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3,
  0x1535c0809caed52d, 0x2bca852572f4bfa2, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0xb997cdb63131dbd8, 0x1a2c79c5c9ab8d84, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x00029a763fbe873c,
};

/*
 * m328_swio12_lednop_pr_ee_ce_u4    m328p_swio11_lednop_pr_ee_ce_u4   m328p_swio12_lednop_pr_ee_ce_u4
 * m328pb_swio11_lednop_pr_ee_ce_u4  m328pb_swio12_lednop_pr_ee_ce_u4  a6614q_swio11_lednop_pr_ee_ce_u4
 * a6614q_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m328_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xfe24639fec19827c, 0xd717d51e9b1d887d, 0xb892c79e6da03887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xcdaf2e556a59dac4,
  0xea2a551aecec39ea, 0x20272bb54b7d5d9c, 0x495cbd2fe8854d70, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5175e792,
};

/*
 * m328_swio11_lednop_ee_ce_u4_hw    m328_swio12_lednop_ee_ce_hw       m328_swio12_lednop_ee_ce_u4_hw
 * m328p_swio11_lednop_ee_ce_hw      m328p_swio11_lednop_ee_ce_u4_hw   m328p_swio12_lednop_ee_ce_hw
 * m328p_swio12_lednop_ee_ce_u4_hw   m328pb_swio11_lednop_ee_ce_hw     m328pb_swio11_lednop_ee_ce_u4_hw
 * m328pb_swio12_lednop_ee_ce_hw     m328pb_swio12_lednop_ee_ce_u4_hw  m324a_swio11_lednop_ee_ce_hw
 * m324a_swio11_lednop_ee_ce_u4_hw   m324a_swio12_lednop_ee_ce_hw      m324a_swio12_lednop_ee_ce_u4_hw
 * m324p_swio11_lednop_ee_ce_hw      m324p_swio11_lednop_ee_ce_u4_hw   m324p_swio12_lednop_ee_ce_hw
 * m324p_swio12_lednop_ee_ce_u4_hw   m324pa_swio11_lednop_ee_ce_hw     m324pa_swio11_lednop_ee_ce_u4_hw
 * m324pa_swio12_lednop_ee_ce_hw     m324pa_swio12_lednop_ee_ce_u4_hw  m324pb_swio11_lednop_ee_ce_hw
 * m324pb_swio11_lednop_ee_ce_u4_hw  m324pb_swio12_lednop_ee_ce_hw     m324pb_swio12_lednop_ee_ce_u4_hw
 * a6614q_swio11_lednop_ee_ce_hw     a6614q_swio11_lednop_ee_ce_u4_hw  a6614q_swio12_lednop_ee_ce_hw
 * a6614q_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b1d88, 0x2fb892c79e6da038, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xeacdaf2e556a59da,
  0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m328_swio11_dual_pr               m328_swio11_dual_pr_u4            m328_swio12_dual
 * m328_swio12_dual_pr               m328_swio12_dual_pr_u4            m328p_swio11_dual
 * m328p_swio11_dual_pr              m328p_swio11_dual_pr_u4           m328p_swio12_dual
 * m328p_swio12_dual_pr              m328p_swio12_dual_pr_u4           m328pb_swio11_dual
 * m328pb_swio11_dual_pr             m328pb_swio11_dual_pr_u4          m328pb_swio12_dual
 * m328pb_swio12_dual_pr             m328pb_swio12_dual_pr_u4          a6614q_swio11_dual
 * a6614q_swio11_dual_pr             a6614q_swio11_dual_pr_u4          a6614q_swio12_dual
 * a6614q_swio12_dual_pr             a6614q_swio12_dual_pr_u4
 */
static const uint64_t ur_m328_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x1832bac0db4b6819, 0x5d06774f8971030a, 0x0bece05166727f99,
  0x4fe0cca9bd477f36, 0x895fe7ef82284724, 0xcdc6bb006e1f0a21, 0x2d08c910caaeef77, 0xfd01cf09ad68a843,
  0x0b0de579096dca5f, 0x96b8ec28bfffd0e6, 0xfe0f7bf51fba3be5, 0x0aa0f33930f71c74, 0x019d90046989cc58,
  0x8df5403ff6608ebc, 0x5257cea07967b6f7, 0x2e556b3f8abe7771, 0x551aecec39eacdaf, 0x2bb54b7d5d9cea2a,
  0xbd2fe8854d702027, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053,
  0xdc79b09732f9b6c6, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d0718baf3c95fb9, 0x0000000000000052,
};

/*
 * m328_swio12_dual_pr_ee            m328p_swio11_dual_pr_ee           m328p_swio12_dual_pr_ee
 * m328pb_swio11_dual_pr_ee          m328pb_swio12_dual_pr_ee          a6614q_swio11_dual_pr_ee
 * a6614q_swio12_dual_pr_ee
 */
static const uint64_t ur_m328_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x016a631ffccae833,
  0xad37a8e4eb60968e, 0xfbe08a11c913f838, 0xc01b87c2886257f9, 0x88655777bbe6e5d0, 0x1307b8a8432d05f6,
  0xf212dbe9affa039e, 0x16bfffa1cc161bca, 0xbb75355ad1fee1d8, 0xa8f83660c3dfa8f2, 0x69d68450ef8af4df,
  0x484d7d1859622916, 0x4e7569760ab8a973, 0xe875ea25d8c7a33d, 0x4228d291c436355a, 0xfd6e1bd97d2cc5c2,
  0x49402c8a22aa3608, 0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c,
  0x7b55a22bca852572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0x71e6c25ccbe6db18,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0001590ad42ebcf2,
};

/*
 * m328_swio12_dual_pr_ee_u4         m328p_swio11_dual_pr_ee_u4        m328p_swio12_dual_pr_ee_u4
 * m328pb_swio11_dual_pr_ee_u4       m328pb_swio12_dual_pr_ee_u4       a6614q_swio11_dual_pr_ee_u4
 * a6614q_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m328_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x95d606da5b40c894, 0x33ba7c4b881850c1, 0xc70275325afccae8,
  0x1efb9bd478adb01a, 0xfcfdf04508e489fc, 0x95000dc3e144312b, 0x3da21955ddeef9b9, 0x73c269122a10cb42,
  0x795e425b7d35ff40, 0x3b02d7fff43982c3, 0x1e56a7a6ab5a380c, 0xe1fa8f83660e44f5, 0x91669d68450ef8ac,
  0x173484d7d1859622, 0x3050e756974acb84, 0xab5d0ebdac4ec802, 0x70908a1ef47916c6, 0x5c3fadc37b2e3e31,
  0xb3f8abe77715255c, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0x8854d7020272bb54, 0x88af2a1495cbd2fe,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88145f4502, 0xdc79b09732f9b69c, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0xb274f0baf3c95fb9, 0x0000000000000002,
};

/*
 * m328_swio12_dual_pr_ce            m328p_swio11_dual_pr_ce           m328p_swio12_dual_pr_ce
 * m328pb_swio11_dual_pr_ce          m328pb_swio12_dual_pr_ce          a6614q_swio11_dual_pr_ce
 * a6614q_swio12_dual_pr_ce
 */
static const uint64_t ur_m328_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x60caeb036d2da064, 0x7419dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0xb8a4800dc3e14431, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x0de579096dc66ffe, 0xe0ec383fffd0e60b, 0x79b680e13ab8beaf, 0xf10d8488bee24b1e, 0x1b9494ce5fa8f84b,
  0xe7b9633ea5ccf177, 0x8e3a7f076b7a8e13, 0x8d31398b014a2edf, 0xfeccf1d78033b200, 0x03cb5b9ef1bea807,
  0xfc55f3bb8a92be75, 0x61cf566d7972ab59, 0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b6c6263b7b1, 0x71a2ce9f0dc79b09,
  0x2a73f53ab337f077, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x003491760baf3c95,
};

/*
 * m328_swio12_dual_pr_ce_u4         m328p_swio11_dual_pr_ce_u4        m328p_swio12_dual_pr_ce_u4
 * m328pb_swio11_dual_pr_ce_u4       m328pb_swio12_dual_pr_ce_u4       a6614q_swio11_dual_pr_ce_u4
 * a6614q_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m328_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x60caeb036d2da064, 0x7419dd3e25c40c28, 0x6fb3869b9a2b7e65,
  0xfe0ca1cdea3e56d8, 0x95fe7ef822847244, 0xdc24a006e1f0a218, 0xa013d10caaeef77c, 0xa039e134e3150865,
  0xc3795e425b7a1fff, 0xbe3b34dffff43982, 0x3cdb4073675c5f5d, 0xf886c2445f71258f, 0x8dca4a672fd47c25,
  0x33dcb19e1c6678bb, 0x638e9fc193dea3ce, 0x11c6473160298f3d, 0xc72c678ebc8b765f, 0xabe77715251d645d,
  0x9eacdaf2e556b3f8, 0xd9cea2a551aecec3, 0xd7020272bb54b7d5, 0x2a1495cbd2fe8854, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d8c4c76f62aa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x0000003490b3175e,
};

/*
 * m328_swio12_dual_pr_ee_ce         m328p_swio11_dual_pr_ee_ce        m328p_swio12_dual_pr_ee_ce
 * m328pb_swio11_dual_pr_ee_ce       m328pb_swio12_dual_pr_ee_ce       a6614q_swio11_dual_pr_ee_ce
 * a6614q_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m328_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0xeb036d2da0644a4a, 0xdd3e25c40c2860ca, 0x0c41335dfe657419,
  0xfc9bd47d35b07f87, 0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf37170, 0x09a43c5421968305,
  0xf212db9adffd01cf, 0x883fffa1cc161bca, 0xcc4077fd51e561d9, 0x71523dd6fcf36d01, 0x4ed6564dd309cee3,
  0xb307b7fd4795cae9, 0x22814c57befd47c1, 0xe8c2cb1148b34eb4, 0x39d5db9828ea426b, 0xb1d7a897631e8cf5,
  0x1146948e21b1aaf1, 0x6470decbe9662e12, 0x252cf2288aa8d822, 0xe556b3f8abe77715, 0x51aecec39eacdaf2,
  0xbb54b7d5d9cea2a5, 0xd2fe8854d7020272, 0xed5688af2a1495cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d8c4, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0xe705d79e4afdcd0c, 0x0000000000001304,
};

/*
 * m328_swio12_dual_pr_ee_ce_u4      m328p_swio11_dual_pr_ee_ce_u4     m328p_swio12_dual_pr_ee_ce_u4
 * m328pb_swio11_dual_pr_ee_ce_u4    m328pb_swio12_dual_pr_ee_ce_u4    a6614q_swio11_dual_pr_ee_ce_u4
 * a6614q_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m328_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x1430657581b696d0, 0x968394ee9f12e206,
  0x0ec1385e1cdcb5f9, 0x7f06d7737a8f8ddb, 0x4aff3f7c11423922, 0xdc15400370f8510c, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6f495ff, 0x43b2f0ffff539305, 0xda4eef0ee2faa327, 0x361222fb892c79e6,
  0x551649fea3e12fc4, 0xd6e6e6e99e2ee370, 0x07b7fd4795cae94e, 0x814c57befd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9828ea426be8, 0xd7a897631e8cf539, 0x46948e21b1aaf1b1, 0x70decbe9662e1211, 0x2cf2288aa8d82264,
  0x56b3f8abe7771525, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfe8854d7020272bb, 0x5688af2a1495cbd2,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7, 0x763458df1726ae0f,
  0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000008009705713,
};

/*
 * m328_swio12_dual_ee_hw            m328p_swio11_dual_ee_hw           m328p_swio12_dual_ee_hw
 * m328pb_swio11_dual_ee_hw          m328pb_swio12_dual_ee_hw          a6614q_swio11_dual_ee_hw
 * a6614q_swio12_dual_ee_hw
 */
static const uint64_t ur_m328_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0x0caeb036d2da0644, 0x419dd3e25c40c286, 0xb4700b5318ffe657,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x2e8600dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xde579096df4d7fd0, 0x0ec0b5fed7ee60b0, 0x4795dba9aad68ff7, 0xa6fd47c1b3061efd, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x19ea73ab4bb055c5, 0xaad743af512ec63d, 0x2e121146948e21b1, 0xb047eb70decbe966,
  0xee2a4a0164511551, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x04e576a96fabb39d, 0x2b97a5fd10a9ae04,
  0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692, 0xbb1b8f3612e65f36,
  0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x05768ad5453c95fb,
};

/*
 * m328_swio12_dual_ee_ce_hw         m328p_swio11_dual_ee_ce_hw        m328p_swio12_dual_ee_ce_hw
 * m328pb_swio11_dual_ee_ce_hw       m328pb_swio12_dual_ee_ce_hw       a6614q_swio11_dual_ee_ce_hw
 * a6614q_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m328_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0xbac0db4b68191292, 0x774f8971030a1832, 0xc3104cd77f995d06,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0x620ff6bf730586f2, 0x73101dff54795876, 0x6e654341ff3cdb40, 0x29dacac9ba6139dc,
  0x3660f6ffa8f2b95d, 0x8450298af7dfa8f8, 0x7d185962291669d6, 0xa73abb73051d484d, 0x363af512ec63d19e,
  0x4228d291c436355e, 0x4c8e1bd97d2cc5c2, 0xa4a59e4511551b04, 0x5caad67f157ceee2, 0xaa35d9d873d59b5e,
  0x576a96fabb39d454, 0x7a5fd10a9ae0404e, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0x71e6c25ccbe6db18, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2, 0xf9ca29e4afdcd0cc,
  0x0000000000001134,
};

/*
 * m328_swio12_dual_ee_ce_u4_hw      m328p_swio11_dual_ee_ce_u4_hw     m328p_swio12_dual_ee_ce_u4_hw
 * m328pb_swio11_dual_ee_ce_u4_hw    m328pb_swio12_dual_ee_ce_u4_hw    a6614q_swio11_dual_ee_ce_u4_hw
 * a6614q_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0x696d032252521966, 0x2e2061430657581b, 0xcb5f99626b4ee9f1,
  0xf8ddb0ec1385e1cd, 0x239227f06d7737a8, 0x8510c4aff3f7c114, 0xef77cdc15400370f, 0x50865a11c910caae,
  0x495ff4073c26df71, 0x3930586f2bc84b6f, 0xd5193a1d9787ffd5, 0x3cf2beb039787717, 0x97e21b09117dc496,
  0x71b816467aff51f0, 0x74a76b737374cf17, 0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7,
  0x7a9ceaedcc147521, 0x78d8ebd44bb18f46, 0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c,
  0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x395daa5beaece751, 0xe5e97f442a6b8101, 0x5cf6ab4457950a4a,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x8dc79b09732f9b6c, 0x7bde50c2a73f505d,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xbcf430be9e4afdcd,
  0x00000000000003ae,
};

/*
 * m328_swio13_noled_pr_ce_u4        m328p_swio13_noled_pr_ce          m328p_swio13_noled_pr_ce_u4
 * m328pb_swio13_noled_pr_ce         m328pb_swio13_noled_pr_ce_u4      a6614q_swio13_noled_pr_ce
 * a6614q_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m328_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff1abf3fb3a60, 0xa9defbb8bebb7c76, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0x66d7972ab57d6e07, 0x75152a8d76761cf5, 0xce576a96faa9bece, 0x0a4ab57bd7d10a9a, 0xe2d75cf6ab445795,
  0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x5f36c6431dbd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0375e3ebbe873c95,
};

// m328p_swio13_noled_pr_ee_ce       m328pb_swio13_noled_pr_ee_ce      a6614q_swio13_noled_pr_ee_ce
static const uint64_t ur_m328_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff1abf3fa6a609f1, 0xe1dff54652c767fc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb,
  0xe8854d672bb54b7d, 0xa22bca85255abdeb, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6,
  0x1b09732f9b63218e, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970, 0x0e792bf734332c3a,
  0x000000029a673e7d,
};

// m328p_swio13_noled_pr_ee_ce_u4    m328pb_swio13_noled_pr_ee_ce_u4   a6614q_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m328_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdff8918e7f1ba609, 0x5ddc5f547b387635, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x566d7972ab52cfa4,
  0xe75152a8d76761cf, 0xace576a96faa9bec, 0x50a4ab57bd7d10a9, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x00000027e7d9e175,
};

/*
 * m328_swio13_noled_ee_ce_u4_hw     m328p_swio13_noled_ee_ce_hw       m328p_swio13_noled_ee_ce_u4_hw
 * m328pb_swio13_noled_ee_ce_hw      m328pb_swio13_noled_ee_ce_u4_hw   m324a_swio13_noled_ee_ce_hw
 * m324a_swio13_noled_ee_ce_u4_hw    m324p_swio13_noled_ee_ce_hw       m324p_swio13_noled_ee_ce_u4_hw
 * m324pa_swio13_noled_ee_ce_hw      m324pa_swio13_noled_ee_ce_u4_hw   m324pb_swio13_noled_ee_ce_hw
 * m324pb_swio13_noled_ee_ce_u4_hw   a6614q_swio13_noled_ee_ce_hw      a6614q_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f670ec, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3d59b5e5caad4b3e,
  0xb39d454aa35d9d87, 0xa6b395daa5beaa6f, 0xe54292ad5ef5f442, 0xbcf8b5d73daad115, 0x881077536294f0d3,
  0xaa8b4b689c6378ce, 0xb997cdb190c76f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000280becf51,
};

/*
 * m328_swio13_lednop_pr_ce_u4       m328p_swio13_lednop_pr_ce         m328p_swio13_lednop_pr_ce_u4
 * m328pb_swio13_lednop_pr_ce        m328pb_swio13_lednop_pr_ce_u4     a6614q_swio13_lednop_pr_ce
 * a6614q_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x669bff1abf3e35a6, 0x4a9deceb8bebb7c7, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0x66d7972ab5b87207, 0x75152a8d76761cf5, 0x4e576a96faa9bece, 0x5c925fd10a9ae040, 0xeb9ed5688af2a149,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x917be873c95fb9a1, 0x0000000000001bae,
};

// m328p_swio13_lednop_pr_ee_ce      m328pb_swio13_lednop_pr_ee_ce     a6614q_swio13_lednop_pr_ee_ce
static const uint64_t ur_m328_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff1abf3f6b7304f8, 0xb3bfea8ca58ec4db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x761cf566d7972ab5, 0xa9bece75152a8d76,
  0x9ae0404e576a96fa, 0xf2a1495c925fd10a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x65f36d028c76f62a, 0x8b1e71726ae3612e, 0x727eeacc7903f286, 0x9289c6592e19e985, 0x7ee6866587494b65,
  0x00a698bf6fa1cf25,
};

// m328p_swio13_lednop_pr_ee_ce_u4   m328pb_swio13_lednop_pr_ee_ce_u4  a6614q_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m328_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff1231cf9adcc13, 0x525c5f547b38760a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xab36bcb955a96622,
  0x73a8a9546bb3b0e7, 0x0272bb54b7d54df6, 0x4ae492fe8854d702, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x681463b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f07ab8baf3c95,
};

/*
 * m328_swio13_lednop_ee_ce_u4_hw    m328p_swio13_lednop_ee_ce_hw      m328p_swio13_lednop_ee_ce_u4_hw
 * m328pb_swio13_lednop_ee_ce_hw     m328pb_swio13_lednop_ee_ce_u4_hw  m324a_swio13_lednop_ee_ce_hw
 * m324a_swio13_lednop_ee_ce_u4_hw   m324p_swio13_lednop_ee_ce_hw      m324p_swio13_lednop_ee_ce_u4_hw
 * m324pa_swio13_lednop_ee_ce_hw     m324pa_swio13_lednop_ee_ce_u4_hw  m324pb_swio13_lednop_ee_ce_hw
 * m324pb_swio13_lednop_ee_ce_u4_hw  a6614q_swio13_lednop_ee_ce_hw     a6614q_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x070525c5f547b387, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc39eacdaf2e556a5,
  0x37d9cea2a551aece, 0x5c0809caed52df55, 0x54292b924bfa2153, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6da0518edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000014043d5e8a79,
};

/*
 * m328_swio13_dual_pr               m328_swio13_dual_pr_u4            m328p_swio13_dual
 * m328p_swio13_dual_pr              m328p_swio13_dual_pr_u4           m328pb_swio13_dual
 * m328pb_swio13_dual_pr             m328pb_swio13_dual_pr_u4          a6614q_swio13_dual
 * a6614q_swio13_dual_pr             a6614q_swio13_dual_pr_u4
 */
static const uint64_t ur_m328_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xdf3720000370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b728, 0xcb3de3b3f77fff43, 0xa7f0707fd47dbe77, 0xc05507992b47b8e3, 0xe00ceda523884e62,
  0x63192a01ffb30475, 0xe2a4b81281e59eda, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4,
  0x497f442a6b810139, 0x7b55a22bca852572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e,
  0x71e6c25ccbe6da05, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x35e7c2ebcf257ee6, 0x0000000000000149,
};

// m328p_swio13_dual_pr_ee           m328pb_swio13_dual_pr_ee          a6614q_swio13_dual_pr_ee
static const uint64_t ur_m328_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x57581b696d032252, 0xcee9f12e20614306, 0x3805a98c7ff32ba0,
  0xe2b4dea393ad825a, 0xe7ef822847244fe0, 0xd6006e1f0a21895f, 0xda21955ddeef9b9d, 0x784c1ee2a10cb417,
  0x579096de76ffe80e, 0x9d3ffffd0e60b0de, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f, 0x669d68450ef8af67,
  0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa, 0x47eb70decbe9662e,
  0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0xed52df5537d9cea2, 0x4bfa21535c0809ca,
  0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343cc9fe04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x001590745175e792,
};

// m328p_swio13_dual_pr_ee_u4        m328pb_swio13_dual_pr_ee_u4       a6614q_swio13_dual_pr_ee_u4
static const uint64_t ur_m328_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x860caeb036d2da06, 0x57419dd3e25c40c2, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0x7d8ece9ffffe8730, 0xbd4795e049aad68d, 0x2b2ebea3e0d983ee, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x291cbe39d5a5fe72, 0x6355ae875ed6276d, 0x8c5c242284c518f9, 0xab8b5beb70decb8f,
  0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa, 0x442a6b8101395daa, 0xa22bca852572497f,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a204e7d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5648142ebcf257ee,
};

// m328p_swio13_dual_pr_ce           m328pb_swio13_dual_pr_ce          a6614q_swio13_dual_pr_ce
static const uint64_t ur_m328_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x30657581b696d032, 0xba0cee9f12e20614, 0x472381c19babff32,
  0xfe0e574dea3eced8, 0x95fe7ef822847244, 0xb8089006e1f0a218, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x86f2bc84b6fff3fe, 0x187613afffe87305, 0xf36d01ceafb8beb0, 0xe21b09117dc4963c, 0x37092b2a3f51f097,
  0x4f72c67d4b99e2ee, 0x8e3a7f0622fa8f22, 0x47109cc580bfb8ca, 0xff6678ebc019db4a, 0x40f2d6e4c6325403,
  0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x68b3a7c371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x03490c82ebcf257e,
};

// m328p_swio13_dual_pr_ce_u4        m328pb_swio13_dual_pr_ce_u4       a6614q_swio13_dual_pr_ce_u4
static const uint64_t ur_m328_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0x0a1832bac0db4b68, 0x995d06774f897103, 0xb61bece1a6e68adf,
  0x913f8328737a8f95, 0x86257f9fbe08a11c, 0xdf3719c801b87c28, 0x196804f4432abbbd, 0xbfe80e784d38c542,
  0x30586f2bc84b6e16, 0xf5328766cefffe87, 0x58f3cdb40722b5c5, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3a013dcb19e1c667, 0xcea238e9fc1935ea, 0x69b91e45398b015f, 0x7cdc72c678ebc8b7, 0x9fc55f3bb8a928e8,
  0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x0000001a4810b175,
};

// m328p_swio13_dual_pr_ee_ce        m328pb_swio13_dual_pr_ee_ce       a6614q_swio13_dual_pr_ee_ce
static const uint64_t ur_m328_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x57581b696d032252, 0xcee9f12e20614306, 0x3862099aeff32ba0,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x64006e1f0a21895f, 0x2a21955ddeef9b81, 0x784d21e2a10cb418,
  0x579096def0ffe80e, 0x95bffffd0e60b0de, 0x395be77fd51cae1d, 0x6e5d0dd51f9e6da0, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x9c2ebcf257ee6866, 0x000000000002608a,
};

// m328p_swio13_dual_pr_ee_ce_u4     m328pb_swio13_dual_pr_ee_ce_u4    a6614q_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m328_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x30a1832bac0db4b6, 0xccb41ca774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xcdc4e3c01b87c288, 0x5a11c910caaeef77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bfff53930, 0xdb49dcc35c5f547d, 0x86c2445f71258f3c,
  0x4e3fb8ffd47c25f8, 0xb5b9b9ba678bb8dc, 0x60ccaf51e57bee53, 0x50298aedd7a8f836, 0x185962291669d684,
  0x3abb729e1d484d7d, 0x1d7a89767f11f507, 0x141ea8fe4b1aaf1b, 0x470decbe9662e121, 0x29663e6f6a8d8226,
  0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0x96faa9bece75152a, 0xd10a9ae0404e576a, 0x688af2a1495c925f,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x63458df1726ae0f3,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000004004f82713e,
};

// m328p_swio13_dual_ee_hw           m328pb_swio13_dual_ee_hw          a6614q_swio13_dual_ee_hw
static const uint64_t ur_m328_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x32bac0db4b681912, 0x06774f8971030a18, 0xd1c02d4c63ff995d,
  0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0xece9fff6bf730586, 0x795e9b9aad68dc98, 0x3bd47c1b3071efd4, 0x8b34eb422877c57b,
  0xb9a426be8c2cb114, 0xf5073ab4ba9e5c54, 0x56ba1d7a89767f11, 0x70908a0f547f258d, 0x823f5b86f65f4b31,
  0xb8a928043e6f6a8d, 0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x576a96faa9bece75, 0x925fd10a9ae0404e,
  0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053, 0xdc79b09732f9b681,
  0x7f2861539fa97ab8, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x000000005768745a,
};

// m328p_swio13_dual_ee_ce_hw        m328pb_swio13_dual_ee_ce_hw       a6614q_swio13_dual_ee_ce_hw
static const uint64_t ur_m328_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0xcaeb036d2da0644a, 0x19dd3e25c40c2860, 0x870c41335dfe6574,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x2c800dc3e144312b, 0x054432abbbddf370, 0xcf09a43c54219683,
  0xcaf212dbde1ffd01, 0xb2b7ffdafdcc161b, 0x072b7ceffaa395c3, 0xc6e747d493f3cdb4, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0xbb54b7d54df673a8, 0x92fe8854d7020272, 0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6814, 0x70cf4c2b93f3fb0d, 0xc3a4a5b3e04e32c9, 0x53a8a792bf734332,
  0x000000000001134d,
};

// m328p_swio13_dual_ee_ce_u4_hw     m328pb_swio13_dual_ee_ce_u4_hw    a6614q_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m328_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x0db4b68191292917, 0xf8971030a1832bac, 0xe6e5afccb135a774,
  0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0xaeef77cdc4e3c01b, 0x7150865a11c910ca,
  0x6e495ff4073c26df, 0xd53930586f2bc84b, 0x2faa3eaf1d930dff, 0x2c79e57d607261ae, 0xe12fc4361222fb89,
  0x5dc6e70ff1f77ea3, 0xdf729dadcdcdd33c, 0x47c1b306657a8f2b, 0x4eb422814c576ebd, 0x426be8c2cb1148b3,
  0x8fa839d5db94f0ea, 0xd578d8ebd44bb3f8, 0x170908a0f547f258, 0x6c1132386f65f4b3, 0xddc5494b31f37b54,
  0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x72bb54b7d54df673, 0xe492fe8854d70202, 0x5cf6ab4457950a4a,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x8dc79b09732f9b68, 0x7bde50c2a73f505d,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xa47930be9e4afdcd,
  0x00000000000003ae,
};

/*
 * m328_swio14_noled_pr_ce_u4        m328p_swio14_noled_pr_ce          m328p_swio14_noled_pr_ce_u4
 * m328pb_swio14_noled_pr_ce         m328pb_swio14_noled_pr_ce_u4      a6614q_swio14_noled_pr_ce
 * a6614q_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m328_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0xccadfe357e7f4dcc, 0x4a9dcaeb8bebdd0e, 0xd8488bee24b1e780, 0xc87495fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0xb36bcb955aa11303, 0x3a8a9546bb3b0e7a, 0xd674dcaed52df567, 0xca85256c7efe8854, 0x79f16bae7b55a22b,
  0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x997cdb61098edec5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x000dd779b6fa1cf2,
};

// m328p_swio14_noled_pr_ee_ce       m328pb_swio14_noled_pr_ee_ce      a6614q_swio14_noled_pr_ee_ce
static const uint64_t ur_m328_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff8d5f9f4db9827c, 0xd9dff5465d4760cd, 0x72e8ffe7804a9d8c, 0x5958f7cc273b8dc6,
  0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845, 0xabb73931d484d7d1, 0xd79d3763d51fc873,
  0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132, 0x9d873d59b5e5caad, 0x96fab39d454aa35d,
  0x7f442a6b3a6e576a, 0xaad115e54292b63f, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x5c6c25ccbe6db084, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25, 0xf439e4afdcd0ccb0,
  0x0000000029a69f5d,
};

// m328p_swio14_noled_pr_ee_ce_u4    m328pb_swio14_noled_pr_ee_ce_u4   a6614q_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m328_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff1231cf8a4982, 0xadfb8bea8f4d8eca, 0x17dc4963cf36d01c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0x7ab36bcb955a967d,
  0x673a8a9546bb3b0e, 0x54d674dcaed52df5, 0x2bca85256c7efe88, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x0000000009f86e40,
};

/*
 * m328_swio14_noled_ee_ce_u4_hw     m328p_swio14_noled_ee_ce_hw       m328p_swio14_noled_ee_ce_u4_hw
 * m328pb_swio14_noled_ee_ce_hw      m328pb_swio14_noled_ee_ce_u4_hw   m324a_swio14_noled_ee_ce_hw
 * m324a_swio14_noled_ee_ce_u4_hw    m324p_swio14_noled_ee_ce_hw       m324p_swio14_noled_ee_ce_u4_hw
 * m324pa_swio14_noled_ee_ce_hw      m324pa_swio14_noled_ee_ce_u4_hw   m324pb_swio14_noled_ee_ce_hw
 * m324pb_swio14_noled_ee_ce_u4_hw   a6614q_swio14_noled_ee_ce_hw      a6614q_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x2b7ffd87fcf8a498, 0x72b7ee2faa3d363b, 0x445f71258f3cdb40, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0x73d59b5e5caad4b3,
  0xab39d454aa35d9d8, 0x42a6b3a6e576a96f, 0x115e54292b63f7f4, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xc25ccbe6db084c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x28a792bf734332c3, 0x00000000014046e4,
};

/*
 * m328_swio14_lednop_pr_ce_u4       m328p_swio14_lednop_pr_ce         m328p_swio14_lednop_pr_ce_u4
 * m328pb_swio14_lednop_pr_ce        m328pb_swio14_lednop_pr_ce_u4     a6614q_swio14_lednop_pr_ce
 * a6614q_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x96ebfc6afcfc7298, 0x953bd37717d7ba1d, 0xb09117dc4963cf00, 0x92b2a3f51f097e21,
  0xcb19fac99e2ee370, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0x9b5e5caad65da81e, 0xd454aa35d9d873d5, 0x13a6e576a96fab39, 0x2b97d8f442a6b810, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xb1898edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xeaca7d0e792bf734, 0x0000000000000375,
};

// m328p_swio14_lednop_pr_ee_ce      m328pb_swio14_lednop_pr_ee_ce     a6614q_swio14_lednop_pr_ee_ce
static const uint64_t ur_m328_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff1abf3eff2609f, 0x341dff5465d47606, 0x6838227f3c0254ec, 0xb5958f7cc273b8dc,
  0x60f4af51e5652e53, 0x50298aca1fa8f836, 0x185962291669d684, 0x3abb73a51d484d7d, 0x1d79d3769111cdc7,
  0x142f88e32b1aaf1b, 0x2386f65b2e62e121, 0xd4b3b589e546c113, 0xd9d873d59b5e5caa, 0xa96fab39d454aa35,
  0x42a6b81013a6e576, 0x115e54292b97d8f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6db1898ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x000014d3b1fdf439,
};

// m328p_swio14_lednop_pr_ee_ce_u4   m328pb_swio14_lednop_pr_ee_ce_u4  a6614q_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m328_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfc48c73fd83304, 0x0fae2faa3d363b10, 0x5f71258f3cdb4071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0xd59b5e5caad4b3b5,
  0x39d454aa35d9d873, 0x1013a6e576a96fab, 0x292b97d8f442a6b8, 0x2b5d73daad115e54, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6db1898edec55516, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004fccb4a2ebcf2,
};

/*
 * m328_swio14_lednop_ee_ce_u4_hw    m328p_swio14_lednop_ee_ce_hw      m328p_swio14_lednop_ee_ce_u4_hw
 * m328pb_swio14_lednop_ee_ce_hw     m328pb_swio14_lednop_ee_ce_u4_hw  m324a_swio14_lednop_ee_ce_hw
 * m324a_swio14_lednop_ee_ce_u4_hw   m324p_swio14_lednop_ee_ce_hw      m324p_swio14_lednop_ee_ce_u4_hw
 * m324pa_swio14_lednop_ee_ce_hw     m324pa_swio14_lednop_ee_ce_u4_hw  m324pb_swio14_lednop_ee_ce_hw
 * m324pb_swio14_lednop_ee_ce_u4_hw  a6614q_swio14_lednop_ee_ce_hw     a6614q_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x10fbfd87fcff60cc, 0x710fae2faa3d363b, 0x445f71258f3cdb40, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0x73d59b5e5caad4b3,
  0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000140596968a79,
};

/*
 * m328_swio14_dual_pr               m328_swio14_dual_pr_u4            m328p_swio14_dual
 * m328p_swio14_dual_pr              m328p_swio14_dual_pr_u4           m328pb_swio14_dual
 * m328pb_swio14_dual_pr             m328pb_swio14_dual_pr_u4          a6614q_swio14_dual
 * a6614q_swio14_dual_pr             a6614q_swio14_dual_pr_u4
 */
static const uint64_t ur_m328_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x2860caeb036d2da0, 0x657419dd3e25c40c, 0xd82fb3814599c9fe,
  0x913f8332a6f51dfc, 0x86257f9fbe08a11c, 0xdf371aec01b87c28, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b729, 0x965ae3b0a2ffff43, 0xd3f83defd47ee8ef, 0x602a83cce4c3dc71, 0xf006764011a62731,
  0xde37d500ffd9823a, 0xc5495f3a81e59edb, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36, 0x4dcaed52df5673a8,
  0x2fb1e8854d702027, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414,
  0x371e6c25ccbe6db1, 0x599bf83bb8d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x9341c62ebcf257ee, 0x0000000000000014,
};

// m328p_swio14_dual_pr_ee           m328pb_swio14_dual_pr_ee          a6614q_swio14_dual_pr_ee
static const uint64_t ur_m328_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0x2bac0db4b6819129, 0x6774f8971030a183, 0x1c02d4c63ff995d0,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xa180370f8510c4af, 0xed10caaeef77cdcb, 0x3c260f7150865a0b,
  0x95e425b7d35ff407, 0xb02d7fff43982c37, 0xe576ea6ab5a3fdc3, 0xbf51f06cc187bf51, 0x2cd3ad08a1df15e9,
  0xe6909afa30b2c452, 0x7a9cead2ec157152, 0xb5d0ebd44bb18f46, 0x848451a523886c6a, 0x11fadc37b2fa598b,
  0x8a9280591445546c, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e,
  0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0x6e3cd84b997cdb63,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002b215a85d79e,
};

// m328p_swio14_dual_pr_ee_u4        m328pb_swio14_dual_pr_ee_u4       a6614q_swio14_dual_pr_ee_u4
static const uint64_t ur_m328_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x358e04ea64b5f995,
  0xf83df737a8f15b60, 0x57f9fbe08a11c913, 0x732a001b87c28862, 0x847b4432abbbddf3, 0x80e784d224542196,
  0x86f2bc84b6fa6bfe, 0x187605afffe87305, 0xea3cad4f4d56b470, 0x59c3f51f06cc1c89, 0x4522cd3ad08a1df1,
  0x082e6909afa30b2c, 0x0460a1cead2e9597, 0x8d56ba1d7b589d90, 0x62e121143de8f22d, 0xb8b87f5b86f65c7c,
  0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x442a6b81013a6e57, 0xd115e54292b97d8f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d1028be8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x564e9e175e792bf7,
};

// m328p_swio14_dual_pr_ce           m328pb_swio14_dual_pr_ce          a6614q_swio14_dual_pr_ce
static const uint64_t ur_m328_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0x611c8e07066eaffc,
  0x13f8395d37a8fb3b, 0x6257f9fbe08a11c9, 0xf37149001b87c288, 0x96807b4432abbbdd, 0xfd01cf09827c5421,
  0x161bcaf212db8cdf, 0x5fc1d8707fffa1cc, 0x3cf36d01c275717d, 0x97e21b09117dc496, 0xee3729299cbf51f0,
  0x27cf72c67d4b99e2, 0xbf1c74fe0ed6f51c, 0x011a62731602945d, 0x0ffd99e3af006764, 0xea0796b73de37d50,
  0xb3f8abe77715257c, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0xee3459d3e1b8f361,
  0x854e7ea75666fe0e, 0x7f8b9c65f989fca1, 0x93f1cf7ff04d0f32, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x0006922ec175e792,
};

// m328p_swio14_dual_pr_ce_u4        m328pb_swio14_dual_pr_ce_u4       a6614q_swio14_dual_pr_ce_u4
static const uint64_t ur_m328_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b849400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x0586f2bc84b6f43f, 0xbb7c7669bfffe873, 0x1e79b680e6ceb8be, 0x4bf10d8488bee24b, 0x771b9494ce5fa8f8,
  0x9c67b9633c38ccf1, 0x7ac71d3f8327bd47, 0xbe238c8e62c0531e, 0xbb8e58cf1d7916ec, 0xf157ceee2a4a3ac8,
  0x873d59b5e5caad67, 0xfab39d454aa35d9d, 0x6b81013a6e576a96, 0xe54292b97d8f442a, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6db1898edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00000006921662eb,
};

// m328p_swio14_dual_pr_ee_ce        m328pb_swio14_dual_pr_ee_ce       a6614q_swio14_dual_pr_ee_ce
static const uint64_t ur_m328_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x95d606da5b40c894, 0x33ba7c4b881850c1, 0x0e188266bbfccae8,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0xe0801b87c2886257, 0x0a88655777bbe6e2, 0x9e134878a8432d06,
  0x95e425b735bffa03, 0xb3107fff43982c37, 0x039880effaa3cac3, 0xc6e2a47badf9e6da, 0xd29dacac9ba6139d,
  0x83660f6ffa8f2b95, 0x68450298af7dfa8f, 0xd7d185962291669d, 0xea73abb73051d484, 0xe363af512ec63d19,
  0x24228d291c436355, 0x44c8e1bd97d2cc5c, 0x2a4a59e4511551b0, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5,
  0x6e576a96fab39d45, 0x7d8f442a6b81013a, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0x71e6c25ccbe6db18, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719,
  0x9ce0baf3c95fb9a1, 0x0000000000000260,
};

// m328p_swio14_dual_pr_ee_ce_u4     m328pb_swio14_dual_pr_ee_ce_u4    a6614q_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m328_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x030a1832bac0db4b, 0xfccb41ca774f8971,
  0xed87609c2f0e6e5a, 0x913f836bb9bd47c6, 0x86257f9fbe08a11c, 0xbe6e0aa001b87c28, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7a4a, 0x93a1d9787fffa9c9, 0xf36d277787717d51, 0xe21b09117dc4963c,
  0xb82a8b24ff51f097, 0xa76b737374cf1771, 0xd983dbfea3cae574, 0x1140a62bdf7ea3e0, 0xf4616588a459a75a,
  0x9ceaedcc14752135, 0xd8ebd44bb18f467a, 0x08a34a4710d8d578, 0x32386f65f4b31709, 0x9296791445546c11,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b6c626, 0xdbb1a2c6f8b93570,
  0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x9f3c95fb9a19961d, 0x00000004004b82b8,
};

// m328p_swio14_dual_ee_hw           m328pb_swio14_dual_ee_hw          a6614q_swio14_dual_ee_hw
static const uint64_t ur_m328_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0x0c195d606da5b40c, 0xae833ba7c4b88185, 0x0968e016a631ffcc,
  0x3f838ad37a8e4eb6, 0x257f9fbe08a11c91, 0x6e5d0c01b87c2886, 0xd05f688655777bbe, 0xa039e1307b8a8432,
  0x61bcaf212dbe9aff, 0xee1d816bfdafdcc1, 0xfa8f2bb75355ad1f, 0xaf4dfa8f83660c3d, 0x2291669d68450ef8,
  0x8a973484d7d18596, 0x7a33d4e7569760ab, 0x6355ae875ea25d8c, 0xcc5c24228d291c43, 0xa3608fd6e1bd97d2,
  0x9ddc549402c8a22a, 0xb36bcb955acfe2af, 0x3a8a9546bb3b0e7a, 0x0274dcaed52df567, 0x2572fb1e8854d702,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x00aed15aa8a792bf,
};

// m328p_swio14_dual_ee_ce_hw        m328pb_swio14_dual_ee_ce_hw       a6614q_swio14_dual_ee_ce_hw
static const uint64_t ur_m328_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x657581b696d03225, 0x0cee9f12e2061430, 0xc3862099aeff32ba,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0xecc41fed7ee60b0d, 0x80e6203bfea8f2b0, 0xb8dcca8683fe79b6, 0xba53b5959374c273,
  0xf06cc1edff51e572, 0xad08a05315efbf51, 0x9afa30b2c4522cd3, 0x3d4e7576e60a3a90, 0xbc6c75ea25d8c7a3,
  0x848451a523886c6a, 0x08991c37b2fa598b, 0xc5494b3c8a22aa36, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0x4dcaed52df5673a8, 0x2fb1e8854d702027, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x131dbd8aaa2d2414, 0x6e3cd84b997cdb63, 0x4b867a615c9f9fd8, 0x961d252d9f027196, 0x9f39453c95fb9a19,
  0x0000000000000226,
};

// m328p_swio14_dual_ee_ce_u4_hw     m328pb_swio14_dual_ee_ce_u4_hw    a6614q_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m328_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x0db4b6819129290c, 0xf8971030a1832bac, 0xe6e5afccb135a774,
  0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0x5777bbe6e0aa001b, 0xb8a8432d08e48865,
  0xb7a4affa039e136f, 0xea9c982c3795e425, 0x8bea8c9d0ecbc3ff, 0x4b1e795f581cbc3b, 0xf84bf10d8488bee2,
  0x8bb8dc0b233d7fa8, 0x72ba53b5b9b9ba67, 0x51f06cc1edff51e5, 0xd3ad08a05315efbf, 0x909afa30b2c4522c,
  0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7, 0x8b848451a523886c, 0x3608991c37b2fa59, 0xddc5494b3c8a22aa,
  0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x274dcaed52df5673, 0x572fb1e8854d7020, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x63131dbd8aaa2d24, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x75e7a185f4f257ee,
  0x000000000000001d,
};

/*
 * m328_swio15_noled_pr_ce_u4        m328p_swio15_noled_pr_ce          m328p_swio15_noled_pr_ce_u4
 * m328pb_swio15_noled_pr_ce         m328pb_swio15_noled_pr_ce_u4      a6614q_swio15_noled_pr_ce
 * a6614q_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m328_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff1abf3fb3a60, 0xa9defbb8bebb7c76, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0x66d7972ab57d6e07, 0x75152a8d76761cf5, 0xce9b95daa5beaece, 0x85255abfdfd10a9a, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baf1f5df439e4a,
};

// m328p_swio15_noled_pr_ee_ce       m328pb_swio15_noled_pr_ee_ce      a6614q_swio15_noled_pr_ee_ce
static const uint64_t ur_m328_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff1abf3fa6a609f1, 0xe1dff54652c767fc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb,
  0xe8854d674dcaed52, 0xd115e54292ad5fef, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x873c95fb9a19961d,
  0x000000014d339f3e,
};

// m328p_swio15_noled_pr_ee_ce_u4    m328pb_swio15_noled_pr_ee_ce_u4   a6614q_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m328_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdff8918e7f1ba609, 0x5ddc5f547b387635, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x566d7972ab52cfa4,
  0xe75152a8d76761cf, 0xace9b95daa5beaec, 0xa85255abfdfd10a9, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77,
  0x51696d138c6f19d1, 0x32f9b63218edec55, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x00000013f3ecf0ba,
};

/*
 * m328_swio15_noled_ee_ce_u4_hw     m328p_swio15_noled_ee_ce_hw       m328p_swio15_noled_ee_ce_u4_hw
 * m328pb_swio15_noled_ee_ce_hw      m328pb_swio15_noled_ee_ce_u4_hw   m324a_swio15_noled_ee_ce_hw
 * m324a_swio15_noled_ee_ce_u4_hw    m324p_swio15_noled_ee_ce_hw       m324p_swio15_noled_ee_ce_u4_hw
 * m324pa_swio15_noled_ee_ce_hw      m324pa_swio15_noled_ee_ce_u4_hw   m324pb_swio15_noled_ee_ce_hw
 * m324pb_swio15_noled_ee_ce_u4_hw   a6614q_swio15_noled_ee_ce_hw      a6614q_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f670ec, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3d59b5e5caad4b3e,
  0xb39d454aa35d9d87, 0xa6b3a6e576a96fab, 0xf2a14956aff7f442, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0x5ccbe6d8c863b7b1, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000001405f67a8,
};

/*
 * m328_swio15_lednop_pr_ce_u4       m328p_swio15_lednop_pr_ce         m328p_swio15_lednop_pr_ce_u4
 * m328pb_swio15_lednop_pr_ce        m328pb_swio15_lednop_pr_ce_u4     a6614q_swio15_lednop_pr_ce
 * a6614q_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m328_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x669bff1abf3e35a6, 0x4a9deceb8bebb7c7, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0x66d7972ab5b87207, 0x75152a8d76761cf5, 0x4e9b95daa5beaece, 0x572563d10a9ae040, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xa45efa1cf257ee68, 0x00000000000006eb,
};

// m328p_swio15_lednop_pr_ee_ce      m328pb_swio15_lednop_pr_ee_ce     a6614q_swio15_lednop_pr_ee_ce
static const uint64_t ur_m328_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff1abf3f6b7304f8, 0xb3bfea8ca58ec4db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x761cf566d7972ab5, 0xbeaece75152a8d76,
  0x9ae0404e9b95daa5, 0xbca852572563d10a, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x997cdb40a31dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x0029a62fdbe873c9,
};

// m328p_swio15_lednop_pr_ee_ce_u4   m328pb_swio15_lednop_pr_ee_ce_u4  a6614q_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m328_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff1231cf9adcc13, 0x525c5f547b38760a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xab36bcb955a96622,
  0x73a8a9546bb3b0e7, 0x0274dcaed52df576, 0x92b92b1e8854d702, 0xb5d73daad115e542, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eae2ebcf25,
};

/*
 * m328_swio15_lednop_ee_ce_u4_hw    m328p_swio15_lednop_ee_ce_hw      m328p_swio15_lednop_ee_ce_u4_hw
 * m328pb_swio15_lednop_ee_ce_hw     m328pb_swio15_lednop_ee_ce_u4_hw  m324a_swio15_lednop_ee_ce_hw
 * m324a_swio15_lednop_ee_ce_u4_hw   m324p_swio15_lednop_ee_ce_hw      m324p_swio15_lednop_ee_ce_u4_hw
 * m324pa_swio15_lednop_ee_ce_hw     m324pa_swio15_lednop_ee_ce_u4_hw  m324pb_swio15_lednop_ee_ce_hw
 * m324pb_swio15_lednop_ee_ce_u4_hw  a6614q_swio15_lednop_ee_ce_hw     a6614q_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x60a4ff61ff3e6b73, 0x070525c5f547b387, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc39eacdaf2e556a5,
  0xd5d9cea2a551aece, 0x5c0809d372bb54b7, 0x950a4ae4ac7a2153, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x2f9b681463b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000005010f57a29e,
};

/*
 * m328_swio15_dual_pr               m328_swio15_dual_pr_u4            m328p_swio15_dual
 * m328p_swio15_dual_pr              m328p_swio15_dual_pr_u4           m328pb_swio15_dual
 * m328pb_swio15_dual_pr             m328pb_swio15_dual_pr_u4          a6614q_swio15_dual
 * a6614q_swio15_dual_pr             a6614q_swio15_dual_pr_u4
 */
static const uint64_t ur_m328_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x50c195d606da5b40, 0xcae833ba7c4b8818, 0xb05f67028b3393fc,
  0x227f06654dea3bf9, 0x0c4aff3f7c114239, 0xdf3720000370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1,
  0x982c3795e425b728, 0xcb3de3b3f77fff43, 0xa7f0707fd47dbe77, 0xc05507992b47b8e3, 0xe00ceda523884e62,
  0x63192a01ffb30475, 0xe2a4b81281e59eda, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x6e576a96fabb39d4,
  0x958f442a6b81013a, 0x9ed5688af2a1495c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053,
  0xdc79b09732f9b681, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d79f0baf3c95fb9, 0x0000000000000052,
};

// m328p_swio15_dual_pr_ee           m328pb_swio15_dual_pr_ee          a6614q_swio15_dual_pr_ee
static const uint64_t ur_m328_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x57581b696d032252, 0xcee9f12e20614306, 0x3805a98c7ff32ba0,
  0xe2b4dea393ad825a, 0xe7ef822847244fe0, 0xd6006e1f0a21895f, 0xda21955ddeef9b9d, 0x784c1ee2a10cb417,
  0x579096de76ffe80e, 0x9d3ffffd0e60b0de, 0x2bd37355ad1b931d, 0x7a8f83660e3dfa8f, 0x669d68450ef8af67,
  0x3484d7d185962291, 0xa0e7569753cb8a97, 0xd743af512ecfe23e, 0x121141ea8fe4b1aa, 0x47eb70decbe9662e,
  0x15250087cded51b0, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3,
  0xf6ab4457950a4ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb40a,
  0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0005641d145d79e4,
};

// m328p_swio15_dual_pr_ee_u4        m328pb_swio15_dual_pr_ee_u4       a6614q_swio15_dual_pr_ee_u4
static const uint64_t ur_m328_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x860caeb036d2da06, 0x57419dd3e25c40c2, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0x7d8ece9ffffe8730, 0xbd4795e049aad68d, 0x2b2ebea3e0d983ee, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x291cbe39d5a5fe72, 0x6355ae875ed6276d, 0x8c5c242284c518f9, 0xab8b5beb70decb8f,
  0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa, 0x442a6b81013a6e57, 0x688af2a1495c958f,
  0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88139f450, 0x0dc79b09732f9b69, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x1592050baf3c95fb,
};

// m328p_swio15_dual_pr_ce           m328pb_swio15_dual_pr_ce          a6614q_swio15_dual_pr_ce
static const uint64_t ur_m328_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x30657581b696d032, 0xba0cee9f12e20614, 0x472381c19babff32,
  0xfe0e574dea3eced8, 0x95fe7ef822847244, 0xb8089006e1f0a218, 0x403da21955ddeef9, 0x80e784c13e2a10cb,
  0x86f2bc84b6fff3fe, 0x187613afffe87305, 0xf36d01ceafb8beb0, 0xe21b09117dc4963c, 0x37092b2a3f51f097,
  0x4f72c67d4b99e2ee, 0x8e3a7f0622fa8f22, 0x47109cc580bfb8ca, 0xff6678ebc019db4a, 0x40f2d6e4c6325403,
  0x3f8abe7771525c09, 0xec39eacdaf2e556b, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0x1a2ce9f0dc79b097,
  0xa73f53ab337f0777, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x00d24320baf3c95f,
};

// m328p_swio15_dual_pr_ce_u4        m328pb_swio15_dual_pr_ce_u4       a6614q_swio15_dual_pr_ce_u4
static const uint64_t ur_m328_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0x0a1832bac0db4b68, 0x995d06774f897103, 0xb61bece1a6e68adf,
  0x913f8328737a8f95, 0x86257f9fbe08a11c, 0xdf3719c801b87c28, 0x196804f4432abbbd, 0xbfe80e784d38c542,
  0x30586f2bc84b6e16, 0xf5328766cefffe87, 0x58f3cdb40722b5c5, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3a013dcb19e1c667, 0xcea238e9fc1935ea, 0x69b91e45398b015f, 0x7cdc72c678ebc8b7, 0x9fc55f3bb8a928e8,
  0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9,
  0x0000000692042c5d,
};

// m328p_swio15_dual_pr_ee_ce        m328pb_swio15_dual_pr_ee_ce       a6614q_swio15_dual_pr_ee_ce
static const uint64_t ur_m328_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x57581b696d032252, 0xcee9f12e20614306, 0x3862099aeff32ba0,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x64006e1f0a21895f, 0x2a21955ddeef9b81, 0x784d21e2a10cb418,
  0x579096def0ffe80e, 0x95bffffd0e60b0de, 0x395be77fd51cae1d, 0x6e5d0dd51f9e6da0, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b,
  0xcaed52df57673a8a, 0xb1e8854d7020274d, 0xdaad115e54292b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6da051, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0xa70baf3c95fb9a19, 0x0000000000009822,
};

// m328p_swio15_dual_pr_ee_ce_u4     m328pb_swio15_dual_pr_ee_ce_u4    a6614q_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m328_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x30a1832bac0db4b6, 0xccb41ca774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xcdc4e3c01b87c288, 0x5a11c910caaeef77,
  0xf4073c26df715086, 0x586f2bc84b6e495f, 0x5e3b261bfff53930, 0xdb49dcc35c5f547d, 0x86c2445f71258f3c,
  0x4e3fb8ffd47c25f8, 0xb5b9b9ba678bb8dc, 0x60ccaf51e57bee53, 0x50298aedd7a8f836, 0x185962291669d684,
  0x3abb729e1d484d7d, 0x1d7a89767f11f507, 0x141ea8fe4b1aaf1b, 0x470decbe9662e121, 0x29663e6f6a8d8226,
  0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0xdaa5beaece75152a, 0xd10a9ae0404e9b95, 0x5a22bca852572563,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000010013e09c4f,
};

// m328p_swio15_dual_ee_hw           m328pb_swio15_dual_ee_hw          a6614q_swio15_dual_ee_hw
static const uint64_t ur_m328_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x32bac0db4b681912, 0x06774f8971030a18, 0xd1c02d4c63ff995d,
  0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0xbed10caaeef77cdc, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0xece9fff6bf730586, 0x795e9b9aad68dc98, 0x3bd47c1b3071efd4, 0x8b34eb422877c57b,
  0xb9a426be8c2cb114, 0xf5073ab4ba9e5c54, 0x56ba1d7a89767f11, 0x70908a0f547f258d, 0x823f5b86f65f4b31,
  0xb8a928043e6f6a8d, 0xd7972ab59fc55f3b, 0x152a8d76761cf566, 0x9b95daa5beaece75, 0x2563d10a9ae0404e,
  0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414, 0x371e6c25ccbe6da0,
  0x9fca1854e7ea5eae, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x0000000015da1d16,
};

// m328p_swio15_dual_ee_ce_hw        m328pb_swio15_dual_ee_ce_hw       a6614q_swio15_dual_ee_ce_hw
static const uint64_t ur_m328_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0xcaeb036d2da0644a, 0x19dd3e25c40c2860, 0x870c41335dfe6574,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x2c800dc3e144312b, 0x054432abbbddf370, 0xcf09a43c54219683,
  0xcaf212dbde1ffd01, 0xb2b7ffdafdcc161b, 0x072b7ceffaa395c3, 0xc6e747d493f3cdb4, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0xdcaed52df57673a8, 0x2b1e8854d7020274, 0x3daad115e54292b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0x71e6c25ccbe6da05, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2, 0x54ea29e4afdcd0cc,
  0x00000000000044d3,
};

// m328p_swio15_dual_ee_ce_u4_hw     m328pb_swio15_dual_ee_ce_u4_hw    a6614q_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m328_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x0db4b68191292917, 0xf8971030a1832bac, 0xe6e5afccb135a774,
  0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0xaeef77cdc4e3c01b, 0x7150865a11c910ca,
  0x6e495ff4073c26df, 0xd53930586f2bc84b, 0x2faa3eaf1d930dff, 0x2c79e57d607261ae, 0xe12fc4361222fb89,
  0x5dc6e70ff1f77ea3, 0xdf729dadcdcdd33c, 0x47c1b306657a8f2b, 0x4eb422814c576ebd, 0x426be8c2cb1148b3,
  0x8fa839d5db94f0ea, 0xd578d8ebd44bb3f8, 0x170908a0f547f258, 0x6c1132386f65f4b3, 0xddc5494b31f37b54,
  0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x74dcaed52df57673, 0xb92b1e8854d70202, 0xd73daad115e54292,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0x6371e6c25ccbe6da, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xa91e4c2fa792bf73,
  0x00000000000000eb,
};

// m328pb_autobaud_uart1_noled_pr
static const uint64_t ur_m328pb_autobaud_uart1_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x04a5f7fb357e7cf5, 0x02e87a9ca0440a9f, 0x8e15faa935fbd4e6, 0xf1df2c90e1b46f6a, 0xd1c74fe0cd27a8fc,
  0x6731602dee986f93, 0xc11d78b9d9ed23c6, 0x4eefd856513b8e58, 0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0xdb09732f9b624915, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x8b49d3c95fb9a199, 0x0000000000711024,
};

static const uint64_t ur_m328pb_autobaud_uart1_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0xa3fc6afcfedf9827, 0x1ea7281102a7c12e, 0x7eaa4d7ef53980ba, 0xcb08786d1bdaa385, 0xd3f83417ea3f4077,
  0x2c0596533df6b471, 0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x9ddfb071f03cb3db, 0x3bf77e73936df818,
  0xc6726fcde01f5060, 0xf19d102baa9cbca6, 0xdec55516961738c6, 0x3612e65f36c4922a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x873c95fb9a19961d, 0x00000008c36f253e,
};

// m328pb_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_m328pb_autobaud_uart1_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0x6afcfece9827c64e, 0x5022054f8252bbfc, 0x9afdea7301743d4e, 0x30da37b5470afd54, 0xd4795c89355ad1ce,
  0x5f75ea3e0d9834c7, 0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d,
  0xe62e1211473c8c38, 0xa8d823f5b86f65b2, 0x062777ec00a89534, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x83cd84b997cdb124, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xefa1cf257ee68665,
  0x0000000004d4e8fa,
};

// m328pb_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_m328pb_autobaud_uart1_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ff8d5f9fcad304f, 0x7a9ca0440a9f048a, 0xfaa935fbd4e602e8, 0xf5c921b46f6a8e15, 0x2c79e012a76fe5c5,
  0xe12fc4361222fb89, 0xf1771b8ff3107ea3, 0x51c9e9ee58cfd64c, 0x1f3a48e3a7f07acf, 0xced5fd1eb0e62c05,
  0x79500ffd99e3af47, 0xec1c7c0f2d6e1f66, 0xdf9ce4db7e062777, 0x9bf37807d4180efd, 0x440aeaa72f29b19c,
  0x5545a585ce31bc67, 0x732f9b624863b7b1, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00046eb924df439e,
};

static const uint64_t ur_m328pb_autobaud_uart1_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x7e7c66e609f193ba, 0x1102a7c120b5fe35, 0x7ef53980ba1ea728, 0x6d1bdaa3857eaa4d, 0xa9de043bfea8dfc8,
  0xdc6e759b21fe7804, 0x5129dacac7be6139, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4, 0x26be8c2cb1148b34,
  0xf059ceaedd388ea4, 0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62, 0x3bbf616744a9a546,
  0x77eefce726dbf031, 0x8ce4df9bc03ea0c0, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xd84b997cdb12431d,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0x408fa1cf257ee686, 0x0000000000001044,
};

static const uint64_t ur_m328pb_autobaud_uart1_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xc48c73f5bf304f8c, 0xca0440a9f04a76ff, 0x935fbd4e602e87a9, 0x1e1b46f6a8e15faa, 0xdb4070e0dc5f5472,
  0x86c2445f71258f3c, 0x9d1f524fd47c25f8, 0x76b736f7ccf1771b, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06,
  0xa30b2c4522cd3ad0, 0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848,
  0xd859d12a6951b044, 0xbf39c9b6fc0c4eef, 0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce,
  0xe65f36c490c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a, 0x0000001044308917,
};

static const uint64_t ur_m328pb_autobaud_uart1_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0xf5394088153e094a, 0xf5526bf7a9cc05d0, 0x4738c368ded51c2b, 0xd31f51e57224d56b,
  0x77c57dd7a8f83660, 0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74,
  0x96cb98b848451cf2, 0x54d2a3608fd6e1bd, 0x6df8189ddfb002a2, 0x1f50603bf77e7393, 0x9cbca6c6726fcde0,
  0x1738c6f19d102baa, 0xc4922adec5551696, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x589edf05453c95fb, 0x0000000000000000,
};

// m328pb_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m328pb_autobaud_uart1_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x5394088153e094ed, 0x5526bf7a9cc05d0f, 0xe43c368ded51c2bf, 0x79b680e1c1b8bea8,
  0xf10d8488bee24b1e, 0x1b8951723fa8f84b, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57d4, 0xd08a0531584ff51f,
  0xafa30b2c4522cd3a, 0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8,
  0xefd859d12a6951b0, 0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378,
  0x12e65f36c490c76f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000025486113,
};

// m328pb_autobaud_uart1_lednop_pr
static const uint64_t ur_m328pb_autobaud_uart1_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x7c12eebfd9abf3f1, 0x980ba1ea7281102a, 0xaa3857eaa4d7ef53, 0x93c77cb24386d1bd, 0xcf471d3f83349ea3,
  0x829cc580b7ba61bf, 0xc608ebc5cec1c51c, 0x89ddfb0ac507dc72, 0x77e781013936df81, 0x04df9bcb750603bf,
  0x0bdf2a6f529c94e8, 0x19d1023a8a042d38, 0xb612e65f36d38c6f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x1693a792bf734332, 0x0000000000e22049,
};

static const uint64_t ur_m328pb_autobaud_uart1_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xff1abf3f1ee609f1, 0xa9ca0440a9f04bba, 0xaa935fbd4e602e87, 0xc21e1b46f6a8e15f, 0xfe0d05fa8f6b1df2,
  0x02cb29be483f1c74, 0x8f9d967a34867316, 0xcd22a01ffb30475e, 0xbf6415a07967b682, 0xf0202726dbf0313b,
  0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x1726ae0f3612e65f,
  0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0x61a7c13e873c95fb, 0x0000000000000004,
};

// m328pb_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_m328pb_autobaud_uart1_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0x6afcf8d69827c64e, 0x5022054f825a6ffc, 0x9afdea7301743d4e, 0x30da37b5470afd54, 0xd4795995355ad1ce,
  0xb0f7ea3e0d9834c7, 0x8a459a75a1143be2, 0x8d64d2135f461658, 0xc9193473ab4b9eab, 0x58d56ba1d79d3768,
  0xe62e1211413c8ded, 0xa8d823f5b86f65b2, 0x0c4eefd8010fb33c, 0xfbbf3c0809c9b6fc, 0x009bf379b228301d,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00026a7245efa1cf,
};

// m328pb_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_m328pb_autobaud_uart1_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff1abf3f6ea609f, 0xf5394088153e0960, 0xf5526bf7a9cc05d0, 0xeb924368ded51c2b, 0xb1e7804a9dd4ab8b,
  0x84bf10d8488bee24, 0x8bb8dcadf801fa8f, 0x8fd24f72c67eb267, 0x6222c71d3f83d67a, 0xd967a3486731602a,
  0x2a01ffb33c75e8f9, 0x905681e5adc82cd2, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37,
  0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb5edf439e4afdcd0,
  0x00000000000046eb,
};

static const uint64_t ur_m328pb_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xafcf8689827c64ee, 0x0440a9f04ac7ffc6, 0x5fbd4e602e87a9ca, 0x1b46f6a8e15faa93, 0x2a77beceffaa37f2,
  0x771b9722495f9e01, 0xdd4a76b2b1ef984e, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x4eefd8598fb33ca8,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa,
  0xabcb9357079b0973, 0x9d598f207e50d165, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33,
  0x39e4afdcd0ccb0e9, 0x00000010441d15f4,
};

static const uint64_t ur_m328pb_autobaud_uart1_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xe24639f43e9827c6, 0x7281102a7c12c41f, 0xa4d7ef53980ba1ea, 0x8786d1bdaa3857ea, 0x36d01c4b5717d51c,
  0x21b09117dc4963cf, 0xc0449807f51f097e, 0x3b5b9b7be678bb8d, 0x660d6bfa8f2beea5, 0x450298af6ffa8f83,
  0xd185962291669d68, 0x39d5db8f51d484d7, 0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12,
  0xec2cc7d99e546c11, 0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x020887aa05d79e4a,
};

static const uint64_t ur_m328pb_autobaud_uart1_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0xf5394088153e0969, 0xf5526bf7a9cc05d0, 0x4738c368ded51c2b, 0xd31f51e56654d56b,
  0xef8ac3dfa8f83660, 0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74,
  0x96cb98b8484504f2, 0xccf2a3608fd6e1bd, 0xdbf0313bbf60043e, 0xc077eefcf0202726, 0x4a74026fcde6c8a0,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc3453c95fb9a1996, 0x0000000000589e4f,
};

// m328pb_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m328pb_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x3d4e5022054f8258, 0xfd549afdea730174, 0xa390f0da37b5470a, 0x79e6da03896ae2fa,
  0x2fc4361222fb892c, 0xdc6e5253397ea3e1, 0x7529dadcdbdf33c5, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4,
  0x26be8c2cb1148b34, 0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731,
  0x3bbf61663eccf2a3, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440,
  0xbe6db9c31dbd8aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000025487aa28a79,
};

// m328pb_autobaud_uart1_dual_pr     m328pb_autobaud_uart1_dual_pr_u4
static const uint64_t ur_m328pb_autobaud_uart1_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x810e12ba6b75f995, 0xf8338737a8ec1761,
  0x57f9fbe08a11c913, 0xb8ff001b87c28862, 0xa1a5221955ddeef9, 0xa039e134dd150865, 0x61bcaf212dbba5ff,
  0xa7c127f3fffa1cc1, 0x3980ba1ea7281102, 0xdaa3857eaa4d7ef5, 0x3e453be589a86d1b, 0x2f7c71d3f8310fea,
  0xebf9cc580aa0f34e, 0xecc11d78033b5ac8, 0xe59ed887486a807f, 0x157ceee2a4aa4e81, 0x936df8189ddfb27f,
  0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4, 0x2adec555169aba71, 0xc79b09732f9b6e72,
  0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x390f8baf3c95fb9a, 0x0000000000001705,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0xc0db4b6819129290, 0x4f8971030a1832ba, 0x5dcc87df995d0677, 0x4dea3bfcd8620383,
  0xf822847244fe0c34, 0x06e1f0a21895fe7e, 0x1955ddeef9b80890, 0xc5d62a10cb430222, 0x84b6fff3fe80e784,
  0xafffe8730586f2bc, 0xf5394088153e0913, 0xf5526bf7a9cc05d0, 0x47224368ded51c2b, 0x829ea3cad7dcd56b,
  0xdf15d4af51f06cc1, 0xb2c4522cd3ad08a1, 0x297152e6909afa30, 0xed10a3dece756973, 0xf9eb1aad743af512,
  0xbe9662e1211408a8, 0xeb151b047eb70dec, 0x8abe77715250084f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809,
  0x53929d009bf379b2, 0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xe3cd84b997cdb739, 0x9bf83bb8d1674f86,
  0x27f2861539fa9d59, 0x343cc9fe2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e,
  0x0000000029521905,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0xac0db4b681912929, 0x74f8971030a1832b, 0x0ff26c41f995d067, 0x3f37a8e1a361a68e,
  0xf7c114239227f076, 0x00370f8510c4aff3, 0x88655777bbe6e654, 0x137ce8a8432d0296, 0xe425b7e9fffa039e,
  0x2b7fff43982c3795, 0x87a9ca0440a9f04a, 0x5faa935fbd4e602e, 0x5a3d2a1b46f6a8e1, 0x0fe4f51e571ee6ab,
  0x0ef8acc7fa8f8366, 0x85962291669d6845, 0x09eb84173484d7d1, 0x4ec3e23e90e75697, 0x752ec6ab5d0ebdac,
  0x2e3e3170908a3a04, 0x15255c09ffadc37b, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9,
  0x00000014a93a785d,
};

// m328pb_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m328pb_autobaud_uart1_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x1832bac0db4b6819, 0x5d06774f8971030a, 0x4db384edcd6b7f99, 0xf0663f37a8fbb5b0,
  0xaff3f7c114239227, 0xe33900370f8510c4, 0x02ea88655777bbe6, 0x039e132568a8432d, 0x1bcaf212db85affa,
  0xf825b3bfffa1cc16, 0x301743d4e5022054, 0x5470afd549afdea7, 0xe96e2faa010da37b, 0x2fb892c79e6da038,
  0xbfea3e12fc436122, 0xd4b99e2ee370527e, 0xd4bf51c6fcf72c67, 0xb014141f238e9fc1, 0xf00676b591d7f398,
  0x0e90d500ffd99e3a, 0x7152552740f2d6e1, 0x0c4eefd93f8abe77, 0xfbbf3c0809c9b6fc, 0x009bf379b228301d,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xaf3c95fb9a19961d,
  0x0000000ad7b0858b,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x581b696d03225252, 0xe9f12e2061430657, 0xeb39990ff32ba0ce, 0xe6f51e61b60cf870,
  0xf822847244fe0ff5, 0x06e1f0a21895fe7e, 0x1955ddeef9b9e720, 0xd1ca2a10cb412d22, 0x84b6e293fe80e784,
  0xafffe8730586f2bc, 0xf5394088153e0969, 0xf5526bf7a9cc05d0, 0x8dc9c368ded51c2b, 0xe79b680e0d63bfea,
  0xa6139dc6e5e1f2d7, 0x4795bf929dacac9b, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b, 0x28752135f4616588,
  0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9, 0x8abe77715252cc4f,
  0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0xc79b09732f9b6e70, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65, 0x71e2ebcf257ee686,
  0x0000000000018883,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x1430657581b696d0, 0x968394ee9f12e206, 0x3a3e705249b9bff9,
  0xfc1b21cdea3b396c, 0x2bfcfdf04508e489, 0xe5c9400dc3e14431, 0x09b688655777bbe6, 0x0e784d63f150865a,
  0xde579096dfacffe8, 0x096377ffea7260b0, 0x05d0f5394088153e, 0x1c2bf5526bf7a9cc, 0x8bea8d4f4368ded5,
  0x24b1e79b693b19bb, 0x8f84bf10d8488bee, 0xf1771b9aa0f20ffa, 0x56fe4a76b737374c, 0x7a8f83660d7cf51e,
  0x669d68450298ae03, 0xd484d7d185962291, 0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf,
  0x546c1132386f65f4, 0xf9ddc5494b313fac, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d, 0xec68b1be2e4d5c1e, 0x539fa9d599bf83f6,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00001fab71a9ce27,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_ee_hw[] = {
  0x66eeeeeed121a5fb, 0xeeeeeefaf2b689ea, 0x2aabdd6e356a10ee, 0x5ec5da9d33dd2948, 0xca591aeba5595c53,
  0x481544c13e326c4d, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc1aee643efccae83, 0x1a26f51dfe6c3101,
  0x3f7c114239227f06, 0x480370f8510c4aff, 0x110caaeef77cdc04, 0xc262eb150865a181, 0x5e425b7ff9ff4073,
  0x89d7fb5fb982c379, 0xe87a9ca0440a9f04, 0x15faa935fbd4e602, 0xb5a39121b46f6a8e, 0x60c14f51e56bee6a,
  0x50ef8aea57a8f836, 0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a,
  0xf65f4b3170908a04, 0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x04e4db7e062777ec, 0xd914180efddf9e04,
  0xf529c94e804df9bc, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x6371e6c25ccbe6db, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x58391928a792bf73,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_ee_ce_hw[] = {
  0x377777775050cf68, 0xbbbbbbebe17fb853, 0x561f64cb9db609bb, 0x890b1fbc9dbbf6a3, 0x7268fa9d6b760fcc,
  0x483927304f8c9415, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xc3ace6643fccae83, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xa6bfdafdcc161bca, 0x43d4e5022054f825, 0xafd549afdea73017, 0xaa37270da37b5470, 0x7f9e6da038358eff,
  0x6e984e771b9d66c8, 0xf51e56fe4a76b2b2, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596,
  0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31,
  0x2726dbf0313bbf64, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x371e6c25ccbe6db9, 0xc69430a9cfd4d876, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x00109a6dc7d14f25,
};

static const uint64_t ur_m328pb_autobaud_uart1_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d8be, 0xdddddf5eb4666d4c, 0x9b41f9b37afe1ddd, 0x0f9a2bd6ddebba2f, 0x5a41b4beb55efaf6,
  0x5cc13e325395c9e7, 0x6d2da0644a4a458f, 0x25c40c2860caeb03, 0x737ff32c4d69dd3e, 0x7672d8747ce0a493,
  0x11c913f836439bd4, 0xc2886257f9fbe08a, 0xef77cdcb92801b87, 0xa10cb4136d10caae, 0x59ffd01cf09ac7e2,
  0xe4c161bcaf212dbf, 0x88153e096377ff54, 0xf7a9cc05d0f53940, 0x68ded51c2bf5526b, 0x1c19bb8bea8d4f43,
  0x88bee24b1e795f58, 0x9bffa8f84bf10d84, 0x6e6e99e2ee371493, 0xf9ea3cadfc94ed6e, 0x315c06f51f06cc1a,
  0x2c4522cd3ad08a05, 0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140,
  0x627f58a8d8226470, 0xc9fc55f3bb8a9296, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b,
  0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb,
  0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xa61dc805f4f257ee, 0x0000000000000109,
};

// m328pb_u1x8_uart1_noled_pr
static const uint64_t ur_m328pb_u1x8_uart1_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0x93fd9abf3e0a4c13, 0xd716fed32637b02f, 0xa0bf51fa03be5843, 0xb299efb5a38e9fc1, 0x76afe8f58731602c,
  0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xf39c9b6fc0c4eefd, 0x7e6f00fa8301dfbb, 0x815d54e5e5363393,
  0xa8b4b0b9c6378ce8, 0x32f9b6249156f62a, 0x1fc68b1e70ddb097, 0xa615c9fbab31e40d, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x000000f90d38b49d,
};

static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0x8d5f9f052609f193, 0xdfda64c6f605f27f, 0xea3f4077cb087ae2, 0x3df6b471d3f83417, 0xfd1eb0e62c059653,
  0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0x936df8189ddfb071, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd,
  0x961738c6f19d102b, 0x36c4922adec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xe4cf543e873c95fb,
  0x0000000000000003,
};

// m328pb_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0x7e7ca5cc13e32776, 0xd32637b0274bfe35, 0x24d56b4738d716fe, 0xf83660d31f51e572, 0xeb422877c57dd7a8,
  0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae, 0xd6e1bd96cb98b848,
  0xb002a254d2a3608f, 0x7e73936df8189ddf, 0x6fcde01f50603bf7, 0x102baa9cbca6c672, 0x5516961738c6f19d,
  0xe65f36c4922adec5, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000275d69f3e873c,
};

static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbaff66afcfc7b, 0xaf495c5bfb4c98de, 0xbf9e01281c4c4eff, 0x8ce6139dc6e4872e, 0xc67ea38879ee580b,
  0x80b70c4fc71d3f83, 0xc5ced20a8f199cc5, 0x60e9d3dc72c678eb, 0xfce726dbf0313bbf, 0x9bf3796ea0c077ee,
  0x37aaeaa72f29b19c, 0x78ce88173663042d, 0xddb09732f9b69c63, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x48b49d3c95fb9a19, 0x000000000000b752,
};

static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xff1abf3ff3a609f1, 0x8b7f69931bd81145, 0x12a76fe5c5f5c92b, 0x361222fb892c79e0, 0x8ff3107ea3e12fc4,
  0xee58cfd64cf1771b, 0xe3a7f07acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0xdb7e062777ec1c7c, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0x624863b7b15545a5,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd0159f439e4afdcd, 0x0000000000000375,
};

static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0xc98dec082d7f8d5f, 0xe2faa390f5c5bfb4, 0x892c79e012a76706, 0xa3e12fc4361222fb,
  0x33c5dc6e759b21fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x04fc408fa1cf257e,
};

static const uint64_t ur_m328pb_u1x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0xdfda64c6f605d3ff, 0xbc09717d51b93ae2, 0x117dc4963cf00953, 0x92bf51f097e21b09,
  0x6e3299e2ee372e44, 0xbfea3cae7194ed6e, 0x315e49ea3e0d9831, 0x2c4522cd3ad08a05, 0xb74423a909afa30b,
  0xd4ddb9e46d7c73ab, 0x233496355e363af5, 0xb2e1c8c5c24228d6, 0x777ecc62e9991c37, 0xefddf9ce4db7e062,
  0x633937e6f2dd4180, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x085be873c95fb9a1, 0x00000000000004fc,
};

/*
 * m164a_u1x8_uart1_noled_ee_hw      m164p_u1x8_uart1_noled_ee_hw      m164pa_u1x8_uart1_noled_ee_hw
 * m324a_u1x8_uart1_noled_ee_hw      m324p_u1x8_uart1_noled_ee_hw      m324pa_u1x8_uart1_noled_ee_hw
 * m324pb_u1x8_uart1_noled_ee_hw     m8u2_u1x8_uart0_noled_ee_hw       m16u2_u1x8_uart0_noled_ee_hw
 * m16u4_u1x8_uart0_noled_ee_hw      m32u2_u1x8_uart0_noled_ee_hw      m32u4_u1x8_uart0_noled_ee_hw
 * usb82_u1x8_uart0_noled_ee_hw      usb162_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m328pb_u1x8_uart1_noled_ee_hw[] = {
  0x777776e5448690e3, 0xddddd2c46814dd63, 0xfc760bfd2e833ddd, 0x080187238f7583ec, 0x3ba24599e86e4109,
  0xf61ff3e52e609f19, 0xb7f69931bd813a5f, 0x2b9126ab5a39c6b8, 0xbd47c1b30698fa8f, 0x59a75a1143be2bee,
  0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a, 0x047eb70decb65cc5,
  0xeefd801512a6951b, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637,
  0xb09732f9b6249156, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x4a29e4afdcd0ccb0, 0x00000000002df1aa,
};

/*
 * m328pb_u1x8_uart1_noled_ee_ce_u4_hw m324a_u1x8_uart1_noled_ee_ce_hw
 * m324a_u1x8_uart1_noled_ee_ce_u4_hw m324p_u1x8_uart1_noled_ee_ce_hw
 * m324p_u1x8_uart1_noled_ee_ce_u4_hw m324pa_u1x8_uart1_noled_ee_ce_hw
 * m324pa_u1x8_uart1_noled_ee_ce_u4_hw m324pb_u1x8_uart1_noled_ee_ce_hw
 * m324pb_u1x8_uart1_noled_ee_ce_u4_hw m32u2_u1x8_uart0_noled_ee_ce_hw
 * m32u2_u1x8_uart0_noled_ee_ce_u4_hw m32u4_u1x8_uart0_noled_ee_ce_hw
 * m32u4_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u1x8_uart1_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x5bfb4c98dec082d7, 0x38706e2faa390f5c, 0x222fb892c79e6da0, 0x5c8fea3e12fc4361,
  0xcdbdf33c5dc6e254, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281, 0xedd388ea426be8c2,
  0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238, 0x726dbf0313bbf616,
  0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x000a021057514f25,
};

// m328pb_u1x8_uart1_lednop_pr
static const uint64_t ur_m328pb_u1x8_uart1_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0xddfecd5f9f402609, 0xeb8b7f69931bd814, 0xd05fa8f6b1df2c21, 0xb29be483f1c74fe0, 0xd967a3486731602c,
  0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0xe41539693a792bf7, 0x0000000000000003,
};

static const uint64_t ur_m328pb_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0xff1abf3e804c13e3, 0xc5bfb4c98dec0a6e, 0x2fd47b58ef9610f5, 0x4df241f8e3a7f068, 0xb3d1a43398b01659,
  0x00ffd9823af47cec, 0xad03cb3db4166915, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x59f439e4afdcd0cc,
  0x00000000001f2613,
};

// m328pb_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m328pb_u1x8_uart1_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xf9f53d304f8c9dd3, 0x4c98dec08baff8d5, 0x5355ad1ce35c5bfb, 0xe0d9834c7d479599, 0x5a1143be2b0f7ea3,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba, 0x5b86f65b2e62e121,
  0x8010fb33ca8d823f, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x7e04fa1cf257ee68, 0x00000000000009d7,
};

// m328pb_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m328pb_u1x8_uart1_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff1abf3e70e609f1, 0x8b7f69931bd81256, 0x254eea55c5f5c92b, 0x6c2445f71258f3c0, 0x56fc00fd47c25f88,
  0xb9633f5933c5dc6e, 0x8e9fc1eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1, 0xf2d6e416691500ff,
  0xb7e062777ec82b40, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x1cf257ee68665874, 0x0000000dd75e7cfa,
};

static const uint64_t ur_m328pb_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xf3e1a2609f193baa, 0x32637b02b1fff1ab, 0xb8bea8e43d716fed, 0xe24b1e7804a9da5a, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0xfc0c4eefd8598fb3,
  0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x15f439e4afdcd0cc, 0x000000000004fc1d,
};

static const uint64_t ur_m328pb_u1x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xf1231cfeed4c13e3, 0x6fed32637b0231ff, 0xe656b8bea8dc9d71, 0x88bee24b1e79b680, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0xbbf66315346470de, 0xcf0202726dbf0313,
  0xe804df9bcc077eef, 0x953e02d4e48a5abc, 0x78ce88197f318216, 0x79b09732f9b69c63, 0x6fe0eee3458df0dc,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x02b0baf3c95fb9a1, 0x00000000000013f0,
};

/*
 * m164a_u1x8_uart1_lednop_ee_hw     m164p_u1x8_uart1_lednop_ee_hw     m164pa_u1x8_uart1_lednop_ee_hw
 * m324a_u1x8_uart1_lednop_ee_hw     m324p_u1x8_uart1_lednop_ee_hw     m324pa_u1x8_uart1_lednop_ee_hw
 * m324pb_u1x8_uart1_lednop_ee_hw    m8u2_u1x8_uart0_lednop_ee_hw      m16u2_u1x8_uart0_lednop_ee_hw
 * m16u4_u1x8_uart0_lednop_ee_hw     m32u2_u1x8_uart0_lednop_ee_hw     m32u4_u1x8_uart0_lednop_ee_hw
 * usb82_u1x8_uart0_lednop_ee_hw     usb162_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m328pb_u1x8_uart1_lednop_ee_hw[] = {
  0x777776e54486d38b, 0xeeeee962340b4563, 0x7a9bc77b6f4fdeee, 0x0f1ec391c7bac1f6, 0x7751994ed29456d9,
  0xec3fe7d4f4c13e32, 0x6fed32637b022ebf, 0x56654d56b4738d71, 0xfa8f83660d31f51e, 0x669d68450ef8ac3d,
  0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635, 0x08fd6e1bd96cb98b,
  0xbbf60043eccf2a36, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026, 0xd3574e31bc67440e,
  0xf36dce455bd8aaa2, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000b7d68dd453c9,
};

/*
 * m328pb_u1x8_uart1_lednop_ee_ce_u4_hw m324a_u1x8_uart1_lednop_ee_ce_hw
 * m324a_u1x8_uart1_lednop_ee_ce_u4_hw m324p_u1x8_uart1_lednop_ee_ce_hw
 * m324p_u1x8_uart1_lednop_ee_ce_u4_hw m324pa_u1x8_uart1_lednop_ee_ce_hw
 * m324pa_u1x8_uart1_lednop_ee_ce_u4_hw m324pb_u1x8_uart1_lednop_ee_ce_hw
 * m324pb_u1x8_uart1_lednop_ee_ce_u4_hw m32u2_u1x8_uart0_lednop_ee_ce_hw
 * m32u2_u1x8_uart0_lednop_ee_ce_u4_hw m32u4_u1x8_uart0_lednop_ee_ce_hw
 * m32u4_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u1x8_uart1_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f69931bd8158fff, 0x12d5c5f54721eb8b, 0x45f71258f3cdb407, 0x72fd47c25f886c24,
  0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6, 0x62291669d6845029, 0xb8f51d484d7d1859,
  0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386, 0x4db7e062777ec2cc,
  0x4180efddf9e0404e, 0x9c94e804df9bcd91, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xd52514f257ee6866, 0x000000000000a023,
};

// m328pb_u1x8_uart1_dual_pr
static const uint64_t ur_m328pb_u1x8_uart1_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0xa1832bac0db4b681, 0x2b012774f8971030, 0xc17d9c0a2cce4ff3, 0x89fc199537a8efe6,
  0x312bfcfdf04508e4, 0x7cdc8ac00dc3e144, 0x32d08c910caaeef7, 0xffd01cf09ad68a84, 0x60b0de579096de3d,
  0x2637b02d2bff985e, 0x63be5abfd716fed3, 0x238e9fc1a43f51ed, 0xce62c05fc399efe8, 0x0475e45bb54b4690,
  0xe2a4a56482ee3963, 0x189ddfb27f157cee, 0xf77e781013936df8, 0xa0137e6f0725603b, 0xe18aca9dc594e5f3,
  0xf19d103f5c502169, 0xf3612e65f36d38c6, 0xf2868b1e71726ae0, 0xe985727eeacc7903, 0x94b67c09c6592e19,
  0x1cf257ee68665874, 0x00000000188738fa,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x832bac0db4b68191, 0xd06774f8971030a1, 0x958e0e966387f995, 0xf8380d37a8ffbb60,
  0x57f9fbe08a11c913, 0x73a7c01b87c28862, 0x41314432abbbddf3, 0x4073c268ca2a10cb, 0xc3795e425b731fff,
  0x6f6047affff43982, 0xbe589aae2dfda64c, 0x1d3f8310fea3e453, 0xc580aa0f34e2f7c7, 0xd78033b5ac8ebf9c,
  0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0x8189ddfb27f157ce, 0xbf77e781013936df, 0xa0137e6f36450603,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961,
  0x00000000a4988350,
};

// m328pb_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m328pb_u1x8_uart1_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0xdb4b6819129290b8, 0x8971030a1832bac0, 0x260d1f995d06774f, 0xea3f4fec2c7ce1ff,
  0x4508e489fc1f57cd, 0xc3e144312bfcfdf0, 0x55ddeef9b895000d, 0xee2a10cb412b2219, 0xb6e707fe80e784cb,
  0xffe8730586f2bc84, 0xb7f69931bd81656f, 0x56bee6ab5a3912b8, 0x7a8f83660c14f51e, 0x669d68450ef8aea5,
  0x3484d7d185962291, 0xf673ab4b994b8a97, 0x6ba1d7a89768851e, 0x0908a04547cf58d5, 0x23f5b86f65f4b317,
  0x8a9280427f58a8d8, 0x62777ec9fc55f3bb, 0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xbcf257ee68665874, 0x0000000564bab62e,
};

// m328pb_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m328pb_u1x8_uart1_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0xe016a631ffccae83, 0x8ad37a8e4eb60968,
  0x9fbe08a11c913f83, 0x1801b87c2886257f, 0xb4432abbbddf3726, 0xf0983dc54219682f, 0x579096df4dffd01c,
  0x2297fffd0e60b0de, 0x805716fed32637b0, 0xe79b680e3a5b8bea, 0xbf10d8488bee24b1, 0xb8dc149faffa8f84,
  0xbf3dcb19f52e678b, 0xc8e3a7f0752fd471, 0x6475fce62c050507, 0x3ff6678ebc019dad, 0xd03cb5b843a43540,
  0x4fe2af9ddc549549, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xd24d1c42ebcf257e,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x6da5b40c894948ee, 0xc4b881850c195d60, 0x26fd7fccae833ba7, 0xf51eb7f61000e029,
  0x22847244fe0e76e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8a91006, 0x162a10cb437da219, 0x6dd36ffe80e784cc,
  0xffd0e60b0de57909, 0xdfda64c6f60543ff, 0xc1ac77fd51b93ae2, 0xb9950d07fcf36d01, 0xa76b2b26e984e771,
  0x3660d7cf51e56fe4, 0x8450298ae037a8f8, 0x7d185962291669d6, 0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7,
  0x908a04547cf58d57, 0x132386f65f4b3170, 0x5494b313fac546c1, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03,
  0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x68b2d5e371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0xb62ebcf257ee6866,
  0x000000000002001e,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x61430657581b696d, 0x9968394ee9f12e20, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcf3900370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x2c3795e425b7149f, 0x37b02d35fffa9c98, 0xea8d4f5716fed326, 0xb1e79b693b19bb8b, 0x84bf10d8488bee24,
  0x771b9aa0f20ffa8f, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a, 0x84d7d18596229166,
  0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3, 0xddc5494b313fac54,
  0xf0313bbf64fe2af9, 0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0x25ccbe6db9c31dbd, 0x68b1be2e4d5c1e6c, 0x9fa9d599bf83f6ec, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0002002e20ee27cf,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xeeeefafc7655ea66, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf57964d38275b1d7,
  0x2e0a609f1932eee5, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0x7fc98347e657419d, 0xf37a8fd3fb0b1f38,
  0x7c114239227f07d5, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x32fb8a8432d04ac8, 0x212db9c1ffa039e1,
  0x5bfdafdcc161bcaf, 0xae2dfda64c6f6059, 0x4795afb9aad68e44, 0xa95ea3e0d983053d, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21, 0xc5c242281151f3d6, 0x3608fd6e1bd97d2c,
  0xeee2a4a0109fd62a, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x09732f9b6e722ade, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000000aed5d5b,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xddddf5f0bfdc299b, 0x0fb265cedb04dddd, 0x858fde4eddfb51ab, 0x347d4eb5bb07e644,
  0x1c939827c64a0ab9, 0xb036d2da0644a4a4, 0xd3e25c40c2860cae, 0xd673321fe657419d, 0xcdea3cc36c19f0e1,
  0xf04508e489fc1feb, 0x0dc3e144312bfcfd, 0x32abbbddf373ce40, 0xa394542196825a44, 0x096dc527fd01cf09,
  0x5fed7ee60b0de579, 0x716fed32637b02d3, 0x01c19bb8bea8d4f5, 0x09117dc4963cf36d, 0xcd90ff51f097e21b,
  0x6e6e6e99e2ee373a, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3,
  0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x7ec9fc55f3bb8a92,
  0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000075d5b8fa2,
};

static const uint64_t ur_m328pb_u1x8_uart1_dual_ee_ce_u4_hw[] = {
  0xcddddddd5a890c86, 0xddddddf5f0bd47d4, 0x639db5a2afd70bdd, 0x3b3689e7ef276e8f, 0x75cbbb1bb3798a84,
  0x25213cbcc13e325a, 0x657581b696d03225, 0x0cee9f12e2061430, 0x670986999f3f32ba, 0x70026f51ff5f606b,
  0xf3f7c114239227f0, 0xa180370f8510c4af, 0x5910caaeef77cdcb, 0x3c26b75150865a03, 0x2bc84b6e87dff407,
  0x24dbff6bf730586f, 0xbad716fed32637b0, 0x9b680e456b8bea8c, 0x10d8488bee24b1e7, 0xb8951723fa8f84bf,
  0xa76b73710ccf1771, 0x3660d31f51e57dd4, 0x422814c57a57a8f8, 0xbe8c2cb1148b34eb, 0xd1ceaedd388ea426,
  0x363af6b13b5c3464, 0x11435f237b56355e, 0x32386f65c7c62e12, 0x2af9ddc5497189a4, 0x26dbf0313bbf64fe,
  0xbcc077eefcf02027, 0x4e48a5abce804df9, 0x97f318216953e02d, 0x2f9b69c6378ce881, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000003aea56aa29e,
};

// m328pb_u1x12_uart1_noled_pr
static const uint64_t ur_m328pb_u1x12_uart1_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x3fd9abf3f38cc13e, 0xfeda9fddba7c125f, 0x80ef9610f0da3749, 0x68e3a7f0682fd47e, 0x61cc580b2ca67bed,
  0x30475e8f9dabfa3d, 0x67b63eccf2a01ffb, 0xf0313bbf60e3e079, 0xa0c077eefce726db, 0x794d8ce4df9bc03e,
  0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x9c376c25ccbe6d89, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0x21ce2d274f257ee6, 0x000000000000001f,
};

static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xd5f9f9c6609f193b, 0x53fbb74f824be7f8, 0xf2c21e1b46e93fdb, 0x74fe0d05fa8fd01d, 0x8b016594cf7dad1c,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x2777ec1c7c0f2cf6, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0xcd84b997cdb1248a, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa1cf257ee6866587,
  0x00000000f93fb3cf,
};

// m328pb_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xddba7c12387fe357, 0xce30da3749feda9f, 0xc7d4795c89355ad1, 0xf15f75ea3e0d9834,
  0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37, 0xb2e62e1211473c8c,
  0x34a8d823f5b86f65, 0x7e062777ec00a895, 0xd4180efddf9ce4db, 0x2f29b19c9bf37807, 0xce31bc67440aeaa7,
  0x248ab7b15545a585, 0xab83cd84b997cdb1, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe0afa1cf257ee686, 0x0000000000009d7d,
};

static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebfd9abf3f1ee6, 0x749feda9fddba7c1, 0x38b5ceffaf490da3, 0x8dcf9d21ff3c0250, 0x73dcb01719cc273b,
  0x8e3a7f078cfd47a9, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xe062777ec1d7e1ee, 0x7980efddf9ce4db7,
  0x06a6c4a7ef9c9bf3, 0xa2042063042d3923, 0x25ccbe6da718de33, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x274f257ee6866587, 0x000000002dd4922d,
};

static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe357e7e43cc13e32, 0xda9fddba7c12727f, 0xe2fae490da3749fe, 0xc4963cf00953b7f2, 0x51f097e21b09117d,
  0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316, 0xb33ca807feccf1d7,
  0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000dd741c6fa1,
};

static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xba7c1231fff1abf3, 0xf0da3749feda9fdd, 0x12a76706e2faa390, 0x361222fb892c79e0,
  0x759b21fea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f5129, 0x2814c5613fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedd388ea426be, 0x8ebce9bb6f68f059, 0x1473c8c38d8d578d, 0x2386f65b2e62e121, 0x616744a9a546c113,
  0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0x2d5e5c9ab83cd84b, 0xd4eacc7903f2868b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0xa1cf257ee6866587, 0x0000000013f0ad4f,
};

static const uint64_t ur_m328pb_u1x12_uart1_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x6afcfffc9827c64e, 0xa7f76e9f04ba7ffc, 0xa8dc9c368dd27fb6, 0x1e7804a9db05b8be, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x0a4a76b737194cf1, 0x1f06cc18dff51e56, 0x9d68450298ae21f5, 0x84d7d18596229166,
  0x189f39d5db9ef1d4, 0xaf1b1d7aea6ec21d, 0x0908a24151e33b1a, 0x866470decb872317, 0xdb7e062777ecc63f,
  0xbf37980efddf9ce4, 0x92306a6c4a7ef9c9, 0xe33a2042063042d3, 0xe6c25ccbe6da718d, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xd0e792bf734332c3, 0x0000000009f810b7,
};

/*
 * m164a_u1x12_uart1_noled_ee_hw     m164p_u1x12_uart1_noled_ee_hw     m164pa_u1x12_uart1_noled_ee_hw
 * m324a_u1x12_uart1_noled_ee_hw     m324p_u1x12_uart1_noled_ee_hw     m324pa_u1x12_uart1_noled_ee_hw
 * m324pb_u1x12_uart1_noled_ee_hw    m8u2_u1x12_uart0_noled_ee_hw      m16u2_u1x12_uart0_noled_ee_hw
 * m16u4_u1x12_uart0_noled_ee_hw     m32u2_u1x12_uart0_noled_ee_hw     m32u4_u1x12_uart0_noled_ee_hw
 * usb82_u1x12_uart0_noled_ee_hw     usb162_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m328pb_u1x12_uart1_noled_ee_hw[] = {
  0xeeec49dd4486fc3b, 0xeeee961e4090ac6e, 0x5936a64cf4ddeeee, 0x543d9c489dde0f42, 0xddb826eb4a71b082,
  0xb0ff9f60b304f8c9, 0x6a7f76e9f048e1ff, 0x6b4738c368dd27fb, 0x60d31f51e57224d5, 0x2877c57dd7a8f836,
  0x8c2cb1148b34eb42, 0x979c571ac9a426be, 0x74ddb7b4782ce756, 0xf230e36355ae875e, 0xbd96cb98b848451c,
  0xa254d2a3608fd6e1, 0x936df8189ddfb002, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd, 0x961738c6f19d102b,
  0x36c4922adec55516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0005bf7927453c95,
};

/*
 * m328pb_u1x12_uart1_noled_ee_ce_u4_hw m324a_u1x12_uart1_noled_ee_ce_hw
 * m324a_u1x12_uart1_noled_ee_ce_u4_hw m324p_u1x12_uart1_noled_ee_ce_hw
 * m324p_u1x12_uart1_noled_ee_ce_u4_hw m324pa_u1x12_uart1_noled_ee_ce_hw
 * m324pa_u1x12_uart1_noled_ee_ce_u4_hw m324pb_u1x12_uart1_noled_ee_ce_hw
 * m324pb_u1x12_uart1_noled_ee_ce_u4_hw m32u2_u1x12_uart0_noled_ee_ce_hw
 * m32u2_u1x12_uart0_noled_ee_ce_u4_hw m32u4_u1x12_uart0_noled_ee_ce_hw
 * m32u4_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xb53fbb74f82463ff, 0xf54721e1b46e93fd, 0x58f3cdb4070e0dc5, 0xc25f886c2445f712,
  0x8bb8dc4a8b91fd47, 0xbea253b5b9b7be67, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x62777ec2ce89534a,
  0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0x79b09732f9b62486,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x4e3a29e4afdcd0cc, 0x0000000000014049,
};

// m328pb_u1x12_uart1_lednop_pr
static const uint64_t ur_m328pb_u1x12_uart1_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x5f7fb357e7cf5982, 0x27fb6a7f76e9f04a, 0xed63be5843c368dd, 0x07e38e9fc1a0bf51, 0x90ce62c0596537c9,
  0x6608ebd1f3b2cf46, 0x2cf6d059a45403ff, 0x7e062777ec82b40f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0xd274f257ee686658, 0x0000000003e40922,
};

static const uint64_t ur_m328pb_u1x12_uart1_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0x6afcf9eb304f8c9d, 0x53fbb74f8252fbfc, 0xf2c21e1b46e93fdb, 0x74fe0d05fa8f6b1d, 0x1602cb29be483f1c,
  0x5e8f9d967a348673, 0x82cd22a01ffb3047, 0x3bbf6415a07967b6, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee,
  0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x03e4c7abbe873c95,
};

// m328pb_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m328pb_u1x12_uart1_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xf3f95a609f193ba5, 0xeedd3e09143ff1ab, 0xe7186d1ba4ff6d4f, 0x63ea3cacca9aad68, 0xf1587bf51f06cc1a,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b, 0xd973170908a09e46,
  0x9e546c11fadc37b2, 0x7e062777ec0087d9, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000004ebe4937d0,
};

// m328pb_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m328pb_u1x12_uart1_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf1abf3e52e609f19, 0x6d4feedd3e093a5f, 0x717d72486d1ba4ff, 0xc4963cf00953ba95, 0x51f097e21b09117d,
  0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c, 0x9a45403ff6678ebd,
  0xdfb20ad03cb5b905, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75d69f3e873c95fb, 0x0000000000000003,
};

static const uint64_t ur_m328pb_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xedd3e091c1ff1abf, 0xfc86d1ba4ff6d4fe, 0x804a9defb3bfea8d, 0x139dc6e5c89257e7,
  0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148, 0x32464d1ceaedc7a8,
  0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf, 0x7eefcf0202726dbf,
  0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8, 0x596af2e4d5c1e6c2,
  0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x7d0e792bf734332c,
  0x000000000027e40a,
};

static const uint64_t ur_m328pb_u1x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0xc73fa6a609f193ba, 0xfbb74f825ff3fc48, 0x721e1b46e93fdb53, 0x3cdb40712d5c5f54, 0xf886c2445f71258f,
  0x370112601fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e, 0x5f4616588a459a75,
  0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8, 0xdfb0b31f667951b0,
  0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fcb2df175e79,
};

/*
 * m164a_u1x12_uart1_lednop_ee_hw    m164p_u1x12_uart1_lednop_ee_hw    m164pa_u1x12_uart1_lednop_ee_hw
 * m324a_u1x12_uart1_lednop_ee_hw    m324p_u1x12_uart1_lednop_ee_hw    m324pa_u1x12_uart1_lednop_ee_hw
 * m324pb_u1x12_uart1_lednop_ee_hw   m8u2_u1x12_uart0_lednop_ee_hw     m16u2_u1x12_uart0_lednop_ee_hw
 * m16u4_u1x12_uart0_lednop_ee_hw    m32u2_u1x12_uart0_lednop_ee_hw    m32u4_u1x12_uart0_lednop_ee_hw
 * usb82_u1x12_uart0_lednop_ee_hw    usb162_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m328pb_u1x12_uart1_lednop_ee_hw[] = {
  0xeeec49dd448651eb, 0xeeee961e4190ac6e, 0x8485938035a5eeee, 0x70bf6712277783d0, 0xdd89cecb5eb62f2b,
  0xb0ff9fcad304f8c9, 0x6a7f76e9f048a1ff, 0x6b4738c368dd27fb, 0x60d31f51e56654d5, 0x50ef8ac3dfa8f836,
  0x185962291669d684, 0x2e7aae3593484d7d, 0x74dda32464d1cead, 0xf237b56355ae875e, 0xbd96cb98b8484504,
  0x3eccf2a3608fd6e1, 0x26dbf0313bbf6004, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8, 0x1bc67440ef9537a9,
  0x55bd8aaa2d3574e3, 0x8f3612e65f36dce4, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x1a9d453c95fb9a19, 0x00000000000005be,
};

/*
 * m328pb_u1x12_uart1_lednop_ee_ce_u4_hw m324a_u1x12_uart1_lednop_ee_ce_hw
 * m324a_u1x12_uart1_lednop_ee_ce_u4_hw m324p_u1x12_uart1_lednop_ee_ce_hw
 * m324p_u1x12_uart1_lednop_ee_ce_u4_hw m324pa_u1x12_uart1_lednop_ee_ce_hw
 * m324pa_u1x12_uart1_lednop_ee_ce_u4_hw m324pb_u1x12_uart1_lednop_ee_ce_hw
 * m324pb_u1x12_uart1_lednop_ee_ce_u4_hw m32u2_u1x12_uart0_lednop_ee_ce_hw
 * m32u2_u1x12_uart0_lednop_ee_ce_u4_hw m32u4_u1x12_uart0_lednop_ee_ce_hw
 * m32u4_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x4feedd3e097fcff6, 0x51c8786d1ba4ff6d, 0x3cf36d01c4b5717d, 0x97e21b09117dc496,
  0xee3729299cbf51f0, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x9ddfb0b31f667951,
  0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x5f36dce18edec555,
  0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000140565bf453c,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x30657581b696d032, 0x6024ee9f12e20614, 0x145383939be77e65, 0xfe0e3dcdea3afbd8,
  0x95fe7ef822847244, 0x6e25a006e1f0a218, 0x680f888655777bbe, 0xe80e784dbdc54219, 0x2c3795e425b732bf,
  0xe9f04a71ffe61798, 0xc368dd27fb6a7f76, 0xa43f51c453be5abf, 0x87364837e38e9fc1, 0xb13c8ded1cc580bf,
  0x4fee39630475e45b, 0x3f8abe77715252b0, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0x33d30ae4fcfec5c9, 0xe9296cf8138cb25c,
  0xf439e4afdcd0ccb0, 0x0000000032dfd38d,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x1430657581b696d0, 0x32ba0cee9f12e206, 0xec0a29c1c9cdf3bf, 0x227f071ee6f51d7d,
  0x0c4aff3f7c114239, 0xdf3723900370f851, 0x0cb407c4432abbbd, 0xfff4073c26dee2a1, 0x982c3795e425b731,
  0xbb74f8247affff43, 0x5fe1b46e93fdb53f, 0xc1a43f51ee19df2d, 0xbf8732d726a38e9f, 0xb7613e8d059cc580,
  0x61a4dc72c608ebc8, 0xb27f157ceee2a4a5, 0x1013936df8189ddf, 0x26fcde603bf77e78, 0xf016a72452d5e740,
  0x3a2065fe2810b4a9, 0xc25ccbe6da718de3, 0x07771a2c79c371e6, 0x67a615c9fbab337f, 0xd252d9f0271964b8,
  0xbaf3c95fb9a19961, 0x000000000c4026b0,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x657581b696d03225, 0x0cee9f12e2061430, 0x29c0e1cc52ff32ba, 0x0752a6f51d2b6c1d,
  0xff3f7c114239227f, 0x58f80370f8510c4a, 0x7c888655777bbe6e, 0x0e784c3e45421968, 0x6f2bc84b6f01bfe8,
  0xe0904ffffe873058, 0xd1ba4ff6d4feedd3, 0xfea3e453be589a86, 0x34e2f7c71d3f8310, 0xac8ebf9cc580aa0f,
  0x07fecc11d78033b5, 0xe81e59ed887486a8, 0x27f157ceee2a4aa4, 0x013936df8189ddfb, 0x36450603bf77e781,
  0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x524e7c10baf3c95f,
};

// m328pb_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m328pb_u1x12_uart1_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xb4b6819129291c3f, 0x971030a1832bac0d, 0x6d35f995d06774f8, 0x51ec7f61ff0e01a2,
  0x2847244fe0e87e6f, 0x1f0a21895fe7ef82, 0xaeef77cdcb91006e, 0xb150865a0e9510ca, 0x6fd5fff4073c2628,
  0xfe8730586f2bc84b, 0xd4feedd3e096fbff, 0xd68e4486d1ba4ff6, 0x83053d4795afb9aa, 0x43be2ba95ea3e0d9,
  0x616588a459a75a11, 0xe652e2a5cd2135f4, 0x25da2147bd9cead2, 0x51f3d6355ae875ea, 0xd97d2cc5c2422811,
  0x9fd62a3608fd6e1b, 0x7f157ceee2a4a010, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x0dc79b09732f9b6e, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xac89178baf3c95fb,
  0x0000000000000000,
};

// m328pb_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m328pb_u1x12_uart1_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0xd606da5b40c89494, 0xba7c4b881850c195, 0x0c7e619bfccae833, 0x5a6f51d2d6c02d1c,
  0xf7c114239227f063, 0x00370f8510c4aff3, 0x88655777bbe6e33e, 0x1318f8a8432d028a, 0xf212dbc56ffa039e,
  0xc17fffa1cc161bca, 0x93fdb53fbb74f824, 0x1d2dc5f54021b46e, 0x45f71258f3cdb407, 0xd7fd47c25f886c24,
  0xfa9733c5dc6e0a4f, 0x3a97ea38df9ee58c, 0x16028283e471d3f8, 0x5e00ced6b23afe73, 0x21d21aa01ffb33c7,
  0xee2a4aa4e81e5adc, 0x8189ddfb27f157ce, 0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2e65f36dce18edec, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x000000006926d7b1,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0xda5b40c89494874e, 0x4b881850c195d606, 0x635bfccae833ba7c, 0x51e006c0521c3f5e,
  0x2847244fe0ed6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9dd6006e, 0x22a10cb434da2195, 0xde76ffe80e784d81,
  0xfd0e60b0de579096, 0x53fbb74f825d3fff, 0x546e4e1b46e93fdb, 0xff3cdb40706b1dff, 0xba6139dc6e654341,
  0xd4795bf929dacac9, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e,
  0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93,
  0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xdc79b09732f9b6e7,
  0x337f07771a2cb578, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00010003a28baf3c,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x0c195d606da5b40c, 0xa0e53ba7c4b88185, 0xacce0c8735257e65,
  0xc19adcdea3b3e6c3, 0xbfcfdf04508e489f, 0x3a9c00dc3e144312, 0x05a4432abbbddf37, 0x1cf098e0c5421968,
  0xbcaf212dbfebffd0, 0x093fcfffd4e4c161, 0x1ba4ff6d4feedd3e, 0x6337717d51a9e86d, 0x117dc4963cf36d27,
  0x41ff51f097e21b09, 0xe6e99e2ee373541e, 0x9ea3cadfc94ed6e6, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053,
  0x71943a909afa30b2, 0x89768851ef673abb, 0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d,
  0x9fc55f3bb8a92966, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xab83cd84b997cdb7, 0xf07edd8d1637c5c9, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa1c4f9e4afdcd0cc, 0x000000000010007a,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_ee_hw[] = {
  0x774daf13448687e1, 0x777d7d931d753377, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x36d2da0644a4a470, 0xe25c40c2860caeb0, 0x89b4d7e657419dd3, 0xbd47b1fd87fc3806,
  0x08a11c913f83a1f9, 0xb87c2886257f9fbe, 0x2abbbddf372e4401, 0xa2c54219683a5443, 0x2dbf57ffd01cf098,
  0xfdafdcc161bcaf21, 0xdb53fbb74f825bef, 0xab5a39121b46e93f, 0x660c14f51e56bee6, 0x450ef8aea57a8f83,
  0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7, 0x6f65f4b3170908a0,
  0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x15da48be8a792bf7,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_ee_ce_hw[] = {
  0xba6d789d41437089, 0xbbebc99d77a99bbb, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0xdb4b6819129290e9, 0x8971030a1832bac0, 0xcc6b7f995d06774f, 0xea3c00d80a4387eb,
  0x4508e489fc1dadcd, 0xc3e144312bfcfdf0, 0xabbbddf373bac00d, 0x24542196869b4432, 0xdbcedffd01cf09b0,
  0xdafdcc161bcaf212, 0x6a7f76e9f04ba7ff, 0xea8dc9c368dd27fb, 0x1fe79b680e0d63bf, 0x9ba6139dc6e759b2,
  0x3d4795bf929dacac, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576,
  0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x09c9b6fc0c4eefd9,
  0xb228301dfbbf3c08, 0xea53929d009bf379, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e,
  0x71a50c2a73f5361d, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9, 0x0000eba8e8b453c9,
};

static const uint64_t ur_m328pb_u1x12_uart1_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468ce4a, 0xddf5f63f2254cddd, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x36d2da0644a4a479, 0xe25c40c2860caeb0, 0x9a92bf32c4d69dd3, 0x51d9f361d6670643,
  0x2847244fe0cd6e6f, 0x1f0a21895fe7ef82, 0x5ddeef9b9d4e006e, 0x62a10cb402d22195, 0xdff5ffe80e784c70,
  0xaa7260b0de579096, 0x53fbb74f824ff3ff, 0x546a7a1b46e93fdb, 0xf3cafac0e0cddc5f, 0x5f886c2445f71258,
  0x71b8a49cdffd47c2, 0xe4a76b737374cf17, 0xf83660d7cf51e56f, 0xd68450298ae037a8, 0x4d7d185962291669,
  0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31, 0xdc5494b313fac546,
  0x0313bbf64fe2af9d, 0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5ccbe6db9c31dbd8, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000000eba869f02f,
};

// m328pb_u2x8_uart1_noled_pr
static const uint64_t ur_m328pb_u2x8_uart1_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0xf9fecd5f9f9c6609, 0xdaa3949bedd3e092, 0x3f4077cb08786d1b, 0xf6b471d3f83417ea, 0x1eb0e62c0596533d,
  0xfd9823af47ced5fd, 0x3cb3db1f6679500f, 0x6df8189ddfb071f0, 0x1f50603bf77e7393, 0x9cbca6c6726fcde0,
  0x1738c6f19d102baa, 0xc4922adec5551696, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x0f90e71693a792bf,
};

static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xc6afcfce3304f8c9, 0x72937dba7c125f3f, 0x0ef9610f0da37b54, 0x8e3a7f0682fd47e8, 0x1cc580b2ca67bed6,
  0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xc1e6c25ccbe6d892, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xe7d0e792bf734332,
  0x00000000007c9fd9,
};

// m328pb_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xbf3ec16609f193ba, 0x9bedd3e091c3ff1a, 0x68e7186d1bdaa394, 0x1a63ea3cae449aad, 0x0ef8afbaf51f06cc,
  0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2, 0x461c6c6ab5d0ebce, 0xb2d973170908a39e,
  0x4a9a546c11fadc37, 0x6dbf0313bbf60054, 0x03ea0c077eefce72, 0x539794d8ce4df9bc, 0xc2e718de33a20575,
  0xd892455bd8aaa2d2, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xbef057d0e792bf73, 0x000000000000004e,
};

static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775fecd5f9f8f7, 0xd1bdaa3949bedd3e, 0x281c5ae77fd7a486, 0x9dc6e7ce90ff9e01, 0xd4b9ee580b8ce613,
  0x21c71d3f83c67ea3, 0x128d41ce62c05e81, 0xf71cb19e3af173b5, 0xdbf0313bbf60ebf0, 0xf9bcc077eefce726,
  0x9183536253f7ce4d, 0x19d102103182169c, 0xb612e65f36d38c6f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x1693a792bf734332, 0x000000000016ea49,
};

static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff1abf3f21e609f1, 0xa3949bedd3e09393, 0xf9717d72486d1bda, 0xbee24b1e7804a9db, 0x1fa8f84bf10d8488,
  0xf5933c5dc6e3fcc4, 0x1eb3d4727a7b9633, 0x8b0147ce9238e9fc, 0xebd1f3b57f47ac39, 0x87d99e5403ff6678,
  0x89ddfb071f03cb5b, 0x03bf77e73936df81, 0x6c6726fcde01f506, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xe6c25ccbe6d89218, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xd0e792bf734332c3, 0x000000006eba0e37,
};

static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xedd3e0918fff8d5f, 0xc8786d1bdaa3949b, 0xf00953b383717d51, 0xe21b09117dc4963c,
  0x373acd90ff51f097, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xdfb0b3a254d2a360,
  0xf77e73936df8189d, 0x726fcde01f50603b, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x25ccbe6d89218ede,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xa7d0e792bf734332, 0x000000000009f856,
};

static const uint64_t ur_m328pb_u2x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe357e7ffe4c13e32, 0xe526fb74f825d3ff, 0x5f546e4e1b46f6a8, 0x258f3c0254ed82dc, 0x7c25f886c2445f71,
  0x78bb8dc4a8b91fd4, 0x2b05253b5b9b8ca6, 0xfa8f83660c6ffa8f, 0xb34eb422814c5710, 0xea426be8c2cb1148,
  0x0e8c4f9ceaedcf78, 0x8d578d8ebd753761, 0x8b84845120a8f19d, 0x1fc332386f65c391, 0x726dbf0313bbf663,
  0xe4df9bcc077eefce, 0x69c9183536253f7c, 0xc6f19d1021031821, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x5be873c95fb9a199, 0x000000000004fc08,
};

/*
 * m164a_u2x8_uart1_noled_ee_hw      m164p_u2x8_uart1_noled_ee_hw      m164pa_u2x8_uart1_noled_ee_hw
 * m324a_u2x8_uart1_noled_ee_hw      m324p_u2x8_uart1_noled_ee_hw      m324pa_u2x8_uart1_noled_ee_hw
 * m324pb_u2x8_uart1_noled_ee_hw     m8u2_u2x8_uart0_noled_ee_hw       m16u2_u2x8_uart0_noled_ee_hw
 * m16u4_u2x8_uart0_noled_ee_hw      m32u2_u2x8_uart0_noled_ee_hw      m32u4_u2x8_uart0_noled_ee_hw
 * usb82_u2x8_uart0_noled_ee_hw      usb162_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m328pb_u2x8_uart1_noled_ee_hw[] = {
  0x777776254486fc3b, 0x777774b0f2048563, 0x12c9b53267a6ef77, 0x12a1ece244eef07a, 0x4eedc1375a538d84,
  0xfd87fcfb059827c6, 0x8e526fb74f82470f, 0x6ab5a39c61b46f6a, 0x1b30698fa8f2b912, 0xa1143be2beebd47c,
  0x5f4616588a459a75, 0xab4bce2b8d64d213, 0xaf3a6edbda3c1673, 0x8e791871b1aad743, 0x70decb65cc5c2422,
  0x01512a6951b047eb, 0x39c9b6fc0c4eefd8, 0xe6f00fa8301dfbbf, 0x15d54e5e53633937, 0x8b4b0b9c6378ce88,
  0x2f9b6249156f62aa, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000002dfbc93a29e,
};

/*
 * m328pb_u2x8_uart1_noled_ee_ce_u4_hw m324a_u2x8_uart1_noled_ee_ce_hw
 * m324a_u2x8_uart1_noled_ee_ce_u4_hw m324p_u2x8_uart1_noled_ee_ce_hw
 * m324p_u2x8_uart1_noled_ee_ce_u4_hw m324pa_u2x8_uart1_noled_ee_ce_hw
 * m324pa_u2x8_uart1_noled_ee_ce_u4_hw m324pb_u2x8_uart1_noled_ee_ce_hw
 * m324pb_u2x8_uart1_noled_ee_ce_u4_hw m32u2_u2x8_uart0_noled_ee_ce_hw
 * m32u2_u2x8_uart0_noled_ee_ce_u4_hw m32u4_u2x8_uart0_noled_ee_ce_hw
 * m32u4_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u2x8_uart1_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0x472937dba7c1231f, 0xe2faa390f0da37b5, 0x892c79e6da038706, 0xa3e12fc4361222fb,
  0x33c5dc6e2545c8fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0x6e3cd84b997cdb12,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x24a71d14f257ee68, 0x00000000000000a0,
};

// m328pb_u2x8_uart1_lednop_pr
static const uint64_t ur_m328pb_u2x8_uart1_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x52fbfd9abf3e7acc, 0x6f6a8e526fb74f82, 0xa8f6b1df2c21e1b4, 0xe483f1c74fe0d05f, 0xa3486731602cb29b,
  0xffb30475e8f9d967, 0x07967b682cd22a01, 0x6dbf0313bbf6415a, 0x0c077eefcf020272, 0xe4a74026fcde6c8a,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xbb612e65f36dce45, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x91693a792bf73433, 0x000000000001f204,
};

static const uint64_t ur_m328pb_u2x8_uart1_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xe357e7cf59827c64, 0x72937dba7c1297df, 0x8ef9610f0da37b54, 0x8e3a7f0682fd47b5, 0x398b016594df241f,
  0x23af47cecb3d1a43, 0xdb416691500ffd98, 0x189ddfb20ad03cb3, 0xf77e781013936df8, 0x0137e6f36450603b,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x732f9b6e722adec5, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0001f263d5df439e,
};

// m328pb_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m328pb_u2x8_uart1_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0x5f9fcad304f8c9dd, 0x4df6e9f048a1ff8d, 0xb4738c368ded51ca, 0x0d31f51e56654d56, 0x0ef8ac3dfa8f8366,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7, 0xd96cb98b8484504f,
  0xeccf2a3608fd6e1b, 0x6dbf0313bbf60043, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xe873c95fb9a19961, 0x00000000275f249b,
};

// m328pb_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m328pb_u2x8_uart1_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff8d5f9f297304f8, 0x51ca4df6e9f049d2, 0x4ab8beb924368ded, 0xbee24b1e7804a9dd, 0x1fa8f84bf10d8488,
  0xeb2678bb8dcadf80, 0x3d67a8fd24f72c67, 0x1602a6222c71d3f8, 0x5e8f9d967a348673, 0x82cd22a01ffb33c7,
  0x4eefd905681e5adc, 0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x01baeb4f9f439e4a,
};

static const uint64_t ur_m328pb_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xf9fa1f9827c64eeb, 0xdf6e9f048e0ff8d5, 0x46fe4368ded51ca4, 0xf3c0254ef7d9dff5, 0xf309cee372e4492b,
  0xa3cafba94ed6563d, 0xdbfea3e0d9835afe, 0xa459a75a1140a62b, 0xd4752135f4616588, 0xed1923268e7576e3,
  0x7b56355e363af3a6, 0x6cb98b8484504f23, 0x67951b044c8e1bd9, 0xdf8189ddfb0b31f6, 0x03bf77e781013936,
  0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x1a2cb579726ae0f3,
  0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x053e873c95fb9a19,
  0x00000000000013f2,
};

static const uint64_t ur_m328pb_u2x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x4639fd35304f8c9d, 0x937dba7c12ff9fe2, 0xaa390f0da37b5472, 0xc79e6da03896ae2f, 0x12fc4361222fb892,
  0x771b8089300fea3e, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x4eefd8598fb33ca8,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa,
  0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000027e596f8baf,
};

/*
 * m164a_u2x8_uart1_lednop_ee_hw     m164p_u2x8_uart1_lednop_ee_hw     m164pa_u2x8_uart1_lednop_ee_hw
 * m324a_u2x8_uart1_lednop_ee_hw     m324p_u2x8_uart1_lednop_ee_hw     m324pa_u2x8_uart1_lednop_ee_hw
 * m324pb_u2x8_uart1_lednop_ee_hw    m8u2_u2x8_uart0_lednop_ee_hw      m16u2_u2x8_uart0_lednop_ee_hw
 * m16u4_u2x8_uart0_lednop_ee_hw     m32u2_u2x8_uart0_lednop_ee_hw     m32u4_u2x8_uart0_lednop_ee_hw
 * usb82_u2x8_uart0_lednop_ee_hw     usb162_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m328pb_u2x8_uart1_lednop_ee_hw[] = {
  0x77777625448651eb, 0x777774b0f20c8563, 0x84242c9c01ad2f77, 0x5b85fb38913bbc1e, 0x4eec4e765af5b179,
  0xfd87fcfe569827c6, 0x8e526fb74f82450f, 0x6ab5a39c61b46f6a, 0x1b30698fa8f2b32a, 0x422877c561efd47c,
  0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7, 0x82791bdab1aad743, 0x70decb65cc5c2422,
  0x021f667951b047eb, 0x13936df8189ddfb0, 0x6450603bf77e7810, 0xd4a7253a0137e6f3, 0x718de33a2077ca9b,
  0x722adec555169aba, 0x8dc79b09732f9b6e, 0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xdf0d4ea29e4afdcd, 0x0000000000000002,
};

/*
 * m328pb_u2x8_uart1_lednop_ee_ce_u4_hw m324a_u2x8_uart1_lednop_ee_ce_hw
 * m324a_u2x8_uart1_lednop_ee_ce_u4_hw m324p_u2x8_uart1_lednop_ee_ce_hw
 * m324p_u2x8_uart1_lednop_ee_ce_u4_hw m324pa_u2x8_uart1_lednop_ee_ce_hw
 * m324pa_u2x8_uart1_lednop_ee_ce_u4_hw m324pb_u2x8_uart1_lednop_ee_ce_hw
 * m324pb_u2x8_uart1_lednop_ee_ce_u4_hw m32u2_u2x8_uart0_lednop_ee_ce_hw
 * m32u2_u2x8_uart0_lednop_ee_ce_u4_hw m32u4_u2x8_uart0_lednop_ee_ce_hw
 * m32u4_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u2x8_uart1_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xca4df6e9f04bfe7f, 0xbea8e43c368ded51, 0x4b1e79b680e25ab8, 0xf84bf10d8488bee2,
  0xf1771b9494ce5fa8, 0x57dd4a76b736f7cc, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x0c4eefd8598fb33c,
  0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62,
  0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000a02b2dfa2,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x2860caeb036d2da0, 0xcac049dd3e25c40c, 0xb028a7072737cefc, 0x89fc1c7b9bd475f7,
  0x312bfcfdf04508e4, 0x7cdc4b400dc3e144, 0x32d01f110caaeef7, 0x7fd01cf09b7b8a84, 0x30586f2bc84b6e65,
  0xedd3e094e3ffcc2f, 0x57f86d1bdaa3949b, 0xf83487ea388a77cb, 0x17f0e6c906fc71d3, 0x8b762791bda398b0,
  0x5609fdc72c608ebc, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e,
  0xaba718de33a2077c, 0xb6e722adec555169, 0xb9357079b09732f9, 0x4b867a615c9f9fd8, 0x961d252d9f027196,
  0x71be873c95fb9a19, 0x0000000000065bfa,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x0c2860caeb036d2d, 0x7e657419dd3e25c4, 0xfbd8145383939be7, 0x7244fe0e3dcdea3a,
  0xa21895fe7ef82284, 0x7bbe6e472006e1f0, 0x4219680f88865577, 0x63ffe80e784dbdc5, 0x8730586f2bc84b6e,
  0x4df6e9f048f5fffe, 0xe5abfc368ded51ca, 0xd3f83487ea3dc33b, 0xb017f0e65ae4d471, 0x7916ec27d1a0b398,
  0x94ac349b8e58c11d, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xe804df9bcc077eef, 0x953e02d4e48a5abc,
  0xbc67440cbfc50216, 0x3cd84b997cdb4e31, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0xd6175e792bf73433, 0x0000000000018804,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x60caeb036d2da064, 0x7419dd3e25c40c28, 0x3a5381c398a5fe65, 0xfe0ea54dea3a56d8,
  0x95fe7ef822847244, 0xdcb1f006e1f0a218, 0xd0f9110caaeef77c, 0xd01cf0987c8a8432, 0xb0de579096de037f,
  0xa7c1209ffffd0e60, 0x50da37b5472937db, 0x621fd47c8a77cb13, 0x41e69c5ef8e3a7f0, 0x76b591d7f398b015,
  0xd500ffd9823af006, 0x549d03cb3db10e90, 0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc,
  0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000a49cf82175e79,
};

// m328pb_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m328pb_u2x8_uart1_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x1b696d0322525238, 0xf12e206143065758, 0x44da6bf32ba0cee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b972200, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xfffd0e60b0de5790, 0x472937dba7c12df7, 0x355ad1c890da37b5, 0x1b3060a7a8f2b5f7, 0x422877c5752bd47c,
  0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e, 0xc37b2fa598b84845,
  0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00159122f175e792,
};

// m328pb_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m328pb_u2x8_uart1_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0x2bac0db4b6819129, 0x6774f8971030a183, 0x3818fcc337f995d0, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x4982ffff43982c37, 0x8ded51ca4df6e9f0, 0x80e3a5b8bea80436, 0x8488bee24b1e79b6, 0x49faffa8f84bf10d,
  0xb19f52e678bb8dc1, 0x7f0752fd471bf3dc, 0xce62c050507c8e3a, 0x78ebc019dad6475f, 0x5b843a435403ff66,
  0xf9ddc549549d03cb, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xf62ebcf257ee6866, 0x00000000000d24da,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x0db4b6819129290e, 0xf8971030a1832bac, 0xbcc6b7f995d06774, 0xdea3c00d80a4387e,
  0x04508e489fc1dadc, 0xdc3e144312bfcfdf, 0x2abbbddf373bac00, 0x024542196869b443, 0x2dbcedffd01cf09b,
  0xfffa1cc161bcaf21, 0x1ca4df6e9f04ba7f, 0xbfea8dc9c368ded5, 0x683fe79b680e0d63, 0x59374c273b8dcca8,
  0xbe7a8f2b7f253b59, 0x4c5701bd47c1b306, 0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea,
  0x22a3e7ac6abc6c75, 0x37b2fa598b848450, 0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x1013936df8189ddf,
  0xf36450603bf77e78, 0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0xdce18edec555169a, 0xaf1b8f3612e65f36,
  0x75666fe0eee34596, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x0000002000745175,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0x0a1832bac0db4b68, 0xcb41ca774f897103, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x7c127f9fffa9c982, 0x0da37b5472937dba, 0xa4ec66ee2faa353d, 0x61222fb892c79e6d,
  0x83c83fea3e12fc43, 0xdcdcdd33c5dc6e6a, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be,
  0xb6e70c76f62aa8b4, 0xb9357079b09732f9, 0x66fe0fdbb1a2c6f8, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x0f54389f3c95fb9a, 0x0000000000000200,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeefafb263aea66, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0xe1fe609f192246e4, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x0d1369afccae833b, 0xf37a8f63fb0ff870,
  0x7c114239227f0743, 0x0370f8510c4aff3f, 0x8655777bbe6e5c88, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xdffb5fb982c3795e, 0xd51ca4df6e9f04b7, 0xdcd56b47224368de, 0xf06cc1829ea3cad7, 0xad08a1df15d4af51,
  0x9afa30b2c4522cd3, 0x756973297152e690, 0x3af512ed10a3dece, 0x1408a8f9eb1aad74, 0xb70decbe9662e121,
  0x50084feb151b047e, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0002bb4917d14f25,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7777d7933aef5337, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0xd3a9827c6494eb95, 0x81b696d032252521, 0x9f12e20614306575, 0xd798d6ff32ba0cee, 0x9bd47801b014870f,
  0xe08a11c913f83b5b, 0x1b87c2886257f9fb, 0x655777bbe6e77580, 0x6048a8432d0d3688, 0x25b79dbffa039e13,
  0xffb5fb982c3795e4, 0xa3949bedd3e0974f, 0x77fd51b9386d1bda, 0x3643fcf36d01c1ac, 0x959374c273b8dceb,
  0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c, 0x5ea25da2147bd9ce,
  0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0xfb27f157ceee2a4a, 0x81013936df8189dd,
  0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0xc3b1b8f3612e65f3,
  0xe04e34a1854e7ea6, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001d751d168a,
};

static const uint64_t ur_m328pb_u2x8_uart1_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbbebec7e44a99b, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0xf3d7304f8c91ed72, 0x606da5b40c894948, 0xa7c4b881850c195d, 0x8735257e6589ad3b, 0xdea3b3e6c3acce0c,
  0x04508e489fc19adc, 0xdc3e144312bfcfdf, 0x2abbbddf373a9c00, 0xe0c542196805a443, 0x2dbfebffd01cf098,
  0xff54e4c161bcaf21, 0x1ca4df6e9f049fe7, 0x8bea8d4f4368ded5, 0x4b1e795f581c19bb, 0xf84bf10d8488bee2,
  0xe2ee3714939bffa8, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06, 0xa909afa30b2c4522,
  0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9, 0xf3bb8a9296627f58,
  0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x05f4f257ee686658, 0x000000001d750d3e,
};

// m328pb_u2x12_uart1_noled_pr
static const uint64_t ur_m328pb_u2x12_uart1_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0xa7fb357e7f4a9827, 0x3f9b53eab74f8240, 0x9610f0da37b54729, 0xa7f0682fd47e80ef, 0x580b2ca67bed68e3,
  0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb3047, 0x3bbf60e3e07967b6, 0x77eefce726dbf031, 0x8ce4df9bc03ea0c0,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0x6c25ccbe6d892455, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x87494b659289c659, 0x2d274f257ee68665, 0x0000000000f90039,
};

static const uint64_t ur_m328pb_u2x12_uart1_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xfc6afcfe95304f8c, 0xcda9f55ba7c12053, 0x08786d1bdaa3949f, 0xf83417ea3f4077cb, 0x0596533df6b471d3,
  0x47ced5fd1eb0e62c, 0x6679500ffd9823af, 0xdfb071f03cb3db1f, 0xf77e73936df8189d, 0x726fcde01f50603b,
  0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x12e65f36c4922ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000003e4f2d2be87,
};

// m328pb_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m328pb_u2x12_uart1_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0xab74f82452ffc6af, 0xa37b547293f9b53e, 0x95c89355ad1ce30d, 0x5ea3e0d9834c7d47,
  0x2cd3ad08a1df15f7, 0x26909afa30b2c452, 0xe0b39d5a5e715c6b, 0x56ba1d79d376ded1, 0xe1211473c8c38d8d,
  0x823f5b86f65b2e62, 0x777ec00a89534a8d, 0xefddf9ce4db7e062, 0x19c9bf37807d4180, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xd84b997cdb1248ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x1cf257ee68665874, 0x00000009d71538fa,
};

// m328pb_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m328pb_u2x12_uart1_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe357e7cbacc13e32, 0xda9f55ba7c12f9df, 0x2486d1bdaa3949fc, 0xe7804a9dbf9717d7, 0xbf10d8488bee24b1,
  0xdc6e3fcc41fa8f84, 0x27a7b9633f5933c5, 0xe9238e9fc1eb3d47, 0x57f47ac398b0147c, 0x403ff6678ebd1f3b,
  0x71f03cb5b87d99e5, 0x73936df8189ddfb0, 0xcde01f50603bf77e, 0x2baa9cbca6c6726f, 0x16961738c6f19d10,
  0xbe6d89218edec555, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x06eba65a7d0e792b,
};

static const uint64_t ur_m328pb_u2x12_uart1_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0x6e9f0486b7f8d5f9, 0x6f6a8e527f36a7d5, 0x7810effaa37f21b4, 0xb9d66c87f9e012a7,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0, 0xfa30b2c4522cd3ad, 0x673abb74e23a909a,
  0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84, 0xfd859d12a6951b04, 0xbbf39c9b6fc0c4ee,
  0x937e6f00fa8301df, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0x3e873c95fb9a1996,
  0x000000000027e74f,
};

static const uint64_t ur_m328pb_u2x12_uart1_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0x73e9b7304f8c9dd8, 0x56e9f04866ffc48c, 0x46f6a8e527f36a7d, 0x70e0dc5f54721e1b, 0x445f71258f3cdb40,
  0x524fd47c25f886c2, 0x36f7ccf1771b9d1f, 0xd7f51e57d44a76b7, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb74e23a909afa30b, 0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1,
  0xc9b6fc0c4eefd859, 0xf00fa8301dfbbf39, 0xd54e5e53633937e6, 0x4b0b9c6378ce8815, 0x36c490c76f62aa8b,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fc1f82175e79,
};

/*
 * m164a_u2x12_uart1_noled_ee_hw     m164p_u2x12_uart1_noled_ee_hw     m164pa_u2x12_uart1_noled_ee_hw
 * m324a_u2x12_uart1_noled_ee_hw     m324p_u2x12_uart1_noled_ee_hw     m324pa_u2x12_uart1_noled_ee_hw
 * m324pb_u2x12_uart1_noled_ee_hw    m8u2_u2x12_uart0_noled_ee_hw      m16u2_u2x12_uart0_noled_ee_hw
 * m16u4_u2x12_uart0_noled_ee_hw     m32u2_u2x12_uart0_noled_ee_hw     m32u4_u2x12_uart0_noled_ee_hw
 * usb82_u2x12_uart0_noled_ee_hw     usb162_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m328pb_u2x12_uart1_noled_ee_hw[] = {
  0xeeec49dd44862d7b, 0xdddd2c2e4104ac6e, 0xe14f4c6dec33dddd, 0xcc4e0be17bbbbfc5, 0x751d94ad7640ccd8,
  0xc3fe7f024c13e327, 0xa9f55ba7c12297fe, 0x186d1bdaa3949fcd, 0xea3cae449aad68e7, 0xafbaf51f06cc1a63,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0xf68f059cead2f38a, 0x6c6ab5d0ebce9bb6, 0x73170908a39e461c,
  0x546c11fadc37b2d9, 0x0313bbf600544a9a, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea, 0x18de33a205755397,
  0x455bd8aaa2d2c2e7, 0x71e6c25ccbe6d892, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xf8d0e8a792bf7343, 0x00000000000000b7,
};

/*
 * m328pb_u2x12_uart1_noled_ee_ce_u4_hw m324a_u2x12_uart1_noled_ee_ce_hw
 * m324a_u2x12_uart1_noled_ee_ce_u4_hw m324p_u2x12_uart1_noled_ee_ce_hw
 * m324p_u2x12_uart1_noled_ee_ce_u4_hw m324pa_u2x12_uart1_noled_ee_ce_hw
 * m324pa_u2x12_uart1_noled_ee_ce_u4_hw m324pb_u2x12_uart1_noled_ee_ce_hw
 * m324pb_u2x12_uart1_noled_ee_ce_u4_hw m32u2_u2x12_uart0_noled_ee_ce_hw
 * m32u2_u2x12_uart0_noled_ee_ce_u4_hw m32u4_u2x12_uart0_noled_ee_ce_hw
 * m32u4_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u2x12_uart1_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x3eab74f824337fec, 0x0da37b547293f9b5, 0xa038706e2faa390f, 0x61222fb892c79e6d,
  0x545c8fea3e12fc43, 0xadcdbdf33c5dc6e2, 0x06b5fd4795f5129d, 0x814c5613fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd388ea426be8, 0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132,
  0xce726dbf0313bbf6, 0xf9bc03ea0c077eef, 0x0575539794d8ce4d, 0xa2d2c2e718de33a2, 0x97cdb12431dbd8aa,
  0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000005010fc1514f,
};

// m328pb_u2x12_uart1_lednop_pr
static const uint64_t ur_m328pb_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0x9fecd5f9f9c6609f, 0xfe6d4faadd3e092f, 0x5921c368ded51ca4, 0x9fc19a4f51c9e3be, 0x602dee987ce9238e,
  0xe2e766be4720a731, 0xc2b07dee39630475, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x1f21ce2d274f257e,
};

static const uint64_t ur_m328pb_u2x12_uart1_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0x1abf3e13e609f193, 0x6a7d56e9f04900ff, 0x1e1b46f6a8e527f3, 0x0d05fa8f6b1df2c2, 0xcb29be483f1c74fe,
  0x9d967a3486731602, 0x22a01ffb30475e8f, 0x6415a07967b682cd, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0,
  0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xedc83e873c95fb9a, 0x00000000000003e4,
};

// m328pb_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m328pb_u2x12_uart1_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0xadd3e0929eff1abf, 0x8ded51ca4fe6d4fa, 0x56654d56b4738c36, 0xfa8f83660d31f51e,
  0x669d68450ef8ac3d, 0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635,
  0x08fd6e1bd96cb98b, 0xbbf60043eccf2a36, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x275c9c5be873c95f,
};

// m328pb_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m328pb_u2x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe357e7d82cc13e32, 0xda9f55ba7c12387f, 0x2486d1bdaa3949fc, 0xcf00953ba95717d7, 0x7e21b09117dc4963,
  0x71b95bf003f51f09, 0xa49ee58cfd64cf17, 0x458e3a7f07acf51f, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2,
  0xad03cb5b9059a454, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x2be873c95fb9a199, 0x0000000000375f78,
};

static const uint64_t ur_m328pb_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xba7c12eafff1abf3, 0xbdaa3949fcda9f55, 0xefb3bfea8dfc86d1, 0xe5c89257e7804a9d,
  0x9dacac7be6139dc6, 0xb306b5fd4795f752, 0x22814c57b7fd47c1, 0xe8c2cb1148b34eb4, 0x1ceaedc7a8ea426b,
  0x6c75e74dda32464d, 0x08a09e46f6ac6abc, 0x991c37b2d9731709, 0xf61663eccf2a3608, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xe4d5c1e6c25ccbe6,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000027e2ec7d0e79,
};

static const uint64_t ur_m328pb_u2x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x1cfbfc9827c64eef, 0xaadd3e09068ff123, 0x68ded51ca4fe6d4f, 0x0e25ab8bea8e43c3, 0x488bee24b1e79b68,
  0x4c03fa8f84bf10d8, 0xcdbdf33c5dc6e022, 0xb5fd4795f7529dad, 0x4c57b7fd47c1b306, 0xcb1148b34eb42281,
  0xedc7a8ea426be8c2, 0xe74dda32464d1cea, 0x9e46f6ac6abc6c75, 0x37b2d973170908a0, 0x63eccf2a3608991c,
  0x726dbf0313bbf616, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xc4b682ebcf257ee6, 0x000000000000004f,
};

/*
 * m164a_u2x12_uart1_lednop_ee_hw    m164p_u2x12_uart1_lednop_ee_hw    m164pa_u2x12_uart1_lednop_ee_hw
 * m324a_u2x12_uart1_lednop_ee_hw    m324p_u2x12_uart1_lednop_ee_hw    m324pa_u2x12_uart1_lednop_ee_hw
 * m324pb_u2x12_uart1_lednop_ee_hw   m8u2_u2x12_uart0_lednop_ee_hw     m16u2_u2x12_uart0_lednop_ee_hw
 * m16u4_u2x12_uart0_lednop_ee_hw    m32u2_u2x12_uart0_lednop_ee_hw    m32u4_u2x12_uart0_lednop_ee_hw
 * usb82_u2x12_uart0_lednop_ee_hw    usb162_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m328pb_u2x12_uart1_lednop_ee_hw[] = {
  0x777624eea2435562, 0xdddd2c2e40add637, 0xd04c2aa1ed0bdddd, 0xb1e705f0bddddfe2, 0xe99169db618fde2f,
  0x87fcfefb9827c64e, 0x53eab74f824a7bfd, 0x30da37b547293f9b, 0xd4795995355ad1ce, 0xb0f7ea3e0d9834c7,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xc9193473ab4b9eab, 0x58d56ba1d79d3768, 0xe62e1211413c8ded,
  0xa8d823f5b86f65b2, 0x0c4eefd8010fb33c, 0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000016f9fadd1,
};

/*
 * m328pb_u2x12_uart1_lednop_ee_ce_u4_hw m324a_u2x12_uart1_lednop_ee_ce_hw
 * m324a_u2x12_uart1_lednop_ee_ce_u4_hw m324p_u2x12_uart1_lednop_ee_ce_hw
 * m324p_u2x12_uart1_lednop_ee_ce_u4_hw m324pa_u2x12_uart1_lednop_ee_ce_hw
 * m324pa_u2x12_uart1_lednop_ee_ce_u4_hw m324pb_u2x12_uart1_lednop_ee_ce_hw
 * m324pb_u2x12_uart1_lednop_ee_ce_u4_hw m32u2_u2x12_uart0_lednop_ee_ce_hw
 * m32u2_u2x12_uart0_lednop_ee_ce_u4_hw m32u4_u2x12_uart0_lednop_ee_ce_hw
 * m32u4_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m328pb_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0xa7d56e9f048347fb, 0xe1b46f6a8e527f36, 0xb40712d5c5f54721, 0x6c2445f71258f3cd,
  0xa4a672fd47c25f88, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x28092da514f257ee,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0x860caeb036d2da06, 0xac049dd3e25c40c2, 0x072670f9d3487fcc, 0x4fe0dfc9bd4728bb,
  0x895fe7ef82284724, 0xcdceaf006e1f0a21, 0x2d07bd10caaeef77, 0xfa039e130df8a843, 0x161bcaf212dbd4af,
  0x74f825dd7ff30bcc, 0x7b547293f9b53eab, 0x47114ef96aff0da3, 0xc7a48e3a7f0690fd, 0x1bda398b017f0e64,
  0xcb1823af22dd9af9, 0xf3bb8a929583ef71, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x253a0137e6f2dd41,
  0x0b4e02f7ca9bd4a7, 0xe31bc674408ea281, 0xab83cd84b997cdb4, 0x33d30ae4fcfec5c9, 0xe9296cf8138cb25c,
  0xf439e4afdcd0ccb0, 0x00000000196f8e2d,
};

// m328pb_u2x12_uart1_dual_pr_u4
static const uint64_t ur_m328pb_u2x12_uart1_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0x5d606da5b40c8949, 0x3ba7c4b881850c19, 0x702973305fccae83, 0xfee9bd4774bb0386,
  0xcfdf04508e489fc1, 0xf800dc3e144312bf, 0xf110caaeef77cdcf, 0xcf099ef8a8432d05, 0xe579096dea57fd01,
  0x09775fffd0e60b0d, 0x1ca4fe6d4faadd3e, 0x29df2c4d4368ded5, 0xe38e9fc1887f51f2, 0xce62c055079a717b,
  0x08ebc019dad6475f, 0xf6c43a435403ff66, 0xe777152552740f2c, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b,
  0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x685d79e4afdcd0cc, 0x0000000000524f59,
};

// m328pb_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m328pb_u2x12_uart1_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x36d2da0644a4a447, 0xe25c40c2860caeb0, 0xa99fe7e657419dd3, 0xdea3ffcd80683869,
  0x04508e489fc1f4fc, 0xdc3e144312bfcfdf, 0x955ddeef9b849400, 0xe4e2a10cb40e1a21, 0x96de87ffe80e784c,
  0xfffd0e60b0de5790, 0xcda9f55ba7c12d37, 0xe4486d1bdaa3949f, 0x53d4795afb9aad68, 0xe2ba95ea3e0d9830,
  0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0xa2147bd9cead2e65, 0x3d6355ae875ea25d, 0xd2cc5c242281151f,
  0x62a3608fd6e1bd97, 0x57ceee2a4a0109fd, 0x36df8189ddfb27f1, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x8598baf3c95fb9a1,
  0x00000000000000ac,
};

// m328pb_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m328pb_u2x12_uart1_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x036d2da0644a4a43, 0x3e25c40c2860caeb, 0x3736ed7e657419dd, 0x6f51c2d6c0c7ce03,
  0xc114239227f064ea, 0x370f8510c4aff3f7, 0x655777bbe6e75980, 0x4068a8432d072688, 0x12db8d6ffa039e13,
  0x3fffa1cc161bcaf2, 0xf9b53eab74f82581, 0xaa010da37b547293, 0xc79e6da038e96e2f, 0x12fc4361222fb892,
  0x2ee370527ebfea3e, 0xc6fcf72c67d4b99e, 0x1f238e9fc1d4bf51, 0xb591d7f398b01414, 0x00ffd99e3af00676,
  0x2740f2d6e10e90d5, 0xd93f8abe77715255, 0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3,
  0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x034923eb8baf3c95,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x1b696d032252520c, 0xf12e206143065758, 0xb9a61bf32ba0cee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xffe8730586f2bc84, 0xda9f55ba7c12b1ff, 0x9386d1bdaa3949fc, 0x36d01c1ac77fd51b, 0x4e771b9950d07fcf,
  0x56fe4a76b2b26e98, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291, 0x428f7b39d5db8ca1,
  0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac, 0xdbf0313bbf64fe2a,
  0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d,
  0xc1ddc68b2d5e371e, 0x9430a9cfd4eaccdf, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x2000e7c2ebcf257e,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0xa1832bac0db4b681, 0xb41ca774f8971030, 0x3219c292a6672fcc,
  0xf839869bd47eb3d8, 0x57f9fbe08a11c913, 0xe2e0801b87c28862, 0x063e88655777bbe6, 0x0e784dd5f150865a,
  0xde579096dcd6ffe8, 0x04b107ffea7260b0, 0x8e527f36a7d56e9f, 0xc5f546a7a1b46f6a, 0x1258f3cdb49d8cdd,
  0x47c25f886c2445f7, 0x78bb8dcd507907fd, 0x2b7f253b5b9b9ba6, 0xbd47c1b306be7a8f, 0xb34eb422814c5701,
  0xea426be8c2cb1148, 0x2147bd9ceaedc650, 0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa,
  0x7ceee2a4a5989fd6, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x3612e65f36dce18e, 0x763458df1726ae0f, 0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000004007d9e713,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual_ee_hw[] = {
  0xbba6d789a243573e, 0xdddf5f853ada99bb, 0xdd8becad4d7ddddd, 0x554368bbb625d96f, 0x2fbb37594a3f738b,
  0xee9827c64dc1b92e, 0x1b696d0322525223, 0xf12e206143065758, 0xd4cff3f32ba0cee9, 0x6f51ffe6c0341c34,
  0x822847244fe0fa7e, 0x6e1f0a21895fe7ef, 0xcaaeef77cdc24a00, 0x727150865a070d10, 0x4b6f43fff4073c26,
  0xff6bf730586f2bc8, 0xe6d4faadd3e0969b, 0x7224368ded51ca4f, 0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18,
  0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e, 0xe9662e1211408a8f,
  0xb151b047eb70decb, 0xabe77715250084fe, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x459d14f257ee6866, 0x00000000000002bb,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual_ee_ce_hw[] = {
  0xba6d789d41436f02, 0xddf5e36f26299bbb, 0x2162afdc89dddddd, 0xd32024775056caae, 0xc3e6be8b360f89ba,
  0xf5cc13e325d95c9f, 0x36d2da0644a4a418, 0xe25c40c2860caeb0, 0x734c37e657419dd3, 0xf51c526c3f5ce06b,
  0x22847244fe0eb7e6, 0xe1f0a21895fe7ef8, 0x55ddeef9b8000006, 0xba2a10cb422b2219, 0x6ded6ffe80e784d2,
  0xed7ee60b0de57909, 0xb53eab74f82563ff, 0x270da37b547293f9, 0x6da038358effaa37, 0x4e771b9d66c87f9e,
  0x56fe4a76b2b26e98, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291, 0x428f7b39d5db8ca1,
  0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac, 0xdbf0313bbf64fe2a,
  0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d,
  0x30a9cfd4d876371e, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c, 0xd7539f514f257ee6,
  0x0000000000000001,
};

static const uint64_t ur_m328pb_u2x12_uart1_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468a0ae, 0xeefafc763f14cddd, 0x83e44fdebdeeeeee, 0xa16ccf753927dda0, 0x5bd0faf6097d7aef,
  0x09f192afae5f5f7f, 0xb681912929196d26, 0x1030a1832bac0db4, 0x2fccb135a774f897, 0xb3d83219c292a667,
  0xc913f839869bd47e, 0x886257f9fbe08a11, 0xbbe6e2e0801b87c2, 0x865a063e88655777, 0xffe80e784dd5f150,
  0x60b0de579096dcd6, 0xb74f825883ffaa72, 0x37b547293f9b53ea, 0x066ee2faa353d0da, 0x2fb892c79e57d607,
  0xffea3e12fc436122, 0x9ba678bb8dc524e6, 0x7a8f2b7f253b5b9b, 0x5701bd47c1b306be, 0x1148b34eb422814c,
  0xc650ea426be8c2cb, 0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37,
  0x7f157ceee2a4a598, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3, 0x718de33a2077ca9b,
  0xe18edec555169aba, 0x1b8f3612e65f36dc, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x9cf2617d3c95fb9a, 0x0000000000000eba,
};

// m406_swio10_noled_pr
static const uint64_t ur_m406_swio10_noled[] = {
  0xd49bbbbbbacdc49f, 0x0ae55f6c29427b90, 0x06e9a0dc4c8866b6, 0x23c8471ea45f13b0, 0xa099fa5f17bba922,
  0x0c5bbc9ddcc490d5, 0xbcfc7b9827c60241, 0x135f2244ff43b5c3, 0xf8310fea3bde77cb, 0x0b7ba69c722c71d3,
  0x173b7408d679cc58, 0x2b1afb71cb1823af, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0xef5f47226b395daa,
  0xed5688af2b90954b, 0x01652a7d3bcfd6b9, 0x22810b4b0b9d4ea7, 0xb69c6378ce881385, 0x3f3fb0ddb09732f9,
  0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x0a92dc35f86792bf,
};

static const uint64_t ur_m406_swio10_noled_pr_u4[] = {
  0x89dddddda2446d4e, 0x5cabed852a1fb90b, 0x9ebf63410b2220c1, 0x03886d8cd9ef4f6c, 0xf31ad376e2638c61,
  0xf2774c4dc1d4660b, 0x3e609f180904316e, 0x8eebfd0ed70ef3e6, 0xf7a8f371df2c22fc, 0xa632a718e3a7f064,
  0x9ef476b1cc580b2c, 0xa01ffb30475e8f9d, 0x5aa07967b770d67a, 0x41cde46d7972ab55, 0xbeace75152a8d745,
  0xf5f47226b395daa5, 0xd5688af2b90954be, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e,
  0x83cd84b997cdb204, 0x30a9cfd41765c9ab, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x41e792bf734332c3, 0x000002ac83ab82d4,
};

// m406_swio10_noled_pr_ee_u4
static const uint64_t ur_m406_swio10_noled_pr_ee[] = {
  0x1fdddddda2447032, 0x572afb1a0083dc87, 0x4cf6a193348bbbf0, 0x838ca170cf0a313b, 0x44d861c8e3e3e35d,
  0x3bad88e76a7223f6, 0x304f8c048218b779, 0x37fe876b8779f383, 0x9c39aad68e3dfc8d, 0xa3e0d9833d7d4795,
  0xa75a1143be2b2ebe, 0x2135f4616588a459, 0x4e75697fdcb8d64d, 0x743af3a6eda52388, 0x21142628c45b1aad,
  0x3f5b86f65b2e62e1, 0xab50089aafea8d82, 0xd74541cde46d7972, 0xdaa5beace75152a8, 0x54bef5f47226b395,
  0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xb2048ab7b15545a5, 0xc9ab83cd84b997cd,
  0xf79430a9cfd41765, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x055441e792bf7343, 0x00000000001d641e,
};

// m406_swio10_noled_pr_ce_u4
static const uint64_t ur_m406_swio10_noled_pr_ce[] = {
  0x84dddddda2447768, 0x2b957df53697ee42, 0x91fd267c7fc49b58, 0x306b9bb2b6d4da2e, 0xa0b42f0adda11e45,
  0xb7793baec95f6ce2, 0xfd37304f8c048218, 0x7c8c09fe876b8779, 0xe9079de56b8beb22, 0x1b09117dc4963cf1,
  0x0d6e61bf51f097e2, 0xdcb19fac99e2ee37, 0x1d3f83c17ea3e493, 0xdac731602f740a47, 0xeccf1d7a3e767bd1,
  0x796b75c359ea807f, 0xe46d7972ab555aa0, 0xe75152a8d74541cd, 0x7226b395daa5beac, 0x8af2b90954bef5f4,
  0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x09732f9b640863b7, 0x9fa82ecb9357079b,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00d641d22fa883cf,
};

static const uint64_t ur_m406_swio10_noled_pr_ee_ce[] = {
  0x7eeeeeeea0a22a20, 0xcabed69fe9dee421, 0x76ad0f4c99fa5c15, 0x8efc8fd31a713b72, 0x455c85f90bf311af,
  0x47b16ad8d506e38d, 0x9f180904316ef277, 0xfa1dae1de7d36e60, 0x9dff54670fe458ff, 0x601fcf1e9079dd8f,
  0x63df309cee370112, 0x03d4795ba594ed65, 0x62b90fea3e0d9834, 0x588a459a75a1140a, 0xddfb8752135f4616,
  0x74ddb4a47109ceae, 0x8a3116c6abc6c75e, 0xbd96cb98b8484509, 0x9355fd51b044c8e1, 0x39bc8daf2e556a59,
  0xd59cea2a551ae8a8, 0xbe8e44d672bb54b7, 0xad115e57212a97de, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xa73f5361d9726ae0, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9,
  0x961d252d9f027196, 0xeea20f3c95fb9a19, 0x0000000001746e17,
};

static const uint64_t ur_m406_swio10_noled_pr_ee_ce_u4[] = {
  0xb46eeeeed1219f68, 0x572afa10b991f720, 0xcb75a5833b1f0bf0, 0x2e256d1dc1b5c7ae, 0x817c945fde45a090,
  0xc9dd2af44fd0b06e, 0x49827c602410c5bb, 0x620ff43b5c3bcf8a, 0x73105c5f5476ebe4, 0x17dc4963cf2e9070,
  0x1ff51f097e21b091, 0xef99e2ee373541e4, 0xd4795ba594ed6e6d, 0xb90fea3e0d983403, 0x8a459a75a1140a62,
  0xfb8752135f461658, 0xddb4a47109ceaedd, 0x3116c6abc6c75e74, 0x96cb98b84845098a, 0x55fd51b044c8e1bd,
  0xbc8daf2e556a5993, 0x9cea2a551ae8a839, 0x8e44d672bb54b7d5, 0x115e57212a97debe, 0x0d3bcf8b5d73daad,
  0x8ce881077536294f, 0xf62aa8b4b689c637, 0x612e65f36c810c76, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20f3c95fb9a19961, 0x000000ba370f574b,
};

static const uint64_t ur_m406_swio10_noled_ee_hw[] = {
  0x8feeeeeed121b705, 0x2b957d8d0041ee43, 0x13bb50c99a45ddf8, 0x5d838ca170cf0ad3, 0xf644d861c8e3e3e3,
  0x793bb61b656a4c23, 0x83304f8c048218b7, 0xfc8d37ffab8779f3, 0x47959c39aad68e3d, 0x2ebea3e0d9833d7d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23884e75697fdcb8, 0x1aad743af3a6eda5, 0x62e121142628c45b,
  0x8d823f5b86f65b2e, 0x7972ab50089aafea, 0x52a8d74541cde46d, 0xb395daa5beace751, 0xb90954bef5f47226,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x97cdb2048ab7b155, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000016ffe69d14f,
};

// m406_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m406_swio10_noled_ee_ce_hw[] = {
  0xb46eeeeed1219f68, 0x572afa10b991f720, 0xcb75a5833b1f0bf0, 0x2e256d1dc1b5c7ae, 0x817c945fde45a090,
  0xc9dd2af44fd0b06e, 0x49827c602410c5bb, 0xe4620ffd5c3bcf8a, 0x7073105c5f5476eb, 0x9117dc4963cf2e90,
  0xe41ff51f097e21b0, 0x6def99e2ee373541, 0x03d4795ba594ed6e, 0x62b90fea3e0d9834, 0x588a459a75a1140a,
  0xddfb8752135f4616, 0x74ddb4a47109ceae, 0x8a3116c6abc6c75e, 0xbd96cb98b8484509, 0x9355fd51b044c8e1,
  0x39bc8daf2e556a59, 0xd59cea2a551ae8a8, 0xbe8e44d672bb54b7, 0xad115e57212a97de, 0x4f0d3bcf8b5d73da,
  0x378ce88107753629, 0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xeaf453c95fb9a199, 0x000000000000a021,
};

// m406_swio10_lednop_pr
static const uint64_t ur_m406_swio10_lednop[] = {
  0x1a9377777759bb37, 0xc15cabed852b4f72, 0xc7eee1f1b4910cd6, 0x223c8471ed09bbf7, 0x9b1006dbe3fbba92,
  0x10c5bbc9ddb1ec86, 0x3bcfc069827c6024, 0xb135f20caff43b5c, 0x3f8310fea3fc877c, 0xc05bdd31eaf7c71d,
  0xbc5ced6b23e80e62, 0xb52b39edc72c608e, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x7f47226b8101395d,
  0x5688af2b90956ae9, 0x4d8b3a03cfd6b9ed, 0x02169ab9d5ea5859, 0x38c6f19d10363fc5, 0x7f61bb612e65f36d,
  0xc6592e19e985727e, 0x866587494b659289, 0x4fac6bf0cf257ee6, 0x000000000000002a,
};

static const uint64_t ur_m406_swio10_lednop_pr_u4[] = {
  0x4eeeeeed1222e59b, 0xe55f6c290bfdc85c, 0x0dbf30f85911060a, 0x1c550c6d97bc2b49, 0x8f75fbb7131c6308,
  0x4eef2589db93b1dd, 0xcc13e30120862dde, 0x3dffa1dae1de7d7d, 0xea3ce277cb08bf20, 0x18f3d638e9fc193d,
  0x44707ce62c059653, 0x1ffb30475e8f9dbe, 0x681e59edef7d02a0, 0x73791b5e5caad605, 0xab39d454aa35d150,
  0x89ae0404e576a96f, 0xbcae4255aba5fd1c, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0xccbe6d976455bd8a, 0xa0bb2e4d5c1e6c25, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0xc839c87ea20f3c95, 0x000000000000002a,
};

// m406_swio10_lednop_pr_ee_u4
static const uint64_t ur_m406_swio10_lednop_pr_ee[] = {
  0x8feeeeeed1222a20, 0x572afb1a068bee43, 0x583b988db48bbbf0, 0x60e3020a1682725d, 0x4b8bd87238f8f8d7,
  0x9dd1ec5ab6357d33, 0x9827c602410c5bbc, 0x72ff43b5c3bcfa5a, 0xca1cd56b471efe44, 0x51f06cc19ebea3ca,
  0xd3ad08a1df15b05f, 0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad,
  0x7eb70decb65cc5c2, 0xad402b86b3d51b04, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x5fd1c89ae0404e57,
  0x55a22bcae4255aba, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xe6c25ccbe6d97645,
  0x54e7ea0bb2e4d5c1, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x000003ac83992a20,
};

// m406_swio10_lednop_pr_ce_u4
static const uint64_t ur_m406_swio10_lednop_pr_ce[] = {
  0x84dddddda2447705, 0x2b957df537afee42, 0xfd3d1b6c47c49b58, 0x306bb4b37764d71e, 0x59108104dda11e45,
  0x5bbc9ddb0db2b526, 0xfc729827c602410c, 0x3e46fbff43b5c3bc, 0xf483ceedd5c5f591, 0x0d8488bee24b1e78,
  0x39699bffa8f84bf1, 0xdcb19fac99e2ee37, 0x1d3f83c17ea38293, 0x07ce62c050f68047, 0xb33c75e8f9dbe447,
  0x796b76f7d02a01ff, 0xe46d7972ab5815a0, 0xe75152a8d74541cd, 0xb8101395daa5beac, 0xb90956ae97f47226,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36cbb0c76f62aa8, 0xd9726ae0f3612e65,
  0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x1c21751079e4afdc, 0x0000000000000d64,
};

static const uint64_t ur_m406_swio10_lednop_pr_ee_ce[] = {
  0x42fddddddd4458e2, 0x2b957dad3e247dc8, 0xd89d6414d933f4b8, 0x5f1df4ef23414c8e, 0x123eb90bf217e623,
  0xee94e1eda7591ddc, 0xc13e30120862dde4, 0xd7fa1dae1de7dfe4, 0xed1dff54670fe46e, 0xa8b91fcf1e9079de,
  0x5958f7cc273b8dc4, 0x0d00f51e565d653b, 0x0298aca5fa8f8366, 0x85962291669d6845, 0xabb77ce1d484d7d1,
  0xaf3a6ec13d1af873, 0x192231bf6355e363, 0xe1bd96cb98b84845, 0xb3b86b3d51b044c8, 0x5073791b5e5caad4,
  0x6fab39d454aa35d1, 0x1c89ae0404e576a9, 0x22bcae4255aba5fd, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb2ec31dbd, 0xae4fcfec5c9ab8d8, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x7d90bb71f51079e4,
};

static const uint64_t ur_m406_swio10_lednop_pr_ee_ce_u4[] = {
  0x68dddddda2435f41, 0xae55f4217667ee41, 0x36ed0b37763e17e0, 0x5c4ad9914774cf6c, 0x6ea5d8bfbc8b4120,
  0x93bb45fdded71294, 0x3304f8c048218b77, 0x003fd0ed70ef3fd8, 0xc801717d51dbaf91, 0x5f71258f3cba41c1,
  0x2fd47c25f886c244, 0xdf33c5dc6e0523e7, 0xa8f2b2eb29dadcdb, 0x652fd47c1b306807, 0x148b34eb422814c5,
  0xe70ea426be8c2cb1, 0x7609e8d7c39d5dbb, 0x8dfb1aaf1b1d79d3, 0xb65cc5c24228c911, 0x59ea8d8226470dec,
  0xc8daf2e556a59dc3, 0xcea2a551ae8a839b, 0x7020272bb54b7d59, 0x7212ad5d2fe8e44d, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6d97618edec5551, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0xe8dd1a9c9641e792,
  0x0000000000000002,
};

static const uint64_t ur_m406_swio10_lednop_ee_hw[] = {
  0xc7f777776890c044, 0x2b957d8d0345f721, 0x25ddcc46da45ddf8, 0xd760e3020a16826f, 0x334b8bd87238f8f8,
  0xbc9dd4149cb421fd, 0x5a9827c602410c5b, 0xfe4472ffd5c3bcfa, 0xa3caca1cd56b471e, 0xb05f51f06cc19ebe,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0xd1af873ab4bfce5c, 0x1aad743af3a6ec13, 0xc5c24228c9118dfb,
  0x1b047eb70decb65c, 0xe5caad402b86b3d5, 0x4aa35d15073791b5, 0x4e576a96fab39d45, 0x5aba5fd1c89ae040,
  0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x76455bd8aaa2d241, 0x6371e6c25ccbe6d9,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xb7c6a728a792bf73, 0x0000000000000000,
};

// m406_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m406_swio10_lednop_ee_ce_hw[] = {
  0x68dddddda2435f41, 0xae55f4217667ee41, 0x36ed0b37763e17e0, 0x5c4ad9914774cf6c, 0x6ea5d8bfbc8b4120,
  0x93bb45fdded71294, 0x3304f8c048218b77, 0x91003ff570ef3fd8, 0xc1c801717d51dbaf, 0x445f71258f3cba41,
  0xe72fd47c25f886c2, 0xdbdf33c5dc6e0523, 0x07a8f2b2eb29dadc, 0xc5652fd47c1b3068, 0xb1148b34eb422814,
  0xbbe70ea426be8c2c, 0xd37609e8d7c39d5d, 0x118dfb1aaf1b1d79, 0xecb65cc5c24228c9, 0xc359ea8d8226470d,
  0x9bc8daf2e556a59d, 0x59cea2a551ae8a83, 0x4d7020272bb54b7d, 0xe57212ad5d2fe8e4, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6d97618edec55, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00000280a353a8a7,
};

// m406_swio11_noled_pr              m406_swio12_noled                 m406_swio12_noled_pr
static const uint64_t ur_m406_swio11_noled[] = {
  0xe889bbbbbacdfc4f, 0xcabed850bdfb909e, 0xea1c489910cd6c15, 0x90b89dd9fc1f4b8e, 0x6db195a6ecf74447,
  0x16ef277617ad1a82, 0x3e63e609f1809043, 0x07c8eebfd0ed70ef, 0x0ebffa8e989df2dd, 0x6f74c800f91c74fe,
  0x73b7488c9e398b01, 0x5821f71cb1823af1, 0xa0e6f236bcb955a9, 0xf57673a8a9546ba2, 0xafa391359caed52d,
  0xaad115e57212b637, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xd38c6f19d1023cbc, 0xe7f61bb612e65f36,
  0x9c6592e19e985727, 0x6866587494b65928, 0x522e06bf0cf257ee, 0x0000000000000001,
};

// m406_swio12_noled_pr_u4
static const uint64_t ur_m406_swio11_noled_pr_u4[] = {
  0x31c7bbbbb4488f62, 0x957db0a78ff72091, 0xf75643816444182b, 0xa0c004cde4b27aa6, 0xbc6beea44c718c21,
  0x3bb4cd19ea3bb1f0, 0x304f8c048218b779, 0xdfff43b5c3bcfbf9, 0xd47050ef96defe46, 0x0f680471d3f8326b,
  0x146229cc580b2ca6, 0x1ffb30475e8f9d93, 0x981e59eddac4f2a0, 0x73791b5e5caad508, 0xbb39d454aa35d150,
  0xd1c89ace576a96fa, 0x688af2b9095b1bd7, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0x9b09732f9b6c218a, 0x539fa82ecb935707, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0005590754d6a883,
};

// m406_swio11_noled_pr_ee_u4        m406_swio12_noled_pr_ee           m406_swio12_noled_pr_ee_u4
static const uint64_t ur_m406_swio11_noled_pr_ee[] = {
  0xc6beeeeed1222044, 0x957d8d0545f720eb, 0x3be3f6da45ddf82b, 0x99bd769648533df2, 0xdb0e471baf1aec1c,
  0x82939684334ad14a, 0xf8c048218b7793ba, 0xe876b8779f275304, 0x9aad68cc7fc8d9df, 0x0d983ea3d4795975,
  0xa1143be2b297ea3e, 0x5f4616588a459a75, 0x5697726b8d64d213, 0xaf3a6ec7aa3f90e7, 0x44428f7bb1aad743,
  0xb86f65b2e62e1211, 0x805d073ca8d823f5, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x7afa391359caed52,
  0xdaad115e57212b63, 0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x3156f62aa8b4b689, 0xe0f3612e65f36d84,
  0x0c2a73f505d9726a, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x1079e4afdcd0ccb0, 0x000000075907c635,
};

// m406_swio11_noled_pr_ce_u4        m406_swio12_noled_pr_ce           m406_swio12_noled_pr_ce_u4
static const uint64_t ur_m406_swio11_noled_pr_ce[] = {
  0xde4ddddda24477d6, 0xcabefa98d3f7205e, 0x2eedb75fe24dac15, 0xc7cfd833c7647f4d, 0x0f5c90dd2f6f2299,
  0xbc9dd7ad38b7ed04, 0xce9827c602410c5b, 0x4656ff43b5c3bcfe, 0x83cee575c5f5eebe, 0x8488bee24b1e78f4,
  0x87cb5fa8f84bf10d, 0x58cfd64cf1771b97, 0x9fc1acff51d7c9ee, 0x4e62c05dbf2fa38e, 0x9e3af47cec98a311,
  0xb5bad6279500ffd9, 0x36bcb955aa11303c, 0xa8a9546ba2a0e6f2, 0x359caed52df57673, 0xe57212b637afa391,
  0xbcf8b5d73daad115, 0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xccbe6db084c76f62, 0xa0bb2e4d5c1e6c25,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0xac83a682a20f3c95, 0x0000000000000001,
};

// m406_swio12_noled_pr_ee_ce
static const uint64_t ur_m406_swio11_noled_pr_ee_ce[] = {
  0x98eeeeeea0a232a8, 0xafb5a7e5dfb9005f, 0xa82593267e970572, 0x3e4a62685e4ed323, 0x57217e02fcc46bbd,
  0xad1ab59f5c112364, 0xc602410c5bbc9dd3, 0x43b5c3bcfe9a9827, 0xbfea8cbafc819bff, 0x23f9e3d20f3b19b3,
  0x7be6139dc6e737d5, 0x7a8f2b90f29dacac, 0x5670fd47c1b307a5, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x9bc8daf2e556a59f,
  0xd9cea2a551ae8a83, 0x8e44d672bb54b7d5, 0x445795c84ad8debe, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0xb09732f9b6c2131d, 0x9fa9b0ecb9357079, 0xf327f8138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0x51079e4afdcd0ccb, 0x00000000ba370f2f,
};

// m406_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m406_swio11_noled_pr_ee_ce_u4[] = {
  0x090ddddda2436812, 0x957d085ec4fb9041, 0xba34f17d8f85f82b, 0x106713ae0fd3d7ad, 0x35822fef22084817,
  0xeeefd85b535cdd33, 0xc13e30120862dde4, 0xfff43b5c3bcfe374, 0xdfb8bea8f4dfc8ad, 0x71258f3cba41c1ca,
  0xd47c25f886c2445f, 0x678bb8dc36ec291f, 0xe5721e53b5b9b7be, 0x1fa8f83660f4af51, 0x1669d68450298ace,
  0x1d484d7d18596229, 0x3d51fc873abb7393, 0xbb1aaf1b1d79d376, 0x2e62e121144428f7, 0xe546c1132386f65b,
  0x1b5e5caad4b3e839, 0xd454aa35d1507379, 0x9ace576a96fabb39, 0xf2b9095b1bd7d1c8, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0xe65f36d84263b7b1, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000ba370c9c4b20f,
};

// m406_swio12_noled_ee_hw
static const uint64_t ur_m406_swio11_noled_ee_hw[] = {
  0xc6beeeeed1219541, 0x957d8d0545f720eb, 0xbbe3f6da45ddf82b, 0x39337aed2c90da67, 0x95b61c8e375e35d8,
  0x740524cd39c695a2, 0x09f180904316ef27, 0xb3bff570ef3e4ea6, 0xb2eb355ad198ff91, 0xd47c1b307d47a8f2,
  0x34eb422877c5652f, 0xa426be8c2cb1148b, 0x21cead2ee4d71ac9, 0xae875e74dd8f547f, 0x242288851ef76355,
  0x47eb70decb65cc5c, 0x2ab500ba0e7951b0, 0x8d74541cde46d797, 0xdaa5beaece75152a, 0x56c6f5f47226b395,
  0xbae7b55a22bcae42, 0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xdb0862adec555169, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x00b7ff24e8a792bf,
};

// m406_swio11_noled_ee_ce_u4_hw     m406_swio12_noled_ee_ce_hw        m406_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m406_swio11_noled_ee_ce_hw[] = {
  0x090ddddda2436812, 0x957d085ec4fb9041, 0xba34f17d8f85f82b, 0x106713ae0fd3d7ad, 0x35822fef22084817,
  0xeeefd85b535cdd33, 0xc13e30120862dde4, 0xadfffd5c3bcfe374, 0xcadfb8bea8f4dfc8, 0x5f71258f3cba41c1,
  0x1fd47c25f886c244, 0xbe678bb8dc36ec29, 0x51e5721e53b5b9b7, 0xce1fa8f83660f4af, 0x291669d68450298a,
  0x931d484d7d185962, 0x763d51fc873abb73, 0xf7bb1aaf1b1d79d3, 0x5b2e62e121144428, 0x39e546c1132386f6,
  0x791b5e5caad4b3e8, 0x39d454aa35d15073, 0xc89ace576a96fabb, 0x8af2b9095b1bd7d1, 0x69de7c5aeb9ed568,
  0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a021939,
};

// m406_swio11_lednop_pr             m406_swio12_lednop                m406_swio12_lednop_pr
static const uint64_t ur_m406_swio11_lednop[] = {
  0xdd1137777759bb37, 0x5cabed852b4f7213, 0xeefaff0b910cd6c1, 0x3c85c4ed09bbf7c7, 0x200db7c7f767ba22,
  0x8b7793bb63d90d36, 0x9f80d304f8c04821, 0x83e4195fe876b877, 0x075ffd47f90ef96e, 0xb7ba63d5ef8e3a7f,
  0xb9dad647d01cc580, 0x5673db8e58c11d78, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xe44d7020272bb54b,
  0x8af2b9095cbd2fe8, 0x70173a03cb9ed568, 0x0b4ac22617a96bca, 0x6378ce881b1fe281, 0xb0ddb09732f9b69c,
  0x2c970cf4c2b93f3f, 0x32c3a4a5b2c944e3, 0xd635f86792bf7343, 0x0000000000001527,
};

// m406_swio12_lednop_pr_u4
static const uint64_t ur_m406_swio11_lednop_pr_u4[] = {
  0x38f777768911c056, 0xafb61405fee41226, 0x9b5ebc2c88830572, 0x0f8f803c5921ab46, 0xd88eea44c718c21a,
  0xbab072769917a6d4, 0x04f8c048218b7793, 0x7fe876b8779fa953, 0x8e801df2dbdfc88f, 0xf3a88e3a7f064d7a,
  0x8c6f9cc580b2ca67, 0xff6608ebd1f3b648, 0x07967b707fa45403, 0xde46d7972ab5976a, 0xce75152a8d74541c,
  0xb8101395daa5beae, 0x5c84ae5e97f47226, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881,
  0x7cdb6318ab7b1554, 0x765c9ab83cd84b99, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x3ff545441e792bf7, 0x0000000000002ac8,
};

// m406_swio11_lednop_pr_ee_u4       m406_swio12_lednop_pr_ee          m406_swio12_lednop_pr_ee_u4
static const uint64_t ur_m406_swio11_lednop_pr_ee[] = {
  0xc6beeeeed12232a8, 0x957d8d011ff720eb, 0xed85f00245ddf82b, 0x4cea2bd764160ef4, 0xed87238dd78d760e,
  0x3ad1ab59f1895c66, 0x7c602410c5bbc9dd, 0xe876b8779fa1f982, 0x9aad68cc7fc81adf, 0x0d983ea3d4795b05,
  0xa1143be2b53dea3e, 0x5f4616588a459a75, 0x569774ab8d64d213, 0xaf3a6ed22239b8e7, 0x42f88e32b1aad743,
  0xb86f65b2e62e1211, 0x8056b13ca8d823f5, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52,
  0x22bcae42572f4bfa, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6db18c55bd,
  0x7ea0bb2e4d5c1e6c, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x01d641f086a20f3c,
};

// m406_swio11_lednop_pr_ce_u4       m406_swio12_lednop_pr_ce          m406_swio12_lednop_pr_ce_u4
static const uint64_t ur_m406_swio11_lednop_pr_ce[] = {
  0xde4ddddda2445541, 0xcabefa9d05f7205e, 0x27600f4be24dac15, 0xe3e34cfda9bfa7a6, 0x5a8ac86e97b7914c,
  0xbc9dd0149334e734, 0xd69827c602410c5b, 0x45baff43b5c3bcf8, 0x83cef4ddc5f5eebe, 0x8488bee24b1e78f4,
  0xf9d67fa8f84bf10d, 0x58cfd64cf1771b8c, 0x3f8359fea3cbe9ee, 0xce62c058f7a5471d, 0x3c75e8f9db244637,
  0xd6e83fd22a01ffb3, 0xdaf2e556b2ed40f2, 0xa2a551ae8a839bc8, 0x0272bb54b7d5d9ce, 0x95cbd2fe8e44d702,
  0xaeb9ed5688af2b90, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x26ae0f3612e65f36,
  0xde50c2a73f505d97, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x3d51079e4afdcd0c, 0x00000000006b20fd,
};

// m406_swio12_lednop_pr_ee_ce
static const uint64_t ur_m406_swio11_lednop_pr_ee_ce[] = {
  0xbf31dddddd447e4a, 0xe55f6b4fc1bf7200, 0x17a6c6144cfd2e0a, 0xde9cbbe4a10589d8, 0x34ab90bf017e6235,
  0xe94a3adaafa27233, 0x13e30120862dde4e, 0xff43b5c3bcfdadcc, 0x41dff5465d7e4068, 0x1d257e78f483cec3,
  0xcac7be6139dc6e32, 0x7a57a8f2b29729da, 0x14c5650fd47c1b30, 0x2cb1148b34eb4228, 0x5db9d28ea426be8c,
  0xbce9bb4888e6e39d, 0x17c471958d578d8e, 0xc37b2d973170908a, 0x59dac4f2a3608991, 0xa839bc8daf2e556a,
  0x7d5d9cea2a551ae8, 0xe44d7020272bb54b, 0x8af2b9095cbd2fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0xb93f3fb1726ae361, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x1f642f8dd441e792,
};

// m406_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m406_swio11_lednop_pr_ee_ce_u4[] = {
  0x090ddddda243704a, 0x957d085c377b9041, 0xbaf5cfdd8f85f82b, 0x106762627791d015, 0xe8e22fef22084817,
  0xbaeb75c76bbdd914, 0x04f8c048218b7793, 0xbfd0ed70ef3e6b73, 0xfae2faa3d37f210f, 0xc4963cf2e9070710,
  0x51f097e21b09117d, 0x9e2ee3715d7185ff, 0x9594b94ed6e6def9, 0x7ea3e0d983d2bd47, 0x59a75a1140a62b28,
  0x752135f4616588a4, 0x4447371ceaedce94, 0xac6abc6c75e74dda, 0xb98b848450be238c, 0x951b044c8e1bd96c,
  0x6d7972ab52ced627, 0x5152a8d74541cde4, 0x01395daa5beaece7, 0x4ae5e97f47226b81, 0xd75cf6ab445795c8,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x6c6263b7b15545a4, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x703c9a59079e4afd,
  0x0000000000000ba3,
};

// m406_swio12_lednop_ee_hw
static const uint64_t ur_m406_swio11_lednop_ee_hw[] = {
  0xe35f77776890c582, 0xcabec6808ffb9075, 0xeec2f80122eefc15, 0x0e4cea2bd7643560, 0x66ed87238dd78d76,
  0xdd3b410f4b51895c, 0x827c602410c5bbc9, 0x1adffab8779fa1f9, 0x5b059aad68cc7fc8, 0xea3e0d983ea3d479,
  0x9a75a1143be2b53d, 0xd2135f4616588a45, 0xb8e7569774ab8d64, 0xd743af3a6ed22239, 0x121142f88e32b1aa,
  0x23f5b86f65b2e62e, 0x955a8056b13ca8d8, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x4bfa39135c0809ca,
  0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6db18c,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x6a728a792bf73433, 0x0000000000000b7e,
};

// m406_swio11_lednop_ee_ce_u4_hw    m406_swio12_lednop_ee_ce_hw       m406_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m406_swio11_lednop_ee_ce_hw[] = {
  0x090ddddda243704a, 0x957d085c377b9041, 0xbaf5cfdd8f85f82b, 0x106762627791d015, 0xe8e22fef22084817,
  0xbaeb75c76bbdd914, 0x04f8c048218b7793, 0x0fbff570ef3e6b73, 0x10fae2faa3d37f21, 0x7dc4963cf2e90707,
  0xff51f097e21b0911, 0xf99e2ee3715d7185, 0x479594b94ed6e6de, 0x287ea3e0d983d2bd, 0xa459a75a1140a62b,
  0x94752135f4616588, 0xda4447371ceaedce, 0x8cac6abc6c75e74d, 0x6cb98b848450be23, 0x27951b044c8e1bd9,
  0xe46d7972ab52ced6, 0xe75152a8d74541cd, 0x8101395daa5beaec, 0xc84ae5e97f47226b, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x000a020793a29e4a,
};

// m406_swio13_noled_pr
static const uint64_t ur_m406_swio13_noled[] = {
  0x2caddddddd66ef3a, 0x15cabed853c5fb90, 0x1eee1f1b4910cd6c, 0x23c8244ebc864f6a, 0x80db26635f74b2a2,
  0x316ef277417a09ac, 0x79f7f2609f180904, 0xd27c8dbffe876b87, 0xf07cf7a8f109df2d, 0x16f74da52d78e3a7,
  0x2e76b868c9a398b0, 0x2b2bfee39630475e, 0x541cde46d7972ab5, 0xa9bece75152a8d74, 0xd1c89ace576a96fa,
  0x445795c84ab57bd7, 0x953e9de7eb5cf6ab, 0x85a585cea75380b2, 0x31bc674408bf7140, 0xd86ed84b997cdb4e,
  0x964b867a615c9f9f, 0x9961d252d964a271, 0x3a1afc33c95fb9a1, 0x0000000000000548,
};

static const uint64_t ur_m406_swio13_noled_pr_u4[] = {
  0x69bbbbbb4488aaac, 0x5cabed85331f7203, 0x15b7e61f0b2220c1, 0x8870b8edba114dee, 0x82fe3fba3691c630,
  0xe4eef91477b139a9, 0x34c13e30120862dd, 0x0657fa1dae1de7e0, 0x3d4797c77cb41ff9, 0x68f7a5471d3f83e8,
  0x2147bd9cc580b2ca, 0x01ffb30475e8f9da, 0x5b81e59ed88a4d2a, 0x073791b5e5caad5f, 0x6fb39d454aa35d15,
  0x7226b395daa5beaa, 0x15e57212ad5ef5f4, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378,
  0xc25ccbe6d8c9156f, 0xe7ea0bb2e4d5c1e6, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x015641dfaa2a20f3,
};

// m406_swio13_noled_pr_ee_u4
static const uint64_t ur_m406_swio13_noled_pr_ee[] = {
  0x88eeeeeed1222582, 0x572afb1a0b23ee41, 0xe4bb988db48bbbf0, 0x1f6dd051a6b4791d, 0xc19b0e471b111aec,
  0xba76821e96a5c647, 0x04f8c048218b7793, 0xbfd0ed70ef3fd5f3, 0x4b9aad68dfcf9115, 0x7c1b30613fd47959,
  0xeb422877c5650fd4, 0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae,
  0xd6e1bd96cb98b848, 0xd402e9305aa3608f, 0xd15073791b5e5caa, 0xeaa6fb39d454aa35, 0x5f47226b395daa5b,
  0xad115e57212ad5ef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0x1e6c25ccbe6d8c91,
  0x854e7ea0bb2e4d5c, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x0f3c95fb9a19961d, 0x000000eb20ebb2a2,
};

// m406_swio13_noled_pr_ce_u4
static const uint64_t ur_m406_swio13_noled_pr_ce[] = {
  0x8bdddddda2446f43, 0x572afbea742fdc87, 0x5c7a36d88f8936b0, 0x63af8678bde99a5d, 0xa2d055a377c5bc8a,
  0xdde4eeb4efb5bb2a, 0xe2b4c13e30120862, 0xf22577fa1dae1de7, 0x483cef7ddc5f5dbf, 0xd8488bee24b1e78f,
  0x30ccf9fa8f84bf10, 0xe58cfd64cf1771b9, 0x74fe0c9ef51e6e9e, 0xbd9cc580a654e31c, 0xb33c75e8f9da2147,
  0x796b708a4d2a01ff, 0xe46d7972ab57d6e0, 0xe75152a8d74541cd, 0xace576a96faa9bec, 0x5c84ab57bd7d1c89,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0x05d9726ae0f3612e,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0xac8396751079e4af, 0x0000000000000001,
};

static const uint64_t ur_m406_swio13_noled_pr_ee_ce[] = {
  0x8fddddddd4144511, 0xb957dad3f1c7dc85, 0x89d6414d933f4b82, 0xec9ac1a66f5cc8ed, 0x68ab90bf2c7e6235,
  0xeabe67da58919c1b, 0x13e30120862dde4e, 0xff43b5c3bcfcedcc, 0xe1dff54652fe47fc, 0x1ba1fe78f483ceff,
  0x2b1ef984e771b860, 0x9ebea3cace1ca76b, 0x5315975f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e4ac3a909afa30,
  0xf3a6edd423c90e75, 0xf22383f6355e363a, 0x1bd96cb98b848451, 0x9f4982d51b044c8e, 0x839bc8daf2e556a5,
  0x37d9cea2a551ae8a, 0x391359caed52df55, 0x8af2b90956af7afa, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0xc25ccbe6d8c863b7, 0x7ea6c3b2e4d5c1e6, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343,
  0x3a4a5b3e04e32c97, 0x441e792bf734332c, 0x00000002e8dc70a5,
};

static const uint64_t ur_m406_swio13_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431bc1, 0xae55f4217817ee41, 0x76ed0b37763e17e0, 0x5c717e4e4666275a, 0x1bba70bfbc8c8120,
  0x277475d35f7bb29c, 0xe609f180904316ef, 0x5dffa1dae1de7ff5, 0x35ddc5f547b3be43, 0xfb892c79e5d20e0e,
  0xfea3e12fc4361222, 0xf33c5dc6e720eaeb, 0x8f2b38729dadcdbd, 0x5d7d47c1b3067afa, 0x48b34eb422814c56,
  0xb0ea426be8c2cb11, 0xb7508f2439d5db92, 0x0fd8d578d8ebce9b, 0xb2e62e121147c88e, 0x0b546c1132386f65,
  0x236bcb955a967d26, 0x3a8a9546ba2a0e6f, 0x672bb54b7d54df67, 0xe4255abdebe8e44d, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x05d1badc8259079e,
};

static const uint64_t ur_m406_swio13_noled_ee_hw[] = {
  0x88eeeeeed121b032, 0x572afb1a0b23ee41, 0x23bb988db48bbbf0, 0xd83edba0a34d68df, 0x8f83361c8e362235,
  0x2775b11ced4e4b8c, 0xe609f180904316ef, 0x222b7feae1de7fab, 0xf2b297355ad1bf9f, 0x1fa8f83660c27fa8,
  0x1669d68450ef8aca, 0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6,
  0xc11fadc37b2d9731, 0xb955a805d260b546, 0x546ba2a0e6f236bc, 0x54b7d54df673a8a9, 0xabdebe8e44d672bb,
  0xe7b55a22bcae4255, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x16f9ac1514f257ee,
};

// m406_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m406_swio13_noled_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0xae55f4217817ee41, 0x76ed0b37763e17e0, 0x5c717e4e4666275a, 0x1bba70bfbc8c8120,
  0x277475d35f7bb29c, 0xe609f180904316ef, 0x435dffeae1de7ff5, 0x0e35ddc5f547b3be, 0x22fb892c79e5d20e,
  0xebfea3e12fc43612, 0xbdf33c5dc6e720ea, 0xfa8f2b38729dadcd, 0x565d7d47c1b3067a, 0x1148b34eb422814c,
  0x92b0ea426be8c2cb, 0x9bb7508f2439d5db, 0x8e0fd8d578d8ebce, 0x65b2e62e121147c8, 0x260b546c1132386f,
  0x6f236bcb955a967d, 0x673a8a9546ba2a0e, 0x4d672bb54b7d54df, 0xcae4255abdebe8e4, 0x79f16bae7b55a22b,
  0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x732f9b63218edec5, 0xa73f505d8dc79b09, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000005015b90a2,
};

// m406_swio13_lednop_pr             m406_swio13_lednop_pr_u4
static const uint64_t ur_m406_swio13_lednop[] = {
  0xd377777689119391, 0x72afb614b1fee406, 0x26b075302c888305, 0x8873312e35a2d1a8, 0xe3bf4bba3691c630,
  0xe4eef4e323b626c9, 0x2cc13e30120862dd, 0x0c7ffa1dae1de7ca, 0x3d47d28ef9683ff2, 0xd01827c71d3f83e8,
  0xf88e32398b016594, 0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x39bc8daf2e556b70, 0x7d9cea2a551ae8a8,
  0xc0809caed52df553, 0x7212b924bfa39135, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204,
  0xf36d02a2adec5551, 0xd9726ae0f3612e65, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xe80ad51079e4afdc, 0x000000000000ab20,
};

// m406_swio13_lednop_pr_ee_u4
static const uint64_t ur_m406_swio13_lednop_pr_ee[] = {
  0x311dddddda244511, 0x0ae55f6340697dc8, 0x65de82f2e291777e, 0x07db7646829b1d3b, 0x33f6c391c6c446bb,
  0xeeabe67da58a99fd, 0xc13e30120862dde4, 0x0ffa1dae1de7c2d4, 0x53d355ad1bf9f20e, 0x8f83660c27fa8f2b,
  0x9d68450ef8af027a, 0x84d7d18596229166, 0x39d5a5e43ae35934, 0xd0ebce9bb7748c14, 0x08a26e47916c6ab5,
  0xfadc37b2d9731709, 0xad4021149a546c11, 0x5d15073791b5e5ca, 0xbeaa6fb39d454aa3, 0x7226b8101395daa5,
  0x22bcae42572497f4, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6da05455bd,
  0x7ea0bb2e4d5c1e6c, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00eb20e812a20f3c,
};

// m406_swio13_lednop_pr_ce_u4
static const uint64_t ur_m406_swio13_lednop_pr_ce[] = {
  0x8bdddddda2447032, 0x2b957df53083dc87, 0xed33d2e233c49b58, 0x298ebe85c33c28c4, 0x223f644d8ddf16f2,
  0x8b7793bad88e76a7, 0x9f383304f8c04821, 0xffc8d37fe876b877, 0x3d20f3bd9d717d76, 0x4361222fb892c79e,
  0xc66fa547ea3e12fc, 0xf72c67eb2678bb8d, 0xe3a7f064f7a8f38c, 0x7191cc580a63cf58, 0xfb33c75e8f9d97c4,
  0x1e5adc37ee1aa01f, 0x791b5e5caad6e1c8, 0x39d454aa35d15073, 0x01395daa5beaa6fb, 0x2572497f47226b81,
  0x6bae7b55a22bcae4, 0xa417296be74078e5, 0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0xc9ab83cd84b997cd,
  0xf79430a9cfd41765, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x055441e792bf7343, 0x00000000000d641e,
};

static const uint64_t ur_m406_swio13_lednop_pr_ee_ce[] = {
  0x58fddddddd447768, 0x2b957dad3f707dc8, 0xb33d2b648133f4b8, 0x5ec9c7158351605e, 0xb5c6b90bf2c7e623,
  0xeebb257db38b2723, 0xc13e30120862dde4, 0xdffa1dae1de7f104, 0x6d9dff54652fe426, 0x9124afcf1e9079da,
  0x5958f7cc273b8dcb, 0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1,
  0xd79d376ee9182873, 0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x2a0e6f236bcb955a,
  0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x795c84ae492fe8e4, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b681463b7b15, 0x9f9fd8b93571b097, 0xa271964b867a615c, 0xb9a19961d252d964,
  0x642fa72a20f3c95f, 0x000000000000001f,
};

static const uint64_t ur_m406_swio13_lednop_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0xae55f4217375ee41, 0x16ed0586763e17e0, 0x5c717c0bc9dc975b, 0x528488bfbc8c8120,
  0x93bb5aaefdd9b7ac, 0x7304f8c048218b77, 0x293fd0ed70ef3f78, 0xc149717d51ecef90, 0x5f71258f3cba41c1,
  0xefd47c25f886c244, 0xef99e2ee373ce5d4, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62,
  0x21c752135f461658, 0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b,
  0xbc8daf2e556a5988, 0x9cea2a551ae8a839, 0x809caed52df5537d, 0x12b924bfa39135c0, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xda0518edec555169, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xddbc949641e792bf,
  0x00000000000002e8,
};

static const uint64_t ur_m406_swio13_lednop_ee_hw[] = {
  0xc47777776890ca20, 0x2b957d8d01a5f720, 0x9dba0bcb8a45ddf8, 0xd83edbb23414d8de, 0xe99fb61c8e362235,
  0x27747b16ad8d54cf, 0xa609f180904316ef, 0x90707ff570ef3e16, 0x795a9e9aad68dfcf, 0x13d47c1b30613fd4,
  0x8b34eb422877c578, 0xc9a426be8c2cb114, 0x60a1cead2f21d71a, 0x55ae875e74ddbba4, 0xb8484513723c8b63,
  0x608fd6e1bd96cb98, 0x2e556a0108a4d2a3, 0x551ae8a839bc8daf, 0xd52df5537d9cea2a, 0xbfa39135c0809cae,
  0xaad115e57212b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xf3612e65f36d02a2,
  0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x15d453c95fb9a199, 0x000000000000b7c4,
};

// m406_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m406_swio13_lednop_ee_ce_hw[] = {
  0x90dddddda2431000, 0xae55f4217375ee41, 0x16ed0586763e17e0, 0x5c717c0bc9dc975b, 0x528488bfbc8c8120,
  0x93bb5aaefdd9b7ac, 0x7304f8c048218b77, 0x90293ff570ef3f78, 0xc1c149717d51ecef, 0x445f71258f3cba41,
  0xd4efd47c25f886c2, 0x6def99e2ee373ce5, 0xd7d479594394ed6e, 0x62b60bea3e0d9833, 0x588a459a75a1140a,
  0xdd21c752135f4616, 0x74ddbba460a1ceae, 0xe47916c6abc6c75e, 0x7b2d973170908a26, 0x88a4d2a3608991c3,
  0x39bc8daf2e556a59, 0x7d9cea2a551ae8a8, 0xc0809caed52df553, 0x7212b924bfa39135, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x000280b792a8a792,
};

// m406_swio14_noled_pr
static const uint64_t ur_m406_swio14_noled[] = {
  0xd49bbbbbbacdfc4f, 0x15cabed850bdfb90, 0x8eea1c489910cd6c, 0x4790b89dd9fc1f4b, 0x4136d8cad3775244,
  0x218b7793bb0bd68d, 0x779f31f304f8c048, 0x6e83e4775fe876b8, 0x7f075ffd474c4ef9, 0x80b7ba64007c8e3a,
  0x78b9dba4464f1cc5, 0xd4ac10fb8e58c11d, 0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xf7f47226b3a6e576,
  0xdaad115e57212b63, 0x02ca54fa779fad73, 0xc5021696173a9d4e, 0x6d38c6f19d1023cb, 0x7e7f61bb612e65f3,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x1522e06bf0cf257e,
};

static const uint64_t ur_m406_swio14_noled_pr_u4[] = {
  0x713bbbbbb4488f62, 0x2b957db0a78ff721, 0xa6f7564381644418, 0x21a0c004cde4b27a, 0xf0bc6beedc4c718c,
  0x793bb4cd19ea3bb1, 0xf9304f8c048218b7, 0x46dfff43b5c3bcfb, 0x6bd47050ef96defe, 0xa60f680471d3f832,
  0x93146229cc580b2c, 0xa01ffb30475e8f9d, 0x08981e59eddac4f2, 0x5073791b5e5caad5, 0x6fab39d454aa35d1,
  0xf47226b3a6e576a9, 0xad115e57212b63f7, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6,
  0xf3612e65f36d8431, 0x2a73f505d9726ae0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x0000ab20ea9ad510,
};

// m406_swio14_noled_pr_ee_u4
static const uint64_t ur_m406_swio14_noled_pr_ee[] = {
  0x8feeeeeed1222044, 0x572afb1a0a8bee43, 0xe477c7edb48bbbf0, 0x39337aed2c90a67b, 0x95b61c8e3e3e35d8,
  0x7505272d086695a2, 0x09f180904316ef27, 0xbfd0ed70ef3e4ea6, 0xeb355ad198ff91b3, 0x7c1b307d47a8f2b2,
  0xeb422877c5652fd4, 0x26be8c2cb1148b34, 0xcead2ee4d71ac9a4, 0x875e74dd8f547f21, 0x2288851ef76355ae,
  0xeb70decb65cc5c24, 0xb500ba0e7951b047, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0xfdfd1c89ace9b95d,
  0xf6ab445795c84ad8, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0xb83cd84b997cdb61,
  0x430a9cfd41765c9a, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x441e792bf734332c, 0x00000001d641f18d,
};

// m406_swio14_noled_pr_ce_u4
static const uint64_t ur_m406_swio14_noled_pr_ce[] = {
  0x84dddddda24477d6, 0x2b957df531a7ee42, 0x9a5ddb6ebfc49b58, 0x338f9fb0678ec8fe, 0x040f5c90dda11e45,
  0x5bbc9dd7ad38b7ed, 0xfece9827c602410c, 0xbe4656ff43b5c3bc, 0xf483cee575c5f5ee, 0x0d8488bee24b1e78,
  0x9787cb5fa8f84bf1, 0xee58cfd64cf1771b, 0x8e9fc1acff51d7c9, 0x114e62c05dbf2fa3, 0xd99e3af47cec98a3,
  0x3cb5bad6279500ff, 0xf236bcb955aa1130, 0x73a8a9546ba2a0e6, 0x4d674dcaed52df56, 0xbcae4256c7efe8e4,
  0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0xb997cdb61098edec, 0xd41765c9ab83cd84,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x359074d05441e792,
};

static const uint64_t ur_m406_swio14_noled_pr_ee_ce[] = {
  0x7eeeeeeea0a232a8, 0xcabed69f977ee421, 0x8ea0964c99fa5c15, 0xf4f92989a1793b4c, 0x915c85f90bf311ae,
  0x4eb46ad67d70448d, 0x9f180904316ef277, 0xfd0ed70ef3fa6a60, 0xceffaa32ebf2066f, 0x548fe78f483cec66,
  0xb1ef984e771b9cdf, 0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b,
  0x3a6ec7aa3f90e757, 0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x0e6f236bcb955a96,
  0xf5673a8a9546ba2a, 0x8e44d674dcaed52d, 0xa22bcae4256c7efe, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0xd84b997cdb61098e, 0xcfd4d8765c9ab83c, 0x7993fc09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0xa883cf257ee68665, 0x000000005d1b8797,
};

static const uint64_t ur_m406_swio14_noled_pr_ee_ce_u4[] = {
  0x68dddddda2436812, 0xae55f4217b13ee41, 0xb6e8d3c5f63e17e0, 0x5c419c4eb83f4f5e, 0xccd608bfbc8b4120,
  0x93bbbf616d4d7374, 0xd304f8c048218b77, 0xb7ffd0ed70ef3f8d, 0x2b7ee2faa3d37f22, 0x7dc4963cf2e90707,
  0x7f51f097e21b0911, 0xf99e2ee370dbb0a4, 0x4795c8794ed6e6de, 0x387ea3e0d983d2bd, 0xa459a75a1140a62b,
  0x4c752135f4616588, 0xd8f547f21ceaedce, 0xdeec6abc6c75e74d, 0x6cb98b84845110a3, 0xe7951b044c8e1bd9,
  0xe46d7972ab52cfa0, 0xe75152a8d74541cd, 0x9ace9b95daa5beac, 0x795c84ad8fdfd1c8, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xa73f505d8dc79b09, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0005d1b864e25907,
};

static const uint64_t ur_m406_swio14_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x572afb1a0a8bee43, 0xcf77c7edb48bbbf0, 0xb07266f5da5921b4, 0x452b6c391c7c7c6b,
  0x4ee80a499a738d2b, 0x4c13e30120862dde, 0x23677feae1de7c9d, 0xe565d66ab5a331ff, 0x5fa8f83660fa8f51,
  0x1669d68450ef8aca, 0x93484d7d18596229, 0xfe439d5a5dc9ae35, 0xab5d0ebce9bb1ea8, 0xb84845110a3deec6,
  0x608fd6e1bd96cb98, 0x2e556a01741cf2a3, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a, 0x95b1fbfa391359d3,
  0xaeb9ed5688af2b90, 0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002dffc93a29e4af,
};

// m406_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m406_swio14_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0xae55f4217b13ee41, 0xb6e8d3c5f63e17e0, 0x5c419c4eb83f4f5e, 0xccd608bfbc8b4120,
  0x93bbbf616d4d7374, 0xd304f8c048218b77, 0x22b7fff570ef3f8d, 0x072b7ee2faa3d37f, 0x117dc4963cf2e907,
  0xa47f51f097e21b09, 0xdef99e2ee370dbb0, 0xbd4795c8794ed6e6, 0x2b387ea3e0d983d2, 0x88a459a75a1140a6,
  0xce4c752135f46165, 0x4dd8f547f21ceaed, 0xa3deec6abc6c75e7, 0xd96cb98b84845110, 0xa0e7951b044c8e1b,
  0xcde46d7972ab52cf, 0xace75152a8d74541, 0xc89ace9b95daa5be, 0x45795c84ad8fdfd1, 0x34ef3e2d75cf6ab4,
  0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x09732f9b6c2131db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005010c9c,
};

// m406_swio14_lednop_pr
static const uint64_t ur_m406_swio14_lednop[] = {
  0x1a9377777759bb37, 0xc15cabed852b4f72, 0xc7eefaff0b910cd6, 0x223c85c4ed09bbf7, 0x9b1006dbe3fbba92,
  0x10c5bbc9ddb1ec86, 0x3bcfc069827c6024, 0xb741f20caff43b5c, 0x3f83affea3fc877c, 0xc05bdd31eaf7c71d,
  0xbc5ced6b23e80e62, 0xb52b39edc72c608e, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d,
  0x445795c84ae5f63d, 0x5380b9d01e5cf6ab, 0x085a561130bd4b5e, 0xe31bc67440d8ff14, 0xfd86ed84b997cdb4,
  0x1964b867a615c9f9, 0x19961d252d964a27, 0x3eb1afc33c95fb9a, 0x00000000000000a9,
};

static const uint64_t ur_m406_swio14_lednop_pr_u4[] = {
  0x277777768911c056, 0x72afb61405fee42e, 0x469b5ebc2c888305, 0x1a0f8f803c5921ab, 0xd4d88eedc4c718c2,
  0x93bab072769917a6, 0x5304f8c048218b77, 0x8f7fe876b8779fa9, 0x7a8e801df2dbdfc8, 0x67f3a88e3a7f064d,
  0x488c6f9cc580b2ca, 0x03ff6608ebd1f3b6, 0x6a07967b707fa454, 0x1cde46d7972ab597, 0xeace75152a8d7454,
  0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x97cdb6318ab7b155, 0x1765c9ab83cd84b9, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x83ff545441e792bf, 0x00000000000002ac,
};

// m406_swio14_lednop_pr_ee_u4
static const uint64_t ur_m406_swio14_lednop_pr_ee[] = {
  0x8feeeeeed12232a8, 0x572afb1a023fee43, 0xe9db0be0048bbbf0, 0x1c99d457aec82c1d, 0xcddb0e471f1f1aec,
  0xba75a356b3e312b8, 0x04f8c048218b7793, 0xbfd0ed70ef3f43f3, 0x0b355ad198ff9035, 0x7c1b307d47a8f2b6,
  0xeb422877c56a7bd4, 0x26be8c2cb1148b34, 0xcead2ee9571ac9a4, 0x875e74dda4447371, 0x2285f11c656355ae,
  0xeb70decb65cc5c24, 0xb500ad627951b047, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d,
  0x445795c84ae5f63d, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x84b997cdb6318ab7,
  0xcfd41765c9ab83cd, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x003ac83e10d441e7,
};

// m406_swio14_lednop_pr_ce_u4
static const uint64_t ur_m406_swio14_lednop_pr_ce[] = {
  0x84dddddda2445541, 0x2b957df53a0bee42, 0x4c4ec01e97c49b58, 0x99c7c699fb537f4f, 0x345a8ac86ed08f22,
  0x5bbc9dd0149334e7, 0xf8d69827c602410c, 0xbe45baff43b5c3bc, 0xf483cef4ddc5f5ee, 0x0d8488bee24b1e78,
  0x8cf9d67fa8f84bf1, 0xee58cfd64cf1771b, 0x1d3f8359fea3cbe9, 0x37ce62c058f7a547, 0xb33c75e8f9db2446,
  0xf2d6e83fd22a01ff, 0xc8daf2e556b2ed40, 0xcea2a551ae8a839b, 0x809d372bb54b7d59, 0x095cbec7a39135c0,
  0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x726ae0f3612e65f3,
  0xbde50c2a73f505d9, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xd3d51079e4afdcd0, 0x000000000006b20f,
};

static const uint64_t ur_m406_swio14_lednop_pr_ee_ce[] = {
  0x42fddddddd447e4a, 0x2b957dad3f06fdc8, 0x605e9b185133f4b8, 0xd77a72ef92841627, 0xccd2ae42fc85f988,
  0x3ba528eb6abe89c8, 0x304f8c048218b779, 0xa3fd0ed70ef3f6b7, 0x0d077fd51975f901, 0xc87495f9e3d20f3b,
  0x6b2b1ef984e771b8, 0xc1e95ea3caca5ca7, 0xa05315943f51f06c, 0x30b2c4522cd3ad08, 0x7576e74a3a909afa,
  0x3af3a6ed22239b8e, 0x285f11c656355e36, 0x470decb65cc5c242, 0xa9676b13ca8d8226, 0xa2a0e6f236bcb955,
  0x52df5673a8a9546b, 0xe44d7020274dcaed, 0x22bcae42572fb1e8, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb63131dbd, 0xae4fcfec5c9ab8d8, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x07d90be3751079e4,
};

static const uint64_t ur_m406_swio14_lednop_pr_ee_ce_u4[] = {
  0x68dddddda243704a, 0xae55f42170ddee41, 0x56ebd73f763e17e0, 0x5c419d8989de4740, 0x53a388bfbc8b4120,
  0x4eebadd71daef764, 0xcc13e30120862dde, 0x3eff43b5c3bcf9ad, 0x43eb8bea8f4dfc84, 0xf71258f3cba41c1c,
  0xfd47c25f886c2445, 0xe678bb8dc575c617, 0x1e5652e53b5b9b7b, 0xa1fa8f83660f4af5, 0x91669d68450298ac,
  0x51d484d7d1859622, 0x69111cdc73abb73a, 0x32b1aaf1b1d79d37, 0xb2e62e121142f88e, 0x9e546c1132386f65,
  0x91b5e5caad4b3b58, 0x9d454aa35d150737, 0x013a6e576a96fab3, 0x12b97d8f47226b81, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xdb1898edec555169, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xdc0f269641e792bf,
  0x00000000000002e8,
};

static const uint64_t ur_m406_swio14_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x2b957d8d011ff721, 0xc1dd85f00245ddf8, 0xec1c99d457aec86a, 0xb8cddb0e471f1f1a,
  0x93ba76821e96a312, 0xf304f8c048218b77, 0x9035bff570ef3f43, 0xf2b60b355ad198ff, 0x7bd47c1b307d47a8,
  0x8b34eb422877c56a, 0xc9a426be8c2cb114, 0x7371cead2ee9571a, 0x55ae875e74dda444, 0x5c242285f11c6563,
  0xb047eb70decb65cc, 0x972ab500ad627951, 0x2a8d74541cde46d7, 0xb95daa5beace7515, 0xf63d1c89ae0404e9,
  0xf6ab445795c84ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb631,
  0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xcd4e514f257ee686, 0x000000000000016f,
};

// m406_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m406_swio14_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0xae55f42170ddee41, 0x56ebd73f763e17e0, 0x5c419d8989de4740, 0x53a388bfbc8b4120,
  0x4eebadd71daef764, 0xcc13e30120862dde, 0x843effd5c3bcf9ad, 0x1c43eb8bea8f4dfc, 0x45f71258f3cba41c,
  0x17fd47c25f886c24, 0x7be678bb8dc575c6, 0xf51e5652e53b5b9b, 0xaca1fa8f83660f4a, 0x2291669d68450298,
  0x3a51d484d7d18596, 0x3769111cdc73abb7, 0x8e32b1aaf1b1d79d, 0x65b2e62e121142f8, 0x589e546c1132386f,
  0x3791b5e5caad4b3b, 0xb39d454aa35d1507, 0x81013a6e576a96fa, 0x7212b97d8f47226b, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6db1898edec5551, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00028081e4e8a792,
};

// m406_swio15_noled_pr
static const uint64_t ur_m406_swio15_noled[] = {
  0x9eeddddddd66ef3a, 0x15cabed853c5fb90, 0x1eee1f1b4910cd6c, 0x23c8244ebc864f6a, 0x80db26635f767ba2,
  0x316ef277417a09ac, 0x79f7f2609f180904, 0xd27c8dbffe876b87, 0xf07cf7a8f109df2d, 0x16f74da52d78e3a7,
  0x2e76b868c9a398b0, 0x2b2bfee39630475e, 0x541cde46d7972ab5, 0xbeaece75152a8d74, 0xd1c89ace9b95daa5,
  0xa22bcae4255abfdf, 0x4a9f4ef3f5ae7b55, 0x42d2c2e753a9c059, 0x18de33a2045fb8a0, 0xec376c25ccbe6da7,
  0xcb25c33d30ae4fcf, 0xccb0e9296cb25138, 0x1d0d7e19e4afdcd0, 0x00000000000002a4,
};

static const uint64_t ur_m406_swio15_noled_pr_u4[] = {
  0x13bbbbbb4488aaac, 0x5cabed85331f7209, 0x15b7e61f0b2220c1, 0x8870b8edba114dee, 0x82fe3fba9131c630,
  0xe4eef91477b139a9, 0x34c13e30120862dd, 0x0657fa1dae1de7e0, 0x3d4797c77cb41ff9, 0x68f7a5471d3f83e8,
  0x2147bd9cc580b2ca, 0x01ffb30475e8f9da, 0x5b81e59ed88a4d2a, 0x073791b5e5caad5f, 0xabb39d454aa35d15,
  0x7226b3a6e576a96f, 0x8af2b90956aff7f4, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc,
  0x612e65f36c648ab7, 0x73f505d9726ae0f3, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00ab20efd5151079,
};

// m406_swio15_noled_pr_ee_u4
static const uint64_t ur_m406_swio15_noled_pr_ee[] = {
  0xd7eeeeeed1222582, 0x572afb1a0b23ee41, 0xe4bb988db48bbbf0, 0x1f6dd051a6b4791d, 0xc19b0e471baf1aec,
  0xba76821e96a5c647, 0x04f8c048218b7793, 0xbfd0ed70ef3fd5f3, 0x4b9aad68dfcf9115, 0x7c1b30613fd47959,
  0xeb422877c5650fd4, 0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae,
  0xd6e1bd96cb98b848, 0xd402e9305aa3608f, 0xd15073791b5e5caa, 0x96fabb39d454aa35, 0x7f47226b3a6e576a,
  0x5688af2b90956aff, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x0f3612e65f36c648,
  0xc2a73f505d9726ae, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x079e4afdcd0ccb0e, 0x000000759075d951,
};

// m406_swio15_noled_pr_ce_u4
static const uint64_t ur_m406_swio15_noled_pr_ce[] = {
  0x7bdddddda2446f43, 0x572afbea742fdc81, 0x5c7a36d88f8936b0, 0x63af8678bde99a5d, 0xa2d055a374bdbc8a,
  0xdde4eeb4efb5bb2a, 0xe2b4c13e30120862, 0xf22577fa1dae1de7, 0x483cef7ddc5f5dbf, 0xd8488bee24b1e78f,
  0x30ccf9fa8f84bf10, 0xe58cfd64cf1771b9, 0x74fe0c9ef51e6e9e, 0xbd9cc580a654e31c, 0xb33c75e8f9da2147,
  0x796b708a4d2a01ff, 0xe46d7972ab57d6e0, 0xe75152a8d74541cd, 0xace9b95daa5beaec, 0xae4255abfdfd1c89,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x32f9b63218edec55, 0x82ecb9357079b097,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0xd641cb3a883cf257, 0x0000000000000000,
};

static const uint64_t ur_m406_swio15_noled_pr_ee_ce[] = {
  0x2fddddddd4144511, 0xb957dad3f1c7dc80, 0x89d6414d933f4b82, 0xec9ac1a66f5cc8ed, 0x68ab90bf017e6235,
  0xeabe67da58919c1b, 0x13e30120862dde4e, 0xff43b5c3bcfcedcc, 0xe1dff54652fe47fc, 0x1ba1fe78f483ceff,
  0x2b1ef984e771b860, 0x9ebea3cace1ca76b, 0x5315975f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e4ac3a909afa30,
  0xf3a6edd423c90e75, 0xf22383f6355e363a, 0x1bd96cb98b848451, 0x9f4982d51b044c8e, 0x839bc8daf2e556a5,
  0xd5d9cea2a551ae8a, 0x391359d372bb54b7, 0x45795c84ab57fbfa, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x612e65f36c6431db, 0x3f5361d9726ae0f3, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1,
  0x1d252d9f0271964b, 0xa20f3c95fb9a1996, 0x00000001746e3852,
};

static const uint64_t ur_m406_swio15_noled_pr_ee_ce_u4[] = {
  0x04dddddda2431bc1, 0xae55f4217817ee41, 0x76ed0b37763e17e0, 0x5c717e4e4666275a, 0x1bba70bfbc882120,
  0x277475d35f7bb29c, 0xe609f180904316ef, 0x5dffa1dae1de7ff5, 0x35ddc5f547b3be43, 0xfb892c79e5d20e0e,
  0xfea3e12fc4361222, 0xf33c5dc6e720eaeb, 0x8f2b38729dadcdbd, 0x5d7d47c1b3067afa, 0x48b34eb422814c56,
  0xb0ea426be8c2cb11, 0xb7508f2439d5db92, 0x0fd8d578d8ebce9b, 0xb2e62e121147c88e, 0x0b546c1132386f65,
  0x236bcb955a967d26, 0x3a8a9546ba2a0e6f, 0x674dcaed52df5767, 0x7212ad5fefe8e44d, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x02e8dd6e412c83cf,
};

static const uint64_t ur_m406_swio15_noled_ee_hw[] = {
  0xd7eeeeeed121b032, 0x572afb1a0b23ee41, 0x23bb988db48bbbf0, 0xd83edba0a34d68df, 0x8f83361c8e375e35,
  0x2775b11ced4e4b8c, 0xe609f180904316ef, 0x222b7feae1de7fab, 0xf2b297355ad1bf9f, 0x1fa8f83660c27fa8,
  0x1669d68450ef8aca, 0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6,
  0xc11fadc37b2d9731, 0xb955a805d260b546, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xd5fefe8e44d674dc,
  0x73daad115e57212a, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0b7cd60a8a792bf7,
};

// m406_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m406_swio15_noled_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0xae55f4217817ee41, 0x76ed0b37763e17e0, 0x5c717e4e4666275a, 0x1bba70bfbc882120,
  0x277475d35f7bb29c, 0xe609f180904316ef, 0x435dffeae1de7ff5, 0x0e35ddc5f547b3be, 0x22fb892c79e5d20e,
  0xebfea3e12fc43612, 0xbdf33c5dc6e720ea, 0xfa8f2b38729dadcd, 0x565d7d47c1b3067a, 0x1148b34eb422814c,
  0x92b0ea426be8c2cb, 0x9bb7508f2439d5db, 0x8e0fd8d578d8ebce, 0x65b2e62e121147c8, 0x260b546c1132386f,
  0x6f236bcb955a967d, 0x673a8a9546ba2a0e, 0x4d674dcaed52df57, 0xe57212ad5fefe8e4, 0xbcf8b5d73daad115,
  0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xb997cdb190c76f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000280adc851,
};

// m406_swio15_lednop_pr             m406_swio15_lednop_pr_u4
static const uint64_t ur_m406_swio15_lednop[] = {
  0x2777777689119391, 0x72afb614b1fee412, 0x26b075302c888305, 0x8873312e35a2d1a8, 0xe3bf4bba9131c630,
  0xe4eef4e323b626c9, 0x2cc13e30120862dd, 0x0c7ffa1dae1de7ca, 0x3d47d28ef9683ff2, 0xd01827c71d3f83e8,
  0xf88e32398b016594, 0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x39bc8daf2e556b70, 0x5d9cea2a551ae8a8,
  0xc0809d372bb54b7d, 0x5c84ae4ac7a39135, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881,
  0x7cdb40a8ab7b1554, 0x765c9ab83cd84b99, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x3a02b5441e792bf7, 0x0000000000002ac8,
};

// m406_swio15_lednop_pr_ee_u4
static const uint64_t ur_m406_swio15_lednop_pr_ee[] = {
  0x3afdddddda244511, 0x0ae55f6340697dc8, 0x65de82f2e291777e, 0x07db7646829b1d3b, 0x33f6c391c6ebc6bb,
  0xeeabe67da58a99fd, 0xc13e30120862dde4, 0x0ffa1dae1de7c2d4, 0x53d355ad1bf9f20e, 0x8f83660c27fa8f2b,
  0x9d68450ef8af027a, 0x84d7d18596229166, 0x39d5a5e43ae35934, 0xd0ebce9bb7748c14, 0x08a26e47916c6ab5,
  0xfadc37b2d9731709, 0xad4021149a546c11, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0x7226b81013a6e576,
  0x88af2b9095c958f4, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b6815156f,
  0x9fa82ecb9357079b, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x003ac83a04a883cf,
};

// m406_swio15_lednop_pr_ce_u4
static const uint64_t ur_m406_swio15_lednop_pr_ce[] = {
  0x7bdddddda2447032, 0x2b957df53083dc81, 0xed33d2e233c49b58, 0x298ebe85c33c28c4, 0x223f644d8dd2f6f2,
  0x8b7793bad88e76a7, 0x9f383304f8c04821, 0xffc8d37fe876b877, 0x3d20f3bd9d717d76, 0x4361222fb892c79e,
  0xc66fa547ea3e12fc, 0xf72c67eb2678bb8d, 0xe3a7f064f7a8f38c, 0x7191cc580a63cf58, 0xfb33c75e8f9d97c4,
  0x1e5adc37ee1aa01f, 0x791b5e5caad6e1c8, 0x39d454aa35d15073, 0x013a6e576a96fabb, 0x095c958f47226b81,
  0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d028c76f62aa8b4, 0x726ae0f3612e65f3,
  0xbde50c2a73f505d9, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x81551079e4afdcd0, 0x0000000000035907,
};

static const uint64_t ur_m406_swio15_lednop_pr_ee_ce[] = {
  0x02fddddddd447768, 0x2b957dad3f707dc8, 0xb33d2b648133f4b8, 0x5ec9c7158351605e, 0xb5c6b90bf017e623,
  0xeebb257db38b2723, 0xc13e30120862dde4, 0xdffa1dae1de7f104, 0x6d9dff54652fe426, 0x9124afcf1e9079da,
  0x5958f7cc273b8dcb, 0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1,
  0xd79d376ee9182873, 0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x2a0e6f236bcb955a,
  0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e57212b92b1e8e4, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0xccbe6da0518edec5, 0x27e7f62e4d5c6c25, 0x289c6592e19e9857, 0xee6866587494b659,
  0xd90be9ca883cf257, 0x0000000000000007,
};

static const uint64_t ur_m406_swio15_lednop_pr_ee_ce_u4[] = {
  0x04dddddda2431000, 0xae55f4217375ee41, 0x16ed0586763e17e0, 0x5c717c0bc9dc975b, 0x528488bfbc882120,
  0x93bb5aaefdd9b7ac, 0x7304f8c048218b77, 0x293fd0ed70ef3f78, 0xc149717d51ecef90, 0x5f71258f3cba41c1,
  0xefd47c25f886c244, 0xef99e2ee373ce5d4, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62,
  0x21c752135f461658, 0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b,
  0xbc8daf2e556a5988, 0x9cea2a551ae8a839, 0x809d372bb54b7d5d, 0x84ae4ac7a39135c0, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x376f25259079e4af,
  0x00000000000000ba,
};

static const uint64_t ur_m406_swio15_lednop_ee_hw[] = {
  0xebf777776890ca20, 0x2b957d8d01a5f720, 0x9dba0bcb8a45ddf8, 0xd83edbb23414d8de, 0xe99fb61c8e375e35,
  0x27747b16ad8d54cf, 0xa609f180904316ef, 0x90707ff570ef3e16, 0x795a9e9aad68dfcf, 0x13d47c1b30613fd4,
  0x8b34eb422877c578, 0xc9a426be8c2cb114, 0x60a1cead2f21d71a, 0x55ae875e74ddbba4, 0xb8484513723c8b63,
  0x608fd6e1bd96cb98, 0x2e556a0108a4d2a3, 0x551ae8a839bc8daf, 0x2bb54b7d5d9cea2a, 0xc7a39135c0809d37,
  0x6ab445795c84ae4a, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x3cd84b997cdb40a8,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x057514f257ee6866, 0x0000000000002df1,
};

// m406_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m406_swio15_lednop_ee_ce_hw[] = {
  0x04dddddda2431000, 0xae55f4217375ee41, 0x16ed0586763e17e0, 0x5c717c0bc9dc975b, 0x528488bfbc882120,
  0x93bb5aaefdd9b7ac, 0x7304f8c048218b77, 0x90293ff570ef3f78, 0xc1c149717d51ecef, 0x445f71258f3cba41,
  0xd4efd47c25f886c2, 0x6def99e2ee373ce5, 0xd7d479594394ed6e, 0x62b60bea3e0d9833, 0x588a459a75a1140a,
  0xdd21c752135f4616, 0x74ddbba460a1ceae, 0xe47916c6abc6c75e, 0x7b2d973170908a26, 0x88a4d2a3608991c3,
  0x39bc8daf2e556a59, 0x5d9cea2a551ae8a8, 0xc0809d372bb54b7d, 0x5c84ae4ac7a39135, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b681463b7b1554, 0xf505d8dc79b09732, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0000a02de4aa29e4,
};

// m8515_autobaud_uart0_noled_pr
static const uint64_t ur_m8515_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0x0ada93ba0bd04cc5,
  0xcfce3304f8c0482a, 0x99408812f9febc3b, 0xd510baff6eb80ba6, 0x4f8b4ed093824caf, 0x031f7ea3d7f3be58,
  0x5965308bcf471cab, 0xf3b07146678e62c0, 0xc35403ff6608ebd1, 0x50aca81e59eda9af, 0xd934746293cb4e94,
  0xa52f29bd73f1479b, 0xd2a7d3d0ea9c08fe, 0x36d2ff156ff7aaa2, 0xa2c79c376ca2317f, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0388801c8c574f25,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_u4[] = {
  0x2ddddddda2ec4743, 0x7777775579842f71, 0xb4d9fbbd4c19a4cf, 0xf1fad183eeeee821, 0x6a4eed45e4b63d60,
  0x38cc13e30120a82b, 0x408812f9feea473f, 0x10baff6eb80ba699, 0x8b4ed093824cafd5, 0x1f7ea3d7f3be584f,
  0x65308bcf471cab03, 0xb07146678e62c059, 0x5403ff6608ebd1f3, 0xaca81e59eda9afc3, 0x34746293cb4e9450,
  0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903b6868b1be2e,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xb5ef9f5e792bf734, 0x000000000000230d,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ee[] = {
  0x25bbbbbbbbd8bf82, 0xf7777775576c1412, 0x11c29e99713f7b0c, 0x36017a1deadbb5a3, 0xeeae312247e0d833,
  0xc13e30120a82b6a4, 0x0470ffdd48e7d82c, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0x5ce3355ad1cdc2d3,
  0xea3e0d9831f3d479, 0xc3afb169bbe2b97d, 0x09afa5b1971c270d, 0x39d5a5d315c6b269, 0x43af3a6ecb3d189f,
  0x5a682d1e33b1aad7, 0xdc37b2d97ce038ec, 0x017e1806546c11fa, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec,
  0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x1726ae365118bf9b, 0xacc7903b6868b1e7, 0x6592e19e985727ee,
  0x66587494b659289c, 0xf4e73ebcf257ee68, 0x0000000000000c41,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ee_u4[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x09f180905415b527, 0x2387fffceb3ec166, 0xfedd70174d328110, 0xa12704995faa2175, 0xe719aad68e6e169d,
  0x51f06cc18f9ea3ca, 0x1d7d8b4ddf15cbef, 0x4d7d2d8cb8e1386e, 0xcead2e98ae359348, 0x1d79d37659e8c4f9,
  0xd34168f19d8d56ba, 0xe1bd96cbe701c762, 0x0bf0c032a3608fd6, 0xd1d18a4f2d3a5140, 0xbca6f5cfc51e6f64,
  0x9f4f43aa7023fa94, 0x4bfc55bfdeaa8b4a, 0x357079b288c5fcdb, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xa9c53919e4afdcd0,
  0x0000000000026a70,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ce[] = {
  0xdddddddd41ec53c3, 0x777775579842e312, 0xdb7e95e4c77af4f7, 0x7f8f1afbbbbab789, 0x27748fcbb0671c61,
  0x2609f180905415b5, 0x4408caff75239f7f, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0x05839921dff5b585,
  0xe7736bc72383f9e0, 0x76be9ee580bac984, 0x8878e395606693d4, 0x1c5199e398b016e1, 0x00ffd99e3af47cec,
  0xca81e5adca6bf0d5, 0x4746293cb4e9450a, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a,
  0xab83cd94462fe6da, 0x903b6868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e6879133c09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x023753273ebcf257,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ce_u4[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xb52776c4d8608005,
  0x21e609f180905415, 0x81102727fffceb3f, 0x2175fedd70174d32, 0x169da12704995faa, 0x00b5a409f717d531,
  0x86c2445f71a20f3c, 0xbd8fffcfd47c25f8, 0xee58cfd64cf17736, 0x395606693d476be9, 0x9e398b016e18878e,
  0x99e3af47cec1c519, 0x5adca6bf0d500ffd, 0x93cb4e9450aca81e, 0x73f1479bd9347462, 0xea9c08fea52f29bd,
  0x6ff7aaa2d2a7d3d0, 0xd94462fe6da5fcc7, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x8cf257ee68665874, 0x0000008dd532d29c,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ee_ce[] = {
  0x25bbbbbbba88aaac, 0xeeeeeeeaaf389412, 0x7e3f70a6a742f5eb, 0x99bb3635217bdd1b, 0x2777c8a3b31313a1,
  0x6609f180905415b5, 0x102d9dfffceb3e70, 0x75fedd70174d3281, 0x9da12704995faa21, 0xd218f3bfea8e4416,
  0x36ba5a0b5f9e005a, 0xca76b2b232984e77, 0x83660c45f51e5698, 0xf62d314c57197a8f, 0xf4b632e384e1b875,
  0xce7576e114752135, 0xc75eba9bb20b463e, 0xa7ac48e1aac6abc6, 0x0decb872ce038ec5, 0x969d28a631bdc647,
  0xbf5b9f8a3ce8c527, 0xb4d8fab37537aca4, 0x9e8754e05ed98c10, 0x726ae365118bf9b6, 0xcc7903f2868b1e71,
  0x592e19e985727eea, 0x6587494b659289c6, 0xbda9c8cf257ee686, 0x00000000000566f6,
};

static const uint64_t ur_m8515_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddda2e7c3375, 0x77777557910a6712, 0xb8da2c33837b7077, 0xd05341db7bb85320, 0x962ad1bab9dd3b92,
  0x3e30120a82b6a4ee, 0x1fff6343cfeed4c1, 0xdd70174d32811023, 0x2704995faa2175fe, 0xd717d51a56169da1,
  0xee3441e780173b95, 0xfa8f84bf10d8488b, 0xf33c5dcdaec87495, 0x479582929dadcdbd, 0xcddea3e0d9838cbd,
  0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0xb3d189f39d5db931, 0x76355e363af3a6ec, 0x9c071d8b4d05a3c6,
  0x46c1132386f65b2f, 0x5a74a2859fe18065, 0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754,
  0x2317f36d2fe63b7f, 0x8b1be2e4d5c1e6ca, 0x7ea75663c819a7c6, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x004111015878773c,
};

// m8535_autobaud_uart0_noled_hw
static const uint64_t ur_m8515_autobaud_uart0_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0xd3e3f5a307ddddd0, 0xa0ada93ba36f1deb,
  0x3cfce3304f8c0482, 0x4d32811025f3ff0e, 0x5faa2175fedd7017, 0xb09f169da1270499, 0x56063efd47afe77c,
  0x80b2ca61179e8e39, 0xa3e760e28ccf1cc5, 0x5f86a807fecc11d7, 0x28a159503cb3db53, 0x37b268e8c527969d,
  0xfd4a5e537ae7e28f, 0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0x5c9f9fd86ed94462, 0x64a271964b867a61,
  0x5fb9a19961d252d9, 0x0006d9680e5453c9,
};

// m8535_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m8515_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0xa93ba8eca56bb206,
  0x0b304f8c0482a0ad, 0x81102387ff4299f6, 0x2175fedd70174d32, 0x169da12704995faa, 0xa3cae719aad68e6e,
  0xcbef51f06cc18f9e, 0x386e1d7d8b4ddf15, 0x93484d7d2d8cb8e1, 0xc4f9cead2e98ae35, 0x56ba1d79d37659e8,
  0xc762d34168f19d8d, 0x8fd6e1bd96cbe701, 0x51400bf0c032a360, 0x6f64d1d18a4f2d3a, 0xfa94bca6f5cfc51e,
  0x8b4a9f4f43aa7023, 0xfcdb4bfc55bfdeaa, 0xf505d8dc79b288c5, 0x7ff787bde50c2a73, 0x43c899e07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x002c4fe3430be9e4,
};

// m8535_autobaud_uart0_noled_ce_hw
static const uint64_t ur_m8515_autobaud_uart0_noled_ce_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55e6106, 0x871fb3afad0c9ef8, 0x34d88036dbc9bbba, 0x20a82b6a4eed8f64,
  0x871e7f6fcc13e301, 0x0ba69940881751ff, 0x4cafd510baff6eb8, 0xbfea4f0b4ed09382, 0x6fe7e78017092d73,
  0x05c67309cee6d78f, 0x03d62f51d05cf72c, 0xc580ab3d21c71cab, 0x75e2e76a251c351c, 0x5141d7e1ee39633c,
  0x6f64d1d18a4f2d3a, 0xfa94bca6f5cfc51e, 0x8b4a9f4f43aa7023, 0xf9b697f31dbfdeaa, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x00032ac5f5d14f25,
};

/*
 * m8515_autobaud_uart0_noled_ee_ce_u4_hw m8535_autobaud_uart0_noled_ee_ce_hw
 * m8535_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0xa609f180905415b5, 0x88118fffd0a67f76, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0x094aeb8bea8d2b0b,
  0x488bee3441e78939, 0x3787fa8f84bf10d8, 0xcdbdf33c5dcdafd8, 0x8cbd479582929dad, 0x5315cddea3e0d983,
  0xb8e1386e1d7d8b4c, 0xb9311d484d7d2d8c, 0xa6ecb3d189f39d5d, 0xa3c676355e363af3, 0x5b2f9c071d8b4d05,
  0x806546c1132386f6, 0x149e5a74a2859fe1, 0xeb9f8a3cdec9a3a3, 0x8754e047f529794d, 0x3b7fbd5516953e9e,
  0xe6ca2317f36d2fe6, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0x082fa792bf734332, 0x00000000004a907e,
};

// m8515_autobaud_uart0_lednop_pr
static const uint64_t ur_m8515_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0x15b5277731242a1a,
  0x9f052609f1809054, 0x3281102f93fd7877, 0xaa2175fedd70174d, 0xac169da12704995f, 0x0333dea3b5f1df2d,
  0x6f74d70c43c71cab, 0x9d87da3d62398b01, 0xc535b8e58c11d78b, 0x2981013cb4e9450a, 0x9d038a3cf8934746,
  0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0xbb65118bf9b65c45, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x3862ba792bf73433, 0x0000000000038887,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_u4[] = {
  0x2ddddddda2ec53c3, 0x7777775579841af1, 0xa17bd9f7e0dbd803, 0xa575e64f7777410d, 0xa4ee91f976f4e38f,
  0xacc13e30120a82b6, 0x110297dfeea473e7, 0x175fedd70174d328, 0x69da12704995faa2, 0xefd4759e77cb09f1,
  0x4c37c9e8e3956063, 0xf6919a4398b01659, 0x00ffd9823af47cec, 0x0503cb3db33ca695, 0x5302027969d28a2b,
  0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xe6ca2317f36cb88a, 0xb6868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xf5e792bf734332c3, 0x0000000230d756f9,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ee[] = {
  0xc4b77777777b1762, 0xbddddddd55db04ad, 0x3114130acc469ed0, 0x78bf1da1deadbb5a, 0x9dda668cfe9a3b3f,
  0x9827c602415056d4, 0x408a1ffba91cfe56, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0x2b3d66ab5a39b85a,
  0xbd47c1b3063e7a8f, 0xdc3afb169bbe2bd2, 0x909afa5b1971c270, 0x739d5a5f245c6b26, 0xba1d79d376e81188,
  0xc5a627d1c82d8d56, 0xadc37b2d97ce038e, 0x80129afc3546c11f, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0x3571b288c5fcdb2e, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xb9f5e792bf734332, 0x0000000000c41d53,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x09f180905415b527, 0x2287fffceb3f95a6, 0xfedd70174d328110, 0xa12704995faa2175, 0xcf59aad68e6e169d,
  0x51f06cc18f9ea3ca, 0x0ebec5a6ef8af4af, 0x26be96c65c709c37, 0xe75697c9171ac9a4, 0x875e74ddba04621c,
  0x6989f4720b6355ae, 0x70decb65f380e3b1, 0x04a6bf0d51b047eb, 0xc5302027969d28a0, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x1e6ca2317f36cb88, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x4e46792bf734332c,
  0x000000009a9c4e2d,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ce[] = {
  0xbbbbbbba83d8b562, 0x77777557984cc625, 0x2e3b6fc5a9bdc2b7, 0x982f623bbbbab789, 0x2777e9c1b3f7705a,
  0xa609f180905415b5, 0x10231ffeea473f52, 0x75fedd70174d3281, 0x9da12704995faa21, 0x160e02877fd6d616,
  0x9dcdae4e92d7e780, 0x7e7a7b9602eb2613, 0xe0b8e395606693d4, 0x7b48cd21cc580bbd, 0x807feccf1d7a3e76,
  0x60a0796b719e534a, 0x8a60404f2d3a5145, 0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c, 0x76ff7aaa2d362cf4,
  0x79b288c5fcdb2e0c, 0x6d0d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0xaf5be7d79e4afdcd, 0x000000000000046e,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0xa93ba1b9053453b4,
  0x97304f8c0482a0ad, 0x08813a5fffe759f2, 0x0baff6eb80ba6994, 0xb4ed093824cafd51, 0x05ad26dfb8bea988,
  0x361222fb8d1079e0, 0xeed26dfea3e12fc4, 0xe58cfd64cf17736b, 0xe55819a4f51f9e9e, 0x48731602ef782e38,
  0x33c75e8f9d9ed233, 0x5adc6794d2a01ffb, 0x13cb4e945158281e, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x317f36cb831dbfde, 0xb1be2e4d5c1e6ca2, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0046ebbc154e4679,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0xf180905415b52774, 0x07fff9d67e87e609, 0xbae02e9a65022047, 0x4e0932bf5442ebfd, 0x4effaa30f62d3b42,
  0x1f2d7e78016b485d, 0x2b1ef984e7736bde, 0xe32f51e56804a76b, 0x14c5738fa8f83660, 0x2e384e1b875f62d3,
  0x6ec90752135f4b63, 0x74ddba04621ce757, 0xe8e416c6abc6c75e, 0x96cbe701c762d313, 0xbf0d51b044c8e1bd,
  0x2027969d28a166a6, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53, 0x4462fe6d97063b7f,
  0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903f286, 0x79133c09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0x29c8cf257ee68665, 0x0000000000411176,
};

static const uint64_t ur_m8515_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e304a, 0xbbbbbaabc882c189, 0xa66b8e85a3bd89db, 0xec89a0edbddc2990, 0xc5d47dd92011232e,
  0xf180905415b52776, 0xf3fd8d0f3fa6a609, 0xbae02e9a6502205f, 0x4e0932bf5442ebfd, 0xee2faa34ac2d3b42,
  0xdc6883cf002e77a6, 0xf51f097e21b09117, 0xe678bb9b5c92b2a3, 0x8f2b40253b5b9b7b, 0x9c7d47c1b307197a,
  0x70dc3afb1698a62b, 0x3a909afa5b1971c2, 0xd02310e73abb7648, 0xb6355e363af3a6ed, 0x380e3b16989f4720,
  0x8d8226470decb65f, 0xb4e9450b3535f86a, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea,
  0xf36cb831dbfdeaa8, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x88bcf878773c95fb, 0x0000000000000020,
};

// m8535_autobaud_uart0_lednop_hw
static const uint64_t ur_m8515_autobaud_uart0_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x15e95d7993ddddd0, 0xa0ada93bb50d4dee,
  0x3cf9eb304f8c0482, 0x9a65022052fbff0e, 0xbf5442ebfdbae02e, 0x613e2d3b424e0932, 0xac0c7dfa8eb3cef9,
  0x02cb2986f93d1c72, 0x8f9d9ed233487316, 0x94d2a01ffb30475e, 0x514560a07967b667, 0xd1d18a60404f2d3a,
  0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x971156ff7aaa2d36, 0x9fd86ed94462fe6d, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0xd968717453c95fb9, 0x0000000000000006,
};

// m8535_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m8515_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xd49dd322d3b6c31f,
  0x569827c602415056, 0x40881143ffa14cfe, 0x10baff6eb80ba699, 0x0b4ed093824cafd5, 0x51e567acd56b4737,
  0x7a57a8f83660c7cf, 0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x310e73ab4be48b8d, 0xaad743af3a6edd02,
  0x71d8b4c4fa3905b1, 0x23f5b86f65b2f9c0, 0x945002535f86a8d8, 0x347462981013cb4e, 0xf29b19d038a3cf89,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x89e7eb617d3c95fb, 0x0000000000000005,
};

// m8535_autobaud_uart0_lednop_ce_hw
static const uint64_t ur_m8515_autobaud_uart0_lednop_ce_hw[] = {
  0xc4b777777759bb37, 0xdddddddd55e6138f, 0xa1c7edbe2d22ef8f, 0x1a6c401b6d88eeee, 0x905415b52776c7b2,
  0xc38f3f52a609f180, 0x0ba6994088118fff, 0x4cafd510baff6eb8, 0xbfea4f0b4ed09382, 0xb7f3f3c00b8487c3,
  0x02e33984e7736bc7, 0x81eb17a8e27e7b96, 0x62c0559e82e38e55, 0x75e2e76c668f588e, 0x28a0ea596e39633c,
  0x68e8c5302027969d, 0x794d8ce81c51e5ba, 0x73182169bd575539, 0x2fe6da7a1d538175, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000cab17d7453c,
};

/*
 * m8515_autobaud_uart0_lednop_ee_ce_u4_hw m8535_autobaud_uart0_lednop_ee_ce_hw
 * m8535_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0xa609f180905415b5, 0x2205ff3fe8533fa6, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x425a6ee2faa34ac2,
  0x1222fb8d1079e24e, 0x333e7ea3e12fc436, 0x736f7ccf17736bcc, 0xe32f51e56804a76b, 0x14c5738fa8f83660,
  0x2e384e1b875f62d3, 0x6ec90752135f4b63, 0x74ddba04621ce757, 0xe8e416c6abc6c75e, 0x96cbe701c762d313,
  0xbf0d51b044c8e1bd, 0x2027969d28a166a6, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53,
  0x4462fe6d97063b7f, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xf4f257ee68665874, 0x00000004a912da05,
};

// m8515_autobaud_uart0_dual_pr
static const uint64_t ur_m8515_autobaud_uart0_dual[] = {
  0xbf6dddddddd44511, 0x76eeeeeea99e3c48, 0x2e82ef4e3126eb4a, 0x58ac4e4eb83bbbad, 0x52419bb95f33e1ec,
  0x6a609f180905415b, 0x6788c09322d05239, 0x9f72e30a04f89bed, 0x798bafe65dc5f4ee, 0xdea3b93d87ce3848,
  0x022847242ac0d7dc, 0xd9c00dc3e057f98d, 0x4888657717bbe2ef, 0xcf0996bc54219686, 0xcc5ce5edcc7ffd01,
  0x1ebfe504a982c2ac, 0xf6eb80ba69940881, 0x093824cafd510baf, 0x3e0b3be584f8b4ed, 0x843c71cab031f7ea,
  0x7449cc580b2ca6b5, 0x2c608ebd1f3b0fb4, 0xe8e665665629adc7, 0x1013cb4e94527f33, 0x038a3c73f0f46298,
  0xbf9b752d5ca52f9d, 0x9c0a6178a042d3b8, 0x6ca2317f36d3d0ea, 0x50d163ce2e4d5c1e, 0x30ae4fdd598f207e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000005566f9c5391,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_u4[] = {
  0x6eeeeeed173e43ee, 0x7777754cf1e539fb, 0xcccc8cbb415a76b7, 0xe7648cf77742023e, 0xbbabbf22421b4f34,
  0xf180905415b525a5, 0x09322d05219f2609, 0x30a04f89bed6788c, 0x4fcca6b54ee9f72e, 0x387b02967060b360,
  0x8e485581a569bd47, 0x1b87c0aff31a0450, 0xcaee2f77c5de1680, 0xb248a8432d09c510, 0x72f6efe7fd01cf09,
  0xfd0194c16156662e, 0x70174d3281102ea3, 0x04995faa2175fedd, 0x33be5b9e169da127, 0x471cab037b5ea3dc,
  0x9cc580bac533df6b, 0x8ebc06a76afe8d05, 0xb63ee895403ff660, 0xa3999598e3e07967, 0x404f2d3a5149fccf,
  0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7, 0x4462fe6d971156ff, 0xd1637c5c9ab83cd9,
  0xcfd4eacc790334f8, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00002e0a598f0ee7,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ee[] = {
  0x6dddddddde7cd0e3, 0x77777754c360e73f, 0xbadfb476b7ef475f, 0xb1043b1e62776c49, 0xd5c6d0535f2253ec,
  0xc0482a0ada928cdd, 0x645a0a43b77304f8, 0x409f137dacf11812, 0x994d6a9dd3ee5c61, 0xf61ff0e01a26d35f,
  0x42ac0e87e6f51ec7, 0x3e057f98d0228472, 0xe2f77c5dfd8200dc, 0x150865a070d10cae, 0xfd5fff4073c26727,
  0x94c16156662e72f6, 0x9a6502205beffd01, 0xbf5442ebfdbae02e, 0x18282d3b424e0932, 0xb5fd4795f51355ad,
  0x7c572fbd47c1b306, 0xe384e1b875f62d37, 0xe038cd2135f4b632, 0x9e8ebf9cead2f10a, 0xb1aad743af29a765,
  0xe038ec5a682d18fb, 0xc6b17d6e1bd96e4c, 0xa293f99f47332b35, 0xa3a314c0809e5a74, 0xe53633a0714796e9,
  0xf14085a6f55d54e5, 0x5fcdb4f43aa702ea, 0xf38b9357079b288c, 0xbab31e40cd3e3458, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x45fa7078773c95fb, 0x0000000000000010,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ee_u4[] = {
  0x6ddddddda2436f02, 0xeeeeeea986c157bf, 0xac9f6cfa716a8fee, 0xd74e563cc4ee9ba7, 0xf0f9af93059b75b1,
  0x2415056d49322ee7, 0x168291d4e9827c60, 0x27c4df6b3c460499, 0x97612774fb971850, 0x61a68e0ff26c41f9,
  0x1560763f37a8e1a3, 0xf02bfcc681142392, 0x17bbe2efeb3006e1, 0xa8432d060a886577, 0x93affa039e134878,
  0x9305855998b9cbdb, 0x699408814aeff993, 0xfd510baff6eb80ba, 0x7a50b4ed093824ca, 0xc9ea3caf6fcd56b4,
  0xf8afbaf51f06cc1f, 0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xf68c9e39d5a5e715, 0xd8d56ba1d7b19bb6,
  0x380e3b169f3c8d21, 0x3608fd6e1bd977bb, 0x39995980544a83aa, 0x04f2d3a5149fccfa, 0x28f3e24d1d18a604,
  0x2baa9cbca6c6740e, 0xaaa2d362cf43aa70, 0x462fe6d971156ff7, 0x771a2c6f86e3cd94, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x979e4afdcd0ccb0e,
  0x00000052a4bab767,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ce[] = {
  0xb6eeeeeeef3e6d3a, 0x77777754cf1f389f, 0x63d9b106e8d5acfb, 0x9db29eb6eeef4e83, 0x4bbae76cdbade4c3,
  0x9f180905415b524c, 0x812645a0a4022660, 0xc61409f137dacf11, 0xb5f994d6a9dd3ee5, 0xf15b60358e04ea64,
  0x11c90ab03df737a8, 0x0370f815fe63408a, 0x195dc5eef8bbf100, 0x6dbf150865a0fe22, 0x397b7297ff4073c2,
  0xfe80ca60b0ab3317, 0x70174d328110228b, 0x04995faa2175fedd, 0xa77fd632169da127, 0xb75b3bf3c00b9d9e,
  0x2c0513f309cee6d7, 0x2ac0d05fa8fd04f7, 0x59cc580a3e7491c7, 0x78ebc06a76afe8d0, 0xadc3ee895403ff66,
  0x3e8e6656638f81e5, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea,
  0xca2317f36cb831db, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0014f2673e1e1dcf,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ce_u4[] = {
  0xdbbbbbbb448687e1, 0xeeeeeea99851627e, 0x6e2d4739056d17ee, 0x9f69f738b7774c88, 0x17715ede0935da3f,
  0x3e30120a82b6a4dc, 0x0499168291c83cc1, 0x185027c4df6b3c46, 0xb7f997612774fb97, 0x63fb019b386ed4c9,
  0x1c90ab034b537a8e, 0x370f815fe63408a1, 0x2bb8bddf177de180, 0xf745421968487443, 0x5edf677fd01cf09b,
  0xcc9c982c2accc5ce, 0x05d34ca04408a1ff, 0x2657ea885d7fb75c, 0xc5f59b85a76849c1, 0x8d1079e24e424fe5,
  0xa3e12fc4361222fb, 0x33c5dcdafa69fe7e, 0xf51fa09ee58cf13f, 0x47ce9238e5581a0b, 0x4ed5fd1a0b398b01,
  0x2a807feccf1d780d, 0xcc71f03cb5b87dd1, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x6d97063b7fbd5516, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0ad7bd1c567979e4,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ee_ce[] = {
  0x6eeeeeeea0a1a5fb, 0xdddddd53331eedfb, 0x6227d57d8be83edd, 0x7d179bb89dbaaf92, 0xb235d66d0ab32657,
  0x120a82b6a4b62774, 0x1682909c7cc13e30, 0x27c4df6b3c460499, 0x97612774fb971850, 0x035b384c34ccf9f9,
  0xab0380137a8ffafb, 0x815fe63408a11c90, 0x7bbe2ef30080370f, 0x8432d02748865771, 0x9affa039e136ce8a,
  0x305855998b9cbdbe, 0x994088105aff9939, 0xd510baff6eb80ba6, 0x7d8b4ed093824caf, 0x8939096043bfea8d,
  0x4e7736bb3e759fe7, 0x57224a76b2b17c98, 0xfa8f83660d31f51e, 0x70ebec5a6298ac27, 0x426be96c65c709c3,
  0x464f1ceaedd388ea, 0xd578d8ebd8cddb7b, 0x0e3b169f3c8d21d8, 0x044c8e1bd977bb38, 0xccaccb3a2541d51b,
  0x7969d28a4fe67d1c, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815, 0x2fe6d97063b7fbd5,
  0xd165abc6e3cd9446, 0x39fa9d599bf83bb8, 0x0f22678138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x767979e4afdcd0cc, 0x0000000003f56deb,
};

static const uint64_t ur_m8515_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3f1107, 0x777754c243dc3f6d, 0xb2628fd826f1ff77, 0xd91765bacfac5f0f, 0x3518e9061f9913dd,
  0xb6a49ce7737fb54e, 0x662cc13e30120a82, 0xacf11812645a0a41, 0xd3ee5c61409f137d, 0xe53747ff32bf689d,
  0xdea3b21ec2928e0c, 0x04508e485581b3e4, 0x75c01b87c0aff31a, 0x488657717bbe2ef5, 0x84dd3f150865a1bb,
  0x5ce5edf1bbfe80e7, 0xffdecc5982c2accc, 0x5c05d34ca0440a76, 0xc12657ea885d7fb7, 0xc5f5465d45a76849,
  0x1a20f3c49c070e0d, 0x47c25f886c2445f7, 0x3c5dcdaea49cdffd, 0x95c8929dadcdaf93, 0xfea3e0d9834c7d47,
  0xdc3afb1698a62b09, 0x909afa5b1971c270, 0xd193c73abb74e23a, 0x355e363af63376de, 0x038ec5a7cf234876,
  0xc1132386f65deece, 0x332b32ce89507546, 0x9e5a74a293f99f47, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0x8bf9b65c18edfef5, 0x8df1726ae0f36511, 0x9d599bf837e82345, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0xab7bc14e2ed4f257,
  0x000000000000001f,
};

// m8535_autobaud_uart0_dual_hw
static const uint64_t ur_m8515_autobaud_uart0_dual_hw[] = {
  0x6ddddddda2436d3a, 0xeeeeeea99e3ca73f, 0x8fb333232ef5056e, 0x8d39d9233dddd080, 0xa4b4b775ced9bdc9,
  0xe4c13e30120a82b6, 0xcf11812645a0a433, 0x3ee5c61409f137da, 0x059b027e65d849dd, 0x4dea39c3d814b383,
  0xd022847242ac0d2b, 0xf0b400dc3e057f98, 0x4e288657717bbe2e, 0x0e784d9245421968, 0xb3317397b77f3fe8,
  0x02ea3ffc87e60b0a, 0x5fedd70174d32811, 0xda12704995faa217, 0xea3dc33be5b9e169, 0x3df6b471cab037b5,
  0xe8d059cc580bac53, 0xff6608ebc06a76af, 0x07967b63ee895403, 0x9fccfa3999598e3e, 0x18a60404f2d3a514,
  0xc6740e28f3e24d1d, 0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0xe3cd94462fe6d971, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x83505f4f257ee686,
  0x000000000007a370,
};

// m8535_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m8515_autobaud_uart0_dual_ee_hw[] = {
  0xdbbbbbbb44860aac, 0xdddddd530d82af7e, 0x593ed9f4e2d51fdd, 0xae9cac7989dd374f, 0xbbeaf2c9a704eb63,
  0x180905415b524c8b, 0x2645a0a4753a609f, 0x1409f137dacf1181, 0x7e65d849dd3ee5c6, 0x68d869a383fc9b10,
  0xe485581d8fcdea38, 0xb87c0aff31a04508, 0x5dc5eef8bbfacc01, 0x1e2a10cb4182a219, 0xf6e4ebfe80e784d2,
  0x90fcc16156662e72, 0x5d34ca0440a577ff, 0x657ea885d7fb75c0, 0x5a3d285a76849c12, 0x0fe4f51e57b7e6ab,
  0x377c57dd7a8f8366, 0x32e384e1b875f62d, 0x8ae04fcd2135f4b6, 0xdb7b464f1cead2f3, 0x90ec6ab5d0ebd8cd,
  0xdd9c071d8b4f9e46, 0xd51b047eb70decbb, 0x7d1cccacc02a2541, 0x02027969d28a4fe6, 0x071479f1268e8c53,
  0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0xca2317f36cb88ab7, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x0000000160e5756c,
};

// m8535_autobaud_uart0_dual_ce_hw
static const uint64_t ur_m8515_autobaud_uart0_dual_ce_hw[] = {
  0xb7777776890ddb75, 0xdddddd5330a2c4fd, 0xdc5a8e720ada2fdd, 0x3ed3ee716eee9910, 0x705dd7d7bc9eb90f,
  0x04f8c0482a0ada93, 0x1812645a0a4720f3, 0x5c61409f137dacf1, 0x26dfe65d849dd3ee, 0x398fec066ce1bb53,
  0x847242ac0d2d4dea, 0x00dc3e057f98d022, 0x0caee2f77c5df786, 0x6fdd150865a121d1, 0x397b7d9dff4073c2,
  0xffc87e60b0ab3317, 0xe02e9a650220450f, 0x0932bf5442ebfdba, 0x2e2facdc2d3b424e, 0xdc6883cf1272127f,
  0xf51f097e21b09117, 0xe678bb9b5cc7c66f, 0x7ea3f413dcb19e27, 0x28f9d2471cab0341, 0xa9dabfa341673160,
  0x25500ffd99e3af01, 0x598e3e0796b70fba, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3,
  0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x17a3768e20be9e4a,
};

// m8535_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m8515_autobaud_uart0_dual_ee_ce_hw[] = {
  0x6eeeeeef6090cf68, 0xbbbbbaa6121ee1fb, 0x7c3ec98a3fb609bb, 0x4f77645d96eb3eb1, 0x7347d4eb5bb07e64,
  0x30120a82b6a49ce7, 0x645a0a41662cc13e, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0xd85251c19ca6e8ff,
  0x0ab0367c9bd47643, 0xf815fe63408a11c9, 0x2f77c5deaeb80370, 0xa10cb4376910caee, 0x377fd01cf09ba7e2,
  0x305855998b9cbdbe, 0x65022053b7ffe43f, 0x5442ebfdbae02e9a, 0xea2d3b424e0932bf, 0x24e424706e2faa32,
  0x4361222fb8d1079e, 0xbe37760fea3e12fc, 0x76b736be4cf17736, 0x660d31f51e57224a, 0x5a6298ac27fa8f83,
  0x6c65c709c370ebec, 0xeaedd388ea426be9, 0xebd8cddb7b464f1c, 0x9f3c8d21d8d578d8, 0x1bd977bb380e3b16,
  0x3a2541d51b044c8e, 0x8a4fe67d1cccaccb, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0x7063b7fbd55169b1, 0xc6e3cd94462fe6d9, 0x38d2861539fa9b0e, 0xe4fc07cd0f226781, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x002134db8f0be9e4,
};

// m8535_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xfdb7777776890c86, 0xbbbbbbbaa612089e, 0x7267db55e3afae17, 0x43b369af645d96ea, 0x713bbbb1bb3798a8,
  0x09f180905415b526, 0xc09322d05226a926, 0xe30a04f89bed6788, 0x92bf32ec24ee9f72, 0xd9f361d66706439a,
  0x47242ac0cd6e6f51, 0x0dc3e057f98d0228, 0x95dc5eef8bbd5220, 0x57c542196818fa21, 0xbdb8a4ffa039e137,
  0xe43f305855998b9c, 0x174d3281102d35ff, 0x995faa2175fedd70, 0xd51fce169da12704, 0x83cf127212c09717,
  0x097e21b09117dc68, 0xbb9b5ff5cd6ff51f, 0x9c653b5b9b4c6678, 0x8f83660f22fa8f2b, 0x75f62d314c57927a,
  0x35f4b632e384e1b8, 0xaf8e7576e7bc7521, 0xf1b1d794d3b73c8d, 0x3b169eb119a4b1aa, 0x332386f65b93380e,
  0x7f33e8e665678c5d, 0x62981013cb4e9452, 0x6253f7ce81c51e74, 0x3b3182169c918353, 0x317f36d3d0ea9c08,
  0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000426995a82fa,
};

// m8515_u1x8_uart0_noled_pr
static const uint64_t ur_m8515_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x6a4ee8c05ec46c7e,
  0x6bcc13e30120a82b, 0x6d810dfff5e1de7d, 0x7f3be584f8b4ed17, 0xf471cab031f7ea3d, 0x78e62c05965308bc,
  0x608ebd1f3b071466, 0x9eda9afc35403ff6, 0x3cb4e9450aca81e5, 0x3f1479bd93474629, 0xa9c08fea52f29bd7,
  0xff7aaa2d2a7d3d0e, 0xca2317f36d2ff156, 0x90347f1a2c79c376, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0xc574f257ee686658, 0x000000000f90b1fc,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_u4[] = {
  0xddddd7751762422f, 0xeeeeaaee7260f12d, 0x5bd7c71bc9b426ee, 0x0e1c5bbbb49f0b2d, 0xee2fa8a4cec8eefe,
  0x13e30120a82b6a4e, 0x437ffdd48e7d6bcc, 0xf9613e2d3b45db60, 0x72ac0c7dfa8f5fce, 0x8b016594c22f3d1c,
  0xaf47cec1c5199e39, 0xa6bf0d500ffd9823, 0x3a5142b2a07967b6, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5,
  0xaa8b4a9f4f43aa70, 0xc5fcdb4bfc55bfde, 0xc6f8b9357079b288, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x007c9af3ee7d79e4,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebbb507b1762, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xa668cda5a3b7a6d4,
  0x7c602415056d49dd, 0x037fba91cffee982, 0xa39b85a768bb6c0a, 0x63e7a8f2b9c66ab5, 0x77c572fbd47c1b30,
  0x2e384e1b875f62d3, 0x2b8d64d2135f4b63, 0x967a313e73ab4ba6, 0x676355ae875e74dd, 0xf9c071d8b4d05a3c,
  0xa8d823f5b86f65b2, 0xcb4e945002fc300c, 0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea,
  0xa2317f36d2ff156f, 0x4596af2e4d5c1e6c, 0xe7ea75663c81db43, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34,
  0xc3a4a5b3e04e32c9, 0x79f5e792bf734332, 0x00000000009d71d1,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777775dd4488aaac, 0xddddd55de41d7c4b, 0x3ed69b3e17e82fdd, 0xdfa5d9c489ddbf38, 0xdf228ed0489c5c46,
  0x27c602415056d49d, 0x4fe7fff3acf94598, 0xad1c422d3b45db60, 0x0707fd4795fc9355, 0x9bbe2b1f3d47c1b3,
  0x1971c270dc3afb16, 0x8ab8a266909afa5b, 0xd905a31f673ab4b8, 0x6ab1aad743af5d4d, 0xb380e3b169eb1238,
  0x5c5eefadc37b2e1c, 0x479d18a4f2d3a514, 0x6ea6f59497eb73f1, 0x05edc502169b1f56, 0x5118bf9b69e8754e,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000009d79f04a723,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0x6d49ddcc490a86b4,
  0xc149827c60241505, 0xbb6c0be4ff5e1de7, 0x96b9dff52785a768, 0xd7fdc95bf3c00b84, 0xf72c05c67309cee6,
  0x1cab03d62f51d05c, 0x351cc580ab3d21c7, 0x633c75e2e76a251c, 0x2d3a5141d7e1ee39, 0xc51e6f64d1d18a4f,
  0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0x1a3f8d163ce1bb65, 0xcf4c2b93f75663c8,
  0x4a5b2c944e32c970, 0xba792bf734332c3a, 0x000000005baf3862,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbbaabcc20c89, 0xd9d7d6864f31d85f, 0xc01b6de4dddd438f, 0xb5277699a335a11d,
  0xb7e609f180905415, 0x76d81751feea473f, 0x271b8beb190b4ed1, 0x45f71a20f3c00b07, 0x5afd47c25f886c24,
  0xf8ce678bb9b5d2d0, 0xf58bd474173dcb19, 0x602acf4871c72ac0, 0x78b9da89470d4731, 0x5075f87b8e58cf1d,
  0xd934746293cb4e94, 0xa52f29bd73f1479b, 0xd2a7d3d0ea9c08fe, 0x6da5fcc76ff7aaa2, 0x5c9ab83cd94462fe,
  0x598f2076d0d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xd7085f3ebcf257ee, 0x000000000000000d,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ee_ce[] = {
  0x96eeeeebbb7b1762, 0xbbbbbbaab88315b8, 0x6682615988d3da17, 0x5f8ef35983eebaf2, 0xed33467f4d1d9fbc,
  0x13e30120a82b6a4e, 0x450ffdd48e7f2b4c, 0xaa30f62d3b45db60, 0x5f9e005838e94eff, 0xef984e7736b868d3,
  0xf51e560a4a76b2b1, 0x57377a8f83660e32, 0x84e1b875f62d314c, 0xc4752135f4b632e3, 0xb2cf4627ce7576e4,
  0x19d8d578d8ebce9b, 0xbe701c762d34168f, 0x951b044c8e1bd96c, 0x7969d28a167f8601, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x288c5fcdb4bf98ed, 0xb43458f38b93571b, 0x4c2b93f75663c81d,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000534d53b9f5e,
};

static const uint64_t ur_m8515_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0xf180905415b52774, 0xf7fffceb3f15a609, 0x1d4a169da2edb02d, 0x3c00b5a460b717d5, 0xf886c2445f71a20f,
  0x6d767ceb3fd47c25, 0x94ed6e6e3299e2ee, 0x06cc188bea3cafe4, 0xec5a6298ae21f51f, 0xe96c65c709c370eb,
  0x39d5dbb228ea426b, 0x1d7aea6ec21d1871, 0x4e4151a9ab1aaf1b, 0x1bd970e59c071d8b, 0x5a74a298c7f0cc8e,
  0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754, 0x2317f36d2fe63b7f, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00004fc48bd4e467,
};

// m8535_u1x8_uart0_noled_hw
static const uint64_t ur_m8515_u1x8_uart0_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0xd49ddb1ec869b1bb,
  0xd79827c602415056, 0xdb60437fff0e3cfa, 0x5fcef9613e2d3b45, 0x3d1c72ac0c7dfa8f, 0x9e398b016594c22f,
  0x9823af47cec1c519, 0x67b6a6bf0d500ffd, 0x4f2d3a5142b2a079, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5,
  0xbfdeaa8b4a9f4f43, 0xb288c5fcdb4bfc55, 0x61539fa97ab8dc79, 0x99e2e7197e627f28, 0xe4fc73dffc1343c8,
  0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c, 0x0007441ec7fa29e4,
};

// m8535_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m8515_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0xd304f8c0482a0ada, 0xdb0280dff4299ffd, 0x9aad68e6e169da2e, 0x06cc18f9ea3cae71, 0xd8b4ddf15cbef51f,
  0xd2d8cb8e1386e1d7, 0xd2e98ae3593484d7, 0x9d37659e8c4f9cea, 0x168f19d8d56ba1d7, 0xd96cbe701c762d34,
  0x0c032a3608fd6e1b, 0x18a4f2d3a51400bf, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0xc55bfdeaa8b4a9f4,
  0xc79b288c5fcdb4bf, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x9070be9e4afdcd0c, 0x000000000000b7ce,
};

// m8535_u1x8_uart0_noled_ce_hw
static const uint64_t ur_m8515_u1x8_uart0_noled_ce_hw[] = {
  0x5bbbbbaeed66fcc5, 0xdddddd55dce435e2, 0xa097bd9f7e6edbdd, 0xf4aebcc9eeeea449, 0x56d49dda86a6f70a,
  0x7cf59827c6024150, 0xa2edb0297dff871e, 0x0964877fd6d6169d, 0xcdaf52bf77e78017, 0xfa7b9602eb26139d,
  0xe38e55819a4f51da, 0x46678e62c05b8621, 0xff6678ebd1f3b071, 0x0796b729afc35403, 0x18a4f2d3a5142b2a,
  0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0x31dbfdeaa8b4a9f4, 0x1bb65118bf9b697f, 0x92e19e985727e7f6,
  0x587494b659289c65, 0x1c5d14f257ee6866, 0x0000000000006214,
};

/*
 * m8515_u1x8_uart0_noled_ee_ce_u4_hw m8535_u1x8_uart0_noled_ee_ce_hw
 * m8535_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0x9827c602415056d4, 0xd81456ffa14cf93a, 0x8bea8d2b0b4ed176, 0x3441e78939094aeb, 0x8f84bf10d8488bee,
  0x3c5dcdafd83787fa, 0x9582929dadcdbdf3, 0xdea3e0d9838cbd47, 0x6e1d7d8b4c5315cd, 0x484d7d2d8cb8e138,
  0xd189f39d5db9311d, 0x355e363af3a6ecb3, 0x071d8b4d05a3c676, 0xc1132386f65b2f9c, 0x74a2859fe1806546,
  0x3cdec9a3a3149e5a, 0x47f529794deb9f8a, 0x5516953e9e8754e0, 0x17f36d2fe63b7fbd, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000140401582fa7,
};

// m8515_u1x8_uart0_lednop_pr
static const uint64_t ur_m8515_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0x527746de3b266f4f,
  0x86609f180905415b, 0xdb021f3fd78779f8, 0x9e77cb09f169da2e, 0xe8e3956063efd475, 0x4398b016594c37c9,
  0x823af47cecf6919a, 0x3db33ca69500ffd9, 0x7969d28a2b0503cb, 0x79f1268e8c530202, 0xd54e5e53633a0714,
  0x5169b167a1d53815, 0x17f36cb88ab7fbd5, 0x7f1a2c79c376ca23, 0x985727eeacc79034, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x00000f903850c574,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_u4[] = {
  0xddddd77517622a9c, 0xeeeeaaee7232712d, 0x1f561b4f17b5a6ee, 0x6f87f777693e164c, 0x761991f800d2ecfe,
  0x09f180905415b527, 0x087cff75239f8866, 0xdf2c27c5a768bb6c, 0x8e55818fbf51d679, 0x62c0596530df27a3,
  0xebd1f3b3da46690e, 0xccf29a5403ff6608, 0xa74a28ac140f2cf6, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x8b9357079b288c5f, 0xab31e40eda1a2c6f, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xc99072e7d79e4afd,
  0x0000000000000007,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ee[] = {
  0xdddddd776f621c3b, 0x77777557790c7712, 0x82ff1ec4504d6437, 0x1b7b38913bbc1d22, 0x41699d0bf2385593,
  0xf8c0482a0ada93bb, 0x45ff75239ff9d304, 0x47370b4ed176d811, 0xc7cf51e567acd56b, 0x77c57a57a8f83660,
  0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0xdd02310e73ab4be4, 0x05b1aad743af3a6e, 0xf9c071d8b4c4fa39,
  0xa8d823f5b86f65b2, 0xcb4e945002535f86, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0xbf9b65c455bfdeaa, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x0a7c45f73ebcf257,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xe30120a82b6a4eee, 0x17fff9d67fe74c13, 0x1cdc2d3b45db6045, 0x1f3d47959eb355ad, 0xdf15e95ea3e0d983,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x7408c439cead2f92, 0x16c6ab5d0ebce9bb, 0xe701c762d313e8e4,
  0xa3608fd6e1bd96cb, 0x2d3a5140094d7e1a, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba,
  0xfe6d971156ff7aaa, 0x7c5c9ab83cd94462, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x275d071a9c8cf257,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x56d49ddb1ec842f3,
  0x7d009827c6024150, 0x8bb6c0a6eff5e1de, 0x25109dff52785a76, 0x36bfce90ff9e005c, 0xe7b9602e33984e77,
  0x38e5581eb17a8e27, 0x7ac4731602f4152e, 0xcb19e3af173b0fb4, 0x3cb4e945074a6b71, 0x3cf8934746298101,
  0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x17f36cb831dbfdea, 0x7f1a2c79c376ca23, 0x985727eeacc79034,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000016ea490c574,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabcc271f89, 0xf6df1691731d85fb, 0xe00db6c4777750e3, 0xda93bb4cd19ad08e,
  0xa95304f8c0482a0a, 0x76d8118fff75239f, 0x4beb8beb190b4ed1, 0x8bee3441e780160e, 0xb5fa8f84bf10d848,
  0xf19ccf17736ba5a0, 0xeb17a8e27e7b9633, 0xc0559e82e38e5581, 0xe2e76c668f588e62, 0xa0ea596e39633c75,
  0xe8c5302027969d28, 0x4d8ce81c51e5ba68, 0x182169bd57553979, 0xe6da7a1d53817573, 0xc5c9ab83cd94462f,
  0xd598f2076d0d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0xdd7085f3ebcf257e,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8ad4e, 0xeeeeeeaae20c6c44, 0xeb429bf1ed2f469e, 0x6d4f35983eef8b75, 0x989b82b8d199bb06,
  0x3e30120a82b6a4ee, 0x52ffdd48e7f024c1, 0x51c882d3b45db604, 0xfcf002c1cf9c77fd, 0x5309cee6d7dda4db,
  0xa3cae6e94ed65646, 0xd7cf51f06cc188be, 0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0xc168ded1ceaedcf7,
  0x58d578d8ebd75376, 0x701c762d30e28ccf, 0x8a9a32386f65c396, 0x2981013cb4e94531, 0x9d038a3cf8934746,
  0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0, 0xc6ca2317f36cb831, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2,
  0x9296cb25138cb25c, 0xd79e4afdcd0ccb0e, 0x00000000534f9ce7,
};

static const uint64_t ur_m8515_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x4f8c0482a0ada93b, 0x6cefffe759f38330, 0xa8ea50b4ed176d81, 0x79e005ad2656b8be, 0x2fc4361222fb8d10,
  0x736ba545c8fea3e1, 0x74a76b737194cf17, 0xf83660c45f51e573, 0x5f62d314c56be7a8, 0x5f4b632e384e1b87,
  0x68e7576e7bc75213, 0x6c75eba9bb60b46f, 0x1698714667ac6abc, 0x1c37b2e1cb380e3b, 0x9e5a74a298c54d19,
  0x1e7c49a3a314c080, 0x75539794d8ce81c5, 0x545a6c59e8754e05, 0x8bf9b65c18edfef5, 0x8df1726ae0f36511,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x0013f0216a7233c9,
};

// m8535_u1x8_uart0_lednop_hw
static const uint64_t ur_m8515_u1x8_uart0_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0x5277617ad1a826cf,
  0x86609f180905415b, 0xdb6043e7fe1c79f8, 0xb3cef9613e2d3b45, 0x3d1c72ac0c7dfa8e, 0x48731602cb2986f9,
  0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0x62fe6d971156ff7a, 0x9fa9b0ec6e3cd944, 0xf22678138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0x14a29e4afdcd0ccb, 0x00000000007441ce,
};

// m8535_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m8515_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0x609f180905415b52, 0x604517fe8533ff3a, 0x55ad1cdc2d3b45db, 0xd9831f3d47959eb3, 0x8b4ddf15e95ea3e0,
  0x2d8cb8e1386e1d7d, 0x2f922e3593484d7d, 0xe9bb7408c439cead, 0xe8e416c6ab5d0ebc, 0x96cbe701c762d313,
  0x7e1aa3608fd6e1bd, 0x404f2d3a5140094d, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7,
  0x4462fe6d971156ff, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xf4f257ee68665874, 0x00000002df02ed05,
};

// m8535_u1x8_uart0_lednop_ce_hw
static const uint64_t ur_m8515_u1x8_uart0_lednop_ce_hw[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9c988c4, 0x8235cbdf89d2e3bb, 0x36d8c48bbbba9126, 0x0ada93bb0bd68d41,
  0xcfc89304f8c0482a, 0xda2edb02d2bff0e3, 0x70902877fd6d6169, 0xdcdaee4fe77e7801, 0xe7a7b9602eb26139,
  0x0b8e395606693d47, 0xb48cd21cc580bbde, 0x07feccf1d7a3e767, 0x0a0796b719e534a8, 0xa60404f2d3a51456,
  0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xdb288c5fcdb2e0c7, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0xe28a792bf734332c, 0x00000000000310a2,
};

/*
 * m8515_u1x8_uart0_lednop_ee_ce_u4_hw m8535_u1x8_uart0_lednop_ee_ce_hw
 * m8535_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0x9827c602415056d4, 0xb02383ff4299fa1f, 0x17d51a56169da2ed, 0x6883cf127212d377, 0x1f097e21b09117dc,
  0x78bb9b5e6199f3f5, 0x2b40253b5b9b7be6, 0x7d47c1b307197a8f, 0xdc3afb1698a62b9c, 0x909afa5b1971c270,
  0x2310e73abb76483a, 0x355e363af3a6edd0, 0x0e3b16989f4720b6, 0x8226470decb65f38, 0xe9450b3535f86a8d,
  0x9347462981013cb4, 0x2f29b19d038a3cf8, 0xd8b3d0ea9c0aeaa7, 0x6cb831dbfdeaa8b4, 0x176371e6ca2317f3,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x2808d6082fa792bf,
};

// m8515_u1x8_uart0_dual_pr
static const uint64_t ur_m8515_u1x8_uart0_dual[] = {
  0xdbbbbbb7e6a232a8, 0xdddddd531d7a337e, 0x891e9c47c3769bad, 0x8c4ea67bbba0ce19, 0x43b8eb46a3b4cf8c,
  0x4f8c0482a0ada92b, 0x3024c8b414880130, 0xb8c2813e26fb59e2, 0xadf997717d3ba7dc, 0xf01b61528e1fba64,
  0x11c90ab030f737a8, 0x0370f815fe63408a, 0x195dc5eef8bbf4d8, 0xd07e2a10cb416ba2, 0x397b73d7fe80e784,
  0xf9412a60b0ab3317, 0x3c2d3b45db605f27, 0x06f6bd47b8677cb7, 0x758a67bed68e3956, 0x4ed5fd1a0b398b01,
  0x2a807fecc11d780d, 0x31c7c0f2cf6c7dd1, 0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xb9357079b288c5fc, 0x663c81f943458f38, 0x2c970cf4c2b93f75,
  0x332c3a4a5b3e04e3, 0xe9394e46792bf734, 0x0000000000000310,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_u4[] = {
  0xbbbbb7e5173e1000, 0xdddd531d7a337edb, 0x1e9c47c3769baddd, 0x4ea67bbba0ce1989, 0xbab55de76b66cc8c,
  0x8c0482a0ada92b43, 0x24c8b4148801304f, 0xc2813e26fb59e230, 0xbf329ad53ba7dcb8, 0x036c2a51c3f74c95,
  0x392156061ee6f51e, 0x6e1f02bfcc681142, 0x2bb8bddf177e9b00, 0x0fc54219682d7443, 0x2f6e7affd01cf09a,
  0xd0194c16156662e7, 0xe169da2edb02f93f, 0x37b5ea3dc33be5b9, 0xac533df6b471cab0, 0x76afe8d059cc580b,
  0x5403ff6608ebc06a, 0x8e3e07967b63ee89, 0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2,
  0x62cf43aa702baa9c, 0xd971156ff7aaa2d3, 0xc9ab83cd94462fe6, 0xc790334f8d1637c5, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x2498f0ee792bf734,
  0x000000000000524f,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ee[] = {
  0x777776fcde7c50e3, 0xbbbbaa63534e4fdb, 0x52be7ad62fb9f7bb, 0x2899bd7ddb8393b6, 0xc0f900b85b3e2d48,
  0x905415b527a73b82, 0x5a0a4775a609f180, 0x9f137dacf1181264, 0x4d6a9dd3ee5c6140, 0xa1f3874fcd63ff99,
  0xb038e537a8fd5fb0, 0x15fe63408a11c90a, 0xeef8bbc5200370f8, 0x10cb43f722195dc5, 0xadff4073c267f22a,
  0x60b0ab3317397b7c, 0xa2edb0274bfe80ca, 0xedf9aad68f4a169d, 0xa3e0d983f93d4795, 0x1d7d8b4ddf15f75e,
  0x4d7d2d8cb8e1386e, 0x3ab4bce2b813f348, 0x3af63376ded193c7, 0xd3e791a43b1aad74, 0xc37b2ef76701c762,
  0x0a89507546c11fad, 0xa293f99f47332b30, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397,
  0x2e22adfef5545a6c, 0x357079b288c5fcdb, 0xe40cd3e3458f38b9, 0xb867a615c9fbab31, 0x61d252d9f0271964,
  0x078773c95fb9a199, 0x0000000003214385,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeedf94486c541, 0x777754c6a69c9fb6, 0x6ca57cf5b6c5f777, 0x9051337afbb70727, 0x11fc355ea3167c5a,
  0x905415b527a73bac, 0x5a0a4775a609f180, 0x9f137dacf1181264, 0x5d849dd3ee5c6140, 0x287ce1d3f358ffe6,
  0xac0e394dea3f57ec, 0x057f98d022847242, 0x7bbe2ef14800dc3e, 0x8432d0fdc8865771, 0x2b7fd01cf099fc8a,
  0x982c2accc5ce5edf, 0x68bb6c09d2ffcc9c, 0x7b7e6ab5a3d285a7, 0xa8f83660fe4f51e5, 0x875f62d377c57dd7,
  0x135f4b632e384e1b, 0xcead2f38ae04fcd2, 0x0ebd8cddb7b464f1, 0xb4f9e4690ec6ab5d, 0x70decbbdd9c071d8,
  0x02a2541d51b047eb, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0xcb88ab7fbd55169b, 0x7c371e6ca2317f36, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x2b21072b3cbcf257,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ce[] = {
  0x7776fcd41e7c92df, 0xbbaa63af7acfdb77, 0xcce0d9d6d57dbbbb, 0xd93b7775a2fd329c, 0x51f42167c4db62b0,
  0x02415056d497aeee, 0xc8b41484a89827c6, 0x813e26fb59e23024, 0x329ad53ba7dcb8c2, 0xec14f1c32b4dbeff,
  0x21560721e6f51ca1, 0x1f02bfcc68114239, 0x717bbe2efb1f006e, 0x454219681ea88657, 0x6f52bfe80e784c0a,
  0x194c16156662e72f, 0x69da2edb02eebfd0, 0x00b9d9ea77fd6321, 0x73b9b5fa7ec7ff3c, 0x3f413dcb0144fcc2,
  0x9d2471cab03417ea, 0xabfa34167316028f, 0x00ffd99e3af01a9d, 0xe3e0796b70fba255, 0x5149fccfa3999598,
  0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36, 0x357079b288c5fcdb,
  0x90334f8d165abcb9, 0x69430a9cfd4eacc7, 0x7e03e6879133c09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x069240a1e1dcf257,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeedf94486ff3e, 0x777754cf1f389fb6, 0xc7b3620ddb1ab777, 0x3b653d6dddde9d06, 0x7734f15ec75eaf67,
  0xe30120a82b6a4989, 0x24c8b4148044cc13, 0xc2813e26fb59e230, 0xafccbb093ba7dcb8, 0x8adb01ac70275325,
  0x8e485581efb9bd47, 0x1b87c0aff31a0450, 0xcaee2f77c5df8800, 0x6df8a8432d07f110, 0xcbdb94bffa039e13,
  0xf9939305855998b9, 0x70b4ed176d81145f, 0x3c49c849fcb8beb3, 0xf886c2445f71a20f, 0x9b5f4d3fcfd47c25,
  0x13dcb19e27e678bb, 0x471cab03417ea3f4, 0xa34167316028f9d2, 0xfd99e3af01a9dabf, 0x0796b70fba25500f,
  0x9fccfa3999598e3e, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf,
  0xc79b288c5fcdb2e0, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xb5aacf2f3c95fb9a, 0x0000000000001a48,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ee_ce[] = {
  0xb777776fcde7ce7c, 0xbbbbbaa6311086fd, 0x96a4c3ad45faeb7b, 0xee3529be4bba1b9d, 0xd9b69eae23f33ed3,
  0x02415056d49c9cee, 0x91682901649827c6, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xc136ce13b735adfe,
  0x558198fcdea3eed6, 0xc0aff31a04508e48, 0x5eef8bbef0c01b87, 0xa10cb40a1a2195dc, 0x87ffe80e784ce962,
  0x982c2accc5ce5ede, 0x68bb6c0b4dffa032, 0xfe71dff5471ec5a7, 0xae9b73b7f9e005ce, 0x9dacac4c66139dcd,
  0xb307917d4795a012, 0x1698a62b5f3d47c1, 0x5b1971c270dc3afb, 0x3abb72623a909afa, 0xebca69db05a310e7,
  0x61c51c82d8d578d8, 0x1bd96e4ce038ec5a, 0x47332b3c62a68c8e, 0x809e5a74a293f99f, 0x1c51e39f87a314c0,
  0xfcdba96ae5297ce8, 0xc0a6173182169dc5, 0xca2317f36d3d0ea9, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x00004c139c1e1dcf,
};

static const uint64_t ur_m8515_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddddbf2890cf68, 0xeeeeea99988ebbf6, 0x57db9f6cfb6b8eee, 0xa3eeb66ee276ea0a, 0xcd1f53af70dd889e,
  0xc0482a0ada92f59d, 0x645a0a45927304f8, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0x360290e1faf31adf,
  0x2156076b737a8f00, 0x1f02bfcc68114239, 0x717bbe2ef672006e, 0x8a8432d08ac88657, 0x79dbffa039e134ae,
  0x7260b0ab3317397b, 0x3b45db605d3fff32, 0x252bae2faa3f9c2d, 0x222fb8d1079e24e4, 0x5c8fea3e12fc4361,
  0x3698ccf17736ba54, 0x45f51e57a54a76b7, 0x98ae6ef51f06cc1e, 0xc709c370ebec5a62, 0xd108ea426be96c65,
  0xa7659e8ebf9ceaed, 0x31f76355e363af29, 0xdc99c071d8b4d05a, 0xacf18eb1191c37b2, 0x69d28a4fe67d1ccc,
  0x5ba68e8c53020279, 0x539794d8ce81c51e, 0x17573182169bd575, 0x4462fe6da7a1d538, 0x7771a2c6f86e3cd9,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x7979e4afdcd0ccb0, 0x000000001001d3d6,
};

// m8535_u1x8_uart0_dual_hw
static const uint64_t ur_m8515_u1x8_uart0_dual_hw[] = {
  0xeeeeedf944864c7f, 0x777754c75e8cdfb6, 0xc48f4e23fa1bb777, 0x4627533dddd0670c, 0xad0eeebbb9db55e6,
  0xc13e30120a82b6a4, 0x88c09322d0522004, 0x72e30a04f89bed67, 0x4c95bf32ec24ee9f, 0xf51e036c2a51c3f7,
  0x1142392156061ee6, 0x9b006e1f02bfcc68, 0x74432bb8bddf177e, 0xf09a0fc54219682d, 0x62e72f6e7affd01c,
  0xf27ff90fcc161566, 0xcb73c2d3b45db605, 0x95606f6bd47b8677, 0xb01758a67bed68e3, 0x80d4ed5fd1a0b398,
  0xdd12a807fecc11d7, 0x32b31c7c0f2cf6c7, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51,
  0x45a6c59e8754e057, 0x5fcdb2e22adfef55, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7, 0x343c899e07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00031ba9b900be9e,
};

// m8535_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m8515_u1x8_uart0_dual_ee_hw[] = {
  0xbbbbb7e512190907, 0xdddd531a9a727edb, 0xb295f3d6db17dddd, 0x4144cdebeedc1c9d, 0xb41fabef5ed9f16a,
  0x02415056d49e9cee, 0x9168291dd69827c6, 0x027c4df6b3c46049, 0x997612774fb97185, 0xb0a1f3874fcd63ff,
  0x0ab038e537a8fd5f, 0xf815fe63408a11c9, 0xc5eef8bbc5200370, 0x2a10cb43f722195d, 0x7cadff4073c267f2,
  0x7e60b0ab3317397b, 0x3b45db604e97ffc8, 0x2bdbf355ad1e942d, 0xbd47c1b307f27a8f, 0xdc3afb169bbe2bee,
  0x909afa5b1971c270, 0x8e756979c57027e6, 0xe875ec66edbda327, 0xc5a7cf234876355a, 0x5b86f65deece038e,
  0x601512a0ea8d823f, 0xe94527f33e8e6656, 0x9347462981013cb4, 0x2f29b19d038a3cf8, 0xd8b3d0ea9c0aeaa7,
  0xb65c455bfdeaa8b4, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x15da20e417d3c95f,
};

// m8535_u1x8_uart0_dual_ce_hw
static const uint64_t ur_m8515_u1x8_uart0_dual_ce_hw[] = {
  0xdddddbf2890c365a, 0xeeeea99e3e713f6d, 0x8f66c41bb6356eee, 0x76ca7adbbbbd3a0d, 0x625dc4ddf5f66d0e,
  0x04f8c0482a0ada92, 0x8c09322d05201133, 0x2e30a04f89bed678, 0xc96bf32ec24ee9f7, 0x51e2b6c06b1c09d4,
  0x14239215607bee6f, 0x0006e1f02bfcc681, 0x4432bb8bddf177e2, 0x84db7e2a10cb41fc, 0x2e72f6e52ffe80e7,
  0x2fff90fcc1615666, 0x59b85a768bb6c08a, 0x079e24e424fe5c5f, 0x12fc4361222fb8d1, 0x7736b98f8cdfea3e,
  0xe827b9633c4fccf1, 0xa48e39560682fd47, 0x7f4682ce62c051f3, 0x1ffb33c75e0353b5, 0x7c0f2d6e1f744aa0,
  0x293f99f47332b31c, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979, 0xc18edfef5545a6c5,
  0x1b8f365118bf9b65, 0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x55ad417d3c95fb9a, 0x0000000000000137,
};

// m8515_u1x8_uart0_dual_ee_ce_u4_hw m8535_u1x8_uart0_dual_ee_ce_hw    m8535_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_u1x8_uart0_dual_ee_ce_hw[] = {
  0xddddddbf2890cf68, 0xbbbbbaa6663ddbf6, 0xc44faafb17d07dbb, 0xfa2f37713b755f24, 0xe68fa9d6b7664cae,
  0x602415056d496c4e, 0x322d052138f9827c, 0xa04f89bed6788c09, 0xf32ec24ee9f72e30, 0xf606b670986999f3,
  0x2156070026f51ff5, 0x1f02bfcc68114239, 0xe2f77c5de601006e, 0x150865a04e910cae, 0x7d35ff4073c26d9d,
  0x7e60b0ab3317397b, 0x3b45db60416bffc8, 0x24706e2faa32ea2d, 0x222fb8d1079e24e4, 0x5c8fea3e12fc4361,
  0x36be4cf17736ba54, 0x31f51e57224a76b7, 0x98ac27fa8f83660d, 0xc709c370ebec5a62, 0xd388ea426be96c65,
  0xcddb7b464f1ceaed, 0x8d21d8d578d8ebd8, 0x77bb380e3b169f3c, 0x41d51b044c8e1bd9, 0xe67d1cccaccb3a25,
  0x5302027969d28a4f, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xcd94462fe6d97063,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xd85f4f257ee68665, 0x00000000001d757a,
};

// m8515_u1x12_uart0_noled_pr
static const uint64_t ur_m8515_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xa4eeedb6a6331da4,
  0x8cc13e30120a82b6, 0x35fb22ffaf0ef3e9, 0xb09f169da2ed8443, 0x56063efd47afe77c, 0x80b2ca61179e8e39,
  0xa3e760e28ccf1cc5, 0x5f86a807fecc11d7, 0x28a159503cb3db53, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0xe3458f386ed94462, 0x0ae4fdd598f2068f, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0001f203cb98ae9e,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_u4[] = {
  0xeebbad0e8bb12d3a, 0xbbaabb0e707896ee, 0xfb24497bdf17bbbb, 0xd0e6eee910444369, 0x3f6d146d91f48bbb,
  0x7c602415056d49dd, 0x917fdd48e7d31982, 0x8b4ed176c2219afd, 0x1f7ea3d7f3be584f, 0x65308bcf471cab03,
  0xb07146678e62c059, 0x5403ff6608ebd1f3, 0xaca81e59eda9afc3, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903b6868b1be2e, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xb4fb9f5e792bf734,
  0x0000000000001f26,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef62eff6, 0xeeeaaeb906a712dd, 0xf50dd7ad1a826eee, 0xce0be17bbbbde485, 0x31234e99a9b7a7b6,
  0x0120a82b6a4eebd7, 0xfdd48e7d2b4c13e3, 0xed176c2219afd52b, 0x5738cd56b47370b4, 0x7a8f83660c7cf51e,
  0x70ebec5a6ef8ae5f, 0x426be96c65c709c3, 0xce756974c571ac9a, 0xd0ebce9bb2cf4627, 0x169a0b478cec6ab5,
  0xb70decb65f380e3b, 0x005f8601951b047e, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4,
  0xda5fe2adfef5545a, 0xc5c9ab8d94462fe6, 0xab31e40eda1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0x0e7dcfaf3c95fb9a, 0x000000000000029f,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x0905415b52776273, 0xffceb3e95a609f18, 0x68bb6110cd7ea95f, 0xb9c66ab5a39b85a7, 0xd47c1b3063e7a8f2,
  0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e, 0xb4d05a3c676355ae,
  0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5,
  0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xb5a94e46792bf734, 0x00000000000013ae,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0x5277417a0998b21c,
  0xc6609f180905415b, 0xcd7e5f3fd78779f9, 0xf52785a768bb6110, 0x5bf3c00b8496b9df, 0xc67309cee6d7fdc9,
  0xd62f51d05cf72c05, 0x80ab3d21c71cab03, 0xe2e76a251c351cc5, 0x41d7e1ee39633c75, 0x64d1d18a4f2d3a51,
  0x94bca6f5cfc51e6f, 0x4a9f4f43aa7023fa, 0xb697f31dbfdeaa8b, 0x163ce1bb65118bf9, 0x93f75663c81a3f8d,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x02dd40e462ba792b,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ce_u4[] = {
  0x775dd68745d8ad4e, 0xddd55f85c6bc4b77, 0x97be6fe3f731dddd, 0xc99bafddddf5f7e6, 0x9dd3137049046636,
  0x9827c602415056d4, 0x5fa3dffba91cfafb, 0x632169da2ed84433, 0x1e780160e2f9717d, 0x4bf10d8488bee344,
  0xee6d7383d5ffa8f8, 0x05cf72c67e3399e2, 0xdc71cab03d62f51d, 0x91c351cc580b5fc7, 0x8e58cf1d78b9db58,
  0x27969d28a0e80d5b, 0x5cfc51e5ba68e8c5, 0x0b4e5e3fa94bca6f, 0x4f43aa7033a998c1, 0x357079b288c5fcdb,
  0x1e40eda1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0xcb3e7d79e4afdcd0, 0x0000000000000375,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee04c844b7, 0x0b2750e19eb4bddd, 0x7c88707dd1afe949, 0x706cd2dc1c5e56ec,
  0x602415056d49ddfa, 0xffba91cfa9e9827c, 0x9da2ed844335f8ba, 0x0e7ee3bfea8e4416, 0x9b5ec7ffe7e78016,
  0x253b5959194c273b, 0xc1b30622fa8f2bf9, 0xfb1698a62b887d47, 0xfa5b1971c270dc3a, 0x4e7576ec8a3a909a,
  0xc75eba9bb087461c, 0xd390546a6ac6abc6, 0x86f65c396701c762, 0x969d28a631fc3323, 0xe28f37b268e8c527,
  0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x88c5fcdb4bf98edf, 0x43458f38b93571b2, 0xc2b93f75663c81db,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00014d3e93b9f5e7,
};

static const uint64_t ur_m8515_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0x80905415b52774eb, 0xfffceb3e35a609f1, 0x768bb6110cd7ed37, 0x9182dc5f5475285a, 0x117dc6883cf002d6,
  0xacff51f097e21b09, 0xb8ca678bb9b5d9f3, 0x2fa8f2bf9253b5b9, 0x62b887d47c1b3062, 0x1c270dc3afb1698a,
  0xc8a3a909afa5b197, 0xbb087461c4e7576e, 0xa6ac6abc6c75eba9, 0x96701c762d390546, 0x631fc332386f65c3,
  0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a, 0x9357079b288c5fcd,
  0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0xf0b353919e4afdcd, 0x0000000000000013,
};

// m8535_u1x12_uart0_noled_hw
static const uint64_t ur_m8515_u1x12_uart0_noled_hw[] = {
  0x75dd687a82cdc49f, 0xdd55d87383c4b777, 0x9fb244e97bdddddd, 0xbd0e6eee91044436, 0x27773124356848bb,
  0x6609f180905415b5, 0x35fb22ffe1c79f4c, 0xb09f169da2ed8443, 0x56063efd47afe77c, 0x80b2ca61179e8e39,
  0xa3e760e28ccf1cc5, 0x5f86a807fecc11d7, 0x28a159503cb3db53, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0xa9b0ec6e3cd94462, 0x2678138d2861539f, 0x3d30ae4fc07cd0f2,
  0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000007441c797,
};

// m8535_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m8515_u1x12_uart0_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0x7c602415056d49dd, 0x54affa14cfa56982, 0xc2d3b45db08866bf, 0xd4795ce3355ad1cd, 0xb97dea3e0d9831f3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x189f39d5a5d315c6, 0xaad743af3a6ecb3d, 0x38ec5a682d1e33b1,
  0x11fadc37b2d97ce0, 0x4a28017e1806546c, 0xcdec9a3a3149e5a7, 0x7f529794deb9f8a3, 0x516953e9e8754e04,
  0xbf9b697f8ab7fbd5, 0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000b7d2ac417d3c,
};

// m8535_u1x12_uart0_noled_ce_hw
static const uint64_t ur_m8515_u1x12_uart0_noled_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55d871d7c4b7, 0xf5a508c1f600dddd, 0xcfd2f37ddddf0bc3, 0xb6a4eee62486ad04,
  0xc27cc13e30120a82, 0x8866bf201ff871e7, 0xeffadac2d3b45db0, 0x57eefcf002e12c90, 0xc05d64c273b9b5ea,
  0xb03349ea3b5f4f72, 0xcc580b70c43c71ca, 0x1d7a3e760e28ccf1, 0xe535f86a807feccf, 0x5a74a2856540f2d6,
  0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754, 0x2317f36d2fe63b7f, 0xd30ae4fcfec376ca,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000000c4296ea2,
};

/*
 * m8515_u1x12_uart0_noled_ee_ce_u4_hw m8535_u1x12_uart0_noled_ee_ce_hw
 * m8535_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u1x12_uart0_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x27c602415056d49d, 0xf0d6ffa14cfa5a98, 0xac2d3b45db08866b, 0x24e4252bae2faa34, 0x4361222fb8d1079e,
  0xbf60de1fea3e12fc, 0x76b736f7ccf17736, 0x660e32f51e560a4a, 0x2d314c57377a8f83, 0xb632e384e1b875f6,
  0x7576e4c4752135f4, 0xebce9bb2cf4627ce, 0x34168f19d8d578d8, 0x1bd96cbe701c762d, 0x7f8601951b044c8e,
  0x8e8c527969d28a16, 0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0xbf98edfef5545a54, 0x8dc79b288c5fcdb4,
  0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x2fc930be9e4afdcd, 0x00000000000000a0,
};

// m8515_u1x12_uart0_lednop_pr
static const uint64_t ur_m8515_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xa4ee971b2636d4dd,
  0x24c13e30120a82b6, 0x9afcf7ffaf0ef3f9, 0x584f8b4ed176c221, 0xab031f7ea3acf3be, 0x80b2ca61be4f471c,
  0xa3e767b48cd21cc5, 0xe534a807fecc11d7, 0x945158281e59ed99, 0x347462981013cb4e, 0xf29b19d038a3cf89,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0x63ce1bb65118bf9b, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x07c863662ba792bf,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762bd3a, 0x7755761ce6f12ddd, 0xda0e21afbc7f7777, 0xd4cdddd220889c1c, 0x8d35c750fe9d09b3,
  0x3e30120a82b6a4ee, 0x3dffeea473f924c1, 0xe2d3b45db08866bf, 0xc7dfa8eb3cef9613, 0xb2986f93d1c72ac0,
  0xd9ed23348731602c, 0x2a01ffb30475e8f9, 0x560a07967b66794d, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0x83cd94462fe6d971, 0x076d0d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x73ebcf257ee68665,
  0x0000000003e4df81,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbaeeb43dec4743, 0xdddd55d72164e25b, 0xa9c2f186c695bddd, 0x71382f85eeeef791, 0x45e4b41560ad1851,
  0xe30120a82b6a4eed, 0x4ffdd48e7e43cc13, 0xb4ed176c2219afce, 0x1e567acd56b47370, 0xa57a8f83660c7cf5,
  0xe1b875f62d377c57, 0x4d2135f4b632e384, 0x10e73ab4be48b8d6, 0xad743af3a6edd023, 0x1d8b4c4fa3905b1a,
  0x3f5b86f65b2f9c07, 0x45002535f86a8d82, 0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f,
  0x5c455bfdeaa8b4d8, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0xfdf3ebcf257ee686, 0x0000000000014f82,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x602415056d49ddb1, 0xffff3acfc879827c, 0x9da2ed844335f9c9, 0xcacf59aad68e6e16, 0xaf51f06cc18f9ea3,
  0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462, 0xb16989f4720b6355,
  0xeb70decb65f380e3, 0xa004a6bf0d51b047, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0x5c1e6ca2317f36cb, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x694e46792bf73433, 0x000000000013ae99,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0x5b5277417a0998b2,
  0xfb7e609f18090541, 0x219afdd47faf0ef3, 0xbfea4f0b4ed176c2, 0xc95bf3c00b8487c3, 0x05c67309cee6d7fd,
  0x03d62f51c4fcf72c, 0xc580ab3d05c71cab, 0xebc5ced8cd1eb11c, 0x5141d4b2dc72c678, 0xd1d18a60404f2d3a,
  0xf29b19d038a3cb74, 0xe63042d37aaeaa72, 0x5fcdb4f43aa702ea, 0xfc68b1e70ddb288c, 0x615c9fbab31e40d1,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000016ea072315d3,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaabf0bf1f896e, 0xdf1691731d85fbbb, 0x06db623bbbbebefc, 0x49dda668cd684770,
  0xa9827c602415056d, 0x35f8c7ffba91cfd4, 0xd632169da2ed8443, 0x41e780160e4dd717, 0x84bf10d8488bee34,
  0x17736b93a4b5fa8f, 0xe90e7b9633f19ccf, 0x6b238e5581eb17a8, 0x50746e99cc580bcf, 0x36e39633c75e2e76,
  0x02027969d28a0e80, 0x7ef9d038a3ce8c53, 0x3042d392306a6c4a, 0xe6da7a1d53810766, 0xc5c9ab83cd94462f,
  0xd598f2076d0d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0xdd7085f3ebcf257e,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee058544b7, 0xd7a70be19eb4bddd, 0xad1221c1f746bfa5, 0xf4e0d9a5b838bcad,
  0xf8c0482a0ada93bb, 0xfbff75239f8ad304, 0x2d3b45db08866bf6, 0x2c1c28a77fd51c88, 0x7736bd8fffcfcf00,
  0x374a76b2b232984e, 0x8f83660c45f51e57, 0x75f62d314c5698fa, 0x35f4b632e384e1b8, 0xed1ceaedd9147521,
  0x1b1d7aea6ecd7c8d, 0xc5a6691199eb1aaf, 0x470decb872ce038e, 0x27969d28a6319646, 0x51e5ba68e8c53020,
  0x575539794d8ce81c, 0x53817573182169bd, 0x8d94462fe6da7a1d, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0xaf3c95fb9a19961d, 0x0000000a69f49dcf,
};

static const uint64_t ur_m8515_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xe30120a82b6a4ee9, 0xd7fff3acf98fcc13, 0x69da2ed844335f92, 0x5a4287717d51d4a1, 0x2445f71a20f3c00b,
  0xceb3fd47c25f886c, 0xe6e3299e2ee6d767, 0x88bea3cae6e94ed6, 0x298ad31f51f06cc1, 0x5c709c370ebec5a6,
  0xbb228ea426be96c6, 0x4dd9af91bda39d5d, 0x333d6355e363af5d, 0x0e59c071d8b4cd22, 0x14c632c8c8e1bd97,
  0x1d18a60404f2d3a5, 0x29b19d038a3cb74d, 0x63042d37aaeaa72f, 0xfcdb4f43aa702eae, 0xf8b9357079b288c5,
  0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x013f0b353919e4af,
};

// m8535_u1x12_uart0_lednop_hw
static const uint64_t ur_m8515_u1x12_uart0_lednop_hw[] = {
  0xeebbad0f5059bb37, 0xbbaabb0e737896ee, 0x1cda0e2d1afbbbbb, 0xb3d4cdddd220889c, 0x52776c7b21a6c509,
  0x92609f180905415b, 0x19afcf7ffe1c79fc, 0xe584f8b4ed176c22, 0xcab031f7ea3acf3b, 0x580b2ca61be4f471,
  0x7a3e767b48cd21cc, 0x9e534a807fecc11d, 0xe945158281e59ed9, 0x9347462981013cb4, 0x2f29b19d038a3cf8,
  0xd8b3d0ea9c0aeaa7, 0xb65c455bfdeaa8b4, 0xc3b1b8f365118bf9, 0xe04e34a1854e7ea6, 0xc2b93f01f343c899,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001d107c6e8a,
};

// m8535_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m8515_u1x12_uart0_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x09f180905415b527, 0xfce4ffe8533f21e6, 0x370b4ed176c2219a, 0xcf51e567acd56b47, 0xc57a57a8f83660c7,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x02310e73ab4be48b, 0xb1aad743af3a6edd, 0xc071d8b4c4fa3905,
  0xd823f5b86f65b2f9, 0x4e945002535f86a8, 0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa,
  0x9b65c455bfdeaa8b, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x00b7d843e17d3c95,
};

// m8535_u1x12_uart0_lednop_ce_hw
static const uint64_t ur_m8515_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeebbad0f59bb37, 0xbbbbbaabb0e0c896, 0x1f75f5a193df1fbb, 0x200db6f26eeef85e, 0x0ada93bb63d90d36,
  0x9fdbf304f8c0482a, 0xc2219afdd47fe1c7, 0x43bfeb6b0b4ed176, 0x727f3bf3c00b8481, 0xcb01759309cee6d7,
  0xcab03349ea3f3d3d, 0x90e62c05def05c71, 0x678ebd1f3b3da466, 0xb5b8cf29a5403ff6, 0x27969d28a2b0503c,
  0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0x62fe6d97063b7fbd, 0x615c9f9fd86ed944,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000310a7d7453,
};

/*
 * m8515_u1x12_uart0_lednop_ee_ce_u4_hw m8535_u1x12_uart0_lednop_ee_ce_hw
 * m8535_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x27c602415056d49d, 0xdd5fff4299fe9f98, 0xb0b4ed176c2219af, 0x9390969bb8bea8d2, 0x0d8488bee3441e78,
  0xf30ccf9fa8f84bf1, 0xdadcdbdf33c5dcda, 0x9838cbd4795a0129, 0xb4c5315ce3ea3e0d, 0xd8cb8e1386e1d7d8,
  0xd5dbb241d484d7d2, 0xd79d376e81188739, 0xc4fa3905b1aaf1b1, 0x6f65b2f9c071d8b4, 0xa9afc3546c113238,
  0x4c0809e5a74a2859, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x365118bf9b65c18e,
  0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x817d3c95fb9a1996, 0x0000000001405353,
};

// m8515_u1x12_uart0_dual_pr
static const uint64_t ur_m8515_u1x12_uart0_dual[] = {
  0xddddbf183ea22044, 0xeeeea99e9448bf6d, 0x7791a8b627605eee, 0x70571eeeeb218bfa, 0xee4149c805043477,
  0xc602415056d49536, 0x12645a0a46209827, 0x61409f137dacf118, 0xfccbb8be9dd3ee5c, 0x7bd83f8705f73145,
  0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177cae00, 0xb5a2a10cb4232443, 0xcbdbce3ff4073c26,
  0xca095305855998b9, 0x68bb6110cd7e7bff, 0x51d679df2c27c5a7, 0xdf27a38e55818fbf, 0x46690e62c0596530,
  0x72c608ebd1f3b3da, 0x9f47332b32b289dc, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xb288c5fcdb2e22ad, 0x43458f38b9357079, 0xc2b93f75663c81f9, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000003106e3d4e46,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_u4[] = {
  0xddbf183d173e306a, 0xeea99e96273f6ddd, 0x715c653b4a56eeee, 0xf25dddd37634ee0c, 0x57e4c3ac84302cc8,
  0x0905415b52590775, 0x9168290292609f18, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xd87ee3825699d2fe,
  0x42ac0cc7cdea3d4a, 0x3e057f98d0228472, 0x717bbe2ef8ac00dc, 0x4542196826288657, 0x6e13ffe80e784d19,
  0x194c16156662e72f, 0xbb6110cd7e5f3fd0, 0xf70cef96e785a768, 0xdad1c72ac0ded7a8, 0x416731602eb14cf7,
  0x9823af01a9dabfa3, 0x59ed8fba25500ffd, 0x33e8e6656638f81e, 0x981013cb4e94527f, 0xd038a3cf89347462,
  0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e, 0x365118bf9b65c455, 0x3e3458df1726ae0f, 0x2a73f53ab31e40cd,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9,
  0x00000149327163c3,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307de7cbd5b, 0xddd531e996a7edbb, 0xed5862afddfbdddd, 0x1b6106ea3bb1273b, 0xdc05ad07aed9f0f6,
  0x15056d498e2eeeef, 0x82900009827c6024, 0xc4df6b3c46049916, 0x5aa774fb97185027, 0x3e70b1f9bfe7e653,
  0x067066f51e87f61d, 0xbfcc681142392156, 0xbe2effd7006e1f02, 0x32d04ac88657717b, 0xffa039e132fb8a84,
  0x5855998b9cbdbefb, 0x866bf1c3ff406530, 0xad1e942d3b45db08, 0x07f27a8f2bdbf355, 0x9bbe2beebd47c1b3,
  0x1971c270dc3afb16, 0xc57027e6909afa5b, 0xedbda3278e756979, 0x4876355ae875ec66, 0xeece038ec5a7cf23,
  0xea8d823f5b86f65d, 0x3e8e6656601512a0, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d,
  0xfdeaa8b4d8b3d0ea, 0x65118bf9b65c455b, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000064298d8f0ee7,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ee_u4[] = {
  0x776fc60f448664d6, 0xbbaa63d32d4fdb77, 0x77dab0da55fbbbbb, 0xec36c20dd477624e, 0x8f0d00cb275db3e1,
  0x15056d498e2eeccd, 0x82900009827c6024, 0xc4df6b3c46049916, 0x612774fb97185027, 0x4f9c2c7e6ff9f997,
  0x819c19bd47a1fd87, 0xaff31a04508e4855, 0xef8bbff5c01b87c0, 0x0cb412b22195dc5e, 0xffe80e784cbee2a1,
  0x16156662e72f6fbe, 0x219afc70ffe64e4c, 0x6b47a50b4ed176c2, 0xc1fc9ea3caf6fcd5, 0xa6ef8afbaf51f06c,
  0xc65c709c370ebec5, 0x715c09f9a426be96, 0xbb6f68c9e39d5a5e, 0xd21d8d56ba1d7b19, 0x7bb380e3b169f3c8,
  0x3aa3608fd6e1bd97, 0xcfa39995980544a8, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67,
  0xff7aaa2d362cf43a, 0xd94462fe6d971156, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x567979e4afdcd0cc, 0x00000000005647e0,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ce[] = {
  0xb7e307d41e7c7a31, 0xd533d2d867edbbbb, 0x48ce716fdadddddd, 0x13bbba69699bb237, 0xf87dd760f8ed362b,
  0x415056d49081dc89, 0xb4148b919827c602, 0x3e26fb59e23024c8, 0x9ad53ba7dcb8c281, 0x32b1c37dcda6ff32,
  0x56065d66f51d4f6c, 0x02bfcc6811423921, 0xbddf177ffc006e1f, 0x42196804f4432bb8, 0xfbbfe80e784d38c5,
  0x4c16156662e72f6f, 0x6110cd7e32bfd019, 0xa9dff58c85a768bb, 0xe9fb1ffcf002e767, 0x2c0513f309cee6d7,
  0x2ac0d05fa8fd04f7, 0x59cc580a3e7491c7, 0x78ebc06a76afe8d0, 0xadc3ee895403ff66, 0x3e8e6656638f81e5,
  0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0xca2317f36cb831db,
  0x34596af2e4d5c1e6, 0x73f53ab31e40cd3e, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x078773c95fb9a199, 0x00000000001a48bb,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ce_u4[] = {
  0x776fc60f44865c93, 0xbbaa642fd94fdb77, 0xf8ed14ed2c5bbbbb, 0x73ac36eeec71466a, 0x8671716eb7793086,
  0x80905415b527c8bb, 0x645a0a41806609f1, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0x6d813a3825a982d7,
  0x242ac0f4dcdea38d, 0xc3e057f98d022847, 0xee2f77c5ded7600d, 0x7150865a0bed10ca, 0xb760bff4073c260f,
  0x27260b0ab3317397, 0xbb6110cd7e727ff3, 0x4fe5c5f59b85a768, 0x22fb8d1079e24e42, 0xfe7ea3e12fc43612,
  0xf13f33c5dcdafa69, 0x1a0bf51fa09ee58c, 0x8b0147ce9238e558, 0x780d4ed5fd1a0b39, 0x7dd12a807feccf1d,
  0xcccacc71f03cb5b8, 0x27969d28a4fe67d1, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381,
  0x62fe6d97063b7fbd, 0x71a2c6f86e3cd944, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343c899e07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x000000d245e7d679,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbbb7e307d4343ee, 0xddddd530616a7edb, 0xd3b4e72bed75bddd, 0xb1767c4874edd29c, 0xbabbf227bb69e2af,
  0x180905415b526c4b, 0x4c8b4148e1fe609f, 0x2813e26fb59e2302, 0xfccbb093ba7dcb8c, 0xbd84ed9c2d6e6adf,
  0x90ab0319b9bd474d, 0x0f815fe63408a11c, 0xb8bddf177cc30037, 0xc542196829e4432b, 0xdc2d7fd01cf098e1,
  0x9c982c2accc5ce5e, 0xed844335fb677fcc, 0xc77fd51c7b169da2, 0xfe068fcf1272124a, 0x595898cc273b9b5f,
  0x0f22fa8f2b9c653b, 0x314c57927a8f8366, 0x32e384e1b875f62d, 0x76e7bc752135f4b6, 0x94d3b73c8daf8e75,
  0xb119a4b1aaf1b1d7, 0xf65b93380e3b169e, 0xe665678c5d332386, 0x13cb4e94527f33e8, 0xce81c51e74629810,
  0x169c9183536253f7, 0xd3d0ea9c083b3182, 0x9c371e6ca2317f36, 0xbab337f07771a2c7, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x084e2ecf2f3c95fb, 0x0000000000000026,
};

static const uint64_t ur_m8515_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeedf8c1e890c86, 0xeeeea980be8bdfb6, 0x6b4abcb16d77eeee, 0x00d6a19991dd1edf, 0xeeec6ecb41e62859,
  0x602415056d49b0ce, 0x322d0523b8f9827c, 0xa04f89bed6788c09, 0xf32ec24ee9f72e30, 0x361fae7035b9a61b,
  0x2156075bf37a8e29, 0x1f02bfcc68114239, 0x717bbe2efca8006e, 0x8a8432d01ac88657, 0xbbfcffa039e135ba,
  0x39305855998b9cbd, 0xb6110cd7e31fff99, 0x5c5f547f385a768b, 0x71a20f3c49c84b2b, 0xd47c25f886c2445f,
  0x99e2ee6d7eb3643f, 0x3cad0094ed6e6d31, 0xf9ea3e0d983c8bea, 0x86e1d7d8b4c5315a, 0xd484d7d2d8cb8e13,
  0x2d188739d5db9311, 0xc6abc6c75e534ed8, 0x01c762d30e28e416, 0x15346470decb7267, 0x149fccfa399959e3,
  0x3d18a60404f2d3a5, 0x294be740e28f1cfc, 0x10b4ee2fe6dd4b57, 0x69e8754e0530b98c, 0xbe1b8f365118bf9b,
  0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x020020559e5e792b,
};

// m8535_u1x12_uart0_dual_hw
static const uint64_t ur_m8515_u1x12_uart0_dual_hw[] = {
  0xbbb7e307a243304a, 0xddd533d2c4e7edbb, 0x831c571e94eddddd, 0x323c977774dd8d3b, 0x83bac5d47f500c0b,
  0x4f8c0482a0ada92c, 0x3024c8b414814930, 0xb8c2813e26fb59e2, 0x3a5fccbb093ba7dc, 0x47a95b0fdc704ad3,
  0x508e48558198f9bd, 0x801b87c0aff31a04, 0x10caee2f77c5df15, 0x09a328a8432d04c5, 0x5ce5edc27ffd01cf,
  0xcfff21f982c2accc, 0x69da2ed844335f97, 0xb5ea3dc33be5b9e1, 0x533df6b471cab037, 0xafe8d059cc580bac,
  0x03ff6608ebc06a76, 0x3e07967b63ee8954, 0x149fccfa3999598e, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xc6e3cd94462fe6d9, 0x3def2861539fa82e, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xd426b05f4f257ee6, 0x000000000000018d,
};

// m8535_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m8515_u1x12_uart0_dual_ee_hw[] = {
  0x776fc60f4486ff3e, 0xbbaa63d32d4fdb77, 0x77dab0da55fbbbbb, 0xec36c20dd477624e, 0x3c57bdabdf5db3e1,
  0x482a0ada931c5dcd, 0x2d0520001304f8c0, 0x4f89bed6788c0932, 0x2ec24ee9f72e30a0, 0x0e9f3858fcdff3f3,
  0xab0338337a8f43fb, 0x815fe63408a11c90, 0xbddf177feb80370f, 0x4219682564432bb8, 0x7dffd01cf0997dc5,
  0x982c2accc5ce5edf, 0x08866bf1c3fff21f, 0x55ad1e942d3b45db, 0xb307f27a8f2bdbf3, 0x169bbe2beebd47c1,
  0x5b1971c270dc3afb, 0x79c57027e6909afa, 0x66edbda3278e7569, 0x234876355ae875ec, 0x5deece038ec5a7cf,
  0xa0ea8d823f5b86f6, 0xf33e8e6656601512, 0x2981013cb4e94527, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1,
  0x5bfdeaa8b4d8b3d0, 0xf365118bf9b65c45, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x0417d3c95fb9a199, 0x000000000015da7e,
};

// m8535_u1x12_uart0_dual_ce_hw
static const uint64_t ur_m8515_u1x12_uart0_dual_ce_hw[] = {
  0xeedf8c1e890c0668, 0x7754c85fb29fb6ee, 0xf1da29da58b77777, 0xe7586dddd8e28cd5, 0x5dc0fac1378fe10c,
  0xf8c0482a0ada93e4, 0x09322d0520c03304, 0x30a04f89bed6788c, 0x6bf32ec24ee9f72e, 0xc6b6c09d1c12d4c1,
  0x239215607a6e6f51, 0x06e1f02bfcc68114, 0x657717bbe2ef6bb0, 0x07b8a8432d05f688, 0xcbdbb05ffa039e13,
  0xfe43f305855998b9, 0x68bb6110cd7e727f, 0x424fe5c5f59b85a7, 0x1222fb8d1079e24e, 0xf8cdfea3e12fc436,
  0x33c4fccf17736b98, 0x60682fd47e827b96, 0xe62c051f3a48e395, 0x75e0353b57f4682c, 0xe1f744aa01ffb33c,
  0x47332b31c7c0f2d6, 0x809e5a74a293f99f, 0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e,
  0x118bf9b65c18edfe, 0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef,
  0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x00000013755e7c17,
};

// m8535_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8515_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbb7e3070f5a1a5fb, 0xbaa602faef7edbbb, 0xa012afdf71bbbbbb, 0x433323bbf693926b, 0x91aeba5584de4cad,
  0x905415b524ed3ba5, 0xb4148ee3e609f180, 0x3e26fb59e23024c8, 0xbb093ba7dcb8c281, 0x4c31c19f26eb3fcc,
  0x5818a49bd4735bd8, 0x0aff31a04508e485, 0xddf177dd0c01b87c, 0x2196825a4432bb8b, 0xe7fd01cf09a39454,
  0x82c2accc5ce5eddf, 0x10cd7e31ffff21f9, 0xf5465d45a768bb61, 0x20f3c49c848e0dc5, 0xc25f886c2445f71a,
  0x2ee6d798667cfd47, 0xe4494ed6e6d7c99e, 0x51f06cc1a63ea3ca, 0x1d7d8b4c531584ff, 0x4d7d2d8cb8e1386e,
  0xc9e39d5dba711d48, 0xaf1b1d7b19bb6f68, 0xc762d3e791a43b1a, 0x8991c37b2ef76701, 0x95996744a83aa360,
  0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xfcdb2e0c76ff7aaa,
  0xa97ab8dc79b288c5, 0x197e627f2861539f, 0xdffc1343c899e2e7, 0xb25c33d30ae4fc73, 0xccb0e9296cf8138c,
  0x47450be9e4afdcd0, 0x000000000000075d,
};

// m8535_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbb7e307a2432db, 0x777754c05e167edb, 0x4a3f5aebbd26f777, 0x7bf70ccc8ee8f6fb, 0x71c1156699d577f7,
  0x30120a82b6a4d867, 0x99168291118cc13e, 0x5027c4df6b3c4604, 0xf997612774fb9718, 0x9b0fd7381adcd30d,
  0x90ab03adf9bd4714, 0x0f815fe63408a11c, 0x717bbe2ef0448037, 0x8a8432d01ac88657, 0xb868ffa039e135ba,
  0x3f305855998b9cbd, 0xb6110cd7e4b5ffe4, 0x5c5f547f385a768b, 0x71a20f3c49c84b67, 0xd47c25f886c2445f,
  0x33c5dcdafcb4cdff, 0x795e9529dadcda63, 0x03d47c1b307917d4, 0x0dc3afb1698a62b4, 0xa909afa5b1971c27,
  0x223afe73abb72f83, 0xc6abc6c75e534edd, 0x80e3b169d4b463ee, 0xc68932386f65b933, 0x4527f33e8e665678,
  0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8, 0x6371e6ca2317f36c,
  0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x5d70842fa792bf73, 0x0000000000000007,
};

// m8515_u2x8_uart0_noled_pr
static const uint64_t ur_m8515_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0xb6a4eeedb6a6331d,
  0xe98cc13e30120a82, 0xedeab322ffaf0ef3, 0xb09f169da127049a, 0x56063efd47afe77c, 0x80b2ca61179e8e39,
  0xa3e760e28ccf1cc5, 0x5f86a807fecc11d7, 0x28a159503cb3db53, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0xe3458f386ed94462, 0x0ae4fdd598f2068f, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0001f203cb98ae9e,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8bb12d3a, 0xbbbbaabb0e707896, 0x69fb24497bdf17bb, 0xbbd0e6eee9104443, 0xdd3f6d146d91f48b,
  0x827c602415056d49, 0x59917fdd48e7d319, 0x8b4ed093824d76f5, 0x1f7ea3d7f3be584f, 0x65308bcf471cab03,
  0xb07146678e62c059, 0x5403ff6608ebd1f3, 0xaca81e59eda9afc3, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903b6868b1be2e, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xb4fb9f5e792bf734,
  0x0000000000001f26,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd776f62eff6, 0xeeeeeaaeb906a712, 0x85f50dd7ad1a826e, 0xb6ce0be17bbbbde4, 0xd731234e99a9b7a7,
  0xe30120a82b6a4eeb, 0x2bfdd48e7d2b4c13, 0xed093824d76f5595, 0x5738cd56b47370b4, 0x7a8f83660c7cf51e,
  0x70ebec5a6ef8ae5f, 0x426be96c65c709c3, 0xce756974c571ac9a, 0xd0ebce9bb2cf4627, 0x169a0b478cec6ab5,
  0xb70decb65f380e3b, 0x005f8601951b047e, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4,
  0xda5fe2adfef5545a, 0xc5c9ab8d94462fe6, 0xab31e40eda1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0x0e7dcfaf3c95fb9a, 0x000000000000029f,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ee_u4[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0x180905415b527762, 0x5fffceb3e95a609f, 0x6849c126bb7aaca9, 0xb9c66ab5a39b85a7, 0xd47c1b3063e7a8f2,
  0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e, 0xb4d05a3c676355ae,
  0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5,
  0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xb5a94e46792bf734, 0x00000000000013ae,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0x5b5277417a0998b2,
  0xf9c6609f18090541, 0xbb7aac5f3fd78779, 0xf52785a76849c126, 0x5bf3c00b8496b9df, 0xc67309cee6d7fdc9,
  0xd62f51d05cf72c05, 0x80ab3d21c71cab03, 0xe2e76a251c351cc5, 0x41d7e1ee39633c75, 0x64d1d18a4f2d3a51,
  0x94bca6f5cfc51e6f, 0x4a9f4f43aa7023fa, 0xb697f31dbfdeaa8b, 0x163ce1bb65118bf9, 0x93f75663c81a3f8d,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x02dd40e462ba792b,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd45d8ad4e, 0xddddd55f85c6bc4b, 0xe697be6fe3f731dd, 0x36c99bafddddf5f7, 0xd49dd31370490466,
  0xfb9827c602415056, 0xdeab23dffba91cfa, 0x632169da127049ae, 0x1e780160e2f9717d, 0x4bf10d8488bee344,
  0xee6d7383d5ffa8f8, 0x05cf72c67e3399e2, 0xdc71cab03d62f51d, 0x91c351cc580b5fc7, 0x8e58cf1d78b9db58,
  0x27969d28a0e80d5b, 0x5cfc51e5ba68e8c5, 0x0b4e5e3fa94bca6f, 0x4f43aa7033a998c1, 0x357079b288c5fcdb,
  0x1e40eda1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0xcb3e7d79e4afdcd0, 0x0000000000000375,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee04c844, 0x490b2750e19eb4bd, 0xec7c88707dd1afe9, 0xfa706cd2dc1c5e56,
  0x7c602415056d49dd, 0xbaffba91cfa9e982, 0x9da127049aedeab0, 0x0e7ee3bfea8e4416, 0x9b5ec7ffe7e78016,
  0x253b5959194c273b, 0xc1b30622fa8f2bf9, 0xfb1698a62b887d47, 0xfa5b1971c270dc3a, 0x4e7576ec8a3a909a,
  0xc75eba9bb087461c, 0xd390546a6ac6abc6, 0x86f65c396701c762, 0x969d28a631fc3323, 0xe28f37b268e8c527,
  0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x88c5fcdb4bf98edf, 0x43458f38b93571b2, 0xc2b93f75663c81db,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00014d3e93b9f5e7,
};

static const uint64_t ur_m8515_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0xf180905415b52774, 0x37fffceb3e35a609, 0x76849c126bb7aacd, 0x9182dc5f5475285a, 0x117dc6883cf002d6,
  0xacff51f097e21b09, 0xb8ca678bb9b5d9f3, 0x2fa8f2bf9253b5b9, 0x62b887d47c1b3062, 0x1c270dc3afb1698a,
  0xc8a3a909afa5b197, 0xbb087461c4e7576e, 0xa6ac6abc6c75eba9, 0x96701c762d390546, 0x631fc332386f65c3,
  0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a, 0x9357079b288c5fcd,
  0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0xf0b353919e4afdcd, 0x0000000000000013,
};

// m8535_u2x8_uart0_noled_hw
static const uint64_t ur_m8515_u2x8_uart0_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0xb527773124356848,
  0x4c6609f180905415, 0xedeab322ffe1c79f, 0xb09f169da127049a, 0x56063efd47afe77c, 0x80b2ca61179e8e39,
  0xa3e760e28ccf1cc5, 0x5f86a807fecc11d7, 0x28a159503cb3db53, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0xa9b0ec6e3cd94462, 0x2678138d2861539f, 0x3d30ae4fc07cd0f2,
  0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000007441c797,
};

// m8535_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m8515_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0x827c602415056d49, 0x5654affa14cfa569, 0xc2d3b424e0935dbd, 0xd4795ce3355ad1cd, 0xb97dea3e0d9831f3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x189f39d5a5d315c6, 0xaad743af3a6ecb3d, 0x38ec5a682d1e33b1,
  0x11fadc37b2d97ce0, 0x4a28017e1806546c, 0xcdec9a3a3149e5a7, 0x7f529794deb9f8a3, 0x516953e9e8754e04,
  0xbf9b697f8ab7fbd5, 0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000b7d2ac417d3c,
};

// m8535_u2x8_uart0_noled_ce_hw
static const uint64_t ur_m8515_u2x8_uart0_noled_ce_hw[] = {
  0xb777775ddacdc49f, 0xdddddd55d871d7c4, 0xc3f5a508c1f600dd, 0x04cfd2f37ddddf0b, 0x82b6a4eee62486ad,
  0xe7c27cc13e30120a, 0x935dbd56201ff871, 0xeffadac2d3b424e0, 0x57eefcf002e12c90, 0xc05d64c273b9b5ea,
  0xb03349ea3b5f4f72, 0xcc580b70c43c71ca, 0x1d7a3e760e28ccf1, 0xe535f86a807feccf, 0x5a74a2856540f2d6,
  0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754, 0x2317f36d2fe63b7f, 0xd30ae4fcfec376ca,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000000c4296ea2,
};

/*
 * m8515_u2x8_uart0_noled_ee_ce_u4_hw m8535_u2x8_uart0_noled_ee_ce_hw
 * m8535_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0x9827c602415056d4, 0xd560d6ffa14cfa5a, 0xac2d3b424e0935db, 0x24e4252bae2faa34, 0x4361222fb8d1079e,
  0xbf60de1fea3e12fc, 0x76b736f7ccf17736, 0x660e32f51e560a4a, 0x2d314c57377a8f83, 0xb632e384e1b875f6,
  0x7576e4c4752135f4, 0xebce9bb2cf4627ce, 0x34168f19d8d578d8, 0x1bd96cbe701c762d, 0x7f8601951b044c8e,
  0x8e8c527969d28a16, 0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0xbf98edfef5545a54, 0x8dc79b288c5fcdb4,
  0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x2fc930be9e4afdcd, 0x00000000000000a0,
};

// m8515_u2x8_uart0_lednop_pr
static const uint64_t ur_m8515_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0xb6a4ee971b2636d4,
  0xf924c13e30120a82, 0x76f558f7ffaf0ef3, 0x584f8b4ed093824d, 0xab031f7ea3acf3be, 0x80b2ca61be4f471c,
  0xa3e767b48cd21cc5, 0xe534a807fecc11d7, 0x945158281e59ed99, 0x347462981013cb4e, 0xf29b19d038a3cf89,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0x63ce1bb65118bf9b, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x07c863662ba792bf,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_u4[] = {
  0xddddd7751762bd3a, 0x777755761ce6f12d, 0x1cda0e21afbc7f77, 0xb3d4cdddd220889c, 0xee8d35c750fe9d09,
  0xc13e30120a82b6a4, 0x563dffeea473f924, 0xe2d3b424e0935dbd, 0xc7dfa8eb3cef9613, 0xb2986f93d1c72ac0,
  0xd9ed23348731602c, 0x2a01ffb30475e8f9, 0x560a07967b66794d, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0x83cd94462fe6d971, 0x076d0d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x73ebcf257ee68665,
  0x0000000003e4df81,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ee[] = {
  0x5bbbbbaeedec4743, 0xdddddd55d72164e2, 0x91a9c2f186c695bd, 0x5171382f85eeeef7, 0xed45e4b41560ad18,
  0x13e30120a82b6a4e, 0x8e4ffdd48e7e43cc, 0xb4ed093824d76f55, 0x1e567acd56b47370, 0xa57a8f83660c7cf5,
  0xe1b875f62d377c57, 0x4d2135f4b632e384, 0x10e73ab4be48b8d6, 0xad743af3a6edd023, 0x1d8b4c4fa3905b1a,
  0x3f5b86f65b2f9c07, 0x45002535f86a8d82, 0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f,
  0x5c455bfdeaa8b4d8, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0xfdf3ebcf257ee686, 0x0000000000014f82,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x7c602415056d49dd, 0xc9ffff3acfc87982, 0x9da127049aedeab1, 0xcacf59aad68e6e16, 0xaf51f06cc18f9ea3,
  0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462, 0xb16989f4720b6355,
  0xeb70decb65f380e3, 0xa004a6bf0d51b047, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0x5c1e6ca2317f36cb, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x694e46792bf73433, 0x000000000013ae99,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0x415b5277417a0998,
  0xf3fb7e609f180905, 0x4d76f559d47faf0e, 0xbfea4f0b4ed09382, 0xc95bf3c00b8487c3, 0x05c67309cee6d7fd,
  0x03d62f51c4fcf72c, 0xc580ab3d05c71cab, 0xebc5ced8cd1eb11c, 0x5141d4b2dc72c678, 0xd1d18a60404f2d3a,
  0xf29b19d038a3cb74, 0xe63042d37aaeaa72, 0x5fcdb4f43aa702ea, 0xfc68b1e70ddb288c, 0x615c9fbab31e40d1,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000016ea072315d3,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabf0bf1f89, 0xfcdf1691731d85fb, 0x7006db623bbbbebe, 0x6d49dda668cd6847,
  0xd4a9827c60241505, 0xedeab0c7ffba91cf, 0xd632169da127049a, 0x41e780160e4dd717, 0x84bf10d8488bee34,
  0x17736b93a4b5fa8f, 0xe90e7b9633f19ccf, 0x6b238e5581eb17a8, 0x50746e99cc580bcf, 0x36e39633c75e2e76,
  0x02027969d28a0e80, 0x7ef9d038a3ce8c53, 0x3042d392306a6c4a, 0xe6da7a1d53810766, 0xc5c9ab83cd94462f,
  0xd598f2076d0d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0xdd7085f3ebcf257e,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee058544, 0xa5d7a70be19eb4bd, 0xadad1221c1f746bf, 0xbbf4e0d9a5b838bc,
  0x04f8c0482a0ada93, 0x66fbff75239f8ad3, 0x2d3b424e0935dbd5, 0x2c1c28a77fd51c88, 0x7736bd8fffcfcf00,
  0x374a76b2b232984e, 0x8f83660c45f51e57, 0x75f62d314c5698fa, 0x35f4b632e384e1b8, 0xed1ceaedd9147521,
  0x1b1d7aea6ecd7c8d, 0xc5a6691199eb1aaf, 0x470decb872ce038e, 0x27969d28a6319646, 0x51e5ba68e8c53020,
  0x575539794d8ce81c, 0x53817573182169bd, 0x8d94462fe6da7a1d, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0xaf3c95fb9a19961d, 0x0000000a69f49dcf,
};

static const uint64_t ur_m8515_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x13e30120a82b6a4e, 0x12d7fff3acf98fcc, 0x69da127049aedeab, 0x5a4287717d51d4a1, 0x2445f71a20f3c00b,
  0xceb3fd47c25f886c, 0xe6e3299e2ee6d767, 0x88bea3cae6e94ed6, 0x298ad31f51f06cc1, 0x5c709c370ebec5a6,
  0xbb228ea426be96c6, 0x4dd9af91bda39d5d, 0x333d6355e363af5d, 0x0e59c071d8b4cd22, 0x14c632c8c8e1bd97,
  0x1d18a60404f2d3a5, 0x29b19d038a3cb74d, 0x63042d37aaeaa72f, 0xfcdb4f43aa702eae, 0xf8b9357079b288c5,
  0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x013f0b353919e4af,
};

// m8535_u2x8_uart0_lednop_hw
static const uint64_t ur_m8515_u2x8_uart0_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0x5b52776c7b21a6c5,
  0xfc92609f18090541, 0xd76f558f7ffe1c79, 0xe584f8b4ed093824, 0xcab031f7ea3acf3b, 0x580b2ca61be4f471,
  0x7a3e767b48cd21cc, 0x9e534a807fecc11d, 0xe945158281e59ed9, 0x9347462981013cb4, 0x2f29b19d038a3cf8,
  0xd8b3d0ea9c0aeaa7, 0xb65c455bfdeaa8b4, 0xc3b1b8f365118bf9, 0xe04e34a1854e7ea6, 0xc2b93f01f343c899,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001d107c6e8a,
};

// m8535_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m8515_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0xe609f180905415b5, 0xf558e4ffe8533f21, 0x370b4ed093824d76, 0xcf51e567acd56b47, 0xc57a57a8f83660c7,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x02310e73ab4be48b, 0xb1aad743af3a6edd, 0xc071d8b4c4fa3905,
  0xd823f5b86f65b2f9, 0x4e945002535f86a8, 0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa,
  0x9b65c455bfdeaa8b, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x00b7d843e17d3c95,
};

// m8535_u2x8_uart0_lednop_ce_hw
static const uint64_t ur_m8515_u2x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x5e1f75f5a193df1f, 0x36200db6f26eeef8, 0x2a0ada93bb63d90d,
  0xc79fdbf304f8c048, 0x824d76f559d47fe1, 0x43bfeb6b0b4ed093, 0x727f3bf3c00b8481, 0xcb01759309cee6d7,
  0xcab03349ea3f3d3d, 0x90e62c05def05c71, 0x678ebd1f3b3da466, 0xb5b8cf29a5403ff6, 0x27969d28a2b0503c,
  0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0x62fe6d97063b7fbd, 0x615c9f9fd86ed944,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000310a7d7453,
};

/*
 * m8515_u2x8_uart0_lednop_ee_ce_u4_hw m8535_u2x8_uart0_lednop_ee_ce_hw
 * m8535_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0x9827c602415056d4, 0x559d5fff4299fe9f, 0xb0b4ed093824d76f, 0x9390969bb8bea8d2, 0x0d8488bee3441e78,
  0xf30ccf9fa8f84bf1, 0xdadcdbdf33c5dcda, 0x9838cbd4795a0129, 0xb4c5315ce3ea3e0d, 0xd8cb8e1386e1d7d8,
  0xd5dbb241d484d7d2, 0xd79d376e81188739, 0xc4fa3905b1aaf1b1, 0x6f65b2f9c071d8b4, 0xa9afc3546c113238,
  0x4c0809e5a74a2859, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x365118bf9b65c18e,
  0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x817d3c95fb9a1996, 0x0000000001405353,
};

// m8515_u2x8_uart0_dual_pr
static const uint64_t ur_m8515_u2x8_uart0_dual[] = {
  0xdbbbbbb7e6a22044, 0xdddddd533d28917e, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x4f8c0482a0ada92a, 0x3024c8b4148c4130, 0xb8c2813e26fb59e2, 0x8bf997717d3ba7dc, 0x78f7b07f0e0bee62,
  0x847242ac0fba9bd4, 0x00dc3e057f98d022, 0x8657717bbe2ef95c, 0x4d6b454219684648, 0x7397b79c7fe80e78,
  0xff9412a60b0ab331, 0xd093824d76f558f7, 0xa3acf3be584f8b4e, 0xbe4f471cab031f7e, 0x8cd21cc580b2ca61,
  0xe58c11d7a3e767b4, 0x3e8e6656656513b8, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d,
  0xfdeaa8b4d8b3d0ea, 0x65118bf9b65c455b, 0x868b1e71726ae0f3, 0x85727eeacc7903f2, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000620dc7a9c8c,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_u4[] = {
  0xbbbbb7e5173e306a, 0xdddd533d2c4e7edb, 0x18e2b8ca7694addd, 0x91e4bbbba6ec69dc, 0xeaafc98759086059,
  0x30120a82b6a4b20e, 0x9322d0520524c13e, 0x0a04f89bed6788c0, 0xfcca6b54ee9f72e3, 0x95b0fdc704ad33a5,
  0xe48558198f9bd47a, 0xb87c0aff31a04508, 0xaee2f77c5df15801, 0x328a8432d04c510c, 0x5edc27ffd01cf09a,
  0xa032982c2accc5ce, 0x93824d76f558be7f, 0xee19df2dcf0b4ed0, 0xb5a38e5581bdaf51, 0x82ce62c05d6299ef,
  0x30475e0353b57f46, 0xb3db1f744aa01ffb, 0x67d1cccacc71f03c, 0x302027969d28a4fe, 0xa071479f1268e8c5,
  0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x6ca2317f36cb88ab, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2,
  0x0000029264e2c787,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ee[] = {
  0x777776fcde7cbd5b, 0xbbbbaa63d32d4fdb, 0x77dab0c55fbbf7bb, 0xec36c20dd477624e, 0xdfb80b5a0f5db3e1,
  0x482a0ada931c5ddd, 0x2d0520001304f8c0, 0x4f89bed6788c0932, 0xa6b54ee9f72e30a0, 0x3a7ce163f37fcfcc,
  0xac0ce0cdea3d0fec, 0x057f98d022847242, 0xf77c5dffae00dc3e, 0x0865a095910caee2, 0xf7ff4073c265f715,
  0x60b0ab3317397b7d, 0x6bb7aac387fe80ca, 0x5a3d285a76849c12, 0x0fe4f51e57b7e6ab, 0x377c57dd7a8f8366,
  0x32e384e1b875f62d, 0x8ae04fcd2135f4b6, 0xdb7b464f1cead2f3, 0x90ec6ab5d0ebd8cd, 0xdd9c071d8b4f9e46,
  0xd51b047eb70decbb, 0x7d1cccacc02a2541, 0x02027969d28a4fe6, 0x071479f1268e8c53, 0x3815d54e5e53633a,
  0xfbd55169b167a1d5, 0xca2317f36cb88ab7, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000c8531b1e1dcf,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeedf9448664d6, 0x777754c7a65a9fb6, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x482a0ada931c5dd9, 0x2d0520001304f8c0, 0x4f89bed6788c0932, 0x2ec24ee9f72e30a0, 0x0e9f3858fcdff3f3,
  0xab0338337a8f43fb, 0x815fe63408a11c90, 0xbddf177feb80370f, 0x4219682564432bb8, 0x7dffd01cf0997dc5,
  0x982c2accc5ce5edf, 0x9aedeab0e1ffcc9c, 0xd68f4a169da12704, 0x83f93d4795edf9aa, 0x4ddf15f75ea3e0d9,
  0x8cb8e1386e1d7d8b, 0xe2b813f3484d7d2d, 0x76ded193c73ab4bc, 0xa43b1aad743af633, 0xf76701c762d3e791,
  0x7546c11fadc37b2e, 0x9f47332b300a8950, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xb288c5fcdb2e22ad, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xacf2f3c95fb9a199, 0x0000000000ac8fc0,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ce[] = {
  0x7776fcd41e7c7a31, 0xbbaa67a5b0cfdb77, 0x6e919ce2dfb5bbbb, 0x56277774d2d33764, 0x13f0fbaec1f1da6c,
  0x0482a0ada92103b9, 0x9168291723304f8c, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xd8656386fb9b4dfe,
  0x42ac0cbacdea3a9e, 0x3e057f98d0228472, 0x717bbe2efff800dc, 0x8a8432d009e88657, 0xdff77fd01cf09a71,
  0x32982c2accc5ce5e, 0x824d76f558657fa0, 0x53bfeb190b4ed093, 0xd3f63ff9e005cecf, 0x580a27e6139dcdaf,
  0x5581a0bf51fa09ee, 0xb398b0147ce9238e, 0xf1d780d4ed5fd1a0, 0x5b87dd12a807fecc, 0x7d1cccacc71f03cb,
  0x02027969d28a4fe6, 0x071479f1268e8c53, 0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0x94462fe6d97063b7,
  0x68b2d5e5c9ab83cd, 0xe7ea75663c819a7c, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0x0f0ee792bf734332, 0x0000000000349176,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeedf944865c93, 0x777754c85fb29fb6, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xe30120a82b6a4f91, 0x24c8b4148300cc13, 0xc2813e26fb59e230, 0xafccbb093ba7dcb8, 0x1adb0274704b5305,
  0x8e485581e9b9bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbdaec0, 0x1ee2a10cb417da21, 0x2f6ec17fe80e784c,
  0xe64e4c16156662e7, 0x93824d76f558e4ff, 0x9fcb8beb370b4ed0, 0x45f71a20f3c49c84, 0xfcfd47c25f886c24,
  0xe27e678bb9b5f4d3, 0x3417ea3f413dcb19, 0x16028f9d2471cab0, 0xf01a9dabfa341673, 0xfba25500ffd99e3a,
  0x999598e3e0796b70, 0x4f2d3a5149fccfa3, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702,
  0xc5fcdb2e0c76ff7a, 0xe3458df0dc79b288, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x000001a48bcfacf2,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ee_ce[] = {
  0xb777776fcd4343ee, 0xbbbbbbaa60c2d4fd, 0x39a769ce57daeb7b, 0x5f62ecf890e9dba5, 0x977577e44f76d3c5,
  0x3e30120a82b6a4d8, 0x0499168291c3fcc1, 0x185027c4df6b3c46, 0xbff997612774fb97, 0x9b7b09db385adcd5,
  0x3921560633737a8e, 0x6e1f02bfcc681142, 0x57717bbe2ef98600, 0xc38a8432d053c886, 0xbdb85affa039e131,
  0x9939305855998b9c, 0x4e0935dbd566ceff, 0x8effaa38f62d3b42, 0xfc0d1f9e24e42495, 0xb2b131984e7736bf,
  0x1e45f51e5738ca76, 0x6298af24f51f06cc, 0x65c709c370ebec5a, 0xedcf78ea426be96c, 0x29a76e791b5f1cea,
  0x6233496355e363af, 0xecb726701c762d3d, 0xcccacf18ba66470d, 0x27969d28a4fe67d1, 0x9d038a3ce8c53020,
  0x2d392306a6c4a7ef, 0xa7a1d53810766304, 0x386e3cd94462fe6d, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0x109c5d9e5e792bf7, 0x000000000000004c,
};

static const uint64_t ur_m8515_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x6ddddddbf2890c86, 0xdddddd53017d17bf, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0xf8c0482a0ada9361, 0x12645a0a4771f304, 0x61409f137dacf118, 0x37e65d849dd3ee5c, 0x526c3f5ce06b734c,
  0x7242ac0eb7e6f51c, 0xdc3e057f98d02284, 0xaee2f77c5df95000, 0x75150865a035910c, 0x7b77f9ff4073c26b,
  0x327260b0ab331739, 0x3824d76f55863fff, 0xb8bea8fe70b4ed09, 0xe3441e7893909656, 0xa8f84bf10d8488be,
  0x33c5dcdafd66c87f, 0x795a0129dadcda63, 0xf3d47c1b307917d4, 0x0dc3afb1698a62b5, 0xa909afa5b1971c27,
  0x5a310e73abb72623, 0x8d578d8ebca69db0, 0x038ec5a61c51c82d, 0x2a68c8e1bd96e4ce, 0x293f99f47332b3c6,
  0x7a314c0809e5a74a, 0x5297ce81c51e39f8, 0x2169dc5fcdba96ae, 0xd3d0ea9c0a617318, 0x7c371e6ca2317f36,
  0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x040040ab3cbcf257,
};

// m8535_u2x8_uart0_dual_hw
static const uint64_t ur_m8515_u2x8_uart0_dual_hw[] = {
  0x777776fca243304a, 0xbbbbaa67a589cfdb, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x5907758ba8fea018,
  0x609f180905415b52, 0xc460499168290292, 0xb97185027c4df6b3, 0xa674bf997612774f, 0x7a8f52b61fb8e095,
  0x08a11c90ab0331f3, 0x2b00370f815fe634, 0x8a2195dc5eef8bbe, 0x9e13465150865a09, 0x98b9cbdb84fffa03,
  0x2f9ffe43f3058559, 0xd3b424e0935dbd56, 0x6bd47b8677cb73c2, 0xa67bed68e395606f, 0x5fd1a0b398b01758,
  0x07fecc11d780d4ed, 0x7c0f2cf6c7dd12a8, 0x293f99f47332b31c, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a,
  0x9e8754e057553979, 0xe22adfef5545a6c5, 0x8dc79b288c5fcdb2, 0x7bde50c2a73f505d, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xa84d60be9e4afdcd, 0x000000000000031b,
};

// m8535_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m8515_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeedf94486ff3e, 0x777754c7a65a9fb6, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9a78af7b57bebb67,
  0x80905415b52638bb, 0x645a0a40002609f1, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0xf61d3e70b1f9bfe7,
  0x2156067066f51e87, 0x1f02bfcc68114239, 0x717bbe2effd7006e, 0x8a8432d04ac88657, 0xbefbffa039e132fb,
  0x3f305855998b9cbd, 0x126bb7aac387ffe4, 0xab5a3d285a76849c, 0x660fe4f51e57b7e6, 0x2d377c57dd7a8f83,
  0xb632e384e1b875f6, 0xf38ae04fcd2135f4, 0xcddb7b464f1cead2, 0x4690ec6ab5d0ebd8, 0xbbdd9c071d8b4f9e,
  0x41d51b047eb70dec, 0xe67d1cccacc02a25, 0x5302027969d28a4f, 0x3a071479f1268e8c, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0xe6ca2317f36cb88a, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x082fa792bf734332, 0x00000000002bb4fc,
};

// m8535_u2x8_uart0_dual_ce_hw
static const uint64_t ur_m8515_u2x8_uart0_dual_ce_hw[] = {
  0xdddddbf2890c0668, 0xeeeea990bf653f6d, 0xabe3b453b4b16eee, 0x19ceb0dbbbb1c519, 0xc8bb81f5826f1fc2,
  0x09f180905415b527, 0x1812645a0a418066, 0x5c61409f137dacf1, 0x82d7e65d849dd3ee, 0xa38d6d813a3825a9,
  0x2847242ac0f4dcde, 0x600dc3e057f98d02, 0x10caee2f77c5ded7, 0x260f7150865a0bed, 0x7397b760bff4073c,
  0xfffc87e60b0ab331, 0xd093824d76f558e4, 0x849fcb8beb370b4e, 0x2445f71a20f3c49c, 0xf19bfd47c25f886c,
  0x6789f99e2ee6d731, 0xc0d05fa8fd04f72c, 0xcc580a3e7491c72a, 0xebc06a76afe8d059, 0xc3ee895403ff6678,
  0x8e6656638f81e5ad, 0x013cb4e94527f33e, 0x8a3cf89347462981, 0x0aeaa72f29b19d03, 0xeaa8b4d8b3d0ea9c,
  0x2317f36cb831dbfd, 0xa9cfd4176371e6ca, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000026eabcf82f,
};

// m8535_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m8515_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77776fc0f5a1a5fb, 0x77754c05f5defdb7, 0xd740255fbee37777, 0x5a86664777ed2724, 0x4b235d74ab09bc99,
  0x0120a82b6a49da77, 0x9168291dc7cc13e3, 0x027c4df6b3c46049, 0x997612774fb97185, 0xb09863833e4dd67f,
  0x0ab0314937a8e6b7, 0xf815fe63408a11c9, 0x17bbe2efba180370, 0xa8432d04b4886577, 0xbfcffa039e134728,
  0xf305855998b9cbdb, 0x4d76f55863fffe43, 0xea8cba8b4ed09382, 0x41e78939091c1b8b, 0x84bf10d8488bee34,
  0x5dcdaf30ccf9fa8f, 0xc8929dadcdaf933c, 0xa3e0d9834c7d4795, 0x3afb1698a62b09fe, 0x9afa5b1971c270dc,
  0x93c73abb74e23a90, 0x5e363af63376ded1, 0x8ec5a7cf23487635, 0x132386f65deece03, 0x2b32ce89507546c1,
  0x5a74a293f99f4733, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575, 0xf9b65c18edfef554,
  0x52f571b8f365118b, 0x32fcc4fe50c2a73f, 0xbff826879133c5ce, 0x64b867a615c9f8e7, 0x9961d252d9f02719,
  0x8e8a17d3c95fb9a1, 0x0000000000000eba,
};

// m8535_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xb777776fca2432db, 0xeeeeeea980bc2cfd, 0xf6947eb5d77a4dee, 0xeef7ee19991dd1ed, 0xcee3822acd33aaef,
  0x7c602415056d49b0, 0x09322d0522231982, 0x30a04f89bed6788c, 0x1bf32ec24ee9f72e, 0x29361fae7035b9a6,
  0x392156075bf37a8e, 0x6e1f02bfcc681142, 0xaee2f77c5de08900, 0x75150865a035910c, 0x7b70d1ff4073c26b,
  0xc87e60b0ab331739, 0x3824d76f55896bff, 0xb8bea8fe70b4ed09, 0xe3441e78939096ce, 0xa8f84bf10d8488be,
  0x678bb9b5f9699bff, 0xf2bd2a53b5b9b4c6, 0x07a8f83660f22fa8, 0x1b875f62d314c568, 0x52135f4b632e384e,
  0x4475fce7576e5f07, 0x8d578d8ebca69dba, 0x01c762d3a968c7dd, 0x8d126470decb7267, 0x8a4fe67d1cccacf1,
  0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e, 0x7063b7fbd55169b1, 0xc6e3cd94462fe6d9,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xbae1085f4f257ee6, 0x000000000000000e,
};

// m8515_u2x12_uart0_noled_pr
static const uint64_t ur_m8515_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x9304f8c0482a0ada, 0xc4f5affebc3bcffc, 0x424e0935dbcd0668, 0x8f5fcef9613e2d3b, 0x2f3d1c72ac0c7dfa,
  0x199e398b016594c2, 0xfd9823af47cec1c5, 0x7967b6a6bf0d500f, 0x8a4f2d3a5142b2a0, 0xf5cfc51e6f64d1d1,
  0x43aa7023fa94bca6, 0x55bfdeaa8b4a9f4f, 0xddb288c5fcdb4bfc, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x8f315d3c95fb9a19, 0x000000000003e41b,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_u4[] = {
  0xbaeeb43a2ec53b90, 0xeeaafb39bbe25bbb, 0xfcf0bad346beeeee, 0xf5fbbba1653dde26, 0xd2cd29715c6f2245,
  0xf8c0482a0ada93ba, 0x6bffba91cffc9304, 0x824d76f3419a313d, 0xf3be584f8b4ed093, 0x471cab031f7ea3d7,
  0x8e62c05965308bcf, 0x08ebd1f3b0714667, 0xeda9afc35403ff66, 0xcb4e9450aca81e59, 0xf1479bd934746293,
  0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0xa2317f36d2ff156f, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903b68,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00001f27bc179f5e,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef621391, 0x777557cd67a712dd, 0x7e63e9590d363777, 0x0f53341dd48a5eec, 0x0f22f5f92920a6e0,
  0x180905415b527742, 0xdfeea473ee96609f, 0x935dbcd0668c4ffd, 0x5ad1cdc2d3b424e0, 0x9831f3d4795ce335,
  0x69bbe2b97dea3e0d, 0xb1971c270dc3afb1, 0xd315c6b26909afa5, 0x6ecb3d189f39d5a5, 0x1e33b1aad743af3a,
  0xd97ce038ec5a682d, 0x06546c11fadc37b2, 0x49e5a74a28017e18, 0xb9f8a3cdec9a3a31, 0x754e047f529794de,
  0xb7fbd5516953e9e8, 0x365118bf9b697f8a, 0x3b6868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1,
  0xbcf257ee68665874, 0x00000014f963ff3e,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ee_u4[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0x80905415b52774c8, 0xfffceb3ee96609f1, 0x35dbcd0668c4ffdd, 0xad1cdc2d3b424e09, 0x831f3d4795ce3355,
  0x9bbe2b97dea3e0d9, 0x1971c270dc3afb16, 0x315c6b26909afa5b, 0xecb3d189f39d5a5d, 0xe33b1aad743af3a6,
  0x97ce038ec5a682d1, 0x6546c11fadc37b2d, 0x9e5a74a28017e180, 0x9f8a3cdec9a3a314, 0x54e047f529794deb,
  0x7fbd5516953e9e87, 0x65118bf9b697f8ab, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18,
  0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x33c95fb9a19961d2, 0x0000009d75e7ca72,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0x6a4eec2f5a3c7a08,
  0xdd4c13e30120a82b, 0xd189e7affaf0ef3f, 0x76849c126bb79a0c, 0xb8486f9dff52785a, 0xee6d75f6517f3c00,
  0x05cf72c05c67309c, 0xdc71cab03d62f51d, 0x91c351cc580b5fc7, 0x8e58cf1d78b9db58, 0x27969d28a0e80d5b,
  0x5cfc51e5ba68e8c5, 0x0b4e5e3fa94bca6f, 0x4f43aa7033a998c1, 0x1e70ddb288c5fcdb, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x9a19961d252d964a, 0xb7554e315d3c95fb, 0x0000000000000000,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaaba1df1f896e, 0xdf1691731d85fbbb, 0x0db6c477775fb307, 0x93bb4cd19ad08ee0,
  0x5304f8c0482a0ada, 0x62798fff75239fa9, 0xa127049aede68334, 0x0e649717d632169d, 0x488bee3441e78016,
  0x6275fa8f84bf10d8, 0x33f19ccf17736b8d, 0x81eb17a8e1c67b96, 0xc580a21e41638e55, 0xebc5ceca691fe19c,
  0x5141d74bdc72c678, 0xf1cfc3d18a4f2d3a, 0xa9fbca799e5e7e28, 0x898c10b4b5766797, 0x17f36d3d0ea9c0f8,
  0x1be2e4d5c1e6ca23, 0xd4eacc7903b6868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd,
  0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x006eb842f9f5e792,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xdddd55fac115b896, 0x130acc469ed0bddd, 0x76783bbf75d79334, 0x9a33fa68ecfde2fc,
  0x180905415b527769, 0x7feea473f95a609f, 0x935dbcd0668c4f28, 0xfd51c882d3b424e0, 0xfcfcf002c1cfdc77,
  0x232984e7736bd8ff, 0x5f51e57f24a76b2b, 0xc5710fa8f83660c4, 0x384e1b875f62d314, 0x914752135f4b632e,
  0x7610e8c389ceaedd, 0x4d58d578d8ebd753, 0x2ce038ec5a720a8d, 0xc63f866470decb87, 0x4d1d18a4f2d3a514,
  0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4, 0x1726ae365118bf9b, 0xacc7903b6868b1e7,
  0x6592e19e985727ee, 0x66587494b659289c, 0xaa773ebcf257ee68, 0x0000000000000a69,
};

static const uint64_t ur_m8515_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0xf180905415b52774, 0xbffff9d67fa7e609, 0x24d76f3419a313fa, 0xbea8ea50b4ed0938, 0x1079e005ad21c3b8,
  0xe12fc4361222fb8d, 0x17736bde1f2d7ea3, 0x7f24a76b737194cf, 0xa8f83660c45f51e5, 0x875f62d314c563e7,
  0x135f4b632e384e1b, 0xc389ceaedd07c752, 0x78d8ebd753767b48, 0x762d333c8d4d58d5, 0x32386f65c396701c,
  0xa4f2d3a514c6206a, 0xeb9f8a3cb74d1d18, 0x2169cbc7f529794d, 0x69e8754e06753318, 0x26ae0f365118bf9b,
  0x63c81f943458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x1340a7233c95fb9a, 0x000000000000013f,
};

// m8535_u2x12_uart0_noled_hw
static const uint64_t ur_m8515_u2x12_uart0_noled_hw[] = {
  0xbaeeb43d4166ef3a, 0xeeaafb39bbe25bbb, 0x4df9e17b5a6eeeee, 0x8bebf77742ca7bbc, 0x93ba0bd04d641e44,
  0x9304f8c0482a0ada, 0x189eb5fff0e3cffc, 0x6849c126bb79a0cd, 0x51ebf9df2c27c5a7, 0x45e7a38e55818fbf,
  0xa333c731602cb298, 0xffb30475e8f9d838, 0x0f2cf6d4d7e1aa01, 0x3149e5a74a285654, 0xdeb9f8a3cdec9a3a,
  0xe8754e047f529794, 0x8ab7fbd5516953e9, 0x8f365118bf9b697f, 0x4a1854e7ea6c3b1b, 0xf01f343c899e04e3,
  0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0, 0x1d1076e3e8a792bf,
};

// m8535_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m8515_u2x12_uart0_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x27c602415056d49d, 0x7feeffa14cfba598, 0x27049aede6833462, 0x19aad68e6e169da1, 0xf06cc18f9ea3cae7,
  0x7d8b4ddf15cbef51, 0x7d2d8cb8e1386e1d, 0xad2e98ae3593484d, 0x79d37659e8c4f9ce, 0x4168f19d8d56ba1d,
  0xbd96cbe701c762d3, 0xf0c032a3608fd6e1, 0xd18a4f2d3a51400b, 0xa6f5cfc51e6f64d1, 0x4f43aa7023fa94bc,
  0xfc55bfdeaa8b4a9f, 0xdc79b288c5fcdb4b, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x05da0be9e4afdcd0, 0x00000000000005bf,
};

// m8535_u2x12_uart0_noled_ce_hw
static const uint64_t ur_m8515_u2x12_uart0_noled_ce_hw[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaafb39e9625b, 0x71ff17c1f6a1eeee, 0xd933d9fbbba682a6, 0xda93ba0bd04d6406,
  0xf75304f8c0482a0a, 0x668c4f3d7ff0e3cf, 0xd3b424e0935dbcd0, 0x02e12c90effadac2, 0x73b9b5ea57eefcf0,
  0x3b5f4f72c05d64c2, 0xc43c71cab03349ea, 0x0e28ccf1cc580b70, 0x807feccf1d7a3e76, 0x6540f2d6e535f86a,
  0xa3a3149e5a74a285, 0x794deb9f8a3cdec9, 0x3e9e8754e047f529, 0x2fe63b7fbd551695, 0xfec376ca2317f36d,
  0x8cb25c33d30ae4fc, 0x0ccb0e9296cb2513, 0xc4283aa29e4afdcd,
};

/*
 * m8515_u2x12_uart0_noled_ee_ce_u4_hw m8535_u2x12_uart0_noled_ee_ce_hw
 * m8535_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x09f180905415b527, 0x9e4ebfe8533e16a6, 0x49c126bb79a0cd18, 0x75c5f5469585a768, 0xf71a20f3c49c84a5,
  0xfd47c25f886c2445, 0xf99e2ee6d7ec1bc3, 0xa3cac1494ed6e6de, 0xe6ef51f06cc1c65e, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x59e8c4f9ceaedc98, 0x3b1aaf1b1d79d376, 0xce038ec5a682d1e3, 0xa3608991c37b2d97,
  0x2d3a5142cff0c032, 0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf,
  0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x0000001404353817,
};

// m8515_u2x12_uart0_lednop_pr
static const uint64_t ur_m8515_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0xd304f8c0482a0ada, 0x627c43febc3bcfcd, 0xa127049aede68334, 0x4759e77cb09f169d, 0x7c9e8e3956063efd,
  0x19a4398b016594c3, 0xfd9823af47cecf69, 0x3cb3db33ca69500f, 0x2027969d28a2b050, 0x71479f1268e8c530,
  0x815d54e5e53633a0, 0xbd55169b167a1d53, 0xa2317f36cb88ab7f, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x574f257ee6866587, 0x00000000f90e938c,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762eff6, 0x77557d9cd9f12ddd, 0xc4a1c75fac477777, 0x6adbbba1653ddbbf, 0xbd731398d33f1742,
  0x3e30120a82b6a4ee, 0xc43feea473f374c1, 0x7049aede68334627, 0x9e77cb09f169da12, 0xe8e3956063efd475,
  0x4398b016594c37c9, 0x823af47cecf6919a, 0x3db33ca69500ffd9, 0x7969d28a2b0503cb, 0x79f1268e8c530202,
  0xd54e5e53633a0714, 0x5169b167a1d53815, 0x17f36cb88ab7fbd5, 0x1be2e4d5c1e6ca23, 0xd4eacc7903b6868b,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x01f27924f9f5e792,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ee[] = {
  0xeeebbad0f7b15a91, 0xdddd55f35b0a896e, 0x3b1fb6c19ee2fddd, 0xfea6683ba914bdbd, 0xbd3aa2cbb64168f1,
  0x602415056d49dd68, 0x7fba91cf9759827c, 0x4d76f3419a313fe7, 0x6b47370b4ed09382, 0x60c7cf51e567acd5,
  0xd377c57a57a8f836, 0x632e384e1b875f62, 0xe48b8d64d2135f4b, 0x6edd02310e73ab4b, 0x3905b1aad743af3a,
  0xb2f9c071d8b4c4fa, 0x86a8d823f5b86f65, 0x13cb4e945002535f, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x18bf9b65c455bfde, 0x68b1e71726ae3651, 0x5727eeacc7903b68, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x0014f870a73ebcf2,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0x0120a82b6a4eeb33, 0xfff9d67cbacc13e3, 0x6bb79a0cd189ff3b, 0x5a39b85a76849c12, 0x063e7a8f2b3d66ab,
  0x9bbe2bd2bd47c1b3, 0x1971c270dc3afb16, 0x245c6b26909afa5b, 0x76e81188739d5a5f, 0xc82d8d56ba1d79d3,
  0x97ce038ec5a627d1, 0x3546c11fadc37b2d, 0x9e5a74a280129afc, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0xc5fcdb2e22adfef5, 0xc6f8b9357079b288, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x004eb907253919e4,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x2b6a4eed8f642179,
  0x3e654c13e30120a8, 0x19a313c27ffaf0ef, 0xb4ed093824d76f34, 0x017096453bfea4f0, 0x39dcdae515c9fe78,
  0x3bda9ee580b8ce61, 0x8718e395607ac5ea, 0x6791a9a398b01705, 0x3dc72c678ebc5cec, 0x1013cb4e94507575,
  0x038a3c73f0f46298, 0xbf9b752d5ca52f9d, 0x3814c2e63042d3b8, 0xd94462fe6da7a1d5, 0xf2068fe3458f386e,
  0x5c33d30ae4fdd598, 0x0e9296cb25138cb2, 0x18ae9e4afdcd0ccb, 0x00000000002dd492,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x4f8c0482a0ada93b, 0xd4afffe759f4ad30, 0x7049aede68334627, 0xbf717d531169da12, 0xf71a20f3c00b5a4d,
  0xfd47c25f886c2445, 0xc99e2ee6d7dda4db, 0x49ea3f3d3dcb19fa, 0x05def05c71cab033, 0x1f3b3da46690e62c,
  0x29a5403ff6678ebd, 0x28a2b0503cb5b8cf, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0x97063b7fbd55169b, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x6b529c8cf257ee68, 0x000000000000375d,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xeeeeaafd60968896, 0xea9bb1e34f685eee, 0xd903c1ddfbaebc99, 0xa668cfe9a3b3f78b,
  0x7c602415056d49dd, 0x4dffba91cf8d6982, 0x824d76f3419a313f, 0xdff547220b4ed093, 0xfff3f3c00b070a29,
  0xac8ca6139dcdaf63, 0x117d4795cdd29dac, 0x5315a63ea3e0d983, 0xb8e1386e1d7d8b4c, 0x76451d484d7d2d8c,
  0x9bb35f237b473abb, 0x667ac6abc6c75eba, 0x1cb380e3b1699a44, 0x298c659191c37b2e, 0x3a314c0809e5a74a,
  0x53633a0714796e9a, 0xc6085a6f55d54e5e, 0xf9b69e8754e05d5c, 0x1e71726ae365118b, 0x7eeacc7903b6868b,
  0x89c6592e19e98572, 0xe6866587494b6592, 0xa69aa773ebcf257e,
};

static const uint64_t ur_m8515_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x3e30120a82b6a4ee, 0x0fffff3acfd8fcc1, 0x049aede68334627d, 0x17d51d4a169da127, 0xa20f3c00b5a42977,
  0x7c25f886c2445f71, 0xc5dcdafcb4cdffd4, 0x5af929dadcdc6533, 0xea3e0d983117d479, 0xe1d7d8b4c5315bdf,
  0x84d7d2d8cb8e1386, 0x1a4339d5dba321d4, 0xaf1b1d7aea6ed52d, 0x8ec5a744a3507b1a, 0x66470decb872ce03,
  0x809e5a74a298c6ea, 0x1c51e39f87a314c0, 0xfcdba96ae5297ce8, 0xc0a6173182169dc5, 0xca2317f36d3d0ea9,
  0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0x6792bf734332c3a4, 0x00000027e042d4e4,
};

// m8535_u2x12_uart0_lednop_hw
static const uint64_t ur_m8515_u2x12_uart0_lednop_hw[] = {
  0xbbbaeeb43d66ed1f, 0xeeeeaafb39b3e25b, 0x6eff1287378feeee, 0x5d09ab6eee8594f7, 0xb6a4ee8c05fb63fc,
  0xf374c13e30120a82, 0x19a313e21ffc38f3, 0xb4ed093824d76f34, 0xf7ea3acf3be584f8, 0xa61be4f471cab031,
  0x7b48cd21cc580b2c, 0x807fecc11d7a3e76, 0x8281e59ed99e534a, 0x2981013cb4e94515, 0x9d038a3cf8934746,
  0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0xbb65118bf9b65c45, 0x2e19e985727e7f61, 0x87494b659289c659,
  0x27514f257ee68665, 0x0000000000011c5d,
};

// m8535_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m8515_u2x12_uart0_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x4f8c0482a0ada93b, 0xff9dff4299f2eb30, 0x4e0935dbcd0668c4, 0xb355ad1cdc2d3b42, 0xe0d9831f3d47959e,
  0x7d8b4ddf15e95ea3, 0x7d2d8cb8e1386e1d, 0xad2f922e3593484d, 0xbce9bb7408c439ce, 0x13e8e416c6ab5d0e,
  0xbd96cbe701c762d3, 0x4d7e1aa3608fd6e1, 0x60404f2d3a514009, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67,
  0xff7aaa2d362cf43a, 0xd94462fe6d971156, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x85f4f257ee686658, 0x0000000005bf2bf0,
};

// m8535_u2x12_uart0_lednop_ce_hw
static const uint64_t ur_m8515_u2x12_uart0_lednop_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55f671d7c4b7, 0x55a508c1f600dddd, 0x9fa5e6fbbbb7121c, 0x6d49ddcc490d5a09,
  0x84f9827c60241505, 0x668c4f403ff0e3cf, 0xd3b424e0935dbcd0, 0x02e12884effa93c2, 0x73b9b5e0354afcf0,
  0x713f3dcb01719cc2, 0xa971c72ac0f58bd4, 0x7da3d62398b017a0, 0x5b8e58cf1d78b9d8, 0x0809e5a74a283a53,
  0x1c51e7c49a3a314c, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x5118bf9b65c18edf, 0x9e985727e7f61bb6,
  0x94b659289c6592e1, 0x14f257ee68665874, 0x0000000006214b75,
};

/*
 * m8515_u2x12_uart0_lednop_ee_ce_u4_hw m8535_u2x12_uart0_lednop_ee_ce_hw
 * m8535_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x13e30120a82b6a4e, 0xfa1fffa14cfd8fcc, 0x4e0935dbcd0668c4, 0xee2faa34ac2d3b42, 0xb8d1079e24e425a6,
  0xea3e12fc4361222f, 0xccf17736bcc333e7, 0x1e56804a76b736f7, 0x38fa8f83660e32f5, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0xa04621ce7576ec90, 0x6c6abc6c75e74ddb, 0x701c762d313e8e41, 0x1b044c8e1bd96cbe,
  0x69d28a166a6bf0d5, 0xf1268e8c53020279, 0x4e5e53633a071479, 0x69b167a1d53815d5, 0xe6d97063b7fbd551,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x014056dba85f4f25,
};

// m8515_u2x12_uart0_dual_pr
static const uint64_t ur_m8515_u2x12_uart0_dual[] = {
  0xddddbf183ea22a20, 0xeeeea984cee0bf6d, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0xc602415056d49241, 0x24c8b41486bb9827, 0xc2813e26fb59e230, 0xf997717d3ba7dcb8, 0xf360bece05166727,
  0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2efb7400, 0xbdc54219680f8886, 0x97b7d2bfe80e784d,
  0x9412a60b0ab33173, 0xbb79a0cd189f10ff, 0x2c27c5a76849c126, 0x55818fbf51d679df, 0xc0596530df27a38e,
  0xd1f3b3da46690e62, 0x32b289dc72c608eb, 0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xb9357079b288c5fc, 0x663c81f943458f38, 0x2c970cf4c2b93f75,
  0x332c3a4a5b3e04e3, 0x1a714e46792bf734, 0x0000000000000062,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_u4[] = {
  0xbb7e307a2e7c4541, 0xdd530999917edbbb, 0x36625d96bd6ddddd, 0xe9dbbbb0cdeba3b8, 0x0093738b0f83740b,
  0x0905415b524adbb9, 0x22d0523f5e609f18, 0x04f89bed6788c093, 0xca6b54ee9f72e30a, 0xb04ac7074b31c3fc,
  0x85581c069bd47fdd, 0x7c0aff31a04508e4, 0xe2f77c5de35801b8, 0x8a8432d0f9110cae, 0x6fdd7fd01cf0987c,
  0x194c16156662e72f, 0xbcd0668c4f053fd0, 0x73c2d3b424e0935d, 0x606f6bd47b8677cb, 0x1758a67bed68e395,
  0xd4ed5fd1a0b398b0, 0x12a807fecc11d780, 0xb31c7c0f2cf6c7dd, 0xa74a293f99f47332, 0xc49a3a314c0809e5,
  0x39794d8ce81c51e7, 0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x8b9357079b288c5f, 0x598f20669f1a2c6f,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x9bcdb1e1dcf257ee, 0x00000000000000a4,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ee[] = {
  0xdddbf183ef3e43ee, 0xeeea98a6d9f3f6dd, 0x931b10ebed17eeee, 0x2e36477727333086, 0x13ddb4f58bf5dabe,
  0xa0ada9306ddd5df9, 0xa41b77304f8c0482, 0x37dacf11812645a0, 0xa9dd3ee5c61409f1, 0xce1ff260d1f994d6,
  0xf57cdea3f4fec2c7, 0xf31a04508e485581, 0x8bbcd6c01b87c0af, 0xb41d2a2195dc5eef, 0xe80e784c5162a10c,
  0x156662e72f6fa6ff, 0x189e52ffd0194c16, 0x6849c126bb79a0cd, 0x7b7e6ab5a3d285a7, 0xa8f83660fe4f51e5,
  0x875f62d377c57dd7, 0x135f4b632e384e1b, 0xcead2f38ae04fcd2, 0x0ebd8cddb7b464f1, 0xb4f9e4690ec6ab5d,
  0x70decbbdd9c071d8, 0x02a2541d51b047eb, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0x4d5c1e6ca2317f36, 0x790334f8d163ce2e, 0x2e19e985727eeacc,
  0x587494b67c09c659, 0xe1e1dcf257ee6866, 0x0000000000c853a4,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ee_u4[] = {
  0x776fc60f448618be, 0xbbaa629b67cfdb77, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x0a82b6a4c1b7775e, 0x82906ddcc13e3012, 0xc4df6b3c46049916, 0x612774fb97185027, 0xc7ce1ff260d1f997,
  0x81f57cdea3f4fec2, 0xaff31a04508e4855, 0xef8bbcd6c01b87c0, 0x0cb41d2a2195dc5e, 0xffe80e784c5162a1,
  0x16156662e72f6fa6, 0xcd189e52ffe64e4c, 0xa76849c126bb79a0, 0xe57b7e6ab5a3d285, 0xd7a8f83660fe4f51,
  0x1b875f62d377c57d, 0xd2135f4b632e384e, 0xf1cead2f38ae04fc, 0x5d0ebd8cddb7b464, 0xd8b4f9e4690ec6ab,
  0xeb70decbbdd9c071, 0xcc02a2541d51b047, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0x637c371e6ca2317f, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x002b26493b3cbcf2,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ce[] = {
  0xb7e307d41e7c1a4e, 0xd53099b627edbbbb, 0x513b656a4cdddddd, 0x67bbbbf4f92b4e29, 0xee1762fee0eb1da6,
  0x82a0ada93645dc9a, 0x68290495304f8c04, 0x7c4df6b3c4604991, 0x35aa774fb9718502, 0x6fb3869b9a2b7e65,
  0xac0ca1cdea3e56d8, 0x057f98d022847242, 0x7bbe2ef0d000dc3e, 0x4219687748865771, 0x95bfe80e784da545,
  0x4c16156662e72f6e, 0xa0cd189f1effd019, 0x85a76849c126bb79, 0xf002e767a9dff58c, 0x09cee6d7e9fb1ffc,
  0xa8fd04f72c0513f3, 0x3e7491c72ac0d05f, 0x76afe8d059cc580a, 0x5403ff6678ebc06a, 0x638f81e5adc3ee89,
  0xe94527f33e8e6656, 0x9347462981013cb4, 0x2f29b19d038a3cf8, 0xd8b3d0ea9c0aeaa7, 0x6cb831dbfdeaa8b4,
  0xe4d5c1e6ca2317f3, 0x1e40cd3e34596af2, 0x71a50c2a73f53ab3, 0xc9f80f9a1e44cf02, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x00349308478773c9,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ce_u4[] = {
  0x77776fc60f4486f9, 0xbbbbaa658f39cfdb, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0xf180905415b52560, 0x12645a0a45d0e609, 0x61409f137dacf118, 0xffe65d849dd3ee5c, 0x275b04b4700b5318,
  0x8e485581c569bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbd0f80, 0x63e2a10cb40a2a21, 0x2f6f813fe80e784c,
  0xe64e4c16156662e7, 0xbb79a0cd189ff3bf, 0xf59b85a76849c126, 0x1079e24e424fe5c5, 0xe12fc4361222fb8d,
  0xc5dcdafa69fe7ea3, 0x1fa09ee58cf13f33, 0xce9238e5581a0bf5, 0xd5fd1a0b398b0147, 0x807feccf1d780d4e,
  0x71f03cb5b87dd12a, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0x97063b7fbd55169b, 0xf86e3cd94462fe6d, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0xd245a7d67979e4af,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdddbf183f6090c86, 0xeeea98d4f263f6dd, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x05415b524eb3bbbb, 0x414874ea609f1809, 0xe26fb59e23024c8b, 0xb093ba7dcb8c2813, 0x3e1c3ace6643fccb,
  0x03fd79bd47986d83, 0x5fe63408a11c90ab, 0xbe2ef75400370f81, 0x32d00b488657717b, 0xffa039e131c18a84,
  0x5855998b9cbdbe20, 0x68c4f19bff993930, 0x3b424e0935dbcd06, 0x24706e2faa32ea2d, 0x222fb8d1079e24e4,
  0x759fea3e12fc4361, 0x36be4cf17736bb3e, 0x31f51e57224a76b7, 0x98ac27fa8f83660d, 0xc709c370ebec5a62,
  0xd388ea426be96c65, 0xcddb7b464f1ceaed, 0x8d21d8d578d8ebd8, 0x77bb380e3b169f3c, 0x41d51b044c8e1bd9,
  0xe67d1cccaccb3a25, 0x5302027969d28a4f, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1,
  0xcd94462fe6d97063, 0xf83bb8d165abc6e3, 0xd2861539fa9d599b, 0xfc07cd0f22678138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x2000e7d67979e4af,
};

static const uint64_t ur_m8515_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d1369fbb90, 0xea98d4f263f6dddd, 0x0ebe44eb4f6eeeee, 0x3817ba930b55710b, 0xbdff5b07c4dd578d,
  0xda92759dc6a44af2, 0xa75304f8c0482a0a, 0xacf11812645a0a43, 0xd3ee5c61409f137d, 0xb39990ff32bf689d,
  0x6f51e61b60cf870e, 0x022847242ac0ff5e, 0xd5000dc3e057f98d, 0xd22195dc5eef8bbd, 0x784c7062a10cb402,
  0x62e72f6f883fe80e, 0x37fef662cc161566, 0x126bb79a0cd189e3, 0x5f5465d45a76849c, 0xa20f3c49c070e0dc,
  0x7c25f886c2445f71, 0xc5dcdaea49cdffd4, 0x5c8929dadcdaf933, 0xea3e0d9834c7d479, 0xc3afb1698a62b09f,
  0x09afa5b1971c270d, 0x193c73abb74e23a9, 0x55e363af63376ded, 0x38ec5a7cf2348763, 0x1132386f65deece0,
  0x32b32ce89507546c, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0xbf9b65c18edfef55, 0xdf1726ae0f365118, 0xd599bf837e823458, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x00b5a8e2ed4f257e, 0x0000000000000010,
};

// m8535_u2x12_uart0_dual_hw
static const uint64_t ur_m8515_u2x12_uart0_dual_hw[] = {
  0xdddbf183d1219f68, 0xeeea984ccc8bf6dd, 0x3b8366275d96eeee, 0x40be9dbbbb0cdeba, 0x5b77157a27e85837,
  0x13e30120a82b6a49, 0x1812645a0a47ebcc, 0x5c61409f137dacf1, 0x8e1fe65d849dd3ee, 0xa3feed8256383a59,
  0x2847242ac0e034de, 0xc00dc3e057f98d02, 0x88657717bbe2ef1a, 0x84c3e454219687c8, 0x17397b7eebfe80e7,
  0x53ffc87e60b0ab33, 0x0935dbcd0668c4f0, 0x677cb73c2d3b424e, 0x8e395606f6bd47b8, 0x398b01758a67bed6,
  0x1d780d4ed5fd1a0b, 0x6c7dd12a807fecc1, 0x47332b31c7c0f2cf, 0x809e5a74a293f99f, 0xc51e7c49a3a314c0,
  0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x88c5fcdb2e22adfe, 0x2a73f505d8dc79b2, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9, 0x00000031ba8f570b,
};

// m8535_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m8515_u2x12_uart0_dual_ee_hw[] = {
  0x776fc60f44865c93, 0xbbaa629b67cfdb77, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xe2e2f6f2762fd76a,
  0x20a82b6a4c1b770c, 0x682906ddcc13e301, 0x7c4df6b3c4604991, 0x7612774fb9718502, 0x2c7ce1ff260d1f99,
  0x581f57cdea3f4fec, 0x0aff31a04508e485, 0xeef8bbcd6c01b87c, 0x10cb41d2a2195dc5, 0x6ffe80e784c5162a,
  0xc16156662e72f6fa, 0x19a313ca5fff90fc, 0xb4ed093824d76f34, 0x3caf6fcd56b47a50, 0xbaf51f06cc1fc9ea,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x9e39d5a5e715c09f, 0x6ba1d7b19bb6f68c, 0x3b169f3c8d21d8d5,
  0xfd6e1bd977bb380e, 0x5980544a83aa3608, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3,
  0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00576b24985f4f25,
};

// m8535_u2x12_uart0_dual_ce_hw
static const uint64_t ur_m8515_u2x12_uart0_dual_ce_hw[] = {
  0xeedf8c1e890d7f41, 0x7754cb1e739fb6ee, 0xa3acecb53ef77777, 0x436c5bbbb06e277d, 0x777b8ccdefd5e350,
  0xe30120a82b6a4ac1, 0x24c8b4148ba1cc13, 0xc2813e26fb59e230, 0xffccbb093ba7dcb8, 0x4eb60968e016a631,
  0x1c90ab038ad37a8e, 0x370f815fe63408a1, 0x2bb8bddf177a1f00, 0xc7c5421968145443, 0x5edf027fd01cf098,
  0xf21f982c2accc5ce, 0xede68334627fceff, 0xd66e169da127049a, 0x41e78939093f9717, 0x84bf10d8488bee34,
  0x5dcdae63e337fa8f, 0xfa09ee58cf13f33c, 0xe9238e5581a0bf51, 0x5fd1a0b398b0147c, 0x07feccf1d780d4ed,
  0x1f03cb5b87dd12a8, 0x8a4fe67d1cccacc7, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0x7063b7fbd55169b1, 0xc6e3cd94462fe6d9, 0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xd569f05f4f257ee6, 0x000000000000004d,
};

// m8535_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8515_u2x12_uart0_dual_ee_ce_hw[] = {
  0xeedf8c1c3d686f97, 0x7754c6a7931fb6ee, 0x885875f722777777, 0xbc69c0bdd4985aab, 0xc119d6a9d03e26ea,
  0x120a82b6a49d6773, 0x168290e9d4c13e30, 0x27c4df6b3c460499, 0x97612774fb971850, 0x067c38759ccc87f9,
  0x5607faf37a8f30db, 0x02bfcc6811423921, 0xf77c5deea8006e1f, 0x0865a016910caee2, 0x41ff4073c2638315,
  0x60b0ab3317397b7c, 0x19a313c66fffc87e, 0xb4ed093824d76f34, 0x9091c1b8bea8cba8, 0x8488bee3441e7893,
  0x0ccf9fa8f84bf10d, 0xdcdaf933c5dcdaf3, 0x34c7d4795c8929da, 0x8a62b09fea3e0d98, 0x971c270dc3afb169,
  0xb74e23a909afa5b1, 0x63376ded193c73ab, 0xf234876355e363af, 0x65deece038ec5a7c, 0x9507546c1132386f,
  0x3f99f47332b32ce8, 0x314c0809e5a74a29, 0x8ce81c51e7c49a3a, 0x8754e0575539794d, 0x8edfef5545a6c59e,
  0x8f365118bf9b65c1, 0xe50c2a73f52f571b, 0x79133c5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000075d4e7c17d,
};

// m8535_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeedf8c1e890cf68, 0xbbbaa6353eedfb6e, 0x4faafb17d07dbbbb, 0x2f1a702f755f24c4, 0x8fa9d6b7664caefa,
  0x2415056d496c4ee6, 0x2d052138f9827c60, 0x4f89bed6788c0932, 0x2ec24ee9f72e30a0, 0x06b670986999f3f3,
  0x56070026f51ff5f6, 0x02bfcc6811423921, 0xf77c5de601006e1f, 0x0865a04e910caee2, 0x35ff4073c26d9d15,
  0x60b0ab3317397b7d, 0x0cd189e16bffc87e, 0x5a76849c126bb79a, 0xc84b675c5f547f38, 0xc2445f71a20f3c49,
  0xb4cdffd47c25f886, 0xdcda6333c5dcdafc, 0x7917d4795e9529da, 0x8a62b403d47c1b30, 0x971c270dc3afb169,
  0xb72f83a909afa5b1, 0x534edd223afe73ab, 0xb463eec6abc6c75e, 0x65b93380e3b169d4, 0x665678c68932386f,
  0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x17f36cb831dbfdea,
  0xcfd4176371e6ca23, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000ebabd6c2fa7,
};

// m8515_swio10_noled_pr
static const uint64_t ur_m8515_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x2415056d49ddb1ec, 0x5e1de7cca9827c60, 0x5cef9626a9004fff, 0x51c72ac0c43fa8eb, 0xb398b016f74d3746,
  0x30475e2e762691e0, 0x972ab52b2a5ee396, 0x2a8d75901cc906d7, 0x395daa5beace7515, 0x98954bef5f4d326b,
  0xb3bcb9ed5688af2e, 0xb4b5fe2353c314de, 0x7a1d53816e3e2810, 0xf386ed94462fe6da, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0xe409218ae9e4afdc, 0x0000000000000003,
};

static const uint64_t ur_m8515_swio10_noled_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xadddaab914623128, 0xf7c7e8714718c227, 0x877a086b97bf1350, 0x3b6c6245dd8882fe,
  0x6d49ddfa706f0ab8, 0xe449827c60241505, 0xc4d520d2bfdd48e7, 0xac0c43fa8e989df2, 0x016f74da54431c72,
  0xf173b6f68c9e398b, 0xa958b3f71cb1823a, 0xac80e64836bcb955, 0x52df5673a8a9546b, 0x5f7afa699359caed,
  0xcf6ab4457974c4aa, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0x62b5455bfdeaa8b4, 0x26ae0f365118bf9b,
  0x63c81db43458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0xd341cfaf3c95fb9a, 0x00000000000003e4,
};

static const uint64_t ur_m8515_swio10_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17a4cf8ff8, 0xa847914c1afaa6ec, 0x4767ef17b2020da0,
  0x0ada93bb4cd19fd3, 0x9f1ad304f8c0482a, 0xa3eea9069bff7523, 0xcbef51e56e4e6ab5, 0xdf15c06f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x5c5133484d7d2d8c, 0xf7a3c8a73ab4bedf, 0x58d56ba1d7aea6ec, 0x380e3b169dc3464d,
  0x86befadc37b2e1cb, 0x039920daf2e556ab, 0x7d59cea2a551aeb2, 0xebe9a64d672bb54b, 0xaad115e5d312a97d,
  0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xcdb4f43aa70270a4, 0xf38b93571b288c5f, 0xf75663c81db43458,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0x9f153b9f5e792bf7, 0x0000000000000002,
};

static const uint64_t ur_m8515_swio10_noled_pr_ee_u4[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0xa93ba75a3509167d, 0xad304f8c0482a0ad, 0xee9069bfffe759f1, 0xea3cace1cd56b471, 0x5c87f51f06cc19eb,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8e2139d5a5ea52e3, 0x6ab5d0ebce9bb4e2, 0x071d8b4d6ba3116c,
  0x823f5b86f65b2f9c, 0xe556a012cfafea8d, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0x12a97debe9a64d67,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xfe6d8ad5156ff7aa, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x013ae59a9c8cf257,
};

static const uint64_t ur_m8515_swio10_noled_pr_ce[] = {
  0x7e6eeeeeef623f3e, 0xda3bb557228a6e25, 0xade833d790c98710, 0xada0b83e3b05e4cc, 0x74e41090a87bb7e6,
  0x82b6a4eed9158210, 0xe7ce1cc13e30120a, 0xfd57ca4095bfdd48, 0xdafcf002c1c72677, 0x759309cee6d719bd,
  0x3c17ea3e493dcb01, 0x2c0509ebe471cab0, 0xaf47cec3e23b58e6, 0x740b3d500ffd99e3, 0x5caad4412a0796b7,
  0xaa35d64073241b5e, 0xe576a96fab39d454, 0x62552fbd7d34c9ac, 0xfebae7b55a22bcba, 0x0eea6c529e1a778e,
  0x545a6194f43aa702, 0xbf9b62b518edfef5, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857,
  0xee6866587494b659, 0x16ea3cbf3ebcf257,
};

static const uint64_t ur_m8515_swio10_noled_pr_ce_u4[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0x5056d49dd0149339, 0xacfdba9827c60241, 0x2fac89483027fff3, 0x441e78016b48a7ae, 0xf84bf10d8488bee3,
  0x8bb9b5d9be951fa8, 0x8f924f72c67eb267, 0x7af91c72ac0f05fa, 0xb0f88ed6398b0142, 0x5403ff6678ebd1f3,
  0x104a81e5addd02cf, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0xef5f4d326b395daa, 0xed5688af2e98954b,
  0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0xad463b7fbd551698, 0xab83cd94462fe6d8, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xeba9c8cf257ee686, 0x00000000000375e3,
};

static const uint64_t ur_m8515_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0x6d49dd294758dd2b, 0x8689827c60241505, 0x70e9058fffff3acf, 0x005ad274f9dff546, 0x39dcdaf722495f9e,
  0xb74b29dacac7be61, 0xd47c1b306807a8f2, 0x875f62d314c57f3b, 0x135f4b632e384e1b, 0x7109ceaedd528752,
  0xabc6c75e74dda714, 0x71d8b4d6ba3116c6, 0x1132386f65b2f9c0, 0x2ab52cd67d7f546c, 0x8d75901cc906d797,
  0x5daa5beace75152a, 0x954bef5f4d326b39, 0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083,
  0xe6d8ad463b7fbd55, 0x79c5c9ab8d94462f, 0xfbab31e40fca1a2c, 0x271964b867a615c9, 0x9a19961d252d964a,
  0x34ce7ca7233c95fb, 0x0000000000000005,
};

static const uint64_t ur_m8515_swio10_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e6d3a, 0x1776aafea68ee244, 0xeb4a76c332b60bf3, 0x2a003620dcbb34a6, 0x4e4ef22165b3c90c,
  0x4eedced9b1ed932c, 0x4c13e30120a82b6a, 0x90620ff6343cfa1f, 0x5cedfe5c5f5476ea, 0x61222fb8d1079e00,
  0x4e5c17ea3e12fc43, 0xdcdbdf33c5dcdafd, 0x6807a8f2b74b29da, 0x14c57f3bd47c1b30, 0x2e384e1b875f62d3,
  0xdd528752135f4b63, 0x74dda7147109ceae, 0xba3116c6abc6c75e, 0x65b2f9c071d8b4d6, 0x7d7f546c1132386f,
  0xc906d7972ab52cd6, 0xce75152a8d75901c, 0x4d326b395daa5bea, 0x88af2e98954bef5f, 0x869de3bfaeb9ed56,
  0x0ea9c083ba9b14a7, 0x3b7fbd551698653d, 0xcd94462fe6d8ad46, 0x4f8d1637c5c9ab83, 0x0a9cfd4eacc79033,
  0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a,
  0x00000013f34710f0,
};

// m8535_swio10_noled_hw
static const uint64_t ur_m8515_swio10_noled_hw[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab91462312, 0x74b8ee8714718c22, 0x5fd0ef410d72f7e2, 0xd4136d8c48bbb110,
  0x82a0ada93bb0bd68, 0x0e3cfc89304f8c04, 0x89df2c4d520d2bff, 0x31c72ac0c43fa8e9, 0xe398b016f74da544,
  0x1823af173b6f68c9, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0x9caed52df5673a8a, 0x4c4aa5f7afa69935,
  0xdfd75cf6ab445797, 0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x8bf9b62b5455bfde, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000008e25c514f,
};

// m8535_swio10_noled_ee_hw
static const uint64_t ur_m8515_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x8aa2d0564041b410,
  0x82b6a4eebb257db3, 0x67c6b4c13e30120a, 0x5a38f74834dffd0a, 0x0cf5f51e5670e6ab, 0x6ef8ae43fa8f8366,
  0x65c709c370ebec5a, 0x2971ac9a426be96c, 0xda7147109cead2f5, 0x88b6355ae875e74d, 0x97ce038ec5a6b5d1,
  0xf546c11fadc37b2d, 0x6d7972ab500967d7, 0x5152a8d75901cc90, 0x26b395daa5beace7, 0xf2e98954bef5f4d3,
  0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0xa2317f36c56a8ab7, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a,
  0x00000000b7f33142,
};

// m8535_swio10_noled_ce_hw
static const uint64_t ur_m8515_swio10_noled_ce_hw[] = {
  0xe4dddddda2431202, 0xf8eed55e110ddc49, 0x63f420dd1835d83d, 0x79367fafad0ada09, 0x62d41434e19a9bdd,
  0x0905415b5277599b, 0xfe8533f6ea609f18, 0x53d717d644a41813, 0x17dc6883cf127212, 0x5ff51f097e21b091,
  0xf5933c5dcdae293f, 0x782fd47c927b9633, 0x580a13d7c8e39560, 0x5e8f9d87c476b1cc, 0xe8167aa01ffb33c7,
  0xb955a882540f2d6e, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xc4aa5f7afa699359, 0xfd75cf6ab4457974,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x7f36c56a31dbfdea, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x001d66dbe082fa79,
};

// m8515_swio10_noled_ee_ce_u4_hw    m8535_swio10_noled_ee_ce_hw       m8535_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m8515_swio10_noled_ee_ce_hw[] = {
  0x21bbbbbb4486cc7f, 0xc5ddaabfa9a3b891, 0x5d375bb0ccad82fc, 0x8615001b106e5d9a, 0xf627277910b2d9e4,
  0xada93ba9f755faa3, 0xe87d304f8c0482a0, 0x1dbaa41883fe8533, 0xcf1272127f9717d5, 0x7e21b09117dc6883,
  0xdaeea8d507f51f09, 0x29dadcdbdf33c5dc, 0x1b306807a8f2b74b, 0x62d314c57f3bd47c, 0x4b632e384e1b875f,
  0xceaedd528752135f, 0xc75e74dda7147109, 0xb4d6ba3116c6abc6, 0x386f65b2f9c071d8, 0x2cd67d7f546c1132,
  0x901cc906d7972ab5, 0x5beace75152a8d75, 0xef5f4d326b395daa, 0xed5688af2e98954b, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0xad463b7fbd551698, 0xc6e3cd94462fe6d8, 0x3def2861539fa82e, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x0becf05f4f257ee6, 0x0000000000000028,
};

static const uint64_t ur_m8515_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0905415b52777312, 0xd78779f7f2609f18, 0xf21df2c4d52032bf, 0xdf1c72ac0c43fa8f, 0xa0398b016f74c803,
  0xb1823af173b5ac8f, 0x5e5caad4ace7b71c, 0x54aa35d64073241b, 0x04e576a96fab39d4, 0x55aba5fd34c9ae04,
  0x5ae7b55a22bcba62, 0xa96165362ce80f3f, 0xd8ff14085a6ae757, 0x2317f36d3d0ea9c0, 0xd30ae4fcfec376ca,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000002a4b718ae,
};

static const uint64_t ur_m8515_swio10_lednop_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0xdb27bab21c6c13c1, 0x66b7858db19423d3, 0x417e63c7f7638f41,
  0xb52774d2c71c5e24, 0x01a609f180905415, 0x22d200f7feea473f, 0x6064f7a8f389df2c, 0x16594c1ed008e395,
  0x3e764c51c1f398b0, 0x740a807fecc11d7a, 0xab5422607967b76b, 0xd75901cc906d7972, 0xdaa5beace75152a8,
  0x97f4d326b8101395, 0xd5688af2e98956ae, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9,
  0x0f365118bf9b6c21, 0xeda1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8,
  0xa19961d252d9f027, 0x27843cfaf3c95fb9, 0x000000000000001f,
};

static const uint64_t ur_m8515_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xadddaab914f17128, 0x3b50f50e2448c227, 0x7f43bd05af21932e, 0x1b267e946beec441,
  0x56d49dd5c62454dc, 0x7dfc9827c6024150, 0x2c4d52032bfdd48e, 0x2ac0c43fa8ff21df, 0xb016f74c803df1c7,
  0xaf173b5ac8fa0398, 0xad4ace7b71cb1823, 0x5d64073241b5e5ca, 0x6a96fab39d454aa3, 0x5fd34c9ae0404e57,
  0x55a22bcba6255aba, 0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0x36d3d0ea9c0d8ff1, 0x2e4d5c1e6ca2317f,
  0xacc7903b6868b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1,
  0x34332c3a4a5b3e04, 0x9348bf9f5e792bf7, 0x000000000000000f,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0x304f8c0482a0ada9, 0x208e5fffceb3fd5f, 0x7959439aad68e3dd, 0x97ea3e0d9833d7d4,
  0x0dc3afb169bbe2b2, 0x6909afa5b1971c27, 0xf873ab4bb935c6b2, 0x6ba1d79d3763d51a, 0x3b169c428c6fd8d5,
  0x7eb70decb65f380e, 0x56a01740b3d51b04, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0x2fe9a64d7020272b,
  0xaad115e5d312ad5d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x1e6ca2317f36d843,
  0xf943459d3e2e4d5c, 0x1854e7ea75663c81, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x00013af0294e4679,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0xa93ba3d8b54718d4, 0xe5304f8c0482a0ad, 0xea905bafffe759f8, 0xf51e5721e6ab5a3e, 0x5ba5f51f06cc1cbe,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1a6273ab4bafb5c5, 0x56ba1d7aea6ed2f9, 0x71d8b4c7c476b58d,
  0x07d6e1bd970e59c0, 0x3241b5e5caad571d, 0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x62fe6db0862adfef, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0009d74d029c8cf2,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x6ef4fde97be6e1c4, 0xab682e0ea6f1dc00, 0x44895b64217eedf9,
  0x82b6a4ee9a58e2d1, 0xe7ca1cc13e30120a, 0xfd57ca4121ffdd48, 0x9afcf002c1c74a77, 0x5d64c273b9b5c346,
  0x0f05fa8e0a4f72c0, 0x1602edf97d1c72ac, 0xaf47cec98a383e73, 0xad6e81500ffd99e3, 0xcb955aa11303cb5b,
  0x9546bac80e64836b, 0x9caed52df5673a8a, 0xb574bfa69935c080, 0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7,
  0xedcf43aa70210a90, 0xc2131dbfdeaa8b48, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea,
  0x6587494b659289c6, 0x8df3ebcf257ee686, 0x00000000000016eb,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0x056d49dd3b410e5d, 0xcfc569827c602415, 0xfac894837dffff3a, 0x41e78016b492bae2, 0x84bf10d8488bee34,
  0x5dcdaec87495fa8f, 0x70527b9633f5933c, 0xcbe8e39560782fd4, 0x4c51c1f398b0176f, 0x807feccf1d7a3e76,
  0x08981e5add6b740a, 0x4073241b5e5caad5, 0x6fab39d454aa35d6, 0x34c9ae0404e576a9, 0x22bcba6255aba5fd,
  0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d, 0x288c5fcdb61098ed, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000375d22f5391,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0xda93bad3bed3b2d9, 0x3b7304f8c0482a0a, 0xc3a41bb5fffceb3f, 0x016b4833677fd519, 0xcee6d7672e8ffe78,
  0x97594ed6563df309, 0xa3e0d983403d4795, 0x3afb1698a62b387e, 0x9afa5b1971c270dc, 0x5f0e7576e7263a90,
  0x5e363af3a6ec7aa3, 0x8ec5a710a31bf635, 0x8991c37b2d97ce03, 0xaad4b3e8167aa360, 0x35d64073241b5e5c,
  0x76a96fab39d454aa, 0xa5fd34c9ae0404e5, 0xb55a22bcba6255ab, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5,
  0x98edfef5545a476e, 0x571b288c5fcdb610, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0x4e46792bf734332c, 0x0000000014d317ed,
};

static const uint64_t ur_m8515_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d1a78bc17e6, 0x54006c23b836625d, 0xe817d382cb679218,
  0x4eea0126e7161f06, 0xcc13e30120a82b6a, 0x90400ff6343cffeb, 0xb9dd6fdc5f5476ea, 0xc2445f71a20f3c00,
  0x919ebfd47c25f886, 0x736f7ccf17736b85, 0xa01ea3cacbaca76b, 0x53159c3f51f06cc1, 0xb8e1386e1d7d8b4c,
  0x73931d484d7d2d8c, 0xd3763d51af873abb, 0x518dfb1aaf1b1d79, 0x96cbe701c762d388, 0x0b3d51b044c8e1bd,
  0x920daf2e556a59f4, 0x9cea2a551aeb2039, 0xd7020272bb54b7d5, 0x5d312ad5d2fe9a64, 0x9bdb5d73daad115e,
  0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x2fe6db084c76ff7a, 0x37c5c9ab83cd9446, 0x4eacc790334f8d16,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x13f1e6d8f0ee792b,
};

// m8535_swio10_lednop_hw
static const uint64_t ur_m8515_swio10_lednop_hw[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0905415b52777312, 0xfe1c79f7f2609f18, 0xfe43be589aa40657, 0x7be38e5581887f51, 0xf40731602dee9900,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x4462fe6da7a1d538, 0x7a615c9f9fd86ed9,
  0x52d964a271964b86, 0x53c95fb9a19961d2, 0x000000000238add4,
};

// m8535_swio10_lednop_ee_hw
static const uint64_t ur_m8515_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x847ec8833106d043,
  0x15b52776c36cad49, 0x7fabe609f1809054, 0xa38f7482397fd0a6, 0xcf5f51e5650e6ab5, 0xef8aca5fa8f83660,
  0x5c709c370ebec5a6, 0xd71ac9a426be96c6, 0x8f546be1cead2ee4, 0xbf6355ae875e74dd, 0x7ce038ec5a710a31,
  0x546c11fadc37b2d9, 0x6bcb955a805d02cf, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb610c55bfdeaa8b, 0x05d8dc79b288c5fc,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x02dffcd30be9e4af,
};

// m8535_swio10_lednop_ce_hw
static const uint64_t ur_m8515_swio10_lednop_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2eeedb75ec1e, 0x26cff5f5a1bb2b6f, 0x6d3ad41685ad1baf,
  0x905415b52774a70f, 0xe8533f15a609f180, 0x5d717d644a41beff, 0x7dc6883cf1272129, 0xff51f097e21b0911,
  0xb2678bb9b5fb06f0, 0x05fa8e0a4f72c67e, 0x02edf97d1c72ac0f, 0x47cec98a383e7316, 0x6e81500ffd99e3af,
  0x955aa11303cb5bad, 0x46bac80e64836bcb, 0xaed52df5673a8a95, 0x74bfa69935c0809c, 0xf6ab4457974c4ab5,
  0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x131dbfdeaa8b48ed, 0xb8f365118bf9b6c2, 0x7bca1854e7ea0bb1,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x4fc217d3c95fb9a1,
  0x000000000000eb36,
};

// m8515_swio10_lednop_ee_ce_u4_hw   m8535_swio10_lednop_ee_ce_hw      m8535_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m8515_swio10_lednop_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x275d96e8d3c5e0bf, 0x21854006c23b8366, 0xb06e817d382cb679,
  0x056d49dd2af44fd0, 0x9ffd79827c602415, 0xa8edd520801ff429, 0x3cf127212adfb8be, 0x97e21b09117dc688,
  0x9b5cdbb0a47f51f0, 0x653b5b9b7be678bb, 0x83660d00f51e565d, 0xec5a6298ace1fa8f, 0xe96c65c709c370eb,
  0x39d5db9c98ea426b, 0xd8ebce9bb1ea8d7c, 0x169c428c6fd8d578, 0x470decb65f380e3b, 0x52cfa059ea8d8226,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xf4d326b8101395da, 0x688af2e98956ae97, 0xf3a03cdedaeb9ed5,
  0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x6ca2317f36d84263, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc2fa792bf734332c, 0x00000000014043d5,
};

// m8515_swio10_dual_pr
static const uint64_t ur_m8515_swio10_dual[] = {
  0x5ddddddd41e7ce7c, 0xdf9aa6568759fb54, 0xf4b56f4e3127ef17, 0x3206950558681610, 0x9b2a7114adda8a10,
  0x536eed9b69e1d71f, 0x827c602415056d49, 0x460499168290d079, 0x97185027c4df6b3c, 0x8a2fe6535aa774fb,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xe00370f815fe6340, 0x22195dc5eef8bbdf, 0xe135ad150865a119,
  0x8b9cbdb9c3ffa039, 0xfbff406530585599, 0x51c279df2d916902, 0x7dc891c72ac0ed6f, 0x46b5ce62c05d6299,
  0xfd9823af01a9da6e, 0x0f2cf6e32ded500f, 0xfccfa3999599f544, 0x01cc906d7972ab59, 0xbeace75152a8d759,
  0xd326b8101395daa5, 0x8af2e98956ae97f4, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0x5118bf9b6c218ab7, 0xa2cb579726ae0f36, 0x9fa9d598f20669f1, 0xf22678138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0x3c3b9e4afdcd0ccb, 0x000000000a498e8a,
};

static const uint64_t ur_m8515_swio10_dual_pr_u4[] = {
  0xd3dddddda2e7ce7c, 0x25f9aa6568ccdfb0, 0xdad1eda625a29b08, 0x6d2d4d841a646e09, 0xa1f9619eb1badd1a,
  0x6a4d8f776cdb4f16, 0x544c13e30120a82b, 0xacf11812645a0a46, 0xd3ee5c61409f137d, 0x1ee631ff994d6a9d,
  0xa9bd4791361b7ce0, 0x8d022847242ac0f4, 0xdfd3e00dc3e057f9, 0x0b5910caee2f77c5, 0x01cf0989e8a8432d,
  0xaccc5ce5eddd2ffd, 0xa40fe7fa032982c2, 0xc9ef51c143be5845, 0xb29827e491c72ac0, 0xec37d188a731602c,
  0x26b71cb1823af47c, 0xacfe67d1cccaccac, 0xac80e64836bcb955, 0x52df5673a8a9546b, 0xfa69935c0809caed,
  0xb4457974c4ab574b, 0xe5380b9d01e5cf6a, 0x4085a561130bd4b5, 0x36d3d0ea9c08bf71, 0x2e4d5c1e6ca2317f,
  0x663c819a7c68b1be, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x9842c78773c95fb9, 0x00000000000000a4,
};

static const uint64_t ur_m8515_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0x77e6a990bc2cfd8a, 0xe937baaf9b144e46, 0x6ea38b4e51fad75d, 0xefeef7ed88b4b29c,
  0x5dcd1f53a19c6eca, 0xf8c0482a0ada93e4, 0x12645a0a44463304, 0x61409f137dacf118, 0xd7e65d849dd3ee5c,
  0x8d6d813a3825a982, 0x47242ac0f4dcdea3, 0x0dc3e057f98d0228, 0x95dc5eef8bbc1120, 0x1ee2a10cb417da21,
  0x2f6e1a3fe80e784c, 0xe64e4c16156662e7, 0x355ad1d4aa4096bf, 0x3660f6ffa8f2b95d, 0xc5a6ef8af2b7a8f8,
  0x96c65c709c370ebe, 0xb9c35c09f9a426be, 0x66edb7d1a0073ab4, 0x11bdf6355ae875ec, 0x2ef76701c762d305,
  0xdc3546c11fadc37b, 0xfccfa399959805bd, 0x01cc906d7972ab59, 0xbeace75152a8d759, 0xd326b8101395daa5,
  0x8af2e98956ae97f4, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x5118bf9b6c218ab7,
  0xeee3459d3e1b8f36, 0x1854e7ea75666fe0, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0002b2610d9e5e79,
};

static const uint64_t ur_m8515_swio10_dual_pr_ee_u4[] = {
  0xd02f777776890c86, 0x38df9aa642faaf7e, 0x56d77eea0a7ad06e, 0xd89e4a539d6f7ecb, 0x0b2014fb622d2e05,
  0x8ddddd8dd9683cc5, 0x4f8c0482a0ada92b, 0x812645a0a47ad530, 0xc61409f137dacf11, 0x9d7e65d849dd3ee5,
  0x3e9bd8456380d698, 0x847242ac0f2b4dea, 0x00dc3e057f98d022, 0x0caee2f77c5df950, 0x3489150865a11ed1,
  0x397b7b1fffa039e1, 0xff327260b0ab3317, 0x59aad68cc7d201ad, 0xe0d983ea3d4795b0, 0xfb169bbe2b287ea3,
  0xfa5b1971c270dc3a, 0xd2e959701c66909a, 0xca69dba847371cea, 0xf2238cac6ab5d0eb, 0xbd96e4ce038ec5a7,
  0x1cccacd71bdfd6e1, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0xc0809caed52df567, 0x4c4ab574bfa69935,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xfcdb610c55bfdeaa, 0x458df0dc79b288c5,
  0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00000ac902acf2f3,
};

static const uint64_t ur_m8515_swio10_dual_pr_ce[] = {
  0x33ddddddde7c1a4e, 0x2df9aa656810dfb5, 0xde957ec4e1235168, 0x5a5f4e499389a767, 0x058a351dadda6662,
  0x066ee4d770b44ff7, 0x827c602415056d49, 0x460499168290ea89, 0x97185027c4df6b3c, 0x8bafe6535aa774fb,
  0xa3b93d87ce384879, 0x2847242ac0d7dcde, 0xc00dc3e057f98d02, 0x10caee2f77c5df8d, 0x132d78a8432d0c91,
  0xb9cbdbcaeffa039e, 0x7ff4065305855998, 0xedd29dff55f29048, 0xdae9b73b7f9e005c, 0x27b9602eb26139dc,
  0x8e39560782fd4705, 0x1c1f398b0176fcbe, 0xe58cf1d7a3e764c5, 0x9f47332b31d6f7b8, 0x9920daf2e556b3f9,
  0x59cea2a551aeb203, 0x4d7020272bb54b7d, 0xe5d312ad5d2fe9a6, 0x79bdb5d73daad115, 0x0842a417296be740,
  0xaaa2d23b73d0ea9c, 0x62fe6db084c76ff7, 0xc79c5c9ab83cd944, 0xfdd598f20669f1a2, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0xcf5b71e3c3b9e4af, 0x0000000000000001,
};

static const uint64_t ur_m8515_swio10_dual_pr_ce_u4[] = {
  0x627777776890cf68, 0x777e6a99005ce7ed, 0x3dae3bad89d90919, 0x323e44dd51795784, 0x76227a8ff5deed89,
  0x49a577347d4ebdc3, 0x4c13e30120a82b6a, 0xc4604991682911f7, 0xb97185027c4df6b3, 0xa6383f997612774f,
  0x7a8f6eb61b38e11c, 0x08a11c90ab03c093, 0x3900370f815fe634, 0xb4432bb8bddf177b, 0xf09827c542196807,
  0x8b9cbdb98fffd01c, 0x72ff993930585599, 0x09456b8beb1ee904, 0x488bee3441e78939, 0x5951fa8f84bf10d8,
  0xcf13f33c5dcdae49, 0xc0fa4f51cf59ee58, 0xcc580afe7511c72a, 0x75e0353b4dc8d6b9, 0x7465bdaa01ffb33c,
  0x1cccaccfaa20796b, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0xc0809caed52df567, 0x4c4ab574bfa69935,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xf9b6c2131dbfdeaa, 0x8b1be1b8f365118b,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000069274f59e5e7,
};

static const uint64_t ur_m8515_swio10_dual_pr_ee_ce[] = {
  0x4e2ddddddd43359b, 0xad7e6a9835ed05fb, 0xef1ff753ecb55867, 0x5f1ba39c0f908500, 0x71a7ab8e3b313389,
  0xb87866147f0b5d46, 0x180905415b524c8b, 0x991682909e5e609f, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0xa361a68e0ff26c41, 0x921560763f37a8e1, 0xe1f02bfcc6811423, 0xee2f77c5dfe72006, 0xf150865a0c1510ca,
  0x6ffafff4073c2690, 0x4e4c16156662e72f, 0xfd51a9ea40ff3fe6, 0xdffcf127212d3477, 0x5f26139dcdaea49c,
  0x7a8f2bc0929dacac, 0x56a7bd47c1b30722, 0x84e1b875f62d314c, 0x0c752135f4b632e3, 0xb6df46801ceaedc7,
  0xefb1aaf1b1d7b19b, 0xbb380e3b1698288d, 0xd51b044c8e1bd977, 0x3e8e6656659ef770, 0x3241b5e5caad67f3,
  0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80,
  0x5545a476e7a1d538, 0xc5fcdb61098edfef, 0xc68b1e70dc79b288, 0x85727eeaccdfc1dd, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000004c131bb3cbc,
};

static const uint64_t ur_m8515_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xcd530b8fd5dfb162, 0xc3daaf1d7d9538af, 0xfbb0419c26d463a3, 0x095bb825899f1dac,
  0xc6140b68b8b2bdda, 0xb6a4b4e776906da7, 0x8f5cc13e30120a82, 0x59e23024c8b41487, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xc9400dc3e057f98d, 0x24432bb8bddf177d,
  0xf09b7dc542196847, 0x8b9cbdbb21ffd01c, 0x0ffbd98b30585599, 0x375c5f54635a9076, 0xbee3441e789380e6,
  0xdfa8f84bf10d8488, 0x933c5dcdaf7251d7, 0x8f2bc0929dadcdaf, 0xa7bd47c1b307227a, 0xe1b875f62d314c56,
  0x752135f4b632e384, 0xdf46801ceaedc70c, 0xb1aaf1b1d7b19bb6, 0x380e3b1698288def, 0x1b044c8e1bd977bb,
  0x8e6656659ef770d5, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0xe0404e576a96fab3, 0xa6255aba5fd34c9a,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0xfcdb61098edfef55, 0xf8b9357079b288c5,
  0xaccdfc1bf411a2c6, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1,
  0x34332c3a4a5b3e04, 0x0245e7176a792bf7, 0x0000000000000040,
};

// m8535_swio10_dual_hw
static const uint64_t ur_m8515_swio10_dual_hw[] = {
  0x2eeeeeed1218022f, 0xefcd532b43acfdaa, 0xa10f77a71893f78b, 0x1032069505586817, 0x339b2a7114adda8a,
  0xb6a4a9b7764c1f9a, 0x683cc13e30120a82, 0xb59e23024c8b4148, 0xba7dcb8c2813e26f, 0x05f73145fccbb093,
  0xdd4dea3c7bd83f87, 0xcc68114239215607, 0x177bfc006e1f02bf, 0xb42324432bb8bddf, 0xf4073c26b5a2a10c,
  0x0ab3317397b7387f, 0x5a40befffc87e60b, 0x3b5bd4709e77cb64, 0x58a65f722471cab0, 0x769b91ad7398b017,
  0x5403ff6608ebc06a, 0x7d5103cb3db8cb7b, 0xaad67f33e8e66566, 0x35d64073241b5e5c, 0x76a96fab39d454aa,
  0xa5fd34c9ae0404e5, 0xb55a22bcba6255ab, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x62adfef5545a476e,
  0xe3cd94462fe6db08, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0xf5405f4f257ee686, 0x0000000000031baf,
};

// m8535_swio10_dual_ee_hw
static const uint64_t ur_m8515_swio10_dual_ee_hw[] = {
  0x14edddddda2432db, 0x8cefcd53217859fb, 0xbbd26f755f36289c, 0x38dd47169ca3f5ae, 0x55dfddefdb116965,
  0x93e45dc704559a67, 0x3304f8c0482a0ada, 0xf11812645a0a4446, 0xee5c61409f137dac, 0xa982d7e65d849dd3,
  0xdea38d6d813a3825, 0x022847242ac0f4dc, 0x11200dc3e057f98d, 0xda2195dc5eef8bbc, 0x784c1ee2a10cb417,
  0x62e72f6e1a3fe80e, 0x2d7ff90fcc161566, 0x72ba6ab5a3a95481, 0x51f06cc1edff51e5, 0x1d7d8b4ddf15e56f,
  0x4d7d2d8cb8e1386e, 0x75697386b813f348, 0xebd8cddb6fa3400e, 0xa60a237bec6ab5d0, 0x86f65deece038ec5,
  0x0b7bb86a8d823f5b, 0x56b3f99f47332b30, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0x2fe9a64d7020272b,
  0xaad115e5d312ad5d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x1e6ca2317f36d843,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x0842fa792bf73433, 0x000000000000576b,
};

// m8535_swio10_dual_ce_hw
static const uint64_t ur_m8515_swio10_dual_ce_hw[] = {
  0x89dddddda2435202, 0xddf9aa6401739fb5, 0xf6b8eeb627642465, 0xc8f9137545e55e10, 0xae89ea3fd77bb624,
  0x92695dce43ada6f9, 0xd304f8c0482a0ada, 0xf11812645a0a447d, 0xee5c61409f137dac, 0x298e0fe65d849dd3,
  0xdea3dbad86ce3847, 0x022847242ac0f024, 0xce400dc3e057f98d, 0xed10caee2f77c5de, 0x3c2609f150865a01,
  0x62e72f6e63fff407, 0x397ff90fcc161566, 0x84a2b5c5f58f7482, 0x2445f71a20f3c49c, 0xceb3fd47c25f886c,
  0x6789f99e2ee6d767, 0x607d27a8e7acf72c, 0xe62c057f3a88e395, 0x3af01a9da6e46b5c, 0xba32ded500ffd99e,
  0x8e665667d5103cb5, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0xe0404e576a96fab3, 0xa6255aba5fd34c9a,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0xfcdb61098edfef55, 0xf505d8dc79b288c5,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0001375e9e0be9e4,
};

// m8535_swio10_dual_ee_ce_hw
static const uint64_t ur_m8515_swio10_dual_ee_ce_hw[] = {
  0x38b7777775050c86, 0xb5f9aa60d7b417ed, 0xbc7fdd4fb2d5619e, 0x7c6e8e703e421403, 0xc69eae38ecc4ce25,
  0x45dddd8dd9bcc519, 0x4f8c0482a0ada926, 0x024c8b41484f2f30, 0x8c2813e26fb59e23, 0x20fccbb093ba7dcb,
  0x70d1b0d34707f936, 0x11c90ab03b1f9bd4, 0x0370f815fe63408a, 0x657717bbe2eff390, 0x4878a8432d060a88,
  0x97b7fd7ffa039e13, 0xfc87e60b0ab33173, 0x77fd51a9ea40ff3f, 0x6ea8fcf127212d34, 0x58be4c273b9b5ee8,
  0x44f51e5781253b59, 0x98ad4f7a8f83660e, 0xc709c370ebec5a62, 0x8e18ea426be96c65, 0x376dbe8d0039d5db,
  0x1bdf6355e363af63, 0xef76701c762d3051, 0xe1aa3608991c37b2, 0xe67d1cccaccb3dee, 0x0e64836bcb955acf,
  0xf5673a8a9546bac8, 0x9935c0809caed52d, 0x57974c4ab574bfa6, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d,
  0xdeaa8b48edcf43aa, 0x118bf9b6c2131dbf, 0x4e7ea6c3b1b8f365, 0x43c899e04e34a185, 0x970cf4c2b93f01f3,
  0x2c3a4a5b3e04e32c, 0xc6c2fa792bf73433, 0x0000000000001d75,
};

// m8535_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_swio10_dual_ee_ce_u4_hw[] = {
  0x2dddddda28d072df, 0xfcd530b8fd5dfb16, 0x31ddaaf1d7d9538a, 0xed67dd820ce137aa, 0xeed04addc12c4cf8,
  0xf5cbeb6d6015c595, 0x905415b525a73b99, 0xa0a43c7ae609f180, 0xf137dacf11812645, 0x06a9dd3ee5c61409,
  0xb8e1d8335e1fe659, 0x0f104dea3a1f6c31, 0x7f98d022847242ac, 0xf177dc9400dc3e05, 0x9684724432bb8bdd,
  0xfd01cf09b7dc5421, 0x855998b9cbdbb21f, 0xa90760ffe22c9305, 0x7d096375c5f54635, 0x8488bee3441e78b1,
  0xbbb77fa8f84bf10d, 0xcdaf933c5dcdae30, 0x227a8f2bc0929dad, 0x4c56a7bd47c1b307, 0xe384e1b875f62d31,
  0xc70c752135f4b632, 0x9bb6df46801ceaed, 0x8defb1aaf1b1d7b1, 0x77bb380e3b169828, 0x70d51b044c8e1bd9,
  0xf33e8e6656659ef7, 0x073241b5e5caad67, 0xfab39d454aa35d64, 0x4c9ae0404e576a96, 0x2bcba6255aba5fd3,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x88c5fcdb61098edf, 0x2a73f505d8dc79b2,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9,
  0x000003aea6dbae80,
};

// m8515_swio12_noled
static const uint64_t ur_m8515_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x0ada93ba0bd04d64, 0xcff75304f8c0482a, 0x96e82901ebfebc3b, 0x956075ffd47884ef, 0x580b7ba63d7e48e3,
  0xaf173b41f464d1cc, 0xad4ac27b71cb1823, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xb1bd7d34c9ace576,
  0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0x6cf5b8ab7fbd5516, 0xfcfec376ca2317f3,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x02a41d18ae9e4afd,
};

// m8515_swio12_noled_pr
static const uint64_t ur_m8515_swio11_noled_pr[] = {
  0x0b777743d7d8ad4e, 0xdaab91480225713a, 0x77afd8d05b04f05d, 0x0e2266c4767b53dc, 0xa875a6edc4e82cd6,
  0x774c4dc12b68cf31, 0x609f180905415b52, 0x20dbffeea473e63e, 0x4d7a8e0a1df2dbdd, 0x29b6fcbe8e395606,
  0xcb5d188a731602cb, 0x500ffd9823af47ce, 0x9f740f2cf6fa4279, 0x4073241b5e5caad5, 0xfabb39d454aa35d6,
  0xd7d34c9ace576a96, 0xd5688af2e9895b1b, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x5b8ab7fbd5516986,
  0x5c1e6ca2317f36cf, 0x81db43459d3e2e4d, 0xca1854e7ea75663c, 0xf22678b9c65f989f, 0xc2b93f1cf7ff04d0,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000001f26bb39f5e,
};

// m8515_swio12_noled_pr_u4
static const uint64_t ur_m8515_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8ad4e, 0xddaab914f4b12d48, 0x98e9a0dc48c227ad, 0x71c7c7fc5f07f1fb, 0xc99ecfddd482fe87,
  0x9dd3137049046636, 0x9827c602415056d4, 0x5203d7fdd48e7fba, 0xebffa8f109df2dd0, 0xf74c7afc91c72ac0,
  0x7683e8c9a398b016, 0x84f6e39630475e2e, 0x0e64836bcb955a95, 0x57673a8a9546bac8, 0xfa699359caed52df,
  0xad115e5d312b637a, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x7156ff7aaa2d30ca, 0x83cd94462fe6d9eb,
  0x076d0d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0xf3ebcf257ee68665, 0x00000000001f2659,
};

// m8515_swio12_noled_pr_ee
static const uint64_t ur_m8515_swio11_noled_pr_ee[] = {
  0x7b793777777b1762, 0xb4eed55f85d68891, 0x69ed0bddb6ebfc49, 0xdbc8a671fd53763c, 0x67ef17b2020da08b,
  0xda93bb4cd19fd347, 0x1ad304f8c0482a0a, 0xb7e9069bff75239f, 0x3ea3cadc9cd56b47, 0x15c06f51f06cc1ce,
  0xe1386e1d7d8b4ddf, 0x5133484d7d2d8cb8, 0xa3c8a73ab4bedf5c, 0xd56ba1d7aea6ecf7, 0x0e3b169dc3464d58,
  0xbefadc37b2e1cb38, 0x9920daf2e556ab86, 0xd9cea2a551aeb203, 0x9a64d672bb54b7d5, 0x4457974c4ad8debe,
  0xe18a6f59de5cf6ab, 0x2914085a5aff11a9, 0x17f36d3d0ea9c09c, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x00a7c54ee7d79e4a,
};

// m8515_swio12_noled_pr_ee_u4
static const uint64_t ur_m8515_swio11_noled_pr_ee_u4[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0x527755f33e83658a, 0x06609f180905415b, 0x7d20d9dfffceb3e7, 0xd47959759aad68cc, 0xb387ea3e0d983ea3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x1fc873ab4b9455c6, 0xd56ba1d79d376401, 0x071d8b4def47bdd8,
  0x823f5b86f65b2f9c, 0xb955a8044f73ca8d, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0x12b637afa699359c,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xfe6d9eb7156ff7aa, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x09d7085a9c8cf257,
};

// m8515_swio12_noled_pr_ce
static const uint64_t ur_m8515_swio11_noled_pr_ce[] = {
  0xad5b777777b15a91, 0xa3bb55722985448d, 0x9ee2fda13778710d, 0xda08c9bd3b1fb6c1, 0xbb64168f1fba6d6a,
  0x56d49dd68bd3aa2c, 0xf9759827c6024150, 0xacdd483e77fba91c, 0x1f9e005838958eff, 0xac984e7736bffc0d,
  0xacff51d7c9ee580b, 0xb016449ba38e5581, 0x7a3e765ae8c45398, 0xd213ca807feccf1d, 0xb955ab3ee81e5add,
  0x546bac80e64836bc, 0xaed52df57673a8a9, 0x12b637afa699359c, 0xf5d73daad115e5d3, 0x77536294f0d3bc77,
  0xa2d30ca7a1d53810, 0xfcdb3d6cc76ff7aa, 0x8f38b93571b288c5, 0x3f75663c81db4345, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0xb7538539f5e792bf, 0x0000000000000000,
};

// m8515_swio12_noled_pr_ce_u4
static const uint64_t ur_m8515_swio11_noled_pr_ce_u4[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0x6d49dd6c473960a7, 0xe9b9827c60241505, 0xf754832b7fff3acf, 0xe78016b49812e2fa, 0xbf10d8488bee3441,
  0xcdafd66c87fa8f84, 0xf27b9633f5933c5d, 0xe8e395606b3fd475, 0xba3114e62c059126, 0x1ffb33c75e8f9d96,
  0xba0796b77484f2a0, 0x39920daf2e556acf, 0x5d9cea2a551aeb20, 0xe9a64d672bb54b7d, 0xb4457974c4ad8deb,
  0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0x1e6ca2317f36cf5b, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x4e46792bf734332c, 0x000000001baf756d,
};

// m8515_swio12_noled_pr_ee_ce
static const uint64_t ur_m8515_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0xe609f180905415b5, 0x48066ffff9d67d36, 0xd690c7ceffaa32eb, 0xe6d7a4a672fcf002,
  0x794ed6563df309ce, 0xe0d983d2bd4795c8, 0xfb1698a62b74bea3, 0xfa5b1971c270dc3a, 0x0e7576e28a3a909a,
  0x363af3a6ec8023f9, 0x62d37bd1ef76355e, 0xc8e1bd96cbe701c7, 0xb52cc9ee7951b044, 0x75901cc906d7972a,
  0xa5beaece75152a8d, 0xc6f5f4d326b395da, 0xe7b55a22bcba6256, 0x6c529e1a778efeba, 0x6194f43aa7020eea,
  0x67ad98edfef5545a, 0x1726ae365118bf9b, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0x45f29c8cf257ee68, 0x00000000000014d3,
};

// m8515_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m8515_swio11_noled_pr_ee_ce_u4[] = {
  0x856eeeed173e306a, 0xddaabfa9c4e892d1, 0xd295ad2c1982fcc5, 0x0015bb831c57194e, 0xc8f250b2d9eb4615,
  0xed57e4c3ac84302c, 0x13e30120a82b6a4e, 0x56fffb1a1e7c524c, 0xddaddc5f547a6e90, 0x445f71a20f3c00b9,
  0x164fd47c25f886c2, 0x6f7ccf17736bbb76, 0x5ea3cae43ca76b73, 0x15ba5f51f06cc1e9, 0xe1386e1d7d8b4c53,
  0x451d484d7d2d8cb8, 0x764011fc873abb71, 0xf7bb1aaf1b1d79d3, 0x65f380e3b169bde8, 0x3ca8d8226470decb,
  0x836bcb955a9664f7, 0x3a8a9546bac80e64, 0x9359caed52df5767, 0x5e5d312b637afa69, 0x3bc77f5d73daad11,
  0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x288c5fcdb3d6cc76, 0x1a2c6f8b9357079b, 0x39fa9d598f20669f,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000027e138b1e1dc,
};

// m8515_swio12_noled_hw             m8535_swio11_noled_hw             m8535_swio12_noled_hw
static const uint64_t ur_m8515_swio11_noled_hw[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x0ada93ba0bd04d64, 0xcff75304f8c0482a, 0xf2dd05203d7ff0e3, 0x72ac0ebffa8f109d, 0x8b016f74c7afc91c,
  0x75e2e7683e8c9a39, 0x55a9584f6e396304, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2, 0x9f9fd86ed94462fe,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x000238875453c95f,
};

// m8515_swio12_noled_ee_hw          m8535_swio11_noled_ee_hw          m8535_swio12_noled_ee_hw
static const uint64_t ur_m8515_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0x2b6a4eebd69c5bf6, 0x7ce0cc13e30120a8, 0xa331f483677fd0a6, 0xfa8f51e565d66ab5, 0xef8ace1fa8f83660,
  0x5c709c370ebec5a6, 0x571ac9a426be96c6, 0x90047f21cead2e51, 0xf76355ae875e74dd, 0xbe701c762d37bd1e,
  0x2a3608fd6e1bd96c, 0xdaf2e556a0113dcf, 0xa2a551aeb2039920, 0xd672bb54b7d5d9ce, 0x974c4ad8debe9a64,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x118bf9b67adc55bf, 0x54e7ea0bb1b8f365,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x00000005bfdf0417,
};

// m8515_swio12_noled_ce_hw          m8535_swio11_noled_ce_hw          m8535_swio12_noled_ce_hw
static const uint64_t ur_m8515_swio11_noled_ce_hw[] = {
  0x6cfddddda2432493, 0x776aaf0887ee2542, 0x6a2ee933e3ec1efc, 0xcff5e35c19b20d4f, 0x3b542da5e15bb426,
  0x5415b527743720ad, 0x533fa6e609f18090, 0x717d7baa4195bfe8, 0xc6883cf127212c09, 0x51f097e21b09117d,
  0x678bb9b5f1bbb07f, 0xfa8ebe4f72c67eb2, 0xb224dd1c72ac0d67, 0xf3b2d746229cc580, 0x9e5403ff6678ebd1,
  0xad59f740f2d6ee90, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xb1bd7d34c9ace576, 0xb9ed5688af2e9895,
  0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0xd9eb663b7fbd5516, 0x2ec6e3cd94462fe6, 0xbc3def2861539fa8,
  0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xacd982205f4f257e,
  0x0000000000000003,
};

/*
 * m8515_swio11_noled_ee_ce_u4_hw    m8515_swio12_noled_ee_ce_hw       m8515_swio12_noled_ee_ce_u4_hw
 * m8535_swio11_noled_ee_ce_hw       m8535_swio11_noled_ee_ce_u4_hw    m8535_swio12_noled_ee_ce_hw
 * m8535_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_swio11_noled_ee_ce_hw[] = {
  0x30addddda243304a, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xb52776c5d47f500c, 0x292609f180905415, 0xd37482b7ffe8533e, 0xc49c84ad6ee2faa3, 0x886c2445f71a20f3,
  0xb8000dbbfd47c25f, 0x76b736f7ccf17736, 0xcc1e95ea3cae43ca, 0xb4c5315ba5f51f06, 0xd8cb8e1386e1d7d8,
  0xabb71451d484d7d2, 0xd79d3764011fc873, 0x9bde8f7bb1aaf1b1, 0x0decb65f380e3b16, 0x664f73ca8d822647,
  0x80e64836bcb955a9, 0xf57673a8a9546bac, 0xafa699359caed52d, 0xaad115e5d312b637, 0x94f0d3bc77f5d73d,
  0xa7a1d53810775362, 0x6cc76ff7aaa2d30c, 0xdc79b288c5fcdb3d, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x04d60be9e4afdcd0, 0x0000000000000501,
};

// m8515_swio12_lednop
static const uint64_t ur_m8515_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x415056d49dd85eb4, 0xc3bcfc069827c602, 0x1df2dd05200f7feb, 0x1c72ac0ebffa8f92, 0x398b016f74da5263,
  0x823af173b08a8fa4, 0xb955a95982f71cb1, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0xf4bfa69935c0809c,
  0x7b55a22bcba62572, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0xbf9b69e8754e0517, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00001522e0c574f2,
};

// m8515_swio12_lednop_pr
static const uint64_t ur_m8515_swio11_lednop_pr[] = {
  0x05bbbbba83d8bf82, 0xdaab914f1f12b89d, 0x4dedf987db04f05d, 0xc1c5001332f764f5, 0xe17bafddb89d059a,
  0x3bab8c489bb83763, 0x304f8c0482a0ada9, 0x9047bff75239f5f7, 0x26bd47400ef96dee, 0xca68f7a5471cab03,
  0xb4428c6f9cc580b2, 0x5403ff6608ebd1f3, 0xbeb703cb3db117a4, 0xc80e64836bcb955a, 0xdf57673a8a9546ba,
  0x69935c0809caed52, 0x22bcba62572f4bfa, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0xb288c5fcdb1922ad, 0x0d165abcb9357079, 0x539fa9d598f2076d, 0xd0f22678138d2861, 0x25c33d30ae4fc07c,
  0xcb0e9296cf8138cb, 0x04e7d79e4afdcd0c, 0x0000000000007c9a,
};

// m8515_swio12_lednop_pr_u4
static const uint64_t ur_m8515_swio11_lednop_pr_u4[] = {
  0x2ffbbbbb45d8b562, 0xeed55c8a56912d48, 0xf1fb87c6d06113d6, 0x43b8e3da1377d43d, 0x1db6338feeea417f,
  0xb6a4eefd3837855c, 0xe034c13e30120a82, 0xba0a401effdd48e7, 0x581d7ff51f243be5, 0x02dee9b4a4c638e5,
  0xe2e761151f487316, 0x52b305ee39630475, 0x5901cc906d7972ab, 0x5beaece75152a8d7, 0x4d326b8101395daa,
  0x4457974c4ae5e97f, 0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0xd3d0ea9c0a2fa281, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xa6839f5e792bf734, 0x00000000000007c9,
};

// m8515_swio12_lednop_pr_ee
static const uint64_t ur_m8515_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0xc13e30120a82b6a4, 0x4035bfff9d67d2d4, 0xf2b60b355ad198fa, 0x0fd47c1b307d47a8,
  0x1b875f62d377c565, 0xd2135f4b632e384e, 0xb8e756974acb8d64, 0xd743af3a6edd4239, 0x3b169fc88e32b1aa,
  0x7eb70decb65f380e, 0xab500ba427951b04, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x7f4d326b8101395d,
  0xab4457974c4ae5e9, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x55bfdeaa8b48edcf, 0x0f365118bf9b6324,
  0xfca1a2ce9f1726ae, 0x0c2a73f53ab31e40, 0x133c5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00009d7c62a7233c,
};

// m8515_swio12_lednop_pr_ee_u4
static const uint64_t ur_m8515_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x304f8c0482a0ada9, 0x9069bfffe759f1ad, 0x3cace1cd56b47b7e, 0x87f51f06cc1ce3ea,
  0x86e1d7d8b4ddf15c, 0x3484d7d2d8cb8e13, 0x4273ab4bd4a5c513, 0x5d0ebd753769c51c, 0xd8b4d6ba3116c6ab,
  0xd6e1bd970e59c071, 0x41b5e5caad571d27, 0x9d454aa35d640732, 0x0404e576a96fabb3, 0x312b97a5fd34c9ae,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xfe6d8c9156ff7aaa, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x013ae59a9c8cf257,
};

// m8515_swio12_lednop_pr_ce
static const uint64_t ur_m8515_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8bf82, 0xd1ddaab914412246, 0xdec33df169143886, 0x6d0464f0a7a65c4f, 0x1b0666c02fdd36b5,
  0x56d49dd5c62448fc, 0xfb059827c6024150, 0xacdd480e1ffba91c, 0x7f9e00583921ceff, 0xb26139dcdae9b73b,
  0x67fa8f2fa7b9602e, 0x80a654e31c72ac0d, 0xd1f3b4428c6f9cc5, 0x17a45403ff6678eb, 0xe556afadc0f2d6e1,
  0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0xd2fe9a64d7020272, 0xed5688af2e9895cb, 0x4b5f3a03cdedaeb9,
  0x9e8754e0421520b9, 0x863b7fbd551691db, 0x9ab8d94462fe6d8c, 0x1e40eda1a2c79c5c, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x9cfaf3c95fb9a199, 0x00000000000b75d3,
};

// m8515_swio12_lednop_pr_ce_u4
static const uint64_t ur_m8515_swio11_lednop_pr_ce_u4[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0xb6a4ee8f62d51c63, 0xe394c13e30120a82, 0x7baa416ebfff9d67, 0xf3c00b5a4df7717d, 0x5f886c2445f71a20,
  0xe6d7b9124afd47c2, 0x7d3dcb19fac99e2e, 0x18e395606b3fd479, 0x14637ce62c0532a7, 0x1ffb33c75e8f9da2,
  0x6e0796b708bd22a0, 0x1cc906d7972ab57d, 0xaece75152a8d7590, 0x26b8101395daa5be, 0x7974c4ae5e97f4d3,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x2317f36c6431dbfd, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00006eba6814e467,
};

// m8515_swio12_lednop_pr_ee_ce
static const uint64_t ur_m8515_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0x2609f180905415b5, 0xd200d1fffceb3eff, 0x5ad27fc3bfea8cba, 0xb9b5f2a1a0ff9e00,
  0x2e53b5958f7cc273, 0xf83660f4af51e565, 0xbec5a6298acbafa8, 0xbe96c65c709c370e, 0xe39d5db92b0ea426,
  0x8d8ebce9bb7508e6, 0xd8b4fe4471958d57, 0x32386f65b2f9c071, 0xad4b3e909e546c11, 0x5d64073241b5e5ca,
  0xa96fabb39d454aa3, 0xfd34c9ae0404e576, 0xad115e5d312b97a5, 0xbe74079bdb5d73da, 0x0ea9c0842a417296,
  0x76ff7aaa2d23b73d, 0x71b288c5fcdb190c, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97,
  0xe46792bf734332c3, 0x000000014d31e5d4,
};

// m8515_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m8515_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c7a31, 0xbb557f53b13125a3, 0xad3b6859bb05f98b, 0x002b713ae0d337ad, 0x33976165b3d68c2a,
  0xd44fc3efb40f8dd3, 0x27c602415056d49d, 0x87dfec6879fec198, 0x6d77717d51e9ba40, 0x117dc6883cf002e7,
  0xfbbf51f097e21b09, 0x7be678bb9b5f87f8, 0xf51e5652e53b5b9b, 0xacbafa8f83660f4a, 0x09c370ebec5a6298,
  0xb0ea426be96c65c7, 0xb7508e6e39d5db92, 0x1958d578d8ebce9b, 0x2f9c071d8b4fe447, 0xe546c1132386f65b,
  0x1b5e5caad4b3e909, 0xd454aa35d6407324, 0x404e576a96fabb39, 0x12b97a5fd34c9ae0, 0xb5d73daad115e5d3,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x8b9357079b288c5f, 0x598f20669f1a2c6f,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xe47d71e1dcf257ee, 0x0000000000000027,
};

// m8515_swio12_lednop_hw            m8535_swio11_lednop_hw            m8535_swio12_lednop_hw
static const uint64_t ur_m8515_swio11_lednop_hw[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x415056d49dd85eb4, 0x0e3cfc069827c602, 0x43be5ba0a401efff, 0x638e5581d7ff51f2, 0x8731602dee9b4a4c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x5e97f4d326b81013,
  0xcf6ab4457974c4ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x17f36d3d0ea9c0a2, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000011c4b8a29e,
};

// m8515_swio12_lednop_ee_hw         m8535_swio11_lednop_ee_hw         m8535_swio12_lednop_ee_hw
static const uint64_t ur_m8515_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0x56d49dd0149334e7, 0xfa5a9827c6024150, 0x4663e900d6ffa14c, 0xf51ea3cad82cd56b, 0xdf15943f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x7508e6e39d5a5d2b, 0xcac6ab5d0ebce9bb, 0x7ce038ec5a7f2238,
  0x546c11fadc37b2d9, 0xb5e5caad402e909e, 0x454aa35d64073241, 0x04e576a96fabb39d, 0x2b97a5fd34c9ae04,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6d8c9156ff7aaa2d, 0x82ec6e3cd94462fe,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x016ffe4985f4f257,
};

// m8515_swio12_lednop_ce_hw         m8535_swio11_lednop_ce_hw         m8535_swio12_lednop_ce_hw
static const uint64_t ur_m8515_swio11_lednop_ce_hw[] = {
  0x367eeeeed121be4a, 0x3bb5578441a712a1, 0xa47f746db1160f7e, 0xcff5e35cfd833b27, 0xabe081eba09bb426,
  0x2a0ada93ba528eb6, 0x299f8e5304f8c048, 0xb8bebdd520b75ff4, 0xe3441e78939096fb, 0xa8f84bf10d8488be,
  0x33c5dcdae6b730df, 0xfa8f2fa7b9633f59, 0xa654e31c72ac0d67, 0xf3b4428c6f9cc580, 0xa45403ff6678ebd1,
  0x56afadc0f2d6e117, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xfe9a64d7020272bb, 0x5688af2e9895cbd2,
  0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x3cd94462fe6d8c86, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x4985f4f257ee6866,
  0x00000000003acdbe,
};

/*
 * m8515_swio11_lednop_ee_ce_u4_hw   m8515_swio12_lednop_ee_ce_hw      m8515_swio12_lednop_ee_ce_u4_hw
 * m8535_swio11_lednop_ee_ce_hw      m8535_swio11_lednop_ee_ce_u4_hw   m8535_swio12_lednop_ee_ce_hw
 * m8535_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8515_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2436812, 0xbbb557f53b13125a, 0xaf5b76859bb05f98, 0x8540056e275c1a67, 0xba6672ec2cb67ad1,
  0x6d49dddfb0b6a6b9, 0xec19827c60241505, 0xe9ba4087dff4299f, 0xe24e424d77717d51, 0xc4361222fb8d1079,
  0xbf20eaebfea3e12f, 0x76b736f7ccf17736, 0xcc1e95ea3caca5ca, 0xb4c5315975f51f06, 0xd8cb8e1386e1d7d8,
  0xabb72561d484d7d2, 0xd79d376ea11cdc73, 0x9fc88e32b1aaf1b1, 0x0decb65f380e3b16, 0x67d213ca8d822647,
  0x80e64836bcb955a9, 0xf57673a8a9546bac, 0x9935c0809caed52d, 0x2bcba62572f4bfa6, 0x80f37b6bae7b55a2,
  0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x5118bf9b63218edf, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x00000000a0219381,
};

// m8515_swio11_dual_pr              m8515_swio12_dual                 m8515_swio12_dual_pr
static const uint64_t ur_m8515_swio11_dual[] = {
  0x2106eeeeef3e1000, 0xbf354cad15f3f6b2, 0x6c6ad9774ccfde2f, 0x641719da014cccb5, 0xd267da765bb64420,
  0xa9b7756abbe8bf66, 0xc13e30120a82b6a4, 0x11812645a0a42924, 0xe5c61409f137dacf, 0x628bf994d6a9dd3e,
  0xd478f7b07f0e0bee, 0x22847242ac0fba9b, 0xb600dc3e057f98d0, 0x910caee2f77c5df6, 0xf09ad68a8432d08c,
  0xc5ce5edcbaffd01c, 0xa57fa032982c2acc, 0xea3c8877cb0f9482, 0x54aeea38e558188b, 0x446f79cc580bac53,
  0xffd9823af01a9d81, 0x03cb3dbc8b07d500, 0x7f33e8e665665217, 0x4073241b5e5caad6, 0xfabb39d454aa35d6,
  0x4c9ae0404e576a96, 0x15e5d312b97a5fd3, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea,
  0x94462fe6d8c9156f, 0x1a2c79c5c9ab83cd, 0xae4fdd598f20669f, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0003104fae3c3b9e,
};

// m8515_swio12_dual_pr_u4
static const uint64_t ur_m8515_swio11_dual_pr_u4[] = {
  0xb4bddddda24343ee, 0xfcd532b40dcfda85, 0x8f6dda6647cd8412, 0xda5a9ba8bb62519e, 0xda780534e29dbb42,
  0xa9363ddd5df91210, 0x3f304f8c0482a0ad, 0x6788c09322d0523a, 0x9f72e30a04f89bed, 0x3dcc63ff32ec24ee,
  0x537a8f226c36f9c0, 0x1a04508e485581e9, 0xbcc7c01b87c0aff3, 0x16b22195dc5eef8b, 0x039e1313d150865a,
  0x5998b9cbdbc87ffa, 0x90406ff993930585, 0x4d7a8f2f8ef96dee, 0xca69117c8e395606, 0xda3247bd9cc580b2,
  0xd06e39630475e8f9, 0x59fccfa399959959, 0x5901cc906d7972ab, 0x5beaece75152a8d7, 0x4d326b8101395daa,
  0x4457974c4ae5e97f, 0x5380b9d01e5cf6ab, 0x085a561130bd4b5e, 0x6d3d0ea9c0d8ff14, 0x37c371e6ca2317f3,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x0a49cf82b3cbcf25,
};

// m8515_swio12_dual_pr_ee
static const uint64_t ur_m8515_swio11_dual_pr_ee[] = {
  0x8dd6eeee87ad0c86, 0xf9aa642f4d77ec52, 0x1f6ece241513919d, 0x471b0c806e727dee, 0xb88ebb11696528dd,
  0xeec6ecbebf31766e, 0x02415056d49f22ee, 0x91682902a89827c6, 0x027c4df6b3c46049, 0x997612774fb97185,
  0xb604e8e096a60b5f, 0x90ab03d3737a8e35, 0x0f815fe63408a11c, 0x717bbe2efe6f8037, 0x8a8432d05f688657,
  0x74dbffa039e1307b, 0x7260b0ab3317397b, 0xad1945a4143fff32, 0x06657a8f2bdf7355, 0x377c572bbd47c1b3,
  0x32e384e1b875f62d, 0xaae04fcd2135f4b6, 0xb1948f4a39d5a5cb, 0x98d8d56ba1d7b19b, 0xbb380e3b169cbe46,
  0x2a3608fd6e1bd977, 0x7d1cccacc0283f6b, 0x64836bcb955acfe6, 0x673a8a9546bac80e, 0x5c0809caed52df57,
  0xba62572f4bfa6993, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0xc5fcdb1922adfef5,
  0x1a2ce9f0dc79b288, 0xa73f53ab337f0777, 0xc5ce32fcc4fe50c2, 0xf8e7bff826879133, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x0ac8812cf2f3c95f,
};

// m8515_swio12_dual_pr_ee_u4
static const uint64_t ur_m8515_swio11_dual_pr_ee_u4[] = {
  0x9d89ddddda2432db, 0xbf354c85e55efd99, 0x4d7dd3b4d3a0dc71, 0xb13c94a56a7d96ad, 0x1fb9c3aec45a5b33,
  0x3771c115603e33a5, 0x3e30120a82b6a4ae, 0x024c8b41481544c1, 0x8c2813e26fb59e23, 0x3afccbb093ba7dcb,
  0x7d37b08ac701ad31, 0x08e485581e569bd4, 0x01b87c0aff31a045, 0x195dc5eef8bbe928, 0x69122a10cb423da2,
  0x72f6e9b7ff4073c2, 0xfe64e4c16156662e, 0xb355ad1bf948287f, 0x83660c27fa8f2b60, 0xec5a6ef8ae43fa8f,
  0xe96c65c709c370eb, 0x4b9455c0719a426b, 0x29a769c51cdc73ab, 0xae8e32b1aad743af, 0xecb726701c762d35,
  0xe66566b8e93eb70d, 0x1b5e5caad67f33e8, 0xd454aa35d6407324, 0x404e576a96fabb39, 0x12b97a5fd34c9ae0,
  0xfad73daad115e5d3, 0xbd4b0b29b1674079, 0x028be8a042d3573a, 0x288c5fcdb4f43aa7, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xcf2f3c95fb9a1996, 0x00000000005642ce,
};

// m8515_swio12_dual_pr_ce
static const uint64_t ur_m8515_swio11_dual_pr_ce[] = {
  0x989dddddde7cbd5b, 0xfcd532b42d4fdbc8, 0x77ef72741ba8b416, 0x2e5d9cefb5618abf, 0x76cf87b6ef91312d,
  0x3377777ee02d683d, 0x13e30120a82b6a48, 0x3024c8b41480004c, 0xb8c2813e26fb59e2, 0x5d7f329ad53ba7dc,
  0x1dc9ec3e71c243cc, 0x4239215606bee6f5, 0x006e1f02bfcc6811, 0x8657717bbe2effd7, 0x996bc54219686488,
  0xce5edf7dffd01cf0, 0xffa032982c2accc5, 0x721ceffacdd480e1, 0xb5f4d3fcfcf002e7, 0x4f72c05d64c273b9,
  0x38e5581acff51e5f, 0x18df398b014ca9c6, 0xe58cf1d7a3e76885, 0x3e8e665663a83fb8, 0x3241b5e5caad67f3,
  0xb39d454aa35d6407, 0xae0404e576a96fab, 0x5d312b97a5fd34c9, 0x9bdb5d73daad115e, 0x842a417296be7407,
  0xaa2d23b73d0ea9c0, 0xc5fcdb190c76ff7a, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x39ebc6c78773c95f,
};

// m8515_swio12_dual_pr_ce_u4
static const uint64_t ur_m8515_swio11_dual_pr_ce_u4[] = {
  0x1664777776890c86, 0x77e6a9900557bf68, 0xb5dfba829eb09197, 0x47c894e75bdfb2d5, 0xc50b2014fbdd8166,
  0x2695dddd8dd9683c, 0x304f8c0482a0ada9, 0x11812645a0a47ad5, 0xe5c61409f137dacf, 0x98e0fe65d849dd3e,
  0xea3dbad86ce38472, 0x22847242ac0f024d, 0x5000dc3e057f98d0, 0xd10caee2f77c5df9, 0xc2609f150865a01e,
  0x2e72f6f63fff4073, 0x5bfe64e4c1615666, 0x251cae2fa98fa403, 0x222fb8d1079e24e4, 0xe8ffea3e12fc4361,
  0x789f99e2ee6d7672, 0x0ee1fa8fd44f72c6, 0x1602c0609f1c72ac, 0xbc06a760511bde73, 0x22c1f5403ff6678e,
  0x66566521703cb5bb, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x04e576a96fabb39d, 0x2b97a5fd34c9ae04,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0x8df0dc79b288c5fc,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x001a4902acf2f3c9,
};

// m8515_swio12_dual_pr_ee_ce
static const uint64_t ur_m8515_swio11_dual_pr_ee_ce[] = {
  0x695f6eeeeea1a5fb, 0x5f9aa60d7c897edf, 0x99bddb178d5619eb, 0xc6e93938593689fb, 0x1f95df8ecc4fda57,
  0x4b235d54625597d7, 0x0120a82b6a499177, 0x22d0520e49cc13e3, 0x04f89bed6788c093, 0x32ec24ee9f72e30a,
  0x6c34d1c1fe4d883f, 0x42ac0ec7e6f51c34, 0x3e057f98d0228472, 0x8bddf1778c2e00dc, 0x54219683054432bb,
  0xf60ffd01cf09a43c, 0x9305855998b9cbdb, 0xa8f02520b5bff993, 0xfcf1272129db3bfe, 0x4c273b9b5c112601,
  0x1e5795a53b5958be, 0x027a8f83660fbaf5, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x948f4a39d5db8ba8,
  0xb1aaf1b1d7b19bb1, 0x701c762d397c8d31, 0x3608991c37b2ef76, 0x1cccaccb383f6b2a, 0x836bcb955acfe67d,
  0x3a8a9546bac80e64, 0x0809caed52df5767, 0x62572f4bfa69935c, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37,
  0x5a476e7a1d538108, 0xf9b63218edfef554, 0x163ce1b8f365118b, 0xe4fdd599bf83bb8d, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x001304d3967979e4,
};

// m8515_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m8515_swio11_dual_pr_ee_ce_u4[] = {
  0xeddddda26d3e421f, 0x530b8f5edfb75db3, 0xd51fa2fd9538afcd, 0x1fefaf87c3c3d964, 0xbb83d76cf8ed157f,
  0x50809793abde4495, 0x4b4e7717d60b68d7, 0xcc13e30120a82b6a, 0x11812645a0a458f5, 0xe5c61409f137dacf,
  0xaf0ff32bf689dd3e, 0x1d0fb618dc70ec19, 0x42392156078826f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbde01,
  0xdbee2a10cb423922, 0xe5edee47fe80e784, 0xdecc5982c2accc5c, 0xe2faa3383480d6ff, 0x1a20f3c49c073f5e,
  0x47c25f886c2445f7, 0xe2ee6d77806231fd, 0x5e5694ed6e6d7c99, 0xea3e0d983eebd479, 0xc3afb1698a62bc09,
  0x09afa5b1971c270d, 0x3d28e7576e2ea3a9, 0xabc6c75ec66ec652, 0x71d8b4e5f234c6c6, 0x226470decbbdd9c0,
  0x32b32ce0fdaca8d8, 0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0x272bb54b7d5d9cea, 0x5cbd2fe9a64d7020,
  0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xd8c863b7fbd55169, 0xc9ab83cd94462fe6,
  0x6fe0dfa08d1637c5, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xa038bb53c95fb9a1, 0x0000000000010009,
};

// m8515_swio12_dual_hw              m8535_swio11_dual_hw              m8535_swio12_dual_hw
static const uint64_t ur_m8515_swio11_dual_hw[] = {
  0x106eeeed121b9a7c, 0xf354cad15f3f6b22, 0x6add9774ccfde2fb, 0x0c82e33b402999e9, 0xba4cfb4ecb76c884,
  0x49536ee42119cdbe, 0x49827c602415056d, 0x9e23024c8b414852, 0x7dcb8c2813e26fb5, 0xf73145fccbb093ba,
  0x4dea3c7bd83f8705, 0x68114239215607dd, 0xfb5b006e1f02bfcc, 0x46488657717bbe2e, 0x0e784d6b45421968,
  0x6662e72f6e5d7fe8, 0x82a57ff90fcc1615, 0x8bea3c8877cb0f94, 0x5354aeea38e55818, 0x81446f79cc580bac,
  0x00ffd9823af01a9d, 0x1703cb3dbc8b07d5, 0xd67f33e8e6656652, 0xd64073241b5e5caa, 0x96fabb39d454aa35,
  0xd34c9ae0404e576a, 0xd115e5d312b97a5f, 0xe74079bdb5d73daa, 0xea9c0842a417296b, 0x6ff7aaa2d23b73d0,
  0xcd94462fe6d8c915, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0xb05f4f257ee68665, 0x00000000031baa02,
};

// m8515_swio12_dual_ee_hw           m8535_swio11_dual_ee_hw           m8535_swio12_dual_ee_hw
static const uint64_t ur_m8515_swio11_dual_ee_hw[] = {
  0xa375bbbbb4486f97, 0x7e6a990bd35dfb14, 0x87dbb3890544e467, 0x51c6c3201b9c9f7b, 0xae23aec45a594a37,
  0x2ee78233ad53ad9b, 0x7c602415056d49f2, 0x04991682902a8982, 0x185027c4df6b3c46, 0xb5f997612774fb97,
  0xe35b604e8e096a60, 0x11c90ab03d3737a8, 0x0370f815fe63408a, 0x657717bbe2efe6f8, 0x07b8a8432d05f688,
  0x97b74dbffa039e13, 0xfc87e60b0ab33173, 0x6ab5a328b48287ff, 0x3660ccaf51e57bee, 0xc5a6ef8ae577a8f8,
  0x96c65c709c370ebe, 0xb9755c09f9a426be, 0x33763291e9473ab4, 0xc8d31b1aad743af6, 0x2ef76701c762d397,
  0xed6546c11fadc37b, 0xfccfa39995980507, 0x01cc906d7972ab59, 0xeaece75152a8d759, 0x326b8101395daa5b,
  0x57974c4ae5e97f4d, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x5118bf9b632455bf,
  0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x7d3c95fb9a19961d, 0x0000000015da4081,
};

// m8515_swio12_dual_ce_hw           m8535_swio11_dual_ce_hw           m8535_swio12_dual_ce_hw
static const uint64_t ur_m8515_swio11_dual_ce_hw[] = {
  0x991ddddda2436f02, 0xf9aa640155efda05, 0x77eea0a7ac2465dd, 0xf22539d6f7ecb56d, 0xc2c8053ef7605991,
  0x9a5773f87cd7d166, 0xc13e30120a82b6a4, 0x460499168291eb54, 0x97185027c4df6b3c, 0x6383f997612774fb,
  0xa8f6eb61b38e11ca, 0x8a11c90ab03c0937, 0x400370f815fe6340, 0x4432bb8bddf177e5, 0x09827c542196807b,
  0xb9cbdbd8fffd01cf, 0xdffe43f305855998, 0x28e5717d4c7d201a, 0x117dc6883cf12721, 0x2a3f51f097e21b09,
  0xc4fccf17736bb37d, 0x770fd47ea27b9633, 0xb0160304f8e39560, 0xe0353b0288def398, 0x160faa01ffb33c75,
  0x32b3290b81e5add9, 0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0x272bb54b7d5d9cea, 0x5cbd2fe9a64d7020,
  0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xd8c863b7fbd55169, 0x2ec6e3cd94462fe6,
  0xbc3def2861539fa8, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x04dd60505f4f257e,
};

// m8515_swio12_dual_ee_ce_hw        m8535_swio11_dual_ee_ce_hw        m8535_swio12_dual_ee_ce_hw
static const uint64_t ur_m8515_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd435032, 0xbf354c1af912fdbe, 0x337bb62f1aac33d6, 0x8dd27270b26d13f7, 0x3f2bbf1d989fb4af,
  0xeeabdb47f7bb2fae, 0xc602415056d49322, 0x2645a0a41c939827, 0x1409f137dacf1181, 0x7e65d849dd3ee5c6,
  0x68d869a383fc9b10, 0xe485581d8fcdea38, 0xb87c0aff31a04508, 0x7717bbe2ef185c01, 0x78a8432d060a8865,
  0xb7ec1ffa039e1348, 0x87e60b0ab3317397, 0xfaa3c09482d6fffc, 0xcbf3c49c84a76cef, 0xbe4c273b9b5e9299,
  0xf51e5795a53b5958, 0xaf027a8f83660fba, 0x09c370ebec5a6298, 0xa8ea426be96c65c7, 0xb1948f4a39d5db8b,
  0x31b1aaf1b1d7b19b, 0x76701c762d397c8d, 0x2a3608991c37b2ef, 0x7d1cccaccb383f6b, 0x64836bcb955acfe6,
  0x673a8a9546bac80e, 0x5c0809caed52df57, 0xba62572f4bfa6993, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f,
  0x545a476e7a1d5381, 0x8bf9b63218edfef5, 0x727e7f61b8f36511, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0001134f4e05f4f2,
};

// m8515_swio12_dual_ee_ce_u4_hw     m8535_swio11_dual_ee_ce_u4_hw     m8535_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_swio11_dual_ee_ce_u4_hw[] = {
  0x3eddddda28d1bf5b, 0xd530b8f5edfb75db, 0xdd51fa2fd9538afc, 0x57f1fefaf87da3c3, 0x495bb83d76cf8ed1,
  0x601d9017793abde4, 0x5415b525a73b99bd, 0x522c7ae609f18090, 0x9bed6788c09322d0, 0x54ee9f72e30a04f8,
  0x70ec19af0ff32c83, 0x8826f51d0fb618dc, 0xcc68114239215607, 0xbbde01006e1f02bf, 0x423922195dc5eef8,
  0x80e784dbee2a10cb, 0xaccc5ce5edee47fe, 0x80d6fff1164982c2, 0x84bf5ee2faa33834, 0x445f71a20f3c58be,
  0xb82fd47c25f886c2, 0xb5f2678bb9b5fa9c, 0xaf51e5795a53b5b9, 0x8af027a8f83660fb, 0x709c370ebec5a629,
  0xba8ea426be96c65c, 0xbb1948f4a39d5db8, 0xd31b1aaf1b1d7b19, 0xf76701c762d397c8, 0xb2a3608991c37b2e,
  0x67d1cccaccb383f6, 0xe64836bcb955acfe, 0x7673a8a9546bac80, 0x35c0809caed52df5, 0xcba62572f4bfa699,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x18bf9b63218edfef, 0x4e7ea0bb1b8f3651,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000075d6d59bd017,
};

static const uint64_t ur_m8515_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x482a0ada93bb63d9, 0x78779fdbf304f8c0, 0x21df2dd2520ea3fd, 0x48e395607cf7a8ff, 0x01cc580b7ba6ea32,
  0x1823af173b0df47d, 0xe5caad4ac26b71cb, 0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0xad5ef5f4d326b395,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x9b6409156ff7aaa2, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x002a4facc574f257,
};

static const uint64_t ur_m8515_swio13_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a1718924, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beea44e82,
  0xd49dda668cc19a3b, 0xfc9827c602415056, 0x0fd2032bfdd48e7d, 0x81f41ea3cbe3be5a, 0x2cb298ca9c638e55,
  0x3e767bd1ef673160, 0x934a807fecc11d7a, 0x56aab540f2cf6ee1, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551,
  0x7afa699359caed52, 0xd5688af2e98956af, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x048ab7fbd5516986,
  0x57079b288c5fcdb2, 0x2076d0d1674f8b93, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0x30ae4fc73dffc134,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000001f2664e7d7,
};

static const uint64_t ur_m8515_swio13_noled_pr_u4[] = {
  0x7bb7777768bb1762, 0x9eb776aae450644a, 0x98ec2fd438912308, 0xfe877712ebeb4327, 0x3b8036dbc9bb3dc2,
  0x2b6a4eed33466b42, 0x7f6fcc13e30120a8, 0x2dd2520ea3fdd48e, 0x95607cf7a8ff21df, 0x580b7ba6ea3248e3,
  0xaf173b0df47d01cc, 0xad4ac26b71cb1823, 0x5d64073241b5e5ca, 0xbeaa6fb39d454aa3, 0xf5f4d326b395daa5,
  0xaad115e5d312ad5e, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0x09156ff7aaa2d30c, 0xae0f365118bf9b64,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x17cfaf3c95fb9a19, 0x000000000003e4c2,
};

static const uint64_t ur_m8515_swio13_noled_pr_ee[] = {
  0xf17bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xc5bc8a63afdc29a9, 0x9d0ccdd9b020da0b,
  0xada93bbe451d9898, 0xf383304f8c0482a0, 0x332a906cefffe759, 0x00f51e5695a6ab5a, 0xf8ad7dfa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x31463e1cead2e652, 0xb1aad743af5d4dd9, 0x380e3b169dac8fa0,
  0xc087fadc37b2e1cb, 0x01cc906d7972ab55, 0x9bece75152a8d759, 0x34c9ace576a96faa, 0x457974c4ab57bd7d,
  0x18a6f59de5cf6ab4, 0xf14085a5aff11a9e, 0x7f36d3d0ea9c08f2, 0x63ce2e4d5c6ca231, 0x4fdd598f207e50d1,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x53e6d7b53919e4af,
};

static const uint64_t ur_m8515_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0x49dd3b410e5d96aa, 0x69827c602415056d, 0x54837dffff3acfc5, 0xa8f2b74b355ad199, 0x7f3bd47c1b306807,
  0x4e1b875f62d377c5, 0x4cd2135f4b632e38, 0x6f79cead2f019714, 0xad743af5d4dd8144, 0x8ec5a79151dc3b1a,
  0xbeb70decb872ce03, 0x920daf2e556ab826, 0x9cea2a551aeb2039, 0x359caed52df5537d, 0x2e98956af7afa699,
  0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x88c5fcdb2048ab7f, 0xa2c6f8b9357079b2,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000275d22f53919,
};

static const uint64_t ur_m8515_swio13_noled_pr_ce[] = {
  0x307dddddddec53c3, 0x1b4776aae4509089, 0xc5fa6ef4bdf370e2, 0xab682ddf64da98db, 0x31c4d841331dd60f,
  0x415b527748fcbbb2, 0x73e52e609f180905, 0xfea0a52074bfeea4, 0x6dfe780160e7ce3b, 0xbac984e7736beed2,
  0x0c9ef51e6e9ee580, 0xc580bdd0291c72ac, 0x75e8f9d9ef47bd9c, 0xeb864d2a01ffb33c, 0xf2e556aab540f2d6,
  0xa551aeb2039920da, 0xed52df5537d9cea2, 0x56af7afa699359ca, 0xeb9ed5688af2e989, 0xa9b14a7869de3bfa,
  0x698653d0ea9c083b, 0x9b640863b7fbd551, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0xeadc7f3ebcf257ee, 0x0000000000000016,
};

static const uint64_t ur_m8515_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0x15b5277505272e9c, 0x3fb3a609f1809054, 0xd76fd2095dfffceb, 0x0f3c00b5a4cad717, 0x25f886c2445f71a2,
  0xee6d74a8b91fd47c, 0xcdd3dcb19fac99e2, 0x05238e558193dea3, 0x3de8f7b398b017ba, 0x403ff6678ebd1f3b,
  0x56a81e5add70c9a5, 0x4073241b5e5caad5, 0xa6fb39d454aa35d6, 0x4d326b395daa5bea, 0x115e5d312ad5ef5f,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x76ff7aaa2d30ca7a, 0xe6ca2317f36c810c, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xe46792bf734332c3, 0x00000000dd7ab294,
};

static const uint64_t ur_m8515_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0x6a4eebd69c452bed, 0x4d4c13e30120a82b, 0x4ba41ff3fff9d67f, 0x016b4963e77fd519, 0xe7736b9256547e78,
  0xce1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0x1d7d8b4c5315c87f, 0x4d7d2d8cb8e1386e, 0xe4873abb77ee1d48,
  0xaf1b1d79d376d291, 0xc762d34c51c1fb1a, 0x44c8e1bd96cbe701, 0x556a5993582d51b0, 0x1aeb2039920daf2e,
  0x2df5537d9cea2a55, 0xf7afa699359caed5, 0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0x40863b7fbd551698, 0x726ae365118bf9b6, 0xcc7903f2868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0x3fa9c8cf257ee686, 0x0000000000029a76,
};

static const uint64_t ur_m8515_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c92df, 0x2eed55fd4f274490, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf4130,
  0x3baa3e842af89b66, 0x304f8c0482a0ada9, 0x81aeffd8d0f3f8dd, 0xe77882e2faa3d9d4, 0x09117dc6883cf002,
  0x2e1fff51f097e21b, 0xcdbdf33c5dcdaeb8, 0x7afa8f2b38729dad, 0x4c5721fd47c1b306, 0xe384e1b875f62d31,
  0xdfb8752135f4b632, 0x4ddb4a47921ceaed, 0x4707ec6abc6c75e7, 0x5b2f9c071d8b4d31, 0x60b546c1132386f6,
  0x4836bcb955a9664d, 0x73a8a9546bac80e6, 0xd672bb54b7d54df6, 0xba6255abdebe9a64, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x462fe6d90218edfe, 0x1637c5c9ab83cd94, 0xfd4eacc790334f8d,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0013f36bd8f0ee79,
};

// m8535_swio13_noled_hw
static const uint64_t ur_m8515_swio13_noled_hw[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x482a0ada93bb63d9, 0xe1c79fdbf304f8c0, 0xe43be5ba4a41d47f, 0x491c72ac0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x55abdebe9a64d672,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xf36c8122adfef554, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0000238beba29e4a,
};

// m8535_swio13_noled_ee_hw
static const uint64_t ur_m8515_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0x2b6a4eeb4efb5bb2, 0x7c9d4c13e30120a8, 0xd1bf94822b7fd0a6, 0xc27fa8f2b297355a, 0xef8acbafa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0xb4a47921cead2ffb, 0x3f6355ae875e74dd, 0x7ce038ec5a698a38,
  0x546c11fadc37b2d9, 0x6bcb955a8044d60b, 0x8a9546bac80e6483, 0x2bb54b7d54df673a, 0x255abdebe9a64d67,
  0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x7f36c8122adfef55, 0xfd4176371e6ca231,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00005be01582fa79,
};

// m8535_swio13_noled_ce_hw
static const uint64_t ur_m8515_swio13_noled_ce_hw[] = {
  0x7bdddddda2431768, 0xf1ddaabc22433891, 0xbdb23bbb6dd7b07b, 0x7b3fd7f1fc5e6c63, 0x68f67ae34c90dd2f,
  0x82a0ada93ba6e8ed, 0x4299fd9d304f8c04, 0xd717d76fd2095dff, 0xdc6883cf127212ca, 0xf51f097e21b09117,
  0x2678bb9b5ff5cd6f, 0xf7a8f374f72c67eb, 0x05ee8148e3956064, 0x47cecf7a3dece62c, 0x3269500ffd99e3af,
  0x2ab555aa0796b75c, 0x8d75901cc906d797, 0x96faa9bece75152a, 0x7bd7d34c9ace576a, 0xf6ab4457974c4ab5,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x20431dbfdeaa8b4c, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x37c21f0be9e4afdc,
  0x00000000000000eb,
};

// m8515_swio13_noled_ee_ce_u4_hw    m8535_swio13_noled_ee_ce_hw       m8535_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m8515_swio13_noled_ee_ce_hw[] = {
  0x04dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0xeccec4ac10b2d9e8,
  0x56d49ddcfb403a89, 0xfc6e9827c6024150, 0x1ecea40d77ff4299, 0xcf127212c41717d5, 0x7e21b09117dc6883,
  0xb5f541e41ff51f09, 0x53b5b9b7be678bb9, 0x3660cf5f51e5670e, 0xc5a6298ae43fa8f8, 0x96c65c709c370ebe,
  0x9d5dbbf70ea426be, 0x8ebce9bb6948f243, 0x69a628e0fd8d578d, 0x70decb65f380e3b1, 0x2cc9ac16a8d82264,
  0x901cc906d7972ab5, 0xa9bece75152a8d75, 0xd34c9ace576a96fa, 0x4457974c4ab57bd7, 0xc34ef1dfd75cf6ab,
  0x8754e041dd4d8a53, 0x1dbfdeaa8b4c329e, 0x79b288c5fcdb2043, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa50be9e4afdcd0cc, 0x0000000000050165,
};

static const uint64_t ur_m8515_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x20a82b6a4ee82f41, 0xe1de7d7dcc13e301, 0x0ef96e929047bff5, 0xc71cab03e7bd475f, 0xce62c05bdd31eb10,
  0xc11d78b9db7b4770, 0x5caad4ac59fb8e58, 0xaa35d64073241b5e, 0xaa5beaa6fb39d454, 0x7f4d326b8101395d,
  0x55a22bcba6257249, 0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0x9b69e8754e04e7d1, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x001520e8c574f257,
};

static const uint64_t ur_m8515_swio13_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62491, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11dd489d05,
  0xa93bbf4e0d9fbb82, 0x95304f8c0482a0ad, 0x7e9018fff75239fa, 0x07d07a8fa51df2d0, 0x6594c63cf58e3956,
  0xf3b7c88e32398b01, 0xc35403ff6608ebd1, 0xb5815a07967b7bdd, 0x75901cc906d7972a, 0xfaa9bece75152a8d,
  0x4c9ae0404e576a96, 0x8af2e9895c925fd3, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0x288c5fcdb2ec8ab7, 0xd165abcb9357079b, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0x5c33d30ae4fc07cd,
  0xb0e9296cf8138cb2, 0xbe7d79e4afdcd0cc, 0x00000000001f26f5,
};

static const uint64_t ur_m8515_swio13_lednop_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0x5bbb55722835e253, 0xfb98efaff0b1844f, 0xfd0eee274bdf37f1, 0x98db266ebf767b85,
  0x5b52774c4dc12411, 0xebee609f18090541, 0xdd25208f7feea473, 0x5607cf7a8ebe1df2, 0x80b7ba63d6218e39,
  0xf173b6f68ee19cc5, 0xa958b3f71cb1823a, 0xac80e64836bcb955, 0xd54df673a8a9546b, 0x64d7020272bb54b7,
  0x57974c4ae492fe9a, 0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0xd0ea9c09cfa2810b, 0x5c1e6ca2317f36d3,
  0x903b6868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0xcf9f5e792bf73433, 0x000000000000f932,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0x304f8c0482a0ada9, 0x20383fffceb3f43f, 0x3cad4f4d56b46fe5, 0x0bea3e0d98309fea,
  0x0dc3afb169bbe2b6, 0x6909afa5b1971c27, 0x2873ab4bfce5c6b2, 0xd743af3a6ec13d18, 0x762d3c911e45b1aa,
  0xfd6e1bd96cbe701c, 0xad402b864d2a3608, 0x5d64073241b5e5ca, 0xbeaa6fb39d454aa3, 0xd326b8101395daa5,
  0x22bcba62572497f4, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xca2317f36cbb22ad,
  0x3459d3e2e4d5c1e6, 0x4e7ea75663c81f94, 0x8b9c65f989fca185, 0xf1cf7ff04d0f2267, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x13aebb14e46792bf,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0xb6a4eeabe67d06cb, 0xce0cc13e30120a82, 0xccaa41b3bfff9d67, 0x03d47959759aad68, 0xe2b387ea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0x023f90e7569728ab, 0x8d56ba1d7aea6ec8, 0xc071d8b4def47bdd,
  0x2e1fd6e1bd970e59, 0x0e64836bcb955aae, 0xdf673a8a9546bac8, 0x7020272bb54b7d54, 0x74c4ae492fe9a64d,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x2fe6d976455bfdea, 0x37c5c9ab83cd9446,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x009d7085a9c8cf25,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ce[] = {
  0x60fbbbbbbbd8b562, 0x368eed55c8a32112, 0x867ad2f6b4d9e1c4, 0xd5b416ef242c9d43, 0xdc1c5e56ec7eeb07,
  0x056d49ddfa706cd2, 0xcfa9e9827c602415, 0xfa829480baffba91, 0xf9f9e00583870cef, 0xbac984e7736be9a7,
  0x0c9ef51e719ee580, 0x8b0143da011c72ac, 0xebd1f3b7c88e3239, 0xdbddc35403ff6678, 0xe5caad605681e5ad,
  0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0x97f4d326b8101395, 0xb55a22bcba625724, 0x2d7ce80f37b6bae7,
  0x7a1d5381085482e5, 0x18edfef5545a476e, 0xab8d94462fe6d976, 0xe40eda1a2c79c5c9, 0xb867a615c9fbab31,
  0x1d252d964a271964, 0xcfaf3c95fb9a1996, 0x0000000005baf49d,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ce_u4[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0x15b52774eb46a122, 0x3e35a609f1809054, 0xd76fd20d37fffceb, 0x0f3c00b5a4b75717, 0x25f886c2445f71a2,
  0xee6d7a4a672fd47c, 0xce33dcb19fac99e2, 0x40238e558193dea3, 0xf911c6473160287b, 0x807feccf1d7a3e76,
  0x0ad03cb5bb7bb86a, 0x80e64836bcb955ac, 0x4df673a8a9546bac, 0xd7020272bb54b7d5, 0x974c4ae492fe9a64,
  0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0xc5fcdb2ec31dbfde, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x000375cb353919e4,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0xda93ba0292634e39, 0x6b7304f8c0482a0a, 0x4ba409b7fffceb3f, 0x016b49bb477fd519, 0xcee6d7e8fa927e78,
  0x94394ed6563df309, 0xa3e0d9833d7d4795, 0x3afb1698a62b297e, 0x9afa5b1971c270dc, 0x050e7576ef9c3a90,
  0xbc6c75e74dd827a3, 0x1d8b4f2447916c6a, 0x132386f65b2f9c07, 0x55a96770c9a546c1, 0x6bac80e64836bcb9,
  0xb7d54df673a8a954, 0x9a64d7020272bb54, 0x4457974c4ae492fe, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af,
  0xbfdeaa8b48edcf43, 0xb288c5fcdb2ec31d, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0x6792bf734332c3a4, 0x0000014d338514e4,
};

static const uint64_t ur_m8515_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7c50e3, 0x2eed55fd4e05c490, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf4130,
  0x4ee8581f6ca70b29, 0xcc13e30120a82b6a, 0x900a4ff6343cf9ad, 0x5cee005c5f547b3a, 0x61222fb8d1079e00,
  0xd7eb57ea3e12fc43, 0x736f7ccf17736bb3, 0x9ebea3caca1ca76b, 0x531594bf51f06cc1, 0xb8e1386e1d7d8b4c,
  0x77ce1d484d7d2d8c, 0xa6ec13d182873abb, 0x23c8b6355e363af3, 0x2d97ce038ec5a792, 0x64d2a3608991c37b,
  0x241b5e5caad4b3b8, 0x39d454aa35d64073, 0x01395daa5beaa6fb, 0x2572497f4d326b81, 0x6bae7b55a22bcba6,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x6d97618edfef5545, 0x5c9ab83cd94462fe, 0xcc790334f8d1637c,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x2ead8f0ee792bf73, 0x000000000000013f,
};

// m8535_swio13_lednop_hw
static const uint64_t ur_m8515_swio13_lednop_hw[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x20a82b6a4ee82f41, 0x871e7d7dcc13e301, 0xe1df2dd25208f7ff, 0x18e395607cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xb54b7d54df673a8a, 0x2fe9a64d7020272b,
  0x6ab4457974c4ae49, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xf36d3d0ea9c09cfa, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000011c43aa29e4a,
};

// m8535_swio13_lednop_ee_hw
static const uint64_t ur_m8515_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x4b8c8f9bb106d04e,
  0x15b52775b11ced4e, 0x7e87e609f1809054, 0xd1bf9480e0ffd0a6, 0xc27fa8f2b53d355a, 0xef8ad82fa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x04f460a1cead2ff3, 0x16c6ab5d0ebce9bb, 0xf9c071d8b4f24479,
  0xa8d823f5b86f65b2, 0xd7972ab500ae1934, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x925fd34c9ae0404e,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xec8ab7fbd551691d, 0x8dc79b288c5fcdb2,
  0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xf35820be9e4afdcd, 0x000000000000002d,
};

// m8535_swio13_lednop_ce_hw
static const uint64_t ur_m8515_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121b768, 0xf8eed55e11285c48, 0x6f4d2eec01e9583d, 0xbd9febf8fc33c5ea, 0xb671545a0ac86e97,
  0x415056d49dd764af, 0xa14cf8d69827c602, 0xab8bebb7e9069bff, 0xee3441e78939095b, 0xfa8f84bf10d8488b,
  0x933c5dcdaf787cb5, 0x7bd479c67b9633f5, 0x050f680471cab032, 0x47cedf2238c8e62c, 0x770d500ffd99e3af,
  0x2ab5815a0796b76f, 0x8d75901cc906d797, 0x96faa9bece75152a, 0xd34c9ae0404e576a, 0x688af2e9895c925f,
  0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x365118bf9b65d863, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xa17d3c95fb9a1996,
  0x000000000eb37998,
};

// m8515_swio13_lednop_ee_ce_u4_hw   m8535_swio13_lednop_ee_ce_hw      m8535_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m8515_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x261500033c9c8cfc, 0x6538374710b2d9e8,
  0x2b6a4ee8eba6bef7, 0xf9adcc13e30120a8, 0x47b3a900a4ffa14c, 0xf3c49c84a005c5f5, 0x5f886c2445f71a20,
  0x36b8523e72fd47c2, 0xca76b736f7ccf177, 0x06cc19ebea3caca1, 0xd8b4c531594bf51f, 0xd2d8cb8e1386e1d7,
  0x73abb77ce1d484d7, 0x63af3a6ec13d1828, 0x5a79223c8b6355e3, 0x1c37b2d97ce038ec, 0x4b3b864d2a360899,
  0x64073241b5e5caad, 0xaa6fb39d454aa35d, 0x26b8101395daa5be, 0xbcba62572497f4d3, 0x0f37b6bae7b55a22,
  0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x462fe6d97618edfe, 0x539fa82ec6e3cd94, 0xf313ffbc3def2861,
  0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000280adc805f,
};

// m8515_swio13_dual_pr
static const uint64_t ur_m8515_swio13_dual[] = {
  0xa2eeeeeeef3e6d3a, 0xbefcd532b49c4fd9, 0xd5acfb638f913f78, 0x8190fa63d9b106e8, 0x4c39db29eb6eb450,
  0x254dbbae76cdbade, 0x6609f180905415b5, 0xf11812645a0a4022, 0xee5c61409f137dac, 0xe628bf994d6a9dd3,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x0517fd0194c16156, 0x7ea3f7477cb2d7a4, 0x628bb7e38e5581ef, 0x7c8d31398b01758a,
  0x3ff6608ebc06a769, 0xe07967b63e0df540, 0xcfe67d1cccacc538, 0xc80e64836bcb955a, 0x54df673a8a9546ba,
  0x4d7020272bb54b7d, 0x7974c4ae492fe9a6, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x462fe6d976455bfd, 0x2c79c5c9ab83cd94, 0x4fdd598f20669f1a, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x00c40e7c3c3b9e4a,
};

static const uint64_t ur_m8515_swio13_dual_pr_u4[] = {
  0x8bbbbbbb4486ff3e, 0xfbf354cad2713f66, 0x6c6add8e3e44fde2, 0x840c87d31ecd8837, 0xabd9ced94f5b75a2,
  0x92a6ddcd3c57b1d7, 0x3304f8c0482a0ada, 0x788c09322d052011, 0xf72e30a04f89bed6, 0xdcc517f32ec24ee9,
  0x37a8f1ef60fe1c17, 0xa04508e485581f75, 0xf88001b87c0aff31, 0x8c910caee2f77c5d, 0x1cf09ad68a8432d0,
  0xccc5ce5edca5ffd0, 0x80a2ffcc9c982c2a, 0xefd47ee8ef965af4, 0x4c5176fc71cab03d, 0x2f91a62731602eb1,
  0x07fecc11d780d4ed, 0x1c0f2cf6c7c1bea8, 0x59fccfa3999598a7, 0x5901cc906d7972ab, 0xaa9bece75152a8d7,
  0xc9ae0404e576a96f, 0xaf2e9895c925fd34, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754,
  0x88c5fcdb2ec8ab7f, 0xeee3458df0dc79b2, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xf2f3c95fb9a19961, 0x00000002926b5aac,
};

static const uint64_t ur_m8515_swio13_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0xefcd53217f76fd9d, 0xa0fb77ed1da89c8c, 0xd47101489f55f62f, 0x577d17b11696ec8d,
  0x74b235d66d0ab326, 0x30120a82b6a4f917, 0x991682909c7cc13e, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0x5b604e8e096a60b5, 0xc90ab03d3737a8e3, 0x70f815fe63408a11, 0x7717bbe2ef300803, 0xb8a8432d05f68865,
  0xdbe9affa039e1307, 0x939305855998b9cb, 0x56b47fba9005aff9, 0x9830f7ea3caedd4d, 0x69bbe2bdf7ea3e0d,
  0xb1971c270dc3afb1, 0x52d7027e6909afa5, 0xbb07b467a9cead2e, 0x710d8d56ba1d7b19, 0xbdd9c071d8b4e714,
  0x1551b047eb70decb, 0x33e8e66566010df1, 0x73241b5e5caad67f, 0xfb39d454aa35d640, 0x8101395daa5beaa6,
  0xa62572497f4d326b, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x7f36cbb22adfef55,
  0x8b2d5e371e6ca231, 0xcfd4eaccdfc1ddc6, 0x79133c09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xb3cbcf257ee68665, 0x0000000000ac8f5b,
};

static const uint64_t ur_m8515_swio13_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0xc6fcd53217efdbf6, 0xadeef747b5868371, 0x6eb13c95d96d8bc6, 0xa40355f45ec45a58,
  0x5c6ee78233a70b53, 0x827c602415056d49, 0x8c09322d052138f9, 0x2e30a04f89bed678, 0xc4ebf32ec24ee9f7,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0xa006e1f02bfcc681, 0x88657717bbe2ef24, 0x09a448a8432d08f6,
  0x5ce5edf4d7fd01cf, 0xd7fcc9c982c2accc, 0xa7a6ab5a380d4802, 0x8f83660e44f51e56, 0xebec5a6ef8ace1fa,
  0x6be96c65c709c370, 0xab4bfee5c0719a42, 0xaf29a76401182873, 0x37bd1e45b1aad743, 0x0decb726701c762d,
  0xd1cccacd7170feb7, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x0272bb54b7d54df6, 0x4ae492fe9a64d702,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0xa2317f36d3d0ea9c, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x3cbcf257ee686658, 0x000000000ac810bb,
};

static const uint64_t ur_m8515_swio13_dual_pr_ce[] = {
  0x25ddddddde7cd0e3, 0x2df9aa65691a9fb7, 0xde8ebe991b835168, 0x5a5c714e5b28056f, 0x53ecb11d6dde4a62,
  0x0cddd5c6d0535f22, 0x04f8c0482a0ada92, 0x1812645a0a46a833, 0x5c61409f137dacf1, 0x2ebf994d6a9dd3ee,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x80370f815fe63408, 0x432bb8bddf177f60, 0x4cb5e2a10cb43244,
  0xe72f6f6ebfe80e78, 0x7fd0194c16156662, 0xb38677fd414a405d, 0x6bceddadfe780173, 0x9ee580bac984e773,
  0x1c72ac0c9ef51e71, 0x8e32398b0143da01, 0x72c678ebd1f3b7c8, 0x9f47332b31d0dfdc, 0x9920daf2e556b3f9,
  0xd9cea2a551aeb203, 0x0809caed52df5537, 0x312b924bfa69935c, 0xdb5d73daad115e5d, 0x2a417296be74079b,
  0x2d23b73d0ea9c084, 0xf36cbb0c76ff7aaa, 0xe2e4d5c1e6ca2317, 0xacc790334f8d163c, 0x6592e19e985727ee,
  0x866587494b67c09c, 0x5e9c1e1dcf257ee6, 0x00000000000001cf,
};

static const uint64_t ur_m8515_swio13_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x9df9aa640145efda, 0xcd0b6eb4e375c969, 0xb8269605957a7da4, 0x156557d6a356ec4e,
  0xa4840ee9646bae1f, 0x24c13e30120a82b6, 0x9e23024c8b41480b, 0x7dcb8c2813e26fb5, 0xf7369bfccbb093ba,
  0x9bd4753db0cac70d, 0xa04508e485581975, 0xee4401b87c0aff31, 0x27a2195dc5eef8bb, 0x73c269c62a10cb40,
  0x662e72f6f43fff40, 0x1a6ffe64e4c16156, 0xe4256eae2faedfa4, 0x61222fb8d1079e24, 0x21d257ea3e12fc43,
  0x58cfd64cf17736bb, 0x2ac0c9ef51e719ee, 0x2398b0143da011c7, 0x678ebd1f3b7c88e3, 0x7332b31d0dfdc72c,
  0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x9caed52df5537d9c, 0xb924bfa69935c080, 0xd73daad115e5d312,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0x7c371e6ca2317f36, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x1a489a0b3cbcf257,
};

static const uint64_t ur_m8515_swio13_dual_pr_ee_ce[] = {
  0xb6caddddddd432db, 0x7ad7e6a9835da79f, 0xb6fd5f773ed9f586, 0xa57c6e821fb8c3e0, 0x368339b378ecc4ec,
  0x8bb8e08ab0786675, 0x9f180905415b524c, 0x049916829047ae60, 0x185027c4df6b3c46, 0x41f997612774fb97,
  0xe1a361a68e0ff26c, 0x23921560763f37a8, 0x06e1f02bfcc68114, 0xcaee2f77c5dfd4e0, 0x90f150865a0c1510,
  0x2f6e6b7ff4073c26, 0xe64e4c16156662e7, 0x77fd51e56a41883f, 0xea91fcf1272127f8, 0x58be4c273b9b5f9b,
  0xdff51e572ba53b59, 0x315e56f51f06cc1e, 0x8e1386e1d7d8b4c5, 0x14b1d484d7d2d8cb, 0x6ec1ed19ea73abb7,
  0x3886c6abc6c75ec6, 0xdeece038ec5a738a, 0x45546c1132386f65, 0xccfa39995996637c, 0x1cc906d7972ab59f,
  0xbece75152a8d7590, 0xe0404e576a96faa9, 0xe9895c925fd34c9a, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c,
  0x51691db9e8754e04, 0xbf9b65d863b7fbd5, 0xd163ce1b8f365118, 0xae4fdd599bf83bb8, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000982749d67979e,
};

static const uint64_t ur_m8515_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9aa61712bdbf64fb, 0x82d402eb7b2a715f, 0xfbccdcda03e964d3, 0xe2b77053ed9f1dad,
  0x0ab39e5dc86b8b69, 0x6d4969ceeac02101, 0x7e19827c60241505, 0x59e23024c8b4148a, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xd7c00dc3e057f98d, 0x24432bb8bddf1779,
  0xf09b7dc542196847, 0x8b9cbdbd257fd01c, 0x1ffbd98b30585599, 0x60dc5f5464ea905e, 0xbee3441e789380e7,
  0x1fa8f84bf10d8488, 0xc99e2ee6d73af855, 0x4795cae94ed6e6d7, 0x95bd47c1b307b7fd, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x7b467a9ceaedc52c, 0xb1aaf1b1d7b19bb0, 0x380e3b169ce28e21, 0x1b044c8e1bd977bb,
  0x8e66566598df1155, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0x1395daa5beaa6fb3, 0x572497f4d326b810,
  0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xd97618edfef5545a, 0xc9ab83cd94462fe6,
  0x6fe0dfa08d1637c5, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xb338bb53c95fb9a1, 0x0000000000002000,
};

// m8535_swio13_dual_hw
static const uint64_t ur_m8515_swio13_dual_hw[] = {
  0x17777776890c365a, 0xf7e6a995a4e27ecd, 0xd8d5bb1c7c89fbc5, 0x08190fa63d9b106e, 0x9b439db29eb6eb45,
  0xb6a4a9b771377d7d, 0x044cc13e30120a82, 0xb59e23024c8b4148, 0xba7dcb8c2813e26f, 0x05f73145fccbb093,
  0xdd4dea3c7bd83f87, 0xcc68114239215607, 0x177e20006e1f02bf, 0xb42324432bb8bddf, 0xf4073c26b5a2a10c,
  0x0ab3317397b7297f, 0x7a40517ffc87e60b, 0x1ef7ea3f7477cb2d, 0x58a628bb7e38e558, 0x7697c8d31398b017,
  0x5403ff6608ebc06a, 0x538e07967b63e0df, 0x55acfe67d1cccacc, 0x6bac80e64836bcb9, 0xb7d54df673a8a954,
  0x9a64d7020272bb54, 0x4457974c4ae492fe, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0xd94462fe6d976455, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x05f4f257ee686658, 0x0000000018dd56b5,
};

// m8535_swio13_dual_ee_hw
static const uint64_t ur_m8515_swio13_dual_ee_hw[] = {
  0xecb777776890cf68, 0x677e6a990bfbb7ec, 0x7d07dbbf68ed44e4, 0x6ea3880a44faafb1, 0x32bbe8bd88b4b764,
  0xc8bb9a3ea75add99, 0x09f180905415b527, 0x3024c8b41484e3e6, 0xb8c2813e26fb59e2, 0x05afccbb093ba7dc,
  0x471adb0274704b53, 0x508e485581e9b9bd, 0x401b87c0aff31a04, 0x432bb8bddf177980, 0x983dc54219682fb4,
  0xce5edf4d7fd01cf0, 0xfff21f982c2accc5, 0xd4d56b47fba9005a, 0xe0d9830f7ea3caed, 0xfb169bbe2bdf7ea3,
  0xfa5b1971c270dc3a, 0xd2e52d7027e6909a, 0xb19bb07b467a9cea, 0x714710d8d56ba1d7, 0xecbbdd9c071d8b4e,
  0xdf11551b047eb70d, 0x67f33e8e66566010, 0x64073241b5e5caad, 0xaa6fb39d454aa35d, 0x26b8101395daa5be,
  0xbcba62572497f4d3, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x2317f36cbb22adfe,
  0xa9cfd4176371e6ca, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x0000000aed3d6c2f,
};

// m8535_swio13_dual_ce_hw
static const uint64_t ur_m8515_swio13_dual_ce_hw[] = {
  0x33dddddda2431f02, 0xbbf354c80147dfb3, 0xdd9bdd3b4d3848cb, 0x647c894aad0ebc6a, 0x144d744fb17dd666,
  0x4934aee5188b37a6, 0xa9827c602415056d, 0x788c09322d0522e4, 0xf72e30a04f89bed6, 0x94c707f32ec24ee9,
  0x6f51edd6c3671c23, 0x8114239215607812, 0xd1f006e1f02bfcc6, 0xed10caee2f77c5df, 0x3c2609f150865a01,
  0x62e72f6e337ff407, 0xe0fff90fcc161566, 0x42435ae2fabf9480, 0x1222fb8d1079e24e, 0x9b21fea3e12fc436,
  0x33c4fccf17736bf5, 0x6076b7a8e13e7b96, 0xcc580abee448e395, 0x75e0353b4be46989, 0xe1f06faa01ffb33c,
  0x3999598a71c0f2d6, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e576a96faa9bece, 0x5c925fd34c9ae040,
  0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0x65d863b7fbd55169, 0xbb1b8f365118bf9b,
  0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x1375c6217d3c95fb,
};

// m8535_swio13_dual_ee_ce_hw
static const uint64_t ur_m8515_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd43573e, 0xad7e6a9835da79fb, 0x6fd5f773ed9f5867, 0x57c6e821fb8c3e0b, 0x68339b378ecc4eca,
  0x91772e2fbb375953, 0x13e30120a82b6a49, 0xc09322d05208f5cc, 0xe30a04f89bed6788, 0x883f32ec24ee9f72,
  0x1c346c34d1c1fe4d, 0x847242ac0ec7e6f5, 0x00dc3e057f98d022, 0x195dc5eef8bbfa9c, 0xd21e2a10cb4182a2,
  0xe5edcd6ffe80e784, 0xff21f982c2accc5c, 0x1dff54795a90620f, 0x2b2a3f3c49c849fe, 0x958be4c273b9b5c9,
  0xedff51e572ba53b5, 0x5315e56f51f06cc1, 0xb8e1386e1d7d8b4c, 0x714b1d484d7d2d8c, 0x66ec1ed19ea73abb,
  0xa3886c6abc6c75ec, 0x5deece038ec5a738, 0xc45546c1132386f6, 0xfccfa39995996637, 0x01cc906d7972ab59,
  0x9bece75152a8d759, 0xae0404e576a96faa, 0x2e9895c925fd34c9, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03,
  0x551691db9e8754e0, 0x8bf9b65d863b7fbd, 0x727e7f61b8f36511, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00089a7d2705f4f2,
};

// m8535_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0xfcd530b895edfb27, 0xb26ea0175bd9538a, 0xed6fde66e6d01f6c, 0x5b4f15bb829f6cf8,
  0x57c80bda462e435c, 0x0482a0ada92d39dc, 0x1682914fc3304f8c, 0x27c4df6b3c460499, 0x641aa774fb971850,
  0xc6e38760cd787f99, 0xb03c4137a8e87db0, 0x15fe63408a11c90a, 0x77c5de75f00370f8, 0x865a11c910caee2f,
  0x5ff4073c26df7150, 0x16156662e72f6f49, 0x3aa41787ff88b24c, 0xc5f425d83717d519, 0x361222fb8d1079e2,
  0xdbb0b27ea3e12fc4, 0x5b9b5f2678bb9b5d, 0x1edff51e572ba53b, 0xc5315e56f51f06cc, 0xcb8e1386e1d7d8b4,
  0xb714b1d484d7d2d8, 0xc66ec1ed19ea73ab, 0x8a3886c6abc6c75e, 0x65deece038ec5a73, 0x7c45546c1132386f,
  0x9fccfa3999599663, 0x901cc906d7972ab5, 0xa9bece75152a8d75, 0x9ae0404e576a96fa, 0xf2e9895c925fd34c,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x18bf9b65d863b7fb, 0x4e7ea0bb1b8f3651,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00003aeb38bed017,
};

static const uint64_t ur_m8515_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x2a0ada93ba0bd04d, 0x3bcff75304f8c048, 0xef96e82901ebfebc, 0xe3956075ffd47884, 0xcc580b7ba63d7e48,
  0x23af173b41f464d1, 0xcaad4ac27b71cb18, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0xb63f7f4d326b3a6e,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2, 0x9f9fd86ed94462fe,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x005483a315d3c95f,
};

static const uint64_t ur_m8515_swio14_noled_pr[] = {
  0xf7777743d7d8ad4e, 0xbbb5572290044a38, 0xb8ef5fb1a0b609e0, 0xac1c44cd88ecf6a7, 0x6350eb4dd8e3d059,
  0xa4ee989b8256d19e, 0x7cc13e30120a82b6, 0xba41b7ffdd48e7cc, 0x0c9af51c143be5b7, 0x96536df97d1c72ac,
  0x9d96ba3114e62c05, 0xf2a01ffb30475e8f, 0xab3ee81e59edf484, 0xac80e64836bcb955, 0x52df5673a8a9546b,
  0xefe9a64d674dcaed, 0xb55a22bcba6256c7, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0xd6e2adfef5545a61,
  0x57079b288c5fcdb3, 0x2076d0d1674f8b93, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0x30ae4fc73dffc134,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000007c9aece7d7,
};

static const uint64_t ur_m8515_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f4b128, 0xfb98e9a0dc48c227, 0x8771c7c7fc5f07f1, 0x36c99ecfdd8882fe,
  0xd49dd31370490466, 0xba9827c602415056, 0xd05203d7fdd48e7f, 0xc0ebffa8f109df2d, 0x16f74c7afc91c72a,
  0x2e7683e8c9a398b0, 0x9584f6e39630475e, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xfe9a64d674dcaed5,
  0x55a22bcba6256c7e, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d,
  0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0x3e7d79e4afdcd0cc, 0x000000000003e4cb,
};

static const uint64_t ur_m8515_swio14_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17bb6dd7f8, 0xa847914ce3faa6ec, 0x4767ef17b2020da0,
  0x0ada93bb4cd19fd3, 0x9f1ad304f8c0482a, 0x47b7e9069bff7523, 0xce3ea3cadc9cd56b, 0xdf15c06f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x5c5133484d7d2d8c, 0xf7a3c8a73ab4bedf, 0x58d56ba1d7aea6ec, 0x380e3b169dc3464d,
  0x86befadc37b2e1cb, 0x039920daf2e556ab, 0x7d59cea2a551aeb2, 0xa699359d372bb54b, 0x688af2e9895b1fbf,
  0x3c314deb3bcb9ed5, 0x8522810b4b5fe235, 0x62fe6da7a1d53813, 0xa2c79c5c9ab8d944, 0x5c9fbab31e40eda1,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0014f8a9dcfaf3c9,
};

static const uint64_t ur_m8515_swio14_noled_pr_ee_u4[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0x6d49dd57ccfa0d96, 0x9c19827c60241505, 0x31f483677fff3acf, 0x8f51e565d66ab5a3, 0x8ace1fa8f83660fa,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x047f21cead2e5157, 0x6355ae875e74dd90, 0x701c762d37bd1ef7,
  0x3608fd6e1bd96cbe, 0xf2e556a0113dcf2a, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0x895b1fbfa699359d,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x7f36cf5b8ab7fbd5, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x04eb842d4e46792b,
};

static const uint64_t ur_m8515_swio14_noled_pr_ce[] = {
  0xbf37777777b15a91, 0x368eed55c8a61512, 0x067b8bf684dde1c4, 0xab682326f4ec7edb, 0xb2ed905a3c7eedf9,
  0x415b52775a2f4ea8, 0x73e5d6609f180905, 0xfeb37520f9dfeea4, 0x347e780160e2563b, 0x2eb26139dcdafff0,
  0x06b3fd475f27b960, 0x62c059126e8e3956, 0x75e8f9d96ba3114e, 0x77484f2a01ffb33c, 0xf2e556acfba0796b,
  0xa551aeb2039920da, 0x372bb54b7d59cea2, 0x895b1fbfa699359d, 0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xfe6d9eb663b7fbd5, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x5ba9c29cfaf3c95f,
};

static const uint64_t ur_m8515_swio14_noled_pr_ce_u4[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0x0ada93bad88e72c1, 0x9fd37304f8c0482a, 0xf5eea90656fffe75, 0x83cf002d693025c5, 0x097e21b09117dc68,
  0xbb9b5facd90ff51f, 0xebe4f72c67eb2678, 0x4dd1c72ac0d67fa8, 0x2d746229cc580b22, 0x403ff6678ebd1f3b,
  0x9f740f2d6ee909e5, 0x4073241b5e5caad5, 0x6fab39d454aa35d6, 0xf4d326b3a6e576a9, 0xad115e5d312b63f7,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0xcc76ff7aaa2d30ca, 0x079b288c5fcdb3d6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x53919e4afdcd0ccb, 0x0000000006ebdd5b,
};

static const uint64_t ur_m8515_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0xda93baec95f14e9c, 0x9b7304f8c0482a0a, 0x75a40337fffceb3e, 0x016b4863e77fd519, 0xe7736bd253397e78,
  0xe43ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0x1d7d8b4c5315ba5f, 0x4d7d2d8cb8e1386e, 0xfc873abb71451d48,
  0xaf1b1d79d3764011, 0xe3b169bde8f7bb1a, 0x226470decb65f380, 0x955a9664f73ca8d8, 0x46bac80e64836bcb,
  0xaed52df5673a8a95, 0x6c7efe9a64d674dc, 0xae7b55a22bcba625, 0xa6c529e1a778efeb, 0xa6194f43aa7020ee,
  0xb67ad98edfef5545, 0x71726ae365118bf9, 0xeacc7903f2868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0x345f29c8cf257ee6, 0x000000000000014d,
};

static const uint64_t ur_m8515_swio14_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e306a, 0x1776aafea713a244, 0x3b4a56b4b0660bf3, 0x540056ee0c715c65, 0xb323c942cb679218,
  0x3bb55f930eb210c0, 0x304f8c0482a0ada9, 0x415bffec6879f149, 0xe776b7717d51e9ba, 0x09117dc6883cf002,
  0xd8593f51f097e21b, 0xcdbdf33c5dcdaeed, 0xa57a8f2b90f29dad, 0x4c56e97d47c1b307, 0xe384e1b875f62d31,
  0xc514752135f4b632, 0x4dd90047f21ceaed, 0xa3deec6abc6c75e7, 0x2d97ce038ec5a6f7, 0xdcf2a3608991c37b,
  0x920daf2e556a5993, 0x9cea2a551aeb2039, 0x9359d372bb54b7d5, 0xaf2e9895b1fbfa69, 0x9de3bfaeb9ed5688,
  0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0x94462fe6d9eb663b, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000013f09c58f0ee,
};

// m8535_swio14_noled_hw
static const uint64_t ur_m8515_swio14_noled_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x2a0ada93ba0bd04d, 0xe3cff75304f8c048, 0x9df2dd05203d7ff0, 0x1c72ac0ebffa8f10, 0x398b016f74c7afc9,
  0x0475e2e7683e8c9a, 0xb955a9584f6e3963, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x56c7efe9a64d674d,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb3d6e2adfef554, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x00004710ea8a792b,
};

// m8535_swio14_noled_ee_hw
static const uint64_t ur_m8515_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xdab22101b020da08,
  0xa0ada93baf5a716f, 0x99f383304f8c0482, 0xd68cc7d20d9dff42, 0x83ea3d47959759aa, 0x9bbe2b387ea3e0d9,
  0x1971c270dc3afb16, 0x455c6b26909afa5b, 0x764011fc873ab4b9, 0x7bdd8d56ba1d79d3, 0xb2f9c071d8b4def4,
  0x3ca8d823f5b86f65, 0x836bcb955a8044f7, 0x3a8a9546bac80e64, 0xd674dcaed52df567, 0xcba6256c7efe9a64,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x88c5fcdb3d6e2adf, 0x2a73f505d8dc79b2,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9,
  0x00000002dfef820b,
};

// m8535_swio14_noled_ce_hw
static const uint64_t ur_m8515_swio14_noled_ce_hw[] = {
  0xe4dddddda2432493, 0xf8eed55e110fdc49, 0x9ed45dd267c7d83d, 0x4d9febc6b833641a, 0x5a76a85b4bc2b75e,
  0x20a82b6a4ee86e41, 0xd0a67f4dcc13e301, 0x12e2faf754832b7f, 0xfb8d1079e24e4258, 0xfea3e12fc4361222,
  0x64cf17736be37760, 0xcff51d7c9ee58cfd, 0x016449ba38e5581a, 0xa3e765ae8c45398b, 0x213ca807feccf1d7,
  0x955ab3ee81e5addd, 0x46bac80e64836bcb, 0xaed52df5673a8a95, 0x6c7efe9a64d674dc, 0xae7b55a22bcba625,
  0xa6c529e1a778efeb, 0xa6194f43aa7020ee, 0xb67ad98edfef5545, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0xeb36608817d3c95f,
};

// m8515_swio14_noled_ee_ce_u4_hw    m8535_swio14_noled_ee_ce_hw       m8535_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m8515_swio14_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x302cc8f250b2d9e4,
  0x56d49ddb1751fd40, 0xf8a49827c6024150, 0x8f4dd20adfffa14c, 0xcf127212b5bb8bea, 0x7e21b09117dc6883,
  0xdae00036eff51f09, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b90f, 0x62d314c56e97d47c, 0x4b632e384e1b875f,
  0xceaedc514752135f, 0xc75e74dd90047f21, 0x5a6f7a3deec6abc6, 0x1c37b2d97ce038ec, 0xa5993dcf2a360899,
  0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0xbfa699359d372bb5, 0xd5688af2e9895b1f, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0xb663b7fbd5516986, 0x6e3cd94462fe6d9e, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x826b05f4f257ee68, 0x0000000000000280,
};

static const uint64_t ur_m8515_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x02415056d49dd85e, 0xebc3bcfc069827c6, 0x921df2dd05200f7f, 0x631c72ac0ebffa8f, 0xa4398b016f74da52,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0xa9546bac80e64836, 0x4dcaed52df5673a8, 0x2fb1e9a64d702027,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x8bf9b69e8754e051, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000001522e0c574f,
};

static const uint64_t ur_m8515_swio14_lednop_pr[] = {
  0x7bbbbbba83d8bf82, 0xbbb557229e3e251c, 0xea9bdbf30fb609e0, 0x35838a002665eec9, 0xc7c2f75fbb1c7a0b,
  0x527757189137706e, 0xee609f180905415b, 0xdd208f7feea473eb, 0x064d7a8e801df2db, 0x6594d1ef4a8e3956,
  0xe7688518df398b01, 0x48a807fecc11d7a3, 0xb57d6e07967b622f, 0x75901cc906d7972a, 0xaa5beace75152a8d,
  0x34c9ae0404e9b95d, 0x4457974c4ae5f63d, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0x365118bf9b632455, 0xa1a2cb579726ae0f, 0x2a73f53ab31e40ed, 0x9a1e44cf0271a50c, 0x64b867a615c9f80f,
  0x9961d252d9f02719, 0x409cfaf3c95fb9a1, 0x0000000000000f93,
};

static const uint64_t ur_m8515_swio14_lednop_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xd6eed55c8a569128, 0x3df1fb87c6d06113, 0x7f43b8e3da1377d4, 0x5c1db6338feec441,
  0x82b6a4eefd383785, 0xe7e034c13e30120a, 0xe5ba0a401effdd48, 0xe5581d7ff51f243b, 0x1602dee9b4a4c638,
  0x75e2e761151f4873, 0xab52b305ee396304, 0xd75901cc906d7972, 0xdaa5beace75152a8, 0xd34c9ae0404e9b95,
  0xb4457974c4ae5f63, 0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0x6d3d0ea9c0a2fa28, 0xe4d5c1e6ca2317f3,
  0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x9a6839f5e792bf73, 0x000000000000007c,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0x5304f8c0482a0ada, 0xe900d6fffe759f4b, 0xa3cad82cd56b4663, 0x943f51f06cc1f51e,
  0x386e1d7d8b4ddf15, 0x93484d7d2d8cb8e1, 0xe6e39d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x38ec5a7f2238cac6,
  0x11fadc37b2d97ce0, 0xcaad402e909e546c, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0x8f4d326b81013a6e,
  0xaad115e5d312b97d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x83cd94462fe6d8c9,
  0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x44cf1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000275f18a9c8cf,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0xa93ba75a3509167d, 0xad304f8c0482a0ad, 0x7e9069bfffe759f1, 0xea3cace1cd56b47b, 0x5c87f51f06cc1ce3,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1c4273ab4bd4a5c5, 0xab5d0ebd753769c5, 0x71d8b4d6ba3116c6,
  0x27d6e1bd970e59c0, 0x3241b5e5caad571d, 0xb39d454aa35d6407, 0x81013a6e576a96fa, 0xd312b97d8f4d326b,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x2fe6d8c9156ff7aa, 0x37c5c9ab83cd9446,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x0013ae59a9c8cf25,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf7c5a450e2, 0xd5b41193c29e9971, 0xf06c199b00bf76fc,
  0x415b527757189123, 0x73ec16609f180905, 0xfeb37520387feea4, 0xedfe780160e4873b, 0xbac984e7736ba6dc,
  0x359fea3cbe9ee580, 0x160299538c71cab0, 0xaf47ced10a31be73, 0x845e91500ffd99e3, 0xcb955abeb703cb5b,
  0x9546bac80e64836b, 0xdcaed52df5673a8a, 0xfb1e9a64d7020274, 0x7b55a22bcba62572, 0x52d7ce80f37b6bae,
  0xe7a1d5381085482e, 0x218edfef5545a476, 0x26ae365118bf9b63, 0xc7903b6868b1e717, 0x92e19e985727eeac,
  0x587494b659289c65, 0xe73ebcf257ee6866, 0x000000000002dd74,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0x056d49dd1ec5aa38, 0xcfc729827c602415, 0xfaf75482dd7fff3a, 0x41e78016b49beee2, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0xf2fa7b9633f5933c, 0x4e31c72ac0d67fa8, 0x4428c6f9cc580a65, 0x403ff6678ebd1f3b,
  0xfadc0f2d6e117a45, 0x2039920daf2e556a, 0xb7d59cea2a551aeb, 0x935c0809d372bb54, 0xaf2e9895cbec7a69,
  0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x4462fe6d8c863b7f, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000dd74d029c8c,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0xda93bb61b653d649, 0x7f9304f8c0482a0a, 0x5d690068fffe759f, 0x002d693fe1dff546, 0x39dcdaf950d07fcf,
  0xb29729dacac7be61, 0xd47c1b307a57a8f2, 0x875f62d314c565d7, 0x135f4b632e384e1b, 0x7371ceaedc958752,
  0xabc6c75e74ddba84, 0x38ec5a7f2238cac6, 0x08991c37b2d97ce0, 0xe556a59f484f2a36, 0x51aeb2039920daf2,
  0x2bb54b7d59cea2a5, 0xc7a69935c0809d37, 0xd5688af2e9895cbe, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94,
  0x63b7fbd551691db9, 0xab8d94462fe6d8c8, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xa7233c95fb9a1996, 0x000000000a698f2e,
};

static const uint64_t ur_m8515_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c7a31, 0x2eed55fd4ec4c489, 0xb6b4eda166ec17e6, 0xa800adc4eb834cde, 0x4cce5d8596cf2430,
  0x77513f0fbed03e37, 0x609f180905415b52, 0x021f7fb1a1e7fb06, 0x9db5ddc5f547a6e9, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0x2bd479594b94ed6e, 0x62b2ebea3e0d983d, 0x1c270dc3afb1698a,
  0x4ac3a909afa5b197, 0x6edd4239b8e7576e, 0x1c656355e363af3a, 0x6cbe701c762d3f91, 0x27951b044c8e1bd9,
  0x906d7972ab52cfa4, 0xe75152a8d75901cc, 0x404e9b95daa5beac, 0xc4ae5f63d34c9ae0, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xf91f5c78773c95fb, 0x0000000000000009,
};

// m8535_swio14_lednop_hw
static const uint64_t ur_m8515_swio14_lednop_hw[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x02415056d49dd85e, 0xff0e3cfc069827c6, 0xf243be5ba0a401ef, 0x4c638e5581d7ff51, 0xf48731602dee9b4a,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0x317f36d3d0ea9c0a, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000011c4b8a29,
};

// m8535_swio14_lednop_ee_hw
static const uint64_t ur_m8515_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x9c695a2e2f106d04,
  0x415b527740524cd3, 0x33e96a609f180905, 0xad198fa4035bfe85, 0x07d47a8f2b60b355, 0x377c5650fd47c1b3,
  0x32e384e1b875f62d, 0xacb8d64d2135f4b6, 0xedd4239b8e756974, 0xe32b1aad743af3a6, 0x65f380e3b169fc88,
  0x7951b047eb70decb, 0x06d7972ab500ba42, 0x75152a8d75901cc9, 0x04e9b95daa5beace, 0x4ae5f63d34c9ae04,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x9b632455bfdeaa8b, 0xa0bb1b8f365118bf,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x005bff92617d3c95,
};

// m8535_swio14_lednop_ce_hw
static const uint64_t ur_m8515_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121be4a, 0xfc776aaf08834e24, 0x4f48fee8db622c1e, 0x4d9febc6b9fb0676, 0x6d57c103d741375e,
  0x905415b52774a51d, 0xe8533f1ca609f180, 0xf7717d7baa416ebf, 0x7dc6883cf127212d, 0xbf51f097e21b0911,
  0xb2678bb9b5cd6e61, 0xcff51e5f4f72c67e, 0x014ca9c638e5581a, 0xa3e7688518df398b, 0x2f48a807feccf1d7,
  0xcaad5f5b81e5adc2, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0x8f4d326b81013a6e, 0xaad115e5d312b97d,
  0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0xc79b288c5fcdb190, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc930be9e4afdcd0c,
  0x00000000000759b7,
};

// m8515_swio14_lednop_ee_ce_u4_hw   m8535_swio14_lednop_ee_ce_hw      m8535_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m8515_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x62eed55fd4ec4c48, 0x9ebd6dda166ec17e, 0x86150015b89d7069, 0xe6e999cbb0b2d9e4,
  0x15b527777ec2da9a, 0x7fb06609f1809054, 0x47a6e9021f7fd0a6, 0xe789390935ddc5f5, 0xbf10d8488bee3441,
  0xdafc83abaffa8f84, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b297, 0x62d314c565d7d47c, 0x4b632e384e1b875f,
  0xceaedc958752135f, 0xc75e74ddba847371, 0x5a7f2238cac6abc6, 0x1c37b2d97ce038ec, 0xa59f484f2a360899,
  0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x9935c0809d372bb5, 0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568,
  0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x94462fe6d8c863b7, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28,
  0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587, 0x00000000280864e0,
};

// m8515_swio14_dual_pr
static const uint64_t ur_m8515_swio14_dual[] = {
  0xa2eeeeeeef3e1000, 0xbefcd532b457cfda, 0xd5b1ab65dd333f78, 0x81905c6768053332, 0x9b499f69d96ed450,
  0x92a6ddd5aaefa2fd, 0x9304f8c0482a0ada, 0x3c460499168290a4, 0xfb97185027c4df6b, 0xb98a2fe6535aa774,
  0x6f51e3dec1fc382f, 0x408a11c90ab03eea, 0xdad80370f815fe63, 0x324432bb8bddf177, 0x73c26b5a2a10cb42,
  0x3317397b72ebff40, 0x0a95fe80ca60b0ab, 0x2fa8f221df2c3e52, 0x4d52bba8e3956062, 0x0511bde731602eb1,
  0x03ff6608ebc06a76, 0x5c0f2cf6f22c1f54, 0x59fccfa399959948, 0x5901cc906d7972ab, 0xa5beace75152a8d7,
  0x4c9ae0404e9b95da, 0x457974c4ae5f63d3, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x65118bf9b632455b, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000c413eb8f0ee7,
};

static const uint64_t ur_m8515_swio14_dual_pr_u4[] = {
  0xd3dddddda24343ee, 0x25f9aa65681b9fb0, 0x3d1edbb4cc8f9b08, 0x69b4b5375176c4a3, 0x21b4f00a69c53b74,
  0x5b526c7bbabbf224, 0x747e609f18090541, 0xdacf11812645a0a4, 0xdd3ee5c61409f137, 0x807b98c7fe65d849,
  0xd2a6f51e44d86df3, 0xe63408a11c90ab03, 0x17798f80370f815f, 0xb42d64432bb8bddf, 0xf4073c2627a2a10c,
  0x0ab3317397b790ff, 0xdd2080dff327260b, 0x0c9af51e5f1df2db, 0x6594d222f91c72ac, 0xf3b4648f7b398b01,
  0xb3a0dc72c608ebd1, 0x56b3f99f47332b32, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0xa69935c0809d372b,
  0x688af2e9895cbec7, 0xca70173a03cb9ed5, 0x810b4ac22617a96b, 0x6da7a1d5381b1fe2, 0xc6f86e3cd94462fe,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x014939f0567979e4,
};

static const uint64_t ur_m8515_swio14_dual_pr_ee[] = {
  0xa76eeeee87ad0c86, 0x3bf354c85e9aefd8, 0xdc3edd9c482a2723, 0xba8e361900dce4fb, 0xdd711d7622d2ca71,
  0xdddd8dd97d7e62ec, 0x8c0482a0ada93e45, 0x9322d0520551304f, 0x0a04f89bed6788c0, 0xbf32ec24ee9f72e3,
  0x6b6c09d1c12d4c16, 0x39215607a6e6f51c, 0x6e1f02bfcc681142, 0xaee2f77c5dfcdf00, 0xf7150865a0bed10c,
  0xf6e9b7ff4073c260, 0x64e4c16156662e72, 0xab5a328b48287ffe, 0x660ccaf51e57bee6, 0x5a6ef8ae577a8f83,
  0x6c65c709c370ebec, 0x9755c09f9a426be9, 0x3763291e9473ab4b, 0x8d31b1aad743af63, 0xef76701c762d397c,
  0xd6546c11fadc37b2, 0xccfa39995980507e, 0x1cc906d7972ab59f, 0xeace75152a8d7590, 0xae0404e9b95daa5b,
  0x974c4ae5f63d34c9, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x18bf9b632455bfde,
  0xe3459d3e1b8f3651, 0x54e7ea75666fe0ee, 0x78b9c65f989fca18, 0x3f1cf7ff04d0f226, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x015910259e5e792b,
};

static const uint64_t ur_m8515_swio14_dual_pr_ee_u4[] = {
  0x40bdddddda2432db, 0xe37e6a990bcabdfb, 0x5a9afba769a741b8, 0x176279294ad4fb2d, 0x4a3f73875d88b4b8,
  0x5c6ee3822ac07c67, 0x827c602415056d49, 0x4604991682902a89, 0x97185027c4df6b3c, 0x6275f997612774fb,
  0xa8fa6f61158e035a, 0x8a11c90ab03cad37, 0x500370f815fe6340, 0x4432bb8bddf177d2, 0x84d224542196847b,
  0x5ce5edd36ffe80e7, 0xfffcc9c982c2accc, 0xc166ab5a37f29050, 0x1f06cc184ff51e56, 0xd7d8b4ddf15c87f5,
  0xd7d2d8cb8e1386e1, 0x569728ab80e33484, 0x5e534ed38a39b8e7, 0x6b5d1c656355ae87, 0x1bd96e4ce038ec5a,
  0xd1cccacd71d27d6e, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x20274dcaed52df56, 0x62572fb1e9a64d70,
  0x3f5ae7b55a22bcba, 0x57a96165362ce80f, 0xe0517d14085a6ae7, 0x65118bf9b69e8754, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xd9e5e792bf734332, 0x00000000000ac859,
};

static const uint64_t ur_m8515_swio14_dual_pr_ce[] = {
  0x33ddddddde7cbd5b, 0x2df9aa65685a9fb5, 0x7eefdee4e8375168, 0x5a5cbb39df6ac315, 0x7aed9f0f6dda6662,
  0x9066eeeefdc05ad0, 0x9827c602415056d4, 0xc460499168290000, 0xb97185027c4df6b3, 0x98bafe6535aa774f,
  0xea3b93d87ce38487, 0x22847242ac0d7dcd, 0xae00dc3e057f98d0, 0x110caee2f77c5dff, 0xe132d78a8432d0c9,
  0x8b9cbdbefbffa039, 0xc3ff406530585599, 0xcee439dff59ba901, 0x736be9a7f9f9e005, 0xbe9ee580bac984e7,
  0x8c71cab0359fea3c, 0x0a31be7316029953, 0x71cb19e3af47ced1, 0xe67d1cccacc7507f, 0x0e64836bcb955acf,
  0xf5673a8a9546bac8, 0xd7020274dcaed52d, 0xcba62572fb1e9a64, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80,
  0x5545a476e7a1d538, 0x18bf9b63218edfef, 0xb1e71726ae0f3651, 0x3f75663c819a7c68, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x073d78d8f0ee792b,
};

static const uint64_t ur_m8515_swio14_dual_pr_ce_u4[] = {
  0xd627777776890c86, 0x2eefcd53200aaf7e, 0xab6bbf75053d6123, 0x4c8f9129ceb7bf65, 0x798a164029f7bb62,
  0x524d2bbbbb1bb2d0, 0xaa609f180905415b, 0x9e23024c8b4148f5, 0x7dcb8c2813e26fb5, 0xe531c1fccbb093ba,
  0x9bd47b75b0d9c708, 0xa04508e485581e04, 0xf2a001b87c0aff31, 0x3da2195dc5eef8bb, 0xe784c13e2a10cb40,
  0xcc5ce5edec7ffe80, 0x06b7fcc9c982c2ac, 0xc84a395c5f531f48, 0xc2445f71a20f3c49, 0xe5d1ffd47c25f886,
  0x8cf13f33c5dcdaec, 0x581dc3f51fa89ee5, 0xe62c0580c13e38e5, 0x1d780d4ec0a237bc, 0x764583ea807feccf,
  0x1cccacca42e0796b, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0x0274dcaed52df567, 0x2572fb1e9a64d702,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x9b63218edfef5545, 0xb1be1b8f365118bf,
  0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x00034920559e5e79,
};

static const uint64_t ur_m8515_swio14_dual_pr_ee_ce[] = {
  0xa716eeeeeea1a5fb, 0xd6bf354c1af912fd, 0xf7337bb62f1aac33, 0xaf8dd27270b26d13, 0xae3f2bbf1d9899c4,
  0xee9646baa8c4ab2f, 0xc602415056d49322, 0x2645a0a41c939827, 0x1409f137dacf1181, 0x7e65d849dd3ee5c6,
  0x68d869a383fc9b10, 0xe485581d8fcdea38, 0xb87c0aff31a04508, 0x7717bbe2ef185c01, 0x78a8432d060a8865,
  0xb7ec1ffa039e1348, 0x27260b0ab3317397, 0xfd51e04a416b7ff3, 0x03f9e24e4253b677, 0x7c984e7736b8224c,
  0xea3caf2b4a76b2b1, 0x5e04f51f06cc1f75, 0x1386e1d7d8b4c531, 0x51d484d7d2d8cb8e, 0x63291e9473abb717,
  0x636355e363af6337, 0xece038ec5a72f91a, 0x546c1132386f65de, 0xfa39995996707ed6, 0xc906d7972ab59fcc,
  0xce75152a8d75901c, 0x0404e9b95daa5bea, 0x4c4ae5f63d34c9ae, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6,
  0x8b48edcf43aa7021, 0x7f36c6431dbfdeaa, 0xa2c79c371e6ca231, 0x5c9fbab337f07771, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0002609a72cf2f3c,
};

static const uint64_t ur_m8515_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xcd530b8f5edfb162, 0x64d51fa2fd9538af, 0x7f1fefaf87c3c3d9, 0x4addc12c4cf8ed15,
  0x6ba8404bc9d5ef22, 0xb525a73b8beb05b4, 0x7ae609f180905415, 0x6788c09322d0522c, 0x9f72e30a04f89bed,
  0x0cd787f995fb44ee, 0x7a8e87db0c6e3876, 0x08a11c90ab03c413, 0x0080370f815fe634, 0x910caee2f77c5def,
  0xc26df7150865a11c, 0x2e72f6f723ff4073, 0x7fef662cc1615666, 0xaf717d519c1a406b, 0xfb8d1079e24e039f,
  0xfea3e12fc4361222, 0x4cf17736bbc03118, 0x3caf2b4a76b736be, 0x04f51f06cc1f75ea, 0x86e1d7d8b4c5315e,
  0xd484d7d2d8cb8e13, 0x291e9473abb71751, 0x6355e363af633763, 0xe038ec5a72f91a63, 0x6c1132386f65deec,
  0x39995996707ed654, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x04e9b95daa5beace, 0x4ae5f63d34c9ae04,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x36c6431dbfdeaa8b, 0x2e4d5c1e6ca2317f,
  0x337f06fd0468b1be, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x4d01c5da9e4afdcd, 0x0000000000000800,
};

// m8535_swio14_dual_hw
static const uint64_t ur_m8515_swio14_dual_hw[] = {
  0x2eeeeeed121b9a7c, 0xefcd532b457cfdaa, 0xa5ab765dd333f78b, 0x10320b8ced00a667, 0xfae933ed3b2dda8a,
  0xb5254dbb90846736, 0x492609f180905415, 0xd6788c09322d0521, 0xe9f72e30a04f89be, 0x17dcc517f32ec24e,
  0x7537a8f1ef60fe1c, 0x31a04508e485581f, 0xbbed6c01b87c0aff, 0xa11922195dc5eef8, 0xa039e135ad150865,
  0x55998b9cbdb975ff, 0x520a95ffe43f3058, 0x622fa8f221df2c3e, 0xb14d52bba8e39560, 0x760511bde731602e,
  0x5403ff6608ebc06a, 0x485c0f2cf6f22c1f, 0xab59fccfa3999599, 0xd75901cc906d7972, 0xdaa5beace75152a8,
  0xd34c9ae0404e9b95, 0xb4457974c4ae5f63, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0x5bfdeaa8b48edcf4,
  0xf365118bf9b63245, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0xac17d3c95fb9a199, 0x0000000000c6ea80,
};

// m8535_swio14_dual_ee_hw
static const uint64_t ur_m8515_swio14_dual_ee_hw[] = {
  0x29dbbbbbb4486f97, 0xcefcd53217a6bbf6, 0xf70fb767120a89c8, 0x6ea38d864037393e, 0x375c475d88b4b29c,
  0xe45dcf04675aa75b, 0x04f8c0482a0ada93, 0x8c09322d05205513, 0x2e30a04f89bed678, 0xc16bf32ec24ee9f7,
  0x51c6b6c09d1c12d4, 0x14239215607a6e6f, 0xf006e1f02bfcc681, 0x10caee2f77c5dfcd, 0x260f7150865a0bed,
  0xe72f6e9b7ff4073c, 0xfff90fcc16156662, 0xdcd56b465169050f, 0xf06cc1995ea3caf7, 0x7d8b4ddf15caef51,
  0x7d2d8cb8e1386e1d, 0x6972eab813f3484d, 0xec66ec6523d28e75, 0x2f91a636355ae875, 0xf65deece038ec5a7,
  0x0fdaca8d823f5b86, 0xb3f99f47332b300a, 0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x9935c0809d372bb5,
  0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0xca2317f36c648ab7,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x0000000002bb4810,
};

// m8535_swio14_dual_ce_hw
static const uint64_t ur_m8515_swio14_dual_ce_hw[] = {
  0x89dddddda2436f02, 0xbbf354c802abdfb5, 0xdaefdd414f5848cb, 0x23e44a73adefd96a, 0xcd85900a7deed893,
  0x4934aee7f0f9afa2, 0xa9827c602415056d, 0x788c09322d0523d6, 0xf72e30a04f89bed6, 0x94c707f32ec24ee9,
  0x6f51edd6c3671c23, 0x8114239215607812, 0xca8006e1f02bfcc6, 0xf688657717bbe2ef, 0x9e1304f8a8432d00,
  0x317397b7b1fffa03, 0x35bffc87e60b0ab3, 0x4251cae2fa98fa40, 0x1222fb8d1079e24e, 0xfa547ea3e12fc436,
  0x6789f99e2ee6d766, 0xc0ee1fa8fd44f72c, 0x31602c0609f1c72a, 0xebc06a760511bde7, 0xb22c1f5403ff6678,
  0xe66566521703cb5b, 0x1b5e5caad67f33e8, 0xd454aa35d6407324, 0x13a6e576a96fab39, 0x2b97d8f4d326b810,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0x05d8dc79b288c5fc,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x009bac0a0be9e4af,
};

// m8535_swio14_dual_ee_ce_hw
static const uint64_t ur_m8515_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd435032, 0xad7e6a9835f225fb, 0xee66f76c5e355867, 0x5f1ba4e4e164da27, 0x5c7e577e3b313389,
  0x45dd57b68fef765f, 0x4f8c0482a0ada926, 0x024c8b4148392730, 0x8c2813e26fb59e23, 0x20fccbb093ba7dcb,
  0x70d1b0d34707f936, 0x11c90ab03b1f9bd4, 0x0370f815fe63408a, 0xcaee2f77c5de30b8, 0x90f150865a0c1510,
  0x2f6fd83ff4073c26, 0xf90fcc16156662e7, 0xdff547812905adff, 0x3397e78939094ed9, 0xb17c984e7736bd25,
  0x75ea3caf2b4a76b2, 0x315e04f51f06cc1f, 0x8e1386e1d7d8b4c5, 0x1751d484d7d2d8cb, 0x3763291e9473abb7,
  0x1a636355e363af63, 0xdeece038ec5a72f9, 0xd6546c1132386f65, 0xccfa39995996707e, 0x1cc906d7972ab59f,
  0xeace75152a8d7590, 0xae0404e9b95daa5b, 0x974c4ae5f63d34c9, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01,
  0xaa8b48edcf43aa70, 0x317f36c6431dbfde, 0xae4fcfec371e6ca2, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002269e9c0be9e,
};

// m8535_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_swio14_dual_ee_ce_u4_hw[] = {
  0x2dddddda28d1bf5b, 0xfcd530b8f5edfb16, 0xc3dd51fa2fd9538a, 0xd157f1fefaf87da3, 0xf224addc12c4cf8e,
  0xdeb00ec80bbc9d5e, 0x482a0ada92d39dcc, 0x6829163d7304f8c0, 0x7c4df6b3c4604991, 0x41aa774fb9718502,
  0x6e38760cd787f996, 0x03c4137a8e87db0c, 0x5fe63408a11c90ab, 0x7c5def0080370f81, 0x65a11c910caee2f7,
  0xff4073c26df71508, 0x6156662e72f6f723, 0x1a406b7ff88b24c1, 0x5f425faf717d519c, 0x61222fb8d1079e2c,
  0x4e5c17ea3e12fc43, 0xdcdaf933c5dcdafd, 0x7dd7a8f2bcad29da, 0x14c57813d47c1b30, 0x2e384e1b875f62d3,
  0xdc5d4752135f4b63, 0x8cdd8ca47a51ceae, 0xe4698d8d578d8ebd, 0x977bb380e3b169cb, 0xfb5951b044c8e1bd,
  0x7f33e8e6656659c1, 0x4073241b5e5caad6, 0x6fab39d454aa35d6, 0x26b81013a6e576a9, 0x5e5d312b97d8f4d3,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x88c5fcdb190c76ff, 0x2a73f505d8dc79b2,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9,
  0x000003aeb6acde80,
};

static const uint64_t ur_m8515_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x120a82b6a4eed8f6, 0x5e1de7f6fcc13e30, 0xc877cb749483a8ff, 0x9238e5581f3dea3f, 0x40731602dee9ba8c,
  0xc608ebc5cec37d1f, 0x7972ab52b09adc72, 0x52a8d75901cc906d, 0xb95daa5beaece751, 0x55abfdfd34c9ace9,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xf36c8122adfef554, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000549f598ae9e4a,
};

static const uint64_t ur_m8515_swio15_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a171895c, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beedc4e82,
  0xd49dda668cc19a3b, 0xfc9827c602415056, 0x0fd2032bfdd48e7d, 0x81f41ea3cbe3be5a, 0x2cb298ca9c638e55,
  0x3e767bd1ef673160, 0x934a807fecc11d7a, 0x56aab540f2cf6ee1, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551,
  0xfbfa699359d372bb, 0x6ab4457974c4ab57, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3,
  0xab83cd94462fe6d9, 0x903b6868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e44cf1738cbf313, 0x985727e39effe09a,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000000f933273eb,
};

static const uint64_t ur_m8515_swio15_noled_pr_u4[] = {
  0xa937777768bb1762, 0x4f5bbb5572283225, 0xcc7617ea1c489184, 0x7f43bb8975f5a193, 0x8ee00db6f26eea41,
  0x0ada93bb4cd19ad0, 0x9fdbf304f8c0482a, 0xcb749483a8ff7523, 0xe5581f3dea3fc877, 0x1602dee9ba8c9238,
  0xebc5cec37d1f4073, 0xab52b09adc72c608, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0xfdfd34c9ace9b95d,
  0xb55a22bcba6255ab, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61, 0xd5c1e6ca2317f36c,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x42f9f5e792bf7343, 0x0000000000007c98,
};

static const uint64_t ur_m8515_swio15_noled_pr_ee[] = {
  0x2f7bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xbdbc8a63afdc29a9, 0x9d0ccdd9b020da08,
  0xada93bbe451d9898, 0xf383304f8c0482a0, 0x332a906cefffe759, 0x00f51e5695a6ab5a, 0xf8ad7dfa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x31463e1cead2e652, 0xb1aad743af5d4dd9, 0x380e3b169dac8fa0,
  0xc087fadc37b2e1cb, 0x01cc906d7972ab55, 0xeaece75152a8d759, 0x34c9ace9b95daa5b, 0x22bcba6255abfdfd,
  0x0c537acef2e7b55a, 0x78a042d2d7f88d4f, 0xbf9b69e8754e0479, 0xb1e71726ae365118, 0x27eeacc7903f2868,
  0x289c6592e19e9857, 0xee6866587494b659, 0x29f36bda9c8cf257,
};

static const uint64_t ur_m8515_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0x49dd3b410e5d96aa, 0x69827c602415056d, 0x54837dffff3acfc5, 0xa8f2b74b355ad199, 0x7f3bd47c1b306807,
  0x4e1b875f62d377c5, 0x4cd2135f4b632e38, 0x6f79cead2f019714, 0xad743af5d4dd8144, 0x8ec5a79151dc3b1a,
  0xbeb70decb872ce03, 0x920daf2e556ab826, 0x9cea2a551aeb2039, 0x359d372bb54b7d5d, 0x974c4ab57fbfa699,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x4462fe6d902455bf, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000013ae917a9c8c,
};

static const uint64_t ur_m8515_swio15_noled_pr_ce[] = {
  0x8dadddddddec53c3, 0x0da3bb5572284844, 0xe2fd377a5ef9b871, 0xd5b416efb26d4c6d, 0x8c7136104cc774da,
  0x5056d49dd23f2eec, 0x1cf94b9827c60241, 0xffa829481d2ffba9, 0x9b7f9e005839f38e, 0x2eb26139dcdafbb4,
  0x0327bd479ba7b960, 0x31602f740a471cab, 0x1d7a3e767bd1ef67, 0xbae1934a807feccf, 0xbcb955aaad503cb5,
  0xa9546bac80e64836, 0xdcaed52df57673a8, 0x2ad5fefe9a64d674, 0x5d73daad115e5d31, 0x7536294f0d3bc77f,
  0x2d30ca7a1d538107, 0xf36c810c76ff7aaa, 0x3ce2e4d5c6ca2317, 0xfdd598f2076d0d16, 0x138cb25c33d30ae4,
  0xcd0ccb0e9296cb25, 0xdd5b8fe7d79e4afd, 0x0000000000000002,
};

static const uint64_t ur_m8515_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0x056d49dd4149cba7, 0xcfece9827c602415, 0xf5dbf482577fff3a, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xf374f72c67eb2678, 0x8148e3956064f7a8, 0xcf7a3dece62c05ee, 0x500ffd99e3af47ce,
  0x55aa0796b75c3269, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd34c9ace9b95daa5, 0xa22bcba6255abfdf,
  0xe1a778efebae7b55, 0x43aa7020eea6c529, 0x8edfef5545a6194f, 0x3cd94462fe6d9021, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x9c8cf257ee686658, 0x000000001baf5652,
};

static const uint64_t ur_m8515_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0x6a4eebd69c452bed, 0x4d4c13e30120a82b, 0x4ba41ff3fff9d67f, 0x016b4963e77fd519, 0xe7736b9256547e78,
  0xce1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0x1d7d8b4c5315c87f, 0x4d7d2d8cb8e1386e, 0xe4873abb77ee1d48,
  0xaf1b1d79d376d291, 0xc762d34c51c1fb1a, 0x44c8e1bd96cbe701, 0x556a5993582d51b0, 0x1aeb2039920daf2e,
  0xb54b7d5d9cea2a55, 0x7fbfa699359d372b, 0xf6ab4457974c4ab5, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d,
  0x20431dbfdeaa8b4c, 0xb93571b288c5fcdb, 0x663c81f943458f38, 0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3,
  0x1fd4e46792bf7343, 0x0000000000014d3b,
};

static const uint64_t ur_m8515_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c92df, 0x2eed55fd4f274496, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf5a30,
  0x3baa3e842af89b66, 0x304f8c0482a0ada9, 0x81aeffd8d0f3f8dd, 0xe77882e2faa3d9d4, 0x09117dc6883cf002,
  0x2e1fff51f097e21b, 0xcdbdf33c5dcdaeb8, 0x7afa8f2b38729dad, 0x4c5721fd47c1b306, 0xe384e1b875f62d31,
  0xdfb8752135f4b632, 0x4ddb4a47921ceaed, 0x4707ec6abc6c75e7, 0x5b2f9c071d8b4d31, 0x60b546c1132386f6,
  0x4836bcb955a9664d, 0x73a8a9546bac80e6, 0xd674dcaed52df576, 0x5d312ad5fefe9a64, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x2317f36c810c76ff, 0x8b1be2e4d5c1e6ca, 0x7ea75663c819a7c6,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0009f9b5ec78773c,
};

// m8535_swio15_noled_hw
static const uint64_t ur_m8515_swio15_noled_hw[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x120a82b6a4eed8f6, 0xf871e7f6fcc13e30, 0xf90ef96e9290751f, 0x92471cab03e7bd47, 0xe80e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ab57fbfa699359d,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xfe6d902455bfdeaa, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000004717d7453c9,
};

// m8535_swio15_noled_ee_hw
static const uint64_t ur_m8515_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0x2b6a4eeb4efb5bb2, 0x7c9d4c13e30120a8, 0xd1bf94822b7fd0a6, 0xc27fa8f2b297355a, 0xef8acbafa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0xb4a47921cead2ffb, 0x3f6355ae875e74dd, 0x7ce038ec5a698a38,
  0x546c11fadc37b2d9, 0x6bcb955a8044d60b, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x12ad5fefe9a64d67,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbf9b6409156ff7aa, 0x7ea0bb1b8f365118,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00002df00ac17d3c,
};

// m8535_swio15_noled_ce_hw
static const uint64_t ur_m8515_swio15_noled_ce_hw[] = {
  0x84dddddda2431768, 0xf8eed55e11219c4a, 0xded91dddb6ebd83d, 0x4d9febf8fe2f3631, 0x5a3d9eb8d3243768,
  0x20a82b6a4ee9ba3b, 0xd0a67f674c13e301, 0xb5c5f5dbf482577f, 0xf71a20f3c49c84b2, 0xfd47c25f886c2445,
  0xc99e2ee6d7fd735b, 0x3dea3cdd3dcb19fa, 0x017ba05238e55819, 0xd1f3b3de8f7b398b, 0x0c9a5403ff6678eb,
  0xcaad556a81e5add7, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xaff7f4d326b3a6e5, 0x9ed5688af2e98956,
  0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0x640863b7fbd55169, 0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0,
  0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x66f843e17d3c95fb,
  0x000000000000001d,
};

// m8515_swio15_noled_ee_ce_u4_hw    m8535_swio15_noled_ee_ce_hw       m8535_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m8515_swio15_noled_ee_ce_hw[] = {
  0x68dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0xeccec4ac10b2d9eb,
  0x56d49ddcfb403a89, 0xfc6e9827c6024150, 0x1ecea40d77ff4299, 0xcf127212c41717d5, 0x7e21b09117dc6883,
  0xb5f541e41ff51f09, 0x53b5b9b7be678bb9, 0x3660cf5f51e5670e, 0xc5a6298ae43fa8f8, 0x96c65c709c370ebe,
  0x9d5dbbf70ea426be, 0x8ebce9bb6948f243, 0x69a628e0fd8d578d, 0x70decb65f380e3b1, 0x2cc9ac16a8d82264,
  0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd34c9ace9b95daa5, 0xa22bcba6255abfdf, 0xe1a778efebae7b55,
  0x43aa7020eea6c529, 0x8edfef5545a6194f, 0x3cd94462fe6d9021, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xd285f4f257ee6866, 0x00000000000280b2,
};

static const uint64_t ur_m8515_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x482a0ada93ba0bd0, 0x78779f5f7304f8c0, 0xc3be5ba4a411effd, 0x31c72ac0f9ef51d7, 0x3398b016f74c7ac4,
  0x30475e2e76ded1dc, 0x972ab52b167ee396, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x63d34c9ae0404e9b,
  0xb55a22bcba625725, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xf9b69e8754e04e7d, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001520e8c574f25,
};

static const uint64_t ur_m8515_swio15_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62571, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11ddb89d05,
  0xa93bbf4e0d9fbb82, 0x95304f8c0482a0ad, 0x7e9018fff75239fa, 0x07d07a8fa51df2d0, 0x6594c63cf58e3956,
  0xf3b7c88e32398b01, 0xc35403ff6608ebd1, 0xb5815a07967b7bdd, 0x75901cc906d7972a, 0xa5beaece75152a8d,
  0x4c9ae0404e9b95da, 0x22bcba62572563d3, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0xca2317f36cbb22ad, 0x34596af2e4d5c1e6, 0x4e7ea75663c81db4, 0x43c899e04e34a185, 0x970cf4c2b93f01f3,
  0x2c3a4a5b3e04e32c, 0x6f9f5e792bf73433, 0x000000000007c9bd,
};

static const uint64_t ur_m8515_swio15_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0xadddaab9141af12d, 0xfdcc77d7f858c227, 0xfe877713a5ef9bf8, 0x6636c99bafddd482,
  0x56d49dd313704904, 0xfafb9827c6024150, 0xb7494823dffba91c, 0x5581f3dea3af877c, 0x602dee98f588638e,
  0xbc5cedbda3b86731, 0x6a562cfdc72c608e, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a, 0x9935c0809d372bb5,
  0x457974c4ae4ac7a6, 0x59d01e7eb5cf6ab4, 0xb4d5ceaf52c2ca6c, 0x3d0ea9c09cfa2810, 0xd5c1e6ca2317f36d,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x2cf9f5e792bf7343, 0x0000000000000f93,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0x304f8c0482a0ada9, 0x20383fffceb3f43f, 0x3cad4f4d56b46fe5, 0x0bea3e0d98309fea,
  0x0dc3afb169bbe2b6, 0x6909afa5b1971c27, 0x2873ab4bfce5c6b2, 0xd743af3a6ec13d18, 0x762d3c911e45b1aa,
  0xfd6e1bd96cbe701c, 0xad402b864d2a3608, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xd326b81013a6e576,
  0x88af2e9895c958f4, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xb288c5fcdb2ec8ab,
  0x0d1674f8b9357079, 0x539fa9d598f207e5, 0xe2e7197e627f2861, 0xfc73dffc1343c899, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x04ebaec53919e4af,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0xb6a4eeabe67d06cb, 0xce0cc13e30120a82, 0xccaa41b3bfff9d67, 0x03d47959759aad68, 0xe2b387ea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0x023f90e7569728ab, 0x8d56ba1d7aea6ec8, 0xc071d8b4def47bdd,
  0x2e1fd6e1bd970e59, 0x0e64836bcb955aae, 0x57673a8a9546bac8, 0x7020274dcaed52df, 0x5d312b92b1e9a64d,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x8bf9b65d9156ff7a, 0x8df1726ae0f36511,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00275c216a7233c9,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ce[] = {
  0x1b5bbbbbbbd8b562, 0x1b4776aae4519089, 0xc33d697b5a6cf0e2, 0x6ada0b7792164ea1, 0xb7071795bb1fba6d,
  0x415b52777e9c1b34, 0x73ea7a609f180905, 0xfea0a5202ebfeea4, 0xfe7e780160e1c33b, 0x2eb26139dcdafa69,
  0x0327bd479c67b960, 0x62c050f680471cab, 0x3af47cedf2238c8e, 0x76f770d500ffd99e, 0x7972ab5815a0796b,
  0x52a8d75901cc906d, 0xb95daa5beaece751, 0x563d34c9ae0404e9, 0x7b55a22bcba62572, 0x52d7ce80f37b6bae,
  0xe7a1d5381085482e, 0x618edfef5545a476, 0x9ab8d94462fe6d97, 0x1e40eda1a2c79c5c, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0xdcfaf3c95fb9a199, 0x00000000005baf49,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ce_u4[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0x056d49dd3ad1a848, 0xcf8d69827c602415, 0xf5dbf4834dffff3a, 0x83cf002d692dd5c5, 0x097e21b09117dc68,
  0xbb9b5e9299cbf51f, 0xf38cf72c67eb2678, 0xd008e3956064f7a8, 0xbe447191cc580a1e, 0xa01ffb33c75e8f9d,
  0x02b40f2d6edeee1a, 0x2039920daf2e556b, 0x7d5d9cea2a551aeb, 0x35c0809d372bb54b, 0x7974c4ae4ac7a699,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x8c5fcdb2ec31dbfd, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0000375cb353919e,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0xda93ba0292634e39, 0x6b7304f8c0482a0a, 0x4ba409b7fffceb3f, 0x016b49bb477fd519, 0xcee6d7e8fa927e78,
  0x94394ed6563df309, 0xa3e0d9833d7d4795, 0x3afb1698a62b297e, 0x9afa5b1971c270dc, 0x050e7576ef9c3a90,
  0xbc6c75e74dd827a3, 0x1d8b4f2447916c6a, 0x132386f65b2f9c07, 0x55a96770c9a546c1, 0x6bac80e64836bcb9,
  0xd52df57673a8a954, 0x9a64d7020274dcae, 0xd115e5d312b92b1e, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x6ca2317f36cbb0c7, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0x19e4afdcd0ccb0e9, 0x000000534ce14539,
};

static const uint64_t ur_m8515_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7c50e3, 0x2eed55fd4e05c496, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf5a30,
  0x4ee8581f6ca70b29, 0xcc13e30120a82b6a, 0x900a4ff6343cf9ad, 0x5cee005c5f547b3a, 0x61222fb8d1079e00,
  0xd7eb57ea3e12fc43, 0x736f7ccf17736bb3, 0x9ebea3caca1ca76b, 0x531594bf51f06cc1, 0xb8e1386e1d7d8b4c,
  0x77ce1d484d7d2d8c, 0xa6ec13d182873abb, 0x23c8b6355e363af3, 0x2d97ce038ec5a792, 0x64d2a3608991c37b,
  0x241b5e5caad4b3b8, 0x39d454aa35d64073, 0x013a6e576a96fabb, 0x895c958f4d326b81, 0xdaeb9ed5688af2e9,
  0x520b94b5f3a03cde, 0x691db9e8754e0421, 0x9b65d863b7fbd551, 0x1726ae0f365118bf, 0xb31e40cd3e3458df,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xcbab63c3b9e4afdc, 0x000000000000004f,
};

// m8535_swio15_lednop_hw
static const uint64_t ur_m8515_swio15_lednop_hw[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x482a0ada93ba0bd0, 0xe1c79f5f7304f8c0, 0xf877cb7494823dff, 0x8638e5581f3dea3a, 0x86731602dee98f58,
  0xc608ebc5cedbda3b, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xac7a69935c0809d3,
  0xf6ab4457974c4ae4, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0x7f36d3d0ea9c09cf, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000011c43aa29e4,
};

// m8535_swio15_lednop_ee_hw
static const uint64_t ur_m8515_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x4b8c8f9bb106d05c,
  0x15b52775b11ced4e, 0x7e87e609f1809054, 0xd1bf9480e0ffd0a6, 0xc27fa8f2b53d355a, 0xef8ad82fa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x04f460a1cead2ff3, 0x16c6ab5d0ebce9bb, 0xf9c071d8b4f24479,
  0xa8d823f5b86f65b2, 0xd7972ab500ae1934, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x2563d34c9ae0404e,
  0xe7b55a22bcba6257, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0xbb22adfef5545a47, 0x6371e6ca2317f36c,
  0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x7cd6082fa792bf73, 0x000000000000000b,
};

// m8535_swio15_lednop_ce_hw
static const uint64_t ur_m8515_swio15_lednop_ce_hw[] = {
  0x426eeeeed121b768, 0xfc776aaf08942e25, 0x37a6977600f4ac1e, 0x26cff5fc7e19e2f5, 0xed9c551682b21bb4,
  0x905415b52775d92b, 0xe8533e35a609f180, 0xeae2faedfa41a6ff, 0xfb8d1079e24e4256, 0x7ea3e12fc4361222,
  0x64cf17736bde1f2d, 0x9ef51e719ee58cfd, 0x0143da011c72ac0c, 0xd1f3b7c88e32398b, 0xddc35403ff6678eb,
  0xcaad605681e5addb, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xf4d326b81013a6e5, 0x5688af2e9895c958,
  0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0xf365118bf9b65d86, 0xca1854e7ea0bb1b8,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x8a17d3c95fb9a199,
  0x0000000000eb3799,
};

// m8515_swio15_lednop_ee_ce_u4_hw   m8535_swio15_lednop_ee_ce_hw      m8535_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m8515_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x461500033c9c8cfc, 0x6538374710b2d9eb,
  0x2b6a4ee8eba6bef7, 0xf9adcc13e30120a8, 0x47b3a900a4ffa14c, 0xf3c49c84a005c5f5, 0x5f886c2445f71a20,
  0x36b8523e72fd47c2, 0xca76b736f7ccf177, 0x06cc19ebea3caca1, 0xd8b4c531594bf51f, 0xd2d8cb8e1386e1d7,
  0x73abb77ce1d484d7, 0x63af3a6ec13d1828, 0x5a79223c8b6355e3, 0x1c37b2d97ce038ec, 0x4b3b864d2a360899,
  0x64073241b5e5caad, 0x6fabb39d454aa35d, 0x26b81013a6e576a9, 0xaf2e9895c958f4d3, 0x03cdedaeb9ed5688,
  0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x118bf9b65d863b7f, 0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18,
  0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x0000000a02b72017,
};

// m8515_swio15_dual_pr
static const uint64_t ur_m8515_swio15_dual[] = {
  0xc8eeeeeeef3e6d3a, 0xbefcd532b49c4fda, 0xd5acfb638f913f78, 0x8190fa63d9b106e8, 0x4c39db29eb6ed910,
  0x254dbbae76cdbade, 0x6609f180905415b5, 0xf11812645a0a4022, 0xee5c61409f137dac, 0xe628bf994d6a9dd3,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x0517fd0194c16156, 0x7ea3f7477cb2d7a4, 0x628bb7e38e5581ef, 0x7c8d31398b01758a,
  0x3ff6608ebc06a769, 0xe07967b63e0df540, 0xcfe67d1cccacc538, 0xc80e64836bcb955a, 0xdf57673a8a9546ba,
  0x4d7020274dcaed52, 0x5e5d312b92b1e9a6, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x118bf9b65d9156ff, 0x8b1e71726ae0f365, 0x93f75663c819a7c6, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x0031039f0f0ee792,
};

static const uint64_t ur_m8515_swio15_dual_pr_u4[] = {
  0x23bbbbbb4486ff3e, 0xfbf354cad2713f6b, 0x6c6add8e3e44fde2, 0x840c87d31ecd8837, 0xabd9ced94f5b76c8,
  0x92a6ddcd3c57b1d7, 0x3304f8c0482a0ada, 0x788c09322d052011, 0xf72e30a04f89bed6, 0xdcc517f32ec24ee9,
  0x37a8f1ef60fe1c17, 0xa04508e485581f75, 0xf88001b87c0aff31, 0x8c910caee2f77c5d, 0x1cf09ad68a8432d0,
  0xccc5ce5edca5ffd0, 0x80a2ffcc9c982c2a, 0xefd47ee8ef965af4, 0x4c5176fc71cab03d, 0x2f91a62731602eb1,
  0x07fecc11d780d4ed, 0x1c0f2cf6c7c1bea8, 0x59fccfa3999598a7, 0x5901cc906d7972ab, 0x5beaece75152a8d7,
  0xc9ae0404e9b95daa, 0x2bcba62572563d34, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5,
  0xa2317f36cbb22adf, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x3cbcf257ee686658, 0x00000000a49ad6ab,
};

static const uint64_t ur_m8515_swio15_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0xefcd53217f76fd8a, 0xa0fb77ed1da89c8c, 0xd47101489f55f62f, 0x577d17b11696528d,
  0x74b235d66d0ab326, 0x30120a82b6a4f917, 0x991682909c7cc13e, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0x5b604e8e096a60b5, 0xc90ab03d3737a8e3, 0x70f815fe63408a11, 0x7717bbe2ef300803, 0xb8a8432d05f68865,
  0xdbe9affa039e1307, 0x939305855998b9cb, 0x56b47fba9005aff9, 0x9830f7ea3caedd4d, 0x69bbe2bdf7ea3e0d,
  0xb1971c270dc3afb1, 0x52d7027e6909afa5, 0xbb07b467a9cead2e, 0x710d8d56ba1d7b19, 0xbdd9c071d8b4e714,
  0x1551b047eb70decb, 0x33e8e66566010df1, 0x73241b5e5caad67f, 0xbb39d454aa35d640, 0x81013a6e576a96fa,
  0xe9895c958f4d326b, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x5fcdb2ec8ab7fbd5,
  0xa2cb578dc79b288c, 0x73f53ab337f07771, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0xecf2f3c95fb9a199, 0x00000000002b23d6,
};

static const uint64_t ur_m8515_swio15_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0xc6fcd53217efdbf6, 0xadeef747b5868371, 0x33b13c95d96d8bc6, 0xa40355f45ec45a5b,
  0x5c6ee78233a70b53, 0x827c602415056d49, 0x8c09322d052138f9, 0x2e30a04f89bed678, 0xc4ebf32ec24ee9f7,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0xa006e1f02bfcc681, 0x88657717bbe2ef24, 0x09a448a8432d08f6,
  0x5ce5edf4d7fd01cf, 0xd7fcc9c982c2accc, 0xa7a6ab5a380d4802, 0x8f83660e44f51e56, 0xebec5a6ef8ace1fa,
  0x6be96c65c709c370, 0xab4bfee5c0719a42, 0xaf29a76401182873, 0x37bd1e45b1aad743, 0x0decb726701c762d,
  0xd1cccacd7170feb7, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x0274dcaed52df576, 0x12b92b1e9a64d702,
  0xfad73daad115e5d3, 0xbd4b0b29b1674079, 0x0273e8a042d3573a, 0x288c5fcdb4f43aa7, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xcf2f3c95fb9a1996, 0x0000000002b2042e,
};

static const uint64_t ur_m8515_swio15_dual_pr_ce[] = {
  0x91ddddddde7cd0e3, 0x2df9aa65691a9fb7, 0xde8ebe991b835168, 0x5a5c714e5b28056f, 0x53ecb11d6ddf2262,
  0x0cddd5c6d0535f22, 0x04f8c0482a0ada92, 0x1812645a0a46a833, 0x5c61409f137dacf1, 0x2ebf994d6a9dd3ee,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x80370f815fe63408, 0x432bb8bddf177f60, 0x4cb5e2a10cb43244,
  0xe72f6f6ebfe80e78, 0x7fd0194c16156662, 0xb38677fd414a405d, 0x6bceddadfe780173, 0x9ee580bac984e773,
  0x1c72ac0c9ef51e71, 0x8e32398b0143da01, 0x72c678ebd1f3b7c8, 0x9f47332b31d0dfdc, 0x9920daf2e556b3f9,
  0xd9cea2a551aeb203, 0x0809d372bb54b7d5, 0x4c4ae4ac7a69935c, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6,
  0x8b48edcf43aa7021, 0xfcdb2ec31dbfdeaa, 0x38b9357079b288c5, 0xab31e40cd3e3458f, 0x1964b867a615c9fb,
  0xa19961d252d9f027, 0xd7a7078773c95fb9, 0x0000000000000073,
};

static const uint64_t ur_m8515_swio15_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x9df9aa640145efd9, 0xcd0b6eb4e375c969, 0xb8269605957a7da4, 0x156557d6a356ea3b,
  0xa4840ee9646bae1f, 0x24c13e30120a82b6, 0x9e23024c8b41480b, 0x7dcb8c2813e26fb5, 0xf7369bfccbb093ba,
  0x9bd4753db0cac70d, 0xa04508e485581975, 0xee4401b87c0aff31, 0x27a2195dc5eef8bb, 0x73c269c62a10cb40,
  0x662e72f6f43fff40, 0x1a6ffe64e4c16156, 0xe4256eae2faedfa4, 0x61222fb8d1079e24, 0x21d257ea3e12fc43,
  0x58cfd64cf17736bb, 0x2ac0c9ef51e719ee, 0x2398b0143da011c7, 0x678ebd1f3b7c88e3, 0x7332b31d0dfdc72c,
  0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x9d372bb54b7d5d9c, 0xae4ac7a69935c080, 0x75cf6ab4457974c4,
  0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xb2ec31dbfdeaa8b4, 0xdf0dc79b288c5fcd, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x06922682cf2f3c95,
};

static const uint64_t ur_m8515_swio15_dual_pr_ee_ce[] = {
  0xb7daddddddd432db, 0x7ad7e6a9835da79f, 0xb6fd5f773ed9f586, 0xa57c6e821fb8c3e0, 0x368339b378ecc4fd,
  0x8bb8e08ab0786675, 0x9f180905415b524c, 0x049916829047ae60, 0x185027c4df6b3c46, 0x41f997612774fb97,
  0xe1a361a68e0ff26c, 0x23921560763f37a8, 0x06e1f02bfcc68114, 0xcaee2f77c5dfd4e0, 0x90f150865a0c1510,
  0x2f6e6b7ff4073c26, 0xe64e4c16156662e7, 0x77fd51e56a41883f, 0xea91fcf1272127f8, 0x58be4c273b9b5f9b,
  0xdff51e572ba53b59, 0x315e56f51f06cc1e, 0x8e1386e1d7d8b4c5, 0x14b1d484d7d2d8cb, 0x6ec1ed19ea73abb7,
  0x3886c6abc6c75ec6, 0xdeece038ec5a738a, 0x45546c1132386f65, 0xccfa39995996637c, 0x1cc906d7972ab59f,
  0xaece75152a8d7590, 0xe0404e9b95daa5be, 0xba62572563d34c9a, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f,
  0x545a476e7a1d5381, 0x2fe6d97618edfef5, 0x3458f386e3cd9446, 0x2b93f75666fe0eee, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0002609d2759e5e7,
};

static const uint64_t ur_m8515_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9aa61712bdbf6ebb, 0x82d402eb7b2a715f, 0xfbccdcda03e964d3, 0xe2b7707aed9f1dad,
  0x0ab39e5dc86b8b69, 0x6d4969ceeac02101, 0x7e19827c60241505, 0x59e23024c8b4148a, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xd7c00dc3e057f98d, 0x24432bb8bddf1779,
  0xf09b7dc542196847, 0x8b9cbdbd257fd01c, 0x1ffbd98b30585599, 0x60dc5f5464ea905e, 0xbee3441e789380e7,
  0x1fa8f84bf10d8488, 0xc99e2ee6d73af855, 0x4795cae94ed6e6d7, 0x95bd47c1b307b7fd, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x7b467a9ceaedc52c, 0xb1aaf1b1d7b19bb0, 0x380e3b169ce28e21, 0x1b044c8e1bd977bb,
  0x8e66566598df1155, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0x13a6e576a96fabb3, 0x95c958f4d326b810,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb65d863b7fbd5516, 0x726ae0f365118bf9,
  0x9bf837e823458df1, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x2cce2ed4f257ee68, 0x0000000000000800,
};

// m8535_swio15_dual_hw
static const uint64_t ur_m8515_swio15_dual_hw[] = {
  0x47777776890c365a, 0xf7e6a995a4e27ed6, 0xd8d5bb1c7c89fbc5, 0x08190fa63d9b106e, 0x9b439db29eb6ed91,
  0xb6a4a9b771377d7d, 0x044cc13e30120a82, 0xb59e23024c8b4148, 0xba7dcb8c2813e26f, 0x05f73145fccbb093,
  0xdd4dea3c7bd83f87, 0xcc68114239215607, 0x177e20006e1f02bf, 0xb42324432bb8bddf, 0xf4073c26b5a2a10c,
  0x0ab3317397b7297f, 0x7a40517ffc87e60b, 0x1ef7ea3f7477cb2d, 0x58a628bb7e38e558, 0x7697c8d31398b017,
  0x5403ff6608ebc06a, 0x538e07967b63e0df, 0x55acfe67d1cccacc, 0x6bac80e64836bcb9, 0xd52df57673a8a954,
  0x9a64d7020274dcae, 0xd115e5d312b92b1e, 0xe74079bdb5d73daa, 0xea9c0842a417296b, 0x6ff7aaa2d23b73d0,
  0x365118bf9b65d915, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x417d3c95fb9a1996, 0x00000000063755ad,
};

// m8535_swio15_dual_ee_hw
static const uint64_t ur_m8515_swio15_dual_ee_hw[] = {
  0x52b777776890cf68, 0x677e6a990bfbb7ec, 0x7d07dbbf68ed44e4, 0x6ea3880a44faafb1, 0x32bbe8bd88b4b294,
  0xc8bb9a3ea75add99, 0x09f180905415b527, 0x3024c8b41484e3e6, 0xb8c2813e26fb59e2, 0x05afccbb093ba7dc,
  0x471adb0274704b53, 0x508e485581e9b9bd, 0x401b87c0aff31a04, 0x432bb8bddf177980, 0x983dc54219682fb4,
  0xce5edf4d7fd01cf0, 0xfff21f982c2accc5, 0xd4d56b47fba9005a, 0xe0d9830f7ea3caed, 0xfb169bbe2bdf7ea3,
  0xfa5b1971c270dc3a, 0xd2e52d7027e6909a, 0xb19bb07b467a9cea, 0x714710d8d56ba1d7, 0xecbbdd9c071d8b4e,
  0xdf11551b047eb70d, 0x67f33e8e66566010, 0x64073241b5e5caad, 0x6fabb39d454aa35d, 0x26b81013a6e576a9,
  0xaf2e9895c958f4d3, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x88c5fcdb2ec8ab7f,
  0x2a73f505d8dc79b2, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xe9e4afdcd0ccb0e9, 0x00000002bb4f5b0b,
};

// m8535_swio15_dual_ce_hw
static const uint64_t ur_m8515_swio15_dual_ce_hw[] = {
  0x0bdddddda2431f02, 0xbbf354c80147dfb4, 0xdd9bdd3b4d3848cb, 0x647c894aad0ebc6a, 0x144d744fb17dd816,
  0x4934aee5188b37a6, 0xa9827c602415056d, 0x788c09322d0522e4, 0xf72e30a04f89bed6, 0x94c707f32ec24ee9,
  0x6f51edd6c3671c23, 0x8114239215607812, 0xd1f006e1f02bfcc6, 0xed10caee2f77c5df, 0x3c2609f150865a01,
  0x62e72f6e337ff407, 0xe0fff90fcc161566, 0x42435ae2fabf9480, 0x1222fb8d1079e24e, 0x9b21fea3e12fc436,
  0x33c4fccf17736bf5, 0x6076b7a8e13e7b96, 0xcc580abee448e395, 0x75e0353b4be46989, 0xe1f06faa01ffb33c,
  0x3999598a71c0f2d6, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e9b95daa5beaece, 0x572563d34c9ae040,
  0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xd97618edfef5545a, 0x2ec6e3cd94462fe6,
  0xbc3def2861539fa8, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x04dd71885f4f257e,
};

// m8535_swio15_dual_ee_ce_hw
static const uint64_t ur_m8515_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd43573e, 0xad7e6a9835da79fb, 0x6fd5f773ed9f5867, 0x57c6e821fb8c3e0b, 0x68339b378ecc4fda,
  0x91772e2fbb375953, 0x13e30120a82b6a49, 0xc09322d05208f5cc, 0xe30a04f89bed6788, 0x883f32ec24ee9f72,
  0x1c346c34d1c1fe4d, 0x847242ac0ec7e6f5, 0x00dc3e057f98d022, 0x195dc5eef8bbfa9c, 0xd21e2a10cb4182a2,
  0xe5edcd6ffe80e784, 0xff21f982c2accc5c, 0x1dff54795a90620f, 0x2b2a3f3c49c849fe, 0x958be4c273b9b5c9,
  0xedff51e572ba53b5, 0x5315e56f51f06cc1, 0xb8e1386e1d7d8b4c, 0x714b1d484d7d2d8c, 0x66ec1ed19ea73abb,
  0xa3886c6abc6c75ec, 0x5deece038ec5a738, 0xc45546c1132386f6, 0xfccfa39995996637, 0x01cc906d7972ab59,
  0xeaece75152a8d759, 0xae0404e9b95daa5b, 0xcba62572563d34c9, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80,
  0x5545a476e7a1d538, 0x62fe6d97618edfef, 0x5c9f9fd86e3cd944, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0002269f49c17d3c,
};

// m8535_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m8515_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0xfcd530b895edfb75, 0xb26ea0175bd9538a, 0xed6fde66e6d01f6c, 0x5b4f15bb83d76cf8,
  0x57c80bda462e435c, 0x0482a0ada92d39dc, 0x1682914fc3304f8c, 0x27c4df6b3c460499, 0x641aa774fb971850,
  0xc6e38760cd787f99, 0xb03c4137a8e87db0, 0x15fe63408a11c90a, 0x77c5de75f00370f8, 0x865a11c910caee2f,
  0x5ff4073c26df7150, 0x16156662e72f6f49, 0x3aa41787ff88b24c, 0xc5f425d83717d519, 0x361222fb8d1079e2,
  0xdbb0b27ea3e12fc4, 0x5b9b5f2678bb9b5d, 0x1edff51e572ba53b, 0xc5315e56f51f06cc, 0xcb8e1386e1d7d8b4,
  0xb714b1d484d7d2d8, 0xc66ec1ed19ea73ab, 0x8a3886c6abc6c75e, 0x65deece038ec5a73, 0x7c45546c1132386f,
  0x9fccfa3999599663, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xbcba62572563d34c,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x462fe6d97618edfe, 0x539fa82ec6e3cd94,
  0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x00000ebace2fb405,
};

// m8535_autobaud_uart0_noled_pr
static const uint64_t ur_m8535_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0x0ada93ba0bd04cc5,
  0xcfce3304f8c0482a, 0x4ca044097cff965a, 0xea885d7fb75c05d3, 0x27c5a76849c12657, 0x818fbf51ebf9df2c,
  0x2cb29845e7a38e55, 0xf9d838a333c73160, 0xe1aa01ffb30475e8, 0x2856540f2cf6d4d7, 0xec9a3a3149e5a74a,
  0x529794deb9f8a3cd, 0x6953e9e8754e047f, 0x9b697f8ab7fbd551, 0xd163ce1bb65118bf, 0xb93f75663c81a3f8,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00e2200722bda792,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_u4[] = {
  0x2ddddddda2ec4743, 0x7777775579842f71, 0xb4d9fbbd4c19a4cf, 0xf1fad183eeeee821, 0x6a4eed45e4b63d60,
  0x38cc13e30120a82b, 0x811025f3ff985f3f, 0x2175fedd70174d32, 0x169da12704995faa, 0x3efd47afe77cb09f,
  0xca61179e8e395606, 0x60e28ccf1cc580b2, 0xa807fecc11d7a3e7, 0x59503cb3db535f86, 0x68e8c527969d28a1,
  0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0xa5fe2adfef5545a5, 0x9ab83cd94462fe6d, 0x8f2076d0d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xb5ed10a4f257ee68, 0x000000000000230d,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ee[] = {
  0x25bbbbbbbbd8bf82, 0xf7777775576c1412, 0x11c29e99713f7b0c, 0x36017a1deadbb5a3, 0xeeae312247e0d833,
  0xc13e30120a82b6a4, 0x08e1fff30be7d82c, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0xb9c66ab5a39b85a7,
  0xd47c1b3063e7a8f2, 0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e,
  0xb4d05a3c676355ae, 0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0xf4e22149e4afdcd0, 0x0000000000000c41,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ee_u4[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x09f180905415b527, 0x11c3ff2e3f3ec166, 0xff6eb80ba6994088, 0xd093824cafd510ba, 0x738cd56b47370b4e,
  0xa8f83660c7cf51e5, 0x0ebec5a6ef8ae5f7, 0x26be96c65c709c37, 0xe756974c571ac9a4, 0x0ebce9bb2cf4627c,
  0x69a0b478cec6ab5d, 0x70decb65f380e3b1, 0x05f8601951b047eb, 0x68e8c527969d28a0, 0x5e537ae7e28f37b2,
  0x4fa7a1d53811fd4a, 0xa5fe2adfef5545a5, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x54e19c8cf257ee68,
  0x0000000000013538,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ce[] = {
  0xdddddddd41ec53c3, 0x777775579842e312, 0xdb7e95e4c77af4f7, 0x7f8f1afbbbbab789, 0x27748fcbb0671c61,
  0x2609f180905415b5, 0x881195ffcc2f9f7f, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0x0b073243bfeb6b0b,
  0xcee6d78e4707f3c0, 0xed7d3dcb01759309, 0x10f1c72ac0cd27a8, 0x38a333c731602dc3, 0x01ffb33c75e8f9d8,
  0x9503cb5b94d7e1aa, 0x8e8c527969d28a15, 0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0xbf98edfef5545a54,
  0x57079b288c5fcdb4, 0x2076d0d165abcb93, 0xd2861539fa9d598f, 0xfc07cd0f22678138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x023753222149e4af,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ce_u4[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xb52776c4d8608005,
  0x21e609f180905415, 0x40881393ff2e3f3f, 0x10baff6eb80ba699, 0x8b4ed093824cafd5, 0x005ad204fb8bea98,
  0x4361222fb8d1079e, 0x5ec7ffe7ea3e12fc, 0xf72c67eb2678bb9b, 0x1cab03349ea3b5f4, 0xcf1cc580b70c43c7,
  0xccf1d7a3e760e28c, 0x2d6e535f86a807fe, 0x49e5a74a2856540f, 0xb9f8a3cdec9a3a31, 0x754e047f529794de,
  0xb7fbd5516953e9e8, 0x6ca2317f36d2fe63, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x46792bf734332c3a, 0x00000046ea9968ce,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ee_ce[] = {
  0x25bbbbbbba88aaac, 0xeeeeeeeaaf389412, 0x7e3f70a6a742f5eb, 0x99bb3635217bdd1b, 0x2777c8a3b31313a1,
  0x6609f180905415b5, 0x8816ceff2e3f3e70, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0x690c79dff547220b,
  0x9b5d2d05afcf002d, 0x653b5959194c273b, 0xc1b30622fa8f2b4c, 0xfb1698a62b8cbd47, 0xfa5b1971c270dc3a,
  0x673abb708a3a909a, 0x63af5d4dd905a31f, 0xd3d62470d56355e3, 0x86f65c396701c762, 0xcb4e945318dee323,
  0x5fadcfc51e746293, 0x5a6c7d59ba9bd652, 0x4f43aa702f6cc608, 0xb93571b288c5fcdb, 0x663c81f943458f38,
  0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3, 0x5ecce46792bf7343, 0x000000000002b37b,
};

static const uint64_t ur_m8535_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddda2e7c3375, 0x77777557910a6712, 0xb8da2c33837b7077, 0xd05341db7bb85320, 0x962ad1bab9dd3b92,
  0x3e30120a82b6a4ee, 0x8fffff43cfeed4c1, 0x6eb80ba699408811, 0x93824cafd510baff, 0xeb8bea8d2b0b4ed0,
  0xf71a20f3c00b9dca, 0xfd47c25f886c2445, 0xf99e2ee6d7643a4a, 0xa3cac1494ed6e6de, 0xe6ef51f06cc1c65e,
  0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0x59e8c4f9ceaedc98, 0x3b1aaf1b1d79d376, 0xce038ec5a682d1e3,
  0xa3608991c37b2d97, 0x2d3a5142cff0c032, 0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa,
  0x118bf9b697f31dbf, 0x458df1726ae0f365, 0x3f53ab31e40cd3e3, 0x27ff787bde50c2a7, 0x343c899e07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00208880ad3c3b9e,
};

// m8535_autobaud_uart0_lednop_pr
static const uint64_t ur_m8535_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0x15b5277731242a1a,
  0x9f052609f1809054, 0x99408817c9ff2cb5, 0xd510baff6eb80ba6, 0xd60b4ed093824caf, 0x8199ef51daf8ef96,
  0xb7ba6b8621e38e55, 0xcec3ed1eb11cc580, 0x629adc72c608ebc5, 0x14c0809e5a74a285, 0xce81c51e7c49a3a3,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0xddb288c5fcdb2e22, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0xce15ed3c95fb9a19, 0x000000000000e221,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_u4[] = {
  0x2ddddddda2ec53c3, 0x7777775579841af1, 0xa17bd9f7e0dbd803, 0xa575e64f7777410d, 0xa4ee91f976f4e38f,
  0xacc13e30120a82b6, 0x22052fbff985f3e7, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0xdfa8eb3cef9613e2,
  0x986f93d1c72ac0c7, 0xed23348731602cb2, 0x01ffb30475e8f9d9, 0x0a07967b66794d2a, 0xa60404f2d3a51456,
  0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd94462fe6d97115, 0x6d0d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x0a4f257ee6866587, 0x0000000230d756d1,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ee[] = {
  0xc4b77777777b1762, 0xbddddddd55db04ad, 0x3114130acc469ed0, 0x78bf1da1deadbb5a, 0x9dda668cfe9a3b3f,
  0x9827c602415056d4, 0x81143ffe617cfe56, 0xaff6eb80ba699408, 0xed093824cafd510b, 0x567acd56b47370b4,
  0x7a8f83660c7cf51e, 0xb875f62d377c57a5, 0x2135f4b632e384e1, 0xe73ab4be48b8d64d, 0x743af3a6edd02310,
  0x8b4c4fa3905b1aad, 0x5b86f65b2f9c071d, 0x002535f86a8d823f, 0x462981013cb4e945, 0xb19d038a3cf89347,
  0xd0ea9c0aeaa72f29, 0x455bfdeaa8b4d8b3, 0x6ae365118bf9b65c, 0x7903b6868b1e7172, 0x2e19e985727eeacc,
  0x87494b659289c659, 0x910a4f257ee68665, 0x0000000000c41d53,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x09f180905415b527, 0x1143ff2e3f3f95a6, 0xff6eb80ba6994088, 0xd093824cafd510ba, 0x67acd56b47370b4e,
  0xa8f83660c7cf51e5, 0x875f62d377c57a57, 0x135f4b632e384e1b, 0x73ab4be48b8d64d2, 0x43af3a6edd02310e,
  0xb4c4fa3905b1aad7, 0xb86f65b2f9c071d8, 0x02535f86a8d823f5, 0x62981013cb4e9450, 0x19d038a3cf893474,
  0x0ea9c0aeaa72f29b, 0x55bfdeaa8b4d8b3d, 0x0f365118bf9b65c4, 0x1f943458df1726ae, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x67233c95fb9a1996,
  0x000000004d4e2716,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ce[] = {
  0xbbbbbbba83d8b562, 0x77777557984cc625, 0x2e3b6fc5a9bdc2b7, 0x982f623bbbbab789, 0x2777e9c1b3f7705a,
  0xa609f180905415b5, 0x20463fff985f3f52, 0xebfdbae02e9a6502, 0x3b424e0932bf5442, 0x2c1c050effadac2d,
  0x3b9b5c9d25afcf00, 0xfcf4f72c05d64c27, 0xc171c72ac0cd27a8, 0xf6919a4398b0177b, 0x00ffd99e3af47cec,
  0xc140f2d6e33ca695, 0x14c0809e5a74a28a, 0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xedfef5545a6c59e8,
  0xf365118bf9b65c18, 0xda1a2cb579726ae0, 0xc2a73f53ab31e40e, 0xf9a1e44cf0271a50, 0x964b867a615c9f80,
  0x19961d252d9f0271, 0xaf5b44293c95fb9a, 0x000000000000046e,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0xa93ba1b9053453b4,
  0x97304f8c0482a0ad, 0x04409d2ff971f9f2, 0x85d7fb75c05d34ca, 0x5a76849c12657ea8, 0x02d6936fdc5f54c4,
  0x1b09117dc6883cf0, 0xf76936ff51f097e2, 0x72c67eb2678bb9b5, 0x72ac0cd27a8fcf4f, 0xa4398b0177bc171c,
  0x99e3af47cecf6919, 0x2d6e33ca69500ffd, 0x09e5a74a28ac140f, 0x51e7c49a3a314c08, 0x575539794d8ce81c,
  0x5545a6c59e8754e0, 0x18bf9b65c18edfef, 0x58df1726ae0f3651, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x002375de0a67233c,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0xf180905415b52774, 0x83fe5c7e7e87e609, 0xdd70174d32811023, 0x2704995faa2175fe, 0xa77fd5187b169da1,
  0x0f96bf3c00b5a42e, 0x958f7cc273b9b5ef, 0x7197a8f2b40253b5, 0x8a62b9c7d47c1b30, 0x971c270dc3afb169,
  0xb76483a909afa5b1, 0x3a6edd02310e73ab, 0xf4720b6355e363af, 0xcb65f380e3b16989, 0x5f86a8d8226470de,
  0x1013cb4e9450b353, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0xa2317f36cb831dbf,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0x0ce46792bf734332, 0x00000000002088bb,
};

static const uint64_t ur_m8535_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e304a, 0xbbbbbaabc882c189, 0xa66b8e85a3bd89db, 0xec89a0edbddc2990, 0xc5d47dd92011232e,
  0xf180905415b52776, 0xf9fffd0f3fa6a609, 0xdd70174d3281102f, 0x2704995faa2175fe, 0x7717d51a56169da1,
  0xee3441e780173bd3, 0xfa8f84bf10d8488b, 0xf33c5dcdae495951, 0x4795a0129dadcdbd, 0xce3ea3e0d9838cbd,
  0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0xe81188739d5dbb24, 0x5b1aaf1b1d79d376, 0x9c071d8b4c4fa390,
  0x46c1132386f65b2f, 0x5a74a2859a9afc35, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575,
  0xf9b65c18edfef554, 0xf1726ae0f365118b, 0xab31e40cd3e3458d, 0x787bde50c2a73f53, 0x899e07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x445e7d3c3b9e4afd, 0x0000000000000010,
};

// m8535_autobaud_uart0_dual_pr
static const uint64_t ur_m8535_autobaud_uart0_dual[] = {
  0xbf6dddddddd44511, 0x76eeeeeea99e3c48, 0x2e82ef4e3126eb4a, 0x58ac4e4eb83bbbad, 0x52419bb95f33e1ec,
  0x6a609f180905415b, 0x6788c09322d05239, 0x9f72e30a04f89bed, 0x798bafe65dc5f4ee, 0xdea3b93d87ce3848,
  0x022847242ac0d7dc, 0xd9c00dc3e057f98d, 0x4888657717bbe2ef, 0xcf0996bc54219686, 0xcc5ce5edcc7ffd01,
  0x47aff81a0982c2ac, 0xfdbae02e9a650220, 0x424e0932bf5442eb, 0x8f82cef9613e2d3b, 0x610f1c72ac0c7dfa,
  0x1d12731602cb29ad, 0xcb1823af47cec3ed, 0xfa399959958a6b71, 0x0404f2d3a5149fcc, 0x40e28f1cfc3d18a6,
  0x2fe6dd4b57294be7, 0xa702985e2810b4ee, 0x9b288c5fcdb4f43a, 0x943458f38b935707, 0x4c2b93f75663c81f,
  0xa5b3e04e32c970cf, 0x6792bf734332c3a4, 0x000001559be70ce4,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_u4[] = {
  0x6eeeeeed173e43ee, 0x7777754cf1e539fb, 0xcccc8cbb415a76b7, 0xe7648cf77742023e, 0xbbabbf22421b4f34,
  0xf180905415b525a5, 0x09322d05219f2609, 0x30a04f89bed6788c, 0x4fcca6b54ee9f72e, 0x387b02967060b360,
  0x8e485581a569bd47, 0x1b87c0aff31a0450, 0xcaee2f77c5de1680, 0xb248a8432d09c510, 0x72f6efe7fd01cf09,
  0xfe700cc16156662e, 0xb80ba69940881751, 0x824cafd510baff6e, 0x19df2dcf0b4ed093, 0xa38e5581bdaf51ee,
  0xce62c05d6299efb5, 0x475e0353b57f4682, 0xdb1f744aa01ffb30, 0xd1cccacc71f03cb3, 0x2027969d28a4fe67,
  0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53, 0xa2317f36cb88ab7f, 0x68b1be2e4d5c1e6c,
  0xe7ea75663c819a7c, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000017052ce78773,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ee[] = {
  0x6dddddddde7cd0e3, 0x77777754c360e73f, 0xbadfb476b7ef475f, 0xb1043b1e62776c49, 0xd5c6d0535f2253ec,
  0xc0482a0ada928cdd, 0x645a0a43b77304f8, 0x409f137dacf11812, 0x994d6a9dd3ee5c61, 0xf61ff0e01a26d35f,
  0x42ac0e87e6f51ec7, 0x3e057f98d0228472, 0xe2f77c5dfd8200dc, 0x150865a070d10cae, 0xfd5fff4073c26727,
  0x0cc16156662e72f6, 0x4d3281102df7fe70, 0x5faa2175fedd7017, 0x8c14169da1270499, 0x5afea3cafa89aad6,
  0xbe2b97dea3e0d983, 0x71c270dc3afb169b, 0x701c66909afa5b19, 0xcf475fce75697885, 0xd8d56ba1d794d3b2,
  0x701c762d34168c7d, 0xe358beb70decb726, 0x5149fccfa399959a, 0xd1d18a60404f2d3a, 0xf29b19d038a3cb74,
  0x78a042d37aaeaa72, 0x2fe6da7a1d538175, 0x79c5c9ab83cd9446, 0xdd598f20669f1a2c, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x22fd393c3b9e4afd, 0x0000000000000008,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ee_u4[] = {
  0x6ddddddda2436f02, 0xeeeeeea986c157bf, 0xac9f6cfa716a8fee, 0xd74e563cc4ee9ba7, 0xf0f9af93059b75b1,
  0x2415056d49322ee7, 0x168291d4e9827c60, 0x27c4df6b3c460499, 0x97612774fb971850, 0x61a68e0ff26c41f9,
  0x1560763f37a8e1a3, 0xf02bfcc681142392, 0x17bbe2efeb3006e1, 0xa8432d060a886577, 0x93affa039e134878,
  0x9305855998b9cbdb, 0x34ca0440a577fe2c, 0x7ea885d7fb75c05d, 0x3d285a76849c1265, 0xe4f51e57b7e6ab5a,
  0x7c57dd7a8f83660f, 0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x7b464f1cead2f38a, 0xec6ab5d0ebd8cddb,
  0x9c071d8b4f9e4690, 0x1b047eb70decbbdd, 0x1cccacc02a2541d5, 0x027969d28a4fe67d, 0x1479f1268e8c5302,
  0x15d54e5e53633a07, 0xd55169b167a1d538, 0x2317f36cb88ab7fb, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xabcf257ee6866587,
  0x00000029525d5b67,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ce[] = {
  0xb6eeeeeeef3e6d3a, 0x77777754cf1f389f, 0x63d9b106e8d5acfb, 0x9db29eb6eeef4e83, 0x4bbae76cdbade4c3,
  0x9f180905415b524c, 0x812645a0a4022660, 0xc61409f137dacf11, 0xb5f994d6a9dd3ee5, 0xf15b60358e04ea64,
  0x11c90ab03df737a8, 0x0370f815fe63408a, 0x195dc5eef8bbf100, 0x6dbf150865a0fe22, 0x397b7297ff4073c2,
  0xff380660b0ab3317, 0xb80ba69940881145, 0x824cafd510baff6e, 0x53bfeb190b4ed093, 0xdbad9df9e005cecf,
  0x960289f984e7736b, 0x9560682fd47e827b, 0x2ce62c051f3a48e3, 0x3c75e0353b57f468, 0xd6e1f744aa01ffb3,
  0x9f47332b31c7c0f2, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0x65118bf9b65c18ed, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000a79339f4f0ee7,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ce_u4[] = {
  0xdbbbbbbb448687e1, 0xeeeeeea99851627e, 0x6e2d4739056d17ee, 0x9f69f738b7774c88, 0x17715ede0935da3f,
  0x3e30120a82b6a4dc, 0x0499168291c83cc1, 0x185027c4df6b3c46, 0xb7f997612774fb97, 0x63fb019b386ed4c9,
  0x1c90ab034b537a8e, 0x370f815fe63408a1, 0x2bb8bddf177de180, 0xf745421968487443, 0x5edf677fd01cf09b,
  0xf164982c2accc5ce, 0x02e9a650220450ff, 0x932bf5442ebfdbae, 0xe2facdc2d3b424e0, 0xc6883cf1272127f2,
  0x51f097e21b09117d, 0x99e2ee6d7d34ff3f, 0xfa8fd04f72c6789f, 0xa3e7491c72ac0d05, 0xa76afe8d059cc580,
  0x95403ff6678ebc06, 0x6638f81e5adc3ee8, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x36cb831dbfdeaa8b, 0x637c371e6ca2317f, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x056bde8e267abcf2,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ee_ce[] = {
  0x6eeeeeeea0a1a5fb, 0xdddddd53331eedfb, 0x6227d57d8be83edd, 0x7d179bb89dbaaf92, 0xb235d66d0ab32657,
  0x120a82b6a4b62774, 0x1682909c7cc13e30, 0x27c4df6b3c460499, 0x97612774fb971850, 0x035b384c34ccf9f9,
  0xab0380137a8ffafb, 0x815fe63408a11c90, 0x7bbe2ef30080370f, 0x8432d02748865771, 0x9affa039e136ce8a,
  0x305855998b9cbdbe, 0x4ca044082d7fe2c9, 0xea885d7fb75c05d3, 0xbec5a76849c12657, 0xc49c84b021dff546,
  0x273b9b5d9f3acff3, 0x2b91253b5958be4c, 0xfd47c1b30698fa8f, 0xb875f62d314c5613, 0x2135f4b632e384e1,
  0xa3278e7576e9c475, 0x6abc6c75ec66edbd, 0x071d8b4f9e4690ec, 0x8226470decbbdd9c, 0x6656659d12a0ea8d,
  0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x17f36cb831dbfdea,
  0x68b2d5e371e6ca23, 0x9cfd4eaccdfc1ddc, 0x879133c09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659,
  0xb67abcf257ee6866, 0x0000000001fab6f5,
};

static const uint64_t ur_m8535_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3f1107, 0x777754c243dc3f6d, 0xb2628fd826f1ff77, 0xd91765bacfac5f0f, 0x3518e9061f9913dd,
  0xb6a49ce7737fb54e, 0x662cc13e30120a82, 0xacf11812645a0a41, 0xd3ee5c61409f137d, 0xe53747ff32bf689d,
  0xdea3b21ec2928e0c, 0x04508e485581b3e4, 0x75c01b87c0aff31a, 0x488657717bbe2ef5, 0x84dd3f150865a1bb,
  0x5ce5edf1bbfe80e7, 0xdffbcd3982c2accc, 0xeb80ba699408814e, 0x3824cafd510baff6, 0xb8bea8cba8b4ed09,
  0xe3441e789380e1c1, 0xa8f84bf10d8488be, 0x678bb9b5d4939bff, 0xf2b91253b5b9b5f2, 0x3fd47c1b30698fa8,
  0x1b875f62d314c561, 0x52135f4b632e384e, 0xda3278e7576e9c47, 0xc6abc6c75ec66edb, 0xc071d8b4f9e4690e,
  0xd8226470decbbdd9, 0xe6656659d12a0ea8, 0x13cb4e94527f33e8, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x317f36cb831dbfde, 0xb1be2e4d5c1e6ca2, 0x53ab337f06fd0468, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0xf56f782bc5da9e4a,
  0x0000000000000003,
};

// m8535_u1x8_uart0_noled_pr
static const uint64_t ur_m8535_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x6a4ee8c05ec46c7e,
  0x6bcc13e30120a82b, 0xb6c086fffcb2d67d, 0xbf9df2c27c5a768b, 0x7a38e55818fbf51e, 0x3c731602cb29845e,
  0x30475e8f9d838a33, 0xcf6d4d7e1aa01ffb, 0x9e5a74a2856540f2, 0x9f8a3cdec9a3a314, 0x54e047f529794deb,
  0x7fbd5516953e9e87, 0x65118bf9b697f8ab, 0xc81a3f8d163ce1bb, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0x2bda792bf734332c, 0x0000000003e42c7f,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_u4[] = {
  0xddddd7751762422f, 0xeeeeaaee7260f12d, 0x5bd7c71bc9b426ee, 0x0e1c5bbbb49f0b2d, 0xee2fa8a4cec8eefe,
  0x13e30120a82b6a4e, 0x86ffff30be7d6bcc, 0xf2c27c5a768bb6c0, 0xe55818fbf51ebf9d, 0x1602cb29845e7a38,
  0x5e8f9d838a333c73, 0x4d7e1aa01ffb3047, 0x74a2856540f2cf6d, 0x3cdec9a3a3149e5a, 0x47f529794deb9f8a,
  0x5516953e9e8754e0, 0x8bf9b697f8ab7fbd, 0x8df1726ae0f36511, 0xea75663c81db4345, 0xffef0f7bca1854e7,
  0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x007c9af3e44293c9,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebbb507b1762, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xa668cda5a3b7a6d4,
  0x7c602415056d49dd, 0x06ffe617cffee982, 0x47370b4ed176d814, 0xc7cf51e5738cd56b, 0xef8ae5f7a8f83660,
  0x5c709c370ebec5a6, 0x571ac9a426be96c6, 0x2cf4627ce756974c, 0xcec6ab5d0ebce9bb, 0xf380e3b169a0b478,
  0x51b047eb70decb65, 0x969d28a005f86019, 0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5,
  0x4462fe6da5fe2adf, 0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903b686, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0x510a4f257ee68665, 0x00000000009d71d1,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777775dd4488aaac, 0xddddd55de41d7c4b, 0x3ed69b3e17e82fdd, 0xdfa5d9c489ddbf38, 0xdf228ed0489c5c46,
  0x27c602415056d49d, 0x27f3fcb8fcf94598, 0xd68e21169da2edb0, 0x8383fea3cafe49aa, 0x4ddf158f9ea3e0d9,
  0x8cb8e1386e1d7d8b, 0x455c5133484d7d2d, 0xec82d18fb39d5a5c, 0x3558d56ba1d7aea6, 0x59c071d8b4f5891c,
  0x2e2f77d6e1bd970e, 0xa3ce8c527969d28a, 0x37537aca4bf5b9f8, 0x02f6e2810b4d8fab, 0x288c5fcdb4f43aa7,
  0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000004ebcf823391,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0x6d49ddcc490a86b4,
  0xc149827c60241505, 0x5db605f27fcb2d67, 0x4b5ceffa93c2d3b4, 0x6bfee4adf9e005c2, 0x7b9602e33984e773,
  0x8e5581eb17a8e82e, 0x1a8e62c0559e90e3, 0xb19e3af173b5128e, 0x969d28a0ebf0f71c, 0xe28f37b268e8c527,
  0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x88c5fcdb4bf98edf, 0x0d1fc68b1e70ddb2, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0xed3c95fb9a19961d, 0x0000000016ebce15,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbbaabcc20c89, 0xd9d7d6864f31d85f, 0xc01b6de4dddd438f, 0xb5277699a335a11d,
  0xb7e609f180905415, 0xedb02ea3ff985f3f, 0x4e3717d632169da2, 0x8bee3441e780160e, 0xb5fa8f84bf10d848,
  0xf19ccf17736ba5a0, 0xeb17a8e82e7b9633, 0xc0559e90e38e5581, 0xf173b5128e1a8e62, 0xa0ebf0f71cb19e3a,
  0xb268e8c527969d28, 0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0xb9357079b288c5fc,
  0xb31e40eda1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0xd7085a2149e4afdc, 0x000000000000000d,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ee_ce[] = {
  0x96eeeeebbb7b1762, 0xbbbbbbaab88315b8, 0x6682615988d3da17, 0x5f8ef35983eebaf2, 0xed33467f4d1d9fbc,
  0x13e30120a82b6a4e, 0x8a1fff30be7f2b4c, 0x5461ec5a768bb6c0, 0xbf3c00b071d29dff, 0xdf309cee6d70d1a6,
  0xea3cac1494ed6563, 0xae6ef51f06cc1c65, 0x09c370ebec5a6298, 0x88ea426be96c65c7, 0x659e8c4f9ceaedc9,
  0x33b1aaf1b1d79d37, 0x7ce038ec5a682d1e, 0x2a3608991c37b2d9, 0xf2d3a5142cff0c03, 0xfc51e6f64d1d18a4,
  0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a, 0x5118bf9b697f31db, 0x6868b1e71726ae36, 0x985727eeacc7903b,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x00000534d53910a4,
};

static const uint64_t ur_m8535_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0xf180905415b52774, 0xfbff2e3f3f15a609, 0x8ea50b4ed176d816, 0x9e005ad2305b8bea, 0xfc4361222fb8d107,
  0x36bb3e759fea3e12, 0x4a76b737194cf177, 0x83660c45f51e57f2, 0xf62d314c5710fa8f, 0xf4b632e384e1b875,
  0x9ceaedd914752135, 0x8ebd7537610e8c38, 0xa720a8d4d58d578d, 0x0decb872ce038ec5, 0x2d3a514c63f86647,
  0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000027e245e67233,
};

// m8535_u1x8_uart0_lednop_pr
static const uint64_t ur_m8535_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0x527746de3b266f4f,
  0x86609f180905415b, 0x6d810f9ff2cb59f8, 0xcf3be584f8b4ed17, 0xf471cab031f7ea3a, 0x21cc580b2ca61be4,
  0xc11d7a3e767b48cd, 0x9ed99e534a807fec, 0x3cb4e945158281e5, 0x3cf8934746298101, 0xeaa72f29b19d038a,
  0xa8b4d8b3d0ea9c0a, 0x8bf9b65c455bfdea, 0x3f8d163ce1bb6511, 0x4c2b93f75663c81a, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x000003e40e142bda,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_u4[] = {
  0xddddd77517622a9c, 0xeeeeaaee7232712d, 0x1f561b4f17b5a6ee, 0x6f87f777693e164c, 0x761991f800d2ecfe,
  0x09f180905415b527, 0x10f9ffcc2f9f8866, 0xbe584f8b4ed176d8, 0x1cab031f7ea3acf3, 0xc580b2ca61be4f47,
  0xd7a3e767b48cd21c, 0x99e534a807fecc11, 0x4e945158281e59ed, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x1726ae0f365118bf, 0x5663c81db43458df, 0xf0f7bca1854e7ea7,
  0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xc9907244293c95fb,
  0x0000000000000007,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ee[] = {
  0xdddddd776f621c3b, 0x77777557790c7712, 0x82ff1ec4504d6437, 0x1b7b38913bbc1d22, 0x41699d0bf2385593,
  0xf8c0482a0ada93bb, 0x8bffcc2f9ff9d304, 0x8e6e169da2edb022, 0x8f9ea3cacf59aad6, 0xef8af4af51f06cc1,
  0x5c709c370ebec5a6, 0x171ac9a426be96c6, 0xba04621ce75697c9, 0x0b6355ae875e74dd, 0xf380e3b16989f472,
  0x51b047eb70decb65, 0x969d28a004a6bf0d, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d,
  0x7f36cb88ab7fbd55, 0x63ce2e4d5c6ca231, 0x4fdd598f2076d0d1, 0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2,
  0x0a7c45f22149e4af,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xe30120a82b6a4eee, 0x8bfe5c7e7fe74c13, 0x8e6e169da2edb022, 0x8f9ea3cacf59aad6, 0xef8af4af51f06cc1,
  0x5c709c370ebec5a6, 0x171ac9a426be96c6, 0xba04621ce75697c9, 0x0b6355ae875e74dd, 0xf380e3b16989f472,
  0x51b047eb70decb65, 0x969d28a004a6bf0d, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d,
  0x7f36cb88ab7fbd55, 0xbe2e4d5c1e6ca231, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x13ae838cce46792b,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x56d49ddb1ec842f3,
  0x7d009827c6024150, 0x45db605377fcb2d6, 0x12884effa93c2d3b, 0x9b5fe7487fcf002e, 0xf3dcb01719cc273b,
  0x1c72ac0f58bd4713, 0x3d62398b017a0a97, 0xe58cf1d78b9d87da, 0x9e5a74a283a535b8, 0x1e7c49a3a314c080,
  0x75539794d8ce81c5, 0x545a6c59e8754e05, 0x8bf9b65c18edfef5, 0x3f8d163ce1bb6511, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x0000005ba9242bda,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabcc271f89, 0xf6df1691731d85fb, 0xe00db6c4777750e3, 0xda93bb4cd19ad08e,
  0xa95304f8c0482a0a, 0xedb0231fffcc2f9f, 0x97d717d632169da2, 0x17dc6883cf002c1c, 0x6bf51f097e21b091,
  0xe3399e2ee6d74b41, 0xd62f51c4fcf72c67, 0x80ab3d05c71cab03, 0xc5ced8cd1eb11cc5, 0x41d4b2dc72c678eb,
  0xd18a60404f2d3a51, 0x9b19d038a3cb74d1, 0x3042d37aaeaa72f2, 0xcdb4f43aa702eae6, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0xdd7085a2149e4afd,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8ad4e, 0xeeeeeeaae20c6c44, 0xeb429bf1ed2f469e, 0x6d4f35983eef8b75, 0x989b82b8d199bb06,
  0x3e30120a82b6a4ee, 0xa5fff30be7f024c1, 0xa39105a768bb6c08, 0xf9e005839f38effa, 0xa6139dcdafbb49b7,
  0x4795cdd29dacac8c, 0xaf9ea3e0d983117d, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x82d1bda39d5db9ef,
  0xb1aaf1b1d7aea6ed, 0xe038ec5a61c5199e, 0x15346470decb872c, 0x5302027969d28a63, 0x3a071479f1268e8c,
  0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0x8d94462fe6d97063, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0x293c95fb9a19961d, 0x00000000534f9c44,
};

static const uint64_t ur_m8535_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x4f8c0482a0ada93b, 0xb677f971f9f38330, 0x5475285a768bb6c0, 0x3cf002d6932b5c5f, 0x97e21b09117dc688,
  0xb9b5d2a2e47f51f0, 0xba53b5b9b8ca678b, 0x7c1b30622fa8f2b9, 0xafb1698a62b5f3d4, 0xafa5b1971c270dc3,
  0xb473abb73de3a909, 0x363af5d4ddb05a37, 0x8b4c38a333d6355e, 0x8e1bd970e59c071d, 0x4f2d3a514c62a68c,
  0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0xc5fcdb2e0c76ff7a, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0009f810b33919e4,
};

// m8535_u1x8_uart0_dual_pr
static const uint64_t ur_m8535_u1x8_uart0_dual[] = {
  0xdbbbbbb7e6a232a8, 0xdddddd531d7a337e, 0x891e9c47c3769bad, 0x8c4ea67bbba0ce19, 0x43b8eb46a3b4cf8c,
  0x4f8c0482a0ada92b, 0x3024c8b414880130, 0xb8c2813e26fb59e2, 0xadf997717d3ba7dc, 0xf01b61528e1fba64,
  0x11c90ab030f737a8, 0x0370f815fe63408a, 0x195dc5eef8bbf4d8, 0xd07e2a10cb416ba2, 0x397b73d7fe80e784,
  0xfe068260b0ab3317, 0xcf0b4ed176d817c9, 0x81bdaf51ee19df2d, 0x5d6299efb5a38e55, 0x53b57f4682ce62c0,
  0x4aa01ffb30475e03, 0xcc71f03cb3db1f74, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0x2e4d5c1e6ca2317f, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd,
  0x0ccb0e9296cf8138, 0x3a4e33919e4afdcd, 0x00000000000000c4,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_u4[] = {
  0xbbbbb7e5173e1000, 0xdddd531d7a337edb, 0x1e9c47c3769baddd, 0x4ea67bbba0ce1989, 0xbab55de76b66cc8c,
  0x8c0482a0ada92b43, 0x24c8b4148801304f, 0xc2813e26fb59e230, 0xbf329ad53ba7dcb8, 0x036c2a51c3f74c95,
  0x392156061ee6f51e, 0x6e1f02bfcc681142, 0x2bb8bddf177e9b00, 0x0fc54219682d7443, 0x2f6e7affd01cf09a,
  0xe700cc16156662e7, 0xf0b4ed176d817c9f, 0x1bdaf51ee19df2dc, 0xd6299efb5a38e558, 0x3b57f4682ce62c05,
  0xaa01ffb30475e035, 0xc71f03cb3db1f744, 0xd28a4fe67d1cccac, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0xe4d5c1e6ca2317f3, 0x63c819a7c68b1be2, 0xf7bca1854e7ea756,
  0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x924e78773c95fb9a,
  0x0000000000002927,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ee[] = {
  0x777776fcde7c50e3, 0xbbbbaa63534e4fdb, 0x52be7ad62fb9f7bb, 0x2899bd7ddb8393b6, 0xc0f900b85b3e2d48,
  0x905415b527a73b82, 0x5a0a4775a609f180, 0x9f137dacf1181264, 0x4d6a9dd3ee5c6140, 0xa1f3874fcd63ff99,
  0xb038e537a8fd5fb0, 0x15fe63408a11c90a, 0xeef8bbc5200370f8, 0x10cb43f722195dc5, 0xadff4073c267f22a,
  0x60b0ab3317397b7c, 0xd176d813a5ff3806, 0xf6fcd56b47a50b4e, 0x51f06cc1fc9ea3ca, 0x0ebec5a6ef8afbaf,
  0x26be96c65c709c37, 0x9d5a5e715c09f9a4, 0x1d7b19bb6f68c9e3, 0x69f3c8d21d8d56ba, 0xe1bd977bb380e3b1,
  0x0544a83aa3608fd6, 0x5149fccfa3999598, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb,
  0x971156ff7aaa2d36, 0x9ab83cd94462fe6d, 0xf20669f1a2c79c5c, 0x5c33d30ae4fdd598, 0xb0e9296cf8138cb2,
  0x93c3b9e4afdcd0cc, 0x000000000190a1c2,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeedf94486c541, 0x777754c6a69c9fb6, 0x6ca57cf5b6c5f777, 0x9051337afbb70727, 0x11fc355ea3167c5a,
  0x905415b527a73bac, 0x5a0a4775a609f180, 0x9f137dacf1181264, 0x5d849dd3ee5c6140, 0x287ce1d3f358ffe6,
  0xac0e394dea3f57ec, 0x057f98d022847242, 0x7bbe2ef14800dc3e, 0x8432d0fdc8865771, 0x2b7fd01cf099fc8a,
  0x982c2accc5ce5edf, 0xb45db604e97ff164, 0xbdbf355ad1e942d3, 0xd47c1b307f27a8f2, 0xc3afb169bbe2beeb,
  0x09afa5b1971c270d, 0xe756979c57027e69, 0x875ec66edbda3278, 0x5a7cf234876355ae, 0xb86f65deece038ec,
  0x01512a0ea8d823f5, 0x94527f33e8e66566, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0x65c455bfdeaa8b4d, 0xbe1b8f365118bf9b, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x159083933d5e792b,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ce[] = {
  0x7776fcd41e7c92df, 0xbbaa63af7acfdb77, 0xcce0d9d6d57dbbbb, 0xd93b7775a2fd329c, 0x51f42167c4db62b0,
  0x02415056d497aeee, 0xc8b41484a89827c6, 0x813e26fb59e23024, 0x329ad53ba7dcb8c2, 0xec14f1c32b4dbeff,
  0x21560721e6f51ca1, 0x1f02bfcc68114239, 0x717bbe2efb1f006e, 0x454219681ea88657, 0x6f52bfe80e784c0a,
  0x00cc16156662e72f, 0xb4ed176d81775fe7, 0x005cecf53bfeb190, 0x39dcdafd3f63ff9e, 0x1fa09ee580a27e61,
  0xce9238e5581a0bf5, 0xd5fd1a0b398b0147, 0x807feccf1d780d4e, 0x71f03cb5b87dd12a, 0x28a4fe67d1cccacc,
  0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5, 0x97063b7fbd55169b, 0x9ab83cd94462fe6d,
  0xc819a7c68b2d5e5c, 0x34a1854e7ea75663, 0x3f01f343c899e04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x03492054f0ee792b,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeedf94486ff3e, 0x777754cf1f389fb6, 0xc7b3620ddb1ab777, 0x3b653d6dddde9d06, 0x7734f15ec75eaf67,
  0xe30120a82b6a4989, 0x24c8b4148044cc13, 0xc2813e26fb59e230, 0xafccbb093ba7dcb8, 0x8adb01ac70275325,
  0x8e485581efb9bd47, 0x1b87c0aff31a0450, 0xcaee2f77c5df8800, 0x6df8a8432d07f110, 0xcbdb94bffa039e13,
  0xfe2c9305855998b9, 0xb85a768bb6c08a2f, 0x9e24e424fe5c5f59, 0xfc4361222fb8d107, 0xcdafa69fe7ea3e12,
  0x09ee58cf13f33c5d, 0x238e5581a0bf51fa, 0xd1a0b398b0147ce9, 0xfeccf1d780d4ed5f, 0x03cb5b87dd12a807,
  0x4fe67d1cccacc71f, 0x8c5302027969d28a, 0x633a071479f1268e, 0xa1d53815d54e5e53, 0x63b7fbd55169b167,
  0xe3cd94462fe6d970, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x5ad4cf579e4afdcd, 0x0000000000000d24,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ee_ce[] = {
  0xb777776fcde7ce7c, 0xbbbbbaa6311086fd, 0x96a4c3ad45faeb7b, 0xee3529be4bba1b9d, 0xd9b69eae23f33ed3,
  0x02415056d49c9cee, 0x91682901649827c6, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xc136ce13b735adfe,
  0x558198fcdea3eed6, 0xc0aff31a04508e48, 0x5eef8bbef0c01b87, 0xa10cb40a1a2195dc, 0x87ffe80e784ce962,
  0x982c2accc5ce5ede, 0xb45db605a6ffce01, 0x7f38effaa38f62d3, 0xd74db9dbfcf002e7, 0x4ed656263309cee6,
  0xd983c8bea3cad009, 0x8b4c5315af9ea3e0, 0x2d8cb8e1386e1d7d, 0x9d5db9311d484d7d, 0x75e534ed82d18873,
  0x30e28e416c6abc6c, 0x0decb726701c762d, 0xa399959e31534647, 0x404f2d3a5149fccf, 0x0e28f1cfc3d18a60,
  0xfe6dd4b57294be74, 0xe0530b98c10b4ee2, 0x65118bf9b69e8754, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00002609ce4f0ee7,
};

static const uint64_t ur_m8535_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddddbf2890cf68, 0xeeeeea99988ebbf6, 0x57db9f6cfb6b8eee, 0xa3eeb66ee276ea0a, 0xcd1f53af70dd889e,
  0xc0482a0ada92f59d, 0x645a0a45927304f8, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0x360290e1faf31adf,
  0x2156076b737a8f00, 0x1f02bfcc68114239, 0x717bbe2ef672006e, 0x8a8432d08ac88657, 0x79dbffa039e134ae,
  0x9260b0ab3317397b, 0x9da2edb02e9fffc5, 0x1295d717d51fce16, 0x9117dc6883cf1272, 0x2e47f51f097e21b0,
  0x9b4c6678bb9b5d2a, 0x22fa8f2bd2a53b5b, 0x4c57377a8f83660f, 0xe384e1b875f62d31, 0xe884752135f4b632,
  0xd3b2cf475fce7576, 0x18fbb1aaf1b1d794, 0x6e4ce038ec5a682d, 0x5678c7588c8e1bd9, 0xb4e94527f33e8e66,
  0x2dd347462981013c, 0xa9cbca6c6740e28f, 0x0bab98c10b4deaba, 0xa2317f36d3d0ea9c, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x7abcf257ee686658, 0x000000000800e9e6,
};

// m8535_u1x12_uart0_noled_pr
static const uint64_t ur_m8535_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xa4eeedb6a6331da4,
  0x8cc13e30120a82b6, 0x9afd917fe596b3e9, 0x584f8b4ed176c221, 0xab031f7ea3d7f3be, 0xc05965308bcf471c,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x7f36d2ff156ff7aa, 0xf1a2c79c376ca231, 0x85727eeacc790347, 0x659289c6592e19e9,
  0x257ee6866587494b, 0x00007c80f2e57b4f,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_u4[] = {
  0xeebbad0e8bb12d3a, 0xbbaabb0e707896ee, 0xfb24497bdf17bbbb, 0xd0e6eee910444369, 0x3f6d146d91f48bbb,
  0x7c602415056d49dd, 0x22fff30be7d31982, 0x169da2ed844335fb, 0x3efd47afe77cb09f, 0xca61179e8e395606,
  0x60e28ccf1cc580b2, 0xa807fecc11d7a3e7, 0x59503cb3db535f86, 0x68e8c527969d28a1, 0x5e537ae7e28f37b2,
  0x4fa7a1d53811fd4a, 0xa5fe2adfef5545a5, 0x9ab83cd94462fe6d, 0x8f2076d0d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xb4f910a4f257ee68,
  0x0000000000001f26,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef62eff6, 0xeeeaaeb906a712dd, 0xf50dd7ad1a826eee, 0xce0be17bbbbde485, 0x31234e99a9b7a7b6,
  0x0120a82b6a4eebd7, 0xff30be7d2b4c13e3, 0xda2ed844335faa57, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0x8b93571b288c5fcd, 0x5663c81db43458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0x0e7c8852792bf734, 0x000000000000029f,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x0905415b52776273, 0xf2e3f3e95a609f18, 0xb45db08866bf54af, 0x5ce3355ad1cdc2d3, 0xea3e0d9831f3d479,
  0xc3afb169bbe2b97d, 0x09afa5b1971c270d, 0x39d5a5d315c6b269, 0x43af3a6ecb3d189f, 0x5a682d1e33b1aad7,
  0xdc37b2d97ce038ec, 0x017e1806546c11fa, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec, 0x53e9e8754e047f52,
  0x697f8ab7fbd55169, 0x26ae0f365118bf9b, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0,
  0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x5ad467233c95fb9a, 0x00000000000009d7,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0x5277417a0998b21c,
  0xc6609f180905415b, 0x66bf2f9ff2cb59f9, 0xfa93c2d3b45db088, 0xadf9e005c24b5cef, 0xe33984e7736bfee4,
  0xeb17a8e82e7b9602, 0xc0559e90e38e5581, 0xf173b5128e1a8e62, 0xa0ebf0f71cb19e3a, 0xb268e8c527969d28,
  0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0x8b1e70ddb288c5fc, 0xc9fbab31e40d1fc6,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00b7503915ed3c95,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ce_u4[] = {
  0x775dd68745d8ad4e, 0xddd55f85c6bc4b77, 0x97be6fe3f731dddd, 0xc99bafddddf5f7e6, 0x9dd3137049046636,
  0x9827c602415056d4, 0xbf47bffe617cfafb, 0xc642d3b45db08866, 0x3cf002c1c5f2e2fa, 0x97e21b09117dc688,
  0xdcdae707abff51f0, 0x0b9ee58cfc6733c5, 0xb8e395607ac5ea3a, 0x2386a398b016bf8f, 0x1cb19e3af173b6b1,
  0x4f2d3a5141d01ab7, 0xb9f8a3cb74d1d18a, 0x169cbc7f529794de, 0x9e8754e067533182, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xcb344293c95fb9a1, 0x0000000000000375,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee04c844b7, 0x0b2750e19eb4bddd, 0x7c88707dd1afe949, 0x706cd2dc1c5e56ec,
  0x602415056d49ddfa, 0xffe617cfa9e9827c, 0x3b45db08866bf175, 0x1cfdc77fd51c882d, 0x36bd8fffcfcf002c,
  0x4a76b2b232984e77, 0x83660c45f51e57f2, 0xf62d314c5710fa8f, 0xf4b632e384e1b875, 0x9ceaedd914752135,
  0x8ebd7537610e8c38, 0xa720a8d4d58d578d, 0x0decb872ce038ec5, 0x2d3a514c63f86647, 0xc51e6f64d1d18a4f,
  0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0x868b1e71726ae365, 0x85727eeacc7903b6,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00014d3e93910a4f,
};

static const uint64_t ur_m8535_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0x80905415b52774eb, 0xff2e3f3e35a609f1, 0x3b45db08866bf69b, 0x48c16e2faa3a942d, 0x88bee3441e78016b,
  0xd67fa8f84bf10d84, 0xdc6533c5dcdaecf9, 0x17d4795fc929dadc, 0x315c43ea3e0d9831, 0x8e1386e1d7d8b4c5,
  0x6451d484d7d2d8cb, 0xdd843a30e273abb7, 0x5356355e363af5d4, 0xcb380e3b169c82a3, 0x318fe1991c37b2e1,
  0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0xda5fcc76ff7aaa2d, 0xc9ab83cd94462fe6,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xf85999c8cf257ee6, 0x0000000000000009,
};

// m8535_u1x12_uart0_lednop_pr
static const uint64_t ur_m8535_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xa4ee971b2636d4dd,
  0x24c13e30120a82b6, 0xcd7e7bffe596b3f9, 0x2c27c5a768bb6110, 0x55818fbf51d679df, 0xc0596530df27a38e,
  0xd1f3b3da46690e62, 0xf29a5403ff6608eb, 0x4a28ac140f2cf6cc, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0xb1e70ddb288c5fcd, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x01f218d95ed3c95f,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762bd3a, 0x7755761ce6f12ddd, 0xda0e21afbc7f7777, 0xd4cdddd220889c1c, 0x8d35c750fe9d09b3,
  0x3e30120a82b6a4ee, 0x7bfff985f3f924c1, 0xc5a768bb6110cd7e, 0x8fbf51d679df2c27, 0x6530df27a38e5581,
  0xb3da46690e62c059, 0x5403ff6608ebd1f3, 0xac140f2cf6ccf29a, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0x079b288c5fcdb2e2, 0x0eda1a2c6f8b9357, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x22149e4afdcd0ccb,
  0x0000000003e4df81,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbaeeb43dec4743, 0xdddd55d72164e25b, 0xa9c2f186c695bddd, 0x71382f85eeeef791, 0x45e4b41560ad1851,
  0xe30120a82b6a4eed, 0x9fff30be7e43cc13, 0x69da2ed844335f9c, 0x3cacf59aad68e6e1, 0x4af51f06cc18f9ea,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x21ce75697c9171ac, 0x5ae875e74ddba046, 0x3b16989f4720b635,
  0x7eb70decb65f380e, 0x8a004a6bf0d51b04, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0xb88ab7fbd55169b1, 0xe4d5c6ca2317f36c, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0xfda2149e4afdcd0c, 0x0000000000014f82,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x602415056d49ddb1, 0xffcb8fcfc879827c, 0x4ed176c2219afce4, 0xe567acd56b47370b, 0x57a8f83660c7cf51,
  0x1b875f62d377c57a, 0xd2135f4b632e384e, 0x0e73ab4be48b8d64, 0xd743af3a6edd0231, 0xd8b4c4fa3905b1aa,
  0xf5b86f65b2f9c071, 0x5002535f86a8d823, 0x7462981013cb4e94, 0x9b19d038a3cf8934, 0x3d0ea9c0aeaa72f2,
  0xc455bfdeaa8b4d8b, 0xae0f365118bf9b65, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xb467233c95fb9a19, 0x000000000009d74c,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0x5b5277417a0998b2,
  0xfb7e609f18090541, 0x10cd7eea3fe596b3, 0xdff52785a768bb61, 0xe4adf9e005c243e1, 0x02e33984e7736bfe,
  0x81eb17a8e27e7b96, 0x62c0559e82e38e55, 0x75e2e76c668f588e, 0x28a0ea596e39633c, 0x68e8c5302027969d,
  0x794d8ce81c51e5ba, 0x73182169bd575539, 0x2fe6da7a1d538175, 0xfe3458f386ed9446, 0x30ae4fdd598f2068,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000005ba81c8af69,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaabf0bf1f896e, 0xdf1691731d85fbbb, 0x06db623bbbbebefc, 0x49dda668cd684770,
  0xa9827c602415056d, 0x6bf18fffe617cfd4, 0xac642d3b45db0886, 0x83cf002c1c9bae2f, 0x097e21b09117dc68,
  0x2ee6d727496bf51f, 0xd21cf72c67e3399e, 0xd6471cab03d62f51, 0xa0e8dd3398b0179e, 0x6dc72c678ebc5cec,
  0x0404f2d3a5141d00, 0xfdf3a071479d18a6, 0x6085a72460d4d894, 0xcdb4f43aa7020ecc, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0xdd7085a2149e4afd,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee058544b7, 0xd7a70be19eb4bddd, 0xad1221c1f746bfa5, 0xf4e0d9a5b838bcad,
  0xf8c0482a0ada93bb, 0xf7ffcc2f9f8ad304, 0x5a768bb6110cd7ed, 0x5838514effaa3910, 0xee6d7b1fff9f9e00,
  0x6e94ed656465309c, 0x1f06cc188bea3cae, 0xebec5a6298ad31f5, 0x6be96c65c709c370, 0xda39d5dbb228ea42,
  0x363af5d4dd9af91b, 0x8b4cd22333d6355e, 0x8e1bd970e59c071d, 0x4f2d3a514c632c8c, 0xa3cb74d1d18a6040,
  0xaeaa72f29b19d038, 0xa702eae63042d37a, 0x1b288c5fcdb4f43a, 0x1db43458f38b9357, 0xcf4c2b93f75663c8,
  0x4a5b2c944e32c970, 0x52792bf734332c3a, 0x0000000a69f49c88,
};

static const uint64_t ur_m8535_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xe30120a82b6a4ee9, 0x6bfcb8fcf98fcc13, 0xb4ed176c2219afc9, 0xad2143b8bea8ea50, 0x1222fb8d1079e005,
  0xe759fea3e12fc436, 0x737194cf17736bb3, 0xc45f51e57374a76b, 0x14c5698fa8f83660, 0x2e384e1b875f62d3,
  0xdd914752135f4b63, 0xa6ecd7c8ded1ceae, 0x199eb1aaf1b1d7ae, 0x872ce038ec5a6691, 0x8a6319646470decb,
  0x8e8c5302027969d2, 0x94d8ce81c51e5ba6, 0x3182169bd5755397, 0xfe6da7a1d5381757, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x009f85999c8cf257,
};

// m8535_u1x12_uart0_dual_pr
static const uint64_t ur_m8535_u1x12_uart0_dual[] = {
  0xddddbf183ea22044, 0xeeeea99e9448bf6d, 0x7791a8b627605eee, 0x70571eeeeb218bfa, 0xee4149c805043477,
  0xc602415056d49536, 0x12645a0a46209827, 0x61409f137dacf118, 0xfccbb8be9dd3ee5c, 0x7bd83f8705f73145,
  0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177cae00, 0xb5a2a10cb4232443, 0xcbdbce3ff4073c26,
  0xf0341305855998b9, 0xda2ed844335f9eff, 0xd4759e77cb09f169, 0x37c9e8e3956063ef, 0x919a4398b016594c,
  0x1cb1823af47cecf6, 0x67d1cccaccaca277, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x6ca2317f36cb88ab, 0x50d163ce2e4d5c1e, 0x30ae4fdd598f207e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000000c41b8f3391,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_u4[] = {
  0xddbf183d173e306a, 0xeea99e96273f6ddd, 0x715c653b4a56eeee, 0xf25dddd37634ee0c, 0x57e4c3ac84302cc8,
  0x0905415b52590775, 0x9168290292609f18, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xd87ee3825699d2fe,
  0x42ac0cc7cdea3d4a, 0x3e057f98d0228472, 0x717bbe2ef8ac00dc, 0x4542196826288657, 0x6e13ffe80e784d19,
  0x00cc16156662e72f, 0x5db08866bf2f9fe7, 0x7b8677cb73c2d3b4, 0xed68e395606f6bd4, 0xa0b398b01758a67b,
  0xcc11d780d4ed5fd1, 0x2cf6c7dd12a807fe, 0x99f47332b31c7c0f, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31,
  0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x9b288c5fcdb2e22a, 0x9f1a2c6f8b935707, 0x1539fa9d598f2066,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xdcf257ee68665874,
  0x000000a49938b9e1,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307de7cbd5b, 0xddd531e996a7edbb, 0xed5862afddfbdddd, 0x1b6106ea3bb1273b, 0xdc05ad07aed9f0f6,
  0x15056d498e2eeeef, 0x82900009827c6024, 0xc4df6b3c46049916, 0x5aa774fb97185027, 0x3e70b1f9bfe7e653,
  0x067066f51e87f61d, 0xbfcc681142392156, 0xbe2effd7006e1f02, 0x32d04ac88657717b, 0xffa039e132fb8a84,
  0x5855998b9cbdbefb, 0x4335f8e1ff9c0330, 0xd68f4a169da2ed84, 0x83f93d4795edf9aa, 0x4ddf15f75ea3e0d9,
  0x8cb8e1386e1d7d8b, 0xe2b813f3484d7d2d, 0x76ded193c73ab4bc, 0xa43b1aad743af633, 0xf76701c762d3e791,
  0x7546c11fadc37b2e, 0x9f47332b300a8950, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xb288c5fcdb2e22ad, 0xe3458f38b9357079, 0x15c9fbab31e40cd3, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00003214c6e78773,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ee_u4[] = {
  0x776fc60f448664d6, 0xbbaa63d32d4fdb77, 0x77dab0da55fbbbbb, 0xec36c20dd477624e, 0x8f0d00cb275db3e1,
  0x15056d498e2eeccd, 0x82900009827c6024, 0xc4df6b3c46049916, 0x612774fb97185027, 0x4f9c2c7e6ff9f997,
  0x819c19bd47a1fd87, 0xaff31a04508e4855, 0xef8bbff5c01b87c0, 0x0cb412b22195dc5e, 0xffe80e784cbee2a1,
  0x16156662e72f6fbe, 0x10cd7e387ff8b24c, 0xb5a3d285a768bb61, 0x60fe4f51e57b7e6a, 0xd377c57dd7a8f836,
  0x632e384e1b875f62, 0x38ae04fcd2135f4b, 0xddb7b464f1cead2f, 0x690ec6ab5d0ebd8c, 0xbdd9c071d8b4f9e4,
  0x1d51b047eb70decb, 0x67d1cccacc02a254, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x6ca2317f36cb88ab, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x267abcf257ee6866, 0x00000000002b23f0,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ce[] = {
  0xb7e307d41e7c7a31, 0xd533d2d867edbbbb, 0x48ce716fdadddddd, 0x13bbba69699bb237, 0xf87dd760f8ed362b,
  0x415056d49081dc89, 0xb4148b919827c602, 0x3e26fb59e23024c8, 0x9ad53ba7dcb8c281, 0x32b1c37dcda6ff32,
  0x56065d66f51d4f6c, 0x02bfcc6811423921, 0xbddf177ffc006e1f, 0x42196804f4432bb8, 0xfbbfe80e784d38c5,
  0xcc16156662e72f6f, 0xb08866bf195fe700, 0xd4effac642d3b45d, 0xf4fd8ffe780173b3, 0x960289f984e7736b,
  0x9560682fd47e827b, 0x2ce62c051f3a48e3, 0x3c75e0353b57f468, 0xd6e1f744aa01ffb3, 0x9f47332b31c7c0f2,
  0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875, 0x65118bf9b65c18ed,
  0x1a2cb579726ae0f3, 0x39fa9d598f20669f, 0x0f22678138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x93c3b9e4afdcd0cc, 0x00000000000d245d,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ce_u4[] = {
  0x776fc60f44865c93, 0xbbaa642fd94fdb77, 0xf8ed14ed2c5bbbbb, 0x73ac36eeec71466a, 0x8671716eb7793086,
  0x80905415b527c8bb, 0x645a0a41806609f1, 0x409f137dacf11812, 0xe65d849dd3ee5c61, 0x6d813a3825a982d7,
  0x242ac0f4dcdea38d, 0xc3e057f98d022847, 0xee2f77c5ded7600d, 0x7150865a0bed10ca, 0xb760bff4073c260f,
  0x59260b0ab3317397, 0x5db08866bf393ffc, 0x27f2e2facdc2d3b4, 0x117dc6883cf12721, 0xff3f51f097e21b09,
  0x789f99e2ee6d7d34, 0x0d05fa8fd04f72c6, 0xc580a3e7491c72ac, 0xbc06a76afe8d059c, 0x3ee895403ff6678e,
  0xe6656638f81e5adc, 0x13cb4e94527f33e8, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0,
  0x317f36cb831dbfde, 0xb8d1637c371e6ca2, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xbcf257ee68665874, 0x0000006922f3e67a,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbbb7e307d4343ee, 0xddddd530616a7edb, 0xd3b4e72bed75bddd, 0xb1767c4874edd29c, 0xbabbf227bb69e2af,
  0x180905415b526c4b, 0x4c8b4148e1fe609f, 0x2813e26fb59e2302, 0xfccbb093ba7dcb8c, 0xbd84ed9c2d6e6adf,
  0x90ab0319b9bd474d, 0x0f815fe63408a11c, 0xb8bddf177cc30037, 0xc542196829e4432b, 0xdc2d7fd01cf098e1,
  0x64982c2accc5ce5e, 0x76c2219afdb3bff1, 0x63bfea8e3d8b4ed1, 0xff0347e789390925, 0xacac4c66139dcdaf,
  0x07917d4795ce329d, 0x98a62bc93d47c1b3, 0x1971c270dc3afb16, 0xbb73de3a909afa5b, 0xca69db9e46d7c73a,
  0x588cd258d578d8eb, 0x7b2dc99c071d8b4f, 0x7332b3c62e9991c3, 0x09e5a74a293f99f4, 0xe740e28f3a314c08,
  0x0b4e48c1a9b129fb, 0x69e8754e041d98c1, 0xce1b8f365118bf9b, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x042716cf579e4afd, 0x0000000000000013,
};

static const uint64_t ur_m8535_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeedf8c1e890c86, 0xeeeea980be8bdfb6, 0x6b4abcb16d77eeee, 0x00d6a19991dd1edf, 0xeeec6ecb41e62859,
  0x602415056d49b0ce, 0x322d0523b8f9827c, 0xa04f89bed6788c09, 0xf32ec24ee9f72e30, 0x361fae7035b9a61b,
  0x2156075bf37a8e29, 0x1f02bfcc68114239, 0x717bbe2efca8006e, 0x8a8432d01ac88657, 0xbbfcffa039e135ba,
  0xc9305855998b9cbd, 0xdb08866bf18fffe2, 0xae2faa3f9c2d3b45, 0xb8d1079e24e42595, 0xea3e12fc4361222f,
  0xccf17736bf59b21f, 0x1e56804a76b73698, 0x7cf51f06cc1e45f5, 0xc370ebec5a6298ad, 0xea426be96c65c709,
  0x168c439ceaedc988, 0x6355e363af29a76c, 0x80e3b1698714720b, 0x8a9a32386f65b933, 0x8a4fe67d1cccacf1,
  0x1e8c5302027969d2, 0x94a5f3a071478e7e, 0x085a7717f36ea5ab, 0xb4f43aa702985cc6, 0xdf0dc79b288c5fcd,
  0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x010010299eaf3c95,
};

// m8535_u2x8_uart0_noled_pr
static const uint64_t ur_m8535_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0xb6a4eeedb6a6331d,
  0xe98cc13e30120a82, 0x76f559917fe596b3, 0x584f8b4ed093824d, 0xab031f7ea3d7f3be, 0xc05965308bcf471c,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x7f36d2ff156ff7aa, 0xf1a2c79c376ca231, 0x85727eeacc790347, 0x659289c6592e19e9,
  0x257ee6866587494b, 0x00007c80f2e57b4f,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8bb12d3a, 0xbbbbaabb0e707896, 0x69fb24497bdf17bb, 0xbbd0e6eee9104443, 0xdd3f6d146d91f48b,
  0x827c602415056d49, 0xb322fff30be7d319, 0x169da127049aedea, 0x3efd47afe77cb09f, 0xca61179e8e395606,
  0x60e28ccf1cc580b2, 0xa807fecc11d7a3e7, 0x59503cb3db535f86, 0x68e8c527969d28a1, 0x5e537ae7e28f37b2,
  0x4fa7a1d53811fd4a, 0xa5fe2adfef5545a5, 0x9ab83cd94462fe6d, 0x8f2076d0d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xb4f910a4f257ee68,
  0x0000000000001f26,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd776f62eff6, 0xeeeeeaaeb906a712, 0x85f50dd7ad1a826e, 0xb6ce0be17bbbbde4, 0xd731234e99a9b7a7,
  0xe30120a82b6a4eeb, 0x57ff30be7d2b4c13, 0xda127049aedeab2a, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0x8b93571b288c5fcd, 0x5663c81db43458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0x0e7c8852792bf734, 0x000000000000029f,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ee_u4[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0x180905415b527762, 0xaff2e3f3e95a609f, 0xb424e0935dbd5654, 0x5ce3355ad1cdc2d3, 0xea3e0d9831f3d479,
  0xc3afb169bbe2b97d, 0x09afa5b1971c270d, 0x39d5a5d315c6b269, 0x43af3a6ecb3d189f, 0x5a682d1e33b1aad7,
  0xdc37b2d97ce038ec, 0x017e1806546c11fa, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec, 0x53e9e8754e047f52,
  0x697f8ab7fbd55169, 0x26ae0f365118bf9b, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0,
  0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x5ad467233c95fb9a, 0x00000000000009d7,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0x5b5277417a0998b2,
  0xf9c6609f18090541, 0x5dbd562f9ff2cb59, 0xfa93c2d3b424e093, 0xadf9e005c24b5cef, 0xe33984e7736bfee4,
  0xeb17a8e82e7b9602, 0xc0559e90e38e5581, 0xf173b5128e1a8e62, 0xa0ebf0f71cb19e3a, 0xb268e8c527969d28,
  0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0x8b1e70ddb288c5fc, 0xc9fbab31e40d1fc6,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00b7503915ed3c95,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd45d8ad4e, 0xddddd55f85c6bc4b, 0xe697be6fe3f731dd, 0x36c99bafddddf5f7, 0xd49dd31370490466,
  0xfb9827c602415056, 0xbd5647bffe617cfa, 0xc642d3b424e0935d, 0x3cf002c1c5f2e2fa, 0x97e21b09117dc688,
  0xdcdae707abff51f0, 0x0b9ee58cfc6733c5, 0xb8e395607ac5ea3a, 0x2386a398b016bf8f, 0x1cb19e3af173b6b1,
  0x4f2d3a5141d01ab7, 0xb9f8a3cb74d1d18a, 0x169cbc7f529794de, 0x9e8754e067533182, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xcb344293c95fb9a1, 0x0000000000000375,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee04c844, 0x490b2750e19eb4bd, 0xec7c88707dd1afe9, 0xfa706cd2dc1c5e56,
  0x7c602415056d49dd, 0x75ffe617cfa9e982, 0x3b424e0935dbd561, 0x1cfdc77fd51c882d, 0x36bd8fffcfcf002c,
  0x4a76b2b232984e77, 0x83660c45f51e57f2, 0xf62d314c5710fa8f, 0xf4b632e384e1b875, 0x9ceaedd914752135,
  0x8ebd7537610e8c38, 0xa720a8d4d58d578d, 0x0decb872ce038ec5, 0x2d3a514c63f86647, 0xc51e6f64d1d18a4f,
  0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0x868b1e71726ae365, 0x85727eeacc7903b6,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00014d3e93910a4f,
};

static const uint64_t ur_m8535_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0xf180905415b52774, 0x9bff2e3f3e35a609, 0x3b424e0935dbd566, 0x48c16e2faa3a942d, 0x88bee3441e78016b,
  0xd67fa8f84bf10d84, 0xdc6533c5dcdaecf9, 0x17d4795fc929dadc, 0x315c43ea3e0d9831, 0x8e1386e1d7d8b4c5,
  0x6451d484d7d2d8cb, 0xdd843a30e273abb7, 0x5356355e363af5d4, 0xcb380e3b169c82a3, 0x318fe1991c37b2e1,
  0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0xda5fcc76ff7aaa2d, 0xc9ab83cd94462fe6,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xf85999c8cf257ee6, 0x0000000000000009,
};

// m8535_u2x8_uart0_lednop_pr
static const uint64_t ur_m8535_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0xb6a4ee971b2636d4,
  0xf924c13e30120a82, 0xbb7aac7bffe596b3, 0x2c27c5a76849c126, 0x55818fbf51d679df, 0xc0596530df27a38e,
  0xd1f3b3da46690e62, 0xf29a5403ff6608eb, 0x4a28ac140f2cf6cc, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0xb1e70ddb288c5fcd, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x01f218d95ed3c95f,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_u4[] = {
  0xddddd7751762bd3a, 0x777755761ce6f12d, 0x1cda0e21afbc7f77, 0xb3d4cdddd220889c, 0xee8d35c750fe9d09,
  0xc13e30120a82b6a4, 0xac7bfff985f3f924, 0xc5a76849c126bb7a, 0x8fbf51d679df2c27, 0x6530df27a38e5581,
  0xb3da46690e62c059, 0x5403ff6608ebd1f3, 0xac140f2cf6ccf29a, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0x079b288c5fcdb2e2, 0x0eda1a2c6f8b9357, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x22149e4afdcd0ccb,
  0x0000000003e4df81,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ee[] = {
  0x5bbbbbaeedec4743, 0xdddddd55d72164e2, 0x91a9c2f186c695bd, 0x5171382f85eeeef7, 0xed45e4b41560ad18,
  0x13e30120a82b6a4e, 0x1c9fff30be7e43cc, 0x69da127049aedeab, 0x3cacf59aad68e6e1, 0x4af51f06cc18f9ea,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x21ce75697c9171ac, 0x5ae875e74ddba046, 0x3b16989f4720b635,
  0x7eb70decb65f380e, 0x8a004a6bf0d51b04, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0xb88ab7fbd55169b1, 0xe4d5c6ca2317f36c, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0xfda2149e4afdcd0c, 0x0000000000014f82,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x7c602415056d49dd, 0xe4ffcb8fcfc87982, 0x4ed093824d76f558, 0xe567acd56b47370b, 0x57a8f83660c7cf51,
  0x1b875f62d377c57a, 0xd2135f4b632e384e, 0x0e73ab4be48b8d64, 0xd743af3a6edd0231, 0xd8b4c4fa3905b1aa,
  0xf5b86f65b2f9c071, 0x5002535f86a8d823, 0x7462981013cb4e94, 0x9b19d038a3cf8934, 0x3d0ea9c0aeaa72f2,
  0xc455bfdeaa8b4d8b, 0xae0f365118bf9b65, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xb467233c95fb9a19, 0x000000000009d74c,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0x415b5277417a0998,
  0xb3fb7e609f180905, 0x26bb7aacea3fe596, 0xdff52785a76849c1, 0xe4adf9e005c243e1, 0x02e33984e7736bfe,
  0x81eb17a8e27e7b96, 0x62c0559e82e38e55, 0x75e2e76c668f588e, 0x28a0ea596e39633c, 0x68e8c5302027969d,
  0x794d8ce81c51e5ba, 0x73182169bd575539, 0x2fe6da7a1d538175, 0xfe3458f386ed9446, 0x30ae4fdd598f2068,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000005ba81c8af69,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabf0bf1f89, 0xfcdf1691731d85fb, 0x7006db623bbbbebe, 0x6d49dda668cd6847,
  0xd4a9827c60241505, 0xdbd5618fffe617cf, 0xac642d3b424e0935, 0x83cf002c1c9bae2f, 0x097e21b09117dc68,
  0x2ee6d727496bf51f, 0xd21cf72c67e3399e, 0xd6471cab03d62f51, 0xa0e8dd3398b0179e, 0x6dc72c678ebc5cec,
  0x0404f2d3a5141d00, 0xfdf3a071479d18a6, 0x6085a72460d4d894, 0xcdb4f43aa7020ecc, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0xdd7085a2149e4afd,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee058544, 0xa5d7a70be19eb4bd, 0xadad1221c1f746bf, 0xbbf4e0d9a5b838bc,
  0x04f8c0482a0ada93, 0xcdf7ffcc2f9f8ad3, 0x5a76849c126bb7aa, 0x5838514effaa3910, 0xee6d7b1fff9f9e00,
  0x6e94ed656465309c, 0x1f06cc188bea3cae, 0xebec5a6298ad31f5, 0x6be96c65c709c370, 0xda39d5dbb228ea42,
  0x363af5d4dd9af91b, 0x8b4cd22333d6355e, 0x8e1bd970e59c071d, 0x4f2d3a514c632c8c, 0xa3cb74d1d18a6040,
  0xaeaa72f29b19d038, 0xa702eae63042d37a, 0x1b288c5fcdb4f43a, 0x1db43458f38b9357, 0xcf4c2b93f75663c8,
  0x4a5b2c944e32c970, 0x52792bf734332c3a, 0x0000000a69f49c88,
};

static const uint64_t ur_m8535_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x13e30120a82b6a4e, 0x896bfcb8fcf98fcc, 0xb4ed093824d76f55, 0xad2143b8bea8ea50, 0x1222fb8d1079e005,
  0xe759fea3e12fc436, 0x737194cf17736bb3, 0xc45f51e57374a76b, 0x14c5698fa8f83660, 0x2e384e1b875f62d3,
  0xdd914752135f4b63, 0xa6ecd7c8ded1ceae, 0x199eb1aaf1b1d7ae, 0x872ce038ec5a6691, 0x8a6319646470decb,
  0x8e8c5302027969d2, 0x94d8ce81c51e5ba6, 0x3182169bd5755397, 0xfe6da7a1d5381757, 0x7c5c9ab83cd94462,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x009f85999c8cf257,
};

// m8535_u2x8_uart0_dual_pr
static const uint64_t ur_m8535_u2x8_uart0_dual[] = {
  0xdbbbbbb7e6a22044, 0xdddddd533d28917e, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x4f8c0482a0ada92a, 0x3024c8b4148c4130, 0xb8c2813e26fb59e2, 0x8bf997717d3ba7dc, 0x78f7b07f0e0bee62,
  0x847242ac0fba9bd4, 0x00dc3e057f98d022, 0x8657717bbe2ef95c, 0x4d6b454219684648, 0x7397b79c7fe80e78,
  0xffe068260b0ab331, 0xb424e0935dbd563d, 0xa8eb3cef9613e2d3, 0x6f93d1c72ac0c7df, 0x23348731602cb298,
  0x39630475e8f9d9ed, 0xcfa39995995944ee, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67,
  0xff7aaa2d362cf43a, 0xd94462fe6d971156, 0xa1a2c79c5c9ab83c, 0x615c9fbab31e40fc, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000188371e6723,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_u4[] = {
  0xbbbbb7e5173e306a, 0xdddd533d2c4e7edb, 0x18e2b8ca7694addd, 0x91e4bbbba6ec69dc, 0xeaafc98759086059,
  0x30120a82b6a4b20e, 0x9322d0520524c13e, 0x0a04f89bed6788c0, 0xfcca6b54ee9f72e3, 0x95b0fdc704ad33a5,
  0xe48558198f9bd47a, 0xb87c0aff31a04508, 0xaee2f77c5df15801, 0x328a8432d04c510c, 0x5edc27ffd01cf09a,
  0xce01982c2accc5ce, 0x49c126bb7aac5f3f, 0xf70cef96e785a768, 0xdad1c72ac0ded7a8, 0x416731602eb14cf7,
  0x9823af01a9dabfa3, 0x59ed8fba25500ffd, 0x33e8e6656638f81e, 0x981013cb4e94527f, 0xd038a3cf89347462,
  0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e, 0x365118bf9b65c455, 0x3e3458df1726ae0f, 0x2a73f53ab31e40cd,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9,
  0x00000149327173c3,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ee[] = {
  0x777776fcde7cbd5b, 0xbbbbaa63d32d4fdb, 0x77dab0c55fbbf7bb, 0xec36c20dd477624e, 0xdfb80b5a0f5db3e1,
  0x482a0ada931c5ddd, 0x2d0520001304f8c0, 0x4f89bed6788c0932, 0xa6b54ee9f72e30a0, 0x3a7ce163f37fcfcc,
  0xac0ce0cdea3d0fec, 0x057f98d022847242, 0xf77c5dffae00dc3e, 0x0865a095910caee2, 0xf7ff4073c265f715,
  0x60b0ab3317397b7d, 0x35dbd561c3ff3806, 0xad1e942d3b424e09, 0x07f27a8f2bdbf355, 0x9bbe2beebd47c1b3,
  0x1971c270dc3afb16, 0xc57027e6909afa5b, 0xedbda3278e756979, 0x4876355ae875ec66, 0xeece038ec5a7cf23,
  0xea8d823f5b86f65d, 0x3e8e6656601512a0, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d,
  0xfdeaa8b4d8b3d0ea, 0x65118bf9b65c455b, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000064298dcf0ee7,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeedf9448664d6, 0x777754c7a65a9fb6, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x482a0ada931c5dd9, 0x2d0520001304f8c0, 0x4f89bed6788c0932, 0x2ec24ee9f72e30a0, 0x0e9f3858fcdff3f3,
  0xab0338337a8f43fb, 0x815fe63408a11c90, 0xbddf177feb80370f, 0x4219682564432bb8, 0x7dffd01cf0997dc5,
  0x982c2accc5ce5edf, 0x4d76f55870fff164, 0x6b47a50b4ed09382, 0xc1fc9ea3caf6fcd5, 0xa6ef8afbaf51f06c,
  0xc65c709c370ebec5, 0x715c09f9a426be96, 0xbb6f68c9e39d5a5e, 0xd21d8d56ba1d7b19, 0x7bb380e3b169f3c8,
  0x3aa3608fd6e1bd97, 0xcfa39995980544a8, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67,
  0xff7aaa2d362cf43a, 0xd94462fe6d971156, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x4cf579e4afdcd0cc, 0x00000000005647e0,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ce[] = {
  0x7776fcd41e7c7a31, 0xbbaa67a5b0cfdb77, 0x6e919ce2dfb5bbbb, 0x56277774d2d33764, 0x13f0fbaec1f1da6c,
  0x0482a0ada92103b9, 0x9168291723304f8c, 0x027c4df6b3c46049, 0x6535aa774fb97185, 0xd8656386fb9b4dfe,
  0x42ac0cbacdea3a9e, 0x3e057f98d0228472, 0x717bbe2efff800dc, 0x8a8432d009e88657, 0xdff77fd01cf09a71,
  0x01982c2accc5ce5e, 0xc126bb7aac32bfce, 0xa9dff58c85a76849, 0xe9fb1ffcf002e767, 0x2c0513f309cee6d7,
  0x2ac0d05fa8fd04f7, 0x59cc580a3e7491c7, 0x78ebc06a76afe8d0, 0xadc3ee895403ff66, 0x3e8e6656638f81e5,
  0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0xca2317f36cb831db,
  0x34596af2e4d5c1e6, 0x73f53ab31e40cd3e, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x278773c95fb9a199, 0x00000000001a48bb,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeedf944865c93, 0x777754c85fb29fb6, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xe30120a82b6a4f91, 0x24c8b4148300cc13, 0xc2813e26fb59e230, 0xafccbb093ba7dcb8, 0x1adb0274704b5305,
  0x8e485581e9b9bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbdaec0, 0x1ee2a10cb417da21, 0x2f6ec17fe80e784c,
  0xf8b24c16156662e7, 0x49c126bb7aac727f, 0x4fe5c5f59b85a768, 0x22fb8d1079e24e42, 0xfe7ea3e12fc43612,
  0xf13f33c5dcdafa69, 0x1a0bf51fa09ee58c, 0x8b0147ce9238e558, 0x780d4ed5fd1a0b39, 0x7dd12a807feccf1d,
  0xcccacc71f03cb5b8, 0x27969d28a4fe67d1, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381,
  0x62fe6d97063b7fbd, 0x71a2c6f86e3cd944, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343c899e07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x000000d245e7ccf5,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ee_ce[] = {
  0xb777776fcd4343ee, 0xbbbbbbaa60c2d4fd, 0x39a769ce57daeb7b, 0x5f62ecf890e9dba5, 0x977577e44f76d3c5,
  0x3e30120a82b6a4d8, 0x0499168291c3fcc1, 0x185027c4df6b3c46, 0xbff997612774fb97, 0x9b7b09db385adcd5,
  0x3921560633737a8e, 0x6e1f02bfcc681142, 0x57717bbe2ef98600, 0xc38a8432d053c886, 0xbdb85affa039e131,
  0xe2c9305855998b9c, 0x27049aedeab3677f, 0xc77fd51c7b169da1, 0xfe068fcf1272124a, 0x595898cc273b9b5f,
  0x0f22fa8f2b9c653b, 0x314c57927a8f8366, 0x32e384e1b875f62d, 0x76e7bc752135f4b6, 0x94d3b73c8daf8e75,
  0xb119a4b1aaf1b1d7, 0xf65b93380e3b169e, 0xe665678c5d332386, 0x13cb4e94527f33e8, 0xce81c51e74629810,
  0x169c9183536253f7, 0xd3d0ea9c083b3182, 0x9c371e6ca2317f36, 0xbab337f07771a2c7, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x084e2d9eaf3c95fb, 0x0000000000000026,
};

static const uint64_t ur_m8535_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x6ddddddbf2890c86, 0xdddddd53017d17bf, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0xf8c0482a0ada9361, 0x12645a0a4771f304, 0x61409f137dacf118, 0x37e65d849dd3ee5c, 0x526c3f5ce06b734c,
  0x7242ac0eb7e6f51c, 0xdc3e057f98d02284, 0xaee2f77c5df95000, 0x75150865a035910c, 0x7b77f9ff4073c26b,
  0xc59260b0ab331739, 0x9c126bb7aac31fff, 0x5c5f547f385a7684, 0x71a20f3c49c84b2b, 0xd47c25f886c2445f,
  0x99e2ee6d7eb3643f, 0x3cad0094ed6e6d31, 0xf9ea3e0d983c8bea, 0x86e1d7d8b4c5315a, 0xd484d7d2d8cb8e13,
  0x2d188739d5db9311, 0xc6abc6c75e534ed8, 0x01c762d30e28e416, 0x15346470decb7267, 0x149fccfa399959e3,
  0x3d18a60404f2d3a5, 0x294be740e28f1cfc, 0x10b4ee2fe6dd4b57, 0x69e8754e0530b98c, 0xbe1b8f365118bf9b,
  0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x020020533d5e792b,
};

// m8535_u2x12_uart0_noled_pr
static const uint64_t ur_m8535_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x9304f8c0482a0ada, 0x627ad7ff965acffc, 0xa127049aede68334, 0x47afe77cb09f169d, 0x179e8e3956063efd,
  0x8ccf1cc580b2ca61, 0xfecc11d7a3e760e2, 0x3cb3db535f86a807, 0xc527969d28a15950, 0x7ae7e28f37b268e8,
  0xa1d53811fd4a5e53, 0x2adfef5545a54fa7, 0x6ed94462fe6da5fe, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0xe3caf69e4afdcd0c, 0x000000000000f906,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_u4[] = {
  0xbaeeb43a2ec53b90, 0xeeaafb39bbe25bbb, 0xfcf0bad346beeeee, 0xf5fbbba1653dde26, 0xd2cd29715c6f2245,
  0xf8c0482a0ada93ba, 0xd7ffe617cffc9304, 0x049aede68334627a, 0xe77cb09f169da127, 0x8e3956063efd47af,
  0x1cc580b2ca61179e, 0x11d7a3e760e28ccf, 0xdb535f86a807fecc, 0x969d28a159503cb3, 0xe28f37b268e8c527,
  0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x4462fe6da5fe2adf, 0xd1637c5c9ab83cd9, 0x39fa9d598f2076d0,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00001f27bc1510a4,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef621391, 0x777557cd67a712dd, 0x7e63e9590d363777, 0x0f53341dd48a5eec, 0x0f22f5f92920a6e0,
  0x180905415b527742, 0xbff985f3ee96609f, 0x26bb79a0cd189ffb, 0xb5a39b85a76849c1, 0x3063e7a8f2b9c66a,
  0xd377c572fbd47c1b, 0x632e384e1b875f62, 0xa62b8d64d2135f4b, 0xdd967a313e73ab4b, 0x3c676355ae875e74,
  0xb2f9c071d8b4d05a, 0x0ca8d823f5b86f65, 0x93cb4e945002fc30, 0x73f1479bd9347462, 0xea9c08fea52f29bd,
  0x6ff7aaa2d2a7d3d0, 0x6ca2317f36d2ff15, 0x76d0d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0x49e4afdcd0ccb0e9, 0x00000014f963fa21,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ee_u4[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0x80905415b52774c8, 0xff2e3f3ee96609f1, 0x9aede68334627fee, 0xd68e6e169da12704, 0xc18f9ea3cae719aa,
  0x4ddf15cbef51f06c, 0x8cb8e1386e1d7d8b, 0x98ae3593484d7d2d, 0x7659e8c4f9cead2e, 0xf19d8d56ba1d79d3,
  0xcbe701c762d34168, 0x32a3608fd6e1bd96, 0x4f2d3a51400bf0c0, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5,
  0xbfdeaa8b4a9f4f43, 0xb288c5fcdb4bfc55, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x19e4afdcd0ccb0e9, 0x0000004ebaf3e339,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0x6a4eec2f5a3c7a08,
  0xdd4c13e30120a82b, 0x68c4f3d7fe596b3f, 0x3b424e0935dbcd06, 0x5c2437ceffa93c2d, 0x7736bafb28bf9e00,
  0x82e7b9602e33984e, 0xee38e5581eb17a8e, 0x48e1a8e62c05afe3, 0xc72c678ebc5cedac, 0x93cb4e94507406ad,
  0xae7e28f2dd347462, 0x85a72f1fd4a5e537, 0xa7a1d53819d4cc60, 0x8f386ed94462fe6d, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x2dd5538af69e4afd,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaaba1df1f896e, 0xdf1691731d85fbbb, 0x0db6c477775fb307, 0x93bb4cd19ad08ee0,
  0x5304f8c0482a0ada, 0xc4f31fffcc2f9fa9, 0x424e0935dbcd0668, 0x1cc92e2fac642d3b, 0x9117dc6883cf002c,
  0xc4ebf51f097e21b0, 0x67e3399e2ee6d71a, 0x03d62f51c38cf72c, 0x8b01443c82c71cab, 0xd78b9d94d23fc339,
  0xa283ae97b8e58cf1, 0xe39f87a3149e5a74, 0x53f794f33cbcfc51, 0x131821696aeccf2f, 0x2fe6da7a1d5381f1,
  0x37c5c9ab83cd9446, 0xa9d598f2076d0d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x006eb842d10a4f25,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xdddd55fac115b896, 0x130acc469ed0bddd, 0x76783bbf75d79334, 0x9a33fa68ecfde2fc,
  0x180905415b527769, 0xfff985f3f95a609f, 0x26bb79a0cd189e50, 0xfaa39105a76849c1, 0xf9f9e005839fb8ef,
  0x465309cee6d7b1ff, 0xbea3cafe494ed656, 0x8ae21f51f06cc188, 0x709c370ebec5a629, 0x228ea426be96c65c,
  0xec21d187139d5dbb, 0x9ab1aaf1b1d7aea6, 0x59c071d8b4e4151a, 0x8c7f0cc8e1bd970e, 0x9a3a3149e5a74a29,
  0x9794deb9f8a3cdec, 0x53e9e8754e047f52, 0xd2fe63b7fbd55169, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce,
  0xcb25c33d30ae4fdd, 0xccb0e9296cb25138, 0xaa722149e4afdcd0, 0x0000000000000a69,
};

static const uint64_t ur_m8535_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0xf180905415b52774, 0x5ffe5c7e7fa7e609, 0x126bb79a0cd189fd, 0x5f5475285a76849c, 0x883cf002d690e1dc,
  0xf097e21b09117dc6, 0x8bb9b5ef0f96bf51, 0xbf9253b5b9b8ca67, 0xd47c1b30622fa8f2, 0xc3afb1698a62b1f3,
  0x09afa5b1971c270d, 0x61c4e7576e83e3a9, 0xbc6c75eba9bb3da4, 0x3b16999e46a6ac6a, 0x191c37b2e1cb380e,
  0x527969d28a631035, 0xf5cfc51e5ba68e8c, 0x10b4e5e3fa94bca6, 0xb4f43aa7033a998c, 0x9357079b288c5fcd,
  0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x89a033919e4afdcd, 0x000000000000009f,
};

// m8535_u2x12_uart0_lednop_pr
static const uint64_t ur_m8535_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0xd304f8c0482a0ada, 0x313e21ff965acfcd, 0xd093824d76f3419a, 0xa3acf3be584f8b4e, 0xbe4f471cab031f7e,
  0x8cd21cc580b2ca61, 0xfecc11d7a3e767b4, 0x1e59ed99e534a807, 0x1013cb4e94515828, 0x38a3cf8934746298,
  0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0x5118bf9b65c455bf, 0x81a3f8d163ce1bb6, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xbda792bf734332c3, 0x000000003e43a4e2,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762eff6, 0x77557d9cd9f12ddd, 0xc4a1c75fac477777, 0x6adbbba1653ddbbf, 0xbd731398d33f1742,
  0x3e30120a82b6a4ee, 0x887ff985f3f374c1, 0xe0935dbcd0668c4f, 0x3cef9613e2d3b424, 0xd1c72ac0c7dfa8eb,
  0x8731602cb2986f93, 0x0475e8f9d9ed2334, 0x7b66794d2a01ffb3, 0xf2d3a514560a0796, 0xf3e24d1d18a60404,
  0xaa9cbca6c6740e28, 0xa2d362cf43aa702b, 0x2fe6d971156ff7aa, 0x37c5c9ab83cd9446, 0xa9d598f2076d0d16,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x01f27924d10a4f25,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ee[] = {
  0xeeebbad0f7b15a91, 0xdddd55f35b0a896e, 0x3b1fb6c19ee2fddd, 0xfea6683ba914bdbd, 0xbd3aa2cbb64168f1,
  0x602415056d49dd68, 0xffe617cf9759827c, 0x9aede68334627fce, 0xd68e6e169da12704, 0xc18f9ea3cacf59aa,
  0xa6ef8af4af51f06c, 0xc65c709c370ebec5, 0xc9171ac9a426be96, 0xddba04621ce75697, 0x720b6355ae875e74,
  0x65f380e3b16989f4, 0x0d51b047eb70decb, 0x27969d28a004a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0x317f36cb88ab7fbd, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x0014f870a22149e4,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0x0120a82b6a4eeb33, 0xfe5c7e7cbacc13e3, 0x35dbcd0668c4ff9d, 0xad1cdc2d3b424e09, 0x831f3d47959eb355,
  0x4ddf15e95ea3e0d9, 0x8cb8e1386e1d7d8b, 0x922e3593484d7d2d, 0xbb7408c439cead2f, 0xe416c6ab5d0ebce9,
  0xcbe701c762d313e8, 0x1aa3608fd6e1bd96, 0x4f2d3a5140094d7e, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0x62fe6d971156ff7a, 0x637c5c9ab83cd944, 0xfa9d598f207e50d1, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00275c83919c8cf2,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x2b6a4eed8f642179,
  0x3e654c13e30120a8, 0x0cd189e13ffe596b, 0x5a76849c126bb79a, 0x00b84b229dff5278, 0x9cee6d728ae4ff3c,
  0x1ded4f72c05c6730, 0xc38c71cab03d62f5, 0x33c8d4d1cc580b82, 0x9ee39633c75e2e76, 0x0809e5a74a283aba,
  0x81c51e39f87a314c, 0x5fcdba96ae5297ce, 0x9c0a6173182169dc, 0x6ca2317f36d3d0ea, 0x790347f1a2c79c37,
  0x2e19e985727eeacc, 0x87494b659289c659, 0x857b4f257ee68665, 0x00000000000b7524,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x4f8c0482a0ada93b, 0xea57f971f9f4ad30, 0x3824d76f3419a313, 0xdfb8bea988b4ed09, 0xfb8d1079e005ad26,
  0xfea3e12fc4361222, 0x64cf17736beed26d, 0xa4f51f9e9ee58cfd, 0x02ef782e38e55819, 0x8f9d9ed233487316,
  0x94d2a01ffb33c75e, 0x945158281e5adc67, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0xcb831dbfdeaa8b4d, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xb5a8ce46792bf734, 0x0000000000001bae,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xeeeeaafd60968896, 0xea9bb1e34f685eee, 0xd903c1ddfbaebc99, 0xa668cfe9a3b3f78b,
  0x7c602415056d49dd, 0x9bffe617cf8d6982, 0x049aede68334627e, 0xbfea8e44169da127, 0xffe7e780160e1453,
  0x59194c273b9b5ec7, 0x22fa8f2b9ba53b59, 0xa62b4c7d47c1b306, 0x71c270dc3afb1698, 0xec8a3a909afa5b19,
  0x3766be46f68e7576, 0xccf58d578d8ebd75, 0x396701c762d33488, 0x5318cb232386f65c, 0x7462981013cb4e94,
  0xa6c6740e28f2dd34, 0x8c10b4deabaa9cbc, 0xf36d3d0ea9c0bab9, 0x3ce2e4d5c6ca2317, 0xfdd598f2076d0d16,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0xa69aa722149e4afd,
};

static const uint64_t ur_m8535_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x3e30120a82b6a4ee, 0x87ffcb8fcfd8fcc1, 0x824d76f3419a313e, 0x8bea8ea50b4ed093, 0xd1079e005ad214bb,
  0x3e12fc4361222fb8, 0xe2ee6d7e5a66ffea, 0xad7c94ed6e6e3299, 0xf51f06cc188bea3c, 0x70ebec5a6298adef,
  0x426be96c65c709c3, 0x8d219ceaedd190ea, 0x578d8ebd75376a96, 0xc762d3a251a83d8d, 0x332386f65c396701,
  0x404f2d3a514c6375, 0x0e28f1cfc3d18a60, 0xfe6dd4b57294be74, 0xe0530b98c10b4ee2, 0x65118bf9b69e8754,
  0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef,
  0x52d9f0271964b867, 0x33c95fb9a19961d2, 0x00000013f0216672,
};

// m8535_u2x12_uart0_dual_pr
static const uint64_t ur_m8535_u2x12_uart0_dual[] = {
  0xddddbf183ea22a20, 0xeeeea984cee0bf6d, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0xc602415056d49241, 0x24c8b41486bb9827, 0xc2813e26fb59e230, 0xf997717d3ba7dcb8, 0xf360bece05166727,
  0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2efb7400, 0xbdc54219680f8886, 0x97b7d2bfe80e784d,
  0xe068260b0ab33173, 0xaede68334627c43f, 0xcb09f169da127049, 0x956063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0xccaca2771cb1823a, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0x2e4d5c1e6ca2317f, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd,
  0x0ccb0e9296cf8138, 0x869c33919e4afdcd, 0x0000000000000018,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_u4[] = {
  0xbb7e307a2e7c4541, 0xdd530999917edbbb, 0x36625d96bd6ddddd, 0xe9dbbbb0cdeba3b8, 0x0093738b0f83740b,
  0x0905415b524adbb9, 0x22d0523f5e609f18, 0x04f89bed6788c093, 0xca6b54ee9f72e30a, 0xb04ac7074b31c3fc,
  0x85581c069bd47fdd, 0x7c0aff31a04508e4, 0xe2f77c5de35801b8, 0x8a8432d0f9110cae, 0x6fdd7fd01cf0987c,
  0x00cc16156662e72f, 0xde68334627829fe7, 0xb9e169da127049ae, 0xb037b5ea3dc33be5, 0x0bac533df6b471ca,
  0x6a76afe8d059cc58, 0x895403ff6608ebc0, 0x598e3e07967b63ee, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2,
  0x9cbca6c6740e28f3, 0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0xc5c9ab83cd94462f, 0xacc790334f8d1637,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x4de6dcf0ee792bf7, 0x0000000000000052,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ee[] = {
  0xdddbf183ef3e43ee, 0xeeea98a6d9f3f6dd, 0x931b10ebed17eeee, 0x2e36477727333086, 0x13ddb4f58bf5dabe,
  0xa0ada9306ddd5df9, 0xa41b77304f8c0482, 0x37dacf11812645a0, 0xa9dd3ee5c61409f1, 0xce1ff260d1f994d6,
  0xf57cdea3f4fec2c7, 0xf31a04508e485581, 0x8bbcd6c01b87c0af, 0xb41d2a2195dc5eef, 0xe80e784c5162a10c,
  0x156662e72f6fa6ff, 0x8c4f297fe700cc16, 0xb424e0935dbcd066, 0xbdbf355ad1e942d3, 0xd47c1b307f27a8f2,
  0xc3afb169bbe2beeb, 0x09afa5b1971c270d, 0xe756979c57027e69, 0x875ec66edbda3278, 0x5a7cf234876355ae,
  0xb86f65deece038ec, 0x01512a0ea8d823f5, 0x94527f33e8e66566, 0x347462981013cb4e, 0xf29b19d038a3cf89,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0x26ae0f365118bf9b, 0x3c819a7c68b1e717, 0x970cf4c2b93f7566,
  0x2c3a4a5b3e04e32c, 0x74f0ee792bf73433, 0x00000000006429d2,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ee_u4[] = {
  0x776fc60f448618be, 0xbbaa629b67cfdb77, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x0a82b6a4c1b7775e, 0x82906ddcc13e3012, 0xc4df6b3c46049916, 0x612774fb97185027, 0xc7ce1ff260d1f997,
  0x81f57cdea3f4fec2, 0xaff31a04508e4855, 0xef8bbcd6c01b87c0, 0x0cb41d2a2195dc5e, 0xffe80e784c5162a1,
  0x16156662e72f6fa6, 0x668c4f297ff8b24c, 0xd3b424e0935dbcd0, 0xf2bdbf355ad1e942, 0xebd47c1b307f27a8,
  0x0dc3afb169bbe2be, 0x6909afa5b1971c27, 0x78e756979c57027e, 0xae875ec66edbda32, 0xec5a7cf234876355,
  0xf5b86f65deece038, 0x6601512a0ea8d823, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0xb1be1b8f365118bf, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x001593249b3d5e79,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ce[] = {
  0xb7e307d41e7c1a4e, 0xd53099b627edbbbb, 0x513b656a4cdddddd, 0x67bbbbf4f92b4e29, 0xee1762fee0eb1da6,
  0x82a0ada93645dc9a, 0x68290495304f8c04, 0x7c4df6b3c4604991, 0x35aa774fb9718502, 0x6fb3869b9a2b7e65,
  0xac0ca1cdea3e56d8, 0x057f98d022847242, 0x7bbe2ef0d000dc3e, 0x4219687748865771, 0x95bfe80e784da545,
  0xcc16156662e72f6e, 0xd0668c4f8f7fe700, 0x42d3b424e0935dbc, 0x780173b3d4effac6, 0x84e7736bf4fd8ffe,
  0xd47e827b960289f9, 0x1f3a48e39560682f, 0x3b57f4682ce62c05, 0xaa01ffb33c75e035, 0x31c7c0f2d6e1f744,
  0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a,
  0x726ae0f365118bf9, 0x8f20669f1a2cb579, 0x38d2861539fa9d59, 0xe4fc07cd0f226781, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x001a498433c3b9e4,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ce_u4[] = {
  0x77776fc60f4486f9, 0xbbbbaa658f39cfdb, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0xf180905415b52560, 0x12645a0a45d0e609, 0x61409f137dacf118, 0xffe65d849dd3ee5c, 0x275b04b4700b5318,
  0x8e485581c569bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbd0f80, 0x63e2a10cb40a2a21, 0x2f6f813fe80e784c,
  0xf8b24c16156662e7, 0x5dbcd0668c4ff9df, 0xfacdc2d3b424e093, 0x883cf1272127f2e2, 0xf097e21b09117dc6,
  0xe2ee6d7d34ff3f51, 0x8fd04f72c6789f99, 0xe7491c72ac0d05fa, 0x6afe8d059cc580a3, 0x403ff6678ebc06a7,
  0x38f81e5adc3ee895, 0x94527f33e8e66566, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0xcb831dbfdeaa8b4d, 0x7c371e6ca2317f36, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x6922d3e67abcf257,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdddbf183f6090c86, 0xeeea98d4f263f6dd, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x05415b524eb3bbbb, 0x414874ea609f1809, 0xe26fb59e23024c8b, 0xb093ba7dcb8c2813, 0x3e1c3ace6643fccb,
  0x03fd79bd47986d83, 0x5fe63408a11c90ab, 0xbe2ef75400370f81, 0x32d00b488657717b, 0xffa039e131c18a84,
  0x5855998b9cbdbe20, 0x346278cdffe2c930, 0x9da127049aede683, 0x12383717d5197516, 0x9117dc6883cf1272,
  0x3acff51f097e21b0, 0x9b5f2678bb9b5d9f, 0x98fa8f2b91253b5b, 0x4c5613fd47c1b306, 0xe384e1b875f62d31,
  0xe9c4752135f4b632, 0x66edbda3278e7576, 0x4690ec6abc6c75ec, 0xbbdd9c071d8b4f9e, 0xa0ea8d8226470dec,
  0xf33e8e6656659d12, 0x2981013cb4e94527, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0,
  0xe6ca2317f36cb831, 0xfc1ddc68b2d5e371, 0x69430a9cfd4eaccd, 0x7e03e6879133c09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x100073e67abcf257,
};

static const uint64_t ur_m8535_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d1369fbb90, 0xea98d4f263f6dddd, 0x0ebe44eb4f6eeeee, 0x3817ba930b55710b, 0xbdff5b07c4dd578d,
  0xda92759dc6a44af2, 0xa75304f8c0482a0a, 0xacf11812645a0a43, 0xd3ee5c61409f137d, 0xb39990ff32bf689d,
  0x6f51e61b60cf870e, 0x022847242ac0ff5e, 0xd5000dc3e057f98d, 0xd22195dc5eef8bbd, 0x784c7062a10cb402,
  0x62e72f6f883fe80e, 0x66ffde69cc161566, 0x824d76f3419a313c, 0x8bea8cba8b4ed093, 0x3441e789380e1c1b,
  0x8f84bf10d8488bee, 0x78bb9b5d4939bffa, 0x2b91253b5b9b5f26, 0xfd47c1b30698fa8f, 0xb875f62d314c5613,
  0x2135f4b632e384e1, 0xa3278e7576e9c475, 0x6abc6c75ec66edbd, 0x071d8b4f9e4690ec, 0x8226470decbbdd9c,
  0x6656659d12a0ea8d, 0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a,
  0x17f36cb831dbfdea, 0x1be2e4d5c1e6ca23, 0x3ab337f06fd0468b, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x0016b53c5da9e4af, 0x0000000000000002,
};

// m8535_swio10_noled_pr
static const uint64_t ur_m8535_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x2415056d49ddb1ec, 0xcb2d67cca9827c60, 0xae77cb13548027ff, 0x28e39560621fd475, 0x59cc580b7ba69ba3,
  0x1823af173b1348f0, 0xcb955a95952f71cb, 0x9546bac80e64836b, 0x9caed52df5673a8a, 0x4c4aa5f7afa69935,
  0x59de5cf6ab445797, 0x5a5aff11a9e18a6f, 0x3d0ea9c0b71f1408, 0x79c376ca2317f36d, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x6866587494b65928, 0xf9024857b4f257ee,
};

static const uint64_t ur_m8535_swio10_noled_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xadddaab914623128, 0xf7c7e8714718c227, 0x877a086b97bf1350, 0x3b6c6245dd8882fe,
  0x6d49ddfa706f0ab8, 0xe449827c60241505, 0x89aa41a57ff30be7, 0x581887f51d313be5, 0x02dee9b4a88638e5,
  0xe2e76ded193c7316, 0x52b167ee39630475, 0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xbef5f4d326b395da,
  0x9ed5688af2e98954, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0xc56a8ab7fbd55169, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xd3408852792bf734, 0x00000000000003e4,
};

static const uint64_t ur_m8535_swio10_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17a4cf8ff8, 0xa847914c1afaa6ec, 0x4767ef17b2020da0,
  0x0ada93bb4cd19fd3, 0x9f1ad304f8c0482a, 0x47dd520d37ffcc2f, 0x97dea3cadc9cd56b, 0xbe2b80dea3e0d983,
  0x71c270dc3afb169b, 0xb8a266909afa5b19, 0xef47914e75697dbe, 0xb1aad743af5d4dd9, 0x701c762d3b868c9a,
  0x0d7df5b86f65c396, 0x073241b5e5caad57, 0xfab39d454aa35d64, 0xd7d34c9ace576a96, 0x55a22bcba62552fb,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0x9b69e8754e04e148, 0xe71726ae365118bf, 0xeeacc7903b6868b1,
  0x9c6592e19e985727, 0x6866587494b65928, 0x9f153910a4f257ee, 0x0000000000000002,
};

static const uint64_t ur_m8535_swio10_noled_pr_ee_u4[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0xa93ba75a3509167d, 0xad304f8c0482a0ad, 0xf74834dff971f9f1, 0xf51e5670e6ab5a38, 0xae43fa8f83660cf5,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x47109cead2f52971, 0x355ae875e74dda71, 0x038ec5a6b5d188b6,
  0xc11fadc37b2d97ce, 0x72ab500967d7f546, 0xa8d75901cc906d79, 0x95daa5beace75152, 0x8954bef5f4d326b3,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x7f36c56a8ab7fbd5, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x009d72ccce46792b,
};

static const uint64_t ur_m8535_swio10_noled_pr_ce[] = {
  0x7e6eeeeeef623f3e, 0xda3bb557228a6e25, 0xade833d790c98710, 0xada0b83e3b05e4cc, 0x74e41090a87bb7e6,
  0x82b6a4eed9158210, 0xe7ce1cc13e30120a, 0xfaaf94812b7ff30b, 0xb5f9e005838e4cef, 0xeb26139dcdae337b,
  0x782fd47c927b9602, 0x580a13d7c8e39560, 0x5e8f9d87c476b1cc, 0xe8167aa01ffb33c7, 0xb955a882540f2d6e,
  0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xc4aa5f7afa699359, 0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d,
  0xa8b4c329e8754e04, 0x7f36c56a31dbfdea, 0x63ce2e4d5c6ca231, 0x4fdd598f2076d0d1, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x16ea3cba2149e4af,
};

static const uint64_t ur_m8535_swio10_noled_pr_ce_u4[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0x5056d49dd0149339, 0xfcfdba9827c60241, 0x17d644a41813fcb8, 0xa20f3c00b5a453d7, 0x7c25f886c2445f71,
  0xc5dcdaecdf4a8fd4, 0x47c927b9633f5933, 0x3d7c8e39560782fd, 0xd87c476b1cc580a1, 0xaa01ffb33c75e8f9,
  0x882540f2d6ee8167, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xf7afa699359caed5, 0xf6ab4457974c4aa5,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x56a31dbfdeaa8b4c, 0xd5c1e6ca2317f36c, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0xf5cce46792bf7343, 0x000000000001baf1,
};

static const uint64_t ur_m8535_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0x6d49dd294758dd2b, 0x8689827c60241505, 0x387482c7ffcb8fcf, 0x002d693a7ceffaa3, 0x9cee6d7b9124afcf,
  0x5ba594ed6563df30, 0xea3e0d983403d479, 0xc3afb1698a62bf9d, 0x09afa5b1971c270d, 0x3884e7576ea943a9,
  0x55e363af3a6ed38a, 0x38ec5a6b5d188b63, 0x08991c37b2d97ce0, 0x955a966b3ebfaa36, 0x46bac80e64836bcb,
  0xaed52df5673a8a95, 0x4aa5f7afa699359c, 0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041,
  0xf36c56a31dbfdeaa, 0x3ce2e4d5c6ca2317, 0xfdd598f207e50d16, 0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25,
  0x9a673e33919e4afd, 0x0000000000000002,
};

static const uint64_t ur_m8535_swio10_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e6d3a, 0x1776aafea68ee244, 0xeb4a76c332b60bf3, 0x2a003620dcbb34a6, 0x4e4ef22165b3c90c,
  0x4eedced9b1ed932c, 0x4c13e30120a82b6a, 0x483107fff43cfa1f, 0x2e76ff2e2faa3b75, 0xb09117dc6883cf00,
  0xa72e0bf51f097e21, 0x6e6def99e2ee6d7e, 0x3403d4795ba594ed, 0x8a62bf9dea3e0d98, 0x971c270dc3afb169,
  0x6ea943a909afa5b1, 0x3a6ed38a3884e757, 0x5d188b6355e363af, 0xb2d97ce038ec5a6b, 0x3ebfaa3608991c37,
  0x64836bcb955a966b, 0x673a8a9546bac80e, 0xa699359caed52df5, 0x4457974c4aa5f7af, 0xc34ef1dfd75cf6ab,
  0x8754e041dd4d8a53, 0x1dbfdeaa8b4c329e, 0xe6ca2317f36c56a3, 0xa7c68b1be2e4d5c1, 0x854e7ea75663c819,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x773c95fb9a19961d,
  0x00000009f9a38a78,
};

static const uint64_t ur_m8535_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0905415b52777312, 0xf2cb59f7f2609f18, 0xf90ef9626a90195f, 0xef8e39560621fd47, 0xd01cc580b7ba6401,
  0x58c11d78b9dad647, 0xaf2e556a5673db8e, 0x2a551aeb2039920d, 0x0272bb54b7d59cea, 0x2ad5d2fe9a64d702,
  0xad73daad115e5d31, 0xd4b0b29b1674079f, 0x6c7f8a042d3573ab, 0x118bf9b69e8754e0, 0xe985727e7f61bb65,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x00000000a92dc57b,
};

static const uint64_t ur_m8535_swio10_lednop_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0xdb27bab21c6c13c1, 0x66b7858db19423d3, 0x417e63c7f7638f41,
  0xb52774d2c71c5e24, 0x01a609f180905415, 0x45a401efff985f3f, 0xc0c9ef51e713be58, 0x2cb2983da011c72a,
  0x7cec98a383e73160, 0xe81500ffd9823af4, 0x56a844c0f2cf6ed6, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551,
  0x2fe9a64d7020272b, 0xaad115e5d312ad5d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73,
  0x1e6ca2317f36d843, 0xdb434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0x278428852792bf73, 0x000000000000001f,
};

static const uint64_t ur_m8535_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xadddaab914f17128, 0x3b50f50e2448c227, 0x7f43bd05af21932e, 0x1b267e946beec441,
  0x56d49dd5c62454dc, 0x7dfc9827c6024150, 0x589aa40657ff30be, 0x5581887f51fe43be, 0x602dee99007be38e,
  0x5e2e76b591f40731, 0x5a959cf6e3963047, 0xbac80e64836bcb95, 0xd52df5673a8a9546, 0xbfa69935c0809cae,
  0xab4457974c4ab574, 0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x6da7a1d5381b1fe2, 0x5c9ab83cd94462fe,
  0x598f2076d0d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x9348bd10a4f257ee, 0x000000000000000f,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0x304f8c0482a0ada9, 0x90472ff2e3f3fd5f, 0x3caca1cd56b471ee, 0x4bf51f06cc19ebea,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x7c39d5a5dc9ae359, 0xb5d0ebce9bb1ea8d, 0x1d8b4e214637ec6a,
  0x3f5b86f65b2f9c07, 0xab500ba059ea8d82, 0xd75901cc906d7972, 0xdaa5beace75152a8, 0x97f4d326b8101395,
  0xd5688af2e98956ae, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9, 0x0f365118bf9b6c21,
  0xfca1a2ce9f1726ae, 0x0c2a73f53ab31e40, 0x133c5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00009d781467233c,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0xa93ba3d8b54718d4, 0xe5304f8c0482a0ad, 0x75482dd7f971f9f8, 0x7a8f2b90f355ad1f, 0xadd2fa8f83660e5f,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8d3139d5a5d7dae2, 0xab5d0ebd7537697c, 0x38ec5a63e23b5ac6,
  0x83eb70decb872ce0, 0x9920daf2e556ab8e, 0x59cea2a551aeb203, 0x4d7020272bb54b7d, 0xe5d312ad5d2fe9a6,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x317f36d843156ff7, 0xb1be2e4d5c1e6ca2,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0004eba680ce4679,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x6ef4fde97be6e1c4, 0xab682e0ea6f1dc00, 0x44895b64217eedf9,
  0x82b6a4ee9a58e2d1, 0xe7ca1cc13e30120a, 0xfaaf948243fff30b, 0x35f9e005838e94ef, 0xbac984e7736b868d,
  0x1e0bf51c149ee580, 0x2c05dbf2fa38e558, 0x5e8f9d9314707ce6, 0x5add02a01ffb33c7, 0x972ab542260796b7,
  0x2a8d75901cc906d7, 0x395daa5beace7515, 0x6ae97f4d326b8101, 0xb9ed5688af2e9895, 0xb94b5f3a03cdedae,
  0xdb9e8754e0421520, 0x84263b7fbd551691, 0xe4d5c6ca2317f36d, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x8da2149e4afdcd0c, 0x00000000000016eb,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0x056d49dd3b410e5d, 0xcfc569827c602415, 0x7d644a41beffcb8f, 0x20f3c00b5a495d71, 0xc25f886c2445f71a,
  0x2ee6d7643a4afd47, 0x38293dcb19fac99e, 0xe5f471cab03c17ea, 0x2628e0f9cc580bb7, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb5ba05, 0x2039920daf2e556a, 0xb7d59cea2a551aeb, 0x9a64d7020272bb54, 0x115e5d312ad5d2fe,
  0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x94462fe6db084c76, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x000001bae91799c8,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0xda93bad3bed3b2d9, 0x3b7304f8c0482a0a, 0xe1d20ddaff2e3f3f, 0x00b5a419b3bfea8c, 0xe7736bb39747ff3c,
  0xcbaca76b2b1ef984, 0x51f06cc1a01ea3ca, 0x1d7d8b4c53159c3f, 0x4d7d2d8cb8e1386e, 0xaf873abb73931d48,
  0xaf1b1d79d3763d51, 0xc762d388518dfb1a, 0x44c8e1bd96cbe701, 0x556a59f40b3d51b0, 0x1aeb2039920daf2e,
  0xbb54b7d59cea2a55, 0xd2fe9a64d7020272, 0xdaad115e5d312ad5, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172,
  0x4c76ff7aaa2d23b7, 0xab8d94462fe6db08, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0x67233c95fb9a1996, 0x000000000a698bf6,
};

static const uint64_t ur_m8535_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d1a78bc17e6, 0x54006c23b836625d, 0xe817d382cb679218,
  0x4eea0126e7161f06, 0xcc13e30120a82b6a, 0x482007fff43cffeb, 0x5ceeb7ee2faa3b75, 0x61222fb8d1079e00,
  0xc8cf5fea3e12fc43, 0xb9b7be678bb9b5c2, 0xd00f51e565d653b5, 0x298ace1fa8f83660, 0x5c709c370ebec5a6,
  0xb9c98ea426be96c6, 0xe9bb1ea8d7c39d5d, 0x28c6fd8d578d8ebc, 0xcb65f380e3b169c4, 0x059ea8d8226470de,
  0xc906d7972ab52cfa, 0xce75152a8d75901c, 0x6b8101395daa5bea, 0x2e98956ae97f4d32, 0xcdedaeb9ed5688af,
  0x421520b94b5f3a03, 0x551691db9e8754e0, 0x17f36d84263b7fbd, 0x1be2e4d5c1e6ca23, 0xa75663c819a7c68b,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x09f8f36e78773c95,
};

// m8535_swio10_dual_pr
static const uint64_t ur_m8535_swio10_dual[] = {
  0x5ddddddd41e7ce7c, 0xdf9aa6568759fb54, 0xf4b56f4e3127ef17, 0x3206950558681610, 0x9b2a7114adda8a10,
  0x536eed9b69e1d71f, 0x827c602415056d49, 0x460499168290d079, 0x97185027c4df6b3c, 0x8a2fe6535aa774fb,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xe00370f815fe6340, 0x22195dc5eef8bbdf, 0xe135ad150865a119,
  0x8b9cbdb9c3ffa039, 0x7dff9c0330585599, 0xa8e13cef96c8b481, 0xbee448e3956076b7, 0x235ae731602eb14c,
  0xfecc11d780d4ed37, 0x07967b7196f6a807, 0xfe67d1cccaccfaa2, 0x80e64836bcb955ac, 0xdf5673a8a9546bac,
  0x69935c0809caed52, 0x457974c4ab574bfa, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x288c5fcdb610c55b, 0xd165abcb9357079b, 0xcfd4eacc790334f8, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0x9e1dcf257ee68665, 0x000000000524c745,
};

static const uint64_t ur_m8535_swio10_dual_pr_u4[] = {
  0xd3dddddda2e7ce7c, 0x25f9aa6568ccdfb0, 0xdad1eda625a29b08, 0x6d2d4d841a646e09, 0xa1f9619eb1badd1a,
  0x6a4d8f776cdb4f16, 0x544c13e30120a82b, 0xacf11812645a0a46, 0xd3ee5c61409f137d, 0x1ee631ff994d6a9d,
  0xa9bd4791361b7ce0, 0x8d022847242ac0f4, 0xdfd3e00dc3e057f9, 0x0b5910caee2f77c5, 0x01cf0989e8a8432d,
  0xaccc5ce5eddd2ffd, 0xd207f3fce01982c2, 0x64f7a8e0a1df2c22, 0x594c13f248e39560, 0x761be8c45398b016,
  0x135b8e58c11d7a3e, 0xd67f33e8e6656656, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xfd34c9ae0404e576,
  0x5a22bcba6255aba5, 0xf29c05ce80f2e7b5, 0xa042d2b08985ea5a, 0x9b69e8754e045fb8, 0x1726ae0f365118bf,
  0xb31e40cd3e3458df, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x4c2173c3b9e4afdc, 0x0000000000000052,
};

static const uint64_t ur_m8535_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0x77e6a990bc2cfd8a, 0xe937baaf9b144e46, 0x6ea38b4e51fad75d, 0xefeef7ed88b4b29c,
  0x5dcd1f53a19c6eca, 0xf8c0482a0ada93e4, 0x12645a0a44463304, 0x61409f137dacf118, 0xd7e65d849dd3ee5c,
  0x8d6d813a3825a982, 0x47242ac0f4dcdea3, 0x0dc3e057f98d0228, 0x95dc5eef8bbc1120, 0x1ee2a10cb417da21,
  0x2f6e1a3fe80e784c, 0xf8b24c16156662e7, 0x9aad68ea55204b5f, 0x1b307b7fd4795cae, 0x62d377c5795bd47c,
  0x4b632e384e1b875f, 0x5ce1ae04fcd2135f, 0x3376dbe8d0039d5a, 0x88defb1aad743af6, 0x977bb380e3b16982,
  0xee1aa3608fd6e1bd, 0xfe67d1cccacc02de, 0x80e64836bcb955ac, 0xdf5673a8a9546bac, 0x69935c0809caed52,
  0x457974c4ab574bfa, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x288c5fcdb610c55b,
  0x7771a2ce9f0dc79b, 0x0c2a73f53ab337f0, 0x133c5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00015930859eaf3c,
};

static const uint64_t ur_m8535_swio10_dual_pr_ee_u4[] = {
  0xd02f777776890c86, 0x38df9aa642faaf7e, 0x56d77eea0a7ad06e, 0xd89e4a539d6f7ecb, 0x0b2014fb622d2e05,
  0x8ddddd8dd9683cc5, 0x4f8c0482a0ada92b, 0x812645a0a47ad530, 0xc61409f137dacf11, 0x9d7e65d849dd3ee5,
  0x3e9bd8456380d698, 0x847242ac0f2b4dea, 0x00dc3e057f98d022, 0x0caee2f77c5df950, 0x3489150865a11ed1,
  0x397b7b1fffa039e1, 0xffc59260b0ab3317, 0x2cd56b4663e900d6, 0xf06cc1f51ea3cad8, 0x7d8b4ddf15943f51,
  0x7d2d8cb8e1386e1d, 0x6974acb80e33484d, 0xe534edd4239b8e75, 0xf911c656355ae875, 0xdecb726701c762d3,
  0x8e66566b8defeb70, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0xe0404e576a96fab3, 0xa6255aba5fd34c9a,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0xfe6db0862adfef55, 0xa2c6f86e3cd94462,
  0x73f53ab337f07771, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000564814cf579,
};

static const uint64_t ur_m8535_swio10_dual_pr_ce[] = {
  0x33ddddddde7c1a4e, 0x2df9aa656810dfb5, 0xde957ec4e1235168, 0x5a5f4e499389a767, 0x058a351dadda6662,
  0x066ee4d770b44ff7, 0x827c602415056d49, 0x460499168290ea89, 0x97185027c4df6b3c, 0x8bafe6535aa774fb,
  0xa3b93d87ce384879, 0x2847242ac0d7dcde, 0xc00dc3e057f98d02, 0x10caee2f77c5df8d, 0x132d78a8432d0c91,
  0xb9cbdbcaeffa039e, 0x3ff9c03305855998, 0x76e94effaaf94824, 0x6d74db9dbfcf002e, 0x93dcb01759309cee,
  0x471cab03c17ea382, 0x8e0f9cc580bb7e5f, 0x72c678ebd1f3b262, 0xcfa3999598eb7bdc, 0xcc906d7972ab59fc,
  0xace75152a8d75901, 0x26b8101395daa5be, 0xf2e98956ae97f4d3, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0,
  0xd551691db9e8754e, 0x317f36d84263b7fb, 0x63ce2e4d5c1e6ca2, 0x7eeacc790334f8d1, 0x09c6592e19e98572,
  0xee6866587494b67c, 0xe7adb8f9e1dcf257, 0x0000000000000000,
};

static const uint64_t ur_m8535_swio10_dual_pr_ce_u4[] = {
  0x627777776890cf68, 0x777e6a99005ce7ed, 0x3dae3bad89d90919, 0x323e44dd51795784, 0x76227a8ff5deed89,
  0x49a577347d4ebdc3, 0x4c13e30120a82b6a, 0xc4604991682911f7, 0xb97185027c4df6b3, 0xa6383f997612774f,
  0x7a8f6eb61b38e11c, 0x08a11c90ab03c093, 0x3900370f815fe634, 0xb4432bb8bddf177b, 0xf09827c542196807,
  0x8b9cbdb98fffd01c, 0x397fe2c930585599, 0x84a2b5c5f58f7482, 0x2445f71a20f3c49c, 0xaca8fd47c25f886c,
  0x6789f99e2ee6d724, 0x607d27a8e7acf72c, 0xe62c057f3a88e395, 0x3af01a9da6e46b5c, 0xba32ded500ffd99e,
  0x8e665667d5103cb5, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0xe0404e576a96fab3, 0xa6255aba5fd34c9a,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0xfcdb61098edfef55, 0x458df0dc79b288c5,
  0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00003493a799eaf3,
};

static const uint64_t ur_m8535_swio10_dual_pr_ee_ce[] = {
  0x4e2ddddddd43359b, 0xad7e6a9835ed05fb, 0xef1ff753ecb55867, 0x5f1ba39c0f908500, 0x71a7ab8e3b313389,
  0xb87866147f0b5d46, 0x180905415b524c8b, 0x991682909e5e609f, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0xa361a68e0ff26c41, 0x921560763f37a8e1, 0xe1f02bfcc6811423, 0xee2f77c5dfe72006, 0xf150865a0c1510ca,
  0x6ffafff4073c2690, 0xb24c16156662e72f, 0xfea8d4f5207f9ff8, 0x6ffe789390969a3b, 0x2f9309cee6d7524e,
  0x3d4795e0494ed656, 0x2b53dea3e0d98391, 0xc270dc3afb1698a6, 0x863a909afa5b1971, 0xdb6fa3400e7576e3,
  0xf7d8d578d8ebd8cd, 0xdd9c071d8b4c1446, 0x6a8d8226470decbb, 0x9f47332b32cf7bb8, 0x9920daf2e556b3f9,
  0x59cea2a551aeb203, 0x4d7020272bb54b7d, 0xe5d312ad5d2fe9a6, 0x79bdb5d73daad115, 0x0842a417296be740,
  0xaaa2d23b73d0ea9c, 0x62fe6db084c76ff7, 0xe3458f386e3cd944, 0xc2b93f75666fe0ee, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000026098db3d5e,
};

static const uint64_t ur_m8535_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xcd530b8fd5dfb162, 0xc3daaf1d7d9538af, 0xfbb0419c26d463a3, 0x095bb825899f1dac,
  0xc6140b68b8b2bdda, 0xb6a4b4e776906da7, 0x8f5cc13e30120a82, 0x59e23024c8b41487, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xc9400dc3e057f98d, 0x24432bb8bddf177d,
  0xf09b7dc542196847, 0x8b9cbdbb21ffd01c, 0xc1ff79a730585599, 0xc6eb8bea8c6b520e, 0x17dc6883cf12701c,
  0xfbf51f097e21b091, 0xf2678bb9b5ee4a3a, 0x51e5781253b5b9b5, 0xd4f7a8f83660e44f, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0xdbe8d0039d5db8e1, 0xf6355e363af63376, 0x6701c762d30511bd, 0xa3608991c37b2ef7,
  0xd1cccaccb3deee1a, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x5c0809caed52df56, 0x74c4ab574bfa6993,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0xbf9b6c2131dbfdea, 0xdf1726ae0f365118,
  0xd599bf837e823458, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0x0048bde2ed4f257e, 0x0000000000000008,
};

// m8535_swio12_noled
static const uint64_t ur_m8535_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x0ada93ba0bd04d64, 0xcff75304f8c0482a, 0xcb741480f5ff965a, 0xcab03affea3c4277, 0x2c05bdd31ebf2471,
  0xd78b9da0fa3268e6, 0x56a5613db8e58c11, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xd8debe9a64d672bb,
  0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0xb67adc55bfdeaa8b, 0x7e7f61bb65118bf9,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x00a907457b4f257e,
};

// m8535_swio12_noled_pr
static const uint64_t ur_m8535_swio11_noled_pr[] = {
  0x0b777743d7d8ad4e, 0xdaab91480225713a, 0x77afd8d05b04f05d, 0x0e2266c4767b53dc, 0xa875a6edc4e82cd6,
  0x774c4dc12b68cf31, 0x609f180905415b52, 0x41b7fff985f3e63e, 0x9af51c143be5b7ba, 0x536df97d1c72ac0c,
  0x96ba3114e62c0596, 0xa01ffb30475e8f9d, 0x3ee81e59edf484f2, 0x80e64836bcb955ab, 0xf57673a8a9546bac,
  0xafa699359caed52d, 0xaad115e5d312b637, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0xb7156ff7aaa2d30c,
  0xb83cd94462fe6d9e, 0x03b6868b3a7c5c9a, 0x9430a9cfd4eacc79, 0xe44cf1738cbf313f, 0x85727e39effe09a1,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000001f26bb110a4,
};

// m8535_swio12_noled_pr_u4
static const uint64_t ur_m8535_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8ad4e, 0xddaab914f4b12d48, 0x98e9a0dc48c227ad, 0x71c7c7fc5f07f1fb, 0xc99ecfddd482fe87,
  0x9dd3137049046636, 0x9827c602415056d4, 0xa407afff30be7fba, 0xd7ff51e213be5ba0, 0xee98f5f9238e5581,
  0xed07d1934731602d, 0x09edc72c608ebc5c, 0x1cc906d7972ab52b, 0xaece75152a8d7590, 0xf4d326b395daa5be,
  0x5a22bcba6256c6f5, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0xe2adfef5545a6194, 0x079b288c5fcdb3d6,
  0x0eda1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0xa2149e4afdcd0ccb, 0x00000000001f2659,
};

// m8535_swio12_noled_pr_ee
static const uint64_t ur_m8535_swio11_noled_pr_ee[] = {
  0x7b793777777b1762, 0xb4eed55f85d68891, 0x69ed0bddb6ebfc49, 0xdbc8a671fd53763c, 0x67ef17b2020da08b,
  0xda93bb4cd19fd347, 0x1ad304f8c0482a0a, 0x6fd20d37ffcc2f9f, 0x7d4795b939aad68f, 0x2b80dea3e0d9839c,
  0xc270dc3afb169bbe, 0xa266909afa5b1971, 0x47914e75697dbeb8, 0xaad743af5d4dd9ef, 0x1c762d3b868c9ab1,
  0x7df5b86f65c39670, 0x3241b5e5caad570d, 0xb39d454aa35d6407, 0x34c9ace576a96fab, 0x88af2e9895b1bd7d,
  0xc314deb3bcb9ed56, 0x522810b4b5fe2353, 0x2fe6da7a1d538138, 0x2c79c5c9ab8d9446, 0xc9fbab31e40eda1a,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00a7c54e44293c95,
};

// m8535_swio12_noled_pr_ee_u4
static const uint64_t ur_m8535_swio11_noled_pr_ee_u4[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0x527755f33e83658a, 0x06609f180905415b, 0x3e906ceff2e3f3e7, 0xea3cacbacd56b466, 0x59c3f51f06cc1f51,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8fe439d5a5ca2ae3, 0x6ab5d0ebce9bb200, 0x038ec5a6f7a3deec,
  0xc11fadc37b2d97ce, 0x5caad40227b9e546, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x895b1bd7d34c9ace,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x7f36cf5b8ab7fbd5, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x04eb842cce46792b,
};

// m8535_swio12_noled_pr_ce
static const uint64_t ur_m8535_swio11_noled_pr_ce[] = {
  0xad5b777777b15a91, 0xa3bb55722985448d, 0x9ee2fda13778710d, 0xda08c9bd3b1fb6c1, 0xbb64168f1fba6d6a,
  0x56d49dd68bd3aa2c, 0xf9759827c6024150, 0x59ba907ceffe617c, 0x3f3c00b0712b1dff, 0x59309cee6d7ff81a,
  0x59fea3af93dcb017, 0x602c8937471cab03, 0xf47cecb5d188a731, 0xa4279500ffd99e3a, 0x72ab567dd03cb5bb,
  0xa8d75901cc906d79, 0x5daa5beaece75152, 0x256c6f5f4d326b39, 0xebae7b55a22bcba6, 0xeea6c529e1a778ef,
  0x45a6194f43aa7020, 0xf9b67ad98edfef55, 0x1e71726ae365118b, 0x7eeacc7903b6868b, 0x89c6592e19e98572,
  0xe6866587494b6592, 0xb75385110a4f257e, 0x0000000000000000,
};

// m8535_swio12_noled_pr_ce_u4
static const uint64_t ur_m8535_swio11_noled_pr_ce_u4[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0x6d49dd6c473960a7, 0xe9b9827c60241505, 0x7baa4195bfcb8fcf, 0xf3c00b5a4c09717d, 0x5f886c2445f71a20,
  0xe6d7eb3643fd47c2, 0xf93dcb19fac99e2e, 0x7471cab0359fea3a, 0x5d188a731602c893, 0x0ffd99e3af47cecb,
  0xdd03cb5bba427950, 0x1cc906d7972ab567, 0xaece75152a8d7590, 0xf4d326b395daa5be, 0x5a22bcba6256c6f5,
  0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x98edfef5545a6194, 0x0f365118bf9b67ad, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x67233c95fb9a1996, 0x000000000dd7bab6,
};

// m8535_swio12_noled_pr_ee_ce
static const uint64_t ur_m8535_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0xe609f180905415b5, 0xa40337fe5c7e7d36, 0x6b4863e77fd51975, 0x736bd253397e7801,
  0x3ca76b2b1ef984e7, 0xf06cc1e95ea3cae4, 0x7d8b4c5315ba5f51, 0x7d2d8cb8e1386e1d, 0x873abb71451d484d,
  0x1b1d79d3764011fc, 0xb169bde8f7bb1aaf, 0x6470decb65f380e3, 0x5a9664f73ca8d822, 0xbac80e64836bcb95,
  0x52df57673a8a9546, 0x637afa699359caed, 0x73daad115e5d312b, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775,
  0xb3d6cc76ff7aaa2d, 0x8b93571b288c5fcd, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0xa2f8ce46792bf734, 0x0000000000000a69,
};

// m8535_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m8535_swio11_noled_pr_ee_ce_u4[] = {
  0x856eeeed173e306a, 0xddaabfa9c4e892d1, 0xd295ad2c1982fcc5, 0x0015bb831c57194e, 0xc8f250b2d9eb4615,
  0xed57e4c3ac84302c, 0x13e30120a82b6a4e, 0x2b7ffffa1e7c524c, 0xeed6ee2faa3d3748, 0x222fb8d1079e005c,
  0x0b27ea3e12fc4361, 0xb7be678bb9b5ddbb, 0xaf51e5721e53b5b9, 0x8add2fa8f83660f4, 0x709c370ebec5a629,
  0xa28ea426be96c65c, 0xbb2008fe439d5db8, 0x7bdd8d578d8ebce9, 0xb2f9c071d8b4def4, 0x9e546c1132386f65,
  0x41b5e5caad4b327b, 0x9d454aa35d640732, 0xc9ace576a96fabb3, 0xaf2e9895b1bd7d34, 0x9de3bfaeb9ed5688,
  0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0x94462fe6d9eb663b, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000013f09c5cf0ee,
};

// m8535_swio12_lednop
static const uint64_t ur_m8535_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x415056d49dd85eb4, 0x65acfc069827c602, 0x0ef96e829007bff9, 0x8e3956075ffd47c9, 0x1cc580b7ba6d2931,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x7a5fd34c9ae0404e,
  0x3daad115e5d312b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x5fcdb4f43aa7028b, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00000548b82bda79,
};

// m8535_swio12_lednop_pr
static const uint64_t ur_m8535_swio11_lednop_pr[] = {
  0x05bbbbba83d8bf82, 0xdaab914f1f12b89d, 0x4dedf987db04f05d, 0xc1c5001332f764f5, 0xe17bafddb89d059a,
  0x3bab8c489bb83763, 0x304f8c0482a0ada9, 0x208f7ffcc2f9f5f7, 0x4d7a8e801df2dbdd, 0x94d1ef4a8e395606,
  0x688518df398b0165, 0xa807fecc11d7a3e7, 0x7d6e07967b622f48, 0x901cc906d7972ab5, 0xbeaece75152a8d75,
  0xd326b8101395daa5, 0x457974c4ae5e97f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x65118bf9b632455b, 0x1a2cb579726ae0f3, 0xa73f53ab31e40eda, 0xa1e44cf0271a50c2, 0x4b867a615c9f80f9,
  0x961d252d9f027196, 0x0444293c95fb9a19, 0x0000000000007c9a,
};

// m8535_swio12_lednop_pr_u4
static const uint64_t ur_m8535_swio11_lednop_pr_u4[] = {
  0x2ffbbbbb45d8b562, 0xeed55c8a56912d48, 0xf1fb87c6d06113d6, 0x43b8e3da1377d43d, 0x1db6338feeea417f,
  0xb6a4eefd3837855c, 0xe034c13e30120a82, 0x7414803dfff30be7, 0xb03affea3e4877cb, 0x05bdd369498c71ca,
  0xc5cec22a3e90e62c, 0xa5660bdc72c608eb, 0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0x9a64d7020272bb54,
  0x88af2e9895cbd2fe, 0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0xa7a1d538145f4502, 0x9ab83cd94462fe6d,
  0x8f2076d0d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0xa68110a4f257ee68, 0x00000000000007c9,
};

// m8535_swio12_lednop_pr_ee
static const uint64_t ur_m8535_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0xc13e30120a82b6a4, 0x201adfe5c7e7d2d4, 0x795b059aad68cc7d, 0x87ea3e0d983ea3d4,
  0x0dc3afb169bbe2b2, 0x6909afa5b1971c27, 0xdc73ab4ba565c6b2, 0x6ba1d79d376ea11c, 0x1d8b4fe4471958d5,
  0x3f5b86f65b2f9c07, 0x55a805d213ca8d82, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xbfa69935c0809cae,
  0x55a22bcba62572f4, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7, 0x079b288c5fcdb192,
  0x7e50d1674f8b9357, 0x861539fa9d598f20, 0x899e2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00004ebe3133919e,
};

// m8535_swio12_lednop_pr_ee_u4
static const uint64_t ur_m8535_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x304f8c0482a0ada9, 0x4834dff971f9f1ad, 0x1e5670e6ab5a3dbf, 0x43fa8f83660e71f5,
  0xc370ebec5a6ef8ae, 0x9a426be96c65c709, 0x2139d5a5ea52e289, 0xae875eba9bb4e28e, 0xec5a6b5d188b6355,
  0xeb70decb872ce038, 0x20daf2e556ab8e93, 0xcea2a551aeb20399, 0x020272bb54b7d5d9, 0x9895cbd2fe9a64d7,
  0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0x7f36c648ab7fbd55, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x009d72ccce46792b,
};

// m8535_swio12_lednop_pr_ce
static const uint64_t ur_m8535_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8bf82, 0xd1ddaab914412246, 0xdec33df169143886, 0x6d0464f0a7a65c4f, 0x1b0666c02fdd36b5,
  0x56d49dd5c62448fc, 0xfb059827c6024150, 0x59ba901c3ffe617c, 0xff3c00b072439dff, 0x64c273b9b5d36e76,
  0xcff51e5f4f72c05d, 0x014ca9c638e5581a, 0xa3e7688518df398b, 0x2f48a807feccf1d7, 0xcaad5f5b81e5adc2,
  0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xa5fd34c9ae0404e5, 0xdaad115e5d312b97, 0x96be74079bdb5d73,
  0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x3571b288c5fcdb19, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x88852792bf734332, 0x00000000000b75d3,
};

// m8535_swio12_lednop_pr_ce_u4
static const uint64_t ur_m8535_swio11_lednop_pr_ce_u4[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0xb6a4ee8f62d51c63, 0xe394c13e30120a82, 0xbdd520b75fe5c7e7, 0x79e005ad26fbb8be, 0x2fc4361222fb8d10,
  0x736bdc89257ea3e1, 0xbe9ee58cfd64cf17, 0x8c71cab0359fea3c, 0x0a31be7316029953, 0x0ffd99e3af47ced1,
  0xb703cb5b845e9150, 0x0e64836bcb955abe, 0x57673a8a9546bac8, 0x935c0809caed52df, 0xbcba62572f4bfa69,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x118bf9b63218edfe, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000375d34067233,
};

// m8535_swio12_lednop_pr_ee_ce
static const uint64_t ur_m8535_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0x2609f180905415b5, 0x690068ff2e3f3eff, 0x2d693fe1dff5465d, 0xdcdaf950d07fcf00,
  0x9729dacac7be6139, 0x7c1b307a57a8f2b2, 0x5f62d314c565d7d4, 0x5f4b632e384e1b87, 0x71ceaedc95875213,
  0xc6c75e74ddba8473, 0xec5a7f2238cac6ab, 0x991c37b2d97ce038, 0x56a59f484f2a3608, 0xaeb2039920daf2e5,
  0x54b7d5d9cea2a551, 0xfe9a64d7020272bb, 0x5688af2e9895cbd2, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0xb8d94462fe6d8c86, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b,
  0x7233c95fb9a19961, 0x00000000a698f2e6,
};

// m8535_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m8535_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c7a31, 0xbb557f53b13125a3, 0xad3b6859bb05f98b, 0x002b713ae0d337ad, 0x33976165b3d68c2a,
  0xd44fc3efb40f8dd3, 0x27c602415056d49d, 0x43efffe879fec198, 0xb6bbb8bea8f4dd20, 0x88bee3441e780173,
  0x7ddfa8f84bf10d84, 0xbdf33c5dcdafc3fc, 0x7a8f2b29729dadcd, 0x565d7d47c1b307a5, 0x84e1b875f62d314c,
  0x58752135f4b632e3, 0xdba847371ceaedc9, 0x8cac6abc6c75e74d, 0x97ce038ec5a7f223, 0xf2a3608991c37b2d,
  0x0daf2e556a59f484, 0xea2a551aeb203992, 0x20272bb54b7d5d9c, 0x895cbd2fe9a64d70, 0xdaeb9ed5688af2e9,
  0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xe6d8c863b7fbd551, 0xc5c9ab83cd94462f, 0xacc790334f8d1637,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xf23ebcf0ee792bf7, 0x0000000000000013,
};

// m8535_swio11_dual_pr              m8535_swio12_dual                 m8535_swio12_dual_pr
static const uint64_t ur_m8535_swio11_dual[] = {
  0x2106eeeeef3e1000, 0xbf354cad15f3f6b2, 0x6c6ad9774ccfde2f, 0x641719da014cccb5, 0xd267da765bb64420,
  0xa9b7756abbe8bf66, 0xc13e30120a82b6a4, 0x11812645a0a42924, 0xe5c61409f137dacf, 0x628bf994d6a9dd3e,
  0xd478f7b07f0e0bee, 0x22847242ac0fba9b, 0xb600dc3e057f98d0, 0x910caee2f77c5df6, 0xf09ad68a8432d08c,
  0xc5ce5edcbaffd01c, 0x52bfce01982c2acc, 0xf51e443be587ca41, 0xaa57751c72ac0c45, 0xa237bce62c05d629,
  0x7fecc11d780d4ec0, 0x81e59ede4583ea80, 0x3f99f47332b3290b, 0x2039920daf2e556b, 0x7d5d9cea2a551aeb,
  0xa64d7020272bb54b, 0x8af2e9895cbd2fe9, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0xca2317f36c648ab7, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00018827d79e1dcf,
};

// m8535_swio12_dual_pr_u4
static const uint64_t ur_m8535_swio11_dual_pr_u4[] = {
  0xb4bddddda24343ee, 0xfcd532b40dcfda85, 0x8f6dda6647cd8412, 0xda5a9ba8bb62519e, 0xda780534e29dbb42,
  0xa9363ddd5df91210, 0x3f304f8c0482a0ad, 0x6788c09322d0523a, 0x9f72e30a04f89bed, 0x3dcc63ff32ec24ee,
  0x537a8f226c36f9c0, 0x1a04508e485581e9, 0xbcc7c01b87c0aff3, 0x16b22195dc5eef8b, 0x039e1313d150865a,
  0x5998b9cbdbc87ffa, 0x482037fe2c930585, 0x26bd4797c77cb6f7, 0x653488be471cab03, 0xed1923dece62c059,
  0xe8371cb1823af47c, 0xacfe67d1cccaccac, 0xac80e64836bcb955, 0x2df57673a8a9546b, 0xa69935c0809caed5,
  0xa22bcba62572f4bf, 0x29c05ce80f2e7b55, 0x042d2b08985ea5af, 0xb69e8754e06c7f8a, 0x1be1b8f365118bf9,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0524e7c133d5e792,
};

// m8535_swio12_dual_pr_ee
static const uint64_t ur_m8535_swio11_dual_pr_ee[] = {
  0x8dd6eeee87ad0c86, 0xf9aa642f4d77ec52, 0x1f6ece241513919d, 0x471b0c806e727dee, 0xb88ebb11696528dd,
  0xeec6ecbebf31766e, 0x02415056d49f22ee, 0x91682902a89827c6, 0x027c4df6b3c46049, 0x997612774fb97185,
  0xb604e8e096a60b5f, 0x90ab03d3737a8e35, 0x0f815fe63408a11c, 0x717bbe2efe6f8037, 0x8a8432d05f688657,
  0x74dbffa039e1307b, 0x9260b0ab3317397b, 0xd68ca2d20a1fffc5, 0x8332bd4795efb9aa, 0x9bbe2b95dea3e0d9,
  0x1971c270dc3afb16, 0xd57027e6909afa5b, 0xd8ca47a51cead2e5, 0x4c6c6ab5d0ebd8cd, 0xdd9c071d8b4e5f23,
  0x951b047eb70decbb, 0x3e8e665660141fb5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0xae0404e576a96fab,
  0x5d312b97a5fd34c9, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x62fe6d8c9156ff7a,
  0x8d1674f86e3cd944, 0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73dffc1343c899, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x0564408cf579e4af,
};

// m8535_swio12_dual_pr_ee_u4
static const uint64_t ur_m8535_swio11_dual_pr_ee_u4[] = {
  0x9d89ddddda2432db, 0xbf354c85e55efd99, 0x4d7dd3b4d3a0dc71, 0xb13c94a56a7d96ad, 0x1fb9c3aec45a5b33,
  0x3771c115603e33a5, 0x3e30120a82b6a4ae, 0x024c8b41481544c1, 0x8c2813e26fb59e23, 0x3afccbb093ba7dcb,
  0x7d37b08ac701ad31, 0x08e485581e569bd4, 0x01b87c0aff31a045, 0x195dc5eef8bbe928, 0x69122a10cb423da2,
  0x72f6e9b7ff4073c2, 0xff8b24c16156662e, 0x59aad68dfca4143f, 0xc1b30613fd4795b0, 0xf62d377c5721fd47,
  0xf4b632e384e1b875, 0xa5ca2ae038cd2135, 0x94d3b4e28e6e39d5, 0xd7471958d56ba1d7, 0xf65b93380e3b169a,
  0x7332b35c749f5b86, 0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x20272bb54b7d5d9c, 0x895cbd2fe9a64d70,
  0xfd6b9ed5688af2e9, 0x5ea58594d8b3a03c, 0x8145f4502169ab9d, 0x94462fe6da7a1d53, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xcf579e4afdcd0ccb, 0x00000000002b2166,
};

// m8535_swio12_dual_pr_ce
static const uint64_t ur_m8535_swio11_dual_pr_ce[] = {
  0x989dddddde7cbd5b, 0xfcd532b42d4fdbc8, 0x77ef72741ba8b416, 0x2e5d9cefb5618abf, 0x76cf87b6ef91312d,
  0x3377777ee02d683d, 0x13e30120a82b6a48, 0x3024c8b41480004c, 0xb8c2813e26fb59e2, 0x5d7f329ad53ba7dc,
  0x1dc9ec3e71c243cc, 0x4239215606bee6f5, 0x006e1f02bfcc6811, 0x8657717bbe2effd7, 0x996bc54219686488,
  0xce5edf7dffd01cf0, 0xffce01982c2accc5, 0xb90e77fd66ea4070, 0xdafa69fe7e780173, 0xa7b9602eb26139dc,
  0x1c72ac0d67fa8f2f, 0x8c6f9cc580a654e3, 0x72c678ebd1f3b442, 0x9f47332b31d41fdc, 0x9920daf2e556b3f9,
  0xd9cea2a551aeb203, 0xd7020272bb54b7d5, 0x2e9895cbd2fe9a64, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03,
  0x551691db9e8754e0, 0x62fe6d8c863b7fbd, 0xc79c5c9ab83cd944, 0xfdd598f20669f1a2, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x1cf5e373c3b9e4af,
};

// m8535_swio12_dual_pr_ce_u4
static const uint64_t ur_m8535_swio11_dual_pr_ce_u4[] = {
  0x1664777776890c86, 0x77e6a9900557bf68, 0xb5dfba829eb09197, 0x47c894e75bdfb2d5, 0xc50b2014fbdd8166,
  0x2695dddd8dd9683c, 0x304f8c0482a0ada9, 0x11812645a0a47ad5, 0xe5c61409f137dacf, 0x98e0fe65d849dd3e,
  0xea3dbad86ce38472, 0x22847242ac0f024d, 0x5000dc3e057f98d0, 0xd10caee2f77c5df9, 0xc2609f150865a01e,
  0x2e72f6f63fff4073, 0xadff8b24c1615666, 0x128e5717d4c7d201, 0x9117dc6883cf1272, 0x747ff51f097e21b0,
  0x3c4fccf17736bb39, 0x0770fd47ea27b963, 0x8b0160304f8e3956, 0x5e0353b0288def39, 0x9160faa01ffb33c7,
  0x332b3290b81e5add, 0xdaf2e556b3f99f47, 0xa2a551aeb2039920, 0x0272bb54b7d5d9ce, 0x95cbd2fe9a64d702,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0xc6f86e3cd94462fe,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x000d24814cf579e4,
};

// m8535_swio12_dual_pr_ee_ce
static const uint64_t ur_m8535_swio11_dual_pr_ee_ce[] = {
  0x695f6eeeeea1a5fb, 0x5f9aa60d7c897edf, 0x99bddb178d5619eb, 0xc6e93938593689fb, 0x1f95df8ecc4fda57,
  0x4b235d54625597d7, 0x0120a82b6a499177, 0x22d0520e49cc13e3, 0x04f89bed6788c093, 0x32ec24ee9f72e30a,
  0x6c34d1c1fe4d883f, 0x42ac0ec7e6f51c34, 0x3e057f98d0228472, 0x8bddf1778c2e00dc, 0x54219683054432bb,
  0xf60ffd01cf09a43c, 0x9305855998b9cbdb, 0x547812905adffe2c, 0xfe78939094ed9dff, 0x26139dcdae089300,
  0x8f2bcad29dacac5f, 0x813d47c1b307dd7a, 0xe1b875f62d314c57, 0x752135f4b632e384, 0xca47a51ceaedc5d4,
  0xd8d578d8ebd8cdd8, 0x380e3b169cbe4698, 0x1b044c8e1bd977bb, 0x8e6656659c1fb595, 0x41b5e5caad67f33e,
  0x9d454aa35d640732, 0x0404e576a96fabb3, 0x312b97a5fd34c9ae, 0xdb5d73daad115e5d, 0x2a417296be74079b,
  0x2d23b73d0ea9c084, 0xfcdb190c76ff7aaa, 0x8b1e70dc79b288c5, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00098269c67abcf2,
};

// m8535_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m8535_swio11_dual_pr_ee_ce_u4[] = {
  0xeddddda26d3e421f, 0x530b8f5edfb75db3, 0xd51fa2fd9538afcd, 0x1fefaf87c3c3d964, 0xbb83d76cf8ed157f,
  0x50809793abde4495, 0x4b4e7717d60b68d7, 0xcc13e30120a82b6a, 0x11812645a0a458f5, 0xe5c61409f137dacf,
  0xaf0ff32bf689dd3e, 0x1d0fb618dc70ec19, 0x42392156078826f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbde01,
  0xdbee2a10cb423922, 0xe5edee47fe80e784, 0xfbcd3982c2accc5c, 0xdc5f546706901adf, 0xe3441e789380e7eb,
  0xa8f84bf10d8488be, 0x3c5dcdaef00c463f, 0x2bcad29dadcdaf93, 0x3d47c1b307dd7a8f, 0xb875f62d314c5781,
  0x2135f4b632e384e1, 0x47a51ceaedc5d475, 0xd578d8ebd8cdd8ca, 0x0e3b169cbe4698d8, 0x044c8e1bd977bb38,
  0x6656659c1fb5951b, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x04e576a96fabb39d, 0x2b97a5fd34c9ae04,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0xb9357079b288c5fc,
  0xcdfc1bf411a2c6f8, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x340f176a792bf734, 0x0000000000002001,
};

static const uint64_t ur_m8535_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x482a0ada93bb63d9, 0x2cb59fdbf304f8c0, 0x90ef96e9290751ff, 0x2471cab03e7bd47f, 0x80e62c05bdd37519,
  0x8c11d78b9d86fa3e, 0xf2e556a56135b8e5, 0xa551aeb2039920da, 0xed52df5537d9cea2, 0x56af7afa699359ca,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0xcdb2048ab7fbd551, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x000a93eb2bda792b,
};

static const uint64_t ur_m8535_swio13_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a1718924, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beea44e82,
  0xd49dda668cc19a3b, 0xfc9827c602415056, 0x1fa40657ff30be7d, 0x03e83d4797c77cb4, 0x5965319538c71cab,
  0x7cecf7a3dece62c0, 0x269500ffd9823af4, 0xad556a81e59eddc3, 0x5d64073241b5e5ca, 0xbeaa6fb39d454aa3,
  0xf5f4d326b395daa5, 0xaad115e5d312ad5e, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0x09156ff7aaa2d30c,
  0xae0f365118bf9b64, 0x40eda1a2ce9f1726, 0xe50c2a73f53ab31e, 0x79133c5ce32fcc4f, 0x615c9f8e7bff8268,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000001f26644429,
};

static const uint64_t ur_m8535_swio13_noled_pr_u4[] = {
  0x7bb7777768bb1762, 0x9eb776aae450644a, 0x98ec2fd438912308, 0xfe877712ebeb4327, 0x3b8036dbc9bb3dc2,
  0x2b6a4eed33466b42, 0x7f6fcc13e30120a8, 0x5ba4a41d47ff30be, 0x2ac0f9ef51fe43be, 0xb016f74dd46491c7,
  0x5e2e761be8fa0398, 0x5a9584d6e3963047, 0xbac80e64836bcb95, 0x7d54df673a8a9546, 0xebe9a64d672bb54b,
  0x55a22bcba6255abd, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x122adfef5545a619, 0x5c1e6ca2317f36c8,
  0x903b6868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0x168852792bf73433, 0x000000000003e4c2,
};

static const uint64_t ur_m8535_swio13_noled_pr_ee[] = {
  0xf17bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xc5bc8a63afdc29a9, 0x9d0ccdd9b020da0b,
  0xada93bbe451d9898, 0xf383304f8c0482a0, 0x1995483677f971f9, 0x807a8f2b4ad355ad, 0x7c56befd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x98a31f0e75697329, 0x58d56ba1d7aea6ec, 0x9c071d8b4ed647d0,
  0xe043fd6e1bd970e5, 0x80e64836bcb955aa, 0x4df673a8a9546bac, 0x9a64d672bb54b7d5, 0x22bcba6255abdebe,
  0x0c537acef2e7b55a, 0x78a042d2d7f88d4f, 0xbf9b69e8754e0479, 0xb1e71726ae365118, 0x27eeacc7903f2868,
  0x289c6592e19e9857, 0xee6866587494b659, 0x29f36bd99c8cf257,
};

static const uint64_t ur_m8535_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0x49dd3b410e5d96aa, 0x69827c602415056d, 0xaa41beffcb8fcfc5, 0xd4795ba59aad68cc, 0xbf9dea3e0d983403,
  0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x37bce7569780cb8a, 0x56ba1d7aea6ec0a2, 0xc762d3c8a8ee1d8d,
  0x5f5b86f65c396701, 0xc906d7972ab55c13, 0xce75152a8d75901c, 0x9ace576a96faa9be, 0x974c4ab57bd7d34c,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x4462fe6d902455bf, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000013ae91799c8c,
};

static const uint64_t ur_m8535_swio13_noled_pr_ce[] = {
  0x307dddddddec53c3, 0x1b4776aae4509089, 0xc5fa6ef4bdf370e2, 0xab682ddf64da98db, 0x31c4d841331dd60f,
  0x415b527748fcbbb2, 0xf3e52e609f180905, 0xfd414a40e97ff985, 0xdbfcf002c1cf9c77, 0x759309cee6d7dda4,
  0x193dea3cdd3dcb01, 0x8b017ba05238e558, 0xebd1f3b3de8f7b39, 0xd70c9a5403ff6678, 0xe5caad556a81e5ad,
  0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0xad5ef5f4d326b395, 0xd73daad115e5d312, 0x536294f0d3bc77f5,
  0xd30ca7a1d5381077, 0x36c810c76ff7aaa2, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0xeadc7a2149e4afdc, 0x0000000000000016,
};

static const uint64_t ur_m8535_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0x15b5277505272e9c, 0x3fb3a609f1809054, 0xebb7e904aeff2e3f, 0x079e005ad2656b8b, 0x12fc4361222fb8d1,
  0x7736ba545c8fea3e, 0xe6e9ee58cfd64cf1, 0x0291c72ac0c9ef51, 0x9ef47bd9cc580bdd, 0xa01ffb33c75e8f9d,
  0xab540f2d6eb864d2, 0x2039920daf2e556a, 0x537d9cea2a551aeb, 0xa699359caed52df5, 0x88af2e98956af7af,
  0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0x3b7fbd551698653d, 0xf365118bf9b64086, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x7233c95fb9a19961, 0x000000006ebd5946,
};

static const uint64_t ur_m8535_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0x6a4eebd69c452bed, 0x4d4c13e30120a82b, 0xa5d20ff9fe5c7e7f, 0x00b5a4b1f3bfea8c, 0x73b9b5c92b2a3f3c,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298ae43f, 0x26be96c65c709c37, 0xf2439d5dbbf70ea4,
  0x578d8ebce9bb6948, 0xe3b169a628e0fd8d, 0x226470decb65f380, 0x2ab52cc9ac16a8d8, 0x8d75901cc906d797,
  0x96faa9bece75152a, 0x7bd7d34c9ace576a, 0xf6ab4457974c4ab5, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d,
  0x20431dbfdeaa8b4c, 0xb93571b288c5fcdb, 0x663c81f943458f38, 0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3,
  0x1fcce46792bf7343, 0x0000000000014d3b,
};

static const uint64_t ur_m8535_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c92df, 0x2eed55fd4f274490, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf4130,
  0x3baa3e842af89b66, 0x304f8c0482a0ada9, 0x40d77fffd0f3f8dd, 0x73bc41717d51ecea, 0x8488bee3441e7801,
  0x170fffa8f84bf10d, 0xe6def99e2ee6d75c, 0x3d7d47959c394ed6, 0xa62b90fea3e0d983, 0x71c270dc3afb1698,
  0xefdc3a909afa5b19, 0xa6eda523c90e7576, 0xa383f6355e363af3, 0x2d97ce038ec5a698, 0xb05aa3608991c37b,
  0x241b5e5caad4b326, 0x39d454aa35d64073, 0x6b395daa5beaa6fb, 0x5d312ad5ef5f4d32, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x2317f36c810c76ff, 0x8b1be2e4d5c1e6ca, 0x7ea75663c819a7c6,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0009f9b5ee78773c,
};

static const uint64_t ur_m8535_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x20a82b6a4ee82f41, 0xb2d67d7dcc13e301, 0x877cb7494823dffc, 0x638e5581f3dea3af, 0x6731602dee98f588,
  0x608ebc5cedbda3b8, 0x2e556a562cfdc72c, 0x551aeb2039920daf, 0xd52df5537d9cea2a, 0xbfa69935c0809cae,
  0xaad115e5d312b924, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xcdb4f43aa70273e8, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x0005483a2bda792b,
};

static const uint64_t ur_m8535_swio13_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62491, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11dd489d05,
  0xa93bbf4e0d9fbb82, 0x95304f8c0482a0ad, 0xfd2031fffcc2f9fa, 0x0fa0f51f4a3be5a0, 0xcb298c79eb1c72ac,
  0xe76f911c64731602, 0x86a807fecc11d7a3, 0x6b02b40f2cf6f7bb, 0xeb2039920daf2e55, 0xf5537d9cea2a551a,
  0x9935c0809caed52d, 0x15e5d312b924bfa6, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea,
  0x5118bf9b65d9156f, 0xa2cb579726ae0f36, 0x73f53ab31e40eda1, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a,
  0x61d252d9f0271964, 0xb44293c95fb9a199, 0x00000000001f26f5,
};

static const uint64_t ur_m8535_swio13_lednop_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0x5bbb55722835e253, 0xfb98efaff0b1844f, 0xfd0eee274bdf37f1, 0x98db266ebf767b85,
  0x5b52774c4dc12411, 0xebee609f18090541, 0xba4a411efff985f3, 0xac0f9ef51d7c3be5, 0x016f74c7ac431c72,
  0xe2e76ded1dc3398b, 0x52b167ee39630475, 0x5901cc906d7972ab, 0xaa9bece75152a8d7, 0xc9ae0404e576a96f,
  0xaf2e9895c925fd34, 0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0xa1d538139f450216, 0xb83cd94462fe6da7,
  0x2076d0d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0xcd10a4f257ee6866, 0x000000000000f932,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0x304f8c0482a0ada9, 0x901c1ff2e3f3f43f, 0x1e56a7a6ab5a37f2, 0x05f51f06cc184ff5,
  0x86e1d7d8b4ddf15b, 0x3484d7d2d8cb8e13, 0x1439d5a5fe72e359, 0x6ba1d79d37609e8c, 0x3b169e488f22d8d5,
  0x7eb70decb65f380e, 0x56a015c326951b04, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551, 0x69935c0809caed52,
  0x115e5d312b924bfa, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x65118bf9b65d9156,
  0x1a2ce9f1726ae0f3, 0xa73f53ab31e40fca, 0xc5ce32fcc4fe50c2, 0xf8e7bff826879133, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x09d75d867233c95f,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0xb6a4eeabe67d06cb, 0xce0cc13e30120a82, 0x665520d9dfe5c7e7, 0x01ea3cacbacd56b4, 0xf159c3f51f06cc1a,
  0x8e1386e1d7d8b4dd, 0xc5133484d7d2d8cb, 0x011fc873ab4b9455, 0xc6ab5d0ebd753764, 0xe038ec5a6f7a3dee,
  0x170feb70decb872c, 0x073241b5e5caad57, 0x6fb39d454aa35d64, 0xb8101395daa5beaa, 0xba62572497f4d326,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x17f36cbb22adfef5, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x004eb842cce46792,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ce[] = {
  0x60fbbbbbbbd8b562, 0x368eed55c8a32112, 0x867ad2f6b4d9e1c4, 0xd5b416ef242c9d43, 0xdc1c5e56ec7eeb07,
  0x056d49ddfa706cd2, 0xcfa9e9827c602415, 0xf505290175ffe617, 0xf3f3c00b070e19df, 0x759309cee6d7d34f,
  0x193dea3ce33dcb01, 0x160287b40238e558, 0xd7a3e76f911c6473, 0xb7bb86a807feccf1, 0xcb955ac0ad03cb5b,
  0x9546bac80e64836b, 0xb54b7d54df673a8a, 0x2fe9a64d7020272b, 0x6ab4457974c4ae49, 0x5af9d01e6f6d75cf,
  0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0x571b288c5fcdb2ec, 0xc81db43458f38b93, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0x8852792bf734332c, 0x0000000005baf49c,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ce_u4[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0x15b52774eb46a122, 0x3e35a609f1809054, 0xebb7e9069bff2e3f, 0x079e005ad25bab8b, 0x12fc4361222fb8d1,
  0x7736bd253397ea3e, 0xe719ee58cfd64cf1, 0xa011c72ac0c9ef51, 0x7c88e32398b0143d, 0x403ff6678ebd1f3b,
  0x05681e5addbddc35, 0x4073241b5e5caad6, 0xa6fb39d454aa35d6, 0x6b8101395daa5bea, 0xcba62572497f4d32,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x62fe6d97618edfef, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0001bae5999c8cf2,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0xda93ba0292634e39, 0x6b7304f8c0482a0a, 0xa5d204dbff2e3f3f, 0x00b5a4dda3bfea8c, 0xe7736bf47d493f3c,
  0xca1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0x1d7d8b4c531594bf, 0x4d7d2d8cb8e1386e, 0x82873abb77ce1d48,
  0x5e363af3a6ec13d1, 0x8ec5a79223c8b635, 0x8991c37b2d97ce03, 0xaad4b3b864d2a360, 0x35d64073241b5e5c,
  0x5beaa6fb39d454aa, 0x4d326b8101395daa, 0xa22bcba62572497f, 0xce80f37b6bae7b55, 0xd5381085482e52d7,
  0xdfef5545a476e7a1, 0xd94462fe6d97618e, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86,
  0x33c95fb9a19961d2, 0x000000a699c28672,
};

static const uint64_t ur_m8535_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7c50e3, 0x2eed55fd4e05c490, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf4130,
  0x4ee8581f6ca70b29, 0xcc13e30120a82b6a, 0x480527fff43cf9ad, 0x2e77002e2faa3d9d, 0xb09117dc6883cf00,
  0xebf5abf51f097e21, 0xb9b7be678bb9b5d9, 0xcf5f51e5650e53b5, 0x298aca5fa8f83660, 0x5c709c370ebec5a6,
  0xbbe70ea426be96c6, 0xd37609e8c1439d5d, 0x11e45b1aaf1b1d79, 0x96cbe701c762d3c9, 0x326951b044c8e1bd,
  0x920daf2e556a59dc, 0x9cea2a551aeb2039, 0x809caed52df5537d, 0x12b924bfa69935c0, 0xb5d73daad115e5d3,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x36cbb0c76ff7aaa2, 0x2e4d5c1e6ca2317f, 0x663c819a7c68b1be,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x9756e78773c95fb9, 0x000000000000009f,
};

// m8535_swio13_dual_pr
static const uint64_t ur_m8535_swio13_dual[] = {
  0xa2eeeeeeef3e6d3a, 0xbefcd532b49c4fd9, 0xd5acfb638f913f78, 0x8190fa63d9b106e8, 0x4c39db29eb6eb450,
  0x254dbbae76cdbade, 0x6609f180905415b5, 0xf11812645a0a4022, 0xee5c61409f137dac, 0xe628bf994d6a9dd3,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x028bfe700cc16156, 0xbf51fba3be596bd2, 0x3145dbf1c72ac0f7, 0xbe46989cc580bac5,
  0x1ffb30475e0353b4, 0x703cb3db1f06faa0, 0x67f33e8e6656629c, 0x64073241b5e5caad, 0xaa6fb39d454aa35d,
  0x26b8101395daa5be, 0xbcba62572497f4d3, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x2317f36cbb22adfe, 0x163ce2e4d5c1e6ca, 0x27eeacc790334f8d, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x0062073e9e1dcf25,
};

static const uint64_t ur_m8535_swio13_dual_pr_u4[] = {
  0x8bbbbbbb4486ff3e, 0xfbf354cad2713f66, 0x6c6add8e3e44fde2, 0x840c87d31ecd8837, 0xabd9ced94f5b75a2,
  0x92a6ddcd3c57b1d7, 0x3304f8c0482a0ada, 0x788c09322d052011, 0xf72e30a04f89bed6, 0xdcc517f32ec24ee9,
  0x37a8f1ef60fe1c17, 0xa04508e485581f75, 0xf88001b87c0aff31, 0x8c910caee2f77c5d, 0x1cf09ad68a8432d0,
  0xccc5ce5edca5ffd0, 0x40517ff164982c2a, 0xf7ea3f7477cb2d7a, 0xa628bb7e38e5581e, 0x97c8d31398b01758,
  0x03ff6608ebc06a76, 0x8e07967b63e0df54, 0xacfe67d1cccacc53, 0xac80e64836bcb955, 0xd54df673a8a9546b,
  0x64d7020272bb54b7, 0x57974c4ae492fe9a, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa,
  0x4462fe6d976455bf, 0x7771a2c6f86e3cd9, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343c899e07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xf579e4afdcd0ccb0, 0x000000014935ad4c,
};

static const uint64_t ur_m8535_swio13_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0xefcd53217f76fd9d, 0xa0fb77ed1da89c8c, 0xd47101489f55f62f, 0x577d17b11696ec8d,
  0x74b235d66d0ab326, 0x30120a82b6a4f917, 0x991682909c7cc13e, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0x5b604e8e096a60b5, 0xc90ab03d3737a8e3, 0x70f815fe63408a11, 0x7717bbe2ef300803, 0xb8a8432d05f68865,
  0xdbe9affa039e1307, 0x2c9305855998b9cb, 0xab5a3fdd4802d7fe, 0xcc187bf51e576ea6, 0xb4ddf15efbf51f06,
  0xd8cb8e1386e1d7d8, 0x296b813f3484d7d2, 0xdd83da33d4e75697, 0x3886c6ab5d0ebd8c, 0xdeece038ec5a738a,
  0x8aa8d823f5b86f65, 0x99f47332b30086f8, 0x39920daf2e556b3f, 0x7d9cea2a551aeb20, 0xc0809caed52df553,
  0xd312b924bfa69935, 0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0xbf9b65d9156ff7aa,
  0x4596af1b8f365118, 0xe7ea75666fe0eee3, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xb3d5e792bf734332, 0x00000000005647ad,
};

static const uint64_t ur_m8535_swio13_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0xc6fcd53217efdbf6, 0xadeef747b5868371, 0x6eb13c95d96d8bc6, 0xa40355f45ec45a58,
  0x5c6ee78233a70b53, 0x827c602415056d49, 0x8c09322d052138f9, 0x2e30a04f89bed678, 0xc4ebf32ec24ee9f7,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0xa006e1f02bfcc681, 0x88657717bbe2ef24, 0x09a448a8432d08f6,
  0x5ce5edf4d7fd01cf, 0x6bff164982c2accc, 0x53d355ad1c06a401, 0x47c1b307227a8f2b, 0x75f62d377c5670fd,
  0x35f4b632e384e1b8, 0xd5a5ff72e038cd21, 0xd794d3b2008c1439, 0x9bde8f22d8d56ba1, 0x86f65b93380e3b16,
  0xe8e66566b8b87f5b, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0x01395daa5beaa6fb, 0x2572497f4d326b81,
  0xf5ae7b55a22bcba6, 0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x5118bf9b69e8754e, 0x1ddc68b1be1b8f36,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x3d5e792bf734332c, 0x000000000564085b,
};

static const uint64_t ur_m8535_swio13_dual_pr_ce[] = {
  0x25ddddddde7cd0e3, 0x2df9aa65691a9fb7, 0xde8ebe991b835168, 0x5a5c714e5b28056f, 0x53ecb11d6dde4a62,
  0x0cddd5c6d0535f22, 0x04f8c0482a0ada92, 0x1812645a0a46a833, 0x5c61409f137dacf1, 0x2ebf994d6a9dd3ee,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x80370f815fe63408, 0x432bb8bddf177f60, 0x4cb5e2a10cb43244,
  0xe72f6f6ebfe80e78, 0xbfe700cc16156662, 0xd9c33bfea0a5202e, 0xb5e76ed6ff3c00b9, 0xcf72c05d64c273b9,
  0x8e3956064f7a8f38, 0x47191cc580a1ed00, 0x39633c75e8f9dbe4, 0xcfa3999598e86fee, 0xcc906d7972ab59fc,
  0xece75152a8d75901, 0x0404e576a96faa9b, 0x9895c925fd34c9ae, 0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd,
  0x1691db9e8754e042, 0xf9b65d863b7fbd55, 0x71726ae0f365118b, 0x5663c819a7c68b1e, 0x32c970cf4c2b93f7,
  0x4332c3a4a5b3e04e, 0xaf4e4f0ee792bf73, 0x00000000000000e7,
};

static const uint64_t ur_m8535_swio13_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x9df9aa640145efda, 0xcd0b6eb4e375c969, 0xb8269605957a7da4, 0x156557d6a356ec4e,
  0xa4840ee9646bae1f, 0x24c13e30120a82b6, 0x9e23024c8b41480b, 0x7dcb8c2813e26fb5, 0xf7369bfccbb093ba,
  0x9bd4753db0cac70d, 0xa04508e485581975, 0xee4401b87c0aff31, 0x27a2195dc5eef8bb, 0x73c269c62a10cb40,
  0x662e72f6f43fff40, 0x0d37ff8b24c16156, 0x7212b75717d76fd2, 0xb09117dc6883cf12, 0x90e92bf51f097e21,
  0x2c67eb2678bb9b5d, 0x956064f7a8f38cf7, 0x91cc580a1ed008e3, 0x33c75e8f9dbe4471, 0x3999598e86fee396,
  0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e576a96faa9bece, 0x5c925fd34c9ae040, 0xeb9ed5688af2e989,
  0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0x65d863b7fbd55169, 0xbe1b8f365118bf9b, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0d244d033d5e792b,
};

static const uint64_t ur_m8535_swio13_dual_pr_ee_ce[] = {
  0xb6caddddddd432db, 0x7ad7e6a9835da79f, 0xb6fd5f773ed9f586, 0xa57c6e821fb8c3e0, 0x368339b378ecc4ec,
  0x8bb8e08ab0786675, 0x9f180905415b524c, 0x049916829047ae60, 0x185027c4df6b3c46, 0x41f997612774fb97,
  0xe1a361a68e0ff26c, 0x23921560763f37a8, 0x06e1f02bfcc68114, 0xcaee2f77c5dfd4e0, 0x90f150865a0c1510,
  0x2f6e6b7ff4073c26, 0xf8b24c16156662e7, 0x3bfea8f2b520c41f, 0xf548fe78939093fc, 0xac5f26139dcdafcd,
  0x6ffa8f2b95d29dac, 0x98af2b7a8f83660f, 0xc709c370ebec5a62, 0x8a58ea426be96c65, 0x3760f68cf539d5db,
  0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2, 0xe67d1cccaccb31be, 0x0e64836bcb955acf,
  0xdf673a8a9546bac8, 0x7020272bb54b7d54, 0x74c4ae492fe9a64d, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e,
  0xa8b48edcf43aa702, 0x5fcdb2ec31dbfdea, 0x68b1e70dc79b288c, 0x5727eeaccdfc1ddc, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0004c13a4e67abcf,
};

static const uint64_t ur_m8535_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9aa61712bdbf64fb, 0x82d402eb7b2a715f, 0xfbccdcda03e964d3, 0xe2b77053ed9f1dad,
  0x0ab39e5dc86b8b69, 0x6d4969ceeac02101, 0x7e19827c60241505, 0x59e23024c8b4148a, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xd7c00dc3e057f98d, 0x24432bb8bddf1779,
  0xf09b7dc542196847, 0x8b9cbdbd257fd01c, 0xc3ff79a730585599, 0xec1b8bea8c9d520b, 0x17dc6883cf12701c,
  0xa3f51f097e21b091, 0xf933c5dcdae75f0a, 0xa8f2b95d29dadcda, 0xf2b7a8f83660f6ff, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x0f68cf539d5db8a5, 0x36355e363af63376, 0x6701c762d39c51c4, 0xa3608991c37b2ef7,
  0xd1cccaccb31be22a, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x0272bb54b7d54df6, 0x4ae492fe9a64d702,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0xb9357079b288c5fc,
  0xcdfc1bf411a2c6f8, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x166f176a792bf734, 0x0000000000000400,
};

static const uint64_t ur_m8535_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x2a0ada93ba0bd04d, 0x5acff75304f8c048, 0x77cb741480f5ff96, 0x71cab03affea3c42, 0xe62c05bdd31ebf24,
  0x11d78b9da0fa3268, 0xe556a5613db8e58c, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa699359d37,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36cf5b8ab7fbd551, 0x4fcfec376ca2317f,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x001520e8af69e4af,
};

static const uint64_t ur_m8535_swio14_noled_pr[] = {
  0xf7777743d7d8ad4e, 0xbbb5572290044a38, 0xb8ef5fb1a0b609e0, 0xac1c44cd88ecf6a7, 0x6350eb4dd8e3d059,
  0xa4ee989b8256d19e, 0x7cc13e30120a82b6, 0x74836ffff30be7cc, 0x1935ea382877cb6f, 0x2ca6dbf2fa38e558,
  0x3b2d746229cc580b, 0xe5403ff6608ebd1f, 0x567dd03cb3dbe909, 0x5901cc906d7972ab, 0xa5beace75152a8d7,
  0xdfd34c9ace9b95da, 0x6ab4457974c4ad8f, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0xadc55bfdeaa8b4c3,
  0xae0f365118bf9b67, 0x40eda1a2ce9f1726, 0xe50c2a73f53ab31e, 0x79133c5ce32fcc4f, 0x615c9f8e7bff8268,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000007c9aec4429,
};

static const uint64_t ur_m8535_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f4b128, 0xfb98e9a0dc48c227, 0x8771c7c7fc5f07f1, 0x36c99ecfdd8882fe,
  0xd49dd31370490466, 0xba9827c602415056, 0xa0a407afff30be7f, 0x81d7ff51e213be5b, 0x2dee98f5f9238e55,
  0x5ced07d193473160, 0x2b09edc72c608ebc, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0xfd34c9ace9b95daa,
  0xab4457974c4ad8fd, 0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xdc55bfdeaa8b4c32, 0xe0f365118bf9b67a,
  0x81db43458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x344293c95fb9a199, 0x000000000003e4cb,
};

static const uint64_t ur_m8535_swio14_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17bb6dd7f8, 0xa847914ce3faa6ec, 0x4767ef17b2020da0,
  0x0ada93bb4cd19fd3, 0x9f1ad304f8c0482a, 0x8f6fd20d37ffcc2f, 0x9c7d4795b939aad6, 0xbe2b80dea3e0d983,
  0x71c270dc3afb169b, 0xb8a266909afa5b19, 0xef47914e75697dbe, 0xb1aad743af5d4dd9, 0x701c762d3b868c9a,
  0x0d7df5b86f65c396, 0x073241b5e5caad57, 0xfab39d454aa35d64, 0x4d326b3a6e576a96, 0xd115e5d312b63f7f,
  0x78629bd677973daa, 0x0a45021696bfc46a, 0xc5fcdb4f43aa7027, 0x458f38b93571b288, 0xb93f75663c81db43,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0014f8a9c8852792,
};

static const uint64_t ur_m8535_swio14_noled_pr_ee_u4[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0x6d49dd57ccfa0d96, 0x9c19827c60241505, 0x98fa41b3bfcb8fcf, 0x47a8f2b2eb355ad1, 0xc5670fd47c1b307d,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x023f90e7569728ab, 0xb1aad743af3a6ec8, 0x380e3b169bde8f7b,
  0x1b047eb70decb65f, 0x7972ab50089ee795, 0x52a8d75901cc906d, 0x9b95daa5beace751, 0xc4ad8fdfd34c9ace,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xbf9b67adc55bfdea, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x0275c21667233c95,
};

static const uint64_t ur_m8535_swio14_noled_pr_ce[] = {
  0xbf37777777b15a91, 0x368eed55c8a61512, 0x067b8bf684dde1c4, 0xab682326f4ec7edb, 0xb2ed905a3c7eedf9,
  0x415b52775a2f4ea8, 0xf3e5d6609f180905, 0xfd66ea41f3bff985, 0x68fcf002c1c4ac77, 0x5d64c273b9b5ffe0,
  0x0d67fa8ebe4f72c0, 0xc580b224dd1c72ac, 0xebd1f3b2d746229c, 0xee909e5403ff6678, 0xe5caad59f740f2d6,
  0x4aa35d64073241b5, 0x6e576a96fab39d45, 0x12b63f7f4d326b3a, 0xf5d73daad115e5d3, 0x77536294f0d3bc77,
  0xa2d30ca7a1d53810, 0xfcdb3d6cc76ff7aa, 0x8f38b93571b288c5, 0x3f75663c81db4345, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x5ba9c288852792bf,
};

static const uint64_t ur_m8535_swio14_noled_pr_ce_u4[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0x0ada93bad88e72c1, 0x9fd37304f8c0482a, 0xfaf754832b7f971f, 0x41e78016b49812e2, 0x84bf10d8488bee34,
  0x5dcdafd66c87fa8f, 0x75f27b9633f5933c, 0x26e8e395606b3fd4, 0x96ba3114e62c0591, 0xa01ffb33c75e8f9d,
  0xcfba0796b77484f2, 0x2039920daf2e556a, 0xb7d59cea2a551aeb, 0xfa699359d372bb54, 0x5688af2e9895b1fb,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0x663b7fbd55169865, 0x83cd94462fe6d9eb, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x99c8cf257ee68665, 0x000000000375eead,
};

static const uint64_t ur_m8535_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0xda93baec95f14e9c, 0x9b7304f8c0482a0a, 0xbad2019bff2e3f3e, 0x00b5a431f3bfea8c, 0x73b9b5e9299cbf3c,
  0x721e53b5958f7cc2, 0xa8f83660f4af51e5, 0x0ebec5a6298add2f, 0x26be96c65c709c37, 0xfe439d5db8a28ea4,
  0x578d8ebce9bb2008, 0x71d8b4def47bdd8d, 0x1132386f65b2f9c0, 0xcaad4b327b9e546c, 0xa35d64073241b5e5,
  0x576a96fab39d454a, 0xb63f7f4d326b3a6e, 0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077,
  0xdb3d6cc76ff7aaa2, 0x38b93571b288c5fc, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x9a2f8ce46792bf73, 0x00000000000000a6,
};

static const uint64_t ur_m8535_swio14_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e306a, 0x1776aafea713a244, 0x3b4a56b4b0660bf3, 0x540056ee0c715c65, 0xb323c942cb679218,
  0x3bb55f930eb210c0, 0x304f8c0482a0ada9, 0x20adffffe879f149, 0x73bb5bb8bea8f4dd, 0x8488bee3441e7801,
  0xec2c9fa8f84bf10d, 0xe6def99e2ee6d776, 0xd2bd4795c8794ed6, 0xa62b74bea3e0d983, 0x71c270dc3afb1698,
  0xe28a3a909afa5b19, 0xa6ec8023f90e7576, 0xd1ef76355e363af3, 0x96cbe701c762d37b, 0xee7951b044c8e1bd,
  0xc906d7972ab52cc9, 0xce75152a8d75901c, 0xc9ace9b95daa5bea, 0x57974c4ad8fdfd34, 0x4ef1dfd75cf6ab44,
  0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xca2317f36cf5b31d, 0xc68b1be2e4d5c1e6, 0x4e7ea75663c819a7,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000009f84e2e7877,
};

static const uint64_t ur_m8535_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x02415056d49dd85e, 0xf965acfc069827c6, 0xc90ef96e829007bf, 0x318e3956075ffd47, 0xd21cc580b7ba6d29,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x97d8f4d326b81013,
  0x73daad115e5d312b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xc5fcdb4f43aa7028, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000000548b82bda7,
};

static const uint64_t ur_m8535_swio14_lednop_pr[] = {
  0x7bbbbbba83d8bf82, 0xbbb557229e3e251c, 0xea9bdbf30fb609e0, 0x35838a002665eec9, 0xc7c2f75fbb1c7a0b,
  0x527757189137706e, 0xee609f180905415b, 0xba411efff985f3eb, 0x0c9af51d003be5b7, 0xcb29a3de951c72ac,
  0xced10a31be731602, 0x91500ffd9823af47, 0x6afadc0f2cf6c45e, 0xeb2039920daf2e55, 0x54b7d59cea2a551a,
  0x69935c0809d372bb, 0x88af2e9895cbec7a, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87,
  0x6ca2317f36c648ab, 0x434596af2e4d5c1e, 0x54e7ea75663c81db, 0x343c899e04e34a18, 0xc970cf4c2b93f01f,
  0x32c3a4a5b3e04e32, 0x4088852792bf7343, 0x0000000000000f93,
};

static const uint64_t ur_m8535_swio14_lednop_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xd6eed55c8a569128, 0x3df1fb87c6d06113, 0x7f43b8e3da1377d4, 0x5c1db6338feec441,
  0x82b6a4eefd383785, 0xe7e034c13e30120a, 0xcb7414803dfff30b, 0xcab03affea3e4877, 0x2c05bdd369498c71,
  0xebc5cec22a3e90e6, 0x56a5660bdc72c608, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0xa69935c0809d372b,
  0x688af2e9895cbec7, 0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xda7a1d538145f450, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x9a68110a4f257ee6, 0x000000000000007c,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0x5304f8c0482a0ada, 0xf4806b7f971f9f4b, 0x51e56c166ab5a331, 0xca1fa8f83660fa8f,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x7371cead2e95971a, 0x55ae875e74ddba84, 0x1c762d3f911c6563,
  0x08fd6e1bd96cbe70, 0xe556a017484f2a36, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0xc7a69935c0809d37,
  0xd5688af2e9895cbe, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9, 0xc1e6ca2317f36c64,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x22678b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000013af8c4ce467,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0xa93ba75a3509167d, 0xad304f8c0482a0ad, 0xbf4834dff971f9f1, 0xf51e5670e6ab5a3d, 0xae43fa8f83660e71,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8e2139d5a5ea52e2, 0x55ae875eba9bb4e2, 0x38ec5a6b5d188b63,
  0x93eb70decb872ce0, 0x9920daf2e556ab8e, 0x59cea2a551aeb203, 0xc0809d372bb54b7d, 0xe9895cbec7a69935,
  0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x17f36c648ab7fbd5, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0009d72ccce46792,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf7c5a450e2, 0xd5b41193c29e9971, 0xf06c199b00bf76fc,
  0x415b527757189123, 0xf3ec16609f180905, 0xfd66ea4070fff985, 0xdbfcf002c1c90e77, 0x759309cee6d74db9,
  0x6b3fd4797d3dcb01, 0x2c0532a718e39560, 0x5e8f9da214637ce6, 0x08bd22a01ffb33c7, 0x972ab57d6e0796b7,
  0x2a8d75901cc906d7, 0xb95daa5beace7515, 0xf63d34c9ae0404e9, 0xf6ab4457974c4ae5, 0xa5af9d01e6f6d75c,
  0xcf43aa70210a905c, 0x431dbfdeaa8b48ed, 0x4d5c6ca2317f36c6, 0x8f2076d0d163ce2e, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0xe22149e4afdcd0cc, 0x000000000002dd74,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0x056d49dd1ec5aa38, 0xcfc729827c602415, 0x7d7baa416ebfcb8f, 0x20f3c00b5a4df771, 0xc25f886c2445f71a,
  0x2ee6d7b9124afd47, 0x797d3dcb19fac99e, 0xa718e395606b3fd4, 0xa214637ce62c0532, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708bd22, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0xc9ae0404e9b95daa, 0x57974c4ae5f63d34,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0xa2317f36c6431dbf, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000006eba680ce46,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0xda93bb61b653d649, 0x7f9304f8c0482a0a, 0x2eb480347f971f9f, 0x8016b49ff0effaa3, 0x9cee6d7ca8683fe7,
  0x594b94ed6563df30, 0xea3e0d983d2bd479, 0xc3afb1698a62b2eb, 0x09afa5b1971c270d, 0x39b8e7576e4ac3a9,
  0x55e363af3a6edd42, 0x1c762d3f911c6563, 0x044c8e1bd96cbe70, 0x72ab52cfa427951b, 0xa8d75901cc906d79,
  0x95daa5beace75152, 0x63d34c9ae0404e9b, 0x6ab4457974c4ae5f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca,
  0x31dbfdeaa8b48edc, 0xd5c6ca2317f36c64, 0xf207e50d163ce2e4, 0x5c33d30ae4fdd598, 0x0e9296cb25138cb2,
  0x33919e4afdcd0ccb, 0x000000000534c797,
};

static const uint64_t ur_m8535_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c7a31, 0x2eed55fd4ec4c489, 0xb6b4eda166ec17e6, 0xa800adc4eb834cde, 0x4cce5d8596cf2430,
  0x77513f0fbed03e37, 0x609f180905415b52, 0x810fbfffa1e7fb06, 0xcedaeee2faa3d374, 0x1222fb8d1079e005,
  0xf1f77ea3e12fc436, 0x36f7ccf17736bf0f, 0x95ea3caca5ca76b7, 0x315975f51f06cc1e, 0x8e1386e1d7d8b4c5,
  0x2561d484d7d2d8cb, 0x376ea11cdc73abb7, 0x8e32b1aaf1b1d79d, 0xb65f380e3b169fc8, 0x13ca8d8226470dec,
  0x4836bcb955a967d2, 0x73a8a9546bac80e6, 0x20274dcaed52df56, 0x62572fb1e9a64d70, 0xb6bae7b55a22bcba,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf9b63218edfef554, 0xf1726ae0f365118b, 0xab31e40cd3e3458d,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0xfc8faf3c3b9e4afd, 0x0000000000000004,
};

// m8535_swio14_dual_pr
static const uint64_t ur_m8535_swio14_dual[] = {
  0xa2eeeeeeef3e1000, 0xbefcd532b457cfda, 0xd5b1ab65dd333f78, 0x81905c6768053332, 0x9b499f69d96ed450,
  0x92a6ddd5aaefa2fd, 0x9304f8c0482a0ada, 0x3c460499168290a4, 0xfb97185027c4df6b, 0xb98a2fe6535aa774,
  0x6f51e3dec1fc382f, 0x408a11c90ab03eea, 0xdad80370f815fe63, 0x324432bb8bddf177, 0x73c26b5a2a10cb42,
  0x3317397b72ebff40, 0x054aff380660b0ab, 0x17d47910ef961f29, 0xa6a95dd471cab031, 0x0288def398b01758,
  0x01ffb30475e0353b, 0x2e07967b79160faa, 0xacfe67d1cccacca4, 0xac80e64836bcb955, 0x52df5673a8a9546b,
  0xa64d7020274dcaed, 0x22bcba62572fb1e9, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0xb288c5fcdb1922ad, 0xe3458f38b9357079, 0x15c9fbab31e40cd3, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00006209f5e78773,
};

static const uint64_t ur_m8535_swio14_dual_pr_u4[] = {
  0xd3dddddda24343ee, 0x25f9aa65681b9fb0, 0x3d1edbb4cc8f9b08, 0x69b4b5375176c4a3, 0x21b4f00a69c53b74,
  0x5b526c7bbabbf224, 0x747e609f18090541, 0xdacf11812645a0a4, 0xdd3ee5c61409f137, 0x807b98c7fe65d849,
  0xd2a6f51e44d86df3, 0xe63408a11c90ab03, 0x17798f80370f815f, 0xb42d64432bb8bddf, 0xf4073c2627a2a10c,
  0x0ab3317397b790ff, 0xee90406ffc59260b, 0x064d7a8f2f8ef96d, 0xb2ca69117c8e3956, 0xf9da3247bd9cc580,
  0x59d06e39630475e8, 0xab59fccfa3999599, 0xd75901cc906d7972, 0xdaa5beace75152a8, 0xd34c9ae0404e9b95,
  0xb4457974c4ae5f63, 0xe5380b9d01e5cf6a, 0x4085a561130bd4b5, 0x36d3d0ea9c0d8ff1, 0x637c371e6ca2317f,
  0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00a49cf8267abcf2,
};

static const uint64_t ur_m8535_swio14_dual_pr_ee[] = {
  0xa76eeeee87ad0c86, 0x3bf354c85e9aefd8, 0xdc3edd9c482a2723, 0xba8e361900dce4fb, 0xdd711d7622d2ca71,
  0xdddd8dd97d7e62ec, 0x8c0482a0ada93e45, 0x9322d0520551304f, 0x0a04f89bed6788c0, 0xbf32ec24ee9f72e3,
  0x6b6c09d1c12d4c16, 0x39215607a6e6f51c, 0x6e1f02bfcc681142, 0xaee2f77c5dfcdf00, 0xf7150865a0bed10c,
  0xf6e9b7ff4073c260, 0x8b24c16156662e72, 0x55ad1945a4143fff, 0xb306657a8f2bdf73, 0x2d377c572bbd47c1,
  0xb632e384e1b875f6, 0xcbaae04fcd2135f4, 0x9bb1948f4a39d5a5, 0x4698d8d56ba1d7b1, 0x77bb380e3b169cbe,
  0x6b2a3608fd6e1bd9, 0xe67d1cccacc0283f, 0x0e64836bcb955acf, 0xf5673a8a9546bac8, 0xd7020274dcaed52d,
  0xcba62572fb1e9a64, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x8c5fcdb1922adfef,
  0x71a2ce9f0dc79b28, 0x2a73f53ab337f077, 0x3c5ce32fcc4fe50c, 0x9f8e7bff82687913, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x00ac88119eaf3c95,
};

static const uint64_t ur_m8535_swio14_dual_pr_ee_u4[] = {
  0x40bdddddda2432db, 0xe37e6a990bcabdfb, 0x5a9afba769a741b8, 0x176279294ad4fb2d, 0x4a3f73875d88b4b8,
  0x5c6ee3822ac07c67, 0x827c602415056d49, 0x4604991682902a89, 0x97185027c4df6b3c, 0x6275f997612774fb,
  0xa8fa6f61158e035a, 0x8a11c90ab03cad37, 0x500370f815fe6340, 0x4432bb8bddf177d2, 0x84d224542196847b,
  0x5ce5edd36ffe80e7, 0x7fff164982c2accc, 0x60b355ad1bf94828, 0x8f83660c27fa8f2b, 0xebec5a6ef8ae43fa,
  0x6be96c65c709c370, 0xab4b9455c0719a42, 0xaf29a769c51cdc73, 0x35ae8e32b1aad743, 0x0decb726701c762d,
  0xe8e66566b8e93eb7, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0x1013a6e576a96fab, 0x312b97d8f4d326b8,
  0x9fad73daad115e5d, 0xabd4b0b29b167407, 0x7028be8a042d3573, 0xb288c5fcdb4f43aa, 0xe0eee3458df0dc79,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xd9eaf3c95fb9a199, 0x000000000005642c,
};

static const uint64_t ur_m8535_swio14_dual_pr_ce[] = {
  0x33ddddddde7cbd5b, 0x2df9aa65685a9fb5, 0x7eefdee4e8375168, 0x5a5cbb39df6ac315, 0x7aed9f0f6dda6662,
  0x9066eeeefdc05ad0, 0x9827c602415056d4, 0xc460499168290000, 0xb97185027c4df6b3, 0x98bafe6535aa774f,
  0xea3b93d87ce38487, 0x22847242ac0d7dcd, 0xae00dc3e057f98d0, 0x110caee2f77c5dff, 0xe132d78a8432d0c9,
  0x8b9cbdbefbffa039, 0xe1ff9c0330585599, 0xe7721ceffacdd480, 0xb9b5f4d3fcfcf002, 0x5f4f72c05d64c273,
  0xc638e5581acff51e, 0x8518df398b014ca9, 0xb8e58cf1d7a3e768, 0xf33e8e665663a83f, 0x073241b5e5caad67,
  0xfab39d454aa35d64, 0x6b81013a6e576a96, 0xe5d312b97d8f4d32, 0x79bdb5d73daad115, 0x0842a417296be740,
  0xaaa2d23b73d0ea9c, 0x8c5fcdb190c76ff7, 0x58f38b9357079b28, 0x9fbab31e40cd3e34, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x039ebc6e78773c95,
};

static const uint64_t ur_m8535_swio14_dual_pr_ce_u4[] = {
  0xd627777776890c86, 0x2eefcd53200aaf7e, 0xab6bbf75053d6123, 0x4c8f9129ceb7bf65, 0x798a164029f7bb62,
  0x524d2bbbbb1bb2d0, 0xaa609f180905415b, 0x9e23024c8b4148f5, 0x7dcb8c2813e26fb5, 0xe531c1fccbb093ba,
  0x9bd47b75b0d9c708, 0xa04508e485581e04, 0xf2a001b87c0aff31, 0x3da2195dc5eef8bb, 0xe784c13e2a10cb40,
  0xcc5ce5edec7ffe80, 0x035bff164982c2ac, 0xe4251cae2fa98fa4, 0x61222fb8d1079e24, 0x72e8ffea3e12fc43,
  0xc6789f99e2ee6d76, 0xac0ee1fa8fd44f72, 0x731602c0609f1c72, 0x8ebc06a760511bde, 0xbb22c1f5403ff667,
  0x8e66566521703cb5, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0x013a6e576a96fab3, 0x12b97d8f4d326b81,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x58df0dc79b288c5f,
  0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0001a490299eaf3c,
};

static const uint64_t ur_m8535_swio14_dual_pr_ee_ce[] = {
  0xa716eeeeeea1a5fb, 0xd6bf354c1af912fd, 0xf7337bb62f1aac33, 0xaf8dd27270b26d13, 0xae3f2bbf1d9899c4,
  0xee9646baa8c4ab2f, 0xc602415056d49322, 0x2645a0a41c939827, 0x1409f137dacf1181, 0x7e65d849dd3ee5c6,
  0x68d869a383fc9b10, 0xe485581d8fcdea38, 0xb87c0aff31a04508, 0x7717bbe2ef185c01, 0x78a8432d060a8865,
  0xb7ec1ffa039e1348, 0x59260b0ab3317397, 0xfea8f02520b5bffc, 0x01fcf1272129db3b, 0xbe4c273b9b5c1126,
  0xf51e5795a53b5958, 0xaf027a8f83660fba, 0x09c370ebec5a6298, 0xa8ea426be96c65c7, 0xb1948f4a39d5db8b,
  0x31b1aaf1b1d7b19b, 0x76701c762d397c8d, 0x2a3608991c37b2ef, 0x7d1cccaccb383f6b, 0x64836bcb955acfe6,
  0x673a8a9546bac80e, 0x020274dcaed52df5, 0xa62572fb1e9a64d7, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3,
  0x45a476e7a1d53810, 0xbf9b63218edfef55, 0xd163ce1b8f365118, 0xae4fdd599bf83bb8, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0001304d38cf579e,
};

static const uint64_t ur_m8535_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xcd530b8f5edfb162, 0x64d51fa2fd9538af, 0x7f1fefaf87c3c3d9, 0x4addc12c4cf8ed15,
  0x6ba8404bc9d5ef22, 0xb525a73b8beb05b4, 0x7ae609f180905415, 0x6788c09322d0522c, 0x9f72e30a04f89bed,
  0x0cd787f995fb44ee, 0x7a8e87db0c6e3876, 0x08a11c90ab03c413, 0x0080370f815fe634, 0x910caee2f77c5def,
  0xc26df7150865a11c, 0x2e72f6f723ff4073, 0x6ffde69cc1615666, 0xf5ee2faa3383480d, 0x5f71a20f3c49c073,
  0x1fd47c25f886c244, 0xc99e2ee6d7780623, 0x4795e5694ed6e6d7, 0xc09ea3e0d983eebd, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0x6523d28e7576e2ea, 0x6c6abc6c75ec66ec, 0x9c071d8b4e5f234c, 0x8d8226470decbbdd,
  0x47332b32ce0fdaca, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x809d372bb54b7d59, 0x895cbec7a69935c0,
  0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xe6d8c863b7fbd551, 0xc5c9ab83cd94462f,
  0x666fe0dfa08d1637, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x09a078bb53c95fb9, 0x0000000000000100,
};

static const uint64_t ur_m8535_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x120a82b6a4eed8f6, 0xcb2d67f6fcc13e30, 0xe43be5ba4a41d47f, 0x491c72ac0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xdcaed52df57673a8, 0x2ad5fefe9a64d674,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xf9b6409156ff7aaa, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001527d657b4f25,
};

static const uint64_t ur_m8535_swio15_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a171895c, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beedc4e82,
  0xd49dda668cc19a3b, 0xfc9827c602415056, 0x1fa40657ff30be7d, 0x03e83d4797c77cb4, 0x5965319538c71cab,
  0x7cecf7a3dece62c0, 0x269500ffd9823af4, 0xad556a81e59eddc3, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3,
  0xf7f4d326b3a6e576, 0xd5688af2e98956af, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x048ab7fbd5516986,
  0x57079b288c5fcdb2, 0x2076d0d1674f8b93, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0x30ae4fc73dffc134,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000000f93322214,
};

static const uint64_t ur_m8535_swio15_noled_pr_u4[] = {
  0xa937777768bb1762, 0x4f5bbb5572283225, 0xcc7617ea1c489184, 0x7f43bb8975f5a193, 0x8ee00db6f26eea41,
  0x0ada93bb4cd19ad0, 0x9fdbf304f8c0482a, 0x96e9290751ffcc2f, 0xcab03e7bd47f90ef, 0x2c05bdd375192471,
  0xd78b9d86fa3e80e6, 0x56a56135b8e58c11, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xfbfa699359d372bb,
  0x6ab4457974c4ab57, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3, 0xab83cd94462fe6d9,
  0xf2076d0d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x42d10a4f257ee686, 0x0000000000007c98,
};

static const uint64_t ur_m8535_swio15_noled_pr_ee[] = {
  0x2f7bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xbdbc8a63afdc29a9, 0x9d0ccdd9b020da08,
  0xada93bbe451d9898, 0xf383304f8c0482a0, 0x1995483677f971f9, 0x807a8f2b4ad355ad, 0x7c56befd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x98a31f0e75697329, 0x58d56ba1d7aea6ec, 0x9c071d8b4ed647d0,
  0xe043fd6e1bd970e5, 0x80e64836bcb955aa, 0xf57673a8a9546bac, 0x9a64d674dcaed52d, 0x115e5d312ad5fefe,
  0x8629bd677973daad, 0xbc5021696bfc46a7, 0x5fcdb4f43aa7023c, 0x58f38b93571b288c, 0x93f75663c81f9434,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x14f9b5ecce46792b,
};

static const uint64_t ur_m8535_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0x49dd3b410e5d96aa, 0x69827c602415056d, 0xaa41beffcb8fcfc5, 0xd4795ba59aad68cc, 0xbf9dea3e0d983403,
  0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x37bce7569780cb8a, 0x56ba1d7aea6ec0a2, 0xc762d3c8a8ee1d8d,
  0x5f5b86f65c396701, 0xc906d7972ab55c13, 0xce75152a8d75901c, 0x9ace9b95daa5beae, 0xcba6255abfdfd34c,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0xa2317f36c8122adf, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000009d748bcce46,
};

static const uint64_t ur_m8535_swio15_noled_pr_ce[] = {
  0x8dadddddddec53c3, 0x0da3bb5572284844, 0xe2fd377a5ef9b871, 0xd5b416efb26d4c6d, 0x8c7136104cc774da,
  0x5056d49dd23f2eec, 0x7cf94b9827c60241, 0xff5052903a5ffe61, 0x36ff3c00b073e71d, 0x5d64c273b9b5f769,
  0x064f7a8f374f72c0, 0x62c05ee8148e3956, 0x3af47cecf7a3dece, 0x75c3269500ffd99e, 0x7972ab555aa0796b,
  0x52a8d75901cc906d, 0xb95daa5beaece751, 0x55abfdfd34c9ace9, 0xbae7b55a22bcba62, 0xea6c529e1a778efe,
  0x5a6194f43aa7020e, 0xe6d90218edfef554, 0x79c5c9ab8d94462f, 0xfbab31e40eda1a2c, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xdd5b8f44293c95fb, 0x0000000000000002,
};

static const uint64_t ur_m8535_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0x056d49dd4149cba7, 0xcfece9827c602415, 0xfaedfa412bbfcb8f, 0x41e78016b4995ae2, 0x84bf10d8488bee34,
  0x5dcdae951723fa8f, 0x79ba7b9633f5933c, 0x40a471cab0327bd4, 0x67bd1ef6731602f7, 0xa807feccf1d7a3e7,
  0xaad503cb5bae1934, 0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0xe9a64d674dcaed52, 0xd115e5d312ad5fef,
  0xf0d3bc77f5d73daa, 0xa1d5381077536294, 0xc76ff7aaa2d30ca7, 0x1e6ca2317f36c810, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xce46792bf734332c, 0x000000000dd7ab28,
};

static const uint64_t ur_m8535_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0x6a4eebd69c452bed, 0x4d4c13e30120a82b, 0xa5d20ff9fe5c7e7f, 0x00b5a4b1f3bfea8c, 0x73b9b5c92b2a3f3c,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298ae43f, 0x26be96c65c709c37, 0xf2439d5dbbf70ea4,
  0x578d8ebce9bb6948, 0xe3b169a628e0fd8d, 0x226470decb65f380, 0x2ab52cc9ac16a8d8, 0x8d75901cc906d797,
  0xdaa5beaece75152a, 0xbfdfd34c9ace9b95, 0x7b55a22bcba6255a, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x90218edfef5545a6, 0x5c9ab8d94462fe6d, 0xb31e40fca1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271,
  0x8fe67233c95fb9a1, 0x000000000000a69d,
};

static const uint64_t ur_m8535_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c92df, 0x2eed55fd4f274496, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf5a30,
  0x3baa3e842af89b66, 0x304f8c0482a0ada9, 0x40d77fffd0f3f8dd, 0x73bc41717d51ecea, 0x8488bee3441e7801,
  0x170fffa8f84bf10d, 0xe6def99e2ee6d75c, 0x3d7d47959c394ed6, 0xa62b90fea3e0d983, 0x71c270dc3afb1698,
  0xefdc3a909afa5b19, 0xa6eda523c90e7576, 0xa383f6355e363af3, 0x2d97ce038ec5a698, 0xb05aa3608991c37b,
  0x241b5e5caad4b326, 0x39d454aa35d64073, 0x6b3a6e576a96fabb, 0x2e98956aff7f4d32, 0xe3bfaeb9ed5688af,
  0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x118bf9b640863b7f, 0x458df1726ae0f365, 0x3f53ab31e40cd3e3,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0004fcdaf73c3b9e,
};

static const uint64_t ur_m8535_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x482a0ada93ba0bd0, 0x2cb59f5f7304f8c0, 0xe1df2dd25208f7ff, 0x18e395607cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0xb1e9a64d7020274d,
  0xdaad115e5d312b92, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0xfcdb4f43aa70273e, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00005483a2bda792,
};

static const uint64_t ur_m8535_swio15_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62571, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11ddb89d05,
  0xa93bbf4e0d9fbb82, 0x95304f8c0482a0ad, 0xfd2031fffcc2f9fa, 0x0fa0f51f4a3be5a0, 0xcb298c79eb1c72ac,
  0xe76f911c64731602, 0x86a807fecc11d7a3, 0x6b02b40f2cf6f7bb, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a,
  0x9935c0809d372bb5, 0x457974c4ae4ac7a6, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x94462fe6d976455b, 0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6,
  0x587494b67c09c659, 0x6d10a4f257ee6866, 0x000000000007c9bd,
};

static const uint64_t ur_m8535_swio15_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0xadddaab9141af12d, 0xfdcc77d7f858c227, 0xfe877713a5ef9bf8, 0x6636c99bafddd482,
  0x56d49dd313704904, 0xfafb9827c6024150, 0x6e929047bffe617c, 0xab03e7bd475f0ef9, 0xc05bdd31eb10c71c,
  0x78b9db7b4770ce62, 0xd4ac59fb8e58c11d, 0xd64073241b5e5caa, 0x96fabb39d454aa35, 0x326b81013a6e576a,
  0x8af2e9895c958f4d, 0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x7a1d538139f45021, 0xab83cd94462fe6da,
  0xf2076d0d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x2cd10a4f257ee686, 0x0000000000000f93,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0x304f8c0482a0ada9, 0x901c1ff2e3f3f43f, 0x1e56a7a6ab5a37f2, 0x05f51f06cc184ff5,
  0x86e1d7d8b4ddf15b, 0x3484d7d2d8cb8e13, 0x1439d5a5fe72e359, 0x6ba1d79d37609e8c, 0x3b169e488f22d8d5,
  0x7eb70decb65f380e, 0x56a015c326951b04, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0x69935c0809d372bb,
  0x4457974c4ae4ac7a, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0xd94462fe6d976455,
  0x868b3a7c5c9ab83c, 0xa9cfd4eacc7903f2, 0xf1738cbf313f9430, 0x7e39effe09a1e44c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x0275d7619c8cf257,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0xb6a4eeabe67d06cb, 0xce0cc13e30120a82, 0x665520d9dfe5c7e7, 0x01ea3cacbacd56b4, 0xf159c3f51f06cc1a,
  0x8e1386e1d7d8b4dd, 0xc5133484d7d2d8cb, 0x011fc873ab4b9455, 0xc6ab5d0ebd753764, 0xe038ec5a6f7a3dee,
  0x170feb70decb872c, 0x073241b5e5caad57, 0xabb39d454aa35d64, 0xb81013a6e576a96f, 0x2e9895c958f4d326,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xc5fcdb2ec8ab7fbd, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0013ae10b33919e4,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ce[] = {
  0x1b5bbbbbbbd8b562, 0x1b4776aae4519089, 0xc33d697b5a6cf0e2, 0x6ada0b7792164ea1, 0xb7071795bb1fba6d,
  0x415b52777e9c1b34, 0xf3ea7a609f180905, 0xfd414a405d7ff985, 0xfcfcf002c1c38677, 0x5d64c273b9b5f4d3,
  0x064f7a8f38cf72c0, 0xc580a1ed008e3956, 0x75e8f9dbe447191c, 0xedeee1aa01ffb33c, 0xf2e556b02b40f2d6,
  0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xac7a69935c0809d3, 0xf6ab4457974c4ae4, 0xa5af9d01e6f6d75c,
  0xcf43aa70210a905c, 0xc31dbfdeaa8b48ed, 0x3571b288c5fcdb2e, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xc8852792bf734332, 0x00000000005baf49,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ce_u4[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0x056d49dd3ad1a848, 0xcf8d69827c602415, 0xfaedfa41a6ffcb8f, 0x41e78016b496eae2, 0x84bf10d8488bee34,
  0x5dcdaf494ce5fa8f, 0x79c67b9633f5933c, 0x680471cab0327bd4, 0xdf2238c8e62c050f, 0x500ffd99e3af47ce,
  0x815a0796b76f770d, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xbcba62572563d34c,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x462fe6d97618edfe, 0x1637c5c9ab83cd94,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00001bae5999c8cf,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0xda93ba0292634e39, 0x6b7304f8c0482a0a, 0xa5d204dbff2e3f3f, 0x00b5a4dda3bfea8c, 0xe7736bf47d493f3c,
  0xca1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0x1d7d8b4c531594bf, 0x4d7d2d8cb8e1386e, 0x82873abb77ce1d48,
  0x5e363af3a6ec13d1, 0x8ec5a79223c8b635, 0x8991c37b2d97ce03, 0xaad4b3b864d2a360, 0x35d64073241b5e5c,
  0x6a96fabb39d454aa, 0x4d326b81013a6e57, 0x688af2e9895c958f, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5,
  0xb7fbd551691db9e8, 0x365118bf9b65d863, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1,
  0x8cf257ee68665874, 0x00000029a670a19c,
};

static const uint64_t ur_m8535_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7c50e3, 0x2eed55fd4e05c496, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf5a30,
  0x4ee8581f6ca70b29, 0xcc13e30120a82b6a, 0x480527fff43cf9ad, 0x2e77002e2faa3d9d, 0xb09117dc6883cf00,
  0xebf5abf51f097e21, 0xb9b7be678bb9b5d9, 0xcf5f51e5650e53b5, 0x298aca5fa8f83660, 0x5c709c370ebec5a6,
  0xbbe70ea426be96c6, 0xd37609e8c1439d5d, 0x11e45b1aaf1b1d79, 0x96cbe701c762d3c9, 0x326951b044c8e1bd,
  0x920daf2e556a59dc, 0x9cea2a551aeb2039, 0x809d372bb54b7d5d, 0xc4ae4ac7a69935c0, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xcdb2ec31dbfdeaa8, 0x8b9357079b288c5f, 0x598f20669f1a2c6f,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xe5d5b9e1dcf257ee, 0x0000000000000027,
};

// m8535_swio15_dual_pr
static const uint64_t ur_m8535_swio15_dual[] = {
  0xc8eeeeeeef3e6d3a, 0xbefcd532b49c4fda, 0xd5acfb638f913f78, 0x8190fa63d9b106e8, 0x4c39db29eb6ed910,
  0x254dbbae76cdbade, 0x6609f180905415b5, 0xf11812645a0a4022, 0xee5c61409f137dac, 0xe628bf994d6a9dd3,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x028bfe700cc16156, 0xbf51fba3be596bd2, 0x3145dbf1c72ac0f7, 0xbe46989cc580bac5,
  0x1ffb30475e0353b4, 0x703cb3db1f06faa0, 0x67f33e8e6656629c, 0x64073241b5e5caad, 0x6fabb39d454aa35d,
  0x26b81013a6e576a9, 0xaf2e9895c958f4d3, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754,
  0x88c5fcdb2ec8ab7f, 0x458f38b9357079b2, 0xc9fbab31e40cd3e3, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x001881cfa78773c9,
};

static const uint64_t ur_m8535_swio15_dual_pr_u4[] = {
  0x23bbbbbb4486ff3e, 0xfbf354cad2713f6b, 0x6c6add8e3e44fde2, 0x840c87d31ecd8837, 0xabd9ced94f5b76c8,
  0x92a6ddcd3c57b1d7, 0x3304f8c0482a0ada, 0x788c09322d052011, 0xf72e30a04f89bed6, 0xdcc517f32ec24ee9,
  0x37a8f1ef60fe1c17, 0xa04508e485581f75, 0xf88001b87c0aff31, 0x8c910caee2f77c5d, 0x1cf09ad68a8432d0,
  0xccc5ce5edca5ffd0, 0x40517ff164982c2a, 0xf7ea3f7477cb2d7a, 0xa628bb7e38e5581e, 0x97c8d31398b01758,
  0x03ff6608ebc06a76, 0x8e07967b63e0df54, 0xacfe67d1cccacc53, 0xac80e64836bcb955, 0x2df57673a8a9546b,
  0x64d7020274dcaed5, 0x15e5d312b92b1e9a, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea,
  0x5118bf9b65d9156f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3d5e792bf734332c, 0x00000000524d6b53,
};

static const uint64_t ur_m8535_swio15_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0xefcd53217f76fd8a, 0xa0fb77ed1da89c8c, 0xd47101489f55f62f, 0x577d17b11696528d,
  0x74b235d66d0ab326, 0x30120a82b6a4f917, 0x991682909c7cc13e, 0x5027c4df6b3c4604, 0xf997612774fb9718,
  0x5b604e8e096a60b5, 0xc90ab03d3737a8e3, 0x70f815fe63408a11, 0x7717bbe2ef300803, 0xb8a8432d05f68865,
  0xdbe9affa039e1307, 0x2c9305855998b9cb, 0xab5a3fdd4802d7fe, 0xcc187bf51e576ea6, 0xb4ddf15efbf51f06,
  0xd8cb8e1386e1d7d8, 0x296b813f3484d7d2, 0xdd83da33d4e75697, 0x3886c6ab5d0ebd8c, 0xdeece038ec5a738a,
  0x8aa8d823f5b86f65, 0x99f47332b30086f8, 0x39920daf2e556b3f, 0x5d9cea2a551aeb20, 0xc0809d372bb54b7d,
  0x74c4ae4ac7a69935, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x2fe6d976455bfdea,
  0xd165abc6e3cd9446, 0x39fa9d599bf83bb8, 0x0f22678138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x6cf579e4afdcd0cc, 0x00000000001591eb,
};

static const uint64_t ur_m8535_swio15_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0xc6fcd53217efdbf6, 0xadeef747b5868371, 0x33b13c95d96d8bc6, 0xa40355f45ec45a5b,
  0x5c6ee78233a70b53, 0x827c602415056d49, 0x8c09322d052138f9, 0x2e30a04f89bed678, 0xc4ebf32ec24ee9f7,
  0x51f4dec22b1c06b4, 0x1423921560795a6f, 0xa006e1f02bfcc681, 0x88657717bbe2ef24, 0x09a448a8432d08f6,
  0x5ce5edf4d7fd01cf, 0x6bff164982c2accc, 0x53d355ad1c06a401, 0x47c1b307227a8f2b, 0x75f62d377c5670fd,
  0x35f4b632e384e1b8, 0xd5a5ff72e038cd21, 0xd794d3b2008c1439, 0x9bde8f22d8d56ba1, 0x86f65b93380e3b16,
  0xe8e66566b8b87f5b, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0x013a6e576a96fabb, 0x895c958f4d326b81,
  0xfd6b9ed5688af2e9, 0x5ea58594d8b3a03c, 0x8139f4502169ab9d, 0x94462fe6da7a1d53, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xcf579e4afdcd0ccb, 0x0000000001590216,
};

static const uint64_t ur_m8535_swio15_dual_pr_ce[] = {
  0x91ddddddde7cd0e3, 0x2df9aa65691a9fb7, 0xde8ebe991b835168, 0x5a5c714e5b28056f, 0x53ecb11d6ddf2262,
  0x0cddd5c6d0535f22, 0x04f8c0482a0ada92, 0x1812645a0a46a833, 0x5c61409f137dacf1, 0x2ebf994d6a9dd3ee,
  0x8ee4f61f38e121e6, 0xa11c90ab035f737a, 0x80370f815fe63408, 0x432bb8bddf177f60, 0x4cb5e2a10cb43244,
  0xe72f6f6ebfe80e78, 0xbfe700cc16156662, 0xd9c33bfea0a5202e, 0xb5e76ed6ff3c00b9, 0xcf72c05d64c273b9,
  0x8e3956064f7a8f38, 0x47191cc580a1ed00, 0x39633c75e8f9dbe4, 0xcfa3999598e86fee, 0xcc906d7972ab59fc,
  0xece75152a8d75901, 0x0404e9b95daa5bea, 0xa62572563d34c9ae, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3,
  0x45a476e7a1d53810, 0xfe6d97618edfef55, 0x9c5c9ab83cd94462, 0xd598f20669f1a2c7, 0x8cb25c33d30ae4fd,
  0xd0ccb0e9296cf813, 0xebd393c3b9e4afdc, 0x0000000000000039,
};

static const uint64_t ur_m8535_swio15_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x9df9aa640145efd9, 0xcd0b6eb4e375c969, 0xb8269605957a7da4, 0x156557d6a356ea3b,
  0xa4840ee9646bae1f, 0x24c13e30120a82b6, 0x9e23024c8b41480b, 0x7dcb8c2813e26fb5, 0xf7369bfccbb093ba,
  0x9bd4753db0cac70d, 0xa04508e485581975, 0xee4401b87c0aff31, 0x27a2195dc5eef8bb, 0x73c269c62a10cb40,
  0x662e72f6f43fff40, 0x0d37ff8b24c16156, 0x7212b75717d76fd2, 0xb09117dc6883cf12, 0x90e92bf51f097e21,
  0x2c67eb2678bb9b5d, 0x956064f7a8f38cf7, 0x91cc580a1ed008e3, 0x33c75e8f9dbe4471, 0x3999598e86fee396,
  0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e9b95daa5beaece, 0x572563d34c9ae040, 0xbae7b55a22bcba62,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xd97618edfef5545a, 0x6f86e3cd94462fe6, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x03491340cf579e4a,
};

static const uint64_t ur_m8535_swio15_dual_pr_ee_ce[] = {
  0xb7daddddddd432db, 0x7ad7e6a9835da79f, 0xb6fd5f773ed9f586, 0xa57c6e821fb8c3e0, 0x368339b378ecc4fd,
  0x8bb8e08ab0786675, 0x9f180905415b524c, 0x049916829047ae60, 0x185027c4df6b3c46, 0x41f997612774fb97,
  0xe1a361a68e0ff26c, 0x23921560763f37a8, 0x06e1f02bfcc68114, 0xcaee2f77c5dfd4e0, 0x90f150865a0c1510,
  0x2f6e6b7ff4073c26, 0xf8b24c16156662e7, 0x3bfea8f2b520c41f, 0xf548fe78939093fc, 0xac5f26139dcdafcd,
  0x6ffa8f2b95d29dac, 0x98af2b7a8f83660f, 0xc709c370ebec5a62, 0x8a58ea426be96c65, 0x3760f68cf539d5db,
  0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2, 0xe67d1cccaccb31be, 0x0e64836bcb955acf,
  0x57673a8a9546bac8, 0x7020274dcaed52df, 0x5d312b92b1e9a64d, 0x9bdb5d73daad115e, 0x842a417296be7407,
  0xaa2d23b73d0ea9c0, 0x17f36cbb0c76ff7a, 0x1a2c79c371e6ca23, 0x15c9fbab337f0777, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0001304e9399eaf3,
};

static const uint64_t ur_m8535_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9aa61712bdbf6ebb, 0x82d402eb7b2a715f, 0xfbccdcda03e964d3, 0xe2b7707aed9f1dad,
  0x0ab39e5dc86b8b69, 0x6d4969ceeac02101, 0x7e19827c60241505, 0x59e23024c8b4148a, 0xa7dcb8c2813e26fb,
  0x8335e1fe657ed13b, 0xdea3a1f6c31b8e1d, 0x022847242ac0f104, 0xd7c00dc3e057f98d, 0x24432bb8bddf1779,
  0xf09b7dc542196847, 0x8b9cbdbd257fd01c, 0xc3ff79a730585599, 0xec1b8bea8c9d520b, 0x17dc6883cf12701c,
  0xa3f51f097e21b091, 0xf933c5dcdae75f0a, 0xa8f2b95d29dadcda, 0xf2b7a8f83660f6ff, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x0f68cf539d5db8a5, 0x36355e363af63376, 0x6701c762d39c51c4, 0xa3608991c37b2ef7,
  0xd1cccaccb31be22a, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x0274dcaed52df576, 0x12b92b1e9a64d702,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x36cbb0c76ff7aaa2, 0x2e4d5c1e6ca2317f,
  0x337f06fd0468b1be, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x059bc5da9e4afdcd, 0x0000000000000100,
};

/*
 * m164a_autobaud_uart0_noled_pr     m164p_autobaud_uart0_noled        m164p_autobaud_uart0_noled_pr
 * m164pa_autobaud_uart0_noled       m164pa_autobaud_uart0_noled_pr    m324a_autobaud_uart0_noled
 * m324a_autobaud_uart0_noled_pr     m324p_autobaud_uart0_noled        m324p_autobaud_uart0_noled_pr
 * m324pa_autobaud_uart0_noled       m324pa_autobaud_uart0_noled_pr    m324pb_autobaud_uart0_noled
 * m324pb_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m164a_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0xc252fbfd61de7cf5, 0x6f017442a81102a7, 0xf6a8e15faa935f73, 0x8fcf1df2c90e1b46, 0xf93d1c74fe0cd27a,
  0x3c66731602dee986, 0xe58c11d78b9d9ed2, 0xe06256bd856513b8, 0x50603bd6bce70b37, 0x5e5363385bcde01f,
  0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0xe70ddb09732f9b62, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x2204935ed3c95fb9, 0x000000000000000e,
};

/*
 * m164p_autobaud_uart0_noled_pr_u4  m164pa_autobaud_uart0_noled_pr_u4 m324a_autobaud_uart0_noled_pr_u4
 * m324p_autobaud_uart0_noled_pr_u4  m324pa_autobaud_uart0_noled_pr_u4 m324pb_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0x51ffff6cfedf9827, 0x5d10aa0440a9f097, 0x3857eaa4d7dcdbc0, 0x077cb08786d1bdaa, 0x471d3f83417ea3f4,
  0x0e62c0596533df6b, 0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f,
  0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x922adec555169617, 0xae0f3612e65f36c4, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x92b20d3c95fb9a19, 0x00000000000461b7,
};

/*
 * m164a_autobaud_uart0_noled_pr_ee_u4 m164p_autobaud_uart0_noled_pr_ee
 * m164p_autobaud_uart0_noled_pr_ee_u4 m164pa_autobaud_uart0_noled_pr_ee
 * m164pa_autobaud_uart0_noled_pr_ee_u4 m324a_autobaud_uart0_noled_pr_ee
 * m324a_autobaud_uart0_noled_pr_ee_u4 m324p_autobaud_uart0_noled_pr_ee
 * m324p_autobaud_uart0_noled_pr_ee_u4 m324pa_autobaud_uart0_noled_pr_ee
 * m324pa_autobaud_uart0_noled_pr_ee_u4 m324pb_autobaud_uart0_noled_pr_ee
 * m324pb_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0xff6cfece9827c64e, 0x54088153e1295dff, 0xd549afb9b780ba21, 0x1ce30da37b5470af, 0x4c7d4795c89355ad,
  0xdf15f75ea3e0d983, 0xb2c4522cd3ad08a1, 0x715c6b26909afa30, 0x76ded1e0b39d5a5e, 0xc38d8d56ba1d79d3,
  0x5b2e62e1211473c8, 0x534a8d823f5b86f6, 0x9bf0312b5ec00a89, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x747d7c834f257ee6,
  0x000000000000026a,
};

/*
 * m164a_autobaud_uart0_noled_pr_ce_u4 m164p_autobaud_uart0_noled_pr_ce
 * m164p_autobaud_uart0_noled_pr_ce_u4 m164pa_autobaud_uart0_noled_pr_ce
 * m164pa_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x0ffffed9fcad304f, 0x7442a81102a7c245, 0xe15faa935f736f01, 0x5c5f5c921b46f6a8, 0xdc4963cf192a76fe,
  0xf51f097e21b09117, 0xb2678bb8dc7f9883, 0xd67a8e4f4f72c67e, 0x6028f9d2471d3f83, 0x7a3e76afe8f58731,
  0xfb33ca807feccf1d, 0x95af60e3e0796b70, 0x0ef5af39c2cdf818, 0xd8ce16f37807d418, 0xde33a20575539794,
  0xdbd8aaa2d2c2e718, 0xcd84b997cdb12431, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x834f257ee6866587, 0x000000011bae493c,
};

// m164p_autobaud_uart0_noled_pr_ee_ce m164pa_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xb67c66e609f193ba, 0x0440a9f0905affff, 0xa4d7dcdbc05d10aa, 0xfc86d1bdaa3857ea, 0xc64a9de043bfea8d,
  0x09cee373acd90ff3, 0xcafa894ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62b09, 0x752135f4616588a4,
  0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9, 0xc0c4ad7b0b3a254d,
  0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617, 0x5c1e6c25ccbe6d89,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x0411102641a792bf,
};

// m164p_autobaud_uart0_noled_pr_ee_ce_u4 m164pa_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xfd85f3f5bf304f8c, 0x154088153e129dbf, 0xfd549afb9b780ba2, 0xa390f0da37b5470a, 0x79e50b838706e2fa,
  0x2fc4361222fb892c, 0xb8dce8fa927ea3e1, 0xa253b5b9b7be678b, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8,
  0x4d7d185962291669, 0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5,
  0x2b5ec2ce89534a8d, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x4498773c95fb9a19, 0x0000000000082218,
};

/*
 * m164a_autobaud_uart0_lednop_pr    m164p_autobaud_uart0_lednop       m164p_autobaud_uart0_lednop_pr
 * m164pa_autobaud_uart0_lednop      m164pa_autobaud_uart0_lednop_pr   m324a_autobaud_uart0_lednop
 * m324a_autobaud_uart0_lednop_pr    m324p_autobaud_uart0_lednop       m324p_autobaud_uart0_lednop_pr
 * m324pa_autobaud_uart0_lednop      m324pa_autobaud_uart0_lednop_pr   m324pb_autobaud_uart0_lednop
 * m324pb_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m164a_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x9f09775feb0ef3f1, 0xcdbc05d10aa0440a, 0x1bdaa3857eaa4d7d, 0xea393c77cb24386d, 0x1bfcf471d3f83349,
  0x51c829cc580b7ba6, 0xc72c608ebc5cec1c, 0xfc0c4ad7b0ac507d, 0x077ad79e0404e166, 0x94e8016f3796ea0c,
  0x2d380bdf2a6f529c, 0x8c6f19d1023a8a04, 0xce1bb612e65f36d3, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x440926bda792bf73, 0x000000000000001c,
};

/*
 * m164p_autobaud_uart0_lednop_pr_u4 m164pa_autobaud_uart0_lednop_pr_u4 m324a_autobaud_uart0_lednop_pr_u4
 * m324p_autobaud_uart0_lednop_pr_u4 m324pa_autobaud_uart0_lednop_pr_u4
 * m324pb_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0x7fffdb3f1ee609f1, 0x442a81102a7c25dd, 0x15faa935f736f017, 0xdf2c21e1b46f6a8e, 0xc74fe0d05fa8f6b1,
  0x31602cb29be483f1, 0x75e8f9d967a34867, 0x682cd22a01ffb304, 0x895af6415a07967b, 0x5af3c0809c2cdf81,
  0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000230d3e0b20d3c,
};

/*
 * m164a_autobaud_uart0_lednop_pr_ee_u4 m164p_autobaud_uart0_lednop_pr_ee
 * m164p_autobaud_uart0_lednop_pr_ee_u4 m164pa_autobaud_uart0_lednop_pr_ee
 * m164pa_autobaud_uart0_lednop_pr_ee_u4 m324a_autobaud_uart0_lednop_pr_ee
 * m324a_autobaud_uart0_lednop_pr_ee_u4 m324p_autobaud_uart0_lednop_pr_ee
 * m324p_autobaud_uart0_lednop_pr_ee_u4 m324pa_autobaud_uart0_lednop_pr_ee
 * m324pa_autobaud_uart0_lednop_pr_ee_u4 m324pb_autobaud_uart0_lednop_pr_ee
 * m324pb_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0xff6cf8d69827c64e, 0x54088153e12d37ff, 0xd549afb9b780ba21, 0x1ce30da37b5470af, 0x4c7d4795995355ad,
  0xbe2b0f7ea3e0d983, 0x6588a459a75a1143, 0xeab8d64d2135f461, 0x768c9193473ab4b9, 0xded58d56ba1d79d3,
  0x5b2e62e1211413c8, 0x33ca8d823f5b86f6, 0x37e06256bd8010fb, 0x603bd6bcf020270b, 0x929d002de6f36450,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x834f257ee6866587,
  0x00000001353922fc,
};

/*
 * m164a_autobaud_uart0_lednop_pr_ce_u4 m164p_autobaud_uart0_lednop_pr_ce
 * m164p_autobaud_uart0_lednop_pr_ce_u4 m164pa_autobaud_uart0_lednop_pr_ce
 * m164pa_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x27fffdb3f6ea609f, 0xe8855022054f84b0, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0x71258f3c64a9dd4a,
  0xd47c25f886c2445f, 0x933c5dc6e56fc00f, 0xb3d47e927b9633f5, 0x0153111638e9fc1e, 0x47cecb3d1a43398b,
  0x6691500ffd99e3af, 0xb5ec82b40f2d6e41, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0x7cdb73863b7b1554, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x11baed7bc834f257,
};

// m164p_autobaud_uart0_lednop_pr_ee_ce m164pa_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xf6cf8689827c64ee, 0x81102a7c2563ffff, 0xa935f736f017442a, 0x7f21b46f6a8e15fa, 0xf192a77beceffaa3,
  0xc273b8dcb9124afc, 0xf2beea53b5958f7c, 0xffa8f83660d6bfa8, 0x1669d68450298af6, 0x1d484d7d18596229,
  0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b, 0xf0312b5ec2cc7d99,
  0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x84b997cdb73863b7,
  0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659,
  0x45c834f257ee6866, 0x0000000000041107,
};

// m164p_autobaud_uart0_lednop_pr_ee_ce_u4 m164pa_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xfec2f9f43e9827c6, 0x855022054f84b107, 0xbf5526bee6de02e8, 0xa8e43c368ded51c2, 0x1e7942e0e25ab8be,
  0x4bf10d8488bee24b, 0xdc6e0224c03fa8f8, 0x7529dadcdbdf33c5, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4,
  0x26be8c2cb1148b34, 0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731,
  0x95af61663eccf2a3, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0xcbe6db9c31dbd8aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000010443d5061d,
};

// m164p_autobaud_uart0_dual         m164pa_autobaud_uart0_dual
static const uint64_t ur_m164a_autobaud_uart0_dual[] = {
  0xebf777777750d2a8, 0x777777770ff8fc9d, 0x34da2ea33977ad8b, 0xacf9eb14ab13bbba, 0x27c64833b91d68d5,
  0x8f64c8c1548ca898, 0x251850c85a6fc0d8, 0x994f7e655bb9dd3e, 0xea3c87d817538143, 0x22847244fe0dc9cd,
  0xe1f0a21895fe7ef8, 0xaaeef77cdce9f006, 0x318a8432d09b910c, 0x96dd2b7fd01cf099, 0xff1d4e60b0de5790,
  0x10aa0440a9f0947b, 0x57eaa4d7dcdbc05d, 0x7cb57f86d1bdaa38, 0x3a7f0690fd47b867, 0x1602fe1ccb5c9a8e,
  0xaf22dd84fa341673, 0x9295869371cb1823, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x79d002de6f301deb,
  0x2d2a7c05a9c914b5, 0x6378ce88197f8a04, 0xdc79b09732f9b69c, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c,
  0x4a30ee792bf73433, 0x00000000032793de,
};

/*
 * m164a_autobaud_uart0_dual_pr_u4   m164p_autobaud_uart0_dual_pr      m164p_autobaud_uart0_dual_pr_u4
 * m164pa_autobaud_uart0_dual_pr     m164pa_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_dual_pr[] = {
  0xeeeeeeed121a559b, 0xeeeeee1ff1e76bd7, 0x480a7ad13b4e76ee, 0x711d6667bbbb514c, 0x77270be3fd8be66e,
  0x5521a0f304f8c969, 0x169bf03623d93230, 0x56ee774f89461432, 0x1810e12ba6b75f99, 0x3f8338737a8ec176,
  0x257f9fbe08a11c91, 0x9b8ff001b87c2886, 0x5a1a5221955ddeef, 0xfa039e134dd15086, 0x161bcaf212dbba5f,
  0x0a9f093f9fe3a9cc, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x0fea3e453be589a8, 0xf34e2f7c71d3f831,
  0x5ac8ebf9cc580aa0, 0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7,
  0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x8df0dc79b09732f9,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00b82bf5418773c9,
};

// m164p_autobaud_uart0_dual_pr_ee   m164pa_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m164a_autobaud_uart0_dual_pr_ee[] = {
  0xfbbbbbba1eb432db, 0xddddddc3e6c201f5, 0xc573a8bcb56e4cdd, 0x2c9f763cc4ee94e6, 0x23822ac69e33aeec,
  0x44463304f8c93237, 0x37e06c47b26460aa, 0xdcee9f128c28642d, 0x0706bb990fbf32ad, 0x18689bd477f9b0c4,
  0xfcfdf04508e489fc, 0x11200dc3e144312b, 0x044432abbbddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x0913aff1d4e60b0d, 0xbc05d10aa0440a9f, 0xdaa3857eaa4d7dcd, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a,
  0x75a1143be2ba95ea, 0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae,
  0xd6e1bd97d2cc5c24, 0x4a0109fd62a3608f, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0xa2ce9f0dc79b0973, 0x73f53ab337f07771,
  0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x4a917618773c95fb,
  0x0000000000000001,
};

// m164p_autobaud_uart0_dual_pr_ee_u4 m164pa_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m164a_autobaud_uart0_dual_pr_ee_u4[] = {
  0x5fbbbbbbb4486f97, 0x777777770f9b15af, 0xdeb0ebe7da4cdeef, 0x6abe3558f313bb02, 0xe4f04674e16a7480,
  0x48f5aa609f1928ce, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0x9a383fc9b107e655, 0xc1d8fcdea3868d86,
  0xbfcfdf04508e489f, 0x995000dc3e144312, 0x0a5a21955ddeef9b, 0x0e784df3a2a10cb4, 0xde579096dfa7ffe8,
  0xf09456ff1d4e60b0, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xc7b9aad68f4a86d1, 0xa3e0d983f93d4795,
  0xa75a1143be2b31fe, 0x2135f4616588a459, 0x39d5a5c27ae105cd, 0x43af6b13b0f88fa4, 0x228e811d4bb1aad7,
  0xeb70decb8f8c5c24, 0x2af9ddc54957027f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x4810b30ee792bf73,
  0x00000000000000a5,
};

/*
 * m164a_autobaud_uart0_dual_pr_ce_u4 m164p_autobaud_uart0_dual_pr_ce
 * m164p_autobaud_uart0_dual_pr_ce_u4 m164pa_autobaud_uart0_dual_pr_ce
 * m164pa_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart0_dual_pr_ce[] = {
  0xafddddddda2432db, 0xdddddddc3f853adf, 0xd96fdd8becad4d7d, 0x28fdce2d5bbbb625, 0xe0dc8e08ab01f19d,
  0x82a911f74c13e326, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0x826d9c276e6b5bfc, 0x3f8331f9bd47ddad,
  0x257f9fbe08a11c91, 0x3719c801b87c2886, 0x681754432abbbddf, 0xd01cf0992b454219, 0xb0de579096dc2d7f,
  0xa9f096ceff1d4e60, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0x5c1c74b717d50086, 0xb09117dc4963cf28,
  0x293f5ff51f097e21, 0x9633ea5ccf1771b8, 0x4fe0ea5fa8e37e7b, 0xf9cc580a0a0f91c7, 0xcf1d78033b5ac8eb,
  0x6b7087486a807fec, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb2ccc3b9e4afdcd0,
  0x0000000000000ad7,
};

// m164p_autobaud_uart0_dual_pr_ee_ce m164pa_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafdddddddd436f02, 0xdddddddc3f98b85f, 0x8b5137b375ad9b4d, 0x5a0a279bb89dbb38, 0xfe1f35ef262cdb4f,
  0x9e5e609f192d8ae4, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3ace6643fccab77, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xd35fe3a9cc161bca, 0x0ba2154088153e12, 0x470afd549afb9b78, 0xeffaa37270da37b5, 0x7cb5f9e50b838358,
  0x2b26e984e771b978, 0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18,
  0xbd44bb4428f7b39d, 0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494,
  0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c, 0xfb9a19961d252d9f, 0x0622070a18773c95,
};

// m164p_autobaud_uart0_dual_pr_ee_ce_u4 m164pa_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7772df, 0xddddc3e4871ffd7e, 0xa7abbdc87afe1ddd, 0x22ecb74b10ebdf5d, 0xae1968af7f57c3eb,
  0x9273ae5b5aa83579, 0x460aa43c7ae609f1, 0x8642d37e06c47b26, 0x99696fcee9f128c2, 0xc3a3e705249b9bff,
  0x9fc1b21cdea3b396, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xa09b688655777bbe, 0x80e784d63f150865,
  0x0de579096dfacffe, 0xf84b1bbffc80a60b, 0x6de02e8855022054, 0xded51c2bf5526bee, 0x19bb8bea8d4f4368,
  0x8bee24b1e7942f3b, 0x0ffa8f84bf10d848, 0x374cf1771b9aa0f2, 0xf51e56fe4a76b737, 0xae037a8f83660d7c,
  0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045,
  0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc,
  0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0xf83f6ec68b1be2e4, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x815524f257ee6866,
  0x0000000003f56edc,
};

// m164p_autobaud_uart0_dual_hw      m164pa_autobaud_uart0_dual_hw
static const uint64_t ur_m164a_autobaud_uart0_dual_hw[] = {
  0xfddddddda24343ee, 0xddddddc3fe3ced7a, 0x89014f5a2769cedd, 0x4e23acccf7776a29, 0x4b4bb9577e44eb4f,
  0x9182a90d079827c6, 0xa190b4df81b11ec9, 0xfccab773ba7c4a30, 0x0bb0c087095d35ba, 0xe489fc19c39bd476,
  0x44312bfcfdf04508, 0xf77cdc7f800dc3e1, 0x8432d0d2910caaee, 0xd2ffd01cf09a6e8a, 0x8a60b0de579096dd,
  0x0440a9f093f9fea3, 0xa4d7dcdbc05d10aa, 0x9a86d1bdaa3857ea, 0x8310fea3e453be58, 0xaa0f34e2f7c71d3f,
  0x33b5ac8ebf9cc580, 0x86a807fecc11d780, 0x4aa4e81e59ed8874, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4,
  0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0000f46e7ea8a29e,
};

// m164p_autobaud_uart0_dual_ee_hw   m164pa_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m164a_autobaud_uart0_dual_ee_hw[] = {
  0xfddddddda243359b, 0xeeeeeee1f36100fa, 0x62b9d45e5ab7266e, 0x164fbb1e62774a73, 0xdc8786614d6baf76,
  0xa91118cc13e324c8, 0xb4df81b11ec99182, 0xb773ba7c4a30a190, 0x101c1aee643efcca, 0xf061a26f51dfe6c3,
  0xaff3f7c114239227, 0xc04480370f8510c4, 0x181110caaeef77cd, 0x073c262eb150865a, 0x3795e425b7ff9ff4,
  0xf8489d7fa8e2982c, 0x6de02e8855022054, 0xded51c2bf5526bee, 0xd7dcd56b47224368, 0x51f06cc1829ea3ca,
  0xd3ad08a1df15d4af, 0x909afa30b2c4522c, 0xce756973297152e6, 0x743af512ed10a3de, 0x211408a8f9eb1aad,
  0x7eb70decbe9662e1, 0x5250084feb151b04, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000002c1c976514,
};

// m164p_autobaud_uart0_dual_ce_hw   m164pa_autobaud_uart0_dual_ce_hw
static const uint64_t ur_m164a_autobaud_uart0_dual_ce_hw[] = {
  0xfddddddda243573e, 0xddddddc3f853adfa, 0x96fdd8becad4d7dd, 0x8fdce2d5bbbb625d, 0x706e4b8beecdd652,
  0xc15488fba609f193, 0xc85a6fc0d88f64c8, 0x655bb9dd3e251850, 0xc136ce13b735adfe, 0x9fc198fcdea3eed6,
  0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb40baa21955ddeef, 0xe80e784c95a2a10c, 0x586f2bc84b6e16bf,
  0xa9f096ceff51c530, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0x5c1c74b717d50086, 0xb09117dc4963cf28,
  0x7f9883f51f097e21, 0xcb19f52e678bb8dc, 0xa7f0752fd471bf3d, 0xfce62c050507c8e3, 0x678ebc019dad6475,
  0xb5b843a435403ff6, 0xaf9ddc549549d03c, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xe2ce8a792bf73433, 0x0000000000002f46,
};

// m164p_autobaud_uart0_dual_ee_ce_hw m164pa_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m164a_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfbbbbbbba8286f97, 0xbbbbbb87f3170bf5, 0x6a26f66eb5b369bb, 0x4144f37713b76711, 0x7278233ad53a69eb,
  0x484f2f304f8c96c5, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0xf0e1d673321fe655, 0x1febcdea3cc36c19,
  0xfcfdf04508e489fc, 0xce400dc3e144312b, 0x5a4432abbbddf373, 0xcf09a39454219682, 0xe579096dc527fd01,
  0x12d35fea38a60b0d, 0x780ba2154088153e, 0xb5470afd549afb9b, 0x58effaa37270da37, 0xd66c87f9e50b8383,
  0x6b2b26e984e771b9, 0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684, 0x9d5db8ca1d484d7d,
  0x8ebd44bb4428f7b3, 0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113, 0x5af64fe2af9ddc54,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa,
  0xd4d876371e6c25cc, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1, 0x514f257ee6866587,
  0x00000000109a670a,
};

// m164p_autobaud_uart0_dual_ee_ce_u4_hw m164pa_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d11107, 0xbbbbb87c90e3ffaf, 0xf5da7abbf5c87bbb, 0x3eb22ecb74b10ebd, 0xa9c7ba418af7f57c,
  0x304f8c939d726ff6, 0x23d932305521e3d7, 0x89461432169bf036, 0x9b9bff997612774f, 0xa3b396c3a3e70524,
  0x508e489fc1b21cde, 0x3e144312bfcfdf04, 0x777bbe6e5c9400dc, 0x150865a09b688655, 0xfacffe80e784d63f,
  0xa9260b0de579096d, 0x81102a7c258ddffc, 0xa935f736f017442a, 0xa7a1b46f6a8e15fa, 0x6f860e0cddc5f546,
  0x86c2445f71258f3c, 0x8a49cdffd47c25f8, 0x76b737374cf1771b, 0x660d7cf51e56fe4a, 0x450298ae037a8f83,
  0xd185962291669d68, 0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b, 0x08a04547cf58d578, 0x32386f65f4b31709,
  0x494b313fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00109a65f0ec2fa7,
};

/*
 * m164a_autobaud_uart1_noled_pr     m164p_autobaud_uart1_noled        m164p_autobaud_uart1_noled_pr
 * m164pa_autobaud_uart1_noled       m164pa_autobaud_uart1_noled_pr    m324a_autobaud_uart1_noled
 * m324a_autobaud_uart1_noled_pr     m324p_autobaud_uart1_noled        m324p_autobaud_uart1_noled_pr
 * m324pa_autobaud_uart1_noled       m324pa_autobaud_uart1_noled_pr    m324pb_autobaud_uart1_noled
 * m324pb_autobaud_uart1_noled_pr
 */
static const uint64_t ur_m164a_autobaud_uart1_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x8252fbfd61de7cf5, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x3f3c77cb24386d1b, 0xe4f471d3f83349ea,
  0xf199cc580b7ba61b, 0x9630475e2e767b48, 0x0313bbf615944ee3, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xc376c25ccbe6d892, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x66587494b659289c, 0x8124d7b4f257ee68, 0x0000000000000388,
};

/*
 * m164p_autobaud_uart1_noled_pr_u4  m164pa_autobaud_uart1_noled_pr_u4 m324a_autobaud_uart1_noled_pr_u4
 * m324p_autobaud_uart1_noled_pr_u4  m324pa_autobaud_uart1_noled_pr_u4 m324pb_autobaud_uart1_noled_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0x51ffff6cfedf9827, 0x748b54088153e097, 0xe15faa935fc8bf01, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8fd0,
  0x398b016594cf7dad, 0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x062777ec1c7c0f2c, 0x180efddf9ce4db7e,
  0x29b19c9bf37807d4, 0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x83cd84b997cdb124, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xac834f257ee68665, 0x0000000001186de4,
};

/*
 * m164a_autobaud_uart1_noled_pr_ee_u4 m164p_autobaud_uart1_noled_pr_ee
 * m164p_autobaud_uart1_noled_pr_ee_u4 m164pa_autobaud_uart1_noled_pr_ee
 * m164pa_autobaud_uart1_noled_pr_ee_u4 m324a_autobaud_uart1_noled_pr_ee
 * m324a_autobaud_uart1_noled_pr_ee_u4 m324p_autobaud_uart1_noled_pr_ee
 * m324p_autobaud_uart1_noled_pr_ee_u4 m324pa_autobaud_uart1_noled_pr_ee
 * m324pa_autobaud_uart1_noled_pr_ee_u4 m324pb_autobaud_uart1_noled_pr_ee
 * m324pb_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0xff6cfece9827c64e, 0xa81102a7c1295dff, 0x5526bf917e02e916, 0x738c368ded51c2bf, 0x31f51e57224d56b4,
  0x7c57dd7a8f83660d, 0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d,
  0x6cb98b848451cf23, 0x4d2a3608fd6e1bd9, 0xdf8189ddfb002a25, 0xf50603bf77e73936, 0xcbca6c6726fcde01,
  0x738c6f19d102baa9, 0x4922adec55516961, 0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x1f5f20d3c95fb9a1,
  0x0000000000009a9d,
};

/*
 * m164a_autobaud_uart1_noled_pr_ce_u4 m164p_autobaud_uart1_noled_pr_ce
 * m164p_autobaud_uart1_noled_pr_ce_u4 m164pa_autobaud_uart1_noled_pr_ce
 * m164pa_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x0ffffed9fcad304f, 0xd22d5022054f8245, 0x857eaa4d7f22fc05, 0x717d72486d1bdaa3, 0x71258f3c64a9dbf9,
  0xd47c25f886c2445f, 0xc99e2ee371fe620f, 0x59ea393d3dcb19fa, 0x80a3e7491c74fe0f, 0xe8f9dabfa3d61cc5,
  0xeccf2a01ffb33c75, 0xeefd838f81e5adc3, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0x612e65f36c490c76, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x00000046eb924f20,
};

// m164p_autobaud_uart1_noled_pr_ee_ce m164pa_autobaud_uart1_noled_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart1_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xb67c66e609f193ba, 0x088153e0905affff, 0x935fc8bf01748b54, 0xf21b46f6a8e15faa, 0x192a77810effaa37,
  0x273b8dceb3643fcf, 0x2bea253b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298ac27, 0xd484d7d185962291,
  0xed1e0b39d5dba711, 0xb1aaf1b1d79d376d, 0xcc5c24228e791871, 0xa8d8226470decb65, 0x062777ec2ce89534,
  0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0x079b09732f9b6248,
  0x7e50d165abcb9357, 0x861539fa9d598f20, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x0444099069e4afdc, 0x0000000000000001,
};

// m164p_autobaud_uart1_noled_pr_ee_ce_u4 m164pa_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart1_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xfd85f3f5bf304f8c, 0x6a81102a7c129dbf, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe7942e0e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xddfb0b3a254d2a36, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x261dcf257ee68665, 0x0000000002088611,
};

// m164p_autobaud_uart1_noled_hw     m164pa_autobaud_uart1_noled_hw
static const uint64_t ur_m164a_autobaud_uart1_noled_hw[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea6c46, 0xde1635cbd9b5a5c7, 0x4136d8cddfbbbb3d, 0xe609f193bb0bd68d,
  0xe09751ff7c0b3fb7, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x8fd01df2c21e1b46, 0x7dad1c74fe0d05fa,
  0x47ac398b016594cf, 0xff6608ebd1f3b57f, 0x0f2cf6c7d99e5403, 0xdb7e062777ec1c7c, 0x07d4180efddf9ce4,
  0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xf9fd86ed84b997cd, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xdb2d2e3b053c95fb,
};

/*
 * m164p_autobaud_uart1_noled_ee_hw  m164pa_autobaud_uart1_noled_ee_hw m324a_autobaud_uart1_noled_ee_hw
 * m324p_autobaud_uart1_noled_ee_hw  m324pa_autobaud_uart1_noled_ee_hw m324pb_autobaud_uart1_noled_ee_hw
 * m8u2_autobaud_uart0_noled_ee_hw   m16u2_autobaud_uart0_noled_ee_hw  m16u4_autobaud_uart0_noled_ee_hw
 * m32u2_autobaud_uart0_noled_ee_hw  m32u4_autobaud_uart0_noled_ee_hw  usb82_autobaud_uart0_noled_ee_hw
 * usb162_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m164a_autobaud_uart1_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0x48b54088153e094a, 0x15faa935fc8bf017, 0xb5a39c61b46f6a8e, 0x30698fa8f2b9126a,
  0x143be2beebd47c1b, 0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af,
  0xdecb65cc5c24228e, 0x512a6951b047eb70, 0xc9b6fc0c4eefd801, 0xf00fa8301dfbbf39, 0xd54e5e53633937e6,
  0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x002c4f6f82a29e4a,
};

// m164p_autobaud_uart1_noled_ce_hw  m164pa_autobaud_uart1_noled_ce_hw
static const uint64_t ur_m164a_autobaud_uart1_noled_ce_hw[] = {
  0x1bbbbbbb448651eb, 0x7777774b09eb642b, 0xeb4242c9c01ad2f7, 0x5b1795b85fbbbbcd, 0x827c64eec4e765af,
  0x2450ffd87fcfe569, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0x3f9717d72486d1bd, 0x8bee24b1e7942e0e,
  0x37fa8f84bf10d848, 0xfd64cf1771b863e3, 0x07acf51c9e9ee58c, 0x62c051f3a48e3a7f, 0x3af47ced5fd1eb0e,
  0xe1f6679500ffd99e, 0x62777ec1c7c0f2d6, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2,
  0x3b7b15545a585ce3, 0x79b09732f9b62486, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xd4ea29e4afdcd0cc, 0x00000000003746e0,
};

/*
 * m164a_autobaud_uart1_noled_ee_ce_u4_hw m164p_autobaud_uart1_noled_ee_ce_hw
 * m164p_autobaud_uart1_noled_ee_ce_u4_hw m164pa_autobaud_uart1_noled_ee_ce_hw
 * m164pa_autobaud_uart1_noled_ee_ce_u4_hw m16u2_autobaud_uart0_noled_ee_ce_hw
 * m16u2_autobaud_uart0_noled_ee_ce_u4_hw m16u4_autobaud_uart0_noled_ee_ce_hw
 * m16u4_autobaud_uart0_noled_ee_ce_u4_hw usb162_autobaud_uart0_noled_ee_ce_hw
 * usb162_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_autobaud_uart1_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x8b54088153e094ed, 0x5faa935fc8bf0174, 0x54721e1b46f6a8e1, 0x8f3ca17070e0dc5f,
  0x25f886c2445f7125, 0xbb8dc4a8b91fd47c, 0xea253b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298ac27fa,
  0x84d7d18596229166, 0x1e0b39d5dba711d4, 0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc,
  0x2777ec2ce89534a8, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0x89a29e4afdcd0ccb, 0x000000000012a430,
};

/*
 * m164a_autobaud_uart1_lednop_pr    m164p_autobaud_uart1_lednop       m164p_autobaud_uart1_lednop_pr
 * m164pa_autobaud_uart1_lednop      m164pa_autobaud_uart1_lednop_pr   m324a_autobaud_uart1_lednop
 * m324a_autobaud_uart1_lednop_pr    m324p_autobaud_uart1_lednop       m324p_autobaud_uart1_lednop_pr
 * m324pa_autobaud_uart1_lednop      m324pa_autobaud_uart1_lednop_pr   m324pb_autobaud_uart1_lednop
 * m324pb_autobaud_uart1_lednop_pr
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x3e09775feb0ef3f1, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0xa8e4f1df2c90e1b4, 0x6ff3d1c74fe0cd27,
  0x4720a731602dee98, 0x1cb1823af173b071, 0xe062777ec2b141f7, 0xefddf9e0404e4db7, 0x3a0137e6f2dd4180,
  0x4e02f7ca9bd4a725, 0x1bc674408ea2810b, 0x86ed84b997cdb4e3, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x0249af69e4afdcd0, 0x0000000000000711,
};

/*
 * m164p_autobaud_uart1_lednop_pr_u4 m164pa_autobaud_uart1_lednop_pr_u4 m324a_autobaud_uart1_lednop_pr_u4
 * m324p_autobaud_uart1_lednop_pr_u4 m324pa_autobaud_uart1_lednop_pr_u4
 * m324pb_autobaud_uart1_lednop_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0x7fffdb3f1ee609f1, 0x22d5022054f825dd, 0x57eaa4d7f22fc05d, 0x7cb08786d1bdaa38, 0x1d3f83417ea3dac7,
  0xc580b2ca6f920fc7, 0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x4eefd905681e59ed, 0xbf3c0809c9b6fc0c,
  0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x008c34f82c834f25,
};

/*
 * m164a_autobaud_uart1_lednop_pr_ee_u4 m164p_autobaud_uart1_lednop_pr_ee
 * m164p_autobaud_uart1_lednop_pr_ee_u4 m164pa_autobaud_uart1_lednop_pr_ee
 * m164pa_autobaud_uart1_lednop_pr_ee_u4 m324a_autobaud_uart1_lednop_pr_ee
 * m324a_autobaud_uart1_lednop_pr_ee_u4 m324p_autobaud_uart1_lednop_pr_ee
 * m324p_autobaud_uart1_lednop_pr_ee_u4 m324pa_autobaud_uart1_lednop_pr_ee
 * m324pa_autobaud_uart1_lednop_pr_ee_u4 m324pb_autobaud_uart1_lednop_pr_ee
 * m324pb_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0xff6cf8d69827c64e, 0xa81102a7c12d37ff, 0x5526bf917e02e916, 0x738c368ded51c2bf, 0x31f51e56654d56b4,
  0xf8ac3dfa8f83660d, 0x962291669d68450e, 0xaae3593484d7d185, 0xda32464d1cead2e7, 0x7b56355ae875e74d,
  0x6cb98b8484504f23, 0xcf2a3608fd6e1bd9, 0xbf0313bbf60043ec, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x0000004d4e48bf20,
};

/*
 * m164a_autobaud_uart1_lednop_pr_ce_u4 m164p_autobaud_uart1_lednop_pr_ce
 * m164p_autobaud_uart1_lednop_pr_ce_u4 m164pa_autobaud_uart1_lednop_pr_ce
 * m164pa_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x27fffdb3f6ea609f, 0xa45aa0440a9f04b0, 0x0afd549afe45f80b, 0xe2fae490da37b547, 0xc4963cf192a7752a,
  0x51f097e21b09117d, 0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c,
  0x9a45403ff6678ebd, 0xdfb20ad03cb5b905, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137,
  0x9aba718de33a2077, 0x36dce18edec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x6ebb5ef20d3c95fb,
  0x0000000000000004,
};

// m164p_autobaud_uart1_lednop_pr_ee_ce m164pa_autobaud_uart1_lednop_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xf6cf8689827c64ee, 0x022054f82563ffff, 0xa4d7f22fc05d22d5, 0xfc86d1bdaa3857ea, 0xc64a9defb3bfea8d,
  0x09cee372e4492bf3, 0xcafba94ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4,
  0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0x8189ddfb0b31f667,
  0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2e65f36dce18edec,
  0x2cb579726ae0f361, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x720d3c95fb9a1996, 0x00000000010441d1,
};

// m164p_autobaud_uart1_lednop_pr_ee_ce_u4 m164pa_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart1_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xfec2f9f43e9827c6, 0x5aa0440a9f04b107, 0xfd549afe45f80ba4, 0xa390f0da37b5470a, 0x79e50b83896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0xeefd8598fb33ca8d, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00004110f5418773,
};

// m164p_autobaud_uart1_lednop_hw    m164pa_autobaud_uart1_lednop_hw
static const uint64_t ur_m164a_autobaud_uart1_lednop_hw[] = {
  0xb1bbbbbbbacdfebe, 0x77777774b1ea7c7e, 0x0e82f16f26ada36f, 0x49018c4783eeeeb6, 0x49827c64eef8fc2b,
  0x7c12d2bfef8167e4, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x51c9e3be5921c368, 0x7ce9238e9fc19a4f,
  0x4720a731602dee98, 0x39630475e2e766be, 0xe062777ec2b07dee, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x3d30ae4fcfec376c, 0x296cb25138cb25c3,
  0x29e4afdcd0ccb0e9, 0x000000db2d69c7d8,
};

/*
 * m164p_autobaud_uart1_lednop_ee_hw m164pa_autobaud_uart1_lednop_ee_hw m324a_autobaud_uart1_lednop_ee_hw
 * m324p_autobaud_uart1_lednop_ee_hw m324pa_autobaud_uart1_lednop_ee_hw
 * m324pb_autobaud_uart1_lednop_ee_hw m8u2_autobaud_uart0_lednop_ee_hw
 * m16u2_autobaud_uart0_lednop_ee_hw m16u4_autobaud_uart0_lednop_ee_hw m32u2_autobaud_uart0_lednop_ee_hw
 * m32u4_autobaud_uart0_lednop_ee_hw usb82_autobaud_uart0_lednop_ee_hw
 * usb162_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0x48b54088153e0969, 0x15faa935fc8bf017, 0xb5a39c61b46f6a8e, 0x30698fa8f2b32a6a,
  0x2877c561efd47c1b, 0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af,
  0xdecb65cc5c242282, 0x1f667951b047eb70, 0x936df8189ddfb002, 0x50603bf77e781013, 0xa7253a0137e6f364,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0xc79b09732f9b6e72, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x27e1a29e4afdcd0c, 0x0000000000002c4f,
};

// m164p_autobaud_uart1_lednop_ce_hw m164pa_autobaud_uart1_lednop_ce_hw
static const uint64_t ur_m164a_autobaud_uart1_lednop_ce_hw[] = {
  0x8ddddddda2433a31, 0x7777774b09eb0675, 0xeb464090f1faf5f7, 0x2a199bb6a7bbbbcd, 0x827c64eed89b0da0,
  0x25813fd87fcfdba9, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0xa95717d72486d1bd, 0x17dc4963cf285c1c,
  0xa3f51f097e21b091, 0x7eb2678bb8dcff81, 0x83d67a8fd24f72c6, 0x31602a6222c71d3f, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0xc4eefd905681e5ad, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00006e8dc6389a29,
};

/*
 * m164a_autobaud_uart1_lednop_ee_ce_u4_hw m164p_autobaud_uart1_lednop_ee_ce_hw
 * m164p_autobaud_uart1_lednop_ee_ce_u4_hw m164pa_autobaud_uart1_lednop_ee_ce_hw
 * m164pa_autobaud_uart1_lednop_ee_ce_u4_hw m16u2_autobaud_uart0_lednop_ee_ce_hw
 * m16u2_autobaud_uart0_lednop_ee_ce_u4_hw m16u4_autobaud_uart0_lednop_ee_ce_hw
 * m16u4_autobaud_uart0_lednop_ee_ce_u4_hw usb162_autobaud_uart0_lednop_ee_ce_hw
 * usb162_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0xd22d5022054f8258, 0x857eaa4d7f22fc05, 0x7d51c8786d1bdaa3, 0x963cf285c1c4b571,
  0xf097e21b09117dc4, 0xe2ee3729299cbf51, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x189ddfb0b31f6679, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000012a43d5145,
};

// m164p_autobaud_uart1_dual         m164pa_autobaud_uart1_dual
static const uint64_t ur_m164a_autobaud_uart1_dual[] = {
  0xebf777777750d2a8, 0x777777770ff8fc9d, 0x34da2ea33977ad8b, 0xacf9eb14ab13bbba, 0x27c64833b91d68d5,
  0x8f64c8c1548ca898, 0x251850c85a6fc0d8, 0x994f7e655bb9dd3e, 0xea3c87d817538143, 0x22847244fe0dc9cd,
  0xe1f0a21895fe7ef8, 0xaaeef77cdce9f006, 0x318a8432d09b910c, 0x96dd2b7fd01cf099, 0xff1d4e60b0de5790,
  0x8b54088153e0947b, 0x5faa935fc8bf0174, 0xf2d5fe1b46f6a8e1, 0xe9fc1a43f51ee19d, 0x580bf8732d726a38,
  0xbc8b7613e8d059cc, 0x4a561a4dc72c608e, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x74026fcde603bf77,
  0x4a9f016a72452d5e, 0xde33a2065fe2810b, 0x1e6c25ccbe6da718, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25,
  0x8c3b9e4afdcd0ccb, 0x00000000c9e4f792,
};

/*
 * m164a_autobaud_uart1_dual_pr_u4   m164p_autobaud_uart1_dual_pr      m164p_autobaud_uart1_dual_pr_u4
 * m164pa_autobaud_uart1_dual_pr     m164pa_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_dual_pr[] = {
  0xeeeeeeed121a559b, 0xeeeeee1ff1e76bd7, 0x480a7ad13b4e76ee, 0x711d6667bbbb514c, 0x77270be3fd8be66e,
  0x5521a0f304f8c969, 0x169bf03623d93230, 0x56ee774f89461432, 0x1810e12ba6b75f99, 0x3f8338737a8ec176,
  0x257f9fbe08a11c91, 0x9b8ff001b87c2886, 0x5a1a5221955ddeef, 0xfa039e134dd15086, 0x161bcaf212dbba5f,
  0x153e093f9fe3a9cc, 0xfc8bf01748b54088, 0xb46f6a8e15faa935, 0x3fa8f914ef9626a1, 0xcd38bdf1c74fe0c4,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e,
  0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d,
  0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x2e0afd5061dcf257, 0x0000000000000000,
};

// m164p_autobaud_uart1_dual_pr_ee   m164pa_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m164a_autobaud_uart1_dual_pr_ee[] = {
  0xfbbbbbba1eb432db, 0xddddddc3e6c201f5, 0xc573a8bcb56e4cdd, 0x2c9f763cc4ee94e6, 0x23822ac69e33aeec,
  0x44463304f8c93237, 0x37e06c47b26460aa, 0xdcee9f128c28642d, 0x0706bb990fbf32ad, 0x18689bd477f9b0c4,
  0xfcfdf04508e489fc, 0x11200dc3e144312b, 0x044432abbbddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x0913aff1d4e60b0d, 0xf01748b54088153e, 0x6a8e15faa935fc8b, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf,
  0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xb3a7c371e6c25ccb, 0xfd4eaccdfc1ddc68,
  0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c, 0xa45d861dcf257ee6,
  0x0000000000000052,
};

// m164p_autobaud_uart1_dual_pr_ee_u4 m164pa_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m164a_autobaud_uart1_dual_pr_ee_u4[] = {
  0x5fbbbbbbb4486f97, 0x777777770f9b15af, 0xdeb0ebe7da4cdeef, 0x6abe3558f313bb02, 0xe4f04674e16a7480,
  0x48f5aa609f1928ce, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0x9a383fc9b107e655, 0xc1d8fcdea3868d86,
  0xbfcfdf04508e489f, 0x995000dc3e144312, 0x0a5a21955ddeef9b, 0x0e784df3a2a10cb4, 0xde579096dfa7ffe8,
  0xe09456ff1d4e60b0, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x1ee6ab5a3d2a1b46, 0x8f83660fe4f51e57,
  0x9d68450ef8acc7fa, 0x84d7d18596229166, 0xe7569709eb841734, 0x0ebdac4ec3e23e90, 0x8a3a04752ec6ab5d,
  0xadc37b2e3e317090, 0xabe77715255c09ff, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x042cc3b9e4afdcd0,
  0x0000000000002952,
};

/*
 * m164a_autobaud_uart1_dual_pr_ce_u4 m164p_autobaud_uart1_dual_pr_ce
 * m164p_autobaud_uart1_dual_pr_ce_u4 m164pa_autobaud_uart1_dual_pr_ce
 * m164pa_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_autobaud_uart1_dual_pr_ce[] = {
  0xafddddddda2432db, 0xdddddddc3f853adf, 0xd96fdd8becad4d7d, 0x28fdce2d5bbbb625, 0xe0dc8e08ab01f19d,
  0x82a911f74c13e326, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0x826d9c276e6b5bfc, 0x3f8331f9bd47ddad,
  0x257f9fbe08a11c91, 0x3719c801b87c2886, 0x681754432abbbddf, 0xd01cf0992b454219, 0xb0de579096dc2d7f,
  0x53e096ceff1d4e60, 0xc8bf01748b540881, 0x46f6a8e15faa935f, 0x7071d2dc5f54021b, 0xc2445f71258f3ca1,
  0xa4fd7fd47c25f886, 0x58cfa9733c5dc6e0, 0x3f83a97ea38df9ee, 0xe7316028283e471d, 0x3c75e00ced6b23af,
  0xadc21d21aa01ffb3, 0x7ceee2a4aa4e81e5, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xb330ee792bf73433,
  0x000000000002b5ec,
};

// m164p_autobaud_uart1_dual_pr_ee_ce m164pa_autobaud_uart1_dual_pr_ee_ce
static const uint64_t ur_m164a_autobaud_uart1_dual_pr_ee_ce[] = {
  0xafdddddddd436f02, 0xdddddddc3f98b85f, 0x8b5137b375ad9b4d, 0x5a0a279bb89dbb38, 0xfe1f35ef262cdb4f,
  0x9e5e609f192d8ae4, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3ace6643fccab77, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xd35fe3a9cc161bca, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xbfea8dc9c368ded5, 0xf2d7e7942e0e0d63,
  0xac9ba6139dc6e5e1, 0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461,
  0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252,
  0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xe70dc79b09732f9b, 0xeeaccdfc1ddc68b1, 0x9c6592e19e985727, 0xe6866587494b67c0, 0x8881c2861dcf257e,
  0x0000000000000001,
};

// m164p_autobaud_uart1_dual_pr_ee_ce_u4 m164pa_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7772df, 0xddddc3e4871ffd7e, 0xa7abbdc87afe1ddd, 0x22ecb74b10ebdf5d, 0xae1968af7f57c3eb,
  0x9273ae5b5aa83579, 0x460aa43c7ae609f1, 0x8642d37e06c47b26, 0x99696fcee9f128c2, 0xc3a3e705249b9bff,
  0x9fc1b21cdea3b396, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xa09b688655777bbe, 0x80e784d63f150865,
  0x0de579096dfacffe, 0xf04b1bbffc80a60b, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x66ee2faa353d0da3,
  0x2fb892c79e50bcec, 0x3fea3e12fc436122, 0xdd33c5dc6e6a83c8, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x55493c95fb9a1996,
  0x00000000fd5bb720,
};

// m164p_autobaud_uart1_dual_hw      m164pa_autobaud_uart1_dual_hw
static const uint64_t ur_m164a_autobaud_uart1_dual_hw[] = {
  0xfddddddda24343ee, 0xddddddc3fe3ced7a, 0x89014f5a2769cedd, 0x4e23acccf7776a29, 0x4b4bb9577e44eb4f,
  0x9182a90d079827c6, 0xa190b4df81b11ec9, 0xfccab773ba7c4a30, 0x0bb0c087095d35ba, 0xe489fc19c39bd476,
  0x44312bfcfdf04508, 0xf77cdc7f800dc3e1, 0x8432d0d2910caaee, 0xd2ffd01cf09a6e8a, 0x8a60b0de579096dd,
  0x088153e093f9fea3, 0x935fc8bf01748b54, 0x6a1b46f6a8e15faa, 0x0c43fa8f914ef962, 0xa83cd38bdf1c74fe,
  0xced6b23afe731602, 0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627,
  0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x003d1b9faa28a792,
};

// m164p_autobaud_uart1_dual_ee_hw   m164pa_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m164a_autobaud_uart1_dual_ee_hw[] = {
  0xfddddddda243359b, 0xeeeeeee1f36100fa, 0x62b9d45e5ab7266e, 0x164fbb1e62774a73, 0xdc8786614d6baf76,
  0xa91118cc13e324c8, 0xb4df81b11ec99182, 0xb773ba7c4a30a190, 0x101c1aee643efcca, 0xf061a26f51dfe6c3,
  0xaff3f7c114239227, 0xc04480370f8510c4, 0x181110caaeef77cd, 0x073c262eb150865a, 0x3795e425b7ff9ff4,
  0xf0489d7fa8e2982c, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b,
  0x4eb422877c5752bd, 0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5,
  0xfadc37b2fa598b84, 0x4940213fac546c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee,
  0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b0725d9453c,
};

// m164p_autobaud_uart1_dual_ce_hw   m164pa_autobaud_uart1_dual_ce_hw
static const uint64_t ur_m164a_autobaud_uart1_dual_ce_hw[] = {
  0xfddddddda243573e, 0xddddddc3f853adfa, 0x96fdd8becad4d7dd, 0x8fdce2d5bbbb625d, 0x706e4b8beecdd652,
  0xc15488fba609f193, 0xc85a6fc0d88f64c8, 0x655bb9dd3e251850, 0xc136ce13b735adfe, 0x9fc198fcdea3eed6,
  0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb40baa21955ddeef, 0xe80e784c95a2a10c, 0x586f2bc84b6e16bf,
  0x53e096ceff51c530, 0xc8bf01748b540881, 0x46f6a8e15faa935f, 0x7071d2dc5f54021b, 0xc2445f71258f3ca1,
  0xfe620fd47c25f886, 0x2c67d4b99e2ee371, 0x9fc1d4bf51c6fcf7, 0xf398b014141f238e, 0x9e3af00676b591d7,
  0xd6e10e90d500ffd9, 0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xb3a29e4afdcd0ccb, 0x00000000000bd1b8,
};

// m164p_autobaud_uart1_dual_ee_ce_hw m164pa_autobaud_uart1_dual_ee_ce_hw
static const uint64_t ur_m164a_autobaud_uart1_dual_ee_ce_hw[] = {
  0xfbbbbbbba8286f97, 0xbbbbbb87f3170bf5, 0x6a26f66eb5b369bb, 0x4144f37713b76711, 0x7278233ad53a69eb,
  0x484f2f304f8c96c5, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0xf0e1d673321fe655, 0x1febcdea3cc36c19,
  0xfcfdf04508e489fc, 0xce400dc3e144312b, 0x5a4432abbbddf373, 0xcf09a39454219682, 0xe579096dc527fd01,
  0x12d35fea38a60b0d, 0xe02e916a81102a7c, 0xd51c2bf5526bf917, 0x63bfea8dc9c368de, 0x59b21fe7942e0e0d,
  0xacac9ba6139dc6e7, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11, 0x7576e328752135f4,
  0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c, 0xefd93f8abe777152,
  0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x361d8dc79b09732f, 0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x000000042699c294,
};

// m164p_autobaud_uart1_dual_ee_ce_u4_hw m164pa_autobaud_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_autobaud_uart1_dual_ee_ce_u4_hw[] = {
  0xddddddda28d11107, 0xbbbbb87c90e3ffaf, 0xf5da7abbf5c87bbb, 0x3eb22ecb74b10ebd, 0xa9c7ba418af7f57c,
  0x304f8c939d726ff6, 0x23d932305521e3d7, 0x89461432169bf036, 0x9b9bff997612774f, 0xa3b396c3a3e70524,
  0x508e489fc1b21cde, 0x3e144312bfcfdf04, 0x777bbe6e5c9400dc, 0x150865a09b688655, 0xfacffe80e784d63f,
  0xa9260b0de579096d, 0x022054f8258ddffc, 0xa4d7f22fc05d22d5, 0x9e86d1bdaa3857ea, 0xbe1838337717d51a,
  0x1b09117dc4963cf1, 0x292737ff51f097e2, 0xdadcdcdd33c5dc6e, 0x9835f3d4795bf929, 0x140a62b80dea3e0d,
  0x4616588a459a75a1, 0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24,
  0x252cc4feb151b044, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009,
  0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0426997c3b0be9e4,
};

/*
 * m164a_u1x8_uart0_noled_pr         m164p_u1x8_uart0_noled            m164p_u1x8_uart0_noled_pr
 * m164pa_u1x8_uart0_noled           m164pa_u1x8_uart0_noled_pr        m324a_u1x8_uart0_noled
 * m324a_u1x8_uart0_noled_pr         m324p_u1x8_uart0_noled            m324p_u1x8_uart0_noled_pr
 * m324pa_u1x8_uart0_noled           m324pa_u1x8_uart0_noled_pr        m324pb_u1x8_uart0_noled
 * m324pb_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m164a_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0xc9feb0ef3e0a4c13, 0xee737f68805bd817, 0xd05fa8fd01df2c21, 0x594cf7dad1c74fe0, 0x3b57f47ac398b016,
  0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb, 0x440aeaa72f29b19c,
  0x5545a585ce31bc67, 0xb997cdb1248ab7b1, 0x68fe3458f386ed84, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0x69e4afdcd0ccb0e9, 0x00000000f90d39af,
};

/*
 * m164p_u1x8_uart0_noled_pr_u4      m164pa_u1x8_uart0_noled_pr_u4     m324a_u1x8_uart0_noled_pr_u4
 * m324p_u1x8_uart0_noled_pr_u4      m324pa_u1x8_uart0_noled_pr_u4     m324pb_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0xffed9f052609f193, 0x6fed100b7b02f93f, 0xf51fa03be5843dce, 0x9efb5a38e9fc1a0b, 0xfe8f58731602cb29,
  0x07fecc11d7a3e76a, 0xf81e59ed8fb33ca8, 0x70b37e06256bd838, 0xde01f50603bd6bce, 0x5d54e5e5363385bc,
  0xb4b0b9c6378ce881, 0xf9b6249156f62aa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x0f933d519069e4af,
};

/*
 * m164a_u1x8_uart0_noled_pr_ee_u4   m164p_u1x8_uart0_noled_pr_ee      m164p_u1x8_uart0_noled_pr_ee_u4
 * m164pa_u1x8_uart0_noled_pr_ee     m164pa_u1x8_uart0_noled_pr_ee_u4  m324a_u1x8_uart0_noled_pr_ee
 * m324a_u1x8_uart0_noled_pr_ee_u4   m324p_u1x8_uart0_noled_pr_ee      m324p_u1x8_uart0_noled_pr_ee_u4
 * m324pa_u1x8_uart0_noled_pr_ee     m324pa_u1x8_uart0_noled_pr_ee_u4  m324pb_u1x8_uart0_noled_pr_ee
 * m324pb_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0xb67ca5cc13e32776, 0x68805bd813a5ffff, 0x126ab5a39c6e737f, 0x7c1b30698fa8f2b9, 0x75a1143be2beebd4,
  0x135f4616588a459a, 0x73ab4bce2b8d64d2, 0x43af3a6edbda3c16, 0x228e791871b1aad7, 0xeb70decb65cc5c24,
  0xd801512a6951b047, 0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c,
  0x9732f9b6249156f6, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009d75a7d9069,
};

// m164p_u1x8_uart0_noled_pr_ce      m164pa_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7fac3bcfc7b, 0xd7a4b9cdfda2016f, 0xafe78c940e26277f, 0xe33984e771b921cb, 0xf19fa8e21e7b9602,
  0x602dc313f1c74fe0, 0xf173b482a3c66731, 0xd83a74f71cb19e3a, 0x6bce70b37e06256b, 0x70b79bcb750603bd,
  0xb4deabaa9cbca6c6, 0x8de33a205cd98c10, 0xc376c25ccbe6da71, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x66587494b659289c, 0xa924d7b4f257ee68, 0x000000000000005b,
};

// m164p_u1x8_uart0_noled_pr_ce_u4   m164pa_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffffdb3ff3a609f1, 0x39bfb4402dec08a2, 0xc953b7f2e2fae497, 0x0d8488bee24b1e78, 0xe3fcc41fa8f84bf1,
  0x7b9633f5933c5dc6, 0x38e9fc1eb3d4727a, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f, 0x03cb5b87d99e5403,
  0x166fc0c4ad7b071f, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b, 0x961738c6f19d102b, 0x6d89218edec55516,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xeba02b641a792bf7, 0x0000000000000006,
};

// m164p_u1x8_uart0_noled_pr_ee_ce   m164pa_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x2016f60416bfffed, 0x717d51c87b9cdfda, 0xe24b1e78c953b383, 0xa8f84bf10d8488be,
  0xccf1771b9d66c87f, 0x1e57d44a76b736f7, 0x4ff51f06cc1ad7f5, 0x22cd3ad08a053158, 0x23a909afa30b2c45,
  0xdbda3c1673abb74e, 0xe36355e363af3a6e, 0xcb98b848451cf230, 0x6951b044c8e1bd96, 0x7e06256bd859d12a,
  0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0, 0x6ae0f3612e65f36c,
  0xe40fca1a2cb57972, 0x1a50c2a73f53ab31, 0x9f80f9a1e64ff027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x0009f881320d3c95,
};

// m164p_u1x8_uart0_noled_pr_ee_ce_u4 m164pa_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x6fed100b7b02e9ff, 0xde04b8bea8dc9dce, 0x445f71258f3c64a9, 0x24afd47c25f886c2,
  0x9b8ca678bb8dcb91, 0x6ffa8f2b9c653b5b, 0x4c57927a8f83660c, 0xcb1148b34eb42281, 0xedd108ea426be8c2,
  0x75376e791b5f1cea, 0x88cd258d578d8ebd, 0xecb8723170908a35, 0x4ad7b318ba66470d, 0x077ad79ce166fc0c,
  0x4d8ce16f3796ea0c, 0x182169bd57553979, 0xb4e31bc67440b9b3, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xf810bc834f257ee6, 0x0000000000000009,
};

/*
 * m164a_u1x8_uart0_lednop_pr        m164p_u1x8_uart0_lednop           m164p_u1x8_uart0_lednop_pr
 * m164pa_u1x8_uart0_lednop          m164pa_u1x8_uart0_lednop_pr       m324a_u1x8_uart0_lednop
 * m324a_u1x8_uart0_lednop_pr        m324p_u1x8_uart0_lednop           m324p_u1x8_uart0_lednop_pr
 * m324pa_u1x8_uart0_lednop          m324pa_u1x8_uart0_lednop_pr       m324pb_u1x8_uart0_lednop
 * m324pb_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m164a_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0x6eff58779f402609, 0xf739bfb4402dec0a, 0x682fd47b58ef9610, 0x594df241f8e3a7f0, 0xecb3d1a43398b016,
  0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xb1e70ddb09732f9b, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x03e4153b5ed3c95f,
};

/*
 * m164p_u1x8_uart0_lednop_pr_u4     m164pa_u1x8_uart0_lednop_pr_u4    m324a_u1x8_uart0_lednop_pr_u4
 * m324p_u1x8_uart0_lednop_pr_u4     m324pa_u1x8_uart0_lednop_pr_u4    m324pb_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0x7fffdb3e804c13e3, 0x9cdfda2016f60537, 0x17ea3dac77cb087b, 0xa6f920fc71d3f834, 0x59e8d219cc580b2c,
  0x807fecc11d7a3e76, 0x5681e59eda0b348a, 0x270b37e06256bd90, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x4d6c834f257ee686,
  0x0000000000007c98,
};

/*
 * m164a_u1x8_uart0_lednop_pr_ee_u4  m164p_u1x8_uart0_lednop_pr_ee     m164p_u1x8_uart0_lednop_pr_ee_u4
 * m164pa_u1x8_uart0_lednop_pr_ee    m164pa_u1x8_uart0_lednop_pr_ee_u4 m324a_u1x8_uart0_lednop_pr_ee
 * m324a_u1x8_uart0_lednop_pr_ee_u4  m324p_u1x8_uart0_lednop_pr_ee     m324p_u1x8_uart0_lednop_pr_ee_u4
 * m324pa_u1x8_uart0_lednop_pr_ee    m324pa_u1x8_uart0_lednop_pr_ee_u4 m324pb_u1x8_uart0_lednop_pr_ee
 * m324pb_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xd9f53d304f8c9dd3, 0xa2016f6045d7fffe, 0xa9aad68e71b9cdfd, 0xf06cc1a63ea3cacc, 0xad08a1df1587bf51,
  0x9afa30b2c4522cd3, 0x9d5a5cf55c6b2690, 0x0ebce9bb4648c9a3, 0x8a09e46f6ac6ab5d, 0xadc37b2d97317090,
  0xc0087d99e546c11f, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xdb9c8ab7b15545a6, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x5df81641a792bf73, 0x0000000000000027,
};

/*
 * m164a_u1x8_uart0_lednop_pr_ce_u4  m164p_u1x8_uart0_lednop_pr_ce     m164p_u1x8_uart0_lednop_pr_ce_u4
 * m164pa_u1x8_uart0_lednop_pr_ce    m164pa_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0x7fffdb3e70e609f1, 0x39bfb4402dec092b, 0x92a7752ae2fae497, 0x1b09117dc4963cf1, 0x95bf003f51f097e2,
  0xee58cfd64cf1771b, 0xe3a7f07acf51fa49, 0x690ce62c054c4458, 0xf6678ebd1f3b2cf4, 0x3cb5b9059a45403f,
  0x66fc0c4ad7b20ad0, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xf3612e65f36dce18, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x000000001baebcfb,
};

// m164p_u1x8_uart0_lednop_pr_ee_ce  m164pa_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xb3e1a2609f193baa, 0x8805bd8158fffffd, 0x5c5f54721ee737f6, 0xb892c79e3254ed2d, 0xea3e12fc4361222f,
  0xf33c5dc6e5c89257, 0x4795f7529dadcdbd, 0xb7fd47c1b306b5fd, 0x48b34eb422814c57, 0xa8ea426be8c2cb11,
  0xda32464d1ceaedc7, 0xf6ac6abc6c75e74d, 0xd973170908a09e46, 0xcf2a3608991c37b2, 0xdf81895af61663ec,
  0x80ef5af3c0809c2c, 0x4a7400b79bcd9141, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6c25ccbe6db9c31d,
  0x434596af2e4d5c1e, 0x54e7ea75663c81f9, 0x343cc9fe04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0x3a2e41a792bf7343, 0x00000000000009f8,
};

// m164p_u1x8_uart0_lednop_pr_ee_ce_u4 m164pa_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xff617cfeed4c13e3, 0x9bfb4402dec08c7f, 0x3995ae2faa372773, 0x222fb892c79e50b8, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0x56bd98c54d191c37, 0xbcf020270b37e062,
  0xf3a005bcde603bd6, 0x5a54f80b5392296a, 0x8de33a2065fcc608, 0x71e6c25ccbe6da71, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xc00ac61dcf257ee6, 0x000000000000004f,
};

/*
 * m164a_u1x8_uart0_dual_pr          m164p_u1x8_uart0_dual             m164p_u1x8_uart0_dual_pr
 * m164pa_u1x8_uart0_dual            m164pa_u1x8_uart0_dual_pr
 */
static const uint64_t ur_m164a_u1x8_uart0_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f2efd, 0xfdef255c66eb4a76, 0x562727091dddd410, 0x2f4ee4af99f0f62c,
  0x460aa4337e609f19, 0x8642d37e06c47b26, 0x32b8f5cee9f128c2, 0x6c17d9c0a2cce4ff, 0x489fc199537a8efe,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d08c910caaeef, 0x7ffd01cf09ad68a8, 0xa60b0de579096dcc,
  0x4402dec08f5ff241, 0x114ef96aff739bfb, 0xa48e3a7f0690fd47, 0xda398b017f0e64c7, 0x1823af22dd9af91b,
  0xbb8a929583ef71cb, 0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x53a005bcde5ba830, 0xb4e02f7ca9bd4a72,
  0x31bc674408ea2810, 0xb83cd84b997cdb4e, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x320d3c95fb9a1996, 0x00000000000310e7,
};

// m164p_u1x8_uart0_dual_pr_u4       m164pa_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m164a_u1x8_uart0_dual_pr_u4[] = {
  0xddddd7ed44861a4e, 0xddddc3eebcdd7afd, 0x81793b92eb62dddd, 0x6294247777717bd7, 0x2e49aee16933dc3d,
  0x55219bf304f8c95a, 0x169bf03623d93230, 0x56ee774f89461432, 0x0958e0e966387f99, 0x3f8380d37a8ffbb6,
  0x257f9fbe08a11c91, 0x373a7c01b87c2886, 0xb41314432abbbddf, 0xf4073c268ca2a10c, 0x2c3795e425b731ff,
  0x0b7b023d7fc75398, 0x9df2c4d5ce6fed10, 0x38e9fc1887f51f22, 0xe62c055079a717be, 0x8ebc019dad6475fc,
  0x6c43a435403ff660, 0x777152552740f2cf, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x28c3b9e4afdcd0cc,
  0x0000000000524f79,
};

/*
 * m164a_u1x8_uart0_dual_pr_ee_u4    m164p_u1x8_uart0_dual_pr_ee       m164p_u1x8_uart0_dual_pr_ee_u4
 * m164pa_u1x8_uart0_dual_pr_ee      m164pa_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeebf6a2435202, 0xddddc3ed4f3efd7e, 0xaee350f6daafdddd, 0xb2899bd7dd466ccf, 0xada6cdf9af45fbf7,
  0xe609f193d3ae4e43, 0xd88f64c8c154876e, 0x3e251850c85a6fc0, 0xfc98347e655bb9dd, 0x37a8fd3fb0b1f387,
  0xc114239227f07d5f, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0xdfe3a9cc161bcaf2, 0xce6fed100b7b02ca, 0x3cad7dcd56b47225, 0x4af51f06cc1829ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1, 0xb047eb70decbe966,
  0x7715250084feb151, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xcc3b9e4afdcd0ccb, 0x0000000000ac91f5,
};

/*
 * m164a_u1x8_uart0_dual_pr_ce_u4    m164p_u1x8_uart0_dual_pr_ce       m164p_u1x8_uart0_dual_pr_ce_u4
 * m164pa_u1x8_uart0_dual_pr_ce      m164pa_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x8_uart0_dual_pr_ce[] = {
  0xddddd7ed448618be, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x72ebd9c1059e0ac5,
  0xa40523304f8c9313, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0x5a3805a98c7ff32a, 0xe0e2b4dea393ad82,
  0x5fe7ef822847244f, 0xc986006e1f0a2189, 0x0bed10caaeef77cd, 0x073c260f7150865a, 0x3795e425b7d37ff4,
  0xf60452ffc753982c, 0x7d500b9cdfda2016, 0x963cf285c1c74b71, 0xf097e21b09117dc4, 0xf1771b8293f5ff51,
  0x8e37e7b9633ea5cc, 0xa0f91c74fe0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486,
  0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0001a49924cc3b9e,
};

// m164p_u1x8_uart0_dual_pr_ee_ce    m164pa_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeebf6d4143359b, 0xdddc3ec4535fd7ee, 0x06e7162dc3eddddd, 0x5ea6f92eebd61ec8, 0x852faed75d9bae25,
  0x304f8c9667721e19, 0xc47b26460aa45927, 0xf128c28642d37e06, 0x49bf5ff32addcee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfc753982c3795e42, 0x9bfb4402dec0a87f, 0x38358effaa372773, 0x3732a1a0ff9e50b8, 0x94ed6564dd309cee,
  0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e,
  0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0,
  0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0xb8d165abc6e3cd84,
  0x1539fa9d599bf83b, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c, 0x0810c3b9e4afdcd0,
  0x0000000000000100,
};

// m164p_u1x8_uart0_dual_pr_ee_ce_u4 m164pa_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7775fb515b768f43, 0x7770fe62e17ebf77, 0xcdd6a6d36c137777, 0x6ee276ece22d44de, 0xfe1a9c6d3d68289e,
  0xe325b15cbc4fdad4, 0x9323055213cbcc13, 0x61432169bf03623d, 0x3fccb4b7e774f894, 0x86d833e1c3ace664,
  0xc913f83fd79bd479, 0x886257f9fbe08a11, 0xbbe6e79c801b87c2, 0x432d04b488655777, 0x4ffa039e134728a8,
  0x4c161bcaf212db8a, 0x402dec0b4d7ff901, 0xe2faa353d739bfb4, 0x892c79e50bcec66e, 0xa3e12fc4361222fb,
  0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x493c95fb9a19961d, 0x0000001000611255,
};

// m164p_u1x8_uart0_dual_hw          m164pa_u1x8_uart0_dual_hw
static const uint64_t ur_m164a_u1x8_uart0_dual_hw[] = {
  0xeeeeebf6a2431000, 0xeeeee1f75e6ebd7e, 0xc0bc9dc975b16eee, 0xb14a123bbbb8bdeb, 0x568b956abbf766de,
  0x8c154866fcc13e32, 0x0c85a6fc0d88f64c, 0xe655bb9dd3e25185, 0xed8256383a598e1f, 0x244fe0e034dea3fe,
  0x21895fe7ef822847, 0x77cdce9f006e1f0a, 0x432d04c510caaeef, 0x7ffd01cf09a328a8, 0xa60b0de579096dcc,
  0x8805bd811ebfea38, 0x914ef9626ae737f6, 0xdf1c74fe0c43fa8f, 0xfe731602a83cd38b, 0x30475e00ced6b23a,
  0x67b621d21aa01ffb, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x792a8a792bf73433, 0x0000000000018dd7,
};

// m164p_u1x8_uart0_dual_ee_hw       m164pa_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m164a_u1x8_uart0_dual_ee_hw[] = {
  0xddddd7ed448664d6, 0xbbbb87da9e7dfafd, 0x5dc6a1edb55fbbbb, 0x651337afba8cd99f, 0xcd8f0f65928bf7ef,
  0xb77304f8c9e9d72c, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc3fe4c1a3f32addc, 0xaf9bd47e9fd858f9,
  0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256, 0x79096dce0ffd01cf,
  0xcadfea38a60b0de5, 0x25ce6fed100b7b02, 0xea3cad7dcd56b472, 0x5d4af51f06cc1829, 0x4522cd3ad08a1df1,
  0x152e6909afa30b2c, 0x0a3dece756973297, 0xb1aad743af512ed1, 0x662e1211408a8f9e, 0x51b047eb70decbe9,
  0xe77715250084feb1, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xebd14f257ee68665, 0x00000000000576a3,
};

// m164p_u1x8_uart0_dual_ce_hw       m164pa_u1x8_uart0_dual_ce_hw
static const uint64_t ur_m164a_u1x8_uart0_dual_ce_hw[] = {
  0xddddd7ed44865c93, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x37219c5c5ede4ec5,
  0xaa40523304f8c931, 0x2d37e06c47b26460, 0xaddcee9f128c2864, 0x25a3805a98c7ff32, 0xfe0e2b4dea393ad8,
  0x95fe7ef822847244, 0xdc986006e1f0a218, 0xa0bed10caaeef77c, 0x4073c260f7150865, 0xc3795e425b7d37ff,
  0xdec08a5ffa8e2982, 0x2faa01739bfb4402, 0x92c79e50b838e96e, 0x3e12fc4361222fb8, 0xcf1771b8ff3107ea,
  0xa8e37e7b9633ea5c, 0x0a0f91c74fe0ea5f, 0x3b5ac8ebf9cc580a, 0x6a807feccf1d7803, 0x2a93a0796b708748,
  0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0x7cdb73863b7b1554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00004dd7249d14f2,
};

// m164p_u1x8_uart0_dual_ee_ce_hw    m164pa_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m164a_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbafdbb0486f97, 0xbbbb87f3170bf5fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0x78233ad53a69eb41,
  0x4f2f304f8c96c572, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe1d673321fe655bb, 0xebcdea3cc36c19f0,
  0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf373ce, 0x09a394542196825a, 0x79096dc527fd01cf,
  0xd35fea38a60b0de5, 0xf5ce6fed100b7b02, 0x85c1c19bb8bea8d4, 0x1b09117dc4963cf2, 0x3acd90ff51f097e2,
  0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x2b5ec9fc55f3bb8a,
  0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x97cdb73863b7b155,
  0xfa9b0ec6e3cd84b9, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c, 0x4a29e4afdcd0ccb0,
  0x000000000075d4e1,
};

// m164p_u1x8_uart0_dual_ee_ce_u4_hw m164pa_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfbbbbbafda890c86, 0xbbbbbb87f3151ff5, 0x49336b455fae17bb, 0x766d13cddc4edd3b, 0x6b97763766f31508,
  0xaa427979827c64bd, 0x2d37e06c47b26460, 0xaddcee9f128c2864, 0x6b670986999f3f32, 0xf070026f51ff5f60,
  0xaff3f7c114239227, 0xceeb00370f8510c4, 0x035910caaeef77cd, 0x073c26b75150865a, 0x3795e425b7149ff4,
  0xec0b4d7fa8e2982c, 0xa32eb739bfb4402d, 0x79e50b8391cae2fa, 0x2fc4361222fb892c, 0xdc6e321d257ea3e1,
  0xbf29dadcdc4333c5, 0x7c1b30698fa8f2bd, 0x75a1140a62b3d7d4, 0x135f4616588a459a, 0x3e80e7576e400752,
  0x578d8ebdac4ed6b2, 0xc2422810e8c4fd8d, 0x20a6470decb8f8c5, 0x3f8abe7771525c63, 0x0270b37e06256bd9,
  0xf0725603bd6bcf02, 0xee2ca72f9d002de6, 0xf598c10b4f0c5654, 0x5f36d38c6f19d103, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0000075d4ad5453c,
};

/*
 * m164a_u1x8_uart1_noled_pr         m164p_u1x8_uart1_noled            m164p_u1x8_uart1_noled_pr
 * m164pa_u1x8_uart1_noled           m164pa_u1x8_uart1_noled_pr        m324a_u1x8_uart1_noled
 * m324a_u1x8_uart1_noled_pr         m324p_u1x8_uart1_noled            m324p_u1x8_uart1_noled_pr
 * m324pa_u1x8_uart1_noled           m324pa_u1x8_uart1_noled_pr        m324pb_u1x8_uart1_noled
 * m324pb_u1x8_uart1_noled_pr
 */
static const uint64_t ur_m164a_u1x8_uart1_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0xc9feb0ef3e0a4c13, 0xeb8b7f69931bd817, 0xd05fa8fd01df2c21, 0x594cf7dad1c74fe0, 0x3b57f47ac398b016,
  0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0xf9ce4db7e062777e, 0xbf37807d4180efdd, 0x40aeaa72f29b19c9,
  0x545a585ce31bc674, 0x997cdb1248ab7b15, 0x8fe3458f386ed84b, 0xd30ae4fdd598f206, 0x96cb25138cb25c33,
  0x9e4afdcd0ccb0e92, 0x0000000f90d39af6,
};

/*
 * m164p_u1x8_uart1_noled_pr_u4      m164pa_u1x8_uart1_noled_pr_u4     m324a_u1x8_uart1_noled_pr_u4
 * m324p_u1x8_uart1_noled_pr_u4      m324pa_u1x8_uart1_noled_pr_u4     m324pb_u1x8_uart1_noled_pr_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0xffed9f052609f193, 0x6fed32637b02f93f, 0xf51fa03be5843d71, 0x9efb5a38e9fc1a0b, 0xfe8f58731602cb29,
  0x07fecc11d7a3e76a, 0xf81e59ed8fb33ca8, 0xc9b6fc0c4eefd838, 0xf00fa8301dfbbf39, 0xd54e5e53633937e6,
  0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xf933d519069e4afd,
};

/*
 * m164a_u1x8_uart1_noled_pr_ee_u4   m164p_u1x8_uart1_noled_pr_ee      m164p_u1x8_uart1_noled_pr_ee_u4
 * m164pa_u1x8_uart1_noled_pr_ee     m164pa_u1x8_uart1_noled_pr_ee_u4  m324a_u1x8_uart1_noled_pr_ee
 * m324a_u1x8_uart1_noled_pr_ee_u4   m324p_u1x8_uart1_noled_pr_ee      m324p_u1x8_uart1_noled_pr_ee_u4
 * m324pa_u1x8_uart1_noled_pr_ee     m324pa_u1x8_uart1_noled_pr_ee_u4  m324pb_u1x8_uart1_noled_pr_ee
 * m324pb_u1x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0xb67ca5cc13e32776, 0x69931bd813a5ffff, 0x126ab5a39c6b8b7f, 0x7c1b30698fa8f2b9, 0x75a1143be2beebd4,
  0x135f4616588a459a, 0x73ab4bce2b8d64d2, 0x43af3a6edbda3c16, 0x228e791871b1aad7, 0xeb70decb65cc5c24,
  0xd801512a6951b047, 0xbf39c9b6fc0c4eef, 0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce,
  0x732f9b6249156f62, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00009d75a7d9069e,
};

// m164p_u1x8_uart1_noled_pr_ce      m164pa_u1x8_uart1_noled_pr_ce
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7fac3bcfc7b, 0xd7a4ae2dfda64c6f, 0xafe78c940e26277f, 0xe33984e771b921cb, 0xf19fa8e21e7b9602,
  0x602dc313f1c74fe0, 0xf173b482a3c66731, 0xd83a74f71cb19e3a, 0xbf39c9b6fc0c4eef, 0x26fcde5ba8301dfb,
  0x4deabaa9cbca6c67, 0xde33a205cd98c10b, 0x376c25ccbe6da718, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x924d7b4f257ee686, 0x00000000000005ba,
};

// m164p_u1x8_uart1_noled_pr_ce_u4   m164pa_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffffdb3ff3a609f1, 0xc5bfb4c98dec08a2, 0xc953b7f2e2fae495, 0x0d8488bee24b1e78, 0xe3fcc41fa8f84bf1,
  0x7b9633f5933c5dc6, 0x38e9fc1eb3d4727a, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f, 0x03cb5b87d99e5403,
  0x36df8189ddfb071f, 0x01f50603bf77e739, 0xa9cbca6c6726fcde, 0x61738c6f19d102ba, 0xd89218edec555169,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xba02b641a792bf73, 0x000000000000006e,
};

// m164p_u1x8_uart1_noled_pr_ee_ce   m164pa_u1x8_uart1_noled_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x64c6f60416bfffed, 0x717d51c87ae2dfda, 0xe24b1e78c953b383, 0xa8f84bf10d8488be,
  0xccf1771b9d66c87f, 0x1e57d44a76b736f7, 0x4ff51f06cc1ad7f5, 0x22cd3ad08a053158, 0x23a909afa30b2c45,
  0xdbda3c1673abb74e, 0xe36355e363af3a6e, 0xcb98b848451cf230, 0x6951b044c8e1bd96, 0xfc0c4eefd859d12a,
  0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b, 0xae0f3612e65f36c4,
  0x40fca1a2cb579726, 0xa50c2a73f53ab31e, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x009f881320d3c95f,
};

// m164p_u1x8_uart1_noled_pr_ee_ce_u4 m164pa_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x6fed32637b02e9ff, 0xde04b8bea8dc9d71, 0x445f71258f3c64a9, 0x24afd47c25f886c2,
  0x9b8ca678bb8dcb91, 0x6ffa8f2b9c653b5b, 0x4c57927a8f83660c, 0xcb1148b34eb42281, 0xedd108ea426be8c2,
  0x75376e791b5f1cea, 0x88cd258d578d8ebd, 0xecb8723170908a35, 0x9ddfb318ba66470d, 0x3bf77e73936df818,
  0xd8ce4df9bcb75060, 0x82169bd575539794, 0x4e31bc67440b9b31, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x810bc834f257ee68, 0x000000000000009f,
};

// m164p_u1x8_uart1_noled_hw         m164pa_u1x8_uart1_noled_hw
static const uint64_t ur_m164a_u1x8_uart1_noled_hw[] = {
  0x8ddddddb96b37382, 0x7777774b161448b5, 0xbf99360fe17a35f7, 0x97b793d7eeee8c20, 0x4f8c9ddf4b0bf417,
  0x5f27fdf02cf82930, 0x87ae2dfda64c6f60, 0x83417ea3f4077cb0, 0x596533df6b471d3f, 0x7ced5fd1eb0e62c0,
  0x679500ffd9823af4, 0xfb071f03cb3db1f6, 0x77e73936df8189dd, 0x26fcde01f50603bf, 0xd102baa9cbca6c67,
  0x55516961738c6f19, 0x2e65f36c4922adec, 0xe985727e7f61bb61, 0x4b659289c6592e19, 0x4f257ee686658749,
  0x000000047169cec1,
};

// m164p_u1x8_uart1_noled_ce_hw      m164pa_u1x8_uart1_noled_ce_hw
static const uint64_t ur_m164a_u1x8_uart1_noled_ce_hw[] = {
  0x3777776e5acdfebe, 0xdddddd2c58538fd6, 0x227c5bc9ab68dbdd, 0x406311e0fbbbb111, 0x609f193bbe3f0ad2,
  0xc0b4affbe059f912, 0xaf495c5bfb4c98de, 0xefcf19281c050eff, 0xc67309cee371c9fc, 0xe33f51c43cf72c05,
  0x602ef782e38e9fc1, 0x78b9d9ed23c66731, 0xec1d513b8e58cf1d, 0xdf9ce4db7e062777, 0x9bf37807d4180efd,
  0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x732f9b624863b7b1, 0x4c2b93f3fb0ddb09, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x00000c429a71f60a,
};

/*
 * m164a_u1x8_uart1_noled_ee_ce_u4_hw m164p_u1x8_uart1_noled_ee_ce_hw
 * m164p_u1x8_uart1_noled_ee_ce_u4_hw m164pa_u1x8_uart1_noled_ee_ce_hw
 * m164pa_u1x8_uart1_noled_ee_ce_u4_hw m16u2_u1x8_uart0_noled_ee_ce_hw
 * m16u2_u1x8_uart0_noled_ee_ce_u4_hw m16u4_u1x8_uart0_noled_ee_ce_hw
 * m16u4_u1x8_uart0_noled_ee_ce_u4_hw usb162_u1x8_uart0_noled_ee_ce_hw
 * usb162_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u1x8_uart1_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x5bfb4c98dec082d7, 0x38706e2faa390f5c, 0x222fb892c79e50b8, 0x5c8fea3e12fc4361,
  0xcdbdf33c5dc6e254, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281, 0xedd388ea426be8c2,
  0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238, 0x726dbf0313bbf616,
  0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x000a021057514f25,
};

/*
 * m164a_u1x8_uart1_lednop_pr        m164p_u1x8_uart1_lednop           m164p_u1x8_uart1_lednop_pr
 * m164pa_u1x8_uart1_lednop          m164pa_u1x8_uart1_lednop_pr       m324a_u1x8_uart1_lednop
 * m324a_u1x8_uart1_lednop_pr        m324p_u1x8_uart1_lednop           m324p_u1x8_uart1_lednop_pr
 * m324pa_u1x8_uart1_lednop          m324pa_u1x8_uart1_lednop_pr       m324pb_u1x8_uart1_lednop
 * m324pb_u1x8_uart1_lednop_pr
 */
static const uint64_t ur_m164a_u1x8_uart1_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0x6eff58779f402609, 0xf5c5bfb4c98dec0a, 0x682fd47b58ef9610, 0x594df241f8e3a7f0, 0xecb3d1a43398b016,
  0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b, 0x271964b867a615c9,
  0x9a19961d252d964a, 0x3e4153b5ed3c95fb,
};

/*
 * m164p_u1x8_uart1_lednop_pr_u4     m164pa_u1x8_uart1_lednop_pr_u4    m324a_u1x8_uart1_lednop_pr_u4
 * m324p_u1x8_uart1_lednop_pr_u4     m324pa_u1x8_uart1_lednop_pr_u4    m324pb_u1x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0x7fffdb3e804c13e3, 0xe2dfda64c6f60537, 0x17ea3dac77cb087a, 0xa6f920fc71d3f834, 0x59e8d219cc580b2c,
  0x807fecc11d7a3e76, 0x5681e59eda0b348a, 0x9c9b6fc0c4eefd90, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0xb83cd84b997cdb73, 0x207e50d1637c5c9a, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xd6c834f257ee6866,
  0x000000000007c984,
};

/*
 * m164a_u1x8_uart1_lednop_pr_ee_u4  m164p_u1x8_uart1_lednop_pr_ee     m164p_u1x8_uart1_lednop_pr_ee_u4
 * m164pa_u1x8_uart1_lednop_pr_ee    m164pa_u1x8_uart1_lednop_pr_ee_u4 m324a_u1x8_uart1_lednop_pr_ee
 * m324a_u1x8_uart1_lednop_pr_ee_u4  m324p_u1x8_uart1_lednop_pr_ee     m324p_u1x8_uart1_lednop_pr_ee_u4
 * m324pa_u1x8_uart1_lednop_pr_ee    m324pa_u1x8_uart1_lednop_pr_ee_u4 m324pb_u1x8_uart1_lednop_pr_ee
 * m324pb_u1x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xd9f53d304f8c9dd3, 0xa64c6f6045d7fffe, 0xa9aad68e71ae2dfd, 0xf06cc1a63ea3cacc, 0xad08a1df1587bf51,
  0x9afa30b2c4522cd3, 0x9d5a5cf55c6b2690, 0x0ebce9bb4648c9a3, 0x8a09e46f6ac6ab5d, 0xadc37b2d97317090,
  0xc0087d99e546c11f, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a,
  0xb9c8ab7b15545a6a, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xdf81641a792bf734, 0x0000000000000275,
};

/*
 * m164a_u1x8_uart1_lednop_pr_ce_u4  m164p_u1x8_uart1_lednop_pr_ce     m164p_u1x8_uart1_lednop_pr_ce_u4
 * m164pa_u1x8_uart1_lednop_pr_ce    m164pa_u1x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0x7fffdb3e70e609f1, 0xc5bfb4c98dec092b, 0x92a7752ae2fae495, 0x1b09117dc4963cf1, 0x95bf003f51f097e2,
  0xee58cfd64cf1771b, 0xe3a7f07acf51fa49, 0x690ce62c054c4458, 0xf6678ebd1f3b2cf4, 0x3cb5b9059a45403f,
  0x6df8189ddfb20ad0, 0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7, 0xdec555169aba718d,
  0x3612e65f36dce18e, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x0d3c95fb9a19961d, 0x00000001baebcfb2,
};

// m164p_u1x8_uart1_lednop_pr_ee_ce  m164pa_u1x8_uart1_lednop_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xb3e1a2609f193baa, 0x9931bd8158fffffd, 0x5c5f54721eb8b7f6, 0xb892c79e3254ed2d, 0xea3e12fc4361222f,
  0xf33c5dc6e5c89257, 0x4795f7529dadcdbd, 0xb7fd47c1b306b5fd, 0x48b34eb422814c57, 0xa8ea426be8c2cb11,
  0xda32464d1ceaedc7, 0xf6ac6abc6c75e74d, 0xd973170908a09e46, 0xcf2a3608991c37b2, 0xbf0313bbf61663ec,
  0x077eefcf0202726d, 0xa74026fcde6c8a0c, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xc25ccbe6db9c31db,
  0x34596af2e4d5c1e6, 0x4e7ea75663c81f94, 0x43cc9fe04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c,
  0xa2e41a792bf73433, 0x0000000000009f83,
};

// m164p_u1x8_uart1_lednop_pr_ee_ce_u4 m164pa_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xff617cfeed4c13e3, 0x5bfb4c98dec08c7f, 0x3995ae2faa37275c, 0x222fb892c79e50b8, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0xeefd98c54d191c37, 0xf3c0809c9b6fc0c4,
  0x3a0137e6f301dfbb, 0xa54f80b5392296af, 0xde33a2065fcc6085, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x00ac61dcf257ee68, 0x00000000000004fc,
};

// m164p_u1x8_uart1_lednop_hw        m164pa_u1x8_uart1_lednop_hw
static const uint64_t ur_m164a_u1x8_uart1_lednop_hw[] = {
  0x3777776e5acdfcd7, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x8d7f17ab6eee8c20, 0x4f8c9dddb6d4f71d,
  0x5377fdf02cfa0130, 0x87ae2dfda64c6f60, 0x83417ea3dac77cb0, 0xb2ca6f920fc71d3f, 0xe7659e8d219cc580,
  0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xf9fd86ed84b997cd, 0x271964b867a615c9, 0x9a19961d252d964a,
  0x238953bb053c95fb,
};

// m164p_u1x8_uart1_lednop_ce_hw     m164pa_u1x8_uart1_lednop_ce_hw
static const uint64_t ur_m164a_u1x8_uart1_lednop_ce_hw[] = {
  0x1bbbbbb72d66ef3a, 0xeeeeee962c29e96b, 0x44f1ff16c1f6a1ee, 0x0db267cdf7776222, 0x13e3277417a09ac8,
  0x209fff7c0b3e654c, 0xd25716fed32637b0, 0xf3c64a071003bfeb, 0x9cc273b8dc74a70f, 0xcfd47c173dcb0171,
  0x058c89a8e3a7f078, 0x5cecd7c8e414e62c, 0x1d0fbdc72c678ebc, 0x04e4db7e062777ec, 0xd914180efddf9e04,
  0xf529c94e804df9bc, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0xfd86ed84b997cdb7, 0x1964b867a615c9f9,
  0x19961d252d964a27, 0x0a0ebb053c95fb9a, 0x0000000000000031,
};

/*
 * m164a_u1x8_uart1_lednop_ee_ce_u4_hw m164p_u1x8_uart1_lednop_ee_ce_hw
 * m164p_u1x8_uart1_lednop_ee_ce_u4_hw m164pa_u1x8_uart1_lednop_ee_ce_hw
 * m164pa_u1x8_uart1_lednop_ee_ce_u4_hw m16u2_u1x8_uart0_lednop_ee_ce_hw
 * m16u2_u1x8_uart0_lednop_ee_ce_u4_hw m16u4_u1x8_uart0_lednop_ee_ce_hw
 * m16u4_u1x8_uart0_lednop_ee_ce_u4_hw usb162_u1x8_uart0_lednop_ee_ce_hw
 * usb162_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u1x8_uart1_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f69931bd8158fff, 0x12d5c5f54721eb8b, 0x45f71258f3ca1707, 0x72fd47c25f886c24,
  0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6, 0x62291669d6845029, 0xb8f51d484d7d1859,
  0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386, 0x4db7e062777ec2cc,
  0x4180efddf9e0404e, 0x9c94e804df9bcd91, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xd52514f257ee6866, 0x000000000000a023,
};

/*
 * m164a_u1x8_uart1_dual_pr          m164p_u1x8_uart1_dual             m164p_u1x8_uart1_dual_pr
 * m164pa_u1x8_uart1_dual            m164pa_u1x8_uart1_dual_pr
 */
static const uint64_t ur_m164a_u1x8_uart1_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f2efd, 0xfdef255c66eb4a76, 0x562727091dddd410, 0x2f4ee4af99f0f62c,
  0x460aa4337e609f19, 0x8642d37e06c47b26, 0x32b8f5cee9f128c2, 0x6c17d9c0a2cce4ff, 0x489fc199537a8efe,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d08c910caaeef, 0x7ffd01cf09ad68a8, 0xa60b0de579096dcc,
  0x4c98dec08f5ff241, 0x114ef96aff5c5bfb, 0xa48e3a7f0690fd47, 0xda398b017f0e64c7, 0x1823af22dd9af91b,
  0xbb8a929583ef71cb, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0x3a0137e6f2dd4180, 0x4e02f7ca9bd4a725,
  0x1bc674408ea2810b, 0x83cd84b997cdb4e3, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x0000000000310e73,
};

// m164p_u1x8_uart1_dual_pr_u4       m164pa_u1x8_uart1_dual_pr_u4
static const uint64_t ur_m164a_u1x8_uart1_dual_pr_u4[] = {
  0xddddd7ed44861a4e, 0xddddc3eebcdd7afd, 0x81793b92eb62dddd, 0x6294247777717bd7, 0x2e49aee16933dc3d,
  0x55219bf304f8c95a, 0x169bf03623d93230, 0x56ee774f89461432, 0x0958e0e966387f99, 0x3f8380d37a8ffbb6,
  0x257f9fbe08a11c91, 0x373a7c01b87c2886, 0xb41314432abbbddf, 0xf4073c268ca2a10c, 0x2c3795e425b731ff,
  0x637b023d7fc75398, 0x9df2c4d5716fed32, 0x38e9fc1887f51f22, 0xe62c055079a717be, 0x8ebc019dad6475fc,
  0x6c43a435403ff660, 0x777152552740f2cf, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8c3b9e4afdcd0ccb,
  0x000000000524f792,
};

/*
 * m164a_u1x8_uart1_dual_pr_ee_u4    m164p_u1x8_uart1_dual_pr_ee       m164p_u1x8_uart1_dual_pr_ee_u4
 * m164pa_u1x8_uart1_dual_pr_ee      m164pa_u1x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeebf6a2435202, 0xddddc3ed4f3efd7e, 0xaee350f6daafdddd, 0xb2899bd7dd466ccf, 0xada6cdf9af45fbf7,
  0xe609f193d3ae4e43, 0xd88f64c8c154876e, 0x3e251850c85a6fc0, 0xfc98347e655bb9dd, 0x37a8fd3fb0b1f387,
  0xc114239227f07d5f, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0xdfe3a9cc161bcaf2, 0x716fed32637b02ca, 0x3cad7dcd56b47225, 0x4af51f06cc1829ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1, 0xb047eb70decbe966,
  0x7715250084feb151, 0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x4b997cdb739156f6, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc3b9e4afdcd0ccb0, 0x000000000ac91f5c,
};

/*
 * m164a_u1x8_uart1_dual_pr_ce_u4    m164p_u1x8_uart1_dual_pr_ce       m164p_u1x8_uart1_dual_pr_ce_u4
 * m164pa_u1x8_uart1_dual_pr_ce      m164pa_u1x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x8_uart1_dual_pr_ce[] = {
  0xddddd7ed448618be, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x72ebd9c1059e0ac5,
  0xa40523304f8c9313, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0x5a3805a98c7ff32a, 0xe0e2b4dea393ad82,
  0x5fe7ef822847244f, 0xc986006e1f0a2189, 0x0bed10caaeef77cd, 0x073c260f7150865a, 0x3795e425b7d37ff4,
  0xf60452ffc753982c, 0x7d500ae2dfda64c6, 0x963cf285c1c74b71, 0xf097e21b09117dc4, 0xf1771b8293f5ff51,
  0x8e37e7b9633ea5cc, 0xa0f91c74fe0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001a49924cc3b9e4,
};

// m164p_u1x8_uart1_dual_pr_ee_ce    m164pa_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m164a_u1x8_uart1_dual_pr_ee_ce[] = {
  0xeeeebf6d4143359b, 0xdddc3ec4535fd7ee, 0x06e7162dc3eddddd, 0x5ea6f92eebd61ec8, 0x852faed75d9bae25,
  0x304f8c9667721e19, 0xc47b26460aa45927, 0xf128c28642d37e06, 0x49bf5ff32addcee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfc753982c3795e42, 0x5bfb4c98dec0a87f, 0x38358effaa37275c, 0x3732a1a0ff9e50b8, 0x94ed6564dd309cee,
  0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e,
  0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x62777ec9fc55f3bb, 0xddf9e0404e4db7e0,
  0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x997cdb73863b7b15, 0x8d165abc6e3cd84b,
  0x539fa9d599bf83bb, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb, 0x810c3b9e4afdcd0c,
  0x0000000000001000,
};

// m164p_u1x8_uart1_dual_pr_ee_ce_u4 m164pa_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0x7775fb515b768f43, 0x7770fe62e17ebf77, 0xcdd6a6d36c137777, 0x6ee276ece22d44de, 0xfe1a9c6d3d68289e,
  0xe325b15cbc4fdad4, 0x9323055213cbcc13, 0x61432169bf03623d, 0x3fccb4b7e774f894, 0x86d833e1c3ace664,
  0xc913f83fd79bd479, 0x886257f9fbe08a11, 0xbbe6e79c801b87c2, 0x432d04b488655777, 0x4ffa039e134728a8,
  0x4c161bcaf212db8a, 0xc98dec0b4d7ff901, 0xe2faa353d5c5bfb4, 0x892c79e50bcec66e, 0xa3e12fc4361222fb,
  0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707, 0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2, 0x0000010006112554,
};

// m164p_u1x8_uart1_dual_hw          m164pa_u1x8_uart1_dual_hw
static const uint64_t ur_m164a_u1x8_uart1_dual_hw[] = {
  0xeeeeebf6a2431000, 0xeeeee1f75e6ebd7e, 0xc0bc9dc975b16eee, 0xb14a123bbbb8bdeb, 0x568b956abbf766de,
  0x8c154866fcc13e32, 0x0c85a6fc0d88f64c, 0xe655bb9dd3e25185, 0xed8256383a598e1f, 0x244fe0e034dea3fe,
  0x21895fe7ef822847, 0x77cdce9f006e1f0a, 0x432d04c510caaeef, 0x7ffd01cf09a328a8, 0xa60b0de579096dcc,
  0x9931bd811ebfea38, 0x914ef9626ab8b7f6, 0xdf1c74fe0c43fa8f, 0xfe731602a83cd38b, 0x30475e00ced6b23a,
  0x67b621d21aa01ffb, 0x5f3bb8a92a93a079, 0xdb7e062777ec9fc5, 0x180efddf9e0404e4, 0xc94e804df9bcd914,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x92a8a792bf734332, 0x000000000018dd77,
};

// m164p_u1x8_uart1_dual_ee_hw       m164pa_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m164a_u1x8_uart1_dual_ee_hw[] = {
  0xddddd7ed448664d6, 0xbbbb87da9e7dfafd, 0x5dc6a1edb55fbbbb, 0x651337afba8cd99f, 0xcd8f0f65928bf7ef,
  0xb77304f8c9e9d72c, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc3fe4c1a3f32addc, 0xaf9bd47e9fd858f9,
  0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256, 0x79096dce0ffd01cf,
  0xcadfea38a60b0de5, 0x25716fed32637b02, 0xea3cad7dcd56b472, 0x5d4af51f06cc1829, 0x4522cd3ad08a1df1,
  0x152e6909afa30b2c, 0x0a3dece756973297, 0xb1aad743af512ed1, 0x662e1211408a8f9e, 0x51b047eb70decbe9,
  0xe77715250084feb1, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0x29d009bf379b2283, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xbd14f257ee686658, 0x0000000000576a3e,
};

// m164p_u1x8_uart1_dual_ce_hw       m164pa_u1x8_uart1_dual_ce_hw
static const uint64_t ur_m164a_u1x8_uart1_dual_ce_hw[] = {
  0xddddd7ed44865c93, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x37219c5c5ede4ec5,
  0xaa40523304f8c931, 0x2d37e06c47b26460, 0xaddcee9f128c2864, 0x25a3805a98c7ff32, 0xfe0e2b4dea393ad8,
  0x95fe7ef822847244, 0xdc986006e1f0a218, 0xa0bed10caaeef77c, 0x4073c260f7150865, 0xc3795e425b7d37ff,
  0xdec08a5ffa8e2982, 0x2faa015c5bfb4c98, 0x92c79e50b838e96e, 0x3e12fc4361222fb8, 0xcf1771b8ff3107ea,
  0xa8e37e7b9633ea5c, 0x0a0f91c74fe0ea5f, 0x3b5ac8ebf9cc580a, 0x6a807feccf1d7803, 0x2a93a0796b708748,
  0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0004dd7249d14f25,
};

// m164p_u1x8_uart1_dual_ee_ce_hw    m164pa_u1x8_uart1_dual_ee_ce_hw
static const uint64_t ur_m164a_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbafdbb0486f97, 0xbbbb87f3170bf5fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0x78233ad53a69eb41,
  0x4f2f304f8c96c572, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe1d673321fe655bb, 0xebcdea3cc36c19f0,
  0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf373ce, 0x09a394542196825a, 0x79096dc527fd01cf,
  0xd35fea38a60b0de5, 0xf5716fed32637b02, 0x85c1c19bb8bea8d4, 0x1b09117dc4963cf2, 0x3acd90ff51f097e2,
  0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a,
  0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0x7cdb73863b7b1554,
  0xa9b0ec6e3cd84b99, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x00000000075d4e14,
};

// m164p_u1x8_uart1_dual_ee_ce_u4_hw m164pa_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u1x8_uart1_dual_ee_ce_u4_hw[] = {
  0xfbbbbbafda890c86, 0xbbbbbb87f3151ff5, 0x49336b455fae17bb, 0x766d13cddc4edd3b, 0x6b97763766f31508,
  0xaa427979827c64bd, 0x2d37e06c47b26460, 0xaddcee9f128c2864, 0x6b670986999f3f32, 0xf070026f51ff5f60,
  0xaff3f7c114239227, 0xceeb00370f8510c4, 0x035910caaeef77cd, 0x073c26b75150865a, 0x3795e425b7149ff4,
  0xec0b4d7fa8e2982c, 0xa32eb5c5bfb4c98d, 0x79e50b8391cae2fa, 0x2fc4361222fb892c, 0xdc6e321d257ea3e1,
  0xbf29dadcdc4333c5, 0x7c1b30698fa8f2bd, 0x75a1140a62b3d7d4, 0x135f4616588a459a, 0x3e80e7576e400752,
  0x578d8ebdac4ed6b2, 0xc2422810e8c4fd8d, 0x20a6470decb8f8c5, 0x3f8abe7771525c63, 0x09c9b6fc0c4eefd9,
  0x8392b01dfbbf3c08, 0xe2ca72f9d009bf37, 0x598c10b4f0c5654e, 0xf36d38c6f19d103f, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x000075d4ad5453c9,
};

/*
 * m164a_u1x12_uart0_noled_pr        m164p_u1x12_uart0_noled           m164p_u1x12_uart0_noled_pr
 * m164pa_u1x12_uart0_noled          m164pa_u1x12_uart0_noled_pr       m324a_u1x12_uart0_noled
 * m324a_u1x12_uart0_noled_pr        m324p_u1x12_uart0_noled           m324p_u1x12_uart0_noled_pr
 * m324pa_u1x12_uart0_noled          m324pa_u1x12_uart0_noled_pr       m324pb_u1x12_uart0_noled
 * m324pb_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m164a_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x9feb0ef3f38cc13e, 0x7fb6a7f76e9f092f, 0xa03be5843c368dd2, 0x5a38e9fc1a0bf51f, 0x58731602cb299efb,
  0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0x7e06256bd838f81e, 0xf50603bd6bce70b3, 0xe5e5363385bcde01,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b, 0x271964b867a615c9,
  0x9a19961d252d964a, 0x0f90e735ed3c95fb,
};

/*
 * m164p_u1x12_uart0_noled_pr_u4     m164pa_u1x12_uart0_noled_pr_u4    m324a_u1x12_uart0_noled_pr_u4
 * m324p_u1x12_uart0_noled_pr_u4     m324pa_u1x12_uart0_noled_pr_u4    m324pb_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xfed9f9c6609f193b, 0xd4feedd3e125f3ff, 0x7cb08786d1ba4ff6, 0x1d3f83417ea3f407, 0x62c0596533df6b47,
  0x3af47ced5fd1eb0e, 0xb1f6679500ffd982, 0xc4ad7b071f03cb3d, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0,
  0xc6f19d102baa9cbc, 0x2adec55516961738, 0x0f3612e65f36c492, 0x1f943458df1726ae, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xb20d3c95fb9a1996,
  0x0000000001f27f67,
};

/*
 * m164a_u1x12_uart0_noled_pr_ee_u4  m164p_u1x12_uart0_noled_pr_ee     m164p_u1x12_uart0_noled_pr_ee_u4
 * m164pa_u1x12_uart0_noled_pr_ee    m164pa_u1x12_uart0_noled_pr_ee_u4 m324a_u1x12_uart0_noled_pr_ee
 * m324a_u1x12_uart0_noled_pr_ee_u4  m324p_u1x12_uart0_noled_pr_ee     m324p_u1x12_uart0_noled_pr_ee_u4
 * m324pa_u1x12_uart0_noled_pr_ee    m324pa_u1x12_uart0_noled_pr_ee_u4 m324pb_u1x12_uart0_noled_pr_ee
 * m324pb_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0x67d82cc13e327743, 0xf76e9f091c3ffffb, 0x738c368dd27fb6a7, 0x31f51e57224d56b4, 0x7c57dd7a8f83660d,
  0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d, 0x6cb98b848451cf23,
  0x4d2a3608fd6e1bd9, 0x6fc0c4ad7b002a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0xc4922adec5551696, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xfbc1720d3c95fb9a, 0x000000000000013a,
};

// m164p_u1x12_uart0_noled_pr_ce     m164pa_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775feb0ef3f1ee6, 0xdd27fb6a7f76e9f0, 0x0e2d73bfebd24368, 0x71b9f3a43fe78c94, 0x2e7b9602e33984e7,
  0x71c74fe0f19fa8f5, 0xa3507398b017a048, 0xc72c678ebc5ced44, 0x7e06256bd83afc3d, 0xcde603bd6bce70b3,
  0x460d4d894fdf385b, 0x67440840c6085a72, 0xd84b997cdb4e31bc, 0xf2068fe3458f386e, 0x5c33d30ae4fdd598,
  0x0e9296cb25138cb2, 0x9af69e4afdcd0ccb, 0x00000000000b7524,
};

// m164p_u1x12_uart0_noled_pr_ce_u4  m164pa_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfffb67e43cc13e32, 0xb6a7f76e9f09393f, 0xb8beb924368dd27f, 0xb892c79e3254edfc, 0xea3e12fc4361222f,
  0x64cf1771b8ff3107, 0xacf51c9e9ee58cfd, 0xc051f3a48e3a7f07, 0xf47ced5fd1eb0e62, 0xf6679500ffd99e3a,
  0x2b5ec1c7c0f2d6e1, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x069e4afdcd0ccb0e, 0x00000000dd741c79,
};

// m164p_u1x12_uart0_noled_pr_ee_ce  m164pa_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x6e9f0918fffffdb3, 0x3c368dd27fb6a7f7, 0x64a9d9c1b8bea8e4, 0x86c2445f71258f3c,
  0xceb3643fd47c25f8, 0x3b5b9b7be678bb8d, 0x660d6bfa8f2bea25, 0x450298ac27fa8f83, 0xd185962291669d68,
  0x39d5dba711d484d7, 0xb1d79d376ded1e0b, 0x228e791871b1aaf1, 0x6470decb65cc5c24, 0xec2ce89534a8d822,
  0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b,
  0x165abcb9357079b0, 0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x59069e4afdcd0ccb, 0x000000000013f0ad,
};

// m164p_u1x12_uart0_noled_pr_ee_ce_u4 m164pa_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xff6cfffc9827c64e, 0xa9fddba7c25d3fff, 0xaa37270da3749fed, 0x63cf192a76c16e2f, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0xc1494ed6e6e3299e, 0xa3e0d9831bfea3ca, 0xd3ad08a05315c43e, 0x909afa30b2c4522c,
  0xa313e73abb73de3a, 0x55e363af5d4dd843, 0xe12114482a3c6763, 0xf0cc8e1bd970e462, 0x0b37e06256bd98c7,
  0x85bcde603bd6bce7, 0xa72460d4d894fdf3, 0x1bc67440840c6085, 0x83cd84b997cdb4e3, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xbc834f257ee68665, 0x000000000009f810,
};

/*
 * m164a_u1x12_uart0_lednop_pr       m164p_u1x12_uart0_lednop          m164p_u1x12_uart0_lednop_pr
 * m164pa_u1x12_uart0_lednop         m164pa_u1x12_uart0_lednop_pr      m324a_u1x12_uart0_lednop
 * m324a_u1x12_uart0_lednop_pr       m324p_u1x12_uart0_lednop          m324p_u1x12_uart0_lednop_pr
 * m324pa_u1x12_uart0_lednop         m324pa_u1x12_uart0_lednop_pr      m324pb_u1x12_uart0_lednop
 * m324pb_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m164a_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x2fbfd61de7cf5982, 0x49feda9fddba7c25, 0x7b58ef9610f0da37, 0x41f8e3a7f0682fd4, 0xa43398b016594df2,
  0xd9823af47cecb3d1, 0xcb3db416691500ff, 0x6fc0c4ad7b20ad03, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0xdb09732f9b6e722a, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x935ed3c95fb9a199, 0x000000000001f204,
};

/*
 * m164p_u1x12_uart0_lednop_pr_u4    m164pa_u1x12_uart0_lednop_pr_u4   m324a_u1x12_uart0_lednop_pr_u4
 * m324p_u1x12_uart0_lednop_pr_u4    m324pa_u1x12_uart0_lednop_pr_u4   m324pb_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0xff6cf9eb304f8c9d, 0xd4feedd3e1297dff, 0x7cb08786d1ba4ff6, 0x1d3f83417ea3dac7, 0xc580b2ca6f920fc7,
  0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x256bd905681e59ed, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0007c98f57c834f2,
};

/*
 * m164a_u1x12_uart0_lednop_pr_ee_u4 m164p_u1x12_uart0_lednop_pr_ee    m164p_u1x12_uart0_lednop_pr_ee_u4
 * m164pa_u1x12_uart0_lednop_pr_ee   m164pa_u1x12_uart0_lednop_pr_ee_u4
 * m324a_u1x12_uart0_lednop_pr_ee    m324a_u1x12_uart0_lednop_pr_ee_u4 m324p_u1x12_uart0_lednop_pr_ee
 * m324p_u1x12_uart0_lednop_pr_ee_u4 m324pa_u1x12_uart0_lednop_pr_ee
 * m324pa_u1x12_uart0_lednop_pr_ee_u4 m324pb_u1x12_uart0_lednop_pr_ee
 * m324pb_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xb3f95a609f193ba5, 0xfbb74f848a1ffffd, 0x39c61b46e93fdb53, 0x98fa8f2b32a6ab5a, 0x7c561efd47c1b306,
  0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6, 0xb65cc5c242282791,
  0x67951b047eb70dec, 0x6fc0c4ad7b0021f6, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x9b09732f9b6e722a, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x069e4afdcd0ccb0e, 0x000000009d7c9279,
};

/*
 * m164a_u1x12_uart0_lednop_pr_ce_u4 m164p_u1x12_uart0_lednop_pr_ce    m164p_u1x12_uart0_lednop_pr_ce_u4
 * m164pa_u1x12_uart0_lednop_pr_ce   m164pa_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfffdb3e52e609f19, 0xdb53fbb74f849d2f, 0x5c5f5c921b46e93f, 0xb892c79e3254eea5, 0xea3e12fc4361222f,
  0xc99e2ee372b7e007, 0x59ea3f493dcb19fa, 0x80a9888b1c74fe0f, 0xa3e7659e8d219cc5, 0xb348a807feccf1d7,
  0x5af6415a0796b720, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xbe6db9c31dbd8aaa, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0375d69f641a792b,
};

// m164p_u1x12_uart0_lednop_pr_ee_ce m164pa_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xbb74f848e0ffffdb, 0x7f21b46e93fdb53f, 0xf192a77beceffaa3, 0xc273b8dcb9124afc,
  0xf2beea53b5958f7c, 0xffa8f83660d6bfa8, 0x1669d68450298af6, 0x1d484d7d18596229, 0x4648c9a39d5db8f5,
  0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b, 0xf0312b5ec2cc7d99, 0x1deb5e781013859b,
  0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x84b997cdb73863b7, 0x68b2d5e5c9ab83cd,
  0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0x0ac834f257ee6866,
  0x00000000000027e4,
};

// m164p_u1x12_uart0_lednop_pr_ee_ce_u4 m164pa_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0x7f76e9f097fcffd8, 0x8e43c368dd27fb6a, 0xe7942e0e25ab8bea, 0xbf10d8488bee24b1,
  0xc6e0224c03fa8f84, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47, 0x6be8c2cb1148b34e,
  0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317, 0x5af61663eccf2a36,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa,
  0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000009f965be61dc,
};

/*
 * m164a_u1x12_uart0_dual_pr         m164p_u1x12_uart0_dual            m164p_u1x12_uart0_dual_pr
 * m164pa_u1x12_uart0_dual           m164pa_u1x12_uart0_dual_pr
 */
static const uint64_t ur_m164a_u1x12_uart0_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd2cbbf5f, 0x7bc95719bad29dbb, 0x89c9c2477774d869, 0x9bb92be67c3d8b15,
  0x82a90cdf9827c64a, 0x90b4df81b11ec991, 0xae3d73ba7c4a30a1, 0x028a7072737cefcc, 0x9fc1c7b9bd475f7b,
  0x12bfcfdf04508e48, 0xcdc8e400dc3e1443, 0x2d01f110caaeef77, 0xfd01cf09b7b8a843, 0x0b0de579096dcc7f,
  0xb74f848f5ff241a6, 0xfe1b46e93fdb53fb, 0x1a43f51ee19df2d5, 0xf8732d726a38e9fc, 0x7613e8d059cc580b,
  0x1a4dc72c608ebc8b, 0x27f157ceee2a4a56, 0x404e166fc0c4ad7b, 0x0b79bcc077ad79e0, 0xf016a72452d5e740,
  0x3a2065fe2810b4a9, 0xc25ccbe6da718de3, 0x0d163ce2e4d5c1e6, 0x0ae4fdd598f207e5, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000001887399069,
};

// m164p_u1x12_uart0_dual_pr_u4      m164pa_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m164a_u1x12_uart0_dual_pr_u4[] = {
  0x776fc60f4486d0e3, 0x7770ffa5295ebf77, 0x7589e9da76b77777, 0xf5ae0eeee9fb0803, 0xcab8da0a72c89b0c,
  0x5212a2609f192c85, 0x69bf03623d932305, 0x6ee774f894614321, 0xe94e070e6297f995, 0xf83a9537a8e95b60,
  0x57f9fbe08a11c913, 0x72c7c01b87c28862, 0x43e44432abbbddf3, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xa7c2413ffc753982, 0x0da3749feda9fddb, 0x21fd47c8a77cb135, 0x1e69c5ef8e3a7f06, 0x6b591d7f398b0154,
  0x500ffd9823af0067, 0x49d03cb3db10e90d, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3,
  0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x001493970530ee79,
};

/*
 * m164a_u1x12_uart0_dual_pr_ee_u4   m164p_u1x12_uart0_dual_pr_ee      m164p_u1x12_uart0_dual_pr_ee_u4
 * m164pa_u1x12_uart0_dual_pr_ee     m164pa_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2431f02, 0x7770fbd3dfbf5fbb, 0xb96257da80777777, 0x386d841bb138dd58, 0x2cda109852b545e7,
  0x4c13e32638dc9462, 0xd88f64c8c15480b2, 0x3e251850c85a6fc0, 0x689b4d7e655bb9dd, 0x9bd47b1fd87fc380,
  0xe08a11c913f83a1f, 0x1b87c2886257f9fb, 0x32abbbddf372e440, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe3a9cc161bcaf2, 0xff6d4feedd3e12df, 0x9aad68e4486d1ba4, 0x0d983053d4795afb, 0xa1143be2ba95ea3e,
  0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87, 0xe1bd97d2cc5c2422,
  0x0109fd62a3608fd6, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000ac956518773c,
};

/*
 * m164a_u1x12_uart0_dual_pr_ce_u4   m164p_u1x12_uart0_dual_pr_ce      m164p_u1x12_uart0_dual_pr_ce_u4
 * m164pa_u1x12_uart0_dual_pr_ce     m164pa_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x12_uart0_dual_pr_ce[] = {
  0xbbb7e307a2435032, 0x7770fc2febbf5fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xabdb47fbbeec2afb,
  0x3ce5304f8c9f2372, 0xbf03623d93230552, 0xe774f89461432169, 0x3818fcc337f9956e, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x24c17fc753982c37, 0x3749feda9fddba7c, 0x838e96e2faa010da, 0x1222fb892c79e50b, 0x27ebfea3e12fc436,
  0xc67d4b99e2ee3705, 0xfc1d4bf51c6fcf72, 0x398b014141f238e9, 0xe3af00676b591d7f, 0x6e10e90d500ffd99,
  0xe777152552740f2d, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xc598773c95fb9a19, 0x0000000000034909,
};

// m164p_u1x12_uart0_dual_pr_ee_ce   m164pa_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbb7e307d41432db, 0xbbbb87c6571f5fbb, 0x2ca3e9f7ae17bbbb, 0x3ae4874eddb0caf8, 0x4559608674843b36,
  0x16609f1926eae470, 0x0d88f64c8c15485d, 0xd3e251850c85a6fc, 0xfaf31adfe655bb9d, 0x737a8f00360290e1,
  0x7c114239227f076b, 0x0370f8510c4aff3f, 0x0caaeef77cdceeb0, 0x6c09150865a1a6d1, 0x84b6f3b7ff4073c2,
  0xfff8ea730586f2bc, 0x7fb6a7f76e9f0974, 0x3bfea8dc9c368dd2, 0x8683fe7942e0e0d6, 0x959374c273b8dcca,
  0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c, 0x5ea25da2147bd9ce,
  0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516, 0x96af1b8f3612e65f,
  0xea75666fe0eee345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970, 0x0ee792bf734332c3,
  0x00000000100056a3,
};

// m164p_u1x12_uart0_dual_pr_ee_ce_u4 m164pa_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b76d8be, 0xb87c17da0fafdddd, 0x57f1ff7337bbbbbb, 0x91ddd94cf81f210d, 0x5f58671a7935e199,
  0x4ed5c9e75a418786, 0x3055208f5cc13e32, 0x32169bf03623d932, 0xcb4b7e774f894614, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x9f093fcfff202982, 0x368dd27fb6a7f76e, 0xf3b19bb8bea8d4f4, 0x8488bee24b1e7942,
  0x0f20ffa8f84bf10d, 0x737374cf1771b9aa, 0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450,
  0x5db8ca1d484d7d18, 0xbd44bb4428f7b39d, 0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323,
  0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef,
  0x6db9c31dbd8aaa2d, 0x2e4d5c1e6c25ccbe, 0x99bf83f6ec68b1be, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x4c5f15524f257ee6, 0x0000000000000400,
};

// m164p_u1x12_uart0_dual_hw         m164pa_u1x12_uart0_dual_hw
static const uint64_t ur_m164a_u1x12_uart0_dual_hw[] = {
  0xbbb7e307a243306a, 0xbbb87fd294af5fbb, 0xbac4f4ed3b5bbbbb, 0x7ad7077774fd8401, 0x85caabf266a10d86,
  0x055212a2609f192c, 0x2169bf03623d9323, 0x956ee774f8946143, 0x60e94e070e6297f9, 0x13f83a9537a8e95b,
  0x6257f9fbe08a11c9, 0xf372c7c01b87c288, 0xcb43e44432abbbdd, 0xff4073c261f22a10, 0x82c3795e425b780d,
  0xb74f84827ffa8e29, 0x6a1b46e93fdb53fb, 0x0c43fa8f914ef962, 0xa83cd38bdf1c74fe, 0xced6b23afe731602,
  0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00018dd65c168a79,
};

// m164p_u1x12_uart0_dual_ee_hw      m164pa_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m164a_u1x12_uart0_dual_ee_hw[] = {
  0x776fc60f448618be, 0xeee1f7a7bf7ebf77, 0x72c4afb500eeeeee, 0x70db08376271bab1, 0xbd9c16bc156a8bce,
  0x2c9304f8c98e372e, 0xf03623d932305520, 0x774f89461432169b, 0xe01a26d35f9956ee, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0x1006e1f0a21895fe, 0x510caaeef77cdcb9, 0xc2628b150865a0e9, 0xbc84b6fd5fff4073,
  0x6fbff51c530586f2, 0xd27fb6a7f76e9f09, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad, 0x3ad08a1df15d4af5,
  0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7, 0xeb70decbe9662e12,
  0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000002bb5565514f,
};

// m164p_u1x12_uart0_dual_ce_hw      m164pa_u1x12_uart0_dual_ce_hw
static const uint64_t ur_m164a_u1x12_uart0_dual_ce_hw[] = {
  0x77776fc60f4486f9, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0x1b94da390f5fc255,
  0x2a91e729827c64f9, 0x0b4df81b11ec9918, 0xab773ba7c4a30a19, 0x02d1c0c7e619bfcc, 0x7f0635a6f51d2d6c,
  0x4aff3f7c11423922, 0x6e33e00370f8510c, 0xd028a88655777bbe, 0xa039e1318f8a8432, 0x61bcaf212dbc56ff,
  0xa7c24c17fd4714c1, 0x0da3749feda9fddb, 0x50b838e96e2faa01, 0x4361222fb892c79e, 0xb8ff3107ea3e12fc,
  0x7b9633ea5ccf1771, 0xc74fe0ea5fa8e37e, 0xebf9cc580a0a0f91, 0xeccf1d78033b5ac8, 0x796b7087486a807f,
  0xc55f3bb8a92a93a0, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0x6e3cd84b997cdb73, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xd49c5d14f257ee68, 0x000000000000004d,
};

// m164p_u1x12_uart0_dual_ee_ce_hw   m164pa_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m164a_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdddbf183f6090c86, 0xbbb87c17da0fafdd, 0x9086abf78ffbbbbb, 0xf0ccc8eeeca67c0f, 0x1bb3798a338d3c9a,
  0x5cc13e324ed5cbbb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f9956ee77, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xff51c530586f2bc8, 0xfb6a7f76e9f093fc, 0x8bea8d4f4368dd27, 0x4963cf285c1c19bb, 0x1f097e21b09117dc,
  0x9e2ee373acd90ff5, 0xcadfc94ed6e6e6e9, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x3cd84b997cdb7386, 0x2861539fa9b0ec6e, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x0075d71ba29e4afd,
};

// m164p_u1x12_uart0_dual_ee_ce_u4_hw m164pa_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xbb7e307a28d0d4d6, 0x770f82fb41f5fbbb, 0x10d57ef1ff777777, 0x19991ddd94cf81f2, 0xfafacdc671a7935e,
  0x609f19276ae4dd8c, 0x11ec99182a9047ae, 0xc4a30a190b4df81b, 0xe6a4afccbb093ba7, 0xd4767cd87599c190,
  0x8a11c913f8335b9b, 0x87c2886257f9fbe0, 0x5777bbe6e753801b, 0x18a8432d00b48865, 0xb7fd7ffa039e131c,
  0xf2a4982c3795e425, 0xb53fbb74f849fe7f, 0xf546a7a1b46e93fd, 0x8f3c6f860e0cddc5, 0x25f886c2445f7125,
  0x771b8a49cdffd47c, 0xfe4a76b737374cf1, 0x8f83660d7cf51e56, 0x9d68450298ae037a, 0x84d7d18596229166,
  0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3, 0xddc5494b313fac54,
  0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xc25ccbe6db9c31db, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000ebad19a0,
};

/*
 * m164a_u1x12_uart1_noled_pr        m164p_u1x12_uart1_noled           m164p_u1x12_uart1_noled_pr
 * m164pa_u1x12_uart1_noled          m164pa_u1x12_uart1_noled_pr       m324a_u1x12_uart1_noled
 * m324a_u1x12_uart1_noled_pr        m324p_u1x12_uart1_noled           m324p_u1x12_uart1_noled_pr
 * m324pa_u1x12_uart1_noled          m324pa_u1x12_uart1_noled_pr       m324pb_u1x12_uart1_noled
 * m324pb_u1x12_uart1_noled_pr
 */
static const uint64_t ur_m164a_u1x12_uart1_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x9feb0ef3f38cc13e, 0xff6d4feedd3e092f, 0x4077cb08786d1ba4, 0xb471d3f83417ea3f, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xf8189ddfb071f03c, 0x50603bf77e73936d, 0xbca6c6726fcde01f,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xce1bb612e65f36c4, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0xf21ce6bda792bf73, 0x0000000000000001,
};

/*
 * m164p_u1x12_uart1_noled_pr_u4     m164pa_u1x12_uart1_noled_pr_u4    m324a_u1x12_uart1_noled_pr_u4
 * m324p_u1x12_uart1_noled_pr_u4     m324pa_u1x12_uart1_noled_pr_u4    m324pb_u1x12_uart1_noled_pr_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xfed9f9c6609f193b, 0xa9fddba7c125f3ff, 0xf9610f0da3749fed, 0x3a7f0682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x13bbf60e3e07967b, 0x077eefce726dbf03, 0xd8ce4df9bc03ea0c,
  0xde33a20575539794, 0x5bd8aaa2d2c2e718, 0xe6c25ccbe6d89245, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x41a792bf734332c3,
  0x000000003e4fecf6,
};

/*
 * m164a_u1x12_uart1_noled_pr_ee_u4  m164p_u1x12_uart1_noled_pr_ee     m164p_u1x12_uart1_noled_pr_ee_u4
 * m164pa_u1x12_uart1_noled_pr_ee    m164pa_u1x12_uart1_noled_pr_ee_u4 m324a_u1x12_uart1_noled_pr_ee
 * m324a_u1x12_uart1_noled_pr_ee_u4  m324p_u1x12_uart1_noled_pr_ee     m324p_u1x12_uart1_noled_pr_ee_u4
 * m324pa_u1x12_uart1_noled_pr_ee    m324pa_u1x12_uart1_noled_pr_ee_u4 m324pb_u1x12_uart1_noled_pr_ee
 * m324pb_u1x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0x67d82cc13e327743, 0xeedd3e091c3ffffb, 0xe7186d1ba4ff6d4f, 0x63ea3cae449aad68, 0xf8afbaf51f06cc1a,
  0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b, 0xd973170908a39e46,
  0x9a546c11fadc37b2, 0xbf0313bbf600544a, 0xea0c077eefce726d, 0x9794d8ce4df9bc03, 0xe718de33a2057553,
  0x92455bd8aaa2d2c2, 0xd5c1e6c25ccbe6d8, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x782e41a792bf7343, 0x000000000000275f,
};

// m164p_u1x12_uart1_noled_pr_ce     m164pa_u1x12_uart1_noled_pr_ce
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775feb0ef3f1ee6, 0xba4ff6d4feedd3e0, 0x1c5ae77fd7a486d1, 0xe373e7487fcf1928, 0x5cf72c05c67309ce,
  0xe38e9fc1e33f51ea, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xf8189ddfb075f87b, 0xde603bf77e73936d,
  0xc1a9b129fbe726fc, 0xe8810818c10b4e48, 0x09732f9b69c6378c, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x5ed3c95fb9a19961, 0x00000000016ea493,
};

// m164p_u1x12_uart1_noled_pr_ce_u4  m164pa_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfffb67e43cc13e32, 0x6d4feedd3e09393f, 0x717d72486d1ba4ff, 0x71258f3c64a9dbf9, 0xd47c25f886c2445f,
  0xc99e2ee371fe620f, 0x59ea393d3dcb19fa, 0x80a3e7491c74fe0f, 0xe8f9dabfa3d61cc5, 0xeccf2a01ffb33c75,
  0xeefd838f81e5adc3, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637,
  0x612e65f36c490c76, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x0000001bae838f20,
};

// m164p_u1x12_uart1_noled_pr_ee_ce  m164pa_u1x12_uart1_noled_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xdd3e0918fffffdb3, 0x786d1ba4ff6d4fee, 0xc953b383717d51c8, 0x0d8488bee24b1e78,
  0x9d66c87fa8f84bf1, 0x76b736f7ccf1771b, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0xbf39c9b6fc0c4eef, 0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce, 0xe65f36c490c76f62,
  0xcb579726ae0f3612, 0xf53ab31e40fca1a2, 0x64ff0271a50c2a73, 0x67a615c9f80f9a1e, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x00000000027e15ab,
};

// m164p_u1x12_uart1_noled_pr_ee_ce_u4 m164pa_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart1_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xff6cfffc9827c64e, 0x53fbb74f825d3fff, 0x546e4e1b46e93fdb, 0xc79e3254ed82dc5f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0x82929dadcdc6533c, 0x47c1b30637fd4795, 0xa75a1140a62b887d, 0x2135f4616588a459,
  0x4627ce7576e7bc75, 0xabc6c75eba9bb087, 0xc24228905478cec6, 0xe1991c37b2e1c8c5, 0x36df8189ddfb318f,
  0x6fcde603bf77e739, 0xe48c1a9b129fbe72, 0x78ce8810818c10b4, 0x79b09732f9b69c63, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x9069e4afdcd0ccb0, 0x00000000013f0217,
};

// m164p_u1x12_uart1_noled_hw        m164pa_u1x12_uart1_noled_hw
static const uint64_t ur_m164a_u1x12_uart1_noled_hw[] = {
  0x7777624eed66faca, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0xf193ba4cec7eb53a,
  0x7cffbe059f9c6609, 0x27fb6a7f76e9f049, 0xfa03be5843c368dd, 0xb5a38e9fc1a0bf51, 0xf58731602cb299ef,
  0xecc11d7a3e76afe8, 0xe59ed8fb33ca807f, 0x6fc0c4eefd838f81, 0xfa8301dfbbf39c9b, 0xe5e53633937e6f00,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x3fb0ddb09732f9b6, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x1c5ce760a792bf73, 0x0000000000000001,
};

// m164p_u1x12_uart1_noled_ce_hw     m164pa_u1x12_uart1_noled_ce_hw
static const uint64_t ur_m164a_u1x12_uart1_noled_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba58739311ac6, 0xb1ae5ecdad2e3bbb, 0xb6c66efdddd9eef0, 0x4f8c9dd85eb46a09,
  0xba8ffbe059fdbf30, 0xd27fb6a7f76e9f04, 0x70143bfebd24368d, 0x8dc727f3bf3c64a0, 0xf3dcb01719cc273b,
  0x8e3a7f078cfd4710, 0x8f199cc580bbde0b, 0x39633c75e2e767b4, 0xf8189ddfb07544ee, 0x50603bf77e73936d,
  0xbca6c6726fcde01f, 0x38c6f19d102baa9c, 0x218edec555169617, 0xec376c25ccbe6d89, 0xcb25c33d30ae4fcf,
  0xccb0e9296cb25138, 0x5171d829e4afdcd0, 0x0000000000000188,
};

/*
 * m164a_u1x12_uart1_noled_ee_ce_u4_hw m164p_u1x12_uart1_noled_ee_ce_hw
 * m164p_u1x12_uart1_noled_ee_ce_u4_hw m164pa_u1x12_uart1_noled_ee_ce_hw
 * m164pa_u1x12_uart1_noled_ee_ce_u4_hw m16u2_u1x12_uart0_noled_ee_ce_hw
 * m16u2_u1x12_uart0_noled_ee_ce_u4_hw m16u4_u1x12_uart0_noled_ee_ce_hw
 * m16u4_u1x12_uart0_noled_ee_ce_u4_hw usb162_u1x12_uart0_noled_ee_ce_hw
 * usb162_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xb53fbb74f82463ff, 0xf54721e1b46e93fd, 0x58f3ca17070e0dc5, 0xc25f886c2445f712,
  0x8bb8dc4a8b91fd47, 0xbea253b5b9b7be67, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x62777ec2ce89534a,
  0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0x79b09732f9b62486,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x4e3a29e4afdcd0cc, 0x0000000000014049,
};

/*
 * m164a_u1x12_uart1_lednop_pr       m164p_u1x12_uart1_lednop          m164p_u1x12_uart1_lednop_pr
 * m164pa_u1x12_uart1_lednop         m164pa_u1x12_uart1_lednop_pr      m324a_u1x12_uart1_lednop
 * m324a_u1x12_uart1_lednop_pr       m324p_u1x12_uart1_lednop          m324p_u1x12_uart1_lednop_pr
 * m324pa_u1x12_uart1_lednop         m324pa_u1x12_uart1_lednop_pr      m324pb_u1x12_uart1_lednop
 * m324pb_u1x12_uart1_lednop_pr
 */
static const uint64_t ur_m164a_u1x12_uart1_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x2fbfd61de7cf5982, 0x93fdb53fbb74f825, 0xf6b1df2c21e1b46e, 0x83f1c74fe0d05fa8, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xbf0313bbf6415a07, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0xc81a3f8d163ce1bb, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0x6bda792bf734332c, 0x00000000003e4092,
};

/*
 * m164p_u1x12_uart1_lednop_pr_u4    m164pa_u1x12_uart1_lednop_pr_u4   m324a_u1x12_uart1_lednop_pr_u4
 * m324p_u1x12_uart1_lednop_pr_u4    m324pa_u1x12_uart1_lednop_pr_u4   m324pb_u1x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0xff6cf9eb304f8c9d, 0xa9fddba7c1297dff, 0xf9610f0da3749fed, 0x3a7f0682fd47b58e, 0x8b016594df241f8e,
  0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x9ddfb20ad03cb3db, 0x7e781013936df818, 0x37e6f36450603bf7,
  0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x00f931eaf9069e4a,
};

/*
 * m164a_u1x12_uart1_lednop_pr_ee_u4 m164p_u1x12_uart1_lednop_pr_ee    m164p_u1x12_uart1_lednop_pr_ee_u4
 * m164pa_u1x12_uart1_lednop_pr_ee   m164pa_u1x12_uart1_lednop_pr_ee_u4
 * m324a_u1x12_uart1_lednop_pr_ee    m324a_u1x12_uart1_lednop_pr_ee_u4 m324p_u1x12_uart1_lednop_pr_ee
 * m324p_u1x12_uart1_lednop_pr_ee_u4 m324pa_u1x12_uart1_lednop_pr_ee
 * m324pa_u1x12_uart1_lednop_pr_ee_u4 m324pb_u1x12_uart1_lednop_pr_ee
 * m324pb_u1x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xb3f95a609f193ba5, 0xf76e9f048a1ffffd, 0x738c368dd27fb6a7, 0x31f51e56654d56b4, 0xf8ac3dfa8f83660d,
  0x962291669d68450e, 0xaae3593484d7d185, 0xda32464d1cead2e7, 0x7b56355ae875e74d, 0x6cb98b8484504f23,
  0xcf2a3608fd6e1bd9, 0xbf0313bbf60043ec, 0x077eefcf0202726d, 0xa74026fcde6c8a0c, 0x67440ef9537a94e4,
  0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x00000013af924f20,
};

/*
 * m164a_u1x12_uart1_lednop_pr_ce_u4 m164p_u1x12_uart1_lednop_pr_ce    m164p_u1x12_uart1_lednop_pr_ce_u4
 * m164pa_u1x12_uart1_lednop_pr_ce   m164pa_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfffdb3e52e609f19, 0xb6a7f76e9f049d2f, 0xb8beb924368dd27f, 0x71258f3c64a9dd4a, 0xd47c25f886c2445f,
  0x933c5dc6e56fc00f, 0xb3d47e927b9633f5, 0x0153111638e9fc1e, 0x47cecb3d1a43398b, 0x6691500ffd99e3af,
  0x77ec82b40f2d6e41, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x6ebad3ec834f257e,
};

// m164p_u1x12_uart1_lednop_pr_ee_ce m164pa_u1x12_uart1_lednop_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x76e9f048e0ffffdb, 0xfe4368dd27fb6a7f, 0xe3254ef7d9dff546, 0x84e771b9722495f9,
  0xe57dd4a76b2b1ef9, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452, 0x8c9193473abb71ea,
  0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xc0c4eefd8598fb33, 0xdfbbf3c0809c9b6f,
  0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6, 0x165abcb9357079b0,
  0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0x59069e4afdcd0ccb,
  0x000000000004fc81,
};

// m164p_u1x12_uart1_lednop_pr_ee_ce_u4 m164pa_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0xfeedd3e097fcffd8, 0x1c8786d1ba4ff6d4, 0xcf285c1c4b5717d5, 0x7e21b09117dc4963,
  0x8dc0449807f51f09, 0xa53b5b9b7be678bb, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d,
  0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0x77ec2cc7d99e546c,
  0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00013f2cb7cc3b9e,
};

// m164p_u1x12_uart1_lednop_hw       m164pa_u1x12_uart1_lednop_hw
static const uint64_t ur_m164a_u1x12_uart1_lednop_hw[] = {
  0xbbbbb12776b372ac, 0xeeeee961ce5e2eb1, 0xa91e4e6febf466ee, 0xdd78d736b777693f, 0x13e32776007a7b64,
  0x297dff7c0b3e7acc, 0x749feda9fddba7c1, 0x47b58ef9610f0da3, 0x241f8e3a7f0682fd, 0x1a43398b016594df,
  0xfd9823af47cecb3d, 0x3cb3db416691500f, 0x6df8189ddfb20ad0, 0x603bf77e78101393, 0x253a0137e6f36450,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0xdb09732f9b6e722a, 0x70cf4c2b93f3fb0d, 0x3a4a5b2c944e32c9,
  0x760a792bf734332c, 0x0000000000238892,
};

// m164p_u1x12_uart1_lednop_ce_hw    m164pa_u1x12_uart1_lednop_ce_hw
static const uint64_t ur_m164a_u1x12_uart1_lednop_ce_hw[] = {
  0xeeeec49ddacdfc4f, 0xbbbba5873917bac6, 0xc2f767f07d2e3bbb, 0x136d8cad377767bb, 0x609f193bb0bd68d4,
  0x1231fff7c0b3f52a, 0x3749feda9fddba7c, 0x81cc90effaf490da, 0xee371c9fcefcf192, 0x05cf72c05c67309c,
  0x1e38e9fc1e33f51f, 0x14720a731602ef62, 0x71cb19e3af173b07, 0xbf0313bbf60e941f, 0x077eefcf0202726d,
  0x29d009bf3796ea0c, 0x5a7017be54dea539, 0x31bc674408e8c608, 0xd86ed84b997cdb4e, 0x964b867a615c9f9f,
  0x9961d252d964a271, 0xa2e3b053c95fb9a1, 0x0000000000000310,
};

/*
 * m164a_u1x12_uart1_lednop_ee_ce_u4_hw m164p_u1x12_uart1_lednop_ee_ce_hw
 * m164p_u1x12_uart1_lednop_ee_ce_u4_hw m164pa_u1x12_uart1_lednop_ee_ce_hw
 * m164pa_u1x12_uart1_lednop_ee_ce_u4_hw m16u2_u1x12_uart0_lednop_ee_ce_hw
 * m16u2_u1x12_uart0_lednop_ee_ce_u4_hw m16u4_u1x12_uart0_lednop_ee_ce_hw
 * m16u4_u1x12_uart0_lednop_ee_ce_u4_hw usb162_u1x12_uart0_lednop_ee_ce_hw
 * usb162_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x4feedd3e097fcff6, 0x51c8786d1ba4ff6d, 0x3cf285c1c4b5717d, 0x97e21b09117dc496,
  0xee3729299cbf51f0, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x9ddfb0b31f667951,
  0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x5f36dce18edec555,
  0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000140565bf453c,
};

/*
 * m164a_u1x12_uart1_dual_pr         m164p_u1x12_uart1_dual            m164p_u1x12_uart1_dual_pr
 * m164pa_u1x12_uart1_dual           m164pa_u1x12_uart1_dual_pr
 */
static const uint64_t ur_m164a_u1x12_uart1_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd2cbbf5f, 0x7bc95719bad29dbb, 0x89c9c2477774d869, 0x9bb92be67c3d8b15,
  0x82a90cdf9827c64a, 0x90b4df81b11ec991, 0xae3d73ba7c4a30a1, 0x028a7072737cefcc, 0x9fc1c7b9bd475f7b,
  0x12bfcfdf04508e48, 0xcdc8e400dc3e1443, 0x2d01f110caaeef77, 0xfd01cf09b7b8a843, 0x0b0de579096dcc7f,
  0x6e9f048f5ff241a6, 0xfc368dd27fb6a7f7, 0x3487ea3dc33be5ab, 0xf0e65ae4d471d3f8, 0xec27d1a0b398b017,
  0x349b8e58c11d7916, 0x4fe2af9ddc5494ac, 0x02726dbf0313bbf6, 0xdf9bcc077eefcf02, 0x02d4e48a5abce804,
  0x440cbfc50216953e, 0x4b997cdb4e31bc67, 0xa2c79c5c9ab83cd8, 0x5c9fbab31e40fca1, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00000310e7320d3c,
};

// m164p_u1x12_uart1_dual_pr_u4      m164pa_u1x12_uart1_dual_pr_u4
static const uint64_t ur_m164a_u1x12_uart1_dual_pr_u4[] = {
  0x776fc60f4486d0e3, 0x7770ffa5295ebf77, 0x7589e9da76b77777, 0xf5ae0eeee9fb0803, 0xcab8da0a72c89b0c,
  0x5212a2609f192c85, 0x69bf03623d932305, 0x6ee774f894614321, 0xe94e070e6297f995, 0xf83a9537a8e95b60,
  0x57f9fbe08a11c913, 0x72c7c01b87c28862, 0x43e44432abbbddf3, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0x4f82413ffc753982, 0x1b46e93fdb53fbb7, 0x43fa8f914ef9626a, 0x3cd38bdf1c74fe0c, 0xd6b23afe731602a8,
  0xa01ffb30475e00ce, 0x93a07967b621d21a, 0xec9fc55f3bb8a92a, 0x0404e4db7e062777, 0xbcd914180efddf9e,
  0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x029272e0a61dcf25,
};

/*
 * m164a_u1x12_uart1_dual_pr_ee_u4   m164p_u1x12_uart1_dual_pr_ee      m164p_u1x12_uart1_dual_pr_ee_u4
 * m164pa_u1x12_uart1_dual_pr_ee     m164pa_u1x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_dual_pr_ee[] = {
  0xbbb7e307a2431f02, 0x7770fbd3dfbf5fbb, 0xb96257da80777777, 0x386d841bb138dd58, 0x2cda109852b545e7,
  0x4c13e32638dc9462, 0xd88f64c8c15480b2, 0x3e251850c85a6fc0, 0x689b4d7e655bb9dd, 0x9bd47b1fd87fc380,
  0xe08a11c913f83a1f, 0x1b87c2886257f9fb, 0x32abbbddf372e440, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe3a9cc161bcaf2, 0xfeda9fddba7c12df, 0x355ad1c890da3749, 0x1b3060a7a8f2b5f7, 0x422877c5752bd47c,
  0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e, 0xc37b2fa598b84845,
  0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x001592aca30ee792,
};

/*
 * m164a_u1x12_uart1_dual_pr_ce_u4   m164p_u1x12_uart1_dual_pr_ce      m164p_u1x12_uart1_dual_pr_ce_u4
 * m164pa_u1x12_uart1_dual_pr_ce     m164pa_u1x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u1x12_uart1_dual_pr_ce[] = {
  0xbbb7e307a2435032, 0x7770fc2febbf5fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xabdb47fbbeec2afb,
  0x3ce5304f8c9f2372, 0xbf03623d93230552, 0xe774f89461432169, 0x3818fcc337f9956e, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x24c17fc753982c37, 0x6e93fdb53fbb74f8, 0x071d2dc5f54021b4, 0x2445f71258f3ca17, 0x4fd7fd47c25f886c,
  0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe, 0xdc21d21aa01ffb33,
  0xceee2a4aa4e81e5a, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0x612e65f36dce18ed, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xb30ee792bf734332, 0x0000000000692138,
};

// m164p_u1x12_uart1_dual_pr_ee_ce   m164pa_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m164a_u1x12_uart1_dual_pr_ee_ce[] = {
  0xbbb7e307d41432db, 0xbbbb87c6571f5fbb, 0x2ca3e9f7ae17bbbb, 0x3ae4874eddb0caf8, 0x4559608674843b36,
  0x16609f1926eae470, 0x0d88f64c8c15485d, 0xd3e251850c85a6fc, 0xfaf31adfe655bb9d, 0x737a8f00360290e1,
  0x7c114239227f076b, 0x0370f8510c4aff3f, 0x0caaeef77cdceeb0, 0x6c09150865a1a6d1, 0x84b6f3b7ff4073c2,
  0xfff8ea730586f2bc, 0xff6d4feedd3e0974, 0x77fd51b9386d1ba4, 0x0d07fcf285c1c1ac, 0x2b26e984e771b995,
  0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18, 0xbd44bb4428f7b39d,
  0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd5e371e6c25ccbe6,
  0x4eaccdfc1ddc68b2, 0x3fc09c69430a9cfd, 0xe985727e03e68799, 0x94b67c09c6592e19, 0xdcf257ee68665874,
  0x00000002000ad461,
};

// m164p_u1x12_uart1_dual_pr_ee_ce_u4 m164pa_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b76d8be, 0xb87c17da0fafdddd, 0x57f1ff7337bbbbbb, 0x91ddd94cf81f210d, 0x5f58671a7935e199,
  0x4ed5c9e75a418786, 0x3055208f5cc13e32, 0x32169bf03623d932, 0xcb4b7e774f894614, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x3e093fcfff202982, 0x6d1ba4ff6d4feedd, 0xe76337717d51a9e8, 0x09117dc4963cf285,
  0x1e41ff51f097e21b, 0xe6e6e99e2ee37354, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71943a909afa30, 0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647,
  0xec9fc55f3bb8a929, 0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x8be2aa49e4afdcd0, 0x0000000000008009,
};

// m164p_u1x12_uart1_dual_hw         m164pa_u1x12_uart1_dual_hw
static const uint64_t ur_m164a_u1x12_uart1_dual_hw[] = {
  0xbbb7e307a243306a, 0xbbb87fd294af5fbb, 0xbac4f4ed3b5bbbbb, 0x7ad7077774fd8401, 0x85caabf266a10d86,
  0x055212a2609f192c, 0x2169bf03623d9323, 0x956ee774f8946143, 0x60e94e070e6297f9, 0x13f83a9537a8e95b,
  0x6257f9fbe08a11c9, 0xf372c7c01b87c288, 0xcb43e44432abbbdd, 0xff4073c261f22a10, 0x82c3795e425b780d,
  0x6e9f04827ffa8e29, 0xd4368dd27fb6a7f7, 0x1887f51f229df2c4, 0x5079a717be38e9fc, 0x9dad6475fce62c05,
  0x35403ff6608ebc01, 0x552740f2cf6c43a4, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf,
  0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xa82ec6e3cd84b997, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0031bacb82d14f25,
};

// m164p_u1x12_uart1_dual_ee_hw      m164pa_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m164a_u1x12_uart1_dual_ee_hw[] = {
  0x776fc60f448618be, 0xeee1f7a7bf7ebf77, 0x72c4afb500eeeeee, 0x70db08376271bab1, 0xbd9c16bc156a8bce,
  0x2c9304f8c98e372e, 0xf03623d932305520, 0x774f89461432169b, 0xe01a26d35f9956ee, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0x1006e1f0a21895fe, 0x510caaeef77cdcb9, 0xc2628b150865a0e9, 0xbc84b6fd5fff4073,
  0x6fbff51c530586f2, 0xa4ff6d4feedd3e09, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2ba95ea,
  0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae, 0xd6e1bd97d2cc5c24,
  0x4a0109fd62a3608f, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0000576aacaa29e4,
};

// m164p_u1x12_uart1_dual_ce_hw      m164pa_u1x12_uart1_dual_ce_hw
static const uint64_t ur_m164a_u1x12_uart1_dual_ce_hw[] = {
  0x77776fc60f4486f9, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0x1b94da390f5fc255,
  0x2a91e729827c64f9, 0x0b4df81b11ec9918, 0xab773ba7c4a30a19, 0x02d1c0c7e619bfcc, 0x7f0635a6f51d2d6c,
  0x4aff3f7c11423922, 0x6e33e00370f8510c, 0xd028a88655777bbe, 0xa039e1318f8a8432, 0x61bcaf212dbc56ff,
  0x4f824c17fd4714c1, 0x1b46e93fdb53fbb7, 0xa17071d2dc5f5402, 0x86c2445f71258f3c, 0x71fe620fd47c25f8,
  0xf72c67d4b99e2ee3, 0x8e9fc1d4bf51c6fc, 0xd7f398b014141f23, 0xd99e3af00676b591, 0xf2d6e10e90d500ff,
  0x8abe777152552740, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2, 0xc6f19d103be54dea,
  0xc76f62aa8b4d5d38, 0xc79b09732f9b6e70, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x938ba29e4afdcd0c, 0x00000000000009ba,
};

// m164p_u1x12_uart1_dual_ee_ce_hw   m164pa_u1x12_uart1_dual_ee_ce_hw
static const uint64_t ur_m164a_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdddbf183f6090c86, 0xbbb87c17da0fafdd, 0x9086abf78ffbbbbb, 0xf0ccc8eeeca67c0f, 0x1bb3798a338d3c9a,
  0x5cc13e324ed5cbbb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f9956ee77, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xff51c530586f2bc8, 0xf6d4feedd3e093fc, 0x17d51a9e86d1ba4f, 0x92c79e50b8383377, 0x3e12fc4361222fb8,
  0x3c5dc6e759b21fea, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0x0c2a73f5361d8dc7, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x0ebae37453c95fb9,
};

// m164p_u1x12_uart1_dual_ee_ce_u4_hw m164pa_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u1x12_uart1_dual_ee_ce_u4_hw[] = {
  0xbb7e307a28d0d4d6, 0x770f82fb41f5fbbb, 0x10d57ef1ff777777, 0x19991ddd94cf81f2, 0xfafacdc671a7935e,
  0x609f19276ae4dd8c, 0x11ec99182a9047ae, 0xc4a30a190b4df81b, 0xe6a4afccbb093ba7, 0xd4767cd87599c190,
  0x8a11c913f8335b9b, 0x87c2886257f9fbe0, 0x5777bbe6e753801b, 0x18a8432d00b48865, 0xb7fd7ffa039e131c,
  0xf2a4982c3795e425, 0x6a7f76e9f049fe7f, 0xea8d4f4368dd27fb, 0x1e78df0c1c19bb8b, 0x4bf10d8488bee24b,
  0xee3714939bffa8f8, 0xfc94ed6e6e6e99e2, 0x1f06cc1af9ea3cad, 0x3ad08a05315c06f5, 0x09afa30b2c4522cd,
  0x1ef673abb71943a9, 0xaaf1b1d7a8976885, 0x2e1211408a8f9eb1, 0xd8226470decbe966, 0xbb8a9296627f58a8,
  0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b997cdb73863b7b, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xf4f257ee68665874, 0x0000001d75a33405,
};

/*
 * m164a_u2x8_uart0_noled_pr         m164p_u2x8_uart0_noled            m164p_u2x8_uart0_noled_pr
 * m164pa_u2x8_uart0_noled           m164pa_u2x8_uart0_noled_pr        m324a_u2x8_uart0_noled
 * m324a_u2x8_uart0_noled_pr         m324p_u2x8_uart0_noled            m324p_u2x8_uart0_noled_pr
 * m324pa_u2x8_uart0_noled           m324pa_u2x8_uart0_noled_pr        m324pb_u2x8_uart0_noled
 * m324pb_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m164a_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0x7cff58779f9c6609, 0xf6a8e526fb74f849, 0x8fd01df2c21e1b46, 0x7dad1c74fe0d05fa, 0x47ac398b016594cf,
  0xff6608ebd1f3b57f, 0x0f2cf6c7d99e5403, 0x59bf0312b5ec1c7c, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x458f386ed84b997c, 0xe4fdd598f2068fe3, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x0007c8739af69e4a,
};

/*
 * m164p_u2x8_uart0_noled_pr_u4      m164pa_u2x8_uart0_noled_pr_u4     m324a_u2x8_uart0_noled_pr_u4
 * m324p_u2x8_uart0_noled_pr_u4      m324pa_u2x8_uart0_noled_pr_u4     m324pb_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xfff6cfce3304f8c9, 0x1ca4df6e9f092f9f, 0x03be5843c368ded5, 0xa38e9fc1a0bf51fa, 0x8731602cb299efb5,
  0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0xe06256bd838f81e5, 0x50603bd6bce70b37, 0x5e5363385bcde01f,
  0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0x57079b09732f9b62, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xb3d9069e4afdcd0c,
  0x000000000000f93f,
};

/*
 * m164a_u2x8_uart0_noled_pr_ee_u4   m164p_u2x8_uart0_noled_pr_ee      m164p_u2x8_uart0_noled_pr_ee_u4
 * m164pa_u2x8_uart0_noled_pr_ee     m164pa_u2x8_uart0_noled_pr_ee_u4  m324a_u2x8_uart0_noled_pr_ee
 * m324a_u2x8_uart0_noled_pr_ee_u4   m324p_u2x8_uart0_noled_pr_ee      m324p_u2x8_uart0_noled_pr_ee_u4
 * m324pa_u2x8_uart0_noled_pr_ee     m324pa_u2x8_uart0_noled_pr_ee_u4  m324pb_u2x8_uart0_noled_pr_ee
 * m324pb_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xdb3ec16609f193ba, 0x26fb74f848e1ffff, 0x5a39c61b46f6a8e5, 0x0698fa8f2b9126ab, 0x43be2beebd47c1b3,
  0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3, 0xecb65cc5c24228e7,
  0x12a6951b047eb70d, 0x0b37e06256bd8015, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x9b6249156f62aa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x9d7de0b9069e4afd,
};

// m164p_u2x8_uart0_noled_pr_ce      m164pa_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x84bbaff58779f8f7, 0xb46f6a8e526fb74f, 0x4a0716b9dff5e921, 0x73b8dcf9d21ff3c6, 0x7a973dcb01719cc2,
  0x2438e3a7f078cfd4, 0xa251a839cc580bd0, 0x1ee39633c75e2e76, 0x59bf0312b5ec1d7e, 0x2de6f301deb5e738,
  0x392306a6c4a7ef9c, 0xde33a2042063042d, 0x376c25ccbe6da718, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x924d7b4f257ee686, 0x00000000000005ba,
};

// m164p_u2x8_uart0_noled_pr_ce_u4   m164pa_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffffdb3f21e609f1, 0xa8e526fb74f849c9, 0xfe5c5f5c921b46f6, 0x17dc4963cf192a76, 0x83f51f097e21b091,
  0x7eb2678bb8dc7f98, 0x83d67a8e4f4f72c6, 0x316028f9d2471d3f, 0x1d7a3e76afe8f587, 0x70fb33ca807feccf,
  0x1895af60e3e0796b, 0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7,
  0x83cd84b997cdb124, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x3c834f257ee68665, 0x00000000006eba0e,
};

// m164p_u2x8_uart0_noled_pr_ee_ce   m164pa_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xfb74f848c7ffffed, 0x721e1b46f6a8e526, 0x9e3254ece0dc5f54, 0xfc4361222fb892c7,
  0xc6e759b21fea3e12, 0x129dadcdbdf33c5d, 0xc1b306b5fd4795f5, 0xb422814c5613fd47, 0x6be8c2cb1148b34e,
  0x059ceaedd388ea42, 0x78d8ebce9bb6f68f, 0x1211473c8c38d8d5, 0x1132386f65b2e62e, 0x5af616744a9a546c,
  0xef5af39c2cdf8189, 0x8ce16f37807d4180, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xd84b997cdb12431d,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0x56ac834f257ee686, 0x00000000000009f8,
};

// m164p_u2x8_uart0_noled_pr_ee_ce_u4 m164pa_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x3949bedd3e12e9ff, 0x17d51b9386d1bdaa, 0x24b1e78c953b60b7, 0x8f84bf10d8488bee,
  0xcf1771b8951723fa, 0xe560a4a76b737194, 0x1f51f06cc18dff51, 0x1669d68450298ae2, 0x1d484d7d18596229,
  0x21d189f39d5db9ef, 0xb1aaf1b1d7aea6ec, 0x3170908a24151e33, 0x63f866470decb872, 0x73859bf0312b5ecc,
  0xf9c2de6f301deb5e, 0x42d392306a6c4a7e, 0x718de33a20420630, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x085e41a792bf7343, 0x00000000000004fc,
};

/*
 * m164a_u2x8_uart0_lednop_pr        m164p_u2x8_uart0_lednop           m164p_u2x8_uart0_lednop_pr
 * m164pa_u2x8_uart0_lednop          m164pa_u2x8_uart0_lednop_pr       m324a_u2x8_uart0_lednop
 * m324a_u2x8_uart0_lednop_pr        m324p_u2x8_uart0_lednop           m324p_u2x8_uart0_lednop_pr
 * m324pa_u2x8_uart0_lednop          m324pa_u2x8_uart0_lednop_pr       m324pb_u2x8_uart0_lednop
 * m324pb_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m164a_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x297dfeb0ef3e7acc, 0x1bdaa3949bedd3e1, 0xea3dac77cb08786d, 0xf920fc71d3f83417, 0xe8d219cc580b2ca6,
  0x7fecc11d7a3e7659, 0x81e59eda0b348a80, 0x0b37e06256bd9056, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x86ed84b997cdb739, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x0249af69e4afdcd0, 0x00000000000000f9,
};

/*
 * m164p_u2x8_uart0_lednop_pr_u4     m164pa_u2x8_uart0_lednop_pr_u4    m324a_u2x8_uart0_lednop_pr_u4
 * m324p_u2x8_uart0_lednop_pr_u4     m324pa_u2x8_uart0_lednop_pr_u4    m324pb_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xfffb67cf59827c64, 0x1ca4df6e9f094bef, 0x63be5843c368ded5, 0xe38e9fc1a0bf51ed, 0xce62c0596537c907,
  0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x0312b5ec82b40f2c, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000003e4c7abe41a,
};

/*
 * m164a_u2x8_uart0_lednop_pr_ee_u4  m164p_u2x8_uart0_lednop_pr_ee     m164p_u2x8_uart0_lednop_pr_ee_u4
 * m164pa_u2x8_uart0_lednop_pr_ee    m164pa_u2x8_uart0_lednop_pr_ee_u4 m324a_u2x8_uart0_lednop_pr_ee
 * m324a_u2x8_uart0_lednop_pr_ee_u4  m324p_u2x8_uart0_lednop_pr_ee     m324p_u2x8_uart0_lednop_pr_ee_u4
 * m324pa_u2x8_uart0_lednop_pr_ee    m324pa_u2x8_uart0_lednop_pr_ee_u4 m324pb_u2x8_uart0_lednop_pr_ee
 * m324pb_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0xed9fcad304f8c9dd, 0x937dba7c2450ffff, 0xad1ce30da37b5472, 0x834c7d4795995355, 0x43be2b0f7ea3e0d9,
  0x616588a459a75a11, 0xb9eab8d64d2135f4, 0xd3768c9193473ab4, 0xc8ded58d56ba1d79, 0xf65b2e62e1211413,
  0xfb33ca8d823f5b86, 0x0b37e06256bd8010, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea,
  0x156f62aa8b4d5d38, 0x83cd84b997cdb739, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x3c834f257ee68665, 0x00000000004ebe49,
};

/*
 * m164a_u2x8_uart0_lednop_pr_ce_u4  m164p_u2x8_uart0_lednop_pr_ce     m164p_u2x8_uart0_lednop_pr_ce_u4
 * m164pa_u2x8_uart0_lednop_pr_ce    m164pa_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0x7fffed9f297304f8, 0x5472937dba7c24e9, 0x52ae2fae490da37b, 0x17dc4963cf192a77, 0x03f51f097e21b091,
  0xfd64cf1771b95bf0, 0x07acf51fa49ee58c, 0x62c054c4458e3a7f, 0xebd1f3b2cf4690ce, 0x9059a45403ff6678,
  0xc4ad7b20ad03cb5b, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0001baeb4fb20d3c,
};

// m164p_u2x8_uart0_lednop_pr_ee_ce  m164pa_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xd9fa1f9827c64eeb, 0x37dba7c24707fffe, 0x51bf90da37b54729, 0x7e78c953bdf677fd, 0xbe6139dc6e5c8925,
  0xd4795f7529dacac7, 0x7b7fd47c1b306b5f, 0x148b34eb422814c5, 0x7a8ea426be8c2cb1, 0xdda32464d1ceaedc,
  0x6f6ac6abc6c75e74, 0x2d973170908a09e4, 0xccf2a3608991c37b, 0xcdf81895af61663e, 0x180ef5af3c0809c2,
  0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0x9434596af2e4d5c1,
  0x854e7ea75663c81f, 0xf343cc9fe04e34a1, 0x2c970cf4c2b93f01, 0x332c3a4a5b3e04e3, 0xf205641a792bf734,
  0x0000000000000013,
};

// m164p_u2x8_uart0_lednop_pr_ee_ce_u4 m164pa_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0xc2f9fd35304f8c9d, 0x526fb74f84bfe7fe, 0xf54721e1b46f6a8e, 0x58f3ca170712d5c5, 0xc25f886c2445f712,
  0x2ee370112601fd47, 0xfba94ed6e6def99e, 0xa3e0d9835afea3ca, 0xa75a1140a62bdbfe, 0x2135f4616588a459,
  0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0xc4ad7b0b31f66795,
  0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xe65f36dce18edec5,
  0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0xee792bf734332c3a, 0x00000004fcb2df30,
};

/*
 * m164a_u2x8_uart0_dual_pr          m164p_u2x8_uart0_dual             m164p_u2x8_uart0_dual_pr
 * m164pa_u2x8_uart0_dual            m164pa_u2x8_uart0_dual_pr
 */
static const uint64_t ur_m164a_u2x8_uart0_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa5977e, 0xd2f792ae3375a53b, 0x2b1393848eeee9b0, 0x95377257ccf87b16,
  0x23055219bf304f8c, 0x432169bf03623d93, 0x995c7ae774f89461, 0xf60514e0e4e6f9df, 0x913f838f737a8ebe,
  0x86257f9fbe08a11c, 0xef9b91c801b87c28, 0x865a03e221955dde, 0xfffa039e136f7150, 0x4c161bcaf212db98,
  0xdf6e9f091ebfe483, 0x5abfc368ded51ca4, 0x3f83487ea3dc33be, 0x017f0e65ae4d471d, 0x916ec27d1a0b398b,
  0x4ac349b8e58c11d7, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xe8016f37980ef5af, 0x953e02d4e48a5abc,
  0xbc67440cbfc50216, 0x3cd84b997cdb4e31, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x252d9f0271964b86,
  0x0d3c95fb9a19961d, 0x000000000310e732,
};

// m164p_u2x8_uart0_dual_pr_u4       m164pa_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m164a_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeedf94486d0e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b4ed6eee, 0x19eb5c1dddd3f610, 0x0b9571b414e59136,
  0x0aa42544c13e3259, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0xc1d29c0e1cc52ff3, 0x27f0752a6f51d2b6,
  0xc4aff3f7c1142392, 0xe6e58f80370f8510, 0x9687c888655777bb, 0xfe80e784c3e45421, 0x0586f2bc84b6f01b,
  0xb74f84827ff8ea73, 0x26a1b46f6a8e526f, 0xe0c43fa8f914ef96, 0x2a83cd38bdf1c74f, 0x0ced6b23afe73160,
  0x21aa01ffb30475e0, 0x92a93a07967b621d, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x0000029272e0a61d,
};

/*
 * m164a_u2x8_uart0_dual_pr_ee_u4    m164p_u2x8_uart0_dual_pr_ee       m164p_u2x8_uart0_dual_pr_ee_u4
 * m164pa_u2x8_uart0_dual_pr_ee      m164pa_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_dual_pr_ee[] = {
  0x777776fca2431f02, 0xeeeee1f7a7bf7ebf, 0xb172c4afb500eeee, 0xce70db08376271ba, 0xc459b42130a56a8b,
  0x649827c64c71b928, 0x81b11ec99182a901, 0xba7c4a30a190b4df, 0x00d1369afccab773, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffc753982c3795, 0x7b5472937dba7c25, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c5752bd,
  0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5, 0xfadc37b2fa598b84,
  0x4940213fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x65f36dce455bd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000001592aca30e,
};

/*
 * m164a_u2x8_uart0_dual_pr_ce_u4    m164p_u2x8_uart0_dual_pr_ce       m164p_u2x8_uart0_dual_pr_ce_u4
 * m164pa_u2x8_uart0_dual_pr_ce      m164pa_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x8_uart0_dual_pr_ce[] = {
  0x777776fca2435032, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0xe557b68ff77dd855,
  0xa479ca609f193e46, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0xb47031f9866ff32a, 0xc18d69bd474b5b00,
  0xbfcfdf04508e489f, 0x8cf800dc3e144312, 0x0a2a21955ddeef9b, 0x0e784c63e2a10cb4, 0x6f2bc84b6f15bfe8,
  0xf84982ff8ea73058, 0x1b46f6a8e526fb74, 0xa17071d2dc5f5402, 0x86c2445f71258f3c, 0xe0a4fd7fd47c25f8,
  0xee58cfa9733c5dc6, 0x1d3f83a97ea38df9, 0xafe7316028283e47, 0xb33c75e00ced6b23, 0xe5adc21d21aa01ff,
  0x157ceee2a4aa4e81, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x2138b30ee792bf73, 0x0000000000000069,
};

// m164p_u2x8_uart0_dual_pr_ee_ce    m164pa_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart0_dual_pr_ee_ce[] = {
  0x777776fcd41432db, 0x7777770f8cae3ebf, 0xf05947d3ef5c2f77, 0x6c75c90e9dbb6195, 0xe08ab2c10ce90876,
  0xba2cc13e324dd5c8, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3f5e635bfccab77, 0xd6e6f51e006c0521,
  0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xe9fff1d4e60b0de5, 0xbdaa3949bedd3e12, 0x1ac77fd51b9386d1, 0x9950d07fcf285c1c, 0x76b2b26e984e771b,
  0x660d7cf51e56fe4a, 0x450298ae037a8f83, 0xd185962291669d68, 0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b,
  0x08a04547cf58d578, 0x32386f65f4b31709, 0x494b313fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818,
  0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x68b2d5e371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0xd461dcf257ee6866,
  0x000000000002000a,
};

// m164p_u2x8_uart0_dual_pr_ee_ce_u4 m164pa_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbb7e515b76d8be, 0x7770f82fb41f5fbb, 0x1aafe3fee66f7777, 0x3323bbb299f03e42, 0x0cbeb0ce34f26bc3,
  0x649dab93ceb4830f, 0x6460aa411eb9827c, 0x28642d37e06c47b2, 0xf99696fcee9f128c, 0x9b0eb338321cd495,
  0x227f066b737a8ecf, 0x0c4aff3f7c114239, 0x7cdcea700370f851, 0x65a016910caaeef7, 0xff4073c263831508,
  0x0586f2bc84b6ffaf, 0xdd3e127f9ffe4053, 0x9e86d1bdaa3949be, 0x285e76337717d51a, 0x21b09117dc4963cf,
  0x3541e41ff51f097e, 0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0,
  0x73abb71943a909af, 0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x97cdb73863b7b155, 0x37c5c9ab83cd84b9, 0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x80098be2aa49e4af,
};

// m164p_u2x8_uart0_dual_hw          m164pa_u2x8_uart0_dual_hw
static const uint64_t ur_m164a_u2x8_uart0_dual_hw[] = {
  0x777776fca243306a, 0x777770ffa5295ebf, 0x037589e9da76b777, 0x0cf5ae0eeee9fb08, 0x590b9557e4cd421b,
  0x460aa42544c13e32, 0x8642d37e06c47b26, 0xf32addcee9f128c2, 0xb6c1d29c0e1cc52f, 0x9227f0752a6f51d2,
  0x10c4aff3f7c11423, 0xbbe6e58f80370f85, 0x219687c888655777, 0x1bfe80e784c3e454, 0x530586f2bc84b6f0,
  0xdf6e9f0904fff51c, 0x2c4d4368ded51ca4, 0x9fc1887f51f229df, 0xc055079a717be38e, 0xc019dad6475fce62,
  0x3a435403ff6608eb, 0x152552740f2cf6c4, 0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000031bacb82d1,
};

// m164p_u2x8_uart0_dual_ee_hw       m164pa_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m164a_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeedf9448618be, 0xddddc3ef4f7efd7e, 0x62e5895f6a01dddd, 0x9ce1b6106ec4e375, 0x5d7b382d782ad517,
  0x40592609f1931c6e, 0x37e06c47b26460aa, 0xdcee9f128c28642d, 0xe1c0344da6bf32ad, 0x1d0fcdea3d8fec3f,
  0xfcfdf04508e489fc, 0x72200dc3e144312b, 0xd2a21955ddeef9b9, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0x12df7fea38a60b0d, 0xd1bdaa3949bedd3e, 0x95afb9aad68e4486, 0x5ea3e0d983053d47, 0x59a75a1143be2ba9,
  0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635, 0x08fd6e1bd97d2cc5,
  0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x9732f9b6e722adec, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x00000000576aacaa,
};

// m164p_u2x8_uart0_dual_ce_hw       m164pa_u2x8_uart0_dual_ce_hw
static const uint64_t ur_m164a_u2x8_uart0_dual_ce_hw[] = {
  0x7eeeeeedf94486f9, 0xddddddc3f0bfaefd, 0x231a939362d75bdd, 0xabec5d5f6eee8913, 0xf23729b4721ebf84,
  0x305523ce5304f8c9, 0x32169bf03623d932, 0x9956ee774f894614, 0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a,
  0x1895fe7ef8228472, 0x7cdc67c006e1f0a2, 0x65a051510caaeef7, 0xff4073c2631f1508, 0x82c3795e425b78ad,
  0xb74f84982ffa8e29, 0x4021b46f6a8e526f, 0xf3ca17071d2dc5f5, 0x5f886c2445f71258, 0xee371fe620fd47c2,
  0x6fcf72c67d4b99e2, 0xf238e9fc1d4bf51c, 0x591d7f398b014141, 0x0ffd99e3af00676b, 0x740f2d6e10e90d50,
  0x93f8abe777152552, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x09ba938ba29e4afd,
};

// m164p_u2x8_uart0_dual_ee_ce_hw    m164pa_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m164a_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbb7e76090c86, 0x777770f82fb41f5f, 0x1f210d57ef1ff777, 0x35e19991ddd94cf8, 0x763766f314671a79,
  0x1eb9827c649dab97, 0xe06c47b26460aa41, 0xee9f128c28642d37, 0x06439a92bf32addc, 0x6e6f51d9f361d667,
  0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2, 0x9096dff5ffe80e78,
  0xf9fea38a60b0de57, 0xdaa3949bedd3e127, 0x37717d51a9e86d1b, 0xfb892c79e50b8383, 0xfea3e12fc4361222,
  0xdd33c5dc6e759b21, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x8dc79b09732f9b6e, 0x71a50c2a73f5361d, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00000ebae37453c9,
};

// m164p_u2x8_uart0_dual_ee_ce_u4_hw m164pa_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77776fca28d0d4d6, 0xeeee1f05f683ebf7, 0xe421aafde3feeeee, 0xbc33323bbb299f03, 0x19f5f59b8ce34f26,
  0x5cc13e324ed5c9bb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f99761277, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xffe54930586f2bc8, 0x51ca4df6e9f093fc, 0xb8bea8d4f4368ded, 0x24b1e78df0c1c19b, 0x8f84bf10d8488bee,
  0x9e2ee3714939bffa, 0xcadfc94ed6e6e6e9, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x3cd84b997cdb7386, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x3405f4f257ee6866, 0x00000000001d75a3,
};

/*
 * m164a_u2x8_uart1_noled_pr         m164p_u2x8_uart1_noled            m164p_u2x8_uart1_noled_pr
 * m164pa_u2x8_uart1_noled           m164pa_u2x8_uart1_noled_pr        m324a_u2x8_uart1_noled
 * m324a_u2x8_uart1_noled_pr         m324p_u2x8_uart1_noled            m324p_u2x8_uart1_noled_pr
 * m324pa_u2x8_uart1_noled           m324pa_u2x8_uart1_noled_pr        m324pb_u2x8_uart1_noled
 * m324pb_u2x8_uart1_noled_pr
 */
static const uint64_t ur_m164a_u2x8_uart1_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0x7cff58779f9c6609, 0xed51ca4df6e9f049, 0x1fa03be5843c368d, 0xfb5a38e9fc1a0bf5, 0x8f58731602cb299e,
  0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb6fc0c4eefd838f8, 0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0xb1e70ddb09732f9b, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x00f90e735ed3c95f,
};

/*
 * m164p_u2x8_uart1_noled_pr_u4      m164pa_u2x8_uart1_noled_pr_u4     m324a_u2x8_uart1_noled_pr_u4
 * m324p_u2x8_uart1_noled_pr_u4      m324pa_u2x8_uart1_noled_pr_u4     m324pb_u2x8_uart1_noled_pr_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xfff6cfce3304f8c9, 0x3949bedd3e092f9f, 0x077cb08786d1bdaa, 0x471d3f83417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x8189ddfb071f03cb, 0x0603bf77e73936df, 0xca6c6726fcde01f5,
  0x8c6f19d102baa9cb, 0x22adec5551696173, 0xe0f3612e65f36c49, 0x81f943458df1726a, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x7b20d3c95fb9a199,
  0x00000000001f27f6,
};

/*
 * m164a_u2x8_uart1_noled_pr_ee_u4   m164p_u2x8_uart1_noled_pr_ee      m164p_u2x8_uart1_noled_pr_ee_u4
 * m164pa_u2x8_uart1_noled_pr_ee     m164pa_u2x8_uart1_noled_pr_ee_u4  m324a_u2x8_uart1_noled_pr_ee
 * m324a_u2x8_uart1_noled_pr_ee_u4   m324p_u2x8_uart1_noled_pr_ee      m324p_u2x8_uart1_noled_pr_ee_u4
 * m324pa_u2x8_uart1_noled_pr_ee     m324pa_u2x8_uart1_noled_pr_ee_u4  m324pb_u2x8_uart1_noled_pr_ee
 * m324pb_u2x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xdb3ec16609f193ba, 0x4df6e9f048e1ffff, 0xb4738c368ded51ca, 0x0d31f51e57224d56, 0x877c57dd7a8f8366,
  0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7, 0xd96cb98b848451cf,
  0x254d2a3608fd6e1b, 0x36df8189ddfb002a, 0x01f50603bf77e739, 0xa9cbca6c6726fcde, 0x61738c6f19d102ba,
  0x6c4922adec555169, 0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xafbc1720d3c95fb9, 0x0000000000000013,
};

// m164p_u2x8_uart1_noled_pr_ce      m164pa_u2x8_uart1_noled_pr_ce
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x04bbaff58779f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xe771b9f3a43fe78c, 0xf52e7b9602e33984,
  0x4871c74fe0f19fa8, 0x44a3507398b017a0, 0x3dc72c678ebc5ced, 0xb6fc0c4eefd83afc, 0x7e6f301dfbbf39c9,
  0x2460d4d894fdf393, 0xc67440840c6085a7, 0xed84b997cdb4e31b, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x49af69e4afdcd0cc, 0x000000000000b752,
};

// m164p_u2x8_uart1_noled_pr_ce_u4   m164pa_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffffdb3f21e609f1, 0x51ca4df6e9f049c9, 0xfcb8beb924368ded, 0x2fb892c79e3254ed, 0x07ea3e12fc436122,
  0xfd64cf1771b8ff31, 0x07acf51c9e9ee58c, 0x62c051f3a48e3a7f, 0x3af47ced5fd1eb0e, 0xe1f6679500ffd99e,
  0x62777ec1c7c0f2d6, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3,
  0x79b09732f9b62486, 0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x9069e4afdcd0ccb0, 0x000000000dd741c7,
};

// m164p_u2x8_uart1_noled_pr_ee_ce   m164pa_u2x8_uart1_noled_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xf6e9f048c7ffffed, 0xe43c368ded51ca4d, 0x3c64a9d9c1b8bea8, 0xf886c2445f71258f,
  0x8dceb3643fd47c25, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f, 0xd7d185962291669d,
  0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c, 0x77ec2ce89534a8d8,
  0xfddf9ce4db7e0627, 0x9c9bf37807d4180e, 0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x09732f9b624863b7,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0xd59069e4afdcd0cc, 0x0000000000013f0a,
};

// m164p_u2x8_uart1_noled_pr_ee_ce_u4 m164pa_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x72937dba7c12e9ff, 0x2faa37270da37b54, 0x4963cf192a76c16e, 0x1f097e21b09117dc,
  0x9e2ee3712a2e47f5, 0xcac1494ed6e6e329, 0x3ea3e0d9831bfea3, 0x2cd3ad08a05315c4, 0x3a909afa30b2c452,
  0x43a313e73abb73de, 0x6355e363af5d4dd8, 0x62e12114482a3c67, 0xc7f0cc8e1bd970e4, 0x9c9b6fc0c4eefd98,
  0x3937e6f301dfbbf3, 0x5a72460d4d894fdf, 0x31bc67440840c608, 0xb83cd84b997cdb4e, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x0bc834f257ee6866, 0x0000000000009f81,
};

// m164p_u2x8_uart1_noled_hw         m164pa_u2x8_uart1_noled_hw
static const uint64_t ur_m164a_u2x8_uart1_noled_hw[] = {
  0x1bbbbbb12d66faca, 0x7777774b0e72792b, 0x52737e0e683aebf7, 0xd685edfb6eeed27f, 0x4f8c9dd26763f5a9,
  0x4be7fdf02cfce330, 0x6f6a8e526fb74f82, 0xa8fd01df2c21e1b4, 0xf7dad1c74fe0d05f, 0xf47ac398b016594c,
  0x3ff6608ebd1f3b57, 0xc0f2cf6c7d99e540, 0x4db7e062777ec1c7, 0x807d4180efddf9ce, 0xaa72f29b19c9bf37,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x9f9fd86ed84b997c, 0xa271964b867a615c, 0xb9a19961d252d964,
  0x008e2e73b053c95f,
};

// m164p_u2x8_uart1_noled_ce_hw      m164pa_u2x8_uart1_noled_ce_hw
static const uint64_t ur_m164a_u2x8_uart1_noled_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c988d6, 0x858d72f66d6971dd, 0x4db63377eeeecf77, 0x827c64eec2f5a350,
  0x25d47fdf02cfedf9, 0x46f6a8e526fb74f8, 0x50380a1dff5e921b, 0x9dc6e393f9df9e32, 0x8879ee580b8ce613,
  0x05c71d3f83c67ea3, 0xda478cce62c05def, 0x771cb19e3af173b3, 0xb6fc0c4eefd83aa2, 0x0fa8301dfbbf39c9,
  0x4e5e53633937e6f0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0xe7f61bb612e65f36, 0x9c6592e19e985727,
  0x6866587494b65928, 0xc428b8ec14f257ee,
};

/*
 * m164a_u2x8_uart1_noled_ee_ce_u4_hw m164p_u2x8_uart1_noled_ee_ce_hw
 * m164p_u2x8_uart1_noled_ee_ce_u4_hw m164pa_u2x8_uart1_noled_ee_ce_hw
 * m164pa_u2x8_uart1_noled_ee_ce_u4_hw m16u2_u2x8_uart0_noled_ee_ce_hw
 * m16u2_u2x8_uart0_noled_ee_ce_u4_hw m16u4_u2x8_uart0_noled_ee_ce_hw
 * m16u4_u2x8_uart0_noled_ee_ce_u4_hw usb162_u2x8_uart0_noled_ee_ce_hw
 * usb162_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u2x8_uart1_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0x472937dba7c1231f, 0xe2faa390f0da37b5, 0x892c79e50b838706, 0xa3e12fc4361222fb,
  0x33c5dc6e2545c8fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0x6e3cd84b997cdb12,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x24a71d14f257ee68, 0x00000000000000a0,
};

/*
 * m164a_u2x8_uart1_lednop_pr        m164p_u2x8_uart1_lednop           m164p_u2x8_uart1_lednop_pr
 * m164pa_u2x8_uart1_lednop          m164pa_u2x8_uart1_lednop_pr       m324a_u2x8_uart1_lednop
 * m324a_u2x8_uart1_lednop_pr        m324p_u2x8_uart1_lednop           m324p_u2x8_uart1_lednop_pr
 * m324pa_u2x8_uart1_lednop          m324pa_u2x8_uart1_lednop_pr       m324pb_u2x8_uart1_lednop
 * m324pb_u2x8_uart1_lednop_pr
 */
static const uint64_t ur_m164a_u2x8_uart1_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x297dfeb0ef3e7acc, 0x37b5472937dba7c1, 0xd47b58ef9610f0da, 0xf241f8e3a7f0682f, 0xd1a43398b016594d,
  0xffd9823af47cecb3, 0x03cb3db416691500, 0x36df8189ddfb20ad, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0xddb09732f9b6e722, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x4935ed3c95fb9a19, 0x0000000000001f20,
};

/*
 * m164p_u2x8_uart1_lednop_pr_u4     m164pa_u2x8_uart1_lednop_pr_u4    m324a_u2x8_uart1_lednop_pr_u4
 * m324p_u2x8_uart1_lednop_pr_u4     m324pa_u2x8_uart1_lednop_pr_u4    m324pb_u2x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xfffb67cf59827c64, 0x3949bedd3e094bef, 0xc77cb08786d1bdaa, 0xc71d3f83417ea3da, 0x9cc580b2ca6f920f,
  0x11d7a3e7659e8d21, 0xeda0b348a807fecc, 0x0c4eefd905681e59, 0xfbbf3c0809c9b6fc, 0x009bf379b228301d,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00007c98f57c834f,
};

/*
 * m164a_u2x8_uart1_lednop_pr_ee_u4  m164p_u2x8_uart1_lednop_pr_ee     m164p_u2x8_uart1_lednop_pr_ee_u4
 * m164pa_u2x8_uart1_lednop_pr_ee    m164pa_u2x8_uart1_lednop_pr_ee_u4 m324a_u2x8_uart1_lednop_pr_ee
 * m324a_u2x8_uart1_lednop_pr_ee_u4  m324p_u2x8_uart1_lednop_pr_ee     m324p_u2x8_uart1_lednop_pr_ee_u4
 * m324pa_u2x8_uart1_lednop_pr_ee    m324pa_u2x8_uart1_lednop_pr_ee_u4 m324pb_u2x8_uart1_lednop_pr_ee
 * m324pb_u2x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0xed9fcad304f8c9dd, 0x26fb74f82450ffff, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab, 0x877c561efd47c1b3,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xa6ed1923268e7569, 0x91bdab1aad743af3, 0xecb65cc5c2422827,
  0xf667951b047eb70d, 0x36df8189ddfb0021, 0x0603bf77e7810139, 0x7253a0137e6f3645, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0x79b09732f9b6e722, 0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x9069e4afdcd0ccb0, 0x0000000009d7c927,
};

/*
 * m164a_u2x8_uart1_lednop_pr_ce_u4  m164p_u2x8_uart1_lednop_pr_ce     m164p_u2x8_uart1_lednop_pr_ce_u4
 * m164pa_u2x8_uart1_lednop_pr_ce    m164pa_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0x7fffed9f297304f8, 0xa8e526fb74f824e9, 0xa55c5f5c921b46f6, 0x2fb892c79e3254ee, 0x07ea3e12fc436122,
  0xfac99e2ee372b7e0, 0x0f59ea3f493dcb19, 0xc580a9888b1c74fe, 0xd7a3e7659e8d219c, 0x20b348a807feccf1,
  0x13bbf6415a0796b7, 0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0xcbe6db9c31dbd8aa, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00375d69f641a792,
};

// m164p_u2x8_uart1_lednop_pr_ee_ce  m164pa_u2x8_uart1_lednop_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xd9fa1f9827c64eeb, 0x6fb74f824707fffe, 0xa37f21b46f6a8e52, 0xfcf192a77beceffa, 0x7cc273b8dcb9124a,
  0xa8f2beea53b5958f, 0xf6ffa8f83660d6bf, 0x291669d68450298a, 0xf51d484d7d185962, 0xbb4648c9a39d5db8,
  0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6, 0xb7e062777ec2cc7d, 0x80efddf9e0404e4d,
  0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0x868b2d5e5c9ab83c,
  0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65, 0x40ac834f257ee686,
  0x000000000000027e,
};

// m164p_u2x8_uart1_lednop_pr_ee_ce_u4 m164pa_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0xc2f9fd35304f8c9d, 0xa4df6e9f04bfe7fe, 0xea8e43c368ded51c, 0xb1e7942e0e25ab8b, 0x84bf10d8488bee24,
  0x5dc6e0224c03fa8f, 0xf7529dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa,
  0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000009f965be61d,
};

// m164p_u2x8_uart1_lednop_hw        m164pa_u2x8_uart1_lednop_hw
static const uint64_t ur_m164a_u2x8_uart1_lednop_hw[] = {
  0x8dddddd896b372ac, 0x7777774b0e72f175, 0xfd48f2737f5fa337, 0x26ebc6b9b5bbbb49, 0x609f193bb003d3db,
  0x094beffbe059f3d6, 0xd1bdaa3949bedd3e, 0x7ea3dac77cb08786, 0x6f920fc71d3f8341, 0x9e8d219cc580b2ca,
  0x07fecc11d7a3e765, 0x681e59eda0b348a8, 0xc9b6fc0c4eefd905, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x86ed84b997cdb739, 0x64b867a615c9f9fd, 0x961d252d964a2719,
  0x493b053c95fb9a19, 0x00000000000011c4,
};

// m164p_u2x8_uart1_lednop_ce_hw     m164pa_u2x8_uart1_lednop_ce_hw
static const uint64_t ur_m164a_u2x8_uart1_lednop_ce_hw[] = {
  0x377777625acdfc4f, 0xdddddd2c39c8bdd6, 0xde17bb3f83e971dd, 0xa09b6c6569bbbb3d, 0x5304f8c9dd85eb46,
  0xe0918fffbe059fa9, 0x6d1bdaa3949bedd3, 0xc940e64877fd7a48, 0x4e771b8e4fe77e78, 0x8f82e7b9602e3398,
  0xb10f1c74fe0f19fa, 0x838a3905398b0177, 0x0fb8e58cf1d78b9d, 0x36df8189ddfb074a, 0x0603bf77e7810139,
  0x9c94e804df9bcb75, 0x042d380bdf2a6f52, 0xa718de33a2047463, 0xcfec376c25ccbe6d, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x885171d829e4afdc, 0x0000000000000001,
};

/*
 * m164a_u2x8_uart1_lednop_ee_ce_u4_hw m164p_u2x8_uart1_lednop_ee_ce_hw
 * m164p_u2x8_uart1_lednop_ee_ce_u4_hw m164pa_u2x8_uart1_lednop_ee_ce_hw
 * m164pa_u2x8_uart1_lednop_ee_ce_u4_hw m16u2_u2x8_uart0_lednop_ee_ce_hw
 * m16u2_u2x8_uart0_lednop_ee_ce_u4_hw m16u4_u2x8_uart0_lednop_ee_ce_hw
 * m16u4_u2x8_uart0_lednop_ee_ce_u4_hw usb162_u2x8_uart0_lednop_ee_ce_hw
 * usb162_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u2x8_uart1_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xca4df6e9f04bfe7f, 0xbea8e43c368ded51, 0x4b1e7942e0e25ab8, 0xf84bf10d8488bee2,
  0xf1771b9494ce5fa8, 0x57dd4a76b736f7cc, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x0c4eefd8598fb33c,
  0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62,
  0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000a02b2dfa2,
};

/*
 * m164a_u2x8_uart1_dual_pr          m164p_u2x8_uart1_dual             m164p_u2x8_uart1_dual_pr
 * m164pa_u2x8_uart1_dual            m164pa_u2x8_uart1_dual_pr
 */
static const uint64_t ur_m164a_u2x8_uart1_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa5977e, 0xd2f792ae3375a53b, 0x2b1393848eeee9b0, 0x95377257ccf87b16,
  0x23055219bf304f8c, 0x432169bf03623d93, 0x995c7ae774f89461, 0xf60514e0e4e6f9df, 0x913f838f737a8ebe,
  0x86257f9fbe08a11c, 0xef9b91c801b87c28, 0x865a03e221955dde, 0xfffa039e136f7150, 0x4c161bcaf212db98,
  0xbedd3e091ebfe483, 0xb57f86d1bdaa3949, 0x7f0690fd47b8677c, 0x02fe1ccb5c9a8e3a, 0x22dd84fa34167316,
  0x95869371cb1823af, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x009bf37980efddf9, 0xa7c05a9c914b579d,
  0x8ce88197f8a042d2, 0x9b09732f9b69c637, 0x943458f38b935707, 0x4c2b93f75663c81f, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x00000000621ce641,
};

// m164p_u2x8_uart1_dual_pr_u4       m164pa_u2x8_uart1_dual_pr_u4
static const uint64_t ur_m164a_u2x8_uart1_dual_pr_u4[] = {
  0xeeeeedf94486d0e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b4ed6eee, 0x19eb5c1dddd3f610, 0x0b9571b414e59136,
  0x0aa42544c13e3259, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0xc1d29c0e1cc52ff3, 0x27f0752a6f51d2b6,
  0xc4aff3f7c1142392, 0xe6e58f80370f8510, 0x9687c888655777bb, 0xfe80e784c3e45421, 0x0586f2bc84b6f01b,
  0x6e9f04827ff8ea73, 0x4d4368ded51ca4df, 0xc1887f51f229df2c, 0x55079a717be38e9f, 0x19dad6475fce62c0,
  0x435403ff6608ebc0, 0x2552740f2cf6c43a, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb,
  0xbe54dea53929d009, 0xb4d5d38c6f19d103, 0x7cdb739156f62aa8, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000524e5c14c3b9,
};

/*
 * m164a_u2x8_uart1_dual_pr_ee_u4    m164p_u2x8_uart1_dual_pr_ee       m164p_u2x8_uart1_dual_pr_ee_u4
 * m164pa_u2x8_uart1_dual_pr_ee      m164pa_u2x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_dual_pr_ee[] = {
  0x777776fca2431f02, 0xeeeee1f7a7bf7ebf, 0xb172c4afb500eeee, 0xce70db08376271ba, 0xc459b42130a56a8b,
  0x649827c64c71b928, 0x81b11ec99182a901, 0xba7c4a30a190b4df, 0x00d1369afccab773, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffc753982c3795, 0xf6a8e526fb74f825, 0xbee6ab5a39121b46, 0x8f83660c14f51e56, 0x9d68450ef8aea57a,
  0x84d7d18596229166, 0x73ab4b994b8a9734, 0xa1d7a89768851ef6, 0x08a04547cf58d56b, 0xf5b86f65f4b31709,
  0x9280427f58a8d823, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804,
  0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000002b2559461dc,
};

/*
 * m164a_u2x8_uart1_dual_pr_ce_u4    m164p_u2x8_uart1_dual_pr_ce       m164p_u2x8_uart1_dual_pr_ce_u4
 * m164pa_u2x8_uart1_dual_pr_ce      m164pa_u2x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x8_uart1_dual_pr_ce[] = {
  0x777776fca2435032, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0xe557b68ff77dd855,
  0xa479ca609f193e46, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0xb47031f9866ff32a, 0xc18d69bd474b5b00,
  0xbfcfdf04508e489f, 0x8cf800dc3e144312, 0x0a2a21955ddeef9b, 0x0e784c63e2a10cb4, 0x6f2bc84b6f15bfe8,
  0xf04982ff8ea73058, 0x368ded51ca4df6e9, 0x42e0e3a5b8bea804, 0x0d8488bee24b1e79, 0xc149faffa8f84bf1,
  0xdcb19f52e678bb8d, 0x3a7f0752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647, 0xcb5b843a435403ff,
  0x2af9ddc549549d03, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x271661dcf257ee68, 0x0000000000000d24,
};

// m164p_u2x8_uart1_dual_pr_ee_ce    m164pa_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m164a_u2x8_uart1_dual_pr_ee_ce[] = {
  0x777776fcd41432db, 0x7777770f8cae3ebf, 0xf05947d3ef5c2f77, 0x6c75c90e9dbb6195, 0xe08ab2c10ce90876,
  0xba2cc13e324dd5c8, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3f5e635bfccab77, 0xd6e6f51e006c0521,
  0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xe9fff1d4e60b0de5, 0x7b5472937dba7c12, 0x358effaa37270da3, 0x32a1a0ff9e50b838, 0xed6564dd309cee37,
  0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af, 0xb1d7a89768851ef6,
  0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062,
  0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0x7cdb73863b7b1554, 0x165abc6e3cd84b99,
  0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0x8c3b9e4afdcd0ccb,
  0x000000000040015a,
};

// m164p_u2x8_uart1_dual_pr_ee_ce_u4 m164pa_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbb7e515b76d8be, 0x7770f82fb41f5fbb, 0x1aafe3fee66f7777, 0x3323bbb299f03e42, 0x0cbeb0ce34f26bc3,
  0x649dab93ceb4830f, 0x6460aa411eb9827c, 0x28642d37e06c47b2, 0xf99696fcee9f128c, 0x9b0eb338321cd495,
  0x227f066b737a8ecf, 0x0c4aff3f7c114239, 0x7cdcea700370f851, 0x65a016910caaeef7, 0xff4073c263831508,
  0x0586f2bc84b6ffaf, 0xba7c127f9ffe4053, 0x3d0da37b5472937d, 0x50bcec66ee2faa35, 0x4361222fb892c79e,
  0x6a83c83fea3e12fc, 0xdadcdcdd33c5dc6e, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xf8b9357079b09732, 0x5666fe0fdbb1a2c6, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x01317c55493c95fb, 0x0000000000000010,
};

// m164p_u2x8_uart1_dual_hw          m164pa_u2x8_uart1_dual_hw
static const uint64_t ur_m164a_u2x8_uart1_dual_hw[] = {
  0x777776fca243306a, 0x777770ffa5295ebf, 0x037589e9da76b777, 0x0cf5ae0eeee9fb08, 0x590b9557e4cd421b,
  0x460aa42544c13e32, 0x8642d37e06c47b26, 0xf32addcee9f128c2, 0xb6c1d29c0e1cc52f, 0x9227f0752a6f51d2,
  0x10c4aff3f7c11423, 0xbbe6e58f80370f85, 0x219687c888655777, 0x1bfe80e784c3e454, 0x530586f2bc84b6f0,
  0xbedd3e0904fff51c, 0x589a86d1bdaa3949, 0x3f8310fea3e453be, 0x80aa0f34e2f7c71d, 0x8033b5ac8ebf9cc5,
  0x7486a807fecc11d7, 0x2a4aa4e81e59ed88, 0x89ddfb27f157ceee, 0x77e781013936df81, 0x137e6f36450603bf,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x32f9b6e722adec55, 0x73f505d8dc79b097, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000063759705a29,
};

// m164p_u2x8_uart1_dual_ee_hw       m164pa_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m164a_u2x8_uart1_dual_ee_hw[] = {
  0xeeeeedf9448618be, 0xddddc3ef4f7efd7e, 0x62e5895f6a01dddd, 0x9ce1b6106ec4e375, 0x5d7b382d782ad517,
  0x40592609f1931c6e, 0x37e06c47b26460aa, 0xdcee9f128c28642d, 0xe1c0344da6bf32ad, 0x1d0fcdea3d8fec3f,
  0xfcfdf04508e489fc, 0x72200dc3e144312b, 0xd2a21955ddeef9b9, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0x12df7fea38a60b0d, 0xa37b5472937dba7c, 0x2b5f7355ad1c890d, 0xbd47c1b3060a7a8f, 0xb34eb422877c5752,
  0x9a426be8c2cb1148, 0x7b39d5a5cca5c54b, 0xb5d0ebd44bb4428f, 0x84845022a3e7ac6a, 0x11fadc37b2fa598b,
  0xc54940213fac546c, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000aed559545,
};

// m164p_u2x8_uart1_dual_ce_hw       m164pa_u2x8_uart1_dual_ce_hw
static const uint64_t ur_m164a_u2x8_uart1_dual_ce_hw[] = {
  0x7eeeeeedf94486f9, 0xddddddc3f0bfaefd, 0x231a939362d75bdd, 0xabec5d5f6eee8913, 0xf23729b4721ebf84,
  0x305523ce5304f8c9, 0x32169bf03623d932, 0x9956ee774f894614, 0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a,
  0x1895fe7ef8228472, 0x7cdc67c006e1f0a2, 0x65a051510caaeef7, 0xff4073c2631f1508, 0x82c3795e425b78ad,
  0x6e9f04982ffa8e29, 0x804368ded51ca4df, 0xe7942e0e3a5b8bea, 0xbf10d8488bee24b1, 0xdc6e3fcc41fa8f84,
  0xdf9ee58cfa9733c5, 0xe471d3f83a97ea38, 0xb23afe7316028283, 0x1ffb33c75e00ced6, 0xe81e5adc21d21aa0,
  0x27f157ceee2a4aa4, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9,
  0xce18edec555169ab, 0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x3752717453c95fb9, 0x0000000000000001,
};

// m164p_u2x8_uart1_dual_ee_ce_hw    m164pa_u2x8_uart1_dual_ee_ce_hw
static const uint64_t ur_m164a_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbbb7e76090c86, 0x777770f82fb41f5f, 0x1f210d57ef1ff777, 0x35e19991ddd94cf8, 0x763766f314671a79,
  0x1eb9827c649dab97, 0xe06c47b26460aa41, 0xee9f128c28642d37, 0x06439a92bf32addc, 0x6e6f51d9f361d667,
  0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2, 0x9096dff5ffe80e78,
  0xf9fea38a60b0de57, 0xb5472937dba7c127, 0x6ee2faa353d0da37, 0xf71258f3ca170706, 0xfd47c25f886c2445,
  0xba678bb8dceb3643, 0xa8f2b7f253b5b9b9, 0x701bd47c1b306be7, 0x148b34eb422814c5, 0x650ea426be8c2cb1,
  0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b, 0xf157ceee2a4a5989,
  0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x18edec555169aba7,
  0xb8f3612e65f36dce, 0x34a1854e7ea6c3b1, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0001d75c6e8a792b,
};

// m164p_u2x8_uart1_dual_ee_ce_u4_hw m164pa_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u2x8_uart1_dual_ee_ce_u4_hw[] = {
  0x77776fca28d0d4d6, 0xeeee1f05f683ebf7, 0xe421aafde3feeeee, 0xbc33323bbb299f03, 0x19f5f59b8ce34f26,
  0x5cc13e324ed5c9bb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f99761277, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xffe54930586f2bc8, 0xa3949bedd3e093fc, 0x717d51a9e86d1bda, 0x4963cf1be1838337, 0x1f097e21b09117dc,
  0x3c5dc6e292737ff5, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0x80be9e4afdcd0ccb, 0x0000000003aeb466,
};

/*
 * m164a_u2x12_uart0_noled_pr        m164p_u2x12_uart0_noled           m164p_u2x12_uart0_noled_pr
 * m164pa_u2x12_uart0_noled          m164pa_u2x12_uart0_noled_pr       m324a_u2x12_uart0_noled
 * m324a_u2x12_uart0_noled_pr        m324p_u2x12_uart0_noled           m324p_u2x12_uart0_noled_pr
 * m324pa_u2x12_uart0_noled          m324pa_u2x12_uart0_noled_pr       m324pb_u2x12_uart0_noled
 * m324pb_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m164a_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0x53fd61de7f4a9827, 0x4fe6d4faadd3e120, 0xe5843c368ded51ca, 0xe9fc1a0bf51fa03b, 0x1602cb299efb5a38,
  0xd7a3e76afe8f5873, 0x8fb33ca807fecc11, 0x256bd838f81e59ed, 0x03bd6bce70b37e06, 0x363385bcde01f506,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0xddb09732f9b62491, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x1cb5ed3c95fb9a19, 0x0000000000007c80,
};

/*
 * m164p_u2x12_uart0_noled_pr_u4     m164pa_u2x12_uart0_noled_pr_u4    m324a_u2x12_uart0_noled_pr_u4
 * m324p_u2x12_uart0_noled_pr_u4     m324pa_u2x12_uart0_noled_pr_u4    m324pb_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xffff6cfe95304f8c, 0xf36a7d56e9f09029, 0xc21e1b46f6a8e527, 0xfe0d05fa8fd01df2, 0x016594cf7dad1c74,
  0xd1f3b57f47ac398b, 0xd99e5403ff6608eb, 0xb5ec1c7c0f2cf6c7, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301,
  0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xd84b997cdb1248ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x34f257ee68665874,
  0x00000007c9e5a5c8,
};

/*
 * m164a_u2x12_uart0_noled_pr_ee_u4  m164p_u2x12_uart0_noled_pr_ee     m164p_u2x12_uart0_noled_pr_ee_u4
 * m164pa_u2x12_uart0_noled_pr_ee    m164pa_u2x12_uart0_noled_pr_ee_u4 m324a_u2x12_uart0_noled_pr_ee
 * m324a_u2x12_uart0_noled_pr_ee_u4  m324p_u2x12_uart0_noled_pr_ee     m324p_u2x12_uart0_noled_pr_ee_u4
 * m324pa_u2x12_uart0_noled_pr_ee    m324pa_u2x12_uart0_noled_pr_ee_u4 m324pb_u2x12_uart0_noled_pr_ee
 * m324pb_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0xaadd3e12297ffff6, 0x68ded51ca4fe6d4f, 0xe57224d56b4738c3, 0xd7a8f83660d31f51,
  0x8b34eb422877c57d, 0xc9a426be8c2cb114, 0x782ce756979c571a, 0x55ae875e74ddb7b4, 0xb848451cf230e363,
  0x608fd6e1bd96cb98, 0x4ad7b002a254d2a3, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca,
  0xadec55516961738c, 0xf3612e65f36c4922, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x0000000013ae2a73,
};

/*
 * m164a_u2x12_uart0_noled_pr_ce_u4  m164p_u2x12_uart0_noled_pr_ce     m164p_u2x12_uart0_noled_pr_ce_u4
 * m164pa_u2x12_uart0_noled_pr_ce    m164pa_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfffb67cbacc13e32, 0x36a7d56e9f097cef, 0xc921b46f6a8e527f, 0x3cf192a76fe5c5f5, 0x97e21b09117dc496,
  0xbb8dc7f9883f51f0, 0xe4f4f72c67eb2678, 0x9d2471d3f83d67a8, 0x6afe8f587316028f, 0xa807feccf1d7a3e7,
  0x0e3e0796b70fb33c, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1, 0xaa2d2c2e718de33a,
  0x997cdb12431dbd8a, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0006eba65ac834f2,
};

// m164p_u2x12_uart0_noled_pr_ee_ce  m164pa_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0x5ba7c2435bfffed9, 0x1bdaa3949fcda9f5, 0xde043bfea8dfc86d, 0x373acd90ff3c64a9,
  0x94ed6563df309cee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75, 0x2ce7576e9c475213,
  0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xd7b0b3a254d2a360, 0x7ad79ce166fc0c4a,
  0x670b79bc03ea0c07, 0x19d102baa9cbca6c, 0xec55516961738c6f, 0xc25ccbe6d89218ed, 0x34596af2e4d5c1e6,
  0x4e7ea75663c81f94, 0x43cc9fe04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c, 0x4f641a792bf73433,
  0x00000000000027e7,
};

// m164p_u2x12_uart0_noled_pr_ee_ce_u4 m164pa_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xf3e9b7304f8c9dd8, 0xaadd3e1219bffd85, 0x68ded51ca4fe6d4f, 0x0e1c1b8bea8e43c3, 0x488bee24b1e7942e,
  0xea49fa8f84bf10d8, 0xe6def99e2ee373a3, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983, 0x6588a459a75a1140,
  0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3, 0x3a254d2a3608991c,
  0xce166fc0c4ad7b0b, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10, 0xbe6d89218edec555,
  0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000009f83f0461dc,
};

/*
 * m164a_u2x12_uart0_lednop_pr       m164p_u2x12_uart0_lednop          m164p_u2x12_uart0_lednop_pr
 * m164pa_u2x12_uart0_lednop         m164pa_u2x12_uart0_lednop_pr      m324a_u2x12_uart0_lednop
 * m324a_u2x12_uart0_lednop_pr       m324p_u2x12_uart0_lednop          m324p_u2x12_uart0_lednop_pr
 * m324pa_u2x12_uart0_lednop         m324pa_u2x12_uart0_lednop_pr      m324pb_u2x12_uart0_lednop
 * m324pb_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m164a_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0xcff58779f9c6609f, 0x3f9b53eab74f8497, 0x964870da37b54729, 0xa7f06693d47278ef, 0x580b7ba61f3a48e3,
  0x78b9d9af91c829cc, 0xb0ac1f7b8e58c11d, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc,
  0xaba718de33a2077c, 0xb6e722adec555169, 0x8b1e70ddb09732f9, 0xc9fbab31e40d1fc6, 0x4a271964b867a615,
  0xfb9a19961d252d96, 0x000f90e735ed3c95,
};

/*
 * m164p_u2x12_uart0_lednop_pr_u4    m164pa_u2x12_uart0_lednop_pr_u4   m324a_u2x12_uart0_lednop_pr_u4
 * m324p_u2x12_uart0_lednop_pr_u4    m324pa_u2x12_uart0_lednop_pr_u4   m324pb_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0xffdb3e13e609f193, 0xda9f55ba7c24807f, 0x8786d1bdaa3949fc, 0x83417ea3dac77cb0, 0xb2ca6f920fc71d3f,
  0xe7659e8d219cc580, 0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x020270b37e06256b, 0x6f36450603bd6bcf,
  0x54dea53929d002de, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xc9db90c834f257ee, 0x0000000000000007,
};

/*
 * m164a_u2x12_uart0_lednop_pr_ee_u4 m164p_u2x12_uart0_lednop_pr_ee    m164p_u2x12_uart0_lednop_pr_ee_u4
 * m164pa_u2x12_uart0_lednop_pr_ee   m164pa_u2x12_uart0_lednop_pr_ee_u4
 * m324a_u2x12_uart0_lednop_pr_ee    m324a_u2x12_uart0_lednop_pr_ee_u4 m324p_u2x12_uart0_lednop_pr_ee
 * m324p_u2x12_uart0_lednop_pr_ee_u4 m324pa_u2x12_uart0_lednop_pr_ee
 * m324pa_u2x12_uart0_lednop_pr_ee_u4 m324pb_u2x12_uart0_lednop_pr_ee
 * m324pb_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0xab74f8494f7fffdb, 0xa37b547293f9b53e, 0x95995355ad1ce30d, 0x7ea3e0d9834c7d47,
  0x59a75a1143be2b0f, 0x4d2135f4616588a4, 0x93473ab4b9eab8d6, 0x56ba1d79d3768c91, 0xe1211413c8ded58d,
  0x823f5b86f65b2e62, 0x56bd8010fb33ca8d, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004eb938bc834f25,
};

/*
 * m164a_u2x12_uart0_lednop_pr_ce_u4 m164p_u2x12_uart0_lednop_pr_ce    m164p_u2x12_uart0_lednop_pr_ce_u4
 * m164pa_u2x12_uart0_lednop_pr_ce   m164pa_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfffb67d82cc13e32, 0x36a7d56e9f091c3f, 0xc921b46f6a8e527f, 0x79e3254eea55c5f5, 0x2fc4361222fb892c,
  0xee372b7e007ea3e1, 0xf493dcb19fac99e2, 0x88b1c74fe0f59ea3, 0x59e8d219cc580a98, 0x807feccf1d7a3e76,
  0x15a0796b720b348a, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x782e41a792bf7343, 0x000000000000375f,
};

// m164p_u2x12_uart0_lednop_pr_ee_ce m164pa_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0x6e9f09757ffffdb3, 0x6f6a8e527f36a7d5, 0x7beceffaa37f21b4, 0xdcb9124afcf192a7,
  0x53b5958f7cc273b8, 0x3660d6bfa8f2beea, 0x8450298af6ffa8f8, 0x7d185962291669d6, 0xa39d5db8f51d484d,
  0x8d8ebce9bb4648c9, 0x211413c8ded58d57, 0x132386f65b2e62e1, 0x5ec2cc7d99e546c1, 0x781013859bf0312b,
  0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545, 0xe5c9ab83cd84b997,
  0xacc7903f2868b2d5, 0xc09c69430a9cfd4e, 0x85727e03e687993f, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000027e2ecc834,
};

// m164p_u2x12_uart0_lednop_pr_ee_ce_u4 m164pa_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x7cfbfc9827c64eef, 0xf55ba7c241a3ff61, 0x6d1bdaa3949fcda9, 0xc1c4b5717d51c878, 0x09117dc4963cf285,
  0x49807f51f097e21b, 0xb9b7be678bb8dc04, 0xd6bfa8f2beea53b5, 0x298af6ffa8f83660, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0xbce9bb4648c9a39d, 0x13c8ded58d578d8e, 0x86f65b2e62e12114, 0xcc7d99e546c11323,
  0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae,
  0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x9f896d0c3b9e4afd,
};

// m164p_u2x12_uart0_dual            m164pa_u2x12_uart0_dual
static const uint64_t ur_m164a_u2x12_uart0_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87c9986ef5f, 0x1313bc880ad6c5bb, 0x29d1c7777419d0bb, 0x217257ccfb4b13b2,
  0xc154867c9827c649, 0xc85a6fc0d88f64c8, 0x571eb9dd3e251850, 0x8393387ce9a43fe6, 0x27f06fe4dea3945d,
  0xc4aff3f7c1142392, 0xf3702d00370f8510, 0xcb41ef4432abbbdd, 0xfe80e784c37e2a10, 0x0586f2bc84b6f1ef,
  0x5ba7c25a57f920d3, 0x1bdaa3949fcda9f5, 0xea388a77cb57f86d, 0xc906fc71d3f83487, 0x91bda398b017f0e6,
  0xc72c608ebc8b7627, 0x57ceee2a4a5609fd, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x079b09732f9b6e72, 0xa615c9f9fd8b9357, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x0000000196fdbb20,
};

/*
 * m164a_u2x12_uart0_dual_pr_u4      m164p_u2x12_uart0_dual_pr         m164p_u2x12_uart0_dual_pr_u4
 * m164pa_u2x12_uart0_dual_pr        m164pa_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_dual_pr[] = {
  0x7776fc60f4486e7c, 0x77770f9337adebf7, 0xa73338e3a75b7777, 0xac323bdddd697644, 0xb96cdb4f16a1f8d8,
  0x548b919827c6495b, 0x5a6fc0d88f64c8c1, 0x5bb9dd3e251850c8, 0x1c33814b9982fe65, 0xfe0ff74dea3ba5d8,
  0x95fe7ef822847244, 0x6e7fc006e1f0a218, 0x682f888655777bbe, 0xe80e784cf7c54219, 0x586f2bc84b6f52bf,
  0xba7c25dd7f8ea730, 0xbdaa3949fcda9f55, 0xa3e453be589a86d1, 0xe2f7c71d3f8310fe, 0x8ebf9cc580aa0f34,
  0xfecc11d78033b5ac, 0x1e59ed887486a807, 0xf157ceee2a4aa4e8, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x0dc79b09732f9b6e, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x49df5418773c95fb, 0x000000000000000a,
};

/*
 * m164a_u2x12_uart0_dual_pr_ee_u4   m164p_u2x12_uart0_dual_pr_ee      m164p_u2x12_uart0_dual_pr_ee_u4
 * m164pa_u2x12_uart0_dual_pr_ee     m164pa_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_dual_pr_ee[] = {
  0xdddbf183d121a5fb, 0xbbb87d4dd17fafdd, 0x5e9f7f6b42dbbbbb, 0x865c6c8ee9912945, 0x1aeb87c55955f5a0,
  0x5cc13e3260ddca59, 0x1b11ec99182a90cf, 0xa7c4a30a190b4df8, 0xd3533fcfccab773b, 0xf9bd47ff9b00d070,
  0xbe08a11c913f83e9, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x99c9c54219681c34, 0x212dbd0fffd01cf0,
  0x37fe3a9cc161bcaf, 0x4fe6d4faadd3e12d, 0xb47224368ded51ca, 0x1829ea3cad7dcd56, 0x1df15d4af51f06cc,
  0x0b2c4522cd3ad08a, 0x3297152e6909afa3, 0x2ed10a3dece75697, 0x8f9eb1aad743af51, 0xcbe9662e1211408a,
  0xfeb151b047eb70de, 0xf8abe77715250084, 0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x2b22680c3b9e4afd,
};

/*
 * m164a_u2x12_uart0_dual_pr_ce_u4   m164p_u2x12_uart0_dual_pr_ce      m164p_u2x12_uart0_dual_pr_ce_u4
 * m164pa_u2x12_uart0_dual_pr_ce     m164pa_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart0_dual_pr_ce[] = {
  0xbbb7e307a2437089, 0x7770fd8fb17f5fbb, 0x116a3b5b73b77777, 0x57fdaddddb8302cb, 0xf27acaaefada0eb9,
  0xea74c13e32560dca, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe033736ed7e655bb, 0x4ea6f51c2d6c0c7c,
  0x3f7c114239227f06, 0x980370f8510c4aff, 0x688655777bbe6e75, 0xe134068a8432d072, 0xaf212db8d6ffa039,
  0x2c09fe3a9cc161bc, 0xca4fe6d4faadd3e1, 0xb8bea804368ded51, 0xe24b1e7942e0e3a5, 0xa8f84bf10d8488be,
  0xe678bb8dc149faff, 0xfd471bf3dcb19f52, 0x50507c8e3a7f0752, 0x19dad6475fce62c0, 0x435403ff6678ebc0,
  0x49549d03cb5b843a, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000d2479b661d,
};

// m164p_u2x12_uart0_dual_pr_ee_ce   m164pa_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeedf8c1f5050cf68, 0xddc3fb6f66fd7eee, 0x44fcfbdb41dddddd, 0x682471dd6c5f6bbb, 0xeb336dd987c842eb,
  0x827c6494ab9347d4, 0x47b26460aa46f3e9, 0x128c28642d37e06c, 0x9a61bf32addcee9f, 0xa8e29361fae7035b,
  0x14239227f075bf37, 0x0f8510c4aff3f7c1, 0xaeef77cdc0000037, 0xd150865a115910ca, 0x6f6b7ff4073c2695,
  0x8ea730586f2bc84b, 0x6a7d56e9f0958fff, 0x4e1b46f6a8e527f3, 0xa170706b1dff546e, 0x39dc6e654341ff3c,
  0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45, 0x0a3dece7576e3287,
  0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1, 0x37e06256bd93f8ab,
  0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x20013eb98773c95f,
};

// m164p_u2x12_uart0_dual_pr_ee_ce_u4 m164pa_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b77bf5b, 0xb87da9b4f7afdddd, 0x00fd5f7af7bbbbbb, 0x0bdd39dd77ee30f9, 0x90173683395c469c,
  0x24eb5c99bd601382, 0x2305520f9f4c13e3, 0x432169bf03623d93, 0xccb4b7e774f89461, 0xd83219c292a6672f,
  0x13f839869bd47eb3, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x5a063e88655777bb, 0xe80e784dd5f15086,
  0xb0de579096dcd6ff, 0xa7c25883ffc80a60, 0xdaa3949fcda9f55b, 0x37717d51a9e86d1b, 0x7dc4963cf285e763,
  0xff51f097e21b0911, 0xe99e2ee373541e41, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315,
  0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec,
  0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x2aa49e4afdcd0ccb, 0x0000000004001b90,
};

// m164p_u2x12_uart0_dual_hw         m164pa_u2x12_uart0_dual_hw
static const uint64_t ur_m164a_u2x12_uart0_dual_hw[] = {
  0x776fc60f44864541, 0x7770f9337adebf77, 0x73338e3a75b77777, 0xc323bdddd697644a, 0xddc900937b87cd8a,
  0x0aa45c8cc13e324a, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0xc0e19c0a5ccc17f3, 0x27f07fba6f51dd2e,
  0xc4aff3f7c1142392, 0xf373fe00370f8510, 0xcb417c4432abbbdd, 0xff4073c267be2a10, 0x82c3795e425b7a95,
  0x5ba7c25dd7fa8e29, 0x1bdaa3949fcda9f5, 0xea3e453be589a86d, 0x4e2f7c71d3f8310f, 0xc8ebf9cc580aa0f3,
  0x7fecc11d78033b5a, 0x81e59ed887486a80, 0x7f157ceee2a4aa4e, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xe722adec555169ab, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x375bea8a29e4afdc,
  0x0000000000000006,
};

// m164p_u2x12_uart0_dual_ee_hw      m164pa_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m164a_u2x12_uart0_dual_ee_hw[] = {
  0xbbb7e307a2435032, 0x7770fa9ba2ff5fbb, 0xbd3efed685b77777, 0x0cb8d91dd322528a, 0xbdb47f7bb2abeb41,
  0x3d7304f8c983772a, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc34d4cff3f32addc, 0xa7e6f51ffe6c0341,
  0x7ef822847244fe0f, 0xa006e1f0a21895fe, 0xd10caaeef77cdc24, 0xc26727150865a070, 0xbc84b6f43fff4073,
  0x69bff51c530586f2, 0x527f36a7d56e9f09, 0xb5a39121b46f6a8e, 0x60c14f51e56bee6a, 0x50ef8aea57a8f836,
  0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a, 0xf65f4b3170908a04,
  0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0aed26828a792bf7,
};

// m164p_u2x12_uart0_dual_ce_hw      m164pa_u2x12_uart0_dual_ce_hw
static const uint64_t ur_m164a_u2x12_uart0_dual_ce_hw[] = {
  0x776fc60f44869a4e, 0xeee1fb1f62febf77, 0x22d476b6e76eeeee, 0xaffb5bbbb7060596, 0x971fd463a3c31d72,
  0x91d4e9827c64ac1b, 0x4df81b11ec99182a, 0x773ba7c4a30a190b, 0xf9c066e6ddafccab, 0x0c9d4dea385ad818,
  0xfe7ef822847244fe, 0xeb3006e1f0a21895, 0xe4d10caaeef77cdc, 0x73c2680d150865a0, 0x795e425b71adff40,
  0x84b027fa8e2982c3, 0x47293f9b53eab74f, 0x96e2faa010da37b5, 0xfb892c79e50b838e, 0x7ea3e12fc4361222,
  0xa5ccf1771b8ff310, 0xa5fa8e37e7b9633e, 0x80a0a0f91c74fe0e, 0x8033b5ac8ebf9cc5, 0x7486a807feccf1d7,
  0x8a92a93a0796b708, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000004dd5e6dd1,
};

// m164p_u2x12_uart0_dual_ee_ce_hw   m164pa_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m164a_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbb7e307d41435202, 0x770fedbd9bf5fbbb, 0x13f3ef6d07777777, 0xa091c775b17daeed, 0xb69be6be1f210bad,
  0x9827c6494ab9390e, 0xc47b26460aa46f3e, 0xf128c28642d37e06, 0xb9a61bf32addcee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xf51c530586f2bc84, 0x6d4faadd3e12b1ff, 0xc9c368ded51ca4fe, 0x942e0e0d63bfea8d, 0x139dc6e759b21fe7,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb37e06256bd93f8a,
  0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c,
  0x50c2a73f5361d8dc, 0x80f9a1e64ff0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x1d754faf453c95fb,
};

// m164p_u2x12_uart0_dual_ee_ce_u4_hw m164pa_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xddbf183d1468bb90, 0xbb87da9b4f7afddd, 0x87c8077eafbbbbbb, 0x34e05ee9ceebbf71, 0x57eff5b9b419cae2,
  0x304f8c93ad723522, 0x88f64c8c15483e7d, 0xe251850c85a6fc0d, 0x533397e65d849dd3, 0xea3f59ec190ce149,
  0x4508e489fc1cc34d, 0xc3e144312bfcfdf0, 0xabbbddf37170400d, 0xf8a8432d031f4432, 0x6e6b7ff4073c26ea,
  0xe54930586f2bc84b, 0x6a7d56e9f09620ff, 0x7a1b46f6a8e527f3, 0xf860e0cddc5f546a, 0x6c2445f71258f3c6,
  0xa49cdffd47c25f88, 0x6b737374cf1771b8, 0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684,
  0x9d5db8ca1d484d7d, 0x8ebd44bb4428f7b3, 0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113,
  0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xbe6db9c31dbd8aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000ebaaea902fa79,
};

/*
 * m164a_u2x12_uart1_noled_pr        m164p_u2x12_uart1_noled           m164p_u2x12_uart1_noled_pr
 * m164pa_u2x12_uart1_noled          m164pa_u2x12_uart1_noled_pr       m324a_u2x12_uart1_noled
 * m324a_u2x12_uart1_noled_pr        m324p_u2x12_uart1_noled           m324p_u2x12_uart1_noled_pr
 * m324pa_u2x12_uart1_noled          m324pa_u2x12_uart1_noled_pr       m324pb_u2x12_uart1_noled
 * m324pb_u2x12_uart1_noled_pr
 */
static const uint64_t ur_m164a_u2x12_uart1_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0x53fd61de7f4a9827, 0x9fcda9f55ba7c120, 0xcb08786d1bdaa394, 0xd3f83417ea3f4077, 0x2c0596533df6b471,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x9ddfb071f03cb3db, 0x3bf77e73936df818, 0xc6726fcde01f5060,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0xb612e65f36c4922a, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x96bda792bf734332, 0x00000000000f9003,
};

/*
 * m164p_u2x12_uart1_noled_pr_u4     m164pa_u2x12_uart1_noled_pr_u4    m324a_u2x12_uart1_noled_pr_u4
 * m324p_u2x12_uart1_noled_pr_u4     m324pa_u2x12_uart1_noled_pr_u4    m324pb_u2x12_uart1_noled_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xffff6cfe95304f8c, 0xe6d4faadd3e09029, 0x843c368ded51ca4f, 0xfc1a0bf51fa03be5, 0x02cb299efb5a38e9,
  0xa3e76afe8f587316, 0xb33ca807fecc11d7, 0xefd838f81e59ed8f, 0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x09732f9b6249156f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000f93cb4b906,
};

/*
 * m164a_u2x12_uart1_noled_pr_ee_u4  m164p_u2x12_uart1_noled_pr_ee     m164p_u2x12_uart1_noled_pr_ee_u4
 * m164pa_u2x12_uart1_noled_pr_ee    m164pa_u2x12_uart1_noled_pr_ee_u4 m324a_u2x12_uart1_noled_pr_ee
 * m324a_u2x12_uart1_noled_pr_ee_u4  m324p_u2x12_uart1_noled_pr_ee     m324p_u2x12_uart1_noled_pr_ee_u4
 * m324pa_u2x12_uart1_noled_pr_ee    m324pa_u2x12_uart1_noled_pr_ee_u4 m324pb_u2x12_uart1_noled_pr_ee
 * m324pb_u2x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0x55ba7c12297ffff6, 0xd1bdaa3949fcda9f, 0xcae449aad68e7186, 0xaf51f06cc1a63ea3,
  0x1669d68450ef8afb, 0x93484d7d18596229, 0xf059cead2f38ae35, 0xab5d0ebce9bb6f68, 0x70908a39e461c6c6,
  0xc11fadc37b2d9731, 0x3bbf600544a9a546, 0x77eefce726dbf031, 0x8ce4df9bc03ea0c0, 0xe33a20575539794d,
  0xbd8aaa2d2c2e718d, 0x6c25ccbe6d892455, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x1a792bf734332c3a, 0x0000000275c54e64,
};

/*
 * m164a_u2x12_uart1_noled_pr_ce_u4  m164p_u2x12_uart1_noled_pr_ce     m164p_u2x12_uart1_noled_pr_ce_u4
 * m164pa_u2x12_uart1_noled_pr_ce    m164pa_u2x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfffb67cbacc13e32, 0x6d4faadd3e097cef, 0x924368ded51ca4fe, 0x79e3254edfcb8beb, 0x2fc4361222fb892c,
  0x771b8ff3107ea3e1, 0xc9e9ee58cfd64cf1, 0x3a48e3a7f07acf51, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0x9ce4db7e062777ec, 0xf37807d4180efddf, 0x0aeaa72f29b19c9b, 0x45a585ce31bc6744,
  0x2f9b624863b7b155, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00dd74cb59069e4a,
};

// m164p_u2x12_uart1_noled_pr_ee_ce  m164pa_u2x12_uart1_noled_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart1_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xb74f82435bfffed9, 0x37b547293f9b53ea, 0xbc0877fd51bf90da, 0x6e759b21fe78c953,
  0x29dacac7be6139dc, 0x1b306b5fd4795f51, 0x422814c5613fd47c, 0xbe8c2cb1148b34eb, 0x59ceaedd388ea426,
  0x8d8ebce9bb6f68f0, 0x211473c8c38d8d57, 0x132386f65b2e62e1, 0xbf616744a9a546c1, 0xeefce726dbf0313b,
  0xe4df9bc03ea0c077, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x4b997cdb12431dbd, 0x8b2d5e5c9ab83cd8,
  0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592, 0xec834f257ee68665,
  0x000000000004fce9,
};

// m164p_u2x12_uart1_noled_pr_ee_ce_u4 m164pa_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart1_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xf3e9b7304f8c9dd8, 0x55ba7c1219bffd85, 0xd1bdaa3949fcda9f, 0x1c383717d51c8786, 0x9117dc4963cf285c,
  0xd493f51f097e21b0, 0xcdbdf33c5dc6e747, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00013f07e08c3b9e,
};

// m164p_u2x12_uart1_noled_hw        m164pa_u2x12_uart1_noled_hw
static const uint64_t ur_m164a_u2x12_uart1_noled_hw[] = {
  0x7777624eed66e614, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0x7c64ee8dbc77af4f,
  0x053fef8167f4a982, 0x49fcda9f55ba7c12, 0x7cb08786d1bdaa39, 0x1d3f83417ea3f407, 0x62c0596533df6b47,
  0x3af47ced5fd1eb0e, 0xb1f6679500ffd982, 0x89ddfb071f03cb3d, 0x03bf77e73936df81, 0x6c6726fcde01f506,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xbb612e65f36c4922, 0x2e19e985727e7f61, 0x87494b659289c659,
  0x2ec14f257ee68665, 0x000000000011c407,
};

// m164p_u2x12_uart1_noled_ce_hw     m164pa_u2x12_uart1_noled_ce_hw
static const uint64_t ur_m164a_u2x12_uart1_noled_ce_hw[] = {
  0xddddd893bb59bb37, 0xbbbbbba5861c1958, 0x34175f5a789df1fb, 0xc401b6d22eeeee82, 0xc13e32776c7b21a6,
  0x12913fef8167c3dc, 0x3949fcda9f55ba7c, 0x877fd7a486d1bdaa, 0xe4fe77e78c940e02, 0x9602e33984e771b8,
  0x4fe0f19fa8e21e7b, 0x3398b0177bc171c7, 0x678ebc5cecf691e3, 0x13bbf60ea89dc72c, 0x077eefce726dbf03,
  0xd8ce4df9bc03ea0c, 0xde33a20575539794, 0xdbd8aaa2d2c2e718, 0xed84b997cdb12431, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0xfb053c95fb9a1996, 0x00000000006214fa,
};

/*
 * m164a_u2x12_uart1_noled_ee_ce_u4_hw m164p_u2x12_uart1_noled_ee_ce_hw
 * m164p_u2x12_uart1_noled_ee_ce_u4_hw m164pa_u2x12_uart1_noled_ee_ce_hw
 * m164pa_u2x12_uart1_noled_ee_ce_u4_hw m16u2_u2x12_uart0_noled_ee_ce_hw
 * m16u2_u2x12_uart0_noled_ee_ce_u4_hw m16u4_u2x12_uart0_noled_ee_ce_hw
 * m16u4_u2x12_uart0_noled_ee_ce_u4_hw usb162_u2x12_uart0_noled_ee_ce_hw
 * usb162_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u2x12_uart1_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x3eab74f824337fec, 0x0da37b547293f9b5, 0xb838706e2faa390f, 0x61222fb892c79e50,
  0x545c8fea3e12fc43, 0xadcdbdf33c5dc6e2, 0x06b5fd4795f5129d, 0x814c5613fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd388ea426be8, 0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132,
  0xce726dbf0313bbf6, 0xf9bc03ea0c077eef, 0x0575539794d8ce4d, 0xa2d2c2e718de33a2, 0x97cdb12431dbd8aa,
  0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000005010fc1514f,
};

/*
 * m164a_u2x12_uart1_lednop_pr       m164p_u2x12_uart1_lednop          m164p_u2x12_uart1_lednop_pr
 * m164pa_u2x12_uart1_lednop         m164pa_u2x12_uart1_lednop_pr      m324a_u2x12_uart1_lednop
 * m324a_u2x12_uart1_lednop_pr       m324p_u2x12_uart1_lednop          m324p_u2x12_uart1_lednop_pr
 * m324pa_u2x12_uart1_lednop         m324pa_u2x12_uart1_lednop_pr      m324pb_u2x12_uart1_lednop
 * m324pb_u2x12_uart1_lednop_pr
 */
static const uint64_t ur_m164a_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0xcff58779f9c6609f, 0x7f36a7d56e9f0497, 0x2c90e1b46f6a8e52, 0x4fe0cd27a8e4f1df, 0xb016f74c3e7491c7,
  0xf173b35f23905398, 0x61583ef71cb1823a, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x01f21ce6bda792bf,
};

/*
 * m164p_u2x12_uart1_lednop_pr_u4    m164pa_u2x12_uart1_lednop_pr_u4   m324a_u2x12_uart1_lednop_pr_u4
 * m324p_u2x12_uart1_lednop_pr_u4    m324pa_u2x12_uart1_lednop_pr_u4   m324pb_u2x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0xffdb3e13e609f193, 0xb53eab74f824807f, 0x0f0da37b547293f9, 0x0682fd47b58ef961, 0x6594df241f8e3a7f,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x3b7219069e4afdcd, 0x00000000000000f9,
};

/*
 * m164a_u2x12_uart1_lednop_pr_ee_u4 m164p_u2x12_uart1_lednop_pr_ee    m164p_u2x12_uart1_lednop_pr_ee_u4
 * m164pa_u2x12_uart1_lednop_pr_ee   m164pa_u2x12_uart1_lednop_pr_ee_u4
 * m324a_u2x12_uart1_lednop_pr_ee    m324a_u2x12_uart1_lednop_pr_ee_u4 m324p_u2x12_uart1_lednop_pr_ee
 * m324p_u2x12_uart1_lednop_pr_ee_u4 m324pa_u2x12_uart1_lednop_pr_ee
 * m324pa_u2x12_uart1_lednop_pr_ee_u4 m324pb_u2x12_uart1_lednop_pr_ee
 * m324pb_u2x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0x56e9f0494f7fffdb, 0x46f6a8e527f36a7d, 0x2b32a6ab5a39c61b, 0xfd47c1b30698fa8f,
  0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923, 0xc242282791bdab1a,
  0x047eb70decb65cc5, 0xddfb0021f667951b, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09d727179069e4af,
};

/*
 * m164a_u2x12_uart1_lednop_pr_ce_u4 m164p_u2x12_uart1_lednop_pr_ce    m164p_u2x12_uart1_lednop_pr_ce_u4
 * m164pa_u2x12_uart1_lednop_pr_ce   m164pa_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfffb67d82cc13e32, 0x6d4faadd3e091c3f, 0x924368ded51ca4fe, 0xf3c64a9dd4ab8beb, 0x5f886c2445f71258,
  0xdc6e56fc00fd47c2, 0xe927b9633f5933c5, 0x11638e9fc1eb3d47, 0xb3d1a43398b01531, 0x00ffd99e3af47cec,
  0x2b40f2d6e4166915, 0x4e4db7e062777ec8, 0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x05c834f257ee6866, 0x000000000006ebef,
};

// m164p_u2x12_uart1_lednop_pr_ee_ce m164pa_u2x12_uart1_lednop_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xdd3e09757ffffdb3, 0xded51ca4fe6d4faa, 0xf7d9dff546fe4368, 0xb9722495f9e3254e,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57dd4, 0x08a05315edff51f0, 0xfa30b2c4522cd3ad, 0x473abb71ea3a909a,
  0x1b1d79d3768c9193, 0x42282791bdab1aaf, 0x26470decb65cc5c2, 0xfd8598fb33ca8d82, 0xc0809c9b6fc0c4ee,
  0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0xb9357079b09732f9,
  0x98f207e50d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000004fc5d99069e,
};

// m164p_u2x12_uart1_lednop_pr_ee_ce_u4 m164pa_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x7cfbfc9827c64eef, 0xeab74f8241a3ff61, 0xda37b547293f9b53, 0x83896ae2faa390f0, 0x1222fb892c79e50b,
  0x9300fea3e12fc436, 0x736f7ccf1771b808, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647,
  0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0xf12da18773c95fb9, 0x0000000000000013,
};

// m164p_u2x12_uart1_lednop_hw       m164pa_u2x12_uart1_lednop_hw
static const uint64_t ur_m164a_u2x12_uart1_lednop_hw[] = {
  0x7777624eed66fcc5, 0xeeeee9618706bd63, 0x517bd9efdb76deee, 0x4aebfc4eeee91016, 0xf8c9dda86a6f70af,
  0x00ffbe059f09f304, 0x27f36a7d56e9f049, 0xf2c21e1b46f6a8e5, 0x74fe0d05fa8f6b1d, 0x1602cb29be483f1c,
  0x5e8f9d967a348673, 0x82cd22a01ffb3047, 0x3bbf6415a07967b6, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee,
  0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x5727e7f61bb612e6, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x00011c438bec14f2,
};

// m164p_u2x12_uart1_lednop_ce_hw    m164pa_u2x12_uart1_lednop_ce_hw
static const uint64_t ur_m164a_u2x12_uart1_lednop_ce_hw[] = {
  0xddddd893bb59bb37, 0xdddddd2c30e56958, 0x2341da1377ef8fdd, 0x6c401b6f8feeeee8, 0x4c13e32776c7b21a,
  0x82501bfef8167ff7, 0x47293f9b53eab74f, 0x90effaf490da37b5, 0x1c9fcefcf19281cc, 0x72c05c67309cee37,
  0xe9fc1e33f51f05cf, 0x0a731602ef621e38, 0x19e3af173b071472, 0x13bbf60e941f71cb, 0xefcf0202726dbf03,
  0x09bf3796ea0c077e, 0x17be54dea53929d0, 0x674408e8c6085a70, 0xd84b997cdb4e31bc, 0x867a615c9f9fd86e,
  0xd252d964a271964b, 0xb053c95fb9a19961, 0x0000000006214faf,
};

/*
 * m164a_u2x12_uart1_lednop_ee_ce_u4_hw m164p_u2x12_uart1_lednop_ee_ce_hw
 * m164p_u2x12_uart1_lednop_ee_ce_u4_hw m164pa_u2x12_uart1_lednop_ee_ce_hw
 * m164pa_u2x12_uart1_lednop_ee_ce_u4_hw m16u2_u2x12_uart0_lednop_ee_ce_hw
 * m16u2_u2x12_uart0_lednop_ee_ce_u4_hw m16u4_u2x12_uart0_lednop_ee_ce_hw
 * m16u4_u2x12_uart0_lednop_ee_ce_u4_hw usb162_u2x12_uart0_lednop_ee_ce_hw
 * usb162_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0xa7d56e9f048347fb, 0xe1b46f6a8e527f36, 0x170712d5c5f54721, 0x6c2445f71258f3ca,
  0xa4a672fd47c25f88, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x28092da514f257ee,
};

// m164p_u2x12_uart1_dual            m164pa_u2x12_uart1_dual
static const uint64_t ur_m164a_u2x12_uart1_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87c9986ef5f, 0x1313bc880ad6c5bb, 0x29d1c7777419d0bb, 0x217257ccfb4b13b2,
  0xc154867c9827c649, 0xc85a6fc0d88f64c8, 0x571eb9dd3e251850, 0x8393387ce9a43fe6, 0x27f06fe4dea3945d,
  0xc4aff3f7c1142392, 0xf3702d00370f8510, 0xcb41ef4432abbbdd, 0xfe80e784c37e2a10, 0x0586f2bc84b6f1ef,
  0xb74f825a57f920d3, 0x37b547293f9b53ea, 0xd47114ef96aff0da, 0x920df8e3a7f0690f, 0x237b4731602fe1cd,
  0x8e58c11d7916ec4f, 0xaf9ddc5494ac13fb, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xc2b93f3fb1726ae0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000032dfb7641a,
};

/*
 * m164a_u2x12_uart1_dual_pr_u4      m164p_u2x12_uart1_dual_pr         m164p_u2x12_uart1_dual_pr_u4
 * m164pa_u2x12_uart1_dual_pr        m164pa_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_dual_pr[] = {
  0x7776fc60f4486e7c, 0x77770f9337adebf7, 0xa73338e3a75b7777, 0xac323bdddd697644, 0xb96cdb4f16a1f8d8,
  0x548b919827c6495b, 0x5a6fc0d88f64c8c1, 0x5bb9dd3e251850c8, 0x1c33814b9982fe65, 0xfe0ff74dea3ba5d8,
  0x95fe7ef822847244, 0x6e7fc006e1f0a218, 0x682f888655777bbe, 0xe80e784cf7c54219, 0x586f2bc84b6f52bf,
  0x74f825dd7f8ea730, 0x7b547293f9b53eab, 0x47c8a77cb1350da3, 0xc5ef8e3a7f0621fd, 0x1d7f398b01541e69,
  0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0, 0x726dbf0313bbf64f, 0x8a0c077eefcf0202,
  0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x3bea830ee792bf73, 0x0000000000000149,
};

/*
 * m164a_u2x12_uart1_dual_pr_ee_u4   m164p_u2x12_uart1_dual_pr_ee      m164p_u2x12_uart1_dual_pr_ee_u4
 * m164pa_u2x12_uart1_dual_pr_ee     m164pa_u2x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_dual_pr_ee[] = {
  0xdddbf183d121a5fb, 0xbbb87d4dd17fafdd, 0x5e9f7f6b42dbbbbb, 0x865c6c8ee9912945, 0x1aeb87c55955f5a0,
  0x5cc13e3260ddca59, 0x1b11ec99182a90cf, 0xa7c4a30a190b4df8, 0xd3533fcfccab773b, 0xf9bd47ff9b00d070,
  0xbe08a11c913f83e9, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x99c9c54219681c34, 0x212dbd0fffd01cf0,
  0x37fe3a9cc161bcaf, 0x9fcda9f55ba7c12d, 0x68e4486d1bdaa394, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x644d018773c95fb9,
  0x0000000000000005,
};

/*
 * m164a_u2x12_uart1_dual_pr_ce_u4   m164p_u2x12_uart1_dual_pr_ce      m164p_u2x12_uart1_dual_pr_ce_u4
 * m164pa_u2x12_uart1_dual_pr_ce     m164pa_u2x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_u2x12_uart1_dual_pr_ce[] = {
  0xbbb7e307a2437089, 0x7770fd8fb17f5fbb, 0x116a3b5b73b77777, 0x57fdaddddb8302cb, 0xf27acaaefada0eb9,
  0xea74c13e32560dca, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe033736ed7e655bb, 0x4ea6f51c2d6c0c7c,
  0x3f7c114239227f06, 0x980370f8510c4aff, 0x688655777bbe6e75, 0xe134068a8432d072, 0xaf212db8d6ffa039,
  0x2c09fe3a9cc161bc, 0x949fcda9f55ba7c1, 0x717d50086d1bdaa3, 0xc4963cf285c1c74b, 0x51f097e21b09117d,
  0xccf1771b8293f5ff, 0xfa8e37e7b9633ea5, 0xa0a0f91c74fe0ea5, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780,
  0x92a93a0796b70874, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804,
  0x5a6ae9c6378ce881, 0x7cdb73863b7b1554, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001a48f36cc3b9,
};

// m164p_u2x12_uart1_dual_pr_ee_ce   m164pa_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m164a_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeedf8c1f5050cf68, 0xddc3fb6f66fd7eee, 0x44fcfbdb41dddddd, 0x682471dd6c5f6bbb, 0xeb336dd987c842eb,
  0x827c6494ab9347d4, 0x47b26460aa46f3e9, 0x128c28642d37e06c, 0x9a61bf32addcee9f, 0xa8e29361fae7035b,
  0x14239227f075bf37, 0x0f8510c4aff3f7c1, 0xaeef77cdc0000037, 0xd150865a115910ca, 0x6f6b7ff4073c2695,
  0x8ea730586f2bc84b, 0xd4faadd3e0958fff, 0x9c368ded51ca4fe6, 0x42e0e0d63bfea8dc, 0x73b8dcca8683fe79,
  0xb7f253b5959374c2, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e,
  0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0xdf8189ddfb27f157,
  0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0027d730ee792bf7, 0x0000000000000004,
};

// m164p_u2x12_uart1_dual_pr_ee_ce_u4 m164pa_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b77bf5b, 0xb87da9b4f7afdddd, 0x00fd5f7af7bbbbbb, 0x0bdd39dd77ee30f9, 0x90173683395c469c,
  0x24eb5c99bd601382, 0x2305520f9f4c13e3, 0x432169bf03623d93, 0xccb4b7e774f89461, 0xd83219c292a6672f,
  0x13f839869bd47eb3, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x5a063e88655777bb, 0xe80e784dd5f15086,
  0xb0de579096dcd6ff, 0x4f825883ffc80a60, 0xb547293f9b53eab7, 0x6ee2faa353d0da37, 0xfb892c79e50bcec6,
  0xfea3e12fc4361222, 0xd33c5dc6e6a83c83, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b,
  0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9,
  0x8abe77715252cc4f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2, 0xc6f19d103be54dea,
  0xc76f62aa8b4d5d38, 0x079b09732f9b6e70, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5493c95fb9a19961, 0x0000000080037205,
};

// m164p_u2x12_uart1_dual_hw         m164pa_u2x12_uart1_dual_hw
static const uint64_t ur_m164a_u2x12_uart1_dual_hw[] = {
  0x776fc60f44864541, 0x7770f9337adebf77, 0x73338e3a75b77777, 0xc323bdddd697644a, 0xddc900937b87cd8a,
  0x0aa45c8cc13e324a, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0xc0e19c0a5ccc17f3, 0x27f07fba6f51dd2e,
  0xc4aff3f7c1142392, 0xf373fe00370f8510, 0xcb417c4432abbbdd, 0xff4073c267be2a10, 0x82c3795e425b7a95,
  0xb74f825dd7fa8e29, 0x37b547293f9b53ea, 0xd47c8a77cb1350da, 0x9c5ef8e3a7f0621f, 0x91d7f398b01541e6,
  0xffd9823af00676b5, 0x03cb3db10e90d500, 0xfe2af9ddc549549d, 0x2726dbf0313bbf64, 0xc8a0c077eefcf020,
  0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x1b8f3612e65f36dc, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xeb7d51453c95fb9a,
  0x00000000000000c6,
};

// m164p_u2x12_uart1_dual_ee_hw      m164pa_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m164a_u2x12_uart1_dual_ee_hw[] = {
  0xbbb7e307a2435032, 0x7770fa9ba2ff5fbb, 0xbd3efed685b77777, 0x0cb8d91dd322528a, 0xbdb47f7bb2abeb41,
  0x3d7304f8c983772a, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc34d4cff3f32addc, 0xa7e6f51ffe6c0341,
  0x7ef822847244fe0f, 0xa006e1f0a21895fe, 0xd10caaeef77cdc24, 0xc26727150865a070, 0xbc84b6f43fff4073,
  0x69bff51c530586f2, 0xa4fe6d4faadd3e09, 0x6b47224368ded51c, 0xc1829ea3cad7dcd5, 0xa1df15d4af51f06c,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc6e3cd84b997cdb7, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x5da4d0514f257ee6, 0x0000000000000001,
};

// m164p_u2x12_uart1_dual_ce_hw      m164pa_u2x12_uart1_dual_ce_hw
static const uint64_t ur_m164a_u2x12_uart1_dual_ce_hw[] = {
  0x776fc60f44869a4e, 0xeee1fb1f62febf77, 0x22d476b6e76eeeee, 0xaffb5bbbb7060596, 0x971fd463a3c31d72,
  0x91d4e9827c64ac1b, 0x4df81b11ec99182a, 0x773ba7c4a30a190b, 0xf9c066e6ddafccab, 0x0c9d4dea385ad818,
  0xfe7ef822847244fe, 0xeb3006e1f0a21895, 0xe4d10caaeef77cdc, 0x73c2680d150865a0, 0x795e425b71adff40,
  0x04b027fa8e2982c3, 0x8e527f36a7d56e9f, 0x2dc5f54021b46f6a, 0xf71258f3ca17071d, 0xfd47c25f886c2445,
  0x4b99e2ee371fe620, 0x4bf51c6fcf72c67d, 0x014141f238e9fc1d, 0x00676b591d7f398b, 0xe90d500ffd99e3af,
  0x152552740f2d6e10, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000009babcdba29,
};

// m164p_u2x12_uart1_dual_ee_ce_hw   m164pa_u2x12_uart1_dual_ee_ce_hw
static const uint64_t ur_m164a_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbb7e307d41435202, 0x770fedbd9bf5fbbb, 0x13f3ef6d07777777, 0xa091c775b17daeed, 0xb69be6be1f210bad,
  0x9827c6494ab9390e, 0xc47b26460aa46f3e, 0xf128c28642d37e06, 0xb9a61bf32addcee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xf51c530586f2bc84, 0xda9f55ba7c12b1ff, 0x9386d1bdaa3949fc, 0x285c1c1ac77fd51b, 0x273b8dceb3643fcf,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x6df8189ddfb27f15,
  0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e,
  0x1854e7ea6c3b1b8f, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e, 0xaea9f5e8a792bf73,
  0x0000000000000003,
};

// m164p_u2x12_uart1_dual_ee_ce_u4_hw m164pa_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_u2x12_uart1_dual_ee_ce_u4_hw[] = {
  0xddbf183d1468bb90, 0xbb87da9b4f7afddd, 0x87c8077eafbbbbbb, 0x34e05ee9ceebbf71, 0x57eff5b9b419cae2,
  0x304f8c93ad723522, 0x88f64c8c15483e7d, 0xe251850c85a6fc0d, 0x533397e65d849dd3, 0xea3f59ec190ce149,
  0x4508e489fc1cc34d, 0xc3e144312bfcfdf0, 0xabbbddf37170400d, 0xf8a8432d031f4432, 0x6e6b7ff4073c26ea,
  0xe54930586f2bc84b, 0xd4faadd3e09620ff, 0xf4368ded51ca4fe6, 0xf0c1c19bb8bea8d4, 0xd8488bee24b1e78d,
  0x4939bffa8f84bf10, 0xd6e6e6e99e2ee371, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x01d755d5205f4f25,
};

/*
 * m164a_swio10_noled_pr             m164p_swio10_noled                m164p_swio10_noled_pr
 * m164pa_swio10_noled               m164pa_swio10_noled_pr            m324a_swio10_noled
 * m324a_swio10_noled_pr             m324p_swio10_noled                m324p_swio10_noled_pr
 * m324pa_swio10_noled               m324pa_swio10_noled_pr            m324pb_swio10_noled
 * m324pb_swio10_noled_pr
 */
static const uint64_t ur_m164a_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xd0ec913fd61de7c3, 0x0c43fa8ef79df2c4, 0xdee9a71c8b1c74fe, 0xcedd02359e731602,
  0xc6bedc72c608ebc5, 0x873d59b5e5caad4a, 0xfab39d454aa35d9d, 0xd7d10a9ace576a96, 0x55a22bca852552fb,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xa718de33a204e148, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x1f20072d7b4f257e,
};

/*
 * m164p_swio10_noled_pr_u4          m164pa_swio10_noled_pr_u4         m324a_swio10_noled_pr_u4
 * m324p_swio10_noled_pr_u4          m324pa_swio10_noled_pr_u4         m324pb_swio10_noled_pr_u4
 */
static const uint64_t ur_m164a_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0x75ffff6cfc7b9827, 0xd479b8ef96114767, 0x19538c71d3f8327b, 0x7a3b58e62c059653,
  0x0ffd9823af47cecf, 0x503cb3dbb86b3d50, 0xe7ab36bcb955aaad, 0x5673a8a9546bb3b0, 0xfa215359caed52df,
  0xb4457950a4aa5f7a, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xe6c25ccbe6d90245,
  0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x41a792bf734332c3, 0x000000003e4e7c16,
};

/*
 * m164a_swio10_noled_pr_ee_u4       m164p_swio10_noled_pr_ee          m164p_swio10_noled_pr_ee_u4
 * m164pa_swio10_noled_pr_ee         m164pa_swio10_noled_pr_ee_u4      m324a_swio10_noled_pr_ee
 * m324a_swio10_noled_pr_ee_u4       m324p_swio10_noled_pr_ee          m324p_swio10_noled_pr_ee_u4
 * m324pa_swio10_noled_pr_ee         m324pa_swio10_noled_pr_ee_u4      m324pb_swio10_noled_pr_ee
 * m324pb_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0x6ffffed9f1ad304f, 0x387355ad1c7b1d9a, 0x47c1b3067afa8f2b, 0x4eb422877c565d7d,
  0x426be8c2cb1148b3, 0x9cead2ffb971ac9a, 0xe875e74ddb4a4710, 0x42284c5188b6355a, 0x7eb70decb65cc5c2,
  0x56a011355fd51b04, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0xa97debe8854d672b, 0xd73daad115e54292,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0x6409156f62aa8b4b, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xba45f9069e4afdcd, 0x000000000000004e,
};

/*
 * m164a_swio10_noled_pr_ce_u4       m164p_swio10_noled_pr_ce          m164p_swio10_noled_pr_ce_u4
 * m164pa_swio10_noled_pr_ce         m164pa_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0xcc09ffff6cfdba98, 0x4a9de56b8beb220e, 0x6c2445f71258f3c6, 0x4a8b91fd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0f05fa8f924f, 0x6b1cc580bdd0291c, 0xb33c75e8f9d9ef47, 0xe5add70d67aa01ff,
  0x59b5e5caad556a81, 0x9d454aa35d9d873d, 0x0a9ace576a96fab3, 0x2bca852552fbd7d1, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6d90218ede, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000375f6bde41a,
};

// m164p_swio10_noled_pr_ee_ce       m164pa_swio10_noled_pr_ee_ce
static const uint64_t ur_m164a_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xffffb67c344c13e3, 0xf3bfea8ce18ecb1f, 0x006ddfe78c953bb1, 0x6563df309cee3700,
  0x3403d4795ba594ed, 0x0a62b90fea3e0d98, 0x16588a459a75a114, 0xaeddfb8752135f46, 0x5e74ddb4a47109ce,
  0x098a3116c6abc6c7, 0xe1bd96cb98b84845, 0x599355fd51b044c8, 0xec39eacdaf2e556a, 0xb7d59cea2a551aec,
  0xdebe8854d672bb54, 0xdaad115e54292a97, 0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x0c76f62aa8b4b689,
  0xe0f3612e65f36c81, 0x0fca1a2cb579726a, 0x50c2a73f53ab31e4, 0x80f9a1e64ff0271a, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x4fc1d1720d3c95fb,
};

// m164p_swio10_noled_pr_ee_ce_u4    m164pa_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x20ffd85f3e87d304, 0x3105c5f5476e8766, 0x45f71258f3ca1707, 0x82fd47c25f886c24,
  0xdef99e2ee373a9cb, 0x3d4795ba594ed6e6, 0x2b90fea3e0d98340, 0x88a459a75a1140a6, 0xdfb8752135f46165,
  0x4ddb4a47109ceaed, 0xa3116c6abc6c75e7, 0xd96cb98b84845098, 0x355fd51b044c8e1b, 0x9eacdaf2e556a599,
  0x59cea2a551aecec3, 0xe8854d672bb54b7d, 0xd115e54292a97deb, 0xf0d3bcf8b5d73daa, 0x78ce881077536294,
  0x6f62aa8b4b689c63, 0x3612e65f36c810c7, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xa830ee792bf73433, 0x0000000000027e1e,
};

/*
 * m164p_swio10_lednop               m164pa_swio10_lednop              m324a_swio10_lednop
 * m324p_swio10_lednop               m324pa_swio10_lednop              m324pb_swio10_lednop
 */
static const uint64_t ur_m164a_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x87604fff58779f32, 0x621fd47c90ef9626, 0x7ba6ee8148e3a7f0, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x873d59b5e5caad4a, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6d976455bd8, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000000a9075af6,
};

/*
 * m164a_swio10_lednop_pr_u4         m164p_swio10_lednop_pr            m164p_swio10_lednop_pr_u4
 * m164pa_swio10_lednop_pr           m164pa_swio10_lednop_pr_u4        m324a_swio10_lednop_pr
 * m324a_swio10_lednop_pr_u4         m324p_swio10_lednop_pr            m324p_swio10_lednop_pr_u4
 * m324pa_swio10_lednop_pr           m324pa_swio10_lednop_pr_u4        m324pb_swio10_lednop_pr
 * m324pb_swio10_lednop_pr_u4
 */
static const uint64_t ur_m164a_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0x7bffffb67e034c13, 0xd479c4ef96114760, 0x31e7ac71d3f8327b, 0x88e0f9cc580b2ca6,
  0x3ff6608ebd1f3b7c, 0xd03cb3dbdefa0540, 0xe7ab36bcb955ac0a, 0x5673a8a9546bb3b0, 0x535c0809caed52df,
  0x7950a4ab574bfa21, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb2ec8ab7b15,
  0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000f939f82c834f2,
};

/*
 * m164a_swio10_lednop_pr_ee_u4      m164p_swio10_lednop_pr_ee         m164p_swio10_lednop_pr_ee_u4
 * m164pa_swio10_lednop_pr_ee        m164pa_swio10_lednop_pr_ee_u4     m324a_swio10_lednop_pr_ee
 * m324a_swio10_lednop_pr_ee_u4      m324p_swio10_lednop_pr_ee         m324p_swio10_lednop_pr_ee_u4
 * m324pa_swio10_lednop_pr_ee        m324pa_swio10_lednop_pr_ee_u4     m324pb_swio10_lednop_pr_ee
 * m324pb_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x397fffdb3fd5f304, 0x650e6ab5a38f63b2, 0xa8f83660cf5f51e5, 0x69d68450ef8ad82f,
  0x484d7d1859622916, 0xc39d5a5fe72e3593, 0xba1d79d37609e8d7, 0x21146488c6fd8d56, 0x3f5b86f65b2e62e1,
  0x56a015c359ea8d82, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0x2fe8854d7020272b, 0xaad115e54292ad5d,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xf3612e65f36cbb22, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x0000000004eb842f,
};

/*
 * m164a_swio10_lednop_pr_ce_u4      m164p_swio10_lednop_pr_ce         m164p_swio10_lednop_pr_ce_u4
 * m164pa_swio10_lednop_pr_ce        m164pa_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x37dffffdb3f15a60, 0x2a776eae2fac883b, 0xb09117dc4963cf19, 0x9299cbf51f097e21,
  0xcb19fac99e2ee372, 0xd3f83c17ea38293d, 0x7ce62c050f680471, 0x33c75e8f9dbe4470, 0x96b76f7d02a01ffb,
  0x66d7972ab5815a07, 0x75152a8d76761cf5, 0x8101395daa5beace, 0x14956ae97f442a6b, 0x95aeb9ed5688af2a,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36cbb0c76f62aa8b, 0x1726ae0f3612e65f, 0x5663c81f943458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xbaf756f20d3c95fb, 0x0000000000000001,
};

// m164p_swio10_lednop_pr_ee_ce      m164pa_swio10_lednop_pr_ee_ce
static const uint64_t ur_m164a_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0x5ffff6cfcedcc13e, 0xb477fd519c31d9bb, 0xd1f524fcf192a77b, 0x6b2b1ef984e771b9,
  0xc1a01ea3cacbaca7, 0xa0531594bf51f06c, 0x30b2c4522cd3ad08, 0x7576ef9c3a909afa, 0x75e74dd827a35f0e,
  0xa3244637ec6abc6c, 0x1c37b2d973170908, 0x96770d67aa360899, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb,
  0xa21535c0809caed5, 0x4457950a4ab574bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x09732f9b65d863b7, 0x943458f38b93571b, 0x4c2b93f75663c81f, 0x5b2c944e32c970cf, 0x792bf734332c3a4a,
  0x0000014d345f641a,
};

// m164p_swio10_lednop_pr_ee_ce_u4   m164pa_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x007fec2f9ffd7982, 0x9002e2faa3b743b2, 0x22fb892c79e50b83, 0xf5fea3e12fc43612,
  0xdef99e2ee3702c8c, 0x3d479597594ed6e6, 0x2b297ea3e0d98340, 0x88a459a75a1140a6, 0xdf38752135f46165,
  0x9bb04f46be1ceaed, 0x8c6fd8d578d8ebce, 0x65b2e62e12114648, 0x1acf546c1132386f, 0xf566d7972ab52cee,
  0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000027e04d630ee,
};

/*
 * m164a_swio10_dual_pr              m164a_swio10_dual_pr_u4           m164p_swio10_dual
 * m164p_swio10_dual_pr              m164p_swio10_dual_pr_u4           m164pa_swio10_dual
 * m164pa_swio10_dual_pr             m164pa_swio10_dual_pr_u4
 */
static const uint64_t ur_m164a_swio10_dual[] = {
  0x83777776890d365a, 0xbf6dc3e5ed5f7af0, 0x4b56eac1fa66ec19, 0x054108f9da015627, 0x5ed267da29dba105,
  0x97a772c89ebdefd9, 0x23055239bf304f8c, 0x432169bf03623d93, 0xf9956ee774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0xf77cdcadf006e1f0, 0x8432d08c910caaee, 0xbaffd01cf09ad68a,
  0x4e60b0de579096dc, 0xef961f07654aff1d, 0x71d3f83117d47910, 0x98b01541e6fdc654, 0x1d78033b4e28def3,
  0xdad783ea807fecc1, 0xbb8a92dfe181e59e, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x101395daa5beace7,
  0x4956ae97f442a6b8, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4,
  0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00a49a02b18773c9,
};

// m164p_swio10_dual_pr_ee           m164pa_swio10_dual_pr_ee
static const uint64_t ur_m164a_swio10_dual_pr_ee[] = {
  0xdd6eeeee87ad0c86, 0x5fb6e1ff1e9afebc, 0x70fb74eb00a47770, 0xdd2edeb201b9c58b, 0xbae255fc7cfd9ba0,
  0xcbbb1bb2fafcc5d9, 0x91649cc13e324c4d, 0x4df81b11ec99182a, 0x773ba7c4a30a190b, 0x68e016a631ffccab,
  0x838ad37a8e4eb609, 0x7f9fbe08a11c913f, 0x2a4401b87c288625, 0x5f688655777bbe6e, 0x39e1307b8a8432d0,
  0x795e425b74dbffa0, 0x3b287ffc753982c3, 0x1e57bee6ab5a328a, 0xdd7a8f83660ccaf5, 0x91669d68450ef8ae,
  0x973484d7d1859622, 0x3d28e75697286b8a, 0x55ae875ea25da3da, 0x5c242284011a6363, 0x608fd6e1bd97d2cc,
  0xee2a4a014656b2a3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xd976455bd8aaa2d2, 0xa7c371e6c25ccbe6,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0x40861dcf257ee686, 0x0000000000000564,
};

// m164p_swio10_dual_pr_ee_u4        m164pa_swio10_dual_pr_ee_u4
static const uint64_t ur_m164a_swio10_dual_pr_ee_u4[] = {
  0xd89dddddda2432db, 0xdbf6dc3fe3ec5fd7, 0x6a6beeb627642465, 0x24c8f91375a58939, 0x947ee7157f1f3f76,
  0x47ee47045580f8ce, 0xc1548b24e609f192, 0xc85a6fc0d88f64c8, 0x655bb9dd3e251850, 0xd80d63813a992d7e,
  0x44fe0f7dcdea3c56, 0x1895fe7ef8228472, 0x7cdc672006e1f0a2, 0x65a11ed10caaeef7, 0xffa039e134891508,
  0x82c3795e425b74db, 0x1bf83b287ffc7539, 0x27fa8f2b60b355ad, 0xf8ae43fa8f83660c, 0x962291669d68450e,
  0x6b84173484d7d185, 0xd38a39b8e7569772, 0xcac6ab5d0ebdac4e, 0x3e3170908a16ba38, 0x92ae3a4fadc37b2e,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0xae97f442a6b81013, 0x9ed5688af2a14956,
  0x8594d8b3a03cfd6b, 0xfc502169ab9d5ea5, 0x36d38c6f19d10363, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00001590b330ee79,
};

/*
 * m164a_swio10_dual_pr_ce_u4        m164p_swio10_dual_pr_ce           m164p_swio10_dual_pr_ce_u4
 * m164pa_swio10_dual_pr_ce          m164pa_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_swio10_dual_pr_ce[] = {
  0xe647777776890c86, 0x9cfdb70fedbaaff5, 0x5b5dfba028a5471e, 0x93a9986e75bdfb4e, 0xe6285900962dd323,
  0xc968b72eec6ecb41, 0x6460aa43c03304f8, 0x28642d37e06c47b2, 0xff32addcee9f128c, 0xced8472381c19bab,
  0x7244fe0e574dea3e, 0xa21895fe7ef82284, 0xeef9b8d07006e1f0, 0x10cb403da21955dd, 0x7ffe80e784c13e2a,
  0xe60b0de579096dec, 0xbea63c760d6ff1d4, 0x4b1e7942e0e1c1b8, 0xf84bf10d8488bee2, 0xe2ee373a3ea49fa8,
  0x8fd44f72c67d4b99, 0x57751c74fe0ee1fa, 0xb4e28def398b016a, 0xa807feccf1d78033, 0x7f860796b72d783e,
  0xad67f157ceee2a4b, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x5fd10a9ae0404e57, 0x55a22bca85255aba,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb2ec31, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x028c3b9e4afdcd0c, 0x0000000000001a49,
};

// m164p_swio10_dual_pr_ee_ce        m164pa_swio10_dual_pr_ee_ce
static const uint64_t ur_m164a_swio10_dual_pr_ee_ce[] = {
  0xd5f6eeeeeea1a5fb, 0xc9fb6e1ff17913eb, 0xdccdeef5d84369ce, 0xd60dc931c2c9b51f, 0xae3f3bbb1eb8d5f1,
  0x729646baa8c4ab2f, 0x48f3d7304f8c989d, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0xf870c41335dfe655,
  0xc1ffc9bd47d35b07, 0xbfcfdf04508e489f, 0x3b7600dc3e144312, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b7ec1ffa0, 0x3b2d6ffc753982c3, 0x7072d6ceffaa3c08, 0xb8dc300dd0ff3ca1, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0x9c371e6c25ccbe6d, 0xbab337f07771a2c7, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x4c134e18773c95fb,
};

// m164p_swio10_dual_pr_ee_ce_u4     m164pa_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76421f, 0x6dc3e36faf7ebd9f, 0x64db9dbf7f695f3f, 0xbf1fefae8423c3d9, 0x0c809167d1a90558,
  0x1aea1012f2757bf7, 0xf8c9765722fac16d, 0xc99182a917b3d304, 0x30a190b4df81b11e, 0xd7e65a5bf3ba7c4a,
  0x376c3b04e1787372, 0xe489fc1b5dcdea3e, 0x44312bfcfdf04508, 0xbbe6e446200dc3e1, 0x432d08e488655777,
  0x1ffa039e136fb8a8, 0x982c3795e425b7b9, 0x8ce08ec35bfff202, 0xe7942f3b35bb8bea, 0xbf10d8488bee24b1,
  0x1b9118a71ffa8f84, 0x4a76b737374cf177, 0x06cc1f75ea3caf2b, 0xd08a05315caef51f, 0xafa30b2c4522cd3a,
  0x28e7576e2863a909, 0xc6c75ea25da3da3d, 0x4845080234c6c6ab, 0x8991c37b2fa598b8, 0x2a4a59c656b2a360,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0x4e576a96fab39d45, 0x5aba5fd10a9ae040, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0xec31dbd8aaa2d241, 0xab83cd84b997cdb2, 0xf07edd8d1637c5c9,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xa2aa49e4afdcd0cc, 0x0000000000800de4,
};

// m164p_swio10_dual_hw              m164pa_swio10_dual_hw
static const uint64_t ur_m164a_swio10_dual_hw[] = {
  0x06eeeeed121b9a7c, 0x7edb87cbdabef5e1, 0x96add583f4cdd833, 0x0a8211f3b402ac4e, 0xeba4cfb453b7420a,
  0x8c97a77242119cdb, 0x9323055239bf304f, 0x61432169bf03623d, 0x27f9956ee774f894, 0x77f360bece051667,
  0x847244fe0cca9bd4, 0xf0a21895fe7ef822, 0xeef77cdcadf006e1, 0x8a8432d08c910caa, 0xdcbaffd01cf09ad6,
  0xa38a60b0de579096, 0x21df2c3e0eca95fe, 0xa8e3a7f0622fa8f2, 0xe731602a83cdfb8c, 0x823af006769c51bd,
  0x3db5af07d500ffd9, 0xe7771525bfc303cb, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x7020272bb54b7d59,
  0x4292ad5d2fe8854d, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36cbb22adec5551,
  0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x000c6ea80ad453c9,
};

// m164p_swio10_dual_ee_hw           m164pa_swio10_dual_ee_hw
static const uint64_t ur_m164a_swio10_dual_ee_hw[] = {
  0x375bbbbbb4486f97, 0x17edb87fc7a6bfaf, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0x6eb8957f1f3f66e8,
  0xc4dc9e08ceb54eb6, 0x82a91649cc13e324, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0x60968e016a631ffc,
  0x13f838ad37a8e4eb, 0x6257f9fbe08a11c9, 0xe6e2a4401b87c288, 0x2d05f688655777bb, 0xfa039e1307b8a843,
  0x2c3795e425b74dbf, 0x5147650fffa8e298, 0x5ea3caf7dcd56b46, 0x15dbaf51f06cc199, 0xc4522cd3ad08a1df,
  0x7152e6909afa30b2, 0x7b47a51cead2e50d, 0x6c6ab5d0ebd44bb4, 0x598b84845080234c, 0x546c11fadc37b2fa,
  0xf9ddc5494028cad6, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x5c0809caed52df56, 0x50a4ab574bfa2153,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb2ec8ab7b1554, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00000576902514f2,
};

// m164p_swio10_dual_ce_hw           m164pa_swio10_dual_ce_hw
static const uint64_t ur_m164a_swio10_dual_ce_hw[] = {
  0x91dddddda2436f02, 0x3f6dc3fb6eabfd79, 0xd77ee80a2951c7a7, 0xea661b9d6f7ed396, 0x361640258b74c8e4,
  0x25a2dc9fc3e6be8b, 0x9182a90f00cc13e3, 0xa190b4df81b11ec9, 0xfccab773ba7c4a30, 0x3b611c8e07066eaf,
  0xc913f8395d37a8fb, 0x886257f9fbe08a11, 0xbbe6e341c01b87c2, 0x432d00f688655777, 0xfffa039e1304f8a8,
  0x982c3795e425b7b1, 0xf531e3b06b7fa8e2, 0x58f3ca17070e0dc5, 0xc25f886c2445f712, 0x8bb8dc4a8b91fd47,
  0x3f513dcb19f52e67, 0x5dd471d3f83b87ea, 0xd38a37bce62c05a9, 0xa01ffb33c75e00ce, 0xfe181e5adcb5e0fa,
  0xb59fc55f3bb8a92d, 0x76761cf566d7972a, 0xaa5beace75152a8d, 0x7f442a6b8101395d, 0x5688af2a14956ae9,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36cbb0c7, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x15453c95fb9a1996,
  0x0000000000013758,
};

// m164p_swio10_dual_ee_ce_hw        m164pa_swio10_dual_ee_ce_hw
static const uint64_t ur_m164a_swio10_dual_ee_ce_hw[] = {
  0xabeddddddd435032, 0x93f6dc3fe2f227d7, 0xb99bddebb086d39d, 0xac1b926385936a3f, 0x5c7e77763d71abe3,
  0x3ae557b68fef765f, 0x2a91e7ae609f1931, 0x0b4df81b11ec9918, 0xab773ba7c4a30a19, 0x0ff0e188266bbfcc,
  0x3f83ff937a8fa6b6, 0x257f9fbe08a11c91, 0xdc76ec01b87c2886, 0xa0c1510caaeef77c, 0x4073c2690f150865,
  0x86f2bc84b6fd83ff, 0x20ecb5bff51c5305, 0x85c1cb5b3bfea8f0, 0xe771b8ce5d1ffcf2, 0xf2b4a76b2b26e984,
  0x51f06cc1f75ea3ca, 0xd3ad08a05315caef, 0x909afa30b2c4522c, 0xa3d28e7576e2863a, 0x6abc6c75ea25da3d,
  0x8b84845080234c6c, 0x3608991c37b2fa59, 0xeee2a4a59c656b2a, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x0404e576a96fab39, 0x5255aba5fd10a9ae, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084,
  0xdb2ec31dbd8aaa2d, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x044d3d39453c95fb,
};

// m164p_swio10_dual_ee_ce_u4_hw     m164pa_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_swio10_dual_ee_ce_u4_hw[] = {
  0xedddddda28d1bf5b, 0xedb87c6df5efd7b3, 0x87bb73b7efed2be7, 0xab17e3fdf5d08747, 0x7ee190122cfa3520,
  0x6f58076405de4eaf, 0xb3d304f8c9765726, 0x81b11ec99182a917, 0xba7c4a30a190b4df, 0x2f0e6e5afccbb093,
  0xb9bd47c6ed87609c, 0xbe08a11c913f836b, 0x01b87c2886257f9f, 0x0caaeef77cdc88c4, 0x6df7150865a11c91,
  0x84b6f723ff4073c2, 0xbffe54930586f2bc, 0x5bb8bea8ce08ec35, 0xee24b1e78df0c1c3, 0xfa8f84bf10d8488b,
  0xa678bb8dc5c170ff, 0x1e5795a53b5b9b9b, 0x577a8f83660fbaf5, 0x91669d68450298ae, 0x31d484d7d1859622,
  0xd1ed1e9473abb714, 0x636355e363af512e, 0xd2cc5c242284011a, 0x5951b044c8e1bd97, 0xabe77715252ce32b,
  0x9eacdaf2e556b3f8, 0x59cea2a551aecec3, 0x4d7020272bb54b7d, 0xe54292ad5d2fe885, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6d97618edec55, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0001d75b566c2fa7,
};

/*
 * m164a_swio11_noled_pr             m164a_swio12_noled                m164a_swio12_noled_pr
 * m164p_swio11_noled                m164p_swio11_noled_pr             m164p_swio12_noled
 * m164p_swio12_noled_pr             m164pa_swio11_noled               m164pa_swio11_noled_pr
 * m164pa_swio12_noled               m164pa_swio12_noled_pr            m324a_swio11_noled
 * m324a_swio11_noled_pr             m324a_swio12_noled                m324a_swio12_noled_pr
 * m324p_swio11_noled                m324p_swio11_noled_pr             m324p_swio12_noled
 * m324p_swio12_noled_pr             m324pa_swio11_noled               m324pa_swio11_noled_pr
 * m324pa_swio12_noled               m324pa_swio12_noled_pr            m324pb_swio11_noled
 * m324pb_swio11_noled_pr            m324pb_swio12_noled               m324pb_swio12_noled_pr
 */
static const uint64_t ur_m164a_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x0eceebfd61de7e3d, 0xebffa8e989df2dd0, 0xf74c800f91c74fe0, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x0e7ab36bcb955a95, 0x57673a8a9546bb3b, 0xfa215359caed52df, 0xad115e54292b637a,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d1023cbc5, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0x3e40926bda792bf7,
};

/*
 * m164a_swio12_noled_pr_u4          m164p_swio11_noled_pr_u4          m164p_swio12_noled_pr_u4
 * m164pa_swio11_noled_pr_u4         m164pa_swio12_noled_pr_u4         m324a_swio11_noled_pr_u4
 * m324a_swio12_noled_pr_u4          m324p_swio11_noled_pr_u4          m324p_swio12_noled_pr_u4
 * m324pa_swio11_noled_pr_u4         m324pa_swio12_noled_pr_u4         m324pb_swio11_noled_pr_u4
 * m324pb_swio12_noled_pr_u4
 */
static const uint64_t ur_m164a_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xffff6cf98f9827c6, 0xe0a1df2dbd8ecdbf, 0xd008e3a7f064d7a8, 0xc45398b016594c1e,
  0xf6608ebd1f3b2628, 0x3cb3dbb589e5403f, 0xab36bcb955aa1130, 0x73a8a9546bb3b0e7, 0x15359caed52df576,
  0x15e54292b637afa2, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x12e65f36d843156f,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000003e4efaa320d,
};

/*
 * m164a_swio11_noled_pr_ee_u4       m164a_swio12_noled_pr_ee          m164a_swio12_noled_pr_ee_u4
 * m164p_swio11_noled_pr_ee          m164p_swio11_noled_pr_ee_u4       m164p_swio12_noled_pr_ee
 * m164p_swio12_noled_pr_ee_u4       m164pa_swio11_noled_pr_ee         m164pa_swio11_noled_pr_ee_u4
 * m164pa_swio12_noled_pr_ee         m164pa_swio12_noled_pr_ee_u4      m324a_swio11_noled_pr_ee
 * m324a_swio11_noled_pr_ee_u4       m324a_swio12_noled_pr_ee          m324a_swio12_noled_pr_ee_u4
 * m324p_swio11_noled_pr_ee          m324p_swio11_noled_pr_ee_u4       m324p_swio12_noled_pr_ee
 * m324p_swio12_noled_pr_ee_u4       m324pa_swio11_noled_pr_ee         m324pa_swio11_noled_pr_ee_u4
 * m324pa_swio12_noled_pr_ee         m324pa_swio12_noled_pr_ee_u4      m324pb_swio11_noled_pr_ee
 * m324pb_swio11_noled_pr_ee_u4      m324pb_swio12_noled_pr_ee         m324pb_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xffff6cf9c19827c6, 0x59aad68cc78ecd9d, 0xe0d983ea3d479597, 0x5a1143be2b297ea3,
  0x35f4616588a459a7, 0x75697726b8d64d21, 0x3af3a6ec7aa3f90e, 0x144428f7bb1aad74, 0x5b86f65b2e62e121,
  0xa805d073ca8d823f, 0xb3b0e7ab36bcb955, 0x2df57673a8a9546b, 0x37afa215359caed5, 0x3daad115e54292b6,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x43156f62aa8b4b68, 0xae0f3612e65f36d8, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x68320d3c95fb9a19, 0x0000000000004eba,
};

/*
 * m164a_swio11_noled_pr_ce_u4       m164a_swio12_noled_pr_ce          m164a_swio12_noled_pr_ce_u4
 * m164p_swio11_noled_pr_ce          m164p_swio11_noled_pr_ce_u4       m164p_swio12_noled_pr_ce
 * m164p_swio12_noled_pr_ce_u4       m164pa_swio11_noled_pr_ce         m164pa_swio11_noled_pr_ce_u4
 * m164pa_swio12_noled_pr_ce         m164pa_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x2b7fffdb3fa6e609, 0xa772bae2faf743b3, 0x09117dc4963cf192, 0x0e92bf51f097e21b,
  0xb19fac99e2ee3719, 0x3f8359fea3af93dc, 0x9cc580bb7e5f471d, 0x3c75e8f9d9314622, 0x6b75ac4f2a01ffb3,
  0x6d7972ab54226079, 0x5152a8d76761cf56, 0x6b395daa5beaece7, 0xca85256c6f5f442a, 0x79f16bae7b55a22b,
  0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x997cdb61098edec5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0006ebbcdbc834f2,
};

/*
 * m164a_swio12_noled_pr_ee_ce       m164p_swio11_noled_pr_ee_ce       m164p_swio12_noled_pr_ee_ce
 * m164pa_swio11_noled_pr_ee_ce      m164pa_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m164a_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0xffdb3e9b7304f8c9, 0xdff5465d4760cdff, 0x747ff3c64a9d8cd9, 0xac7be6139dc6e339,
  0xa57a8f2b90f29dac, 0x4c5670fd47c1b307, 0xcb1148b34eb42281, 0xdb9c98ea426be8c2, 0xce9bb1ea8fe439d5,
  0x2147bdd8d578d8eb, 0x37b2d973170908a2, 0x9f41cf2a3608991c, 0xc39eacdaf2e556a5, 0xd5d9cea2a551aece,
  0xbe8854d672bb54b7, 0xab4457950a4ad8de, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x71b09732f9b6c213, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97, 0x41a792bf734332c3,
  0x00000000534d3ebe,
};

/*
 * m164a_swio12_noled_pr_ee_ce_u4    m164p_swio11_noled_pr_ee_ce_u4    m164p_swio12_noled_pr_ee_ce_u4
 * m164pa_swio11_noled_pr_ee_ce_u4   m164pa_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m164a_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xfffb0be7c524c13e, 0xbf717d51e9b1d95b, 0xfb892c79e50b8395, 0x7ea3e12fc4361222,
  0xf99e2ee371dbb0b2, 0x4795c8794ed6e6de, 0x387ea3e0d983d2bd, 0xa459a75a1140a62b, 0x4c752135f4616588,
  0xd8f547f21ceaedce, 0xdeec6abc6c75e74d, 0x6cb98b84845110a3, 0xe7951b044c8e1bd9, 0x566d7972ab52cfa0,
  0xe75152a8d76761cf, 0x2a6b395daa5beaec, 0x2bca85256c6f5f44, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc3b9e4afdcd0ccb0, 0x0000000009f86e40,
};

/*
 * m164a_swio12_lednop               m164p_swio11_lednop               m164p_swio12_lednop
 * m164pa_swio11_lednop              m164pa_swio12_lednop              m324a_swio11_lednop
 * m324a_swio12_lednop               m324p_swio11_lednop               m324p_swio12_lednop
 * m324pa_swio11_lednop              m324pa_swio12_lednop              m324pb_swio11_lednop
 * m324pb_swio12_lednop
 */
static const uint64_t ur_m164a_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x03b244ff58779f0f, 0x3affea3af877cb74, 0xf74db7e5f471d3f8, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x1cf566d7972ab52b, 0xaece75152a8d7676, 0xa6b8101395daa5be, 0x7950a4ae5e97f442,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb6318ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000002a4faf5ed3,
};

/*
 * m164a_swio11_lednop_pr_u4         m164a_swio12_lednop_pr            m164a_swio12_lednop_pr_u4
 * m164p_swio11_lednop_pr            m164p_swio11_lednop_pr_u4         m164p_swio12_lednop_pr
 * m164p_swio12_lednop_pr_u4         m164pa_swio11_lednop_pr           m164pa_swio11_lednop_pr_u4
 * m164pa_swio12_lednop_pr           m164pa_swio12_lednop_pr_u4        m324a_swio11_lednop_pr
 * m324a_swio11_lednop_pr_u4         m324a_swio12_lednop_pr            m324a_swio12_lednop_pr_u4
 * m324p_swio11_lednop_pr            m324p_swio11_lednop_pr_u4         m324p_swio12_lednop_pr
 * m324p_swio12_lednop_pr_u4         m324pa_swio11_lednop_pr           m324pa_swio11_lednop_pr_u4
 * m324pa_swio12_lednop_pr           m324pa_swio12_lednop_pr_u4        m324pb_swio11_lednop_pr
 * m324pb_swio11_lednop_pr_u4        m324pb_swio12_lednop_pr           m324pb_swio12_lednop_pr_u4
 */
static const uint64_t ur_m164a_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xfffdb3ebee609f19, 0xa0077cb6f63b23df, 0xea238e9fc1935ea3, 0x1be731602cb299fc,
  0xd9823af47ced9223, 0xe59edc1fe91500ff, 0x59b5e5caad65da81, 0x9d454aa35d9d873d, 0x0404e576a96fabb3,
  0x292b97a5fd10a9ae, 0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516,
  0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xe4c202f20d3c95fb, 0x0000000000000003,
};

/*
 * m164a_swio12_lednop_pr_ee         m164p_swio11_lednop_pr_ee         m164p_swio12_lednop_pr_ee
 * m164pa_swio11_lednop_pr_ee        m164pa_swio12_lednop_pr_ee        m324a_swio11_lednop_pr_ee
 * m324a_swio12_lednop_pr_ee         m324p_swio11_lednop_pr_ee         m324p_swio12_lednop_pr_ee
 * m324pa_swio11_lednop_pr_ee        m324pa_swio12_lednop_pr_ee        m324pb_swio11_lednop_pr_ee
 * m324pb_swio12_lednop_pr_ee
 */
static const uint64_t ur_m164a_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0xffed9f4b5304f8c9, 0x355ad198f1d835bf, 0x1b307d47a8f2b60b, 0x422877c56a7bd47c,
  0xbe8c2cb1148b34eb, 0xad2ee9571ac9a426, 0x5e74dda4447371ce, 0x85f11c656355ae87, 0x70decb65cc5c2422,
  0x00ad627951b047eb, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x42a6b8101395daa5, 0x457950a4ae5e97f4,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb6318ab7b, 0x8b3a7c5c9ab83cd8,
  0xcfd4eacc7903f286, 0x738cbf313f9430a9, 0x39effe09a1e64ff1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x9d7e9ec834f257ee,
};

/*
 * m164a_swio12_lednop_pr_ee_u4      m164p_swio11_lednop_pr_ee_u4      m164p_swio12_lednop_pr_ee_u4
 * m164pa_swio11_lednop_pr_ee_u4     m164pa_swio12_lednop_pr_ee_u4     m324a_swio11_lednop_pr_ee_u4
 * m324a_swio12_lednop_pr_ee_u4      m324p_swio11_lednop_pr_ee_u4      m324p_swio12_lednop_pr_ee_u4
 * m324pa_swio11_lednop_pr_ee_u4     m324pa_swio12_lednop_pr_ee_u4     m324pb_swio11_lednop_pr_ee_u4
 * m324pb_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xffff6cf8d69827c6, 0x39aad68f6f8ecd37, 0xe0d9839c7d47959c, 0x5a1143be2b2ebea3,
  0x35f4616588a459a7, 0xead2ffb97144cd21, 0xaf5d4ddb4a47109c, 0x42628c45b1aad743, 0xe1bd970e462e1211,
  0xb5e5caad5716b7d6, 0x454aa35d9d873d59, 0x04e576a96fabb39d, 0x2b97a5fd10a9ae04, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x748bf20d3c95fb9a, 0x000000000000009d,
};

/*
 * m164a_swio11_lednop_pr_ce_u4      m164a_swio12_lednop_pr_ce         m164a_swio12_lednop_pr_ce_u4
 * m164p_swio11_lednop_pr_ce         m164p_swio11_lednop_pr_ce_u4      m164p_swio12_lednop_pr_ce
 * m164p_swio12_lednop_pr_ce_u4      m164pa_swio11_lednop_pr_ce        m164pa_swio11_lednop_pr_ce_u4
 * m164pa_swio12_lednop_pr_ce        m164pa_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xbaffffb67e394c13, 0x4ef4ddc5f5ee8765, 0x1222fb892c79e325, 0x56547ea3e12fc436,
  0x633f5933c5dc6e12, 0xfe0d67fa8f2fa7b9, 0x398b0163de951c74, 0xf1d7a3e76c9118df, 0x5ba0ff48a807fecc,
  0x6bcb955acbb503cb, 0x8a9546bb3b0e7ab3, 0x09caed52df57673a, 0x572f4bfa21535c08, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x63131dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xeacac834f257ee68, 0x0000000000000375,
};

/*
 * m164a_swio12_lednop_pr_ee_ce      m164p_swio11_lednop_pr_ee_ce      m164p_swio12_lednop_pr_ee_ce
 * m164pa_swio11_lednop_pr_ee_ce     m164pa_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m164a_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xfffb67dfe4c13e32, 0x1dff5465d476068f, 0x1c113f9e3254ec34, 0xcac7be6139dc6e34,
  0x7a57a8f2b29729da, 0x14c5650fd47c1b30, 0x2cb1148b34eb4228, 0x5db9d28ea426be8c, 0xbce9bb4888e6e39d,
  0x17c471958d578d8e, 0xc37b2d973170908a, 0x59dac4f2a3608991, 0xec39eacdaf2e556a, 0x7d5d9cea2a551aec,
  0x854d7020272bb54b, 0x8af2a1495cbd2fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36d8c4c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000534ec7fc834f,
};

/*
 * m164a_swio12_lednop_pr_ee_ce_u4   m164p_swio11_lednop_pr_ee_ce_u4   m164p_swio12_lednop_pr_ee_ce_u4
 * m164pa_swio11_lednop_pr_ee_ce_u4  m164pa_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m164a_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0x7fec2f9fec19827c, 0xf5c5f547a6c7621f, 0xee24b1e7942e0e21, 0xfa8f84bf10d8488b,
  0xccf1771b9c3fc7dd, 0x3caca5ca76b736f7, 0x43f51f06cc1e95ea, 0x22cd3ad08a053159, 0xa3a909afa30b2c45,
  0xd22239b8e7576e74, 0x656355e363af3a6e, 0x65cc5c242285f11c, 0x3ca8d8226470decb, 0xb36bcb955a9676b1,
  0x3a8a9546bb3b0e7a, 0x0809caed52df5767, 0x52572f4bfa21535c, 0x56bae7b55a22bca8, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0009f99694c3b9e4,
};

/*
 * m164a_swio11_dual_pr              m164a_swio11_dual_pr_u4           m164a_swio12_dual
 * m164a_swio12_dual_pr              m164a_swio12_dual_pr_u4           m164p_swio11_dual
 * m164p_swio11_dual_pr              m164p_swio11_dual_pr_u4           m164p_swio12_dual
 * m164p_swio12_dual_pr              m164p_swio12_dual_pr_u4           m164pa_swio11_dual
 * m164pa_swio11_dual_pr             m164pa_swio11_dual_pr_u4          m164pa_swio12_dual
 * m164pa_swio12_dual_pr             m164pa_swio12_dual_pr_u4
 */
static const uint64_t ur_m164a_swio11_dual[] = {
  0xa0bbbbbb4486ff3e, 0xb6e1f2f738bd7d45, 0xab77a71893760cdf, 0xa086947b362817b1, 0xce76ca295bb51682,
  0xa77269e2bd8ebd5e, 0x05520c03304f8c97, 0x2169bf03623d9323, 0x956ee774f8946143, 0x60bece05166727f9,
  0x44fe0cca9bd477f3, 0x1895fe7ef8228472, 0x7cdc6bb006e1f0a2, 0x32d08c910caaeef7, 0xffd01cf09ad68a84,
  0x60b0de579096dca5, 0x2cb5c76145ff1d4e, 0xa7f07bdfa8fdd1df, 0xc0550799c987b8e3, 0xe00cec80234c4e62,
  0xbc6faa01ffb30475, 0x8a92be7503cb3db7, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x395daa5beaece751,
  0xe5e97f442a6b8101, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482,
  0x86e3cd84b997cdb6, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x926b5a8c3b9e4afd, 0x0000000000000002,
};

/*
 * m164a_swio12_dual_pr_ee           m164p_swio11_dual_pr_ee           m164p_swio12_dual_pr_ee
 * m164pa_swio11_dual_pr_ee          m164pa_swio12_dual_pr_ee
 */
static const uint64_t ur_m164a_swio11_dual_pr_ee[] = {
  0x376eeeeea0a1a5fb, 0x6dc3fe3fbbf5e538, 0xf6eabe6c48eee0bf, 0x76d3913eabfaef41, 0xfdfbe3e7eca706e9,
  0x646bacda15664cae, 0x71f304f8c9313729, 0xe06c47b26460aa47, 0xee9f128c28642d37, 0x805a98c7ff32addc,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x02d7f8ea730586f2, 0x576ea6ab5a3fdc3b, 0xf51f06cc187bf51e, 0xcd3ad08a1df15e9b,
  0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab, 0x1fadc37b2fa598b8,
  0xa9280591445546c1, 0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x5e97f442a6b81013,
  0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0x6e3cd84b997cdb63,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002b23d6cc3b9e,
};

/*
 * m164a_swio12_dual_pr_ee_u4        m164p_swio11_dual_pr_ee_u4        m164p_swio12_dual_pr_ee_u4
 * m164pa_swio11_dual_pr_ee_u4       m164pa_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m164a_swio11_dual_pr_ee_u4[] = {
  0xb323bbbbb4486f97, 0xf6dc3fe3f3efd7c0, 0xddeea0a7ac2465db, 0x647c894edebb087b, 0x06abf7ef8f9fb816,
  0xee4f04674e16a748, 0x548ee3e609f19247, 0x5a6fc0d88f64c8c1, 0x5bb9dd3e251850c8, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x030ec0b5fe3a9cc1, 0x3d4795a9e9aad68e, 0x2b387ea3e0d98391, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x008c1439d5a5d2b2, 0xb1aad743af6b13b2, 0x8c5c242287bd1e45, 0x57170feb70decb8f,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xbfa21535c0809cae, 0x55a22bca852572f4,
  0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0xa718de33a20517d1, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0159021661dcf257,
};

/*
 * m164a_swio12_dual_pr_ce           m164p_swio11_dual_pr_ce           m164p_swio12_dual_pr_ce
 * m164pa_swio11_dual_pr_ce          m164pa_swio12_dual_pr_ce
 */
static const uint64_t ur_m164a_swio11_dual_pr_ce[] = {
  0x4eddddd0f5a1a5fb, 0x6e1fdb6a3febec4e, 0xf75b13b28e3d39fb, 0x666eab43ae10f766, 0x5d13faef76c4e4ea,
  0xb94b235d7224ab13, 0x520ebe9827c64b45, 0x69bf03623d932305, 0x6ee774f894614321, 0x391c0e0cdd5ff995,
  0xf072ba6f51f676c2, 0xaff3f7c114239227, 0xe29200370f8510c4, 0x00f688655777bbe6, 0x039e1304f8a8432d,
  0x3795e425b719bffa, 0xc1d8707fc753982c, 0xf285c1c275717d5f, 0xe21b09117dc4963c, 0x3729299cbf51f097,
  0xcf72c67d4b99e2ee, 0x1c74fe0ed6f51c27, 0x1a62731602945dbf, 0xfd99e3af00676401, 0x0796b73de37d500f,
  0xf8abe77715257cea, 0xc39eacdaf2e556b3, 0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0069263130ee792b,
};

/*
 * m164a_swio12_dual_pr_ce_u4        m164p_swio11_dual_pr_ce_u4        m164p_swio12_dual_pr_ce_u4
 * m164pa_swio11_dual_pr_ce_u4       m164pa_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m164a_swio11_dual_pr_ce_u4[] = {
  0xe0deeeeed121a5fb, 0xdb70fedba2ff5e8c, 0x2dbaec999f91312f, 0x91f32255e9f7f6b4, 0x955f5a087ba8ce0d,
  0xebdca591aeb87c55, 0x82a90cf5cc13e325, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b849400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x0586f2bc84b6f43f, 0x5dbe3b34dff8ea73, 0x8f3ca17073675c5f, 0x25f886c2445f7125, 0xbb8dca4a672fd47c,
  0xce33dcb19e1c6678, 0x3d638e9fc193dea3, 0x5f11c6473160298f, 0x5dc72c678ebc8b76, 0xf8abe77715251d64,
  0xc39eacdaf2e556b3, 0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a,
  0x00000001a489a030,
};

/*
 * m164a_swio12_dual_pr_ee_ce        m164p_swio11_dual_pr_ee_ce        m164p_swio12_dual_pr_ee_ce
 * m164pa_swio11_dual_pr_ee_ce       m164pa_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m164a_swio11_dual_pr_ee_ce[] = {
  0x711d6dddddd432db, 0x9fb6e1ff16d3debe, 0xfabeea7d96a69cec, 0x60dc73bdc61f201d, 0x0ce571b1eb8e711d,
  0x23822ac1e199d4da, 0x83e7d304f8c989d7, 0x6fc0d88f64c8c154, 0xb9dd3e251850c85a, 0x870c41335dfe655b,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x70400dc3e144312b, 0x054432abbbddf371, 0xcf09a43c54219683,
  0xcaf212db9adffd01, 0xecc41fe3a9cc161b, 0xe0e6203bfea8f2b0, 0x71b8a91eeb7e7942, 0x74a76b2b26e984e7,
  0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7, 0x7a9ceaedcc147521, 0x78d8ebd44bb18f46,
  0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d,
  0x395daa5beaece751, 0xe5e97f442a6b8101, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x6263b7b15545a482, 0x0dc79b09732f9b6c, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c,
  0x2749c61dcf257ee6, 0x0000000000000098,
};

/*
 * m164a_swio12_dual_pr_ee_ce_u4     m164p_swio11_dual_pr_ee_ce_u4     m164p_swio12_dual_pr_ee_ce_u4
 * m164pa_swio11_dual_pr_ee_ce_u4    m164pa_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m164a_swio11_dual_pr_ee_ce_u4[] = {
  0x56eeeed15b76f2df, 0xe1f1b657bf5e58a3, 0xdaaf1d7fb4af9fb6, 0xe66e6d09b964d382, 0xc80912c51a90567d,
  0x5673cbb90d717682, 0x192ecae558042021, 0x323055235c16609f, 0x1432169bf03623d9, 0xfccb4b7e774f8946,
  0xed87609c2f0e6e5a, 0x913f836bb9bd47c6, 0x86257f9fbe08a11c, 0xbe6e0aa001b87c28, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7a4a, 0xc9d0ecbc3fff2029, 0x7942f3bbc3b8bea8, 0xf10d8488bee24b1e,
  0xdc1545927fa8f84b, 0x53b5b9b9ba678bb8, 0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad,
  0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d, 0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x83cd84b997cdb631, 0x7edd8d1637c5c9ab,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xaa49e4afdcd0ccb0, 0x00000000800106a2,
};

/*
 * m164a_swio12_dual_hw              m164p_swio11_dual_hw              m164p_swio12_dual_hw
 * m164pa_swio11_dual_hw             m164pa_swio12_dual_hw
 */
static const uint64_t ur_m164a_swio11_dual_hw[] = {
  0x41777776890c365a, 0x6dc3e5ee717afa8b, 0x56ef4e3126ec19bf, 0x410d28f66c502f63, 0x1ced9452b76a2d05,
  0x25e9dc89bbebecda, 0xc8c1548300cc13e3, 0x50c85a6fc0d88f64, 0xfe655bb9dd3e2518, 0xfcd82fb3814599c9,
  0x1c913f8332a6f51d, 0x2886257f9fbe08a1, 0xbddf371aec01b87c, 0xa10cb42324432abb, 0x297ff4073c26b5a2,
  0xe2982c3795e425b7, 0xef965ae3b0a2ffa8, 0x71d3f83defd47ee8, 0x31602a83cce4c3dc, 0x3af006764011a627,
  0xdbde37d500ffd982, 0xddc5495f3a81e59e, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x809caed52df57673,
  0x2572f4bfa21535c0, 0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x0c6eab5aa8a792bf,
};

/*
 * m164a_swio12_dual_ee_hw           m164p_swio11_dual_ee_hw           m164p_swio12_dual_ee_hw
 * m164pa_swio11_dual_ee_hw          m164pa_swio12_dual_ee_hw
 */
static const uint64_t ur_m164a_swio11_dual_ee_hw[] = {
  0xc1bb77776890cf68, 0xfb6e1ff1fddfaf29, 0x0fb755f362477705, 0x4bb69c89f55fd77a, 0x77efdf1f3f653837,
  0xb9347d4eb5bb3265, 0x523b8f9827c64989, 0x69bf03623d932305, 0x6ee774f894614321, 0x2d1c02d4c63ff995,
  0xf0715a6f51c9d6c1, 0xaff3f7c114239227, 0xcba180370f8510c4, 0x0bed10caaeef77cd, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0xc3b02d7fa8e2982c, 0x51e576ea6ab5a3fd, 0xe9bf51f06cc187bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x467a9cead2ec1571, 0x6ab5d0ebd44bb18f, 0x8b848451a523886c, 0x6c11fadc37b2fa59,
  0xbb8a928059144554, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x01395daa5beaece7, 0x4ae5e97f442a6b81,
  0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da7add14f257e,
};

/*
 * m164a_swio12_dual_ce_hw           m164p_swio11_dual_ce_hw           m164p_swio12_dual_ce_hw
 * m164pa_swio11_dual_ce_hw          m164pa_swio12_dual_ce_hw
 */
static const uint64_t ur_m164a_swio11_dual_ce_hw[] = {
  0xe4eddddda2431f02, 0xb6e1fdb6a3febec4, 0x6f75b13b28e3d39f, 0xa666eab43ae10f76, 0x35d13faef76c4e4e,
  0xa2dc94622cde9851, 0x82a9075f4c13e325, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0x611c8e07066eaffc,
  0x13f8395d37a8fb3b, 0x6257f9fbe08a11c9, 0xf37149001b87c288, 0x96807b4432abbbdd, 0xfd01cf09827c5421,
  0x161bcaf212db8cdf, 0x5fc1d8707fd4714c, 0x3cf285c1c275717d, 0x97e21b09117dc496, 0xee37190e92bf51f0,
  0x27cf72c67d4b99e2, 0xbf1c74fe0ed6f51c, 0x011a62731602945d, 0x0ffd99e3af006764, 0xea0796b73de37d50,
  0xb3f8abe77715257c, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0x8854d7020272bb54, 0x88af2a1495cbd2fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36d8c4c76f, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x0000000001375c63,
};

/*
 * m164a_swio12_dual_ee_ce_hw        m164p_swio11_dual_ee_ce_hw        m164p_swio12_dual_ee_ce_hw
 * m164pa_swio11_dual_ee_ce_hw       m164pa_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m164a_swio11_dual_ee_ce_hw[] = {
  0x11d6dddddd43573e, 0xfb6e1ff16d3debe7, 0xabeea7d96a69cec9, 0x0dc73bdc61f201df, 0xce571b1eb8e711d6,
  0xe4b8beecdd654da0, 0x907cfa609f19313a, 0x4df81b11ec99182a, 0x773ba7c4a30a190b, 0xf0e188266bbfccab,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x2e0801b87c288625, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b735bffa0, 0x3b3107fa8e2982c3, 0xb839880effaa3cac, 0xee3732a1a0ff9e50, 0xae94ed6564dd309c,
  0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34, 0xcf539d5db9828ea4, 0xaf1b1d7a897631e8,
  0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0x8c4c76f62aa8b490, 0x61b8f3612e65f36d, 0x592e19e985727e7f, 0x66587494b67c09c6, 0xa7d27514f257ee68,
  0x0000000000000089,
};

/*
 * m164a_swio12_dual_ee_ce_u4_hw     m164p_swio11_dual_ee_ce_u4_hw     m164p_swio12_dual_ee_ce_u4_hw
 * m164pa_swio11_dual_ee_ce_u4_hw    m164pa_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m164a_swio11_dual_ee_ce_u4_hw[] = {
  0x356eeeed14682906, 0x6e1f1b657bf5e58a, 0xddaaf1d7fb4af9fb, 0x67de66e6d09bd964, 0x682c80912c51a905,
  0xf202f6918b90d717, 0x059827c64bb2b915, 0x0d88f64c8c1548d7, 0xd3e251850c85a6fc, 0x787372d7e65d849d,
  0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x32abbbddf3705500, 0xb7dc542196847244,
  0x12dbd257fd01cf09, 0xfff9524c161bcaf2, 0x0ee2faa32743b2f0, 0xb892c79e37c3072f, 0xea3e12fc4361222f,
  0x99e2ee3702c8cf5f, 0x795cae94ed6e6e6e, 0xefd47c1b307b7fd4, 0x8b34eb422814c57b, 0x8ea426be8c2cb114,
  0x31e8cf539d5db982, 0x1b1aaf1b1d7a8976, 0x9662e121146948e2, 0xaa8d8226470decbe, 0xbe77715252cf2288,
  0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x7020272bb54b7d5d, 0xa1495cbd2fe8854d, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0075d6717c17d3c9,
};

/*
 * m164a_swio13_noled_pr             m164p_swio13_noled                m164p_swio13_noled_pr
 * m164pa_swio13_noled               m164pa_swio13_noled_pr            m324a_swio13_noled
 * m324a_swio13_noled_pr             m324p_swio13_noled                m324p_swio13_noled_pr
 * m324pa_swio13_noled               m324pa_swio13_noled_pr            m324pb_swio13_noled
 * m324pb_swio13_noled_pr
 */
static const uint64_t ur_m164a_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa41d9dd7fac3bcfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb, 0xe8854d672bb54b7d, 0xa22bca85255abdeb,
  0xf0c537acef2e7b55, 0x978a042d2d7f88d4, 0xe6da718de33a2047, 0x1a2c79c376c25ccb, 0x5727eeacc790347f,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00007c8124d7b4f2,
};

/*
 * m164p_swio13_noled_pr_u4          m164pa_swio13_noled_pr_u4         m324a_swio13_noled_pr_u4
 * m324p_swio13_noled_pr_u4          m324pa_swio13_noled_pr_u4         m324pb_swio13_noled_pr_u4
 */
static const uint64_t ur_m164a_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x195ffff6cfbf9304, 0xf51e5f1df2d07c76, 0xa3de951c74fe0fa0, 0x851ef6731602cb29,
  0x07fecc11d7a3e768, 0x6e07967b622934a8, 0x1cf566d7972ab57d, 0xbece75152a8d7676, 0x0a9ace576a96faa9,
  0x57950a4ab57bd7d1, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x09732f9b632455bd,
  0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000001f27acb5906,
};

/*
 * m164a_swio13_noled_pr_ee_u4       m164p_swio13_noled_pr_ee          m164p_swio13_noled_pr_ee_u4
 * m164pa_swio13_noled_pr_ee         m164pa_swio13_noled_pr_ee_u4      m324a_swio13_noled_pr_ee
 * m324a_swio13_noled_pr_ee_u4       m324p_swio13_noled_pr_ee          m324p_swio13_noled_pr_ee_u4
 * m324pa_swio13_noled_pr_ee         m324pa_swio13_noled_pr_ee_u4      m324pb_swio13_noled_pr_ee
 * m324pb_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0x6ffffb67c9d4c13e, 0x52e6ab5a37f07645, 0x1f06cc184ff51e56, 0x3ad08a1df15943f5,
  0x09afa30b2c4522cd, 0x73ab4ba565c6b269, 0xa1d79d376ea11e48, 0x1147c88e0fd8d56b, 0xf5b86f65b2e62e12,
  0xb500ba4c16a8d823, 0x76761cf566d7972a, 0xfaa9bece75152a8d, 0xd7d10a9ace576a96, 0xab4457950a4ab57b,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x079b09732f9b6324, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x79069e4afdcd0ccb, 0x000000000004eb96,
};

/*
 * m164a_swio13_noled_pr_ce_u4       m164p_swio13_noled_pr_ce          m164p_swio13_noled_pr_ce_u4
 * m164pa_swio13_noled_pr_ce         m164pa_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x2577fffdb3fb3a60, 0x54ef7ddc5f5dbe3b, 0x61222fb892c79e32, 0xc89257ea3e12fc43,
  0x9633f5933c5dc6e5, 0xd3f8327bd479ba7b, 0xf673160299538c71, 0xccf1d7a3e768851e, 0xe5adc22934a807fe,
  0x59b5e5caad5f5b81, 0x9d454aa35d9d873d, 0xb395daa5beaa6fb3, 0x4292ad5ef5f442a6, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x006ebc7d7c834f25,
};

// m164p_swio13_noled_pr_ee_ce       m164pa_swio13_noled_pr_ee_ce
static const uint64_t ur_m164a_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0x7fffdb3fa6a609f1, 0xf0effaa32963b3fe, 0x950d07fcf192a77f, 0x6b2b1ef984e771b9,
  0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08, 0x7576e4ac3a909afa, 0x3af3a6edd423c90e,
  0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c, 0xcec39eacdaf2e556, 0x5537d9cea2a551ae,
  0xfa215359caed52df, 0x688af2a14956af7a, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0xc6c25ccbe6d8c863, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x069e4afdcd0ccb0e,
  0x00000000534ce7d9,
};

// m164p_swio13_noled_pr_ee_ce_u4    m164pa_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0x77ffb0be7f1ba609, 0xd77717d51ece1d8d, 0x2fb892c79e50b838, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0xd59b5e5caad4b3e9,
  0x39d454aa35d9d873, 0x6b395daa5beaa6fb, 0x54292ad5ef5f442a, 0xcf8b5d73daad115e, 0x81077536294f0d3b,
  0xa8b4b689c6378ce8, 0x997cdb190c76f62a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9, 0x00000009f9f678c3,
};

/*
 * m164p_swio13_lednop               m164pa_swio13_lednop              m324a_swio13_lednop
 * m324p_swio13_lednop               m324pa_swio13_lednop              m324pb_swio13_lednop
 */
static const uint64_t ur_m164a_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd20ec8f7feb0ef3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x8ce88139f4502169, 0xdb09732f9b69c637, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0x6bda792bf734332c, 0x000000000002a4b7,
};

/*
 * m164a_swio13_lednop_pr_u4         m164p_swio13_lednop_pr            m164p_swio13_lednop_pr_u4
 * m164pa_swio13_lednop_pr           m164pa_swio13_lednop_pr_u4        m324a_swio13_lednop_pr
 * m324a_swio13_lednop_pr_u4         m324p_swio13_lednop_pr            m324p_swio13_lednop_pr_u4
 * m324pa_swio13_lednop_pr           m324pa_swio13_lednop_pr_u4        m324pb_swio13_lednop_pr
 * m324pb_swio13_lednop_pr_u4
 */
static const uint64_t ur_m164a_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x18fffffb67ea54c1, 0x7a8fa51df2d07c76, 0xa0304f8e3a7f07d0, 0xf11c64731602cb29,
  0x07fecc11d7a3e765, 0xc81e59ed8dfb86a8, 0x73d59b5e5caad6e1, 0xfb39d454aa35d9d8, 0x8101395daa5beaa6,
  0x852572497f442a6b, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2,
  0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x7c9ab82e41a792bf,
};

/*
 * m164p_swio13_lednop_pr_ee         m164pa_swio13_lednop_pr_ee        m324a_swio13_lednop_pr_ee
 * m324p_swio13_lednop_pr_ee         m324pa_swio13_lednop_pr_ee        m324pb_swio13_lednop_pr_ee
 */
static const uint64_t ur_m164a_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x1ffffb67e87e609f, 0xa7a6ab5a37f0761c, 0x1f06cc184ff51e56, 0x3ad08a1df15e04f5,
  0x09afa30b2c4522cd, 0x73ab4bc875c6b269, 0xa1d79d376ee91828, 0x1144dc8f22d8d56b, 0xf5b86f65b2e62e12,
  0x5a80422934a8d823, 0xbb3b0e7ab36bcb95, 0x7d54df673a8a9546, 0x854d7020272bb54b, 0x457950a4ae492fe8,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x8b3a7c5c9ab83cd8,
  0xcfd4eacc7903f286, 0x738cbf313f9430a9, 0x39effe09a1e64ff1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x4ebc0ac834f257ee,
};

/*
 * m164p_swio13_lednop_pr_ee_u4      m164pa_swio13_lednop_pr_ee_u4     m324a_swio13_lednop_pr_ee_u4
 * m324p_swio13_lednop_pr_ee_u4      m324pa_swio13_lednop_pr_ee_u4     m324pb_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xdffff6cf9c19827c, 0xbacd56b46650ecd9, 0x1f06cc1a01ea3cac, 0x3ad08a1df1594bf5,
  0x09afa30b2c4522cd, 0xe75697726b8a2669, 0x1d7aea6ec7aa3f90, 0x8a22147bdd8d56ba, 0xb70decb872317090,
  0xcdaf2e556ab8117e, 0xea2a551aecec39ea, 0x9caed52df5537d9c, 0xb924bfa21535c080, 0xd73daad115e54292,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xa68320d3c95fb9a1, 0x00000000000004eb,
};

/*
 * m164a_swio13_lednop_pr_ce_u4      m164p_swio13_lednop_pr_ce         m164p_swio13_lednop_pr_ce_u4
 * m164pa_swio13_lednop_pr_ce        m164pa_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0xb34dffffdb3e35a6, 0x254ef675c5f5dbe3, 0x361222fb892c79e3, 0x672e8ffea3e12fc4,
  0x72c67eb2678bb8dc, 0x3a7f064f7a8f38cf, 0x191cc580a63cf58e, 0xb33c75e8f9d97c47, 0xe5adc37ee1aa01ff,
  0x59b5e5caad6e1c81, 0x9d454aa35d9d873d, 0x1395daa5beaa6fb3, 0x572497f442a6b810, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xd22fc834f257ee68, 0x0000000000000375,
};

// m164p_swio13_lednop_pr_ee_ce      m164pa_swio13_lednop_pr_ee_ce
static const uint64_t ur_m164a_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xffffdb3f6b7304f8, 0xd9dff54652c7626d, 0x92737ff3c64a9da6, 0xacac7be6139dc6e2,
  0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422, 0xd5dba438ea426be8, 0xebce9bb7748c1439,
  0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132, 0x9d873d59b5e5caad, 0xaa6fb39d454aa35d,
  0xa6b8101395daa5be, 0xbca852572497f442, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x997cdb40a31dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x0014d317ef20d3c9,
};

// m164p_swio13_lednop_pr_ee_ce_u4   m164pa_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x93ff617cf9adcc13, 0x149717d51ece1d82, 0x17dc4963cf285c1c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xeacdaf2e556a5988,
  0x9cea2a551aecec39, 0x809caed52df5537d, 0x92b924bfa21535c0, 0xb5d73daad115e542, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eae61dcf25,
};

/*
 * m164a_swio13_dual_pr              m164a_swio13_dual_pr_u4           m164p_swio13_dual
 * m164p_swio13_dual_pr              m164p_swio13_dual_pr_u4           m164pa_swio13_dual
 * m164pa_swio13_dual_pr             m164pa_swio13_dual_pr_u4
 */
static const uint64_t ur_m164a_swio13_dual[] = {
  0x23bbbbbb4486dd9e, 0xbf6dc3e5efed7afb, 0x59f6ecbba666ec19, 0x05411719d6414ccf, 0xc5a72498ecb76c8d,
  0x97a7721f957ba2f5, 0x2305521523304f8c, 0x432169bf03623d93, 0xf9956ee774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0x7bbe6e400006e1f0, 0x4219684648865577, 0x50ffe80e784d6b45,
  0xa730586f2bc84b6e, 0x77cb3de3b3f77f8e, 0xe3a7f0707fd47dbe, 0x62c05507992b47b8, 0x75e00ceda523884e,
  0xda63192a01ffb304, 0xeee2a4b81281e59e, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x395daa5beaa6fb39,
  0x72497f442a6b8101, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241,
  0xc371e6c25ccbe6da, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x49341c661dcf257e, 0x0000000000000001,
};

// m164p_swio13_dual_pr_ee           m164pa_swio13_dual_pr_ee
static const uint64_t ur_m164a_swio13_dual_pr_ee[] = {
  0x4addddddd41432db, 0x5fb6e1ff1f5c7d79, 0x5c2f767120a47770, 0xdd2eec305947d3ef, 0x3b363afc7cfd94a0,
  0xe470455960867484, 0x485d16609f192626, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0xb4700b5318ffe655,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x1d9d3ffe3a9cc161, 0x8f2bd37355ad1b93, 0x677a8f83660e3dfa, 0x91669d68450ef8af,
  0x973484d7d1859622, 0x3ea0e7569753cb8a, 0xaad743af512ecfe2, 0x2e121141ea8fe4b1, 0xb047eb70decbe966,
  0x7715250087cded51, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0xcaed52df5537d9ce, 0x924bfa21535c0809,
  0x73daad115e54292b, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x2a2adec55516920a, 0x1b8f3612e65f36d0,
  0x666fe0eee34596af, 0x04e34a1854e7ea75, 0x2b93f01f343cc9fe, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000ac856a30ee7,
};

// m164p_swio13_dual_pr_ee_u4        m164pa_swio13_dual_pr_ee_u4
static const uint64_t ur_m164a_swio13_dual_pr_ee_u4[] = {
  0xccf777776890cf68, 0x6fdb70ff8f2aff5e, 0xdae3ba769a709197, 0x3323e44a56a7d96a, 0x89ea3e3afc7cfdb3,
  0x7ee4d1f53af70dd8, 0x15485d16609f1924, 0x85a6fc0d88f64c8c, 0x55bb9dd3e251850c, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0xbec7674fff8ea730, 0x5ea3caf024d56b46, 0x15975f51f06cc1f7, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x948e5f1cead2ff39, 0xb1aad743af6b13b6, 0xc62e121142628c7c, 0x55c5adf5b86f65c7,
  0x556b3f8abe777152, 0x1aecec39eacdaf2e, 0x2df5537d9cea2a55, 0xa21535c0809caed5, 0xd115e54292b924bf,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x564e9e30ee792bf7,
};

// m164p_swio13_dual_pr_ce           m164pa_swio13_dual_pr_ce
static const uint64_t ur_m164a_swio13_dual_pr_ce[] = {
  0x17bbbbba1eb432db, 0x3f6dc3fb6d00faf8, 0x7266ea0a7ad1c7a7, 0x3a9994eb9d45e5ab, 0x9d776164fbdd8179,
  0x4b45b91c115634f1, 0x23055222319827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x76c2391c0e0cdd5f,
  0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0x77cdc04480370f85, 0x865a01ed10caaeef, 0x9ff4073c2609f150,
  0x982c3795e425b7ff, 0xfac061d84ebfc753, 0x58f3ca17073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xb7d54df673a8a954, 0x8854d7020272bb54, 0x4457950a4ae492fe,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b681463b7, 0x7771a2ce9f0dc79b,
  0x0c2a73f53ab337f0, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000034917618773c,
};

// m164p_swio13_dual_pr_ce_u4        m164pa_swio13_dual_pr_ce_u4
static const uint64_t ur_m164a_swio13_dual_pr_ce_u4[] = {
  0xa3bdddddda2432db, 0x4bf6dc3fb6dd6fd7, 0x6a6beebd60dde44c, 0x1b23f6277eec5f65, 0x3a51fb9c5ab751dc,
  0x4bd7b91c115603e3, 0x23055223ee9827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf3719c801b87c2, 0x2196804f4432abbb, 0x6bfe80e784d38c54,
  0x730586f2bc84b6e1, 0x2fa9943b3677f8ea, 0x92c79e50b83915ae, 0x3e12fc4361222fb8, 0x3c5dc6e1256547ea,
  0x51d009ee58cf0e33, 0xfe7511c74fe0c9af, 0xbb4dc8f229cc580a, 0x43e6e39633c75e45, 0xacfe2af9ddc54947,
  0xb3b0e7ab36bcb955, 0xd54df673a8a9546b, 0x54d7020272bb54b7, 0x57950a4ae492fe88, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x773c95fb9a19961d,
  0x000000001a485998,
};

// m164p_swio13_dual_pr_ee_ce        m164pa_swio13_dual_pr_ee_ce
static const uint64_t ur_m164a_swio13_dual_pr_ee_ce[] = {
  0xffb5bbbbbba86f97, 0xd93f6dc3fe2c7e7a, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae3fb4,
  0xb93c119d4b229d58, 0xa465b49827c64c4e, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0xfc3862099aeff32a,
  0xe0ffe4dea3e9ad83, 0x5fe7ef822847244f, 0x8164006e1f0a2189, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096def0ffe8, 0x0ecadfff1d4e60b0, 0x5c1cadf3bfea8e57, 0xee372e86ea8fcf28, 0xfb94ed6564dd309c,
  0x3e0d98332bd4795e, 0x75a1140a62bb75ea, 0x135f4616588a459a, 0x7d41ceaedca78752, 0xabc6c75ea25d9fc4,
  0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0x95daa5beaa6fb39d, 0x2497f442a6b81013, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0xa31dbd8aaa2d2414, 0x6e3cd84b997cdb40, 0x666fe0eee3458f38, 0x2c970cf4c2b93f75, 0x332c3a4a5b3e04e3,
  0x139c30ee792bf734, 0x000000000000004c,
};

// m164p_swio13_dual_pr_ee_ce_u4     m164pa_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_swio13_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0xb6e1f1b757bf5fd7, 0x82d51fa2ffb4af9f, 0x5ff57b04c3e382d7, 0x964048f5dc6a4145,
  0xcce8438dfc3793c8, 0xf192ecae5202f9e5, 0x932305521966e609, 0x61432169bf03623d, 0xafccb4b7e774f894,
  0x6ed87609c2f0e6e5, 0xc913f836bb9bd47c, 0x886257f9fbe08a11, 0x77cdc4e3c01b87c2, 0x865a11c910caaeef,
  0x5ff4073c26df7150, 0x30586f2bc84b6e49, 0x3eaf1d930dffe405, 0x9e50bcee61ae2faa, 0xfc4361222fb892c7,
  0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb,
  0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdbb1a2c6f8b93570,
  0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x493c95fb9a19961d, 0x00000010012e0a55,
};

// m164p_swio13_dual_hw              m164pa_swio13_dual_hw
static const uint64_t ur_m164a_swio13_dual_hw[] = {
  0x47777776890c5aa4, 0x7edb87cbdfdaf5f6, 0xb3edd9774ccdd833, 0x0a822e33ac82999e, 0x044e4931d96ed91a,
  0x8c97a772c3e9b4db, 0x932305521523304f, 0x61432169bf03623d, 0x27f9956ee774f894, 0x77f360bece051667,
  0x847244fe0cca9bd4, 0xf0a21895fe7ef822, 0x777bbe6e400006e1, 0x4542196846488655, 0x6e50ffe80e784d6b,
  0x51c530586f2bc84b, 0x7cef967bc767eeff, 0x71c74fe0e0ffa8fb, 0x9cc580aa0f32568f, 0x08ebc019db4a4710,
  0x3db4c6325403ff66, 0xf9ddc549702503cb, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x0272bb54b7d54df6,
  0x4ae492fe8854d702, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4,
  0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0x18dd5071d14f257e,
};

// m164p_swio13_dual_ee_hw           m164pa_swio13_dual_ee_hw
static const uint64_t ur_m164a_swio13_dual_ee_hw[] = {
  0xe52b777776890c86, 0xc17edb87fc7d71f5, 0xbd70bdd9c48291dd, 0x8374bbb0c1651f4f, 0x10ecd8ebf1f3f652,
  0x31372eec6ecde62a, 0x60aa42e8b304f8c9, 0x642d37e06c47b264, 0x32addcee9f128c28, 0xd825a3805a98c7ff,
  0x44fe0e2b4dea393a, 0x1895fe7ef8228472, 0xf9b9dd6006e1f0a2, 0xcb417da21955ddee, 0xfe80e784c1ee2a10,
  0x0b0de579096de76f, 0xb931d9d3ffea38a6, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3, 0x62291669d68450ef,
  0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe, 0xd51b047eb70decbe,
  0xbe77715250087cde, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809caed52df5537d, 0x92b924bfa21535c0,
  0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x005768ad5453c95f,
};

// m164p_swio13_dual_ce_hw           m164pa_swio13_dual_ce_hw
static const uint64_t ur_m164a_swio13_dual_ce_hw[] = {
  0x0bdddddda243359b, 0x9fb6e1fdb6807d7c, 0xb93375053d68e3d3, 0x9d4cca75cea2f2d5, 0x5d7bb0b27deec0bc,
  0x192d16e43c330a6b, 0x4c8c154888c6609f, 0x850c85a6fc0d88f6, 0x7fe655bb9dd3e251, 0xd9db08e470383375,
  0x8e489fc1cae9bd47, 0x144312bfcfdf0450, 0xbddf37011200dc3e, 0x42196807b4432abb, 0xfe7fd01cf09827c5,
  0x8a60b0de579096df, 0x17d6030ec275fea3, 0x92c79e50b839d5f7, 0x3e12fc4361222fb8, 0x3c5dc6e5c89257ea,
  0x51e449ee58cfa973, 0xf71951c74fe0c45f, 0x3b6948e21398b017, 0x4a807feccf1d7803, 0x4b81281e5adc98c6,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0xa5beaa6fb39d454a, 0xf442a6b8101395da, 0x5a22bca852572497,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x6514f257ee686658,
  0x000000000004dd57,
};

// m164p_swio13_dual_ee_ce_hw        m164pa_swio13_dual_ee_ce_hw
static const uint64_t ur_m164a_swio13_dual_ee_ce_hw[] = {
  0xfdaddddddd437089, 0xc9fb6e1ff163f3d7, 0xdebdeed8bc6a69ce, 0xac1b9395a083e44f, 0x2faf5df63d71fda3,
  0xae5793d656d6d2c1, 0xa9196d2609f19313, 0xb4df81b11ec99182, 0xb773ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe059001b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b7bc3ffa, 0x87656fffa8e2982c, 0x2e0e56f9dff5472b, 0x3b8dce8fa927e794, 0xbee53b5959374c27,
  0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166, 0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1,
  0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56,
  0xe576a96faa9bece7, 0xc925fd10a9ae0404, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x92e19e985727e7f6, 0x6587494b67c09c65, 0xa7ce514f257ee686,
  0x0000000000000089,
};

// m164p_swio13_dual_ee_ce_u4_hw     m164pa_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0xedb87c6dd5efd7f5, 0x0b7547e8bfed2be7, 0x5157fd5ec130fb4e, 0xf22590123d771a90,
  0x6e918ef0727f0de4, 0x6e609f192ecae5fd, 0x3623d93230552196, 0x4f89461432169bf0, 0xe1cdcb5f99761277,
  0x37a8f8ddb0ec1385, 0xc114239227f06d77, 0x370f8510c4aff3f7, 0x955ddeef9b89c780, 0xbee2a10cb4239221,
  0x96dc92bfe80e784d, 0xffca9260b0de5790, 0xae2faa3eaf1d930d, 0x892c79e37c307261, 0xa3e12fc4361222fb,
  0x3c5dc6e70ff1f77e, 0x2bdf729dadcdcdd3, 0xbd47c1b306657a8f, 0xb34eb422814c576e, 0xea426be8c2cb1148,
  0xf88fa839d5db94f0, 0x58d578d8ebd44bb3, 0xb3170908a0f547f2, 0x546c1132386f65f4, 0xf9ddc5494b31f37b,
  0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x0272bb54b7d54df6, 0x4ae492fe8854d702, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x681463b7b15545a4, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xaebcf430be9e4afd,
  0x0000000000000003,
};

/*
 * m164a_swio14_noled_pr             m164p_swio14_noled                m164p_swio14_noled_pr
 * m164pa_swio14_noled               m164pa_swio14_noled_pr            m324a_swio14_noled
 * m324a_swio14_noled_pr             m324p_swio14_noled                m324p_swio14_noled_pr
 * m324pa_swio14_noled               m324pa_swio14_noled_pr            m324pb_swio14_noled
 * m324pb_swio14_noled_pr
 */
static const uint64_t ur_m164a_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xd00eceebfd61de7e, 0xe0ebffa8e989df2d, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0xfe8854d674dcaed5, 0x55a22bca85256c7e,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xa718de33a2047978, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x07c8124d7b4f257e,
};

/*
 * m164p_swio14_noled_pr_u4          m164pa_swio14_noled_pr_u4         m324a_swio14_noled_pr_u4
 * m324p_swio14_noled_pr_u4          m324pa_swio14_noled_pr_u4         m324pb_swio14_noled_pr_u4
 */
static const uint64_t ur_m164a_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0xdfffffb67cc7cc13, 0xd47050ef96dec766, 0x0f680471d3f8326b, 0x146229cc580b2ca6,
  0x1ffb30475e8f9d93, 0x981e59eddac4f2a0, 0x73d59b5e5caad508, 0xab39d454aa35d9d8, 0x42a6b3a6e576a96f,
  0x115e54292b63f7f4, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x612e65f36d843156,
  0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef,
  0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x0000003e4efaa320,
};

/*
 * m164a_swio14_noled_pr_ee_u4       m164p_swio14_noled_pr_ee          m164p_swio14_noled_pr_ee_u4
 * m164pa_swio14_noled_pr_ee         m164pa_swio14_noled_pr_ee_u4      m324a_swio14_noled_pr_ee
 * m324a_swio14_noled_pr_ee_u4       m324p_swio14_noled_pr_ee          m324p_swio14_noled_pr_ee_u4
 * m324pa_swio14_noled_pr_ee         m324pa_swio14_noled_pr_ee_u4      m324pb_swio14_noled_pr_ee
 * m324pb_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x9dffff6cf9c19827, 0x9759aad68cc78ecd, 0xa3e0d983ea3d4795, 0xa75a1143be2b297e,
  0x2135f4616588a459, 0x0e75697726b8d64d, 0x743af3a6ec7aa3f9, 0x21144428f7bb1aad, 0x3f5b86f65b2e62e1,
  0x55a805d073ca8d82, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954, 0xc7efe8854d674dca, 0xe7b55a22bca85256,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0862adec5551696d, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x4d0641a792bf7343, 0x00000000000009d7,
};

/*
 * m164a_swio14_noled_pr_ce_u4       m164p_swio14_noled_pr_ce          m164p_swio14_noled_pr_ce_u4
 * m164pa_swio14_noled_pr_ce         m164pa_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x6656ffffb67f4dcc, 0x254ee575c5f5ee87, 0x361222fb892c79e3, 0x321d257ea3e12fc4,
  0xb9633f5933c5dc6e, 0x3a7f06b3fd475f27, 0x45398b0176fcbe8e, 0x6678ebd1f3b2628c, 0xf2d6eb589e5403ff,
  0xacdaf2e556a844c0, 0xcea2a551aecec39e, 0x359d372bb54b7d59, 0xf2a1495b1fbfa215, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0xe65f36d84263b7b1, 0x58df1726ae0f3612, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0001baef36f20d3c,
};

// m164p_swio14_noled_pr_ee_ce       m164pa_swio14_noled_pr_ee_ce
static const uint64_t ur_m164a_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xffffed9f4db9827c, 0x6ceffaa32ea3b066, 0x9cba3ff9e3254ec6, 0xd6563df309cee371,
  0x83d2bd4795c8794e, 0x40a62b387ea3e0d9, 0x616588a459a75a11, 0xeaedce4c752135f4, 0x75e74dd8f547f21c,
  0x5110a3deec6abc6c, 0x8e1bd96cb98b8484, 0x52cfa0e7951b044c, 0x6761cf566d7972ab, 0xa5beace75152a8d7,
  0xdfd10a9ace9b95da, 0x6ab4457950a4ad8f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0x571b09732f9b6c21, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9, 0xe41a792bf734332c,
  0x000000000534d3eb,
};

// m164p_swio14_noled_pr_ee_ce_u4    m164pa_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xb7fff617cf8a4982, 0x2b7ee2faa3d363b2, 0x45f71258f3ca1707, 0x64fd47c25f886c24,
  0xbdf33c5dc6e3b761, 0x7a8f2b90f29dadcd, 0x5670fd47c1b307a5, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x9eacdaf2e556a59f,
  0x59cea2a551aecec3, 0x15359d372bb54b7d, 0x8af2a1495b1fbfa2, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x30ee792bf734332c, 0x00000000027e1b90,
};

/*
 * m164p_swio14_lednop               m164pa_swio14_lednop              m324a_swio14_lednop
 * m324p_swio14_lednop               m324pa_swio14_lednop              m324pb_swio14_lednop
 */
static const uint64_t ur_m164a_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x7403b244ff58779f, 0xf83affea3af877cb, 0x16f74db7e5f471d3, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb6318ab7b1, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000002a4faf5ed,
};

/*
 * m164a_swio14_lednop_pr_u4         m164p_swio14_lednop_pr            m164p_swio14_lednop_pr_u4
 * m164pa_swio14_lednop_pr           m164pa_swio14_lednop_pr_u4        m324a_swio14_lednop_pr
 * m324a_swio14_lednop_pr_u4         m324p_swio14_lednop_pr            m324p_swio14_lednop_pr_u4
 * m324pa_swio14_lednop_pr           m324pa_swio14_lednop_pr_u4        m324pb_swio14_lednop_pr
 * m324pb_swio14_lednop_pr_u4
 */
static const uint64_t ur_m164a_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xeffffed9f5f7304f, 0x51d003be5b7b1d91, 0xfe7511c74fe0c9af, 0x118df398b016594c,
  0x7fecc11d7a3e76c9, 0x40f2cf6e0ff48a80, 0x9eacdaf2e556b2ed, 0x59cea2a551aecec3, 0xc0809d372bb54b7d,
  0xa1495cbec7a21535, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8,
  0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x1f2610179069e4af,
};

/*
 * m164p_swio14_lednop_pr_ee         m164pa_swio14_lednop_pr_ee        m324a_swio14_lednop_pr_ee
 * m324p_swio14_lednop_pr_ee         m324pa_swio14_lednop_pr_ee        m324pb_swio14_lednop_pr_ee
 */
static const uint64_t ur_m164a_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0xbfffed9f4b5304f8, 0x0b355ad198f1d835, 0x7c1b307d47a8f2b6, 0xeb422877c56a7bd4,
  0x26be8c2cb1148b34, 0xcead2ee9571ac9a4, 0x875e74dda4447371, 0x2285f11c656355ae, 0xeb70decb65cc5c24,
  0xb500ad627951b047, 0x76761cf566d7972a, 0xaa5beace75152a8d, 0x10a9ae0404e9b95d, 0x4457950a4ae5f63d,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x84b997cdb6318ab7, 0x68b3a7c5c9ab83cd,
  0x9cfd4eacc7903f28, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x09d7e9ec834f257e,
};

/*
 * m164p_swio14_lednop_pr_ee_u4      m164pa_swio14_lednop_pr_ee_u4     m324a_swio14_lednop_pr_ee_u4
 * m324p_swio14_lednop_pr_ee_u4      m324pa_swio14_lednop_pr_ee_u4     m324pb_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0x6ffffed9f1ad304f, 0x387355ad1edf1d9a, 0x47c1b30738fa8f2b, 0x4eb422877c565d7d,
  0x426be8c2cb1148b3, 0x39d5a5ff72e2899a, 0x875eba9bb6948e21, 0x2284c5188b6355ae, 0xadc37b2e1c8c5c24,
  0xb36bcb955aae2d6f, 0x3a8a9546bb3b0e7a, 0x0274dcaed52df567, 0x2572fb1e8854d702, 0x6bae7b55a22bca85,
  0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xae917e41a792bf73, 0x0000000000000013,
};

/*
 * m164a_swio14_lednop_pr_ce_u4      m164p_swio14_lednop_pr_ce         m164p_swio14_lednop_pr_ce_u4
 * m164pa_swio14_lednop_pr_ce        m164pa_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0xcb75ffff6cfc7298, 0x4a9de9bb8bebdd0e, 0x6c2445f71258f3c6, 0x24aca8fd47c25f88,
  0x72c67eb2678bb8dc, 0xe9fc1acff51e5f4f, 0xbe731602c7bd2a38, 0x99e3af47ced92231, 0x96b741fe91500ffd,
  0x66d7972ab5976a07, 0x75152a8d76761cf5, 0x04e9b95daa5beace, 0x4ae5f63d10a9ae04, 0xd75cf6ab4457950a,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x6c6263b7b15545a4, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xbd5959069e4afdcd, 0x000000000000006e,
};

// m164p_swio14_lednop_pr_ee_ce      m164pa_swio14_lednop_pr_ee_ce
static const uint64_t ur_m164a_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x47fffdb3eff2609f, 0x1a0effaa32ea3b03, 0x1a0e089fcf192a76, 0xed6563df309cee37,
  0x983d2bd479594b94, 0x140a62b287ea3e0d, 0x4616588a459a75a1, 0xceaedce94752135f, 0xc75e74dda4447371,
  0x450be238cac6abc6, 0xc8e1bd96cb98b848, 0xb52ced627951b044, 0x76761cf566d7972a, 0xaa5beace75152a8d,
  0x10a9ae0404e9b95d, 0x4457950a4ae5f63d, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x09732f9b6c6263b7, 0x943458f38b93571b, 0x4c2b93f75663c81f, 0x5b2c944e32c970cf, 0x792bf734332c3a4a,
  0x0000029a763fe41a,
};

// m164p_swio14_lednop_pr_ee_ce_u4   m164pa_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0x3effd85f3fd83304, 0x43eb8bea8f4d8ec4, 0x17dc4963cf285c1c, 0xbbf51f097e21b091,
  0xef99e2ee37387f8f, 0xd479594b94ed6e6d, 0xb287ea3e0d983d2b, 0x8a459a75a1140a62, 0xe94752135f461658,
  0xdda4447371ceaedc, 0x38cac6abc6c75e74, 0x96cb98b848450be2, 0x627951b044c8e1bd, 0xf566d7972ab52ced,
  0xce75152a8d76761c, 0x0404e9b95daa5bea, 0x0a4ae5f63d10a9ae, 0xcad75cf6ab445795, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00013f32d298773c,
};

/*
 * m164a_swio14_dual_pr              m164a_swio14_dual_pr_u4           m164p_swio14_dual
 * m164p_swio14_dual_pr              m164p_swio14_dual_pr_u4           m164pa_swio14_dual
 * m164pa_swio14_dual_pr             m164pa_swio14_dual_pr_u4
 */
static const uint64_t ur_m164a_swio14_dual[] = {
  0x41bbbbbb4486ff3e, 0xdfb6e1f2f738bd78, 0xb1ab77a71893760c, 0x82a086947b362817, 0xaf673b6514add082,
  0x4bd3b934f15ec75e, 0x9182a906019827c6, 0xa190b4df81b11ec9, 0xfccab773ba7c4a30, 0xf9b05f67028b3393,
  0x39227f06654dea3b, 0x510c4aff3f7c1142, 0x7bbe6e35d80370f8, 0x4219684648865577, 0x52ffe80e784d6b45,
  0xa730586f2bc84b6e, 0xef965ae3b0a2ff8e, 0x71d3f83defd47ee8, 0x31602a83cce4c3dc, 0x3af006764011a627,
  0xdbde37d500ffd982, 0xddc5495f3a81e59e, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x274dcaed52df5673,
  0x572fb1e8854d7020, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x14935ad461dcf257,
};

// m164p_swio14_dual_pr_ee           m164pa_swio14_dual_pr_ee
static const uint64_t ur_m164a_swio14_dual_pr_ee[] = {
  0xd6eeeeeea0a1a5fb, 0x7edb87fc7f77ebcd, 0x83edd57cd891ddc1, 0xd2eda7227d57f5de, 0x5dfbf7c7cfd9ba0d,
  0x52c8d759b42acc99, 0x8ee3e609f192626e, 0x6fc0d88f64c8c154, 0xb9dd3e251850c85a, 0x4700b5318ffe655b,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x7605aff1d4e60b0d, 0x3caedd4d56b47fb8, 0x37ea3e0d9830f7ea, 0x459a75a1143be2bd,
  0x5cd2135f4616588a, 0xcf539d5a5d82ae2a, 0x56ba1d7a897631e8, 0x70908a34a4710d8d, 0x823f5b86f65f4b31,
  0x7152500b2288aa8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0xd372bb54b7d59cea, 0xcbec7a21535c0809,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905, 0x8dc79b09732f9b6c,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000005647ad98773,
};

// m164p_swio14_dual_pr_ee_u4        m164pa_swio14_dual_pr_ee_u4
static const uint64_t ur_m164a_swio14_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0xb7edb87fc7e7dfaf, 0xf7bbdd414f5848cb, 0x24c8f9129dbd7610, 0x900d57efdf1f3f76,
  0x8fdc9e08ce9c2d4e, 0x82a91dc7cc13e324, 0x90b4df81b11ec991, 0xcab773ba7c4a30a1, 0xb01ac70275325afc,
  0x89fc1efb9bd478ad, 0x312bfcfdf04508e4, 0xf9b995000dc3e144, 0xcb423da21955ddee, 0xff4073c269122a10,
  0x82c3795e425b7d35, 0x1c061d816bfc7539, 0x227a8f2b53d355ad, 0x7c5670fd47c1b307, 0xcb1148b34eb42287,
  0x65c20b9a426be8c2, 0x6401182873ab4ba5, 0x8b6355ae875ed627, 0x1f18b848450f7a3c, 0x92ae2e1fd6e1bd97,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xb4e31bc67440a2fa, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x002b2042cc3b9e4a,
};

// m164p_swio14_dual_pr_ce           m164pa_swio14_dual_pr_ce
static const uint64_t ur_m164a_swio14_dual_pr_ce[] = {
  0x1dddddd0f5a1a5fb, 0xf6dc3fb6d47fd799, 0xcdeeb627651c7a73, 0xd4ccdd56875c21ee, 0x26ba27f5dee991c9,
  0x8b729646bae44956, 0x0aa41d7d304f8c96, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0x8472381c19babff3,
  0x4fe0e574dea3eced, 0x895fe7ef82284724, 0xcdc524006e1f0a21, 0x5a01ed10caaeef77, 0xf4073c2609f15086,
  0x586f2bc84b6e337f, 0xbf83b0e0ff8ea730, 0x79e50b8384eae2fa, 0x2fc4361222fb892c, 0xdc6e5253397ea3e1,
  0x4f9ee58cfa9733c5, 0x7e38e9fc1dadea38, 0x0234c4e62c0528bb, 0x1ffb33c75e00cec8, 0xd40f2d6e7bc6faa0,
  0x67f157ceee2a4af9, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xdc68b3a7c371e6c2,
  0x0a9cfd4eaccdfc1d, 0xff1738cbf313f943, 0x27e39effe09a1e64, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x000d24c6261dcf25,
};

// m164p_swio14_dual_pr_ce_u4        m164pa_swio14_dual_pr_ce_u4
static const uint64_t ur_m164a_swio14_dual_pr_ce_u4[] = {
  0xe0eeeeeed121a5fb, 0x5fb6e1fdb745febe, 0x685b75d9333f2262, 0x1b23e644abd3efed, 0xab2abeb410f76e0c,
  0x4bd7b94b235d70f8, 0x23055219eb9827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf37092801b87c2, 0x2196804f4432abbb, 0x7ffe80e784d38c54,
  0xe60b0de579096de8, 0xbebb7c7669bff1d4, 0x4b1e7942e0e6ceb8, 0xf84bf10d8488bee2, 0xf1771b9494ce5fa8,
  0x479c67b9633c38cc, 0x1e7ac71d3f8327bd, 0xecbe238c8e62c053, 0xc8bb8e58cf1d7916, 0x67f157ceee2a4a3a,
  0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x0000000034913406,
};

// m164p_swio14_dual_pr_ee_ce        m164pa_swio14_dual_pr_ee_ce
static const uint64_t ur_m164a_swio14_dual_pr_ee_ce[] = {
  0x7abeddddddd432db, 0xd93f6dc3fe2da7bd, 0x3bf57dd4fb2d4d39, 0x3ac1b8e77b8c3e40, 0xb419cae363d71abe,
  0xae47045583c333a9, 0xa907cfa609f19313, 0xb4df81b11ec99182, 0xb773ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe2e0801b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b735bffa, 0x61d9883fc753982c, 0x85c1cc4077fd51e5, 0xcee371523dd6fcf2, 0xcae94ed6564dd309,
  0x47c1b307b7fd4795, 0x4eb422814c57befd, 0x426be8c2cb1148b3, 0x8cf539d5db9828ea, 0xaaf1b1d7a897631e,
  0x2e121146948e21b1, 0xd8226470decbe966, 0x7715252cf2288aa8, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac,
  0x9d372bb54b7d59ce, 0x5cbec7a21535c080, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0x8c4c76f62aa8b490, 0xe1b8f3612e65f36d, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813,
  0x04e938c3b9e4afdc, 0x0000000000000013,
};

// m164p_swio14_dual_pr_ee_ce_u4     m164pa_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x6dc3e36caf7ebd9f, 0x05b55e3aff695f3f, 0xfbccdcda1372c9a7, 0x0590122cfa3520ac,
  0x42ace797721ae2ed, 0x3e325d95cab00840, 0xb26460aa46b82cc1, 0x8c28642d37e06c47, 0xb5f99696fcee9f12,
  0x8ddb0ec1385e1cdc, 0x39227f06d7737a8f, 0x510c4aff3f7c1142, 0xf77cdc15400370f8, 0x0865a11c910caaee,
  0x95ff4073c26df715, 0x530586f2bc84b6f4, 0x5193a1d9787ffe40, 0x3cf285e77787717d, 0x97e21b09117dc496,
  0x71b82a8b24ff51f0, 0x74a76b737374cf17, 0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7,
  0x7a9ceaedcc147521, 0x78d8ebd44bb18f46, 0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c,
  0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e, 0xcf6ab4457950a4ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0x7079b09732f9b6c6, 0x0fdbb1a2c6f8b935,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x55493c95fb9a1996, 0x00000000100020d4,
};

// m164p_swio14_dual_hw              m164pa_swio14_dual_hw
static const uint64_t ur_m164a_swio14_dual_hw[] = {
  0x83777776890c365a, 0xbf6dc3e5ee717af0, 0x6356ef4e3126ec19, 0x05410d28f66c502f, 0x6d0e76ca295ba105,
  0xf192f4ee44ddf5f6, 0xb26460aa41806609, 0x8c28642d37e06c47, 0xe4ff32addcee9f12, 0x8efe6c17d9c0a2cc,
  0x508e489fc199537a, 0x3e144312bfcfdf04, 0x5ddeef9b8d7600dc, 0xd150865a11922195, 0xdb94bffa039e135a,
  0xd4714c161bcaf212, 0x7477cb2d71d8517f, 0xee38e9fc1ef7ea3f, 0x1398b01541e67261, 0xc11d78033b2008d3,
  0xcf6def1bea807fec, 0x7ceee2a4af9d40f2, 0xd59b5e5caad67f15, 0x39d454aa35d9d873, 0x1013a6e576a96fab,
  0x292b97d8f442a6b8, 0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516,
  0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x0063755ad5453c95,
};

// m164p_swio14_dual_ee_hw           m164pa_swio14_dual_ee_hw
static const uint64_t ur_m164a_swio14_dual_ee_hw[] = {
  0x6eb777776890cf68, 0x0bf6dc3fe3fbbf5e, 0xf41f6eabe6c48eee, 0x6e976d3913eabfae, 0xcaefdfbe3e7ecdd0,
  0x137268fa9d6b7664, 0x0aa4771f304f8c93, 0x42d37e06c47b2646, 0x2addcee9f128c286, 0x825a3805a98c7ff3,
  0x4fe0e2b4dea393ad, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb417da21955ddeef, 0xe80e784c1ee2a10c,
  0x586f2bc84b6fa6bf, 0xfb87605aff51c530, 0x7ea3caedd4d56b47, 0x2bd37ea3e0d9830f, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x1e8cf539d5a5d82a, 0xd8d56ba1d7a89763, 0xb3170908a34a4710, 0xa8d823f5b86f65f4,
  0xe777152500b2288a, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x809d372bb54b7d59, 0x495cbec7a21535c0,
  0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002bb4f5ba29e4af,
};

// m164p_swio14_dual_ce_hw           m164pa_swio14_dual_ce_hw
static const uint64_t ur_m164a_swio14_dual_ce_hw[] = {
  0x91dddddda2431f02, 0x3f6dc3fb6d47fd79, 0xecdeeb627651c7a7, 0x9d4ccdd56875c21e, 0xa26ba27f5dee991c,
  0x4b45b928c459bd30, 0x2305520ebe9827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x76c2391c0e0cdd5f,
  0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0xbbe6e29200370f85, 0x432d00f688655777, 0xbffa039e1304f8a8,
  0x982c3795e425b719, 0xfabf83b0e0ffa8e2, 0x2c79e50b8384eae2, 0xe12fc4361222fb89, 0xc5dc6e321d257ea3,
  0x384f9ee58cfa9733, 0xbb7e38e9fc1dadea, 0xc80234c4e62c0528, 0xa01ffb33c75e00ce, 0xf9d40f2d6e7bc6fa,
  0xad67f157ceee2a4a, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x442a6b81013a6e57, 0xd115e54292b97d8f,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6db1898ed, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x68a792bf734332c3,
  0x000000000026eb8c,
};

// m164p_swio14_dual_ee_ce_hw        m164pa_swio14_dual_ee_ce_hw
static const uint64_t ur_m164a_swio14_dual_ee_ce_hw[] = {
  0xabeddddddd43573e, 0x93f6dc3fe2da7bd7, 0xbf57dd4fb2d4d39d, 0xac1b8e77b8c3e403, 0x419cae363d71abe3,
  0x75c9717dd9baca9b, 0x5520f9f4c13e3262, 0x169bf03623d93230, 0x56ee774f89461432, 0x1fe1c3104cd77f99,
  0x7f07ff26f51f4d6c, 0x4aff3f7c11423922, 0xdc5c100370f8510c, 0xa0c1510caaeef77c, 0x4073c2690f150865,
  0x86f2bc84b6e6b7ff, 0x5876620ff51c5305, 0xa17073101dff5479, 0x39dc6e654341ff3c, 0xb95d29dacac9ba61,
  0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916, 0xd19ea73abb73051d, 0x355e363af512ec63,
  0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x13a6e576a96fab39, 0x2b97d8f442a6b810, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xb1898edec5551692, 0xec371e6c25ccbe6d, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138, 0x34fa4ea29e4afdcd,
  0x0000000000000011,
};

// m164p_swio14_dual_ee_ce_u4_hw     m164pa_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_swio14_dual_ee_ce_u4_hw[] = {
  0xf6eeeeed14682906, 0xf6dc3e36caf7ebd9, 0xc9bb55e3aff695f3, 0x0acfbccdcda137b2, 0x2ed0590122cfa352,
  0x2be405ed231721ae, 0xae0b304f8c976572, 0xf81b11ec99182a91, 0x3ba7c4a30a190b4d, 0xc2f0e6e5afccbb09,
  0xbb9bd47c6ed87609, 0xfbe08a11c913f836, 0x001b87c2886257f9, 0x88655777bbe6e0aa, 0x136fb8a8432d08e4,
  0xe425b7a4affa039e, 0xe1fff2a4982c3795, 0x5e1dc5f5464e8765, 0x5f71258f3c6f860e, 0xbfd47c25f886c244,
  0xdd33c5dc6e05919e, 0xa8f2b95d29dadcdc, 0xf7dfa8f83660f6ff, 0x291669d68450298a, 0x051d484d7d185962,
  0xec63d19ea73abb73, 0xc436355e363af512, 0x7d2cc5c24228d291, 0x11551b044c8e1bd9, 0x157ceee2a4a59e45,
  0x73d59b5e5caad67f, 0xab39d454aa35d9d8, 0xb81013a6e576a96f, 0x54292b97d8f442a6, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000ebace2f82fa79,
};

/*
 * m164a_swio15_noled_pr             m164p_swio15_noled                m164p_swio15_noled_pr
 * m164pa_swio15_noled               m164pa_swio15_noled_pr            m324a_swio15_noled
 * m324a_swio15_noled_pr             m324p_swio15_noled                m324p_swio15_noled_pr
 * m324pa_swio15_noled               m324pa_swio15_noled_pr            m324pb_swio15_noled
 * m324pb_swio15_noled_pr
 */
static const uint64_t ur_m164a_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa41d9dd7fac3bcfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb, 0xe8854d674dcaed52, 0xd115e54292ad5fef,
  0x78629bd677973daa, 0xcbc5021696bfc46a, 0xf36d38c6f19d1023, 0x8d163ce1bb612e65, 0x2b93f75663c81a3f,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00003e40926bda79,
};

/*
 * m164p_swio15_noled_pr_u4          m164pa_swio15_noled_pr_u4         m324a_swio15_noled_pr_u4
 * m324p_swio15_noled_pr_u4          m324pa_swio15_noled_pr_u4         m324pb_swio15_noled_pr_u4
 */
static const uint64_t ur_m164a_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x195ffff6cfbf9304, 0xf51e5f1df2d07c76, 0xa3de951c74fe0fa0, 0x851ef6731602cb29,
  0x07fecc11d7a3e768, 0x6e07967b622934a8, 0x1cf566d7972ab57d, 0xaece75152a8d7676, 0x0a9ace9b95daa5be,
  0x2bca85255abfdfd1, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x84b997cdb1922ade,
  0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000f93d65ac83,
};

/*
 * m164a_swio15_noled_pr_ee_u4       m164p_swio15_noled_pr_ee          m164p_swio15_noled_pr_ee_u4
 * m164pa_swio15_noled_pr_ee         m164pa_swio15_noled_pr_ee_u4      m324a_swio15_noled_pr_ee
 * m324a_swio15_noled_pr_ee_u4       m324p_swio15_noled_pr_ee          m324p_swio15_noled_pr_ee_u4
 * m324pa_swio15_noled_pr_ee         m324pa_swio15_noled_pr_ee_u4      m324pb_swio15_noled_pr_ee
 * m324pb_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m164a_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0x6ffffb67c9d4c13e, 0x52e6ab5a37f07645, 0x1f06cc184ff51e56, 0x3ad08a1df15943f5,
  0x09afa30b2c4522cd, 0x73ab4ba565c6b269, 0xa1d79d376ea11e48, 0x1147c88e0fd8d56b, 0xf5b86f65b2e62e12,
  0xb500ba4c16a8d823, 0x76761cf566d7972a, 0xa5beaece75152a8d, 0xdfd10a9ace9b95da, 0x55a22bca85255abf,
  0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x2adec5551696d138, 0x83cd84b997cdb192, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x3c834f257ee68665, 0x00000000000275cb,
};

/*
 * m164a_swio15_noled_pr_ce_u4       m164p_swio15_noled_pr_ce          m164p_swio15_noled_pr_ce_u4
 * m164pa_swio15_noled_pr_ce         m164pa_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m164a_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x2577fffdb3fb3a60, 0x54ef7ddc5f5dbe3b, 0x61222fb892c79e32, 0xc89257ea3e12fc43,
  0x9633f5933c5dc6e5, 0xd3f8327bd479ba7b, 0xf673160299538c71, 0xccf1d7a3e768851e, 0xe5adc22934a807fe,
  0x59b5e5caad5f5b81, 0x9d454aa35d9d873d, 0xb3a6e576a96fabb3, 0xa14956aff7f442a6, 0x7c5aeb9ed5688af2,
  0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0xcbe6d8c863b7b155, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x00375e3ebe41a792,
};

// m164p_swio15_noled_pr_ee_ce       m164pa_swio15_noled_pr_ee_ce
static const uint64_t ur_m164a_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0x7fffdb3fa6a609f1, 0xf0effaa32963b3fe, 0x950d07fcf192a77f, 0x6b2b1ef984e771b9,
  0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08, 0x7576e4ac3a909afa, 0x3af3a6edd423c90e,
  0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae,
  0xfa215359d372bb54, 0xb4457950a4ab57fb, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718,
  0xe3612e65f36c6431, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x834f257ee6866587,
  0x0000000029a673ec,
};

// m164p_swio15_noled_pr_ee_ce_u4    m164pa_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m164a_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0x77ffb0be7f1ba609, 0xd77717d51ece1d8d, 0x2fb892c79e50b838, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0xd59b5e5caad4b3e9,
  0x39d454aa35d9d873, 0x6b3a6e576a96fabb, 0x2a14956aff7f442a, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xdcf257ee68665874, 0x00000004fcfb3c61,
};

/*
 * m164p_swio15_lednop               m164pa_swio15_lednop              m324a_swio15_lednop
 * m324p_swio15_lednop               m324pa_swio15_lednop              m324pb_swio15_lednop
 */
static const uint64_t ur_m164a_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd20ec8f7feb0ef3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xe33a204e7d14085a, 0x76c25ccbe6da718d, 0x5c33d30ae4fcfec3,
  0x0e9296cb25138cb2, 0xdaf69e4afdcd0ccb, 0x000000000000a92d,
};

/*
 * m164a_swio15_lednop_pr_u4         m164p_swio15_lednop_pr            m164p_swio15_lednop_pr_u4
 * m164pa_swio15_lednop_pr           m164pa_swio15_lednop_pr_u4        m324a_swio15_lednop_pr
 * m324a_swio15_lednop_pr_u4         m324p_swio15_lednop_pr            m324p_swio15_lednop_pr_u4
 * m324pa_swio15_lednop_pr           m324pa_swio15_lednop_pr_u4        m324pb_swio15_lednop_pr
 * m324pb_swio15_lednop_pr_u4
 */
static const uint64_t ur_m164a_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x18fffffb67ea54c1, 0x7a8fa51df2d07c76, 0xa0304f8e3a7f07d0, 0xf11c64731602cb29,
  0x07fecc11d7a3e765, 0xc81e59ed8dfb86a8, 0x73d59b5e5caad6e1, 0xbb39d454aa35d9d8, 0x81013a6e576a96fa,
  0xa1495c958f442a6b, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x1f26ae0b9069e4af,
};

/*
 * m164p_swio15_lednop_pr_ee         m164pa_swio15_lednop_pr_ee        m324a_swio15_lednop_pr_ee
 * m324p_swio15_lednop_pr_ee         m324pa_swio15_lednop_pr_ee        m324pb_swio15_lednop_pr_ee
 */
static const uint64_t ur_m164a_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x1ffffb67e87e609f, 0xa7a6ab5a37f0761c, 0x1f06cc184ff51e56, 0x3ad08a1df15e04f5,
  0x09afa30b2c4522cd, 0x73ab4bc875c6b269, 0xa1d79d376ee91828, 0x1144dc8f22d8d56b, 0xf5b86f65b2e62e12,
  0x5a80422934a8d823, 0xbb3b0e7ab36bcb95, 0x52df57673a8a9546, 0x854d7020274dcaed, 0x115e54292b92b1e8,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d02a2ade, 0xa2ce9f1726ae0f36,
  0x73f53ab31e40fca1, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x13af02b20d3c95fb,
};

/*
 * m164p_swio15_lednop_pr_ee_u4      m164pa_swio15_lednop_pr_ee_u4     m324a_swio15_lednop_pr_ee_u4
 * m324p_swio15_lednop_pr_ee_u4      m324pa_swio15_lednop_pr_ee_u4     m324pb_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m164a_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xdffff6cf9c19827c, 0xbacd56b46650ecd9, 0x1f06cc1a01ea3cac, 0x3ad08a1df1594bf5,
  0x09afa30b2c4522cd, 0xe75697726b8a2669, 0x1d7aea6ec7aa3f90, 0x8a22147bdd8d56ba, 0xb70decb872317090,
  0xcdaf2e556ab8117e, 0xea2a551aecec39ea, 0x9d372bb54b7d5d9c, 0xae4ac7a21535c080, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x40a8ab7b15545a48, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xe9a0c834f257ee68, 0x000000000000013a,
};

/*
 * m164a_swio15_lednop_pr_ce_u4      m164p_swio15_lednop_pr_ce         m164p_swio15_lednop_pr_ce_u4
 * m164pa_swio15_lednop_pr_ce        m164pa_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m164a_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0xb34dffffdb3e35a6, 0x254ef675c5f5dbe3, 0x361222fb892c79e3, 0x672e8ffea3e12fc4,
  0x72c67eb2678bb8dc, 0x3a7f064f7a8f38cf, 0x191cc580a63cf58e, 0xb33c75e8f9d97c47, 0xe5adc37ee1aa01ff,
  0x59b5e5caad6e1c81, 0x9d454aa35d9d873d, 0x13a6e576a96fabb3, 0x95c958f442a6b810, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x748bf20d3c95fb9a, 0x00000000000000dd,
};

// m164p_swio15_lednop_pr_ee_ce      m164pa_swio15_lednop_pr_ee_ce
static const uint64_t ur_m164a_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xffffdb3f6b7304f8, 0xd9dff54652c7626d, 0x92737ff3c64a9da6, 0xacac7be6139dc6e2,
  0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422, 0xd5dba438ea426be8, 0xebce9bb7748c1439,
  0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d,
  0xa6b81013a6e576a9, 0xaf2a1495c958f442, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0xe65f36d028c76f62, 0x68b1e71726ae3612, 0x5727eeacc7903f28, 0x59289c6592e19e98, 0x57ee6866587494b6,
  0x000534c5fbc834f2,
};

// m164p_swio15_lednop_pr_ee_ce_u4   m164pa_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m164a_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x93ff617cf9adcc13, 0x149717d51ece1d82, 0x17dc4963cf285c1c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xeacdaf2e556a5988,
  0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb681463b7b15545a, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0013f07ab98773c9,
};

/*
 * m164a_swio15_dual_pr              m164a_swio15_dual_pr_u4           m164p_swio15_dual
 * m164p_swio15_dual_pr              m164p_swio15_dual_pr_u4           m164pa_swio15_dual
 * m164pa_swio15_dual_pr             m164pa_swio15_dual_pr_u4
 */
static const uint64_t ur_m164a_swio15_dual[] = {
  0x8bbbbbbb4486dd9e, 0xbf6dc3e5efed7afa, 0x59f6ecbba666ec19, 0x05411719d6414ccf, 0xc5a72498ecb76a2d,
  0x97a7721f957ba2f5, 0x2305521523304f8c, 0x432169bf03623d93, 0xf9956ee774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0x7bbe6e400006e1f0, 0x4219684648865577, 0x50ffe80e784d6b45,
  0xa730586f2bc84b6e, 0x77cb3de3b3f77f8e, 0xe3a7f0707fd47dbe, 0x62c05507992b47b8, 0x75e00ceda523884e,
  0xda63192a01ffb304, 0xeee2a4b81281e59e, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x3a6e576a96fabb39,
  0x5c958f442a6b8101, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490,
  0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x524d07198773c95f,
};

// m164p_swio15_dual_pr_ee           m164pa_swio15_dual_pr_ee
static const uint64_t ur_m164a_swio15_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x5fb6e1ff1f5c7d79, 0x5c2f767120a47770, 0xdd2eec305947d3ef, 0x3b363afc7cfd94e0,
  0xe470455960867484, 0x485d16609f192626, 0xa6fc0d88f64c8c15, 0xbb9dd3e251850c85, 0xb4700b5318ffe655,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x1d9d3ffe3a9cc161, 0x8f2bd37355ad1b93, 0x677a8f83660e3dfa, 0x91669d68450ef8af,
  0x973484d7d1859622, 0x3ea0e7569753cb8a, 0xaad743af512ecfe2, 0x2e121141ea8fe4b1, 0xb047eb70decbe966,
  0x7715250087cded51, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809,
  0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482, 0xc6e3cd84b997cdb4,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002b215a8c3b9,
};

// m164p_swio15_dual_pr_ee_u4        m164pa_swio15_dual_pr_ee_u4
static const uint64_t ur_m164a_swio15_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0x6fdb70ff8f2aff5f, 0xdae3ba769a709197, 0xb323e44a56a7d96a, 0x89ea3e3afc7cfdc0,
  0x7ee4d1f53af70dd8, 0x15485d16609f1924, 0x85a6fc0d88f64c8c, 0x55bb9dd3e251850c, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0xbec7674fff8ea730, 0x5ea3caf024d56b46, 0x15975f51f06cc1f7, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x948e5f1cead2ff39, 0xb1aad743af6b13b6, 0xc62e121142628c7c, 0x55c5adf5b86f65c7,
  0x556b3f8abe777152, 0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55, 0xa21535c0809d372b, 0xb4457950a4ae4ac7,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc674409cfa28, 0x86e3cd84b997cdb4, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x1593a78c3b9e4afd,
};

// m164p_swio15_dual_pr_ce           m164pa_swio15_dual_pr_ce
static const uint64_t ur_m164a_swio15_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x3f6dc3fb6d00fafb, 0x7266ea0a7ad1c7a7, 0x3a9994eb9d45e5ab, 0x9d776164fbddb139,
  0x4b45b91c115634f1, 0x23055222319827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x76c2391c0e0cdd5f,
  0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0x77cdc04480370f85, 0x865a01ed10caaeef, 0x9ff4073c2609f150,
  0x982c3795e425b7ff, 0xfac061d84ebfc753, 0x58f3ca17073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0x8854d7020274dcae, 0xd115e54292b92b1e,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0x1ddc68b3a7c371e6,
  0x430a9cfd4eaccdfc, 0x64ff1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00000d245d861dcf,
};

// m164p_swio15_dual_pr_ce_u4        m164pa_swio15_dual_pr_ce_u4
static const uint64_t ur_m164a_swio15_dual_pr_ce_u4[] = {
  0xa33dddddda2432db, 0x4bf6dc3fb6dd6fd7, 0x6a6beebd60dde44c, 0x1b23f6277eec5f65, 0x3a51fb9c5ab7519c,
  0x4bd7b91c115603e3, 0x23055223ee9827c6, 0x432169bf03623d93, 0xf9956ee774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf3719c801b87c2, 0x2196804f4432abbb, 0x6bfe80e784d38c54,
  0x730586f2bc84b6e1, 0x2fa9943b3677f8ea, 0x92c79e50b83915ae, 0x3e12fc4361222fb8, 0x3c5dc6e1256547ea,
  0x51d009ee58cf0e33, 0xfe7511c74fe0c9af, 0xbb4dc8f229cc580a, 0x43e6e39633c75e45, 0xacfe2af9ddc54947,
  0xb3b0e7ab36bcb955, 0x2df57673a8a9546b, 0x54d7020274dcaed5, 0x15e54292b92b1e88, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6da0518edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x0000000006921666,
};

// m164p_swio15_dual_pr_ee_ce        m164pa_swio15_dual_pr_ee_ce
static const uint64_t ur_m164a_swio15_dual_pr_ee_ce[] = {
  0xf9c5bbbbbba86f97, 0xd93f6dc3fe2c7e7a, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae39c4,
  0xb93c119d4b229d58, 0xa465b49827c64c4e, 0xd37e06c47b26460a, 0xddcee9f128c28642, 0xfc3862099aeff32a,
  0xe0ffe4dea3e9ad83, 0x5fe7ef822847244f, 0x8164006e1f0a2189, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096def0ffe8, 0x0ecadfff1d4e60b0, 0x5c1cadf3bfea8e57, 0xee372e86ea8fcf28, 0xfb94ed6564dd309c,
  0x3e0d98332bd4795e, 0x75a1140a62bb75ea, 0x135f4616588a459a, 0x7d41ceaedca78752, 0xabc6c75ea25d9fc4,
  0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0xa6e576a96fabb39d, 0xc958f442a6b81013, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd, 0x0ccb0e9296cf8138,
  0x04e70c3b9e4afdcd, 0x0000000000000013,
};

// m164p_swio15_dual_pr_ee_ce_u4     m164pa_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m164a_swio15_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0xdb70f8dbabdfaf2c, 0xc16a8fd17fda57cf, 0xaffabd8261f1c16b, 0x259012258a3520a2,
  0x733a10e37f0de4f2, 0x7c64bb2b9480be79, 0x64c8c1548659b982, 0x1850c85a6fc0d88f, 0x6bf32d2df9dd3e25,
  0x1bb61d8270bc39b9, 0x7244fe0daee6f51f, 0xa21895fe7ef82284, 0xddf37138f006e1f0, 0x219684724432abbb,
  0x57fd01cf09b7dc54, 0x4c161bcaf212db92, 0x8fabc764c37ff901, 0xe7942f3b986b8bea, 0xbf10d8488bee24b1,
  0x1b89c7f71ffa8f84, 0xca76b737374cf177, 0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a,
  0xa0e7576e53c3a909, 0xe363af512ecfe23e, 0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x079b09732f9b6814, 0xfdbb1a2c6f8b9357,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x5493c95fb9a19961, 0x000000010012e0a5,
};

// m164p_swio15_dual_hw              m164pa_swio15_dual_hw
static const uint64_t ur_m164a_swio15_dual_hw[] = {
  0x17777776890c5aa4, 0x7edb87cbdfdaf5f5, 0xb3edd9774ccdd833, 0x0a822e33ac82999e, 0x044e4931d96ed45a,
  0x8c97a772c3e9b4db, 0x932305521523304f, 0x61432169bf03623d, 0x27f9956ee774f894, 0x77f360bece051667,
  0x847244fe0cca9bd4, 0xf0a21895fe7ef822, 0x777bbe6e400006e1, 0x4542196846488655, 0x6e50ffe80e784d6b,
  0x51c530586f2bc84b, 0x7cef967bc767eeff, 0x71c74fe0e0ffa8fb, 0x9cc580aa0f32568f, 0x08ebc019db4a4710,
  0x3db4c6325403ff66, 0xf9ddc549702503cb, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x0274dcaed52df576,
  0x92b92b1e8854d702, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6,
  0xb9a19961d252d9f0, 0x0637541c7453c95f,
};

// m164p_swio15_dual_ee_hw           m164pa_swio15_dual_ee_hw
static const uint64_t ur_m164a_swio15_dual_ee_hw[] = {
  0xe53b777776890c86, 0xc17edb87fc7d71f5, 0xbd70bdd9c48291dd, 0x8374bbb0c1651f4f, 0x10ecd8ebf1f3f653,
  0x31372eec6ecde62a, 0x60aa42e8b304f8c9, 0x642d37e06c47b264, 0x32addcee9f128c28, 0xd825a3805a98c7ff,
  0x44fe0e2b4dea393a, 0x1895fe7ef8228472, 0xf9b9dd6006e1f0a2, 0xcb417da21955ddee, 0xfe80e784c1ee2a10,
  0x0b0de579096de76f, 0xb931d9d3ffea38a6, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3, 0x62291669d68450ef,
  0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe, 0xd51b047eb70decbe,
  0xbe77715250087cde, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0015da2b5514f257,
};

// m164p_swio15_dual_ce_hw           m164pa_swio15_dual_ce_hw
static const uint64_t ur_m164a_swio15_dual_ce_hw[] = {
  0x89dddddda243359b, 0x9fb6e1fdb6807d7d, 0xb93375053d68e3d3, 0x9d4cca75cea2f2d5, 0x5d7bb0b27deed89c,
  0x192d16e43c330a6b, 0x4c8c154888c6609f, 0x850c85a6fc0d88f6, 0x7fe655bb9dd3e251, 0xd9db08e470383375,
  0x8e489fc1cae9bd47, 0x144312bfcfdf0450, 0xbddf37011200dc3e, 0x42196807b4432abb, 0xfe7fd01cf09827c5,
  0x8a60b0de579096df, 0x17d6030ec275fea3, 0x92c79e50b839d5f7, 0x3e12fc4361222fb8, 0x3c5dc6e5c89257ea,
  0x51e449ee58cfa973, 0xf71951c74fe0c45f, 0x3b6948e21398b017, 0x4a807feccf1d7803, 0x4b81281e5adc98c6,
  0xcaad67f157ceee2a, 0xa35d9d873d59b5e5, 0x76a96fabb39d454a, 0xf442a6b81013a6e5, 0x5688af2a1495c958,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d028c7, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xd9453c95fb9a1996,
  0x0000000000013755,
};

// m164p_swio15_dual_ee_ce_hw        m164pa_swio15_dual_ee_ce_hw
static const uint64_t ur_m164a_swio15_dual_ee_ce_hw[] = {
  0xce2ddddddd437089, 0xc9fb6e1ff163f3d7, 0xdebdeed8bc6a69ce, 0xac1b9395a083e44f, 0x2faf5df63d71ce23,
  0xae5793d656d6d2c1, 0xa9196d2609f19313, 0xb4df81b11ec99182, 0xb773ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe059001b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b7bc3ffa, 0x87656fffa8e2982c, 0x2e0e56f9dff5472b, 0x3b8dce8fa927e794, 0xbee53b5959374c27,
  0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166, 0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1,
  0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56,
  0xe9b95daa5beaece7, 0x72563d10a9ae0404, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x0a31dbd8aaa2d241, 0x86e3cd84b997cdb4, 0x64b867a615c9f9fd, 0x9961d252d9f02719, 0x69f39453c95fb9a1,
  0x0000000000000022,
};

// m164p_swio15_dual_ee_ce_u4_hw     m164pa_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m164a_swio15_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xf6dc3e36eaf7ebcb, 0x05baa3f45ff695f3, 0x28abfeaf60987da7, 0x3c89640489628d48,
  0x5ba463bc1c9fc379, 0x9b9827c64bb2b97f, 0x0d88f64c8c154865, 0xd3e251850c85a6fc, 0x787372d7e65d849d,
  0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x655777bbe6e271e0, 0x6fb8a8432d08e488,
  0x25b724affa039e13, 0x7ff2a4982c3795e4, 0x6b8bea8fabc764c3, 0xe24b1e78df0c1c98, 0xa8f84bf10d8488be,
  0xcf1771b9c3fc7ddf, 0xcaf7dca76b737374, 0xaf51f06cc1995ea3, 0x2cd3ad08a05315db, 0x3a909afa30b2c452,
  0xfe23ea0e7576e53c, 0x96355e363af512ec, 0x2cc5c242283d51fc, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde,
  0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0, 0xad75cf6ab4457950,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x3aebcf430be9e4af,
};

/*
 * m324a_autobaud_uart0_noled_pr_ce_u4 m324p_autobaud_uart0_noled_pr_ce
 * m324p_autobaud_uart0_noled_pr_ce_u4 m324pa_autobaud_uart0_noled_pr_ce
 * m324pa_autobaud_uart0_noled_pr_ce_u4 m324pb_autobaud_uart0_noled_pr_ce
 * m324pb_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x0ffffed9fcad304f, 0x7442a81102a7c245, 0xe15faa935f736f01, 0x5c5f5c921b46f6a8, 0xb892c79e012a76fe,
  0xea3e12fc4361222f, 0x64cf1771b8ff3107, 0xacf51c9e9ee58cfd, 0xc051f3a48e3a7f07, 0xf47ced5fd1eb0e62,
  0xf6679500ffd99e3a, 0x2b5ec1c7c0f2d6e1, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29,
  0xb7b15545a585ce31, 0x9b09732f9b624863, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x069e4afdcd0ccb0e, 0x00000002375c9279,
};

/*
 * m324p_autobaud_uart0_noled_pr_ee_ce m324pa_autobaud_uart0_noled_pr_ee_ce
 * m324pb_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xb67c66e609f193ba, 0x0440a9f0905affff, 0xa4d7dcdbc05d10aa, 0xfc86d1bdaa3857ea, 0x804a9de043bfea8d,
  0x139dc6e759b21fe7, 0x95f5129dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x81895af616744a9a,
  0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x0822204c834f257e,
};

/*
 * m324p_autobaud_uart0_noled_pr_ee_ce_u4 m324pa_autobaud_uart0_noled_pr_ee_ce_u4
 * m324pb_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xfd85f3f5bf304f8c, 0x154088153e129dbf, 0xfd549afb9b780ba2, 0xa390f0da37b5470a, 0x79e6da038706e2fa,
  0x2fc4361222fb892c, 0xb8dce8fa927ea3e1, 0xa253b5b9b7be678b, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8,
  0x4d7d185962291669, 0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5,
  0x2b5ec2ce89534a8d, 0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x4498773c95fb9a19, 0x0000000000082218,
};

/*
 * m324a_autobaud_uart0_lednop_pr_ce_u4 m324p_autobaud_uart0_lednop_pr_ce
 * m324p_autobaud_uart0_lednop_pr_ce_u4 m324pa_autobaud_uart0_lednop_pr_ce
 * m324pa_autobaud_uart0_lednop_pr_ce_u4 m324pb_autobaud_uart0_lednop_pr_ce
 * m324pb_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x27fffdb3f6ea609f, 0xe8855022054f84b0, 0xc2bf5526bee6de02, 0xb8beb924368ded51, 0xe24b1e7804a9dd4a,
  0xa8f84bf10d8488be, 0x2678bb8dcadf801f, 0x67a8fd24f72c67eb, 0x02a6222c71d3f83d, 0x8f9d967a34867316,
  0xcd22a01ffb33c75e, 0x6bd905681e5adc82, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x2375daf79069e4af,
};

/*
 * m324p_autobaud_uart0_lednop_pr_ee_ce m324pa_autobaud_uart0_lednop_pr_ee_ce
 * m324pb_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xf6cf8689827c64ee, 0x81102a7c2563ffff, 0xa935f736f017442a, 0x7f21b46f6a8e15fa, 0xe012a77beceffaa3,
  0x84e771b9722495f9, 0xe57dd4a76b2b1ef9, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33,
  0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x8b9069e4afdcd0cc, 0x000000000008220e,
};

/*
 * m324p_autobaud_uart0_lednop_pr_ee_ce_u4 m324pa_autobaud_uart0_lednop_pr_ee_ce_u4
 * m324pb_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xfec2f9f43e9827c6, 0x855022054f84b107, 0xbf5526bee6de02e8, 0xa8e43c368ded51c2, 0x1e79b680e25ab8be,
  0x4bf10d8488bee24b, 0xdc6e0224c03fa8f8, 0x7529dadcdbdf33c5, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4,
  0x26be8c2cb1148b34, 0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731,
  0x95af61663eccf2a3, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0xcbe6db9c31dbd8aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000010443d5061d,
};

// m324p_autobaud_uart0_dual         m324pa_autobaud_uart0_dual        m324pb_autobaud_uart0_dual
static const uint64_t ur_m324a_autobaud_uart0_dual[] = {
  0xebf777777750d2a8, 0x777777770ff8fc9d, 0x34da2ea33977ad8b, 0xacf9eb14ab13bbba, 0x27c64833b91d68d5,
  0x8f64c8c1548ca898, 0x251850c85a6fc0d8, 0x994f7e657419dd3e, 0xea3c87d817538143, 0x22847244fe0dc9cd,
  0xe1f0a21895fe7ef8, 0xaaeef77cdce9f006, 0x318a8432d09b910c, 0x96dd2b7fd01cf099, 0xff1d4e60b0de5790,
  0x10aa0440a9f0947b, 0x57eaa4d7dcdbc05d, 0x7cb57f86d1bdaa38, 0x3a7f0690fd47b867, 0x1602fe1ccb5c9a8e,
  0xaf22dd84fa341673, 0x9295869371cb1823, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x79d002de6f301deb,
  0x2d2a7c05a9c914b5, 0x6378ce88197f8a04, 0xdc79b09732f9b69c, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c,
  0x4a30ee792bf73433, 0x00000000032793de,
};

/*
 * m324a_autobaud_uart0_dual_pr_u4   m324p_autobaud_uart0_dual_pr      m324p_autobaud_uart0_dual_pr_u4
 * m324pa_autobaud_uart0_dual_pr     m324pa_autobaud_uart0_dual_pr_u4  m324pb_autobaud_uart0_dual_pr
 * m324pb_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_pr[] = {
  0xeeeeeeed121a559b, 0xeeeeee1ff1e76bd7, 0x480a7ad13b4e76ee, 0x711d6667bbbb514c, 0x77270be3fd8be66e,
  0x5521a0f304f8c969, 0x169bf03623d93230, 0x5d06774f89461432, 0x1810e12ba6b75f99, 0x3f8338737a8ec176,
  0x257f9fbe08a11c91, 0x9b8ff001b87c2886, 0x5a1a5221955ddeef, 0xfa039e134dd15086, 0x161bcaf212dbba5f,
  0x0a9f093f9fe3a9cc, 0x7dcdbc05d10aa044, 0x6d1bdaa3857eaa4d, 0x0fea3e453be589a8, 0xf34e2f7c71d3f831,
  0x5ac8ebf9cc580aa0, 0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7,
  0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x8df0dc79b09732f9,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00b82bf5418773c9,
};

// m324p_autobaud_uart0_dual_pr_ee   m324pa_autobaud_uart0_dual_pr_ee  m324pb_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m324a_autobaud_uart0_dual_pr_ee[] = {
  0xfbbbbbba1eb432db, 0xddddddc3e6c201f5, 0xc573a8bcb56e4cdd, 0x2c9f763cc4ee94e6, 0x23822ac69e33aeec,
  0x44463304f8c93237, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0x0706bb990fbf32ba, 0x18689bd477f9b0c4,
  0xfcfdf04508e489fc, 0x11200dc3e144312b, 0x044432abbbddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x0913aff1d4e60b0d, 0xbc05d10aa0440a9f, 0xdaa3857eaa4d7dcd, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a,
  0x75a1143be2ba95ea, 0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae,
  0xd6e1bd97d2cc5c24, 0x4a0109fd62a3608f, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0xa2ce9f0dc79b0973, 0x73f53ab337f07771,
  0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x4a917618773c95fb,
  0x0000000000000001,
};

/*
 * m324p_autobaud_uart0_dual_pr_ee_u4 m324pa_autobaud_uart0_dual_pr_ee_u4
 * m324pb_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_pr_ee_u4[] = {
  0x5fbbbbbbb4486f97, 0x777777770f9b15af, 0xdeb0ebe7da4cdeef, 0x6abe3558f313bb02, 0xe4f04674e16a7480,
  0x48f5aa609f1928ce, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0x9a383fc9b107e657, 0xc1d8fcdea3868d86,
  0xbfcfdf04508e489f, 0x995000dc3e144312, 0x0a5a21955ddeef9b, 0x0e784df3a2a10cb4, 0xde579096dfa7ffe8,
  0xf09456ff1d4e60b0, 0xdbc05d10aa0440a9, 0xbdaa3857eaa4d7dc, 0xc7b9aad68f4a86d1, 0xa3e0d983f93d4795,
  0xa75a1143be2b31fe, 0x2135f4616588a459, 0x39d5a5c27ae105cd, 0x43af6b13b0f88fa4, 0x228e811d4bb1aad7,
  0xeb70decb8f8c5c24, 0x2af9ddc54957027f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x4810b30ee792bf73,
  0x00000000000000a5,
};

/*
 * m324a_autobaud_uart0_dual_pr_ce_u4 m324p_autobaud_uart0_dual_pr_ce
 * m324p_autobaud_uart0_dual_pr_ce_u4 m324pa_autobaud_uart0_dual_pr_ce
 * m324pa_autobaud_uart0_dual_pr_ce_u4 m324pb_autobaud_uart0_dual_pr_ce
 * m324pb_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_pr_ce[] = {
  0xafddddddda2432db, 0xdddddddc3f853adf, 0xd96fdd8becad4d7d, 0x28fdce2d5bbbb625, 0xe0dc8e08ab01f19d,
  0x82a911f74c13e326, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0x826d9c276e6b5bfc, 0x3f8331f9bd47ddad,
  0x257f9fbe08a11c91, 0x3719c801b87c2886, 0x681754432abbbddf, 0xd01cf0992b454219, 0xb0de579096dc2d7f,
  0xa9f096ceff1d4e60, 0xdcdbc05d10aa0440, 0xd1bdaa3857eaa4d7, 0xd01c74b717d50086, 0xb09117dc4963cf36,
  0x293f5ff51f097e21, 0x9633ea5ccf1771b8, 0x4fe0ea5fa8e37e7b, 0xf9cc580a0a0f91c7, 0xcf1d78033b5ac8eb,
  0x6b7087486a807fec, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb2ccc3b9e4afdcd0,
  0x0000000000000ad7,
};

/*
 * m324p_autobaud_uart0_dual_pr_ee_ce m324pa_autobaud_uart0_dual_pr_ee_ce
 * m324pb_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafdddddddd436f02, 0xdddddddc3f98b85f, 0x8b5137b375ad9b4d, 0x5a0a279bb89dbb38, 0xfe1f35ef262cdb4f,
  0x9e5e609f192d8ae4, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3ace6643fccae83, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xd35fe3a9cc161bca, 0x0ba2154088153e12, 0x470afd549afb9b78, 0xeffaa37270da37b5, 0x7cb5f9e6da038358,
  0x2b26e984e771b978, 0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18,
  0xbd44bb4428f7b39d, 0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494,
  0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c, 0xfb9a19961d252d9f, 0x0622070a18773c95,
};

/*
 * m324p_autobaud_uart0_dual_pr_ee_ce_u4 m324pa_autobaud_uart0_dual_pr_ee_ce_u4
 * m324pb_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7772df, 0xddddc3e4871ffd7e, 0xa7abbdc87afe1ddd, 0x22ecb74b10ebdf5d, 0xae1968af7f57c3eb,
  0x9273ae5b5aa83579, 0x460aa43c7ae609f1, 0x8642d37e06c47b26, 0x9968394ee9f128c2, 0xc3a3e705249b9bff,
  0x9fc1b21cdea3b396, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xa09b688655777bbe, 0x80e784d63f150865,
  0x0de579096dfacffe, 0xf84b1bbffc80a60b, 0x6de02e8855022054, 0xded51c2bf5526bee, 0x19bb8bea8d4f4368,
  0x8bee24b1e79b693b, 0x0ffa8f84bf10d848, 0x374cf1771b9aa0f2, 0xf51e56fe4a76b737, 0xae037a8f83660d7c,
  0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045,
  0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc,
  0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0xf83f6ec68b1be2e4, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x815524f257ee6866,
  0x0000000003f56edc,
};

// m324p_autobaud_uart0_dual_ee_hw   m324pa_autobaud_uart0_dual_ee_hw  m324pb_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m324a_autobaud_uart0_dual_ee_hw[] = {
  0xfddddddda243359b, 0xeeeeeee1f36100fa, 0x62b9d45e5ab7266e, 0x164fbb1e62774a73, 0xdc8786614d6baf76,
  0xa91118cc13e324c8, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0x101c1aee643efcca, 0xf061a26f51dfe6c3,
  0xaff3f7c114239227, 0xc04480370f8510c4, 0x181110caaeef77cd, 0x073c262eb150865a, 0x3795e425b7ff9ff4,
  0xf8489d7fa8e2982c, 0x6de02e8855022054, 0xded51c2bf5526bee, 0xd7dcd56b47224368, 0x51f06cc1829ea3ca,
  0xd3ad08a1df15d4af, 0x909afa30b2c4522c, 0xce756973297152e6, 0x743af512ed10a3de, 0x211408a8f9eb1aad,
  0x7eb70decbe9662e1, 0x5250084feb151b04, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000002c1c976514,
};

/*
 * m324p_autobaud_uart0_dual_ee_ce_hw m324pa_autobaud_uart0_dual_ee_ce_hw
 * m324pb_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfbbbbbbba8286f97, 0xbbbbbb87f3170bf5, 0x6a26f66eb5b369bb, 0x4144f37713b76711, 0x7278233ad53a69eb,
  0x484f2f304f8c96c5, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xf0e1d673321fe657, 0x1febcdea3cc36c19,
  0xfcfdf04508e489fc, 0xce400dc3e144312b, 0x5a4432abbbddf373, 0xcf09a39454219682, 0xe579096dc527fd01,
  0x12d35fea38a60b0d, 0x780ba2154088153e, 0xb5470afd549afb9b, 0x58effaa37270da37, 0xd66c87f9e6da0383,
  0x6b2b26e984e771b9, 0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684, 0x9d5db8ca1d484d7d,
  0x8ebd44bb4428f7b3, 0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113, 0x5af64fe2af9ddc54,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa,
  0xd4d876371e6c25cc, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1, 0x514f257ee6866587,
  0x00000000109a670a,
};

/*
 * m324p_autobaud_uart0_dual_ee_ce_u4_hw m324pa_autobaud_uart0_dual_ee_ce_u4_hw
 * m324pb_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d11107, 0xbbbbb87c90e3ffaf, 0xf5da7abbf5c87bbb, 0x3eb22ecb74b10ebd, 0xa9c7ba418af7f57c,
  0x304f8c939d726ff6, 0x23d932305521e3d7, 0x89461432169bf036, 0xdcdffccb135a774f, 0x1d9cb61d1f382924,
  0x847244fe0d90e6f5, 0xf0a21895fe7ef822, 0xbbddf372e4a006e1, 0xa8432d04db4432ab, 0xd67ff4073c26b1f8,
  0x4930586f2bc84b6f, 0x088153e12c6effe5, 0x49afb9b780ba2154, 0x3d0da37b5470afd5, 0x7d607066ee2faa35,
  0x361222fb892c79e5, 0x524e6ffea3e12fc4, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848,
  0x4a5989fd62a36089, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x5f36dce18edec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0084d32f87617d3c,
};

/*
 * m324a_autobaud_uart1_noled_pr_ce_u4 m324p_autobaud_uart1_noled_pr_ce
 * m324p_autobaud_uart1_noled_pr_ce_u4 m324pa_autobaud_uart1_noled_pr_ce
 * m324pa_autobaud_uart1_noled_pr_ce_u4 m324pb_autobaud_uart1_noled_pr_ce
 * m324pb_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x0ffffed9fcad304f, 0xd22d5022054f8245, 0x857eaa4d7f22fc05, 0x717d72486d1bdaa3, 0xe24b1e7804a9dbf9,
  0xa8f84bf10d8488be, 0x933c5dc6e3fcc41f, 0xb3d4727a7b9633f5, 0x0147ce9238e9fc1e, 0xd1f3b57f47ac398b,
  0xd99e5403ff6678eb, 0xddfb071f03cb5b87, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0xc25ccbe6d89218ed, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x0000008dd7249e41,
};

/*
 * m324p_autobaud_uart1_noled_pr_ee_ce m324pa_autobaud_uart1_noled_pr_ee_ce
 * m324pb_autobaud_uart1_noled_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart1_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xb67c66e609f193ba, 0x088153e0905affff, 0x935fc8bf01748b54, 0xf21b46f6a8e15faa, 0x012a77810effaa37,
  0x4e771b9d66c87f9e, 0x57d44a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x0c4eefd859d12a69,
  0x301dfbbf39c9b6fc, 0x53633937e6f00fa8, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x0f3612e65f36c490,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x08881320d3c95fb9, 0x0000000000000002,
};

/*
 * m324p_autobaud_uart1_noled_pr_ee_ce_u4 m324pa_autobaud_uart1_noled_pr_ee_ce_u4
 * m324pb_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xfd85f3f5bf304f8c, 0x6a81102a7c129dbf, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe79b680e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xddfb0b3a254d2a36, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x261dcf257ee68665, 0x0000000002088611,
};

/*
 * m324a_autobaud_uart1_noled_ee_ce_u4_hw m324p_autobaud_uart1_noled_ee_ce_hw
 * m324p_autobaud_uart1_noled_ee_ce_u4_hw m324pa_autobaud_uart1_noled_ee_ce_hw
 * m324pa_autobaud_uart1_noled_ee_ce_u4_hw m324pb_autobaud_uart1_noled_ee_ce_hw
 * m324pb_autobaud_uart1_noled_ee_ce_u4_hw m32u2_autobaud_uart0_noled_ee_ce_hw
 * m32u2_autobaud_uart0_noled_ee_ce_u4_hw m32u4_autobaud_uart0_noled_ee_ce_hw
 * m32u4_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_autobaud_uart1_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x8b54088153e094ed, 0x5faa935fc8bf0174, 0x54721e1b46f6a8e1, 0x8f3cdb4070e0dc5f,
  0x25f886c2445f7125, 0xbb8dc4a8b91fd47c, 0xea253b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298ac27fa,
  0x84d7d18596229166, 0x1e0b39d5dba711d4, 0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc,
  0x2777ec2ce89534a8, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0x89a29e4afdcd0ccb, 0x000000000012a430,
};

/*
 * m324a_autobaud_uart1_lednop_pr_ce_u4 m324p_autobaud_uart1_lednop_pr_ce
 * m324p_autobaud_uart1_lednop_pr_ce_u4 m324pa_autobaud_uart1_lednop_pr_ce
 * m324pa_autobaud_uart1_lednop_pr_ce_u4 m324pb_autobaud_uart1_lednop_pr_ce
 * m324pb_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x27fffdb3f6ea609f, 0xa45aa0440a9f04b0, 0x0afd549afe45f80b, 0xe2fae490da37b547, 0x892c79e012a7752a,
  0xa3e12fc4361222fb, 0x99e2ee372b7e007e, 0x9ea3f493dcb19fac, 0x0a9888b1c74fe0f5, 0x3e7659e8d219cc58,
  0x348a807feccf1d7a, 0xbf6415a0796b720b, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xdd76bde41a792bf7,
  0x0000000000000008,
};

/*
 * m324p_autobaud_uart1_lednop_pr_ee_ce m324pa_autobaud_uart1_lednop_pr_ee_ce
 * m324pb_autobaud_uart1_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xf6cf8689827c64ee, 0x022054f82563ffff, 0xa4d7f22fc05d22d5, 0xfc86d1bdaa3857ea, 0x804a9defb3bfea8d,
  0x139dc6e5c89257e7, 0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148,
  0x32464d1ceaedc7a8, 0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf,
  0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8,
  0x596af2e4d5c1e6c2, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0xe41a792bf734332c, 0x00000000020883a2,
};

/*
 * m324p_autobaud_uart1_lednop_pr_ee_ce_u4 m324pa_autobaud_uart1_lednop_pr_ee_ce_u4
 * m324pb_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xfec2f9f43e9827c6, 0x5aa0440a9f04b107, 0xfd549afe45f80ba4, 0xa390f0da37b5470a, 0x79e6da03896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0xeefd8598fb33ca8d, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00004110f5418773,
};

/*
 * m324a_autobaud_uart1_lednop_ee_ce_u4_hw m324p_autobaud_uart1_lednop_ee_ce_hw
 * m324p_autobaud_uart1_lednop_ee_ce_u4_hw m324pa_autobaud_uart1_lednop_ee_ce_hw
 * m324pa_autobaud_uart1_lednop_ee_ce_u4_hw m324pb_autobaud_uart1_lednop_ee_ce_hw
 * m324pb_autobaud_uart1_lednop_ee_ce_u4_hw m32u2_autobaud_uart0_lednop_ee_ce_hw
 * m32u2_autobaud_uart0_lednop_ee_ce_u4_hw m32u4_autobaud_uart0_lednop_ee_ce_hw
 * m32u4_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0xd22d5022054f8258, 0x857eaa4d7f22fc05, 0x7d51c8786d1bdaa3, 0x963cf36d01c4b571,
  0xf097e21b09117dc4, 0xe2ee3729299cbf51, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x189ddfb0b31f6679, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000012a43d5145,
};

// m324p_autobaud_uart1_dual         m324pa_autobaud_uart1_dual        m324pb_autobaud_uart1_dual
static const uint64_t ur_m324a_autobaud_uart1_dual[] = {
  0xebf777777750d2a8, 0x777777770ff8fc9d, 0x34da2ea33977ad8b, 0xacf9eb14ab13bbba, 0x27c64833b91d68d5,
  0x8f64c8c1548ca898, 0x251850c85a6fc0d8, 0x994f7e657419dd3e, 0xea3c87d817538143, 0x22847244fe0dc9cd,
  0xe1f0a21895fe7ef8, 0xaaeef77cdce9f006, 0x318a8432d09b910c, 0x96dd2b7fd01cf099, 0xff1d4e60b0de5790,
  0x8b54088153e0947b, 0x5faa935fc8bf0174, 0xf2d5fe1b46f6a8e1, 0xe9fc1a43f51ee19d, 0x580bf8732d726a38,
  0xbc8b7613e8d059cc, 0x4a561a4dc72c608e, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x74026fcde603bf77,
  0x4a9f016a72452d5e, 0xde33a2065fe2810b, 0x1e6c25ccbe6da718, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25,
  0x8c3b9e4afdcd0ccb, 0x00000000c9e4f792,
};

/*
 * m324a_autobaud_uart1_dual_pr_u4   m324p_autobaud_uart1_dual_pr      m324p_autobaud_uart1_dual_pr_u4
 * m324pa_autobaud_uart1_dual_pr     m324pa_autobaud_uart1_dual_pr_u4  m324pb_autobaud_uart1_dual_pr
 * m324pb_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_pr[] = {
  0xeeeeeeed121a559b, 0xeeeeee1ff1e76bd7, 0x480a7ad13b4e76ee, 0x711d6667bbbb514c, 0x77270be3fd8be66e,
  0x5521a0f304f8c969, 0x169bf03623d93230, 0x5d06774f89461432, 0x1810e12ba6b75f99, 0x3f8338737a8ec176,
  0x257f9fbe08a11c91, 0x9b8ff001b87c2886, 0x5a1a5221955ddeef, 0xfa039e134dd15086, 0x161bcaf212dbba5f,
  0x153e093f9fe3a9cc, 0xfc8bf01748b54088, 0xb46f6a8e15faa935, 0x3fa8f914ef9626a1, 0xcd38bdf1c74fe0c4,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e,
  0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d,
  0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x2e0afd5061dcf257, 0x0000000000000000,
};

// m324p_autobaud_uart1_dual_pr_ee   m324pa_autobaud_uart1_dual_pr_ee  m324pb_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m324a_autobaud_uart1_dual_pr_ee[] = {
  0xfbbbbbba1eb432db, 0xddddddc3e6c201f5, 0xc573a8bcb56e4cdd, 0x2c9f763cc4ee94e6, 0x23822ac69e33aeec,
  0x44463304f8c93237, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0x0706bb990fbf32ba, 0x18689bd477f9b0c4,
  0xfcfdf04508e489fc, 0x11200dc3e144312b, 0x044432abbbddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x0913aff1d4e60b0d, 0xf01748b54088153e, 0x6a8e15faa935fc8b, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf,
  0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xb3a7c371e6c25ccb, 0xfd4eaccdfc1ddc68,
  0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c, 0xa45d861dcf257ee6,
  0x0000000000000052,
};

/*
 * m324p_autobaud_uart1_dual_pr_ee_u4 m324pa_autobaud_uart1_dual_pr_ee_u4
 * m324pb_autobaud_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_pr_ee_u4[] = {
  0x5fbbbbbbb4486f97, 0x777777770f9b15af, 0xdeb0ebe7da4cdeef, 0x6abe3558f313bb02, 0xe4f04674e16a7480,
  0x48f5aa609f1928ce, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0x9a383fc9b107e657, 0xc1d8fcdea3868d86,
  0xbfcfdf04508e489f, 0x995000dc3e144312, 0x0a5a21955ddeef9b, 0x0e784df3a2a10cb4, 0xde579096dfa7ffe8,
  0xe09456ff1d4e60b0, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x1ee6ab5a3d2a1b46, 0x8f83660fe4f51e57,
  0x9d68450ef8acc7fa, 0x84d7d18596229166, 0xe7569709eb841734, 0x0ebdac4ec3e23e90, 0x8a3a04752ec6ab5d,
  0xadc37b2e3e317090, 0xabe77715255c09ff, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x042cc3b9e4afdcd0,
  0x0000000000002952,
};

/*
 * m324a_autobaud_uart1_dual_pr_ce_u4 m324p_autobaud_uart1_dual_pr_ce
 * m324p_autobaud_uart1_dual_pr_ce_u4 m324pa_autobaud_uart1_dual_pr_ce
 * m324pa_autobaud_uart1_dual_pr_ce_u4 m324pb_autobaud_uart1_dual_pr_ce
 * m324pb_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_pr_ce[] = {
  0xafddddddda2432db, 0xdddddddc3f853adf, 0xd96fdd8becad4d7d, 0x28fdce2d5bbbb625, 0xe0dc8e08ab01f19d,
  0x82a911f74c13e326, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0x826d9c276e6b5bfc, 0x3f8331f9bd47ddad,
  0x257f9fbe08a11c91, 0x3719c801b87c2886, 0x681754432abbbddf, 0xd01cf0992b454219, 0xb0de579096dc2d7f,
  0x53e096ceff1d4e60, 0xc8bf01748b540881, 0x46f6a8e15faa935f, 0x4071d2dc5f54021b, 0xc2445f71258f3cdb,
  0xa4fd7fd47c25f886, 0x58cfa9733c5dc6e0, 0x3f83a97ea38df9ee, 0xe7316028283e471d, 0x3c75e00ced6b23af,
  0xadc21d21aa01ffb3, 0x7ceee2a4aa4e81e5, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xb330ee792bf73433,
  0x000000000002b5ec,
};

/*
 * m324p_autobaud_uart1_dual_pr_ee_ce m324pa_autobaud_uart1_dual_pr_ee_ce
 * m324pb_autobaud_uart1_dual_pr_ee_ce
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_pr_ee_ce[] = {
  0xafdddddddd436f02, 0xdddddddc3f98b85f, 0x8b5137b375ad9b4d, 0x5a0a279bb89dbb38, 0xfe1f35ef262cdb4f,
  0x9e5e609f192d8ae4, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3ace6643fccae83, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xd35fe3a9cc161bca, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xbfea8dc9c368ded5, 0xf2d7e79b680e0d63,
  0xac9ba6139dc6e5e1, 0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461,
  0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252,
  0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xe70dc79b09732f9b, 0xeeaccdfc1ddc68b1, 0x9c6592e19e985727, 0xe6866587494b67c0, 0x8881c2861dcf257e,
  0x0000000000000001,
};

/*
 * m324p_autobaud_uart1_dual_pr_ee_ce_u4 m324pa_autobaud_uart1_dual_pr_ee_ce_u4
 * m324pb_autobaud_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7772df, 0xddddc3e4871ffd7e, 0xa7abbdc87afe1ddd, 0x22ecb74b10ebdf5d, 0xae1968af7f57c3eb,
  0x9273ae5b5aa83579, 0x460aa43c7ae609f1, 0x8642d37e06c47b26, 0x9968394ee9f128c2, 0xc3a3e705249b9bff,
  0x9fc1b21cdea3b396, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xa09b688655777bbe, 0x80e784d63f150865,
  0x0de579096dfacffe, 0xf04b1bbffc80a60b, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x66ee2faa353d0da3,
  0x2fb892c79e6da4ec, 0x3fea3e12fc436122, 0xdd33c5dc6e6a83c8, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x55493c95fb9a1996,
  0x00000000fd5bb720,
};

// m324p_autobaud_uart1_dual_ee_hw   m324pa_autobaud_uart1_dual_ee_hw  m324pb_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m324a_autobaud_uart1_dual_ee_hw[] = {
  0xfddddddda243359b, 0xeeeeeee1f36100fa, 0x62b9d45e5ab7266e, 0x164fbb1e62774a73, 0xdc8786614d6baf76,
  0xa91118cc13e324c8, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0x101c1aee643efcca, 0xf061a26f51dfe6c3,
  0xaff3f7c114239227, 0xc04480370f8510c4, 0x181110caaeef77cd, 0x073c262eb150865a, 0x3795e425b7ff9ff4,
  0xf0489d7fa8e2982c, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b,
  0x4eb422877c5752bd, 0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5,
  0xfadc37b2fa598b84, 0x4940213fac546c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee,
  0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b0725d9453c,
};

/*
 * m324p_autobaud_uart1_dual_ee_ce_hw m324pa_autobaud_uart1_dual_ee_ce_hw
 * m324pb_autobaud_uart1_dual_ee_ce_hw
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_ee_ce_hw[] = {
  0xfbbbbbbba8286f97, 0xbbbbbb87f3170bf5, 0x6a26f66eb5b369bb, 0x4144f37713b76711, 0x7278233ad53a69eb,
  0x484f2f304f8c96c5, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xf0e1d673321fe657, 0x1febcdea3cc36c19,
  0xfcfdf04508e489fc, 0xce400dc3e144312b, 0x5a4432abbbddf373, 0xcf09a39454219682, 0xe579096dc527fd01,
  0x12d35fea38a60b0d, 0xe02e916a81102a7c, 0xd51c2bf5526bf917, 0x63bfea8dc9c368de, 0x59b21fe79b680e0d,
  0xacac9ba6139dc6e7, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11, 0x7576e328752135f4,
  0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c, 0xefd93f8abe777152,
  0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x361d8dc79b09732f, 0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x000000042699c294,
};

/*
 * m324p_autobaud_uart1_dual_ee_ce_u4_hw m324pa_autobaud_uart1_dual_ee_ce_u4_hw
 * m324pb_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_autobaud_uart1_dual_ee_ce_u4_hw[] = {
  0xddddddda28d11107, 0xbbbbb87c90e3ffaf, 0xf5da7abbf5c87bbb, 0x3eb22ecb74b10ebd, 0xa9c7ba418af7f57c,
  0x304f8c939d726ff6, 0x23d932305521e3d7, 0x89461432169bf036, 0xdcdffccb135a774f, 0x1d9cb61d1f382924,
  0x847244fe0d90e6f5, 0xf0a21895fe7ef822, 0xbbddf372e4a006e1, 0xa8432d04db4432ab, 0xd67ff4073c26b1f8,
  0x4930586f2bc84b6f, 0x1102a7c12c6effe5, 0x26bf917e02e916a8, 0xf4368ded51c2bf55, 0xf581c19bb8bea8d4,
  0xd8488bee24b1e795, 0x4939bffa8f84bf10, 0xd6e6e6e99e2ee371, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c,
  0x30b2c4522cd3ad08, 0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121,
  0x296627f58a8d8226, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d,
  0xa6ae9c6378ce881d, 0xcdb73863b7b15545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x2134cbe1d85f4f25,
};

// m324p_u1x8_uart0_noled_pr_ce      m324pa_u1x8_uart0_noled_pr_ce     m324pb_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m324a_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7fac3bcfc7b, 0xd7a4b9cdfda2016f, 0x5fcf00940e26277f, 0xc67309cee3724397, 0xe33f51c43cf72c05,
  0xc05b8627e38e9fc1, 0xe2e76905478cce62, 0xb074e9ee39633c75, 0xd79ce166fc0c4ad7, 0xe16f3796ea0c077a,
  0x69bd575539794d8c, 0x1bc67440b9b31821, 0x86ed84b997cdb4e3, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x5249af69e4afdcd0, 0x00000000000000b7,
};

// m324p_u1x8_uart0_noled_pr_ce_u4   m324pa_u1x8_uart0_noled_pr_ce_u4  m324pb_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m324a_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffffdb3ff3a609f1, 0x39bfb4402dec08a2, 0x0953b7f2e2fae497, 0x1b09117dc4963cf0, 0xc7f9883f51f097e2,
  0xf72c67eb2678bb8d, 0x71d3f83d67a8e4f4, 0x8f587316028f9d24, 0xfeccf1d7a3e76afe, 0x0796b70fb33ca807,
  0x2cdf81895af60e3e, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0xd74056c834f257ee, 0x000000000000000d,
};

// m324p_u1x8_uart0_noled_pr_ee_ce   m324pa_u1x8_uart0_noled_pr_ee_ce  m324pb_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x2016f60416bfffed, 0x717d51c87b9cdfda, 0xc4963cf00953b383, 0x51f097e21b09117d,
  0x99e2ee373acd90ff, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xfc0c4ad7b0b3a254,
  0xea0c077ad79ce166, 0xcbca6c670b79bc03, 0x738c6f19d102baa9, 0x9218edec55516961, 0xd5c1e6c25ccbe6d8,
  0xc81f9434596af2e4, 0x34a1854e7ea75663, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0013f102641a792b,
};

/*
 * m324p_u1x8_uart0_noled_pr_ee_ce_u4 m324pa_u1x8_uart0_noled_pr_ee_ce_u4
 * m324pb_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x6fed100b7b02e9ff, 0xde04b8bea8dc9dce, 0x88bee24b1e7804a9, 0x495fa8f84bf10d84,
  0x37194cf1771b9722, 0xdff51e5738ca76b7, 0x98af24f51f06cc18, 0x962291669d684502, 0xdba211d484d7d185,
  0xea6edcf236be39d5, 0x119a4b1aaf1b1d7a, 0xd970e462e121146b, 0x95af663174cc8e1b, 0x0ef5af39c2cdf818,
  0x9b19c2de6f2dd418, 0x3042d37aaeaa72f2, 0x69c6378ce8817366, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xf02179069e4afdcd, 0x0000000000000013,
};

/*
 * m324a_u1x8_uart0_lednop_pr_ce_u4  m324p_u1x8_uart0_lednop_pr_ce     m324p_u1x8_uart0_lednop_pr_ce_u4
 * m324pa_u1x8_uart0_lednop_pr_ce    m324pa_u1x8_uart0_lednop_pr_ce_u4 m324pb_u1x8_uart0_lednop_pr_ce
 * m324pb_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0x7fffdb3e70e609f1, 0x39bfb4402dec092b, 0x12a7752ae2fae497, 0x361222fb892c79e0, 0x2b7e007ea3e12fc4,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea3f493, 0xd219cc580a9888b1, 0xeccf1d7a3e7659e8, 0x796b720b348a807f,
  0xcdf81895af6415a0, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x41a792bf734332c3, 0x00000000375d79f6,
};

// m324p_u1x8_uart0_lednop_pr_ee_ce  m324pa_u1x8_uart0_lednop_pr_ee_ce m324pb_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xb3e1a2609f193baa, 0x8805bd8158fffffd, 0x5c5f54721ee737f6, 0x71258f3c0254ed2d, 0xd47c25f886c2445f,
  0xe678bb8dcb9124af, 0x8f2beea53b5b9b7b, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0xbf0312b5ec2cc7d9,
  0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0x745c834f257ee686, 0x00000000000013f0,
};

/*
 * m324p_u1x8_uart0_lednop_pr_ee_ce_u4 m324pa_u1x8_uart0_lednop_pr_ee_ce_u4
 * m324pb_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xff617cfeed4c13e3, 0x9bfb4402dec08c7f, 0x3995ae2faa372773, 0x222fb892c79e6da0, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0x56bd98c54d191c37, 0xbcf020270b37e062,
  0xf3a005bcde603bd6, 0x5a54f80b5392296a, 0x8de33a2065fcc608, 0x71e6c25ccbe6da71, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xc00ac61dcf257ee6, 0x000000000000004f,
};

/*
 * m324a_u1x8_uart0_dual_pr          m324p_u1x8_uart0_dual             m324p_u1x8_uart0_dual_pr
 * m324pa_u1x8_uart0_dual            m324pa_u1x8_uart0_dual_pr         m324pb_u1x8_uart0_dual
 * m324pb_u1x8_uart0_dual_pr
 */
static const uint64_t ur_m324a_u1x8_uart0_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f2efd, 0xfdef255c66eb4a76, 0x562727091dddd410, 0x2f4ee4af99f0f62c,
  0x460aa4337e609f19, 0x8642d37e06c47b26, 0xe656024ee9f128c2, 0xcd82fb3814599c9f, 0xc913f8332a6f51df,
  0x886257f9fbe08a11, 0xeef9b91c801b87c2, 0x0865a119221955dd, 0x8fffa039e135ad15, 0x34c161bcaf212db9,
  0x68805bd811ebfe48, 0xe229df2d5fee737f, 0xf491c74fe0d21fa8, 0x7b4731602fe1cc98, 0x630475e45bb35f23,
  0x77715252b07dee39, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x4a7400b79bcb7506, 0x169c05ef9537a94e,
  0xc6378ce8811d4502, 0x57079b09732f9b69, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0xc3a4a5b3e04e32c9,
  0xe641a792bf734332, 0x000000000000621c,
};

// m324p_u1x8_uart0_dual_pr_u4       m324pa_u1x8_uart0_dual_pr_u4      m324pb_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m324a_u1x8_uart0_dual_pr_u4[] = {
  0xddddd7ed44861a4e, 0xddddc3eebcdd7afd, 0x81793b92eb62dddd, 0x6294247777717bd7, 0x2e49aee16933dc3d,
  0x55219bf304f8c95a, 0x169bf03623d93230, 0x5d06774f89461432, 0x0958e0e966387f99, 0x3f8380d37a8ffbb6,
  0x257f9fbe08a11c91, 0x373a7c01b87c2886, 0xb41314432abbbddf, 0xf4073c268ca2a10c, 0x2c3795e425b731ff,
  0x0b7b023d7fc75398, 0x9df2c4d5ce6fed10, 0x38e9fc1887f51f22, 0xe62c055079a717be, 0x8ebc019dad6475fc,
  0x6c43a435403ff660, 0x777152552740f2cf, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x28c3b9e4afdcd0cc,
  0x0000000000524f79,
};

/*
 * m324a_u1x8_uart0_dual_pr_ee_u4    m324p_u1x8_uart0_dual_pr_ee       m324p_u1x8_uart0_dual_pr_ee_u4
 * m324pa_u1x8_uart0_dual_pr_ee      m324pa_u1x8_uart0_dual_pr_ee_u4   m324pb_u1x8_uart0_dual_pr_ee
 * m324pb_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeebf6a2435202, 0xddddc3ed4f3efd7e, 0xaee350f6daafdddd, 0xb2899bd7dd466ccf, 0xada6cdf9af45fbf7,
  0xe609f193d3ae4e43, 0xd88f64c8c154876e, 0x3e251850c85a6fc0, 0xfc98347e657419dd, 0x37a8fd3fb0b1f387,
  0xc114239227f07d5f, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0xdfe3a9cc161bcaf2, 0xce6fed100b7b02ca, 0x3cad7dcd56b47225, 0x4af51f06cc1829ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1, 0xb047eb70decbe966,
  0x7715250084feb151, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xcc3b9e4afdcd0ccb, 0x0000000000ac91f5,
};

/*
 * m324a_u1x8_uart0_dual_pr_ce_u4    m324p_u1x8_uart0_dual_pr_ce       m324p_u1x8_uart0_dual_pr_ce_u4
 * m324pa_u1x8_uart0_dual_pr_ce      m324pa_u1x8_uart0_dual_pr_ce_u4   m324pb_u1x8_uart0_dual_pr_ce
 * m324pb_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_dual_pr_ce[] = {
  0xddddd7ed448618be, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x72ebd9c1059e0ac5,
  0xa40523304f8c9313, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0x5a3805a98c7ff32b, 0xe0e2b4dea393ad82,
  0x5fe7ef822847244f, 0xc986006e1f0a2189, 0x0bed10caaeef77cd, 0x073c260f7150865a, 0x3795e425b7d37ff4,
  0xf60452ffc753982c, 0x7d500b9cdfda2016, 0x963cf36d01c74b71, 0xf097e21b09117dc4, 0xf1771b8293f5ff51,
  0x8e37e7b9633ea5cc, 0xa0f91c74fe0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486,
  0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0001a49924cc3b9e,
};

// m324p_u1x8_uart0_dual_pr_ee_ce    m324pa_u1x8_uart0_dual_pr_ee_ce   m324pb_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeebf6d4143359b, 0xdddc3ec4535fd7ee, 0x06e7162dc3eddddd, 0x5ea6f92eebd61ec8, 0x852faed75d9bae25,
  0x304f8c9667721e19, 0xc47b26460aa45927, 0xf128c28642d37e06, 0x49bf5ff32ba0cee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfc753982c3795e42, 0x9bfb4402dec0a87f, 0x38358effaa372773, 0x3732a1a0ff9e6da0, 0x94ed6564dd309cee,
  0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e,
  0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0,
  0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0xb8d165abc6e3cd84,
  0x1539fa9d599bf83b, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c, 0x0810c3b9e4afdcd0,
  0x0000000000000100,
};

/*
 * m324p_u1x8_uart0_dual_pr_ee_ce_u4 m324pa_u1x8_uart0_dual_pr_ee_ce_u4
 * m324pb_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7775fb515b768f43, 0x7770fe62e17ebf77, 0xcdd6a6d36c137777, 0x6ee276ece22d44de, 0xfe1a9c6d3d68289e,
  0xe325b15cbc4fdad4, 0x9323055213cbcc13, 0x61432169bf03623d, 0x3fccb41ca774f894, 0x86d833e1c3ace664,
  0xc913f83fd79bd479, 0x886257f9fbe08a11, 0xbbe6e79c801b87c2, 0x432d04b488655777, 0x4ffa039e134728a8,
  0x4c161bcaf212db8a, 0x402dec0b4d7ff901, 0xe2faa353d739bfb4, 0x892c79e6da4ec66e, 0xa3e12fc4361222fb,
  0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x493c95fb9a19961d, 0x0000001000611255,
};

// m324p_u1x8_uart0_dual_ee_hw       m324pa_u1x8_uart0_dual_ee_hw      m324pb_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m324a_u1x8_uart0_dual_ee_hw[] = {
  0xddddd7ed448664d6, 0xbbbb87da9e7dfafd, 0x5dc6a1edb55fbbbb, 0x651337afba8cd99f, 0xcd8f0f65928bf7ef,
  0xb77304f8c9e9d72c, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc3fe4c1a3f32ba0c, 0xaf9bd47e9fd858f9,
  0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256, 0x79096dce0ffd01cf,
  0xcadfea38a60b0de5, 0x25ce6fed100b7b02, 0xea3cad7dcd56b472, 0x5d4af51f06cc1829, 0x4522cd3ad08a1df1,
  0x152e6909afa30b2c, 0x0a3dece756973297, 0xb1aad743af512ed1, 0x662e1211408a8f9e, 0x51b047eb70decbe9,
  0xe77715250084feb1, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xebd14f257ee68665, 0x00000000000576a3,
};

// m324p_u1x8_uart0_dual_ee_ce_hw    m324pa_u1x8_uart0_dual_ee_ce_hw   m324pb_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m324a_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbafdbb0486f97, 0xbbbb87f3170bf5fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0x78233ad53a69eb41,
  0x4f2f304f8c96c572, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe1d673321fe65741, 0xebcdea3cc36c19f0,
  0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf373ce, 0x09a394542196825a, 0x79096dc527fd01cf,
  0xd35fea38a60b0de5, 0xf5ce6fed100b7b02, 0x6d01c19bb8bea8d4, 0x1b09117dc4963cf3, 0x3acd90ff51f097e2,
  0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x2b5ec9fc55f3bb8a,
  0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x97cdb73863b7b155,
  0xfa9b0ec6e3cd84b9, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c, 0x4a29e4afdcd0ccb0,
  0x000000000075d4e1,
};

/*
 * m324p_u1x8_uart0_dual_ee_ce_u4_hw m324pa_u1x8_uart0_dual_ee_ce_u4_hw
 * m324pb_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfbbbbbafda890c86, 0xbbbbbb87f3151ff5, 0x49336b455fae17bb, 0x766d13cddc4edd3b, 0x6b97763766f31508,
  0xaa427979827c64bd, 0x2d37e06c47b26460, 0xba0cee9f128c2864, 0x6b670986999f3f32, 0xf070026f51ff5f60,
  0xaff3f7c114239227, 0xceeb00370f8510c4, 0x035910caaeef77cd, 0x073c26b75150865a, 0x3795e425b7149ff4,
  0xec0b4d7fa8e2982c, 0xa32eb739bfb4402d, 0x79e6da0391cae2fa, 0x2fc4361222fb892c, 0xdc6e321d257ea3e1,
  0xbf29dadcdc4333c5, 0x7c1b30698fa8f2bd, 0x75a1140a62b3d7d4, 0x135f4616588a459a, 0x3e80e7576e400752,
  0x578d8ebdac4ed6b2, 0xc2422810e8c4fd8d, 0x20a6470decb8f8c5, 0x3f8abe7771525c63, 0x0270b37e06256bd9,
  0xf0725603bd6bcf02, 0xee2ca72f9d002de6, 0xf598c10b4f0c5654, 0x5f36d38c6f19d103, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0000075d4ad5453c,
};

// m324p_u1x8_uart1_noled_pr_ce      m324pa_u1x8_uart1_noled_pr_ce     m324pb_u1x8_uart1_noled_pr_ce
static const uint64_t ur_m324a_u1x8_uart1_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7fac3bcfc7b, 0xd7a4ae2dfda64c6f, 0x5fcf00940e26277f, 0xc67309cee3724397, 0xe33f51c43cf72c05,
  0xc05b8627e38e9fc1, 0xe2e76905478cce62, 0xb074e9ee39633c75, 0x7e73936df8189ddf, 0x4df9bcb750603bf7,
  0x9bd575539794d8ce, 0xbc67440b9b318216, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x249af69e4afdcd0c, 0x0000000000000b75,
};

// m324p_u1x8_uart1_noled_pr_ce_u4   m324pa_u1x8_uart1_noled_pr_ce_u4  m324pb_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m324a_u1x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffffdb3ff3a609f1, 0xc5bfb4c98dec08a2, 0x0953b7f2e2fae495, 0x1b09117dc4963cf0, 0xc7f9883f51f097e2,
  0xf72c67eb2678bb8d, 0x71d3f83d67a8e4f4, 0x8f587316028f9d24, 0xfeccf1d7a3e76afe, 0x0796b70fb33ca807,
  0x6dbf0313bbf60e3e, 0x03ea0c077eefce72, 0x539794d8ce4df9bc, 0xc2e718de33a20575, 0xb12431dbd8aaa2d2,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x74056c834f257ee6, 0x00000000000000dd,
};

// m324p_u1x8_uart1_noled_pr_ee_ce   m324pa_u1x8_uart1_noled_pr_ee_ce  m324pb_u1x8_uart1_noled_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x64c6f60416bfffed, 0x717d51c87ae2dfda, 0xc4963cf00953b383, 0x51f097e21b09117d,
  0x99e2ee373acd90ff, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xf8189ddfb0b3a254,
  0x50603bf77e73936d, 0xbca6c6726fcde01f, 0x38c6f19d102baa9c, 0x218edec555169617, 0x5c1e6c25ccbe6d89,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x013f102641a792bf,
};

/*
 * m324p_u1x8_uart1_noled_pr_ee_ce_u4 m324pa_u1x8_uart1_noled_pr_ee_ce_u4
 * m324pb_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x6fed32637b02e9ff, 0xde04b8bea8dc9d71, 0x88bee24b1e7804a9, 0x495fa8f84bf10d84,
  0x37194cf1771b9722, 0xdff51e5738ca76b7, 0x98af24f51f06cc18, 0x962291669d684502, 0xdba211d484d7d185,
  0xea6edcf236be39d5, 0x119a4b1aaf1b1d7a, 0xd970e462e121146b, 0x3bbf663174cc8e1b, 0x77eefce726dbf031,
  0xb19c9bf3796ea0c0, 0x042d37aaeaa72f29, 0x9c6378ce88173663, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x02179069e4afdcd0, 0x000000000000013f,
};

/*
 * m324a_u1x8_uart1_lednop_pr_ce_u4  m324p_u1x8_uart1_lednop_pr_ce     m324p_u1x8_uart1_lednop_pr_ce_u4
 * m324pa_u1x8_uart1_lednop_pr_ce    m324pa_u1x8_uart1_lednop_pr_ce_u4 m324pb_u1x8_uart1_lednop_pr_ce
 * m324pb_u1x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0x7fffdb3e70e609f1, 0xc5bfb4c98dec092b, 0x12a7752ae2fae495, 0x361222fb892c79e0, 0x2b7e007ea3e12fc4,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea3f493, 0xd219cc580a9888b1, 0xeccf1d7a3e7659e8, 0x796b720b348a807f,
  0xdbf0313bbf6415a0, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0x6c25ccbe6db9c31d, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x1a792bf734332c3a, 0x0000000375d79f64,
};

// m324p_u1x8_uart1_lednop_pr_ee_ce  m324pa_u1x8_uart1_lednop_pr_ee_ce m324pb_u1x8_uart1_lednop_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xb3e1a2609f193baa, 0x9931bd8158fffffd, 0x5c5f54721eb8b7f6, 0x71258f3c0254ed2d, 0xd47c25f886c2445f,
  0xe678bb8dcb9124af, 0x8f2beea53b5b9b7b, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0x7e062777ec2cc7d9,
  0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x84b997cdb73863b7,
  0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659,
  0x45c834f257ee6866, 0x0000000000013f07,
};

/*
 * m324p_u1x8_uart1_lednop_pr_ee_ce_u4 m324pa_u1x8_uart1_lednop_pr_ee_ce_u4
 * m324pb_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xff617cfeed4c13e3, 0x5bfb4c98dec08c7f, 0x3995ae2faa37275c, 0x222fb892c79e6da0, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0xeefd98c54d191c37, 0xf3c0809c9b6fc0c4,
  0x3a0137e6f301dfbb, 0xa54f80b5392296af, 0xde33a2065fcc6085, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x00ac61dcf257ee68, 0x00000000000004fc,
};

/*
 * m324a_u1x8_uart1_dual_pr          m324p_u1x8_uart1_dual             m324p_u1x8_uart1_dual_pr
 * m324pa_u1x8_uart1_dual            m324pa_u1x8_uart1_dual_pr         m324pb_u1x8_uart1_dual
 * m324pb_u1x8_uart1_dual_pr
 */
static const uint64_t ur_m324a_u1x8_uart1_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f2efd, 0xfdef255c66eb4a76, 0x562727091dddd410, 0x2f4ee4af99f0f62c,
  0x460aa4337e609f19, 0x8642d37e06c47b26, 0xe656024ee9f128c2, 0xcd82fb3814599c9f, 0xc913f8332a6f51df,
  0x886257f9fbe08a11, 0xeef9b91c801b87c2, 0x0865a119221955dd, 0x8fffa039e135ad15, 0x34c161bcaf212db9,
  0x69931bd811ebfe48, 0xe229df2d5feb8b7f, 0xf491c74fe0d21fa8, 0x7b4731602fe1cc98, 0x630475e45bb35f23,
  0x77715252b07dee39, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0xa74026fcde5ba830, 0x69c05ef9537a94e4,
  0x6378ce8811d45021, 0x7079b09732f9b69c, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0x3a4a5b3e04e32c97,
  0x641a792bf734332c, 0x00000000000621ce,
};

// m324p_u1x8_uart1_dual_pr_u4       m324pa_u1x8_uart1_dual_pr_u4      m324pb_u1x8_uart1_dual_pr_u4
static const uint64_t ur_m324a_u1x8_uart1_dual_pr_u4[] = {
  0xddddd7ed44861a4e, 0xddddc3eebcdd7afd, 0x81793b92eb62dddd, 0x6294247777717bd7, 0x2e49aee16933dc3d,
  0x55219bf304f8c95a, 0x169bf03623d93230, 0x5d06774f89461432, 0x0958e0e966387f99, 0x3f8380d37a8ffbb6,
  0x257f9fbe08a11c91, 0x373a7c01b87c2886, 0xb41314432abbbddf, 0xf4073c268ca2a10c, 0x2c3795e425b731ff,
  0x637b023d7fc75398, 0x9df2c4d5716fed32, 0x38e9fc1887f51f22, 0xe62c055079a717be, 0x8ebc019dad6475fc,
  0x6c43a435403ff660, 0x777152552740f2cf, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8c3b9e4afdcd0ccb,
  0x000000000524f792,
};

/*
 * m324a_u1x8_uart1_dual_pr_ee_u4    m324p_u1x8_uart1_dual_pr_ee       m324p_u1x8_uart1_dual_pr_ee_u4
 * m324pa_u1x8_uart1_dual_pr_ee      m324pa_u1x8_uart1_dual_pr_ee_u4   m324pb_u1x8_uart1_dual_pr_ee
 * m324pb_u1x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeebf6a2435202, 0xddddc3ed4f3efd7e, 0xaee350f6daafdddd, 0xb2899bd7dd466ccf, 0xada6cdf9af45fbf7,
  0xe609f193d3ae4e43, 0xd88f64c8c154876e, 0x3e251850c85a6fc0, 0xfc98347e657419dd, 0x37a8fd3fb0b1f387,
  0xc114239227f07d5f, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0xdfe3a9cc161bcaf2, 0x716fed32637b02ca, 0x3cad7dcd56b47225, 0x4af51f06cc1829ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1, 0xb047eb70decbe966,
  0x7715250084feb151, 0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x4b997cdb739156f6, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc3b9e4afdcd0ccb0, 0x000000000ac91f5c,
};

/*
 * m324a_u1x8_uart1_dual_pr_ce_u4    m324p_u1x8_uart1_dual_pr_ce       m324p_u1x8_uart1_dual_pr_ce_u4
 * m324pa_u1x8_uart1_dual_pr_ce      m324pa_u1x8_uart1_dual_pr_ce_u4   m324pb_u1x8_uart1_dual_pr_ce
 * m324pb_u1x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_dual_pr_ce[] = {
  0xddddd7ed448618be, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x72ebd9c1059e0ac5,
  0xa40523304f8c9313, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0x5a3805a98c7ff32b, 0xe0e2b4dea393ad82,
  0x5fe7ef822847244f, 0xc986006e1f0a2189, 0x0bed10caaeef77cd, 0x073c260f7150865a, 0x3795e425b7d37ff4,
  0xf60452ffc753982c, 0x7d500ae2dfda64c6, 0x963cf36d01c74b71, 0xf097e21b09117dc4, 0xf1771b8293f5ff51,
  0x8e37e7b9633ea5cc, 0xa0f91c74fe0ea5fa, 0xb5ac8ebf9cc580a0, 0xa807feccf1d78033, 0xa93a0796b7087486,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x001a49924cc3b9e4,
};

// m324p_u1x8_uart1_dual_pr_ee_ce    m324pa_u1x8_uart1_dual_pr_ee_ce   m324pb_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m324a_u1x8_uart1_dual_pr_ee_ce[] = {
  0xeeeebf6d4143359b, 0xdddc3ec4535fd7ee, 0x06e7162dc3eddddd, 0x5ea6f92eebd61ec8, 0x852faed75d9bae25,
  0x304f8c9667721e19, 0xc47b26460aa45927, 0xf128c28642d37e06, 0x49bf5ff32ba0cee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfc753982c3795e42, 0x5bfb4c98dec0a87f, 0x38358effaa37275c, 0x3732a1a0ff9e6da0, 0x94ed6564dd309cee,
  0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e,
  0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x62777ec9fc55f3bb, 0xddf9e0404e4db7e0,
  0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x997cdb73863b7b15, 0x8d165abc6e3cd84b,
  0x539fa9d599bf83bb, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb, 0x810c3b9e4afdcd0c,
  0x0000000000001000,
};

/*
 * m324p_u1x8_uart1_dual_pr_ee_ce_u4 m324pa_u1x8_uart1_dual_pr_ee_ce_u4
 * m324pb_u1x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0x7775fb515b768f43, 0x7770fe62e17ebf77, 0xcdd6a6d36c137777, 0x6ee276ece22d44de, 0xfe1a9c6d3d68289e,
  0xe325b15cbc4fdad4, 0x9323055213cbcc13, 0x61432169bf03623d, 0x3fccb41ca774f894, 0x86d833e1c3ace664,
  0xc913f83fd79bd479, 0x886257f9fbe08a11, 0xbbe6e79c801b87c2, 0x432d04b488655777, 0x4ffa039e134728a8,
  0x4c161bcaf212db8a, 0xc98dec0b4d7ff901, 0xe2faa353d5c5bfb4, 0x892c79e6da4ec66e, 0xa3e12fc4361222fb,
  0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707, 0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2, 0x0000010006112554,
};

// m324p_u1x8_uart1_dual_ee_hw       m324pa_u1x8_uart1_dual_ee_hw      m324pb_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m324a_u1x8_uart1_dual_ee_hw[] = {
  0xddddd7ed448664d6, 0xbbbb87da9e7dfafd, 0x5dc6a1edb55fbbbb, 0x651337afba8cd99f, 0xcd8f0f65928bf7ef,
  0xb77304f8c9e9d72c, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc3fe4c1a3f32ba0c, 0xaf9bd47e9fd858f9,
  0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256, 0x79096dce0ffd01cf,
  0xcadfea38a60b0de5, 0x25716fed32637b02, 0xea3cad7dcd56b472, 0x5d4af51f06cc1829, 0x4522cd3ad08a1df1,
  0x152e6909afa30b2c, 0x0a3dece756973297, 0xb1aad743af512ed1, 0x662e1211408a8f9e, 0x51b047eb70decbe9,
  0xe77715250084feb1, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0x29d009bf379b2283, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xbd14f257ee686658, 0x0000000000576a3e,
};

// m324p_u1x8_uart1_dual_ee_ce_hw    m324pa_u1x8_uart1_dual_ee_ce_hw   m324pb_u1x8_uart1_dual_ee_ce_hw
static const uint64_t ur_m324a_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbafdbb0486f97, 0xbbbb87f3170bf5fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0x78233ad53a69eb41,
  0x4f2f304f8c96c572, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe1d673321fe65741, 0xebcdea3cc36c19f0,
  0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf373ce, 0x09a394542196825a, 0x79096dc527fd01cf,
  0xd35fea38a60b0de5, 0xf5716fed32637b02, 0x6d01c19bb8bea8d4, 0x1b09117dc4963cf3, 0x3acd90ff51f097e2,
  0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a,
  0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0x7cdb73863b7b1554,
  0xa9b0ec6e3cd84b99, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x00000000075d4e14,
};

/*
 * m324p_u1x8_uart1_dual_ee_ce_u4_hw m324pa_u1x8_uart1_dual_ee_ce_u4_hw
 * m324pb_u1x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u1x8_uart1_dual_ee_ce_u4_hw[] = {
  0xfbbbbbafda890c86, 0xbbbbbb87f3151ff5, 0x49336b455fae17bb, 0x766d13cddc4edd3b, 0x6b97763766f31508,
  0xaa427979827c64bd, 0x2d37e06c47b26460, 0xba0cee9f128c2864, 0x6b670986999f3f32, 0xf070026f51ff5f60,
  0xaff3f7c114239227, 0xceeb00370f8510c4, 0x035910caaeef77cd, 0x073c26b75150865a, 0x3795e425b7149ff4,
  0xec0b4d7fa8e2982c, 0xa32eb5c5bfb4c98d, 0x79e6da0391cae2fa, 0x2fc4361222fb892c, 0xdc6e321d257ea3e1,
  0xbf29dadcdc4333c5, 0x7c1b30698fa8f2bd, 0x75a1140a62b3d7d4, 0x135f4616588a459a, 0x3e80e7576e400752,
  0x578d8ebdac4ed6b2, 0xc2422810e8c4fd8d, 0x20a6470decb8f8c5, 0x3f8abe7771525c63, 0x09c9b6fc0c4eefd9,
  0x8392b01dfbbf3c08, 0xe2ca72f9d009bf37, 0x598c10b4f0c5654e, 0xf36d38c6f19d103f, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x000075d4ad5453c9,
};

// m324p_u1x12_uart0_noled_pr_ce     m324pa_u1x12_uart0_noled_pr_ce    m324pb_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m324a_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775feb0ef3f1ee6, 0xdd27fb6a7f76e9f0, 0x0e2d73bfebd24368, 0xe373e7487fcf0094, 0x5cf72c05c67309ce,
  0xe38e9fc1e33f51ea, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xfc0c4ad7b075f87b, 0x9bcc077ad79ce166,
  0x8c1a9b129fbe70b7, 0xce8810818c10b4e4, 0xb09732f9b69c6378, 0xe40d1fc68b1e70dd, 0xb867a615c9fbab31,
  0x1d252d964a271964, 0x35ed3c95fb9a1996, 0x000000000016ea49,
};

// m324p_u1x12_uart0_noled_pr_ce_u4  m324pa_u1x12_uart0_noled_pr_ce_u4 m324pb_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m324a_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfffb67e43cc13e32, 0xb6a7f76e9f09393f, 0xb8beb924368dd27f, 0x71258f3c0254edfc, 0xd47c25f886c2445f,
  0xc99e2ee371fe620f, 0x59ea393d3dcb19fa, 0x80a3e7491c74fe0f, 0xe8f9dabfa3d61cc5, 0xeccf2a01ffb33c75,
  0x56bd838f81e5adc3, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x3612e65f36c490c7, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x0d3c95fb9a19961d, 0x00000001bae838f2,
};

// m324p_u1x12_uart0_noled_pr_ee_ce  m324pa_u1x12_uart0_noled_pr_ee_ce m324pb_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m324a_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x6e9f0918fffffdb3, 0x3c368dd27fb6a7f7, 0x04a9d9c1b8bea8e4, 0x0d8488bee24b1e78,
  0x9d66c87fa8f84bf1, 0x76b736f7ccf1771b, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6,
  0x2cb579726ae0f361, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0xb20d3c95fb9a1996, 0x000000000027e15a,
};

/*
 * m324p_u1x12_uart0_noled_pr_ee_ce_u4 m324pa_u1x12_uart0_noled_pr_ee_ce_u4
 * m324pb_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xff6cfffc9827c64e, 0xa9fddba7c25d3fff, 0xaa37270da3749fed, 0xc79e012a76c16e2f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0x82929dadcdc6533c, 0x47c1b30637fd4795, 0xa75a1140a62b887d, 0x2135f4616588a459,
  0x4627ce7576e7bc75, 0xabc6c75eba9bb087, 0xc24228905478cec6, 0xe1991c37b2e1c8c5, 0x166fc0c4ad7b318f,
  0x0b79bcc077ad79ce, 0x4e48c1a9b129fbe7, 0x378ce8810818c10b, 0x079b09732f9b69c6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x79069e4afdcd0ccb, 0x000000000013f021,
};

/*
 * m324a_u1x12_uart0_lednop_pr_ce_u4 m324p_u1x12_uart0_lednop_pr_ce    m324p_u1x12_uart0_lednop_pr_ce_u4
 * m324pa_u1x12_uart0_lednop_pr_ce   m324pa_u1x12_uart0_lednop_pr_ce_u4
 * m324pb_u1x12_uart0_lednop_pr_ce   m324pb_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfffdb3e52e609f19, 0xdb53fbb74f849d2f, 0x5c5f5c921b46e93f, 0x71258f3c0254eea5, 0xd47c25f886c2445f,
  0x933c5dc6e56fc00f, 0xb3d47e927b9633f5, 0x0153111638e9fc1e, 0x47cecb3d1a43398b, 0x6691500ffd99e3af,
  0xb5ec82b40f2d6e41, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0x7cdb73863b7b1554, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x06ebad3ec834f257,
};

/*
 * m324p_u1x12_uart0_lednop_pr_ee_ce m324pa_u1x12_uart0_lednop_pr_ee_ce
 * m324pb_u1x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xbb74f848e0ffffdb, 0x7f21b46e93fdb53f, 0xe012a77beceffaa3, 0x84e771b9722495f9,
  0xe57dd4a76b2b1ef9, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452, 0x8c9193473abb71ea,
  0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0xd165abcb9357079b,
  0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2, 0x159069e4afdcd0cc,
  0x0000000000004fc8,
};

/*
 * m324p_u1x12_uart0_lednop_pr_ee_ce_u4 m324pa_u1x12_uart0_lednop_pr_ee_ce_u4
 * m324pb_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0x7f76e9f097fcffd8, 0x8e43c368dd27fb6a, 0xe79b680e25ab8bea, 0xbf10d8488bee24b1,
  0xc6e0224c03fa8f84, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47, 0x6be8c2cb1148b34e,
  0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317, 0x5af61663eccf2a36,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa,
  0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000009f965be61dc,
};

/*
 * m324a_u1x12_uart0_dual_pr         m324p_u1x12_uart0_dual            m324p_u1x12_uart0_dual_pr
 * m324pa_u1x12_uart0_dual           m324pa_u1x12_uart0_dual_pr        m324pb_u1x12_uart0_dual
 * m324pb_u1x12_uart0_dual_pr
 */
static const uint64_t ur_m324a_u1x12_uart0_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd2cbbf5f, 0x7bc95719bad29dbb, 0x89c9c2477774d869, 0x9bb92be67c3d8b15,
  0x82a90cdf9827c64a, 0x90b4df81b11ec991, 0x958093ba7c4a30a1, 0x60514e0e4e6f9df9, 0x13f838f737a8ebef,
  0x6257f9fbe08a11c9, 0xf9b91c801b87c288, 0x65a03e221955ddee, 0xffa039e136f71508, 0xc161bcaf212db98f,
  0x76e9f091ebfe4834, 0xbfc368dd27fb6a7f, 0x83487ea3dc33be5a, 0x7f0e65ae4d471d3f, 0x6ec27d1a0b398b01,
  0xc349b8e58c11d791, 0x64fe2af9ddc5494a, 0x0809c2cdf81895af, 0x016f37980ef5af3c, 0x3e02d4e48a5abce8,
  0x67440cbfc5021695, 0xd84b997cdb4e31bc, 0xa1a2c79c5c9ab83c, 0x615c9fbab31e40fc, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000000310e7320d,
};

// m324p_u1x12_uart0_dual_pr_u4      m324pa_u1x12_uart0_dual_pr_u4     m324pb_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m324a_u1x12_uart0_dual_pr_u4[] = {
  0x776fc60f4486d0e3, 0x7770ffa5295ebf77, 0x7589e9da76b77777, 0xf5ae0eeee9fb0803, 0xcab8da0a72c89b0c,
  0x5212a2609f192c85, 0x69bf03623d932305, 0xd06774f894614321, 0xe94e070e6297f995, 0xf83a9537a8e95b60,
  0x57f9fbe08a11c913, 0x72c7c01b87c28862, 0x43e44432abbbddf3, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xa7c2413ffc753982, 0x0da3749feda9fddb, 0x21fd47c8a77cb135, 0x1e69c5ef8e3a7f06, 0x6b591d7f398b0154,
  0x500ffd9823af0067, 0x49d03cb3db10e90d, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3,
  0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x001493970530ee79,
};

/*
 * m324a_u1x12_uart0_dual_pr_ee_u4   m324p_u1x12_uart0_dual_pr_ee      m324p_u1x12_uart0_dual_pr_ee_u4
 * m324pa_u1x12_uart0_dual_pr_ee     m324pa_u1x12_uart0_dual_pr_ee_u4  m324pb_u1x12_uart0_dual_pr_ee
 * m324pb_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2431f02, 0x7770fbd3dfbf5fbb, 0xb96257da80777777, 0x386d841bb138dd58, 0x2cda109852b545e7,
  0x4c13e32638dc9462, 0xd88f64c8c15480b2, 0x3e251850c85a6fc0, 0x689b4d7e657419dd, 0x9bd47b1fd87fc380,
  0xe08a11c913f83a1f, 0x1b87c2886257f9fb, 0x32abbbddf372e440, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe3a9cc161bcaf2, 0xff6d4feedd3e12df, 0x9aad68e4486d1ba4, 0x0d983053d4795afb, 0xa1143be2ba95ea3e,
  0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87, 0xe1bd97d2cc5c2422,
  0x0109fd62a3608fd6, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000ac956518773c,
};

/*
 * m324a_u1x12_uart0_dual_pr_ce_u4   m324p_u1x12_uart0_dual_pr_ce      m324p_u1x12_uart0_dual_pr_ce_u4
 * m324pa_u1x12_uart0_dual_pr_ce     m324pa_u1x12_uart0_dual_pr_ce_u4  m324pb_u1x12_uart0_dual_pr_ce
 * m324pb_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_dual_pr_ce[] = {
  0xbbb7e307a2435032, 0x7770fc2febbf5fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xabdb47fbbeec2afb,
  0x3ce5304f8c9f2372, 0xbf03623d93230552, 0x6774f89461432169, 0x3818fcc337f995d0, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x24c17fc753982c37, 0x3749feda9fddba7c, 0x038e96e2faa010da, 0x1222fb892c79e6da, 0x27ebfea3e12fc436,
  0xc67d4b99e2ee3705, 0xfc1d4bf51c6fcf72, 0x398b014141f238e9, 0xe3af00676b591d7f, 0x6e10e90d500ffd99,
  0xe777152552740f2d, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xc598773c95fb9a19, 0x0000000000034909,
};

// m324p_u1x12_uart0_dual_pr_ee_ce   m324pa_u1x12_uart0_dual_pr_ee_ce  m324pb_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m324a_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbb7e307d41432db, 0xbbbb87c6571f5fbb, 0x2ca3e9f7ae17bbbb, 0x3ae4874eddb0caf8, 0x4559608674843b36,
  0x16609f1926eae470, 0x0d88f64c8c15485d, 0xd3e251850c85a6fc, 0xfaf31adfe657419d, 0x737a8f00360290e1,
  0x7c114239227f076b, 0x0370f8510c4aff3f, 0x0caaeef77cdceeb0, 0x6c09150865a1a6d1, 0x84b6f3b7ff4073c2,
  0xfff8ea730586f2bc, 0x7fb6a7f76e9f0974, 0x3bfea8dc9c368dd2, 0x8683fe79b680e0d6, 0x959374c273b8dcca,
  0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c, 0x5ea25da2147bd9ce,
  0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516, 0x96af1b8f3612e65f,
  0xea75666fe0eee345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970, 0x0ee792bf734332c3,
  0x00000000100056a3,
};

/*
 * m324p_u1x12_uart0_dual_pr_ee_ce_u4 m324pa_u1x12_uart0_dual_pr_ee_ce_u4
 * m324pb_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b76d8be, 0xb87c17da0fafdddd, 0x57f1ff7337bbbbbb, 0x91ddd94cf81f210d, 0x5f58671a7935e199,
  0x4ed5c9e75a418786, 0x3055208f5cc13e32, 0x32169bf03623d932, 0xcb41ca774f894614, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x9f093fcfff202982, 0x368dd27fb6a7f76e, 0x93b19bb8bea8d4f4, 0x8488bee24b1e79b6,
  0x0f20ffa8f84bf10d, 0x737374cf1771b9aa, 0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450,
  0x5db8ca1d484d7d18, 0xbd44bb4428f7b39d, 0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323,
  0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef,
  0x6db9c31dbd8aaa2d, 0x2e4d5c1e6c25ccbe, 0x99bf83f6ec68b1be, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x4c5f15524f257ee6, 0x0000000000000400,
};

// m324p_u1x12_uart0_dual_ee_hw      m324pa_u1x12_uart0_dual_ee_hw     m324pb_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m324a_u1x12_uart0_dual_ee_hw[] = {
  0x776fc60f448618be, 0xeee1f7a7bf7ebf77, 0x72c4afb500eeeeee, 0x70db08376271bab1, 0xbd9c16bc156a8bce,
  0x2c9304f8c98e372e, 0xf03623d932305520, 0x774f89461432169b, 0xe01a26d35f995d06, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0x1006e1f0a21895fe, 0x510caaeef77cdcb9, 0xc2628b150865a0e9, 0xbc84b6fd5fff4073,
  0x6fbff51c530586f2, 0xd27fb6a7f76e9f09, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad, 0x3ad08a1df15d4af5,
  0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7, 0xeb70decbe9662e12,
  0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000002bb5565514f,
};

// m324p_u1x12_uart0_dual_ee_ce_hw   m324pa_u1x12_uart0_dual_ee_ce_hw  m324pb_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m324a_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdddbf183f6090c86, 0xbbb87c17da0fafdd, 0x9086abf78ffbbbbb, 0xf0ccc8eeeca67c0f, 0x1bb3798a338d3c9a,
  0x5cc13e324ed5cbbb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f995d0677, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xff51c530586f2bc8, 0xfb6a7f76e9f093fc, 0x8bea8d4f4368dd27, 0x4963cf36d01c19bb, 0x1f097e21b09117dc,
  0x9e2ee373acd90ff5, 0xcadfc94ed6e6e6e9, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x3cd84b997cdb7386, 0x2861539fa9b0ec6e, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x0075d71ba29e4afd,
};

/*
 * m324p_u1x12_uart0_dual_ee_ce_u4_hw m324pa_u1x12_uart0_dual_ee_ce_u4_hw
 * m324pb_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xbb7e307a28d0d4d6, 0x770f82fb41f5fbbb, 0x10d57ef1ff777777, 0x19991ddd94cf81f2, 0xfafacdc671a7935e,
  0x609f19276ae4dd8c, 0x11ec99182a9047ae, 0xc4a30a190b4df81b, 0x35257e6589ad3ba7, 0xa3b3e6c3acce0c87,
  0x508e489fc19adcde, 0x3e144312bfcfdf04, 0xbbbddf373a9c00dc, 0xc542196805a4432a, 0xbfebffd01cf098e0,
  0x9524c161bcaf212d, 0xa9fddba7c24ff3ff, 0xaa353d0da3749fed, 0x79e57d607066ee2f, 0x2fc4361222fb892c,
  0xb8dc524e6ffea3e1, 0xf253b5b9b9ba678b, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000075d68cd01,
};

// m324p_u1x12_uart1_noled_pr_ce     m324pa_u1x12_uart1_noled_pr_ce    m324pb_u1x12_uart1_noled_pr_ce
static const uint64_t ur_m324a_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775feb0ef3f1ee6, 0xba4ff6d4feedd3e0, 0x1c5ae77fd7a486d1, 0xc6e7ce90ff9e0128, 0xb9ee580b8ce6139d,
  0xc71d3f83c67ea3d4, 0x8d41ce62c05e8121, 0x1cb19e3af173b512, 0xf0313bbf60ebf0f7, 0xbcc077eefce726db,
  0x83536253f7ce4df9, 0xd102103182169c91, 0x12e65f36d38c6f19, 0x81a3f8d163ce1bb6, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xbda792bf734332c3, 0x0000000002dd4926,
};

// m324p_u1x12_uart1_noled_pr_ce_u4  m324pa_u1x12_uart1_noled_pr_ce_u4 m324pb_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m324a_u1x12_uart1_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfffb67e43cc13e32, 0x6d4feedd3e09393f, 0x717d72486d1ba4ff, 0xe24b1e7804a9dbf9, 0xa8f84bf10d8488be,
  0x933c5dc6e3fcc41f, 0xb3d4727a7b9633f5, 0x0147ce9238e9fc1e, 0xd1f3b57f47ac398b, 0xd99e5403ff6678eb,
  0xddfb071f03cb5b87, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000000375d071e41,
};

// m324p_u1x12_uart1_noled_pr_ee_ce  m324pa_u1x12_uart1_noled_pr_ee_ce m324pb_u1x12_uart1_noled_pr_ee_ce
static const uint64_t ur_m324a_u1x12_uart1_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xdd3e0918fffffdb3, 0x786d1ba4ff6d4fee, 0x0953b383717d51c8, 0x1b09117dc4963cf0,
  0x3acd90ff51f097e2, 0xed6e6def99e2ee37, 0x9835afea3cafa894, 0x140a62b09fea3e0d, 0x4616588a459a75a1,
  0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090, 0xb0b3a254d2a36089,
  0x7e73936df8189ddf, 0x6fcde01f50603bf7, 0x102baa9cbca6c672, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0x96af2e4d5c1e6c25, 0xea75663c81f94345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x41a792bf734332c3, 0x0000000004fc2b56,
};

/*
 * m324p_u1x12_uart1_noled_pr_ee_ce_u4 m324pa_u1x12_uart1_noled_pr_ee_ce_u4
 * m324pb_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xff6cfffc9827c64e, 0x53fbb74f825d3fff, 0x546e4e1b46e93fdb, 0x8f3c0254ed82dc5f, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0x05253b5b9b8ca678, 0x8f83660c6ffa8f2b, 0x4eb422814c5710fa, 0x426be8c2cb1148b3,
  0x8c4f9ceaedcf78ea, 0x578d8ebd7537610e, 0x84845120a8f19d8d, 0xc332386f65c3918b, 0x6dbf0313bbf6631f,
  0xdf9bcc077eefce72, 0xc9183536253f7ce4, 0xf19d102103182169, 0xf3612e65f36d38c6, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x00000000027e042f,
};

/*
 * m324a_u1x12_uart1_lednop_pr_ce_u4 m324p_u1x12_uart1_lednop_pr_ce    m324p_u1x12_uart1_lednop_pr_ce_u4
 * m324pa_u1x12_uart1_lednop_pr_ce   m324pa_u1x12_uart1_lednop_pr_ce_u4
 * m324pb_u1x12_uart1_lednop_pr_ce   m324pb_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfffdb3e52e609f19, 0xb6a7f76e9f049d2f, 0xb8beb924368dd27f, 0xe24b1e7804a9dd4a, 0xa8f84bf10d8488be,
  0x2678bb8dcadf801f, 0x67a8fd24f72c67eb, 0x02a6222c71d3f83d, 0x8f9d967a34867316, 0xcd22a01ffb33c75e,
  0xefd905681e5adc82, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xdd75a7d9069e4afd,
};

/*
 * m324p_u1x12_uart1_lednop_pr_ee_ce m324pa_u1x12_uart1_lednop_pr_ee_ce
 * m324pb_u1x12_uart1_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x76e9f048e0ffffdb, 0xfe4368dd27fb6a7f, 0xc0254ef7d9dff546, 0x09cee372e4492bf3,
  0xcafba94ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4, 0x1923268e7576e3d4,
  0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0x8189ddfb0b31f667, 0xbf77e781013936df,
  0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2e65f36dce18edec, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0xb20d3c95fb9a1996,
  0x000000000009f902,
};

/*
 * m324p_u1x12_uart1_lednop_pr_ee_ce_u4 m324pa_u1x12_uart1_lednop_pr_ee_ce_u4
 * m324pb_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0xfeedd3e097fcffd8, 0x1c8786d1ba4ff6d4, 0xcf36d01c4b5717d5, 0x7e21b09117dc4963,
  0x8dc0449807f51f09, 0xa53b5b9b7be678bb, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d,
  0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0x77ec2cc7d99e546c,
  0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00013f2cb7cc3b9e,
};

/*
 * m324a_u1x12_uart1_dual_pr         m324p_u1x12_uart1_dual            m324p_u1x12_uart1_dual_pr
 * m324pa_u1x12_uart1_dual           m324pa_u1x12_uart1_dual_pr        m324pb_u1x12_uart1_dual
 * m324pb_u1x12_uart1_dual_pr
 */
static const uint64_t ur_m324a_u1x12_uart1_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd2cbbf5f, 0x7bc95719bad29dbb, 0x89c9c2477774d869, 0x9bb92be67c3d8b15,
  0x82a90cdf9827c64a, 0x90b4df81b11ec991, 0x958093ba7c4a30a1, 0x60514e0e4e6f9df9, 0x13f838f737a8ebef,
  0x6257f9fbe08a11c9, 0xf9b91c801b87c288, 0x65a03e221955ddee, 0xffa039e136f71508, 0xc161bcaf212db98f,
  0xedd3e091ebfe4834, 0x7f86d1ba4ff6d4fe, 0x0690fd47b8677cb5, 0xfe1ccb5c9a8e3a7f, 0xdd84fa3416731602,
  0x869371cb1823af22, 0xc9fc55f3bb8a9295, 0x404e4db7e062777e, 0x9bf37980efddf9e0, 0xc05a9c914b579d00,
  0xe88197f8a042d2a7, 0x09732f9b69c6378c, 0x3458f38b9357079b, 0x2b93f75663c81f94, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000000621ce641a7,
};

// m324p_u1x12_uart1_dual_pr_u4      m324pa_u1x12_uart1_dual_pr_u4     m324pb_u1x12_uart1_dual_pr_u4
static const uint64_t ur_m324a_u1x12_uart1_dual_pr_u4[] = {
  0x776fc60f4486d0e3, 0x7770ffa5295ebf77, 0x7589e9da76b77777, 0xf5ae0eeee9fb0803, 0xcab8da0a72c89b0c,
  0x5212a2609f192c85, 0x69bf03623d932305, 0xd06774f894614321, 0xe94e070e6297f995, 0xf83a9537a8e95b60,
  0x57f9fbe08a11c913, 0x72c7c01b87c28862, 0x43e44432abbbddf3, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0x4f82413ffc753982, 0x1b46e93fdb53fbb7, 0x43fa8f914ef9626a, 0x3cd38bdf1c74fe0c, 0xd6b23afe731602a8,
  0xa01ffb30475e00ce, 0x93a07967b621d21a, 0xec9fc55f3bb8a92a, 0x0404e4db7e062777, 0xbcd914180efddf9e,
  0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x029272e0a61dcf25,
};

/*
 * m324a_u1x12_uart1_dual_pr_ee_u4   m324p_u1x12_uart1_dual_pr_ee      m324p_u1x12_uart1_dual_pr_ee_u4
 * m324pa_u1x12_uart1_dual_pr_ee     m324pa_u1x12_uart1_dual_pr_ee_u4  m324pb_u1x12_uart1_dual_pr_ee
 * m324pb_u1x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_dual_pr_ee[] = {
  0xbbb7e307a2431f02, 0x7770fbd3dfbf5fbb, 0xb96257da80777777, 0x386d841bb138dd58, 0x2cda109852b545e7,
  0x4c13e32638dc9462, 0xd88f64c8c15480b2, 0x3e251850c85a6fc0, 0x689b4d7e657419dd, 0x9bd47b1fd87fc380,
  0xe08a11c913f83a1f, 0x1b87c2886257f9fb, 0x32abbbddf372e440, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe3a9cc161bcaf2, 0xfeda9fddba7c12df, 0x355ad1c890da3749, 0x1b3060a7a8f2b5f7, 0x422877c5752bd47c,
  0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e, 0xc37b2fa598b84845,
  0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x001592aca30ee792,
};

/*
 * m324a_u1x12_uart1_dual_pr_ce_u4   m324p_u1x12_uart1_dual_pr_ce      m324p_u1x12_uart1_dual_pr_ce_u4
 * m324pa_u1x12_uart1_dual_pr_ce     m324pa_u1x12_uart1_dual_pr_ce_u4  m324pb_u1x12_uart1_dual_pr_ce
 * m324pb_u1x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_dual_pr_ce[] = {
  0xbbb7e307a2435032, 0x7770fc2febbf5fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xabdb47fbbeec2afb,
  0x3ce5304f8c9f2372, 0xbf03623d93230552, 0x6774f89461432169, 0x3818fcc337f995d0, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x24c17fc753982c37, 0x6e93fdb53fbb74f8, 0x071d2dc5f54021b4, 0x2445f71258f3cdb4, 0x4fd7fd47c25f886c,
  0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe, 0xdc21d21aa01ffb33,
  0xceee2a4aa4e81e5a, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72,
  0xec555169aba718de, 0x612e65f36dce18ed, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xb30ee792bf734332, 0x0000000000692138,
};

// m324p_u1x12_uart1_dual_pr_ee_ce   m324pa_u1x12_uart1_dual_pr_ee_ce  m324pb_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m324a_u1x12_uart1_dual_pr_ee_ce[] = {
  0xbbb7e307d41432db, 0xbbbb87c6571f5fbb, 0x2ca3e9f7ae17bbbb, 0x3ae4874eddb0caf8, 0x4559608674843b36,
  0x16609f1926eae470, 0x0d88f64c8c15485d, 0xd3e251850c85a6fc, 0xfaf31adfe657419d, 0x737a8f00360290e1,
  0x7c114239227f076b, 0x0370f8510c4aff3f, 0x0caaeef77cdceeb0, 0x6c09150865a1a6d1, 0x84b6f3b7ff4073c2,
  0xfff8ea730586f2bc, 0xff6d4feedd3e0974, 0x77fd51b9386d1ba4, 0x0d07fcf36d01c1ac, 0x2b26e984e771b995,
  0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18, 0xbd44bb4428f7b39d,
  0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd5e371e6c25ccbe6,
  0x4eaccdfc1ddc68b2, 0x3fc09c69430a9cfd, 0xe985727e03e68799, 0x94b67c09c6592e19, 0xdcf257ee68665874,
  0x00000002000ad461,
};

/*
 * m324p_u1x12_uart1_dual_pr_ee_ce_u4 m324pa_u1x12_uart1_dual_pr_ee_ce_u4
 * m324pb_u1x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b76d8be, 0xb87c17da0fafdddd, 0x57f1ff7337bbbbbb, 0x91ddd94cf81f210d, 0x5f58671a7935e199,
  0x4ed5c9e75a418786, 0x3055208f5cc13e32, 0x32169bf03623d932, 0xcb41ca774f894614, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0x3e093fcfff202982, 0x6d1ba4ff6d4feedd, 0x276337717d51a9e8, 0x09117dc4963cf36d,
  0x1e41ff51f097e21b, 0xe6e6e99e2ee37354, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71943a909afa30, 0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647,
  0xec9fc55f3bb8a929, 0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x8be2aa49e4afdcd0, 0x0000000000008009,
};

// m324p_u1x12_uart1_dual_ee_hw      m324pa_u1x12_uart1_dual_ee_hw     m324pb_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m324a_u1x12_uart1_dual_ee_hw[] = {
  0x776fc60f448618be, 0xeee1f7a7bf7ebf77, 0x72c4afb500eeeeee, 0x70db08376271bab1, 0xbd9c16bc156a8bce,
  0x2c9304f8c98e372e, 0xf03623d932305520, 0x774f89461432169b, 0xe01a26d35f995d06, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0x1006e1f0a21895fe, 0x510caaeef77cdcb9, 0xc2628b150865a0e9, 0xbc84b6fd5fff4073,
  0x6fbff51c530586f2, 0xa4ff6d4feedd3e09, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2ba95ea,
  0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae, 0xd6e1bd97d2cc5c24,
  0x4a0109fd62a3608f, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0000576aacaa29e4,
};

// m324p_u1x12_uart1_dual_ee_ce_hw   m324pa_u1x12_uart1_dual_ee_ce_hw  m324pb_u1x12_uart1_dual_ee_ce_hw
static const uint64_t ur_m324a_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdddbf183f6090c86, 0xbbb87c17da0fafdd, 0x9086abf78ffbbbbb, 0xf0ccc8eeeca67c0f, 0x1bb3798a338d3c9a,
  0x5cc13e324ed5cbbb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f995d0677, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xff51c530586f2bc8, 0xf6d4feedd3e093fc, 0x17d51a9e86d1ba4f, 0x92c79e6da0383377, 0x3e12fc4361222fb8,
  0x3c5dc6e759b21fea, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0x0c2a73f5361d8dc7, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x0ebae37453c95fb9,
};

/*
 * m324p_u1x12_uart1_dual_ee_ce_u4_hw m324pa_u1x12_uart1_dual_ee_ce_u4_hw
 * m324pb_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u1x12_uart1_dual_ee_ce_u4_hw[] = {
  0xbb7e307a28d0d4d6, 0x770f82fb41f5fbbb, 0x10d57ef1ff777777, 0x19991ddd94cf81f2, 0xfafacdc671a7935e,
  0x609f19276ae4dd8c, 0x11ec99182a9047ae, 0xc4a30a190b4df81b, 0x35257e6589ad3ba7, 0xa3b3e6c3acce0c87,
  0x508e489fc19adcde, 0x3e144312bfcfdf04, 0xbbbddf373a9c00dc, 0xc542196805a4432a, 0xbfebffd01cf098e0,
  0x9524c161bcaf212d, 0x53fbb74f824ff3ff, 0x546a7a1b46e93fdb, 0xf3cafac0e0cddc5f, 0x5f886c2445f71258,
  0x71b8a49cdffd47c2, 0xe4a76b737374cf17, 0xf83660d7cf51e56f, 0xd68450298ae037a8, 0x4d7d185962291669,
  0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31, 0xdc5494b313fac546,
  0x0313bbf64fe2af9d, 0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5ccbe6db9c31dbd8, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000000ebad19a02f,
};

// m324p_u2x8_uart0_noled_pr_ce      m324pa_u2x8_uart0_noled_pr_ce     m324pb_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m324a_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x84bbaff58779f8f7, 0xb46f6a8e526fb74f, 0x4a0716b9dff5e921, 0xe771b9f3a43fe780, 0xf52e7b9602e33984,
  0x4871c74fe0f19fa8, 0x44a3507398b017a0, 0x3dc72c678ebc5ced, 0xb37e06256bd83afc, 0x5bcde603bd6bce70,
  0x72460d4d894fdf38, 0xbc67440840c6085a, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x249af69e4afdcd0c, 0x0000000000000b75,
};

// m324p_u2x8_uart0_noled_pr_ce_u4   m324pa_u2x8_uart0_noled_pr_ce_u4  m324pb_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m324a_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffffdb3f21e609f1, 0xa8e526fb74f849c9, 0xfe5c5f5c921b46f6, 0x2fb892c79e012a76, 0x07ea3e12fc436122,
  0xfd64cf1771b8ff31, 0x07acf51c9e9ee58c, 0x62c051f3a48e3a7f, 0x3af47ced5fd1eb0e, 0xe1f6679500ffd99e,
  0x312b5ec1c7c0f2d6, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x079b09732f9b6248, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x79069e4afdcd0ccb, 0x0000000000dd741c,
};

// m324p_u2x8_uart0_noled_pr_ee_ce   m324pa_u2x8_uart0_noled_pr_ee_ce  m324pb_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xfb74f848c7ffffed, 0x721e1b46f6a8e526, 0x3c0254ece0dc5f54, 0xf886c2445f71258f,
  0x8dceb3643fd47c25, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f, 0xd7d185962291669d,
  0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c, 0xb5ec2ce89534a8d8,
  0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xb09732f9b624863b,
  0x0d165abcb9357079, 0x539fa9d598f207e5, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb,
  0xad59069e4afdcd0c, 0x00000000000013f0,
};

/*
 * m324p_u2x8_uart0_noled_pr_ee_ce_u4 m324pa_u2x8_uart0_noled_pr_ee_ce_u4
 * m324pb_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x3949bedd3e12e9ff, 0x17d51b9386d1bdaa, 0x4963cf00953b60b7, 0x1f097e21b09117dc,
  0x9e2ee3712a2e47f5, 0xcac1494ed6e6e329, 0x3ea3e0d9831bfea3, 0x2cd3ad08a05315c4, 0x3a909afa30b2c452,
  0x43a313e73abb73de, 0x6355e363af5d4dd8, 0x62e12114482a3c67, 0xc7f0cc8e1bd970e4, 0xe70b37e06256bd98,
  0xf385bcde603bd6bc, 0x85a72460d4d894fd, 0xe31bc67440840c60, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x10bc834f257ee686, 0x00000000000009f8,
};

/*
 * m324a_u2x8_uart0_lednop_pr_ce_u4  m324p_u2x8_uart0_lednop_pr_ce     m324p_u2x8_uart0_lednop_pr_ce_u4
 * m324pa_u2x8_uart0_lednop_pr_ce    m324pa_u2x8_uart0_lednop_pr_ce_u4 m324pb_u2x8_uart0_lednop_pr_ce
 * m324pb_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0x7fffed9f297304f8, 0x5472937dba7c24e9, 0x52ae2fae490da37b, 0x2fb892c79e012a77, 0x07ea3e12fc436122,
  0xfac99e2ee372b7e0, 0x0f59ea3f493dcb19, 0xc580a9888b1c74fe, 0xd7a3e7659e8d219c, 0x20b348a807feccf1,
  0x895af6415a0796b7, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xccbe6db9c31dbd8a, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000375d69f641a79,
};

// m324p_u2x8_uart0_lednop_pr_ee_ce  m324pa_u2x8_uart0_lednop_pr_ee_ce m324pb_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xd9fa1f9827c64eeb, 0x37dba7c24707fffe, 0x51bf90da37b54729, 0xfcf00953bdf677fd, 0x7cc273b8dcb9124a,
  0xa8f2beea53b5958f, 0xf6ffa8f83660d6bf, 0x291669d68450298a, 0xf51d484d7d185962, 0xbb4648c9a39d5db8,
  0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6, 0x9bf0312b5ec2cc7d, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0x2868b2d5e5c9ab83,
  0x0a9cfd4eacc7903f, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6, 0xe40ac834f257ee68,
  0x0000000000000027,
};

/*
 * m324p_u2x8_uart0_lednop_pr_ee_ce_u4 m324pa_u2x8_uart0_lednop_pr_ee_ce_u4
 * m324pb_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0xc2f9fd35304f8c9d, 0x526fb74f84bfe7fe, 0xf54721e1b46f6a8e, 0x58f3cdb40712d5c5, 0xc25f886c2445f712,
  0x2ee370112601fd47, 0xfba94ed6e6def99e, 0xa3e0d9835afea3ca, 0xa75a1140a62bdbfe, 0x2135f4616588a459,
  0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0xc4ad7b0b31f66795,
  0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xe65f36dce18edec5,
  0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0xee792bf734332c3a, 0x00000004fcb2df30,
};

/*
 * m324a_u2x8_uart0_dual_pr          m324p_u2x8_uart0_dual             m324p_u2x8_uart0_dual_pr
 * m324pa_u2x8_uart0_dual            m324pa_u2x8_uart0_dual_pr         m324pb_u2x8_uart0_dual
 * m324pb_u2x8_uart0_dual_pr
 */
static const uint64_t ur_m324a_u2x8_uart0_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa5977e, 0xd2f792ae3375a53b, 0x2b1393848eeee9b0, 0x95377257ccf87b16,
  0x23055219bf304f8c, 0x432169bf03623d93, 0xf32b012774f89461, 0xdec0a29c1c9cdf3b, 0x9227f071ee6f51d7,
  0x10c4aff3f7c11423, 0xddf3723900370f85, 0x10cb407c4432abbb, 0x1fff4073c26dee2a, 0x6982c3795e425b73,
  0x9bedd3e123d7fc90, 0xcb57f86d1bdaa394, 0xa7f0690fd47b8677, 0x602fe1ccb5c9a8e3, 0xf22dd84fa3416731,
  0x295869371cb1823a, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x9d002de6f301deb5, 0xd2a7c05a9c914b57,
  0x378ce88197f8a042, 0x079b09732f9b69c6, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0xa4a5b3e04e32c970,
  0x41a792bf734332c3, 0x0000000000621ce6,
};

// m324p_u2x8_uart0_dual_pr_u4       m324pa_u2x8_uart0_dual_pr_u4      m324pb_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m324a_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeedf94486d0e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b4ed6eee, 0x19eb5c1dddd3f610, 0x0b9571b414e59136,
  0x0aa42544c13e3259, 0x42d37e06c47b2646, 0x2ba0cee9f128c286, 0xc1d29c0e1cc52ff3, 0x27f0752a6f51d2b6,
  0xc4aff3f7c1142392, 0xe6e58f80370f8510, 0x9687c888655777bb, 0xfe80e784c3e45421, 0x0586f2bc84b6f01b,
  0xb74f84827ff8ea73, 0x26a1b46f6a8e526f, 0xe0c43fa8f914ef96, 0x2a83cd38bdf1c74f, 0x0ced6b23afe73160,
  0x21aa01ffb30475e0, 0x92a93a07967b621d, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x0000029272e0a61d,
};

/*
 * m324a_u2x8_uart0_dual_pr_ee_u4    m324p_u2x8_uart0_dual_pr_ee       m324p_u2x8_uart0_dual_pr_ee_u4
 * m324pa_u2x8_uart0_dual_pr_ee      m324pa_u2x8_uart0_dual_pr_ee_u4   m324pb_u2x8_uart0_dual_pr_ee
 * m324pb_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_dual_pr_ee[] = {
  0x777776fca2431f02, 0xeeeee1f7a7bf7ebf, 0xb172c4afb500eeee, 0xce70db08376271ba, 0xc459b42130a56a8b,
  0x649827c64c71b928, 0x81b11ec99182a901, 0xba7c4a30a190b4df, 0x00d1369afccae833, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffc753982c3795, 0x7b5472937dba7c25, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c5752bd,
  0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5, 0xfadc37b2fa598b84,
  0x4940213fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x65f36dce455bd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000001592aca30e,
};

/*
 * m324a_u2x8_uart0_dual_pr_ce_u4    m324p_u2x8_uart0_dual_pr_ce       m324p_u2x8_uart0_dual_pr_ce_u4
 * m324pa_u2x8_uart0_dual_pr_ce      m324pa_u2x8_uart0_dual_pr_ce_u4   m324pb_u2x8_uart0_dual_pr_ce
 * m324pb_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_dual_pr_ce[] = {
  0x777776fca2435032, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0xe557b68ff77dd855,
  0xa479ca609f193e46, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0xb47031f9866ff32b, 0xc18d69bd474b5b00,
  0xbfcfdf04508e489f, 0x8cf800dc3e144312, 0x0a2a21955ddeef9b, 0x0e784c63e2a10cb4, 0x6f2bc84b6f15bfe8,
  0xf84982ff8ea73058, 0x1b46f6a8e526fb74, 0xdb4071d2dc5f5402, 0x86c2445f71258f3c, 0xe0a4fd7fd47c25f8,
  0xee58cfa9733c5dc6, 0x1d3f83a97ea38df9, 0xafe7316028283e47, 0xb33c75e00ced6b23, 0xe5adc21d21aa01ff,
  0x157ceee2a4aa4e81, 0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x2138b30ee792bf73, 0x0000000000000069,
};

// m324p_u2x8_uart0_dual_pr_ee_ce    m324pa_u2x8_uart0_dual_pr_ee_ce   m324pb_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart0_dual_pr_ee_ce[] = {
  0x777776fcd41432db, 0x7777770f8cae3ebf, 0xf05947d3ef5c2f77, 0x6c75c90e9dbb6195, 0xe08ab2c10ce90876,
  0xba2cc13e324dd5c8, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3f5e635bfccae83, 0xd6e6f51e006c0521,
  0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xe9fff1d4e60b0de5, 0xbdaa3949bedd3e12, 0x1ac77fd51b9386d1, 0x9950d07fcf36d01c, 0x76b2b26e984e771b,
  0x660d7cf51e56fe4a, 0x450298ae037a8f83, 0xd185962291669d68, 0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b,
  0x08a04547cf58d578, 0x32386f65f4b31709, 0x494b313fac546c11, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818,
  0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x68b2d5e371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0xd461dcf257ee6866,
  0x000000000002000a,
};

/*
 * m324p_u2x8_uart0_dual_pr_ee_ce_u4 m324pa_u2x8_uart0_dual_pr_ee_ce_u4
 * m324pb_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbb7e515b76d8be, 0x7770f82fb41f5fbb, 0x1aafe3fee66f7777, 0x3323bbb299f03e42, 0x0cbeb0ce34f26bc3,
  0x649dab93ceb4830f, 0x6460aa411eb9827c, 0x28642d37e06c47b2, 0xf9968394ee9f128c, 0x9b0eb338321cd495,
  0x227f066b737a8ecf, 0x0c4aff3f7c114239, 0x7cdcea700370f851, 0x65a016910caaeef7, 0xff4073c263831508,
  0x0586f2bc84b6ffaf, 0xdd3e127f9ffe4053, 0x9e86d1bdaa3949be, 0x36d276337717d51a, 0x21b09117dc4963cf,
  0x3541e41ff51f097e, 0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0,
  0x73abb71943a909af, 0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x97cdb73863b7b155, 0x37c5c9ab83cd84b9, 0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x80098be2aa49e4af,
};

// m324p_u2x8_uart0_dual_ee_hw       m324pa_u2x8_uart0_dual_ee_hw      m324pb_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m324a_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeedf9448618be, 0xddddc3ef4f7efd7e, 0x62e5895f6a01dddd, 0x9ce1b6106ec4e375, 0x5d7b382d782ad517,
  0x40592609f1931c6e, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0xe1c0344da6bf32ba, 0x1d0fcdea3d8fec3f,
  0xfcfdf04508e489fc, 0x72200dc3e144312b, 0xd2a21955ddeef9b9, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0x12df7fea38a60b0d, 0xd1bdaa3949bedd3e, 0x95afb9aad68e4486, 0x5ea3e0d983053d47, 0x59a75a1143be2ba9,
  0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635, 0x08fd6e1bd97d2cc5,
  0xe2a4a0109fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x9732f9b6e722adec, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x00000000576aacaa,
};

// m324p_u2x8_uart0_dual_ee_ce_hw    m324pa_u2x8_uart0_dual_ee_ce_hw   m324pb_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m324a_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbb7e76090c86, 0x777770f82fb41f5f, 0x1f210d57ef1ff777, 0x35e19991ddd94cf8, 0x763766f314671a79,
  0x1eb9827c649dab97, 0xe06c47b26460aa41, 0xee9f128c28642d37, 0x06439a92bf32ba0c, 0x6e6f51d9f361d667,
  0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2, 0x9096dff5ffe80e78,
  0xf9fea38a60b0de57, 0xdaa3949bedd3e127, 0x37717d51a9e86d1b, 0xfb892c79e6da0383, 0xfea3e12fc4361222,
  0xdd33c5dc6e759b21, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x8dc79b09732f9b6e, 0x71a50c2a73f5361d, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00000ebae37453c9,
};

/*
 * m324p_u2x8_uart0_dual_ee_ce_u4_hw m324pa_u2x8_uart0_dual_ee_ce_u4_hw
 * m324pb_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0x77776fca28d0d4d6, 0xeeee1f05f683ebf7, 0xe421aafde3feeeee, 0xbc33323bbb299f03, 0x19f5f59b8ce34f26,
  0x5cc13e324ed5c9bb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x0e6a4afccb135a77, 0xbd4767cd87599c19,
  0x08a11c913f8335b9, 0xb87c2886257f9fbe, 0x55777bbe6e753801, 0xc18a8432d00b4886, 0x5b7fd7ffa039e131,
  0xff2a4982c3795e42, 0x8e526fb74f849fe7, 0xc5f546a7a1b46f6a, 0x258f3cafac0e0cdd, 0x7c25f886c2445f71,
  0xf1771b8a49cdffd4, 0x56fe4a76b737374c, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0xa02fa792bf734332, 0x0000000000ebad19,
};

// m324p_u2x8_uart1_noled_pr_ce      m324pa_u2x8_uart1_noled_pr_ce     m324pb_u2x8_uart1_noled_pr_ce
static const uint64_t ur_m324a_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x04bbaff58779f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xcee373e7487fcf00, 0xea5cf72c05c67309,
  0x90e38e9fc1e33f51, 0x8946a0e731602f40, 0x7b8e58cf1d78b9da, 0x6df8189ddfb075f8, 0xfcde603bf77e7393,
  0x48c1a9b129fbe726, 0x8ce8810818c10b4e, 0xdb09732f9b69c637, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x935ed3c95fb9a199, 0x0000000000016ea4,
};

// m324p_u2x8_uart1_noled_pr_ce_u4   m324pa_u2x8_uart1_noled_pr_ce_u4  m324pb_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m324a_u2x8_uart1_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffffdb3f21e609f1, 0x51ca4df6e9f049c9, 0xfcb8beb924368ded, 0x5f71258f3c0254ed, 0x0fd47c25f886c244,
  0xfac99e2ee371fe62, 0x0f59ea393d3dcb19, 0xc580a3e7491c74fe, 0x75e8f9dabfa3d61c, 0xc3eccf2a01ffb33c,
  0xc4eefd838f81e5ad, 0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6,
  0xf3612e65f36c490c, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x000000001bae838f,
};

// m324p_u2x8_uart1_noled_pr_ee_ce   m324pa_u2x8_uart1_noled_pr_ee_ce  m324pb_u2x8_uart1_noled_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xf6e9f048c7ffffed, 0xe43c368ded51ca4d, 0x7804a9d9c1b8bea8, 0xf10d8488bee24b1e,
  0x1b9d66c87fa8f84b, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57d4, 0xd08a0531584ff51f, 0xafa30b2c4522cd3a,
  0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8, 0xefd859d12a6951b0,
  0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x12e65f36c490c76f,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0xab20d3c95fb9a199, 0x0000000000027e15,
};

/*
 * m324p_u2x8_uart1_noled_pr_ee_ce_u4 m324pa_u2x8_uart1_noled_pr_ee_ce_u4
 * m324pb_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x72937dba7c12e9ff, 0x2faa37270da37b54, 0x92c79e012a76c16e, 0x3e12fc4361222fb8,
  0x3c5dc6e2545c8fea, 0x9582929dadcdc653, 0x7d47c1b30637fd47, 0x59a75a1140a62b88, 0x752135f4616588a4,
  0x874627ce7576e7bc, 0xc6abc6c75eba9bb0, 0xc5c24228905478ce, 0x8fe1991c37b2e1c8, 0x3936df8189ddfb31,
  0x726fcde603bf77e7, 0xb4e48c1a9b129fbe, 0x6378ce8810818c10, 0x7079b09732f9b69c, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x179069e4afdcd0cc, 0x0000000000013f02,
};

/*
 * m324a_u2x8_uart1_lednop_pr_ce_u4  m324p_u2x8_uart1_lednop_pr_ce     m324p_u2x8_uart1_lednop_pr_ce_u4
 * m324pa_u2x8_uart1_lednop_pr_ce    m324pa_u2x8_uart1_lednop_pr_ce_u4 m324pb_u2x8_uart1_lednop_pr_ce
 * m324pb_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0x7fffed9f297304f8, 0xa8e526fb74f824e9, 0xa55c5f5c921b46f6, 0x5f71258f3c0254ee, 0x0fd47c25f886c244,
  0xf5933c5dc6e56fc0, 0x1eb3d47e927b9633, 0x8b0153111638e9fc, 0xaf47cecb3d1a4339, 0x416691500ffd99e3,
  0x2777ec82b40f2d6e, 0xdf9e0404e4db7e06, 0x4df9bcd914180efd, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x97cdb73863b7b155, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x006ebad3ec834f25,
};

// m324p_u2x8_uart1_lednop_pr_ee_ce  m324pa_u2x8_uart1_lednop_pr_ee_ce m324pb_u2x8_uart1_lednop_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xd9fa1f9827c64eeb, 0x6fb74f824707fffe, 0xa37f21b46f6a8e52, 0xf9e012a77beceffa, 0xf984e771b9722495,
  0x51e57dd4a76b2b1e, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315, 0xea3a909afa30b2c4, 0x768c9193473abb71,
  0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec, 0x6fc0c4eefd8598fb, 0x01dfbbf3c0809c9b,
  0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0x0d165abcb9357079,
  0x539fa9d598f207e5, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb, 0x8159069e4afdcd0c,
  0x00000000000004fc,
};

/*
 * m324p_u2x8_uart1_lednop_pr_ee_ce_u4 m324pa_u2x8_uart1_lednop_pr_ee_ce_u4
 * m324pb_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0xc2f9fd35304f8c9d, 0xa4df6e9f04bfe7fe, 0xea8e43c368ded51c, 0xb1e79b680e25ab8b, 0x84bf10d8488bee24,
  0x5dc6e0224c03fa8f, 0xf7529dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa,
  0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000009f965be61d,
};

/*
 * m324a_u2x8_uart1_dual_pr          m324p_u2x8_uart1_dual             m324p_u2x8_uart1_dual_pr
 * m324pa_u2x8_uart1_dual            m324pa_u2x8_uart1_dual_pr         m324pb_u2x8_uart1_dual
 * m324pb_u2x8_uart1_dual_pr
 */
static const uint64_t ur_m324a_u2x8_uart1_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa5977e, 0xd2f792ae3375a53b, 0x2b1393848eeee9b0, 0x95377257ccf87b16,
  0x23055219bf304f8c, 0x432169bf03623d93, 0xf32b012774f89461, 0xdec0a29c1c9cdf3b, 0x9227f071ee6f51d7,
  0x10c4aff3f7c11423, 0xddf3723900370f85, 0x10cb407c4432abbb, 0x1fff4073c26dee2a, 0x6982c3795e425b73,
  0x37dba7c123d7fc90, 0x96aff0da37b54729, 0x4fe0d21fa8f70cef, 0xc05fc3996b9351c7, 0xe45bb09f4682ce62,
  0x52b0d26e39630475, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xa0137e6f301dfbbf, 0x54f80b5392296af3,
  0xf19d1032ff14085a, 0xf3612e65f36d38c6, 0xf2868b1e71726ae0, 0xe985727eeacc7903, 0x94b67c09c6592e19,
  0x34f257ee68665874, 0x000000000c439cc8,
};

// m324p_u2x8_uart1_dual_pr_u4       m324pa_u2x8_uart1_dual_pr_u4      m324pb_u2x8_uart1_dual_pr_u4
static const uint64_t ur_m324a_u2x8_uart1_dual_pr_u4[] = {
  0xeeeeedf94486d0e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b4ed6eee, 0x19eb5c1dddd3f610, 0x0b9571b414e59136,
  0x0aa42544c13e3259, 0x42d37e06c47b2646, 0x2ba0cee9f128c286, 0xc1d29c0e1cc52ff3, 0x27f0752a6f51d2b6,
  0xc4aff3f7c1142392, 0xe6e58f80370f8510, 0x9687c888655777bb, 0xfe80e784c3e45421, 0x0586f2bc84b6f01b,
  0x6e9f04827ff8ea73, 0x4d4368ded51ca4df, 0xc1887f51f229df2c, 0x55079a717be38e9f, 0x19dad6475fce62c0,
  0x435403ff6608ebc0, 0x2552740f2cf6c43a, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb,
  0xbe54dea53929d009, 0xb4d5d38c6f19d103, 0x7cdb739156f62aa8, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000524e5c14c3b9,
};

/*
 * m324a_u2x8_uart1_dual_pr_ee_u4    m324p_u2x8_uart1_dual_pr_ee       m324p_u2x8_uart1_dual_pr_ee_u4
 * m324pa_u2x8_uart1_dual_pr_ee      m324pa_u2x8_uart1_dual_pr_ee_u4   m324pb_u2x8_uart1_dual_pr_ee
 * m324pb_u2x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_dual_pr_ee[] = {
  0x777776fca2431f02, 0xeeeee1f7a7bf7ebf, 0xb172c4afb500eeee, 0xce70db08376271ba, 0xc459b42130a56a8b,
  0x649827c64c71b928, 0x81b11ec99182a901, 0xba7c4a30a190b4df, 0x00d1369afccae833, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffc753982c3795, 0xf6a8e526fb74f825, 0xbee6ab5a39121b46, 0x8f83660c14f51e56, 0x9d68450ef8aea57a,
  0x84d7d18596229166, 0x73ab4b994b8a9734, 0xa1d7a89768851ef6, 0x08a04547cf58d56b, 0xf5b86f65f4b31709,
  0x9280427f58a8d823, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804,
  0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000002b2559461dc,
};

/*
 * m324a_u2x8_uart1_dual_pr_ce_u4    m324p_u2x8_uart1_dual_pr_ce       m324p_u2x8_uart1_dual_pr_ce_u4
 * m324pa_u2x8_uart1_dual_pr_ce      m324pa_u2x8_uart1_dual_pr_ce_u4   m324pb_u2x8_uart1_dual_pr_ce
 * m324pb_u2x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_dual_pr_ce[] = {
  0x777776fca2435032, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0xe557b68ff77dd855,
  0xa479ca609f193e46, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0xb47031f9866ff32b, 0xc18d69bd474b5b00,
  0xbfcfdf04508e489f, 0x8cf800dc3e144312, 0x0a2a21955ddeef9b, 0x0e784c63e2a10cb4, 0x6f2bc84b6f15bfe8,
  0xf04982ff8ea73058, 0x368ded51ca4df6e9, 0xb680e3a5b8bea804, 0x0d8488bee24b1e79, 0xc149faffa8f84bf1,
  0xdcb19f52e678bb8d, 0x3a7f0752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647, 0xcb5b843a435403ff,
  0x2af9ddc549549d03, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x271661dcf257ee68, 0x0000000000000d24,
};

// m324p_u2x8_uart1_dual_pr_ee_ce    m324pa_u2x8_uart1_dual_pr_ee_ce   m324pb_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m324a_u2x8_uart1_dual_pr_ee_ce[] = {
  0x777776fcd41432db, 0x7777770f8cae3ebf, 0xf05947d3ef5c2f77, 0x6c75c90e9dbb6195, 0xe08ab2c10ce90876,
  0xba2cc13e324dd5c8, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3f5e635bfccae83, 0xd6e6f51e006c0521,
  0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xe9fff1d4e60b0de5, 0x7b5472937dba7c12, 0x358effaa37270da3, 0x32a1a0ff9e6da038, 0xed6564dd309cee37,
  0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af, 0xb1d7a89768851ef6,
  0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062,
  0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0x7cdb73863b7b1554, 0x165abc6e3cd84b99,
  0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0x8c3b9e4afdcd0ccb,
  0x000000000040015a,
};

/*
 * m324p_u2x8_uart1_dual_pr_ee_ce_u4 m324pa_u2x8_uart1_dual_pr_ee_ce_u4
 * m324pb_u2x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbb7e515b76d8be, 0x7770f82fb41f5fbb, 0x1aafe3fee66f7777, 0x3323bbb299f03e42, 0x0cbeb0ce34f26bc3,
  0x649dab93ceb4830f, 0x6460aa411eb9827c, 0x28642d37e06c47b2, 0xf9968394ee9f128c, 0x9b0eb338321cd495,
  0x227f066b737a8ecf, 0x0c4aff3f7c114239, 0x7cdcea700370f851, 0x65a016910caaeef7, 0xff4073c263831508,
  0x0586f2bc84b6ffaf, 0xba7c127f9ffe4053, 0x3d0da37b5472937d, 0x6da4ec66ee2faa35, 0x4361222fb892c79e,
  0x6a83c83fea3e12fc, 0xdadcdcdd33c5dc6e, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xf8b9357079b09732, 0x5666fe0fdbb1a2c6, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x01317c55493c95fb, 0x0000000000000010,
};

// m324p_u2x8_uart1_dual_ee_hw       m324pa_u2x8_uart1_dual_ee_hw      m324pb_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m324a_u2x8_uart1_dual_ee_hw[] = {
  0xeeeeedf9448618be, 0xddddc3ef4f7efd7e, 0x62e5895f6a01dddd, 0x9ce1b6106ec4e375, 0x5d7b382d782ad517,
  0x40592609f1931c6e, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0xe1c0344da6bf32ba, 0x1d0fcdea3d8fec3f,
  0xfcfdf04508e489fc, 0x72200dc3e144312b, 0xd2a21955ddeef9b9, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0x12df7fea38a60b0d, 0xa37b5472937dba7c, 0x2b5f7355ad1c890d, 0xbd47c1b3060a7a8f, 0xb34eb422877c5752,
  0x9a426be8c2cb1148, 0x7b39d5a5cca5c54b, 0xb5d0ebd44bb4428f, 0x84845022a3e7ac6a, 0x11fadc37b2fa598b,
  0xc54940213fac546c, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000aed559545,
};

// m324p_u2x8_uart1_dual_ee_ce_hw    m324pa_u2x8_uart1_dual_ee_ce_hw   m324pb_u2x8_uart1_dual_ee_ce_hw
static const uint64_t ur_m324a_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbbb7e76090c86, 0x777770f82fb41f5f, 0x1f210d57ef1ff777, 0x35e19991ddd94cf8, 0x763766f314671a79,
  0x1eb9827c649dab97, 0xe06c47b26460aa41, 0xee9f128c28642d37, 0x06439a92bf32ba0c, 0x6e6f51d9f361d667,
  0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2, 0x9096dff5ffe80e78,
  0xf9fea38a60b0de57, 0xb5472937dba7c127, 0x6ee2faa353d0da37, 0xf71258f3cdb40706, 0xfd47c25f886c2445,
  0xba678bb8dceb3643, 0xa8f2b7f253b5b9b9, 0x701bd47c1b306be7, 0x148b34eb422814c5, 0x650ea426be8c2cb1,
  0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b, 0xf157ceee2a4a5989,
  0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x18edec555169aba7,
  0xb8f3612e65f36dce, 0x34a1854e7ea6c3b1, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0001d75c6e8a792b,
};

/*
 * m324p_u2x8_uart1_dual_ee_ce_u4_hw m324pa_u2x8_uart1_dual_ee_ce_u4_hw
 * m324pb_u2x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u2x8_uart1_dual_ee_ce_u4_hw[] = {
  0x77776fca28d0d4d6, 0xeeee1f05f683ebf7, 0xe421aafde3feeeee, 0xbc33323bbb299f03, 0x19f5f59b8ce34f26,
  0x5cc13e324ed5c9bb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x0e6a4afccb135a77, 0xbd4767cd87599c19,
  0x08a11c913f8335b9, 0xb87c2886257f9fbe, 0x55777bbe6e753801, 0xc18a8432d00b4886, 0x5b7fd7ffa039e131,
  0xff2a4982c3795e42, 0x1ca4df6e9f049fe7, 0x8bea8d4f4368ded5, 0x4b1e795f581c19bb, 0xf84bf10d8488bee2,
  0xe2ee3714939bffa8, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06, 0xa909afa30b2c4522,
  0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9, 0xf3bb8a9296627f58,
  0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x05f4f257ee686658, 0x000000001d75a334,
};

/*
 * m324a_u2x12_uart0_noled_pr_ce_u4  m324p_u2x12_uart0_noled_pr_ce     m324p_u2x12_uart0_noled_pr_ce_u4
 * m324pa_u2x12_uart0_noled_pr_ce    m324pa_u2x12_uart0_noled_pr_ce_u4 m324pb_u2x12_uart0_noled_pr_ce
 * m324pb_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfffb67cbacc13e32, 0x36a7d56e9f097cef, 0xc921b46f6a8e527f, 0x79e012a76fe5c5f5, 0x2fc4361222fb892c,
  0x771b8ff3107ea3e1, 0xc9e9ee58cfd64cf1, 0x3a48e3a7f07acf51, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0x32f9b624863b7b15, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x000dd74cb59069e4,
};

// m324p_u2x12_uart0_noled_pr_ee_ce  m324pa_u2x12_uart0_noled_pr_ee_ce m324pb_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m324a_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0x5ba7c2435bfffed9, 0x1bdaa3949fcda9f5, 0xde043bfea8dfc86d, 0x6e759b21fe7804a9,
  0x29dacac7be6139dc, 0x1b306b5fd4795f51, 0x422814c5613fd47c, 0xbe8c2cb1148b34eb, 0x59ceaedd388ea426,
  0x8d8ebce9bb6f68f0, 0x211473c8c38d8d57, 0x132386f65b2e62e1, 0xaf616744a9a546c1, 0xf5af39c2cdf81895,
  0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0x84b997cdb12431db, 0x68b2d5e5c9ab83cd,
  0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659, 0x9ec834f257ee6866,
  0x0000000000004fce,
};

/*
 * m324p_u2x12_uart0_noled_pr_ee_ce_u4 m324pa_u2x12_uart0_noled_pr_ee_ce_u4
 * m324pb_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xf3e9b7304f8c9dd8, 0xaadd3e1219bffd85, 0x68ded51ca4fe6d4f, 0x0e1c1b8bea8e43c3, 0x488bee24b1e79b68,
  0xea49fa8f84bf10d8, 0xe6def99e2ee373a3, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983, 0x6588a459a75a1140,
  0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3, 0x3a254d2a3608991c,
  0xce166fc0c4ad7b0b, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10, 0xbe6d89218edec555,
  0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000009f83f0461dc,
};

/*
 * m324a_u2x12_uart0_lednop_pr_ce_u4 m324p_u2x12_uart0_lednop_pr_ce    m324p_u2x12_uart0_lednop_pr_ce_u4
 * m324pa_u2x12_uart0_lednop_pr_ce   m324pa_u2x12_uart0_lednop_pr_ce_u4
 * m324pb_u2x12_uart0_lednop_pr_ce   m324pb_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfffb67d82cc13e32, 0x36a7d56e9f091c3f, 0xc921b46f6a8e527f, 0xf3c0254eea55c5f5, 0x5f886c2445f71258,
  0xdc6e56fc00fd47c2, 0xe927b9633f5933c5, 0x11638e9fc1eb3d47, 0xb3d1a43398b01531, 0x00ffd99e3af47cec,
  0x2b40f2d6e4166915, 0x13859bf0312b5ec8, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xf05c834f257ee686, 0x0000000000006ebe,
};

/*
 * m324p_u2x12_uart0_lednop_pr_ee_ce m324pa_u2x12_uart0_lednop_pr_ee_ce
 * m324pb_u2x12_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0x6e9f09757ffffdb3, 0x6f6a8e527f36a7d5, 0x7beceffaa37f21b4, 0xb9722495f9e012a7,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57dd4, 0x08a05315edff51f0, 0xfa30b2c4522cd3ad, 0x473abb71ea3a909a,
  0x1b1d79d3768c9193, 0x42282791bdab1aaf, 0x26470decb65cc5c2, 0xbd8598fb33ca8d82, 0xf020270b37e06256,
  0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0xcb9357079b09732f,
  0x598f207e50d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000004fc5d99069,
};

/*
 * m324p_u2x12_uart0_lednop_pr_ee_ce_u4 m324pa_u2x12_uart0_lednop_pr_ee_ce_u4
 * m324pb_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x7cfbfc9827c64eef, 0xf55ba7c241a3ff61, 0x6d1bdaa3949fcda9, 0x01c4b5717d51c878, 0x09117dc4963cf36d,
  0x49807f51f097e21b, 0xb9b7be678bb8dc04, 0xd6bfa8f2beea53b5, 0x298af6ffa8f83660, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0xbce9bb4648c9a39d, 0x13c8ded58d578d8e, 0x86f65b2e62e12114, 0xcc7d99e546c11323,
  0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae,
  0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x9f896d0c3b9e4afd,
};

// m324p_u2x12_uart0_dual            m324pa_u2x12_uart0_dual           m324pb_u2x12_uart0_dual
static const uint64_t ur_m324a_u2x12_uart0_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87c9986ef5f, 0x1313bc880ad6c5bb, 0x29d1c7777419d0bb, 0x217257ccfb4b13b2,
  0xc154867c9827c649, 0xc85a6fc0d88f64c8, 0xcac049dd3e251850, 0xb072670f9d3487fc, 0x44fe0dfc9bd4728b,
  0x1895fe7ef8228472, 0xbe6e05a006e1f0a2, 0x19683de88655777b, 0xffd01cf0986fc542, 0x60b0de579096de3d,
  0xab74f84b4aff241a, 0xa37b547293f9b53e, 0xfd47114ef96aff0d, 0xd920df8e3a7f0690, 0xf237b4731602fe1c,
  0xb8e58c11d7916ec4, 0x2af9ddc5494ac13f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xe0f3612e65f36dce, 0xf4c2b93f3fb1726a, 0x4a5b3e04e32c970c,
  0x1a792bf734332c3a, 0x0000000032dfb764,
};

/*
 * m324a_u2x12_uart0_dual_pr_u4      m324p_u2x12_uart0_dual_pr         m324p_u2x12_uart0_dual_pr_u4
 * m324pa_u2x12_uart0_dual_pr        m324pa_u2x12_uart0_dual_pr_u4     m324pb_u2x12_uart0_dual_pr
 * m324pb_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_dual_pr[] = {
  0x7776fc60f4486e7c, 0x77770f9337adebf7, 0xa73338e3a75b7777, 0xac323bdddd697644, 0xb96cdb4f16a1f8d8,
  0x548b919827c6495b, 0x5a6fc0d88f64c8c1, 0x7419dd3e251850c8, 0x1c33814b9982fe65, 0xfe0ff74dea3ba5d8,
  0x95fe7ef822847244, 0x6e7fc006e1f0a218, 0x682f888655777bbe, 0xe80e784cf7c54219, 0x586f2bc84b6f52bf,
  0xba7c25dd7f8ea730, 0xbdaa3949fcda9f55, 0xa3e453be589a86d1, 0xe2f7c71d3f8310fe, 0x8ebf9cc580aa0f34,
  0xfecc11d78033b5ac, 0x1e59ed887486a807, 0xf157ceee2a4aa4e8, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x0dc79b09732f9b6e, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x49df5418773c95fb, 0x000000000000000a,
};

/*
 * m324a_u2x12_uart0_dual_pr_ee_u4   m324p_u2x12_uart0_dual_pr_ee      m324p_u2x12_uart0_dual_pr_ee_u4
 * m324pa_u2x12_uart0_dual_pr_ee     m324pa_u2x12_uart0_dual_pr_ee_u4  m324pb_u2x12_uart0_dual_pr_ee
 * m324pb_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_dual_pr_ee[] = {
  0xdddbf183d121a5fb, 0xbbb87d4dd17fafdd, 0x5e9f7f6b42dbbbbb, 0x865c6c8ee9912945, 0x1aeb87c55955f5a0,
  0x5cc13e3260ddca59, 0x1b11ec99182a90cf, 0xa7c4a30a190b4df8, 0xd3533fcfccae833b, 0xf9bd47ff9b00d070,
  0xbe08a11c913f83e9, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x99c9c54219681c34, 0x212dbd0fffd01cf0,
  0x37fe3a9cc161bcaf, 0x4fe6d4faadd3e12d, 0xb47224368ded51ca, 0x1829ea3cad7dcd56, 0x1df15d4af51f06cc,
  0x0b2c4522cd3ad08a, 0x3297152e6909afa3, 0x2ed10a3dece75697, 0x8f9eb1aad743af51, 0xcbe9662e1211408a,
  0xfeb151b047eb70de, 0xf8abe77715250084, 0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x86e3cd84b997cdb7, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x2b22680c3b9e4afd,
};

/*
 * m324a_u2x12_uart0_dual_pr_ce_u4   m324p_u2x12_uart0_dual_pr_ce      m324p_u2x12_uart0_dual_pr_ce_u4
 * m324pa_u2x12_uart0_dual_pr_ce     m324pa_u2x12_uart0_dual_pr_ce_u4  m324pb_u2x12_uart0_dual_pr_ce
 * m324pb_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_dual_pr_ce[] = {
  0xbbb7e307a2437089, 0x7770fd8fb17f5fbb, 0x116a3b5b73b77777, 0x57fdaddddb8302cb, 0xf27acaaefada0eb9,
  0xea74c13e32560dca, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe033736ed7e65741, 0x4ea6f51c2d6c0c7c,
  0x3f7c114239227f06, 0x980370f8510c4aff, 0x688655777bbe6e75, 0xe134068a8432d072, 0xaf212db8d6ffa039,
  0x2c09fe3a9cc161bc, 0xca4fe6d4faadd3e1, 0xb8bea804368ded51, 0xe24b1e79b680e3a5, 0xa8f84bf10d8488be,
  0xe678bb8dc149faff, 0xfd471bf3dcb19f52, 0x50507c8e3a7f0752, 0x19dad6475fce62c0, 0x435403ff6678ebc0,
  0x49549d03cb5b843a, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000d2479b661d,
};

// m324p_u2x12_uart0_dual_pr_ee_ce   m324pa_u2x12_uart0_dual_pr_ee_ce  m324pb_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m324a_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeedf8c1f5050cf68, 0xddc3fb6f66fd7eee, 0x44fcfbdb41dddddd, 0x682471dd6c5f6bbb, 0xeb336dd987c842eb,
  0x827c6494ab9347d4, 0x47b26460aa46f3e9, 0x128c28642d37e06c, 0x9a61bf32ba0cee9f, 0xa8e29361fae7035b,
  0x14239227f075bf37, 0x0f8510c4aff3f7c1, 0xaeef77cdc0000037, 0xd150865a115910ca, 0x6f6b7ff4073c2695,
  0x8ea730586f2bc84b, 0x6a7d56e9f0958fff, 0x4e1b46f6a8e527f3, 0xdb40706b1dff546e, 0x39dc6e654341ff3c,
  0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45, 0x0a3dece7576e3287,
  0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1, 0x37e06256bd93f8ab,
  0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x20013eb98773c95f,
};

/*
 * m324p_u2x12_uart0_dual_pr_ee_ce_u4 m324pa_u2x12_uart0_dual_pr_ee_ce_u4
 * m324pb_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b77bf5b, 0xb87da9b4f7afdddd, 0x00fd5f7af7bbbbbb, 0x0bdd39dd77ee30f9, 0x90173683395c469c,
  0x24eb5c99bd601382, 0x2305520f9f4c13e3, 0x432169bf03623d93, 0xccb41ca774f89461, 0xd83219c292a6672f,
  0x13f839869bd47eb3, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x5a063e88655777bb, 0xe80e784dd5f15086,
  0xb0de579096dcd6ff, 0xa7c25883ffc80a60, 0xdaa3949fcda9f55b, 0x37717d51a9e86d1b, 0x7dc4963cf36d2763,
  0xff51f097e21b0911, 0xe99e2ee373541e41, 0xa3cadfc94ed6e6e6, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315,
  0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec,
  0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x2aa49e4afdcd0ccb, 0x0000000004001b90,
};

// m324p_u2x12_uart0_dual_ee_hw      m324pa_u2x12_uart0_dual_ee_hw     m324pb_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m324a_u2x12_uart0_dual_ee_hw[] = {
  0xbbb7e307a2435032, 0x7770fa9ba2ff5fbb, 0xbd3efed685b77777, 0x0cb8d91dd322528a, 0xbdb47f7bb2abeb41,
  0x3d7304f8c983772a, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc34d4cff3f32ba0c, 0xa7e6f51ffe6c0341,
  0x7ef822847244fe0f, 0xa006e1f0a21895fe, 0xd10caaeef77cdc24, 0xc26727150865a070, 0xbc84b6f43fff4073,
  0x69bff51c530586f2, 0x527f36a7d56e9f09, 0xb5a39121b46f6a8e, 0x60c14f51e56bee6a, 0x50ef8aea57a8f836,
  0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a, 0xf65f4b3170908a04,
  0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0aed26828a792bf7,
};

// m324p_u2x12_uart0_dual_ee_ce_hw   m324pa_u2x12_uart0_dual_ee_ce_hw  m324pb_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m324a_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbb7e307d41435202, 0x770fedbd9bf5fbbb, 0x13f3ef6d07777777, 0xa091c775b17daeed, 0xb69be6be1f210bad,
  0x9827c6494ab9390e, 0xc47b26460aa46f3e, 0xf128c28642d37e06, 0xb9a61bf32ba0cee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xf51c530586f2bc84, 0x6d4faadd3e12b1ff, 0xc9c368ded51ca4fe, 0x9b680e0d63bfea8d, 0x139dc6e759b21fe7,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb37e06256bd93f8a,
  0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c,
  0x50c2a73f5361d8dc, 0x80f9a1e64ff0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x1d754faf453c95fb,
};

/*
 * m324p_u2x12_uart0_dual_ee_ce_u4_hw m324pa_u2x12_uart0_dual_ee_ce_u4_hw
 * m324pb_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xddbf183d1468bb90, 0xbb87da9b4f7afddd, 0x87c8077eafbbbbbb, 0x34e05ee9ceebbf71, 0x57eff5b9b419cae2,
  0x304f8c93ad723522, 0x88f64c8c15483e7d, 0xe251850c85a6fc0d, 0x999cbf32c4d69dd3, 0x51facf60c8670a4a,
  0x2847244fe0e61a6f, 0x1f0a21895fe7ef82, 0x5ddeef9b8b82006e, 0xc542196818fa2195, 0x735bffa039e13757,
  0x2a4982c3795e425b, 0x53eab74f84b107ff, 0xd0da37b547293f9b, 0xd607066ee2faa353, 0x61222fb892c79e57,
  0x24e6ffea3e12fc43, 0x5b9b9ba678bb8dc5, 0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422,
  0xeaedc650ea426be8, 0x75ea25da2147bd9c, 0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899,
  0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207,
  0xf36dce18edec5551, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0075d5754817d3c9,
};

/*
 * m324a_u2x12_uart1_noled_pr_ce_u4  m324p_u2x12_uart1_noled_pr_ce     m324p_u2x12_uart1_noled_pr_ce_u4
 * m324pa_u2x12_uart1_noled_pr_ce    m324pa_u2x12_uart1_noled_pr_ce_u4 m324pb_u2x12_uart1_noled_pr_ce
 * m324pb_u2x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfffb67cbacc13e32, 0x6d4faadd3e097cef, 0x924368ded51ca4fe, 0xf3c0254edfcb8beb, 0x5f886c2445f71258,
  0xee371fe620fd47c2, 0x93d3dcb19fac99e2, 0x7491c74fe0f59ea3, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d,
  0x38f81e5adc3eccf2, 0x39c9b6fc0c4eefd8, 0xe6f00fa8301dfbbf, 0x15d54e5e53633937, 0x8b4b0b9c6378ce88,
  0x5f36c490c76f62aa, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x01bae996b20d3c95,
};

// m324p_u2x12_uart1_noled_pr_ee_ce  m324pa_u2x12_uart1_noled_pr_ee_ce m324pb_u2x12_uart1_noled_pr_ee_ce
static const uint64_t ur_m324a_u2x12_uart1_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xb74f82435bfffed9, 0x37b547293f9b53ea, 0xbc0877fd51bf90da, 0xdceb3643fcf00953,
  0x53b5958f7cc273b8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8, 0x7d185962291669d6, 0xb39d5dba711d484d,
  0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2, 0x7ec2ce89534a8d82, 0xddf9ce4db7e06277,
  0xc9bf37807d4180ef, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b, 0x165abcb9357079b0,
  0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0xd9069e4afdcd0ccb,
  0x000000000009f9d3,
};

/*
 * m324p_u2x12_uart1_noled_pr_ee_ce_u4 m324pa_u2x12_uart1_noled_pr_ee_ce_u4
 * m324pb_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xf3e9b7304f8c9dd8, 0x55ba7c1219bffd85, 0xd1bdaa3949fcda9f, 0x1c383717d51c8786, 0x9117dc4963cf36d0,
  0xd493f51f097e21b0, 0xcdbdf33c5dc6e747, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00013f07e08c3b9e,
};

/*
 * m324a_u2x12_uart1_lednop_pr_ce_u4 m324p_u2x12_uart1_lednop_pr_ce    m324p_u2x12_uart1_lednop_pr_ce_u4
 * m324pa_u2x12_uart1_lednop_pr_ce   m324pa_u2x12_uart1_lednop_pr_ce_u4
 * m324pb_u2x12_uart1_lednop_pr_ce   m324pb_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfffb67d82cc13e32, 0x6d4faadd3e091c3f, 0x924368ded51ca4fe, 0xe7804a9dd4ab8beb, 0xbf10d8488bee24b1,
  0xb8dcadf801fa8f84, 0xd24f72c67eb2678b, 0x22c71d3f83d67a8f, 0x67a3486731602a62, 0x01ffb33c75e8f9d9,
  0x5681e5adc82cd22a, 0x9c9b6fc0c4eefd90, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x0b9069e4afdcd0cc, 0x00000000000dd7de,
};

/*
 * m324p_u2x12_uart1_lednop_pr_ee_ce m324pa_u2x12_uart1_lednop_pr_ee_ce
 * m324pb_u2x12_uart1_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xdd3e09757ffffdb3, 0xded51ca4fe6d4faa, 0xf7d9dff546fe4368, 0x72e4492bf3c0254e,
  0x4ed6563df309cee3, 0xd9835afea3cafba9, 0x1140a62bdbfea3e0, 0xf4616588a459a75a, 0x8e7576e3d4752135,
  0x363af3a6ed192326, 0x84504f237b56355e, 0x4c8e1bd96cb98b84, 0xfb0b31f667951b04, 0x81013936df8189dd,
  0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0x726ae0f3612e65f3,
  0x31e40fca1a2cb579, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000009f8bb320d3c,
};

/*
 * m324p_u2x12_uart1_lednop_pr_ee_ce_u4 m324pa_u2x12_uart1_lednop_pr_ee_ce_u4
 * m324pb_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x7cfbfc9827c64eef, 0xeab74f8241a3ff61, 0xda37b547293f9b53, 0x03896ae2faa390f0, 0x1222fb892c79e6da,
  0x9300fea3e12fc436, 0x736f7ccf1771b808, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647,
  0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0xf12da18773c95fb9, 0x0000000000000013,
};

// m324p_u2x12_uart1_dual            m324pa_u2x12_uart1_dual           m324pb_u2x12_uart1_dual
static const uint64_t ur_m324a_u2x12_uart1_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87c9986ef5f, 0x1313bc880ad6c5bb, 0x29d1c7777419d0bb, 0x217257ccfb4b13b2,
  0xc154867c9827c649, 0xc85a6fc0d88f64c8, 0xcac049dd3e251850, 0xb072670f9d3487fc, 0x44fe0dfc9bd4728b,
  0x1895fe7ef8228472, 0xbe6e05a006e1f0a2, 0x19683de88655777b, 0xffd01cf0986fc542, 0x60b0de579096de3d,
  0x56e9f04b4aff241a, 0x46f6a8e527f36a7d, 0xfa8e229df2d5fe1b, 0xb241bf1c74fe0d21, 0xe46f68e62c05fc39,
  0x71cb1823af22dd89, 0x55f3bb8a9295827f, 0x4db7e062777ec9fc, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8, 0x985727e7f62e4d5c, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000000065bf6ec83,
};

/*
 * m324a_u2x12_uart1_dual_pr_u4      m324p_u2x12_uart1_dual_pr         m324p_u2x12_uart1_dual_pr_u4
 * m324pa_u2x12_uart1_dual_pr        m324pa_u2x12_uart1_dual_pr_u4     m324pb_u2x12_uart1_dual_pr
 * m324pb_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_dual_pr[] = {
  0x7776fc60f4486e7c, 0x77770f9337adebf7, 0xa73338e3a75b7777, 0xac323bdddd697644, 0xb96cdb4f16a1f8d8,
  0x548b919827c6495b, 0x5a6fc0d88f64c8c1, 0x7419dd3e251850c8, 0x1c33814b9982fe65, 0xfe0ff74dea3ba5d8,
  0x95fe7ef822847244, 0x6e7fc006e1f0a218, 0x682f888655777bbe, 0xe80e784cf7c54219, 0x586f2bc84b6f52bf,
  0x74f825dd7f8ea730, 0x7b547293f9b53eab, 0x47c8a77cb1350da3, 0xc5ef8e3a7f0621fd, 0x1d7f398b01541e69,
  0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0, 0x726dbf0313bbf64f, 0x8a0c077eefcf0202,
  0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x3bea830ee792bf73, 0x0000000000000149,
};

/*
 * m324a_u2x12_uart1_dual_pr_ee_u4   m324p_u2x12_uart1_dual_pr_ee      m324p_u2x12_uart1_dual_pr_ee_u4
 * m324pa_u2x12_uart1_dual_pr_ee     m324pa_u2x12_uart1_dual_pr_ee_u4  m324pb_u2x12_uart1_dual_pr_ee
 * m324pb_u2x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_dual_pr_ee[] = {
  0xdddbf183d121a5fb, 0xbbb87d4dd17fafdd, 0x5e9f7f6b42dbbbbb, 0x865c6c8ee9912945, 0x1aeb87c55955f5a0,
  0x5cc13e3260ddca59, 0x1b11ec99182a90cf, 0xa7c4a30a190b4df8, 0xd3533fcfccae833b, 0xf9bd47ff9b00d070,
  0xbe08a11c913f83e9, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x99c9c54219681c34, 0x212dbd0fffd01cf0,
  0x37fe3a9cc161bcaf, 0x9fcda9f55ba7c12d, 0x68e4486d1bdaa394, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x644d018773c95fb9,
  0x0000000000000005,
};

/*
 * m324a_u2x12_uart1_dual_pr_ce_u4   m324p_u2x12_uart1_dual_pr_ce      m324p_u2x12_uart1_dual_pr_ce_u4
 * m324pa_u2x12_uart1_dual_pr_ce     m324pa_u2x12_uart1_dual_pr_ce_u4  m324pb_u2x12_uart1_dual_pr_ce
 * m324pb_u2x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_dual_pr_ce[] = {
  0xbbb7e307a2437089, 0x7770fd8fb17f5fbb, 0x116a3b5b73b77777, 0x57fdaddddb8302cb, 0xf27acaaefada0eb9,
  0xea74c13e32560dca, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe033736ed7e65741, 0x4ea6f51c2d6c0c7c,
  0x3f7c114239227f06, 0x980370f8510c4aff, 0x688655777bbe6e75, 0xe134068a8432d072, 0xaf212db8d6ffa039,
  0x2c09fe3a9cc161bc, 0x949fcda9f55ba7c1, 0x717d50086d1bdaa3, 0xc4963cf36d01c74b, 0x51f097e21b09117d,
  0xccf1771b8293f5ff, 0xfa8e37e7b9633ea5, 0xa0a0f91c74fe0ea5, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780,
  0x92a93a0796b70874, 0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804,
  0x5a6ae9c6378ce881, 0x7cdb73863b7b1554, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001a48f36cc3b9,
};

// m324p_u2x12_uart1_dual_pr_ee_ce   m324pa_u2x12_uart1_dual_pr_ee_ce  m324pb_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m324a_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeedf8c1f5050cf68, 0xddc3fb6f66fd7eee, 0x44fcfbdb41dddddd, 0x682471dd6c5f6bbb, 0xeb336dd987c842eb,
  0x827c6494ab9347d4, 0x47b26460aa46f3e9, 0x128c28642d37e06c, 0x9a61bf32ba0cee9f, 0xa8e29361fae7035b,
  0x14239227f075bf37, 0x0f8510c4aff3f7c1, 0xaeef77cdc0000037, 0xd150865a115910ca, 0x6f6b7ff4073c2695,
  0x8ea730586f2bc84b, 0xd4faadd3e0958fff, 0x9c368ded51ca4fe6, 0xb680e0d63bfea8dc, 0x73b8dcca8683fe79,
  0xb7f253b5959374c2, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e,
  0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0xdf8189ddfb27f157,
  0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0027d730ee792bf7, 0x0000000000000004,
};

/*
 * m324p_u2x12_uart1_dual_pr_ee_ce_u4 m324pa_u2x12_uart1_dual_pr_ee_ce_u4
 * m324pb_u2x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b77bf5b, 0xb87da9b4f7afdddd, 0x00fd5f7af7bbbbbb, 0x0bdd39dd77ee30f9, 0x90173683395c469c,
  0x24eb5c99bd601382, 0x2305520f9f4c13e3, 0x432169bf03623d93, 0xccb41ca774f89461, 0xd83219c292a6672f,
  0x13f839869bd47eb3, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x5a063e88655777bb, 0xe80e784dd5f15086,
  0xb0de579096dcd6ff, 0x4f825883ffc80a60, 0xb547293f9b53eab7, 0x6ee2faa353d0da37, 0xfb892c79e6da4ec6,
  0xfea3e12fc4361222, 0xd33c5dc6e6a83c83, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b,
  0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9,
  0x8abe77715252cc4f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2, 0xc6f19d103be54dea,
  0xc76f62aa8b4d5d38, 0x079b09732f9b6e70, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5493c95fb9a19961, 0x0000000080037205,
};

// m324p_u2x12_uart1_dual_ee_hw      m324pa_u2x12_uart1_dual_ee_hw     m324pb_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m324a_u2x12_uart1_dual_ee_hw[] = {
  0xbbb7e307a2435032, 0x7770fa9ba2ff5fbb, 0xbd3efed685b77777, 0x0cb8d91dd322528a, 0xbdb47f7bb2abeb41,
  0x3d7304f8c983772a, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc34d4cff3f32ba0c, 0xa7e6f51ffe6c0341,
  0x7ef822847244fe0f, 0xa006e1f0a21895fe, 0xd10caaeef77cdc24, 0xc26727150865a070, 0xbc84b6f43fff4073,
  0x69bff51c530586f2, 0xa4fe6d4faadd3e09, 0x6b47224368ded51c, 0xc1829ea3cad7dcd5, 0xa1df15d4af51f06c,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc6e3cd84b997cdb7, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x5da4d0514f257ee6, 0x0000000000000001,
};

// m324p_u2x12_uart1_dual_ee_ce_hw   m324pa_u2x12_uart1_dual_ee_ce_hw  m324pb_u2x12_uart1_dual_ee_ce_hw
static const uint64_t ur_m324a_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbb7e307d41435202, 0x770fedbd9bf5fbbb, 0x13f3ef6d07777777, 0xa091c775b17daeed, 0xb69be6be1f210bad,
  0x9827c6494ab9390e, 0xc47b26460aa46f3e, 0xf128c28642d37e06, 0xb9a61bf32ba0cee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xf51c530586f2bc84, 0xda9f55ba7c12b1ff, 0x9386d1bdaa3949fc, 0x36d01c1ac77fd51b, 0x273b8dceb3643fcf,
  0x2b7f253b5959374c, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x6df8189ddfb27f15,
  0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e,
  0x1854e7ea6c3b1b8f, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e, 0xaea9f5e8a792bf73,
  0x0000000000000003,
};

/*
 * m324p_u2x12_uart1_dual_ee_ce_u4_hw m324pa_u2x12_uart1_dual_ee_ce_u4_hw
 * m324pb_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_u2x12_uart1_dual_ee_ce_u4_hw[] = {
  0xddbf183d1468bb90, 0xbb87da9b4f7afddd, 0x87c8077eafbbbbbb, 0x34e05ee9ceebbf71, 0x57eff5b9b419cae2,
  0x304f8c93ad723522, 0x88f64c8c15483e7d, 0xe251850c85a6fc0d, 0x999cbf32c4d69dd3, 0x51facf60c8670a4a,
  0x2847244fe0e61a6f, 0x1f0a21895fe7ef82, 0x5ddeef9b8b82006e, 0xc542196818fa2195, 0x735bffa039e13757,
  0x2a4982c3795e425b, 0xa7d56e9f04b107ff, 0xa1b46f6a8e527f36, 0xac0e0cddc5f546a7, 0xc2445f71258f3caf,
  0x49cdffd47c25f886, 0xb737374cf1771b8a, 0x0d7cf51e56fe4a76, 0x0298ae037a8f8366, 0x85962291669d6845,
  0xd5db8ca1d484d7d1, 0xebd44bb4428f7b39, 0xa04547cf58d578d8, 0x386f65f4b3170908, 0x4b313fac546c1132,
  0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef,
  0x6db9c31dbd8aaa2d, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0ebaaea902fa792b,
};

/*
 * m324a_swio10_noled_pr_ce_u4       m324p_swio10_noled_pr_ce          m324p_swio10_noled_pr_ce_u4
 * m324pa_swio10_noled_pr_ce         m324pa_swio10_noled_pr_ce_u4      m324pb_swio10_noled_pr_ce
 * m324pb_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0xcc09ffff6cfdba98, 0x4a9de56b8beb220e, 0xd8488bee24b1e780, 0x951723fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1e0bf51f249e, 0xd6398b017ba05238, 0x6678ebd1f3b3de8e, 0xcb5bae1acf5403ff,
  0xb36bcb955aaad503, 0x3a8a9546bb3b0e7a, 0x15359caed52df567, 0x57950a4aa5f7afa2, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb20431dbd, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000006ebed7bc834,
};

// m324p_swio10_noled_pr_ee_ce       m324pa_swio10_noled_pr_ee_ce      m324pb_swio10_noled_pr_ee_ce
static const uint64_t ur_m324a_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xffffb67c344c13e3, 0xf3bfea8ce18ecb1f, 0x00dbbfcf00953bb1, 0xcac7be6139dc6e00,
  0x6807a8f2b74b29da, 0x14c5721fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbf70ea426be8c, 0xbce9bb6948e2139d,
  0x1314622d8d578d8e, 0xc37b2d973170908a, 0xb326abfaa3608991, 0xd873d59b5e5caad4, 0x6fab39d454aa35d9,
  0xbd7d10a9ace576a9, 0xb55a22bca852552f, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xc1e6c25ccbe6d902, 0x1f9434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0x9f83a2e41a792bf7,
};

// m324p_swio10_noled_pr_ee_ce_u4    m324pa_swio10_noled_pr_ee_ce_u4   m324pb_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m324a_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x20ffd85f3e87d304, 0x3105c5f5476e8766, 0x45f71258f3cdb407, 0x82fd47c25f886c24,
  0xdef99e2ee373a9cb, 0x3d4795ba594ed6e6, 0x2b90fea3e0d98340, 0x88a459a75a1140a6, 0xdfb8752135f46165,
  0x4ddb4a47109ceaed, 0xa3116c6abc6c75e7, 0xd96cb98b84845098, 0x355fd51b044c8e1b, 0x9eacdaf2e556a599,
  0x59cea2a551aecec3, 0xe8854d672bb54b7d, 0xd115e54292a97deb, 0xf0d3bcf8b5d73daa, 0x78ce881077536294,
  0x6f62aa8b4b689c63, 0x3612e65f36c810c7, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xa830ee792bf73433, 0x0000000000027e1e,
};

/*
 * m324a_swio10_lednop_pr_ce_u4      m324p_swio10_lednop_pr_ce         m324p_swio10_lednop_pr_ce_u4
 * m324pa_swio10_lednop_pr_ce        m324pa_swio10_lednop_pr_ce_u4     m324pb_swio10_lednop_pr_ce
 * m324pb_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x37dffffdb3f15a60, 0x2a776eae2fac883b, 0x61222fb892c79e01, 0x253397ea3e12fc43,
  0x9633f5933c5dc6e5, 0xa7f0782fd470527b, 0xf9cc580a1ed008e3, 0x678ebd1f3b7c88e0, 0x2d6edefa05403ff6,
  0xcdaf2e556b02b40f, 0xea2a551aecec39ea, 0x020272bb54b7d59c, 0x292ad5d2fe8854d7, 0x2b5d73daad115e54,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x75eeade41a792bf7, 0x0000000000000003,
};

// m324p_swio10_lednop_pr_ee_ce      m324pa_swio10_lednop_pr_ee_ce     m324pb_swio10_lednop_pr_ee_ce
static const uint64_t ur_m324a_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0x5ffff6cfcedcc13e, 0xb477fd519c31d9bb, 0xa3ea49f9e012a77b, 0xd6563df309cee373,
  0x83403d479597594e, 0x40a62b297ea3e0d9, 0x616588a459a75a11, 0xeaeddf38752135f4, 0xebce9bb04f46be1c,
  0x46488c6fd8d578d8, 0x386f65b2e62e1211, 0x2cee1acf546c1132, 0x761cf566d7972ab5, 0x5beace75152a8d76,
  0x442a6b8101395daa, 0x88af2a14956ae97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36cbb0c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x0000029a68bec834,
};

// m324p_swio10_lednop_pr_ee_ce_u4   m324pa_swio10_lednop_pr_ee_ce_u4  m324pb_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m324a_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x007fec2f9ffd7982, 0x9002e2faa3b743b2, 0x22fb892c79e6da03, 0xf5fea3e12fc43612,
  0xdef99e2ee3702c8c, 0x3d479597594ed6e6, 0x2b297ea3e0d98340, 0x88a459a75a1140a6, 0xdf38752135f46165,
  0x9bb04f46be1ceaed, 0x8c6fd8d578d8ebce, 0x65b2e62e12114648, 0x1acf546c1132386f, 0xf566d7972ab52cee,
  0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000027e04d630ee,
};

/*
 * m324a_swio10_dual_pr              m324a_swio10_dual_pr_u4           m324p_swio10_dual
 * m324p_swio10_dual_pr              m324p_swio10_dual_pr_u4           m324pa_swio10_dual
 * m324pa_swio10_dual_pr             m324pa_swio10_dual_pr_u4          m324pb_swio10_dual
 * m324pb_swio10_dual_pr             m324pb_swio10_dual_pr_u4
 */
static const uint64_t ur_m324a_swio10_dual[] = {
  0x83777776890d365a, 0xbf6dc3e5ed5f7af0, 0x4b56eac1fa66ec19, 0x054108f9da015627, 0x5ed267da29dba105,
  0x97a772c89ebdefd9, 0x23055239bf304f8c, 0x432169bf03623d93, 0xf995d06774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0xf77cdcadf006e1f0, 0x8432d08c910caaee, 0xbaffd01cf09ad68a,
  0x4e60b0de579096dc, 0xef961f07654aff1d, 0x71d3f83117d47910, 0x98b01541e6fdc654, 0x1d78033b4e28def3,
  0xdad783ea807fecc1, 0xbb8a92dfe181e59e, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x101395daa5beace7,
  0x4956ae97f442a6b8, 0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4,
  0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00a49a02b18773c9,
};

// m324p_swio10_dual_pr_ee           m324pa_swio10_dual_pr_ee          m324pb_swio10_dual_pr_ee
static const uint64_t ur_m324a_swio10_dual_pr_ee[] = {
  0xdd6eeeee87ad0c86, 0x5fb6e1ff1e9afebc, 0x70fb74eb00a47770, 0xdd2edeb201b9c58b, 0xbae255fc7cfd9ba0,
  0xcbbb1bb2fafcc5d9, 0x91649cc13e324c4d, 0x4df81b11ec99182a, 0x833ba7c4a30a190b, 0x68e016a631ffccae,
  0x838ad37a8e4eb609, 0x7f9fbe08a11c913f, 0x2a4401b87c288625, 0x5f688655777bbe6e, 0x39e1307b8a8432d0,
  0x795e425b74dbffa0, 0x3b287ffc753982c3, 0x1e57bee6ab5a328a, 0xdd7a8f83660ccaf5, 0x91669d68450ef8ae,
  0x973484d7d1859622, 0x3d28e75697286b8a, 0x55ae875ea25da3da, 0x5c242284011a6363, 0x608fd6e1bd97d2cc,
  0xee2a4a014656b2a3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x404e576a96fab39d, 0x255aba5fd10a9ae0,
  0x6bae7b55a22bca85, 0xa417296be74078e5, 0x414e31bc67440842, 0xd976455bd8aaa2d2, 0xa7c371e6c25ccbe6,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0x40861dcf257ee686, 0x0000000000000564,
};

// m324p_swio10_dual_pr_ee_u4        m324pa_swio10_dual_pr_ee_u4       m324pb_swio10_dual_pr_ee_u4
static const uint64_t ur_m324a_swio10_dual_pr_ee_u4[] = {
  0xd89dddddda2432db, 0xdbf6dc3fe3ec5fd7, 0x6a6beeb627642465, 0x24c8f91375a58939, 0x947ee7157f1f3f76,
  0x47ee47045580f8ce, 0xc1548b24e609f192, 0xc85a6fc0d88f64c8, 0x657419dd3e251850, 0xd80d63813a992d7e,
  0x44fe0f7dcdea3c56, 0x1895fe7ef8228472, 0x7cdc672006e1f0a2, 0x65a11ed10caaeef7, 0xffa039e134891508,
  0x82c3795e425b74db, 0x1bf83b287ffc7539, 0x27fa8f2b60b355ad, 0xf8ae43fa8f83660c, 0x962291669d68450e,
  0x6b84173484d7d185, 0xd38a39b8e7569772, 0xcac6ab5d0ebdac4e, 0x3e3170908a16ba38, 0x92ae3a4fadc37b2e,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0xae97f442a6b81013, 0x9ed5688af2a14956,
  0x8594d8b3a03cfd6b, 0xfc502169ab9d5ea5, 0x36d38c6f19d10363, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00001590b330ee79,
};

/*
 * m324a_swio10_dual_pr_ce_u4        m324p_swio10_dual_pr_ce           m324p_swio10_dual_pr_ce_u4
 * m324pa_swio10_dual_pr_ce          m324pa_swio10_dual_pr_ce_u4       m324pb_swio10_dual_pr_ce
 * m324pb_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_swio10_dual_pr_ce[] = {
  0xe647777776890c86, 0x9cfdb70fedbaaff5, 0x5b5dfba028a5471e, 0x93a9986e75bdfb4e, 0xe6285900962dd323,
  0xc968b72eec6ecb41, 0x6460aa43c03304f8, 0x28642d37e06c47b2, 0xff32ba0cee9f128c, 0xced8472381c19bab,
  0x7244fe0e574dea3e, 0xa21895fe7ef82284, 0xeef9b8d07006e1f0, 0x10cb403da21955dd, 0x7ffe80e784c13e2a,
  0xe60b0de579096dec, 0xbea63c760d6ff1d4, 0x4b1e79b680e1c1b8, 0xf84bf10d8488bee2, 0xe2ee373a3ea49fa8,
  0x8fd44f72c67d4b99, 0x57751c74fe0ee1fa, 0xb4e28def398b016a, 0xa807feccf1d78033, 0x7f860796b72d783e,
  0xad67f157ceee2a4b, 0x5d9d873d59b5e5ca, 0x6a96fab39d454aa3, 0x5fd10a9ae0404e57, 0x55a22bca85255aba,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb2ec31, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x028c3b9e4afdcd0c, 0x0000000000001a49,
};

// m324p_swio10_dual_pr_ee_ce        m324pa_swio10_dual_pr_ee_ce       m324pb_swio10_dual_pr_ee_ce
static const uint64_t ur_m324a_swio10_dual_pr_ee_ce[] = {
  0xd5f6eeeeeea1a5fb, 0xc9fb6e1ff17913eb, 0xdccdeef5d84369ce, 0xd60dc931c2c9b51f, 0xae3f3bbb1eb8d5f1,
  0x729646baa8c4ab2f, 0x48f3d7304f8c989d, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xf870c41335dfe657,
  0xc1ffc9bd47d35b07, 0xbfcfdf04508e489f, 0x3b7600dc3e144312, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b7ec1ffa0, 0x3b2d6ffc753982c3, 0x4072d6ceffaa3c08, 0xb8dc300dd0ff3cdb, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x0272bb54b7d59cea, 0x2ad5d2fe8854d702, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0x9c371e6c25ccbe6d, 0xbab337f07771a2c7, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x4c134e18773c95fb,
};

// m324p_swio10_dual_pr_ee_ce_u4     m324pa_swio10_dual_pr_ee_ce_u4    m324pb_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m324a_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76421f, 0x6dc3e36faf7ebd9f, 0x64db9dbf7f695f3f, 0xbf1fefae8423c3d9, 0x0c809167d1a90558,
  0x1aea1012f2757bf7, 0xf8c9765722fac16d, 0xc99182a917b3d304, 0x30a190b4df81b11e, 0xd7e65a0e53ba7c4a,
  0x376c3b04e1787372, 0xe489fc1b5dcdea3e, 0x44312bfcfdf04508, 0xbbe6e446200dc3e1, 0x432d08e488655777,
  0x1ffa039e136fb8a8, 0x982c3795e425b7b9, 0x8ce08ec35bfff202, 0xe79b693b35bb8bea, 0xbf10d8488bee24b1,
  0x1b9118a71ffa8f84, 0x4a76b737374cf177, 0x06cc1f75ea3caf2b, 0xd08a05315caef51f, 0xafa30b2c4522cd3a,
  0x28e7576e2863a909, 0xc6c75ea25da3da3d, 0x4845080234c6c6ab, 0x8991c37b2fa598b8, 0x2a4a59c656b2a360,
  0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0x4e576a96fab39d45, 0x5aba5fd10a9ae040, 0xae7b55a22bca8525,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0xec31dbd8aaa2d241, 0xab83cd84b997cdb2, 0xf07edd8d1637c5c9,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xa2aa49e4afdcd0cc, 0x0000000000800de4,
};

// m324p_swio10_dual_ee_hw           m324pa_swio10_dual_ee_hw          m324pb_swio10_dual_ee_hw
static const uint64_t ur_m324a_swio10_dual_ee_hw[] = {
  0x375bbbbbb4486f97, 0x17edb87fc7a6bfaf, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0x6eb8957f1f3f66e8,
  0xc4dc9e08ceb54eb6, 0x82a91649cc13e324, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0x60968e016a631ffc,
  0x13f838ad37a8e4eb, 0x6257f9fbe08a11c9, 0xe6e2a4401b87c288, 0x2d05f688655777bb, 0xfa039e1307b8a843,
  0x2c3795e425b74dbf, 0x5147650fffa8e298, 0x5ea3caf7dcd56b46, 0x15dbaf51f06cc199, 0xc4522cd3ad08a1df,
  0x7152e6909afa30b2, 0x7b47a51cead2e50d, 0x6c6ab5d0ebd44bb4, 0x598b84845080234c, 0x546c11fadc37b2fa,
  0xf9ddc5494028cad6, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7, 0x5c0809caed52df56, 0x50a4ab574bfa2153,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb2ec8ab7b1554, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00000576902514f2,
};

// m324p_swio10_dual_ee_ce_hw        m324pa_swio10_dual_ee_ce_hw       m324pb_swio10_dual_ee_ce_hw
static const uint64_t ur_m324a_swio10_dual_ee_ce_hw[] = {
  0xabeddddddd435032, 0x93f6dc3fe2f227d7, 0xb99bddebb086d39d, 0xac1b926385936a3f, 0x5c7e77763d71abe3,
  0x3ae557b68fef765f, 0x2a91e7ae609f1931, 0x0b4df81b11ec9918, 0xae833ba7c4a30a19, 0x0ff0e188266bbfcc,
  0x3f83ff937a8fa6b6, 0x257f9fbe08a11c91, 0xdc76ec01b87c2886, 0xa0c1510caaeef77c, 0x4073c2690f150865,
  0x86f2bc84b6fd83ff, 0x20ecb5bff51c5305, 0x6d01cb5b3bfea8f0, 0xe771b8ce5d1ffcf3, 0xf2b4a76b2b26e984,
  0x51f06cc1f75ea3ca, 0xd3ad08a05315caef, 0x909afa30b2c4522c, 0xa3d28e7576e2863a, 0x6abc6c75ea25da3d,
  0x8b84845080234c6c, 0x3608991c37b2fa59, 0xeee2a4a59c656b2a, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x0404e576a96fab39, 0x5255aba5fd10a9ae, 0x56bae7b55a22bca8, 0x2a417296be74078e, 0x2414e31bc6744084,
  0xdb2ec31dbd8aaa2d, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x044d3d39453c95fb,
};

// m324p_swio10_dual_ee_ce_u4_hw     m324pa_swio10_dual_ee_ce_u4_hw    m324pb_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m324a_swio10_dual_ee_ce_u4_hw[] = {
  0xedddddda28d1bf5b, 0xedb87c6df5efd7b3, 0x87bb73b7efed2be7, 0xab17e3fdf5d08747, 0x7ee190122cfa3520,
  0x6f58076405de4eaf, 0xb3d304f8c9765726, 0x81b11ec99182a917, 0xba7c4a30a190b4df, 0x787372d7e6589ad3,
  0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x655777bbe6e44620, 0x6fb8a8432d08e488,
  0x25b7b91ffa039e13, 0xfff2a4982c3795e4, 0xddc5f546704761ad, 0x71258f3cafac0e1a, 0xd47c25f886c2445f,
  0x33c5dc6e2e0b87ff, 0xf2bcad29dadcdcdd, 0xbbd47c1b307dd7a8, 0x8b34eb422814c572, 0x8ea426be8c2cb114,
  0x8f68f4a39d5db8a1, 0x1b1aaf1b1d7a8976, 0x9662e121142008d3, 0xca8d8226470decbe, 0x5f3bb8a92967195a,
  0xf566d7972ab59fc5, 0xce75152a8d76761c, 0x6b8101395daa5bea, 0x2a14956ae97f442a, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000ebadab3617d3c,
};

/*
 * m324a_swio11_noled_pr_ce_u4       m324a_swio12_noled_pr_ce          m324a_swio12_noled_pr_ce_u4
 * m324p_swio11_noled_pr_ce          m324p_swio11_noled_pr_ce_u4       m324p_swio12_noled_pr_ce
 * m324p_swio12_noled_pr_ce_u4       m324pa_swio11_noled_pr_ce         m324pa_swio11_noled_pr_ce_u4
 * m324pa_swio12_noled_pr_ce         m324pa_swio12_noled_pr_ce_u4      m324pb_swio11_noled_pr_ce
 * m324pb_swio11_noled_pr_ce_u4      m324pb_swio12_noled_pr_ce         m324pb_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x2b7fffdb3fa6e609, 0xa772bae2faf743b3, 0x1222fb892c79e012, 0x1d257ea3e12fc436,
  0x633f5933c5dc6e32, 0x7f06b3fd475f27b9, 0x398b0176fcbe8e3a, 0x78ebd1f3b2628c45, 0xd6eb589e5403ff66,
  0xdaf2e556a844c0f2, 0xa2a551aecec39eac, 0xd672bb54b7d5d9ce, 0x950a4ad8debe8854, 0xf3e2d75cf6ab4457,
  0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x32f9b6c2131dbd8a, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x000dd779b79069e4,
};

/*
 * m324a_swio12_noled_pr_ee_ce       m324p_swio11_noled_pr_ee_ce       m324p_swio12_noled_pr_ee_ce
 * m324pa_swio11_noled_pr_ee_ce      m324pa_swio12_noled_pr_ee_ce      m324pb_swio11_noled_pr_ee_ce
 * m324pb_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_m324a_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0xffdb3e9b7304f8c9, 0xdff5465d4760cdff, 0xe8ffe7804a9d8cd9, 0x58f7cc273b8dc672,
  0x4af51e5721e53b59, 0x98ace1fa8f83660f, 0x962291669d684502, 0xb73931d484d7d185, 0x9d3763d51fc873ab,
  0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238, 0x873d59b5e5caad4b, 0xabb39d454aa35d9d,
  0x7d10a9ace576a96f, 0x5688af2a1495b1bd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x834f257ee6866587,
  0x00000000a69a7d7c,
};

/*
 * m324a_swio12_noled_pr_ee_ce_u4    m324p_swio11_noled_pr_ee_ce_u4    m324p_swio12_noled_pr_ee_ce_u4
 * m324pa_swio11_noled_pr_ee_ce_u4   m324pa_swio12_noled_pr_ee_ce_u4   m324pb_swio11_noled_pr_ee_ce_u4
 * m324pb_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xfffb0be7c524c13e, 0xbf717d51e9b1d95b, 0xfb892c79e6da0395, 0x7ea3e12fc4361222,
  0xf99e2ee371dbb0b2, 0x4795c8794ed6e6de, 0x387ea3e0d983d2bd, 0xa459a75a1140a62b, 0x4c752135f4616588,
  0xd8f547f21ceaedce, 0xdeec6abc6c75e74d, 0x6cb98b84845110a3, 0xe7951b044c8e1bd9, 0x566d7972ab52cfa0,
  0xe75152a8d76761cf, 0x2a6b395daa5beaec, 0x2bca85256c6f5f44, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc3b9e4afdcd0ccb0, 0x0000000009f86e40,
};

/*
 * m324a_swio11_lednop_pr_ce_u4      m324a_swio12_lednop_pr_ce         m324a_swio12_lednop_pr_ce_u4
 * m324p_swio11_lednop_pr_ce         m324p_swio11_lednop_pr_ce_u4      m324p_swio12_lednop_pr_ce
 * m324p_swio12_lednop_pr_ce_u4      m324pa_swio11_lednop_pr_ce        m324pa_swio11_lednop_pr_ce_u4
 * m324pa_swio12_lednop_pr_ce        m324pa_swio12_lednop_pr_ce_u4     m324pb_swio11_lednop_pr_ce
 * m324pb_swio11_lednop_pr_ce_u4     m324pb_swio12_lednop_pr_ce        m324pb_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xbaffffb67e394c13, 0x4ef4ddc5f5ee8765, 0x2445f71258f3c025, 0xaca8fd47c25f886c,
  0xc67eb2678bb8dc24, 0xfc1acff51e5f4f72, 0x731602c7bd2a38e9, 0xe3af47ced92231be, 0xb741fe91500ffd99,
  0xd7972ab5976a0796, 0x152a8d76761cf566, 0x1395daa5beaece75, 0xae5e97f442a6b810, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xd5959069e4afdcd0, 0x00000000000006eb,
};

/*
 * m324a_swio12_lednop_pr_ee_ce      m324p_swio11_lednop_pr_ee_ce      m324p_swio12_lednop_pr_ee_ce
 * m324pa_swio11_lednop_pr_ee_ce     m324pa_swio12_lednop_pr_ee_ce     m324pb_swio11_lednop_pr_ee_ce
 * m324pb_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_m324a_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xfffb67dfe4c13e32, 0x1dff5465d476068f, 0x38227f3c0254ec34, 0x958f7cc273b8dc68,
  0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450, 0xbb73a51d484d7d18, 0x79d3769111cdc73a,
  0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0xd873d59b5e5caad4, 0xfabb39d454aa35d9,
  0x0a9ae0404e576a96, 0x15e54292b97a5fd1, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x5ccbe6db1898edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x0000a69d8ff9069e,
};

/*
 * m324a_swio12_lednop_pr_ee_ce_u4   m324p_swio11_lednop_pr_ee_ce_u4   m324p_swio12_lednop_pr_ee_ce_u4
 * m324pa_swio11_lednop_pr_ee_ce_u4  m324pa_swio12_lednop_pr_ee_ce_u4  m324pb_swio11_lednop_pr_ee_ce_u4
 * m324pb_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0x7fec2f9fec19827c, 0xf5c5f547a6c7621f, 0xee24b1e79b680e21, 0xfa8f84bf10d8488b,
  0xccf1771b9c3fc7dd, 0x3caca5ca76b736f7, 0x43f51f06cc1e95ea, 0x22cd3ad08a053159, 0xa3a909afa30b2c45,
  0xd22239b8e7576e74, 0x656355e363af3a6e, 0x65cc5c242285f11c, 0x3ca8d8226470decb, 0xb36bcb955a9676b1,
  0x3a8a9546bb3b0e7a, 0x0809caed52df5767, 0x52572f4bfa21535c, 0x56bae7b55a22bca8, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0009f99694c3b9e4,
};

/*
 * m324a_swio11_dual_pr              m324a_swio11_dual_pr_u4           m324a_swio12_dual
 * m324a_swio12_dual_pr              m324a_swio12_dual_pr_u4           m324p_swio11_dual
 * m324p_swio11_dual_pr              m324p_swio11_dual_pr_u4           m324p_swio12_dual
 * m324p_swio12_dual_pr              m324p_swio12_dual_pr_u4           m324pa_swio11_dual
 * m324pa_swio11_dual_pr             m324pa_swio11_dual_pr_u4          m324pa_swio12_dual
 * m324pa_swio12_dual_pr             m324pa_swio12_dual_pr_u4          m324pb_swio11_dual
 * m324pb_swio11_dual_pr             m324pb_swio11_dual_pr_u4          m324pb_swio12_dual
 * m324pb_swio12_dual_pr             m324pb_swio12_dual_pr_u4
 */
static const uint64_t ur_m324a_swio11_dual[] = {
  0xa0bbbbbb4486ff3e, 0xb6e1f2f738bd7d45, 0xab77a71893760cdf, 0xa086947b362817b1, 0xce76ca295bb51682,
  0xa77269e2bd8ebd5e, 0x05520c03304f8c97, 0x2169bf03623d9323, 0x95d06774f8946143, 0x60bece05166727f9,
  0x44fe0cca9bd477f3, 0x1895fe7ef8228472, 0x7cdc6bb006e1f0a2, 0x32d08c910caaeef7, 0xffd01cf09ad68a84,
  0x60b0de579096dca5, 0x2cb5c76145ff1d4e, 0xa7f07bdfa8fdd1df, 0xc0550799c987b8e3, 0xe00cec80234c4e62,
  0xbc6faa01ffb30475, 0x8a92be7503cb3db7, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x395daa5beaece751,
  0xe5e97f442a6b8101, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482,
  0x86e3cd84b997cdb6, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x926b5a8c3b9e4afd, 0x0000000000000002,
};

/*
 * m324a_swio12_dual_pr_ee           m324p_swio11_dual_pr_ee           m324p_swio12_dual_pr_ee
 * m324pa_swio11_dual_pr_ee          m324pa_swio12_dual_pr_ee          m324pb_swio11_dual_pr_ee
 * m324pb_swio12_dual_pr_ee
 */
static const uint64_t ur_m324a_swio11_dual_pr_ee[] = {
  0x376eeeeea0a1a5fb, 0x6dc3fe3fbbf5e538, 0xf6eabe6c48eee0bf, 0x76d3913eabfaef41, 0xfdfbe3e7eca706e9,
  0x646bacda15664cae, 0x71f304f8c9313729, 0xe06c47b26460aa47, 0xee9f128c28642d37, 0x805a98c7ff32ba0c,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x02d7f8ea730586f2, 0x576ea6ab5a3fdc3b, 0xf51f06cc187bf51e, 0xcd3ad08a1df15e9b,
  0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab, 0x1fadc37b2fa598b8,
  0xa9280591445546c1, 0x972ab59fc55f3bb8, 0x2a8d76761cf566d7, 0x95daa5beaece7515, 0x5e97f442a6b81013,
  0xcf6ab4457950a4ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0x6e3cd84b997cdb63,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002b23d6cc3b9e,
};

/*
 * m324a_swio12_dual_pr_ee_u4        m324p_swio11_dual_pr_ee_u4        m324p_swio12_dual_pr_ee_u4
 * m324pa_swio11_dual_pr_ee_u4       m324pa_swio12_dual_pr_ee_u4       m324pb_swio11_dual_pr_ee_u4
 * m324pb_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m324a_swio11_dual_pr_ee_u4[] = {
  0xb323bbbbb4486f97, 0xf6dc3fe3f3efd7c0, 0xddeea0a7ac2465db, 0x647c894edebb087b, 0x06abf7ef8f9fb816,
  0xee4f04674e16a748, 0x548ee3e609f19247, 0x5a6fc0d88f64c8c1, 0x7419dd3e251850c8, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x030ec0b5fe3a9cc1, 0x3d4795a9e9aad68e, 0x2b387ea3e0d98391, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0x008c1439d5a5d2b2, 0xb1aad743af6b13b2, 0x8c5c242287bd1e45, 0x57170feb70decb8f,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0xbfa21535c0809cae, 0x55a22bca852572f4,
  0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0xa718de33a20517d1, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0159021661dcf257,
};

/*
 * m324a_swio12_dual_pr_ce           m324p_swio11_dual_pr_ce           m324p_swio12_dual_pr_ce
 * m324pa_swio11_dual_pr_ce          m324pa_swio12_dual_pr_ce          m324pb_swio11_dual_pr_ce
 * m324pb_swio12_dual_pr_ce
 */
static const uint64_t ur_m324a_swio11_dual_pr_ce[] = {
  0x4eddddd0f5a1a5fb, 0x6e1fdb6a3febec4e, 0xf75b13b28e3d39fb, 0x666eab43ae10f766, 0x5d13faef76c4e4ea,
  0xb94b235d7224ab13, 0x520ebe9827c64b45, 0x69bf03623d932305, 0xd06774f894614321, 0x391c0e0cdd5ff995,
  0xf072ba6f51f676c2, 0xaff3f7c114239227, 0xe29200370f8510c4, 0x00f688655777bbe6, 0x039e1304f8a8432d,
  0x3795e425b719bffa, 0xc1d8707fc753982c, 0xf36d01c275717d5f, 0xe21b09117dc4963c, 0x3729299cbf51f097,
  0xcf72c67d4b99e2ee, 0x1c74fe0ed6f51c27, 0x1a62731602945dbf, 0xfd99e3af00676401, 0x0796b73de37d500f,
  0xf8abe77715257cea, 0xc39eacdaf2e556b3, 0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x0069263130ee792b,
};

/*
 * m324a_swio12_dual_pr_ce_u4        m324p_swio11_dual_pr_ce_u4        m324p_swio12_dual_pr_ce_u4
 * m324pa_swio11_dual_pr_ce_u4       m324pa_swio12_dual_pr_ce_u4       m324pb_swio11_dual_pr_ce_u4
 * m324pb_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m324a_swio11_dual_pr_ce_u4[] = {
  0xe0deeeeed121a5fb, 0xdb70fedba2ff5e8c, 0x2dbaec999f91312f, 0x91f32255e9f7f6b4, 0x955f5a087ba8ce0d,
  0xebdca591aeb87c55, 0x82a90cf5cc13e325, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0xb0df670d373456fc,
  0x89fc19439bd47cad, 0x312bfcfdf04508e4, 0xf9b849400dc3e144, 0xcb4027a21955ddee, 0xff4073c269c62a10,
  0x0586f2bc84b6f43f, 0x5dbe3b34dff8ea73, 0x8f3cdb4073675c5f, 0x25f886c2445f7125, 0xbb8dca4a672fd47c,
  0xce33dcb19e1c6678, 0x3d638e9fc193dea3, 0x5f11c6473160298f, 0x5dc72c678ebc8b76, 0xf8abe77715251d64,
  0xc39eacdaf2e556b3, 0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a,
  0x00000001a489a030,
};

/*
 * m324a_swio12_dual_pr_ee_ce        m324p_swio11_dual_pr_ee_ce        m324p_swio12_dual_pr_ee_ce
 * m324pa_swio11_dual_pr_ee_ce       m324pa_swio12_dual_pr_ee_ce       m324pb_swio11_dual_pr_ee_ce
 * m324pb_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m324a_swio11_dual_pr_ee_ce[] = {
  0x711d6dddddd432db, 0x9fb6e1ff16d3debe, 0xfabeea7d96a69cec, 0x60dc73bdc61f201d, 0x0ce571b1eb8e711d,
  0x23822ac1e199d4da, 0x83e7d304f8c989d7, 0x6fc0d88f64c8c154, 0x19dd3e251850c85a, 0x870c41335dfe6574,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0x70400dc3e144312b, 0x054432abbbddf371, 0xcf09a43c54219683,
  0xcaf212db9adffd01, 0xecc41fe3a9cc161b, 0x80e6203bfea8f2b0, 0x71b8a91eeb7e79b6, 0x74a76b2b26e984e7,
  0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7, 0x7a9ceaedcc147521, 0x78d8ebd44bb18f46,
  0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d,
  0x395daa5beaece751, 0xe5e97f442a6b8101, 0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x6263b7b15545a482, 0x0dc79b09732f9b6c, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c,
  0x2749c61dcf257ee6, 0x0000000000000098,
};

/*
 * m324a_swio12_dual_pr_ee_ce_u4     m324p_swio11_dual_pr_ee_ce_u4     m324p_swio12_dual_pr_ee_ce_u4
 * m324pa_swio11_dual_pr_ee_ce_u4    m324pa_swio12_dual_pr_ee_ce_u4    m324pb_swio11_dual_pr_ee_ce_u4
 * m324pb_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m324a_swio11_dual_pr_ee_ce_u4[] = {
  0x56eeeed15b76f2df, 0xe1f1b657bf5e58a3, 0xdaaf1d7fb4af9fb6, 0xe66e6d09b964d382, 0xc80912c51a90567d,
  0x5673cbb90d717682, 0x192ecae558042021, 0x323055235c16609f, 0x1432169bf03623d9, 0xfccb41ca774f8946,
  0xed87609c2f0e6e5a, 0x913f836bb9bd47c6, 0x86257f9fbe08a11c, 0xbe6e0aa001b87c28, 0x32d08e488655777b,
  0xffa039e136fb8a84, 0x82c3795e425b7a4a, 0xc9d0ecbc3fff2029, 0x79b693bbc3b8bea8, 0xf10d8488bee24b1e,
  0xdc1545927fa8f84b, 0x53b5b9b9ba678bb8, 0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad,
  0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d, 0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608,
  0xb955acfe2af9ddc5, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0xf4bfa21535c0809c, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x83cd84b997cdb631, 0x7edd8d1637c5c9ab,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xaa49e4afdcd0ccb0, 0x00000000800106a2,
};

/*
 * m324a_swio12_dual_ee_hw           m324p_swio11_dual_ee_hw           m324p_swio12_dual_ee_hw
 * m324pa_swio11_dual_ee_hw          m324pa_swio12_dual_ee_hw          m324pb_swio11_dual_ee_hw
 * m324pb_swio12_dual_ee_hw
 */
static const uint64_t ur_m324a_swio11_dual_ee_hw[] = {
  0xc1bb77776890cf68, 0xfb6e1ff1fddfaf29, 0x0fb755f362477705, 0x4bb69c89f55fd77a, 0x77efdf1f3f653837,
  0xb9347d4eb5bb3265, 0x523b8f9827c64989, 0x69bf03623d932305, 0xd06774f894614321, 0x2d1c02d4c63ff995,
  0xf0715a6f51c9d6c1, 0xaff3f7c114239227, 0xcba180370f8510c4, 0x0bed10caaeef77cd, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0xc3b02d7fa8e2982c, 0x51e576ea6ab5a3fd, 0xe9bf51f06cc187bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x467a9cead2ec1571, 0x6ab5d0ebd44bb18f, 0x8b848451a523886c, 0x6c11fadc37b2fa59,
  0xbb8a928059144554, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x01395daa5beaece7, 0x4ae5e97f442a6b81,
  0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da7add14f257e,
};

/*
 * m324a_swio12_dual_ee_ce_hw        m324p_swio11_dual_ee_ce_hw        m324p_swio12_dual_ee_ce_hw
 * m324pa_swio11_dual_ee_ce_hw       m324pa_swio12_dual_ee_ce_hw       m324pb_swio11_dual_ee_ce_hw
 * m324pb_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m324a_swio11_dual_ee_ce_hw[] = {
  0x11d6dddddd43573e, 0xfb6e1ff16d3debe7, 0xabeea7d96a69cec9, 0x0dc73bdc61f201df, 0xce571b1eb8e711d6,
  0xe4b8beecdd654da0, 0x907cfa609f19313a, 0x4df81b11ec99182a, 0x833ba7c4a30a190b, 0xf0e188266bbfccae,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x2e0801b87c288625, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b735bffa0, 0x3b3107fa8e2982c3, 0xa039880effaa3cac, 0xee3732a1a0ff9e6d, 0xae94ed6564dd309c,
  0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34, 0xcf539d5db9828ea4, 0xaf1b1d7a897631e8,
  0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0x8c4c76f62aa8b490, 0x61b8f3612e65f36d, 0x592e19e985727e7f, 0x66587494b67c09c6, 0xa7d27514f257ee68,
  0x0000000000000089,
};

/*
 * m324a_swio12_dual_ee_ce_u4_hw     m324p_swio11_dual_ee_ce_u4_hw     m324p_swio12_dual_ee_ce_u4_hw
 * m324pa_swio11_dual_ee_ce_u4_hw    m324pa_swio12_dual_ee_ce_u4_hw    m324pb_swio11_dual_ee_ce_u4_hw
 * m324pb_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m324a_swio11_dual_ee_ce_u4_hw[] = {
  0x356eeeed14682906, 0x6e1f1b657bf5e58a, 0xddaaf1d7fb4af9fb, 0x67de66e6d09bd964, 0x682c80912c51a905,
  0xf202f6918b90d717, 0x059827c64bb2b915, 0x0d88f64c8c1548d7, 0xd3e251850c85a6fc, 0xc39b96bf32c4d69d,
  0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x955ddeef9b82a800, 0xbee2a10cb4239221,
  0x96de92bfe80e784d, 0xffca9260b0de5790, 0x7717d5193a1d9787, 0xc4963cf2beb03978, 0x51f097e21b09117d,
  0xcf1771b816467aff, 0xcae574a76b737374, 0x7ea3e0d983dbfea3, 0x59a75a1140a62bdf, 0x752135f4616588a4,
  0x8f467a9ceaedcc14, 0xd8d578d8ebd44bb1, 0xb3170908a34a4710, 0x546c1132386f65f4, 0xf3bb8a9296791445,
  0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x8101395daa5beaec, 0x0a4ae5e97f442a6b, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x03aeb38be0be9e4a,
};

/*
 * m324a_swio13_noled_pr_ce_u4       m324p_swio13_noled_pr_ce          m324p_swio13_noled_pr_ce_u4
 * m324pa_swio13_noled_pr_ce         m324pa_swio13_noled_pr_ce_u4      m324pb_swio13_noled_pr_ce
 * m324pb_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x2577fffdb3fb3a60, 0x54ef7ddc5f5dbe3b, 0xc2445f71258f3c02, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0xb36bcb955abeb703, 0x3a8a9546bb3b0e7a, 0x672bb54b7d54df67, 0x85255abdebe8854d, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x00dd78faf9069e4a,
};

// m324p_swio13_noled_pr_ee_ce       m324pa_swio13_noled_pr_ee_ce      m324pb_swio13_noled_pr_ee_ce
static const uint64_t ur_m324a_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0x7fffdb3fa6a609f1, 0xf0effaa32963b3fe, 0x2a1a0ff9e012a77f, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x9d873d59b5e5caad, 0xaa6fb39d454aa35d,
  0xf442a6b395daa5be, 0xd115e54292ad5ef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x0d3c95fb9a19961d,
  0x00000000a699cfb2,
};

// m324p_swio13_noled_pr_ee_ce_u4    m324pa_swio13_noled_pr_ee_ce_u4   m324pb_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m324a_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0x77ffb0be7f1ba609, 0xd77717d51ece1d8d, 0x2fb892c79e6da038, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0xd59b5e5caad4b3e9,
  0x39d454aa35d9d873, 0x6b395daa5beaa6fb, 0x54292ad5ef5f442a, 0xcf8b5d73daad115e, 0x81077536294f0d3b,
  0xa8b4b689c6378ce8, 0x997cdb190c76f62a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9, 0x00000009f9f678c3,
};

/*
 * m324a_swio13_lednop_pr_ce_u4      m324p_swio13_lednop_pr_ce         m324p_swio13_lednop_pr_ce_u4
 * m324pa_swio13_lednop_pr_ce        m324pa_swio13_lednop_pr_ce_u4     m324pb_swio13_lednop_pr_ce
 * m324pb_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0xb34dffffdb3e35a6, 0x254ef675c5f5dbe3, 0x6c2445f71258f3c0, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0xb36bcb955adc3903, 0x3a8a9546bb3b0e7a, 0x272bb54b7d54df67, 0xae492fe8854d7020, 0x75cf6ab4457950a4,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xa45f9069e4afdcd0, 0x00000000000006eb,
};

// m324p_swio13_lednop_pr_ee_ce      m324pa_swio13_lednop_pr_ee_ce     m324pb_swio13_lednop_pr_ee_ce
static const uint64_t ur_m324a_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xffffdb3f6b7304f8, 0xd9dff54652c7626d, 0x24e6ffe7804a9da6, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb,
  0x4d7020272bb54b7d, 0x7950a4ae492fe885, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x32f9b681463b7b15, 0x458f38b93571b097, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x0029a62fde41a792,
};

// m324p_swio13_lednop_pr_ee_ce_u4   m324pa_swio13_lednop_pr_ee_ce_u4  m324pb_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m324a_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x93ff617cf9adcc13, 0x149717d51ece1d82, 0x17dc4963cf36d01c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xeacdaf2e556a5988,
  0x9cea2a551aecec39, 0x809caed52df5537d, 0x92b924bfa21535c0, 0xb5d73daad115e542, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eae61dcf25,
};

/*
 * m324a_swio13_dual_pr              m324a_swio13_dual_pr_u4           m324p_swio13_dual
 * m324p_swio13_dual_pr              m324p_swio13_dual_pr_u4           m324pa_swio13_dual
 * m324pa_swio13_dual_pr             m324pa_swio13_dual_pr_u4          m324pb_swio13_dual
 * m324pb_swio13_dual_pr             m324pb_swio13_dual_pr_u4
 */
static const uint64_t ur_m324a_swio13_dual[] = {
  0x23bbbbbb4486dd9e, 0xbf6dc3e5efed7afb, 0x59f6ecbba666ec19, 0x05411719d6414ccf, 0xc5a72498ecb76c8d,
  0x97a7721f957ba2f5, 0x2305521523304f8c, 0x432169bf03623d93, 0xf995d06774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0x7bbe6e400006e1f0, 0x4219684648865577, 0x50ffe80e784d6b45,
  0xa730586f2bc84b6e, 0x77cb3de3b3f77f8e, 0xe3a7f0707fd47dbe, 0x62c05507992b47b8, 0x75e00ceda523884e,
  0xda63192a01ffb304, 0xeee2a4b81281e59e, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x395daa5beaa6fb39,
  0x72497f442a6b8101, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241,
  0xc371e6c25ccbe6da, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x49341c661dcf257e, 0x0000000000000001,
};

// m324p_swio13_dual_pr_ee           m324pa_swio13_dual_pr_ee          m324pb_swio13_dual_pr_ee
static const uint64_t ur_m324a_swio13_dual_pr_ee[] = {
  0x4addddddd41432db, 0x5fb6e1ff1f5c7d79, 0x5c2f767120a47770, 0xdd2eec305947d3ef, 0x3b363afc7cfd94a0,
  0xe470455960867484, 0x485d16609f192626, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xb4700b5318ffe657,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x1d9d3ffe3a9cc161, 0x8f2bd37355ad1b93, 0x677a8f83660e3dfa, 0x91669d68450ef8af,
  0x973484d7d1859622, 0x3ea0e7569753cb8a, 0xaad743af512ecfe2, 0x2e121141ea8fe4b1, 0xb047eb70decbe966,
  0x7715250087cded51, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0xcaed52df5537d9ce, 0x924bfa21535c0809,
  0x73daad115e54292b, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x2a2adec55516920a, 0x1b8f3612e65f36d0,
  0x666fe0eee34596af, 0x04e34a1854e7ea75, 0x2b93f01f343cc9fe, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000ac856a30ee7,
};

// m324p_swio13_dual_pr_ee_u4        m324pa_swio13_dual_pr_ee_u4       m324pb_swio13_dual_pr_ee_u4
static const uint64_t ur_m324a_swio13_dual_pr_ee_u4[] = {
  0xccf777776890cf68, 0x6fdb70ff8f2aff5e, 0xdae3ba769a709197, 0x3323e44a56a7d96a, 0x89ea3e3afc7cfdb3,
  0x7ee4d1f53af70dd8, 0x15485d16609f1924, 0x85a6fc0d88f64c8c, 0x57419dd3e251850c, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0xbec7674fff8ea730, 0x5ea3caf024d56b46, 0x15975f51f06cc1f7, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x948e5f1cead2ff39, 0xb1aad743af6b13b6, 0xc62e121142628c7c, 0x55c5adf5b86f65c7,
  0x556b3f8abe777152, 0x1aecec39eacdaf2e, 0x2df5537d9cea2a55, 0xa21535c0809caed5, 0xd115e54292b924bf,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x564e9e30ee792bf7,
};

// m324p_swio13_dual_pr_ce           m324pa_swio13_dual_pr_ce          m324pb_swio13_dual_pr_ce
static const uint64_t ur_m324a_swio13_dual_pr_ce[] = {
  0x17bbbbba1eb432db, 0x3f6dc3fb6d00faf8, 0x7266ea0a7ad1c7a7, 0x3a9994eb9d45e5ab, 0x9d776164fbdd8179,
  0x4b45b91c115634f1, 0x23055222319827c6, 0x432169bf03623d93, 0xf995d06774f89461, 0x76c2391c0e0cdd5f,
  0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0x77cdc04480370f85, 0x865a01ed10caaeef, 0x9ff4073c2609f150,
  0x982c3795e425b7ff, 0xfac061d84ebfc753, 0x58f3cdb4073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xb7d54df673a8a954, 0x8854d7020272bb54, 0x4457950a4ae492fe,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b681463b7, 0x7771a2ce9f0dc79b,
  0x0c2a73f53ab337f0, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000034917618773c,
};

// m324p_swio13_dual_pr_ce_u4        m324pa_swio13_dual_pr_ce_u4       m324pb_swio13_dual_pr_ce_u4
static const uint64_t ur_m324a_swio13_dual_pr_ce_u4[] = {
  0xa3bdddddda2432db, 0x4bf6dc3fb6dd6fd7, 0x6a6beebd60dde44c, 0x1b23f6277eec5f65, 0x3a51fb9c5ab751dc,
  0x4bd7b91c115603e3, 0x23055223ee9827c6, 0x432169bf03623d93, 0xf995d06774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf3719c801b87c2, 0x2196804f4432abbb, 0x6bfe80e784d38c54,
  0x730586f2bc84b6e1, 0x2fa9943b3677f8ea, 0x92c79e6da03915ae, 0x3e12fc4361222fb8, 0x3c5dc6e1256547ea,
  0x51d009ee58cf0e33, 0xfe7511c74fe0c9af, 0xbb4dc8f229cc580a, 0x43e6e39633c75e45, 0xacfe2af9ddc54947,
  0xb3b0e7ab36bcb955, 0xd54df673a8a9546b, 0x54d7020272bb54b7, 0x57950a4ae492fe88, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x773c95fb9a19961d,
  0x000000001a485998,
};

// m324p_swio13_dual_pr_ee_ce        m324pa_swio13_dual_pr_ee_ce       m324pb_swio13_dual_pr_ee_ce
static const uint64_t ur_m324a_swio13_dual_pr_ee_ce[] = {
  0xffb5bbbbbba86f97, 0xd93f6dc3fe2c7e7a, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae3fb4,
  0xb93c119d4b229d58, 0xa465b49827c64c4e, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0xfc3862099aeff32b,
  0xe0ffe4dea3e9ad83, 0x5fe7ef822847244f, 0x8164006e1f0a2189, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096def0ffe8, 0x0ecadfff1d4e60b0, 0xd01cadf3bfea8e57, 0xee372e86ea8fcf36, 0xfb94ed6564dd309c,
  0x3e0d98332bd4795e, 0x75a1140a62bb75ea, 0x135f4616588a459a, 0x7d41ceaedca78752, 0xabc6c75ea25d9fc4,
  0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0x95daa5beaa6fb39d, 0x2497f442a6b81013, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0xa31dbd8aaa2d2414, 0x6e3cd84b997cdb40, 0x666fe0eee3458f38, 0x2c970cf4c2b93f75, 0x332c3a4a5b3e04e3,
  0x139c30ee792bf734, 0x000000000000004c,
};

// m324p_swio13_dual_pr_ee_ce_u4     m324pa_swio13_dual_pr_ee_ce_u4    m324pb_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m324a_swio13_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0xb6e1f1b757bf5fd7, 0x82d51fa2ffb4af9f, 0x5ff57b04c3e382d7, 0x964048f5dc6a4145,
  0xcce8438dfc3793c8, 0xf192ecae5202f9e5, 0x932305521966e609, 0x61432169bf03623d, 0xafccb41ca774f894,
  0x6ed87609c2f0e6e5, 0xc913f836bb9bd47c, 0x886257f9fbe08a11, 0x77cdc4e3c01b87c2, 0x865a11c910caaeef,
  0x5ff4073c26df7150, 0x30586f2bc84b6e49, 0x3eaf1d930dffe405, 0x9e6da4ee61ae2faa, 0xfc4361222fb892c7,
  0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb,
  0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1,
  0xcb955acfe2af9ddc, 0x9546bb3b0e7ab36b, 0xb54b7d54df673a8a, 0x2fe8854d7020272b, 0x6ab4457950a4ae49,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdbb1a2c6f8b93570,
  0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x493c95fb9a19961d, 0x00000010012e0a55,
};

// m324p_swio13_dual_ee_hw           m324pa_swio13_dual_ee_hw          m324pb_swio13_dual_ee_hw
static const uint64_t ur_m324a_swio13_dual_ee_hw[] = {
  0xe52b777776890c86, 0xc17edb87fc7d71f5, 0xbd70bdd9c48291dd, 0x8374bbb0c1651f4f, 0x10ecd8ebf1f3f652,
  0x31372eec6ecde62a, 0x60aa42e8b304f8c9, 0x642d37e06c47b264, 0x32ba0cee9f128c28, 0xd825a3805a98c7ff,
  0x44fe0e2b4dea393a, 0x1895fe7ef8228472, 0xf9b9dd6006e1f0a2, 0xcb417da21955ddee, 0xfe80e784c1ee2a10,
  0x0b0de579096de76f, 0xb931d9d3ffea38a6, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3, 0x62291669d68450ef,
  0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe, 0xd51b047eb70decbe,
  0xbe77715250087cde, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809caed52df5537d, 0x92b924bfa21535c0,
  0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x005768ad5453c95f,
};

// m324p_swio13_dual_ee_ce_hw        m324pa_swio13_dual_ee_ce_hw       m324pb_swio13_dual_ee_ce_hw
static const uint64_t ur_m324a_swio13_dual_ee_ce_hw[] = {
  0xfdaddddddd437089, 0xc9fb6e1ff163f3d7, 0xdebdeed8bc6a69ce, 0xac1b9395a083e44f, 0x2faf5df63d71fda3,
  0xae5793d656d6d2c1, 0xa9196d2609f19313, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe059001b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b7bc3ffa, 0x87656fffa8e2982c, 0x680e56f9dff5472b, 0x3b8dce8fa927e79b, 0xbee53b5959374c27,
  0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166, 0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1,
  0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56,
  0xe576a96faa9bece7, 0xc925fd10a9ae0404, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x92e19e985727e7f6, 0x6587494b67c09c65, 0xa7ce514f257ee686,
  0x0000000000000089,
};

// m324p_swio13_dual_ee_ce_u4_hw     m324pa_swio13_dual_ee_ce_u4_hw    m324pb_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m324a_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0xedb87c6dd5efd7f5, 0x0b7547e8bfed2be7, 0x5157fd5ec130fb4e, 0xf22590123d771a90,
  0x6e918ef0727f0de4, 0x6e609f192ecae5fd, 0x3623d93230552196, 0x4f89461432169bf0, 0x0e6e5afccb135a77,
  0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01, 0xf7150865a11c910c,
  0xb6e495ff4073c26d, 0xfe54930586f2bc84, 0x717d51f578ec986f, 0x4963cf2beb03930d, 0x1f097e21b09117dc,
  0xe2ee37387f8fbbf5, 0x5efb94ed6e6e6e99, 0xea3e0d98332bd479, 0x9a75a1140a62bb75, 0x52135f4616588a45,
  0xc47d41ceaedca787, 0xc6abc6c75ea25d9f, 0x98b8484507aa3f92, 0xa3608991c37b2fa5, 0xceee2a4a598f9bda,
  0x59b5e5caad67f157, 0x9d454aa35d9d873d, 0x1395daa5beaa6fb3, 0x572497f442a6b810, 0xbae7b55a22bca852,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x75e7a185f4f257ee,
  0x000000000000001d,
};

/*
 * m324a_swio14_noled_pr_ce_u4       m324p_swio14_noled_pr_ce          m324p_swio14_noled_pr_ce_u4
 * m324pa_swio14_noled_pr_ce         m324pa_swio14_noled_pr_ce_u4      m324pb_swio14_noled_pr_ce
 * m324pb_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x6656ffffb67f4dcc, 0x254ee575c5f5ee87, 0x6c2445f71258f3c0, 0x643a4afd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0d67fa8ebe4f, 0x8a731602edf97d1c, 0xccf1d7a3e764c518, 0xe5add6b13ca807fe,
  0x59b5e5caad508981, 0x9d454aa35d9d873d, 0x6b3a6e576a96fab3, 0xe54292b63f7f442a, 0xbcf8b5d73daad115,
  0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xccbe6db084c76f62, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000375de6de41a79,
};

// m324p_swio14_noled_pr_ee_ce       m324pa_swio14_noled_pr_ee_ce      m324pb_swio14_noled_pr_ee_ce
static const uint64_t ur_m324a_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xffffed9f4db9827c, 0x6ceffaa32ea3b066, 0x39747ff3c0254ec6, 0xacac7be6139dc6e3,
  0x07a57a8f2b90f29d, 0x814c5670fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9c98ea426be8, 0xebce9bb1ea8fe439,
  0xa22147bdd8d578d8, 0x1c37b2d973170908, 0xa59f41cf2a360899, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae,
  0xbfa215359d372bb5, 0xd5688af2a1495b1f, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x63b7b15545a5b44e,
  0xae3612e65f36d842, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592, 0xc834f257ee686658,
  0x000000000a69a7d7,
};

// m324p_swio14_noled_pr_ee_ce_u4    m324pa_swio14_noled_pr_ee_ce_u4   m324pb_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m324a_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xb7fff617cf8a4982, 0x2b7ee2faa3d363b2, 0x45f71258f3cdb407, 0x64fd47c25f886c24,
  0xbdf33c5dc6e3b761, 0x7a8f2b90f29dadcd, 0x5670fd47c1b307a5, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x9eacdaf2e556a59f,
  0x59cea2a551aecec3, 0x15359d372bb54b7d, 0x8af2a1495b1fbfa2, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x30ee792bf734332c, 0x00000000027e1b90,
};

/*
 * m324a_swio14_lednop_pr_ce_u4      m324p_swio14_lednop_pr_ce         m324p_swio14_lednop_pr_ce_u4
 * m324pa_swio14_lednop_pr_ce        m324pa_swio14_lednop_pr_ce_u4     m324pb_swio14_lednop_pr_ce
 * m324pb_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0xcb75ffff6cfc7298, 0x4a9de9bb8bebdd0e, 0xd8488bee24b1e780, 0x495951fa8f84bf10,
  0xe58cfd64cf1771b8, 0xd3f8359fea3cbe9e, 0x7ce62c058f7a5471, 0x33c75e8f9db24463, 0x2d6e83fd22a01ffb,
  0xcdaf2e556b2ed40f, 0xea2a551aecec39ea, 0x09d372bb54b7d59c, 0x95cbec7a21535c08, 0xaeb9ed5688af2a14,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x7ab2b20d3c95fb9a, 0x00000000000000dd,
};

// m324p_swio14_lednop_pr_ee_ce      m324pa_swio14_lednop_pr_ee_ce     m324pb_swio14_lednop_pr_ee_ce
static const uint64_t ur_m324a_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x47fffdb3eff2609f, 0x1a0effaa32ea3b03, 0x341c113f9e012a76, 0xdacac7be6139dc6e,
  0x307a57a8f2b29729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42, 0x9d5db9d28ea426be, 0x8ebce9bb4888e6e3,
  0x8a17c471958d578d, 0x91c37b2d97317090, 0x6a59dac4f2a36089, 0xecec39eacdaf2e55, 0x54b7d59cea2a551a,
  0x21535c0809d372bb, 0x88af2a1495cbec7a, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36d8c4c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x00000534ec7fc834,
};

// m324p_swio14_lednop_pr_ee_ce_u4   m324pa_swio14_lednop_pr_ee_ce_u4  m324pb_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m324a_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0x3effd85f3fd83304, 0x43eb8bea8f4d8ec4, 0x17dc4963cf36d01c, 0xbbf51f097e21b091,
  0xef99e2ee37387f8f, 0xd479594b94ed6e6d, 0xb287ea3e0d983d2b, 0x8a459a75a1140a62, 0xe94752135f461658,
  0xdda4447371ceaedc, 0x38cac6abc6c75e74, 0x96cb98b848450be2, 0x627951b044c8e1bd, 0xf566d7972ab52ced,
  0xce75152a8d76761c, 0x0404e9b95daa5bea, 0x0a4ae5f63d10a9ae, 0xcad75cf6ab445795, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00013f32d298773c,
};

/*
 * m324a_swio14_dual_pr              m324a_swio14_dual_pr_u4           m324p_swio14_dual
 * m324p_swio14_dual_pr              m324p_swio14_dual_pr_u4           m324pa_swio14_dual
 * m324pa_swio14_dual_pr             m324pa_swio14_dual_pr_u4          m324pb_swio14_dual
 * m324pb_swio14_dual_pr             m324pb_swio14_dual_pr_u4
 */
static const uint64_t ur_m324a_swio14_dual[] = {
  0x41bbbbbb4486ff3e, 0xdfb6e1f2f738bd78, 0xb1ab77a71893760c, 0x82a086947b362817, 0xaf673b6514add082,
  0x4bd3b934f15ec75e, 0x9182a906019827c6, 0xa190b4df81b11ec9, 0xfccae833ba7c4a30, 0xf9b05f67028b3393,
  0x39227f06654dea3b, 0x510c4aff3f7c1142, 0x7bbe6e35d80370f8, 0x4219684648865577, 0x52ffe80e784d6b45,
  0xa730586f2bc84b6e, 0xef965ae3b0a2ff8e, 0x71d3f83defd47ee8, 0x31602a83cce4c3dc, 0x3af006764011a627,
  0xdbde37d500ffd982, 0xddc5495f3a81e59e, 0x36bcb955acfe2af9, 0xa8a9546bb3b0e7ab, 0x274dcaed52df5673,
  0x572fb1e8854d7020, 0xbae7b55a22bca852, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x14935ad461dcf257,
};

// m324p_swio14_dual_pr_ee           m324pa_swio14_dual_pr_ee          m324pb_swio14_dual_pr_ee
static const uint64_t ur_m324a_swio14_dual_pr_ee[] = {
  0xd6eeeeeea0a1a5fb, 0x7edb87fc7f77ebcd, 0x83edd57cd891ddc1, 0xd2eda7227d57f5de, 0x5dfbf7c7cfd9ba0d,
  0x52c8d759b42acc99, 0x8ee3e609f192626e, 0x6fc0d88f64c8c154, 0x19dd3e251850c85a, 0x4700b5318ffe6574,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x7605aff1d4e60b0d, 0x3caedd4d56b47fb8, 0x37ea3e0d9830f7ea, 0x459a75a1143be2bd,
  0x5cd2135f4616588a, 0xcf539d5a5d82ae2a, 0x56ba1d7a897631e8, 0x70908a34a4710d8d, 0x823f5b86f65f4b31,
  0x7152500b2288aa8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0xd372bb54b7d59cea, 0xcbec7a21535c0809,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905, 0x8dc79b09732f9b6c,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000005647ad98773,
};

// m324p_swio14_dual_pr_ee_u4        m324pa_swio14_dual_pr_ee_u4       m324pb_swio14_dual_pr_ee_u4
static const uint64_t ur_m324a_swio14_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0xb7edb87fc7e7dfaf, 0xf7bbdd414f5848cb, 0x24c8f9129dbd7610, 0x900d57efdf1f3f76,
  0x8fdc9e08ce9c2d4e, 0x82a91dc7cc13e324, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0xb01ac70275325afc,
  0x89fc1efb9bd478ad, 0x312bfcfdf04508e4, 0xf9b995000dc3e144, 0xcb423da21955ddee, 0xff4073c269122a10,
  0x82c3795e425b7d35, 0x1c061d816bfc7539, 0x227a8f2b53d355ad, 0x7c5670fd47c1b307, 0xcb1148b34eb42287,
  0x65c20b9a426be8c2, 0x6401182873ab4ba5, 0x8b6355ae875ed627, 0x1f18b848450f7a3c, 0x92ae2e1fd6e1bd97,
  0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xb4e31bc67440a2fa, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x002b2042cc3b9e4a,
};

// m324p_swio14_dual_pr_ce           m324pa_swio14_dual_pr_ce          m324pb_swio14_dual_pr_ce
static const uint64_t ur_m324a_swio14_dual_pr_ce[] = {
  0x1dddddd0f5a1a5fb, 0xf6dc3fb6d47fd799, 0xcdeeb627651c7a73, 0xd4ccdd56875c21ee, 0x26ba27f5dee991c9,
  0x8b729646bae44956, 0x0aa41d7d304f8c96, 0x42d37e06c47b2646, 0x2ba0cee9f128c286, 0x8472381c19babff3,
  0x4fe0e574dea3eced, 0x895fe7ef82284724, 0xcdc524006e1f0a21, 0x5a01ed10caaeef77, 0xf4073c2609f15086,
  0x586f2bc84b6e337f, 0xbf83b0e0ff8ea730, 0x79e6da0384eae2fa, 0x2fc4361222fb892c, 0xdc6e5253397ea3e1,
  0x4f9ee58cfa9733c5, 0x7e38e9fc1dadea38, 0x0234c4e62c0528bb, 0x1ffb33c75e00cec8, 0xd40f2d6e7bc6faa0,
  0x67f157ceee2a4af9, 0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xdc68b3a7c371e6c2,
  0x0a9cfd4eaccdfc1d, 0xff1738cbf313f943, 0x27e39effe09a1e64, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x000d24c6261dcf25,
};

// m324p_swio14_dual_pr_ce_u4        m324pa_swio14_dual_pr_ce_u4       m324pb_swio14_dual_pr_ce_u4
static const uint64_t ur_m324a_swio14_dual_pr_ce_u4[] = {
  0xe0eeeeeed121a5fb, 0x5fb6e1fdb745febe, 0x685b75d9333f2262, 0x1b23e644abd3efed, 0xab2abeb410f76e0c,
  0x4bd7b94b235d70f8, 0x23055219eb9827c6, 0x432169bf03623d93, 0xf995d06774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf37092801b87c2, 0x2196804f4432abbb, 0x7ffe80e784d38c54,
  0xe60b0de579096de8, 0xbebb7c7669bff1d4, 0x4b1e79b680e6ceb8, 0xf84bf10d8488bee2, 0xf1771b9494ce5fa8,
  0x479c67b9633c38cc, 0x1e7ac71d3f8327bd, 0xecbe238c8e62c053, 0xc8bb8e58cf1d7916, 0x67f157ceee2a4a3a,
  0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x0000000034913406,
};

// m324p_swio14_dual_pr_ee_ce        m324pa_swio14_dual_pr_ee_ce       m324pb_swio14_dual_pr_ee_ce
static const uint64_t ur_m324a_swio14_dual_pr_ee_ce[] = {
  0x7abeddddddd432db, 0xd93f6dc3fe2da7bd, 0x3bf57dd4fb2d4d39, 0x3ac1b8e77b8c3e40, 0xb419cae363d71abe,
  0xae47045583c333a9, 0xa907cfa609f19313, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe2e0801b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b735bffa, 0x61d9883fc753982c, 0x6d01cc4077fd51e5, 0xcee371523dd6fcf3, 0xcae94ed6564dd309,
  0x47c1b307b7fd4795, 0x4eb422814c57befd, 0x426be8c2cb1148b3, 0x8cf539d5db9828ea, 0xaaf1b1d7a897631e,
  0x2e121146948e21b1, 0xd8226470decbe966, 0x7715252cf2288aa8, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac,
  0x9d372bb54b7d59ce, 0x5cbec7a21535c080, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0x8c4c76f62aa8b490, 0xe1b8f3612e65f36d, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813,
  0x04e938c3b9e4afdc, 0x0000000000000013,
};

// m324p_swio14_dual_pr_ee_ce_u4     m324pa_swio14_dual_pr_ee_ce_u4    m324pb_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m324a_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x6dc3e36caf7ebd9f, 0x05b55e3aff695f3f, 0xfbccdcda1372c9a7, 0x0590122cfa3520ac,
  0x42ace797721ae2ed, 0x3e325d95cab00840, 0xb26460aa46b82cc1, 0x8c28642d37e06c47, 0xb5f9968394ee9f12,
  0x8ddb0ec1385e1cdc, 0x39227f06d7737a8f, 0x510c4aff3f7c1142, 0xf77cdc15400370f8, 0x0865a11c910caaee,
  0x95ff4073c26df715, 0x530586f2bc84b6f4, 0x5193a1d9787ffe40, 0x3cf36d277787717d, 0x97e21b09117dc496,
  0x71b82a8b24ff51f0, 0x74a76b737374cf17, 0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7,
  0x7a9ceaedcc147521, 0x78d8ebd44bb18f46, 0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c,
  0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x9b95daa5beace751, 0x5f63d10a9ae0404e, 0xcf6ab4457950a4ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0x7079b09732f9b6c6, 0x0fdbb1a2c6f8b935,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x55493c95fb9a1996, 0x00000000100020d4,
};

// m324p_swio14_dual_ee_hw           m324pa_swio14_dual_ee_hw          m324pb_swio14_dual_ee_hw
static const uint64_t ur_m324a_swio14_dual_ee_hw[] = {
  0x6eb777776890cf68, 0x0bf6dc3fe3fbbf5e, 0xf41f6eabe6c48eee, 0x6e976d3913eabfae, 0xcaefdfbe3e7ecdd0,
  0x137268fa9d6b7664, 0x0aa4771f304f8c93, 0x42d37e06c47b2646, 0x2ba0cee9f128c286, 0x825a3805a98c7ff3,
  0x4fe0e2b4dea393ad, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb417da21955ddeef, 0xe80e784c1ee2a10c,
  0x586f2bc84b6fa6bf, 0xfb87605aff51c530, 0x7ea3caedd4d56b47, 0x2bd37ea3e0d9830f, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x1e8cf539d5a5d82a, 0xd8d56ba1d7a89763, 0xb3170908a34a4710, 0xa8d823f5b86f65f4,
  0xe777152500b2288a, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e, 0x809d372bb54b7d59, 0x495cbec7a21535c0,
  0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002bb4f5ba29e4af,
};

// m324p_swio14_dual_ee_ce_hw        m324pa_swio14_dual_ee_ce_hw       m324pb_swio14_dual_ee_ce_hw
static const uint64_t ur_m324a_swio14_dual_ee_ce_hw[] = {
  0xabeddddddd43573e, 0x93f6dc3fe2da7bd7, 0xbf57dd4fb2d4d39d, 0xac1b8e77b8c3e403, 0x419cae363d71abe3,
  0x75c9717dd9baca9b, 0x5520f9f4c13e3262, 0x169bf03623d93230, 0x5d06774f89461432, 0x1fe1c3104cd77f99,
  0x7f07ff26f51f4d6c, 0x4aff3f7c11423922, 0xdc5c100370f8510c, 0xa0c1510caaeef77c, 0x4073c2690f150865,
  0x86f2bc84b6e6b7ff, 0x5876620ff51c5305, 0xdb4073101dff5479, 0x39dc6e654341ff3c, 0xb95d29dacac9ba61,
  0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916, 0xd19ea73abb73051d, 0x355e363af512ec63,
  0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x13a6e576a96fab39, 0x2b97d8f442a6b810, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xb1898edec5551692, 0xec371e6c25ccbe6d, 0xcb25c33d30ae4fcf, 0x0ccb0e9296cf8138, 0x34fa4ea29e4afdcd,
  0x0000000000000011,
};

// m324p_swio14_dual_ee_ce_u4_hw     m324pa_swio14_dual_ee_ce_u4_hw    m324pb_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m324a_swio14_dual_ee_ce_u4_hw[] = {
  0xf6eeeeed14682906, 0xf6dc3e36caf7ebd9, 0xc9bb55e3aff695f3, 0x0acfbccdcda137b2, 0x2ed0590122cfa352,
  0x2be405ed231721ae, 0xae0b304f8c976572, 0xf81b11ec99182a91, 0x3ba7c4a30a190b4d, 0x1787372d7e6589ad,
  0xdcdea3e376c3b04e, 0xdf04508e489fc1b5, 0x00dc3e144312bfcf, 0x432abbbddf370550, 0x9b7dc54219684724,
  0x212dbd257fd01cf0, 0x0fff9524c161bcaf, 0xf0ee2faa32743b2f, 0xfb892c79e57d6072, 0xfea3e12fc4361222,
  0xe99e2ee3702c8cf5, 0x4795cae94ed6e6e6, 0xbefd47c1b307b7fd, 0x48b34eb422814c57, 0x28ea426be8c2cb11,
  0x631e8cf539d5db98, 0x21b1aaf1b1d7a897, 0xe9662e121146948e, 0x8aa8d8226470decb, 0xabe77715252cf228,
  0x9eacdaf2e556b3f8, 0x59cea2a551aecec3, 0xc0809d372bb54b7d, 0xa1495cbec7a21535, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0075d6717c17d3c9,
};

/*
 * m324a_swio15_noled_pr_ce_u4       m324p_swio15_noled_pr_ce          m324p_swio15_noled_pr_ce_u4
 * m324pa_swio15_noled_pr_ce         m324pa_swio15_noled_pr_ce_u4      m324pb_swio15_noled_pr_ce
 * m324pb_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m324a_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x2577fffdb3fb3a60, 0x54ef7ddc5f5dbe3b, 0xc2445f71258f3c02, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0xb36bcb955abeb703, 0x3a8a9546bb3b0e7a, 0x674dcaed52df5767, 0x4292ad5fefe8854d, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x006ebc7d7c834f25,
};

// m324p_swio15_noled_pr_ee_ce       m324pa_swio15_noled_pr_ee_ce      m324pb_swio15_noled_pr_ee_ce
static const uint64_t ur_m324a_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0x7fffdb3fa6a609f1, 0xf0effaa32963b3fe, 0x2a1a0ff9e012a77f, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x9d873d59b5e5caad, 0x6fabb39d454aa35d,
  0xf442a6b3a6e576a9, 0x688af2a14956aff7, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0xc6c25ccbe6d8c863, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x069e4afdcd0ccb0e,
  0x00000000534ce7d9,
};

// m324p_swio15_noled_pr_ee_ce_u4    m324pa_swio15_noled_pr_ee_ce_u4   m324pb_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m324a_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0x77ffb0be7f1ba609, 0xd77717d51ece1d8d, 0x2fb892c79e6da038, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0xd59b5e5caad4b3e9,
  0x39d454aa35d9d873, 0x6b3a6e576a96fabb, 0x2a14956aff7f442a, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xdcf257ee68665874, 0x00000004fcfb3c61,
};

/*
 * m324a_swio15_lednop_pr_ce_u4      m324p_swio15_lednop_pr_ce         m324p_swio15_lednop_pr_ce_u4
 * m324pa_swio15_lednop_pr_ce        m324pa_swio15_lednop_pr_ce_u4     m324pb_swio15_lednop_pr_ce
 * m324pb_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m324a_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0xb34dffffdb3e35a6, 0x254ef675c5f5dbe3, 0x6c2445f71258f3c0, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0xb36bcb955adc3903, 0x3a8a9546bb3b0e7a, 0x274dcaed52df5767, 0x2b92b1e8854d7020, 0x5d73daad115e5429,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xe917e41a792bf734, 0x00000000000001ba,
};

// m324p_swio15_lednop_pr_ee_ce      m324pa_swio15_lednop_pr_ee_ce     m324pb_swio15_lednop_pr_ee_ce
static const uint64_t ur_m324a_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xffffdb3f6b7304f8, 0xd9dff54652c7626d, 0x24e6ffe7804a9da6, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb,
  0x4d7020274dcaed52, 0x5e54292b92b1e885, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6da0518edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x000a698bf79069e4,
};

// m324p_swio15_lednop_pr_ee_ce_u4   m324pa_swio15_lednop_pr_ee_ce_u4  m324pb_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m324a_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x93ff617cf9adcc13, 0x149717d51ece1d82, 0x17dc4963cf36d01c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xeacdaf2e556a5988,
  0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0, 0xad75cf6ab4457950, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb681463b7b15545a, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0013f07ab98773c9,
};

/*
 * m324a_swio15_dual_pr              m324a_swio15_dual_pr_u4           m324p_swio15_dual
 * m324p_swio15_dual_pr              m324p_swio15_dual_pr_u4           m324pa_swio15_dual
 * m324pa_swio15_dual_pr             m324pa_swio15_dual_pr_u4          m324pb_swio15_dual
 * m324pb_swio15_dual_pr             m324pb_swio15_dual_pr_u4
 */
static const uint64_t ur_m324a_swio15_dual[] = {
  0x8bbbbbbb4486dd9e, 0xbf6dc3e5efed7afa, 0x59f6ecbba666ec19, 0x05411719d6414ccf, 0xc5a72498ecb76a2d,
  0x97a7721f957ba2f5, 0x2305521523304f8c, 0x432169bf03623d93, 0xf995d06774f89461, 0xf360bece05166727,
  0x7244fe0cca9bd477, 0xa21895fe7ef82284, 0x7bbe6e400006e1f0, 0x4219684648865577, 0x50ffe80e784d6b45,
  0xa730586f2bc84b6e, 0x77cb3de3b3f77f8e, 0xe3a7f0707fd47dbe, 0x62c05507992b47b8, 0x75e00ceda523884e,
  0xda63192a01ffb304, 0xeee2a4b81281e59e, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x3a6e576a96fabb39,
  0x5c958f442a6b8101, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490,
  0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x524d07198773c95f,
};

// m324p_swio15_dual_pr_ee           m324pa_swio15_dual_pr_ee          m324pb_swio15_dual_pr_ee
static const uint64_t ur_m324a_swio15_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x5fb6e1ff1f5c7d79, 0x5c2f767120a47770, 0xdd2eec305947d3ef, 0x3b363afc7cfd94e0,
  0xe470455960867484, 0x485d16609f192626, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xb4700b5318ffe657,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x1d9d3ffe3a9cc161, 0x8f2bd37355ad1b93, 0x677a8f83660e3dfa, 0x91669d68450ef8af,
  0x973484d7d1859622, 0x3ea0e7569753cb8a, 0xaad743af512ecfe2, 0x2e121141ea8fe4b1, 0xb047eb70decbe966,
  0x7715250087cded51, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0xd372bb54b7d5d9ce, 0xe4ac7a21535c0809,
  0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482, 0xc6e3cd84b997cdb4,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002b215a8c3b9,
};

// m324p_swio15_dual_pr_ee_u4        m324pa_swio15_dual_pr_ee_u4       m324pb_swio15_dual_pr_ee_u4
static const uint64_t ur_m324a_swio15_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0x6fdb70ff8f2aff5f, 0xdae3ba769a709197, 0xb323e44a56a7d96a, 0x89ea3e3afc7cfdc0,
  0x7ee4d1f53af70dd8, 0x15485d16609f1924, 0x85a6fc0d88f64c8c, 0x57419dd3e251850c, 0x80d63813a992d7e6,
  0x4fe0f7dcdea3c56d, 0x895fe7ef82284724, 0x9b9d1f006e1f0a21, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6f3b7f, 0xbec7674fff8ea730, 0x5ea3caf024d56b46, 0x15975f51f06cc1f7, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x948e5f1cead2ff39, 0xb1aad743af6b13b6, 0xc62e121142628c7c, 0x55c5adf5b86f65c7,
  0x556b3f8abe777152, 0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55, 0xa21535c0809d372b, 0xb4457950a4ae4ac7,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc674409cfa28, 0x86e3cd84b997cdb4, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x1593a78c3b9e4afd,
};

// m324p_swio15_dual_pr_ce           m324pa_swio15_dual_pr_ce          m324pb_swio15_dual_pr_ce
static const uint64_t ur_m324a_swio15_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x3f6dc3fb6d00fafb, 0x7266ea0a7ad1c7a7, 0x3a9994eb9d45e5ab, 0x9d776164fbddb139,
  0x4b45b91c115634f1, 0x23055222319827c6, 0x432169bf03623d93, 0xf995d06774f89461, 0x76c2391c0e0cdd5f,
  0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0x77cdc04480370f85, 0x865a01ed10caaeef, 0x9ff4073c2609f150,
  0x982c3795e425b7ff, 0xfac061d84ebfc753, 0x58f3cdb4073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0x8854d7020274dcae, 0xd115e54292b92b1e,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0x1ddc68b3a7c371e6,
  0x430a9cfd4eaccdfc, 0x64ff1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00000d245d861dcf,
};

// m324p_swio15_dual_pr_ce_u4        m324pa_swio15_dual_pr_ce_u4       m324pb_swio15_dual_pr_ce_u4
static const uint64_t ur_m324a_swio15_dual_pr_ce_u4[] = {
  0xa33dddddda2432db, 0x4bf6dc3fb6dd6fd7, 0x6a6beebd60dde44c, 0x1b23f6277eec5f65, 0x3a51fb9c5ab7519c,
  0x4bd7b91c115603e3, 0x23055223ee9827c6, 0x432169bf03623d93, 0xf995d06774f89461, 0x5b61bece1a6e68ad,
  0xc913f8328737a8f9, 0x886257f9fbe08a11, 0xddf3719c801b87c2, 0x2196804f4432abbb, 0x6bfe80e784d38c54,
  0x730586f2bc84b6e1, 0x2fa9943b3677f8ea, 0x92c79e6da03915ae, 0x3e12fc4361222fb8, 0x3c5dc6e1256547ea,
  0x51d009ee58cf0e33, 0xfe7511c74fe0c9af, 0xbb4dc8f229cc580a, 0x43e6e39633c75e45, 0xacfe2af9ddc54947,
  0xb3b0e7ab36bcb955, 0x2df57673a8a9546b, 0x54d7020274dcaed5, 0x15e54292b92b1e88, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6da0518edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x0000000006921666,
};

// m324p_swio15_dual_pr_ee_ce        m324pa_swio15_dual_pr_ee_ce       m324pb_swio15_dual_pr_ee_ce
static const uint64_t ur_m324a_swio15_dual_pr_ee_ce[] = {
  0xf9c5bbbbbba86f97, 0xd93f6dc3fe2c7e7a, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae39c4,
  0xb93c119d4b229d58, 0xa465b49827c64c4e, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0xfc3862099aeff32b,
  0xe0ffe4dea3e9ad83, 0x5fe7ef822847244f, 0x8164006e1f0a2189, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096def0ffe8, 0x0ecadfff1d4e60b0, 0xd01cadf3bfea8e57, 0xee372e86ea8fcf36, 0xfb94ed6564dd309c,
  0x3e0d98332bd4795e, 0x75a1140a62bb75ea, 0x135f4616588a459a, 0x7d41ceaedca78752, 0xabc6c75ea25d9fc4,
  0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0xa6e576a96fabb39d, 0xc958f442a6b81013, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd, 0x0ccb0e9296cf8138,
  0x04e70c3b9e4afdcd, 0x0000000000000013,
};

// m324p_swio15_dual_pr_ee_ce_u4     m324pa_swio15_dual_pr_ee_ce_u4    m324pb_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m324a_swio15_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0xdb70f8dbabdfaf2c, 0xc16a8fd17fda57cf, 0xaffabd8261f1c16b, 0x259012258a3520a2,
  0x733a10e37f0de4f2, 0x7c64bb2b9480be79, 0x64c8c1548659b982, 0x1850c85a6fc0d88f, 0x6bf32d0729dd3e25,
  0x1bb61d8270bc39b9, 0x7244fe0daee6f51f, 0xa21895fe7ef82284, 0xddf37138f006e1f0, 0x219684724432abbb,
  0x57fd01cf09b7dc54, 0x4c161bcaf212db92, 0x8fabc764c37ff901, 0xe79b693b986b8bea, 0xbf10d8488bee24b1,
  0x1b89c7f71ffa8f84, 0xca76b737374cf177, 0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a,
  0xa0e7576e53c3a909, 0xe363af512ecfe23e, 0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0,
  0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xac7a21535c0809d3, 0xf6ab4457950a4ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x079b09732f9b6814, 0xfdbb1a2c6f8b9357,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x5493c95fb9a19961, 0x000000010012e0a5,
};

// m324p_swio15_dual_ee_hw           m324pa_swio15_dual_ee_hw          m324pb_swio15_dual_ee_hw
static const uint64_t ur_m324a_swio15_dual_ee_hw[] = {
  0xe53b777776890c86, 0xc17edb87fc7d71f5, 0xbd70bdd9c48291dd, 0x8374bbb0c1651f4f, 0x10ecd8ebf1f3f653,
  0x31372eec6ecde62a, 0x60aa42e8b304f8c9, 0x642d37e06c47b264, 0x32ba0cee9f128c28, 0xd825a3805a98c7ff,
  0x44fe0e2b4dea393a, 0x1895fe7ef8228472, 0xf9b9dd6006e1f0a2, 0xcb417da21955ddee, 0xfe80e784c1ee2a10,
  0x0b0de579096de76f, 0xb931d9d3ffea38a6, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3, 0x62291669d68450ef,
  0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe, 0xd51b047eb70decbe,
  0xbe77715250087cde, 0xeacdaf2e556b3f8a, 0x9cea2a551aecec39, 0x809d372bb54b7d5d, 0xa4ae4ac7a21535c0,
  0xad75cf6ab4457950, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0015da2b5514f257,
};

// m324p_swio15_dual_ee_ce_hw        m324pa_swio15_dual_ee_ce_hw       m324pb_swio15_dual_ee_ce_hw
static const uint64_t ur_m324a_swio15_dual_ee_ce_hw[] = {
  0xce2ddddddd437089, 0xc9fb6e1ff163f3d7, 0xdebdeed8bc6a69ce, 0xac1b9395a083e44f, 0x2faf5df63d71ce23,
  0xae5793d656d6d2c1, 0xa9196d2609f19313, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0xff0e188266bbfcca,
  0xf83ff937a8fa6b60, 0x57f9fbe08a11c913, 0xe059001b87c28862, 0x060a88655777bbe6, 0x039e134878a8432d,
  0x3795e425b7bc3ffa, 0x87656fffa8e2982c, 0x680e56f9dff5472b, 0x3b8dce8fa927e79b, 0xbee53b5959374c27,
  0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166, 0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1,
  0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56,
  0xe9b95daa5beaece7, 0x72563d10a9ae0404, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x0a31dbd8aaa2d241, 0x86e3cd84b997cdb4, 0x64b867a615c9f9fd, 0x9961d252d9f02719, 0x69f39453c95fb9a1,
  0x0000000000000022,
};

// m324p_swio15_dual_ee_ce_u4_hw     m324pa_swio15_dual_ee_ce_u4_hw    m324pb_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m324a_swio15_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xf6dc3e36eaf7ebcb, 0x05baa3f45ff695f3, 0x28abfeaf60987da7, 0x3c89640489628d48,
  0x5ba463bc1c9fc379, 0x9b9827c64bb2b97f, 0x0d88f64c8c154865, 0xd3e251850c85a6fc, 0xc39b96bf32c4d69d,
  0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x2abbbddf37138f00, 0x7dc5421968472443,
  0x2db9257fd01cf09b, 0xff9524c161bcaf21, 0x5c5f547d5e3b261b, 0x1258f3cafac0e4c3, 0x47c25f886c2445f7,
  0x78bb8dce1fe3eefd, 0x57bee53b5b9b9ba6, 0x7a8f83660ccaf51e, 0x669d68450298aedd, 0xd484d7d185962291,
  0xf11f5073abb729e1, 0xb1aaf1b1d7a89767, 0x662e121141ea8fe4, 0xa8d8226470decbe9, 0xf3bb8a929663e6f6,
  0x566d7972ab59fc55, 0xe75152a8d76761cf, 0x04e9b95daa5beaec, 0x2572563d10a9ae04, 0x6bae7b55a22bca85,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xd75e7a185f4f257e,
  0x0000000000000001,
};

// m324pb_autobaud_uart2_noled_pr
static const uint64_t ur_m324pb_autobaud_uart2_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0xf872fbfd61de7cf5, 0x0ba57e0a81102a7a, 0x3857eaa4d7fbf058, 0xc77cb24386d1bdaa, 0x471d3f83349ea3f3,
  0x9cc580b7ba61be4f, 0x0475e2e767b48f19, 0x03ef615944ee3963, 0xb83ef39c7e37e062, 0xce3f3cde01f50603,
  0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0xc25ccbe6d892455b, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0xd7b4f257ee686658, 0x0000000003888124,
};

static const uint64_t ur_m324pb_autobaud_uart2_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0x51ffff6cfedf9827, 0x5f82a0440a9ebe1f, 0xfaa935fefc1602e9, 0x2c21e1b46f6a8e15, 0x4fe0d05fa8fd01df,
  0xb016594cf7dad1c7, 0xbd1f3b57f47ac398, 0x7d99e5403ff6608e, 0x07dec1c7c0f2cf6c, 0x707de738fc6fc0c4,
  0x9c7e79bc03ea0c07, 0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x84b997cdb1248ab7, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000001186de4ac83,
};

// m324pb_autobaud_uart2_noled_pr_ee_u4
static const uint64_t ur_m324pb_autobaud_uart2_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0xff6cfece9827c64e, 0x4088153d7c395dff, 0x6bfdf82c05d2bf05, 0xc368ded51c2bf552, 0x51e57224d56b4738,
  0x7dd7a8f83660d31f, 0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xb4782ce756979c57, 0x6355ae875e74ddb7,
  0x98b848451cf230e3, 0xa3608fd6e1bd96cb, 0x3101f7b002a254d2, 0x01dc1f79ce3f1bf0, 0x6c671f9e6f00fa83,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0xf3612e65f36c4922, 0xf943458df1726ae0, 0x1854e7ea75663c81,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961,
  0x000000009a9d1f5f,
};

// m324pb_autobaud_uart2_noled_pr_ce_u4
static const uint64_t ur_m324pb_autobaud_uart2_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x0ffffed9fcad304f, 0x7e0a81102a7af865, 0xeaa4d7fbf0580ba5, 0xd72486d1bdaa3857, 0xb1e7804a9dbf9717,
  0x84bf10d8488bee24, 0xc5dc6e3fcc41fa8f, 0x4727a7b9633f5933, 0x7ce9238e9fc1eb3d, 0x3b57f47ac398b014,
  0xe5403ff6678ebd1f, 0xb071f03cb5b87d99, 0x79ce3f1bf03101f7, 0x9e6f00fa8301dc1f, 0x02baa9cbca6c671f,
  0x516961738c6f19d1, 0xcbe6d89218edec55, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x008dd7249e41a792,
};

static const uint64_t ur_m324pb_autobaud_uart2_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xb67c66e609f193ba, 0x440a9ebe185affff, 0xfefc1602e95f82a0, 0xb46f6a8e15faa935, 0xa77810effaa37f21,
  0x71b9d66c87f9e012, 0x44a76b2b1ef984e7, 0xf06cc1ad7f51e57d, 0xad08a0531584ff51, 0x9afa30b2c4522cd3,
  0xc1673abb74e23a90, 0x5e363af3a6edbda3, 0x848451cf230e3635, 0x044c8e1bd96cb98b, 0x0fbd859d12a6951b,
  0xe0fbce71f8df8188, 0x38fcf37807d4180e, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x12e65f36c490c76f,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x1320d3c95fb9a199, 0x0000000000020888,
};

static const uint64_t ur_m324pb_autobaud_uart2_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xfd85f3f5bf304f8c, 0x54088153d7c39dbf, 0x26bfdf82c05d2bf0, 0x3c368ded51c2bf55, 0xb680e1c1b8bea8e4,
  0x0d8488bee24b1e79, 0x3a3ea49fa8f84bf1, 0xed6e6def99e2ee37, 0x9835afea3cafa894, 0x140a62b09fea3e0d,
  0x4616588a459a75a1, 0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090,
  0xb0b3a254d2a36089, 0x79ce3f1bf03101f7, 0x9e6f00fa8301dc1f, 0x02baa9cbca6c671f, 0x516961738c6f19d1,
  0xcbe6d89218edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000002088611261d,
};

static const uint64_t ur_m324pb_autobaud_uart2_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0xf82a0440a9ebe1ca, 0xaa935fefc1602e95, 0x39c61b46f6a8e15f, 0x98fa8f2b9126ab5a,
  0xbe2beebd47c1b306, 0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6,
  0xb65cc5c24228e791, 0xa6951b047eb70dec, 0xdf81880fbd801512, 0xd4180ee0fbce71f8, 0x5e536338fcf37807,
  0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0x8dc79b09732f9b62, 0x7bde50c2a73f505d, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x4f6f82a29e4afdcd, 0x000000000000002c,
};

// m324pb_autobaud_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m324pb_autobaud_uart2_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x82a0440a9ebe1ced, 0xa935fefc1602e95f, 0x21e1b46f6a8e15fa, 0xcdb4070e0dc5f547,
  0x886c2445f71258f3, 0xdc4a8b91fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8,
  0x7d185962291669d6, 0xb39d5dba711d484d, 0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2,
  0xdec2ce89534a8d82, 0x7de738fc6fc0c407, 0x7e79bc03ea0c0770, 0x440aeaa72f29b19c, 0x5545a585ce31bc67,
  0x732f9b624863b7b1, 0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000012a43089a2,
};

// m324pb_autobaud_uart2_lednop_pr
static const uint64_t ur_m324pb_autobaud_uart2_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0xebe1f75feb0ef3f1, 0x602e95f82a0440a9, 0xa8e15faa935fefc1, 0x4f1df2c90e1b46f6, 0x3d1c74fe0cd27a8e,
  0x0a731602dee986ff, 0x1823af173b071472, 0x407dec2b141f71cb, 0xde7810138fc6fc0c, 0xfcf3796ea0c07707,
  0xf7ca9bd4a7253a00, 0x74408ea2810b4e02, 0x84b997cdb4e31bc6, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xaf69e4afdcd0ccb0, 0x0000000007110249,
};

static const uint64_t ur_m324pb_autobaud_uart2_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0x7fffdb3f1ee609f1, 0xe0a81102a7af87dd, 0xaa4d7fbf0580ba57, 0x08786d1bdaa3857e, 0xf83417ea3dac77cb,
  0x0b2ca6f920fc71d3, 0x3e7659e8d219cc58, 0x348a807fecc11d7a, 0xbd905681e59eda0b, 0x020271f8df81880f,
  0xbcd914180ee0fbcf, 0x4dea53929d007e79, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xc9ab83cd84b997cd,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x34f82c834f257ee6, 0x000000000000008c,
};

// m324pb_autobaud_uart2_lednop_pr_ee_u4
static const uint64_t ur_m324pb_autobaud_uart2_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0xff6cf8d69827c64e, 0x4088153d7c3d37ff, 0x6bfdf82c05d2bf05, 0xc368ded51c2bf552, 0x51e56654d56b4738,
  0xc3dfa8f83660d31f, 0x291669d68450ef8a, 0x3593484d7d185962, 0x2464d1cead2e7aae, 0x6355ae875e74dda3,
  0x98b8484504f237b5, 0xa3608fd6e1bd96cb, 0x6203ef60043eccf2, 0x3ef3c0809c7e37e0, 0x1f9e6f36450603b8,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x65f36dce455bd8aa, 0x8df1726ae0f3612e, 0xea75663c81f94345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x004d4e48bf20d3c9,
};

// m324pb_autobaud_uart2_lednop_pr_ce_u4
static const uint64_t ur_m324pb_autobaud_uart2_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x27fffdb3f6ea609f, 0xfc15022054f5f0f0, 0xd549aff7e0b0174a, 0xae490da37b5470af, 0xc79e012a7752ae2f,
  0x12fc4361222fb892, 0x2ee372b7e007ea3e, 0x3f493dcb19fac99e, 0x888b1c74fe0f59ea, 0x659e8d219cc580a9,
  0xa807feccf1d7a3e7, 0x415a0796b720b348, 0x09c7e37e06203ef6, 0x6450603b83ef3c08, 0xa94e4a7401f9e6f3,
  0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x5c1e6c25ccbe6db9, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xbde41a792bf73433,
  0x000000000008dd76,
};

static const uint64_t ur_m324pb_autobaud_uart2_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0xf6cf8689827c64ee, 0x1102a7af8763ffff, 0x7fbf0580ba57e0a8, 0x6d1bdaa3857eaa4d, 0xa9defb3bfea8dfc8,
  0xdc6e5c89257e7804, 0x7529dacac7be6139, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4, 0x26be8c2cb1148b34,
  0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731, 0x03ef61663eccf2a3,
  0xf3c0809c7e37e062, 0x9e6f36450603b83e, 0xf9537a94e4a7401f, 0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2,
  0xf2e4d5c1e6c25ccb, 0x5663c81f9434596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000020883a2e41a,
};

static const uint64_t ur_m324pb_autobaud_uart2_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xfec2f9f43e9827c6, 0x15022054f5f0f107, 0x49aff7e0b0174afc, 0x0f0da37b5470afd5, 0x6da03896ae2faa39,
  0x4361222fb892c79e, 0x8089300fea3e12fc, 0x76b736f7ccf1771b, 0xcc1ad7f51e57dd4a, 0x8a05315edff51f06,
  0xa30b2c4522cd3ad0, 0x73abb71ea3a909af, 0xb1d79d3768c91934, 0x2282791bdab1aaf1, 0x6470decb65cc5c24,
  0xd8598fb33ca8d822, 0x20271f8df81880fb, 0xcd914180ee0fbcf0, 0xdea53929d007e79b, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x4110f5418773c95f,
};

static const uint64_t ur_m324pb_autobaud_uart2_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0xf82a0440a9ebe1e9, 0xaa935fefc1602e95, 0x39c61b46f6a8e15f, 0x98fa8f2b32a6ab5a,
  0x7c561efd47c1b306, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6,
  0xb65cc5c242282791, 0x67951b047eb70dec, 0xbf03101f7b0021f6, 0x1dc1f79e0404e3f1, 0x3a00fcf379b22830,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000002c4f27e1,
};

// m324pb_autobaud_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m324pb_autobaud_uart2_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x7e0a81102a7af878, 0xeaa4d7fbf0580ba5, 0x1c8786d1bdaa3857, 0xcf36d01c4b5717d5,
  0x7e21b09117dc4963, 0xe3729299cbf51f09, 0xa94ed6e6def99e2e, 0xe0d9835afea3cafb, 0x5a1140a62bdbfea3,
  0x35f4616588a459a7, 0x268e7576e3d47521, 0x5e363af3a6ed1923, 0x8484504f237b5635, 0x044c8e1bd96cb98b,
  0x1f7b0b31f667951b, 0x9e0404e3f1bf0310, 0xf379b228301dc1f7, 0xca9bd4a7253a00fc, 0x9aba718de33a2077,
  0x36dce18edec55516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0012a43d51453c95,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual[] = {
  0xebf777777750d2a8, 0x777777770ff8fc9d, 0x34da2ea33977ad8b, 0xacf9eb14ab13bbba, 0x27c64833b91d68d5,
  0x8f64c8c1548ca898, 0x251850c85a6fc0d8, 0x994f7e657419dd3e, 0xea3c87d817538143, 0x22847244fe0dc9cd,
  0xe1f0a21895fe7ef8, 0xaaeef77cdce9f006, 0x318a8432d09b910c, 0x96dd2b7fd01cf099, 0xff1d4e60b0de5790,
  0x82a0440a9ebe1c7b, 0xa935fefc1602e95f, 0x5fe1b46f6a8e15fa, 0xc1a43f51ee19df2d, 0xbf8732d726a38e9f,
  0xb7613e8d059cc580, 0x61a4dc72c608ebc8, 0xb27f157ceee2a4a5, 0x404e3f1bf03101f7, 0xf9e6f301dc1f79e0,
  0x016a72452d5e7401, 0xa2065fe2810b4a9f, 0x25ccbe6da718de33, 0x30ae4fcfec371e6c, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000c9e4f7928c3b,
};

// m324pb_autobaud_uart2_dual_pr_u4
static const uint64_t ur_m324pb_autobaud_uart2_dual_pr[] = {
  0xeeeeeeed121a559b, 0xeeeeee1ff1e76bd7, 0x480a7ad13b4e76ee, 0x711d6667bbbb514c, 0x77270be3fd8be66e,
  0x5521a0f304f8c969, 0x169bf03623d93230, 0x5d06774f89461432, 0x1810e12ba6b75f99, 0x3f8338737a8ec176,
  0x257f9fbe08a11c91, 0x9b8ff001b87c2886, 0x5a1a5221955ddeef, 0xfa039e134dd15086, 0x161bcaf212dbba5f,
  0xa9ebe1bf9fe3a9cc, 0xc1602e95f82a0440, 0xf6a8e15faa935fef, 0x8f914ef9626a1b46, 0x8bdf1c74fe0c43fa,
  0x3afe731602a83cd3, 0xfb30475e00ced6b2, 0x7967b621d21aa01f, 0xc55f3bb8a92a93a0, 0x8fc6fc0c407dec9f,
  0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8,
  0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0xfd5061dcf257ee68, 0x0000000000002e0a,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_pr_ee[] = {
  0xfbbbbbba1eb432db, 0xddddddc3e6c201f5, 0xc573a8bcb56e4cdd, 0x2c9f763cc4ee94e6, 0x23822ac69e33aeec,
  0x44463304f8c93237, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0x0706bb990fbf32ba, 0x18689bd477f9b0c4,
  0xfcfdf04508e489fc, 0x11200dc3e144312b, 0x044432abbbddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0xe193aff1d4e60b0d, 0x2e95f82a0440a9eb, 0xe15faa935fefc160, 0xab5a39121b46f6a8, 0x660c14f51e56bee6,
  0x450ef8aea57a8f83, 0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7,
  0x6f65f4b3170908a0, 0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x0138fc6fc0c407de, 0x6c8a0c07707de781,
  0xf529c94e803f3cde, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xaccdfc1ddc68b3a7,
  0xf313f9430a9cfd4e, 0xe09a1e64ff1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592, 0x861dcf257ee68665,
  0x000000000052a45d,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_pr_ee_u4[] = {
  0x5fbbbbbbb4486f97, 0x777777770f9b15af, 0xdeb0ebe7da4cdeef, 0x6abe3558f313bb02, 0xe4f04674e16a7480,
  0x48f5aa609f1928ce, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0x9a383fc9b107e657, 0xc1d8fcdea3868d86,
  0xbfcfdf04508e489f, 0x995000dc3e144312, 0x0a5a21955ddeef9b, 0x0e784df3a2a10cb4, 0xde579096dfa7ffe8,
  0xbe1c56ff1d4e60b0, 0x02e95f82a0440a9e, 0x8e15faa935fefc16, 0x6ab5a3d2a1b46f6a, 0x3660fe4f51e571ee,
  0x8450ef8acc7fa8f8, 0x7d185962291669d6, 0x69709eb84173484d, 0xdac4ec3e23e90e75, 0xa04752ec6ab5d0eb,
  0x37b2e3e3170908a3, 0x77715255c09ffadc, 0xf81880fbd93f8abe, 0xee0fbcf020271f8d, 0xd007e79bcd914180,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b997cdb739156f6, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xc3b9e4afdcd0ccb0,
  0x000000002952042c,
};

// m324pb_autobaud_uart2_dual_pr_ce_u4
static const uint64_t ur_m324pb_autobaud_uart2_dual_pr_ce[] = {
  0xafddddddda2432db, 0xdddddddc3f853adf, 0xd96fdd8becad4d7d, 0x28fdce2d5bbbb625, 0xe0dc8e08ab01f19d,
  0x82a911f74c13e326, 0x90b4df81b11ec991, 0xcae833ba7c4a30a1, 0x826d9c276e6b5bfc, 0x3f8331f9bd47ddad,
  0x257f9fbe08a11c91, 0x3719c801b87c2886, 0x681754432abbbddf, 0xd01cf0992b454219, 0xb0de579096dc2d7f,
  0x9ebe1eceff1d4e60, 0x1602e95f82a0440a, 0x6a8e15faa935fefc, 0x1d2dc5f54021b46f, 0x45f71258f3cdb407,
  0xd7fd47c25f886c24, 0xfa9733c5dc6e0a4f, 0x3a97ea38df9ee58c, 0x16028283e471d3f8, 0x5e00ced6b23afe73,
  0x21d21aa01ffb33c7, 0xee2a4aa4e81e5adc, 0x03101f7b27f157ce, 0xc1f79e0404e3f1bf, 0x00fcf379b228301d,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xe65f36dce18edec5, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a,
  0x00000002b5ecb330,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_pr_ee_ce[] = {
  0xafdddddddd436f02, 0xdddddddc3f98b85f, 0x8b5137b375ad9b4d, 0x5a0a279bb89dbb38, 0xfe1f35ef262cdb4f,
  0x9e5e609f192d8ae4, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3ace6643fccae83, 0xd79bd47986d833e1,
  0xfbe08a11c913f83f, 0x801b87c2886257f9, 0x88655777bbe6e79c, 0x134728a8432d04b4, 0xf212db8a4ffa039e,
  0xd35fe3a9cc161bca, 0x2bf054088153d7c3, 0xbf5526bfdf82c05d, 0xa8dc9c368ded51c2, 0x7e79b680e0d63bfe,
  0xba6139dc6e5e1f2d, 0xd4795bf929dacac9, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x71f8df81880fbd93, 0x14180ee0fbcf0202, 0x53929d007e79bcd9, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0xc79b09732f9b6e70, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65, 0xc2861dcf257ee686,
  0x0000000000018881,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7772df, 0xddddc3e4871ffd7e, 0xa7abbdc87afe1ddd, 0x22ecb74b10ebdf5d, 0xae1968af7f57c3eb,
  0x9273ae5b5aa83579, 0x460aa43c7ae609f1, 0x8642d37e06c47b26, 0x9968394ee9f128c2, 0xc3a3e705249b9bff,
  0x9fc1b21cdea3b396, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xa09b688655777bbe, 0x80e784d63f150865,
  0x0de579096dfacffe, 0x5f0f1bbffc80a60b, 0x0174afc15022054f, 0x470afd549aff7e0b, 0xe2faa353d0da37b5,
  0x892c79e6da4ec66e, 0xa3e12fc4361222fb, 0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47,
  0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3,
  0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0x8df81880fbd93f8a, 0x80ee0fbcf020271f, 0x29d007e79bcd9141,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0xb1a2c6f8b9357079, 0x4e7ea75666fe0fdb,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000fd5bb7205549,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_ee_hw[] = {
  0xfddddddda243359b, 0xeeeeeee1f36100fa, 0x62b9d45e5ab7266e, 0x164fbb1e62774a73, 0xdc8786614d6baf76,
  0xa91118cc13e324c8, 0xb4df81b11ec99182, 0xe833ba7c4a30a190, 0x101c1aee643efcca, 0xf061a26f51dfe6c3,
  0xaff3f7c114239227, 0xc04480370f8510c4, 0x181110caaeef77cd, 0x073c262eb150865a, 0x3795e425b7ff9ff4,
  0x5f0c9d7fa8e2982c, 0x0174afc15022054f, 0x470afd549aff7e0b, 0x355ad1c890da37b5, 0x1b3060a7a8f2b5f7,
  0x422877c5752bd47c, 0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e,
  0xc37b2fa598b84845, 0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0x0809c7e37e06203e, 0xf36450603b83ef3c,
  0x37a94e4a7401f9e6, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x0b0725d9453c95fb,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_ee_ce_hw[] = {
  0xfbbbbbbba8286f97, 0xbbbbbb87f3170bf5, 0x6a26f66eb5b369bb, 0x4144f37713b76711, 0x7278233ad53a69eb,
  0x484f2f304f8c96c5, 0xa6fc0d88f64c8c15, 0x419dd3e251850c85, 0xf0e1d673321fe657, 0x1febcdea3cc36c19,
  0xfcfdf04508e489fc, 0xce400dc3e144312b, 0x5a4432abbbddf373, 0xcf09a39454219682, 0xe579096dc527fd01,
  0xc3d35fea38a60b0d, 0x5d2bf054088153d7, 0xc2bf5526bfdf82c0, 0xfea8dc9c368ded51, 0x21fe79b680e0d63b,
  0xc9ba6139dc6e759b, 0xf3d4795bf929daca, 0x62b80dea3e0d9835, 0x588a459a75a1140a, 0x6e328752135f4616,
  0x512ed10a3dece757, 0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1, 0x93f8abe77715252c,
  0x0271f8df81880fbd, 0xd914180ee0fbcf02, 0xea53929d007e79bc, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x8dc79b09732f9b6e, 0x71a50c2a73f5361d, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00042699c29453c9,
};

static const uint64_t ur_m324pb_autobaud_uart2_dual_ee_ce_u4_hw[] = {
  0xddddddda28d11107, 0xbbbbb87c90e3ffaf, 0xf5da7abbf5c87bbb, 0x3eb22ecb74b10ebd, 0xa9c7ba418af7f57c,
  0x304f8c939d726ff6, 0x23d932305521e3d7, 0x89461432169bf036, 0xdcdffccb135a774f, 0x1d9cb61d1f382924,
  0x847244fe0d90e6f5, 0xf0a21895fe7ef822, 0xbbddf372e4a006e1, 0xa8432d04db4432ab, 0xd67ff4073c26b1f8,
  0x4930586f2bc84b6f, 0x88153d7c3c6effe5, 0xfdf82c05d2bf0540, 0x68ded51c2bf5526b, 0x1c19bb8bea8d4f43,
  0x88bee24b1e795f58, 0x9bffa8f84bf10d84, 0x6e6e99e2ee371493, 0xf9ea3cadfc94ed6e, 0x315c06f51f06cc1a,
  0x2c4522cd3ad08a05, 0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140,
  0x627f58a8d8226470, 0xc9fc55f3bb8a9296, 0x0138fc6fc0c407de, 0x6c8a0c07707de781, 0xf529c94e803f3cde,
  0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0xc6e3cd84b997cdb7, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xcbe1d85f4f257ee6, 0x0000000000002134,
};

// m324pb_u1x8_uart2_noled_pr
static const uint64_t ur_m324pb_u1x8_uart2_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0xc9feb0ef3e0a4c13, 0x70b6fed3225bd817, 0x417ea3f4077cb087, 0x6533df6b471d3f83, 0xed5fd1eb0e62c059,
  0x9500ffd9823af47c, 0x071f03cb3db1f667, 0x9ce3f1bf03101f7b, 0xe6f00fa8301dc1f7, 0x2baa9cbca6c671f9,
  0x16961738c6f19d10, 0x5f36c4922adec555, 0xf8d163ce1bb612e6, 0xc2b93f75663c81a3, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x000003e434e6bda7,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0xffed9f052609f193, 0xdfda644b7b02f93f, 0xd47e80ef9610ee16, 0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6,
  0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0x7e37e06203ef60e3, 0x01f50603b83ef39c, 0x539794d8ce3f3cde,
  0xc2e718de33a20575, 0xd892455bd8aaa2d2, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x4cf54641a792bf73,
  0x000000000000003e,
};

// m324pb_u1x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0xb67ca5cc13e32776, 0xd3225bd813a5ffff, 0x49aad68e7170b6fe, 0xf06cc1a63ea3cae4, 0xd68450ef8afbaf51,
  0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059, 0x8a39e461c6c6ab5d, 0xadc37b2d97317090,
  0x600544a9a546c11f, 0xf39c7e37e06203ef, 0x3cde01f50603b83e, 0x0575539794d8ce3f, 0xa2d2c2e718de33a2,
  0xcbe6d892455bd8aa, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00275d69f641a792,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7fac3bcfc7b, 0x5e91c2dbfb4c896f, 0x7f3c025038989dff, 0x19cc273b8dc90e5d, 0x8cfd4710f3dcb017,
  0x016e189f8e3a7f07, 0x8b9da4151e33398b, 0xc1d3a7b8e58cf1d7, 0xe738fc6fc0c407de, 0xcf3796ea0c07707d,
  0xf55d54e5e536338f, 0x19d102e6cc6085a6, 0xb612e65f36d38c6f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x26bda792bf734332, 0x000000000002dd49,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffffdb3ff3a609f1, 0x5b7f69912dec08a2, 0x254edfcb8beb9238, 0x6c2445f71258f3c0, 0x1fe620fd47c25f88,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea393d3, 0x3d61cc580a3e7491, 0xfb33c75e8f9dabfa, 0x1e5adc3eccf2a01f,
  0x8df81880fbd838f8, 0x7d4180ee0fbce71f, 0xe5e536338fcf3780, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0,
  0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x015b20d3c95fb9a1, 0x000000000000375d,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0xc896f60416bfffed, 0xc5f54721dc2dbfb4, 0x1258f3c0254ece0d, 0x47c25f886c2445f7,
  0x678bb8dceb3643fd, 0xf2bea253b5b9b7be, 0x7fa8f83660d6bfa8, 0x1669d68450298ac2, 0x1d484d7d18596229,
  0xded1e0b39d5dba71, 0x1b1aaf1b1d79d376, 0x5cc5c24228e79187, 0x4a8d8226470decb6, 0xc0c407dec2ce8953,
  0x0c07707de738fc6f, 0x29b19c7e79bc03ea, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0x079b09732f9b6248,
  0x7e50d165abcb9357, 0x861539fa9d598f20, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x4fc4099069e4afdc,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0xdfda644b7b02e9ff, 0x7812e2faa3726e16, 0x22fb892c79e012a7, 0x257ea3e12fc43612,
  0xdc6533c5dc6e5c89, 0x7fd4795ce329dadc, 0x62bc93d47c1b3063, 0x588a459a75a1140a, 0x6e884752135f4616,
  0xa9bb73c8daf8e757, 0x46692c6abc6c75eb, 0x65c3918b848451ac, 0x0fbd98c5d332386f, 0xe0fbce71f8df8188,
  0x671f9e6f2dd4180e, 0x0b4deabaa9cbca6c, 0x18de33a205cd98c1, 0x5c1e6c25ccbe6da7, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x85e41a792bf73433, 0x0000000000004fc0,
};

static const uint64_t ur_m324pb_u1x8_uart2_noled_ee_hw[] = {
  0x777776e5448690e3, 0xddddd2c46814dd63, 0xfc760bfd2e833ddd, 0x080187238f7583ec, 0x3ba24599e86e4109,
  0xf61ff3e52e609f19, 0x6fed3225bd813a5f, 0xae449aad68e7170b, 0xf51f06cc1a63ea3c, 0x669d68450ef8afba,
  0x3484d7d185962291, 0x059cead2f38ae359, 0xb5d0ebce9bb6f68f, 0x0908a39e461c6c6a, 0x11fadc37b2d97317,
  0x3ef600544a9a546c, 0x83ef39c7e37e0620, 0xe3f3cde01f50603b, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0x25ccbe6d892455bd, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x000000000b7c6a92,
};

// m324pb_u1x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m324pb_u1x8_uart2_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0xb7f69912dec082d7, 0xe1c1b8bea8e43b85, 0x88bee24b1e79b680, 0x723fa8f84bf10d84,
  0x36f7ccf1771b8951, 0xd7f51e57d44a76b7, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05, 0xb74e23a909afa30b,
  0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1, 0x1f8df81880fbd859,
  0x807d4180ee0fbce7, 0x54e5e536338fcf37, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x02808415d453c95f,
};

// m324pb_u1x8_uart2_lednop_pr
static const uint64_t ur_m324pb_u1x8_uart2_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0x6eff58779f402609, 0xb85b7f69912dec0a, 0xa0bf51ed63be5843, 0x6537c907e38e9fc1, 0xb2cf4690ce62c059,
  0x5403ff6608ebd1f3, 0x82b40f2cf6d059a4, 0x138fc6fc0c407dec, 0xc8a0c07707de7810, 0x529c94e803f3cde6,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x9c376c25ccbe6db9, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0x9054ed7b4f257ee6, 0x000000000000000f,
};

static const uint64_t ur_m324pb_u1x8_uart2_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0x7fffdb3e804c13e3, 0x2dbfb4c896f60537, 0x5fa8f6b1df2c21dc, 0x9be483f1c74fe0d0, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0xc7e37e06203ef641, 0x50603b83ef3c0809, 0x4e4a7401f9e6f364,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x0f3612e65f36dce4, 0x1f943458df1726ae, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xb20d3c95fb9a1996,
  0x0000000001f26135,
};

// m324pb_u1x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m324pb_u1x8_uart2_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xd9f53d304f8c9dd3, 0x4c896f6045d7fffe, 0xa6ab5a39c5c2dbfb, 0xc1b30698fa8f2b32, 0xb422877c561efd47,
  0x6be8c2cb1148b34e, 0x756973d571ac9a42, 0x3af3a6ed1923268e, 0x282791bdab1aad74, 0xb70decb65cc5c242,
  0x0021f667951b047e, 0x04e3f1bf03101f7b, 0xb228301dc1f79e04, 0xd4a7253a00fcf379, 0x718de33a2077ca9b,
  0x722adec555169aba, 0x57079b09732f9b6e, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xe059069e4afdcd0c, 0x0000000000009d77,
};

// m324pb_u1x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m324pb_u1x8_uart2_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0x7fffdb3e70e609f1, 0x5b7f69912dec092b, 0x4a9dd4ab8beb9238, 0xd8488bee24b1e780, 0xadf801fa8f84bf10,
  0x72c67eb2678bb8dc, 0x1d3f83d67a8fd24f, 0x486731602a6222c7, 0xb33c75e8f9d967a3, 0xe5adc82cd22a01ff,
  0xdf81880fbd905681, 0x0ee0fbcf020271f8, 0x9d007e79bcd91418, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x09732f9b6e70c76f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000dd75e7d906,
};

static const uint64_t ur_m324pb_u1x8_uart2_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xb3e1a2609f193baa, 0x3225bd8158fffffd, 0x717d51c8770b6fed, 0xc4963cf00953b4b5, 0x51f097e21b09117d,
  0x99e2ee372e4492bf, 0x3cafba94ed6e6def, 0xbfea3e0d9835afea, 0x459a75a1140a62bd, 0x4752135f4616588a,
  0xd1923268e7576e3d, 0xb56355e363af3a6e, 0xcb98b8484504f237, 0x7951b044c8e1bd96, 0xf03101f7b0b31f66,
  0xdc1f79e0404e3f1b, 0xa00fcf379b228301, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2e65f36dce18edec,
  0x2cb579726ae0f361, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x720d3c95fb9a1996, 0x00000000004fc1d1,
};

static const uint64_t ur_m324pb_u1x8_uart2_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xff617cfeed4c13e3, 0xb7f69912dec08c7f, 0xe656b8bea8dc9b85, 0x88bee24b1e79b680, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0x3ef66315346470de, 0x3c0809c7e37e0620,
  0x803f3cde603b83ef, 0x53e02d4e48a5abce, 0x8ce88197f3182169, 0x9b09732f9b69c637, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x2b18773c95fb9a19, 0x0000000000013f00,
};

static const uint64_t ur_m324pb_u1x8_uart2_lednop_ee_hw[] = {
  0x777776e54486d38b, 0xeeeee962340b4563, 0x7a9bc77b6f4fdeee, 0x0f1ec391c7bac1f6, 0x7751994ed29456d9,
  0xec3fe7d4f4c13e32, 0xdfda644b7b022ebf, 0x5995355ad1ce2e16, 0xea3e0d9834c7d479, 0x9a75a1143be2b0f7,
  0xd2135f4616588a45, 0x3473ab4b9eab8d64, 0x6ba1d79d3768c919, 0x1211413c8ded58d5, 0x23f5b86f65b2e62e,
  0xfbd8010fb33ca8d8, 0xf020271f8df81880, 0x9bcd914180ee0fbc, 0x54dea53929d007e7, 0xd5d38c6f19d103be,
  0xdb739156f62aa8b4, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x002df5a37514f257,
};

// m324pb_u1x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m324pb_u1x8_uart2_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0xfed3225bd8158fff, 0x4b5717d51c8770b6, 0x17dc4963cf36d01c, 0xcbf51f097e21b091,
  0xdef99e2ee3729299, 0xfea3cafba94ed6e6, 0x2bdbfea3e0d9835a, 0x88a459a75a1140a6, 0xe3d4752135f46165,
  0xa6ed1923268e7576, 0x237b56355e363af3, 0xd96cb98b8484504f, 0xf667951b044c8e1b, 0xf1bf03101f7b0b31,
  0x301dc1f79e0404e3, 0x253a00fcf379b228, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x3612e65f36dce18e,
  0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x49453c95fb9a1996, 0x00000000002808f5,
};

// m324pb_u1x8_uart2_dual_pr
static const uint64_t ur_m324pb_u1x8_uart2_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f2efd, 0xfdef255c66eb4a76, 0x562727091dddd410, 0x2f4ee4af99f0f62c,
  0x460aa4337e609f19, 0x8642d37e06c47b26, 0xe656024ee9f128c2, 0xcd82fb3814599c9f, 0xc913f8332a6f51df,
  0x886257f9fbe08a11, 0xeef9b91c801b87c2, 0x0865a119221955dd, 0x8fffa039e135ad15, 0x34c161bcaf212db9,
  0xd3225bd811ebfe48, 0x88a77cb57f70b6fe, 0xd2471d3f83487ea3, 0xed1cc580bf873263, 0x8c11d7916ecd7c8d,
  0xddc5494ac1f7b8e5, 0xe06203ef64fe2af9, 0xb83ef3c0809c7e37, 0xd007e79bcb750603, 0x7017be54dea53929,
  0xde33a2047514085a, 0x1e6c25ccbe6da718, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x9296cf8138cb25c3,
  0x069e4afdcd0ccb0e, 0x0000000001887399,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_pr_u4[] = {
  0xddddd7ed44861a4e, 0xddddc3eebcdd7afd, 0x81793b92eb62dddd, 0x6294247777717bd7, 0x2e49aee16933dc3d,
  0x55219bf304f8c95a, 0x169bf03623d93230, 0x5d06774f89461432, 0x0958e0e966387f99, 0x3f8380d37a8ffbb6,
  0x257f9fbe08a11c91, 0x373a7c01b87c2886, 0xb41314432abbbddf, 0xf4073c268ca2a10c, 0x2c3795e425b731ff,
  0x4b7b023d7fc75398, 0x77cb134e16dfda64, 0xe3a7f0621fd47c8a, 0x98b01541e69c5ef8, 0x3af00676b591d7f3,
  0xb10e90d500ffd982, 0xddc549549d03cb3d, 0xe06203ef64fe2af9, 0xb83ef3c0809c7e37, 0x401f9e6f36450603,
  0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2e65f36dce455bd8, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x0ee792bf734332c3,
  0x00000001493de4a3,
};

// m324pb_u1x8_uart2_dual_pr_ee_u4
static const uint64_t ur_m324pb_u1x8_uart2_dual_pr_ee[] = {
  0xeeeeebf6a2435202, 0xddddc3ed4f3efd7e, 0xaee350f6daafdddd, 0xb2899bd7dd466ccf, 0xada6cdf9af45fbf7,
  0xe609f193d3ae4e43, 0xd88f64c8c154876e, 0x3e251850c85a6fc0, 0xfc98347e657419dd, 0x37a8fd3fb0b1f387,
  0xc114239227f07d5f, 0x370f8510c4aff3f7, 0x655777bbe6e25400, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0xdfe3a9cc161bcaf2, 0x16dfda644b7b02ca, 0xf2b5f7355ad1c88e, 0x2bd47c1b3060a7a8, 0x8b34eb422877c575,
  0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6, 0xc11fadc37b2fa598,
  0xdc54940213fac546, 0x06203ef64fe2af9d, 0x83ef3c0809c7e37e, 0x01f9e6f36450603b, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a, 0x00000002b247d730,
};

// m324pb_u1x8_uart2_dual_pr_ce_u4
static const uint64_t ur_m324pb_u1x8_uart2_dual_pr_ce[] = {
  0xddddd7ed448618be, 0xddddc3fe3d9f7afd, 0x10d26586d1d7dddd, 0xfaec7b6eeecbb89c, 0x72ebd9c1059e0ac5,
  0xa40523304f8c9313, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0x5a3805a98c7ff32b, 0xe0e2b4dea393ad82,
  0x5fe7ef822847244f, 0xc986006e1f0a2189, 0x0bed10caaeef77cd, 0x073c260f7150865a, 0x3795e425b7d37ff4,
  0xf60452ffc753982c, 0xf5401c2dbfb4c896, 0x58f3cdb4071d2dc5, 0xc25f886c2445f712, 0xc5dc6e0a4fd7fd47,
  0x38df9ee58cfa9733, 0x83e471d3f83a97ea, 0xd6b23afe73160282, 0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a,
  0x7b27f157ceee2a4a, 0x0404e3f1bf03101f, 0x79b228301dc1f79e, 0x9bd4a7253a00fcf3, 0xba718de33a2077ca,
  0xdce18edec555169a, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0692649330ee792b,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_pr_ee_ce[] = {
  0xeeeebf6d4143359b, 0xdddc3ec4535fd7ee, 0x06e7162dc3eddddd, 0x5ea6f92eebd61ec8, 0x852faed75d9bae25,
  0x304f8c9667721e19, 0xc47b26460aa45927, 0xf128c28642d37e06, 0x49bf5ff32ba0cee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfc753982c3795e42, 0xb7f69912dec0a87f, 0xe0d63bfea8dc9b85, 0xdcca8683fe79b680, 0x53b5959374c273b8,
  0x1b306be7a8f2b7f2, 0x422814c5701bd47c, 0xbe8c2cb1148b34eb, 0xd9ceaedc650ea426, 0xc6c75ea25da2147b,
  0x4845022a3e7ac6ab, 0x8991c37b2fa598b8, 0x2a4a5989fd62a360, 0x101f7b27f157ceee, 0xf79e0404e3f1bf03,
  0xfcf379b228301dc1, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x5f36dce18edec555, 0x4596af1b8f3612e6,
  0xe7ea75666fe0eee3, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9, 0x430ee792bf734332,
  0x0000000000040020,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_pr_ee_ce_u4[] = {
  0x7775fb515b768f43, 0x7770fe62e17ebf77, 0xcdd6a6d36c137777, 0x6ee276ece22d44de, 0xfe1a9c6d3d68289e,
  0xe325b15cbc4fdad4, 0x9323055213cbcc13, 0x61432169bf03623d, 0x3fccb41ca774f894, 0x86d833e1c3ace664,
  0xc913f83fd79bd479, 0x886257f9fbe08a11, 0xbbe6e79c801b87c2, 0x432d04b488655777, 0x4ffa039e134728a8,
  0x4c161bcaf212db8a, 0x912dec0b4d7ff901, 0x8bea8d4f385b7f69, 0x24b1e79b693b19bb, 0x8f84bf10d8488bee,
  0xf1771b9aa0f20ffa, 0x56fe4a76b737374c, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0x37e06203ef64fe2a, 0x03b83ef3c0809c7e, 0xa7401f9e6f364506, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xc25ccbe6db9c31db, 0xc68b1be2e4d5c1e6, 0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000400184495524,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_ee_hw[] = {
  0xddddd7ed448664d6, 0xbbbb87da9e7dfafd, 0x5dc6a1edb55fbbbb, 0x651337afba8cd99f, 0xcd8f0f65928bf7ef,
  0xb77304f8c9e9d72c, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc3fe4c1a3f32ba0c, 0xaf9bd47e9fd858f9,
  0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256, 0x79096dce0ffd01cf,
  0xcadfea38a60b0de5, 0x8e16dfda644b7b02, 0xa8f2b5f7355ad1c8, 0x752bd47c1b3060a7, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0x28f7b39d5a5cca5c, 0xc6ab5d0ebd44bb44, 0x98b84845022a3e7a, 0x46c11fadc37b2fa5,
  0x9ddc54940213fac5, 0x7e06203ef64fe2af, 0x3b83ef3c0809c7e3, 0x7401f9e6f3645060, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x12e65f36dce455bd, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000015da8faf,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_ee_ce_hw[] = {
  0xbbbbafdbb0486f97, 0xbbbb87f3170bf5fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0x78233ad53a69eb41,
  0x4f2f304f8c96c572, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe1d673321fe65741, 0xebcdea3cc36c19f0,
  0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x4432abbbddf373ce, 0x09a394542196825a, 0x79096dc527fd01cf,
  0xd35fea38a60b0de5, 0xce16dfda644b7b02, 0xb407066ee2faa353, 0x6c2445f71258f3cd, 0xeb3643fd47c25f88,
  0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42, 0xceaedc650ea426be,
  0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089, 0x1f7b27f157ceee2a,
  0x9e0404e3f1bf0310, 0xf379b228301dc1f7, 0xca9bd4a7253a00fc, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x6c3b1b8f3612e65f, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x00000001d7538528,
};

static const uint64_t ur_m324pb_u1x8_uart2_dual_ee_ce_u4_hw[] = {
  0xfbbbbbafda890c86, 0xbbbbbb87f3151ff5, 0x49336b455fae17bb, 0x766d13cddc4edd3b, 0x6b97763766f31508,
  0xaa427979827c64bd, 0x2d37e06c47b26460, 0xba0cee9f128c2864, 0x6b670986999f3f32, 0xf070026f51ff5f60,
  0xaff3f7c114239227, 0xceeb00370f8510c4, 0x035910caaeef77cd, 0x073c26b75150865a, 0x3795e425b7149ff4,
  0xec0b4d7fa8e2982c, 0x8cbab85b7f69912d, 0xe79b680e472b8bea, 0xbf10d8488bee24b1, 0x71b8c87495fa8f84,
  0xfca76b73710ccf17, 0xf06cc1a63ea3caf6, 0xd68450298acf5f51, 0x4d7d185962291669, 0xfa039d5db9001d48,
  0x5e363af6b13b5ac8, 0x0908a043a313f635, 0x82991c37b2e3e317, 0xfe2af9ddc549718c, 0x9c7e37e06203ef64,
  0x725603b83ef3c080, 0xb29cbe7401f9e6f0, 0x63042d3c315953b8, 0xdb4e31bc67440fd6, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x001d752b5514f257,
};

// m324pb_u1x12_uart2_noled_pr
static const uint64_t ur_m324pb_u1x12_uart2_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x9feb0ef3f38cc13e, 0xfb6a7f76e9ebe1af, 0x03be5843c368dd27, 0xa38e9fc1a0bf51fa, 0x8731602cb299efb5,
  0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0x81880fbd838f81e5, 0x180ee0fbce71f8df, 0x536338fcf37807d4,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x0ddb09732f9b6249, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x0e735ed3c95fb9a1, 0x00000000000000f9,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xfed9f9c6609f193b, 0x4feedd3d7c35f3ff, 0xcb08786d1ba4ff6d, 0xd3f83417ea3f4077, 0x2c0596533df6b471,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x01f7b071f03cb3db, 0xdc1f79ce3f1bf031, 0x671f9e6f00fa8301,
  0x19d102baa9cbca6c, 0xec55516961738c6f, 0x612e65f36c4922ad, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x0000001f27f67b20,
};

// m324pb_u1x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0x67d82cc13e327743, 0x76e9ebe19c3ffffb, 0x38c368dd27fb6a7f, 0x1f51e57224d56b47, 0xc57dd7a8f83660d3,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xb7b4782ce756979c, 0xe36355ae875e74dd, 0xcb98b848451cf230,
  0xd2a3608fd6e1bd96, 0xf03101f7b002a254, 0x8301dc1f79ce3f1b, 0xca6c671f9e6f00fa, 0x8c6f19d102baa9cb,
  0x22adec5551696173, 0xe0f3612e65f36c49, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x1720d3c95fb9a199, 0x000000000013afbc,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x1f75feb0ef3f1ee6, 0xd27fb6a7f76e9ebe, 0xe2d73bfebd24368d, 0x373e7487fcf00940, 0xcf72c05c67309cee,
  0x38e9fc1e33f51ea5, 0x6a0e731602f4090e, 0xe58cf1d78b9da894, 0x03101f7b075f87b8, 0x301dc1f79ce3f1bf,
  0xa9b129fbe71f9e6f, 0x810818c10b4e48c1, 0x732f9b69c6378ce8, 0xd1fc68b1e70ddb09, 0x7a615c9fbab31e40,
  0x52d964a271964b86, 0xd3c95fb9a19961d2, 0x000000016ea4935e,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfffb67e43cc13e32, 0x6a7f76e9ebe1b93f, 0x8beb924368dd27fb, 0x1258f3c0254edfcb, 0x47c25f886c2445f7,
  0x99e2ee371fe620fd, 0x9ea393d3dcb19fac, 0x0a3e7491c74fe0f5, 0x8f9dabfa3d61cc58, 0xccf2a01ffb33c75e,
  0xfbd838f81e5adc3e, 0x0fbce71f8df81880, 0x8fcf37807d4180ee, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c,
  0x2e65f36c490c76f6, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00001bae838f20d3,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xe9ebe198fffffdb3, 0xc368dd27fb6a7f76, 0x4a9d9c1b8bea8e43, 0xd8488bee24b1e780,
  0xd66c87fa8f84bf10, 0x6b736f7ccf1771b9, 0xc1ad7f51e57d44a7, 0xa0531584ff51f06c, 0x30b2c4522cd3ad08,
  0x3abb74e23a909afa, 0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484, 0x859d12a6951b044c,
  0xce71f8df81880fbd, 0xf37807d4180ee0fb, 0x15d54e5e536338fc, 0x8b4b0b9c6378ce88, 0x5f36c490c76f62aa,
  0x579726ae0f3612e6, 0x3ab31e40fca1a2cb, 0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x000000027e15ab20,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xff6cfffc9827c64e, 0x9fddba7af87d3fff, 0xa37270da3749feda, 0x79e012a76c16e2fa, 0x2fc4361222fb892c,
  0xdc6e2545c8fea3e1, 0x2929dadcdc6533c5, 0x7c1b30637fd47958, 0x75a1140a62b887d4, 0x135f4616588a459a,
  0x627ce7576e7bc752, 0xbc6c75eba9bb0874, 0x24228905478cec6a, 0x1991c37b2e1c8c5c, 0x1bf03101f7b318fe,
  0xe6f301dc1f79ce3f, 0x8c1a9b129fbe71f9, 0xce8810818c10b4e4, 0xb09732f9b69c6378, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x69e4afdcd0ccb0e9, 0x000000013f021790,
};

static const uint64_t ur_m324pb_u1x12_uart2_noled_ee_hw[] = {
  0xeeec49dd4486fc3b, 0xeeee961e4090ac6e, 0x5936a64cf4ddeeee, 0x543d9c489dde0f42, 0xddb826eb4a71b082,
  0xb0ff9f60b304f8c9, 0x53fbb74f5f0ce1ff, 0x5a39c61b46e93fdb, 0x0698fa8f2b9126ab, 0x43be2beebd47c1b3,
  0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3, 0xecb65cc5c24228e7,
  0x12a6951b047eb70d, 0xf8df81880fbd8015, 0x07d4180ee0fbce71, 0x4e5e536338fcf378, 0x0b9c6378ce8815d5,
  0x6249156f62aa8b4b, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x02dfbc93a29e4afd,
};

// m324pb_u1x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m324pb_u1x12_uart2_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xa9fddba7af8663ff, 0xaa390f0da3749fed, 0xc79e6da038706e2f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0xf5129dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c5613fd, 0x426be8c2cb1148b3,
  0x8f059ceaedd388ea, 0xd578d8ebce9bb6f6, 0x2e1211473c8c38d8, 0x6c1132386f65b2e6, 0x203ef616744a9a54,
  0x3b83ef39c7e37e06, 0x8ce3f3cde01f5060, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xd84b997cdb12431d,
  0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x1d14f257ee686658, 0x0000000000a024a7,
};

// m324pb_u1x12_uart2_lednop_pr
static const uint64_t ur_m324pb_u1x12_uart2_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x2fbfd61de7cf5982, 0x9feda9fddba7af87, 0xb58ef9610f0da374, 0x1f8e3a7f0682fd47, 0x43398b016594df24,
  0x9823af47cecb3d1a, 0xb3db416691500ffd, 0xf03101f7b20ad03c, 0xdc1f79e0404e3f1b, 0xa00fcf379b228301,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0x0d1fc68b1e70ddb0, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0xed3c95fb9a19961d, 0x000000001f204935,
};

static const uint64_t ur_m324pb_u1x12_uart2_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0xff6cf9eb304f8c9d, 0x4feedd3d7c397dff, 0xcb08786d1ba4ff6d, 0xd3f83417ea3dac77, 0x580b2ca6f920fc71,
  0x7a3e7659e8d219cc, 0x0b348a807fecc11d, 0x0fbd905681e59eda, 0xcf020271f8df8188, 0x79bcd914180ee0fb,
  0xe54dea53929d007e, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xc5c9ab83cd84b997, 0xd598f207e50d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x7c98f57c834f257e,
};

// m324pb_u1x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m324pb_u1x12_uart2_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xb3f95a609f193ba5, 0xbb74f5f0ca1ffffd, 0x9c61b46e93fdb53f, 0x8fa8f2b32a6ab5a3, 0xc561efd47c1b3069,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xd1923268e756973d, 0xdab1aad743af3a6e, 0x65cc5c242282791b,
  0x7951b047eb70decb, 0xf03101f7b0021f66, 0xdc1f79e0404e3f1b, 0xa00fcf379b228301, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x9732f9b6e722adec, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009d7c9279069,
};

// m324pb_u1x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m324pb_u1x12_uart2_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfffdb3e52e609f19, 0xb53fbb74f5f0dd2f, 0xc5f5c921b46e93fd, 0x1258f3c0254eea55, 0x47c25f886c2445f7,
  0x33c5dc6e56fc00fd, 0x3d47e927b9633f59, 0x153111638e9fc1eb, 0x7cecb3d1a43398b0, 0x691500ffd99e3af4,
  0xdec82b40f2d6e416, 0x810138fc6fc0c407, 0xde6c8a0c07707de7, 0xa6f529c94e803f3c, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xbad3ec834f257ee6, 0x000000000000006e,
};

static const uint64_t ur_m324pb_u1x12_uart2_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xb74f5f0ce0ffffdb, 0xf21b46e93fdb53fb, 0x012a77beceffaa37, 0x4e771b9722495f9e,
  0x57dd4a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522, 0xc9193473abb71ea3,
  0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x1880fbd8598fb33c, 0x0fbcf020271f8df8,
  0x07e79bcd914180ee, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x5abcb9357079b097,
  0xa9d598f207e50d16, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3, 0x069e4afdcd0ccb0e,
  0x0000000004fc8159,
};

static const uint64_t ur_m324pb_u1x12_uart2_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0xf76e9ebe1ffcffd8, 0xe43c368dd27fb6a7, 0x79b680e25ab8bea8, 0xf10d8488bee24b1e,
  0x6e0224c03fa8f84b, 0x29dadcdbdf33c5dc, 0x1b306b5fd4795f75, 0x422814c57b7fd47c, 0xbe8c2cb1148b34eb,
  0xd1ceaedc7a8ea426, 0xc6c75e74dda32464, 0x908a09e46f6ac6ab, 0x8991c37b2d973170, 0xef61663eccf2a360,
  0xc0809c7e37e06203, 0x6f36450603b83ef3, 0x537a94e4a7401f9e, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3,
  0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x009f965be61dcf25,
};

static const uint64_t ur_m324pb_u1x12_uart2_lednop_ee_hw[] = {
  0xeeec49dd448651eb, 0xeeee961e4190ac6e, 0x8485938035a5eeee, 0x70bf6712277783d0, 0xdd89cecb5eb62f2b,
  0xb0ff9fcad304f8c9, 0x53fbb74f5f0ca1ff, 0x5a39c61b46e93fdb, 0x0698fa8f2b32a6ab, 0x877c561efd47c1b3,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xa6ed1923268e7569, 0x91bdab1aad743af3, 0xecb65cc5c2422827,
  0xf667951b047eb70d, 0xf1bf03101f7b0021, 0x301dc1f79e0404e3, 0x253a00fcf379b228, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x9b09732f9b6e722a, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x4ea29e4afdcd0ccb, 0x000000000002df0d,
};

// m324pb_u1x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m324pb_u1x12_uart2_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x7f76e9ebe1ffcff6, 0x8e43c368dd27fb6a, 0xe79b680e25ab8bea, 0xbf10d8488bee24b1,
  0x71b9494ce5fa8f84, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51, 0x9afa30b2c4522cd3,
  0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5, 0x0fbd8598fb33ca8d,
  0xcf020271f8df8188, 0x79bcd914180ee0fb, 0xe54dea53929d007e, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x000a02b2dfa29e4a,
};

// m324pb_u1x12_uart2_dual_pr
static const uint64_t ur_m324pb_u1x12_uart2_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd2cbbf5f, 0x7bc95719bad29dbb, 0x89c9c2477774d869, 0x9bb92be67c3d8b15,
  0x82a90cdf9827c64a, 0x90b4df81b11ec991, 0x958093ba7c4a30a1, 0x60514e0e4e6f9df9, 0x13f838f737a8ebef,
  0x6257f9fbe08a11c9, 0xf9b91c801b87c288, 0x65a03e221955ddee, 0xffa039e136f71508, 0xc161bcaf212db98f,
  0x6e9ebe19ebfe4834, 0xfc368dd27fb6a7f7, 0x3487ea3dc33be5ab, 0xf0e65ae4d471d3f8, 0xec27d1a0b398b017,
  0x349b8e58c11d7916, 0x4fe2af9ddc5494ac, 0x09c7e37e06203ef6, 0x3cde603b83ef3c08, 0x2d4e48a5abce803f,
  0x40cbfc50216953e0, 0xb997cdb4e31bc674, 0x2c79c5c9ab83cd84, 0xc9fbab31e40fca1a, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x0000310e7320d3c9,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_pr_u4[] = {
  0x776fc60f4486d0e3, 0x7770ffa5295ebf77, 0x7589e9da76b77777, 0xf5ae0eeee9fb0803, 0xcab8da0a72c89b0c,
  0x5212a2609f192c85, 0x69bf03623d932305, 0xd06774f894614321, 0xe94e070e6297f995, 0xf83a9537a8e95b60,
  0x57f9fbe08a11c913, 0x72c7c01b87c28862, 0x43e44432abbbddf3, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0x7af8613ffc753982, 0xda3749feda9fddba, 0x1fd47c8a77cb1350, 0xe69c5ef8e3a7f062, 0xb591d7f398b01541,
  0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x809c7e37e06203ef, 0x36450603b83ef3c0,
  0x7a94e4a7401f9e6f, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xe1b8f3612e65f36d, 0xeaccdfc1ddc68b1b,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x493970530ee792bf, 0x0000000000000001,
};

// m324pb_u1x12_uart2_dual_pr_ee_u4
static const uint64_t ur_m324pb_u1x12_uart2_dual_pr_ee[] = {
  0xbbb7e307a2431f02, 0x7770fbd3dfbf5fbb, 0xb96257da80777777, 0x386d841bb138dd58, 0x2cda109852b545e7,
  0x4c13e32638dc9462, 0xd88f64c8c15480b2, 0x3e251850c85a6fc0, 0x689b4d7e657419dd, 0x9bd47b1fd87fc380,
  0xe08a11c913f83a1f, 0x1b87c2886257f9fb, 0x32abbbddf372e440, 0x8a2c54219683a544, 0x12dbf57ffd01cf09,
  0x7fe3a9cc161bcaf2, 0xf6d4feedd3d7c3df, 0xaad68e4486d1ba4f, 0xd983053d4795afb9, 0x1143be2ba95ea3e0,
  0xf4616588a459a75a, 0xd2e652e2a5cd2135, 0xea25da2147bd9cea, 0x1151f3d6355ae875, 0x1bd97d2cc5c24228,
  0x109fd62a3608fd6e, 0xb27f157ceee2a4a0, 0x404e3f1bf03101f7, 0x9b228301dc1f79e0, 0xbd4a7253a00fcf37,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x0ac956518773c95f,
};

// m324pb_u1x12_uart2_dual_pr_ce_u4
static const uint64_t ur_m324pb_u1x12_uart2_dual_pr_ce[] = {
  0xbbb7e307a2435032, 0x7770fc2febbf5fbb, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xabdb47fbbeec2afb,
  0x3ce5304f8c9f2372, 0xbf03623d93230552, 0x6774f89461432169, 0x3818fcc337f995d0, 0xc6b4dea3a5ad805a,
  0xe7ef822847244fe0, 0x7c006e1f0a21895f, 0x1510caaeef77cdc6, 0x3c2631f150865a05, 0x95e425b78adff407,
  0x86c17fc753982c37, 0x749feda9fddba7af, 0x38e96e2faa010da3, 0x222fb892c79e6da0, 0x7ebfea3e12fc4361,
  0x67d4b99e2ee37052, 0xc1d4bf51c6fcf72c, 0x98b014141f238e9f, 0x3af00676b591d7f3, 0xe10e90d500ffd99e,
  0x777152552740f2d6, 0xf81880fbd93f8abe, 0xee0fbcf020271f8d, 0xd007e79bcd914180, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x8773c95fb9a19961, 0x0000000034909c59,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_pr_ee_ce[] = {
  0xbbb7e307d41432db, 0xbbbb87c6571f5fbb, 0x2ca3e9f7ae17bbbb, 0x3ae4874eddb0caf8, 0x4559608674843b36,
  0x16609f1926eae470, 0x0d88f64c8c15485d, 0xd3e251850c85a6fc, 0xfaf31adfe657419d, 0x737a8f00360290e1,
  0x7c114239227f076b, 0x0370f8510c4aff3f, 0x0caaeef77cdceeb0, 0x6c09150865a1a6d1, 0x84b6f3b7ff4073c2,
  0xfff8ea730586f2bc, 0xfb6a7f76e9ebe1f4, 0xbfea8dc9c368dd27, 0x683fe79b680e0d63, 0x59374c273b8dcca8,
  0xbe7a8f2b7f253b59, 0x4c5701bd47c1b306, 0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea,
  0x22a3e7ac6abc6c75, 0x37b2fa598b848450, 0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x404e3f1bf03101f7,
  0x9b228301dc1f79e0, 0xbd4a7253a00fcf37, 0xa718de33a2077ca9, 0xce18edec555169ab, 0xf1b8f3612e65f36d,
  0x5666fe0eee34596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000100056a30ee,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b76d8be, 0xb87c17da0fafdddd, 0x57f1ff7337bbbbbb, 0x91ddd94cf81f210d, 0x5f58671a7935e199,
  0x4ed5c9e75a418786, 0x3055208f5cc13e32, 0x32169bf03623d932, 0xcb41ca774f894614, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e753801b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0xc3795e425b7fd7ff, 0xebe1bfcfff202982, 0x68dd27fb6a7f76e9, 0x3b19bb8bea8d4f43, 0x488bee24b1e79b69,
  0xf20ffa8f84bf10d8, 0x37374cf1771b9aa0, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d, 0x962291669d684502,
  0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238,
  0x64fe2af9ddc5494b, 0x809c7e37e06203ef, 0x36450603b83ef3c0, 0x7a94e4a7401f9e6f, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xf15524f257ee6866, 0x00000000004004c5,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_ee_hw[] = {
  0x776fc60f448618be, 0xeee1f7a7bf7ebf77, 0x72c4afb500eeeeee, 0x70db08376271bab1, 0xbd9c16bc156a8bce,
  0x2c9304f8c98e372e, 0xf03623d932305520, 0x774f89461432169b, 0xe01a26d35f995d06, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0x1006e1f0a21895fe, 0x510caaeef77cdcb9, 0xc2628b150865a0e9, 0xbc84b6fd5fff4073,
  0xefbff51c530586f2, 0x27fb6a7f76e9ebe1, 0xdcd56b47224368dd, 0xf06cc1829ea3cad7, 0xad08a1df15d4af51,
  0x9afa30b2c4522cd3, 0x756973297152e690, 0x3af512ed10a3dece, 0x1408a8f9eb1aad74, 0xb70decbe9662e121,
  0x50084feb151b047e, 0xfbd93f8abe777152, 0xf020271f8df81880, 0x9bcd914180ee0fbc, 0x54dea53929d007e7,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x002bb5565514f257,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_ee_ce_hw[] = {
  0xdddbf183f6090c86, 0xbbb87c17da0fafdd, 0x9086abf78ffbbbbb, 0xf0ccc8eeeca67c0f, 0x1bb3798a338d3c9a,
  0x5cc13e324ed5cbbb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x21cd495f995d0677, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xff51c530586f2bc8, 0xb6a7f76e9ebe1bfc, 0xbea8d4f4368dd27f, 0x963cf36d01c19bb8, 0xf097e21b09117dc4,
  0xe2ee373acd90ff51, 0xadfc94ed6e6e6e99, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06, 0xa909afa30b2c4522,
  0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9, 0xf3bb8a9296627f58,
  0x6fc0c407dec9fc55, 0x07707de7810138fc, 0x4e803f3cde6c8a0c, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x84b997cdb73863b7, 0x1539fa9b0ec6e3cd, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x5d71ba29e4afdcd0, 0x0000000000000007,
};

static const uint64_t ur_m324pb_u1x12_uart2_dual_ee_ce_u4_hw[] = {
  0xbb7e307a28d0d4d6, 0x770f82fb41f5fbbb, 0x10d57ef1ff777777, 0x19991ddd94cf81f2, 0xfafacdc671a7935e,
  0x609f19276ae4dd8c, 0x11ec99182a9047ae, 0xc4a30a190b4df81b, 0x35257e6589ad3ba7, 0xa3b3e6c3acce0c87,
  0x508e489fc19adcde, 0x3e144312bfcfdf04, 0xbbbddf373a9c00dc, 0xc542196805a4432a, 0xbfebffd01cf098e0,
  0x9524c161bcaf212d, 0x9fddba7af86ff3ff, 0xa353d0da3749feda, 0x9e57d607066ee2fa, 0xfc4361222fb892c7,
  0x8dc524e6ffea3e12, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0x3101f7b27f157cee, 0x1f79e0404e3f1bf0, 0x0fcf379b228301dc, 0x077ca9bd4a7253a0, 0x5169aba718de33a2,
  0x65f36dce18edec55, 0xe7ea0bb1b8f3612e, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000075d68cd017d3,
};

// m324pb_u2x8_uart2_noled_pr
static const uint64_t ur_m324pb_u2x8_uart2_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0x7cff58779f9c6609, 0x6a8e526fb74f5f0d, 0xfd01df2c21e1b46f, 0xdad1c74fe0d05fa8, 0x7ac398b016594cf7,
  0xf6608ebd1f3b57f4, 0xf2cf6c7d99e5403f, 0x6fc0c407dec1c7c0, 0xea0c07707de738fc, 0x2f29b19c7e79bc03,
  0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xf386ed84b997cdb1, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x7c8739af69e4afdc,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xfff6cfce3304f8c9, 0xca4df6e9ebe1af9f, 0x3be5843c368ded51, 0x38e9fc1a0bf51fa0, 0x731602cb299efb5a,
  0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x1880fbd838f81e59, 0x80ee0fbce71f8df8, 0x36338fcf37807d41,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0x79b09732f9b62491, 0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x9069e4afdcd0ccb0,
  0x000000000f93fb3d,
};

// m324pb_u2x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xdb3ec16609f193ba, 0x6fb74f5f0ce1ffff, 0xa39c61b46f6a8e52, 0x698fa8f2b9126ab5, 0x3be2beebd47c1b30,
  0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a, 0xcb65cc5c24228e79,
  0x2a6951b047eb70de, 0x8df81880fbd80151, 0x7d4180ee0fbce71f, 0xe5e536338fcf3780, 0xb9c6378ce8815d54,
  0x249156f62aa8b4b0, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xde0b9069e4afdcd0, 0x00000000000009d7,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0xf0fbaff58779f8f7, 0x46f6a8e526fb74f5, 0xa0716b9dff5e921b, 0x771b9f3a43fe7804, 0x52e7b9602e33984e,
  0x871c74fe0f19fa8f, 0x4a3507398b017a04, 0xdc72c678ebc5ced4, 0xdf81880fbd83afc3, 0x37980ee0fbce71f8,
  0x60d4d894fdf38fcf, 0x7440840c6085a724, 0x84b997cdb4e31bc6, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xaf69e4afdcd0ccb0, 0x0000000000b75249,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffffdb3f21e609f1, 0x8e526fb74f5f0dc9, 0xe5c5f5c921b46f6a, 0xfb892c79e012a76f, 0x7ea3e12fc4361222,
  0xd64cf1771b8ff310, 0x7acf51c9e9ee58cf, 0x2c051f3a48e3a7f0, 0xaf47ced5fd1eb0e6, 0x1f6679500ffd99e3,
  0x407dec1c7c0f2d6e, 0x7707de738fc6fc0c, 0x19c7e79bc03ea0c0, 0xc67440aeaa72f29b, 0x7b15545a585ce31b,
  0xb09732f9b624863b, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x69e4afdcd0ccb0e9, 0x0000000dd741c790,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xb74f5f0cc7ffffed, 0x21e1b46f6a8e526f, 0xc0254ece0dc5f547, 0x886c2445f71258f3,
  0xdceb3643fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8, 0x7d185962291669d6,
  0xb39d5dba711d484d, 0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2, 0xdec2ce89534a8d82,
  0x7de738fc6fc0c407, 0x7e79bc03ea0c0770, 0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x732f9b624863b7b1,
  0x65abcb9357079b09, 0xfa9d598f207e50d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0x9069e4afdcd0ccb0, 0x00000000013f0ad5,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfffb67ffe4c13e32, 0x949bedd3d7c3e9ff, 0x7d51b9386d1bdaa3, 0x963cf00953b60b71, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0xac1494ed6e6e3299, 0xea3e0d9831bfea3c, 0xcd3ad08a05315c43, 0xa909afa30b2c4522,
  0x3a313e73abb73de3, 0x355e363af5d4dd84, 0x2e12114482a3c676, 0x7f0cc8e1bd970e46, 0x1f8df81880fbd98c,
  0xfcf37980ee0fbce7, 0x72460d4d894fdf38, 0xbc67440840c6085a, 0x3cd84b997cdb4e31, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xc834f257ee686658, 0x00000000009f810b,
};

static const uint64_t ur_m324pb_u2x8_uart2_noled_ee_hw[] = {
  0x777776254486fc3b, 0x777774b0f2048563, 0x12c9b53267a6ef77, 0x12a1ece244eef07a, 0x4eedc1375a538d84,
  0xfd87fcfb059827c6, 0x72937dba7af8670f, 0x55ad1ce30da37b54, 0xd9834c7d4795c893, 0x08a1df15f75ea3e0,
  0xfa30b2c4522cd3ad, 0x5a5e715c6b26909a, 0x79d376ded1e0b39d, 0x73c8c38d8d56ba1d, 0x86f65b2e62e12114,
  0x0a89534a8d823f5b, 0x38fc6fc0c407dec0, 0xbc03ea0c07707de7, 0xeaa72f29b19c7e79, 0xa585ce31bc67440a,
  0xcdb1248ab7b15545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00016fde49d14f25,
};

// m324pb_u2x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m324pb_u2x8_uart2_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0x3949bedd3d7c331f, 0x17d51c8786d1bdaa, 0x4963cf36d01c3837, 0x1f097e21b09117dc,
  0x9e2ee3712a2e47f5, 0xcafa894ed6e6def9, 0xfea3e0d9835afea3, 0x59a75a1140a62b09, 0x752135f4616588a4,
  0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9, 0x03101f7b0b3a254d,
  0x301dc1f79ce3f1bf, 0xa6c671f9e6f00fa8, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x1e6c25ccbe6d8921,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x538e8a792bf73433, 0x0000000000005012,
};

// m324pb_u2x8_uart2_lednop_pr
static const uint64_t ur_m324pb_u2x8_uart2_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x397dfeb0ef3e7acc, 0xbdaa3949bedd3d7c, 0xa3dac77cb08786d1, 0x920fc71d3f83417e, 0x8d219cc580b2ca6f,
  0xfecc11d7a3e7659e, 0x1e59eda0b348a807, 0x8df81880fbd90568, 0x80ee0fbcf020271f, 0x29d007e79bcd9141,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0xf2068fe3458f386e, 0x5c33d30ae4fdd598,
  0x0e9296cb25138cb2, 0x9af69e4afdcd0ccb, 0x00000000000f9024,
};

static const uint64_t ur_m324pb_u2x8_uart2_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xfffb67cf59827c64, 0xca4df6e9ebe1cbef, 0x3be5843c368ded51, 0x38e9fc1a0bf51ed6, 0xe62c0596537c907e,
  0x8ebd1f3b2cf4690c, 0x6d059a45403ff660, 0xc407dec82b40f2cf, 0x7de7810138fc6fc0, 0x3f3cde6c8a0c0770,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x003e4c7abe41a792,
};

// m324pb_u2x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m324pb_u2x8_uart2_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0xed9fcad304f8c9dd, 0x37dba7af8650ffff, 0xd1ce30da37b54729, 0x34c7d4795995355a, 0x3be2b0f7ea3e0d98,
  0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d, 0x65b2e62e1211413c,
  0xb33ca8d823f5b86f, 0x8df81880fbd8010f, 0x80ee0fbcf020271f, 0x29d007e79bcd9141, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x34f257ee68665874, 0x00000004ebe493c8,
};

// m324pb_u2x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m324pb_u2x8_uart2_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0x7fffed9f297304f8, 0x472937dba7af86e9, 0x2ae2fae490da37b5, 0xfb892c79e012a775, 0x7ea3e12fc4361222,
  0xac99e2ee372b7e00, 0xf59ea3f493dcb19f, 0x580a9888b1c74fe0, 0x7a3e7659e8d219cc, 0x0b348a807feccf1d,
  0x03ef6415a0796b72, 0xf3c0809c7e37e062, 0x9e6f36450603b83e, 0xf9537a94e4a7401f, 0xd3574e31bc67440e,
  0xe6db9c31dbd8aaa2, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x375d69f641a792bf,
};

static const uint64_t ur_m324pb_u2x8_uart2_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xd9fa1f9827c64eeb, 0x7dba7af86707fffe, 0x1bf90da37b547293, 0xcf00953bdf677fd5, 0xcc273b8dcb9124af,
  0x8f2beea53b5958f7, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622, 0xb4648c9a39d5db8f,
  0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0xfc0c407dec2cc7d9, 0x7707de7810138fc6,
  0xe803f3cde6c8a0c0, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b997cdb73863b7b, 0x8b2d5e5c9ab83cd8,
  0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592, 0xac834f257ee68665,
  0x0000000000027e40,
};

static const uint64_t ur_m324pb_u2x8_uart2_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0xc2f9fd35304f8c9d, 0x26fb74f5f0ffe7fe, 0x54721e1b46f6a8e5, 0x8f3cdb40712d5c5f, 0x25f886c2445f7125,
  0xee370112601fd47c, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x01f7b0b31f667951,
  0x79e0404e3f1bf031, 0xcf379b228301dc1f, 0x7ca9bd4a7253a00f, 0x69aba718de33a207, 0xf36dce18edec5551,
  0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00004fcb2df30ee7,
};

static const uint64_t ur_m324pb_u2x8_uart2_lednop_ee_hw[] = {
  0x77777625448651eb, 0x777774b0f20c8563, 0x84242c9c01ad2f77, 0x5b85fb38913bbc1e, 0x4eec4e765af5b179,
  0xfd87fcfe569827c6, 0x72937dba7af8650f, 0x55ad1ce30da37b54, 0xd9834c7d47959953, 0x1143be2b0f7ea3e0,
  0xf4616588a459a75a, 0xb4b9eab8d64d2135, 0x79d3768c9193473a, 0x13c8ded58d56ba1d, 0x86f65b2e62e12114,
  0x10fb33ca8d823f5b, 0x71f8df81880fbd80, 0x14180ee0fbcf0202, 0x53929d007e79bcd9, 0xc6f19d103be54dea,
  0x156f62aa8b4d5d38, 0xe3cd84b997cdb739, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x86a7514f257ee686, 0x000000000000016f,
};

// m324pb_u2x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m324pb_u2x8_uart2_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0x526fb74f5f0ffe7f, 0xf54721e1b46f6a8e, 0x58f3cdb40712d5c5, 0xc25f886c2445f712,
  0x8bb8dca4a672fd47, 0xbeea53b5b9b7be67, 0xa8f83660d6bfa8f2, 0x69d68450298af6ff, 0x484d7d1859622916,
  0x48c9a39d5db8f51d, 0x8d578d8ebce9bb46, 0x62e1211413c8ded5, 0x46c1132386f65b2e, 0xc407dec2cc7d99e5,
  0x7de7810138fc6fc0, 0x3f3cde6c8a0c0770, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x97cdb73863b7b155,
  0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00000501596fd14f,
};

// m324pb_u2x8_uart2_dual_pr
static const uint64_t ur_m324pb_u2x8_uart2_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa5977e, 0xd2f792ae3375a53b, 0x2b1393848eeee9b0, 0x95377257ccf87b16,
  0x23055219bf304f8c, 0x432169bf03623d93, 0xf32b012774f89461, 0xdec0a29c1c9cdf3b, 0x9227f071ee6f51d7,
  0x10c4aff3f7c11423, 0xddf3723900370f85, 0x10cb407c4432abbb, 0x1fff4073c26dee2a, 0x6982c3795e425b73,
  0xbedd3d7c33d7fc90, 0xb57f86d1bdaa3949, 0x7f0690fd47b8677c, 0x02fe1ccb5c9a8e3a, 0x22dd84fa34167316,
  0x95869371cb1823af, 0xdec9fc55f3bb8a92, 0x810138fc6fc0c407, 0x07e79bcc07707de7, 0x7c05a9c914b579d0,
  0xce88197f8a042d2a, 0xb09732f9b69c6378, 0x43458f38b9357079, 0xc2b93f75663c81f9, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000000621ce641a,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_pr_u4[] = {
  0xeeeeedf94486d0e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b4ed6eee, 0x19eb5c1dddd3f610, 0x0b9571b414e59136,
  0x0aa42544c13e3259, 0x42d37e06c47b2646, 0x2ba0cee9f128c286, 0xc1d29c0e1cc52ff3, 0x27f0752a6f51d2b6,
  0xc4aff3f7c1142392, 0xe6e58f80370f8510, 0x9687c888655777bb, 0xfe80e784c3e45421, 0x0586f2bc84b6f01b,
  0x74f5f0c27ff8ea73, 0x6a1b46f6a8e526fb, 0x0c43fa8f914ef962, 0xa83cd38bdf1c74fe, 0xced6b23afe731602,
  0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0x7dec9fc55f3bb8a9, 0x7810138fc6fc0c40, 0xcde6c8a0c07707de,
  0x2a6f529c94e803f3, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0029272e0a61dcf2,
};

// m324pb_u2x8_uart2_dual_pr_ee_u4
static const uint64_t ur_m324pb_u2x8_uart2_dual_pr_ee[] = {
  0x777776fca2431f02, 0xeeeee1f7a7bf7ebf, 0xb172c4afb500eeee, 0xce70db08376271ba, 0xc459b42130a56a8b,
  0x649827c64c71b928, 0x81b11ec99182a901, 0xba7c4a30a190b4df, 0x00d1369afccae833, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xe425b7eafffa039e,
  0xbeffc753982c3795, 0xb5472937dba7af87, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5, 0xeb422877c5752bd4,
  0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d, 0xadc37b2fa598b848,
  0x940213fac546c11f, 0x3ef64fe2af9ddc54, 0x3c0809c7e37e0620, 0xe6f36450603b83ef, 0x9537a94e4a7401f9,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0001592aca30ee79,
};

// m324pb_u2x8_uart2_dual_pr_ce_u4
static const uint64_t ur_m324pb_u2x8_uart2_dual_pr_ce[] = {
  0x777776fca2435032, 0xeeeee1f85fd77ebf, 0x8d49c9b16badeeee, 0xf62eafb777448991, 0xe557b68ff77dd855,
  0xa479ca609f193e46, 0xd37e06c47b26460a, 0xa0cee9f128c28642, 0xb47031f9866ff32b, 0xc18d69bd474b5b00,
  0xbfcfdf04508e489f, 0x8cf800dc3e144312, 0x0a2a21955ddeef9b, 0x0e784c63e2a10cb4, 0x6f2bc84b6f15bfe8,
  0x5f0d82ff8ea73058, 0xb46f6a8e526fb74f, 0xb4071d2dc5f54021, 0x6c2445f71258f3cd, 0x0a4fd7fd47c25f88,
  0xe58cfa9733c5dc6e, 0xd3f83a97ea38df9e, 0xfe7316028283e471, 0x33c75e00ced6b23a, 0x5adc21d21aa01ffb,
  0x57ceee2a4aa4e81e, 0xf1bf03101f7b27f1, 0x301dc1f79e0404e3, 0x253a00fcf379b228, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x3612e65f36dce18e, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x8b30ee792bf73433, 0x0000000000069213,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_pr_ee_ce[] = {
  0x777776fcd41432db, 0x7777770f8cae3ebf, 0xf05947d3ef5c2f77, 0x6c75c90e9dbb6195, 0xe08ab2c10ce90876,
  0xba2cc13e324dd5c8, 0xf81b11ec99182a90, 0x3ba7c4a30a190b4d, 0xc3f5e635bfccae83, 0xd6e6f51e006c0521,
  0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xe9fff1d4e60b0de5, 0xdaa3949bedd3d7c3, 0xac77fd51b9386d1b, 0x950d07fcf36d01c1, 0x6b2b26e984e771b9,
  0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684, 0x9d5db8ca1d484d7d, 0x8ebd44bb4428f7b3,
  0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113, 0x3ef64fe2af9ddc54, 0x3c0809c7e37e0620,
  0xe6f36450603b83ef, 0x9537a94e4a7401f9, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x2d5e371e6c25ccbe,
  0xd4eaccdfc1ddc68b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x000000002000ad46,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_pr_ee_ce_u4[] = {
  0xbbbb7e515b76d8be, 0x7770f82fb41f5fbb, 0x1aafe3fee66f7777, 0x3323bbb299f03e42, 0x0cbeb0ce34f26bc3,
  0x649dab93ceb4830f, 0x6460aa411eb9827c, 0x28642d37e06c47b2, 0xf9968394ee9f128c, 0x9b0eb338321cd495,
  0x227f066b737a8ecf, 0x0c4aff3f7c114239, 0x7cdcea700370f851, 0x65a016910caaeef7, 0xff4073c263831508,
  0x0586f2bc84b6ffaf, 0xd3d7c37f9ffe4053, 0xe86d1bdaa3949bed, 0x6d276337717d51a9, 0x1b09117dc4963cf3,
  0x541e41ff51f097e2, 0xd6e6e6e99e2ee373, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0x7dec9fc55f3bb8a9, 0x7810138fc6fc0c40, 0xcde6c8a0c07707de, 0x2a6f529c94e803f3, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x337f07edd8d1637c, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x98be2aa49e4afdcd, 0x0000000000000800,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_ee_hw[] = {
  0xeeeeedf9448618be, 0xddddc3ef4f7efd7e, 0x62e5895f6a01dddd, 0x9ce1b6106ec4e375, 0x5d7b382d782ad517,
  0x40592609f1931c6e, 0x37e06c47b26460aa, 0x0cee9f128c28642d, 0xe1c0344da6bf32ba, 0x1d0fcdea3d8fec3f,
  0xfcfdf04508e489fc, 0x72200dc3e144312b, 0xd2a21955ddeef9b9, 0xe784c5162a10cb41, 0xe579096dfabffe80,
  0xc3df7fea38a60b0d, 0x1bdaa3949bedd3d7, 0x5afb9aad68e4486d, 0xea3e0d983053d479, 0x9a75a1143be2ba95,
  0xd2135f4616588a45, 0xd9cead2e652e2a5c, 0xae875ea25da2147b, 0x242281151f3d6355, 0x8fd6e1bd97d2cc5c,
  0x2a4a0109fd62a360, 0x101f7b27f157ceee, 0xf79e0404e3f1bf03, 0xfcf379b228301dc1, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x2f9b6e722adec555, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00000576aacaa29e,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_ee_ce_hw[] = {
  0xbbbbbb7e76090c86, 0x777770f82fb41f5f, 0x1f210d57ef1ff777, 0x35e19991ddd94cf8, 0x763766f314671a79,
  0x1eb9827c649dab97, 0xe06c47b26460aa41, 0xee9f128c28642d37, 0x06439a92bf32ba0c, 0x6e6f51d9f361d667,
  0xef822847244fe0cd, 0x006e1f0a21895fe7, 0x21955ddeef9b9d4e, 0x4c7062a10cb402d2, 0x9096dff5ffe80e78,
  0xf9fea38a60b0de57, 0xaa3949bedd3d7c37, 0x7717d51a9e86d1bd, 0xb892c79e6da03833, 0xea3e12fc4361222f,
  0xd33c5dc6e759b21f, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b, 0x28752135f4616588,
  0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9, 0x8abe77715252cc4f,
  0x1f8df81880fbd93f, 0x4180ee0fbcf02027, 0x3929d007e79bcd91, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x79b09732f9b6e70c, 0x50c2a73f5361d8dc, 0x80f9a1e64ff0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x00ebae37453c95fb,
};

static const uint64_t ur_m324pb_u2x8_uart2_dual_ee_ce_u4_hw[] = {
  0x77776fca28d0d4d6, 0xeeee1f05f683ebf7, 0xe421aafde3feeeee, 0xbc33323bbb299f03, 0x19f5f59b8ce34f26,
  0x5cc13e324ed5c9bb, 0x3623d9323055208f, 0x4f89461432169bf0, 0x0e6a4afccb135a77, 0xbd4767cd87599c19,
  0x08a11c913f8335b9, 0xb87c2886257f9fbe, 0x55777bbe6e753801, 0xc18a8432d00b4886, 0x5b7fd7ffa039e131,
  0xff2a4982c3795e42, 0xe526fb74f5f0dfe7, 0x5f546a7a1b46f6a8, 0x58f3cafac0e0cddc, 0xc25f886c2445f712,
  0x1771b8a49cdffd47, 0x6fe4a76b737374cf, 0xa8f83660d7cf51e5, 0x69d68450298ae037, 0x484d7d1859622916,
  0x28f7b39d5db8ca1d, 0x8d578d8ebd44bb44, 0x3170908a04547cf5, 0x46c1132386f65f4b, 0x9ddc5494b313fac5,
  0x7e06203ef64fe2af, 0x3b83ef3c0809c7e3, 0x7401f9e6f3645060, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0x25ccbe6db9c31dbd, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x0000000ebad19a02,
};

// m324pb_u2x12_uart2_noled_pr
static const uint64_t ur_m324pb_u2x12_uart2_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0x53fd61de7f4a9827, 0xfe6d4faadd3d7c30, 0x5843c368ded51ca4, 0x9fc1a0bf51fa03be, 0x602cb299efb5a38e,
  0x7a3e76afe8f58731, 0xfb33ca807fecc11d, 0x0fbd838f81e59ed8, 0xe0fbce71f8df8188, 0x38fcf37807d4180e,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x09732f9b6249156f, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x5ed3c95fb9a19961, 0x0000000007c801cb,
};

static const uint64_t ur_m324pb_u2x12_uart2_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xffff6cfe95304f8c, 0x36a7d56e9ebe1829, 0x21e1b46f6a8e527f, 0xe0d05fa8fd01df2c, 0x16594cf7dad1c74f,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0xdec1c7c0f2cf6c7d, 0x7de738fc6fc0c407, 0x7e79bc03ea0c0770,
  0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0xb997cdb1248ab7b1, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00007c9e5a5c834f,
};

// m324pb_u2x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m324pb_u2x12_uart2_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0xadd3d7c3297ffff6, 0x8ded51ca4fe6d4fa, 0x57224d56b4738c36, 0x7a8f83660d31f51e,
  0xb34eb422877c57dd, 0x9a426be8c2cb1148, 0x82ce756979c571ac, 0x5ae875e74ddb7b47, 0x848451cf230e3635,
  0x08fd6e1bd96cb98b, 0x1f7b002a254d2a36, 0xc1f79ce3f1bf0310, 0x71f9e6f00fa8301d, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0x12e65f36c4922ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000013ae2a7320d,
};

// m324pb_u2x12_uart2_noled_pr_ce_u4
static const uint64_t ur_m324pb_u2x12_uart2_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfffb67cbacc13e32, 0x6a7d56e9ebe1fcef, 0x921b46f6a8e527f3, 0x9e012a76fe5c5f5c, 0xfc4361222fb892c7,
  0x71b8ff3107ea3e12, 0x9e9ee58cfd64cf17, 0xa48e3a7f07acf51c, 0x5fd1eb0e62c051f3, 0x00ffd99e3af47ced,
  0xc7c0f2d6e1f66795, 0x38fc6fc0c407dec1, 0xbc03ea0c07707de7, 0xeaa72f29b19c7e79, 0xa585ce31bc67440a,
  0x9b624863b7b15545, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xdd74cb59069e4afd,
};

static const uint64_t ur_m324pb_u2x12_uart2_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xba7af8635bfffed9, 0xbdaa3949fcda9f55, 0xe043bfea8dfc86d1, 0xe759b21fe7804a9d,
  0x9dacac7be6139dc6, 0xb306b5fd4795f512, 0x22814c5613fd47c1, 0xe8c2cb1148b34eb4, 0x9ceaedd388ea426b,
  0xd8ebce9bb6f68f05, 0x11473c8c38d8d578, 0x32386f65b2e62e12, 0xf616744a9a546c11, 0xef39c7e37e06203e,
  0xf3cde01f50603b83, 0x20575539794d8ce3, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a, 0x2d5e5c9ab83cd84b,
  0xd4eacc7903f2868b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1, 0x834f257ee6866587,
  0x0000000004fce9ec,
};

static const uint64_t ur_m324pb_u2x12_uart2_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xf3e9b7304f8c9dd8, 0xadd3d7c319bffd85, 0x8ded51ca4fe6d4fa, 0xe1c1b8bea8e43c36, 0x88bee24b1e79b680,
  0xa49fa8f84bf10d84, 0x6def99e2ee373a3e, 0xafea3cafa894ed6e, 0x62b09fea3e0d9835, 0x588a459a75a1140a,
  0x6e9c4752135f4616, 0x74ddb7b4782ce757, 0xe461c6c6abc6c75e, 0x7b2d973170908a39, 0xa254d2a3608991c3,
  0x3f1bf03101f7b0b3, 0x00fa8301dc1f79ce, 0xa9cbca6c671f9e6f, 0x61738c6f19d102ba, 0xd89218edec555169,
  0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x009f83f0461dcf25,
};

static const uint64_t ur_m324pb_u2x12_uart2_noled_ee_hw[] = {
  0xeeec49dd44862d7b, 0xdddd2c2e4104ac6e, 0xe14f4c6dec33dddd, 0xcc4e0be17bbbbfc5, 0x751d94ad7640ccd8,
  0xc3fe7f024c13e327, 0x4faadd3d7c3297fe, 0xc368ded51ca4fe6d, 0x51e57224d56b4738, 0x7dd7a8f83660d31f,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xb4782ce756979c57, 0x6355ae875e74ddb7, 0x98b848451cf230e3,
  0xa3608fd6e1bd96cb, 0x3101f7b002a254d2, 0x01dc1f79ce3f1bf0, 0x6c671f9e6f00fa83, 0x6f19d102baa9cbca,
  0xadec55516961738c, 0xf3612e65f36c4922, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x687453c95fb9a199, 0x0000000000005bfc,
};

// m324pb_u2x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m324pb_u2x12_uart2_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0xf55ba7af86337fec, 0x6d1bdaa3949fcda9, 0x01c383717d51c878, 0x09117dc4963cf36d,
  0xa2e47f51f097e21b, 0x6e6def99e2ee3712, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114,
  0x576e9c4752135f46, 0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991,
  0xce3f1bf03101f7b0, 0x6f00fa8301dc1f79, 0xbaa9cbca6c671f9e, 0x6961738c6f19d102, 0xe6d89218edec5551,
  0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00028087e0a8a792,
};

// m324pb_u2x12_uart2_lednop_pr
static const uint64_t ur_m324pb_u2x12_uart2_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0xcff58779f9c6609f, 0xf9b53eab74f5f0d7, 0x64870da37b547293, 0x7f06693d47278ef9, 0x80b7ba61f3a48e3a,
  0x8b9d9af91c829cc5, 0x0ac1f7b8e58c11d7, 0x04e3f1bf03101f7b, 0xb228301dc1f79e04, 0xd4a7253a00fcf379,
  0x718de33a2077ca9b, 0x722adec555169aba, 0xe70ddb09732f9b6e, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0xf90e735ed3c95fb9,
};

static const uint64_t ur_m324pb_u2x12_uart2_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0xffdb3e13e609f193, 0xa9f55ba7af86807f, 0x786d1bdaa3949fcd, 0x3417ea3dac77cb08, 0x2ca6f920fc71d3f8,
  0x7659e8d219cc580b, 0x8a807fecc11d7a3e, 0x905681e59eda0b34, 0x0271f8df81880fbd, 0xd914180ee0fbcf02,
  0xea53929d007e79bc, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xb90c834f257ee686, 0x0000000000007c9d,
};

// m324pb_u2x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m324pb_u2x12_uart2_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0xb74f5f0d4f7fffdb, 0x37b547293f9b53ea, 0x5995355ad1ce30da, 0xea3e0d9834c7d479,
  0x9a75a1143be2b0f7, 0xd2135f4616588a45, 0x3473ab4b9eab8d64, 0x6ba1d79d3768c919, 0x1211413c8ded58d5,
  0x23f5b86f65b2e62e, 0xfbd8010fb33ca8d8, 0xf020271f8df81880, 0x9bcd914180ee0fbc, 0x54dea53929d007e7,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xeb938bc834f257ee,
  0x0000000000000004,
};

// m324pb_u2x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m324pb_u2x12_uart2_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfffb67d82cc13e32, 0x6a7d56e9ebe19c3f, 0x921b46f6a8e527f3, 0x3c0254eea55c5f5c, 0xf886c2445f71258f,
  0xc6e56fc00fd47c25, 0x927b9633f5933c5d, 0x1638e9fc1eb3d47e, 0x3d1a43398b015311, 0x0ffd99e3af47cecb,
  0xb40f2d6e41669150, 0x8fc6fc0c407dec82, 0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xc834f257ee686658, 0x0000000006ebef05,
};

static const uint64_t ur_m324pb_u2x12_uart2_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xe9ebe1f57ffffdb3, 0xf6a8e527f36a7d56, 0xbeceffaa37f21b46, 0x9722495f9e012a77,
  0x76b2b1ef984e771b, 0xcc1ad7f51e57dd4a, 0x8a05315edff51f06, 0xa30b2c4522cd3ad0, 0x73abb71ea3a909af,
  0xb1d79d3768c91934, 0x2282791bdab1aaf1, 0x6470decb65cc5c24, 0xd8598fb33ca8d822, 0x20271f8df81880fb,
  0xcd914180ee0fbcf0, 0xdea53929d007e79b, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x357079b09732f9b6,
  0xf207e50d165abcb9, 0x8d2861539fa9d598, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0004fc5d99069e4a,
};

static const uint64_t ur_m324pb_u2x12_uart2_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x7cfbfc9827c64eef, 0x55ba7af861a3ff61, 0xd1bdaa3949fcda9f, 0x1c4b5717d51c8786, 0x9117dc4963cf36d0,
  0x9807f51f097e21b0, 0x9b7be678bb8dc044, 0x6bfa8f2beea53b5b, 0x98af6ffa8f83660d, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238,
  0x8fc6fc0c407dec2c, 0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x3cd84b997cdb7386, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x96d0c3b9e4afdcd0, 0x00000000000009f8,
};

static const uint64_t ur_m324pb_u2x12_uart2_lednop_ee_hw[] = {
  0x777624eea2435562, 0xdddd2c2e40add637, 0xd04c2aa1ed0bdddd, 0xb1e705f0bddddfe2, 0xe99169db618fde2f,
  0x87fcfefb9827c64e, 0x9f55ba7af86a7bfd, 0x86d1bdaa3949fcda, 0xa3cacca9aad68e71, 0x87bf51f06cc1a63e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x48c9a39d5a5cf55c, 0xc6ab5d0ebce9bb46, 0x3170908a09e46f6a,
  0x46c11fadc37b2d97, 0xc407dec0087d99e5, 0x7de7810138fc6fc0, 0x3f3cde6c8a0c0770, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000000b7cfd6e8a7,
};

// m324pb_u2x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m324pb_u2x12_uart2_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0x3eab74f5f0c347fb, 0x0da37b547293f9b5, 0xa03896ae2faa390f, 0x61222fb892c79e6d,
  0x253397ea3e12fc43, 0xadcdbdf33c5dc6e5, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908, 0x1663eccf2a360899,
  0x09c7e37e06203ef6, 0x6450603b83ef3c08, 0xa94e4a7401f9e6f3, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x371e6c25ccbe6db9, 0xef79430a9cfd4176, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x0496d28a792bf734, 0x0000000000000014,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87c9986ef5f, 0x1313bc880ad6c5bb, 0x29d1c7777419d0bb, 0x217257ccfb4b13b2,
  0xc154867c9827c649, 0xc85a6fc0d88f64c8, 0xcac049dd3e251850, 0xb072670f9d3487fc, 0x44fe0dfc9bd4728b,
  0x1895fe7ef8228472, 0xbe6e05a006e1f0a2, 0x19683de88655777b, 0xffd01cf0986fc542, 0x60b0de579096de3d,
  0xb74f5f0f4aff241a, 0x37b547293f9b53ea, 0xd47114ef96aff0da, 0x920df8e3a7f0690f, 0x237b4731602fe1cd,
  0x8e58c11d7916ec4f, 0xaf9ddc5494ac13fb, 0xe37e06203ef64fe2, 0x603b83ef3c0809c7, 0x4a7401f9e6f36450,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0x2b93f3fb1726ae0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0000032dfb7641a7,
};

// m324pb_u2x12_uart2_dual_pr_u4
static const uint64_t ur_m324pb_u2x12_uart2_dual_pr[] = {
  0x7776fc60f4486e7c, 0x77770f9337adebf7, 0xa73338e3a75b7777, 0xac323bdddd697644, 0xb96cdb4f16a1f8d8,
  0x548b919827c6495b, 0x5a6fc0d88f64c8c1, 0x7419dd3e251850c8, 0x1c33814b9982fe65, 0xfe0ff74dea3ba5d8,
  0x95fe7ef822847244, 0x6e7fc006e1f0a218, 0x682f888655777bbe, 0xe80e784cf7c54219, 0x586f2bc84b6f52bf,
  0xa7af87dd7f8ea730, 0xdaa3949fcda9f55b, 0x3e453be589a86d1b, 0x2f7c71d3f8310fea, 0xebf9cc580aa0f34e,
  0xecc11d78033b5ac8, 0xe59ed887486a807f, 0x157ceee2a4aa4e81, 0x3f1bf03101f7b27f, 0x8301dc1f79e0404e,
  0x7253a00fcf379b22, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722, 0x6fe0eee3458df0dc,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xf5418773c95fb9a1, 0x000000000000a49d,
};

// m324pb_u2x12_uart2_dual_pr_ee_u4
static const uint64_t ur_m324pb_u2x12_uart2_dual_pr_ee[] = {
  0xdddbf183d121a5fb, 0xbbb87d4dd17fafdd, 0x5e9f7f6b42dbbbbb, 0x865c6c8ee9912945, 0x1aeb87c55955f5a0,
  0x5cc13e3260ddca59, 0x1b11ec99182a90cf, 0xa7c4a30a190b4df8, 0xd3533fcfccae833b, 0xf9bd47ff9b00d070,
  0xbe08a11c913f83e9, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x99c9c54219681c34, 0x212dbd0fffd01cf0,
  0x37fe3a9cc161bcaf, 0xfe6d4faadd3d7c3d, 0x47224368ded51ca4, 0x829ea3cad7dcd56b, 0xdf15d4af51f06cc1,
  0xb2c4522cd3ad08a1, 0x297152e6909afa30, 0xed10a3dece756973, 0xf9eb1aad743af512, 0xbe9662e1211408a8,
  0xeb151b047eb70dec, 0x8abe77715250084f, 0x1f8df81880fbd93f, 0x4180ee0fbcf02027, 0x3929d007e79bcd91,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x2680c3b9e4afdcd0,
  0x00000000000002b2,
};

// m324pb_u2x12_uart2_dual_pr_ce_u4
static const uint64_t ur_m324pb_u2x12_uart2_dual_pr_ce[] = {
  0xbbb7e307a2437089, 0x7770fd8fb17f5fbb, 0x116a3b5b73b77777, 0x57fdaddddb8302cb, 0xf27acaaefada0eb9,
  0xea74c13e32560dca, 0xfc0d88f64c8c1548, 0x9dd3e251850c85a6, 0xe033736ed7e65741, 0x4ea6f51c2d6c0c7c,
  0x3f7c114239227f06, 0x980370f8510c4aff, 0x688655777bbe6e75, 0xe134068a8432d072, 0xaf212db8d6ffa039,
  0x3c09fe3a9cc161bc, 0xa4fe6d4faadd3d7c, 0x8bea804368ded51c, 0x24b1e79b680e3a5b, 0x8f84bf10d8488bee,
  0x678bb8dc149faffa, 0xd471bf3dcb19f52e, 0x0507c8e3a7f0752f, 0x9dad6475fce62c05, 0x35403ff6678ebc01,
  0x9549d03cb5b843a4, 0x3ef64fe2af9ddc54, 0x3c0809c7e37e0620, 0xe6f36450603b83ef, 0x9537a94e4a7401f9,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000d2479b661dcf2,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual_pr_ee_ce[] = {
  0xeedf8c1f5050cf68, 0xddc3fb6f66fd7eee, 0x44fcfbdb41dddddd, 0x682471dd6c5f6bbb, 0xeb336dd987c842eb,
  0x827c6494ab9347d4, 0x47b26460aa46f3e9, 0x128c28642d37e06c, 0x9a61bf32ba0cee9f, 0xa8e29361fae7035b,
  0x14239227f075bf37, 0x0f8510c4aff3f7c1, 0xaeef77cdc0000037, 0xd150865a115910ca, 0x6f6b7ff4073c2695,
  0x8ea730586f2bc84b, 0xa7d56e9ebe1d8fff, 0xe1b46f6a8e527f36, 0xb40706b1dff546e4, 0x9dc6e654341ff3cd,
  0xbf929dacac9ba613, 0xa3e0d9835f3d4795, 0xa75a1140a62b80de, 0x2135f4616588a459, 0xa3dece7576e32875,
  0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c, 0x77715252cc4feb15, 0xf81880fbd93f8abe,
  0xee0fbcf020271f8d, 0xd007e79bcd914180, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6,
  0x771a2cb578dc79b0, 0xc2a73f53ab337f07, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271,
  0x13eb98773c95fb9a, 0x0000000000000200,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual_pr_ee_ce_u4[] = {
  0xdbf183d15b77bf5b, 0xb87da9b4f7afdddd, 0x00fd5f7af7bbbbbb, 0x0bdd39dd77ee30f9, 0x90173683395c469c,
  0x24eb5c99bd601382, 0x2305520f9f4c13e3, 0x432169bf03623d93, 0xccb41ca774f89461, 0xd83219c292a6672f,
  0x13f839869bd47eb3, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x5a063e88655777bb, 0xe80e784dd5f15086,
  0xb0de579096dcd6ff, 0x7af87883ffc80a60, 0xaa3949fcda9f55ba, 0x7717d51a9e86d1bd, 0xdc4963cf36d27633,
  0xf51f097e21b09117, 0x99e2ee373541e41f, 0x3cadfc94ed6e6e6e, 0x06f51f06cc1af9ea, 0x22cd3ad08a05315c,
  0x43a909afa30b2c45, 0x68851ef673abb719, 0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f, 0x58a8d8226470decb,
  0x55f3bb8a9296627f, 0xfc6fc0c407dec9fc, 0x0c07707de7810138, 0xc94e803f3cde6c8a, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0xdd8d1637c5c9ab83, 0x2a73f53ab337f07e, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x49e4afdcd0ccb0e9, 0x0000004001b902aa,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual_ee_hw[] = {
  0xbbb7e307a2435032, 0x7770fa9ba2ff5fbb, 0xbd3efed685b77777, 0x0cb8d91dd322528a, 0xbdb47f7bb2abeb41,
  0x3d7304f8c983772a, 0xe06c47b26460aa43, 0xee9f128c28642d37, 0xc34d4cff3f32ba0c, 0xa7e6f51ffe6c0341,
  0x7ef822847244fe0f, 0xa006e1f0a21895fe, 0xd10caaeef77cdc24, 0xc26727150865a070, 0xbc84b6f43fff4073,
  0xe9bff51c530586f2, 0x27f36a7d56e9ebe1, 0x5a39121b46f6a8e5, 0x0c14f51e56bee6ab, 0x0ef8aea57a8f8366,
  0x85962291669d6845, 0x994b8a973484d7d1, 0x9768851ef673ab4b, 0x47cf58d56ba1d7a8, 0x65f4b3170908a045,
  0x7f58a8d823f5b86f, 0xfc55f3bb8a928042, 0x38fc6fc0c407dec9, 0x8a0c07707de78101, 0x29c94e803f3cde6c,
  0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd26828a792bf7343, 0x00000000000000ae,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual_ee_ce_hw[] = {
  0xbb7e307d41435202, 0x770fedbd9bf5fbbb, 0x13f3ef6d07777777, 0xa091c775b17daeed, 0xb69be6be1f210bad,
  0x9827c6494ab9390e, 0xc47b26460aa46f3e, 0xf128c28642d37e06, 0xb9a61bf32ba0cee9, 0x7a8e29361fae7035,
  0x114239227f075bf3, 0x70f8510c4aff3f7c, 0xaaeef77cdc000003, 0x5d150865a115910c, 0xb6f6b7ff4073c269,
  0xf51c530586f2bc84, 0xd4faadd3d7c3b1ff, 0x9c368ded51ca4fe6, 0xb680e0d63bfea8dc, 0x39dc6e759b21fe79,
  0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45, 0x0a3dece7576e3287,
  0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1, 0xdf81880fbd93f8ab,
  0x0ee0fbcf020271f8, 0x9d007e79bcd91418, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0x2a73f5361d8dc79b, 0x9a1e64ff0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719, 0x54faf453c95fb9a1,
  0x00000000000001d7,
};

static const uint64_t ur_m324pb_u2x12_uart2_dual_ee_ce_u4_hw[] = {
  0xddbf183d1468bb90, 0xbb87da9b4f7afddd, 0x87c8077eafbbbbbb, 0x34e05ee9ceebbf71, 0x57eff5b9b419cae2,
  0x304f8c93ad723522, 0x88f64c8c15483e7d, 0xe251850c85a6fc0d, 0x999cbf32c4d69dd3, 0x51facf60c8670a4a,
  0x2847244fe0e61a6f, 0x1f0a21895fe7ef82, 0x5ddeef9b8b82006e, 0xc542196818fa2195, 0x735bffa039e13757,
  0x2a4982c3795e425b, 0x3eab74f5f0f107ff, 0x0da37b547293f9b5, 0x607066ee2faa353d, 0x1222fb892c79e57d,
  0x4e6ffea3e12fc436, 0xb9b9ba678bb8dc52, 0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228,
  0xaedc650ea426be8c, 0x5ea25da2147bd9ce, 0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991,
  0x7b27f157ceee2a4a, 0x0404e3f1bf03101f, 0x79b228301dc1f79e, 0x9bd4a7253a00fcf3, 0xba718de33a2077ca,
  0xdce18edec555169a, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0x5d5754817d3c95fb, 0x0000000000000007,
};

/*
 * m644_autobaud_uart0_noled_pr      m644a_autobaud_uart0_noled        m644a_autobaud_uart0_noled_pr
 * m644p_autobaud_uart0_noled        m644p_autobaud_uart0_noled_pr     m644pa_autobaud_uart0_noled
 * m644pa_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m644_autobaud_uart0_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x4a5f7fac3bcf9eb3, 0xe02e8855022054f8, 0xd51c2bf5526bee6d, 0xf9e3be5921c368de, 0x3d490e24819a4f51,
  0x66731602dee986f9, 0x8c11d78b9d9ed23c, 0x6256bd856513b8e5, 0x603bd6bce70b37e0, 0x5363385bcde01f50,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x9c37296a5f9b6249, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0xa19961d252d9c389, 0x10248998b3c95fb9, 0x0000000000000071,
};

// m644a_autobaud_uart0_noled_pr_u4  m644p_autobaud_uart0_noled_pr_u4  m644pa_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m644_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0xba8ffd85f3fb7e60, 0x02e8855022054f84, 0x51c2bf5526bee6de, 0xa03be5843c368ded, 0xd490e2481a0bf51f,
  0xc398b016594cf7da, 0x608ebd1f3b57f47a, 0xcf6c7d99e5403ff6, 0xf0312b5ec1c7c0f2, 0xa8301deb5e73859b,
  0x2f29b19c2de6f00f, 0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xc8931b94b52fcdb1, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000461945dad7b4f,
};

/*
 * m644_autobaud_uart0_noled_pr_ee_u4 m644a_autobaud_uart0_noled_pr_ee
 * m644a_autobaud_uart0_noled_pr_ee_u4 m644p_autobaud_uart0_noled_pr_ee
 * m644p_autobaud_uart0_noled_pr_ee_u4 m644pa_autobaud_uart0_noled_pr_ee
 * m644pa_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644_autobaud_uart0_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xfec2f9fd9d304f8c, 0x855022054f84a577, 0xbf5526bee6de02e8, 0xb4738c368ded51c2, 0x0d31f51e57224d56,
  0x877c57dd7a8f8366, 0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7,
  0xd96cb98b848451cf, 0x254d2a3608fd6e1b, 0x166fc0c4ad7b002a, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b,
  0x961738c6f19d102b, 0x36c4922adec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xed3c95fb9a19961d, 0x00000013539be0b5,
};

/*
 * m644_autobaud_uart0_noled_pr_ce_u4 m644a_autobaud_uart0_noled_pr_ce
 * m644a_autobaud_uart0_noled_pr_ce_u4 m644p_autobaud_uart0_noled_pr_ce
 * m644p_autobaud_uart0_noled_pr_ce_u4 m644pa_autobaud_uart0_noled_pr_ce
 * m644pa_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x175ffd85f3ea7a60, 0x05d10aa0440a9f09, 0xa3857eaa4d7dcdbc, 0xdc62fd62186d1bda, 0x22eb3879e3cdcee3,
  0x347ea3e12fc43612, 0xceafac993170fff0, 0x4903d67a8e4f4f72, 0x398b0147ce92921c, 0x78ebd1f3b57f47ac,
  0x5b87d99e5403ff66, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c,
  0x218edec555169617, 0x4498dca5a97e6d89, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0023755a376bda79,
};

/*
 * m644_autobaud_uart0_noled_pr_ee_ce_u4 m644a_autobaud_uart0_noled_pr_ee_ce
 * m644a_autobaud_uart0_noled_pr_ee_ce_u4 m644p_autobaud_uart0_noled_pr_ee_ce
 * m644p_autobaud_uart0_noled_pr_ee_ce_u4 m644pa_autobaud_uart0_noled_pr_ee_ce
 * m644pa_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0xec2f9fb5b9827c64, 0xaa0440a9f0926dff, 0xeaa4d7dcdbc05d10, 0x1fce86d1bdaa3857, 0x9e3cdcee39462fd5,
  0x12fc4361222eb387, 0x4c5c3d253397ea3e, 0xcafa894ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62b09,
  0x752135f4616588a4, 0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9,
  0xc0c4ad7b0b3a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617,
  0x4498dca5a97e6d89, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x001044f3f0ebda79,
};

// m644a_autobaud_uart0_noled_ee_hw  m644p_autobaud_uart0_noled_ee_hw  m644pa_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m644_autobaud_uart0_noled_ee_hw[] = {
  0x377777768a345562, 0xeeeeee960f04ddd6, 0xe94ada090bf5ebee, 0x866f4f85d4cdd2f7, 0xc9dd322d3b6c30d3,
  0xbfcac59fd9d304f8, 0x442a81102a7c252b, 0x15faa935f736f017, 0xb5a39c61b46f6a8e, 0x30698fa8f2b9126a,
  0x143be2beebd47c1b, 0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af,
  0xdecb65cc5c24228e, 0x512a6951b047eb70, 0x70b37e06256bd801, 0xde01f50603bd6bce, 0x5d54e5e5363385bc,
  0xb4b0b9c6378ce881, 0xf9b6249156f62aa8, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x0000000b13e1e9d5,
};

/*
 * m644_autobaud_uart0_noled_ee_ce_u4_hw m644a_autobaud_uart0_noled_ee_ce_hw
 * m644a_autobaud_uart0_noled_ee_ce_u4_hw m644p_autobaud_uart0_noled_ee_ce_hw
 * m644p_autobaud_uart0_noled_ee_ce_u4_hw m644pa_autobaud_uart0_noled_ee_ce_hw
 * m644pa_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed1468b044, 0xbbbbba585c874eac, 0x09e47e98d3d467bb, 0x71a8a912c47771da, 0x3bbb293ef6c5e0dc,
  0xf2b167ed6e609f19, 0x154088153e124dbf, 0xfd549afb9b780ba2, 0xa3f9d0da37b5470a, 0xe79e439dc728c5fa,
  0x84bf10d8488bace1, 0x262e1f9699bffa8f, 0xe57d44a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a0531584,
  0x3a909afa30b2c452, 0xbda3c1673abb74e2, 0x36355e363af3a6ed, 0xb98b848451cf230e, 0x951b044c8e1bd96c,
  0xe06256bd859d12a6, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b,
  0x138c6e52d4bf36c4, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x004a9103eea29e4a,
};

/*
 * m644_autobaud_uart0_lednop_pr     m644a_autobaud_uart0_lednop       m644a_autobaud_uart0_lednop_pr
 * m644p_autobaud_uart0_lednop       m644p_autobaud_uart0_lednop_pr    m644pa_autobaud_uart0_lednop
 * m644pa_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m644_autobaud_uart0_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0xe12eebfd61de7e3d, 0xb780ba2154088153, 0x7b5470afd549afb9, 0x47278ef964870da3, 0xfcf524389206693d,
  0xc829cc580b7ba61b, 0x2c608ebc5cec1c51, 0x0c4ad7b0ac507dc7, 0x7ad79e0404e166fc, 0xe8016f3796ea0c07,
  0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x386e52d4bf36d38c, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x4332c3a4a5b38713, 0x204913316792bf73, 0x00000000000000e2,
};

// m644a_autobaud_uart0_lednop_pr_u4 m644p_autobaud_uart0_lednop_pr_u4 m644pa_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m644_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0x75ffb0be7e3dcc13, 0x5d10aa0440a9f097, 0x3857eaa4d7dcdbc0, 0xc77cb08786d1bdaa, 0x921c4903417ea3da,
  0xe62c0596537c907e, 0x8ebd1f3b2cf4690c, 0x6d059a45403ff660, 0x312b5ec82b40f2cf, 0xeb5e781013859bf0,
  0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0xf83bb8d164498dca,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0xa6b6bda792bf7343, 0x000000000001186d,
};

/*
 * m644_autobaud_uart0_lednop_pr_ee_u4 m644a_autobaud_uart0_lednop_pr_ee
 * m644a_autobaud_uart0_lednop_pr_ee_u4 m644p_autobaud_uart0_lednop_pr_ee
 * m644p_autobaud_uart0_lednop_pr_ee_u4 m644pa_autobaud_uart0_lednop_pr_ee
 * m644pa_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xfec2f9f1ad304f8c, 0x855022054f84b4df, 0xbf5526bee6de02e8, 0xb4738c368ded51c2, 0x0d31f51e56654d56,
  0x0ef8ac3dfa8f8366, 0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7,
  0xd96cb98b8484504f, 0xeccf2a3608fd6e1b, 0x2cdf81895af60043, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x4c6e52d4bf36dce4, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4,
  0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x135389f875ed3c95,
};

/*
 * m644_autobaud_uart0_lednop_pr_ce_u4 m644a_autobaud_uart0_lednop_pr_ce
 * m644a_autobaud_uart0_lednop_pr_ce_u4 m644p_autobaud_uart0_lednop_pr_ce
 * m644p_autobaud_uart0_lednop_pr_ce_u4 m644pa_autobaud_uart0_lednop_pr_ce
 * m644pa_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x60bffb0be7e574c1, 0x0ba2154088153e12, 0x470afd549afb9b78, 0x68c5fac430da37b5, 0x45d670f3c79b9dc0,
  0xdbfd47c25f886c24, 0x757d64c98b874db9, 0x481eb3d47e927b96, 0xcc580a9888b490e2, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x5a97e6db9c31dbd8, 0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x5566bda792bf7343, 0x0000000000011bae,
};

/*
 * m644_autobaud_uart0_lednop_pr_ee_ce_u4 m644a_autobaud_uart0_lednop_pr_ee_ce
 * m644a_autobaud_uart0_lednop_pr_ee_ce_u4 m644p_autobaud_uart0_lednop_pr_ee_ce
 * m644p_autobaud_uart0_lednop_pr_ee_ce_u4 m644pa_autobaud_uart0_lednop_pr_ee_ce
 * m644pa_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0xc2f9f6bb9827c64e, 0x5022054f849fe7fe, 0x5526bee6de02e885, 0xfe74368ded51c2bf, 0xf1e6e764ea317ea8,
  0x97e21b0911759c3c, 0xc5c3e54341ff51f0, 0xafba94ed6107be64, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x0c4ad7b0b31f6679, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xc41f5ed3c95fb9a1, 0x0000000000008225,
};

// m644a_autobaud_uart0_lednop_ee_hw m644p_autobaud_uart0_lednop_ee_hw m644pa_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m644_autobaud_uart0_lednop_ee_hw[] = {
  0x377777768a341202, 0xeeeeee960f05a5d6, 0xd29bb2b6d4f6a2ee, 0xa178570ba99ba5ef, 0xc9dd666d8b505505,
  0xffcac59f1ad304f8, 0x442a81102a7c25a6, 0x15faa935f736f017, 0xb5a39c61b46f6a8e, 0x30698fa8f2b32a6a,
  0x2877c561efd47c1b, 0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af,
  0xdecb65cc5c242282, 0x1f667951b047eb70, 0xe166fc0c4ad7b002, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x9c637296a5f9b6e7, 0x787bde50c2a73f50, 0xfb61c7f197e627ff,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x0589f1800514f257,
};

/*
 * m644_autobaud_uart0_lednop_ee_ce_u4_hw m644a_autobaud_uart0_lednop_ee_ce_hw
 * m644a_autobaud_uart0_lednop_ee_ce_u4_hw m644p_autobaud_uart0_lednop_ee_ce_hw
 * m644p_autobaud_uart0_lednop_ee_ce_u4_hw m644pa_autobaud_uart0_lednop_ee_ce_hw
 * m644pa_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xddddddda28d01107, 0x777774b0b9012358, 0x13a7791a0bb93b77, 0x8247d22588eee3b4, 0x77539157eefda3bb,
  0xe562cfb5dcc13e32, 0x154088153e127f9f, 0xfd549afb9b780ba2, 0xa3f9d0da37b5470a, 0xe79e439d93a8c5fa,
  0x84bf10d8488bace1, 0x93170fd66c87fa8f, 0xf2beea53b5841ef9, 0xffa8f83660d6bfa8, 0x1669d68450298af6,
  0x1d484d7d18596229, 0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b,
  0xf0312b5ec2cc7d99, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x94b52fcdb73863b7, 0xf2861539fa84e31b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0x1176a8a792bf7343, 0x00000000000012a4,
};

/*
 * m644_autobaud_uart0_dual_pr       m644_autobaud_uart0_dual_pr_u4    m644a_autobaud_uart0_dual
 * m644a_autobaud_uart0_dual_pr      m644a_autobaud_uart0_dual_pr_u4   m644p_autobaud_uart0_dual
 * m644p_autobaud_uart0_dual_pr      m644p_autobaud_uart0_dual_pr_u4   m644pa_autobaud_uart0_dual
 * m644pa_autobaud_uart0_dual_pr     m644pa_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m644_autobaud_uart0_dual[] = {
  0xeeeeeeed121b9a7c, 0xeeeeea1ca8682b0f, 0x9d867648ef7ed6ee, 0xaf87b40bdddd083e, 0xcee484233858afae,
  0x04a4747e609f1930, 0x85a6fc0d88711640, 0x50129dd3e251850c, 0x829e386569b7dfe6, 0x1240e43cdea3943d,
  0x4aff3f7c11429224, 0x393b627d70f8510c, 0x968694886559cbd3, 0xfe80e784d3745421, 0x0586f2bc84b6ee97,
  0x8153e127f3fffed3, 0xafb9b780ba215408, 0x0da37b5470afd549, 0x21fd47c8a77cb135, 0xf34e2f7d24389206,
  0x5ac8ebf9cc580aa0, 0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7,
  0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x69e4afdcd0ccb0e9, 0x0000002e0aa9adaf,
};

/*
 * m644_autobaud_uart0_dual_pr_ee_u4 m644a_autobaud_uart0_dual_pr_ee   m644a_autobaud_uart0_dual_pr_ee_u4
 * m644p_autobaud_uart0_dual_pr_ee   m644p_autobaud_uart0_dual_pr_ee_u4
 * m644pa_autobaud_uart0_dual_pr_ee  m644pa_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644_autobaud_uart0_dual_pr_ee[] = {
  0x3fbbbbbbb4486f97, 0xbbbbbba8719051fc, 0x00aad0eb843dae3b, 0x44febb05ff4f74dd, 0x93c119d7b853a4d7,
  0x20ebe9827c64e4eb, 0x37e06c4388b20025, 0x94ee9f128c28642d, 0xb3856fcd003f3280, 0x7bb537a8f3b7b0b5,
  0x9fbe08a149120920, 0x413eb87c2886257f, 0x044432ace5e99c52, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x8489d7fffda60b0d, 0xde02e8855022054f, 0xed51c2bf5526bee6, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0x1d7b4f257ee68665,
  0x0000000000295263,
};

/*
 * m644_autobaud_uart0_dual_pr_ce_u4 m644a_autobaud_uart0_dual_pr_ce   m644a_autobaud_uart0_dual_pr_ce_u4
 * m644p_autobaud_uart0_dual_pr_ce   m644p_autobaud_uart0_dual_pr_ce_u4
 * m644pa_autobaud_uart0_dual_pr_ce  m644pa_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_dual_pr_ce[] = {
  0xfddddddda2437089, 0xbbbbba871e9efde1, 0xd58b96257db55fbb, 0x5aa2f39dbbbb138d, 0x372bc9eb2b66eb69,
  0x25202c9304f8c98e, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x3fe1c0344da6bf32, 0x481d0fcdea3d8fec,
  0x5fe7ef8228524482, 0x2e444fae1f0a2189, 0xa121d10cab397a67, 0x4073c26fdd150865, 0xc3795e425b74b5ff,
  0x53e12b75ffff6982, 0xb9b780ba21540881, 0xa37b5470afd549af, 0x73b4ad18bf597d0d, 0x0d8488bace1e78f3,
  0x7adf801fa8f84bf1, 0x9ee59d5ea5cc98b8, 0x21c4903a97ea38df, 0xd7f398b014141f29, 0xd99e3af00676b591,
  0xf2d6e10e90d500ff, 0x8abe777152552740, 0x70b37e06256bd93f, 0x450603bd6bcf0202, 0xa53929d002de6f36,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e,
  0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0056bdd595af69e4,
};

/*
 * m644a_autobaud_uart0_dual_pr_ee_ce m644p_autobaud_uart0_dual_pr_ee_ce
 * m644pa_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m644_autobaud_uart0_dual_pr_ee_ce[] = {
  0x7f77777775050c86, 0xeeeeeea1ca8787d8, 0xe5932b8d17eb4f6e, 0x16a3e0cd19ee9d64, 0x7637675ef98b682e,
  0xaa49827c64d86b97, 0x81b10e22c8009489, 0xba7c4a30a190b4df, 0x19f26eb3fcca0253, 0x49bd4735bd84c31c,
  0xf82285244824818a, 0xfae1f0a21895fe7e, 0x432ace5e99c0a444, 0x34568a8432d0eaf4, 0x425b743effa039e1,
  0xb7ffff6982c3795e, 0x7442a81102a7c249, 0xe15faa935f736f01, 0x7f547fba1b46f6a8, 0x24afcf1e6e771cac,
  0xac0b374ce7587b91, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11, 0x7576e328752135f4,
  0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c, 0x6bd93f8abe777152,
  0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8,
  0xe34581e8637296a5, 0x54e7ea75666fe0ee, 0x3e68fb61c4e34a18, 0x6592e19e985727e0, 0x19961d252d9c389c,
  0xb17ef5ed3c95fb9a, 0x0000000000000fd5,
};

/*
 * m644a_autobaud_uart0_dual_pr_ee_ce_u4 m644p_autobaud_uart0_dual_pr_ee_ce_u4
 * m644pa_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m644_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fed8be, 0xbbba872c9df5f0fe, 0x3dee135f7af7bbbb, 0x32829badd2d59f6d, 0x0d2c85f5b3376099,
  0x09f193f6ae4f3ad2, 0x71164004a471e4e6, 0x51850c85a6fc0d88, 0xd07fccac049dd3e2, 0xf723b024a386544c,
  0x92241240d9bf37a8, 0x510c4aff3f7c1142, 0x2f4ce33d627d70f8, 0x4219686ed2219567, 0x7cffa039e1374fc5,
  0x2982c3795e425b76, 0x2054f8490fbff956, 0x6bee6de02e885502, 0xc368ded51c2bf552, 0x0cecc7e317ea8ca1,
  0x0d8488bace1e79f0, 0x9806e87fa8f84bf1, 0x94ed6109ba64c5c3, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f,
  0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e,
  0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb52fcdb73863b7b1, 0x8347f1a2c8931b94, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xc9e41a792bf73433, 0x0000000000fd5ba3,
};

// m644a_autobaud_uart0_dual_ee_hw   m644p_autobaud_uart0_dual_ee_hw   m644pa_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m644_autobaud_uart0_dual_ee_hw[] = {
  0xf77777768a347089, 0x7777750e320a3f87, 0x155a1d7087b5c777, 0x9fd760bfe9ee9ba0, 0x2bc9eb2b6b689ae8,
  0x41d7d304f8c9c9d7, 0x6fc0d8871164004a, 0x19dd3e251850c85a, 0x670adf9a007e6574, 0xf76a6f51e76f616b,
  0x3f7c114292241240, 0x827d70f8510c4aff, 0x08886559cbd338a4, 0x9e131758a8432d0c, 0xcaf212dbffcffa03,
  0x913affe43fcc161b, 0xc05d10aa0440a9f0, 0xaa3857eaa4d7dcdb, 0xb9aad68e4486d1bd, 0xe0d983053d4795af,
  0x5a1143be2ba95ea3, 0x35f4616588a459a7, 0xead2e652e2a5cd21, 0x75ea25da2147bd9c, 0x281151f3d6355ae8,
  0x6e1bd97d2cc5c242, 0xa0109fd62a3608fd, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xa73f509c637296a5, 0xe627ff787bde50c2,
  0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x00000058394cd3e5,
};

/*
 * m644_autobaud_uart0_dual_ee_ce_u4_hw m644a_autobaud_uart0_dual_ee_ce_hw
 * m644a_autobaud_uart0_dual_ee_ce_u4_hw m644p_autobaud_uart0_dual_ee_ce_hw
 * m644p_autobaud_uart0_dual_ee_ce_u4_hw m644pa_autobaud_uart0_dual_ee_ce_hw
 * m644pa_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_autobaud_uart0_dual_ee_ce_hw[] = {
  0xeeeeeeed1468bb90, 0xbbbba872c9df5f0f, 0xd3dee135f7af7bbb, 0x932829badd2d59f6, 0x4895fbfd6f337609,
  0xc9cc13e327ed5c8d, 0x1b10e22c800948e3, 0xa7c4a30a190b4df8, 0x544cd07fccae833b, 0x37a8f723b024a386,
  0x114292241240d9bf, 0x70f8510c4aff3f7c, 0x95672f4ce33d627d, 0x4fc54219686ed221, 0x5b767cffa039e137,
  0xfc87f982c3795e42, 0x2a81102a7c2487df, 0xfaa935f736f01744, 0x4650e1b46f6a8e15, 0x9e790e7663f18bf5,
  0x12fc4361222eb387, 0x98b87672e8ffea3e, 0x95bf929dac21374c, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x637296a5f9b6e70c, 0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0x34c590bd14f257ee, 0x0000000000000021,
};

/*
 * m644_u1x8_uart0_noled_pr          m644a_u1x8_uart0_noled            m644a_u1x8_uart0_noled_pr
 * m644p_u1x8_uart0_noled            m644p_u1x8_uart0_noled_pr         m644pa_u1x8_uart0_noled
 * m644pa_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m644_u1x8_uart0_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xc9feb0ef3e0a4c13, 0xee737f68805bd817, 0xd05fa8fd01df2c21, 0xca67bed6a4871240, 0xdabfa3d61cc580b2,
  0x2a01ffb30475e8f9, 0x0e3e07967b63eccf, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1,
  0xaa2d2c2e718de33a, 0xa97e6d892455bd8a, 0x0d1fc68b1e70dca5, 0x67a615c9fbab31e4, 0x494b670e271964b8,
  0x62cf257ee6866587, 0x000000003e434e26,
};

// m644a_u1x8_uart0_noled_pr_u4      m644p_u1x8_uart0_noled_pr_u4      m644pa_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m644_u1x8_uart0_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x3ff617cf829304f8, 0xce6fed100b7b02f9, 0x0bf51fa03be5843d, 0x4cf7dad490e2481a, 0x57f47ac398b01659,
  0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d,
  0x45a585ce31bc6744, 0x2fcdb1248ab7b155, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0x8d7b4f257ee68665, 0x0000000001f27c66,
};

/*
 * m644_u1x8_uart0_noled_pr_ee_u4    m644a_u1x8_uart0_noled_pr_ee      m644a_u1x8_uart0_noled_pr_ee_u4
 * m644p_u1x8_uart0_noled_pr_ee      m644p_u1x8_uart0_noled_pr_ee_u4   m644pa_u1x8_uart0_noled_pr_ee
 * m644pa_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644_u1x8_uart0_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x617cf94b9827c64e, 0xfda2016f604e97ff, 0xe449aad68e71b9cd, 0x51f06cc1a63ea3ca, 0x69d68450ef8afbaf,
  0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab, 0x1fadc37b2d973170,
  0xaf600544a9a546c1, 0xf5af39c2cdf81895, 0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xb8d526bda792bf73, 0x000000000000004e,
};

// m644a_u1x8_uart0_noled_pr_ce      m644p_u1x8_uart0_noled_pr_ce      m644pa_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m644_u1x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x1489feb0ef3e1ee6, 0xe82e737f68805bd8, 0xe79b8773b7bec7f5, 0x63399ceb0ff3a43f, 0xf19fa8e21e7b965d,
  0x016e189fa4871240, 0x8b9da4151e33398b, 0xc1d3a7b8e58cf1d7, 0x5e73859bf0312b5e, 0x85bcde5ba8301deb,
  0xa6f55d54e5e53633, 0x6f19d102e6cc6085, 0x386e52d4bf36d38c, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x4332c3a4a5b38713, 0xa81c93316792bf73, 0x000000000000005b,
};

// m644a_u1x8_uart0_noled_pr_ce_u4   m644p_u1x8_uart0_noled_pr_ce_u4   m644pa_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m644_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0xfff617cfb939827c, 0x9cdfda2016f604be, 0xcdcee3dc62fd621b, 0xc4361222eb3879e3, 0x70fff0347ea3e12f,
  0x4f4f72ceafac9931, 0x92921c4903d67a8e, 0x7f47ac398b0147ce, 0x03ff6678ebd1f3b5, 0x1f03cb5b87d99e54,
  0xce166fc0c4ad7b07, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10, 0x7e6d89218edec555,
  0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0xebda792bf734332c, 0x000000001bafb483,
};

/*
 * m644_u1x8_uart0_noled_pr_ee_ce_u4 m644a_u1x8_uart0_noled_pr_ee_ce   m644a_u1x8_uart0_noled_pr_ee_ce_u4
 * m644p_u1x8_uart0_noled_pr_ee_ce   m644p_u1x8_uart0_noled_pr_ee_ce_u4
 * m644pa_u1x8_uart0_noled_pr_ee_ce  m644pa_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u1x8_uart0_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xfb0be7cc7e609f19, 0x6fed100b7b024b5f, 0x71ca317ea8fe75ce, 0x0911759c3cf1e6e7, 0x299cbf51f097e21b,
  0x76b083df3262e1e9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044, 0x6bce70b37e06256b,
  0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2d4bf36c490c76f6, 0xfc1ddc68b224c6e5,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0x6a735ed3c95fb9a1, 0x00000000000013f0,
};

// m644a_u1x8_uart0_noled_ee_hw      m644p_u1x8_uart0_noled_ee_hw      m644pa_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m644_u1x8_uart0_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0x37f68805bd813a5f, 0x2b9126ab5a39c6e7, 0xbd47c1b30698fa8f, 0x59a75a1143be2bee,
  0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a, 0x047eb70decb65cc5,
  0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x37296a5f9b624915, 0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f,
  0x866587494b670e27, 0x7c1e9d514f257ee6, 0x000000000000000b,
};

/*
 * m644_u1x8_uart0_noled_ee_ce_u4_hw m644a_u1x8_uart0_noled_ee_ce_hw   m644a_u1x8_uart0_noled_ee_ce_u4_hw
 * m644p_u1x8_uart0_noled_ee_ce_hw   m644p_u1x8_uart0_noled_ee_ce_u4_hw
 * m644pa_u1x8_uart0_noled_ee_ce_hw  m644pa_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0x9bfb4402dec092d7, 0xdc728c5faa3f9d73, 0x8488bace1e79e439, 0x699bffa8f84bf10d,
  0x76b083df3262e1f9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044, 0x6bce70b37e06256b,
  0x85bcde01f50603bd, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2d4bf36c490c76f6, 0xa1854e7ea138c6e5,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x22fa29e4afdcd0cc,
  0x00000000000280b8,
};

/*
 * m644_u1x8_uart0_lednop_pr         m644a_u1x8_uart0_lednop           m644a_u1x8_uart0_lednop_pr
 * m644p_u1x8_uart0_lednop           m644p_u1x8_uart0_lednop_pr        m644pa_u1x8_uart0_lednop
 * m644pa_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m644_u1x8_uart0_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x377fac3bcfa01304, 0x7b9cdfda2016f605, 0x3417ea3dac77cb08, 0x6537c907e921c490, 0xb2cf4690ce62c059,
  0x5403ff6608ebd1f3, 0x82b40f2cf6d059a4, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x8b1e70dca5a97e6d, 0xc9fbab31e40d1fc6, 0x0e271964b867a615,
  0x7ee6866587494b67, 0x007c82a72662cf25,
};

// m644a_u1x8_uart0_lednop_pr_u4     m644p_u1x8_uart0_lednop_pr_u4     m644pa_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m644_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xbff617cfa01304f8, 0xce6fed100b7b029b, 0x0bf51ed63be5843d, 0x9be483f490e2481a, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x9c2cdf81895af641, 0x914180ef5af3c080, 0xa94e4a7400b79bcd,
  0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000f9365f875ed3c,
};

/*
 * m644_u1x8_uart0_lednop_pr_ee_u4   m644a_u1x8_uart0_lednop_pr_ee     m644a_u1x8_uart0_lednop_pr_ee_u4
 * m644p_u1x8_uart0_lednop_pr_ee     m644p_u1x8_uart0_lednop_pr_ee_u4  m644pa_u1x8_uart0_lednop_pr_ee
 * m644pa_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x617cfa9e9827c64e, 0xfda2016f6045d7ff, 0xcca9aad68e71b9cd, 0x51f06cc1a63ea3ca, 0xd3ad08a1df1587bf,
  0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab, 0x1fadc37b2d973170,
  0x5ec0087d99e546c1, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xe6db9c8ab7b15545, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xbda792bf734332c3, 0x000000009d75a376,
};

// m644a_u1x8_uart0_lednop_pr_ce     m644p_u1x8_uart0_lednop_pr_ce     m644pa_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m644_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xb02dbffeb0ef3e63, 0xebd05ce6fed100b7, 0x5fcf370ee7710d8f, 0xbac67339d61e4397, 0x40f19fa8fcf4f72c,
  0x8b014456bea48712, 0x3af173b6b119a439, 0xaf60eb58b71cb19e, 0x3c0809c2cdf81895, 0xb79bc1c9580ef5af,
  0x5953b8b29cbe7400, 0x440fd663042d3c31, 0x4b52fcdb4e31bc67, 0xc81a3f8d163ce1b9, 0x70cf4c2b93f75663,
  0x0e9296ce1c4e32c9, 0x4cc59e4afdcd0ccb, 0x00000000002dd402,
};

// m644a_u1x8_uart0_lednop_pr_ce_u4  m644p_u1x8_uart0_lednop_pr_ce_u4  m644pa_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m644_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xddffb0be7dd2cc13, 0xdce6fed100b7b02f, 0x1e6e7701a317eb10, 0x7e21b0911759c3cf, 0x2e1d36e76ff51f09,
  0xfa49ee59d5f59326, 0x22d24389207acf51, 0x67a3486731602a62, 0x01ffb33c75e8f9d9, 0x5681e5adc82cd22a,
  0x270b37e06256bd90, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x912637296a5f9b6e, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000375d2ac5af69e,
};

/*
 * m644_u1x8_uart0_lednop_pr_ee_ce_u4 m644a_u1x8_uart0_lednop_pr_ee_ce
 * m644a_u1x8_uart0_lednop_pr_ee_ce_u4 m644p_u1x8_uart0_lednop_pr_ee_ce
 * m644p_u1x8_uart0_lednop_pr_ee_ce_u4 m644pa_u1x8_uart0_lednop_pr_ee_ce
 * m644pa_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0x0be7ffe4c13e3277, 0xda2016f605d3fffb, 0xd462fd51fceb9cdf, 0x22eb3879e3cdcec9, 0x83fea3e12fc43612,
  0xc20f7cc98b87ca86, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30, 0x2cb1148b34eb4228, 0xaedc7a8ea426be8c,
  0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a, 0x663eccf2a3608991, 0x09c2cdf81895af61,
  0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0x64498dca5a97e6db,
  0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3,
  0x92bf734332c3a4a5, 0x00009f96dbaebda7,
};

// m644a_u1x8_uart0_lednop_ee_hw     m644p_u1x8_uart0_lednop_ee_hw     m644pa_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m644_u1x8_uart0_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xdfda2016f6045d7f, 0xacca9aad68e71b9c, 0xf51f06cc1a63ea3c, 0xcd3ad08a1df1587b,
  0x6909afa30b2c4522, 0x9a39d5a5cf55c6b2, 0xb5d0ebce9bb4648c, 0x0908a09e46f6ac6a, 0x11fadc37b2d97317,
  0xb5ec0087d99e546c, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0x7e6db9c8ab7b1554, 0xa9cfd42718dca5a9, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000002dffa2c9,
};

/*
 * m644_u1x8_uart0_lednop_ee_ce_u4_hw m644a_u1x8_uart0_lednop_ee_ce_hw
 * m644a_u1x8_uart0_lednop_ee_ce_u4_hw m644p_u1x8_uart0_lednop_ee_ce_hw
 * m644p_u1x8_uart0_lednop_ee_ce_u4_hw m644pa_u1x8_uart0_lednop_ee_ce_hw
 * m644pa_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0x9bfb4402dec0ba7f, 0xd93a8c5faa3f9d73, 0x8488bace1e79e439, 0x66c87fa8f84bf10d,
  0x3b5841ef993170fd, 0x660d6bfa8f2beea5, 0x450298af6ffa8f83, 0xd185962291669d68, 0x39d5db8f51d484d7,
  0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12, 0xec2cc7d99e546c11, 0x81013859bf0312b5,
  0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x9fa84e31b94b52fc,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000001404c134e8a,
};

/*
 * m644_u1x8_uart0_dual_pr           m644_u1x8_uart0_dual_pr_u4        m644a_u1x8_uart0_dual
 * m644a_u1x8_uart0_dual_pr          m644a_u1x8_uart0_dual_pr_u4       m644p_u1x8_uart0_dual
 * m644p_u1x8_uart0_dual_pr          m644p_u1x8_uart0_dual_pr_u4       m644pa_u1x8_uart0_dual
 * m644pa_u1x8_uart0_dual_pr         m644pa_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m644_u1x8_uart0_dual[] = {
  0xeeeeea99448692df, 0xeeeea1ce3e1bb0fe, 0xd8989de475a76eee, 0x914e8e3bbba0ce85, 0x0b928fa10ce226dd,
  0x04a433e4c13e3249, 0x85a6fc0d88711640, 0x50129dd3e251850c, 0x8393387ce9a43fe6, 0x09206fe4dea3945d,
  0x257f9fbe08a14912, 0xce05a13eb87c2886, 0x65a098a2195672f4, 0xffa039e134651508, 0xc161bcaf212db98f,
  0x402dec08f5ffffb4, 0x8a77cb135739bfb4, 0xd2438920621fd47c, 0x9cc580aa0f34e2f7, 0x11d78033b5ac8ebf,
  0xed887486a807fecc, 0xceee2a4aa4e81e59, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9260f27af69e4afd,
  0x0000000000000002,
};

/*
 * m644_u1x8_uart0_dual_pr_ee_u4     m644a_u1x8_uart0_dual_pr_ee       m644a_u1x8_uart0_dual_pr_ee_u4
 * m644p_u1x8_uart0_dual_pr_ee       m644p_u1x8_uart0_dual_pr_ee_u4    m644pa_u1x8_uart0_dual_pr_ee
 * m644pa_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeea99448687e1, 0xdddd43963ec5f0fe, 0x588b51dad75bdddd, 0xffb43285eedc1816, 0xbdbc1776d1f1d72a,
  0xa9d304f8c9583722, 0xe06c4388b2002523, 0xee9f128c28642d37, 0x019b9b76bf328094, 0x7537a8e16b6063e7,
  0xdf0450a489049032, 0x9f5c3e144312bfcf, 0x22195672f4ce7598, 0x84cbee2a10cb412b, 0xbc84b6e707fe80e7,
  0x595bfffed30586f2, 0x44b9cdfda2016f60, 0x3d4795afb9aad68e, 0x2ba95ea3e0d98305, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da, 0x2cc5c242281151f3, 0x2a3608fd6e1bd97d,
  0x7ceee2a4a0109fd6, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x056479b7af69e4af,
};

/*
 * m644_u1x8_uart0_dual_pr_ce_u4     m644a_u1x8_uart0_dual_pr_ce       m644a_u1x8_uart0_dual_pr_ce_u4
 * m644p_u1x8_uart0_dual_pr_ce       m644p_u1x8_uart0_dual_pr_ce_u4    m644pa_u1x8_uart0_dual_pr_ce
 * m644pa_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644_u1x8_uart0_dual_pr_ce[] = {
  0xddddd532890ddb75, 0xeeeea1c80021e1fd, 0x499389d96a7deeee, 0x28d4d8b777792dc1, 0xe57d7bc9dce72196,
  0x48d506609f192696, 0x4df81b10e22c8009, 0x253ba7c4a30a190b, 0x09c3abe6a1ffcca0, 0x076ea6f51e396c0e,
  0xf9fbe08a14912092, 0xc113eb87c2886257, 0x1fc4432ace5e99ce, 0x0e784db7e2a10cb4, 0x6f2bc84b6fbeffe8,
  0xf60470ffffed3058, 0xfacbeb9cdfda2016, 0x70f3c79b9da568c5, 0x47c25f886c2445d6, 0x2e64c5c3d6fc00fd,
  0xbf51c6fcf72ceaf5, 0xa0a0f9490e2481d4, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780, 0x92a93a0796b70874,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x2fcdb73863b7b155, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x5d7b4f257ee68665, 0x00000000006926f0,
};

// m644a_u1x8_uart0_dual_pr_ee_ce    m644p_u1x8_uart0_dual_pr_ee_ce    m644pa_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m644_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbaa676090cf68, 0xdddd4385c49bc3fb, 0x66fbb1d7dc89dddd, 0xabcaddc1dd1ec73b, 0xea75f576ecf700fa,
  0xfcc13e325a75c9a3, 0x621c459001290b90, 0xf89461432169bf03, 0xa999bff99404a774, 0xf51fb076178670e5,
  0x14292241240d0fa6, 0x0f8510c4aff3f7c1, 0x5672f4ce720e27d7, 0x3a2a10cb409d2219, 0xb6f003fe80e784db,
  0xfffed30586f2bc84, 0xcdfda2016f6041a3, 0xd98fc62fd51943b9, 0xc2445d670f3c79b9, 0x9124afd47c25f886,
  0x9dac21374c98b87b, 0xd9835f3d4795bf92, 0x1140a62b80dea3e0, 0xf4616588a459a75a, 0xce7576e328752135,
  0x363af512ed10a3de, 0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2, 0x5252cc4feb151b04, 0x256bd93f8abe7771,
  0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xa5f9b6e70c76f62a,
  0xeee34581e8637296, 0x1854e7ea75666fe0, 0xe03e68fb61c4e34a, 0x9c6592e19e985727, 0x9a19961d252d9c38,
  0x800b1ff5ed3c95fb,
};

// m644a_u1x8_uart0_dual_pr_ee_ce_u4 m644p_u1x8_uart0_dual_pr_ee_ce_u4 m644pa_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xfdddddd532890c86, 0xbbbbba870b8bade1, 0x9c5bbf7d77bb37bb, 0x4d7b9c56ee0ee80a, 0x2eec6ecc89e62d71,
  0x10f27304f8c929d7, 0xbf03621c45900129, 0xa774f89461432169, 0x38760cd787f99404, 0xc4137a8e87db0c6e,
  0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x64432ace5e99ce6f, 0xf09a574542196845, 0xaf212dbb5dffd01c,
  0x2ddaffffb4c161bc, 0x43dce6fed100b7b0, 0x1e6e77a6e317ea8e, 0x7e21b0911759c3cf, 0x2e1e9299cbf51f09,
  0x7dd4a76b08443326, 0xa8f83660d31f51e5, 0x34eb422814c57a57, 0xa426be8c2cb1148b, 0x3464d1ceaedd388e,
  0x355e363af6b13b5c, 0x2e1211435f237b56, 0x89a432386f65c7c6, 0x64fe2af9ddc54971, 0x0809c2cdf81895af,
  0x016f37980ef5af3c, 0x3e02d4e48a5abce8, 0xce88197f31821695, 0x7296a5f9b69c6378, 0x66fe0eee34591263,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x2000c9af69e4afdc,
};

// m644a_u1x8_uart0_dual_ee_hw       m644p_u1x8_uart0_dual_ee_hw       m644pa_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m644_u1x8_uart0_dual_ee_hw[] = {
  0x777754ca28d1db75, 0xeeea1cb1f62f87f7, 0xc45a8ed6badeeeee, 0xfda1942f76e0c0b2, 0xfaf793d7218eb957,
  0xea74c13e32560dca, 0xf81b10e22c800948, 0x3ba7c4a30a190b4d, 0xc066e6ddafccae83, 0x9d4dea385ad818f9,
  0xf7c114292241240c, 0x27d70f8510c4aff3, 0xc886559cbd339d66, 0xe132fb8a8432d04a, 0xaf212db9c1ffa039,
  0x656ffe43fcc161bc, 0x12e737f68805bd81, 0xf51e56bee6ab5a39, 0xaea57a8f83660c14, 0x2291669d68450ef8,
  0x8a973484d7d18596, 0x851ef673ab4b994b, 0x58d56ba1d7a89768, 0xb3170908a04547cf, 0xa8d823f5b86f65f4,
  0xf3bb8a9280427f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0xef79430a9cfd4271, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x6952463453c95fb9, 0x0000000000000057,
};

/*
 * m644_u1x8_uart0_dual_ee_ce_u4_hw  m644a_u1x8_uart0_dual_ee_ce_hw    m644a_u1x8_uart0_dual_ee_ce_u4_hw
 * m644p_u1x8_uart0_dual_ee_ce_hw    m644p_u1x8_uart0_dual_ee_ce_u4_hw m644pa_u1x8_uart0_dual_ee_ce_hw
 * m644pa_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x8_uart0_dual_ee_ce_hw[] = {
  0x777754ca28d15aa4, 0xbbba870b893787f7, 0xcdf763afb913bbbb, 0x5795bb83ba3d8e76, 0xd0d48efd7dee01f5,
  0x1f9827c64b4eb956, 0x6c4388b200252172, 0x9f128c28642d37e0, 0xb53337ff32ba0cee, 0xdea3f60ec2f0ce1c,
  0x228524482481a1f4, 0xe1f0a21895fe7ef8, 0x2ace5e99ce41c4fa, 0x674542196813a443, 0x96de007fd01cf09b,
  0xff21fe60b0de5790, 0x9bfb4402dec08347, 0xb31f8c5faa328773, 0x0911759c3cf3c873, 0x9747ff51f097e21b,
  0xed6109ba64c5c3b3, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x2b5ec9fc55f3bb8a,
  0x5e781013859bf031, 0x16f379b228301deb, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fcdb73863b7b155,
  0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0x68a792bf734332c3, 0x0000000075d7dff8,
};

/*
 * m644_u1x12_uart0_noled_pr         m644a_u1x12_uart0_noled           m644a_u1x12_uart0_noled_pr
 * m644p_u1x12_uart0_noled           m644p_u1x12_uart0_noled_pr        m644pa_u1x12_uart0_noled
 * m644pa_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m644_u1x12_uart0_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x3fd61de7e719827c, 0xff6d4feedd3e125f, 0x4077cb08786d1ba4, 0xa921c4903417ea3f, 0x8731602cb299efb5,
  0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0xe06256bd838f81e5, 0x50603bd6bce70b37, 0x5e5363385bcde01f,
  0x9c6378ce8815d54e, 0x49156f62aa8b4b0b, 0xc79c37296a5f9b62, 0x7eeacc790347f1a2, 0x89c6592e19e98572,
  0xb9a19961d252d9c3, 0x07c8738998b3c95f,
};

// m644a_u1x12_uart0_noled_pr_u4     m644p_u1x12_uart0_noled_pr_u4     m644pa_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m644_u1x12_uart0_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfec2f9f9c6609f19, 0xeda9fddba7c24be7, 0x0ef9610f0da3749f, 0x2438920682fd47e8, 0xe62c0596533df6b5,
  0x23af47ced5fd1eb0, 0xdb1f6679500ffd98, 0x0c4ad7b071f03cb3, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea,
  0x8c6f19d102baa9cb, 0x22adec5551696173, 0x24c6e52d4bf36c49, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x007c9db3175ed3c9,
};

/*
 * m644_u1x12_uart0_noled_pr_ee_u4   m644a_u1x12_uart0_noled_pr_ee     m644a_u1x12_uart0_noled_pr_ee_u4
 * m644p_u1x12_uart0_noled_pr_ee     m644p_u1x12_uart0_noled_pr_ee_u4  m644pa_u1x12_uart0_noled_pr_ee
 * m644pa_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644_u1x12_uart0_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0x0be7d82cc13e3277, 0x4feedd3e12387ffb, 0x68e7186d1ba4ff6d, 0x1a63ea3cae449aad, 0x0ef8afbaf51f06cc,
  0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2, 0x461c6c6ab5d0ebce, 0xb2d973170908a39e,
  0x4a9a546c11fadc37, 0x2cdf81895af60054, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057,
  0x6d892455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xda792bf734332c3a, 0x00000004ebde49eb,
};

// m644a_u1x12_uart0_noled_pr_ce     m644p_u1x12_uart0_noled_pr_ce     m644pa_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m644_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x2dbffeb0ef3e63e6, 0xba4ff6d4feedd3e1, 0xcedefb1fd7a086d1, 0xac3fce90ff9e6e1d, 0x8879ee59758ce673,
  0x7e921c4903c67ea3, 0x5478cce62c05b862, 0xe39633c75e2e7690, 0x6fc0c4ad7b074e9e, 0x6ea0c077ad79ce16,
  0x539794d8ce16f379, 0x0b9b3182169bd575, 0x52fcdb4e31bc6744, 0x1a3f8d163ce1b94b, 0xcf4c2b93f75663c8,
  0x9296ce1c4e32c970, 0xc59e4afdcd0ccb0e, 0x000000002dd4024c,
};

// m644a_u1x12_uart0_noled_pr_ce_u4  m644p_u1x12_uart0_noled_pr_ce_u4  m644pa_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m644_u1x12_uart0_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0xbffb0be7fe74c13e, 0xff6d4feedd3e1228, 0xdc62fd62186d1ba4, 0x22eb3879e3cdcee3, 0x347ea3e12fc43612,
  0xceafac993170fff0, 0x4903d67a8e4f4f72, 0x398b0147ce92921c, 0x78ebd1f3b57f47ac, 0x5b87d99e5403ff66,
  0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x218edec555169617,
  0x4498dca5a97e6d89, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000dd7dd526bda79,
};

/*
 * m644_u1x12_uart0_noled_pr_ee_ce_u4 m644a_u1x12_uart0_noled_pr_ee_ce
 * m644a_u1x12_uart0_noled_pr_ee_ce_u4 m644p_u1x12_uart0_noled_pr_ee_ce
 * m644p_u1x12_uart0_noled_pr_ee_ce_u4 m644pa_u1x12_uart0_noled_pr_ee_ce
 * m644pa_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xf3e337304f8c9ddf, 0xf76e9f0905affd85, 0xfe74368dd27fb6a7, 0xf1e6e771ca317ea8, 0x97e21b0911759c3c,
  0x62e1e9299cbf51f0, 0x57d44a76b083df32, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x06256bd859d12a69,
  0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x0c76f62aa8b4b0b9, 0x24c6e52d4bf36c49,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x0027e082bb5ed3c9,
};

// m644a_u1x12_uart0_noled_ee_hw     m644p_u1x12_uart0_noled_ee_hw     m644pa_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m644_u1x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0xb53fbb74f848e1ff, 0xb5a39c61b46e93fd, 0x30698fa8f2b9126a, 0x143be2beebd47c1b,
  0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af, 0xdecb65cc5c24228e,
  0x512a6951b047eb70, 0x70b37e06256bd801, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x000000005be463fd,
};

/*
 * m644_u1x12_uart0_noled_ee_ce_u4_hw m644a_u1x12_uart0_noled_ee_ce_hw
 * m644a_u1x12_uart0_noled_ee_ce_u4_hw m644p_u1x12_uart0_noled_ee_ce_hw
 * m644p_u1x12_uart0_noled_ee_ce_u4_hw m644pa_u1x12_uart0_noled_ee_ce_hw
 * m644pa_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0xa9fddba7c2416bfc, 0xaa3f9d0da3749fed, 0x1e79e439dc728c5f, 0xf84bf10d8488bace,
  0x3262e1f9699bffa8, 0x1e57d44a76b083df, 0x4ff51f06cc1ad7f5, 0x22cd3ad08a053158, 0x23a909afa30b2c45,
  0xdbda3c1673abb74e, 0xe36355e363af3a6e, 0xcb98b848451cf230, 0x6951b044c8e1bd96, 0x7e06256bd859d12a,
  0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0, 0xa138c6e52d4bf36c,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x0002808d59ba29e4,
};

/*
 * m644_u1x12_uart0_lednop_pr        m644a_u1x12_uart0_lednop          m644a_u1x12_uart0_lednop_pr
 * m644p_u1x12_uart0_lednop          m644p_u1x12_uart0_lednop_pr       m644pa_u1x12_uart0_lednop
 * m644pa_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m644_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xf7fac3bcf9eb304f, 0x3fdb53fbb74f84a5, 0x6b1df2c21e1b46e9, 0xfa4871240d05fa8f, 0x3398b016594df241,
  0x823af47cecb3d1a4, 0x3db416691500ffd9, 0xc0c4ad7b20ad03cb, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x296a5f9b6e722ade, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0x8998b3c95fb9a199, 0x00000000000f9024,
};

// m644a_u1x12_uart0_lednop_pr_u4    m644p_u1x12_uart0_lednop_pr_u4    m644pa_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m644_u1x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xffb0be7cf59827c6, 0xf6d4feedd3e1297d, 0xc77cb08786d1ba4f, 0x921c4903417ea3da, 0xe62c0596537c907e,
  0x8ebd1f3b2cf4690c, 0x6d059a45403ff660, 0x312b5ec82b40f2cf, 0xeb5e781013859bf0, 0x8016f379b228301d,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0xf83bb8d164498dca, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xb2d6bda792bf7343,
  0x000000000000f93f,
};

/*
 * m644_u1x12_uart0_lednop_pr_ee_u4  m644a_u1x12_uart0_lednop_pr_ee    m644a_u1x12_uart0_lednop_pr_ee_u4
 * m644p_u1x12_uart0_lednop_pr_ee    m644p_u1x12_uart0_lednop_pr_ee_u4 m644pa_u1x12_uart0_lednop_pr_ee
 * m644pa_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x85f3f95a609f193b, 0xa7f76e9f09143ffd, 0xb4738c368dd27fb6, 0x0d31f51e56654d56, 0x0ef8ac3dfa8f8366,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7, 0xd96cb98b8484504f,
  0xeccf2a3608fd6e1b, 0x2cdf81895af60043, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x55bd8aaa2d3574e3, 0x4c6e52d4bf36dce4, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0275c353b5ed3c95,
};

/*
 * m644_u1x12_uart0_lednop_pr_ce_u4  m644a_u1x12_uart0_lednop_pr_ce    m644a_u1x12_uart0_lednop_pr_ce_u4
 * m644p_u1x12_uart0_lednop_pr_ce    m644p_u1x12_uart0_lednop_pr_ce_u4 m644pa_u1x12_uart0_lednop_pr_ce
 * m644pa_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_u1x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xbff617cf9c39827c, 0xfeda9fddba7c2495, 0x68c5fac430da3749, 0x45d670f3c79b9dc0, 0xdbfd47c25f886c24,
  0x757d64c98b874db9, 0x481eb3d47e927b96, 0xcc580a9888b490e2, 0x1d7a3e7659e8d219, 0x720b348a807feccf,
  0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5a97e6db9c31dbd8, 0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e,
  0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x2ed6bda792bf7343, 0x000000000000dd78,
};

/*
 * m644_u1x12_uart0_lednop_pr_ee_ce_u4 m644a_u1x12_uart0_lednop_pr_ee_ce
 * m644a_u1x12_uart0_lednop_pr_ee_ce_u4 m644p_u1x12_uart0_lednop_pr_ee_ce
 * m644p_u1x12_uart0_lednop_pr_ee_ce_u4 m644pa_u1x12_uart0_lednop_pr_ee_ce
 * m644pa_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xf3e1a2609f193ba7, 0xeedd3e12b1fffd85, 0xfce86d1ba4ff6d4f, 0xe3cdcec9d462fd51, 0x2fc4361222eb3879,
  0x8b87ca8683fea3e1, 0x5f7529dac20f7cc9, 0xd47c1b306b5fd479, 0x34eb422814c57b7f, 0xa426be8c2cb1148b,
  0x2464d1ceaedc7a8e, 0xc6abc6c75e74dda3, 0x3170908a09e46f6a, 0xa3608991c37b2d97, 0x1895af61663eccf2,
  0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5a97e6db9c31dbd8,
  0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0xd526bda792bf7343, 0x0000000000004fc3,
};

// m644a_u1x12_uart0_lednop_ee_hw    m644p_u1x12_uart0_lednop_ee_hw    m644pa_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m644_u1x12_uart0_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0x6a7f76e9f09143ff, 0x6b4738c368dd27fb, 0x60d31f51e56654d5, 0x50ef8ac3dfa8f836,
  0x185962291669d684, 0x2e7aae3593484d7d, 0x74dda32464d1cead, 0xf237b56355ae875e, 0xbd96cb98b8484504,
  0x3eccf2a3608fd6e1, 0xc2cdf81895af6004, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x455bd8aaa2d3574e, 0x38c6e52d4bf36dce, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x00b7fa907a29e4af,
};

/*
 * m644_u1x12_uart0_lednop_ee_ce_u4_hw m644a_u1x12_uart0_lednop_ee_ce_hw
 * m644a_u1x12_uart0_lednop_ee_ce_u4_hw m644p_u1x12_uart0_lednop_ee_ce_hw
 * m644p_u1x12_uart0_lednop_ee_ce_u4_hw m644pa_u1x12_uart0_lednop_ee_ce_hw
 * m644pa_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0xa9fddba7c2563ffe, 0xaa3f9d0da3749fed, 0x1e79e439d93a8c5f, 0xf84bf10d8488bace,
  0x993170fd66c87fa8, 0x8f2beea53b5841ef, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0xbf0312b5ec2cc7d9,
  0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xb94b52fcdb73863b,
  0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0x2a5f868a792bf734, 0x00000000000000a0,
};

/*
 * m644_u1x12_uart0_dual_pr          m644_u1x12_uart0_dual_pr_u4       m644a_u1x12_uart0_dual
 * m644a_u1x12_uart0_dual_pr         m644a_u1x12_uart0_dual_pr_u4      m644p_u1x12_uart0_dual
 * m644p_u1x12_uart0_dual_pr         m644p_u1x12_uart0_dual_pr_u4      m644pa_u1x12_uart0_dual
 * m644pa_u1x12_uart0_dual_pr        m644pa_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m644_u1x12_uart0_dual[] = {
  0xbbbab1b544867a31, 0xbba8718894ec3fbb, 0xccc8ac1d015bbbbb, 0xeca0deeee9bba0ac, 0xc913f0fb6503e69c,
  0x523ace609f192825, 0xd37e06c4388b2002, 0x094ee9f128c28642, 0xe71c243cc5d7f328, 0x206bee6f51dc9ec3,
  0x7f9fbe08a1491209, 0x31f13eb87c288625, 0x43e44432ace5e99c, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xd3e1209fffff6982, 0x86d1ba4ff6d4feed, 0x10fea3e453be589a, 0x79a717be921c4903, 0xad6475fce62c0550,
  0x403ff6608ebc019d, 0x2740f2cf6c43a435, 0xd93f8abe77715255, 0x020270b37e06256b, 0x6f36450603bd6bcf,
  0x54dea53929d002de, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0xb4f257ee68665874,
  0x0000001493106ad7,
};

/*
 * m644_u1x12_uart0_dual_pr_ee_u4    m644a_u1x12_uart0_dual_pr_ee      m644a_u1x12_uart0_dual_pr_ee_u4
 * m644p_u1x12_uart0_dual_pr_ee      m644p_u1x12_uart0_dual_pr_ee_u4   m644pa_u1x12_uart0_dual_pr_ee
 * m644pa_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644_u1x12_uart0_dual_pr_ee[] = {
  0xdddd58daa243573e, 0xbba8731d957e1fdd, 0xed9f1d6db9dbbbbb, 0x336dd05dd4761b93, 0xbb2bbf594eb63ae9,
  0x9827c64cbbb92e2f, 0x621c459001290b82, 0xf89461432169bf03, 0xd4c9b7f99404a774, 0x7a8e63fb019b386e,
  0x450a489049034b53, 0xc3e144312bfcfdf0, 0x95672f4ce32189f5, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xffffda60b0de5790, 0xfdb53fbb74f84b7d, 0x6ab5a39121b46e93, 0x3660c14f51e56bee, 0x8450ef8aea57a8f8,
  0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d, 0x86f65f4b3170908a,
  0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xda792bf734332c3a, 0x00000001592eadeb,
};

/*
 * m644_u1x12_uart0_dual_pr_ce_u4    m644a_u1x12_uart0_dual_pr_ce      m644a_u1x12_uart0_dual_pr_ce_u4
 * m644p_u1x12_uart0_dual_pr_ce      m644p_u1x12_uart0_dual_pr_ce_u4   m644pa_u1x12_uart0_dual_pr_ce
 * m644pa_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644_u1x12_uart0_dual_pr_ce[] = {
  0xbbbab1b54486c541, 0xbba872a1c6ac3fbb, 0x96ca69db9f7bbbbb, 0xb11dadddde9c8ed3, 0xb047f0a8fa8c53ec,
  0x720f304f8c9fa772, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe143f374ffe65012, 0xb3a6f51ce0ec3abc,
  0xfbe08a1491209207, 0x13eb87c2886257f9, 0xb4432ace5e99cbc3, 0xf0983dc54219682f, 0x579096df4dffd01c,
  0x48a5ffffda60b0de, 0x6e93fdb53fbb74f8, 0x7695a317eb2fa1b4, 0xb0911759c3cf1e6e, 0x5bf003f51f097e21,
  0xdcb3abd4b993170f, 0x38920752fd471bf3, 0xfe7316028283e524, 0x33c75e00ced6b23a, 0x5adc21d21aa01ffb,
  0x57ceee2a4aa4e81e, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x4c6e52d4bf36dce1, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x01a482a735ed3c95,
};

// m644a_u1x12_uart0_dual_pr_ee_ce   m644p_u1x12_uart0_dual_pr_ee_ce   m644pa_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m644_u1x12_uart0_dual_pr_ee_ce[] = {
  0xddd58dad41435202, 0xba87188a6be1fddd, 0xdce2c5a843bbbbbb, 0xd4df25dd7ac3d900, 0xd07e79afb375c4ab,
  0x04f8c966772721d6, 0x871164004a459273, 0x251850c85a6fc0d8, 0x37ebfe650129dd3e, 0xa8f5bfb080070149,
  0xa14912092073b737, 0x7c2886257f9fbe08, 0x59cbd338a9113eb8, 0xe8a8432d0b748865, 0xdbe9affa039e1329,
  0xfffb4c161bcaf212, 0xb6a7f76e9f0905af, 0xfea8ff74368dd27f, 0x495f9e3cdcee3958, 0x58166e99ceb0f722,
  0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422, 0xeaedc650ea426be8, 0x75ea25da2147bd9c,
  0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a,
  0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf36dce18edec5551, 0xc68b03d0c6e52d4b,
  0xa9cfd4eaccdfc1dd, 0x7cd1f6c389c69430, 0xcb25c33d30ae4fc0, 0x332c3a4a5b387138, 0x01026bda792bf734,
  0x0000000000000020,
};

/*
 * m644a_u1x12_uart0_dual_pr_ee_ce_u4 m644p_u1x12_uart0_dual_pr_ee_ce_u4
 * m644pa_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0x775636a8a87fce4a, 0x750e78f07d87f777, 0x5deeb7a3f3777777, 0x8bd1deeabe086843, 0xdcaf657e44fb8403,
  0xc13e324055cb98ac, 0x871164004a41662c, 0x251850c85a6fc0d8, 0x64a8fccac049dd3e, 0x8f787b0e5a38337e,
  0x14912092078dd37a, 0xc2886257f9fbe08a, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x562982c3795e425b, 0x9fddba7c25a6bff9, 0xa32870da3749feda, 0x9e7c033b31f8c5fa, 0x12fc4361222eb387,
  0x3170e601ba1fea3e, 0x2b7f253b58426e99, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148,
  0x2147bd9ceaedc650, 0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6,
  0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xc6e52d4bf36dce18, 0x666fe0d1fc68b224, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x005642f9069e4afd, 0x0000000000000008,
};

// m644a_u1x12_uart0_dual_ee_hw      m644p_u1x12_uart0_dual_ee_hw      m644pa_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m644_u1x12_uart0_dual_ee_hw[] = {
  0xeeeac6d51468c541, 0xdd4398ecabf0feee, 0x6cf8eb6dcedddddd, 0x9b6e82eea3b0dc9f, 0x1fc3aa3175b1d749,
  0x14c13e3265ddcac1, 0x1b10e22c8009485c, 0xa7c4a30a190b4df8, 0x76a64dbfccae833b, 0x9bd4731fd80cd9c3,
  0x8228524482481a5a, 0xae1f0a21895fe7ef, 0x0cab397a67190c4f, 0x628b150865a0e951, 0x84b6fd5fff4073c2,
  0xfff90ff30586f2bc, 0xfeda9fddba7c25be, 0x355ad1c890da3749, 0x1b3060a7a8f2b5f7, 0x422877c5752bd47c,
  0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e, 0xc37b2fa598b84845,
  0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000015dac6797a2,
};

/*
 * m644_u1x12_uart0_dual_ee_ce_u4_hw m644a_u1x12_uart0_dual_ee_ce_hw   m644a_u1x12_uart0_dual_ee_ce_u4_hw
 * m644p_u1x12_uart0_dual_ee_ce_hw   m644p_u1x12_uart0_dual_ee_ce_u4_hw
 * m644pa_u1x12_uart0_dual_ee_ce_hw  m644pa_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbbab1b5451a12793, 0xba873c783ec3fbbb, 0xaef75bd1f9bbbbbb, 0xc5e8ef755f043421, 0xd3ad127f227dc201,
  0x609f19202ae42cd8, 0x4388b2002520b316, 0x128c28642d37e06c, 0x992a3f32ba0cee9f, 0xa3de1ec3968e0cdf,
  0x8524482481e374de, 0xf0a21895fe7ef822, 0xce5e99c575c4fae1, 0x4542196825a4432a, 0xdc527fd01cf09a39,
  0x21fe60b0de579096, 0x53fbb74f84b4d7ff, 0x54650e1b46e93fdb, 0x79e790e7663f18bf, 0xe12fc4361222eb38,
  0xc98b87672e8ffea3, 0x795bf929dac21374, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8, 0x8752135f4616588a,
  0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97, 0xabe77715252cc4fe,
  0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0xc637296a5f9b6e70, 0x87bde50c2a73f509, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x75d69e9d514f257e,
};

/*
 * m644_u2x8_uart0_noled_pr          m644a_u2x8_uart0_noled            m644a_u2x8_uart0_noled_pr
 * m644p_u2x8_uart0_noled            m644p_u2x8_uart0_noled_pr         m644pa_u2x8_uart0_noled
 * m644pa_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m644_u2x8_uart0_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0xf9feb0ef3f38cc13, 0xed51ca4df6e9f092, 0x1fa03be5843c368d, 0xdad490e2481a0bf5, 0x7ac398b016594cf7,
  0xf6608ebd1f3b57f4, 0xf2cf6c7d99e5403f, 0x9bf0312b5ec1c7c0, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xd163ce1b94b52fcd, 0xb93f75663c81a3f8, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x0003e439c4cc59e4,
};

// m644a_u2x8_uart0_noled_pr_u4      m644p_u2x8_uart0_noled_pr_u4      m644pa_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m644_u2x8_uart0_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x3ff617cfce3304f8, 0xaa3949bedd3e125f, 0xf4077cb08786d1bd, 0x5a921c4903417ea3, 0x58731602cb299efb,
  0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0x7e06256bd838f81e, 0xf50603bd6bce70b3, 0xe5e5363385bcde01,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00003e4ed98baf69,
};

/*
 * m644_u2x8_uart0_noled_pr_ee_u4    m644a_u2x8_uart0_noled_pr_ee      m644a_u2x8_uart0_noled_pr_ee_u4
 * m644p_u2x8_uart0_noled_pr_ee      m644p_u2x8_uart0_noled_pr_ee_u4   m644pa_u2x8_uart0_noled_pr_ee
 * m644pa_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0xd85f3ec16609f193, 0xca4df6e9f091c3ff, 0x56b4738c368ded51, 0x660d31f51e57224d, 0x22877c57dd7a8f83,
  0xe8c2cb1148b34eb4, 0x6979c571ac9a426b, 0xe74ddb7b4782ce75, 0xcf230e36355ae875, 0x1bd96cb98b848451,
  0x2a254d2a3608fd6e, 0xce166fc0c4ad7b00, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10,
  0xbf36c4922adec555, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xf5ed3c95fb9a1996, 0x000000000275ef24,
};

// m644a_u2x8_uart0_noled_pr_ce      m644p_u2x8_uart0_noled_pr_ce      m644pa_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m644_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0x096dfff58779f31f, 0x68ded51ca4df6e9f, 0x0ee76f7d8febd043, 0x39d61fe7487fcf37, 0x51c43cf72cbac673,
  0x313f490e2481e33f, 0x482a3c66731602dc, 0x4f71cb19e3af173b, 0x0b37e06256bd83a7, 0xbcb750603bd6bce7,
  0xbaa9cbca6c670b79, 0xa205cd98c10b4dea, 0xa5a97e6da718de33, 0xe40d1fc68b1e70dc, 0xb867a615c9fbab31,
  0x87494b670e271964, 0x2662cf257ee68665, 0x000000000016ea01,
};

// m644a_u2x8_uart0_noled_pr_ce_u4   m644p_u2x8_uart0_noled_pr_ce_u4   m644pa_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m644_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0x45ffd85f3ff3a609, 0xed51ca4df6e9f091, 0x71ee317eb10c368d, 0x0911759c3cf1e6e7, 0xf81a3f51f097e21b,
  0xb96757d64c98b87f, 0x0e2481eb3d4727a7, 0xd61cc580a3e74949, 0xb33c75e8f9dabfa3, 0xe5adc3eccf2a01ff,
  0x37e06256bd838f81, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b,
  0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000006ebeea935ed,
};

/*
 * m644_u2x8_uart0_noled_pr_ee_ce_u4 m644a_u2x8_uart0_noled_pr_ee_ce   m644a_u2x8_uart0_noled_pr_ee_ce_u4
 * m644p_u2x8_uart0_noled_pr_ee_ce   m644p_u2x8_uart0_noled_pr_ee_ce_u4
 * m644pa_u2x8_uart0_noled_pr_ee_ce  m644pa_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x2f9f19b9827c64ee, 0x26fb74f8482d7fec, 0x547f3a1b46f6a8e5, 0x1e78f373b8e518bf, 0xf84bf10d8488bace,
  0x993170f494ce5fa8, 0x8f2bea253b5841ef, 0x27fa8f83660d6bfa, 0x91669d68450298ac, 0x11d484d7d1859622,
  0x6ded1e0b39d5dba7, 0x71b1aaf1b1d79d37, 0x65cc5c24228e7918, 0x34a8d8226470decb, 0xbf0312b5ec2ce895,
  0xfa8301deb5e73859, 0x72f29b19c2de6f00, 0x5ce31bc67440aeaa, 0x24863b7b15545a58, 0x5912637296a5f9b6,
  0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x000013f0415daf69,
};

// m644a_u2x8_uart0_noled_ee_hw      m644p_u2x8_uart0_noled_ee_hw      m644pa_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m644_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x472937dba7c2470f, 0x355ad1ce30da37b5, 0x0d9834c7d4795c89, 0xd08a1df15f75ea3e,
  0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39, 0x473c8c38d8d56ba1, 0xb86f65b2e62e1211,
  0x00a89534a8d823f5, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0x52fcdb1248ab7b15, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0xfe8a792bf734332c, 0x00000000002df231,
};

/*
 * m644_u2x8_uart0_noled_ee_ce_u4_hw m644a_u2x8_uart0_noled_ee_ce_hw   m644a_u2x8_uart0_noled_ee_ce_u4_hw
 * m644p_u2x8_uart0_noled_ee_ce_hw   m644p_u2x8_uart0_noled_ee_ce_u4_hw
 * m644pa_u2x8_uart0_noled_ee_ce_hw  m644pa_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x8_uart0_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x3949bedd3e120b5f, 0x2fd51fce86d1bdaa, 0x670f3cf21cee3946, 0xd47c25f886c2445d,
  0xef993170fcb4cdff, 0xfa8f2bea253b5841, 0xac27fa8f83660d6b, 0x2291669d68450298, 0xa711d484d7d18596,
  0x376ded1e0b39d5db, 0x1871b1aaf1b1d79d, 0xcb65cc5c24228e79, 0x9534a8d8226470de, 0x59bf0312b5ec2ce8,
  0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xb624863b7b15545a, 0x3f509c637296a5f9,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x0000014046acdd14,
};

/*
 * m644_u2x8_uart0_lednop_pr         m644a_u2x8_uart0_lednop           m644a_u2x8_uart0_lednop_pr
 * m644p_u2x8_uart0_lednop           m644p_u2x8_uart0_lednop_pr        m644pa_u2x8_uart0_lednop
 * m644pa_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m644_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x2fbfd61de7cf5982, 0x7b5472937dba7c25, 0x47b58ef9610f0da3, 0x20fd2438920682fd, 0xd219cc580b2ca6f9,
  0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b, 0x929d002de6f36450,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x1244cc59e4afdcd0, 0x00000000000007c8,
};

// m644a_u2x8_uart0_lednop_pr_u4     m644p_u2x8_uart0_lednop_pr_u4     m644pa_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m644_u2x8_uart0_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xeffd85f3e7acc13e, 0xd51ca4df6e9f094b, 0xed63be5843c368de, 0x3f490e2481a0bf51, 0x86731602cb29be48,
  0x30475e8f9d967a34, 0x67b682cd22a01ffb, 0xf81895af6415a079, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x9fd96b5ed3c95fb9,
  0x000000000000007c,
};

/*
 * m644_u2x8_uart0_lednop_pr_ee_u4   m644a_u2x8_uart0_lednop_pr_ee     m644a_u2x8_uart0_lednop_pr_ee_u4
 * m644p_u2x8_uart0_lednop_pr_ee     m644p_u2x8_uart0_lednop_pr_ee_u4  m644pa_u2x8_uart0_lednop_pr_ee
 * m644pa_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xec2f9fcad304f8c9, 0xe526fb74f848a1ff, 0xab5a39c61b46f6a8, 0xb30698fa8f2b32a6, 0x22877c561efd47c1,
  0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0xf3a6ed1923268e75, 0x2791bdab1aad743a, 0x0decb65cc5c24228,
  0x21f667951b047eb7, 0x4e166fc0c4ad7b00, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b,
  0x722adec555169aba, 0x912637296a5f9b6e, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00013ae1a9daf69e,
};

/*
 * m644_u2x8_uart0_lednop_pr_ce_u4   m644a_u2x8_uart0_lednop_pr_ce     m644a_u2x8_uart0_lednop_pr_ce_u4
 * m644p_u2x8_uart0_lednop_pr_ce     m644p_u2x8_uart0_lednop_pr_ce_u4  m644pa_u2x8_uart0_lednop_pr_ce
 * m644pa_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_u2x8_uart0_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0xadffb0be7ce1cc13, 0xdaa3949bedd3e124, 0xe03462fd62186d1b, 0x1222eb3879e3cdce, 0xdcedfea3e12fc436,
  0xcb3abeb264c5c3a6, 0x71240f59ea3f493d, 0x0ce62c054c445a48, 0x678ebd1f3b2cf469, 0xb5b9059a45403ff6,
  0xfc0c4ad7b20ad03c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de,
  0xe52d4bf36dce18ed, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xbc176b5ed3c95fb9, 0x000000000000006e,
};

/*
 * m644_u2x8_uart0_lednop_pr_ee_ce_u4 m644a_u2x8_uart0_lednop_pr_ee_ce
 * m644a_u2x8_uart0_lednop_pr_ee_ce_u4 m644p_u2x8_uart0_lednop_pr_ee_ce
 * m644p_u2x8_uart0_lednop_pr_ee_ce_u4 m644pa_u2x8_uart0_lednop_pr_ee_ce
 * m644pa_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x2f9f0d1304f8c9dd, 0x4df6e9f0958fffec, 0xa8fe74368ded51ca, 0x3cf1e6e764ea317e, 0xf097e21b0911759c,
  0x64c5c3e54341ff51, 0x3cafba94ed6107be, 0xbfea3e0d9835afea, 0x459a75a1140a62bd, 0x4752135f4616588a,
  0xd1923268e7576e3d, 0xb56355e363af3a6e, 0xcb98b8484504f237, 0x7951b044c8e1bd96, 0xfc0c4ad7b0b31f66,
  0x077ad79e0404e166, 0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0xe52d4bf36dce18ed,
  0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3,
  0xa19961d252d9c389, 0xe1ea935ed3c95fb9, 0x0000000000000027,
};

// m644a_u2x8_uart0_lednop_ee_hw     m644p_u2x8_uart0_lednop_ee_hw     m644pa_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m644_u2x8_uart0_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0x8e526fb74f848a1f, 0x6ab5a39c61b46f6a, 0x1b30698fa8f2b32a, 0x422877c561efd47c,
  0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7, 0x82791bdab1aad743, 0x70decb65cc5c2422,
  0x021f667951b047eb, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9,
  0xe722adec555169ab, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x00005bfd483d14f2,
};

/*
 * m644_u2x8_uart0_lednop_ee_ce_u4_hw m644a_u2x8_uart0_lednop_ee_ce_hw
 * m644a_u2x8_uart0_lednop_ee_ce_u4_hw m644p_u2x8_uart0_lednop_ee_ce_hw
 * m644p_u2x8_uart0_lednop_ee_ce_u4_hw m644pa_u2x8_uart0_lednop_ee_ce_hw
 * m644pa_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x3949bedd3e12b1ff, 0x2fd51fce86d1bdaa, 0x670f3cf21cec9d46, 0xd47c25f886c2445d,
  0xf7cc98b87eb3643f, 0xfd4795f7529dac20, 0x57b7fd47c1b306b5, 0x1148b34eb422814c, 0xc7a8ea426be8c2cb,
  0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37, 0x2cdf81895af61663,
  0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x18dca5a97e6db9c3,
  0x1ef79430a9cfd427, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x50152fc3453c95fb,
};

/*
 * m644_u2x8_uart0_dual_pr           m644_u2x8_uart0_dual_pr_u4        m644a_u2x8_uart0_dual
 * m644a_u2x8_uart0_dual_pr          m644a_u2x8_uart0_dual_pr_u4       m644p_u2x8_uart0_dual
 * m644p_u2x8_uart0_dual_pr          m644p_u2x8_uart0_dual_pr_u4       m644pa_u2x8_uart0_dual
 * m644pa_u2x8_uart0_dual_pr         m644pa_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m644_u2x8_uart0_dual[] = {
  0xeeeeeead44867a31, 0xeeeea1c62253b0fe, 0xb33322b074056eee, 0x73b2837bbba6ee82, 0x97244fc3ed940f9a,
  0x0948eb39827c64a0, 0x0b4df81b10e22c80, 0xa0253ba7c4a30a19, 0x0f9c7090f3175fcc, 0x2481afb9bd47727b,
  0x95fe7ef822852448, 0x70c7c4fae1f0a218, 0x2d0f9110cab397a6, 0xfd01cf0987c8a843, 0x0b0de579096de037,
  0xb74f84827ffffda6, 0x26a1b46f6a8e526f, 0x40c43fa8f914ef96, 0x541e69c5efa48712, 0x676b591d7f398b01,
  0x0d500ffd9823af00, 0x9549d03cb3db10e9, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xb5ed3c95fb9a1996,
  0x000000000524c41a,
};

/*
 * m644_u2x8_uart0_dual_pr_ee_u4     m644a_u2x8_uart0_dual_pr_ee       m644a_u2x8_uart0_dual_pr_ee_u4
 * m644p_u2x8_uart0_dual_pr_ee       m644p_u2x8_uart0_dual_pr_ee_u4    m644pa_u2x8_uart0_dual_pr_ee
 * m644pa_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644_u2x8_uart0_dual_pr_ee[] = {
  0x77777756a243573e, 0xeeeea1cc7655f87f, 0x4fb67c75b6e76eee, 0xa4cdb7417751d86e, 0xbeecaefd653ad8eb,
  0x0a609f1932eee4b8, 0x0d8871164004a42e, 0xd3e251850c85a6fc, 0xbb5326dfe650129d, 0x4dea398fec066ce1,
  0xc114292241240d2d, 0xd70f8510c4aff3f7, 0x86559cbd338c8627, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xf7ffff6982c3795e, 0xdaa3949bedd3e12d, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2ba95ea,
  0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae, 0xd6e1bd97d2cc5c24,
  0x4a0109fd62a3608f, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00,
  0x169aba718de33a20, 0x5f9b6e722adec555, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x7af69e4afdcd0ccb, 0x0000000000564bab,
};

/*
 * m644_u2x8_uart0_dual_pr_ce_u4     m644a_u2x8_uart0_dual_pr_ce       m644a_u2x8_uart0_dual_pr_ce_u4
 * m644p_u2x8_uart0_dual_pr_ce       m644p_u2x8_uart0_dual_pr_ce_u4    m644pa_u2x8_uart0_dual_pr_ce
 * m644pa_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeeead4486c541, 0xeeeea1ca871ab0fe, 0x4e5b29a76e7deeee, 0xb2c476b7777a723b, 0xcac11fc2a3ea314f,
  0x91c83cc13e327e9d, 0x9bf03621c4590012, 0x4a774f8946143216, 0xf3850fcdd3ff9940, 0x1ece9bd47383b0ea,
  0xe7ef822852448248, 0x0c4fae1f0a21895f, 0xbed10cab397a672f, 0x73c260f7150865a0, 0x795e425b7d37ff40,
  0xe12297ffff6982c3, 0x6d1bdaa3949bedd3, 0x9b9da568c5facbe8, 0x886c2445d670f3c7, 0xc3d6fc00fd47c25f,
  0xfcf72ceaf52e64c5, 0x490e2481d4bf51c6, 0x8ebf9cc580a0a0f9, 0xfeccf1d78033b5ac, 0x0796b7087486a807,
  0xfc55f3bb8a92a93a, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00006920a9cd7b4f,
};

// m644a_u2x8_uart0_dual_pr_ee_ce    m644p_u2x8_uart0_dual_pr_ee_ce    m644pa_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m644_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777756d41435202, 0xeeea1c6229af87f7, 0x03738b16a10eeeee, 0xaf537c9775eb0f64, 0x5b41f9e6becdd712,
  0xcc13e32599dc9c87, 0x621c459001291649, 0xf89461432169bf03, 0x24dfaff99404a774, 0xdea3d6fec2001c05,
  0x228524482481cedc, 0xe1f0a21895fe7ef8, 0x95672f4ce2a444fa, 0xa7a2a10cb42dd221, 0x4b6fa6bfe80e784c,
  0xbfffed30586f2bc8, 0x5472937dba7c2416, 0x563faa3fdd0da37b, 0xc89257e78f373b8e, 0x4ed6059ba673ac3d,
  0x6cc1af9ea3cadfc9, 0x08a05315c06f51f0, 0xfa30b2c4522cd3ad, 0x673abb71943a909a, 0x1b1d7a89768851ef,
  0x211408a8f9eb1aaf, 0x26470decbe9662e1, 0xa9296627f58a8d82, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x52fcdb73863b7b15, 0x7771a2c0f431b94b,
  0x0c2a73f53ab337f0, 0xf01f347db0e271a5, 0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0x0800409af69e4afd,
};

// m644a_u2x8_uart0_dual_pr_ee_ce_u4 m644p_u2x8_uart0_dual_pr_ee_ce_u4 m644pa_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddd5a8a87fce4a, 0xddd439e3c1f61fdd, 0x0d77bade8fcddddd, 0x0e2f477baaf821a1, 0xb372bd95f913ee10,
  0xb304f8c901572e62, 0x621c459001290598, 0xf89461432169bf03, 0xf992a3f32b012774, 0xea3de1ec3968e0cd,
  0x28524482481e374d, 0x1f0a21895fe7ef82, 0xace5e99c575c4fae, 0x94542196825a4432, 0x6dc527fd01cf09a3,
  0xe558a60b0de57909, 0xca4df6e9f0969aff, 0x7ea8ca1c368ded51, 0xe1e79f00cecc7e31, 0x8f84bf10d8488bac,
  0xa64c5c39806e87fa, 0xa3cadfc94ed6109b, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315, 0x943a909afa30b2c4,
  0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627,
  0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0x8931b94b52fcdb73, 0x9d599bf8347f1a2c, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x02001590be41a792,
};

// m644a_u2x8_uart0_dual_ee_hw       m644p_u2x8_uart0_dual_ee_hw       m644pa_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m644_u2x8_uart0_dual_ee_hw[] = {
  0xbbbbbab51468c541, 0x77750e63b2afc3fb, 0x7db3e3adb73b7777, 0x266dba0bba8ec372, 0x047f0ea8c5d6c75d,
  0x705304f8c997772b, 0xe06c4388b2002521, 0xee9f128c28642d37, 0x0dda9936ff32ba0c, 0x6a6f51cc7f603367,
  0xbe08a14912092069, 0x3eb87c2886257f9f, 0x4432ace5e99c6431, 0x098a2c54219683a5, 0xf212dbf57ffd01cf,
  0xfbffe43fcc161bca, 0xed51ca4df6e9f096, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad, 0x3ad08a1df15d4af5,
  0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7, 0xeb70decbe9662e12,
  0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xe8a792bf734332c3, 0x00000000576b19e5,
};

/*
 * m644_u2x8_uart0_dual_ee_ce_u4_hw  m644a_u2x8_uart0_dual_ee_ce_hw    m644a_u2x8_uart0_dual_ee_ce_u4_hw
 * m644p_u2x8_uart0_dual_ee_ce_hw    m644p_u2x8_uart0_dual_ee_ce_u4_hw m644pa_u2x8_uart0_dual_ee_ce_hw
 * m644pa_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeead451a12793, 0xeeea1cf1e0fb0fee, 0x86bbdd6f47e6eeee, 0x0717a3bdd57c10d0, 0x634eb449fc89f708,
  0x59827c6480ab90b3, 0xb10e22c8009482cc, 0x7c4a30a190b4df81, 0x7e64a8fccae833ba, 0x7a8f787b0e5a3833,
  0x8a14912092078dd3, 0x87c2886257f9fbe0, 0xab397a6715d713eb, 0xe5150865a096910c, 0x5b7149ff4073c268,
  0xfc87f982c3795e42, 0x3949bedd3e12d35f, 0x2fd5194386d1bdaa, 0xce1e79e439d98fc6, 0xa8f84bf10d8488ba,
  0xdd3262e1d9cba3ff, 0xf51e56fe4a76b084, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596,
  0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31,
  0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x42718dca5a97e6db, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x001d75a7a75453c9,
};

/*
 * m644_u2x12_uart0_noled_pr         m644a_u2x12_uart0_noled           m644a_u2x12_uart0_noled_pr
 * m644p_u2x12_uart0_noled           m644p_u2x12_uart0_noled_pr        m644pa_u2x12_uart0_noled
 * m644pa_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m644_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0x4ff58779fd2a609f, 0x3f9b53eab74f8481, 0x9610f0da37b54729, 0x8920682fd47e80ef, 0xc0596533df6b5243,
  0xf47ced5fd1eb0e62, 0xf6679500ffd9823a, 0xad7b071f03cb3db1, 0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0x6e52d4bf36c4922a, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0x1c93316792bf7343, 0x0000000000007c80,
};

// m644a_u2x12_uart0_noled_pr_u4     m644p_u2x12_uart0_noled_pr_u4     m644pa_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m644_u2x12_uart0_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xffb0be7f4a9827c6, 0xf36a7d56e9f09029, 0xc21e1b46f6a8e527, 0x240d05fa8fd01df2, 0x0b2ca67bed6a4871,
  0x8f9dabfa3d61cc58, 0xccf2a01ffb30475e, 0xaf60e3e07967b63e, 0xf5af39c2cdf81895, 0xce16f37807d4180e,
  0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x3a3c9ebda792bf73,
  0x00000000000000f9,
};

/*
 * m644_u2x12_uart0_noled_pr_ee_u4   m644a_u2x12_uart0_noled_pr_ee     m644a_u2x12_uart0_noled_pr_ee_u4
 * m644p_u2x12_uart0_noled_pr_ee     m644p_u2x12_uart0_noled_pr_ee_u4  m644pa_u2x12_uart0_noled_pr_ee
 * m644pa_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x2f9fc09304f8c9dd, 0x3eab74f848a5ffec, 0x0da37b547293f9b5, 0x4795c89355ad1ce3, 0xf75ea3e0d9834c7d,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0xd1e0b39d5a5e715c, 0x8d56ba1d79d376de, 0x62e1211473c8c38d,
  0x8d823f5b86f65b2e, 0x312b5ec00a89534a, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f,
  0x8ab7b15545a585ce, 0x931b94b52fcdb124, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f,
  0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x009d7e343d7b4f25,
};

// m644a_u2x12_uart0_noled_pr_ce     m644p_u2x12_uart0_noled_pr_ce     m644pa_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m644_u2x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x4b6fffac3bcf98f9, 0x7293f9b53eab74f8, 0x963faf410da37b54, 0x27f3bf3cdc3b9d8f, 0xdcb2eb19cce75877,
  0x3892078cfd47a973, 0x1ce62c05e8121d24, 0x19e3af173b5128d4, 0x895af60ebf0f71cb, 0x80ef5af39c2cdf81,
  0x536253f7ce16f379, 0x02103182169c9183, 0xd4bf36d38c6f19d1, 0x068fe3458f386e52, 0x33d30ae4fdd598f2,
  0xa4a5b387138cb25c, 0x316792bf734332c3, 0x000000000b750093,
};

// m644a_u2x12_uart0_noled_pr_ce_u4  m644p_u2x12_uart0_noled_pr_ce_u4  m644pa_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m644_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffec2f9f90f304f8, 0xf9b53eab74f849c9, 0xac430da37b547293, 0x0f3c79b9dc7b8c5f, 0x7c25f886c2445d67,
  0x93262e1ffe068fd4, 0xcf51c9e9ee59d5f5, 0x28f9d2524389207a, 0x3e76afe8f5873160, 0x33ca807feccf1d7a,
  0xaf60e3e0796b70fb, 0xf5af39c2cdf81895, 0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x94b52fcdb12431db, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xe05dad7b4f257ee6, 0x00000000000001ba,
};

/*
 * m644_u2x12_uart0_noled_pr_ee_ce_u4 m644a_u2x12_uart0_noled_pr_ee_ce
 * m644a_u2x12_uart0_noled_pr_ee_ce_u4 m644p_u2x12_uart0_noled_pr_ee_ce
 * m644p_u2x12_uart0_noled_pr_ee_ce_u4 m644pa_u2x12_uart0_noled_pr_ee_ce
 * m644pa_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xf3fbb5304f8c9dd4, 0xaadd3e1231fffd85, 0x68ded51ca4fe6d4f, 0x771ca317ea8fe743, 0xb0911759c3cf1e6e,
  0x9299cbf51f097e21, 0xa76b083df3262e1e, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0, 0xfa30b2c4522cd3ad,
  0x673abb74e23a909a, 0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84, 0xbd859d12a6951b04,
  0xd6bce70b37e06256, 0x385bcde01f50603b, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x52d4bf36c490c76f,
  0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d,
  0x19961d252d9c389c, 0x2538f5ed3c95fb9a, 0x000000000000027e,
};

// m644a_u2x12_uart0_noled_ee_hw     m644p_u2x12_uart0_noled_ee_hw     m644pa_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m644_u2x12_uart0_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0xa9f55ba7c2452ffc, 0x186d1bdaa3949fcd, 0xea3cae449aad68e7, 0xafbaf51f06cc1a63,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0xf68f059cead2f38a, 0x6c6ab5d0ebce9bb6, 0x73170908a39e461c,
  0x546c11fadc37b2d9, 0x81895af600544a9a, 0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539,
  0x2455bd8aaa2d2c2e, 0x2718dca5a97e6d89, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x000b7c69ad453c95,
};

/*
 * m644_u2x12_uart0_noled_ee_ce_u4_hw m644a_u2x12_uart0_noled_ee_ce_hw
 * m644a_u2x12_uart0_noled_ee_ce_u4_hw m644p_u2x12_uart0_noled_ee_ce_hw
 * m644p_u2x12_uart0_noled_ee_ce_u4_hw m644pa_u2x12_uart0_noled_ee_ce_hw
 * m644pa_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x12_uart0_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0xa9f55ba7c2463ffe, 0xe86d1bdaa3949fcd, 0x21cee39462fd51fc, 0x886c2445d670f3cf,
  0x0fcb4cdffd47c25f, 0xa253b5841ef99317, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8, 0x4d7d185962291669,
  0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5, 0x2b5ec2ce89534a8d,
  0x1deb5e73859bf031, 0xb19c2de6f00fa830, 0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0x37296a5f9b624863,
  0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x0501f7514f257ee6, 0x0000000000000014,
};

/*
 * m644_u2x12_uart0_lednop_pr        m644a_u2x12_uart0_lednop          m644a_u2x12_uart0_lednop_pr
 * m644p_u2x12_uart0_lednop          m644p_u2x12_uart0_lednop_pr       m644pa_u2x12_uart0_lednop
 * m644pa_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m644_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0x9feb0ef3f38cc13e, 0x7f36a7d56e9f092f, 0x2c90e1b46f6a8e52, 0x1240cd27a8e4f1df, 0x80b7ba61f3a4a487,
  0x8b9d9af91c829cc5, 0x0ac1f7b8e58c11d7, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xa2c79c37296a5f9b, 0x727eeacc790347f1, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x0007c8738998b3c9,
};

// m644a_u2x12_uart0_lednop_pr_u4    m644p_u2x12_uart0_lednop_pr_u4    m644pa_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m644_u2x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xfd85f3e13e609f19, 0x9b53eab74f84900f, 0x10f0da37b547293f, 0x20682fd47b58ef96, 0xb2ca6f920fd24389,
  0xe7659e8d219cc580, 0x48a807fecc11d7a3, 0xd905681e59eda0b3, 0x020270b37e06256b, 0x6f36450603bd6bcf,
  0x54dea53929d002de, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0xb4f257ee68665874,
  0x0000001f26b8bed7,
};

/*
 * m644_u2x12_uart0_lednop_pr_ee_u4  m644a_u2x12_uart0_lednop_pr_ee    m644a_u2x12_uart0_lednop_pr_ee_u4
 * m644p_u2x12_uart0_lednop_pr_ee    m644p_u2x12_uart0_lednop_pr_ee_u4 m644pa_u2x12_uart0_lednop_pr_ee
 * m644pa_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0xbe7f7dcc13e32774, 0xfaadd3e1253dffb0, 0x368ded51ca4fe6d4, 0x1e56654d56b4738c, 0x3dfa8f83660d31f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2e7aae3, 0x355ae875e74dda32, 0x8b8484504f237b56,
  0x3608fd6e1bd96cb9, 0x895af60043eccf2a, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xd4bf36dce455bd8a, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xd6f5ed3c95fb9a19, 0x00000000000275cf,
};

/*
 * m644_u2x12_uart0_lednop_pr_ce_u4  m644a_u2x12_uart0_lednop_pr_ce    m644a_u2x12_uart0_lednop_pr_ce_u4
 * m644p_u2x12_uart0_lednop_pr_ce    m644p_u2x12_uart0_lednop_pr_ce_u4 m644pa_u2x12_uart0_lednop_pr_ce
 * m644pa_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0xbffb0be7ca5cc13e, 0xfe6d4faadd3e1274, 0xeb10c368ded51ca4, 0xc3cf1e6e7701a317, 0x1f097e21b0911759,
  0x93262e1d36e76ff5, 0xcf51fa49ee59d5f5, 0x2a6222d24389207a, 0xf9d967a348673160, 0xd22a01ffb33c75e8,
  0xbd905681e5adc82c, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xf69e4afdcd0ccb0e, 0x00000001bae3549a,
};

/*
 * m644_u2x12_uart0_lednop_pr_ee_ce_u4 m644a_u2x12_uart0_lednop_pr_ee_ce
 * m644a_u2x12_uart0_lednop_pr_ee_ce_u4 m644p_u2x12_uart0_lednop_pr_ee_ce
 * m644p_u2x12_uart0_lednop_pr_ee_ce_u4 m644pa_u2x12_uart0_lednop_pr_ee_ce
 * m644pa_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xf9fd35304f8c9dd0, 0xeab74f84bfe7fec2, 0xda37b547293f9b53, 0x9d93a8c5faa3f9d0, 0x6c2445d670f3c79b,
  0x950d07fd47c25f88, 0x53b5841ef993170f, 0x3660d6bfa8f2beea, 0x8450298af6ffa8f8, 0x7d185962291669d6,
  0xa39d5db8f51d484d, 0x8d8ebce9bb4648c9, 0x211413c8ded58d57, 0x132386f65b2e62e1, 0x5ec2cc7d99e546c1,
  0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x7b4f257ee6866587, 0x000000004fcb2dfd,
};

// m644a_u2x12_uart0_lednop_ee_hw    m644p_u2x12_uart0_lednop_ee_hw    m644pa_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m644_u2x12_uart0_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0xa7d56e9f0929eff2, 0x61b46f6a8e527f36, 0xa8f2b32a6ab5a39c, 0x61efd47c1b30698f,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x923268e756973d57, 0xb1aad743af3a6ed1, 0xcc5c242282791bda,
  0x51b047eb70decb65, 0x0c4ad7b0021f6679, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x96a5f9b6e722adec, 0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0xb2d514f257ee6866, 0x0000000000002dfb,
};

/*
 * m644_u2x12_uart0_lednop_ee_ce_u4_hw m644a_u2x12_uart0_lednop_ee_ce_hw
 * m644a_u2x12_uart0_lednop_ee_ce_u4_hw m644p_u2x12_uart0_lednop_ee_ce_hw
 * m644p_u2x12_uart0_lednop_ee_ce_u4_hw m644pa_u2x12_uart0_lednop_ee_ce_hw
 * m644pa_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0x6d4faadd3e12ff9f, 0xe74368ded51ca4fe, 0x790e764ea317ea8f, 0xfc4361222eb3879e,
  0x5c3f59b21fea3e12, 0xfba94ed6107be64c, 0xa3e0d9835afea3ca, 0xa75a1140a62bdbfe, 0x2135f4616588a459,
  0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0xc4ad7b0b31f66795,
  0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xd4bf36dce18edec5,
  0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0xa4a29e4afdcd0ccb, 0x000000000014043a,
};

/*
 * m644_u2x12_uart0_dual_pr          m644_u2x12_uart0_dual_pr_u4       m644a_u2x12_uart0_dual
 * m644a_u2x12_uart0_dual_pr         m644a_u2x12_uart0_dual_pr_u4      m644p_u2x12_uart0_dual
 * m644p_u2x12_uart0_dual_pr         m644p_u2x12_uart0_dual_pr_u4      m644pa_u2x12_uart0_dual
 * m644pa_u2x12_uart0_dual_pr        m644pa_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m644_u2x12_uart0_dual[] = {
  0xbbbab1b544861a4e, 0xbbba87063b2c3fbb, 0x6ea05cbbd415bbbb, 0x4d3919eeeec33a8a, 0x5c935dc2ce77b801,
  0x252190e609f1926c, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x2439c0bacc50ff32, 0x92065166f51fe76c,
  0x57f9fbe08a149120, 0xc19b13eb87c28862, 0xb417c4432ace5e99, 0xf4073c267be2a10c, 0x2c3795e425b7a95f,
  0x6e9f09775ffff698, 0x6f6a8e527f36a7d5, 0xa8f914ef9626a1b4, 0xc5efa4871240c43f, 0x1d7f398b01541e69,
  0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0, 0x9c2cdf81895af64f, 0x914180ef5af3c080,
  0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x00029273e0b5ed3c,
};

/*
 * m644_u2x12_uart0_dual_pr_ee_u4    m644a_u2x12_uart0_dual_pr_ee      m644a_u2x12_uart0_dual_pr_ee_u4
 * m644p_u2x12_uart0_dual_pr_ee      m644p_u2x12_uart0_dual_pr_ee_u4   m644pa_u2x12_uart0_dual_pr_ee
 * m644pa_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644_u2x12_uart0_dual_pr_ee[] = {
  0xdddd58daa2435202, 0xbba872c98ebe1fdd, 0xbebb9c5aa3fbbbbb, 0x9401517772714ecf, 0x6d32679af739d6d3,
  0x304f8c912372721d, 0x8871164004a470ff, 0xe251850c85a6fc0d, 0x734edfe650129dd3, 0xea38cdec3768e09b,
  0x14292241240c2d4d, 0x0f8510c4aff3f7c1, 0x559cbd33949427d7, 0x938a8432d0386886, 0x5b7a1fffa039e133,
  0xffff6982c3795e42, 0xe6d4faadd3e12d37, 0x7224368ded51ca4f, 0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18,
  0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e, 0xe9662e1211408a8f,
  0xb151b047eb70decb, 0xabe77715250084fe, 0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x931b94b52fcdb739, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x00159122fd7b4f25,
};

/*
 * m644_u2x12_uart0_dual_pr_ce_u4    m644a_u2x12_uart0_dual_pr_ce      m644a_u2x12_uart0_dual_pr_ce_u4
 * m644p_u2x12_uart0_dual_pr_ce      m644p_u2x12_uart0_dual_pr_ce_u4   m644pa_u2x12_uart0_dual_pr_ce
 * m644pa_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644_u2x12_uart0_dual_pr_ce[] = {
  0xbbbab1b5448664d6, 0xddd43998962c3fbb, 0xa8e700addfbddddd, 0x3eceb6eeec71c9c5, 0xccd8f0d13e5933ed,
  0x2baf304f8c9a6772, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe1d3f358ffe65012, 0x394dea3f57ec287c,
  0xf7c114292241240e, 0x27d70f8510c4aff3, 0xa886559cbd339cb4, 0xe1318f8a8432d028, 0xaf212dbc56ffa039,
  0x9305ffffb4c161bc, 0xe527f36a7d56e9f0, 0x317eb2fa1b46f6a8, 0x759c3cf1e6e7695a, 0x3f51f097e21b0911,
  0xbd4b993170f5bf00, 0x752fd471bf3dcb3a, 0x6028283e52438920, 0xe00ced6b23afe731, 0x1d21aa01ffb33c75,
  0xe2a4aa4e81e5adc2, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2d4bf36dce18edec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xa38b5ed3c95fb9a1, 0x0000000000001a49,
};

// m644a_u2x12_uart0_dual_pr_ee_ce   m644p_u2x12_uart0_dual_pr_ee_ce   m644pa_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m644_u2x12_uart0_dual_pr_ee_ce[] = {
  0xddd58dad41431f02, 0xddd43832b8e1fddd, 0x651f4fbdc3eddddd, 0xd7243a76ed8657c1, 0x66efae614421d9b1,
  0x609f1926eae4a311, 0x10e22c8009485d16, 0xc4a30a190b4df81b, 0xe635bfcca0253ba7, 0xf51e006c0521c3f5,
  0x14292241240ed6e6, 0x0f8510c4aff3f7c1, 0xab397a673bac27d7, 0xad150865a1b3910c, 0x5b77f9ff4073c26c,
  0xffff6982c3795e42, 0xcda9f55ba7c2463f, 0xfee86d1bdaa3949f, 0x3c79b9dc72b1fd51, 0xdd339d61ee4492bf,
  0xf51e56fe4a76b02c, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x09c2cdf81895af64,
  0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0x07a18dca5a97e6db,
  0xa9d599bf83bb8d16, 0xed87138d2861539f, 0x867a615c9f80f9a3, 0x7494b670e271964b, 0xd7b4f257ee686658,
  0x000000000100056a,
};

/*
 * m644a_u2x12_uart0_dual_pr_ee_ce_u4 m644p_u2x12_uart0_dual_pr_ee_ce_u4
 * m644pa_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m644_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0x775636a8a87fa0ae, 0x750e42ff7187f777, 0x932e76df5f777777, 0x7ef276efda8d587d, 0x6b8b0fae3f32242c,
  0x3e325055cbebefeb, 0x88b2002520e49cc1, 0x8c28642d37e06c43, 0xc8fe656024ee9f12, 0xe5ad8337ce095135,
  0x48904903ec19bd47, 0x44312bfcfdf0450a, 0xbd33830b89f5c3e1, 0x8432d00b4886559c, 0xd7ffa039e131c18a,
  0x2982c3795e425b7f, 0x55ba7c24ff3ff956, 0xd1bdaa3949fcda9f, 0xd98fc62fd5194386, 0x0911759c3cf3e019,
  0x0dd0ff51f097e21b, 0xdac21374c98b8730, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x5f9b6e70c76f62aa, 0x8fe345912637296a, 0xc2a73f53ab337f06, 0x97e627ff787bde50, 0x7efd8668fb61c7f1,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xc834f257ee686658, 0x0000000020025164,
};

// m644a_u2x12_uart0_dual_ee_hw      m644p_u2x12_uart0_dual_ee_hw      m644pa_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m644_u2x12_uart0_dual_ee_hw[] = {
  0xeeeac6d5146864d6, 0xdd43964c75f0feee, 0xf5dce2d51fdddddd, 0xa00a8bbb938a767d, 0x63c3d964b9ceb69c,
  0xfcc13e32448dcb33, 0x3621c459001291c3, 0x4f89461432169bf0, 0x6dcd3b7f995d0677, 0x37a8e337b0dda382,
  0x0450a489049030b5, 0x5c3e144312bfcfdf, 0x195672f4ce52509f, 0xce4e2a10cb40e1a2, 0x096de87ffe80e784,
  0xfff21fe60b0de579, 0xf9b53eab74f84b4d, 0x1c890da37b547293, 0x0a7a8f2b5f7355ad, 0x7c5752bd47c1b306,
  0xcb1148b34eb42287, 0xa5c54b9a426be8c2, 0xb4428f7b39d5a5cc, 0xe7ac6ab5d0ebd44b, 0xfa598b84845022a3,
  0xac546c11fadc37b2, 0x2af9ddc54940213f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x38c6e52d4bf36dce, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0aed63d3aa29e4af,
};

/*
 * m644_u2x12_uart0_dual_ee_ce_u4_hw m644a_u2x12_uart0_dual_ee_ce_hw   m644a_u2x12_uart0_dual_ee_ce_u4_hw
 * m644p_u2x12_uart0_dual_ee_ce_hw   m644p_u2x12_uart0_dual_ee_ce_u4_hw
 * m644pa_u2x12_uart0_dual_ee_ce_hw  m644pa_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_u2x12_uart0_dual_ee_ce_hw[] = {
  0x775636a8a34204d3, 0x750e42ff7187f777, 0x932e76df5f777777, 0x7ef276efda8d587d, 0xff0ef89e3f32242c,
  0x304f8c9415726baf, 0x10e22c8009483927, 0xc4a30a190b4df81b, 0x26b91fccae833ba7, 0xa8fcb5b066f9c12a,
  0xa1491209207d8337, 0x7c2886257f9fbe08, 0xb397a67061713eb8, 0x3150865a016910ca, 0x6ffafff4073c2638,
  0x90ff30586f2bc84b, 0xa9f55ba7c24ff3ff, 0x386d1bdaa3949fcd, 0x439d98fc62fd5194, 0x10d8488bace1e79e,
  0x1d9cba3ffa8f84bf, 0xe4a76b084dd3262e, 0xf83660d7cf51e56f, 0xd68450298ae037a8, 0x4d7d185962291669,
  0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31, 0xdc5494b313fac546,
  0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0xa5a97e6db9c31dbd, 0x9430a9cfd42718dc, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0xa429453c95fb9a19, 0x000000000001d758,
};

/*
 * m644_swio10_noled_pr              m644a_swio10_noled                m644a_swio10_noled_pr
 * m644p_swio10_noled                m644p_swio10_noled_pr             m644pa_swio10_noled
 * m644pa_swio10_noled_pr
 */
static const uint64_t ur_m644_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdac4776e27524192, 0x80f06612226f897e, 0x8f4138fd68917748,
  0x7304f8c9dd85eb47, 0x43b244ff58779f0f, 0x310fea3bde77cb13, 0xdd34e3916921c490, 0xdba046b3ce62c05b,
  0xd7db8e58c11d78b9, 0xe7ab36bcb955a958, 0x5673a8a9546bb3b0, 0xfa215359caed52df, 0xb4457950a4aa5f7a,
  0x2953e9de7eb5cf6a, 0x085a585cea75380b, 0xe31bc674409c2914, 0x63ce1b94b52fcdb4, 0x3f75663c81a3f8d1,
  0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1, 0x1f200724cc59e4af,
};

// m644a_swio10_noled_pr_u4          m644p_swio10_noled_pr_u4          m644pa_swio10_noled_pr_u4
static const uint64_t ur_m644_swio10_noled_pr_u4[] = {
  0xa4dddddda24328ae, 0xad72d2c42b133ac6, 0xdf1fba6837132219, 0x88f211c6c446bf07, 0x912e236f67eeea48,
  0x4f8c9dd34b1c54d8, 0x9dd7fec2f9f8f730, 0xef51e6e3be58451d, 0x632a71a4871240c9, 0xef476b1cc580b2ca,
  0x01ffb30475e8f9d9, 0xaa07967b770d67aa, 0x1cf566d7972ab555, 0xeace75152a8d7676, 0x5f442a6b395daa5b,
  0x5688af2a14954bef, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x31b94b52fcdb2048,
  0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x1f27b4d6d7b4f257,
};

/*
 * m644_swio10_noled_pr_ee_u4        m644a_swio10_noled_pr_ee          m644a_swio10_noled_pr_ee_u4
 * m644p_swio10_noled_pr_ee          m644p_swio10_noled_pr_ee_u4       m644pa_swio10_noled_pr_ee
 * m644pa_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m644_swio10_noled_pr_ee[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea6d2eb1, 0xa7b5177499f1ff12, 0x08f229835cdd95b6, 0x9541685e14452225,
  0x9f193bad3bed791d, 0x69bffd85f3e35a60, 0xace1cd56b471ec76, 0xf51f06cc19ebea3c, 0xcd3ad08a1df15975,
  0x6909afa30b2c4522, 0x4273ab4bfee5c6b2, 0x6ba1d79d376d291c, 0x0908a1314622d8d5, 0x11fadc37b2d97317,
  0x955a8044d57f546c, 0x46bb3b0e7ab36bcb, 0xaed52df5673a8a95, 0x4aa5f7afa215359c, 0xd75cf6ab4457950a,
  0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0x6d902455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xda792bf734332c3a,
  0x00000004eb93f0eb,
};

/*
 * m644_swio10_noled_pr_ce_u4        m644a_swio10_noled_pr_ce          m644a_swio10_noled_pr_ce_u4
 * m644p_swio10_noled_pr_ce          m644p_swio10_noled_pr_ce_u4       m644pa_swio10_noled_pr_ce
 * m644pa_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m644_swio10_noled_pr_ce[] = {
  0x07dddddda2431202, 0x1cb96960418d8ac7, 0xc7619eed69b3fd7a, 0x7f12368915685365, 0x2a0a3760cc17eef0,
  0x304f8c9dd666d89a, 0x3b182ffec2f9f95d, 0x79b9da9e8c5faf50, 0xf886c2445d670f3c, 0xb87bc3e5afd47c25,
  0xc927b96757d64c98, 0xa52438920782fd47, 0xbd1dac731602f740, 0x07feccf1d7a3e767, 0xaa0796b75c359ea8,
  0x1cf566d7972ab555, 0xeace75152a8d7676, 0x5f442a6b395daa5b, 0x5688af2a14954bef, 0xa7869de7c5aeb9ed,
  0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0x637296a5f9b64086, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x1baf9559af69e4af,
};

/*
 * m644_swio10_noled_pr_ee_ce_u4     m644a_swio10_noled_pr_ee_ce       m644a_swio10_noled_pr_ee_ce_u4
 * m644p_swio10_noled_pr_ee_ce       m644p_swio10_noled_pr_ee_ce_u4    m644pa_swio10_noled_pr_ee_ce
 * m644pa_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio10_noled_pr_ee_ce[] = {
  0xa7bbbbbb4486cc7f, 0x6ee5a5861c123586, 0x177276e9b185401b, 0x3b1ec454df4ef234, 0xa3bb8247c613c4b5,
  0x327753eeabdd928f, 0x3ff617cfb5dcc13e, 0xe462fd51cae1d8ff, 0x22eb3879e3cdcedf, 0x397ea3e12fc43612,
  0x083df3262e1c291f, 0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb2c4522cd3ad08a0, 0x76efdc3a909afa30,
  0xf3a6eda523884e75, 0x4c5188b6355e363a, 0x0decb65cc5c24228, 0xcc9aafea8d822647, 0x61cf566d7972ab52,
  0xbeace75152a8d767, 0xf5f442a6b395daa5, 0xd5688af2a14954be, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1,
  0x63b7b15545a5b44e, 0x2637296a5f9b6408, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x013f2e20faf69e4a,
};

// m644a_swio10_noled_ee_hw          m644p_swio10_noled_ee_hw          m644pa_swio10_noled_ee_hw
static const uint64_t ur_m644_swio10_noled_ee_hw[] = {
  0x137777768a341202, 0x6ae5a58f5369758a, 0x3da8bba4cf8ff893, 0x47914c1ae6ecadb5, 0xaa0b42f0a2291128,
  0x09f193baccdb16a0, 0xb34dff958b3e35a6, 0xe5670e6ab5a38f63, 0xafa8f83660cf5f51, 0x1669d68450ef8acb,
  0x93484d7d18596229, 0xe2139d5a5ff72e35, 0xab5d0ebce9bb6948, 0xb84845098a3116c6, 0x608fd6e1bd96cb98,
  0x5caad40226abfaa3, 0xaa35d9d873d59b5e, 0xe576a96fab39d454, 0x52552fbd7d10a9ac, 0x16bae7b55a22bca8,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf36c8122adec5551, 0x4e7ea138c6e52d4b, 0xcc4ffef0f7bca185,
  0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x00000000b7e3000a,
};

/*
 * m644_swio10_noled_ee_ce_u4_hw     m644a_swio10_noled_ee_ce_hw       m644a_swio10_noled_ee_ce_u4_hw
 * m644p_swio10_noled_ee_ce_hw       m644p_swio10_noled_ee_ce_u4_hw    m644pa_swio10_noled_ee_ce_hw
 * m644pa_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio10_noled_ee_ce_hw[] = {
  0x3dddddda28d01107, 0x772d2c30e091ac35, 0xbb93b74d8c2a00db, 0xd8f622a6fa7791a0, 0x1ddc123e309e25a9,
  0xf193ba9c8abf77ed, 0xfcff2b167daee609, 0x7f918bf5472b8763, 0x911759c3cf3c873b, 0xbaa3f51f097e21b0,
  0xac20f7cc98b87ba1, 0x06807a8f2b74b29d, 0x814c5721fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbf70ea426be8,
  0xebce9bb6948e2139, 0xa1314622d8d578d8, 0x1c37b2d973170908, 0x4b326abfaa360899, 0x9d873d59b5e5caad,
  0x96fab39d454aa35d, 0xfbd7d10a9ace576a, 0x7b55a22bca852552, 0xc529e1a779f16bae, 0x38c6f19d1020eea6,
  0x218edec5551696d1, 0x2718dca5a97e6d90, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0050108bb5453c95,
};

/*
 * m644_swio10_lednop_pr             m644a_swio10_lednop               m644a_swio10_lednop_pr
 * m644p_swio10_lednop               m644p_swio10_lednop_pr            m644pa_swio10_lednop
 * m644pa_swio10_lednop_pr
 */
static const uint64_t ur_m644_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x9101e0cc2444d327, 0x085e6c311e3ef26e,
  0x63e609f193bb63d9, 0x4d0ecdbffeb0ef3e, 0x40c43fa8f109df2c, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0x61cf566d7972ab52, 0xbeace75152a8d767, 0x42a6b8101395daa5, 0x8af2a14956ae97f4,
  0x70173a03cb9ed568, 0x0b4ac22617a96bca, 0x6378ce88117ee281, 0x79c37296a5f9b69c, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0x7c8004998b3c95fb,
};

// m644a_swio10_lednop_pr_u4         m644p_swio10_lednop_pr_u4         m644pa_swio10_lednop_pr_u4
static const uint64_t ur_m644_swio10_lednop_pr_u4[] = {
  0x526eeeeed121ad4e, 0x6b5cb4b10ad00563, 0xfa0bf770f8da4886, 0x111e4238c99b11e6, 0x233cc6a197bddd49,
  0x827c64ee989b82b4, 0xd81efff617cfc069, 0x9ef51e713be58451, 0x4c63cf5a4871240c, 0xf911c1f398b01659,
  0x807fecc11d7a3e76, 0x15a07967b7bdf40a, 0x61cf566d7972ab58, 0xbeace75152a8d767, 0x42a6b8101395daa5,
  0x8af2a14956ae97f4, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x96a5f9b65d9156f6,
  0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0xab37af69e4afdcd0, 0x0000000000007c9b,
};

/*
 * m644_swio10_lednop_pr_ee_u4       m644a_swio10_lednop_pr_ee         m644a_swio10_lednop_pr_ee_u4
 * m644p_swio10_lednop_pr_ee         m644p_swio10_lednop_pr_ee_u4      m644pa_swio10_lednop_pr_ee
 * m644pa_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_swio10_lednop_pr_ee[] = {
  0x426eeeeed121b032, 0x6d5cb4b1ea6f5eb1, 0x27a47f746db11f12, 0x08f229835da59bbb, 0x72b2210208452225,
  0x4f8c9dd6c473ba72, 0x472ffd85f3fd5f30, 0xaca1cd56b471ec76, 0xf51f06cc19ebea3c, 0xcd3ad08a1df15b05,
  0x6909afa30b2c4522, 0xf873ab4bfce5c6b2, 0xd743af3a6ec13d1a, 0x24228c9118dfb1aa, 0x47eb70decb65cc5c,
  0xaad402b86b3d51b0, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0xa5fd10a9ae0404e5, 0xb55a22bca85255ab,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x98dca5a97e6d9764, 0xd599bf83bb8d1644,
  0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x04ebf7c16bda792b,
};

/*
 * m644_swio10_lednop_pr_ce_u4       m644a_swio10_lednop_pr_ce         m644a_swio10_lednop_pr_ce_u4
 * m644p_swio10_lednop_pr_ce         m644p_swio10_lednop_pr_ce_u4      m644pa_swio10_lednop_pr_ce
 * m644pa_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_swio10_lednop_pr_ce[] = {
  0x83eeeeeed12198e2, 0x1cb9696041b17d63, 0xc7685eef1fa13d7a, 0x1fc48da24536168c, 0xc6759a59fbc77bbc,
  0xcc13e32774a70f65, 0x0eccadffb0be7f4d, 0x1e6e772ba317ebd4, 0x7e21b0911759c3cf, 0x2e1d9f3acff51f09,
  0xc149ee59d5f59326, 0x01490e2481e0bf51, 0x911c1f398b0143da, 0x07feccf1d7a3e76f, 0x5681e5addbdf40a8,
  0x873d59b5e5caad60, 0xfab39d454aa35d9d, 0x0a9ae0404e576a96, 0x2bca85255aba5fd1, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb52fcdb2ec31dbd8, 0xf07771a2c8931b94, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0x072d7b4f257ee686,
  0x000000000000dd73,
};

/*
 * m644_swio10_lednop_pr_ee_ce_u4    m644a_swio10_lednop_pr_ee_ce      m644a_swio10_lednop_pr_ee_ce_u4
 * m644p_swio10_lednop_pr_ee_ce      m644p_swio10_lednop_pr_ee_ce_u4   m644pa_swio10_lednop_pr_ee_ce
 * m644pa_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio10_lednop_pr_ee_ce[] = {
  0xa9eeeeeed1219f68, 0xdbb9696187119d61, 0x23b02f7419ad1006, 0x9d8f622a6c48f4eb, 0x8c8c4efa6309e25a,
  0xe32774abd13ec305, 0xbfffb0be7c524c13, 0x6fc62fd51cae1d95, 0x445d670f3c79b9dd, 0xdbbfd47c25f886c2,
  0xc20f7cc98b87185d, 0x6807a8f2b2eb29da, 0x14c5652fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbe70ea426be8c,
  0x79d37609e8d7c39d, 0xc9118dfb1aaf1b1d, 0x0decb65cc5c24228, 0x9dc359ea8d822647, 0xc39eacdaf2e556a5,
  0x7d59cea2a551aece, 0x854d7020272bb54b, 0x15e54292ad5d2fe8, 0xa03c72b5d73daad1, 0xa20421520b94b5f3,
  0x55516920a718de33, 0x5a97e6d97618edec, 0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xdc86bda792bf7343, 0x00000000000013f0,
};

// m644a_swio10_lednop_ee_hw         m644p_swio10_lednop_ee_hw         m644pa_swio10_lednop_ee_hw
static const uint64_t ur_m644_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a18e2, 0xb572d2c7a9bd7ac5, 0x9e91fdd1b6c47c49, 0x23c8a60d76966eec, 0x5ac8840821148894,
  0x827c64ee94e1eda7, 0xd91cbfcac59feaf9, 0xf2b287355ad1c7b1, 0x17d47c1b3067afa8, 0x8b34eb422877c56c,
  0xc9a426be8c2cb114, 0x6be1cead2ff3971a, 0xab5d0ebce9bb04f4, 0x70908a3244637ec6, 0xc11fadc37b2d9731,
  0x72ab500ae1acf546, 0xa8d76761cf566d79, 0x95daa5beace75152, 0xae97f442a6b81013, 0x9ed5688af2a14956,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x9156f62aa8b49053, 0x9c637296a5f9b65d, 0x787bde50c2a73f50,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x005be33c9d14f257,
};

/*
 * m644_swio10_lednop_ee_ce_u4_hw    m644a_swio10_lednop_ee_ce_hw      m644a_swio10_lednop_ee_ce_u4_hw
 * m644p_swio10_lednop_ee_ce_hw      m644p_swio10_lednop_ee_ce_u4_hw   m644pa_swio10_lednop_ee_ce_hw
 * m644pa_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio10_lednop_ee_ce_hw[] = {
  0x9eeeeeed14687f3e, 0xbb9696187119d61a, 0x3b02f7419ad1006d, 0xd8f622a6c48f4eb2, 0xc8c4efa6309e25a9,
  0xf193bb1aa8bf5d6c, 0x6fff958b3e292609, 0x5bf18bf5472b8765, 0x222eb3879e790e77, 0x6ddfea3e12fc4361,
  0xb083df3262e1c000, 0x1a01ea3cacbaca76, 0x0531594bf51f06cc, 0x0b2c4522cd3ad08a, 0x576ef9c3a909afa3,
  0x5e74dd827a35f0e7, 0x3244637ec6abc6c7, 0xc37b2d973170908a, 0x6770d67aa3608991, 0xb0e7ab36bcb955a9,
  0xdf5673a8a9546bb3, 0x21535c0809caed52, 0x457950a4ab574bfa, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c,
  0x15545a4829c6378c, 0x96a5f9b65d863b7b, 0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x409514f257ee6866, 0x0000000000014041,
};

/*
 * m644_swio10_dual_pr               m644_swio10_dual_pr_u4            m644a_swio10_dual
 * m644a_swio10_dual_pr              m644a_swio10_dual_pr_u4           m644p_swio10_dual
 * m644p_swio10_dual_pr              m644p_swio10_dual_pr_u4           m644pa_swio10_dual
 * m644pa_swio10_dual_pr             m644pa_swio10_dual_pr_u4
 */
static const uint64_t ur_m644_swio10_dual[] = {
  0x17777776890c0668, 0xd4cd439421d6c3f4, 0xa73b7792ae3c5e56, 0xebad0d1505586323, 0x1ff654e2375bb415,
  0x271ddc81f58258bf, 0xc800948044cc13e3, 0xa190b4df81b10e22, 0xfcca0253ba7c4a30, 0x1fb080c70a9537ee,
  0x4482481edf9bd473, 0x21895fe7ef822852, 0xbd3398804fae1f0a, 0x421968464886559c, 0x5d7fe80e784d6b45,
  0xed30586f2bc84b6e, 0x3be587c1d952bfff, 0x4871240c45f51e44, 0x31602a83cdfb8caa, 0x3af006769c51bde7,
  0xb5af07d500ffd982, 0x771525bfc303cb3d, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0x20272bb54b7d59ce,
  0x92ad5d2fe8854d70, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6cbb22adec555169,
  0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0xd3c95fb9a19961d2, 0x000000524ffaa35e,
};

// m644a_swio10_dual_pr_ee           m644p_swio10_dual_pr_ee           m644pa_swio10_dual_pr_ee
static const uint64_t ur_m644_swio10_dual_pr_ee[] = {
  0xedddddd0f5a1a5fb, 0xa99a872a185b0f86, 0x7266e8f6b0c8ce0d, 0x33e9cec947eb4cfb, 0xbfbbcfb1ae6ec373,
  0xb94b235d5a78ab2b, 0x52138f9827c64fd3, 0xd37e06c4388b2002, 0x094ee9f128c28642, 0x5e70a1f9ba7ff328,
  0x03d9d37a8e70761d, 0xfcfdf0450a489049, 0x0089f5c3e144312b, 0x2fb4432ace5e99c3, 0x1cf0983dc5421968,
  0xbcaf212dba6dffd0, 0x8eca1fffffb4c161, 0x4795efb9aad68ca2, 0xb75ea3e0d98332bd, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x8f4a39d5a5ca1ae2, 0xd56ba1d7a89768f6, 0x170908a1004698d8, 0xd823f5b86f65f4b3,
  0xbb8a92805195aca8, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0x101395daa5beace7, 0x4956ae97f442a6b8,
  0x5aeb9ed5688af2a1, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4, 0xa2cf78237296a5f9,
  0x73f53ab337f07771, 0xdce32fcc4fe50c2a, 0x3f1cf7ff04d1f6c3, 0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1,
  0x00ac9843af69e4af,
};

// m644a_swio10_dual_pr_ee_u4        m644p_swio10_dual_pr_ee_u4        m644pa_swio10_dual_pr_ee_u4
static const uint64_t ur_m644_swio10_dual_pr_ee_u4[] = {
  0x991dddddda2432db, 0x394cd43950eabf0f, 0x2deef740514a8e3d, 0xc9d4cc373adefda7, 0x0b2012c435cdd991,
  0x8b723822ac70b33a, 0x04a43c03304f8c96, 0x85a6fc0d88711640, 0x50129dd3e251850c, 0x08e4703833757fe6,
  0x2481cae9bd47d9db, 0x95fe7ef822852448, 0xe341c4fae1f0a218, 0xb423da2195672f4c, 0xf4073c269122a10c,
  0x586f2bc84b6e337f, 0xdfc1d8707fffed30, 0x3fd4795a9e9aad68, 0xc57813d47c1b3061, 0xb1148b34eb422877,
  0x5c20b9a426be8c2c, 0xee9182873ab4bc87, 0xb6355ae875ed6276, 0xf18b8484513723c8, 0x9571197d6e1bd971,
  0x955acfe2af9ddc54, 0x46bb3b0e7ab36bcb, 0xaed52df5673a8a95, 0x74bfa21535c0809c, 0xf6ab4457950a4ab5,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x931b94b52fcdb2ec, 0x3ab337f07771a2c8,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x0002b240ad7b4f25,
};

/*
 * m644_swio10_dual_pr_ce_u4         m644a_swio10_dual_pr_ce           m644a_swio10_dual_pr_ce_u4
 * m644p_swio10_dual_pr_ce           m644p_swio10_dual_pr_ce_u4        m644pa_swio10_dual_pr_ce
 * m644pa_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m644_swio10_dual_pr_ce[] = {
  0x3bdddddda2431f02, 0x54cd439e95d6f0fa, 0x513f75eb06e583e4, 0x9ae3b13bf762fb2b, 0xa28fdce2d5ba8ed1,
  0x082e4a31166c9b30, 0x004a447dd304f8c9, 0xc85a6fc0d8871164, 0x650129dd3e251850, 0xd869b38456986b7e,
  0x41240d4f4dea3efb, 0xc4aff3f7c1142922, 0x338ce427d70f8510, 0x32d0dbe886559cbd, 0xffd01cf098f58a84,
  0xc161bcaf212dbf4f, 0xea1ec76456ffffb4, 0xc3cf1e6e771ca317, 0x1f097e21b0911759, 0x73262e1e9299cbf5,
  0xfd47ea27b96757a9, 0xa95dd52438920770, 0xced38a37bce62c05, 0xfaa01ffb33c75e00, 0x2dfe181e5adcb5e0,
  0x2ab59fc55f3bb8a9, 0x8d76761cf566d797, 0x5daa5beace75152a, 0xe97f442a6b810139, 0xed5688af2a14956a,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x4c6e52d4bf36cbb0, 0xeaccdfc1ddc68b22,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x000d242cf5ed3c95,
};

// m644a_swio10_dual_pr_ee_ce        m644p_swio10_dual_pr_ee_ce        m644pa_swio10_dual_pr_ee_ce
static const uint64_t ur_m644_swio10_dual_pr_ee_ce[] = {
  0x8f6ddddddd435202, 0x4e53350e509ee30f, 0xdb7d7dd67c739d91, 0x3b502fed61f64cb9, 0x3f32242d0bc8f8f6,
  0xdc9c875b45c5f9ae, 0x520e49cc13e32519, 0xd37e06c4388b2002, 0x094ee9f128c28642, 0x4d1c1fe4d883f328,
  0x40ec7e6f51c346c3, 0xff3f7c1142922412, 0xc2e27d70f8510c4a, 0x0a1a2195672f4ce0, 0x0e784ce962a10cb4,
  0xde579096dff5ffe8, 0xc3b1fe7fffda60b0, 0xf373b7f963faa353, 0xce7587524e6ffe78, 0xf2bcad29dac0b374,
  0xbbd47c1b307dd7a8, 0x8b34eb422814c572, 0x8ea426be8c2cb114, 0x8f68f4a39d5db8a1, 0x1b1aaf1b1d7a8976,
  0x9662e121142008d3, 0xca8d8226470decbe, 0x5f3bb8a92967195a, 0xf566d7972ab59fc5, 0xce75152a8d76761c,
  0x6b8101395daa5bea, 0x2a14956ae97f442a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0xbf36cbb0c76f62aa, 0xeee3458f386e52d4, 0xf4c2b93f75666fe0, 0x296ce1c4e32c970c, 0x69e4afdcd0ccb0e9,
  0x0000000982371faf,
};

// m644a_swio10_dual_pr_ee_ce_u4     m644p_swio10_dual_pr_ee_ce_u4     m644pa_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m644_swio10_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2906, 0xa66a1c19c7fc3e10, 0xc5eed17d8b9d63b4, 0x862c57d769eaefd5, 0x5f0f890e9c10d395,
  0xc80b68fd2312bdfd, 0xae609f1926eae457, 0xd8871164004a43c7, 0x3e251850c85a6fc0, 0x5e635bfccac049dd,
  0x6f51e006c0521c3f, 0x114292241240ed6e, 0x70f8510c4aff3f7c, 0x95672f4ce5c9427d, 0x95a2a10cb4367221,
  0x96dd2a3fe80e784d, 0xfe558a60b0de5790, 0x317ea8e390ecfd7f, 0xace1e79f00ceff5e, 0xfa8f84bf10d8488b,
  0x6e993170ecf5fad5, 0xf51e5795a53b5842, 0xae577a8f83660fba, 0x2291669d68450298, 0x1431d484d7d18596,
  0x2ed1ed1e9473abb7, 0x1a636355e363af51, 0x97d2cc5c24228401, 0x2b5951b044c8e1bd, 0xf8abe77715252ce3,
  0xc39eacdaf2e556b3, 0x7d59cea2a551aece, 0x854d7020272bb54b, 0x15e54292ad5d2fe8, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5a97e6d97618edec, 0xc1a3f8d164498dca, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x2fb20d3c95fb9a19,
  0x000000000004002e,
};

// m644a_swio10_dual_ee_hw           m644p_swio10_dual_ee_hw           m644pa_swio10_dual_ee_hw
static const uint64_t ur_m644_swio10_dual_ee_hw[] = {
  0xbb7777768a341f02, 0x6a66a1ca8616c3e1, 0xdc99ba3dac323383, 0xccfa73b251fad33e, 0xefeef3ec6b9bb0dc,
  0xa7725188b37a614a, 0x04a4271f304f8c9f, 0x85a6fc0d88711640, 0x57419dd3e251850c, 0x3abce143f374ffe6,
  0x9207b3a6f51ce0ec, 0x57f9fbe08a149120, 0x860113eb87c28862, 0xd05f6886559cbd33, 0xa039e1307b8a8432,
  0xc3795e425b74dbff, 0x51d943fffc87f982, 0xa8f2bdf7355ad194, 0x76ebd47c1b306657, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0xd1e9473ab4b9435c, 0x1aad743af512ed1e, 0x62e121142008d31b, 0x1b047eb70decbe96,
  0x777152500a32b595, 0xcdaf2e556b3f8abe, 0xea2a551aecec39ea, 0x020272bb54b7d59c, 0x292ad5d2fe8854d7,
  0x2b5d73daad115e54, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36cbb22adec55516, 0xe7ea138c6e52d4bf,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000015dad9a7ca2,
};

/*
 * m644_swio10_dual_ee_ce_u4_hw      m644a_swio10_dual_ee_ce_hw        m644a_swio10_dual_ee_ce_u4_hw
 * m644p_swio10_dual_ee_ce_hw        m644p_swio10_dual_ee_ce_u4_hw     m644pa_swio10_dual_ee_ce_hw
 * m644pa_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio10_dual_ee_ce_hw[] = {
  0x3dddddda28d1880b, 0x299a870671ff0f84, 0x717bb45f62e758ed, 0x618b15f5da7abbf5, 0x57c3e243a70434e5,
  0x49fe9adb34e8af7f, 0x8f5cc13e324dd5c8, 0x81b10e22c8009487, 0xba7c4a30a190b4df, 0x3f5e635bfccae833,
  0x6e6f51e006c0521c, 0x7c114292241240ed, 0x7d70f8510c4aff3f, 0x2195672f4ce5c942, 0x4d95a2a10cb43672,
  0x9096dd2a3fe80e78, 0xbfff21fe60b0de57, 0xaf18bf5471c8767e, 0x22eb3879e790e77f, 0xa77ea3e12fc43612,
  0x8426e993170fe72e, 0xfbaf51e5795a53b5, 0x298ae577a8f83660, 0x5962291669d68450, 0xbb71431d484d7d18,
  0xf512ed1ed1e9473a, 0x4011a636355e363a, 0x1bd97d2cc5c24228, 0xce32b5951b044c8e, 0x6b3f8abe77715252,
  0xecec39eacdaf2e55, 0x54b7d59cea2a551a, 0xfe8854d7020272bb, 0xad115e54292ad5d2, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0xdca5a97e6d97618e, 0xf79430a9cfd42718, 0x71fc65f989ffde1e,
  0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x52f877453c95fb9a, 0x00000000000001d7,
};

/*
 * m644_swio11_noled_pr              m644_swio12_noled                 m644_swio12_noled_pr
 * m644a_swio11_noled                m644a_swio11_noled_pr             m644a_swio12_noled
 * m644a_swio12_noled_pr             m644p_swio11_noled                m644p_swio11_noled_pr
 * m644p_swio12_noled                m644p_swio12_noled_pr             m644pa_swio11_noled
 * m644pa_swio11_noled_pr            m644pa_swio12_noled               m644pa_swio12_noled_pr
 */
static const uint64_t ur_m644_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xe97752267ba0c90e, 0x783309a93783eadb, 0x641d78d7d9fbad82,
  0x827c64ee82f41331, 0xd9dd7fac3bcfc7b9, 0x7ff51d313be5ba01, 0x4c800f9490e2481d, 0x7488c9e398b016f7,
  0x1f71cb1823af173b, 0x7ab36bcb955a9582, 0x673a8a9546bb3b0e, 0x215359caed52df57, 0x115e54292b637afa,
  0x54fa779fad73daad, 0x1696173a9d4e02ca, 0xc6f19d1023cbc502, 0xf386e52d4bf36d38, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xf204913316792bf7, 0x0000000000000001,
};

/*
 * m644_swio12_noled_pr_u4           m644a_swio11_noled_pr_u4          m644a_swio12_noled_pr_u4
 * m644p_swio11_noled_pr_u4          m644p_swio12_noled_pr_u4          m644pa_swio11_noled_pr_u4
 * m644pa_swio12_noled_pr_u4
 */
static const uint64_t ur_m644_swio11_noled_pr_u4[] = {
  0xa226eeeed121bf82, 0xb9696215b6dd627b, 0x98eea1c489910cd6, 0x1e42e27d2f1f327b, 0xba87003c9bb3dd11,
  0x7c64eeae31238541, 0xb7fff617cf98f982, 0xf51c143be5b7b1d9, 0x1ed00a4871240c9a, 0x28c45398b016594c,
  0x3ff6608ebd1f3b26, 0x303cb3dbb589e540, 0xe7ab36bcb955aa11, 0x7673a8a9546bb3b0, 0xa215359caed52df5,
  0xd115e54292b637af, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x6e52d4bf36d84315,
  0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0xc9a69f35ed3c95fb, 0x0000000000000007,
};

/*
 * m644_swio11_noled_pr_ee_u4        m644_swio12_noled_pr_ee           m644_swio12_noled_pr_ee_u4
 * m644a_swio11_noled_pr_ee          m644a_swio11_noled_pr_ee_u4       m644a_swio12_noled_pr_ee
 * m644a_swio12_noled_pr_ee_u4       m644p_swio11_noled_pr_ee          m644p_swio11_noled_pr_ee_u4
 * m644p_swio12_noled_pr_ee          m644p_swio12_noled_pr_ee_u4       m644pa_swio11_noled_pr_ee
 * m644pa_swio11_noled_pr_ee_u4      m644pa_swio12_noled_pr_ee         m644pa_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m644_swio11_noled_pr_ee[] = {
  0x6f26eeeed121b705, 0xae5a58f531a7582f, 0xdb23bbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x8c9ddb0db2b92a4c, 0x77fec2f9f383304f, 0x5d66ab5a331e3b36, 0x8f83660fa8f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x39d5a5dc9ae35934, 0xd0ebce9bb1ea8fe4, 0x845110a3deec6ab5, 0xfd6e1bd96cb98b84,
  0x56a01741cf2a3608, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xd8debe8854d672bb, 0x5cf6ab4457950a4a,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x610c55bd8aaa2d2d, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000009d77c93d7b4,
};

/*
 * m644_swio11_noled_pr_ce_u4        m644_swio12_noled_pr_ce           m644_swio12_noled_pr_ce_u4
 * m644a_swio11_noled_pr_ce          m644a_swio11_noled_pr_ce_u4       m644a_swio12_noled_pr_ce
 * m644a_swio12_noled_pr_ce_u4       m644p_swio11_noled_pr_ce          m644p_swio11_noled_pr_ce_u4
 * m644p_swio12_noled_pr_ce          m644p_swio12_noled_pr_ce_u4       m644pa_swio11_noled_pr_ce
 * m644pa_swio11_noled_pr_ce_u4      m644pa_swio12_noled_pr_ce         m644pa_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m644_swio11_noled_pr_ce[] = {
  0xf89ddddda2432493, 0xb96960418add60c9, 0x5a5ee8d7793d7a1c, 0x891b4d9e8261550f, 0xed1fbc5f63f74c9f,
  0x27c64ee86e41447c, 0x8a7bff617cfefb98, 0xb9de048c5fa84f1d, 0x86c2445d670f3c79, 0x798667cfd47c25f8,
  0x27b96757d64c98b8, 0x24389206b3fd475f, 0x6229cc580bb7e5f5, 0xfb33c75e8f9d9314, 0x0796b75ac4f2a01f,
  0xf566d7972ab54226, 0xce75152a8d76761c, 0x42a6b395daa5beae, 0x22bca85256c6f5f4, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x94b52fcdb61098ed, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x73f5bd7b4f257ee6,
  0x00000000000000dd,
};

/*
 * m644_swio11_noled_pr_ee_ce_u4     m644_swio12_noled_pr_ee_ce        m644_swio12_noled_pr_ee_ce_u4
 * m644a_swio11_noled_pr_ee_ce       m644a_swio11_noled_pr_ee_ce_u4    m644a_swio12_noled_pr_ee_ce
 * m644a_swio12_noled_pr_ee_ce_u4    m644p_swio11_noled_pr_ee_ce       m644p_swio11_noled_pr_ee_ce_u4
 * m644p_swio12_noled_pr_ee_ce       m644p_swio12_noled_pr_ee_ce_u4    m644pa_swio11_noled_pr_ee_ce
 * m644pa_swio11_noled_pr_ee_ce_u4   m644pa_swio12_noled_pr_ee_ce      m644pa_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio11_noled_pr_ee_ce[] = {
  0xd8fddddda243304a, 0xb969618720dd631d, 0xa64774ad921006db, 0x63d88e152ef92841, 0x9c8ccd28c2789c77,
  0x2776c5d47deb2018, 0xffb0be7e004c13e3, 0xc62fd51efb1d96b7, 0x5d670f3c79b9ddad, 0x7fd47c25f886c244,
  0x0f7cc98b87575c61, 0x57a8f2b90f29dac2, 0xc5670fd47c1b307a, 0xb1148b34eb422814, 0xb9c98ea426be8c2c,
  0xe9bb1ea8fe439d5d, 0x147bdd8d578d8ebc, 0x7b2d973170908a22, 0xf41cf2a3608991c3, 0x39eacdaf2e556a59,
  0x5d9cea2a551aecec, 0xe8854d672bb54b7d, 0xb4457950a4ad8deb, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5,
  0xdbd8aaa2d2da2718, 0x37296a5f9b6c2131, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9f9317daf69e4afd,
};

/*
 * m644_swio12_noled_ee_hw           m644a_swio11_noled_ee_hw          m644a_swio12_noled_ee_hw
 * m644p_swio11_noled_ee_hw          m644p_swio12_noled_ee_hw          m644pa_swio11_noled_ee_hw
 * m644pa_swio12_noled_ee_hw
 */
static const uint64_t ur_m644_swio11_noled_ee_hw[] = {
  0x793777768a342493, 0x72d2c7a98d3ac17b, 0xd91dddb6ebfc49b5, 0xc8a671f3f60cf1de, 0x40f5c90229110bdb,
  0xf8c9dd0dc82b4ed0, 0xb3bfcac59f383304, 0xb2eb355ad198f1d9, 0xd47c1b307d47a8f2, 0x34eb422877c5652f,
  0xa426be8c2cb1148b, 0x21cead2ee4d71ac9, 0xae875e74dd8f547f, 0x242288851ef76355, 0x47eb70decb65cc5c,
  0x2ab500ba0e7951b0, 0x8d76761cf566d797, 0xdaa5beaece75152a, 0x56c6f5f442a6b395, 0xbae7b55a22bca852,
  0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xdb0862adec555169, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000016ff0bb5453,
};

/*
 * m644_swio11_noled_ee_ce_u4_hw     m644_swio12_noled_ee_ce_hw        m644_swio12_noled_ee_ce_u4_hw
 * m644a_swio11_noled_ee_ce_hw       m644a_swio11_noled_ee_ce_u4_hw    m644a_swio12_noled_ee_ce_hw
 * m644a_swio12_noled_ee_ce_u4_hw    m644p_swio11_noled_ee_ce_hw       m644p_swio11_noled_ee_ce_u4_hw
 * m644p_swio12_noled_ee_ce_hw       m644p_swio12_noled_ee_ce_u4_hw    m644pa_swio11_noled_ee_ce_hw
 * m644pa_swio11_noled_ee_ce_u4_hw   m644pa_swio12_noled_ee_ce_hw      m644pa_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio11_noled_ee_ce_hw[] = {
  0xc7eeeeed146807e1, 0xcb4b0c3906eb18ee, 0x323ba56c908036dd, 0x1ec470a977c9420d, 0xe466694613c4e3bb,
  0x3277421efde8ebc4, 0xbff2b167e004c13e, 0x6e317ea8f7d8ecb5, 0x45d670f3cf21ceed, 0x00fd47c25f886c24,
  0x083df3262e1fbac0, 0xe95ea3cae43ca76b, 0x53159c3f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e7263a909afa30,
  0xf3a6ec7aa3f90e75, 0x8851ef76355e363a, 0x0decb65cc5c24228, 0x67d073ca8d822647, 0xb0e7ab36bcb955a9,
  0xf57673a8a9546bb3, 0xafa215359caed52d, 0xaad115e54292b637, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362,
  0xc76f62aa8b4b689c, 0x18dca5a97e6db084, 0x1ef79430a9cfd427, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x28089c95453c95fb,
};

/*
 * m644_swio12_lednop                m644a_swio11_lednop               m644a_swio12_lednop
 * m644p_swio11_lednop               m644p_swio12_lednop               m644pa_swio11_lednop
 * m644pa_swio12_lednop
 */
static const uint64_t ur_m644_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xeee5a5885619586c, 0xda87bbe17a0a0c90, 0xe0cc26a475f5a789, 0xc8401b6d22eeb609,
  0xcc13e3277417a09a, 0x0ec913fd61de7c3d, 0xebffa8ebe1df2dd0, 0xe9b6fcbea4871240, 0x96ba3b86731602de,
  0xadb8e58c11d78b9d, 0x9eacdaf2e556a565, 0xd9cea2a551aecec3, 0xd7020272bb54b7d5, 0x2a1495cbd2fe8854,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6c63156f62aa, 0x30ae4fcfec37296a,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000002a4fad3316,
};

/*
 * m644_swio11_lednop_pr_u4          m644_swio12_lednop_pr             m644_swio12_lednop_pr_u4
 * m644a_swio11_lednop_pr            m644a_swio11_lednop_pr_u4         m644a_swio12_lednop_pr
 * m644a_swio12_lednop_pr_u4         m644p_swio11_lednop_pr            m644p_swio11_lednop_pr_u4
 * m644p_swio12_lednop_pr            m644p_swio12_lednop_pr_u4         m644pa_swio11_lednop_pr
 * m644pa_swio11_lednop_pr_u4        m644pa_swio12_lednop_pr           m644pa_swio12_lednop_pr_u4
 */
static const uint64_t ur_m644_swio11_lednop_pr[] = {
  0x7444ddddda243762, 0xd72d2c42b171ac4f, 0xd8fddf5fe172219a, 0x4790b89db7e9522e, 0xb85fe3fc5eecf744,
  0x7c64eed334668223, 0x1efff617cfafb982, 0xf51d003be5b7b1d9, 0x7f3a8a4871240c9a, 0x88c6f9cc580b2ca6,
  0x3ff6608ebd1f3b64, 0xa07967b707fa4540, 0xcf566d7972ab5976, 0xece75152a8d76761, 0x6b8101395daa5bea,
  0x950a4ae5e97f442a, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2fcdb6318ab7b155,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0xbd7b4f257ee68665, 0x0000000001f26959,
};

/*
 * m644_swio11_lednop_pr_ee_u4       m644_swio12_lednop_pr_ee          m644_swio12_lednop_pr_ee_u4
 * m644a_swio11_lednop_pr_ee         m644a_swio11_lednop_pr_ee_u4      m644a_swio12_lednop_pr_ee
 * m644a_swio12_lednop_pr_ee_u4      m644p_swio11_lednop_pr_ee         m644p_swio11_lednop_pr_ee_u4
 * m644p_swio12_lednop_pr_ee         m644p_swio12_lednop_pr_ee_u4      m644pa_swio11_lednop_pr_ee
 * m644pa_swio11_lednop_pr_ee_u4     m644pa_swio12_lednop_pr_ee        m644pa_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_swio11_lednop_pr_ee[] = {
  0xb79377776890c044, 0x572d2c7a9d05ac17, 0xf4d2eec01e97c49b, 0xde45338f8d33f6a6, 0xb45a8ac81148885e,
  0xc64eea0a4e52ec21, 0x5bff617cfa5a9827, 0x60b355ad198f1d83, 0x47c1b307d47a8f2b, 0x4eb422877c56a7bd,
  0x426be8c2cb1148b3, 0x1cead2ee9571ac9a, 0xe875e74dda444737, 0x42285f11c656355a, 0x7eb70decb65cc5c2,
  0xab500ad627951b04, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x7f442a6b8101395d, 0xab4457950a4ae5e9,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x1b94b52fcdb6318a, 0xb337f07771a2c893,
  0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x4eb8056d7b4f257e,
};

/*
 * m644_swio11_lednop_pr_ce_u4       m644_swio12_lednop_pr_ce          m644_swio12_lednop_pr_ce_u4
 * m644a_swio11_lednop_pr_ce         m644a_swio11_lednop_pr_ce_u4      m644a_swio12_lednop_pr_ce
 * m644a_swio12_lednop_pr_ce_u4      m644p_swio11_lednop_pr_ce         m644p_swio11_lednop_pr_ce_u4
 * m644p_swio12_lednop_pr_ce         m644p_swio12_lednop_pr_ce_u4      m644pa_swio11_lednop_pr_ce
 * m644pa_swio11_lednop_pr_ce_u4     m644pa_swio12_lednop_pr_ce        m644pa_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_swio11_lednop_pr_ce[] = {
  0xfc4eeeeed121be4a, 0x5cb4b020c6eeb064, 0x5ebeebaf2f7ebd0e, 0x12369b3cada090bf, 0xbe1a70cde9ee993f,
  0x4f8c9dd29475be9a, 0x2577fec2f9fd9d30, 0x73bdf718bf509e3b, 0x0d8488bace1e78f3, 0xd9be951fa8f84bf1,
  0x9ee59d5f593262e1, 0x21c490359fea3cbe, 0x1be731602c7bd2a9, 0xd99e3af47ced9223, 0x796b741fe91500ff,
  0x566d7972ab5976a0, 0xe75152a8d76761cf, 0x8101395daa5beaec, 0x0a4ae5e97f442a6b, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xf69e4afdcd0ccb0e,
  0x00000001baedf05a,
};

/*
 * m644_swio11_lednop_pr_ee_ce_u4    m644_swio12_lednop_pr_ee_ce       m644_swio12_lednop_pr_ee_ce_u4
 * m644a_swio11_lednop_pr_ee_ce      m644a_swio11_lednop_pr_ee_ce_u4   m644a_swio12_lednop_pr_ee_ce
 * m644a_swio12_lednop_pr_ee_ce_u4   m644p_swio11_lednop_pr_ee_ce      m644p_swio11_lednop_pr_ee_ce_u4
 * m644p_swio12_lednop_pr_ee_ce      m644p_swio12_lednop_pr_ee_ce_u4   m644pa_swio11_lednop_pr_ee_ce
 * m644pa_swio11_lednop_pr_ee_ce_u4  m644pa_swio12_lednop_pr_ee_ce     m644pa_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio11_lednop_pr_ee_ce[] = {
  0xd8fddddda2436812, 0xb969618711dd631d, 0xaccf7717a09006db, 0xc7b11c2a0dcbb68b, 0x2727189184f138ee,
  0x93bbbf6160149af6, 0xffb0be7f1ba609f1, 0xc62fd51efb1d8d77, 0x5d670f3c79b9db5d, 0x2fd47c25f886c244,
  0x83df3262e1fa9cb8, 0x95ea3caca5ca76b0, 0x315943f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e74a3a909afa30b,
  0x3a6ed22239b8e757, 0xf11c656355e363af, 0xdecb65cc5c242285, 0x76b13ca8d8226470, 0x0e7ab36bcb955a96,
  0x57673a8a9546bb3b, 0x535c0809caed52df, 0xbca852572f4bfa21, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb63131dbd8a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x9ed7b4f257ee6866, 0x0000000000027e7d,
};

/*
 * m644_swio12_lednop_ee_hw          m644a_swio11_lednop_ee_hw         m644a_swio12_lednop_ee_hw
 * m644p_swio11_lednop_ee_hw         m644p_swio12_lednop_ee_hw         m644pa_swio11_lednop_ee_hw
 * m644pa_swio12_lednop_ee_hw
 */
static const uint64_t ur_m644_swio11_lednop_ee_hw[] = {
  0xbc9bbbbb451a3e4a, 0xb96963d4e82d60bd, 0xa6977600f4be24da, 0xf2299c7c699fb537, 0xa2d456408a4442f6,
  0x7c64ee94a3adaaf9, 0x1adfe562cfa5a982, 0x5b059aad68cc78ec, 0xea3e0d983ea3d479, 0x9a75a1143be2b53d,
  0xd2135f4616588a45, 0xb8e7569774ab8d64, 0xd743af3a6ed22239, 0x121142f88e32b1aa, 0x23f5b86f65b2e62e,
  0x955a8056b13ca8d8, 0x46bb3b0e7ab36bcb, 0xed52df57673a8a95, 0x4bfa21535c0809ca, 0xb55a22bca852572f,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x18dca5a97e6db18c, 0x1ef79430a9cfd427,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x0b7e69ad453c95fb,
};

/*
 * m644_swio11_lednop_ee_ce_u4_hw    m644_swio12_lednop_ee_ce_hw       m644_swio12_lednop_ee_ce_u4_hw
 * m644a_swio11_lednop_ee_ce_hw      m644a_swio11_lednop_ee_ce_u4_hw   m644a_swio12_lednop_ee_ce_hw
 * m644a_swio12_lednop_ee_ce_u4_hw   m644p_swio11_lednop_ee_ce_hw      m644p_swio11_lednop_ee_ce_u4_hw
 * m644p_swio12_lednop_ee_ce_hw      m644p_swio12_lednop_ee_ce_u4_hw   m644pa_swio11_lednop_ee_ce_hw
 * m644pa_swio11_lednop_ee_ce_u4_hw  m644pa_swio12_lednop_ee_ce_hw     m644pa_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio11_lednop_ee_ce_hw[] = {
  0xc7eeeeed14683d5b, 0xcb4b0c388eeb18ee, 0x667bb8bd048036dd, 0x3d88e1506e5db45d, 0x3938c48c2789c776,
  0x8c9dd67ceb7b5ab1, 0xdff958b3f8dd304f, 0x7718bf547bec7635, 0x22eb3879e790e76d, 0x83fea3e12fc43612,
  0x107be64c5c3ea83c, 0xd2bd479594b94ed6, 0xa62b287ea3e0d983, 0x6588a459a75a1140, 0xedce94752135f461,
  0xe74dda4447371cea, 0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e, 0x61cf566d7972ab52,
  0xeaece75152a8d767, 0x2a6b8101395daa5b, 0x57950a4ae5e97f44, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x6a5f9b6c6263b7b1, 0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x52514f257ee68665, 0x00000000000a029d,
};

/*
 * m644_swio11_dual_pr               m644_swio11_dual_pr_u4            m644_swio12_dual
 * m644_swio12_dual_pr               m644_swio12_dual_pr_u4            m644a_swio11_dual
 * m644a_swio11_dual_pr              m644a_swio11_dual_pr_u4           m644a_swio12_dual
 * m644a_swio12_dual_pr              m644a_swio12_dual_pr_u4           m644p_swio11_dual
 * m644p_swio11_dual_pr              m644p_swio11_dual_pr_u4           m644p_swio12_dual
 * m644p_swio12_dual_pr              m644p_swio12_dual_pr_u4           m644pa_swio11_dual
 * m644pa_swio11_dual_pr             m644pa_swio11_dual_pr_u4          m644pa_swio12_dual
 * m644pa_swio12_dual_pr             m644pa_swio12_dual_pr_u4
 */
static const uint64_t ur_m644_swio11_dual[] = {
  0xebeeeeed121a559b, 0x66a1ca115f61f081, 0xe5bab07e9e2f2b6a, 0xd6823e76805589d4, 0xb499f68a76e840f5,
  0x1ddc9c2f8ff9f799, 0x00948e6fcc13e327, 0x90b4df81b10e22c8, 0xca0253ba7c4a30a1, 0xb080c70a9537eefc,
  0x82481edf9bd4731f, 0x895fe7ef82285244, 0x672b7c4fae1f0a21, 0x32d08c910cab397a, 0xffd01cf09ad68a84,
  0x60b0de579096dca5, 0x965ae3b0a2ffffda, 0xc4903defd47ee8ef, 0x01541e67261ee921, 0x8033b2008d31398b,
  0xf1bea807fecc11d7, 0x2a4af9d40f2cf6de, 0xe5caad67f157ceee, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45,
  0x97a5fd10a9ae0404, 0x73daad115e54292b, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a,
  0x224c6e52d4bf36d8, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000524d015b5ed3c,
};

/*
 * m644_swio12_dual_pr_ee            m644a_swio11_dual_pr_ee           m644a_swio12_dual_pr_ee
 * m644p_swio11_dual_pr_ee           m644p_swio12_dual_pr_ee           m644pa_swio11_dual_pr_ee
 * m644pa_swio12_dual_pr_ee
 */
static const uint64_t ur_m644_swio11_dual_pr_ee[] = {
  0x667bbbba1eb432db, 0xcd43950d35f0f9ba, 0x8774eb00a46706d4, 0xd39eb201b9c58b50, 0xe255e35cdd9ba667,
  0x1c11560fc33ad9ba, 0x2c939827c64fd3b9, 0x7e06c4388b200252, 0x4ee9f128c28642d3, 0x70a1f9ba7ff32809,
  0xd9d37a8e70761d5e, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0xb4432ace5e99c548, 0xf0983dc54219682f,
  0x579096df4d7fd01c, 0xb02d7fffda60b0de, 0xe576ea6ab5a3fdc3, 0xbf51f06cc187bf51, 0x2cd3ad08a1df15e9,
  0xe6909afa30b2c452, 0x7a9cead2ec157152, 0xb5d0ebd44bb18f46, 0x848451a523886c6a, 0x11fadc37b2fa598b,
  0x8a9280591445546c, 0x7972ab59fc55f3bb, 0x52a8d76761cf566d, 0x395daa5beaece751, 0xe5e97f442a6b8101,
  0x5cf6ab4457950a4a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482, 0x7bc11b94b52fcdb6,
  0xa9d599bf83bb8d16, 0x197e627f2861539f, 0xe7bff8268fb61ee7, 0x1964b867a615c9f8, 0x866587494b670e27,
  0xb2204d7b4f257ee6, 0x0000000000000002,
};

/*
 * m644_swio12_dual_pr_ee_u4         m644a_swio11_dual_pr_ee_u4        m644a_swio12_dual_pr_ee_u4
 * m644p_swio11_dual_pr_ee_u4        m644p_swio12_dual_pr_ee_u4        m644pa_swio11_dual_pr_ee_u4
 * m644pa_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m644_swio11_dual_pr_ee_u4[] = {
  0x9c9dbbbbb4486f97, 0x4cd43950d47f0fd8, 0x5c775b13b28e3d39, 0x75333755a1d7087b, 0xa27f5d8d73776272,
  0xc9e08cebdc29d26b, 0x9075f4c13e325a2d, 0x9bf03621c4590012, 0x4a774f8946143216, 0x91c0e0cdd5ff9940,
  0x072ba6f51f676c23, 0xf9fbe08a14912092, 0x2413eb87c2886257, 0x47b4432ace5e99c5, 0x0e784d2245421968,
  0x6f2bc84b6fff3fe8, 0x61d84ebfffed3058, 0xa8f2bc09355ad1c0, 0x795bd47c1b307227, 0x148b34eb422877c5,
  0x20b9a426be8c2cb1, 0xa397c73ab4b9c35c, 0xd56ba1d7b589db6f, 0x170908a014463e58, 0xc645fadc37b2e3e3,
  0x6b3f8abe77715255, 0xecec39eacdaf2e55, 0x4b7d5d9cea2a551a, 0xe8854d7020272bb5, 0x688af2a1495cbd2f,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x7296a5f9b6c63156, 0x66fe0eee34591263,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x564c63af69e4afdc,
};

/*
 * m644_swio11_dual_pr_ce_u4         m644_swio12_dual_pr_ce            m644_swio12_dual_pr_ce_u4
 * m644a_swio11_dual_pr_ce           m644a_swio11_dual_pr_ce_u4        m644a_swio12_dual_pr_ce
 * m644a_swio12_dual_pr_ce_u4        m644p_swio11_dual_pr_ce           m644p_swio11_dual_pr_ce_u4
 * m644p_swio12_dual_pr_ce           m644p_swio12_dual_pr_ce_u4        m644pa_swio11_dual_pr_ce
 * m644pa_swio11_dual_pr_ce_u4       m644pa_swio12_dual_pr_ce          m644pa_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m644_swio11_dual_pr_ce[] = {
  0x233ddddda243359b, 0x4cd439e96b587e27, 0x85b75a71ba583e45, 0x35c702c75f3ed266, 0x540355f1ab762723,
  0x20b90f0cc2987cd7, 0x01291eb54c13e324, 0x2169bf03621c4590, 0x9404a774f8946143, 0x61a6ce115a61adf9,
  0x0490353d37a8fbef, 0x12bfcfdf0450a489, 0xce65409f5c3e1443, 0xcb436fa2195672f4, 0xff4073c263d62a10,
  0x0586f2bc84b6e63f, 0xac7b1d91cbfffed3, 0x0f3c79b9d8d68c5f, 0x7c25f886c2445d67, 0xcc98b8724aca8fd4,
  0xea384f9ee59d5ea5, 0x45dbf490e2481dad, 0x764011a627316029, 0xd500ffd99e3af006, 0x57cea0796b73de37,
  0x556b3f8abe777152, 0x1aecec39eacdaf2e, 0xb54b7d5d9cea2a55, 0x2fe8854d7020272b, 0xd5688af2a1495cbd,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d8c4c, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x0692042f5ed3c95f,
};

/*
 * m644_swio12_dual_pr_ee_ce         m644a_swio11_dual_pr_ee_ce        m644a_swio12_dual_pr_ee_ce
 * m644p_swio11_dual_pr_ee_ce        m644p_swio12_dual_pr_ee_ce        m644pa_swio11_dual_pr_ee_ce
 * m644pa_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m644_swio11_dual_pr_ee_ce[] = {
  0xb1dadddddd436f02, 0x53350e50968387ce, 0x9b4dd2c49c9d914e, 0x502f6503e421aafd, 0xd3c9af0bc8f9d63b,
  0xf87cd7bc98b36338, 0x1eb9827c64a33b93, 0xc0d8871164004a41, 0xdd3e251850c85a6f, 0x83fc9b107e650129,
  0x8fcdea3868d869a3, 0xef8228524482481d, 0x4fae1f0a21895fe7, 0xa2195672f4ce7538, 0x84ce962a10cb40a1,
  0x79096dfb07fe80e7, 0x5adffffda60b0de5, 0xeed6ec7f54781076, 0xc38224c03f9e3cdc, 0xae94ed6059ba673a,
  0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34, 0xcf539d5db9828ea4, 0xaf1b1d7a897631e8,
  0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0x272bb54b7d5d9cea, 0x5cbd2fe8854d7020, 0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0x8c4c76f62aa8b490, 0x58f386e52d4bf36d, 0x93f75666fe0eee34, 0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce,
  0x000982637af69e4a,
};

/*
 * m644_swio12_dual_pr_ee_ce_u4      m644a_swio11_dual_pr_ee_ce_u4     m644a_swio12_dual_pr_ee_ce_u4
 * m644p_swio11_dual_pr_ee_ce_u4     m644p_swio12_dual_pr_ee_ce_u4     m644pa_swio11_dual_pr_ee_ce_u4
 * m644pa_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio11_dual_pr_ee_ce_u4[] = {
  0xcb777768a87fb202, 0x350e0cccde1f2d49, 0xf75d6f3eceb1da53, 0xbaee6d07e6cdede4, 0x83e243a716a4e561,
  0x231eece0e557bebd, 0xc13e324dd5cbfadd, 0x871164004a458f5c, 0x251850c85a6fc0d8, 0x635bfccac049dd3e,
  0x51e006c0521c3f5e, 0x4292241240ed6e6f, 0xf8510c4aff3f7c11, 0x672f4ce3c0227d70, 0xa2a10cb436722195,
  0xdd90ffe80e784d95, 0x558a60b0de579096, 0x7ea8c6b0ecec1ffe, 0xe1e79f00cefb0631, 0x8f84bf10d8488bac,
  0x993170f1f75c95fa, 0x1e572ba53b58426e, 0xfbf51f06cc1edff5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x8c7a33d4e7576e60, 0x86c6abc6c75ea25d, 0xa598b848451a5238, 0x2aa3608991c37b2f, 0xaf9ddc5494b3c8a2,
  0x7ab36bcb955acfe2, 0x673a8a9546bb3b0e, 0x5c0809caed52df57, 0xa852572f4bfa2153, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x7f1a2c8931b94b52, 0x1539fa9d599bf834,
  0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x41a792bf734332c3,
  0x00000001001cbf0e,
};

/*
 * m644_swio12_dual_ee_hw            m644a_swio11_dual_ee_hw           m644a_swio12_dual_ee_hw
 * m644p_swio11_dual_ee_hw           m644p_swio12_dual_ee_hw           m644pa_swio11_dual_ee_hw
 * m644pa_swio12_dual_ee_hw
 */
static const uint64_t ur_m644_swio11_dual_ee_hw[] = {
  0xccf777768a34359b, 0x9a872a1a6be1f374, 0x0ee9d60148ce0da9, 0xa73d6403738b16a1, 0xc4abc6b9bb374ccf,
  0x21e198535aebb375, 0x45927304f8c9fa77, 0x6fc0d8871164004a, 0x19dd3e251850c85a, 0xce143f374ffe6574,
  0x7b3a6f51ce0ec3ab, 0x9fbe08a149120920, 0x113eb87c2886257f, 0xf6886559cbd338a9, 0x9e1307b8a8432d05,
  0xcaf212dbe9affa03, 0x605affe43fcc161b, 0xcaedd4d56b47fb87, 0x7ea3e0d9830f7ea3, 0x59a75a1143be2bd3,
  0xcd2135f4616588a4, 0xf539d5a5d82ae2a5, 0x6ba1d7a897631e8c, 0x0908a34a4710d8d5, 0x23f5b86f65f4b317,
  0x152500b2288aa8d8, 0xf2e556b3f8abe777, 0xa551aecec39eacda, 0x72bb54b7d5d9cea2, 0xcbd2fe8854d70202,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905, 0x09c637296a5f9b6c,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x002bb522ed514f25,
};

/*
 * m644_swio11_dual_ee_ce_u4_hw      m644_swio12_dual_ee_ce_hw         m644_swio12_dual_ee_ce_u4_hw
 * m644a_swio11_dual_ee_ce_hw        m644a_swio11_dual_ee_ce_u4_hw     m644a_swio12_dual_ee_ce_hw
 * m644a_swio12_dual_ee_ce_u4_hw     m644p_swio11_dual_ee_ce_hw        m644p_swio11_dual_ee_ce_u4_hw
 * m644p_swio12_dual_ee_ce_hw        m644p_swio12_dual_ee_ce_u4_hw     m644pa_swio11_dual_ee_ce_hw
 * m644pa_swio11_dual_ee_ce_u4_hw    m644pa_swio12_dual_ee_ce_hw       m644pa_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio11_dual_ee_ce_hw[] = {
  0x72ddddda28d19231, 0xcd4383333787cb52, 0x3dd75bcfb3ac7694, 0x6ebb9b41f9b37b79, 0x60f890e9c5a93958,
  0xc334eb76b555efaf, 0xae609f1926eae5ff, 0x6c4388b2002522c7, 0x9f128c28642d37e0, 0xd798d6ff32ba0cee,
  0x9bd47801b014870f, 0x0450a48904903b5b, 0x5c3e144312bfcfdf, 0x6559cbd338f0089f, 0x6568a8432d0d9c88,
  0x25b7643ffa039e13, 0xffc87f982c3795e4, 0xc62fd518d61d9d83, 0xbace1e79e439df60, 0x7fa8f84bf10d8488,
  0x26e993170e30bbb7, 0xff51e572ba53b584, 0x15efbf51f06cc1ed, 0xc4522cd3ad08a053, 0xe60a3a909afa30b2,
  0x25d8c7a33d4e7576, 0x23886c6abc6c75ea, 0xb2fa598b848451a5, 0x8a22aa3608991c37, 0xfe2af9ddc5494b3c,
  0xb0e7ab36bcb955ac, 0xf57673a8a9546bb3, 0x1535c0809caed52d, 0x2bca852572f4bfa2, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb52fcdb63131dbd8, 0x861539fa84e31b94, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xe428a792bf734332, 0x00000000001d750e,
};

/*
 * m644_swio13_noled_pr              m644a_swio13_noled                m644a_swio13_noled_pr
 * m644p_swio13_noled                m644p_swio13_noled_pr             m644pa_swio13_noled
 * m644pa_swio13_noled_pr
 */
static const uint64_t ur_m644_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x0b23c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa41d9b7ffd61de7c, 0x40f9ef51e213be5b, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0x61cf566d7972ab52, 0x9bece75152a8d767, 0x10a9ace576a96faa, 0x457950a4ab57bd7d,
  0x53e9de7eb5cf6ab4, 0x5a585cea75380b29, 0x1bc674408bf71408, 0xce1b94b52fcdb4e3, 0x75663c81a3f8d163,
  0xe32c970cf4c2b93f, 0xd0ccb0e9296ce1c4, 0xe40024cc59e4afdc, 0x0000000000000003,
};

// m644a_swio13_noled_pr_u4          m644p_swio13_noled_pr_u4          m644pa_swio13_noled_pr_u4
static const uint64_t ur_m644_swio13_noled_pr_u4[] = {
  0x656eeeeed121b562, 0xad72d2c42b0dbac1, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426e965,
  0xc13e32777e9c1b24, 0x3b0caffd85f3efe4, 0xd07a8f2f8ef9683e, 0xa68f7a5524389207, 0xa2147bd9cc580b2c,
  0xa01ffb30475e8f9d, 0xf5b81e59ed88a4d2, 0xd873d59b5e5caad5, 0xa6fb39d454aa35d9, 0x442a6b395daa5bea,
  0x115e54292ad5ef5f, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xdca5a97e6d8c9156,
  0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0x93a9c5ebda792bf7, 0x000000000000000f,
};

/*
 * m644_swio13_noled_pr_ee_u4        m644a_swio13_noled_pr_ee          m644a_swio13_noled_pr_ee_u4
 * m644p_swio13_noled_pr_ee          m644p_swio13_noled_pr_ee_u4       m644pa_swio13_noled_pr_ee
 * m644pa_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m644_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1219541, 0xdab96963d4e85d63, 0x4f5a2ee8db623e24, 0x2de4531d7c33c5ef, 0x7545a0ab4114889e,
  0x7c64ee80a498b04e, 0x15bff617cf93a982, 0x594b9aad68dfc1d9, 0xd47c1b30613fd479, 0x34eb422877c5650f,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0x35d9d873d59b5e5c, 0x5beaa6fb39d454aa, 0xef5f442a6b395daa, 0xdaad115e54292ad5,
  0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x9156f62aa8b4b689, 0x4498dca5a97e6d8c, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0004ebe662ebda79,
};

/*
 * m644_swio13_noled_pr_ce_u4        m644a_swio13_noled_pr_ce          m644a_swio13_noled_pr_ce_u4
 * m644p_swio13_noled_pr_ce          m644p_swio13_noled_pr_ce_u4       m644pa_swio13_noled_pr_ce
 * m644pa_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m644_swio13_noled_pr_ce[] = {
  0xefdddddda2431768, 0x3972d2c083033ac6, 0x7e8d3dde3f427af4, 0x7f891b479190243c, 0x947b433376d4f777,
  0x9827c64ee9ba3b46, 0x1d9813ff617cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0xc6921c490327bd47, 0x428f7b398b014ca9, 0x03ff6678ebd1f3b4, 0xadc0f2d6e1149a54,
  0xc39eacdaf2e556af, 0x37d9cea2a551aece, 0x215359caed52df55, 0x8af2a14956af7afa, 0x69de7c5aeb9ed568,
  0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0xca5a97e6d8c863b7, 0x9bf83bb8d164498d, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x731c4ebda792bf73,
  0x00000000000000dd,
};

/*
 * m644_swio13_noled_pr_ee_ce_u4     m644a_swio13_noled_pr_ee_ce       m644a_swio13_noled_pr_ee_ce_u4
 * m644p_swio13_noled_pr_ee_ce       m644p_swio13_noled_pr_ee_ce_u4    m644pa_swio13_noled_pr_ee_ce
 * m644pa_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio13_noled_pr_ee_ce[] = {
  0xd3dddddda243173e, 0xb772d2c30e5c1ac3, 0x176c4ee8335a200d, 0x9d8f622484715835, 0xf2723b5c6309e25e,
  0x8c9ddcfb402d3913, 0x0ffd85f3e87d304f, 0x4118bf5476e87662, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114, 0xaedc958752135f46,
  0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991, 0xd873d59b5e5caad4,
  0xa6fb39d454aa35d9, 0x442a6b395daa5bea, 0x115e54292ad5ef5f, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xb94b52fcdb190c76, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x7e1ea8d7b4f257ee, 0x0000000000000002,
};

// m644a_swio13_noled_ee_hw          m644p_swio13_noled_ee_hw          m644pa_swio13_noled_ee_hw
static const uint64_t ur_m644_swio13_noled_ee_hw[] = {
  0x2f7777768a341768, 0xd5cb4b1ea742eb1e, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a444f1,
  0x27c64ee9ba3b5a3d, 0xc8adfe562cf93a98, 0xcaca5cd56b46fe0e, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0x51aecec39eacdaf2, 0x52df5537d9cea2a5, 0xaf7afa215359caed, 0x9ed5688af2a14956,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x648ab7b15545a5b4, 0xa138c6e52d4bf36c, 0xfef0f7bca1854e7e,
  0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0000b7f559ba29e4,
};

/*
 * m644_swio13_noled_ee_ce_u4_hw     m644a_swio13_noled_ee_ce_hw       m644a_swio13_noled_ee_ce_u4_hw
 * m644p_swio13_noled_ee_ce_hw       m644p_swio13_noled_ee_ce_u4_hw    m644pa_swio13_noled_ee_ce_hw
 * m644pa_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio13_noled_ee_ce_hw[] = {
  0x3dddddda28d0ac4f, 0x772d2c30e5c1ac3d, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e25e9,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476e8766, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x761cf566d7972ab5,
  0xa9bece75152a8d76, 0xd10a9ace576a96fa, 0x4457950a4ab57bd7, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0x6e52d4bf36c6431d, 0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x089164a29e4afdcd, 0x0000000000000028,
};

// m644a_swio13_lednop               m644p_swio13_lednop               m644pa_swio13_lednop
static const uint64_t ur_m644_swio13_lednop[] = {
  0x02cb77777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd0b2,
  0x7304f8c9ddb1ec86, 0x83b3baff58779f8f, 0x1f3dea3cdc77cb74, 0xf74c654e3490e248, 0x3b3de8ed6398b016,
  0xc11771cb1823af17, 0x873d59b5e5caad4a, 0x6fb39d454aa35d9d, 0xb8101395daa5beaa, 0xa852572497f442a6,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7e6da05455bd8aaa, 0xc2b93f3fb0dca5a9,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000002a497f4cc59,
};

/*
 * m644_swio13_lednop_pr_u4          m644a_swio13_lednop_pr            m644a_swio13_lednop_pr_u4
 * m644p_swio13_lednop_pr            m644p_swio13_lednop_pr_u4         m644pa_swio13_lednop_pr
 * m644pa_swio13_lednop_pr_u4
 */
static const uint64_t ur_m644_swio13_lednop_pr[] = {
  0xcadddddda2432aac, 0x5ae5a58856a87582, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6e965,
  0x609f193bbe451db2, 0x7618fffd85f3f52a, 0xd07a8fa51df2d07c, 0x4d01827d24389207, 0x2f88e32398b01659,
  0x403ff6608ebd1f3b, 0x0e40f2cf6c6fdc35, 0xc39eacdaf2e556b7, 0x37d9cea2a551aece, 0x5c0809caed52df55,
  0x54292b924bfa2153, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xbf36d02a2adec555,
  0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0x35ed3c95fb9a1996, 0x0000000007c9899a,
};

/*
 * m644_swio13_lednop_pr_ee_u4       m644a_swio13_lednop_pr_ee         m644a_swio13_lednop_pr_ee_u4
 * m644p_swio13_lednop_pr_ee         m644p_swio13_lednop_pr_ee_u4      m644pa_swio13_lednop_pr_ee
 * m644pa_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_swio13_lednop_pr_ee[] = {
  0xe2f777776890c582, 0x36ae5a58f53082b1, 0xf0ad5c7ba5c46789, 0x3c5bc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x61c1ffd85f3f43f3, 0xe56a7a6ab5a37f07, 0x4f51f06cc184ff51, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0x546bb3b0e7ab36bc, 0x54b7d54df673a8a9, 0xfe8854d7020272bb, 0xab4457950a4ae492,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x1b94b52fcdb40a8a, 0xb337f07771a2c893,
  0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x9d7fcd3d7b4f257e,
};

/*
 * m644_swio13_lednop_pr_ce_u4       m644a_swio13_lednop_pr_ce         m644a_swio13_lednop_pr_ce_u4
 * m644p_swio13_lednop_pr_ce         m644p_swio13_lednop_pr_ce_u4      m644pa_swio13_lednop_pr_ce
 * m644pa_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_swio13_lednop_pr_ce[] = {
  0x77eeeeeed121b768, 0x1cb96960418fdd63, 0x7ed05dd623e2fd7a, 0xff12368f20336401, 0x4ce2a16d2ec9eeee,
  0x304f8c9dd764af8c, 0x3b37dffec2f9f8ad, 0x79b9ddba8c5fac88, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0xd6921c490327bd47, 0xf11c6473160298f3, 0x07feccf1d7a3e765, 0x720796b70dfb86a8,
  0x1cf566d7972ab5b8, 0xbece75152a8d7676, 0xe0404e576a96faa9, 0xa1495c925fd10a9a, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5ed3c95fb9a19961,
  0x00000000375cc113,
};

/*
 * m644_swio13_lednop_pr_ee_ce_u4    m644a_swio13_lednop_pr_ee_ce      m644a_swio13_lednop_pr_ee_ce_u4
 * m644p_swio13_lednop_pr_ee_ce      m644p_swio13_lednop_pr_ee_ce_u4   m644pa_swio13_lednop_pr_ee_ce
 * m644pa_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio13_lednop_pr_ee_ce[] = {
  0xd3dddddda2431bc1, 0xb772d2c30e44eac3, 0x7f4376e9bb64200d, 0x9d8f622485c18e24, 0xe05991a66309e25e,
  0xc64ee8eba6bb62ee, 0x07fec2f9ffd79827, 0x008c5faa3b743b20, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46,
  0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0xec39eacdaf2e556a,
  0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x97e6da0518edec55, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xb6bda792bf734332, 0x000000000013f026,
};

// m644a_swio13_lednop_ee_hw         m644p_swio13_lednop_ee_hw         m644pa_swio13_lednop_ee_hw
static const uint64_t ur_m644_swio13_lednop_ee_hw[] = {
  0x17bbbbbb451a3768, 0xb572d2c7a984158f, 0x856ae3dd2e233c49, 0xe2de4531d7d0b867, 0x7111fb226c114889,
  0x304f8c9dd764afb6, 0x3b0e0ff958b3f43f, 0x8f2b53d355ad1bf8, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x4aa35d9d873d59b5, 0xdaa5beaa6fb39d45, 0x97f442a6b8101395, 0xb55a22bca8525724,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x18dca5a97e6da054, 0x1ef79430a9cfd427,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x0b7fa095453c95fb,
};

/*
 * m644_swio13_lednop_ee_ce_u4_hw    m644a_swio13_lednop_ee_ce_hw      m644a_swio13_lednop_ee_ce_u4_hw
 * m644p_swio13_lednop_ee_ce_hw      m644p_swio13_lednop_ee_ce_u4_hw   m644pa_swio13_lednop_ee_ce_hw
 * m644pa_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio13_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683375, 0xbb9696187227561e, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f12f4,
  0x4f8c9dd2c55adb9d, 0x2007f958b3ffaf30, 0xdc008c5faa3b743b, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0xb3b0e7ab36bcb955,
  0xd54df673a8a9546b, 0x54d7020272bb54b7, 0x57950a4ae492fe88, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x6a5f9b681463b7b1, 0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x62d14f257ee68665, 0x00000000001405f6,
};

/*
 * m644_swio13_dual_pr               m644_swio13_dual_pr_u4            m644a_swio13_dual
 * m644a_swio13_dual_pr              m644a_swio13_dual_pr_u4           m644p_swio13_dual
 * m644p_swio13_dual_pr              m644p_swio13_dual_pr_u4           m644pa_swio13_dual
 * m644pa_swio13_dual_pr             m644pa_swio13_dual_pr_u4
 */
static const uint64_t ur_m644_swio13_dual[] = {
  0x17777776890d7f41, 0xd4cd439424e2c3f5, 0xa10f77a7189c5e56, 0xebad06947b362817, 0xd5ce76ca295bb515,
  0x4e3bb97b8ccd957f, 0x90012906019827c6, 0x432169bf03621c45, 0xf99404a774f89461, 0x3f61018e152a6fdd,
  0x8904903dbf37a8e6, 0x4312bfcfdf0450a4, 0xf4ce35d89f5c3e14, 0x0865a11922195672, 0x43ffa039e135ad15,
  0xb4c161bcaf212db9, 0xef967bc767eeffff, 0x871240e0ffa8fb7c, 0x2c05507992b47ba4, 0x5e00ceda523884e6,
  0xa63192a01ffb3047, 0xee2a4b81281e59ed, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x95daa5beaa6fb39d,
  0x2497f442a6b81013, 0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414,
  0x4498dca5a97e6da0, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000524d6b56bda79,
};

// m644a_swio13_dual_pr_ee           m644p_swio13_dual_pr_ee           m644pa_swio13_dual_pr_ee
static const uint64_t ur_m644_swio13_dual_pr_ee[] = {
  0x3b7777743d686f97, 0xd4cd43950fbbc3e5, 0xd26f755f36246706, 0xcfa734e44faafebb, 0x2bbf7ec6b9bb29cc,
  0xe4f04674338a7593, 0x48ee3e609f193f4e, 0x4df81b10e22c8009, 0x253ba7c4a30a190b, 0x79c287e6e9ffcca0,
  0x0f674dea39c1d875, 0xf3f7c11429224124, 0x8627d70f8510c4af, 0xbed10cab397a672e, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0x3b3a7ffffed30586, 0x1e57a6e6ab5a3726, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x95daa5beaa6fb39d, 0x2497f442a6b81013,
  0xe7b55a22bca85257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414, 0xde08dca5a97e6da0,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0x3dffc1347db0f738, 0xcb25c33d30ae4fc7, 0x332c3a4a5b387138,
  0x47adebda792bf734, 0x0000000000000056,
};

// m644a_swio13_dual_pr_ee_u4        m644p_swio13_dual_pr_ee_u4        m644pa_swio13_dual_pr_ee_u4
static const uint64_t ur_m644_swio13_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0x7299a872a1a01c3f, 0x6d77eea0a7ad1c7a, 0x2753329d73a8bcb5, 0xbb0b27d8d737702f,
  0x5b9347d4ead05bb3, 0x25222319827c64b4, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x472381c19babff32,
  0x240e574dea3eced8, 0xaff3f7c114292241, 0x011227d70f8510c4, 0xa11ed10cab397a67, 0xa039e13489150865,
  0xc3795e425b7ddaff, 0xfb1d9d5fffff6982, 0x7a8f2bcad355ad1a, 0x572bbd47c1b307dd, 0x1148b34eb422877c,
  0xc20b9a426be8c2cb, 0x291ce273ab4b9755, 0x6355ae875ed62763, 0x3170908a25f235af, 0xae07cfadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0x6faa9bece75152a8, 0x10a9ae0404e576a9, 0x88af2a1495c925fd,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x296a5f9b6815156f, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0x645d9af69e4afdcd, 0x0000000000000005,
};

/*
 * m644_swio13_dual_pr_ce_u4         m644a_swio13_dual_pr_ce           m644a_swio13_dual_pr_ce_u4
 * m644p_swio13_dual_pr_ce           m644p_swio13_dual_pr_ce_u4        m644pa_swio13_dual_pr_ce
 * m644pa_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m644_swio13_dual_pr_ce[] = {
  0x276eeeeed121a5fb, 0x153350e7a5b9d87f, 0xd4d7ddb0c53960f9, 0x66b8d99d179579ce, 0xb113d47d9f6ee4e4,
  0x2105ca591aea0f8a, 0x800948b92a609f19, 0x190b4df81b10e22c, 0xcca0253ba7c4a30a, 0x7b0d36708ad30d6f,
  0x482481a9e9bd47df, 0x1895fe7ef8228524, 0x4ce747c4fae1f0a2, 0x0cb436fa2195672f, 0xfff4073c263d62a1,
  0x30586f2bc84b6f63, 0xfa98f1d835bfffed, 0x70f3c79b9d9c18c5, 0x47c25f886c2445d6, 0xb993170ece5d1ffd,
  0xbea3c893dcb3abd4, 0x7f7195490e248188, 0x33b6948e21398b01, 0x64a807feccf1d780, 0xa4b81281e5adc98c,
  0x5caad67f157ceee2, 0xaa35d9d873d59b5e, 0xaa5beaa6fb39d454, 0x7f442a6b8101395d, 0x55a22bca85257249,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb40a31, 0xb337f07771a2c893,
  0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x0d24e9ed7b4f257e,
};

// m644a_swio13_dual_pr_ee_ce        m644p_swio13_dual_pr_ee_ce        m644pa_swio13_dual_pr_ee_ce
static const uint64_t ur_m644_swio13_dual_pr_ee_ce[] = {
  0xabeddddddd431f02, 0x9ca66a1ca132270f, 0xf6c1377aec21bb22, 0x76a05a4c70b26d47, 0xeb8fceee1791f57c,
  0xe4a31166dc86614b, 0x91e7ae609f1928ce, 0x9bf03621c4590012, 0x4a774f8946143216, 0x68e0ff26c41f9940,
  0x0763f37a8e1a361a, 0xf9fbe08a14912092, 0xbb13eb87c2886257, 0x50d10cab397a671d, 0x73c2674b150865a0,
  0xf2bc84b6e6b7ff40, 0x1d9883fffed30586, 0x9b9de20b1fd51e56, 0xe7587e6faa47f3c7, 0x2bdf729dac0b374c,
  0xbd47c1b306657a8f, 0xb34eb422814c576e, 0xea426be8c2cb1148, 0xf88fa839d5db94f0, 0x58d578d8ebd44bb3,
  0xb3170908a0f547f2, 0x546c1132386f65f4, 0xf9ddc5494b31f37b, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7,
  0x0272bb54b7d54df6, 0x4ae492fe8854d702, 0xd75cf6ab4457950a, 0x482e52d7ce80f1ca, 0x829c6378ce881085,
  0x681463b7b15545a4, 0xa2c79c37296a5f9b, 0x5c9fbab337f07771, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x000098269cd7b4f2,
};

// m644a_swio13_dual_pr_ee_ce_u4     m644p_swio13_dual_pr_ee_ce_u4     m644pa_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m644_swio13_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fa812, 0xa66a1c19f57c3f1a, 0xe43ddad1579d63b4, 0x5864fbb0419cc99a, 0x5edc2c90e9d1a939,
  0xbf072d657f685c59, 0x0cc13e324dd5c83e, 0xd8871164004a453f, 0x3e251850c85a6fc0, 0x5e635bfccac049dd,
  0x6f51e006c0521c3f, 0x114292241240ed6e, 0x70f8510c4aff3f7c, 0x95672f4ce1d7c27d, 0x95a2a10cb4367221,
  0x96dee47fe80e784d, 0xfe558a60b0de5790, 0x317ea8ce08ec35bf, 0xace1e79f00cecd6e, 0xfa8f84bf10d8488b,
  0x6e993170feb53c03, 0xf51e57bee53b5842, 0xaedd7a8f83660cca, 0x2291669d68450298, 0x29e1d484d7d18596,
  0x9767f11f5073abb7, 0x8fe4b1aaf1b1d7a8, 0xcbe9662e121141ea, 0xe6f6a8d8226470de, 0xfc55f3bb8a929663,
  0x61cf566d7972ab59, 0x9bece75152a8d767, 0xae0404e576a96faa, 0x2a1495c925fd10a9, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0x1fc68b224c6e52d4, 0x854e7ea75666fe0d,
  0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x9069e4afdcd0ccb0,
  0x0000000020018f27,
};

// m644a_swio13_dual_ee_hw           m644p_swio13_dual_ee_hw           m644pa_swio13_dual_ee_hw
static const uint64_t ur_m644_swio13_dual_ee_hw[] = {
  0x9dbbbbbb451a25fb, 0x6a66a1ca87dde1f2, 0xe937baaf9b123383, 0x67d39a7227d57f5d, 0x95dfbf635cdd94e6,
  0x4ee52c8d75d2acc9, 0x0948ee3e609f193f, 0x0b4df81b10e22c80, 0xae833ba7c4a30a19, 0x7579c287e6e9ffcc,
  0x240f674dea39c1d8, 0xaff3f7c114292241, 0x2e8627d70f8510c4, 0xa0bed10cab397a67, 0x4073c260f7150865,
  0x86f2bc84b6f3b7ff, 0x63b3a7fff90ff305, 0x51e57a6e6ab5a372, 0xecef51f06cc1c7bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x47d41cead2ea7971, 0x355ae875ea25d9fc, 0xc5c242283d51fc96, 0x3608fd6e1bd97d2c,
  0xeee2a4a010f9bdaa, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x395daa5beaa6fb39, 0x72497f442a6b8101,
  0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0x42718dca5a97e6da,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x000aed6cf27453c9,
};

/*
 * m644_swio13_dual_ee_ce_u4_hw      m644a_swio13_dual_ee_ce_hw        m644a_swio13_dual_ee_ce_u4_hw
 * m644p_swio13_dual_ee_ce_hw        m644p_swio13_dual_ee_ce_u4_hw     m644pa_swio13_dual_ee_ce_hw
 * m644pa_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio13_dual_ee_ce_hw[] = {
  0xadddddda28d08f43, 0x299a87067d5f0fc6, 0xb90f76b455e758ed, 0x56193eec10673266, 0x57b70b243a746a4e,
  0xbc4fdad5b538d716, 0x53f0cc13e324dd5c, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe1faf31adfe65741,
  0x6b737a8f00360290, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0x910cab397a670ebe, 0xc26cad150865a1b3,
  0xbc84b6f723ff4073, 0xd6fff90ff30586f2, 0x35b8c5faa33823b0, 0x911759c3cf3c873b, 0x2e0bf51f097e21b0,
  0xac21374c98b87ea7, 0x06657a8f2bdf729d, 0x814c576ebd47c1b3, 0xc2cb1148b34eb422, 0xd5db94f0ea426be8,
  0xebd44bb3f88fa839, 0xa0f547f258d578d8, 0x386f65f4b3170908, 0x4b31f37b546c1132, 0x55acfe2af9ddc549,
  0x6bb3b0e7ab36bcb9, 0xb7d54df673a8a954, 0x8854d7020272bb54, 0x4457950a4ae492fe, 0xce80f1cad75cf6ab,
  0xce881085482e52d7, 0xb15545a4829c6378, 0x296a5f9b681463b7, 0xe50c2a73f509c637, 0x7f197e627ff787bd,
  0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0x6dbad14f257ee686, 0x0000000000003aea,
};

/*
 * m644_swio14_noled_pr              m644a_swio14_noled                m644a_swio14_noled_pr
 * m644p_swio14_noled                m644p_swio14_noled_pr             m644pa_swio14_noled
 * m644pa_swio14_noled_pr
 */
static const uint64_t ur_m644_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdbe97752267ba0c9, 0x40783309a93783ea, 0x31641d78d7d9fba4,
  0xb9827c64ee82f413, 0x01d9dd7fac3bcfc7, 0x1d7ff51d313be5ba, 0xf74c800f9490e248, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x0e7ab36bcb955a95, 0xf5673a8a9546bb3b, 0x8854d674dcaed52d, 0xa22bca85256c7efe,
  0x4a9f4ef3f5ae7b55, 0x42d2c2e753a9c059, 0x18de33a2047978a0, 0x1e70dca5a97e6da7, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0xe6866587494b670e, 0x3e40922662cf257e,
};

// m644a_swio14_noled_pr_u4          m644p_swio14_noled_pr_u4          m644pa_swio14_noled_pr_u4
static const uint64_t ur_m644_swio14_noled_pr_u4[] = {
  0x526eeeeed121bf82, 0xd6b9696215b6dd63, 0x7b98eea1c489910c, 0x111e42e27d2f1f32, 0xa0dd43801e4ddd49,
  0xc13e3277571891c2, 0xecdbfffb0be7cc7c, 0x4d7a8e0a1df2dbd8, 0xa60f680524389206, 0x93146229cc580b2c,
  0xa01ffb30475e8f9d, 0x08981e59eddac4f2, 0xd873d59b5e5caad5, 0x6fab39d454aa35d9, 0xf442a6b3a6e576a9,
  0xad115e54292b63f7, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0xc6e52d4bf36d8431,
  0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x7c9a69f35ed3c95f,
};

/*
 * m644_swio14_noled_pr_ee_u4        m644a_swio14_noled_pr_ee          m644a_swio14_noled_pr_ee_u4
 * m644p_swio14_noled_pr_ee          m644p_swio14_noled_pr_ee_u4       m644pa_swio14_noled_pr_ee
 * m644pa_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m644_swio14_noled_pr_ee[] = {
  0x426eeeeed121b705, 0x6d5cb4b1ea634eb1, 0x77b647776dbaff12, 0x08f2299c7cfd833c, 0x4c081eb920452225,
  0x4f8c9ddb0db2b92a, 0x3677fec2f9f38330, 0x565d66ab5a331e3b, 0xfa8f83660fa8f51e, 0x669d68450ef8aca5,
  0x3484d7d185962291, 0xe439d5a5dc9ae359, 0xb5d0ebce9bb1ea8f, 0x84845110a3deec6a, 0x08fd6e1bd96cb98b,
  0xe556a01741cf2a36, 0x51aecec39eacdaf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa215359d37, 0xeb9ed5688af2a149,
  0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x6c218ab7b15545a5, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000013aef927af6,
};

/*
 * m644_swio14_noled_pr_ce_u4        m644a_swio14_noled_pr_ce          m644a_swio14_noled_pr_ce_u4
 * m644p_swio14_noled_pr_ce          m644p_swio14_noled_pr_ce_u4       m644pa_swio14_noled_pr_ce
 * m644pa_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m644_swio14_noled_pr_ce[] = {
  0x07dddddda2432493, 0x3972d2c08315bac7, 0x1eb4bdd1aef27af4, 0x7f12369b3d04c2aa, 0xf9da3f78bec7eef0,
  0x304f8c9dd0dc8288, 0x3b14f7fec2f9fdf7, 0xf373bc0918bf509e, 0xf10d8488bace1e78, 0x70f30ccf9fa8f84b,
  0xbe4f72ceafac9931, 0xea4871240d67fa8e, 0x28c45398b0176fcb, 0x3ff6678ebd1f3b26, 0x4c0f2d6eb589e540,
  0x39eacdaf2e556a84, 0xd59cea2a551aecec, 0x215359d372bb54b7, 0x88af2a1495b1fbfa, 0x869de7c5aeb9ed56,
  0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xe52d4bf36d84263b, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x5cfd6f5ed3c95fb9,
  0x0000000000000037,
};

/*
 * m644_swio14_noled_pr_ee_ce_u4     m644a_swio14_noled_pr_ee_ce       m644a_swio14_noled_pr_ee_ce_u4
 * m644p_swio14_noled_pr_ee_ce       m644p_swio14_noled_pr_ee_ce_u4    m644pa_swio14_noled_pr_ee_ce
 * m644pa_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio14_noled_pr_ee_ce[] = {
  0x53dddddda243304a, 0xb772d2c30e41bac3, 0x834c8ee95b24200d, 0x4ec7b11c2a5df250, 0x3139199a5184f12d,
  0xc64eed8ba8fbd640, 0x6fff617cfc009827, 0x5b8c5faa3df63b2d, 0x88bace1e78f373bb, 0xc2ffa8f84bf10d84,
  0x841ef993170eaeb8, 0xf4af51e5721e53b5, 0x298ace1fa8f83660, 0x5962291669d68450, 0xbb73931d484d7d18,
  0x79d3763d51fc873a, 0x4428f7bb1aaf1b1d, 0x86f65b2e62e12114, 0xb3e839e546c11323, 0xd873d59b5e5caad4,
  0x6fab39d454aa35d9, 0xf442a6b3a6e576a9, 0xad115e54292b63f7, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0x8dca5a97e6db084c, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x27e4c5f6bda792bf,
};

// m644a_swio14_noled_ee_hw          m644p_swio14_noled_ee_hw          m644pa_swio14_noled_ee_hw
static const uint64_t ur_m644_swio14_noled_ee_hw[] = {
  0x137777768a342493, 0x6ae5a58f531a758a, 0xbdb23bbb6dd7f893, 0x47914ce3e7ec19e3, 0xd040f5c902291128,
  0x04f8c9dd0dc82b4e, 0xd9b3bfcac59f3833, 0xf2b2eb355ad198f1, 0x2fd47c1b307d47a8, 0x8b34eb422877c565,
  0xc9a426be8c2cb114, 0x7f21cead2ee4d71a, 0x55ae875e74dd8f54, 0x5c242288851ef763, 0xb047eb70decb65cc,
  0x972ab500ba0e7951, 0x2a8d76761cf566d7, 0xb95daa5beace7515, 0x4ad8fdfd10a9ace9, 0xd75cf6ab4457950a,
  0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0xdb610c55bd8aaa2d, 0x9fa84e31b94b52fc, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000002dfe176a8a,
};

/*
 * m644_swio14_noled_ee_ce_u4_hw     m644a_swio14_noled_ee_ce_hw       m644a_swio14_noled_ee_ce_u4_hw
 * m644p_swio14_noled_ee_ce_hw       m644p_swio14_noled_ee_ce_u4_hw    m644pa_swio14_noled_ee_ce_hw
 * m644pa_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio14_noled_ee_ce_hw[] = {
  0x9eeeeeed146807e1, 0xbb969618720dd61a, 0x1a64774ad921006d, 0x763d88e152ef9284, 0x89c8ccd28c27896a,
  0x7c64ee843dfbd1d7, 0x6b7fe562cfc00982, 0xdadc62fd51efb1d9, 0x488bace1e79e439d, 0x8001fa8f84bf10d8,
  0xd6107be64c5c3f75, 0x83d2bd4795c8794e, 0x40a62b387ea3e0d9, 0x616588a459a75a11, 0xeaedce4c752135f4,
  0x75e74dd8f547f21c, 0x5110a3deec6abc6c, 0x8e1bd96cb98b8484, 0x52cfa0e7951b044c, 0x6761cf566d7972ab,
  0xa5beace75152a8d7, 0xdfd10a9ace9b95da, 0x6ab4457950a4ad8f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8,
  0x31dbd8aaa2d2da27, 0xc637296a5f9b6c21, 0x87bde50c2a73f509, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f,
  0x271964b867a617c6, 0xe6866587494b670e, 0x0a022725514f257e,
};

// m644a_swio14_lednop               m644p_swio14_lednop               m644pa_swio14_lednop
static const uint64_t ur_m644_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x90eee5a588561958, 0x89da87bbe17a0a0c, 0x01e0cc26a475f5a7, 0x9ac8401b6d22ee91,
  0x3dcc13e3277417a0, 0xd00ec913fd61de7c, 0x40ebffa8ebe1df2d, 0xdee9b6fcbea48712, 0x9d96ba3b86731602,
  0x65adb8e58c11d78b, 0xc39eacdaf2e556a5, 0x7d59cea2a551aece, 0x35c0809d372bb54b, 0xf2a1495cbec7a215,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0xa5f9b6c63156f62a, 0xd30ae4fcfec37296,
  0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x00000002a4fad331,
};

/*
 * m644_swio14_lednop_pr_u4          m644a_swio14_lednop_pr            m644a_swio14_lednop_pr_u4
 * m644p_swio14_lednop_pr            m644p_swio14_lednop_pr_u4         m644pa_swio14_lednop_pr
 * m644pa_swio14_lednop_pr_u4
 */
static const uint64_t ur_m644_swio14_lednop_pr[] = {
  0x6a4dddddda243762, 0x9ad72d2c42b171ac, 0x2ed8fddf5fe17221, 0x444790b89db7e952, 0x11dc2ff1fe2f7752,
  0xc13e3277699a3341, 0xec8f7ffb0be7d7dc, 0x4d7a8e801df2dbd8, 0x533f9d4524389206, 0xb244637ce62c0596,
  0xa01ffb30475e8f9d, 0xbb503cb3db83fd22, 0xb0e7ab36bcb955ac, 0xdf5673a8a9546bb3, 0x4d7020274dcaed52,
  0xbca852572fb1e885, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xa97e6db18c55bd8a,
  0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0xcdebda792bf73433, 0x00000000000f934a,
};

/*
 * m644_swio14_lednop_pr_ee_u4       m644a_swio14_lednop_pr_ee         m644a_swio14_lednop_pr_ee_u4
 * m644p_swio14_lednop_pr_ee         m644p_swio14_lednop_pr_ee_u4      m644pa_swio14_lednop_pr_ee
 * m644pa_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_swio14_lednop_pr_ee[] = {
  0xa13777776890c044, 0x36ae5a58f53a0b58, 0x4de9a5dd803d2f89, 0x423c8a671f1a67ed, 0x21b45a8ac8114889,
  0x27c64eea0a4e52ec, 0x835bff617cfa5a98, 0x2b60b355ad198f1d, 0xbd47c1b307d47a8f, 0xb34eb422877c56a7,
  0x9a426be8c2cb1148, 0x371cead2ee9571ac, 0x5ae875e74dda4447, 0xc242285f11c65635, 0x047eb70decb65cc5,
  0x72ab500ad627951b, 0xa8d76761cf566d79, 0x95daa5beace75152, 0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x31b94b52fcdb6318, 0xab337f07771a2c89,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x04eb8056d7b4f257,
};

/*
 * m644_swio14_lednop_pr_ce_u4       m644a_swio14_lednop_pr_ce         m644a_swio14_lednop_pr_ce_u4
 * m644p_swio14_lednop_pr_ce         m644p_swio14_lednop_pr_ce_u4      m644pa_swio14_lednop_pr_ce
 * m644pa_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_swio14_lednop_pr_ce[] = {
  0x83eeeeeed121be4a, 0x1cb96960418ddd63, 0x7ebd7dd75e5efd7a, 0xfe246d36795b4121, 0x357c34e19bd3dde0,
  0x609f193ba528eb7d, 0x764aeffd85f3fb3a, 0xe6e77bee317ea13c, 0xe21b0911759c3cf1, 0xc3b37d2a3f51f097,
  0x7d3dcb3abeb264c5, 0x524389206b3fd479, 0x4637ce62c058f7a5, 0xffb33c75e8f9db24, 0x40f2d6e83fd22a01,
  0x9eacdaf2e556b2ed, 0x59cea2a551aecec3, 0xc0809d372bb54b7d, 0xa1495cbec7a21535, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5ed3c95fb9a19961,
  0x00000000375dbe0b,
};

/*
 * m644_swio14_lednop_pr_ee_ce_u4    m644a_swio14_lednop_pr_ee_ce      m644a_swio14_lednop_pr_ee_ce_u4
 * m644p_swio14_lednop_pr_ee_ce      m644p_swio14_lednop_pr_ee_ce_u4   m644pa_swio14_lednop_pr_ee_ce
 * m644pa_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio14_lednop_pr_ee_ce[] = {
  0x53dddddda2436812, 0xb772d2c30e23bac3, 0x17599eee2f41200d, 0x9d8f6238541b976d, 0xec4e4e312309e25a,
  0xe327777ec2c02935, 0xefff617cfe374c13, 0xbb8c5faa3df63b1a, 0x88bace1e78f373b6, 0x705fa8f84bf10d84,
  0x6107be64c5c3f539, 0x3d2bd479594b94ed, 0x0a62b287ea3e0d98, 0x16588a459a75a114, 0xaedce94752135f46,
  0x5e74dda4447371ce, 0x0be238cac6abc6c7, 0xe1bd96cb98b84845, 0x2ced627951b044c8, 0x761cf566d7972ab5,
  0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x6a5f9b6c6263b7b1, 0xe0eee34591263729, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xb3daf69e4afdcd0c, 0x0000000000004fcf,
};

// m644a_swio14_lednop_ee_hw         m644p_swio14_lednop_ee_hw         m644pa_swio14_lednop_ee_hw
static const uint64_t ur_m644_swio14_lednop_ee_hw[] = {
  0x09bbbbbb451a3e4a, 0xb572d2c7a9d05ac5, 0x6f4d2eec01e97c49, 0x11e45338f8d33f6a, 0xf9a2d456408a444a,
  0x827c64ee94a3adaa, 0xec1adfe562cfa5a9, 0x795b059aad68cc78, 0x3dea3e0d983ea3d4, 0x459a75a1143be2b5,
  0x64d2135f4616588a, 0x39b8e7569774ab8d, 0xaad743af3a6ed222, 0x2e121142f88e32b1, 0xd823f5b86f65b2e6,
  0xcb955a8056b13ca8, 0x9546bb3b0e7ab36b, 0xdcaed52df5673a8a, 0xfb1e8854d7020274, 0x7b55a22bca852572,
  0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0x718dca5a97e6db18, 0xe1ef79430a9cfd42,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x00b7e69ad453c95f,
};

/*
 * m644_swio14_lednop_ee_ce_u4_hw    m644a_swio14_lednop_ee_ce_hw      m644a_swio14_lednop_ee_ce_u4_hw
 * m644p_swio14_lednop_ee_ce_hw      m644p_swio14_lednop_ee_ce_u4_hw   m644pa_swio14_lednop_ee_ce_hw
 * m644pa_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio14_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683d5b, 0xbb969618711dd61a, 0xbaccf7717a09006d, 0xec7b11c2a0dcbb68, 0x62727189184f12d4,
  0x9f193bacf9d6f6b5, 0x6bbff2b167f1ba60, 0xdaee317ea8f7d8ec, 0x2445d670f3cf21ce, 0x7907fd47c25f886c,
  0xac20f7cc98b87d50, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9d28ea426be8,
  0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899, 0xcec39eacdaf2e556,
  0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2d4bf36d8c4c76f6, 0xa1854e7ea138c6e5, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xaa4a29e4afdcd0cc, 0x0000000000014053,
};

/*
 * m644_swio14_dual_pr               m644_swio14_dual_pr_u4            m644a_swio14_dual
 * m644a_swio14_dual_pr              m644a_swio14_dual_pr_u4           m644p_swio14_dual
 * m644p_swio14_dual_pr              m644p_swio14_dual_pr_u4           m644pa_swio14_dual
 * m644pa_swio14_dual_pr             m644pa_swio14_dual_pr_u4
 */
static const uint64_t ur_m644_swio14_dual[] = {
  0x2eeeeeed121a559b, 0xa99a8728457d87e8, 0x5396eac1fa78bcad, 0xd75a08f9da015627, 0xcda4cfb453b7682b,
  0x38eee4e17c7fcfbc, 0x4004a4737e609f19, 0x0c85a6fc0d887116, 0xe650129dd3e25185, 0xfd84063854a9bf77,
  0x241240f6fcdea398, 0x0c4aff3f7c114292, 0xd3395be27d70f851, 0x21968464886559cb, 0x2ffe80e784d6b454,
  0xd30586f2bc84b6e5, 0x7cb2d71d8517fffe, 0x0e2481ef7ea3f747, 0x580aa0f33930f749, 0xbc019d90046989cc,
  0xf78df5403ff6608e, 0x715257cea07967b6, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd, 0xd372bb54b7d59cea,
  0xcbec7a21535c0809, 0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905,
  0x912637296a5f9b6c, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000292680adaf69e,
};

// m644a_swio14_dual_pr_ee           m644p_swio14_dual_pr_ee           m644pa_swio14_dual_pr_ee
static const uint64_t ur_m644_swio14_dual_pr_ee[] = {
  0xddbbbbba1eb432db, 0xa99a872a1a6be1f0, 0xa10ee9d60148ce0d, 0xcfa73d6403738b16, 0x75c4abc6b9bb0dcc,
  0x723822ac1f8675b3, 0xa45927304f8c9fa7, 0xa6fc0d8871164004, 0x129dd3e251850c85, 0xbce143f374ffe650,
  0x07b3a6f51ce0ec3a, 0xf9fbe08a14912092, 0x9113eb87c2886257, 0x5f6886559cbd338a, 0x39e1307b8a8432d0,
  0xbcaf212dbe9affa0, 0x87605affffb4c161, 0xa3caedd4d56b47fb, 0xd37ea3e0d9830f7e, 0xa459a75a1143be2b,
  0xa5cd2135f4616588, 0x8cf539d5a5d82ae2, 0xd56ba1d7a897631e, 0x170908a34a4710d8, 0xd823f5b86f65f4b3,
  0x77152500b2288aa8, 0xdaf2e556b3f8abe7, 0xa2a551aecec39eac, 0x9d372bb54b7d59ce, 0x5cbec7a21535c080,
  0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0xcf78237296a5f9b6,
  0xf53ab337f07771a2, 0xe32fcc4fe50c2a73, 0x1cf7ff04d1f6c3dc, 0xe32c970cf4c2b93f, 0xd0ccb0e9296ce1c4,
  0x564409af69e4afdc,
};

// m644a_swio14_dual_pr_ee_u4        m644p_swio14_dual_pr_ee_u4        m644pa_swio14_dual_pr_ee_u4
static const uint64_t ur_m644_swio14_dual_pr_ee_u4[] = {
  0x323bbbbbb4486f97, 0x7299a872a1a8fe1f, 0xf6b8eeb627651c7a, 0xe4ea666eab43ae10, 0xd744febb1ae6ecc8,
  0x5b93c119d7b853a4, 0x2520ebe9827c64b4, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x472381c19babff32,
  0x240e574dea3eced8, 0xaff3f7c114292241, 0x8a4827d70f8510c4, 0xd08f6886559cbd33, 0xd01cf09a448a8432,
  0xb0de579096dffe7f, 0x80c3b09d7fffda60, 0x4f51e578126ab5a3, 0x8af2b7a8f83660e4, 0x62291669d68450ef,
  0xb84173484d7d1859, 0xdf472f8e75697386, 0xb1aad743af6b13b6, 0xc62e121140288c7c, 0xab8c8bf5b86f65c7,
  0xaad67f157ceee2a4, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0xf442a6b81013a6e5, 0xad115e54292b97d8,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6e52d4bf36d8c62a, 0xccdfc1ddc68b224c,
  0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x0ac98c75ed3c95fb,
};

/*
 * m644_swio14_dual_pr_ce_u4         m644a_swio14_dual_pr_ce           m644a_swio14_dual_pr_ce_u4
 * m644p_swio14_dual_pr_ce           m644p_swio14_dual_pr_ce_u4        m644pa_swio14_dual_pr_ce
 * m644pa_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m644_swio14_dual_pr_ce[] = {
  0x3bdddddda243359b, 0x8a99a873d2d6b0fa, 0xcd0b6eb4e374b07c, 0x466b8e058ebe7da4, 0xaea806abe356ea3b,
  0x4841721e198530f9, 0x2002523d6a9827c6, 0x8642d37e06c4388b, 0xf328094ee9f128c2, 0xdec34d9c22b4c35b,
  0x1209206a7a6f51f7, 0x86257f9fbe08a149, 0xe99cca813eb87c28, 0x219686df4432ace5, 0x7ffe80e784c7ac54,
  0xa60b0de579096dcc, 0xbf58f63b2397fffd, 0xce1e78f373b1ad18, 0xa8f84bf10d8488ba, 0x4b993170e495951f,
  0x5bd4709f3dcb3abd, 0x528bb7e921c4903b, 0x0cec80234c4e62c0, 0x6faa01ffb33c75e0, 0xa4af9d40f2d6e7bc,
  0x5caad67f157ceee2, 0xaa35d9d873d59b5e, 0xe576a96fab39d454, 0xd8f442a6b81013a6, 0xdaad115e54292b97,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x98dca5a97e6db189, 0xd599bf83bb8d1644,
  0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x00d24085ebda792b,
};

// m644a_swio14_dual_pr_ee_ce        m644p_swio14_dual_pr_ee_ce        m644pa_swio14_dual_pr_ee_ce
static const uint64_t ur_m644_swio14_dual_pr_ee_ce[] = {
  0x8f6ddddddd436f02, 0x9ca66a1ca12d070f, 0xfb369ba589393b22, 0x76a05eca07c84355, 0x71a7935e1791f1ec,
  0x27f0f9af793166c6, 0x823d7304f8c94677, 0xdf81b10e22c80094, 0x53ba7c4a30a190b4, 0x4707f93620fcca02,
  0x3b1f9bd470d1b0d3, 0xcfdf0450a4890490, 0x709f5c3e144312bf, 0x434432ace5e99cea, 0xcf099d2c54219681,
  0xcaf212dbf60ffd01, 0xecb5bffffb4c161b, 0xb9ddadd8fea8f020, 0x75870449807f3c79, 0xb95d29dac0b374ce,
  0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916, 0xd19ea73abb73051d, 0x355e363af512ec63,
  0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5,
  0x13a6e576a96fab39, 0x2b97d8f442a6b810, 0x5d73daad115e5429, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xb1898edec5551692, 0x8b1e70dca5a97e6d, 0x727eeaccdfc1ddc6, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0001304c6f5ed3c9,
};

// m644a_swio14_dual_pr_ee_ce_u4     m644p_swio14_dual_pr_ee_ce_u4     m644pa_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m644_swio14_dual_pr_ee_ce_u4[] = {
  0xf7777768a87fb202, 0xa66a1c1999bc3e10, 0xc9eebade7d9d63b4, 0xc375dcda0fcd9bdb, 0x7b07c4874e0869ca,
  0xba463dd9c1caaf7d, 0xb9827c649bab97f5, 0xb10e22c800948b1e, 0x7c4a30a190b4df81, 0xbcc6b7f9958093ba,
  0xdea3c00d80a4387e, 0x228524482481dadc, 0xe1f0a21895fe7ef8, 0x2ace5e99c78044fa, 0x2b454219686ce443,
  0x2dbb21ffd01cf09b, 0xfcab14c161bcaf21, 0x62fd518d61d9d83f, 0x59c3cf3e019df60c, 0xf51f097e21b09117,
  0xdd3262e1e3eeb92b, 0xea3cae574a76b084, 0xbdf7ea3e0d983dbf, 0x8a459a75a1140a62, 0xc14752135f461658,
  0xbb18f467a9ceaedc, 0x710d8d578d8ebd44, 0x5f4b3170908a34a4, 0x445546c1132386f6, 0xc55f3bb8a9296791,
  0x1cf566d7972ab59f, 0xeace75152a8d7676, 0xae0404e9b95daa5b, 0x950a4ae5f63d10a9, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5f9b6c6263b7b155, 0x8fe345912637296a, 0xc2a73f53ab337f06,
  0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xc834f257ee686658,
  0x00000000200397e1,
};

// m644a_swio14_dual_ee_hw           m644p_swio14_dual_ee_hw           m644pa_swio14_dual_ee_hw
static const uint64_t ur_m644_swio14_dual_ee_hw[] = {
  0xbb7777768a34359b, 0x53350e5434d7c3e1, 0x421dd3ac02919c1b, 0x9f4e7ac806e7162d, 0xeb89578d73761b99,
  0xee43c330a6b5d766, 0x948b24e609f193f4, 0xb4df81b10e22c800, 0xe833ba7c4a30a190, 0x579c287e6e9ffcca,
  0x40f674dea39c1d87, 0xff3f7c1142922412, 0x52227d70f8510c4a, 0x0bed10cab397a671, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0x0ec0b5ffc87f982c, 0x4795dba9aad68ff7, 0xa6fd47c1b3061efd, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x19ea73ab4bb055c5, 0xaad743af512ec63d, 0x2e121146948e21b1, 0xb047eb70decbe966,
  0xee2a4a0164511551, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0x3a6e576a96fab39d, 0xb97d8f442a6b8101,
  0xd73daad115e54292, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920, 0xa138c6e52d4bf36d,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x000576a45daa29e4,
};

/*
 * m644_swio14_dual_ee_ce_u4_hw      m644a_swio14_dual_ee_ce_hw        m644a_swio14_dual_ee_ce_u4_hw
 * m644p_swio14_dual_ee_ce_hw        m644p_swio14_dual_ee_ce_u4_hw     m644pa_swio14_dual_ee_ce_hw
 * m644pa_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio14_dual_ee_ce_hw[] = {
  0x3dddddda28d19231, 0x299a8706666f0f84, 0xf27baeb79f6758ed, 0xb0dd773683f366f6, 0x5ec1f121d3821a72,
  0xff8669d6ed6aabdf, 0x8f5cc13e324dd5cb, 0xc0d8871164004a45, 0xdd3e251850c85a6f, 0x1faf31adfe657419,
  0xb737a8f00360290e, 0xbe08a14912092076, 0x3eb87c2886257f9f, 0x10cab397a671e011, 0x26cad150865a1b39,
  0xc84b6ec87ff4073c, 0x07ff90ff30586f2b, 0xc18c5faa31ac3b3b, 0x11759c3cf3c873be, 0x6eff51f097e21b09,
  0x084dd3262e1c6177, 0xdbfea3cae574a76b, 0xa62bdf7ea3e0d983, 0x6588a459a75a1140, 0xedcc14752135f461,
  0xd44bb18f467a9cea, 0x4a4710d8d578d8eb, 0x6f65f4b3170908a3, 0x791445546c113238, 0x59fc55f3bb8a9296,
  0x6761cf566d7972ab, 0xa5beace75152a8d7, 0x0a9ae0404e9b95da, 0x457950a4ae5f63d1, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x15545a4829c6378c, 0x96a5f9b6c6263b7b, 0x50c2a73f509c6372, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xdc8514f257ee6866, 0x000000000003aea1,
};

/*
 * m644_swio15_noled_pr              m644a_swio15_noled                m644a_swio15_noled_pr
 * m644p_swio15_noled                m644p_swio15_noled_pr             m644pa_swio15_noled
 * m644pa_swio15_noled_pr
 */
static const uint64_t ur_m644_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x6c13c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa41d9b7ffd61de7c, 0x40f9ef51e213be5b, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0x61cf566d7972ab52, 0xeaece75152a8d767, 0x10a9ace9b95daa5b, 0x22bca85255abfdfd,
  0xa9f4ef3f5ae7b55a, 0x2d2c2e753a9c0594, 0x8de33a2045fb8a04, 0xe70dca5a97e6da71, 0xbab31e40d1fc68b1,
  0x71964b867a615c9f, 0x6866587494b670e2, 0xf20012662cf257ee, 0x0000000000000001,
};

// m644a_swio15_noled_pr_u4          m644p_swio15_noled_pr_u4          m644pa_swio15_noled_pr_u4
static const uint64_t ur_m644_swio15_noled_pr_u4[] = {
  0xf76eeeeed121b562, 0xad72d2c42b0dbac4, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426ecf7,
  0xc13e32777e9c1b24, 0x3b0caffd85f3efe4, 0xd07a8f2f8ef9683e, 0xa68f7a5524389207, 0xa2147bd9cc580b2c,
  0xa01ffb30475e8f9d, 0xf5b81e59ed88a4d2, 0xd873d59b5e5caad5, 0xfabb39d454aa35d9, 0x442a6b3a6e576a96,
  0x88af2a14956aff7f, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x6e52d4bf36c648ab,
  0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0xc9d4e2f5ed3c95fb, 0x0000000000000007,
};

/*
 * m644_swio15_noled_pr_ee_u4        m644a_swio15_noled_pr_ee          m644a_swio15_noled_pr_ee_u4
 * m644p_swio15_noled_pr_ee          m644p_swio15_noled_pr_ee_u4       m644pa_swio15_noled_pr_ee
 * m644pa_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m644_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1219541, 0xdab96963d4e85d60, 0x4f5a2ee8db623e24, 0xede4531d7c33c5ef, 0x7545a0ab41148885,
  0x7c64ee80a498b04e, 0x15bff617cf93a982, 0x594b9aad68dfc1d9, 0xd47c1b30613fd479, 0x34eb422877c5650f,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0x35d9d873d59b5e5c, 0x6a96fabb39d454aa, 0xff7f442a6b3a6e57, 0xed5688af2a14956a,
  0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44, 0x224c6e52d4bf36c6, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x000275f33175ed3c,
};

/*
 * m644_swio15_noled_pr_ce_u4        m644a_swio15_noled_pr_ce          m644a_swio15_noled_pr_ce_u4
 * m644p_swio15_noled_pr_ce          m644p_swio15_noled_pr_ce_u4       m644pa_swio15_noled_pr_ce
 * m644pa_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m644_swio15_noled_pr_ce[] = {
  0x93dddddda2431768, 0x3972d2c083033ac1, 0x7e8d3dde3f427af4, 0x9f891b479190243c, 0x947b433376d4f74c,
  0x9827c64ee9ba3b46, 0x1d9813ff617cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0xc6921c490327bd47, 0x428f7b398b014ca9, 0x03ff6678ebd1f3b4, 0xadc0f2d6e1149a54,
  0xc39eacdaf2e556af, 0xd5d9cea2a551aece, 0x215359d372bb54b7, 0x457950a4ab57fbfa, 0x34ef3e2d75cf6ab4,
  0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0xe52d4bf36c6431db, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xb98e275ed3c95fb9,
  0x000000000000006e,
};

/*
 * m644_swio15_noled_pr_ee_ce_u4     m644a_swio15_noled_pr_ee_ce       m644a_swio15_noled_pr_ee_ce_u4
 * m644p_swio15_noled_pr_ee_ce       m644p_swio15_noled_pr_ee_ce_u4    m644pa_swio15_noled_pr_ee_ce
 * m644pa_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio15_noled_pr_ee_ce[] = {
  0x3bdddddda243173e, 0xb772d2c30e5c1ac6, 0x176c4ee8335a200d, 0xdd8f622484715835, 0xf2723b5c6309e271,
  0x8c9ddcfb402d3913, 0x0ffd85f3e87d304f, 0x4118bf5476e87662, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114, 0xaedc958752135f46,
  0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991, 0xd873d59b5e5caad4,
  0xfabb39d454aa35d9, 0x442a6b3a6e576a96, 0x88af2a14956aff7f, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7,
  0x7b15545a5b44e31b, 0xdca5a97e6d8c863b, 0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x3f0f546bda792bf7, 0x0000000000000001,
};

// m644a_swio15_noled_ee_hw          m644p_swio15_noled_ee_hw          m644pa_swio15_noled_ee_hw
static const uint64_t ur_m644_swio15_noled_ee_hw[] = {
  0xef7777768a341768, 0xd5cb4b1ea742eb05, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a4442f,
  0x27c64ee9ba3b5a3d, 0xc8adfe562cf93a98, 0xcaca5cd56b46fe0e, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0x51aecec39eacdaf2, 0xbb54b7d5d9cea2a5, 0x57fbfa215359d372, 0xcf6ab4457950a4ab,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x32455bd8aaa2d2da, 0x509c637296a5f9b6, 0xff787bde50c2a73f,
  0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00005bfaacdd14f2,
};

/*
 * m644_swio15_noled_ee_ce_u4_hw     m644a_swio15_noled_ee_ce_hw       m644a_swio15_noled_ee_ce_u4_hw
 * m644p_swio15_noled_ee_ce_hw       m644p_swio15_noled_ee_ce_u4_hw    m644pa_swio15_noled_ee_ce_hw
 * m644pa_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio15_noled_ee_ce_hw[] = {
  0xbdddddda28d0ac4f, 0x772d2c30e5c1ac63, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e271d,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476e8766, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x761cf566d7972ab5,
  0xbeaece75152a8d76, 0xd10a9ace9b95daa5, 0xa22bca85255abfdf, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0x37296a5f9b63218e, 0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0x0448b2514f257ee6, 0x0000000000000014,
};

// m644a_swio15_lednop               m644p_swio15_lednop               m644pa_swio15_lednop
static const uint64_t ur_m644_swio15_lednop[] = {
  0x1b0777777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd6c1,
  0x7304f8c9ddb1ec86, 0x83b3baff58779f8f, 0x1f3dea3cdc77cb74, 0xf74c654e3490e248, 0x3b3de8ed6398b016,
  0xc11771cb1823af17, 0x873d59b5e5caad4a, 0xabb39d454aa35d9d, 0xb81013a6e576a96f, 0x2a1495c958f442a6,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6815156f62aa, 0x30ae4fcfec37296a,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000000a925fd3316,
};

/*
 * m644_swio15_lednop_pr_u4          m644a_swio15_lednop_pr            m644a_swio15_lednop_pr_u4
 * m644p_swio15_lednop_pr            m644p_swio15_lednop_pr_u4         m644pa_swio15_lednop_pr
 * m644pa_swio15_lednop_pr_u4
 */
static const uint64_t ur_m644_swio15_lednop_pr[] = {
  0xeedddddda2432aac, 0x5ae5a58856a87589, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6ecf7,
  0x609f193bbe451db2, 0x7618fffd85f3f52a, 0xd07a8fa51df2d07c, 0x4d01827d24389207, 0x2f88e32398b01659,
  0x403ff6608ebd1f3b, 0x0e40f2cf6c6fdc35, 0xc39eacdaf2e556b7, 0xd5d9cea2a551aece, 0x5c0809d372bb54b7,
  0x950a4ae4ac7a2153, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2fcdb40a8ab7b155,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x8d7b4f257ee68665, 0x0000000001f26266,
};

/*
 * m644_swio15_lednop_pr_ee_u4       m644a_swio15_lednop_pr_ee         m644a_swio15_lednop_pr_ee_u4
 * m644p_swio15_lednop_pr_ee         m644p_swio15_lednop_pr_ee_u4      m644pa_swio15_lednop_pr_ee
 * m644pa_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m644_swio15_lednop_pr_ee[] = {
  0x5ef777776890c582, 0x36ae5a58f53082b0, 0xf0ad5c7ba5c46789, 0x0bdbc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x61c1ffd85f3f43f3, 0xe56a7a6ab5a37f07, 0x4f51f06cc184ff51, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0x546bb3b0e7ab36bc, 0xaed52df57673a8a9, 0x1e8854d7020274dc, 0xaad115e54292b92b,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36d02a2, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x275ff34f5ed3c95f,
};

/*
 * m644_swio15_lednop_pr_ce_u4       m644a_swio15_lednop_pr_ce         m644a_swio15_lednop_pr_ce_u4
 * m644p_swio15_lednop_pr_ce         m644p_swio15_lednop_pr_ce_u4      m644pa_swio15_lednop_pr_ce
 * m644pa_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m644_swio15_lednop_pr_ce[] = {
  0xc9eeeeeed121b768, 0x1cb96960418fdd60, 0x7ed05dd623e2fd7a, 0x3f12368f20336401, 0x4ce2a16d2ec9ee99,
  0x304f8c9dd764af8c, 0x3b37dffec2f9f8ad, 0x79b9ddba8c5fac88, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0xd6921c490327bd47, 0xf11c6473160298f3, 0x07feccf1d7a3e765, 0x720796b70dfb86a8,
  0x1cf566d7972ab5b8, 0xaece75152a8d7676, 0xe0404e9b95daa5be, 0xa852572563d10a9a, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb40a31dbd8aaa, 0x771a2c8931b94b52, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xd7b4f257ee686658,
  0x000000000dd73044,
};

/*
 * m644_swio15_lednop_pr_ee_ce_u4    m644a_swio15_lednop_pr_ee_ce      m644a_swio15_lednop_pr_ee_ce_u4
 * m644p_swio15_lednop_pr_ee_ce      m644p_swio15_lednop_pr_ee_ce_u4   m644pa_swio15_lednop_pr_ee_ce
 * m644pa_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644_swio15_lednop_pr_ee_ce[] = {
  0x3bdddddda2431bc1, 0xb772d2c30e44eac6, 0x7f4376e9bb64200d, 0xdd8f622485c18e24, 0xe05991a66309e271,
  0xc64ee8eba6bb62ee, 0x07fec2f9ffd79827, 0x008c5faa3b743b20, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46,
  0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0xec39eacdaf2e556a,
  0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0xa5f9b681463b7b15, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xadaf69e4afdcd0cc, 0x000000000004fc09,
};

// m644a_swio15_lednop_ee_hw         m644p_swio15_lednop_ee_hw         m644pa_swio15_lednop_ee_hw
static const uint64_t ur_m644_swio15_lednop_ee_hw[] = {
  0xf7bbbbbb451a3768, 0xb572d2c7a9841582, 0x856ae3dd2e233c49, 0x5ede4531d7d0b867, 0x7111fb226c114888,
  0x304f8c9dd764afb6, 0x3b0e0ff958b3f43f, 0x8f2b53d355ad1bf8, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x4aa35d9d873d59b5, 0xe576a96fabb39d45, 0x58f442a6b81013a6, 0xed5688af2a1495c9,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc637296a5f9b6815, 0x87bde50c2a73f509,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x02dfe825514f257e,
};

/*
 * m644_swio15_lednop_ee_ce_u4_hw    m644a_swio15_lednop_ee_ce_hw      m644a_swio15_lednop_ee_ce_u4_hw
 * m644p_swio15_lednop_ee_ce_hw      m644p_swio15_lednop_ee_ce_u4_hw   m644pa_swio15_lednop_ee_ce_hw
 * m644pa_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio15_lednop_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xbb96961872275631, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f138e,
  0x4f8c9dd2c55adb9d, 0x2007f958b3ffaf30, 0xdc008c5faa3b743b, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0xb3b0e7ab36bcb955,
  0x2df57673a8a9546b, 0x54d7020274dcaed5, 0x15e54292b92b1e88, 0xa03c72b5d73daad1, 0xa20421520b94b5f3,
  0x55516920a718de33, 0x5a97e6da0518edec, 0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x98b453c95fb9a199, 0x000000000005017d,
};

/*
 * m644_swio15_dual_pr               m644_swio15_dual_pr_u4            m644a_swio15_dual
 * m644a_swio15_dual_pr              m644a_swio15_dual_pr_u4           m644p_swio15_dual
 * m644p_swio15_dual_pr              m644p_swio15_dual_pr_u4           m644pa_swio15_dual
 * m644pa_swio15_dual_pr             m644pa_swio15_dual_pr_u4
 */
static const uint64_t ur_m644_swio15_dual[] = {
  0x83777776890d7f41, 0x6a66a1ca127161f0, 0xd087bbd38c4e2f2b, 0xf5d6834a3d9b140b, 0xf5739db28a56e840,
  0x938eee5ee333655f, 0x64004a41806609f1, 0x50c85a6fc0d88711, 0x7e650129dd3e2518, 0x8fd84063854a9bf7,
  0x2241240f6fcdea39, 0x10c4aff3f7c11429, 0xbd338d7627d70f85, 0x421968464886559c, 0x50ffe80e784d6b45,
  0xed30586f2bc84b6e, 0x3be59ef1d9fbbfff, 0x21c490383fea3edf, 0x8b01541e64ad1ee9, 0xd78033b6948e2139,
  0x698c64a807fecc11, 0xbb8a92e04a07967b, 0x6d7972ab59fc55f3, 0x5152a8d76761cf56, 0xe9b95daa5beaece7,
  0x72563d10a9ae0404, 0xae7b55a22bca8525, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241,
  0x64498dca5a97e6da, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x0000524d6b56bda7,
};

// m644a_swio15_dual_pr_ee           m644p_swio15_dual_pr_ee           m644pa_swio15_dual_pr_ee
static const uint64_t ur_m644_swio15_dual_pr_ee[] = {
  0xeb7777743d686f97, 0xd4cd43950fbbc3e6, 0xd26f755f36246706, 0xcfa734e44faafebb, 0x2bbf7ec6b9bb374c,
  0xe4f04674338a7593, 0x48ee3e609f193f4e, 0x4df81b10e22c8009, 0x253ba7c4a30a190b, 0x79c287e6e9ffcca0,
  0x0f674dea39c1d875, 0xf3f7c11429224124, 0x8627d70f8510c4af, 0xbed10cab397a672e, 0x73c260f7150865a0,
  0xf2bc84b6f3b7ff40, 0x3b3a7ffffed30586, 0x1e57a6e6ab5a3726, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59, 0xa6e576a96fabb39d, 0xc958f442a6b81013,
  0xb9ed5688af2a1495, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x15156f62aa8b4905, 0xf78237296a5f9b68,
  0x53ab337f07771a2c, 0x32fcc4fe50c2a73f, 0xcf7ff04d1f6c3dce, 0x32c970cf4c2b93f1, 0x0ccb0e9296ce1c4e,
  0x91eb7af69e4afdcd, 0x0000000000000015,
};

// m644a_swio15_dual_pr_ee_u4        m644p_swio15_dual_pr_ee_u4        m644pa_swio15_dual_pr_ee_u4
static const uint64_t ur_m644_swio15_dual_pr_ee_u4[] = {
  0x627777776890cf68, 0x7299a872a1a01c3f, 0x6d77eea0a7ad1c7a, 0x2753329d73a8bcb5, 0xbb0b27d8d7377627,
  0x5b9347d4ead05bb3, 0x25222319827c64b4, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x472381c19babff32,
  0x240e574dea3eced8, 0xaff3f7c114292241, 0x011227d70f8510c4, 0xa11ed10cab397a67, 0xa039e13489150865,
  0xc3795e425b7ddaff, 0xfb1d9d5fffff6982, 0x7a8f2bcad355ad1a, 0x572bbd47c1b307dd, 0x1148b34eb422877c,
  0xc20b9a426be8c2cb, 0x291ce273ab4b9755, 0x6355ae875ed62763, 0x3170908a25f235af, 0xae07cfadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x10a9ae0404e9b95d, 0xa22bca852572563d,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0xca5a97e6da05455b, 0x9bf83bb8d164498d,
  0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0x591766bda792bf73, 0x0000000000000001,
};

/*
 * m644_swio15_dual_pr_ce_u4         m644a_swio15_dual_pr_ce           m644a_swio15_dual_pr_ce_u4
 * m644p_swio15_dual_pr_ce           m644p_swio15_dual_pr_ce_u4        m644pa_swio15_dual_pr_ce
 * m644pa_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m644_swio15_dual_pr_ce[] = {
  0x276eeeeed121a5fb, 0x153350e7a5b9d87e, 0xd4d7ddb0c53960f9, 0x66b8d99d179579ce, 0xb113d47d9f6ec4e4,
  0x2105ca591aea0f8a, 0x800948b92a609f19, 0x190b4df81b10e22c, 0xcca0253ba7c4a30a, 0x7b0d36708ad30d6f,
  0x482481a9e9bd47df, 0x1895fe7ef8228524, 0x4ce747c4fae1f0a2, 0x0cb436fa2195672f, 0xfff4073c263d62a1,
  0x30586f2bc84b6f63, 0xfa98f1d835bfffed, 0x70f3c79b9d9c18c5, 0x47c25f886c2445d6, 0xb993170ece5d1ffd,
  0xbea3c893dcb3abd4, 0x7f7195490e248188, 0x33b6948e21398b01, 0x64a807feccf1d780, 0xa4b81281e5adc98c,
  0x5caad67f157ceee2, 0xaa35d9d873d59b5e, 0x576a96fabb39d454, 0x8f442a6b81013a6e, 0xd5688af2a1495c95,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d028c, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x03493a7b5ed3c95f,
};

// m644a_swio15_dual_pr_ee_ce        m644p_swio15_dual_pr_ee_ce        m644pa_swio15_dual_pr_ee_ce
static const uint64_t ur_m644_swio15_dual_pr_ee_ce[] = {
  0x9d6ddddddd431f02, 0x9ca66a1ca132270f, 0xf6c1377aec21bb22, 0x76a05a4c70b26d47, 0xeb8fceee1791f3ac,
  0xe4a31166dc86614b, 0x91e7ae609f1928ce, 0x9bf03621c4590012, 0x4a774f8946143216, 0x68e0ff26c41f9940,
  0x0763f37a8e1a361a, 0xf9fbe08a14912092, 0xbb13eb87c2886257, 0x50d10cab397a671d, 0x73c2674b150865a0,
  0xf2bc84b6e6b7ff40, 0x1d9883fffed30586, 0x9b9de20b1fd51e56, 0xe7587e6faa47f3c7, 0x2bdf729dac0b374c,
  0xbd47c1b306657a8f, 0xb34eb422814c576e, 0xea426be8c2cb1148, 0xf88fa839d5db94f0, 0x58d578d8ebd44bb3,
  0xb3170908a0f547f2, 0x546c1132386f65f4, 0xf9ddc5494b31f37b, 0xab36bcb955acfe2a, 0x73a8a9546bb3b0e7,
  0x0274dcaed52df576, 0x92b92b1e8854d702, 0xb5d73daad115e542, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0xda0518edec555169, 0x68b1e70dca5a97e6, 0x5727eeaccdfc1ddc, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x00002609a735ed3c,
};

// m644a_swio15_dual_pr_ee_ce_u4     m644p_swio15_dual_pr_ee_ce_u4     m644pa_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m644_swio15_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fa812, 0xa66a1c19f57c3e5a, 0xe43ddad1579d63b4, 0x5864fbb0419cc99a, 0x5edc2c90e9c5a939,
  0xbf072d657f685c59, 0x0cc13e324dd5c83e, 0xd8871164004a453f, 0x3e251850c85a6fc0, 0x5e635bfccac049dd,
  0x6f51e006c0521c3f, 0x114292241240ed6e, 0x70f8510c4aff3f7c, 0x95672f4ce1d7c27d, 0x95a2a10cb4367221,
  0x96dee47fe80e784d, 0xfe558a60b0de5790, 0x317ea8ce08ec35bf, 0xace1e79f00cecd6e, 0xfa8f84bf10d8488b,
  0x6e993170feb53c03, 0xf51e57bee53b5842, 0xaedd7a8f83660cca, 0x2291669d68450298, 0x29e1d484d7d18596,
  0x9767f11f5073abb7, 0x8fe4b1aaf1b1d7a8, 0xcbe9662e121141ea, 0xe6f6a8d8226470de, 0xfc55f3bb8a929663,
  0x61cf566d7972ab59, 0xeaece75152a8d767, 0xae0404e9b95daa5b, 0xca852572563d10a9, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x2fcdb40a31dbd8aa, 0x47f1a2c8931b94b5, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xe41a792bf734332c,
  0x00000000080063c9,
};

// m644a_swio15_dual_ee_hw           m644p_swio15_dual_ee_hw           m644pa_swio15_dual_ee_hw
static const uint64_t ur_m644_swio15_dual_ee_hw[] = {
  0x75bbbbbb451a25fb, 0x6a66a1ca87dde1f3, 0xe937baaf9b123383, 0x67d39a7227d57f5d, 0x95dfbf635cdd9ba6,
  0x4ee52c8d75d2acc9, 0x0948ee3e609f193f, 0x0b4df81b10e22c80, 0xae833ba7c4a30a19, 0x7579c287e6e9ffcc,
  0x240f674dea39c1d8, 0xaff3f7c114292241, 0x2e8627d70f8510c4, 0xa0bed10cab397a67, 0x4073c260f7150865,
  0x86f2bc84b6f3b7ff, 0x63b3a7fff90ff305, 0x51e57a6e6ab5a372, 0xecef51f06cc1c7bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x47d41cead2ea7971, 0x355ae875ea25d9fc, 0xc5c242283d51fc96, 0x3608fd6e1bd97d2c,
  0xeee2a4a010f9bdaa, 0x9b5e5caad67f157c, 0xd454aa35d9d873d5, 0x3a6e576a96fabb39, 0x5c958f442a6b8101,
  0xeb9ed5688af2a149, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490, 0x509c637296a5f9b6,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x0002bb5b3c9d14f2,
};

/*
 * m644_swio15_dual_ee_ce_u4_hw      m644a_swio15_dual_ee_ce_hw        m644a_swio15_dual_ee_ce_u4_hw
 * m644p_swio15_dual_ee_ce_hw        m644p_swio15_dual_ee_ce_u4_hw     m644pa_swio15_dual_ee_ce_hw
 * m644pa_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644_swio15_dual_ee_ce_hw[] = {
  0xadddddda28d08f43, 0x299a87067d5f0f96, 0xb90f76b455e758ed, 0x56193eec10673266, 0x57b70b243a716a4e,
  0xbc4fdad5b538d716, 0x53f0cc13e324dd5c, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe1faf31adfe65741,
  0x6b737a8f00360290, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0x910cab397a670ebe, 0xc26cad150865a1b3,
  0xbc84b6f723ff4073, 0xd6fff90ff30586f2, 0x35b8c5faa33823b0, 0x911759c3cf3c873b, 0x2e0bf51f097e21b0,
  0xac21374c98b87ea7, 0x06657a8f2bdf729d, 0x814c576ebd47c1b3, 0xc2cb1148b34eb422, 0xd5db94f0ea426be8,
  0xebd44bb3f88fa839, 0xa0f547f258d578d8, 0x386f65f4b3170908, 0x4b31f37b546c1132, 0x55acfe2af9ddc549,
  0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954, 0x8854d7020274dcae, 0xd115e54292b92b1e, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xca5a97e6da0518ed, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x9b6eb453c95fb9a1, 0x0000000000000eba,
};

/*
 * m644a_autobaud_uart1_noled_pr     m644p_autobaud_uart1_noled        m644p_autobaud_uart1_noled_pr
 * m644pa_autobaud_uart1_noled       m644pa_autobaud_uart1_noled_pr
 */
static const uint64_t ur_m644a_autobaud_uart1_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x4a5f7fac3bcf9eb3, 0x80ba45aa0440a9f0, 0x5470afd549afe45f, 0xe78ef964870da37b, 0xf524389206693d47,
  0x99cc580b7ba61be4, 0x30475e2e767b48f1, 0x13bbf615944ee396, 0x077eefce726dbf03, 0xd8ce4df9bc03ea0c,
  0xde33a20575539794, 0x5bd8aaa2d2c2e718, 0x0dca5a97e6d89245, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x66587494b670e271, 0x0922662cf257ee68, 0x0000000000001c44,
};

// m644p_autobaud_uart1_noled_pr_u4  m644pa_autobaud_uart1_noled_pr_u4
static const uint64_t ur_m644a_autobaud_uart1_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0xba8ffd85f3fb7e60, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0x80ef9610f0da37b5, 0x52438920682fd47e,
  0x0e62c0596533df6b, 0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x8189ddfb071f03cb, 0x0603bf77e73936df,
  0xca6c6726fcde01f5, 0x8c6f19d102baa9cb, 0x22adec5551696173, 0x24c6e52d4bf36c49, 0x4eaccdfc1ddc68b2,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x011865176b5ed3c9,
};

/*
 * m644a_autobaud_uart1_noled_pr_ee_u4 m644p_autobaud_uart1_noled_pr_ee
 * m644p_autobaud_uart1_noled_pr_ee_u4 m644pa_autobaud_uart1_noled_pr_ee
 * m644pa_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xfec2f9fd9d304f8c, 0x5aa0440a9f04a577, 0xfd549afe45f80ba4, 0xd1ce30da37b5470a, 0x34c7d4795c89355a,
  0x1df15f75ea3e0d98, 0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d,
  0x65b2e62e1211473c, 0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x000004d4e6f82d7b,
};

/*
 * m644a_autobaud_uart1_noled_pr_ce_u4 m644p_autobaud_uart1_noled_pr_ce
 * m644p_autobaud_uart1_noled_pr_ce_u4 m644pa_autobaud_uart1_noled_pr_ce
 * m644pa_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x175ffd85f3ea7a60, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0x718bf58861b46f6a, 0x8bace1e78f373b8f,
  0xd1fa8f84bf10d848, 0x3abeb264c5c3ffc0, 0x240f59ea393d3dcb, 0xe62c051f3a4a4871, 0xe3af47ced5fd1eb0,
  0x6e1f6679500ffd99, 0x062777ec1c7c0f2d, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f,
  0x63b7b15545a585ce, 0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x08dd568ddaf69e4a,
};

/*
 * m644a_autobaud_uart1_noled_pr_ee_ce_u4 m644p_autobaud_uart1_noled_pr_ee_ce
 * m644p_autobaud_uart1_noled_pr_ee_ce_u4 m644pa_autobaud_uart1_noled_pr_ee_ce
 * m644pa_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0xec2f9fb5b9827c64, 0x54088153e0926dff, 0xaa935fc8bf01748b, 0x7f3a1b46f6a8e15f, 0x78f373b8e518bf54,
  0x4bf10d8488bace1e, 0x3170f494ce5fa8f8, 0x2bea253b5841ef99, 0xfa8f83660d6bfa8f, 0x669d68450298ac27,
  0xd484d7d185962291, 0xed1e0b39d5dba711, 0xb1aaf1b1d79d376d, 0xcc5c24228e791871, 0xa8d8226470decb65,
  0x062777ec2ce89534, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x04113cfc3af69e4a,
};

/*
 * m644p_autobaud_uart1_noled_ee_hw  m644pa_autobaud_uart1_noled_ee_hw usb646_autobaud_uart0_noled_ee_hw
 * usb647_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m644a_autobaud_uart1_noled_ee_hw[] = {
  0x377777768a345562, 0xeeeeee960f04ddd6, 0xe94ada090bf5ebee, 0x866f4f85d4cdd2f7, 0xc9dd322d3b6c30d3,
  0xbfcac59fd9d304f8, 0x22d5022054f8252b, 0x57eaa4d7f22fc05d, 0xd68e7186d1bdaa38, 0xc1a63ea3cae449aa,
  0x50ef8afbaf51f06c, 0x185962291669d684, 0x2f38ae3593484d7d, 0xe9bb6f68f059cead, 0xe461c6c6ab5d0ebc,
  0x7b2d973170908a39, 0x44a9a546c11fadc3, 0x26dbf0313bbf6005, 0xc03ea0c077eefce7, 0x5539794d8ce4df9b,
  0x2c2e718de33a2057, 0x6d892455bd8aaa2d, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000002c4f87a7545,
};

/*
 * m644a_autobaud_uart1_noled_ee_ce_u4_hw m644p_autobaud_uart1_noled_ee_ce_hw
 * m644p_autobaud_uart1_noled_ee_ce_u4_hw m644pa_autobaud_uart1_noled_ee_ce_hw
 * m644pa_autobaud_uart1_noled_ee_ce_u4_hw usb646_autobaud_uart0_noled_ee_ce_hw
 * usb646_autobaud_uart0_noled_ee_ce_u4_hw usb647_autobaud_uart0_noled_ee_ce_hw
 * usb647_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed1468b044, 0xbbbbba585c874eac, 0x09e47e98d3d467bb, 0x71a8a912c47771da, 0x3bbb293ef6c5e0dc,
  0xf2b167ed6e609f19, 0x6a81102a7c124dbf, 0xf5526bf917e02e91, 0x8fe74368ded51c2b, 0x9e790e771ca317ea,
  0x12fc4361222eb387, 0x98b87e5a66ffea3e, 0x95f5129dac20f7cc, 0xfd47c1b306b5fd47, 0xb34eb422814c5613,
  0xea426be8c2cb1148, 0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2,
  0x0313bbf616744a9a, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7,
  0xe31b94b52fcdb124, 0xc3def2861539fa84, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x12a440fba8a792bf,
};

/*
 * m644a_autobaud_uart1_lednop_pr    m644p_autobaud_uart1_lednop       m644p_autobaud_uart1_lednop_pr
 * m644pa_autobaud_uart1_lednop      m644pa_autobaud_uart1_lednop_pr
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0xc12eebfd61de7e3d, 0x7e02e916a81102a7, 0xed51c2bf5526bf91, 0x1c9e3be5921c368d, 0xf3d490e24819a4f5,
  0x20a731602dee986f, 0xb1823af173b07147, 0x62777ec2b141f71c, 0xddf9e0404e4db7e0, 0x0137e6f2dd4180ef,
  0x02f7ca9bd4a7253a, 0xc674408ea2810b4e, 0x1b94b52fcdb4e31b, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x1244cc59e4afdcd0, 0x0000000000003888,
};

// m644p_autobaud_uart1_lednop_pr_u4 m644pa_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_m644a_autobaud_uart1_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0x75ffb0be7e3dcc13, 0x748b54088153e097, 0xe15faa935fc8bf01, 0x1df2c21e1b46f6a8, 0x4871240d05fa8f6b,
  0x98b016594df241fa, 0x3af47cecb3d1a433, 0xb416691500ffd982, 0x89ddfb20ad03cb3d, 0x77e781013936df81,
  0x137e6f36450603bf, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xadaf69e4afdcd0cc, 0x0000000000461b69,
};

/*
 * m644a_autobaud_uart1_lednop_pr_ee_u4 m644p_autobaud_uart1_lednop_pr_ee
 * m644p_autobaud_uart1_lednop_pr_ee_u4 m644pa_autobaud_uart1_lednop_pr_ee
 * m644pa_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xfec2f9f1ad304f8c, 0x5aa0440a9f04b4df, 0xfd549afe45f80ba4, 0xd1ce30da37b5470a, 0x34c7d4795995355a,
  0x3be2b0f7ea3e0d98, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d,
  0x65b2e62e1211413c, 0xb33ca8d823f5b86f, 0xb6fc0c4eefd8010f, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xd4e27e1d7b4f257e,
  0x0000000000000004,
};

/*
 * m644a_autobaud_uart1_lednop_pr_ce_u4 m644p_autobaud_uart1_lednop_pr_ce
 * m644p_autobaud_uart1_lednop_pr_ce_u4 m644pa_autobaud_uart1_lednop_pr_ce
 * m644pa_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x60bffb0be7e574c1, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xa317eb10c368ded5, 0x1759c3cf1e6e7701,
  0x6ff51f097e21b091, 0xd5f593262e1d36e7, 0x207acf51fa49ee59, 0x31602a6222d24389, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0xc4eefd905681e5ad, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0xa5f9b6e70c76f62a, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x59af69e4afdcd0cc, 0x000000000046eb95,
};

/*
 * m644a_autobaud_uart1_lednop_pr_ee_ce_u4 m644p_autobaud_uart1_lednop_pr_ee_ce
 * m644p_autobaud_uart1_lednop_pr_ee_ce_u4 m644pa_autobaud_uart1_lednop_pr_ee_ce
 * m644pa_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0xc2f9f6bb9827c64e, 0xa0440a9f049fe7fe, 0x549afe45f80ba45a, 0xf9d0da37b5470afd, 0xc79b9d93a8c5faa3,
  0x5f886c2445d670f3, 0x170f950d07fd47c2, 0xbeea53b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298af6ff,
  0x484d7d1859622916, 0x48c9a39d5db8f51d, 0x8d578d8ebce9bb46, 0x62e1211413c8ded5, 0x46c1132386f65b2e,
  0x62777ec2cc7d99e5, 0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0x52fcdb73863b7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x07d7b4f257ee6866, 0x0000000000208971,
};

/*
 * m644p_autobaud_uart1_lednop_ee_hw m644pa_autobaud_uart1_lednop_ee_hw
 * usb646_autobaud_uart0_lednop_ee_hw usb647_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop_ee_hw[] = {
  0x377777768a341202, 0xeeeeee960f05a5d6, 0xd29bb2b6d4f6a2ee, 0xa178570ba99ba5ef, 0xc9dd666d8b505505,
  0xffcac59f1ad304f8, 0x22d5022054f825a6, 0x57eaa4d7f22fc05d, 0xd68e7186d1bdaa38, 0xc1a63ea3cacca9aa,
  0xa1df1587bf51f06c, 0x30b2c4522cd3ad08, 0x5cf55c6b26909afa, 0xe9bb4648c9a39d5a, 0xe46f6ac6ab5d0ebc,
  0x7b2d973170908a09, 0x7d99e546c11fadc3, 0x4db7e062777ec008, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x18dca5a97e6db9c8, 0x1ef79430a9cfd427, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x627c6001453c95fb, 0x0000000000000001,
};

/*
 * m644a_autobaud_uart1_lednop_ee_ce_u4_hw m644p_autobaud_uart1_lednop_ee_ce_hw
 * m644p_autobaud_uart1_lednop_ee_ce_u4_hw m644pa_autobaud_uart1_lednop_ee_ce_hw
 * m644pa_autobaud_uart1_lednop_ee_ce_u4_hw usb646_autobaud_uart0_lednop_ee_ce_hw
 * usb646_autobaud_uart0_lednop_ee_ce_u4_hw usb647_autobaud_uart0_lednop_ee_ce_hw
 * usb647_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_autobaud_uart1_lednop_ee_ce_hw[] = {
  0xddddddda28d01107, 0x777774b0b9012358, 0x13a7791a0bb93b77, 0x8247d22588eee3b4, 0x77539157eefda3bb,
  0xe562cfb5dcc13e32, 0x6a81102a7c127f9f, 0xf5526bf917e02e91, 0x8fe74368ded51c2b, 0x9e790e764ea317ea,
  0x12fc4361222eb387, 0x4c5c3f59b21fea3e, 0xcafba94ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb,
  0x752135f4616588a4, 0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c,
  0x8189ddfb0b31f667, 0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xa1854e7ea138c6e5, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf,
  0xb0e9296ce1c4e32c, 0x5daa29e4afdcd0cc, 0x000000000004a904,
};

/*
 * m644a_autobaud_uart1_dual_pr      m644a_autobaud_uart1_dual_pr_u4   m644p_autobaud_uart1_dual
 * m644p_autobaud_uart1_dual_pr      m644p_autobaud_uart1_dual_pr_u4   m644pa_autobaud_uart1_dual
 * m644pa_autobaud_uart1_dual_pr     m644pa_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_dual[] = {
  0xeeeeeeed121b9a7c, 0xeeeeea1ca8682b0f, 0x9d867648ef7ed6ee, 0xaf87b40bdddd083e, 0xcee484233858afae,
  0x04a4747e609f1930, 0x85a6fc0d88711640, 0x50129dd3e251850c, 0x829e386569b7dfe6, 0x1240e43cdea3943d,
  0x4aff3f7c11429224, 0x393b627d70f8510c, 0x968694886559cbd3, 0xfe80e784d3745421, 0x0586f2bc84b6ee97,
  0x02a7c127f3fffed3, 0xbf917e02e916a811, 0x368ded51c2bf5526, 0x87f51f229df2c4d4, 0xcd38bdf490e24818,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e,
  0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x164498dca5a97e6d,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00000b82aa6b6bda,
};

/*
 * m644a_autobaud_uart1_dual_pr_ee_u4 m644p_autobaud_uart1_dual_pr_ee
 * m644p_autobaud_uart1_dual_pr_ee_u4 m644pa_autobaud_uart1_dual_pr_ee
 * m644pa_autobaud_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_dual_pr_ee[] = {
  0x3fbbbbbbb4486f97, 0xbbbbbba8719051fc, 0x00aad0eb843dae3b, 0x44febb05ff4f74dd, 0x93c119d7b853a4d7,
  0x20ebe9827c64e4eb, 0x37e06c4388b20025, 0x94ee9f128c28642d, 0xb3856fcd003f3280, 0x7bb537a8f3b7b0b5,
  0x9fbe08a149120920, 0x413eb87c2886257f, 0x044432ace5e99c52, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x0489d7fffda60b0d, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5,
  0xeb422877c5752bd4, 0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d,
  0xadc37b2fa598b848, 0x940213fac546c11f, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef,
  0xf9537a94e4a74026, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5ed3c95fb9a19961,
  0x000000000a5498c7,
};

/*
 * m644a_autobaud_uart1_dual_pr_ce_u4 m644p_autobaud_uart1_dual_pr_ce
 * m644p_autobaud_uart1_dual_pr_ce_u4 m644pa_autobaud_uart1_dual_pr_ce
 * m644pa_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644a_autobaud_uart1_dual_pr_ce[] = {
  0xfddddddda2437089, 0xbbbbba871e9efde1, 0xd58b96257db55fbb, 0x5aa2f39dbbbb138d, 0x372bc9eb2b66eb69,
  0x25202c9304f8c98e, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x3fe1c0344da6bf32, 0x481d0fcdea3d8fec,
  0x5fe7ef8228524482, 0x2e444fae1f0a2189, 0xa121d10cab397a67, 0x4073c26fdd150865, 0xc3795e425b74b5ff,
  0xa7c12b75ffff6982, 0x917e02e916a81102, 0x8ded51c2bf5526bf, 0xced2b462fd65f436, 0x361222eb3879e3cd,
  0xeb7e007ea3e12fc4, 0x7b96757a973262e1, 0x871240ea5fa8e37e, 0x5fce62c050507ca4, 0x6678ebc019dad647,
  0xcb5b843a435403ff, 0x2af9ddc549549d03, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x98dca5a97e6db9c3, 0xd599bf83bb8d1644, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x15af75656bda792b,
};

// m644p_autobaud_uart1_dual_pr_ee_ce m644pa_autobaud_uart1_dual_pr_ee_ce
static const uint64_t ur_m644a_autobaud_uart1_dual_pr_ee_ce[] = {
  0x7f77777775050c86, 0xeeeeeea1ca8787d8, 0xe5932b8d17eb4f6e, 0x16a3e0cd19ee9d64, 0x7637675ef98b682e,
  0xaa49827c64d86b97, 0x81b10e22c8009489, 0xba7c4a30a190b4df, 0x19f26eb3fcca0253, 0x49bd4735bd84c31c,
  0xf82285244824818a, 0xfae1f0a21895fe7e, 0x432ace5e99c0a444, 0x34568a8432d0eaf4, 0x425b743effa039e1,
  0xb7ffff6982c3795e, 0xd22d5022054f8249, 0x857eaa4d7f22fc05, 0xfd51fee86d1bdaa3, 0x92bf3c79b9dc72b1,
  0xb02cdd339d61ee44, 0x0d7cf51e56fe4a76, 0x0298ae037a8f8366, 0x85962291669d6845, 0xd5db8ca1d484d7d1,
  0xebd44bb4428f7b39, 0xa04547cf58d578d8, 0x386f65f4b3170908, 0x4b313fac546c1132, 0xbf64fe2af9ddc549,
  0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0xd1607a18dca5a97e, 0x39fa9d599bf83bb8, 0x9a3ed87138d28615, 0x64b867a615c9f80f, 0x6587494b670e2719,
  0x5fbd7b4f257ee686, 0x000000000003f56c,
};

// m644p_autobaud_uart1_dual_pr_ee_ce_u4 m644pa_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644a_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fed8be, 0xbbba872c9df5f0fe, 0x3dee135f7af7bbbb, 0x32829badd2d59f6d, 0x0d2c85f5b3376099,
  0x09f193f6ae4f3ad2, 0x71164004a471e4e6, 0x51850c85a6fc0d88, 0xd07fccac049dd3e2, 0xf723b024a386544c,
  0x92241240d9bf37a8, 0x510c4aff3f7c1142, 0x2f4ce33d627d70f8, 0x4219686ed2219567, 0x7cffa039e1374fc5,
  0x2982c3795e425b76, 0x40a9f0490fbff956, 0xafe45f80ba45aa04, 0x0da37b5470afd549, 0x33b31f8c5faa3287,
  0x361222eb3879e7c0, 0x601ba1fea3e12fc4, 0x53b58426e993170e, 0x1b306be7a8f2b7f2, 0x422814c5701bd47c,
  0xbe8c2cb1148b34eb, 0xd9ceaedc650ea426, 0xc6c75ea25da2147b, 0x4845022a3e7ac6ab, 0x8991c37b2fa598b8,
  0x2a4a5989fd62a360, 0x89ddfb27f157ceee, 0x77e781013936df81, 0x137e6f36450603bf, 0x077ca9bd4a7253a0,
  0x5169aba718de33a2, 0x4bf36dce18edec55, 0xd1fc68b224c6e52d, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x79069e4afdcd0ccb, 0x000000003f56e8f2,
};

// m644p_autobaud_uart1_dual_ee_hw   m644pa_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m644a_autobaud_uart1_dual_ee_hw[] = {
  0xf77777768a347089, 0x7777750e320a3f87, 0x155a1d7087b5c777, 0x9fd760bfe9ee9ba0, 0x2bc9eb2b6b689ae8,
  0x41d7d304f8c9c9d7, 0x6fc0d8871164004a, 0x19dd3e251850c85a, 0x670adf9a007e6574, 0xf76a6f51e76f616b,
  0x3f7c114292241240, 0x827d70f8510c4aff, 0x08886559cbd338a4, 0x9e131758a8432d0c, 0xcaf212dbffcffa03,
  0x913affe43fcc161b, 0x01748b54088153e0, 0xa8e15faa935fc8bf, 0xe6ab5a39121b46f6, 0x83660c14f51e56be,
  0x68450ef8aea57a8f, 0xd7d185962291669d, 0xab4b994b8a973484, 0xd7a89768851ef673, 0xa04547cf58d56ba1,
  0xb86f65f4b3170908, 0x80427f58a8d823f5, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x9bcd914180efddf9,
  0x2a6f529c94e804df, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9,
  0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000160e5334f945,
};

/*
 * m644a_autobaud_uart1_dual_ee_ce_u4_hw m644p_autobaud_uart1_dual_ee_ce_hw
 * m644p_autobaud_uart1_dual_ee_ce_u4_hw m644pa_autobaud_uart1_dual_ee_ce_hw
 * m644pa_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_autobaud_uart1_dual_ee_ce_hw[] = {
  0xeeeeeeed1468bb90, 0xbbbba872c9df5f0f, 0xd3dee135f7af7bbb, 0x932829badd2d59f6, 0x4895fbfd6f337609,
  0xc9cc13e327ed5c8d, 0x1b10e22c800948e3, 0xa7c4a30a190b4df8, 0x544cd07fccae833b, 0x37a8f723b024a386,
  0x114292241240d9bf, 0x70f8510c4aff3f7c, 0x95672f4ce33d627d, 0x4fc54219686ed221, 0x5b767cffa039e137,
  0xfc87f982c3795e42, 0xd5022054f82487df, 0xeaa4d7f22fc05d22, 0x194386d1bdaa3857, 0x79e439d98fc62fd5,
  0x4bf10d8488bace1e, 0x62e1d9cba3ffa8f8, 0x56fe4a76b084dd32, 0x7a8f83660d7cf51e, 0x669d68450298ae03,
  0xd484d7d185962291, 0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4,
  0xf9ddc5494b313fac, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0xdca5a97e6db9c31d, 0xf79430a9cfd42718, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x31642f453c95fb9a, 0x000000000000084d,
};

/*
 * m644a_u1x8_uart1_noled_pr         m644p_u1x8_uart1_noled            m644p_u1x8_uart1_noled_pr
 * m644pa_u1x8_uart1_noled           m644pa_u1x8_uart1_noled_pr
 */
static const uint64_t ur_m644a_u1x8_uart1_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xc9feb0ef3e0a4c13, 0xeb8b7f69931bd817, 0xd05fa8fd01df2c21, 0xca67bed6a4871240, 0xdabfa3d61cc580b2,
  0x2a01ffb30475e8f9, 0x0e3e07967b63eccf, 0xce726dbf0313bbf6, 0xf9bc03ea0c077eef, 0x0575539794d8ce4d,
  0xa2d2c2e718de33a2, 0x97e6d892455bd8aa, 0xd1fc68b1e70dca5a, 0x7a615c9fbab31e40, 0x94b670e271964b86,
  0x2cf257ee68665874, 0x00000003e434e266,
};

// m644p_u1x8_uart1_noled_pr_u4      m644pa_u1x8_uart1_noled_pr_u4
static const uint64_t ur_m644a_u1x8_uart1_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x3ff617cf829304f8, 0x716fed32637b02f9, 0x0bf51fa03be5843d, 0x4cf7dad490e2481a, 0x57f47ac398b01659,
  0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0xce4db7e062777ec1, 0x37807d4180efddf9, 0xaeaa72f29b19c9bf,
  0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xd7b4f257ee686658, 0x000000001f27c668,
};

/*
 * m644a_u1x8_uart1_noled_pr_ee_u4   m644p_u1x8_uart1_noled_pr_ee      m644p_u1x8_uart1_noled_pr_ee_u4
 * m644pa_u1x8_uart1_noled_pr_ee     m644pa_u1x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x617cf94b9827c64e, 0xfda64c6f604e97ff, 0xe449aad68e71ae2d, 0x51f06cc1a63ea3ca, 0x69d68450ef8afbaf,
  0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab, 0x1fadc37b2d973170,
  0xbf600544a9a546c1, 0xeefce726dbf0313b, 0xe4df9bc03ea0c077, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0xa5a97e6d892455bd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x8d526bda792bf734, 0x00000000000004eb,
};

// m644p_u1x8_uart1_noled_pr_ce      m644pa_u1x8_uart1_noled_pr_ce
static const uint64_t ur_m644a_u1x8_uart1_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x1489feb0ef3e1ee6, 0xe82b8b7f69931bd8, 0xe79b8773b7bec7f5, 0x63399ceb0ff3a43f, 0xf19fa8e21e7b965d,
  0x016e189fa4871240, 0x8b9da4151e33398b, 0xc1d3a7b8e58cf1d7, 0xf9ce4db7e062777e, 0x37e6f2dd4180efdd,
  0x6f55d54e5e536339, 0xf19d102e6cc6085a, 0x86e52d4bf36d38c6, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0x332c3a4a5b387138, 0x81c93316792bf734, 0x00000000000005ba,
};

// m644p_u1x8_uart1_noled_pr_ce_u4   m644pa_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m644a_u1x8_uart1_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0xfff617cfb939827c, 0xe2dfda64c6f604be, 0xcdcee3dc62fd621a, 0xc4361222eb3879e3, 0x70fff0347ea3e12f,
  0x4f4f72ceafac9931, 0x92921c4903d67a8e, 0x7f47ac398b0147ce, 0x03ff6678ebd1f3b5, 0x1f03cb5b87d99e54,
  0x3936df8189ddfb07, 0xde01f50603bf77e7, 0xbaa9cbca6c6726fc, 0x6961738c6f19d102, 0xe6d89218edec5551,
  0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xbda792bf734332c3, 0x00000001bafb483e,
};

/*
 * m644a_u1x8_uart1_noled_pr_ee_ce_u4 m644p_u1x8_uart1_noled_pr_ee_ce
 * m644p_u1x8_uart1_noled_pr_ee_ce_u4 m644pa_u1x8_uart1_noled_pr_ee_ce
 * m644pa_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xfb0be7cc7e609f19, 0x6fed32637b024b5f, 0x71ca317ea8fe7571, 0x0911759c3cf1e6e7, 0x299cbf51f097e21b,
  0x76b083df3262e1e9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044, 0xbf39c9b6fc0c4eef,
  0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xa735ed3c95fb9a19, 0x0000000000013f06,
};

/*
 * m644p_u1x8_uart1_noled_ee_hw      m644pa_u1x8_uart1_noled_ee_hw     usb646_u1x8_uart0_noled_ee_hw
 * usb647_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m644a_u1x8_uart1_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0xb7f69931bd813a5f, 0x2b9126ab5a39c6b8, 0xbd47c1b30698fa8f, 0x59a75a1143be2bee,
  0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a, 0x047eb70decb65cc5,
  0xeefd801512a6951b, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637,
  0x7296a5f9b6249156, 0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4,
  0x66587494b670e271, 0xc1e9d514f257ee68, 0x00000000000000b7,
};

/*
 * m644a_u1x8_uart1_noled_ee_ce_u4_hw m644p_u1x8_uart1_noled_ee_ce_hw
 * m644p_u1x8_uart1_noled_ee_ce_u4_hw m644pa_u1x8_uart1_noled_ee_ce_hw
 * m644pa_u1x8_uart1_noled_ee_ce_u4_hw usb646_u1x8_uart0_noled_ee_ce_hw
 * usb646_u1x8_uart0_noled_ee_ce_u4_hw usb647_u1x8_uart0_noled_ee_ce_hw
 * usb647_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x8_uart1_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0x5bfb4c98dec092d7, 0xdc728c5faa3f9d5c, 0x8488bace1e79e439, 0x699bffa8f84bf10d,
  0x76b083df3262e1f9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044, 0xbf39c9b6fc0c4eef,
  0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62, 0x1854e7ea138c6e52,
  0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x2fa29e4afdcd0ccb,
  0x0000000000280b82,
};

/*
 * m644a_u1x8_uart1_lednop_pr        m644p_u1x8_uart1_lednop           m644p_u1x8_uart1_lednop_pr
 * m644pa_u1x8_uart1_lednop          m644pa_u1x8_uart1_lednop_pr
 */
static const uint64_t ur_m644a_u1x8_uart1_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x377fac3bcfa01304, 0x7ae2dfda64c6f605, 0x3417ea3dac77cb08, 0x6537c907e921c490, 0xb2cf4690ce62c059,
  0x5403ff6608ebd1f3, 0x82b40f2cf6d059a4, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xb1e70dca5a97e6db, 0x9fbab31e40d1fc68, 0xe271964b867a615c,
  0xee6866587494b670, 0x07c82a72662cf257,
};

// m644p_u1x8_uart1_lednop_pr_u4     m644pa_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_m644a_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xbff617cfa01304f8, 0x716fed32637b029b, 0x0bf51ed63be5843d, 0x9be483f490e2481a, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x726dbf0313bbf641, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00f9365f875ed3c9,
};

/*
 * m644a_u1x8_uart1_lednop_pr_ee_u4  m644p_u1x8_uart1_lednop_pr_ee     m644p_u1x8_uart1_lednop_pr_ee_u4
 * m644pa_u1x8_uart1_lednop_pr_ee    m644pa_u1x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x617cfa9e9827c64e, 0xfda64c6f6045d7ff, 0xcca9aad68e71ae2d, 0x51f06cc1a63ea3ca, 0xd3ad08a1df1587bf,
  0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab, 0x1fadc37b2d973170,
  0x7ec0087d99e546c1, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0x6db9c8ab7b15545a, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xda792bf734332c3a, 0x00000009d75a376b,
};

// m644p_u1x8_uart1_lednop_pr_ce     m644pa_u1x8_uart1_lednop_pr_ce
static const uint64_t ur_m644a_u1x8_uart1_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xb02dbffeb0ef3e63, 0xebd05716fed32637, 0x5fcf370ee7710d8f, 0xbac67339d61e4397, 0x40f19fa8fcf4f72c,
  0x8b014456bea48712, 0x3af173b6b119a439, 0xbf60eb58b71cb19e, 0xf0202726dbf0313b, 0xfcde0e4ac077eefc,
  0x953b8b29cbe74026, 0x40fd663042d3c315, 0xb52fcdb4e31bc674, 0x81a3f8d163ce1b94, 0x0cf4c2b93f75663c,
  0xe9296ce1c4e32c97, 0xcc59e4afdcd0ccb0, 0x0000000002dd4024,
};

// m644p_u1x8_uart1_lednop_pr_ce_u4  m644pa_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m644a_u1x8_uart1_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xddffb0be7dd2cc13, 0xd716fed32637b02f, 0x1e6e7701a317eb10, 0x7e21b0911759c3cf, 0x2e1d36e76ff51f09,
  0xfa49ee59d5f59326, 0x22d24389207acf51, 0x67a3486731602a62, 0x01ffb33c75e8f9d9, 0x5681e5adc82cd22a,
  0x9c9b6fc0c4eefd90, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00375d2ac5af69e4,
};

/*
 * m644a_u1x8_uart1_lednop_pr_ee_ce_u4 m644p_u1x8_uart1_lednop_pr_ee_ce
 * m644p_u1x8_uart1_lednop_pr_ee_ce_u4 m644pa_u1x8_uart1_lednop_pr_ee_ce
 * m644pa_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0x0be7ffe4c13e3277, 0xda64c6f605d3fffb, 0xd462fd51fceae2df, 0x22eb3879e3cdcec9, 0x83fea3e12fc43612,
  0xc20f7cc98b87ca86, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30, 0x2cb1148b34eb4228, 0xaedc7a8ea426be8c,
  0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a, 0x663eccf2a3608991, 0x2726dbf0313bbf61,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x4498dca5a97e6db9,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0009f96dbaebda79,
};

/*
 * m644p_u1x8_uart1_lednop_ee_hw     m644pa_u1x8_uart1_lednop_ee_hw    usb646_u1x8_uart0_lednop_ee_hw
 * usb647_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m644a_u1x8_uart1_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xdfda64c6f6045d7f, 0xacca9aad68e71ae2, 0xf51f06cc1a63ea3c, 0xcd3ad08a1df1587b,
  0x6909afa30b2c4522, 0x9a39d5a5cf55c6b2, 0xb5d0ebce9bb4648c, 0x0908a09e46f6ac6a, 0x11fadc37b2d97317,
  0x77ec0087d99e546c, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xe6db9c8ab7b15545, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000002dffa2c94,
};

/*
 * m644a_u1x8_uart1_lednop_ee_ce_u4_hw m644p_u1x8_uart1_lednop_ee_ce_hw
 * m644p_u1x8_uart1_lednop_ee_ce_u4_hw m644pa_u1x8_uart1_lednop_ee_ce_hw
 * m644pa_u1x8_uart1_lednop_ee_ce_u4_hw usb646_u1x8_uart0_lednop_ee_ce_hw
 * usb646_u1x8_uart0_lednop_ee_ce_u4_hw usb647_u1x8_uart0_lednop_ee_ce_hw
 * usb647_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0x5bfb4c98dec0ba7f, 0xd93a8c5faa3f9d5c, 0x8488bace1e79e439, 0x66c87fa8f84bf10d,
  0x3b5841ef993170fd, 0x660d6bfa8f2beea5, 0x450298af6ffa8f83, 0xd185962291669d68, 0x39d5db8f51d484d7,
  0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12, 0xec2cc7d99e546c11, 0x0404e4db7e062777,
  0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xfa84e31b94b52fcd,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x00001404c134e8a7,
};

/*
 * m644a_u1x8_uart1_dual_pr          m644a_u1x8_uart1_dual_pr_u4       m644p_u1x8_uart1_dual
 * m644p_u1x8_uart1_dual_pr          m644p_u1x8_uart1_dual_pr_u4       m644pa_u1x8_uart1_dual
 * m644pa_u1x8_uart1_dual_pr         m644pa_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_dual[] = {
  0xeeeeea99448692df, 0xeeeea1ce3e1bb0fe, 0xd8989de475a76eee, 0x914e8e3bbba0ce85, 0x0b928fa10ce226dd,
  0x04a433e4c13e3249, 0x85a6fc0d88711640, 0x50129dd3e251850c, 0x8393387ce9a43fe6, 0x09206fe4dea3945d,
  0x257f9fbe08a14912, 0xce05a13eb87c2886, 0x65a098a2195672f4, 0xffa039e134651508, 0xc161bcaf212db98f,
  0xc98dec08f5ffffb4, 0x8a77cb1355c5bfb4, 0xd2438920621fd47c, 0x9cc580aa0f34e2f7, 0x11d78033b5ac8ebf,
  0xed887486a807fecc, 0xceee2a4aa4e81e59, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x7296a5f9b6e722ad, 0x66fe0eee34591263, 0xf7bca1854e7ea756,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x260f27af69e4afdc,
  0x0000000000000029,
};

/*
 * m644a_u1x8_uart1_dual_pr_ee_u4    m644p_u1x8_uart1_dual_pr_ee       m644p_u1x8_uart1_dual_pr_ee_u4
 * m644pa_u1x8_uart1_dual_pr_ee      m644pa_u1x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeea99448687e1, 0xdddd43963ec5f0fe, 0x588b51dad75bdddd, 0xffb43285eedc1816, 0xbdbc1776d1f1d72a,
  0xa9d304f8c9583722, 0xe06c4388b2002523, 0xee9f128c28642d37, 0x019b9b76bf328094, 0x7537a8e16b6063e7,
  0xdf0450a489049032, 0x9f5c3e144312bfcf, 0x22195672f4ce7598, 0x84cbee2a10cb412b, 0xbc84b6e707fe80e7,
  0x595bfffed30586f2, 0x44ae2dfda64c6f60, 0x3d4795afb9aad68e, 0x2ba95ea3e0d98305, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da, 0x2cc5c242281151f3, 0x2a3608fd6e1bd97d,
  0x7ceee2a4a0109fd6, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x37296a5f9b6e722a, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x56479b7af69e4afd,
};

/*
 * m644a_u1x8_uart1_dual_pr_ce_u4    m644p_u1x8_uart1_dual_pr_ce       m644p_u1x8_uart1_dual_pr_ce_u4
 * m644pa_u1x8_uart1_dual_pr_ce      m644pa_u1x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644a_u1x8_uart1_dual_pr_ce[] = {
  0xddddd532890ddb75, 0xeeeea1c80021e1fd, 0x499389d96a7deeee, 0x28d4d8b777792dc1, 0xe57d7bc9dce72196,
  0x48d506609f192696, 0x4df81b10e22c8009, 0x253ba7c4a30a190b, 0x09c3abe6a1ffcca0, 0x076ea6f51e396c0e,
  0xf9fbe08a14912092, 0xc113eb87c2886257, 0x1fc4432ace5e99ce, 0x0e784db7e2a10cb4, 0x6f2bc84b6fbeffe8,
  0xf60470ffffed3058, 0xfacbeae2dfda64c6, 0x70f3c79b9da568c5, 0x47c25f886c2445d6, 0x2e64c5c3d6fc00fd,
  0xbf51c6fcf72ceaf5, 0xa0a0f9490e2481d4, 0x33b5ac8ebf9cc580, 0x86a807feccf1d780, 0x92a93a0796b70874,
  0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xd7b4f257ee686658, 0x0000000006926f05,
};

// m644p_u1x8_uart1_dual_pr_ee_ce    m644pa_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m644a_u1x8_uart1_dual_pr_ee_ce[] = {
  0xbbbbaa676090cf68, 0xdddd4385c49bc3fb, 0x66fbb1d7dc89dddd, 0xabcaddc1dd1ec73b, 0xea75f576ecf700fa,
  0xfcc13e325a75c9a3, 0x621c459001290b90, 0xf89461432169bf03, 0xa999bff99404a774, 0xf51fb076178670e5,
  0x14292241240d0fa6, 0x0f8510c4aff3f7c1, 0x5672f4ce720e27d7, 0x3a2a10cb409d2219, 0xb6f003fe80e784db,
  0xfffed30586f2bc84, 0x2dfda64c6f6041a3, 0xd98fc62fd51943ae, 0xc2445d670f3c79b9, 0x9124afd47c25f886,
  0x9dac21374c98b87b, 0xd9835f3d4795bf92, 0x1140a62b80dea3e0, 0xf4616588a459a75a, 0xce7576e328752135,
  0x363af512ed10a3de, 0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2, 0x5252cc4feb151b04, 0x4eefd93f8abe7771,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x5f9b6e70c76f62aa,
  0xee34581e8637296a, 0x854e7ea75666fe0e, 0x03e68fb61c4e34a1, 0xc6592e19e985727e, 0xa19961d252d9c389,
  0x00b1ff5ed3c95fb9, 0x0000000000000008,
};

// m644p_u1x8_uart1_dual_pr_ee_ce_u4 m644pa_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644a_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xfdddddd532890c86, 0xbbbbba870b8bade1, 0x9c5bbf7d77bb37bb, 0x4d7b9c56ee0ee80a, 0x2eec6ecc89e62d71,
  0x10f27304f8c929d7, 0xbf03621c45900129, 0xa774f89461432169, 0x38760cd787f99404, 0xc4137a8e87db0c6e,
  0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x64432ace5e99ce6f, 0xf09a574542196845, 0xaf212dbb5dffd01c,
  0x2ddaffffb4c161bc, 0x43d716fed32637b0, 0x1e6e77a6e317ea8e, 0x7e21b0911759c3cf, 0x2e1e9299cbf51f09,
  0x7dd4a76b08443326, 0xa8f83660d31f51e5, 0x34eb422814c57a57, 0xa426be8c2cb1148b, 0x3464d1ceaedd388e,
  0x355e363af6b13b5c, 0x2e1211435f237b56, 0x89a432386f65c7c6, 0x64fe2af9ddc54971, 0x202726dbf0313bbf,
  0x4df9bcc077eefcf0, 0xe02d4e48a5abce80, 0xe88197f318216953, 0x296a5f9b69c6378c, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0x000c9af69e4afdcd, 0x0000000000000002,
};

// m644p_u1x8_uart1_dual_ee_hw       m644pa_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m644a_u1x8_uart1_dual_ee_hw[] = {
  0x777754ca28d1db75, 0xeeea1cb1f62f87f7, 0xc45a8ed6badeeeee, 0xfda1942f76e0c0b2, 0xfaf793d7218eb957,
  0xea74c13e32560dca, 0xf81b10e22c800948, 0x3ba7c4a30a190b4d, 0xc066e6ddafccae83, 0x9d4dea385ad818f9,
  0xf7c114292241240c, 0x27d70f8510c4aff3, 0xc886559cbd339d66, 0xe132fb8a8432d04a, 0xaf212db9c1ffa039,
  0x656ffe43fcc161bc, 0x12b8b7f69931bd81, 0xf51e56bee6ab5a39, 0xaea57a8f83660c14, 0x2291669d68450ef8,
  0x8a973484d7d18596, 0x851ef673ab4b994b, 0x58d56ba1d7a89768, 0xb3170908a04547cf, 0xa8d823f5b86f65f4,
  0xf3bb8a9280427f58, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xdca5a97e6db9c8ab, 0xf79430a9cfd42718, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x952463453c95fb9a, 0x0000000000000576,
};

/*
 * m644a_u1x8_uart1_dual_ee_ce_u4_hw m644p_u1x8_uart1_dual_ee_ce_hw    m644p_u1x8_uart1_dual_ee_ce_u4_hw
 * m644pa_u1x8_uart1_dual_ee_ce_hw   m644pa_u1x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x8_uart1_dual_ee_ce_hw[] = {
  0x777754ca28d15aa4, 0xbbba870b893787f7, 0xcdf763afb913bbbb, 0x5795bb83ba3d8e76, 0xd0d48efd7dee01f5,
  0x1f9827c64b4eb956, 0x6c4388b200252172, 0x9f128c28642d37e0, 0xb53337ff32ba0cee, 0xdea3f60ec2f0ce1c,
  0x228524482481a1f4, 0xe1f0a21895fe7ef8, 0x2ace5e99ce41c4fa, 0x674542196813a443, 0x96de007fd01cf09b,
  0xff21fe60b0de5790, 0x5bfb4c98dec08347, 0xb31f8c5faa32875c, 0x0911759c3cf3c873, 0x9747ff51f097e21b,
  0xed6109ba64c5c3b3, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a,
  0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0xfcdb73863b7b1554,
  0x539fa84e31b94b52, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x8a792bf734332c3a, 0x000000075d7dff86,
};

/*
 * m644a_u1x12_uart1_noled_pr        m644p_u1x12_uart1_noled           m644p_u1x12_uart1_noled_pr
 * m644pa_u1x12_uart1_noled          m644pa_u1x12_uart1_noled_pr
 */
static const uint64_t ur_m644a_u1x12_uart1_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x3fd61de7e719827c, 0xfeda9fddba7c125f, 0x80ef9610f0da3749, 0x52438920682fd47e, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x8189ddfb071f03cb, 0x0603bf77e73936df, 0xca6c6726fcde01f5,
  0x8c6f19d102baa9cb, 0x22adec5551696173, 0xf386e52d4bf36c49, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0xf90e713316792bf7,
};

// m644p_u1x12_uart1_noled_pr_u4     m644pa_u1x12_uart1_noled_pr_u4
static const uint64_t ur_m644a_u1x12_uart1_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfec2f9f9c6609f19, 0xdb53fbb74f824be7, 0x1df2c21e1b46e93f, 0x4871240d05fa8fd0, 0xcc580b2ca67bed6a,
  0x475e8f9dabfa3d61, 0xb63eccf2a01ffb30, 0x313bbf60e3e07967, 0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x98dca5a97e6d8924, 0xd599bf83bb8d1644, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0f93b662ebda792b,
};

/*
 * m644a_u1x12_uart1_noled_pr_ee_u4  m644p_u1x12_uart1_noled_pr_ee     m644p_u1x12_uart1_noled_pr_ee_u4
 * m644pa_u1x12_uart1_noled_pr_ee    m644pa_u1x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0x0be7d82cc13e3277, 0x9fddba7c12387ffb, 0xd1ce30da3749feda, 0x34c7d4795c89355a, 0x1df15f75ea3e0d98,
  0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d, 0x65b2e62e1211473c,
  0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea,
  0xb1248ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xd8668fb61c7f197e,
  0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000009d7bc93d7b,
};

// m644p_u1x12_uart1_noled_pr_ce     m644pa_u1x12_uart1_noled_pr_ce
static const uint64_t ur_m644a_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x2dbffeb0ef3e63e6, 0x749feda9fddba7c1, 0x9dbdf63faf410da3, 0x587f9d21ff3cdc3b, 0x10f3dcb2eb19cce7,
  0xfd243892078cfd47, 0xa8f199cc580b70c4, 0xc72c678ebc5ced20, 0xbf0313bbf60e9d3d, 0xea0c077eefce726d,
  0x72f29b19c9bf3796, 0x73663042d37aaeaa, 0x5f9b69c6378ce881, 0x47f1a2c79c37296a, 0xe985727eeacc7903,
  0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x00000005ba804998,
};

// m644p_u1x12_uart1_noled_pr_ce_u4  m644pa_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m644a_u1x12_uart1_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0xbffb0be7fe74c13e, 0xfeda9fddba7c1228, 0xb8c5fac430da3749, 0x45d670f3c79b9dc7, 0x68fd47c25f886c24,
  0x9d5f593262e1ffe0, 0x9207acf51c9e9ee5, 0x7316028f9d252438, 0xf1d7a3e76afe8f58, 0xb70fb33ca807fecc,
  0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7,
  0x931b94b52fcdb124, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x01bafbaa4d7b4f25,
};

/*
 * m644a_u1x12_uart1_noled_pr_ee_ce_u4 m644p_u1x12_uart1_noled_pr_ee_ce
 * m644p_u1x12_uart1_noled_pr_ee_ce_u4 m644pa_u1x12_uart1_noled_pr_ee_ce
 * m644pa_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xf3e337304f8c9ddf, 0xeedd3e0905affd85, 0xfce86d1ba4ff6d4f, 0xe3cdcee39462fd51, 0x2fc4361222eb3879,
  0xc5c3d253397ea3e1, 0xafa894ed6107be64, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f, 0x52135f4616588a45,
  0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97, 0x189ddfb0b3a254d2,
  0x603bf77e73936df8, 0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x98dca5a97e6d8921,
  0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x04fc10576bda792b,
};

/*
 * m644p_u1x12_uart1_noled_ee_hw     m644pa_u1x12_uart1_noled_ee_hw    usb646_u1x12_uart0_noled_ee_hw
 * usb647_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m644a_u1x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0x6a7f76e9f048e1ff, 0x6b4738c368dd27fb, 0x60d31f51e57224d5, 0x2877c57dd7a8f836,
  0x8c2cb1148b34eb42, 0x979c571ac9a426be, 0x74ddb7b4782ce756, 0xf230e36355ae875e, 0xbd96cb98b848451c,
  0xa254d2a3608fd6e1, 0x936df8189ddfb002, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd, 0x961738c6f19d102b,
  0x36c4922adec55516, 0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000000b7c8c7fa2,
};

/*
 * m644a_u1x12_uart1_noled_ee_ce_u4_hw m644p_u1x12_uart1_noled_ee_ce_hw
 * m644p_u1x12_uart1_noled_ee_ce_u4_hw m644pa_u1x12_uart1_noled_ee_ce_hw
 * m644pa_u1x12_uart1_noled_ee_ce_u4_hw usb646_u1x12_uart0_noled_ee_ce_hw
 * usb646_u1x12_uart0_noled_ee_ce_u4_hw usb647_u1x12_uart0_noled_ee_ce_hw
 * usb647_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x12_uart1_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0x53fbb74f82416bfc, 0x547f3a1b46e93fdb, 0x3cf3c873b8e518bf, 0xf097e21b0911759c,
  0x64c5c3f2d337ff51, 0x3cafa894ed6107be, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xf8189ddfb0b3a254,
  0x50603bf77e73936d, 0xbca6c6726fcde01f, 0x38c6f19d102baa9c, 0x218edec555169617, 0x2718dca5a97e6d89,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x005011ab37453c95,
};

/*
 * m644a_u1x12_uart1_lednop_pr       m644p_u1x12_uart1_lednop          m644p_u1x12_uart1_lednop_pr
 * m644pa_u1x12_uart1_lednop         m644pa_u1x12_uart1_lednop_pr
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xf7fac3bcf9eb304f, 0x7fb6a7f76e9f04a5, 0xd63be5843c368dd2, 0xf490e2481a0bf51e, 0x6731602cb29be483,
  0x0475e8f9d967a348, 0x7b682cd22a01ffb3, 0x0313bbf6415a0796, 0x7eefcf0202726dbf, 0x4026fcde6c8a0c07,
  0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2d4bf36dce455bd8, 0x2068fe3458f386e5, 0xc33d30ae4fdd598f,
  0x3a4a5b387138cb25, 0x3316792bf734332c, 0x0000000001f20491,
};

// m644p_u1x12_uart1_lednop_pr_u4    m644pa_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_m644a_u1x12_uart1_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xffb0be7cf59827c6, 0xeda9fddba7c1297d, 0x8ef9610f0da3749f, 0x2438920682fd47b5, 0xcc580b2ca6f920fd,
  0x1d7a3e7659e8d219, 0xda0b348a807fecc1, 0xc4eefd905681e59e, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x52fcdb739156f62a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x5ad7b4f257ee6866,
  0x00000000001f27f6,
};

/*
 * m644a_u1x12_uart1_lednop_pr_ee_u4 m644p_u1x12_uart1_lednop_pr_ee    m644p_u1x12_uart1_lednop_pr_ee_u4
 * m644pa_u1x12_uart1_lednop_pr_ee   m644pa_u1x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x85f3f95a609f193b, 0x4feedd3e09143ffd, 0x68e7186d1ba4ff6d, 0x1a63ea3cacca9aad, 0x1df1587bf51f06cc,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce, 0xb2d973170908a09e,
  0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x4eb86a76bda792bf,
};

/*
 * m644a_u1x12_uart1_lednop_pr_ce_u4 m644p_u1x12_uart1_lednop_pr_ce    m644p_u1x12_uart1_lednop_pr_ce_u4
 * m644pa_u1x12_uart1_lednop_pr_ce   m644pa_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xbff617cf9c39827c, 0xfdb53fbb74f82495, 0xd18bf58861b46e93, 0x8bace1e78f373b80, 0xb7fa8f84bf10d848,
  0xeafac993170e9b73, 0x903d67a8fd24f72c, 0x98b01531116921c4, 0x3af47cecb3d1a433, 0xe416691500ffd99e,
  0x62777ec82b40f2d6, 0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0x52fcdb73863b7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0xdad7b4f257ee6866, 0x00000000001baf05,
};

/*
 * m644a_u1x12_uart1_lednop_pr_ee_ce_u4 m644p_u1x12_uart1_lednop_pr_ee_ce
 * m644p_u1x12_uart1_lednop_pr_ee_ce_u4 m644pa_u1x12_uart1_lednop_pr_ee_ce
 * m644pa_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xf3e1a2609f193ba7, 0xddba7c12b1fffd85, 0xf9d0da3749feda9f, 0xc79b9d93a8c5faa3, 0x5f886c2445d670f3,
  0x170f950d07fd47c2, 0xbeea53b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298af6ff, 0x484d7d1859622916,
  0x48c9a39d5db8f51d, 0x8d578d8ebce9bb46, 0x62e1211413c8ded5, 0x46c1132386f65b2e, 0x62777ec2cc7d99e5,
  0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x52fcdb73863b7b15,
  0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xa4d7b4f257ee6866, 0x000000000009f87a,
};

/*
 * m644p_u1x12_uart1_lednop_ee_hw    m644pa_u1x12_uart1_lednop_ee_hw   usb646_u1x12_uart0_lednop_ee_hw
 * usb647_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0xd4feedd3e09143ff, 0xd68e7186d1ba4ff6, 0xc1a63ea3cacca9aa, 0xa1df1587bf51f06c,
  0x30b2c4522cd3ad08, 0x5cf55c6b26909afa, 0xe9bb4648c9a39d5a, 0xe46f6ac6ab5d0ebc, 0x7b2d973170908a09,
  0x7d99e546c11fadc3, 0x4db7e062777ec008, 0x4180efddf9e0404e, 0x9c94e804df9bcd91, 0x378ce881df2a6f52,
  0xab7b15545a6ae9c6, 0x18dca5a97e6db9c8, 0x1ef79430a9cfd427, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x16ff520f453c95fb,
};

/*
 * m644a_u1x12_uart1_lednop_ee_ce_u4_hw m644p_u1x12_uart1_lednop_ee_ce_hw
 * m644p_u1x12_uart1_lednop_ee_ce_u4_hw m644pa_u1x12_uart1_lednop_ee_ce_hw
 * m644pa_u1x12_uart1_lednop_ee_ce_u4_hw usb646_u1x12_uart0_lednop_ee_ce_hw
 * usb646_u1x12_uart0_lednop_ee_ce_u4_hw usb647_u1x12_uart0_lednop_ee_ce_hw
 * usb647_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x12_uart1_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0x53fbb74f82563ffe, 0x547f3a1b46e93fdb, 0x3cf3c873b27518bf, 0xf097e21b0911759c,
  0x3262e1facd90ff51, 0x1e57dd4a76b083df, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0xfc0c4eefd8598fb3,
  0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f,
  0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x4bf0d14f257ee686, 0x0000000000001405,
};

/*
 * m644a_u1x12_uart1_dual_pr         m644a_u1x12_uart1_dual_pr_u4      m644p_u1x12_uart1_dual
 * m644p_u1x12_uart1_dual_pr         m644p_u1x12_uart1_dual_pr_u4      m644pa_u1x12_uart1_dual
 * m644pa_u1x12_uart1_dual_pr        m644pa_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_dual[] = {
  0xbbbab1b544867a31, 0xbba8718894ec3fbb, 0xccc8ac1d015bbbbb, 0xeca0deeee9bba0ac, 0xc913f0fb6503e69c,
  0x523ace609f192825, 0xd37e06c4388b2002, 0x094ee9f128c28642, 0xe71c243cc5d7f328, 0x206bee6f51dc9ec3,
  0x7f9fbe08a1491209, 0x31f13eb87c288625, 0x43e44432ace5e99c, 0x4073c261f22a10cb, 0xc3795e425b780dff,
  0xa7c1209fffff6982, 0x0da3749feda9fddb, 0x21fd47c8a77cb135, 0xf34e2f7d24389206, 0x5ac8ebf9cc580aa0,
  0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x00000292620d5af6,
};

/*
 * m644a_u1x12_uart1_dual_pr_ee_u4   m644p_u1x12_uart1_dual_pr_ee      m644p_u1x12_uart1_dual_pr_ee_u4
 * m644pa_u1x12_uart1_dual_pr_ee     m644pa_u1x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_dual_pr_ee[] = {
  0xdddd58daa243573e, 0xbba8731d957e1fdd, 0xed9f1d6db9dbbbbb, 0x336dd05dd4761b93, 0xbb2bbf594eb63ae9,
  0x9827c64cbbb92e2f, 0x621c459001290b82, 0xf89461432169bf03, 0xd4c9b7f99404a774, 0x7a8e63fb019b386e,
  0x450a489049034b53, 0xc3e144312bfcfdf0, 0x95672f4ce32189f5, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xffffda60b0de5790, 0xfb6a7f76e9f04b7d, 0xd56b47224368dd27, 0x6cc1829ea3cad7dc, 0x08a1df15d4af51f0,
  0xfa30b2c4522cd3ad, 0x6973297152e6909a, 0xf512ed10a3dece75, 0x08a8f9eb1aad743a, 0x0decbe9662e12114,
  0x084feb151b047eb7, 0xd93f8abe77715250, 0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000002b25d5bd7b,
};

/*
 * m644a_u1x12_uart1_dual_pr_ce_u4   m644p_u1x12_uart1_dual_pr_ce      m644p_u1x12_uart1_dual_pr_ce_u4
 * m644pa_u1x12_uart1_dual_pr_ce     m644pa_u1x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644a_u1x12_uart1_dual_pr_ce[] = {
  0xbbbab1b54486c541, 0xbba872a1c6ac3fbb, 0x96ca69db9f7bbbbb, 0xb11dadddde9c8ed3, 0xb047f0a8fa8c53ec,
  0x720f304f8c9fa772, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe143f374ffe65012, 0xb3a6f51ce0ec3abc,
  0xfbe08a1491209207, 0x13eb87c2886257f9, 0xb4432ace5e99cbc3, 0xf0983dc54219682f, 0x579096df4dffd01c,
  0x48a5ffffda60b0de, 0xdd27fb6a7f76e9f0, 0xed2b462fd65f4368, 0x61222eb3879e3cdc, 0xb7e007ea3e12fc43,
  0xb96757a973262e1e, 0x71240ea5fa8e37e7, 0xfce62c050507ca48, 0x678ebc019dad6475, 0xb5b843a435403ff6,
  0xaf9ddc549549d03c, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0x8dca5a97e6db9c31, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x349054e6bda792bf,
};

// m644p_u1x12_uart1_dual_pr_ee_ce   m644pa_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m644a_u1x12_uart1_dual_pr_ee_ce[] = {
  0xddd58dad41435202, 0xba87188a6be1fddd, 0xdce2c5a843bbbbbb, 0xd4df25dd7ac3d900, 0xd07e79afb375c4ab,
  0x04f8c966772721d6, 0x871164004a459273, 0x251850c85a6fc0d8, 0x37ebfe650129dd3e, 0xa8f5bfb080070149,
  0xa14912092073b737, 0x7c2886257f9fbe08, 0x59cbd338a9113eb8, 0xe8a8432d0b748865, 0xdbe9affa039e1329,
  0xfffb4c161bcaf212, 0x6d4feedd3e0905af, 0xfd51fee86d1ba4ff, 0x92bf3c79b9dc72b1, 0xb02cdd339d61ee44,
  0x0d7cf51e56fe4a76, 0x0298ae037a8f8366, 0x85962291669d6845, 0xd5db8ca1d484d7d1, 0xebd44bb4428f7b39,
  0xa04547cf58d578d8, 0x386f65f4b3170908, 0x4b313fac546c1132, 0xbf64fe2af9ddc549, 0xf0202726dbf0313b,
  0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0xd1607a18dca5a97e,
  0x39fa9d599bf83bb8, 0x9a3ed87138d28615, 0x64b867a615c9f80f, 0x6587494b670e2719, 0x204d7b4f257ee686,
  0x0000000000000400,
};

// m644p_u1x12_uart1_dual_pr_ee_ce_u4 m644pa_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644a_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0x775636a8a87fce4a, 0x750e78f07d87f777, 0x5deeb7a3f3777777, 0x8bd1deeabe086843, 0xdcaf657e44fb8403,
  0xc13e324055cb98ac, 0x871164004a41662c, 0x251850c85a6fc0d8, 0x64a8fccac049dd3e, 0x8f787b0e5a38337e,
  0x14912092078dd37a, 0xc2886257f9fbe08a, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x562982c3795e425b, 0x3fbb74f825a6bff9, 0x4650e1b46e93fdb5, 0x3cf8067663f18bf5, 0x25f886c2445d670f,
  0x62e1cc03743fd47c, 0x56fe4a76b084dd32, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0xdca5a97e6db9c31d, 0xcdfc1a3f8d164498, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x0ac85f20d3c95fb9, 0x0000000000000100,
};

// m644p_u1x12_uart1_dual_ee_hw      m644pa_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m644a_u1x12_uart1_dual_ee_hw[] = {
  0xeeeac6d51468c541, 0xdd4398ecabf0feee, 0x6cf8eb6dcedddddd, 0x9b6e82eea3b0dc9f, 0x1fc3aa3175b1d749,
  0x14c13e3265ddcac1, 0x1b10e22c8009485c, 0xa7c4a30a190b4df8, 0x76a64dbfccae833b, 0x9bd4731fd80cd9c3,
  0x8228524482481a5a, 0xae1f0a21895fe7ef, 0x0cab397a67190c4f, 0x628b150865a0e951, 0x84b6fd5fff4073c2,
  0xfff90ff30586f2bc, 0xfdb53fbb74f825be, 0x6ab5a39121b46e93, 0x3660c14f51e56bee, 0x8450ef8aea57a8f8,
  0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d, 0x86f65f4b3170908a,
  0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9,
  0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00002bb58cf2f453,
};

/*
 * m644a_u1x12_uart1_dual_ee_ce_u4_hw m644p_u1x12_uart1_dual_ee_ce_hw
 * m644p_u1x12_uart1_dual_ee_ce_u4_hw m644pa_u1x12_uart1_dual_ee_ce_hw
 * m644pa_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u1x12_uart1_dual_ee_ce_hw[] = {
  0xbbab1b5451a12793, 0xba873c783ec3fbbb, 0xaef75bd1f9bbbbbb, 0xc5e8ef755f043421, 0xd3ad127f227dc201,
  0x609f19202ae42cd8, 0x4388b2002520b316, 0x128c28642d37e06c, 0x992a3f32ba0cee9f, 0xa3de1ec3968e0cdf,
  0x8524482481e374de, 0xf0a21895fe7ef822, 0xce5e99c575c4fae1, 0x4542196825a4432a, 0xdc527fd01cf09a39,
  0x21fe60b0de579096, 0xa7f76e9f04b4d7ff, 0xa8ca1c368dd27fb6, 0xf3cf21cecc7e317e, 0xc25f886c2445d670,
  0x93170ece5d1ffd47, 0xf2b7f253b58426e9, 0x1bd47c1b306be7a8, 0x8b34eb422814c570, 0x0ea426be8c2cb114,
  0xa2147bd9ceaedc65, 0x7ac6abc6c75ea25d, 0xa598b84845022a3e, 0x62a3608991c37b2f, 0x57ceee2a4a5989fd,
  0x36df8189ddfb27f1, 0x0603bf77e7810139, 0x7253a0137e6f3645, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xc6e52d4bf36dce18, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0xbad3d3aa29e4afdc, 0x000000000000000e,
};

/*
 * m644a_u2x8_uart1_noled_pr         m644p_u2x8_uart1_noled            m644p_u2x8_uart1_noled_pr
 * m644pa_u2x8_uart1_noled           m644pa_u2x8_uart1_noled_pr
 */
static const uint64_t ur_m644a_u2x8_uart1_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0xf9feb0ef3f38cc13, 0xdaa3949bedd3e092, 0x3f4077cb08786d1b, 0xb5a921c4903417ea, 0xf58731602cb299ef,
  0xecc11d7a3e76afe8, 0xe59ed8fb33ca807f, 0x6fc0c4eefd838f81, 0xfa8301dfbbf39c9b, 0xe5e53633937e6f00,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x2c79c37296a5f9b6, 0x27eeacc790347f1a, 0x389c6592e19e9857,
  0xfb9a19961d252d9c, 0x007c8738998b3c95,
};

// m644p_u2x8_uart1_noled_pr_u4      m644pa_u2x8_uart1_noled_pr_u4
static const uint64_t ur_m644a_u2x8_uart1_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x3ff617cfce3304f8, 0x5472937dba7c125f, 0xe80ef9610f0da37b, 0xb52438920682fd47, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xf8189ddfb071f03c, 0x50603bf77e73936d, 0xbca6c6726fcde01f,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0007c9db3175ed3c,
};

/*
 * m644a_u2x8_uart1_noled_pr_ee_u4   m644p_u2x8_uart1_noled_pr_ee      m644p_u2x8_uart1_noled_pr_ee_u4
 * m644pa_u2x8_uart1_noled_pr_ee     m644pa_u2x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0xd85f3ec16609f193, 0x949bedd3e091c3ff, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a, 0x450ef8afbaf51f06,
  0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb, 0x37b2d973170908a3,
  0x544a9a546c11fadc, 0x726dbf0313bbf600, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205,
  0xe6d892455bd8aaa2, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xbda792bf734332c3, 0x000000004ebde49e,
};

// m644p_u2x8_uart1_noled_pr_ce      m644pa_u2x8_uart1_noled_pr_ce
static const uint64_t ur_m644a_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0x096dfff58779f31f, 0xd1bdaa3949bedd3e, 0x1dcedefb1fd7a086, 0x73ac3fce90ff9e6e, 0xa38879ee59758ce6,
  0x627e921c4903c67e, 0x905478cce62c05b8, 0x9ee39633c75e2e76, 0x36df8189ddfb074e, 0xcb750603bf77e739,
  0x5539794d8ce4df9b, 0x40b9b3182169bd57, 0xb52fcdb4e31bc674, 0x81a3f8d163ce1b94, 0x0cf4c2b93f75663c,
  0xe9296ce1c4e32c97, 0xcc59e4afdcd0ccb0, 0x0000000002dd4024,
};

// m644p_u2x8_uart1_noled_pr_ce_u4   m644pa_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m644a_u2x8_uart1_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0x45ffd85f3ff3a609, 0xdaa3949bedd3e091, 0xe3dc62fd62186d1b, 0x1222eb3879e3cdce, 0xf0347ea3e12fc436,
  0x72ceafac993170ff, 0x1c4903d67a8e4f4f, 0xac398b0147ce9292, 0x6678ebd1f3b57f47, 0xcb5b87d99e5403ff,
  0xdf8189ddfb071f03, 0xf50603bf77e73936, 0xcbca6c6726fcde01, 0x738c6f19d102baa9, 0x9218edec55516961,
  0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x0000dd7dd526bda7,
};

/*
 * m644a_u2x8_uart1_noled_pr_ee_ce_u4 m644p_u2x8_uart1_noled_pr_ee_ce
 * m644p_u2x8_uart1_noled_pr_ee_ce_u4 m644pa_u2x8_uart1_noled_pr_ee_ce
 * m644pa_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x2f9f19b9827c64ee, 0x4df6e9f0482d7fec, 0xa8fe74368ded51ca, 0x3cf1e6e771ca317e, 0xf097e21b0911759c,
  0x3262e1e9299cbf51, 0x1e57d44a76b083df, 0x4ff51f06cc1ad7f5, 0x22cd3ad08a053158, 0x23a909afa30b2c45,
  0xdbda3c1673abb74e, 0xe36355e363af3a6e, 0xcb98b848451cf230, 0x6951b044c8e1bd96, 0xfc0c4eefd859d12a,
  0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b, 0x224c6e52d4bf36c4,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00027e082bb5ed3c,
};

/*
 * m644p_u2x8_uart1_noled_ee_hw      m644pa_u2x8_uart1_noled_ee_hw     usb646_u2x8_uart0_noled_ee_hw
 * usb647_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m644a_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x8e526fb74f82470f, 0x6ab5a39c61b46f6a, 0x1b30698fa8f2b912, 0xa1143be2beebd47c,
  0x5f4616588a459a75, 0xab4bce2b8d64d213, 0xaf3a6edbda3c1673, 0x8e791871b1aad743, 0x70decb65cc5c2422,
  0x01512a6951b047eb, 0x39c9b6fc0c4eefd8, 0xe6f00fa8301dfbbf, 0x15d54e5e53633937, 0x8b4b0b9c6378ce88,
  0x5f9b6249156f62aa, 0x2a73f509c637296a, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0xd14f257ee6866587, 0x0000000005be463f,
};

/*
 * m644a_u2x8_uart1_noled_ee_ce_u4_hw m644p_u2x8_uart1_noled_ee_ce_hw
 * m644p_u2x8_uart1_noled_ee_ce_u4_hw m644pa_u2x8_uart1_noled_ee_ce_hw
 * m644pa_u2x8_uart1_noled_ee_ce_u4_hw usb646_u2x8_uart0_noled_ee_ce_hw
 * usb646_u2x8_uart0_noled_ee_ce_u4_hw usb647_u2x8_uart0_noled_ee_ce_hw
 * usb647_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x8_uart1_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x72937dba7c120b5f, 0x5faa3f9d0da37b54, 0xce1e79e439dc728c, 0xa8f84bf10d8488ba,
  0xdf3262e1f9699bff, 0xf51e57d44a76b083, 0x584ff51f06cc1ad7, 0x4522cd3ad08a0531, 0x4e23a909afa30b2c,
  0x6edbda3c1673abb7, 0x30e36355e363af3a, 0x96cb98b848451cf2, 0x2a6951b044c8e1bd, 0xb6fc0c4eefd859d1,
  0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0xea138c6e52d4bf36,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00002808d59ba29e,
};

/*
 * m644a_u2x8_uart1_lednop_pr        m644p_u2x8_uart1_lednop           m644p_u2x8_uart1_lednop_pr
 * m644pa_u2x8_uart1_lednop          m644pa_u2x8_uart1_lednop_pr
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x2fbfd61de7cf5982, 0xf6a8e526fb74f825, 0x8f6b1df2c21e1b46, 0x41fa4871240d05fa, 0xa43398b016594df2,
  0xd9823af47cecb3d1, 0xcb3db416691500ff, 0xdf8189ddfb20ad03, 0x03bf77e781013936, 0x53a0137e6f364506,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x7296a5f9b6e722ad, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x48998b3c95fb9a19, 0x000000000000f902,
};

// m644p_u2x8_uart1_lednop_pr_u4     m644pa_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_m644a_u2x8_uart1_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xeffd85f3e7acc13e, 0xaa3949bedd3e094b, 0xdac77cb08786d1bd, 0x7e921c4903417ea3, 0x0ce62c0596537c90,
  0x608ebd1f3b2cf469, 0xcf6d059a45403ff6, 0xe062777ec82b40f2, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0xa5a97e6db9c8ab7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xfb2d6bda792bf734,
  0x0000000000000f93,
};

/*
 * m644a_u2x8_uart1_lednop_pr_ee_u4  m644p_u2x8_uart1_lednop_pr_ee     m644p_u2x8_uart1_lednop_pr_ee_u4
 * m644pa_u2x8_uart1_lednop_pr_ee    m644pa_u2x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xec2f9fcad304f8c9, 0xca4df6e9f048a1ff, 0x56b4738c368ded51, 0x660d31f51e56654d, 0x450ef8ac3dfa8f83,
  0xd185962291669d68, 0xd2e7aae3593484d7, 0xe74dda32464d1cea, 0x4f237b56355ae875, 0x1bd96cb98b848450,
  0x43eccf2a3608fd6e, 0x726dbf0313bbf600, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a,
  0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00275c353b5ed3c9,
};

/*
 * m644a_u2x8_uart1_lednop_pr_ce_u4  m644p_u2x8_uart1_lednop_pr_ce     m644p_u2x8_uart1_lednop_pr_ce_u4
 * m644pa_u2x8_uart1_lednop_pr_ce    m644pa_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0xadffb0be7ce1cc13, 0xb5472937dba7c124, 0xc068c5fac430da37, 0x2445d670f3c79b9d, 0xb9dbfd47c25f886c,
  0x96757d64c98b874d, 0xe2481eb3d47e927b, 0x19cc580a9888b490, 0xcf1d7a3e7659e8d2, 0x6b720b348a807fec,
  0xf0313bbf6415a079, 0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0xa5a97e6db9c31dbd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x82ed6bda792bf734, 0x0000000000000dd7,
};

/*
 * m644a_u2x8_uart1_lednop_pr_ee_ce_u4 m644p_u2x8_uart1_lednop_pr_ee_ce
 * m644p_u2x8_uart1_lednop_pr_ee_ce_u4 m644pa_u2x8_uart1_lednop_pr_ee_ce
 * m644pa_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x2f9f0d1304f8c9dd, 0x9bedd3e0958fffec, 0x51fce86d1bdaa394, 0x79e3cdcec9d462fd, 0xe12fc4361222eb38,
  0xc98b87ca8683fea3, 0x795f7529dac20f7c, 0x7fd47c1b306b5fd4, 0x8b34eb422814c57b, 0x8ea426be8c2cb114,
  0xa32464d1ceaedc7a, 0x6ac6abc6c75e74dd, 0x973170908a09e46f, 0xf2a3608991c37b2d, 0xf0313bbf61663ecc,
  0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd,
  0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0x3d526bda792bf734, 0x00000000000004fc,
};

/*
 * m644p_u2x8_uart1_lednop_ee_hw     m644pa_u2x8_uart1_lednop_ee_hw    usb646_u2x8_uart0_lednop_ee_hw
 * usb647_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0x1ca4df6e9f048a1f, 0xd56b4738c368ded5, 0x3660d31f51e56654, 0x8450ef8ac3dfa8f8,
  0x7d185962291669d6, 0xad2e7aae3593484d, 0x5e74dda32464d1ce, 0x04f237b56355ae87, 0xe1bd96cb98b84845,
  0x043eccf2a3608fd6, 0x2726dbf0313bbf60, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537,
  0xe455bd8aaa2d3574, 0x138c6e52d4bf36dc, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x000b7fa907a29e4a,
};

/*
 * m644a_u2x8_uart1_lednop_ee_ce_u4_hw m644p_u2x8_uart1_lednop_ee_ce_hw
 * m644p_u2x8_uart1_lednop_ee_ce_u4_hw m644pa_u2x8_uart1_lednop_ee_ce_hw
 * m644pa_u2x8_uart1_lednop_ee_ce_u4_hw usb646_u2x8_uart0_lednop_ee_ce_hw
 * usb646_u2x8_uart0_lednop_ee_ce_u4_hw usb647_u2x8_uart0_lednop_ee_ce_hw
 * usb647_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x72937dba7c12b1ff, 0x5faa3f9d0da37b54, 0xce1e79e439d93a8c, 0xa8f84bf10d8488ba,
  0xef993170fd66c87f, 0xfa8f2beea53b5841, 0xaf6ffa8f83660d6b, 0x2291669d68450298, 0x8f51d484d7d18596,
  0x9bb4648c9a39d5db, 0x8ded58d578d8ebce, 0x65b2e62e1211413c, 0xd99e546c1132386f, 0xdb7e062777ec2cc7,
  0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x1b94b52fcdb73863,
  0xdef2861539fa84e3, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0x02a5f868a792bf73, 0x000000000000000a,
};

/*
 * m644a_u2x8_uart1_dual_pr          m644a_u2x8_uart1_dual_pr_u4       m644p_u2x8_uart1_dual
 * m644p_u2x8_uart1_dual_pr          m644p_u2x8_uart1_dual_pr_u4       m644pa_u2x8_uart1_dual
 * m644pa_u2x8_uart1_dual_pr         m644pa_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_dual[] = {
  0xeeeeeead44867a31, 0xeeeea1c62253b0fe, 0xb33322b074056eee, 0x73b2837bbba6ee82, 0x97244fc3ed940f9a,
  0x0948eb39827c64a0, 0x0b4df81b10e22c80, 0xa0253ba7c4a30a19, 0x0f9c7090f3175fcc, 0x2481afb9bd47727b,
  0x95fe7ef822852448, 0x70c7c4fae1f0a218, 0x2d0f9110cab397a6, 0xfd01cf0987c8a843, 0x0b0de579096de037,
  0x6e9f04827ffffda6, 0x4d4368ded51ca4df, 0x81887f51f229df2c, 0xa83cd38bdf490e24, 0xced6b23afe731602,
  0x1aa01ffb30475e00, 0x2a93a07967b621d2, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf,
  0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xb8d164498dca5a97, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xbda792bf734332c3,
  0x00000000a4988356,
};

/*
 * m644a_u2x8_uart1_dual_pr_ee_u4    m644p_u2x8_uart1_dual_pr_ee       m644p_u2x8_uart1_dual_pr_ee_u4
 * m644pa_u2x8_uart1_dual_pr_ee      m644pa_u2x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_dual_pr_ee[] = {
  0x77777756a243573e, 0xeeeea1cc7655f87f, 0x4fb67c75b6e76eee, 0xa4cdb7417751d86e, 0xbeecaefd653ad8eb,
  0x0a609f1932eee4b8, 0x0d8871164004a42e, 0xd3e251850c85a6fc, 0xbb5326dfe650129d, 0x4dea398fec066ce1,
  0xc114292241240d2d, 0xd70f8510c4aff3f7, 0x86559cbd338c8627, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xf7ffff6982c3795e, 0xb5472937dba7c12d, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5, 0xeb422877c5752bd4,
  0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d, 0xadc37b2fa598b848,
  0x940213fac546c11f, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5ed3c95fb9a19961, 0x000000000ac9756f,
};

/*
 * m644a_u2x8_uart1_dual_pr_ce_u4    m644p_u2x8_uart1_dual_pr_ce       m644p_u2x8_uart1_dual_pr_ce_u4
 * m644pa_u2x8_uart1_dual_pr_ce      m644pa_u2x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644a_u2x8_uart1_dual_pr_ce[] = {
  0xeeeeeead4486c541, 0xeeeea1ca871ab0fe, 0x4e5b29a76e7deeee, 0xb2c476b7777a723b, 0xcac11fc2a3ea314f,
  0x91c83cc13e327e9d, 0x9bf03621c4590012, 0x4a774f8946143216, 0xf3850fcdd3ff9940, 0x1ece9bd47383b0ea,
  0xe7ef822852448248, 0x0c4fae1f0a21895f, 0xbed10cab397a672f, 0x73c260f7150865a0, 0x795e425b7d37ff40,
  0xc12297ffff6982c3, 0xda37b5472937dba7, 0x373b4ad18bf597d0, 0x10d8488bace1e78f, 0x87adf801fa8f84bf,
  0xf9ee59d5ea5cc98b, 0x921c4903a97ea38d, 0x1d7f398b014141f2, 0xfd99e3af00676b59, 0x0f2d6e10e90d500f,
  0xf8abe77715255274, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x000d241539af69e4,
};

// m644p_u2x8_uart1_dual_pr_ee_ce    m644pa_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m644a_u2x8_uart1_dual_pr_ee_ce[] = {
  0x7777756d41435202, 0xeeea1c6229af87f7, 0x03738b16a10eeeee, 0xaf537c9775eb0f64, 0x5b41f9e6becdd712,
  0xcc13e32599dc9c87, 0x621c459001291649, 0xf89461432169bf03, 0x24dfaff99404a774, 0xdea3d6fec2001c05,
  0x228524482481cedc, 0xe1f0a21895fe7ef8, 0x95672f4ce2a444fa, 0xa7a2a10cb42dd221, 0x4b6fa6bfe80e784c,
  0xbfffed30586f2bc8, 0xa8e526fb74f82416, 0xac7f547fba1b46f6, 0x9124afcf1e6e771c, 0x9dac0b374ce7587b,
  0xd9835f3d4795bf92, 0x1140a62b80dea3e0, 0xf4616588a459a75a, 0xce7576e328752135, 0x363af512ed10a3de,
  0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2, 0x5252cc4feb151b04, 0x4eefd93f8abe7771, 0xbf3c0809c9b6fc0c,
  0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x5f9b6e70c76f62aa, 0xee34581e8637296a,
  0x854e7ea75666fe0e, 0x03e68fb61c4e34a1, 0xc6592e19e985727e, 0xa19961d252d9c389, 0x0008135ed3c95fb9,
  0x0000000000000001,
};

// m644p_u2x8_uart1_dual_pr_ee_ce_u4 m644pa_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644a_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xddddd5a8a87fce4a, 0xddd439e3c1f61fdd, 0x0d77bade8fcddddd, 0x0e2f477baaf821a1, 0xb372bd95f913ee10,
  0xb304f8c901572e62, 0x621c459001290598, 0xf89461432169bf03, 0xf992a3f32b012774, 0xea3de1ec3968e0cd,
  0x28524482481e374d, 0x1f0a21895fe7ef82, 0xace5e99c575c4fae, 0x94542196825a4432, 0x6dc527fd01cf09a3,
  0xe558a60b0de57909, 0x949bedd3e0969aff, 0xfd5194386d1bdaa3, 0xc3cf3e019d98fc62, 0x1f097e21b0911759,
  0x4c98b87300dd0ff5, 0x4795bf929dac2137, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b, 0x28752135f4616588,
  0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9, 0x8abe77715252cc4f,
  0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0x2637296a5f9b6e70, 0xab337f068fe34591, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x4002b217c834f257,
};

// m644p_u2x8_uart1_dual_ee_hw       m644pa_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m644a_u2x8_uart1_dual_ee_hw[] = {
  0xbbbbbab51468c541, 0x77750e63b2afc3fb, 0x7db3e3adb73b7777, 0x266dba0bba8ec372, 0x047f0ea8c5d6c75d,
  0x705304f8c997772b, 0xe06c4388b2002521, 0xee9f128c28642d37, 0x0dda9936ff32ba0c, 0x6a6f51cc7f603367,
  0xbe08a14912092069, 0x3eb87c2886257f9f, 0x4432ace5e99c6431, 0x098a2c54219683a5, 0xf212dbf57ffd01cf,
  0xfbffe43fcc161bca, 0xdaa3949bedd3e096, 0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2ba95ea,
  0x135f4616588a459a, 0xcead2e652e2a5cd2, 0x875ea25da2147bd9, 0x2281151f3d6355ae, 0xd6e1bd97d2cc5c24,
  0x4a0109fd62a3608f, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x0000000aed633cbd,
};

/*
 * m644a_u2x8_uart1_dual_ee_ce_u4_hw m644p_u2x8_uart1_dual_ee_ce_hw    m644p_u2x8_uart1_dual_ee_ce_u4_hw
 * m644pa_u2x8_uart1_dual_ee_ce_hw   m644pa_u2x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x8_uart1_dual_ee_ce_hw[] = {
  0xeeeeead451a12793, 0xeeea1cf1e0fb0fee, 0x86bbdd6f47e6eeee, 0x0717a3bdd57c10d0, 0x634eb449fc89f708,
  0x59827c6480ab90b3, 0xb10e22c8009482cc, 0x7c4a30a190b4df81, 0x7e64a8fccae833ba, 0x7a8f787b0e5a3833,
  0x8a14912092078dd3, 0x87c2886257f9fbe0, 0xab397a6715d713eb, 0xe5150865a096910c, 0x5b7149ff4073c268,
  0xfc87f982c3795e42, 0x72937dba7c12d35f, 0x5faa32870da37b54, 0x9c3cf3c873b31f8c, 0x51f097e21b091175,
  0xba64c5c3b39747ff, 0xea3cadfc94ed6109, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531, 0x1943a909afa30b2c,
  0x9768851ef673abb7, 0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de, 0xfc55f3bb8a929662,
  0x4e4db7e062777ec9, 0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0x4e31b94b52fcdb73, 0xbc3def2861539fa8, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x03aeb4f4ea8a792b,
};

/*
 * m644a_u2x12_uart1_noled_pr        m644p_u2x12_uart1_noled           m644p_u2x12_uart1_noled_pr
 * m644pa_u2x12_uart1_noled          m644pa_u2x12_uart1_noled_pr
 */
static const uint64_t ur_m644a_u2x12_uart1_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0x4ff58779fd2a609f, 0x7f36a7d56e9f0481, 0x2c21e1b46f6a8e52, 0x1240d05fa8fd01df, 0x80b2ca67bed6a487,
  0xe8f9dabfa3d61cc5, 0xeccf2a01ffb30475, 0xbbf60e3e07967b63, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07,
  0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x587494b670e27196, 0x92662cf257ee6866, 0x00000000000f9003,
};

// m644p_u2x12_uart1_noled_pr_u4     m644pa_u2x12_uart1_noled_pr_u4
static const uint64_t ur_m644a_u2x12_uart1_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xffb0be7f4a9827c6, 0xe6d4faadd3e09029, 0x843c368ded51ca4f, 0x481a0bf51fa03be5, 0x16594cf7dad490e2,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0x7ec1c7c0f2cf6c7d, 0xddf9ce4db7e06277, 0xc9bf37807d4180ef,
  0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x4b52fcdb1248ab7b, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x4793d7b4f257ee68,
  0x0000000000001f27,
};

/*
 * m644a_u2x12_uart1_noled_pr_ee_u4  m644p_u2x12_uart1_noled_pr_ee     m644p_u2x12_uart1_noled_pr_ee_u4
 * m644pa_u2x12_uart1_noled_pr_ee    m644pa_u2x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x2f9fc09304f8c9dd, 0x7d56e9f048a5ffec, 0x1b46f6a8e527f36a, 0x8f2b9126ab5a39c6, 0xeebd47c1b30698fa,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0xa3c1673ab4bce2b8, 0x1aad743af3a6edbd, 0xc5c24228e791871b,
  0x1b047eb70decb65c, 0xc4eefd801512a695, 0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83, 0x378ce8815d54e5e5,
  0x56f62aa8b4b0b9c6, 0x637296a5f9b62491, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x13afc687af69e4af,
};

// m644p_u2x12_uart1_noled_pr_ce     m644pa_u2x12_uart1_noled_pr_ce
static const uint64_t ur_m644a_u2x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x4b6fffac3bcf98f9, 0xe527f36a7d56e9f0, 0x2c7f5e821b46f6a8, 0x4fe77e79b8773b1f, 0xb965d63399ceb0ee,
  0x71240f19fa8f52e7, 0x39cc580bd0243a48, 0x33c75e2e76a251a8, 0x2777ec1d7e1ee396, 0x0efddf9ce4db7e06,
  0x6c4a7ef9c9bf3798, 0x42063042d392306a, 0x97e6da718de33a20, 0xd1fc68b1e70dca5a, 0x7a615c9fbab31e40,
  0x94b670e271964b86, 0x2cf257ee68665874, 0x000000016ea01266,
};

// m644p_u2x12_uart1_noled_pr_ce_u4  m644pa_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m644a_u2x12_uart1_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffec2f9f90f304f8, 0xf36a7d56e9f049c9, 0x58861b46f6a8e527, 0x1e78f373b8f718bf, 0xf84bf10d8488bace,
  0x264c5c3ffc0d1fa8, 0x9ea393d3dcb3abeb, 0x51f3a4a4871240f5, 0x7ced5fd1eb0e62c0, 0x679500ffd99e3af4,
  0x7ec1c7c0f2d6e1f6, 0xddf9ce4db7e06277, 0xc9bf37807d4180ef, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x96a5f9b624863b7b, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x0bb5af69e4afdcd0, 0x000000000000375c,
};

/*
 * m644a_u2x12_uart1_noled_pr_ee_ce_u4 m644p_u2x12_uart1_noled_pr_ee_ce
 * m644p_u2x12_uart1_noled_pr_ee_ce_u4 m644pa_u2x12_uart1_noled_pr_ee_ce
 * m644pa_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xf3fbb5304f8c9dd4, 0x55ba7c1231fffd85, 0xd1bdaa3949fcda9f, 0xee39462fd51fce86, 0x61222eb3879e3cdc,
  0x253397ea3e12fc43, 0x4ed6107be64c5c3d, 0xd9835afea3cafa89, 0x1140a62b09fea3e0, 0xf4616588a459a75a,
  0xce7576e9c4752135, 0x6c75e74ddb7b4782, 0x08a39e461c6c6abc, 0x991c37b2d9731709, 0xfb0b3a254d2a3608,
  0x77e73936df8189dd, 0x26fcde01f50603bf, 0xd102baa9cbca6c67, 0x55516961738c6f19, 0x5a97e6d89218edec,
  0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0xa71ebda792bf7343, 0x0000000000004fc4,
};

/*
 * m644p_u2x12_uart1_noled_ee_hw     m644pa_u2x12_uart1_noled_ee_hw    usb646_u2x12_uart0_noled_ee_hw
 * usb647_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m644a_u2x12_uart1_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0x53eab74f82452ffc, 0x30da37b547293f9b, 0xd4795c89355ad1ce, 0x5f75ea3e0d9834c7,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d, 0xe62e1211473c8c38,
  0xa8d823f5b86f65b2, 0x062777ec00a89534, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f,
  0x8ab7b15545a585ce, 0xe31b94b52fcdb124, 0xc3def2861539fa84, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x016f8d35a8a792bf,
};

/*
 * m644a_u2x12_uart1_noled_ee_ce_u4_hw m644p_u2x12_uart1_noled_ee_ce_hw
 * m644p_u2x12_uart1_noled_ee_ce_u4_hw m644pa_u2x12_uart1_noled_ee_ce_hw
 * m644pa_u2x12_uart1_noled_ee_ce_u4_hw usb646_u2x12_uart0_noled_ee_ce_hw
 * usb646_u2x12_uart0_noled_ee_ce_u4_hw usb647_u2x12_uart0_noled_ee_ce_hw
 * usb647_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x12_uart1_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0x53eab74f82463ffe, 0xd0da37b547293f9b, 0x439dc728c5faa3f9, 0x10d8488bace1e79e,
  0x1f9699bffa8f84bf, 0x44a76b083df3262e, 0xf06cc1ad7f51e57d, 0xad08a0531584ff51, 0x9afa30b2c4522cd3,
  0xc1673abb74e23a90, 0x5e363af3a6edbda3, 0x848451cf230e3635, 0x044c8e1bd96cb98b, 0xeefd859d12a6951b,
  0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637, 0xe52d4bf36c490c76,
  0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0xa03eea29e4afdcd0, 0x0000000000000280,
};

/*
 * m644a_u2x12_uart1_lednop_pr       m644p_u2x12_uart1_lednop          m644p_u2x12_uart1_lednop_pr
 * m644pa_u2x12_uart1_lednop         m644pa_u2x12_uart1_lednop_pr
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0x9feb0ef3f38cc13e, 0xfe6d4faadd3e092f, 0x5921c368ded51ca4, 0x24819a4f51c9e3be, 0x016f74c3e749490e,
  0x173b35f23905398b, 0x1583ef71cb1823af, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0x58f386e52d4bf36d, 0x4fdd598f2068fe34, 0x7138cb25c33d30ae,
  0xf734332c3a4a5b38, 0x00f90e713316792b,
};

// m644p_u2x12_uart1_lednop_pr_u4    m644pa_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_m644a_u2x12_uart1_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xfd85f3e13e609f19, 0x36a7d56e9f04900f, 0x21e1b46f6a8e527f, 0x40d05fa8f6b1df2c, 0x6594df241fa48712,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000003e4d717daf6,
};

/*
 * m644a_u2x12_uart1_lednop_pr_ee_u4 m644p_u2x12_uart1_lednop_pr_ee    m644p_u2x12_uart1_lednop_pr_ee_u4
 * m644pa_u2x12_uart1_lednop_pr_ee   m644pa_u2x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0xbe7f7dcc13e32774, 0xf55ba7c1253dffb0, 0x6d1bdaa3949fcda9, 0x3cacca9aad68e718, 0x7bf51f06cc1a63ea,
  0x22cd3ad08a1df158, 0xb26909afa30b2c45, 0x8c9a39d5a5cf55c6, 0x6ab5d0ebce9bb464, 0x170908a09e46f6ac,
  0x6c11fadc37b2d973, 0x2777ec0087d99e54, 0xdf9e0404e4db7e06, 0x4df9bcd914180efd, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x97e6db9c8ab7b155, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xdebda792bf734332, 0x00000000004eb9fa,
};

/*
 * m644a_u2x12_uart1_lednop_pr_ce_u4 m644p_u2x12_uart1_lednop_pr_ce    m644p_u2x12_uart1_lednop_pr_ce_u4
 * m644pa_u2x12_uart1_lednop_pr_ce   m644pa_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0xbffb0be7ca5cc13e, 0xfcda9f55ba7c1274, 0xd62186d1bdaa3949, 0x879e3cdcee03462f, 0x3e12fc4361222eb3,
  0x264c5c3a6dcedfea, 0x9ea3f493dcb3abeb, 0x54c445a4871240f5, 0xf3b2cf4690ce62c0, 0xa45403ff6678ebd1,
  0xfb20ad03cb5b9059, 0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c,
  0x6dce18edec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xd3c95fb9a19961d2, 0x000000375c6a935e,
};

/*
 * m644a_u2x12_uart1_lednop_pr_ee_ce_u4 m644p_u2x12_uart1_lednop_pr_ee_ce
 * m644p_u2x12_uart1_lednop_pr_ee_ce_u4 m644pa_u2x12_uart1_lednop_pr_ee_ce
 * m644pa_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xf9fd35304f8c9dd0, 0xd56e9f04bfe7fec2, 0xb46f6a8e527f36a7, 0x3b27518bf547f3a1, 0xd8488bace1e78f37,
  0x2a1a0ffa8f84bf10, 0xa76b083df3262e1f, 0x6cc1ad7f51e57dd4, 0x08a05315edff51f0, 0xfa30b2c4522cd3ad,
  0x473abb71ea3a909a, 0x1b1d79d3768c9193, 0x42282791bdab1aaf, 0x26470decb65cc5c2, 0xfd8598fb33ca8d82,
  0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x69e4afdcd0ccb0e9, 0x00000009f965bfaf,
};

/*
 * m644p_u2x12_uart1_lednop_ee_hw    m644pa_u2x12_uart1_lednop_ee_hw   usb646_u2x12_uart0_lednop_ee_hw
 * usb647_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0x4faadd3e0929eff2, 0xc368ded51ca4fe6d, 0x51e56654d56b4738, 0xc3dfa8f83660d31f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x2464d1cead2e7aae, 0x6355ae875e74dda3, 0x98b8484504f237b5,
  0xa3608fd6e1bd96cb, 0x313bbf60043eccf2, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xd4bf36dce455bd8a, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x5aa29e4afdcd0ccb, 0x000000000005bf76,
};

/*
 * m644a_u2x12_uart1_lednop_ee_ce_u4_hw m644p_u2x12_uart1_lednop_ee_ce_hw
 * m644p_u2x12_uart1_lednop_ee_ce_u4_hw m644pa_u2x12_uart1_lednop_ee_ce_hw
 * m644pa_u2x12_uart1_lednop_ee_ce_u4_hw usb646_u2x12_uart0_lednop_ee_ce_hw
 * usb646_u2x12_uart0_lednop_ee_ce_u4_hw usb647_u2x12_uart0_lednop_ee_ce_hw
 * usb647_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0xda9f55ba7c12ff9f, 0xce86d1bdaa3949fc, 0xf21cec9d462fd51f, 0xf886c2445d670f3c,
  0xb87eb3643fd47c25, 0xf7529dac20f7cc98, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x97e6db9c31dbd8aa,
  0x0a9cfd42718dca5a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0x9453c95fb9a19961, 0x0000000002808754,
};

/*
 * m644a_u2x12_uart1_dual_pr         m644a_u2x12_uart1_dual_pr_u4      m644p_u2x12_uart1_dual
 * m644p_u2x12_uart1_dual_pr         m644p_u2x12_uart1_dual_pr_u4      m644pa_u2x12_uart1_dual
 * m644pa_u2x12_uart1_dual_pr        m644pa_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_dual[] = {
  0xbbbab1b544861a4e, 0xbbba87063b2c3fbb, 0x6ea05cbbd415bbbb, 0x4d3919eeeec33a8a, 0x5c935dc2ce77b801,
  0x252190e609f1926c, 0x2d37e06c4388b200, 0x8094ee9f128c2864, 0x2439c0bacc50ff32, 0x92065166f51fe76c,
  0x57f9fbe08a149120, 0xc19b13eb87c28862, 0xb417c4432ace5e99, 0xf4073c267be2a10c, 0x2c3795e425b7a95f,
  0xdd3e09775ffff698, 0xded51ca4fe6d4faa, 0x51f229df2c4d4368, 0x8bdf490e2481887f, 0x3afe731602a83cd3,
  0xfb30475e00ced6b2, 0x7967b621d21aa01f, 0xc55f3bb8a92a93a0, 0xe4db7e062777ec9f, 0x14180efddf9e0404,
  0x29c94e804df9bcd9, 0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x498dca5a97e6db9c, 0x9d599bf83bb8d164,
  0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x00524e7c16bda792,
};

/*
 * m644a_u2x12_uart1_dual_pr_ee_u4   m644p_u2x12_uart1_dual_pr_ee      m644p_u2x12_uart1_dual_pr_ee_u4
 * m644pa_u2x12_uart1_dual_pr_ee     m644pa_u2x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_dual_pr_ee[] = {
  0xdddd58daa2435202, 0xbba872c98ebe1fdd, 0xbebb9c5aa3fbbbbb, 0x9401517772714ecf, 0x6d32679af739d6d3,
  0x304f8c912372721d, 0x8871164004a470ff, 0xe251850c85a6fc0d, 0x734edfe650129dd3, 0xea38cdec3768e09b,
  0x14292241240c2d4d, 0x0f8510c4aff3f7c1, 0x559cbd33949427d7, 0x938a8432d0386886, 0x5b7a1fffa039e133,
  0xffff6982c3795e42, 0xcda9f55ba7c12d37, 0xe4486d1bdaa3949f, 0x53d4795afb9aad68, 0xe2ba95ea3e0d9830,
  0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0xa2147bd9cead2e65, 0x3d6355ae875ea25d, 0xd2cc5c242281151f,
  0x62a3608fd6e1bd97, 0x57ceee2a4a0109fd, 0x36df8189ddfb27f1, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x02b2245faf69e4af,
};

/*
 * m644a_u2x12_uart1_dual_pr_ce_u4   m644p_u2x12_uart1_dual_pr_ce      m644p_u2x12_uart1_dual_pr_ce_u4
 * m644pa_u2x12_uart1_dual_pr_ce     m644pa_u2x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644a_u2x12_uart1_dual_pr_ce[] = {
  0xbbbab1b5448664d6, 0xddd43998962c3fbb, 0xa8e700addfbddddd, 0x3eceb6eeec71c9c5, 0xccd8f0d13e5933ed,
  0x2baf304f8c9a6772, 0xfc0d8871164004a4, 0x9dd3e251850c85a6, 0xe1d3f358ffe65012, 0x394dea3f57ec287c,
  0xf7c114292241240e, 0x27d70f8510c4aff3, 0xa886559cbd339cb4, 0xe1318f8a8432d028, 0xaf212dbc56ffa039,
  0x9305ffffb4c161bc, 0xca4fe6d4faadd3e0, 0x62fd65f4368ded51, 0xeb3879e3cdced2b4, 0x7ea3e12fc4361222,
  0x7a973262e1eb7e00, 0xea5fa8e37e7b9675, 0xc050507ca4871240, 0xc019dad6475fce62, 0x3a435403ff6678eb,
  0xc549549d03cb5b84, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xa97e6db9c31dbd8a, 0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x716bda792bf73433, 0x0000000000034934,
};

// m644p_u2x12_uart1_dual_pr_ee_ce   m644pa_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m644a_u2x12_uart1_dual_pr_ee_ce[] = {
  0xddd58dad41431f02, 0xddd43832b8e1fddd, 0x651f4fbdc3eddddd, 0xd7243a76ed8657c1, 0x66efae614421d9b1,
  0x609f1926eae4a311, 0x10e22c8009485d16, 0xc4a30a190b4df81b, 0xe635bfcca0253ba7, 0xf51e006c0521c3f5,
  0x14292241240ed6e6, 0x0f8510c4aff3f7c1, 0xab397a673bac27d7, 0xad150865a1b3910c, 0x5b77f9ff4073c26c,
  0xffff6982c3795e42, 0x9b53eab74f82463f, 0xfdd0da37b547293f, 0x78f373b8e563faa3, 0xba673ac3dc89257e,
  0xea3cadfc94ed6059, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531, 0x1943a909afa30b2c, 0x9768851ef673abb7,
  0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de, 0xfc55f3bb8a929662, 0x4e4db7e062777ec9,
  0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0xf431b94b52fcdb73,
  0x3ab337f07771a2c0, 0xb0e271a50c2a73f5, 0xcf4c2b93f01f347d, 0x9296ce1c4e32c970, 0xf69e4afdcd0ccb0e,
  0x000000002000ad5a,
};

// m644p_u2x12_uart1_dual_pr_ee_ce_u4 m644pa_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644a_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0x775636a8a87fa0ae, 0x750e42ff7187f777, 0x932e76df5f777777, 0x7ef276efda8d587d, 0x6b8b0fae3f32242c,
  0x3e325055cbebefeb, 0x88b2002520e49cc1, 0x8c28642d37e06c43, 0xc8fe656024ee9f12, 0xe5ad8337ce095135,
  0x48904903ec19bd47, 0x44312bfcfdf0450a, 0xbd33830b89f5c3e1, 0x8432d00b4886559c, 0xd7ffa039e131c18a,
  0x2982c3795e425b7f, 0xab74f824ff3ff956, 0xa37b547293f9b53e, 0xb31f8c5faa32870d, 0x1222eb3879e7c033,
  0x1ba1fea3e12fc436, 0xb58426e993170e60, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089,
  0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013, 0x69aba718de33a207,
  0xf36dce18edec5551, 0xfc68b224c6e52d4b, 0x54e7ea75666fe0d1, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x069e4afdcd0ccb0e, 0x00000004004a2c99,
};

// m644p_u2x12_uart1_dual_ee_hw      m644pa_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m644a_u2x12_uart1_dual_ee_hw[] = {
  0xeeeac6d5146864d6, 0xdd43964c75f0feee, 0xf5dce2d51fdddddd, 0xa00a8bbb938a767d, 0x63c3d964b9ceb69c,
  0xfcc13e32448dcb33, 0x3621c459001291c3, 0x4f89461432169bf0, 0x6dcd3b7f995d0677, 0x37a8e337b0dda382,
  0x0450a489049030b5, 0x5c3e144312bfcfdf, 0x195672f4ce52509f, 0xce4e2a10cb40e1a2, 0x096de87ffe80e784,
  0xfff21fe60b0de579, 0xf36a7d56e9f04b4d, 0x39121b46f6a8e527, 0x14f51e56bee6ab5a, 0xf8aea57a8f83660c,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x4db7e062777ec9fc, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x18dca5a97e6db9c8, 0x1ef79430a9cfd427, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x5dac7a75453c95fb, 0x0000000000000001,
};

/*
 * m644a_u2x12_uart1_dual_ee_ce_u4_hw m644p_u2x12_uart1_dual_ee_ce_hw
 * m644p_u2x12_uart1_dual_ee_ce_u4_hw m644pa_u2x12_uart1_dual_ee_ce_hw
 * m644pa_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644a_u2x12_uart1_dual_ee_ce_hw[] = {
  0x775636a8a34204d3, 0x750e42ff7187f777, 0x932e76df5f777777, 0x7ef276efda8d587d, 0xff0ef89e3f32242c,
  0x304f8c9415726baf, 0x10e22c8009483927, 0xc4a30a190b4df81b, 0x26b91fccae833ba7, 0xa8fcb5b066f9c12a,
  0xa1491209207d8337, 0x7c2886257f9fbe08, 0xb397a67061713eb8, 0x3150865a016910ca, 0x6ffafff4073c2638,
  0x90ff30586f2bc84b, 0x53eab74f824ff3ff, 0x70da37b547293f9b, 0x873b31f8c5faa328, 0x21b0911759c3cf3c,
  0x3b39747ff51f097e, 0xc94ed6109ba64c5c, 0xf06cc1af9ea3cadf, 0xad08a05315c06f51, 0x9afa30b2c4522cd3,
  0xef673abb71943a90, 0xaf1b1d7a89768851, 0xe1211408a8f9eb1a, 0x8226470decbe9662, 0xb8a9296627f58a8d,
  0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce,
  0xb52fcdb73863b7b1, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x8528a792bf734332, 0x00000000003aeb14,
};

/*
 * m644rfr2_autobaud_uart0_noled_pr  m64rfr2_autobaud_uart0_noled      m64rfr2_autobaud_uart0_noled_pr
 * m640_autobaud_uart0_noled         m640_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x252fbfcb8fcf9eb3, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0xf9e3be5921c368de, 0xf524389206692391,
  0x99cc580b7ba61be4, 0x30475e2e767b48f1, 0x895af615944ee396, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x70dca5a97e6d8924, 0xab31e40d1fc68b1e, 0x1964b867a615c9fb,
  0x866587494b670e27, 0x20490f254f257ee6, 0x00000000000000e2,
};

// m64rfr2_autobaud_uart0_noled_pr_u4 m640_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0x5d47f861b3fb7e60, 0x02e910e81102a7c2, 0x51c2bf5526be70e6, 0xa03be5843c368ded, 0x52438920682e391f,
  0x0e62c0596533df6b, 0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f,
  0xbca6c670b79bc03e, 0x38c6f19d102baa9c, 0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x0008c328bb4e093c,
};

/*
 * m644rfr2_autobaud_uart0_noled_pr_ee_u4 m64rfr2_autobaud_uart0_noled_pr_ee
 * m64rfr2_autobaud_uart0_noled_pr_ee_u4 m640_autobaud_uart0_noled_pr_ee
 * m640_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xfc30d9fd9d304f8c, 0x10e81102a7c252bb, 0xbf5526be70e602e9, 0xb4738c368ded51c2, 0x34c6391e57224d56,
  0x77c57dd4723e0d98, 0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74,
  0x96cb98b848451cf2, 0x54d2a3608fd6e1bd, 0x66fc0c4ad7b002a2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc,
  0x61738c6f19d102ba, 0x6c4922adec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x0000009a9cdf04e0,
};

/*
 * m644rfr2_autobaud_uart0_noled_pr_ce_u4 m64rfr2_autobaud_uart0_noled_pr_ce
 * m64rfr2_autobaud_uart0_noled_pr_ce_u4 m640_autobaud_uart0_noled_pr_ce
 * m640_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x8baff861b3ea7a60, 0x05d221d022054f84, 0xa3857eaa4d7ce1cc, 0xdc62fd62186d1bda, 0x22eb3879e3cdcee3,
  0x347ea3e12fc43612, 0xceafac993170fff0, 0x240f591c8e4f4f72, 0xe62c051f3a4a4871, 0xe3af47ced5fd1eb0,
  0x6e1f6679500ffd99, 0x0312b5ec1c7c0f2d, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa, 0xe31bc67440aeaa72,
  0x863b7b15545a585c, 0x12637296a5f9b624, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0046eab46e7049e4,
};

/*
 * m644rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m64rfr2_autobaud_uart0_noled_pr_ee_ce
 * m64rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m640_autobaud_uart0_noled_pr_ee_ce
 * m640_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0xc30d9fb5b9827c64, 0x1d022054f84936ff, 0xeaa4d7ce1cc05d22, 0x1fce86d1bdaa3857, 0x9e3cdcee39462fd5,
  0x12fc4361222eb387, 0x4c5c3d253397ea3e, 0xcafa894ed6107be6, 0x1c8f83660d6bc723, 0x9a75a1140a62b09f,
  0x52135f4616588a45, 0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97,
  0x0c4ad7b0b3a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x498dca5a97e6d892, 0x9d599bf83bb8d164, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0082279f85c12792,
};

// m64rfr2_autobaud_uart0_noled_ee_hw m640_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_ee_hw[] = {
  0x377777768a345562, 0xeeeeee960f04ddd6, 0xe94ada090bf5ebee, 0x866f4f85d4cdd2f7, 0xc9dd322d3b6c30d3,
  0xbfcac59fd9d304f8, 0x910e81102a7c252b, 0x2bf5526be70e602e, 0x6b4738c368ded51c, 0x834c6391e57224d5,
  0x877c57dd4723e0d9, 0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7,
  0xd96cb98b848451cf, 0x254d2a3608fd6e1b, 0x166fc0c4ad7b002a, 0xc03ea0c077ad79ce, 0xaa9cbca6c670b79b,
  0x961738c6f19d102b, 0x36c4922adec55516, 0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000001627c3d3aa2,
};

/*
 * m644rfr2_autobaud_uart0_noled_ee_ce_u4_hw m64rfr2_autobaud_uart0_noled_ee_ce_hw
 * m64rfr2_autobaud_uart0_noled_ee_ce_u4_hw m640_autobaud_uart0_noled_ee_ce_hw
 * m640_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed1468b044, 0xbbbbba585c874eac, 0x09e47e98d3d467bb, 0x71a8a912c47771da, 0x3bbb293ef6c5e0dc,
  0xf2b167ed6e609f19, 0x874088153e124dbf, 0xfaa935f387301748, 0x47f3a1b46f6a8e15, 0xcf3c873b8e518bf5,
  0x097e21b0911759c3, 0x4c5c3f2d337ff51f, 0xcafa894ed6107be6, 0x1c8f83660d6bc723, 0x9a75a1140a62b09f,
  0x52135f4616588a45, 0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97,
  0x0c4ad7b0b3a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x718dca5a97e6d892, 0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x0952207dd453c95f,
};

/*
 * m644rfr2_autobaud_uart0_lednop_pr m64rfr2_autobaud_uart0_lednop     m64rfr2_autobaud_uart0_lednop_pr
 * m640_autobaud_uart0_lednop        m640_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0xf09775fe5c7e7e3d, 0x3980ba443a0440a9, 0x7b5470afd549af9c, 0x47278ef964870da3, 0xf3d490e24819a48e,
  0x20a731602dee986f, 0xb1823af173b07147, 0x312b5ec2b141f71c, 0xeb5e781013859bf0, 0xa005bcde5ba8301d,
  0xe02f7ca9bd4a7253, 0xbc674408ea2810b4, 0xe1b94b52fcdb4e31, 0x5663c81a3f8d163c, 0x32c970cf4c2b93f7,
  0x0ccb0e9296ce1c4e, 0x40921e4a9e4afdcd, 0x00000000000001c4,
};

// m64rfr2_autobaud_uart0_lednop_pr_u4 m640_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0xbaff0c367e3dcc13, 0x5d221d022054f84b, 0x3857eaa4d7ce1cc0, 0xc77cb08786d1bdaa, 0x4871240d05c723da,
  0x98b016594df241fa, 0x3af47cecb3d1a433, 0xb416691500ffd982, 0xc4ad7b20ad03cb3d, 0xad79e0404e166fc0,
  0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x4d67049e4afdcd0c, 0x00000000000230db,
};

/*
 * m644rfr2_autobaud_uart0_lednop_pr_ee_u4 m64rfr2_autobaud_uart0_lednop_pr_ee
 * m64rfr2_autobaud_uart0_lednop_pr_ee_u4 m640_autobaud_uart0_lednop_pr_ee
 * m640_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xfc30d9f1ad304f8c, 0x10e81102a7c25a6f, 0xbf5526be70e602e9, 0xb4738c368ded51c2, 0x34c6391e56654d56,
  0xef8ac3dc723e0d98, 0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74,
  0x96cb98b8484504f2, 0xccf2a3608fd6e1bd, 0xcdf81895af60043e, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xc6e52d4bf36dce45, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x9a9c4fc2e093c95f,
};

/*
 * m644rfr2_autobaud_uart0_lednop_pr_ce_u4 m64rfr2_autobaud_uart0_lednop_pr_ce
 * m64rfr2_autobaud_uart0_lednop_pr_ce_u4 m640_autobaud_uart0_lednop_pr_ce
 * m640_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x305ff0c367e574c1, 0x0ba443a0440a9f09, 0x470afd549af9c398, 0x68c5fac430da37b5, 0x45d670f3c79b9dc0,
  0xdbfd47c25f886c24, 0x757d64c98b874db9, 0x207ac8e47e927b96, 0x31602a6222d24389, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0x6256bd905681e5ad, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x6a5f9b6e70c76f62, 0xe0eee34591263729, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xaac7049e4afdcd0c, 0x000000000002375c,
};

/*
 * m644rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m64rfr2_autobaud_uart0_lednop_pr_ee_ce
 * m64rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m640_autobaud_uart0_lednop_pr_ee_ce
 * m640_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0x30d9f6bb9827c64e, 0xe81102a7c24ff3fc, 0x5526be70e602e910, 0xfe74368ded51c2bf, 0xf1e6e764ea317ea8,
  0x97e21b0911759c3c, 0xc5c3e54341ff51f0, 0xafba94ed6107be64, 0xc8f83660d6bc723c, 0xa75a1140a62bdbf1,
  0x2135f4616588a459, 0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9,
  0xc4ad7b0b31f66795, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xd4bf36dce18edec5, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x20ee093c95fb9a19, 0x000000000004112e,
};

// m64rfr2_autobaud_uart0_lednop_ee_hw m640_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_ee_hw[] = {
  0x377777768a341202, 0xeeeeee960f05a5d6, 0xd29bb2b6d4f6a2ee, 0xa178570ba99ba5ef, 0xc9dd666d8b505505,
  0xffcac59f1ad304f8, 0x910e81102a7c25a6, 0x2bf5526be70e602e, 0x6b4738c368ded51c, 0x834c6391e56654d5,
  0x0ef8ac3dc723e0d9, 0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7,
  0xd96cb98b8484504f, 0xeccf2a3608fd6e1b, 0x2cdf81895af60043, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x8c6e52d4bf36dce4, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xb13e3000a29e4afd, 0x0000000000000000,
};

/*
 * m644rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m64rfr2_autobaud_uart0_lednop_ee_ce_hw
 * m64rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m640_autobaud_uart0_lednop_ee_ce_hw
 * m640_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xddddddda28d01107, 0x777774b0b9012358, 0x13a7791a0bb93b77, 0x8247d22588eee3b4, 0x77539157eefda3bb,
  0xe562cfb5dcc13e32, 0x874088153e127f9f, 0xfaa935f387301748, 0x47f3a1b46f6a8e15, 0xcf3c873b27518bf5,
  0x097e21b0911759c3, 0x262e1facd90ff51f, 0xe57dd4a76b083df3, 0x8e47c1b306b5e391, 0xcd3ad08a05315edf,
  0xa909afa30b2c4522, 0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65,
  0x06256bd8598fb33c, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x96a5f9b6e70c76f6, 0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f,
  0x587494b670e27196, 0x2ed514f257ee6866, 0x0000000000025482,
};

/*
 * m644rfr2_autobaud_uart0_dual_pr   m644rfr2_autobaud_uart0_dual_pr_u4 m64rfr2_autobaud_uart0_dual
 * m64rfr2_autobaud_uart0_dual_pr    m64rfr2_autobaud_uart0_dual_pr_u4 m640_autobaud_uart0_dual
 * m640_autobaud_uart0_dual_pr       m640_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_dual[] = {
  0xf7777776890c365a, 0x7777770ff8f3b5eb, 0x24053d689dbb2b77, 0x388eb333dddda8a6, 0x977226efafd77369,
  0x05521a0f304f8c96, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x53c70cad36fbfcca, 0x20721e68e47287b0,
  0x1f9fbe08a1491209, 0xed89f5c3e144313e, 0x1a522195672f4ce4, 0x039e134dd150865a, 0x1bcaf212dbba5ffa,
  0x3e127f3fc90a4c16, 0x8730174887408815, 0x6f6a8e15faa935f3, 0xc8f914ef9626a1b4, 0x17be921c490310f1,
  0x75fce62c055079a7, 0xf6608ebc019dad64, 0xf2cf6c43a435403f, 0x8abe777152552740, 0x70b37e06256bd93f,
  0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x8931b94b52fcdb73,
  0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x000b82bf543824f2,
};

/*
 * m644rfr2_autobaud_uart0_dual_pr_ee_u4 m64rfr2_autobaud_uart0_dual_pr_ee
 * m64rfr2_autobaud_uart0_dual_pr_ee_u4 m640_autobaud_uart0_dual_pr_ee
 * m640_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_pr_ee[] = {
  0xbf7777776890cf68, 0xbbbbbbb87cd8403e, 0xb15cea2f2d5b5dfb, 0x0b27dd8f313ba539, 0x9347d4ead05bb3bb,
  0x222319827c64991b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xe15bf3400fcca025, 0xb534723cedec2d6c,
  0xbe08a1491209207b, 0xf5c3e144313e1f9f, 0x2195672f4ce29209, 0x4c5d62a10cb43022, 0xc84b6fff3fe80e78,
  0x3aff242930586f2b, 0xba443a0440a9f091, 0x70afd549af9c3980, 0x55ad1c890da37b54, 0xcc18291c8f2b5f73,
  0x2877c5752a391f06, 0x8c2cb1148b34eb42, 0x5cca5c54b9a426be, 0x44bb4428f7b39d5a, 0x2a3e7ac6ab5d0ebd,
  0x7b2fa598b8484502, 0x13fac546c11fadc3, 0x4fe2af9ddc549402, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x00000052a45d8e09,
};

/*
 * m644rfr2_autobaud_uart0_dual_pr_ce_u4 m64rfr2_autobaud_uart0_dual_pr_ce
 * m64rfr2_autobaud_uart0_dual_pr_ce_u4 m640_autobaud_uart0_dual_pr_ce
 * m640_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_pr_ce[] = {
  0xfddddddda2435202, 0xbbbbbb87ec98ebfa, 0xecfbebb9c5aa3fbb, 0x9ceb69cb77772714, 0xb9390eb69933cd7b,
  0x52387f9827c64891, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0x8700d1369afcca02, 0xd0fcd1c8f63fb0ff,
  0x7ef8228524482481, 0x27d70f8510c4f87e, 0xe886559cbd339722, 0xe137ee8a8432d090, 0xaf212dba5affa039,
  0x56ebfc90a4c161bc, 0x02e910e81102a7c2, 0x51c2bf5526be70e6, 0xb462fd65f4368ded, 0x22eb3879e3cdced2,
  0x007ea3e12fc43612, 0x757a973262e1eb7e, 0x03a971c8e37e7b96, 0x8b014141f2921c49, 0xaf00676b591d7f39,
  0x10e90d500ffd99e3, 0x77152552740f2d6e, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f, 0x6fe0eee345912637, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xed22f7049e4afdcd,
  0x00000000000002b5,
};

// m64rfr2_autobaud_uart0_dual_pr_ee_ce m640_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafdddddddd43573e, 0xdddddddc3fe3c1f7, 0x21a10d77bade8fcd, 0xee100e2f477baaf8, 0x5c5f7615ef595913,
  0x598b304f8c901572, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0xcf93759fe650129d, 0x347239adec2618e0,
  0x0450a48904903149, 0xe1f0a2189f0fcfdf, 0x2ace5e99c0a444fa, 0x568a8432d0eaf443, 0x5b743effa039e134,
  0xf9214982c3795e42, 0x43a0440a9f0926df, 0xfd549af9c3980ba4, 0xa3fdd0da37b5470a, 0xfe78f373b8e563fa,
  0x59ba673ac3feb9ad, 0xe4723cadfc94ed60, 0x15c068e47c1b306b, 0xc4522cd3ad08a053, 0x71943a909afa30b2,
  0x89768851ef673abb, 0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d, 0x9fc55f3bb8a92966,
  0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x163ce1b94b52fcdb, 0xe4fdd599bf83bb8d, 0x87138cb25c33d30a, 0xbf734332c3a4a5b3, 0x0031101e5dc12792,
};

// m64rfr2_autobaud_uart0_dual_pr_ee_ce_u4 m640_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe72df, 0xddddc3ea6e6d3d7e, 0x7e5a0f77a57bdddd, 0x0842029dbb1a8abc, 0xeb1c15601fabf1fd,
  0x13e327655c99f5cb, 0xf64c8c154813c9cc, 0x20614306d2303775, 0x3fe656024ee9f12e, 0x91d81251c32a2668,
  0x482481b37e68e47b, 0xc4f87e7ef8228524, 0xce33d627d70f8510, 0x9686ed22195672f4, 0xfa039e1374fc5421,
  0x2c3795e425b767cf, 0xa7c2487dff866898, 0x70e602e910e81102, 0x8ded51c2bf5526be, 0xcc7e317ea8ca1c36,
  0x488bace1e79f00ce, 0x6e87fa8f84bf10d8, 0xd6109ba64c5c3980, 0x06be4723cadfc94e, 0x05315c068e47c1b3,
  0x0b2c4522cd3ad08a, 0xabb71943a909afa3, 0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211,
  0x96627f58a8d82264, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xcdb73863b7b15545, 0xf1a2c8931b94b52f, 0x539fa9d599bf8347, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x86792bf734332c3a, 0x000003f56fecb47f,
};

// m64rfr2_autobaud_uart0_dual_ee_hw m640_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_ee_hw[] = {
  0xf77777768a345202, 0xbbbbbb87cd8403eb, 0x15cea2f2d5b5dfbb, 0xb27dd8f313ba539b, 0xc9c875b4df35fbb0,
  0x91118cc13e324c8d, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0x70adf9a007e65741, 0xda9a391e76f616b6,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a6714904, 0x262eb150865a1811, 0xe425b7ff9ff4073c,
  0x9d7ff2a4982c3795, 0x5d221d022054f848, 0x3857eaa4d7ce1cc0, 0xaad68e4486d1bdaa, 0x660c148e4795afb9,
  0x143be2ba951c8f83, 0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e,
  0xbd97d2cc5c242281, 0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0xf509c637296a5f9b, 0x7ff787bde50c2a73,
  0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00058392cd3e514f,
};

/*
 * m644rfr2_autobaud_uart0_dual_ee_ce_u4_hw m64rfr2_autobaud_uart0_dual_ee_ce_hw
 * m64rfr2_autobaud_uart0_dual_ee_ce_u4_hw m640_autobaud_uart0_dual_ee_ce_hw
 * m640_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw[] = {
  0xeeeeeeed1468a0ae, 0xdddddc3ea6e6d3d7, 0xc7e5a0f77a57bddd, 0xd0842029dbb1a8ab, 0xfbfade87d7fabf1f,
  0x27304f8c9d9572fa, 0xddd7d9323055204f, 0xc4b881850c1b48c0, 0x4cd07fccae833ba7, 0xc8f723b024a38654,
  0x0a4890490366fcd1, 0x0a2189f0fcfdf045, 0xe5e99c67ac4fae1f, 0xa8432d0dda4432ac, 0xcf9ff4073c26e9f8,
  0x4930586f2bc84b6e, 0x088153e1243effe5, 0x935f387301748874, 0x0e1b46f6a8e15faa, 0x90e7663f18bf5465,
  0xc4361222eb3879e7, 0x87672e8ffea3e12f, 0xf929dac21374c98b, 0xf83660d7c8e4795b, 0x5a1140a62b80d1c8,
  0x35f4616588a459a7, 0xdece7576e3287521, 0x5e363af512ed10a3, 0xc242281151f3d635, 0x044c8e1bd97d2cc5,
  0x715252cc4feb151b, 0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6, 0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x405d14f257ee6866, 0x00000000002134f4,
};

/*
 * m644rfr2_autobaud_uart1_noled_pr  m64rfr2_autobaud_uart1_noled      m64rfr2_autobaud_uart1_noled_pr
 * m640_autobaud_uart1_noled         m640_autobaud_uart1_noled_pr
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x252fbfcb8fcf9eb3, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0xf3c77cb24386d1bd, 0xea4871240cd24723,
  0x3398b016f74c37c9, 0x608ebc5cecf691e3, 0x2777ec2b289dc72c, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0x1b94b52fcdb1248a, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x0921e4a9e4afdcd0, 0x0000000000001c44,
};

// m64rfr2_autobaud_uart1_noled_pr_u4 m640_autobaud_uart1_noled_pr_u4
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0x5d47f861b3fb7e60, 0x05d22d5022054f82, 0xa3857eaa4d7f22fc, 0x4077cb08786d1bda, 0xa4871240d05c723f,
  0x1cc580b2ca67bed6, 0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x0313bbf60e3e0796, 0x0c077eefce726dbf,
  0x94d8ce4df9bc03ea, 0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0x498dca5a97e6d892, 0x9d599bf83bb8d164,
  0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x0118651769c12792,
};

/*
 * m644rfr2_autobaud_uart1_noled_pr_ee_u4 m64rfr2_autobaud_uart1_noled_pr_ee
 * m64rfr2_autobaud_uart1_noled_pr_ee_u4 m640_autobaud_uart1_noled_pr_ee
 * m640_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xfc30d9fd9d304f8c, 0x2d5022054f8252bb, 0x7eaa4d7f22fc05d2, 0x68e7186d1bdaa385, 0x698c723cae449aad,
  0xef8afba8e47c1b30, 0x5962291669d68450, 0x38ae3593484d7d18, 0xbb6f68f059cead2f, 0x61c6c6ab5d0ebce9,
  0x2d973170908a39e4, 0xa9a546c11fadc37b, 0xdbf0313bbf600544, 0x3ea0c077eefce726, 0x39794d8ce4df9bc0,
  0x2e718de33a205755, 0x892455bd8aaa2d2c, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000013539be09c12,
};

/*
 * m644rfr2_autobaud_uart1_noled_pr_ce_u4 m64rfr2_autobaud_uart1_noled_pr_ce
 * m64rfr2_autobaud_uart1_noled_pr_ce_u4 m640_autobaud_uart1_noled_pr_ce
 * m640_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x8baff861b3ea7a60, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0xb8c5fac430da37b5, 0x45d670f3c79b9dc7,
  0x68fd47c25f886c24, 0x9d5f593262e1ffe0, 0x481eb2391c9e9ee5, 0xcc580a3e749490e2, 0xc75e8f9dabfa3d61,
  0xdc3eccf2a01ffb33, 0x0c4eefd838f81e5a, 0x301dfbbf39c9b6fc, 0x53633937e6f00fa8, 0x6378ce8815d54e5e,
  0xc76f62aa8b4b0b9c, 0x4c6e52d4bf36c490, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x08dd568dce093c95,
};

/*
 * m644rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m64rfr2_autobaud_uart1_noled_pr_ee_ce
 * m64rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m640_autobaud_uart1_noled_pr_ee_ce
 * m640_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0xc30d9fb5b9827c64, 0xaa0440a9f04936ff, 0xd549afe45f80ba45, 0x3f9d0da37b5470af, 0x3c79b9dc728c5faa,
  0x25f886c2445d670f, 0x98b87a4a672fd47c, 0x95f5129dac20f7cc, 0x391f06cc1ad78e47, 0x34eb422814c5613e,
  0xa426be8c2cb1148b, 0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e,
  0x313bbf616744a9a5, 0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0, 0x8de33a2057553979, 0x1dbd8aaa2d2c2e71,
  0x31b94b52fcdb1243, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x1044f3f0b824f257,
};

// m64rfr2_autobaud_uart1_noled_ee_hw m640_autobaud_uart1_noled_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_ee_hw[] = {
  0x377777768a345562, 0xeeeeee960f04ddd6, 0xe94ada090bf5ebee, 0x866f4f85d4cdd2f7, 0xc9dd322d3b6c30d3,
  0xbfcac59fd9d304f8, 0x22d5022054f8252b, 0x57eaa4d7f22fc05d, 0xd68e7186d1bdaa38, 0x0698c723cae449aa,
  0x0ef8afba8e47c1b3, 0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2, 0x461c6c6ab5d0ebce,
  0xb2d973170908a39e, 0x4a9a546c11fadc37, 0x6dbf0313bbf60054, 0x03ea0c077eefce72, 0x539794d8ce4df9bc,
  0xc2e718de33a20575, 0xd892455bd8aaa2d2, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00002c4f87a75453,
};

/*
 * m644rfr2_autobaud_uart1_noled_ee_ce_u4_hw m64rfr2_autobaud_uart1_noled_ee_ce_hw
 * m64rfr2_autobaud_uart1_noled_ee_ce_u4_hw m640_autobaud_uart1_noled_ee_ce_hw
 * m640_autobaud_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed1468b044, 0xbbbbba585c874eac, 0x09e47e98d3d467bb, 0x71a8a912c47771da, 0x3bbb293ef6c5e0dc,
  0xf2b167ed6e609f19, 0x6a81102a7c124dbf, 0xf5526bf917e02e91, 0x8fe74368ded51c2b, 0x9e790e771ca317ea,
  0x12fc4361222eb387, 0x98b87e5a66ffea3e, 0x95f5129dac20f7cc, 0x391f06cc1ad78e47, 0x34eb422814c5613e,
  0xa426be8c2cb1148b, 0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e,
  0x313bbf616744a9a5, 0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0, 0x8de33a2057553979, 0x1dbd8aaa2d2c2e71,
  0x31b94b52fcdb1243, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0x2a440fba8a792bf7, 0x0000000000000001,
};

/*
 * m644rfr2_autobaud_uart1_lednop_pr m64rfr2_autobaud_uart1_lednop     m64rfr2_autobaud_uart1_lednop_pr
 * m640_autobaud_uart1_lednop        m640_autobaud_uart1_lednop_pr
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0xe09775fe5c7e7e3d, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x8e4f1df2c90e1b46, 0xe7a921c49033491c,
  0x414e62c05bdd30df, 0x630475e2e760e28e, 0xc4eefd856283ee39, 0xbbf3c0809c9b6fc0, 0x026fcde5ba8301df,
  0x05ef9537a94e4a74, 0x8ce8811d4502169c, 0x37296a5f9b69c637, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x9961d252d9c389c6, 0x1243c953c95fb9a1, 0x0000000000003888,
};

// m64rfr2_autobaud_uart1_lednop_pr_u4 m640_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0xbaff0c367e3dcc13, 0xba45aa0440a9f04b, 0x70afd549afe45f80, 0x8ef9610f0da37b54, 0x90e2481a0b8e47b5,
  0x31602cb29be483f4, 0x75e8f9d967a34867, 0x682cd22a01ffb304, 0x13bbf6415a07967b, 0xefcf0202726dbf03,
  0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xace093c95fb9a199, 0x0000000000461b69,
};

/*
 * m644rfr2_autobaud_uart1_lednop_pr_ee_u4 m64rfr2_autobaud_uart1_lednop_pr_ee
 * m64rfr2_autobaud_uart1_lednop_pr_ee_u4 m640_autobaud_uart1_lednop_pr_ee
 * m640_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xfc30d9f1ad304f8c, 0x2d5022054f825a6f, 0x7eaa4d7f22fc05d2, 0x68e7186d1bdaa385, 0x698c723cacca9aad,
  0xdf1587b8e47c1b30, 0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xbb4648c9a39d5a5c, 0x6f6ac6ab5d0ebce9,
  0x2d973170908a09e4, 0x99e546c11fadc37b, 0xb7e062777ec0087d, 0x80efddf9e0404e4d, 0x94e804df9bcd9141,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xdca5a97e6db9c8ab, 0x99bf83bb8d164498, 0x3def2861539fa9d5,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5389f85c12792bf7,
  0x0000000000000013,
};

/*
 * m644rfr2_autobaud_uart1_lednop_pr_ce_u4 m64rfr2_autobaud_uart1_lednop_pr_ce
 * m64rfr2_autobaud_uart1_lednop_pr_ce_u4 m640_autobaud_uart1_lednop_pr_ce
 * m640_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x305ff0c367e574c1, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0xd18bf58861b46f6a, 0x8bace1e78f373b80,
  0xb7fa8f84bf10d848, 0xeafac993170e9b73, 0x40f591c8fd24f72c, 0x62c054c445a48712, 0xebd1f3b2cf4690ce,
  0x9059a45403ff6678, 0x89ddfb20ad03cb5b, 0x77e781013936df81, 0x137e6f36450603bf, 0x077ca9bd4a7253a0,
  0x5169aba718de33a2, 0x4bf36dce18edec55, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x58e093c95fb9a199, 0x000000000046eb95,
};

/*
 * m644rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m64rfr2_autobaud_uart1_lednop_pr_ee_ce
 * m64rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m640_autobaud_uart1_lednop_pr_ee_ce
 * m640_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0x30d9f6bb9827c64e, 0x5022054f824ff3fc, 0xaa4d7f22fc05d22d, 0xfce86d1bdaa3857e, 0xe3cdcec9d462fd51,
  0x2fc4361222eb3879, 0x8b87ca8683fea3e1, 0x5f7529dac20f7cc9, 0x91f06cc1ad78e479, 0x4eb422814c57b7e3,
  0x426be8c2cb1148b3, 0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973,
  0x13bbf61663eccf2a, 0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0x97e6db9c31dbd8aa, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x1dc12792bf734332, 0x00000000008225c4,
};

// m64rfr2_autobaud_uart1_lednop_ee_hw m640_autobaud_uart1_lednop_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_ee_hw[] = {
  0x377777768a341202, 0xeeeeee960f05a5d6, 0xd29bb2b6d4f6a2ee, 0xa178570ba99ba5ef, 0xc9dd666d8b505505,
  0xffcac59f1ad304f8, 0x22d5022054f825a6, 0x57eaa4d7f22fc05d, 0xd68e7186d1bdaa38, 0x0698c723cacca9aa,
  0x1df1587b8e47c1b3, 0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce,
  0xb2d973170908a09e, 0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0xef79430a9cfd4271, 0x871fc65f989ffde1,
  0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x27c6001453c95fb9, 0x0000000000000016,
};

/*
 * m644rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m64rfr2_autobaud_uart1_lednop_ee_ce_hw
 * m64rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m640_autobaud_uart1_lednop_ee_ce_hw
 * m640_autobaud_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw[] = {
  0xddddddda28d01107, 0x777774b0b9012358, 0x13a7791a0bb93b77, 0x8247d22588eee3b4, 0x77539157eefda3bb,
  0xe562cfb5dcc13e32, 0x6a81102a7c127f9f, 0xf5526bf917e02e91, 0x8fe74368ded51c2b, 0x9e790e764ea317ea,
  0x12fc4361222eb387, 0x4c5c3f59b21fea3e, 0xcafba94ed6107be6, 0x1c8f83660d6bc723, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x189ddfb0b31f6679, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xd4bf36dce18edec5, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0xdaa29e4afdcd0ccb, 0x00000000004a9045,
};

/*
 * m644rfr2_autobaud_uart1_dual_pr   m644rfr2_autobaud_uart1_dual_pr_u4 m64rfr2_autobaud_uart1_dual
 * m64rfr2_autobaud_uart1_dual_pr    m64rfr2_autobaud_uart1_dual_pr_u4 m640_autobaud_uart1_dual
 * m640_autobaud_uart1_dual_pr       m640_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_dual[] = {
  0xf7777776890c365a, 0x7777770ff8f3b5eb, 0x24053d689dbb2b77, 0x388eb333dddda8a6, 0x977226efafd77369,
  0x05521a0f304f8c96, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x53c70cad36fbfcca, 0x20721e68e47287b0,
  0x1f9fbe08a1491209, 0xed89f5c3e144313e, 0x1a522195672f4ce4, 0x039e134dd150865a, 0x1bcaf212dbba5ffa,
  0x7c127f3fc90a4c16, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x91f229df2c4d4368, 0x2f7d2438920621e3,
  0xebf9cc580aa0f34e, 0xecc11d78033b5ac8, 0xe59ed887486a807f, 0x157ceee2a4aa4e81, 0x936df8189ddfb27f,
  0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x2637296a5f9b6e72,
  0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x017057ea87049e4a,
};

/*
 * m644rfr2_autobaud_uart1_dual_pr_ee_u4 m64rfr2_autobaud_uart1_dual_pr_ee
 * m64rfr2_autobaud_uart1_dual_pr_ee_u4 m640_autobaud_uart1_dual_pr_ee
 * m640_autobaud_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_pr_ee[] = {
  0xbf7777776890cf68, 0xbbbbbbb87cd8403e, 0xb15cea2f2d5b5dfb, 0x0b27dd8f313ba539, 0x9347d4ead05bb3bb,
  0x222319827c64991b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xe15bf3400fcca025, 0xb534723cedec2d6c,
  0xbe08a1491209207b, 0xf5c3e144313e1f9f, 0x2195672f4ce29209, 0x4c5d62a10cb43022, 0xc84b6fff3fe80e78,
  0x3aff242930586f2b, 0x748b54088153e091, 0xe15faa935fc8bf01, 0xab5a39121b46f6a8, 0x983052391e56bee6,
  0x50ef8aea54723e0d, 0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a,
  0xf65f4b3170908a04, 0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x04e4db7e062777ec, 0xd914180efddf9e04,
  0xf529c94e804df9bc, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x64498dca5a97e6db, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x00000a548bb1c127,
};

/*
 * m644rfr2_autobaud_uart1_dual_pr_ce_u4 m64rfr2_autobaud_uart1_dual_pr_ce
 * m64rfr2_autobaud_uart1_dual_pr_ce_u4 m640_autobaud_uart1_dual_pr_ce
 * m640_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_pr_ce[] = {
  0xfddddddda2435202, 0xbbbbbb87ec98ebfa, 0xecfbebb9c5aa3fbb, 0x9ceb69cb77772714, 0xb9390eb69933cd7b,
  0x52387f9827c64891, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0x8700d1369afcca02, 0xd0fcd1c8f63fb0ff,
  0x7ef8228524482481, 0x27d70f8510c4f87e, 0xe886559cbd339722, 0xe137ee8a8432d090, 0xaf212dba5affa039,
  0x56ebfc90a4c161bc, 0x05d22d5022054f82, 0xa3857eaa4d7f22fc, 0x68c5facbe86d1bda, 0x45d670f3c79b9da5,
  0x00fd47c25f886c24, 0xeaf52e64c5c3d6fc, 0x0752e391c6fcf72c, 0x16028283e5243892, 0x5e00ced6b23afe73,
  0x21d21aa01ffb33c7, 0xee2a4aa4e81e5adc, 0x8189ddfb27f157ce, 0xbf77e781013936df, 0xa0137e6f36450603,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2d4bf36dce18edec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xa45ee093c95fb9a1,
  0x00000000000056bd,
};

// m64rfr2_autobaud_uart1_dual_pr_ee_ce m640_autobaud_uart1_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce[] = {
  0xafdddddddd43573e, 0xdddddddc3fe3c1f7, 0x21a10d77bade8fcd, 0xee100e2f477baaf8, 0x5c5f7615ef595913,
  0x598b304f8c901572, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0xcf93759fe650129d, 0x347239adec2618e0,
  0x0450a48904903149, 0xe1f0a2189f0fcfdf, 0x2ace5e99c0a444fa, 0x568a8432d0eaf443, 0x5b743effa039e134,
  0xf9214982c3795e42, 0xb54088153e0926df, 0xfaa935fc8bf01748, 0x47fba1b46f6a8e15, 0xfcf1e6e771cac7f5,
  0xb374ce7587fd735b, 0xc8e4795bf929dac0, 0x2b80d1c8f83660d7, 0x88a459a75a1140a6, 0xe328752135f46165,
  0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc,
  0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0xc79c37296a5f9b6e, 0x9fbab337f07771a2, 0xe271964b867a615c, 0xee6866587494b670, 0x062203cbb824f257,
};

// m64rfr2_autobaud_uart1_dual_pr_ee_ce_u4 m640_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe72df, 0xddddc3ea6e6d3d7e, 0x7e5a0f77a57bdddd, 0x0842029dbb1a8abc, 0xeb1c15601fabf1fd,
  0x13e327655c99f5cb, 0xf64c8c154813c9cc, 0x20614306d2303775, 0x3fe656024ee9f12e, 0x91d81251c32a2668,
  0x482481b37e68e47b, 0xc4f87e7ef8228524, 0xce33d627d70f8510, 0x9686ed22195672f4, 0xfa039e1374fc5421,
  0x2c3795e425b767cf, 0x4f82487dff866898, 0x22fc05d22d502205, 0x1bdaa3857eaa4d7f, 0x98fc62fd5194386d,
  0x911759c3cf3e019d, 0xdd0ff51f097e21b0, 0xac21374c98b87300, 0x0d7c8e4795bf929d, 0x0a62b80d1c8f8366,
  0x16588a459a75a114, 0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422,
  0x2cc4feb151b044c8, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x345912637296a5f9, 0x73f53ab337f068fe, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x00007eadfd968ff0,
};

// m64rfr2_autobaud_uart1_dual_ee_hw m640_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_ee_hw[] = {
  0xf77777768a345202, 0xbbbbbb87cd8403eb, 0x15cea2f2d5b5dfbb, 0xb27dd8f313ba539b, 0xc9c875b4df35fbb0,
  0x91118cc13e324c8d, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0x70adf9a007e65741, 0xda9a391e76f616b6,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a6714904, 0x262eb150865a1811, 0xe425b7ff9ff4073c,
  0x9d7ff2a4982c3795, 0xba45aa0440a9f048, 0x70afd549afe45f80, 0x55ad1c890da37b54, 0xcc18291c8f2b5f73,
  0x2877c5752a391f06, 0x8c2cb1148b34eb42, 0x5cca5c54b9a426be, 0x44bb4428f7b39d5a, 0x2a3e7ac6ab5d0ebd,
  0x7b2fa598b8484502, 0x13fac546c11fadc3, 0x4fe2af9ddc549402, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02,
  0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xa138c6e52d4bf36d, 0xfef0f7bca1854e7e,
  0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00b07259a7ca29e4,
};

/*
 * m644rfr2_autobaud_uart1_dual_ee_ce_u4_hw m64rfr2_autobaud_uart1_dual_ee_ce_hw
 * m64rfr2_autobaud_uart1_dual_ee_ce_u4_hw m640_autobaud_uart1_dual_ee_ce_hw
 * m640_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw[] = {
  0xeeeeeeed1468a0ae, 0xdddddc3ea6e6d3d7, 0xc7e5a0f77a57bddd, 0xd0842029dbb1a8ab, 0xfbfade87d7fabf1f,
  0x27304f8c9d9572fa, 0xddd7d9323055204f, 0xc4b881850c1b48c0, 0x4cd07fccae833ba7, 0xc8f723b024a38654,
  0x0a4890490366fcd1, 0x0a2189f0fcfdf045, 0xe5e99c67ac4fae1f, 0xa8432d0dda4432ac, 0xcf9ff4073c26e9f8,
  0x4930586f2bc84b6e, 0x1102a7c1243effe5, 0x26bf917e02e916a8, 0x1c368ded51c2bf55, 0x21cecc7e317ea8ca,
  0x886c2445d670f3cf, 0x0ece5d1ffd47c25f, 0xf253b58426e99317, 0xf06cc1af91c8f2b7, 0xb422814c5701a391,
  0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b,
  0xe2a4a5989fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0xd4bf36dce18edec5, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x0ba29e4afdcd0ccb, 0x0000000004269e88,
};

/*
 * m644rfr2_u1x8_uart0_noled_pr      m64rfr2_u1x8_uart0_noled          m64rfr2_u1x8_uart0_noled_pr
 * m640_u1x8_uart0_noled             m640_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xe4ff2e3f3e0a4c13, 0xf739bfb4402dec0b, 0xa0b8e47e80ef9610, 0x94cf7dad490e2481, 0xb57f47ac398b0165,
  0x5403ff6608ebd1f3, 0x1c7c0f2cf6c7d99e, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2,
  0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x1a3f8d163ce1b94b, 0xcf4c2b93f75663c8, 0x9296ce1c4e32c970,
  0x4a9e4afdcd0ccb0e, 0x000000003e434e1e,
};

// m64rfr2_u1x8_uart0_noled_pr_u4    m640_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x9fe186cf829304f8, 0xe737f68805bd817c, 0x171c8fd01df2c21e, 0x99efb5a921c49034, 0xafe8f58731602cb2,
  0x807fecc11d7a3e76, 0x8f81e59ed8fb33ca, 0xe70b37e06256bd83, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0x5f9b6249156f62aa, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x87049e4afdcd0ccb, 0x0000000001f27c66,
};

/*
 * m644rfr2_u1x8_uart0_noled_pr_ee_u4 m64rfr2_u1x8_uart0_noled_pr_ee    m64rfr2_u1x8_uart0_noled_pr_ee_u4
 * m640_u1x8_uart0_noled_pr_ee       m640_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x186cf94b9827c64e, 0xfed100b7b0274bfe, 0x7224d56b4738dce6, 0x23e0d9834c6391e5, 0x4eb422877c57dd47,
  0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782, 0x8451cf230e36355a, 0xfd6e1bd96cb98b84,
  0x7b002a254d2a3608, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6, 0xc55516961738c6f1,
  0x52d4bf36c4922ade, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xe3548e093c95fb9a, 0x000000000000013a,
};

// m64rfr2_u1x8_uart0_noled_pr_ce    m640_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x0a44ff2e3f3e1ee6, 0xf41739bfb4402dec, 0xf3cdc3b9dbdf63fa, 0xb19cce7587f9d21f, 0xe338e4710f3dcb2e,
  0x02dc313f490e2481, 0x173b482a3c667316, 0x83a74f71cb19e3af, 0xbce70b37e06256bd, 0x0b79bcb750603bd6,
  0x4deabaa9cbca6c67, 0xde33a205cd98c10b, 0x70dca5a97e6da718, 0xab31e40d1fc68b1e, 0x1964b867a615c9fb,
  0x866587494b670e27, 0xa81c8f254f257ee6, 0x000000000000005b,
};

// m64rfr2_u1x8_uart0_noled_pr_ce_u4 m640_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0x7fe186cfb939827c, 0xce6fed100b7b025f, 0xe6e771ee317eb10d, 0xe21b0911759c3cf1, 0xb87ff81a3f51f097,
  0x27a7b96757d64c98, 0x2524389207ac8e47, 0xfe8f587316028f9d, 0x07feccf1d7a3e76a, 0x3e0796b70fb33ca8,
  0x9c2cdf81895af60e, 0x37807d4180ef5af3, 0x575539794d8ce16f, 0x2d2c2e718de33a20, 0xfcdb12431dbd8aaa,
  0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0,
  0x7494b670e271964b, 0xb824f257ee686658, 0x000000001bafb483,
};

/*
 * m644rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m64rfr2_u1x8_uart0_noled_pr_ee_ce
 * m64rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m640_u1x8_uart0_noled_pr_ee_ce
 * m640_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xf0c367cc7e609f19, 0x37f68805bd8125af, 0xb8e518bf547f3ae7, 0x8488bace1e78f373, 0x94ce5fa8f84bf10d,
  0x3b5841ef993170f4, 0x9835af1c8f2bea25, 0x50298ac27c723e0d, 0x185962291669d684, 0x9d5dba711d484d7d,
  0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242, 0xc2ce89534a8d8226, 0x5e73859bf0312b5e,
  0x2de6f00fa8301deb, 0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x6a5f9b624863b7b1, 0xe0eee34591263729,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0xa9c7049e4afdcd0c, 0x0000000000004fc1,
};

// m64rfr2_u1x8_uart0_noled_ee_hw    m640_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0x37f68805bd813a5f, 0x2b9126ab5a39c6e7, 0x391f06cc1a631c8f, 0x9a75a1143be2beea,
  0xd2135f4616588a45, 0x1673ab4bce2b8d64, 0xd743af3a6edbda3c, 0x24228e791871b1aa, 0x47eb70decb65cc5c,
  0x6bd801512a6951b0, 0xbd6bce70b37e0625, 0x3385bcde01f50603, 0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637,
  0x7296a5f9b6249156, 0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4,
  0x66587494b670e271, 0xc1e9d514f257ee68, 0x00000000000000b7,
};

/*
 * m644rfr2_u1x8_uart0_noled_ee_ce_u4_hw m64rfr2_u1x8_uart0_noled_ee_ce_hw
 * m64rfr2_u1x8_uart0_noled_ee_ce_u4_hw m640_u1x8_uart0_noled_ee_ce_hw
 * m640_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0x9bfb4402dec092d7, 0xdc728c5faa3f9d73, 0x8488bace1e79e439, 0x699bffa8f84bf10d,
  0x76b083df3262e1f9, 0x306b5e391e57d44a, 0xa0531584f8e47c1b, 0x30b2c4522cd3ad08, 0x3abb74e23a909afa,
  0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484, 0x859d12a6951b044c, 0xbce70b37e06256bd,
  0x5bcde01f50603bd6, 0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62, 0x1854e7ea138c6e52,
  0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x2fa29e4afdcd0ccb,
  0x0000000000280b82,
};

/*
 * m644rfr2_u1x8_uart0_lednop_pr     m64rfr2_u1x8_uart0_lednop         m64rfr2_u1x8_uart0_lednop_pr
 * m640_u1x8_uart0_lednop            m640_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x9bbfcb8fcfa01304, 0x3dce6fed100b7b02, 0x682e391ed63be584, 0xca6f920fd2438920, 0x659e8d219cc580b2,
  0xa807fecc11d7a3e7, 0x05681e59eda0b348, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0x163ce1b94b52fcdb, 0x93f75663c81a3f8d, 0x1c4e32c970cf4c2b,
  0xfdcd0ccb0e9296ce, 0x007c82a71e4a9e4a,
};

// m64rfr2_u1x8_uart0_lednop_pr_u4   m640_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xdfe186cfa01304f8, 0xe737f68805bd814d, 0x171c8f6b1df2c21e, 0x37c907e921c49034, 0xcf4690ce62c05965,
  0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000f9365f85c1279,
};

/*
 * m644rfr2_u1x8_uart0_lednop_pr_ee_u4 m64rfr2_u1x8_uart0_lednop_pr_ee
 * m64rfr2_u1x8_uart0_lednop_pr_ee_u4 m640_u1x8_uart0_lednop_pr_ee
 * m640_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x186cfa9e9827c64e, 0xfed100b7b022ebfe, 0x6654d56b4738dce6, 0x23e0d9834c6391e5, 0x9d68450ef8ac3dc7,
  0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d, 0x84504f237b56355a, 0xfd6e1bd96cb98b84,
  0xf60043eccf2a3608, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef,
  0x36dce455bd8aaa2d, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x0000000275d68dce,
};

// m64rfr2_u1x8_uart0_lednop_pr_ce   m640_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xd816dfff2e3f3e63, 0xf5e82e737f68805b, 0xafe79b8773b886c7, 0x5d63399ceb0f21cb, 0x81e338e47e7a7b96,
  0x160288ad7d490e24, 0x75e2e76d62334873, 0x5ec1d6b16e39633c, 0x781013859bf0312b, 0x6f378392b01deb5e,
  0xb2a77165397ce801, 0x881facc6085a7862, 0x96a5f9b69c6378ce, 0x90347f1a2c79c372, 0xe19e985727eeacc7,
  0x1d252d9c389c6592, 0x3c953c95fb9a1996, 0x00000000002dd402,
};

// m64rfr2_u1x8_uart0_lednop_pr_ce_u4 m640_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xeeff0c367dd2cc13, 0x6e737f68805bd817, 0x8f373b80d18bf588, 0xbf10d8488bace1e7, 0x170e9b73b7fa8f84,
  0xfd24f72ceafac993, 0x45a4871240f591c8, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2, 0xad03cb5b9059a454,
  0x4e166fc0c4ad7b20, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000375d2ac4e093c,
};

/*
 * m644rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m64rfr2_u1x8_uart0_lednop_pr_ee_ce
 * m64rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m640_u1x8_uart0_lednop_pr_ee_ce
 * m640_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0xc367ffe4c13e3277, 0xed100b7b02e9fff0, 0xea317ea8fe75ce6f, 0x11759c3cf1e6e764, 0x41ff51f097e21b09,
  0x6107be64c5c3e543, 0xd6bc723cafba94ed, 0xa62bdbf1c8f83660, 0x6588a459a75a1140, 0x76e3d4752135f461,
  0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e, 0x4e166fc0c4ad7b0b,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x224c6e52d4bf36dc,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00027e5b6eae093c,
};

// m64rfr2_u1x8_uart0_lednop_ee_hw   m640_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xdfda2016f6045d7f, 0xacca9aad68e71b9c, 0xe47c1b30698c723c, 0xd3ad08a1df1587b8,
  0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab, 0x1fadc37b2d973170,
  0x5ec0087d99e546c1, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d,
  0xe6db9c8ab7b15545, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000002dffa2c94,
};

/*
 * m644rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m64rfr2_u1x8_uart0_lednop_ee_ce_hw
 * m64rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m640_u1x8_uart0_lednop_ee_ce_hw
 * m640_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0x9bfb4402dec0ba7f, 0xd93a8c5faa3f9d73, 0x8488bace1e79e439, 0x66c87fa8f84bf10d,
  0x3b5841ef993170fd, 0x9835af1c8f2beea5, 0x50298af6fc723e0d, 0x185962291669d684, 0x9d5db8f51d484d7d,
  0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113, 0x1013859bf0312b5e,
  0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xfa84e31b94b52fcd,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x00001404c134e8a7,
};

/*
 * m644rfr2_u1x8_uart0_dual_pr       m644rfr2_u1x8_uart0_dual_pr_u4    m64rfr2_u1x8_uart0_dual
 * m64rfr2_u1x8_uart0_dual_pr        m64rfr2_u1x8_uart0_dual_pr_u4     m640_u1x8_uart0_dual
 * m640_u1x8_uart0_dual_pr           m640_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_dual[] = {
  0xddddd7ed44864541, 0xddddc3eebcdd7afd, 0x81793b92ed86dddd, 0x6294247777717bd7, 0x8b920126fed61f3d,
  0x154866fcc13e3256, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0xc99c3e74d21ff328, 0x40dfc9a391ca2ec1,
  0x3f3f7c1142922412, 0x5a13eb87c288627c, 0x098a2195672f4ce0, 0x039e13465150865a, 0x1bcaf212db98fffa,
  0x7b023d7fc90a4c16, 0xf2c4d5ce6fed100b, 0x8920621e391f229d, 0x80aa0f34e2f7d243, 0x8033b5ac8ebf9cc5,
  0x7486a807fecc11d7, 0x2a4aa4e81e59ed88, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xe4a7049e4afdcd0c,
  0x000000000001493d,
};

/*
 * m644rfr2_u1x8_uart0_dual_pr_ee_u4 m64rfr2_u1x8_uart0_dual_pr_ee     m64rfr2_u1x8_uart0_dual_pr_ee_u4
 * m640_u1x8_uart0_dual_pr_ee        m640_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeebf6a2435032, 0xddddc3ed4f3efd7e, 0xf5dc6a1edb5adddd, 0xf651337afba8cd99, 0xeda3f5c7bb28bf7e,
  0xbb9827c64f4eb955, 0x0ddd7d932305521d, 0x7c4b881850c1b48c, 0x6e6ddafcca0253ba, 0x472385ad818f9c06,
  0x450a489049032753, 0x1f0a2189f0fcfdf0, 0xab397a673acc4fae, 0xf7150865a095910c, 0x5b7383ff4073c265,
  0xf9214982c3795e42, 0x9bfb4402dec0b2b7, 0x2b5f7355ad1c8973, 0x391f06cc18291c8f, 0x34eb422877c5752a,
  0xa426be8c2cb1148b, 0xb39d5a5cca5c54b9, 0x5d0ebd44bb4428f7, 0x4845022a3e7ac6ab, 0x1fadc37b2fa598b8,
  0x54940213fac546c1, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xd4bf36dce455bd8a, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xfaee093c95fb9a19, 0x0000000000005648,
};

/*
 * m644rfr2_u1x8_uart0_dual_pr_ce_u4 m64rfr2_u1x8_uart0_dual_pr_ce     m64rfr2_u1x8_uart0_dual_pr_ce_u4
 * m640_u1x8_uart0_dual_pr_ce        m640_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_pr_ce[] = {
  0xfdddddd7ed4486f9, 0xddddddc3e5c4b57a, 0x6673bed3d6db17dd, 0xd76cf9056eeeac14, 0x3b94da390eabdfc3,
  0x5520dbb9827c64ae, 0x1b48c0ddd7d93230, 0x253ba7c4b881850c, 0x09c3abe6a1ffcca0, 0x1dba9a391e396c0e,
  0xe7ef822852448248, 0x227d70f8510c4f87, 0xf8886559cbd339d8, 0xcf09b6fc54219683, 0xe579096df7dffd01,
  0x02387fe485260b0d, 0x65f5ce6fed100b7b, 0x79e3cdced2b462fd, 0xe12fc4361222eb38, 0x3262e1eb7e007ea3,
  0xc8e37e7b96757a97, 0x41f2921c4903a971, 0x6b591d7f398b0141, 0x500ffd99e3af0067, 0x52740f2d6e10e90d,
  0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x000000006923f027,
};

// m64rfr2_u1x8_uart0_dual_pr_ee_ce  m640_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce[] = {
  0x777775fb76090c86, 0xeeeee1fa8787debf, 0x932b8d17eb4f6eee, 0xa3e0cd19ee9d64e5, 0x37675ef98b682e16,
  0x49827c64d86b9776, 0x775f64c8c15489aa, 0x12e20614306d2303, 0x3337ff328094ee9f, 0x23f60ec2f0ce1cb5,
  0x149120920687d347, 0x144313e1f9fbe08a, 0xcbd339c8389f5c3e, 0xa8432d0274886559, 0xc00ffa039e136ce8,
  0x0a4c161bcaf212db, 0xda2016f6041a3fc9, 0xfc62fd51943b9cdf, 0x45d670f3c79b9d98, 0x4afd47c25f886c24,
  0xc21374c98b87b912, 0xd7c8e4795bf929da, 0xa62b80d1c8f83660, 0x6588a459a75a1140, 0x76e328752135f461,
  0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252,
  0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x4581e8637296a5f9, 0xe7ea75666fe0eee3, 0x68fb61c4e34a1854, 0x92e19e985727e03e, 0x961d252d9c389c65,
  0xbf6e093c95fb9a19, 0x0000000000004000,
};

// m64rfr2_u1x8_uart0_dual_pr_ee_ce_u4 m640_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7775fb5150fed4d6, 0xeee1fa8787debf77, 0x2b8d17eb4f6eeeee, 0xe0cd19ee9d64e593, 0xafd7b66f682e16a3,
  0x09f19361ae4dd8cf, 0x7d9323055226a926, 0x881850c1b48c0ddd, 0xbff9958093ba7c4b, 0xb076178670e5a999,
  0x890490343e9a391f, 0x189f0fcfdf0450a4, 0x99ce41c4fae1f0a2, 0x196813a4432ace5e, 0x7fd01cf09b674542,
  0x60b0de579096de00, 0x02dec08347fe19a2, 0x5faa3287739bfb44, 0x3879e7c033b31f8c, 0xa3e12fc4361222eb,
  0xe993170e601ba1fe, 0xc8f2b7f253b58426, 0x01a391f06cc1af91, 0x48b34eb422814c57, 0x50ea426be8c2cb11,
  0xda2147bd9ceaedc6, 0xe7ac6abc6c75ea25, 0xfa598b84845022a3, 0xd62a3608991c37b2, 0x157ceee2a4a5989f,
  0xe166fc0c4ad7b27f, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd, 0x18edec555169aba7,
  0x24c6e52d4bf36dce, 0x75666fe0d1fc68b2, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x100028b21fe19e4a,
};

// m64rfr2_u1x8_uart0_dual_ee_hw     m640_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_ee_hw[] = {
  0xf777775fb51468f9, 0xeeeeee1f6a79f7eb, 0xcfaee350f6dad6ee, 0xf7b2899bd7dd466c, 0x94da390f5fc345fb,
  0x21dbb9827c64f4eb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc066e6ddafccae83, 0x753472385ad818f9,
  0xdf0450a489049032, 0xfae1f0a2189f0fcf, 0x10cab397a673acc4, 0x265f7150865a0959, 0xe425b7383ff4073c,
  0x2b7ff2a4982c3795, 0x9739bfb4402dec0b, 0xc8f2b5f7355ad1c8, 0x52a391f06cc18291, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x8f7b39d5a5cca5c5, 0x6ab5d0ebd44bb442, 0x8b84845022a3e7ac, 0x6c11fadc37b2fa59,
  0xddc54940213fac54, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4,
  0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x46797a29e4afdcd0, 0x00000000000015da,
};

/*
 * m644rfr2_u1x8_uart0_dual_ee_ce_u4_hw m64rfr2_u1x8_uart0_dual_ee_ce_hw
 * m64rfr2_u1x8_uart0_dual_ee_ce_u4_hw m640_u1x8_uart0_dual_ee_ce_hw
 * m640_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbafda8a34404d3, 0x7770fd43c3ef5fbb, 0x95c68bf5a7b77777, 0xf0668cf74eb272c9, 0xf5f68d3ab4170b51,
  0x9827c64d86b979af, 0x75f64c8c15489aa4, 0x2e20614306d23037, 0x337ff32ba0cee9f1, 0x3f60ec2f0ce1cb53,
  0x49120920687d3472, 0x44313e1f9fbe08a1, 0xbd339c8389f5c3e1, 0x8432d0274886559c, 0x00ffa039e136ce8a,
  0x24c161bcaf212dbc, 0xa2016f6041a3ff95, 0xc62fd51943b9cdfd, 0xbace1e79e439d98f, 0xffa8f84bf10d8488,
  0x84dd3262e1d9cba3, 0xf2391e56fe4a76b0, 0x8ae034723e0d9835, 0x62291669d6845029, 0xb8ca1d484d7d1859,
  0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3,
  0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0xd42718dca5a97e6d, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x0001d7591017453c,
};

/*
 * m644rfr2_u1x8_uart1_noled_pr      m64rfr2_u1x8_uart1_noled          m64rfr2_u1x8_uart1_noled_pr
 * m640_u1x8_uart1_noled             m640_u1x8_uart1_noled_pr
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xe4ff2e3f3e0a4c13, 0xf5c5bfb4c98dec0b, 0xa0b8e47e80ef9610, 0x94cf7dad490e2481, 0xb57f47ac398b0165,
  0x5403ff6608ebd1f3, 0x1c7c0f2cf6c7d99e, 0x9ce4db7e062777ec, 0xf37807d4180efddf, 0x0aeaa72f29b19c9b,
  0x45a585ce31bc6744, 0x2fcdb1248ab7b155, 0xa3f8d163ce1b94b5, 0xf4c2b93f75663c81, 0x296ce1c4e32c970c,
  0xa9e4afdcd0ccb0e9, 0x00000003e434e1e4,
};

// m64rfr2_u1x8_uart1_noled_pr_u4    m640_u1x8_uart1_noled_pr_u4
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x9fe186cf829304f8, 0xb8b7f69931bd817c, 0x171c8fd01df2c21e, 0x99efb5a921c49034, 0xafe8f58731602cb2,
  0x807fecc11d7a3e76, 0x8f81e59ed8fb33ca, 0x9c9b6fc0c4eefd83, 0x6f00fa8301dfbbf3, 0x5d54e5e53633937e,
  0xb4b0b9c6378ce881, 0xf9b6249156f62aa8, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x000000001f27c668,
};

/*
 * m644rfr2_u1x8_uart1_noled_pr_ee_u4 m64rfr2_u1x8_uart1_noled_pr_ee    m64rfr2_u1x8_uart1_noled_pr_ee_u4
 * m640_u1x8_uart1_noled_pr_ee       m640_u1x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x186cf94b9827c64e, 0xfed32637b0274bfe, 0x7224d56b4738d716, 0x23e0d9834c6391e5, 0x4eb422877c57dd47,
  0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782, 0x8451cf230e36355a, 0xfd6e1bd96cb98b84,
  0xfb002a254d2a3608, 0x77e73936df8189dd, 0x26fcde01f50603bf, 0xd102baa9cbca6c67, 0x55516961738c6f19,
  0x2d4bf36c4922adec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x3548e093c95fb9a1, 0x00000000000013ae,
};

// m64rfr2_u1x8_uart1_noled_pr_ce    m640_u1x8_uart1_noled_pr_ce
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x0a44ff2e3f3e1ee6, 0xf415c5bfb4c98dec, 0xf3cdc3b9dbdf63fa, 0xb19cce7587f9d21f, 0xe338e4710f3dcb2e,
  0x02dc313f490e2481, 0x173b482a3c667316, 0x83a74f71cb19e3af, 0xf39c9b6fc0c4eefd, 0x6fcde5ba8301dfbb,
  0xdeabaa9cbca6c672, 0xe33a205cd98c10b4, 0x0dca5a97e6da718d, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x66587494b670e271, 0x81c8f254f257ee68, 0x00000000000005ba,
};

// m64rfr2_u1x8_uart1_noled_pr_ce_u4 m640_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0x7fe186cfb939827c, 0x716fed32637b025f, 0xe6e771ee317eb10d, 0xe21b0911759c3cf1, 0xb87ff81a3f51f097,
  0x27a7b96757d64c98, 0x2524389207ac8e47, 0xfe8f587316028f9d, 0x07feccf1d7a3e76a, 0x3e0796b70fb33ca8,
  0x726dbf0313bbf60e, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x824f257ee6866587, 0x00000001bafb483b,
};

/*
 * m644rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m64rfr2_u1x8_uart1_noled_pr_ee_ce
 * m64rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m640_u1x8_uart1_noled_pr_ee_ce
 * m640_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xf0c367cc7e609f19, 0xb7f69931bd8125af, 0xb8e518bf547f3ab8, 0x8488bace1e78f373, 0x94ce5fa8f84bf10d,
  0x3b5841ef993170f4, 0x9835af1c8f2bea25, 0x50298ac27c723e0d, 0x185962291669d684, 0x9d5dba711d484d7d,
  0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242, 0xc2ce89534a8d8226, 0xf9ce4db7e062777e,
  0xbf37807d4180efdd, 0x40aeaa72f29b19c9, 0x545a585ce31bc674, 0xa5f9b624863b7b15, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x9c7049e4afdcd0cc, 0x000000000004fc1a,
};

// m64rfr2_u1x8_uart1_noled_ee_hw    m640_u1x8_uart1_noled_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0xb7f69931bd813a5f, 0x2b9126ab5a39c6b8, 0x391f06cc1a631c8f, 0x9a75a1143be2beea,
  0xd2135f4616588a45, 0x1673ab4bce2b8d64, 0xd743af3a6edbda3c, 0x24228e791871b1aa, 0x47eb70decb65cc5c,
  0xefd801512a6951b0, 0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378,
  0x296a5f9b6249156f, 0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x1e9d514f257ee686, 0x0000000000000b7c,
};

/*
 * m644rfr2_u1x8_uart1_noled_ee_ce_u4_hw m64rfr2_u1x8_uart1_noled_ee_ce_hw
 * m64rfr2_u1x8_uart1_noled_ee_ce_u4_hw m640_u1x8_uart1_noled_ee_ce_hw
 * m640_u1x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0x5bfb4c98dec092d7, 0xdc728c5faa3f9d5c, 0x8488bace1e79e439, 0x699bffa8f84bf10d,
  0x76b083df3262e1f9, 0x306b5e391e57d44a, 0xa0531584f8e47c1b, 0x30b2c4522cd3ad08, 0x3abb74e23a909afa,
  0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484, 0x859d12a6951b044c, 0xf39c9b6fc0c4eefd,
  0x7e6f00fa8301dfbb, 0x815d54e5e5363393, 0xa8b4b0b9c6378ce8, 0x4bf36c490c76f62a, 0x854e7ea138c6e52d,
  0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xfa29e4afdcd0ccb0,
  0x000000000280b822,
};

/*
 * m644rfr2_u1x8_uart1_lednop_pr     m64rfr2_u1x8_uart1_lednop         m64rfr2_u1x8_uart1_lednop_pr
 * m640_u1x8_uart1_lednop            m640_u1x8_uart1_lednop_pr
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x9bbfcb8fcfa01304, 0x3d716fed32637b02, 0x682e391ed63be584, 0xca6f920fd2438920, 0x659e8d219cc580b2,
  0xa807fecc11d7a3e7, 0x05681e59eda0b348, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x63ce1b94b52fcdb7, 0x3f75663c81a3f8d1, 0xc4e32c970cf4c2b9,
  0xdcd0ccb0e9296ce1, 0x07c82a71e4a9e4af,
};

// m64rfr2_u1x8_uart1_lednop_pr_u4   m640_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xdfe186cfa01304f8, 0xb8b7f69931bd814d, 0x171c8f6b1df2c21e, 0x37c907e921c49034, 0xcf4690ce62c05965,
  0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0xe4db7e062777ec82, 0x14180efddf9e0404, 0x29c94e804df9bcd9,
  0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x498dca5a97e6db9c, 0x9d599bf83bb8d164, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x00f9365f85c12792,
};

/*
 * m644rfr2_u1x8_uart1_lednop_pr_ee_u4 m64rfr2_u1x8_uart1_lednop_pr_ee
 * m64rfr2_u1x8_uart1_lednop_pr_ee_u4 m640_u1x8_uart1_lednop_pr_ee
 * m640_u1x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x186cfa9e9827c64e, 0xfed32637b022ebfe, 0x6654d56b4738d716, 0x23e0d9834c6391e5, 0x9d68450ef8ac3dc7,
  0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d, 0x84504f237b56355a, 0xfd6e1bd96cb98b84,
  0xf60043eccf2a3608, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9,
  0x6dce455bd8aaa2d3, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x000000275d68dce0,
};

// m64rfr2_u1x8_uart1_lednop_pr_ce   m640_u1x8_uart1_lednop_pr_ce
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xd816dfff2e3f3e63, 0xf5e82b8b7f69931b, 0xafe79b8773b886c7, 0x5d63399ceb0f21cb, 0x81e338e47e7a7b96,
  0x160288ad7d490e24, 0x75e2e76d62334873, 0x7ec1d6b16e39633c, 0xe0404e4db7e06277, 0xf9bc1c9580efddf9,
  0x2a77165397ce804d, 0x81facc6085a7862b, 0x6a5f9b69c6378ce8, 0x0347f1a2c79c3729, 0x19e985727eeacc79,
  0xd252d9c389c6592e, 0xc953c95fb9a19961, 0x0000000002dd4023,
};

// m64rfr2_u1x8_uart1_lednop_pr_ce_u4 m640_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xeeff0c367dd2cc13, 0x6b8b7f69931bd817, 0x8f373b80d18bf588, 0xbf10d8488bace1e7, 0x170e9b73b7fa8f84,
  0xfd24f72ceafac993, 0x45a4871240f591c8, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2, 0xad03cb5b9059a454,
  0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x18edec555169aba7,
  0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00375d2ac4e093c9,
};

/*
 * m644rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m64rfr2_u1x8_uart1_lednop_pr_ee_ce
 * m64rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m640_u1x8_uart1_lednop_pr_ee_ce
 * m640_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0xc367ffe4c13e3277, 0xed32637b02e9fff0, 0xea317ea8fe75716f, 0x11759c3cf1e6e764, 0x41ff51f097e21b09,
  0x6107be64c5c3e543, 0xd6bc723cafba94ed, 0xa62bdbf1c8f83660, 0x6588a459a75a1140, 0x76e3d4752135f461,
  0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450, 0x31f667951b044c8e, 0x3936df8189ddfb0b,
  0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x18edec555169aba7, 0x24c6e52d4bf36dce,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x0027e5b6eae093c9,
};

// m64rfr2_u1x8_uart1_lednop_ee_hw   m640_u1x8_uart1_lednop_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xdfda64c6f6045d7f, 0xacca9aad68e71ae2, 0xe47c1b30698c723c, 0xd3ad08a1df1587b8,
  0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab, 0x1fadc37b2d973170,
  0x7ec0087d99e546c1, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0x6db9c8ab7b15545a, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000002dffa2c945,
};

/*
 * m644rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m64rfr2_u1x8_uart1_lednop_ee_ce_hw
 * m64rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m640_u1x8_uart1_lednop_ee_ce_hw
 * m640_u1x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0x5bfb4c98dec0ba7f, 0xd93a8c5faa3f9d5c, 0x8488bace1e79e439, 0x66c87fa8f84bf10d,
  0x3b5841ef993170fd, 0x9835af1c8f2beea5, 0x50298af6fc723e0d, 0x185962291669d684, 0x9d5db8f51d484d7d,
  0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113, 0x404e4db7e062777e,
  0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xa84e31b94b52fcdb,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0001404c134e8a79,
};

/*
 * m644rfr2_u1x8_uart1_dual_pr       m644rfr2_u1x8_uart1_dual_pr_u4    m64rfr2_u1x8_uart1_dual
 * m64rfr2_u1x8_uart1_dual_pr        m64rfr2_u1x8_uart1_dual_pr_u4     m640_u1x8_uart1_dual
 * m640_u1x8_uart1_dual_pr           m640_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_dual[] = {
  0xddddd7ed44864541, 0xddddc3eebcdd7afd, 0x81793b92ed86dddd, 0x6294247777717bd7, 0x8b920126fed61f3d,
  0x154866fcc13e3256, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0xc99c3e74d21ff328, 0x40dfc9a391ca2ec1,
  0x3f3f7c1142922412, 0x5a13eb87c288627c, 0x098a2195672f4ce0, 0x039e13465150865a, 0x1bcaf212db98fffa,
  0x7b023d7fc90a4c16, 0xf2c4d5716fed3263, 0x8920621e391f229d, 0x80aa0f34e2f7d243, 0x8033b5ac8ebf9cc5,
  0x7486a807fecc11d7, 0x2a4aa4e81e59ed88, 0x89ddfb27f157ceee, 0x77e781013936df81, 0x137e6f36450603bf,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x4a7049e4afdcd0cc,
  0x00000000001493de,
};

/*
 * m644rfr2_u1x8_uart1_dual_pr_ee_u4 m64rfr2_u1x8_uart1_dual_pr_ee     m64rfr2_u1x8_uart1_dual_pr_ee_u4
 * m640_u1x8_uart1_dual_pr_ee        m640_u1x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeebf6a2435032, 0xddddc3ed4f3efd7e, 0xf5dc6a1edb5adddd, 0xf651337afba8cd99, 0xeda3f5c7bb28bf7e,
  0xbb9827c64f4eb955, 0x0ddd7d932305521d, 0x7c4b881850c1b48c, 0x6e6ddafcca0253ba, 0x472385ad818f9c06,
  0x450a489049032753, 0x1f0a2189f0fcfdf0, 0xab397a673acc4fae, 0xf7150865a095910c, 0x5b7383ff4073c265,
  0xf9214982c3795e42, 0x5bfb4c98dec0b2b7, 0x2b5f7355ad1c895c, 0x391f06cc18291c8f, 0x34eb422877c5752a,
  0xa426be8c2cb1148b, 0xb39d5a5cca5c54b9, 0x5d0ebd44bb4428f7, 0x4845022a3e7ac6ab, 0x1fadc37b2fa598b8,
  0x54940213fac546c1, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xaee093c95fb9a199, 0x000000000005648f,
};

/*
 * m644rfr2_u1x8_uart1_dual_pr_ce_u4 m64rfr2_u1x8_uart1_dual_pr_ce     m64rfr2_u1x8_uart1_dual_pr_ce_u4
 * m640_u1x8_uart1_dual_pr_ce        m640_u1x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_pr_ce[] = {
  0xfdddddd7ed4486f9, 0xddddddc3e5c4b57a, 0x6673bed3d6db17dd, 0xd76cf9056eeeac14, 0x3b94da390eabdfc3,
  0x5520dbb9827c64ae, 0x1b48c0ddd7d93230, 0x253ba7c4b881850c, 0x09c3abe6a1ffcca0, 0x1dba9a391e396c0e,
  0xe7ef822852448248, 0x227d70f8510c4f87, 0xf8886559cbd339d8, 0xcf09b6fc54219683, 0xe579096df7dffd01,
  0x02387fe485260b0d, 0x65f5716fed32637b, 0x79e3cdced2b462fd, 0xe12fc4361222eb38, 0x3262e1eb7e007ea3,
  0xc8e37e7b96757a97, 0x41f2921c4903a971, 0x6b591d7f398b0141, 0x500ffd99e3af0067, 0x52740f2d6e10e90d,
  0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be,
  0xb6e70c76f62aa8b4, 0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f,
  0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9, 0x00000006923f0270,
};

// m64rfr2_u1x8_uart1_dual_pr_ee_ce  m640_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce[] = {
  0x777775fb76090c86, 0xeeeee1fa8787debf, 0x932b8d17eb4f6eee, 0xa3e0cd19ee9d64e5, 0x37675ef98b682e16,
  0x49827c64d86b9776, 0x775f64c8c15489aa, 0x12e20614306d2303, 0x3337ff328094ee9f, 0x23f60ec2f0ce1cb5,
  0x149120920687d347, 0x144313e1f9fbe08a, 0xcbd339c8389f5c3e, 0xa8432d0274886559, 0xc00ffa039e136ce8,
  0x0a4c161bcaf212db, 0xda64c6f6041a3fc9, 0xfc62fd51943ae2df, 0x45d670f3c79b9d98, 0x4afd47c25f886c24,
  0xc21374c98b87b912, 0xd7c8e4795bf929da, 0xa62b80d1c8f83660, 0x6588a459a75a1140, 0x76e328752135f461,
  0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252,
  0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0x581e8637296a5f9b, 0x7ea75666fe0eee34, 0x8fb61c4e34a1854e, 0x2e19e985727e03e6, 0x61d252d9c389c659,
  0xf6e093c95fb9a199, 0x000000000004000b,
};

// m64rfr2_u1x8_uart1_dual_pr_ee_ce_u4 m640_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0x7775fb5150fed4d6, 0xeee1fa8787debf77, 0x2b8d17eb4f6eeeee, 0xe0cd19ee9d64e593, 0xafd7b66f682e16a3,
  0x09f19361ae4dd8cf, 0x7d9323055226a926, 0x881850c1b48c0ddd, 0xbff9958093ba7c4b, 0xb076178670e5a999,
  0x890490343e9a391f, 0x189f0fcfdf0450a4, 0x99ce41c4fae1f0a2, 0x196813a4432ace5e, 0x7fd01cf09b674542,
  0x60b0de579096de00, 0x98dec08347fe19a2, 0x5faa32875c5bfb4c, 0x3879e7c033b31f8c, 0xa3e12fc4361222eb,
  0xe993170e601ba1fe, 0xc8f2b7f253b58426, 0x01a391f06cc1af91, 0x48b34eb422814c57, 0x50ea426be8c2cb11,
  0xda2147bd9ceaedc6, 0xe7ac6abc6c75ea25, 0xfa598b84845022a3, 0xd62a3608991c37b2, 0x157ceee2a4a5989f,
  0x936df8189ddfb27f, 0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4, 0x8edec555169aba71,
  0x4c6e52d4bf36dce1, 0x5666fe0d1fc68b22, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x00028b21fe19e4af, 0x0000000000000001,
};

// m64rfr2_u1x8_uart1_dual_ee_hw     m640_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_ee_hw[] = {
  0xf777775fb51468f9, 0xeeeeee1f6a79f7eb, 0xcfaee350f6dad6ee, 0xf7b2899bd7dd466c, 0x94da390f5fc345fb,
  0x21dbb9827c64f4eb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc066e6ddafccae83, 0x753472385ad818f9,
  0xdf0450a489049032, 0xfae1f0a2189f0fcf, 0x10cab397a673acc4, 0x265f7150865a0959, 0xe425b7383ff4073c,
  0x2b7ff2a4982c3795, 0x95c5bfb4c98dec0b, 0xc8f2b5f7355ad1c8, 0x52a391f06cc18291, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x8f7b39d5a5cca5c5, 0x6ab5d0ebd44bb442, 0x8b84845022a3e7ac, 0x6c11fadc37b2fa59,
  0xddc54940213fac54, 0xf0313bbf64fe2af9, 0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x6797a29e4afdcd0c, 0x0000000000015da4,
};

/*
 * m644rfr2_u1x8_uart1_dual_ee_ce_u4_hw m64rfr2_u1x8_uart1_dual_ee_ce_hw
 * m64rfr2_u1x8_uart1_dual_ee_ce_u4_hw m640_u1x8_uart1_dual_ee_ce_hw
 * m640_u1x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbafda8a34404d3, 0x7770fd43c3ef5fbb, 0x95c68bf5a7b77777, 0xf0668cf74eb272c9, 0xf5f68d3ab4170b51,
  0x9827c64d86b979af, 0x75f64c8c15489aa4, 0x2e20614306d23037, 0x337ff32ba0cee9f1, 0x3f60ec2f0ce1cb53,
  0x49120920687d3472, 0x44313e1f9fbe08a1, 0xbd339c8389f5c3e1, 0x8432d0274886559c, 0x00ffa039e136ce8a,
  0x24c161bcaf212dbc, 0xa64c6f6041a3ff95, 0xc62fd51943ae2dfd, 0xbace1e79e439d98f, 0xffa8f84bf10d8488,
  0x84dd3262e1d9cba3, 0xf2391e56fe4a76b0, 0x8ae034723e0d9835, 0x62291669d6845029, 0xb8ca1d484d7d1859,
  0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3,
  0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x42718dca5a97e6db, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x001d7591017453c9,
};

/*
 * m644rfr2_u1x12_uart0_noled_pr     m64rfr2_u1x12_uart0_noled         m64rfr2_u1x12_uart0_noled_pr
 * m640_u1x12_uart0_noled            m640_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x9fe5c7e7e719827c, 0x7fb6a7f76e9f092f, 0xa03be5843c368dd2, 0x52438920682e391f, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x8f386e52d4bf36c4, 0xfdd598f2068fe345, 0x138cb25c33d30ae4,
  0x734332c3a4a5b387, 0x07c8738792a792bf,
};

// m64rfr2_u1x12_uart0_noled_pr_u4   m640_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfc30d9f9c6609f19, 0xf6d4feedd3e125f3, 0x077cb08786d1ba4f, 0x4871240d05c723f4, 0xcc580b2ca67bed6a,
  0x475e8f9dabfa3d61, 0xb63eccf2a01ffb30, 0x1895af60e3e07967, 0x180ef5af39c2cdf8, 0x94d8ce16f37807d4,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0x498dca5a97e6d892, 0x9d599bf83bb8d164, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x007c9db315c12792,
};

/*
 * m644rfr2_u1x12_uart0_noled_pr_ee_u4 m64rfr2_u1x12_uart0_noled_pr_ee
 * m64rfr2_u1x12_uart0_noled_pr_ee_u4 m640_u1x12_uart0_noled_pr_ee
 * m640_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0xc367d82cc13e3277, 0xa7f76e9f091c3ff0, 0xb4738c368dd27fb6, 0x34c6391e57224d56, 0x77c57dd4723e0d98,
  0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74, 0x96cb98b848451cf2,
  0x54d2a3608fd6e1bd, 0x66fc0c4ad7b002a2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc, 0x61738c6f19d102ba,
  0x6c4922adec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x00000013af7926e0,
};

// m64rfr2_u1x12_uart0_noled_pr_ce   m640_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x96dfff2e3f3e63e6, 0xdd27fb6a7f76e9f0, 0xe76f7d8febd04368, 0xd61fe7487fcf370e, 0xc43cf72cbac67339,
  0xfd243892078ce391, 0xa8f199cc580b70c4, 0xc72c678ebc5ced20, 0xdf81895af60e9d3d, 0xdd4180ef5af39c2c,
  0xa72f29b19c2de6f2, 0x173663042d37aaea, 0xa5f9b69c6378ce88, 0x347f1a2c79c37296, 0x9e985727eeacc790,
  0x252d9c389c6592e1, 0x953c95fb9a19961d, 0x000000002dd4023c,
};

// m64rfr2_u1x12_uart0_noled_pr_ce_u4 m640_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0x5ff0c367fe74c13e, 0x7fb6a7f76e9f0914, 0xee317eb10c368dd2, 0x11759c3cf1e6e771, 0x1a3f51f097e21b09,
  0x6757d64c98b87ff8, 0x9207ac8e4727a7b9, 0x7316028f9d252438, 0xf1d7a3e76afe8f58, 0xb70fb33ca807fecc,
  0x81895af60e3e0796, 0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e,
  0x8931b94b52fcdb12, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x000dd7dd523824f2,
};

/*
 * m644rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m64rfr2_u1x12_uart0_noled_pr_ee_ce
 * m64rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m640_u1x12_uart0_noled_pr_ee_ce
 * m640_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xb3e337304f8c9ddf, 0xfbb74f8482d7f861, 0x7f3a1b46e93fdb53, 0x78f373b8e518bf54, 0x4bf10d8488bace1e,
  0x3170f494ce5fa8f8, 0x2bea253b5841ef99, 0x723e0d9835af1c8f, 0x69d68450298ac27c, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x312b5ec2ce89534a,
  0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0x2637296a5f9b6248,
  0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x009f820ae7049e4a,
};

// m64rfr2_u1x12_uart0_noled_ee_hw   m640_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0xb53fbb74f848e1ff, 0xb5a39c61b46e93fd, 0xc1a631c8f2b9126a, 0x43be2beea391f06c,
  0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3, 0xecb65cc5c24228e7,
  0x12a6951b047eb70d, 0x0b37e06256bd8015, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x9b6249156f62aa8b, 0x73f509c637296a5f, 0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x00000005be463fd1,
};

/*
 * m644rfr2_u1x12_uart0_noled_ee_ce_u4_hw m64rfr2_u1x12_uart0_noled_ee_ce_hw
 * m64rfr2_u1x12_uart0_noled_ee_ce_u4_hw m640_u1x12_uart0_noled_ee_ce_hw
 * m640_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0xa9fddba7c2416bfc, 0xaa3f9d0da3749fed, 0x1e79e439dc728c5f, 0xf84bf10d8488bace,
  0x3262e1f9699bffa8, 0x1e57d44a76b083df, 0xf8e47c1b306b5e39, 0x2cd3ad08a0531584, 0x3a909afa30b2c452,
  0xbda3c1673abb74e2, 0x36355e363af3a6ed, 0xb98b848451cf230e, 0x951b044c8e1bd96c, 0xe06256bd859d12a6,
  0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b, 0x138c6e52d4bf36c4,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x002808d59ba29e4a,
};

/*
 * m644rfr2_u1x12_uart0_lednop_pr    m64rfr2_u1x12_uart0_lednop        m64rfr2_u1x12_uart0_lednop_pr
 * m640_u1x12_uart0_lednop           m640_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xfbfcb8fcf9eb304f, 0x9feda9fddba7c252, 0xb58ef9610f0da374, 0xf490e2481a0b8e47, 0x6731602cb29be483,
  0x0475e8f9d967a348, 0x7b682cd22a01ffb3, 0x81895af6415a0796, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xf2068fe3458f386e, 0x5c33d30ae4fdd598,
  0xc3a4a5b387138cb2, 0x8792a792bf734332, 0x00000000000f9024,
};

// m64rfr2_u1x12_uart0_lednop_pr_u4  m640_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xff0c367cf59827c6, 0xfb6a7f76e9f094be, 0x63be5843c368dd27, 0x2438920682e391ed, 0xcc580b2ca6f920fd,
  0x1d7a3e7659e8d219, 0xda0b348a807fecc1, 0x6256bd905681e59e, 0xd6bcf020270b37e0, 0x002de6f36450603b,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb52fcdb739156f62, 0xf07771a2c8931b94, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0xb2d3824f257ee686,
  0x000000000000f93f,
};

/*
 * m644rfr2_u1x12_uart0_lednop_pr_ee_u4 m64rfr2_u1x12_uart0_lednop_pr_ee
 * m64rfr2_u1x12_uart0_lednop_pr_ee_u4 m640_u1x12_uart0_lednop_pr_ee
 * m640_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x61b3f95a609f193b, 0x53fbb74f848a1ff8, 0x5a39c61b46e93fdb, 0x1a631c8f2b32a6ab, 0x77c561ee391f06cc,
  0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0x6ed1923268e75697, 0x1bdab1aad743af3a, 0xcb65cc5c24228279,
  0x667951b047eb70de, 0x66fc0c4ad7b0021f, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x09d70d4e7049e4af,
};

/*
 * m644rfr2_u1x12_uart0_lednop_pr_ce_u4 m64rfr2_u1x12_uart0_lednop_pr_ce
 * m64rfr2_u1x12_uart0_lednop_pr_ce_u4 m640_u1x12_uart0_lednop_pr_ce
 * m640_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xdfe186cf9c39827c, 0xff6d4feedd3e124a, 0x3462fd62186d1ba4, 0x22eb3879e3cdcee0, 0xedfea3e12fc43612,
  0x3abeb264c5c3a6dc, 0x903d64723f493dcb, 0x98b01531116921c4, 0x3af47cecb3d1a433, 0xe416691500ffd99e,
  0x312b5ec82b40f2d6, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce,
  0xb52fcdb73863b7b1, 0xf07771a2c8931b94, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0xfe07efd8668fb61c,
  0x64b867a617c68f45, 0x6587494b670e2719, 0x2ed3824f257ee686, 0x000000000000dd78,
};

/*
 * m644rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m64rfr2_u1x12_uart0_lednop_pr_ee_ce
 * m64rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m640_u1x12_uart0_lednop_pr_ee_ce
 * m640_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xb3e1a2609f193ba7, 0xf76e9f0958fff861, 0xfe74368dd27fb6a7, 0xf1e6e764ea317ea8, 0x97e21b0911759c3c,
  0xc5c3e54341ff51f0, 0xafba94ed6107be64, 0xc8f83660d6bc723c, 0xa75a1140a62bdbf1, 0x2135f4616588a459,
  0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0xc4ad7b0b31f66795,
  0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xd4bf36dce18edec5,
  0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x548e093c95fb9a19, 0x0000000000013f0f,
};

// m64rfr2_u1x12_uart0_lednop_ee_hw  m640_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0x6a7f76e9f09143ff, 0x6b4738c368dd27fb, 0x834c6391e56654d5, 0x0ef8ac3dc723e0d9,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7, 0xd96cb98b8484504f,
  0xeccf2a3608fd6e1b, 0x2cdf81895af60043, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x55bd8aaa2d3574e3, 0x8c6e52d4bf36dce4, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x0b7fa907a29e4afd,
};

/*
 * m644rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m64rfr2_u1x12_uart0_lednop_ee_ce_hw
 * m64rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m640_u1x12_uart0_lednop_ee_ce_hw
 * m640_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0xa9fddba7c2563ffe, 0xaa3f9d0da3749fed, 0x1e79e439d93a8c5f, 0xf84bf10d8488bace,
  0x993170fd66c87fa8, 0x8f2beea53b5841ef, 0xfc723e0d9835af1c, 0x1669d68450298af6, 0x1d484d7d18596229,
  0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b, 0xf0312b5ec2cc7d99,
  0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x94b52fcdb73863b7,
  0xf2861539fa84e31b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0xa5f868a792bf7343, 0x0000000000000a02,
};

/*
 * m644rfr2_u1x12_uart0_dual_pr      m644rfr2_u1x12_uart0_dual_pr_u4   m64rfr2_u1x12_uart0_dual
 * m64rfr2_u1x12_uart0_dual_pr       m64rfr2_u1x12_uart0_dual_pr_u4    m640_u1x12_uart0_dual
 * m640_u1x12_uart0_dual_pr          m640_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_dual[] = {
  0x776fc60f448650e3, 0x7770ffa5295ebf77, 0x7589e9dad8b77777, 0xf5ae0eeee9fb0803, 0xb90581f24c70bb0c,
  0xaa42544c13e32590, 0x369181bbafb26460, 0x4a774f8971030a18, 0x38e121e62ebf9940, 0x0d7dcd1c8ee4f61f,
  0xf3f7c11429224124, 0xf13eb87c288627c3, 0xe44432ace5e99c31, 0x73c261f22a10cb43, 0x795e425b780dff40,
  0x84827ff9214982c3, 0x46e93fdb53fbb74f, 0x1c8f914ef9626a1b, 0x717be921c490310f, 0x475fce62c055079a,
  0xff6608ebc019dad6, 0x0f2cf6c43a435403, 0xf8abe77715255274, 0x270b37e06256bd93, 0x6450603bd6bcf020,
  0xea53929d002de6f3, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x0000a49cb82b824f,
};

/*
 * m644rfr2_u1x12_uart0_dual_pr_ee_u4 m64rfr2_u1x12_uart0_dual_pr_ee    m64rfr2_u1x12_uart0_dual_pr_ee_u4
 * m640_u1x12_uart0_dual_pr_ee       m640_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2437089, 0x7770fbd3dfbf5fbb, 0x72c4afb6abf77777, 0x70db08376271bab1, 0xacad9bada56a8bce,
  0x4c13e32638dcaf27, 0x775f64c8c15480b2, 0x12e20614306d2303, 0x9936ff328094ee9f, 0x91cc7f6033670dda,
  0x8524482481a5a9a3, 0x8510c4f87e7ef822, 0x9cbd338c8627d70f, 0x8a8432d074a88655, 0x7eafffa039e13145,
  0x214982c3795e425b, 0x53fbb74f84b7dff9, 0x5a39121b46e93fdb, 0x3052391e56bee6ab, 0xef8aea54723e0d98,
  0x5962291669d68450, 0x94b8a973484d7d18, 0x768851ef673ab4b9, 0x7cf58d56ba1d7a89, 0x5f4b3170908a0454,
  0xf58a8d823f5b86f6, 0xc55f3bb8a9280427, 0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0000564ab29c1279,
};

/*
 * m644rfr2_u1x12_uart0_dual_pr_ce_u4 m64rfr2_u1x12_uart0_dual_pr_ce    m64rfr2_u1x12_uart0_dual_pr_ce_u4
 * m640_u1x12_uart0_dual_pr_ce       m640_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_pr_ce[] = {
  0x776fc60f44869a4e, 0x7770ff8f67debf77, 0x349961b4abf77777, 0xbb1edbbbb2ee2704, 0x8fea314023c3b17e,
  0x148cc13e324c4dcb, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x43f374ffe650129d, 0x9a391ce0ec3abce1,
  0x8228524482481ece, 0x70f8510c4f87e7ef, 0x6559cbd33978627d, 0x07b8a8432d05f688, 0x12dbe9bffa039e13,
  0xffc90a4c161bcaf2, 0xfeda9fddba7c2452, 0xd18bf597d0da3749, 0x8bace1e78f373b4a, 0x01fa8f84bf10d848,
  0xd5ea5cc98b87adf8, 0x0ea5c7238df9ee59, 0x2c050507ca487124, 0xbc019dad6475fce6, 0x43a435403ff6678e,
  0xdc549549d03cb5b8, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d,
  0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x9924dc12792bf734, 0x00000000000001a4,
};

// m64rfr2_u1x12_uart0_dual_pr_ee_ce m640_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbb7e307d41436f02, 0xddc3fe97bbf5fbbb, 0xeabfaef49bdddddd, 0x7852c1dd69c75913, 0x5c67059bc995dfbf,
  0x09f1921bae4fe1f3, 0x5f64c8c1548ee3e6, 0xe20614306d230377, 0xf5ff328094ee9f12, 0x7adfd8400380a49b,
  0x92241240e76e68e4, 0x88627c3f3f7c1142, 0xbd338a9113eb87c2, 0x8432d0b74886559c, 0x9affa039e1329e8a,
  0xa4c161bcaf212dbe, 0xfddba7c2416bfc90, 0x3fdd0da3749feda9, 0xe78f373b8e563faa, 0x9ba673ac3dc89257,
  0x4723cadfc94ed605, 0x5c068e47c1b306be, 0x4522cd3ad08a0531, 0x1943a909afa30b2c, 0x9768851ef673abb7,
  0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de, 0xfc55f3bb8a929662, 0x13859bf0312b5ec9,
  0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0x0f431b94b52fcdb7,
  0x53ab337f07771a2c, 0xdb0e271a50c2a73f, 0x0cf4c2b93f01f347, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0,
  0x0000000001000f5b,
};

// m64rfr2_u1x12_uart0_dual_pr_ee_ce_u4 m640_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87fbb90, 0xee1fcc5c2fd7eeee, 0xd9bad68ce6eeeeee, 0xcddc4edd9c45a89b, 0xeaf7fd6da7ad0513,
  0x27c64b62b91a912b, 0xfb26460aa4279798, 0x1030a18369181bba, 0xa3f32b012774f897, 0xe1ec3968e0cdf992,
  0x12092078dd34723d, 0x313e1f9fbe08a149, 0x338aeb89f5c3e144, 0x32d04b4886559cbd, 0xffa039e134728a84,
  0xc161bcaf212db8a4, 0x6e9f0969affc3344, 0x1c368dd27fb6a7f7, 0x00cecc7e317ea8ca, 0x10d8488bace1e79f,
  0x39806e87fa8f84bf, 0xc94ed6109ba64c5c, 0xc1b306be4723cadf, 0xd08a05315c068e47, 0xafa30b2c4522cd3a,
  0xf673abb71943a909, 0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8,
  0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce,
  0xb52fcdb73863b7b1, 0x8347f1a2c8931b94, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3,
  0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x267f86792bf73433, 0x00000000004005cf,
};

// m64rfr2_u1x12_uart0_dual_ee_hw    m640_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_ee_hw[] = {
  0xddbf183d14689a4e, 0xbb87de9efdfafddd, 0x96257db55fbbbbbb, 0x86d841bb138dd58b, 0xf518e8f0eb545e73,
  0x92609f1931c6e5c7, 0x1bbafb26460aa405, 0xf8971030a1836918, 0xd4c9b7f995d06774, 0x1c8e63fb019b386e,
  0x14292241240d2d4d, 0x7c288627c3f3f7c1, 0xace5e99c64313eb8, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf9524c161bcaf212, 0xda9fddba7c25beff, 0x5ad1c890da3749fe, 0xc18291c8f2b5f735, 0x877c5752a391f06c,
  0xc2cb1148b34eb422, 0xcca5c54b9a426be8, 0x4bb4428f7b39d5a5, 0xa3e7ac6ab5d0ebd4, 0xb2fa598b84845022,
  0x3fac546c11fadc37, 0xfe2af9ddc5494021, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xa138c6e52d4bf36d, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x000aed73217a29e4,
};

/*
 * m644rfr2_u1x12_uart0_dual_ee_ce_u4_hw m64rfr2_u1x12_uart0_dual_ee_ce_hw
 * m64rfr2_u1x12_uart0_dual_ee_ce_u4_hw m640_u1x12_uart0_dual_ee_ce_hw
 * m640_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw[] = {
  0x76fc60f451a3b46e, 0x770fe62e17ebf777, 0xecdd6b4673777777, 0xe6ee276ece22d44d, 0x93fbffc2d3d68289,
  0x304f8c96c57230a0, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x92a3f32ba0cee9f1, 0x3de1ec3968e0cdf9,
  0x4912092078dd3472, 0x44313e1f9fbe08a1, 0xbd338aeb89f5c3e1, 0x8432d04b4886559c, 0xa4ffa039e134728a,
  0x24c161bcaf212db8, 0xfddba7c25a6bff95, 0x32870da3749feda9, 0xf3c873b31f8c5faa, 0x97e21b0911759c3c,
  0xc5c3b39747ff51f0, 0xadfc94ed6109ba64, 0xe47c1b306be4723c, 0xd3ad08a05315c068, 0x909afa30b2c4522c,
  0x51ef673abb71943a, 0x1aaf1b1d7a897688, 0x62e1211408a8f9eb, 0x8d8226470decbe96, 0x3bb8a9296627f58a,
  0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb94b52fcdb73863b, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0x5a0fba8a792bf734, 0x00000000000001d7,
};

/*
 * m644rfr2_u1x12_uart1_noled_pr     m64rfr2_u1x12_uart1_noled         m64rfr2_u1x12_uart1_noled_pr
 * m640_u1x12_uart1_noled            m640_u1x12_uart1_noled_pr
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x9fe5c7e7e719827c, 0xff6d4feedd3e092f, 0x4077cb08786d1ba4, 0xa4871240d05c723f, 0x1cc580b2ca67bed6,
  0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xe70dca5a97e6d892, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0x6866587494b670e2, 0xf90e70f254f257ee,
};

// m64rfr2_u1x12_uart1_noled_pr_u4   m640_u1x12_uart1_noled_pr_u4
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfc30d9f9c6609f19, 0xeda9fddba7c125f3, 0x0ef9610f0da3749f, 0x90e2481a0b8e47e8, 0x98b016594cf7dad4,
  0x8ebd1f3b57f47ac3, 0x6c7d99e5403ff660, 0x62777ec1c7c0f2cf, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x31b94b52fcdb1248, 0xab337f07771a2c89, 0x787bde50c2a73f53,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x0f93b662b824f257,
};

/*
 * m644rfr2_u1x12_uart1_noled_pr_ee_u4 m64rfr2_u1x12_uart1_noled_pr_ee
 * m64rfr2_u1x12_uart1_noled_pr_ee_u4 m640_u1x12_uart1_noled_pr_ee
 * m640_u1x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0xc367d82cc13e3277, 0x4feedd3e091c3ff0, 0x68e7186d1ba4ff6d, 0x698c723cae449aad, 0xef8afba8e47c1b30,
  0x5962291669d68450, 0x38ae3593484d7d18, 0xbb6f68f059cead2f, 0x61c6c6ab5d0ebce9, 0x2d973170908a39e4,
  0xa9a546c11fadc37b, 0xdbf0313bbf600544, 0x3ea0c077eefce726, 0x39794d8ce4df9bc0, 0x2e718de33a205755,
  0x892455bd8aaa2d2c, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3,
  0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x00000275ef24dc12,
};

// m64rfr2_u1x12_uart1_noled_pr_ce   m640_u1x12_uart1_noled_pr_ce
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x96dfff2e3f3e63e6, 0xba4ff6d4feedd3e0, 0xcedefb1fd7a086d1, 0xac3fce90ff9e6e1d, 0x8879ee59758ce673,
  0xfa4871240f19c723, 0x51e33398b016e189, 0x8e58cf1d78b9da41, 0x7e062777ec1d3a7b, 0xd4180efddf9ce4db,
  0xe5e53633937e6f2d, 0xe6cc6085a6f55d54, 0xbf36d38c6f19d102, 0x8fe3458f386e52d4, 0xd30ae4fdd598f206,
  0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00000005ba804792,
};

// m64rfr2_u1x12_uart1_noled_pr_ce_u4 m640_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0x5ff0c367fe74c13e, 0xff6d4feedd3e0914, 0xdc62fd62186d1ba4, 0x22eb3879e3cdcee3, 0x347ea3e12fc43612,
  0xceafac993170fff0, 0x240f591c8e4f4f72, 0xe62c051f3a4a4871, 0xe3af47ced5fd1eb0, 0x6e1f6679500ffd99,
  0x062777ec1c7c0f2d, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x01bafbaa47049e4a,
};

/*
 * m644rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m64rfr2_u1x12_uart1_noled_pr_ee_ce
 * m64rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m640_u1x12_uart1_noled_pr_ee_ce
 * m640_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xb3e337304f8c9ddf, 0xf76e9f0482d7f861, 0xfe74368dd27fb6a7, 0xf1e6e771ca317ea8, 0x97e21b0911759c3c,
  0x62e1e9299cbf51f0, 0x57d44a76b083df32, 0xe47c1b306b5e391e, 0xd3ad08a0531584f8, 0x909afa30b2c4522c,
  0xa3c1673abb74e23a, 0x355e363af3a6edbd, 0x8b848451cf230e36, 0x1b044c8e1bd96cb9, 0xc4eefd859d12a695,
  0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xc6e52d4bf36c490c,
  0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x13f0415ce093c95f,
};

// m64rfr2_u1x12_uart1_noled_ee_hw   m640_u1x12_uart1_noled_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0x6a7f76e9f048e1ff, 0x6b4738c368dd27fb, 0x834c6391e57224d5, 0x877c57dd4723e0d9,
  0xc2cb1148b34eb422, 0x79c571ac9a426be8, 0x4ddb7b4782ce7569, 0x230e36355ae875e7, 0xd96cb98b848451cf,
  0x254d2a3608fd6e1b, 0x36df8189ddfb002a, 0x01f50603bf77e739, 0xa9cbca6c6726fcde, 0x61738c6f19d102ba,
  0x6c4922adec555169, 0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000000b7c8c7fa29,
};

/*
 * m644rfr2_u1x12_uart1_noled_ee_ce_u4_hw m64rfr2_u1x12_uart1_noled_ee_ce_hw
 * m64rfr2_u1x12_uart1_noled_ee_ce_u4_hw m640_u1x12_uart1_noled_ee_ce_hw
 * m640_u1x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0x53fbb74f82416bfc, 0x547f3a1b46e93fdb, 0x3cf3c873b8e518bf, 0xf097e21b0911759c,
  0x64c5c3f2d337ff51, 0x3cafa894ed6107be, 0xf1c8f83660d6bc72, 0x59a75a1140a62b09, 0x752135f4616588a4,
  0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9, 0x8189ddfb0b3a254d,
  0x0603bf77e73936df, 0xca6c6726fcde01f5, 0x8c6f19d102baa9cb, 0x18edec5551696173, 0x718dca5a97e6d892,
  0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x05011ab37453c95f,
};

/*
 * m644rfr2_u1x12_uart1_lednop_pr    m64rfr2_u1x12_uart1_lednop        m64rfr2_u1x12_uart1_lednop_pr
 * m640_u1x12_uart1_lednop           m640_u1x12_uart1_lednop_pr
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xfbfcb8fcf9eb304f, 0x3fdb53fbb74f8252, 0x6b1df2c21e1b46e9, 0xe921c49034171c8f, 0xce62c0596537c907,
  0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x062777ec82b40f2c, 0xfddf9e0404e4db7e, 0x804df9bcd914180e,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0x40d1fc68b1e70dca, 0x867a615c9fbab31e,
  0x7494b670e271964b, 0xf254f257ee686658, 0x0000000001f20490,
};

// m64rfr2_u1x12_uart1_lednop_pr_u4  m640_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xff0c367cf59827c6, 0xf6d4feedd3e094be, 0xc77cb08786d1ba4f, 0x4871240d05c723da, 0x98b016594df241fa,
  0x3af47cecb3d1a433, 0xb416691500ffd982, 0x89ddfb20ad03cb3d, 0x77e781013936df81, 0x137e6f36450603bf,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x5a7049e4afdcd0cc,
  0x00000000001f27f6,
};

/*
 * m644rfr2_u1x12_uart1_lednop_pr_ee_u4 m64rfr2_u1x12_uart1_lednop_pr_ee
 * m64rfr2_u1x12_uart1_lednop_pr_ee_u4 m640_u1x12_uart1_lednop_pr_ee
 * m640_u1x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x61b3f95a609f193b, 0xa7f76e9f048a1ff8, 0xb4738c368dd27fb6, 0x34c6391e56654d56, 0xef8ac3dc723e0d98,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74, 0x96cb98b8484504f2,
  0xccf2a3608fd6e1bd, 0xdbf0313bbf60043e, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e,
  0xbd8aaa2d3574e31b, 0x6e52d4bf36dce455, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x3ae1a9ce093c95fb, 0x0000000000000001,
};

/*
 * m644rfr2_u1x12_uart1_lednop_pr_ce_u4 m64rfr2_u1x12_uart1_lednop_pr_ce
 * m64rfr2_u1x12_uart1_lednop_pr_ce_u4 m640_u1x12_uart1_lednop_pr_ce
 * m640_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xdfe186cf9c39827c, 0xfeda9fddba7c124a, 0x68c5fac430da3749, 0x45d670f3c79b9dc0, 0xdbfd47c25f886c24,
  0x757d64c98b874db9, 0x207ac8e47e927b96, 0x31602a6222d24389, 0x75e8f9d967a34867, 0xc82cd22a01ffb33c,
  0xc4eefd905681e5ad, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0xa5f9b6e70c76f62a, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xda7049e4afdcd0cc, 0x00000000001baf05,
};

/*
 * m644rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m64rfr2_u1x12_uart1_lednop_pr_ee_ce
 * m64rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m640_u1x12_uart1_lednop_pr_ee_ce
 * m640_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xb3e1a2609f193ba7, 0xeedd3e0958fff861, 0xfce86d1ba4ff6d4f, 0xe3cdcec9d462fd51, 0x2fc4361222eb3879,
  0x8b87ca8683fea3e1, 0x5f7529dac20f7cc9, 0x91f06cc1ad78e479, 0x4eb422814c57b7e3, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x97e6db9c31dbd8aa,
  0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x91c12792bf734332, 0x000000000027e1ea,
};

// m64rfr2_u1x12_uart1_lednop_ee_hw  m640_u1x12_uart1_lednop_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0xd4feedd3e09143ff, 0xd68e7186d1ba4ff6, 0x0698c723cacca9aa, 0x1df1587b8e47c1b3,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce, 0xb2d973170908a09e,
  0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0xef79430a9cfd4271, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x6ff520f453c95fb9, 0x0000000000000001,
};

/*
 * m644rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m64rfr2_u1x12_uart1_lednop_ee_ce_hw
 * m64rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m640_u1x12_uart1_lednop_ee_ce_hw
 * m640_u1x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0x53fbb74f82563ffe, 0x547f3a1b46e93fdb, 0x3cf3c873b27518bf, 0xf097e21b0911759c,
  0x3262e1facd90ff51, 0x1e57dd4a76b083df, 0xf8e47c1b306b5e39, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xc0c4eefd8598fb33,
  0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6,
  0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xbf0d14f257ee6866, 0x0000000000014054,
};

/*
 * m644rfr2_u1x12_uart1_dual_pr      m644rfr2_u1x12_uart1_dual_pr_u4   m64rfr2_u1x12_uart1_dual
 * m64rfr2_u1x12_uart1_dual_pr       m64rfr2_u1x12_uart1_dual_pr_u4    m640_u1x12_uart1_dual
 * m640_u1x12_uart1_dual_pr          m640_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_dual[] = {
  0x776fc60f448650e3, 0x7770ffa5295ebf77, 0x7589e9dad8b77777, 0xf5ae0eeee9fb0803, 0xb90581f24c70bb0c,
  0xaa42544c13e32590, 0x369181bbafb26460, 0x4a774f8971030a18, 0x38e121e62ebf9940, 0x0d7dcd1c8ee4f61f,
  0xf3f7c11429224124, 0xf13eb87c288627c3, 0xe44432ace5e99c31, 0x73c261f22a10cb43, 0x795e425b780dff40,
  0x04827ff9214982c3, 0x8dd27fb6a7f76e9f, 0x391f229df2c4d436, 0xe2f7d2438920621e, 0x8ebf9cc580aa0f34,
  0xfecc11d78033b5ac, 0x1e59ed887486a807, 0xf157ceee2a4aa4e8, 0x3936df8189ddfb27, 0x450603bf77e78101,
  0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x22adec555169aba7, 0x12637296a5f9b6e7, 0xa75666fe0eee3459,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x00149397057049e4,
};

/*
 * m644rfr2_u1x12_uart1_dual_pr_ee_u4 m64rfr2_u1x12_uart1_dual_pr_ee    m64rfr2_u1x12_uart1_dual_pr_ee_u4
 * m640_u1x12_uart1_dual_pr_ee       m640_u1x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_pr_ee[] = {
  0xbbb7e307a2437089, 0x7770fbd3dfbf5fbb, 0x72c4afb6abf77777, 0x70db08376271bab1, 0xacad9bada56a8bce,
  0x4c13e32638dcaf27, 0x775f64c8c15480b2, 0x12e20614306d2303, 0x9936ff328094ee9f, 0x91cc7f6033670dda,
  0x8524482481a5a9a3, 0x8510c4f87e7ef822, 0x9cbd338c8627d70f, 0x8a8432d074a88655, 0x7eafffa039e13145,
  0x214982c3795e425b, 0xa7f76e9f04b7dff9, 0xb47224368dd27fb6, 0x60a4723cad7dcd56, 0xdf15d4a8e47c1b30,
  0xb2c4522cd3ad08a1, 0x297152e6909afa30, 0xed10a3dece756973, 0xf9eb1aad743af512, 0xbe9662e1211408a8,
  0xeb151b047eb70dec, 0x8abe77715250084f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x931b94b52fcdb739, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x000ac95653824f25,
};

/*
 * m644rfr2_u1x12_uart1_dual_pr_ce_u4 m64rfr2_u1x12_uart1_dual_pr_ce    m64rfr2_u1x12_uart1_dual_pr_ce_u4
 * m640_u1x12_uart1_dual_pr_ce       m640_u1x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_pr_ce[] = {
  0x776fc60f44869a4e, 0x7770ff8f67debf77, 0x349961b4abf77777, 0xbb1edbbbb2ee2704, 0x8fea314023c3b17e,
  0x148cc13e324c4dcb, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x43f374ffe650129d, 0x9a391ce0ec3abce1,
  0x8228524482481ece, 0x70f8510c4f87e7ef, 0x6559cbd33978627d, 0x07b8a8432d05f688, 0x12dbe9bffa039e13,
  0xffc90a4c161bcaf2, 0xfdb53fbb74f82452, 0xa317eb2fa1b46e93, 0x1759c3cf1e6e7695, 0x03f51f097e21b091,
  0xabd4b993170f5bf0, 0x1d4b8e471bf3dcb3, 0x580a0a0f9490e248, 0x78033b5ac8ebf9cc, 0x87486a807feccf1d,
  0xb8a92a93a0796b70, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb52fcdb73863b7b1, 0xf07771a2c8931b94, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0x249b824f257ee686, 0x0000000000003493,
};

// m64rfr2_u1x12_uart1_dual_pr_ee_ce m640_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce[] = {
  0xbb7e307d41436f02, 0xddc3fe97bbf5fbbb, 0xeabfaef49bdddddd, 0x7852c1dd69c75913, 0x5c67059bc995dfbf,
  0x09f1921bae4fe1f3, 0x5f64c8c1548ee3e6, 0xe20614306d230377, 0xf5ff328094ee9f12, 0x7adfd8400380a49b,
  0x92241240e76e68e4, 0x88627c3f3f7c1142, 0xbd338a9113eb87c2, 0x8432d0b74886559c, 0x9affa039e1329e8a,
  0xa4c161bcaf212dbe, 0xfbb74f82416bfc90, 0x7fba1b46e93fdb53, 0xcf1e6e771cac7f54, 0x374ce7587b9124af,
  0x8e4795bf929dac0b, 0xb80d1c8f83660d7c, 0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e,
  0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93,
  0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0xe8637296a5f9b6e7,
  0x75666fe0eee34581, 0x61c4e34a1854e7ea, 0x9e985727e03e68fb, 0x252d9c389c6592e1, 0x093c95fb9a19961d,
  0x000000002001eb6e,
};

// m64rfr2_u1x12_uart1_dual_pr_ee_ce_u4 m640_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87fbb90, 0xee1fcc5c2fd7eeee, 0xd9bad68ce6eeeeee, 0xcddc4edd9c45a89b, 0xeaf7fd6da7ad0513,
  0x27c64b62b91a912b, 0xfb26460aa4279798, 0x1030a18369181bba, 0xa3f32b012774f897, 0xe1ec3968e0cdf992,
  0x12092078dd34723d, 0x313e1f9fbe08a149, 0x338aeb89f5c3e144, 0x32d04b4886559cbd, 0xffa039e134728a84,
  0xc161bcaf212db8a4, 0xdd3e0969affc3344, 0x386d1ba4ff6d4fee, 0x019d98fc62fd5194, 0x21b0911759c3cf3e,
  0x7300dd0ff51f097e, 0x929dac21374c98b8, 0x83660d7c8e4795bf, 0xa1140a62b80d1c8f, 0x5f4616588a459a75,
  0xece7576e32875213, 0xe363af512ed10a3d, 0x242281151f3d6355, 0x44c8e1bd97d2cc5c, 0x15252cc4feb151b0,
  0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0xa5f9b6e70c76f62a, 0x68fe345912637296, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0xcff0cf257ee68665, 0x000000000800b9e4,
};

// m64rfr2_u1x12_uart1_dual_ee_hw    m640_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_ee_hw[] = {
  0xddbf183d14689a4e, 0xbb87de9efdfafddd, 0x96257db55fbbbbbb, 0x86d841bb138dd58b, 0xf518e8f0eb545e73,
  0x92609f1931c6e5c7, 0x1bbafb26460aa405, 0xf8971030a1836918, 0xd4c9b7f995d06774, 0x1c8e63fb019b386e,
  0x14292241240d2d4d, 0x7c288627c3f3f7c1, 0xace5e99c64313eb8, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf9524c161bcaf212, 0xb53fbb74f825beff, 0xb5a39121b46e93fd, 0x83052391e56bee6a, 0x0ef8aea54723e0d9,
  0x85962291669d6845, 0x994b8a973484d7d1, 0x9768851ef673ab4b, 0x47cf58d56ba1d7a8, 0x65f4b3170908a045,
  0x7f58a8d823f5b86f, 0xfc55f3bb8a928042, 0x4e4db7e062777ec9, 0x914180efddf9e040, 0x529c94e804df9bcd,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x2718dca5a97e6db9, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x015dae642f453c95,
};

/*
 * m644rfr2_u1x12_uart1_dual_ee_ce_u4_hw m64rfr2_u1x12_uart1_dual_ee_ce_hw
 * m64rfr2_u1x12_uart1_dual_ee_ce_u4_hw m640_u1x12_uart1_dual_ee_ce_hw
 * m640_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw[] = {
  0x76fc60f451a3b46e, 0x770fe62e17ebf777, 0xecdd6b4673777777, 0xe6ee276ece22d44d, 0x93fbffc2d3d68289,
  0x304f8c96c57230a0, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x92a3f32ba0cee9f1, 0x3de1ec3968e0cdf9,
  0x4912092078dd3472, 0x44313e1f9fbe08a1, 0xbd338aeb89f5c3e1, 0x8432d04b4886559c, 0xa4ffa039e134728a,
  0x24c161bcaf212db8, 0xfbb74f825a6bff95, 0x650e1b46e93fdb53, 0xe790e7663f18bf54, 0x2fc4361222eb3879,
  0x8b87672e8ffea3e1, 0x5bf929dac21374c9, 0xc8f83660d7c8e479, 0xa75a1140a62b80d1, 0x2135f4616588a459,
  0xa3dece7576e32875, 0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c, 0x77715252cc4feb15,
  0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x296a5f9b6e70c76f, 0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x41f7514f257ee686, 0x0000000000003aeb,
};

/*
 * m644rfr2_u2x8_uart0_noled_pr      m64rfr2_u2x8_uart0_noled          m64rfr2_u2x8_uart0_noled_pr
 * m640_u2x8_uart0_noled             m640_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0x7cff2e3f3f38cc13, 0xf6a8e526fb74f849, 0x8fd01df2c21e1b46, 0xb5a921c49034171c, 0xf58731602cb299ef,
  0xecc11d7a3e76afe8, 0xe59ed8fb33ca807f, 0x37e06256bd838f81, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0xa2c79c37296a5f9b, 0x727eeacc790347f1, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x0003e439c3c953c9,
};

// m64rfr2_u2x8_uart0_noled_pr_u4    m640_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x9fe186cfce3304f8, 0xd51ca4df6e9f092f, 0xfa03be5843c368de, 0xb52438920682e391, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xfc0c4ad7b071f03c, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x4922adec55516961, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00003e4ed98ae093,
};

/*
 * m644rfr2_u2x8_uart0_noled_pr_ee_u4 m64rfr2_u2x8_uart0_noled_pr_ee    m64rfr2_u2x8_uart0_noled_pr_ee_u4
 * m640_u2x8_uart0_noled_pr_ee       m640_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0x861b3ec16609f193, 0xe526fb74f848e1ff, 0xab5a39c61b46f6a8, 0xcc1a631c8f2b9126, 0x143be2beea391f06,
  0x4616588a459a75a1, 0x4bce2b8d64d2135f, 0x3a6edbda3c1673ab, 0x791871b1aad743af, 0xdecb65cc5c24228e,
  0x512a6951b047eb70, 0x70b37e06256bd801, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x0000000009d7bc93,
};

// m64rfr2_u2x8_uart0_noled_pr_ce    m640_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0x84b6fff971f9f31f, 0xb46f6a8e526fb74f, 0x8773b7bec7f5e821, 0x9ceb0ff3a43fe79b, 0xc8e21e7b965d6339,
  0x627e921c4903c671, 0x905478cce62c05b8, 0x9ee39633c75e2e76, 0x166fc0c4ad7b074e, 0x796ea0c077ad79ce,
  0x75539794d8ce16f3, 0x440b9b3182169bd5, 0x4b52fcdb4e31bc67, 0xc81a3f8d163ce1b9, 0x70cf4c2b93f75663,
  0x0e9296ce1c4e32c9, 0x1e4a9e4afdcd0ccb, 0x000000000016ea01,
};

// m64rfr2_u2x8_uart0_noled_pr_ce_u4 m640_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0xa2ff861b3ff3a609, 0xf6a8e526fb74f848, 0xb8f718bf58861b46, 0x8488bace1e78f373, 0xfc0d1fa8f84bf10d,
  0xdcb3abeb264c5c3f, 0x1c4903d6472393d3, 0xac398b0147ce9292, 0x6678ebd1f3b57f47, 0xcb5b87d99e5403ff,
  0x6fc0c4ad7b071f03, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa, 0x89218edec5551696,
  0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000006ebeea91c12,
};

/*
 * m644rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m64rfr2_u2x8_uart0_noled_pr_ee_ce
 * m64rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m640_u2x8_uart0_noled_pr_ee_ce
 * m640_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x0d9f19b9827c64ee, 0x937dba7c2416bfc3, 0xaa3f9d0da37b5472, 0x0f3c79b9dc728c5f, 0x7c25f886c2445d67,
  0xcc98b87a4a672fd4, 0x4795f5129dac20f7, 0x3e391f06cc1ad78e, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf81895af616744a9,
  0xd4180ef5af39c2cd, 0x9794d8ce16f37807, 0xe718de33a2057553, 0x2431dbd8aaa2d2c2, 0xc8931b94b52fcdb1,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x00004fc10573824f,
};

// m64rfr2_u2x8_uart0_noled_ee_hw    m640_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x472937dba7c2470f, 0x355ad1ce30da37b5, 0x3660d318e4795c89, 0x08a1df15f751c8f8,
  0xfa30b2c4522cd3ad, 0x5a5e715c6b26909a, 0x79d376ded1e0b39d, 0x73c8c38d8d56ba1d, 0x86f65b2e62e12114,
  0x0a89534a8d823f5b, 0x73859bf0312b5ec0, 0xe6f00fa8301deb5e, 0x0aeaa72f29b19c2d, 0x45a585ce31bc6744,
  0x2fcdb1248ab7b155, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xe8a792bf734332c3, 0x0000000002df231f,
};

/*
 * m644rfr2_u2x8_uart0_noled_ee_ce_u4_hw m64rfr2_u2x8_uart0_noled_ee_ce_hw
 * m64rfr2_u2x8_uart0_noled_ee_ce_u4_hw m640_u2x8_uart0_noled_ee_ce_hw
 * m640_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x3949bedd3e120b5f, 0x2fd51fce86d1bdaa, 0x670f3cf21cee3946, 0xd47c25f886c2445d,
  0xef993170fcb4cdff, 0x1c8f2bea253b5841, 0xc27c723e0d9835af, 0x291669d68450298a, 0x711d484d7d185962,
  0x76ded1e0b39d5dba, 0x871b1aaf1b1d79d3, 0xb65cc5c24228e791, 0x534a8d8226470dec, 0x9bf0312b5ec2ce89,
  0x0fa8301deb5e7385, 0xa72f29b19c2de6f0, 0x85ce31bc67440aea, 0x624863b7b15545a5, 0xf509c637296a5f9b,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000014046acdd14f,
};

/*
 * m644rfr2_u2x8_uart0_lednop_pr     m64rfr2_u2x8_uart0_lednop         m64rfr2_u2x8_uart0_lednop_pr
 * m640_u2x8_uart0_lednop            m640_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x97dfe5c7e7cf5982, 0xbdaa3949bedd3e12, 0x23dac77cb08786d1, 0x41fa4871240d05c7, 0xa43398b016594df2,
  0xd9823af47cecb3d1, 0xcb3db416691500ff, 0x6fc0c4ad7b20ad03, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x9961d252d9c389c6, 0x1243c953c95fb9a1, 0x00000000000007c8,
};

// m64rfr2_u2x8_uart0_lednop_pr_u4   m640_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xf7f861b3e7acc13e, 0x6a8e526fb74f84a5, 0xf6b1df2c21e1b46f, 0x7e921c49034171c8, 0x0ce62c0596537c90,
  0x608ebd1f3b2cf469, 0xcf6d059a45403ff6, 0xf0312b5ec82b40f2, 0x1deb5e781013859b, 0x4e8016f379b22830,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x9bf83bb8d164498d, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x9fd969c12792bf73,
  0x000000000000007c,
};

/*
 * m644rfr2_u2x8_uart0_lednop_pr_ee_u4 m64rfr2_u2x8_uart0_lednop_pr_ee
 * m64rfr2_u2x8_uart0_lednop_pr_ee_u4 m640_u2x8_uart0_lednop_pr_ee
 * m640_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xc30d9fcad304f8c9, 0x72937dba7c2450ff, 0x55ad1ce30da37b54, 0x660d318e47959953, 0x143be2b0f71c8f83,
  0x4616588a459a75a1, 0x4b9eab8d64d2135f, 0x9d3768c9193473ab, 0x3c8ded58d56ba1d7, 0x6f65b2e62e121141,
  0x0fb33ca8d823f5b8, 0x70b37e06256bd801, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x9156f62aa8b4d5d3, 0x8931b94b52fcdb73, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0004eb86a73824f2,
};

/*
 * m644rfr2_u2x8_uart0_lednop_pr_ce_u4 m64rfr2_u2x8_uart0_lednop_pr_ce
 * m64rfr2_u2x8_uart0_lednop_pr_ce_u4 m640_u2x8_uart0_lednop_pr_ce
 * m640_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0x56ff0c367ce1cc13, 0xed51ca4df6e9f092, 0x701a317eb10c368d, 0x0911759c3cf1e6e7, 0x6e76ff51f097e21b,
  0xe59d5f593262e1d3, 0xe2481eb2391fa49e, 0x19cc580a9888b490, 0xcf1d7a3e7659e8d2, 0x6b720b348a807fec,
  0xf81895af6415a079, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0xca5a97e6db9c31db, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xbc1769c12792bf73, 0x000000000000006e,
};

/*
 * m644rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m64rfr2_u2x8_uart0_lednop_pr_ee_ce
 * m64rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m640_u2x8_uart0_lednop_pr_ee_ce
 * m640_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x0d9f0d1304f8c9dd, 0x26fb74f84ac7ffc3, 0x547f3a1b46f6a8e5, 0x1e78f373b27518bf, 0xf84bf10d8488bace,
  0x3262e1f2a1a0ffa8, 0x1e57dd4a76b083df, 0xf8e47c1b306b5e39, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xe06256bd8598fb33,
  0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f,
  0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e,
  0x0ccb0e9296ce1c4e, 0x87aa47049e4afdcd, 0x000000000000009f,
};

// m64rfr2_u2x8_uart0_lednop_ee_hw   m640_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0x8e526fb74f848a1f, 0x6ab5a39c61b46f6a, 0x6cc1a631c8f2b32a, 0x22877c561ee391f0,
  0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0xf3a6ed1923268e75, 0x2791bdab1aad743a, 0x0decb65cc5c24228,
  0x21f667951b047eb7, 0x4e166fc0c4ad7b00, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b,
  0x722adec555169aba, 0x09c637296a5f9b6e, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x0005bfd483d14f25,
};

/*
 * m644rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m64rfr2_u2x8_uart0_lednop_ee_ce_hw
 * m64rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m640_u2x8_uart0_lednop_ee_ce_hw
 * m640_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x3949bedd3e12b1ff, 0x2fd51fce86d1bdaa, 0x670f3cf21cec9d46, 0xd47c25f886c2445d,
  0xf7cc98b87eb3643f, 0x8e4795f7529dac20, 0x7b7e391f06cc1ad7, 0x148b34eb422814c5, 0x7a8ea426be8c2cb1,
  0xdda32464d1ceaedc, 0x6f6ac6abc6c75e74, 0x2d973170908a09e4, 0xccf2a3608991c37b, 0xcdf81895af61663e,
  0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0x8dca5a97e6db9c31,
  0xef79430a9cfd4271, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389,
  0x0152fc3453c95fb9, 0x0000000000000005,
};

/*
 * m644rfr2_u2x8_uart0_dual_pr       m644rfr2_u2x8_uart0_dual_pr_u4    m64rfr2_u2x8_uart0_dual
 * m64rfr2_u2x8_uart0_dual_pr        m64rfr2_u2x8_uart0_dual_pr_u4     m640_u2x8_uart0_dual
 * m640_u2x8_uart0_dual_pr           m640_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_dual[] = {
  0xeeeeedf9448650e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b5b16eee, 0x19eb5c1dddd3f610, 0x21720b03e498e176,
  0xc15484a89827c64b, 0x306d2303775f64c8, 0x8094ee9f12e20614, 0x3e71c243cc5d7f32, 0x481afb9a391dc9ec,
  0x87e7ef8228524482, 0x63e27d70f8510c4f, 0x87c8886559cbd338, 0x80e784c3e4542196, 0x86f2bc84b6f01bfe,
  0x9f0904fff2429305, 0x4368ded51ca4df6e, 0x21e391f229df2c4d, 0xf34e2f7d24389206, 0x5ac8ebf9cc580aa0,
  0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x345912637296a5f9, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9,
  0x0000001493970570,
};

/*
 * m644rfr2_u2x8_uart0_dual_pr_ee_u4 m64rfr2_u2x8_uart0_dual_pr_ee     m64rfr2_u2x8_uart0_dual_pr_ee_u4
 * m640_u2x8_uart0_dual_pr_ee        m640_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_pr_ee[] = {
  0x777776fca2437089, 0xeeeee1f7a7bf7ebf, 0x62e5895f6d57eeee, 0x9ce1b6106ec4e375, 0x4f595b375b4ad517,
  0x649827c64c71b95e, 0x06eebec99182a901, 0x3e25c40c2860da46, 0xb5326dfe650129dd, 0x472398fec066ce1b,
  0x450a489049034b53, 0x1f0a2189f0fcfdf0, 0xab397a67190c4fae, 0x8b150865a0e9510c, 0xb6fd5fff4073c262,
  0xf242930586f2bc84, 0x1ca4df6e9f096fbf, 0xd56b47224368ded5, 0xb3060a4723cad7dc, 0x8a1df15d4a8e47c1,
  0xa30b2c4522cd3ad0, 0x973297152e6909af, 0x512ed10a3dece756, 0x8a8f9eb1aad743af, 0xdecbe9662e121140,
  0x84feb151b047eb70, 0x93f8abe777152500, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000000ac9565382,
};

/*
 * m644rfr2_u2x8_uart0_dual_pr_ce_u4 m64rfr2_u2x8_uart0_dual_pr_ce     m64rfr2_u2x8_uart0_dual_pr_ce_u4
 * m640_u2x8_uart0_dual_pr_ce        m640_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeedf944869a4e, 0xeeeee1ff1ecfbd7e, 0x086932c36957eeee, 0xfd763db77765dc4e, 0x971fd46280478762,
  0x202919827c64989b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc287e6e9ffcca025, 0x9d347239c1d87579,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a672f0c4, 0x260f7150865a0bed, 0xe425b7d37ff4073c,
  0xa5ff9214982c3795, 0xf6a8e526fb74f848, 0x695a317eb2fa1b46, 0x0911759c3cf1e6e7, 0xbf003f51f097e21b,
  0xcb3abd4b993170f5, 0x2481d4b8e471bf3d, 0x9cc580a0a0f9490e, 0xf1d78033b5ac8ebf, 0xb7087486a807fecc,
  0xf3bb8a92a93a0796, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x1b94b52fcdb73863, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x3493249b824f257e,
};

// m64rfr2_u2x8_uart0_dual_pr_ee_ce  m640_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce[] = {
  0x77776fcd41436f02, 0xbbbb87fd2f77ebf7, 0x27d57f5de937bbbb, 0x7ef0a583bad38eb2, 0xe6b8ce0b37932bbf,
  0xcc13e324375c9fc3, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x37ebfe650129dd3e, 0xc8f5bfb080070149,
  0x8524482481cedcd1, 0x8510c4f87e7ef822, 0x397a67152227d70f, 0x150865a16e910cab, 0x7d35ff4073c2653d,
  0x214982c3795e425b, 0x526fb74f8482d7f9, 0xf547fba1b46f6a8e, 0x4afcf1e6e771cac7, 0xc0b374ce7587b912,
  0xd7c8e4795bf929da, 0xa62b80d1c8f83660, 0x6588a459a75a1140, 0x76e328752135f461, 0xf512ed10a3dece75,
  0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252, 0x020270b37e06256b,
  0x6f36450603bd6bcf, 0x54dea53929d002de, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x4581e8637296a5f9,
  0xe7ea75666fe0eee3, 0x68fb61c4e34a1854, 0x92e19e985727e03e, 0x961d252d9c389c65, 0xeb6e093c95fb9a19,
  0x0000000000002001,
};

// m64rfr2_u2x8_uart0_dual_pr_ee_ce_u4 m640_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddbf28a87fbb90, 0xdddc3f98b85fafdd, 0x37b375ad19cddddd, 0x279bb89dbb388b51, 0x57d5effadb4f5a0a,
  0x304f8c96c5723522, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x2547e656024ee9f1, 0x7bc3d872d1c19bf3,
  0x92241240f1ba68e4, 0x88627c3f3f7c1142, 0x7a6715d713eb87c2, 0x0865a096910cab39, 0x49ff4073c268e515,
  0x8982c3795e425b71, 0xbedd3e12d35ff866, 0x194386d1bdaa3949, 0xf3e019d98fc62fd5, 0x97e21b0911759c3c,
  0x8b87300dd0ff51f0, 0x5bf929dac21374c9, 0xc8f83660d7c8e479, 0xa75a1140a62b80d1, 0x2135f4616588a459,
  0xa3dece7576e32875, 0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c, 0x77715252cc4feb15,
  0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f,
  0x7296a5f9b6e70c76, 0x37f068fe34591263, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xb9e4cff0cf257ee6, 0x0000000000000800,
};

// m64rfr2_u2x8_uart0_dual_ee_hw     m640_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_ee_hw[] = {
  0xbbbbb7e514689a4e, 0x77770fbd3dfbf5fb, 0x172c4afb6abf7777, 0xe70db08376271bab, 0x8fea31d1e1d6a8bc,
  0x0b24c13e32638dcb, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xdda9936ff32ba0ce, 0x9a391cc7f6033670,
  0x8228524482481a5a, 0x70f8510c4f87e7ef, 0x6559cbd338c8627d, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xfff2a4982c3795e4, 0xa8e526fb74f84b7d, 0xe6ab5a39121b46f6, 0x0d983052391e56be, 0x8450ef8aea54723e,
  0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d, 0x86f65f4b3170908a,
  0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000015dae642f45,
};

/*
 * m644rfr2_u2x8_uart0_dual_ee_ce_u4_hw m64rfr2_u2x8_uart0_dual_ee_ce_hw
 * m64rfr2_u2x8_uart0_dual_ee_ce_u4_hw m640_u2x8_uart0_dual_ee_ce_hw
 * m640_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeedf9451a3b46e, 0xeeee1fcc5c2fd7ee, 0x9bd9bad68ce6eeee, 0x13cddc4edd9c45a8, 0x4127f7ff85a7ad05,
  0x5e609f192d8ae461, 0x6eebec99182a909e, 0xe25c40c2860da460, 0xf32547e657419dd3, 0xe47bc3d872d1c19b,
  0x4292241240f1ba68, 0xc288627c3f3f7c11, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x2a4982c3795e425b, 0x526fb74f84b4d7ff, 0xf54650e1b46f6a8e, 0x879e790e7663f18b, 0x3e12fc4361222eb3,
  0x4c98b87672e8ffea, 0x4795bf929dac2137, 0x0d1c8f83660d7c8e, 0x459a75a1140a62b8, 0x8752135f4616588a,
  0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97, 0xabe77715252cc4fe,
  0x0b37e06256bd93f8, 0x50603bd6bcf02027, 0x53929d002de6f364, 0xc6f19d103be54dea, 0xc76f62aa8b4d5d38,
  0xc637296a5f9b6e70, 0x87bde50c2a73f509, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x3aeb41f7514f257e,
};

/*
 * m644rfr2_u2x8_uart1_noled_pr      m64rfr2_u2x8_uart1_noled          m64rfr2_u2x8_uart1_noled_pr
 * m640_u2x8_uart1_noled             m640_u2x8_uart1_noled_pr
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0x7cff2e3f3f38cc13, 0xed51ca4df6e9f049, 0x1fa03be5843c368d, 0x6b52438920682e39, 0xeb0e62c0596533df,
  0xd9823af47ced5fd1, 0xcb3db1f6679500ff, 0xdf8189ddfb071f03, 0xf50603bf77e73936, 0xcbca6c6726fcde01,
  0x738c6f19d102baa9, 0x4922adec55516961, 0x58f386e52d4bf36c, 0x4fdd598f2068fe34, 0x7138cb25c33d30ae,
  0xf734332c3a4a5b38, 0x007c8738792a792b,
};

// m64rfr2_u2x8_uart1_noled_pr_u4    m640_u2x8_uart1_noled_pr_u4
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x9fe186cfce3304f8, 0xaa3949bedd3e092f, 0xf4077cb08786d1bd, 0x6a4871240d05c723, 0x61cc580b2ca67bed,
  0x30475e8f9dabfa3d, 0x67b63eccf2a01ffb, 0xf0313bbf60e3e079, 0xa0c077eefce726db, 0x794d8ce4df9bc03e,
  0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x4498dca5a97e6d89, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0007c9db315c1279,
};

/*
 * m644rfr2_u2x8_uart1_noled_pr_ee_u4 m64rfr2_u2x8_uart1_noled_pr_ee    m64rfr2_u2x8_uart1_noled_pr_ee_u4
 * m640_u2x8_uart1_noled_pr_ee       m640_u2x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0x861b3ec16609f193, 0xca4df6e9f048e1ff, 0x56b4738c368ded51, 0x9834c6391e57224d, 0x2877c57dd4723e0d,
  0x8c2cb1148b34eb42, 0x979c571ac9a426be, 0x74ddb7b4782ce756, 0xf230e36355ae875e, 0xbd96cb98b848451c,
  0xa254d2a3608fd6e1, 0x936df8189ddfb002, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd, 0x961738c6f19d102b,
  0x36c4922adec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x000000013af7926e,
};

// m64rfr2_u2x8_uart1_noled_pr_ce    m640_u2x8_uart1_noled_pr_ce
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0x04b6fff971f9f31f, 0x68ded51ca4df6e9f, 0x0ee76f7d8febd043, 0x39d61fe7487fcf37, 0x91c43cf72cbac673,
  0xc4fd243892078ce3, 0x20a8f199cc580b70, 0x3dc72c678ebc5ced, 0x6dbf0313bbf60e9d, 0x96ea0c077eefce72,
  0xaa72f29b19c9bf37, 0x8173663042d37aae, 0x6a5f9b69c6378ce8, 0x0347f1a2c79c3729, 0x19e985727eeacc79,
  0xd252d9c389c6592e, 0xc953c95fb9a19961, 0x0000000002dd4023,
};

// m64rfr2_u2x8_uart1_noled_pr_ce_u4 m640_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0xa2ff861b3ff3a609, 0xed51ca4df6e9f048, 0x71ee317eb10c368d, 0x0911759c3cf1e6e7, 0xf81a3f51f097e21b,
  0xb96757d64c98b87f, 0x389207ac8e4727a7, 0x587316028f9d2524, 0xccf1d7a3e76afe8f, 0x96b70fb33ca807fe,
  0xbf0313bbf60e3e07, 0xea0c077eefce726d, 0x9794d8ce4df9bc03, 0xe718de33a2057553, 0x2431dbd8aaa2d2c2,
  0xc8931b94b52fcdb1, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x0000dd7dd523824f,
};

/*
 * m644rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m64rfr2_u2x8_uart1_noled_pr_ee_ce
 * m64rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m640_u2x8_uart1_noled_pr_ee_ce
 * m640_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x0d9f19b9827c64ee, 0x26fb74f82416bfc3, 0x547f3a1b46f6a8e5, 0x1e78f373b8e518bf, 0xf84bf10d8488bace,
  0x993170f494ce5fa8, 0x8f2bea253b5841ef, 0x7c723e0d9835af1c, 0x1669d68450298ac2, 0x1d484d7d18596229,
  0xded1e0b39d5dba71, 0x1b1aaf1b1d79d376, 0x5cc5c24228e79187, 0x4a8d8226470decb6, 0xe062777ec2ce8953,
  0x4180efddf9ce4db7, 0xf29b19c9bf37807d, 0xe31bc67440aeaa72, 0x863b7b15545a585c, 0x12637296a5f9b624,
  0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x0009f820ae7049e4,
};

// m64rfr2_u2x8_uart1_noled_ee_hw    m640_u2x8_uart1_noled_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x8e526fb74f82470f, 0x6ab5a39c61b46f6a, 0x6cc1a631c8f2b912, 0x1143be2beea391f0,
  0xf4616588a459a75a, 0xb4bce2b8d64d2135, 0xf3a6edbda3c1673a, 0xe791871b1aad743a, 0x0decb65cc5c24228,
  0x1512a6951b047eb7, 0x9c9b6fc0c4eefd80, 0x6f00fa8301dfbbf3, 0x5d54e5e53633937e, 0xb4b0b9c6378ce881,
  0xf9b6249156f62aa8, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x000000005be463fd,
};

/*
 * m644rfr2_u2x8_uart1_noled_ee_ce_u4_hw m64rfr2_u2x8_uart1_noled_ee_ce_hw
 * m64rfr2_u2x8_uart1_noled_ee_ce_u4_hw m640_u2x8_uart1_noled_ee_ce_hw
 * m640_u2x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x72937dba7c120b5f, 0x5faa3f9d0da37b54, 0xce1e79e439dc728c, 0xa8f84bf10d8488ba,
  0xdf3262e1f9699bff, 0x391e57d44a76b083, 0x84f8e47c1b306b5e, 0x522cd3ad08a05315, 0xe23a909afa30b2c4,
  0xedbda3c1673abb74, 0x0e36355e363af3a6, 0x6cb98b848451cf23, 0xa6951b044c8e1bd9, 0x6fc0c4eefd859d12,
  0xfa8301dfbbf39c9b, 0xe5e53633937e6f00, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0, 0xa138c6e52d4bf36c,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x0002808d59ba29e4,
};

/*
 * m644rfr2_u2x8_uart1_lednop_pr     m64rfr2_u2x8_uart1_lednop         m64rfr2_u2x8_uart1_lednop_pr
 * m640_u2x8_uart1_lednop            m640_u2x8_uart1_lednop_pr
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x97dfe5c7e7cf5982, 0x7b5472937dba7c12, 0x47b58ef9610f0da3, 0x83f490e2481a0b8e, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xbf0313bbf6415a07, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x48792a792bf73433, 0x000000000000f902,
};

// m64rfr2_u2x8_uart1_lednop_pr_u4   m640_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xf7f861b3e7acc13e, 0xd51ca4df6e9f04a5, 0xed63be5843c368de, 0xfd2438920682e391, 0x19cc580b2ca6f920,
  0xc11d7a3e7659e8d2, 0x9eda0b348a807fec, 0xc0c4eefd905681e5, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0xfb2d3824f257ee68,
  0x0000000000000f93,
};

/*
 * m644rfr2_u2x8_uart1_lednop_pr_ee_u4 m64rfr2_u2x8_uart1_lednop_pr_ee
 * m64rfr2_u2x8_uart1_lednop_pr_ee_u4 m640_u2x8_uart1_lednop_pr_ee
 * m640_u2x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xc30d9fcad304f8c9, 0xe526fb74f82450ff, 0xab5a39c61b46f6a8, 0xcc1a631c8f2b32a6, 0x2877c561ee391f06,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af, 0xdecb65cc5c242282,
  0x1f667951b047eb70, 0x936df8189ddfb002, 0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4,
  0x2adec555169aba71, 0x2637296a5f9b6e72, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x009d70d4e7049e4a,
};

/*
 * m644rfr2_u2x8_uart1_lednop_pr_ce_u4 m64rfr2_u2x8_uart1_lednop_pr_ce
 * m64rfr2_u2x8_uart1_lednop_pr_ce_u4 m640_u2x8_uart1_lednop_pr_ce
 * m640_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0x56ff0c367ce1cc13, 0xdaa3949bedd3e092, 0xe03462fd62186d1b, 0x1222eb3879e3cdce, 0xdcedfea3e12fc436,
  0xcb3abeb264c5c3a6, 0xc4903d64723f493d, 0x3398b01531116921, 0x9e3af47cecb3d1a4, 0xd6e416691500ffd9,
  0xe062777ec82b40f2, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b52fcdb73863b7b, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33, 0xc7f197e627ff787b, 0x5fe07efd8668fb61,
  0x964b867a617c68f4, 0x66587494b670e271, 0x82ed3824f257ee68, 0x0000000000000dd7,
};

/*
 * m644rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m64rfr2_u2x8_uart1_lednop_pr_ee_ce
 * m64rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m640_u2x8_uart1_lednop_pr_ee_ce
 * m640_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x0d9f0d1304f8c9dd, 0x4df6e9f04ac7ffc3, 0xa8fe74368ded51ca, 0x3cf1e6e764ea317e, 0xf097e21b0911759c,
  0x64c5c3e54341ff51, 0x3cafba94ed6107be, 0xf1c8f83660d6bc72, 0x59a75a1140a62bdb, 0x752135f4616588a4,
  0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0x8189ddfb0b31f667,
  0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2d4bf36dce18edec,
  0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1,
  0x9961d252d9c389c6, 0xf548e093c95fb9a1, 0x00000000000013f0,
};

// m64rfr2_u2x8_uart1_lednop_ee_hw   m640_u2x8_uart1_lednop_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0x1ca4df6e9f048a1f, 0xd56b4738c368ded5, 0xd9834c6391e56654, 0x450ef8ac3dc723e0,
  0xd185962291669d68, 0xd2e7aae3593484d7, 0xe74dda32464d1cea, 0x4f237b56355ae875, 0x1bd96cb98b848450,
  0x43eccf2a3608fd6e, 0x726dbf0313bbf600, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a,
  0x455bd8aaa2d3574e, 0x38c6e52d4bf36dce, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x00b7fa907a29e4af,
};

/*
 * m644rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m64rfr2_u2x8_uart1_lednop_ee_ce_hw
 * m64rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m640_u2x8_uart1_lednop_ee_ce_hw
 * m640_u2x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x72937dba7c12b1ff, 0x5faa3f9d0da37b54, 0xce1e79e439d93a8c, 0xa8f84bf10d8488ba,
  0xef993170fd66c87f, 0x1c8f2beea53b5841, 0xf6fc723e0d9835af, 0x291669d68450298a, 0xf51d484d7d185962,
  0xbb4648c9a39d5db8, 0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6, 0xb7e062777ec2cc7d,
  0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xb94b52fcdb73863b,
  0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0x2a5f868a792bf734, 0x00000000000000a0,
};

/*
 * m644rfr2_u2x8_uart1_dual_pr       m644rfr2_u2x8_uart1_dual_pr_u4    m64rfr2_u2x8_uart1_dual
 * m64rfr2_u2x8_uart1_dual_pr        m64rfr2_u2x8_uart1_dual_pr_u4     m640_u2x8_uart1_dual
 * m640_u2x8_uart1_dual_pr           m640_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_dual[] = {
  0xeeeeedf9448650e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b5b16eee, 0x19eb5c1dddd3f610, 0x21720b03e498e176,
  0xc15484a89827c64b, 0x306d2303775f64c8, 0x8094ee9f12e20614, 0x3e71c243cc5d7f32, 0x481afb9a391dc9ec,
  0x87e7ef8228524482, 0x63e27d70f8510c4f, 0x87c8886559cbd338, 0x80e784c3e4542196, 0x86f2bc84b6f01bfe,
  0x3e0904fff2429305, 0x86d1bdaa3949bedd, 0x43c723e453be589a, 0xe69c5efa4871240c, 0xb591d7f398b01541,
  0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0,
  0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0000029272e0ae09,
};

/*
 * m644rfr2_u2x8_uart1_dual_pr_ee_u4 m64rfr2_u2x8_uart1_dual_pr_ee     m64rfr2_u2x8_uart1_dual_pr_ee_u4
 * m640_u2x8_uart1_dual_pr_ee        m640_u2x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_pr_ee[] = {
  0x777776fca2437089, 0xeeeee1f7a7bf7ebf, 0x62e5895f6d57eeee, 0x9ce1b6106ec4e375, 0x4f595b375b4ad517,
  0x649827c64c71b95e, 0x06eebec99182a901, 0x3e25c40c2860da46, 0xb5326dfe650129dd, 0x472398fec066ce1b,
  0x450a489049034b53, 0x1f0a2189f0fcfdf0, 0xab397a67190c4fae, 0x8b150865a0e9510c, 0xb6fd5fff4073c262,
  0xf242930586f2bc84, 0x3949bedd3e096fbf, 0xaad68e4486d1bdaa, 0x660c148e4795afb9, 0x143be2ba951c8f83,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000001592aca7049,
};

/*
 * m644rfr2_u2x8_uart1_dual_pr_ce_u4 m64rfr2_u2x8_uart1_dual_pr_ce     m64rfr2_u2x8_uart1_dual_pr_ce_u4
 * m640_u2x8_uart1_dual_pr_ce        m640_u2x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_pr_ce[] = {
  0xeeeeedf944869a4e, 0xeeeee1ff1ecfbd7e, 0x086932c36957eeee, 0xfd763db77765dc4e, 0x971fd46280478762,
  0x202919827c64989b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc287e6e9ffcca025, 0x9d347239c1d87579,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a672f0c4, 0x260f7150865a0bed, 0xe425b7d37ff4073c,
  0xa5ff9214982c3795, 0xed51ca4df6e9f048, 0xd2b462fd65f4368d, 0x1222eb3879e3cdce, 0x7e007ea3e12fc436,
  0x96757a973262e1eb, 0x4903a971c8e37e7b, 0x398b014141f2921c, 0xe3af00676b591d7f, 0x6e10e90d500ffd99,
  0xe777152552740f2d, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0x29d009bf379b2283, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0x7296a5f9b6e70c76, 0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x9264937049e4afdc, 0x0000000000000006,
};

// m64rfr2_u2x8_uart1_dual_pr_ee_ce  m640_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce[] = {
  0x77776fcd41436f02, 0xbbbb87fd2f77ebf7, 0x27d57f5de937bbbb, 0x7ef0a583bad38eb2, 0xe6b8ce0b37932bbf,
  0xcc13e324375c9fc3, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x37ebfe650129dd3e, 0xc8f5bfb080070149,
  0x8524482481cedcd1, 0x8510c4f87e7ef822, 0x397a67152227d70f, 0x150865a16e910cab, 0x7d35ff4073c2653d,
  0x214982c3795e425b, 0xa4df6e9f0482d7f9, 0xea8ff74368ded51c, 0x95f9e3cdcee3958f, 0x8166e99ceb0f7224,
  0xaf91c8f2b7f253b5, 0x4c5701a391f06cc1, 0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea,
  0x22a3e7ac6abc6c75, 0x37b2fa598b848450, 0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x1013936df8189ddf,
  0xf36450603bf77e78, 0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0xdce18edec555169a, 0xb03d0c6e52d4bf36,
  0xfd4eaccdfc1ddc68, 0x1f6c389c69430a9c, 0x5c33d30ae4fc07cd, 0xc3a4a5b387138cb2, 0x6dc12792bf734332,
  0x000000000004003d,
};

// m64rfr2_u2x8_uart1_dual_pr_ee_ce_u4 m640_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xddddbf28a87fbb90, 0xdddc3f98b85fafdd, 0x37b375ad19cddddd, 0x279bb89dbb388b51, 0x57d5effadb4f5a0a,
  0x304f8c96c5723522, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x2547e656024ee9f1, 0x7bc3d872d1c19bf3,
  0x92241240f1ba68e4, 0x88627c3f3f7c1142, 0x7a6715d713eb87c2, 0x0865a096910cab39, 0x49ff4073c268e515,
  0x8982c3795e425b71, 0x7dba7c12d35ff866, 0x32870da37b547293, 0xe7c033b31f8c5faa, 0x2fc4361222eb3879,
  0x170e601ba1fea3e1, 0xb7f253b58426e993, 0x91f06cc1af91c8f2, 0x4eb422814c5701a3, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x52d4bf36dce18ede, 0xfe0d1fc68b224c6e, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x3c99fe19e4afdcd0, 0x0000000000010017,
};

// m64rfr2_u2x8_uart1_dual_ee_hw     m640_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_ee_hw[] = {
  0xbbbbb7e514689a4e, 0x77770fbd3dfbf5fb, 0x172c4afb6abf7777, 0xe70db08376271bab, 0x8fea31d1e1d6a8bc,
  0x0b24c13e32638dcb, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xdda9936ff32ba0ce, 0x9a391cc7f6033670,
  0x8228524482481a5a, 0x70f8510c4f87e7ef, 0x6559cbd338c8627d, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xfff2a4982c3795e4, 0x51ca4df6e9f04b7d, 0xcd56b47224368ded, 0x1b3060a4723cad7d, 0x08a1df15d4a8e47c,
  0xfa30b2c4522cd3ad, 0x6973297152e6909a, 0xf512ed10a3dece75, 0x08a8f9eb1aad743a, 0x0decbe9662e12114,
  0x084feb151b047eb7, 0xd93f8abe77715250, 0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xfa84e31b94b52fcd, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00002bb5cc85e8a7,
};

/*
 * m644rfr2_u2x8_uart1_dual_ee_ce_u4_hw m64rfr2_u2x8_uart1_dual_ee_ce_hw
 * m64rfr2_u2x8_uart1_dual_ee_ce_u4_hw m640_u2x8_uart1_dual_ee_ce_hw
 * m640_u2x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw[] = {
  0xeeeedf9451a3b46e, 0xeeee1fcc5c2fd7ee, 0x9bd9bad68ce6eeee, 0x13cddc4edd9c45a8, 0x4127f7ff85a7ad05,
  0x5e609f192d8ae461, 0x6eebec99182a909e, 0xe25c40c2860da460, 0xf32547e657419dd3, 0xe47bc3d872d1c19b,
  0x4292241240f1ba68, 0xc288627c3f3f7c11, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x2a4982c3795e425b, 0xa4df6e9f04b4d7ff, 0xea8ca1c368ded51c, 0x0f3cf21cecc7e317, 0x7c25f886c2445d67,
  0x993170ece5d1ffd4, 0x8f2b7f253b58426e, 0x1a391f06cc1af91c, 0x8b34eb422814c570, 0x0ea426be8c2cb114,
  0xa2147bd9ceaedc65, 0x7ac6abc6c75ea25d, 0xa598b84845022a3e, 0x62a3608991c37b2f, 0x57ceee2a4a5989fd,
  0x36df8189ddfb27f1, 0x0603bf77e7810139, 0x7253a0137e6f3645, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xc6e52d4bf36dce18, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x5d683eea29e4afdc, 0x0000000000000007,
};

/*
 * m644rfr2_u2x12_uart0_noled_pr     m64rfr2_u2x12_uart0_noled         m64rfr2_u2x12_uart0_noled_pr
 * m640_u2x12_uart0_noled            m640_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0xa7f971f9fd2a609f, 0x9fcda9f55ba7c240, 0xcb08786d1bdaa394, 0x1240d05c723f4077, 0x80b2ca67bed6a487,
  0xe8f9dabfa3d61cc5, 0xeccf2a01ffb30475, 0x5af60e3e07967b63, 0xef5af39c2cdf8189, 0x8ce16f37807d4180,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xdca5a97e6d892455, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0x1c8f254f257ee686, 0x0000000000007c80,
};

// m64rfr2_u2x12_uart0_noled_pr_u4   m640_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xff0c367f4a9827c6, 0xf9b53eab74f84814, 0x610f0da37b547293, 0x481a0b8e47e80ef9, 0x16594cf7dad490e2,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0x5ec1c7c0f2cf6c7d, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x3a3c9b824f257ee6,
  0x00000000000000f9,
};

/*
 * m644rfr2_u2x12_uart0_noled_pr_ee_u4 m64rfr2_u2x12_uart0_noled_pr_ee
 * m64rfr2_u2x12_uart0_noled_pr_ee_u4 m640_u2x12_uart0_noled_pr_ee
 * m640_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x0d9fc09304f8c9dd, 0x9f55ba7c2452ffc3, 0x86d1bdaa3949fcda, 0x23cae449aad68e71, 0xba8e47c1b30698c7,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8f059cead2f38ae3, 0x6ab5d0ebce9bb6f6, 0x170908a39e461c6c,
  0x6c11fadc37b2d973, 0x895af600544a9a54, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41, 0x8de33a2057553979,
  0x55bd8aaa2d2c2e71, 0x98dca5a97e6d8924, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0275f8d0dc12792b,
};

// m64rfr2_u2x12_uart0_noled_pr_ce   m640_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x25b7ffcb8fcf98f9, 0x3949fcda9f55ba7c, 0xcb1fd7a086d1bdaa, 0x93f9df9e6e1dcec7, 0xee59758ce673ac3b,
  0x71240f19c723d4b9, 0x39cc580bd0243a48, 0x33c75e2e76a251a8, 0x12b5ec1d7e1ee396, 0x01deb5e73859bf03,
  0xa6c4a7ef9c2de6f3, 0x042063042d392306, 0xa97e6da718de33a2, 0x0d1fc68b1e70dca5, 0x67a615c9fbab31e4,
  0x494b670e271964b8, 0x254f257ee6866587, 0x000000000b75008f,
};

// m64rfr2_u2x12_uart0_noled_pr_ce_u4 m640_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffc30d9f90f304f8, 0xfcda9f55ba7c24e4, 0xd62186d1bdaa3949, 0x879e3cdcee3dc62f, 0x3e12fc4361222eb3,
  0xc993170fff0347ea, 0x91c8e4f4f72ceafa, 0x51f3a4a4871240f5, 0x7ced5fd1eb0e62c0, 0x679500ffd99e3af4,
  0x5ec1c7c0f2d6e1f6, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d, 0x67440aeaa72f29b1, 0xb15545a585ce31bc,
  0x296a5f9b624863b7, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xe05da7049e4afdcd, 0x00000000000001ba,
};

/*
 * m644rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m64rfr2_u2x12_uart0_noled_pr_ee_ce
 * m64rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m640_u2x12_uart0_noled_pr_ee_ce
 * m640_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xb3fbb5304f8c9dd4, 0xd56e9f0918fff861, 0xb46f6a8e527f36a7, 0x3b8e518bf547f3a1, 0xd8488bace1e78f37,
  0x494ce5fa8f84bf10, 0x53b5841ef993170f, 0xd9835af1c8f2bea2, 0x450298ac27c723e0, 0xd185962291669d68,
  0x39d5dba711d484d7, 0xb1d79d376ded1e0b, 0x228e791871b1aaf1, 0x6470decb65cc5c24, 0xec2ce89534a8d822,
  0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x96a5f9b624863b7b,
  0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0x94e37049e4afdcd0, 0x00000000000009f8,
};

// m64rfr2_u2x12_uart0_noled_ee_hw   m640_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0xa9f55ba7c2452ffc, 0x186d1bdaa3949fcd, 0x723cae449aad68e7, 0xfba8e47c1b30698c,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x68f059cead2f38ae, 0xc6ab5d0ebce9bb6f, 0x3170908a39e461c6,
  0x46c11fadc37b2d97, 0x1895af600544a9a5, 0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397,
  0x455bd8aaa2d2c2e7, 0x718dca5a97e6d892, 0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x00b7c69ad453c95f,
};

/*
 * m644rfr2_u2x12_uart0_noled_ee_ce_u4_hw m64rfr2_u2x12_uart0_noled_ee_ce_hw
 * m64rfr2_u2x12_uart0_noled_ee_ce_u4_hw m640_u2x12_uart0_noled_ee_ce_hw
 * m640_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0xa9f55ba7c2463ffe, 0xe86d1bdaa3949fcd, 0x21cee39462fd51fc, 0x886c2445d670f3cf,
  0x0fcb4cdffd47c25f, 0xa253b5841ef99317, 0xe0d9835af1c8f2be, 0x68450298ac27c723, 0xd7d185962291669d,
  0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c, 0xb5ec2ce89534a8d8,
  0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0x7296a5f9b624863b,
  0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271,
  0x501f7514f257ee68, 0x0000000000000140,
};

/*
 * m644rfr2_u2x12_uart0_lednop_pr    m64rfr2_u2x12_uart0_lednop        m64rfr2_u2x12_uart0_lednop_pr
 * m640_u2x12_uart0_lednop           m640_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0xcff2e3f3f38cc13e, 0x3f9b53eab74f8497, 0x964870da37b54729, 0x24819a48e47278ef, 0x016f74c3e749490e,
  0x173b35f23905398b, 0x1583ef71cb1823af, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x458f386e52d4bf36, 0xe4fdd598f2068fe3, 0x87138cb25c33d30a,
  0xbf734332c3a4a5b3, 0x0007c8738792a792,
};

// m64rfr2_u2x12_uart0_lednop_pr_u4  m640_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xf861b3e13e609f19, 0xcda9f55ba7c24807, 0x08786d1bdaa3949f, 0x40d05c723dac77cb, 0x6594df241fa48712,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0xb6e722adec555169, 0x345912637296a5f9, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9,
  0x0000001f26b8be70,
};

/*
 * m644rfr2_u2x12_uart0_lednop_pr_ee_u4 m64rfr2_u2x12_uart0_lednop_pr_ee
 * m64rfr2_u2x12_uart0_lednop_pr_ee_u4 m640_u2x12_uart0_lednop_pr_ee
 * m640_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0x367f7dcc13e32774, 0x7d56e9f0929eff0c, 0x1b46f6a8e527f36a, 0x8f2b32a6ab5a39c6, 0xee391f06cc1a631c,
  0x8b34eb422877c561, 0xc9a426be8c2cb114, 0x3268e756973d571a, 0xaad743af3a6ed192, 0x5c242282791bdab1,
  0xb047eb70decb65cc, 0x4ad7b0021f667951, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0,
  0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x5b7049e4afdcd0cc, 0x000000000009d73f,
};

/*
 * m644rfr2_u2x12_uart0_lednop_pr_ce_u4 m64rfr2_u2x12_uart0_lednop_pr_ce
 * m64rfr2_u2x12_uart0_lednop_pr_ce_u4 m640_u2x12_uart0_lednop_pr_ce
 * m640_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0x5ff0c367ca5cc13e, 0x7f36a7d56e9f093a, 0xf58861b46f6a8e52, 0xe1e78f373b80d18b, 0x8f84bf10d8488bac,
  0xc993170e9b73b7fa, 0x91c8fd24f72ceafa, 0x54c445a4871240f5, 0xf3b2cf4690ce62c0, 0xa45403ff6678ebd1,
  0x7b20ad03cb5b9059, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077,
  0x36dce18edec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x00000001bae3548e,
};

/*
 * m644rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m64rfr2_u2x12_uart0_lednop_pr_ee_ce
 * m64rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m640_u2x12_uart0_lednop_pr_ee_ce
 * m640_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xd9fd35304f8c9dd0, 0xf55ba7c25ff3fc30, 0x6d1bdaa3949fcda9, 0xcec9d462fd51fce8, 0x361222eb3879e3cd,
  0xca8683fea3e12fc4, 0x29dac20f7cc98b87, 0x6cc1ad78e4795f75, 0x22814c57b7e391f0, 0xe8c2cb1148b34eb4,
  0x1ceaedc7a8ea426b, 0x6c75e74dda32464d, 0x08a09e46f6ac6abc, 0x991c37b2d9731709, 0xf61663eccf2a3608,
  0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f,
  0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x000000013f2cb7dc,
};

// m64rfr2_u2x12_uart0_lednop_ee_hw  m640_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0xa7d56e9f0929eff2, 0x61b46f6a8e527f36, 0xc8f2b32a6ab5a39c, 0x1ee391f06cc1a631,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x23268e756973d571, 0x1aad743af3a6ed19, 0xc5c242282791bdab,
  0x1b047eb70decb65c, 0xc4ad7b0021f66795, 0xad79e0404e166fc0, 0x005bcde6c8a0c077, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0x6a5f9b6e722adec5, 0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x2d514f257ee68665, 0x000000000002dfbb,
};

/*
 * m644rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m64rfr2_u2x12_uart0_lednop_ee_ce_hw
 * m64rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m640_u2x12_uart0_lednop_ee_ce_hw
 * m640_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0x6d4faadd3e12ff9f, 0xe74368ded51ca4fe, 0x790e764ea317ea8f, 0xfc4361222eb3879e,
  0x5c3f59b21fea3e12, 0xfba94ed6107be64c, 0x8f83660d6bc723ca, 0x75a1140a62bdbf1c, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x4ad7b0b31f667951,
  0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x4bf36dce18edec55,
  0x854e7ea138c6e52d, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x4a29e4afdcd0ccb0, 0x00000000014043aa,
};

/*
 * m644rfr2_u2x12_uart0_dual_pr      m644rfr2_u2x12_uart0_dual_pr_u4   m64rfr2_u2x12_uart0_dual
 * m64rfr2_u2x12_uart0_dual_pr       m64rfr2_u2x12_uart0_dual_pr_u4    m640_u2x12_uart0_dual
 * m640_u2x12_uart0_dual_pr          m640_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_dual[] = {
  0x776fc60f4486bd5b, 0x7770f9337adebf77, 0x73338e3a76b77777, 0xc323bdddd697644a, 0xe5ddfb84e5682d8a,
  0x522e46609f19256e, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0xe702eb3143fcca02, 0x651668e47f9db090,
  0x9fbe08a149120920, 0x89f5c3e144313e1f, 0xe22195672f4ce0cd, 0x9e133df150865a0b, 0xcaf212dbd4affa03,
  0x12eebfc90a4c161b, 0x1ca4fe6d4faadd3e, 0x29df2c4d4368ded5, 0x2438920621e391f2, 0xcc580aa0f34e2f7d,
  0x1d78033b5ac8ebf9, 0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x7296a5f9b6e722ad, 0x66fe0eee34591263,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x93bea87049e4afdc, 0x0000000000000014,
};

/*
 * m644rfr2_u2x12_uart0_dual_pr_ee_u4 m64rfr2_u2x12_uart0_dual_pr_ee    m64rfr2_u2x12_uart0_dual_pr_ee_u4
 * m640_u2x12_uart0_dual_pr_ee       m640_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2436f02, 0x7770fa9ba2ff5fbb, 0xf4fbfb5a80777777, 0x32e364774c894a2a, 0x35d08459baafad04,
  0x609f19306ee4fe1f, 0x75f64c8c154867ae, 0x2e20614306d23037, 0xa76ff328094ee9f1, 0x1c66f61bb4704db9,
  0x52448248185a9a39, 0x510c4f87e7ef8228, 0xcbd33949427d70f8, 0xa8432d0386886559, 0xa1fffa039e133938,
  0x14982c3795e425b7, 0x3eab74f84b4dff92, 0x0da37b547293f9b5, 0x8f2b5f7355ad1c89, 0x2a391f06cc18291c,
  0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6,
  0xc11fadc37b2fa598, 0xdc54940213fac546, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc,
  0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x91340e093c95fb9a,
  0x0000000000000015,
};

/*
 * m644rfr2_u2x12_uart0_dual_pr_ce_u4 m64rfr2_u2x12_uart0_dual_pr_ce    m64rfr2_u2x12_uart0_dual_pr_ce_u4
 * m640_u2x12_uart0_dual_pr_ce       m640_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_pr_ce[] = {
  0x776fc60f44860aac, 0xeee1f85fd77ebf77, 0x49c9b168ebeeeeee, 0x2eafb7774489918d, 0x7d5e5902c70455f6,
  0x1e729827c64f91b9, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x1d3f358ffe650129, 0x534723f57ec287ce,
  0xf0450a489049038e, 0xae1f0a2189f0fcfd, 0x0cab397a6739684f, 0x631f150865a05151, 0x425b78adff4073c2,
  0x2ff9214982c3795e, 0x3f9b53eab74f8498, 0xf597d0da37b54729, 0xe1e78f373b4ad18b, 0x8f84bf10d8488bac,
  0x5cc98b87adf801fa, 0xc7238df9ee59d5ea, 0x0507ca4871240ea5, 0x9dad6475fce62c05, 0x35403ff6678ebc01,
  0x9549d03cb5b843a4, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400,
  0x2d3574e31bc67440, 0x7e6db9c31dbd8aaa, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xdc12792bf734332c, 0x0000000001a484e2,
};

// m64rfr2_u2x12_uart0_dual_pr_ee_ce m640_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbb7e307d4143359b, 0x770f933aeff5fbbb, 0x40362fa0fb777777, 0xad12ef74054e24d7, 0x29368d7526f26517,
  0x827c6494eb90f0cc, 0xd7d932305521d3a9, 0xb881850c1b48c0dd, 0x35bfcca0253ba7c4, 0x1e006c0521c3f5e6,
  0xa48904903b5b9a39, 0xa2189f0fcfdf0450, 0x2f4ce77584fae1f0, 0xa10cb43672219567, 0xff3fe80e784d95a2,
  0x2930586f2bc84b6e, 0xfaadd3e1231fff24, 0x368ded51ca4fe6d4, 0xdcee3958fea8ff74, 0xceb0f722495f9e3c,
  0x2b7f253b58166e99, 0x391f06cc1af91c8f, 0x34eb422814c5701a, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e,
  0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0x6fc0c4ad7b27f157,
  0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x6e52d4bf36dce18e,
  0xcdfc1ddc68b03d0c, 0x9c69430a9cfd4eac, 0x0ae4fc07cd1f6c38, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x000008001d15c127,
};

// m64rfr2_u2x12_uart0_dual_pr_ee_ce_u4 m640_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87f3202, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0xe4fa6b0ce34f26bc,
  0x19276ae434e83ebd, 0x99182a9047ae609f, 0xc2860da4606eebec, 0xccac049dd3e25c40, 0xb066f9c12a26b91f,
  0x2481f60cd1c8fcb5, 0xf87e7ef822852448, 0x0c2e27d70f8510c4, 0x402d22195672f4ce, 0x80e784c7062a10cb,
  0x0de579096dff5ffe, 0xf849fe7fe19a260b, 0x547293f9b53eab74, 0x8c5faa32870da37b, 0xeb3879e7c033b31f,
  0xfea3e12fc4361222, 0x26e993170e601ba1, 0x91c8f2b7f253b584, 0x5701a391f06cc1af, 0x1148b34eb422814c,
  0xc650ea426be8c2cb, 0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37,
  0x7f157ceee2a4a598, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9,
  0xce18edec555169ab, 0xb224c6e52d4bf36d, 0xea75666fe0d1fc68, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0008008ab11fe19e,
};

// m64rfr2_u2x12_uart0_dual_ee_hw    m640_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_ee_hw[] = {
  0xddbf183d14680aac, 0xbb87d4dd17fafddd, 0xa7dfdad403bbbbbb, 0x971b23ba644a5157, 0xbcb269c1557d6821,
  0xd7304f8c983772fa, 0x1bbafb26460aa433, 0xf8971030a1836918, 0xdcd3b7f995d06774, 0x1c8e337b0dda3826,
  0x14292241240c2d4d, 0x7c288627c3f3f7c1, 0xace5e99ca4a13eb8, 0x9c54219681c34432, 0xdbd0fffd01cf099c,
  0xf9524c161bcaf212, 0xda9f55ba7c25a6ff, 0x4486d1bdaa3949fc, 0x8e4795afb9aad68e, 0xba951c8f83660c14,
  0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x147bd9cead2e652e, 0x6355ae875ea25da2, 0xcc5c242281151f3d,
  0xa3608fd6e1bd97d2, 0xceee2a4a0109fd62, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0xbde50c2a73f509c6, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x6b8269d14f257ee6, 0x0000000000000057,
};

/*
 * m644rfr2_u2x12_uart0_dual_ee_ce_u4_hw m64rfr2_u2x12_uart0_dual_ee_ce_hw
 * m64rfr2_u2x12_uart0_dual_ee_ce_u4_hw m640_u2x12_uart0_dual_ee_ce_hw
 * m640_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xedf8c1e8a3457c3b, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0x7eb7fb0ce34f26bc,
  0x09f19276ae4559e2, 0xbec99182a9047ae6, 0xc40c2860da4606ee, 0xc8fe657419dd3e25, 0xe5ad8337ce095135,
  0x2241240fb0668e47, 0x8627c3f3f7c11429, 0xa67061713eb87c28, 0x865a016910cab397, 0xfff4073c26383150,
  0x30586f2bc84b6ffa, 0x56e9f093fcffe549, 0x46f6a8e527f36a7d, 0x663f18bf54650e1b, 0x1222eb3879e790e7,
  0x2e8ffea3e12fc436, 0xdac21374c98b8767, 0x60d7c8e4795bf929, 0x40a62b80d1c8f836, 0x616588a459a75a11,
  0x7576e328752135f4, 0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c,
  0x6bd93f8abe777152, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x00000001d75a3345,
};

/*
 * m644rfr2_u2x12_uart1_noled_pr     m64rfr2_u2x12_uart1_noled         m64rfr2_u2x12_uart1_noled_pr
 * m640_u2x12_uart1_noled            m640_u2x12_uart1_noled_pr
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0xa7f971f9fd2a609f, 0x3f9b53eab74f8240, 0x9610f0da37b54729, 0x2481a0b8e47e80ef, 0x016594cf7dad490e,
  0xd1f3b57f47ac398b, 0xd99e5403ff6608eb, 0x77ec1c7c0f2cf6c7, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x91e4a9e4afdcd0cc, 0x00000000000f9003,
};

// m64rfr2_u2x12_uart1_noled_pr_u4   m640_u2x12_uart1_noled_pr_u4
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xff0c367f4a9827c6, 0xf36a7d56e9f04814, 0xc21e1b46f6a8e527, 0x9034171c8fd01df2, 0x2cb299efb5a921c4,
  0x3e76afe8f5873160, 0x33ca807fecc11d7a, 0xfd838f81e59ed8fb, 0xbbf39c9b6fc0c4ee, 0x937e6f00fa8301df,
  0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x96a5f9b6249156f6, 0xfe0eee3459126372, 0xbca1854e7ea75666,
  0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x47937049e4afdcd0,
  0x0000000000001f27,
};

/*
 * m644rfr2_u2x12_uart1_noled_pr_ee_u4 m64rfr2_u2x12_uart1_noled_pr_ee
 * m64rfr2_u2x12_uart1_noled_pr_ee_u4 m640_u2x12_uart1_noled_pr_ee
 * m640_u2x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x0d9fc09304f8c9dd, 0x3eab74f82452ffc3, 0x0da37b547293f9b5, 0x4795c89355ad1ce3, 0x751c8f83660d318e,
  0x22cd3ad08a1df15f, 0xb26909afa30b2c45, 0x1e0b39d5a5e715c6, 0xd56ba1d79d376ded, 0x2e1211473c8c38d8,
  0xd823f5b86f65b2e6, 0x2777ec00a89534a8, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418, 0xbc67440aeaa72f29,
  0xb7b15545a585ce31, 0x1b94b52fcdb1248a, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x4ebf1a1b824f257e,
};

// m64rfr2_u2x12_uart1_noled_pr_ce   m640_u2x12_uart1_noled_pr_ce
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x25b7ffcb8fcf98f9, 0x7293f9b53eab74f8, 0x963faf410da37b54, 0x27f3bf3cdc3b9d8f, 0xdcb2eb19cce75877,
  0xe2481e338e47a973, 0x7398b017a0487490, 0x678ebc5ced44a350, 0x4eefd83afc3dc72c, 0x1dfbbf39c9b6fc0c,
  0xd894fdf3937e6f30, 0x840c6085a72460d4, 0x2fcdb4e31bc67440, 0xa3f8d163ce1b94b5, 0xf4c2b93f75663c81,
  0x296ce1c4e32c970c, 0xa9e4afdcd0ccb0e9, 0x000000016ea011e4,
};

// m64rfr2_u2x12_uart1_noled_pr_ce_u4 m640_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffc30d9f90f304f8, 0xf9b53eab74f824e4, 0xac430da37b547293, 0x0f3c79b9dc7b8c5f, 0x7c25f886c2445d67,
  0x93262e1ffe068fd4, 0x2391c9e9ee59d5f5, 0xa3e749490e2481eb, 0xf9dabfa3d61cc580, 0xcf2a01ffb33c75e8,
  0xfd838f81e5adc3ec, 0xbbf39c9b6fc0c4ee, 0x937e6f00fa8301df, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c,
  0x2d4bf36c490c76f6, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x0bb4e093c95fb9a1, 0x000000000000375c,
};

/*
 * m644rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m64rfr2_u2x12_uart1_noled_pr_ee_ce
 * m64rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m640_u2x12_uart1_noled_pr_ee_ce
 * m640_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xb3fbb5304f8c9dd4, 0xaadd3e0918fff861, 0x68ded51ca4fe6d4f, 0x771ca317ea8fe743, 0xb0911759c3cf1e6e,
  0x9299cbf51f097e21, 0xa76b083df3262e1e, 0xb306b5e391e57d44, 0x8a0531584f8e47c1, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0xbf39c9b6fc0c4eef, 0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62,
  0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x9c6e093c95fb9a19, 0x0000000000013f12,
};

// m64rfr2_u2x12_uart1_noled_ee_hw   m640_u2x12_uart1_noled_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0x53eab74f82452ffc, 0x30da37b547293f9b, 0xe4795c89355ad1ce, 0xf751c8f83660d318,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0xd1e0b39d5a5e715c, 0x8d56ba1d79d376de, 0x62e1211473c8c38d,
  0x8d823f5b86f65b2e, 0x62777ec00a89534a, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2,
  0xab7b15545a585ce3, 0x31b94b52fcdb1248, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x16f8d35a8a792bf7,
};

/*
 * m644rfr2_u2x12_uart1_noled_ee_ce_u4_hw m64rfr2_u2x12_uart1_noled_ee_ce_hw
 * m64rfr2_u2x12_uart1_noled_ee_ce_u4_hw m640_u2x12_uart1_noled_ee_ce_hw
 * m640_u2x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0x53eab74f82463ffe, 0xd0da37b547293f9b, 0x439dc728c5faa3f9, 0x10d8488bace1e79e,
  0x1f9699bffa8f84bf, 0x44a76b083df3262e, 0xc1b306b5e391e57d, 0xd08a0531584f8e47, 0xafa30b2c4522cd3a,
  0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8, 0xefd859d12a6951b0,
  0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x52d4bf36c490c76f,
  0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x03eea29e4afdcd0c, 0x000000000000280a,
};

/*
 * m644rfr2_u2x12_uart1_lednop_pr    m64rfr2_u2x12_uart1_lednop        m64rfr2_u2x12_uart1_lednop_pr
 * m640_u2x12_uart1_lednop           m640_u2x12_uart1_lednop_pr
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0xcff2e3f3f38cc13e, 0x7f36a7d56e9f0497, 0x2c90e1b46f6a8e52, 0x49033491c8e4f1df, 0x02dee987ce92921c,
  0x2e766be4720a7316, 0x2b07dee39630475e, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xb1e70dca5a97e6db, 0x9fbab31e40d1fc68, 0xe271964b867a615c,
  0xee6866587494b670, 0x00f90e70f254f257,
};

// m64rfr2_u2x12_uart1_lednop_pr_u4  m640_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xf861b3e13e609f19, 0x9b53eab74f824807, 0x10f0da37b547293f, 0x81a0b8e47b58ef96, 0xcb29be483f490e24,
  0x9d967a3486731602, 0x22a01ffb30475e8f, 0x6415a07967b682cd, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0,
  0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x000003e4d717ce09,
};

/*
 * m644rfr2_u2x12_uart1_lednop_pr_ee_u4 m64rfr2_u2x12_uart1_lednop_pr_ee
 * m64rfr2_u2x12_uart1_lednop_pr_ee_u4 m640_u2x12_uart1_lednop_pr_ee
 * m640_u2x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0x367f7dcc13e32774, 0xfaadd3e0929eff0c, 0x368ded51ca4fe6d4, 0x1e56654d56b4738c, 0xdc723e0d9834c639,
  0x1669d68450ef8ac3, 0x93484d7d18596229, 0x64d1cead2e7aae35, 0x55ae875e74dda324, 0xb8484504f237b563,
  0x608fd6e1bd96cb98, 0x3bbf60043eccf2a3, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402,
  0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x6e093c95fb9a1996, 0x00000000013ae7eb,
};

/*
 * m644rfr2_u2x12_uart1_lednop_pr_ce_u4 m64rfr2_u2x12_uart1_lednop_pr_ce
 * m64rfr2_u2x12_uart1_lednop_pr_ce_u4 m640_u2x12_uart1_lednop_pr_ce
 * m640_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0x5ff0c367ca5cc13e, 0xfe6d4faadd3e093a, 0xeb10c368ded51ca4, 0xc3cf1e6e7701a317, 0x1f097e21b0911759,
  0x93262e1d36e76ff5, 0x2391fa49ee59d5f5, 0xa9888b490e2481eb, 0xe7659e8d219cc580, 0x48a807feccf1d7a3,
  0xf6415a0796b720b3, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9,
  0xdb9c31dbd8aaa2d3, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xec3347db0e3f8cbf,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x000000375c6a91c1,
};

/*
 * m644rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m64rfr2_u2x12_uart1_lednop_pr_ee_ce
 * m64rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m640_u2x12_uart1_lednop_pr_ee_ce
 * m640_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xd9fd35304f8c9dd0, 0xeab74f825ff3fc30, 0xda37b547293f9b53, 0x9d93a8c5faa3f9d0, 0x6c2445d670f3c79b,
  0x950d07fd47c25f88, 0x53b5841ef993170f, 0xd9835af1c8f2beea, 0x450298af6fc723e0, 0xd185962291669d68,
  0x39d5db8f51d484d7, 0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12, 0xec2cc7d99e546c11,
  0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6,
  0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x00000027e596fb82,
};

// m64rfr2_u2x12_uart1_lednop_ee_hw  m640_u2x12_uart1_lednop_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0x4faadd3e0929eff2, 0xc368ded51ca4fe6d, 0x91e56654d56b4738, 0x3dc723e0d9834c63,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2e7aae3, 0x355ae875e74dda32, 0x8b8484504f237b56,
  0x3608fd6e1bd96cb9, 0x13bbf60043eccf2a, 0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x854e7ea138c6e52d, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xaa29e4afdcd0ccb0, 0x00000000005bf765,
};

/*
 * m644rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m64rfr2_u2x12_uart1_lednop_ee_ce_hw
 * m64rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m640_u2x12_uart1_lednop_ee_ce_hw
 * m640_u2x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0xda9f55ba7c12ff9f, 0xce86d1bdaa3949fc, 0xf21cec9d462fd51f, 0xf886c2445d670f3c,
  0xb87eb3643fd47c25, 0xf7529dac20f7cc98, 0x1f06cc1ad78e4795, 0xeb422814c57b7e39, 0x26be8c2cb1148b34,
  0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731, 0x3bbf61663eccf2a3,
  0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x7e6db9c31dbd8aaa,
  0xa9cfd42718dca5a9, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x453c95fb9a19961d, 0x0000000028087549,
};

/*
 * m644rfr2_u2x12_uart1_dual_pr      m644rfr2_u2x12_uart1_dual_pr_u4   m64rfr2_u2x12_uart1_dual
 * m64rfr2_u2x12_uart1_dual_pr       m64rfr2_u2x12_uart1_dual_pr_u4    m640_u2x12_uart1_dual
 * m640_u2x12_uart1_dual_pr          m640_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_dual[] = {
  0x776fc60f4486bd5b, 0x7770f9337adebf77, 0x73338e3a76b77777, 0xc323bdddd697644a, 0xe5ddfb84e5682d8a,
  0x522e46609f19256e, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0xe702eb3143fcca02, 0x651668e47f9db090,
  0x9fbe08a149120920, 0x89f5c3e144313e1f, 0xe22195672f4ce0cd, 0x9e133df150865a0b, 0xcaf212dbd4affa03,
  0x12eebfc90a4c161b, 0x3949fcda9f55ba7c, 0x53be589a86d1bdaa, 0x4871240c43c723e4, 0x98b01541e69c5efa,
  0x3af00676b591d7f3, 0xb10e90d500ffd982, 0xddc549549d03cb3d, 0xf0313bbf64fe2af9, 0x77eefcf0202726db,
  0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0x77d50e093c95fb9a, 0x0000000000000292,
};

/*
 * m644rfr2_u2x12_uart1_dual_pr_ee_u4 m64rfr2_u2x12_uart1_dual_pr_ee    m64rfr2_u2x12_uart1_dual_pr_ee_u4
 * m640_u2x12_uart1_dual_pr_ee       m640_u2x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_pr_ee[] = {
  0xbbb7e307a2436f02, 0x7770fa9ba2ff5fbb, 0xf4fbfb5a80777777, 0x32e364774c894a2a, 0x35d08459baafad04,
  0x609f19306ee4fe1f, 0x75f64c8c154867ae, 0x2e20614306d23037, 0xa76ff328094ee9f1, 0x1c66f61bb4704db9,
  0x52448248185a9a39, 0x510c4f87e7ef8228, 0xcbd33949427d70f8, 0xa8432d0386886559, 0xa1fffa039e133938,
  0x14982c3795e425b7, 0x7d56e9f04b4dff92, 0x1b46f6a8e527f36a, 0x1e56bee6ab5a3912, 0x54723e0d98305239,
  0x1669d68450ef8aea, 0x73484d7d18596229, 0xef673ab4b994b8a9, 0x56ba1d7a89768851, 0x70908a04547cf58d,
  0x823f5b86f65f4b31, 0xb8a9280427f58a8d, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0xf83bb8d164498dca, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x2681c12792bf7343,
  0x00000000000002b2,
};

/*
 * m644rfr2_u2x12_uart1_dual_pr_ce_u4 m64rfr2_u2x12_uart1_dual_pr_ce    m64rfr2_u2x12_uart1_dual_pr_ce_u4
 * m640_u2x12_uart1_dual_pr_ce       m640_u2x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_pr_ce[] = {
  0x776fc60f44860aac, 0xeee1f85fd77ebf77, 0x49c9b168ebeeeeee, 0x2eafb7774489918d, 0x7d5e5902c70455f6,
  0x1e729827c64f91b9, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x1d3f358ffe650129, 0x534723f57ec287ce,
  0xf0450a489049038e, 0xae1f0a2189f0fcfd, 0x0cab397a6739684f, 0x631f150865a05151, 0x425b78adff4073c2,
  0x2ff9214982c3795e, 0x7f36a7d56e9f0498, 0xeb2fa1b46f6a8e52, 0xc3cf1e6e7695a317, 0x1f097e21b0911759,
  0xb993170f5bf003f5, 0x8e471bf3dcb3abd4, 0x0a0f9490e2481d4b, 0x3b5ac8ebf9cc580a, 0x6a807feccf1d7803,
  0x2a93a0796b708748, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d,
  0xa6ae9c6378ce881d, 0xcdb73863b7b15545, 0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x824f257ee6866587, 0x0000000034909c5b,
};

// m64rfr2_u2x12_uart1_dual_pr_ee_ce m640_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce[] = {
  0xbb7e307d4143359b, 0x770f933aeff5fbbb, 0x40362fa0fb777777, 0xad12ef74054e24d7, 0x29368d7526f26517,
  0x827c6494eb90f0cc, 0xd7d932305521d3a9, 0xb881850c1b48c0dd, 0x35bfcca0253ba7c4, 0x1e006c0521c3f5e6,
  0xa48904903b5b9a39, 0xa2189f0fcfdf0450, 0x2f4ce77584fae1f0, 0xa10cb43672219567, 0xff3fe80e784d95a2,
  0x2930586f2bc84b6e, 0xf55ba7c1231fff24, 0x6d1bdaa3949fcda9, 0xb9dc72b1fd51fee8, 0x9d61ee4492bf3c79,
  0x56fe4a76b02cdd33, 0x723e0d9835f2391e, 0x69d68450298ae034, 0x484d7d1859622916, 0x28f7b39d5db8ca1d,
  0x8d578d8ebd44bb44, 0x3170908a04547cf5, 0x46c1132386f65f4b, 0x9ddc5494b313fac5, 0xbf0313bbf64fe2af,
  0x077eefcf0202726d, 0xa74026fcde6c8a0c, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xca5a97e6db9c31db,
  0xbf83bb8d1607a18d, 0x8d2861539fa9d599, 0x5c9f80f9a3ed8713, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x00010003a2b824f2,
};

// m64rfr2_u2x12_uart1_dual_pr_ee_ce_u4 m640_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87f3202, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0xe4fa6b0ce34f26bc,
  0x19276ae434e83ebd, 0x99182a9047ae609f, 0xc2860da4606eebec, 0xccac049dd3e25c40, 0xb066f9c12a26b91f,
  0x2481f60cd1c8fcb5, 0xf87e7ef822852448, 0x0c2e27d70f8510c4, 0x402d22195672f4ce, 0x80e784c7062a10cb,
  0x0de579096dff5ffe, 0xf049fe7fe19a260b, 0xa8e527f36a7d56e9, 0x18bf54650e1b46f6, 0xd670f3cf8067663f,
  0xfd47c25f886c2445, 0x4dd3262e1cc03743, 0x2391e56fe4a76b08, 0xae034723e0d9835f, 0x2291669d68450298,
  0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f,
  0xfe2af9ddc5494b31, 0x2726dbf0313bbf64, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537,
  0xc31dbd8aaa2d3574, 0x4498dca5a97e6db9, 0x4eaccdfc1a3f8d16, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0100115623fc33c9,
};

// m64rfr2_u2x12_uart1_dual_ee_hw    m640_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_ee_hw[] = {
  0xddbf183d14680aac, 0xbb87d4dd17fafddd, 0xa7dfdad403bbbbbb, 0x971b23ba644a5157, 0xbcb269c1557d6821,
  0xd7304f8c983772fa, 0x1bbafb26460aa433, 0xf8971030a1836918, 0xdcd3b7f995d06774, 0x1c8e337b0dda3826,
  0x14292241240c2d4d, 0x7c288627c3f3f7c1, 0xace5e99ca4a13eb8, 0x9c54219681c34432, 0xdbd0fffd01cf099c,
  0xf9524c161bcaf212, 0xb53eab74f825a6ff, 0x890da37b547293f9, 0x1c8f2b5f7355ad1c, 0x752a391f06cc1829,
  0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x28f7b39d5a5cca5c, 0xc6ab5d0ebd44bb44, 0x98b84845022a3e7a,
  0x46c11fadc37b2fa5, 0x9ddc54940213fac5, 0xbf0313bbf64fe2af, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7,
  0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x704d3a29e4afdcd0, 0x0000000000000aed,
};

/*
 * m644rfr2_u2x12_uart1_dual_ee_ce_u4_hw m64rfr2_u2x12_uart1_dual_ee_ce_hw
 * m64rfr2_u2x12_uart1_dual_ee_ce_u4_hw m640_u2x12_uart1_dual_ee_ce_hw
 * m640_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw[] = {
  0xedf8c1e8a3457c3b, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0x7eb7fb0ce34f26bc,
  0x09f19276ae4559e2, 0xbec99182a9047ae6, 0xc40c2860da4606ee, 0xc8fe657419dd3e25, 0xe5ad8337ce095135,
  0x2241240fb0668e47, 0x8627c3f3f7c11429, 0xa67061713eb87c28, 0x865a016910cab397, 0xfff4073c26383150,
  0x30586f2bc84b6ffa, 0xadd3e093fcffe549, 0x8ded51ca4fe6d4fa, 0xcc7e317ea8ca1c36, 0x2445d670f3cf21ce,
  0x5d1ffd47c25f886c, 0xb58426e993170ece, 0xc1af91c8f2b7f253, 0x814c5701a391f06c, 0xc2cb1148b34eb422,
  0xeaedc650ea426be8, 0x75ea25da2147bd9c, 0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899,
  0xdfb27f157ceee2a4, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077,
  0x36dce18edec55516, 0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000003aeb4668a2,
};

/*
 * m644rfr2_swio10_noled_pr          m64rfr2_swio10_noled              m64rfr2_swio10_noled_pr
 * m640_swio10_noled                 m640_swio10_noled_pr
 */
static const uint64_t ur_m644rfr2_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdac4776e27524192, 0x80f06612226f897e, 0x8f4138fd68917748,
  0x7304f8c9dd85eb47, 0x5283227f971f9f0f, 0xc43c723bde77cb13, 0x74d38e45a4871240, 0x6e811acf398b016f,
  0x5f6e39630475e2e7, 0x3141daf2e556a563, 0x673a8a9546bb9c67, 0x4887359caed52df5, 0x115e5886954bef5f,
  0x54fa779fad73daad, 0x1696173a9d4e02ca, 0xc6f19d10270a4502, 0xf386e52d4bf36d38, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xe400e4792a792bf7, 0x0000000000000003,
};

// m64rfr2_swio10_noled_pr_u4        m640_swio10_noled_pr_u4
static const uint64_t ur_m644rfr2_swio10_noled_pr_u4[] = {
  0xa4dddddda24328ae, 0xad72d2c42b133ac6, 0xdf1fba6837132219, 0x88f211c6c446bf07, 0x912e236f67eeea48,
  0x4f8c9dd34b1c54d8, 0x1eebfc30d9f8f730, 0xa391e6e3be584594, 0x8ca9c6921c490327, 0xbd1dac731602cb29,
  0x07fecc11d7a3e767, 0xa81e59eddc359ea8, 0xe6283b5e5caad556, 0xace75152a8d7738c, 0xe910e6b395daa5be,
  0xa22bcb10d2a97deb, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0x6e52d4bf36c8122a,
  0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0xe4f69ace093c95fb, 0x0000000000000003,
};

/*
 * m644rfr2_swio10_noled_pr_ee_u4    m64rfr2_swio10_noled_pr_ee        m64rfr2_swio10_noled_pr_ee_u4
 * m640_swio10_noled_pr_ee           m640_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio10_noled_pr_ee[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea6d2eb1, 0xa7b5177499f1ff12, 0x08f229835cdd95b6, 0x9541685e14452225,
  0x9f193bad3bed791d, 0x74dff861b3e35a60, 0xace1cd56b471ee50, 0xe47c1b3067ac723c, 0xd3ad08a1df159758,
  0x909afa30b2c4522c, 0x273ab4bfee5c6b26, 0xba1d79d376d291c4, 0x908a1314622d8d56, 0x1fadc37b2d973170,
  0x55a8044d57f546c1, 0xaee719cc5076bcb9, 0xb54b7d59cea2a551, 0x52fbd7d221cd672b, 0x5cf6ab44579621a5,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x902455bd8aaa2d2d, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x00000275c9f85c12,
};

/*
 * m644rfr2_swio10_noled_pr_ce_u4    m64rfr2_swio10_noled_pr_ce        m64rfr2_swio10_noled_pr_ce_u4
 * m640_swio10_noled_pr_ce           m640_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio10_noled_pr_ce[] = {
  0x07dddddda2431202, 0x1cb96960418d8ac7, 0xc7619eed69b3fd7a, 0x7f12368915685365, 0x2a0a3760cc17eef0,
  0x304f8c9dd666d89a, 0x282c17fc30d9f95d, 0x79b9da9e8c5faf51, 0xf886c2445d670f3c, 0xb87bc3e5afd47c25,
  0xc927b96757d64c98, 0x9490e2481e0b8e47, 0xf476b1cc580bdd02, 0x1ffb33c75e8f9d9e, 0xa81e5add70d67aa0,
  0xe6283b5e5caad556, 0xace75152a8d7738c, 0xe910e6b395daa5be, 0xa22bcb10d2a97deb, 0xe1a779f16bae7b55,
  0xf19d1020eea6c529, 0xdec5551696d138c6, 0xdca5a97e6d90218e, 0x99bf83bb8d164498, 0x3def2861539fa9d5,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x75f2ab1c12792bf7,
  0x0000000000000003,
};

/*
 * m644rfr2_swio10_noled_pr_ee_ce_u4 m64rfr2_swio10_noled_pr_ee_ce     m64rfr2_swio10_noled_pr_ee_ce_u4
 * m640_swio10_noled_pr_ee_ce        m640_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio10_noled_pr_ee_ce[] = {
  0xa7bbbbbb4486cc7f, 0x6ee5a5861c123586, 0x177276e9b185401b, 0x3b1ec454df4ef234, 0xa3bb8247c613c4b5,
  0x327753eeabdd928f, 0x9fe186cfb5dcc13e, 0xe462fd51cae9417f, 0x22eb3879e3cdcedf, 0x397ea3e12fc43612,
  0x083df3262e1c291f, 0x804723cadd2ca76b, 0x315c878e47c1b306, 0x2c4522cd3ad08a05, 0x6efdc3a909afa30b,
  0x3a6eda523884e757, 0xc5188b6355e363af, 0xdecb65cc5c242284, 0xc9aafea8d8226470, 0x398a0ed7972ab52c,
  0xab39d454aa35dce3, 0xfa4439ace576a96f, 0x688af2c434aa5f7a, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a,
  0xb7b15545a5b44e31, 0x37296a5f9b640863, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9f971077049e4afd,
};

// m64rfr2_swio10_noled_ee_hw        m640_swio10_noled_ee_hw
static const uint64_t ur_m644rfr2_swio10_noled_ee_hw[] = {
  0x137777768a341202, 0x6ae5a58f5369758a, 0x3da8bba4cf8ff893, 0x47914c1ae6ecadb5, 0xaa0b42f0a2291128,
  0x09f193baccdb16a0, 0x074dff958b3e35a6, 0xcace1cd56b471ee5, 0x8e47c1b3067ac723, 0xcd3ad08a1df15975,
  0x6909afa30b2c4522, 0x4273ab4bfee5c6b2, 0x6ba1d79d376d291c, 0x0908a1314622d8d5, 0x11fadc37b2d97317,
  0x955a8044d57f546c, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55, 0x552fbd7d221cd672, 0x75cf6ab44579621a,
  0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xd902455bd8aaa2d2, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000016fc6001453,
};

/*
 * m644rfr2_swio10_noled_ee_ce_u4_hw m64rfr2_swio10_noled_ee_ce_hw     m64rfr2_swio10_noled_ee_ce_u4_hw
 * m640_swio10_noled_ee_ce_hw        m640_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio10_noled_ee_ce_hw[] = {
  0x3dddddda28d01107, 0x772d2c30e091ac35, 0xbb93b74d8c2a00db, 0xd8f622a6fa7791a0, 0x1ddc123e309e25a9,
  0xf193ba9c8abf77ed, 0xfcff2b167daee609, 0xff2317ea8e574a0b, 0x222eb3879e790e76, 0x7547ea3e12fc4361,
  0x5841ef993170f743, 0x3402391e56e9653b, 0x298ae43c723e0d98, 0x5962291669d68450, 0xbb77ee1d484d7d18,
  0x79d376d291c4273a, 0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0x19cc5076bcb955a9,
  0x7d59cea2a551aee7, 0xd7d221cd672bb54b, 0xab44579621a552fb, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a,
  0x1dbd8aaa2d2da271, 0x31b94b52fcdb2043, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xa021176a8a792bf7,
};

/*
 * m644rfr2_swio10_lednop_pr         m64rfr2_swio10_lednop             m64rfr2_swio10_lednop_pr
 * m640_swio10_lednop                m640_swio10_lednop_pr
 */
static const uint64_t ur_m644rfr2_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x9101e0cc2444d327, 0x085e6c311e3ef26e,
  0x63e609f193bb63d9, 0x4d4a0edfff2e3f3e, 0x0310f1c8f109df2c, 0xbdd3694b5e921c49, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0xce6283b5e5caad4a, 0xeace75152a8d7738, 0x0e6b8101395daa5b, 0xbcb10d2ad5d2fe91,
  0x05ce80f2e7b55a22, 0xd2b08985ea5af29c, 0xde33a2045fb8a042, 0x70dca5a97e6da718, 0xab31e40d1fc68b1e,
  0x1964b867a615c9fb, 0x866587494b670e27, 0x90008f254f257ee6, 0x000000000000000f,
};

// m64rfr2_swio10_lednop_pr_u4       m640_swio10_lednop_pr_u4
static const uint64_t ur_m644rfr2_swio10_lednop_pr_u4[] = {
  0x526eeeeed121ad4e, 0x6b5cb4b10ad00563, 0xfa0bf770f8da4886, 0x111e4238c99b11e6, 0x233cc6a197bddd49,
  0x827c64ee989b82b4, 0x410f7fe186cfc069, 0x7a391e713be58459, 0x318f3d6921c49032, 0xe44707ce62c05965,
  0x01ffb30475e8f9db, 0x5681e59edef7d02a, 0xce6283b5e5caad60, 0xeace75152a8d7738, 0x0e6b8101395daa5b,
  0xbcb10d2ad5d2fe91, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xa97e6d976455bd8a,
  0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x66dc12792bf73433, 0x00000000000f9375,
};

/*
 * m644rfr2_swio10_lednop_pr_ee_u4   m64rfr2_swio10_lednop_pr_ee       m64rfr2_swio10_lednop_pr_ee_u4
 * m640_swio10_lednop_pr_ee          m640_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio10_lednop_pr_ee[] = {
  0x426eeeeed121b032, 0x6d5cb4b1ea6f5eb1, 0x27a47f746db11f12, 0x08f229835da59bbb, 0x72b2210208452225,
  0x4f8c9dd6c473ba72, 0x6397f861b3fd5f30, 0xaca1cd56b471ee50, 0xe47c1b3067ac723c, 0xd3ad08a1df15b058,
  0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad, 0x7eb70decb65cc5c2,
  0xad402b86b3d51b04, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d, 0xfe910e6b8101395d, 0x5a22bcb10d2ad5d2,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xdca5a97e6d976455, 0x99bf83bb8d164498,
  0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x75fbe09c12792bf7, 0x0000000000000002,
};

/*
 * m644rfr2_swio10_lednop_pr_ce_u4   m64rfr2_swio10_lednop_pr_ce       m64rfr2_swio10_lednop_pr_ce_u4
 * m640_swio10_lednop_pr_ce          m640_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio10_lednop_pr_ce[] = {
  0x83eeeeeed12198e2, 0x1cb9696041b17d63, 0xc7685eef1fa13d7a, 0x1fc48da24536168c, 0xc6759a59fbc77bbc,
  0xcc13e32774a70f65, 0x4a0e56ff0c367f4d, 0x1e6e772ba317ebd4, 0x7e21b0911759c3cf, 0x2e1d9f3acff51f09,
  0xc149ee59d5f59326, 0x052438920782e391, 0x44707ce62c050f68, 0x1ffb33c75e8f9dbe, 0x5a0796b76f7d02a0,
  0x398a0ed7972ab581, 0xab39d454aa35dce3, 0x39ae0404e576a96f, 0xf2c434ab574bfa44, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x4bf36cbb0c76f62a, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xe4e093c95fb9a199,
  0x00000000001bae60,
};

/*
 * m644rfr2_swio10_lednop_pr_ee_ce_u4 m64rfr2_swio10_lednop_pr_ee_ce    m64rfr2_swio10_lednop_pr_ee_ce_u4
 * m640_swio10_lednop_pr_ee_ce       m640_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio10_lednop_pr_ee_ce[] = {
  0xa9eeeeeed1219f68, 0xdbb9696187119d61, 0x23b02f7419ad1006, 0x9d8f622a6c48f4eb, 0x8c8c4efa6309e25a,
  0xe32774abd13ec305, 0xdfff0c367c524c13, 0x6fc62fd51cae941a, 0x445d670f3c79b9dd, 0xdbbfd47c25f886c2,
  0xc20f7cc98b87185d, 0xa011c8f2b2eb29da, 0x4c5652e391f06cc1, 0xcb1148b34eb42281, 0xdbbe70ea426be8c2,
  0x9d37609e8d7c39d5, 0x9118dfb1aaf1b1d7, 0xdecb65cc5c24228c, 0xdc359ea8d8226470, 0x73141daf2e556a59,
  0x5673a8a9546bb9c6, 0x735c0809caed52df, 0xe5886956ae97f488, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x97e6d97618edec55, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x41c12792bf734332, 0x000000000009f86e,
};

// m64rfr2_swio10_lednop_ee_hw       m640_swio10_lednop_ee_hw
static const uint64_t ur_m644rfr2_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a18e2, 0xb572d2c7a9bd7ac5, 0x9e91fdd1b6c47c49, 0x23c8a60d76966eec, 0x5ac8840821148894,
  0x827c64ee94e1eda7, 0x831cbfcac59feaf9, 0xe5650e6ab5a38f72, 0xc723e0d9833d6391, 0x669d68450ef8ad82,
  0x3484d7d185962291, 0x7c39d5a5fe72e359, 0x6ba1d79d37609e8d, 0x121146488c6fd8d5, 0x23f5b86f65b2e62e,
  0x556a015c359ea8d8, 0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x97f488735c0809ca, 0xaad115e5886956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36cbb22, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xb7c6793a29e4afdc,
  0x0000000000000000,
};

/*
 * m644rfr2_swio10_lednop_ee_ce_u4_hw m64rfr2_swio10_lednop_ee_ce_hw    m64rfr2_swio10_lednop_ee_ce_u4_hw
 * m640_swio10_lednop_ee_ce_hw       m640_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio10_lednop_ee_ce_hw[] = {
  0x9eeeeeed14687f3e, 0xbb9696187119d61a, 0x3b02f7419ad1006d, 0xd8f622a6c48f4eb2, 0xc8c4efa6309e25a9,
  0xf193bb1aa8bf5d6c, 0x6fff958b3e292609, 0xb7e317ea8e574a0d, 0x445d670f3cf21cee, 0xdbbfd47c25f886c2,
  0x6107be64c5c38000, 0xd008e479597594ed, 0xa62b2971c8f83660, 0x6588a459a75a1140, 0xeddf38752135f461,
  0xce9bb04f46be1cea, 0x488c6fd8d578d8eb, 0x6f65b2e62e121146, 0xee1acf546c113238, 0x398a0ed7972ab52c,
  0xab39d454aa35dce3, 0x39ae0404e576a96f, 0xf2c434ab574bfa44, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0,
  0xa8b490538c6f19d1, 0x4bf36cbb0c76f62a, 0x854e7ea138c6e52d, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x2a29e4afdcd0ccb0, 0x0000000002808281,
};

/*
 * m644rfr2_swio10_dual_pr           m644rfr2_swio10_dual_pr_u4        m64rfr2_swio10_dual
 * m64rfr2_swio10_dual_pr            m64rfr2_swio10_dual_pr_u4         m640_swio10_dual
 * m640_swio10_dual_pr               m640_swio10_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_swio10_dual[] = {
  0x06eeeeed121a559b, 0x7edb87cbdabef5e1, 0xa72dd583f4cdd833, 0x0a8211f3b402ac4e, 0xcda4cfb453b7420a,
  0x2f4ee4e17c7fcfbc, 0x460aa4737e609f19, 0xa18369181bbafb26, 0x9404a774f8971030, 0x61018e152a6fddf9,
  0x1240f6fcd1c8e63f, 0x7c3f3f7c11429224, 0xe62013eb87c28862, 0x5a11922195672f4c, 0xfa039e135ad15086,
  0x161bcaf212db975f, 0x0f928352bfc90a4c, 0x20622c723c8877cb, 0x541e6fdc65524389, 0x33b4e28def398b01,
  0x3ea807fecc11d780, 0x2dfe181e59edad78, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x76a96fab39d454aa,
  0x4bfa4439ae0404e5, 0xd5688af2c434ab57, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0x637296a5f9b65d91, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x149340567049e4af,
};

// m64rfr2_swio10_dual_pr_ee         m640_swio10_dual_pr_ee
static const uint64_t ur_m644rfr2_swio10_dual_pr_ee[] = {
  0x75bbbbba1eb432db, 0x7edb87fc7a6bfaf3, 0x421dd3ac0291ddc1, 0x74bb7ac806e7162d, 0xeb8957f1f3f66e83,
  0xe47045583f0ceb66, 0x48b24e609f192626, 0xd2303775f64c8c15, 0x4ee9f12e20614306, 0x70a1f9ba7ff32809,
  0x674d1c8e70761d5e, 0xf7c114292241240f, 0x3eb87c288627c3f3, 0x886559cbd3386011, 0x1307b8a8432d05f6,
  0xe425b74dbffa039e, 0x0fff9214982c3795, 0xefb9aad68ca2ca0d, 0x8f83660cca8e4795, 0x75a1143be2bb751c,
  0x135f4616588a459a, 0x9d5a5ca1ae2a5cd2, 0x1d7a89768f68f4a3, 0x8a1004698d8d56ba, 0x5b86f65f4b317090,
  0x2805195aca8d823f, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x76a96fab39d454aa, 0x4bfa4439ae0404e5,
  0xd5688af2c434ab57, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x237296a5f9b65d91,
  0xb337f07771a2cf78, 0xcc4fe50c2a73f53a, 0xff04d1f6c3dce32f, 0x970cf4c2b93f1cf7, 0xb0e9296ce1c4e32c,
  0x047049e4afdcd0cc, 0x0000000000002b22,
};

// m64rfr2_swio10_dual_pr_ee_u4      m640_swio10_dual_pr_ee_u4
static const uint64_t ur_m644rfr2_swio10_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0xb7edb87fc7a8ffaf, 0xed71dd6c4ec848cb, 0x323e44dd56875c21, 0xae89fd77c7cfdd89,
  0xf7278233af70a749, 0xaa41d7d304f8c923, 0x369181bbafb26460, 0x4a774f8971030a18, 0x91c0e0cdd5ff9940,
  0x1cae9a391f676c23, 0xe7ef822852448248, 0xe27d70f8510c4f87, 0xed10cab397a671a0, 0x9e13489150865a11,
  0x95e425b719bffa03, 0x04e0ff9214982c37, 0xe56a7a6ab5a37f25, 0x8e47c1b30613e391, 0xcd3ad08a1df15e04,
  0x6909afa30b2c4522, 0xa1cead2f21d7082e, 0xba1d7b589dbba460, 0x21144dc8f22d8d56, 0x5f5b86f65c7c62e1,
  0xf8abe77715255c46, 0x673141daf2e556b3, 0xf5673a8a9546bb9c, 0x8735c0809caed52d, 0x5e5886956ae97f48,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xd4bf36cbb22adec5, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xc62e093c95fb9a19, 0x0000000000000564,
};

/*
 * m644rfr2_swio10_dual_pr_ce_u4     m64rfr2_swio10_dual_pr_ce         m64rfr2_swio10_dual_pr_ce_u4
 * m640_swio10_dual_pr_ce            m640_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio10_dual_pr_ce[] = {
  0x4edddddda243359b, 0x257edb87c656bd7c, 0x99a16dd69c6eba77, 0xc8efe9c0b1d7cfb4, 0x35d500d57c6add89,
  0x93516e43c330a61f, 0xc8c1548f5aa609f1, 0x14306d2303775f64, 0x328094ee9f12e206, 0xec34d9c22b4c35bf,
  0x82481a9e9a391f7d, 0x4f87e7ef82285244, 0x38ce427d70f8510c, 0x2d0dbe886559cbd3, 0xfd01cf098f58a843,
  0x161bcaf212dbf4ff, 0x0f728315bfc90a4c, 0xe78f373b8e518bf5, 0x84bf10d8488bace1, 0x93170f494ce5fa8f,
  0x23f513dcb3abd4b9, 0xbbaa4871240ee1c7, 0xa7146f79cc580b52, 0x403ff6678ebc019d, 0xfc303cb5b96bc1f5,
  0x6b3f8abe7771525b, 0xb9c673141daf2e55, 0x52df5673a8a9546b, 0xf488735c0809caed, 0xd115e5886956ae97,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xca5a97e6d97618ed, 0x9bf83bb8d164498d,
  0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0x92042dc12792bf73, 0x0000000000000006,
};

// m64rfr2_swio10_dual_pr_ee_ce      m640_swio10_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_swio10_dual_pr_ee_ce[] = {
  0x9d6ddddddd436f02, 0x53f6dc3e5eed07d7, 0xecda6e9624e4f58a, 0xf6667b281f210d57, 0xc69e4d705e694eb0,
  0x9fc3e6bde4c59b19, 0x08f5cc13e3251ddc, 0x8c0ddd7d93230552, 0xba7c4b881850c1b4, 0x07f93620fcca0253,
  0x7e68e470d1b0d347, 0x7c114292241240ec, 0xeb87c288627c3f3f, 0x0cab397a67061713, 0x674b150865a050d1,
  0x84b6ffafff4073c2, 0xcff242930586f2bc, 0xfe58fea8d4f4a0bf, 0xd4939bff9e3cdced, 0x4a76b02cdd339d61,
  0x1b307dd4723caf2b, 0x08a05315cae8e47c, 0xfa30b2c4522cd3ad, 0x8e7576e2863a909a, 0x6c75ea25da3da3d2,
  0x845080234c6c6abc, 0x991c37b2fa598b84, 0xa4a59c656b2a3608, 0x5caad67f157ceee2, 0xa8d7738ce6283b5e,
  0x95daa5beace75152, 0x5d2fe910e6b81013, 0x7b55a22bcb10d2ad, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xce1b94b52fcdb2ec, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0x34332c3a4a5b3871,
  0x1304c6dc12792bf7,
};

// m64rfr2_swio10_dual_pr_ee_ce_u4   m640_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_swio10_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fb202, 0xb6e1f26799bf5e5a, 0x3dd75bcfb57c3d9f, 0xaebb9b41f9b37b79, 0x60f9689765a82180,
  0x48c7bb383955efaf, 0x304f8c929d72feb7, 0xebec99182a9163d7, 0x5c40c2860da4606e, 0x35bfccac049dd3e2,
  0x1e006c0521c3f5e6, 0xa48904903b5b9a39, 0xa2189f0fcfdf0450, 0x5e99cb9284fae1f0, 0x4219686ce4432ace,
  0x547fd01cf09b2b45, 0x44c161bcaf212dba, 0x51c72941fd7ffc33, 0xcf3e019dfebc62fd, 0x097e21b0911759c3,
  0x62e1d9ebf5abf51f, 0xaf2b4a76b084dd32, 0xe47c1b307dd4723c, 0xd3ad08a05315cae8, 0x909afa30b2c4522c,
  0xa3d28e7576e2863a, 0x6abc6c75ea25da3d, 0x8b84845080234c6c, 0x3608991c37b2fa59, 0xeee2a4a59c656b2a,
  0x3b5e5caad67f157c, 0x5152a8d7738ce628, 0x101395daa5beace7, 0xd2ad5d2fe910e6b8, 0x6bae7b55a22bcb10,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb2ec31dbd8aaa2d2, 0xa2c8931b94b52fcd, 0x9fa9d599bf8347f1,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000040072fc27f86,
};

// m64rfr2_swio10_dual_ee_hw         m640_swio10_dual_ee_hw
static const uint64_t ur_m644rfr2_swio10_dual_ee_hw[] = {
  0xeb7777768a34359b, 0xfdb70ff8f4d7f5e6, 0x843ba7580523bb82, 0xe976f5900dce2c5a, 0xd712afe3e7ecdd06,
  0xdc8786614d6baecd, 0xa91649cc13e324c4, 0xda4606eebec99182, 0x19dd3e25c40c2860, 0xce143f374ffe6574,
  0xece9a391ce0ec3ab, 0x7ef8228524482481, 0x27d70f8510c4f87e, 0xd10cab397a670c02, 0xc260f7150865a0be,
  0xbc84b6e9b7ff4073, 0xa1fffe54930586f2, 0xbdf7355ad1945941, 0x91f06cc19951c8f2, 0x4eb422877c576ea3,
  0x426be8c2cb1148b3, 0x73ab4b9435c54b9a, 0x43af512ed1ed1e94, 0x1142008d31b1aad7, 0xeb70decbe9662e12,
  0x2500a32b5951b047, 0xe556b3f8abe77715, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xe97f488735c0809c,
  0xdaad115e5886956a, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8c6e52d4bf36cbb2,
  0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c,
  0x576a45daa29e4afd,
};

/*
 * m644rfr2_swio10_dual_ee_ce_u4_hw  m64rfr2_swio10_dual_ee_ce_hw      m64rfr2_swio10_dual_ee_ce_u4_hw
 * m640_swio10_dual_ee_ce_hw         m640_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio10_dual_ee_ce_hw[] = {
  0xadddddda28d19231, 0xedb87c99e66fd796, 0x4f75d6f3ed5f0f67, 0x2baee6d07e6cdede, 0xd83e5a25d96a0860,
  0xf0cd3addad557beb, 0xeb9827c6494eb97f, 0x3775f64c8c1548b1, 0xf12e20614306d230, 0x798d6ff32ba0cee9,
  0x8e47801b014870fd, 0x14292241240ed6e6, 0x7c288627c3f3f7c1, 0xb397a672e4a13eb8, 0xd150865a1b3910ca,
  0x6e951ff4073c26ca, 0xe54930586f2bc84b, 0x2fd51c72941fd7ff, 0xce1e79e439dfebc6, 0xa8f84bf10d8488ba,
  0xba64c5c3f9cba9df, 0xe4795e5694ed6109, 0x95d1c8f83660fba8, 0xa459a75a1140a62b, 0x0c752135f4616588,
  0xb47b47a51ceaedc5, 0x98d8d578d8ebd44b, 0xf4b3170908a10046, 0xd6546c1132386f65, 0x2af9ddc5494b38ca,
  0xcc5076bcb955acfe, 0x59cea2a551aee719, 0xcd7020272bb54b7d, 0x9621a55aba5fd221, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5f9b65d863b7b155, 0x2a73f509c637296a, 0x7e627ff787bde50c,
  0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x514f257ee6866587, 0x000000003aea1dc8,
};

/*
 * m644rfr2_swio11_noled_pr          m644rfr2_swio12_noled             m644rfr2_swio12_noled_pr
 * m64rfr2_swio11_noled              m64rfr2_swio11_noled_pr           m64rfr2_swio12_noled
 * m64rfr2_swio12_noled_pr           m640_swio11_noled                 m640_swio11_noled_pr
 * m640_swio12_noled                 m640_swio12_noled_pr
 */
static const uint64_t ur_m644rfr2_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xe97752267ba0c90e, 0x783309a93783eadb, 0x641d78d7d9fbad82,
  0x827c64ee82f41331, 0x41eebfcb8fcfc7b9, 0xfe391d313be5ba09, 0x32003e5243892075, 0xd223278e62c05bdd,
  0x7dc72c608ebc5ced, 0x141daf2e556a5608, 0x73a8a9546bb9c673, 0x87359caed52df576, 0x579621a56c6f5f48,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xbc674408f2f14085, 0xe1b94b52fcdb4e31, 0x5663c81a3f8d163c,
  0x32c970cf4c2b93f7, 0x0ccb0e9296ce1c4e, 0x40921e4a9e4afdcd, 0x000000000000003e,
};

/*
 * m644rfr2_swio12_noled_pr_u4       m64rfr2_swio11_noled_pr_u4        m64rfr2_swio12_noled_pr_u4
 * m640_swio11_noled_pr_u4           m640_swio12_noled_pr_u4
 */
static const uint64_t ur_m644rfr2_swio11_noled_pr_u4[] = {
  0xa226eeeed121bf82, 0xb9696215b6dd627b, 0x98eea1c489910cd6, 0x1e42e27d2f1f327b, 0xba87003c9bb3dd11,
  0x7c64eeae31238541, 0xdbffe186cf98f982, 0x391c143be5b7b941, 0x7b402921c490326a, 0xa3114e62c0596530,
  0xffd9823af47cec98, 0xc0f2cf6ed6279500, 0x3141daf2e556a844, 0x673a8a9546bb9c67, 0x887359caed52df57,
  0x4579621a56c6f5f4, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x94b52fcdb610c55b,
  0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f,
  0x866587494b670e27, 0x34d3e3824f257ee6, 0x00000000000000f9,
};

/*
 * m644rfr2_swio11_noled_pr_ee_u4    m644rfr2_swio12_noled_pr_ee       m644rfr2_swio12_noled_pr_ee_u4
 * m64rfr2_swio11_noled_pr_ee        m64rfr2_swio11_noled_pr_ee_u4     m64rfr2_swio12_noled_pr_ee
 * m64rfr2_swio12_noled_pr_ee_u4     m640_swio11_noled_pr_ee           m640_swio11_noled_pr_ee_u4
 * m640_swio12_noled_pr_ee           m640_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio11_noled_pr_ee[] = {
  0x6f26eeeed121b705, 0xae5a58f531a7582f, 0xdb23bbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x8c9ddb0db2b92a4c, 0x3bfc30d9f383304f, 0x5d66ab5a331f283b, 0x3e0d983ea2391e56, 0xd68450ef8aca5c72,
  0x4d7d185962291669, 0x9d5a5dc9ae359348, 0x0ebce9bb1ea8fe43, 0x45110a3deec6ab5d, 0xd6e1bd96cb98b848,
  0x6a01741cf2a3608f, 0xb9c673141daf2e55, 0x2df57673a8a9546b, 0x6f5f4887359caed5, 0xf6ab44579621a56c,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0x8931b94b52fcdb61, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x0004ebbe49b824f2,
};

/*
 * m644rfr2_swio11_noled_pr_ce_u4    m644rfr2_swio12_noled_pr_ce       m644rfr2_swio12_noled_pr_ce_u4
 * m64rfr2_swio11_noled_pr_ce        m64rfr2_swio11_noled_pr_ce_u4     m64rfr2_swio12_noled_pr_ce
 * m64rfr2_swio12_noled_pr_ce_u4     m640_swio11_noled_pr_ce           m640_swio11_noled_pr_ce_u4
 * m640_swio12_noled_pr_ce           m640_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_noled_pr_ce[] = {
  0xf89ddddda2432493, 0xb96960418add60c9, 0x5a5ee8d7793d7a1c, 0x891b4d9e8261550f, 0xed1fbc5f63f74c9f,
  0x27c64ee86e41447c, 0x153dfe186cfefb98, 0xb9de048c5fa84f94, 0x86c2445d670f3c79, 0x798667cfd47c25f8,
  0x27b96757d64c98b8, 0x90e2481acf8e475f, 0x88a731602edf97d4, 0xeccf1d7a3e764c51, 0x1e5add6b13ca807f,
  0x283b5e5caad50898, 0xe75152a8d7738ce6, 0x0e6b395daa5beaec, 0xaf2c434ad8debe91, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x2d4bf36d84263b7b, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x7eb6e093c95fb9a1,
  0x0000000000001bae,
};

/*
 * m644rfr2_swio11_noled_pr_ee_ce_u4 m644rfr2_swio12_noled_pr_ee_ce    m644rfr2_swio12_noled_pr_ee_ce_u4
 * m64rfr2_swio11_noled_pr_ee_ce     m64rfr2_swio11_noled_pr_ee_ce_u4  m64rfr2_swio12_noled_pr_ee_ce
 * m64rfr2_swio12_noled_pr_ee_ce_u4  m640_swio11_noled_pr_ee_ce        m640_swio11_noled_pr_ee_ce_u4
 * m640_swio12_noled_pr_ee_ce        m640_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_noled_pr_ee_ce[] = {
  0xd8fddddda243304a, 0xb969618720dd631d, 0xa64774ad921006db, 0x63d88e152ef92841, 0x9c8ccd28c2789c77,
  0x2776c5d47deb2018, 0xff0c367e004c13e3, 0xc62fd51efb941b5b, 0x5d670f3c79b9ddad, 0x7fd47c25f886c244,
  0x0f7cc98b87575c61, 0x51c8f2b90f29dac2, 0x5670e391f06cc1e9, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x3141daf2e556a59f,
  0x673a8a9546bb9c67, 0x887359caed52df57, 0x4579621a56c6f5f4, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x296a5f9b6c2131db, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xc98be7049e4afdcd, 0x000000000000004f,
};

/*
 * m644rfr2_swio12_noled_ee_hw       m64rfr2_swio11_noled_ee_hw        m64rfr2_swio12_noled_ee_hw
 * m640_swio11_noled_ee_hw           m640_swio12_noled_ee_hw
 */
static const uint64_t ur_m644rfr2_swio11_noled_ee_hw[] = {
  0x793777768a342493, 0x72d2c7a98d3ac17b, 0xd91dddb6ebfc49b5, 0xc8a671f3f60cf1de, 0x40f5c90229110bdb,
  0xf8c9dd0dc82b4ed0, 0xb3bfcac59f383304, 0x65d66ab5a331f283, 0x23e0d983ea2391e5, 0x9d68450ef8aca5c7,
  0x84d7d18596229166, 0x39d5a5dc9ae35934, 0xd0ebce9bb1ea8fe4, 0x845110a3deec6ab5, 0xfd6e1bd96cb98b84,
  0x56a01741cf2a3608, 0xbb9c673141daf2e5, 0x52df57673a8a9546, 0xc6f5f4887359caed, 0xcf6ab44579621a56,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0x84e31b94b52fcdb6, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0002dfe176a8a792,
};

/*
 * m644rfr2_swio11_noled_ee_ce_u4_hw m644rfr2_swio12_noled_ee_ce_hw    m644rfr2_swio12_noled_ee_ce_u4_hw
 * m64rfr2_swio11_noled_ee_ce_hw     m64rfr2_swio11_noled_ee_ce_u4_hw  m64rfr2_swio12_noled_ee_ce_hw
 * m64rfr2_swio12_noled_ee_ce_u4_hw  m640_swio11_noled_ee_ce_hw        m640_swio11_noled_ee_ce_u4_hw
 * m640_swio12_noled_ee_ce_hw        m640_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio11_noled_ee_ce_hw[] = {
  0xc7eeeeed146807e1, 0xcb4b0c3906eb18ee, 0x323ba56c908036dd, 0x1ec470a977c9420d, 0xe466694613c4e3bb,
  0x3277421efde8ebc4, 0xbff2b167e004c13e, 0xdc62fd51efb941b5, 0x8bace1e79e439dda, 0x01fa8f84bf10d848,
  0x107be64c5c3f7580, 0x4a8e4795c8794ed6, 0x62b3871c8f83660f, 0x588a459a75a1140a, 0xdce4c752135f4616,
  0x74dd8f547f21ceae, 0x0a3deec6abc6c75e, 0xbd96cb98b8484511, 0xfa0e7951b044c8e1, 0x398a0ed7972ab52c,
  0xbb39d454aa35dce3, 0xa4439ace576a96fa, 0xa22bcb10d2b637af, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0xb94b52fcdb61098e, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x11392a8a792bf734, 0x0000000000000050,
};

/*
 * m644rfr2_swio12_lednop            m64rfr2_swio11_lednop             m64rfr2_swio12_lednop
 * m640_swio11_lednop                m640_swio12_lednop
 */
static const uint64_t ur_m644rfr2_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xeee5a5885619586c, 0xda87bbe17a0a0c90, 0xe0cc26a475f5a789, 0xc8401b6d22eeb609,
  0xcc13e3277417a09a, 0x4a0c89fe5c7e7c3d, 0xaff1c8ebe1df2dd0, 0xa6dbf2fa921c4903, 0x5ae8ee19cc580b7b,
  0xb6e39630475e2e76, 0xc5076bcb955a9596, 0x9cea2a551aee719c, 0x7020272bb54b7d5d, 0x10d2b97a5fd221cd,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000549f59e4a9e,
};

/*
 * m644rfr2_swio11_lednop_pr_u4      m644rfr2_swio12_lednop_pr         m644rfr2_swio12_lednop_pr_u4
 * m64rfr2_swio11_lednop_pr          m64rfr2_swio11_lednop_pr_u4       m64rfr2_swio12_lednop_pr
 * m64rfr2_swio12_lednop_pr_u4       m640_swio11_lednop_pr             m640_swio11_lednop_pr_u4
 * m640_swio12_lednop_pr             m640_swio12_lednop_pr_u4
 */
static const uint64_t ur_m644rfr2_swio11_lednop_pr[] = {
  0x7444ddddda243762, 0xd72d2c42b171ac4f, 0xd8fddf5fe172219a, 0x4790b89db7e9522e, 0xb85fe3fc5eecf744,
  0x7c64eed334668223, 0x8f7fe186cfafb982, 0x391d003be5b7b941, 0xfcea2921c490326a, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x6283b5e5caad65da, 0xce75152a8d7738ce, 0xb8101395daa5beae,
  0x88695cbd2fe910e6, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x000000003e4d2b36,
};

/*
 * m644rfr2_swio11_lednop_pr_ee_u4   m644rfr2_swio12_lednop_pr_ee      m644rfr2_swio12_lednop_pr_ee_u4
 * m64rfr2_swio11_lednop_pr_ee       m64rfr2_swio11_lednop_pr_ee_u4    m64rfr2_swio12_lednop_pr_ee
 * m64rfr2_swio12_lednop_pr_ee_u4    m640_swio11_lednop_pr_ee          m640_swio11_lednop_pr_ee_u4
 * m640_swio12_lednop_pr_ee          m640_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio11_lednop_pr_ee[] = {
  0xb79377776890c044, 0x572d2c7a9d05ac17, 0xf4d2eec01e97c49b, 0xde45338f8d33f6a6, 0xb45a8ac81148885e,
  0xc64eea0a4e52ec21, 0xadfe186cfa5a9827, 0x60b355ad198f9411, 0x1f06cc1f511c8f2b, 0xeb422877c56a7a39,
  0x26be8c2cb1148b34, 0xcead2ee9571ac9a4, 0x875e74dda4447371, 0x2285f11c656355ae, 0xeb70decb65cc5c24,
  0xb500ad627951b047, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0xa4439ae0404e576a, 0x44579621a572f4bf,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x94b52fcdb6318ab7, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x5c02b3824f257ee6, 0x0000000000000027,
};

/*
 * m644rfr2_swio11_lednop_pr_ce_u4   m644rfr2_swio12_lednop_pr_ce      m644rfr2_swio12_lednop_pr_ce_u4
 * m64rfr2_swio11_lednop_pr_ce       m64rfr2_swio11_lednop_pr_ce_u4    m64rfr2_swio12_lednop_pr_ce
 * m64rfr2_swio12_lednop_pr_ce_u4    m640_swio11_lednop_pr_ce          m640_swio11_lednop_pr_ce_u4
 * m640_swio12_lednop_pr_ce          m640_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_lednop_pr_ce[] = {
  0xfc4eeeeed121be4a, 0x5cb4b020c6eeb064, 0x5ebeebaf2f7ebd0e, 0x12369b3cada090bf, 0xbe1a70cde9ee993f,
  0x4f8c9dd29475be9a, 0x32bbfc30d9fd9d30, 0x73bdf718bf509f28, 0x0d8488bace1e78f3, 0xd9be951fa8f84bf1,
  0x9ee59d5f593262e1, 0x871240d67c723cbe, 0x6f9cc580b1ef4aa4, 0x6678ebd1f3b6488c, 0xe5add07fa45403ff,
  0x83b5e5caad65da81, 0x75152a8d7738ce62, 0x101395daa5beaece, 0x695cbd2fe910e6b8, 0xb5d73daad115e588,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xdb1898edec555169, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4,
  0x000000375dbe09c1,
};

/*
 * m644rfr2_swio11_lednop_pr_ee_ce_u4 m644rfr2_swio12_lednop_pr_ee_ce
 * m644rfr2_swio12_lednop_pr_ee_ce_u4 m64rfr2_swio11_lednop_pr_ee_ce
 * m64rfr2_swio11_lednop_pr_ee_ce_u4 m64rfr2_swio12_lednop_pr_ee_ce    m64rfr2_swio12_lednop_pr_ee_ce_u4
 * m640_swio11_lednop_pr_ee_ce       m640_swio11_lednop_pr_ee_ce_u4    m640_swio12_lednop_pr_ee_ce
 * m640_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_lednop_pr_ee_ce[] = {
  0xd8fddddda2436812, 0xb969618711dd631d, 0xaccf7717a09006db, 0xc7b11c2a0dcbb68b, 0x2727189184f138ee,
  0x93bbbf6160149af6, 0xff0c367f1ba609f1, 0xc62fd51efb9416bb, 0x5d670f3c79b9db5d, 0x2fd47c25f886c244,
  0x83df3262e1fa9cb8, 0x54723caca5ca76b0, 0x159438e47c1b307a, 0xc4522cd3ad08a053, 0xe74a3a909afa30b2,
  0xa6ed22239b8e7576, 0x11c656355e363af3, 0xecb65cc5c242285f, 0x6b13ca8d8226470d, 0xcc5076bcb955a967,
  0xd9cea2a551aee719, 0xd7020272bb54b7d5, 0xb10d2b97a5fd221c, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x3824f257ee686658, 0x00000000013f3ecf,
};

/*
 * m644rfr2_swio12_lednop_ee_hw      m64rfr2_swio11_lednop_ee_hw       m64rfr2_swio12_lednop_ee_hw
 * m640_swio11_lednop_ee_hw          m640_swio12_lednop_ee_hw
 */
static const uint64_t ur_m644rfr2_swio11_lednop_ee_hw[] = {
  0xbc9bbbbb451a3e4a, 0xb96963d4e82d60bd, 0xa6977600f4be24da, 0xf2299c7c699fb537, 0xa2d456408a4442f6,
  0x7c64ee94a3adaaf9, 0x1adfe562cfa5a982, 0xb60b355ad198f941, 0x91f06cc1f511c8f2, 0x4eb422877c56a7a3,
  0x426be8c2cb1148b3, 0x1cead2ee9571ac9a, 0xe875e74dda444737, 0x42285f11c656355a, 0x7eb70decb65cc5c2,
  0xab500ad627951b04, 0x5dce3398a0ed7972, 0xa96fabb39d454aa3, 0xfa4439ae0404e576, 0xb44579621a572f4b,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb94b52fcdb6318ab, 0xef2861539fa84e31,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xfcd35a8a792bf734,
  0x0000000000000016,
};

/*
 * m644rfr2_swio11_lednop_ee_ce_u4_hw m644rfr2_swio12_lednop_ee_ce_hw
 * m644rfr2_swio12_lednop_ee_ce_u4_hw m64rfr2_swio11_lednop_ee_ce_hw
 * m64rfr2_swio11_lednop_ee_ce_u4_hw m64rfr2_swio12_lednop_ee_ce_hw    m64rfr2_swio12_lednop_ee_ce_u4_hw
 * m640_swio11_lednop_ee_ce_hw       m640_swio11_lednop_ee_ce_u4_hw    m640_swio12_lednop_ee_ce_hw
 * m640_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio11_lednop_ee_ce_hw[] = {
  0xc7eeeeed14683d5b, 0xcb4b0c388eeb18ee, 0x667bb8bd048036dd, 0x3d88e1506e5db45d, 0x3938c48c2789c776,
  0x8c9dd67ceb7b5ab1, 0xdff958b3f8dd304f, 0xee317ea8f7dca0b5, 0x45d670f3cf21ceda, 0x07fd47c25f886c24,
  0x20f7cc98b87d5079, 0x951c8f2b29729dac, 0xc5650e391f06cc1e, 0xb1148b34eb422814, 0xb9d28ea426be8c2c,
  0xe9bb4888e6e39d5d, 0xc471958d578d8ebc, 0x7b2d973170908a17, 0xdac4f2a3608991c3, 0x73141daf2e556a59,
  0x7673a8a9546bb9c6, 0x35c0809caed52df5, 0x2c434ae5e97f4887, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0xbf36d8c4c76f62aa, 0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x0000000014053aa4,
};

/*
 * m644rfr2_swio11_dual_pr           m644rfr2_swio11_dual_pr_u4        m644rfr2_swio12_dual
 * m644rfr2_swio12_dual_pr           m644rfr2_swio12_dual_pr_u4        m64rfr2_swio11_dual
 * m64rfr2_swio11_dual_pr            m64rfr2_swio11_dual_pr_u4         m64rfr2_swio12_dual
 * m64rfr2_swio12_dual_pr            m64rfr2_swio12_dual_pr_u4         m640_swio11_dual
 * m640_swio11_dual_pr               m640_swio11_dual_pr_u4            m640_swio12_dual
 * m640_swio12_dual_pr               m640_swio12_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_swio11_dual[] = {
  0x41777776890d7f41, 0x6dc3e5ee717afa8b, 0x1eef4e3126ec19bf, 0x410d28f66c502f42, 0x9ced9452b76a2d05,
  0xa772f7199b2affab, 0x05520c03304f8c97, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x80c70a9537eefcca,
  0x207b7e68e4731fb0, 0x1f9fbe08a1491209, 0x6f89f5c3e144313e, 0x11922195672f4ce5, 0x039e135ad150865a,
  0x1bcaf212db94bffa, 0xf282517fc90a4c16, 0xf7b8e47ee8ef965a, 0x799c987ba4871240, 0xc80234c4e62c0550,
  0xa01ffb30475e00ce, 0xe7503cb3db7bc6fa, 0xb59fc55f3bb8a92b, 0xdce3398a0ed7972a, 0x96fabb39d454aa35,
  0xa4439ae0404e576a, 0x44579621a572f4bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x94b52fcdb6318ab7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0x4d6b53824f257ee6, 0x0000000000000052,
};

/*
 * m644rfr2_swio12_dual_pr_ee        m64rfr2_swio11_dual_pr_ee         m64rfr2_swio12_dual_pr_ee
 * m640_swio11_dual_pr_ee            m640_swio12_dual_pr_ee
 */
static const uint64_t ur_m644rfr2_swio11_dual_pr_ee[] = {
  0x1bb777743d686f97, 0xb6e1ff1fddfaf29c, 0x6f755f362477705f, 0x5db4e44faafebbd2, 0xbf7ef8f9fb29c1ba,
  0xf04674338a75932b, 0xee3e609f192626e4, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xa1f9ba7ff328094e,
  0x4d1c8e70761d5e70, 0xc114292241240f67, 0xb87c288627c3f3f7, 0x6559cbd338a9113e, 0x07b8a8432d05f688,
  0x12dbe9affa039e13, 0xbfc90a4c161bcaf2, 0xea6ab5a3fdd28216, 0xc1b3061ee391e576, 0xd08a1df15e9b8e47,
  0xafa30b2c4522cd3a, 0xad2ec157152e6909, 0xbd44bb18f467a9ce, 0x1a523886c6ab5d0e, 0xc37b2fa598b84845,
  0x0591445546c11fad, 0xb59fc55f3bb8a928, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0xa4439ae0404e576a,
  0x44579621a572f4bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x94b52fcdb6318ab7,
  0xbf83bb8d167bc11b, 0x7f2861539fa9d599, 0x268fb61ee7197e62, 0x67a615c9f8e7bff8, 0x494b670e271964b8,
  0x824f257ee6866587, 0x0000000005647adb,
};

/*
 * m644rfr2_swio12_dual_pr_ee_u4     m64rfr2_swio11_dual_pr_ee_u4      m64rfr2_swio12_dual_pr_ee_u4
 * m640_swio11_dual_pr_ee_u4         m640_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio11_dual_pr_ee_u4[] = {
  0x664777776890cf68, 0xf6dc3fe3d00faf81, 0x77eea0a7ac2465db, 0xf9129d73a8bcb56d, 0x0b27df1f3f702cc8,
  0x9347d4ead05bb3bb, 0x222319827c6491fb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xe07066eaffcca025,
  0x574d1c8fb3b611c8, 0xf7c114292241240e, 0x3eb87c288627c3f3, 0x4432ace5e99c5241, 0x84d224542196847b,
  0xbc84b6fff3fe80e7, 0x93aff242930586f2, 0x5e049aad68e034a0, 0xc8f83660e448e479, 0xa75a1143be2bcad1,
  0x2135f4616588a459, 0x39d5a5ce1ae105cd, 0x0ebdac4edb7d1cbe, 0x4500a231f2c6ab5d, 0xd6e1bd971f18b848,
  0x55f3bb8a92ae322f, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0xae0404e576a96fab, 0x621a572f4bfa4439,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0x771a2c8931b94b52,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0x3824f257ee686658, 0x0000000000159176,
};

/*
 * m644rfr2_swio11_dual_pr_ce_u4     m644rfr2_swio12_dual_pr_ce        m644rfr2_swio12_dual_pr_ce_u4
 * m64rfr2_swio11_dual_pr_ce         m64rfr2_swio11_dual_pr_ce_u4      m64rfr2_swio12_dual_pr_ce
 * m64rfr2_swio12_dual_pr_ce_u4      m640_swio11_dual_pr_ce            m640_swio11_dual_pr_ce_u4
 * m640_swio12_dual_pr_ce            m640_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_dual_pr_ce[] = {
  0x91deeeeed121a5fb, 0x7edb87c65cef5f93, 0x4d7ddb0c53ba7725, 0x7f4d99d179579ced, 0x113d47d9f6ee4e47,
  0xa2dca591aea0f8ab, 0x82a917254c13e326, 0x60da4606eebec991, 0x0129dd3e25c40c28, 0x69b38456986b7e65,
  0x90353d34723efbd8, 0x0fcfdf0450a48904, 0x2a04fae1f0a2189f, 0x1b7d10cab397a673, 0x039e131eb150865a,
  0x3795e425b731fffa, 0xe506397f9214982c, 0x1e6e7635a317eb1e, 0x7e21b0911759c3cf, 0x2e1c92b2a3f51f09,
  0x13e7b96757a97326, 0xf490e2481dad1c8e, 0x11a62731602945db, 0xffd99e3af0067640, 0xa0796b73de37d500,
  0x3f8abe77715257ce, 0xc673141daf2e556b, 0xf57673a8a9546bb9, 0x8735c0809caed52d, 0xaf2c434ae5e97f48,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xd4bf36d8c4c76f62, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xd3ce093c95fb9a19, 0x0000000000001a49,
};

/*
 * m644rfr2_swio12_dual_pr_ee_ce     m64rfr2_swio11_dual_pr_ee_ce      m64rfr2_swio12_dual_pr_ee_ce
 * m640_swio11_dual_pr_ee_ce         m640_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_m644rfr2_swio11_dual_pr_ee_ce[] = {
  0xf0f6dddddd431f02, 0xfb6e1f2f7913ebd5, 0x826ef5d8437ac529, 0x333498e164da8fed, 0x1f9dd82f34aaf87b,
  0x4622cdb90cc297d7, 0xcf5cc13e3251ddc9, 0xc0ddd7d932305523, 0xa7c4b881850c1b48, 0x7f93620fcca0253b,
  0xe68e470d1b0d3470, 0xc114292241240ec7, 0xb87c288627c3f3f7, 0x6559cbd339d4e13e, 0x3a58a8432d028688,
  0x25b7ec1ffa039e13, 0xff9214982c3795e4, 0xdd8fea8f024a0dad, 0x449807f3c79b9dda, 0x9dac0b374ce75870,
  0x983dbf1c8f2b95d2, 0x50298af7dc723e0d, 0x185962291669d684, 0x3abb73051d484d7d, 0x3af512ec63d19ea7,
  0x28d291c436355e36, 0x8e1bd97d2cc5c242, 0xa59e4511551b044c, 0xaad67f157ceee2a4, 0xd7738ce6283b5e5c,
  0xaa5beaece75152a8, 0xfe910e6b8101395d, 0xad115e588695cbd2, 0x5f3a03c72b5d73da, 0xe33a20421520b94b,
  0xdec55516920a718d, 0xdca5a97e6db1898e, 0xccdfc1ddc68b1e70, 0x592e19e985727eea, 0x9961d252d9c389c6,
  0x4d38e093c95fb9a1, 0x0000000000000130,
};

/*
 * m644rfr2_swio12_dual_pr_ee_ce_u4  m64rfr2_swio11_dual_pr_ee_ce_u4   m64rfr2_swio12_dual_pr_ee_ce_u4
 * m640_swio11_dual_pr_ee_ce_u4      m640_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio11_dual_pr_ee_ce_u4[] = {
  0x0f777768a87fa812, 0x70f933fabfaf8d41, 0xddad157abe1ecfdb, 0x4fbb0419cc99ae43, 0xc2d689771a82180a,
  0x72d657f685c595ed, 0x13e324a75c83ebf0, 0xfb26460aa453f0cc, 0x1030a18369181bba, 0x6ff32b012774f897,
  0x801b014870fd798d, 0x2241240ed6e68e47, 0x8627c3f3f7c11429, 0xa671e0113eb87c28, 0x865a1b3910cab397,
  0x7ff4073c26cad150, 0x30586f2bc84b6ec8, 0x635a507b07ff0cd1, 0xcf80677d8318bf54, 0x5f886c2445d670f3,
  0xb878fbae4afd47c2, 0x95d29dac21374c98, 0x3e0d983dbf1c8f2b, 0xd68450298af7dc72, 0x4d7d185962291669,
  0x9ea73abb73051d48, 0x5e363af512ec63d1, 0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b,
  0x5e5caad67f157cee, 0x52a8d7738ce6283b, 0x395daa5beaece751, 0xcbd2fe910e6b8101, 0x73daad115e588695,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0x4498dca5a97e6db1, 0x4eaccdfc1a3f8d16,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x01000c7933fc33c9,
};

/*
 * m644rfr2_swio12_dual_ee_hw        m64rfr2_swio11_dual_ee_hw         m64rfr2_swio12_dual_ee_hw
 * m640_swio11_dual_ee_hw            m640_swio12_dual_ee_hw
 */
static const uint64_t ur_m644rfr2_swio11_dual_ee_hw[] = {
  0x0ddbbbbb451a25fb, 0xdb70ff8feefd794e, 0x37baaf9b123bb82f, 0x2eda7227d57f5de9, 0xdfbf7c7cfd94e0dd,
  0xe52c8d75d2acc995, 0x48ee3e609f192626, 0xd2303775f64c8c15, 0xcee9f12e20614306, 0x70a1f9ba7ff32ba0,
  0x674d1c8e70761d5e, 0xf7c114292241240f, 0x3eb87c288627c3f3, 0x886559cbd338a911, 0x1307b8a8432d05f6,
  0xf212dbe9affa039e, 0x16bff9524c161bca, 0x76ea6ab5a3fdd282, 0x47c1b3061ee391e5, 0x3ad08a1df15e9b8e,
  0x09afa30b2c4522cd, 0xcead2ec157152e69, 0x0ebd44bb18f467a9, 0x451a523886c6ab5d, 0xadc37b2fa598b848,
  0x280591445546c11f, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0xbfa4439ae0404e57,
  0xab44579621a572f4, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x1b94b52fcdb6318a,
  0xdef2861539fa84e3, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0xdad9e4e8a792bf73, 0x0000000000000015,
};

/*
 * m644rfr2_swio11_dual_ee_ce_u4_hw  m644rfr2_swio12_dual_ee_ce_hw     m644rfr2_swio12_dual_ee_ce_u4_hw
 * m64rfr2_swio11_dual_ee_ce_hw      m64rfr2_swio11_dual_ee_ce_u4_hw   m64rfr2_swio12_dual_ee_ce_hw
 * m64rfr2_swio12_dual_ee_ce_u4_hw   m640_swio11_dual_ee_ce_hw         m640_swio11_dual_ee_ce_u4_hw
 * m640_swio12_dual_ee_ce_hw         m640_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio11_dual_ee_ce_hw[] = {
  0x43ddddda28d08f43, 0xdc3e4cfeafebe350, 0xf76b455eaf87b3f6, 0x93eec10673266b90, 0x70b5a25dc6a08602,
  0xfdad5b538d71657b, 0x0cc13e324a75cbc4, 0xbbafb26460aa453f, 0x8971030a18369181, 0xcc6b7f995d06774f,
  0x723c00d80a4387eb, 0xa14912092076b734, 0xe144313e1f9fbe08, 0x9cbd338f0089f5c3, 0x8a8432d0d9c88655,
  0x7643ffa039e13656, 0x2a4982c3795e425b, 0x7ea8c6b4a0f60fff, 0x70f3cf21cefb0631, 0x47c25f886c2445d6,
  0x4c98b87185ddbbfd, 0x8f2b95d29dac2137, 0xdc723e0d983dbf1c, 0x1669d68450298af7, 0x1d484d7d18596229,
  0x63d19ea73abb7305, 0x36355e363af512ec, 0x2cc5c24228d291c4, 0x551b044c8e1bd97d, 0x7ceee2a4a59e4511,
  0x283b5e5caad67f15, 0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b, 0x2b5d73daad115e58,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6db1898edec55516, 0xcfd42718dca5a97e, 0x89ffde1ef79430a9,
  0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000000eba9b6eb45,
};

/*
 * m644rfr2_swio13_noled_pr          m64rfr2_swio13_noled              m64rfr2_swio13_noled_pr
 * m640_swio13_noled                 m640_swio13_noled_pr
 */
static const uint64_t ur_m644rfr2_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x0b23c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa4941dbffe5c7e7c, 0x03e7a391e213be5b, 0xbdd3694b5e921c49, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0xce6283b5e5caad4a, 0xbece75152a8d7738, 0x439ace576a96faa9, 0x5e5886956af7afa4,
  0xfa779fad73daad11, 0x96173a9d4e02ca54, 0xf19d1022fdc50216, 0x86e52d4bf36d38c6, 0x598f2068fe3458f3,
  0xcb25c33d30ae4fdd, 0x332c3a4a5b387138, 0x8004792a792bf734, 0x000000000000007c,
};

// m64rfr2_swio13_noled_pr_u4        m640_swio13_noled_pr_u4
static const uint64_t ur_m644rfr2_swio13_noled_pr_u4[] = {
  0x656eeeeed121b562, 0xad72d2c42b0dbac1, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426e965,
  0xc13e32777e9c1b24, 0x282657f861b3efe4, 0x411c8f2f8ef9683f, 0x9a3de95490e2481f, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0x3398a0ed7972ab57, 0x6fb39d454aa35dce, 0x10e6b395daa5beaa,
  0x579621a55abdebe9, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x296a5f9b632455bd,
  0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e,
  0x0ccb0e9296ce1c4e, 0x7538b7049e4afdcd, 0x00000000000001f2,
};

/*
 * m644rfr2_swio13_noled_pr_ee_u4    m64rfr2_swio13_noled_pr_ee        m64rfr2_swio13_noled_pr_ee_u4
 * m640_swio13_noled_pr_ee           m640_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1219541, 0xdab96963d4e85d63, 0x4f5a2ee8db623e24, 0x2de4531d7c33c5ef, 0x7545a0ab4114889e,
  0x7c64ee80a498b04e, 0x8adfe186cf93a982, 0x594b9aad68dfc941, 0x91f06cc184f8e479, 0x4eb422877c5650e3,
  0x426be8c2cb1148b3, 0x1cead2e95971ac9a, 0xe875e74ddba84792, 0x8451f22383f6355a, 0xfd6e1bd96cb98b84,
  0xad402e9305aa3608, 0x7738ce6283b5e5ca, 0xfaa9bece75152a8d, 0xafa4439ace576a96, 0xad115e5886956af7,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0x98dca5a97e6d8c91, 0xd599bf83bb8d1644,
  0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x0275f3315c12792b,
};

/*
 * m644rfr2_swio13_noled_pr_ce_u4    m64rfr2_swio13_noled_pr_ce        m64rfr2_swio13_noled_pr_ce_u4
 * m640_swio13_noled_pr_ce           m640_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio13_noled_pr_ce[] = {
  0xefdddddda2431768, 0x3972d2c083033ac6, 0x7e8d3dde3f427af4, 0x7f891b479190243c, 0x947b433376d4f777,
  0x9827c64ee9ba3b46, 0x941c09fe186cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0x1a4871240c9e8e47, 0x0a3dece62c0532a7, 0x0ffd99e3af47ced1, 0xb703cb5b84526950,
  0x9cc5076bcb955abe, 0x7d9cea2a551aee71, 0x87359caed52df553, 0xbcb10d2ad5ef5f48, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x96a5f9b63218edec, 0xfe0eee3459126372, 0xbca1854e7ea75666,
  0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x63897049e4afdcd0,
  0x0000000000001bae,
};

/*
 * m644rfr2_swio13_noled_pr_ee_ce_u4 m64rfr2_swio13_noled_pr_ee_ce     m64rfr2_swio13_noled_pr_ee_ce_u4
 * m640_swio13_noled_pr_ee_ce        m640_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio13_noled_pr_ee_ce[] = {
  0xd3dddddda243173e, 0xb772d2c30e5c1ac3, 0x176c4ee8335a200d, 0x9d8f622484715835, 0xf2723b5c6309e25e,
  0x8c9ddcfb402d3913, 0x07f861b3e87d304f, 0x4118bf5476ea5071, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0xcf58e47959c394ed, 0xa62b2eb1c8f83660, 0x6588a459a75a1140, 0xedc958752135f461,
  0xe74ddba847921cea, 0xe44707ec6abc6c75, 0x37b2d973170908a3, 0x3e9305aa3608991c, 0xce6283b5e5caad4b,
  0xbece75152a8d7738, 0x439ace576a96faa9, 0x5e5886956af7afa4, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x4b52fcdb190c76f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33, 0xc7f197e627ff787b,
  0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x0f543824f257ee68, 0x000000000000013f,
};

// m64rfr2_swio13_noled_ee_hw        m640_swio13_noled_ee_hw
static const uint64_t ur_m644rfr2_swio13_noled_ee_hw[] = {
  0x2f7777768a341768, 0xd5cb4b1ea742eb1e, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a444f1,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0x9594b9aad68dfc94, 0x391f06cc184f8e47, 0x34eb422877c5650e,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0xd7738ce6283b5e5c, 0x6faa9bece75152a8, 0x7afa4439ace576a9, 0xaad115e5886956af,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x718dca5a97e6d8c9, 0xe1ef79430a9cfd42,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x016feab37453c95f,
};

/*
 * m644rfr2_swio13_noled_ee_ce_u4_hw m64rfr2_swio13_noled_ee_ce_hw     m64rfr2_swio13_noled_ee_ce_u4_hw
 * m640_swio13_noled_ee_ce_hw        m640_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio13_noled_ee_ce_hw[] = {
  0x3dddddda28d0ac4f, 0x772d2c30e5c1ac3d, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e25e9,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0x882317ea8edd4a0e, 0x222eb3879e790e77, 0xaa0fea3e12fc4361,
  0xb083df3262e1dd51, 0x67ac723cace1ca76, 0x53159758e47c1b30, 0xb2c4522cd3ad08a0, 0x76e4ac3a909afa30,
  0xf3a6edd423c90e75, 0xf22383f6355e363a, 0x1bd96cb98b848451, 0x9f4982d51b044c8e, 0x673141daf2e556a5,
  0xdf673a8a9546bb9c, 0x21cd672bb54b7d54, 0xaf2c434ab57bd7d2, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0xa5a97e6d8c863b7b, 0x9430a9cfd42718dc, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x22c9453c95fb9a19, 0x0000000000005011,
};

// m64rfr2_swio13_lednop             m640_swio13_lednop
static const uint64_t ur_m644rfr2_swio13_lednop[] = {
  0x02cb77777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd0b2,
  0x7304f8c9ddb1ec86, 0x9283dd7f971f9f8f, 0x7cf4723cdc77cb74, 0xdd319538d2438920, 0xecf7a3b58e62c05b,
  0x045dc72c608ebc5c, 0x398a0ed7972ab52b, 0xfb39d454aa35dce3, 0x8101395daa5beaa6, 0x434ae492fe910e6b,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6815156f62aa8b, 0xae4fcfec37296a5f,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00005492fe792a79,
};

/*
 * m644rfr2_swio13_lednop_pr_u4      m64rfr2_swio13_lednop_pr          m64rfr2_swio13_lednop_pr_u4
 * m640_swio13_lednop_pr             m640_swio13_lednop_pr_u4
 */
static const uint64_t ur_m644rfr2_swio13_lednop_pr[] = {
  0xcadddddda2432aac, 0x5ae5a58856a87582, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6e965,
  0x609f193bbe451db2, 0x504c7ff861b3f52a, 0x411c8fa51df2d07e, 0x340609f490e2481f, 0xbe238c8e62c05965,
  0x00ffd9823af47cec, 0x3903cb3db1bf70d5, 0x9cc5076bcb955adc, 0x7d9cea2a551aee71, 0xc0809caed52df553,
  0x21a572497f488735, 0xcad75cf6ab445796, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545,
  0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x824f257ee6866587, 0x00000000f9313343,
};

/*
 * m644rfr2_swio13_lednop_pr_ee_u4   m64rfr2_swio13_lednop_pr_ee       m64rfr2_swio13_lednop_pr_ee_u4
 * m640_swio13_lednop_pr_ee          m640_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio13_lednop_pr_ee[] = {
  0xe2f777776890c582, 0x36ae5a58f53082b1, 0xf0ad5c7ba5c46789, 0x3c5bc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x04e0ff861b3f43f3, 0xe56a7a6ab5a37f25, 0x8e47c1b30613e391, 0xcd3ad08a1df15e04,
  0x6909afa30b2c4522, 0x2873ab4bc875c6b2, 0x6ba1d79d376ee918, 0x121144dc8f22d8d5, 0x23f5b86f65b2e62e,
  0x955a80422934a8d8, 0x1aee719cc5076bcb, 0x2df5537d9cea2a55, 0x488735c0809caed5, 0x44579621a572497f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x94b52fcdb40a8ab7, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0xbfe69b824f257ee6, 0x000000000000004e,
};

/*
 * m644rfr2_swio13_lednop_pr_ce_u4   m64rfr2_swio13_lednop_pr_ce       m64rfr2_swio13_lednop_pr_ce_u4
 * m640_swio13_lednop_pr_ce          m640_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio13_lednop_pr_ce[] = {
  0x77eeeeeed121b768, 0x1cb96960418fdd63, 0x7ed05dd623e2fd7a, 0xff12368f20336401, 0x4ce2a16d2ec9eeee,
  0x304f8c9dd764af8c, 0x283beffc30d9f8ad, 0x79b9ddba8c5fac89, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0x5a4871240c9e8e47, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0xe6283b5e5caad6e1, 0xece75152a8d7738c, 0x0404e576a96faa9b, 0x0d2b924bfa4439ae, 0x56bae7b55a22bcb1,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x24f257ee68665874,
  0x00000006eb982238,
};

/*
 * m644rfr2_swio13_lednop_pr_ee_ce_u4 m64rfr2_swio13_lednop_pr_ee_ce    m64rfr2_swio13_lednop_pr_ee_ce_u4
 * m640_swio13_lednop_pr_ee_ce       m640_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio13_lednop_pr_ee_ce[] = {
  0xd3dddddda2431bc1, 0xb772d2c30e44eac3, 0x7f4376e9bb64200d, 0x9d8f622485c18e24, 0xe05991a66309e25e,
  0xc64ee8eba6bb62ee, 0x03fc30d9ffd79827, 0x008c5faa3b752830, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0xcf58e479594394ed, 0xa62b60b1c8f83660, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x673141daf2e556a5,
  0xdf673a8a9546bb9c, 0x7020272bb54b7d54, 0x88695c925fd221cd, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6da0518edec5551, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc12792bf734332c3, 0x0000000009f81359,
};

// m64rfr2_swio13_lednop_ee_hw       m640_swio13_lednop_ee_hw
static const uint64_t ur_m644rfr2_swio13_lednop_ee_hw[] = {
  0x17bbbbbb451a3768, 0xb572d2c7a984158f, 0x856ae3dd2e233c49, 0xe2de4531d7d0b867, 0x7111fb226c114889,
  0x304f8c9dd764afb6, 0x504e0ff958b3f43f, 0x1e56a7a6ab5a37f2, 0x48e47c1b30613e39, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0x51aee719cc5076bc, 0x52df5537d9cea2a5, 0xf488735c0809caed, 0xb44579621a572497,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb94b52fcdb40a8ab, 0xef2861539fa84e31,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xff412a8a792bf734,
  0x0000000000000016,
};

/*
 * m644rfr2_swio13_lednop_ee_ce_u4_hw m64rfr2_swio13_lednop_ee_ce_hw    m64rfr2_swio13_lednop_ee_ce_u4_hw
 * m640_swio13_lednop_ee_ce_hw       m640_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio13_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683375, 0xbb9696187227561e, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f12f4,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xb80118bf5476ea50, 0x0911759c3cf3c873, 0xb0a47f51f097e21b,
  0x6b083df3262e1cdb, 0x067ac723caca1ca7, 0x05315b058e47c1b3, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3,
  0xaf3a6eddd23050e7, 0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0xe3398a0ed7972ab5,
  0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x2c434ae492fe910e, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000280becc5,
};

/*
 * m644rfr2_swio13_dual_pr           m644rfr2_swio13_dual_pr_u4        m64rfr2_swio13_dual
 * m64rfr2_swio13_dual_pr            m64rfr2_swio13_dual_pr_u4         m640_swio13_dual
 * m640_swio13_dual_pr               m640_swio13_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_swio13_dual[] = {
  0x8eeeeeed12190907, 0xfdb70f97bfb5ebec, 0x2d5bb2ee999bb066, 0x15045c675905333d, 0xf69c9263b2ddb234,
  0xbd3b95a0fd5f7efa, 0x182a90a919827c64, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x84063854a9bf77e6,
  0x4903dbf3472398fd, 0xf0fcfdf0450a4890, 0x1aec4fae1f0a2189, 0xd08c910cab397a67, 0xd01cf09ad68a8432,
  0xb0de579096dca1ff, 0xef941fddfe485260, 0x0e0fc723edf3be59, 0x07992b47ba487124, 0xeda523884e62c055,
  0x2a01ffb30475e00c, 0xb81281e59eda6319, 0xaad67f157ceee2a4, 0xd7738ce6283b5e5c, 0x6faa9bece75152a8,
  0x4439ae0404e576a9, 0x22bcb10d2b924bfa, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0xa5a97e6da05455bd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x6838dc12792bf734, 0x0000000000000292,
};

// m64rfr2_swio13_dual_pr_ee         m640_swio13_dual_pr_ee
static const uint64_t ur_m644rfr2_swio13_dual_pr_ee[] = {
  0x56eeeee87ad0cf68, 0xfdb70ff8fae3ebca, 0x87dbb3890523bb82, 0xe9776182ca3e9f7b, 0xd9b1d7e3e7eca506,
  0x9a3ea757d76ec421, 0x0ba2cc13e324c4dc, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x143f374ffe650129,
  0xe9a391ce0ec3abce, 0xf8228524482481ec, 0xd70f8510c4f87e7e, 0x0cab397a672e8627, 0x60f7150865a0bed1,
  0x84b6f3b7ff4073c2, 0xfff242930586f2bc, 0x37355ad1b93941e9, 0xe0d9838f71c8f2bd, 0x68450ef8af674723,
  0xd7d185962291669d, 0x569753cb8a973484, 0xaf512ecfe23ea0e7, 0x41ea8fe4b1aad743, 0x70decbe9662e1211,
  0x0087cded51b047eb, 0x56b3f8abe7771525, 0xbb9c673141daf2e5, 0x7d54df673a8a9546, 0x21cd7020272bb54b,
  0x15e588695c925fd2, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2d4bf36d02a2adec,
  0xe0eee3459ef046e5, 0xca1854e7ea75666f, 0xa3ed87b9c65f989f, 0xe985727e39effe09, 0x52d9c389c6592e19,
  0x93c95fb9a19961d2, 0x00000001590ad4e0,
};

// m64rfr2_swio13_dual_pr_ee_u4      m640_swio13_dual_pr_ee_u4
static const uint64_t ur_m644rfr2_swio13_dual_pr_ee_u4[] = {
  0xeccf777776890c86, 0x76fdb70ff8f44ff5, 0x5bb37ba769a70919, 0x647c894aaaf75b8d, 0xc535ec5f8f9fb666,
  0xdcbbb1bb322798b5, 0x5481544c13e3248f, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x2381c19babff3280,
  0x395d34723eced847, 0xcfdf0450a4890490, 0x44fae1f0a2189f0f, 0xda2195672f4ce022, 0x3c269122a10cb423,
  0x2bc84b6fbb5ff407, 0x1eafff242930586f, 0x2bcad355ad1afb94, 0x391f06cc1f751c8f, 0x34eb422877c572ba,
  0xa426be8c2cb1148b, 0x273ab4b9755c20b9, 0xe875ed62763291ce, 0x08a25f235af6355a, 0xfadc37b2e3e31709,
  0xc55f3bb8a92ae07c, 0x398a0ed7972ab59f, 0xfb39d454aa35dce3, 0x8101395daa5beaa6, 0x434ae492fe910e6b,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6815156f62aa8b, 0xe345912637296a5f,
  0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x049e4afdcd0ccb0e, 0x0000000000ac8647,
};

/*
 * m644rfr2_swio13_dual_pr_ce_u4     m64rfr2_swio13_dual_pr_ce         m64rfr2_swio13_dual_pr_ce_u4
 * m640_swio13_dual_pr_ce            m640_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio13_dual_pr_ce[] = {
  0x991dddddda2432db, 0x92bf6dc3e32abfd7, 0xe5bddee80a295d3b, 0x28efe986e75bdfb4, 0x599d05900962dd32,
  0xc64d45b91c115638, 0x932305521e019827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0xf7b0d36708ad30d6,
  0x1209206a7a68e47d, 0x313e1f9fbe08a149, 0x99ce8f89f5c3e144, 0x19686df4432ace5e, 0xffe80e784c7ac542,
  0x60b0de579096dec7, 0xa98f9411adfe4852, 0x0f3c79b9d9c18c5f, 0x7c25f886c2445d67, 0x993170ece5d1ffd4,
  0x723c893dcb3abd4b, 0xdc6552438920622c, 0xeda523884e62c05f, 0x2a01ffb33c75e00c, 0x2e04a0796b726319,
  0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x5beaa6fb39d454aa, 0x910e6b8101395daa, 0x88af2c434ae492fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d028c76f, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0x24814e093c95fb9a, 0x000000000000000d,
};

// m64rfr2_swio13_dual_pr_ee_ce      m640_swio13_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_swio13_dual_pr_ee_ce[] = {
  0xce2ddddddd43359b, 0x53f6dc3e5eda7bd7, 0xbc7fdd4fb2d4f58a, 0xecccce77b8c3e403, 0x419cae20bcd2ce21,
  0x21e19851fc2d759b, 0x83e7d304f8c94777, 0x2303775f64c8c154, 0xee9f12e20614306d, 0xc1fe4d883f328094,
  0x1f9a391c346c34d1, 0xdf0450a48904903b, 0xfae1f0a2189f0fcf, 0x432ace5e99c76ec4, 0x99d2c54219681434,
  0x212db9adffd01cf0, 0x83fc90a4c161bcaf, 0xc4163faa3cad2838, 0xfcdf548fe78f373b, 0xe53b58166e99ceb0,
  0x0d98332a391e57be, 0x8450298aedd4723e, 0x7d185962291669d6, 0x073abb729e1d484d, 0x1b1d7a89767f11f5,
  0x21141ea8fe4b1aaf, 0x26470decbe9662e1, 0xa929663e6f6a8d82, 0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7,
  0xaa5beaa6fb39d454, 0xfe910e6b8101395d, 0x5688af2c434ae492, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5,
  0x6f62aa8b490538c6, 0x6e52d4bf36d028c7, 0x666fe0eee3458f38, 0x2c970cf4c2b93f75, 0xccb0e9296ce1c4e3,
  0x3a4e7049e4afdcd0, 0x00000000000004c1,
};

// m64rfr2_swio13_dual_pr_ee_ce_u4   m640_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_swio13_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x6dc3e4cfaf7ebd9f, 0x1ddb9dbf6af87b3f, 0x58bf1fefae843afe, 0xf70b44bb67c10c05,
  0xb456d2ae3ef2757b, 0x09f19253ae5d35bf, 0x7d932305522f67a6, 0x881850c1b48c0ddd, 0xb7f9958093ba7c4b,
  0xc00d80a4387ebcc6, 0x912092076b734723, 0x4313e1f9fbe08a14, 0xd33875f09f5c3e14, 0x432d0d9c886559cb,
  0x1ffa039e136568a8, 0x982c3795e425b7b9, 0x33832826b7ff8668, 0xe7c033b35b8c5faa, 0x2fc4361222eb3879,
  0x5c3fad4f00fea3e1, 0xefb94ed6109ba64c, 0x8f83660cca8e4795, 0x75a1140a62bb751c, 0x135f4616588a459a,
  0x7d41ceaedca78752, 0xabc6c75ea25d9fc4, 0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3,
  0xb5e5caad67f157ce, 0x152a8d7738ce6283, 0x576a96faa9bece75, 0x24bfa4439ae0404e, 0x7b55a22bcb10d2b9,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x931b94b52fcdb40a, 0xd599bf8347f1a2c8,
  0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x40028bb47f86792b,
};

// m64rfr2_swio13_dual_ee_hw         m640_swio13_dual_ee_hw
static const uint64_t ur_m644rfr2_swio13_dual_ee_hw[] = {
  0x52b7777768a342db, 0x17edb87fc7d71f5e, 0xdc3edd9c48291ddc, 0x374bbb0c1651f4fb, 0x0ecd8ebf1f3f6528,
  0x89b91c1156699d21, 0x055217459827c649, 0xc1b48c0ddd7d9323, 0xe833ba7c4b881850, 0x579c287e6e9ffcca,
  0x03d9d347239c1d87, 0xfcfdf0450a489049, 0x0c4fae1f0a2189f0, 0x7da2195672f4ce5d, 0xe784c1ee2a10cb41,
  0xe579096de76ffe80, 0x83d3fffca9260b0d, 0xe57a6e6ab5a37272, 0x8e47c1b3071ee391, 0xcd3ad08a1df15ece,
  0x6909afa30b2c4522, 0x41cead2ea797152e, 0xae875ea25d9fc47d, 0x242283d51fc96355, 0x8fd6e1bd97d2cc5c,
  0x2a4a010f9bdaa360, 0xe5caad67f157ceee, 0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0xbfa4439ae0404e57,
  0x55a22bcb10d2b924, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0x8dca5a97e6da0545,
  0xef79430a9cfd4271, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389,
  0x769ecb5453c95fb9, 0x0000000000000005,
};

/*
 * m644rfr2_swio13_dual_ee_ce_u4_hw  m64rfr2_swio13_dual_ee_ce_hw      m64rfr2_swio13_dual_ee_ce_u4_hw
 * m640_swio13_dual_ee_ce_hw         m640_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio13_dual_ee_ce_hw[] = {
  0xedddddda28d11107, 0xedb87c99f5efd7b3, 0xc3bb73b7ed5f0f67, 0xab17e3fdf5d0875f, 0x7ee168976cf82180,
  0xed538f74835e4eaf, 0x7a609f19253ae4df, 0xddd7d932305522f6, 0xc4b881850c1b48c0, 0xe635bfccae833ba7,
  0x391e006c0521c3f5, 0x50a48904903b5b9a, 0xf0a2189f0fcfdf04, 0xce5e99c3af84fae1, 0x454219686ce4432a,
  0xbdc8ffd01cf09b2b, 0x9524c161bcaf212d, 0xbf546706504d6fff, 0x3879e790e766b718, 0xa3e12fc4361222eb,
  0xe993170fd4e5c17e, 0x91e57bee53b58426, 0xdd4723e0d98332a3, 0x91669d68450298ae, 0xe1d484d7d1859622,
  0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb, 0x55f3bb8a929663e6,
  0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x101395daa5beaa6f, 0x34ae492fe910e6b8, 0x5aeb9ed5688af2c4,
  0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d028c76f62aa8b4, 0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x0000075d6d59ba29,
};

/*
 * m644rfr2_swio14_noled_pr          m64rfr2_swio14_noled              m64rfr2_swio14_noled_pr
 * m640_swio14_noled                 m640_swio14_noled_pr
 */
static const uint64_t ur_m644rfr2_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdbe97752267ba0c9, 0x40783309a93783ea, 0x31641d78d7d9fba4,
  0xb9827c64ee82f413, 0x0941eebfcb8fcfc7, 0x75fe391d313be5ba, 0xdd32003e52438920, 0xedd223278e62c05b,
  0x087dc72c608ebc5c, 0x73141daf2e556a56, 0x5673a8a9546bb9c6, 0x21cd674dcaed52df, 0x8af2c434ad8fdfd2,
  0xa7d3bcfd6b9ed568, 0xb4b0b9d4ea701652, 0x378ce8811e5e2810, 0x9c37296a5f9b69c6, 0xeacc790347f1a2c7,
  0xc6592e19e985727e, 0xa19961d252d9c389, 0xc81243c953c95fb9, 0x0000000000000007,
};

// m64rfr2_swio14_noled_pr_u4        m640_swio14_noled_pr_u4
static const uint64_t ur_m644rfr2_swio14_noled_pr_u4[] = {
  0x526eeeeed121bf82, 0xd6b9696215b6dd63, 0x7b98eea1c489910c, 0x111e42e27d2f1f32, 0xa0dd43801e4ddd49,
  0xc13e3277571891c2, 0xa0edfff0c367cc7c, 0x351c8e0a1df2dbdc, 0x983da01490e24819, 0x4c5188a731602cb2,
  0x807fecc11d7a3e76, 0x22607967b76b13ca, 0x3398a0ed7972ab54, 0xfab39d454aa35dce, 0x910e6b3a6e576a96,
  0x44579621a56c7efe, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0xb94b52fcdb610c55,
  0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0x934d3e3824f257ee, 0x000000000000000f,
};

/*
 * m644rfr2_swio14_noled_pr_ee_u4    m64rfr2_swio14_noled_pr_ee        m64rfr2_swio14_noled_pr_ee_u4
 * m640_swio14_noled_pr_ee           m640_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio14_noled_pr_ee[] = {
  0x426eeeeed121b705, 0x6d5cb4b1ea634eb1, 0x77b647776dbaff12, 0x08f2299c7cfd833c, 0x4c081eb920452225,
  0x4f8c9ddb0db2b92a, 0x3b3bfc30d9f38330, 0x565d66ab5a331f28, 0x723e0d983ea2391e, 0x69d68450ef8aca5c,
  0x484d7d1859622916, 0x439d5a5dc9ae3593, 0x5d0ebce9bb1ea8fe, 0x4845110a3deec6ab, 0x8fd6e1bd96cb98b8,
  0x556a01741cf2a360, 0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x8fdfd221cd674dca, 0x9ed5688af2c434ad,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4, 0x912637296a5f9b6c, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00009d77c937049e,
};

/*
 * m644rfr2_swio14_noled_pr_ce_u4    m64rfr2_swio14_noled_pr_ce        m64rfr2_swio14_noled_pr_ce_u4
 * m640_swio14_noled_pr_ce           m640_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio14_noled_pr_ce[] = {
  0x07dddddda2432493, 0x3972d2c08315bac7, 0x1eb4bdd1aef27af4, 0x7f12369b3d04c2aa, 0xf9da3f78bec7eef0,
  0x304f8c9dd0dc8288, 0x282a7bfc30d9fdf7, 0xf373bc0918bf509f, 0xf10d8488bace1e78, 0x70f30ccf9fa8f84b,
  0xbe4f72ceafac9931, 0xa921c490359f1c8e, 0xa3114e62c05dbf2f, 0xffd99e3af47cec98, 0x303cb5bad6279500,
  0xcc5076bcb955aa11, 0x59cea2a551aee719, 0x87359d372bb54b7d, 0x2bcb10d2b63f7f48, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x4b52fcdb61098ede, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x9fadb824f257ee68,
  0x00000000000006eb,
};

/*
 * m644rfr2_swio14_noled_pr_ee_ce_u4 m64rfr2_swio14_noled_pr_ee_ce     m64rfr2_swio14_noled_pr_ee_ce_u4
 * m640_swio14_noled_pr_ee_ce        m640_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio14_noled_pr_ee_ce[] = {
  0x53dddddda243304a, 0xb772d2c30e41bac3, 0x834c8ee95b24200d, 0x4ec7b11c2a5df250, 0x3139199a5184f12d,
  0xc64eed8ba8fbd640, 0xb7fe186cfc009827, 0x5b8c5faa3df72836, 0x88bace1e78f373bb, 0xc2ffa8f84bf10d84,
  0x841ef993170eaeb8, 0xd2a391e5721e53b5, 0x98ace1c723e0d983, 0x962291669d684502, 0xb73931d484d7d185,
  0x9d3763d51fc873ab, 0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238, 0xce6283b5e5caad4b,
  0xeace75152a8d7738, 0x4439ace9b95daa5b, 0x115e588695b1fbfa, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xca5a97e6db084c76, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xf262f9c12792bf73, 0x0000000000000013,
};

// m64rfr2_swio14_noled_ee_hw        m640_swio14_noled_ee_hw
static const uint64_t ur_m644rfr2_swio14_noled_ee_hw[] = {
  0x137777768a342493, 0x6ae5a58f531a758a, 0xbdb23bbb6dd7f893, 0x47914ce3e7ec19e3, 0xd040f5c902291128,
  0x04f8c9dd0dc82b4e, 0x83b3bfcac59f3833, 0xe565d66ab5a331f2, 0xc723e0d983ea2391, 0x669d68450ef8aca5,
  0x3484d7d185962291, 0xe439d5a5dc9ae359, 0xb5d0ebce9bb1ea8f, 0x84845110a3deec6a, 0x08fd6e1bd96cb98b,
  0xe556a01741cf2a36, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xd8fdfd221cd674dc, 0xb9ed5688af2c434a,
  0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc218ab7b15545a5b, 0x509c637296a5f9b6, 0xff787bde50c2a73f,
  0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00005bfc2ed514f2,
};

/*
 * m644rfr2_swio14_noled_ee_ce_u4_hw m64rfr2_swio14_noled_ee_ce_hw     m64rfr2_swio14_noled_ee_ce_u4_hw
 * m640_swio14_noled_ee_ce_hw        m640_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio14_noled_ee_ce_hw[] = {
  0x9eeeeeed146807e1, 0xbb969618720dd61a, 0x1a64774ad921006d, 0x763d88e152ef9284, 0x89c8ccd28c27896a,
  0x7c64ee843dfbd1d7, 0x6b7fe562cfc00982, 0xb5b8c5faa3df7283, 0x911759c3cf3c873b, 0x0003f51f097e21b0,
  0xac20f7cc98b87eeb, 0x1e951c8f2b90f29d, 0x14c5670e391f06cc, 0x2cb1148b34eb4228, 0x5db9c98ea426be8c,
  0xbce9bb1ea8fe439d, 0x22147bdd8d578d8e, 0xc37b2d973170908a, 0x59f41cf2a3608991, 0xc673141daf2e556a,
  0xdf5673a8a9546bb9, 0xd221cd674dcaed52, 0x688af2c434ad8fdf, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a,
  0xb7b15545a5b44e31, 0x6e52d4bf36d84263, 0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x044e4aa29e4afdcd, 0x0000000000000014,
};

// m64rfr2_swio14_lednop             m640_swio14_lednop
static const uint64_t ur_m644rfr2_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x90eee5a588561958, 0x89da87bbe17a0a0c, 0x01e0cc26a475f5a7, 0x9ac8401b6d22ee91,
  0x3dcc13e3277417a0, 0xd04a0c89fe5c7e7c, 0x03aff1c8ebe1df2d, 0x7ba6dbf2fa921c49, 0x765ae8ee19cc580b,
  0x96b6e39630475e2e, 0x9cc5076bcb955a95, 0xd59cea2a551aee71, 0x5c0809d372bb54b7, 0xb10d2b97d8f48873,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7e6db18c55bd8aaa, 0xc2b93f3fb0dca5a9,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000000549f59e4a9,
};

/*
 * m644rfr2_swio14_lednop_pr_u4      m64rfr2_swio14_lednop_pr          m64rfr2_swio14_lednop_pr_u4
 * m640_swio14_lednop_pr             m640_swio14_lednop_pr_u4
 */
static const uint64_t ur_m644rfr2_swio14_lednop_pr[] = {
  0x6a4dddddda243762, 0x9ad72d2c42b171ac, 0x2ed8fddf5fe17221, 0x444790b89db7e952, 0x11dc2ff1fe2f7752,
  0xc13e3277699a3341, 0xa0c7bff0c367d7dc, 0x351c8e801df2dbdc, 0x4cfe751490e24819, 0xc9118df398b01659,
  0x807fecc11d7a3e76, 0xed40f2cf6e0ff48a, 0x673141daf2e556b2, 0xf5673a8a9546bb9c, 0xd7020274dcaed52d,
  0x2c434ae5f63d221c, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6c63156f62aa,
  0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0xb7049e4afdcd0ccb, 0x0000000001f26959,
};

/*
 * m644rfr2_swio14_lednop_pr_ee_u4   m64rfr2_swio14_lednop_pr_ee       m64rfr2_swio14_lednop_pr_ee_u4
 * m640_swio14_lednop_pr_ee          m640_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio14_lednop_pr_ee[] = {
  0xa13777776890c044, 0x36ae5a58f53a0b58, 0x4de9a5dd803d2f89, 0x423c8a671f1a67ed, 0x21b45a8ac8114889,
  0x27c64eea0a4e52ec, 0x11adfe186cfa5a98, 0x2b60b355ad198f94, 0x391f06cc1f511c8f, 0x34eb422877c56a7a,
  0xa426be8c2cb1148b, 0x71cead2ee9571ac9, 0xae875e74dda44473, 0x242285f11c656355, 0x47eb70decb65cc5c,
  0x2ab500ad627951b0, 0x35dce3398a0ed797, 0x76a96fab39d454aa, 0xe910e6b81013a6e5, 0xb44579621a572fb1,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb94b52fcdb6318ab, 0x337f07771a2c8931,
  0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x75c02b3824f257ee, 0x0000000000000002,
};

/*
 * m644rfr2_swio14_lednop_pr_ce_u4   m64rfr2_swio14_lednop_pr_ce       m64rfr2_swio14_lednop_pr_ce_u4
 * m640_swio14_lednop_pr_ce          m640_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio14_lednop_pr_ce[] = {
  0x83eeeeeed121be4a, 0x1cb96960418ddd63, 0x7ebd7dd75e5efd7a, 0xfe246d36795b4121, 0x357c34e19bd3dde0,
  0x609f193ba528eb7d, 0x506577f861b3fb3a, 0xe6e77bee317ea13e, 0xe21b0911759c3cf1, 0xc3b37d2a3f51f097,
  0x7d3dcb3abeb264c5, 0x490e2481acf8e479, 0x18df398b0163de95, 0xfeccf1d7a3e76c91, 0x03cb5ba0ff48a807,
  0xc5076bcb955acbb5, 0x9cea2a551aee719c, 0x0809d372bb54b7d5, 0x0d2b97d8f488735c, 0x56bae7b55a22bcb1,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x24f257ee68665874,
  0x00000006ebb7c138,
};

/*
 * m644rfr2_swio14_lednop_pr_ee_ce_u4 m64rfr2_swio14_lednop_pr_ee_ce    m64rfr2_swio14_lednop_pr_ee_ce_u4
 * m640_swio14_lednop_pr_ee_ce       m640_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio14_lednop_pr_ee_ce[] = {
  0x53dddddda2436812, 0xb772d2c30e23bac3, 0x17599eee2f41200d, 0x9d8f6238541b976d, 0xec4e4e312309e25a,
  0xe327777ec2c02935, 0x77fe186cfe374c13, 0xbb8c5faa3df7282d, 0x88bace1e78f373b6, 0x705fa8f84bf10d84,
  0x6107be64c5c3f539, 0xf4a8e479594b94ed, 0xa62b2871c8f83660, 0x6588a459a75a1140, 0xedce94752135f461,
  0xe74dda4447371cea, 0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e, 0x3398a0ed7972ab52,
  0xfab39d454aa35dce, 0x6b81013a6e576a96, 0x9621a572fb1e910e, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x5f9b6c6263b7b155, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xe7049e4afdcd0ccb, 0x000000000027e7d9,
};

// m64rfr2_swio14_lednop_ee_hw       m640_swio14_lednop_ee_hw
static const uint64_t ur_m644rfr2_swio14_lednop_ee_hw[] = {
  0x09bbbbbb451a3e4a, 0xb572d2c7a9d05ac5, 0x6f4d2eec01e97c49, 0x11e45338f8d33f6a, 0xf9a2d456408a444a,
  0x827c64ee94a3adaa, 0x411adfe562cfa5a9, 0xf2b60b355ad198f9, 0xa391f06cc1f511c8, 0xb34eb422877c56a7,
  0x9a426be8c2cb1148, 0x371cead2ee9571ac, 0x5ae875e74dda4447, 0xc242285f11c65635, 0x047eb70decb65cc5,
  0x72ab500ad627951b, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x1e910e6b81013a6e, 0xab44579621a572fb,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x1b94b52fcdb6318a, 0xdef2861539fa84e3,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x6fcd35a8a792bf73,
  0x0000000000000001,
};

/*
 * m644rfr2_swio14_lednop_ee_ce_u4_hw m64rfr2_swio14_lednop_ee_ce_hw    m64rfr2_swio14_lednop_ee_ce_u4_hw
 * m640_swio14_lednop_ee_ce_hw       m640_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio14_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683d5b, 0xbb969618711dd61a, 0xbaccf7717a09006d, 0xec7b11c2a0dcbb68, 0x62727189184f12d4,
  0x9f193bacf9d6f6b5, 0x6bbff2b167f1ba60, 0xb5dc62fd51efb941, 0x488bace1e79e439d, 0xf20ffa8f84bf10d8,
  0x5841ef993170faa0, 0x3d2a391e5652e53b, 0x298aca1c723e0d98, 0x5962291669d68450, 0xbb73a51d484d7d18,
  0x79d3769111cdc73a, 0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0x8ce6283b5e5caad4,
  0xbeace75152a8d773, 0x9ae0404e9b95daa5, 0xe588695cbec7a443, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x97e6db1898edec55, 0x0a9cfd42718dca5a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x9453c95fb9a19961, 0x000000000280a754,
};

/*
 * m644rfr2_swio14_dual_pr           m644rfr2_swio14_dual_pr_u4        m64rfr2_swio14_dual
 * m64rfr2_swio14_dual_pr            m64rfr2_swio14_dual_pr_u4         m640_swio14_dual
 * m640_swio14_dual_pr               m640_swio14_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_swio14_dual[] = {
  0x83777776890d7f41, 0xbf6dc3e5ee717af0, 0x421eef4e3126ec19, 0x05410d28f66c502f, 0xd5ce76ca295ba105,
  0x4bd3b97b8ccd957f, 0x9182a906019827c6, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xd84063854a9bf77e,
  0x04903dbf3472398f, 0x9f0fcfdf0450a489, 0x72b7c4fae1f0a218, 0x2d08c910cab397a6, 0xfd01cf09ad68a843,
  0x0b0de579096dca5f, 0x2d794128bfe48526, 0x207bdc723f7477cb, 0xa83cce4c3dd24389, 0x6764011a62731602,
  0x7d500ffd9823af00, 0x95f3a81e59edbde3, 0x955acfe2af9ddc54, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55,
  0xf488735c0809d372, 0x5a22bcb10d2b97d8, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xdca5a97e6db18c55, 0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x926b5a9c12792bf7, 0x0000000000000002,
};

// m64rfr2_swio14_dual_pr_ee         m640_swio14_dual_pr_ee
static const uint64_t ur_m644rfr2_swio14_dual_pr_ee[] = {
  0xeb7777743d686f97, 0xbf6dc3fe3fbbf5e6, 0xa4deeabe6c48eee0, 0x74bb69c89f55fd77, 0x577efdf1f3f66e83,
  0xc9e08ce86714eb26, 0x91dc7cc13e324c4d, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0xe143f374ffe65012,
  0xce9a391ce0ec3abc, 0xef8228524482481e, 0x7d70f8510c4f87e7, 0x10cab397a6715222, 0x260f7150865a0bed,
  0xe425b7d35ff4073c, 0x2d7f9214982c3795, 0xedd4d56b47fba504, 0x8f83660c3dc723ca, 0x75a1143be2bd371c,
  0x135f4616588a459a, 0x9d5a5d82ae2a5cd2, 0x1d7a897631e8cf53, 0x8a34a4710d8d56ba, 0x5b86f65f4b317090,
  0x500b2288aa8d823f, 0x556b3f8abe777152, 0x6bb9c673141daf2e, 0xed52df5673a8a954, 0xd221cd7020274dca,
  0x688af2c434ae5f63, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x7296a5f9b6c63156,
  0x37f07771a2cf7823, 0x4fe50c2a73f53ab3, 0x04d1f6c3dce32fcc, 0x0cf4c2b93f1cf7ff, 0xe9296ce1c4e32c97,
  0x7049e4afdcd0ccb0, 0x0000000000ac8f5b,
};

// m64rfr2_swio14_dual_pr_ee_u4      m640_swio14_dual_pr_ee_u4
static const uint64_t ur_m644rfr2_swio14_dual_pr_ee_u4[] = {
  0x627777776890cf68, 0xb7edb87fc7a01f5f, 0xdaefdd414f5848cb, 0x91f2253ae751796a, 0x76164fbe3e7eec49,
  0xf7268fa9d5a0b767, 0xaa44463304f8c923, 0x369181bbafb26460, 0x4a774f8971030a18, 0x91c0e0cdd5ff9940,
  0x1cae9a391f676c23, 0xe7ef822852448248, 0x827d70f8510c4f87, 0xf6886559cbd338a4, 0xcf09a448a8432d08,
  0xe579096dffe7fd01, 0x41275fe485260b0d, 0xf2bc09355ad1c069, 0xa391f06cc1c891c8, 0xb34eb422877c5795,
  0x9a426be8c2cb1148, 0x7c73ab4b9c35c20b, 0xba1d7b589db6fa39, 0x908a014463e58d56, 0x5fadc37b2e3e3170,
  0xf8abe77715255c64, 0x673141daf2e556b3, 0xf5673a8a9546bb9c, 0xd7020274dcaed52d, 0x2c434ae5f63d221c,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6c63156f62aa, 0xeee345912637296a,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0xc7049e4afdcd0ccb, 0x000000000002b22e,
};

/*
 * m644rfr2_swio14_dual_pr_ce_u4     m64rfr2_swio14_dual_pr_ce         m64rfr2_swio14_dual_pr_ce_u4
 * m640_swio14_dual_pr_ce            m640_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio14_dual_pr_ce[] = {
  0x276eeeeed121a5fb, 0x4afdb70f8cb9debe, 0xda9afbb618a774ee, 0x8efe9b33a2f2af39, 0x56227a8fb3edd89c,
  0x4d45b94b235d41f1, 0x2305522e4a9827c6, 0x50c1b48c0ddd7d93, 0xca0253ba7c4b8818, 0xb0d36708ad30d6fc,
  0x09206a7a68e47df7, 0x3e1f9fbe08a14912, 0xe65409f5c3e14431, 0xb436fa2195672f4c, 0xf4073c263d62a10c,
  0x586f2bc84b6e63ff, 0x3dca0c72ff242930, 0x9e3cdcec6b462fd6, 0x12fc4361222eb387, 0x4c5c39256547ea3e,
  0x1c27cf72ceaf52e6, 0xb7e921c4903b5a39, 0x80234c4e62c0528b, 0x01ffb33c75e00cec, 0x9d40f2d6e7bc6faa,
  0xd67f157ceee2a4af, 0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0x439ae0404e9b95da, 0x15e588695cbec7a4,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5a97e6db1898edec, 0xf83bb8d164498dca,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x3a79c12792bf7343, 0x0000000000000349,
};

// m64rfr2_swio14_dual_pr_ee_ce      m640_swio14_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_swio14_dual_pr_ee_ce[] = {
  0x9d6ddddddd431f02, 0x53f6dc3e5ef227d7, 0xdb04ddebb086f58a, 0xf6666931c2c9b51f, 0xae3f3bb05e694eb0,
  0x928c459b7219852f, 0x479eb9827c64a3bb, 0x9181bbafb26460aa, 0x774f8971030a1836, 0xe0ff26c41f99404a,
  0x8fcd1c8e1a361a68, 0xef8228524482481d, 0x7d70f8510c4f87e7, 0x10cab397a673a9c2, 0x2674b150865a050d,
  0xc84b6fd83ff4073c, 0x5bff242930586f2b, 0xb5bb1fd51e04941b, 0xe089300fe78f373b, 0xa53b58166e99ceb0,
  0x1b307b7e391e572b, 0x08a05315efb8e47c, 0xfa30b2c4522cd3ad, 0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d,
  0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608, 0xb955acfe2af9ddc5, 0x51aee719cc5076bc,
  0x2bb54b7d59cea2a5, 0x8f488735c0809d37, 0x55a22bcb10d2b97d, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0xdbd8aaa2d2414e31, 0x1b94b52fcdb63131, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd, 0x332c3a4a5b387138,
  0x09a71c12792bf734, 0x0000000000000026,
};

// m64rfr2_swio14_dual_pr_ee_ce_u4   m640_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_swio14_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fa812, 0xb6e1f267f57f5e5a, 0x87bb5a2af57c3d9f, 0x149f76083399335c, 0xdb85ad12ecb50430,
  0xe0e5acafed0b8b2b, 0x9827c6494eb907d7, 0x75f64c8c1548a7e1, 0x2e20614306d23037, 0x1adfe656024ee9f1,
  0x8f00360290e1faf3, 0x524482481dadcd1c, 0x510c4f87e7ef8228, 0x2f4ce3c0227d70f8, 0xa10cb43672219567,
  0x90ffe80e784d95a2, 0xa260b0de579096dd, 0xa8c6b4a0f60ffe19, 0xe79f00cefb06317e, 0x84bf10d8488bace1,
  0x3170f1f75c95fa8f, 0x572ba53b58426e99, 0xe47c1b307b7e391e, 0xd3ad08a05315efb8, 0x909afa30b2c4522c,
  0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7, 0x8b848451a523886c, 0x3608991c37b2fa59, 0xddc5494b3c8a22aa,
  0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0x9d372bb54b7d59ce, 0xb97d8f488735c080, 0xae7b55a22bcb10d2,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xc8931b94b52fcdb6, 0xa9d599bf8347f1a2,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0020018f267f8679,
};

// m64rfr2_swio14_dual_ee_hw         m640_swio14_dual_ee_hw
static const uint64_t ur_m644rfr2_swio14_dual_ee_hw[] = {
  0x75bbbbbb451a25fb, 0x5fb6e1ff1fddfaf3, 0xd26f755f36247770, 0xba5db4e44faafebb, 0x2bbf7ef8f9fb3741,
  0x4dca591aeba55993, 0x2a91dc7cc13e324c, 0x0da4606eebec9918, 0x419dd3e25c40c286, 0xbce143f374ffe657,
  0x1ece9a391ce0ec3a, 0xe7ef822852448248, 0x227d70f8510c4f87, 0xed10cab397a67152, 0x3c260f7150865a0b,
  0x95e425b7d35ff407, 0x042d7ff2a4982c37, 0xcaedd4d56b47fba5, 0x1c8f83660c3dc723, 0x9a75a1143be2bd37,
  0xd2135f4616588a45, 0x539d5a5d82ae2a5c, 0xba1d7a897631e8cf, 0x908a34a4710d8d56, 0x3f5b86f65f4b3170,
  0x52500b2288aa8d82, 0x2e556b3f8abe7771, 0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x63d221cd7020274d,
  0xd5688af2c434ae5f, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x637296a5f9b6c631,
  0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0xbb5b3c9d14f257ee, 0x0000000000000002,
};

/*
 * m644rfr2_swio14_dual_ee_ce_u4_hw  m64rfr2_swio14_dual_ee_ce_hw      m64rfr2_swio14_dual_ee_ce_u4_hw
 * m640_swio14_dual_ee_ce_hw         m640_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio14_dual_ee_ce_hw[] = {
  0xadddddda28d08f43, 0xedb87c99fd5fd796, 0x21eed68abd5f0f67, 0x0527dd820ce64cd7, 0xf6e16b44bb2d410c,
  0x89fb5ab6a71ae2ca, 0x7e19827c6494eb97, 0x03775f64c8c1548a, 0x9f12e20614306d23, 0xd798d6ff32ba0cee,
  0x68e47801b014870f, 0x114292241240ed6e, 0x87c288627c3f3f7c, 0xab397a671e0113eb, 0xad150865a1b3910c,
  0xb6ec87ff4073c26c, 0xfe54930586f2bc84, 0x62fd518d6941ec1f, 0xace1e79e439df60c, 0xfa8f84bf10d8488b,
  0x6e993170e30bbb77, 0x391e572ba53b5842, 0xefb8e47c1b307b7e, 0x522cd3ad08a05315, 0x0a3a909afa30b2c4,
  0xd8c7a33d4e7576e6, 0x886c6abc6c75ea25, 0xfa598b848451a523, 0x22aa3608991c37b2, 0x2af9ddc5494b3c8a,
  0xcc5076bcb955acfe, 0x59cea2a551aee719, 0xc0809d372bb54b7d, 0x10d2b97d8f488735, 0xe56bae7b55a22bcb,
  0x42a417296be74078, 0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0x39fa84e31b94b52f, 0x313ffbc3def28615,
  0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x0000001d7536dd68,
};

/*
 * m644rfr2_swio15_noled_pr          m64rfr2_swio15_noled              m64rfr2_swio15_noled_pr
 * m640_swio15_noled                 m640_swio15_noled_pr
 */
static const uint64_t ur_m644rfr2_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x6c13c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa4941dbffe5c7e7c, 0x03e7a391e213be5b, 0xbdd3694b5e921c49, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0xce6283b5e5caad4a, 0xaece75152a8d7738, 0x439ace9b95daa5be, 0xaf2c434ab57fbfa4,
  0x7d3bcfd6b9ed5688, 0x4b0b9d4ea701652a, 0x78ce88117ee2810b, 0xc37296a5f9b69c63, 0xacc790347f1a2c79,
  0x6592e19e985727ee, 0x19961d252d9c389c, 0x40023c953c95fb9a, 0x000000000000003e,
};

// m64rfr2_swio15_noled_pr_u4        m640_swio15_noled_pr_u4
static const uint64_t ur_m644rfr2_swio15_noled_pr_u4[] = {
  0xf76eeeeed121b562, 0xad72d2c42b0dbac4, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426ecf7,
  0xc13e32777e9c1b24, 0x282657f861b3efe4, 0x411c8f2f8ef9683f, 0x9a3de95490e2481f, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0x3398a0ed7972ab57, 0xabb39d454aa35dce, 0x10e6b3a6e576a96f,
  0x2bcb10d2ad5fefe9, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x94b52fcdb1922ade,
  0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f,
  0x866587494b670e27, 0x3a9c5b824f257ee6, 0x00000000000000f9,
};

/*
 * m644rfr2_swio15_noled_pr_ee_u4    m64rfr2_swio15_noled_pr_ee        m64rfr2_swio15_noled_pr_ee_u4
 * m640_swio15_noled_pr_ee           m640_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1219541, 0xdab96963d4e85d60, 0x4f5a2ee8db623e24, 0xede4531d7c33c5ef, 0x7545a0ab41148885,
  0x7c64ee80a498b04e, 0x8adfe186cf93a982, 0x594b9aad68dfc941, 0x91f06cc184f8e479, 0x4eb422877c5650e3,
  0x426be8c2cb1148b3, 0x1cead2e95971ac9a, 0xe875e74ddba84792, 0x8451f22383f6355a, 0xfd6e1bd96cb98b84,
  0xad402e9305aa3608, 0x7738ce6283b5e5ca, 0xa5beaece75152a8d, 0xbfa4439ace9b95da, 0x5688af2c434ab57f,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x4c6e52d4bf36c648, 0xeaccdfc1ddc68b22,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x013af998ae093c95,
};

/*
 * m644rfr2_swio15_noled_pr_ce_u4    m64rfr2_swio15_noled_pr_ce        m64rfr2_swio15_noled_pr_ce_u4
 * m640_swio15_noled_pr_ce           m640_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio15_noled_pr_ce[] = {
  0x93dddddda2431768, 0x3972d2c083033ac1, 0x7e8d3dde3f427af4, 0x9f891b479190243c, 0x947b433376d4f74c,
  0x9827c64ee9ba3b46, 0x941c09fe186cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0x1a4871240c9e8e47, 0x0a3dece62c0532a7, 0x0ffd99e3af47ced1, 0xb703cb5b84526950,
  0x9cc5076bcb955abe, 0x5d9cea2a551aee71, 0x87359d372bb54b7d, 0x5e5886956aff7f48, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x4b52fcdb190c76f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x31c4b824f257ee68,
  0x0000000000000dd7,
};

/*
 * m644rfr2_swio15_noled_pr_ee_ce_u4 m64rfr2_swio15_noled_pr_ee_ce     m64rfr2_swio15_noled_pr_ee_ce_u4
 * m640_swio15_noled_pr_ee_ce        m640_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio15_noled_pr_ee_ce[] = {
  0x3bdddddda243173e, 0xb772d2c30e5c1ac6, 0x176c4ee8335a200d, 0xdd8f622484715835, 0xf2723b5c6309e271,
  0x8c9ddcfb402d3913, 0x07f861b3e87d304f, 0x4118bf5476ea5071, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0xcf58e47959c394ed, 0xa62b2eb1c8f83660, 0x6588a459a75a1140, 0xedc958752135f461,
  0xe74ddba847921cea, 0xe44707ec6abc6c75, 0x37b2d973170908a3, 0x3e9305aa3608991c, 0xce6283b5e5caad4b,
  0xaece75152a8d7738, 0x439ace9b95daa5be, 0xaf2c434ab57fbfa4, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0xa5a97e6d8c863b7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d,
  0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x87aa1c12792bf734, 0x000000000000009f,
};

// m64rfr2_swio15_noled_ee_hw        m640_swio15_noled_ee_hw
static const uint64_t ur_m644rfr2_swio15_noled_ee_hw[] = {
  0xef7777768a341768, 0xd5cb4b1ea742eb05, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a4442f,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0x9594b9aad68dfc94, 0x391f06cc184f8e47, 0x34eb422877c5650e,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0xd7738ce6283b5e5c, 0xaa5beaece75152a8, 0xfbfa4439ace9b95d, 0xd5688af2c434ab57,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0x38c6e52d4bf36c64, 0xf0f7bca1854e7ea1,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x00b7f559ba29e4af,
};

/*
 * m644rfr2_swio15_noled_ee_ce_u4_hw m64rfr2_swio15_noled_ee_ce_hw     m64rfr2_swio15_noled_ee_ce_u4_hw
 * m640_swio15_noled_ee_ce_hw        m640_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio15_noled_ee_ce_hw[] = {
  0xbdddddda28d0ac4f, 0x772d2c30e5c1ac63, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e271d,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0x882317ea8edd4a0e, 0x222eb3879e790e77, 0xaa0fea3e12fc4361,
  0xb083df3262e1dd51, 0x67ac723cace1ca76, 0x53159758e47c1b30, 0xb2c4522cd3ad08a0, 0x76e4ac3a909afa30,
  0xf3a6edd423c90e75, 0xf22383f6355e363a, 0x1bd96cb98b848451, 0x9f4982d51b044c8e, 0x673141daf2e556a5,
  0x57673a8a9546bb9c, 0x21cd674dcaed52df, 0x579621a55abfdfd2, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3,
  0x8aaa2d2da2718de3, 0x52d4bf36c6431dbd, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x9164a29e4afdcd0c, 0x0000000000002808,
};

// m64rfr2_swio15_lednop             m640_swio15_lednop
static const uint64_t ur_m644rfr2_swio15_lednop[] = {
  0x1b0777777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd6c1,
  0x7304f8c9ddb1ec86, 0x9283dd7f971f9f8f, 0x7cf4723cdc77cb74, 0xdd319538d2438920, 0xecf7a3b58e62c05b,
  0x045dc72c608ebc5c, 0x398a0ed7972ab52b, 0xbb39d454aa35dce3, 0x81013a6e576a96fa, 0x10d2b92b1e910e6b,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00001524bf9e4a9e,
};

/*
 * m644rfr2_swio15_lednop_pr_u4      m64rfr2_swio15_lednop_pr          m64rfr2_swio15_lednop_pr_u4
 * m640_swio15_lednop_pr             m640_swio15_lednop_pr_u4
 */
static const uint64_t ur_m644rfr2_swio15_lednop_pr[] = {
  0xeedddddda2432aac, 0x5ae5a58856a87589, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6ecf7,
  0x609f193bbe451db2, 0x504c7ff861b3f52a, 0x411c8fa51df2d07e, 0x340609f490e2481f, 0xbe238c8e62c05965,
  0x00ffd9823af47cec, 0x3903cb3db1bf70d5, 0x9cc5076bcb955adc, 0x5d9cea2a551aee71, 0xc0809d372bb54b7d,
  0x88695c958f488735, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x000000003e4c4cd0,
};

/*
 * m644rfr2_swio15_lednop_pr_ee_u4   m64rfr2_swio15_lednop_pr_ee       m64rfr2_swio15_lednop_pr_ee_u4
 * m640_swio15_lednop_pr_ee          m640_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m644rfr2_swio15_lednop_pr_ee[] = {
  0x5ef777776890c582, 0x36ae5a58f53082b0, 0xf0ad5c7ba5c46789, 0x0bdbc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x04e0ff861b3f43f3, 0xe56a7a6ab5a37f25, 0x8e47c1b30613e391, 0xcd3ad08a1df15e04,
  0x6909afa30b2c4522, 0x2873ab4bc875c6b2, 0x6ba1d79d376ee918, 0x121144dc8f22d8d5, 0x23f5b86f65b2e62e,
  0x955a80422934a8d8, 0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x488735c0809d372b, 0xd115e588695c958f,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xe52d4bf36d02a2ad, 0xcdfc1ddc68b224c6,
  0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389,
  0xaff9a6e093c95fb9, 0x0000000000000013,
};

/*
 * m644rfr2_swio15_lednop_pr_ce_u4   m64rfr2_swio15_lednop_pr_ce       m64rfr2_swio15_lednop_pr_ce_u4
 * m640_swio15_lednop_pr_ce          m640_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio15_lednop_pr_ce[] = {
  0xc9eeeeeed121b768, 0x1cb96960418fdd60, 0x7ed05dd623e2fd7a, 0x3f12368f20336401, 0x4ce2a16d2ec9ee99,
  0x304f8c9dd764af8c, 0x283beffc30d9f8ad, 0x79b9ddba8c5fac89, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0x5a4871240c9e8e47, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0xe6283b5e5caad6e1, 0xece75152a8d7738c, 0x0404e9b95daa5bea, 0x434ae4ac7a4439ae, 0x95aeb9ed5688af2c,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d,
  0x00000001bae6088e,
};

/*
 * m644rfr2_swio15_lednop_pr_ee_ce_u4 m64rfr2_swio15_lednop_pr_ee_ce    m64rfr2_swio15_lednop_pr_ee_ce_u4
 * m640_swio15_lednop_pr_ee_ce       m640_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m644rfr2_swio15_lednop_pr_ee_ce[] = {
  0x3bdddddda2431bc1, 0xb772d2c30e44eac6, 0x7f4376e9bb64200d, 0xdd8f622485c18e24, 0xe05991a66309e271,
  0xc64ee8eba6bb62ee, 0x03fc30d9ffd79827, 0x008c5faa3b752830, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0xcf58e479594394ed, 0xa62b60b1c8f83660, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x673141daf2e556a5,
  0x57673a8a9546bb9c, 0x7020274dcaed52df, 0x621a572563d221cd, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b681463b7b1554, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x00000000027e04d6,
};

// m64rfr2_swio15_lednop_ee_hw       m640_swio15_lednop_ee_hw
static const uint64_t ur_m644rfr2_swio15_lednop_ee_hw[] = {
  0xf7bbbbbb451a3768, 0xb572d2c7a9841582, 0x856ae3dd2e233c49, 0x5ede4531d7d0b867, 0x7111fb226c114888,
  0x304f8c9dd764afb6, 0x504e0ff958b3f43f, 0x1e56a7a6ab5a37f2, 0x48e47c1b30613e39, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0x51aee719cc5076bc, 0xbb54b7d5d9cea2a5, 0xf488735c0809d372, 0xad115e588695c958,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6e52d4bf36d02a2a, 0x7bca1854e7ea138c,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xbfd04aa29e4afdcd,
  0x0000000000000005,
};

/*
 * m644rfr2_swio15_lednop_ee_ce_u4_hw m64rfr2_swio15_lednop_ee_ce_hw    m64rfr2_swio15_lednop_ee_ce_u4_hw
 * m640_swio15_lednop_ee_ce_hw       m640_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio15_lednop_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xbb96961872275631, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f138e,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xb80118bf5476ea50, 0x0911759c3cf3c873, 0xb0a47f51f097e21b,
  0x6b083df3262e1cdb, 0x067ac723caca1ca7, 0x05315b058e47c1b3, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3,
  0xaf3a6eddd23050e7, 0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0xe3398a0ed7972ab5,
  0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xcb10d2b92b1e910e, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x2fcdb40a31dbd8aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x68a792bf734332c3, 0x000000000a02fb31,
};

/*
 * m644rfr2_swio15_dual_pr           m644rfr2_swio15_dual_pr_u4        m64rfr2_swio15_dual
 * m64rfr2_swio15_dual_pr            m64rfr2_swio15_dual_pr_u4         m640_swio15_dual
 * m640_swio15_dual_pr               m640_swio15_dual_pr_u4
 */
static const uint64_t ur_m644rfr2_swio15_dual[] = {
  0x2eeeeeed12190907, 0xfdb70f97bfb5ebea, 0x2d5bb2ee999bb066, 0x15045c675905333d, 0xf69c9263b2dda8b4,
  0xbd3b95a0fd5f7efa, 0x182a90a919827c64, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x84063854a9bf77e6,
  0x4903dbf3472398fd, 0xf0fcfdf0450a4890, 0x1aec4fae1f0a2189, 0xd08c910cab397a67, 0xd01cf09ad68a8432,
  0xb0de579096dca1ff, 0xef941fddfe485260, 0x0e0fc723edf3be59, 0x07992b47ba487124, 0xeda523884e62c055,
  0x2a01ffb30475e00c, 0xb81281e59eda6319, 0xaad67f157ceee2a4, 0xd7738ce6283b5e5c, 0xaa5beaece75152a8,
  0x4439ae0404e9b95d, 0x88af2c434ae4ac7a, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x296a5f9b6815156f, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x9a0e37049e4afdcd, 0x00000000000000a4,
};

// m64rfr2_swio15_dual_pr_ee         m640_swio15_dual_pr_ee
static const uint64_t ur_m644rfr2_swio15_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xfdb70ff8fae3ebca, 0x87dbb3890523bb82, 0xe9776182ca3e9f7b, 0xd9b1d7e3e7eca706,
  0x9a3ea757d76ec421, 0x0ba2cc13e324c4dc, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x143f374ffe650129,
  0xe9a391ce0ec3abce, 0xf8228524482481ec, 0xd70f8510c4f87e7e, 0x0cab397a672e8627, 0x60f7150865a0bed1,
  0x84b6f3b7ff4073c2, 0xfff242930586f2bc, 0x37355ad1b93941e9, 0xe0d9838f71c8f2bd, 0x68450ef8af674723,
  0xd7d185962291669d, 0x569753cb8a973484, 0xaf512ecfe23ea0e7, 0x41ea8fe4b1aad743, 0x70decbe9662e1211,
  0x0087cded51b047eb, 0x56b3f8abe7771525, 0xbb9c673141daf2e5, 0x52df57673a8a9546, 0x21cd7020274dcaed,
  0x4579621a572563d2, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b52fcdb40a8ab7b,
  0xf83bb8d167bc11b9, 0xf2861539fa9d599b, 0x68fb61ee7197e627, 0x7a615c9f8e7bff82, 0x94b670e271964b86,
  0x24f257ee68665874, 0x000000005642b538,
};

// m64rfr2_swio15_dual_pr_ee_u4      m640_swio15_dual_pr_ee_u4
static const uint64_t ur_m644rfr2_swio15_dual_pr_ee_u4[] = {
  0xf02f777776890c86, 0x76fdb70ff8f44ff5, 0x5bb37ba769a70919, 0x647c894aaaf75b8d, 0xc535ec5f8f9fb816,
  0xdcbbb1bb322798b5, 0x5481544c13e3248f, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x2381c19babff3280,
  0x395d34723eced847, 0xcfdf0450a4890490, 0x44fae1f0a2189f0f, 0xda2195672f4ce022, 0x3c269122a10cb423,
  0x2bc84b6fbb5ff407, 0x1eafff242930586f, 0x2bcad355ad1afb94, 0x391f06cc1f751c8f, 0x34eb422877c572ba,
  0xa426be8c2cb1148b, 0x273ab4b9755c20b9, 0xe875ed62763291ce, 0x08a25f235af6355a, 0xfadc37b2e3e31709,
  0xc55f3bb8a92ae07c, 0x398a0ed7972ab59f, 0xbb39d454aa35dce3, 0x81013a6e576a96fa, 0x10d2b92b1e910e6b,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2, 0xb8d164498dca5a97,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0xc12792bf734332c3, 0x00000000002b2191,
};

/*
 * m644rfr2_swio15_dual_pr_ce_u4     m64rfr2_swio15_dual_pr_ce         m64rfr2_swio15_dual_pr_ce_u4
 * m640_swio15_dual_pr_ce            m640_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m644rfr2_swio15_dual_pr_ce[] = {
  0xe4edddddda2432db, 0x92bf6dc3e32abfd7, 0xe5bddee80a295d3b, 0xc8efe986e75bdfb4, 0x599d05900962ddc9,
  0xc64d45b91c115638, 0x932305521e019827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0xf7b0d36708ad30d6,
  0x1209206a7a68e47d, 0x313e1f9fbe08a149, 0x99ce8f89f5c3e144, 0x19686df4432ace5e, 0xffe80e784c7ac542,
  0x60b0de579096dec7, 0xa98f9411adfe4852, 0x0f3c79b9d9c18c5f, 0x7c25f886c2445d67, 0x993170ece5d1ffd4,
  0x723c893dcb3abd4b, 0xdc6552438920622c, 0xeda523884e62c05f, 0x2a01ffb33c75e00c, 0x2e04a0796b726319,
  0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0x910e6b81013a6e57, 0xa22bcb10d2b92b1e,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94b52fcdb40a31db, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x492053824f257ee6, 0x0000000000000003,
};

// m64rfr2_swio15_dual_pr_ee_ce      m640_swio15_dual_pr_ee_ce
static const uint64_t ur_m644rfr2_swio15_dual_pr_ee_ce[] = {
  0xabeddddddd43359b, 0x53f6dc3e5eda7bd7, 0xbc7fdd4fb2d4f58a, 0xecccce77b8c3e403, 0x419cae20bcd2abe1,
  0x21e19851fc2d759b, 0x83e7d304f8c94777, 0x2303775f64c8c154, 0xee9f12e20614306d, 0xc1fe4d883f328094,
  0x1f9a391c346c34d1, 0xdf0450a48904903b, 0xfae1f0a2189f0fcf, 0x432ace5e99c76ec4, 0x99d2c54219681434,
  0x212db9adffd01cf0, 0x83fc90a4c161bcaf, 0xc4163faa3cad2838, 0xfcdf548fe78f373b, 0xe53b58166e99ceb0,
  0x0d98332a391e57be, 0x8450298aedd4723e, 0x7d185962291669d6, 0x073abb729e1d484d, 0x1b1d7a89767f11f5,
  0x21141ea8fe4b1aaf, 0x26470decbe9662e1, 0xa929663e6f6a8d82, 0x972ab59fc55f3bb8, 0xaa35dce3398a0ed7,
  0x576a96fabb39d454, 0x1e910e6b81013a6e, 0x55a22bcb10d2b92b, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0xdbd8aaa2d2414e31, 0x1b94b52fcdb40a31, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd, 0x332c3a4a5b387138,
  0x4e939c12792bf734, 0x0000000000000130,
};

// m64rfr2_swio15_dual_pr_ee_ce_u4   m640_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m644rfr2_swio15_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x6dc3e4cfaf7ebe35, 0x1ddb9dbf6af87b3f, 0x58bf1fefae843afe, 0xf70b44bb8d410c05,
  0xb456d2ae3ef2757b, 0x09f19253ae5d35bf, 0x7d932305522f67a6, 0x881850c1b48c0ddd, 0xb7f9958093ba7c4b,
  0xc00d80a4387ebcc6, 0x912092076b734723, 0x4313e1f9fbe08a14, 0xd33875f09f5c3e14, 0x432d0d9c886559cb,
  0x1ffa039e136568a8, 0x982c3795e425b7b9, 0x33832826b7ff8668, 0xe7c033b35b8c5faa, 0x2fc4361222eb3879,
  0x5c3fad4f00fea3e1, 0xefb94ed6109ba64c, 0x8f83660cca8e4795, 0x75a1140a62bb751c, 0x135f4616588a459a,
  0x7d41ceaedca78752, 0xabc6c75ea25d9fc4, 0xb8484507aa3f92c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3,
  0xb5e5caad67f157ce, 0x152a8d7738ce6283, 0x9b95daa5beaece75, 0x4ac7a4439ae0404e, 0x9ed5688af2c434ae,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0x24c6e52d4bf36d02, 0x75666fe0d1fc68b2,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x1000a2ed1fe19e4a,
};

// m64rfr2_swio15_dual_ee_hw         m640_swio15_dual_ee_hw
static const uint64_t ur_m644rfr2_swio15_dual_ee_hw[] = {
  0x53b7777768a342db, 0x17edb87fc7d71f5e, 0xdc3edd9c48291ddc, 0x374bbb0c1651f4fb, 0x0ecd8ebf1f3f6538,
  0x89b91c1156699d21, 0x055217459827c649, 0xc1b48c0ddd7d9323, 0xe833ba7c4b881850, 0x579c287e6e9ffcca,
  0x03d9d347239c1d87, 0xfcfdf0450a489049, 0x0c4fae1f0a2189f0, 0x7da2195672f4ce5d, 0xe784c1ee2a10cb41,
  0xe579096de76ffe80, 0x83d3fffca9260b0d, 0xe57a6e6ab5a37272, 0x8e47c1b3071ee391, 0xcd3ad08a1df15ece,
  0x6909afa30b2c4522, 0x41cead2ea797152e, 0xae875ea25d9fc47d, 0x242283d51fc96355, 0x8fd6e1bd97d2cc5c,
  0x2a4a010f9bdaa360, 0xe5caad67f157ceee, 0x2a8d7738ce6283b5, 0x95daa5beaece7515, 0xc7a4439ae0404e9b,
  0xd5688af2c434ae4a, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x637296a5f9b68151,
  0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x5da7b2d514f257ee, 0x0000000000000001,
};

/*
 * m644rfr2_swio15_dual_ee_ce_u4_hw  m64rfr2_swio15_dual_ee_ce_hw      m64rfr2_swio15_dual_ee_ce_u4_hw
 * m640_swio15_dual_ee_ce_hw         m640_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m644rfr2_swio15_dual_ee_ce_hw[] = {
  0xadddddda28d11107, 0xedb87c99f5efd7c6, 0xc3bb73b7ed5f0f67, 0xab17e3fdf5d0875f, 0x7ee1689771a82180,
  0xed538f74835e4eaf, 0x7a609f19253ae4df, 0xddd7d932305522f6, 0xc4b881850c1b48c0, 0xe635bfccae833ba7,
  0x391e006c0521c3f5, 0x50a48904903b5b9a, 0xf0a2189f0fcfdf04, 0xce5e99c3af84fae1, 0x454219686ce4432a,
  0xbdc8ffd01cf09b2b, 0x9524c161bcaf212d, 0xbf546706504d6fff, 0x3879e790e766b718, 0xa3e12fc4361222eb,
  0xe993170fd4e5c17e, 0x91e57bee53b58426, 0xdd4723e0d98332a3, 0x91669d68450298ae, 0xe1d484d7d1859622,
  0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb, 0x55f3bb8a929663e6,
  0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x1013a6e576a96fab, 0x0d2b92b1e910e6b8, 0x56bae7b55a22bcb1,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0x9fa84e31b94b52fc, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000001d75b566e8a,
};

// m1284p_autobaud_uart0_noled
static const uint64_t ur_m1284_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea635e, 0x822f7b3fd7e8dbd8, 0x418ebfc4eeeeb60e, 0x827c64eec2f5a350,
  0x24807fac3bcf84f9, 0xf017442a81102a7c, 0x6a8e15faa935f736, 0xfcf1df2c90e1b46f, 0xa0a4871240cd27a8,
  0x199cc580b7ba61f3, 0x1823af175e1a968f, 0x12b5ec2b241771cb, 0x01deb5e73859bf03, 0x9b19c2de6f3e0a83,
  0x40959486e2ea72f2, 0xa8b4ac24e31bc674, 0x56d99ca9d156f62a, 0x1e1986ef84a5a97e, 0xc970cf4c2b93f3fb,
  0xcb0e9296ce1c4e32, 0x8b4cc59e4afdcd0c, 0x00000000003598a3,
};

// m1284_autobaud_uart0_noled_pr_u4  m1284p_autobaud_uart0_noled_pr    m1284p_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m1284_autobaud_uart0_noled_pr[] = {
  0x37777776890ce59b, 0x7eeeeee963d4c656, 0x85bafad0dadcc761, 0x2e3b6d22eeeecf77, 0xc64eef2589cc864e,
  0x13ff617cf87b9827, 0xba2154088153e129, 0x70afd549afb9b780, 0x0ef9610f0da37b54, 0x2438920682fd47e8,
  0xe62c0596537c9bdd, 0x1d7a3ebc382d1eb0, 0x6c38d12a807fecc1, 0xc4ad7b1357c0f2cf, 0xc077ad79ce166fc0,
  0xa6c670b79bcf82a0, 0x10256521b8ba9cbc, 0xaa2d2b0938c6f19d, 0x95b6672a7455bd8a, 0xc78661bbe1296a5f,
  0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0x5ed3c95fb9a19961, 0x000000011864a04b,
};

/*
 * m1284_autobaud_uart0_noled_pr_ee_u4 m1284p_autobaud_uart0_noled_pr_ee
 * m1284p_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_noled_pr_ee[] = {
  0x637777776890ca20, 0x2eeeeee960f0619d, 0x4b8bcd885fb6475a, 0xd3537c2ea66e97bf, 0x747b16a8e31aa828,
  0xb0be7e394c13e327, 0x54088153e12b75ff, 0xd549afb9b780ba21, 0x1ce30da37b5470af, 0x4c7d4795c89355ad,
  0xdf15995ea3e0d983, 0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xc237d1e0b39d5a5c, 0x38d8d56ba1d79d3b,
  0x65cc5c2422859e8c, 0x1d51b047eb70decb, 0xf0312b5ec00a4154, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0,
  0x67440959486e2ea7, 0x62aa8b4ac24e31bc, 0x97e56d99ca9d156f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x1fd7b4f257ee6866, 0x00000000009a9dc2,
};

/*
 * m1284_autobaud_uart0_noled_pr_ce_u4 m1284p_autobaud_uart0_noled_pr_ce
 * m1284p_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0x5dffb0be7f674c13, 0xba2154088153e129, 0x70afd549afb9b780, 0x01bfa8290da37b54, 0x3cf3842dbcdceff7,
  0xc25f886c244f659c, 0x1387800293f51e13, 0xb96faf59367b7091, 0x0e2481eb3d4727a7, 0xd61cc580a98dad49,
  0x99e3af47d78705a3, 0x96b7071a25500ffd, 0x7e06256bd89abe07, 0x150603bd6bce70b3, 0xe5e5363385bcde7c,
  0x8ce8812b290dc5d4, 0xec5551695849c637, 0xa5f95b6672a718ed, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2,
  0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xe0b5ed3c95fb9a19, 0x000000000008dd5b,
};

/*
 * m1284_autobaud_uart0_noled_pr_ee_ce_u4 m1284p_autobaud_uart0_noled_pr_ee_ce
 * m1284p_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x2f9fc6e9827c64ee, 0x0440a9f0935dffec, 0xa4d7dcdbc05d10aa, 0x4b86d1bdaa3857ea, 0xde6e761680dfd519,
  0x1227b2ce1e79c216, 0x51fa8f09e12fc436, 0xb3db84889c3dd0dd, 0xf2bea253b58e9ef9, 0xd7a8f83660d6bfa8,
  0x8b34eb422814c57d, 0x8ea426be8c2cb114, 0x1be8f059ceaedc7a, 0xd8d578d8ebce9de1, 0xcc5c2422859e8c38,
  0xa8d8226470decb65, 0x1895af616720aa0e, 0x180ef5af39c2cdf8, 0x94d8ce16f379f054, 0xa204aca437175397,
  0x5545a5612718de33, 0xe56d99ca9c63b7b1, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xd7b4f257ee686658,
  0x0000000008227d9e,
};

// m1284p_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m1284_autobaud_uart0_noled_ee_hw[] = {
  0x1bbbbbbb451a3e4a, 0x7777774b07830ceb, 0x5c5e6c42fdb23ad1, 0x9a9be1753374bdfa, 0x774a51d6d57d4146,
  0xf2b167e394c13e32, 0x0aa0440a9f095baf, 0x7eaa4d7dcdbc05d1, 0x68e7186d1bdaa385, 0x1a63ea3cae449aad,
  0x0ef8accaf51f06cc, 0x85962291669d6845, 0xe7aae3593484d7d1, 0xde11be8f059cead2, 0x61c6c6ab5d0ebce9,
  0x5b2e62e121142cf4, 0xa0ea8d823f5b86f6, 0xdf81895af600520a, 0x054180ef5af39c2c, 0x39794d8ce16f379f,
  0xe33a204aca437175, 0x7b15545a5612718d, 0xd4bf2b6cce54e8ab, 0xa82ecf0cc377c252, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0xb13c19e5e8a792bf,
  0x0000000000000000,
};

/*
 * m1284_autobaud_uart0_noled_ee_ce_u4_hw m1284p_autobaud_uart0_noled_ee_ce_hw
 * m1284p_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart0_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0xa81102a7c24d77fe, 0xaa935f736f017442, 0x652e1b46f6a8e15f, 0xb7e439d85a037f54,
  0xb0913d9670f3ce10, 0xd1ffd4784f097e21, 0xe6cf6e122270ece5, 0xa3cafa894ed63a7b, 0xf75ea3e0d9835afe,
  0x522cd3ad08a05315, 0xea3a909afa30b2c4, 0x846fa3c1673abb71, 0xe36355e363af3a77, 0x973170908a167a30,
  0x3aa3608991c37b2d, 0xe06256bd859c82a8, 0x50603bd6bce70b37, 0x5e5363385bcde7c1, 0xce8812b290dc5d4e,
  0xc5551695849c6378, 0x5f95b6672a718ede, 0x17678661bbe1296a, 0x787bde50c2a44ad4, 0x6761c7f197e627ff,
  0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xa927549453c95fb9, 0x0000000000000004,
};

// m1284p_autobaud_uart0_lednop
static const uint64_t ur_m1284_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea7b3e, 0x0e82dddfab68dbd8, 0xa820c75f426eeeb6, 0xe4c13e3277617ad1,
  0x9f09195feb0ef3ef, 0xcdbc05d10aa0440a, 0x1bdaa3857eaa4d7d, 0xea393c77cb24386d, 0xf8b3e921c4903349,
  0x8e414e62c05bdd30, 0xcb1823af175e1486, 0x81895af61598cf71, 0xef5af3c0809c2cdf, 0x9d002de6f2dd4180,
  0x88d21c354dea5392, 0xd1036e8a042d2d7f, 0x97e56d99d38c6f19, 0x3fb1e1986ef84a5a, 0xe32c970cf4c2b93f,
  0xd0ccb0e9296ce1c4, 0x8a38b4cc59e4afdc, 0x0000000000000359,
};

// m1284_autobaud_uart0_lednop_pr_u4 m1284p_autobaud_uart0_lednop_pr   m1284p_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m1284_autobaud_uart0_lednop_pr[] = {
  0x1bbbbbbb4486259b, 0xf777774b1ea636eb, 0x1631d7f07db1fad4, 0xcc4b8d09bbbb3dde, 0x8c9dd97762419c0b,
  0x2bff617cfbf9304f, 0xba2154088153e123, 0x70afd549afb9b780, 0x8ef9610f0da37b54, 0x2438920682fd47b5,
  0xe62c0596534dd195, 0x3af47d7849a4690c, 0xb7b43ed500ffd982, 0x12b5ecf70503cb3d, 0xb5e781013859bf03,
  0x05bcde6d228301de, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xd39156f62aa8b4c3, 0x77c252d4bf2b6cce,
  0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x01186a9c5ebda792,
};

/*
 * m1284_autobaud_uart0_lednop_pr_ee_u4 m1284p_autobaud_uart0_lednop_pr_ee
 * m1284p_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_lednop_pr_ee[] = {
  0x1bbbbbbb4486bf3e, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x671162b83d776468,
  0x0be7c9d4c13e3277, 0x4088153e128adffb, 0x549afb9b780ba215, 0xce30da37b5470afd, 0xc7d4795995355ad1,
  0xe2b31fea3e0d9834, 0x588a459a75a1143b, 0x8b8d64d2135f4616, 0x11f1193473ab4bc8, 0x6ac6ab5d0ebce9de,
  0x973170908a3a046f, 0x9546c11fadc37b2d, 0xf81895af60041c68, 0x0ef5af3c0809c2cd, 0x9d002de6f3691418,
  0x88d21c354dea5392, 0xa6194e31bc67440f, 0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78,
  0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x00001353b33175ed,
};

/*
 * m1284_autobaud_uart0_lednop_pr_ce_u4 m1284p_autobaud_uart0_lednop_pr_ce
 * m1284p_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x37ffb0be7c6b4c13, 0xba2154088153e12d, 0x70afd549afb9b780, 0x01bfa8290da37b54, 0x3cf3842dbcdcefe7,
  0xc25f886c244f659c, 0x4e1f1bbb07f51e13, 0xe5bebd64d9edc244, 0x389207acf51fa49e, 0x0ce62c05c920fd24,
  0x9e3af47d7849a469, 0xd6e7b43ed500ffd9, 0xc0c4ad7b3dc140f2, 0x77ad79e0404e166f, 0xe8016f379b48a0c0,
  0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786,
  0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00008dd49f875ed3,
};

/*
 * m1284_autobaud_uart0_lednop_pr_ee_ce_u4 m1284p_autobaud_uart0_lednop_pr_ee_ce
 * m1284p_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0x0be7cd6e609f193b, 0x4088153e12149ffb, 0x549afb9b780ba215, 0x2970da37b5470afd, 0xb79b9dd8f81bfaa3,
  0x8489ecb3879e7085, 0xddfea3c2784bf10d, 0xd9edc2444e1c0006, 0x795f7529dac74f7c, 0xefd47c1b306b5fd4,
  0x8b34eb422814c561, 0x0ea426be8c2cb114, 0x47c464d1ceaedd22, 0x56355e363af3a778, 0xb98b848451d0237b,
  0x551b044c8e1bd96c, 0xe06256bd859871a2, 0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a,
  0x986538c6f19d103e, 0x33b4e18edec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee,
  0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x000010441eafaf69,
};

// m1284p_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m1284_autobaud_uart0_lednop_ee_hw[] = {
  0x1bbbbbbb451a2f43, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x775a77dadd956468,
  0xf2b167c9d4c13e32, 0x0aa0440a9f09456f, 0x7eaa4d7dcdbc05d1, 0x68e7186d1bdaa385, 0x1a63ea3cacca9aad,
  0x1df1598ff51f06cc, 0x0b2c4522cd3ad08a, 0xe445c6b26909afa3, 0xef08f88c9a39d5a5, 0x37b56355ae875e74,
  0x96cb98b848451d02, 0x344aa3608fd6e1bd, 0x66fc0c4ad7b0020e, 0x0c077ad79e0404e1, 0xc94e8016f379b48a,
  0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0xdef286152256a0bb,
  0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x559ba29e4afdcd0c,
  0x000000000000b13f,
};

/*
 * m1284_autobaud_uart0_lednop_ee_ce_u4_hw m1284p_autobaud_uart0_lednop_ee_ce_hw
 * m1284p_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0xaa0440a9f090a4ff, 0xeaa4d7dcdbc05d10, 0x194b86d1bdaa3857, 0x5bf21ceec7c0dfd5,
  0xd8489ecb3879e708, 0x044fea3c2784bf10, 0xe6cf6e122270ed07, 0xa3cafba94ed63a7b, 0x0f7ea3e0d9835afe,
  0xa459a75a1140a62b, 0x10752135f4616588, 0xc23e23268e7576e9, 0xdab1aaf1b1d79d3b, 0x65cc5c24228e811b,
  0x12a8d8226470decb, 0xbf0312b5ec2cc38d, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72,
  0xb4c329c6378ce881, 0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef,
  0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964, 0xc9d14f257ee68665, 0x0000000000254933,
};

/*
 * m1284_autobaud_uart0_dual_pr      m1284_autobaud_uart0_dual_pr_u4   m1284p_autobaud_uart0_dual
 * m1284p_autobaud_uart0_dual_pr     m1284p_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_dual[] = {
  0xfddddddda243573e, 0xeeeeee993c2a356e, 0x4e5b29d96efde8eb, 0x72c476b777792dc1, 0xe4b8beecae3acab1,
  0x48e41e609f192696, 0xfc0d88b782c87783, 0x9dd3e251850c85a6, 0x5c5d2d7e6584a012, 0xbd478adb01ac7027,
  0x5e8524482481efb9, 0xaff3f7c117e53e5c, 0x2fd703770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x09a6e8a8432d0d29, 0x79096dce1ffd01cf, 0xbefff950660b0de5, 0x17442a81102a7c24, 0x8e15faa935f736f0,
  0x14ef9626a1b46f6a, 0xa4871240c43fa8f9, 0x398b01541e63d621, 0x1d78035e1ded1d7f, 0x6f9e13ea807fecc1,
  0xeee2a4b14e40f2cf, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x4e8016f379b48a0c, 0xc4690e1aa6f529c9,
  0xd30ca718de33a207, 0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xee3459eff102f63c, 0x152256a75666fe0e,
  0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000017051539af6,
};

// m1284p_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m1284_autobaud_uart0_dual_pr_ee[] = {
  0x77eeeeeeeea1a5fb, 0xa6eeeee9937ae0fb, 0x421aef1d7dbebecd, 0x100b21707747b1ce, 0x235d5462558d3dee,
  0xc59827c64b4eb94b, 0x88b782c87783482c, 0xe251850c85a6fc0d, 0x3e7e6584a0129dd3, 0xd7d81ad9c261b8bb,
  0x4482481c009bd47f, 0x7c117e53e5c5e852, 0x3770f8510c4aff3f, 0x7cbe5cfc87c8dbb0, 0x9082d21be5c5dfc9,
  0x54219686044432ff, 0xc347fd01cf098bac, 0x50660b0de579096d, 0x81102a7c2496bff9, 0xa935f736f017442a,
  0x9121b46f6a8e15fa, 0x4f51e56bee6ab5a3, 0x8aff77a8f83660c1, 0x62291669d68450ef, 0xb8a973484d7d1859,
  0x9223dece7569731e, 0x58d56ba1d7a89bc3, 0x662e1211441f47cf, 0x51b047eb70decbe9, 0x3bb8a92804d7c82d,
  0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xee3459eff104fb8f, 0x4c2b93f75666fe0e, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x0000041178f2faf6,
};

// m1284p_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m1284_autobaud_uart0_dual_pr_ee_u4[] = {
  0xeeeeeed150ff1107, 0xeeee9937ae0fb77e, 0xaef1d7dbebecda6e, 0xb21707747b1ce421, 0x6a31d20cd3dee100,
  0xf8c969d726ff6a9c, 0x590ef0690598b304, 0xa190b4df81b116f0, 0x61298093ba7c4a30, 0xb670986e2ecf9f99,
  0x070026f51ff5f606, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x3f21f236ec0ddc3e, 0x86f97177f25f2f97,
  0xa181110cbfe420b4, 0x4073c262eb150865, 0xc3795e425b70d1ff, 0x3e124b5ff4f43982, 0x9b780ba215408815,
  0x37b5470afd549afb, 0xb5f7355ad1c890da, 0xd47c1b3060a7a8f2, 0x34eb422877c57fbb, 0xa426be8c2cb1148b,
  0x673ab4b98f5c54b9, 0xd0ebd44de1c911ef, 0x08a20fa3e7ac6ab5, 0xf5b86f65f4b31709, 0x94026be416a8d823,
  0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xde6f36914180ef5a, 0xc354dea53929d002, 0xe31bc67440f88d21,
  0xc8ab7b15545a6194, 0xe1296a5f95b66769, 0x3dfe205ec78661bb, 0xa75666fe0d1fc68b, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xa45642f9069e4afd,
  0x0000000000000052,
};

// m1284p_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m1284_autobaud_uart0_dual_pr_ce[] = {
  0xeeeeeeeea0a1a5fb, 0x777774c9a0880777, 0xcea2f4e5b9335087, 0x42c9f7bbba1bac35, 0xca591aeb3685595c,
  0x91118cc13e326275, 0xf81b116f0590ef06, 0x3ba7c4a30a190b4d, 0xf17adffccb094025, 0xa8e9b7b09db385ad,
  0xa149120920633737, 0xfcfdf045f94f9717, 0x47c0ddc3e144312b, 0xbf92f97cb9f90f97, 0x65ff2105a437cb8b,
  0x9fc8a8432d0fdc88, 0x096dce0ffd01cf09, 0xbff950660b0de579, 0x442a81102a7c2595, 0x15faa935f736f017,
  0x5df5f921b46f6a8e, 0xe7085b79b9d94501, 0xe122270ed7687df9, 0xf3dcb3dba97340ae, 0x2438920752fd471b,
  0x3afe731602a00f7d, 0xd99e3af006bc3bda, 0x796b773c27d500ff, 0x8abe77715258a720, 0x70b37e06256bd93f,
  0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a, 0x55516986538c6f19, 0xfcadb33b4e18edec,
  0xe33c330ddf094b52, 0xfc1ddc68b3dfe204, 0xa50c2a44ad4eaccd, 0xc07cd1f633b0e271, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0xb5ed766bda792bf7, 0x0000000000000002,
};

// m1284p_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m1284_autobaud_uart0_dual_pr_ce_u4[] = {
  0xeeeeeed150ff9231, 0x77774c98d326f77e, 0xdf7655fa3f346737, 0x7d55fbbba82b656c, 0x0cd3a721ed6ab410,
  0xf9827c64bb2b97ff, 0x2de0b21de0d21721, 0x9461432169bf0362, 0xbf32c253012774f8, 0x6c3f5ce06b7c5e61,
  0x41240eb7e6f51c52, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f200001b, 0x20b486f97177f25f,
  0x0865a0c1510cbfe4, 0xf9ff4073c2690f15, 0x3982c3795e425b7f, 0x88153e12275ff4f4, 0x9afb9b780ba21540,
  0x10da37b5470afd54, 0x7f00ceca181bfaf5, 0x0913d9670f3ce10b, 0xdffd4784f097e21b, 0x6cf6e122270fcb4c,
  0xd471bf3dcb7d752e, 0x00f7d2438920752f, 0xc3bda3afe731602a, 0x500ffd99e3af006b, 0x8a720796b773c27d,
  0xbd93f8abe7771525, 0xf020270b37e06256, 0x9bcda450603bd6bc, 0xd537a94e4a7400b7, 0xc6f19d103e234870,
  0x8edec55516986538, 0x94b52fcadb33b4e1, 0xff102f63c330ddf0, 0xab337f068fe3459e, 0xe1ef79430a912b53,
  0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0x32812c834f257ee6,
  0x000000000000ad7b,
};

/*
 * m1284_autobaud_uart0_dual_pr_ee_ce_u4 m1284p_autobaud_uart0_dual_pr_ee_ce
 * m1284p_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart0_dual_pr_ee_ce[] = {
  0xbbbbbb4543fcd164, 0xeee993a16d1fddfb, 0xf08ce6956699d6ee, 0x8ecadd51faef9647, 0xcaa7059bd6575ee3,
  0xbdc9598a0134d9f5, 0xa4652149827c648e, 0x7e06c45bc1643bc1, 0x4ee9f128c28642d3, 0xf17f397e6584a602,
  0x1c001b036ece0148, 0x524482481aa466f5, 0x3f7c117e53e5c5e8, 0x303770f8510c4aff, 0x25f2f973f21f2879,
  0xfe420b486f97177f, 0x5150865a0ff110cb, 0xdc92bfe80e784dbb, 0x3d0e60b0de579096, 0xa0440a9f094c37fd,
  0xaa4d7dcdbc05d10a, 0xcae86d1bdaa3857e, 0xbf80677a680dfd51, 0x8489ecb3879e7085, 0xa77ea3c2784bf10d,
  0x6cf6e122270fe72e, 0x3cadfc94ed63a9ba, 0x4af51f06cc1af9ea, 0x22cd3ad08a05315d, 0xe3a909afa30b2c45,
  0x39223dece7576e31, 0xeb1aaf1b1d7a89bc, 0x2cc5c2422883e8f9, 0xd51b044c8e1bd97d, 0xf3bb8a92966d7c82,
  0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0x253a005bcde6d228, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88,
  0x6d99da70c76f62aa, 0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00001fab67483e41,
};

// m1284p_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m1284_autobaud_uart0_dual_ee_hw[] = {
  0x77777768a343e907, 0x77774c9bd707dbbf, 0xd778ebedf5f66d37, 0x590b83ba3d8e7210, 0xf3ad67d769ef7080,
  0x6609f192d3ae4a74, 0x2de0b21de0d20b31, 0x9461432169bf0362, 0x9f996129d06774f8, 0xf606b670986e2ecf,
  0x2092070026f51ff5, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x2f973f21f236ec0d, 0x20b486f97177f25f,
  0x0865a181110cbfe4, 0xd1ff4073c262eb15, 0xe982c3795e425b70, 0x88153e124b5fed46, 0x9afb9b780ba21540,
  0x90da37b5470afd54, 0xa8f2b5f7355ad1c8, 0x7fbbd47c1b3060a7, 0x148b34eb422877c5, 0x54b9a426be8c2cb1,
  0x11ef673ab4b98f5c, 0x6ab5d0ebd44de1c9, 0x170908a20fa3e7ac, 0xd823f5b86f65f4b3, 0xdc5494026be416a8,
  0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0xd002de6f36914180, 0x8d21c354dea53929, 0x6194e31bc67440f8,
  0x6769c8ab7b15545a, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde, 0xfbf619a3ec6761c7,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5453c95fb9a19961, 0x00000000b072a7a7,
};

/*
 * m1284_autobaud_uart0_dual_ee_ce_u4_hw m1284p_autobaud_uart0_dual_ee_ce_hw
 * m1284p_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart0_dual_ee_ce_hw[] = {
  0xbbbbbbb451a2022f, 0xeeee993a16d1fddf, 0x7f08ce6956699d6e, 0x38ecadd51faef964, 0xf6c00059bd6575ee,
  0xc648ebdcbfb47c7a, 0x43bc1a4652149827, 0x642d37e06c45bc16, 0x253a0cee9f128c28, 0x700a478bf9cbf32c,
  0x2337a8e000d81b76, 0x2e2f4292241240d5, 0x6257f9fbe08bf29f, 0xf943c981bb87c288, 0xb8bbf92f97cb9f90,
  0x88865ff2105a437c, 0xc26dda8a8432d07f, 0xbc84b6e495ff4073, 0x61bfda8dd30586f2, 0x2e8855022054f84a,
  0x1c2bf5526bee6de0, 0x6fea8e574368ded5, 0x79c216fc873bd340, 0x2fc4361227b2ce1e, 0x3dd0dd51fa8f09e1,
  0x8ea6e9b3db84889c, 0x6be7a8f2b7f253b5, 0x14c5752bd47c1b30, 0x2cb1148b34eb4228, 0x5db8c78ea426be8c,
  0xea26f0e488f7b39d, 0x0fa3e7ac6abc6c75, 0x6f65f4b3170908a2, 0xb5f20b546c113238, 0x27f157ceee2a4a59,
  0x404e166fc0c4ad7b, 0x9b48a0c077ad79e0, 0x6f529c94e8016f37, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d,
  0x6a5f95b66769c31d, 0xd417678661bbe129, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x134fd2463453c95f, 0x0000000000000002,
};

// m1284p_autobaud_uart1_noled
static const uint64_t ur_m1284_autobaud_uart1_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea635e, 0x822f7b3fd7e8dbd8, 0x418ebfc4eeeeb60e, 0x827c64eec2f5a350,
  0x24807fac3bcf84f9, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0xf3c77cb24386d1bd, 0x82921c4903349ea3,
  0x66731602dee987ce, 0x608ebc5d786a5a3c, 0x9ddfb0ac905dc72c, 0x3bf77e73936df818, 0xc6726fcde7c15060,
  0x256521b8ba9cbca6, 0x2d2b0938c6f19d10, 0xb6672a7455bd8aaa, 0x8661bbe1296a5f95, 0x5c33d30ae4fcfec7,
  0xc3a4a5b387138cb2, 0xd3316792bf734332, 0x000000000d6628e2,
};

// m1284_autobaud_uart1_noled_pr_u4  m1284p_autobaud_uart1_noled_pr    m1284p_autobaud_uart1_noled_pr_u4
static const uint64_t ur_m1284_autobaud_uart1_noled_pr[] = {
  0x37777776890ce59b, 0x7eeeeee963d4c656, 0x85bafad0dadcc761, 0x2e3b6d22eeeecf77, 0xc64eef2589cc864e,
  0x13ff617cf87b9827, 0xe916a81102a7c129, 0xc2bf5526bf917e02, 0x3be5843c368ded51, 0x90e2481a0bf51fa0,
  0x98b016594df26f74, 0x75e8faf0e0b47ac3, 0xb0e344aa01ffb304, 0x2777ec4d5f03cb3d, 0x0efddf9ce4db7e06,
  0xb19c9bf379f05418, 0x0959486e2ea72f29, 0x8b4ac24e31bc6744, 0x6d99ca9d156f62aa, 0xe1986ef84a5a97e5,
  0x7771a2cf7f8817b1, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0xb4f257ee68665874, 0x00000046192812d7,
};

/*
 * m1284_autobaud_uart1_noled_pr_ee_u4 m1284p_autobaud_uart1_noled_pr_ee
 * m1284p_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_noled_pr_ee[] = {
  0x637777776890ca20, 0x2eeeeee960f0619d, 0x4b8bcd885fb6475a, 0xd3537c2ea66e97bf, 0x747b16a8e31aa828,
  0xb0be7e394c13e327, 0xa81102a7c12b75ff, 0x5526bf917e02e916, 0x738c368ded51c2bf, 0x31f51e57224d56b4,
  0x7c56657a8f83660d, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0x08df4782ce756973, 0xe36355ae875e74ef,
  0x973170908a167a30, 0x7546c11fadc37b2d, 0x8189ddfb00290550, 0x0603bf77e73936df, 0xca6c6726fcde7c15,
  0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19, 0xf95b6672a7455bd8, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0xf5ed3c95fb9a1996, 0x0000000026a77087,
};

/*
 * m1284_autobaud_uart1_noled_pr_ce_u4 m1284p_autobaud_uart1_noled_pr_ce
 * m1284p_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0x5dffb0be7f674c13, 0xe916a81102a7c129, 0xc2bf5526bf917e02, 0x06fea0a4368ded51, 0xf3ce10b6f373bfdc,
  0x097e21b0913d9670, 0x4e1e000a4fd4784f, 0xe5bebd64d9edc244, 0x389207acf51c9e9e, 0x58731602a636b524,
  0x678ebd1f5e1c168f, 0x5adc1c6895403ff6, 0xf0313bbf626af81e, 0xa0c077eefce726db, 0x794d8ce4df9bcf82,
  0x3a204aca43717539, 0x15545a5612718de3, 0x7e56d99ca9c63b7b, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x2d7b4f257ee68665, 0x00000000023756f8,
};

/*
 * m1284_autobaud_uart1_noled_pr_ee_ce_u4 m1284p_autobaud_uart1_noled_pr_ee_ce
 * m1284p_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x2f9fc6e9827c64ee, 0x088153e0935dffec, 0x935fc8bf01748b54, 0x2e1b46f6a8e15faa, 0x79b9d85a037f5465,
  0x489ecb3879e7085b, 0x47ea3c2784bf10d8, 0xcf6e122270f74375, 0xcafa894ed63a7be6, 0x5ea3e0d9835afea3,
  0x2cd3ad08a05315f7, 0x3a909afa30b2c452, 0x6fa3c1673abb71ea, 0x6355e363af3a7784, 0x3170908a167a30e3,
  0xa3608991c37b2d97, 0xc4eefd859c82a83a, 0x01dfbbf39c9b6fc0, 0x3633937e6f3e0a83, 0x812b290dc5d4e5e5,
  0x51695849c6378ce8, 0x5b6672a718edec55, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xed3c95fb9a19961d,
  0x00000002089f67b5,
};

/*
 * m1284p_autobaud_uart1_noled_ee_hw usb1286_autobaud_uart0_noled_ee_hw
 * usb1287_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284_autobaud_uart1_noled_ee_hw[] = {
  0x1bbbbbbb451a3e4a, 0x7777774b07830ceb, 0x5c5e6c42fdb23ad1, 0x9a9be1753374bdfa, 0x774a51d6d57d4146,
  0xf2b167e394c13e32, 0xb54088153e095baf, 0xfaa935fc8bf01748, 0xa39c61b46f6a8e15, 0x698fa8f2b9126ab5,
  0x3be2b32bd47c1b30, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x7846fa3c1673ab4b, 0x871b1aad743af3a7,
  0x6cb98b848450b3d1, 0x83aa3608fd6e1bd9, 0xfc0c4eefd801482a, 0xa8301dfbbf39c9b6, 0x5e53633937e6f3e0,
  0xce8812b290dc5d4e, 0xc5551695849c6378, 0x2fcadb33953a2ade, 0x0bb3c330ddf094b5, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x4f06797a29e4afdc,
  0x000000000000002c,
};

/*
 * m1284_autobaud_uart1_noled_ee_ce_u4_hw m1284p_autobaud_uart1_noled_ee_ce_hw
 * m1284p_autobaud_uart1_noled_ee_ce_u4_hw usb1286_autobaud_uart0_noled_ee_ce_hw
 * usb1286_autobaud_uart0_noled_ee_ce_u4_hw usb1287_autobaud_uart0_noled_ee_ce_hw
 * usb1287_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart1_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0x5022054f824d77fe, 0xaa4d7f22fc05d22d, 0x94b86d1bdaa3857e, 0xdf90e761680dfd51,
  0xc244f659c3cf3842, 0x47ff51e13c25f886, 0x9b3db84889c3b397, 0x8f2bea253b58e9ef, 0xdd7a8f83660d6bfa,
  0x48b34eb422814c57, 0xa8ea426be8c2cb11, 0x11be8f059ceaedc7, 0x8d8d578d8ebce9de, 0x5cc5c2422859e8c3,
  0xea8d8226470decb6, 0x0313bbf616720aa0, 0x0c077eefce726dbf, 0x94d8ce4df9bcf82a, 0xa204aca437175397,
  0x5545a5612718de33, 0xe56d99ca9c63b7b1, 0xd9e1986ef84a5a97, 0x1ef79430a912b505, 0xd871fc65f989ffde,
  0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0x49d52514f257ee68, 0x000000000000012a,
};

// m1284p_autobaud_uart1_lednop
static const uint64_t ur_m1284_autobaud_uart1_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea7b3e, 0x0e82dddfab68dbd8, 0xa820c75f426eeeb6, 0xe4c13e3277617ad1,
  0x3e09195feb0ef3ef, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0xa8e4f1df2c90e1b4, 0xe2cfa4871240cd27,
  0x3905398b016f74c3, 0x2c608ebc5d78521a, 0x0c4eefd856633dc7, 0xfbbf3c0809c9b6fc, 0x4026fcde5ba8301d,
  0x34870d537a94e4a7, 0x40dba2810b4b5fe2, 0xf95b6674e31bc674, 0xec78661bbe1296a5, 0xcb25c33d30ae4fcf,
  0x332c3a4a5b387138, 0x8e2d3316792bf734, 0x000000000000d662,
};

// m1284_autobaud_uart1_lednop_pr_u4 m1284p_autobaud_uart1_lednop_pr   m1284p_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_m1284_autobaud_uart1_lednop_pr[] = {
  0x1bbbbbbb4486259b, 0xf777774b1ea636eb, 0x1631d7f07db1fad4, 0xcc4b8d09bbbb3dde, 0x8c9dd97762419c0b,
  0x2bff617cfbf9304f, 0xe916a81102a7c123, 0xc2bf5526bf917e02, 0x3be5843c368ded51, 0x90e2481a0bf51ed6,
  0x98b016594d374654, 0xebd1f5e12691a433, 0xded0fb5403ff6608, 0x9ddfb3dc140f2cf6, 0x7e781013936df818,
  0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4,
  0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x461aa717af69e4af, 0x0000000000000000,
};

/*
 * m1284_autobaud_uart1_lednop_pr_ee_u4 m1284p_autobaud_uart1_lednop_pr_ee
 * m1284p_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_lednop_pr_ee[] = {
  0x1bbbbbbb4486bf3e, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x671162b83d776468,
  0x0be7c9d4c13e3277, 0x81102a7c128adffb, 0x526bf917e02e916a, 0x38c368ded51c2bf5, 0x1f51e56654d56b47,
  0x8acc7fa8f83660d3, 0x62291669d68450ef, 0x2e3593484d7d1859, 0x47c464d1cead2f22, 0xab1aad743af3a778,
  0x5cc5c24228e811bd, 0x551b047eb70decb6, 0xc0c4eefd801071a2, 0xdfbbf3c0809c9b6f, 0x4026fcde6d228301,
  0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x9da722adec555169, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x0004d4eccc5d7b4f,
};

/*
 * m1284_autobaud_uart1_lednop_pr_ce_u4 m1284p_autobaud_uart1_lednop_pr_ce
 * m1284p_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x37ffb0be7c6b4c13, 0xe916a81102a7c12d, 0xc2bf5526bf917e02, 0x06fea0a4368ded51, 0xf3ce10b6f373bf9c,
  0x097e21b0913d9670, 0x387c6eec1fd4784f, 0x96faf59367b70911, 0xe2481eb3d47e927b, 0x3398b0172483f490,
  0x78ebd1f5e12691a4, 0x5b9ed0fb5403ff66, 0x062777ecf70503cb, 0xfddf9e0404e4db7e, 0x0137e6f36914180e,
  0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x00237527e1d7b4f2,
};

/*
 * m1284_autobaud_uart1_lednop_pr_ee_ce_u4 m1284p_autobaud_uart1_lednop_pr_ee_ce
 * m1284p_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0x0be7cd6e609f193b, 0x81102a7c12149ffb, 0x526bf917e02e916a, 0xa5c368ded51c2bf5, 0xde6e7763e06fea8c,
  0x1227b2ce1e79c216, 0x77fa8f09e12fc436, 0x67b709113870001b, 0xe57dd4a76b1d3df3, 0xbf51f06cc1ad7f51,
  0x2cd3ad08a0531587, 0x3a909afa30b2c452, 0x1f1193473abb7488, 0x58d578d8ebce9de1, 0xe62e121147408ded,
  0x546c1132386f65b2, 0x0313bbf61661c689, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d,
  0x194e31bc67440f88, 0xed3863b7b15545a6, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x00041107abebda79,
};

/*
 * m1284p_autobaud_uart1_lednop_ee_hw usb1286_autobaud_uart0_lednop_ee_hw
 * usb1287_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284_autobaud_uart1_lednop_ee_hw[] = {
  0x1bbbbbbb451a2f43, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x775a77dadd956468,
  0xf2b167c9d4c13e32, 0xb54088153e09456f, 0xfaa935fc8bf01748, 0xa39c61b46f6a8e15, 0x698fa8f2b32a6ab5,
  0x77c5663fd47c1b30, 0x2cb1148b34eb4228, 0x91171ac9a426be8c, 0xbc23e23268e75697, 0xded58d56ba1d79d3,
  0x5b2e62e121147408, 0xd12a8d823f5b86f6, 0xb7e062777ec00838, 0x80efddf9e0404e4d, 0x53a0137e6f369141,
  0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x66e8a792bf734332,
  0x00000000002c4fd5,
};

/*
 * m1284_autobaud_uart1_lednop_ee_ce_u4_hw m1284p_autobaud_uart1_lednop_ee_ce_hw
 * m1284p_autobaud_uart1_lednop_ee_ce_u4_hw usb1286_autobaud_uart0_lednop_ee_ce_hw
 * usb1286_autobaud_uart0_lednop_ee_ce_u4_hw usb1287_autobaud_uart0_lednop_ee_ce_hw
 * usb1287_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0x54088153e090a4ff, 0xaa935fc8bf01748b, 0x652e1b46f6a8e15f, 0x6fc873bb1f037f54,
  0x61227b2ce1e79c21, 0x113fa8f09e12fc43, 0x9b3db84889c3b41c, 0x8f2beea53b58e9ef, 0x3dfa8f83660d6bfa,
  0x91669d68450298ac, 0x41d484d7d1859622, 0x08f88c9a39d5dba4, 0x6ac6abc6c75e74ef, 0x973170908a3a046f,
  0x4aa3608991c37b2d, 0xf8189ddfb0b30e34, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x7453c95fb9a19961, 0x0000000009524cf2,
};

/*
 * m1284_autobaud_uart1_dual_pr      m1284_autobaud_uart1_dual_pr_u4   m1284p_autobaud_uart1_dual
 * m1284p_autobaud_uart1_dual_pr     m1284p_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_dual[] = {
  0xfddddddda243573e, 0xeeeeee993c2a356e, 0x4e5b29d96efde8eb, 0x72c476b777792dc1, 0xe4b8beecae3acab1,
  0x48e41e609f192696, 0xfc0d88b782c87783, 0x9dd3e251850c85a6, 0x5c5d2d7e6584a012, 0xbd478adb01ac7027,
  0x5e8524482481efb9, 0xaff3f7c117e53e5c, 0x2fd703770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x09a6e8a8432d0d29, 0x79096dce1ffd01cf, 0xbefff950660b0de5, 0x5d22d5022054f824, 0x3857eaa4d7f22fc0,
  0x53be589a86d1bdaa, 0x921c490310fea3e4, 0xe62c0550798f5886, 0x75e00d7877b475fc, 0xbe784faa01ffb304,
  0xbb8a92c53903cb3d, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253,
  0xc329c6378ce881f1, 0xced39156f62aa8b4, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x00005c1454e6bda7,
};

// m1284p_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m1284_autobaud_uart1_dual_pr_ee[] = {
  0x77eeeeeeeea1a5fb, 0xa6eeeee9937ae0fb, 0x421aef1d7dbebecd, 0x100b21707747b1ce, 0x235d5462558d3dee,
  0xc59827c64b4eb94b, 0x88b782c87783482c, 0xe251850c85a6fc0d, 0x3e7e6584a0129dd3, 0xd7d81ad9c261b8bb,
  0x4482481c009bd47f, 0x7c117e53e5c5e852, 0x3770f8510c4aff3f, 0x7cbe5cfc87c8dbb0, 0x9082d21be5c5dfc9,
  0x54219686044432ff, 0xc347fd01cf098bac, 0x50660b0de579096d, 0x022054f82496bff9, 0xa4d7f22fc05d22d5,
  0x4486d1bdaa3857ea, 0x3d4795afb9aad68e, 0x2bfddea3e0d98305, 0x88a459a75a1143be, 0xe2a5cd2135f46165,
  0x488f7b39d5a5cc7a, 0x6355ae875ea26f0e, 0x98b84845107d1f3d, 0x46c11fadc37b2fa5, 0xeee2a4a0135f20b5,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94, 0x30ca718de33a207c,
  0x33b4e455bd8aaa2d, 0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x0ae4fdd599bf83bb, 0xb387138cb25c33d3,
  0x92bf734332c3a4a5, 0x0001045e3cbebda7,
};

// m1284p_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m1284_autobaud_uart1_dual_pr_ee_u4[] = {
  0xeeeeeed150ff1107, 0xeeee9937ae0fb77e, 0xaef1d7dbebecda6e, 0xb21707747b1ce421, 0x6a31d20cd3dee100,
  0xf8c969d726ff6a9c, 0x590ef0690598b304, 0xa190b4df81b116f0, 0x61298093ba7c4a30, 0xb670986e2ecf9f99,
  0x070026f51ff5f606, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x3f21f236ec0ddc3e, 0x86f97177f25f2f97,
  0xa181110cbfe420b4, 0x4073c262eb150865, 0xc3795e425b70d1ff, 0x7c124b5ff4f43982, 0x17e02e916a81102a,
  0xded51c2bf5526bf9, 0xd7dcd56b47224368, 0x51f06cc1829ea3ca, 0xd3ad08a1df15feef, 0x909afa30b2c4522c,
  0x9cead2e63d7152e6, 0x43af5137872447bd, 0x22883e8f9eb1aad7, 0xd6e1bd97d2cc5c24, 0x5009af905aa3608f,
  0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xcde6d228301dfbbf, 0xd537a94e4a74026f, 0xc6f19d103e234870,
  0x2adec55516986538, 0x4a5a97e56d99da72, 0x7f8817b1e1986ef8, 0xd599bf8347f1a2cf, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x1590be41a792bf73,
  0x00000000000014a9,
};

// m1284p_autobaud_uart1_dual_pr_ce
static const uint64_t ur_m1284_autobaud_uart1_dual_pr_ce[] = {
  0xeeeeeeeea0a1a5fb, 0x777774c9a0880777, 0xcea2f4e5b9335087, 0x42c9f7bbba1bac35, 0xca591aeb3685595c,
  0x91118cc13e326275, 0xf81b116f0590ef06, 0x3ba7c4a30a190b4d, 0xf17adffccb094025, 0xa8e9b7b09db385ad,
  0xa149120920633737, 0xfcfdf045f94f9717, 0x47c0ddc3e144312b, 0xbf92f97cb9f90f97, 0x65ff2105a437cb8b,
  0x9fc8a8432d0fdc88, 0x096dce0ffd01cf09, 0xbff950660b0de579, 0x22d5022054f82595, 0x57eaa4d7f22fc05d,
  0x77d7e486d1bdaa38, 0x9c216de6e7651405, 0x84889c3b5da1f7e7, 0xcf72cf6ea5cd02bb, 0x90e2481d4bf51c6f,
  0xebf9cc580a803df4, 0x6678ebc01af0ef68, 0xe5addcf09f5403ff, 0x2af9ddc549629c81, 0x26dbf0313bbf64fe,
  0xa0c077eefcf02027, 0x3929d009bf379b48, 0x40f88d21c354dea5, 0x545a6194e31bc674, 0x2b6cced3863b7b15,
  0xcf0cc377c252d4bf, 0x07771a2cf7f88138, 0x430a912b53ab337f, 0x1f347d8cec389c69, 0x32c970cf4c2b93f0,
  0x0ccb0e9296ce1c4e, 0x7b5d9af69e4afdcd, 0x00000000000000ad,
};

// m1284p_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m1284_autobaud_uart1_dual_pr_ce_u4[] = {
  0xeeeeeed150ff9231, 0x77774c98d326f77e, 0xdf7655fa3f346737, 0x7d55fbbba82b656c, 0x0cd3a721ed6ab410,
  0xf9827c64bb2b97ff, 0x2de0b21de0d21721, 0x9461432169bf0362, 0xbf32c253012774f8, 0x6c3f5ce06b7c5e61,
  0x41240eb7e6f51c52, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f200001b, 0x20b486f97177f25f,
  0x0865a0c1510cbfe4, 0xf9ff4073c2690f15, 0x3982c3795e425b7f, 0x102a7c12275ff4f4, 0x6bf917e02e916a81,
  0x4368ded51c2bf552, 0xfc033b28606febd4, 0x244f659c3cf3842d, 0x7ff51e13c25f886c, 0xb3db84889c3f2d33,
  0x51c6fcf72df5d4b9, 0x03df490e2481d4bf, 0x0ef68ebf9cc580a8, 0x403ff6678ebc01af, 0x29c81e5addcf09f5,
  0xf64fe2af9ddc5496, 0x0202726dbf0313bb, 0x79b48a0c077eefcf, 0x4dea53929d009bf3, 0xbc67440f88d21c35,
  0xb7b15545a6194e31, 0x2d4bf2b6cced3863, 0xc40bd8f0cc377c25, 0xccdfc1a3f8d167bf, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xa04b20d3c95fb9a1,
  0x00000000002b5ecc,
};

/*
 * m1284_autobaud_uart1_dual_pr_ee_ce_u4 m1284p_autobaud_uart1_dual_pr_ee_ce
 * m1284p_autobaud_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_autobaud_uart1_dual_pr_ee_ce[] = {
  0xbbbbbb4543fcd164, 0xeee993a16d1fddfb, 0xf08ce6956699d6ee, 0x8ecadd51faef9647, 0xcaa7059bd6575ee3,
  0xbdc9598a0134d9f5, 0xa4652149827c648e, 0x7e06c45bc1643bc1, 0x4ee9f128c28642d3, 0xf17f397e6584a602,
  0x1c001b036ece0148, 0x524482481aa466f5, 0x3f7c117e53e5c5e8, 0x303770f8510c4aff, 0x25f2f973f21f2879,
  0xfe420b486f97177f, 0x5150865a0ff110cb, 0xdc92bfe80e784dbb, 0x3d0e60b0de579096, 0x4088153e094c37fd,
  0xa935fc8bf01748b5, 0x2ba1b46f6a8e15fa, 0xfe019de9a037f547, 0x1227b2ce1e79c216, 0x9dfa8f09e12fc436,
  0xb3db84889c3f9cba, 0xf2b7f253b58ea6e9, 0x2bd47c1b306be7a8, 0x8b34eb422814c575, 0x8ea426be8c2cb114,
  0xe488f7b39d5db8c7, 0xac6abc6c75ea26f0, 0xb3170908a20fa3e7, 0x546c1132386f65f4, 0xceee2a4a59b5f20b,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xfc68b3dfe205ec78, 0x52256a75666fe0d1, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x0007ead9d20f9069,
};

// m1284p_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m1284_autobaud_uart1_dual_ee_hw[] = {
  0x77777768a343e907, 0x77774c9bd707dbbf, 0xd778ebedf5f66d37, 0x590b83ba3d8e7210, 0xf3ad67d769ef7080,
  0x6609f192d3ae4a74, 0x2de0b21de0d20b31, 0x9461432169bf0362, 0x9f996129d06774f8, 0xf606b670986e2ecf,
  0x2092070026f51ff5, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x2f973f21f236ec0d, 0x20b486f97177f25f,
  0x0865a181110cbfe4, 0xd1ff4073c262eb15, 0xe982c3795e425b70, 0x102a7c124b5fed46, 0x6bf917e02e916a81,
  0x4368ded51c2bf552, 0xa3cad7dcd56b4722, 0xfeef51f06cc1829e, 0x522cd3ad08a1df15, 0x52e6909afa30b2c4,
  0x47bd9cead2e63d71, 0xaad743af51378724, 0x5c2422883e8f9eb1, 0x608fd6e1bd97d2cc, 0x71525009af905aa3,
  0x0c4eefd93f8abe77, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74, 0x6538c6f19d103e23,
  0xda722adec5551698, 0x6ef84a5a97e56d99, 0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x0000002c1ca9e9d5,
};

/*
 * m1284_autobaud_uart1_dual_ee_ce_u4_hw m1284p_autobaud_uart1_dual_ee_ce_hw
 * m1284p_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_autobaud_uart1_dual_ee_ce_hw[] = {
  0xbbbbbbb451a2022f, 0xeeee993a16d1fddf, 0x7f08ce6956699d6e, 0x38ecadd51faef964, 0xf6c00059bd6575ee,
  0xc648ebdcbfb47c7a, 0x43bc1a4652149827, 0x642d37e06c45bc16, 0x253a0cee9f128c28, 0x700a478bf9cbf32c,
  0x2337a8e000d81b76, 0x2e2f4292241240d5, 0x6257f9fbe08bf29f, 0xf943c981bb87c288, 0xb8bbf92f97cb9f90,
  0x88865ff2105a437c, 0xc26dda8a8432d07f, 0xbc84b6e495ff4073, 0x61bfda8dd30586f2, 0xba45aa0440a9f04a,
  0x70afd549afe45f80, 0xbfaa395d0da37b54, 0xe7085bf21cef4d01, 0xbf10d8489ecb3879, 0xf7437547ea3c2784,
  0x3a9ba6cf6e122270, 0xaf9ea3cadfc94ed6, 0x5315d4af51f06cc1, 0xb2c4522cd3ad08a0, 0x76e31e3a909afa30,
  0xa89bc39223dece75, 0x3e8f9eb1aaf1b1d7, 0xbd97d2cc5c242288, 0xd7c82d51b044c8e1, 0x9fc55f3bb8a92966,
  0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x97e56d99da70c76f, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xd3f4918d14f257ee, 0x0000000000000084,
};

// m1284_u1x8_uart0_noled_pr         m1284p_u1x8_uart0_noled           m1284p_u1x8_uart0_noled_pr
static const uint64_t ur_m1284_u1x8_uart0_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffac3bcfe49304f8, 0x9cdfda2016f604f7, 0x49ea3f3c77cb243b, 0x987ce82921c49033, 0xa5a3c66731602dee,
  0xdc72c608ebc5d786, 0x6fc0c4ad7b0ac905, 0x82a0c077ad79ce16, 0x9cbca6c670b79bcf, 0xf19d10256521b8ba,
  0xbd8aaa2d2b0938c6, 0x6a5f95b6672a7455, 0x827dc78661bbe129, 0xc790347f1a2cf7f8, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x28998b3c95fb9a19, 0x000000000007c81c,
};

// m1284p_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m1284_u1x8_uart0_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfec2f9f9c6609f19, 0xcdfda2016f604be7, 0x7ea3f4077cb087b9, 0xbe4dee921c490341, 0x168f58731602cb29,
  0x3ff6608ebd1f5e1c, 0xe07967b61c689540, 0x0b37e06256bd89ab, 0xe7c150603bd6bce7, 0x5d4e5e5363385bcd,
  0x6378ce8812b290dc, 0x2adec5551695849c, 0x94b52fcadb33953a, 0xff102f63c330ddf0, 0x75666fe0eee3459e,
  0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x4ed98baf69e4afdc, 0x000000000000003e,
};

// m1284_u1x8_uart0_noled_pr_ee_u4   m1284p_u1x8_uart0_noled_pr_ee     m1284p_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0xbe7d82cc13e32774, 0xd100b7b02387ffb0, 0x24d56b4738dce6fe, 0xf83660d31f51e572, 0xeb422877c56657a8,
  0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x75e74ef08df4782c, 0xa167a30e36355ae8, 0xdc37b2d973170908,
  0x02905507546c11fa, 0x9ce166fc0c4ad7b0, 0x79bcf82a0c077ad7, 0x1b8ba9cbca6c670b, 0x938c6f19d1025652,
  0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0xb3dfe205ec78661b, 0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44,
  0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0275ef24f5ed3c95,
};

// m1284_u1x8_uart0_noled_pr_ce_u4   m1284p_u1x8_uart0_noled_pr_ce     m1284p_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xffd85f3e52e609f1, 0x737f68805bd813a5, 0x9b9dfee037f5052e, 0x89ecb3879e7085b7, 0x7ea3c2784bf10d84,
  0xcf6e122270f00052, 0xa8e4f4f72df5eb26, 0x31b5a921c4903d67, 0xf0e0b47ac398b015, 0xaa01ffb33c75e8fa,
  0x1357c0f2d6e0e344, 0x79ce166fc0c4ad7b, 0xb79bcf82a0c077ad, 0x21b8ba9cbca6c670, 0x0938c6f19d102565,
  0x54e31dbd8aaa2d2b, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x006eb8d526bda792,
};

/*
 * m1284_u1x8_uart0_noled_pr_ee_ce_u4 m1284p_u1x8_uart0_noled_pr_ee_ce
 * m1284p_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xf9fd35304f8c9ddb, 0x4402dec0bfe7fec2, 0x01bfaa3297739bfb, 0x3cf3842dbcdcec2d, 0xc25f886c244f659c,
  0x387ba1baa3f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57d44a7, 0x50298afbaf51f06c, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0xd79d3bc237d1e0b3, 0x0b3d1871b1aaf1b1, 0xe1bd96cb98b84845, 0xce41541d51b044c8,
  0x73859bf0312b5ec2, 0xe6f3e0a8301deb5e, 0x6e2ea72f29b19c2d, 0x4e31bc6744095948, 0x38c76f62aa8b4ac2,
  0xf094b52fcadb3395, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x09f965bfaf69e4af,
};

// m1284p_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m1284_u1x8_uart0_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xed100b7b02387fe5, 0x224d56b4738dce6f, 0x8f83660d31f51e57, 0x4eb422877c56657a,
  0x426be8c2cb1148b3, 0xce756973d571ac9a, 0x875e74ef08df4782, 0x8a167a30e36355ae, 0xadc37b2d97317090,
  0x002905507546c11f, 0x79ce166fc0c4ad7b, 0xb79bcf82a0c077ad, 0x21b8ba9cbca6c670, 0x0938c6f19d102565,
  0x2a7455bd8aaa2d2b, 0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x000000016f918ff4,
};

/*
 * m1284_u1x8_uart0_noled_ee_ce_u4_hw m1284p_u1x8_uart0_noled_ee_ce_hw
 * m1284p_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda2016f605ff3fca, 0x680dfd5194bb9cdf, 0xc3cf3842df90e761, 0x3c25f886c244f659,
  0x89c3b39747ff51e1, 0x3b58e9ef9b3db848, 0x660d6bfa8f2bea25, 0x22814c57dd7a8f83, 0xe8c2cb1148b34eb4,
  0x9ceaedc7a8ea426b, 0x8ebce9de11be8f05, 0x2859e8c38d8d578d, 0x470decb65cc5c242, 0x16720aa0ea8d8226,
  0xf39c2cdf81895af6, 0x6f379f054180ef5a, 0x43717539794d8ce1, 0x12718de33a204aca, 0xa9c63b7b15545a56,
  0xef84a5a97e56d99c, 0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x0000000a021d5251,
};

// m1284_u1x8_uart0_lednop_pr        m1284p_u1x8_uart0_lednop          m1284p_u1x8_uart0_lednop_pr
static const uint64_t ur_m1284_u1x8_uart0_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x7fac3bcf829304f8, 0x9cdfda2016f605f2, 0x49ea393c77cb243b, 0x9931b5a921c49033, 0x7f4720a731602dee,
  0xb8e58c11d78baf0d, 0x6fc0c4ad7b0ac0e3, 0xc077ad79e0404e16, 0x94e8016f379b48a0, 0x7c4690e1aa6f529c,
  0x2d30ca718de33a20, 0xdb33b4e455bd8aaa, 0xc330ddf094b52fca, 0x3f8d167bfc413ee3, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000007c869c4cc5,
};

// m1284p_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m1284_u1x8_uart0_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xffb0be7cf59827c6, 0xe6fed100b7b0297d, 0xbf51ed63be5843dc, 0xd37465490e2481a0, 0x691a43398b016594,
  0x3ff6608ebd1f5e12, 0x40f2cf6ded0fb540, 0x166fc0c4ad7b3dc1, 0xa0c077ad79e0404e, 0x9c94e8016f379b48,
  0x207c4690e1aa6f52, 0xaa2d30ca718de33a, 0xcadb33b4e455bd8a, 0x63c330ddf094b52f, 0xe0eee3459eff102f,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0xaf69e4afdcd0ccb0, 0x000000003e4fecb5,
};

// m1284_u1x8_uart0_lednop_pr_ee_u4  m1284p_u1x8_uart0_lednop_pr_ee    m1284p_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart0_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0xbe7f2b4c13e32775, 0xd100b7b02287ffb0, 0x54d56b4738dce6fe, 0xf83660d31f51e566, 0xd68450ef8acc7fa8,
  0x4d7d185962291669, 0xcead2f222e359348, 0x3af3a77847c464d1, 0x28e811bdab1aad74, 0xb70decb65cc5c242,
  0x801071a2551b047e, 0x20270b37e06256bd, 0xcda450603bd6bcf0, 0x37a94e4a7400b79b, 0xf19d103e234870d5,
  0xdec55516986538c6, 0x5a97e56d99da722a, 0x8817b1e1986ef84a, 0xb337f07771a2cf7f, 0x1ef79430a912b53a,
  0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0x0d4ed7b4f257ee68,
  0x00000000000009d7,
};

// m1284_u1x8_uart0_lednop_pr_ce_u4  m1284p_u1x8_uart0_lednop_pr_ce    m1284p_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart0_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0x5ffd85f3ea7a609f, 0xe737f68805bd8117, 0x79b9dfce037f5052, 0x489ecb3879e7085b, 0x0fea3c2784bf10d8,
  0xb3db84889c3e3776, 0xea3f493dcb7d7ac9, 0x9241fa4871240f59, 0xf09348d219cc580b, 0xaa01ffb33c75e8fa,
  0x7b8281e5adcf687d, 0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f, 0xc67440f88d21c354,
  0x7b15545a6194e31b, 0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0x99bf83bb8d167bfc, 0xf7bca1854895a9d5,
  0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xa376bda792bf7343,
  0x000000000000dd75,
};

/*
 * m1284_u1x8_uart0_lednop_pr_ee_ce_u4 m1284p_u1x8_uart0_lednop_pr_ee_ce
 * m1284p_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x7cfdadcc13e32777, 0x4402dec0936fff61, 0x81bfaa3297739bfb, 0x79e7085b79b9dd8f, 0x84bf10d8489ecb38,
  0xe1c0006ddfea3c27, 0xac74f7cd9edc2444, 0x06b5fd4795f7529d, 0x814c561efd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd220ea426be8, 0xaf3a77847c464d1c, 0x1d0237b56355e363, 0xe1bd96cb98b84845, 0x59871a2551b044c8,
  0x0270b37e06256bd8, 0xda450603bd6bcf02, 0x7a94e4a7400b79bc, 0x19d103e234870d53, 0xec55516986538c6f,
  0x52fcadb33b4e18ed, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xfc3af69e4afdcd0c, 0x0000000000013f3c,
};

// m1284p_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u1x8_uart0_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0xf68805bd81143ff2, 0x32a6ab5a39c6e737, 0x47c1b30698fa8f2b, 0x4eb422877c5663fd,
  0x426be8c2cb1148b3, 0x8e7569791171ac9a, 0xa1d79d3bc23e2326, 0x1147408ded58d56b, 0xf5b86f65b2e62e12,
  0xec00838d12a8d823, 0x81013859bf0312b5, 0xde6d228301deb5e7, 0xa9bd4a7253a005bc, 0x378ce881f11a4386,
  0x56f62aa8b4c329c6, 0x52d4bf2b6cced391, 0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0002dfea41e8a792,
};

/*
 * m1284_u1x8_uart0_lednop_ee_ce_u4_hw m1284p_u1x8_uart0_lednop_ee_ce_hw
 * m1284p_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd100b7b024dbff2b, 0xe06fea8ca5dce6fe, 0x3cf3842df90e7763, 0xc25f886c244f659c,
  0x3876838227f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57dd4a7, 0xa0531587bf51f06c, 0x30b2c4522cd3ad08,
  0x3abb74883a909afa, 0xebce9de11f119347, 0x47408ded58d578d8, 0x386f65b2e62e1211, 0x1661c689546c1132,
  0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0xd4bf2b6cced3863b, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x0a0240fba8a792bf,
};

/*
 * m1284_u1x8_uart0_dual_pr          m1284_u1x8_uart0_dual_pr_u4       m1284p_u1x8_uart0_dual
 * m1284p_u1x8_uart0_dual_pr         m1284p_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284_u1x8_uart0_dual[] = {
  0xddddd48b44865c93, 0xdddd327e3ceb6efd, 0xab0d13b421e96add, 0xe2375bbbb514c4a0, 0x19c5c5badde4d264,
  0x0113304f8c969772, 0x03622de0b21de0d2, 0x74f89461432169bf, 0x17df7f99612804a7, 0x51ca1ec14f1c32b7,
  0xa149120920721e6f, 0xfcfdf045f94f9717, 0x76c0ddc3e144312b, 0xdfc97cbe5cfc87ca, 0x32ff9082d21be5c5,
  0x68ca2a10cb413144, 0x425b780dff4073c2, 0xfffe541982c3795e, 0xe737f68805bd8104, 0x43fa8f914ef9626a,
  0xe63d621a4871240c, 0xded1d7f398b01541, 0x07fecc11d78035e1, 0xe40f2cf6f9e13ea8, 0x27f157ceee2a4b14,
  0x404e166fc0c4ad7b, 0x9b48a0c077ad79e0, 0x6f529c94e8016f37, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d,
  0xb52fcadb33b4e455, 0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xfd51af69e4afdcd0, 0x0000000000002927,
};

// m1284p_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ee[] = {
  0xddddd48ba8286f97, 0xbbbba64cd80b6efd, 0x8fd68b56937b87db, 0x7dd8f313ba539b12, 0x8ceb8fea75b37dde,
  0x7cc13e324c8dc9e0, 0x116f0590ef06909c, 0xc4a30a190b4df81b, 0x00fccb0940253ba7, 0xdbd85ad9c2b7f8bc,
  0x8904903dda9bd479, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x50660b0de579096d, 0xda2016f605befff9, 0xfb9aad68e44b9cdf,
  0x3e0d983053d4795a, 0x75a1143be2bfddea, 0x135f4616588a459a, 0x9d5a5cc7ae2a5cd2, 0x75ea26f0e488f7b3,
  0x5107d1f3d6355ae8, 0xdc37b2fa598b8484, 0x0135f20b546c11fa, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0x379b48a0c077ad79, 0xaa6f529c94e8016f, 0x8de33a207c4690e1, 0x55bd8aaa2d30ca71, 0x94b52fcadb33b4e4,
  0xfe204e33c330ddf0, 0xeaccdfc1ddc68b3d, 0x0e271a50c2a44ad4, 0x0ae4fc07cd1f633b, 0xb387138cb25c33d3,
  0x92bf734332c3a4a5, 0x000002b2610ebda7,
};

// m1284p_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ee_u4[] = {
  0xfbbbbba916890c86, 0xbbbbba64cd84fbdd, 0xd6d67db2b42da9af, 0x5acfbb1e6277605b, 0xbbb1bb2d0798aa3f,
  0x09c7cc13e32519dc, 0x81b116f0590ef069, 0xba7c4a30a190b4df, 0x17b5bfccb0940253, 0x8fbb5b04db384edf,
  0x149120920663f37a, 0xcfdf045f94f9717a, 0x0c0ddc3e144312bf, 0xfc97cbe5cfc87c99, 0x2ff9082d21be5c5d,
  0x3dc542196854a443, 0x2dbf57ffd01cf09a, 0xff2a0cc161bcaf21, 0x9bfb4402dec0b7df, 0x2b0f7355ad1e9573,
  0xbd47c1b307f27a8f, 0x59a75a1143be2bee, 0xcd2135f4616588a4, 0xd01cead2fd42e105, 0x5d0ebdac57877b47,
  0x908a39e4627ec6ab, 0xcfadc37b2e3e3170, 0xfe2af9ddc549571a, 0x09c2cdf81895af64, 0xc1c9580ef5af3c08,
  0xb8b29cbe7400b79b, 0x169b15edd20a7d53, 0xc6378ce8815c4502, 0x7c252d4bf2b6cce9, 0x67bfc40bd8f0cc37,
  0x5a9d599bf83bb8d1, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x005644d06bda792b,
};

// m1284p_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ce[] = {
  0xeeeea45ec121a5fb, 0x7774c9a0880777ee, 0xa2f4e5b933508777, 0xc9f7bbba1bac35ce, 0x591aeb3685595c42,
  0x118cc13e326275ca, 0x1b116f0590ef0691, 0xa7c4a30a190b4df8, 0x7adffccb0940253b, 0xe9b7b09db385adf1,
  0x49120920633737a8, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0x92f97cb9f90f9747, 0xff2105a437cb8bbf,
  0xc8a8432d0fdc8865, 0x6dce0ffd01cf099f, 0xf950660b0de57909, 0xdfda2016f60595bf, 0xe7650c0dfd7a8b9c,
  0x7b2ce1e79c216de6, 0xa8f09e12fc436122, 0x6e122270ed7687df, 0x1bf3dcb7d752e6cf, 0x7d2438920752fd47,
  0xda3afe731602a00f, 0xffd99e3af006bc3b, 0x20796b773c27d500, 0x3f8abe77715258a7, 0x0270b37e06256bd9,
  0xda450603bd6bcf02, 0x7a94e4a7400b79bc, 0x19d103e234870d53, 0xec55516986538c6f, 0x52fcadb33b4e18ed,
  0x04e33c330ddf094b, 0xcdfc1ddc68b3dfe2, 0x71a50c2a44ad4eac, 0x4fc07cd1f633b0e2, 0x7138cb25c33d30ae,
  0xf734332c3a4a5b38, 0x003491766bda792b,
};

// m1284p_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ce_u4[] = {
  0xdddddd48b4486f97, 0xeeeee993410b16ef, 0xed2d538b500ea27e, 0x3a8bd3ef77772714, 0x6e4f04674e16a757,
  0x34888c6609f19224, 0x6fc0d88b782c8778, 0x29dd3e251850c85a, 0xd1c5f4d7e6584a01, 0x37a8f63fb0ff8700,
  0x17a149120920743f, 0x2bfcfdf045f94f97, 0xcbacc0ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x84db7e2a10cb41fc, 0xbc84b6e707fe80e7, 0xcadffca8330586f2, 0xf5ce6fed100b7b02, 0x6de6e775280dfd65,
  0x61227b2ce1e79c21, 0x8ddfa8f09e12fc43, 0x66cf6e122270e87d, 0x7d47b873dcb7d61c, 0xc43d25243892061c,
  0x786bfa37b4731602, 0x0e3b8e58cf1d7917, 0x27f157ceee2a4a3a, 0x404e166fc0c4ad7b, 0x796ea0c077ad79e0,
  0xa6f529c94e8016f3, 0x821696bfc4690e1a, 0xd38c6f19d1036e31, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x0003492acad7b4f2,
};

// m1284p_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ee_ce[] = {
  0xfdddddd48ba86f97, 0xdddddd32763fdc6e, 0x3ec98eb7b609bc7f, 0x16697627755f043c, 0x46752c8a74339912,
  0x4e609f19202ae4f0, 0x116f0590ef069072, 0xc4a30a190b4df81b, 0xb3fccb0940253ba7, 0xb7b09863833e717e,
  0x890490314937a8e6, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f905220, 0x2105a437cb8bbf92,
  0xa8432d095c8865ff, 0xe9affa039e131438, 0xa0cc161bcaf212db, 0xb4402dec082d7ff2, 0x80aefaa3fdd739bf,
  0xfcf3842dbcdcece0, 0x577091138767ceb3, 0x99529dafc46219a0, 0xa3e0d9834c7d4795, 0xa75a1140a62b31fe,
  0x2135f4616588a459, 0x47d21ceaeddb7c75, 0x578d8ebdac5785ef, 0xc24228b868ea5d8d, 0xd7c6470decb8f8c5,
  0x3f8abe7771525c62, 0x0270b37e06256bd9, 0xda450603bd6bcf02, 0x7a94e4a7400b79bc, 0x19d103e234870d53,
  0xec55516986538c6f, 0x52fcadb33b4e18ed, 0x13ee3c330ddf094b, 0x9bf83bb8d167bfc4, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0xc7ebda792bf73433, 0x000000000002608d,
};

// m1284p_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddd48b4543f8d164, 0xba64d90abdeefddd, 0x8843a705af05bbbb, 0x6c36ed8bd6beaf60, 0xf8f5a8c6f2791269,
  0x2d572e0e4acc56ec, 0xf0690cb37304f8c9, 0xb4df81b116f0590e, 0x8093ba7c4a30a190, 0x9bfc5d523f996129,
  0x37a8fd1fd82921c3, 0x17a1491209207495, 0x2bfcfdf045f94f97, 0x23af80ddc3e14431, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x4c4ea2a10cb43a7d, 0x9096def0ffe80e78, 0xfffd3d0e60b0de57, 0xe737f68805bd8156,
  0x19de9a037f5472ba, 0x7b2ce1e79c216fe0, 0xa8f09e12fc436122, 0xb84889c3f9cba9df, 0x7f253b58ea6e9b3d,
  0x47c1b306be7a8f2b, 0x4eb422814c5752bd, 0x426be8c2cb1148b3, 0x8f7b39d5db8c78ea, 0xabc6c75ea26f0e48,
  0x70908a20fa3e7ac6, 0xc1132386f65f4b31, 0xe2a4a59b5f20b546, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0x8016f379b48a0c07, 0x690e1aa6f529c94e, 0x0ca718de33a207c4, 0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66,
  0x68b3dfe205ec7866, 0x256a75666fe0d1fc, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00400250259069e4,
};

// m1284p_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m1284_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeea45a28d0f68, 0xddddd3266c05b77e, 0x47eb45ab49bdc3ed, 0x3eec7989dd29cd89, 0xd1f53ad6ecd9beef,
  0x4e3e609f192646e4, 0x0d88b782c8778348, 0xd3e251850c85a6fc, 0x5e007e6584a7419d, 0x3cedec2d6ce15bfc,
  0x524482481eed4dea, 0x3f7c117e53e5c5e8, 0x403770f8510c4aff, 0xf25f2f973f21f252, 0xbfe420b486f97177,
  0xf7150865a095910c, 0xb6fd5fff4073c265, 0xda8dd30586f2bc84, 0xdfda2016f605beff, 0x5afb9aad68e44b9c,
  0xea3e0d983053d479, 0x9a75a1143be2bfdd, 0xd2135f4616588a45, 0xb39d5a5cc7ae2a5c, 0xe875ea26f0e488f7,
  0x845107d1f3d6355a, 0xfadc37b2fa598b84, 0x4a0135f20b546c11, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4,
  0x6f379b48a0c077ad, 0xe1aa6f529c94e801, 0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4,
  0x52256a0bb3c330dd, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x000015dad9a7ca29,
};

// m1284_u1x8_uart0_dual_ee_ce_u4_hw m1284p_u1x8_uart0_dual_ee_ce_hw   m1284p_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeea45a28d05f82, 0xddd326c855ef77ee, 0x04421d382d782ddd, 0x4b61b76c5eb5f57b, 0x36ae3d463793c893,
  0xf8c92d572e9adfda, 0x590ef0690cb37304, 0xa190b4df81b116f0, 0xb094e833ba7c4a30, 0x90e1cdfe2ea91fcc,
  0x3a4a9bd47e8fec14, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xf90f91d7c06ee1f0, 0x37cb8bbf92f97cb9,
  0x1d3e8865ff2105a4, 0x073c26275150865a, 0x6f2bc84b6f787ff4, 0xc0ab7ffda8dd3058, 0x395d739bfb4402de,
  0x5bf21cef4d01bfaa, 0xd8489ecb3879e708, 0x7547ea3c2784bf10, 0xa6cf6e122270f743, 0xa3cadfc94ed63a9b,
  0xd4af51f06cc1af9e, 0x522cd3ad08a05315, 0x1e3a909afa30b2c4, 0xc39223dece7576e3, 0x9eb1aaf1b1d7a89b,
  0xd2cc5c2422883e8f, 0x2d51b044c8e1bd97, 0x5f3bb8a92966d7c8, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138,
  0x7253a005bcde6d22, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a, 0x9e1986ef84a5a97e,
  0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719,
  0xe7a1d14f257ee686, 0x0000000000001d75,
};

// m1284_u1x8_uart1_noled_pr         m1284p_u1x8_uart1_noled           m1284p_u1x8_uart1_noled_pr
static const uint64_t ur_m1284_u1x8_uart1_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffac3bcfe49304f8, 0xe2dfda64c6f604f7, 0x49ea3f3c77cb243a, 0x987ce82921c49033, 0xa5a3c66731602dee,
  0xdc72c608ebc5d786, 0xdf8189ddfb0ac905, 0x150603bf77e73936, 0xcbca6c6726fcde7c, 0x19d10256521b8ba9,
  0xd8aaa2d2b0938c6f, 0xa5f95b6672a7455b, 0x27dc78661bbe1296, 0x790347f1a2cf7f88, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0x8998b3c95fb9a199, 0x00000000007c81c2,
};

// m1284p_u1x8_uart1_noled_pr_u4
static const uint64_t ur_m1284_u1x8_uart1_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfec2f9f9c6609f19, 0x2dfda64c6f604be7, 0x7ea3f4077cb087ae, 0xbe4dee921c490341, 0x168f58731602cb29,
  0x3ff6608ebd1f5e1c, 0xe07967b61c689540, 0x9b6fc0c4eefd89ab, 0x3e0a8301dfbbf39c, 0xd4e5e53633937e6f,
  0x378ce8812b290dc5, 0xadec5551695849c6, 0x4b52fcadb33953a2, 0xf102f63c330ddf09, 0x5666fe0eee3459ef,
  0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xed98baf69e4afdcd, 0x00000000000003e4,
};

// m1284_u1x8_uart1_noled_pr_ee_u4   m1284p_u1x8_uart1_noled_pr_ee     m1284p_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart1_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0xbe7d82cc13e32774, 0xd32637b02387ffb0, 0x24d56b4738d716fe, 0xf83660d31f51e572, 0xeb422877c56657a8,
  0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x75e74ef08df4782c, 0xa167a30e36355ae8, 0xdc37b2d973170908,
  0x02905507546c11fa, 0x73936df8189ddfb0, 0xcde7c150603bf77e, 0xb8ba9cbca6c6726f, 0x38c6f19d10256521,
  0x7455bd8aaa2d2b09, 0xe1296a5f95b6672a, 0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a,
  0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x275ef24f5ed3c95f,
};

// m1284_u1x8_uart1_noled_pr_ce_u4   m1284p_u1x8_uart1_noled_pr_ce     m1284p_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart1_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xffd85f3e52e609f1, 0x8b7f69931bd813a5, 0x9b9dfee037f5052b, 0x89ecb3879e7085b7, 0x7ea3c2784bf10d84,
  0xcf6e122270f00052, 0xa8e4f4f72df5eb26, 0x31b5a921c4903d67, 0xf0e0b47ac398b015, 0xaa01ffb33c75e8fa,
  0x1357c0f2d6e0e344, 0xe73936df8189ddfb, 0xfcde7c150603bf77, 0x1b8ba9cbca6c6726, 0x938c6f19d1025652,
  0x4e31dbd8aaa2d2b0, 0x7c252d4bf2b6cce5, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x06eb8d526bda792b,
};

/*
 * m1284_u1x8_uart1_noled_pr_ee_ce_u4 m1284p_u1x8_uart1_noled_pr_ee_ce
 * m1284p_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xf9fd35304f8c9ddb, 0x4c98dec0bfe7fec2, 0x01bfaa32975c5bfb, 0x3cf3842dbcdcec2d, 0xc25f886c244f659c,
  0x387ba1baa3f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57d44a7, 0x50298afbaf51f06c, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0xd79d3bc237d1e0b3, 0x0b3d1871b1aaf1b1, 0xe1bd96cb98b84845, 0xce41541d51b044c8,
  0xce4db7e062777ec2, 0x379f054180efddf9, 0xe2ea72f29b19c9bf, 0xe31bc67440959486, 0x8c76f62aa8b4ac24,
  0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9f965bfaf69e4afd,
};

// m1284p_u1x8_uart1_noled_ee_hw     usb1286_u1x8_uart0_noled_ee_hw    usb1287_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m1284_u1x8_uart1_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xed32637b02387fe5, 0x224d56b4738d716f, 0x8f83660d31f51e57, 0x4eb422877c56657a,
  0x426be8c2cb1148b3, 0xce756973d571ac9a, 0x875e74ef08df4782, 0x8a167a30e36355ae, 0xadc37b2d97317090,
  0x002905507546c11f, 0xe73936df8189ddfb, 0xfcde7c150603bf77, 0x1b8ba9cbca6c6726, 0x938c6f19d1025652,
  0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0x2a44ad417678661b, 0x7e627ff787bde50c, 0x619a3ec6761c7f19,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00000016f918ff45,
};

/*
 * m1284_u1x8_uart1_noled_ee_ce_u4_hw m1284p_u1x8_uart1_noled_ee_ce_hw
 * m1284p_u1x8_uart1_noled_ee_ce_u4_hw usb1286_u1x8_uart0_noled_ee_ce_hw
 * usb1286_u1x8_uart0_noled_ee_ce_u4_hw usb1287_u1x8_uart0_noled_ee_ce_hw
 * usb1287_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda64c6f605ff3fca, 0x680dfd5194bae2df, 0xc3cf3842df90e761, 0x3c25f886c244f659,
  0x89c3b39747ff51e1, 0x3b58e9ef9b3db848, 0x660d6bfa8f2bea25, 0x22814c57dd7a8f83, 0xe8c2cb1148b34eb4,
  0x9ceaedc7a8ea426b, 0x8ebce9de11be8f05, 0x2859e8c38d8d578d, 0x470decb65cc5c242, 0x16720aa0ea8d8226,
  0xce726dbf0313bbf6, 0xf9bcf82a0c077eef, 0x3717539794d8ce4d, 0x2718de33a204aca4, 0x9c63b7b15545a561,
  0xf84a5a97e56d99ca, 0xa912b505d9e1986e, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000000a021d52514,
};

// m1284_u1x8_uart1_lednop_pr        m1284p_u1x8_uart1_lednop          m1284p_u1x8_uart1_lednop_pr
static const uint64_t ur_m1284_u1x8_uart1_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x7fac3bcf829304f8, 0xe2dfda64c6f605f2, 0x49ea393c77cb243a, 0x9931b5a921c49033, 0x7f4720a731602dee,
  0xb8e58c11d78baf0d, 0xdf8189ddfb0ac0e3, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9,
  0xd30ca718de33a207, 0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xf8d167bfc413ee3c, 0xc2b93f75663c81a3,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000007c869c4cc59,
};

// m1284p_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_m1284_u1x8_uart1_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xffb0be7cf59827c6, 0x16fed32637b0297d, 0xbf51ed63be5843d7, 0xd37465490e2481a0, 0x691a43398b016594,
  0x3ff6608ebd1f5e12, 0x40f2cf6ded0fb540, 0x36df8189ddfb3dc1, 0x0603bf77e7810139, 0xc94e804df9bcda45,
  0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0x0eee3459eff102f6,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0xf69e4afdcd0ccb0e, 0x00000003e4fecb5a,
};

// m1284_u1x8_uart1_lednop_pr_ee_u4  m1284p_u1x8_uart1_lednop_pr_ee    m1284p_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart1_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0xbe7f2b4c13e32775, 0xd32637b02287ffb0, 0x54d56b4738d716fe, 0xf83660d31f51e566, 0xd68450ef8acc7fa8,
  0x4d7d185962291669, 0xcead2f222e359348, 0x3af3a77847c464d1, 0x28e811bdab1aad74, 0xb70decb65cc5c242,
  0x801071a2551b047e, 0x809c9b6fc0c4eefd, 0x6d228301dfbbf3c0, 0x7a94e4a74026fcde, 0x19d103e234870d53,
  0xec55516986538c6f, 0xa97e56d99da722ad, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xd4ed7b4f257ee686,
  0x0000000000009d70,
};

// m1284_u1x8_uart1_lednop_pr_ce_u4  m1284p_u1x8_uart1_lednop_pr_ce    m1284p_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart1_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0x5ffd85f3ea7a609f, 0xb8b7f69931bd8117, 0x79b9dfce037f5052, 0x489ecb3879e7085b, 0x0fea3c2784bf10d8,
  0xb3db84889c3e3776, 0xea3f493dcb7d7ac9, 0x9241fa4871240f59, 0xf09348d219cc580b, 0xaa01ffb33c75e8fa,
  0x7b8281e5adcf687d, 0x02726dbf0313bbf6, 0xb48a0c077eefcf02, 0xea53929d009bf379, 0x67440f88d21c354d,
  0xb15545a6194e31bc, 0x4bf2b6cced3863b7, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x376bda792bf73433,
  0x00000000000dd75a,
};

/*
 * m1284_u1x8_uart1_lednop_pr_ee_ce_u4 m1284p_u1x8_uart1_lednop_pr_ee_ce
 * m1284p_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x7cfdadcc13e32777, 0x4c98dec0936fff61, 0x81bfaa32975c5bfb, 0x79e7085b79b9dd8f, 0x84bf10d8489ecb38,
  0xe1c0006ddfea3c27, 0xac74f7cd9edc2444, 0x06b5fd4795f7529d, 0x814c561efd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd220ea426be8, 0xaf3a77847c464d1c, 0x1d0237b56355e363, 0xe1bd96cb98b84845, 0x59871a2551b044c8,
  0x09c9b6fc0c4eefd8, 0xd228301dfbbf3c08, 0xa94e4a74026fcde6, 0x9d103e234870d537, 0xc55516986538c6f1,
  0x2fcadb33b4e18ede, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xc3af69e4afdcd0cc, 0x000000000013f3cf,
};

// m1284p_u1x8_uart1_lednop_ee_hw    usb1286_u1x8_uart0_lednop_ee_hw   usb1287_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u1x8_uart1_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0xf69931bd81143ff2, 0x32a6ab5a39c6b8b7, 0x47c1b30698fa8f2b, 0x4eb422877c5663fd,
  0x426be8c2cb1148b3, 0x8e7569791171ac9a, 0xa1d79d3bc23e2326, 0x1147408ded58d56b, 0xf5b86f65b2e62e12,
  0xec00838d12a8d823, 0x0404e4db7e062777, 0xf36914180efddf9e, 0x9bd4a7253a0137e6, 0x78ce881f11a4386a,
  0x6f62aa8b4c329c63, 0x2d4bf2b6cced3915, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x002dfea41e8a792b,
};

/*
 * m1284_u1x8_uart1_lednop_ee_ce_u4_hw m1284p_u1x8_uart1_lednop_ee_ce_hw
 * m1284p_u1x8_uart1_lednop_ee_ce_u4_hw usb1286_u1x8_uart0_lednop_ee_ce_hw
 * usb1286_u1x8_uart0_lednop_ee_ce_u4_hw usb1287_u1x8_uart0_lednop_ee_ce_hw
 * usb1287_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd32637b024dbff2b, 0xe06fea8ca5d716fe, 0x3cf3842df90e7763, 0xc25f886c244f659c,
  0x3876838227f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57dd4a7, 0xa0531587bf51f06c, 0x30b2c4522cd3ad08,
  0x3abb74883a909afa, 0xebce9de11f119347, 0x47408ded58d578d8, 0x386f65b2e62e1211, 0x1661c689546c1132,
  0x02726dbf0313bbf6, 0xb48a0c077eefcf02, 0xea53929d009bf379, 0x67440f88d21c354d, 0xb15545a6194e31bc,
  0x4bf2b6cced3863b7, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xa0240fba8a792bf7,
};

/*
 * m1284_u1x8_uart1_dual_pr          m1284_u1x8_uart1_dual_pr_u4       m1284p_u1x8_uart1_dual
 * m1284p_u1x8_uart1_dual_pr         m1284p_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284_u1x8_uart1_dual[] = {
  0xddddd48b44865c93, 0xdddd327e3ceb6efd, 0xab0d13b421e96add, 0xe2375bbbb514c4a0, 0x19c5c5badde4d264,
  0x0113304f8c969772, 0x03622de0b21de0d2, 0x74f89461432169bf, 0x17df7f99612804a7, 0x51ca1ec14f1c32b7,
  0xa149120920721e6f, 0xfcfdf045f94f9717, 0x76c0ddc3e144312b, 0xdfc97cbe5cfc87ca, 0x32ff9082d21be5c5,
  0x68ca2a10cb413144, 0x425b780dff4073c2, 0xfffe541982c3795e, 0xb8b7f69931bd8104, 0x43fa8f914ef9626a,
  0xe63d621a4871240c, 0xded1d7f398b01541, 0x07fecc11d78035e1, 0xe40f2cf6f9e13ea8, 0x27f157ceee2a4b14,
  0x013936df8189ddfb, 0xda450603bf77e781, 0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0x52fcadb33b4e455b, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xd51af69e4afdcd0c, 0x000000000002927f,
};

// m1284p_u1x8_uart1_dual_pr_ee
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ee[] = {
  0xddddd48ba8286f97, 0xbbbba64cd80b6efd, 0x8fd68b56937b87db, 0x7dd8f313ba539b12, 0x8ceb8fea75b37dde,
  0x7cc13e324c8dc9e0, 0x116f0590ef06909c, 0xc4a30a190b4df81b, 0x00fccb0940253ba7, 0xdbd85ad9c2b7f8bc,
  0x8904903dda9bd479, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x50660b0de579096d, 0xda64c6f605befff9, 0xfb9aad68e44ae2df,
  0x3e0d983053d4795a, 0x75a1143be2bfddea, 0x135f4616588a459a, 0x9d5a5cc7ae2a5cd2, 0x75ea26f0e488f7b3,
  0x5107d1f3d6355ae8, 0xdc37b2fa598b8484, 0x0135f20b546c11fa, 0xfb27f157ceee2a4a, 0x81013936df8189dd,
  0xbcda450603bf77e7, 0xa6f529c94e804df9, 0xde33a207c4690e1a, 0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45,
  0xe204e33c330ddf09, 0xaccdfc1ddc68b3df, 0xe271a50c2a44ad4e, 0xae4fc07cd1f633b0, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x00002b2610ebda79,
};

// m1284p_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ee_u4[] = {
  0xfbbbbba916890c86, 0xbbbbba64cd84fbdd, 0xd6d67db2b42da9af, 0x5acfbb1e6277605b, 0xbbb1bb2d0798aa3f,
  0x09c7cc13e32519dc, 0x81b116f0590ef069, 0xba7c4a30a190b4df, 0x17b5bfccb0940253, 0x8fbb5b04db384edf,
  0x149120920663f37a, 0xcfdf045f94f9717a, 0x0c0ddc3e144312bf, 0xfc97cbe5cfc87c99, 0x2ff9082d21be5c5d,
  0x3dc542196854a443, 0x2dbf57ffd01cf09a, 0xff2a0cc161bcaf21, 0x5bfb4c98dec0b7df, 0x2b0f7355ad1e955c,
  0xbd47c1b307f27a8f, 0x59a75a1143be2bee, 0xcd2135f4616588a4, 0xd01cead2fd42e105, 0x5d0ebdac57877b47,
  0x908a39e4627ec6ab, 0xcfadc37b2e3e3170, 0xfe2af9ddc549571a, 0x2726dbf0313bbf64, 0x0e4ac077eefcf020,
  0x8b29cbe74026fcde, 0x69b15edd20a7d53b, 0x6378ce8815c45021, 0xc252d4bf2b6cce9c, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x05644d06bda792bf,
};

// m1284p_u1x8_uart1_dual_pr_ce
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ce[] = {
  0xeeeea45ec121a5fb, 0x7774c9a0880777ee, 0xa2f4e5b933508777, 0xc9f7bbba1bac35ce, 0x591aeb3685595c42,
  0x118cc13e326275ca, 0x1b116f0590ef0691, 0xa7c4a30a190b4df8, 0x7adffccb0940253b, 0xe9b7b09db385adf1,
  0x49120920633737a8, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0x92f97cb9f90f9747, 0xff2105a437cb8bbf,
  0xc8a8432d0fdc8865, 0x6dce0ffd01cf099f, 0xf950660b0de57909, 0xdfda64c6f60595bf, 0xe7650c0dfd7a8ae2,
  0x7b2ce1e79c216de6, 0xa8f09e12fc436122, 0x6e122270ed7687df, 0x1bf3dcb7d752e6cf, 0x7d2438920752fd47,
  0xda3afe731602a00f, 0xffd99e3af006bc3b, 0x20796b773c27d500, 0x3f8abe77715258a7, 0x09c9b6fc0c4eefd9,
  0xd228301dfbbf3c08, 0xa94e4a74026fcde6, 0x9d103e234870d537, 0xc55516986538c6f1, 0x2fcadb33b4e18ede,
  0x4e33c330ddf094b5, 0xdfc1ddc68b3dfe20, 0x1a50c2a44ad4eacc, 0xfc07cd1f633b0e27, 0x138cb25c33d30ae4,
  0x734332c3a4a5b387, 0x03491766bda792bf,
};

// m1284p_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ce_u4[] = {
  0xdddddd48b4486f97, 0xeeeee993410b16ef, 0xed2d538b500ea27e, 0x3a8bd3ef77772714, 0x6e4f04674e16a757,
  0x34888c6609f19224, 0x6fc0d88b782c8778, 0x29dd3e251850c85a, 0xd1c5f4d7e6584a01, 0x37a8f63fb0ff8700,
  0x17a149120920743f, 0x2bfcfdf045f94f97, 0xcbacc0ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x84db7e2a10cb41fc, 0xbc84b6e707fe80e7, 0xcadffca8330586f2, 0xf5716fed32637b02, 0x6de6e775280dfd65,
  0x61227b2ce1e79c21, 0x8ddfa8f09e12fc43, 0x66cf6e122270e87d, 0x7d47b873dcb7d61c, 0xc43d25243892061c,
  0x786bfa37b4731602, 0x0e3b8e58cf1d7917, 0x27f157ceee2a4a3a, 0x013936df8189ddfb, 0xcb750603bf77e781,
  0x6f529c94e804df9b, 0x21696bfc4690e1aa, 0x38c6f19d1036e318, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986,
  0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x003492acad7b4f25,
};

// m1284p_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ee_ce[] = {
  0xfdddddd48ba86f97, 0xdddddd32763fdc6e, 0x3ec98eb7b609bc7f, 0x16697627755f043c, 0x46752c8a74339912,
  0x4e609f19202ae4f0, 0x116f0590ef069072, 0xc4a30a190b4df81b, 0xb3fccb0940253ba7, 0xb7b09863833e717e,
  0x890490314937a8e6, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f905220, 0x2105a437cb8bbf92,
  0xa8432d095c8865ff, 0xe9affa039e131438, 0xa0cc161bcaf212db, 0xb4c98dec082d7ff2, 0x80aefaa3fdd5c5bf,
  0xfcf3842dbcdcece0, 0x577091138767ceb3, 0x99529dafc46219a0, 0xa3e0d9834c7d4795, 0xa75a1140a62b31fe,
  0x2135f4616588a459, 0x47d21ceaeddb7c75, 0x578d8ebdac5785ef, 0xc24228b868ea5d8d, 0xd7c6470decb8f8c5,
  0x3f8abe7771525c62, 0x09c9b6fc0c4eefd9, 0xd228301dfbbf3c08, 0xa94e4a74026fcde6, 0x9d103e234870d537,
  0xc55516986538c6f1, 0x2fcadb33b4e18ede, 0x3ee3c330ddf094b5, 0xbf83bb8d167bfc41, 0x5c33d30ae4fdd599,
  0xc3a4a5b387138cb2, 0x7ebda792bf734332, 0x00000000002608dc,
};

// m1284p_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xddd48b4543f8d164, 0xba64d90abdeefddd, 0x8843a705af05bbbb, 0x6c36ed8bd6beaf60, 0xf8f5a8c6f2791269,
  0x2d572e0e4acc56ec, 0xf0690cb37304f8c9, 0xb4df81b116f0590e, 0x8093ba7c4a30a190, 0x9bfc5d523f996129,
  0x37a8fd1fd82921c3, 0x17a1491209207495, 0x2bfcfdf045f94f97, 0x23af80ddc3e14431, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x4c4ea2a10cb43a7d, 0x9096def0ffe80e78, 0xfffd3d0e60b0de57, 0xb8b7f69931bd8156,
  0x19de9a037f5472ba, 0x7b2ce1e79c216fe0, 0xa8f09e12fc436122, 0xb84889c3f9cba9df, 0x7f253b58ea6e9b3d,
  0x47c1b306be7a8f2b, 0x4eb422814c5752bd, 0x426be8c2cb1148b3, 0x8f7b39d5db8c78ea, 0xabc6c75ea26f0e48,
  0x70908a20fa3e7ac6, 0xc1132386f65f4b31, 0xe2a4a59b5f20b546, 0x189ddfb27f157cee, 0xf77e781013936df8,
  0x04df9bcda450603b, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667,
  0x8b3dfe205ec78661, 0x56a75666fe0d1fc6, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x0400250259069e4a,
};

// m1284p_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m1284_u1x8_uart1_dual_ee_hw[] = {
  0xeeeeea45a28d0f68, 0xddddd3266c05b77e, 0x47eb45ab49bdc3ed, 0x3eec7989dd29cd89, 0xd1f53ad6ecd9beef,
  0x4e3e609f192646e4, 0x0d88b782c8778348, 0xd3e251850c85a6fc, 0x5e007e6584a7419d, 0x3cedec2d6ce15bfc,
  0x524482481eed4dea, 0x3f7c117e53e5c5e8, 0x403770f8510c4aff, 0xf25f2f973f21f252, 0xbfe420b486f97177,
  0xf7150865a095910c, 0xb6fd5fff4073c265, 0xda8dd30586f2bc84, 0xdfda64c6f605beff, 0x5afb9aad68e44ae2,
  0xea3e0d983053d479, 0x9a75a1143be2bfdd, 0xd2135f4616588a45, 0xb39d5a5cc7ae2a5c, 0xe875ea26f0e488f7,
  0x845107d1f3d6355a, 0xfadc37b2fa598b84, 0x4a0135f20b546c11, 0xddfb27f157ceee2a, 0xe781013936df8189,
  0xf9bcda450603bf77, 0x1aa6f529c94e804d, 0x18de33a207c4690e, 0x455bd8aaa2d30ca7, 0x094b52fcadb33b4e,
  0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00015dad9a7ca29e,
};

// m1284_u1x8_uart1_dual_ee_ce_u4_hw m1284p_u1x8_uart1_dual_ee_ce_hw   m1284p_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeea45a28d05f82, 0xddd326c855ef77ee, 0x04421d382d782ddd, 0x4b61b76c5eb5f57b, 0x36ae3d463793c893,
  0xf8c92d572e9adfda, 0x590ef0690cb37304, 0xa190b4df81b116f0, 0xb094e833ba7c4a30, 0x90e1cdfe2ea91fcc,
  0x3a4a9bd47e8fec14, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xf90f91d7c06ee1f0, 0x37cb8bbf92f97cb9,
  0x1d3e8865ff2105a4, 0x073c26275150865a, 0x6f2bc84b6f787ff4, 0xc0ab7ffda8dd3058, 0x395d5c5bfb4c98de,
  0x5bf21cef4d01bfaa, 0xd8489ecb3879e708, 0x7547ea3c2784bf10, 0xa6cf6e122270f743, 0xa3cadfc94ed63a9b,
  0xd4af51f06cc1af9e, 0x522cd3ad08a05315, 0x1e3a909afa30b2c4, 0xc39223dece7576e3, 0x9eb1aaf1b1d7a89b,
  0xd2cc5c2422883e8f, 0x2d51b044c8e1bd97, 0x5f3bb8a92966d7c8, 0xdb7e062777ec9fc5, 0x180efddf9e0404e4,
  0x253a0137e6f36914, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88, 0x6d99da70c76f62aa, 0xe1986ef84a5a97e5,
  0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x7a1d14f257ee6866, 0x000000000001d75e,
};

// m1284_u1x12_uart0_noled_pr        m1284p_u1x12_uart0_noled          m1284p_u1x12_uart0_noled_pr
static const uint64_t ur_m1284_u1x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xeb0ef3f374c13e32, 0xb6a7f76e9f09443f, 0x3be5921c368dd27f, 0x90e24819a4f51f9e, 0x98b016f74c3e7414,
  0x75e2ebc352d1e333, 0xbd856482ee396304, 0xd6bce70b37e06256, 0x385bcde7c150603b, 0xb290dc5d4e5e5363,
  0x95849c6378ce8812, 0x33953a2adec55516, 0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x2b93f75663c81a3f,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00003e431b4cc59e,
};

// m1284p_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m1284_u1x12_uart0_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xfb0be7f4a9827c64, 0xb6a7f76e9f09029f, 0x3be5843c368dd27f, 0x90e2481a0bf51fa0, 0x98b016594df26f74,
  0x75e8faf0e0b47ac3, 0xb0e344aa01ffb304, 0x12b5ec4d5f03cb3d, 0x01deb5e73859bf03, 0x9b19c2de6f3e0a83,
  0x40959486e2ea72f2, 0xa8b4ac24e31bc674, 0x56d99ca9d156f62a, 0x1e1986ef84a5a97e, 0x07771a2cf7f8817b,
  0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0x7b4f257ee6866587, 0x00000001f274793d,
};

// m1284_u1x12_uart0_noled_pr_ee_u4  m1284p_u1x12_uart0_noled_pr_ee    m1284p_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x7cfe049827c64eeb, 0xfddba7c2452fff61, 0x1ce30da3749feda9, 0x4c7d4795c89355ad, 0xdf15995ea3e0d983,
  0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xc237d1e0b39d5a5c, 0x38d8d56ba1d79d3b, 0x65cc5c2422859e8c,
  0x1d51b047eb70decb, 0xf0312b5ec00a4154, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0, 0x67440959486e2ea7,
  0x62aa8b4ac24e31bc, 0x97e56d99ca9d156f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88, 0xf79430a912b53ab3,
  0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0x43d7b4f257ee6866,
  0x000000000009d7e3,
};

// m1284_u1x12_uart0_noled_pr_ce_u4  m1284p_u1x12_uart0_noled_pr_ce    m1284p_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart0_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xf617cfb059827c64, 0xda9fddba7c2470ff, 0x1bfa8290da3749fe, 0xcf3842dbcdceff70, 0x25f886c244f659c3,
  0x387800293f51e13c, 0x96faf59367b70911, 0xe2481eb3d4727a7b, 0x61cc580a98dad490, 0x9e3af47d78705a3d,
  0x6b7071a25500ffd9, 0xe06256bd89abe079, 0x50603bd6bce70b37, 0x5e5363385bcde7c1, 0xce8812b290dc5d4e,
  0xc5551695849c6378, 0x5f95b6672a718ede, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x4f5ed3c95fb9a199,
  0x0000000000375ef2,
};

/*
 * m1284_u1x12_uart0_noled_pr_ee_ce_u4 m1284p_u1x12_uart0_noled_pr_ee_ce
 * m1284p_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xf9f7f9304f8c9dd2, 0xfbb74f848347fec2, 0x652e1b46e93fdb53, 0x5b79b9d85a037f54, 0xd8489ecb3879e708,
  0x7547ea3c2784bf10, 0xe6cf6e122270f743, 0xa3cafa894ed63a7b, 0xf75ea3e0d9835afe, 0x522cd3ad08a05315,
  0xea3a909afa30b2c4, 0x846fa3c1673abb71, 0xe36355e363af3a77, 0x973170908a167a30, 0x3aa3608991c37b2d,
  0xe06256bd859c82a8, 0x50603bd6bce70b37, 0x5e5363385bcde7c1, 0xce8812b290dc5d4e, 0xc5551695849c6378,
  0x5f95b6672a718ede, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b,
  0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xd35ed3c95fb9a199, 0x000000000009f896,
};

// m1284p_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m1284_u1x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0x4feedd3e12297fe5, 0x68e7186d1ba4ff6d, 0x1a63ea3cae449aad, 0x0ef8accaf51f06cc,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0xde11be8f059cead2, 0x61c6c6ab5d0ebce9, 0x5b2e62e121142cf4,
  0xa0ea8d823f5b86f6, 0xdf81895af600520a, 0x054180ef5af39c2c, 0x39794d8ce16f379f, 0xe33a204aca437175,
  0x7b15545a5612718d, 0xd4bf2b6cce54e8ab, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x016f8d35a8a792bf,
};

/*
 * m1284_u1x12_uart0_noled_ee_ce_u4_hw m1284p_u1x12_uart0_noled_ee_ce_hw
 * m1284p_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfeedd3e120d1fe56, 0x194b86d1ba4ff6d4, 0x2df90e761680dfd5, 0x6c244f659c3cf384,
  0x747ff51e13c25f88, 0xf9b3db84889c3b39, 0xa8f2bea253b58e9e, 0x7dd7a8f83660d6bf, 0x148b34eb422814c5,
  0x7a8ea426be8c2cb1, 0xe11be8f059ceaedc, 0x38d8d578d8ebce9d, 0x65cc5c2422859e8c, 0x0ea8d8226470decb,
  0xf81895af616720aa, 0x54180ef5af39c2cd, 0x9794d8ce16f379f0, 0x33a204aca4371753, 0xb15545a5612718de,
  0x97e56d99ca9c63b7, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xa021c5f514f257ee,
};

// m1284_u1x12_uart0_lednop_pr       m1284p_u1x12_uart0_lednop         m1284p_u1x12_uart0_lednop_pr
static const uint64_t ur_m1284_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x7fac3bcf84f9827c, 0xfeda9fddba7c2480, 0x78ef964870da3749, 0xd24389206693d472, 0x9cc580b7ba61f167,
  0x475e2ebc290d1c82, 0xb5ec2b319ee39630, 0xe781013859bf0312, 0x5bcde5ba8301deb5, 0x386a9bd4a7253a00,
  0xdd14085a5aff11a4, 0xdb33a718de33a206, 0xc330ddf094b52fca, 0x3f8d167bfc413ee3, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000003e431b4cc5,
};

// m1284p_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m1284_u1x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xfb0be7c27cc13e32, 0xb6a7f76e9f09201f, 0x3be5843c368dd27f, 0x90e2481a0bf51ed6, 0x98b016594d374654,
  0xebd1f5e12691a433, 0xded0fb5403ff6608, 0x4ad7b3dc140f2cf6, 0xd79e0404e166fc0c, 0x16f379b48a0c077a,
  0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x4e455bd8aaa2d30c, 0xdf094b52fcadb33b, 0x59eff102f63c330d,
  0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x03e4d717daf69e4a,
};

// m1284_u1x12_uart0_lednop_pr_ee_u4 m1284p_u1x12_uart0_lednop_pr_ee   m1284p_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xf9fdf7304f8c9ddb, 0xfbb74f8494f7fec2, 0x39c61b46e93fdb53, 0x98fa8f2b32a6ab5a, 0x7c5663fd47c1b306,
  0xcb1148b34eb42287, 0x1171ac9a426be8c2, 0xc23e23268e756979, 0xed58d56ba1d79d3b, 0xb2e62e121147408d,
  0x12a8d823f5b86f65, 0xbf0312b5ec00838d, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72,
  0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4,
  0x0000004eb9fadebd,
};

// m1284_u1x12_uart0_lednop_pr_ce_u4 m1284p_u1x12_uart0_lednop_pr_ce   m1284p_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xf617cfe569827c64, 0xda9fddba7c2450ff, 0x1bfa8290da3749fe, 0xcf3842dbcdcefe70, 0x25f886c244f659c3,
  0xe1f1bbb07f51e13c, 0x5bebd64d9edc2444, 0x89207acf51fa49ee, 0xce62c05c920fd243, 0xe3af47d7849a4690,
  0x6e7b43ed500ffd99, 0x0c4ad7b3dc140f2d, 0x7ad79e0404e166fc, 0x8016f379b48a0c07, 0x690e1aa6f529c94e,
  0x0ca718de33a207c4, 0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc,
  0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x000375c353b5ed3c,
};

/*
 * m1284_u1x12_uart0_lednop_pr_ee_ce_u4 m1284p_u1x12_uart0_lednop_pr_ee_ce
 * m1284p_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xbb74f84a76fff617, 0x52e1b46e93fdb53f, 0x6f373bb1f037f546, 0x0913d9670f3ce10b,
  0xbbfd4784f097e21b, 0xb3db84889c38000d, 0xf2beea53b58e9ef9, 0xdfa8f83660d6bfa8, 0x1669d68450298ac3,
  0x1d484d7d18596229, 0x8f88c9a39d5dba44, 0xac6abc6c75e74ef0, 0x73170908a3a046f6, 0xaa3608991c37b2d9,
  0xc0c4ad7b0b30e344, 0x77ad79e0404e166f, 0xe8016f379b48a0c0, 0x4690e1aa6f529c94, 0x30ca718de33a207c,
  0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2,
  0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000013f0c2275ed3,
};

// m1284p_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u1x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0x4feedd3e1253dfe5, 0x68e7186d1ba4ff6d, 0x1a63ea3cacca9aad, 0x1df1598ff51f06cc,
  0x0b2c4522cd3ad08a, 0xe445c6b26909afa3, 0xef08f88c9a39d5a5, 0x37b56355ae875e74, 0x96cb98b848451d02,
  0x344aa3608fd6e1bd, 0x66fc0c4ad7b0020e, 0x0c077ad79e0404e1, 0xc94e8016f379b48a, 0x07c4690e1aa6f529,
  0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x765aa29e4afdcd0c, 0x00000000000005bf,
};

/*
 * m1284_u1x12_uart0_lednop_ee_ce_u4_hw m1284p_u1x12_uart0_lednop_ee_ce_hw
 * m1284p_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfeedd3e129dbff2b, 0x194b86d1ba4ff6d4, 0x5bf21ceec7c0dfd5, 0xd8489ecb3879e708,
  0x044fea3c2784bf10, 0xe6cf6e122270ed07, 0xa3cafba94ed63a7b, 0x0f7ea3e0d9835afe, 0xa459a75a1140a62b,
  0x10752135f4616588, 0xc23e23268e7576e9, 0xdab1aaf1b1d79d3b, 0x65cc5c24228e811b, 0x12a8d8226470decb,
  0xbf0312b5ec2cc38d, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x3fd14f257ee68665, 0x0000000000140546,
};

/*
 * m1284_u1x12_uart0_dual_pr         m1284_u1x12_uart0_dual_pr_u4      m1284p_u1x12_uart0_dual
 * m1284p_u1x12_uart0_dual_pr        m1284p_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284_u1x12_uart0_dual[] = {
  0x77775e42f74486f9, 0x77774c9c2f9c5bbf, 0xd9b1191d8d5acfb7, 0xb28a56eeeb45f223, 0x5368e43b9cfe14e5,
  0x41806609f19342ee, 0xe06c45bc1643bc1a, 0xee9f128c28642d37, 0xe2fa6ff32c250094, 0xea3a9ed8656386fb,
  0xf4292241240cbacd, 0x7f9fbe08bf29f2e2, 0x5ad81bb87c288625, 0xbbf92f97cb9f90f9, 0x865ff2105a437cb8,
  0x4c3e454219687c88, 0xc84b6f52bfe80e78, 0x75ffca8330586f2b, 0x27fb6a7f76e9f097, 0xf229df2c4d4368dd,
  0x43490e2481887f51, 0xfe731602a83cc7ac, 0x823af006bc3bda3a, 0x9edf3c27d500ffd9, 0xf9ddc549629c81e5,
  0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744,
  0x5b66769c8ab7b155, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xed3c95fb9a19961d, 0x00000002926b5ab5,
};

// m1284p_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ee[] = {
  0xeeebc85ef5050c86, 0x7774c9833eef77ee, 0xaaf67da0fb5c2f77, 0xc77e4775d91da44f, 0x3eafcc5421aefdfb,
  0x13e32605dcbbb1bb, 0xf0590ef0691dc7cc, 0x30a190b4df81b116, 0xccb0940253ba7c4a, 0xc2b7ce10038b8a4f,
  0x2481a6dcdea3dade, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e5cdf0377, 0x1690df2e2efe4be5,
  0x0cb41d2a2197fc84, 0xffe80e784c5162a1, 0x60b0de579096de87, 0xdba7c25a6fff9506, 0x890da3749feda9fd,
  0x7a8f2b5f7355ad1c, 0x57fbbd47c1b3060a, 0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x911ef673ab4b98f5,
  0xc6ab5d0ebd44de1c, 0x3170908a20fa3e7a, 0x8d823f5b86f65f4b, 0xddc5494026be416a, 0xf81895af64fe2af9,
  0x0ef5af3c0809c2cd, 0x9d002de6f3691418, 0x88d21c354dea5392, 0xa6194e31bc67440f, 0x66769c8ab7b15545,
  0x661bbe1296a5f95b, 0xb8d167bfc409c678, 0x54895a9d599bf83b, 0xa3ec6761c4e34a18, 0x4b867a615c9f80f9,
  0x587494b670e27196, 0x5bd7b4f257ee6866, 0x000000000000ac8f,
};

// m1284p_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ee_u4[] = {
  0xd790bdd150fed4d6, 0xe993067ddeefdddd, 0xecfb41f6b85eeeee, 0xfc8eebb23b489f55, 0x5766e8435dfbf78e,
  0x19302ee4dd8cfaff, 0xc8778348ee3e609f, 0x0c85a6fc0d88b782, 0x094c049dd3e25185, 0x7ce10038b8a4fccb,
  0x1a6dcdea3dadec2b, 0x53e5c5e852448248, 0x510c4aff3f7c117e, 0x7e43e5cdf03770f8, 0x0df2e2efe4be5f2e,
  0x41d2a2197fc84169, 0x80e784c5162a10cb, 0x0de579096de87ffe, 0xf84b4dffd3d0e60b, 0xb46e93fdb53fbb74,
  0xe56bee6ab5a39121, 0x77a8f83660c14f51, 0x1669d68450ef8aff, 0x73484d7d18596229, 0xdece7569731eb8a9,
  0x6ba1d7a89bc39223, 0x1211441f47cf58d5, 0x47eb70decbe9662e, 0xa92804d7c82d51b0, 0x12b5ec9fc55f3bb8,
  0xb5e781013859bf03, 0x05bcde6d228301de, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xd39156f62aa8b4c3,
  0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0ac99ff8720d3c95,
};

// m1284p_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ce[] = {
  0xeebc85efb0486f97, 0xddd3266c05b77eee, 0xeb45ab49bdc3eddd, 0xbcfbdddd29cd8947, 0xc119d71fd4eb66fb,
  0x38f9827c64991b93, 0x3622de0b21de0d21, 0x4f89461432169bf0, 0x7801f99612804a77, 0xf3b7b0b5b3856ff1,
  0x491209207bb537a8, 0xfdf045f94f9717a1, 0x00ddc3e144312bfc, 0xc97cbe5cfc87c949, 0xff9082d21be5c5df,
  0xdc54219682564432, 0xdbf57ffd01cf0997, 0xf2a0cc161bcaf212, 0xb53fbb74f84b7dff, 0x37f5ea21b46e93fd,
  0x9e7085b79b9d9430, 0x4bf10d8489ecb387, 0xc3b5da1f7ea3c278, 0xdf5d4b9b3db84889, 0x481d4bf51c6fcf72,
  0xcc580a803df490e2, 0xebc01af0ef68ebf9, 0xdcf09f5403ff6678, 0xddc549629c81e5ad, 0xf81895af64fe2af9,
  0x0ef5af3c0809c2cd, 0x9d002de6f3691418, 0x88d21c354dea5392, 0xa6194e31bc67440f, 0xcced3863b7b15545,
  0xcc377c252d4bf2b6, 0x71a2cf7f88138cf0, 0xa912b53ab337f077, 0x47d8cec389c69430, 0x970cf4c2b93f01f3,
  0xb0e9296ce1c4e32c, 0x43af69e4afdcd0cc, 0x000000000001a498,
};

// m1284p_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ce_u4[] = {
  0xeeeebc85ee890c86, 0xeeee9933613ef77e, 0xb59f6cad0b6a6bee, 0x3f5acfbddddb12ec, 0xdcbbb1bb2d0798aa,
  0x6909c7cc13e326e0, 0xdf81b116f0590ef0, 0x53ba7c4a30a190b4, 0x6b8bbfcfccb09402, 0x37a8fff3601a0e1a,
  0x17a1491209207d3f, 0x2bfcfdf045f94f97, 0xc990c0ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0xf212dbf57ffd01cf, 0x7dfff2a0cc161bca, 0x93fdb53fbb74f84b, 0xa9406feb2fa1b46e,
  0x670f3ce10b6f373b, 0x84f097e21b0913d9, 0x91138743ec6efd47, 0x9ee5beb0e3367b70, 0x21c49030e3ea3dc3,
  0xbda398b01621e929, 0xc678ebc8bbc35fd1, 0x77715251d071dc72, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3,
  0x4a7400b79bcb7506, 0xfe234870d537a94e, 0xce881b718c10b4b5, 0xd4bf2b6cce9c6378, 0x40bd8f0cc377c252,
  0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0x4d06bda792bf7343, 0x0000000000000d24,
};

// m1284p_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ee_ce[] = {
  0xeeeeebc85ef50c86, 0xddddd3278ef22777, 0x593773b7337bf57d, 0xdd0b667bbf6a3538, 0xdd8f05cc59b41f9d,
  0xe609f19282ae5dd8, 0x16f0590ef0691e7a, 0x4a30a190b4df81b1, 0x3fccb0940253ba7c, 0xdb067c38759f1764,
  0x209207faf37a8f30, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x97cb9f90f979c80d, 0x105a437cb8bbf92f,
  0x8432d0b748865ff2, 0xfcffa039e1329e8a, 0x0cc161bcaf212dbb, 0xf76e9f0918ffff2a, 0xff74368dd27fb6a7,
  0x6f373b38202bbea8, 0xe1d9f3acff3ce10b, 0xf118866815dc2444, 0xd31f51e56654a76b, 0x298acc7fa8f83660,
  0x5962291669d68450, 0xbb76df1d484d7d18, 0x6b15e17bd1f4873a, 0x1a3a976355e363af, 0x7b2e3e3170908a2e,
  0xdc549718b5f191c3, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0xd002de6f36914180, 0x8d21c354dea53929,
  0x6194e31bc67440f8, 0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x3459eff104fb8f0c, 0x2b93f75666fe0eee,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00001304d39af69e,
};

// m1284p_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd790bdd150ff0668, 0x4c995bbc9eefdddd, 0x1f6b47f7bb377777, 0x5ba55f55e57bccde, 0x344b23f847e7d36c,
  0xae5571f60006a473, 0xa47c41e609f192cf, 0x7e06c45bc1643bc1, 0x4ee9f128c28642d3, 0xf17eeb7e6584a602,
  0xa3a926c39be70548, 0x8524482481b394de, 0xf3f7c117e53e5c5e, 0xa803770f8510c4af, 0xfe4be5f2e7e43e42,
  0x97fc841690df2e2e, 0x2d4542196858fa21, 0x2dbf2d7fd01cf099, 0xfa7a1cc161bcaf21, 0xb6a7f76e9f09400f,
  0xfea8e574368dd27f, 0x3842dfc033bd3406, 0xf886c244f659c3cf, 0xf39753bf51e13c25, 0xd4dd367b70911387,
  0x7cf51e56fe4a76b1, 0x98aea57a8f83660d, 0x962291669d684502, 0xb718f1d484d7d185, 0x44de1c911ef673ab,
  0xf47cf58d578d8ebd, 0xecbe9662e1211441, 0xbe416a8d8226470d, 0xfe2af9ddc5494b36, 0x09c2cdf81895af64,
  0x6914180ef5af3c08, 0xea53929d002de6f3, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0x4bf2b6cced3863b7,
  0x0bd8f0cc377c252d, 0xdfc1a3f8d167bfc4, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xf320d3c95fb9a199, 0x0000000000400269,
};

// m1284p_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m1284_u1x12_uart0_dual_ee_hw[] = {
  0x75e42f7451a3a668, 0xba64c19f77bbf777, 0x7b3ed07dae17bbbb, 0xbf23baec8ed227d5, 0x74d48a10d77efde3,
  0x4f8c981772d65731, 0xc1643bc1a4771f30, 0xc28642d37e06c45b, 0x32c253a0cee9f128, 0x0adf38400e2e293f,
  0x92069b737a8f6b7b, 0x5f94f9717a149120, 0x3e144312bfcfdf04, 0xcb9f90f9737c0ddc, 0x5a437cb8bbf92f97,
  0x32d074a8865ff210, 0xffa039e131458a84, 0x82c3795e425b7a1f, 0xdd3e12d37fed46e9, 0x486d1ba4ff6d4fee,
  0xd4795afb9aad68e4, 0xbfddea3e0d983053, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x88f7b39d5a5cc7ae,
  0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0xe8016f379b48a0c0, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x33b4e455bd8aaa2d,
  0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x3a29e4afdcd0ccb0, 0x000000000576b679,
};

/*
 * m1284_u1x12_uart0_dual_ee_ce_u4_hw m1284p_u1x12_uart0_dual_ee_ce_hw
 * m1284p_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbaf217ba28d172df, 0xe9932b7793ddfbbb, 0xc3ed68fef766eeee, 0x8b74abeabcaf799b, 0x65a9647f08fcfa6d,
  0x92cfae5b5aa83568, 0x3bc1a47c41e609f1, 0x42d37e06c45bc164, 0x53a0cee9f128c286, 0x82a478bf75bf32c2,
  0xca6f51d49361cdf3, 0x2e2f4292241240d9, 0x6257f9fbe08bf29f, 0x1f215401bb87c288, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c96a2a10cb42c, 0x579096df96bfe80e, 0xa007fb51ba60b0de, 0xe93fdb53fbb74f84,
  0x9a037f5472ba1b46, 0x70f3ce10b7e439de, 0x4f097e21b0913d96, 0x44e1ee86ea8fd478, 0x9dac75374d9edc24,
  0xd9835f3d4795bf92, 0x1140a62ba95ea3e0, 0xf4616588a459a75a, 0x9ceaedc63c752135, 0x63af5137872447bd,
  0x45107d1f3d6355e3, 0x91c37b2fa598b848, 0x52cdaf905aa36089, 0x6bd93f8abe777152, 0xcf020270b37e0625,
  0x79bcda450603bd6b, 0x0d537a94e4a7400b, 0x8c6f19d103e23487, 0x18edec5551698653, 0x094b52fcadb33b4e,
  0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x000075d62812a29e,
};

// m1284_u1x12_uart1_noled_pr        m1284p_u1x12_uart1_noled          m1284p_u1x12_uart1_noled_pr
static const uint64_t ur_m1284_u1x12_uart1_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xeb0ef3f374c13e32, 0x6d4feedd3e09443f, 0x77cb24386d1ba4ff, 0x21c4903349ea3f3c, 0x31602dee987ce829,
  0xebc5d786a5a3c667, 0xfb0ac905dc72c608, 0x77e73936df8189dd, 0x26fcde7c150603bf, 0x521b8ba9cbca6c67,
  0xb0938c6f19d10256, 0x72a7455bd8aaa2d2, 0x1bbe1296a5f95b66, 0xa2cf7f8827dc7866, 0x727eeacc790347f1,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0007c8636998b3c9,
};

// m1284p_u1x12_uart1_noled_pr_u4
static const uint64_t ur_m1284_u1x12_uart1_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xfb0be7f4a9827c64, 0x6d4feedd3e09029f, 0x77cb08786d1ba4ff, 0x21c4903417ea3f40, 0x31602cb29be4dee9,
  0xebd1f5e1c168f587, 0x61c6895403ff6608, 0x4eefd89abe07967b, 0x1dfbbf39c9b6fc0c, 0x633937e6f3e0a830,
  0x12b290dc5d4e5e53, 0x1695849c6378ce88, 0xdb33953a2adec555, 0xc330ddf094b52fca, 0xeee3459eff102f63,
  0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x69e4afdcd0ccb0e9, 0x0000003e4e8f27af,
};

// m1284_u1x12_uart1_noled_pr_ee_u4  m1284p_u1x12_uart1_noled_pr_ee    m1284p_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart1_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x7cfe049827c64eeb, 0xfbb74f82452fff61, 0x39c61b46e93fdb53, 0x98fa8f2b9126ab5a, 0xbe2b32bd47c1b306,
  0x6588a459a75a1143, 0xeab8d64d2135f461, 0x846fa3c1673ab4b9, 0x71b1aad743af3a77, 0xcb98b848450b3d18,
  0x3aa3608fd6e1bd96, 0xc0c4eefd801482a8, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a, 0xe8812b290dc5d4e5,
  0x5551695849c6378c, 0xfcadb33953a2adec, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x7af69e4afdcd0ccb,
  0x00000000013afc68,
};

// m1284_u1x12_uart1_noled_pr_ce_u4  m1284p_u1x12_uart1_noled_pr_ce    m1284p_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart1_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xf617cfb059827c64, 0xb53fbb74f82470ff, 0x37f50521b46e93fd, 0x9e7085b79b9dfee0, 0x4bf10d8489ecb387,
  0x70f000527ea3c278, 0x2df5eb26cf6e1222, 0xc4903d67a8e4f4f7, 0xc398b01531b5a921, 0x3c75e8faf0e0b47a,
  0xd6e0e344aa01ffb3, 0x8189ddfb1357c0f2, 0x0603bf77e73936df, 0xca6c6726fcde7c15, 0xd10256521b8ba9cb,
  0xaaa2d2b0938c6f19, 0xf2b6cce54e31dbd8, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b,
  0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xebda792bf734332c,
  0x0000000006ebde49,
};

/*
 * m1284_u1x12_uart1_noled_pr_ee_ce_u4 m1284p_u1x12_uart1_noled_pr_ee_ce
 * m1284p_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xf9f7f9304f8c9dd2, 0xf76e9f048347fec2, 0xca5c368dd27fb6a7, 0xb6f373b0b406fea8, 0xb0913d9670f3ce10,
  0xea8fd4784f097e21, 0xcd9edc2444e1ee86, 0x4795f5129dac74f7, 0xeebd47c1b306b5fd, 0xa459a75a1140a62b,
  0xd4752135f4616588, 0x08df4782ce7576e3, 0xc6c6abc6c75e74ef, 0x2e62e121142cf461, 0x7546c1132386f65b,
  0x8189ddfb0b390550, 0x0603bf77e73936df, 0xca6c6726fcde7c15, 0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19,
  0xf2b6cce54e31dbd8, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b,
  0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x6bda792bf734332c, 0x00000000013f12da,
};

// m1284p_u1x12_uart1_noled_ee_hw    usb1286_u1x12_uart0_noled_ee_hw   usb1287_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m1284_u1x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0x9fddba7c12297fe5, 0xd1ce30da3749feda, 0x34c7d4795c89355a, 0x1df15995ea3e0d98,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0xbc237d1e0b39d5a5, 0xc38d8d56ba1d79d3, 0xb65cc5c2422859e8,
  0x41d51b047eb70dec, 0x7e062777ec00a415, 0x54180efddf9ce4db, 0x2f29b19c9bf379f0, 0x67440959486e2ea7,
  0x62aa8b4ac24e31bc, 0x97e56d99ca9d156f, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5, 0x19d871fc65f989ff,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x2df1a6b514f257ee, 0x0000000000000000,
};

/*
 * m1284_u1x12_uart1_noled_ee_ce_u4_hw m1284p_u1x12_uart1_noled_ee_ce_hw
 * m1284p_u1x12_uart1_noled_ee_ce_u4_hw usb1286_u1x12_uart0_noled_ee_ce_hw
 * usb1286_u1x12_uart0_noled_ee_ce_u4_hw usb1287_u1x12_uart0_noled_ee_ce_hw
 * usb1287_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfddba7c120d1fe56, 0x32970da3749feda9, 0x5bf21cec2d01bfaa, 0xd8489ecb3879e708,
  0xe8ffea3c2784bf10, 0xf367b70911387672, 0x51e57d44a76b1d3d, 0xfbaf51f06cc1ad7f, 0x291669d68450298a,
  0xf51d484d7d185962, 0xc237d1e0b39d5db8, 0x71b1aaf1b1d79d3b, 0xcb98b848450b3d18, 0x1d51b044c8e1bd96,
  0xe062777ec2ce4154, 0x4180efddf9ce4db7, 0xf29b19c9bf379f05, 0x7440959486e2ea72, 0x2aa8b4ac24e31bc6,
  0xfcadb339538c76f6, 0xbb3c330ddf094b52, 0xc3def286152256a0, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x0438bea29e4afdcd, 0x0000000000000014,
};

// m1284_u1x12_uart1_lednop_pr       m1284p_u1x12_uart1_lednop         m1284p_u1x12_uart1_lednop_pr
static const uint64_t ur_m1284_u1x12_uart1_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x7fac3bcf84f9827c, 0xfdb53fbb74f82480, 0xf1df2c90e1b46e93, 0xa4871240cd27a8e4, 0x398b016f74c3e2cf,
  0x8ebc5d78521a3905, 0xefd856633dc72c60, 0x3c0809c9b6fc0c4e, 0xfcde5ba8301dfbbf, 0x0d537a94e4a74026,
  0xa2810b4b5fe23487, 0x6674e31bc67440db, 0x661bbe1296a5f95b, 0xf1a2cf7f8827dc78, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000007c8636998b3,
};

// m1284p_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_m1284_u1x12_uart1_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xfb0be7c27cc13e32, 0x6d4feedd3e09201f, 0x77cb08786d1ba4ff, 0x21c4903417ea3dac, 0x31602cb29a6e8ca9,
  0xd7a3ebc24d234867, 0xbda1f6a807fecc11, 0x3bbf67b8281e59ed, 0xfcf0202726dbf031, 0xbf379b48a0c077ee,
  0xc354dea53929d009, 0xe31bc67440f88d21, 0xc8ab7b15545a6194, 0xe1296a5f95b66769, 0x3dfe205ec78661bb,
  0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x7c9ae2fb5ed3c95f,
};

// m1284_u1x12_uart1_lednop_pr_ee_u4 m1284p_u1x12_uart1_lednop_pr_ee   m1284p_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart1_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xf9fdf7304f8c9ddb, 0xf76e9f0494f7fec2, 0x738c368dd27fb6a7, 0x31f51e56654d56b4, 0xf8acc7fa8f83660d,
  0x962291669d68450e, 0x22e3593484d7d185, 0x847c464d1cead2f2, 0xdab1aad743af3a77, 0x65cc5c24228e811b,
  0x2551b047eb70decb, 0xfc0c4eefd801071a, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a,
  0x986538c6f19d103e, 0x99da722adec55516, 0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077,
  0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000009d73f5bd7b4,
};

// m1284_u1x12_uart1_lednop_pr_ce_u4 m1284p_u1x12_uart1_lednop_pr_ce   m1284p_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xf617cfe569827c64, 0xb53fbb74f82450ff, 0x37f50521b46e93fd, 0x9e7085b79b9dfce0, 0x4bf10d8489ecb387,
  0xc3e37760fea3c278, 0xb7d7ac9b3db84889, 0x1240f59ea3f493dc, 0x9cc580b9241fa487, 0xc75e8faf09348d21,
  0xdcf687daa01ffb33, 0x313bbf67b8281e5a, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x006eb86a76bda792,
};

/*
 * m1284_u1x12_uart1_lednop_pr_ee_ce_u4 m1284p_u1x12_uart1_lednop_pr_ee_ce
 * m1284p_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0x76e9f04a76fff617, 0xa5c368dd27fb6a7f, 0xde6e7763e06fea8c, 0x1227b2ce1e79c216,
  0x77fa8f09e12fc436, 0x67b709113870001b, 0xe57dd4a76b1d3df3, 0xbf51f06cc1ad7f51, 0x2cd3ad08a0531587,
  0x3a909afa30b2c452, 0x1f1193473abb7488, 0x58d578d8ebce9de1, 0xe62e121147408ded, 0x546c1132386f65b2,
  0x0313bbf61661c689, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88,
  0xed3863b7b15545a6, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854,
  0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00027e1844ebda79,
};

// m1284p_u1x12_uart1_lednop_ee_hw   usb1286_u1x12_uart0_lednop_ee_hw  usb1287_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u1x12_uart1_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0x9fddba7c1253dfe5, 0xd1ce30da3749feda, 0x34c7d4795995355a, 0x3be2b31fea3e0d98,
  0x16588a459a75a114, 0xc88b8d64d2135f46, 0xde11f1193473ab4b, 0x6f6ac6ab5d0ebce9, 0x2d973170908a3a04,
  0x689546c11fadc37b, 0xdbf0313bbf60041c, 0xc077eefcf0202726, 0x29d009bf379b48a0, 0xf88d21c354dea539,
  0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0xde50c2a44ad41767, 0xc7f197e627ff787b,
  0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xcb5453c95fb9a199, 0x000000000000b7ee,
};

/*
 * m1284_u1x12_uart1_lednop_ee_ce_u4_hw m1284p_u1x12_uart1_lednop_ee_ce_hw
 * m1284p_u1x12_uart1_lednop_ee_ce_u4_hw usb1286_u1x12_uart0_lednop_ee_ce_hw
 * usb1286_u1x12_uart0_lednop_ee_ce_u4_hw usb1287_u1x12_uart0_lednop_ee_ce_hw
 * usb1287_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfddba7c129dbff2b, 0x32970da3749feda9, 0xb7e439dd8f81bfaa, 0xb0913d9670f3ce10,
  0x089fd4784f097e21, 0xcd9edc2444e1da0e, 0x4795f7529dac74f7, 0x1efd47c1b306b5fd, 0x48b34eb422814c56,
  0x20ea426be8c2cb11, 0x847c464d1ceaedd2, 0xb56355e363af3a77, 0xcb98b848451d0237, 0x2551b044c8e1bd96,
  0xfc0c4eefd859871a, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x33b4e18edec55516, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xfa29e4afdcd0ccb0, 0x000000000280a8c7,
};

/*
 * m1284_u1x12_uart1_dual_pr         m1284_u1x12_uart1_dual_pr_u4      m1284p_u1x12_uart1_dual
 * m1284p_u1x12_uart1_dual_pr        m1284p_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284_u1x12_uart1_dual[] = {
  0x77775e42f74486f9, 0x77774c9c2f9c5bbf, 0xd9b1191d8d5acfb7, 0xb28a56eeeb45f223, 0x5368e43b9cfe14e5,
  0x41806609f19342ee, 0xe06c45bc1643bc1a, 0xee9f128c28642d37, 0xe2fa6ff32c250094, 0xea3a9ed8656386fb,
  0xf4292241240cbacd, 0x7f9fbe08bf29f2e2, 0x5ad81bb87c288625, 0xbbf92f97cb9f90f9, 0x865ff2105a437cb8,
  0x4c3e454219687c88, 0xc84b6f52bfe80e78, 0x75ffca8330586f2b, 0x4ff6d4feedd3e097, 0xe453be589a86d1ba,
  0x86921c490310fea3, 0xfce62c0550798f58, 0x0475e00d7877b475, 0x3dbe784faa01ffb3, 0xf3bb8a92c53903cb,
  0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x000000524d6b56bd,
};

// m1284p_u1x12_uart1_dual_pr_ee
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ee[] = {
  0xeeebc85ef5050c86, 0x7774c9833eef77ee, 0xaaf67da0fb5c2f77, 0xc77e4775d91da44f, 0x3eafcc5421aefdfb,
  0x13e32605dcbbb1bb, 0xf0590ef0691dc7cc, 0x30a190b4df81b116, 0xccb0940253ba7c4a, 0xc2b7ce10038b8a4f,
  0x2481a6dcdea3dade, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e5cdf0377, 0x1690df2e2efe4be5,
  0x0cb41d2a2197fc84, 0xffe80e784c5162a1, 0x60b0de579096de87, 0xb74f825a6fff9506, 0x121b46e93fdb53fb,
  0xf51e56bee6ab5a39, 0xaff77a8f83660c14, 0x2291669d68450ef8, 0x8a973484d7d18596, 0x223dece7569731eb,
  0x8d56ba1d7a89bc39, 0x62e1211441f47cf5, 0x1b047eb70decbe96, 0xbb8a92804d7c82d5, 0xe062777ec9fc55f3,
  0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0xced39156f62aa8b4,
  0xc377c252d4bf2b6c, 0x1a2cf7f88138cf0c, 0x912b53ab337f0777, 0x7d8cec389c69430a, 0x70cf4c2b93f01f34,
  0x0e9296ce1c4e32c9, 0x7af69e4afdcd0ccb, 0x00000000001591eb,
};

// m1284p_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ee_u4[] = {
  0xd790bdd150fed4d6, 0xe993067ddeefdddd, 0xecfb41f6b85eeeee, 0xfc8eebb23b489f55, 0x5766e8435dfbf78e,
  0x19302ee4dd8cfaff, 0xc8778348ee3e609f, 0x0c85a6fc0d88b782, 0x094c049dd3e25185, 0x7ce10038b8a4fccb,
  0x1a6dcdea3dadec2b, 0x53e5c5e852448248, 0x510c4aff3f7c117e, 0x7e43e5cdf03770f8, 0x0df2e2efe4be5f2e,
  0x41d2a2197fc84169, 0x80e784c5162a10cb, 0x0de579096de87ffe, 0xf04b4dffd3d0e60b, 0x68dd27fb6a7f76e9,
  0xcad7dcd56b472243, 0xef51f06cc1829ea3, 0x2cd3ad08a1df15fe, 0xe6909afa30b2c452, 0xbd9cead2e63d7152,
  0xd743af5137872447, 0x2422883e8f9eb1aa, 0x8fd6e1bd97d2cc5c, 0x525009af905aa360, 0x4eefd93f8abe7771,
  0xbf3c0809c9b6fc0c, 0x6fcde6d228301dfb, 0x70d537a94e4a7402, 0x38c6f19d103e2348, 0x722adec555169865,
  0xf84a5a97e56d99da, 0xcf7f8817b1e1986e, 0xa9d599bf8347f1a2, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x5933ff0e41a792bf, 0x0000000000000001,
};

// m1284p_u1x12_uart1_dual_pr_ce
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ce[] = {
  0xeebc85efb0486f97, 0xddd3266c05b77eee, 0xeb45ab49bdc3eddd, 0xbcfbdddd29cd8947, 0xc119d71fd4eb66fb,
  0x38f9827c64991b93, 0x3622de0b21de0d21, 0x4f89461432169bf0, 0x7801f99612804a77, 0xf3b7b0b5b3856ff1,
  0x491209207bb537a8, 0xfdf045f94f9717a1, 0x00ddc3e144312bfc, 0xc97cbe5cfc87c949, 0xff9082d21be5c5df,
  0xdc54219682564432, 0xdbf57ffd01cf0997, 0xf2a0cc161bcaf212, 0x6a7f76e9f04b7dff, 0x6febd44368dd27fb,
  0x3ce10b6f373b2860, 0x97e21b0913d9670f, 0x876bb43efd4784f0, 0xbeba97367b709113, 0x903a97ea38df9ee5,
  0x98b015007be921c4, 0xd78035e1ded1d7f3, 0xb9e13ea807feccf1, 0xbb8a92c53903cb5b, 0xe062777ec9fc55f3,
  0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4,
  0x86ef84a5a97e56d9, 0x3459eff102719e19, 0x2256a75666fe0eee, 0xfb19d87138d28615, 0xe19e985727e03e68,
  0x1d252d9c389c6592, 0x75ed3c95fb9a1996, 0x0000000000349308,
};

// m1284p_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ce_u4[] = {
  0xeeeebc85ee890c86, 0xeeee9933613ef77e, 0xb59f6cad0b6a6bee, 0x3f5acfbddddb12ec, 0xdcbbb1bb2d0798aa,
  0x6909c7cc13e326e0, 0xdf81b116f0590ef0, 0x53ba7c4a30a190b4, 0x6b8bbfcfccb09402, 0x37a8fff3601a0e1a,
  0x17a1491209207d3f, 0x2bfcfdf045f94f97, 0xc990c0ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0xf212dbf57ffd01cf, 0x7dfff2a0cc161bca, 0x27fb6a7f76e9f04b, 0x5280dfd65f4368dd,
  0xce1e79c216de6e77, 0x09e12fc4361227b2, 0x22270e87d8ddfa8f, 0x3dcb7d61c66cf6e1, 0x43892061c7d47b87,
  0x7b4731602c43d252, 0x8cf1d7917786bfa3, 0xeee2a4a3a0e3b8e5, 0xf8189ddfb27f157c, 0x3bf77e781013936d,
  0x4e804df9bcb75060, 0xc4690e1aa6f529c9, 0xd1036e31821696bf, 0x97e56d99d38c6f19, 0x17b1e1986ef84a5a,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xa0d7b4f257ee6866, 0x000000000001a489,
};

// m1284p_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ee_ce[] = {
  0xeeeeebc85ef50c86, 0xddddd3278ef22777, 0x593773b7337bf57d, 0xdd0b667bbf6a3538, 0xdd8f05cc59b41f9d,
  0xe609f19282ae5dd8, 0x16f0590ef0691e7a, 0x4a30a190b4df81b1, 0x3fccb0940253ba7c, 0xdb067c38759f1764,
  0x209207faf37a8f30, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x97cb9f90f979c80d, 0x105a437cb8bbf92f,
  0x8432d0b748865ff2, 0xfcffa039e1329e8a, 0x0cc161bcaf212dbb, 0xeedd3e0918ffff2a, 0xfee86d1ba4ff6d4f,
  0xde6e767040577d51, 0xc3b3e759fe79c216, 0xe2310cd02bb84889, 0xa63ea3cacca94ed7, 0x531598ff51f06cc1,
  0xb2c4522cd3ad08a0, 0x76edbe3a909afa30, 0xd62bc2f7a3e90e75, 0x34752ec6abc6c75e, 0xf65c7c62e121145c,
  0xb8a92e316be32386, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x0137e6f36914180e, 0xa4386a9bd4a7253a,
  0x329c6378ce881f11, 0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0x8b3dfe209f71e198, 0x727eeaccdfc1ddc6,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0002609a735ed3c9,
};

// m1284p_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xd790bdd150ff0668, 0x4c995bbc9eefdddd, 0x1f6b47f7bb377777, 0x5ba55f55e57bccde, 0x344b23f847e7d36c,
  0xae5571f60006a473, 0xa47c41e609f192cf, 0x7e06c45bc1643bc1, 0x4ee9f128c28642d3, 0xf17eeb7e6584a602,
  0xa3a926c39be70548, 0x8524482481b394de, 0xf3f7c117e53e5c5e, 0xa803770f8510c4af, 0xfe4be5f2e7e43e42,
  0x97fc841690df2e2e, 0x2d4542196858fa21, 0x2dbf2d7fd01cf099, 0xfa7a1cc161bcaf21, 0x6d4feedd3e09400f,
  0xfd51cae86d1ba4ff, 0x7085bf80677a680d, 0xf10d8489ecb3879e, 0xe72ea77ea3c2784b, 0xa9ba6cf6e122270f,
  0xf9ea3cadfc94ed63, 0x315d4af51f06cc1a, 0x2c4522cd3ad08a05, 0x6e31e3a909afa30b, 0x89bc39223dece757,
  0xe8f9eb1aaf1b1d7a, 0xd97d2cc5c2422883, 0x7c82d51b044c8e1b, 0xfc55f3bb8a92966d, 0x4e4db7e062777ec9,
  0x914180efddf9e040, 0x4a7253a0137e6f36, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c, 0x7e56d99da70c76f6,
  0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x641a792bf734332c, 0x0000000008004d3e,
};

// m1284p_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m1284_u1x12_uart1_dual_ee_hw[] = {
  0x75e42f7451a3a668, 0xba64c19f77bbf777, 0x7b3ed07dae17bbbb, 0xbf23baec8ed227d5, 0x74d48a10d77efde3,
  0x4f8c981772d65731, 0xc1643bc1a4771f30, 0xc28642d37e06c45b, 0x32c253a0cee9f128, 0x0adf38400e2e293f,
  0x92069b737a8f6b7b, 0x5f94f9717a149120, 0x3e144312bfcfdf04, 0xcb9f90f9737c0ddc, 0x5a437cb8bbf92f97,
  0x32d074a8865ff210, 0xffa039e131458a84, 0x82c3795e425b7a1f, 0xba7c12d37fed46e9, 0x90da3749feda9fdd,
  0xa8f2b5f7355ad1c8, 0x7fbbd47c1b3060a7, 0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x11ef673ab4b98f5c,
  0x6ab5d0ebd44de1c9, 0x170908a20fa3e7ac, 0xd823f5b86f65f4b3, 0xdc5494026be416a8, 0x0313bbf64fe2af9d,
  0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88, 0x769c8ab7b15545a6,
  0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x00000000aed6cf27,
};

/*
 * m1284_u1x12_uart1_dual_ee_ce_u4_hw m1284p_u1x12_uart1_dual_ee_ce_hw
 * m1284p_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u1x12_uart1_dual_ee_ce_hw[] = {
  0xbaf217ba28d172df, 0xe9932b7793ddfbbb, 0xc3ed68fef766eeee, 0x8b74abeabcaf799b, 0x65a9647f08fcfa6d,
  0x92cfae5b5aa83568, 0x3bc1a47c41e609f1, 0x42d37e06c45bc164, 0x53a0cee9f128c286, 0x82a478bf75bf32c2,
  0xca6f51d49361cdf3, 0x2e2f4292241240d9, 0x6257f9fbe08bf29f, 0x1f215401bb87c288, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c96a2a10cb42c, 0x579096df96bfe80e, 0xa007fb51ba60b0de, 0xd27fb6a7f76e9f04,
  0x3406fea8e574368d, 0xe1e79c216fc873bd, 0x9e12fc4361227b2c, 0x89c3dd0dd51fa8f0, 0x3b58ea6e9b3db848,
  0xb306be7a8f2b7f25, 0x22814c5752bd47c1, 0xe8c2cb1148b34eb4, 0x39d5db8c78ea426b, 0xc75ea26f0e488f7b,
  0x8a20fa3e7ac6abc6, 0x2386f65f4b317090, 0xa59b5f20b546c113, 0xdfb27f157ceee2a4, 0x781013936df8189d,
  0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1, 0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3,
  0x4ad417678661bbe1, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x000ebac5025453c9,
};

// m1284_u2x8_uart0_noled_pr         m1284p_u2x8_uart0_noled           m1284p_u2x8_uart0_noled_pr
static const uint64_t ur_m1284_u2x8_uart0_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff58779f9ba609f1, 0xa8e526fb74f84a21, 0xcf1df2c90e1b46f6, 0x0a4871240cd27a8f, 0x99cc580b7ba61f3a,
  0x823af175e1a968f1, 0x2b5ec2b241771cb1, 0x1deb5e73859bf031, 0xb19c2de6f3e0a830, 0x0959486e2ea72f29,
  0x8b4ac24e31bc6744, 0x6d99ca9d156f62aa, 0xe1986ef84a5a97e5, 0x1fc68b3dfe209f71, 0xa615c9fbab31e40d,
  0x4b670e271964b867, 0xcf257ee686658749, 0x0000001f218da662,
};

// m1284p_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m1284_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0xffd85f3fa54c13e3, 0xa8e526fb74f84814, 0xd01df2c21e1b46f6, 0xba4871240d05fa8f, 0x61cc580b2ca6f937,
  0x823af47d78705a3d, 0x9ed871a25500ffd9, 0x81895af626af81e5, 0x4180ef5af39c2cdf, 0x794d8ce16f379f05,
  0x3a204aca43717539, 0x15545a5612718de3, 0xbf2b6cce54e8ab7b, 0xbd8f0cc377c252d4, 0xbf83bb8d167bfc40,
  0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x9ebda792bf734332, 0x0000000000f93a3c,
};

// m1284_u2x8_uart0_noled_pr_ee_u4   m1284p_u2x8_uart0_noled_pr_ee     m1284p_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0x0be7f024c13e3277, 0x49bedd3e12297ffb, 0xd68e7186d1bdaa39, 0xc1a63ea3cae449aa, 0x50ef8accaf51f06c,
  0x185962291669d684, 0x2e7aae3593484d7d, 0x9de11be8f059cead, 0x461c6c6ab5d0ebce, 0x65b2e62e121142cf,
  0xaa0ea8d823f5b86f, 0xcdf81895af600520, 0xf054180ef5af39c2, 0x539794d8ce16f379, 0xde33a204aca43717,
  0xb7b15545a5612718, 0x2d4bf2b6cce54e8a, 0xc40bd8f0cc377c25, 0x599bf83bb8d167bf, 0x0f7bca1854895a9d,
  0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xf1a1ebda792bf734,
  0x00000000000004eb,
};

// m1284_u2x8_uart0_noled_pr_ce_u4   m1284p_u2x8_uart0_noled_pr_ce     m1284p_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart0_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xffb0be7d82cc13e3, 0xa3949bedd3e12387, 0xb80dfd41486d1bda, 0xe1e79c216de6e77f, 0x9e12fc4361227b2c,
  0x889c3c00149fa8f0, 0x3dcb7d7ac9b3db84, 0x4871240f59ea393d, 0x1eb0e62c054c6d6a, 0xeccf1d7a3ebc382d,
  0x3cb5b838d12a807f, 0x9bf0312b5ec4d5f0, 0xe0a8301deb5e7385, 0xa72f29b19c2de6f3, 0xbc67440959486e2e,
  0x6f62aa8b4ac24e31, 0xb52fcadb339538c7, 0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75,
  0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x7927af69e4afdcd0,
  0x0000000000001baf,
};

/*
 * m1284_u2x8_uart0_noled_pr_ee_ce_u4 m1284p_u2x8_uart0_noled_pr_ee_ce
 * m1284p_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x8_uart0_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x17cfbfc9827c64ee, 0x937dba7c241a3ff6, 0xaa32970da37b5472, 0x842dbcdcec2d01bf, 0x886c244f659c3cf3,
  0xa1baa3f51e13c25f, 0x3df367b70911387b, 0x7f51e57d44a76b1d, 0x8afbaf51f06cc1ad, 0x62291669d6845029,
  0xb8f51d484d7d1859, 0x3bc237d1e0b39d5d, 0x1871b1aaf1b1d79d, 0x96cb98b848450b3d, 0x541d51b044c8e1bd,
  0x9bf0312b5ec2ce41, 0xe0a8301deb5e7385, 0xa72f29b19c2de6f3, 0xbc67440959486e2e, 0x6f62aa8b4ac24e31,
  0xb52fcadb339538c7, 0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x4b69af69e4afdcd0, 0x00000000000004fc,
};

// m1284p_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m1284_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0xca4df6e9f0914bff, 0x56b4738c368ded51, 0x660d31f51e57224d, 0x22877c56657a8f83,
  0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0x74ef08df4782ce75, 0x7a30e36355ae875e, 0x7b2d973170908a16,
  0x05507546c11fadc3, 0x166fc0c4ad7b0029, 0xcf82a0c077ad79ce, 0xba9cbca6c670b79b, 0xc6f19d10256521b8,
  0x55bd8aaa2d2b0938, 0x296a5f95b6672a74, 0x4ad417678661bbe1, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0000b7c69ad453c9,
};

/*
 * m1284_u2x8_uart0_noled_ee_ce_u4_hw m1284p_u2x8_uart0_noled_ee_ce_hw
 * m1284p_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x8_uart0_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0xa4df6e9f09068ff2, 0xea8ca5c368ded51c, 0xc216fc873b0b406f, 0xc4361227b2ce1e79,
  0x9cba3ffa8f09e12f, 0x4f7cd9edc2444e1d, 0x5fd4795f5129dac7, 0x62beebd47c1b306b, 0x588a459a75a1140a,
  0x6e3d4752135f4616, 0x4ef08df4782ce757, 0x461c6c6abc6c75e7, 0x65b2e62e121142cf, 0x5507546c1132386f,
  0x66fc0c4ad7b0b390, 0xf82a0c077ad79ce1, 0xa9cbca6c670b79bc, 0x6f19d10256521b8b, 0xdbd8aaa2d2b0938c,
  0x2d4bf2b6cce54e31, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x005010e2fa8a792b,
};

// m1284_u2x8_uart0_lednop_pr        m1284p_u2x8_uart0_lednop          m1284p_u2x8_uart0_lednop_pr
static const uint64_t ur_m1284_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x03fd61de7c27cc13, 0xdaa3949bedd3e124, 0x393c77cb24386d1b, 0xb3e921c4903349ea, 0x414e62c05bdd30f8,
  0x1823af175e14868e, 0x895af61598cf71cb, 0x5af3c0809c2cdf81, 0x002de6f2dd4180ef, 0xd21c354dea53929d,
  0x036e8a042d2d7f88, 0xe56d99d38c6f19d1, 0x71e1986ef84a5a97, 0x0d1fc68b3dfe209f, 0x67a615c9fbab31e4,
  0x494b670e271964b8, 0x62cf257ee6866587, 0x000000001f218da6,
};

// m1284p_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m1284_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0xffd85f3e13e609f1, 0xa8e526fb74f84900, 0x6b1df2c21e1b46f6, 0x2a4871240d05fa8f, 0x19cc580b2ca69ba3,
  0x0475e8faf09348d2, 0x7b6f687daa01ffb3, 0x06256bd9ee0a0796, 0xbd6bcf020270b37e, 0x400b79bcda450603,
  0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x9da722adec555169, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x0001f26b8bed7b4f,
};

// m1284_u2x8_uart0_lednop_pr_ee_u4  m1284p_u2x8_uart0_lednop_pr_ee    m1284p_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x17cfefb9827c64ee, 0x937dba7c24a7bff6, 0xad1ce30da37b5472, 0x834c7d4795995355, 0x43be2b31fea3e0d9,
  0x616588a459a75a11, 0xbc88b8d64d2135f4, 0x9de11f1193473ab4, 0x46f6ac6ab5d0ebce, 0xb2d973170908a3a0,
  0xc689546c11fadc37, 0x2cdf81895af60041, 0x4180ef5af3c0809c, 0x3929d002de6f3691, 0x40f88d21c354dea5,
  0x545a6194e31bc674, 0x95b66769c8ab7b15, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf,
  0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x5ed3c95fb9a19961,
  0x00000000275cfd6f,
};

// m1284_u2x8_uart0_lednop_pr_ce_u4  m1284p_u2x8_uart0_lednop_pr_ce    m1284p_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xffb0be7f2b4c13e3, 0xa3949bedd3e12287, 0x380dfd41486d1bda, 0xe1e79c216de6e77f, 0x9e12fc4361227b2c,
  0x2270f8ddd83fa8f0, 0xf72df5eb26cf6e12, 0x21c4903d67a8fd24, 0x486731602e4907e9, 0xccf1d7a3ebc24d23,
  0x96b73da1f6a807fe, 0x7e06256bd9ee0a07, 0x03bd6bcf020270b3, 0xa7400b79bcda4506, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad, 0xee3459eff102f63c, 0x152256a75666fe0e,
  0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000001bae1a9daf6,
};

/*
 * m1284_u2x8_uart0_lednop_pr_ee_ce_u4 m1284p_u2x8_uart0_lednop_pr_ee_ce
 * m1284p_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0xbe7eb7e609f193bb, 0x37dba7c253b7ffb0, 0xa32970da37b54729, 0x85b79b9dd8f81bfa, 0x0d8489ecb3879e70,
  0x06ddfea3c2784bf1, 0x7cd9edc2444e1c00, 0xd4795f7529dac74f, 0x61efd47c1b306b5f, 0x148b34eb422814c5,
  0x220ea426be8c2cb1, 0x7847c464d1ceaedd, 0x7b56355e363af3a7, 0x6cb98b848451d023, 0xa2551b044c8e1bd9,
  0x37e06256bd859871, 0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e, 0x16986538c6f19d10,
  0xdb33b4e18edec555, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0, 0xcbf313ffbc3def28,
  0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x69e4afdcd0ccb0e9, 0x00000009f86113af,
};

// m1284p_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u2x8_uart0_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0xca4df6e9f0929eff, 0x56b4738c368ded51, 0x660d31f51e56654d, 0x450ef8acc7fa8f83,
  0xd185962291669d68, 0xd2f222e3593484d7, 0x3a77847c464d1cea, 0x811bdab1aad743af, 0xdecb65cc5c24228e,
  0x071a2551b047eb70, 0x70b37e06256bd801, 0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a,
  0x55516986538c6f19, 0x7e56d99da722adec, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50, 0x9d871fc65f989ffd,
  0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0xdfbb2d514f257ee6, 0x0000000000000002,
};

/*
 * m1284_u2x8_uart0_lednop_ee_ce_u4_hw m1284p_u2x8_uart0_lednop_ee_ce_hw
 * m1284p_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0xa4df6e9f094edff9, 0xea8ca5c368ded51c, 0x842df90e7763e06f, 0x886c244f659c3cf3,
  0x838227f51e13c25f, 0x3df367b709113876, 0x7f51e57dd4a76b1d, 0x1587bf51f06cc1ad, 0xc4522cd3ad08a053,
  0x74883a909afa30b2, 0x9de11f1193473abb, 0x8ded58d578d8ebce, 0x65b2e62e12114740, 0xc689546c1132386f,
  0x2cdf81895af61661, 0x4180ef5af3c0809c, 0x3929d002de6f3691, 0x40f88d21c354dea5, 0x545a6194e31bc674,
  0x2b6cced3863b7b15, 0xcf0cc377c252d4bf, 0xf7bca1854895a82e, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce,
  0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xa31fe8a792bf7343, 0x0000000000000a02,
};

/*
 * m1284_u2x8_uart0_dual_pr          m1284_u2x8_uart0_dual_pr_u4       m1284p_u2x8_uart0_dual
 * m1284p_u2x8_uart0_dual_pr         m1284p_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284_u2x8_uart0_dual[] = {
  0x7eeeeeebc94486f9, 0x6eeeee99385f38b7, 0x47b362323b1ab59f, 0xcb6514adddd68be4, 0xdca6d1c87739fc29,
  0x348300cc13e32685, 0x6fc0d88b782c8778, 0x29dd3e251850c85a, 0xf7c5f4dfe6584a01, 0x9bd4753db0cac70d,
  0xc5e8524482481975, 0x4aff3f7c117e53e5, 0xf2b5b03770f8510c, 0x7177f25f2f973f21, 0x110cbfe420b486f9,
  0xf0987c8a8432d0f9, 0x579096dea57fd01c, 0x2eebff950660b0de, 0x1bdaa3949bedd3e1, 0xea3e453be589a86d,
  0xf5886921c490310f, 0x475fce62c0550798, 0xfb30475e00d7877b, 0x3cb3dbe784faa01f, 0xc55f3bb8a92c5390,
  0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x4a7253a005bcde6d, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c,
  0xbf2b6cced39156f6, 0xbd8f0cc377c252d4, 0xbf83bb8d167bfc40, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7,
  0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x56bda792bf734332, 0x0000000000524d6b,
};

// m1284p_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ee[] = {
  0xdddddd7935050c86, 0xeeeee993067ddeef, 0x9f55ecfb41f6b85e, 0xf78efc8eebb23b48, 0x767d5f98a8435dfb,
  0x9827c64c0bb97763, 0x2de0b21de0d23b8f, 0x9461432169bf0362, 0x9f99612804a774f8, 0xbd856f9c20071714,
  0x9049034db9bd47b5, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef, 0xcbe5cfc87cb9be06, 0x082d21be5c5dfc97,
  0x4219683a54432ff9, 0x0fffd01cf098a2c5, 0x0cc161bcaf212dbd, 0x6fb74f84b4dfff2a, 0xa39121b46f6a8e52,
  0xc14f51e56bee6ab5, 0xef8aff77a8f83660, 0x5962291669d68450, 0x1eb8a973484d7d18, 0xc39223dece756973,
  0xcf58d56ba1d7a89b, 0xe9662e1211441f47, 0x2d51b047eb70decb, 0x5f3bb8a92804d7c8, 0x59bf0312b5ec9fc5,
  0x8301deb5e7810138, 0x7253a005bcde6d22, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x2b6cced39156f62a,
  0xcf0cc377c252d4bf, 0x07771a2cf7f88138, 0x430a912b53ab337f, 0x1f347d8cec389c69, 0x32c970cf4c2b93f0,
  0x0ccb0e9296ce1c4e, 0x91eb7af69e4afdcd, 0x0000000000000015,
};

// m1284p_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ee_u4[] = {
  0xbbbaf25150fed4d6, 0xddd3260cfbbddfbb, 0xabd9f683ed70bddd, 0x1df91dd76476913e, 0xfeaecdd086bbf7ef,
  0x3e32605dc9bb19f5, 0x0590ef0691dc7cc1, 0x0a190b4df81b116f, 0x961298093ba7c4a3, 0x56f9c200717149f9,
  0x9034db9bd47b5bd8, 0xfca7cb8bd0a48904, 0xf0a21895fe7ef822, 0x5cfc87cb9be06ee1, 0xd21be5c5dfc97cbe,
  0x9683a54432ff9082, 0xfd01cf098a2c5421, 0x161bcaf212dbd0ff, 0xe9f0969bffa7a1cc, 0x24368ded51ca4df6,
  0xea3cad7dcd56b472, 0x5feef51f06cc1829, 0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0x447bd9cead2e63d7,
  0x1aad743af5137872, 0xc5c2422883e8f9eb, 0x3608fd6e1bd97d2c, 0x771525009af905aa, 0xe06256bd93f8abe7,
  0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x99da722adec55516,
  0x986ef84a5a97e56d, 0xf1a2cf7f8817b1e1, 0x4895a9d599bf8347, 0xcc4ffef0f7bca185, 0x3347d8cec38fe32f,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00015933ff0e41a7,
};

// m1284p_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ce[] = {
  0xddddd793b0486f97, 0xbbbba64cd80b6efd, 0x8fd68b56937b87db, 0xf779f7bbba539b12, 0x278233ae3fa9d6cd,
  0x4271f304f8c93237, 0xe06c45bc1643bc1a, 0xee9f128c28642d37, 0xe2f003f32c250094, 0x51e76f616b670adf,
  0x4292241240f76a6f, 0xf9fbe08bf29f2e2f, 0x9201bb87c2886257, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x2fb8a8432d04ac88, 0x25b7eafffa039e13, 0xffe541982c3795e4, 0x51ca4df6e9f096fb, 0x8606febd44368ded,
  0x70f3ce10b6f373b2, 0x4f097e21b0913d96, 0x113876bb43efd478, 0xee5beba97367b709, 0x1c4903a97ea38df9,
  0x7f398b015007be92, 0xcf1d78035e1ded1d, 0xb5bb9e13ea807fec, 0x5f3bb8a92c53903c, 0x59bf0312b5ec9fc5,
  0x8301deb5e7810138, 0x7253a005bcde6d22, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x9e1986ef84a5a97e, 0x0eee3459eff10271, 0x86152256a75666fe, 0x3e68fb19d87138d2, 0x6592e19e985727e0,
  0x19961d252d9c389c, 0x930875ed3c95fb9a, 0x0000000000000034,
};

// m1284p_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ce_u4[] = {
  0xfdddddd792890c86, 0xdddddd3266c27dee, 0xd96b3ed95a16d4d7, 0x547eb59f7bbbb625, 0xc1b97763765a0f31,
  0xe0d2138f9827c64d, 0x69bf03622de0b21d, 0x04a774f894614321, 0x34d7177f9f996128, 0x7e6f51ffe6c0341c,
  0x2e2f4292241240fa, 0x6257f9fbe08bf29f, 0x0f932181bb87c288, 0xcb8bbf92f97cb9f9, 0xf68865ff2105a437,
  0x9e1307b8a8432d05, 0x95e425b7eafffa03, 0x96fbffe541982c37, 0x8ded51ca4df6e9f0, 0xe775280dfd65f436,
  0x7b2ce1e79c216de6, 0xa8f09e12fc436122, 0x6e122270e87d8ddf, 0xb873dcb7d61c66cf, 0x25243892061c7d47,
  0xfa37b4731602c43d, 0x8e58cf1d7917786b, 0x57ceee2a4a3a0e3b, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e,
  0x29c94e8016f3796e, 0x96bfc4690e1aa6f5, 0x6f19d1036e318216, 0x4a5a97e56d99d38c, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0xa489a0d7b4f257ee, 0x0000000000000001,
};

// m1284p_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ee_ce[] = {
  0xefdddddd79350c86, 0xfbbbbba64f1de44e, 0x70b26ee76e66f7ea, 0x3bba16ccf77ed46a, 0xb1bb1e0b98b3683f,
  0xf5cc13e325055cbb, 0x622de0b21de0d23c, 0xf89461432169bf03, 0xc87f99612804a774, 0x61b60cf870eb3e2e,
  0x2241240ff5e6f51e, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f2f390, 0xe420b486f97177f2,
  0x150865a16e910cbf, 0x77f9ff4073c2653d, 0x541982c3795e425b, 0x49bedd3e1231fffe, 0xd51fee86d1bdaa39,
  0x216de6e767040577, 0x889c3b3e759fe79c, 0xed7e2310cd02bb84, 0xcc1a63ea3cacca94, 0x8a0531598ff51f06,
  0xa30b2c4522cd3ad0, 0xe7576edbe3a909af, 0x75ed62bc2f7a3e90, 0x45c34752ec6abc6c, 0x386f65c7c62e1211,
  0xf3bb8a92e316be32, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0x253a005bcde6d228, 0x1f11a4386a9bd4a7,
  0x8b4c329c6378ce88, 0x6d99da70c76f62aa, 0xe1986ef84a5a97e5, 0xddc68b3dfe209f71, 0xe985727eeaccdfc1,
  0x52d9c389c6592e19, 0xd3c95fb9a19961d2, 0x00000002609a735e,
};

// m1284p_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbaf25150ff0668, 0xee9932b7793ddfbb, 0xbc3ed68fef766eee, 0xd8b74abeabcaf799, 0xe6689647f08fcfa6,
  0x9f5caae3ec000d48, 0x8348f883cc13e325, 0xa6fc0d88b782c877, 0x049dd3e251850c85, 0x91e2fdd6fccb094c,
  0xbd47524d8737ce0a, 0xbd0a489049036729, 0x5fe7ef822fca7cb8, 0x855006ee1f0a2189, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x325a8a8432d0b1f4, 0x425b7e5affa039e1, 0x1ff4f43982c3795e, 0xaa3949bedd3e1280,
  0x80dfd51cae86d1bd, 0x79e7085bf80677a6, 0x84bf10d8489ecb38, 0x70fe72ea77ea3c27, 0xd63a9ba6cf6e1222,
  0xc1af9ea3cadfc94e, 0xa05315d4af51f06c, 0x30b2c4522cd3ad08, 0x7576e31e3a909afa, 0xd7a89bc39223dece,
  0x883e8f9eb1aaf1b1, 0xe1bd97d2cc5c2422, 0x66d7c82d51b044c8, 0xec9fc55f3bb8a929, 0x81013859bf0312b5,
  0xde6d228301deb5e7, 0xa9bd4a7253a005bc, 0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c,
  0xf8817b1e1986ef84, 0x599bf8347f1a2cf7, 0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x4d3e641a792bf734, 0x0000000000000800,
};

// m1284p_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m1284_u2x8_uart0_dual_ee_hw[] = {
  0xeeeebc9451a3a668, 0x7774c9833eef77ee, 0xaaf67da0fb5c2f77, 0xc77e4775d91da44f, 0x62e9a91421aefdfb,
  0x609f19302ee5acae, 0xb782c8778348ee3e, 0x51850c85a6fc0d88, 0x7e6584a7419dd3e2, 0xf615be70801c5c52,
  0x41240d36e6f51ed6, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f2e6f81b, 0x20b486f97177f25f,
  0x0865a0e9510cbfe4, 0x3fff4073c2628b15, 0xd30586f2bc84b6f4, 0x7dba7c25a6ffda8d, 0x1c890da37b547293,
  0x0a7a8f2b5f7355ad, 0x7c57fbbd47c1b306, 0xcb1148b34eb42287, 0xf5c54b9a426be8c2, 0x1c911ef673ab4b98,
  0x7ac6ab5d0ebd44de, 0x4b3170908a20fa3e, 0x6a8d823f5b86f65f, 0xf9ddc5494026be41, 0xcdf81895af64fe2a,
  0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155,
  0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0xcf27453c95fb9a19, 0x000000000000aed6,
};

// m1284_u2x8_uart0_dual_ee_ce_u4_hw m1284p_u2x8_uart0_dual_ee_ce_hw   m1284p_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77775e4a28d172df, 0xddd32656ef27bbf7, 0x3787dad1fdeecddd, 0xdb16e957d5795ef3, 0xd0cb52c8fe11f9f4,
  0xe3259f5cb6b5506a, 0xc8778348f883cc13, 0x0c85a6fc0d88b782, 0x84a7419dd3e25185, 0xe70548f17eeb7e65,
  0xb394dea3a926c39b, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xe43e42a803770f85, 0xdf2e2efe4be5f2e7,
  0x58fa2197fc841690, 0x1cf0992d45421968, 0xbcaf212dbf2d7fd0, 0x09400ff6a374c161, 0x68ded51ca4df6e9f,
  0x3bd3406fea8e5743, 0xb2ce1e79c216fc87, 0x8f09e12fc4361227, 0x84889c3dd0dd51fa, 0xf253b58ea6e9b3db,
  0x7c1b306be7a8f2b7, 0xeb422814c5752bd4, 0x26be8c2cb1148b34, 0xf7b39d5db8c78ea4, 0xbc6c75ea26f0e488,
  0x0908a20fa3e7ac6a, 0x1132386f65f4b317, 0x2a4a59b5f20b546c, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0,
  0x016f379b48a0c077, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667,
  0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0x53c95fb9a19961d2, 0x0000000ebac50254,
};

// m1284_u2x8_uart1_noled_pr         m1284p_u2x8_uart1_noled           m1284p_u2x8_uart1_noled_pr
static const uint64_t ur_m1284_u2x8_uart1_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff58779f9ba609f1, 0x51ca4df6e9f04a21, 0x9e3be5921c368ded, 0x1490e24819a4f51f, 0x3398b016f74c3e74,
  0x0475e2ebc352d1e3, 0xeefd856482ee3963, 0xdfbbf39c9b6fc0c4, 0x33937e6f3e0a8301, 0x2b290dc5d4e5e536,
  0x695849c6378ce881, 0xb33953a2adec5551, 0x330ddf094b52fcad, 0xf8d167bfc413ee3c, 0xc2b93f75663c81a3,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000003e431b4cc59,
};

// m1284p_u2x8_uart1_noled_pr_u4
static const uint64_t ur_m1284_u2x8_uart1_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0xffd85f3fa54c13e3, 0x51ca4df6e9f04814, 0xa03be5843c368ded, 0x7490e2481a0bf51f, 0xc398b016594df26f,
  0x0475e8faf0e0b47a, 0x3db0e344aa01ffb3, 0x062777ec4d5f03cb, 0x180efddf9ce4db7e, 0x29b19c9bf379f054,
  0x440959486e2ea72f, 0xaa8b4ac24e31bc67, 0xe56d99ca9d156f62, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817,
  0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0xd7b4f257ee686658, 0x000000001f274793,
};

// m1284_u2x8_uart1_noled_pr_ee_u4   m1284p_u2x8_uart1_noled_pr_ee     m1284p_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart1_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0x0be7f024c13e3277, 0x937dba7c12297ffb, 0xad1ce30da37b5472, 0x834c7d4795c89355, 0xa1df15995ea3e0d9,
  0x30b2c4522cd3ad08, 0x5cf55c6b26909afa, 0x3bc237d1e0b39d5a, 0x8c38d8d56ba1d79d, 0xcb65cc5c2422859e,
  0x541d51b047eb70de, 0xb7e062777ec00a41, 0x054180efddf9ce4d, 0x72f29b19c9bf379f, 0xc67440959486e2ea,
  0xf62aa8b4ac24e31b, 0xa97e56d99ca9d156, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x343d7b4f257ee686,
  0x0000000000009d7e,
};

// m1284_u2x8_uart1_noled_pr_ce_u4   m1284p_u2x8_uart1_noled_pr_ce     m1284p_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart1_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xffb0be7d82cc13e3, 0x472937dba7c12387, 0x701bfa8290da37b5, 0xc3cf3842dbcdceff, 0x3c25f886c244f659,
  0x11387800293f51e1, 0x7b96faf59367b709, 0x90e2481eb3d4727a, 0x3d61cc580a98dad4, 0xd99e3af47d78705a,
  0x796b7071a25500ff, 0x6fc0c4eefd89abe0, 0x0a8301dfbbf39c9b, 0xe5e53633937e6f3e, 0x8ce8812b290dc5d4,
  0xec5551695849c637, 0xa5f95b6672a718ed, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac,
  0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x24f5ed3c95fb9a19,
  0x00000000000375ef,
};

/*
 * m1284_u2x8_uart1_noled_pr_ee_ce_u4 m1284p_u2x8_uart1_noled_pr_ee_ce
 * m1284p_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x8_uart1_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x17cfbfc9827c64ee, 0x26fb74f8241a3ff6, 0x54652e1b46f6a8e5, 0x085b79b9d85a037f, 0x10d8489ecb3879e7,
  0x437547ea3c2784bf, 0x7be6cf6e122270f7, 0xfea3cafa894ed63a, 0x15f75ea3e0d9835a, 0xc4522cd3ad08a053,
  0x71ea3a909afa30b2, 0x77846fa3c1673abb, 0x30e36355e363af3a, 0x2d973170908a167a, 0xa83aa3608991c37b,
  0x6fc0c4eefd859c82, 0x0a8301dfbbf39c9b, 0xe5e53633937e6f3e, 0x8ce8812b290dc5d4, 0xec5551695849c637,
  0xa5f95b6672a718ed, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x6d35ed3c95fb9a19, 0x0000000000009f89,
};

// m1284p_u2x8_uart1_noled_ee_hw     usb1286_u2x8_uart0_noled_ee_hw    usb1287_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m1284_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0x949bedd3e0914bff, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a, 0x450ef8accaf51f06,
  0xd185962291669d68, 0xd2e7aae3593484d7, 0xe9de11be8f059cea, 0xf461c6c6ab5d0ebc, 0xf65b2e62e121142c,
  0x0aa0ea8d823f5b86, 0x6dbf0313bbf60052, 0xf82a0c077eefce72, 0x539794d8ce4df9bc, 0xde33a204aca43717,
  0xb7b15545a5612718, 0x2d4bf2b6cce54e8a, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0016f8d35a8a792b,
};

/*
 * m1284_u2x8_uart1_noled_ee_ce_u4_hw m1284p_u2x8_uart1_noled_ee_ce_hw
 * m1284p_u2x8_uart1_noled_ee_ce_u4_hw usb1286_u2x8_uart0_noled_ee_ce_hw
 * usb1286_u2x8_uart0_noled_ee_ce_u4_hw usb1287_u2x8_uart0_noled_ee_ce_hw
 * usb1287_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x8_uart1_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0x49bedd3e09068ff2, 0xd5194b86d1bdaa39, 0x842df90e761680df, 0x886c244f659c3cf3,
  0x39747ff51e13c25f, 0x9ef9b3db84889c3b, 0xbfa8f2bea253b58e, 0xc57dd7a8f83660d6, 0xb1148b34eb422814,
  0xdc7a8ea426be8c2c, 0x9de11be8f059ceae, 0x8c38d8d578d8ebce, 0xcb65cc5c2422859e, 0xaa0ea8d8226470de,
  0xdbf0313bbf616720, 0x82a0c077eefce726, 0x39794d8ce4df9bcf, 0xe33a204aca437175, 0x7b15545a5612718d,
  0xa97e56d99ca9c63b, 0x505d9e1986ef84a5, 0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f,
  0x271964b867a617c6, 0xe6866587494b670e, 0x0a021c5f514f257e,
};

// m1284_u2x8_uart1_lednop_pr        m1284p_u2x8_uart1_lednop          m1284p_u2x8_uart1_lednop_pr
static const uint64_t ur_m1284_u2x8_uart1_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x03fd61de7c27cc13, 0xb5472937dba7c124, 0x7278ef964870da37, 0x67d24389206693d4, 0x829cc580b7ba61f1,
  0x30475e2ebc290d1c, 0x2777ec2b319ee396, 0xdf9e0404e4db7e06, 0x137e6f2dd4180efd, 0x4386a9bd4a7253a0,
  0x6dd14085a5aff11a, 0xadb33a718de33a20, 0x3c330ddf094b52fc, 0xa3f8d167bfc413ee, 0xf4c2b93f75663c81,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000003e431b4cc,
};

// m1284p_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_m1284_u2x8_uart1_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0xffd85f3e13e609f1, 0x51ca4df6e9f04900, 0xd63be5843c368ded, 0x5490e2481a0bf51e, 0x3398b016594d3746,
  0x08ebd1f5e12691a4, 0xf6ded0fb5403ff66, 0x189ddfb3dc140f2c, 0xf77e781013936df8, 0x04df9bcda450603b,
  0x90e1aa6f529c94e8, 0xca718de33a207c46, 0xb4e455bd8aaa2d30, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x003e4d717daf69e4,
};

// m1284_u2x8_uart1_lednop_pr_ee_u4  m1284p_u2x8_uart1_lednop_pr_ee    m1284p_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart1_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x17cfefb9827c64ee, 0x26fb74f824a7bff6, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab, 0x877c5663fd47c1b3,
  0xc2cb1148b34eb422, 0x791171ac9a426be8, 0x3bc23e23268e7569, 0x8ded58d56ba1d79d, 0x65b2e62e12114740,
  0x8d12a8d823f5b86f, 0xdb7e062777ec0083, 0x180efddf9e0404e4, 0x253a0137e6f36914, 0x1f11a4386a9bd4a7,
  0x8b4c329c6378ce88, 0xb6cced39156f62aa, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xda792bf734332c3a,
  0x00000004eb9fadeb,
};

// m1284_u2x8_uart1_lednop_pr_ce_u4  m1284p_u2x8_uart1_lednop_pr_ce    m1284p_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xffb0be7f2b4c13e3, 0x472937dba7c12287, 0x701bfa8290da37b5, 0xc3cf3842dbcdcefe, 0x3c25f886c244f659,
  0x44e1f1bbb07f51e1, 0xee5bebd64d9edc24, 0x4389207acf51fa49, 0x90ce62c05c920fd2, 0x99e3af47d7849a46,
  0x2d6e7b43ed500ffd, 0xf8189ddfb3dc140f, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd,
  0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x0000375c353b5ed3,
};

/*
 * m1284_u2x8_uart1_lednop_pr_ee_ce_u4 m1284p_u2x8_uart1_lednop_pr_ee_ce
 * m1284p_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0xbe7eb7e609f193bb, 0x6fb74f8253b7ffb0, 0x4652e1b46f6a8e52, 0x0b6f373bb1f037f5, 0x1b0913d9670f3ce1,
  0x0dbbfd4784f097e2, 0xf9b3db84889c3800, 0xa8f2beea53b58e9e, 0xc3dfa8f83660d6bf, 0x291669d68450298a,
  0x441d484d7d185962, 0xf08f88c9a39d5dba, 0xf6ac6abc6c75e74e, 0xd973170908a3a046, 0x44aa3608991c37b2,
  0xdf8189ddfb0b30e3, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c,
  0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000013f0c2275ed,
};

// m1284p_u2x8_uart1_lednop_ee_hw    usb1286_u2x8_uart0_lednop_ee_hw   usb1287_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u2x8_uart1_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0x949bedd3e0929eff, 0xad68e7186d1bdaa3, 0xcc1a63ea3cacca9a, 0x8a1df1598ff51f06,
  0xa30b2c4522cd3ad0, 0xa5e445c6b26909af, 0x74ef08f88c9a39d5, 0x0237b56355ae875e, 0xbd96cb98b848451d,
  0x0e344aa3608fd6e1, 0x936df8189ddfb002, 0x50603bf77e781013, 0x9c94e804df9bcda4, 0x207c4690e1aa6f52,
  0xaa2d30ca718de33a, 0xcadb33b4e455bd8a, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xf765aa29e4afdcd0, 0x000000000000005b,
};

/*
 * m1284_u2x8_uart1_lednop_ee_ce_u4_hw m1284p_u2x8_uart1_lednop_ee_ce_hw
 * m1284p_u2x8_uart1_lednop_ee_ce_u4_hw usb1286_u2x8_uart0_lednop_ee_ce_hw
 * usb1286_u2x8_uart0_lednop_ee_ce_u4_hw usb1287_u2x8_uart0_lednop_ee_ce_hw
 * usb1287_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0x49bedd3e094edff9, 0xd5194b86d1bdaa39, 0x085bf21ceec7c0df, 0x10d8489ecb3879e7,
  0x07044fea3c2784bf, 0x7be6cf6e122270ed, 0xfea3cafba94ed63a, 0x2b0f7ea3e0d9835a, 0x88a459a75a1140a6,
  0xe910752135f46165, 0x3bc23e23268e7576, 0x1bdab1aaf1b1d79d, 0xcb65cc5c24228e81, 0x8d12a8d8226470de,
  0xdb7e062777ec2cc3, 0x180efddf9e0404e4, 0x253a0137e6f36914, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88,
  0x6d99da70c76f62aa, 0xe1986ef84a5a97e5, 0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x63fd14f257ee6866, 0x0000000000014054,
};

/*
 * m1284_u2x8_uart1_dual_pr          m1284_u2x8_uart1_dual_pr_u4       m1284p_u2x8_uart1_dual
 * m1284p_u2x8_uart1_dual_pr         m1284p_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284_u2x8_uart1_dual[] = {
  0x7eeeeeebc94486f9, 0x6eeeee99385f38b7, 0x47b362323b1ab59f, 0xcb6514adddd68be4, 0xdca6d1c87739fc29,
  0x348300cc13e32685, 0x6fc0d88b782c8778, 0x29dd3e251850c85a, 0xf7c5f4dfe6584a01, 0x9bd4753db0cac70d,
  0xc5e8524482481975, 0x4aff3f7c117e53e5, 0xf2b5b03770f8510c, 0x7177f25f2f973f21, 0x110cbfe420b486f9,
  0xf0987c8a8432d0f9, 0x579096dea57fd01c, 0x2eebff950660b0de, 0x37b5472937dba7c1, 0xd47c8a77cb1350da,
  0xeb10d2438920621f, 0x8ebf9cc580aa0f31, 0xf6608ebc01af0ef6, 0x7967b7cf09f5403f, 0x8abe77715258a720,
  0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x4e4a74026fcde6d2, 0x103e234870d537a9, 0x5516986538c6f19d,
  0xe56d99da722adec5, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xd7b4f257ee686658, 0x000000000a49ad6a,
};

// m1284p_u2x8_uart1_dual_pr_ee
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ee[] = {
  0xdddddd7935050c86, 0xeeeee993067ddeef, 0x9f55ecfb41f6b85e, 0xf78efc8eebb23b48, 0x767d5f98a8435dfb,
  0x9827c64c0bb97763, 0x2de0b21de0d23b8f, 0x9461432169bf0362, 0x9f99612804a774f8, 0xbd856f9c20071714,
  0x9049034db9bd47b5, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef, 0xcbe5cfc87cb9be06, 0x082d21be5c5dfc97,
  0x4219683a54432ff9, 0x0fffd01cf098a2c5, 0x0cc161bcaf212dbd, 0xdf6e9f04b4dfff2a, 0x47224368ded51ca4,
  0x829ea3cad7dcd56b, 0xdf15feef51f06cc1, 0xb2c4522cd3ad08a1, 0x3d7152e6909afa30, 0x872447bd9cead2e6,
  0x9eb1aad743af5137, 0xd2cc5c2422883e8f, 0x5aa3608fd6e1bd97, 0xbe7771525009af90, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x4a74026fcde6d228, 0x3e234870d537a94e, 0x16986538c6f19d10, 0x6d99da722adec555,
  0xe1986ef84a5a97e5, 0xeee3459eff102719, 0x6152256a75666fe0, 0xe68fb19d87138d28, 0x592e19e985727e03,
  0x9961d252d9c389c6, 0x3d6f5ed3c95fb9a1, 0x00000000000002b2,
};

// m1284p_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ee_u4[] = {
  0xbbbaf25150fed4d6, 0xddd3260cfbbddfbb, 0xabd9f683ed70bddd, 0x1df91dd76476913e, 0xfeaecdd086bbf7ef,
  0x3e32605dc9bb19f5, 0x0590ef0691dc7cc1, 0x0a190b4df81b116f, 0x961298093ba7c4a3, 0x56f9c200717149f9,
  0x9034db9bd47b5bd8, 0xfca7cb8bd0a48904, 0xf0a21895fe7ef822, 0x5cfc87cb9be06ee1, 0xd21be5c5dfc97cbe,
  0x9683a54432ff9082, 0xfd01cf098a2c5421, 0x161bcaf212dbd0ff, 0xd3e0969bffa7a1cc, 0x486d1bdaa3949bed,
  0xd4795afb9aad68e4, 0xbfddea3e0d983053, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x88f7b39d5a5cc7ae,
  0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54, 0x8189ddfb27f157ce,
  0xbf77e781013936df, 0x804df9bcda450603, 0x690e1aa6f529c94e, 0x0ca718de33a207c4, 0x3b4e455bd8aaa2d3,
  0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x12b53ab337f068fe, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x002b267fe1c834f2,
};

// m1284p_u2x8_uart1_dual_pr_ce
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ce[] = {
  0xddddd793b0486f97, 0xbbbba64cd80b6efd, 0x8fd68b56937b87db, 0xf779f7bbba539b12, 0x278233ae3fa9d6cd,
  0x4271f304f8c93237, 0xe06c45bc1643bc1a, 0xee9f128c28642d37, 0xe2f003f32c250094, 0x51e76f616b670adf,
  0x4292241240f76a6f, 0xf9fbe08bf29f2e2f, 0x9201bb87c2886257, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x2fb8a8432d04ac88, 0x25b7eafffa039e13, 0xffe541982c3795e4, 0xa3949bedd3e096fb, 0x0c0dfd7a886d1bda,
  0xe1e79c216de6e765, 0x9e12fc4361227b2c, 0x2270ed7687dfa8f0, 0xdcb7d752e6cf6e12, 0x38920752fd471bf3,
  0xfe731602a00f7d24, 0x9e3af006bc3bda3a, 0x6b773c27d500ffd9, 0xbe77715258a72079, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x4a74026fcde6d228, 0x3e234870d537a94e, 0x16986538c6f19d10, 0xdb33b4e18edec555,
  0xc330ddf094b52fca, 0xddc68b3dfe204e33, 0xc2a44ad4eaccdfc1, 0xcd1f633b0e271a50, 0xb25c33d30ae4fc07,
  0x32c3a4a5b387138c, 0x610ebda792bf7343, 0x0000000000000692,
};

// m1284p_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ce_u4[] = {
  0xfdddddd792890c86, 0xdddddd3266c27dee, 0xd96b3ed95a16d4d7, 0x547eb59f7bbbb625, 0xc1b97763765a0f31,
  0xe0d2138f9827c64d, 0x69bf03622de0b21d, 0x04a774f894614321, 0x34d7177f9f996128, 0x7e6f51ffe6c0341c,
  0x2e2f4292241240fa, 0x6257f9fbe08bf29f, 0x0f932181bb87c288, 0xcb8bbf92f97cb9f9, 0xf68865ff2105a437,
  0x9e1307b8a8432d05, 0x95e425b7eafffa03, 0x96fbffe541982c37, 0x1bdaa3949bedd3e0, 0xceea501bfacbe86d,
  0xf659c3cf3842dbcd, 0x51e13c25f886c244, 0xdc2444e1d0fb1bbf, 0x70e7b96fac38cd9e, 0x4a4871240c38fa8f,
  0xf46f68e62c05887a, 0x1cb19e3af22ef0d7, 0xaf9ddc5494741c77, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272,
  0x3929d009bf3796ea, 0xd7f88d21c354dea5, 0xe33a206dc63042d2, 0x4b52fcadb33a718d, 0xf102f63c330ddf09,
  0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e,
  0x0ccb0e9296ce1c4e, 0x91341af69e4afdcd, 0x0000000000000034,
};

// m1284p_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ee_ce[] = {
  0xefdddddd79350c86, 0xfbbbbba64f1de44e, 0x70b26ee76e66f7ea, 0x3bba16ccf77ed46a, 0xb1bb1e0b98b3683f,
  0xf5cc13e325055cbb, 0x622de0b21de0d23c, 0xf89461432169bf03, 0xc87f99612804a774, 0x61b60cf870eb3e2e,
  0x2241240ff5e6f51e, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f2f390, 0xe420b486f97177f2,
  0x150865a16e910cbf, 0x77f9ff4073c2653d, 0x541982c3795e425b, 0x937dba7c1231fffe, 0xaa3fdd0da37b5472,
  0x42dbcdcece080aef, 0x1138767ceb3fcf38, 0xdafc46219a057709, 0x9834c7d479599529, 0x140a62b31fea3e0d,
  0x4616588a459a75a1, 0xceaeddb7c752135f, 0xebdac5785ef47d21, 0x8b868ea5d8d578d8, 0x70decb8f8c5c2422,
  0xe7771525c62d7c64, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0xa74026fcde6d2283, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000004c134e6bda,
};

// m1284p_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbaf25150ff0668, 0xee9932b7793ddfbb, 0xbc3ed68fef766eee, 0xd8b74abeabcaf799, 0xe6689647f08fcfa6,
  0x9f5caae3ec000d48, 0x8348f883cc13e325, 0xa6fc0d88b782c877, 0x049dd3e251850c85, 0x91e2fdd6fccb094c,
  0xbd47524d8737ce0a, 0xbd0a489049036729, 0x5fe7ef822fca7cb8, 0x855006ee1f0a2189, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x325a8a8432d0b1f4, 0x425b7e5affa039e1, 0x1ff4f43982c3795e, 0x5472937dba7c1280,
  0x01bfaa395d0da37b, 0xf3ce10b7f00cef4d, 0x097e21b0913d9670, 0xe1fce5d4efd4784f, 0xac75374d9edc2444,
  0x835f3d4795bf929d, 0x40a62ba95ea3e0d9, 0x616588a459a75a11, 0xeaedc63c752135f4, 0xaf5137872447bd9c,
  0x107d1f3d6355e363, 0xc37b2fa598b84845, 0xcdaf905aa3608991, 0xd93f8abe77715252, 0x0809c9b6fc0c4eef,
  0xe6d228301dfbbf3c, 0x37a94e4a74026fcd, 0xf19d103e234870d5, 0xdec55516986538c6, 0xb52fcadb33b4e18e,
  0x102f63c330ddf094, 0x337f068fe3459eff, 0xef79430a912b53ab, 0x871fc65f989ffde1, 0xfe07efd8668fb19d,
  0x64b867a617c68f45, 0x6587494b670e2719, 0xa7cc834f257ee686, 0x0000000000010009,
};

// m1284p_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m1284_u2x8_uart1_dual_ee_hw[] = {
  0xeeeebc9451a3a668, 0x7774c9833eef77ee, 0xaaf67da0fb5c2f77, 0xc77e4775d91da44f, 0x62e9a91421aefdfb,
  0x609f19302ee5acae, 0xb782c8778348ee3e, 0x51850c85a6fc0d88, 0x7e6584a7419dd3e2, 0xf615be70801c5c52,
  0x41240d36e6f51ed6, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f2e6f81b, 0x20b486f97177f25f,
  0x0865a0e9510cbfe4, 0x3fff4073c2628b15, 0xd30586f2bc84b6f4, 0xfb74f825a6ffda8d, 0x39121b46f6a8e526,
  0x14f51e56bee6ab5a, 0xf8aff77a8f83660c, 0x962291669d68450e, 0xeb8a973484d7d185, 0x39223dece7569731,
  0xf58d56ba1d7a89bc, 0x9662e1211441f47c, 0xd51b047eb70decbe, 0xf3bb8a92804d7c82, 0xb7e062777ec9fc55,
  0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8,
  0x0cc377c252d4bf2b, 0xbca1854895a82ecf, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0xe4e8a792bf734332, 0x000000000015dad9,
};

// m1284_u2x8_uart1_dual_ee_ce_u4_hw m1284p_u2x8_uart1_dual_ee_ce_hw   m1284p_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_u2x8_uart1_dual_ee_ce_hw[] = {
  0x77775e4a28d172df, 0xddd32656ef27bbf7, 0x3787dad1fdeecddd, 0xdb16e957d5795ef3, 0xd0cb52c8fe11f9f4,
  0xe3259f5cb6b5506a, 0xc8778348f883cc13, 0x0c85a6fc0d88b782, 0x84a7419dd3e25185, 0xe70548f17eeb7e65,
  0xb394dea3a926c39b, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xe43e42a803770f85, 0xdf2e2efe4be5f2e7,
  0x58fa2197fc841690, 0x1cf0992d45421968, 0xbcaf212dbf2d7fd0, 0x09400ff6a374c161, 0xd1bdaa3949bedd3e,
  0x77a680dfd51cae86, 0x659c3cf3842df90e, 0x1e13c25f886c244f, 0x0911387ba1baa3f5, 0xe4a76b1d4dd367b7,
  0xf83660d7cf51e56f, 0xd68450298aea57a8, 0x4d7d185962291669, 0xef673abb718f1d48, 0x78d8ebd44de1c911,
  0x1211441f47cf58d5, 0x226470decbe9662e, 0x5494b36be416a8d8, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03,
  0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x3863b7b15545a619, 0x7c252d4bf2b6cced,
  0x54895a82ecf0cc37, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x000001d758a04a8a,
};

// m1284_u2x12_uart0_noled_pr        m1284p_u2x12_uart0_noled          m1284p_u2x12_uart0_noled_pr
static const uint64_t ur_m1284_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0x8ffac3bcff51304f, 0x9fcda9f55ba7c253, 0xcb24386d1bdaa394, 0xc4903349ea3f3c77, 0x80b7ba61bf5fe921,
  0xc5d787588f199cc5, 0x0acd62dc72c608eb, 0x79ce166fc0c4ad7b, 0x16f3796ea0c077ad, 0xa43717539794d8ce,
  0x03f5c502169e18ac, 0xe56d99d38c6f19d1, 0x71e1986ef84a5a97, 0x0d1fc68b3dfe209f, 0x67a615c9fbab31e4,
  0x494b670e271964b8, 0x62cf257ee6866587, 0x00000001f20dc7a6,
};

// m1284p_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m1284_u2x12_uart0_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xec2f9fea2609f193, 0xda9f55ba7c2538ff, 0x8786d1bdaa3949fc, 0x03417ea3f4077cb0, 0xcb29be4dee921c49,
  0x5e1c168f58731602, 0x95403ff6608ebd1f, 0x89abe07967b61c68, 0xbce70b37e06256bd, 0x5bcde7c150603bd6,
  0x90dc5d4e5e536338, 0x849c6378ce8812b2, 0x953a2adec5551695, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x003e4e9c95af69e4,
};

// m1284_u2x12_uart0_noled_pr_ee_u4  m1284p_u2x12_uart0_noled_pr_ee    m1284p_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0xab74f84982ffec2f, 0xa37b547293f9b53e, 0x95c89355ad1ce30d, 0x5ea3e0d9834c7d47,
  0x2cd3ad08a1df1599, 0x26909afa30b2c452, 0xe0b39d5a5cf55c6b, 0x6ba1d79d3bc237d1, 0x2422859e8c38d8d5,
  0x47eb70decb65cc5c, 0x5ec00a41541d51b0, 0xeb5e73859bf0312b, 0x9c2de6f3e0a8301d, 0x59486e2ea72f29b1,
  0x4ac24e31bc674409, 0x99ca9d156f62aa8b, 0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077,
  0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000009d7caacd7b4,
};

// m1284_u2x12_uart0_noled_pr_ce_u4  m1284p_u2x12_uart0_noled_pr_ce    m1284p_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart0_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xff617cfe049827c6, 0xcda9f55ba7c2452f, 0x41486d1bdaa3949f, 0x216de6e77fb80dfd, 0x4361227b2ce1e79c,
  0x00149fa8f09e12fc, 0x7ac9b3db84889c3c, 0x0f59ea393d3dcb7d, 0x2c054c6d6a487124, 0x7a3ebc382d1eb0e6,
  0x38d12a807feccf1d, 0x2b5ec4d5f03cb5b8, 0x1deb5e73859bf031, 0xb19c2de6f3e0a830, 0x0959486e2ea72f29,
  0x8b4ac24e31bc6744, 0xdb339538c76f62aa, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x69e4afdcd0ccb0e9,
  0x0000001bafc687af,
};

/*
 * m1284_u2x12_uart0_noled_pr_ee_ce_u4 m1284p_u2x12_uart0_noled_pr_ee_ce
 * m1284p_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x12_uart0_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0xab74f84b4d7fec2f, 0xa37b547293f9b53e, 0xec2d01bfaa32970d, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x0911387ba1baa3f5, 0x44a76b1d3df367b7, 0xf06cc1ad7f51e57d, 0xd68450298afbaf51,
  0x4d7d185962291669, 0xe0b39d5db8f51d48, 0xf1b1d79d3bc237d1, 0x48450b3d1871b1aa, 0x44c8e1bd96cb98b8,
  0x5ec2ce41541d51b0, 0xeb5e73859bf0312b, 0x9c2de6f3e0a8301d, 0x59486e2ea72f29b1, 0x4ac24e31bc674409,
  0x339538c76f62aa8b, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000009f929adaf69,
};

// m1284p_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m1284_u2x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0xf55ba7c24c17fcac, 0x6d1bdaa3949fcda9, 0x3cae449aad68e718, 0xcaf51f06cc1a63ea,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f059cead2e7aae3, 0xab5d0ebce9de11be, 0xe121142cf461c6c6,
  0x823f5b86f65b2e62, 0x5af600520aa0ea8d, 0xef5af39c2cdf8189, 0x8ce16f379f054180, 0x4aca43717539794d,
  0x5a5612718de33a20, 0x6cce54e8ab7b1554, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf, 0x8fe32fcc4ffef0f7,
  0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x8be8a792bf734332, 0x000000000002dfa0,
};

/*
 * m1284_u2x12_uart0_noled_ee_ce_u4_hw m1284p_u2x12_uart0_noled_ee_ce_hw
 * m1284p_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart0_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xeab74f84b4d7f958, 0xda37b547293f9b53, 0xcec2d01bfaa32970, 0xecb3879e7085bf21,
  0xa3c2784bf10d8489, 0x70911387672e8ffe, 0xd44a76b1d3df367b, 0x1f06cc1ad7f51e57, 0x9d68450298afbaf5,
  0x84d7d18596229166, 0x1e0b39d5db8f51d4, 0xaf1b1d79d3bc237d, 0x848450b3d1871b1a, 0x044c8e1bd96cb98b,
  0xb5ec2ce41541d51b, 0xdeb5e73859bf0312, 0x19c2de6f3e0a8301, 0x959486e2ea72f29b, 0xb4ac24e31bc67440,
  0xb339538c76f62aa8, 0x330ddf094b52fcad, 0xf286152256a0bb3c, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x07a29e4afdcd0ccb, 0x0000000000280a69,
};

// m1284_u2x12_uart0_lednop_pr       m1284p_u2x12_uart0_lednop         m1284p_u2x12_uart0_lednop_pr
static const uint64_t ur_m1284_u2x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x2bfd61de7e449827, 0x4fe6d4faadd3e12d, 0xe5921c368ded51ca, 0xc4903349ea3acf3b, 0x80b7ba6c8b82e921,
  0x175e14168cd21cc5, 0x15867b71cb1823af, 0x809c2cdf81895af6, 0xbc1c9580ef5af3c0, 0x3b8b29cbe7400b79,
  0x2169b15edd20a7d5, 0x9c6378ce8815c450, 0x77c252d4bf2b6cce, 0x59eff104fb8f0cc3, 0x4fdd598f2068fe34,
  0x7138cb25c33d30ae, 0xf734332c3a4a5b38, 0x01f21a713316792b,
};

// m1284p_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m1284_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xfb0be7fba9827c64, 0x36a7d56e9f091ebf, 0x21e1b46f6a8e527f, 0x40d05fa8f6b1df2c, 0xb2ca69ba32a48712,
  0xaf09348d219cc580, 0xdaa01ffb30475e8f, 0x9ee0a07967b6f687, 0x20270b37e06256bd, 0xcda450603bd6bcf0,
  0x37a94e4a7400b79b, 0xf19d103e234870d5, 0xdec55516986538c6, 0x5a97e56d99da722a, 0x8817b1e1986ef84a,
  0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4,
  0x66587494b670e271, 0xc793d7b4f257ee68, 0x0000000000001f26,
};

// m1284_u2x12_uart0_lednop_pr_ee_u4 m1284p_u2x12_uart0_lednop_pr_ee   m1284p_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0x55ba7c2595bff617, 0xd1bdaa3949fcda9f, 0xcacca9aad68e7186, 0xff51f06cc1a63ea3,
  0x2cd3ad08a1df1598, 0x26909afa30b2c452, 0xc9a39d5a5e445c6b, 0x5ae875e74ef08f88, 0x848451d0237b5635,
  0x08fd6e1bd96cb98b, 0xad7b0020e344aa36, 0x79e0404e166fc0c4, 0x6f379b48a0c077ad, 0xe1aa6f529c94e801,
  0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4, 0x9eff102f63c330dd, 0x6a75666fe0eee345,
  0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x13ae60e5af69e4af,
};

// m1284_u2x12_uart0_lednop_pr_ce_u4 m1284p_u2x12_uart0_lednop_pr_ce   m1284p_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfec2f9fdf7304f8c, 0x9b53eab74f8494f7, 0x8290da37b547293f, 0x42dbcdcefe701bfa, 0x86c244f659c3cf38,
  0xbbb07f51e13c25f8, 0xd64d9edc2444e1f1, 0x7acf51fa49ee5beb, 0xc05c920fd2438920, 0x47d7849a4690ce62,
  0x43ed500ffd99e3af, 0xd7b3dc140f2d6e7b, 0x9e0404e166fc0c4a, 0xf379b48a0c077ad7, 0x1aa6f529c94e8016,
  0x18de33a207c4690e, 0x31dbd8aaa2d30ca7, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x75cfd6f5ed3c95fb, 0x0000000000000003,
};

/*
 * m1284_u2x12_uart0_lednop_pr_ee_ce_u4 m1284p_u2x12_uart0_lednop_pr_ee_ce
 * m1284p_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0xab74f84ad6fff617, 0xa37b547293f9b53e, 0xdd8f81bfaa32970d, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x2444e1c0006ddfea, 0x529dac74f7cd9edc, 0xc1b306b5fd4795f7, 0xb422814c561efd47,
  0x6be8c2cb1148b34e, 0x4d1ceaedd220ea42, 0xe363af3a77847c46, 0x48451d0237b56355, 0x44c8e1bd96cb98b8,
  0x6bd859871a2551b0, 0xcf020270b37e0625, 0x79bcda450603bd6b, 0x0d537a94e4a7400b, 0x8c6f19d103e23487,
  0x18edec5551698653, 0x094b52fcadb33b4e, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9f9317daf69e4afd,
};

// m1284p_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u2x12_uart0_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0xfaadd3e12cadfe56, 0x368ded51ca4fe6d4, 0x1e56654d56b4738c, 0xc7fa8f83660d31f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x464d1cead2f222e3, 0xaad743af3a77847c, 0x5c24228e811bdab1,
  0xb047eb70decb65cc, 0x256bd801071a2551, 0x6bcf020270b37e06, 0x0b79bcda450603bd, 0x870d537a94e4a740,
  0x538c6f19d103e234, 0xa722adec55516986, 0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000005bec117d1,
};

/*
 * m1284_u2x12_uart0_lednop_ee_ce_u4_hw m1284p_u2x12_uart0_lednop_ee_ce_hw
 * m1284p_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xd56e9f095adff958, 0xb46f6a8e527f36a7, 0x3bb1f037f54652e1, 0xb2ce1e79c216fc87,
  0x8f09e12fc4361227, 0x84889c3b41c113fa, 0xea53b58e9ef9b3db, 0xf83660d6bfa8f2be, 0xd68450298ac3dfa8,
  0x4d7d185962291669, 0xc9a39d5dba441d48, 0xbc6c75e74ef08f88, 0x0908a3a046f6ac6a, 0x08991c37b2d97317,
  0xad7b0b30e344aa36, 0x79e0404e166fc0c4, 0x6f379b48a0c077ad, 0xe1aa6f529c94e801, 0x718de33a207c4690,
  0xc31dbd8aaa2d30ca, 0xe1296a5f95b66769, 0xa44ad417678661bb, 0xe627ff787bde50c2, 0x19a3ec6761c7f197,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000028089c95453,
};

/*
 * m1284_u2x12_uart0_dual_pr         m1284_u2x12_uart0_dual_pr_u4      m1284p_u2x12_uart0_dual
 * m1284p_u2x12_uart0_dual_pr        m1284p_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284_u2x12_uart0_dual[] = {
  0x775e42f744869a4e, 0x774c9d8fd95bbf77, 0xda817a58b7aef777, 0x3d6dddd34ab055f1, 0xfa8c547c7865a8e7,
  0x87304f8c9a0b72e3, 0x622de0b21de0d22e, 0xf89461432169bf03, 0x8adf99612804a774, 0xf2b6c37d9c34df17,
  0x49120920650e6f51, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0xc97cbe5cfc87cab7, 0xff9082d21be5c5df,
  0xbe2a10cb417c4432, 0x5b7fddff4073c267, 0xfe541982c3795e42, 0x9b53eab74f848caf, 0x1350da37b547293f,
  0x20621fd47c8a77cb, 0xaa0f31eb10d24389, 0xaf0ef68ebf9cc580, 0xf5403ff6608ebc01, 0x58a7207967b7cf09,
  0x6bd93f8abe777152, 0xcf020270b37e0625, 0x79bcda450603bd6b, 0x0d537a94e4a7400b, 0x8c6f19d103e23487,
  0x22adec5551698653, 0x84a5a97e56d99da7, 0xf7f8817b1e1986ef, 0x53ab337f07771a2c, 0xfde1ef79430a912b,
  0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xa49af3ed7b4f257e,
};

// m1284p_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ee[] = {
  0xbbbaf217bd43573e, 0x7774c99bbaefddfb, 0x403d77bee36d0777, 0xb26b0775a71d64d7, 0x857bd6561f64ca2f,
  0x13e324375c9717dd, 0xf0590ef0690e9d4c, 0x30a190b4df81b116, 0xccb0940253ba7c4a, 0xc2001c052717fd7f,
  0x2481cedcdea3d6fe, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e4a910377, 0x1690df2e2efe4be5,
  0x0cb40e1a2197fc84, 0xffe80e784ce4e2a1, 0x60b0de579096dfa7, 0x5ba7c2515bff9506, 0x1bdaa3949fcda9f5,
  0x5afb9aad68e4486d, 0xea3e0d983053d479, 0x9a75a1143be2bfdd, 0xd2135f4616588a45, 0xb39d5a5cc7ae2a5c,
  0xe875ea26f0e488f7, 0x845107d1f3d6355a, 0xfadc37b2fa598b84, 0x4a0135f20b546c11, 0xad7b27f157ceee2a,
  0x79e0404e166fc0c4, 0x6f379b48a0c077ad, 0xe1aa6f529c94e801, 0x718de33a207c4690, 0xe455bd8aaa2d30ca,
  0xf094b52fcadb33b4, 0x7bfc413ee3c330dd, 0xfdd599bf83bb8d16, 0x138cb25c33d30ae4, 0x734332c3a4a5b387,
  0x64283a2ebda792bf,
};

// m1284p_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ee_u4[] = {
  0xebc85ee8a87fbb90, 0xd3266eebbf77eeee, 0xf5defb8db41ddddd, 0xac1dd69c75935d00, 0xbfeb787d9328bec9,
  0x324375c8d4895e57, 0x90ef0690e9d4c13e, 0x190b4df81b116f05, 0x1298093ba7c4a30a, 0x0380a4e2ffaff996,
  0x39db9bd47adfd840, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xfc87c952206ee1f0, 0x1be5c5dfc97cbe5c,
  0x81c34432ff9082d2, 0x01cf099c9c542196, 0x1bcaf212dbf4fffd, 0xf09456ffa7a1cc16, 0xa8e527f36a7d56e9,
  0xe6ab5a39121b46f6, 0x83660c14f51e56be, 0x68450ef8aff77a8f, 0xd7d185962291669d, 0x569731eb8a973484,
  0x7a89bc39223dece7, 0x41f47cf58d56ba1d, 0x0decbe9662e12114, 0x4d7c82d51b047eb7, 0xc9fc55f3bb8a9280,
  0x1013859bf0312b5e, 0xe6d228301deb5e78, 0x9bd4a7253a005bcd, 0x78ce881f11a4386a, 0x6f62aa8b4c329c63,
  0x2d4bf2b6cced3915, 0xc40bd8f0cc377c25, 0xccdfc1a3f8d167bf, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x485320d3c95fb9a1, 0x000000000000ac89,
};

// m1284p_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ce[] = {
  0xddd790bdf6090c86, 0xeee993067ddeefdd, 0x55ecfb41f6b85eee, 0xefdeeeebb23b489f, 0x8dd9f57e62a10d77,
  0x3e609f19302ee5dd, 0x88b782c8778348ee, 0xe251850c85a6fc0d, 0x527e6584a0129dd3, 0xd6f615be70801c5c,
  0x2241240d36e6f51e, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f2e6f8, 0xe420b486f97177f2,
  0x150865a0e9510cbf, 0xf43fff4073c2628b, 0xa8330586f2bc84b6, 0x4faadd3e12d37ffc, 0x4368ded51ca4fe6d,
  0x6f373b28606febd4, 0x0913d9670f3ce10b, 0x3efd4784f097e21b, 0x367b709113876bb4, 0xea38df9ee5beba97,
  0x007be921c4903a97, 0xe1ded1d7f398b015, 0xa807feccf1d78035, 0xc53903cb5bb9e13e, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xcde6d228301deb5e, 0x6a9bd4a7253a005b, 0x6378ce881f11a438, 0xc76f62aa8b4c329c,
  0x4a5a97e56d99da70, 0xff102719e1986ef8, 0x75666fe0eee3459e, 0x87138d286152256a, 0x85727e03e68fb19d,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000006923d6f5ed3,
};

// m1284p_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ce_u4[] = {
  0xeeeebc85ee890c86, 0xdddd3260cd3ef77e, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbaccda7, 0xb97763765a0f3154,
  0xd2138f9827c64a3b, 0xbf03622de0b21de0, 0xa774f89461432169, 0xe717c41f99612804, 0x6f51c346c34d1c1f,
  0x2f4292241240ec7e, 0x57f9fbe08bf29f2e, 0x932181bb87c28862, 0x8bbf92f97cb9f90f, 0x8865ff2105a437cb,
  0x1318f8a8432d028a, 0xe425b7eafffa039e, 0xfbffe541982c3795, 0x27f36a7d56e9f096, 0xfeb2fa1b46f6a8e5,
  0xce10b6f373b80c06, 0x7e21b0913d9670f3, 0x76bb43efd4784f09, 0xeb0e3367b7091138, 0x81871f51fa09ee5b,
  0xc580af7935490e24, 0xbc8bbc2d7c8d059c, 0x251d0fbdc72c678e, 0x56bd93f8abe77715, 0xbcf020270b37e062,
  0xf3a005bcde603bd6, 0xef9485eb5392296a, 0xd1023a3182169c05, 0x97e56d99d38c6f19, 0x17b1e1986ef84a5a,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xa0d7b4f257ee6866, 0x000000000001a489,
};

// m1284p_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeeebc85ef50cf68, 0xdddd32764d08777e, 0xbbd47f78ffb99bdd, 0xfa829badd49858b6, 0x9d1c13765f5da7b0,
  0x304f8c91ed7268fa, 0xde0b21de0d21e3d7, 0x461432169bf03622, 0xf99612804a774f89, 0x61d6670643e2f495,
  0x1240cd6e6f51d9f3, 0x8bf29f2e2f429224, 0x87c2886257f9fbe0, 0xf2e7e43e4aeb81bb, 0x1690df2e2efe4be5,
  0x0cb436722197fc84, 0x3fe80e784d95a2a1, 0x30586f2bc84b6e29, 0xadd3e12d35ffca83, 0x8ded51ca4fe6d4fa,
  0xb7402bbea8ff7436, 0x96bf3ce10b6f373b, 0x6815dc2444e1ef0f, 0xe56654a76bf11886, 0x27a8f83660d31f51,
  0x8b34eb422814c572, 0x8ea426be8c2cb114, 0x83e8fa439d5db827, 0x6355e363af6b15e1, 0x3170908a305a3a97,
  0x8c438991c37b2e3e, 0x7b27f157ceee2a4b, 0xe0404e166fc0c4ad, 0xf3796ea0c077ad79, 0x1aa6f529c94e8016,
  0x31821696bfc4690e, 0x99d38c6f19d1036e, 0x986ef84a5a97e56d, 0xc68b3dfe209f71e1, 0x85727eeaccdfc1dd,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000001304c6f5ed3,
};

// m1284p_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xaf217ba2a1fc3000, 0x993c5efe1ddfbbbb, 0x17bacadada6eeeee, 0xb7475d00ae2faf6e, 0xbde087877d7a6676,
  0x720cb5953834e908, 0x879e4e609f193d77, 0xc0d88b782c877834, 0xdd3e251850c85a6f, 0x2e000fccb094c049,
  0xfcdfd82a44e1dd6e, 0x92241240fa3f37a8, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e5649,
  0xfc841690df2e2efe, 0xa2a10cb43fe22197, 0xbb37ffe80e784c16, 0x7a1cc161bcaf212d, 0xa7d56e9f090a4ffa,
  0xa1b46f6a8e527f36, 0x019de9a037f5472b, 0x27b2ce1e79c216fe, 0xfa8f09e12fc43612, 0xdb84889c3f9cba9d,
  0xb7f253b58ea6e9b3, 0xd47c1b306be7a8f2, 0x34eb422814c5752b, 0xa426be8c2cb1148b, 0x88f7b39d5db8c78e,
  0x6abc6c75ea26f0e4, 0x170908a20fa3e7ac, 0x6c1132386f65f4b3, 0xee2a4a59b5f20b54, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0xe8016f379b48a0c0, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x6769c31dbd8aaa2d,
  0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0x2256a75666fe0d1f, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0004003ab379069e,
};

// m1284p_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m1284_u2x12_uart0_dual_ee_hw[] = {
  0xebc85ee8a34404d3, 0xd3266eebbf77eeee, 0xf5defb8db41ddddd, 0xac1dd69c75935d00, 0xd1a7587d9328bec9,
  0xf8c90dd72f35febe, 0x1643bc1a43a75304, 0x28642d37e06c45bc, 0x2c253a0cee9f128c, 0x80070149c5ff5ff3,
  0x2073b737a8f5bfb0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0xb9f90f92a440ddc3, 0xa437cb8bbf92f97c,
  0x2d03868865ff2105, 0xfa039e133938a843, 0x2c3795e425b7e9ff, 0xd3e128adfed46e98, 0xed51ca4fe6d4faad,
  0x7dcd56b47224368d, 0x1f06cc1829ea3cad, 0x3ad08a1df15feef5, 0x09afa30b2c4522cd, 0xcead2e63d7152e69,
  0x3af5137872447bd9, 0x2883e8f9eb1aad74, 0x6e1bd97d2cc5c242, 0x009af905aa3608fd, 0xbd93f8abe7771525,
  0xf020270b37e06256, 0x9bcda450603bd6bc, 0xd537a94e4a7400b7, 0xc6f19d103e234870, 0x2adec55516986538,
  0x4a5a97e56d99da72, 0x12b505d9e1986ef8, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x0002bb548b2514f2,
};

/*
 * m1284_u2x12_uart0_dual_ee_ce_u4_hw m1284p_u2x12_uart0_dual_ee_ce_hw
 * m1284p_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbaf217ba28d06c4f, 0xe993c5efe1ddfbbb, 0xe17bacadada6eeee, 0x6b7475d00ae2faf6, 0x6d1e087877d7a667,
  0x9ebbb96906da7da1, 0xbc1a43cf27304f8c, 0x2d37e06c45bc1643, 0x3a0cee9f128c2864, 0x775b8b8003f32c25,
  0xcdea3f37f60a9138, 0x8bd0a48904903e8f, 0x95fe7ef822fca7cb, 0x9592606ee1f0a218, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x1305a8a8432d0ff8, 0xc84b6ecdfffa039e, 0x93fda8dd30586f2b, 0x9fcda9f55ba7c242,
  0x51cae86d1bdaa394, 0x42df90e77a680dfd, 0x86c244f659c3cf38, 0x1baa3f51e13c25f8, 0xdd367b70911387ba,
  0xf51e56fe4a76b1d4, 0xaea57a8f83660d7c, 0x2291669d68450298, 0x18f1d484d7d18596, 0xde1c911ef673abb7,
  0x7cf58d578d8ebd44, 0xbe9662e1211441f4, 0x416a8d8226470dec, 0x2af9ddc5494b36be, 0xc2cdf81895af64fe,
  0x14180ef5af3c0809, 0x53929d002de6f369, 0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf2b6cced3863b7b1,
  0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0xab19a28a792bf734, 0x00000000000000eb,
};

// m1284_u2x12_uart1_noled_pr        m1284p_u2x12_uart1_noled          m1284p_u2x12_uart1_noled_pr
static const uint64_t ur_m1284_u2x12_uart1_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0x8ffac3bcff51304f, 0x3f9b53eab74f8253, 0x964870da37b54729, 0x89206693d47e78ef, 0x016f74c37ebfd243,
  0x8baf0eb11e33398b, 0x159ac5b8e58c11d7, 0xce726dbf0313bbf6, 0xbf3796ea0c077eef, 0x86e2ea72f29b19c9,
  0x7eb8a042d3c31594, 0xadb33a718de33a20, 0x3c330ddf094b52fc, 0xa3f8d167bfc413ee, 0xf4c2b93f75663c81,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x0000003e41b8f4cc,
};

// m1284p_u2x12_uart1_noled_pr_u4
static const uint64_t ur_m1284_u2x12_uart1_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xec2f9fea2609f193, 0xb53eab74f82538ff, 0x0f0da37b547293f9, 0x0682fd47e80ef961, 0x96537c9bdd243892,
  0xbc382d1eb0e62c05, 0x2a807fecc11d7a3e, 0x1357c0f2cf6c38d1, 0xe73936df8189ddfb, 0xfcde7c150603bf77,
  0x1b8ba9cbca6c6726, 0x938c6f19d1025652, 0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x07c9d392b5ed3c95,
};

// m1284_u2x12_uart1_noled_pr_ee_u4  m1284p_u2x12_uart1_noled_pr_ee    m1284p_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart1_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0x56e9f04982ffec2f, 0x46f6a8e527f36a7d, 0x2b9126ab5a39c61b, 0xbd47c1b30698fa8f,
  0x59a75a1143be2b32, 0x4d2135f4616588a4, 0xc1673ab4b9eab8d6, 0xd743af3a77846fa3, 0x48450b3d1871b1aa,
  0x8fd6e1bd96cb98b8, 0xfd801482a83aa360, 0xbbf39c9b6fc0c4ee, 0x937e6f3e0a8301df, 0x290dc5d4e5e53633,
  0x5849c6378ce8812b, 0x3953a2adec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee,
  0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00013af9559af69e,
};

// m1284_u2x12_uart1_noled_pr_ce_u4  m1284p_u2x12_uart1_noled_pr_ce    m1284p_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart1_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xff617cfe049827c6, 0x9b53eab74f82452f, 0x8290da37b547293f, 0x42dbcdceff701bfa, 0x86c244f659c3cf38,
  0x00293f51e13c25f8, 0xf59367b709113878, 0x1eb3d4727a7b96fa, 0x580a98dad490e248, 0xf47d78705a3d61cc,
  0x71a25500ffd99e3a, 0xeefd89abe0796b70, 0xdfbbf39c9b6fc0c4, 0x33937e6f3e0a8301, 0x2b290dc5d4e5e536,
  0x695849c6378ce881, 0x6672a718edec5551, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x00000375f8d0f5ed,
};

/*
 * m1284_u2x12_uart1_noled_pr_ee_ce_u4 m1284p_u2x12_uart1_noled_pr_ee_ce
 * m1284p_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x12_uart1_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x56e9f04b4d7fec2f, 0x46f6a8e527f36a7d, 0xd85a037f54652e1b, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x122270f7437547ea, 0x894ed63a7be6cf6e, 0xe0d9835afea3cafa, 0xad08a05315f75ea3,
  0x9afa30b2c4522cd3, 0xc1673abb71ea3a90, 0xe363af3a77846fa3, 0x908a167a30e36355, 0x8991c37b2d973170,
  0xfd859c82a83aa360, 0xbbf39c9b6fc0c4ee, 0x937e6f3e0a8301df, 0x290dc5d4e5e53633, 0x5849c6378ce8812b,
  0x72a718edec555169, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00013f2535b5ed3c,
};

// m1284p_u2x12_uart1_noled_ee_hw    usb1286_u2x12_uart0_noled_ee_hw   usb1287_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m1284_u2x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0xeab74f824c17fcac, 0xda37b547293f9b53, 0x795c89355ad1ce30, 0x95ea3e0d9834c7d4,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e0b39d5a5cf55c6, 0x56ba1d79d3bc237d, 0xc2422859e8c38d8d,
  0x047eb70decb65cc5, 0x77ec00a41541d51b, 0xfddf9ce4db7e0627, 0x9c9bf379f054180e, 0x59486e2ea72f29b1,
  0x4ac24e31bc674409, 0x99ca9d156f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x7d14f257ee686658, 0x00000000005bf411,
};

/*
 * m1284_u2x12_uart1_noled_ee_ce_u4_hw m1284p_u2x12_uart1_noled_ee_ce_hw
 * m1284p_u2x12_uart1_noled_ee_ce_u4_hw usb1286_u2x12_uart0_noled_ee_ce_hw
 * usb1286_u2x12_uart0_noled_ee_ce_u4_hw usb1287_u2x12_uart0_noled_ee_ce_hw
 * usb1287_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart1_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xd56e9f04b4d7f958, 0xb46f6a8e527f36a7, 0x9d85a037f54652e1, 0xd9670f3ce10b7e43,
  0x4784f097e21b0913, 0xe122270ece5d1ffd, 0xa894ed63a7be6cf6, 0x3e0d9835afea3caf, 0x3ad08a05315f75ea,
  0x09afa30b2c4522cd, 0x3c1673abb71ea3a9, 0x5e363af3a77846fa, 0x0908a167a30e3635, 0x08991c37b2d97317,
  0xefd859c82a83aa36, 0xfbbf39c9b6fc0c4e, 0x3937e6f3e0a8301d, 0xb290dc5d4e5e5363, 0x95849c6378ce8812,
  0x672a718edec55516, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde, 0xfbf619a3ec6761c7,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xf453c95fb9a19961, 0x0000000005014d20,
};

// m1284_u2x12_uart1_lednop_pr       m1284p_u2x12_uart1_lednop         m1284p_u2x12_uart1_lednop_pr
static const uint64_t ur_m1284_u2x12_uart1_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x2bfd61de7e449827, 0x9fcda9f55ba7c12d, 0xcb24386d1bdaa394, 0x89206693d4759e77, 0x016f74d91705d243,
  0x2ebc282d19a4398b, 0x2b0cf6e39630475e, 0x04e4db7e062777ec, 0xc1c9580efddf9e04, 0x7165397ce804df9b,
  0x2d362bdba414faa7, 0x8c6f19d102b88a04, 0xf84a5a97e56d99d3, 0x3dfe209f71e1986e, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0xe6866587494b670e, 0x3e434e2662cf257e,
};

// m1284p_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_m1284_u2x12_uart1_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xfb0be7fba9827c64, 0x6d4faadd3e091ebf, 0x43c368ded51ca4fe, 0x81a0bf51ed63be58, 0x6594d37465490e24,
  0x5e12691a43398b01, 0xb5403ff6608ebd1f, 0x3dc140f2cf6ded0f, 0x013936df8189ddfb, 0xda450603bf77e781,
  0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de, 0x52fcadb33b4e455b, 0x02f63c330ddf094b,
  0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0xf27af69e4afdcd0c, 0x000000000003e4d8,
};

// m1284_u2x12_uart1_lednop_pr_ee_u4 m1284p_u2x12_uart1_lednop_pr_ee   m1284p_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart1_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0xab74f82595bff617, 0xa37b547293f9b53e, 0x95995355ad1ce30d, 0xfea3e0d9834c7d47,
  0x59a75a1143be2b31, 0x4d2135f4616588a4, 0x93473ab4bc88b8d6, 0xb5d0ebce9de11f11, 0x0908a3a046f6ac6a,
  0x11fadc37b2d97317, 0xbbf60041c689546c, 0xcf0202726dbf0313, 0xf379b48a0c077eef, 0x354dea53929d009b,
  0x31bc67440f88d21c, 0x8ab7b15545a6194e, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x75cc1cb5ed3c95fb, 0x0000000000000002,
};

// m1284_u2x12_uart1_lednop_pr_ce_u4 m1284p_u2x12_uart1_lednop_pr_ce   m1284p_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfec2f9fdf7304f8c, 0x36a7d56e9f0494f7, 0x0521b46f6a8e527f, 0x85b79b9dfce037f5, 0x0d8489ecb3879e70,
  0x7760fea3c2784bf1, 0xac9b3db84889c3e3, 0xf59ea3f493dcb7d7, 0x80b9241fa4871240, 0x8faf09348d219cc5,
  0x87daa01ffb33c75e, 0xbf67b8281e5adcf6, 0xf0202726dbf0313b, 0x379b48a0c077eefc, 0x54dea53929d009bf,
  0x1bc67440f88d21c3, 0x3b7b15545a6194e3, 0x52d4bf2b6cced386, 0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b,
  0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0xb9fadebda792bf73, 0x000000000000006e,
};

/*
 * m1284_u2x12_uart1_lednop_pr_ee_ce_u4 m1284p_u2x12_uart1_lednop_pr_ee_ce
 * m1284p_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x56e9f04ad6fff617, 0x46f6a8e527f36a7d, 0xbb1f037f54652e1b, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0x4889c38000dbbfd4, 0xa53b58e9ef9b3db8, 0x83660d6bfa8f2bee, 0x68450298ac3dfa8f,
  0xd7d185962291669d, 0x9a39d5dba441d484, 0xc6c75e74ef08f88c, 0x908a3a046f6ac6ab, 0x8991c37b2d973170,
  0xdfb0b30e344aa360, 0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1,
  0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3, 0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xf262fb5ed3c95fb9,
  0x0000000000000013,
};

// m1284p_u2x12_uart1_lednop_ee_hw   usb1286_u2x12_uart0_lednop_ee_hw  usb1287_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m1284_u2x12_uart1_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0xf55ba7c12cadfe56, 0x6d1bdaa3949fcda9, 0x3cacca9aad68e718, 0x8ff51f06cc1a63ea,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x8c9a39d5a5e445c6, 0x55ae875e74ef08f8, 0xb848451d0237b563,
  0x608fd6e1bd96cb98, 0x9ddfb0020e344aa3, 0x7e781013936df818, 0xdf9bcda450603bf7, 0xe1aa6f529c94e804,
  0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4, 0x52256a0bb3c330dd, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000000b7d822fa29,
};

/*
 * m1284_u2x12_uart1_lednop_ee_ce_u4_hw m1284p_u2x12_uart1_lednop_ee_ce_hw
 * m1284p_u2x12_uart1_lednop_ee_ce_u4_hw usb1286_u2x12_uart0_lednop_ee_ce_hw
 * usb1286_u2x12_uart0_lednop_ee_ce_u4_hw usb1287_u2x12_uart0_lednop_ee_ce_hw
 * usb1287_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xaadd3e095adff958, 0x68ded51ca4fe6d4f, 0x7763e06fea8ca5c3, 0x659c3cf3842df90e,
  0x1e13c25f886c244f, 0x09113876838227f5, 0xd4a76b1d3df367b7, 0xf06cc1ad7f51e57d, 0xad08a0531587bf51,
  0x9afa30b2c4522cd3, 0x93473abb74883a90, 0x78d8ebce9de11f11, 0x121147408ded58d5, 0x1132386f65b2e62e,
  0xbbf61661c689546c, 0xcf0202726dbf0313, 0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c,
  0x63b7b15545a6194e, 0x252d4bf2b6cced38, 0x895a82ecf0cc377c, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00005011392a8a79,
};

/*
 * m1284_u2x12_uart1_dual_pr         m1284_u2x12_uart1_dual_pr_u4      m1284p_u2x12_uart1_dual
 * m1284p_u2x12_uart1_dual_pr        m1284p_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284_u2x12_uart1_dual[] = {
  0x775e42f744869a4e, 0x774c9d8fd95bbf77, 0xda817a58b7aef777, 0x3d6dddd34ab055f1, 0xfa8c547c7865a8e7,
  0x87304f8c9a0b72e3, 0x622de0b21de0d22e, 0xf89461432169bf03, 0x8adf99612804a774, 0xf2b6c37d9c34df17,
  0x49120920650e6f51, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0xc97cbe5cfc87cab7, 0xff9082d21be5c5df,
  0xbe2a10cb417c4432, 0x5b7fddff4073c267, 0xfe541982c3795e42, 0x36a7d56e9f048caf, 0x26a1b46f6a8e527f,
  0x40c43fa8f914ef96, 0x541e63d621a48712, 0x5e1ded1d7f398b01, 0xea807fecc11d7803, 0xb14e40f2cf6f9e13,
  0xdfb27f157ceee2a4, 0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1,
  0x55bd8aaa2d30ca71, 0x94b52fcadb33b4e4, 0xff102f63c330ddf0, 0x75666fe0eee3459e, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x935e7daf69e4afdc,
  0x0000000000000014,
};

// m1284p_u2x12_uart1_dual_pr_ee
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ee[] = {
  0xbbbaf217bd43573e, 0x7774c99bbaefddfb, 0x403d77bee36d0777, 0xb26b0775a71d64d7, 0x857bd6561f64ca2f,
  0x13e324375c9717dd, 0xf0590ef0690e9d4c, 0x30a190b4df81b116, 0xccb0940253ba7c4a, 0xc2001c052717fd7f,
  0x2481cedcdea3d6fe, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e4a910377, 0x1690df2e2efe4be5,
  0x0cb40e1a2197fc84, 0xffe80e784ce4e2a1, 0x60b0de579096dfa7, 0xb74f82515bff9506, 0x37b547293f9b53ea,
  0xb5f7355ad1c890da, 0xd47c1b3060a7a8f2, 0x34eb422877c57fbb, 0xa426be8c2cb1148b, 0x673ab4b98f5c54b9,
  0xd0ebd44de1c911ef, 0x08a20fa3e7ac6ab5, 0xf5b86f65f4b31709, 0x94026be416a8d823, 0xbbf64fe2af9ddc54,
  0xcf0202726dbf0313, 0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c, 0x8ab7b15545a6194e,
  0x1296a5f95b66769c, 0x7f8827dc78661bbe, 0xbab337f07771a2cf, 0x71964b867a615c9f, 0x6866587494b670e2,
  0x850745d7b4f257ee, 0x000000000000000c,
};

// m1284p_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ee_u4[] = {
  0xebc85ee8a87fbb90, 0xd3266eebbf77eeee, 0xf5defb8db41ddddd, 0xac1dd69c75935d00, 0xbfeb787d9328bec9,
  0x324375c8d4895e57, 0x90ef0690e9d4c13e, 0x190b4df81b116f05, 0x1298093ba7c4a30a, 0x0380a4e2ffaff996,
  0x39db9bd47adfd840, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xfc87c952206ee1f0, 0x1be5c5dfc97cbe5c,
  0x81c34432ff9082d2, 0x01cf099c9c542196, 0x1bcaf212dbf4fffd, 0xe09456ffa7a1cc16, 0x51ca4fe6d4faadd3,
  0xcd56b47224368ded, 0x06cc1829ea3cad7d, 0xd08a1df15feef51f, 0xafa30b2c4522cd3a, 0xad2e63d7152e6909,
  0xf5137872447bd9ce, 0x83e8f9eb1aad743a, 0x1bd97d2cc5c24228, 0x9af905aa3608fd6e, 0x93f8abe777152500,
  0x809c9b6fc0c4eefd, 0x6d228301dfbbf3c0, 0x7a94e4a74026fcde, 0x19d103e234870d53, 0xec55516986538c6f,
  0xa97e56d99da722ad, 0x817b1e1986ef84a5, 0x9bf8347f1a2cf7f8, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x0a641a792bf73433, 0x0000000000159129,
};

// m1284p_u2x12_uart1_dual_pr_ce
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ce[] = {
  0xddd790bdf6090c86, 0xeee993067ddeefdd, 0x55ecfb41f6b85eee, 0xefdeeeebb23b489f, 0x8dd9f57e62a10d77,
  0x3e609f19302ee5dd, 0x88b782c8778348ee, 0xe251850c85a6fc0d, 0x527e6584a0129dd3, 0xd6f615be70801c5c,
  0x2241240d36e6f51e, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f2e6f8, 0xe420b486f97177f2,
  0x150865a0e9510cbf, 0xf43fff4073c2628b, 0xa8330586f2bc84b6, 0x9f55ba7c12d37ffc, 0x86d1bdaa3949fcda,
  0xde6e7650c0dfd7a8, 0x1227b2ce1e79c216, 0x7dfa8f09e12fc436, 0x6cf6e122270ed768, 0xd471bf3dcb7d752e,
  0x00f7d2438920752f, 0xc3bda3afe731602a, 0x500ffd99e3af006b, 0x8a720796b773c27d, 0xfd93f8abe7771525,
  0xc0809c9b6fc0c4ee, 0xde6d228301dfbbf3, 0x537a94e4a74026fc, 0x6f19d103e234870d, 0xedec55516986538c,
  0x4b52fcadb33b4e18, 0xe204e33c330ddf09, 0xaccdfc1ddc68b3df, 0xe271a50c2a44ad4e, 0xae4fc07cd1f633b0,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0000d247adebda79,
};

// m1284p_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ce_u4[] = {
  0xeeeebc85ee890c86, 0xdddd3260cd3ef77e, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbaccda7, 0xb97763765a0f3154,
  0xd2138f9827c64a3b, 0xbf03622de0b21de0, 0xa774f89461432169, 0xe717c41f99612804, 0x6f51c346c34d1c1f,
  0x2f4292241240ec7e, 0x57f9fbe08bf29f2e, 0x932181bb87c28862, 0x8bbf92f97cb9f90f, 0x8865ff2105a437cb,
  0x1318f8a8432d028a, 0xe425b7eafffa039e, 0xfbffe541982c3795, 0x4fe6d4faadd3e096, 0xfd65f4368ded51ca,
  0x9c216de6e770180d, 0xfc4361227b2ce1e7, 0xed7687dfa8f09e12, 0xd61c66cf6e122270, 0x030e3ea3f413dcb7,
  0x8b015ef26a921c49, 0x7917785af91a0b39, 0x4a3a1f7b8e58cf1d, 0xddfb27f157ceee2a, 0xe781013936df8189,
  0x74026fcde603bf77, 0xf290bd6a72452d5e, 0x2047463042d380bd, 0xfcadb33a718de33a, 0xf63c330ddf094b52,
  0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0x1af69e4afdcd0ccb, 0x0000000000349134,
};

// m1284p_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeeeebc85ef50cf68, 0xdddd32764d08777e, 0xbbd47f78ffb99bdd, 0xfa829badd49858b6, 0x9d1c13765f5da7b0,
  0x304f8c91ed7268fa, 0xde0b21de0d21e3d7, 0x461432169bf03622, 0xf99612804a774f89, 0x61d6670643e2f495,
  0x1240cd6e6f51d9f3, 0x8bf29f2e2f429224, 0x87c2886257f9fbe0, 0xf2e7e43e4aeb81bb, 0x1690df2e2efe4be5,
  0x0cb436722197fc84, 0x3fe80e784d95a2a1, 0x30586f2bc84b6e29, 0x5ba7c12d35ffca83, 0x1bdaa3949fcda9f5,
  0x6e80577d51fee86d, 0x2d7e79c216de6e77, 0xd02bb84889c3de1f, 0xcacca94ed7e2310c, 0x4f51f06cc1a63ea3,
  0x1669d68450298ae4, 0x1d484d7d18596229, 0x07d1f4873abb704f, 0xc6abc6c75ed62bc3, 0x62e1211460b4752e,
  0x1887132386f65c7c, 0xf64fe2af9ddc5497, 0x0202726dbf0313bb, 0x3796ea0c077eefcf, 0x54dea53929d009bf,
  0x3042d2d7f88d21c3, 0x3a718de33a206dc6, 0x0ddf094b52fcadb3, 0xd167bfc413ee3c33, 0xae4fdd599bf83bb8,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000026098debda79,
};

// m1284p_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xaf217ba2a1fc3000, 0x993c5efe1ddfbbbb, 0x17bacadada6eeeee, 0xb7475d00ae2faf6e, 0xbde087877d7a6676,
  0x720cb5953834e908, 0x879e4e609f193d77, 0xc0d88b782c877834, 0xdd3e251850c85a6f, 0x2e000fccb094c049,
  0xfcdfd82a44e1dd6e, 0x92241240fa3f37a8, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e5649,
  0xfc841690df2e2efe, 0xa2a10cb43fe22197, 0xbb37ffe80e784c16, 0x7a1cc161bcaf212d, 0x4faadd3e090a4ffa,
  0x4368ded51ca4fe6d, 0x033bd3406fea8e57, 0x4f659c3cf3842dfc, 0xf51e13c25f886c24, 0xb70911387f39753b,
  0x6fe4a76b1d4dd367, 0xa8f83660d7cf51e5, 0x69d68450298aea57, 0x484d7d1859622916, 0x11ef673abb718f1d,
  0xd578d8ebd44de1c9, 0x2e1211441f47cf58, 0xd8226470decbe966, 0xdc5494b36be416a8, 0x0313bbf64fe2af9d,
  0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88, 0xed3863b7b15545a6,
  0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x4ad4eaccdfc1a3f8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x008007566f20d3c9,
};

// m1284p_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m1284_u2x12_uart1_dual_ee_hw[] = {
  0xebc85ee8a34404d3, 0xd3266eebbf77eeee, 0xf5defb8db41ddddd, 0xac1dd69c75935d00, 0xd1a7587d9328bec9,
  0xf8c90dd72f35febe, 0x1643bc1a43a75304, 0x28642d37e06c45bc, 0x2c253a0cee9f128c, 0x80070149c5ff5ff3,
  0x2073b737a8f5bfb0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0xb9f90f92a440ddc3, 0xa437cb8bbf92f97c,
  0x2d03868865ff2105, 0xfa039e133938a843, 0x2c3795e425b7e9ff, 0xa7c128adfed46e98, 0xdaa3949fcda9f55b,
  0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2bfddea, 0x135f4616588a459a, 0x9d5a5cc7ae2a5cd2,
  0x75ea26f0e488f7b3, 0x5107d1f3d6355ae8, 0xdc37b2fa598b8484, 0x0135f20b546c11fa, 0xfb27f157ceee2a4a,
  0x81013936df8189dd, 0xbcda450603bf77e7, 0xa6f529c94e804df9, 0xde33a207c4690e1a, 0x5bd8aaa2d30ca718,
  0x4b52fcadb33b4e45, 0x56a0bb3c330ddf09, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x00576a9164a29e4a,
};

/*
 * m1284_u2x12_uart1_dual_ee_ce_u4_hw m1284p_u2x12_uart1_dual_ee_ce_hw
 * m1284p_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbaf217ba28d06c4f, 0xe993c5efe1ddfbbb, 0xe17bacadada6eeee, 0x6b7475d00ae2faf6, 0x6d1e087877d7a667,
  0x9ebbb96906da7da1, 0xbc1a43cf27304f8c, 0x2d37e06c45bc1643, 0x3a0cee9f128c2864, 0x775b8b8003f32c25,
  0xcdea3f37f60a9138, 0x8bd0a48904903e8f, 0x95fe7ef822fca7cb, 0x9592606ee1f0a218, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x1305a8a8432d0ff8, 0xc84b6ecdfffa039e, 0x93fda8dd30586f2b, 0x3f9b53eab74f8242,
  0xa395d0da37b54729, 0x85bf21cef4d01bfa, 0x0d8489ecb3879e70, 0x37547ea3c2784bf1, 0xba6cf6e122270f74,
  0xea3cadfc94ed63a9, 0x5d4af51f06cc1af9, 0x4522cd3ad08a0531, 0x31e3a909afa30b2c, 0xbc39223dece7576e,
  0xf9eb1aaf1b1d7a89, 0x7d2cc5c2422883e8, 0x82d51b044c8e1bd9, 0x55f3bb8a92966d7c, 0x4db7e062777ec9fc,
  0x4180efddf9e0404e, 0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x6334514f257ee686, 0x0000000000001d75,
};

// m1284p_swio10_noled
static const uint64_t ur_m1284_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0xdb7a36ee27524192, 0x7833091134c9bf6d, 0xad1e978fbc9ba440,
  0xf9827c64eee62486, 0x43b36fffac3bcf98, 0x310fea3bde77cb13, 0xdd31eab5e921c490, 0x0dc346b3ce62c05b,
  0xffb8e58c11d78baf, 0x3d59b5e5caad4aca, 0xb39d454aa35d9d87, 0xd10a9ace576a96fa, 0xa22bca852552fbd7,
  0x4a9f4ef3f5ae7b55, 0x22617a41afa9c059, 0xe88117ee2810b4ac, 0x4bf2b6cce9c6378c, 0x9fd8f0cc377c252d,
  0x71964b867a615c9f, 0x6866587494b670e2, 0x548012662cf257ee, 0x0000000000000000,
};

// m1284_swio10_noled_pr_u4          m1284p_swio10_noled_pr            m1284p_swio10_noled_pr_u4
static const uint64_t ur_m1284_swio10_noled_pr[] = {
  0x49bbbbbb4486259b, 0x5ae5a588561b758d, 0x1fad4cd06e264433, 0x8f211c631d7f07db, 0x2f312e3426eea488,
  0x3e327765dd890670, 0x0caffd85f3efe4c1, 0xdea3cdc77cb08a3b, 0x8c7e95490e248193, 0x851dac731602cb29,
  0x3ff6608ebd1f5e18, 0x703cb3db1149a540, 0xe7ab36bcb955abeb, 0x5673a8a9546bb3b0, 0xfa215359caed52df,
  0xb4457950a4aa5f7a, 0x7869de01fd75cf6a, 0x02eaf4830ba9b14a, 0x8b4a42f38c6f19d1, 0xadb338c9156f62aa,
  0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xf69e4afdcd0ccb0e, 0x00000003e4ea717a,
};

// m1284_swio10_noled_pr_ee_u4       m1284p_swio10_noled_pr_ee         m1284p_swio10_noled_pr_ee_u4
static const uint64_t ur_m1284_swio10_noled_pr_ee[] = {
  0x09bbbbbb4486bf3e, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x64eece22c5707aee, 0xbff617cf93a9827c, 0x87355ad1c7b1d915, 0x7c1b3067afa8f2b3, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2ff3971ac9a4, 0x3af3a7787a847109, 0x147c88c45b1aad74, 0x5b86f65b2e62e121,
  0x500ba4c16a8d823f, 0x6761cf566d7972ab, 0xa5beace75152a8d7, 0xbef5f442a6b395da, 0x9ed5688af2a14954,
  0x6294f0d3bc03faeb, 0x33a205d5e9061753, 0xc555169485e718de, 0xa5f95b6671922ade, 0x05ec78661bbe1296,
  0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x3175ed3c95fb9a19, 0x00000000000275f3,
};

// m1284_swio10_noled_pr_ce_u4       m1284p_swio10_noled_pr_ce         m1284p_swio10_noled_pr_ce_u4
static const uint64_t ur_m1284_swio10_noled_pr_ce[] = {
  0xb3f777776890d2a8, 0x56b96960e0ad2eb1, 0xeb45d23fe96b436b, 0x9170ff8b37656c17, 0x59f04142f0addd9e,
  0x827c64ee9d68d424, 0xd9a6fff617cf8d69, 0xe6e77b380dfd4ca1, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1d9cba3, 0x51f249ee5bebd64d, 0xdce3490e2481e0bf, 0x0c428ed6398b0143, 0xa01ffb33c75e8faf,
  0x7d6e0796b708a4d2, 0x761cf566d7972ab5, 0x5beace75152a8d76, 0xef5f442a6b395daa, 0xed5688af2a14954b,
  0x294f0d3bc03faeb9, 0x3a205d5e90617536, 0x555169485e718de3, 0xbf2b6cce3218edec, 0xbd8f0cc377c252d4,
  0xbf83bb8d167bfc40, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x0ebda792bf734332, 0x00000000006eb93f,
};

// m1284_swio10_noled_pr_ee_ce_u4    m1284p_swio10_noled_pr_ee_ce      m1284p_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m1284_swio10_noled_pr_ee_ce[] = {
  0x15bbbbbb448650e3, 0x1f72d2c422191ac6, 0x5d96bd63f66c42ff, 0x9b1b6c823b83647f, 0xea05f256c148b852,
  0xc9dd0b03ed94e166, 0xffd85f3e6b7304f8, 0x4037f547158760a4, 0x879e7085b79b9d8a, 0x784bf10d8489ecb3,
  0x9c3fad4f00fea3c2, 0xb58e9ef9b3db8488, 0x60d00f51e56e9653, 0x50298acbafa8f836, 0x185962291669d684,
  0x3abb77ce1d484d7d, 0xebce9de1ea11c427, 0xa3e44622d8d578d8, 0x1c37b2d973170908, 0x4b3e9305aa360899,
  0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0xfbd7d10a9ace576a, 0x7b55a22bca852552, 0x8a53c34ef00febae,
  0xce881757a4185d4d, 0x15545a52179c6378, 0x2fcadb338c863b7b, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10,
  0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xafaf69e4afdcd0cc, 0x000000000004fc1e,
};

// m1284p_swio10_noled_ee_hw
static const uint64_t ur_m1284_swio10_noled_ee_hw[] = {
  0x09bbbbbb451a2f43, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x7c64eeb4efb5bb2a, 0x8adfe562cf93a982, 0x59c39aad68e3d8ec, 0xea3e0d9833d7d479, 0x9a75a1143be2b287,
  0xd2135f4616588a45, 0x84e75697f9cb8d64, 0xba1d79d3bc3d4238, 0x908a3e44622d8d56, 0x1fadc37b2d973170,
  0x55a805d260b546c1, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954, 0xaa5f7afa215359ca, 0x75cf6ab4457950a4,
  0xa9b14a7869de01fd, 0x6f19d102eaf4830b, 0x6f62aa8b4a42f38c, 0x4b52fcadb338c915, 0x56a0bb3c330ddf09,
  0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x000b7f559ba29e4a,
};

// m1284_swio10_noled_ee_ce_u4_hw    m1284p_swio10_noled_ee_ce_hw      m1284p_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m1284_swio10_noled_ee_ce_hw[] = {
  0x2b7777768a341bc1, 0x3ee5a5884432358c, 0xbb2d7ac7ecd885fe, 0x3636d9047706c8fe, 0xd40be4ad829170a5,
  0x8c9dd1d74d7deecd, 0x27f958b3e6b7304f, 0x5201bfaa38ac3b05, 0x3879e7085bf21cec, 0x2784bf10d8489ecb,
  0x2270fe72ea77ea3c, 0x4ed63a7be6cf6e12, 0xd983403d4795ba59, 0x1140a62b2ebea3e0, 0xf4616588a459a75a,
  0x9ceaeddf38752135, 0x63af3a7787a84710, 0x228f91188b6355e3, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822,
  0x76761cf566d7972a, 0xaa5beace75152a8d, 0x4bef5f442a6b395d, 0xb9ed5688af2a1495, 0x36294f0d3bc03fae,
  0xe33a205d5e906175, 0xec555169485e718d, 0xd4bf2b6cce3218ed, 0xa82ecf0cc377c252, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x0a0299e4e8a792bf,
};

// m1284p_swio10_lednop
static const uint64_t ur_m1284_swio10_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xa5c76a18da165419, 0x07833091135229b5, 0xd3636dfa5f17ba44,
  0xee609f193bb63d90, 0xd0ec8f7feb0ef3eb, 0x0c43fa8ff21df2c4, 0x7ba691221a487124, 0x7877b47d01cc580b,
  0x2cfdc72c608ebc5d, 0x39eacdaf2e556a56, 0xd59cea2a551aecec, 0x54d7020272bb54b7, 0x5e54292ad5d2fe88,
  0x74079fad73daad11, 0xf482c254b0b29b16, 0x04e7d14085a61919, 0xcadb33a718de33a2, 0x63c330ddf094b52f,
  0x592e19e985727e7f, 0x9961d252d9c389c6, 0x2dc998b3c95fb9a1, 0x00000000000000a9,
};

// m1284_swio10_lednop_pr_u4         m1284p_swio10_lednop_pr           m1284p_swio10_lednop_pr_u4
static const uint64_t ur_m1284_swio10_lednop_pr[] = {
  0x49bbbbbb44860cc5, 0x5ae5a58856a8758d, 0xd3db2787c6d24433, 0x47908e31b6339beb, 0x7563f31ad3775244,
  0x9f193bb06c371fb3, 0x18fffd85f3f52a60, 0xbd479c4ef9611476, 0x5f613e921c490327, 0x88e0f9cc580b2ca6,
  0xffb30475e8faf0af, 0x07967b637ee1aa01, 0xf566d7972ab5b872, 0xce75152a8d76761c, 0x6b8101395daa5bea,
  0x2a14956ae97f442a, 0xe6c9aeb9ed5688af, 0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0x5455bd8aaa2d3aeb,
  0xf094b52fcadb33a0, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3e4c4cd1af69e4af,
};

// m1284_swio10_lednop_pr_ee_u4      m1284p_swio10_lednop_pr_ee        m1284p_swio10_lednop_pr_ee_u4
static const uint64_t ur_m1284_swio10_lednop_pr_ee[] = {
  0x09bbbbbb44864aa4, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x64eea4cb1789d9f6, 0xffec2f9fa1f9827c, 0x0e6ab5a38f63b0e0, 0xf83660cf5f51e565, 0xd68450ef8af027a8,
  0x4d7d185962291669, 0x9d5a5ce1ae359348, 0x75e74ef0f748d7c3, 0x5137231bf6355ae8, 0x6e1bd96cb98b8484,
  0xa0108a4d2a3608fd, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0xe8854d7020272bb5, 0xd115e54292ad5d2f,
  0xf3a03cd935d73daa, 0x7374855d520b94b5, 0xa75d79c6378ce881, 0x66740a8ab7b15545, 0x661bbe1296a5f95b,
  0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00000275ff34f5ed,
};

// m1284_swio10_lednop_pr_ce_u4      m1284p_swio10_lednop_pr_ce        m1284p_swio10_lednop_pr_ce_u4
static const uint64_t ur_m1284_swio10_lednop_pr_ce[] = {
  0x9fbbbbbb448624d6, 0xb5cb4b07057af58d, 0xae3dfa64cf8f9b5a, 0x170ff8b6966ef1de, 0x7db4508104ddd9e9,
  0x9f193bbf6baed19a, 0x8e5ffb0be7fabe60, 0x73b1ac06fea650ec, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0xdc2444e1da0e089f, 0xc149ee5bebd64d9e, 0xeb490e2481e0bf51, 0xf88e0f9cc580afe1, 0x1ffb33c75e8faf0a,
  0xc81e5adc37ee1aa0, 0x73d59b5e5caad6e1, 0xab39d454aa35d9d8, 0xa9ae0404e576a96f, 0xbca85255aba5fd10,
  0x079b26bae7b55a22, 0x90abaa417296be74, 0xaf38c6f19d102e6e, 0x028c76f62aa8b4eb, 0xef84a5a97e56d99d,
  0x2cf7f8817b1e1986, 0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x00dd7ef82d7b4f25,
};

// m1284_swio10_lednop_pr_ee_ce_u4   m1284p_swio10_lednop_pr_ee_ce     m1284p_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m1284_swio10_lednop_pr_ee_ce[] = {
  0x15bbbbbb4486d0e3, 0x1f72d2c422333ac6, 0xd86d014d2c19c2ff, 0x3636d903228efe9e, 0x91ba976d829170a5,
  0x9ddae36829cb225d, 0xfd85f3fcb5304f8c, 0x06fea8e2b0ecec1f, 0xe79c216de6e77d82, 0x12fc4361227b2ce1,
  0x873af8551fa8f09e, 0xb1d3df367b709113, 0x1a01ea3cacbaca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e3863a909afa3, 0x79d3bc3dd235f0e7, 0x9b918dfb1aaf1b1d, 0x0decb65cc5c24228, 0x6622934a8d822647,
  0xb0e7ab36bcb955a9, 0xdf5673a8a9546bb3, 0x21535c0809caed52, 0x457950a4ab574bfa, 0xe80f364d75cf6ab4,
  0xdd21575482e52d7c, 0xd75e718de33a205c, 0x3a0518edec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33,
  0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00009f91a9daf69e,
};

// m1284p_swio10_lednop_ee_hw
static const uint64_t ur_m1284_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a3032, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x3e32775b11ced4e4, 0x383fe562cfd0fcc1, 0x59439aad68e3d8ec, 0xea3e0d9833d7d479, 0x9a75a1143be2bc09,
  0xd2135f4616588a45, 0xf0e75697386b8d64, 0xba1d79d3bc3dd235, 0x21144dc8c6fd8d56, 0x3f5b86f65b2e62e1,
  0x55a80422934a8d82, 0x6bb3b0e7ab36bcb9, 0xed52df5673a8a954, 0x4bfa21535c0809ca, 0x6ab4457950a4ab57,
  0x2d7ce80f364d75cf, 0x205cdd21575482e5, 0x5169d75e718de33a, 0x56d99d02a2adec55, 0x9e1986ef84a5a97e,
  0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719,
  0xe825514f257ee686, 0x00000000000002df,
};

// m1284_swio10_lednop_ee_ce_u4_hw   m1284p_swio10_lednop_ee_ce_hw     m1284p_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m1284_swio10_lednop_ee_ce_hw[] = {
  0x2b7777768a341000, 0x3ee5a5884466758c, 0xb0da029a583385fe, 0x6c6db206451dfd3d, 0x23752edb0522e14a,
  0x8c9ddad577eecdbb, 0x0ff958b3fcb5304f, 0xc1037f5471587676, 0xe1e79c216fc873be, 0x9e12fc4361227b2c,
  0x138776ec2c9fa8f0, 0x76b1d3df367b7091, 0xcc1a01ea3cacbaca, 0x8a05315b05f51f06, 0xa30b2c4522cd3ad0,
  0xe7576e3863a909af, 0x1d79d3bc3dd235f0, 0x289b918dfb1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226,
  0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xfa21535c0809caed, 0xb4457950a4ab574b, 0x7ce80f364d75cf6a,
  0x5cdd21575482e52d, 0x69d75e718de33a20, 0xb33a0518edec5551, 0x330ddf094b52fcad, 0xf286152256a0bb3c,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xe1a29e4afdcd0ccb,
  0x000000000050107f,
};

/*
 * m1284_swio10_dual_pr              m1284_swio10_dual_pr_u4           m1284p_swio10_dual
 * m1284p_swio10_dual_pr             m1284p_swio10_dual_pr_u4
 */
static const uint64_t ur_m1284_swio10_dual[] = {
  0x91dddddda2436f02, 0x245d327b6faef77f, 0xaded6b2741bb2210, 0xc69cbb8d49cac36b, 0xefdd8babeddf234c,
  0x3b93f87cd7c982cd, 0x0691e729827c6483, 0x4df81b116f0590ef, 0x253ba7c4a30a190b, 0x52f8bb05fccb0940,
  0xd37a8ee976070ce0, 0xb8bd0a48904903fd, 0x895fe7ef822fca7c, 0x3e578606ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x922197fc841690df, 0x9e135ad150865a11, 0xcaf212db943ffa03, 0xb3f77ff2a0cc161b, 0x8bea3c8877cb0f83,
  0x37ce8f7490e24818, 0x4a46f79cc580aa0f, 0x1ffb30475e00d787, 0x281e59eda63192a0, 0x67f157ceee2a4b81,
  0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0xd10a9ae0404e576a, 0xa22bca85255aba5f, 0xe74079b26bae7b55,
  0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0xcce815156f62aa8b, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0,
  0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00000524c9c5ebda,
};

// m1284p_swio10_dual_pr_ee
static const uint64_t ur_m1284_swio10_dual_pr_ee[] = {
  0xe76b77777750cf68, 0xba48ba64f0ab41dd, 0x8ffb99b8d4930a51, 0xab133881f210d6b7, 0x69e4d7a86d14ed20,
  0x9a3ea74704dd97d7, 0x08f5cc13e326e0dc, 0x03622de0b21de0d2, 0x74f89461432169bf, 0x177f9f99612804a7,
  0x51ffe6c0341c34d7, 0x4292241240fa7e6f, 0xf9fbe08bf29f2e2f, 0xeb81bb87c2886257, 0xfe4be5f2e7e43e4a,
  0x97fc841690df2e2e, 0x1ee2a10cb417da21, 0x96de76ffe80e784c, 0xff950660b0de5790, 0xe6ab5a328a3b3a7f,
  0x83660ccaf51e57be, 0x68450ef8af677a8f, 0xd7d185962291669d, 0x5697c08b8a973484, 0x7a89bc2fe23d28e7,
  0x0f54698d8d56ba1d, 0x86f65f4b3170908a, 0x043e6f6a8d823f5b, 0xb59fc55f3bb8a928, 0x76761cf566d7972a,
  0xaa5beace75152a8d, 0x7f442a6b8101395d, 0x5688af2a14956ae9, 0xaf9d01e6c9aeb9ed, 0x0b9ba42aea905ca5,
  0x2d3aebce31bc6744, 0xdb33a05455bd8aaa, 0xc330ddf094b52fca, 0xbb8d167bfc413ee3, 0xd30ae4fdd599bf83,
  0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x000000064298debd,
};

// m1284p_swio10_dual_pr_ee_u4
static const uint64_t ur_m1284_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed150ffbf5b, 0x174c9e15683bbced, 0x73371a92614a3749, 0x67103e421ad6f1ff, 0x9af50da29da41562,
  0xc02705202efaed3c, 0x9827c64dc1b9337a, 0x5bc1643bc1a411eb, 0x28c28642d37e06c4, 0x7e6584a6024ee9f1,
  0x9b00d070d35c5dfe, 0x904903e9f9bd47ff, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef, 0x97cb9f90f92bae06,
  0x105a437cb8bbf92f, 0x8432d05f68865ff2, 0xdbffa039e1307b8a, 0x3982c3795e425b79, 0xd19451d9d3fff4f4,
  0x6657a8f2bdf7355a, 0x77c57b3bd47c1b30, 0x2cb1148b34eb4228, 0x045c54b9a426be8c, 0xe17f11e9473ab4be,
  0x4c6c6ab5d0ebd44d, 0xfa598b8484507aa3, 0x7b546c11fadc37b2, 0x2af9ddc5494021f3, 0xe7ab36bcb955acfe,
  0x5673a8a9546bb3b0, 0x535c0809caed52df, 0x7950a4ab574bfa21, 0x0f364d75cf6ab445, 0x21575482e52d7ce8,
  0x5e718de33a205cdd, 0x02a2adec555169d7, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x5a9d599bf8347f1a,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x05648ab1641a792b,
};

// m1284p_swio10_dual_pr_ce
static const uint64_t ur_m1284_swio10_dual_pr_ce[] = {
  0xcf7777775050cf68, 0x9174c99714d7ddec, 0xed07c769a75c1122, 0xc1294806e746adc3, 0x4cae255fbacce05a,
  0xee4d1f53accdb766, 0x348b24e609f192b8, 0x6fc0d88b782c8778, 0x29dd3e251850c85a, 0xbf8bd0ffe6584a01,
  0x6f51e396c0e09c3a, 0x17a14912092076ea, 0x2bfcfdf045f94f97, 0x902240ddc3e14431, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x84c0a454219681ea, 0xbc84b6e96bfe80e7, 0xb75ffca8330586f2, 0x77a6c0577d4278ec,
  0x56547e79c216de6e, 0x5cd02bb84889c392, 0x1fa8fd44f72cf6ea, 0xae4ccaa4871240ee, 0xd7874a46f79cc580,
  0x92a01ffb33c75e00, 0x92e04a0796b72631, 0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152,
  0xae97f442a6b81013, 0x9ed5688af2a14956, 0xca5af9d01e6c9aeb, 0x7440b9ba42aea905, 0xaaa2d3aebce31bc6,
  0xf95b66740a31dbd8, 0xc678661bbe1296a5, 0xf83bb8d167bfc409, 0x4a1854895a9d599b, 0x80f9a3ec6761c4e3,
  0x71964b867a615c9f, 0x6866587494b670e2, 0x692204d7b4f257ee,
};

// m1284p_swio10_dual_pr_ce_u4
static const uint64_t ur_m1284_swio10_dual_pr_ce_u4[] = {
  0x6eeeeed150fed8be, 0x2e993b26e17bbdb1, 0x6c1021fda374ccd2, 0x1d626f66e8bf66d3, 0xb4144fdd6c402b27,
  0xceb4830f0cbeb0fc, 0x7979827c64891b93, 0x6c45bc1643bc1a42, 0x9f128c28642d37e0, 0xf4d7e6584a6024ee,
  0xf63fb0ff8700d1c5, 0x49120920743f37a8, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0x25f2f973f21f2e41,
  0xfe420b486f97177f, 0xf8a8432d07f110cb, 0xb74dbffa039e136d, 0x4f43982c3795e425, 0x01bfaafb1d943fff,
  0xf3ce10b7f00cec2d, 0x097e21b0913d9670, 0xe1ee86ea8fd4784f, 0x6faea5cd9edc2444, 0x920770fd47ea27b9,
  0xe62c057266552438, 0x3af006bc3a5237bc, 0xb9318c9500ffd99e, 0x9ddc549702503cb5, 0xb36bcb955acfe2af,
  0x3a8a9546bb3b0e7a, 0xc0809caed52df567, 0x0a4ab574bfa21535, 0x64d75cf6ab445795, 0x75482e52d7ce80f3,
  0x18de33a205cdd215, 0x8edec555169d75e7, 0x94b52fcadb33a051, 0xff102f63c330ddf0, 0xab337f068fe3459e,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0x2e793c834f257ee6, 0x0000000000000349,
};

// m1284_swio10_dual_pr_ee_ce_u4     m1284p_swio10_dual_pr_ee_ce       m1284p_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_swio10_dual_pr_ee_ce[] = {
  0xddddda2a1fd96389, 0x4c9a9bada6efaafd, 0x149bae39f69f6917, 0x68fcb25826b766f3, 0x080a7557dce8d416,
  0x6da8b21560b36b8b, 0x3b2ae599a27721fd, 0xe0d20248c6609f19, 0x69bf03622de0b21d, 0x012774f894614321,
  0x2a38bb41ff32c253, 0x9bd47b91d81251c3, 0x17a1491209206cdf, 0x2bfcfdf045f94f97, 0x8b3140ddc3e14431,
  0x5dfc97cbe5cfc87c, 0x432ff9082d21be5c, 0x9b674542196813a4, 0x425b7e8fffd01cf0, 0xfff4f43982c3795e,
  0xf81bfaa34b43b19b, 0x3cf3842dfc033b66, 0xc25f886c244f659c, 0xc3ae8bbcfbf51e13, 0x58ea6e9b3db84889,
  0x0fbaf51e5795a53b, 0x0298aedd7a8f8366, 0x85962291669d6845, 0xabb76041d484d7d1, 0xbd44de17f11e9473,
  0x0f54698d8d578d8e, 0x86f65f4b3170908a, 0xb31f37b546c11323, 0x5acfe2af9ddc5494, 0xbb3b0e7ab36bcb95,
  0xd52df5673a8a9546, 0xbfa21535c0809cae, 0xab4457950a4ab574, 0xd7ce80f364d75cf6, 0x05cdd21575482e52,
  0x169d75e718de33a2, 0xdb33a0518edec555, 0xc330ddf094b52fca, 0x8fe3459eff102f63, 0x0a912b53ab337f06,
  0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749,
  0x00000100005dac83,
};

// m1284p_swio10_dual_ee_hw
static const uint64_t ur_m1284_swio10_dual_ee_hw[] = {
  0xd6eeeeed1468bb90, 0x9174c9e15683bbce, 0xf73371a92614a374, 0x267103e421ad6f1f, 0xc9af50da29da4156,
  0xd4895fbfd6efaed3, 0x8f5cc13e326e0dc8, 0x3622de0b21de0d20, 0x4f89461432169bf0, 0x77f9f996129d0677,
  0x1ffe6c0341c34d71, 0x292241240fa7e6f5, 0x9fbe08bf29f2e2f4, 0xb81bb87c2886257f, 0xe4be5f2e7e43e4ae,
  0x7fc841690df2e2ef, 0xee2a10cb417da219, 0x6de76ffe80e784c1, 0xb51ba60b0de57909, 0xd56b465147674fff,
  0x6cc1995ea3caf7dc, 0x08a1df15ecef51f0, 0xfa30b2c4522cd3ad, 0xd2f8117152e6909a, 0x513785fc47a51cea,
  0xea8d31b1aad743af, 0xdecbe9662e121141, 0x87cded51b047eb70, 0xb3f8abe777152500, 0xcec39eacdaf2e556,
  0x4b7d59cea2a551ae, 0xe8854d7020272bb5, 0xd115e54292ad5d2f, 0xf3a03cd935d73daa, 0x7374855d520b94b5,
  0xa75d79c6378ce881, 0x66740a8ab7b15545, 0x661bbe1296a5f95b, 0xe50c2a44ad417678, 0x7f197e627ff787bd,
  0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xd1453c95fb9a1996, 0x0000000000576a8c,
};

// m1284_swio10_dual_ee_ce_u4_hw     m1284p_swio10_dual_ee_ce_hw       m1284p_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_swio10_dual_ee_ce_hw[] = {
  0xfbbbbbb451a03000, 0x2e9935375b4ddf55, 0xe629375c73ed3ed2, 0x2cd1f964b04d6ecd, 0x161014eaafb9d1a8,
  0xa9cd422f2ac166d7, 0x827c64ecab9065ac, 0x82c8778348092319, 0x850c85a6fc0d88b7, 0x6584a7419dd3e251,
  0x24a38654717683fe, 0x40d9bf37a8f723b0, 0xf29f2e2f42922412, 0xc2886257f9fbe08b, 0x9f90f9166281bb87,
  0x437cb8bbf92f97cb, 0xd02748865ff2105a, 0xa039e136ce8a8432, 0x86f2bc84b6fd1fff, 0x876337ffda8dd305,
  0x0e76cdf037f54696, 0x4f659c3cf3842df9, 0xf51e13c25f886c24, 0xdc2444e1fd6a7807, 0xcad29dac75374d9e,
  0x47c1b307dd7a8f2b, 0x4eb422814c576ebd, 0x426be8c2cb1148b3, 0x8f4a39d5dbb020ea, 0xabc6c75ea26f0bf8,
  0xb8484507aa34c6c6, 0x608991c37b2fa598, 0xee2a4a598f9bdaa3, 0xb5e5caad67f157ce, 0x454aa35d9d873d59,
  0x404e576a96fab39d, 0x255aba5fd10a9ae0, 0x6bae7b55a22bca85, 0xa417296be74079b2, 0x6f19d102e6e90aba,
  0x6f62aa8b4ebaf38c, 0x5a97e56d99d028c7, 0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x3aeb6b1c4d14f257,
};

// m1284_swio12_noled                m1284p_swio11_noled               m1284p_swio12_noled
static const uint64_t ur_m1284_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adb3eb0d8, 0x7b00244cf741921d, 0x1984d49bbbf56d1b, 0x0418ebe84dd6c13c,
  0x9827c64eec2f5a35, 0x0ec32bfd61de7dfc, 0xebffa8e989df2dd0, 0xba6ea1efa4871240, 0x86d6464f1cc580b7,
  0x9edc72c608ebc5d7, 0xcf566d7972ab52b3, 0xece75152a8d76761, 0x442a6b395daa5bea, 0xa22bca85256c6f5f,
  0x4a9f4ef3f5ae7b55, 0x22617a41afa9c059, 0xe881b1fe2810b4ac, 0x4bf2b6cce9c6378c, 0x9fd8f0cc377c252d,
  0x71964b867a615c9f, 0x6866587494b670e2, 0xa41c5a662cf257ee, 0x0000000000000002,
};

/*
 * m1284_swio11_noled_pr_u4          m1284_swio12_noled_pr             m1284_swio12_noled_pr_u4
 * m1284p_swio11_noled_pr            m1284p_swio11_noled_pr_u4         m1284p_swio12_noled_pr
 * m1284p_swio12_noled_pr_u4
 */
static const uint64_t ur_m1284_swio11_noled_pr[] = {
  0x444ddddda2432f02, 0xb9696215a00ac4f7, 0xf71da1c489910cd6, 0x42e2499b11327ad4, 0x7d432f7bb3dd111e,
  0x277638c0bc5ecce1, 0xffb0be7e034c13e3, 0xe0a1df2dbd8ec0f7, 0x7ad243892064d7a8, 0x114e62c0596533f8,
  0xcc11d7a3ebc3f223, 0x967b7bdf40a807fe, 0x66d7972ab5815a07, 0x75152a8d76761cf5, 0xa6b395daa5beaece,
  0xbca85256c6f5f442, 0xef00febae7b55a22, 0x7a4185d4d8a53c34, 0x2179c6378ce88175, 0x72ec8ab7b15545a5,
  0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000f937566f5ed3c,
};

/*
 * m1284_swio11_noled_pr_ee_u4       m1284_swio12_noled_pr_ee          m1284_swio12_noled_pr_ee_u4
 * m1284p_swio11_noled_pr_ee         m1284p_swio11_noled_pr_ee_u4      m1284p_swio12_noled_pr_ee
 * m1284p_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m1284_swio11_noled_pr_ee[] = {
  0xbc9bbbbb448624d6, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0xeefdaebb4669f6d1, 0xec2f9feaf9827c64, 0x6ab5a331e3b2397f, 0x3660fa8f51e565d6, 0x8450ef8ad82fa8f8,
  0x7d185962291669d6, 0x5a5dd2ae3593484d, 0xce9de109e8fe439d, 0x9223deec6ab5d0eb, 0x1bd96cb98b848451,
  0x570d67aa3608fd6e, 0x0e7ab36bcb955a80, 0x57673a8a9546bb3b, 0xfa215359caed52df, 0xad115e54292b637a,
  0x9e1a77807f5d73da, 0x40babd20c2ea6c52, 0xa2d290bce31bc674, 0xadb33976455bd8aa, 0x3c330ddf094b52fc,
  0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0xf69e4afdcd0ccb0e, 0x000000013afdf05a,
};

/*
 * m1284_swio11_noled_pr_ce_u4       m1284_swio12_noled_pr_ce          m1284_swio12_noled_pr_ce_u4
 * m1284p_swio11_noled_pr_ce         m1284p_swio11_noled_pr_ce_u4      m1284p_swio12_noled_pr_ce
 * m1284p_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m1284_swio11_noled_pr_ce[] = {
  0x9122eeeeed121911, 0xb5cb4b07051a7587, 0xe91fd34a306b9b5a, 0x48b87eb43f60cec7, 0x658aa2bd724375e4,
  0xc13e327755f33e83, 0xecd9dffb0be7ce0c, 0xe6e771580dfd43d8, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1f2a1a0, 0x51d7c9ee5bebd64d, 0xda01490e2481acff, 0x0fc88c45398b0163, 0xa01ffb33c75e8faf,
  0x815a0796b76f7d02, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0xf5f442a6b395daa5, 0xb55a22bca85256c6,
  0xa53c34ef00febae7, 0xe881757a4185d4d8, 0x5545a52179c6378c, 0xf2b6cce5d863b7b1, 0xd8f0cc377c252d4b,
  0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0xebda792bf734332c, 0x0000000006ebbe49,
};

/*
 * m1284_swio11_noled_pr_ee_ce_u4    m1284_swio12_noled_pr_ee_ce       m1284_swio12_noled_pr_ee_ce_u4
 * m1284p_swio11_noled_pr_ee_ce      m1284p_swio11_noled_pr_ee_ce_u4   m1284p_swio12_noled_pr_ee_ce
 * m1284p_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_swio11_noled_pr_ee_ce[] = {
  0x537bbbbb44861a4e, 0xb96962112c4d6090, 0xb6b4e86656e17f8f, 0x1b66c44eb826975e, 0x99ac16c148a4829b,
  0xea6bb85a4cf70539, 0xc2f9fbc39827c64e, 0x7f5471c8766377fe, 0xce10b6f373bc6e03, 0x7e21b0913d9670f3,
  0xb928ebefd4784f09, 0xd3df367b70911387, 0x95ea3cae43ca76b1, 0x31594bf51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e74a3a909afa30b, 0xa778427a3f90e757, 0x11ef76355e363af3, 0xecb65cc5c24228c9, 0xc359ea8d8226470d,
  0x9eacdaf2e556a59d, 0xd9cea2a551aecec3, 0x8854d672bb54b7d5, 0x4457950a4ad8debe, 0x869de01fd75cf6ab,
  0x2eaf4830ba9b14a7, 0xb4a42f38c6f19d10, 0xd99cbb0c76f62aa8, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e,
  0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0x4f257ee686658749, 0x00000027e0c9cd7b,
};

// m1284_swio12_noled_ee_hw          m1284p_swio11_noled_ee_hw         m1284p_swio12_noled_ee_hw
static const uint64_t ur_m1284_swio11_noled_ee_hw[] = {
  0xbc9bbbbb451a3705, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0x32776c36cad498d1, 0x5fe562cff57cc13e, 0x759aad68cc78ec8e, 0x3e0d983ea3d47959, 0x75a1143be2b60bea,
  0x135f4616588a459a, 0xe7569774ab8d64d2, 0x3af3a778427a3f90, 0x146488f7bb1aad74, 0x5b86f65b2e62e121,
  0xa015c359ea8d823f, 0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0xdebe8854d672bb54, 0xf6ab4457950a4ad8,
  0x14a7869de01fd75c, 0x9d102eaf4830ba9b, 0x2aa8b4a42f38c6f1, 0xbf2b6cce5d9156f6, 0x2ecf0cc377c252d4,
  0xf0f7bca1854895a8, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0xdf19e4e8a792bf73, 0x0000000000000002,
};

/*
 * m1284_swio11_noled_ee_ce_u4_hw    m1284_swio12_noled_ee_ce_hw       m1284_swio12_noled_ee_ce_u4_hw
 * m1284p_swio11_noled_ee_ce_hw      m1284p_swio11_noled_ee_ce_u4_hw   m1284p_swio12_noled_ee_ce_hw
 * m1284p_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_swio11_noled_ee_ce_hw[] = {
  0xa6f777768a345f41, 0x72d2c422589ac120, 0x6d69d0ccadc2ff1f, 0x36cd889d704d2ebd, 0x33582d8291490536,
  0x4eed17f77b5c4a73, 0xfcac59fbc39827c6, 0x01bfaa38e43b31bb, 0xf3ce10b7e439de37, 0x097e21b0913d9670,
  0x87185ddbbfd4784f, 0xb1d3df367b709113, 0x1e95ea3cae43ca76, 0x0531594bf51f06cc, 0x0b2c4522cd3ad08a,
  0x576e74a3a909afa3, 0xf3a778427a3f90e7, 0xc911ef76355e363a, 0x0decb65cc5c24228, 0x9dc359ea8d822647,
  0xc39eacdaf2e556a5, 0xd5d9cea2a551aece, 0xbe8854d672bb54b7, 0xab4457950a4ad8de, 0xa7869de01fd75cf6,
  0x102eaf4830ba9b14, 0xa8b4a42f38c6f19d, 0x56d99cbb0c76f62a, 0x9e1986ef84a5a97e, 0xef79430a912b505d,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xb3c9d14f257ee686,
  0x0000000000001404,
};

// m1284_swio12_lednop               m1284p_swio11_lednop              m1284p_swio12_lednop
static const uint64_t ur_m1284_swio11_lednop[] = {
  0x04f077777759bb37, 0xddcb4b10ad42561b, 0xe3b50fc2f4141921, 0xc1984d49a914dad2, 0xb1b6fd2f8bdd6c13,
  0x304f8c9ddb1ec869, 0x7647bff58779f5f7, 0x5ffd47f90ef96e80, 0xd348910d24389207, 0x3bda3e80e62c05bd,
  0x7ee39630475e2ebc, 0xf566d7972ab52b16, 0xce75152a8d76761c, 0xb8101395daa5beae, 0x50a4ae5e97f442a6,
  0x9d01e5cf6ab44579, 0x85200bd4b5e5380b, 0x9cfa2810b4952140, 0x5b6674e31bc67440, 0x78661bbe1296a5f9,
  0x25c33d30ae4fcfec, 0x2c3a4a5b387138cb, 0xb93316792bf73433, 0x0000000000001525,
};

/*
 * m1284_swio11_lednop_pr_u4         m1284_swio12_lednop_pr            m1284_swio12_lednop_pr_u4
 * m1284p_swio11_lednop_pr           m1284p_swio11_lednop_pr_u4        m1284p_swio12_lednop_pr
 * m1284p_swio12_lednop_pr_u4
 */
static const uint64_t ur_m1284_swio11_lednop_pr[] = {
  0x889bbbbb4486fc3b, 0xe5a58856f1f589ee, 0xd537ebfc2e44335a, 0x85c4c004cd22ed93, 0x385e35f767ba223c,
  0x4eedc13750cca735, 0xff617cf9459827c6, 0xe801df2dbd8ec7f3, 0x225243892064d7a8, 0x6f9cc580b2ca6a95,
  0x30475e8faf0cdc8c, 0x59edc656b2a01ffb, 0x6d7972ab53ea881e, 0x5152a8d76761cf56, 0x01395daa5beaece7,
  0x4ae5e97f442a6b81, 0xd75cf6ab4457950a, 0x482e52d7ce80f364, 0xde33a205cdd21575, 0xdec555169d75e718,
  0xb52fcadb33ba7a2a, 0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x4cd1af69e4afdcd0, 0x0000000000003e4e,
};

/*
 * m1284_swio11_lednop_pr_ee_u4      m1284_swio12_lednop_pr_ee         m1284_swio12_lednop_pr_ee_u4
 * m1284p_swio11_lednop_pr_ee        m1284p_swio11_lednop_pr_ee_u4     m1284p_swio12_lednop_pr_ee
 * m1284p_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284_swio11_lednop_pr_ee[] = {
  0xbc9bbbbb4486a4d6, 0xb96963d4ea2d60bd, 0x67be4600f4be24da, 0x14ce3ef5da5a9bda, 0xb452b64522217b79,
  0xdd39d9f7938abd71, 0xec2f9f0b5304f8c9, 0x6ab5a331e3b09d7f, 0x3660fa8f51e56c16, 0x8450ef8af2b7a8f8,
  0x7d185962291669d6, 0x5a5cbaae3593484d, 0xce9de1dbe8e6e39d, 0x0a238cac6ab5d0eb, 0x1bd96cb98b848450,
  0x16f7d02a3608fd6e, 0xc39eacdaf2e556a0, 0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88,
  0x01e6c9aeb9ed5688, 0xa42aea905ca5af9d, 0xebce31bc67440b9b, 0x74f455bd8aaa2d3a, 0xbbe1296a5f95b667,
  0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00275ff24f5ed3c9,
};

/*
 * m1284_swio11_lednop_pr_ce_u4      m1284_swio12_lednop_pr_ce         m1284_swio12_lednop_pr_ce_u4
 * m1284p_swio11_lednop_pr_ce        m1284p_swio11_lednop_pr_ce_u4     m1284p_swio12_lednop_pr_ce
 * m1284p_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284_swio11_lednop_pr_ce[] = {
  0x48bbbbbb4486b044, 0x72d2c1c1682d61e4, 0x4f4c4edb75e6d6ad, 0xe1fad0699fb7a7bf, 0x723f51590dd79122,
  0xe327776527da3bb1, 0xadffb0be7d2d4c13, 0x767040dfd43d8ec1, 0xb2ce1e79c216de6e, 0x8f09e12fc4361227,
  0xc2444e1d4939bffa, 0xbe9ee5bebd64d9ed, 0x2921c490359fea3c, 0x231be731602c06ea, 0xfeccf1d7a3ebc337,
  0x81e5add195aca807, 0xf566d7972ab53ea8, 0xce75152a8d76761c, 0xb8101395daa5beae, 0x50a4ae5e97f442a6,
  0x364d75cf6ab44579, 0x575482e52d7ce80f, 0x718de33a205cdd21, 0x18edec555169d75e, 0x1296a5f95b66774f,
  0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xbae015b5ed3c95fb, 0x0000000000000001,
};

/*
 * m1284_swio11_lednop_pr_ee_ce_u4   m1284_swio12_lednop_pr_ee_ce      m1284_swio12_lednop_pr_ee_ce_u4
 * m1284p_swio11_lednop_pr_ee_ce     m1284p_swio11_lednop_pr_ee_ce_u4  m1284p_swio12_lednop_pr_ee_ce
 * m1284p_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_swio11_lednop_pr_ee_ce[] = {
  0x29bddddda24343ee, 0xdcb4b10881bab048, 0x2b5b10d3c5f0bfc7, 0x8db362c4c4e313a0, 0x53a38b60a452414d,
  0xed77e4484369e7ac, 0xc2f9f67c9827c64e, 0x7f5471c8761adffe, 0xce10b6f373b35b03, 0x7e21b0913d9670f3,
  0x88c538ffd4784f09, 0xd3df367b70911387, 0x95ea3caca5ca76b1, 0x315a9ef51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e2ea3a909afa30b, 0xa77876fa39b8e757, 0x11c656355e363af3, 0xecb65cc5c2422805, 0xbdf40a8d8226470d,
  0xe7ab36bcb955a967, 0x7673a8a9546bb3b0, 0x35c0809caed52df5, 0xca852572f4bfa215, 0x79b26bae7b55a22b,
  0x0abaa417296be740, 0xf38c6f19d102e6e9, 0x78c76f62aa8b4eba, 0xf094b52fcadb33ba, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x09f80f27af69e4af,
};

// m1284_swio12_lednop_ee_hw         m1284p_swio11_lednop_ee_hw        m1284p_swio12_lednop_ee_hw
static const uint64_t ur_m1284_swio11_lednop_ee_hw[] = {
  0xde4ddddda28d0044, 0x5cb4b1ea7516b05e, 0x33df23007a5f126d, 0x8a671f7aed2d4ded, 0xda295b229110bdbc,
  0x3277505272d086b8, 0xaff2b167c2d4c13e, 0x82cd56b4663c7613, 0x1f06cc1f51ea3cad, 0x3ad08a1df15e56f5,
  0x09afa30b2c4522cd, 0x73ab4b9755c6b269, 0x1d79d3bc3b7d1cdc, 0x8a014471958d56ba, 0xadc37b2d97317090,
  0xd402defa0546c11f, 0xd9d873d59b5e5caa, 0x96fabb39d454aa35, 0xd10a9ae0404e576a, 0xd115e54292b97a5f,
  0xf3a03cd935d73daa, 0x7374855d520b94b5, 0xa75d79c6378ce881, 0xccee9e8ab7b15545, 0xcc377c252d4bf2b6,
  0xca1854895a82ecf0, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0xa28a792bf734332c, 0x000000000016f919,
};

/*
 * m1284_swio11_lednop_ee_ce_u4_hw   m1284_swio12_lednop_ee_ce_hw      m1284_swio12_lednop_ee_ce_u4_hw
 * m1284p_swio11_lednop_ee_ce_hw     m1284p_swio11_lednop_ee_ce_u4_hw  m1284p_swio12_lednop_ee_ce_hw
 * m1284p_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_swio11_lednop_ee_ce_hw[] = {
  0xa6f777768a346d3a, 0x72d2c42206eac120, 0xad6c434f17c2ff1f, 0x36cd8b13138c4e80, 0x4e8e2d8291490536,
  0x9ddb9db37b931eb1, 0xf958b3ecf9304f8c, 0x037f5471c8761adf, 0xe79c216fc873b35b, 0x12fc4361227b2ce1,
  0x875c170fffa8f09e, 0xb1d3df367b709113, 0x1e95ea3caca5ca76, 0x05315a9ef51f06cc, 0x0b2c4522cd3ad08a,
  0x576e2ea3a909afa3, 0xf3a77876fa39b8e7, 0x0511c656355e363a, 0x0decb65cc5c24228, 0x67bdf40a8d822647,
  0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3, 0x1535c0809caed52d, 0x2bca852572f4bfa2, 0x4079b26bae7b55a2,
  0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0xba78c76f62aa8b4e, 0xddf094b52fcadb33, 0x6152256a0bb3c330,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9,
  0x0000000280883eea,
};

/*
 * m1284_swio11_dual_pr              m1284_swio11_dual_pr_u4           m1284_swio12_dual
 * m1284_swio12_dual_pr              m1284_swio12_dual_pr_u4           m1284p_swio11_dual
 * m1284p_swio11_dual_pr             m1284p_swio11_dual_pr_u4          m1284p_swio12_dual
 * m1284p_swio12_dual_pr             m1284p_swio12_dual_pr_u4
 */
static const uint64_t ur_m1284_swio11_dual[] = {
  0xd33ddddda2431f02, 0x2e993db69f7bbf92, 0xdb9c646e0d910812, 0xa71c59f043015b5a, 0xaf9f738b7792d331,
  0xe4a31166d084c283, 0x48185e609f1920ce, 0xfc0d88b782c87783, 0x9dd3e251850c85a6, 0x7c5d82fe6584a012,
  0xbd4774bb03867029, 0x5e8524482481fee9, 0xaff3f7c117e53e5c, 0x298603770f8510c4, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x09ad68a8432d08c9, 0x79096dd82ffd01cf, 0xe4fff950660b0de5, 0xea3f7477cb2d71d8,
  0xa531f490e2481ef7, 0x46989cc580aa0f33, 0xfb30475e00d784f5, 0x3cb3db88722aa01f, 0xf157ceee2a4ae230,
  0x873d59b5e5caad67, 0xabb39d454aa35d9d, 0xa9ae0404e576a96f, 0x5e54292b97a5fd10, 0x03cd935d73daad11,
  0x4855d520b94b5f3a, 0xd79c6378ce881737, 0xe9e8ab7b15545a75, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x00524f6bdebda792,
};

// m1284_swio12_dual_pr_ee           m1284p_swio11_dual_pr_ee          m1284p_swio12_dual_pr_ee
static const uint64_t ur_m1284_swio11_dual_pr_ee[] = {
  0x1ec82b7777750c86, 0xd245d32785644eef, 0x9bdfabb3e39c528d, 0xb13f69c2c9bb9db9, 0x3f3bba86d147b20a,
  0xbbb1bb1e0b98b368, 0x3cf5cc13e326e0dc, 0x03622de0b21de0d2, 0x74f89461432169bf, 0x177f9f99612804a7,
  0x51ffe6c0341c34d7, 0x4292241240fa7e6f, 0xf9fbe08bf29f2e2f, 0x3901bb87c2886257, 0x7f25f2f973f21f2f,
  0xcbfe420b486f9717, 0x0f7150865a0bed10, 0x25b77f9ff4073c26, 0xffe541982c3795e4, 0xa9aad68ff70ec31f,
  0xc1b3061efd4795db, 0xb422877c5715bd47, 0x6be8c2cb1148b34e, 0xab4be565c54b9a42, 0x7a89bc301919ea73,
  0x3a84710d8d56ba1d, 0x86f65f4b3170908a, 0x12d783ea8d823f5b, 0xd67f157ceee2a4a0, 0xd9d873d59b5e5caa,
  0x96fabb39d454aa35, 0xd10a9ae0404e576a, 0xd115e54292b97a5f, 0xf3a03cd935d73daa, 0x7374855d520b94b5,
  0xa75d79c6378ce881, 0xccee9e8ab7b15545, 0xcc377c252d4bf2b6, 0xe3459eff104fb8f0, 0xc2b93f75666fe0ee,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000003214d39af69,
};

// m1284_swio12_dual_pr_ee_u4        m1284p_swio11_dual_pr_ee_u4       m1284p_swio12_dual_pr_ee_u4
static const uint64_t ur_m1284_swio11_dual_pr_ee_u4[] = {
  0x2b777768a87f2906, 0xd32785644eef1ec8, 0xabb3e39c528dd245, 0x69c2c9bb9db99bdf, 0xba86d147b20ab13f,
  0x0b782a4633683f3b, 0x609f193706e457c8, 0x6f0590ef0691e7ae, 0xa30a190b4df81b11, 0xf9961298093ba7c4,
  0x6c0341c34d7177f9, 0x41240fa7e6f51ffe, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f2f3901b,
  0x20b486f97177f25f, 0x0865a0bed10cbfe4, 0xf9ff4073c260f715, 0x3982c3795e425b77, 0xd1fee1d863fff4f4,
  0xc3dfa8f2bb75355a, 0xef8ae2b7a8f83660, 0x5962291669d68450, 0xacb8a973484d7d18, 0x8603233d4e75697c,
  0x21b1aad743af5137, 0xe9662e121147508e, 0x7d51b047eb70decb, 0xaf9ddc5494025af0, 0x7ab36bcb955acfe2,
  0x673a8a9546bb3b0e, 0x5c0809caed52df57, 0xa852572f4bfa2153, 0x9b26bae7b55a22bc, 0xabaa417296be7407,
  0x38c6f19d102e6e90, 0xd156f62aa8b4ebaf, 0x84a5a97e56d99dd3, 0xf7f8817b1e1986ef, 0x9d599bf8347f1a2c,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x64e334641a792bf7, 0x0000000000000005,
};

// m1284_swio12_dual_pr_ce           m1284p_swio11_dual_pr_ce          m1284p_swio12_dual_pr_ce
static const uint64_t ur_m1284_swio11_dual_pr_ce[] = {
  0xd02f777775050c86, 0x22e9932e3ddeef0d, 0xb5c2c7b586b82245, 0x0bb244faaf67da0f, 0x1aefdfbdd0dd02d6,
  0xcbbb1bb3eafcc542, 0x91dc7cc13e32571d, 0xf81b116f0590ef06, 0x3ba7c4a30a190b4d, 0xf17a1ffccb094025,
  0xea3c72d81c138757, 0xf4292241240edd4d, 0x7f9fbe08bf29f2e2, 0xe6f81bb87c288625, 0x77f25f2f973f21f2,
  0x0cbfe420b486f971, 0x98148a8432d03d51, 0x212dbd0fffd01cf0, 0xdfff2a0cc161bcaf, 0xf6700aefac883b34,
  0xd1ffcf3842dbcdce, 0x340aee122270ece5, 0xd4709f3dcb3dba97, 0xac1ee921c4903b5b, 0xc27aa34c4e62c054,
  0x500ffd99e3af006b, 0x5c460796b7443915, 0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9, 0xd52df57673a8a954,
  0xbfa21535c0809cae, 0x55a22bca852572f4, 0x6be74079b26bae7b, 0x02e6e90abaa41729, 0x8b4ebaf38c6f19d1,
  0xdb33ba78c76f62aa, 0xc330ddf094b52fca, 0xddc68b3dfe204e33, 0xc2a44ad4eaccdfc1, 0xcd1f633b0e271a50,
  0xb25c33d30ae4fc07, 0x32c3a4a5b387138c, 0x7adebda792bf7343, 0x0000000000000d24,
};

// m1284_swio12_dual_pr_ce_u4        m1284p_swio11_dual_pr_ce_u4       m1284p_swio12_dual_pr_ce_u4
static const uint64_t ur_m1284_swio11_dual_pr_ce_u4[] = {
  0x56eeeed150fe72df, 0xa64ec9fb8dde8280, 0x7f2d5b28dd33348b, 0xec3ec98eb7b609bc, 0x1216dd41402b272b,
  0xb97d6964ac023399, 0x39827c64891b933e, 0x45bc1643bc1a41c9, 0x128c28642d37e06c, 0xd7e6584a6024ee9f,
  0x3fb0ff8700d1c5f4, 0x120920743f37a8f6, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0xf2f973f21f20a440,
  0x420b486f97177f25, 0xa8432d07f110cbfe, 0xe9affa039e136df8, 0xa1cc161bcaf212db, 0x6feb5287605affa7,
  0xe7085bf80677d3e0, 0xbf10d8489ecb3879, 0xfdd60007ea3c2784, 0xd752e6cf6e122270, 0x03b5bd4709f3dcb7,
  0x2c054ac1ee921c49, 0xf006bc27aa34c4e6, 0x43915500ffd99e3a, 0xdc5495c460796b74, 0x6bcb955acfe2af9d,
  0x8a9546bb3b0e7ab3, 0x09caed52df57673a, 0x572f4bfa21535c08, 0xbae7b55a22bca852, 0x417296be74079b26,
  0xf19d102e6e90abaa, 0xf62aa8b4ebaf38c6, 0x52fcadb33ba78c76, 0x02f63c330ddf094b, 0x37f068fe3459eff1,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x64c834f257ee6866, 0x0000000000349251,
};

/*
 * m1284_swio11_dual_pr_ee_ce_u4     m1284_swio12_dual_pr_ee_ce        m1284_swio12_dual_pr_ee_ce_u4
 * m1284p_swio11_dual_pr_ee_ce       m1284p_swio11_dual_pr_ee_ce_u4    m1284p_swio12_dual_pr_ee_ce
 * m1284p_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284_swio11_dual_pr_ee_ce[] = {
  0xdbbbbb4543fad164, 0x93537e6beef51fb9, 0x0fabbf3ed3ed22e9, 0x1c171ff798ba6a47, 0x9ca3f73a3526bf76,
  0xd3a33a30a5e4c202, 0x5cb2a71a8b207d7b, 0x90abf0cc13e32765, 0xf81b116f0590ef06, 0x3ba7c4a30a190b4d,
  0xc5da0ff996129809, 0xa3dc8ec0928e1951, 0x0a4890490366fcde, 0xe7ef822fca7cb8bd, 0x2e06ee1f0a21895f,
  0xf25f2f973f21f24f, 0xbfe420b486f97177, 0x9d150865a04e910c, 0x6dda0fff4073c26d, 0xd3d0e60b0de57909,
  0x6fea8e87c76759ff, 0xe7085bf80677d660, 0xbf10d8489ecb3879, 0xe9d18f5fea3c2784, 0xa9ba6cf6e122270e,
  0x7fd4795cae94ed63, 0xc57a6fd47c1b307b, 0xb1148b34eb422814, 0xbb2b0ea426be8c2c, 0x4de180c8cf539d5d,
  0x4710d8d578d8ebd4, 0x65f4b3170908a3a8, 0xbc1f546c1132386f, 0xf8abe77715252cd6, 0xc39eacdaf2e556b3,
  0xd5d9cea2a551aece, 0x54d7020272bb54b7, 0xaf2a1495cbd2fe88, 0x01e6c9aeb9ed5688, 0xa42aea905ca5af9d,
  0xebce31bc67440b9b, 0xe9e31dbd8aaa2d3a, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d,
  0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x04004176b20d3c95,
};

// m1284_swio12_dual_ee_hw           m1284p_swio11_dual_ee_hw          m1284p_swio12_dual_ee_hw
static const uint64_t ur_m1284_swio11_dual_ee_hw[] = {
  0x056eeeed1468a0ae, 0xba64f0ac89dde3d9, 0xf5767c738a51ba48, 0xed38593773b7337b, 0x7750da28f6415627,
  0xefeb7a1f5e6d07e7, 0x5cc13e326e0dcbeb, 0x22de0b21de0d23cf, 0x89461432169bf036, 0xf9f996129d06774f,
  0xfe6c0341c34d7177, 0x2241240fa7e6f51f, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f2f390,
  0xe420b486f97177f2, 0x150865a0bed10cbf, 0x77f9ff4073c260f7, 0x46e982c3795e425b, 0x5ad1fee1d863ffed,
  0x60c3dfa8f2bb7535, 0x50ef8ae2b7a8f836, 0x185962291669d684, 0x7cacb8a973484d7d, 0x378603233d4e7569,
  0x8e21b1aad743af51, 0xcbe9662e12114750, 0xf07d51b047eb70de, 0xe2af9ddc5494025a, 0x0e7ab36bcb955acf,
  0x57673a8a9546bb3b, 0x535c0809caed52df, 0xbca852572f4bfa21, 0x079b26bae7b55a22, 0x90abaa417296be74,
  0xaf38c6f19d102e6e, 0xd3d156f62aa8b4eb, 0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000015da0d3e51,
};

/*
 * m1284_swio11_dual_ee_ce_u4_hw     m1284_swio12_dual_ee_ce_hw        m1284_swio12_dual_ee_ce_u4_hw
 * m1284p_swio11_dual_ee_ce_hw       m1284p_swio11_dual_ee_ce_u4_hw    m1284p_swio12_dual_ee_ce_hw
 * m1284p_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284_swio11_dual_ee_ce_hw[] = {
  0x9dbbbbb451a1022f, 0x993537e6beef51fb, 0x70fabbf3ed3ed22e, 0x61c171ff798ba6a4, 0x29ca3f73a3526bf7,
  0x2b8f33a30a5e4c20, 0xc9d9572da7c845fb, 0x3bc1a42afc3304f8, 0x42d37e06c45bc164, 0x53a0cee9f128c286,
  0xc32a38bb41ff32c2, 0xdf9bd47b91d81251, 0x9717a1491209206c, 0x312bfcfdf045f94f, 0x3e49e5c0ddc3e144,
  0x2e2efe4be5f2e7e4, 0xd22197fc841690df, 0x784db3a2a10cb409, 0xaf212dbb41ffe80e, 0xeb3ff6a374c161bc,
  0xfacc0dfd51d0f8ec, 0xb3879e7085bf21ce, 0xc2784bf10d8489ec, 0x889c3dc9475f7ea3, 0x53b58ea6e9b3db84,
  0x6cc1edff51e572ba, 0x08a05315e9bf51f0, 0xfa30b2c4522cd3ad, 0x4e7576ecac3a909a, 0x63af51378603233d,
  0x228ea11c436355e3, 0xc8e1bd97d2cc5c24, 0x94b35af07d51b044, 0x955acfe2af9ddc54, 0x46bb3b0e7ab36bcb,
  0xed52df57673a8a95, 0x4bfa21535c0809ca, 0xb55a22bca852572f, 0x96be74079b26bae7, 0x102e6e90abaa4172,
  0xa8b4ebaf38c6f19d, 0xadb33ba78c76f62a, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x6797a29e4afdcd0c, 0x000000000001d75a,
};

// m1284p_swio13_noled
static const uint64_t ur_m1284_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x1e0cc24f76f37bf3, 0x590266c44bdee859,
  0x69827c64ee82f413, 0x83b03dffac3bcfc0, 0x1f3dea3c4277cb74, 0xee9827a63490e248, 0xe11151934731602d,
  0x82f71cb1823af175, 0xe7ab36bcb955a959, 0xf673a8a9546bb3b0, 0x54d672bb54b7d54d, 0xbca85255abdebe88,
  0xf4ef3f5ae7b55a22, 0x17a41afa9c0594a9, 0x0a2fa2810b4ac226, 0x95b6674e31bc6744, 0xc78661bbe1296a5f,
  0xb25c33d30ae4fcfe, 0x32c3a4a5b387138c, 0x38d3316792bf7343, 0x0000000000002a4d,
};

// m1284_swio13_noled_pr_u4          m1284p_swio13_noled_pr            m1284p_swio13_noled_pr_u4
static const uint64_t ur_m1284_swio13_noled_pr[] = {
  0x95bbbbbb448690e3, 0xb5cb4b10ac5c6b05, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd2ca888,
  0x193ba245999bb0dc, 0xbffd85f3ebee609f, 0x1e5f1df2d07c7647, 0xba8a4871240fa0f5, 0xf7b398b016594d01,
  0xb30475e8faf0e488, 0xcb3db83fd22a01ff, 0xb36bcb955acbb503, 0x3a8a9546bb3b0e7a, 0x672bb54b7d54df67,
  0x85255abdebe8854d, 0x0febae7b55a22bca, 0x185d4d8a53c34ef0, 0x9c6378ce881757a4, 0x18ab7b15545a5217,
  0xe1296a5f95b66763, 0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x7c9a566f5ed3c95f,
};

// m1284_swio13_noled_pr_ee_u4       m1284p_swio13_noled_pr_ee         m1284p_swio13_noled_pr_ee_u4
static const uint64_t ur_m1284_swio13_noled_pr_ee[] = {
  0x17bbbbbb4486b044, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0x27776527da3bb172, 0xffb0be7d2d4c13e3, 0x5cd56b46fe0ec1ad, 0xe0d98309fea3caca, 0x5a1143be2b53dea3,
  0x35f4616588a459a7, 0x7569790eb8d64d21, 0xd79d3bc32223c90e, 0x42f88e0fd8d56ba1, 0xb86f65b2e62e1211,
  0x8056b13ca8d823f5, 0x3b0e7ab36bcb955a, 0x54df673a8a9546bb, 0xe8854d672bb54b7d, 0xa22bca85255abdeb,
  0xc34ef00febae7b55, 0x1757a4185d4d8a53, 0x5a52179c6378ce88, 0xb6676318ab7b1554, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0xd3c95fb9a19961d2, 0x00000013ae015b5e,
};

// m1284_swio13_noled_pr_ce_u4       m1284p_swio13_noled_pr_ce         m1284p_swio13_noled_pr_ce_u4
static const uint64_t ur_m1284_swio13_noled_pr_ce[] = {
  0x09bbbbbb4486bf3e, 0x5ae5a58382d0bac5, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a376844,
  0x27c64eece22c5707, 0x915bff617cf93a98, 0xdcee3901bfac7b1d, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xe95490e248193dea, 0xe488f7b398b014c7, 0x01ffb33c75e8faf0,
  0xed40f2d6e83fd22a, 0xc39eacdaf2e556b2, 0x37d9cea2a551aece, 0x215359caed52df55, 0x8af2a14956af7afa,
  0xd3bc03faeb9ed568, 0xd5e90617536294f0, 0x9485e718de33a205, 0x33b1898edec55516, 0x30ddf094b52fcadb,
  0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00001baf998baf69,
};

// m1284_swio13_noled_pr_ee_ce_u4    m1284p_swio13_noled_pr_ee_ce      m1284p_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m1284_swio13_noled_pr_ee_ce[] = {
  0xd1bbbbbb4486bd5b, 0x1f72d2c42240bac2, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522ad0a,
  0x4eef77ee0e75a094, 0xfec2f9f9869827c6, 0x037f546358767ebf, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x19ebea3cace1ca76, 0x05315943f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e90e3a909afa3, 0x79d3bc32223c90e7, 0x5f11c1fb1aaf1b1d, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0xb0e7ab36bcb955a9, 0x4df673a8a9546bb3, 0x8854d672bb54b7d5, 0x22bca85255abdebe, 0x34ef00febae7b55a,
  0x757a4185d4d8a53c, 0xa52179c6378ce881, 0xccec6263b7b15545, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0,
  0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000013f2dc86bda,
};

// m1284p_swio13_noled_ee_hw
static const uint64_t ur_m1284_swio13_noled_ee_hw[] = {
  0x17bbbbbb451a1541, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0xb297355ad1bf83b0, 0xa8f83660c27fa8f2, 0x69d68450ef8ad4f7,
  0x484d7d1859622916, 0x439d5a5e43ae3593, 0xe875e74ef0c888f2, 0x8450be2383f6355a, 0xfd6e1bd96cb98b84,
  0x56a015ac4f2a3608, 0xaecec39eacdaf2e5, 0xdf5537d9cea2a551, 0x7afa215359caed52, 0xd5688af2a14956af,
  0x94f0d3bc03faeb9e, 0xa205d5e906175362, 0x55169485e718de33, 0xe56d99d8c62adec5, 0xd9e1986ef84a5a97,
  0x1ef79430a912b505, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271,
  0xf9a6b514f257ee68, 0x000000000000002d,
};

// m1284_swio13_noled_ee_ce_u4_hw    m1284p_swio13_noled_ee_ce_hw      m1284p_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m1284_swio13_noled_ee_ce_hw[] = {
  0xa37777768a34704a, 0x3ee5a58844817585, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a455a14,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0xb81bfaa31ac3b3f5, 0x0f3ce10b7e439dfe, 0xf097e21b0913d967,
  0x4e1fa9cb82fd4784, 0xdac74f7cd9edc244, 0x3067afa8f2b38729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42,
  0x9d5dba438ea426be, 0x75e74ef0c888f243, 0xa17c4707ec6abc6c, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0xcec39eacdaf2e556, 0x5537d9cea2a551ae, 0xfa215359caed52df, 0x688af2a14956af7a, 0xf0d3bc03faeb9ed5,
  0x05d5e90617536294, 0x169485e718de33a2, 0xdb33b1898edec555, 0xc330ddf094b52fca, 0xef286152256a0bb3,
  0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x3eea29e4afdcd0cc,
  0x00000000000280b0,
};

/*
 * m1284_swio13_lednop_pr            m1284_swio13_lednop_pr_u4         m1284p_swio13_lednop
 * m1284p_swio13_lednop_pr           m1284p_swio13_lednop_pr_u4
 */
static const uint64_t ur_m1284_swio13_lednop[] = {
  0x95bbbbbb4486d38b, 0x5ae5a58856cc6b05, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fba59511,
  0xe327751994e69652, 0x0dffb0be7ff74c13, 0x51f4a3be5a0f8ec8, 0x17baa4871240fa0f, 0x8e32398b016594c5,
  0xfb30475e8faf0828, 0x3cb3dbc8a22aa01f, 0xacdaf2e556a52170, 0xcea2a551aecec39e, 0x09caed52df5537d9,
  0x2b924bfa21535c08, 0x5d73daad115e5429, 0x20b94b5f3a03cd93, 0x78ce8817374855d5, 0x7b15545a75d79c63,
  0xa97e56d99c10b8ab, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x7e1d7b4f257ee686, 0x000000000003e4c5,
};

// m1284_swio13_lednop_pr_ee_u4      m1284p_swio13_lednop_pr_ee        m1284p_swio13_lednop_pr_ee_u4
static const uint64_t ur_m1284_swio13_lednop_pr_ee[] = {
  0x2f777776890c1107, 0xd5cb4b1ea7646b1e, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229113c5,
  0x64eea722af323bf7, 0xffec2f9fe9f9827c, 0x7a6ab5a37f076757, 0xf06cc184ff51e56a, 0xad08a1df15caef51,
  0x9afa30b2c4522cd3, 0x3ab4b94b5c6b2690, 0xebce9de132918287, 0x44be47916c6ab5d0, 0xb86f65b2e62e1211,
  0x00a0ff48a8d823f5, 0x761cf566d7972ab5, 0xa9bece75152a8d76, 0x9ae0404e576a96fa, 0xf2a1495c925fd10a,
  0x1e6c9aeb9ed5688a, 0x42aea905ca5af9d0, 0xbce31bc67440b9ba, 0x85c55bd8aaa2d3ae, 0x7c252d4bf2b6cce0,
  0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x04eb9ac16bda792b,
};

// m1284_swio13_lednop_pr_ce_u4      m1284p_swio13_lednop_pr_ce        m1284p_swio13_lednop_pr_ce_u4
static const uint64_t ur_m1284_swio13_lednop_pr_ce[] = {
  0x09bbbbbb44864aa4, 0xad72d2c1c1420ac5, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1bb422,
  0x27c64eea4cb1789d, 0x0e0ffec2f9fa1f98, 0xb9d93a037f58f63b, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x27d243892064f7a8, 0x1447191cc580abec, 0x0ffd99e3af47d784,
  0x2e0796b764511550, 0x73d59b5e5caad4a4, 0xfb39d454aa35d9d8, 0x8101395daa5beaa6, 0x852572497f442a6b,
  0xb26bae7b55a22bca, 0xbaa417296be74079, 0x8c6f19d102e6e90a, 0xc76f62aa8b4ebaf3, 0x296a5f95b667042c,
  0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0xd17f81fbf619a3ec,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x5ff34f5ed3c95fb9, 0x0000000000000037,
};

// m1284_swio13_lednop_pr_ee_ce_u4   m1284p_swio13_lednop_pr_ee_ce     m1284p_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m1284_swio13_lednop_pr_ee_ce[] = {
  0x2d1bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522ad0,
  0x93bbb36d3c5a87e3, 0xff617cfb37e609f1, 0x81bfaa31ac3b2f0f, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x067afa8f2b28729d, 0x814c57813d47c1b3, 0xc2cb1148b34eb422,
  0xd5db8a58ea426be8, 0x5e74ef09948c1439, 0x4be47916c6abc6c7, 0x86f65b2e62e12114, 0x6707fa4546c11323,
  0xb0e7ab36bcb955a9, 0x4df673a8a9546bb3, 0xd7020272bb54b7d5, 0x950a4ae492fe8854, 0xf364d75cf6ab4457,
  0x1575482e52d7ce80, 0xe718de33a205cdd2, 0x598edec555169d75, 0xc252d4bf2b6cce08, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x27e6f256bda792bf,
};

// m1284p_swio13_lednop_ee_hw
static const uint64_t ur_m1284_swio13_lednop_ee_hw[] = {
  0x8bdddddda28d0582, 0xb572d2c7a9d91ac7, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a444f1,
  0x4f8c9dd3b410f4b5, 0x757ff958b3fd3f30, 0x56a7a6ab5a37f076, 0xf51f06cc184ff51e, 0xcd3ad08a1df15cae,
  0x6909afa30b2c4522, 0x2873ab4b94b5c6b2, 0x5d0ebce9de132918, 0x21144be47916c6ab, 0x3f5b86f65b2e62e1,
  0xab500a0ff48a8d82, 0xd76761cf566d7972, 0x6faa9bece75152a8, 0x10a9ae0404e576a9, 0x88af2a1495c925fd,
  0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af, 0x3aebce31bc67440b, 0xce085c55bd8aaa2d, 0xc377c252d4bf2b6c,
  0xa1854895a82ecf0c, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0xe8a792bf734332c3, 0x0000000002df1a41,
};

// m1284_swio13_lednop_ee_ce_u4_hw   m1284p_swio13_lednop_ee_ce_hw     m1284p_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m1284_swio13_lednop_ee_ce_hw[] = {
  0xa37777768a34306a, 0x3ee5a58844375585, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a455a14,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x3037f546358765e1, 0x1e79c216fc873bbc, 0xe12fc4361227b2ce,
  0x3870b233d7fa8f09, 0x6b1d3df367b70911, 0xc19ebea3caca1ca7, 0xa05315e04f51f06c, 0x30b2c4522cd3ad08,
  0x7576e2963a909afa, 0xd79d3bc26523050e, 0x12f91e45b1aaf1b1, 0xe1bd96cb98b84845, 0x59c1fe9151b044c8,
  0xec39eacdaf2e556a, 0x537d9cea2a551aec, 0x35c0809caed52df5, 0xe54292b924bfa215, 0x3cd935d73daad115,
  0x855d520b94b5f3a0, 0x79c6378ce8817374, 0x1663b7b15545a75d, 0xf094b52fcadb3382, 0x52256a0bb3c330dd,
  0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x00000280b3000a29,
};

/*
 * m1284_swio13_dual_pr              m1284_swio13_dual_pr_u4           m1284p_swio13_dual
 * m1284p_swio13_dual_pr             m1284p_swio13_dual_pr_u4
 */
static const uint64_t ur_m1284_swio13_dual[] = {
  0xc1dddddda243359b, 0x245d327b6ec5f77a, 0x3b6abec4a33b2210, 0x1a6244b116a6c5b7, 0x45e55ff6b7560d33,
  0x9dc878661426daeb, 0x8348ea74c13e3241, 0xa6fc0d88b782c877, 0x129dd3e251850c85, 0x297c5d82fe6584a0,
  0xe9bd4774bb038670, 0x5c5e8524482481fe, 0xc4aff3f7c117e53e, 0x1f2e5a03770f8510, 0x97177f25f2f973f2,
  0xc910cbfe420b486f, 0xcf09ad68a8432d08, 0xe579096dd4f7fd01, 0xd895bff950660b0d, 0x3fea3edf3be59ef1,
  0x34877f2921c49038, 0xa847109cc580aa0f, 0x1ffb30475e00d787, 0x281e59edfc83e2a0, 0x59fc55f3bb8a92fb,
  0x6761cf566d7972ab, 0xaa9bece75152a8d7, 0xa9ae0404e576a96f, 0xaf2a1495c925fd10, 0x01e6c9aeb9ed5688,
  0xa42aea905ca5af9d, 0xebce31bc67440b9b, 0x085c55bd8aaa2d3a, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x00524de6debda792,
};

// m1284p_swio13_dual_pr_ee
static const uint64_t ur_m1284_swio13_dual_pr_ee[] = {
  0x7b62ddddddd432db, 0x62522e993c29c2f7, 0x66d36c1021fda667, 0x391d9d626f66e8bf, 0x2d0513ea1b456c4d,
  0xc8e08ab07866743f, 0x213cbcc13e3265dd, 0xf03622de0b21de0d, 0x774f89461432169b, 0x7170d1f99612804a,
  0xd47e9fd858f9c3fe, 0xd0a48904903eaf9b, 0xfe7ef822fca7cb8b, 0x20e06ee1f0a21895, 0xbf92f97cb9f90f97,
  0x65ff2105a437cb8b, 0xa448a8432d08f688, 0x12dba6dffd01cf09, 0xfff2a0cc161bcaf2, 0xb4d56b46bec7650f,
  0xf06cc1f75ea3caf2, 0xad08a1df15dbaf51, 0x9afa30b2c4522cd3, 0xead2ec157082e690, 0x7b58af0c7b47389c,
  0x2008d6bd8d56ba1d, 0x86f65c7c62e12114, 0xe77715255c3dff5b, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e,
  0x09caed52df5537d9, 0x2b924bfa21535c08, 0x5d73daad115e5429, 0x20b94b5f3a03cd93, 0x78ce8817374855d5,
  0x7b15545a75d79c63, 0xa97e56d99c10b8ab, 0x09f71e1986ef84a5, 0xcdfc1ddc68b3dfe2, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x8535ed3c95fb9a19, 0x0000000000032143,
};

// m1284p_swio13_dual_pr_ee_u4
static const uint64_t ur_m1284_swio13_dual_pr_ee_u4[] = {
  0xb7777768a87fb202, 0x8ba64f0a69edde75, 0xbd7b2c49c8a51ba4, 0xd95ee30faabf7eaf, 0xb8d4368a75905589,
  0x8c5a3fc1cac10672, 0x04f8c9b8372feb74, 0x782c87783483e7d3, 0x1850c85a6fc0d88b, 0xccb094c049dd3e25,
  0x601a0e1a6b8bbfcf, 0x09207d3f37a8fff3, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xf973f21f2185c0dd,
  0x0b486f97177f25f2, 0x865a0bed10cbfe42, 0x7ff4073c260f7150, 0x30586f2bc84b6f6b, 0x37263b2c7ffe9e87,
  0x7bf51e57a6e6ab5a, 0xf15c72f51f06cc1c, 0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xafb47d41cead2f2b,
  0x96355ae875ea26f0, 0x598b84845013d1fc, 0x546c11fadc37b2fa, 0xf3bb8a92804f78df, 0x566d7972ab59fc55,
  0xe75152a8d76761cf, 0x04e576a96faa9bec, 0x95c925fd10a9ae04, 0xaeb9ed5688af2a14, 0x905ca5af9d01e6c9,
  0xbc67440b9ba42aea, 0xbd8aaa2d3aebce31, 0xd4bf2b6cce085c55, 0x40bd8f0cc377c252, 0xcdfc1a3f8d167bfc,
  0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x9f320d3c95fb9a19, 0x000000000002b246,
};

// m1284p_swio13_dual_pr_ce
static const uint64_t ur_m1284_swio13_dual_pr_ce[] = {
  0x9baddddddd435032, 0x4522e9932e35c777, 0xe17bee0eb00ab822, 0x5ac17ac1651f2c5a, 0x6137b363afba6ea0,
  0x71dcaaf6d1febdf7, 0xf0690ba2cc13e325, 0xb4df81b116f0590e, 0x0253ba7c4a30a190, 0x757f17a1ffccb094,
  0xd4dea3c72d81c138, 0x2e2f4292241240ed, 0x6257f9fbe08bf29f, 0x1f230081bb87c288, 0x97177f25f2f973f2,
  0xd510cbfe420b486f, 0xcf098148a8432d03, 0xe579096dc2d7fd01, 0xd9b3bff950660b0d, 0x6e771580577d7ba1,
  0xde1f2d7e79c216de, 0xea5cd02bb84889c3, 0x622fa8f224f72cf6, 0x80bf3a3dd2438920, 0x00d787a847109cc5,
  0x83e2a01ffb33c75e, 0xe2a4beca0796b77c, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x5daa5beaa6fb39d4,
  0x497f442a6b810139, 0x7b55a22bca852572, 0x296be74079b26bae, 0xd102e6e90abaa417, 0xaa8b4ebaf38c6f19,
  0x95b667042cc76f62, 0xc78661bbe1296a5f, 0x07771a2cf7f8827d, 0x67a615c9fbab337f, 0x494b670e271964b8,
  0x7b4f257ee6866587, 0x0000000073d656ad,
};

// m1284p_swio13_dual_pr_ce_u4
static const uint64_t ur_m1284_swio13_dual_pr_ce_u4[] = {
  0x6eeeeed150ffbf5b, 0x2e993b27683bbced, 0xe66e3524c374ccd2, 0x4e207c8435ade3fe, 0x69e4d7dd3b402b27,
  0x9bd60138290177d7, 0x8f5cc13e32448dc9, 0x3622de0b21de0d20, 0x4f89461432169bf0, 0xfa6bf32c25301277,
  0x7b1fd87fc38068e2, 0xa48904903a1f9bd4, 0x7ef822fca7cb8bd0, 0xe06ee1f0a21895fe, 0x92f97cb9f90f92ba,
  0xff2105a437cb8bbf, 0xfc54219683f88865, 0xdbcedffd01cf09b6, 0xa7a1cc161bcaf212, 0xc0dfd4a28ece9fff,
  0xf3ce10b7f00cecc7, 0x097e21b0913d9670, 0xc3baa3541fd4784f, 0xdf5d4b9b3db84889, 0x920622fa8f224f72,
  0xcc580bf3a3dd2438, 0x75e00d787a847109, 0x77c83e2a01ffb33c, 0xceee2a4beca0796b, 0x59b5e5caad67f157,
  0x9d454aa35d9d873d, 0x1395daa5beaa6fb3, 0x572497f442a6b810, 0xbae7b55a22bca852, 0x417296be74079b26,
  0xf19d102e6e90abaa, 0xf62aa8b4ebaf38c6, 0xa5f95b667042cc76, 0x05ec78661bbe1296, 0x6fe0d1fc68b3dfe2,
  0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xc59069e4afdcd0cc, 0x000000000034922a,
};

// m1284_swio13_dual_pr_ee_ce_u4     m1284p_swio13_dual_pr_ee_ce       m1284p_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_swio13_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0xe9935362cdeef403, 0x7c0fb66f3ed3ed22, 0x653c1666f4d48efd, 0x80a7201b9d1abbbd,
  0x61566d4e9aeae430, 0xecab92117de9d74d, 0xf06917aa49827c64, 0xb4df81b116f0590e, 0x8093ba7c4a30a190,
  0x951c5da0ff996129, 0xcdea3dc8ec0928e1, 0x8bd0a4890490366f, 0x95fe7ef822fca7cb, 0x2392606ee1f0a218,
  0x177f25f2f973f21f, 0x10cbfe420b486f97, 0x26d9d150865a04e9, 0xc84b6ea49ff4073c, 0xa3fe9e8730586f2b,
  0x5401bfaa30b43b12, 0xe1e79c216fe019da, 0x9e12fc4361227b2c, 0x387de7d0f27fa8f0, 0x6b1d4dd367b70911,
  0xc1995ea3caf7dca7, 0xa05315ecef51f06c, 0x30b2c4522cd3ad08, 0x7576e95c3a909afa, 0xaf5137857da3ea0e,
  0x013d1fc96355e363, 0xc37b2fa598b84845, 0xb37bc6faa3608991, 0x5acfe2af9ddc5494, 0xbb3b0e7ab36bcb95,
  0x7d54df673a8a9546, 0x854d7020272bb54b, 0x457950a4ae492fe8, 0xe80f364d75cf6ab4, 0xdd21575482e52d7c,
  0xd75e718de33a205c, 0xe08598edec555169, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x4ad4eaccdfc1a3f8,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x004003087f20d3c9,
};

// m1284p_swio13_dual_ee_hw
static const uint64_t ur_m1284_swio13_dual_ee_hw[] = {
  0xb6eeeeed14683202, 0x9174c9e14d3dbbce, 0xf7af65893914a374, 0x3b2bdc61f557efd5, 0x571a86d14eb20ab1,
  0x741f5f7a6b5820ce, 0x7d304f8c9b83721a, 0x88b782c87783483e, 0xe251850c85a6fc0d, 0xfe7e6584a7419dd3,
  0xff9b00d070d35c5d, 0x48904903e9f9bd47, 0xef822fca7cb8bd0a, 0x06ee1f0a21895fe7, 0x2f97cb9f90f90c2e,
  0xf2105a437cb8bbf9, 0x8a8432d05f68865f, 0x7b5bffa039e1307b, 0x46e982c3795e425b, 0x5ad1b931d963ffed,
  0x60e3dfa8f2bd3735, 0x50ef8ae397a8f836, 0x185962291669d684, 0x795cb8a973484d7d, 0x37857da3ea0e7569,
  0x8fe4b1aad743af51, 0x97d2cc5c2422809e, 0xc6faa3608fd6e1bd, 0xe2af9ddc5494027b, 0x0e7ab36bcb955acf,
  0xdf673a8a9546bb3b, 0x7020272bb54b7d54, 0x50a4ae492fe8854d, 0x364d75cf6ab44579, 0x575482e52d7ce80f,
  0x718de33a205cdd21, 0xe2adec555169d75e, 0x1296a5f95b667042, 0x44ad417678661bbe, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000057697549453c,
};

// m1284_swio13_dual_ee_ce_u4_hw     m1284p_swio13_dual_ee_ce_hw       m1284p_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_swio13_dual_ee_ce_hw[] = {
  0x3bbbbbb451a0746e, 0x2e9935362cdeef40, 0xd7c0fb66f3ed3ed2, 0xd653c1666f4d48ef, 0x080a7201b9d1abbb,
  0x3f748514e9aeae43, 0x3e327655c82da4ae, 0x2c8778348bd524c1, 0x50c85a6fc0d88b78, 0x584a7419dd3e2518,
  0x4a38654717683fe6, 0x0d9bf37a8f723b02, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0xfc87c8e4981bb87c,
  0x1be5c5dfc97cbe5c, 0x813a4432ff9082d2, 0x01cf09b674542196, 0x1bcaf212dba927fd, 0x0ec4a8ff6a374c16,
  0x0e7695006fea8c2d, 0x4f659c3cf3842df9, 0xf51e13c25f886c24, 0xdc2444e1de0188c7, 0xdf729dac75374d9e,
  0x47c1b306657a8f2b, 0x4eb422814c57b3bd, 0x426be8c2cb1148b3, 0x8fa839d5dba570ea, 0x578d8ebd44de15f6,
  0xe1211404f47f258d, 0x8226470decbe9662, 0x715252cdef1bea8d, 0xaf2e556b3f8abe77, 0x2a551aecec39eacd,
  0xaed52df5537d9cea, 0x24bfa21535c0809c, 0x3daad115e54292b9, 0x94b5f3a03cd935d7, 0xe8817374855d520b,
  0x5545a75d79c6378c, 0xcadb33821663b7b1, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x63b90a29e4afdcd0, 0x000000000000075d,
};

// m1284p_swio14_noled
static const uint64_t ur_m1284_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x1b7b00244cf74192, 0x3c1984d49bbbf56d, 0x350418ebe84dd220,
  0xfc9827c64eec2f5a, 0xd00ec32bfd61de7d, 0x40ebffa8e989df2d, 0xb7ba6ea1efa48712, 0xd786d6464f1cc580,
  0xb39edc72c608ebc5, 0x61cf566d7972ab52, 0xbeace75152a8d767, 0xd10a9ace9b95daa5, 0xb4457950a4ad8fdf,
  0x2953e9de7eb5cf6a, 0x844c2f4835f5380b, 0x9d10363fc5021695, 0xa97e56d99d38c6f1, 0xf3fb1e1986ef84a5,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0x54838b4cc59e4afd, 0x0000000000000000,
};

// m1284_swio14_noled_pr_u4          m1284p_swio14_noled_pr            m1284p_swio14_noled_pr_u4
static const uint64_t ur_m1284_swio14_noled_pr[] = {
  0xa4dddddda2432f02, 0xd6b9696215a00ac6, 0xd4f71da1c489910c, 0x1e42e2499b11327a, 0x70bea197bddd4911,
  0xf193bb1c605e2f66, 0x7bffd85f3f01a609, 0xd47050ef96dec760, 0xfc3d6921c490326b, 0x1188a731602cb299,
  0xff6608ebd1f5e1f9, 0x03cb3dbdefa05403, 0x7ab36bcb955ac0ad, 0x673a8a9546bb3b0e, 0x54d674dcaed52df5,
  0x2bca85256c7efe88, 0x4ef00febae7b55a2, 0x57a4185d4d8a53c3, 0x52179c6378ce8817, 0x672ec8ab7b15545a,
  0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000f937566f5ed3,
};

// m1284_swio14_noled_pr_ee_u4       m1284p_swio14_noled_pr_ee         m1284p_swio14_noled_pr_ee_u4
static const uint64_t ur_m1284_swio14_noled_pr_ee[] = {
  0x09bbbbbb448624d6, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x64eefdaebb4669f6, 0x7fec2f9feaf9827c, 0xd66ab5a331e3b239, 0xf83660fa8f51e565, 0xd68450ef8ad82fa8,
  0x4d7d185962291669, 0x9d5a5dd2ae359348, 0xebce9de109e8fe43, 0x519223deec6ab5d0, 0x6e1bd96cb98b8484,
  0x80570d67aa3608fd, 0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0xfe8854d674dcaed5, 0x55a22bca85256c7e,
  0x53c34ef00febae7b, 0x881757a4185d4d8a, 0x545a52179c6378ce, 0x95b6672ec8ab7b15, 0xc78661bbe1296a5f,
  0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0x5ed3c95fb9a19961, 0x00000000275fbe0b,
};

// m1284_swio14_noled_pr_ce_u4       m1284p_swio14_noled_pr_ce         m1284p_swio14_noled_pr_ce_u4
static const uint64_t ur_m1284_swio14_noled_pr_ce[] = {
  0x367eeeeeed121911, 0x6ad72d2c1c1469d6, 0x1fa47f4d28c1ae6d, 0x3d22e1fad0fd833b, 0x1b2c5515eb921bbb,
  0x6609f193baaf99f4, 0xc766ceffd85f3e70, 0x6f373b8ac06fea1e, 0x0913d9670f3ce10b, 0x07fd4784f097e21b,
  0x6cf6e122270f950d, 0xfa8ebe4f72df5eb2, 0x1ed00a4871240d67, 0x787e446229cc580b, 0x1500ffd99e3af47d,
  0xac0ad03cb5bb7be8, 0xb3b0e7ab36bcb955, 0x52df5673a8a9546b, 0xefe8854d674dcaed, 0xb55a22bca85256c7,
  0xa53c34ef00febae7, 0xe881757a4185d4d8, 0x5545a52179c6378c, 0xf2b6cce5d863b7b1, 0xd8f0cc377c252d4b,
  0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0xebda792bf734332c, 0x0000000006ebbe49,
};

// m1284_swio14_noled_pr_ee_ce_u4    m1284p_swio14_noled_pr_ee_ce      m1284p_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m1284_swio14_noled_pr_ee_ce[] = {
  0x15bbbbbb44861a4e, 0x1f72d2c422589ac6, 0xbd6d69d0ccadc2ff, 0x3636cd889d704d2e, 0x7333582d829170a5,
  0x9dd4d770b499ee0a, 0xfd85f3f787304f8c, 0x06fea8e390ecc6ef, 0xe79c216de6e778dc, 0x12fc4361227b2ce1,
  0x0f7251d7dfa8f09e, 0x63a7be6cf6e12227, 0x3d2bd4795c8794ed, 0x0a62b297ea3e0d98, 0x16588a459a75a114,
  0xaedce94752135f46, 0xe74ef084f47f21ce, 0x9223deec6abc6c75, 0x1bd96cb98b848451, 0x3b86b3d51b044c8e,
  0x873d59b5e5caad4b, 0xfab39d454aa35d9d, 0x442a6b3a6e576a96, 0xd115e54292b63f7f, 0xe1a77807f5d73daa,
  0x0babd20c2ea6c529, 0x2d290bce31bc6744, 0xb6672ec31dbd8aaa, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0xd3c95fb9a19961d2, 0x00000009f832735e,
};

// m1284p_swio14_noled_ee_hw
static const uint64_t ur_m1284_swio14_noled_ee_hw[] = {
  0x09bbbbbb451a3705, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x3e32776c36cad498, 0x8e5fe562cff57cc1, 0x59759aad68cc78ec, 0xea3e0d983ea3d479, 0x9a75a1143be2b60b,
  0xd2135f4616588a45, 0x90e7569774ab8d64, 0x743af3a778427a3f, 0x21146488f7bb1aad, 0x3f5b86f65b2e62e1,
  0x56a015c359ea8d82, 0xaecec39eacdaf2e5, 0xb54b7d59cea2a551, 0x1fbfa215359d372b, 0x9ed5688af2a1495b,
  0x6294f0d3bc03faeb, 0x33a205d5e9061753, 0xc555169485e718de, 0x97e56d99cbb22ade, 0x05d9e1986ef84a5a,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x5be33c9d14f257ee, 0x0000000000000000,
};

// m1284_swio14_noled_ee_ce_u4_hw    m1284p_swio14_noled_ee_ce_hw      m1284p_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m1284_swio14_noled_ee_ce_hw[] = {
  0x2b7777768a345f41, 0x3ee5a58844b1358c, 0x7adad3a1995b85fe, 0x6c6d9b113ae09a5d, 0xe666b05b0522e14a,
  0x8c9dda2feef6b894, 0x77f958b3f787304f, 0x6e037f5471c87663, 0xe1e79c216fc873bc, 0x9e12fc4361227b2c,
  0x270e30bbb77fa8f0, 0xed63a7be6cf6e122, 0x983d2bd4795c8794, 0x140a62b297ea3e0d, 0x4616588a459a75a1,
  0xceaedce94752135f, 0x75e74ef084f47f21, 0x519223deec6abc6c, 0x8e1bd96cb98b8484, 0x4b3b86b3d51b044c,
  0x9d873d59b5e5caad, 0x96fab39d454aa35d, 0x7f442a6b3a6e576a, 0xaad115e54292b63f, 0x29e1a77807f5d73d,
  0x440babd20c2ea6c5, 0xaa2d290bce31bc67, 0x95b6672ec31dbd8a, 0x678661bbe1296a5f, 0x7bde50c2a44ad417,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x2cf27453c95fb9a1,
  0x0000000000000501,
};

// m1284p_swio14_lednop
static const uint64_t ur_m1284_swio14_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xd2e3b50fc2f41419, 0x03c1984d49a914da, 0x69b1b6fd2f8bdd22,
  0xf7304f8c9ddb1ec8, 0x807647bff58779f5, 0x075ffd47f90ef96e, 0xbdd348910d243892, 0xbc3bda3e80e62c05,
  0x167ee39630475e2e, 0x1cf566d7972ab52b, 0xeace75152a8d7676, 0xae0404e9b95daa5b, 0x950a4ae5f63d10a9,
  0xb9d01e5cf6ab4457, 0x085200bd4b5e5380, 0x09cfa2810b495214, 0x95b6674e31bc6744, 0xc78661bbe1296a5f,
  0xb25c33d30ae4fcfe, 0x32c3a4a5b387138c, 0x5b93316792bf7343, 0x0000000000000152,
};

// m1284_swio14_lednop_pr_u4         m1284p_swio14_lednop_pr           m1284p_swio14_lednop_pr_u4
static const uint64_t ur_m1284_swio14_lednop_pr[] = {
  0x49bbbbbb4486fc3b, 0x5ae5a58856f1f58d, 0x93d537ebfc2e4433, 0x3c85c4c004cd22ed, 0x9a9c2f1afbba9222,
  0xe32776e09ba86653, 0xf9ffb0be7ca2cc13, 0xd47400ef96dec763, 0x4a912921c490326b, 0x4637ce62c0596535,
  0xfd9823af47d7866e, 0x0f2cf6e32b59500f, 0xab36bcb955a9f544, 0x73a8a9546bb3b0e7, 0x20274dcaed52df56,
  0x52572fb1e8854d70, 0x26bae7b55a22bca8, 0xaa417296be74079b, 0xc6f19d102e6e90ab, 0x56f62aa8b4ebaf38,
  0xa5a97e56d99dd3d1, 0xf8817b1e1986ef84, 0xab337f07771a2cf7, 0xe1ef79430a912b53, 0x9d871fc65f989ffd,
  0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0x72668d7b4f257ee6, 0x00000000000001f2,
};

// m1284_swio14_lednop_pr_ee_u4      m1284p_swio14_lednop_pr_ee        m1284p_swio14_lednop_pr_ee_u4
static const uint64_t ur_m1284_swio14_lednop_pr_ee[] = {
  0x09bbbbbb4486a4d6, 0xb572d2c7a9d45ac5, 0xb4cf7c8c01e97c49, 0xf2299c7debb4b537, 0x71b452b645222508,
  0xc9dd39d9f7938abd, 0x7fec2f9f0b5304f8, 0x166ab5a331e3b09d, 0xf83660fa8f51e56c, 0xd68450ef8af2b7a8,
  0x4d7d185962291669, 0x9d5a5cbaae359348, 0xebce9de1dbe8e6e3, 0x500a238cac6ab5d0, 0x6e1bd96cb98b8484,
  0xa016f7d02a3608fd, 0xcec39eacdaf2e556, 0x4b7d59cea2a551ae, 0x1535c0809d372bb5, 0x8af2a1495cbec7a2,
  0xd01e6c9aeb9ed568, 0xba42aea905ca5af9, 0xaebce31bc67440b9, 0x774f455bd8aaa2d3, 0x1bbe1296a5f95b66,
  0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000275ff24f5ed3c,
};

// m1284_swio14_lednop_pr_ce_u4      m1284p_swio14_lednop_pr_ce        m1284p_swio14_lednop_pr_ce_u4
static const uint64_t ur_m1284_swio14_lednop_pr_ce[] = {
  0x9fbbbbbb4486b044, 0xb5cb4b0705a0b58d, 0xfd3d313b6dd79b5a, 0x8b87eb41a67ede9e, 0x8b91fa8ac86eecf4,
  0x9f193bbb293ed1dd, 0x0d6ffd85f3e96a60, 0x73b38206fea1ec76, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0x6e122270ea49cdff, 0xe5f4f72df5eb26cf, 0x51490e2481acff51, 0xb918df398b016037, 0x3ff6678ebd1f5e19,
  0x440f2d6e8cad6540, 0xe7ab36bcb955a9f5, 0x5673a8a9546bb3b0, 0x7020274dcaed52df, 0xa852572fb1e8854d,
  0x9b26bae7b55a22bc, 0xabaa417296be7407, 0x38c6f19d102e6e90, 0x8c76f62aa8b4ebaf, 0x094b52fcadb33ba7,
  0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xdd700adaf69e4afd,
};

// m1284_swio14_lednop_pr_ee_ce_u4   m1284p_swio14_lednop_pr_ee_ce     m1284p_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m1284_swio14_lednop_pr_ee_ce[] = {
  0x0adddddda24343ee, 0x8fb9696211037563, 0x4056b621a78be17f, 0x9b1b66c58989c627, 0x58a74716c148b852,
  0x9ddaefc89086d3cf, 0xfd85f3ecf9304f8c, 0x06fea8e390ec35bf, 0xe79c216de6e766b6, 0x12fc4361227b2ce1,
  0x0f118a71ffa8f09e, 0x63a7be6cf6e12227, 0x3d2bd479594b94ed, 0x0a62b53dea3e0d98, 0x16588a459a75a114,
  0xaedc5d4752135f46, 0xe74ef0edf47371ce, 0x0a238cac6abc6c75, 0x1bd96cb98b848450, 0xcf7be8151b044c8e,
  0x61cf566d7972ab52, 0xbeace75152a8d767, 0x9ae0404e9b95daa5, 0x7950a4ae5f63d10a, 0x0f364d75cf6ab445,
  0x21575482e52d7ce8, 0x5e718de33a205cdd, 0x4f18edec555169d7, 0xbe1296a5f95b6677, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x013f01e4f5ed3c95,
};

// m1284p_swio14_lednop_ee_hw
static const uint64_t ur_m1284_swio14_lednop_ee_hw[] = {
  0x84dddddda28d0044, 0xdab96963d4ea2d62, 0xda67be4600f4be24, 0x7914ce3ef5da5a9b, 0xb8da295b22911284,
  0x3e3277505272d086, 0x13aff2b167c2d4c1, 0xad82cd56b4663c76, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15e56,
  0x6909afa30b2c4522, 0xdc73ab4b9755c6b2, 0xba1d79d3bc3b7d1c, 0x908a014471958d56, 0x1fadc37b2d973170,
  0xaad402defa0546c1, 0x35d9d873d59b5e5c, 0x76a96fab39d454aa, 0xf442a6b81013a6e5, 0xad115e54292b97d8,
  0x5f3a03cd935d73da, 0x17374855d520b94b, 0x5a75d79c6378ce88, 0x6ccee9e8ab7b1554, 0x0cc377c252d4bf2b,
  0xbca1854895a82ecf, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x9a28a792bf734332, 0x0000000000016f91,
};

// m1284_swio14_lednop_ee_ce_u4_hw   m1284p_swio14_lednop_ee_ce_hw     m1284p_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m1284_swio14_lednop_ee_ce_hw[] = {
  0x2b7777768a346d3a, 0x3ee5a588440dd58c, 0x015ad8869e2f85fe, 0x6c6d9b162627189d, 0x629d1c5b0522e14a,
  0x193bb73b66f7263d, 0xbff2b167d9f2609f, 0xb606fea8e390ec35, 0xc3cf3842df90e766, 0x3c25f886c244f659,
  0x270eb82e1fff51e1, 0xed63a7be6cf6e122, 0x983d2bd479594b94, 0x140a62b53dea3e0d, 0x4616588a459a75a1,
  0xceaedc5d4752135f, 0x75e74ef0edf47371, 0x500a238cac6abc6c, 0x8e1bd96cb98b8484, 0x52cf7be8151b044c,
  0x6761cf566d7972ab, 0xa5beace75152a8d7, 0x0a9ae0404e9b95da, 0x457950a4ae5f63d1, 0xe80f364d75cf6ab4,
  0xdd21575482e52d7c, 0xd75e718de33a205c, 0x774f18edec555169, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d,
  0x00000000501107dd,
};

/*
 * m1284_swio14_dual_pr              m1284_swio14_dual_pr_u4           m1284p_swio14_dual
 * m1284p_swio14_dual_pr             m1284p_swio14_dual_pr_u4
 */
static const uint64_t ur_m1284_swio14_dual[] = {
  0x91dddddda2431f02, 0x245d327b6d3ef77f, 0xb5b738c8dc1b2210, 0x634e38b3e08602b6, 0x075f3ee716ef91a6,
  0x9dc94622cda10985, 0x069030bcc13e3241, 0x4df81b116f0590ef, 0x253ba7c4a30a190b, 0x52f8bb05fccb0940,
  0xd37a8ee976070ce0, 0xb8bd0a48904903fd, 0x895fe7ef822fca7c, 0x3e530c06ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x922197fc841690df, 0x9e135ad150865a11, 0xcaf212dbb05ffa03, 0xb1c9fff2a0cc161b, 0xefd47ee8ef965ae3,
  0x674a63e921c4903d, 0xea8d31398b01541e, 0x3ff6608ebc01af09, 0x607967b710e45540, 0xcfe2af9ddc5495c4,
  0x3b0e7ab36bcb955a, 0x2df5673a8a9546bb, 0x54d7020274dcaed5, 0x2bca852572fb1e88, 0x4079b26bae7b55a2,
  0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0xdd3d156f62aa8b4e, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x000a49ed7bd7b4f2,
};

// m1284p_swio14_dual_pr_ee
static const uint64_t ur_m1284_swio14_dual_pr_ee[] = {
  0xde76b77777750c86, 0x1ba48ba64f0ac89d, 0x7337bf5767c738a5, 0x15627ed38593773b, 0xd07e77750da29da4,
  0xb97763763c173166, 0xa479eb9827c64dc1, 0x7e06c45bc1643bc1, 0x4ee9f128c28642d3, 0xae2eff3f32c25009,
  0xdea3ffcd80683869, 0x5e8524482481f4fc, 0xaff3f7c117e53e5c, 0x5e7203770f8510c4, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x4c1ee2a10cb417da, 0xc84b6eff3fe80e78, 0x3fffca8330586f2b, 0xb75355ad1fee1d86,
  0x8f83660c3dfa8f2b, 0x9d68450ef8ae2b7a, 0x84d7d18596229166, 0xe75697cacb8a9734, 0x3af51378603233d4,
  0x147508e21b1aad74, 0xb70decbe9662e121, 0x4025af07d51b047e, 0x55acfe2af9ddc549, 0x6bb3b0e7ab36bcb9,
  0xed52df5673a8a954, 0xe8854d7020274dca, 0x5a22bca852572fb1, 0xbe74079b26bae7b5, 0x2e6e90abaa417296,
  0xb4ebaf38c6f19d10, 0xd99dd3d156f62aa8, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000006429a735ed,
};

// m1284p_swio14_dual_pr_ee_u4
static const uint64_t ur_m1284_swio14_dual_pr_ee_u4[] = {
  0xb7777768a87f2906, 0x8ba64f0ac89dde76, 0xbf5767c738a51ba4, 0x7ed38593773b7337, 0x77750da29da41562,
  0x9016f0548c66d07e, 0x5cc13e326e0dc8af, 0x22de0b21de0d23cf, 0x89461432169bf036, 0xf3f32c253012774f,
  0xfcd80683869ae2ef, 0x4482481f4fcdea3f, 0x7c117e53e5c5e852, 0x3770f8510c4aff3f, 0xbe5f2e7e43e5e720,
  0xc841690df2e2efe4, 0x2a10cb417da2197f, 0xeff3fe80e784c1ee, 0xe8730586f2bc84b6, 0xb5a3fdc3b0c7ffe9,
  0xc187bf51e576ea6a, 0xa1df15c56f51f06c, 0x30b2c4522cd3ad08, 0xf9597152e6909afa, 0x6f0c06467a9cead2,
  0x1c436355ae875ea2, 0x97d2cc5c24228ea1, 0xe0faa3608fd6e1bd, 0xc55f3bb8a92804b5, 0x1cf566d7972ab59f,
  0xeace75152a8d7676, 0xae0404e9b95daa5b, 0x950a4ae5f63d10a9, 0xf364d75cf6ab4457, 0x1575482e52d7ce80,
  0xe718de33a205cdd2, 0x7a2adec555169d75, 0xf094b52fcadb33ba, 0x9eff102f63c330dd, 0x53ab337f068fe345,
  0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0xac9c668c834f257e, 0x0000000000000000,
};

// m1284p_swio14_dual_pr_ce
static const uint64_t ur_m1284_swio14_dual_pr_ce[] = {
  0xccf7777775050c86, 0x8a45d3265c7bbdde, 0x1f6b858f6b0d7044, 0xac176489f55ecfb4, 0x8435dfbf7bacce05,
  0x3b97763767d5f98a, 0x0d23b8f9827c64ae, 0x9bf03622de0b21de, 0x4a774f8946143216, 0xafe2f43ff9961280,
  0x9bd478e5b038270e, 0xc5e8524482481dba, 0x4aff3f7c117e53e5, 0xe5cdf03770f8510c, 0xe2efe4be5f2e7e43,
  0xa2197fc841690df2, 0xe13029150865a07a, 0x5e425b7a1fffa039, 0x69bffe541982c379, 0x9dece015df591076,
  0xcba3ff9e7085b79b, 0x2e6815dc2444e1d9, 0xb7a8e13e7b967b75, 0xa9583dd243892076, 0xd784f546989cc580,
  0x2aa01ffb33c75e00, 0x92b88c0f2d6e8872, 0x72ab59fc55f3bb8a, 0xa8d76761cf566d79, 0x95daa5beace75152,
  0x63d10a9ae0404e9b, 0x6ab4457950a4ae5f, 0x2d7ce80f364d75cf, 0x205cdd21575482e5, 0x5169d75e718de33a,
  0x5b66774f18edec55, 0x78661bbe1296a5f9, 0x3bb8d167bfc409c6, 0x1854895a9d599bf8, 0xf9a3ec6761c4e34a,
  0x964b867a615c9f80, 0x66587494b670e271, 0x8f5bd7b4f257ee68, 0x00000000000001a4,
};

// m1284p_swio14_dual_pr_ce_u4
static const uint64_t ur_m1284_swio14_dual_pr_ce_u4[] = {
  0x6eeeeed150fe72df, 0x174c9d93f71bbdb1, 0x78fe5ab651ba6669, 0x57d87d931d6f6c13, 0x32242dbad880564e,
  0x7d72fad2c9580467, 0x927304f8c9123726, 0xd88b782c87783483, 0x3e251850c85a6fc0, 0xe9afccb094c049dd,
  0xec7f61ff0e01a38b, 0x92241240e87e6f51, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e4148,
  0xfc841690df2e2efe, 0xf150865a0fe22197, 0xb7d35ff4073c26db, 0x4f43982c3795e425, 0xc0dfd6a50ec0b5ff,
  0xf3ce10b7f00cefa7, 0x097e21b0913d9670, 0xe1fbac000fd4784f, 0x6faea5cd9edc2444, 0x92076b7a8e13e7b9,
  0xcc580a9583dd2438, 0x75e00d784f546989, 0xe88722aa01ffb33c, 0x3bb8a92b88c0f2d6, 0x66d7972ab59fc55f,
  0x75152a8d76761cf5, 0x04e9b95daa5beace, 0x4ae5f63d10a9ae04, 0xd75cf6ab4457950a, 0x482e52d7ce80f364,
  0xde33a205cdd21575, 0xdec555169d75e718, 0x6a5f95b66774f18e, 0x205ec78661bbe129, 0x66fe0d1fc68b3dfe,
  0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x2c99069e4afdcd0c, 0x000000000006924a,
};

// m1284_swio14_dual_pr_ee_ce_u4     m1284p_swio14_dual_pr_ee_ce       m1284p_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_swio14_dual_pr_ee_ce[] = {
  0xbbbbbb4543fad164, 0xd326a6fcd7ddf55f, 0x8e1f577e7da7da45, 0xec382e3fef3174d4, 0x053aabee746a4d7e,
  0xf7a74674614bc984, 0xcab9654e351640fa, 0x0d2157e19827c64e, 0x9bf03622de0b21de, 0x12774f8946143216,
  0xa38bb41ff32c2530, 0xbd47b91d81251c32, 0x7a1491209206cdf9, 0xbfcfdf045f94f971, 0x9e5c0ddc3e144312,
  0xefe4be5f2e7e43e4, 0x197fc841690df2e2, 0xdb3a2a10cb409d22, 0x12dbb41ffe80e784, 0xffa7a1cc161bcaf2,
  0xc0dfd51d0f8eceb3, 0xf3ce10b7f00cefac, 0x097e21b0913d9670, 0x1dd3a31ebfd4784f, 0xc75374d9edc2444e,
  0xf6ffa8f2b95d29da, 0x298af4dfa8f83660, 0x5962291669d68450, 0xbb76561d484d7d18, 0xa89bc301919ea73a,
  0x508e21b1aaf1b1d7, 0xdecbe9662e121147, 0xad783ea8d8226470, 0x67f157ceee2a4a59, 0x9d873d59b5e5caad,
  0x96fab39d454aa35d, 0x2a6b81013a6e576a, 0x15e54292b97d8f44, 0xa03cd935d73daad1, 0x74855d520b94b5f3,
  0x5d79c6378ce88173, 0xdd3c63b7b15545a7, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x95a9d599bf8347f1,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x0080082ed641a792,
};

// m1284p_swio14_dual_ee_hw
static const uint64_t ur_m1284_swio14_dual_ee_hw[] = {
  0xd6eeeeed1468a0ae, 0x9174c9e15913bbce, 0xf7eaecf8e714a374, 0x4fda70b26ee76e66, 0xceeea1b453b482ac,
  0xd7dfd6f43ebcda0f, 0x9eb9827c64dc1b97, 0x6c45bc1643bc1a47, 0x9f128c28642d37e0, 0xeff3f32c253a0cee,
  0x3ffcd80683869ae2, 0x524482481f4fcdea, 0x3f7c117e53e5c5e8, 0x203770f8510c4aff, 0xe4be5f2e7e43e5e7,
  0x7fc841690df2e2ef, 0xee2a10cb417da219, 0xb6eff3fe80e784c1, 0xda8dd30586f2bc84, 0x6ab5a3fdc3b0c7ff,
  0x6cc187bf51e576ea, 0x08a1df15c56f51f0, 0xfa30b2c4522cd3ad, 0xd2f9597152e6909a, 0xa26f0c06467a9cea,
  0xa11c436355ae875e, 0xbd97d2cc5c24228e, 0xb5e0faa3608fd6e1, 0x9fc55f3bb8a92804, 0x761cf566d7972ab5,
  0x5beace75152a8d76, 0xa9ae0404e9b95daa, 0x57950a4ae5f63d10, 0x80f364d75cf6ab44, 0xd21575482e52d7ce,
  0x75e718de33a205cd, 0xba7a2adec555169d, 0xddf094b52fcadb33, 0x6152256a0bb3c330, 0xcbf313ffbc3def28,
  0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x00000002bb41a7ca,
};

// m1284_swio14_dual_ee_ce_u4_hw     m1284p_swio14_dual_ee_ce_hw       m1284p_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_swio14_dual_ee_ce_hw[] = {
  0xfbbbbbb451a1022f, 0x5d326a6fcd7ddf55, 0x48e1f577e7da7da4, 0xeec382e3fef3174d, 0x4053aabee746a4d7,
  0xf6571e674614bc98, 0xf193b2ae5b4f908b, 0xc877834855f86609, 0x0c85a6fc0d88b782, 0x84a7419dd3e25185,
  0xa38654717683fe65, 0xd9bf37a8f723b024, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xc87c93cb81bb87c2,
  0xbe5c5dfc97cbe5cf, 0x13a4432ff9082d21, 0x1cf09b6745421968, 0x795e425b7683ffd0, 0xd9d67fed46e982c3,
  0x9df5981bfaa3a1f1, 0xd9670f3ce10b7e43, 0x4784f097e21b0913, 0x0911387b928ebefd, 0x74a76b1d4dd367b7,
  0xe0d983dbfea3cae5, 0x5a1140a62bd37ea3, 0x35f4616588a459a7, 0x7a9ceaedd9587521, 0xc6c75ea26f0c0646,
  0x48451d423886c6ab, 0x8991c37b2fa598b8, 0xa92966b5e0faa360, 0x972ab59fc55f3bb8, 0x2a8d76761cf566d7,
  0xb95daa5beace7515, 0xf63d10a9ae0404e9, 0xf6ab4457950a4ae5, 0x52d7ce80f364d75c, 0xa205cdd21575482e,
  0x55169d75e718de33, 0x95b66774f18edec5, 0x678661bbe1296a5f, 0x7bde50c2a44ad417, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x4cf2f453c95fb9a1, 0x0000000000003aeb,
};

// m1284p_swio15_noled
static const uint64_t ur_m1284_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x9e0cc24f76f37bf3, 0x590266c44bdeeb60,
  0x69827c64ee82f413, 0x83b03dffac3bcfc0, 0x1f3dea3c4277cb74, 0xee9827a63490e248, 0xe11151934731602d,
  0x82f71cb1823af175, 0xe7ab36bcb955a959, 0x7673a8a9546bb3b0, 0x54d674dcaed52df5, 0x5e54292ad5fefe88,
  0xfa779fad73daad11, 0x0bd20d7d4e02ca54, 0x0517d14085a56113, 0xcadb33a718de33a2, 0x63c330ddf094b52f,
  0x592e19e985727e7f, 0x9961d252d9c389c6, 0x9c6998b3c95fb9a1, 0x0000000000001526,
};

// m1284_swio15_noled_pr_u4          m1284p_swio15_noled_pr            m1284p_swio15_noled_pr_u4
static const uint64_t ur_m1284_swio15_noled_pr[] = {
  0xddbbbbbb448690e3, 0xb5cb4b10ac5c6b13, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd9ee888,
  0x193ba245999bb0dc, 0xbffd85f3ebee609f, 0x1e5f1df2d07c7647, 0xba8a4871240fa0f5, 0xf7b398b016594d01,
  0xb30475e8faf0e488, 0xcb3db83fd22a01ff, 0xb36bcb955acbb503, 0x3a8a9546bb3b0e7a, 0x674dcaed52df5767,
  0x4292ad5fefe8854d, 0x07f5d73daad115e5, 0x0c2ea6c529e1a778, 0xce31bc67440babd2, 0x8c55bd8aaa2d290b,
  0xf094b52fcadb33b1, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3e4d2b37af69e4af,
};

// m1284_swio15_noled_pr_ee_u4       m1284p_swio15_noled_pr_ee         m1284p_swio15_noled_pr_ee_u4
static const uint64_t ur_m1284_swio15_noled_pr_ee[] = {
  0xf7bbbbbb4486b044, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0x27776527da3bb172, 0xffb0be7d2d4c13e3, 0x5cd56b46fe0ec1ad, 0xe0d98309fea3caca, 0x5a1143be2b53dea3,
  0x35f4616588a459a7, 0x7569790eb8d64d21, 0xd79d3bc32223c90e, 0x42f88e0fd8d56ba1, 0xb86f65b2e62e1211,
  0x8056b13ca8d823f5, 0x3b0e7ab36bcb955a, 0xdf57673a8a9546bb, 0xe8854d674dcaed52, 0xd115e54292ad5fef,
  0xe1a77807f5d73daa, 0x0babd20c2ea6c529, 0x2d290bce31bc6744, 0xdb33b18c55bd8aaa, 0xc330ddf094b52fca,
  0xeee3459eff102f63, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x69e4afdcd0ccb0e9, 0x00000009d700adaf,
};

// m1284_swio15_noled_pr_ce_u4       m1284p_swio15_noled_pr_ce         m1284p_swio15_noled_pr_ce_u4
static const uint64_t ur_m1284_swio15_noled_pr_ce[] = {
  0xc9bbbbbb4486bf3e, 0x5ae5a58382d0bac3, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a375e44,
  0x27c64eece22c5707, 0x915bff617cf93a98, 0xdcee3901bfac7b1d, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xe95490e248193dea, 0xe488f7b398b014c7, 0x01ffb33c75e8faf0,
  0xed40f2d6e83fd22a, 0xc39eacdaf2e556b2, 0xd5d9cea2a551aece, 0x215359d372bb54b7, 0x457950a4ab57fbfa,
  0x69de01fd75cf6ab4, 0xeaf4830ba9b14a78, 0x4a42f38c6f19d102, 0x99d8c4c76f62aa8b, 0x986ef84a5a97e56d,
  0x71a2cf7f8817b1e1, 0xa912b53ab337f077, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x00000dd7ccc5d7b4,
};

// m1284_swio15_noled_pr_ee_ce_u4    m1284p_swio15_noled_pr_ee_ce      m1284p_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m1284_swio15_noled_pr_ee_ce[] = {
  0x21bbbbbb4486bd5b, 0x1f72d2c42240bac1, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522920a,
  0x4eef77ee0e75a094, 0xfec2f9f9869827c6, 0x037f546358767ebf, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x19ebea3cace1ca76, 0x05315943f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e90e3a909afa3, 0x79d3bc32223c90e7, 0x5f11c1fb1aaf1b1d, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3, 0x8854d674dcaed52d, 0x115e54292ad5fefe, 0x1a77807f5d73daad,
  0xbabd20c2ea6c529e, 0xd290bce31bc67440, 0x66763131dbd8aaa2, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78,
  0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x0000009f96e435ed,
};

// m1284p_swio15_noled_ee_hw
static const uint64_t ur_m1284_swio15_noled_ee_hw[] = {
  0xf7bbbbbb451a1541, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0xb297355ad1bf83b0, 0xa8f83660c27fa8f2, 0x69d68450ef8ad4f7,
  0x484d7d1859622916, 0x439d5a5e43ae3593, 0xe875e74ef0c888f2, 0x8450be2383f6355a, 0xfd6e1bd96cb98b84,
  0x56a015ac4f2a3608, 0xaecec39eacdaf2e5, 0x54b7d5d9cea2a551, 0xfbfa215359d372bb, 0x6ab4457950a4ab57,
  0x4a7869de01fd75cf, 0xd102eaf4830ba9b1, 0xaa8b4a42f38c6f19, 0xf2b6ccec63156f62, 0xecf0cc377c252d4b,
  0x0f7bca1854895a82, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0xfcd35a8a792bf734, 0x0000000000000016,
};

// m1284_swio15_noled_ee_ce_u4_hw    m1284p_swio15_noled_ee_ce_hw      m1284p_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m1284_swio15_noled_ee_ce_hw[] = {
  0x437777768a34704a, 0x3ee5a58844817582, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a452414,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0xb81bfaa31ac3b3f5, 0x0f3ce10b7e439dfe, 0xf097e21b0913d967,
  0x4e1fa9cb82fd4784, 0xdac74f7cd9edc244, 0x3067afa8f2b38729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42,
  0x9d5dba438ea426be, 0x75e74ef0c888f243, 0xa17c4707ec6abc6c, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0xcec39eacdaf2e556, 0xb7d5d9cea2a551ae, 0xfa215359d372bb54, 0xb4457950a4ab57fb, 0x7869de01fd75cf6a,
  0x02eaf4830ba9b14a, 0x8b4a42f38c6f19d1, 0x6d99d8c4c76f62aa, 0xe1986ef84a5a97e5, 0xf79430a912b505d9,
  0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0x1f7514f257ee6866,
  0x0000000000014058,
};

/*
 * m1284_swio15_lednop_pr            m1284_swio15_lednop_pr_u4         m1284p_swio15_lednop
 * m1284p_swio15_lednop_pr           m1284p_swio15_lednop_pr_u4
 */
static const uint64_t ur_m1284_swio15_lednop[] = {
  0xddbbbbbb4486d38b, 0x5ae5a58856cc6b13, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fbb3dd11,
  0xe327751994e69652, 0x0dffb0be7ff74c13, 0x51f4a3be5a0f8ec8, 0x17baa4871240fa0f, 0x8e32398b016594c5,
  0xfb30475e8faf0828, 0x3cb3dbc8a22aa01f, 0xacdaf2e556a52170, 0xcea2a551aecec39e, 0x09d372bb54b7d5d9,
  0x4ae4ac7a21535c08, 0xd75cf6ab4457950a, 0x482e52d7ce80f364, 0xde33a205cdd21575, 0xdec555169d75e718,
  0x6a5f95b667042e2a, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x5f875ed3c95fb9a1, 0x000000000000f931,
};

// m1284_swio15_lednop_pr_ee_u4      m1284p_swio15_lednop_pr_ee        m1284p_swio15_lednop_pr_ee_u4
static const uint64_t ur_m1284_swio15_lednop_pr_ee[] = {
  0xef777776890c1107, 0xd5cb4b1ea7646b05, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229110bd,
  0x64eea722af323bf7, 0xffec2f9fe9f9827c, 0x7a6ab5a37f076757, 0xf06cc184ff51e56a, 0xad08a1df15caef51,
  0x9afa30b2c4522cd3, 0x3ab4b94b5c6b2690, 0xebce9de132918287, 0x44be47916c6ab5d0, 0xb86f65b2e62e1211,
  0x00a0ff48a8d823f5, 0x761cf566d7972ab5, 0xbeaece75152a8d76, 0x9ae0404e9b95daa5, 0xbca852572563d10a,
  0x079b26bae7b55a22, 0x90abaa417296be74, 0xaf38c6f19d102e6e, 0x217156f62aa8b4eb, 0xdf094b52fcadb338,
  0x59eff102f63c330d, 0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x013ae6b05af69e4a,
};

// m1284_swio15_lednop_pr_ce_u4      m1284p_swio15_lednop_pr_ce        m1284p_swio15_lednop_pr_ce_u4
static const uint64_t ur_m1284_swio15_lednop_pr_ce[] = {
  0xc9bbbbbb44864aa4, 0xad72d2c1c1420ac3, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1baf22,
  0x27c64eea4cb1789d, 0x0e0ffec2f9fa1f98, 0xb9d93a037f58f63b, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x27d243892064f7a8, 0x1447191cc580abec, 0x0ffd99e3af47d784,
  0x2e0796b764511550, 0x73d59b5e5caad4a4, 0xbb39d454aa35d9d8, 0x81013a6e576a96fa, 0xa1495c958f442a6b,
  0x6c9aeb9ed5688af2, 0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0x31dbd8aaa2d3aebc, 0x4a5a97e56d99c10b,
  0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xd7fcd3d7b4f257ee, 0x000000000000000d,
};

// m1284_swio15_lednop_pr_ee_ce_u4   m1284p_swio15_lednop_pr_ee_ce     m1284p_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m1284_swio15_lednop_pr_ee_ce[] = {
  0x121bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522920,
  0x93bbb36d3c5a87e3, 0xff617cfb37e609f1, 0x81bfaa31ac3b2f0f, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x067afa8f2b28729d, 0x814c57813d47c1b3, 0xc2cb1148b34eb422,
  0xd5db8a58ea426be8, 0x5e74ef09948c1439, 0x4be47916c6abc6c7, 0x86f65b2e62e12114, 0x6707fa4546c11323,
  0xb0e7ab36bcb955a9, 0xf57673a8a9546bb3, 0xd7020274dcaed52d, 0xe54292b92b1e8854, 0x3cd935d73daad115,
  0x855d520b94b5f3a0, 0x79c6378ce8817374, 0x1663b7b15545a75d, 0xf094b52fcadb3382, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x09f9bc95af69e4af,
};

// m1284p_swio15_lednop_ee_hw
static const uint64_t ur_m1284_swio15_lednop_ee_hw[] = {
  0x7bdddddda28d0582, 0xb572d2c7a9d91ac1, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a4442f,
  0x4f8c9dd3b410f4b5, 0x757ff958b3fd3f30, 0x56a7a6ab5a37f076, 0xf51f06cc184ff51e, 0xcd3ad08a1df15cae,
  0x6909afa30b2c4522, 0x2873ab4b94b5c6b2, 0x5d0ebce9de132918, 0x21144be47916c6ab, 0x3f5b86f65b2e62e1,
  0xab500a0ff48a8d82, 0xd76761cf566d7972, 0xaa5beaece75152a8, 0x10a9ae0404e9b95d, 0xa22bca852572563d,
  0xe74079b26bae7b55, 0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0x338217156f62aa8b, 0x30ddf094b52fcadb,
  0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x7a29e4afdcd0ccb0, 0x0000000000b7c690,
};

// m1284_swio15_lednop_ee_ce_u4_hw   m1284p_swio15_lednop_ee_ce_hw     m1284p_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m1284_swio15_lednop_ee_ce_hw[] = {
  0x437777768a34306a, 0x3ee5a58844375582, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a452414,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x3037f546358765e1, 0x1e79c216fc873bbc, 0xe12fc4361227b2ce,
  0x3870b233d7fa8f09, 0x6b1d3df367b70911, 0xc19ebea3caca1ca7, 0xa05315e04f51f06c, 0x30b2c4522cd3ad08,
  0x7576e2963a909afa, 0xd79d3bc26523050e, 0x12f91e45b1aaf1b1, 0xe1bd96cb98b84845, 0x59c1fe9151b044c8,
  0xec39eacdaf2e556a, 0x7d5d9cea2a551aec, 0x35c0809d372bb54b, 0x7950a4ae4ac7a215, 0x0f364d75cf6ab445,
  0x21575482e52d7ce8, 0x5e718de33a205cdd, 0x8598edec555169d7, 0x7c252d4bf2b6cce0, 0x54895a82ecf0cc37,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000000a02cc0028a,
};

/*
 * m1284_swio15_dual_pr              m1284_swio15_dual_pr_u4           m1284p_swio15_dual
 * m1284p_swio15_dual_pr             m1284p_swio15_dual_pr_u4
 */
static const uint64_t ur_m1284_swio15_dual[] = {
  0x25dddddda243359b, 0x245d327b6ec5f77f, 0x3b6abec4a33b2210, 0x1a6244b116a6c5b7, 0x45e55ff6b7792d33,
  0x9dc878661426daeb, 0x8348ea74c13e3241, 0xa6fc0d88b782c877, 0x129dd3e251850c85, 0x297c5d82fe6584a0,
  0xe9bd4774bb038670, 0x5c5e8524482481fe, 0xc4aff3f7c117e53e, 0x1f2e5a03770f8510, 0x97177f25f2f973f2,
  0xc910cbfe420b486f, 0xcf09ad68a8432d08, 0xe579096dd4f7fd01, 0xd895bff950660b0d, 0x3fea3edf3be59ef1,
  0x34877f2921c49038, 0xa847109cc580aa0f, 0x1ffb30475e00d787, 0x281e59edfc83e2a0, 0x59fc55f3bb8a92fb,
  0x6761cf566d7972ab, 0x5beaece75152a8d7, 0xa9ae0404e9b95daa, 0x2bca852572563d10, 0x4079b26bae7b55a2,
  0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0x8217156f62aa8b4e, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x00149379b7af69e4,
};

// m1284p_swio15_dual_pr_ee
static const uint64_t ur_m1284_swio15_dual_pr_ee[] = {
  0x780addddddd432db, 0x62522e993c29c2f7, 0x66d36c1021fda667, 0x391d9d626f66e8bf, 0x2d0513ea1b45014d,
  0xc8e08ab07866743f, 0x213cbcc13e3265dd, 0xf03622de0b21de0d, 0x774f89461432169b, 0x7170d1f99612804a,
  0xd47e9fd858f9c3fe, 0xd0a48904903eaf9b, 0xfe7ef822fca7cb8b, 0x20e06ee1f0a21895, 0xbf92f97cb9f90f97,
  0x65ff2105a437cb8b, 0xa448a8432d08f688, 0x12dba6dffd01cf09, 0xfff2a0cc161bcaf2, 0xb4d56b46bec7650f,
  0xf06cc1f75ea3caf2, 0xad08a1df15dbaf51, 0x9afa30b2c4522cd3, 0xead2ec157082e690, 0x7b58af0c7b47389c,
  0x2008d6bd8d56ba1d, 0x86f65c7c62e12114, 0xe77715255c3dff5b, 0xacdaf2e556b3f8ab, 0xcea2a551aecec39e,
  0x09d372bb54b7d5d9, 0x4ae4ac7a21535c08, 0xd75cf6ab4457950a, 0x482e52d7ce80f364, 0xde33a205cdd21575,
  0xdec555169d75e718, 0x6a5f95b667042e2a, 0x827dc78661bbe129, 0x337f07771a2cf7f8, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xe14d7b4f257ee686, 0x000000000000c850,
};

// m1284p_swio15_dual_pr_ee_u4
static const uint64_t ur_m1284_swio15_dual_pr_ee_u4[] = {
  0xb7777768a87fb202, 0x8ba64f0a69edde3d, 0xbd7b2c49c8a51ba4, 0xd95ee30faabf7eaf, 0xb8d4368a3d905589,
  0x8c5a3fc1cac10672, 0x04f8c9b8372feb74, 0x782c87783483e7d3, 0x1850c85a6fc0d88b, 0xccb094c049dd3e25,
  0x601a0e1a6b8bbfcf, 0x09207d3f37a8fff3, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xf973f21f2185c0dd,
  0x0b486f97177f25f2, 0x865a0bed10cbfe42, 0x7ff4073c260f7150, 0x30586f2bc84b6f6b, 0x37263b2c7ffe9e87,
  0x7bf51e57a6e6ab5a, 0xf15c72f51f06cc1c, 0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xafb47d41cead2f2b,
  0x96355ae875ea26f0, 0x598b84845013d1fc, 0x546c11fadc37b2fa, 0xf3bb8a92804f78df, 0x566d7972ab59fc55,
  0xe75152a8d76761cf, 0x04e9b95daa5beaec, 0x2572563d10a9ae04, 0x6bae7b55a22bca85, 0xa417296be74079b2,
  0x6f19d102e6e90aba, 0x6f62aa8b4ebaf38c, 0xb52fcadb33821715, 0x102f63c330ddf094, 0x337f068fe3459eff,
  0xef79430a912b53ab, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719,
  0xa7cc834f257ee686, 0x000000000000ac91,
};

// m1284p_swio15_dual_pr_ce
static const uint64_t ur_m1284_swio15_dual_pr_ce[] = {
  0x86eddddddd435032, 0x4522e9932e35c777, 0xe17bee0eb00ab822, 0x5ac17ac1651f2c5a, 0x6137b363afba1ba0,
  0x71dcaaf6d1febdf7, 0xf0690ba2cc13e325, 0xb4df81b116f0590e, 0x0253ba7c4a30a190, 0x757f17a1ffccb094,
  0xd4dea3c72d81c138, 0x2e2f4292241240ed, 0x6257f9fbe08bf29f, 0x1f230081bb87c288, 0x97177f25f2f973f2,
  0xd510cbfe420b486f, 0xcf098148a8432d03, 0xe579096dc2d7fd01, 0xd9b3bff950660b0d, 0x6e771580577d7ba1,
  0xde1f2d7e79c216de, 0xea5cd02bb84889c3, 0x622fa8f224f72cf6, 0x80bf3a3dd2438920, 0x00d787a847109cc5,
  0x83e2a01ffb33c75e, 0xe2a4beca0796b77c, 0x5e5caad67f157cee, 0x54aa35d9d873d59b, 0x6e576a96fabb39d4,
  0x958f442a6b81013a, 0x9ed5688af2a1495c, 0xca5af9d01e6c9aeb, 0x7440b9ba42aea905, 0xaaa2d3aebce31bc6,
  0xe56d99c10b31dbd8, 0x71e1986ef84a5a97, 0xc1ddc68b3dfe209f, 0x19e985727eeaccdf, 0xd252d9c389c6592e,
  0x5ed3c95fb9a19961, 0x000000001cf595ab,
};

// m1284p_swio15_dual_pr_ce_u4
static const uint64_t ur_m1284_swio15_dual_pr_ce_u4[] = {
  0x6eeeeed150ffbf5b, 0x2e993b27683bbd05, 0xe66e3524c374ccd2, 0x4e207c8435ade3fe, 0x69e4d7dd41402b27,
  0x9bd60138290177d7, 0x8f5cc13e32448dc9, 0x3622de0b21de0d20, 0x4f89461432169bf0, 0xfa6bf32c25301277,
  0x7b1fd87fc38068e2, 0xa48904903a1f9bd4, 0x7ef822fca7cb8bd0, 0xe06ee1f0a21895fe, 0x92f97cb9f90f92ba,
  0xff2105a437cb8bbf, 0xfc54219683f88865, 0xdbcedffd01cf09b6, 0xa7a1cc161bcaf212, 0xc0dfd4a28ece9fff,
  0xf3ce10b7f00cecc7, 0x097e21b0913d9670, 0xc3baa3541fd4784f, 0xdf5d4b9b3db84889, 0x920622fa8f224f72,
  0xcc580bf3a3dd2438, 0x75e00d787a847109, 0x77c83e2a01ffb33c, 0xceee2a4beca0796b, 0x59b5e5caad67f157,
  0x9d454aa35d9d873d, 0x13a6e576a96fabb3, 0x95c958f442a6b810, 0xaeb9ed5688af2a14, 0x905ca5af9d01e6c9,
  0xbc67440b9ba42aea, 0xbd8aaa2d3aebce31, 0xa97e56d99c10b31d, 0x817b1e1986ef84a5, 0x9bf8347f1a2cf7f8,
  0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xb1641a792bf73433, 0x00000000000d248a,
};

// m1284_swio15_dual_pr_ee_ce_u4     m1284p_swio15_dual_pr_ee_ce       m1284p_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m1284_swio15_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0xd326a6c59bddea3f, 0xf81f6cde7da7da45, 0xca782ccde9a91dfa, 0x029ca3f73a35777a,
  0x8559b53a6bab90c2, 0xb2ae4845f7a75d35, 0xc1a45ea92609f193, 0xd37e06c45bc1643b, 0x024ee9f128c28642,
  0x54717683fe6584a6, 0x37a8f723b024a386, 0x2f4292241240d9bf, 0x57f9fbe08bf29f2e, 0x8e4981bb87c28862,
  0x5dfc97cbe5cfc87c, 0x432ff9082d21be5c, 0x9b674542196813a4, 0x212dba927fd01cf0, 0x8ffa7a1cc161bcaf,
  0x5006fea8c2d0ec4a, 0x879e7085bf806769, 0x784bf10d8489ecb3, 0xe1f79f43c9fea3c2, 0xac75374d9edc2444,
  0x06657a8f2bdf729d, 0x814c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xd5dba570ea426be8, 0xbd44de15f68fa839,
  0x04f47f258d578d8e, 0x0decbe9662e12114, 0xcdef1bea8d822647, 0x6b3f8abe77715252, 0xecec39eacdaf2e55,
  0x4b7d5d9cea2a551a, 0x1535c0809d372bb5, 0x457950a4ae4ac7a2, 0xe80f364d75cf6ab4, 0xdd21575482e52d7c,
  0xd75e718de33a205c, 0xe08598edec555169, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x4ad4eaccdfc1a3f8,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x004003087f20d3c9,
};

// m1284p_swio15_dual_ee_hw
static const uint64_t ur_m1284_swio15_dual_ee_hw[] = {
  0xb6eeeeed14683202, 0x9174c9e14d3dbbc7, 0xf7af65893914a374, 0x3b2bdc61f557efd5, 0x571a86d147b20ab1,
  0x741f5f7a6b5820ce, 0x7d304f8c9b83721a, 0x88b782c87783483e, 0xe251850c85a6fc0d, 0xfe7e6584a7419dd3,
  0xff9b00d070d35c5d, 0x48904903e9f9bd47, 0xef822fca7cb8bd0a, 0x06ee1f0a21895fe7, 0x2f97cb9f90f90c2e,
  0xf2105a437cb8bbf9, 0x8a8432d05f68865f, 0x7b5bffa039e1307b, 0x46e982c3795e425b, 0x5ad1b931d963ffed,
  0x60e3dfa8f2bd3735, 0x50ef8ae397a8f836, 0x185962291669d684, 0x795cb8a973484d7d, 0x37857da3ea0e7569,
  0x8fe4b1aad743af51, 0x97d2cc5c2422809e, 0xc6faa3608fd6e1bd, 0xe2af9ddc5494027b, 0x0e7ab36bcb955acf,
  0x57673a8a9546bb3b, 0x7020274dcaed52df, 0x54292b92b1e8854d, 0xcd935d73daad115e, 0x55d520b94b5f3a03,
  0x9c6378ce88173748, 0xb8ab7b15545a75d7, 0x84a5a97e56d99c10, 0x912b505d9e1986ef, 0x989ffde1ef79430a,
  0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x000015da5d52514f,
};

// m1284_swio15_dual_ee_ce_u4_hw     m1284p_swio15_dual_ee_ce_hw       m1284p_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m1284_swio15_dual_ee_ce_hw[] = {
  0xfbbbbbb451a0746e, 0x5d326a6c59bddea3, 0xaf81f6cde7da7da4, 0xaca782ccde9a91df, 0x2029ca3f73a35777,
  0xfdd21453a6bab90c, 0xf8c9d95720b692b8, 0xb21de0d22f549304, 0x432169bf03622de0, 0x6129d06774f89461,
  0x28e1951c5da0ff99, 0x366fcdea3dc8ec09, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xf21f2392606ee1f0,
  0x6f97177f25f2f973, 0x04e910cbfe420b48, 0x073c26d9d150865a, 0x6f2bc84b6ea49ff4, 0x3b12a3fda8dd3058,
  0x39da5401bfaa30b4, 0x3d9670f3ce10b7e4, 0xd4784f097e21b091, 0x709113877806231f, 0x7dca76b1d4dd367b,
  0x1f06cc1995ea3caf, 0x3ad08a05315ecef5, 0x09afa30b2c4522cd, 0x3ea0e7576e95c3a9, 0x5e363af5137857da,
  0x84845013d1fc9635, 0x08991c37b2fa598b, 0xc5494b37bc6faa36, 0xbcb955acfe2af9dd, 0xa9546bb3b0e7ab36,
  0xdcaed52df57673a8, 0x2b1e8854d7020274, 0x3daad115e54292b9, 0x94b5f3a03cd935d7, 0xe8817374855d520b,
  0x5545a75d79c6378c, 0xcadb33821663b7b1, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x63b90a29e4afdcd0, 0x000000000000075d,
};

/*
 * m2564rfr2_autobaud_uart0_noled    m128rfa1_autobaud_uart0_noled     m128rfr2_autobaud_uart0_noled
 * m1280_autobaud_uart0_noled        m1281_autobaud_uart0_noled        m256rfr2_autobaud_uart0_noled
 * m2560_autobaud_uart0_noled        m2561_autobaud_uart0_noled
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea635e, 0x822f7b3fd7e8dbd8, 0x418ebfc4eeeeb60e, 0x827c64eec2f5a350,
  0x12403fcb8fcf84f9, 0x301748874088153e, 0x6a8e15faa935f387, 0xfcf1df2c90e1b46f, 0x82921c49033491c8,
  0x66731602dee987ce, 0x608ebc5d786a5a3c, 0x4ad7b0ac905dc72c, 0x077ad79ce166fc0c, 0x6c670b79bcf82a0c,
  0x0256521b8ba9cbca, 0xa2d2b0938c6f19d1, 0x5b6672a7455bd8aa, 0x78661bbe1296a5f9, 0x25c33d30ae4fcfec,
  0x2c3a4a5b387138cb, 0x16792a792bf73433, 0x00000000006b3147,
};

/*
 * m1284rfr2_autobaud_uart0_noled_pr_u4 m2564rfr2_autobaud_uart0_noled_pr
 * m2564rfr2_autobaud_uart0_noled_pr_u4 m128rfa1_autobaud_uart0_noled_pr
 * m128rfa1_autobaud_uart0_noled_pr_u4 m128rfr2_autobaud_uart0_noled_pr
 * m128rfr2_autobaud_uart0_noled_pr_u4 m1280_autobaud_uart0_noled_pr
 * m1280_autobaud_uart0_noled_pr_u4  m1281_autobaud_uart0_noled_pr     m1281_autobaud_uart0_noled_pr_u4
 * m256rfr2_autobaud_uart0_noled_pr  m256rfr2_autobaud_uart0_noled_pr_u4
 * m2560_autobaud_uart0_noled_pr     m2560_autobaud_uart0_noled_pr_u4  m2561_autobaud_uart0_noled_pr
 * m2561_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_pr[] = {
  0x37777776890ce59b, 0x7eeeeee963d4c656, 0x85bafad0dadcc761, 0x2e3b6d22eeeecf77, 0xc64eef2589cc864e,
  0x89fe186cf87b9827, 0xba443a0440a9f094, 0x70afd549af9c3980, 0x0ef9610f0da37b54, 0x90e2481a0b8e47e8,
  0x98b016594df26f74, 0x75e8faf0e0b47ac3, 0xb0e344aa01ffb304, 0x12b5ec4d5f03cb3d, 0x01deb5e73859bf03,
  0x9b19c2de6f3e0a83, 0x40959486e2ea72f2, 0xa8b4ac24e31bc674, 0x56d99ca9d156f62a, 0x1e1986ef84a5a97e,
  0x07771a2cf7f8817b, 0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x824f257ee6866587, 0x0000000230c94093,
};

/*
 * m1284rfr2_autobaud_uart0_noled_pr_ee_u4 m2564rfr2_autobaud_uart0_noled_pr_ee
 * m2564rfr2_autobaud_uart0_noled_pr_ee_u4 m128rfa1_autobaud_uart0_noled_pr_ee
 * m128rfa1_autobaud_uart0_noled_pr_ee_u4 m128rfr2_autobaud_uart0_noled_pr_ee
 * m128rfr2_autobaud_uart0_noled_pr_ee_u4 m1280_autobaud_uart0_noled_pr_ee
 * m1280_autobaud_uart0_noled_pr_ee_u4 m1281_autobaud_uart0_noled_pr_ee
 * m1281_autobaud_uart0_noled_pr_ee_u4 m256rfr2_autobaud_uart0_noled_pr_ee
 * m256rfr2_autobaud_uart0_noled_pr_ee_u4 m2560_autobaud_uart0_noled_pr_ee
 * m2560_autobaud_uart0_noled_pr_ee_u4 m2561_autobaud_uart0_noled_pr_ee
 * m2561_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_pr_ee[] = {
  0x637777776890ca20, 0x2eeeeee960f0619d, 0x4b8bcd885fb6475a, 0xd3537c2ea66e97bf, 0x747b16a8e31aa828,
  0x0c367e394c13e327, 0x3a0440a9f095baff, 0xd549af9c3980ba44, 0x1ce30da37b5470af, 0x318e4795c89355ad,
  0xf159951c8f83660d, 0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0x237d1e0b39d5a5cf, 0x8d8d56ba1d79d3bc,
  0x5cc5c2422859e8c3, 0xd51b047eb70decb6, 0x0312b5ec00a41541, 0x8301deb5e73859bf, 0xf29b19c2de6f3e0a,
  0x7440959486e2ea72, 0x2aa8b4ac24e31bc6, 0x7e56d99ca9d156f6, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0xfb824f257ee68665, 0x0000000004d4ee10,
};

/*
 * m1284rfr2_autobaud_uart0_noled_pr_ce_u4 m128rfa1_autobaud_uart0_noled_pr_ce
 * m128rfa1_autobaud_uart0_noled_pr_ce_u4 m128rfr2_autobaud_uart0_noled_pr_ce
 * m128rfr2_autobaud_uart0_noled_pr_ce_u4 m1280_autobaud_uart0_noled_pr_ce
 * m1280_autobaud_uart0_noled_pr_ce_u4 m1281_autobaud_uart0_noled_pr_ce
 * m1281_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0xaeff0c367f674c13, 0xba443a0440a9f094, 0x70afd549af9c3980, 0x01bfa8290da37b54, 0x3cf3842dbcdceff7,
  0xc25f886c244f659c, 0x1387800293f51e13, 0xb96faf59367b7091, 0x389207ac8e4727a7, 0x58731602a636b524,
  0x678ebd1f5e1c168f, 0x5adc1c6895403ff6, 0xf81895af626af81e, 0x54180ef5af39c2cd, 0x9794d8ce16f379f0,
  0x33a204aca4371753, 0xb15545a5612718de, 0x97e56d99ca9c63b7, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xc13824f257ee6866, 0x000000000011bab7,
};

/*
 * m1284rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m128rfa1_autobaud_uart0_noled_pr_ee_ce
 * m128rfa1_autobaud_uart0_noled_pr_ee_ce_u4 m128rfr2_autobaud_uart0_noled_pr_ee_ce
 * m128rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m1280_autobaud_uart0_noled_pr_ee_ce
 * m1280_autobaud_uart0_noled_pr_ee_ce_u4 m1281_autobaud_uart0_noled_pr_ee_ce
 * m1281_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x0d9fc6e9827c64ee, 0x022054f849aeffc3, 0xa4d7ce1cc05d221d, 0x4b86d1bdaa3857ea, 0xde6e761680dfd519,
  0x1227b2ce1e79c216, 0x51fa8f09e12fc436, 0xb3db84889c3dd0dd, 0xf2bea253b58e9ef9, 0x4723e0d9835af1c8,
  0xb34eb422814c57dd, 0xea426be8c2cb1148, 0xbe8f059ceaedc7a8, 0x8d578d8ebce9de11, 0xc5c2422859e8c38d,
  0x8d8226470decb65c, 0x895af616720aa0ea, 0x80ef5af39c2cdf81, 0x4d8ce16f379f0541, 0x204aca4371753979,
  0x545a5612718de33a, 0x56d99ca9c63b7b15, 0x1e1986ef84a5a97e, 0x07771a2cf7f8817b, 0x430a912b53ab337f,
  0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x824f257ee6866587,
  0x000000004113ecf3,
};

/*
 * m2564rfr2_autobaud_uart0_noled_ee_hw m128rfa1_autobaud_uart0_noled_ee_hw
 * m128rfr2_autobaud_uart0_noled_ee_hw m1280_autobaud_uart0_noled_ee_hw
 * m1281_autobaud_uart0_noled_ee_hw  m256rfr2_autobaud_uart0_noled_ee_hw
 * m2560_autobaud_uart0_noled_ee_hw  m2561_autobaud_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_ee_hw[] = {
  0x1bbbbbbb451a3e4a, 0x7777774b07830ceb, 0x5c5e6c42fdb23ad1, 0x9a9be1753374bdfa, 0x774a51d6d57d4146,
  0xf2b167e394c13e32, 0x43a0440a9f095baf, 0xfd549af9c3980ba4, 0xd1ce30da37b5470a, 0xd318e4795c89355a,
  0xdf159951c8f83660, 0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xc237d1e0b39d5a5c, 0x38d8d56ba1d79d3b,
  0x65cc5c2422859e8c, 0x1d51b047eb70decb, 0xf0312b5ec00a4154, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0,
  0x67440959486e2ea7, 0x62aa8b4ac24e31bc, 0x97e56d99ca9d156f, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x27833cbd14f257ee,
  0x0000000000000016,
};

/*
 * m1284rfr2_autobaud_uart0_noled_ee_ce_u4_hw m128rfa1_autobaud_uart0_noled_ee_ce_hw
 * m128rfa1_autobaud_uart0_noled_ee_ce_u4_hw m128rfr2_autobaud_uart0_noled_ee_ce_hw
 * m128rfr2_autobaud_uart0_noled_ee_ce_u4_hw m1280_autobaud_uart0_noled_ee_ce_hw
 * m1280_autobaud_uart0_noled_ee_ce_u4_hw m1281_autobaud_uart0_noled_ee_ce_hw
 * m1281_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0xe81102a7c24d77fe, 0x5526be70e602e910, 0xca5c368ded51c2bf, 0x6fc873b0b406fea8,
  0x61227b2ce1e79c21, 0xa3ffa8f09e12fc43, 0xcd9edc2444e1d9cb, 0x4795f5129dac74f7, 0xea391f06cc1ad78e,
  0x459a75a1140a62be, 0x4752135f4616588a, 0x8df4782ce7576e3d, 0x6c6abc6c75e74ef0, 0xe62e121142cf461c,
  0x546c1132386f65b2, 0x0c4ad7b0b3905507, 0x0c077ad79ce166fc, 0xca6c670b79bcf82a, 0xd10256521b8ba9cb,
  0xaaa2d2b0938c6f19, 0xf2b6cce54e31dbd8, 0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef,
  0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x24ea928a792bf734, 0x0000000000000095,
};

/*
 * m2564rfr2_autobaud_uart0_lednop   m128rfa1_autobaud_uart0_lednop    m128rfr2_autobaud_uart0_lednop
 * m1280_autobaud_uart0_lednop       m1281_autobaud_uart0_lednop       m256rfr2_autobaud_uart0_lednop
 * m2560_autobaud_uart0_lednop       m2561_autobaud_uart0_lednop
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea7b3e, 0x0e82dddfab68dbd8, 0xa820c75f426eeeb6, 0xe4c13e3277617ad1,
  0x4f848caff2e3f3ef, 0xe1cc05d221d02205, 0x1bdaa3857eaa4d7c, 0x72393c77cb24386d, 0xe2cfa4871240cd24,
  0x3905398b016f74c3, 0x2c608ebc5d78521a, 0x06256bd856633dc7, 0xbd6bcf020270b37e, 0x7400b79bcb750603,
  0x234870d537a94e4a, 0x440dba2810b4b5fe, 0x5f95b6674e31bc67, 0xfec78661bbe1296a, 0x8cb25c33d30ae4fc,
  0x4332c3a4a5b38713, 0x14716792a792bf73, 0x00000000000006b3,
};

/*
 * m1284rfr2_autobaud_uart0_lednop_pr_u4 m2564rfr2_autobaud_uart0_lednop_pr
 * m2564rfr2_autobaud_uart0_lednop_pr_u4 m128rfa1_autobaud_uart0_lednop_pr
 * m128rfa1_autobaud_uart0_lednop_pr_u4 m128rfr2_autobaud_uart0_lednop_pr
 * m128rfr2_autobaud_uart0_lednop_pr_u4 m1280_autobaud_uart0_lednop_pr
 * m1280_autobaud_uart0_lednop_pr_u4 m1281_autobaud_uart0_lednop_pr    m1281_autobaud_uart0_lednop_pr_u4
 * m256rfr2_autobaud_uart0_lednop_pr m256rfr2_autobaud_uart0_lednop_pr_u4
 * m2560_autobaud_uart0_lednop_pr    m2560_autobaud_uart0_lednop_pr_u4 m2561_autobaud_uart0_lednop_pr
 * m2561_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_pr[] = {
  0x1bbbbbbb4486259b, 0xf777774b1ea636eb, 0x1631d7f07db1fad4, 0xcc4b8d09bbbb3dde, 0x8c9dd97762419c0b,
  0x95fe186cfbf9304f, 0xba443a0440a9f091, 0x70afd549af9c3980, 0x8ef9610f0da37b54, 0x90e2481a0b8e47b5,
  0x98b016594d374654, 0xebd1f5e12691a433, 0xded0fb5403ff6608, 0x4ad7b3dc140f2cf6, 0xd79e0404e166fc0c,
  0x16f379b48a0c077a, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x4e455bd8aaa2d30c, 0xdf094b52fcadb33b,
  0x59eff102f63c330d, 0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x0230d538b7049e4a,
};

/*
 * m1284rfr2_autobaud_uart0_lednop_pr_ee_u4 m2564rfr2_autobaud_uart0_lednop_pr_ee
 * m2564rfr2_autobaud_uart0_lednop_pr_ee_u4 m128rfa1_autobaud_uart0_lednop_pr_ee
 * m128rfa1_autobaud_uart0_lednop_pr_ee_u4 m128rfr2_autobaud_uart0_lednop_pr_ee
 * m128rfr2_autobaud_uart0_lednop_pr_ee_u4 m1280_autobaud_uart0_lednop_pr_ee
 * m1280_autobaud_uart0_lednop_pr_ee_u4 m1281_autobaud_uart0_lednop_pr_ee
 * m1281_autobaud_uart0_lednop_pr_ee_u4 m256rfr2_autobaud_uart0_lednop_pr_ee
 * m256rfr2_autobaud_uart0_lednop_pr_ee_u4 m2560_autobaud_uart0_lednop_pr_ee
 * m2560_autobaud_uart0_lednop_pr_ee_u4 m2561_autobaud_uart0_lednop_pr_ee
 * m2561_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_pr_ee[] = {
  0x1bbbbbbb4486bf3e, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x671162b83d776468,
  0xc367c9d4c13e3277, 0xa0440a9f09456ff0, 0x549af9c3980ba443, 0xce30da37b5470afd, 0x18e4795995355ad1,
  0x2b31f1c8f83660d3, 0x88a459a75a1143be, 0xb8d64d2135f46165, 0x1f1193473ab4bc88, 0xac6ab5d0ebce9de1,
  0x73170908a3a046f6, 0x546c11fadc37b2d9, 0x81895af60041c689, 0xef5af3c0809c2cdf, 0xd002de6f36914180,
  0x8d21c354dea53929, 0x6194e31bc67440f8, 0x6769c8ab7b15545a, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786,
  0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00009a9d998ae093,
};

/*
 * m1284rfr2_autobaud_uart0_lednop_pr_ce_u4 m128rfa1_autobaud_uart0_lednop_pr_ce
 * m128rfa1_autobaud_uart0_lednop_pr_ce_u4 m128rfr2_autobaud_uart0_lednop_pr_ce
 * m128rfr2_autobaud_uart0_lednop_pr_ce_u4 m1280_autobaud_uart0_lednop_pr_ce
 * m1280_autobaud_uart0_lednop_pr_ce_u4 m1281_autobaud_uart0_lednop_pr_ce
 * m1281_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x9bff0c367c6b4c13, 0xba443a0440a9f096, 0x70afd549af9c3980, 0x01bfa8290da37b54, 0x3cf3842dbcdcefe7,
  0xc25f886c244f659c, 0x4e1f1bbb07f51e13, 0xe5bebd64d9edc244, 0xe2481eb2391fa49e, 0x3398b0172483f490,
  0x78ebd1f5e12691a4, 0x5b9ed0fb5403ff66, 0x0312b5ecf70503cb, 0xdeb5e781013859bf, 0xa005bcde6d228301,
  0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x00011ba93f0b824f,
};

/*
 * m1284rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m128rfa1_autobaud_uart0_lednop_pr_ee_ce
 * m128rfa1_autobaud_uart0_lednop_pr_ee_ce_u4 m128rfr2_autobaud_uart0_lednop_pr_ee_ce
 * m128rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m1280_autobaud_uart0_lednop_pr_ee_ce
 * m1280_autobaud_uart0_lednop_pr_ee_ce_u4 m1281_autobaud_uart0_lednop_pr_ee_ce
 * m1281_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0xc367cd6e609f193b, 0xa0440a9f090a4ff0, 0x549af9c3980ba443, 0x2970da37b5470afd, 0xb79b9dd8f81bfaa3,
  0x8489ecb3879e7085, 0xddfea3c2784bf10d, 0xd9edc2444e1c0006, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4,
  0xb34eb422814c561e, 0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5,
  0x51b044c8e1bd96cb, 0x06256bd859871a25, 0xbd6bcf020270b37e, 0x400b79bcda450603, 0x34870d537a94e4a7,
  0x86538c6f19d103e2, 0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee,
  0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00008220f577049e,
};

/*
 * m2564rfr2_autobaud_uart0_lednop_ee_hw m128rfa1_autobaud_uart0_lednop_ee_hw
 * m128rfr2_autobaud_uart0_lednop_ee_hw m1280_autobaud_uart0_lednop_ee_hw
 * m1281_autobaud_uart0_lednop_ee_hw m256rfr2_autobaud_uart0_lednop_ee_hw
 * m2560_autobaud_uart0_lednop_ee_hw m2561_autobaud_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_ee_hw[] = {
  0x1bbbbbbb451a2f43, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x775a77dadd956468,
  0xf2b167c9d4c13e32, 0x43a0440a9f09456f, 0xfd549af9c3980ba4, 0xd1ce30da37b5470a, 0xd318e4795995355a,
  0xbe2b31f1c8f83660, 0x6588a459a75a1143, 0x88b8d64d2135f461, 0xe11f1193473ab4bc, 0xf6ac6ab5d0ebce9d,
  0xd973170908a3a046, 0x89546c11fadc37b2, 0xdf81895af60041c6, 0x80ef5af3c0809c2c, 0x29d002de6f369141,
  0xf88d21c354dea539, 0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0xde50c2a44ad41767,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xb37453c95fb9a199,
  0x00000000001627ea,
};

/*
 * m1284rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m128rfa1_autobaud_uart0_lednop_ee_ce_hw
 * m128rfa1_autobaud_uart0_lednop_ee_ce_u4_hw m128rfr2_autobaud_uart0_lednop_ee_ce_hw
 * m128rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m1280_autobaud_uart0_lednop_ee_ce_hw
 * m1280_autobaud_uart0_lednop_ee_ce_u4_hw m1281_autobaud_uart0_lednop_ee_ce_hw
 * m1281_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0x3a0440a9f090a4ff, 0xd549af9c3980ba44, 0x32970da37b5470af, 0xb7e439dd8f81bfaa,
  0xb0913d9670f3ce10, 0x089fd4784f097e21, 0xcd9edc2444e1da0e, 0x4795f7529dac74f7, 0xee391f06cc1ad78e,
  0x8b34eb422814c561, 0x0ea426be8c2cb114, 0x47c464d1ceaedd22, 0x56355e363af3a778, 0xb98b848451d0237b,
  0x551b044c8e1bd96c, 0xe06256bd859871a2, 0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a,
  0x986538c6f19d103e, 0x33b4e18edec55516, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def,
  0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x3a29e4afdcd0ccb0, 0x0000000004a92679,
};

/*
 * m1284rfr2_autobaud_uart0_dual_pr  m1284rfr2_autobaud_uart0_dual_pr_u4
 * m128rfa1_autobaud_uart0_dual      m128rfa1_autobaud_uart0_dual_pr
 * m128rfa1_autobaud_uart0_dual_pr_u4 m128rfr2_autobaud_uart0_dual
 * m128rfr2_autobaud_uart0_dual_pr   m128rfr2_autobaud_uart0_dual_pr_u4
 * m1280_autobaud_uart0_dual         m1280_autobaud_uart0_dual_pr      m1280_autobaud_uart0_dual_pr_u4
 * m1281_autobaud_uart0_dual         m1281_autobaud_uart0_dual_pr      m1281_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual[] = {
  0x7ddddddda2437089, 0xeeeeeeeef2419f73, 0x086931eb68ebed17, 0x7d763db777560a33, 0x2bc9eb2abbeb699f,
  0x40523304f8c95c77, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da, 0xc5d2d7e6584a0129, 0xe478adb01ac70275,
  0xa1491209207bee68, 0xfcfdf045f94f9717, 0xae06ee1f0a2189f0, 0xfe4be5f2e7e43e5f, 0x97fc841690df2e2e,
  0x4dd150865a1a5221, 0x12db9c3ffa039e13, 0x7ffd3e4c161bcaf2, 0x48874088153e125f, 0x15faa935f3873017,
  0xef9626a1b46f6a8e, 0x1c490310f1c8f914, 0x2c0550798f588692, 0xe00d7877b475fce6, 0x784faa01ffb30475,
  0x8a92c53903cb3dbe, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x005bcde6d228301d, 0xa4386a9bd4a7253a,
  0x329c6378ce881f11, 0xed39156f62aa8b4c, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0002e0b924dc1279,
};

/*
 * m128rfa1_autobaud_uart0_dual_pr_ee m128rfr2_autobaud_uart0_dual_pr_ee
 * m1280_autobaud_uart0_dual_pr_ee   m1281_autobaud_uart0_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_pr_ee[] = {
  0xf37dddddddd432db, 0x09bbbbbbbbe82b85, 0x9137b3745fb369b6, 0x0513cd8467ba7593, 0xe08ab07866743f2d,
  0x3cbcc13e326c35c8, 0x037755a8646d4521, 0x9f12e20614306d23, 0xd9f3f32c250094ee, 0xfebec0d6ce130dc5,
  0x4890490380134723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x7cbe5cfc87c8dbb0, 0x9082d21be5c5dfc9,
  0x54219686044432ff, 0xc347fd01cf098bac, 0x9f260b0de579096d, 0xa0440a9f0925affe, 0x549af9c3980ba443,
  0xc890da37b5470afd, 0x91c8f2b5f7355ad1, 0x57fba391f06cc182, 0x1148b34eb422877c, 0xc54b9a426be8c2cb,
  0x911ef673ab4b98f5, 0xc6ab5d0ebd44de1c, 0x3170908a20fa3e7a, 0x8d823f5b86f65f4b, 0xddc5494026be416a,
  0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0x9d002de6f3691418, 0x88d21c354dea5392, 0xa6194e31bc67440f,
  0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0x71a2cf7f8827dc78, 0x615c9fbab337f077, 0xb670e271964b867a,
  0xf257ee6866587494, 0x00001045e70a3824,
};

/*
 * m128rfa1_autobaud_uart0_dual_pr_ee_u4 m128rfr2_autobaud_uart0_dual_pr_ee_u4
 * m1280_autobaud_uart0_dual_pr_ee_u4 m1281_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4[] = {
  0xeeeeeed150fed8be, 0xddddddf415c2f9be, 0xd9ba2fd9b4db04dd, 0xe6c233dd3ac9c89b, 0x61e197d61f968289,
  0x4f8c9b0d7279d690, 0x6a191b51484f2f30, 0x81850c1b48c0ddd5, 0x961298093ba7c4b8, 0x6b670986e2ecf9f9,
  0x81c009a391ff5f60, 0xe53e5c5e85244824, 0x288627c3f3f7c117, 0x7e43e46dd81bb87c, 0x0df2e2efe4be5f2e,
  0x430222197fc84169, 0x80e784c5d62a10cb, 0x86f2bc84b6e1a3fe, 0x9f0925aff2065305, 0xc3980ba443a0440a,
  0x37b5470afd549af9, 0xb5f7355ad1c890da, 0x91f06cc18291c8f2, 0x4eb422877c57fba3, 0x426be8c2cb1148b3,
  0x73ab4b98f5c54b9a, 0x0ebd44de1c911ef6, 0x8a20fa3e7ac6ab5d, 0x5b86f65f4b317090, 0x4026be416a8d823f,
  0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xe6f36914180ef5af, 0x354dea53929d002d, 0x31bc67440f88d21c,
  0x8ab7b15545a6194e, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x75666fe0d1fc68b3, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x973c99fe19e4afdc,
  0x0000000000000a54,
};

/*
 * m128rfa1_autobaud_uart0_dual_pr_ce m128rfr2_autobaud_uart0_dual_pr_ce
 * m1280_autobaud_uart0_dual_pr_ce   m1281_autobaud_uart0_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_pr_ce[] = {
  0x7dddddddd41432db, 0xddddddddec8227f3, 0x55eeb610f508749b, 0xa6bd8beeee9ba015, 0x91c115658219d577,
  0x902a89827c64e4eb, 0x9181bbaad43236a2, 0x774f8971030a1836, 0xe2f5bff99612804a, 0x91d36f613b670b5b,
  0x0a4890490319b9a3, 0xe7ef822fca7cb8bd, 0xf03770f8510c4f87, 0xe4be5f2e7e43e5d1, 0x7fc841690df2e2ef,
  0xf22a10cb43f72219, 0x5b7383ff4073c267, 0xffa7c982c3795e42, 0x10e81102a7c2595b, 0xbf5526be70e602e9,
  0xbebf24368ded51c2, 0xe10b6f373b28a02b, 0x2444e1daed0fbf3c, 0x7b967b752e6815dc, 0x1c4903a971c8e37e,
  0x7f398b015007be92, 0xcf1d78035e1ded1d, 0xb5bb9e13ea807fec, 0x5f3bb8a92c53903c, 0x59bf0312b5ec9fc5,
  0x8301deb5e7810138, 0x7253a005bcde6d22, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x9e1986ef84a5a97e, 0x0eee3459eff10271, 0x86152256a75666fe, 0x3e68fb19d87138d2, 0x6592e19e985727e0,
  0x19961d252d9c389c, 0x5ecc8e093c95fb9a, 0x000000000000002b,
};

/*
 * m128rfa1_autobaud_uart0_dual_pr_ce_u4 m128rfr2_autobaud_uart0_dual_pr_ce_u4
 * m1280_autobaud_uart0_dual_pr_ce_u4 m1281_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4[] = {
  0xeeeeeed150fe8f43, 0xddddddf42f0fb9be, 0xae3bf7a339b7d7dd, 0x6a3fbbba7692664c, 0xdad4fe1a9c7912e1,
  0x4c13e325eb5cbc4f, 0xeab50c8da8a44d52, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xb0fd7381adf17986,
  0x1240eb7e68e47149, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0xcb9f90f900000ddc, 0x5a437cb8bbf92f97,
  0x32d060a8865ff210, 0xffa039e134878a84, 0xc161bcaf212dbffc, 0x02a7c244ebfc8194, 0xbe70e602e910e811,
  0x368ded51c2bf5526, 0xc033b28606febd44, 0x44f659c3cf3842df, 0xff51e13c25f886c2, 0x3db84889c3f2d337,
  0x1c6fcf72df5d4b9b, 0xf7d2438920752e39, 0xbda3afe731602a00, 0x0ffd99e3af006bc3, 0x720796b773c27d50,
  0x93f8abe77715258a, 0x20270b37e06256bd, 0xcda450603bd6bcf0, 0x37a94e4a7400b79b, 0xf19d103e234870d5,
  0xdec55516986538c6, 0xb52fcadb33b4e18e, 0x102f63c330ddf094, 0x337f068fe3459eff, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x590ff0cf257ee686,
  0x0000000000ad7b14,
};

/*
 * m1284rfr2_autobaud_uart0_dual_pr_ee_ce_u4 m128rfa1_autobaud_uart0_dual_pr_ee_ce
 * m128rfa1_autobaud_uart0_dual_pr_ee_ce_u4 m128rfr2_autobaud_uart0_dual_pr_ee_ce
 * m128rfr2_autobaud_uart0_dual_pr_ee_ce_u4 m1280_autobaud_uart0_dual_pr_ee_ce
 * m1280_autobaud_uart0_dual_pr_ee_ce_u4 m1281_autobaud_uart0_dual_pr_ee_ce
 * m1281_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce[] = {
  0xbbbbbb4543ff2812, 0x777777bd7eece6fb, 0x18df5f4ceb54eb77, 0x45266ea01d9b3825, 0xc7f4130a56d0af62,
  0xa2fb97c7acaa719b, 0xa8a418bb5304f8c9, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0x91e2fe72fccb094c,
  0x7238003606dd9c02, 0x4292241240d52334, 0xf9fbe08bf29f2e2f, 0x4c0ddc3e144313e1, 0xc97cbe5cfc87ca1e,
  0xff9082d21be5c5df, 0xd454219683fc4432, 0xb724affa039e136e, 0x9032982c3795e425, 0x3a0440a9f094c37f,
  0xd549af9c3980ba44, 0x395d0da37b5470af, 0xb7f00cef4d01bfaa, 0xb0913d9670f3ce10, 0xd4efd4784f097e21,
  0x4d9edc2444e1fce5, 0x4795bf929dac7537, 0x951c8f83660d7c8e, 0x459a75a1140a62ba, 0xc752135f4616588a,
  0x72447bd9ceaedc63, 0xd6355e363af51378, 0x598b84845107d1f3, 0xaa3608991c37b2fa, 0xe77715252cdaf905,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e, 0x16986538c6f19d10,
  0xdb33b4e18edec555, 0xc330ddf094b52fca, 0x8fe3459eff102f63, 0x0a912b53ab337f06, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x00007eadeea90ff0,
};

/*
 * m128rfa1_autobaud_uart0_dual_ee_hw m128rfr2_autobaud_uart0_dual_ee_hw
 * m1280_autobaud_uart0_dual_ee_hw   m1281_autobaud_uart0_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_ee_hw[] = {
  0xddddddda28d0d4d6, 0xbbbbbbbe82b85f37, 0x7b3745fb369b609b, 0x3cd8467ba7593913, 0xc67d7d66e3f2d051,
  0x2f304f8c9b0d726e, 0xddd56a191b51484f, 0xc4b881850c1b48c0, 0x7cfccb094e833ba7, 0xafb035b384c37176,
  0x241240e004d1c8ff, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f236ec0d, 0x20b486f97177f25f,
  0x0865a181110cbfe4, 0xd1ff4073c262eb15, 0xa982c3795e425b70, 0x22054f8492d7fc65, 0x4d7ce1cc05d221d0,
  0x486d1bdaa3857eaa, 0xe4795afb9aad68e4, 0xfdd1c8f83660c148, 0xa459a75a1143be2b, 0xa5cd2135f4616588,
  0x8f7b39d5a5cc7ae2, 0x55ae875ea26f0e48, 0xb84845107d1f3d63, 0xc11fadc37b2fa598, 0xe2a4a0135f20b546,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0x8016f379b48a0c07, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000002c1ca83ee,
};

/*
 * m1284rfr2_autobaud_uart0_dual_ee_ce_u4_hw m128rfa1_autobaud_uart0_dual_ee_ce_hw
 * m128rfa1_autobaud_uart0_dual_ee_ce_u4_hw m128rfr2_autobaud_uart0_dual_ee_ce_hw
 * m128rfr2_autobaud_uart0_dual_ee_ce_u4_hw m1280_autobaud_uart0_dual_ee_ce_hw
 * m1280_autobaud_uart0_dual_ee_ce_u4_hw m1281_autobaud_uart0_dual_ee_ce_hw
 * m1281_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d10668, 0xbbbbbbbdebf76737, 0x28c6fafa675aa75b, 0x1229337500ecd9c1, 0x0373341852b6857b,
  0x7c64d17dcaae3ec0, 0x8646d4520c5da982, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x6700a478bf9cbf32,
  0x48cd1c8e000d81b7, 0xcb8bd0a489049035, 0xc4f87e7ef822fca7, 0xf2879303770f8510, 0x7177f25f2f973f21,
  0x110cbfe420b486f9, 0x84dbb5150865a0ff, 0x79096dc92bfe80e7, 0x30dff196a60b0de5, 0x2e910e81102a7c25,
  0x1c2bf5526be70e60, 0x6fea8e574368ded5, 0x79c216fc873bd340, 0x2fc4361227b2ce1e, 0x3dd0dd51fa8f09e1,
  0x8ea6e9b3db84889c, 0xaf91c8f2b7f253b5, 0x4c5752a391f06cc1, 0xcb1148b34eb42281, 0xdb8c78ea426be8c2,
  0xa26f0e488f7b39d5, 0xfa3e7ac6abc6c75e, 0xf65f4b3170908a20, 0x5f20b546c1132386, 0x7f157ceee2a4a59b,
  0x04e166fc0c4ad7b2, 0xb48a0c077ad79e04, 0xf529c94e8016f379, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0xa5f95b66769c31db, 0x417678661bbe1296, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x9a64cf2f453c95fb, 0x0000000000000010,
};

/*
 * m2564rfr2_autobaud_uart1_noled    m128rfa1_autobaud_uart1_noled     m128rfr2_autobaud_uart1_noled
 * m1280_autobaud_uart1_noled        m1281_autobaud_uart1_noled        m256rfr2_autobaud_uart1_noled
 * m2560_autobaud_uart1_noled        m2561_autobaud_uart1_noled
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea635e, 0x822f7b3fd7e8dbd8, 0x418ebfc4eeeeb60e, 0x827c64eec2f5a350,
  0x12403fcb8fcf84f9, 0xe02e916a81102a7c, 0xd51c2bf5526bf917, 0xf9e3be5921c368de, 0x0524389206692391,
  0xcce62c05bdd30f9d, 0xc11d78baf0d4b478, 0x3bbf615920bb8e58, 0x77eefce726dbf031, 0x8ce4df9bcf82a0c0,
  0x4aca43717539794d, 0x5a5612718de33a20, 0x6cce54e8ab7b1554, 0x0cc377c252d4bf2b, 0xb867a615c9f9fd8f,
  0x87494b670e271964, 0xcf254f257ee68665, 0x000000000d6628e2,
};

/*
 * m1284rfr2_autobaud_uart1_noled_pr_u4 m2564rfr2_autobaud_uart1_noled_pr
 * m2564rfr2_autobaud_uart1_noled_pr_u4 m128rfa1_autobaud_uart1_noled_pr
 * m128rfa1_autobaud_uart1_noled_pr_u4 m128rfr2_autobaud_uart1_noled_pr
 * m128rfr2_autobaud_uart1_noled_pr_u4 m1280_autobaud_uart1_noled_pr
 * m1280_autobaud_uart1_noled_pr_u4  m1281_autobaud_uart1_noled_pr     m1281_autobaud_uart1_noled_pr_u4
 * m256rfr2_autobaud_uart1_noled_pr  m256rfr2_autobaud_uart1_noled_pr_u4
 * m2560_autobaud_uart1_noled_pr     m2560_autobaud_uart1_noled_pr_u4  m2561_autobaud_uart1_noled_pr
 * m2561_autobaud_uart1_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_pr[] = {
  0x37777776890ce59b, 0x7eeeeee963d4c656, 0x85bafad0dadcc761, 0x2e3b6d22eeeecf77, 0xc64eef2589cc864e,
  0x89fe186cf87b9827, 0x748b54088153e094, 0xe15faa935fc8bf01, 0x1df2c21e1b46f6a8, 0x21c49034171c8fd0,
  0x31602cb29be4dee9, 0xebd1f5e1c168f587, 0x61c6895403ff6608, 0x4eefd89abe07967b, 0x1dfbbf39c9b6fc0c,
  0x633937e6f3e0a830, 0x12b290dc5d4e5e53, 0x1695849c6378ce88, 0xdb33953a2adec555, 0xc330ddf094b52fca,
  0xeee3459eff102f63, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9, 0x0000004619281270,
};

/*
 * m1284rfr2_autobaud_uart1_noled_pr_ee_u4 m2564rfr2_autobaud_uart1_noled_pr_ee
 * m2564rfr2_autobaud_uart1_noled_pr_ee_u4 m128rfa1_autobaud_uart1_noled_pr_ee
 * m128rfa1_autobaud_uart1_noled_pr_ee_u4 m128rfr2_autobaud_uart1_noled_pr_ee
 * m128rfr2_autobaud_uart1_noled_pr_ee_u4 m1280_autobaud_uart1_noled_pr_ee
 * m1280_autobaud_uart1_noled_pr_ee_u4 m1281_autobaud_uart1_noled_pr_ee
 * m1281_autobaud_uart1_noled_pr_ee_u4 m256rfr2_autobaud_uart1_noled_pr_ee
 * m256rfr2_autobaud_uart1_noled_pr_ee_u4 m2560_autobaud_uart1_noled_pr_ee
 * m2560_autobaud_uart1_noled_pr_ee_u4 m2561_autobaud_uart1_noled_pr_ee
 * m2561_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_pr_ee[] = {
  0x637777776890ca20, 0x2eeeeee960f0619d, 0x4b8bcd885fb6475a, 0xd3537c2ea66e97bf, 0x747b16a8e31aa828,
  0x0c367e394c13e327, 0x54088153e095baff, 0xaa935fc8bf01748b, 0x39c61b46f6a8e15f, 0x631c8f2b9126ab5a,
  0xe2b32a391f06cc1a, 0x588a459a75a1143b, 0xab8d64d2135f4616, 0x46fa3c1673ab4b9e, 0x1b1aad743af3a778,
  0xb98b848450b3d187, 0xaa3608fd6e1bd96c, 0x0c4eefd801482a83, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8,
  0x8812b290dc5d4e5e, 0x551695849c6378ce, 0xcadb33953a2adec5, 0x63c330ddf094b52f, 0xe0eee3459eff102f,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x7049e4afdcd0ccb0, 0x000000009a9dc21f,
};

/*
 * m1284rfr2_autobaud_uart1_noled_pr_ce_u4 m128rfa1_autobaud_uart1_noled_pr_ce
 * m128rfa1_autobaud_uart1_noled_pr_ce_u4 m128rfr2_autobaud_uart1_noled_pr_ce
 * m128rfr2_autobaud_uart1_noled_pr_ce_u4 m1280_autobaud_uart1_noled_pr_ce
 * m1280_autobaud_uart1_noled_pr_ce_u4 m1281_autobaud_uart1_noled_pr_ce
 * m1281_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0xaeff0c367f674c13, 0x748b54088153e094, 0xe15faa935fc8bf01, 0x037f50521b46f6a8, 0x79e7085b79b9dfee,
  0x84bf10d8489ecb38, 0x270f000527ea3c27, 0x72df5eb26cf6e122, 0x71240f591c8e4f4f, 0xb0e62c054c6d6a48,
  0xcf1d7a3ebc382d1e, 0xb5b838d12a807fec, 0xe062777ec4d5f03c, 0x4180efddf9ce4db7, 0xf29b19c9bf379f05,
  0x7440959486e2ea72, 0x2aa8b4ac24e31bc6, 0xfcadb339538c76f6, 0xf63c330ddf094b52, 0xfe0eee3459eff102,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x27049e4afdcd0ccb, 0x00000000023756f8,
};

/*
 * m1284rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m128rfa1_autobaud_uart1_noled_pr_ee_ce
 * m128rfa1_autobaud_uart1_noled_pr_ee_ce_u4 m128rfr2_autobaud_uart1_noled_pr_ee_ce
 * m128rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m1280_autobaud_uart1_noled_pr_ee_ce
 * m1280_autobaud_uart1_noled_pr_ee_ce_u4 m1281_autobaud_uart1_noled_pr_ee_ce
 * m1281_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x0d9fc6e9827c64ee, 0x0440a9f049aeffc3, 0x49afe45f80ba45aa, 0x970da37b5470afd5, 0xbcdcec2d01bfaa32,
  0x244f659c3cf3842d, 0xa3f51e13c25f886c, 0x67b70911387ba1ba, 0xe57d44a76b1d3df3, 0x8e47c1b306b5e391,
  0x669d68450298afba, 0xd484d7d185962291, 0x7d1e0b39d5db8f51, 0x1aaf1b1d79d3bc23, 0x8b848450b3d1871b,
  0x1b044c8e1bd96cb9, 0x2777ec2ce41541d5, 0x0efddf9ce4db7e06, 0xb19c9bf379f05418, 0x0959486e2ea72f29,
  0x8b4ac24e31bc6744, 0xdb339538c76f62aa, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9,
  0x00000008227d9e70,
};

/*
 * m2564rfr2_autobaud_uart1_noled_ee_hw m128rfa1_autobaud_uart1_noled_ee_hw
 * m128rfr2_autobaud_uart1_noled_ee_hw m1280_autobaud_uart1_noled_ee_hw
 * m1281_autobaud_uart1_noled_ee_hw  m256rfr2_autobaud_uart1_noled_ee_hw
 * m2560_autobaud_uart1_noled_ee_hw  m2561_autobaud_uart1_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_ee_hw[] = {
  0x1bbbbbbb451a3e4a, 0x7777774b07830ceb, 0x5c5e6c42fdb23ad1, 0x9a9be1753374bdfa, 0x774a51d6d57d4146,
  0xf2b167e394c13e32, 0xb54088153e095baf, 0xfaa935fc8bf01748, 0xa39c61b46f6a8e15, 0xa631c8f2b9126ab5,
  0xbe2b32a391f06cc1, 0x6588a459a75a1143, 0xeab8d64d2135f461, 0x846fa3c1673ab4b9, 0x71b1aad743af3a77,
  0xcb98b848450b3d18, 0x3aa3608fd6e1bd96, 0xc0c4eefd801482a8, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a,
  0xe8812b290dc5d4e5, 0x5551695849c6378c, 0xfcadb33953a2adec, 0xbb3c330ddf094b52, 0xc3def286152256a0,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xf06797a29e4afdcd,
  0x00000000000002c4,
};

/*
 * m1284rfr2_autobaud_uart1_noled_ee_ce_u4_hw m128rfa1_autobaud_uart1_noled_ee_ce_hw
 * m128rfa1_autobaud_uart1_noled_ee_ce_u4_hw m128rfr2_autobaud_uart1_noled_ee_ce_hw
 * m128rfr2_autobaud_uart1_noled_ee_ce_u4_hw m1280_autobaud_uart1_noled_ee_ce_hw
 * m1280_autobaud_uart1_noled_ee_ce_u4_hw m1281_autobaud_uart1_noled_ee_ce_hw
 * m1281_autobaud_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0x5022054f824d77fe, 0xaa4d7f22fc05d22d, 0x94b86d1bdaa3857e, 0xdf90e761680dfd51,
  0xc244f659c3cf3842, 0x47ff51e13c25f886, 0x9b3db84889c3b397, 0x8f2bea253b58e9ef, 0xd4723e0d9835af1c,
  0x8b34eb422814c57d, 0x8ea426be8c2cb114, 0x1be8f059ceaedc7a, 0xd8d578d8ebce9de1, 0xcc5c2422859e8c38,
  0xa8d8226470decb65, 0x313bbf616720aa0e, 0xc077eefce726dbf0, 0x4d8ce4df9bcf82a0, 0x204aca4371753979,
  0x545a5612718de33a, 0x56d99ca9c63b7b15, 0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x9d52514f257ee686, 0x00000000000012a4,
};

/*
 * m2564rfr2_autobaud_uart1_lednop   m128rfa1_autobaud_uart1_lednop    m128rfr2_autobaud_uart1_lednop
 * m1280_autobaud_uart1_lednop       m1281_autobaud_uart1_lednop       m256rfr2_autobaud_uart1_lednop
 * m2560_autobaud_uart1_lednop       m2561_autobaud_uart1_lednop
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea7b3e, 0x0e82dddfab68dbd8, 0xa820c75f426eeeb6, 0xe4c13e3277617ad1,
  0x9f048caff2e3f3ef, 0x45f80ba45aa0440a, 0x37b5470afd549afe, 0xe47278ef964870da, 0xc59f490e24819a48,
  0x720a731602dee987, 0x58c11d78baf0a434, 0x189ddfb0acc67b8e, 0xf77e781013936df8, 0x804df9bcb750603b,
  0x690e1aa6f529c94e, 0x81b745021696bfc4, 0xf2b6cce9c6378ce8, 0xd8f0cc377c252d4b, 0x964b867a615c9f9f,
  0x66587494b670e271, 0x8e2cf254f257ee68, 0x000000000000d662,
};

/*
 * m1284rfr2_autobaud_uart1_lednop_pr_u4 m2564rfr2_autobaud_uart1_lednop_pr
 * m2564rfr2_autobaud_uart1_lednop_pr_u4 m128rfa1_autobaud_uart1_lednop_pr
 * m128rfa1_autobaud_uart1_lednop_pr_u4 m128rfr2_autobaud_uart1_lednop_pr
 * m128rfr2_autobaud_uart1_lednop_pr_u4 m1280_autobaud_uart1_lednop_pr
 * m1280_autobaud_uart1_lednop_pr_u4 m1281_autobaud_uart1_lednop_pr    m1281_autobaud_uart1_lednop_pr_u4
 * m256rfr2_autobaud_uart1_lednop_pr m256rfr2_autobaud_uart1_lednop_pr_u4
 * m2560_autobaud_uart1_lednop_pr    m2560_autobaud_uart1_lednop_pr_u4 m2561_autobaud_uart1_lednop_pr
 * m2561_autobaud_uart1_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_pr[] = {
  0x1bbbbbbb4486259b, 0xf777774b1ea636eb, 0x1631d7f07db1fad4, 0xcc4b8d09bbbb3dde, 0x8c9dd97762419c0b,
  0x95fe186cfbf9304f, 0x748b54088153e091, 0xe15faa935fc8bf01, 0x1df2c21e1b46f6a8, 0x21c49034171c8f6b,
  0x31602cb29a6e8ca9, 0xd7a3ebc24d234867, 0xbda1f6a807fecc11, 0x3bbf67b8281e59ed, 0xfcf0202726dbf031,
  0xbf379b48a0c077ee, 0xc354dea53929d009, 0xe31bc67440f88d21, 0xc8ab7b15545a6194, 0xe1296a5f95b66769,
  0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x461aa716e093c95f, 0x0000000000000000,
};

/*
 * m1284rfr2_autobaud_uart1_lednop_pr_ee_u4 m2564rfr2_autobaud_uart1_lednop_pr_ee
 * m2564rfr2_autobaud_uart1_lednop_pr_ee_u4 m128rfa1_autobaud_uart1_lednop_pr_ee
 * m128rfa1_autobaud_uart1_lednop_pr_ee_u4 m128rfr2_autobaud_uart1_lednop_pr_ee
 * m128rfr2_autobaud_uart1_lednop_pr_ee_u4 m1280_autobaud_uart1_lednop_pr_ee
 * m1280_autobaud_uart1_lednop_pr_ee_u4 m1281_autobaud_uart1_lednop_pr_ee
 * m1281_autobaud_uart1_lednop_pr_ee_u4 m256rfr2_autobaud_uart1_lednop_pr_ee
 * m256rfr2_autobaud_uart1_lednop_pr_ee_u4 m2560_autobaud_uart1_lednop_pr_ee
 * m2560_autobaud_uart1_lednop_pr_ee_u4 m2561_autobaud_uart1_lednop_pr_ee
 * m2561_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_pr_ee[] = {
  0x1bbbbbbb4486bf3e, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x671162b83d776468,
  0xc367c9d4c13e3277, 0x4088153e09456ff0, 0xa935fc8bf01748b5, 0x9c61b46f6a8e15fa, 0x31c8f2b32a6ab5a3,
  0x5663e391f06cc1a6, 0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x3e23268e75697911, 0x58d56ba1d79d3bc2,
  0xe62e121147408ded, 0xa8d823f5b86f65b2, 0x062777ec00838d12, 0xfddf9e0404e4db7e, 0x0137e6f36914180e,
  0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xed39156f62aa8b4c, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x001353b3315c1279,
};

/*
 * m1284rfr2_autobaud_uart1_lednop_pr_ce_u4 m128rfa1_autobaud_uart1_lednop_pr_ce
 * m128rfa1_autobaud_uart1_lednop_pr_ce_u4 m128rfr2_autobaud_uart1_lednop_pr_ce
 * m128rfr2_autobaud_uart1_lednop_pr_ce_u4 m1280_autobaud_uart1_lednop_pr_ce
 * m1280_autobaud_uart1_lednop_pr_ce_u4 m1281_autobaud_uart1_lednop_pr_ce
 * m1281_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x9bff0c367c6b4c13, 0x748b54088153e096, 0xe15faa935fc8bf01, 0x037f50521b46f6a8, 0x79e7085b79b9dfce,
  0x84bf10d8489ecb38, 0x9c3e37760fea3c27, 0xcb7d7ac9b3db8488, 0xc4903d64723f493d, 0x6731602e4907e921,
  0xf1d7a3ebc24d2348, 0xb73da1f6a807fecc, 0x0c4eefd9ee0a0796, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d,
  0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xb4e18edec5551698, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x00237527e17049e4,
};

/*
 * m1284rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m128rfa1_autobaud_uart1_lednop_pr_ee_ce
 * m128rfa1_autobaud_uart1_lednop_pr_ee_ce_u4 m128rfr2_autobaud_uart1_lednop_pr_ee_ce
 * m128rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m1280_autobaud_uart1_lednop_pr_ee_ce
 * m1280_autobaud_uart1_lednop_pr_ee_ce_u4 m1281_autobaud_uart1_lednop_pr_ee_ce
 * m1281_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0xc367cd6e609f193b, 0x4088153e090a4ff0, 0xa935fc8bf01748b5, 0x52e1b46f6a8e15fa, 0x6f373bb1f037f546,
  0x0913d9670f3ce10b, 0xbbfd4784f097e21b, 0xb3db84889c38000d, 0xf2beea53b58e9ef9, 0xc723e0d9835af1c8,
  0x669d68450298ac3d, 0xd484d7d185962291, 0xf88c9a39d5dba441, 0xc6abc6c75e74ef08, 0x3170908a3a046f6a,
  0xa3608991c37b2d97, 0x189ddfb0b30e344a, 0xf77e781013936df8, 0x04df9bcda450603b, 0x90e1aa6f529c94e8,
  0xca718de33a207c46, 0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0010441eaee093c9,
};

/*
 * m2564rfr2_autobaud_uart1_lednop_ee_hw m128rfa1_autobaud_uart1_lednop_ee_hw
 * m128rfr2_autobaud_uart1_lednop_ee_hw m1280_autobaud_uart1_lednop_ee_hw
 * m1281_autobaud_uart1_lednop_ee_hw m256rfr2_autobaud_uart1_lednop_ee_hw
 * m2560_autobaud_uart1_lednop_ee_hw m2561_autobaud_uart1_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_ee_hw[] = {
  0x1bbbbbbb451a2f43, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x775a77dadd956468,
  0xf2b167c9d4c13e32, 0xb54088153e09456f, 0xfaa935fc8bf01748, 0xa39c61b46f6a8e15, 0xa631c8f2b32a6ab5,
  0x7c5663e391f06cc1, 0xcb1148b34eb42287, 0x1171ac9a426be8c2, 0xc23e23268e756979, 0xed58d56ba1d79d3b,
  0xb2e62e121147408d, 0x12a8d823f5b86f65, 0x7e062777ec00838d, 0x0efddf9e0404e4db, 0x3a0137e6f3691418,
  0x11a4386a9bd4a725, 0x4c329c6378ce881f, 0xcced39156f62aa8b, 0xcc377c252d4bf2b6, 0xca1854895a82ecf0,
  0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x6e8a792bf734332c,
  0x0000000002c4fd56,
};

/*
 * m1284rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m128rfa1_autobaud_uart1_lednop_ee_ce_hw
 * m128rfa1_autobaud_uart1_lednop_ee_ce_u4_hw m128rfr2_autobaud_uart1_lednop_ee_ce_hw
 * m128rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m1280_autobaud_uart1_lednop_ee_ce_hw
 * m1280_autobaud_uart1_lednop_ee_ce_u4_hw m1281_autobaud_uart1_lednop_ee_ce_hw
 * m1281_autobaud_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0x54088153e090a4ff, 0xaa935fc8bf01748b, 0x652e1b46f6a8e15f, 0x6fc873bb1f037f54,
  0x61227b2ce1e79c21, 0x113fa8f09e12fc43, 0x9b3db84889c3b41c, 0x8f2beea53b58e9ef, 0xdc723e0d9835af1c,
  0x1669d68450298ac3, 0x1d484d7d18596229, 0x8f88c9a39d5dba44, 0xac6abc6c75e74ef0, 0x73170908a3a046f6,
  0xaa3608991c37b2d9, 0x8189ddfb0b30e344, 0xbf77e781013936df, 0x804df9bcda450603, 0x690e1aa6f529c94e,
  0x0ca718de33a207c4, 0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000009524cf27,
};

/*
 * m1284rfr2_autobaud_uart1_dual_pr  m1284rfr2_autobaud_uart1_dual_pr_u4
 * m128rfa1_autobaud_uart1_dual      m128rfa1_autobaud_uart1_dual_pr
 * m128rfa1_autobaud_uart1_dual_pr_u4 m128rfr2_autobaud_uart1_dual
 * m128rfr2_autobaud_uart1_dual_pr   m128rfr2_autobaud_uart1_dual_pr_u4
 * m1280_autobaud_uart1_dual         m1280_autobaud_uart1_dual_pr      m1280_autobaud_uart1_dual_pr_u4
 * m1281_autobaud_uart1_dual         m1281_autobaud_uart1_dual_pr      m1281_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual[] = {
  0x7ddddddda2437089, 0xeeeeeeeef2419f73, 0x086931eb68ebed17, 0x7d763db777560a33, 0x2bc9eb2abbeb699f,
  0x40523304f8c95c77, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da, 0xc5d2d7e6584a0129, 0xe478adb01ac70275,
  0xa1491209207bee68, 0xfcfdf045f94f9717, 0xae06ee1f0a2189f0, 0xfe4be5f2e7e43e5f, 0x97fc841690df2e2e,
  0x4dd150865a1a5221, 0x12db9c3ffa039e13, 0x7ffd3e4c161bcaf2, 0x916a81102a7c125f, 0x2bf5526bf917e02e,
  0xdf2c4d4368ded51c, 0x38920621e391f229, 0x580aa0f31eb10d24, 0xc01af0ef68ebf9cc, 0xf09f5403ff6608eb,
  0x15258a7207967b7c, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x26fcde6d228301df, 0x870d537a94e4a740,
  0x538c6f19d103e234, 0xa722adec55516986, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a,
  0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x005c17249b824f25,
};

/*
 * m128rfa1_autobaud_uart1_dual_pr_ee m128rfr2_autobaud_uart1_dual_pr_ee
 * m1280_autobaud_uart1_dual_pr_ee   m1281_autobaud_uart1_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_pr_ee[] = {
  0xf37dddddddd432db, 0x09bbbbbbbbe82b85, 0x9137b3745fb369b6, 0x0513cd8467ba7593, 0xe08ab07866743f2d,
  0x3cbcc13e326c35c8, 0x037755a8646d4521, 0x9f12e20614306d23, 0xd9f3f32c250094ee, 0xfebec0d6ce130dc5,
  0x4890490380134723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x7cbe5cfc87c8dbb0, 0x9082d21be5c5dfc9,
  0x54219686044432ff, 0xc347fd01cf098bac, 0x9f260b0de579096d, 0x4088153e0925affe, 0xa935fc8bf01748b5,
  0x9121b46f6a8e15fa, 0x2391e56bee6ab5a3, 0xaff74723e0d98305, 0x2291669d68450ef8, 0x8a973484d7d18596,
  0x223dece7569731eb, 0x8d56ba1d7a89bc39, 0x62e1211441f47cf5, 0x1b047eb70decbe96, 0xbb8a92804d7c82d5,
  0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1,
  0xced39156f62aa8b4, 0xc377c252d4bf2b6c, 0x3459eff104fb8f0c, 0x2b93f75666fe0eee, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x000208bce147049e,
};

/*
 * m128rfa1_autobaud_uart1_dual_pr_ee_u4 m128rfr2_autobaud_uart1_dual_pr_ee_u4
 * m1280_autobaud_uart1_dual_pr_ee_u4 m1281_autobaud_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4[] = {
  0xeeeeeed150fed8be, 0xddddddf415c2f9be, 0xd9ba2fd9b4db04dd, 0xe6c233dd3ac9c89b, 0x61e197d61f968289,
  0x4f8c9b0d7279d690, 0x6a191b51484f2f30, 0x81850c1b48c0ddd5, 0x961298093ba7c4b8, 0x6b670986e2ecf9f9,
  0x81c009a391ff5f60, 0xe53e5c5e85244824, 0x288627c3f3f7c117, 0x7e43e46dd81bb87c, 0x0df2e2efe4be5f2e,
  0x430222197fc84169, 0x80e784c5d62a10cb, 0x86f2bc84b6e1a3fe, 0x3e0925aff2065305, 0x8bf01748b5408815,
  0x6f6a8e15faa935fc, 0x6bee6ab5a39121b4, 0x23e0d983052391e5, 0x9d68450ef8aff747, 0x84d7d18596229166,
  0xe7569731eb8a9734, 0x1d7a89bc39223dec, 0x1441f47cf58d56ba, 0xb70decbe9662e121, 0x804d7c82d51b047e,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x6f36914180efddf9, 0xa9bd4a7253a0137e, 0x378ce881f11a4386,
  0x56f62aa8b4c329c6, 0x52d4bf2b6cced391, 0xfc40bd8f0cc377c2, 0xaccdfc1a3f8d167b, 0x87bde50c2a44ad4e,
  0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xe7933fc33c95fb9a,
  0x0000000000014a92,
};

/*
 * m128rfa1_autobaud_uart1_dual_pr_ce m128rfr2_autobaud_uart1_dual_pr_ce
 * m1280_autobaud_uart1_dual_pr_ce   m1281_autobaud_uart1_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_pr_ce[] = {
  0x7dddddddd41432db, 0xddddddddec8227f3, 0x55eeb610f508749b, 0xa6bd8beeee9ba015, 0x91c115658219d577,
  0x902a89827c64e4eb, 0x9181bbaad43236a2, 0x774f8971030a1836, 0xe2f5bff99612804a, 0x91d36f613b670b5b,
  0x0a4890490319b9a3, 0xe7ef822fca7cb8bd, 0xf03770f8510c4f87, 0xe4be5f2e7e43e5d1, 0x7fc841690df2e2ef,
  0xf22a10cb43f72219, 0x5b7383ff4073c267, 0xffa7c982c3795e42, 0x2d5022054f82595b, 0x7eaa4d7f22fc05d2,
  0x7d7e486d1bdaa385, 0xc216de6e76514057, 0x4889c3b5da1f7e79, 0xf72cf6ea5cd02bb8, 0x38920752e391c6fc,
  0xfe731602a00f7d24, 0x9e3af006bc3bda3a, 0x6b773c27d500ffd9, 0xbe77715258a72079, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x4a74026fcde6d228, 0x3e234870d537a94e, 0x16986538c6f19d10, 0xdb33b4e18edec555,
  0xc330ddf094b52fca, 0xddc68b3dfe204e33, 0xc2a44ad4eaccdfc1, 0xcd1f633b0e271a50, 0xb25c33d30ae4fc07,
  0x32c3a4a5b387138c, 0xd991c12792bf7343, 0x000000000000056b,
};

/*
 * m128rfa1_autobaud_uart1_dual_pr_ce_u4 m128rfr2_autobaud_uart1_dual_pr_ce_u4
 * m1280_autobaud_uart1_dual_pr_ce_u4 m1281_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4[] = {
  0xeeeeeed150fe8f43, 0xddddddf42f0fb9be, 0xae3bf7a339b7d7dd, 0x6a3fbbba7692664c, 0xdad4fe1a9c7912e1,
  0x4c13e325eb5cbc4f, 0xeab50c8da8a44d52, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xb0fd7381adf17986,
  0x1240eb7e68e47149, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0xcb9f90f900000ddc, 0x5a437cb8bbf92f97,
  0x32d060a8865ff210, 0xffa039e134878a84, 0xc161bcaf212dbffc, 0x054f8244ebfc8194, 0x7f22fc05d22d5022,
  0x6d1bdaa3857eaa4d, 0x8067650c0dfd7a88, 0x89ecb3879e7085bf, 0xfea3c2784bf10d84, 0x7b70911387e5a66f,
  0x38df9ee5beba9736, 0xefa4871240ea5c72, 0x7b475fce62c05401, 0x1ffb33c75e00d787, 0xe40f2d6ee784faa0,
  0x27f157ceee2a4b14, 0x013936df8189ddfb, 0xda450603bf77e781, 0xf529c94e804df9bc, 0x33a207c4690e1aa6,
  0xd8aaa2d30ca718de, 0xa5f95b66769c31db, 0x05ec78661bbe1296, 0x6fe0d1fc68b3dfe2, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x21fe19e4afdcd0cc,
  0x0000000015af628b,
};

/*
 * m1284rfr2_autobaud_uart1_dual_pr_ee_ce_u4 m128rfa1_autobaud_uart1_dual_pr_ee_ce
 * m128rfa1_autobaud_uart1_dual_pr_ee_ce_u4 m128rfr2_autobaud_uart1_dual_pr_ee_ce
 * m128rfr2_autobaud_uart1_dual_pr_ee_ce_u4 m1280_autobaud_uart1_dual_pr_ee_ce
 * m1280_autobaud_uart1_dual_pr_ee_ce_u4 m1281_autobaud_uart1_dual_pr_ee_ce
 * m1281_autobaud_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce[] = {
  0xbbbbbb4543ff2812, 0x777777bd7eece6fb, 0x18df5f4ceb54eb77, 0x45266ea01d9b3825, 0xc7f4130a56d0af62,
  0xa2fb97c7acaa719b, 0xa8a418bb5304f8c9, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0x91e2fe72fccb094c,
  0x7238003606dd9c02, 0x4292241240d52334, 0xf9fbe08bf29f2e2f, 0x4c0ddc3e144313e1, 0xc97cbe5cfc87ca1e,
  0xff9082d21be5c5df, 0xd454219683fc4432, 0xb724affa039e136e, 0x9032982c3795e425, 0x54088153e094c37f,
  0xaa935fc8bf01748b, 0x72ba1b46f6a8e15f, 0x6fe019de9a037f54, 0x61227b2ce1e79c21, 0xa9dfa8f09e12fc43,
  0x9b3db84889c3f9cb, 0x8f2b7f253b58ea6e, 0x2a391f06cc1af91c, 0x8b34eb422814c575, 0x8ea426be8c2cb114,
  0xe488f7b39d5db8c7, 0xac6abc6c75ea26f0, 0xb3170908a20fa3e7, 0x546c1132386f65f4, 0xceee2a4a59b5f20b,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xfc68b3dfe205ec78, 0x52256a75666fe0d1, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000fd5bdd521fe19,
};

/*
 * m128rfa1_autobaud_uart1_dual_ee_hw m128rfr2_autobaud_uart1_dual_ee_hw
 * m1280_autobaud_uart1_dual_ee_hw   m1281_autobaud_uart1_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_ee_hw[] = {
  0xddddddda28d0d4d6, 0xbbbbbbbe82b85f37, 0x7b3745fb369b609b, 0x3cd8467ba7593913, 0xc67d7d66e3f2d051,
  0x2f304f8c9b0d726e, 0xddd56a191b51484f, 0xc4b881850c1b48c0, 0x7cfccb094e833ba7, 0xafb035b384c37176,
  0x241240e004d1c8ff, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f236ec0d, 0x20b486f97177f25f,
  0x0865a181110cbfe4, 0xd1ff4073c262eb15, 0xa982c3795e425b70, 0x440a9f0492d7fc65, 0x9afe45f80ba45aa0,
  0x90da37b5470afd54, 0xc8f2b5f7355ad1c8, 0xfba391f06cc18291, 0x48b34eb422877c57, 0x4b9a426be8c2cb11,
  0x1ef673ab4b98f5c5, 0xab5d0ebd44de1c91, 0x70908a20fa3e7ac6, 0x823f5b86f65f4b31, 0xc5494026be416a8d,
  0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0, 0x94e31bc67440f88d,
  0x69c8ab7b15545a61, 0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x0000005839507dd4,
};

/*
 * m1284rfr2_autobaud_uart1_dual_ee_ce_u4_hw m128rfa1_autobaud_uart1_dual_ee_ce_hw
 * m128rfa1_autobaud_uart1_dual_ee_ce_u4_hw m128rfr2_autobaud_uart1_dual_ee_ce_hw
 * m128rfr2_autobaud_uart1_dual_ee_ce_u4_hw m1280_autobaud_uart1_dual_ee_ce_hw
 * m1280_autobaud_uart1_dual_ee_ce_u4_hw m1281_autobaud_uart1_dual_ee_ce_hw
 * m1281_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d10668, 0xbbbbbbbdebf76737, 0x28c6fafa675aa75b, 0x1229337500ecd9c1, 0x0373341852b6857b,
  0x7c64d17dcaae3ec0, 0x8646d4520c5da982, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x6700a478bf9cbf32,
  0x48cd1c8e000d81b7, 0xcb8bd0a489049035, 0xc4f87e7ef822fca7, 0xf2879303770f8510, 0x7177f25f2f973f21,
  0x110cbfe420b486f9, 0x84dbb5150865a0ff, 0x79096dc92bfe80e7, 0x30dff196a60b0de5, 0x5d22d5022054f825,
  0x3857eaa4d7f22fc0, 0xdfd51cae86d1bdaa, 0xf3842df90e77a680, 0x5f886c244f659c3c, 0x7ba1baa3f51e13c2,
  0x1d4dd367b7091138, 0x5f2391e56fe4a76b, 0x98aea54723e0d983, 0x962291669d684502, 0xb718f1d484d7d185,
  0x44de1c911ef673ab, 0xf47cf58d578d8ebd, 0xecbe9662e1211441, 0xbe416a8d8226470d, 0xfe2af9ddc5494b36,
  0x2726dbf0313bbf64, 0x48a0c077eefcf020, 0xa53929d009bf379b, 0x7440f88d21c354de, 0x15545a6194e31bc6,
  0xbf2b6cced3863b7b, 0x2ecf0cc377c252d4, 0xf0f7bca1854895a8, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x4c99e5e8a792bf73, 0x0000000000000213,
};

/*
 * m1284rfr2_u1x8_uart0_noled_pr     m2564rfr2_u1x8_uart0_noled        m2564rfr2_u1x8_uart0_noled_pr
 * m128rfa1_u1x8_uart0_noled         m128rfa1_u1x8_uart0_noled_pr      m128rfr2_u1x8_uart0_noled
 * m128rfr2_u1x8_uart0_noled_pr      m1280_u1x8_uart0_noled            m1280_u1x8_uart0_noled_pr
 * m1281_u1x8_uart0_noled            m1281_u1x8_uart0_noled_pr         m256rfr2_u1x8_uart0_noled
 * m256rfr2_u1x8_uart0_noled_pr      m2560_u1x8_uart0_noled            m2560_u1x8_uart0_noled_pr
 * m2561_u1x8_uart0_noled            m2561_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffcb8fcfe49304f8, 0xce6fed100b7b027b, 0x92391f9e3be5921d, 0x30f9d05243892066, 0x4b478cce62c05bdd,
  0xb8e58c11d78baf0d, 0xdf81895af615920b, 0x054180ef5af39c2c, 0x39794d8ce16f379f, 0xe33a204aca437175,
  0x7b15545a5612718d, 0xd4bf2b6cce54e8ab, 0x04fb8f0cc377c252, 0x8f2068fe3459eff1, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x28792a792bf73433, 0x000000000007c81c,
};

/*
 * m2564rfr2_u1x8_uart0_noled_pr_u4  m128rfa1_u1x8_uart0_noled_pr_u4   m128rfr2_u1x8_uart0_noled_pr_u4
 * m1280_u1x8_uart0_noled_pr_u4      m1281_u1x8_uart0_noled_pr_u4      m256rfr2_u1x8_uart0_noled_pr_u4
 * m2560_u1x8_uart0_noled_pr_u4      m2561_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfc30d9f9c6609f19, 0xe6fed100b7b025f3, 0xe391fa03be5843dc, 0x7c9bdd2438920682, 0x2d1eb0e62c059653,
  0x7fecc11d7a3ebc38, 0xc0f2cf6c38d12a80, 0x166fc0c4ad7b1357, 0xcf82a0c077ad79ce, 0xba9cbca6c670b79b,
  0xc6f19d10256521b8, 0x55bd8aaa2d2b0938, 0x296a5f95b6672a74, 0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d,
  0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389,
  0x4ed98ae093c95fb9, 0x000000000000003e,
};

/*
 * m1284rfr2_u1x8_uart0_noled_pr_ee_u4 m2564rfr2_u1x8_uart0_noled_pr_ee
 * m2564rfr2_u1x8_uart0_noled_pr_ee_u4 m128rfa1_u1x8_uart0_noled_pr_ee
 * m128rfa1_u1x8_uart0_noled_pr_ee_u4 m128rfr2_u1x8_uart0_noled_pr_ee
 * m128rfr2_u1x8_uart0_noled_pr_ee_u4 m1280_u1x8_uart0_noled_pr_ee
 * m1280_u1x8_uart0_noled_pr_ee_u4   m1281_u1x8_uart0_noled_pr_ee      m1281_u1x8_uart0_noled_pr_ee_u4
 * m256rfr2_u1x8_uart0_noled_pr_ee   m256rfr2_u1x8_uart0_noled_pr_ee_u4
 * m2560_u1x8_uart0_noled_pr_ee      m2560_u1x8_uart0_noled_pr_ee_u4   m2561_u1x8_uart0_noled_pr_ee
 * m2561_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0x367d82cc13e32774, 0x68805bd811c3ff0c, 0x126ab5a39c6e737f, 0xf06cc1a631c8f2b9, 0x5a1143be2b32a391,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0xaf3a77846fa3c167, 0x0b3d1871b1aad743, 0xe1bd96cb98b84845,
  0x1482a83aa3608fd6, 0xe70b37e06256bd80, 0xcde7c150603bd6bc, 0xdc5d4e5e5363385b, 0x9c6378ce8812b290,
  0x3a2adec555169584, 0xf094b52fcadb3395, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x09d7bc937049e4af,
};

/*
 * m1284rfr2_u1x8_uart0_noled_pr_ce_u4 m128rfa1_u1x8_uart0_noled_pr_ce
 * m128rfa1_u1x8_uart0_noled_pr_ce_u4 m128rfr2_u1x8_uart0_noled_pr_ce
 * m128rfr2_u1x8_uart0_noled_pr_ce_u4 m1280_u1x8_uart0_noled_pr_ce
 * m1280_u1x8_uart0_noled_pr_ce_u4   m1281_u1x8_uart0_noled_pr_ce      m1281_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x39bfb4402dec09d2, 0xcdceff701bfa8297, 0x44f659c3cf3842db, 0x3f51e13c25f886c2,
  0x67b7091138780029, 0xe4727a7b96faf593, 0x636b524389207ac8, 0xe1c168f58731602a, 0x5403ff6678ebd1f5,
  0x26af81e5adc1c689, 0xf39c2cdf81895af6, 0x6f379f054180ef5a, 0x43717539794d8ce1, 0x12718de33a204aca,
  0xa9c63b7b15545a56, 0xef84a5a97e56d99c, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a, 0x9ffde1ef79430a91,
  0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x006eb8d523824f25,
};

/*
 * m1284rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m128rfa1_u1x8_uart0_noled_pr_ee_ce
 * m128rfa1_u1x8_uart0_noled_pr_ee_ce_u4 m128rfr2_u1x8_uart0_noled_pr_ee_ce
 * m128rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m1280_u1x8_uart0_noled_pr_ee_ce
 * m1280_u1x8_uart0_noled_pr_ee_ce_u4 m1281_u1x8_uart0_noled_pr_ee_ce
 * m1281_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0xa2016f605ff3fc30, 0x80dfd5194bb9cdfd, 0x1e79c216de6e7616, 0xe12fc4361227b2ce,
  0x9c3dd0dd51fa8f09, 0xb58e9ef9b3db8488, 0x835af1c8f2bea253, 0x814c57dd4723e0d9, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0xbce9de11be8f059c, 0x59e8c38d8d578d8e, 0x0decb65cc5c24228, 0x720aa0ea8d822647,
  0x9c2cdf81895af616, 0x379f054180ef5af3, 0x717539794d8ce16f, 0x718de33a204aca43, 0xc63b7b15545a5612,
  0x84a5a97e56d99ca9, 0xf7f8817b1e1986ef, 0x53ab337f07771a2c, 0xfde1ef79430a912b, 0xb19d871fc65f989f,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x27e596fb824f257e,
};

/*
 * m2564rfr2_u1x8_uart0_noled_ee_hw  m128rfa1_u1x8_uart0_noled_ee_hw   m128rfr2_u1x8_uart0_noled_ee_hw
 * m1280_u1x8_uart0_noled_ee_hw      m1281_u1x8_uart0_noled_ee_hw      m256rfr2_u1x8_uart0_noled_ee_hw
 * m2560_u1x8_uart0_noled_ee_hw      m2561_u1x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xed100b7b02387fe5, 0x224d56b4738dce6f, 0x3e0d9834c6391e57, 0xeb422877c5665472,
  0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x75e74ef08df4782c, 0xa167a30e36355ae8, 0xdc37b2d973170908,
  0x02905507546c11fa, 0x9ce166fc0c4ad7b0, 0x79bcf82a0c077ad7, 0x1b8ba9cbca6c670b, 0x938c6f19d1025652,
  0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0x2a44ad417678661b, 0x7e627ff787bde50c, 0x619a3ec6761c7f19,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00000016f918ff45,
};

/*
 * m1284rfr2_u1x8_uart0_noled_ee_ce_u4_hw m128rfa1_u1x8_uart0_noled_ee_ce_hw
 * m128rfa1_u1x8_uart0_noled_ee_ce_u4_hw m128rfr2_u1x8_uart0_noled_ee_ce_hw
 * m128rfr2_u1x8_uart0_noled_ee_ce_u4_hw m1280_u1x8_uart0_noled_ee_ce_hw
 * m1280_u1x8_uart0_noled_ee_ce_u4_hw m1281_u1x8_uart0_noled_ee_ce_hw
 * m1281_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda2016f605ff3fca, 0x680dfd5194bb9cdf, 0xc3cf3842df90e761, 0x3c25f886c244f659,
  0x89c3b39747ff51e1, 0x3b58e9ef9b3db848, 0x9835af1c8f2bea25, 0x2814c57dd4723e0d, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xebce9de11be8f059, 0x859e8c38d8d578d8, 0x70decb65cc5c2422, 0x6720aa0ea8d82264,
  0x39c2cdf81895af61, 0xf379f054180ef5af, 0x3717539794d8ce16, 0x2718de33a204aca4, 0x9c63b7b15545a561,
  0xf84a5a97e56d99ca, 0xa912b505d9e1986e, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000000a021d52514,
};

/*
 * m1284rfr2_u1x8_uart0_lednop_pr    m2564rfr2_u1x8_uart0_lednop       m2564rfr2_u1x8_uart0_lednop_pr
 * m128rfa1_u1x8_uart0_lednop        m128rfa1_u1x8_uart0_lednop_pr     m128rfr2_u1x8_uart0_lednop
 * m128rfr2_u1x8_uart0_lednop_pr     m1280_u1x8_uart0_lednop           m1280_u1x8_uart0_lednop_pr
 * m1281_u1x8_uart0_lednop           m1281_u1x8_uart0_lednop_pr        m256rfr2_u1x8_uart0_lednop
 * m256rfr2_u1x8_uart0_lednop_pr     m2560_u1x8_uart0_lednop           m2560_u1x8_uart0_lednop_pr
 * m2561_u1x8_uart0_lednop           m2561_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x3fcb8fcf829304f8, 0xce6fed100b7b02f9, 0x92391c9e3be5921d, 0x32636b5243892066, 0xfe8e414e62c05bdd,
  0x71cb1823af175e1a, 0xdf81895af61581c7, 0x80ef5af3c0809c2c, 0x29d002de6f369141, 0xf88d21c354dea539,
  0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0x7f1a2cf7f8827dc7, 0x985727eeacc79034,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000007c869c3c95,
};

/*
 * m2564rfr2_u1x8_uart0_lednop_pr_u4 m128rfa1_u1x8_uart0_lednop_pr_u4  m128rfr2_u1x8_uart0_lednop_pr_u4
 * m1280_u1x8_uart0_lednop_pr_u4     m1281_u1x8_uart0_lednop_pr_u4     m256rfr2_u1x8_uart0_lednop_pr_u4
 * m2560_u1x8_uart0_lednop_pr_u4     m2561_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xff0c367cf59827c6, 0x737f68805bd814be, 0x71c8f6b1df2c21ee, 0xa6e8ca921c490341, 0xd23486731602cb29,
  0x7fecc11d7a3ebc24, 0x81e59edbda1f6a80, 0x2cdf81895af67b82, 0x4180ef5af3c0809c, 0x3929d002de6f3691,
  0x40f88d21c354dea5, 0x545a6194e31bc674, 0x95b66769c8ab7b15, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e,
  0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xe093c95fb9a19961, 0x000000003e4fecb4,
};

/*
 * m1284rfr2_u1x8_uart0_lednop_pr_ee_u4 m2564rfr2_u1x8_uart0_lednop_pr_ee
 * m2564rfr2_u1x8_uart0_lednop_pr_ee_u4 m128rfa1_u1x8_uart0_lednop_pr_ee
 * m128rfa1_u1x8_uart0_lednop_pr_ee_u4 m128rfr2_u1x8_uart0_lednop_pr_ee
 * m128rfr2_u1x8_uart0_lednop_pr_ee_u4 m1280_u1x8_uart0_lednop_pr_ee
 * m1280_u1x8_uart0_lednop_pr_ee_u4  m1281_u1x8_uart0_lednop_pr_ee     m1281_u1x8_uart0_lednop_pr_ee_u4
 * m256rfr2_u1x8_uart0_lednop_pr_ee  m256rfr2_u1x8_uart0_lednop_pr_ee_u4
 * m2560_u1x8_uart0_lednop_pr_ee     m2560_u1x8_uart0_lednop_pr_ee_u4  m2561_u1x8_uart0_lednop_pr_ee
 * m2561_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0x367f2b4c13e32775, 0x68805bd81143ff0c, 0x2a6ab5a39c6e737f, 0xf06cc1a631c8f2b3, 0xb422877c5663e391,
  0x6be8c2cb1148b34e, 0x7569791171ac9a42, 0xd79d3bc23e23268e, 0x47408ded58d56ba1, 0xb86f65b2e62e1211,
  0x00838d12a8d823f5, 0x013859bf0312b5ec, 0x6d228301deb5e781, 0xbd4a7253a005bcde, 0x8ce881f11a4386a9,
  0xf62aa8b4c329c637, 0xd4bf2b6cced39156, 0x40bd8f0cc377c252, 0x99bf83bb8d167bfc, 0xf7bca1854895a9d5,
  0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x3539c12792bf7343,
  0x000000000000275c,
};

/*
 * m1284rfr2_u1x8_uart0_lednop_pr_ce_u4 m128rfa1_u1x8_uart0_lednop_pr_ce
 * m128rfa1_u1x8_uart0_lednop_pr_ce_u4 m128rfr2_u1x8_uart0_lednop_pr_ce
 * m128rfr2_u1x8_uart0_lednop_pr_ce_u4 m1280_u1x8_uart0_lednop_pr_ce
 * m1280_u1x8_uart0_lednop_pr_ce_u4  m1281_u1x8_uart0_lednop_pr_ce     m1281_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x739bfb4402dec08b, 0xbcdcefe701bfa829, 0x244f659c3cf3842d, 0x07f51e13c25f886c,
  0xd9edc2444e1f1bbb, 0x391fa49ee5bebd64, 0x2483f490e2481eb2, 0xe12691a43398b017, 0x5403ff6678ebd1f5,
  0xf70503cb5b9ed0fb, 0x013859bf0312b5ec, 0x6d228301deb5e781, 0xbd4a7253a005bcde, 0x8ce881f11a4386a9,
  0xf62aa8b4c329c637, 0xa97e56d99da70c76, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xa373824f257ee686,
  0x000000000000dd75,
};

/*
 * m1284rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m128rfa1_u1x8_uart0_lednop_pr_ee_ce
 * m128rfa1_u1x8_uart0_lednop_pr_ee_ce_u4 m128rfr2_u1x8_uart0_lednop_pr_ee_ce
 * m128rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m1280_u1x8_uart0_lednop_pr_ee_ce
 * m1280_u1x8_uart0_lednop_pr_ee_ce_u4 m1281_u1x8_uart0_lednop_pr_ee_ce
 * m1281_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0xa2016f6049b7fe18, 0xc0dfd5194bb9cdfd, 0x3cf3842dbcdceec7, 0xc25f886c244f659c,
  0x70e00036eff51e13, 0xd63a7be6cf6e1222, 0x0d6bc723cafba94e, 0x0a62b0f71c8f8366, 0x16588a459a75a114,
  0x576e910752135f46, 0x79d3bc23e23268e7, 0xe811bdab1aaf1b1d, 0x0decb65cc5c24228, 0xcc38d12a8d822647,
  0x13859bf0312b5ec2, 0xd228301deb5e7810, 0xd4a7253a005bcde6, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e,
  0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0xf0b824f257ee6866, 0x000000000004fcf3,
};

/*
 * m2564rfr2_u1x8_uart0_lednop_ee_hw m128rfa1_u1x8_uart0_lednop_ee_hw  m128rfr2_u1x8_uart0_lednop_ee_hw
 * m1280_u1x8_uart0_lednop_ee_hw     m1281_u1x8_uart0_lednop_ee_hw     m256rfr2_u1x8_uart0_lednop_ee_hw
 * m2560_u1x8_uart0_lednop_ee_hw     m2561_u1x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0xf68805bd81143ff2, 0x32a6ab5a39c6e737, 0x1f06cc1a631c8f2b, 0xeb422877c5663e39,
  0x26be8c2cb1148b34, 0xe7569791171ac9a4, 0x1d79d3bc23e23268, 0x147408ded58d56ba, 0x5b86f65b2e62e121,
  0xc00838d12a8d823f, 0x1013859bf0312b5e, 0xe6d228301deb5e78, 0x9bd4a7253a005bcd, 0x78ce881f11a4386a,
  0x6f62aa8b4c329c63, 0x2d4bf2b6cced3915, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x002dfea41e8a792b,
};

/*
 * m1284rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m128rfa1_u1x8_uart0_lednop_ee_ce_hw
 * m128rfa1_u1x8_uart0_lednop_ee_ce_u4_hw m128rfr2_u1x8_uart0_lednop_ee_ce_hw
 * m128rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m1280_u1x8_uart0_lednop_ee_ce_hw
 * m1280_u1x8_uart0_lednop_ee_ce_u4_hw m1281_u1x8_uart0_lednop_ee_ce_hw
 * m1281_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd100b7b024dbff2b, 0xe06fea8ca5dce6fe, 0x3cf3842df90e7763, 0xc25f886c244f659c,
  0x3876838227f51e13, 0x6b1d3df367b70911, 0x06b5e391e57dd4a7, 0x0531587b8e47c1b3, 0x0b2c4522cd3ad08a,
  0xabb74883a909afa3, 0xbce9de11f1193473, 0x7408ded58d578d8e, 0x86f65b2e62e12114, 0x661c689546c11323,
  0x09c2cdf81895af61, 0x6914180ef5af3c08, 0xea53929d002de6f3, 0x67440f88d21c354d, 0xb15545a6194e31bc,
  0x4bf2b6cced3863b7, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xa0240fba8a792bf7,
};

/*
 * m1284rfr2_u1x8_uart0_dual_pr      m1284rfr2_u1x8_uart0_dual_pr_u4   m128rfa1_u1x8_uart0_dual
 * m128rfa1_u1x8_uart0_dual_pr       m128rfa1_u1x8_uart0_dual_pr_u4    m128rfr2_u1x8_uart0_dual
 * m128rfr2_u1x8_uart0_dual_pr       m128rfr2_u1x8_uart0_dual_pr_u4    m1280_u1x8_uart0_dual
 * m1280_u1x8_uart0_dual_pr          m1280_u1x8_uart0_dual_pr_u4       m1281_u1x8_uart0_dual
 * m1281_u1x8_uart0_dual_pr          m1281_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8befbfccb0940253, 0xc8e50f60a78e195b,
  0x4292241240e43cd1, 0xf9fbe08bf29f2e2f, 0x6c0ddc3e144313e1, 0xfc97cbe5cfc87ca7, 0x2ff9082d21be5c5d,
  0x8ca2a10cb4131443, 0x25b780dff4073c26, 0xfffa7c982c3795e4, 0x9cdfda2016f60413, 0x3c723e453be589ab,
  0x63d621a4871240c4, 0xed1d7f398b01541e, 0x7fecc11d78035e1d, 0x40f2cf6f9e13ea80, 0x7f157ceee2a4b14e,
  0x04e166fc0c4ad7b2, 0xb48a0c077ad79e04, 0xf529c94e8016f379, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0x52fcadb33b4e455b, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x0567049e4afdcd0c, 0x0000000000014934,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ee    m128rfr2_u1x8_uart0_dual_pr_ee    m1280_u1x8_uart0_dual_pr_ee
 * m1281_u1x8_uart0_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xf99612804a774f89, 0xb0b5b3856ff17801,
  0x2481eed4d1c8f3b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0xcb9f90f929201bb8, 0x5a437cb8bbf92f97,
  0x32d04ac8865ff210, 0xffa039e132fb8a84, 0x82c3795e425b7eaf, 0x016f605befffa7c9, 0xaad68e44b9cdfda2,
  0x660c148e4795afb9, 0x143be2bfdd1c8f83, 0x4616588a459a75a1, 0x5cc7ae2a5cd2135f, 0x26f0e488f7b39d5a,
  0xd1f3d6355ae875ea, 0xb2fa598b84845107, 0xf20b546c11fadc37, 0xf157ceee2a4a0135, 0x4e166fc0c4ad7b27,
  0x48a0c077ad79e040, 0x529c94e8016f379b, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x2fcadb33b4e455bd,
  0x4e33c330ddf094b5, 0xdfc1ddc68b3dfe20, 0x1a50c2a44ad4eacc, 0xfc07cd1f633b0e27, 0x138cb25c33d30ae4,
  0x734332c3a4a5b387, 0x00ac8811c12792bf,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ee_u4 m128rfr2_u1x8_uart0_dual_pr_ee_u4 m1280_u1x8_uart0_dual_pr_ee_u4
 * m1281_u1x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x5ed6ff32c250094e, 0x3eed6c136ce13b7c,
  0x49120920663f3472, 0xfdf045f94f9717a1, 0x06ee1f0a2189f0fc, 0x4be5f2e7e43e4950, 0xfc841690df2e2efe,
  0xe2a10cb42a522197, 0x6e4ebfe80e784d1e, 0xf4f930586f2bc84b, 0xbfb4402dec0a577f, 0x5995355ad1e95739,
  0xc8f83660fe48e479, 0xd3ad08a1df15c891, 0x909afa30b2c4522c, 0x8e756973d57082e6, 0x875ed62bc222a326,
  0x8a2bfa37b56355ae, 0xadc37b2e3e317090, 0xabe77715255c0fbf, 0x0b37e06256bd93f8, 0xde603bd6bcf02027,
  0x5392296af3a005bc, 0x02169c05ef9485eb, 0xe9c6378ce8811d45, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x00002b22681c1279,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ce    m128rfr2_u1x8_uart0_dual_pr_ce    m1280_u1x8_uart0_dual_pr_ce
 * m1281_u1x8_uart0_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xf5bff99612804a77, 0xd36f613b670b5be2,
  0x4890490319b9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0xbe5f2e7e43e5d1f0, 0xc841690df2e2efe4,
  0x2a10cb43f722197f, 0x7383ff4073c267f2, 0xa7c982c3795e425b, 0xfda2016f60595bff, 0x7650c0dfd7a8b9cd,
  0xb2ce1e79c216de6e, 0x8f09e12fc4361227, 0xe122270ed7687dfa, 0xbf3dcb7d752e6cf6, 0x490e2481d4b8e471,
  0x8ebf9cc580a803df, 0xf6678ebc01af0ef6, 0x1e5addcf09f5403f, 0xe2af9ddc549629c8, 0x9c2cdf81895af64f,
  0x914180ef5af3c080, 0xa53929d002de6f36, 0x7440f88d21c354de, 0x15545a6194e31bc6, 0xbf2b6cced3863b7b,
  0x38cf0cc377c252d4, 0x7f07771a2cf7f881, 0x69430a912b53ab33, 0xf01f347d8cec389c, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0x01a48647049e4afd,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ce_u4 m128rfr2_u1x8_uart0_dual_pr_ce_u4 m1280_u1x8_uart0_dual_pr_ce_u4
 * m1281_u1x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xa38be9afccb09402, 0xa391ec7f61ff0e01,
  0xbd0a48904903a1f9, 0x87e7ef822fca7cb8, 0xeb303770f8510c4f, 0x77f25f2f973f21f2, 0x0cbfe420b486f971,
  0x36df8a8432d07f11, 0x212db9c1ffa039e1, 0xadffd3e4c161bcaf, 0x5ce6fed100b7b02c, 0xde6e775280dfd65f,
  0x1227b2ce1e79c216, 0xddfa8f09e12fc436, 0x6cf6e122270e87d8, 0xe47b873dcb7d61c6, 0x0f49490e24818718,
  0x1afe8ded1cc580b1, 0x8ee39633c75e45de, 0xfc55f3bb8a928e83, 0x13859bf0312b5ec9, 0x5ba8301deb5e7810,
  0xbd4a7253a005bcde, 0x85a5aff11a4386a9, 0xe31bc67440db8c60, 0xbe1296a5f95b6674, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x00692245ee093c95,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ee_ce m128rfr2_u1x8_uart0_dual_pr_ee_ce m1280_u1x8_uart0_dual_pr_ee_ce
 * m1281_u1x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xff32c250094ee9f1, 0xec2618e0cf9c5fac,
  0x04903149347239ad, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xe5cfc87c82910377, 0x2d21be5c5dfc97cb,
  0x19684ae4432ff908, 0x7fd01cf098a1c542, 0x60b0de579096df4d, 0x805bd8105affe9f2, 0x5df547fbae737f68,
  0xe7085b79b9d9c101, 0xe122270ecf9d67f9, 0xa53b5f88c43340ae, 0x06cc1a631c8f2b32, 0x422814c5663e391f,
  0xbe8c2cb1148b34eb, 0x439d5dbb6f8ea426, 0xb1d7b58af0bde8fa, 0x45170d1d4bb1aaf1, 0xc8e1bd971f18b848,
  0x57ceee2a4b8c5af8, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0x9c94e8016f379b48, 0x207c4690e1aa6f52,
  0xaa2d30ca718de33a, 0x95b66769c31dbd8a, 0xc78661bbe1296a5f, 0x07771a2cf7f8827d, 0x67a615c9fbab337f,
  0x494b670e271964b8, 0x824f257ee6866587, 0x00000000026098db,
};

/*
 * m128rfa1_u1x8_uart0_dual_pr_ee_ce_u4 m128rfr2_u1x8_uart0_dual_pr_ee_ce_u4
 * m1280_u1x8_uart0_dual_pr_ee_ce_u4 m1281_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0x37f8baa47f32c253,
  0xa391fa3fb0524387, 0xbd0a48904903a4a9, 0x87e7ef822fca7cb8, 0xebe03770f8510c4f, 0xdfc97cbe5cfc87c8,
  0x32ff9082d21be5c5, 0x13a8a8432d0e9f44, 0x25b7bc3ffa039e13, 0xff9032982c3795e4, 0x737f68805bd8156f,
  0x9de9a037f5472bae, 0xb2ce1e79c216fe01, 0x8f09e12fc4361227, 0x84889c3f9cba9dfa, 0xf253b58ea6e9b3db,
  0xf06cc1af91c8f2b7, 0xb422814c5752a391, 0x6be8c2cb1148b34e, 0x7b39d5db8c78ea42, 0xc6c75ea26f0e488f,
  0x908a20fa3e7ac6ab, 0x132386f65f4b3170, 0xa4a59b5f20b546c1, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c,
  0x16f379b48a0c077a, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c, 0xbe1296a5f95b6676,
  0xb3dfe205ec78661b, 0x6a75666fe0d1fc68, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x800da6b1fe19e4af,
};

/*
 * m128rfa1_u1x8_uart0_dual_ee_hw    m128rfr2_u1x8_uart0_dual_ee_hw    m1280_u1x8_uart0_dual_ee_hw
 * m1281_u1x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xf003f32c253a0cee, 0xe76f616b670adfe2,
  0x48904903dda9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f25240, 0xe420b486f97177f2,
  0x150865a095910cbf, 0xfd5fff4073c265f7, 0xcb530586f2bc84b6, 0xf68805bd816fbff8, 0xbee6ab5a3912e737,
  0x3e0d983052391e56, 0xd68450ef8aff7472, 0x4d7d185962291669, 0x7569731eb8a97348, 0xd7a89bc39223dece,
  0x441f47cf58d56ba1, 0x70decbe9662e1211, 0x04d7c82d51b047eb, 0xec9fc55f3bb8a928, 0x81013859bf0312b5,
  0xde6d228301deb5e7, 0xa9bd4a7253a005bc, 0x378ce881f11a4386, 0x56f62aa8b4c329c6, 0x52d4bf2b6cced391,
  0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x0015da9176a8a792,
};

/*
 * m1284rfr2_u1x8_uart0_dual_ee_ce_u4_hw m128rfa1_u1x8_uart0_dual_ee_ce_hw
 * m128rfa1_u1x8_uart0_dual_ee_ce_u4_hw m128rfr2_u1x8_uart0_dual_ee_ce_hw
 * m128rfr2_u1x8_uart0_dual_ee_ce_u4_hw m1280_u1x8_uart0_dual_ee_ce_hw
 * m1280_u1x8_uart0_dual_ee_ce_u4_hw m1281_u1x8_uart0_dual_ee_ce_hw    m1281_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x438737f8baa47f32,
  0xa4a9a391fa3fb052, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x87c8ebe03770f851, 0xe5c5dfc97cbe5cfc,
  0x9f4432ff9082d21b, 0x9e1313a8a8432d0e, 0x95e425b7bc3ffa03, 0x156fffc65a982c37, 0x2bae737f68805bd8,
  0x7e439de9a037f547, 0x0913d9670f3ce10b, 0xa8fd4784f097e21b, 0xd9edc2444e1ee86e, 0x795bf929dac75374,
  0x51c8f83660d7c8e4, 0x59a75a1140a62ba9, 0x752135f4616588a4, 0x2447bd9ceaedc63c, 0x6355e363af513787,
  0x98b84845107d1f3d, 0xa3608991c37b2fa5, 0x77715252cdaf905a, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3,
  0xa7400b79bcda4506, 0xe234870d537a94e4, 0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad,
  0xf286152256a0bb3c, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x93a29e4afdcd0ccb, 0x00000000003aea47,
};

/*
 * m1284rfr2_u1x8_uart1_noled_pr     m2564rfr2_u1x8_uart1_noled        m2564rfr2_u1x8_uart1_noled_pr
 * m128rfa1_u1x8_uart1_noled         m128rfa1_u1x8_uart1_noled_pr      m128rfr2_u1x8_uart1_noled
 * m128rfr2_u1x8_uart1_noled_pr      m1280_u1x8_uart1_noled            m1280_u1x8_uart1_noled_pr
 * m1281_u1x8_uart1_noled            m1281_u1x8_uart1_noled_pr         m256rfr2_u1x8_uart1_noled
 * m256rfr2_u1x8_uart1_noled_pr      m2560_u1x8_uart1_noled            m2560_u1x8_uart1_noled_pr
 * m2561_u1x8_uart1_noled            m2561_u1x8_uart1_noled_pr
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffcb8fcfe49304f8, 0x716fed32637b027b, 0x92391f9e3be5921d, 0x30f9d05243892066, 0x4b478cce62c05bdd,
  0xb8e58c11d78baf0d, 0xbf0313bbf615920b, 0x2a0c077eefce726d, 0x9794d8ce4df9bcf8, 0x33a204aca4371753,
  0xb15545a5612718de, 0x4bf2b6cce54e8ab7, 0x4fb8f0cc377c252d, 0xf2068fe3459eff10, 0x5c33d30ae4fdd598,
  0xc3a4a5b387138cb2, 0x8792a792bf734332, 0x00000000007c81c2,
};

/*
 * m2564rfr2_u1x8_uart1_noled_pr_u4  m128rfa1_u1x8_uart1_noled_pr_u4   m128rfr2_u1x8_uart1_noled_pr_u4
 * m1280_u1x8_uart1_noled_pr_u4      m1281_u1x8_uart1_noled_pr_u4      m256rfr2_u1x8_uart1_noled_pr_u4
 * m2560_u1x8_uart1_noled_pr_u4      m2561_u1x8_uart1_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfc30d9f9c6609f19, 0x16fed32637b025f3, 0xe391fa03be5843d7, 0x7c9bdd2438920682, 0x2d1eb0e62c059653,
  0x7fecc11d7a3ebc38, 0xc0f2cf6c38d12a80, 0x36df8189ddfb1357, 0x7c150603bf77e739, 0xa9cbca6c6726fcde,
  0x6f19d10256521b8b, 0x5bd8aaa2d2b0938c, 0x96a5f95b6672a745, 0xe205ec78661bbe12, 0xaccdfc1ddc68b3df,
  0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0xed98ae093c95fb9a, 0x00000000000003e4,
};

/*
 * m1284rfr2_u1x8_uart1_noled_pr_ee_u4 m2564rfr2_u1x8_uart1_noled_pr_ee
 * m2564rfr2_u1x8_uart1_noled_pr_ee_u4 m128rfa1_u1x8_uart1_noled_pr_ee
 * m128rfa1_u1x8_uart1_noled_pr_ee_u4 m128rfr2_u1x8_uart1_noled_pr_ee
 * m128rfr2_u1x8_uart1_noled_pr_ee_u4 m1280_u1x8_uart1_noled_pr_ee
 * m1280_u1x8_uart1_noled_pr_ee_u4   m1281_u1x8_uart1_noled_pr_ee      m1281_u1x8_uart1_noled_pr_ee_u4
 * m256rfr2_u1x8_uart1_noled_pr_ee   m256rfr2_u1x8_uart1_noled_pr_ee_u4
 * m2560_u1x8_uart1_noled_pr_ee      m2560_u1x8_uart1_noled_pr_ee_u4   m2561_u1x8_uart1_noled_pr_ee
 * m2561_u1x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0x367d82cc13e32774, 0x69931bd811c3ff0c, 0x126ab5a39c6b8b7f, 0xf06cc1a631c8f2b9, 0x5a1143be2b32a391,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0xaf3a77846fa3c167, 0x0b3d1871b1aad743, 0xe1bd96cb98b84845,
  0x1482a83aa3608fd6, 0x9c9b6fc0c4eefd80, 0x6f3e0a8301dfbbf3, 0xc5d4e5e53633937e, 0xc6378ce8812b290d,
  0xa2adec5551695849, 0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9d7bc937049e4afd,
};

/*
 * m1284rfr2_u1x8_uart1_noled_pr_ce_u4 m128rfa1_u1x8_uart1_noled_pr_ce
 * m128rfa1_u1x8_uart1_noled_pr_ce_u4 m128rfr2_u1x8_uart1_noled_pr_ce
 * m128rfr2_u1x8_uart1_noled_pr_ce_u4 m1280_u1x8_uart1_noled_pr_ce
 * m1280_u1x8_uart1_noled_pr_ce_u4   m1281_u1x8_uart1_noled_pr_ce      m1281_u1x8_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0xc5bfb4c98dec09d2, 0xcdceff701bfa8295, 0x44f659c3cf3842db, 0x3f51e13c25f886c2,
  0x67b7091138780029, 0xe4727a7b96faf593, 0x636b524389207ac8, 0xe1c168f58731602a, 0x5403ff6678ebd1f5,
  0x26af81e5adc1c689, 0xce726dbf0313bbf6, 0xf9bcf82a0c077eef, 0x3717539794d8ce4d, 0x2718de33a204aca4,
  0x9c63b7b15545a561, 0xf84a5a97e56d99ca, 0xcf7f8817b1e1986e, 0xb53ab337f07771a2, 0xffde1ef79430a912,
  0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x06eb8d523824f257,
};

/*
 * m1284rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m128rfa1_u1x8_uart1_noled_pr_ee_ce
 * m128rfa1_u1x8_uart1_noled_pr_ee_ce_u4 m128rfr2_u1x8_uart1_noled_pr_ee_ce
 * m128rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m1280_u1x8_uart1_noled_pr_ee_ce
 * m1280_u1x8_uart1_noled_pr_ee_ce_u4 m1281_u1x8_uart1_noled_pr_ee_ce
 * m1281_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0xa64c6f605ff3fc30, 0x80dfd5194bae2dfd, 0x1e79c216de6e7616, 0xe12fc4361227b2ce,
  0x9c3dd0dd51fa8f09, 0xb58e9ef9b3db8488, 0x835af1c8f2bea253, 0x814c57dd4723e0d9, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0xbce9de11be8f059c, 0x59e8c38d8d578d8e, 0x0decb65cc5c24228, 0x720aa0ea8d822647,
  0x726dbf0313bbf616, 0xbcf82a0c077eefce, 0x17539794d8ce4df9, 0x18de33a204aca437, 0x63b7b15545a56127,
  0x4a5a97e56d99ca9c, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x7e596fb824f257ee, 0x0000000000000002,
};

/*
 * m2564rfr2_u1x8_uart1_noled_ee_hw  m128rfa1_u1x8_uart1_noled_ee_hw   m128rfr2_u1x8_uart1_noled_ee_hw
 * m1280_u1x8_uart1_noled_ee_hw      m1281_u1x8_uart1_noled_ee_hw      m256rfr2_u1x8_uart1_noled_ee_hw
 * m2560_u1x8_uart1_noled_ee_hw      m2561_u1x8_uart1_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xed32637b02387fe5, 0x224d56b4738d716f, 0x3e0d9834c6391e57, 0xeb422877c5665472,
  0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x75e74ef08df4782c, 0xa167a30e36355ae8, 0xdc37b2d973170908,
  0x02905507546c11fa, 0x73936df8189ddfb0, 0xcde7c150603bf77e, 0xb8ba9cbca6c6726f, 0x38c6f19d10256521,
  0x7455bd8aaa2d2b09, 0xe1296a5f95b6672a, 0xa44ad417678661bb, 0xe627ff787bde50c2, 0x19a3ec6761c7f197,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000016f918ff453,
};

/*
 * m1284rfr2_u1x8_uart1_noled_ee_ce_u4_hw m128rfa1_u1x8_uart1_noled_ee_ce_hw
 * m128rfa1_u1x8_uart1_noled_ee_ce_u4_hw m128rfr2_u1x8_uart1_noled_ee_ce_hw
 * m128rfr2_u1x8_uart1_noled_ee_ce_u4_hw m1280_u1x8_uart1_noled_ee_ce_hw
 * m1280_u1x8_uart1_noled_ee_ce_u4_hw m1281_u1x8_uart1_noled_ee_ce_hw
 * m1281_u1x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda64c6f605ff3fca, 0x680dfd5194bae2df, 0xc3cf3842df90e761, 0x3c25f886c244f659,
  0x89c3b39747ff51e1, 0x3b58e9ef9b3db848, 0x9835af1c8f2bea25, 0x2814c57dd4723e0d, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xebce9de11be8f059, 0x859e8c38d8d578d8, 0x70decb65cc5c2422, 0x6720aa0ea8d82264,
  0xe726dbf0313bbf61, 0x9bcf82a0c077eefc, 0x717539794d8ce4df, 0x718de33a204aca43, 0xc63b7b15545a5612,
  0x84a5a97e56d99ca9, 0x912b505d9e1986ef, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00000a021d52514f,
};

/*
 * m1284rfr2_u1x8_uart1_lednop_pr    m2564rfr2_u1x8_uart1_lednop       m2564rfr2_u1x8_uart1_lednop_pr
 * m128rfa1_u1x8_uart1_lednop        m128rfa1_u1x8_uart1_lednop_pr     m128rfr2_u1x8_uart1_lednop
 * m128rfr2_u1x8_uart1_lednop_pr     m1280_u1x8_uart1_lednop           m1280_u1x8_uart1_lednop_pr
 * m1281_u1x8_uart1_lednop           m1281_u1x8_uart1_lednop_pr        m256rfr2_u1x8_uart1_lednop
 * m256rfr2_u1x8_uart1_lednop_pr     m2560_u1x8_uart1_lednop           m2560_u1x8_uart1_lednop_pr
 * m2561_u1x8_uart1_lednop           m2561_u1x8_uart1_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x3fcb8fcf829304f8, 0x716fed32637b02f9, 0x92391c9e3be5921d, 0x32636b5243892066, 0xfe8e414e62c05bdd,
  0x71cb1823af175e1a, 0xbf0313bbf61581c7, 0x077eefcf0202726d, 0x9d009bf379b48a0c, 0x88d21c354dea5392,
  0xa6194e31bc67440f, 0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xf1a2cf7f8827dc78, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000007c869c3c953,
};

/*
 * m2564rfr2_u1x8_uart1_lednop_pr_u4 m128rfa1_u1x8_uart1_lednop_pr_u4  m128rfr2_u1x8_uart1_lednop_pr_u4
 * m1280_u1x8_uart1_lednop_pr_u4     m1281_u1x8_uart1_lednop_pr_u4     m256rfr2_u1x8_uart1_lednop_pr_u4
 * m2560_u1x8_uart1_lednop_pr_u4     m2561_u1x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xff0c367cf59827c6, 0x8b7f69931bd814be, 0x71c8f6b1df2c21eb, 0xa6e8ca921c490341, 0xd23486731602cb29,
  0x7fecc11d7a3ebc24, 0x81e59edbda1f6a80, 0x6dbf0313bbf67b82, 0x0c077eefcf020272, 0x929d009bf379b48a,
  0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec,
  0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x093c95fb9a19961d, 0x00000003e4fecb4e,
};

/*
 * m1284rfr2_u1x8_uart1_lednop_pr_ee_u4 m2564rfr2_u1x8_uart1_lednop_pr_ee
 * m2564rfr2_u1x8_uart1_lednop_pr_ee_u4 m128rfa1_u1x8_uart1_lednop_pr_ee
 * m128rfa1_u1x8_uart1_lednop_pr_ee_u4 m128rfr2_u1x8_uart1_lednop_pr_ee
 * m128rfr2_u1x8_uart1_lednop_pr_ee_u4 m1280_u1x8_uart1_lednop_pr_ee
 * m1280_u1x8_uart1_lednop_pr_ee_u4  m1281_u1x8_uart1_lednop_pr_ee     m1281_u1x8_uart1_lednop_pr_ee_u4
 * m256rfr2_u1x8_uart1_lednop_pr_ee  m256rfr2_u1x8_uart1_lednop_pr_ee_u4
 * m2560_u1x8_uart1_lednop_pr_ee     m2560_u1x8_uart1_lednop_pr_ee_u4  m2561_u1x8_uart1_lednop_pr_ee
 * m2561_u1x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0x367f2b4c13e32775, 0x69931bd81143ff0c, 0x2a6ab5a39c6b8b7f, 0xf06cc1a631c8f2b3, 0xb422877c5663e391,
  0x6be8c2cb1148b34e, 0x7569791171ac9a42, 0xd79d3bc23e23268e, 0x47408ded58d56ba1, 0xb86f65b2e62e1211,
  0x00838d12a8d823f5, 0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b,
  0x62aa8b4c329c6378, 0x4bf2b6cced39156f, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x539c12792bf73433,
  0x00000000000275c3,
};

/*
 * m1284rfr2_u1x8_uart1_lednop_pr_ce_u4 m128rfa1_u1x8_uart1_lednop_pr_ce
 * m128rfa1_u1x8_uart1_lednop_pr_ce_u4 m128rfr2_u1x8_uart1_lednop_pr_ce
 * m128rfr2_u1x8_uart1_lednop_pr_ce_u4 m1280_u1x8_uart1_lednop_pr_ce
 * m1280_u1x8_uart1_lednop_pr_ce_u4  m1281_u1x8_uart1_lednop_pr_ce     m1281_u1x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x5c5bfb4c98dec08b, 0xbcdcefe701bfa829, 0x244f659c3cf3842d, 0x07f51e13c25f886c,
  0xd9edc2444e1f1bbb, 0x391fa49ee5bebd64, 0x2483f490e2481eb2, 0xe12691a43398b017, 0x5403ff6678ebd1f5,
  0xf70503cb5b9ed0fb, 0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b,
  0x62aa8b4c329c6378, 0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88, 0xf79430a912b53ab3,
  0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0x373824f257ee6866,
  0x00000000000dd75a,
};

/*
 * m1284rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m128rfa1_u1x8_uart1_lednop_pr_ee_ce
 * m128rfa1_u1x8_uart1_lednop_pr_ee_ce_u4 m128rfr2_u1x8_uart1_lednop_pr_ee_ce
 * m128rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m1280_u1x8_uart1_lednop_pr_ee_ce
 * m1280_u1x8_uart1_lednop_pr_ee_ce_u4 m1281_u1x8_uart1_lednop_pr_ee_ce
 * m1281_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0xa64c6f6049b7fe18, 0xc0dfd5194bae2dfd, 0x3cf3842dbcdceec7, 0xc25f886c244f659c,
  0x70e00036eff51e13, 0xd63a7be6cf6e1222, 0x0d6bc723cafba94e, 0x0a62b0f71c8f8366, 0x16588a459a75a114,
  0x576e910752135f46, 0x79d3bc23e23268e7, 0xe811bdab1aaf1b1d, 0x0decb65cc5c24228, 0xcc38d12a8d822647,
  0x4e4db7e062777ec2, 0x914180efddf9e040, 0x4a7253a0137e6f36, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c,
  0x7e56d99da70c76f6, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881, 0x79430a912b53ab33, 0x1fc65f989ffde1ef,
  0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964, 0x0b824f257ee68665, 0x00000000004fcf3f,
};

/*
 * m2564rfr2_u1x8_uart1_lednop_ee_hw m128rfa1_u1x8_uart1_lednop_ee_hw  m128rfr2_u1x8_uart1_lednop_ee_hw
 * m1280_u1x8_uart1_lednop_ee_hw     m1281_u1x8_uart1_lednop_ee_hw     m256rfr2_u1x8_uart1_lednop_ee_hw
 * m2560_u1x8_uart1_lednop_ee_hw     m2561_u1x8_uart1_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0xf69931bd81143ff2, 0x32a6ab5a39c6b8b7, 0x1f06cc1a631c8f2b, 0xeb422877c5663e39,
  0x26be8c2cb1148b34, 0xe7569791171ac9a4, 0x1d79d3bc23e23268, 0x147408ded58d56ba, 0x5b86f65b2e62e121,
  0xc00838d12a8d823f, 0x404e4db7e062777e, 0x36914180efddf9e0, 0xbd4a7253a0137e6f, 0x8ce881f11a4386a9,
  0xf62aa8b4c329c637, 0xd4bf2b6cced39156, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x02dfea41e8a792bf,
};

/*
 * m1284rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m128rfa1_u1x8_uart1_lednop_ee_ce_hw
 * m128rfa1_u1x8_uart1_lednop_ee_ce_u4_hw m128rfr2_u1x8_uart1_lednop_ee_ce_hw
 * m128rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m1280_u1x8_uart1_lednop_ee_ce_hw
 * m1280_u1x8_uart1_lednop_ee_ce_u4_hw m1281_u1x8_uart1_lednop_ee_ce_hw
 * m1281_u1x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd32637b024dbff2b, 0xe06fea8ca5d716fe, 0x3cf3842df90e7763, 0xc25f886c244f659c,
  0x3876838227f51e13, 0x6b1d3df367b70911, 0x06b5e391e57dd4a7, 0x0531587b8e47c1b3, 0x0b2c4522cd3ad08a,
  0xabb74883a909afa3, 0xbce9de11f1193473, 0x7408ded58d578d8e, 0x86f65b2e62e12114, 0x661c689546c11323,
  0x2726dbf0313bbf61, 0x48a0c077eefcf020, 0xa53929d009bf379b, 0x7440f88d21c354de, 0x15545a6194e31bc6,
  0xbf2b6cced3863b7b, 0x2ecf0cc377c252d4, 0xf0f7bca1854895a8, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x0240fba8a792bf73, 0x000000000000000a,
};

/*
 * m1284rfr2_u1x8_uart1_dual_pr      m1284rfr2_u1x8_uart1_dual_pr_u4   m128rfa1_u1x8_uart1_dual
 * m128rfa1_u1x8_uart1_dual_pr       m128rfa1_u1x8_uart1_dual_pr_u4    m128rfr2_u1x8_uart1_dual
 * m128rfr2_u1x8_uart1_dual_pr       m128rfr2_u1x8_uart1_dual_pr_u4    m1280_u1x8_uart1_dual
 * m1280_u1x8_uart1_dual_pr          m1280_u1x8_uart1_dual_pr_u4       m1281_u1x8_uart1_dual
 * m1281_u1x8_uart1_dual_pr          m1281_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8befbfccb0940253, 0xc8e50f60a78e195b,
  0x4292241240e43cd1, 0xf9fbe08bf29f2e2f, 0x6c0ddc3e144313e1, 0xfc97cbe5cfc87ca7, 0x2ff9082d21be5c5d,
  0x8ca2a10cb4131443, 0x25b780dff4073c26, 0xfffa7c982c3795e4, 0xe2dfda64c6f60413, 0x3c723e453be589aa,
  0x63d621a4871240c4, 0xed1d7f398b01541e, 0x7fecc11d78035e1d, 0x40f2cf6f9e13ea80, 0x7f157ceee2a4b14e,
  0x13936df8189ddfb2, 0xa450603bf77e7810, 0x529c94e804df9bcd, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x2fcadb33b4e455bd, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x567049e4afdcd0cc, 0x0000000000149340,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ee    m128rfr2_u1x8_uart1_dual_pr_ee    m1280_u1x8_uart1_dual_pr_ee
 * m1281_u1x8_uart1_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xf99612804a774f89, 0xb0b5b3856ff17801,
  0x2481eed4d1c8f3b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0xcb9f90f929201bb8, 0x5a437cb8bbf92f97,
  0x32d04ac8865ff210, 0xffa039e132fb8a84, 0x82c3795e425b7eaf, 0x4c6f605befffa7c9, 0xaad68e44ae2dfda6,
  0x660c148e4795afb9, 0x143be2bfdd1c8f83, 0x4616588a459a75a1, 0x5cc7ae2a5cd2135f, 0x26f0e488f7b39d5a,
  0xd1f3d6355ae875ea, 0xb2fa598b84845107, 0xf20b546c11fadc37, 0xf157ceee2a4a0135, 0x3936df8189ddfb27,
  0x450603bf77e78101, 0x29c94e804df9bcda, 0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xfcadb33b4e455bd8,
  0xe33c330ddf094b52, 0xfc1ddc68b3dfe204, 0xa50c2a44ad4eaccd, 0xc07cd1f633b0e271, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0x0ac8811c12792bf7,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ee_u4 m128rfr2_u1x8_uart1_dual_pr_ee_u4 m1280_u1x8_uart1_dual_pr_ee_u4
 * m1281_u1x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x5ed6ff32c250094e, 0x3eed6c136ce13b7c,
  0x49120920663f3472, 0xfdf045f94f9717a1, 0x06ee1f0a2189f0fc, 0x4be5f2e7e43e4950, 0xfc841690df2e2efe,
  0xe2a10cb42a522197, 0x6e4ebfe80e784d1e, 0xf4f930586f2bc84b, 0xbfb4c98dec0a577f, 0x5995355ad1e955c5,
  0xc8f83660fe48e479, 0xd3ad08a1df15c891, 0x909afa30b2c4522c, 0x8e756973d57082e6, 0x875ed62bc222a326,
  0x8a2bfa37b56355ae, 0xadc37b2e3e317090, 0xabe77715255c0fbf, 0x9b6fc0c4eefd93f8, 0xf301dfbbf3c0809c,
  0x392296af3a0137e6, 0x2169c05ef9485eb5, 0x9c6378ce8811d450, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x0002b22681c12792,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ce    m128rfr2_u1x8_uart1_dual_pr_ce    m1280_u1x8_uart1_dual_pr_ce
 * m1281_u1x8_uart1_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xf5bff99612804a77, 0xd36f613b670b5be2,
  0x4890490319b9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0xbe5f2e7e43e5d1f0, 0xc841690df2e2efe4,
  0x2a10cb43f722197f, 0x7383ff4073c267f2, 0xa7c982c3795e425b, 0xfda64c6f60595bff, 0x7650c0dfd7a8ae2d,
  0xb2ce1e79c216de6e, 0x8f09e12fc4361227, 0xe122270ed7687dfa, 0xbf3dcb7d752e6cf6, 0x490e2481d4b8e471,
  0x8ebf9cc580a803df, 0xf6678ebc01af0ef6, 0x1e5addcf09f5403f, 0xe2af9ddc549629c8, 0x726dbf0313bbf64f,
  0x8a0c077eefcf0202, 0x53929d009bf379b4, 0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf2b6cced3863b7b1,
  0x8cf0cc377c252d4b, 0xf07771a2cf7f8813, 0x9430a912b53ab337, 0x01f347d8cec389c6, 0xe32c970cf4c2b93f,
  0xd0ccb0e9296ce1c4, 0x1a48647049e4afdc,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ce_u4 m128rfr2_u1x8_uart1_dual_pr_ce_u4 m1280_u1x8_uart1_dual_pr_ce_u4
 * m1281_u1x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xa38be9afccb09402, 0xa391ec7f61ff0e01,
  0xbd0a48904903a1f9, 0x87e7ef822fca7cb8, 0xeb303770f8510c4f, 0x77f25f2f973f21f2, 0x0cbfe420b486f971,
  0x36df8a8432d07f11, 0x212db9c1ffa039e1, 0xadffd3e4c161bcaf, 0x5716fed32637b02c, 0xde6e775280dfd65f,
  0x1227b2ce1e79c216, 0xddfa8f09e12fc436, 0x6cf6e122270e87d8, 0xe47b873dcb7d61c6, 0x0f49490e24818718,
  0x1afe8ded1cc580b1, 0x8ee39633c75e45de, 0xfc55f3bb8a928e83, 0x4e4db7e062777ec9, 0xdd4180efddf9e040,
  0xd4a7253a0137e6f2, 0x5a5aff11a4386a9b, 0x31bc67440db8c608, 0xe1296a5f95b6674e, 0x3dfe205ec78661bb,
  0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x0692245ee093c95f,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ee_ce m128rfr2_u1x8_uart1_dual_pr_ee_ce m1280_u1x8_uart1_dual_pr_ee_ce
 * m1281_u1x8_uart1_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xff32c250094ee9f1, 0xec2618e0cf9c5fac,
  0x04903149347239ad, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xe5cfc87c82910377, 0x2d21be5c5dfc97cb,
  0x19684ae4432ff908, 0x7fd01cf098a1c542, 0x60b0de579096df4d, 0x931bd8105affe9f2, 0x5df547fbab8b7f69,
  0xe7085b79b9d9c101, 0xe122270ecf9d67f9, 0xa53b5f88c43340ae, 0x06cc1a631c8f2b32, 0x422814c5663e391f,
  0xbe8c2cb1148b34eb, 0x439d5dbb6f8ea426, 0xb1d7b58af0bde8fa, 0x45170d1d4bb1aaf1, 0xc8e1bd971f18b848,
  0x57ceee2a4b8c5af8, 0x36df8189ddfb27f1, 0x0603bf77e7810139, 0xc94e804df9bcda45, 0x07c4690e1aa6f529,
  0xa2d30ca718de33a2, 0x5b66769c31dbd8aa, 0x78661bbe1296a5f9, 0x7771a2cf7f8827dc, 0x7a615c9fbab337f0,
  0x94b670e271964b86, 0x24f257ee68665874, 0x0000000026098db8,
};

/*
 * m128rfa1_u1x8_uart1_dual_pr_ee_ce_u4 m128rfr2_u1x8_uart1_dual_pr_ee_ce_u4
 * m1280_u1x8_uart1_dual_pr_ee_ce_u4 m1281_u1x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0x37f8baa47f32c253,
  0xa391fa3fb0524387, 0xbd0a48904903a4a9, 0x87e7ef822fca7cb8, 0xebe03770f8510c4f, 0xdfc97cbe5cfc87c8,
  0x32ff9082d21be5c5, 0x13a8a8432d0e9f44, 0x25b7bc3ffa039e13, 0xff9032982c3795e4, 0x8b7f69931bd8156f,
  0x9de9a037f5472bab, 0xb2ce1e79c216fe01, 0x8f09e12fc4361227, 0x84889c3f9cba9dfa, 0xf253b58ea6e9b3db,
  0xf06cc1af91c8f2b7, 0xb422814c5752a391, 0x6be8c2cb1148b34e, 0x7b39d5db8c78ea42, 0xc6c75ea26f0e488f,
  0x908a20fa3e7ac6ab, 0x132386f65f4b3170, 0xa4a59b5f20b546c1, 0x9ddfb27f157ceee2, 0x7e781013936df818,
  0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xc31dbd8aaa2d30ca, 0xe1296a5f95b66769,
  0x3dfe205ec78661bb, 0xa75666fe0d1fc68b, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x00da6b1fe19e4afd, 0x0000000000000008,
};

/*
 * m128rfa1_u1x8_uart1_dual_ee_hw    m128rfr2_u1x8_uart1_dual_ee_hw    m1280_u1x8_uart1_dual_ee_hw
 * m1281_u1x8_uart1_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xf003f32c253a0cee, 0xe76f616b670adfe2,
  0x48904903dda9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f25240, 0xe420b486f97177f2,
  0x150865a095910cbf, 0xfd5fff4073c265f7, 0xcb530586f2bc84b6, 0xf69931bd816fbff8, 0xbee6ab5a3912b8b7,
  0x3e0d983052391e56, 0xd68450ef8aff7472, 0x4d7d185962291669, 0x7569731eb8a97348, 0xd7a89bc39223dece,
  0x441f47cf58d56ba1, 0x70decbe9662e1211, 0x04d7c82d51b047eb, 0xec9fc55f3bb8a928, 0x0404e4db7e062777,
  0xf36914180efddf9e, 0x9bd4a7253a0137e6, 0x78ce881f11a4386a, 0x6f62aa8b4c329c63, 0x2d4bf2b6cced3915,
  0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x015da9176a8a792b,
};

/*
 * m1284rfr2_u1x8_uart1_dual_ee_ce_u4_hw m128rfa1_u1x8_uart1_dual_ee_ce_hw
 * m128rfa1_u1x8_uart1_dual_ee_ce_u4_hw m128rfr2_u1x8_uart1_dual_ee_ce_hw
 * m128rfr2_u1x8_uart1_dual_ee_ce_u4_hw m1280_u1x8_uart1_dual_ee_ce_hw
 * m1280_u1x8_uart1_dual_ee_ce_u4_hw m1281_u1x8_uart1_dual_ee_ce_hw    m1281_u1x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x438737f8baa47f32,
  0xa4a9a391fa3fb052, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x87c8ebe03770f851, 0xe5c5dfc97cbe5cfc,
  0x9f4432ff9082d21b, 0x9e1313a8a8432d0e, 0x95e425b7bc3ffa03, 0x156fffc65a982c37, 0x2bab8b7f69931bd8,
  0x7e439de9a037f547, 0x0913d9670f3ce10b, 0xa8fd4784f097e21b, 0xd9edc2444e1ee86e, 0x795bf929dac75374,
  0x51c8f83660d7c8e4, 0x59a75a1140a62ba9, 0x752135f4616588a4, 0x2447bd9ceaedc63c, 0x6355e363af513787,
  0x98b84845107d1f3d, 0xa3608991c37b2fa5, 0x77715252cdaf905a, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6,
  0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x33b4e18edec55516, 0x30ddf094b52fcadb,
  0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x3a29e4afdcd0ccb0, 0x0000000003aea479,
};

/*
 * m1284rfr2_u1x12_uart0_noled_pr    m2564rfr2_u1x12_uart0_noled       m2564rfr2_u1x12_uart0_noled_pr
 * m128rfa1_u1x12_uart0_noled        m128rfa1_u1x12_uart0_noled_pr     m128rfr2_u1x12_uart0_noled
 * m128rfr2_u1x12_uart0_noled_pr     m1280_u1x12_uart0_noled           m1280_u1x12_uart0_noled_pr
 * m1281_u1x12_uart0_noled           m1281_u1x12_uart0_noled_pr        m256rfr2_u1x12_uart0_noled
 * m256rfr2_u1x12_uart0_noled_pr     m2560_u1x12_uart0_noled           m2560_u1x12_uart0_noled_pr
 * m2561_u1x12_uart0_noled           m2561_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xf2e3f3f374c13e32, 0xdb53fbb74f84a21f, 0x1df2c90e1b46e93f, 0x21c49033491c8fcf, 0x31602dee987ce829,
  0xebc5d786a5a3c667, 0x7b0ac905dc72c608, 0xad79ce166fc0c4ad, 0x70b79bcf82a0c077, 0x6521b8ba9cbca6c6,
  0x2b0938c6f19d1025, 0x672a7455bd8aaa2d, 0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x5727eeacc790347f,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00003e431b3c953c,
};

/*
 * m2564rfr2_u1x12_uart0_noled_pr_u4 m128rfa1_u1x12_uart0_noled_pr_u4  m128rfr2_u1x12_uart0_noled_pr_u4
 * m1280_u1x12_uart0_noled_pr_u4     m1281_u1x12_uart0_noled_pr_u4     m256rfr2_u1x12_uart0_noled_pr_u4
 * m2560_u1x12_uart0_noled_pr_u4     m2561_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xf0c367f4a9827c64, 0xdb53fbb74f84814f, 0x1df2c21e1b46e93f, 0x21c49034171c8fd0, 0x31602cb29be4dee9,
  0xebd1f5e1c168f587, 0x61c6895403ff6608, 0x256bd89abe07967b, 0x03bd6bce70b37e06, 0x363385bcde7c1506,
  0x812b290dc5d4e5e5, 0x51695849c6378ce8, 0xadb33953a2adec55, 0x3c330ddf094b52fc, 0x0eee3459eff102f6,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x049e4afdcd0ccb0e, 0x00000001f2747937,
};

/*
 * m1284rfr2_u1x12_uart0_noled_pr_ee_u4 m2564rfr2_u1x12_uart0_noled_pr_ee
 * m2564rfr2_u1x12_uart0_noled_pr_ee_u4 m128rfa1_u1x12_uart0_noled_pr_ee
 * m128rfa1_u1x12_uart0_noled_pr_ee_u4 m128rfr2_u1x12_uart0_noled_pr_ee
 * m128rfr2_u1x12_uart0_noled_pr_ee_u4 m1280_u1x12_uart0_noled_pr_ee
 * m1280_u1x12_uart0_noled_pr_ee_u4  m1281_u1x12_uart0_noled_pr_ee     m1281_u1x12_uart0_noled_pr_ee_u4
 * m256rfr2_u1x12_uart0_noled_pr_ee  m256rfr2_u1x12_uart0_noled_pr_ee_u4
 * m2560_u1x12_uart0_noled_pr_ee     m2560_u1x12_uart0_noled_pr_ee_u4  m2561_u1x12_uart0_noled_pr_ee
 * m2561_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x6cfe049827c64eeb, 0xfeedd3e12297fe18, 0x8e7186d1ba4ff6d4, 0x98c723cae449aad6, 0xf8acca8e47c1b306,
  0x962291669d68450e, 0xaae3593484d7d185, 0x11be8f059cead2e7, 0xc6c6ab5d0ebce9de, 0x2e62e121142cf461,
  0xea8d823f5b86f65b, 0x81895af600520aa0, 0x4180ef5af39c2cdf, 0x794d8ce16f379f05, 0x3a204aca43717539,
  0x15545a5612718de3, 0xbf2b6cce54e8ab7b, 0xbd8f0cc377c252d4, 0xbf83bb8d167bfc40, 0xbca1854895a9d599,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x0dc12792bf734332,
  0x0000000000275f8d,
};

/*
 * m1284rfr2_u1x12_uart0_noled_pr_ce_u4 m128rfa1_u1x12_uart0_noled_pr_ce
 * m128rfa1_u1x12_uart0_noled_pr_ce_u4 m128rfr2_u1x12_uart0_noled_pr_ce
 * m128rfr2_u1x12_uart0_noled_pr_ce_u4 m1280_u1x12_uart0_noled_pr_ce
 * m1280_u1x12_uart0_noled_pr_ce_u4  m1281_u1x12_uart0_noled_pr_ce     m1281_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0x6d4feedd3e12387f, 0x0dfd41486d1ba4ff, 0xe79c216de6e77fb8, 0x12fc4361227b2ce1,
  0x9c3c00149fa8f09e, 0xcb7d7ac9b3db8488, 0xc4903d6472393d3d, 0xc398b01531b5a921, 0x3c75e8faf0e0b47a,
  0xd6e0e344aa01ffb3, 0xc0c4ad7b1357c0f2, 0xa0c077ad79ce166f, 0xbca6c670b79bcf82, 0x9d10256521b8ba9c,
  0x8aaa2d2b0938c6f1, 0xbf2b6cce54e31dbd, 0xbd8f0cc377c252d4, 0xbf83bb8d167bfc40, 0xbca1854895a9d599,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x4dc12792bf734332,
  0x0000000000375ef2,
};

/*
 * m1284rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m128rfa1_u1x12_uart0_noled_pr_ee_ce
 * m128rfa1_u1x12_uart0_noled_pr_ee_ce_u4 m128rfr2_u1x12_uart0_noled_pr_ee_ce
 * m128rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m1280_u1x12_uart0_noled_pr_ee_ce
 * m1280_u1x12_uart0_noled_pr_ee_ce_u4 m1281_u1x12_uart0_noled_pr_ee_ce
 * m1281_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xfddba7c241a3fc30, 0x32970da3749feda9, 0x2dbcdcec2d01bfaa, 0x6c244f659c3cf384,
  0xbaa3f51e13c25f88, 0xf367b70911387ba1, 0x91e57d44a76b1d3d, 0xba8e47c1b306b5e3, 0x91669d68450298af,
  0x51d484d7d1859622, 0x237d1e0b39d5db8f, 0x1b1aaf1b1d79d3bc, 0xb98b848450b3d187, 0xd51b044c8e1bd96c,
  0x0312b5ec2ce41541, 0x8301deb5e73859bf, 0xf29b19c2de6f3e0a, 0x7440959486e2ea72, 0x2aa8b4ac24e31bc6,
  0xfcadb339538c76f6, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x47049e4afdcd0ccb, 0x000000000027e25b,
};

/*
 * m2564rfr2_u1x12_uart0_noled_ee_hw m128rfa1_u1x12_uart0_noled_ee_hw  m128rfr2_u1x12_uart0_noled_ee_hw
 * m1280_u1x12_uart0_noled_ee_hw     m1281_u1x12_uart0_noled_ee_hw     m256rfr2_u1x12_uart0_noled_ee_hw
 * m2560_u1x12_uart0_noled_ee_hw     m2561_u1x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0x4feedd3e12297fe5, 0x68e7186d1ba4ff6d, 0x698c723cae449aad, 0xef8acca8e47c1b30,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xe11be8f059cead2e, 0x1c6c6ab5d0ebce9d, 0xb2e62e121142cf46,
  0x0ea8d823f5b86f65, 0xf81895af600520aa, 0x54180ef5af39c2cd, 0x9794d8ce16f379f0, 0x33a204aca4371753,
  0xb15545a5612718de, 0x4bf2b6cce54e8ab7, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x16f8d35a8a792bf7,
};

/*
 * m1284rfr2_u1x12_uart0_noled_ee_ce_u4_hw m128rfa1_u1x12_uart0_noled_ee_ce_hw
 * m128rfa1_u1x12_uart0_noled_ee_ce_u4_hw m128rfr2_u1x12_uart0_noled_ee_ce_hw
 * m128rfr2_u1x12_uart0_noled_ee_ce_u4_hw m1280_u1x12_uart0_noled_ee_ce_hw
 * m1280_u1x12_uart0_noled_ee_ce_u4_hw m1281_u1x12_uart0_noled_ee_ce_hw
 * m1281_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfeedd3e120d1fe56, 0x194b86d1ba4ff6d4, 0x2df90e761680dfd5, 0x6c244f659c3cf384,
  0x747ff51e13c25f88, 0xf9b3db84889c3b39, 0xc8f2bea253b58e9e, 0xdd4723e0d9835af1, 0x48b34eb422814c57,
  0xa8ea426be8c2cb11, 0x11be8f059ceaedc7, 0x8d8d578d8ebce9de, 0x5cc5c2422859e8c3, 0xea8d8226470decb6,
  0x81895af616720aa0, 0x4180ef5af39c2cdf, 0x794d8ce16f379f05, 0x3a204aca43717539, 0x15545a5612718de3,
  0x7e56d99ca9c63b7b, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1,
  0x1964b867a617c68f, 0x866587494b670e27, 0x021c5f514f257ee6, 0x000000000000000a,
};

/*
 * m1284rfr2_u1x12_uart0_lednop_pr   m2564rfr2_u1x12_uart0_lednop      m2564rfr2_u1x12_uart0_lednop_pr
 * m128rfa1_u1x12_uart0_lednop       m128rfa1_u1x12_uart0_lednop_pr    m128rfr2_u1x12_uart0_lednop
 * m128rfr2_u1x12_uart0_lednop_pr    m1280_u1x12_uart0_lednop          m1280_u1x12_uart0_lednop_pr
 * m1281_u1x12_uart0_lednop          m1281_u1x12_uart0_lednop_pr       m256rfr2_u1x12_uart0_lednop
 * m256rfr2_u1x12_uart0_lednop_pr    m2560_u1x12_uart0_lednop          m2560_u1x12_uart0_lednop_pr
 * m2561_u1x12_uart0_lednop          m2561_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x3fcb8fcf84f9827c, 0xff6d4feedd3e1240, 0x3c77cb24386d1ba4, 0xa4871240cd247239, 0x398b016f74c3e2cf,
  0x8ebc5d78521a3905, 0x6bd856633dc72c60, 0xcf020270b37e0625, 0xb79bcb750603bd6b, 0x70d537a94e4a7400,
  0xba2810b4b5fe2348, 0xb6674e31bc67440d, 0x8661bbe1296a5f95, 0x7f1a2cf7f8827dc7, 0x985727eeacc79034,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000003e431b3c95,
};

/*
 * m2564rfr2_u1x12_uart0_lednop_pr_u4 m128rfa1_u1x12_uart0_lednop_pr_u4 m128rfr2_u1x12_uart0_lednop_pr_u4
 * m1280_u1x12_uart0_lednop_pr_u4    m1281_u1x12_uart0_lednop_pr_u4    m256rfr2_u1x12_uart0_lednop_pr_u4
 * m2560_u1x12_uart0_lednop_pr_u4    m2561_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xf0c367c27cc13e32, 0xdb53fbb74f84900f, 0x1df2c21e1b46e93f, 0x21c49034171c8f6b, 0x31602cb29a6e8ca9,
  0xd7a3ebc24d234867, 0xbda1f6a807fecc11, 0x95af67b8281e59ed, 0xaf3c0809c2cdf818, 0x2de6f36914180ef5,
  0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x9c8ab7b15545a619, 0xbe1296a5f95b6676, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x03e4d717ce093c95,
};

/*
 * m1284rfr2_u1x12_uart0_lednop_pr_ee_u4 m2564rfr2_u1x12_uart0_lednop_pr_ee
 * m2564rfr2_u1x12_uart0_lednop_pr_ee_u4 m128rfa1_u1x12_uart0_lednop_pr_ee
 * m128rfa1_u1x12_uart0_lednop_pr_ee_u4 m128rfr2_u1x12_uart0_lednop_pr_ee
 * m128rfr2_u1x12_uart0_lednop_pr_ee_u4 m1280_u1x12_uart0_lednop_pr_ee
 * m1280_u1x12_uart0_lednop_pr_ee_u4 m1281_u1x12_uart0_lednop_pr_ee    m1281_u1x12_uart0_lednop_pr_ee_u4
 * m256rfr2_u1x12_uart0_lednop_pr_ee m256rfr2_u1x12_uart0_lednop_pr_ee_u4
 * m2560_u1x12_uart0_lednop_pr_ee    m2560_u1x12_uart0_lednop_pr_ee_u4 m2561_u1x12_uart0_lednop_pr_ee
 * m2561_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xd9fdf7304f8c9ddb, 0xfddba7c24a7bfc30, 0x1ce30da3749feda9, 0x318e4795995355ad, 0xe2b31f1c8f83660d,
  0x588a459a75a1143b, 0x8b8d64d2135f4616, 0x11f1193473ab4bc8, 0x6ac6ab5d0ebce9de, 0x973170908a3a046f,
  0x9546c11fadc37b2d, 0xf81895af60041c68, 0x0ef5af3c0809c2cd, 0x9d002de6f3691418, 0x88d21c354dea5392,
  0xa6194e31bc67440f, 0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0000013ae7eb6e09,
};

/*
 * m1284rfr2_u1x12_uart0_lednop_pr_ce_u4 m128rfa1_u1x12_uart0_lednop_pr_ce
 * m128rfa1_u1x12_uart0_lednop_pr_ce_u4 m128rfr2_u1x12_uart0_lednop_pr_ce
 * m128rfr2_u1x12_uart0_lednop_pr_ce_u4 m1280_u1x12_uart0_lednop_pr_ce
 * m1280_u1x12_uart0_lednop_pr_ce_u4 m1281_u1x12_uart0_lednop_pr_ce    m1281_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0x6d4feedd3e12287f, 0x0dfd41486d1ba4ff, 0xe79c216de6e77f38, 0x12fc4361227b2ce1,
  0x70f8ddd83fa8f09e, 0x2df5eb26cf6e1222, 0x1240f591c8fd24f7, 0x9cc580b9241fa487, 0xc75e8faf09348d21,
  0xdcf687daa01ffb33, 0x1895af67b8281e5a, 0xf5af3c0809c2cdf8, 0x002de6f36914180e, 0xd21c354dea53929d,
  0x194e31bc67440f88, 0xed3863b7b15545a6, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x000375c3539c1279,
};

/*
 * m1284rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m128rfa1_u1x12_uart0_lednop_pr_ee_ce
 * m128rfa1_u1x12_uart0_lednop_pr_ee_ce_u4 m128rfr2_u1x12_uart0_lednop_pr_ee_ce
 * m128rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m1280_u1x12_uart0_lednop_pr_ee_ce
 * m1280_u1x12_uart0_lednop_pr_ee_ce_u4 m1281_u1x12_uart0_lednop_pr_ee_ce
 * m1281_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xddba7c253b7fe186, 0x2970da3749feda9f, 0xb79b9dd8f81bfaa3, 0x8489ecb3879e7085,
  0xddfea3c2784bf10d, 0xd9edc2444e1c0006, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c561e,
  0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5, 0x51b044c8e1bd96cb,
  0x06256bd859871a25, 0xbd6bcf020270b37e, 0x400b79bcda450603, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee, 0x313ffbc3def28615,
  0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00004fc30897049e,
};

/*
 * m2564rfr2_u1x12_uart0_lednop_ee_hw m128rfa1_u1x12_uart0_lednop_ee_hw m128rfr2_u1x12_uart0_lednop_ee_hw
 * m1280_u1x12_uart0_lednop_ee_hw    m1281_u1x12_uart0_lednop_ee_hw    m256rfr2_u1x12_uart0_lednop_ee_hw
 * m2560_u1x12_uart0_lednop_ee_hw    m2561_u1x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0x4feedd3e1253dfe5, 0x68e7186d1ba4ff6d, 0x698c723cacca9aad, 0xdf1598f8e47c1b30,
  0xb2c4522cd3ad08a1, 0x445c6b26909afa30, 0xf08f88c9a39d5a5e, 0x7b56355ae875e74e, 0x6cb98b848451d023,
  0x44aa3608fd6e1bd9, 0x6fc0c4ad7b0020e3, 0xc077ad79e0404e16, 0x94e8016f379b48a0, 0x7c4690e1aa6f529c,
  0x2d30ca718de33a20, 0xdb33b4e455bd8aaa, 0xc330ddf094b52fca, 0xef286152256a0bb3, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x65aa29e4afdcd0cc, 0x0000000000005bf7,
};

/*
 * m1284rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m128rfa1_u1x12_uart0_lednop_ee_ce_hw
 * m128rfa1_u1x12_uart0_lednop_ee_ce_u4_hw m128rfr2_u1x12_uart0_lednop_ee_ce_hw
 * m128rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m1280_u1x12_uart0_lednop_ee_ce_hw
 * m1280_u1x12_uart0_lednop_ee_ce_u4_hw m1281_u1x12_uart0_lednop_ee_ce_hw
 * m1281_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfeedd3e129dbff2b, 0x194b86d1ba4ff6d4, 0x5bf21ceec7c0dfd5, 0xd8489ecb3879e708,
  0x044fea3c2784bf10, 0xe6cf6e122270ed07, 0x23cafba94ed63a7b, 0xf71c8f83660d6bc7, 0x459a75a1140a62b0,
  0x0752135f4616588a, 0x23e23268e7576e91, 0xab1aaf1b1d79d3bc, 0x5cc5c24228e811bd, 0x2a8d8226470decb6,
  0xf0312b5ec2cc38d1, 0x1deb5e781013859b, 0x3a005bcde6d22830, 0x11a4386a9bd4a725, 0x4c329c6378ce881f,
  0x99da70c76f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xfd14f257ee686658, 0x0000000001405463,
};

/*
 * m1284rfr2_u1x12_uart0_dual_pr     m1284rfr2_u1x12_uart0_dual_pr_u4  m128rfa1_u1x12_uart0_dual
 * m128rfa1_u1x12_uart0_dual_pr      m128rfa1_u1x12_uart0_dual_pr_u4   m128rfr2_u1x12_uart0_dual
 * m128rfr2_u1x12_uart0_dual_pr      m128rfr2_u1x12_uart0_dual_pr_u4   m1280_u1x12_uart0_dual
 * m1280_u1x12_uart0_dual_pr         m1280_u1x12_uart0_dual_pr_u4      m1281_u1x12_uart0_dual
 * m1281_u1x12_uart0_dual_pr         m1281_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xe9bfccb0940253ba, 0xea7b61958e1bef8b,
  0x92241240cbacd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cad6c, 0xf9082d21be5c5dfc,
  0x22a10cb43e44432f, 0xb7a95ff4073c261f, 0xfa7c982c3795e425, 0x6d4feedd3e12eebf, 0x3be589a86d1ba4ff,
  0x871240c43c723e45, 0x8b01541e63d621a4, 0x78035e1ded1d7f39, 0x9e13ea807fecc11d, 0xe2a4b14e40f2cf6f,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0x8016f379b48a0c07, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee, 0x313ffbc3def28615,
  0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0000a49a0e37049e,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ee   m128rfr2_u1x12_uart0_dual_pr_ee   m1280_u1x12_uart0_dual_pr_ee
 * m1281_u1x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xfccb0940253ba7c4, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xedd3e12d37ffd3e4, 0x4486d1ba4ff6d4fe,
  0x8e4795afb9aad68e, 0xbfdd1c8f83660c14, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x88f7b39d5a5cc7ae,
  0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0xe8016f379b48a0c0, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x33b4e455bd8aaa2d,
  0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x0ae4fdd599bf83bb, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000190a15a9c127,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ee_u4 m128rfr2_u1x12_uart0_dual_pr_ee_u4
 * m1280_u1x12_uart0_dual_pr_ee_u4   m1281_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x6584a6024ee9f12e, 0x15be70801c5c527e,
  0x9034db9a391ed6f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e5cdf03770f, 0x90df2e2efe4be5f2,
  0xb41d2a2197fc8416, 0xe80e784c5162a10c, 0xb0de579096de87ff, 0xd3e12d37fe40ca60, 0x86d1ba4ff6d4feed,
  0x4795afb9aad68e44, 0xdd1c8f83660c148e, 0x459a75a1143be2bf, 0x5cd2135f4616588a, 0xf7b39d5a5cc7ae2a,
  0x5ae875ea26f0e488, 0x84845107d1f3d635, 0x11fadc37b2fa598b, 0x2a4a0135f20b546c, 0xc4ad7b27f157ceee,
  0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0xb4e455bd8aaa2d30,
  0xddf094b52fcadb33, 0x459eff102f63c330, 0x2b53ab337f068fe3, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98,
  0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x02b22d358ff0cf25,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ce   m128rfr2_u1x12_uart0_dual_pr_ce   m1280_u1x12_uart0_dual_pr_ce
 * m1281_u1x12_uart0_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x03f32c250094ee9f, 0x6f616b670adfe2f0,
  0x904903dda9a391e7, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x2f973f21f2524037, 0x20b486f97177f25f,
  0x0865a095910cbfe4, 0x5fff4073c265f715, 0x930586f2bc84b6fd, 0xfbb74f84b7dfff4f, 0x5ea21b46e93fdb53,
  0x085b79b9d943037f, 0x10d8489ecb3879e7, 0x5da1f7ea3c2784bf, 0xd4b9b3db84889c3b, 0x52e391c6fcf72df5,
  0x02a00f7d24389207, 0x06bc3bda3afe7316, 0x27d500ffd99e3af0, 0x5258a720796b773c, 0x256bd93f8abe7771,
  0x6bcf020270b37e06, 0x0b79bcda450603bd, 0x870d537a94e4a740, 0x538c6f19d103e234, 0x4e18edec55516986,
  0xdf094b52fcadb33b, 0xb3dfe204e33c330d, 0xad4eaccdfc1ddc68, 0x33b0e271a50c2a44, 0x3d30ae4fc07cd1f6,
  0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x000000001a48811c,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ce_u4 m128rfr2_u1x12_uart0_dual_pr_ce_u4
 * m1280_u1x12_uart0_dual_pr_ce_u4   m1281_u1x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xae2eff3f32c25009, 0x4723ffcd80683869,
  0x7a1491209207d3f3, 0x0fcfdf045f94f971, 0x95006ee1f0a2189f, 0xefe4be5f2e7e43e4, 0x197fc841690df2e2,
  0xc1ee2a10cb417da2, 0x84b6e4ebfe80e784, 0x77ff4f930586f2bc, 0x3fdb53fbb74f84a5, 0xf606feb2fa1b46e9,
  0x70f3ce10b6f373b5, 0x4f097e21b0913d96, 0x444e1e000a4fd478, 0x7b96fac38cd9edc2, 0x0e24818718e47e92,
  0x219cc580a98f4149, 0x33c75e45de110e8d, 0xeee2a4a3ad66e396, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x5f3a005bcde0e4ac, 0xf6e9053ea9dc594e, 0xe8815c18c10b4d8a, 0x4bf2b6cce9c6378c, 0x0bd8f0cc377c252d,
  0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x681c12792bf73433, 0x0000000000006922,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ee_ce m128rfr2_u1x12_uart0_dual_pr_ee_ce
 * m1280_u1x12_uart0_dual_pr_ee_ce   m1281_u1x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x0ff32c250094ee9f, 0x36c19f0e1d67c5d9,
  0x209207faf34723cc, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0x7cb9f90f9720e06e, 0x05a437cb8bbf92f9,
  0x432d0b748865ff21, 0x0ffa039e1329e8a8, 0x4c161bcaf212dbc0, 0xeedd3e120d1ffd3e, 0xfee86d1ba4ff6d4f,
  0xde6e776e80577d51, 0xc3de1f2d7e79c216, 0xe2310cd02bb84889, 0x98c723cacca94ed7, 0x98ae448e47c1b306,
  0x962291669d684502, 0xb704f1d484d7d185, 0x62bc307d1f4873ab, 0x4752ec6abc6c75ed, 0x65c7c62e1211460b,
  0xc54971887132386f, 0x1895af64fe2af9dd, 0xf5af3c0809c2cdf8, 0xd002de6f2dd4180e, 0x8d21c354dea53929,
  0x206dc63042d2d7f8, 0xfcadb33a718de33a, 0xee3c330ddf094b52, 0xf83bb8d167bfc413, 0xc33d30ae4fdd599b,
  0x3a4a5b387138cb25, 0xdc12792bf734332c, 0x00000000013046e3,
};

/*
 * m128rfa1_u1x12_uart0_dual_pr_ee_ce_u4 m128rfr2_u1x12_uart0_dual_pr_ee_ce_u4
 * m1280_u1x12_uart0_dual_pr_ee_ce_u4 m1281_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0x3c5fbadf99612980,
  0xc8ea49b0e6f9c152, 0x8524482481b394d1, 0xf3f7c117e53e5c5e, 0x401bb87c288627c3, 0xf25f2f973f21f215,
  0xbfe420b486f97177, 0x6a2a10cb42c7d10c, 0x6df96bfe80e784c9, 0xe40ca60b0de57909, 0x6d4feedd3e12801f,
  0xfd51cae86d1ba4ff, 0x7085bf80677a680d, 0xf10d8489ecb3879e, 0xe72ea77ea3c2784b, 0xa9ba6cf6e122270f,
  0xe4723cadfc94ed63, 0x15d4a8e47c1b306b, 0xc4522cd3ad08a053, 0xe31e3a909afa30b2, 0x9bc39223dece7576,
  0x8f9eb1aaf1b1d7a8, 0x97d2cc5c2422883e, 0xc82d51b044c8e1bd, 0xc55f3bb8a92966d7, 0x3859bf0312b5ec9f,
  0x228301deb5e78101, 0x4a7253a005bcde6d, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c, 0x7e56d99da70c76f6,
  0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x7f86792bf734332c, 0x000000002002a716,
};

/*
 * m128rfa1_u1x12_uart0_dual_ee_hw   m128rfr2_u1x12_uart0_dual_ee_hw   m1280_u1x12_uart0_dual_ee_hw
 * m1281_u1x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0xe6584a7419dd3e25, 0x615be70801c5c527,
  0x49034db9a391ed6f, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e5cdf03770, 0x690df2e2efe4be5f,
  0xcb41d2a2197fc841, 0xfe80e784c5162a10, 0x0b0de579096de87f, 0xdd3e12d37ff196a6, 0x486d1ba4ff6d4fee,
  0xe4795afb9aad68e4, 0xfdd1c8f83660c148, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8f7b39d5a5cc7ae2,
  0x55ae875ea26f0e48, 0xb84845107d1f3d63, 0xc11fadc37b2fa598, 0xe2a4a0135f20b546, 0x0c4ad7b27f157cee,
  0x7ad79e0404e166fc, 0x8016f379b48a0c07, 0x690e1aa6f529c94e, 0x0ca718de33a207c4, 0x3b4e455bd8aaa2d3,
  0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x000000002bb4f65a,
};

/*
 * m1284rfr2_u1x12_uart0_dual_ee_ce_u4_hw m128rfa1_u1x12_uart0_dual_ee_ce_hw
 * m128rfa1_u1x12_uart0_dual_ee_ce_u4_hw m128rfr2_u1x12_uart0_dual_ee_ce_hw
 * m128rfr2_u1x12_uart0_dual_ee_ce_u4_hw m1280_u1x12_uart0_dual_ee_ce_hw
 * m1280_u1x12_uart0_dual_ee_ce_u4_hw m1281_u1x12_uart0_dual_ee_ce_hw
 * m1281_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x29d06774f8971030, 0xc1523c5fbadf9961,
  0x94d1c8ea49b0e6f9, 0x5c5e8524482481b3, 0x27c3f3f7c117e53e, 0xf215401bb87c2886, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0x84c96a2a10cb42c7, 0x79096df96bfe80e7, 0x801ff196a60b0de5, 0xa4ff6d4feedd3e12,
  0x680dfd51cae86d1b, 0xc3cf3842df90e77a, 0x3c25f886c244f659, 0x1387ba1baa3f51e1, 0x76b1d4dd367b7091,
  0x9835f2391e56fe4a, 0x50298aea54723e0d, 0x185962291669d684, 0x3abb718f1d484d7d, 0xebd44de1c911ef67,
  0x441f47cf58d578d8, 0x70decbe9662e1211, 0xb36be416a8d82264, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a,
  0x6f36914180ef5af3, 0x54dea53929d002de, 0x1bc67440f88d21c3, 0x3b7b15545a6194e3, 0x52d4bf2b6cced386,
  0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x000eba8d1ba8a792,
};

/*
 * m1284rfr2_u1x12_uart1_noled_pr    m2564rfr2_u1x12_uart1_noled       m2564rfr2_u1x12_uart1_noled_pr
 * m128rfa1_u1x12_uart1_noled        m128rfa1_u1x12_uart1_noled_pr     m128rfr2_u1x12_uart1_noled
 * m128rfr2_u1x12_uart1_noled_pr     m1280_u1x12_uart1_noled           m1280_u1x12_uart1_noled_pr
 * m1281_u1x12_uart1_noled           m1281_u1x12_uart1_noled_pr        m256rfr2_u1x12_uart1_noled
 * m256rfr2_u1x12_uart1_noled_pr     m2560_u1x12_uart1_noled           m2560_u1x12_uart1_noled_pr
 * m2561_u1x12_uart1_noled           m2561_u1x12_uart1_noled_pr
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xf2e3f3f374c13e32, 0xb6a7f76e9f04a21f, 0x3be5921c368dd27f, 0x4389206692391f9e, 0x62c05bdd30f9d052,
  0xd78baf0d4b478cce, 0xf615920bb8e58c11, 0xefce726dbf0313bb, 0x4df9bcf82a0c077e, 0xa43717539794d8ce,
  0x612718de33a204ac, 0xe54e8ab7b15545a5, 0x377c252d4bf2b6cc, 0x459eff104fb8f0cc, 0xe4fdd598f2068fe3,
  0x87138cb25c33d30a, 0xbf734332c3a4a5b3, 0x0007c8636792a792,
};

/*
 * m2564rfr2_u1x12_uart1_noled_pr_u4 m128rfa1_u1x12_uart1_noled_pr_u4  m128rfr2_u1x12_uart1_noled_pr_u4
 * m1280_u1x12_uart1_noled_pr_u4     m1281_u1x12_uart1_noled_pr_u4     m256rfr2_u1x12_uart1_noled_pr_u4
 * m2560_u1x12_uart1_noled_pr_u4     m2561_u1x12_uart1_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xf0c367f4a9827c64, 0xb6a7f76e9f04814f, 0x3be5843c368dd27f, 0x438920682e391fa0, 0x62c0596537c9bdd2,
  0xd7a3ebc382d1eb0e, 0xc38d12a807fecc11, 0x9ddfb1357c0f2cf6, 0x3bf77e73936df818, 0xc6726fcde7c15060,
  0x256521b8ba9cbca6, 0x2d2b0938c6f19d10, 0xb6672a7455bd8aaa, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0x93c95fb9a19961d2, 0x0000003e4e8f26e0,
};

/*
 * m1284rfr2_u1x12_uart1_noled_pr_ee_u4 m2564rfr2_u1x12_uart1_noled_pr_ee
 * m2564rfr2_u1x12_uart1_noled_pr_ee_u4 m128rfa1_u1x12_uart1_noled_pr_ee
 * m128rfa1_u1x12_uart1_noled_pr_ee_u4 m128rfr2_u1x12_uart1_noled_pr_ee
 * m128rfr2_u1x12_uart1_noled_pr_ee_u4 m1280_u1x12_uart1_noled_pr_ee
 * m1280_u1x12_uart1_noled_pr_ee_u4  m1281_u1x12_uart1_noled_pr_ee     m1281_u1x12_uart1_noled_pr_ee_u4
 * m256rfr2_u1x12_uart1_noled_pr_ee  m256rfr2_u1x12_uart1_noled_pr_ee_u4
 * m2560_u1x12_uart1_noled_pr_ee     m2560_u1x12_uart1_noled_pr_ee_u4  m2561_u1x12_uart1_noled_pr_ee
 * m2561_u1x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x6cfe049827c64eeb, 0xfddba7c12297fe18, 0x1ce30da3749feda9, 0x318e4795c89355ad, 0xf159951c8f83660d,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0x237d1e0b39d5a5cf, 0x8d8d56ba1d79d3bc, 0x5cc5c2422859e8c3,
  0xd51b047eb70decb6, 0x062777ec00a41541, 0x180efddf9ce4db7e, 0x29b19c9bf379f054, 0x440959486e2ea72f,
  0xaa8b4ac24e31bc67, 0xe56d99ca9d156f62, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xb824f257ee686658,
  0x0000000004ebf1a1,
};

/*
 * m1284rfr2_u1x12_uart1_noled_pr_ce_u4 m128rfa1_u1x12_uart1_noled_pr_ce
 * m128rfa1_u1x12_uart1_noled_pr_ce_u4 m128rfr2_u1x12_uart1_noled_pr_ce
 * m128rfr2_u1x12_uart1_noled_pr_ce_u4 m1280_u1x12_uart1_noled_pr_ce
 * m1280_u1x12_uart1_noled_pr_ce_u4  m1281_u1x12_uart1_noled_pr_ce     m1281_u1x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0xda9fddba7c12387f, 0x1bfa8290da3749fe, 0xcf3842dbcdceff70, 0x25f886c244f659c3,
  0x387800293f51e13c, 0x96faf59367b70911, 0x89207ac8e4727a7b, 0x8731602a636b5243, 0x78ebd1f5e1c168f5,
  0xadc1c6895403ff66, 0x0313bbf626af81e5, 0x0c077eefce726dbf, 0x94d8ce4df9bcf82a, 0xa204aca437175397,
  0x5545a5612718de33, 0xe56d99ca9c63b7b1, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xb824f257ee686658,
  0x0000000006ebde49,
};

/*
 * m1284rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m128rfa1_u1x12_uart1_noled_pr_ee_ce
 * m128rfa1_u1x12_uart1_noled_pr_ee_ce_u4 m128rfr2_u1x12_uart1_noled_pr_ee_ce
 * m128rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m1280_u1x12_uart1_noled_pr_ee_ce
 * m1280_u1x12_uart1_noled_pr_ee_ce_u4 m1281_u1x12_uart1_noled_pr_ee_ce
 * m1281_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xfbb74f8241a3fc30, 0x652e1b46e93fdb53, 0x5b79b9d85a037f54, 0xd8489ecb3879e708,
  0x7547ea3c2784bf10, 0xe6cf6e122270f743, 0x23cafa894ed63a7b, 0x751c8f83660d6bc7, 0x22cd3ad08a05315f,
  0xa3a909afa30b2c45, 0x46fa3c1673abb71e, 0x36355e363af3a778, 0x73170908a167a30e, 0xaa3608991c37b2d9,
  0x0c4eefd859c82a83, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8, 0x8812b290dc5d4e5e, 0x551695849c6378ce,
  0x95b6672a718edec5, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x0000000004fc4b68,
};

/*
 * m2564rfr2_u1x12_uart1_noled_ee_hw m128rfa1_u1x12_uart1_noled_ee_hw  m128rfr2_u1x12_uart1_noled_ee_hw
 * m1280_u1x12_uart1_noled_ee_hw     m1281_u1x12_uart1_noled_ee_hw     m256rfr2_u1x12_uart1_noled_ee_hw
 * m2560_u1x12_uart1_noled_ee_hw     m2561_u1x12_uart1_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0x9fddba7c12297fe5, 0xd1ce30da3749feda, 0xd318e4795c89355a, 0xdf159951c8f83660,
  0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xc237d1e0b39d5a5c, 0x38d8d56ba1d79d3b, 0x65cc5c2422859e8c,
  0x1d51b047eb70decb, 0xe062777ec00a4154, 0x4180efddf9ce4db7, 0xf29b19c9bf379f05, 0x7440959486e2ea72,
  0x2aa8b4ac24e31bc6, 0x7e56d99ca9d156f6, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50, 0x9d871fc65f989ffd,
  0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0xdf1a6b514f257ee6, 0x0000000000000002,
};

/*
 * m1284rfr2_u1x12_uart1_noled_ee_ce_u4_hw m128rfa1_u1x12_uart1_noled_ee_ce_hw
 * m128rfa1_u1x12_uart1_noled_ee_ce_u4_hw m128rfr2_u1x12_uart1_noled_ee_ce_hw
 * m128rfr2_u1x12_uart1_noled_ee_ce_u4_hw m1280_u1x12_uart1_noled_ee_ce_hw
 * m1280_u1x12_uart1_noled_ee_ce_u4_hw m1281_u1x12_uart1_noled_ee_ce_hw
 * m1281_u1x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfddba7c120d1fe56, 0x32970da3749feda9, 0x5bf21cec2d01bfaa, 0xd8489ecb3879e708,
  0xe8ffea3c2784bf10, 0xf367b70911387672, 0x91e57d44a76b1d3d, 0xba8e47c1b306b5e3, 0x91669d68450298af,
  0x51d484d7d1859622, 0x237d1e0b39d5db8f, 0x1b1aaf1b1d79d3bc, 0xb98b848450b3d187, 0xd51b044c8e1bd96c,
  0x062777ec2ce41541, 0x180efddf9ce4db7e, 0x29b19c9bf379f054, 0x440959486e2ea72f, 0xaa8b4ac24e31bc67,
  0xcadb339538c76f62, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x438bea29e4afdcd0, 0x0000000000000140,
};

/*
 * m1284rfr2_u1x12_uart1_lednop_pr   m2564rfr2_u1x12_uart1_lednop      m2564rfr2_u1x12_uart1_lednop_pr
 * m128rfa1_u1x12_uart1_lednop       m128rfa1_u1x12_uart1_lednop_pr    m128rfr2_u1x12_uart1_lednop
 * m128rfr2_u1x12_uart1_lednop_pr    m1280_u1x12_uart1_lednop          m1280_u1x12_uart1_lednop_pr
 * m1281_u1x12_uart1_lednop          m1281_u1x12_uart1_lednop_pr       m256rfr2_u1x12_uart1_lednop
 * m256rfr2_u1x12_uart1_lednop_pr    m2560_u1x12_uart1_lednop          m2560_u1x12_uart1_lednop_pr
 * m2561_u1x12_uart1_lednop          m2561_u1x12_uart1_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x3fcb8fcf84f9827c, 0xfeda9fddba7c1240, 0x78ef964870da3749, 0x490e24819a48e472, 0x731602dee987c59f,
  0x1d78baf0a434720a, 0xdfb0acc67b8e58c1, 0x781013936df8189d, 0xf9bcb750603bf77e, 0x1aa6f529c94e804d,
  0x45021696bfc4690e, 0xcce9c6378ce881b7, 0xcc377c252d4bf2b6, 0xe3459eff104fb8f0, 0x0ae4fdd598f2068f,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000007c8636792a7,
};

/*
 * m2564rfr2_u1x12_uart1_lednop_pr_u4 m128rfa1_u1x12_uart1_lednop_pr_u4 m128rfr2_u1x12_uart1_lednop_pr_u4
 * m1280_u1x12_uart1_lednop_pr_u4    m1281_u1x12_uart1_lednop_pr_u4    m256rfr2_u1x12_uart1_lednop_pr_u4
 * m2560_u1x12_uart1_lednop_pr_u4    m2561_u1x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xf0c367c27cc13e32, 0xb6a7f76e9f04900f, 0x3be5843c368dd27f, 0x438920682e391ed6, 0x62c0596534dd1952,
  0xaf47d7849a4690ce, 0x7b43ed500ffd9823, 0x777ecf70503cb3db, 0xf9e0404e4db7e062, 0x7e6f36914180efdd,
  0x86a9bd4a7253a013, 0xc6378ce881f11a43, 0x9156f62aa8b4c329, 0xc252d4bf2b6cced3, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x7c9ae2f9c12792bf,
};

/*
 * m1284rfr2_u1x12_uart1_lednop_pr_ee_u4 m2564rfr2_u1x12_uart1_lednop_pr_ee
 * m2564rfr2_u1x12_uart1_lednop_pr_ee_u4 m128rfa1_u1x12_uart1_lednop_pr_ee
 * m128rfa1_u1x12_uart1_lednop_pr_ee_u4 m128rfr2_u1x12_uart1_lednop_pr_ee
 * m128rfr2_u1x12_uart1_lednop_pr_ee_u4 m1280_u1x12_uart1_lednop_pr_ee
 * m1280_u1x12_uart1_lednop_pr_ee_u4 m1281_u1x12_uart1_lednop_pr_ee    m1281_u1x12_uart1_lednop_pr_ee_u4
 * m256rfr2_u1x12_uart1_lednop_pr_ee m256rfr2_u1x12_uart1_lednop_pr_ee_u4
 * m2560_u1x12_uart1_lednop_pr_ee    m2560_u1x12_uart1_lednop_pr_ee_u4 m2561_u1x12_uart1_lednop_pr_ee
 * m2561_u1x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xd9fdf7304f8c9ddb, 0xfbb74f824a7bfc30, 0x39c61b46e93fdb53, 0x631c8f2b32a6ab5a, 0xc5663e391f06cc1a,
  0xb1148b34eb422877, 0x171ac9a426be8c2c, 0x23e23268e7569791, 0xd58d56ba1d79d3bc, 0x2e62e121147408de,
  0x2a8d823f5b86f65b, 0xe062777ec00838d1, 0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253,
  0xc329c6378ce881f1, 0xced39156f62aa8b4, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000275cfd6dc127,
};

/*
 * m1284rfr2_u1x12_uart1_lednop_pr_ce_u4 m128rfa1_u1x12_uart1_lednop_pr_ce
 * m128rfa1_u1x12_uart1_lednop_pr_ce_u4 m128rfr2_u1x12_uart1_lednop_pr_ce
 * m128rfr2_u1x12_uart1_lednop_pr_ce_u4 m1280_u1x12_uart1_lednop_pr_ce
 * m1280_u1x12_uart1_lednop_pr_ce_u4 m1281_u1x12_uart1_lednop_pr_ce    m1281_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0xda9fddba7c12287f, 0x1bfa8290da3749fe, 0xcf3842dbcdcefe70, 0x25f886c244f659c3,
  0xe1f1bbb07f51e13c, 0x5bebd64d9edc2444, 0x2481eb2391fa49ee, 0x398b0172483f490e, 0x8ebd1f5e12691a43,
  0xb9ed0fb5403ff667, 0x62777ecf70503cb5, 0xddf9e0404e4db7e0, 0x137e6f36914180ef, 0x4386a9bd4a7253a0,
  0x29c6378ce881f11a, 0xa70c76f62aa8b4c3, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a,
  0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x006eb86a73824f25,
};

/*
 * m1284rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m128rfa1_u1x12_uart1_lednop_pr_ee_ce
 * m128rfa1_u1x12_uart1_lednop_pr_ee_ce_u4 m128rfr2_u1x12_uart1_lednop_pr_ee_ce
 * m128rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m1280_u1x12_uart1_lednop_pr_ee_ce
 * m1280_u1x12_uart1_lednop_pr_ee_ce_u4 m1281_u1x12_uart1_lednop_pr_ee_ce
 * m1281_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xbb74f8253b7fe186, 0x52e1b46e93fdb53f, 0x6f373bb1f037f546, 0x0913d9670f3ce10b,
  0xbbfd4784f097e21b, 0xb3db84889c38000d, 0xf2beea53b58e9ef9, 0xc723e0d9835af1c8, 0x669d68450298ac3d,
  0xd484d7d185962291, 0xf88c9a39d5dba441, 0xc6abc6c75e74ef08, 0x3170908a3a046f6a, 0xa3608991c37b2d97,
  0x189ddfb0b30e344a, 0xf77e781013936df8, 0x04df9bcda450603b, 0x90e1aa6f529c94e8, 0xca718de33a207c46,
  0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4,
  0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0009f86112e093c9,
};

/*
 * m2564rfr2_u1x12_uart1_lednop_ee_hw m128rfa1_u1x12_uart1_lednop_ee_hw m128rfr2_u1x12_uart1_lednop_ee_hw
 * m1280_u1x12_uart1_lednop_ee_hw    m1281_u1x12_uart1_lednop_ee_hw    m256rfr2_u1x12_uart1_lednop_ee_hw
 * m2560_u1x12_uart1_lednop_ee_hw    m2561_u1x12_uart1_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0x9fddba7c1253dfe5, 0xd1ce30da3749feda, 0xd318e4795995355a, 0xbe2b31f1c8f83660,
  0x6588a459a75a1143, 0x88b8d64d2135f461, 0xe11f1193473ab4bc, 0xf6ac6ab5d0ebce9d, 0xd973170908a3a046,
  0x89546c11fadc37b2, 0xbf0313bbf60041c6, 0x077eefcf0202726d, 0x9d009bf379b48a0c, 0x88d21c354dea5392,
  0xa6194e31bc67440f, 0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xe50c2a44ad417678, 0x7f197e627ff787bd,
  0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xb5453c95fb9a1996, 0x00000000000b7eec,
};

/*
 * m1284rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m128rfa1_u1x12_uart1_lednop_ee_ce_hw
 * m128rfa1_u1x12_uart1_lednop_ee_ce_u4_hw m128rfr2_u1x12_uart1_lednop_ee_ce_hw
 * m128rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m1280_u1x12_uart1_lednop_ee_ce_hw
 * m1280_u1x12_uart1_lednop_ee_ce_u4_hw m1281_u1x12_uart1_lednop_ee_ce_hw
 * m1281_u1x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfddba7c129dbff2b, 0x32970da3749feda9, 0xb7e439dd8f81bfaa, 0xb0913d9670f3ce10,
  0x089fd4784f097e21, 0xcd9edc2444e1da0e, 0x4795f7529dac74f7, 0xee391f06cc1ad78e, 0x8b34eb422814c561,
  0x0ea426be8c2cb114, 0x47c464d1ceaedd22, 0x56355e363af3a778, 0xb98b848451d0237b, 0x551b044c8e1bd96c,
  0xc0c4eefd859871a2, 0xdfbbf3c0809c9b6f, 0x4026fcde6d228301, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000280a8c7f,
};

/*
 * m1284rfr2_u1x12_uart1_dual_pr     m1284rfr2_u1x12_uart1_dual_pr_u4  m128rfa1_u1x12_uart1_dual
 * m128rfa1_u1x12_uart1_dual_pr      m128rfa1_u1x12_uart1_dual_pr_u4   m128rfr2_u1x12_uart1_dual
 * m128rfr2_u1x12_uart1_dual_pr      m128rfr2_u1x12_uart1_dual_pr_u4   m1280_u1x12_uart1_dual
 * m1280_u1x12_uart1_dual_pr         m1280_u1x12_uart1_dual_pr_u4      m1281_u1x12_uart1_dual
 * m1281_u1x12_uart1_dual_pr         m1281_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xe9bfccb0940253ba, 0xea7b61958e1bef8b,
  0x92241240cbacd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cad6c, 0xf9082d21be5c5dfc,
  0x22a10cb43e44432f, 0xb7a95ff4073c261f, 0xfa7c982c3795e425, 0xda9fddba7c12eebf, 0x77cb1350da3749fe,
  0x0e24818878e47c8a, 0x1602a83cc7ac4349, 0xf006bc3bda3afe73, 0x3c27d500ffd9823a, 0xc549629c81e59edf,
  0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0, 0x94e31bc67440f88d,
  0x69c8ab7b15545a61, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4,
  0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00149341c6e093c9,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ee   m128rfr2_u1x12_uart1_dual_pr_ee   m1280_u1x12_uart1_dual_pr_ee
 * m1281_u1x12_uart1_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xfccb0940253ba7c4, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xdba7c12d37ffd3e4, 0x890da3749feda9fd,
  0x1c8f2b5f7355ad1c, 0x7fba391f06cc1829, 0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x11ef673ab4b98f5c,
  0x6ab5d0ebd44de1c9, 0x170908a20fa3e7ac, 0xd823f5b86f65f4b3, 0xdc5494026be416a8, 0x0313bbf64fe2af9d,
  0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88, 0x769c8ab7b15545a6,
  0x1bbe1296a5f95b66, 0xa2cf7f8827dc7866, 0x5c9fbab337f07771, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x00032142b53824f2,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ee_u4 m128rfr2_u1x12_uart1_dual_pr_ee_u4
 * m1280_u1x12_uart1_dual_pr_ee_u4   m1281_u1x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x6584a6024ee9f12e, 0x15be70801c5c527e,
  0x9034db9a391ed6f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e5cdf03770f, 0x90df2e2efe4be5f2,
  0xb41d2a2197fc8416, 0xe80e784c5162a10c, 0xb0de579096de87ff, 0xa7c12d37fe40ca60, 0x0da3749feda9fddb,
  0x8f2b5f7355ad1c89, 0xba391f06cc18291c, 0x8b34eb422877c57f, 0xb9a426be8c2cb114, 0xef673ab4b98f5c54,
  0xb5d0ebd44de1c911, 0x0908a20fa3e7ac6a, 0x23f5b86f65f4b317, 0x5494026be416a8d8, 0x13bbf64fe2af9ddc,
  0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x9c8ab7b15545a619,
  0xbe1296a5f95b6676, 0xb3dfe205ec78661b, 0x6a75666fe0d1fc68, 0xffbc3def28615225, 0xf633b0e3f8cbf313,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x5645a6b1fe19e4af,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ce   m128rfr2_u1x12_uart1_dual_pr_ce   m1280_u1x12_uart1_dual_pr_ce
 * m1281_u1x12_uart1_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x03f32c250094ee9f, 0x6f616b670adfe2f0,
  0x904903dda9a391e7, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x2f973f21f2524037, 0x20b486f97177f25f,
  0x0865a095910cbfe4, 0x5fff4073c265f715, 0x930586f2bc84b6fd, 0xf76e9f04b7dfff4f, 0xbd44368dd27fb6a7,
  0x10b6f373b28606fe, 0x21b0913d9670f3ce, 0xbb43efd4784f097e, 0xa97367b709113876, 0xa5c7238df9ee5beb,
  0x05401efa4871240e, 0x0d7877b475fce62c, 0x4faa01ffb33c75e0, 0xa4b14e40f2d6ee78, 0x9ddfb27f157ceee2,
  0x7e781013936df818, 0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xc31dbd8aaa2d30ca,
  0xe1296a5f95b66769, 0x7bfc409c678661bb, 0xa9d599bf83bb8d16, 0x761c4e34a1854895, 0xa615c9f80f9a3ec6,
  0x4b670e271964b867, 0x4f257ee686658749, 0x0000000349102382,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ce_u4 m128rfr2_u1x12_uart1_dual_pr_ce_u4
 * m1280_u1x12_uart1_dual_pr_ce_u4   m1281_u1x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xae2eff3f32c25009, 0x4723ffcd80683869,
  0x7a1491209207d3f3, 0x0fcfdf045f94f971, 0x95006ee1f0a2189f, 0xefe4be5f2e7e43e4, 0x197fc841690df2e2,
  0xc1ee2a10cb417da2, 0x84b6e4ebfe80e784, 0x77ff4f930586f2bc, 0x7fb6a7f76e9f04a5, 0xec0dfd65f4368dd2,
  0xe1e79c216de6e76b, 0x9e12fc4361227b2c, 0x889c3c00149fa8f0, 0xf72df58719b3db84, 0x1c49030e31c8fd24,
  0x43398b01531e8292, 0x678ebc8bbc221d1a, 0xddc549475acdc72c, 0xf0313bbf64fe2af9, 0x77eefcf0202726db,
  0xe74026fcde0e4ac0, 0xdd20a7d53b8b29cb, 0x102b83182169b15e, 0x7e56d99d38c6f19d, 0x7b1e1986ef84a5a9,
  0x7f07771a2cf7f881, 0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x03824f257ee68665, 0x00000000000d244d,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ee_ce m128rfr2_u1x12_uart1_dual_pr_ee_ce
 * m1280_u1x12_uart1_dual_pr_ee_ce   m1281_u1x12_uart1_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x0ff32c250094ee9f, 0x36c19f0e1d67c5d9,
  0x209207faf34723cc, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0x7cb9f90f9720e06e, 0x05a437cb8bbf92f9,
  0x432d0b748865ff21, 0x0ffa039e1329e8a8, 0x4c161bcaf212dbc0, 0xddba7c120d1ffd3e, 0xfdd0da3749feda9f,
  0xbcdceedd00aefaa3, 0x87bc3e5afcf3842d, 0xc46219a057709113, 0x318e479599529daf, 0x315c891c8f83660d,
  0x2c4522cd3ad08a05, 0x6e09e3a909afa30b, 0xc57860fa3e90e757, 0x8ea5d8d578d8ebda, 0xcb8f8c5c24228c16,
  0x8a92e310e26470de, 0x62777ec9fc55f3bb, 0xddf9e0404e4db7e0, 0x0137e6f2dd4180ef, 0xa4386a9bd4a7253a,
  0x0db8c6085a5aff11, 0x95b6674e31bc6744, 0xc78661bbe1296a5f, 0x07771a2cf7f8827d, 0x67a615c9fbab337f,
  0x494b670e271964b8, 0x824f257ee6866587, 0x000000002608dc7b,
};

/*
 * m128rfa1_u1x12_uart1_dual_pr_ee_ce_u4 m128rfr2_u1x12_uart1_dual_pr_ee_ce_u4
 * m1280_u1x12_uart1_dual_pr_ee_ce_u4 m1281_u1x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0x3c5fbadf99612980,
  0xc8ea49b0e6f9c152, 0x8524482481b394d1, 0xf3f7c117e53e5c5e, 0x401bb87c288627c3, 0xf25f2f973f21f215,
  0xbfe420b486f97177, 0x6a2a10cb42c7d10c, 0x6df96bfe80e784c9, 0xe40ca60b0de57909, 0xda9fddba7c12801f,
  0xfaa395d0da3749fe, 0xe10b7f00cef4d01b, 0xe21b0913d9670f3c, 0xce5d4efd4784f097, 0x5374d9edc2444e1f,
  0xc8e4795bf929dac7, 0x2ba951c8f83660d7, 0x88a459a75a1140a6, 0xc63c752135f46165, 0x37872447bd9ceaed,
  0x1f3d6355e363af51, 0x2fa598b84845107d, 0x905aa3608991c37b, 0x8abe77715252cdaf, 0xc9b6fc0c4eefd93f,
  0x28301dfbbf3c0809, 0x4e4a74026fcde6d2, 0x103e234870d537a9, 0x5516986538c6f19d, 0xcadb33b4e18edec5,
  0x63c330ddf094b52f, 0x068fe3459eff102f, 0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f,
  0x67a617c68f45fe07, 0x494b670e271964b8, 0xf0cf257ee6866587, 0x000000040054e2cf,
};

/*
 * m128rfa1_u1x12_uart1_dual_ee_hw   m128rfr2_u1x12_uart1_dual_ee_hw   m1280_u1x12_uart1_dual_ee_hw
 * m1281_u1x12_uart1_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0xe6584a7419dd3e25, 0x615be70801c5c527,
  0x49034db9a391ed6f, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e5cdf03770, 0x690df2e2efe4be5f,
  0xcb41d2a2197fc841, 0xfe80e784c5162a10, 0x0b0de579096de87f, 0xba7c12d37ff196a6, 0x90da3749feda9fdd,
  0xc8f2b5f7355ad1c8, 0xfba391f06cc18291, 0x48b34eb422877c57, 0x4b9a426be8c2cb11, 0x1ef673ab4b98f5c5,
  0xab5d0ebd44de1c91, 0x70908a20fa3e7ac6, 0x823f5b86f65f4b31, 0xc5494026be416a8d, 0x313bbf64fe2af9dd,
  0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0, 0x94e31bc67440f88d, 0x69c8ab7b15545a61,
  0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000005769ecb54,
};

/*
 * m1284rfr2_u1x12_uart1_dual_ee_ce_u4_hw m128rfa1_u1x12_uart1_dual_ee_ce_hw
 * m128rfa1_u1x12_uart1_dual_ee_ce_u4_hw m128rfr2_u1x12_uart1_dual_ee_ce_hw
 * m128rfr2_u1x12_uart1_dual_ee_ce_u4_hw m1280_u1x12_uart1_dual_ee_ce_hw
 * m1280_u1x12_uart1_dual_ee_ce_u4_hw m1281_u1x12_uart1_dual_ee_ce_hw
 * m1281_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x29d06774f8971030, 0xc1523c5fbadf9961,
  0x94d1c8ea49b0e6f9, 0x5c5e8524482481b3, 0x27c3f3f7c117e53e, 0xf215401bb87c2886, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0x84c96a2a10cb42c7, 0x79096df96bfe80e7, 0x801ff196a60b0de5, 0x49feda9fddba7c12,
  0xd01bfaa395d0da37, 0x879e7085bf21cef4, 0x784bf10d8489ecb3, 0x270f7437547ea3c2, 0xed63a9ba6cf6e122,
  0x306be4723cadfc94, 0xa05315d4a8e47c1b, 0x30b2c4522cd3ad08, 0x7576e31e3a909afa, 0xd7a89bc39223dece,
  0x883e8f9eb1aaf1b1, 0xe1bd97d2cc5c2422, 0x66d7c82d51b044c8, 0xec9fc55f3bb8a929, 0x0404e4db7e062777,
  0xf36914180efddf9e, 0x9bd4a7253a0137e6, 0x78ce881f11a4386a, 0x6f62aa8b4c329c63, 0x5a97e56d99da70c7,
  0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x01d751a37514f257,
};

/*
 * m1284rfr2_u2x8_uart0_noled_pr     m2564rfr2_u2x8_uart0_noled        m2564rfr2_u2x8_uart0_noled_pr
 * m128rfa1_u2x8_uart0_noled         m128rfa1_u2x8_uart0_noled_pr      m128rfr2_u2x8_uart0_noled
 * m128rfr2_u2x8_uart0_noled_pr      m1280_u2x8_uart0_noled            m1280_u2x8_uart0_noled_pr
 * m1281_u2x8_uart0_noled            m1281_u2x8_uart0_noled_pr         m256rfr2_u2x8_uart0_noled
 * m256rfr2_u2x8_uart0_noled_pr      m2560_u2x8_uart0_noled            m2560_u2x8_uart0_noled_pr
 * m2561_u2x8_uart0_noled            m2561_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff971f9f9ba609f1, 0x5472937dba7c2510, 0xe78ef964870da37b, 0x1490e24819a48e47, 0x3398b016f74c3e74,
  0x0475e2ebc352d1e3, 0x56bd856482ee3963, 0x3bd6bce70b37e062, 0x63385bcde7c15060, 0x12b290dc5d4e5e53,
  0x1695849c6378ce88, 0xdb33953a2adec555, 0xc330ddf094b52fca, 0x3f8d167bfc413ee3, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000001f218d9e4a,
};

/*
 * m2564rfr2_u2x8_uart0_noled_pr_u4  m128rfa1_u2x8_uart0_noled_pr_u4   m128rfr2_u2x8_uart0_noled_pr_u4
 * m1280_u2x8_uart0_noled_pr_u4      m1281_u2x8_uart0_noled_pr_u4      m256rfr2_u2x8_uart0_noled_pr_u4
 * m2560_u2x8_uart0_noled_pr_u4      m2561_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0x7f861b3fa54c13e3, 0x5472937dba7c240a, 0xe80ef9610f0da37b, 0x7490e2481a0b8e47, 0xc398b016594df26f,
  0x0475e8faf0e0b47a, 0x3db0e344aa01ffb3, 0x0312b5ec4d5f03cb, 0x8301deb5e73859bf, 0xf29b19c2de6f3e0a,
  0x7440959486e2ea72, 0x2aa8b4ac24e31bc6, 0x7e56d99ca9d156f6, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x9b824f257ee68665, 0x0000000000f93a3c,
};

/*
 * m1284rfr2_u2x8_uart0_noled_pr_ee_u4 m2564rfr2_u2x8_uart0_noled_pr_ee
 * m2564rfr2_u2x8_uart0_noled_pr_ee_u4 m128rfa1_u2x8_uart0_noled_pr_ee
 * m128rfa1_u2x8_uart0_noled_pr_ee_u4 m128rfr2_u2x8_uart0_noled_pr_ee
 * m128rfr2_u2x8_uart0_noled_pr_ee_u4 m1280_u2x8_uart0_noled_pr_ee
 * m1280_u2x8_uart0_noled_pr_ee_u4   m1281_u2x8_uart0_noled_pr_ee      m1281_u2x8_uart0_noled_pr_ee_u4
 * m256rfr2_u2x8_uart0_noled_pr_ee   m256rfr2_u2x8_uart0_noled_pr_ee_u4
 * m2560_u2x8_uart0_noled_pr_ee      m2560_u2x8_uart0_noled_pr_ee_u4   m2561_u2x8_uart0_noled_pr_ee
 * m2561_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0xc367f024c13e3277, 0xa4df6e9f0914bff0, 0x6b4738c368ded51c, 0x834c6391e57224d5, 0x877c56654723e0d9,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xef08df4782ce7569, 0x30e36355ae875e74, 0x2d973170908a167a,
  0x507546c11fadc37b, 0x6fc0c4ad7b002905, 0x82a0c077ad79ce16, 0x9cbca6c670b79bcf, 0xf19d10256521b8ba,
  0xbd8aaa2d2b0938c6, 0x6a5f95b6672a7455, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xc686e093c95fb9a1,
  0x00000000000013af,
};

/*
 * m1284rfr2_u2x8_uart0_noled_pr_ce_u4 m128rfa1_u2x8_uart0_noled_pr_ce
 * m128rfa1_u2x8_uart0_noled_pr_ce_u4 m128rfr2_u2x8_uart0_noled_pr_ce
 * m128rfr2_u2x8_uart0_noled_pr_ce_u4 m1280_u2x8_uart0_noled_pr_ce
 * m1280_u2x8_uart0_noled_pr_ce_u4   m1281_u2x8_uart0_noled_pr_ce      m1281_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x51ca4df6e9f091c3, 0xdc06fea0a4368ded, 0x70f3ce10b6f373bf, 0x4f097e21b0913d96,
  0x444e1e000a4fd478, 0x9ee5bebd64d9edc2, 0x90e2481eb2391c9e, 0x3d61cc580a98dad4, 0xd99e3af47d78705a,
  0x796b7071a25500ff, 0x37e06256bd89abe0, 0xc150603bd6bce70b, 0x4e5e5363385bcde7, 0x78ce8812b290dc5d,
  0xdec5551695849c63, 0x6a5f95b6672a718e, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x7926e093c95fb9a1,
  0x0000000000001baf,
};

/*
 * m1284rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m128rfa1_u2x8_uart0_noled_pr_ee_ce
 * m128rfa1_u2x8_uart0_noled_pr_ee_ce_u4 m128rfr2_u2x8_uart0_noled_pr_ee_ce
 * m128rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m1280_u2x8_uart0_noled_pr_ee_ce
 * m1280_u2x8_uart0_noled_pr_ee_ce_u4 m1281_u2x8_uart0_noled_pr_ee_ce
 * m1281_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x49bedd3e120d1fe1, 0xd5194b86d1bdaa39, 0xc216de6e761680df, 0xc4361227b2ce1e79,
  0xd0dd51fa8f09e12f, 0x9ef9b3db84889c3d, 0xf1c8f2bea253b58e, 0x57dd4723e0d9835a, 0x1148b34eb422814c,
  0xc7a8ea426be8c2cb, 0xde11be8f059ceaed, 0xc38d8d578d8ebce9, 0xb65cc5c2422859e8, 0xa0ea8d8226470dec,
  0xdf81895af616720a, 0x054180ef5af39c2c, 0x39794d8ce16f379f, 0xe33a204aca437175, 0x7b15545a5612718d,
  0xa97e56d99ca9c63b, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x2da3824f257ee686, 0x00000000000013f1,
};

/*
 * m2564rfr2_u2x8_uart0_noled_ee_hw  m128rfa1_u2x8_uart0_noled_ee_hw   m128rfr2_u2x8_uart0_noled_ee_hw
 * m1280_u2x8_uart0_noled_ee_hw      m1281_u2x8_uart0_noled_ee_hw      m256rfr2_u2x8_uart0_noled_ee_hw
 * m2560_u2x8_uart0_noled_ee_hw      m2561_u2x8_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0xca4df6e9f0914bff, 0x56b4738c368ded51, 0x9834c6391e57224d, 0x2877c56654723e0d,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x4ef08df4782ce756, 0xa30e36355ae875e7, 0xb2d973170908a167,
  0x5507546c11fadc37, 0x66fc0c4ad7b00290, 0xf82a0c077ad79ce1, 0xa9cbca6c670b79bc, 0x6f19d10256521b8b,
  0x5bd8aaa2d2b0938c, 0x96a5f95b6672a745, 0xad417678661bbe12, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x000b7c69ad453c95,
};

/*
 * m1284rfr2_u2x8_uart0_noled_ee_ce_u4_hw m128rfa1_u2x8_uart0_noled_ee_ce_hw
 * m128rfa1_u2x8_uart0_noled_ee_ce_u4_hw m128rfr2_u2x8_uart0_noled_ee_ce_hw
 * m128rfr2_u2x8_uart0_noled_ee_ce_u4_hw m1280_u2x8_uart0_noled_ee_ce_hw
 * m1280_u2x8_uart0_noled_ee_ce_u4_hw m1281_u2x8_uart0_noled_ee_ce_hw
 * m1281_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0xa4df6e9f09068ff2, 0xea8ca5c368ded51c, 0xc216fc873b0b406f, 0xc4361227b2ce1e79,
  0x9cba3ffa8f09e12f, 0x4f7cd9edc2444e1d, 0x78e4795f5129dac7, 0x2beea391f06cc1ad, 0x88a459a75a1140a6,
  0xe3d4752135f46165, 0xef08df4782ce7576, 0x61c6c6abc6c75e74, 0x5b2e62e121142cf4, 0x507546c1132386f6,
  0x6fc0c4ad7b0b3905, 0x82a0c077ad79ce16, 0x9cbca6c670b79bcf, 0xf19d10256521b8ba, 0xbd8aaa2d2b0938c6,
  0xd4bf2b6cce54e31d, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x05010e2fa8a792bf,
};

/*
 * m1284rfr2_u2x8_uart0_lednop_pr    m2564rfr2_u2x8_uart0_lednop       m2564rfr2_u2x8_uart0_lednop_pr
 * m128rfa1_u2x8_uart0_lednop        m128rfa1_u2x8_uart0_lednop_pr     m128rfr2_u2x8_uart0_lednop
 * m128rfr2_u2x8_uart0_lednop_pr     m1280_u2x8_uart0_lednop           m1280_u2x8_uart0_lednop_pr
 * m1281_u2x8_uart0_lednop           m1281_u2x8_uart0_lednop_pr        m256rfr2_u2x8_uart0_lednop
 * m256rfr2_u2x8_uart0_lednop_pr     m2560_u2x8_uart0_lednop           m2560_u2x8_uart0_lednop_pr
 * m2561_u2x8_uart0_lednop           m2561_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x01fe5c7e7c27cc13, 0xed51ca4df6e9f092, 0x1c9e3be5921c368d, 0x67d2438920669239, 0x829cc580b7ba61f1,
  0x30475e2ebc290d1c, 0x12b5ec2b319ee396, 0xb5e781013859bf03, 0x005bcde5ba8301de, 0xa4386a9bd4a7253a,
  0x06dd14085a5aff11, 0xcadb33a718de33a2, 0xe3c330ddf094b52f, 0x1a3f8d167bfc413e, 0xcf4c2b93f75663c8,
  0x9296ce1c4e32c970, 0x4a9e4afdcd0ccb0e, 0x000000001f218d9e,
};

/*
 * m2564rfr2_u2x8_uart0_lednop_pr_u4 m128rfa1_u2x8_uart0_lednop_pr_u4  m128rfr2_u2x8_uart0_lednop_pr_u4
 * m1280_u2x8_uart0_lednop_pr_u4     m1281_u2x8_uart0_lednop_pr_u4     m256rfr2_u2x8_uart0_lednop_pr_u4
 * m2560_u2x8_uart0_lednop_pr_u4     m2561_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0x7f861b3e13e609f1, 0x5472937dba7c2480, 0xb58ef9610f0da37b, 0x5490e2481a0b8e47, 0x3398b016594d3746,
  0x08ebd1f5e12691a4, 0xf6ded0fb5403ff66, 0x0c4ad7b3dc140f2c, 0x7ad79e0404e166fc, 0x8016f379b48a0c07,
  0x690e1aa6f529c94e, 0x0ca718de33a207c4, 0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x3459eff102f63c33,
  0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x0001f26b8be7049e,
};

/*
 * m1284rfr2_u2x8_uart0_lednop_pr_ee_u4 m2564rfr2_u2x8_uart0_lednop_pr_ee
 * m2564rfr2_u2x8_uart0_lednop_pr_ee_u4 m128rfa1_u2x8_uart0_lednop_pr_ee
 * m128rfa1_u2x8_uart0_lednop_pr_ee_u4 m128rfr2_u2x8_uart0_lednop_pr_ee
 * m128rfr2_u2x8_uart0_lednop_pr_ee_u4 m1280_u2x8_uart0_lednop_pr_ee
 * m1280_u2x8_uart0_lednop_pr_ee_u4  m1281_u2x8_uart0_lednop_pr_ee     m1281_u2x8_uart0_lednop_pr_ee_u4
 * m256rfr2_u2x8_uart0_lednop_pr_ee  m256rfr2_u2x8_uart0_lednop_pr_ee_u4
 * m2560_u2x8_uart0_lednop_pr_ee     m2560_u2x8_uart0_lednop_pr_ee_u4  m2561_u2x8_uart0_lednop_pr_ee
 * m2561_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x86cfefb9827c64ee, 0x49bedd3e1253dfe1, 0xd68e7186d1bdaa39, 0x0698c723cacca9aa, 0x1df1598f8e47c1b3,
  0x0b2c4522cd3ad08a, 0xe445c6b26909afa3, 0xef08f88c9a39d5a5, 0x37b56355ae875e74, 0x96cb98b848451d02,
  0x344aa3608fd6e1bd, 0x66fc0c4ad7b0020e, 0x0c077ad79e0404e1, 0xc94e8016f379b48a, 0x07c4690e1aa6f529,
  0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe,
  0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e,
  0x000000009d73f5b7,
};

/*
 * m1284rfr2_u2x8_uart0_lednop_pr_ce_u4 m128rfa1_u2x8_uart0_lednop_pr_ce
 * m128rfa1_u2x8_uart0_lednop_pr_ce_u4 m128rfr2_u2x8_uart0_lednop_pr_ce
 * m128rfr2_u2x8_uart0_lednop_pr_ce_u4 m1280_u2x8_uart0_lednop_pr_ce
 * m1280_u2x8_uart0_lednop_pr_ce_u4  m1281_u2x8_uart0_lednop_pr_ce     m1281_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x51ca4df6e9f09143, 0x9c06fea0a4368ded, 0x70f3ce10b6f373bf, 0x4f097e21b0913d96,
  0x11387c6eec1fd478, 0x7b96faf59367b709, 0x4389207ac8e47e92, 0x90ce62c05c920fd2, 0x99e3af47d7849a46,
  0x2d6e7b43ed500ffd, 0xfc0c4ad7b3dc140f, 0x077ad79e0404e166, 0x4e8016f379b48a0c, 0xc4690e1aa6f529c9,
  0xd30ca718de33a207, 0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x000001bae1a9ce09,
};

/*
 * m1284rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m128rfa1_u2x8_uart0_lednop_pr_ee_ce
 * m128rfa1_u2x8_uart0_lednop_pr_ee_ce_u4 m128rfr2_u2x8_uart0_lednop_pr_ee_ce
 * m128rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m1280_u2x8_uart0_lednop_pr_ee_ce
 * m1280_u2x8_uart0_lednop_pr_ee_ce_u4 m1281_u2x8_uart0_lednop_pr_ee_ce
 * m1281_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0x9bedd3e129dbff0c, 0x5194b86d1bdaa394, 0x42dbcdceec7c0dfd, 0x86c244f659c3cf38,
  0x036eff51e13c25f8, 0xbe6cf6e122270e00, 0x723cafba94ed63a7, 0x0f71c8f83660d6bc, 0xa459a75a1140a62b,
  0x10752135f4616588, 0xc23e23268e7576e9, 0xdab1aaf1b1d79d3b, 0x65cc5c24228e811b, 0x12a8d8226470decb,
  0xbf0312b5ec2cc38d, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e, 0x0a912b53ab337f07, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000027e1844b82,
};

/*
 * m2564rfr2_u2x8_uart0_lednop_ee_hw m128rfa1_u2x8_uart0_lednop_ee_hw  m128rfr2_u2x8_uart0_lednop_ee_hw
 * m1280_u2x8_uart0_lednop_ee_hw     m1281_u2x8_uart0_lednop_ee_hw     m256rfr2_u2x8_uart0_lednop_ee_hw
 * m2560_u2x8_uart0_lednop_ee_hw     m2561_u2x8_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0xca4df6e9f0929eff, 0x56b4738c368ded51, 0x9834c6391e56654d, 0x50ef8acc7c723e0d,
  0x185962291669d684, 0x2f222e3593484d7d, 0xa77847c464d1cead, 0x11bdab1aad743af3, 0xecb65cc5c24228e8,
  0x71a2551b047eb70d, 0x0b37e06256bd8010, 0x50603bd6bcf02027, 0x4e4a7400b79bcda4, 0x103e234870d537a9,
  0x5516986538c6f19d, 0xe56d99da722adec5, 0xd9e1986ef84a5a97, 0x1ef79430a912b505, 0xd871fc65f989ffde,
  0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0xfbb2d514f257ee68, 0x000000000000002d,
};

/*
 * m1284rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m128rfa1_u2x8_uart0_lednop_ee_ce_hw
 * m128rfa1_u2x8_uart0_lednop_ee_ce_u4_hw m128rfr2_u2x8_uart0_lednop_ee_ce_hw
 * m128rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m1280_u2x8_uart0_lednop_ee_ce_hw
 * m1280_u2x8_uart0_lednop_ee_ce_u4_hw m1281_u2x8_uart0_lednop_ee_ce_hw
 * m1281_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0xa4df6e9f094edff9, 0xea8ca5c368ded51c, 0x842df90e7763e06f, 0x886c244f659c3cf3,
  0x838227f51e13c25f, 0x3df367b709113876, 0xe391e57dd4a76b1d, 0x587b8e47c1b306b5, 0x4522cd3ad08a0531,
  0x4883a909afa30b2c, 0xde11f1193473abb7, 0xded58d578d8ebce9, 0x5b2e62e121147408, 0x689546c1132386f6,
  0xcdf81895af61661c, 0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744,
  0xb6cced3863b7b155, 0xf0cc377c252d4bf2, 0x7bca1854895a82ec, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec,
  0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x31fe8a792bf73433, 0x000000000000a02a,
};

/*
 * m1284rfr2_u2x8_uart0_dual_pr      m1284rfr2_u2x8_uart0_dual_pr_u4   m128rfa1_u2x8_uart0_dual
 * m128rfa1_u2x8_uart0_dual_pr       m128rfa1_u2x8_uart0_dual_pr_u4    m128rfr2_u2x8_uart0_dual
 * m128rfr2_u2x8_uart0_dual_pr       m128rfr2_u2x8_uart0_dual_pr_u4    m1280_u2x8_uart0_dual
 * m1280_u2x8_uart0_dual_pr          m1280_u2x8_uart0_dual_pr_u4       m1281_u2x8_uart0_dual
 * m1281_u2x8_uart0_dual_pr          m1281_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x17d37f99612804a7, 0x91d4f6c32b1c37df,
  0x85244824819759a3, 0xf3f7c117e53e5c5e, 0xd81bb87c288627c3, 0xf92f97cb9f90f95a, 0x5ff2105a437cb8bb,
  0x3e454219687c8886, 0x4b6f52bfe80e784c, 0x7ff4f930586f2bc8, 0x5472937dba7c25dd, 0xc8a77cb1350da37b,
  0x3490e24818878e47, 0xe731602a83cc7ac4, 0x23af006bc3bda3af, 0xedf3c27d500ffd98, 0x9ddc549629c81e59,
  0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x29d002de6f369141, 0xf88d21c354dea539, 0x5a6194e31bc67440,
  0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50,
  0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x000000149341c6e0,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ee    m128rfr2_u2x8_uart0_dual_pr_ee    m1280_u2x8_uart0_dual_pr_ee
 * m1281_u2x8_uart0_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x49f99612804a774f, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0xc982c3795e425b7a, 0x37dba7c25a6fffa7, 0xd1c890da37b54729,
  0x8291c8f2b5f7355a, 0x7c57fba391f06cc1, 0xcb1148b34eb42287, 0xf5c54b9a426be8c2, 0x1c911ef673ab4b98,
  0x7ac6ab5d0ebd44de, 0x4b3170908a20fa3e, 0x6a8d823f5b86f65f, 0xf9ddc5494026be41, 0xcdf81895af64fe2a,
  0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155,
  0x78661bbe1296a5f9, 0x7771a2cf7f8827dc, 0x7a615c9fbab337f0, 0x94b670e271964b86, 0x24f257ee68665874,
  0x000000032142b538,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ee_u4 m128rfr2_u2x8_uart0_dual_pr_ee_u4 m1280_u2x8_uart0_dual_pr_ee_u4
 * m1281_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xdba7c25a6ffc8194, 0xc890da37b5472937,
  0x91c8f2b5f7355ad1, 0x57fba391f06cc182, 0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x911ef673ab4b98f5,
  0xc6ab5d0ebd44de1c, 0x3170908a20fa3e7a, 0x8d823f5b86f65f4b, 0xddc5494026be416a, 0xf81895af64fe2af9,
  0x0ef5af3c0809c2cd, 0x9d002de6f3691418, 0x88d21c354dea5392, 0xa6194e31bc67440f, 0x66769c8ab7b15545,
  0x661bbe1296a5f95b, 0xfc68b3dfe205ec78, 0x52256a75666fe0d1, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00005645a6b1fe19,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ce    m128rfr2_u2x8_uart0_dual_pr_ce    m1280_u2x8_uart0_dual_pr_ce
 * m1281_u2x8_uart0_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xe007e6584a0129dd, 0xcedec2d6ce15bfc5,
  0x91209207bb534723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x9f260b0de579096d, 0xa4df6e9f096fbffe, 0x6febd44368ded51c,
  0x3ce10b6f373b2860, 0x97e21b0913d9670f, 0x876bb43efd4784f0, 0xbeba97367b709113, 0x40ea5c7238df9ee5,
  0x62c05401efa48712, 0x5e00d7877b475fce, 0xe784faa01ffb33c7, 0xee2a4b14e40f2d6e, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0xe8016f379b48a0c0, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x6769c31dbd8aaa2d,
  0x61bbe1296a5f95b6, 0x8d167bfc409c6786, 0x4895a9d599bf83bb, 0x3ec6761c4e34a185, 0xb867a615c9f80f9a,
  0x87494b670e271964, 0x23824f257ee68665, 0x0000000000034910,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ce_u4 m128rfr2_u2x8_uart0_dual_pr_ce_u4 m1280_u2x8_uart0_dual_pr_ce_u4
 * m1281_u2x8_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0xd35c5dfe7e6584a0, 0xe68e47ff9b00d070,
  0xe2f4292241240fa7, 0x3e1f9fbe08bf29f2, 0xc92a00ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0x79096dc9d7fd01cf, 0x4aeffe9f260b0de5, 0xded51ca4df6e9f09, 0x76bec0dfd65f4368,
  0xb2ce1e79c216de6e, 0x8f09e12fc4361227, 0xb84889c3c00149fa, 0xd24f72df58719b3d, 0x2921c49030e31c8f,
  0xd1a43398b01531e8, 0x72c678ebc8bbc221, 0xaf9ddc549475acdc, 0x2cdf81895af64fe2, 0x9580ef5af3c0809c,
  0x29cbe7400b79bc1c, 0xb15edd20a7d53b8b, 0xf19d102b83182169, 0xa5a97e56d99d38c6, 0xf8817b1e1986ef84,
  0xab337f07771a2cf7, 0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f,
  0x866587494b670e27, 0x244d03824f257ee6, 0x000000000000000d,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ee_ce m128rfr2_u2x8_uart0_dual_pr_ee_ce m1280_u2x8_uart0_dual_pr_ee_ce
 * m1281_u2x8_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xb21fe6584a0129dd, 0x986d833e1c3acf8b,
  0x2241240ff5e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f2e41c0, 0x420b486f97177f25,
  0x50865a16e910cbfe, 0x801ff4073c2653d1, 0x7c982c3795e425b7, 0x937dba7c241a3ffa, 0xaa3fdd0da37b5472,
  0x42dbcdceedd00aef, 0x11387bc3e5afcf38, 0xdafc46219a057709, 0x60d318e479599529, 0xa05315c891c8f836,
  0x30b2c4522cd3ad08, 0x7576e09e3a909afa, 0xbdac57860fa3e90e, 0xc168ea5d8d578d8e, 0x0decb8f8c5c24228,
  0x3bb8a92e310e2647, 0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x253a005bcde5ba83, 0xff11a4386a9bd4a7,
  0x67440db8c6085a5a, 0x6a5f95b6674e31bc, 0x827dc78661bbe129, 0x337f07771a2cf7f8, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xdc7b824f257ee686, 0x0000000000002608,
};

/*
 * m128rfa1_u2x8_uart0_dual_pr_ee_ce_u4 m128rfr2_u2x8_uart0_dual_pr_ee_ce_u4
 * m1280_u2x8_uart0_dual_pr_ee_ce_u4 m1281_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0xa478bf75bf32c253,
  0xa391d49361cdf382, 0xbd0a489049036729, 0x87e7ef822fca7cb8, 0x2a803770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x92d4542196858fa2, 0x12dbf2d7fd01cf09, 0x3fc8194c161bcaf2, 0x5472937dba7c2500,
  0x01bfaa395d0da37b, 0xf3ce10b7f00cef4d, 0x097e21b0913d9670, 0xe1fce5d4efd4784f, 0xac75374d9edc2444,
  0x0d7c8e4795bf929d, 0x0a62ba951c8f8366, 0x16588a459a75a114, 0xaedc63c752135f46, 0xf5137872447bd9ce,
  0x07d1f3d6355e363a, 0x37b2fa598b848451, 0xdaf905aa3608991c, 0x93f8abe77715252c, 0x20270b37e06256bd,
  0xcda450603bd6bcf0, 0x37a94e4a7400b79b, 0xf19d103e234870d5, 0xdec55516986538c6, 0xb52fcadb33b4e18e,
  0x102f63c330ddf094, 0x337f068fe3459eff, 0xef79430a912b53ab, 0x871fc65f989ffde1, 0xfe07efd8668fb19d,
  0x64b867a617c68f45, 0x6587494b670e2719, 0xe2cff0cf257ee686, 0x0000000000040054,
};

/*
 * m128rfa1_u2x8_uart0_dual_ee_hw    m128rfr2_u2x8_uart0_dual_ee_hw    m1280_u2x8_uart0_dual_ee_hw
 * m1281_u2x8_uart0_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x4fccb094e833ba7c, 0xdec2b7ce10038b8a,
  0x2092069b734723da, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0xbe5cfc87cb9be06e, 0x82d21be5c5dfc97c,
  0x219683a54432ff90, 0xfffd01cf098a2c54, 0x4c161bcaf212dbd0, 0x7dba7c25a6ffe32d, 0x1c890da37b547293,
  0x291c8f2b5f7355ad, 0xc57fba391f06cc18, 0xb1148b34eb422877, 0x5c54b9a426be8c2c, 0xc911ef673ab4b98f,
  0xac6ab5d0ebd44de1, 0xb3170908a20fa3e7, 0xa8d823f5b86f65f4, 0x9ddc5494026be416, 0xdf81895af64fe2af,
  0x80ef5af3c0809c2c, 0x29d002de6f369141, 0xf88d21c354dea539, 0x5a6194e31bc67440, 0xb66769c8ab7b1554,
  0x8661bbe1296a5f95, 0xde50c2a44ad41767, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0xcb5453c95fb9a199, 0x000000000005769e,
};

/*
 * m1284rfr2_u2x8_uart0_dual_ee_ce_u4_hw m128rfa1_u2x8_uart0_dual_ee_ce_hw
 * m128rfa1_u2x8_uart0_dual_ee_ce_u4_hw m128rfr2_u2x8_uart0_dual_ee_ce_hw
 * m128rfr2_u2x8_uart0_dual_ee_ce_u4_hw m1280_u2x8_uart0_dual_ee_ce_hw
 * m1280_u2x8_uart0_dual_ee_ce_u4_hw m1281_u2x8_uart0_dual_ee_ce_hw    m1281_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0xc253a0cee9f12e20, 0xf382a478bf75bf32,
  0x6729a391d49361cd, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x43e42a803770f851, 0xf2e2efe4be5f2e7e,
  0x8fa2197fc841690d, 0xcf0992d454219685, 0xcaf212dbf2d7fd01, 0x25003fe32d4c161b, 0xa37b5472937dba7c,
  0xef4d01bfaa395d0d, 0xcb3879e7085bf21c, 0x3c2784bf10d8489e, 0x122270f7437547ea, 0xc94ed63a9ba6cf6e,
  0xc1b306be4723cadf, 0xd08a05315d4a8e47, 0xafa30b2c4522cd3a, 0xece7576e31e3a909, 0x1b1d7a89bc39223d,
  0x422883e8f9eb1aaf, 0x4c8e1bd97d2cc5c2, 0x92966d7c82d51b04, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031,
  0x5bcde6d228301deb, 0x386a9bd4a7253a00, 0x9c6378ce881f11a4, 0x70c76f62aa8b4c32, 0xf84a5a97e56d99da,
  0xa912b505d9e1986e, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a,
  0xf257ee6866587494, 0x000001d751a37514,
};

/*
 * m1284rfr2_u2x8_uart1_noled_pr     m2564rfr2_u2x8_uart1_noled        m2564rfr2_u2x8_uart1_noled_pr
 * m128rfa1_u2x8_uart1_noled         m128rfa1_u2x8_uart1_noled_pr      m128rfr2_u2x8_uart1_noled
 * m128rfr2_u2x8_uart1_noled_pr      m1280_u2x8_uart1_noled            m1280_u2x8_uart1_noled_pr
 * m1281_u2x8_uart1_noled            m1281_u2x8_uart1_noled_pr         m256rfr2_u2x8_uart1_noled
 * m256rfr2_u2x8_uart1_noled_pr      m2560_u2x8_uart1_noled            m2560_u2x8_uart1_noled_pr
 * m2561_u2x8_uart1_noled            m2561_u2x8_uart1_noled_pr
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff971f9f9ba609f1, 0xa8e526fb74f82510, 0xcf1df2c90e1b46f6, 0x2921c49033491c8f, 0x6731602dee987ce8,
  0x08ebc5d786a5a3c6, 0xddfb0ac905dc72c6, 0xbf77e73936df8189, 0x6726fcde7c150603, 0x56521b8ba9cbca6c,
  0xd2b0938c6f19d102, 0x6672a7455bd8aaa2, 0x661bbe1296a5f95b, 0xf1a2cf7f8827dc78, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000003e431b3c953,
};

/*
 * m2564rfr2_u2x8_uart1_noled_pr_u4  m128rfa1_u2x8_uart1_noled_pr_u4   m128rfr2_u2x8_uart1_noled_pr_u4
 * m1280_u2x8_uart1_noled_pr_u4      m1281_u2x8_uart1_noled_pr_u4      m256rfr2_u2x8_uart1_noled_pr_u4
 * m2560_u2x8_uart1_noled_pr_u4      m2561_u2x8_uart1_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0x7f861b3fa54c13e3, 0xa8e526fb74f8240a, 0xd01df2c21e1b46f6, 0xe921c49034171c8f, 0x8731602cb29be4de,
  0x08ebd1f5e1c168f5, 0x7b61c6895403ff66, 0x0c4eefd89abe0796, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8,
  0x8812b290dc5d4e5e, 0x551695849c6378ce, 0xcadb33953a2adec5, 0x63c330ddf094b52f, 0xe0eee3459eff102f,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x7049e4afdcd0ccb0, 0x000000001f274793,
};

/*
 * m1284rfr2_u2x8_uart1_noled_pr_ee_u4 m2564rfr2_u2x8_uart1_noled_pr_ee
 * m2564rfr2_u2x8_uart1_noled_pr_ee_u4 m128rfa1_u2x8_uart1_noled_pr_ee
 * m128rfa1_u2x8_uart1_noled_pr_ee_u4 m128rfr2_u2x8_uart1_noled_pr_ee
 * m128rfr2_u2x8_uart1_noled_pr_ee_u4 m1280_u2x8_uart1_noled_pr_ee
 * m1280_u2x8_uart1_noled_pr_ee_u4   m1281_u2x8_uart1_noled_pr_ee      m1281_u2x8_uart1_noled_pr_ee_u4
 * m256rfr2_u2x8_uart1_noled_pr_ee   m256rfr2_u2x8_uart1_noled_pr_ee_u4
 * m2560_u2x8_uart1_noled_pr_ee      m2560_u2x8_uart1_noled_pr_ee_u4   m2561_u2x8_uart1_noled_pr_ee
 * m2561_u2x8_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0xc367f024c13e3277, 0x49bedd3e0914bff0, 0xd68e7186d1bdaa39, 0x0698c723cae449aa, 0x0ef8acca8e47c1b3,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0xde11be8f059cead2, 0x61c6c6ab5d0ebce9, 0x5b2e62e121142cf4,
  0xa0ea8d823f5b86f6, 0xbf0313bbf600520a, 0x2a0c077eefce726d, 0x9794d8ce4df9bcf8, 0x33a204aca4371753,
  0xb15545a5612718de, 0x4bf2b6cce54e8ab7, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xd0dc12792bf73433,
  0x00000000000275f8,
};

/*
 * m1284rfr2_u2x8_uart1_noled_pr_ce_u4 m128rfa1_u2x8_uart1_noled_pr_ce
 * m128rfa1_u2x8_uart1_noled_pr_ce_u4 m128rfr2_u2x8_uart1_noled_pr_ce
 * m128rfr2_u2x8_uart1_noled_pr_ce_u4 m1280_u2x8_uart1_noled_pr_ce
 * m1280_u2x8_uart1_noled_pr_ce_u4   m1281_u2x8_uart1_noled_pr_ce      m1281_u2x8_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0xa3949bedd3e091c3, 0xb80dfd41486d1bda, 0xe1e79c216de6e77f, 0x9e12fc4361227b2c,
  0x889c3c00149fa8f0, 0x3dcb7d7ac9b3db84, 0x21c4903d6472393d, 0x7ac398b01531b5a9, 0xb33c75e8faf0e0b4,
  0xf2d6e0e344aa01ff, 0xdf8189ddfb1357c0, 0x150603bf77e73936, 0xcbca6c6726fcde7c, 0x19d10256521b8ba9,
  0xd8aaa2d2b0938c6f, 0x4bf2b6cce54e31db, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x24dc12792bf73433,
  0x00000000000375ef,
};

/*
 * m1284rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m128rfa1_u2x8_uart1_noled_pr_ee_ce
 * m128rfa1_u2x8_uart1_noled_pr_ee_ce_u4 m128rfr2_u2x8_uart1_noled_pr_ee_ce
 * m128rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m1280_u2x8_uart1_noled_pr_ee_ce
 * m1280_u2x8_uart1_noled_pr_ee_ce_u4 m1281_u2x8_uart1_noled_pr_ee_ce
 * m1281_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x937dba7c120d1fe1, 0xaa32970da37b5472, 0x842dbcdcec2d01bf, 0x886c244f659c3cf3,
  0xa1baa3f51e13c25f, 0x3df367b70911387b, 0xe391e57d44a76b1d, 0xafba8e47c1b306b5, 0x2291669d68450298,
  0x8f51d484d7d18596, 0xbc237d1e0b39d5db, 0x871b1aaf1b1d79d3, 0x6cb98b848450b3d1, 0x41d51b044c8e1bd9,
  0x7e062777ec2ce415, 0x54180efddf9ce4db, 0x2f29b19c9bf379f0, 0x67440959486e2ea7, 0x62aa8b4ac24e31bc,
  0x2fcadb339538c76f, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xb47049e4afdcd0cc, 0x0000000000027e25,
};

/*
 * m2564rfr2_u2x8_uart1_noled_ee_hw  m128rfa1_u2x8_uart1_noled_ee_hw   m128rfr2_u2x8_uart1_noled_ee_hw
 * m1280_u2x8_uart1_noled_ee_hw      m1281_u2x8_uart1_noled_ee_hw      m256rfr2_u2x8_uart1_noled_ee_hw
 * m2560_u2x8_uart1_noled_ee_hw      m2561_u2x8_uart1_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0x949bedd3e0914bff, 0xad68e7186d1bdaa3, 0x30698c723cae449a, 0x50ef8acca8e47c1b,
  0x185962291669d684, 0x2e7aae3593484d7d, 0x9de11be8f059cead, 0x461c6c6ab5d0ebce, 0x65b2e62e121142cf,
  0xaa0ea8d823f5b86f, 0xdbf0313bbf600520, 0x82a0c077eefce726, 0x39794d8ce4df9bcf, 0xe33a204aca437175,
  0x7b15545a5612718d, 0xd4bf2b6cce54e8ab, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x016f8d35a8a792bf,
};

/*
 * m1284rfr2_u2x8_uart1_noled_ee_ce_u4_hw m128rfa1_u2x8_uart1_noled_ee_ce_hw
 * m128rfa1_u2x8_uart1_noled_ee_ce_u4_hw m128rfr2_u2x8_uart1_noled_ee_ce_hw
 * m128rfr2_u2x8_uart1_noled_ee_ce_u4_hw m1280_u2x8_uart1_noled_ee_ce_hw
 * m1280_u2x8_uart1_noled_ee_ce_u4_hw m1281_u2x8_uart1_noled_ee_ce_hw
 * m1281_u2x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0x49bedd3e09068ff2, 0xd5194b86d1bdaa39, 0x842df90e761680df, 0x886c244f659c3cf3,
  0x39747ff51e13c25f, 0x9ef9b3db84889c3b, 0xf1c8f2bea253b58e, 0x57dd4723e0d9835a, 0x1148b34eb422814c,
  0xc7a8ea426be8c2cb, 0xde11be8f059ceaed, 0xc38d8d578d8ebce9, 0xb65cc5c2422859e8, 0xa0ea8d8226470dec,
  0xbf0313bbf616720a, 0x2a0c077eefce726d, 0x9794d8ce4df9bcf8, 0x33a204aca4371753, 0xb15545a5612718de,
  0x97e56d99ca9c63b7, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xa021c5f514f257ee,
};

/*
 * m1284rfr2_u2x8_uart1_lednop_pr    m2564rfr2_u2x8_uart1_lednop       m2564rfr2_u2x8_uart1_lednop_pr
 * m128rfa1_u2x8_uart1_lednop        m128rfa1_u2x8_uart1_lednop_pr     m128rfr2_u2x8_uart1_lednop
 * m128rfr2_u2x8_uart1_lednop_pr     m1280_u2x8_uart1_lednop           m1280_u2x8_uart1_lednop_pr
 * m1281_u2x8_uart1_lednop           m1281_u2x8_uart1_lednop_pr        m256rfr2_u2x8_uart1_lednop
 * m256rfr2_u2x8_uart1_lednop_pr     m2560_u2x8_uart1_lednop           m2560_u2x8_uart1_lednop_pr
 * m2561_u2x8_uart1_lednop           m2561_u2x8_uart1_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x01fe5c7e7c27cc13, 0xdaa3949bedd3e092, 0x393c77cb24386d1b, 0xcfa4871240cd2472, 0x05398b016f74c3e2,
  0x608ebc5d78521a39, 0x4eefd856633dc72c, 0xbf3c0809c9b6fc0c, 0x26fcde5ba8301dfb, 0x870d537a94e4a740,
  0xdba2810b4b5fe234, 0x5b6674e31bc67440, 0x78661bbe1296a5f9, 0x47f1a2cf7f8827dc, 0xe985727eeacc7903,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000003e431b3c9,
};

/*
 * m2564rfr2_u2x8_uart1_lednop_pr_u4 m128rfa1_u2x8_uart1_lednop_pr_u4  m128rfr2_u2x8_uart1_lednop_pr_u4
 * m1280_u2x8_uart1_lednop_pr_u4     m1281_u2x8_uart1_lednop_pr_u4     m256rfr2_u2x8_uart1_lednop_pr_u4
 * m2560_u2x8_uart1_lednop_pr_u4     m2561_u2x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0x7f861b3e13e609f1, 0xa8e526fb74f82480, 0x6b1df2c21e1b46f6, 0xa921c49034171c8f, 0x6731602cb29a6e8c,
  0x11d7a3ebc24d2348, 0xedbda1f6a807fecc, 0x313bbf67b8281e59, 0xeefcf0202726dbf0, 0x09bf379b48a0c077,
  0x21c354dea53929d0, 0x94e31bc67440f88d, 0x69c8ab7b15545a61, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661,
  0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x003e4d717ce093c9,
};

/*
 * m1284rfr2_u2x8_uart1_lednop_pr_ee_u4 m2564rfr2_u2x8_uart1_lednop_pr_ee
 * m2564rfr2_u2x8_uart1_lednop_pr_ee_u4 m128rfa1_u2x8_uart1_lednop_pr_ee
 * m128rfa1_u2x8_uart1_lednop_pr_ee_u4 m128rfr2_u2x8_uart1_lednop_pr_ee
 * m128rfr2_u2x8_uart1_lednop_pr_ee_u4 m1280_u2x8_uart1_lednop_pr_ee
 * m1280_u2x8_uart1_lednop_pr_ee_u4  m1281_u2x8_uart1_lednop_pr_ee     m1281_u2x8_uart1_lednop_pr_ee_u4
 * m256rfr2_u2x8_uart1_lednop_pr_ee  m256rfr2_u2x8_uart1_lednop_pr_ee_u4
 * m2560_u2x8_uart1_lednop_pr_ee     m2560_u2x8_uart1_lednop_pr_ee_u4  m2561_u2x8_uart1_lednop_pr_ee
 * m2561_u2x8_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x86cfefb9827c64ee, 0x937dba7c1253dfe1, 0xad1ce30da37b5472, 0x0d318e4795995355, 0x3be2b31f1c8f8366,
  0x16588a459a75a114, 0xc88b8d64d2135f46, 0xde11f1193473ab4b, 0x6f6ac6ab5d0ebce9, 0x2d973170908a3a04,
  0x689546c11fadc37b, 0xdbf0313bbf60041c, 0xc077eefcf0202726, 0x29d009bf379b48a0, 0xf88d21c354dea539,
  0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1,
  0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2,
  0x00000013ae7eb6e0,
};

/*
 * m1284rfr2_u2x8_uart1_lednop_pr_ce_u4 m128rfa1_u2x8_uart1_lednop_pr_ce
 * m128rfa1_u2x8_uart1_lednop_pr_ce_u4 m128rfr2_u2x8_uart1_lednop_pr_ce
 * m128rfr2_u2x8_uart1_lednop_pr_ce_u4 m1280_u2x8_uart1_lednop_pr_ce
 * m1280_u2x8_uart1_lednop_pr_ce_u4  m1281_u2x8_uart1_lednop_pr_ce     m1281_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0xa3949bedd3e09143, 0x380dfd41486d1bda, 0xe1e79c216de6e77f, 0x9e12fc4361227b2c,
  0x2270f8ddd83fa8f0, 0xf72df5eb26cf6e12, 0x871240f591c8fd24, 0x219cc580b9241fa4, 0x33c75e8faf09348d,
  0x5adcf687daa01ffb, 0xf0313bbf67b8281e, 0x77eefcf0202726db, 0xd009bf379b48a0c0, 0x8d21c354dea53929,
  0x6194e31bc67440f8, 0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000375c3539c127,
};

/*
 * m1284rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m128rfa1_u2x8_uart1_lednop_pr_ee_ce
 * m128rfa1_u2x8_uart1_lednop_pr_ee_ce_u4 m128rfr2_u2x8_uart1_lednop_pr_ee_ce
 * m128rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m1280_u2x8_uart1_lednop_pr_ee_ce
 * m1280_u2x8_uart1_lednop_pr_ee_ce_u4 m1281_u2x8_uart1_lednop_pr_ee_ce
 * m1281_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0x37dba7c129dbff0c, 0xa32970da37b54729, 0x85b79b9dd8f81bfa, 0x0d8489ecb3879e70,
  0x06ddfea3c2784bf1, 0x7cd9edc2444e1c00, 0xe4795f7529dac74f, 0x1ee391f06cc1ad78, 0x48b34eb422814c56,
  0x20ea426be8c2cb11, 0x847c464d1ceaedd2, 0xb56355e363af3a77, 0xcb98b848451d0237, 0x2551b044c8e1bd96,
  0xfc0c4eefd859871a, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x33b4e18edec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004fc30897049,
};

/*
 * m2564rfr2_u2x8_uart1_lednop_ee_hw m128rfa1_u2x8_uart1_lednop_ee_hw  m128rfr2_u2x8_uart1_lednop_ee_hw
 * m1280_u2x8_uart1_lednop_ee_hw     m1281_u2x8_uart1_lednop_ee_hw     m256rfr2_u2x8_uart1_lednop_ee_hw
 * m2560_u2x8_uart1_lednop_ee_hw     m2561_u2x8_uart1_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0x949bedd3e0929eff, 0xad68e7186d1bdaa3, 0x30698c723cacca9a, 0xa1df1598f8e47c1b,
  0x30b2c4522cd3ad08, 0x5e445c6b26909afa, 0x4ef08f88c9a39d5a, 0x237b56355ae875e7, 0xd96cb98b848451d0,
  0xe344aa3608fd6e1b, 0x36df8189ddfb0020, 0x0603bf77e7810139, 0xc94e804df9bcda45, 0x07c4690e1aa6f529,
  0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x765aa29e4afdcd0c, 0x00000000000005bf,
};

/*
 * m1284rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m128rfa1_u2x8_uart1_lednop_ee_ce_hw
 * m128rfa1_u2x8_uart1_lednop_ee_ce_u4_hw m128rfr2_u2x8_uart1_lednop_ee_ce_hw
 * m128rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m1280_u2x8_uart1_lednop_ee_ce_hw
 * m1280_u2x8_uart1_lednop_ee_ce_u4_hw m1281_u2x8_uart1_lednop_ee_ce_hw
 * m1281_u2x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0x49bedd3e094edff9, 0xd5194b86d1bdaa39, 0x085bf21ceec7c0df, 0x10d8489ecb3879e7,
  0x07044fea3c2784bf, 0x7be6cf6e122270ed, 0xc723cafba94ed63a, 0xb0f71c8f83660d6b, 0x8a459a75a1140a62,
  0x910752135f461658, 0xbc23e23268e7576e, 0xbdab1aaf1b1d79d3, 0xb65cc5c24228e811, 0xd12a8d8226470dec,
  0xb7e062777ec2cc38, 0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x3fd14f257ee68665, 0x0000000000140546,
};

/*
 * m1284rfr2_u2x8_uart1_dual_pr      m1284rfr2_u2x8_uart1_dual_pr_u4   m128rfa1_u2x8_uart1_dual
 * m128rfa1_u2x8_uart1_dual_pr       m128rfa1_u2x8_uart1_dual_pr_u4    m128rfr2_u2x8_uart1_dual
 * m128rfr2_u2x8_uart1_dual_pr       m128rfr2_u2x8_uart1_dual_pr_u4    m1280_u2x8_uart1_dual
 * m1280_u2x8_uart1_dual_pr          m1280_u2x8_uart1_dual_pr_u4       m1281_u2x8_uart1_dual
 * m1281_u2x8_uart1_dual_pr          m1281_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x17d37f99612804a7, 0x91d4f6c32b1c37df,
  0x85244824819759a3, 0xf3f7c117e53e5c5e, 0xd81bb87c288627c3, 0xf92f97cb9f90f95a, 0x5ff2105a437cb8bb,
  0x3e454219687c8886, 0x4b6f52bfe80e784c, 0x7ff4f930586f2bc8, 0xa8e526fb74f825dd, 0x914ef9626a1b46f6,
  0x6921c490310f1c8f, 0xce62c0550798f588, 0x475e00d7877b475f, 0xdbe784faa01ffb30, 0x3bb8a92c53903cb3,
  0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x3a0137e6f3691418, 0x11a4386a9bd4a725, 0x4c329c6378ce881f,
  0xcced39156f62aa8b, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0, 0x54895a9d599bf83b, 0xfcc4ffef0f7bca18,
  0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000002926838dc12,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ee    m128rfr2_u2x8_uart1_dual_pr_ee    m1280_u2x8_uart1_dual_pr_ee
 * m1281_u2x8_uart1_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x49f99612804a774f, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0xc982c3795e425b7a, 0x6fb74f825a6fffa7, 0xa39121b46f6a8e52,
  0x052391e56bee6ab5, 0xf8aff74723e0d983, 0x962291669d68450e, 0xeb8a973484d7d185, 0x39223dece7569731,
  0xf58d56ba1d7a89bc, 0x9662e1211441f47c, 0xd51b047eb70decbe, 0xf3bb8a92804d7c82, 0xb7e062777ec9fc55,
  0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8,
  0x0cc377c252d4bf2b, 0xee3459eff104fb8f, 0x4c2b93f75666fe0e, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000000642856a704,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ee_u4 m128rfr2_u2x8_uart1_dual_pr_ee_u4 m1280_u2x8_uart1_dual_pr_ee_u4
 * m1281_u2x8_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xb74f825a6ffc8194, 0x9121b46f6a8e526f,
  0x2391e56bee6ab5a3, 0xaff74723e0d98305, 0x2291669d68450ef8, 0x8a973484d7d18596, 0x223dece7569731eb,
  0x8d56ba1d7a89bc39, 0x62e1211441f47cf5, 0x1b047eb70decbe96, 0xbb8a92804d7c82d5, 0xe062777ec9fc55f3,
  0xefddf9e0404e4db7, 0xa0137e6f36914180, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0xced39156f62aa8b4,
  0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x44ad4eaccdfc1a3f, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000ac8b4d63fc33c,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ce    m128rfr2_u2x8_uart1_dual_pr_ce    m1280_u2x8_uart1_dual_pr_ce
 * m1281_u2x8_uart1_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xe007e6584a0129dd, 0xcedec2d6ce15bfc5,
  0x91209207bb534723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x9f260b0de579096d, 0x49bedd3e096fbffe, 0xdfd7a886d1bdaa39,
  0x79c216de6e7650c0, 0x2fc4361227b2ce1e, 0x0ed7687dfa8f09e1, 0x7d752e6cf6e12227, 0x81d4b8e471bf3dcb,
  0xc580a803df490e24, 0xbc01af0ef68ebf9c, 0xcf09f5403ff6678e, 0xdc549629c81e5add, 0x0313bbf64fe2af9d,
  0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88, 0xed3863b7b15545a6,
  0x377c252d4bf2b6cc, 0xa2cf7f88138cf0cc, 0x12b53ab337f07771, 0xd8cec389c69430a9, 0x0cf4c2b93f01f347,
  0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x0000000000692204,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ce_u4 m128rfr2_u2x8_uart1_dual_pr_ce_u4 m1280_u2x8_uart1_dual_pr_ce_u4
 * m1281_u2x8_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0xd35c5dfe7e6584a0, 0xe68e47ff9b00d070,
  0xe2f4292241240fa7, 0x3e1f9fbe08bf29f2, 0xc92a00ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0x79096dc9d7fd01cf, 0x4aeffe9f260b0de5, 0xbdaa3949bedd3e09, 0xed7d81bfacbe86d1,
  0x659c3cf3842dbcdc, 0x1e13c25f886c244f, 0x70911387800293f5, 0xa49ee5beb0e3367b, 0x5243892061c6391f,
  0xa3486731602a63d0, 0xe58cf1d791778443, 0x5f3bb8a928eb59b8, 0xdb7e062777ec9fc5, 0x580efddf9e0404e4,
  0x397ce804df9bc1c9, 0x2bdba414faa77165, 0x33a2057063042d36, 0xb52fcadb33a718de, 0x102f63c330ddf094,
  0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0x89a07049e4afdcd0, 0x00000000000001a4,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ee_ce m128rfr2_u2x8_uart1_dual_pr_ee_ce m1280_u2x8_uart1_dual_pr_ee_ce
 * m1281_u2x8_uart1_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xb21fe6584a0129dd, 0x986d833e1c3acf8b,
  0x2241240ff5e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f2e41c0, 0x420b486f97177f25,
  0x50865a16e910cbfe, 0x801ff4073c2653d1, 0x7c982c3795e425b7, 0x26fb74f8241a3ffa, 0x547fba1b46f6a8e5,
  0x85b79b9ddba015df, 0x2270f787cb5f9e70, 0xb5f88c43340aee12, 0xc1a631c8f2b32a53, 0x40a62b912391f06c,
  0x616588a459a75a11, 0xeaedc13c752135f4, 0x7b58af0c1f47d21c, 0x82d1d4bb1aaf1b1d, 0x1bd971f18b848451,
  0x7771525c621c4c8e, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0xa74026fcde5ba830, 0xe234870d537a94e4,
  0xe881b718c10b4b5f, 0x4bf2b6cce9c6378c, 0x4fb8f0cc377c252d, 0x6fe0eee3459eff10, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x8f7049e4afdcd0cc, 0x000000000004c11b,
};

/*
 * m128rfa1_u2x8_uart1_dual_pr_ee_ce_u4 m128rfr2_u2x8_uart1_dual_pr_ee_ce_u4
 * m1280_u2x8_uart1_dual_pr_ee_ce_u4 m1281_u2x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0xa478bf75bf32c253,
  0xa391d49361cdf382, 0xbd0a489049036729, 0x87e7ef822fca7cb8, 0x2a803770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x92d4542196858fa2, 0x12dbf2d7fd01cf09, 0x3fc8194c161bcaf2, 0xa8e526fb74f82500,
  0x037f5472ba1b46f6, 0xe79c216fe019de9a, 0x12fc4361227b2ce1, 0xc3f9cba9dfa8f09e, 0x58ea6e9b3db84889,
  0x1af91c8f2b7f253b, 0x14c5752a391f06cc, 0x2cb1148b34eb4228, 0x5db8c78ea426be8c, 0xea26f0e488f7b39d,
  0x0fa3e7ac6abc6c75, 0x6f65f4b3170908a2, 0xb5f20b546c113238, 0x27f157ceee2a4a59, 0x013936df8189ddfb,
  0xda450603bf77e781, 0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de, 0xa5f95b66769c31db,
  0x05ec78661bbe1296, 0x6fe0d1fc68b3dfe2, 0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x59fe19e4afdcd0cc, 0x0000000000800a9c,
};

/*
 * m128rfa1_u2x8_uart1_dual_ee_hw    m128rfr2_u2x8_uart1_dual_ee_hw    m1280_u2x8_uart1_dual_ee_hw
 * m1281_u2x8_uart1_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x4fccb094e833ba7c, 0xdec2b7ce10038b8a,
  0x2092069b734723da, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0xbe5cfc87cb9be06e, 0x82d21be5c5dfc97c,
  0x219683a54432ff90, 0xfffd01cf098a2c54, 0x4c161bcaf212dbd0, 0xfb74f825a6ffe32d, 0x39121b46f6a8e526,
  0x52391e56bee6ab5a, 0x8aff74723e0d9830, 0x62291669d68450ef, 0xb8a973484d7d1859, 0x9223dece7569731e,
  0x58d56ba1d7a89bc3, 0x662e1211441f47cf, 0x51b047eb70decbe9, 0x3bb8a92804d7c82d, 0x7e062777ec9fc55f,
  0x0efddf9e0404e4db, 0x3a0137e6f3691418, 0x11a4386a9bd4a725, 0x4c329c6378ce881f, 0xcced39156f62aa8b,
  0xcc377c252d4bf2b6, 0xca1854895a82ecf0, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x6a8a792bf734332c, 0x0000000000aed3d9,
};

/*
 * m1284rfr2_u2x8_uart1_dual_ee_ce_u4_hw m128rfa1_u2x8_uart1_dual_ee_ce_hw
 * m128rfa1_u2x8_uart1_dual_ee_ce_u4_hw m128rfr2_u2x8_uart1_dual_ee_ce_hw
 * m128rfr2_u2x8_uart1_dual_ee_ce_u4_hw m1280_u2x8_uart1_dual_ee_ce_hw
 * m1280_u2x8_uart1_dual_ee_ce_u4_hw m1281_u2x8_uart1_dual_ee_ce_hw    m1281_u2x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0xc253a0cee9f12e20, 0xf382a478bf75bf32,
  0x6729a391d49361cd, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x43e42a803770f851, 0xf2e2efe4be5f2e7e,
  0x8fa2197fc841690d, 0xcf0992d454219685, 0xcaf212dbf2d7fd01, 0x25003fe32d4c161b, 0x46f6a8e526fb74f8,
  0xde9a037f5472ba1b, 0x9670f3ce10b7e439, 0x784f097e21b0913d, 0x2444e1ee86ea8fd4, 0x929dac75374d9edc,
  0x83660d7c8e4795bf, 0xa1140a62ba951c8f, 0x5f4616588a459a75, 0xd9ceaedc63c75213, 0x363af5137872447b,
  0x845107d1f3d6355e, 0x991c37b2fa598b84, 0x252cdaf905aa3608, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4,
  0xfcde6d228301dfbb, 0x0d537a94e4a74026, 0x8c6f19d103e23487, 0x18edec5551698653, 0x094b52fcadb33b4e,
  0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00003aea346ea29e,
};

/*
 * m1284rfr2_u2x12_uart0_noled_pr    m2564rfr2_u2x12_uart0_noled       m2564rfr2_u2x12_uart0_noled_pr
 * m128rfa1_u2x12_uart0_noled        m128rfa1_u2x12_uart0_noled_pr     m128rfr2_u2x12_uart0_noled
 * m128rfr2_u2x12_uart0_noled_pr     m1280_u2x12_uart0_noled           m1280_u2x12_uart0_noled_pr
 * m1281_u2x12_uart0_noled           m1281_u2x12_uart0_noled_pr        m256rfr2_u2x12_uart0_noled
 * m256rfr2_u2x12_uart0_noled_pr     m2560_u2x12_uart0_noled           m2560_u2x12_uart0_noled_pr
 * m2561_u2x12_uart0_noled           m2561_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0xc7fcb8fcff51304f, 0x4fe6d4faadd3e129, 0xe5921c368ded51ca, 0x89206692391f9e3b, 0x016f74c37ebfd243,
  0x8baf0eb11e33398b, 0x159ac5b8e58c11d7, 0xf39c2cdf81895af6, 0x2de6f2dd4180ef5a, 0x486e2ea72f29b19c,
  0x07eb8a042d3c3159, 0xcadb33a718de33a2, 0xe3c330ddf094b52f, 0x1a3f8d167bfc413e, 0xcf4c2b93f75663c8,
  0x9296ce1c4e32c970, 0x4a9e4afdcd0ccb0e, 0x00000001f20dc79e,
};

/*
 * m2564rfr2_u2x12_uart0_noled_pr_u4 m128rfa1_u2x12_uart0_noled_pr_u4  m128rfr2_u2x12_uart0_noled_pr_u4
 * m1280_u2x12_uart0_noled_pr_u4     m1281_u2x12_uart0_noled_pr_u4     m256rfr2_u2x12_uart0_noled_pr_u4
 * m2560_u2x12_uart0_noled_pr_u4     m2561_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xc30d9fea2609f193, 0x6d4faadd3e129c7f, 0x43c368ded51ca4fe, 0x0682e391fa03be58, 0x96537c9bdd243892,
  0xbc382d1eb0e62c05, 0x2a807fecc11d7a3e, 0x1357c0f2cf6c38d1, 0x79ce166fc0c4ad7b, 0xb79bcf82a0c077ad,
  0x21b8ba9cbca6c670, 0x0938c6f19d102565, 0x2a7455bd8aaa2d2b, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661,
  0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x003e4e9c94e093c9,
};

/*
 * m1284rfr2_u2x12_uart0_noled_pr_ee_u4 m2564rfr2_u2x12_uart0_noled_pr_ee
 * m2564rfr2_u2x12_uart0_noled_pr_ee_u4 m128rfa1_u2x12_uart0_noled_pr_ee
 * m128rfa1_u2x12_uart0_noled_pr_ee_u4 m128rfr2_u2x12_uart0_noled_pr_ee
 * m128rfr2_u2x12_uart0_noled_pr_ee_u4 m1280_u2x12_uart0_noled_pr_ee
 * m1280_u2x12_uart0_noled_pr_ee_u4  m1281_u2x12_uart0_noled_pr_ee     m1281_u2x12_uart0_noled_pr_ee_u4
 * m256rfr2_u2x12_uart0_noled_pr_ee  m256rfr2_u2x12_uart0_noled_pr_ee_u4
 * m2560_u2x12_uart0_noled_pr_ee     m2560_u2x12_uart0_noled_pr_ee_u4  m2561_u2x12_uart0_noled_pr_ee
 * m2561_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0x55ba7c24c17fc30d, 0xd1bdaa3949fcda9f, 0xcae449aad68e7186, 0x8e47c1b30698c723,
  0x669d68450ef8acca, 0x3484d7d185962291, 0x059cead2e7aae359, 0x5d0ebce9de11be8f, 0x21142cf461c6c6ab,
  0x3f5b86f65b2e62e1, 0xf600520aa0ea8d82, 0x5af39c2cdf81895a, 0xe16f379f054180ef, 0xca43717539794d8c,
  0x5612718de33a204a, 0xce54e8ab7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000275f2ab1c127,
};

/*
 * m1284rfr2_u2x12_uart0_noled_pr_ce_u4 m128rfa1_u2x12_uart0_noled_pr_ce
 * m128rfa1_u2x12_uart0_noled_pr_ce_u4 m128rfr2_u2x12_uart0_noled_pr_ce
 * m128rfr2_u2x12_uart0_noled_pr_ce_u4 m1280_u2x12_uart0_noled_pr_ce
 * m1280_u2x12_uart0_noled_pr_ce_u4  m1281_u2x12_uart0_noled_pr_ce     m1281_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xe6d4faadd3e12297, 0xa0a4368ded51ca4f, 0x10b6f373bfdc06fe, 0x21b0913d9670f3ce,
  0x000a4fd4784f097e, 0xbd64d9edc2444e1e, 0x1eb2391c9e9ee5be, 0x580a98dad490e248, 0xf47d78705a3d61cc,
  0x71a25500ffd99e3a, 0x56bd89abe0796b70, 0x3bd6bce70b37e062, 0x63385bcde7c15060, 0x12b290dc5d4e5e53,
  0x1695849c6378ce88, 0xb6672a718edec555, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1,
  0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x93c95fb9a19961d2,
  0x0000001bafc686e0,
};

/*
 * m1284rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m128rfa1_u2x12_uart0_noled_pr_ee_ce
 * m128rfa1_u2x12_uart0_noled_pr_ee_ce_u4 m128rfr2_u2x12_uart0_noled_pr_ee_ce
 * m128rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m1280_u2x12_uart0_noled_pr_ee_ce
 * m1280_u2x12_uart0_noled_pr_ee_ce_u4 m1281_u2x12_uart0_noled_pr_ee_ce
 * m1281_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x55ba7c25a6bfc30d, 0xd1bdaa3949fcda9f, 0x761680dfd5194b86, 0xb2ce1e79c216de6e,
  0x8f09e12fc4361227, 0x84889c3dd0dd51fa, 0xa253b58e9ef9b3db, 0xe0d9835af1c8f2be, 0xb422814c57dd4723,
  0x6be8c2cb1148b34e, 0x059ceaedc7a8ea42, 0x8d8ebce9de11be8f, 0x422859e8c38d8d57, 0x26470decb65cc5c2,
  0xf616720aa0ea8d82, 0x5af39c2cdf81895a, 0xe16f379f054180ef, 0xca43717539794d8c, 0x5612718de33a204a,
  0x9ca9c63b7b15545a, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777, 0x989ffde1ef79430a,
  0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x000027e4a6b3824f,
};

/*
 * m2564rfr2_u2x12_uart0_noled_ee_hw m128rfa1_u2x12_uart0_noled_ee_hw  m128rfr2_u2x12_uart0_noled_ee_hw
 * m1280_u2x12_uart0_noled_ee_hw     m1281_u2x12_uart0_noled_ee_hw     m256rfr2_u2x12_uart0_noled_ee_hw
 * m2560_u2x12_uart0_noled_ee_hw     m2561_u2x12_uart0_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0xf55ba7c24c17fcac, 0x6d1bdaa3949fcda9, 0x3cae449aad68e718, 0xa8e47c1b30698c72,
  0x1669d68450ef8acc, 0x93484d7d18596229, 0xf059cead2e7aae35, 0xb5d0ebce9de11be8, 0x121142cf461c6c6a,
  0x23f5b86f65b2e62e, 0xaf600520aa0ea8d8, 0xf5af39c2cdf81895, 0xce16f379f054180e, 0xaca43717539794d8,
  0xa5612718de33a204, 0xcce54e8ab7b15545, 0xcc377c252d4bf2b6, 0xca1854895a82ecf0, 0xfe32fcc4ffef0f7b,
  0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xbe8a792bf734332c, 0x00000000002dfa08,
};

/*
 * m1284rfr2_u2x12_uart0_noled_ee_ce_u4_hw m128rfa1_u2x12_uart0_noled_ee_ce_hw
 * m128rfa1_u2x12_uart0_noled_ee_ce_u4_hw m128rfr2_u2x12_uart0_noled_ee_ce_hw
 * m128rfr2_u2x12_uart0_noled_ee_ce_u4_hw m1280_u2x12_uart0_noled_ee_ce_hw
 * m1280_u2x12_uart0_noled_ee_ce_u4_hw m1281_u2x12_uart0_noled_ee_ce_hw
 * m1281_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xeab74f84b4d7f958, 0xda37b547293f9b53, 0xcec2d01bfaa32970, 0xecb3879e7085bf21,
  0xa3c2784bf10d8489, 0x70911387672e8ffe, 0xd44a76b1d3df367b, 0x7c1b306b5e391e57, 0xd68450298afba8e4,
  0x4d7d185962291669, 0xe0b39d5db8f51d48, 0xf1b1d79d3bc237d1, 0x48450b3d1871b1aa, 0x44c8e1bd96cb98b8,
  0x5ec2ce41541d51b0, 0xeb5e73859bf0312b, 0x9c2de6f3e0a8301d, 0x59486e2ea72f29b1, 0x4ac24e31bc674409,
  0x339538c76f62aa8b, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7a29e4afdcd0ccb0, 0x000000000280a690,
};

/*
 * m1284rfr2_u2x12_uart0_lednop_pr   m2564rfr2_u2x12_uart0_lednop      m2564rfr2_u2x12_uart0_lednop_pr
 * m128rfa1_u2x12_uart0_lednop       m128rfa1_u2x12_uart0_lednop_pr    m128rfr2_u2x12_uart0_lednop
 * m128rfr2_u2x12_uart0_lednop_pr    m1280_u2x12_uart0_lednop          m1280_u2x12_uart0_lednop_pr
 * m1281_u2x12_uart0_lednop          m1281_u2x12_uart0_lednop_pr       m256rfr2_u2x12_uart0_lednop
 * m256rfr2_u2x12_uart0_lednop_pr    m2560_u2x12_uart0_lednop          m2560_u2x12_uart0_lednop_pr
 * m2561_u2x12_uart0_lednop          m2561_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x95fe5c7e7e449827, 0x27f36a7d56e9f096, 0xf2c90e1b46f6a8e5, 0x89206692391d679d, 0x016f74d91705d243,
  0x2ebc282d19a4398b, 0x2b0cf6e39630475e, 0x013859bf0312b5ec, 0x78392b01deb5e781, 0x77165397ce8016f3,
  0x42d362bdba414faa, 0x38c6f19d102b88a0, 0xef84a5a97e56d99d, 0xb3dfe209f71e1986, 0x9fbab31e40d1fc68,
  0xe271964b867a615c, 0xee6866587494b670, 0x01f21a70f254f257,
};

/*
 * m2564rfr2_u2x12_uart0_lednop_pr_u4 m128rfa1_u2x12_uart0_lednop_pr_u4 m128rfr2_u2x12_uart0_lednop_pr_u4
 * m1280_u2x12_uart0_lednop_pr_u4    m1281_u2x12_uart0_lednop_pr_u4    m256rfr2_u2x12_uart0_lednop_pr_u4
 * m2560_u2x12_uart0_lednop_pr_u4    m2561_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xf0c367fba9827c64, 0x9b53eab74f848f5f, 0x10f0da37b547293f, 0x81a0b8e47b58ef96, 0x6594d37465490e24,
  0x5e12691a43398b01, 0xb5403ff6608ebd1f, 0x3dc140f2cf6ded0f, 0x404e166fc0c4ad7b, 0x9b48a0c077ad79e0,
  0x6f529c94e8016f37, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d, 0xb52fcadb33b4e455, 0x102f63c330ddf094,
  0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0xc7937049e4afdcd0, 0x0000000000001f26,
};

/*
 * m1284rfr2_u2x12_uart0_lednop_pr_ee_u4 m2564rfr2_u2x12_uart0_lednop_pr_ee
 * m2564rfr2_u2x12_uart0_lednop_pr_ee_u4 m128rfa1_u2x12_uart0_lednop_pr_ee
 * m128rfa1_u2x12_uart0_lednop_pr_ee_u4 m128rfr2_u2x12_uart0_lednop_pr_ee
 * m128rfr2_u2x12_uart0_lednop_pr_ee_u4 m1280_u2x12_uart0_lednop_pr_ee
 * m1280_u2x12_uart0_lednop_pr_ee_u4 m1281_u2x12_uart0_lednop_pr_ee    m1281_u2x12_uart0_lednop_pr_ee_u4
 * m256rfr2_u2x12_uart0_lednop_pr_ee m256rfr2_u2x12_uart0_lednop_pr_ee_u4
 * m2560_u2x12_uart0_lednop_pr_ee    m2560_u2x12_uart0_lednop_pr_ee_u4 m2561_u2x12_uart0_lednop_pr_ee
 * m2561_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0xaadd3e12cadfe186, 0x68ded51ca4fe6d4f, 0xe56654d56b4738c3, 0xc723e0d9834c6391,
  0x669d68450ef8acc7, 0x3484d7d185962291, 0x4d1cead2f222e359, 0xd743af3a77847c46, 0x24228e811bdab1aa,
  0x47eb70decb65cc5c, 0x6bd801071a2551b0, 0xcf020270b37e0625, 0x79bcda450603bd6b, 0x0d537a94e4a7400b,
  0x8c6f19d103e23487, 0x22adec5551698653, 0x84a5a97e56d99da7, 0xf7f8817b1e1986ef, 0x53ab337f07771a2c,
  0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x4eb98393824f257e,
};

/*
 * m1284rfr2_u2x12_uart0_lednop_pr_ce_u4 m128rfa1_u2x12_uart0_lednop_pr_ce
 * m128rfa1_u2x12_uart0_lednop_pr_ce_u4 m128rfr2_u2x12_uart0_lednop_pr_ce
 * m128rfr2_u2x12_uart0_lednop_pr_ce_u4 m1280_u2x12_uart0_lednop_pr_ce
 * m1280_u2x12_uart0_lednop_pr_ce_u4 m1281_u2x12_uart0_lednop_pr_ce    m1281_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0xcda9f55ba7c24a7b, 0x41486d1bdaa3949f, 0x216de6e77f380dfd, 0x4361227b2ce1e79c,
  0xddd83fa8f09e12fc, 0xeb26cf6e122270f8, 0xf591c8fd24f72df5, 0x80b9241fa4871240, 0x8faf09348d219cc5,
  0x87daa01ffb33c75e, 0xaf67b8281e5adcf6, 0x3c0809c2cdf81895, 0xe6f36914180ef5af, 0x354dea53929d002d,
  0x31bc67440f88d21c, 0x63b7b15545a6194e, 0x252d4bf2b6cced38, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x75cfd6dc12792bf7, 0x0000000000000003,
};

/*
 * m1284rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m128rfa1_u2x12_uart0_lednop_pr_ee_ce
 * m128rfa1_u2x12_uart0_lednop_pr_ee_ce_u4 m128rfr2_u2x12_uart0_lednop_pr_ee_ce
 * m128rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m1280_u2x12_uart0_lednop_pr_ee_ce
 * m1280_u2x12_uart0_lednop_pr_ee_ce_u4 m1281_u2x12_uart0_lednop_pr_ee_ce
 * m1281_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x55ba7c256b7fe186, 0xd1bdaa3949fcda9f, 0xeec7c0dfd5194b86, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x122270e00036eff5, 0xa94ed63a7be6cf6e, 0x83660d6bc723cafb, 0xa1140a62b0f71c8f,
  0x5f4616588a459a75, 0x68e7576e91075213, 0x1b1d79d3bc23e232, 0x4228e811bdab1aaf, 0x26470decb65cc5c2,
  0x5ec2cc38d12a8d82, 0x781013859bf0312b, 0xcde6d228301deb5e, 0x6a9bd4a7253a005b, 0x6378ce881f11a438,
  0xc76f62aa8b4c329c, 0x4a5a97e56d99da70, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x7e4c5f3824f257ee,
  0x0000000000000002,
};

/*
 * m2564rfr2_u2x12_uart0_lednop_ee_hw m128rfa1_u2x12_uart0_lednop_ee_hw m128rfr2_u2x12_uart0_lednop_ee_hw
 * m1280_u2x12_uart0_lednop_ee_hw    m1281_u2x12_uart0_lednop_ee_hw    m256rfr2_u2x12_uart0_lednop_ee_hw
 * m2560_u2x12_uart0_lednop_ee_hw    m2561_u2x12_uart0_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0xfaadd3e12cadfe56, 0x368ded51ca4fe6d4, 0x1e56654d56b4738c, 0x7c723e0d9834c639,
  0x1669d68450ef8acc, 0x93484d7d18596229, 0x64d1cead2f222e35, 0xad743af3a77847c4, 0xc24228e811bdab1a,
  0x047eb70decb65cc5, 0x56bd801071a2551b, 0xbcf020270b37e062, 0xb79bcda450603bd6, 0x70d537a94e4a7400,
  0x38c6f19d103e2348, 0x722adec555169865, 0xf84a5a97e56d99da, 0xa912b505d9e1986e, 0xf989ffde1ef79430,
  0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000005bec117d14,
};

/*
 * m1284rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m128rfa1_u2x12_uart0_lednop_ee_ce_hw
 * m128rfa1_u2x12_uart0_lednop_ee_ce_u4_hw m128rfr2_u2x12_uart0_lednop_ee_ce_hw
 * m128rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m1280_u2x12_uart0_lednop_ee_ce_hw
 * m1280_u2x12_uart0_lednop_ee_ce_u4_hw m1281_u2x12_uart0_lednop_ee_ce_hw
 * m1281_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xd56e9f095adff958, 0xb46f6a8e527f36a7, 0x3bb1f037f54652e1, 0xb2ce1e79c216fc87,
  0x8f09e12fc4361227, 0x84889c3b41c113fa, 0xea53b58e9ef9b3db, 0xe0d9835af1c8f2be, 0x68450298ac3dc723,
  0xd7d185962291669d, 0x9a39d5dba441d484, 0xc6c75e74ef08f88c, 0x908a3a046f6ac6ab, 0x8991c37b2d973170,
  0xd7b0b30e344aa360, 0x9e0404e166fc0c4a, 0xf379b48a0c077ad7, 0x1aa6f529c94e8016, 0x18de33a207c4690e,
  0x31dbd8aaa2d30ca7, 0x1296a5f95b66769c, 0x44ad417678661bbe, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000028089c95453c,
};

/*
 * m1284rfr2_u2x12_uart0_dual_pr     m1284rfr2_u2x12_uart0_dual_pr_u4  m128rfa1_u2x12_uart0_dual
 * m128rfa1_u2x12_uart0_dual_pr      m128rfa1_u2x12_uart0_dual_pr_u4   m128rfr2_u2x12_uart0_dual
 * m128rfr2_u2x12_uart0_dual_pr      m128rfr2_u2x12_uart0_dual_pr_u4   m1280_u2x12_uart0_dual
 * m1280_u2x12_uart0_dual_pr         m1280_u2x12_uart0_dual_pr_u4      m1281_u2x12_uart0_dual
 * m1281_u2x12_uart0_dual_pr         m1281_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0xc56fccb0940253ba, 0xf95b61bece1a6f8b,
  0x92241240ca1cd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cab7c, 0xf9082d21be5c5dfc,
  0xe2a10cb417c4432f, 0xb7fddff4073c267b, 0xfa7c982c3795e425, 0x6d4faadd3e1232bf, 0x4d4368ded51ca4fe,
  0x0621e391f229df2c, 0xa0f31eb10d243892, 0xf0ef68ebf9cc580a, 0x5403ff6608ebc01a, 0x8a7207967b7cf09f,
  0xbd93f8abe7771525, 0xf020270b37e06256, 0x9bcda450603bd6bc, 0xd537a94e4a7400b7, 0xc6f19d103e234870,
  0x2adec55516986538, 0x4a5a97e56d99da72, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x24d32d3824f257ee,
  0x0000000000000005,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ee   m128rfr2_u2x12_uart0_dual_pr_ee   m1280_u2x12_uart0_dual_pr_ee
 * m1281_u2x12_uart0_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x6584a0129dd3e25c, 0x1000e02938bfebfe,
  0x9039db9a391eb7f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e4a9103770f, 0x90df2e2efe4be5f2,
  0xb40e1a2197fc8416, 0xe80e784ce4e2a10c, 0xb0de579096dfa7ff, 0xe9f09456ffe9f260, 0xf6a8e527f36a7d56,
  0xbee6ab5a39121b46, 0x3e0d983052391e56, 0xd68450ef8aff7472, 0x4d7d185962291669, 0x7569731eb8a97348,
  0xd7a89bc39223dece, 0x441f47cf58d56ba1, 0x70decbe9662e1211, 0x04d7c82d51b047eb, 0xec9fc55f3bb8a928,
  0x81013859bf0312b5, 0xde6d228301deb5e7, 0xa9bd4a7253a005bc, 0x378ce881f11a4386, 0x56f62aa8b4c329c6,
  0x52d4bf2b6cced391, 0xf104fb8f0cc377c2, 0x5666fe0eee3459ef, 0x32c970cf4c2b93f7, 0x0ccb0e9296ce1c4e,
  0xa27d77049e4afdcd, 0x0000000000000190,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ee_u4 m128rfr2_u2x12_uart0_dual_pr_ee_u4
 * m1280_u2x12_uart0_dual_pr_ee_u4   m1281_u2x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xa6024ee9f12e2061, 0xe02938bfebfe6584,
  0xdb9a391eb7f61000, 0xcb8bd0a489049039, 0xc4f87e7ef822fca7, 0x3e4a9103770f8510, 0x2e2efe4be5f2e7e4,
  0x1a2197fc841690df, 0x784ce4e2a10cb40e, 0x579096dfa7ffe80e, 0x28adfe40ca60b0de, 0xca4fe6d4faadd3e1,
  0x56b47224368ded51, 0x3060a4723cad7dcd, 0xa1df15fee8e47c1b, 0x30b2c4522cd3ad08, 0xe63d7152e6909afa,
  0x37872447bd9cead2, 0x8f9eb1aad743af51, 0x97d2cc5c2422883e, 0x905aa3608fd6e1bd, 0x8abe7771525009af,
  0x70b37e06256bd93f, 0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a, 0x55516986538c6f19,
  0x7e56d99da722adec, 0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b,
  0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x7f86792bf734332c, 0x000000002b2307dc,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ce   m128rfr2_u2x12_uart0_dual_pr_ce   m1280_u2x12_uart0_dual_pr_ce
 * m1281_u2x12_uart0_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xbfccb0940253ba7c, 0xfb019b386ed7174d,
  0x41240d2d4d1c8e63, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c990c0dd, 0x82d21be5c5dfc97c,
  0x2196818f4432ff90, 0xebfe80e784ddd454, 0x930586f2bc84b6f6, 0xeab74f848bafff4f, 0xda37b547293f9b53,
  0xdceca280aefafc90, 0x6bb43efcf3842dbc, 0xd4b9a05770911387, 0xa5c7238df9ee59ed, 0x05401efa4871240e,
  0x0d7877b475fce62c, 0x4faa01ffb33c75e0, 0xa4b14e40f2d6ee78, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c,
  0x16f379b48a0c077a, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c, 0xbe1296a5f95b6676,
  0x67bfc409c678661b, 0x5a9d599bf83bb8d1, 0x6761c4e34a185489, 0x7a615c9f80f9a3ec, 0x94b670e271964b86,
  0x24f257ee68665874, 0x000000001a4859b8,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ce_u4 m128rfr2_u2x12_uart0_dual_pr_ce_u4
 * m1280_u2x12_uart0_dual_pr_ce_u4   m1281_u2x12_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x49f9961298093ba7, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0x2982c3795e425b7a, 0xeab74f84b4dff903, 0xda37b547293f9b53,
  0x00ceca181bfaf510, 0x13d9670f3ce10b7f, 0xfd4784f097e21b09, 0xf6e122270fcb4cdf, 0x71bf3dcb7d752e6c,
  0xdf490e2481d4b8e4, 0xf68ebf9cc580a803, 0x3ff6678ebc01af0e, 0xc81e5addcf09f540, 0x4fe2af9ddc549629,
  0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0xcdfc1a3f8d167bfc, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xd63fc33c95fb9a19, 0x00000000001a48b4,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ee_ce m128rfr2_u2x12_uart0_dual_pr_ee_ce
 * m1280_u2x12_uart0_dual_pr_ee_ce   m1281_u2x12_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x257e6584a0129dd3, 0x7cd87599c190f8bd,
  0x241240cd6e68e476, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2575c0d, 0x20b486f97177f25f,
  0x0865a1b3910cbfe4, 0x49ff4073c26cad15, 0xc982c3795e425b71, 0xf55ba7c25a6bffa7, 0x6d1bdaa3949fcda9,
  0x776e80577d51fee8, 0x1f2d7e79c216de6e, 0x0cd02bb84889c3de, 0x23cacca94ed7e231, 0x448e47c1b30698c7,
  0x91669d68450298ae, 0xf1d484d7d1859622, 0x307d1f4873abb704, 0xec6abc6c75ed62bc, 0xc62e1211460b4752,
  0x71887132386f65c7, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xde6f2dd4180ef5af, 0xc354dea53929d002,
  0xc63042d2d7f88d21, 0xb33a718de33a206d, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000002609a71c12,
};

/*
 * m128rfa1_u2x12_uart0_dual_pr_ee_ce_u4 m128rfr2_u2x12_uart0_dual_pr_ee_ce_u4
 * m1280_u2x12_uart0_dual_pr_ee_ce_u4 m1281_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x5c001f9961298093,
  0xf9bfb05489c3badc, 0x91209207d1f9a391, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f959260,
  0x2105a437cb8bbf92, 0xa8432d0ff88865ff, 0xcdfffa039e1305a8, 0x6530586f2bc84b6e, 0x7d56e9f090a4ff20,
  0x1b46f6a8e527f36a, 0x19de9a037f5472ba, 0x7b2ce1e79c216fe0, 0xa8f09e12fc436122, 0xb84889c3f9cba9df,
  0x7f253b58ea6e9b3d, 0x1f06cc1af91c8f2b, 0xeb422814c5752a39, 0x26be8c2cb1148b34, 0xf7b39d5db8c78ea4,
  0xbc6c75ea26f0e488, 0x0908a20fa3e7ac6a, 0x1132386f65f4b317, 0x2a4a59b5f20b546c, 0xc4ad7b27f157ceee,
  0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0x69c31dbd8aaa2d30,
  0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x56a75666fe0d1fc6, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x08004acd9fe19e4a,
};

/*
 * m128rfa1_u2x12_uart0_dual_ee_hw   m128rfr2_u2x12_uart0_dual_ee_hw   m1280_u2x12_uart0_dual_ee_hw
 * m1281_u2x12_uart0_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x584a7419dd3e25c4, 0x000e02938bfebfe6,
  0x039db9a391eb7f61, 0xca7cb8bd0a489049, 0x510c4f87e7ef822f, 0x7e43e4a9103770f8, 0x0df2e2efe4be5f2e,
  0x40e1a2197fc84169, 0x80e784ce4e2a10cb, 0x0de579096dfa7ffe, 0x3e128adff196a60b, 0xd51ca4fe6d4faadd,
  0xdcd56b47224368de, 0xc1b3060a4723cad7, 0xd08a1df15fee8e47, 0xafa30b2c4522cd3a, 0xad2e63d7152e6909,
  0xf5137872447bd9ce, 0x83e8f9eb1aad743a, 0x1bd97d2cc5c24228, 0x9af905aa3608fd6e, 0x93f8abe777152500,
  0x20270b37e06256bd, 0xcda450603bd6bcf0, 0x37a94e4a7400b79b, 0xf19d103e234870d5, 0xdec55516986538c6,
  0x5a97e56d99da722a, 0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x02bb4b483d14f257,
};

/*
 * m1284rfr2_u2x12_uart0_dual_ee_ce_u4_hw m128rfa1_u2x12_uart0_dual_ee_ce_hw
 * m128rfa1_u2x12_uart0_dual_ee_ce_u4_hw m128rfr2_u2x12_uart0_dual_ee_ce_hw
 * m128rfr2_u2x12_uart0_dual_ee_ce_u4_hw m1280_u2x12_uart0_dual_ee_ce_hw
 * m1280_u2x12_uart0_dual_ee_ce_u4_hw m1281_u2x12_uart0_dual_ee_ce_hw
 * m1281_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xeeb7170007e6584a,
  0x68e47e6fec152270, 0x5e8524482481f47e, 0xc3f3f7c117e53e5c, 0x64981bb87c288627, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc16a2a10cb43fe22, 0x12dbb37ffe80e784, 0x3fe32d4c161bcaf2, 0xfcda9f55ba7c2429,
  0x1cae86d1bdaa3949, 0x2df90e77a680dfd5, 0x6c244f659c3cf384, 0xbaa3f51e13c25f88, 0xd367b70911387ba1,
  0x91e56fe4a76b1d4d, 0xa54723e0d9835f23, 0x91669d68450298ae, 0xf1d484d7d1859622, 0x1c911ef673abb718,
  0xf58d578d8ebd44de, 0x9662e1211441f47c, 0x6a8d8226470decbe, 0xf9ddc5494b36be41, 0xcdf81895af64fe2a,
  0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0xb6cced3863b7b155,
  0xf0cc377c252d4bf2, 0x7bca1854895a82ec, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0xd1ba8a792bf73433, 0x000000000000ebac,
};

/*
 * m1284rfr2_u2x12_uart1_noled_pr    m2564rfr2_u2x12_uart1_noled       m2564rfr2_u2x12_uart1_noled_pr
 * m128rfa1_u2x12_uart1_noled        m128rfa1_u2x12_uart1_noled_pr     m128rfr2_u2x12_uart1_noled
 * m128rfr2_u2x12_uart1_noled_pr     m1280_u2x12_uart1_noled           m1280_u2x12_uart1_noled_pr
 * m1281_u2x12_uart1_noled           m1281_u2x12_uart1_noled_pr        m256rfr2_u2x12_uart1_noled
 * m256rfr2_u2x12_uart1_noled_pr     m2560_u2x12_uart1_noled           m2560_u2x12_uart1_noled_pr
 * m2561_u2x12_uart1_noled           m2561_u2x12_uart1_noled_pr
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0xc7fcb8fcff51304f, 0x9fcda9f55ba7c129, 0xcb24386d1bdaa394, 0x1240cd24723f3c77, 0x02dee986fd7fa487,
  0x175e1d623c667316, 0x2b358b71cb1823af, 0x9ce4db7e062777ec, 0x7e6f2dd4180efddf, 0x0dc5d4e5e5363393,
  0xfd714085a7862b29, 0x5b6674e31bc67440, 0x78661bbe1296a5f9, 0x47f1a2cf7f8827dc, 0xe985727eeacc7903,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x0000003e41b8f3c9,
};

/*
 * m2564rfr2_u2x12_uart1_noled_pr_u4 m128rfa1_u2x12_uart1_noled_pr_u4  m128rfr2_u2x12_uart1_noled_pr_u4
 * m1280_u2x12_uart1_noled_pr_u4     m1281_u2x12_uart1_noled_pr_u4     m256rfr2_u2x12_uart1_noled_pr_u4
 * m2560_u2x12_uart1_noled_pr_u4     m2561_u2x12_uart1_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xc30d9fea2609f193, 0xda9f55ba7c129c7f, 0x8786d1bdaa3949fc, 0x0d05c723f4077cb0, 0x2ca6f937ba487124,
  0x78705a3d61cc580b, 0x5500ffd9823af47d, 0x26af81e59ed871a2, 0xce726dbf0313bbf6, 0xf9bcf82a0c077eef,
  0x3717539794d8ce4d, 0x2718de33a204aca4, 0x4e8ab7b15545a561, 0x7c252d4bf2b6cce5, 0x67bfc40bd8f0cc37,
  0x5a9d599bf83bb8d1, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x07c9d3929c12792b,
};

/*
 * m1284rfr2_u2x12_uart1_noled_pr_ee_u4 m2564rfr2_u2x12_uart1_noled_pr_ee
 * m2564rfr2_u2x12_uart1_noled_pr_ee_u4 m128rfa1_u2x12_uart1_noled_pr_ee
 * m128rfa1_u2x12_uart1_noled_pr_ee_u4 m128rfr2_u2x12_uart1_noled_pr_ee
 * m128rfr2_u2x12_uart1_noled_pr_ee_u4 m1280_u2x12_uart1_noled_pr_ee
 * m1280_u2x12_uart1_noled_pr_ee_u4  m1281_u2x12_uart1_noled_pr_ee     m1281_u2x12_uart1_noled_pr_ee_u4
 * m256rfr2_u2x12_uart1_noled_pr_ee  m256rfr2_u2x12_uart1_noled_pr_ee_u4
 * m2560_u2x12_uart1_noled_pr_ee     m2560_u2x12_uart1_noled_pr_ee_u4  m2561_u2x12_uart1_noled_pr_ee
 * m2561_u2x12_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0xab74f824c17fc30d, 0xa37b547293f9b53e, 0x95c89355ad1ce30d, 0x1c8f83660d318e47,
  0xcd3ad08a1df15995, 0x6909afa30b2c4522, 0x0b39d5a5cf55c6b2, 0xba1d79d3bc237d1e, 0x422859e8c38d8d56,
  0x7eb70decb65cc5c2, 0xec00a41541d51b04, 0xdf9ce4db7e062777, 0x9bf379f054180efd, 0x486e2ea72f29b19c,
  0xc24e31bc67440959, 0xca9d156f62aa8b4a, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771,
  0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x0004ebe5563824f2,
};

/*
 * m1284rfr2_u2x12_uart1_noled_pr_ce_u4 m128rfa1_u2x12_uart1_noled_pr_ce
 * m128rfa1_u2x12_uart1_noled_pr_ce_u4 m128rfr2_u2x12_uart1_noled_pr_ce
 * m128rfr2_u2x12_uart1_noled_pr_ce_u4 m1280_u2x12_uart1_noled_pr_ce
 * m1280_u2x12_uart1_noled_pr_ce_u4  m1281_u2x12_uart1_noled_pr_ce     m1281_u2x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xcda9f55ba7c12297, 0x41486d1bdaa3949f, 0x216de6e77fb80dfd, 0x4361227b2ce1e79c,
  0x00149fa8f09e12fc, 0x7ac9b3db84889c3c, 0x3d6472393d3dcb7d, 0xb01531b5a921c490, 0xe8faf0e0b47ac398,
  0xe344aa01ffb33c75, 0xddfb1357c0f2d6e0, 0xbf77e73936df8189, 0x6726fcde7c150603, 0x56521b8ba9cbca6c,
  0xd2b0938c6f19d102, 0xcce54e31dbd8aaa2, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0, 0x54895a9d599bf83b,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x00000375f8d0dc12,
};

/*
 * m1284rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m128rfa1_u2x12_uart1_noled_pr_ee_ce
 * m128rfa1_u2x12_uart1_noled_pr_ee_ce_u4 m128rfr2_u2x12_uart1_noled_pr_ee_ce
 * m128rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m1280_u2x12_uart1_noled_pr_ee_ce
 * m1280_u2x12_uart1_noled_pr_ee_ce_u4 m1281_u2x12_uart1_noled_pr_ee_ce
 * m1281_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0xab74f825a6bfc30d, 0xa37b547293f9b53e, 0xec2d01bfaa32970d, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x0911387ba1baa3f5, 0x44a76b1d3df367b7, 0xc1b306b5e391e57d, 0x68450298afba8e47,
  0xd7d185962291669d, 0x0b39d5db8f51d484, 0x1b1d79d3bc237d1e, 0x8450b3d1871b1aaf, 0x4c8e1bd96cb98b84,
  0xec2ce41541d51b04, 0xdf9ce4db7e062777, 0x9bf379f054180efd, 0x486e2ea72f29b19c, 0xc24e31bc67440959,
  0x9538c76f62aa8b4a, 0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3, 0x13ffbc3def286152,
  0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0004fc94d67049e4,
};

/*
 * m2564rfr2_u2x12_uart1_noled_ee_hw m128rfa1_u2x12_uart1_noled_ee_hw  m128rfr2_u2x12_uart1_noled_ee_hw
 * m1280_u2x12_uart1_noled_ee_hw     m1281_u2x12_uart1_noled_ee_hw     m256rfr2_u2x12_uart1_noled_ee_hw
 * m2560_u2x12_uart1_noled_ee_hw     m2561_u2x12_uart1_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0xeab74f824c17fcac, 0xda37b547293f9b53, 0x795c89355ad1ce30, 0x51c8f83660d318e4,
  0x2cd3ad08a1df1599, 0x26909afa30b2c452, 0xe0b39d5a5cf55c6b, 0x6ba1d79d3bc237d1, 0x2422859e8c38d8d5,
  0x47eb70decb65cc5c, 0x7ec00a41541d51b0, 0xddf9ce4db7e06277, 0xc9bf379f054180ef, 0x9486e2ea72f29b19,
  0xac24e31bc6744095, 0x9ca9d156f62aa8b4, 0x86ef84a5a97e56d9, 0x430a912b505d9e19, 0xc65f989ffde1ef79,
  0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd14f257ee6866587, 0x0000000005bf4117,
};

/*
 * m1284rfr2_u2x12_uart1_noled_ee_ce_u4_hw m128rfa1_u2x12_uart1_noled_ee_ce_hw
 * m128rfa1_u2x12_uart1_noled_ee_ce_u4_hw m128rfr2_u2x12_uart1_noled_ee_ce_hw
 * m128rfr2_u2x12_uart1_noled_ee_ce_u4_hw m1280_u2x12_uart1_noled_ee_ce_hw
 * m1280_u2x12_uart1_noled_ee_ce_u4_hw m1281_u2x12_uart1_noled_ee_ce_hw
 * m1281_u2x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xd56e9f04b4d7f958, 0xb46f6a8e527f36a7, 0x9d85a037f54652e1, 0xd9670f3ce10b7e43,
  0x4784f097e21b0913, 0xe122270ece5d1ffd, 0xa894ed63a7be6cf6, 0xf83660d6bc723caf, 0xad08a05315f751c8,
  0x9afa30b2c4522cd3, 0xc1673abb71ea3a90, 0xe363af3a77846fa3, 0x908a167a30e36355, 0x8991c37b2d973170,
  0xfd859c82a83aa360, 0xbbf39c9b6fc0c4ee, 0x937e6f3e0a8301df, 0x290dc5d4e5e53633, 0x5849c6378ce8812b,
  0x72a718edec555169, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5, 0xbf619a3ec6761c7f,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000005014d20f,
};

/*
 * m1284rfr2_u2x12_uart1_lednop_pr   m2564rfr2_u2x12_uart1_lednop      m2564rfr2_u2x12_uart1_lednop_pr
 * m128rfa1_u2x12_uart1_lednop       m128rfa1_u2x12_uart1_lednop_pr    m128rfr2_u2x12_uart1_lednop
 * m128rfr2_u2x12_uart1_lednop_pr    m1280_u2x12_uart1_lednop          m1280_u2x12_uart1_lednop_pr
 * m1281_u2x12_uart1_lednop          m1281_u2x12_uart1_lednop_pr       m256rfr2_u2x12_uart1_lednop
 * m256rfr2_u2x12_uart1_lednop_pr    m2560_u2x12_uart1_lednop          m2560_u2x12_uart1_lednop_pr
 * m2561_u2x12_uart1_lednop          m2561_u2x12_uart1_lednop_pr
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x95fe5c7e7e449827, 0x4fe6d4faadd3e096, 0xe5921c368ded51ca, 0x1240cd24723acf3b, 0x02dee9b22e0ba487,
  0x5d78505a33487316, 0x5619edc72c608ebc, 0x09c9b6fc0c4eefd8, 0x8392b01dfbbf3c08, 0xe2ca72f9d009bf37,
  0x5a6c57b74829f54e, 0x18de33a205711408, 0xf094b52fcadb33a7, 0x7bfc413ee3c330dd, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0x3e434e1e4a9e4afd,
};

/*
 * m2564rfr2_u2x12_uart1_lednop_pr_u4 m128rfa1_u2x12_uart1_lednop_pr_u4 m128rfr2_u2x12_uart1_lednop_pr_u4
 * m1280_u2x12_uart1_lednop_pr_u4    m1281_u2x12_uart1_lednop_pr_u4    m256rfr2_u2x12_uart1_lednop_pr_u4
 * m2560_u2x12_uart1_lednop_pr_u4    m2561_u2x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xf0c367fba9827c64, 0x36a7d56e9f048f5f, 0x21e1b46f6a8e527f, 0x034171c8f6b1df2c, 0xcb29a6e8ca921c49,
  0xbc24d23486731602, 0x6a807fecc11d7a3e, 0x7b8281e59edbda1f, 0x02726dbf0313bbf6, 0xb48a0c077eefcf02,
  0xea53929d009bf379, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0xa5f95b66769c8ab7, 0x05ec78661bbe1296,
  0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0xf26e093c95fb9a19, 0x000000000003e4d8,
};

/*
 * m1284rfr2_u2x12_uart1_lednop_pr_ee_u4 m2564rfr2_u2x12_uart1_lednop_pr_ee
 * m2564rfr2_u2x12_uart1_lednop_pr_ee_u4 m128rfa1_u2x12_uart1_lednop_pr_ee
 * m128rfa1_u2x12_uart1_lednop_pr_ee_u4 m128rfr2_u2x12_uart1_lednop_pr_ee
 * m128rfr2_u2x12_uart1_lednop_pr_ee_u4 m1280_u2x12_uart1_lednop_pr_ee
 * m1280_u2x12_uart1_lednop_pr_ee_u4 m1281_u2x12_uart1_lednop_pr_ee    m1281_u2x12_uart1_lednop_pr_ee_u4
 * m256rfr2_u2x12_uart1_lednop_pr_ee m256rfr2_u2x12_uart1_lednop_pr_ee_u4
 * m2560_u2x12_uart1_lednop_pr_ee    m2560_u2x12_uart1_lednop_pr_ee_u4 m2561_u2x12_uart1_lednop_pr_ee
 * m2561_u2x12_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0x55ba7c12cadfe186, 0xd1bdaa3949fcda9f, 0xcacca9aad68e7186, 0x8e47c1b30698c723,
  0xcd3ad08a1df1598f, 0x6909afa30b2c4522, 0x9a39d5a5e445c6b2, 0xae875e74ef08f88c, 0x48451d0237b56355,
  0x8fd6e1bd96cb98b8, 0xdfb0020e344aa360, 0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df,
  0x8de33a207c4690e1, 0x55bd8aaa2d30ca71, 0x94b52fcadb33b4e4, 0xff102f63c330ddf0, 0x75666fe0eee3459e,
  0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0xd730727049e4afdc, 0x0000000000000009,
};

/*
 * m1284rfr2_u2x12_uart1_lednop_pr_ce_u4 m128rfa1_u2x12_uart1_lednop_pr_ce
 * m128rfa1_u2x12_uart1_lednop_pr_ce_u4 m128rfr2_u2x12_uart1_lednop_pr_ce
 * m128rfr2_u2x12_uart1_lednop_pr_ce_u4 m1280_u2x12_uart1_lednop_pr_ce
 * m1280_u2x12_uart1_lednop_pr_ce_u4 m1281_u2x12_uart1_lednop_pr_ce    m1281_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0x9b53eab74f824a7b, 0x8290da37b547293f, 0x42dbcdcefe701bfa, 0x86c244f659c3cf38,
  0xbbb07f51e13c25f8, 0xd64d9edc2444e1f1, 0xeb2391fa49ee5beb, 0x0172483f490e2481, 0x1f5e12691a43398b,
  0x0fb5403ff6678ebd, 0x7ecf70503cb5b9ed, 0xe0404e4db7e06277, 0x6f36914180efddf9, 0xa9bd4a7253a0137e,
  0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0xb9fadb824f257ee6, 0x000000000000006e,
};

/*
 * m1284rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m128rfa1_u2x12_uart1_lednop_pr_ee_ce
 * m128rfa1_u2x12_uart1_lednop_pr_ee_ce_u4 m128rfr2_u2x12_uart1_lednop_pr_ee_ce
 * m128rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m1280_u2x12_uart1_lednop_pr_ee_ce
 * m1280_u2x12_uart1_lednop_pr_ee_ce_u4 m1281_u2x12_uart1_lednop_pr_ee_ce
 * m1281_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0xab74f8256b7fe186, 0xa37b547293f9b53e, 0xdd8f81bfaa32970d, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x2444e1c0006ddfea, 0x529dac74f7cd9edc, 0x06cc1ad78e4795f7, 0x422814c561ee391f,
  0xbe8c2cb1148b34eb, 0xd1ceaedd220ea426, 0x363af3a77847c464, 0x8451d0237b56355e, 0x4c8e1bd96cb98b84,
  0xfd859871a2551b04, 0xc0809c9b6fc0c4ee, 0xde6d228301dfbbf3, 0x537a94e4a74026fc, 0x6f19d103e234870d,
  0xedec55516986538c, 0x4b52fcadb33b4e18, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xc98be7049e4afdcd,
  0x000000000000004f,
};

/*
 * m2564rfr2_u2x12_uart1_lednop_ee_hw m128rfa1_u2x12_uart1_lednop_ee_hw m128rfr2_u2x12_uart1_lednop_ee_hw
 * m1280_u2x12_uart1_lednop_ee_hw    m1281_u2x12_uart1_lednop_ee_hw    m256rfr2_u2x12_uart1_lednop_ee_hw
 * m2560_u2x12_uart1_lednop_ee_hw    m2561_u2x12_uart1_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0xf55ba7c12cadfe56, 0x6d1bdaa3949fcda9, 0x3cacca9aad68e718, 0xf8e47c1b30698c72,
  0x2cd3ad08a1df1598, 0x26909afa30b2c452, 0xc9a39d5a5e445c6b, 0x5ae875e74ef08f88, 0x848451d0237b5635,
  0x08fd6e1bd96cb98b, 0xddfb0020e344aa36, 0xe781013936df8189, 0xf9bcda450603bf77, 0x1aa6f529c94e804d,
  0x18de33a207c4690e, 0x455bd8aaa2d30ca7, 0x094b52fcadb33b4e, 0x2256a0bb3c330ddf, 0x313ffbc3def28615,
  0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000b7d822fa29e,
};

/*
 * m1284rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m128rfa1_u2x12_uart1_lednop_ee_ce_hw
 * m128rfa1_u2x12_uart1_lednop_ee_ce_u4_hw m128rfr2_u2x12_uart1_lednop_ee_ce_hw
 * m128rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m1280_u2x12_uart1_lednop_ee_ce_hw
 * m1280_u2x12_uart1_lednop_ee_ce_u4_hw m1281_u2x12_uart1_lednop_ee_ce_hw
 * m1281_u2x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xaadd3e095adff958, 0x68ded51ca4fe6d4f, 0x7763e06fea8ca5c3, 0x659c3cf3842df90e,
  0x1e13c25f886c244f, 0x09113876838227f5, 0xd4a76b1d3df367b7, 0xc1b306b5e391e57d, 0xd08a0531587b8e47,
  0xafa30b2c4522cd3a, 0x3473abb74883a909, 0x8d8ebce9de11f119, 0x21147408ded58d57, 0x132386f65b2e62e1,
  0xbf61661c689546c1, 0xf0202726dbf0313b, 0x379b48a0c077eefc, 0x54dea53929d009bf, 0x1bc67440f88d21c3,
  0x3b7b15545a6194e3, 0x52d4bf2b6cced386, 0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0005011392a8a792,
};

/*
 * m1284rfr2_u2x12_uart1_dual_pr     m1284rfr2_u2x12_uart1_dual_pr_u4  m128rfa1_u2x12_uart1_dual
 * m128rfa1_u2x12_uart1_dual_pr      m128rfa1_u2x12_uart1_dual_pr_u4   m128rfr2_u2x12_uart1_dual
 * m128rfr2_u2x12_uart1_dual_pr      m128rfr2_u2x12_uart1_dual_pr_u4   m1280_u2x12_uart1_dual
 * m1280_u2x12_uart1_dual_pr         m1280_u2x12_uart1_dual_pr_u4      m1281_u2x12_uart1_dual
 * m1281_u2x12_uart1_dual_pr         m1281_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0xc56fccb0940253ba, 0xf95b61bece1a6f8b,
  0x92241240ca1cd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cab7c, 0xf9082d21be5c5dfc,
  0xe2a10cb417c4432f, 0xb7fddff4073c267b, 0xfa7c982c3795e425, 0xda9f55ba7c1232bf, 0x9a86d1bdaa3949fc,
  0x0c43c723e453be58, 0x41e63d621a487124, 0xe1ded1d7f398b015, 0xa807fecc11d78035, 0x14e40f2cf6f9e13e,
  0xfb27f157ceee2a4b, 0x81013936df8189dd, 0xbcda450603bf77e7, 0xa6f529c94e804df9, 0xde33a207c4690e1a,
  0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x9a65a7049e4afdcd,
  0x00000000000000a4,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ee   m128rfr2_u2x12_uart1_dual_pr_ee   m1280_u2x12_uart1_dual_pr_ee
 * m1281_u2x12_uart1_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x6584a0129dd3e25c, 0x1000e02938bfebfe,
  0x9039db9a391eb7f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e4a9103770f, 0x90df2e2efe4be5f2,
  0xb40e1a2197fc8416, 0xe80e784ce4e2a10c, 0xb0de579096dfa7ff, 0xd3e09456ffe9f260, 0xed51ca4fe6d4faad,
  0x7dcd56b47224368d, 0x7c1b3060a4723cad, 0xad08a1df15fee8e4, 0x9afa30b2c4522cd3, 0xead2e63d7152e690,
  0xaf5137872447bd9c, 0x883e8f9eb1aad743, 0xe1bd97d2cc5c2422, 0x09af905aa3608fd6, 0xd93f8abe77715250,
  0x0809c9b6fc0c4eef, 0xe6d228301dfbbf3c, 0x37a94e4a74026fcd, 0xf19d103e234870d5, 0xdec55516986538c6,
  0x5a97e56d99da722a, 0x209f71e1986ef84a, 0xccdfc1ddc68b3dfe, 0x592e19e985727eea, 0x9961d252d9c389c6,
  0x4faee093c95fb9a1, 0x0000000000003214,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ee_u4 m128rfr2_u2x12_uart1_dual_pr_ee_u4
 * m1280_u2x12_uart1_dual_pr_ee_u4   m1281_u2x12_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xa6024ee9f12e2061, 0xe02938bfebfe6584,
  0xdb9a391eb7f61000, 0xcb8bd0a489049039, 0xc4f87e7ef822fca7, 0x3e4a9103770f8510, 0x2e2efe4be5f2e7e4,
  0x1a2197fc841690df, 0x784ce4e2a10cb40e, 0x579096dfa7ffe80e, 0x28adfe40ca60b0de, 0x949fcda9f55ba7c1,
  0xad68e4486d1bdaa3, 0x60c148e4795afb9a, 0x43be2bfdd1c8f836, 0x616588a459a75a11, 0xcc7ae2a5cd2135f4,
  0x6f0e488f7b39d5a5, 0x1f3d6355ae875ea2, 0x2fa598b84845107d, 0x20b546c11fadc37b, 0x157ceee2a4a0135f,
  0x936df8189ddfb27f, 0x50603bf77e781013, 0x9c94e804df9bcda4, 0x207c4690e1aa6f52, 0xaa2d30ca718de33a,
  0xcadb33b4e455bd8a, 0x63c330ddf094b52f, 0x068fe3459eff102f, 0x430a912b53ab337f, 0xc65f989ffde1ef79,
  0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xf0cf257ee6866587, 0x000000056460fb8f,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ce   m128rfr2_u2x12_uart1_dual_pr_ce   m1280_u2x12_uart1_dual_pr_ce
 * m1281_u2x12_uart1_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xbfccb0940253ba7c, 0xfb019b386ed7174d,
  0x41240d2d4d1c8e63, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c990c0dd, 0x82d21be5c5dfc97c,
  0x2196818f4432ff90, 0xebfe80e784ddd454, 0x930586f2bc84b6f6, 0xd56e9f048bafff4f, 0xb46f6a8e527f36a7,
  0xb9d945015df5f921, 0xd7687df9e7085b79, 0xa97340aee122270e, 0x4b8e471bf3dcb3db, 0x0a803df490e2481d,
  0x1af0ef68ebf9cc58, 0x9f5403ff6678ebc0, 0x49629c81e5addcf0, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031,
  0xbf379b48a0c077ee, 0xc354dea53929d009, 0xe31bc67440f88d21, 0x863b7b15545a6194, 0xc252d4bf2b6cced3,
  0xf7f88138cf0cc377, 0x53ab337f07771a2c, 0xec389c69430a912b, 0x4c2b93f01f347d8c, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x00000003490b3704,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ce_u4 m128rfr2_u2x12_uart1_dual_pr_ce_u4
 * m1280_u2x12_uart1_dual_pr_ce_u4   m1281_u2x12_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x49f9961298093ba7, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0x2982c3795e425b7a, 0xd56e9f04b4dff903, 0xb46f6a8e527f36a7,
  0x019d943037f5ea21, 0x27b2ce1e79c216fe, 0xfa8f09e12fc43612, 0xedc2444e1f9699bf, 0xe37e7b96faea5cd9,
  0xbe921c4903a971c8, 0xed1d7f398b015007, 0x7feccf1d78035e1d, 0x903cb5bb9e13ea80, 0x9fc55f3bb8a92c53,
  0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0xbf8347f1a2cf7f88, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7,
  0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xc7f86792bf734332, 0x000000000349169a,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ee_ce m128rfr2_u2x12_uart1_dual_pr_ee_ce
 * m1280_u2x12_uart1_dual_pr_ee_ce   m1281_u2x12_uart1_dual_pr_ee_ce
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x257e6584a0129dd3, 0x7cd87599c190f8bd,
  0x241240cd6e68e476, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2575c0d, 0x20b486f97177f25f,
  0x0865a1b3910cbfe4, 0x49ff4073c26cad15, 0xc982c3795e425b71, 0xeab74f825a6bffa7, 0xda37b547293f9b53,
  0xeedd00aefaa3fdd0, 0x3e5afcf3842dbcdc, 0x19a05770911387bc, 0x479599529dafc462, 0x891c8f83660d318e,
  0x22cd3ad08a05315c, 0xe3a909afa30b2c45, 0x60fa3e90e7576e09, 0xd8d578d8ebdac578, 0x8c5c24228c168ea5,
  0xe310e26470decb8f, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0xe6f2dd4180efddf9, 0x6a9bd4a7253a0137,
  0xc6085a5aff11a438, 0x674e31bc67440db8, 0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x15c9fbab337f0777,
  0x670e271964b867a6, 0x257ee6866587494b, 0x000004c134e3824f,
};

/*
 * m128rfa1_u2x12_uart1_dual_pr_ee_ce_u4 m128rfr2_u2x12_uart1_dual_pr_ee_ce_u4
 * m1280_u2x12_uart1_dual_pr_ee_ce_u4 m1281_u2x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x5c001f9961298093,
  0xf9bfb05489c3badc, 0x91209207d1f9a391, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f959260,
  0x2105a437cb8bbf92, 0xa8432d0ff88865ff, 0xcdfffa039e1305a8, 0x6530586f2bc84b6e, 0xfaadd3e090a4ff20,
  0x368ded51ca4fe6d4, 0x33bd3406fea8e574, 0xf659c3cf3842dfc0, 0x51e13c25f886c244, 0x70911387f39753bf,
  0xfe4a76b1d4dd367b, 0x3e0d9835f2391e56, 0xd68450298aea5472, 0x4d7d185962291669, 0xef673abb718f1d48,
  0x78d8ebd44de1c911, 0x1211441f47cf58d5, 0x226470decbe9662e, 0x5494b36be416a8d8, 0x13bbf64fe2af9ddc,
  0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x3863b7b15545a619,
  0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0xd4eaccdfc1a3f8d1, 0xff787bde50c2a44a, 0xec6761c7f197e627,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x000959b3fc33c95f, 0x0000000000000001,
};

/*
 * m128rfa1_u2x12_uart1_dual_ee_hw   m128rfr2_u2x12_uart1_dual_ee_hw   m1280_u2x12_uart1_dual_ee_hw
 * m1281_u2x12_uart1_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x584a7419dd3e25c4, 0x000e02938bfebfe6,
  0x039db9a391eb7f61, 0xca7cb8bd0a489049, 0x510c4f87e7ef822f, 0x7e43e4a9103770f8, 0x0df2e2efe4be5f2e,
  0x40e1a2197fc84169, 0x80e784ce4e2a10cb, 0x0de579096dfa7ffe, 0x7c128adff196a60b, 0xaa3949fcda9f55ba,
  0xb9aad68e4486d1bd, 0x83660c148e4795af, 0xa1143be2bfdd1c8f, 0x5f4616588a459a75, 0x5a5cc7ae2a5cd213,
  0xea26f0e488f7b39d, 0x07d1f3d6355ae875, 0x37b2fa598b848451, 0x35f20b546c11fadc, 0x27f157ceee2a4a01,
  0x013936df8189ddfb, 0xda450603bf77e781, 0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0x52fcadb33b4e455b, 0xa0bb3c330ddf094b, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x57696907a29e4afd,
};

/*
 * m1284rfr2_u2x12_uart1_dual_ee_ce_u4_hw m128rfa1_u2x12_uart1_dual_ee_ce_hw
 * m128rfa1_u2x12_uart1_dual_ee_ce_u4_hw m128rfr2_u2x12_uart1_dual_ee_ce_hw
 * m128rfr2_u2x12_uart1_dual_ee_ce_u4_hw m1280_u2x12_uart1_dual_ee_ce_hw
 * m1280_u2x12_uart1_dual_ee_ce_u4_hw m1281_u2x12_uart1_dual_ee_ce_hw
 * m1281_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xeeb7170007e6584a,
  0x68e47e6fec152270, 0x5e8524482481f47e, 0xc3f3f7c117e53e5c, 0x64981bb87c288627, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc16a2a10cb43fe22, 0x12dbb37ffe80e784, 0x3fe32d4c161bcaf2, 0xf9b53eab74f82429,
  0x395d0da37b547293, 0x5bf21cef4d01bfaa, 0xd8489ecb3879e708, 0x7547ea3c2784bf10, 0xa6cf6e122270f743,
  0x23cadfc94ed63a9b, 0x4a8e47c1b306be47, 0x22cd3ad08a05315d, 0xe3a909afa30b2c45, 0x39223dece7576e31,
  0xeb1aaf1b1d7a89bc, 0x2cc5c2422883e8f9, 0xd51b044c8e1bd97d, 0xf3bb8a92966d7c82, 0xb7e062777ec9fc55,
  0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0xd99da70c76f62aa8,
  0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x37514f257ee68665, 0x00000000001d759a,
};

/*
 * m2564rfr2_swio10_noled            m128rfa1_swio10_noled             m128rfr2_swio10_noled
 * m1280_swio10_noled                m1281_swio10_noled                m256rfr2_swio10_noled
 * m2560_swio10_noled                m2561_swio10_noled
 */
static const uint64_t ur_m1284rfr2_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0xdb7a36ee27524192, 0x7833091134c9bf6d, 0xad1e978fbc9ba440,
  0xf9827c64eee62486, 0x5283b7ffcb8fcf98, 0xc43c723bde77cb13, 0x74c7aad7a4871240, 0x370d1acf398b016f,
  0xfee39630475e2ebc, 0x8a0ed7972ab52b2b, 0x39d454aa35dce339, 0x4439ace576a96fab, 0x8af2c434aa5f7afa,
  0xa7d3bcfd6b9ed568, 0x985e906bea701652, 0x2045fb8a042d2b08, 0xfcadb33a718de33a, 0xf63c330ddf094b52,
  0x6592e19e985727e7, 0x19961d252d9c389c, 0x90023c953c95fb9a, 0x000000000000000a,
};

/*
 * m1284rfr2_swio10_noled_pr_u4      m2564rfr2_swio10_noled_pr         m2564rfr2_swio10_noled_pr_u4
 * m128rfa1_swio10_noled_pr          m128rfa1_swio10_noled_pr_u4       m128rfr2_swio10_noled_pr
 * m128rfr2_swio10_noled_pr_u4       m1280_swio10_noled_pr             m1280_swio10_noled_pr_u4
 * m1281_swio10_noled_pr             m1281_swio10_noled_pr_u4          m256rfr2_swio10_noled_pr
 * m256rfr2_swio10_noled_pr_u4       m2560_swio10_noled_pr             m2560_swio10_noled_pr_u4
 * m2561_swio10_noled_pr             m2561_swio10_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio10_noled_pr[] = {
  0x49bbbbbb4486259b, 0x5ae5a588561b758d, 0x1fad4cd06e264433, 0x8f211c631d7f07db, 0x2f312e3426eea488,
  0x3e327765dd890670, 0x2657f861b3efe4c1, 0x4723cdc77cb08b28, 0x31fa55243892064f, 0x1476b1cc580b2ca6,
  0xffd9823af47d7862, 0xc0f2cf6c45269500, 0x3141daf2e556afad, 0x673a8a9546bb9c67, 0x4887359caed52df5,
  0x115e5886954bef5f, 0x1a77807f5d73daad, 0xbabd20c2ea6c529e, 0xd290bce31bc67440, 0x6cce32455bd8aaa2,
  0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x0000007c9d4e2dc1,
};

/*
 * m1284rfr2_swio10_noled_pr_ee_u4   m2564rfr2_swio10_noled_pr_ee      m2564rfr2_swio10_noled_pr_ee_u4
 * m128rfa1_swio10_noled_pr_ee       m128rfa1_swio10_noled_pr_ee_u4    m128rfr2_swio10_noled_pr_ee
 * m128rfr2_swio10_noled_pr_ee_u4    m1280_swio10_noled_pr_ee          m1280_swio10_noled_pr_ee_u4
 * m1281_swio10_noled_pr_ee          m1281_swio10_noled_pr_ee_u4       m256rfr2_swio10_noled_pr_ee
 * m256rfr2_swio10_noled_pr_ee_u4    m2560_swio10_noled_pr_ee          m2560_swio10_noled_pr_ee_u4
 * m2561_swio10_noled_pr_ee          m2561_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio10_noled_pr_ee[] = {
  0x09bbbbbb4486bf3e, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x64eece22c5707aee, 0xdfe186cf93a9827c, 0x87355ad1c7b9418a, 0xf06cc19eb1c8f2b3, 0xb422877c5650e391,
  0x6be8c2cb1148b34e, 0xead2ff3971ac9a42, 0xaf3a7787a847109c, 0x47c88c45b1aad743, 0xb86f65b2e62e1211,
  0x00ba4c16a8d823f5, 0xe3398a0ed7972ab5, 0x6fab39d454aa35dc, 0x7afa4439ace576a9, 0xd5688af2c434aa5f,
  0x94f0d3bc03faeb9e, 0xa205d5e906175362, 0x55169485e718de33, 0xf95b6671922adec5, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xae093c95fb9a1996, 0x00000000013af998,
};

/*
 * m1284rfr2_swio10_noled_pr_ce_u4   m128rfa1_swio10_noled_pr_ce       m128rfa1_swio10_noled_pr_ce_u4
 * m128rfr2_swio10_noled_pr_ce       m128rfr2_swio10_noled_pr_ce_u4    m1280_swio10_noled_pr_ce
 * m1280_swio10_noled_pr_ce_u4       m1281_swio10_noled_pr_ce          m1281_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_noled_pr_ce[] = {
  0xb3f777776890d2a8, 0x56b96960e0ad2eb1, 0xeb45d23fe96b436b, 0x9170ff8b37656c17, 0x59f04142f0addd9e,
  0x827c64ee9d68d424, 0x41d37fe186cf8d69, 0xe6e77b380dfd4ca9, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1d9cba3, 0x91f249ee5bebd64d, 0x738d2438920782e3, 0x310a3b58e62c050f, 0x807feccf1d7a3ebc,
  0xf5b81e5adc22934a, 0x8ce6283b5e5caad5, 0xbeace75152a8d773, 0xebe910e6b395daa5, 0x55a22bcb10d2a97d,
  0x53c34ef00febae7b, 0x881757a4185d4d8a, 0x545a52179c6378ce, 0xcadb338c863b7b15, 0x63c330ddf094b52f,
  0xe0eee3459eff102f, 0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x000000000dd727e1,
};

/*
 * m1284rfr2_swio10_noled_pr_ee_ce_u4 m128rfa1_swio10_noled_pr_ee_ce    m128rfa1_swio10_noled_pr_ee_ce_u4
 * m128rfr2_swio10_noled_pr_ee_ce    m128rfr2_swio10_noled_pr_ee_ce_u4 m1280_swio10_noled_pr_ee_ce
 * m1280_swio10_noled_pr_ee_ce_u4    m1281_swio10_noled_pr_ee_ce       m1281_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_noled_pr_ee_ce[] = {
  0x15bbbbbb448650e3, 0x1f72d2c422191ac6, 0x5d96bd63f66c42ff, 0x9b1b6c823b83647f, 0xea05f256c148b852,
  0xc9dd0b03ed94e166, 0x7f861b3e6b7304f8, 0x4037f54715a50452, 0x879e7085b79b9d8a, 0x784bf10d8489ecb3,
  0x9c3fad4f00fea3c2, 0xb58e9ef9b3db8488, 0x83402391e56e9653, 0x0298acbac723e0d9, 0x85962291669d6845,
  0xabb77ce1d484d7d1, 0xbce9de1ea11c4273, 0x3e44622d8d578d8e, 0xc37b2d973170908a, 0xb3e9305aa3608991,
  0x8ce6283b5e5caad4, 0xbeace75152a8d773, 0xebe910e6b395daa5, 0x55a22bcb10d2a97d, 0x53c34ef00febae7b,
  0x881757a4185d4d8a, 0x545a52179c6378ce, 0xcadb338c863b7b15, 0x63c330ddf094b52f, 0xe0eee3459eff102f,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x7049e4afdcd0ccb0, 0x00000000027e0f57,
};

/*
 * m2564rfr2_swio10_noled_ee_hw      m128rfa1_swio10_noled_ee_hw       m128rfr2_swio10_noled_ee_hw
 * m1280_swio10_noled_ee_hw          m1281_swio10_noled_ee_hw          m256rfr2_swio10_noled_ee_hw
 * m2560_swio10_noled_ee_hw          m2561_swio10_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio10_noled_ee_hw[] = {
  0x09bbbbbb451a2f43, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x7c64eeb4efb5bb2a, 0x8adfe562cf93a982, 0xb387355ad1c7b941, 0x91f06cc19eb1c8f2, 0x4eb422877c5650e3,
  0x426be8c2cb1148b3, 0x9cead2ff3971ac9a, 0x43af3a7787a84710, 0x1147c88c45b1aad7, 0xf5b86f65b2e62e12,
  0xb500ba4c16a8d823, 0xdce3398a0ed7972a, 0xa96fab39d454aa35, 0x5f7afa4439ace576, 0x9ed5688af2c434aa,
  0x6294f0d3bc03faeb, 0x33a205d5e9061753, 0xc555169485e718de, 0xa5f95b6671922ade, 0x417678661bbe1296,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x16feab37453c95fb,
};

/*
 * m1284rfr2_swio10_noled_ee_ce_u4_hw m128rfa1_swio10_noled_ee_ce_hw    m128rfa1_swio10_noled_ee_ce_u4_hw
 * m128rfr2_swio10_noled_ee_ce_hw    m128rfr2_swio10_noled_ee_ce_u4_hw m1280_swio10_noled_ee_ce_hw
 * m1280_swio10_noled_ee_ce_u4_hw    m1281_swio10_noled_ee_ce_hw       m1281_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio10_noled_ee_ce_hw[] = {
  0x2b7777768a341bc1, 0x3ee5a5884432358c, 0xbb2d7ac7ecd885fe, 0x3636d9047706c8fe, 0xd40be4ad829170a5,
  0x8c9dd1d74d7deecd, 0x27f958b3e6b7304f, 0xa4037f54715a5045, 0x70f3ce10b7e439d8, 0x4f097e21b0913d96,
  0x44e1fce5d4efd478, 0x9dac74f7cd9edc24, 0xcc1a011c8f2b74b2, 0x2814c565d6391f06, 0x8c2cb1148b34eb42,
  0x9d5dbbe70ea426be, 0x75e74ef0f508e213, 0x51f223116c6abc6c, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x9c673141daf2e556, 0x2df5673a8a9546bb, 0xef5f4887359caed5, 0xdaad115e5886954b, 0x529e1a77807f5d73,
  0x7440babd20c2ea6c, 0xaaa2d290bce31bc6, 0x7e56d99c6431dbd8, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50,
  0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0x0533c9d14f257ee6,
  0x0000000000000014,
};

/*
 * m2564rfr2_swio10_lednop           m128rfa1_swio10_lednop            m128rfr2_swio10_lednop
 * m1280_swio10_lednop               m1281_swio10_lednop               m256rfr2_swio10_lednop
 * m2560_swio10_lednop               m2561_swio10_lednop
 */
static const uint64_t ur_m1284rfr2_swio10_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xa5c76a18da165419, 0x07833091135229b5, 0xd3636dfa5f17ba44,
  0xee609f193bb63d90, 0xd4a0c7bff2e3f3eb, 0x310f1c8ff21df2c4, 0xee9a44886921c490, 0xe1ded1f40731602d,
  0xb3f71cb1823af175, 0xcc5076bcb955a958, 0x59cea2a551aee719, 0xcd7020272bb54b7d, 0x9621a55aba5fd221,
  0x01e7eb5cf6ab4457, 0x20b0952c2ca6c59d, 0x39f450216986467d, 0xb6cce9c6378ce881, 0xf0cc377c252d4bf2,
  0x4b867a615c9f9fd8, 0x587494b670e27196, 0xb8f254f257ee6866, 0x0000000000001525,
};

/*
 * m1284rfr2_swio10_lednop_pr_u4     m2564rfr2_swio10_lednop_pr        m2564rfr2_swio10_lednop_pr_u4
 * m128rfa1_swio10_lednop_pr         m128rfa1_swio10_lednop_pr_u4      m128rfr2_swio10_lednop_pr
 * m128rfr2_swio10_lednop_pr_u4      m1280_swio10_lednop_pr            m1280_swio10_lednop_pr_u4
 * m1281_swio10_lednop_pr            m1281_swio10_lednop_pr_u4         m256rfr2_swio10_lednop_pr
 * m256rfr2_swio10_lednop_pr_u4      m2560_swio10_lednop_pr            m2560_swio10_lednop_pr_u4
 * m2561_swio10_lednop_pr            m2561_swio10_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_pr[] = {
  0x49bbbbbb44860cc5, 0x5ae5a58856a8758d, 0xd3db2787c6d24433, 0x47908e31b6339beb, 0x7563f31ad3775244,
  0x9f193bb06c371fb3, 0x4c7ff861b3f52a60, 0x8e479c4ef9611650, 0x7d84fa4871240c9e, 0x2383e731602cb299,
  0xfecc11d7a3ebc2be, 0x1e59ed8dfb86a807, 0x283b5e5caad6e1c8, 0xe75152a8d7738ce6, 0xb8101395daa5beac,
  0x10d2ad5d2fe910e6, 0xb26bae7b55a22bcb, 0xbaa417296be74079, 0x8c6f19d102e6e90a, 0x156f62aa8b4ebaf3,
  0x252d4bf2b6cce815, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xc9899a1c12792bf7, 0x0000000000000007,
};

/*
 * m1284rfr2_swio10_lednop_pr_ee_u4  m2564rfr2_swio10_lednop_pr_ee     m2564rfr2_swio10_lednop_pr_ee_u4
 * m128rfa1_swio10_lednop_pr_ee      m128rfa1_swio10_lednop_pr_ee_u4   m128rfr2_swio10_lednop_pr_ee
 * m128rfr2_swio10_lednop_pr_ee_u4   m1280_swio10_lednop_pr_ee         m1280_swio10_lednop_pr_ee_u4
 * m1281_swio10_lednop_pr_ee         m1281_swio10_lednop_pr_ee_u4      m256rfr2_swio10_lednop_pr_ee
 * m256rfr2_swio10_lednop_pr_ee_u4   m2560_swio10_lednop_pr_ee         m2560_swio10_lednop_pr_ee_u4
 * m2561_swio10_lednop_pr_ee         m2561_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_pr_ee[] = {
  0x09bbbbbb44864aa4, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x64eea4cb1789d9f6, 0x7fc30d9fa1f9827c, 0x0e6ab5a38f728270, 0xe0d9833d6391e565, 0x68450ef8af024723,
  0xd7d185962291669d, 0xd5a5ce1ae3593484, 0x5e74ef0f748d7c39, 0x137231bf6355ae87, 0xe1bd96cb98b84845,
  0x0108a4d2a3608fd6, 0xc673141daf2e556a, 0xdf5673a8a9546bb9, 0x88735c0809caed52, 0x15e5886956ae97f4,
  0xa03cd935d73daad1, 0x74855d520b94b5f3, 0x5d79c6378ce88173, 0x740a8ab7b15545a7, 0x1bbe1296a5f95b66,
  0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00013aff9a6e093c,
};

/*
 * m1284rfr2_swio10_lednop_pr_ce_u4  m128rfa1_swio10_lednop_pr_ce      m128rfa1_swio10_lednop_pr_ce_u4
 * m128rfr2_swio10_lednop_pr_ce      m128rfr2_swio10_lednop_pr_ce_u4   m1280_swio10_lednop_pr_ce
 * m1280_swio10_lednop_pr_ce_u4      m1281_swio10_lednop_pr_ce         m1281_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_pr_ce[] = {
  0x9fbbbbbb448624d6, 0xb5cb4b07057af58d, 0xae3dfa64cf8f9b5a, 0x170ff8b6966ef1de, 0x7db4508104ddd9e9,
  0x9f193bbf6baed19a, 0xc72ff0c367fabe60, 0x73b1ac06fea654a0, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0xdc2444e1da0e089f, 0xc149ee5bebd64d9e, 0xad2438920782e391, 0xe2383e731602bf87, 0x7feccf1d7a3ebc2b,
  0x20796b70dfb86a80, 0x98a0ed7972ab5b87, 0xb39d454aa35dce33, 0x9ae0404e576a96fa, 0x2c434ab574bfa443,
  0xe6c9aeb9ed5688af, 0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0xa31dbd8aaa2d3aeb, 0xe1296a5f95b66740,
  0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x1bafdf04e093c95f,
};

/*
 * m1284rfr2_swio10_lednop_pr_ee_ce_u4 m128rfa1_swio10_lednop_pr_ee_ce
 * m128rfa1_swio10_lednop_pr_ee_ce_u4 m128rfr2_swio10_lednop_pr_ee_ce
 * m128rfr2_swio10_lednop_pr_ee_ce_u4 m1280_swio10_lednop_pr_ee_ce
 * m1280_swio10_lednop_pr_ee_ce_u4   m1281_swio10_lednop_pr_ee_ce      m1281_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_pr_ee_ce[] = {
  0x15bbbbbb4486d0e3, 0x1f72d2c422333ac6, 0xd86d014d2c19c2ff, 0x3636d903228efe9e, 0x91ba976d829170a5,
  0x9ddae36829cb225d, 0xf861b3fcb5304f8c, 0x06fea8e2b4a0f60f, 0xe79c216de6e77d82, 0x12fc4361227b2ce1,
  0x873af8551fa8f09e, 0xb1d3df367b709113, 0x6804723cacbaca76, 0x5315b058e47c1b30, 0xb2c4522cd3ad08a0,
  0x76e3863a909afa30, 0x9d3bc3dd235f0e75, 0xb918dfb1aaf1b1d7, 0xdecb65cc5c242289, 0x622934a8d8226470,
  0x9cc5076bcb955a96, 0xd59cea2a551aee71, 0x1cd7020272bb54b7, 0x79621a55aba5fd22, 0x0f364d75cf6ab445,
  0x21575482e52d7ce8, 0x5e718de33a205cdd, 0x0518edec555169d7, 0xdf094b52fcadb33a, 0x59eff102f63c330d,
  0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x004fc8d4e7049e4a,
};

/*
 * m2564rfr2_swio10_lednop_ee_hw     m128rfa1_swio10_lednop_ee_hw      m128rfr2_swio10_lednop_ee_hw
 * m1280_swio10_lednop_ee_hw         m1281_swio10_lednop_ee_hw         m256rfr2_swio10_lednop_ee_hw
 * m2560_swio10_lednop_ee_hw         m2561_swio10_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a3032, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x3e32775b11ced4e4, 0x383fe562cfd0fcc1, 0xb287355ad1c7b941, 0x91f06cc19eb1c8f2, 0x4eb422877c578123,
  0x426be8c2cb1148b3, 0x1cead2e70d71ac9a, 0x43af3a7787ba46be, 0x2289b918dfb1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0xdce3398a0ed7972a, 0xa96fab39d454aa35, 0xfa4439ae0404e576, 0x688af2c434ab574b,
  0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a, 0xd3aebce31bc67440, 0xb33a05455bd8aaa2, 0x330ddf094b52fcad,
  0xf286152256a0bb3c, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x4aa29e4afdcd0ccb, 0x000000000005bfd0,
};

/*
 * m1284rfr2_swio10_lednop_ee_ce_u4_hw m128rfa1_swio10_lednop_ee_ce_hw
 * m128rfa1_swio10_lednop_ee_ce_u4_hw m128rfr2_swio10_lednop_ee_ce_hw
 * m128rfr2_swio10_lednop_ee_ce_u4_hw m1280_swio10_lednop_ee_ce_hw
 * m1280_swio10_lednop_ee_ce_u4_hw   m1281_swio10_lednop_ee_ce_hw      m1281_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio10_lednop_ee_ce_hw[] = {
  0x2b7777768a341000, 0x3ee5a5884466758c, 0xb0da029a583385fe, 0x6c6db206451dfd3d, 0x23752edb0522e14a,
  0x8c9ddad577eecdbb, 0x0ff958b3fcb5304f, 0x8206fea8e2b4a0f6, 0xc3cf3842df90e77d, 0x3c25f886c244f659,
  0x270eedd8593f51e1, 0xed63a7be6cf6e122, 0x60d008e479597594, 0x40a62b60b1c8f836, 0x616588a459a75a11,
  0xeaedc70c752135f4, 0xaf3a7787ba46be1c, 0x137231bf6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8,
  0xe3398a0ed7972ab5, 0x6fab39d454aa35dc, 0x4439ae0404e576a9, 0x8af2c434ab574bfa, 0xd01e6c9aeb9ed568,
  0xba42aea905ca5af9, 0xaebce31bc67440b9, 0x740a31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d,
  0x00000000a020ffc3,
};

/*
 * m1284rfr2_swio10_dual_pr          m1284rfr2_swio10_dual_pr_u4       m128rfa1_swio10_dual
 * m128rfa1_swio10_dual_pr           m128rfa1_swio10_dual_pr_u4        m128rfr2_swio10_dual
 * m128rfr2_swio10_dual_pr           m128rfr2_swio10_dual_pr_u4        m1280_swio10_dual
 * m1280_swio10_dual_pr              m1280_swio10_dual_pr_u4           m1281_swio10_dual
 * m1281_swio10_dual_pr              m1281_swio10_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio10_dual[] = {
  0x25dddddda2431f02, 0xecfddde36d3ef9bf, 0x6b6e7191b82d16a2, 0x685c7167c10c056d, 0x0ebe7dce2dde4be4,
  0xfb928c459b42130a, 0x45206179827c64e2, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x4be2ec17f32c2500,
  0x34723ba5d81c3381, 0x8bd0a48904903fdd, 0xf87e7ef822fca7cb, 0x2bc303770f8510c4, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x09ad68a8432d08c9, 0x79096dca1ffd01cf, 0xfeeffe9f260b0de5, 0x1c8f221df2c3e4a0,
  0xce8f7490e248188b, 0x46f79cc580aa0f37, 0xfb30475e00d7874a, 0x1e59eda63192a01f, 0xf157ceee2a4b8128,
  0xce6283b5e5caad67, 0xeace75152a8d7738, 0x0e6b8101395daa5b, 0xbcb10d2ad5d2fe91, 0x079b26bae7b55a22,
  0x90abaa417296be74, 0xaf38c6f19d102e6e, 0x815156f62aa8b4eb, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x002927b5edc12792,
};

/*
 * m128rfa1_swio10_dual_pr_ee        m128rfr2_swio10_dual_pr_ee        m1280_swio10_dual_pr_ee
 * m1281_swio10_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_swio10_dual_pr_ee[] = {
  0x6e3db77777750c86, 0x14ed9fbbbc90c89e, 0x7337bf5767c739d9, 0xb502fed38593773b, 0xd07e777e3c8f8f63,
  0xb97763763c173166, 0xa479eb9827c64a33, 0xa4606eeab50c8da8, 0x9dd3e25c40c2860d, 0x5c5dfe7e6584a012,
  0x8e47ff9b00d070d3, 0xf4292241240fa7e6, 0x1f9fbe08bf29f2e2, 0x75c0ddc3e144313e, 0x7f25f2f973f21f25,
  0xcbfe420b486f9717, 0x0f7150865a0bed10, 0x4b6f3b7ff4073c26, 0xfff4f930586f2bc8, 0xb9aad68ca2ca0f4f,
  0x83660cca8e4795ef, 0xa1143be2bd9d1c8f, 0x5f4616588a459a75, 0x5a5f022e2a5cd213, 0xea26f0bf88f4a39d,
  0x3d51a636355ae875, 0x1bd97d2cc5c24228, 0x10f9bdaa3608fd6e, 0xd67f157ceee2a4a0, 0x738ce6283b5e5caa,
  0xa5beace75152a8d7, 0xe910e6b8101395da, 0xa22bcb10d2ad5d2f, 0xe74079b26bae7b55, 0xe6e90abaa417296b,
  0x4ebaf38c6f19d102, 0xcce815156f62aa8b, 0xcc377c252d4bf2b6, 0xe3459eff104fb8f0, 0xc2b93f75666fe0ee,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000190a69c7049,
};

/*
 * m128rfa1_swio10_dual_pr_ee_u4     m128rfr2_swio10_dual_pr_ee_u4     m1280_swio10_dual_pr_ee_u4
 * m1281_swio10_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio10_dual_pr_ee_u4[] = {
  0xb7777768a87f2906, 0x9fbbbc90c89e6e3d, 0xbf5767c739d914ed, 0xfed38593773b7337, 0x777e3c8f8f63b502,
  0x9016f0548c66d07e, 0x5cc13e32519dc8af, 0x7755a8646d4523cf, 0x12e20614306d2303, 0xe7e6584a6024ee9f,
  0xf9b00d070d35c5df, 0x241240fa7e68e47f, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2575c0d,
  0x20b486f97177f25f, 0x0865a0bed10cbfe4, 0xb7ff4073c260f715, 0x530586f2bc84b6f3, 0xd1945941e9fff206,
  0x9951c8f2bdf7355a, 0x7c57b3a391f06cc1, 0xcb1148b34eb42287, 0x45c54b9a426be8c2, 0x17f11e9473ab4be0,
  0xc6c6ab5d0ebd44de, 0xa598b8484507aa34, 0xb546c11fadc37b2f, 0xaf9ddc5494021f37, 0xc5076bcb955acfe2,
  0x9cea2a551aee719c, 0xd7020272bb54b7d5, 0x621a55aba5fd221c, 0x364d75cf6ab44579, 0x575482e52d7ce80f,
  0x718de33a205cdd21, 0xa2adec555169d75e, 0x84a5a97e56d99d02, 0xf7f8817b1e1986ef, 0x9d599bf8347f1a2c,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x938cd07f86792bf7, 0x0000000000000015,
};

/*
 * m128rfa1_swio10_dual_pr_ce        m128rfr2_swio10_dual_pr_ce        m1280_swio10_dual_pr_ce
 * m1281_swio10_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_swio10_dual_pr_ce[] = {
  0x1bb7777775050c86, 0xdecfdddf50fbbe6e, 0x1f6b858f6b0c8ce0, 0xf4e76489f55ecfb4, 0x8435dfbf7ba1b999,
  0x3b97763767d5f98a, 0x4523b8f9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0xd1c8f1cb60704e1d, 0x2f4292241240edd4, 0xe1f9fbe08bf29f2e, 0x02240ddc3e144313, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x4c0a454219681ea8, 0xc84b6e96bfe80e78, 0xdd7ff4f930586f2b, 0xbd3602bbea13e506,
  0xb2a3f3ce10b6f373, 0xe6815dc2444e1c92, 0x8e47ea27b967b752, 0xc9995490e2481dc3, 0xf0e948def398b015,
  0x5403ff6678ebc01a, 0x5c0940f2d6e4c632, 0x556b3f8abe777152, 0x6bb9c673141daf2e, 0xed52df5673a8a954,
  0x97f488735c0809ca, 0xaad115e5886956ae, 0xb5f3a03cd935d73d, 0x817374855d520b94, 0x45a75d79c6378ce8,
  0xb6cce81463b7b155, 0xf0cc377c252d4bf2, 0x7771a2cf7f88138c, 0x30a912b53ab337f0, 0xf347d8cec389c694,
  0x2c970cf4c2b93f01, 0xccb0e9296ce1c4e3, 0x8f5b7049e4afdcd0, 0x00000000000001a4,
};

/*
 * m128rfa1_swio10_dual_pr_ce_u4     m128rfr2_swio10_dual_pr_ce_u4     m1280_swio10_dual_pr_ce_u4
 * m1281_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_dual_pr_ce_u4[] = {
  0x6eeeeed150fe72df, 0x3f777a9bf71cdd05, 0x78fe5ab6514e0ddb, 0x57d87d931d6f6c13, 0x32242dba829b1191,
  0x7d72fad2c9580467, 0x927304f8c9837726, 0x0ddd56a191b51483, 0x7c4b881850c1b48c, 0xd35f9961298093ba,
  0xd8fec3fe1c034717, 0x9120920743f34723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f9720e0,
  0x2105a437cb8bbf92, 0x54219683f88865ff, 0xa6dffd01cf09b6fc, 0x194c161bcaf212db, 0x6feabee50687ffc8,
  0xf3842dfc033b0b40, 0x5f886c244f659c3c, 0x7ba1baa3f51e13c2, 0xeba97367b7091138, 0x0770e391fa89ee5b,
  0x2c05726655243892, 0xf006bc3a5237bce6, 0x318c9500ffd99e3a, 0xdc549702503cb5b9, 0x6bcb955acfe2af9d,
  0x2a551aee719cc507, 0x0272bb54b7d59cea, 0x55aba5fd221cd702, 0x75cf6ab44579621a, 0x82e52d7ce80f364d,
  0xe33a205cdd215754, 0xec555169d75e718d, 0x52fcadb33a0518ed, 0x02f63c330ddf094b, 0x37f068fe3459eff1,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x90ff0cf257ee6866, 0x0000000000d24945,
};

/*
 * m1284rfr2_swio10_dual_pr_ee_ce_u4 m128rfa1_swio10_dual_pr_ee_ce     m128rfa1_swio10_dual_pr_ee_ce_u4
 * m128rfr2_swio10_dual_pr_ee_ce     m128rfr2_swio10_dual_pr_ee_ce_u4  m1280_swio10_dual_pr_ee_ce
 * m1280_swio10_dual_pr_ee_ce_u4     m1281_swio10_dual_pr_ee_ce        m1281_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio10_dual_pr_ee_ce[] = {
  0xbbbbbb4543fad164, 0xeeefc2bcd7e6ea3f, 0x470fabbcabec5f67, 0x761c171ff798ba6a, 0xa52947eabd9f26bf,
  0xef4e8ce8c29793a8, 0x9972ca9c6a2c81f5, 0x8a42afc3304f8c94, 0xda4606eeab50c8da, 0x49dd3e25c40c2860,
  0x8e2ed07fccb094c0, 0x391ee476049470ca, 0xa1491209206cdf9a, 0xfcfdf045f94f9717, 0x8a06ee1f0a2189f0,
  0xe4be5f2e7e43e459, 0x7fc841690df2e2ef, 0x3a2a10cb409d2219, 0xdbf47ffe80e784db, 0xc8194c161bcaf212,
  0x6fea8d2d4a0b37ff, 0xce10b7f00ced9be0, 0x7e21b0913d9670f3, 0xba2ef3efd4784f09, 0xa9ba6cf6e122270e,
  0xa8e4795e5694ed63, 0x2bb751c8f83660fb, 0x88a459a75a1140a6, 0xd810752135f46165, 0x3785fc47a51ceaed,
  0x1a636355e363af51, 0x97d2cc5c242283d5, 0xcded51b044c8e1bd, 0xf8abe77715252cc7, 0x673141daf2e556b3,
  0xf5673a8a9546bb9c, 0x8735c0809caed52d, 0x5e5886956ae97f48, 0x03cd935d73daad11, 0x4855d520b94b5f3a,
  0xd79c6378ce881737, 0x81463b7b15545a75, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d,
  0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x100105da3fc33c95,
};

/*
 * m128rfa1_swio10_dual_ee_hw        m128rfr2_swio10_dual_ee_hw        m1280_swio10_dual_ee_hw
 * m1281_swio10_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio10_dual_ee_hw[] = {
  0xb6eeeeed1468a0ae, 0xb3f777921913cdc7, 0xf7eaecf8e73b229d, 0x5fda70b26ee76e66, 0xceefc791f1ec76a0,
  0xd7dfd6f43ebcda0f, 0x9eb9827c64a33b97, 0x06eeab50c8da8a47, 0x3e25c40c2860da46, 0xdfe7e6584a7419dd,
  0x7ff9b00d070d35c5, 0x92241240fa7e68e4, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x5f2f973f21f2575c,
  0xe420b486f97177f2, 0x150865a0bed10cbf, 0xf3b7ff4073c260f7, 0xcb530586f2bc84b6, 0x5ad1945941e9fff8,
  0xc19951c8f2bdf735, 0x877c57b3a391f06c, 0xc2cb1148b34eb422, 0xe045c54b9a426be8, 0xde17f11e9473ab4b,
  0x34c6c6ab5d0ebd44, 0x2fa598b8484507aa, 0x37b546c11fadc37b, 0xe2af9ddc5494021f, 0x9cc5076bcb955acf,
  0xd59cea2a551aee71, 0x1cd7020272bb54b7, 0x79621a55aba5fd22, 0x0f364d75cf6ab445, 0x21575482e52d7ce8,
  0x5e718de33a205cdd, 0x02a2adec555169d7, 0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000015da0d3e51,
};

/*
 * m1284rfr2_swio10_dual_ee_ce_u4_hw m128rfa1_swio10_dual_ee_ce_hw     m128rfa1_swio10_dual_ee_ce_u4_hw
 * m128rfr2_swio10_dual_ee_ce_hw     m128rfr2_swio10_dual_ee_ce_u4_hw  m1280_swio10_dual_ee_ce_hw
 * m1280_swio10_dual_ee_ce_u4_hw     m1281_swio10_dual_ee_ce_hw        m1281_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio10_dual_ee_ce_hw[] = {
  0xfbbbbbb451a1022f, 0x7eeefc2bcd7e6ea3, 0xa470fabbcabec5f6, 0xf761c171ff798ba6, 0x8a52947eabd9f26b,
  0xecae3cce8c29793a, 0xe325265cb69f2117, 0x3236a290abf0cc13, 0x0a18369181bbaad4, 0x129d06774f897103,
  0x8e1951c5da0ff996, 0x9bf34723dc8ec092, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x7c8b3140ddc3e144,
  0x5c5dfc97cbe5cfc8, 0xa4432ff9082d21be, 0xf09b674542196813, 0x5e425b7e8fffd01c, 0x66fffc65a982c379,
  0xb37c0dfd51a5a941, 0x670f3ce10b7e439d, 0x84f097e21b0913d9, 0x11387f5a9e01fd47, 0xa76b1d4dd367b709,
  0xb307dd4723caf2b4, 0x8a05315dba8e47c1, 0xa30b2c4522cd3ad0, 0xe7576ec083a909af, 0x1d7a89bc2fe23d28,
  0x141ea8d31b1aaf1b, 0x470decbe9662e121, 0x29663e6f6a8d8226, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x76a96fab39d454aa, 0x4bfa4439ae0404e5, 0xd5688af2c434ab57, 0x5af9d01e6c9aeb9e, 0x40b9ba42aea905ca,
  0xa2d3aebce31bc674, 0x5b66740a31dbd8aa, 0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xcf2f453c95fb9a19, 0x000000000003aeb4,
};

/*
 * m1284rfr2_swio12_noled            m2564rfr2_swio11_noled            m2564rfr2_swio12_noled
 * m128rfa1_swio11_noled             m128rfa1_swio12_noled             m128rfr2_swio11_noled
 * m128rfr2_swio12_noled             m1280_swio11_noled                m1280_swio12_noled
 * m1281_swio11_noled                m1281_swio12_noled                m256rfr2_swio11_noled
 * m256rfr2_swio12_noled             m2560_swio11_noled                m2560_swio12_noled
 * m2561_swio11_noled                m2561_swio12_noled
 */
static const uint64_t ur_m1284rfr2_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adb3eb0d8, 0x7b00244cf741921d, 0x1984d49bbbf56d1b, 0x0418ebe84dd6c13c,
  0x9827c64eec2f5a35, 0x4a0995fe5c7e7dfc, 0xaff1c8e989df2dd0, 0xe9ba87be921c4903, 0x1b59193c731602de,
  0x7b71cb1823af175e, 0x6283b5e5caad4ace, 0xce75152a8d7738ce, 0x10e6b395daa5beae, 0x8af2c434ad8debe9,
  0xa7d3bcfd6b9ed568, 0x985e906bea701652, 0x206c7f8a042d2b08, 0xfcadb33a718de33a, 0xf63c330ddf094b52,
  0x6592e19e985727e7, 0x19961d252d9c389c, 0x838b3c953c95fb9a, 0x0000000000000054,
};

/*
 * m1284rfr2_swio11_noled_pr_u4      m1284rfr2_swio12_noled_pr         m1284rfr2_swio12_noled_pr_u4
 * m2564rfr2_swio11_noled_pr         m2564rfr2_swio11_noled_pr_u4      m2564rfr2_swio12_noled_pr
 * m2564rfr2_swio12_noled_pr_u4      m128rfa1_swio11_noled_pr          m128rfa1_swio11_noled_pr_u4
 * m128rfa1_swio12_noled_pr          m128rfa1_swio12_noled_pr_u4       m128rfr2_swio11_noled_pr
 * m128rfr2_swio11_noled_pr_u4       m128rfr2_swio12_noled_pr          m128rfr2_swio12_noled_pr_u4
 * m1280_swio11_noled_pr             m1280_swio11_noled_pr_u4          m1280_swio12_noled_pr
 * m1280_swio12_noled_pr_u4          m1281_swio11_noled_pr             m1281_swio11_noled_pr_u4
 * m1281_swio12_noled_pr             m1281_swio12_noled_pr_u4          m256rfr2_swio11_noled_pr
 * m256rfr2_swio11_noled_pr_u4       m256rfr2_swio12_noled_pr          m256rfr2_swio12_noled_pr_u4
 * m2560_swio11_noled_pr             m2560_swio11_noled_pr_u4          m2560_swio12_noled_pr
 * m2560_swio12_noled_pr_u4          m2561_swio11_noled_pr             m2561_swio11_noled_pr_u4
 * m2561_swio12_noled_pr             m2561_swio12_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio11_noled_pr[] = {
  0x444ddddda2432f02, 0xb9696215a00ac4f7, 0xf71da1c489910cd6, 0x42e2499b11327ad4, 0x7d432f7bb3dd111e,
  0x277638c0bc5ecce1, 0xff0c367e034c13e3, 0xe0a1df2dbdca087b, 0xeb490e24819351c8, 0x45398b016594cfe1,
  0x30475e8faf0fc88c, 0x59edef7d02a01ffb, 0x3b5e5caad605681e, 0x5152a8d7738ce628, 0x6b395daa5beaece7,
  0x2c434ad8debe910e, 0xc03faeb9ed5688af, 0x90617536294f0d3b, 0x5e718de33a205d5e, 0xbb22adec55516948,
  0xef84a5a97e56d99c, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98,
  0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x01f26eacdb824f25,
};

/*
 * m1284rfr2_swio11_noled_pr_ee_u4   m1284rfr2_swio12_noled_pr_ee      m1284rfr2_swio12_noled_pr_ee_u4
 * m2564rfr2_swio11_noled_pr_ee      m2564rfr2_swio11_noled_pr_ee_u4   m2564rfr2_swio12_noled_pr_ee
 * m2564rfr2_swio12_noled_pr_ee_u4   m128rfa1_swio11_noled_pr_ee       m128rfa1_swio11_noled_pr_ee_u4
 * m128rfa1_swio12_noled_pr_ee       m128rfa1_swio12_noled_pr_ee_u4    m128rfr2_swio11_noled_pr_ee
 * m128rfr2_swio11_noled_pr_ee_u4    m128rfr2_swio12_noled_pr_ee       m128rfr2_swio12_noled_pr_ee_u4
 * m1280_swio11_noled_pr_ee          m1280_swio11_noled_pr_ee_u4       m1280_swio12_noled_pr_ee
 * m1280_swio12_noled_pr_ee_u4       m1281_swio11_noled_pr_ee          m1281_swio11_noled_pr_ee_u4
 * m1281_swio12_noled_pr_ee          m1281_swio12_noled_pr_ee_u4       m256rfr2_swio11_noled_pr_ee
 * m256rfr2_swio11_noled_pr_ee_u4    m256rfr2_swio12_noled_pr_ee       m256rfr2_swio12_noled_pr_ee_u4
 * m2560_swio11_noled_pr_ee          m2560_swio11_noled_pr_ee_u4       m2560_swio12_noled_pr_ee
 * m2560_swio12_noled_pr_ee_u4       m2561_swio11_noled_pr_ee          m2561_swio11_noled_pr_ee_u4
 * m2561_swio12_noled_pr_ee          m2561_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio11_noled_pr_ee[] = {
  0xbc9bbbbb448624d6, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0xeefdaebb4669f6d1, 0xc30d9feaf9827c64, 0x6ab5a331f2831cbf, 0xd983ea2391e565d6, 0x450ef8ad82c723e0,
  0xd185962291669d68, 0xa5dd2ae3593484d7, 0xe9de109e8fe439d5, 0x223deec6ab5d0ebc, 0xbd96cb98b8484519,
  0x70d67aa3608fd6e1, 0xcc5076bcb955a805, 0xd9cea2a551aee719, 0x221cd672bb54b7d5, 0x115e588695b1bd7d,
  0x1a77807f5d73daad, 0xbabd20c2ea6c529e, 0xd290bce31bc67440, 0xb33976455bd8aaa2, 0x330ddf094b52fcad,
  0xee3459eff102f63c, 0x152256a75666fe0e, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000009d7ef82704,
};

/*
 * m1284rfr2_swio11_noled_pr_ce_u4   m1284rfr2_swio12_noled_pr_ce      m1284rfr2_swio12_noled_pr_ce_u4
 * m128rfa1_swio11_noled_pr_ce       m128rfa1_swio11_noled_pr_ce_u4    m128rfa1_swio12_noled_pr_ce
 * m128rfa1_swio12_noled_pr_ce_u4    m128rfr2_swio11_noled_pr_ce       m128rfr2_swio11_noled_pr_ce_u4
 * m128rfr2_swio12_noled_pr_ce       m128rfr2_swio12_noled_pr_ce_u4    m1280_swio11_noled_pr_ce
 * m1280_swio11_noled_pr_ce_u4       m1280_swio12_noled_pr_ce          m1280_swio12_noled_pr_ce_u4
 * m1281_swio11_noled_pr_ce          m1281_swio11_noled_pr_ce_u4       m1281_swio12_noled_pr_ce
 * m1281_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_noled_pr_ce[] = {
  0x9122eeeeed121911, 0xb5cb4b07051a7587, 0xe91fd34a306b9b5a, 0x48b87eb43f60cec7, 0x658aa2bd724375e4,
  0xc13e327755f33e83, 0xa0eceff0c367ce0c, 0xe6e771580dfd43dc, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1f2a1a0, 0x91d7c9ee5bebd64d, 0x680524389206b3e3, 0x3f223114e62c058f, 0x807feccf1d7a3ebc,
  0x05681e5addbdf40a, 0x8ce6283b5e5caad6, 0xeaece75152a8d773, 0xbe910e6b395daa5b, 0x5688af2c434ad8de,
  0x4f0d3bc03faeb9ed, 0x205d5e9061753629, 0x5169485e718de33a, 0xadb3397618edec55, 0x3c330ddf094b52fc,
  0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x00000000dd77c937,
};

/*
 * m1284rfr2_swio11_noled_pr_ee_ce_u4 m1284rfr2_swio12_noled_pr_ee_ce
 * m1284rfr2_swio12_noled_pr_ee_ce_u4 m128rfa1_swio11_noled_pr_ee_ce
 * m128rfa1_swio11_noled_pr_ee_ce_u4 m128rfa1_swio12_noled_pr_ee_ce    m128rfa1_swio12_noled_pr_ee_ce_u4
 * m128rfr2_swio11_noled_pr_ee_ce    m128rfr2_swio11_noled_pr_ee_ce_u4 m128rfr2_swio12_noled_pr_ee_ce
 * m128rfr2_swio12_noled_pr_ee_ce_u4 m1280_swio11_noled_pr_ee_ce       m1280_swio11_noled_pr_ee_ce_u4
 * m1280_swio12_noled_pr_ee_ce       m1280_swio12_noled_pr_ee_ce_u4    m1281_swio11_noled_pr_ee_ce
 * m1281_swio11_noled_pr_ee_ce_u4    m1281_swio12_noled_pr_ee_ce       m1281_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_noled_pr_ee_ce[] = {
  0x537bbbbb44861a4e, 0xb96962112c4d6090, 0xb6b4e86656e17f8f, 0x1b66c44eb826975e, 0x99ac16c148a4829b,
  0xea6bb85a4cf70539, 0x30d9fbc39827c64e, 0x7f5471ca5071bbfc, 0xce10b6f373bc6e03, 0x7e21b0913d9670f3,
  0xb928ebefd4784f09, 0xd3df367b70911387, 0x54723cae43ca76b1, 0x1594b8e47c1b307a, 0xc4522cd3ad08a053,
  0xe74a3a909afa30b2, 0x778427a3f90e7576, 0x1ef76355e363af3a, 0xcb65cc5c24228c91, 0x359ea8d8226470de,
  0x141daf2e556a59dc, 0x73a8a9546bb9c673, 0x87359caed52df576, 0x579621a56c6f5f48, 0x9de01fd75cf6ab44,
  0xaf4830ba9b14a786, 0xa42f38c6f19d102e, 0x9cbb0c76f62aa8b4, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000013f064e3824f,
};

/*
 * m1284rfr2_swio12_noled_ee_hw      m2564rfr2_swio11_noled_ee_hw      m2564rfr2_swio12_noled_ee_hw
 * m128rfa1_swio11_noled_ee_hw       m128rfa1_swio12_noled_ee_hw       m128rfr2_swio11_noled_ee_hw
 * m128rfr2_swio12_noled_ee_hw       m1280_swio11_noled_ee_hw          m1280_swio12_noled_ee_hw
 * m1281_swio11_noled_ee_hw          m1281_swio12_noled_ee_hw          m256rfr2_swio11_noled_ee_hw
 * m256rfr2_swio12_noled_ee_hw       m2560_swio11_noled_ee_hw          m2560_swio12_noled_ee_hw
 * m2561_swio11_noled_ee_hw          m2561_swio12_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio11_noled_ee_hw[] = {
  0xbc9bbbbb451a3705, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0x32776c36cad498d1, 0x5fe562cff57cc13e, 0xeb355ad198f9418e, 0xf06cc1f511c8f2b2, 0xb422877c56c16391,
  0x6be8c2cb1148b34e, 0xead2ee9571ac9a42, 0x5e74ef084f47f21c, 0x8c911ef76355ae87, 0x70decb65cc5c2422,
  0x02b86b3d51b047eb, 0x8ce6283b5e5caad4, 0xeaece75152a8d773, 0xbe910e6b395daa5b, 0x5688af2c434ad8de,
  0x4f0d3bc03faeb9ed, 0x205d5e9061753629, 0x5169485e718de33a, 0x56d99cbb22adec55, 0x9e1986ef84a5a97e,
  0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x33c9d14f257ee686, 0x00000000000005be,
};

/*
 * m1284rfr2_swio11_noled_ee_ce_u4_hw m1284rfr2_swio12_noled_ee_ce_hw
 * m1284rfr2_swio12_noled_ee_ce_u4_hw m128rfa1_swio11_noled_ee_ce_hw
 * m128rfa1_swio11_noled_ee_ce_u4_hw m128rfa1_swio12_noled_ee_ce_hw    m128rfa1_swio12_noled_ee_ce_u4_hw
 * m128rfr2_swio11_noled_ee_ce_hw    m128rfr2_swio11_noled_ee_ce_u4_hw m128rfr2_swio12_noled_ee_ce_hw
 * m128rfr2_swio12_noled_ee_ce_u4_hw m1280_swio11_noled_ee_ce_hw       m1280_swio11_noled_ee_ce_u4_hw
 * m1280_swio12_noled_ee_ce_hw       m1280_swio12_noled_ee_ce_u4_hw    m1281_swio11_noled_ee_ce_hw
 * m1281_swio11_noled_ee_ce_u4_hw    m1281_swio12_noled_ee_ce_hw       m1281_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio11_noled_ee_ce_hw[] = {
  0xa6f777768a345f41, 0x72d2c422589ac120, 0x6d69d0ccadc2ff1f, 0x36cd889d704d2ebd, 0x33582d8291490536,
  0x4eed17f77b5c4a73, 0xfcac59fbc39827c6, 0x037f5471ca5071bb, 0xe79c216fc873bc6e, 0x12fc4361227b2ce1,
  0x0e30bbb77fa8f09e, 0x63a7be6cf6e12227, 0xf4a8e4795c8794ed, 0xa62b2971c8f83660, 0x6588a459a75a1140,
  0xedce94752135f461, 0x74ef084f47f21cea, 0x223deec6abc6c75e, 0xbd96cb98b8484519, 0xb86b3d51b044c8e1,
  0xe6283b5e5caad4b3, 0xece75152a8d7738c, 0x910e6b395daa5bea, 0x88af2c434ad8debe, 0x0d3bc03faeb9ed56,
  0x5d5e90617536294f, 0x69485e718de33a20, 0xb3397618edec5551, 0x330ddf094b52fcad, 0xf286152256a0bb3c,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x93a29e4afdcd0ccb,
  0x0000000000280967,
};

/*
 * m1284rfr2_swio12_lednop           m2564rfr2_swio11_lednop           m2564rfr2_swio12_lednop
 * m128rfa1_swio11_lednop            m128rfa1_swio12_lednop            m128rfr2_swio11_lednop
 * m128rfr2_swio12_lednop            m1280_swio11_lednop               m1280_swio12_lednop
 * m1281_swio11_lednop               m1281_swio12_lednop               m256rfr2_swio11_lednop
 * m256rfr2_swio12_lednop            m2560_swio11_lednop               m2560_swio12_lednop
 * m2561_swio11_lednop               m2561_swio12_lednop
 */
static const uint64_t ur_m1284rfr2_swio11_lednop[] = {
  0x04f077777759bb37, 0xddcb4b10ad42561b, 0xe3b50fc2f4141921, 0xc1984d49a914dad2, 0xb1b6fd2f8bdd6c13,
  0x304f8c9ddb1ec869, 0x5063dff971f9f5f7, 0x7f8e47f90ef96e82, 0x4d22443490e2481d, 0xef68fa0398b016f7,
  0xfb8e58c11d78baf0, 0x283b5e5caad4ac59, 0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b,
  0x407973daad115e58, 0x4802f52d794e02e7, 0x3e8a042d25485021, 0xd99d38c6f19d1027, 0x1986ef84a5a97e56,
  0x70cf4c2b93f3fb1e, 0x0e9296ce1c4e32c9, 0x1e4a9e4afdcd0ccb, 0x000000000002a4b7,
};

/*
 * m1284rfr2_swio11_lednop_pr_u4     m1284rfr2_swio12_lednop_pr        m1284rfr2_swio12_lednop_pr_u4
 * m2564rfr2_swio11_lednop_pr        m2564rfr2_swio11_lednop_pr_u4     m2564rfr2_swio12_lednop_pr
 * m2564rfr2_swio12_lednop_pr_u4     m128rfa1_swio11_lednop_pr         m128rfa1_swio11_lednop_pr_u4
 * m128rfa1_swio12_lednop_pr         m128rfa1_swio12_lednop_pr_u4      m128rfr2_swio11_lednop_pr
 * m128rfr2_swio11_lednop_pr_u4      m128rfr2_swio12_lednop_pr         m128rfr2_swio12_lednop_pr_u4
 * m1280_swio11_lednop_pr            m1280_swio11_lednop_pr_u4         m1280_swio12_lednop_pr
 * m1280_swio12_lednop_pr_u4         m1281_swio11_lednop_pr            m1281_swio11_lednop_pr_u4
 * m1281_swio12_lednop_pr            m1281_swio12_lednop_pr_u4         m256rfr2_swio11_lednop_pr
 * m256rfr2_swio11_lednop_pr_u4      m256rfr2_swio12_lednop_pr         m256rfr2_swio12_lednop_pr_u4
 * m2560_swio11_lednop_pr            m2560_swio11_lednop_pr_u4         m2560_swio12_lednop_pr
 * m2560_swio12_lednop_pr_u4         m2561_swio11_lednop_pr            m2561_swio11_lednop_pr_u4
 * m2561_swio12_lednop_pr            m2561_swio12_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_pr[] = {
  0x889bbbbb4486fc3b, 0xe5a58856f1f589ee, 0xd537ebfc2e44335a, 0x85c4c004cd22ed93, 0x385e35f767ba223c,
  0x4eedc13750cca735, 0xfe186cf9459827c6, 0xe801df2dbdca0bf9, 0x89490e24819351c8, 0xbe731602cb29aa54,
  0xc11d7a3ebc337231, 0x67b7195aca807fec, 0xb5e5caad4faa2079, 0x152a8d7738ce6283, 0x1395daa5beaece75,
  0x5cbd2fe910e6b810, 0xd73daad115e58869, 0x0b94b5f3a03cd935, 0x8ce8817374855d52, 0xb15545a75d79c637,
  0x4bf2b6ccee9e8ab7, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x9a1c12792bf73433, 0x000000000007c9c9,
};

/*
 * m1284rfr2_swio11_lednop_pr_ee_u4  m1284rfr2_swio12_lednop_pr_ee     m1284rfr2_swio12_lednop_pr_ee_u4
 * m2564rfr2_swio11_lednop_pr_ee     m2564rfr2_swio11_lednop_pr_ee_u4  m2564rfr2_swio12_lednop_pr_ee
 * m2564rfr2_swio12_lednop_pr_ee_u4  m128rfa1_swio11_lednop_pr_ee      m128rfa1_swio11_lednop_pr_ee_u4
 * m128rfa1_swio12_lednop_pr_ee      m128rfa1_swio12_lednop_pr_ee_u4   m128rfr2_swio11_lednop_pr_ee
 * m128rfr2_swio11_lednop_pr_ee_u4   m128rfr2_swio12_lednop_pr_ee      m128rfr2_swio12_lednop_pr_ee_u4
 * m1280_swio11_lednop_pr_ee         m1280_swio11_lednop_pr_ee_u4      m1280_swio12_lednop_pr_ee
 * m1280_swio12_lednop_pr_ee_u4      m1281_swio11_lednop_pr_ee         m1281_swio11_lednop_pr_ee_u4
 * m1281_swio12_lednop_pr_ee         m1281_swio12_lednop_pr_ee_u4      m256rfr2_swio11_lednop_pr_ee
 * m256rfr2_swio11_lednop_pr_ee_u4   m256rfr2_swio12_lednop_pr_ee      m256rfr2_swio12_lednop_pr_ee_u4
 * m2560_swio11_lednop_pr_ee         m2560_swio11_lednop_pr_ee_u4      m2560_swio12_lednop_pr_ee
 * m2560_swio12_lednop_pr_ee_u4      m2561_swio11_lednop_pr_ee         m2561_swio11_lednop_pr_ee_u4
 * m2561_swio12_lednop_pr_ee         m2561_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_pr_ee[] = {
  0xbc9bbbbb4486a4d6, 0xb96963d4ea2d60bd, 0x67be4600f4be24da, 0x14ce3ef5da5a9bda, 0xb452b64522217b79,
  0xdd39d9f7938abd71, 0xc30d9f0b5304f8c9, 0x6ab5a331f2824ebf, 0xd983ea2391e56c16, 0x450ef8af2b4723e0,
  0xd185962291669d68, 0xa5cbaae3593484d7, 0xe9de1dbe8e6e39d5, 0xa238cac6ab5d0ebc, 0xbd96cb98b8484500,
  0x6f7d02a3608fd6e1, 0x73141daf2e556a01, 0x7673a8a9546bb9c6, 0x35c0809caed52df5, 0x2c434ae5e97f4887,
  0xe6c9aeb9ed5688af, 0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0xf455bd8aaa2d3aeb, 0xe1296a5f95b66774,
  0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x13aff926e093c95f,
};

/*
 * m1284rfr2_swio11_lednop_pr_ce_u4  m1284rfr2_swio12_lednop_pr_ce     m1284rfr2_swio12_lednop_pr_ce_u4
 * m128rfa1_swio11_lednop_pr_ce      m128rfa1_swio11_lednop_pr_ce_u4   m128rfa1_swio12_lednop_pr_ce
 * m128rfa1_swio12_lednop_pr_ce_u4   m128rfr2_swio11_lednop_pr_ce      m128rfr2_swio11_lednop_pr_ce_u4
 * m128rfr2_swio12_lednop_pr_ce      m128rfr2_swio12_lednop_pr_ce_u4   m1280_swio11_lednop_pr_ce
 * m1280_swio11_lednop_pr_ce_u4      m1280_swio12_lednop_pr_ce         m1280_swio12_lednop_pr_ce_u4
 * m1281_swio11_lednop_pr_ce         m1281_swio11_lednop_pr_ce_u4      m1281_swio12_lednop_pr_ce
 * m1281_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_pr_ce[] = {
  0x48bbbbbb4486b044, 0x72d2c1c1682d61e4, 0x4f4c4edb75e6d6ad, 0xe1fad0699fb7a7bf, 0x723f51590dd79122,
  0xe327776527da3bb1, 0xd6ff0c367d2d4c13, 0x767040dfd43dca08, 0xb2ce1e79c216de6e, 0x8f09e12fc4361227,
  0xc2444e1d4939bffa, 0xbe9ee5bebd64d9ed, 0xa4871240d67c723c, 0x8c6f9cc580b01ba8, 0xfb33c75e8faf0cdc,
  0x0796b74656b2a01f, 0x283b5e5caad4faa2, 0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b,
  0x935d73daad115e58, 0xd520b94b5f3a03cd, 0x6378ce8817374855, 0x3b7b15545a75d79c, 0xa5a97e56d99dd3c6,
  0xf8817b1e1986ef84, 0xab337f07771a2cf7, 0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1,
  0x1964b867a617c68f, 0x866587494b670e27, 0x5c02b3824f257ee6, 0x0000000000000037,
};

/*
 * m1284rfr2_swio11_lednop_pr_ee_ce_u4 m1284rfr2_swio12_lednop_pr_ee_ce
 * m1284rfr2_swio12_lednop_pr_ee_ce_u4 m128rfa1_swio11_lednop_pr_ee_ce
 * m128rfa1_swio11_lednop_pr_ee_ce_u4 m128rfa1_swio12_lednop_pr_ee_ce
 * m128rfa1_swio12_lednop_pr_ee_ce_u4 m128rfr2_swio11_lednop_pr_ee_ce
 * m128rfr2_swio11_lednop_pr_ee_ce_u4 m128rfr2_swio12_lednop_pr_ee_ce
 * m128rfr2_swio12_lednop_pr_ee_ce_u4 m1280_swio11_lednop_pr_ee_ce
 * m1280_swio11_lednop_pr_ee_ce_u4   m1280_swio12_lednop_pr_ee_ce      m1280_swio12_lednop_pr_ee_ce_u4
 * m1281_swio11_lednop_pr_ee_ce      m1281_swio11_lednop_pr_ee_ce_u4   m1281_swio12_lednop_pr_ee_ce
 * m1281_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_pr_ee_ce[] = {
  0x29bddddda24343ee, 0xdcb4b10881bab048, 0x2b5b10d3c5f0bfc7, 0x8db362c4c4e313a0, 0x53a38b60a452414d,
  0xed77e4484369e7ac, 0x30d9f67c9827c64e, 0x7f5471ca504d6ffc, 0xce10b6f373b35b03, 0x7e21b0913d9670f3,
  0x88c538ffd4784f09, 0xd3df367b70911387, 0x54723caca5ca76b1, 0x15a9e8e47c1b307a, 0xc4522cd3ad08a053,
  0xe2ea3a909afa30b2, 0x77876fa39b8e7576, 0x1c656355e363af3a, 0xcb65cc5c24228051, 0xdf40a8d8226470de,
  0xc5076bcb955a967b, 0x9cea2a551aee719c, 0x7020272bb54b7d5d, 0x10d2b97a5fd221cd, 0xb26bae7b55a22bcb,
  0xbaa417296be74079, 0x8c6f19d102e6e90a, 0xc76f62aa8b4ebaf3, 0x94b52fcadb33ba78, 0xff102f63c330ddf0,
  0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0xfc07937049e4afdc, 0x0000000000000004,
};

/*
 * m1284rfr2_swio12_lednop_ee_hw     m2564rfr2_swio11_lednop_ee_hw     m2564rfr2_swio12_lednop_ee_hw
 * m128rfa1_swio11_lednop_ee_hw      m128rfa1_swio12_lednop_ee_hw      m128rfr2_swio11_lednop_ee_hw
 * m128rfr2_swio12_lednop_ee_hw      m1280_swio11_lednop_ee_hw         m1280_swio12_lednop_ee_hw
 * m1281_swio11_lednop_ee_hw         m1281_swio12_lednop_ee_hw         m256rfr2_swio11_lednop_ee_hw
 * m256rfr2_swio12_lednop_ee_hw      m2560_swio11_lednop_ee_hw         m2560_swio12_lednop_ee_hw
 * m2561_swio11_lednop_ee_hw         m2561_swio12_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_ee_hw[] = {
  0xde4ddddda28d0044, 0x5cb4b1ea7516b05e, 0x33df23007a5f126d, 0x8a671f7aed2d4ded, 0xda295b229110bdbc,
  0x3277505272d086b8, 0xaff2b167c2d4c13e, 0x059aad68cc7ca093, 0xf83660fa88e4795b, 0x5a1143be2bcad1c8,
  0x35f4616588a459a7, 0x756972eab8d64d21, 0xaf3a77876fa39b8e, 0x40288e32b1aad743, 0xb86f65b2e62e1211,
  0x805bdf40a8d823f5, 0x719cc5076bcb955a, 0x7d5d9cea2a551aee, 0x21cd7020272bb54b, 0x2bcb10d2b97a5fd2,
  0x4079b26bae7b55a2, 0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0xdd3d156f62aa8b4e, 0x6ef84a5a97e56d99,
  0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x14f257ee68665874, 0x000000002df23345,
};

/*
 * m1284rfr2_swio11_lednop_ee_ce_u4_hw m1284rfr2_swio12_lednop_ee_ce_hw
 * m1284rfr2_swio12_lednop_ee_ce_u4_hw m128rfa1_swio11_lednop_ee_ce_hw
 * m128rfa1_swio11_lednop_ee_ce_u4_hw m128rfa1_swio12_lednop_ee_ce_hw
 * m128rfa1_swio12_lednop_ee_ce_u4_hw m128rfr2_swio11_lednop_ee_ce_hw
 * m128rfr2_swio11_lednop_ee_ce_u4_hw m128rfr2_swio12_lednop_ee_ce_hw
 * m128rfr2_swio12_lednop_ee_ce_u4_hw m1280_swio11_lednop_ee_ce_hw
 * m1280_swio11_lednop_ee_ce_u4_hw   m1280_swio12_lednop_ee_ce_hw      m1280_swio12_lednop_ee_ce_u4_hw
 * m1281_swio11_lednop_ee_ce_hw      m1281_swio11_lednop_ee_ce_u4_hw   m1281_swio12_lednop_ee_ce_hw
 * m1281_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio11_lednop_ee_ce_hw[] = {
  0xa6f777768a346d3a, 0x72d2c42206eac120, 0xad6c434f17c2ff1f, 0x36cd8b13138c4e80, 0x4e8e2d8291490536,
  0x9ddb9db37b931eb1, 0xf958b3ecf9304f8c, 0x06fea8e394a09adf, 0xcf3842df90e766b6, 0x25f886c244f659c3,
  0x0eb82e1fff51e13c, 0x63a7be6cf6e12227, 0xf4a8e479594b94ed, 0xa62b53d1c8f83660, 0x6588a459a75a1140,
  0xedc5d4752135f461, 0x74ef0edf47371cea, 0xa238cac6abc6c75e, 0xbd96cb98b8484500, 0xf7be8151b044c8e1,
  0x398a0ed7972ab52c, 0xbb39d454aa35dce3, 0x9ae0404e576a96fa, 0x9621a572f4bfa443, 0xf364d75cf6ab4457,
  0x1575482e52d7ce80, 0xe718de33a205cdd2, 0xf18edec555169d75, 0xe1296a5f95b66774, 0xa44ad417678661bb,
  0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00000501107dd453,
};

/*
 * m1284rfr2_swio11_dual_pr          m1284rfr2_swio11_dual_pr_u4       m1284rfr2_swio12_dual
 * m1284rfr2_swio12_dual_pr          m1284rfr2_swio12_dual_pr_u4       m128rfa1_swio11_dual
 * m128rfa1_swio11_dual_pr           m128rfa1_swio11_dual_pr_u4        m128rfa1_swio12_dual
 * m128rfa1_swio12_dual_pr           m128rfa1_swio12_dual_pr_u4        m128rfr2_swio11_dual
 * m128rfr2_swio11_dual_pr           m128rfr2_swio11_dual_pr_u4        m128rfr2_swio12_dual
 * m128rfr2_swio12_dual_pr           m128rfr2_swio12_dual_pr_u4        m1280_swio11_dual
 * m1280_swio11_dual_pr              m1280_swio11_dual_pr_u4           m1280_swio12_dual
 * m1280_swio12_dual_pr              m1280_swio12_dual_pr_u4           m1281_swio11_dual
 * m1281_swio11_dual_pr              m1281_swio11_dual_pr_u4           m1281_swio12_dual
 * m1281_swio12_dual_pr              m1281_swio12_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio11_dual[] = {
  0xf91ddddda243359b, 0x7eeef1b762fcdd60, 0x6abec4a3368b5176, 0x6244b116a6c5b73b, 0xe55ff6b7560f91a1,
  0xc878661426daeb45, 0x48ea74c13e32717d, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0xf8bb05fccb094025,
  0x1c8ee976070ce052, 0xf4292241240ff74d, 0x1f9fbe08bf29f2e2, 0x6180ddc3e144313e, 0xdfc97cbe5cfc87ca,
  0x32ff9082d21be5c5, 0x6b5a2a10cb423244, 0x425b760bff4073c2, 0x4fffa7c982c3795e, 0x47ee8ef965af282e,
  0x98fa4871240f7b8e, 0x4c4e62c0550799d2, 0x9823af006bc27aa3, 0x59edc43915500ffd, 0xabe777152571181e,
  0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x5c0809caed52df57, 0xc434ae5e97f48873, 0x6c9aeb9ed5688af2,
  0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0x455bd8aaa2d3aebc, 0x1296a5f95b66774f, 0xdfe205ec78661bbe,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0x49379b6e093c95fb, 0x0000000000000001,
};

/*
 * m1284rfr2_swio12_dual_pr_ee       m128rfa1_swio11_dual_pr_ee        m128rfa1_swio12_dual_pr_ee
 * m128rfr2_swio11_dual_pr_ee        m128rfr2_swio12_dual_pr_ee        m1280_swio11_dual_pr_ee
 * m1280_swio12_dual_pr_ee           m1281_swio11_dual_pr_ee           m1281_swio12_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_swio11_dual_pr_ee[] = {
  0xb1586dddddd432db, 0x7b3f777920e17cdd, 0x69b60810fed06e81, 0x138eb137b3745fb3, 0x8289fe3c8fb62b0d,
  0x7045583c333a1f96, 0x9e5e609f1931c6e4, 0x81bbaad43236a290, 0x4f8971030a183691, 0x70d1f99612804a77,
  0x7e9fd858f9c3fe71, 0x92241240fabe68e4, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x5f2f973f21f236ec,
  0xe420b486f97177f2, 0x150865a11ed10cbf, 0xb868ffa039e13489, 0xd3e4c161bcaf212d, 0x55ad1c069414b5ff,
  0xcc1c891c8f2bc093, 0x2877c57bee391f06, 0x8c2cb1148b34eb42, 0xb9435c20b9a426be, 0x57843da397c73ab4,
  0x31f2c6ab5d0ebdac, 0x971f18b84845138a, 0x8a92ae16bfd6e1bd, 0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed,
  0xe576a96fabb39d45, 0x2f4bfa4439ae0404, 0xcf6ab44579621a57, 0xe52d7ce80f364d75, 0x3a205cdd21575482,
  0x555169d75e718de3, 0xfcadb33ba7a2adec, 0xee3c330ddf094b52, 0xf83bb8d167bfc413, 0xc33d30ae4fdd599b,
  0x3a4a5b387138cb25, 0x1c12792bf734332c, 0x0000000003214385,
};

/*
 * m1284rfr2_swio12_dual_pr_ee_u4    m128rfa1_swio11_dual_pr_ee_u4     m128rfa1_swio12_dual_pr_ee_u4
 * m128rfr2_swio11_dual_pr_ee_u4     m128rfr2_swio12_dual_pr_ee_u4     m1280_swio11_dual_pr_ee_u4
 * m1280_swio12_dual_pr_ee_u4        m1281_swio11_dual_pr_ee_u4        m1281_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio11_dual_pr_ee_u4[] = {
  0x6b777768a87fb202, 0xddde4834f7373ac7, 0xbd9624e4ec8a76cf, 0xaf7187d55fbf57de, 0x7c791f3ac76a05ec,
  0x2d1fe0e56083395c, 0x7c64a33b97f5ba46, 0x50c8da8a41f3e982, 0x0c2860da4606eeab, 0xb094c049dd3e25c4,
  0x1a0e1a6b8bbfcfcc, 0x81f4fcd1c8fff360, 0xe53e5c5e85244824, 0x288627c3f3f7c117, 0x3f21f2f3901bb87c,
  0x86f97177f25f2f97, 0xa0bed10cbfe420b4, 0x4073c260f7150865, 0xc3795e425b77f9ff, 0x74a098fff9032982,
  0xe4795dba9aad68ff, 0x15a391f06cc187b8, 0x48b34eb422877c57, 0x4b9a426be8c2cb11, 0x19ea73ab4be565c5,
  0x56ba1d7a89bc3019, 0x70908a3a84710d8d, 0x823f5b86f65f4b31, 0xe2a4a012d783ea8d, 0x5e5caad67f157cee,
  0x52a8d7738ce6283b, 0x395daa5beaece751, 0xcbd2fe910e6b8101, 0x73daad115e588695, 0xb94b5f3a03cd935d,
  0xce8817374855d520, 0x15545a75d79c6378, 0xbf2b6ccee9e8ab7b, 0xbd8f0cc377c252d4, 0xfc1a3f8d167bfc40,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x3fc33c95fb9a1996, 0x000000000ac91a7c,
};

/*
 * m1284rfr2_swio12_dual_pr_ce       m128rfa1_swio11_dual_pr_ce        m128rfa1_swio12_dual_pr_ce
 * m128rfr2_swio11_dual_pr_ce        m128rfr2_swio12_dual_pr_ce        m1280_swio11_dual_pr_ce
 * m1280_swio12_dual_pr_ce           m1281_swio11_dual_pr_ce           m1281_swio12_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_swio11_dual_pr_ce[] = {
  0xd333dddddd435032, 0xb3f777d43ae3cdcd, 0xbdf7075805233837, 0xa73d60b28f962d70, 0x9bd9b1d7dd374ccf,
  0xee557b68ff5efbb0, 0x1485d16609f193f4, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x7f17a1ffccb09402,
  0x4723c72d81c13875, 0xbd0a48904903b753, 0x87e7ef822fca7cb8, 0xcdf03770f8510c4f, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0x3029150865a07aa2, 0x425b7a1fffa039e1, 0x6fffa7c982c3795e, 0xf6700aefac89283a,
  0x986fcf3842dbcdce, 0x9a0577091138735b, 0x72384f9ee59edd4b, 0x583dd243892076b4, 0x84f546989cc580a9,
  0xa01ffb33c75e00d7, 0xb88c0f2d6e88722a, 0xab59fc55f3bb8a92, 0x5dce3398a0ed7972, 0xa96fabb39d454aa3,
  0xfa4439ae0404e576, 0xb44579621a572f4b, 0x7ce80f364d75cf6a, 0x5cdd21575482e52d, 0x69d75e718de33a20,
  0x66774f18edec5551, 0x661bbe1296a5f95b, 0x71a2cf7f8827dc78, 0x615c9fbab337f077, 0xb670e271964b867a,
  0xf257ee6866587494, 0x0000039eb2b53824,
};

/*
 * m1284rfr2_swio12_dual_pr_ce_u4    m128rfa1_swio11_dual_pr_ce_u4     m128rfa1_swio12_dual_pr_ce_u4
 * m128rfr2_swio11_dual_pr_ce_u4     m128rfr2_swio12_dual_pr_ce_u4     m1280_swio11_dual_pr_ce_u4
 * m1280_swio12_dual_pr_ce_u4        m1281_swio11_dual_pr_ce_u4        m1281_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_dual_pr_ce_u4[] = {
  0x16eeeed150ffbf5b, 0x777a9bb41e6e769b, 0x371a92614e0ddb3f, 0x103e421ad6f1ff73, 0xf26bee9da6c46467,
  0xeb009c1480bbebb4, 0xae609f19306ee4cd, 0xbbaad43236a29047, 0x8971030a18369181, 0x6bf32c253012774f,
  0x1fd87fc38068e2fa, 0x241240e87e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f20a440d,
  0x20b486f97177f25f, 0x8432d07f110cbfe4, 0x9affa039e136df8a, 0x94c161bcaf212dbe, 0x7f5a9528216bfc81,
  0x3842dfc033be9f03, 0xf886c244f659c3cf, 0xeeb0003f51e13c25, 0xba97367b70911387, 0x76b472384f9ee5be,
  0x80a9583dd2438920, 0x00d784f546989cc5, 0x722aa01ffb33c75e, 0x8a92b88c0f2d6e88, 0x7972ab59fc55f3bb,
  0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0x2f4bfa4439ae0404, 0xcf6ab44579621a57, 0xe52d7ce80f364d75,
  0x3a205cdd21575482, 0x555169d75e718de3, 0xf95b66774f18edec, 0xec78661bbe1296a5, 0xe0d1fc68b3dfe205,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0xfe19e4afdcd0ccb0, 0x00000000d248ab11,
};

/*
 * m1284rfr2_swio11_dual_pr_ee_ce_u4 m1284rfr2_swio12_dual_pr_ee_ce    m1284rfr2_swio12_dual_pr_ee_ce_u4
 * m128rfa1_swio11_dual_pr_ee_ce     m128rfa1_swio11_dual_pr_ee_ce_u4  m128rfa1_swio12_dual_pr_ee_ce
 * m128rfa1_swio12_dual_pr_ee_ce_u4  m128rfr2_swio11_dual_pr_ee_ce     m128rfr2_swio11_dual_pr_ee_ce_u4
 * m128rfr2_swio12_dual_pr_ee_ce     m128rfr2_swio12_dual_pr_ee_ce_u4  m1280_swio11_dual_pr_ee_ce
 * m1280_swio11_dual_pr_ee_ce_u4     m1280_swio12_dual_pr_ee_ce        m1280_swio12_dual_pr_ee_ce_u4
 * m1281_swio11_dual_pr_ee_ce        m1281_swio11_dual_pr_ee_ce_u4     m1281_swio12_dual_pr_ee_ce
 * m1281_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio11_dual_pr_ee_ce[] = {
  0xfbbbbb4543f81907, 0x77e142cdf3740355, 0x07db3655f62fb3f7, 0x9e0b337a6a477ebe, 0xa5201aaf67dddeb2,
  0xacda9d35d5c87514, 0x972422fbd3ae9ac2, 0x522f549304f8c949, 0xd23037755a8646d4, 0x4ee9f12e20614306,
  0x717683fe6584a602, 0xc8f723b024a38654, 0x0a4890490366fcd1, 0xe7ef822fca7cb8bd, 0x703770f8510c4f87,
  0x92f97cb9f90f9279, 0xff2105a437cb8bbf, 0xe8a8432d02748865, 0x6ed07ffa039e136c, 0x206530586f2bc84b,
  0xbfaa3a1f941eb3ff, 0x9c216fe019df5981, 0xfc4361227b2ce1e7, 0xa7463d7fa8f09e12, 0xa6e9b3db84889c3b,
  0xe391e572ba53b58e, 0x5e9b8e47c1b307b7, 0x4522cd3ad08a0531, 0xcac3a909afa30b2c, 0x78603233d4e7576e,
  0xc436355e363af513, 0x7d2cc5c24228ea11, 0x07d51b044c8e1bd9, 0x2af9ddc5494b35af, 0xcc5076bcb955acfe,
  0xd9cea2a551aee719, 0xd7020272bb54b7d5, 0xb10d2b97a5fd221c, 0x9b26bae7b55a22bc, 0xabaa417296be7407,
  0x38c6f19d102e6e90, 0x8c76f62aa8b4ebaf, 0x094b52fcadb33ba7, 0xeff102f63c330ddf, 0x3ab337f068fe3459,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x03087cff0cf257ee, 0x0000000000000040,
};

/*
 * m1284rfr2_swio12_dual_ee_hw       m128rfa1_swio11_dual_ee_hw        m128rfa1_swio12_dual_ee_hw
 * m128rfr2_swio11_dual_ee_hw        m128rfr2_swio12_dual_ee_hw        m1280_swio11_dual_ee_hw
 * m1280_swio12_dual_ee_hw           m1281_swio11_dual_ee_hw           m1281_swio12_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio11_dual_ee_hw[] = {
  0xed6eeeed14683202, 0xfbbbc9069ee6e758, 0xd7b2c49c9d914ed9, 0x95ee30faabf7eafb, 0x8f8f23e758ed40bd,
  0x0fafbd35ac10672b, 0x9827c64a33b90d3a, 0xeab50c8da8a41f3e, 0x5c40c2860da4606e, 0x7e6584a7419dd3e2,
  0x9b00d070d35c5dfe, 0x41240fa7e68e47ff, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0x7cb9f90f979c80dd,
  0x05a437cb8bbf92f9, 0x432d05f68865ff21, 0xcffa039e1307b8a8, 0x4c161bcaf212dbbf, 0x47fba504c7ffe32d,
  0x3dc723caedd4d56b, 0xe2b8ad1c8f83660c, 0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0x80c8cf539d5a5f2b,
  0x6c6ab5d0ebd44de1, 0x598b848451d42388, 0x546c11fadc37b2fa, 0xe77715250096bc1f, 0x41daf2e556b3f8ab,
  0x3a8a9546bb9c6731, 0x0809caed52df5767, 0x34ae5e97f488735c, 0x9aeb9ed5688af2c4, 0xa905ca5af9d01e6c,
  0x1bc67440b9ba42ae, 0x5bd8aaa2d3aebce3, 0x96a5f95b66774f45, 0xad417678661bbe12, 0x7ff787bde50c2a44,
  0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0057697549453c95,
};

/*
 * m1284rfr2_swio11_dual_ee_ce_u4_hw m1284rfr2_swio12_dual_ee_ce_hw    m1284rfr2_swio12_dual_ee_ce_u4_hw
 * m128rfa1_swio11_dual_ee_ce_hw     m128rfa1_swio11_dual_ee_ce_u4_hw  m128rfa1_swio12_dual_ee_ce_hw
 * m128rfa1_swio12_dual_ee_ce_u4_hw  m128rfr2_swio11_dual_ee_ce_hw     m128rfr2_swio11_dual_ee_ce_u4_hw
 * m128rfr2_swio12_dual_ee_ce_hw     m128rfr2_swio12_dual_ee_ce_u4_hw  m1280_swio11_dual_ee_ce_hw
 * m1280_swio11_dual_ee_ce_u4_hw     m1280_swio12_dual_ee_ce_hw        m1280_swio12_dual_ee_ce_u4_hw
 * m1281_swio11_dual_ee_ce_hw        m1281_swio11_dual_ee_ce_u4_hw     m1281_swio12_dual_ee_ce_hw
 * m1281_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio11_dual_ee_ce_hw[] = {
  0x5fbbbbb451a0746e, 0x777e142cdf374035, 0xe07db3655f62fb3f, 0x29e0b337a6a477eb, 0x4a5201aaf67dddeb,
  0xe90a29d35d5c8751, 0x64a4cb905b495c7e, 0x236a2917aa49827c, 0xa18369181bbaad43, 0x29d06774f8971030,
  0xe1951c5da0ff9961, 0xbf34723dc8ec0928, 0x2e2f4292241240d9, 0x13e1f9fbe08bf29f, 0xe49e5c0ddc3e1443,
  0xe2efe4be5f2e7e43, 0x22197fc841690df2, 0x84db3a2a10cb409d, 0xf212dbb41ffe80e7, 0xacffe32d4c161bca,
  0xd6606fea8e87e507, 0x9c3cf3842df90e77, 0x13c25f886c244f65, 0x44e1ee4a3afbf51e, 0x9dac75374d9edc24,
  0x983dbf1c8f2b95d2, 0x50298af4dc723e0d, 0x185962291669d684, 0x3abb76561d484d7d, 0xd7a89bc301919ea7,
  0x47508e21b1aaf1b1, 0x70decbe9662e1211, 0x59ad783ea8d82264, 0xad67f157ceee2a4a, 0x7738ce6283b5e5ca,
  0xa5beaece75152a8d, 0xe910e6b8101395da, 0xd115e588695cbd2f, 0xf3a03cd935d73daa, 0x7374855d520b94b5,
  0xa75d79c6378ce881, 0x99dd3c63b7b15545, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x8514f257ee686658, 0x0000000003aeb1dc,
};

/*
 * m2564rfr2_swio13_noled            m128rfa1_swio13_noled             m128rfr2_swio13_noled
 * m1280_swio13_noled                m1281_swio13_noled                m256rfr2_swio13_noled
 * m2560_swio13_noled                m2561_swio13_noled
 */
static const uint64_t ur_m1284rfr2_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x1e0cc24f76f37bf3, 0x590266c44bdee859,
  0x69827c64ee82f413, 0x92821effcb8fcfc0, 0x7cf4723c4277cb74, 0xba609e98d2438920, 0x8445464d1cc580b7,
  0x0bdc72c608ebc5d7, 0x3141daf2e556a566, 0x673a8a9546bb9c67, 0xcd672bb54b7d54df, 0x2c434ab57bd7d221,
  0x3bcfd6b9ed5688af, 0xe906bea701652a7d, 0x8be8a042d2b08985, 0x6d99d38c6f19d102, 0xe1986ef84a5a97e5,
  0x970cf4c2b93f3fb1, 0xb0e9296ce1c4e32c, 0x19e4a9e4afdcd0cc, 0x00000000000549a7,
};

/*
 * m1284rfr2_swio13_noled_pr_u4      m2564rfr2_swio13_noled_pr         m2564rfr2_swio13_noled_pr_u4
 * m128rfa1_swio13_noled_pr          m128rfa1_swio13_noled_pr_u4       m128rfr2_swio13_noled_pr
 * m128rfr2_swio13_noled_pr_u4       m1280_swio13_noled_pr             m1280_swio13_noled_pr_u4
 * m1281_swio13_noled_pr             m1281_swio13_noled_pr_u4          m256rfr2_swio13_noled_pr
 * m256rfr2_swio13_noled_pr_u4       m2560_swio13_noled_pr             m2560_swio13_noled_pr_u4
 * m2561_swio13_noled_pr             m2561_swio13_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio13_noled_pr[] = {
  0x95bbbbbb448690e3, 0xb5cb4b10ac5c6b05, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd2ca888,
  0x193ba245999bb0dc, 0xdff861b3ebee609f, 0x1e5f1df2d07e5063, 0xea2921c4903e8239, 0xdece62c059653406,
  0xcc11d7a3ebc39223, 0x2cf6e0ff48a807fe, 0x1daf2e556b2ed40f, 0xa8a9546bb9c67314, 0x72bb54b7d54df673,
  0x34ab57bd7d221cd6, 0xfaeb9ed5688af2c4, 0x17536294f0d3bc03, 0x18de33a205d5e906, 0x2adec555169485e7,
  0x4a5a97e56d99d8c6, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x934acdb824f257ee, 0x000000000000000f,
};

/*
 * m1284rfr2_swio13_noled_pr_ee_u4   m2564rfr2_swio13_noled_pr_ee      m2564rfr2_swio13_noled_pr_ee_u4
 * m128rfa1_swio13_noled_pr_ee       m128rfa1_swio13_noled_pr_ee_u4    m128rfr2_swio13_noled_pr_ee
 * m128rfr2_swio13_noled_pr_ee_u4    m1280_swio13_noled_pr_ee          m1280_swio13_noled_pr_ee_u4
 * m1281_swio13_noled_pr_ee          m1281_swio13_noled_pr_ee_u4       m256rfr2_swio13_noled_pr_ee
 * m256rfr2_swio13_noled_pr_ee_u4    m2560_swio13_noled_pr_ee          m2560_swio13_noled_pr_ee_u4
 * m2561_swio13_noled_pr_ee          m2561_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio13_noled_pr_ee[] = {
  0x17bbbbbb4486b044, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0x27776527da3bb172, 0xff0c367d2d4c13e3, 0x5cd56b46fe4a08d6, 0x83660c27c723caca, 0xa1143be2b53d1c8f,
  0x5f4616588a459a75, 0x569790eb8d64d213, 0x79d3bc32223c90e7, 0x2f88e0fd8d56ba1d, 0x86f65b2e62e12114,
  0x056b13ca8d823f5b, 0x19cc5076bcb955a8, 0x37d9cea2a551aee7, 0x887359caed52df55, 0x2bcb10d2ad5ef5f4,
  0x4ef00febae7b55a2, 0x57a4185d4d8a53c3, 0x52179c6378ce8817, 0x676318ab7b15545a, 0x61bbe1296a5f95b6,
  0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000009d700ace093,
};

/*
 * m1284rfr2_swio13_noled_pr_ce_u4   m128rfa1_swio13_noled_pr_ce       m128rfa1_swio13_noled_pr_ce_u4
 * m128rfr2_swio13_noled_pr_ce       m128rfr2_swio13_noled_pr_ce_u4    m1280_swio13_noled_pr_ce
 * m1280_swio13_noled_pr_ce_u4       m1281_swio13_noled_pr_ce          m1281_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_noled_pr_ce[] = {
  0x09bbbbbb4486bf3e, 0x5ae5a58382d0bac5, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a376844,
  0x27c64eece22c5707, 0x18adfe186cf93a98, 0xdcee3901bfac7b94, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xa55243892064f472, 0x9223dece62c0531f, 0x07feccf1d7a3ebc3,
  0xb503cb5ba0ff48a8, 0x9cc5076bcb955acb, 0x7d9cea2a551aee71, 0x87359caed52df553, 0xbcb10d2ad5ef5f48,
  0xef00febae7b55a22, 0x7a4185d4d8a53c34, 0x2179c6378ce88175, 0xec6263b7b15545a5, 0x377c252d4bf2b6cc,
  0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000375f3315c1279,
};

/*
 * m1284rfr2_swio13_noled_pr_ee_ce_u4 m128rfa1_swio13_noled_pr_ee_ce    m128rfa1_swio13_noled_pr_ee_ce_u4
 * m128rfr2_swio13_noled_pr_ee_ce    m128rfr2_swio13_noled_pr_ee_ce_u4 m1280_swio13_noled_pr_ee_ce
 * m1280_swio13_noled_pr_ee_ce_u4    m1281_swio13_noled_pr_ee_ce       m1281_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_noled_pr_ee_ce[] = {
  0xd1bbbbbb4486bd5b, 0x1f72d2c42240bac2, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522ad0a,
  0x4eef77ee0e75a094, 0xfc30d9f9869827c6, 0x037f54635a507f5f, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x67ac723cace1ca76, 0x53159438e47c1b30, 0xb2c4522cd3ad08a0,
  0x76e90e3a909afa30, 0x9d3bc32223c90e75, 0xf11c1fb1aaf1b1d7, 0xdecb65cc5c242285, 0x76b13ca8d8226470,
  0x9cc5076bcb955a96, 0x7d9cea2a551aee71, 0x87359caed52df553, 0xbcb10d2ad5ef5f48, 0xef00febae7b55a22,
  0x7a4185d4d8a53c34, 0x2179c6378ce88175, 0xec6263b7b15545a5, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x00009f96e41c1279,
};

/*
 * m2564rfr2_swio13_noled_ee_hw      m128rfa1_swio13_noled_ee_hw       m128rfr2_swio13_noled_ee_hw
 * m1280_swio13_noled_ee_hw          m1281_swio13_noled_ee_hw          m256rfr2_swio13_noled_ee_hw
 * m2560_swio13_noled_ee_hw          m2561_swio13_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio13_noled_ee_hw[] = {
  0x17bbbbbb451a1541, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0x652e6ab5a37f2504, 0x47c1b30613e391e5, 0x3ad08a1df15a9e8e,
  0x09afa30b2c4522cd, 0x73ab4bc875c6b269, 0x0ebce9de19111e48, 0x8a17c4707ec6ab5d, 0xadc37b2d97317090,
  0xd402b589e546c11f, 0x738ce6283b5e5caa, 0xaa9bece75152a8d7, 0xfa4439ace576a96f, 0xd115e5886956af7a,
  0xe1a77807f5d73daa, 0x0babd20c2ea6c529, 0x2d290bce31bc6744, 0xdb33b18c55bd8aaa, 0xc330ddf094b52fca,
  0xef286152256a0bb3, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x4d6a29e4afdcd0cc, 0x0000000000005bf3,
};

/*
 * m1284rfr2_swio13_noled_ee_ce_u4_hw m128rfa1_swio13_noled_ee_ce_hw    m128rfa1_swio13_noled_ee_ce_u4_hw
 * m128rfr2_swio13_noled_ee_ce_hw    m128rfr2_swio13_noled_ee_ce_u4_hw m1280_swio13_noled_ee_ce_hw
 * m1280_swio13_noled_ee_ce_u4_hw    m1281_swio13_noled_ee_ce_hw       m1281_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio13_noled_ee_ce_hw[] = {
  0xa37777768a34704a, 0x3ee5a58844817585, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a455a14,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0x7037f54635a507f5, 0x1e79c216fc873bfd, 0xe12fc4361227b2ce,
  0x9c3f539705fa8f09, 0xb58e9ef9b3db8488, 0x833d6391e5670e53, 0x0298aca1c723e0d9, 0x85962291669d6845,
  0xabb74871d484d7d1, 0xbce9de19111e4873, 0x2f88e0fd8d578d8e, 0x86f65b2e62e12114, 0xb3b589e546c11323,
  0x8ce6283b5e5caad4, 0x9bece75152a8d773, 0x4439ace576a96faa, 0x15e5886956af7afa, 0xa77807f5d73daad1,
  0xabd20c2ea6c529e1, 0x290bce31bc67440b, 0x6763131dbd8aaa2d, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786,
  0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xd453c95fb9a19961,
  0x000000000501607d,
};

/*
 * m1284rfr2_swio13_lednop_pr        m1284rfr2_swio13_lednop_pr_u4     m2564rfr2_swio13_lednop
 * m2564rfr2_swio13_lednop_pr        m2564rfr2_swio13_lednop_pr_u4     m128rfa1_swio13_lednop
 * m128rfa1_swio13_lednop_pr         m128rfa1_swio13_lednop_pr_u4      m128rfr2_swio13_lednop
 * m128rfr2_swio13_lednop_pr         m128rfr2_swio13_lednop_pr_u4      m1280_swio13_lednop
 * m1280_swio13_lednop_pr            m1280_swio13_lednop_pr_u4         m1281_swio13_lednop
 * m1281_swio13_lednop_pr            m1281_swio13_lednop_pr_u4         m256rfr2_swio13_lednop
 * m256rfr2_swio13_lednop_pr         m256rfr2_swio13_lednop_pr_u4      m2560_swio13_lednop
 * m2560_swio13_lednop_pr            m2560_swio13_lednop_pr_u4         m2561_swio13_lednop
 * m2561_swio13_lednop_pr            m2561_swio13_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio13_lednop[] = {
  0x95bbbbbb4486d38b, 0x5ae5a58856cc6b05, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fba59511,
  0xe327751994e69652, 0x06ff0c367ff74c13, 0x91f4a3be5a0fca0c, 0x5eea921c4903e823, 0x38c8e62c05965314,
  0xecc11d7a3ebc20a2, 0xf2cf6f2288aa807f, 0x076bcb955a9485c0, 0xea2a551aee719cc5, 0x9caed52df5537d9c,
  0x72497f488735c080, 0x5cf6ab44579621a5, 0x2e52d7ce80f364d7, 0x33a205cdd2157548, 0xc555169d75e718de,
  0x5f95b667042e2ade, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b,
  0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xc2e093c95fb9a199, 0x00000000007c98af,
};

/*
 * m1284rfr2_swio13_lednop_pr_ee_u4  m2564rfr2_swio13_lednop_pr_ee     m2564rfr2_swio13_lednop_pr_ee_u4
 * m128rfa1_swio13_lednop_pr_ee      m128rfa1_swio13_lednop_pr_ee_u4   m128rfr2_swio13_lednop_pr_ee
 * m128rfr2_swio13_lednop_pr_ee_u4   m1280_swio13_lednop_pr_ee         m1280_swio13_lednop_pr_ee_u4
 * m1281_swio13_lednop_pr_ee         m1281_swio13_lednop_pr_ee_u4      m256rfr2_swio13_lednop_pr_ee
 * m256rfr2_swio13_lednop_pr_ee_u4   m2560_swio13_lednop_pr_ee         m2560_swio13_lednop_pr_ee_u4
 * m2561_swio13_lednop_pr_ee         m2561_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio13_lednop_pr_ee[] = {
  0x2f777776890c1107, 0xd5cb4b1ea7646b1e, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229113c5,
  0x64eea722af323bf7, 0xffc30d9fe9f9827c, 0x7a6ab5a37f2507ab, 0xc1b30613e391e56a, 0xd08a1df15cae8e47,
  0xafa30b2c4522cd3a, 0xab4b94b5c6b26909, 0xbce9de1329182873, 0x4be47916c6ab5d0e, 0x86f65b2e62e12114,
  0x0a0ff48a8d823f5b, 0x3398a0ed7972ab50, 0x6fb39d454aa35dce, 0xb8101395daa5beaa, 0xc434ae492fe910e6,
  0x6c9aeb9ed5688af2, 0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0xc55bd8aaa2d3aebc, 0x252d4bf2b6cce085,
  0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x75cd609c12792bf7, 0x0000000000000002,
};

/*
 * m1284rfr2_swio13_lednop_pr_ce_u4  m128rfa1_swio13_lednop_pr_ce      m128rfa1_swio13_lednop_pr_ce_u4
 * m128rfr2_swio13_lednop_pr_ce      m128rfr2_swio13_lednop_pr_ce_u4   m1280_swio13_lednop_pr_ce
 * m1280_swio13_lednop_pr_ce_u4      m1281_swio13_lednop_pr_ce         m1281_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_lednop_pr_ce[] = {
  0x09bbbbbb44864aa4, 0xad72d2c1c1420ac5, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1bb422,
  0x27c64eea4cb1789d, 0x2707fc30d9fa1f98, 0xb9d93a037f58f728, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x9f490e248193d1c8, 0x511c64731602afb0, 0x3ff6678ebd1f5e10,
  0xb81e5add91445540, 0x98a0ed7972ab5290, 0xb39d454aa35dce33, 0x101395daa5beaa6f, 0x34ae492fe910e6b8,
  0x9aeb9ed5688af2c4, 0xa905ca5af9d01e6c, 0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x5a97e56d99c10b31,
  0x8817b1e1986ef84a, 0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19,
  0x964b867a617c68f4, 0x66587494b670e271, 0xfe69b824f257ee68, 0x00000000000006eb,
};

/*
 * m1284rfr2_swio13_lednop_pr_ee_ce_u4 m128rfa1_swio13_lednop_pr_ee_ce
 * m128rfa1_swio13_lednop_pr_ee_ce_u4 m128rfr2_swio13_lednop_pr_ee_ce
 * m128rfr2_swio13_lednop_pr_ee_ce_u4 m1280_swio13_lednop_pr_ee_ce
 * m1280_swio13_lednop_pr_ee_ce_u4   m1281_swio13_lednop_pr_ee_ce      m1281_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_lednop_pr_ee_ce[] = {
  0x2d1bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522ad0,
  0x93bbb36d3c5a87e3, 0xfe186cfb37e609f1, 0x81bfaa31ad283787, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x19eb1c8f2b28729d, 0x14c57812391f06cc, 0x2cb1148b34eb4228,
  0x5db8a58ea426be8c, 0xe74ef09948c1439d, 0xbe47916c6abc6c75, 0x6f65b2e62e121144, 0x707fa4546c113238,
  0x9cc5076bcb955a96, 0x7d9cea2a551aee71, 0xc0809caed52df553, 0x21a572497f488735, 0x64d75cf6ab445796,
  0x75482e52d7ce80f3, 0x18de33a205cdd215, 0x8edec555169d75e7, 0x52d4bf2b6cce0859, 0xfc40bd8f0cc377c2,
  0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0xf37929c12792bf73, 0x0000000000000013,
};

/*
 * m2564rfr2_swio13_lednop_ee_hw     m128rfa1_swio13_lednop_ee_hw      m128rfr2_swio13_lednop_ee_hw
 * m1280_swio13_lednop_ee_hw         m1281_swio13_lednop_ee_hw         m256rfr2_swio13_lednop_ee_hw
 * m2560_swio13_lednop_ee_hw         m2561_swio13_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio13_lednop_ee_hw[] = {
  0x8bdddddda28d0582, 0xb572d2c7a9d91ac7, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a444f1,
  0x4f8c9dd3b410f4b5, 0xf57ff958b3fd3f30, 0xad4f4d56b46fe4a0, 0xc8f83660c27c723c, 0xa75a1143be2b95d1,
  0x2135f4616588a459, 0x0e75697296b8d64d, 0xa1d79d3bc2652305, 0x22897c8f22d8d56b, 0xeb70decb65cc5c24,
  0x6a0141fe9151b047, 0xb9c673141daf2e55, 0xd54df673a8a9546b, 0x1cd7020272bb54b7, 0x5e588695c925fd22,
  0x03cd935d73daad11, 0x4855d520b94b5f3a, 0xd79c6378ce881737, 0x10b8ab7b15545a75, 0xef84a5a97e56d99c,
  0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0x4f257ee686658749, 0x00000005be3483d1,
};

/*
 * m1284rfr2_swio13_lednop_ee_ce_u4_hw m128rfa1_swio13_lednop_ee_ce_hw
 * m128rfa1_swio13_lednop_ee_ce_u4_hw m128rfr2_swio13_lednop_ee_ce_hw
 * m128rfr2_swio13_lednop_ee_ce_u4_hw m1280_swio13_lednop_ee_ce_hw
 * m1280_swio13_lednop_ee_ce_u4_hw   m1281_swio13_lednop_ee_ce_hw      m1281_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio13_lednop_ee_ce_hw[] = {
  0xa37777768a34306a, 0x3ee5a58844375585, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a455a14,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x606fea8c6b4a0de1, 0x3cf3842df90e7778, 0xc25f886c244f659c,
  0x70e16467aff51e13, 0xd63a7be6cf6e1222, 0x0cf58e479594394e, 0x0a62bc091c8f8366, 0x16588a459a75a114,
  0xaedc52c752135f46, 0xf3a7784ca460a1ce, 0x5f23c8b6355e363a, 0x37b2d973170908a2, 0x383fd22a3608991c,
  0xce6283b5e5caad4b, 0xbece75152a8d7738, 0xe0404e576a96faa9, 0x10d2b924bfa4439a, 0xb26bae7b55a22bcb,
  0xbaa417296be74079, 0x8c6f19d102e6e90a, 0xc76f62aa8b4ebaf3, 0x296a5f95b667042c, 0x4ad417678661bbe1,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x00050166001453c9,
};

/*
 * m1284rfr2_swio13_dual_pr          m1284rfr2_swio13_dual_pr_u4       m128rfa1_swio13_dual
 * m128rfa1_swio13_dual_pr           m128rfa1_swio13_dual_pr_u4        m128rfr2_swio13_dual
 * m128rfr2_swio13_dual_pr           m128rfr2_swio13_dual_pr_u4        m1280_swio13_dual
 * m1280_swio13_dual_pr              m1280_swio13_dual_pr_u4           m1281_swio13_dual
 * m1281_swio13_dual_pr              m1281_swio13_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio13_dual[] = {
  0xa76eeeeed121a5fb, 0x767eeef1b79f7cdf, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadde9de46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x97c5d82fe6584a01,
  0x68e4774bb0386702, 0x17a1491209207fba, 0xf0fcfdf045f94f97, 0x5cb406ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x135ad150865a1192, 0xf212dba9effa039e, 0x4adffd3e4c161bca, 0x723edf3be59ef941,
  0x1dfca4871240e0fc, 0x1c42731602a83cd2, 0xecc11d78035e1ea1, 0x7967b7f20f8a807f, 0xf157ceee2a4beca0,
  0xce6283b5e5caad67, 0xbece75152a8d7738, 0xe0404e576a96faa9, 0x10d2b924bfa4439a, 0xb26bae7b55a22bcb,
  0xbaa417296be74079, 0x8c6f19d102e6e90a, 0x156f62aa8b4ebaf3, 0x94b52fcadb338217, 0xff102f63c330ddf0,
  0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x49c7d77049e4afdc, 0x000000000000000a,
};

/*
 * m128rfa1_swio13_dual_pr_ee        m128rfr2_swio13_dual_pr_ee        m1280_swio13_dual_pr_ee
 * m1281_swio13_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_swio13_dual_pr_ee[] = {
  0x7415bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47d0558,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x7170d1f99612804a,
  0xe47e9fd858f9c3fe, 0x4292241240fabe68, 0xf9fbe08bf29f2e2f, 0x1c0ddc3e144313e1, 0xf25f2f973f21f2e4,
  0xbfe420b486f97177, 0x89150865a11ed10c, 0x5b74dbffa039e134, 0xffa7c982c3795e42, 0x4d56b46bee50687f,
  0x1b307dd4723caf2b, 0x08a1df15dba8e47c, 0xfa30b2c4522cd3ad, 0xd2ec157082e6909a, 0x58af0c7b47389cea,
  0x08d6bd8d56ba1d7b, 0xf65c7c62e1211420, 0x7715255c3dff5b86, 0xdaf2e556b3f8abe7, 0x8a9546bb9c673141,
  0x2bb54b7d54df673a, 0x925fd221cd702027, 0x3daad115e588695c, 0x94b5f3a03cd935d7, 0xe8817374855d520b,
  0x5545a75d79c6378c, 0xe56d99c10b8ab7b1, 0x71e1986ef84a5a97, 0xc1ddc68b3dfe209f, 0x19e985727eeaccdf,
  0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x00000000190a371e,
};

/*
 * m128rfa1_swio13_dual_pr_ee_u4     m128rfr2_swio13_dual_pr_ee_u4     m1280_swio13_dual_pr_ee_u4
 * m1281_swio13_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio13_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6eaf, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23eaf8ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x6584a6024ee9f12e,
  0x00d070d35c5dfe7e, 0x240fa7e68e47ff9b, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0x73f21f2185c0ddc3,
  0x486f97177f25f2f9, 0x5a0bed10cbfe420b, 0xf4073c260f715086, 0x586f2bc84b6f6b7f, 0x93941b1fff206530,
  0x1c8f2bd37355ad1b, 0xe394723e0d9838f7, 0x291669d68450ef8a, 0xa973484d7d185962, 0xa3ea0e7569795cb8,
  0xaad743af5137857d, 0x5c2422809e8fe4b1, 0x608fd6e1bd97d2cc, 0xdc5494027bc6faa3, 0x6bcb955acfe2af9d,
  0x2a551aee719cc507, 0xaed52df5537d9cea, 0x497f488735c0809c, 0xf6ab44579621a572, 0x52d7ce80f364d75c,
  0xa205cdd21575482e, 0x55169d75e718de33, 0x95b667042e2adec5, 0xc78661bbe1296a5f, 0x0d1fc68b3dfe205e,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0xe19e4afdcd0ccb0e, 0x0000000564b6629f,
};

/*
 * m128rfa1_swio13_dual_pr_ce        m128rfr2_swio13_dual_pr_ce        m1280_swio13_dual_pr_ce
 * m1281_swio13_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_swio13_dual_pr_ce[] = {
  0x94eddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba53999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0xd1c8f1cb60704e1d, 0x2f4292241240edd4, 0xe1f9fbe08bf29f2e, 0x18040ddc3e144313, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x4c0a454219681ea8, 0xc84b6e16bfe80e78, 0x677ff4f930586f2b, 0xdc56015df5eea507,
  0x7cb5f9e7085b79b9, 0x7340aee122270f78, 0xc723c893dcb3dba9, 0xf3a3dd2438920622, 0x787a847109cc580b,
  0x2a01ffb33c75e00d, 0x4beca0796b77c83e, 0xcaad67f157ceee2a, 0x8d7738ce6283b5e5, 0x96faa9bece75152a,
  0xa4439ae0404e576a, 0xa22bcb10d2b924bf, 0xe74079b26bae7b55, 0xe6e90abaa417296b, 0x4ebaf38c6f19d102,
  0x67042cc76f62aa8b, 0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x15c9fbab337f0777, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000073d63a2b824f,
};

/*
 * m128rfa1_swio13_dual_pr_ce_u4     m128rfr2_swio13_dual_pr_ce_u4     m1280_swio13_dual_pr_ce_u4
 * m1281_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e3d, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd1ecd88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2fa6bf32c2530127,
  0x47b1fd87fc38068e, 0x292241240e87e68e, 0x9fbe08bf29f2e2f4, 0xc0ddc3e144313e1f, 0x25f2f973f21f2575,
  0xfe420b486f97177f, 0xf8a8432d07f110cb, 0xb79dbffa039e136d, 0x9032982c3795e425, 0xc0dfd4a2ca0f4fff,
  0xf3ce10b7f00cecc7, 0x097e21b0913d9670, 0xc3baa3541fd4784f, 0xdf5d4b9b3db84889, 0x48188b1c8f224f72,
  0x31602fce8f7490e2, 0xd78035e1ea11c427, 0xdf20f8a807feccf1, 0x3bb8a92fb281e5ad, 0x0ed7972ab59fc55f,
  0xd454aa35dce3398a, 0x395daa5beaa6fb39, 0xe492fe910e6b8101, 0xb9ed5688af2c434a, 0x5ca5af9d01e6c9ae,
  0x67440b9ba42aea90, 0x8aaa2d3aebce31bc, 0x7e56d99c10b31dbd, 0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881,
  0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x7f86792bf734332c, 0x0000000034938cd0,
};

/*
 * m1284rfr2_swio13_dual_pr_ee_ce_u4 m128rfa1_swio13_dual_pr_ee_ce     m128rfa1_swio13_dual_pr_ee_ce_u4
 * m128rfr2_swio13_dual_pr_ee_ce     m128rfr2_swio13_dual_pr_ee_ce_u4  m1280_swio13_dual_pr_ee_ce
 * m1280_swio13_dual_pr_ee_ce_u4     m1281_swio13_dual_pr_ee_ce        m1281_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio13_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xf777e14614e6e89f, 0x3a70bc9855f62fb3, 0xda347feafbf5f68d, 0xa52913eabd9f571a,
  0x5fe82dd8558fe1a8, 0x4cb94ae3c559b9a7, 0x452357e19827c64a, 0x6d23037755a8646d, 0x24ee9f12e2061430,
  0x4717683fe6584a60, 0x1c8f723b024a3865, 0xd0a4890490366fcd, 0x7e7ef822fca7cb8b, 0x9303770f8510c4f8,
  0xf92f97cb9f90f91c, 0x5ff2105a437cb8bb, 0xce8a8432d0274886, 0x5b7524ffa039e136, 0xf9032982c3795e42,
  0x06fea8c2d4a0a547, 0x9e7085bf80676950, 0x4bf10d8489ecb387, 0xf79f43c9fea3c278, 0x75374d9edc2444e1,
  0x951c8f2bdf729dac, 0xc57b3a391f06cc19, 0xb1148b34eb422814, 0xba570ea426be8c2c, 0x4de15f68fa839d5d,
  0x47f258d578d8ebd4, 0xcbe9662e1211404f, 0xf1bea8d8226470de, 0xf8abe77715252cde, 0x673141daf2e556b3,
  0xdf673a8a9546bb9c, 0x7020272bb54b7d54, 0x88695c925fd221cd, 0xd935d73daad115e5, 0x5d520b94b5f3a03c,
  0xc6378ce881737485, 0x63b7b15545a75d79, 0x94b52fcadb338216, 0xff102f63c330ddf0, 0xab337f068fe3459e,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0x06a90ff0cf257ee6, 0x0000000000000200,
};

/*
 * m128rfa1_swio13_dual_ee_hw        m128rfr2_swio13_dual_ee_hw        m1280_swio13_dual_ee_hw
 * m1281_swio13_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio13_dual_ee_hw[] = {
  0xedddddda28d1880b, 0xb3f7779203f39bab, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8fabe3b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0xe7e6584a7419dd3e,
  0xf9b00d070d35c5df, 0x241240fa7e68e47f, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2185c0d,
  0x20b486f97177f25f, 0x0865a0bed10cbfe4, 0xb7ff4073c260f715, 0x530586f2bc84b6f6, 0xd1b93941b1fff8cb,
  0x8f71c8f2bd37355a, 0xf8ae394723e0d983, 0x962291669d68450e, 0xcb8a973484d7d185, 0x57da3ea0e7569795,
  0x4b1aad743af51378, 0x2cc5c2422809e8fe, 0xaa3608fd6e1bd97d, 0xf9ddc5494027bc6f, 0x5076bcb955acfe2a,
  0xcea2a551aee719cc, 0x09caed52df5537d9, 0x572497f488735c08, 0x75cf6ab44579621a, 0x82e52d7ce80f364d,
  0xe33a205cdd215754, 0xec555169d75e718d, 0xa5f95b667042e2ad, 0x417678661bbe1296, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xaed1cf27453c95fb,
};

/*
 * m1284rfr2_swio13_dual_ee_ce_u4_hw m128rfa1_swio13_dual_ee_ce_hw     m128rfa1_swio13_dual_ee_ce_u4_hw
 * m128rfr2_swio13_dual_ee_ce_hw     m128rfr2_swio13_dual_ee_ce_u4_hw  m1280_swio13_dual_ee_ce_hw
 * m1280_swio13_dual_ee_ce_u4_hw     m1281_swio13_dual_ee_ce_hw        m1281_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio13_dual_ee_ce_hw[] = {
  0xf7777768a347e907, 0x7eeefc28c29cdd13, 0xa74e17930abec5f6, 0x5b468ffd5f7ebed1, 0x14a5227d57b3eae3,
  0xd6d1b9bb0ab1fc35, 0xc64a4cb90404d214, 0x646d452357e19827, 0x14306d23037755a8, 0x253a0cee9f12e206,
  0x1c32a38bb41ff32c, 0x37e68e47b91d8125, 0xe5c5e8524482481b, 0x627c3f3f7c117e53, 0x7c8e4981bb87c288,
  0x5c5dfc97cbe5cfc8, 0xa4432ff9082d21be, 0xf09b674542196813, 0xaf212dba927fd01c, 0x52a3fe32d4c161bc,
  0xb4a8037f54616a50, 0x2ce1e79c216fc873, 0xf09e12fc4361227b, 0x22270ef00c463fa8, 0x94ed63a9ba6cf6e1,
  0x3660cca8e4795efb, 0x1140a62bd9d1c8f8, 0xf4616588a459a75a, 0x1ceaedd2b8752135, 0xc75ea26f0afb47d4,
  0x8a027a3f92c6abc6, 0x2386f65f4b317090, 0x2966f78df546c113, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x5beaa6fb39d454aa, 0x910e6b8101395daa, 0x88af2c434ae492fe, 0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af,
  0x3aebce31bc67440b, 0x9c10b31dbd8aaa2d, 0x86ef84a5a97e56d9, 0x430a912b505d9e19, 0xc65f989ffde1ef79,
  0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd14f257ee6866587, 0x0000000075d53ff0,
};

/*
 * m2564rfr2_swio14_noled            m128rfa1_swio14_noled             m128rfr2_swio14_noled
 * m1280_swio14_noled                m1281_swio14_noled                m256rfr2_swio14_noled
 * m2560_swio14_noled                m2561_swio14_noled
 */
static const uint64_t ur_m1284rfr2_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x1b7b00244cf74192, 0x3c1984d49bbbf56d, 0x350418ebe84dd220,
  0xfc9827c64eec2f5a, 0xd04a0995fe5c7e7d, 0x03aff1c8e989df2d, 0xdee9ba87be921c49, 0x5e1b59193c731602,
  0xce7b71cb1823af17, 0xce6283b5e5caad4a, 0xeace75152a8d7738, 0x4439ace9b95daa5b, 0x115e588695b1fbfa,
  0x54fa779fad73daad, 0x130bd20d7d4e02ca, 0x440d8ff14085a561, 0x5f95b6674e31bc67, 0xfec78661bbe1296a,
  0x8cb25c33d30ae4fc, 0x4332c3a4a5b38713, 0x90716792a792bf73, 0x000000000000000a,
};

/*
 * m1284rfr2_swio14_noled_pr_u4      m2564rfr2_swio14_noled_pr         m2564rfr2_swio14_noled_pr_u4
 * m128rfa1_swio14_noled_pr          m128rfa1_swio14_noled_pr_u4       m128rfr2_swio14_noled_pr
 * m128rfr2_swio14_noled_pr_u4       m1280_swio14_noled_pr             m1280_swio14_noled_pr_u4
 * m1281_swio14_noled_pr             m1281_swio14_noled_pr_u4          m256rfr2_swio14_noled_pr
 * m256rfr2_swio14_noled_pr_u4       m2560_swio14_noled_pr             m2560_swio14_noled_pr_u4
 * m2561_swio14_noled_pr             m2561_swio14_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio14_noled_pr[] = {
  0xa4dddddda2432f02, 0xd6b9696215a00ac6, 0xd4f71da1c489910c, 0x1e42e2499b11327a, 0x70bea197bddd4911,
  0xf193bb1c605e2f66, 0x3dff861b3f01a609, 0xe47050ef96dee504, 0xf0f5a4871240c9a8, 0x46229cc580b2ca67,
  0xfd9823af47d787e4, 0x0f2cf6f7be81500f, 0x141daf2e556b02b4, 0x73a8a9546bb9c673, 0xcd674dcaed52df56,
  0xf2c434ad8fdfd221, 0xbc03faeb9ed5688a, 0xe90617536294f0d3, 0x85e718de33a205d5, 0xcbb22adec5551694,
  0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x001f26eacdb824f2,
};

/*
 * m1284rfr2_swio14_noled_pr_ee_u4   m2564rfr2_swio14_noled_pr_ee      m2564rfr2_swio14_noled_pr_ee_u4
 * m128rfa1_swio14_noled_pr_ee       m128rfa1_swio14_noled_pr_ee_u4    m128rfr2_swio14_noled_pr_ee
 * m128rfr2_swio14_noled_pr_ee_u4    m1280_swio14_noled_pr_ee          m1280_swio14_noled_pr_ee_u4
 * m1281_swio14_noled_pr_ee          m1281_swio14_noled_pr_ee_u4       m256rfr2_swio14_noled_pr_ee
 * m256rfr2_swio14_noled_pr_ee_u4    m2560_swio14_noled_pr_ee          m2560_swio14_noled_pr_ee_u4
 * m2561_swio14_noled_pr_ee          m2561_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio14_noled_pr_ee[] = {
  0x09bbbbbb448624d6, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x64eefdaebb4669f6, 0xbfc30d9feaf9827c, 0xd66ab5a331f2831c, 0xe0d983ea2391e565, 0x68450ef8ad82c723,
  0xd7d185962291669d, 0xd5a5dd2ae3593484, 0xbce9de109e8fe439, 0x19223deec6ab5d0e, 0xe1bd96cb98b84845,
  0x0570d67aa3608fd6, 0x19cc5076bcb955a8, 0x7d59cea2a551aee7, 0x4887359d372bb54b, 0xa22bcb10d2b63f7f,
  0xc34ef00febae7b55, 0x1757a4185d4d8a53, 0x5a52179c6378ce88, 0xb6672ec8ab7b1554, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x00000013afdf04e0,
};

/*
 * m1284rfr2_swio14_noled_pr_ce_u4   m128rfa1_swio14_noled_pr_ce       m128rfa1_swio14_noled_pr_ce_u4
 * m128rfr2_swio14_noled_pr_ce       m128rfr2_swio14_noled_pr_ce_u4    m1280_swio14_noled_pr_ce
 * m1280_swio14_noled_pr_ce_u4       m1281_swio14_noled_pr_ce          m1281_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_noled_pr_ce[] = {
  0x367eeeeeed121911, 0x6ad72d2c1c1469d6, 0x1fa47f4d28c1ae6d, 0x3d22e1fad0fd833b, 0x1b2c5515eb921bbb,
  0x6609f193baaf99f4, 0xe507677f861b3e70, 0x6f373b8ac06fea1e, 0x0913d9670f3ce10b, 0x07fd4784f097e21b,
  0x6cf6e122270f950d, 0x1c8ebe4f72df5eb2, 0x7b402921c490359f, 0xe1f91188a731602c, 0x5403ff6678ebd1f5,
  0xb02b40f2d6edefa0, 0x9c673141daf2e556, 0x2df5673a8a9546bb, 0xfd221cd674dcaed5, 0x5688af2c434ad8fd,
  0x4f0d3bc03faeb9ed, 0x205d5e9061753629, 0x5169485e718de33a, 0xadb3397618edec55, 0x3c330ddf094b52fc,
  0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x00000000dd77c937,
};

/*
 * m1284rfr2_swio14_noled_pr_ee_ce_u4 m128rfa1_swio14_noled_pr_ee_ce    m128rfa1_swio14_noled_pr_ee_ce_u4
 * m128rfr2_swio14_noled_pr_ee_ce    m128rfr2_swio14_noled_pr_ee_ce_u4 m1280_swio14_noled_pr_ee_ce
 * m1280_swio14_noled_pr_ee_ce_u4    m1281_swio14_noled_pr_ee_ce       m1281_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_noled_pr_ee_ce[] = {
  0x15bbbbbb44861a4e, 0x1f72d2c422589ac6, 0xbd6d69d0ccadc2ff, 0x3636cd889d704d2e, 0x7333582d829170a5,
  0x9dd4d770b499ee0a, 0xf861b3f787304f8c, 0x06fea8e394a0e377, 0xe79c216de6e778dc, 0x12fc4361227b2ce1,
  0x0f7251d7dfa8f09e, 0x63a7be6cf6e12227, 0xf4a8e4795c8794ed, 0xa62b2971c8f83660, 0x6588a459a75a1140,
  0xedce94752135f461, 0x74ef084f47f21cea, 0x223deec6abc6c75e, 0xbd96cb98b8484519, 0xb86b3d51b044c8e1,
  0xe6283b5e5caad4b3, 0xace75152a8d7738c, 0x439ace9b95daa5be, 0x15e588695b1fbfa4, 0xa77807f5d73daad1,
  0xabd20c2ea6c529e1, 0x290bce31bc67440b, 0x672ec31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786,
  0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x000004fc1938e093,
};

/*
 * m2564rfr2_swio14_noled_ee_hw      m128rfa1_swio14_noled_ee_hw       m128rfr2_swio14_noled_ee_hw
 * m1280_swio14_noled_ee_hw          m1281_swio14_noled_ee_hw          m256rfr2_swio14_noled_ee_hw
 * m2560_swio14_noled_ee_hw          m2561_swio14_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio14_noled_ee_hw[] = {
  0x09bbbbbb451a3705, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x3e32776c36cad498, 0x8e5fe562cff57cc1, 0xb2eb355ad198f941, 0x91f06cc1f511c8f2, 0x4eb422877c56c163,
  0x426be8c2cb1148b3, 0x1cead2ee9571ac9a, 0x875e74ef084f47f2, 0x228c911ef76355ae, 0xeb70decb65cc5c24,
  0xd402b86b3d51b047, 0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0xbfa4439ace9b95da, 0xaad115e588695b1f,
  0x29e1a77807f5d73d, 0x440babd20c2ea6c5, 0xaa2d290bce31bc67, 0xcadb33976455bd8a, 0xb3c330ddf094b52f,
  0x3def286152256a0b, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0xc6793a29e4afdcd0, 0x00000000000000b7,
};

/*
 * m1284rfr2_swio14_noled_ee_ce_u4_hw m128rfa1_swio14_noled_ee_ce_hw    m128rfa1_swio14_noled_ee_ce_u4_hw
 * m128rfr2_swio14_noled_ee_ce_hw    m128rfr2_swio14_noled_ee_ce_u4_hw m1280_swio14_noled_ee_ce_hw
 * m1280_swio14_noled_ee_ce_u4_hw    m1281_swio14_noled_ee_ce_hw       m1281_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio14_noled_ee_ce_hw[] = {
  0x2b7777768a345f41, 0x3ee5a58844b1358c, 0x7adad3a1995b85fe, 0x6c6d9b113ae09a5d, 0xe666b05b0522e14a,
  0x8c9dda2feef6b894, 0x77f958b3f787304f, 0xdc06fea8e394a0e3, 0xc3cf3842df90e778, 0x3c25f886c244f659,
  0x4e1c61776eff51e1, 0xdac74f7cd9edc244, 0xc1e951c8f2b90f29, 0x814c5652e391f06c, 0xc2cb1148b34eb422,
  0xd5db9d28ea426be8, 0xbce9de109e8fe439, 0x32447bdd8d578d8e, 0xc37b2d973170908a, 0x6770d67aa3608991,
  0x19cc5076bcb955a9, 0x7d59cea2a551aee7, 0x4887359d372bb54b, 0xa22bcb10d2b63f7f, 0xc34ef00febae7b55,
  0x1757a4185d4d8a53, 0x5a52179c6378ce88, 0x6cce5d863b7b1554, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xe4e8a792bf734332,
  0x00000000000a0259,
};

/*
 * m2564rfr2_swio14_lednop           m128rfa1_swio14_lednop            m128rfr2_swio14_lednop
 * m1280_swio14_lednop               m1281_swio14_lednop               m256rfr2_swio14_lednop
 * m2560_swio14_lednop               m2561_swio14_lednop
 */
static const uint64_t ur_m1284rfr2_swio14_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xd2e3b50fc2f41419, 0x03c1984d49a914da, 0x69b1b6fd2f8bdd22,
  0xf7304f8c9ddb1ec8, 0x825063dff971f9f5, 0x1d7f8e47f90ef96e, 0xf74d22443490e248, 0xf0ef68fa0398b016,
  0x59fb8e58c11d78ba, 0xe6283b5e5caad4ac, 0xace75152a8d7738c, 0xe0404e9b95daa5be, 0x88695cbec7a4439a,
  0x7407973daad115e5, 0x14802f52d794e02e, 0x73e8a042d2548502, 0x6d99d38c6f19d102, 0xe1986ef84a5a97e5,
  0x970cf4c2b93f3fb1, 0xb0e9296ce1c4e32c, 0x71e4a9e4afdcd0cc, 0x0000000000002a4b,
};

/*
 * m1284rfr2_swio14_lednop_pr_u4     m2564rfr2_swio14_lednop_pr        m2564rfr2_swio14_lednop_pr_u4
 * m128rfa1_swio14_lednop_pr         m128rfa1_swio14_lednop_pr_u4      m128rfr2_swio14_lednop_pr
 * m128rfr2_swio14_lednop_pr_u4      m1280_swio14_lednop_pr            m1280_swio14_lednop_pr_u4
 * m1281_swio14_lednop_pr            m1281_swio14_lednop_pr_u4         m256rfr2_swio14_lednop_pr
 * m256rfr2_swio14_lednop_pr_u4      m2560_swio14_lednop_pr            m2560_swio14_lednop_pr_u4
 * m2561_swio14_lednop_pr            m2561_swio14_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_pr[] = {
  0x49bbbbbb4486fc3b, 0x5ae5a58856f1f58d, 0x93d537ebfc2e4433, 0x3c85c4c004cd22ed, 0x9a9c2f1afbba9222,
  0xe32776e09ba86653, 0xfcff0c367ca2cc13, 0xe47400ef96dee505, 0x2a44a4871240c9a8, 0x18df398b016594d5,
  0xf6608ebd1f5e19b9, 0x3cb3db8cad65403f, 0x41daf2e556a7d510, 0x3a8a9546bb9c6731, 0x0274dcaed52df567,
  0x4ae5f63d221cd702, 0xaeb9ed5688af2c43, 0x905ca5af9d01e6c9, 0xbc67440b9ba42aea, 0xbd8aaa2d3aebce31,
  0x6a5f95b66774f455, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x4cd0e093c95fb9a1, 0x0000000000003e4e,
};

/*
 * m1284rfr2_swio14_lednop_pr_ee_u4  m2564rfr2_swio14_lednop_pr_ee     m2564rfr2_swio14_lednop_pr_ee_u4
 * m128rfa1_swio14_lednop_pr_ee      m128rfa1_swio14_lednop_pr_ee_u4   m128rfr2_swio14_lednop_pr_ee
 * m128rfr2_swio14_lednop_pr_ee_u4   m1280_swio14_lednop_pr_ee         m1280_swio14_lednop_pr_ee_u4
 * m1281_swio14_lednop_pr_ee         m1281_swio14_lednop_pr_ee_u4      m256rfr2_swio14_lednop_pr_ee
 * m256rfr2_swio14_lednop_pr_ee_u4   m2560_swio14_lednop_pr_ee         m2560_swio14_lednop_pr_ee_u4
 * m2561_swio14_lednop_pr_ee         m2561_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_pr_ee[] = {
  0x09bbbbbb4486a4d6, 0xb572d2c7a9d45ac5, 0xb4cf7c8c01e97c49, 0xf2299c7debb4b537, 0x71b452b645222508,
  0xc9dd39d9f7938abd, 0xbfc30d9f0b5304f8, 0x166ab5a331f2824e, 0xe0d983ea2391e56c, 0x68450ef8af2b4723,
  0xd7d185962291669d, 0xd5a5cbaae3593484, 0xbce9de1dbe8e6e39, 0x00a238cac6ab5d0e, 0xe1bd96cb98b84845,
  0x016f7d02a3608fd6, 0xc673141daf2e556a, 0xdf5673a8a9546bb9, 0xcd7020274dcaed52, 0xf2c434ae5f63d221,
  0x1e6c9aeb9ed5688a, 0x42aea905ca5af9d0, 0xbce31bc67440b9ba, 0x4f455bd8aaa2d3ae, 0xbe1296a5f95b6677,
  0xb3dfe205ec78661b, 0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x013aff926e093c95,
};

/*
 * m1284rfr2_swio14_lednop_pr_ce_u4  m128rfa1_swio14_lednop_pr_ce      m128rfa1_swio14_lednop_pr_ce_u4
 * m128rfr2_swio14_lednop_pr_ce      m128rfr2_swio14_lednop_pr_ce_u4   m1280_swio14_lednop_pr_ce
 * m1280_swio14_lednop_pr_ce_u4      m1281_swio14_lednop_pr_ce         m1281_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_pr_ce[] = {
  0x9fbbbbbb4486b044, 0xb5cb4b0705a0b58d, 0xfd3d313b6dd79b5a, 0x8b87eb41a67ede9e, 0x8b91fa8ac86eecf4,
  0x9f193bbb293ed1dd, 0x46b7f861b3e96a60, 0x73b38206fea1ee50, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0x6e122270ea49cdff, 0xe5f4f72df5eb26cf, 0x4524389206b3e391, 0xe4637ce62c0580dd, 0xffd99e3af47d7866,
  0x103cb5ba32b59500, 0x3141daf2e556a7d5, 0x673a8a9546bb9c67, 0x020274dcaed52df5, 0x434ae5f63d221cd7,
  0xc9aeb9ed5688af2c, 0xea905ca5af9d01e6, 0x31bc67440b9ba42a, 0x1dbd8aaa2d3aebce, 0x52d4bf2b6ccee9e3,
  0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xae0159c12792bf73, 0x000000000000001b,
};

/*
 * m1284rfr2_swio14_lednop_pr_ee_ce_u4 m128rfa1_swio14_lednop_pr_ee_ce
 * m128rfa1_swio14_lednop_pr_ee_ce_u4 m128rfr2_swio14_lednop_pr_ee_ce
 * m128rfr2_swio14_lednop_pr_ee_ce_u4 m1280_swio14_lednop_pr_ee_ce
 * m1280_swio14_lednop_pr_ee_ce_u4   m1281_swio14_lednop_pr_ee_ce      m1281_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_pr_ee_ce[] = {
  0x0adddddda24343ee, 0x8fb9696211037563, 0x4056b621a78be17f, 0x9b1b66c58989c627, 0x58a74716c148b852,
  0x9ddaefc89086d3cf, 0xf861b3ecf9304f8c, 0x06fea8e394a09adf, 0xe79c216de6e766b6, 0x12fc4361227b2ce1,
  0x0f118a71ffa8f09e, 0x63a7be6cf6e12227, 0xf4a8e479594b94ed, 0xa62b53d1c8f83660, 0x6588a459a75a1140,
  0xedc5d4752135f461, 0x74ef0edf47371cea, 0xa238cac6abc6c75e, 0xbd96cb98b8484500, 0xf7be8151b044c8e1,
  0x398a0ed7972ab52c, 0xab39d454aa35dce3, 0xb81013a6e576a96f, 0x621a572fb1e910e6, 0x364d75cf6ab44579,
  0x575482e52d7ce80f, 0x718de33a205cdd21, 0x18edec555169d75e, 0x1296a5f95b66774f, 0xdfe205ec78661bbe,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0x9f80f26e093c95fb,
};

/*
 * m2564rfr2_swio14_lednop_ee_hw     m128rfa1_swio14_lednop_ee_hw      m128rfr2_swio14_lednop_ee_hw
 * m1280_swio14_lednop_ee_hw         m1281_swio14_lednop_ee_hw         m256rfr2_swio14_lednop_ee_hw
 * m2560_swio14_lednop_ee_hw         m2561_swio14_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_ee_hw[] = {
  0x84dddddda28d0044, 0xdab96963d4ea2d62, 0xda67be4600f4be24, 0x7914ce3ef5da5a9b, 0xb8da295b22911284,
  0x3e3277505272d086, 0x93aff2b167c2d4c1, 0x5b059aad68cc7ca0, 0xc8f83660fa88e479, 0xa75a1143be2bcad1,
  0x2135f4616588a459, 0x8e756972eab8d64d, 0x43af3a77876fa39b, 0x1140288e32b1aad7, 0xf5b86f65b2e62e12,
  0x5a805bdf40a8d823, 0xee719cc5076bcb95, 0x54b7d59cea2a551a, 0x88735c0809d372bb, 0x22bcb10d2b97d8f4,
  0x74079b26bae7b55a, 0x6e90abaa417296be, 0xebaf38c6f19d102e, 0x9dd3d156f62aa8b4, 0x86ef84a5a97e56d9,
  0x430a912b505d9e19, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0x514f257ee6866587, 0x0000000002df2334,
};

/*
 * m1284rfr2_swio14_lednop_ee_ce_u4_hw m128rfa1_swio14_lednop_ee_ce_hw
 * m128rfa1_swio14_lednop_ee_ce_u4_hw m128rfr2_swio14_lednop_ee_ce_hw
 * m128rfr2_swio14_lednop_ee_ce_u4_hw m1280_swio14_lednop_ee_ce_hw
 * m1280_swio14_lednop_ee_ce_u4_hw   m1281_swio14_lednop_ee_ce_hw      m1281_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio14_lednop_ee_ce_hw[] = {
  0x2b7777768a346d3a, 0x3ee5a588440dd58c, 0x015ad8869e2f85fe, 0x6c6d9b162627189d, 0x629d1c5b0522e14a,
  0x193bb73b66f7263d, 0xbff2b167d9f2609f, 0x6c0dfd51c7294135, 0x879e7085bf21cecd, 0x784bf10d8489ecb3,
  0x4e1d705c3ffea3c2, 0xdac74f7cd9edc244, 0xc1e951c8f2b29729, 0x814c56a7a391f06c, 0xc2cb1148b34eb422,
  0xd5db8ba8ea426be8, 0xbce9de1dbe8e6e39, 0x014471958d578d8e, 0xc37b2d973170908a, 0x59ef7d02a3608991,
  0xc673141daf2e556a, 0xdf5673a8a9546bb9, 0xcd7020274dcaed52, 0xf2c434ae5f63d221, 0x1e6c9aeb9ed5688a,
  0x42aea905ca5af9d0, 0xbce31bc67440b9ba, 0x9e31dbd8aaa2d3ae, 0x7c252d4bf2b6ccee, 0x54895a82ecf0cc37,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000000a0220fba8a,
};

/*
 * m1284rfr2_swio14_dual_pr          m1284rfr2_swio14_dual_pr_u4       m128rfa1_swio14_dual
 * m128rfa1_swio14_dual_pr           m128rfa1_swio14_dual_pr_u4        m128rfr2_swio14_dual
 * m128rfr2_swio14_dual_pr           m128rfr2_swio14_dual_pr_u4        m1280_swio14_dual
 * m1280_swio14_dual_pr              m1280_swio14_dual_pr_u4           m1281_swio14_dual
 * m1281_swio14_dual_pr              m1281_swio14_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio14_dual[] = {
  0x25dddddda243359b, 0xecfddde36ec5f9bf, 0x76d57d89466d16a2, 0x42c489622d4d8b6e, 0x8bcabfed6ef25f23,
  0xfb90f0cc284db5d6, 0xa291d4e9827c64e2, 0x369181bbaad43236, 0x4a774f8971030a18, 0xa5f1760bf9961280,
  0x9a391dd2ec0e19c0, 0xc5e8524482481fee, 0x7c3f3f7c117e53e5, 0x94c301bb87c28862, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x84d6b45421968464, 0xbc84b6ec17fe80e7, 0x5c9fff4f930586f2, 0x1c8fdd1df2cb5e50,
  0xa531f490e2481ef7, 0x46989cc580aa0f33, 0xfb30475e00d784f5, 0x3cb3db88722aa01f, 0xf157ceee2a4ae230,
  0xce6283b5e5caad67, 0xeace75152a8d7738, 0xae0404e9b95daa5b, 0x588695cbec7a4439, 0xcd935d73daad115e,
  0x55d520b94b5f3a03, 0x9c6378ce88173748, 0xe8ab7b15545a75d7, 0xc252d4bf2b6ccee9, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x2926f36dc12792bf,
};

/*
 * m128rfa1_swio14_dual_pr_ee        m128rfr2_swio14_dual_pr_ee        m1280_swio14_dual_pr_ee
 * m1281_swio14_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_swio14_dual_pr_ee[] = {
  0xb80addddddd432db, 0x02f67eeef241c2f9, 0x66d36c1021fda0dd, 0x1a271d626f66e8bf, 0x2d0513fc791f0156,
  0xc8e08ab07866743f, 0x213cbcc13e32638d, 0x23037755a8646d45, 0xee9f12e20614306d, 0xe2e1a3f32c250094,
  0xc8fd3fb0b1f387fc, 0x8524482481f57cd1, 0xf3f7c117e53e5c5e, 0xd81bb87c288627c3, 0xe4be5f2e7e43e46d,
  0x7fc841690df2e2ef, 0x122a10cb423da219, 0x5b70d1ff4073c269, 0xffa7c982c3795e42, 0x26ab5a380d28296b,
  0x0d983912391e5781, 0x8450ef8af7dc723e, 0x7d185962291669d6, 0x697286b84173484d, 0x58af087b472f8e75,
  0x1463e58d56ba1d7b, 0x7b2e3e3170908a27, 0x7715255c2d7fadc3, 0xdaf2e556b3f8abe7, 0x8a9546bb9c673141,
  0x74dcaed52df5673a, 0xe5f63d221cd70202, 0xb9ed5688af2c434a, 0x5ca5af9d01e6c9ae, 0x67440b9ba42aea90,
  0x8aaa2d3aebce31bc, 0x5f95b66774f455bd, 0x7dc78661bbe1296a, 0x7f07771a2cf7f882, 0xb867a615c9fbab33,
  0x87494b670e271964, 0xa3824f257ee68665, 0x0000000000642870,
};

/*
 * m128rfa1_swio14_dual_pr_ee_u4     m128rfr2_swio14_dual_pr_ee_u4     m1280_swio14_dual_pr_ee_u4
 * m1281_swio14_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio14_dual_pr_ee_u4[] = {
  0xb7777768a87fb202, 0x9fbbbc9069ee6e3d, 0xbd7b2c49c9d914ed, 0xd95ee30faabf7eaf, 0xb8f8f23e3d8ed40b,
  0x8c5a3fc1cac10672, 0x04f8c946772feb74, 0x56a191b51483e7d3, 0x881850c1b48c0ddd, 0x9961298093ba7c4b,
  0xc0341c34d7177f9f, 0x4903e9f9a391ffe6, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e5e7203770,
  0x690df2e2efe4be5f, 0xcb417da2197fc841, 0xfe80e784c1ee2a10, 0x0586f2bc84b6eff3, 0xfee94131fff20653,
  0x71c8f2bb75355ad1, 0xae2b4723e0d9830f, 0x2291669d68450ef8, 0x8a973484d7d18596, 0x3233d4e75697cacb,
  0x1aad743af5137860, 0x62e121147508e21b, 0x1b047eb70decbe96, 0xddc5494025af07d5, 0x76bcb955acfe2af9,
  0xa2a551aee719cc50, 0x9d372bb54b7d59ce, 0xb97d8f488735c080, 0xae7b55a22bcb10d2, 0x17296be74079b26b,
  0x19d102e6e90abaa4, 0x62aa8b4ebaf38c6f, 0x97e56d99dd3d156f, 0x17b1e1986ef84a5a, 0xbf8347f1a2cf7f88,
  0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x87f86792bf734332, 0x000000000159234f,
};

/*
 * m128rfa1_swio14_dual_pr_ce        m128rfr2_swio14_dual_pr_ce        m1280_swio14_dual_pr_ce
 * m1281_swio14_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_swio14_dual_pr_ce[] = {
  0x86eddddddd435032, 0x6f67eeefa875c79b, 0xe17bee0eb00a4670, 0x9f4e7ac1651f2c5a, 0x6137b363afba1b99,
  0xe9dcaaf6d1febdf7, 0x6a290ba2cc13e327, 0x8369181bbaad4323, 0x04a774f8971030a1, 0xeafe2f43ff996128,
  0xa68e478e5b038270, 0x717a14912092076e, 0x9f0fcfdf045f94f9, 0xcb9be06ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0xc260522a10cb40f5, 0xbc84b6f43fff4073, 0x74dfff4f930586f2, 0x9dece015df591250,
  0xb730df9e7085b79b, 0x97340aee122270e6, 0x68e4709f3dcb3dba, 0x52b07ba4871240ed, 0xaf09ea8d31398b01,
  0x55403ff6678ebc01, 0x2571181e5add10e4, 0xe556b3f8abe77715, 0x46bb9c673141daf2, 0xaed52df5673a8a95,
  0x3d221cd7020274dc, 0x5688af2c434ae5f6, 0xaf9d01e6c9aeb9ed, 0x0b9ba42aea905ca5, 0x2d3aebce31bc6744,
  0x6ccee9e31dbd8aaa, 0x0cc377c252d4bf2b, 0xee3459eff104fb8f, 0x4c2b93f75666fe0e, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x00000073d656a704,
};

/*
 * m128rfa1_swio14_dual_pr_ce_u4     m128rfr2_swio14_dual_pr_ce_u4     m1280_swio14_dual_pr_ce_u4
 * m1281_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_dual_pr_ce_u4[] = {
  0x6eeeeed150ffbf5b, 0x7eeef537683cdd05, 0xe66e3524c29c1bb6, 0xce207c8435ade3fe, 0x69e4d7dd414d88c8,
  0x9bd60138290177d7, 0x8f5cc13e3260ddc9, 0x037755a8646d4520, 0x9f12e20614306d23, 0xf4d7e6584a6024ee,
  0xf63fb0ff8700d1c5, 0x24482481d0fcd1c8, 0xf7c117e53e5c5e85, 0x1bb87c288627c3f3, 0xbe5f2e7e43e41488,
  0xc841690df2e2efe4, 0x150865a0fe22197f, 0x7d35ff4073c26dbf, 0x032982c3795e425b, 0x06feb52a5042d7f9,
  0x9e7085bf80677d3e, 0x4bf10d8489ecb387, 0x0fdd60007ea3c278, 0x7d752e6cf6e12227, 0x40ed68e4709f3dcb,
  0x8b0152b07ba48712, 0xbc01af09ea8d3139, 0x10e455403ff6678e, 0x77152571181e5add, 0xdaf2e556b3f8abe7,
  0x8a9546bb9c673141, 0x74dcaed52df5673a, 0xe5f63d221cd70202, 0xb9ed5688af2c434a, 0x5ca5af9d01e6c9ae,
  0x67440b9ba42aea90, 0x8aaa2d3aebce31bc, 0xbf2b6ccee9e31dbd, 0xbd8f0cc377c252d4, 0xfc1a3f8d167bfc40,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x3fc33c95fb9a1996, 0x000000001a491562,
};

/*
 * m1284rfr2_swio14_dual_pr_ee_ce_u4 m128rfa1_swio14_dual_pr_ee_ce     m128rfa1_swio14_dual_pr_ee_ce_u4
 * m128rfr2_swio14_dual_pr_ee_ce     m128rfr2_swio14_dual_pr_ee_ce_u4  m1280_swio14_dual_pr_ee_ce
 * m1280_swio14_dual_pr_ee_ce_u4     m1281_swio14_dual_pr_ee_ce        m1281_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio14_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0xeeefc2859be6ea3f, 0x7c0fb66cabec5f67, 0x653c1666f4d48efd, 0x5294a3f55ecfbbbd,
  0x0ab36a74d75721d4, 0x265c908bef4eba6b, 0x5148bd524c13e325, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x51c5da0ff9961298, 0x4723dc8ec0928e19, 0xf4292241240d9bf3, 0x1f9fbe08bf29f2e2, 0xe5c0ddc3e144313e,
  0xfe4be5f2e7e43e49, 0x97fc841690df2e2e, 0xb3a2a10cb409d221, 0x2dbb41ffe80e784d, 0xfc8194c161bcaf21,
  0x06fea8e87e507acf, 0x9e7085bf80677d66, 0x4bf10d8489ecb387, 0xee9d18f5fea3c278, 0x3a9ba6cf6e122270,
  0xdf8e4795cae94ed6, 0xc57a6e391f06cc1e, 0xb1148b34eb422814, 0xbb2b0ea426be8c2c, 0x4de180c8cf539d5d,
  0x4710d8d578d8ebd4, 0x65f4b3170908a3a8, 0xbc1f546c1132386f, 0xf8abe77715252cd6, 0x673141daf2e556b3,
  0xf5673a8a9546bb9c, 0xd7020274dcaed52d, 0x2c434ae5f63d221c, 0xe6c9aeb9ed5688af, 0x2aea905ca5af9d01,
  0xce31bc67440b9ba4, 0xe31dbd8aaa2d3aeb, 0xc252d4bf2b6ccee9, 0x7bfc40bd8f0cc377, 0x4eaccdfc1a3f8d16,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x00c21f3fc33c95fb, 0x0000000000000010,
};

/*
 * m128rfa1_swio14_dual_ee_hw        m128rfr2_swio14_dual_ee_hw        m1280_swio14_dual_ee_hw
 * m1281_swio14_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio14_dual_ee_hw[] = {
  0xb6eeeeed14683202, 0xb3f777920d3dcdc7, 0xf7af6589393b229d, 0x7b2bdc61f557efd5, 0x571f1e47c7b1da81,
  0x741f5f7a6b5820ce, 0x7d304f8c9467721a, 0xddd56a191b51483e, 0xc4b881850c1b48c0, 0xfcfccb094e833ba7,
  0xff3601a0e1a6b8bb, 0x4482481f4fcd1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xf2f973f21f2f3901,
  0x420b486f97177f25, 0x50865a0bed10cbfe, 0x7f9ff4073c260f71, 0x5a982c3795e425b7, 0xd68ff74a098fffc6,
  0x187b8e4795dba9aa, 0x77c5715a391f06cc, 0x2cb1148b34eb4228, 0x565c54b9a426be8c, 0xc301919ea73ab4be,
  0x10d8d56ba1d7a89b, 0xf4b3170908a3a847, 0x3ea8d823f5b86f65, 0x57ceee2a4a012d78, 0x6283b5e5caad67f1,
  0xce75152a8d7738ce, 0x0404e9b95daa5bea, 0x8695cbec7a4439ae, 0x935d73daad115e58, 0xd520b94b5f3a03cd,
  0x6378ce8817374855, 0xab7b15545a75d79c, 0x52d4bf2b6ccee9e8, 0x95a82ecf0cc377c2, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x000aed2ea928a792,
};

/*
 * m1284rfr2_swio14_dual_ee_ce_u4_hw m128rfa1_swio14_dual_ee_ce_hw     m128rfa1_swio14_dual_ee_ce_u4_hw
 * m128rfr2_swio14_dual_ee_ce_hw     m128rfr2_swio14_dual_ee_ce_u4_hw  m1280_swio14_dual_ee_ce_hw
 * m1280_swio14_dual_ee_ce_u4_hw     m1281_swio14_dual_ee_ce_hw        m1281_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio14_dual_ee_ce_hw[] = {
  0xfbbbbbb451a0746e, 0x7eeefc2859be6ea3, 0xd7c0fb66cabec5f6, 0xd653c1666f4d48ef, 0x45294a3f55ecfbbb,
  0xfba428a74d75721d, 0xf192932e416d2571, 0x0c8da8a45ea92609, 0xc2860da4606eeab5, 0x84a7419dd3e25c40,
  0xa38654717683fe65, 0x66fcd1c8f723b024, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x0f9279703770f851,
  0xcb8bbf92f97cb9f9, 0x748865ff2105a437, 0x9e136ce8a8432d02, 0x2bc84b6ed07ffa03, 0x1eb3ff8cb530586f,
  0xdf5981bfaa3a1f94, 0x9670f3ce10b7e439, 0x784f097e21b0913d, 0x911387b928ebefd4, 0x4a76b1d4dd367b70,
  0x3660f6fc723cae57, 0x1140a62bd371c8f8, 0xf4616588a459a75a, 0x9ceaedd958752135, 0xc75ea26f0c06467a,
  0x451d423886c6abc6, 0x91c37b2fa598b848, 0x2966b5e0faa36089, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x76a96fab39d454aa, 0xe910e6b81013a6e5, 0xb44579621a572fb1, 0x7ce80f364d75cf6a, 0x5cdd21575482e52d,
  0x69d75e718de33a20, 0x66774f18edec5551, 0x661bbe1296a5f95b, 0xe50c2a44ad417678, 0x7f197e627ff787bd,
  0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x21453c95fb9a1996, 0x0000000000ebac77,
};

/*
 * m2564rfr2_swio15_noled            m128rfa1_swio15_noled             m128rfr2_swio15_noled
 * m1280_swio15_noled                m1281_swio15_noled                m256rfr2_swio15_noled
 * m2560_swio15_noled                m2561_swio15_noled
 */
static const uint64_t ur_m1284rfr2_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x9e0cc24f76f37bf3, 0x590266c44bdeeb60,
  0x69827c64ee82f413, 0x92821effcb8fcfc0, 0x7cf4723c4277cb74, 0xba609e98d2438920, 0x8445464d1cc580b7,
  0x0bdc72c608ebc5d7, 0x3141daf2e556a566, 0x673a8a9546bb9c67, 0xcd674dcaed52df57, 0x9621a55abfdfd221,
  0x9de7eb5cf6ab4457, 0xf4835f5380b2953e, 0x45f45021695844c2, 0xb6cce9c6378ce881, 0xf0cc377c252d4bf2,
  0x4b867a615c9f9fd8, 0x587494b670e27196, 0x8cf254f257ee6866, 0x000000000002a4d3,
};

/*
 * m1284rfr2_swio15_noled_pr_u4      m2564rfr2_swio15_noled_pr         m2564rfr2_swio15_noled_pr_u4
 * m128rfa1_swio15_noled_pr          m128rfa1_swio15_noled_pr_u4       m128rfr2_swio15_noled_pr
 * m128rfr2_swio15_noled_pr_u4       m1280_swio15_noled_pr             m1280_swio15_noled_pr_u4
 * m1281_swio15_noled_pr             m1281_swio15_noled_pr_u4          m256rfr2_swio15_noled_pr
 * m256rfr2_swio15_noled_pr_u4       m2560_swio15_noled_pr             m2560_swio15_noled_pr_u4
 * m2561_swio15_noled_pr             m2561_swio15_noled_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio15_noled_pr[] = {
  0xddbbbbbb448690e3, 0xb5cb4b10ac5c6b13, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd9ee888,
  0x193ba245999bb0dc, 0xdff861b3ebee609f, 0x1e5f1df2d07e5063, 0xea2921c4903e8239, 0xdece62c059653406,
  0xcc11d7a3ebc39223, 0x2cf6e0ff48a807fe, 0x1daf2e556b2ed40f, 0xa8a9546bb9c67314, 0x74dcaed52df57673,
  0x1a55abfdfd221cd6, 0xfd75cf6ab4457962, 0x0ba9b14a7869de01, 0x8c6f19d102eaf483, 0x156f62aa8b4a42f3,
  0x252d4bf2b6ccec63, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xc9a566dc12792bf7, 0x0000000000000007,
};

/*
 * m1284rfr2_swio15_noled_pr_ee_u4   m2564rfr2_swio15_noled_pr_ee      m2564rfr2_swio15_noled_pr_ee_u4
 * m128rfa1_swio15_noled_pr_ee       m128rfa1_swio15_noled_pr_ee_u4    m128rfr2_swio15_noled_pr_ee
 * m128rfr2_swio15_noled_pr_ee_u4    m1280_swio15_noled_pr_ee          m1280_swio15_noled_pr_ee_u4
 * m1281_swio15_noled_pr_ee          m1281_swio15_noled_pr_ee_u4       m256rfr2_swio15_noled_pr_ee
 * m256rfr2_swio15_noled_pr_ee_u4    m2560_swio15_noled_pr_ee          m2560_swio15_noled_pr_ee_u4
 * m2561_swio15_noled_pr_ee          m2561_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio15_noled_pr_ee[] = {
  0xf7bbbbbb4486b044, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0x27776527da3bb172, 0xff0c367d2d4c13e3, 0x5cd56b46fe4a08d6, 0x83660c27c723caca, 0xa1143be2b53d1c8f,
  0x5f4616588a459a75, 0x569790eb8d64d213, 0x79d3bc32223c90e7, 0x2f88e0fd8d56ba1d, 0x86f65b2e62e12114,
  0x056b13ca8d823f5b, 0x19cc5076bcb955a8, 0xd5d9cea2a551aee7, 0x887359d372bb54b7, 0x15e5886956aff7f4,
  0xa77807f5d73daad1, 0xabd20c2ea6c529e1, 0x290bce31bc67440b, 0x33b18c55bd8aaa2d, 0x30ddf094b52fcadb,
  0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004eb80567049,
};

/*
 * m1284rfr2_swio15_noled_pr_ce_u4   m128rfa1_swio15_noled_pr_ce       m128rfa1_swio15_noled_pr_ce_u4
 * m128rfr2_swio15_noled_pr_ce       m128rfr2_swio15_noled_pr_ce_u4    m1280_swio15_noled_pr_ce
 * m1280_swio15_noled_pr_ce_u4       m1281_swio15_noled_pr_ce          m1281_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_noled_pr_ce[] = {
  0xc9bbbbbb4486bf3e, 0x5ae5a58382d0bac3, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a375e44,
  0x27c64eece22c5707, 0x18adfe186cf93a98, 0xdcee3901bfac7b94, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xa55243892064f472, 0x9223dece62c0531f, 0x07feccf1d7a3ebc3,
  0xb503cb5ba0ff48a8, 0x9cc5076bcb955acb, 0x5d9cea2a551aee71, 0x87359d372bb54b7d, 0x5e5886956aff7f48,
  0x77807f5d73daad11, 0xbd20c2ea6c529e1a, 0x90bce31bc67440ba, 0x763131dbd8aaa2d2, 0x1bbe1296a5f95b66,
  0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0001baf998ae093c,
};

/*
 * m1284rfr2_swio15_noled_pr_ee_ce_u4 m128rfa1_swio15_noled_pr_ee_ce    m128rfa1_swio15_noled_pr_ee_ce_u4
 * m128rfr2_swio15_noled_pr_ee_ce    m128rfr2_swio15_noled_pr_ee_ce_u4 m1280_swio15_noled_pr_ee_ce
 * m1280_swio15_noled_pr_ee_ce_u4    m1281_swio15_noled_pr_ee_ce       m1281_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_noled_pr_ee_ce[] = {
  0x21bbbbbb4486bd5b, 0x1f72d2c42240bac1, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522920a,
  0x4eef77ee0e75a094, 0xfc30d9f9869827c6, 0x037f54635a507f5f, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x67ac723cace1ca76, 0x53159438e47c1b30, 0xb2c4522cd3ad08a0,
  0x76e90e3a909afa30, 0x9d3bc32223c90e75, 0xf11c1fb1aaf1b1d7, 0xdecb65cc5c242285, 0x76b13ca8d8226470,
  0x9cc5076bcb955a96, 0x5d9cea2a551aee71, 0x87359d372bb54b7d, 0x5e5886956aff7f48, 0x77807f5d73daad11,
  0xbd20c2ea6c529e1a, 0x90bce31bc67440ba, 0x763131dbd8aaa2d2, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866,
  0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00004fcb720e093c,
};

/*
 * m2564rfr2_swio15_noled_ee_hw      m128rfa1_swio15_noled_ee_hw       m128rfr2_swio15_noled_ee_hw
 * m1280_swio15_noled_ee_hw          m1281_swio15_noled_ee_hw          m256rfr2_swio15_noled_ee_hw
 * m2560_swio15_noled_ee_hw          m2561_swio15_noled_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio15_noled_ee_hw[] = {
  0xf7bbbbbb451a1541, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0x652e6ab5a37f2504, 0x47c1b30613e391e5, 0x3ad08a1df15a9e8e,
  0x09afa30b2c4522cd, 0x73ab4bc875c6b269, 0x0ebce9de19111e48, 0x8a17c4707ec6ab5d, 0xadc37b2d97317090,
  0xd402b589e546c11f, 0x738ce6283b5e5caa, 0x5beaece75152a8d7, 0xfa4439ace9b95daa, 0x688af2c434ab57fb,
  0xf0d3bc03faeb9ed5, 0x05d5e90617536294, 0x169485e718de33a2, 0x6d99d8c62adec555, 0xe1986ef84a5a97e5,
  0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xa6b514f257ee6866, 0x0000000000002df9,
};

/*
 * m1284rfr2_swio15_noled_ee_ce_u4_hw m128rfa1_swio15_noled_ee_ce_hw    m128rfa1_swio15_noled_ee_ce_u4_hw
 * m128rfr2_swio15_noled_ee_ce_hw    m128rfr2_swio15_noled_ee_ce_u4_hw m1280_swio15_noled_ee_ce_hw
 * m1280_swio15_noled_ee_ce_u4_hw    m1281_swio15_noled_ee_ce_hw       m1281_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio15_noled_ee_ce_hw[] = {
  0x437777768a34704a, 0x3ee5a58844817582, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a452414,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0x7037f54635a507f5, 0x1e79c216fc873bfd, 0xe12fc4361227b2ce,
  0x9c3f539705fa8f09, 0xb58e9ef9b3db8488, 0x833d6391e5670e53, 0x0298aca1c723e0d9, 0x85962291669d6845,
  0xabb74871d484d7d1, 0xbce9de19111e4873, 0x2f88e0fd8d578d8e, 0x86f65b2e62e12114, 0xb3b589e546c11323,
  0x8ce6283b5e5caad4, 0xeaece75152a8d773, 0x4439ace9b95daa5b, 0x8af2c434ab57fbfa, 0xd3bc03faeb9ed568,
  0xd5e90617536294f0, 0x9485e718de33a205, 0x33b1898edec55516, 0x30ddf094b52fcadb, 0x286152256a0bb3c3,
  0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xea29e4afdcd0ccb0,
  0x000000000280b03e,
};

/*
 * m1284rfr2_swio15_lednop_pr        m1284rfr2_swio15_lednop_pr_u4     m2564rfr2_swio15_lednop
 * m2564rfr2_swio15_lednop_pr        m2564rfr2_swio15_lednop_pr_u4     m128rfa1_swio15_lednop
 * m128rfa1_swio15_lednop_pr         m128rfa1_swio15_lednop_pr_u4      m128rfr2_swio15_lednop
 * m128rfr2_swio15_lednop_pr         m128rfr2_swio15_lednop_pr_u4      m1280_swio15_lednop
 * m1280_swio15_lednop_pr            m1280_swio15_lednop_pr_u4         m1281_swio15_lednop
 * m1281_swio15_lednop_pr            m1281_swio15_lednop_pr_u4         m256rfr2_swio15_lednop
 * m256rfr2_swio15_lednop_pr         m256rfr2_swio15_lednop_pr_u4      m2560_swio15_lednop
 * m2560_swio15_lednop_pr            m2560_swio15_lednop_pr_u4         m2561_swio15_lednop
 * m2561_swio15_lednop_pr            m2561_swio15_lednop_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio15_lednop[] = {
  0xddbbbbbb4486d38b, 0x5ae5a58856cc6b13, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fbb3dd11,
  0xe327751994e69652, 0x06ff0c367ff74c13, 0x91f4a3be5a0fca0c, 0x5eea921c4903e823, 0x38c8e62c05965314,
  0xecc11d7a3ebc20a2, 0xf2cf6f2288aa807f, 0x076bcb955a9485c0, 0xea2a551aee719cc5, 0x9d372bb54b7d5d9c,
  0x5c958f488735c080, 0xd73daad115e58869, 0x0b94b5f3a03cd935, 0x8ce8817374855d52, 0xb15545a75d79c637,
  0x97e56d99c10b8ab7, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e,
  0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0xf0b824f257ee6866, 0x00000000001f262b,
};

/*
 * m1284rfr2_swio15_lednop_pr_ee_u4  m2564rfr2_swio15_lednop_pr_ee     m2564rfr2_swio15_lednop_pr_ee_u4
 * m128rfa1_swio15_lednop_pr_ee      m128rfa1_swio15_lednop_pr_ee_u4   m128rfr2_swio15_lednop_pr_ee
 * m128rfr2_swio15_lednop_pr_ee_u4   m1280_swio15_lednop_pr_ee         m1280_swio15_lednop_pr_ee_u4
 * m1281_swio15_lednop_pr_ee         m1281_swio15_lednop_pr_ee_u4      m256rfr2_swio15_lednop_pr_ee
 * m256rfr2_swio15_lednop_pr_ee_u4   m2560_swio15_lednop_pr_ee         m2560_swio15_lednop_pr_ee_u4
 * m2561_swio15_lednop_pr_ee         m2561_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio15_lednop_pr_ee[] = {
  0xef777776890c1107, 0xd5cb4b1ea7646b05, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229110bd,
  0x64eea722af323bf7, 0xffc30d9fe9f9827c, 0x7a6ab5a37f2507ab, 0xc1b30613e391e56a, 0xd08a1df15cae8e47,
  0xafa30b2c4522cd3a, 0xab4b94b5c6b26909, 0xbce9de1329182873, 0x4be47916c6ab5d0e, 0x86f65b2e62e12114,
  0x0a0ff48a8d823f5b, 0x3398a0ed7972ab50, 0xabb39d454aa35dce, 0xb81013a6e576a96f, 0xb10d2b92b1e910e6,
  0x9b26bae7b55a22bc, 0xabaa417296be7407, 0x38c6f19d102e6e90, 0x7156f62aa8b4ebaf, 0x094b52fcadb33821,
  0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x9d735827049e4afd,
};

/*
 * m1284rfr2_swio15_lednop_pr_ce_u4  m128rfa1_swio15_lednop_pr_ce      m128rfa1_swio15_lednop_pr_ce_u4
 * m128rfr2_swio15_lednop_pr_ce      m128rfr2_swio15_lednop_pr_ce_u4   m1280_swio15_lednop_pr_ce
 * m1280_swio15_lednop_pr_ce_u4      m1281_swio15_lednop_pr_ce         m1281_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_lednop_pr_ce[] = {
  0xc9bbbbbb44864aa4, 0xad72d2c1c1420ac3, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1baf22,
  0x27c64eea4cb1789d, 0x2707fc30d9fa1f98, 0xb9d93a037f58f728, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x9f490e248193d1c8, 0x511c64731602afb0, 0x3ff6678ebd1f5e10,
  0xb81e5add91445540, 0x98a0ed7972ab5290, 0xb39d454aa35dce33, 0x1013a6e576a96fab, 0x0d2b92b1e910e6b8,
  0x26bae7b55a22bcb1, 0xaa417296be74079b, 0xc6f19d102e6e90ab, 0x76f62aa8b4ebaf38, 0x96a5f95b667042cc,
  0xe205ec78661bbe12, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xff9a6e093c95fb9a, 0x00000000000001ba,
};

/*
 * m1284rfr2_swio15_lednop_pr_ee_ce_u4 m128rfa1_swio15_lednop_pr_ee_ce
 * m128rfa1_swio15_lednop_pr_ee_ce_u4 m128rfr2_swio15_lednop_pr_ee_ce
 * m128rfr2_swio15_lednop_pr_ee_ce_u4 m1280_swio15_lednop_pr_ee_ce
 * m1280_swio15_lednop_pr_ee_ce_u4   m1281_swio15_lednop_pr_ee_ce      m1281_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_lednop_pr_ee_ce[] = {
  0x121bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522920,
  0x93bbb36d3c5a87e3, 0xfe186cfb37e609f1, 0x81bfaa31ad283787, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x19eb1c8f2b28729d, 0x14c57812391f06cc, 0x2cb1148b34eb4228,
  0x5db8a58ea426be8c, 0xe74ef09948c1439d, 0xbe47916c6abc6c75, 0x6f65b2e62e121144, 0x707fa4546c113238,
  0x9cc5076bcb955a96, 0x5d9cea2a551aee71, 0xc0809d372bb54b7d, 0x88695c958f488735, 0xd935d73daad115e5,
  0x5d520b94b5f3a03c, 0xc6378ce881737485, 0x63b7b15545a75d79, 0x94b52fcadb338216, 0xff102f63c330ddf0,
  0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0xfcde4a7049e4afdc, 0x0000000000000004,
};

/*
 * m2564rfr2_swio15_lednop_ee_hw     m128rfa1_swio15_lednop_ee_hw      m128rfr2_swio15_lednop_ee_hw
 * m1280_swio15_lednop_ee_hw         m1281_swio15_lednop_ee_hw         m256rfr2_swio15_lednop_ee_hw
 * m2560_swio15_lednop_ee_hw         m2561_swio15_lednop_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio15_lednop_ee_hw[] = {
  0x7bdddddda28d0582, 0xb572d2c7a9d91ac1, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a4442f,
  0x4f8c9dd3b410f4b5, 0xf57ff958b3fd3f30, 0xad4f4d56b46fe4a0, 0xc8f83660c27c723c, 0xa75a1143be2b95d1,
  0x2135f4616588a459, 0x0e75697296b8d64d, 0xa1d79d3bc2652305, 0x22897c8f22d8d56b, 0xeb70decb65cc5c24,
  0x6a0141fe9151b047, 0xb9c673141daf2e55, 0x2df57673a8a9546b, 0x1cd7020274dcaed5, 0x579621a572563d22,
  0x80f364d75cf6ab44, 0xd21575482e52d7ce, 0x75e718de33a205cd, 0x042e2adec555169d, 0xbbe1296a5f95b667,
  0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0x53c95fb9a19961d2, 0x000000016f8d20f4,
};

/*
 * m1284rfr2_swio15_lednop_ee_ce_u4_hw m128rfa1_swio15_lednop_ee_ce_hw
 * m128rfa1_swio15_lednop_ee_ce_u4_hw m128rfr2_swio15_lednop_ee_ce_hw
 * m128rfr2_swio15_lednop_ee_ce_u4_hw m1280_swio15_lednop_ee_ce_hw
 * m1280_swio15_lednop_ee_ce_u4_hw   m1281_swio15_lednop_ee_ce_hw      m1281_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio15_lednop_ee_ce_hw[] = {
  0x437777768a34306a, 0x3ee5a58844375582, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a452414,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x606fea8c6b4a0de1, 0x3cf3842df90e7778, 0xc25f886c244f659c,
  0x70e16467aff51e13, 0xd63a7be6cf6e1222, 0x0cf58e479594394e, 0x0a62bc091c8f8366, 0x16588a459a75a114,
  0xaedc52c752135f46, 0xf3a7784ca460a1ce, 0x5f23c8b6355e363a, 0x37b2d973170908a2, 0x383fd22a3608991c,
  0xce6283b5e5caad4b, 0xaece75152a8d7738, 0xe0404e9b95daa5be, 0xc434ae4ac7a4439a, 0x6c9aeb9ed5688af2,
  0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0x31dbd8aaa2d3aebc, 0x4a5a97e56d99c10b, 0x12b505d9e1986ef8,
  0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x00014059800514f2,
};

/*
 * m1284rfr2_swio15_dual_pr          m1284rfr2_swio15_dual_pr_u4       m128rfa1_swio15_dual
 * m128rfa1_swio15_dual_pr           m128rfa1_swio15_dual_pr_u4        m128rfr2_swio15_dual
 * m128rfr2_swio15_dual_pr           m128rfr2_swio15_dual_pr_u4        m1280_swio15_dual
 * m1280_swio15_dual_pr              m1280_swio15_dual_pr_u4           m1281_swio15_dual
 * m1281_swio15_dual_pr              m1281_swio15_dual_pr_u4
 */
static const uint64_t ur_m1284rfr2_swio15_dual[] = {
  0x60eeeeeed121a5fb, 0x767eeef1b79f7cdd, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadd583e46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x97c5d82fe6584a01,
  0x68e4774bb0386702, 0x17a1491209207fba, 0xf0fcfdf045f94f97, 0x5cb406ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x135ad150865a1192, 0xf212dba9effa039e, 0x4adffd3e4c161bca, 0x723edf3be59ef941,
  0x1dfca4871240e0fc, 0x1c42731602a83cd2, 0xecc11d78035e1ea1, 0x7967b7f20f8a807f, 0xf157ceee2a4beca0,
  0xce6283b5e5caad67, 0xaece75152a8d7738, 0xe0404e9b95daa5be, 0xc434ae4ac7a4439a, 0x6c9aeb9ed5688af2,
  0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0xc55bd8aaa2d3aebc, 0x252d4bf2b6cce085, 0xbfc40bd8f0cc377c,
  0x9d599bf83bb8d167, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0x9271f5dc12792bf7, 0x0000000000000002,
};

/*
 * m128rfa1_swio15_dual_pr_ee        m128rfr2_swio15_dual_pr_ee        m1280_swio15_dual_pr_ee
 * m1281_swio15_dual_pr_ee
 */
static const uint64_t ur_m1284rfr2_swio15_dual_pr_ee[] = {
  0x76c5bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47db158,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x7170d1f99612804a,
  0xe47e9fd858f9c3fe, 0x4292241240fabe68, 0xf9fbe08bf29f2e2f, 0x1c0ddc3e144313e1, 0xf25f2f973f21f2e4,
  0xbfe420b486f97177, 0x89150865a11ed10c, 0x5b74dbffa039e134, 0xffa7c982c3795e42, 0x4d56b46bee50687f,
  0x1b307dd4723caf2b, 0x08a1df15dba8e47c, 0xfa30b2c4522cd3ad, 0xd2ec157082e6909a, 0x58af0c7b47389cea,
  0x08d6bd8d56ba1d7b, 0xf65c7c62e1211420, 0x7715255c3dff5b86, 0xdaf2e556b3f8abe7, 0x8a9546bb9c673141,
  0x4dcaed52df57673a, 0x2563d221cd702027, 0xcf6ab44579621a57, 0xe52d7ce80f364d75, 0x3a205cdd21575482,
  0x555169d75e718de3, 0xf95b667042e2adec, 0xdc78661bbe1296a5, 0xf07771a2cf7f8827, 0x867a615c9fbab337,
  0x7494b670e271964b, 0xb824f257ee686658, 0x0000000006428dc7,
};

/*
 * m128rfa1_swio15_dual_pr_ee_u4     m128rfr2_swio15_dual_pr_ee_u4     m1280_swio15_dual_pr_ee_u4
 * m1281_swio15_dual_pr_ee_u4
 */
static const uint64_t ur_m1284rfr2_swio15_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6e75, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23e758ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x6584a6024ee9f12e,
  0x00d070d35c5dfe7e, 0x240fa7e68e47ff9b, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0x73f21f2185c0ddc3,
  0x486f97177f25f2f9, 0x5a0bed10cbfe420b, 0xf4073c260f715086, 0x586f2bc84b6f6b7f, 0x93941b1fff206530,
  0x1c8f2bd37355ad1b, 0xe394723e0d9838f7, 0x291669d68450ef8a, 0xa973484d7d185962, 0xa3ea0e7569795cb8,
  0xaad743af5137857d, 0x5c2422809e8fe4b1, 0x608fd6e1bd97d2cc, 0xdc5494027bc6faa3, 0x6bcb955acfe2af9d,
  0x2a551aee719cc507, 0x372bb54b7d5d9cea, 0x958f488735c0809d, 0x3daad115e588695c, 0x94b5f3a03cd935d7,
  0xe8817374855d520b, 0x5545a75d79c6378c, 0xe56d99c10b8ab7b1, 0xb1e1986ef84a5a97, 0x8347f1a2cf7f8817,
  0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0xf86792bf734332c3, 0x00000001592d98a7,
};

/*
 * m128rfa1_swio15_dual_pr_ce        m128rfr2_swio15_dual_pr_ce        m1280_swio15_dual_pr_ce
 * m1281_swio15_dual_pr_ce
 */
static const uint64_t ur_m1284rfr2_swio15_dual_pr_ce[] = {
  0x9baddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba6e999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0xd1c8f1cb60704e1d, 0x2f4292241240edd4, 0xe1f9fbe08bf29f2e, 0x18040ddc3e144313, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x4c0a454219681ea8, 0xc84b6e16bfe80e78, 0x677ff4f930586f2b, 0xdc56015df5eea507,
  0x7cb5f9e7085b79b9, 0x7340aee122270f78, 0xc723c893dcb3dba9, 0xf3a3dd2438920622, 0x787a847109cc580b,
  0x2a01ffb33c75e00d, 0x4beca0796b77c83e, 0xcaad67f157ceee2a, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a,
  0xa4439ae0404e9b95, 0x688af2c434ae4ac7, 0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a, 0xd3aebce31bc67440,
  0x99c10b31dbd8aaa2, 0x986ef84a5a97e56d, 0xc68b3dfe209f71e1, 0x85727eeaccdfc1dd, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00001cf58e8ae093,
};

/*
 * m128rfa1_swio15_dual_pr_ce_u4     m128rfr2_swio15_dual_pr_ce_u4     m1280_swio15_dual_pr_ce_u4
 * m1281_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e76, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd3b4d88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2fa6bf32c2530127,
  0x47b1fd87fc38068e, 0x292241240e87e68e, 0x9fbe08bf29f2e2f4, 0xc0ddc3e144313e1f, 0x25f2f973f21f2575,
  0xfe420b486f97177f, 0xf8a8432d07f110cb, 0xb79dbffa039e136d, 0x9032982c3795e425, 0xc0dfd4a2ca0f4fff,
  0xf3ce10b7f00cecc7, 0x097e21b0913d9670, 0xc3baa3541fd4784f, 0xdf5d4b9b3db84889, 0x48188b1c8f224f72,
  0x31602fce8f7490e2, 0xd78035e1ea11c427, 0xdf20f8a807feccf1, 0x3bb8a92fb281e5ad, 0x0ed7972ab59fc55f,
  0xd454aa35dce3398a, 0x3a6e576a96fabb39, 0xb92b1e910e6b8101, 0xae7b55a22bcb10d2, 0x17296be74079b26b,
  0x19d102e6e90abaa4, 0x62aa8b4ebaf38c6f, 0x5f95b667042cc76f, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x1fe19e4afdcd0ccb, 0x000000000d24e334,
};

/*
 * m1284rfr2_swio15_dual_pr_ee_ce_u4 m128rfa1_swio15_dual_pr_ee_ce     m128rfa1_swio15_dual_pr_ee_ce_u4
 * m128rfr2_swio15_dual_pr_ee_ce     m128rfr2_swio15_dual_pr_ee_ce_u4  m1280_swio15_dual_pr_ee_ce
 * m1280_swio15_dual_pr_ee_ce_u4     m1281_swio15_dual_pr_ee_ce        m1281_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m1284rfr2_swio15_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xfbbbf0a30a737403, 0x9d385e4c2afb17d9, 0x6d1a3ff57dfafb46, 0x294a40355ecfab8d,
  0xd7fa0b761563f86a, 0x932e52b8f1566e69, 0x5148d5f86609f192, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x51c5da0ff9961298, 0x4723dc8ec0928e19, 0xf4292241240d9bf3, 0x1f9fbe08bf29f2e2, 0x24c0ddc3e144313e,
  0xfe4be5f2e7e43e47, 0x97fc841690df2e2e, 0xb3a2a10cb409d221, 0x96dd493fe80e784d, 0xfe40ca60b0de5790,
  0x01bfaa30b5282951, 0xe79c216fe019da54, 0x12fc4361227b2ce1, 0x7de7d0f27fa8f09e, 0x1d4dd367b7091138,
  0x654723caf7dca76b, 0x315ece8e47c1b306, 0x2c4522cd3ad08a05, 0x6e95c3a909afa30b, 0x137857da3ea0e757,
  0xd1fc96355e363af5, 0xb2fa598b84845013, 0xbc6faa3608991c37, 0xfe2af9ddc5494b37, 0x19cc5076bcb955ac,
  0xd5d9cea2a551aee7, 0x5c0809d372bb54b7, 0x588695c958f48873, 0xcd935d73daad115e, 0x55d520b94b5f3a03,
  0x9c6378ce88173748, 0x663b7b15545a75d7, 0x094b52fcadb33821, 0xeff102f63c330ddf, 0x3ab337f068fe3459,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x006a90ff0cf257ee, 0x0000000000000020,
};

/*
 * m128rfa1_swio15_dual_ee_hw        m128rfr2_swio15_dual_ee_hw        m1280_swio15_dual_ee_hw
 * m1281_swio15_dual_ee_hw
 */
static const uint64_t ur_m1284rfr2_swio15_dual_ee_hw[] = {
  0x6dddddda28d1880b, 0xb3f7779203f39b9d, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8f9d63b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0xe7e6584a7419dd3e,
  0xf9b00d070d35c5df, 0x241240fa7e68e47f, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2185c0d,
  0x20b486f97177f25f, 0x0865a0bed10cbfe4, 0xb7ff4073c260f715, 0x530586f2bc84b6f6, 0xd1b93941b1fff8cb,
  0x8f71c8f2bd37355a, 0xf8ae394723e0d983, 0x962291669d68450e, 0xcb8a973484d7d185, 0x57da3ea0e7569795,
  0x4b1aad743af51378, 0x2cc5c2422809e8fe, 0xaa3608fd6e1bd97d, 0xf9ddc5494027bc6f, 0x5076bcb955acfe2a,
  0xcea2a551aee719cc, 0x09d372bb54b7d5d9, 0x95c958f488735c08, 0x5d73daad115e5886, 0x20b94b5f3a03cd93,
  0x78ce8817374855d5, 0x7b15545a75d79c63, 0xa97e56d99c10b8ab, 0x505d9e1986ef84a5, 0xfde1ef79430a912b,
  0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x2bb473c9d14f257e,
};

/*
 * m1284rfr2_swio15_dual_ee_ce_u4_hw m128rfa1_swio15_dual_ee_ce_hw     m128rfa1_swio15_dual_ee_ce_u4_hw
 * m128rfr2_swio15_dual_ee_ce_hw     m128rfr2_swio15_dual_ee_ce_u4_hw  m1280_swio15_dual_ee_ce_hw
 * m1280_swio15_dual_ee_ce_u4_hw     m1281_swio15_dual_ee_ce_hw        m1281_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m1284rfr2_swio15_dual_ee_ce_hw[] = {
  0x77777768a347e907, 0x3f777e14614e6e80, 0xd3a70bc9855f62fb, 0xada347feafbf5f68, 0x45294806abd9f571,
  0x35b46e6ec2ac7f0d, 0xf192932e41013485, 0x191b5148d5f86609, 0x850c1b48c0ddd56a, 0x094e833ba7c4b881,
  0x470ca8e2ed07fccb, 0xcdf9a391ee476049, 0xf9717a1491209206, 0x189f0fcfdf045f94, 0x1f2392606ee1f0a2,
  0x97177f25f2f973f2, 0xe910cbfe420b486f, 0x3c26d9d150865a04, 0x2bc84b6ea49ff407, 0x14a8ff8cb530586f,
  0xed2a00dfd5185a94, 0xcb3879e7085bf21c, 0x3c2784bf10d8489e, 0x4889c3bc03118fea, 0xe53b58ea6e9b3db8,
  0x0d98332a391e57be, 0x8450298af674723e, 0x7d185962291669d6, 0x073abb74ae1d484d, 0xb1d7a89bc2bed1f5,
  0x22809e8fe4b1aaf1, 0xc8e1bd97d2cc5c24, 0x4a59bde37d51b044, 0xcaad67f157ceee2a, 0x8d7738ce6283b5e5,
  0xdaa5beaece75152a, 0xa4439ae0404e9b95, 0x688af2c434ae4ac7, 0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a,
  0xd3aebce31bc67440, 0x99c10b31dbd8aaa2, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x0d14f257ee686658, 0x00000000075d53ff,
};

/*
 * m2564rfr2_autobaud_uart0_noled_pr_ce_u4 m256rfr2_autobaud_uart0_noled_pr_ce
 * m256rfr2_autobaud_uart0_noled_pr_ce_u4 m2560_autobaud_uart0_noled_pr_ce
 * m2560_autobaud_uart0_noled_pr_ce_u4 m2561_autobaud_uart0_noled_pr_ce
 * m2561_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0xaeff0c367f674c13, 0xba443a0440a9f094, 0x70afd549af9c3980, 0x01bfa8290da37b54, 0x9e70949f3cdceff7,
  0x4bf10d8489ecb387, 0x70f000527ea3c278, 0x2df5eb26cf6e1222, 0x1240f591c8e4f4f7, 0x0e62c054c6d6a487,
  0xf1d7a3ebc382d1eb, 0x5b838d12a807fecc, 0x0312b5ec4d5f03cb, 0x8301deb5e73859bf, 0xf29b19c2de6f3e0a,
  0x7440959486e2ea72, 0x2aa8b4ac24e31bc6, 0xfcadb339538c76f6, 0xf63c330ddf094b52, 0xfe0eee3459eff102,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x27049e4afdcd0ccb, 0x00000000023756f8,
};

/*
 * m2564rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m256rfr2_autobaud_uart0_noled_pr_ee_ce
 * m256rfr2_autobaud_uart0_noled_pr_ee_ce_u4 m2560_autobaud_uart0_noled_pr_ee_ce
 * m2560_autobaud_uart0_noled_pr_ee_ce_u4 m2561_autobaud_uart0_noled_pr_ee_ce
 * m2561_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x0d9fc6e9827c64ee, 0x022054f849aeffc3, 0xa4d7ce1cc05d221d, 0x4b86d1bdaa3857ea, 0x9e6e761680dfd519,
  0x44f659c3cf384a4f, 0x3f51e13c25f886c2, 0x7b70911387ba1baa, 0x57d44a76b1d3df36, 0xe47c1b306b5e391e,
  0x69d68450298afba8, 0x484d7d1859622916, 0xd1e0b39d5db8f51d, 0xaaf1b1d79d3bc237, 0xb848450b3d1871b1,
  0xb044c8e1bd96cb98, 0x2b5ec2ce41541d51, 0x1deb5e73859bf031, 0xb19c2de6f3e0a830, 0x0959486e2ea72f29,
  0x8b4ac24e31bc6744, 0xdb339538c76f62aa, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9,
  0x00000008227d9e70,
};

/*
 * m2564rfr2_autobaud_uart0_noled_ee_ce_u4_hw m256rfr2_autobaud_uart0_noled_ee_ce_hw
 * m256rfr2_autobaud_uart0_noled_ee_ce_u4_hw m2560_autobaud_uart0_noled_ee_ce_hw
 * m2560_autobaud_uart0_noled_ee_ce_u4_hw m2561_autobaud_uart0_noled_ee_ce_hw
 * m2561_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0xe81102a7c24d77fe, 0x5526be70e602e910, 0xca5c368ded51c2bf, 0xfbc873b0b406fea8,
  0x244f659c3cf384a4, 0x7ff51e13c25f886c, 0xb3db84889c3b3974, 0xf2bea253b58e9ef9, 0x4723e0d9835af1c8,
  0xb34eb422814c57dd, 0xea426be8c2cb1148, 0xbe8f059ceaedc7a8, 0x8d578d8ebce9de11, 0xc5c2422859e8c38d,
  0x8d8226470decb65c, 0x895af616720aa0ea, 0x80ef5af39c2cdf81, 0x4d8ce16f379f0541, 0x204aca4371753979,
  0x545a5612718de33a, 0x56d99ca9c63b7b15, 0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x9d52514f257ee686, 0x00000000000012a4,
};

/*
 * m2564rfr2_autobaud_uart0_lednop_pr_ce_u4 m256rfr2_autobaud_uart0_lednop_pr_ce
 * m256rfr2_autobaud_uart0_lednop_pr_ce_u4 m2560_autobaud_uart0_lednop_pr_ce
 * m2560_autobaud_uart0_lednop_pr_ce_u4 m2561_autobaud_uart0_lednop_pr_ce
 * m2561_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x9bff0c367c6b4c13, 0xba443a0440a9f096, 0x70afd549af9c3980, 0x01bfa8290da37b54, 0x9e70949f3cdcefe7,
  0x4bf10d8489ecb387, 0xc3e37760fea3c278, 0xb7d7ac9b3db84889, 0x4903d64723f493dc, 0x731602e4907e921c,
  0x1d7a3ebc24d23486, 0x73da1f6a807feccf, 0x6256bd9ee0a0796b, 0xd6bcf020270b37e0, 0x00b79bcda450603b,
  0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xb4e18edec5551698, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x00237527e17049e4,
};

/*
 * m2564rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m256rfr2_autobaud_uart0_lednop_pr_ee_ce
 * m256rfr2_autobaud_uart0_lednop_pr_ee_ce_u4 m2560_autobaud_uart0_lednop_pr_ee_ce
 * m2560_autobaud_uart0_lednop_pr_ee_ce_u4 m2561_autobaud_uart0_lednop_pr_ee_ce
 * m2561_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0xc367cd6e609f193b, 0xa0440a9f090a4ff0, 0x549af9c3980ba443, 0x2970da37b5470afd, 0xe79b9dd8f81bfaa3,
  0x913d9670f3ce1293, 0xbfd4784f097e21b0, 0x3db84889c38000db, 0x2beea53b58e9ef9b, 0x723e0d9835af1c8f,
  0x69d68450298ac3dc, 0x484d7d1859622916, 0x88c9a39d5dba441d, 0x6abc6c75e74ef08f, 0x170908a3a046f6ac,
  0x3608991c37b2d973, 0xc4ad7b0b30e344aa, 0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8,
  0xca718de33a207c46, 0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0010441eaee093c9,
};

/*
 * m2564rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m256rfr2_autobaud_uart0_lednop_ee_ce_hw
 * m256rfr2_autobaud_uart0_lednop_ee_ce_u4_hw m2560_autobaud_uart0_lednop_ee_ce_hw
 * m2560_autobaud_uart0_lednop_ee_ce_u4_hw m2561_autobaud_uart0_lednop_ee_ce_hw
 * m2561_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0x3a0440a9f090a4ff, 0xd549af9c3980ba44, 0x32970da37b5470af, 0x7de439dd8f81bfaa,
  0x1227b2ce1e79c252, 0x13fa8f09e12fc436, 0xb3db84889c3b41c1, 0xf2beea53b58e9ef9, 0xc723e0d9835af1c8,
  0x669d68450298ac3d, 0xd484d7d185962291, 0xf88c9a39d5dba441, 0xc6abc6c75e74ef08, 0x3170908a3a046f6a,
  0xa3608991c37b2d97, 0x0c4ad7b0b30e344a, 0x7ad79e0404e166fc, 0x8016f379b48a0c07, 0x690e1aa6f529c94e,
  0x0ca718de33a207c4, 0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000009524cf27,
};

/*
 * m2564rfr2_autobaud_uart0_dual_pr  m2564rfr2_autobaud_uart0_dual_pr_u4
 * m256rfr2_autobaud_uart0_dual      m256rfr2_autobaud_uart0_dual_pr
 * m256rfr2_autobaud_uart0_dual_pr_u4 m2560_autobaud_uart0_dual
 * m2560_autobaud_uart0_dual_pr      m2560_autobaud_uart0_dual_pr_u4   m2561_autobaud_uart0_dual
 * m2561_autobaud_uart0_dual_pr      m2561_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual[] = {
  0x7ddddddda2437089, 0xeeeeeeeef2419f73, 0x086931eb68ebed17, 0x7d763db777560a33, 0x2bc9eb2abbeb699f,
  0x40523304f8c95c77, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da, 0x174b5f99529c0129, 0x91e2b6c06b1c09d7,
  0x8524482481efb9a3, 0xf3f7c117e53e5c5e, 0xb81bb87c288627c3, 0xf92f97cb9f90f97e, 0x5ff2105a437cb8bb,
  0x3745421968694886, 0x4b6e70ffe80e784d, 0xfff4f930586f2bc8, 0x221d022054f8497d, 0x57eaa4d7ce1cc05d,
  0xbe589a86d1bdaa38, 0x71240c43c723e453, 0xb01541e63d621a48, 0x8035e1ded1d7f398, 0xe13ea807fecc11d7,
  0x2a4b14e40f2cf6f9, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8,
  0xca718de33a207c46, 0xb4e455bd8aaa2d30, 0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3,
  0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x000b82e4937049e4,
};

// m256rfr2_autobaud_uart0_dual_pr_ee m2560_autobaud_uart0_dual_pr_ee   m2561_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_pr_ee[] = {
  0xf37dddddddd432db, 0x09bbbbbbbbe82b85, 0x9137b3745fb369b6, 0x0513cd8467ba7593, 0xe08ab07866743f2d,
  0x3cbcc13e326c35c8, 0x037755a8646d4521, 0x9f12e20614306d23, 0x67cfcca94e0094ee, 0xfafb035b384c3717,
  0x2241240e004d1c8f, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f236ec0, 0x420b486f97177f25,
  0x50865a181110cbfe, 0x0d1ff4073c262eb1, 0x7c982c3795e425b7, 0x81102a7c2496bffa, 0x526be70e602e910e,
  0x224368ded51c2bf5, 0x4723cad7dcd56b47, 0x5fee8e47c1b3060a, 0x4522cd3ad08a1df1, 0x152e6909afa30b2c,
  0x447bd9cead2e63d7, 0x1aad743af5137872, 0xc5c2422883e8f9eb, 0x3608fd6e1bd97d2c, 0x771525009af905aa,
  0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x99da722adec55516, 0x986ef84a5a97e56d, 0xc68b3dfe209f71e1, 0x85727eeaccdfc1dd, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x000041179c28e093,
};

/*
 * m256rfr2_autobaud_uart0_dual_pr_ee_u4 m2560_autobaud_uart0_dual_pr_ee_u4
 * m2561_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_pr_ee_u4[] = {
  0xeeeeeed150fed8be, 0xddddddf415c2f9be, 0xd9ba2fd9b4db04dd, 0xe6c233dd3ac9c89b, 0x61e197d61f968289,
  0x4f8c9b0d7279d690, 0x6a191b51484f2f30, 0x81850c1b48c0ddd5, 0x54a718093ba7c4b8, 0xad9c261b8bb3e7e6,
  0x0700268e47fd7d81, 0x94f9717a14912092, 0xa2189f0fcfdf045f, 0xf90f91b7606ee1f0, 0x37cb8bbf92f97cb9,
  0x0c088865ff2105a4, 0x039e131758a8432d, 0x1bcaf212db868ffa, 0x7c2496bfc8194c16, 0x0e602e910e81102a,
  0xded51c2bf5526be7, 0xd7dcd56b47224368, 0x47c1b3060a4723ca, 0x3ad08a1df15fee8e, 0x09afa30b2c4522cd,
  0xcead2e63d7152e69, 0x3af5137872447bd9, 0x2883e8f9eb1aad74, 0x6e1bd97d2cc5c242, 0x009af905aa3608fd,
  0xbd93f8abe7771525, 0xf020270b37e06256, 0x9bcda450603bd6bc, 0xd537a94e4a7400b7, 0xc6f19d103e234870,
  0x2adec55516986538, 0x4a5a97e56d99da72, 0x7f8817b1e1986ef8, 0xd599bf8347f1a2cf, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x5cf267f86792bf73,
  0x0000000000002952,
};

// m256rfr2_autobaud_uart0_dual_pr_ce m2560_autobaud_uart0_dual_pr_ce   m2561_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_pr_ce[] = {
  0x7dddddddd41432db, 0xddddddddec8227f3, 0x55eeb610f508749b, 0xa6bd8beeee9ba015, 0x91c115658219d577,
  0x902a89827c64e4eb, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x8bd6ffe654a7004a, 0x474dbd84ed9c2d6f,
  0x292241240c66e68e, 0x9fbe08bf29f2e2f4, 0xc0ddc3e144313e1f, 0x92f97cb9f90f9747, 0xff2105a437cb8bbf,
  0xc8a8432d0fdc8865, 0x6dce0ffd01cf099f, 0xfe9f260b0de57909, 0x43a0440a9f09656f, 0xfd549af9c3980ba4,
  0xfafc90da37b5470a, 0x949f3cdceca280ae, 0x2270ed7687df9e70, 0xcb3dba97340aee12, 0x2481d4b8e471bf3d,
  0x9cc580a803df490e, 0x8ebc01af0ef68ebf, 0xddcf09f5403ff667, 0x9ddc549629c81e5a, 0xdf81895af64fe2af,
  0x80ef5af3c0809c2c, 0x29d002de6f369141, 0xf88d21c354dea539, 0x5a6194e31bc67440, 0x6cced3863b7b1554,
  0x0cc377c252d4bf2b, 0x771a2cf7f88138cf, 0x0a912b53ab337f07, 0x347d8cec389c6943, 0xc970cf4c2b93f01f,
  0xcb0e9296ce1c4e32, 0x6647049e4afdcd0c, 0x00000000000015af,
};

/*
 * m256rfr2_autobaud_uart0_dual_pr_ce_u4 m2560_autobaud_uart0_dual_pr_ce_u4
 * m2561_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_pr_ce_u4[] = {
  0xeeeeeed150fe8f43, 0xddddddf42f0fb9be, 0xae3bf7a339b7d7dd, 0x6a3fbbba7692664c, 0xdad4fe1a9c7912e1,
  0x4c13e325eb5cbc4f, 0xeab50c8da8a44d52, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xc3f5ce06b7c5e61b,
  0x4903adf9a391c526, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e400003770, 0x690df2e2efe4be5f,
  0xcb4182a2197fc841, 0xfe80e784d21e2a10, 0x0586f2bc84b6fff3, 0x0a9f0913aff20653, 0xf9c3980ba443a044,
  0xda37b5470afd549a, 0x00ceca181bfaf510, 0x7b2ce1e79c2527df, 0xa8f09e12fc436122, 0xdc2444e1f9699bff,
  0x37e7b96faea5cd9e, 0xe921c4903a971c8e, 0xd1d7f398b015007b, 0xfeccf1d78035e1de, 0x03cb5bb9e13ea807,
  0xfc55f3bb8a92c539, 0x13859bf0312b5ec9, 0xd228301deb5e7810, 0xd4a7253a005bcde6, 0xce881f11a4386a9b,
  0x62aa8b4c329c6378, 0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0xbf8347f1a2cf7f88, 0xbca1854895a9d599,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x87f86792bf734332,
  0x0000000056bd8a2c,
};

/*
 * m2564rfr2_autobaud_uart0_dual_pr_ee_ce_u4 m256rfr2_autobaud_uart0_dual_pr_ee_ce
 * m256rfr2_autobaud_uart0_dual_pr_ee_ce_u4 m2560_autobaud_uart0_dual_pr_ee_ce
 * m2560_autobaud_uart0_dual_pr_ee_ce_u4 m2561_autobaud_uart0_dual_pr_ee_ce
 * m2561_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce[] = {
  0xbbbbbb4543ff2812, 0x777777bd7eece6fb, 0x18df5f4ceb54eb77, 0x45266ea01d9b3825, 0xc7f4130a56d0af62,
  0xa2fb97c7acaa719b, 0xa8a418bb5304f8c9, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0x478bf9cbf32a538c,
  0xc8e000d81b76700a, 0x0a48904903548cd1, 0xe7ef822fca7cb8bd, 0x303770f8510c4f87, 0x25f2f973f21f2879,
  0xfe420b486f97177f, 0x5150865a0ff110cb, 0xdc92bfe80e784dbb, 0x40ca60b0de579096, 0xe81102a7c2530dfe,
  0x5526be70e602e910, 0xe574368ded51c2bf, 0xf7c033bd3406fea8, 0x489ecb3879e70949, 0x77ea3c2784bf10d8,
  0xcf6e122270fe72ea, 0xcadfc94ed63a9ba6, 0x8e47c1b306be4723, 0xcd3ad08a05315d4a, 0xa909afa30b2c4522,
  0x223dece7576e31e3, 0x1aaf1b1d7a89bc39, 0xc5c2422883e8f9eb, 0x1b044c8e1bd97d2c, 0xbb8a92966d7c82d5,
  0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x3a005bcde6d22830, 0x11a4386a9bd4a725, 0x4c329c6378ce881f,
  0x99da70c76f62aa8b, 0x986ef84a5a97e56d, 0xf1a2cf7f8817b1e1, 0x4895a9d599bf8347, 0xcc4ffef0f7bca185,
  0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x003f56f75487f867,
};

// m256rfr2_autobaud_uart0_dual_ee_hw m2560_autobaud_uart0_dual_ee_hw   m2561_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_ee_hw[] = {
  0xddddddda28d0d4d6, 0xbbbbbbbe82b85f37, 0x7b3745fb369b609b, 0x3cd8467ba7593913, 0xc67d7d66e3f2d051,
  0x2f304f8c9b0d726e, 0xddd56a191b51484f, 0xc4b881850c1b48c0, 0xf3f32a538e833ba7, 0xbec0d6ce130dc5d9,
  0x90490380134723fe, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c8dbb037, 0x82d21be5c5dfc97c,
  0x219686044432ff90, 0x47fd01cf098bac54, 0xa60b0de579096dc3, 0x88153e124b5ff196, 0x35f3873017488740,
  0x21b46f6a8e15faa9, 0x91e56bee6ab5a391, 0xf74723e0d9830523, 0x91669d68450ef8af, 0x973484d7d1859622,
  0x3dece7569731eb8a, 0x56ba1d7a89bc3922, 0xe1211441f47cf58d, 0x047eb70decbe9662, 0x8a92804d7c82d51b,
  0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x005bcde6d228301d, 0xa4386a9bd4a7253a, 0x329c6378ce881f11,
  0xed39156f62aa8b4c, 0x377c252d4bf2b6cc, 0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x0000000b072a0fba,
};

/*
 * m2564rfr2_autobaud_uart0_dual_ee_ce_u4_hw m256rfr2_autobaud_uart0_dual_ee_ce_hw
 * m256rfr2_autobaud_uart0_dual_ee_ce_u4_hw m2560_autobaud_uart0_dual_ee_ce_hw
 * m2560_autobaud_uart0_dual_ee_ce_u4_hw m2561_autobaud_uart0_dual_ee_ce_hw
 * m2561_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d10668, 0xbbbbbbbdebf76737, 0x28c6fafa675aa75b, 0x1229337500ecd9c1, 0x0373341852b6857b,
  0x7c64d17dcaae3ec0, 0x8646d4520c5da982, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x9c0291e2fe72fcca,
  0x23347238003606dd, 0x2e2f4292241240d5, 0x13e1f9fbe08bf29f, 0xca1e4c0ddc3e1443, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x136ed454219683fc, 0xe425b724affa039e, 0xc37fc65a982c3795, 0xba443a0440a9f094,
  0x70afd549af9c3980, 0xbfaa395d0da37b54, 0xe1293ef21cef4d01, 0xe21b0913d9670f3c, 0xe86ea8fd4784f097,
  0x5374d9edc2444e1e, 0xc8e4795bf929dac7, 0x2ba951c8f83660d7, 0x88a459a75a1140a6, 0xc63c752135f46165,
  0x37872447bd9ceaed, 0x1f3d6355e363af51, 0x2fa598b84845107d, 0x905aa3608991c37b, 0x8abe77715252cdaf,
  0x70b37e06256bd93f, 0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a, 0x55516986538c6f19,
  0xfcadb33b4e18edec, 0xbb3c330ddf094b52, 0xc3def286152256a0, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x326797a29e4afdcd, 0x000000000000084d,
};

/*
 * m2564rfr2_autobaud_uart1_noled_pr_ce_u4 m256rfr2_autobaud_uart1_noled_pr_ce
 * m256rfr2_autobaud_uart1_noled_pr_ce_u4 m2560_autobaud_uart1_noled_pr_ce
 * m2560_autobaud_uart1_noled_pr_ce_u4 m2561_autobaud_uart1_noled_pr_ce
 * m2561_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0xaeff0c367f674c13, 0x748b54088153e094, 0xe15faa935fc8bf01, 0x037f50521b46f6a8, 0x3ce1293e79b9dfee,
  0x97e21b0913d9670f, 0xe1e000a4fd4784f0, 0x5bebd64d9edc2444, 0x2481eb2391c9e9ee, 0x1cc580a98dad490e,
  0xe3af47d78705a3d6, 0xb7071a25500ffd99, 0x0c4eefd89abe0796, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8,
  0x8812b290dc5d4e5e, 0x551695849c6378ce, 0x95b6672a718edec5, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e,
  0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xe093c95fb9a19961, 0x0000000046eadf04,
};

/*
 * m2564rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m256rfr2_autobaud_uart1_noled_pr_ee_ce
 * m256rfr2_autobaud_uart1_noled_pr_ee_ce_u4 m2560_autobaud_uart1_noled_pr_ee_ce
 * m2560_autobaud_uart1_noled_pr_ee_ce_u4 m2561_autobaud_uart1_noled_pr_ee_ce
 * m2561_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x0d9fc6e9827c64ee, 0x0440a9f049aeffc3, 0x49afe45f80ba45aa, 0x970da37b5470afd5, 0x3cdcec2d01bfaa32,
  0x89ecb3879e70949f, 0x7ea3c2784bf10d84, 0xf6e122270f743754, 0xafa894ed63a7be6c, 0xc8f83660d6bc723c,
  0xd3ad08a05315f751, 0x909afa30b2c4522c, 0xa3c1673abb71ea3a, 0x55e363af3a77846f, 0x70908a167a30e363,
  0x608991c37b2d9731, 0xeefd859c82a83aa3, 0xdfbbf39c9b6fc0c4, 0x33937e6f3e0a8301, 0x2b290dc5d4e5e536,
  0x695849c6378ce881, 0x6672a718edec5551, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x000001044fb3ce09,
};

/*
 * m2564rfr2_autobaud_uart1_noled_ee_ce_u4_hw m256rfr2_autobaud_uart1_noled_ee_ce_hw
 * m256rfr2_autobaud_uart1_noled_ee_ce_u4_hw m2560_autobaud_uart1_noled_ee_ce_hw
 * m2560_autobaud_uart1_noled_ee_ce_u4_hw m2561_autobaud_uart1_noled_ee_ce_hw
 * m2561_autobaud_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw[] = {
  0x377777768a34173e, 0xdddddd2c527d1dd6, 0xc1b9775174dd694e, 0xc6250e0dbdd24317, 0x773ed00ea27c0bc9,
  0x562cfe374c13e327, 0x5022054f824d77fe, 0xaa4d7f22fc05d22d, 0x94b86d1bdaa3857e, 0xf790e761680dfd51,
  0x489ecb3879e70949, 0xffea3c2784bf10d8, 0x67b70911387672e8, 0xe57d44a76b1d3df3, 0x8e47c1b306b5e391,
  0x669d68450298afba, 0xd484d7d185962291, 0x7d1e0b39d5db8f51, 0x1aaf1b1d79d3bc23, 0x8b848450b3d1871b,
  0x1b044c8e1bd96cb9, 0x2777ec2ce41541d5, 0x0efddf9ce4db7e06, 0xb19c9bf379f05418, 0x0959486e2ea72f29,
  0x8b4ac24e31bc6744, 0xdb339538c76f62aa, 0xc330ddf094b52fca, 0xef286152256a0bb3, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xaa4a29e4afdcd0cc, 0x0000000000025493,
};

/*
 * m2564rfr2_autobaud_uart1_lednop_pr_ce_u4 m256rfr2_autobaud_uart1_lednop_pr_ce
 * m256rfr2_autobaud_uart1_lednop_pr_ce_u4 m2560_autobaud_uart1_lednop_pr_ce
 * m2560_autobaud_uart1_lednop_pr_ce_u4 m2561_autobaud_uart1_lednop_pr_ce
 * m2561_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x9bff0c367c6b4c13, 0x748b54088153e096, 0xe15faa935fc8bf01, 0x037f50521b46f6a8, 0x3ce1293e79b9dfce,
  0x97e21b0913d9670f, 0x87c6eec1fd4784f0, 0x6faf59367b709113, 0x9207ac8e47e927b9, 0xe62c05c920fd2438,
  0x3af47d7849a4690c, 0xe7b43ed500ffd99e, 0x89ddfb3dc140f2d6, 0x77e781013936df81, 0x4df9bcda450603bf,
  0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c, 0xbe1296a5f95b6676, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x046ea4fc2e093c95,
};

/*
 * m2564rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m256rfr2_autobaud_uart1_lednop_pr_ee_ce
 * m256rfr2_autobaud_uart1_lednop_pr_ee_ce_u4 m2560_autobaud_uart1_lednop_pr_ee_ce
 * m2560_autobaud_uart1_lednop_pr_ee_ce_u4 m2561_autobaud_uart1_lednop_pr_ee_ce
 * m2561_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0xc367cd6e609f193b, 0x4088153e090a4ff0, 0xa935fc8bf01748b5, 0x52e1b46f6a8e15fa, 0xcf373bb1f037f546,
  0x227b2ce1e79c2527, 0x7fa8f09e12fc4361, 0x7b709113870001b7, 0x57dd4a76b1d3df36, 0xe47c1b306b5e391e,
  0xd3ad08a0531587b8, 0x909afa30b2c4522c, 0x1193473abb74883a, 0xd578d8ebce9de11f, 0x2e121147408ded58,
  0x6c1132386f65b2e6, 0x13bbf61661c68954, 0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00,
  0x4e31bc67440f88d2, 0x3863b7b15545a619, 0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x020883d5dc12792b,
};

/*
 * m2564rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m256rfr2_autobaud_uart1_lednop_ee_ce_hw
 * m256rfr2_autobaud_uart1_lednop_ee_ce_u4_hw m2560_autobaud_uart1_lednop_ee_ce_hw
 * m2560_autobaud_uart1_lednop_ee_ce_u4_hw m2561_autobaud_uart1_lednop_ee_ce_hw
 * m2561_autobaud_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x377777768a341bc1, 0xdddddd2c527cc8d6, 0xa3b83647f5d96bd6, 0x7c950e0dbdd24317, 0xba3ae9afbdd9ba81,
  0x2b167cd6e609f193, 0x54088153e090a4ff, 0xaa935fc8bf01748b, 0x652e1b46f6a8e15f, 0xfbc873bb1f037f54,
  0x244f659c3cf384a4, 0x27f51e13c25f886c, 0x67b7091138768382, 0xe57dd4a76b1d3df3, 0x8e47c1b306b5e391,
  0xcd3ad08a0531587b, 0xa909afa30b2c4522, 0xf1193473abb74883, 0x8d578d8ebce9de11, 0x62e121147408ded5,
  0x46c1132386f65b2e, 0x313bbf61661c6895, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x854895a82ecf0cc3, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00000012a499e4e8,
};

/*
 * m2564rfr2_autobaud_uart1_dual_pr  m2564rfr2_autobaud_uart1_dual_pr_u4
 * m256rfr2_autobaud_uart1_dual      m256rfr2_autobaud_uart1_dual_pr
 * m256rfr2_autobaud_uart1_dual_pr_u4 m2560_autobaud_uart1_dual
 * m2560_autobaud_uart1_dual_pr      m2560_autobaud_uart1_dual_pr_u4   m2561_autobaud_uart1_dual
 * m2561_autobaud_uart1_dual_pr      m2561_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual[] = {
  0x7ddddddda2437089, 0xeeeeeeeef2419f73, 0x086931eb68ebed17, 0x7d763db777560a33, 0x2bc9eb2abbeb699f,
  0x40523304f8c95c77, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da, 0x174b5f99529c0129, 0x91e2b6c06b1c09d7,
  0x8524482481efb9a3, 0xf3f7c117e53e5c5e, 0xb81bb87c288627c3, 0xf92f97cb9f90f97e, 0x5ff2105a437cb8bb,
  0x3745421968694886, 0x4b6e70ffe80e784d, 0xfff4f930586f2bc8, 0x45aa0440a9f0497d, 0xafd549afe45f80ba,
  0x7cb1350da37b5470, 0xe24818878e47c8a7, 0x602a83cc7ac43490, 0x006bc3bda3afe731, 0xc27d500ffd9823af,
  0x549629c81e59edf3, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00,
  0x4e31bc67440f88d2, 0x9c8ab7b15545a619, 0xbe1296a5f95b6676, 0xb3dfe205ec78661b, 0xad4eaccdfc1ddc68,
  0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x01705c926e093c95,
};

// m256rfr2_autobaud_uart1_dual_pr_ee m2560_autobaud_uart1_dual_pr_ee   m2561_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_pr_ee[] = {
  0xf37dddddddd432db, 0x09bbbbbbbbe82b85, 0x9137b3745fb369b6, 0x0513cd8467ba7593, 0xe08ab07866743f2d,
  0x3cbcc13e326c35c8, 0x037755a8646d4521, 0x9f12e20614306d23, 0x67cfcca94e0094ee, 0xfafb035b384c3717,
  0x2241240e004d1c8f, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f236ec0, 0x420b486f97177f25,
  0x50865a181110cbfe, 0x0d1ff4073c262eb1, 0x7c982c3795e425b7, 0x022054f82496bffa, 0xa4d7f22fc05d22d5,
  0x4486d1bdaa3857ea, 0x8e4795afb9aad68e, 0xbfdd1c8f83660c14, 0x8a459a75a1143be2, 0x2a5cd2135f461658,
  0x88f7b39d5a5cc7ae, 0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54,
  0x8189ddfb27f157ce, 0xbf77e781013936df, 0x804df9bcda450603, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0xd167bfc413ee3c33, 0xae4fdd599bf83bb8, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x000822f3851c1279,
};

/*
 * m256rfr2_autobaud_uart1_dual_pr_ee_u4 m2560_autobaud_uart1_dual_pr_ee_u4
 * m2561_autobaud_uart1_dual_pr_ee_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_pr_ee_u4[] = {
  0xeeeeeed150fed8be, 0xddddddf415c2f9be, 0xd9ba2fd9b4db04dd, 0xe6c233dd3ac9c89b, 0x61e197d61f968289,
  0x4f8c9b0d7279d690, 0x6a191b51484f2f30, 0x81850c1b48c0ddd5, 0x54a718093ba7c4b8, 0xad9c261b8bb3e7e6,
  0x0700268e47fd7d81, 0x94f9717a14912092, 0xa2189f0fcfdf045f, 0xf90f91b7606ee1f0, 0x37cb8bbf92f97cb9,
  0x0c088865ff2105a4, 0x039e131758a8432d, 0x1bcaf212db868ffa, 0xf82496bfc8194c16, 0x2fc05d22d5022054,
  0xbdaa3857eaa4d7f2, 0xafb9aad68e4486d1, 0x8f83660c148e4795, 0x75a1143be2bfdd1c, 0x135f4616588a459a,
  0x9d5a5cc7ae2a5cd2, 0x75ea26f0e488f7b3, 0x5107d1f3d6355ae8, 0xdc37b2fa598b8484, 0x0135f20b546c11fa,
  0xfb27f157ceee2a4a, 0x81013936df8189dd, 0xbcda450603bf77e7, 0xa6f529c94e804df9, 0xde33a207c4690e1a,
  0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45, 0xf102f63c330ddf09, 0xb337f068fe3459ef, 0x1ef79430a912b53a,
  0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0x9e4cff0cf257ee68,
  0x0000000000052a4b,
};

// m256rfr2_autobaud_uart1_dual_pr_ce m2560_autobaud_uart1_dual_pr_ce   m2561_autobaud_uart1_dual_pr_ce
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_pr_ce[] = {
  0x7dddddddd41432db, 0xddddddddec8227f3, 0x55eeb610f508749b, 0xa6bd8beeee9ba015, 0x91c115658219d577,
  0x902a89827c64e4eb, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x8bd6ffe654a7004a, 0x474dbd84ed9c2d6f,
  0x292241240c66e68e, 0x9fbe08bf29f2e2f4, 0xc0ddc3e144313e1f, 0x92f97cb9f90f9747, 0xff2105a437cb8bbf,
  0xc8a8432d0fdc8865, 0x6dce0ffd01cf099f, 0xfe9f260b0de57909, 0xb54088153e09656f, 0xfaa935fc8bf01748,
  0xf5f921b46f6a8e15, 0x293e79b9d945015d, 0x44e1daed0fbf3ce1, 0x967b752e6815dc24, 0x4903a971c8e37e7b,
  0x398b015007be921c, 0x1d78035e1ded1d7f, 0xbb9e13ea807feccf, 0x3bb8a92c53903cb5, 0x7e062777ec9fc55f,
  0x0efddf9e0404e4db, 0x3a0137e6f3691418, 0x11a4386a9bd4a725, 0x4c329c6378ce881f, 0x99da70c76f62aa8b,
  0x986ef84a5a97e56d, 0xe3459eff102719e1, 0x52256a75666fe0ee, 0x8fb19d87138d2861, 0x2e19e985727e03e6,
  0x61d252d9c389c659, 0xc8e093c95fb9a199, 0x000000000002b5ec,
};

/*
 * m256rfr2_autobaud_uart1_dual_pr_ce_u4 m2560_autobaud_uart1_dual_pr_ce_u4
 * m2561_autobaud_uart1_dual_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_pr_ce_u4[] = {
  0xeeeeeed150fe8f43, 0xddddddf42f0fb9be, 0xae3bf7a339b7d7dd, 0x6a3fbbba7692664c, 0xdad4fe1a9c7912e1,
  0x4c13e325eb5cbc4f, 0xeab50c8da8a44d52, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xc3f5ce06b7c5e61b,
  0x4903adf9a391c526, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e400003770, 0x690df2e2efe4be5f,
  0xcb4182a2197fc841, 0xfe80e784d21e2a10, 0x0586f2bc84b6fff3, 0x153e0913aff20653, 0xfc8bf01748b54088,
  0xb46f6a8e15faa935, 0x019d943037f5ea21, 0xf659c3cf384a4fbe, 0x51e13c25f886c244, 0xb84889c3f2d337ff,
  0x6fcf72df5d4b9b3d, 0xd2438920752e391c, 0xa3afe731602a00f7, 0xfd99e3af006bc3bd, 0x0796b773c27d500f,
  0xf8abe77715258a72, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0x94e4a74026fcde6d, 0xd103e234870d537a,
  0x55516986538c6f19, 0xfcadb33b4e18edec, 0xf63c330ddf094b52, 0xf068fe3459eff102, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xff0cf257ee686658,
  0x0000000ad7b14590,
};

/*
 * m2564rfr2_autobaud_uart1_dual_pr_ee_ce_u4 m256rfr2_autobaud_uart1_dual_pr_ee_ce
 * m256rfr2_autobaud_uart1_dual_pr_ee_ce_u4 m2560_autobaud_uart1_dual_pr_ee_ce
 * m2560_autobaud_uart1_dual_pr_ee_ce_u4 m2561_autobaud_uart1_dual_pr_ee_ce
 * m2561_autobaud_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce[] = {
  0xbbbbbb4543ff2812, 0x777777bd7eece6fb, 0x18df5f4ceb54eb77, 0x45266ea01d9b3825, 0xc7f4130a56d0af62,
  0xa2fb97c7acaa719b, 0xa8a418bb5304f8c9, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0x478bf9cbf32a538c,
  0xc8e000d81b76700a, 0x0a48904903548cd1, 0xe7ef822fca7cb8bd, 0x303770f8510c4f87, 0x25f2f973f21f2879,
  0xfe420b486f97177f, 0x5150865a0ff110cb, 0xdc92bfe80e784dbb, 0x40ca60b0de579096, 0x5022054f82530dfe,
  0xaa4d7f22fc05d22d, 0xcae86d1bdaa3857e, 0xef80677a680dfd51, 0x913d9670f3ce1293, 0xefd4784f097e21b0,
  0x9edc2444e1fce5d4, 0x95bf929dac75374d, 0x1c8f83660d7c8e47, 0x9a75a1140a62ba95, 0x52135f4616588a45,
  0x447bd9ceaedc63c7, 0x355e363af5137872, 0x8b84845107d1f3d6, 0x3608991c37b2fa59, 0x7715252cdaf905aa,
  0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0x4026fcde6d228301, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x12b53ab337f068fe, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x07eadeea90ff0cf2,
};

// m256rfr2_autobaud_uart1_dual_ee_hw m2560_autobaud_uart1_dual_ee_hw   m2561_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_ee_hw[] = {
  0xddddddda28d0d4d6, 0xbbbbbbbe82b85f37, 0x7b3745fb369b609b, 0x3cd8467ba7593913, 0xc67d7d66e3f2d051,
  0x2f304f8c9b0d726e, 0xddd56a191b51484f, 0xc4b881850c1b48c0, 0xf3f32a538e833ba7, 0xbec0d6ce130dc5d9,
  0x90490380134723fe, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c8dbb037, 0x82d21be5c5dfc97c,
  0x219686044432ff90, 0x47fd01cf098bac54, 0xa60b0de579096dc3, 0x102a7c124b5ff196, 0x6bf917e02e916a81,
  0x4368ded51c2bf552, 0x23cad7dcd56b4722, 0xee8e47c1b3060a47, 0x22cd3ad08a1df15f, 0x2e6909afa30b2c45,
  0x7bd9cead2e63d715, 0xad743af513787244, 0xc2422883e8f9eb1a, 0x08fd6e1bd97d2cc5, 0x1525009af905aa36,
  0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x26fcde6d228301df, 0x870d537a94e4a740, 0x538c6f19d103e234,
  0xa722adec55516986, 0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6,
  0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000160e541f751,
};

/*
 * m2564rfr2_autobaud_uart1_dual_ee_ce_u4_hw m256rfr2_autobaud_uart1_dual_ee_ce_hw
 * m256rfr2_autobaud_uart1_dual_ee_ce_u4_hw m2560_autobaud_uart1_dual_ee_ce_hw
 * m2560_autobaud_uart1_dual_ee_ce_u4_hw m2561_autobaud_uart1_dual_ee_ce_hw
 * m2561_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d10668, 0xbbbbbbbdebf76737, 0x28c6fafa675aa75b, 0x1229337500ecd9c1, 0x0373341852b6857b,
  0x7c64d17dcaae3ec0, 0x8646d4520c5da982, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x9c0291e2fe72fcca,
  0x23347238003606dd, 0x2e2f4292241240d5, 0x13e1f9fbe08bf29f, 0xca1e4c0ddc3e1443, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x136ed454219683fc, 0xe425b724affa039e, 0xc37fc65a982c3795, 0x748b54088153e094,
  0xe15faa935fc8bf01, 0x7f5472ba1b46f6a8, 0xc2527de439de9a03, 0xc4361227b2ce1e79, 0xd0dd51fa8f09e12f,
  0xa6e9b3db84889c3d, 0x91c8f2b7f253b58e, 0x5752a391f06cc1af, 0x1148b34eb422814c, 0x8c78ea426be8c2cb,
  0x6f0e488f7b39d5db, 0x3e7ac6abc6c75ea2, 0x5f4b3170908a20fa, 0x20b546c1132386f6, 0x157ceee2a4a59b5f,
  0x936df8189ddfb27f, 0x50603bf77e781013, 0x9c94e804df9bcda4, 0x207c4690e1aa6f52, 0xaa2d30ca718de33a,
  0x95b66769c31dbd8a, 0x678661bbe1296a5f, 0x7bde50c2a44ad417, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x4cf2f453c95fb9a1, 0x00000000000109a6,
};

/*
 * m2564rfr2_u1x8_uart0_noled_pr_ce_u4 m256rfr2_u1x8_uart0_noled_pr_ce
 * m256rfr2_u1x8_uart0_noled_pr_ce_u4 m2560_u1x8_uart0_noled_pr_ce
 * m2560_u1x8_uart0_noled_pr_ce_u4   m2561_u1x8_uart0_noled_pr_ce      m2561_u1x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x39bfb4402dec09d2, 0xcdceff701bfa8297, 0x9ecb3879e70949f3, 0xea3c2784bf10d848,
  0xf6e122270f000527, 0x8e4f4f72df5eb26c, 0x6d6a4871240f591c, 0x382d1eb0e62c054c, 0x807feccf1d7a3ebc,
  0xd5f03cb5b838d12a, 0x73859bf0312b5ec4, 0xe6f3e0a8301deb5e, 0x6e2ea72f29b19c2d, 0x4e31bc6744095948,
  0x38c76f62aa8b4ac2, 0xf094b52fcadb3395, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0dd71aa47049e4af,
};

/*
 * m2564rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m256rfr2_u1x8_uart0_noled_pr_ee_ce
 * m256rfr2_u1x8_uart0_noled_pr_ee_ce_u4 m2560_u1x8_uart0_noled_pr_ee_ce
 * m2560_u1x8_uart0_noled_pr_ee_ce_u4 m2561_u1x8_uart0_noled_pr_ee_ce
 * m2561_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0xa2016f605ff3fc30, 0x80dfd5194bb9cdfd, 0xcf384a4f9e6e7616, 0x25f886c244f659c3,
  0x87ba1baa3f51e13c, 0xb1d3df367b709113, 0x6b5e391e57d44a76, 0x298afba8e47c1b30, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0x9d3bc237d1e0b39d, 0x3d1871b1aaf1b1d7, 0xbd96cb98b848450b, 0x41541d51b044c8e1,
  0x859bf0312b5ec2ce, 0xf3e0a8301deb5e73, 0x2ea72f29b19c2de6, 0x31bc67440959486e, 0xc76f62aa8b4ac24e,
  0x94b52fcadb339538, 0xff102f63c330ddf0, 0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xfcb2df7049e4afdc, 0x0000000000000004,
};

/*
 * m2564rfr2_u1x8_uart0_noled_ee_ce_u4_hw m256rfr2_u1x8_uart0_noled_ee_ce_hw
 * m256rfr2_u1x8_uart0_noled_ee_ce_u4_hw m2560_u1x8_uart0_noled_ee_ce_hw
 * m2560_u1x8_uart0_noled_ee_ce_u4_hw m2561_u1x8_uart0_noled_ee_ce_hw
 * m2561_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda2016f605ff3fca, 0x680dfd5194bb9cdf, 0x79e70949f790e761, 0x84bf10d8489ecb38,
  0x387672e8ffea3c27, 0x6b1d3df367b70911, 0x06b5e391e57d44a7, 0x0298afba8e47c1b3, 0x85962291669d6845,
  0xd5db8f51d484d7d1, 0x79d3bc237d1e0b39, 0xb3d1871b1aaf1b1d, 0x1bd96cb98b848450, 0xe41541d51b044c8e,
  0x3859bf0312b5ec2c, 0x6f3e0a8301deb5e7, 0xe2ea72f29b19c2de, 0xe31bc67440959486, 0x8c76f62aa8b4ac24,
  0x094b52fcadb33953, 0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000014043aa4a29e,
};

/*
 * m2564rfr2_u1x8_uart0_lednop_pr_ce_u4 m256rfr2_u1x8_uart0_lednop_pr_ce
 * m256rfr2_u1x8_uart0_lednop_pr_ce_u4 m2560_u1x8_uart0_lednop_pr_ce
 * m2560_u1x8_uart0_lednop_pr_ce_u4  m2561_u1x8_uart0_lednop_pr_ce     m2561_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x739bfb4402dec08b, 0x3cdcefe701bfa829, 0x89ecb3879e70949f, 0xfea3c2784bf10d84,
  0x3db84889c3e37760, 0x23f493dcb7d7ac9b, 0x907e921c4903d647, 0x24d23486731602e4, 0x807feccf1d7a3ebc,
  0xe0a0796b73da1f6a, 0x270b37e06256bd9e, 0xa450603bd6bcf020, 0xa94e4a7400b79bcd, 0x9d103e234870d537,
  0xc55516986538c6f1, 0x2fcadb33b4e18ede, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x6e7049e4afdcd0cc,
  0x00000000001baeb4,
};

/*
 * m2564rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m256rfr2_u1x8_uart0_lednop_pr_ee_ce
 * m256rfr2_u1x8_uart0_lednop_pr_ee_ce_u4 m2560_u1x8_uart0_lednop_pr_ee_ce
 * m2560_u1x8_uart0_lednop_pr_ee_ce_u4 m2561_u1x8_uart0_lednop_pr_ee_ce
 * m2561_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0xa2016f6049b7fe18, 0xc0dfd5194bb9cdfd, 0x9e70949f3cdceec7, 0x4bf10d8489ecb387,
  0x1c0006ddfea3c278, 0xc74f7cd9edc2444e, 0xad78e4795f7529da, 0x4c561ee391f06cc1, 0xcb1148b34eb42281,
  0xedd220ea426be8c2, 0x3a77847c464d1cea, 0x0237b56355e363af, 0xbd96cb98b848451d, 0x871a2551b044c8e1,
  0x70b37e06256bd859, 0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a, 0x55516986538c6f19,
  0xfcadb33b4e18edec, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x17049e4afdcd0ccb, 0x00000000009f9e7e,
};

/*
 * m2564rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m256rfr2_u1x8_uart0_lednop_ee_ce_hw
 * m256rfr2_u1x8_uart0_lednop_ee_ce_u4_hw m2560_u1x8_uart0_lednop_ee_ce_hw
 * m2560_u1x8_uart0_lednop_ee_ce_u4_hw m2561_u1x8_uart0_lednop_ee_ce_hw
 * m2561_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd100b7b024dbff2b, 0xe06fea8ca5dce6fe, 0x9e70949f790e7763, 0x4bf10d8489ecb387,
  0x0ed07044fea3c278, 0x63a7be6cf6e12227, 0xd6bc723cafba94ed, 0xa62b0f71c8f83660, 0x6588a459a75a1140,
  0x76e910752135f461, 0x9d3bc23e23268e75, 0x811bdab1aaf1b1d7, 0xdecb65cc5c24228e, 0xc38d12a8d8226470,
  0x3859bf0312b5ec2c, 0x228301deb5e78101, 0x4a7253a005bcde6d, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c,
  0x7e56d99da70c76f6, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1,
  0x1964b867a617c68f, 0x866587494b670e27, 0x0481f7514f257ee6, 0x0000000000000014,
};

/*
 * m2564rfr2_u1x8_uart0_dual_pr      m2564rfr2_u1x8_uart0_dual_pr_u4   m256rfr2_u1x8_uart0_dual
 * m256rfr2_u1x8_uart0_dual_pr       m256rfr2_u1x8_uart0_dual_pr_u4    m2560_u1x8_uart0_dual
 * m2560_u1x8_uart0_dual_pr          m2560_u1x8_uart0_dual_pr_u4       m2561_u1x8_uart0_dual
 * m2561_u1x8_uart0_dual_pr          m2561_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x2fbeff32a5380253, 0x23943d829e38656e,
  0x0a4890490390f347, 0xe7ef822fca7cb8bd, 0xb03770f8510c4f87, 0xf25f2f973f21f29d, 0xbfe420b486f97177,
  0x328a8432d04c510c, 0x96de037fd01cf09a, 0xffe9f260b0de5790, 0x737f68805bd8104f, 0xf1c8f914ef9626ae,
  0x8f5886921c490310, 0xb475fce62c055079, 0xffb30475e00d7877, 0x03cb3dbe784faa01, 0xfc55f3bb8a92c539,
  0x13859bf0312b5ec9, 0xd228301deb5e7810, 0xd4a7253a005bcde6, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x4bf2b6cced39156f, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x159c12792bf73433, 0x00000000000524d0,
};

// m256rfr2_u1x8_uart0_dual_pr_ee    m2560_u1x8_uart0_dual_pr_ee       m2561_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xe654a7004a774f89, 0xc2d6ce15bfc5e007,
  0x9207bb534723cede, 0x5f94f9717a149120, 0xf0a2189f0fcfdf04, 0x2e7e43e4a4806ee1, 0x690df2e2efe4be5f,
  0xcb412b22197fc841, 0xfe80e784cbee2a10, 0x0b0de579096dfabf, 0x05bd816fbffe9f26, 0xab5a3912e737f688,
  0x983052391e56bee6, 0x50ef8aff74723e0d, 0x185962291669d684, 0x731eb8a973484d7d, 0x9bc39223dece7569,
  0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de, 0xc55f3bb8a92804d7, 0x3859bf0312b5ec9f,
  0x228301deb5e78101, 0x4a7253a005bcde6d, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c, 0xbf2b6cced39156f6,
  0x38cf0cc377c252d4, 0x7f07771a2cf7f881, 0x69430a912b53ab33, 0xf01f347d8cec389c, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0x02b22047049e4afd,
};

// m256rfr2_u1x8_uart0_dual_pr_ee_u4 m2560_u1x8_uart0_dual_pr_ee_u4    m2561_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x7b5bfcca94e0094e, 0xfbb5b04db384edf1,
  0x2448248198fcd1c8, 0xf7c117e53e5c5e85, 0x1bb87c288627c3f3, 0x2f97cb9f90f92540, 0xf2105a437cb8bbf9,
  0x8a8432d0a948865f, 0xb93affa039e1347b, 0xd3e4c161bcaf212d, 0xfed100b7b0295dff, 0x6654d56b47a55ce6,
  0x23e0d983f92391e5, 0x4eb422877c572247, 0x426be8c2cb1148b3, 0x39d5a5cf55c20b9a, 0x1d7b58af088a8c9a,
  0x28afe8ded58d56ba, 0xb70decb8f8c5c242, 0xaf9ddc5495703efe, 0x2cdf81895af64fe2, 0x7980ef5af3c0809c,
  0x4e48a5abce8016f3, 0x085a7017be5217ad, 0xa718de33a2047514, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x0000ac89a07049e4,
};

// m256rfr2_u1x8_uart0_dual_pr_ce    m2560_u1x8_uart0_dual_pr_ce       m2561_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd6ffe654a7004a77, 0x4dbd84ed9c2d6f8b,
  0x2241240c66e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf97cb9f90f9747c0, 0x2105a437cb8bbf92,
  0xa8432d0fdc8865ff, 0xce0ffd01cf099fc8, 0x9f260b0de579096d, 0xf68805bd81656ffe, 0xd943037f5ea2e737,
  0x670f3ce1293e79b9, 0x84f097e21b0913d9, 0x9113876bb43efd47, 0x9ee5beba97367b70, 0x871240ea5c7238df,
  0x5fce62c05401efa4, 0x33c75e00d7877b47, 0x2d6ee784faa01ffb, 0x57ceee2a4b14e40f, 0x166fc0c4ad7b27f1,
  0xa0c077ad79e0404e, 0x9c94e8016f379b48, 0x207c4690e1aa6f52, 0xaa2d30ca718de33a, 0x95b66769c31dbd8a,
  0x678661bbe1296a5f, 0x83bb8d167bfc409c, 0xa1854895a9d599bf, 0x0f9a3ec6761c4e34, 0x1964b867a615c9f8,
  0x866587494b670e27, 0xd24323824f257ee6,
};

// m256rfr2_u1x8_uart0_dual_pr_ce_u4 m2560_u1x8_uart0_dual_pr_ce_u4    m2561_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x8e2fa6bf32a53802, 0x8e47b1fd87fc3806,
  0xf4292241240e87e6, 0x1f9fbe08bf29f2e2, 0xacc0ddc3e144313e, 0xdfc97cbe5cfc87cb, 0x32ff9082d21be5c5,
  0xdb7e2a10cb41fc44, 0x84b6e707fe80e784, 0xb7ff4f930586f2bc, 0x739bfb4402dec0b2, 0x79b9dd4a037f597d,
  0x13d9670f3ce1293e, 0xfd4784f097e21b09, 0x7b7091138743ec6e, 0x3dc39ee5beb0e336, 0xa4a4871240c38c72,
  0x7f46f68e62c05887, 0x71cb19e3af22ef0d, 0x2af9ddc5494741c7, 0xc2cdf81895af64fe, 0xd4180ef5af3c0809,
  0xa53929d002de6f2d, 0xd2d7f88d21c354de, 0x8de33a206dc63042, 0x094b52fcadb33a71, 0xeff102f63c330ddf,
  0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x349122f7049e4afd,
};

// m256rfr2_u1x8_uart0_dual_pr_ee_ce m2560_u1x8_uart0_dual_pr_ee_ce    m2561_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xfcca94e0094ee9f1, 0xb09863833e717eb3,
  0x1240c524d1c8e6b7, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0x973f21f20a440ddc, 0xb486f97177f25f2f,
  0x65a12b910cbfe420, 0xff4073c262871508, 0x82c3795e425b7d35, 0x016f60416bffa7c9, 0x77d51feeb9cdfda2,
  0x84a4f9e6e7670405, 0x91138767ceb3fcf3, 0x9dafc46219a05770, 0x660d318e47959952, 0x140a62b31f1c8f83,
  0x4616588a459a75a1, 0xceaeddb7c752135f, 0xebdac5785ef47d21, 0x8b868ea5d8d578d8, 0x70decb8f8c5c2422,
  0xe7771525c62d7c64, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e,
  0x16986538c6f19d10, 0xdb33b4e18edec555, 0xc330ddf094b52fca, 0xbb8d167bfc413ee3, 0xd30ae4fdd599bf83,
  0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x00000001304c6dc1,
};

/*
 * m256rfr2_u1x8_uart0_dual_pr_ee_ce_u4 m2560_u1x8_uart0_dual_pr_ee_ce_u4
 * m2561_u1x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0xdfe2ea91fcca94e3,
  0x8e47e8fec1490e1c, 0xf4292241240e92a6, 0x1f9fbe08bf29f2e2, 0xaf80ddc3e144313e, 0x7f25f2f973f21f23,
  0xcbfe420b486f9717, 0x4ea2a10cb43a7d10, 0x96def0ffe80e784c, 0xfe40ca60b0de5790, 0xcdfda2016f6055bf,
  0x77a680dfd51caeb9, 0x670f3ce1293ef806, 0x84f097e21b0913d9, 0x444e1fce5d4efd47, 0x29dac75374d9edc2,
  0x3660d7c8e4795bf9, 0x1140a62ba951c8f8, 0xf4616588a459a75a, 0x9ceaedc63c752135, 0x63af5137872447bd,
  0x45107d1f3d6355e3, 0x91c37b2fa598b848, 0x52cdaf905aa36089, 0x6bd93f8abe777152, 0xcf020270b37e0625,
  0x79bcda450603bd6b, 0x0d537a94e4a7400b, 0x8c6f19d103e23487, 0x18edec5551698653, 0x094b52fcadb33b4e,
  0xeff102f63c330ddf, 0x3ab337f068fe3459, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0x06d358ff0cf257ee, 0x0000000000000040,
};

// m256rfr2_u1x8_uart0_dual_ee_hw    m2560_u1x8_uart0_dual_ee_hw       m2561_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xc00fcca94e3a0cee, 0x9dbd85ad9c2b7f8b,
  0x2241240f76a68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0x7cbe5cfc87c94900, 0x9082d21be5c5dfc9,
  0x54219682564432ff, 0xf57ffd01cf0997dc, 0x2d4c161bcaf212db, 0xda2016f605beffe3, 0xfb9aad68e44b9cdf,
  0xf83660c148e4795a, 0x5a1143be2bfdd1c8, 0x35f4616588a459a7, 0xd5a5cc7ae2a5cd21, 0x5ea26f0e488f7b39,
  0x107d1f3d6355ae87, 0xc37b2fa598b84845, 0x135f20b546c11fad, 0xb27f157ceee2a4a0, 0x0404e166fc0c4ad7,
  0x79b48a0c077ad79e, 0xa6f529c94e8016f3, 0xde33a207c4690e1a, 0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45,
  0x56a0bb3c330ddf09, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x00576a45daa29e4a,
};

/*
 * m2564rfr2_u1x8_uart0_dual_ee_ce_u4_hw m256rfr2_u1x8_uart0_dual_ee_ce_hw
 * m256rfr2_u1x8_uart0_dual_ee_ce_u4_hw m2560_u1x8_uart0_dual_ee_ce_hw
 * m2560_u1x8_uart0_dual_ee_ce_u4_hw m2561_u1x8_uart0_dual_ee_ce_hw    m2561_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x0e1cdfe2ea91fcca,
  0x92a68e47e8fec149, 0xf2e2f4292241240e, 0x313e1f9fbe08bf29, 0x1f23af80ddc3e144, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c4ea2a10cb43a, 0x579096def0ffe80e, 0x55bfff196a60b0de, 0xaeb9cdfda2016f60,
  0x790e77a680dfd51c, 0x89ecb3879e70949f, 0x7ea3c2784bf10d84, 0xf6e122270f743754, 0xadfc94ed63a9ba6c,
  0xe47c1b306be4723c, 0xd3ad08a05315d4a8, 0x909afa30b2c4522c, 0x23dece7576e31e3a, 0xaaf1b1d7a89bc392,
  0x5c2422883e8f9eb1, 0xb044c8e1bd97d2cc, 0xb8a92966d7c82d51, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf,
  0xa005bcde6d228301, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4, 0x86ef84a5a97e56d9,
  0x430a912b505d9e19, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xd14f257ee6866587, 0x000000001d7523c9,
};

/*
 * m2564rfr2_u1x8_uart1_noled_pr_ce_u4 m256rfr2_u1x8_uart1_noled_pr_ce
 * m256rfr2_u1x8_uart1_noled_pr_ce_u4 m2560_u1x8_uart1_noled_pr_ce
 * m2560_u1x8_uart1_noled_pr_ce_u4   m2561_u1x8_uart1_noled_pr_ce      m2561_u1x8_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0xc5bfb4c98dec09d2, 0xcdceff701bfa8295, 0x9ecb3879e70949f3, 0xea3c2784bf10d848,
  0xf6e122270f000527, 0x8e4f4f72df5eb26c, 0x6d6a4871240f591c, 0x382d1eb0e62c054c, 0x807feccf1d7a3ebc,
  0xd5f03cb5b838d12a, 0xce4db7e062777ec4, 0x379f054180efddf9, 0xe2ea72f29b19c9bf, 0xe31bc67440959486,
  0x8c76f62aa8b4ac24, 0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xdd71aa47049e4afd,
};

/*
 * m2564rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m256rfr2_u1x8_uart1_noled_pr_ee_ce
 * m256rfr2_u1x8_uart1_noled_pr_ee_ce_u4 m2560_u1x8_uart1_noled_pr_ee_ce
 * m2560_u1x8_uart1_noled_pr_ee_ce_u4 m2561_u1x8_uart1_noled_pr_ee_ce
 * m2561_u1x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0xa64c6f605ff3fc30, 0x80dfd5194bae2dfd, 0xcf384a4f9e6e7616, 0x25f886c244f659c3,
  0x87ba1baa3f51e13c, 0xb1d3df367b709113, 0x6b5e391e57d44a76, 0x298afba8e47c1b30, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0x9d3bc237d1e0b39d, 0x3d1871b1aaf1b1d7, 0xbd96cb98b848450b, 0x41541d51b044c8e1,
  0x4db7e062777ec2ce, 0x9f054180efddf9ce, 0xea72f29b19c9bf37, 0x1bc67440959486e2, 0x76f62aa8b4ac24e3,
  0x4b52fcadb339538c, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb,
  0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xcb2df7049e4afdcd, 0x000000000000004f,
};

/*
 * m2564rfr2_u1x8_uart1_noled_ee_ce_u4_hw m256rfr2_u1x8_uart1_noled_ee_ce_hw
 * m256rfr2_u1x8_uart1_noled_ee_ce_u4_hw m2560_u1x8_uart1_noled_ee_ce_hw
 * m2560_u1x8_uart1_noled_ee_ce_u4_hw m2561_u1x8_uart1_noled_ee_ce_hw
 * m2561_u1x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xda64c6f605ff3fca, 0x680dfd5194bae2df, 0x79e70949f790e761, 0x84bf10d8489ecb38,
  0x387672e8ffea3c27, 0x6b1d3df367b70911, 0x06b5e391e57d44a7, 0x0298afba8e47c1b3, 0x85962291669d6845,
  0xd5db8f51d484d7d1, 0x79d3bc237d1e0b39, 0xb3d1871b1aaf1b1d, 0x1bd96cb98b848450, 0xe41541d51b044c8e,
  0xe4db7e062777ec2c, 0x79f054180efddf9c, 0x2ea72f29b19c9bf3, 0x31bc67440959486e, 0xc76f62aa8b4ac24e,
  0x94b52fcadb339538, 0x256a0bb3c330ddf0, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00014043aa4a29e4,
};

/*
 * m2564rfr2_u1x8_uart1_lednop_pr_ce_u4 m256rfr2_u1x8_uart1_lednop_pr_ce
 * m256rfr2_u1x8_uart1_lednop_pr_ce_u4 m2560_u1x8_uart1_lednop_pr_ce
 * m2560_u1x8_uart1_lednop_pr_ce_u4  m2561_u1x8_uart1_lednop_pr_ce     m2561_u1x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x5c5bfb4c98dec08b, 0x3cdcefe701bfa829, 0x89ecb3879e70949f, 0xfea3c2784bf10d84,
  0x3db84889c3e37760, 0x23f493dcb7d7ac9b, 0x907e921c4903d647, 0x24d23486731602e4, 0x807feccf1d7a3ebc,
  0xe0a0796b73da1f6a, 0x9c9b6fc0c4eefd9e, 0x228301dfbbf3c080, 0x94e4a74026fcde6d, 0xd103e234870d537a,
  0x55516986538c6f19, 0xfcadb33b4e18edec, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xe7049e4afdcd0ccb,
  0x0000000001baeb46,
};

/*
 * m2564rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m256rfr2_u1x8_uart1_lednop_pr_ee_ce
 * m256rfr2_u1x8_uart1_lednop_pr_ee_ce_u4 m2560_u1x8_uart1_lednop_pr_ee_ce
 * m2560_u1x8_uart1_lednop_pr_ee_ce_u4 m2561_u1x8_uart1_lednop_pr_ee_ce
 * m2561_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0xa64c6f6049b7fe18, 0xc0dfd5194bae2dfd, 0x9e70949f3cdceec7, 0x4bf10d8489ecb387,
  0x1c0006ddfea3c278, 0xc74f7cd9edc2444e, 0xad78e4795f7529da, 0x4c561ee391f06cc1, 0xcb1148b34eb42281,
  0xedd220ea426be8c2, 0x3a77847c464d1cea, 0x0237b56355e363af, 0xbd96cb98b848451d, 0x871a2551b044c8e1,
  0xc9b6fc0c4eefd859, 0x28301dfbbf3c0809, 0x4e4a74026fcde6d2, 0x103e234870d537a9, 0x5516986538c6f19d,
  0xcadb33b4e18edec5, 0x63c330ddf094b52f, 0xe0eee3459eff102f, 0x286152256a75666f, 0xf8cbf313ffbc3def,
  0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x0000000009f9e7e1,
};

/*
 * m2564rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m256rfr2_u1x8_uart1_lednop_ee_ce_hw
 * m256rfr2_u1x8_uart1_lednop_ee_ce_u4_hw m2560_u1x8_uart1_lednop_ee_ce_hw
 * m2560_u1x8_uart1_lednop_ee_ce_u4_hw m2561_u1x8_uart1_lednop_ee_ce_hw
 * m2561_u1x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xd32637b024dbff2b, 0xe06fea8ca5d716fe, 0x9e70949f790e7763, 0x4bf10d8489ecb387,
  0x0ed07044fea3c278, 0x63a7be6cf6e12227, 0xd6bc723cafba94ed, 0xa62b0f71c8f83660, 0x6588a459a75a1140,
  0x76e910752135f461, 0x9d3bc23e23268e75, 0x811bdab1aaf1b1d7, 0xdecb65cc5c24228e, 0xc38d12a8d8226470,
  0xe4db7e062777ec2c, 0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce,
  0xe56d99da70c76f62, 0xd9e1986ef84a5a97, 0x1ef79430a912b505, 0xd871fc65f989ffde, 0x5fe07efd8668fb19,
  0x964b867a617c68f4, 0x66587494b670e271, 0x481f7514f257ee68, 0x0000000000000140,
};

/*
 * m2564rfr2_u1x8_uart1_dual_pr      m2564rfr2_u1x8_uart1_dual_pr_u4   m256rfr2_u1x8_uart1_dual
 * m256rfr2_u1x8_uart1_dual_pr       m256rfr2_u1x8_uart1_dual_pr_u4    m2560_u1x8_uart1_dual
 * m2560_u1x8_uart1_dual_pr          m2560_u1x8_uart1_dual_pr_u4       m2561_u1x8_uart1_dual
 * m2561_u1x8_uart1_dual_pr          m2561_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x2fbeff32a5380253, 0x23943d829e38656e,
  0x0a4890490390f347, 0xe7ef822fca7cb8bd, 0xb03770f8510c4f87, 0xf25f2f973f21f29d, 0xbfe420b486f97177,
  0x328a8432d04c510c, 0x96de037fd01cf09a, 0xffe9f260b0de5790, 0x8b7f69931bd8104f, 0xf1c8f914ef9626ab,
  0x8f5886921c490310, 0xb475fce62c055079, 0xffb30475e00d7877, 0x03cb3dbe784faa01, 0xfc55f3bb8a92c539,
  0x4e4db7e062777ec9, 0x914180efddf9e040, 0x4a7253a0137e6f36, 0xe881f11a4386a9bd, 0x2aa8b4c329c6378c,
  0xbf2b6cced39156f6, 0xbd8f0cc377c252d4, 0xbf83bb8d167bfc40, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7,
  0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x59c12792bf734332, 0x0000000000524d01,
};

// m256rfr2_u1x8_uart1_dual_pr_ee    m2560_u1x8_uart1_dual_pr_ee       m2561_u1x8_uart1_dual_pr_ee
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xe654a7004a774f89, 0xc2d6ce15bfc5e007,
  0x9207bb534723cede, 0x5f94f9717a149120, 0xf0a2189f0fcfdf04, 0x2e7e43e4a4806ee1, 0x690df2e2efe4be5f,
  0xcb412b22197fc841, 0xfe80e784cbee2a10, 0x0b0de579096dfabf, 0x31bd816fbffe9f26, 0xab5a3912b8b7f699,
  0x983052391e56bee6, 0x50ef8aff74723e0d, 0x185962291669d684, 0x731eb8a973484d7d, 0x9bc39223dece7569,
  0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de, 0xc55f3bb8a92804d7, 0xe4db7e062777ec9f,
  0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce, 0xf2b6cced39156f62,
  0x8cf0cc377c252d4b, 0xf07771a2cf7f8813, 0x9430a912b53ab337, 0x01f347d8cec389c6, 0xe32c970cf4c2b93f,
  0xd0ccb0e9296ce1c4, 0x2b22047049e4afdc,
};

// m256rfr2_u1x8_uart1_dual_pr_ee_u4 m2560_u1x8_uart1_dual_pr_ee_u4    m2561_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x7b5bfcca94e0094e, 0xfbb5b04db384edf1,
  0x2448248198fcd1c8, 0xf7c117e53e5c5e85, 0x1bb87c288627c3f3, 0x2f97cb9f90f92540, 0xf2105a437cb8bbf9,
  0x8a8432d0a948865f, 0xb93affa039e1347b, 0xd3e4c161bcaf212d, 0xfed32637b0295dff, 0x6654d56b47a55716,
  0x23e0d983f92391e5, 0x4eb422877c572247, 0x426be8c2cb1148b3, 0x39d5a5cf55c20b9a, 0x1d7b58af088a8c9a,
  0x28afe8ded58d56ba, 0xb70decb8f8c5c242, 0xaf9ddc5495703efe, 0x6dbf0313bbf64fe2, 0xcc077eefcf020272,
  0xe48a5abce804df9b, 0x85a7017be5217ad4, 0x718de33a20475140, 0xdf094b52fcadb33a, 0x59eff102f63c330d,
  0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x000ac89a07049e4a,
};

// m256rfr2_u1x8_uart1_dual_pr_ce    m2560_u1x8_uart1_dual_pr_ce       m2561_u1x8_uart1_dual_pr_ce
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd6ffe654a7004a77, 0x4dbd84ed9c2d6f8b,
  0x2241240c66e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf97cb9f90f9747c0, 0x2105a437cb8bbf92,
  0xa8432d0fdc8865ff, 0xce0ffd01cf099fc8, 0x9f260b0de579096d, 0xf69931bd81656ffe, 0xd943037f5ea2b8b7,
  0x670f3ce1293e79b9, 0x84f097e21b0913d9, 0x9113876bb43efd47, 0x9ee5beba97367b70, 0x871240ea5c7238df,
  0x5fce62c05401efa4, 0x33c75e00d7877b47, 0x2d6ee784faa01ffb, 0x57ceee2a4b14e40f, 0x36df8189ddfb27f1,
  0x0603bf77e7810139, 0xc94e804df9bcda45, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0x5b66769c31dbd8aa,
  0x78661bbe1296a5f9, 0x3bb8d167bfc409c6, 0x1854895a9d599bf8, 0xf9a3ec6761c4e34a, 0x964b867a615c9f80,
  0x66587494b670e271, 0x24323824f257ee68, 0x000000000000000d,
};

// m256rfr2_u1x8_uart1_dual_pr_ce_u4 m2560_u1x8_uart1_dual_pr_ce_u4    m2561_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x8e2fa6bf32a53802, 0x8e47b1fd87fc3806,
  0xf4292241240e87e6, 0x1f9fbe08bf29f2e2, 0xacc0ddc3e144313e, 0xdfc97cbe5cfc87cb, 0x32ff9082d21be5c5,
  0xdb7e2a10cb41fc44, 0x84b6e707fe80e784, 0xb7ff4f930586f2bc, 0x5c5bfb4c98dec0b2, 0x79b9dd4a037f597d,
  0x13d9670f3ce1293e, 0xfd4784f097e21b09, 0x7b7091138743ec6e, 0x3dc39ee5beb0e336, 0xa4a4871240c38c72,
  0x7f46f68e62c05887, 0x71cb19e3af22ef0d, 0x2af9ddc5494741c7, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027,
  0x53929d009bf3796e, 0x2d7f88d21c354dea, 0xde33a206dc63042d, 0x94b52fcadb33a718, 0xff102f63c330ddf0,
  0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x49122f7049e4afdc, 0x0000000000000003,
};

// m256rfr2_u1x8_uart1_dual_pr_ee_ce m2560_u1x8_uart1_dual_pr_ee_ce    m2561_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xfcca94e0094ee9f1, 0xb09863833e717eb3,
  0x1240c524d1c8e6b7, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0x973f21f20a440ddc, 0xb486f97177f25f2f,
  0x65a12b910cbfe420, 0xff4073c262871508, 0x82c3795e425b7d35, 0x4c6f60416bffa7c9, 0x77d51feeae2dfda6,
  0x84a4f9e6e7670405, 0x91138767ceb3fcf3, 0x9dafc46219a05770, 0x660d318e47959952, 0x140a62b31f1c8f83,
  0x4616588a459a75a1, 0xceaeddb7c752135f, 0xebdac5785ef47d21, 0x8b868ea5d8d578d8, 0x70decb8f8c5c2422,
  0xe7771525c62d7c64, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0xa74026fcde6d2283, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000001304c6dc12,
};

/*
 * m256rfr2_u1x8_uart1_dual_pr_ee_ce_u4 m2560_u1x8_uart1_dual_pr_ee_ce_u4
 * m2561_u1x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0xdfe2ea91fcca94e3,
  0x8e47e8fec1490e1c, 0xf4292241240e92a6, 0x1f9fbe08bf29f2e2, 0xaf80ddc3e144313e, 0x7f25f2f973f21f23,
  0xcbfe420b486f9717, 0x4ea2a10cb43a7d10, 0x96def0ffe80e784c, 0xfe40ca60b0de5790, 0x2dfda64c6f6055bf,
  0x77a680dfd51caeae, 0x670f3ce1293ef806, 0x84f097e21b0913d9, 0x444e1fce5d4efd47, 0x29dac75374d9edc2,
  0x3660d7c8e4795bf9, 0x1140a62ba951c8f8, 0xf4616588a459a75a, 0x9ceaedc63c752135, 0x63af5137872447bd,
  0x45107d1f3d6355e3, 0x91c37b2fa598b848, 0x52cdaf905aa36089, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e,
  0xcde6d228301dfbbf, 0xd537a94e4a74026f, 0xc6f19d103e234870, 0x8edec55516986538, 0x94b52fcadb33b4e1,
  0xff102f63c330ddf0, 0xab337f068fe3459e, 0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1,
  0x1964b867a617c68f, 0x866587494b670e27, 0x6d358ff0cf257ee6, 0x0000000000000400,
};

// m256rfr2_u1x8_uart1_dual_ee_hw    m2560_u1x8_uart1_dual_ee_hw       m2561_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xc00fcca94e3a0cee, 0x9dbd85ad9c2b7f8b,
  0x2241240f76a68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0x7cbe5cfc87c94900, 0x9082d21be5c5dfc9,
  0x54219682564432ff, 0xf57ffd01cf0997dc, 0x2d4c161bcaf212db, 0xda64c6f605beffe3, 0xfb9aad68e44ae2df,
  0xf83660c148e4795a, 0x5a1143be2bfdd1c8, 0x35f4616588a459a7, 0xd5a5cc7ae2a5cd21, 0x5ea26f0e488f7b39,
  0x107d1f3d6355ae87, 0xc37b2fa598b84845, 0x135f20b546c11fad, 0xb27f157ceee2a4a0, 0x1013936df8189ddf,
  0xcda450603bf77e78, 0x6f529c94e804df9b, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d, 0xb52fcadb33b4e455,
  0x6a0bb3c330ddf094, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x0576a45daa29e4af,
};

/*
 * m2564rfr2_u1x8_uart1_dual_ee_ce_u4_hw m256rfr2_u1x8_uart1_dual_ee_ce_hw
 * m256rfr2_u1x8_uart1_dual_ee_ce_u4_hw m2560_u1x8_uart1_dual_ee_ce_hw
 * m2560_u1x8_uart1_dual_ee_ce_u4_hw m2561_u1x8_uart1_dual_ee_ce_hw    m2561_u1x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x0e1cdfe2ea91fcca,
  0x92a68e47e8fec149, 0xf2e2f4292241240e, 0x313e1f9fbe08bf29, 0x1f23af80ddc3e144, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c4ea2a10cb43a, 0x579096def0ffe80e, 0x55bfff196a60b0de, 0xaeae2dfda64c6f60,
  0x790e77a680dfd51c, 0x89ecb3879e70949f, 0x7ea3c2784bf10d84, 0xf6e122270f743754, 0xadfc94ed63a9ba6c,
  0xe47c1b306be4723c, 0xd3ad08a05315d4a8, 0x909afa30b2c4522c, 0x23dece7576e31e3a, 0xaaf1b1d7a89bc392,
  0x5c2422883e8f9eb1, 0xb044c8e1bd97d2cc, 0xb8a92966d7c82d51, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e,
  0x0137e6f36914180e, 0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99,
  0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x14f257ee68665874, 0x00000001d7523c9d,
};

/*
 * m2564rfr2_u1x12_uart0_noled_pr_ce_u4 m256rfr2_u1x12_uart0_noled_pr_ce
 * m256rfr2_u1x12_uart0_noled_pr_ce_u4 m2560_u1x12_uart0_noled_pr_ce
 * m2560_u1x12_uart0_noled_pr_ce_u4  m2561_u1x12_uart0_noled_pr_ce     m2561_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0x6d4feedd3e12387f, 0x0dfd41486d1ba4ff, 0xf384a4f9e6e77fb8, 0x5f886c244f659c3c,
  0x87800293f51e13c2, 0x6faf59367b709113, 0x9207ac8e4727a7b9, 0x731602a636b52438, 0x8ebd1f5e1c168f58,
  0xdc1c6895403ff667, 0x1895af626af81e5a, 0x180ef5af39c2cdf8, 0x94d8ce16f379f054, 0xa204aca437175397,
  0x5545a5612718de33, 0xe56d99ca9c63b7b1, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xb824f257ee686658,
  0x0000000006ebde49,
};

/*
 * m2564rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m256rfr2_u1x12_uart0_noled_pr_ee_ce
 * m256rfr2_u1x12_uart0_noled_pr_ee_ce_u4 m2560_u1x12_uart0_noled_pr_ee_ce
 * m2560_u1x12_uart0_noled_pr_ee_ce_u4 m2561_u1x12_uart0_noled_pr_ee_ce
 * m2561_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xfddba7c241a3fc30, 0x32970da3749feda9, 0x9f3cdcec2d01bfaa, 0x8489ecb3879e7094,
  0x547ea3c2784bf10d, 0x6cf6e122270f7437, 0x3cafa894ed63a7be, 0x51c8f83660d6bc72, 0x2cd3ad08a05315f7,
  0x3a909afa30b2c452, 0x6fa3c1673abb71ea, 0x6355e363af3a7784, 0x3170908a167a30e3, 0xa3608991c37b2d97,
  0x6256bd859c82a83a, 0x603bd6bce70b37e0, 0x5363385bcde7c150, 0x8812b290dc5d4e5e, 0x551695849c6378ce,
  0x95b6672a718edec5, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x0000000004fc4b68,
};

/*
 * m2564rfr2_u1x12_uart0_noled_ee_ce_u4_hw m256rfr2_u1x12_uart0_noled_ee_ce_hw
 * m256rfr2_u1x12_uart0_noled_ee_ce_u4_hw m2560_u1x12_uart0_noled_ee_ce_hw
 * m2560_u1x12_uart0_noled_ee_ce_u4_hw m2561_u1x12_uart0_noled_ee_ce_hw
 * m2561_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfeedd3e120d1fe56, 0x194b86d1ba4ff6d4, 0x9f790e761680dfd5, 0x8489ecb3879e7094,
  0x8ffea3c2784bf10d, 0x367b70911387672e, 0x1e57d44a76b1d3df, 0xa8e47c1b306b5e39, 0x1669d68450298afb,
  0x1d484d7d18596229, 0x37d1e0b39d5db8f5, 0xb1aaf1b1d79d3bc2, 0x98b848450b3d1871, 0x51b044c8e1bd96cb,
  0x312b5ec2ce41541d, 0x301deb5e73859bf0, 0x29b19c2de6f3e0a8, 0x440959486e2ea72f, 0xaa8b4ac24e31bc67,
  0xcadb339538c76f62, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x438bea29e4afdcd0, 0x0000000000000140,
};

/*
 * m2564rfr2_u1x12_uart0_lednop_pr_ce_u4 m256rfr2_u1x12_uart0_lednop_pr_ce
 * m256rfr2_u1x12_uart0_lednop_pr_ce_u4 m2560_u1x12_uart0_lednop_pr_ce
 * m2560_u1x12_uart0_lednop_pr_ce_u4 m2561_u1x12_uart0_lednop_pr_ce    m2561_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0x6d4feedd3e12287f, 0x0dfd41486d1ba4ff, 0xf384a4f9e6e77f38, 0x5f886c244f659c3c,
  0x1f1bbb07f51e13c2, 0xbebd64d9edc2444e, 0x481eb2391fa49ee5, 0x98b0172483f490e2, 0xebd1f5e12691a433,
  0x9ed0fb5403ff6678, 0x12b5ecf70503cb5b, 0xb5e781013859bf03, 0x05bcde6d228301de, 0x4386a9bd4a7253a0,
  0x29c6378ce881f11a, 0xa70c76f62aa8b4c3, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a,
  0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x006eb86a73824f25,
};

/*
 * m2564rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m256rfr2_u1x12_uart0_lednop_pr_ee_ce
 * m256rfr2_u1x12_uart0_lednop_pr_ee_ce_u4 m2560_u1x12_uart0_lednop_pr_ee_ce
 * m2560_u1x12_uart0_lednop_pr_ee_ce_u4 m2561_u1x12_uart0_lednop_pr_ee_ce
 * m2561_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xddba7c253b7fe186, 0x2970da3749feda9f, 0xe79b9dd8f81bfaa3, 0x913d9670f3ce1293,
  0xbfd4784f097e21b0, 0x3db84889c38000db, 0x2beea53b58e9ef9b, 0x723e0d9835af1c8f, 0x69d68450298ac3dc,
  0x484d7d1859622916, 0x88c9a39d5dba441d, 0x6abc6c75e74ef08f, 0x170908a3a046f6ac, 0x3608991c37b2d973,
  0xc4ad7b0b30e344aa, 0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8, 0xca718de33a207c46,
  0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4,
  0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0009f86112e093c9,
};

/*
 * m2564rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m256rfr2_u1x12_uart0_lednop_ee_ce_hw
 * m256rfr2_u1x12_uart0_lednop_ee_ce_u4_hw m2560_u1x12_uart0_lednop_ee_ce_hw
 * m2560_u1x12_uart0_lednop_ee_ce_u4_hw m2561_u1x12_uart0_lednop_ee_ce_hw
 * m2561_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfeedd3e129dbff2b, 0x194b86d1ba4ff6d4, 0x3ef21ceec7c0dfd5, 0x0913d9670f3ce129,
  0x89fd4784f097e21b, 0xd9edc2444e1da0e0, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c561e,
  0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5, 0x51b044c8e1bd96cb,
  0x06256bd859871a25, 0xbd6bcf020270b37e, 0x400b79bcda450603, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000280a8c7f,
};

/*
 * m2564rfr2_u1x12_uart0_dual_pr     m2564rfr2_u1x12_uart0_dual_pr_u4  m256rfr2_u1x12_uart0_dual
 * m256rfr2_u1x12_uart0_dual_pr      m256rfr2_u1x12_uart0_dual_pr_u4   m2560_u1x12_uart0_dual
 * m2560_u1x12_uart0_dual_pr         m2560_u1x12_uart0_dual_pr_u4      m2561_u1x12_uart0_dual
 * m2561_u1x12_uart0_dual_pr         m2561_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xa6ff32a5380253ba, 0xa9ed8656386fbe2f,
  0x489049032eb34723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2b5b0, 0xe420b486f97177f2,
  0x8a8432d0f9110cbf, 0xdea57fd01cf0987c, 0xe9f260b0de579096, 0xb53fbb74f84bbaff, 0xef9626a1b46e93fd,
  0x1c490310f1c8f914, 0x2c0550798f588692, 0xe00d7877b475fce6, 0x784faa01ffb30475, 0x8a92c53903cb3dbe,
  0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x005bcde6d228301d, 0xa4386a9bd4a7253a, 0x329c6378ce881f11,
  0xed39156f62aa8b4c, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854,
  0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0002926838dc1279,
};

// m256rfr2_u1x12_uart0_dual_pr_ee   m2560_u1x12_uart0_dual_pr_ee      m2561_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xf32a5380253ba7c4, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0xb74f84b4dfff4f93, 0x121b46e93fdb53fb,
  0x391e56bee6ab5a39, 0xff74723e0d983052, 0x291669d68450ef8a, 0xa973484d7d185962, 0x23dece7569731eb8,
  0xd56ba1d7a89bc392, 0x2e1211441f47cf58, 0xb047eb70decbe966, 0xb8a92804d7c82d51, 0x0312b5ec9fc55f3b,
  0xdeb5e781013859bf, 0xa005bcde6d228301, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0xced39156f62aa8b4,
  0xc377c252d4bf2b6c, 0x3459eff104fb8f0c, 0x2b93f75666fe0eee, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x0000642856a7049e,
};

// m256rfr2_u1x12_uart0_dual_pr_ee_u4 m2560_u1x12_uart0_dual_pr_ee_u4   m2561_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x9529c6024ee9f12e, 0x56f9c200717149f9,
  0x40d36e68e47b5bd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f9737c0ddc3e, 0x437cb8bbf92f97cb,
  0xd074a8865ff2105a, 0xa039e131458a8432, 0xc3795e425b7a1fff, 0x4f84b4dff9032982, 0x1b46e93fdb53fbb7,
  0x1e56bee6ab5a3912, 0x74723e0d98305239, 0x1669d68450ef8aff, 0x73484d7d18596229, 0xdece7569731eb8a9,
  0x6ba1d7a89bc39223, 0x1211441f47cf58d5, 0x47eb70decbe9662e, 0xa92804d7c82d51b0, 0x12b5ec9fc55f3bb8,
  0xb5e781013859bf03, 0x05bcde6d228301de, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xd39156f62aa8b4c3,
  0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0ac8b4d63fc33c95,
};

// m256rfr2_u1x12_uart0_dual_pr_ce   m2560_u1x12_uart0_dual_pr_ce      m2561_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x0fcca94e0094ee9f, 0xbd85ad9c2b7f8bc0,
  0x41240f76a68e479d, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c94900dd, 0x82d21be5c5dfc97c,
  0x219682564432ff90, 0x7ffd01cf0997dc54, 0x4c161bcaf212dbf5, 0xeedd3e12df7ffd3e, 0x7a886d1ba4ff6d4f,
  0xa4f9e6e7650c0dfd, 0x6c244f659c3cf384, 0xd0fbf51e13c25f88, 0x5cd9edc2444e1dae, 0x71c8e37e7b96faea,
  0x5007be921c4903a9, 0x5e1ded1d7f398b01, 0xea807feccf1d7803, 0x2c53903cb5bb9e13, 0xb5ec9fc55f3bb8a9,
  0xe781013859bf0312, 0xbcde6d228301deb5, 0x86a9bd4a7253a005, 0xc6378ce881f11a43, 0x0c76f62aa8b4c329,
  0x84a5a97e56d99da7, 0xeff102719e1986ef, 0xa75666fe0eee3459, 0xd87138d286152256, 0x985727e03e68fb19,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000000d24408e09,
};

// m256rfr2_u1x12_uart0_dual_pr_ce_u4 m2560_u1x12_uart0_dual_pr_ce_u4   m2561_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xb8bbfcfcca94e009, 0x1c8fff3601a0e1a6,
  0xe8524482481f4fcd, 0x3f3f7c117e53e5c5, 0x5401bb87c288627c, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x07b8a8432d05f688, 0x12db93affa039e13, 0xdffd3e4c161bcaf2, 0xff6d4feedd3e1295, 0xd81bfacbe86d1ba4,
  0x79e70949f3cdced7, 0x84bf10d8489ecb38, 0x270f000527ea3c27, 0xcb7d61c66cf6e122, 0x1240c38c723f493d,
  0xce62c054c7a0a487, 0xe3af22ef08874690, 0x715251d6b371cb19, 0x06256bd93f8abe77, 0xbd6bcf020270b37e,
  0x9d002de6f0725603, 0x74829f54ee2ca72f, 0x40ae0c6085a6c57b, 0xf95b6674e31bc674, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0x0e093c95fb9a1996, 0x0000000000349134,
};

// m256rfr2_u1x12_uart0_dual_pr_ee_ce m2560_u1x12_uart0_dual_pr_ee_ce   m2561_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x3fcca94e0094ee9f, 0xdb067c38759f1764,
  0x82481febcd1c8f30, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf2e7e43e5c8381bb, 0x1690df2e2efe4be5,
  0x0cb42dd22197fc84, 0x3fe80e784ca7a2a1, 0x30586f2bc84b6f00, 0xbb74f848347ff4f9, 0xfba1b46e93fdb53f,
  0x79b9ddba015df547, 0xef0f96bf3ce1293e, 0x18866815dc2444e1, 0x6391e56654a76bf1, 0x57224723e0d9834c,
  0x1148b34eb422814c, 0x8278ea426be8c2cb, 0x5e183e8fa439d5db, 0xa976355e363af6b1, 0xe3e3170908a305a3,
  0xa4b8c438991c37b2, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x016f3796ea0c077a, 0x90e1aa6f529c94e8,
  0x36e31821696bfc46, 0x56d99d38c6f19d10, 0x1e1986ef84a5a97e, 0x1ddc68b3dfe209f7, 0x9e985727eeaccdfc,
  0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x00000000982371ee,
};

/*
 * m256rfr2_u1x12_uart0_dual_pr_ee_ce_u4 m2560_u1x12_uart0_dual_pr_ee_ce_u4
 * m2561_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0xf17eeb7e654a7180,
  0x23a926c39be70548, 0x1491209206ce5347, 0xcfdf045f94f9717a, 0x006ee1f0a2189f0f, 0xc97cbe5cfc87c855,
  0xff9082d21be5c5df, 0xa8a8432d0b1f4432, 0xb7e5affa039e1325, 0x9032982c3795e425, 0xb53fbb74f84a007f,
  0xf5472ba1b46e93fd, 0x4a4fbe019de9a037, 0x86c244f659c3cf38, 0x9753bf51e13c25f8, 0xdd367b70911387f3,
  0x391e56fe4a76b1d4, 0xea54723e0d9835f2, 0x291669d68450298a, 0x8f1d484d7d185962, 0xe1c911ef673abb71,
  0xcf58d578d8ebd44d, 0xe9662e1211441f47, 0x16a8d8226470decb, 0xaf9ddc5494b36be4, 0x2cdf81895af64fe2,
  0x4180ef5af3c0809c, 0x3929d002de6f3691, 0x40f88d21c354dea5, 0x545a6194e31bc674, 0x2b6cced3863b7b15,
  0x8f0cc377c252d4bf, 0x1a3f8d167bfc40bd, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xc33c95fb9a19961d, 0x0000001001538b3f,
};

// m256rfr2_u1x12_uart0_dual_ee_hw   m2560_u1x12_uart0_dual_ee_hw      m2561_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0x99529c7419dd3e25, 0x856f9c200717149f,
  0x240d36e68e47b5bd, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0xb9f90f9737c0ddc3, 0xa437cb8bbf92f97c,
  0x2d074a8865ff2105, 0xfa039e131458a843, 0x2c3795e425b7a1ff, 0x74f84b4dffc65a98, 0x21b46e93fdb53fbb,
  0x91e56bee6ab5a391, 0xf74723e0d9830523, 0x91669d68450ef8af, 0x973484d7d1859622, 0x3dece7569731eb8a,
  0x56ba1d7a89bc3922, 0xe1211441f47cf58d, 0x047eb70decbe9662, 0x8a92804d7c82d51b, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x005bcde6d228301d, 0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xed39156f62aa8b4c,
  0x377c252d4bf2b6cc, 0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f,
  0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x00000000aed3d96a,
};

/*
 * m2564rfr2_u1x12_uart0_dual_ee_ce_u4_hw m256rfr2_u1x12_uart0_dual_ee_ce_hw
 * m256rfr2_u1x12_uart0_dual_ee_ce_u4_hw m2560_u1x12_uart0_dual_ee_ce_hw
 * m2560_u1x12_uart0_dual_ee_ce_u4_hw m2561_u1x12_uart0_dual_ee_ce_hw
 * m2561_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x71d06774f8971030, 0x0548f17eeb7e654a,
  0x534723a926c39be7, 0x717a1491209206ce, 0x9f0fcfdf045f94f9, 0xc855006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x1325a8a8432d0b1f, 0xe425b7e5affa039e, 0x007fc65a982c3795, 0x93fdb53fbb74f84a,
  0xa037f5472ba1b46e, 0xe79c2527de439de9, 0x12fc4361227b2ce1, 0xc3dd0dd51fa8f09e, 0x58ea6e9b3db84889,
  0x1af91c8f2b7f253b, 0x14c5752a391f06cc, 0x2cb1148b34eb4228, 0x5db8c78ea426be8c, 0xea26f0e488f7b39d,
  0x0fa3e7ac6abc6c75, 0x6f65f4b3170908a2, 0xb5f20b546c113238, 0x27f157ceee2a4a59, 0x404e166fc0c4ad7b,
  0x9b48a0c077ad79e0, 0x6f529c94e8016f37, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d, 0x6a5f95b66769c31d,
  0xd417678661bbe129, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x075d468dd453c95f,
};

/*
 * m2564rfr2_u1x12_uart1_noled_pr_ce_u4 m256rfr2_u1x12_uart1_noled_pr_ce
 * m256rfr2_u1x12_uart1_noled_pr_ce_u4 m2560_u1x12_uart1_noled_pr_ce
 * m2560_u1x12_uart1_noled_pr_ce_u4  m2561_u1x12_uart1_noled_pr_ce     m2561_u1x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0xda9fddba7c12387f, 0x1bfa8290da3749fe, 0xe70949f3cdceff70, 0xbf10d8489ecb3879,
  0x0f000527ea3c2784, 0xdf5eb26cf6e12227, 0x240f591c8e4f4f72, 0xe62c054c6d6a4871, 0x1d7a3ebc382d1eb0,
  0xb838d12a807feccf, 0x62777ec4d5f03cb5, 0x80efddf9ce4db7e0, 0x9b19c9bf379f0541, 0x40959486e2ea72f2,
  0xa8b4ac24e31bc674, 0xadb339538c76f62a, 0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe,
  0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e,
  0x00000000dd7bc937,
};

/*
 * m2564rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m256rfr2_u1x12_uart1_noled_pr_ee_ce
 * m256rfr2_u1x12_uart1_noled_pr_ee_ce_u4 m2560_u1x12_uart1_noled_pr_ee_ce
 * m2560_u1x12_uart1_noled_pr_ee_ce_u4 m2561_u1x12_uart1_noled_pr_ee_ce
 * m2561_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xfbb74f8241a3fc30, 0x652e1b46e93fdb53, 0x3e79b9d85a037f54, 0x0913d9670f3ce129,
  0xa8fd4784f097e21b, 0xd9edc2444e1ee86e, 0x795f5129dac74f7c, 0xa391f06cc1ad78e4, 0x59a75a1140a62bee,
  0x752135f4616588a4, 0xdf4782ce7576e3d4, 0xc6abc6c75e74ef08, 0x62e121142cf461c6, 0x46c1132386f65b2e,
  0x89ddfb0b39055075, 0x03bf77e73936df81, 0x6c6726fcde7c1506, 0x0256521b8ba9cbca, 0xa2d2b0938c6f19d1,
  0xb6cce54e31dbd8aa, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x000000009f896d1c,
};

/*
 * m2564rfr2_u1x12_uart1_noled_ee_ce_u4_hw m256rfr2_u1x12_uart1_noled_ee_ce_hw
 * m256rfr2_u1x12_uart1_noled_ee_ce_u4_hw m2560_u1x12_uart1_noled_ee_ce_hw
 * m2560_u1x12_uart1_noled_ee_ce_u4_hw m2561_u1x12_uart1_noled_ee_ce_hw
 * m2561_u1x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xfddba7c120d1fe56, 0x32970da3749feda9, 0x3ef21cec2d01bfaa, 0x0913d9670f3ce129,
  0x1ffd4784f097e21b, 0x6cf6e122270ece5d, 0x3cafa894ed63a7be, 0x51c8f83660d6bc72, 0x2cd3ad08a05315f7,
  0x3a909afa30b2c452, 0x6fa3c1673abb71ea, 0x6355e363af3a7784, 0x3170908a167a30e3, 0xa3608991c37b2d97,
  0xc4eefd859c82a83a, 0x01dfbbf39c9b6fc0, 0x3633937e6f3e0a83, 0x812b290dc5d4e5e5, 0x51695849c6378ce8,
  0x5b6672a718edec55, 0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787, 0xf81fbf619a3ec676,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x717d453c95fb9a19, 0x0000000000002808,
};

/*
 * m2564rfr2_u1x12_uart1_lednop_pr_ce_u4 m256rfr2_u1x12_uart1_lednop_pr_ce
 * m256rfr2_u1x12_uart1_lednop_pr_ce_u4 m2560_u1x12_uart1_lednop_pr_ce
 * m2560_u1x12_uart1_lednop_pr_ce_u4 m2561_u1x12_uart1_lednop_pr_ce    m2561_u1x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0xda9fddba7c12287f, 0x1bfa8290da3749fe, 0xe70949f3cdcefe70, 0xbf10d8489ecb3879,
  0x3e37760fea3c2784, 0x7d7ac9b3db84889c, 0x903d64723f493dcb, 0x31602e4907e921c4, 0xd7a3ebc24d234867,
  0x3da1f6a807feccf1, 0x4eefd9ee0a0796b7, 0xbf3c0809c9b6fc0c, 0x6fcde6d228301dfb, 0x70d537a94e4a7402,
  0x38c6f19d103e2348, 0xe18edec555169865, 0xf094b52fcadb33b4, 0x9eff102f63c330dd, 0x6a75666fe0eee345,
  0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x0dd70d4e7049e4af,
};

/*
 * m2564rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m256rfr2_u1x12_uart1_lednop_pr_ee_ce
 * m256rfr2_u1x12_uart1_lednop_pr_ee_ce_u4 m2560_u1x12_uart1_lednop_pr_ee_ce
 * m2560_u1x12_uart1_lednop_pr_ee_ce_u4 m2561_u1x12_uart1_lednop_pr_ee_ce
 * m2561_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xbb74f8253b7fe186, 0x52e1b46e93fdb53f, 0xcf373bb1f037f546, 0x227b2ce1e79c2527,
  0x7fa8f09e12fc4361, 0x7b709113870001b7, 0x57dd4a76b1d3df36, 0xe47c1b306b5e391e, 0xd3ad08a0531587b8,
  0x909afa30b2c4522c, 0x1193473abb74883a, 0xd578d8ebce9de11f, 0x2e121147408ded58, 0x6c1132386f65b2e6,
  0x13bbf61661c68954, 0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2,
  0x3863b7b15545a619, 0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x013f0c225c12792b,
};

/*
 * m2564rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m256rfr2_u1x12_uart1_lednop_ee_ce_hw
 * m256rfr2_u1x12_uart1_lednop_ee_ce_u4_hw m2560_u1x12_uart1_lednop_ee_ce_hw
 * m2560_u1x12_uart1_lednop_ee_ce_u4_hw m2561_u1x12_uart1_lednop_ee_ce_hw
 * m2561_u1x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xfddba7c129dbff2b, 0x32970da3749feda9, 0x7de439dd8f81bfaa, 0x1227b2ce1e79c252,
  0x13fa8f09e12fc436, 0xb3db84889c3b41c1, 0xf2beea53b58e9ef9, 0xc723e0d9835af1c8, 0x669d68450298ac3d,
  0xd484d7d185962291, 0xf88c9a39d5dba441, 0xc6abc6c75e74ef08, 0x3170908a3a046f6a, 0xa3608991c37b2d97,
  0x189ddfb0b30e344a, 0xf77e781013936df8, 0x04df9bcda450603b, 0x90e1aa6f529c94e8, 0xca718de33a207c46,
  0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x0000000501518ff4,
};

/*
 * m2564rfr2_u1x12_uart1_dual_pr     m2564rfr2_u1x12_uart1_dual_pr_u4  m256rfr2_u1x12_uart1_dual
 * m256rfr2_u1x12_uart1_dual_pr      m256rfr2_u1x12_uart1_dual_pr_u4   m2560_u1x12_uart1_dual
 * m2560_u1x12_uart1_dual_pr         m2560_u1x12_uart1_dual_pr_u4      m2561_u1x12_uart1_dual
 * m2561_u1x12_uart1_dual_pr         m2561_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xa6ff32a5380253ba, 0xa9ed8656386fbe2f,
  0x489049032eb34723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2b5b0, 0xe420b486f97177f2,
  0x8a8432d0f9110cbf, 0xdea57fd01cf0987c, 0xe9f260b0de579096, 0x6a7f76e9f04bbaff, 0xdf2c4d4368dd27fb,
  0x38920621e391f229, 0x580aa0f31eb10d24, 0xc01af0ef68ebf9cc, 0xf09f5403ff6608eb, 0x15258a7207967b7c,
  0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x26fcde6d228301df, 0x870d537a94e4a740, 0x538c6f19d103e234,
  0xa722adec55516986, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x2b53ab337f07771a, 0x9ffde1ef79430a91,
  0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x00524d071b824f25,
};

// m256rfr2_u1x12_uart1_dual_pr_ee   m2560_u1x12_uart1_dual_pr_ee      m2561_u1x12_uart1_dual_pr_ee
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xf32a5380253ba7c4, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0x6e9f04b4dfff4f93, 0x24368dd27fb6a7f7,
  0x723cad7dcd56b472, 0xfee8e47c1b3060a4, 0x522cd3ad08a1df15, 0x52e6909afa30b2c4, 0x47bd9cead2e63d71,
  0xaad743af51378724, 0x5c2422883e8f9eb1, 0x608fd6e1bd97d2cc, 0x71525009af905aa3, 0x0c4eefd93f8abe77,
  0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xda722adec5551698,
  0x6ef84a5a97e56d99, 0x8b3dfe209f71e198, 0x727eeaccdfc1ddc6, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x000c850ad4e093c9,
};

// m256rfr2_u1x12_uart1_dual_pr_ee_u4 m2560_u1x12_uart1_dual_pr_ee_u4   m2561_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x9529c6024ee9f12e, 0x56f9c200717149f9,
  0x40d36e68e47b5bd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f9737c0ddc3e, 0x437cb8bbf92f97cb,
  0xd074a8865ff2105a, 0xa039e131458a8432, 0xc3795e425b7a1fff, 0x9f04b4dff9032982, 0x368dd27fb6a7f76e,
  0x3cad7dcd56b47224, 0xe8e47c1b3060a472, 0x2cd3ad08a1df15fe, 0xe6909afa30b2c452, 0xbd9cead2e63d7152,
  0xd743af5137872447, 0x2422883e8f9eb1aa, 0x8fd6e1bd97d2cc5c, 0x525009af905aa360, 0x4eefd93f8abe7771,
  0xbf3c0809c9b6fc0c, 0x6fcde6d228301dfb, 0x70d537a94e4a7402, 0x38c6f19d103e2348, 0x722adec555169865,
  0xf84a5a97e56d99da, 0xcf7f8817b1e1986e, 0xa9d599bf8347f1a2, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x59169ac7f86792bf, 0x0000000000000001,
};

// m256rfr2_u1x12_uart1_dual_pr_ce   m2560_u1x12_uart1_dual_pr_ce      m2561_u1x12_uart1_dual_pr_ce
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x0fcca94e0094ee9f, 0xbd85ad9c2b7f8bc0,
  0x41240f76a68e479d, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c94900dd, 0x82d21be5c5dfc97c,
  0x219682564432ff90, 0x7ffd01cf0997dc54, 0x4c161bcaf212dbf5, 0xddba7c12df7ffd3e, 0xf510da3749feda9f,
  0x49f3cdceca181bfa, 0xd8489ecb3879e709, 0xa1f7ea3c2784bf10, 0xb9b3db84889c3b5d, 0xe391c6fcf72df5d4,
  0xa00f7d2438920752, 0xbc3bda3afe731602, 0xd500ffd99e3af006, 0x58a720796b773c27, 0xefd93f8abe777152,
  0x3c0809c9b6fc0c4e, 0xcde6d228301dfbbf, 0xd537a94e4a74026f, 0xc6f19d103e234870, 0x8edec55516986538,
  0x94b52fcadb33b4e1, 0xfe204e33c330ddf0, 0xeaccdfc1ddc68b3d, 0x0e271a50c2a44ad4, 0x0ae4fc07cd1f633b,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000001a48811c127,
};

// m256rfr2_u1x12_uart1_dual_pr_ce_u4 m2560_u1x12_uart1_dual_pr_ce_u4   m2561_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xb8bbfcfcca94e009, 0x1c8fff3601a0e1a6,
  0xe8524482481f4fcd, 0x3f3f7c117e53e5c5, 0x5401bb87c288627c, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x07b8a8432d05f688, 0x12db93affa039e13, 0xdffd3e4c161bcaf2, 0xfeda9fddba7c1295, 0xb037f597d0da3749,
  0xf3ce1293e79b9daf, 0x097e21b0913d9670, 0x4e1e000a4fd4784f, 0x96fac38cd9edc244, 0x24818718e47e927b,
  0x9cc580a98f41490e, 0xc75e45de110e8d21, 0xe2a4a3ad66e39633, 0x189ddfb27f157cee, 0xf77e781013936df8,
  0xa0137e6f0725603b, 0x9053ea9dc594e5f3, 0x15c18c10b4d8af6e, 0x2b6cce9c6378ce88, 0x8f0cc377c252d4bf,
  0x83bb8d167bfc40bd, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xc12792bf734332c3, 0x0000000006922681,
};

// m256rfr2_u1x12_uart1_dual_pr_ee_ce m2560_u1x12_uart1_dual_pr_ee_ce   m2561_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x3fcca94e0094ee9f, 0xdb067c38759f1764,
  0x82481febcd1c8f30, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf2e7e43e5c8381bb, 0x1690df2e2efe4be5,
  0x0cb42dd22197fc84, 0x3fe80e784ca7a2a1, 0x30586f2bc84b6f00, 0x76e9f048347ff4f9, 0xf74368dd27fb6a7f,
  0xf373bb7402bbea8f, 0xde1f2d7e79c2527c, 0x310cd02bb84889c3, 0xc723cacca94ed7e2, 0xae448e47c1b30698,
  0x2291669d68450298, 0x04f1d484d7d18596, 0xbc307d1f4873abb7, 0x52ec6abc6c75ed62, 0xc7c62e1211460b47,
  0x4971887132386f65, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x9bf3796ea0c077ee, 0x1c354dea53929d00,
  0xdc63042d2d7f88d2, 0xdb33a718de33a206, 0xc330ddf094b52fca, 0xbb8d167bfc413ee3, 0xd30ae4fdd599bf83,
  0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x00000013046e3dc1,
};

/*
 * m256rfr2_u1x12_uart1_dual_pr_ee_ce_u4 m2560_u1x12_uart1_dual_pr_ee_ce_u4
 * m2561_u1x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0xf17eeb7e654a7180,
  0x23a926c39be70548, 0x1491209206ce5347, 0xcfdf045f94f9717a, 0x006ee1f0a2189f0f, 0xc97cbe5cfc87c855,
  0xff9082d21be5c5df, 0xa8a8432d0b1f4432, 0xb7e5affa039e1325, 0x9032982c3795e425, 0x6a7f76e9f04a007f,
  0xea8e574368dd27fb, 0x949f7c033bd3406f, 0x0d8489ecb3879e70, 0x2ea77ea3c2784bf1, 0xba6cf6e122270fe7,
  0x723cadfc94ed63a9, 0xd4a8e47c1b306be4, 0x522cd3ad08a05315, 0x1e3a909afa30b2c4, 0xc39223dece7576e3,
  0x9eb1aaf1b1d7a89b, 0xd2cc5c2422883e8f, 0x2d51b044c8e1bd97, 0x5f3bb8a92966d7c8, 0xdb7e062777ec9fc5,
  0x180efddf9e0404e4, 0x253a0137e6f36914, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88, 0x6d99da70c76f62aa,
  0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000002002a7167f8,
};

// m256rfr2_u1x12_uart1_dual_ee_hw   m2560_u1x12_uart1_dual_ee_hw      m2561_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0x99529c7419dd3e25, 0x856f9c200717149f,
  0x240d36e68e47b5bd, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0xb9f90f9737c0ddc3, 0xa437cb8bbf92f97c,
  0x2d074a8865ff2105, 0xfa039e131458a843, 0x2c3795e425b7a1ff, 0xe9f04b4dffc65a98, 0x4368dd27fb6a7f76,
  0x23cad7dcd56b4722, 0xee8e47c1b3060a47, 0x22cd3ad08a1df15f, 0x2e6909afa30b2c45, 0x7bd9cead2e63d715,
  0xad743af513787244, 0xc2422883e8f9eb1a, 0x08fd6e1bd97d2cc5, 0x1525009af905aa36, 0xc4eefd93f8abe777,
  0xbbf3c0809c9b6fc0, 0x26fcde6d228301df, 0x870d537a94e4a740, 0x538c6f19d103e234, 0xa722adec55516986,
  0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x00000015da7b2d51,
};

/*
 * m2564rfr2_u1x12_uart1_dual_ee_ce_u4_hw m256rfr2_u1x12_uart1_dual_ee_ce_hw
 * m256rfr2_u1x12_uart1_dual_ee_ce_u4_hw m2560_u1x12_uart1_dual_ee_ce_hw
 * m2560_u1x12_uart1_dual_ee_ce_u4_hw m2561_u1x12_uart1_dual_ee_ce_hw
 * m2561_u1x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x71d06774f8971030, 0x0548f17eeb7e654a,
  0x534723a926c39be7, 0x717a1491209206ce, 0x9f0fcfdf045f94f9, 0xc855006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x1325a8a8432d0b1f, 0xe425b7e5affa039e, 0x007fc65a982c3795, 0x27fb6a7f76e9f04a,
  0x406fea8e574368dd, 0xcf384a4fbc873bd3, 0x25f886c244f659c3, 0x87ba1baa3f51e13c, 0xb1d4dd367b709113,
  0x35f2391e56fe4a76, 0x298aea54723e0d98, 0x5962291669d68450, 0xbb718f1d484d7d18, 0xd44de1c911ef673a,
  0x1f47cf58d578d8eb, 0xdecbe9662e121144, 0x6be416a8d8226470, 0x4fe2af9ddc5494b3, 0x02726dbf0313bbf6,
  0xb48a0c077eefcf02, 0xea53929d009bf379, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0x4bf2b6cced3863b7,
  0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0xeba8d1ba8a792bf7,
};

/*
 * m2564rfr2_u2x8_uart0_noled_pr_ce_u4 m256rfr2_u2x8_uart0_noled_pr_ce
 * m256rfr2_u2x8_uart0_noled_pr_ce_u4 m2560_u2x8_uart0_noled_pr_ce
 * m2560_u2x8_uart0_noled_pr_ce_u4   m2561_u2x8_uart0_noled_pr_ce      m2561_u2x8_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x51ca4df6e9f091c3, 0xdc06fea0a4368ded, 0x1e79c2527cf373bf, 0xe12fc4361227b2ce,
  0x89c3c00149fa8f09, 0xdcb7d7ac9b3db848, 0x1c4903d6472393d3, 0xac398b01531b5a92, 0x33c75e8faf0e0b47,
  0x2d6e0e344aa01ffb, 0xfc0c4ad7b1357c0f, 0x2a0c077ad79ce166, 0xcbca6c670b79bcf8, 0x19d10256521b8ba9,
  0xd8aaa2d2b0938c6f, 0x4bf2b6cce54e31db, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x24dc12792bf73433,
  0x00000000000375ef,
};

/*
 * m2564rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m256rfr2_u2x8_uart0_noled_pr_ee_ce
 * m256rfr2_u2x8_uart0_noled_pr_ee_ce_u4 m2560_u2x8_uart0_noled_pr_ee_ce
 * m2560_u2x8_uart0_noled_pr_ee_ce_u4 m2561_u2x8_uart0_noled_pr_ee_ce
 * m2561_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x49bedd3e120d1fe1, 0xd5194b86d1bdaa39, 0x4a4f9e6e761680df, 0x86c244f659c3cf38,
  0x1baa3f51e13c25f8, 0xdf367b70911387ba, 0x391e57d44a76b1d3, 0xfba8e47c1b306b5e, 0x291669d68450298a,
  0xf51d484d7d185962, 0xc237d1e0b39d5db8, 0x71b1aaf1b1d79d3b, 0xcb98b848450b3d18, 0x1d51b044c8e1bd96,
  0xf0312b5ec2ce4154, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0, 0x67440959486e2ea7, 0x62aa8b4ac24e31bc,
  0x2fcadb339538c76f, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xb47049e4afdcd0cc, 0x0000000000027e25,
};

/*
 * m2564rfr2_u2x8_uart0_noled_ee_ce_u4_hw m256rfr2_u2x8_uart0_noled_ee_ce_hw
 * m256rfr2_u2x8_uart0_noled_ee_ce_u4_hw m2560_u2x8_uart0_noled_ee_ce_hw
 * m2560_u2x8_uart0_noled_ee_ce_u4_hw m2561_u2x8_uart0_noled_ee_ce_hw
 * m2561_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0xa4df6e9f09068ff2, 0xea8ca5c368ded51c, 0x4a4fbc873b0b406f, 0x86c244f659c3cf38,
  0x9747ff51e13c25f8, 0xef9b3db84889c3b3, 0x1c8f2bea253b58e9, 0x7dd4723e0d9835af, 0x148b34eb422814c5,
  0x7a8ea426be8c2cb1, 0xe11be8f059ceaedc, 0x38d8d578d8ebce9d, 0x65cc5c2422859e8c, 0x0ea8d8226470decb,
  0xf81895af616720aa, 0x54180ef5af39c2cd, 0x9794d8ce16f379f0, 0x33a204aca4371753, 0xb15545a5612718de,
  0x97e56d99ca9c63b7, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xa021c5f514f257ee,
};

/*
 * m2564rfr2_u2x8_uart0_lednop_pr_ce_u4 m256rfr2_u2x8_uart0_lednop_pr_ce
 * m256rfr2_u2x8_uart0_lednop_pr_ce_u4 m2560_u2x8_uart0_lednop_pr_ce
 * m2560_u2x8_uart0_lednop_pr_ce_u4  m2561_u2x8_uart0_lednop_pr_ce     m2561_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x51ca4df6e9f09143, 0x9c06fea0a4368ded, 0x1e79c2527cf373bf, 0xe12fc4361227b2ce,
  0x270f8ddd83fa8f09, 0x72df5eb26cf6e122, 0x71240f591c8fd24f, 0x19cc580b9241fa48, 0x3c75e8faf09348d2,
  0xadcf687daa01ffb3, 0x81895af67b8281e5, 0xef5af3c0809c2cdf, 0xd002de6f36914180, 0x8d21c354dea53929,
  0x6194e31bc67440f8, 0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000375c3539c127,
};

/*
 * m2564rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m256rfr2_u2x8_uart0_lednop_pr_ee_ce
 * m256rfr2_u2x8_uart0_lednop_pr_ee_ce_u4 m2560_u2x8_uart0_lednop_pr_ee_ce
 * m2560_u2x8_uart0_lednop_pr_ee_ce_u4 m2561_u2x8_uart0_lednop_pr_ee_ce
 * m2561_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0x9bedd3e129dbff0c, 0x5194b86d1bdaa394, 0x49f3cdceec7c0dfd, 0xd8489ecb3879e709,
  0x6ddfea3c2784bf10, 0xcd9edc2444e1c000, 0x4795f7529dac74f7, 0xee391f06cc1ad78e, 0x8b34eb422814c561,
  0x0ea426be8c2cb114, 0x47c464d1ceaedd22, 0x56355e363af3a778, 0xb98b848451d0237b, 0x551b044c8e1bd96c,
  0xe06256bd859871a2, 0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x33b4e18edec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004fc30897049,
};

/*
 * m2564rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m256rfr2_u2x8_uart0_lednop_ee_ce_hw
 * m256rfr2_u2x8_uart0_lednop_ee_ce_u4_hw m2560_u2x8_uart0_lednop_ee_ce_hw
 * m2560_u2x8_uart0_lednop_ee_ce_u4_hw m2561_u2x8_uart0_lednop_ee_ce_hw
 * m2561_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0xa4df6e9f094edff9, 0xea8ca5c368ded51c, 0x949f790e7763e06f, 0x0d8489ecb3879e70,
  0x7044fea3c2784bf1, 0xbe6cf6e122270ed0, 0x723cafba94ed63a7, 0x0f71c8f83660d6bc, 0xa459a75a1140a62b,
  0x10752135f4616588, 0xc23e23268e7576e9, 0xdab1aaf1b1d79d3b, 0x65cc5c24228e811b, 0x12a8d8226470decb,
  0xbf0312b5ec2cc38d, 0x01deb5e781013859, 0x53a005bcde6d2283, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x3fd14f257ee68665, 0x0000000000140546,
};

/*
 * m2564rfr2_u2x8_uart0_dual_pr      m2564rfr2_u2x8_uart0_dual_pr_u4   m256rfr2_u2x8_uart0_dual
 * m256rfr2_u2x8_uart0_dual_pr       m256rfr2_u2x8_uart0_dual_pr_u4    m2560_u2x8_uart0_dual
 * m2560_u2x8_uart0_dual_pr          m2560_u2x8_uart0_dual_pr_u4       m2561_u2x8_uart0_dual
 * m2561_u2x8_uart0_dual_pr          m2561_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x5f4dfe654a7004a7, 0x4753db0cac70df7c,
  0x14912092065d668e, 0xcfdf045f94f9717a, 0x606ee1f0a2189f0f, 0xe4be5f2e7e43e56b, 0x7fc841690df2e2ef,
  0xf9150865a1f22219, 0x2dbd4affa039e130, 0xffd3e4c161bcaf21, 0x51ca4df6e9f09775, 0x229df2c4d4368ded,
  0xd2438920621e391f, 0x9cc580aa0f31eb10, 0x8ebc01af0ef68ebf, 0xb7cf09f5403ff660, 0x77715258a7207967,
  0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0xa7400b79bcda4506, 0xe234870d537a94e4, 0x6986538c6f19d103,
  0xd99da722adec5551, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e, 0x0a912b53ab337f07, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x000000524d071b82,
};

// m256rfr2_u2x8_uart0_dual_pr_ee    m2560_u2x8_uart0_dual_pr_ee       m2561_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x27e654a7004a774f, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0x260b0de579096de8, 0xdf6e9f0969bffe9f, 0x47224368ded51ca4,
  0x0a4723cad7dcd56b, 0xf15fee8e47c1b306, 0x2c4522cd3ad08a1d, 0xd7152e6909afa30b, 0x72447bd9cead2e63,
  0xeb1aad743af51378, 0x2cc5c2422883e8f9, 0xaa3608fd6e1bd97d, 0xe7771525009af905, 0x37e06256bd93f8ab,
  0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e, 0x16986538c6f19d10, 0x6d99da722adec555,
  0xe1986ef84a5a97e5, 0xddc68b3dfe209f71, 0xe985727eeaccdfc1, 0x52d9c389c6592e19, 0x93c95fb9a19961d2,
  0x0000000c850ad4e0,
};

// m256rfr2_u2x8_uart0_dual_pr_ee_u4 m2560_u2x8_uart0_dual_pr_ee_u4    m2561_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0x6e9f0969bff20653, 0x224368ded51ca4df,
  0x4723cad7dcd56b47, 0x5fee8e47c1b3060a, 0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0x447bd9cead2e63d7,
  0x1aad743af5137872, 0xc5c2422883e8f9eb, 0x3608fd6e1bd97d2c, 0x771525009af905aa, 0xe06256bd93f8abe7,
  0x3bd6bcf020270b37, 0x7400b79bcda45060, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x99da722adec55516,
  0x986ef84a5a97e56d, 0xf1a2cf7f8817b1e1, 0x4895a9d599bf8347, 0xcc4ffef0f7bca185, 0x3347d8cec38fe32f,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000159169ac7f867,
};

// m256rfr2_u2x8_uart0_dual_pr_ce    m2560_u2x8_uart0_dual_pr_ce       m2561_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0x801f99529c0129dd, 0x3b7b0b5b3856ff17,
  0x4482481eed4d1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xf97cb9f90f929201, 0x2105a437cb8bbf92,
  0xa8432d04ac8865ff, 0xeafffa039e132fb8, 0x7c982c3795e425b7, 0x937dba7c25befffa, 0xbfaf510da37b5472,
  0x70949f3cdceca181, 0xf10d8489ecb3879e, 0xb5da1f7ea3c2784b, 0x5d4b9b3db84889c3, 0x752e391c6fcf72df,
  0x602a00f7d2438920, 0x006bc3bda3afe731, 0xc27d500ffd99e3af, 0x15258a720796b773, 0x6256bd93f8abe777,
  0xd6bcf020270b37e0, 0x00b79bcda450603b, 0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xb4e18edec5551698,
  0xddf094b52fcadb33, 0x8b3dfe204e33c330, 0x4ad4eaccdfc1ddc6, 0x633b0e271a50c2a4, 0x33d30ae4fc07cd1f,
  0xa4a5b387138cb25c, 0xc12792bf734332c3, 0x0000000001a48811,
};

// m256rfr2_u2x8_uart0_dual_pr_ce_u4 m2560_u2x8_uart0_dual_pr_ce_u4    m2561_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0x4d7177f9f99529c0, 0x9a391ffe6c0341c3,
  0x8bd0a48904903e9f, 0xf87e7ef822fca7cb, 0x24a803770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x260f7150865a0bed, 0xe425b7275ff4073c, 0x2bbffa7c982c3795, 0x7b5472937dba7c25, 0xdafb037f597d0da3,
  0x670f3ce1293e79b9, 0x84f097e21b0913d9, 0x2444e1e000a4fd47, 0x27b96fac38cd9edc, 0x90e24818718e47e9,
  0xd219cc580a98f414, 0x633c75e45de110e8, 0xceee2a4a3ad66e39, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16,
  0xe5f3a005bcde0e4a, 0xaf6e9053ea9dc594, 0xce8815c18c10b4d8, 0xd4bf2b6cce9c6378, 0x40bd8f0cc377c252,
  0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0x2681c12792bf7343, 0x0000000000000692,
};

// m256rfr2_u2x8_uart0_dual_pr_ee_ce m2560_u2x8_uart0_dual_pr_ee_ce    m2561_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xc87f99529c0129dd, 0x61b60cf870eb3e2e,
  0x8904903fd79a391e, 0xf822fca7cb8bd0a4, 0x770f8510c4f87e7e, 0xcbe5cfc87cb90703, 0x082d21be5c5dfc97,
  0x4219685ba4432ff9, 0x007fd01cf0994f45, 0xf260b0de579096de, 0x4df6e9f09068ffe9, 0xa8ff74368ded51ca,
  0x27cf373bb7402bbe, 0x9c3de1f2d7e79c25, 0x7e2310cd02bb8488, 0x698c723cacca94ed, 0x298ae448e47c1b30,
  0x5962291669d68450, 0xbb704f1d484d7d18, 0xd62bc307d1f4873a, 0xb4752ec6abc6c75e, 0xf65c7c62e1211460,
  0xdc54971887132386, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x9d002de6f2dd4180, 0x88d21c354dea5392,
  0xa206dc63042d2d7f, 0x2fcadb33a718de33, 0x3ee3c330ddf094b5, 0xbf83bb8d167bfc41, 0x5c33d30ae4fdd599,
  0xc3a4a5b387138cb2, 0x3dc12792bf734332, 0x000000000013046e,
};

/*
 * m256rfr2_u2x8_uart0_dual_pr_ee_ce_u4 m2560_u2x8_uart0_dual_pr_ee_ce_u4
 * m2561_u2x8_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0x91e2fdd6fcca94e3,
  0x8e47524d8737ce0a, 0xf4292241240d9ca6, 0x1f9fbe08bf29f2e2, 0xaa00ddc3e144313e, 0xbf92f97cb9f90f90,
  0x65ff2105a437cb8b, 0x4b5150865a163e88, 0x4b6fcb5ff4073c26, 0xff206530586f2bc8, 0x51ca4df6e9f09400,
  0x06fea8e574368ded, 0xe70949f7c033bd34, 0xbf10d8489ecb3879, 0xfe72ea77ea3c2784, 0x3a9ba6cf6e122270,
  0xbe4723cadfc94ed6, 0x315d4a8e47c1b306, 0x2c4522cd3ad08a05, 0x6e31e3a909afa30b, 0x89bc39223dece757,
  0xe8f9eb1aaf1b1d7a, 0xd97d2cc5c2422883, 0x7c82d51b044c8e1b, 0xfc55f3bb8a92966d, 0x13859bf0312b5ec9,
  0xd228301deb5e7810, 0xd4a7253a005bcde6, 0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x97e56d99da70c76f,
  0x17b1e1986ef84a5a, 0xbf8347f1a2cf7f88, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x67f86792bf734332, 0x0000000002002a71,
};

// m256rfr2_u2x8_uart0_dual_ee_hw    m2560_u2x8_uart0_dual_ee_hw       m2561_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x3f32a538e833ba7c, 0x7b0adf38400e2e29,
  0x82481a6dcd1c8f6b, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf973f21f2e6f81bb, 0x0b486f97177f25f2,
  0x865a0e9510cbfe42, 0xfff4073c2628b150, 0x30586f2bc84b6f43, 0xf6e9f0969bff8cb5, 0x7224368ded51ca4d,
  0xa4723cad7dcd56b4, 0x15fee8e47c1b3060, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x2447bd9cead2e63d,
  0xb1aad743af513787, 0xcc5c2422883e8f9e, 0xa3608fd6e1bd97d2, 0x7771525009af905a, 0x7e06256bd93f8abe,
  0x03bd6bcf020270b3, 0xa7400b79bcda4506, 0xe234870d537a94e4, 0x6986538c6f19d103, 0xd99da722adec5551,
  0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x2d514f257ee68665, 0x000000000015da7b,
};

/*
 * m2564rfr2_u2x8_uart0_dual_ee_ce_u4_hw m256rfr2_u2x8_uart0_dual_ee_ce_hw
 * m256rfr2_u2x8_uart0_dual_ee_ce_u4_hw m2560_u2x8_uart0_dual_ee_ce_hw
 * m2560_u2x8_uart0_dual_ee_ce_u4_hw m2561_u2x8_uart0_dual_ee_ce_hw    m2561_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0xce0a91e2fdd6fcca,
  0x9ca68e47524d8737, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x0f90aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x3e8865ff2105a437, 0x3c264b5150865a16, 0x2bc84b6fcb5ff407, 0x9400ff8cb530586f, 0x8ded51ca4df6e9f0,
  0xbd3406fea8e57436, 0x9c3cf384a4fbc873, 0x13c25f886c244f65, 0x11387ba1baa3f51e, 0xa76b1d4dd367b709,
  0xd9835f2391e56fe4, 0x450298aea54723e0, 0xd185962291669d68, 0x73abb718f1d484d7, 0x8ebd44de1c911ef6,
  0x1441f47cf58d578d, 0x470decbe9662e121, 0x4b36be416a8d8226, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895,
  0xe6f36914180ef5af, 0x354dea53929d002d, 0x31bc67440f88d21c, 0x63b7b15545a6194e, 0x252d4bf2b6cced38,
  0x895a82ecf0cc377c, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0000eba8d1ba8a79,
};

/*
 * m2564rfr2_u2x8_uart1_noled_pr_ce_u4 m256rfr2_u2x8_uart1_noled_pr_ce
 * m256rfr2_u2x8_uart1_noled_pr_ce_u4 m2560_u2x8_uart1_noled_pr_ce
 * m2560_u2x8_uart1_noled_pr_ce_u4   m2561_u2x8_uart1_noled_pr_ce      m2561_u2x8_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0xa3949bedd3e091c3, 0xb80dfd41486d1bda, 0x3cf384a4f9e6e77f, 0xc25f886c244f659c,
  0x1387800293f51e13, 0xb96faf59367b7091, 0x389207ac8e4727a7, 0x58731602a636b524, 0x678ebd1f5e1c168f,
  0x5adc1c6895403ff6, 0xf0313bbf626af81e, 0xa0c077eefce726db, 0x794d8ce4df9bcf82, 0x3a204aca43717539,
  0x15545a5612718de3, 0x7e56d99ca9c63b7b, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881, 0x79430a912b53ab33,
  0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964, 0x9b824f257ee68665,
  0x00000000006ebde4,
};

/*
 * m2564rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m256rfr2_u2x8_uart1_noled_pr_ee_ce
 * m256rfr2_u2x8_uart1_noled_pr_ee_ce_u4 m2560_u2x8_uart1_noled_pr_ee_ce
 * m2560_u2x8_uart1_noled_pr_ee_ce_u4 m2561_u2x8_uart1_noled_pr_ee_ce
 * m2561_u2x8_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x937dba7c120d1fe1, 0xaa32970da37b5472, 0x949f3cdcec2d01bf, 0x0d8489ecb3879e70,
  0x37547ea3c2784bf1, 0xbe6cf6e122270f74, 0x723cafa894ed63a7, 0xf751c8f83660d6bc, 0x522cd3ad08a05315,
  0xea3a909afa30b2c4, 0x846fa3c1673abb71, 0xe36355e363af3a77, 0x973170908a167a30, 0x3aa3608991c37b2d,
  0xc0c4eefd859c82a8, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a, 0xe8812b290dc5d4e5, 0x5551695849c6378c,
  0xf95b6672a718edec, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd,
  0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x8e093c95fb9a1996, 0x00000000004fc4b6,
};

/*
 * m2564rfr2_u2x8_uart1_noled_ee_ce_u4_hw m256rfr2_u2x8_uart1_noled_ee_ce_hw
 * m256rfr2_u2x8_uart1_noled_ee_ce_u4_hw m2560_u2x8_uart1_noled_ee_ce_hw
 * m2560_u2x8_uart1_noled_ee_ce_u4_hw m2561_u2x8_uart1_noled_ee_ce_hw
 * m2561_u2x8_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0x49bedd3e09068ff2, 0xd5194b86d1bdaa39, 0x949f790e761680df, 0x0d8489ecb3879e70,
  0x2e8ffea3c2784bf1, 0xdf367b7091138767, 0x391e57d44a76b1d3, 0xfba8e47c1b306b5e, 0x291669d68450298a,
  0xf51d484d7d185962, 0xc237d1e0b39d5db8, 0x71b1aaf1b1d79d3b, 0xcb98b848450b3d18, 0x1d51b044c8e1bd96,
  0xe062777ec2ce4154, 0x4180efddf9ce4db7, 0xf29b19c9bf379f05, 0x7440959486e2ea72, 0x2aa8b4ac24e31bc6,
  0xfcadb339538c76f6, 0xbb3c330ddf094b52, 0xc3def286152256a0, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x0438bea29e4afdcd, 0x0000000000000014,
};

/*
 * m2564rfr2_u2x8_uart1_lednop_pr_ce_u4 m256rfr2_u2x8_uart1_lednop_pr_ce
 * m256rfr2_u2x8_uart1_lednop_pr_ce_u4 m2560_u2x8_uart1_lednop_pr_ce
 * m2560_u2x8_uart1_lednop_pr_ce_u4  m2561_u2x8_uart1_lednop_pr_ce     m2561_u2x8_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0xa3949bedd3e09143, 0x380dfd41486d1bda, 0x3cf384a4f9e6e77f, 0xc25f886c244f659c,
  0x4e1f1bbb07f51e13, 0xe5bebd64d9edc244, 0xe2481eb2391fa49e, 0x3398b0172483f490, 0x78ebd1f5e12691a4,
  0x5b9ed0fb5403ff66, 0x062777ecf70503cb, 0xfddf9e0404e4db7e, 0x0137e6f36914180e, 0xa4386a9bd4a7253a,
  0x329c6378ce881f11, 0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771,
  0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x0006eb86a73824f2,
};

/*
 * m2564rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m256rfr2_u2x8_uart1_lednop_pr_ee_ce
 * m256rfr2_u2x8_uart1_lednop_pr_ee_ce_u4 m2560_u2x8_uart1_lednop_pr_ee_ce
 * m2560_u2x8_uart1_lednop_pr_ee_ce_u4 m2561_u2x8_uart1_lednop_pr_ee_ce
 * m2561_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0x37dba7c129dbff0c, 0xa32970da37b54729, 0x93e79b9dd8f81bfa, 0xb0913d9670f3ce12,
  0xdbbfd4784f097e21, 0x9b3db84889c38000, 0x8f2beea53b58e9ef, 0xdc723e0d9835af1c, 0x1669d68450298ac3,
  0x1d484d7d18596229, 0x8f88c9a39d5dba44, 0xac6abc6c75e74ef0, 0x73170908a3a046f6, 0xaa3608991c37b2d9,
  0x8189ddfb0b30e344, 0xbf77e781013936df, 0x804df9bcda450603, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00009f86112e093c,
};

/*
 * m2564rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m256rfr2_u2x8_uart1_lednop_ee_ce_hw
 * m256rfr2_u2x8_uart1_lednop_ee_ce_u4_hw m2560_u2x8_uart1_lednop_ee_ce_hw
 * m2560_u2x8_uart1_lednop_ee_ce_u4_hw m2561_u2x8_uart1_lednop_ee_ce_hw
 * m2561_u2x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0x49bedd3e094edff9, 0xd5194b86d1bdaa39, 0x293ef21ceec7c0df, 0x1b0913d9670f3ce1,
  0xe089fd4784f097e2, 0x7cd9edc2444e1da0, 0xe4795f7529dac74f, 0x1ee391f06cc1ad78, 0x48b34eb422814c56,
  0x20ea426be8c2cb11, 0x847c464d1ceaedd2, 0xb56355e363af3a77, 0xcb98b848451d0237, 0x2551b044c8e1bd96,
  0xfc0c4eefd859871a, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x33b4e18edec55516, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xfa29e4afdcd0ccb0, 0x000000000280a8c7,
};

/*
 * m2564rfr2_u2x8_uart1_dual_pr      m2564rfr2_u2x8_uart1_dual_pr_u4   m256rfr2_u2x8_uart1_dual
 * m256rfr2_u2x8_uart1_dual_pr       m256rfr2_u2x8_uart1_dual_pr_u4    m2560_u2x8_uart1_dual
 * m2560_u2x8_uart1_dual_pr          m2560_u2x8_uart1_dual_pr_u4       m2561_u2x8_uart1_dual
 * m2561_u2x8_uart1_dual_pr          m2561_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x5f4dfe654a7004a7, 0x4753db0cac70df7c,
  0x14912092065d668e, 0xcfdf045f94f9717a, 0x606ee1f0a2189f0f, 0xe4be5f2e7e43e56b, 0x7fc841690df2e2ef,
  0xf9150865a1f22219, 0x2dbd4affa039e130, 0xffd3e4c161bcaf21, 0xa3949bedd3e09775, 0x453be589a86d1bda,
  0xa4871240c43c723e, 0x398b01541e63d621, 0x1d78035e1ded1d7f, 0x6f9e13ea807fecc1, 0xeee2a4b14e40f2cf,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94, 0x30ca718de33a207c,
  0x33b4e455bd8aaa2d, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000a49a0e37049,
};

// m256rfr2_u2x8_uart1_dual_pr_ee    m2560_u2x8_uart1_dual_pr_ee       m2561_u2x8_uart1_dual_pr_ee
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x27e654a7004a774f, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0x260b0de579096de8, 0xbedd3e0969bffe9f, 0x8e4486d1bdaa3949,
  0x148e4795afb9aad6, 0xe2bfdd1c8f83660c, 0x588a459a75a1143b, 0xae2a5cd2135f4616, 0xe488f7b39d5a5cc7,
  0xd6355ae875ea26f0, 0x598b84845107d1f3, 0x546c11fadc37b2fa, 0xceee2a4a0135f20b, 0xdf8189ddfb27f157,
  0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207, 0xb33b4e455bd8aaa2,
  0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x00000190a15a9c12,
};

// m256rfr2_u2x8_uart1_dual_pr_ee_u4 m2560_u2x8_uart1_dual_pr_ee_u4    m2561_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0xdd3e0969bff20653, 0x4486d1bdaa3949be,
  0x8e4795afb9aad68e, 0xbfdd1c8f83660c14, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x88f7b39d5a5cc7ae,
  0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54, 0x8189ddfb27f157ce,
  0xbf77e781013936df, 0x804df9bcda450603, 0x690e1aa6f529c94e, 0x0ca718de33a207c4, 0x3b4e455bd8aaa2d3,
  0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x12b53ab337f068fe, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x002b22d358ff0cf2,
};

// m256rfr2_u2x8_uart1_dual_pr_ce    m2560_u2x8_uart1_dual_pr_ce       m2561_u2x8_uart1_dual_pr_ce
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0x801f99529c0129dd, 0x3b7b0b5b3856ff17,
  0x4482481eed4d1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xf97cb9f90f929201, 0x2105a437cb8bbf92,
  0xa8432d04ac8865ff, 0xeafffa039e132fb8, 0x7c982c3795e425b7, 0x26fb74f825befffa, 0x7f5ea21b46f6a8e5,
  0xe1293e79b9d94303, 0xe21b0913d9670f3c, 0x6bb43efd4784f097, 0xba97367b70911387, 0xea5c7238df9ee5be,
  0xc05401efa4871240, 0x00d7877b475fce62, 0x84faa01ffb33c75e, 0x2a4b14e40f2d6ee7, 0x89ddfb27f157ceee,
  0x77e781013936df81, 0x4df9bcda450603bf, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c,
  0xbe1296a5f95b6676, 0x67bfc409c678661b, 0x5a9d599bf83bb8d1, 0x6761c4e34a185489, 0x7a615c9f80f9a3ec,
  0x94b670e271964b86, 0x24f257ee68665874, 0x0000000034910238,
};

// m256rfr2_u2x8_uart1_dual_pr_ce_u4 m2560_u2x8_uart1_dual_pr_ce_u4    m2561_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0x4d7177f9f99529c0, 0x9a391ffe6c0341c3,
  0x8bd0a48904903e9f, 0xf87e7ef822fca7cb, 0x24a803770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x260f7150865a0bed, 0xe425b7275ff4073c, 0x2bbffa7c982c3795, 0xf6a8e526fb74f825, 0xb5f606feb2fa1b46,
  0xce1e79c2527cf373, 0x09e12fc4361227b2, 0x4889c3c00149fa8f, 0x4f72df58719b3db8, 0x21c49030e31c8fd2,
  0xa43398b01531e829, 0xc678ebc8bbc221d1, 0x9ddc549475acdc72, 0xbf0313bbf64fe2af, 0x077eefcf0202726d,
  0xbe74026fcde0e4ac, 0xedd20a7d53b8b29c, 0xd102b83182169b15, 0x97e56d99d38c6f19, 0x17b1e1986ef84a5a,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xd03824f257ee6866, 0x000000000000d244,
};

// m256rfr2_u2x8_uart1_dual_pr_ee_ce m2560_u2x8_uart1_dual_pr_ee_ce    m2561_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xc87f99529c0129dd, 0x61b60cf870eb3e2e,
  0x8904903fd79a391e, 0xf822fca7cb8bd0a4, 0x770f8510c4f87e7e, 0xcbe5cfc87cb90703, 0x082d21be5c5dfc97,
  0x4219685ba4432ff9, 0x007fd01cf0994f45, 0xf260b0de579096de, 0x9bedd3e09068ffe9, 0x51fee86d1bdaa394,
  0x4f9e6e776e80577d, 0x387bc3e5afcf384a, 0xfc46219a05770911, 0xd318e479599529da, 0x5315c891c8f83660,
  0xb2c4522cd3ad08a0, 0x76e09e3a909afa30, 0xac57860fa3e90e75, 0x68ea5d8d578d8ebd, 0xecb8f8c5c24228c1,
  0xb8a92e310e26470d, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0xa0137e6f2dd4180e, 0x1a4386a9bd4a7253,
  0x40db8c6085a5aff1, 0xf95b6674e31bc674, 0xdc78661bbe1296a5, 0xf07771a2cf7f8827, 0x867a615c9fbab337,
  0x7494b670e271964b, 0xb824f257ee686658, 0x0000000002608dc7,
};

/*
 * m256rfr2_u2x8_uart1_dual_pr_ee_ce_u4 m2560_u2x8_uart1_dual_pr_ee_ce_u4
 * m2561_u2x8_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0x91e2fdd6fcca94e3,
  0x8e47524d8737ce0a, 0xf4292241240d9ca6, 0x1f9fbe08bf29f2e2, 0xaa00ddc3e144313e, 0xbf92f97cb9f90f90,
  0x65ff2105a437cb8b, 0x4b5150865a163e88, 0x4b6fcb5ff4073c26, 0xff206530586f2bc8, 0xa3949bedd3e09400,
  0x0dfd51cae86d1bda, 0xce1293ef80677a68, 0x7e21b0913d9670f3, 0xfce5d4efd4784f09, 0x75374d9edc2444e1,
  0x7c8e4795bf929dac, 0x62ba951c8f83660d, 0x588a459a75a1140a, 0xdc63c752135f4616, 0x137872447bd9ceae,
  0xd1f3d6355e363af5, 0xb2fa598b84845107, 0xf905aa3608991c37, 0xf8abe77715252cda, 0x9c9b6fc0c4eefd93,
  0x228301dfbbf3c080, 0x94e4a74026fcde6d, 0xd103e234870d537a, 0x55516986538c6f19, 0xfcadb33b4e18edec,
  0xf63c330ddf094b52, 0xf068fe3459eff102, 0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xff0cf257ee686658, 0x0000000040054e2c,
};

// m256rfr2_u2x8_uart1_dual_ee_hw    m2560_u2x8_uart1_dual_ee_hw       m2561_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x3f32a538e833ba7c, 0x7b0adf38400e2e29,
  0x82481a6dcd1c8f6b, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf973f21f2e6f81bb, 0x0b486f97177f25f2,
  0x865a0e9510cbfe42, 0xfff4073c2628b150, 0x30586f2bc84b6f43, 0xedd3e0969bff8cb5, 0xe4486d1bdaa3949b,
  0x48e4795afb9aad68, 0x2bfdd1c8f83660c1, 0x88a459a75a1143be, 0xe2a5cd2135f46165, 0x488f7b39d5a5cc7a,
  0x6355ae875ea26f0e, 0x98b84845107d1f3d, 0x46c11fadc37b2fa5, 0xeee2a4a0135f20b5, 0xf8189ddfb27f157c,
  0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x33b4e455bd8aaa2d,
  0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0xaa29e4afdcd0ccb0, 0x0000000002bb4f65,
};

/*
 * m2564rfr2_u2x8_uart1_dual_ee_ce_u4_hw m256rfr2_u2x8_uart1_dual_ee_ce_hw
 * m256rfr2_u2x8_uart1_dual_ee_ce_u4_hw m2560_u2x8_uart1_dual_ee_ce_hw
 * m2560_u2x8_uart1_dual_ee_ce_u4_hw m2561_u2x8_uart1_dual_ee_ce_hw    m2561_u2x8_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0xce0a91e2fdd6fcca,
  0x9ca68e47524d8737, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x0f90aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x3e8865ff2105a437, 0x3c264b5150865a16, 0x2bc84b6fcb5ff407, 0x9400ff8cb530586f, 0x1bdaa3949bedd3e0,
  0x7a680dfd51cae86d, 0x3879e70949f790e7, 0x2784bf10d8489ecb, 0x2270f7437547ea3c, 0x4ed63a9ba6cf6e12,
  0xb306be4723cadfc9, 0x8a05315d4a8e47c1, 0xa30b2c4522cd3ad0, 0xe7576e31e3a909af, 0x1d7a89bc39223dec,
  0x2883e8f9eb1aaf1b, 0x8e1bd97d2cc5c242, 0x966d7c82d51b044c, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277,
  0x6f36914180efddf9, 0xa9bd4a7253a0137e, 0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c,
  0x2b505d9e1986ef84, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x001d751a37514f25,
};

/*
 * m2564rfr2_u2x12_uart0_noled_pr_ce_u4 m256rfr2_u2x12_uart0_noled_pr_ce
 * m256rfr2_u2x12_uart0_noled_pr_ce_u4 m2560_u2x12_uart0_noled_pr_ce
 * m2560_u2x12_uart0_noled_pr_ce_u4  m2561_u2x12_uart0_noled_pr_ce     m2561_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xe6d4faadd3e12297, 0xa0a4368ded51ca4f, 0x527cf373bfdc06fe, 0x361227b2ce1e79c2,
  0x0149fa8f09e12fc4, 0xac9b3db84889c3c0, 0xd6472393d3dcb7d7, 0x01531b5a921c4903, 0x8faf0e0b47ac398b,
  0x344aa01ffb33c75e, 0xd7b1357c0f2d6e0e, 0x7ad79ce166fc0c4a, 0x670b79bcf82a0c07, 0x56521b8ba9cbca6c,
  0xd2b0938c6f19d102, 0xcce54e31dbd8aaa2, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0, 0x54895a9d599bf83b,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x00000375f8d0dc12,
};

/*
 * m2564rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m256rfr2_u2x12_uart0_noled_pr_ee_ce
 * m256rfr2_u2x12_uart0_noled_pr_ee_ce_u4 m2560_u2x12_uart0_noled_pr_ee_ce
 * m2560_u2x12_uart0_noled_pr_ee_ce_u4 m2561_u2x12_uart0_noled_pr_ee_ce
 * m2561_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x55ba7c25a6bfc30d, 0xd1bdaa3949fcda9f, 0x761680dfd5194b86, 0x59c3cf384a4f9e6e,
  0xe13c25f886c244f6, 0x911387ba1baa3f51, 0x4a76b1d3df367b70, 0x1b306b5e391e57d4, 0x8450298afba8e47c,
  0x7d185962291669d6, 0xb39d5db8f51d484d, 0xb1d79d3bc237d1e0, 0x450b3d1871b1aaf1, 0xc8e1bd96cb98b848,
  0xc2ce41541d51b044, 0x5e73859bf0312b5e, 0x2de6f3e0a8301deb, 0x486e2ea72f29b19c, 0xc24e31bc67440959,
  0x9538c76f62aa8b4a, 0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3, 0x13ffbc3def286152,
  0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0004fc94d67049e4,
};

/*
 * m2564rfr2_u2x12_uart0_noled_ee_ce_u4_hw m256rfr2_u2x12_uart0_noled_ee_ce_hw
 * m256rfr2_u2x12_uart0_noled_ee_ce_u4_hw m2560_u2x12_uart0_noled_ee_ce_hw
 * m2560_u2x12_uart0_noled_ee_ce_u4_hw m2561_u2x12_uart0_noled_ee_ce_hw
 * m2561_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xeab74f84b4d7f958, 0xda37b547293f9b53, 0xcec2d01bfaa32970, 0x9670f3ce1293ef21,
  0x784f097e21b0913d, 0x122270ece5d1ffd4, 0x894ed63a7be6cf6e, 0x83660d6bc723cafa, 0xd08a05315f751c8f,
  0xafa30b2c4522cd3a, 0x1673abb71ea3a909, 0x363af3a77846fa3c, 0x08a167a30e36355e, 0x991c37b2d9731709,
  0xd859c82a83aa3608, 0x6bce70b37e06256b, 0x85bcde7c150603bd, 0x290dc5d4e5e53633, 0x5849c6378ce8812b,
  0x72a718edec555169, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5, 0xbf619a3ec6761c7f,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000005014d20f,
};

/*
 * m2564rfr2_u2x12_uart0_lednop_pr_ce_u4 m256rfr2_u2x12_uart0_lednop_pr_ce
 * m256rfr2_u2x12_uart0_lednop_pr_ce_u4 m2560_u2x12_uart0_lednop_pr_ce
 * m2560_u2x12_uart0_lednop_pr_ce_u4 m2561_u2x12_uart0_lednop_pr_ce    m2561_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0xcda9f55ba7c24a7b, 0x41486d1bdaa3949f, 0xa4f9e6e77f380dfd, 0x6c244f659c3cf384,
  0xbb07f51e13c25f88, 0x64d9edc2444e1f1b, 0xb2391fa49ee5bebd, 0x172483f490e2481e, 0xf5e12691a43398b0,
  0xfb5403ff6678ebd1, 0xecf70503cb5b9ed0, 0x81013859bf0312b5, 0xde6d228301deb5e7, 0xa9bd4a7253a005bc,
  0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0xb9fadb824f257ee6, 0x000000000000006e,
};

/*
 * m2564rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m256rfr2_u2x12_uart0_lednop_pr_ee_ce
 * m256rfr2_u2x12_uart0_lednop_pr_ee_ce_u4 m2560_u2x12_uart0_lednop_pr_ee_ce
 * m2560_u2x12_uart0_lednop_pr_ee_ce_u4 m2561_u2x12_uart0_lednop_pr_ee_ce
 * m2561_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x55ba7c256b7fe186, 0xd1bdaa3949fcda9f, 0xeec7c0dfd5194b86, 0xb3879e70949f3cdc,
  0xc2784bf10d8489ec, 0x444e1c0006ddfea3, 0x29dac74f7cd9edc2, 0x6cc1ad78e4795f75, 0x22814c561ee391f0,
  0xe8c2cb1148b34eb4, 0x1ceaedd220ea426b, 0x63af3a77847c464d, 0x451d0237b56355e3, 0xc8e1bd96cb98b848,
  0xd859871a2551b044, 0x020270b37e06256b, 0xbcda450603bd6bcf, 0x537a94e4a7400b79, 0x6f19d103e234870d,
  0xedec55516986538c, 0x4b52fcadb33b4e18, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xc98be7049e4afdcd,
  0x000000000000004f,
};

/*
 * m2564rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m256rfr2_u2x12_uart0_lednop_ee_ce_hw
 * m256rfr2_u2x12_uart0_lednop_ee_ce_u4_hw m2560_u2x12_uart0_lednop_ee_ce_hw
 * m2560_u2x12_uart0_lednop_ee_ce_u4_hw m2561_u2x12_uart0_lednop_ee_ce_hw
 * m2561_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xd56e9f095adff958, 0xb46f6a8e527f36a7, 0x3bb1f037f54652e1, 0x59c3cf384a4fbc87,
  0xe13c25f886c244f6, 0x9113876838227f51, 0x4a76b1d3df367b70, 0x1b306b5e391e57dd, 0x08a0531587b8e47c,
  0xfa30b2c4522cd3ad, 0x473abb74883a909a, 0xd8ebce9de11f1193, 0x1147408ded58d578, 0x32386f65b2e62e12,
  0xf61661c689546c11, 0xc0809c2cdf81895a, 0x6f36914180ef5af3, 0x54dea53929d002de, 0x1bc67440f88d21c3,
  0x3b7b15545a6194e3, 0x52d4bf2b6cced386, 0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0005011392a8a792,
};

/*
 * m2564rfr2_u2x12_uart0_dual_pr     m2564rfr2_u2x12_uart0_dual_pr_u4  m256rfr2_u2x12_uart0_dual
 * m256rfr2_u2x12_uart0_dual_pr      m256rfr2_u2x12_uart0_dual_pr_u4   m2560_u2x12_uart0_dual
 * m2560_u2x12_uart0_dual_pr         m2560_u2x12_uart0_dual_pr_u4      m2561_u2x12_uart0_dual
 * m2561_u2x12_uart0_dual_pr         m2561_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0x15bf32a5380253ba, 0xe56d86fb3869be2f,
  0x4890490328734723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2adf0, 0xe420b486f97177f2,
  0x8a8432d05f110cbf, 0xdff77fd01cf099ef, 0xe9f260b0de579096, 0xb53eab74f848caff, 0x350da37b547293f9,
  0x18878e47c8a77cb1, 0x83cc7ac43490e248, 0xc3bda3afe731602a, 0x500ffd9823af006b, 0x29c81e59edf3c27d,
  0xf64fe2af9ddc5496, 0xc0809c2cdf81895a, 0x6f36914180ef5af3, 0x54dea53929d002de, 0x1bc67440f88d21c3,
  0xab7b15545a6194e3, 0x296a5f95b66769c8, 0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x934cb4e093c95fb9,
  0x0000000000000014,
};

// m256rfr2_u2x12_uart0_dual_pr_ee   m2560_u2x12_uart0_dual_pr_ee      m2561_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x9529c0129dd3e25c, 0x400380a4e2ffaff9,
  0x40e76e68e47adfd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f92a440ddc3e, 0x437cb8bbf92f97cb,
  0xd03868865ff2105a, 0xa039e133938a8432, 0xc3795e425b7e9fff, 0xa7c2515bffa7c982, 0xdaa3949fcda9f55b,
  0xfb9aad68e4486d1b, 0xf83660c148e4795a, 0x5a1143be2bfdd1c8, 0x35f4616588a459a7, 0xd5a5cc7ae2a5cd21,
  0x5ea26f0e488f7b39, 0x107d1f3d6355ae87, 0xc37b2fa598b84845, 0x135f20b546c11fad, 0xb27f157ceee2a4a0,
  0x0404e166fc0c4ad7, 0x79b48a0c077ad79e, 0xa6f529c94e8016f3, 0xde33a207c4690e1a, 0x5bd8aaa2d30ca718,
  0x4b52fcadb33b4e45, 0xc413ee3c330ddf09, 0x599bf83bb8d167bf, 0xcb25c33d30ae4fdd, 0x332c3a4a5b387138,
  0x89f5dc12792bf734, 0x0000000000000642,
};

// m256rfr2_u2x12_uart0_dual_pr_ee_u4 m2560_u2x12_uart0_dual_pr_ee_u4   m2561_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xc6024ee9f12e2061, 0x80a4e2ffaff99529,
  0x6e68e47adfd84003, 0x2e2f4292241240e7, 0x13e1f9fbe08bf29f, 0xf92a440ddc3e1443, 0xb8bbf92f97cb9f90,
  0x68865ff2105a437c, 0xe133938a8432d038, 0x5e425b7e9fffa039, 0xa2b7f9032982c379, 0x293f9b53eab74f84,
  0x5ad1c890da37b547, 0xc18291c8f2b5f735, 0x877c57fba391f06c, 0xc2cb1148b34eb422, 0x98f5c54b9a426be8,
  0xde1c911ef673ab4b, 0x3e7ac6ab5d0ebd44, 0x5f4b3170908a20fa, 0x416a8d823f5b86f6, 0x2af9ddc5494026be,
  0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x53929d002de6f369, 0x440f88d21c354dea, 0x5545a6194e31bc67,
  0xf95b66769c8ab7b1, 0xec78661bbe1296a5, 0xe0d1fc68b3dfe205, 0x286152256a75666f, 0xf8cbf313ffbc3def,
  0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xfe19e4afdcd0ccb0, 0x00000000ac8c1f71,
};

// m256rfr2_u2x12_uart0_dual_pr_ce   m2560_u2x12_uart0_dual_pr_ce      m2561_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xff32a5380253ba7c, 0xec066ce1bb5c5d36,
  0x049034b53472398f, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xf973f21f26430377, 0x0b486f97177f25f2,
  0x865a063d10cbfe42, 0xaffa039e13775150, 0x4c161bcaf212dbdb, 0xaadd3e122ebffd3e, 0x68ded51ca4fe6d4f,
  0x73b28a02bbebf243, 0xda1f7e79c2527cf3, 0x5cd02bb84889c3b5, 0xe391c6fcf72cf6ea, 0xa00f7d2438920752,
  0xbc3bda3afe731602, 0xd500ffd99e3af006, 0x58a720796b773c27, 0x6bd93f8abe777152, 0xcf020270b37e0625,
  0x79bcda450603bd6b, 0x0d537a94e4a7400b, 0x8c6f19d103e23487, 0x18edec5551698653, 0x094b52fcadb33b4e,
  0xdfe204e33c330ddf, 0x4eaccdfc1ddc68b3, 0xb0e271a50c2a44ad, 0x30ae4fc07cd1f633, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000000d242cdc12,
};

// m256rfr2_u2x12_uart0_dual_pr_ce_u4 m2560_u2x12_uart0_dual_pr_ce_u4   m2561_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x27e654a718093ba7, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xa60b0de579096de8, 0xaadd3e12d37fe40c, 0x68ded51ca4fe6d4f,
  0x033b28606febd443, 0xecb3879e70949f7c, 0xa3c2784bf10d8489, 0x70911387e5a66ffe, 0xdf9ee5beba97367b,
  0xa4871240ea5c7238, 0x475fce62c05401ef, 0xfb33c75e00d7877b, 0x0f2d6ee784faa01f, 0xf157ceee2a4b14e4,
  0x4e166fc0c4ad7b27, 0x48a0c077ad79e040, 0x529c94e8016f379b, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x5f95b66769c31dbd, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x1fe19e4afdcd0ccb, 0x000000000d245a6b,
};

// m256rfr2_u2x12_uart0_dual_pr_ee_ce m2560_u2x12_uart0_dual_pr_ee_ce   m2561_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x95f99529c0129dd3, 0xf361d6670643e2f4,
  0x90490335b9a391d9, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c95d7037, 0x82d21be5c5dfc97c,
  0x219686ce4432ff90, 0x27fd01cf09b2b454, 0x260b0de579096dc5, 0xd56e9f0969affe9f, 0xb46f6a8e527f36a7,
  0xddba015df547fba1, 0x96bf3ce1293e79b9, 0x6815dc2444e1ef0f, 0xe56654a76bf11886, 0x4723e0d9834c6391,
  0xb34eb422814c5722, 0xea426be8c2cb1148, 0x3e8fa439d5db8278, 0x355e363af6b15e18, 0x170908a305a3a976,
  0xc438991c37b2e3e3, 0xb27f157ceee2a4b8, 0x0404e166fc0c4ad7, 0x3796ea0c077ad79e, 0xaa6f529c94e8016f,
  0x1821696bfc4690e1, 0x9d38c6f19d1036e3, 0x86ef84a5a97e56d9, 0x68b3dfe209f71e19, 0x5727eeaccdfc1ddc,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00001304d38e093c,
};

/*
 * m256rfr2_u2x12_uart0_dual_pr_ee_ce_u4 m2560_u2x12_uart0_dual_pr_ee_ce_u4
 * m2561_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x70007e654a718093,
  0xe6fec152270eeb71, 0x4482481f47e68e47, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xe5f2e7e43e564981,
  0x841690df2e2efe4b, 0xa10cb43fe22197fc, 0x37ffe80e784c16a2, 0x94c161bcaf212dbb, 0xf55ba7c24293fc81,
  0x6d1bdaa3949fcda9, 0x677a680dfd51cae8, 0x9670f3ce1293ef80, 0x784f097e21b0913d, 0x2444e1fce5d4efd4,
  0x929dac75374d9edc, 0x83660d7c8e4795bf, 0xa1140a62ba951c8f, 0x5f4616588a459a75, 0xd9ceaedc63c75213,
  0x363af5137872447b, 0x845107d1f3d6355e, 0x991c37b2fa598b84, 0x252cdaf905aa3608, 0x56bd93f8abe77715,
  0xbcf020270b37e062, 0xb79bcda450603bd6, 0x70d537a94e4a7400, 0x38c6f19d103e2348, 0xe18edec555169865,
  0xf094b52fcadb33b4, 0x9eff102f63c330dd, 0x53ab337f068fe345, 0xfde1ef79430a912b, 0xb19d871fc65f989f,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x002566cff0cf257e, 0x0000000000000004,
};

// m256rfr2_u2x12_uart0_dual_ee_hw   m2560_u2x12_uart0_dual_ee_hw      m2561_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x529c7419dd3e25c4, 0x00380a4e2ffaff99,
  0x0e76e68e47adfd84, 0x29f2e2f429224124, 0x44313e1f9fbe08bf, 0xf90f92a440ddc3e1, 0x37cb8bbf92f97cb9,
  0x03868865ff2105a4, 0x039e133938a8432d, 0x3795e425b7e9fffa, 0xf84a2b7fc65a982c, 0x547293f9b53eab74,
  0x7355ad1c890da37b, 0x06cc18291c8f2b5f, 0x422877c57fba391f, 0xbe8c2cb1148b34eb, 0xb4b98f5c54b9a426,
  0xd44de1c911ef673a, 0x0fa3e7ac6ab5d0eb, 0x6f65f4b3170908a2, 0x6be416a8d823f5b8, 0x4fe2af9ddc549402,
  0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0x6a5f95b66769c8ab, 0xd417678661bbe129, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x0aed2d20f453c95f,
};

/*
 * m2564rfr2_u2x12_uart0_dual_ee_ce_u4_hw m256rfr2_u2x12_uart0_dual_ee_ce_hw
 * m256rfr2_u2x12_uart0_dual_ee_ce_u4_hw m2560_u2x12_uart0_dual_ee_ce_hw
 * m2560_u2x12_uart0_dual_ee_ce_u4_hw m2561_u2x12_uart0_dual_ee_ce_hw
 * m2561_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xbadc5c001f99529c,
  0xa391f9bfb05489c3, 0x7a1491209207d1f9, 0x0fcfdf045f94f971, 0x92606ee1f0a2189f, 0xbf92f97cb9f90f95,
  0x65ff2105a437cb8b, 0x05a8a8432d0ff888, 0x4b6ecdfffa039e13, 0xff8cb530586f2bc8, 0xf36a7d56e9f090a4,
  0x72ba1b46f6a8e527, 0x7de439de9a037f54, 0x1227b2ce1e79c252, 0x51fa8f09e12fc436, 0xb3db84889c3dd0dd,
  0xf2b7f253b58ea6e9, 0xa391f06cc1af91c8, 0xb34eb422814c5752, 0xea426be8c2cb1148, 0x488f7b39d5db8c78,
  0xc6abc6c75ea26f0e, 0x3170908a20fa3e7a, 0x46c1132386f65f4b, 0xeee2a4a59b5f20b5, 0xfc0c4ad7b27f157c,
  0x077ad79e0404e166, 0x4e8016f379b48a0c, 0xc4690e1aa6f529c9, 0xd30ca718de33a207, 0x66769c31dbd8aaa2,
  0x661bbe1296a5f95b, 0xe50c2a44ad417678, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xdd453c95fb9a1996, 0x000000000075d668,
};

/*
 * m2564rfr2_u2x12_uart1_noled_pr_ce_u4 m256rfr2_u2x12_uart1_noled_pr_ce
 * m256rfr2_u2x12_uart1_noled_pr_ce_u4 m2560_u2x12_uart1_noled_pr_ce
 * m2560_u2x12_uart1_noled_pr_ce_u4  m2561_u2x12_uart1_noled_pr_ce     m2561_u2x12_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xcda9f55ba7c12297, 0x41486d1bdaa3949f, 0xa4f9e6e77fb80dfd, 0x6c244f659c3cf384,
  0x0293f51e13c25f88, 0x59367b7091138780, 0xac8e4727a7b96faf, 0x02a636b524389207, 0x1f5e1c168f587316,
  0x6895403ff6678ebd, 0xbf626af81e5adc1c, 0xeefce726dbf0313b, 0xe4df9bcf82a0c077, 0xca43717539794d8c,
  0x5612718de33a204a, 0x9ca9c63b7b15545a, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x00006ebf1a1b824f,
};

/*
 * m2564rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m256rfr2_u2x12_uart1_noled_pr_ee_ce
 * m256rfr2_u2x12_uart1_noled_pr_ee_ce_u4 m2560_u2x12_uart1_noled_pr_ee_ce
 * m2560_u2x12_uart1_noled_pr_ee_ce_u4 m2561_u2x12_uart1_noled_pr_ee_ce
 * m2561_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0xab74f825a6bfc30d, 0xa37b547293f9b53e, 0xec2d01bfaa32970d, 0xb3879e70949f3cdc,
  0xc2784bf10d8489ec, 0x22270f7437547ea3, 0x94ed63a7be6cf6e1, 0x3660d6bc723cafa8, 0x08a05315f751c8f8,
  0xfa30b2c4522cd3ad, 0x673abb71ea3a909a, 0x63af3a77846fa3c1, 0x8a167a30e36355e3, 0x91c37b2d97317090,
  0x859c82a83aa36089, 0xf39c9b6fc0c4eefd, 0x7e6f3e0a8301dfbb, 0x0dc5d4e5e5363393, 0x49c6378ce8812b29,
  0xa718edec55516958, 0xbe1296a5f95b6672, 0xb3dfe205ec78661b, 0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44,
  0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x009f929ace093c95,
};

/*
 * m2564rfr2_u2x12_uart1_noled_ee_ce_u4_hw m256rfr2_u2x12_uart1_noled_ee_ce_hw
 * m256rfr2_u2x12_uart1_noled_ee_ce_u4_hw m2560_u2x12_uart1_noled_ee_ce_hw
 * m2560_u2x12_uart1_noled_ee_ce_u4_hw m2561_u2x12_uart1_noled_ee_ce_hw
 * m2561_u2x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xd56e9f04b4d7f958, 0xb46f6a8e527f36a7, 0x9d85a037f54652e1, 0x2ce1e79c2527de43,
  0xf09e12fc4361227b, 0x2444e1d9cba3ffa8, 0x129dac74f7cd9edc, 0x06cc1ad78e4795f5, 0xa1140a62beea391f,
  0x5f4616588a459a75, 0x2ce7576e3d475213, 0x6c75e74ef08df478, 0x1142cf461c6c6abc, 0x32386f65b2e62e12,
  0xb0b3905507546c11, 0x7e73936df8189ddf, 0x6fcde7c150603bf7, 0x21b8ba9cbca6c672, 0x0938c6f19d102565,
  0x54e31dbd8aaa2d2b, 0x77c252d4bf2b6cce, 0x854895a82ecf0cc3, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x0000000a029a41e8,
};

/*
 * m2564rfr2_u2x12_uart1_lednop_pr_ce_u4 m256rfr2_u2x12_uart1_lednop_pr_ce
 * m256rfr2_u2x12_uart1_lednop_pr_ce_u4 m2560_u2x12_uart1_lednop_pr_ce
 * m2560_u2x12_uart1_lednop_pr_ce_u4 m2561_u2x12_uart1_lednop_pr_ce    m2561_u2x12_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0x9b53eab74f824a7b, 0x8290da37b547293f, 0x49f3cdcefe701bfa, 0xd8489ecb3879e709,
  0x760fea3c2784bf10, 0xc9b3db84889c3e37, 0x64723f493dcb7d7a, 0x2e4907e921c4903d, 0xebc24d2348673160,
  0xf6a807feccf1d7a3, 0xd9ee0a0796b73da1, 0x0809c9b6fc0c4eef, 0xe6d228301dfbbf3c, 0x37a94e4a74026fcd,
  0xf19d103e234870d5, 0xdec55516986538c6, 0xb52fcadb33b4e18e, 0x102f63c330ddf094, 0x666fe0eee3459eff,
  0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x3f5b7049e4afdcd0, 0x0000000000000dd7,
};

/*
 * m2564rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m256rfr2_u2x12_uart1_lednop_pr_ee_ce
 * m256rfr2_u2x12_uart1_lednop_pr_ee_ce_u4 m2560_u2x12_uart1_lednop_pr_ee_ce
 * m2560_u2x12_uart1_lednop_pr_ee_ce_u4 m2561_u2x12_uart1_lednop_pr_ee_ce
 * m2561_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0xab74f8256b7fe186, 0xa37b547293f9b53e, 0xdd8f81bfaa32970d, 0x670f3ce1293e79b9,
  0x84f097e21b0913d9, 0x889c38000dbbfd47, 0x53b58e9ef9b3db84, 0xd9835af1c8f2beea, 0x450298ac3dc723e0,
  0xd185962291669d68, 0x39d5dba441d484d7, 0xc75e74ef08f88c9a, 0x8a3a046f6ac6abc6, 0x91c37b2d97317090,
  0xb0b30e344aa36089, 0x1013936df8189ddf, 0xcda450603bf77e78, 0x6f529c94e804df9b, 0xe33a207c4690e1aa,
  0xbd8aaa2d30ca718d, 0x6a5f95b66769c31d, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x317ce093c95fb9a1,
  0x00000000000009f9,
};

/*
 * m2564rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m256rfr2_u2x12_uart1_lednop_ee_ce_hw
 * m256rfr2_u2x12_uart1_lednop_ee_ce_u4_hw m2560_u2x12_uart1_lednop_ee_ce_hw
 * m2560_u2x12_uart1_lednop_ee_ce_u4_hw m2561_u2x12_uart1_lednop_ee_ce_hw
 * m2561_u2x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xaadd3e095adff958, 0x68ded51ca4fe6d4f, 0x7763e06fea8ca5c3, 0xb3879e70949f790e,
  0xc2784bf10d8489ec, 0x22270ed07044fea3, 0x94ed63a7be6cf6e1, 0x3660d6bc723cafba, 0x1140a62b0f71c8f8,
  0xf4616588a459a75a, 0x8e7576e910752135, 0xb1d79d3bc23e2326, 0x228e811bdab1aaf1, 0x6470decb65cc5c24,
  0xec2cc38d12a8d822, 0x0404e4db7e062777, 0xf36914180efddf9e, 0x9bd4a7253a0137e6, 0x78ce881f11a4386a,
  0x6f62aa8b4c329c63, 0x5a97e56d99da70c7, 0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x00a022725514f257,
};

/*
 * m2564rfr2_u2x12_uart1_dual_pr     m2564rfr2_u2x12_uart1_dual_pr_u4  m256rfr2_u2x12_uart1_dual
 * m256rfr2_u2x12_uart1_dual_pr      m256rfr2_u2x12_uart1_dual_pr_u4   m2560_u2x12_uart1_dual
 * m2560_u2x12_uart1_dual_pr         m2560_u2x12_uart1_dual_pr_u4      m2561_u2x12_uart1_dual
 * m2561_u2x12_uart1_dual_pr         m2561_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0x15bf32a5380253ba, 0xe56d86fb3869be2f,
  0x4890490328734723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2adf0, 0xe420b486f97177f2,
  0x8a8432d05f110cbf, 0xdff77fd01cf099ef, 0xe9f260b0de579096, 0x6a7d56e9f048caff, 0x6a1b46f6a8e527f3,
  0x310f1c8f914ef962, 0x0798f5886921c490, 0x877b475fce62c055, 0xa01ffb30475e00d7, 0x53903cb3dbe784fa,
  0xec9fc55f3bb8a92c, 0x0404e4db7e062777, 0xf36914180efddf9e, 0x9bd4a7253a0137e6, 0x78ce881f11a4386a,
  0x6f62aa8b4c329c63, 0x2d4bf2b6cced3915, 0xc40bd8f0cc377c25, 0x599bf83bb8d167bf, 0x0f7bca1854895a9d,
  0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x69969c12792bf734,
  0x0000000000000292,
};

// m256rfr2_u2x12_uart1_dual_pr_ee   m2560_u2x12_uart1_dual_pr_ee      m2561_u2x12_uart1_dual_pr_ee
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x9529c0129dd3e25c, 0x400380a4e2ffaff9,
  0x40e76e68e47adfd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f92a440ddc3e, 0x437cb8bbf92f97cb,
  0xd03868865ff2105a, 0xa039e133938a8432, 0xc3795e425b7e9fff, 0x4f82515bffa7c982, 0xb547293f9b53eab7,
  0xf7355ad1c890da37, 0xf06cc18291c8f2b5, 0xb422877c57fba391, 0x6be8c2cb1148b34e, 0xab4b98f5c54b9a42,
  0xbd44de1c911ef673, 0x20fa3e7ac6ab5d0e, 0x86f65f4b3170908a, 0x26be416a8d823f5b, 0x64fe2af9ddc54940,
  0x202726dbf0313bbf, 0x9b48a0c077eefcf0, 0xdea53929d009bf37, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0x6a5f95b66769c8ab, 0x827dc78661bbe129, 0x337f07771a2cf7f8, 0x64b867a615c9fbab, 0x6587494b670e2719,
  0x3ebb824f257ee686, 0x000000000000c851,
};

// m256rfr2_u2x12_uart1_dual_pr_ee_u4 m2560_u2x12_uart1_dual_pr_ee_u4   m2561_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xc6024ee9f12e2061, 0x80a4e2ffaff99529,
  0x6e68e47adfd84003, 0x2e2f4292241240e7, 0x13e1f9fbe08bf29f, 0xf92a440ddc3e1443, 0xb8bbf92f97cb9f90,
  0x68865ff2105a437c, 0xe133938a8432d038, 0x5e425b7e9fffa039, 0xa2b7f9032982c379, 0x527f36a7d56e9f04,
  0xb5a39121b46f6a8e, 0x83052391e56bee6a, 0x0ef8aff74723e0d9, 0x85962291669d6845, 0x31eb8a973484d7d1,
  0xbc39223dece75697, 0x7cf58d56ba1d7a89, 0xbe9662e1211441f4, 0x82d51b047eb70dec, 0x55f3bb8a92804d7c,
  0x4db7e062777ec9fc, 0x4180efddf9e0404e, 0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8,
  0x2b6cced39156f62a, 0x8f0cc377c252d4bf, 0x1a3f8d167bfc40bd, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xc33c95fb9a19961d, 0x000000159183ee3f,
};

// m256rfr2_u2x12_uart1_dual_pr_ce   m2560_u2x12_uart1_dual_pr_ce      m2561_u2x12_uart1_dual_pr_ce
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xff32a5380253ba7c, 0xec066ce1bb5c5d36,
  0x049034b53472398f, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xf973f21f26430377, 0x0b486f97177f25f2,
  0x865a063d10cbfe42, 0xaffa039e13775150, 0x4c161bcaf212dbdb, 0x55ba7c122ebffd3e, 0xd1bdaa3949fcda9f,
  0xe765140577d7e486, 0xb43efcf384a4f9e6, 0xb9a057709113876b, 0xc7238df9ee59edd4, 0x401efa4871240ea5,
  0x7877b475fce62c05, 0xaa01ffb33c75e00d, 0xb14e40f2d6ee784f, 0xdfb27f157ceee2a4, 0x781013936df8189d,
  0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1, 0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3,
  0xfc409c678661bbe1, 0xd599bf83bb8d167b, 0x1c4e34a1854895a9, 0x15c9f80f9a3ec676, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000001a4859b824f,
};

// m256rfr2_u2x12_uart1_dual_pr_ce_u4 m2560_u2x12_uart1_dual_pr_ce_u4   m2561_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x27e654a718093ba7, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xa60b0de579096de8, 0x55ba7c12d37fe40c, 0xd1bdaa3949fcda9f,
  0x067650c0dfd7a886, 0xd9670f3ce1293ef8, 0x4784f097e21b0913, 0xe122270fcb4cdffd, 0xbf3dcb7d752e6cf6,
  0x490e2481d4b8e471, 0x8ebf9cc580a803df, 0xf6678ebc01af0ef6, 0x1e5addcf09f5403f, 0xe2af9ddc549629c8,
  0x726dbf0313bbf64f, 0x8a0c077eefcf0202, 0x53929d009bf379b4, 0x440f88d21c354dea, 0x5545a6194e31bc67,
  0xf2b6cced3863b7b1, 0xd8f0cc377c252d4b, 0xc1a3f8d167bfc40b, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xfc33c95fb9a19961, 0x00000001a48b4d63,
};

// m256rfr2_u2x12_uart1_dual_pr_ee_ce m2560_u2x12_uart1_dual_pr_ee_ce   m2561_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x95f99529c0129dd3, 0xf361d6670643e2f4,
  0x90490335b9a391d9, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c95d7037, 0x82d21be5c5dfc97c,
  0x219686ce4432ff90, 0x27fd01cf09b2b454, 0x260b0de579096dc5, 0xaadd3e0969affe9f, 0x68ded51ca4fe6d4f,
  0xbb7402bbea8ff743, 0x2d7e79c2527cf373, 0xd02bb84889c3de1f, 0xcacca94ed7e2310c, 0x8e47c1b30698c723,
  0x669d68450298ae44, 0xd484d7d185962291, 0x7d1f4873abb704f1, 0x6abc6c75ed62bc30, 0x2e1211460b4752ec,
  0x887132386f65c7c6, 0x64fe2af9ddc54971, 0x202726dbf0313bbf, 0x796ea0c077eefcf0, 0x4dea53929d009bf3,
  0x042d2d7f88d21c35, 0xa718de33a206dc63, 0xddf094b52fcadb33, 0x167bfc413ee3c330, 0xe4fdd599bf83bb8d,
  0x87138cb25c33d30a, 0xbf734332c3a4a5b3, 0x0002609a71c12792,
};

/*
 * m256rfr2_u2x12_uart1_dual_pr_ee_ce_u4 m2560_u2x12_uart1_dual_pr_ee_ce_u4
 * m2561_u2x12_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x70007e654a718093,
  0xe6fec152270eeb71, 0x4482481f47e68e47, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xe5f2e7e43e564981,
  0x841690df2e2efe4b, 0xa10cb43fe22197fc, 0x37ffe80e784c16a2, 0x94c161bcaf212dbb, 0xeab74f824293fc81,
  0xda37b547293f9b53, 0xcef4d01bfaa395d0, 0x2ce1e79c2527df00, 0xf09e12fc4361227b, 0x4889c3f9cba9dfa8,
  0x253b58ea6e9b3db8, 0x06cc1af91c8f2b7f, 0x422814c5752a391f, 0xbe8c2cb1148b34eb, 0xb39d5db8c78ea426,
  0x6c75ea26f0e488f7, 0x08a20fa3e7ac6abc, 0x32386f65f4b31709, 0x4a59b5f20b546c11, 0xddfb27f157ceee2a,
  0xe781013936df8189, 0xf9bcda450603bf77, 0x1aa6f529c94e804d, 0x18de33a207c4690e, 0x31dbd8aaa2d30ca7,
  0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x75666fe0d1fc68b3, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x04acd9fe19e4afdc, 0x0000000000000080,
};

// m256rfr2_u2x12_uart1_dual_ee_hw   m2560_u2x12_uart1_dual_ee_hw      m2561_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x529c7419dd3e25c4, 0x00380a4e2ffaff99,
  0x0e76e68e47adfd84, 0x29f2e2f429224124, 0x44313e1f9fbe08bf, 0xf90f92a440ddc3e1, 0x37cb8bbf92f97cb9,
  0x03868865ff2105a4, 0x039e133938a8432d, 0x3795e425b7e9fffa, 0xf04a2b7fc65a982c, 0xa8e527f36a7d56e9,
  0xe6ab5a39121b46f6, 0x0d983052391e56be, 0x8450ef8aff74723e, 0x7d185962291669d6, 0x69731eb8a973484d,
  0xa89bc39223dece75, 0x1f47cf58d56ba1d7, 0xdecbe9662e121144, 0xd7c82d51b047eb70, 0x9fc55f3bb8a92804,
  0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x4bf2b6cced39156f, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5da5a41e8a792bf7, 0x0000000000000001,
};

/*
 * m2564rfr2_u2x12_uart1_dual_ee_ce_u4_hw m256rfr2_u2x12_uart1_dual_ee_ce_hw
 * m256rfr2_u2x12_uart1_dual_ee_ce_u4_hw m2560_u2x12_uart1_dual_ee_ce_hw
 * m2560_u2x12_uart1_dual_ee_ce_u4_hw m2561_u2x12_uart1_dual_ee_ce_hw
 * m2561_u2x12_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xbadc5c001f99529c,
  0xa391f9bfb05489c3, 0x7a1491209207d1f9, 0x0fcfdf045f94f971, 0x92606ee1f0a2189f, 0xbf92f97cb9f90f95,
  0x65ff2105a437cb8b, 0x05a8a8432d0ff888, 0x4b6ecdfffa039e13, 0xff8cb530586f2bc8, 0xe6d4faadd3e090a4,
  0xe574368ded51ca4f, 0xfbc873bd3406fea8, 0x244f659c3cf384a4, 0xa3f51e13c25f886c, 0x67b70911387ba1ba,
  0xe56fe4a76b1d4dd3, 0x4723e0d9835f2391, 0x669d68450298aea5, 0xd484d7d185962291, 0x911ef673abb718f1,
  0x8d578d8ebd44de1c, 0x62e1211441f47cf5, 0x8d8226470decbe96, 0xddc5494b36be416a, 0xf0313bbf64fe2af9,
  0x77eefcf0202726db, 0xd009bf379b48a0c0, 0x8d21c354dea53929, 0x6194e31bc67440f8, 0xced3863b7b15545a,
  0xc377c252d4bf2b6c, 0xa1854895a82ecf0c, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xa8a792bf734332c3, 0x000000000ebacd1b,
};

/*
 * m2564rfr2_swio10_noled_pr_ce_u4   m256rfr2_swio10_noled_pr_ce       m256rfr2_swio10_noled_pr_ce_u4
 * m2560_swio10_noled_pr_ce          m2560_swio10_noled_pr_ce_u4       m2561_swio10_noled_pr_ce
 * m2561_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio10_noled_pr_ce[] = {
  0xb3f777776890d2a8, 0x56b96960e0ad2eb1, 0xeb45d23fe96b436b, 0x9170ff8b37656c17, 0x59f04142f0addd9e,
  0x827c64ee9d68d424, 0x41d37fe186cf8d69, 0xe6e77b380dfd4ca9, 0x4f659c3cf384a4f9, 0xf51e13c25f886c24,
  0xdb84889c3b39747f, 0x3e493dcb7d7ac9b3, 0x71a4871240f05c72, 0x21476b1cc580a1ee, 0x0ffd99e3af47d786,
  0xb703cb5b84526950, 0x9cc5076bcb955abe, 0xd59cea2a551aee71, 0x7d221cd672bb54b7, 0xb44579621a552fbd,
  0x7869de01fd75cf6a, 0x02eaf4830ba9b14a, 0x8b4a42f38c6f19d1, 0x5b667190c76f62aa, 0x78661bbe1296a5f9,
  0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x00000001bae4fc2e,
};

/*
 * m2564rfr2_swio10_noled_pr_ee_ce_u4 m256rfr2_swio10_noled_pr_ee_ce    m256rfr2_swio10_noled_pr_ee_ce_u4
 * m2560_swio10_noled_pr_ee_ce       m2560_swio10_noled_pr_ee_ce_u4    m2561_swio10_noled_pr_ee_ce
 * m2561_swio10_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio10_noled_pr_ee_ce[] = {
  0x15bbbbbb448650e3, 0x1f72d2c422191ac6, 0x5d96bd63f66c42ff, 0x9b1b6c823b83647f, 0xea05f256c148b852,
  0xc9dd0b03ed94e166, 0x7f861b3e6b7304f8, 0x4037f54715a50452, 0xf3ce1293e79b9d8a, 0x097e21b0913d9670,
  0x87f5a9e01fd4784f, 0xb1d3df367b709113, 0x6804723cadd2ca76, 0x53159758e47c1b30, 0xb2c4522cd3ad08a0,
  0x76ef9c3a909afa30, 0x9d3bc3d423884e75, 0xc88c45b1aaf1b1d7, 0x6f65b2e62e121147, 0x7d260b546c113238,
  0x9cc5076bcb955a96, 0xd59cea2a551aee71, 0x7d221cd672bb54b7, 0xb44579621a552fbd, 0x7869de01fd75cf6a,
  0x02eaf4830ba9b14a, 0x8b4a42f38c6f19d1, 0x5b667190c76f62aa, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec,
  0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x093c95fb9a19961d, 0x000000004fc1eaee,
};

/*
 * m2564rfr2_swio10_noled_ee_ce_u4_hw m256rfr2_swio10_noled_ee_ce_hw    m256rfr2_swio10_noled_ee_ce_u4_hw
 * m2560_swio10_noled_ee_ce_hw       m2560_swio10_noled_ee_ce_u4_hw    m2561_swio10_noled_ee_ce_hw
 * m2561_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio10_noled_ee_ce_hw[] = {
  0x2b7777768a341bc1, 0x3ee5a5884432358c, 0xbb2d7ac7ecd885fe, 0x3636d9047706c8fe, 0xd40be4ad829170a5,
  0x8c9dd1d74d7deecd, 0x27f958b3e6b7304f, 0xa4037f54715a5045, 0x1e79c2527de439d8, 0xe12fc4361227b2ce,
  0x9c3f9cba9dfa8f09, 0xb58e9ef9b3db8488, 0x83402391e56e9653, 0x0298acbac723e0d9, 0x85962291669d6845,
  0xabb77ce1d484d7d1, 0xbce9de1ea11c4273, 0x3e44622d8d578d8e, 0xc37b2d973170908a, 0xb3e9305aa3608991,
  0x8ce6283b5e5caad4, 0xbeace75152a8d773, 0xebe910e6b395daa5, 0x55a22bcb10d2a97d, 0x53c34ef00febae7b,
  0x881757a4185d4d8a, 0x545a52179c6378ce, 0xcadb338c863b7b15, 0xb3c330ddf094b52f, 0x3def286152256a0b,
  0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xa6793a29e4afdcd0,
  0x0000000000000280,
};

/*
 * m2564rfr2_swio10_lednop_pr_ce_u4  m256rfr2_swio10_lednop_pr_ce      m256rfr2_swio10_lednop_pr_ce_u4
 * m2560_swio10_lednop_pr_ce         m2560_swio10_lednop_pr_ce_u4      m2561_swio10_lednop_pr_ce
 * m2561_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio10_lednop_pr_ce[] = {
  0x9fbbbbbb448624d6, 0xb5cb4b07057af58d, 0xae3dfa64cf8f9b5a, 0x170ff8b6966ef1de, 0x7db4508104ddd9e9,
  0x9f193bbf6baed19a, 0xc72ff0c367fabe60, 0x73b1ac06fea654a0, 0xb2ce1e79c2527cf3, 0x8f09e12fc4361227,
  0x84889c3b41c113fa, 0x293dcb7d7ac9b3db, 0xa4871240f05c7238, 0x4707ce62c057f0f5, 0xfd99e3af47d7857c,
  0x0f2d6e1bf70d500f, 0x141daf2e556b70e4, 0x73a8a9546bb9c673, 0x5c0809caed52df56, 0x886956ae97f48873,
  0xd935d73daad115e5, 0x5d520b94b5f3a03c, 0xc6378ce881737485, 0x63b7b15545a75d79, 0x252d4bf2b6cce814,
  0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x75fbe09c12792bf7, 0x0000000000000003,
};

/*
 * m2564rfr2_swio10_lednop_pr_ee_ce_u4 m256rfr2_swio10_lednop_pr_ee_ce
 * m256rfr2_swio10_lednop_pr_ee_ce_u4 m2560_swio10_lednop_pr_ee_ce
 * m2560_swio10_lednop_pr_ee_ce_u4   m2561_swio10_lednop_pr_ee_ce      m2561_swio10_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio10_lednop_pr_ee_ce[] = {
  0x15bbbbbb4486d0e3, 0x1f72d2c422333ac6, 0xd86d014d2c19c2ff, 0x3636d903228efe9e, 0x91ba976d829170a5,
  0x9ddae36829cb225d, 0xf861b3fcb5304f8c, 0x06fea8e2b4a0f60f, 0xf384a4f9e6e77d82, 0x5f886c244f659c3c,
  0xe75f0aa3f51e13c2, 0x3a7be6cf6e122270, 0x008e479597594ed6, 0x62b60b1c8f83660d, 0x588a459a75a1140a,
  0xdc70c752135f4616, 0xa7787ba46be1ceae, 0x231bf6355e363af3, 0xd96cb98b84845137, 0x4526951b044c8e1b,
  0x98a0ed7972ab52cc, 0xb39d454aa35dce33, 0x9ae0404e576a96fa, 0x2c434ab574bfa443, 0xe6c9aeb9ed5688af,
  0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0xa31dbd8aaa2d3aeb, 0xe1296a5f95b66740, 0x3dfe205ec78661bb,
  0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x09f91a9ce093c95f,
};

/*
 * m2564rfr2_swio10_lednop_ee_ce_u4_hw m256rfr2_swio10_lednop_ee_ce_hw
 * m256rfr2_swio10_lednop_ee_ce_u4_hw m2560_swio10_lednop_ee_ce_hw
 * m2560_swio10_lednop_ee_ce_u4_hw   m2561_swio10_lednop_ee_ce_hw      m2561_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio10_lednop_ee_ce_hw[] = {
  0x2b7777768a341000, 0x3ee5a5884466758c, 0xb0da029a583385fe, 0x6c6db206451dfd3d, 0x23752edb0522e14a,
  0x8c9ddad577eecdbb, 0x0ff958b3fcb5304f, 0x8206fea8e2b4a0f6, 0x79e70949f790e77d, 0x84bf10d8489ecb38,
  0xe1ddbb0b27ea3c27, 0xac74f7cd9edc2444, 0x1a011c8f2b2eb29d, 0x14c56c16391f06cc, 0x2cb1148b34eb4228,
  0x5db8e18ea426be8c, 0xe74ef0f748d7c39d, 0x6e4637ec6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c,
  0x673141daf2e556a5, 0xf5673a8a9546bb9c, 0x8735c0809caed52d, 0x5e5886956ae97f48, 0x03cd935d73daad11,
  0x4855d520b94b5f3a, 0xd79c6378ce881737, 0x81463b7b15545a75, 0x77c252d4bf2b6cce, 0x854895a82ecf0cc3,
  0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4,
  0x00000014041ff868,
};

/*
 * m2564rfr2_swio10_dual_pr          m2564rfr2_swio10_dual_pr_u4       m256rfr2_swio10_dual
 * m256rfr2_swio10_dual_pr           m256rfr2_swio10_dual_pr_u4        m2560_swio10_dual
 * m2560_swio10_dual_pr              m2560_swio10_dual_pr_u4           m2561_swio10_dual
 * m2561_swio10_dual_pr              m2561_swio10_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_swio10_dual[] = {
  0x25dddddda2431f02, 0xecfddde36d3ef9bf, 0x6b6e7191b82d16a2, 0x685c7167c10c056d, 0x0ebe7dce2dde4be4,
  0xfb928c459b42130a, 0x45206179827c64e2, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x2f8bb05fcca94e00,
  0xd1c8ee976070ce05, 0x2f4292241240ff74, 0xe1f9fbe08bf29f2e, 0xaf0c0ddc3e144313, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x26b5a2a10cb42324, 0xe425b7287ff4073c, 0xfbbffa7c982c3795, 0x723c8877cb0f9283,
  0x3a3dd2438920622c, 0x1bde731602a83cdf, 0xecc11d78035e1d29, 0x7967b698c64a807f, 0xc55f3bb8a92e04a0,
  0x398a0ed7972ab59f, 0xab39d454aa35dce3, 0x39ae0404e576a96f, 0xf2c434ab574bfa44, 0x1e6c9aeb9ed5688a,
  0x42aea905ca5af9d0, 0xbce31bc67440b9ba, 0x05455bd8aaa2d3ae, 0xdf094b52fcadb33a, 0x59eff102f63c330d,
  0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x00a49ed7b7049e4a,
};

// m256rfr2_swio10_dual_pr_ee        m2560_swio10_dual_pr_ee           m2561_swio10_dual_pr_ee
static const uint64_t ur_m2564rfr2_swio10_dual_pr_ee[] = {
  0x6e3db77777750c86, 0x14ed9fbbbc90c89e, 0x7337bf5767c739d9, 0xb502fed38593773b, 0xd07e777e3c8f8f63,
  0xb97763763c173166, 0xa479eb9827c64a33, 0xa4606eeab50c8da8, 0x9dd3e25c40c2860d, 0x7177f9f99529c012,
  0x391ffe6c0341c34d, 0xd0a48904903e9f9a, 0x7e7ef822fca7cb8b, 0xd703770f8510c4f8, 0xfc97cbe5cfc87c95,
  0x2ff9082d21be5c5d, 0x3dc54219682fb443, 0x2dbcedffd01cf098, 0xffd3e4c161bcaf21, 0xe6ab5a328b283d3f,
  0x0d98332a391e57be, 0x8450ef8af674723e, 0x7d185962291669d6, 0x697c08b8a973484d, 0xa89bc2fe23d28e75,
  0xf54698d8d56ba1d7, 0x6f65f4b3170908a0, 0x43e6f6a8d823f5b8, 0x59fc55f3bb8a9280, 0xce3398a0ed7972ab,
  0x96fab39d454aa35d, 0xa4439ae0404e576a, 0x88af2c434ab574bf, 0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af,
  0x3aebce31bc67440b, 0x33a05455bd8aaa2d, 0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x0ae4fdd599bf83bb,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000006429a71c127,
};

// m256rfr2_swio10_dual_pr_ee_u4     m2560_swio10_dual_pr_ee_u4        m2561_swio10_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_swio10_dual_pr_ee_u4[] = {
  0xb7777768a87f2906, 0x9fbbbc90c89e6e3d, 0xbf5767c739d914ed, 0xfed38593773b7337, 0x777e3c8f8f63b502,
  0x9016f0548c66d07e, 0x5cc13e32519dc8af, 0x7755a8646d4523cf, 0x12e20614306d2303, 0x9f99529c6024ee9f,
  0xe6c0341c34d7177f, 0x904903e9f9a391ff, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c95d7037,
  0x82d21be5c5dfc97c, 0x219682fb4432ff90, 0xdffd01cf0983dc54, 0x4c161bcaf212dbce, 0x46516507a7ffc819,
  0x654723caf7dcd56b, 0xf15ece8e47c1b306, 0x2c4522cd3ad08a1d, 0x17152e6909afa30b, 0x5fc47a51cead2f81,
  0x1b1aad743af51378, 0x9662e121141ea8d3, 0xd51b047eb70decbe, 0xbe77715250087cde, 0x141daf2e556b3f8a,
  0x73a8a9546bb9c673, 0x5c0809caed52df56, 0x886956ae97f48873, 0xd935d73daad115e5, 0x5d520b94b5f3a03c,
  0xc6378ce881737485, 0x8ab7b15545a75d79, 0x1296a5f95b66740a, 0xdfe205ec78661bbe, 0x75666fe0d1fc68b3,
  0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x4e3341fe19e4afdc, 0x0000000000000056,
};

// m256rfr2_swio10_dual_pr_ce        m2560_swio10_dual_pr_ce           m2561_swio10_dual_pr_ce
static const uint64_t ur_m2564rfr2_swio10_dual_pr_ce[] = {
  0x1bb7777775050c86, 0xdecfdddf50fbbe6e, 0x1f6b858f6b0c8ce0, 0xf4e76489f55ecfb4, 0x8435dfbf7ba1b999,
  0x3b97763767d5f98a, 0x4523b8f9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x7f17a1ffcca94e00,
  0x4723c72d81c13875, 0xbd0a48904903b753, 0x87e7ef822fca7cb8, 0x08903770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x3029150865a07aa2, 0x212dba5affa039e1, 0x75ffd3e4c161bcaf, 0xf4d80aefa84f941b,
  0x51f9e70949f3cdce, 0x40aee122270e4959, 0x23f513dcb3dba973, 0xccaa4871240ee1c7, 0x74a46f79cc580ae4,
  0x01ffb33c75e00d78, 0x04a0796b7263192a, 0xb59fc55f3bb8a92e, 0xdce3398a0ed7972a, 0xa96fab39d454aa35,
  0xfa4439ae0404e576, 0x688af2c434ab574b, 0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a, 0xd3aebce31bc67440,
  0x66740a31dbd8aaa2, 0x661bbe1296a5f95b, 0xb8d167bfc409c678, 0x54895a9d599bf83b, 0xa3ec6761c4e34a18,
  0x4b867a615c9f80f9, 0x587494b670e27196, 0xadb824f257ee6866, 0x000000000000d247,
};

// m256rfr2_swio10_dual_pr_ce_u4     m2560_swio10_dual_pr_ce_u4        m2561_swio10_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_swio10_dual_pr_ce_u4[] = {
  0x6eeeeed150fe72df, 0x3f777a9bf71cdd05, 0x78fe5ab6514e0ddb, 0x57d87d931d6f6c13, 0x32242dba829b1191,
  0x7d72fad2c9580467, 0x927304f8c9837726, 0x0ddd56a191b51483, 0x7c4b881850c1b48c, 0x4d7e654a718093ba,
  0x63fb0ff8700d1c5f, 0x4482481d0fcd1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xe5f2e7e43e5c8381,
  0x841690df2e2efe4b, 0x50865a0fe22197fc, 0x9b7ff4073c26dbf1, 0x6530586f2bc84b6e, 0xbfaafb941a1fff20,
  0xc2527df00cec2d01, 0xc4361227b2ce1e79, 0xd0dd51fa8f09e12f, 0xd4b9b3db84889c3d, 0xb871c8fd44f72df5,
  0x02b9332a921c4903, 0x035e1d291bde7316, 0xc64a807feccf1d78, 0x2a4b81281e5adc98, 0xe5caad67f157ceee,
  0x2a8d7738ce6283b5, 0x395daa5beace7515, 0xd5d2fe910e6b8101, 0xe7b55a22bcb10d2a, 0x7296be74079b26ba,
  0x9d102e6e90abaa41, 0x2aa8b4ebaf38c6f1, 0x7e56d99d028c76f6, 0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881,
  0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x7f86792bf734332c, 0x000000006924a2c8,
};

/*
 * m2564rfr2_swio10_dual_pr_ee_ce_u4 m256rfr2_swio10_dual_pr_ee_ce     m256rfr2_swio10_dual_pr_ee_ce_u4
 * m2560_swio10_dual_pr_ee_ce        m2560_swio10_dual_pr_ee_ce_u4     m2561_swio10_dual_pr_ee_ce
 * m2561_swio10_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio10_dual_pr_ee_ce[] = {
  0xbbbbbb4543fad164, 0xeeefc2bcd7e6ea3f, 0x470fabbcabec5f67, 0x761c171ff798ba6a, 0xa52947eabd9f26bf,
  0xef4e8ce8c29793a8, 0x9972ca9c6a2c81f5, 0x8a42afc3304f8c94, 0xda4606eeab50c8da, 0x49dd3e25c40c2860,
  0x38bb41ff32a538c0, 0xe47b91d81251c32a, 0x8524482481b37e68, 0xf3f7c117e53e5c5e, 0x281bb87c288627c3,
  0x92f97cb9f90f9166, 0xff2105a437cb8bbf, 0xe8a8432d02748865, 0x6fd1fffa039e136c, 0x206530586f2bc84b,
  0xbfaa34b5282cdfff, 0x0949f7c033b66f81, 0x10d8489ecb3879e7, 0x1779f7ea3c2784bf, 0xdd367b709113875d,
  0x723caf2b4a76b1d4, 0xdba8e47c1b307dd4, 0x522cd3ad08a05315, 0x083a909afa30b2c4, 0xc2fe23d28e7576ec,
  0x31b1aaf1b1d7a89b, 0xe9662e121141ea8d, 0xf6a8d8226470decb, 0x55f3bb8a929663e6, 0x98a0ed7972ab59fc,
  0xb39d454aa35dce33, 0x9ae0404e576a96fa, 0x2c434ab574bfa443, 0xe6c9aeb9ed5688af, 0x2aea905ca5af9d01,
  0xce31bc67440b9ba4, 0xa31dbd8aaa2d3aeb, 0xe1296a5f95b66740, 0x3dfe205ec78661bb, 0xa75666fe0d1fc68b,
  0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c,
  0x0082ed1fe19e4afd, 0x0000000000000008,
};

// m256rfr2_swio10_dual_ee_hw        m2560_swio10_dual_ee_hw           m2561_swio10_dual_ee_hw
static const uint64_t ur_m2564rfr2_swio10_dual_ee_hw[] = {
  0xb6eeeeed1468a0ae, 0xb3f777921913cdc7, 0xf7eaecf8e73b229d, 0x5fda70b26ee76e66, 0xceefc791f1ec76a0,
  0xd7dfd6f43ebcda0f, 0x9eb9827c64a33b97, 0x06eeab50c8da8a47, 0x3e25c40c2860da46, 0x7f9f99529c7419dd,
  0xffe6c0341c34d717, 0x48904903e9f9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x7cbe5cfc87c95d70,
  0x9082d21be5c5dfc9, 0x54219682fb4432ff, 0xcedffd01cf0983dc, 0x2d4c161bcaf212db, 0x6b46516507a7ffe3,
  0x06654723caf7dcd5, 0x1df15ece8e47c1b3, 0x0b2c4522cd3ad08a, 0x8117152e6909afa3, 0x785fc47a51cead2f,
  0xd31b1aad743af513, 0xbe9662e121141ea8, 0xded51b047eb70dec, 0x8abe77715250087c, 0x73141daf2e556b3f,
  0x5673a8a9546bb9c6, 0x735c0809caed52df, 0xe5886956ae97f488, 0x3cd935d73daad115, 0x855d520b94b5f3a0,
  0x79c6378ce8817374, 0x0a8ab7b15545a75d, 0xbe1296a5f95b6674, 0x2a44ad417678661b, 0x7e627ff787bde50c,
  0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000000576834f945,
};

/*
 * m2564rfr2_swio10_dual_ee_ce_u4_hw m256rfr2_swio10_dual_ee_ce_hw     m256rfr2_swio10_dual_ee_ce_u4_hw
 * m2560_swio10_dual_ee_ce_hw        m2560_swio10_dual_ee_ce_u4_hw     m2561_swio10_dual_ee_ce_hw
 * m2561_swio10_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio10_dual_ee_ce_hw[] = {
  0xfbbbbbb451a1022f, 0x7eeefc2bcd7e6ea3, 0xa470fabbcabec5f6, 0xf761c171ff798ba6, 0x8a52947eabd9f26b,
  0xecae3cce8c29793a, 0xe325265cb69f2117, 0x3236a290abf0cc13, 0x0a18369181bbaad4, 0xa71d06774f897103,
  0x38654717683fe654, 0x6fcd1c8f723b024a, 0xcb8bd0a489049036, 0xc4f87e7ef822fca7, 0xf22cc503770f8510,
  0x7177f25f2f973f21, 0x910cbfe420b486f9, 0xc26d9d150865a04e, 0x79096dfa3fff4073, 0x9bfff196a60b0de5,
  0xcdf037f54696a505, 0x879e70949f790e76, 0x784bf10d8489ecb3, 0x9c3fad4f00fea3c2, 0xb58ea6e9b3db8488,
  0x83eea391e5795a53, 0x0298aedd4723e0d9, 0x85962291669d6845, 0xabb76041d484d7d1, 0xbd44de17f11e9473,
  0x0f54698d8d578d8e, 0x86f65f4b3170908a, 0xb31f37b546c11323, 0x5acfe2af9ddc5494, 0xee719cc5076bcb95,
  0x54b7d59cea2a551a, 0xfd221cd7020272bb, 0xb44579621a55aba5, 0x7ce80f364d75cf6a, 0x5cdd21575482e52d,
  0x69d75e718de33a20, 0xb33a0518edec5551, 0x330ddf094b52fcad, 0xf286152256a0bb3c, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x97a29e4afdcd0ccb, 0x0000000001d75a67,
};

/*
 * m2564rfr2_swio11_noled_pr_ce_u4   m2564rfr2_swio12_noled_pr_ce      m2564rfr2_swio12_noled_pr_ce_u4
 * m256rfr2_swio11_noled_pr_ce       m256rfr2_swio11_noled_pr_ce_u4    m256rfr2_swio12_noled_pr_ce
 * m256rfr2_swio12_noled_pr_ce_u4    m2560_swio11_noled_pr_ce          m2560_swio11_noled_pr_ce_u4
 * m2560_swio12_noled_pr_ce          m2560_swio12_noled_pr_ce_u4       m2561_swio11_noled_pr_ce
 * m2561_swio11_noled_pr_ce_u4       m2561_swio12_noled_pr_ce          m2561_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_noled_pr_ce[] = {
  0x9122eeeeed121911, 0xb5cb4b07051a7587, 0xe91fd34a306b9b5a, 0x48b87eb43f60cec7, 0x658aa2bd724375e4,
  0xc13e327755f33e83, 0xa0eceff0c367ce0c, 0xe6e771580dfd43dc, 0x4f659c3cf384a4f9, 0xf51e13c25f886c24,
  0xdb84889c3e54341f, 0x3af93dcb7d7ac9b3, 0x00a4871240d67c72, 0xe446229cc580b1ed, 0x0ffd99e3af47d787,
  0xad03cb5bb7be8150, 0x9cc5076bcb955ac0, 0x5d9cea2a551aee71, 0xd221cd672bb54b7d, 0xd115e588695b1bd7,
  0xe1a77807f5d73daa, 0x0babd20c2ea6c529, 0x2d290bce31bc6744, 0xb6672ec31dbd8aaa, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x0000001baef926e0,
};

/*
 * m2564rfr2_swio11_noled_pr_ee_ce_u4 m2564rfr2_swio12_noled_pr_ee_ce
 * m2564rfr2_swio12_noled_pr_ee_ce_u4 m256rfr2_swio11_noled_pr_ee_ce
 * m256rfr2_swio11_noled_pr_ee_ce_u4 m256rfr2_swio12_noled_pr_ee_ce    m256rfr2_swio12_noled_pr_ee_ce_u4
 * m2560_swio11_noled_pr_ee_ce       m2560_swio11_noled_pr_ee_ce_u4    m2560_swio12_noled_pr_ee_ce
 * m2560_swio12_noled_pr_ee_ce_u4    m2561_swio11_noled_pr_ee_ce       m2561_swio11_noled_pr_ee_ce_u4
 * m2561_swio12_noled_pr_ee_ce       m2561_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_noled_pr_ee_ce[] = {
  0x537bbbbb44861a4e, 0xb96962112c4d6090, 0xb6b4e86656e17f8f, 0x1b66c44eb826975e, 0x99ac16c148a4829b,
  0xea6bb85a4cf70539, 0x30d9fbc39827c64e, 0x7f5471ca5071bbfc, 0xc2527cf373bc6e03, 0xc4361227b2ce1e79,
  0x251d7dfa8f09e12f, 0x7be6cf6e122270f7, 0x8e4795c8794ed63a, 0xb2971c8f83660f4a, 0x8a459a75a1140a62,
  0xe94752135f461658, 0xf084f47f21ceaedc, 0xdeec6abc6c75e74e, 0x6cb98b8484519223, 0xb3d51b044c8e1bd9,
  0x83b5e5caad4b3b86, 0x75152a8d7738ce62, 0xe6b395daa5beaece, 0xf2c434ad8debe910, 0xbc03faeb9ed5688a,
  0xe90617536294f0d3, 0x85e718de33a205d5, 0x97618edec5551694, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x00027e0c9c7049e4,
};

/*
 * m2564rfr2_swio11_noled_ee_ce_u4_hw m2564rfr2_swio12_noled_ee_ce_hw
 * m2564rfr2_swio12_noled_ee_ce_u4_hw m256rfr2_swio11_noled_ee_ce_hw
 * m256rfr2_swio11_noled_ee_ce_u4_hw m256rfr2_swio12_noled_ee_ce_hw    m256rfr2_swio12_noled_ee_ce_u4_hw
 * m2560_swio11_noled_ee_ce_hw       m2560_swio11_noled_ee_ce_u4_hw    m2560_swio12_noled_ee_ce_hw
 * m2560_swio12_noled_ee_ce_u4_hw    m2561_swio11_noled_ee_ce_hw       m2561_swio11_noled_ee_ce_u4_hw
 * m2561_swio12_noled_ee_ce_hw       m2561_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio11_noled_ee_ce_hw[] = {
  0xa6f777768a345f41, 0x72d2c422589ac120, 0x6d69d0ccadc2ff1f, 0x36cd889d704d2ebd, 0x33582d8291490536,
  0x4eed17f77b5c4a73, 0xfcac59fbc39827c6, 0x037f5471ca5071bb, 0xf384a4fbc873bc6e, 0x5f886c244f659c3c,
  0xc61776eff51e13c2, 0x74f7cd9edc2444e1, 0x951c8f2b90f29dac, 0xc5652e391f06cc1e, 0xb1148b34eb422814,
  0xb9d28ea426be8c2c, 0x9de109e8fe439d5d, 0x47bdd8d578d8ebce, 0xb2d973170908a324, 0x0d67aa3608991c37,
  0xc5076bcb955a9677, 0x9cea2a551aee719c, 0x21cd672bb54b7d5d, 0x15e588695b1bd7d2, 0xa77807f5d73daad1,
  0xabd20c2ea6c529e1, 0x290bce31bc67440b, 0x672ec31dbd8aaa2d, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786,
  0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x7453c95fb9a19961,
  0x0000000005012cf2,
};

/*
 * m2564rfr2_swio11_lednop_pr_ce_u4  m2564rfr2_swio12_lednop_pr_ce     m2564rfr2_swio12_lednop_pr_ce_u4
 * m256rfr2_swio11_lednop_pr_ce      m256rfr2_swio11_lednop_pr_ce_u4   m256rfr2_swio12_lednop_pr_ce
 * m256rfr2_swio12_lednop_pr_ce_u4   m2560_swio11_lednop_pr_ce         m2560_swio11_lednop_pr_ce_u4
 * m2560_swio12_lednop_pr_ce         m2560_swio12_lednop_pr_ce_u4      m2561_swio11_lednop_pr_ce
 * m2561_swio11_lednop_pr_ce_u4      m2561_swio12_lednop_pr_ce         m2561_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_lednop_pr_ce[] = {
  0x48bbbbbb4486b044, 0x72d2c1c1682d61e4, 0x4f4c4edb75e6d6ad, 0xe1fad0699fb7a7bf, 0x723f51590dd79122,
  0xe327776527da3bb1, 0xd6ff0c367d2d4c13, 0x767040dfd43dca08, 0x59c3cf384a4f9e6e, 0xe13c25f886c244f6,
  0x4889c3a92737ff51, 0xd3dcb7d7ac9b3db8, 0x90e2481acf8e4797, 0x8df398b016037514, 0x6678ebd1f5e19b91,
  0xf2d6e8cad65403ff, 0x076bcb955a9f5440, 0xea2a551aee719cc5, 0x20272bb54b7d5d9c, 0xd2b97a5fd221cd70,
  0x6bae7b55a22bcb10, 0xa417296be74079b2, 0x6f19d102e6e90aba, 0x6f62aa8b4ebaf38c, 0xb52fcadb33ba78c7,
  0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x80567049e4afdcd0, 0x00000000000006eb,
};

/*
 * m2564rfr2_swio11_lednop_pr_ee_ce_u4 m2564rfr2_swio12_lednop_pr_ee_ce
 * m2564rfr2_swio12_lednop_pr_ee_ce_u4 m256rfr2_swio11_lednop_pr_ee_ce
 * m256rfr2_swio11_lednop_pr_ee_ce_u4 m256rfr2_swio12_lednop_pr_ee_ce
 * m256rfr2_swio12_lednop_pr_ee_ce_u4 m2560_swio11_lednop_pr_ee_ce
 * m2560_swio11_lednop_pr_ee_ce_u4   m2560_swio12_lednop_pr_ee_ce      m2560_swio12_lednop_pr_ee_ce_u4
 * m2561_swio11_lednop_pr_ee_ce      m2561_swio11_lednop_pr_ee_ce_u4   m2561_swio12_lednop_pr_ee_ce
 * m2561_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_lednop_pr_ee_ce[] = {
  0x29bddddda24343ee, 0xdcb4b10881bab048, 0x2b5b10d3c5f0bfc7, 0x8db362c4c4e313a0, 0x53a38b60a452414d,
  0xed77e4484369e7ac, 0x30d9f67c9827c64e, 0x7f5471ca504d6ffc, 0xc2527cf373b35b03, 0xc4361227b2ce1e79,
  0x18a71ffa8f09e12f, 0x7be6cf6e122270f1, 0x8e479594b94ed63a, 0xb53d1c8f83660f4a, 0x8a459a75a1140a62,
  0x5d4752135f461658, 0xf0edf47371ceaedc, 0x8cac6abc6c75e74e, 0x6cb98b8484500a23, 0xe8151b044c8e1bd9,
  0xa0ed7972ab52cf7b, 0x9d454aa35dce3398, 0x0404e576a96fabb3, 0x1a572f4bfa4439ae, 0x4d75cf6ab4457962,
  0x5482e52d7ce80f36, 0x8de33a205cdd2157, 0xedec555169d75e71, 0x96a5f95b66774f18, 0xe205ec78661bbe12,
  0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d,
  0x19961d252d9c389c, 0x80f26e093c95fb9a, 0x000000000000009f,
};

/*
 * m2564rfr2_swio11_lednop_ee_ce_u4_hw m2564rfr2_swio12_lednop_ee_ce_hw
 * m2564rfr2_swio12_lednop_ee_ce_u4_hw m256rfr2_swio11_lednop_ee_ce_hw
 * m256rfr2_swio11_lednop_ee_ce_u4_hw m256rfr2_swio12_lednop_ee_ce_hw
 * m256rfr2_swio12_lednop_ee_ce_u4_hw m2560_swio11_lednop_ee_ce_hw
 * m2560_swio11_lednop_ee_ce_u4_hw   m2560_swio12_lednop_ee_ce_hw      m2560_swio12_lednop_ee_ce_u4_hw
 * m2561_swio11_lednop_ee_ce_hw      m2561_swio11_lednop_ee_ce_u4_hw   m2561_swio12_lednop_ee_ce_hw
 * m2561_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio11_lednop_ee_ce_hw[] = {
  0xa6f777768a346d3a, 0x72d2c42206eac120, 0xad6c434f17c2ff1f, 0x36cd8b13138c4e80, 0x4e8e2d8291490536,
  0x9ddb9db37b931eb1, 0xf958b3ecf9304f8c, 0x06fea8e394a09adf, 0xe70949f790e766b6, 0xbf10d8489ecb3879,
  0xd705c3ffea3c2784, 0x74f7cd9edc2444e1, 0x951c8f2b29729dac, 0xc56a7a391f06cc1e, 0xb1148b34eb422814,
  0xb8ba8ea426be8c2c, 0x9de1dbe8e6e39d5d, 0x471958d578d8ebce, 0xb2d973170908a014, 0xf7d02a3608991c37,
  0x3141daf2e556a59e, 0x673a8a9546bb9c67, 0x5c0809caed52df57, 0xc434ae5e97f48873, 0x6c9aeb9ed5688af2,
  0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0x31dbd8aaa2d3aebc, 0x252d4bf2b6ccee9e, 0x895a82ecf0cc377c,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0000a0220fba8a79,
};

/*
 * m2564rfr2_swio11_dual_pr          m2564rfr2_swio11_dual_pr_u4       m2564rfr2_swio12_dual
 * m2564rfr2_swio12_dual_pr          m2564rfr2_swio12_dual_pr_u4       m256rfr2_swio11_dual
 * m256rfr2_swio11_dual_pr           m256rfr2_swio11_dual_pr_u4        m256rfr2_swio12_dual
 * m256rfr2_swio12_dual_pr           m256rfr2_swio12_dual_pr_u4        m2560_swio11_dual
 * m2560_swio11_dual_pr              m2560_swio11_dual_pr_u4           m2560_swio12_dual
 * m2560_swio12_dual_pr              m2560_swio12_dual_pr_u4           m2561_swio11_dual
 * m2561_swio11_dual_pr              m2561_swio11_dual_pr_u4           m2561_swio12_dual
 * m2561_swio12_dual_pr              m2561_swio12_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_swio11_dual[] = {
  0xf91ddddda243359b, 0x7eeef1b762fcdd60, 0x6abec4a3368b5176, 0x6244b116a6c5b73b, 0xe55ff6b7560f91a1,
  0xc878661426daeb45, 0x48ea74c13e32717d, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0xe2ec17f32a538025,
  0x723ba5d81c33814b, 0xd0a48904903fdd34, 0x7e7ef822fca7cb8b, 0x8603770f8510c4f8, 0x7f25f2f973f21f29,
  0xcbfe420b486f9717, 0xad68a8432d08c910, 0x096dd82ffd01cf09, 0x3ffe9f260b0de579, 0x1fba3be596bca0b9,
  0x63e921c4903dee39, 0x31398b01541e674a, 0x608ebc01af09ea8d, 0x67b710e455403ff6, 0xaf9ddc5495c46079,
  0xc5076bcb955acfe2, 0x9cea2a551aee719c, 0x7020272bb54b7d5d, 0x10d2b97a5fd221cd, 0xb26bae7b55a22bcb,
  0xbaa417296be74079, 0x8c6f19d102e6e90a, 0x156f62aa8b4ebaf3, 0x4a5a97e56d99dd3d, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0x24de6db824f257ee, 0x0000000000000005,
};

/*
 * m2564rfr2_swio12_dual_pr_ee       m256rfr2_swio11_dual_pr_ee        m256rfr2_swio12_dual_pr_ee
 * m2560_swio11_dual_pr_ee           m2560_swio12_dual_pr_ee           m2561_swio11_dual_pr_ee
 * m2561_swio12_dual_pr_ee
 */
static const uint64_t ur_m2564rfr2_swio11_dual_pr_ee[] = {
  0xb1586dddddd432db, 0x7b3f777920e17cdd, 0x69b60810fed06e81, 0x138eb137b3745fb3, 0x8289fe3c8fb62b0d,
  0x7045583c333a1f96, 0x9e5e609f1931c6e4, 0x81bbaad43236a290, 0x4f8971030a183691, 0xc347e654a7004a77,
  0xfa7f6163e70ff9c5, 0x48904903eaf9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x7cbe5cfc87c8dbb0,
  0x9082d21be5c5dfc9, 0x542196847b4432ff, 0xe1a3fe80e784d224, 0x4f930586f2bc84b6, 0x56b4701a5052d7ff,
  0x307224723caf024d, 0xa1df15efb8e47c1b, 0x30b2c4522cd3ad08, 0xe50d7082e6909afa, 0x5e10f68e5f1cead2,
  0xc7cb1aad743af6b1, 0x5c7c62e121144e28, 0x2a4ab85aff5b86f6, 0xe5caad67f157ceee, 0x2a8d7738ce6283b5,
  0x95daa5beaece7515, 0xbd2fe910e6b81013, 0x3daad115e588695c, 0x94b5f3a03cd935d7, 0xe8817374855d520b,
  0x5545a75d79c6378c, 0xf2b6ccee9e8ab7b1, 0xb8f0cc377c252d4b, 0xe0eee3459eff104f, 0x0cf4c2b93f75666f,
  0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x000000000c850e14,
};

/*
 * m2564rfr2_swio12_dual_pr_ee_u4    m256rfr2_swio11_dual_pr_ee_u4     m256rfr2_swio12_dual_pr_ee_u4
 * m2560_swio11_dual_pr_ee_u4        m2560_swio12_dual_pr_ee_u4        m2561_swio11_dual_pr_ee_u4
 * m2561_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_m2564rfr2_swio11_dual_pr_ee_u4[] = {
  0x6b777768a87fb202, 0xddde4834f7373ac7, 0xbd9624e4ec8a76cf, 0xaf7187d55fbf57de, 0x7c791f3ac76a05ec,
  0x2d1fe0e56083395c, 0x7c64a33b97f5ba46, 0x50c8da8a41f3e982, 0x0c2860da4606eeab, 0xa538c049dd3e25c4,
  0x683869ae2eff3f32, 0x07d3f34723ffcd80, 0x94f9717a14912092, 0xa2189f0fcfdf045f, 0xfc87cbce406ee1f0,
  0x1be5c5dfc97cbe5c, 0x82fb4432ff9082d2, 0x01cf0983dc542196, 0x0de579096ddfe7fd, 0xd28263ffe40ca60b,
  0x91e576ea6ab5a3fd, 0x568e47c1b3061ee3, 0x22cd3ad08a1df15c, 0x2e6909afa30b2c45, 0x67a9cead2f959715,
  0x5ae875ea26f0c064, 0xc24228ea11c43635, 0x08fd6e1bd97d2cc5, 0x8a92804b5e0faa36, 0x7972ab59fc55f3bb,
  0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0x2f4bfa4439ae0404, 0xcf6ab44579621a57, 0xe52d7ce80f364d75,
  0x3a205cdd21575482, 0x555169d75e718de3, 0xfcadb33ba7a2adec, 0xf63c330ddf094b52, 0xf068fe3459eff102,
  0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0xff0cf257ee686658, 0x000000002b2469f0,
};

/*
 * m2564rfr2_swio12_dual_pr_ce       m256rfr2_swio11_dual_pr_ce        m256rfr2_swio12_dual_pr_ce
 * m2560_swio11_dual_pr_ce           m2560_swio12_dual_pr_ce           m2561_swio11_dual_pr_ce
 * m2561_swio12_dual_pr_ce
 */
static const uint64_t ur_m2564rfr2_swio11_dual_pr_ce[] = {
  0xd333dddddd435032, 0xb3f777d43ae3cdcd, 0xbdf7075805233837, 0xa73d60b28f962d70, 0x9bd9b1d7dd374ccf,
  0xee557b68ff5efbb0, 0x1485d16609f193f4, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xfc5e87ff32a53802,
  0x1c8f1cb60704e1d5, 0xf4292241240edd4d, 0x1f9fbe08bf29f2e2, 0x37c0ddc3e144313e, 0xbf92f97cb9f90f97,
  0x65ff2105a437cb8b, 0xc0a454219681ea88, 0x096de87ffe80e784, 0xbffe9f260b0de579, 0xd9c02bbeb224a0e9,
  0x37e79c2527cf373b, 0x02bb84889c39adcc, 0x1c27cf72cf6ea5cd, 0x1ee921c4903b5a39, 0x7aa34c4e62c054ac,
  0x0ffd99e3af006bc2, 0x460796b744391550, 0xacfe2af9ddc5495c, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae,
  0x221cd7020272bb54, 0x22bcb10d2b97a5fd, 0x74079b26bae7b55a, 0x6e90abaa417296be, 0xebaf38c6f19d102e,
  0x3ba78c76f62aa8b4, 0x0ddf094b52fcadb3, 0xd167bfc413ee3c33, 0xae4fdd599bf83bb8, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0001cf595a9c1279,
};

/*
 * m2564rfr2_swio12_dual_pr_ce_u4    m256rfr2_swio11_dual_pr_ce_u4     m256rfr2_swio12_dual_pr_ce_u4
 * m2560_swio11_dual_pr_ce_u4        m2560_swio12_dual_pr_ce_u4        m2561_swio11_dual_pr_ce_u4
 * m2561_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_dual_pr_ce_u4[] = {
  0x16eeeed150ffbf5b, 0x777a9bb41e6e769b, 0x371a92614e0ddb3f, 0x103e421ad6f1ff73, 0xf26bee9da6c46467,
  0xeb009c1480bbebb4, 0xae609f19306ee4cd, 0xbbaad43236a29047, 0x8971030a18369181, 0xafcca94e3012774f,
  0x7f61ff0e01a38be9, 0x904903a1f9a391ec, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c8291037,
  0x82d21be5c5dfc97c, 0x10cb41fc4432ff90, 0x6bfe80e784db7e2a, 0x530586f2bc84b6fa, 0xfd6a54a085aff206,
  0x2527df00cefa7c0d, 0x4361227b2ce1e79c, 0x58001fa8f09e12fc, 0x4b9b3db84889c3f7, 0x5a391c27cf72df5d,
  0x54ac1ee921c4903b, 0x6bc27aa34c4e62c0, 0x15500ffd99e3af00, 0x495c460796b74439, 0xb955acfe2af9ddc5,
  0x51aee719cc5076bc, 0xbb54b7d5d9cea2a5, 0xa5fd221cd7020272, 0xb55a22bcb10d2b97, 0x96be74079b26bae7,
  0x102e6e90abaa4172, 0xa8b4ebaf38c6f19d, 0xadb33ba78c76f62a, 0x3c330ddf094b52fc, 0x68fe3459eff102f6,
  0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x0cf257ee68665874, 0x00000069245588ff,
};

/*
 * m2564rfr2_swio11_dual_pr_ee_ce_u4 m2564rfr2_swio12_dual_pr_ee_ce    m2564rfr2_swio12_dual_pr_ee_ce_u4
 * m256rfr2_swio11_dual_pr_ee_ce     m256rfr2_swio11_dual_pr_ee_ce_u4  m256rfr2_swio12_dual_pr_ee_ce
 * m256rfr2_swio12_dual_pr_ee_ce_u4  m2560_swio11_dual_pr_ee_ce        m2560_swio11_dual_pr_ee_ce_u4
 * m2560_swio12_dual_pr_ee_ce        m2560_swio12_dual_pr_ee_ce_u4     m2561_swio11_dual_pr_ee_ce
 * m2561_swio11_dual_pr_ee_ce_u4     m2561_swio12_dual_pr_ee_ce        m2561_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio11_dual_pr_ee_ce[] = {
  0xfbbbbb4543f81907, 0x77e142cdf3740355, 0x07db3655f62fb3f7, 0x9e0b337a6a477ebe, 0xa5201aaf67dddeb2,
  0xacda9d35d5c87514, 0x972422fbd3ae9ac2, 0x522f549304f8c949, 0xd23037755a8646d4, 0x4ee9f12e20614306,
  0xc5da0ff99529c602, 0x23dc8ec0928e1951, 0x292241240d9bf347, 0x9fbe08bf29f2e2f4, 0xc0ddc3e144313e1f,
  0x4be5f2e7e43e49e5, 0xfc841690df2e2efe, 0xa2a10cb409d22197, 0xbb41ffe80e784db3, 0x8194c161bcaf212d,
  0xfea8e87e507acffc, 0x1293ef80677d6606, 0x21b0913d9670f3ce, 0xa31ebfd4784f097e, 0x74d9edc2444e1dd3,
  0xc8f2b95d29dac753, 0x4dc723e0d983dbf1, 0x91669d68450298af, 0x61d484d7d1859622, 0x301919ea73abb765,
  0x1b1aaf1b1d7a89bc, 0x9662e121147508e2, 0xea8d8226470decbe, 0x7ceee2a4a59ad783, 0x283b5e5caad67f15,
  0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b, 0x935d73daad115e58, 0xd520b94b5f3a03cd,
  0x6378ce8817374855, 0x3b7b15545a75d79c, 0xa5a97e56d99dd3c6, 0xf8817b1e1986ef84, 0x599bf8347f1a2cf7,
  0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0x843e7f86792bf734, 0x0000000000002001,
};

/*
 * m2564rfr2_swio12_dual_ee_hw       m256rfr2_swio11_dual_ee_hw        m256rfr2_swio12_dual_ee_hw
 * m2560_swio11_dual_ee_hw           m2560_swio12_dual_ee_hw           m2561_swio11_dual_ee_hw
 * m2561_swio12_dual_ee_hw
 */
static const uint64_t ur_m2564rfr2_swio11_dual_ee_hw[] = {
  0xed6eeeed14683202, 0xfbbbc9069ee6e758, 0xd7b2c49c9d914ed9, 0x95ee30faabf7eafb, 0x8f8f23e758ed40bd,
  0x0fafbd35ac10672b, 0x9827c64a33b90d3a, 0xeab50c8da8a41f3e, 0x5c40c2860da4606e, 0xf99529c7419dd3e2,
  0x6c0341c34d7177f9, 0x04903e9f9a391ffe, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xf2e7e43e5e720377,
  0x1690df2e2efe4be5, 0x0cb417da2197fc84, 0x3fe80e784c1ee2a1, 0x30586f2bc84b6eff, 0x1fee94131fff8cb5,
  0xf71c8f2bb75355ad, 0x8ae2b4723e0d9830, 0x62291669d68450ef, 0xb8a973484d7d1859, 0x03233d4e75697cac,
  0xb1aad743af513786, 0x662e121147508e21, 0x51b047eb70decbe9, 0x9ddc5494025af07d, 0x076bcb955acfe2af,
  0xea2a551aee719cc5, 0x20272bb54b7d5d9c, 0xd2b97a5fd221cd70, 0x6bae7b55a22bcb10, 0xa417296be74079b2,
  0x6f19d102e6e90aba, 0x6f62aa8b4ebaf38c, 0x5a97e56d99dd3d15, 0xb505d9e1986ef84a, 0xffde1ef79430a912,
  0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x015da5d52514f257,
};

/*
 * m2564rfr2_swio11_dual_ee_ce_u4_hw m2564rfr2_swio12_dual_ee_ce_hw    m2564rfr2_swio12_dual_ee_ce_u4_hw
 * m256rfr2_swio11_dual_ee_ce_hw     m256rfr2_swio11_dual_ee_ce_u4_hw  m256rfr2_swio12_dual_ee_ce_hw
 * m256rfr2_swio12_dual_ee_ce_u4_hw  m2560_swio11_dual_ee_ce_hw        m2560_swio11_dual_ee_ce_u4_hw
 * m2560_swio12_dual_ee_ce_hw        m2560_swio12_dual_ee_ce_u4_hw     m2561_swio11_dual_ee_ce_hw
 * m2561_swio11_dual_ee_ce_u4_hw     m2561_swio12_dual_ee_ce_hw        m2561_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio11_dual_ee_ce_hw[] = {
  0x5fbbbbb451a0746e, 0x777e142cdf374035, 0xe07db3655f62fb3f, 0x29e0b337a6a477eb, 0x4a5201aaf67dddeb,
  0xe90a29d35d5c8751, 0x64a4cb905b495c7e, 0x236a2917aa49827c, 0xa18369181bbaad43, 0x71d06774f8971030,
  0x8654717683fe654a, 0xfcd1c8f723b024a3, 0xb8bd0a4890490366, 0x4f87e7ef822fca7c, 0x9279703770f8510c,
  0x8bbf92f97cb9f90f, 0x8865ff2105a437cb, 0x136ce8a8432d0274, 0xc84b6ed07ffa039e, 0xb3ff8cb530586f2b,
  0x5981bfaa3a1f941e, 0x1e79c2527de439df, 0xe12fc4361227b2ce, 0x70f7251d7dfa8f09, 0xd63a9ba6cf6e1222,
  0x1edf8e4795cae94e, 0x14c57a6e391f06cc, 0x2cb1148b34eb4228, 0x5dbb2b0ea426be8c, 0xd44de180c8cf539d,
  0xa84710d8d578d8eb, 0x6f65f4b3170908a3, 0xd6bc1f546c113238, 0xb3f8abe77715252c, 0x9c673141daf2e556,
  0xdf57673a8a9546bb, 0x88735c0809caed52, 0x8af2c434ae5e97f4, 0xd01e6c9aeb9ed568, 0xba42aea905ca5af9,
  0xaebce31bc67440b9, 0xee9e31dbd8aaa2d3, 0x377c252d4bf2b6cc, 0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x00000001d758ee42,
};

/*
 * m2564rfr2_swio13_noled_pr_ce_u4   m256rfr2_swio13_noled_pr_ce       m256rfr2_swio13_noled_pr_ce_u4
 * m2560_swio13_noled_pr_ce          m2560_swio13_noled_pr_ce_u4       m2561_swio13_noled_pr_ce
 * m2561_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio13_noled_pr_ce[] = {
  0x09bbbbbb4486bf3e, 0x5ae5a58382d0bac5, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a376844,
  0x27c64eece22c5707, 0x18adfe186cf93a98, 0xdcee3901bfac7b94, 0xecb3879e70949f3c, 0xa3c2784bf10d8489,
  0x70911387e8fa927e, 0x9ba7b96faf59367b, 0xaa4871240c9e8e47, 0x447bd9cc580a63f4, 0xffd99e3af47d7872,
  0xa0796b741fe91500, 0x98a0ed7972ab5976, 0xb39d454aa35dce33, 0xe6b395daa5beaa6f, 0x9621a55abdebe910,
  0xe01fd75cf6ab4457, 0x4830ba9b14a7869d, 0x2f38c6f19d102eaf, 0x8c4c76f62aa8b4a4, 0xef84a5a97e56d99d,
  0x2cf7f8817b1e1986, 0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x006ebe662b824f25,
};

/*
 * m2564rfr2_swio13_noled_pr_ee_ce_u4 m256rfr2_swio13_noled_pr_ee_ce    m256rfr2_swio13_noled_pr_ee_ce_u4
 * m2560_swio13_noled_pr_ee_ce       m2560_swio13_noled_pr_ee_ce_u4    m2561_swio13_noled_pr_ee_ce
 * m2561_swio13_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio13_noled_pr_ee_ce[] = {
  0xd1bbbbbb4486bd5b, 0x1f72d2c42240bac2, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522ad0a,
  0x4eef77ee0e75a094, 0xfc30d9f9869827c6, 0x037f54635a507f5f, 0x79c2527cf373bfd7, 0x2fc4361227b2ce1e,
  0xef00c463fa8f09e1, 0x3a7be6cf6e122270, 0xf58e47959c394ed6, 0x62b2871c8f83660c, 0x588a459a75a1140a,
  0xdd21c752135f4616, 0xa77864447921ceae, 0x2383f6355e363af3, 0xd96cb98b848450be, 0xd627951b044c8e1b,
  0x98a0ed7972ab52ce, 0xb39d454aa35dce33, 0xe6b395daa5beaa6f, 0x9621a55abdebe910, 0xe01fd75cf6ab4457,
  0x4830ba9b14a7869d, 0x2f38c6f19d102eaf, 0x8c4c76f62aa8b4a4, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986,
  0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x0013f2dc83824f25,
};

/*
 * m2564rfr2_swio13_noled_ee_ce_u4_hw m256rfr2_swio13_noled_ee_ce_hw    m256rfr2_swio13_noled_ee_ce_u4_hw
 * m2560_swio13_noled_ee_ce_hw       m2560_swio13_noled_ee_ce_u4_hw    m2561_swio13_noled_ee_ce_hw
 * m2561_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio13_noled_ee_ce_hw[] = {
  0xa37777768a34704a, 0x3ee5a58844817585, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a455a14,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0x7037f54635a507f5, 0xcf384a4fbc873bfd, 0x25f886c244f659c3,
  0x87ea72e0bf51e13c, 0xb1d3df367b709113, 0x67ac723cace1ca76, 0x53159438e47c1b30, 0xb2c4522cd3ad08a0,
  0x76e90e3a909afa30, 0x9d3bc32223c90e75, 0xf11c1fb1aaf1b1d7, 0xdecb65cc5c242285, 0x76b13ca8d8226470,
  0x9cc5076bcb955a96, 0x7d9cea2a551aee71, 0x87359caed52df553, 0xbcb10d2ad5ef5f48, 0xef00febae7b55a22,
  0x7a4185d4d8a53c34, 0x2179c6378ce88175, 0xec6263b7b15545a5, 0x377c252d4bf2b6cc, 0x1854895a82ecf0cc,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a,
  0x00000000a02c0fba,
};

/*
 * m2564rfr2_swio13_lednop_pr_ce_u4  m256rfr2_swio13_lednop_pr_ce      m256rfr2_swio13_lednop_pr_ce_u4
 * m2560_swio13_lednop_pr_ce         m2560_swio13_lednop_pr_ce_u4      m2561_swio13_lednop_pr_ce
 * m2561_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio13_lednop_pr_ce[] = {
  0x09bbbbbb44864aa4, 0xad72d2c1c1420ac5, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1bb422,
  0x27c64eea4cb1789d, 0x2707fc30d9fa1f98, 0xb9d93a037f58f728, 0xd9670f3ce1293e79, 0x4784f097e21b0913,
  0xc2444e1c112601fd, 0x719ee5bebd64d9ed, 0xe921c490327a391e, 0x238c8e62c055f613, 0xfeccf1d7a3ebc20a,
  0x03cb5bb2288aa807, 0x141daf2e556a5217, 0x73a8a9546bb9c673, 0x0272bb54b7d54df6, 0x95c925fd221cd702,
  0x5d73daad115e5886, 0x20b94b5f3a03cd93, 0x78ce8817374855d5, 0x7b15545a75d79c63, 0x52fcadb33821663b,
  0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xcd37049e4afdcd0c, 0x000000000000dd7f,
};

/*
 * m2564rfr2_swio13_lednop_pr_ee_ce_u4 m256rfr2_swio13_lednop_pr_ee_ce
 * m256rfr2_swio13_lednop_pr_ee_ce_u4 m2560_swio13_lednop_pr_ee_ce
 * m2560_swio13_lednop_pr_ee_ce_u4   m2561_swio13_lednop_pr_ee_ce      m2561_swio13_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio13_lednop_pr_ee_ce[] = {
  0x2d1bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522ad0,
  0x93bbb36d3c5a87e3, 0xfe186cfb37e609f1, 0x81bfaa31ad283787, 0x3ce1293e79b9dde1, 0x97e21b0913d9670f,
  0x38aa2c93fd4784f0, 0x8e9ef9b3db84889c, 0x3d6391e5650e53b5, 0x98af024723e0d983, 0x962291669d684502,
  0xb714b1d484d7d185, 0xe9de1329182873ab, 0xc8f22d8d578d8ebc, 0xecb65cc5c2422897, 0x0ff48a8d8226470d,
  0x98a0ed7972ab52ce, 0xb39d454aa35dce33, 0x101395daa5beaa6f, 0x34ae492fe910e6b8, 0x9aeb9ed5688af2c4,
  0xa905ca5af9d01e6c, 0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x5a97e56d99c10b31, 0x8817b1e1986ef84a,
  0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4,
  0x66587494b670e271, 0x6f253824f257ee68, 0x000000000000027e,
};

/*
 * m2564rfr2_swio13_lednop_ee_ce_u4_hw m256rfr2_swio13_lednop_ee_ce_hw
 * m256rfr2_swio13_lednop_ee_ce_u4_hw m2560_swio13_lednop_ee_ce_hw
 * m2560_swio13_lednop_ee_ce_u4_hw   m2561_swio13_lednop_ee_ce_hw      m2561_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio13_lednop_ee_ce_hw[] = {
  0xa37777768a34306a, 0x3ee5a58844375585, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a455a14,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x606fea8c6b4a0de1, 0x9e70949f790e7778, 0x4bf10d8489ecb387,
  0x1c2c8cf5fea3c278, 0xc74f7cd9edc2444e, 0x9eb1c8f2b28729da, 0x4c57812391f06cc1, 0xcb1148b34eb42281,
  0xdb8a58ea426be8c2, 0x74ef09948c1439d5, 0xe47916c6abc6c75e, 0xf65b2e62e121144b, 0x07fa4546c1132386,
  0xcc5076bcb955a967, 0xd9cea2a551aee719, 0x0809caed52df5537, 0x1a572497f488735c, 0x4d75cf6ab4457962,
  0x5482e52d7ce80f36, 0x8de33a205cdd2157, 0xedec555169d75e71, 0x2d4bf2b6cce08598, 0x5a82ecf0cc377c25,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x00a02cc0028a792b,
};

/*
 * m2564rfr2_swio13_dual_pr          m2564rfr2_swio13_dual_pr_u4       m256rfr2_swio13_dual
 * m256rfr2_swio13_dual_pr           m256rfr2_swio13_dual_pr_u4        m2560_swio13_dual
 * m2560_swio13_dual_pr              m2560_swio13_dual_pr_u4           m2561_swio13_dual
 * m2561_swio13_dual_pr              m2561_swio13_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_swio13_dual[] = {
  0xa76eeeeed121a5fb, 0x767eeef1b79f7cdf, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadde9de46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x5f1760bf99529c01,
  0xa391dd2ec0e19c0a, 0x5e8524482481fee9, 0xc3f3f7c117e53e5c, 0x72d01bb87c288627, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x4d6b454219684648, 0xc84b6ea7bfe80e78, 0x2b7ff4f930586f2b, 0xc8fb7cef967be505,
  0x77f2921c490383f1, 0x7109cc580aa0f348, 0xb30475e00d787a84, 0xe59edfc83e2a01ff, 0xc55f3bb8a92fb281,
  0x398a0ed7972ab59f, 0xfb39d454aa35dce3, 0x8101395daa5beaa6, 0x434ae492fe910e6b, 0xc9aeb9ed5688af2c,
  0xea905ca5af9d01e6, 0x31bc67440b9ba42a, 0x55bd8aaa2d3aebce, 0x52d4bf2b6cce085c, 0xfc40bd8f0cc377c2,
  0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0x271f5dc12792bf73, 0x0000000000000029,
};

// m256rfr2_swio13_dual_pr_ee        m2560_swio13_dual_pr_ee           m2561_swio13_dual_pr_ee
static const uint64_t ur_m2564rfr2_swio13_dual_pr_ee[] = {
  0x7415bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47d0558,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0xc5c347e654a7004a,
  0x91fa7f6163e70ff9, 0x0a48904903eaf9a3, 0xe7ef822fca7cb8bd, 0x703770f8510c4f87, 0xc97cbe5cfc87cb90,
  0xff9082d21be5c5df, 0x24542196847b4432, 0x6dd36ffe80e784d2, 0xfe9f260b0de57909, 0x355ad1afb941a1ff,
  0x6cc1f751c8f2bcad, 0x22877c576ea391f0, 0xe8c2cb1148b34eb4, 0x4bb055c20b9a426b, 0x62bc31ed1ce273ab,
  0x235af6355ae875ed, 0xd971f18b84845080, 0xdc549570f7fd6e1b, 0x6bcb955acfe2af9d, 0x2a551aee719cc507,
  0xaed52df5537d9cea, 0x497f488735c0809c, 0xf6ab44579621a572, 0x52d7ce80f364d75c, 0xa205cdd21575482e,
  0x55169d75e718de33, 0x95b667042e2adec5, 0xc78661bbe1296a5f, 0x07771a2cf7f8827d, 0x67a615c9fbab337f,
  0x494b670e271964b8, 0x824f257ee6866587, 0x000000006428dc7b,
};

// m256rfr2_swio13_dual_pr_ee_u4     m2560_swio13_dual_pr_ee_u4        m2561_swio13_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_swio13_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6eaf, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23eaf8ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x9529c6024ee9f12e,
  0x0341c34d7177f9f9, 0x903e9f9a391ffe6c, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xcfc87c861703770f,
  0x21be5c5dfc97cbe5, 0x682fb4432ff9082d, 0xd01cf0983dc54219, 0x61bcaf212dbdadff, 0x4e506c7ffc8194c1,
  0x723caf4dcd56b46e, 0x8e51c8f83660e3dc, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8fa839d5a5e572e2,
  0xab5d0ebd44de15f6, 0x70908a027a3f92c6, 0x823f5b86f65f4b31, 0x71525009ef1bea8d, 0xaf2e556b3f8abe77,
  0xa9546bb9c673141d, 0xbb54b7d54df673a8, 0x25fd221cd7020272, 0xdaad115e588695c9, 0x4b5f3a03cd935d73,
  0x8817374855d520b9, 0x545a75d79c6378ce, 0x56d99c10b8ab7b15, 0x1e1986ef84a5a97e, 0x347f1a2cf7f8817b,
  0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x86792bf734332c3a, 0x0000001592d98a7f,
};

// m256rfr2_swio13_dual_pr_ce        m2560_swio13_dual_pr_ce           m2561_swio13_dual_pr_ce
static const uint64_t ur_m2564rfr2_swio13_dual_pr_ce[] = {
  0x94eddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba53999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x7f17a1ffcca94e00,
  0x4723c72d81c13875, 0xbd0a48904903b753, 0x87e7ef822fca7cb8, 0x60103770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x3029150865a07aa2, 0x212db85affa039e1, 0x9dffd3e4c161bcaf, 0x71580577d7ba941d,
  0x5afcf384a4f9e6e7, 0xa05770911387bc3e, 0x91e449ee59edd4b9, 0xd1ee921c49031163, 0x3d423884e62c05f9,
  0x00ffd99e3af006bc, 0xf6503cb5bbe41f15, 0x56b3f8abe7771525, 0xbb9c673141daf2e5, 0x7d54df673a8a9546,
  0x21cd7020272bb54b, 0x15e588695c925fd2, 0xa03cd935d73daad1, 0x74855d520b94b5f3, 0x5d79c6378ce88173,
  0x821663b7b15545a7, 0xddf094b52fcadb33, 0x167bfc413ee3c330, 0xe4fdd599bf83bb8d, 0x87138cb25c33d30a,
  0xbf734332c3a4a5b3, 0x0039eb1d15c12792,
};

// m256rfr2_swio13_dual_pr_ce_u4     m2560_swio13_dual_pr_ce_u4        m2561_swio13_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_swio13_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e3d, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd1ecd88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0xbe9afcca94e30127,
  0x1ec7f61ff0e01a38, 0xa48904903a1f9a39, 0x7ef822fca7cb8bd0, 0x03770f8510c4f87e, 0x97cbe5cfc87c95d7,
  0xf9082d21be5c5dfc, 0xe2a10cb41fc4432f, 0xde76ffe80e784db7, 0x40ca60b0de579096, 0x037f528b283d3ffe,
  0xe70949f7c033b31f, 0xbf10d8489ecb3879, 0xdd51aa0fea3c2784, 0xaea5cd9edc2444e1, 0x0c458e479127b96f,
  0xb017e747ba487124, 0xc01af0f508e21398, 0x907c5403ff6678eb, 0xdc5497d940f2d6ef, 0x6bcb955acfe2af9d,
  0x2a551aee719cc507, 0xaed52df5537d9cea, 0x497f488735c0809c, 0xf6ab44579621a572, 0x52d7ce80f364d75c,
  0xa205cdd21575482e, 0x55169d75e718de33, 0x2b6cce08598edec5, 0x8f0cc377c252d4bf, 0x1a3f8d167bfc40bd,
  0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0xc33c95fb9a19961d, 0x0000001a49c6683f,
};

/*
 * m2564rfr2_swio13_dual_pr_ee_ce_u4 m256rfr2_swio13_dual_pr_ee_ce     m256rfr2_swio13_dual_pr_ee_ce_u4
 * m2560_swio13_dual_pr_ee_ce        m2560_swio13_dual_pr_ee_ce_u4     m2561_swio13_dual_pr_ee_ce
 * m2561_swio13_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio13_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xf777e14614e6e89f, 0x3a70bc9855f62fb3, 0xda347feafbf5f68d, 0xa52913eabd9f571a,
  0x5fe82dd8558fe1a8, 0x4cb94ae3c559b9a7, 0x452357e19827c64a, 0x6d23037755a8646d, 0x24ee9f12e2061430,
  0x1c5da0ff99529c60, 0x723dc8ec0928e195, 0x4292241240d9bf34, 0xf9fbe08bf29f2e2f, 0x4c0ddc3e144313e1,
  0xe4be5f2e7e43e472, 0x7fc841690df2e2ef, 0x3a2a10cb409d2219, 0x6dd493fe80e784db, 0xe40ca60b0de57909,
  0x1bfaa30b5282951f, 0x384a4fbe019da540, 0xf886c244f659c3cf, 0xcfa1e4ff51e13c25, 0x9ba6cf6e122270fb,
  0x8e4795efb94ed63a, 0xbd9d1c8f83660cca, 0x8a459a75a1140a62, 0x2b8752135f461658, 0xf0afb47d41ceaedd,
  0xf92c6abc6c75ea26, 0xf4b3170908a027a3, 0xdf546c1132386f65, 0x55f3bb8a92966f78, 0x98a0ed7972ab59fc,
  0xb39d454aa35dce33, 0x101395daa5beaa6f, 0x34ae492fe910e6b8, 0x9aeb9ed5688af2c4, 0xa905ca5af9d01e6c,
  0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x5a97e56d99c10b31, 0x8817b1e1986ef84a, 0x99bf8347f1a2cf7f,
  0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x5487f86792bf7343, 0x0000000000010003,
};

// m256rfr2_swio13_dual_ee_hw        m2560_swio13_dual_ee_hw           m2561_swio13_dual_ee_hw
static const uint64_t ur_m2564rfr2_swio13_dual_ee_hw[] = {
  0xedddddda28d1880b, 0xb3f7779203f39bab, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8fabe3b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0x9f99529c7419dd3e,
  0xe6c0341c34d7177f, 0x904903e9f9a391ff, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c8617037,
  0x82d21be5c5dfc97c, 0x219682fb4432ff90, 0xdffd01cf0983dc54, 0x4c161bcaf212dbda, 0x46e4e506c7ffe32d,
  0x3dc723caf4dcd56b, 0xe2b8e51c8f83660e, 0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0x5f68fa839d5a5e57,
  0x2c6ab5d0ebd44de1, 0xb3170908a027a3f9, 0xa8d823f5b86f65f4, 0xe7771525009ef1be, 0x41daf2e556b3f8ab,
  0x3a8a9546bb9c6731, 0x272bb54b7d54df67, 0x5c925fd221cd7020, 0xd73daad115e58869, 0x0b94b5f3a03cd935,
  0x8ce8817374855d52, 0xb15545a75d79c637, 0x97e56d99c10b8ab7, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xbb473c9d14f257ee,
  0x0000000000000002,
};

/*
 * m2564rfr2_swio13_dual_ee_ce_u4_hw m256rfr2_swio13_dual_ee_ce_hw     m256rfr2_swio13_dual_ee_ce_u4_hw
 * m2560_swio13_dual_ee_ce_hw        m2560_swio13_dual_ee_ce_u4_hw     m2561_swio13_dual_ee_ce_hw
 * m2561_swio13_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio13_dual_ee_ce_hw[] = {
  0xf7777768a347e907, 0x7eeefc28c29cdd13, 0xa74e17930abec5f6, 0x5b468ffd5f7ebed1, 0x14a5227d57b3eae3,
  0xd6d1b9bb0ab1fc35, 0xc64a4cb90404d214, 0x646d452357e19827, 0x14306d23037755a8, 0x4e3a0cee9f12e206,
  0x70ca8e2ed07fcca9, 0xdf9a391ee4760494, 0x9717a1491209206c, 0x89f0fcfdf045f94f, 0xf2392606ee1f0a21,
  0x7177f25f2f973f21, 0x910cbfe420b486f9, 0xc26d9d150865a04e, 0xbc84b6ea49ff4073, 0x4a8ff8cb530586f2,
  0xd2a00dfd5185a941, 0x70f3ce1293ef21ce, 0x4f097e21b0913d96, 0x13877806231fd478, 0x76b1d4dd367b7091,
  0x306654723caf7dca, 0xa05315ece8e47c1b, 0x30b2c4522cd3ad08, 0x7576e95c3a909afa, 0xaf5137857da3ea0e,
  0x013d1fc96355e363, 0xc37b2fa598b84845, 0xb37bc6faa3608991, 0x5acfe2af9ddc5494, 0xee719cc5076bcb95,
  0xf5537d9cea2a551a, 0x8735c0809caed52d, 0x579621a572497f48, 0x80f364d75cf6ab44, 0xd21575482e52d7ce,
  0x75e718de33a205cd, 0x08598edec555169d, 0x77c252d4bf2b6cce, 0x854895a82ecf0cc3, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x0000003aea9ff868,
};

/*
 * m2564rfr2_swio14_noled_pr_ce_u4   m256rfr2_swio14_noled_pr_ce       m256rfr2_swio14_noled_pr_ce_u4
 * m2560_swio14_noled_pr_ce          m2560_swio14_noled_pr_ce_u4       m2561_swio14_noled_pr_ce
 * m2561_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio14_noled_pr_ce[] = {
  0x367eeeeeed121911, 0x6ad72d2c1c1469d6, 0x1fa47f4d28c1ae6d, 0x3d22e1fad0fd833b, 0x1b2c5515eb921bbb,
  0x6609f193baaf99f4, 0xe507677f861b3e70, 0xcf373b8ac06fea1e, 0x227b2ce1e79c2527, 0xffa8f09e12fc4361,
  0x9edc2444e1f2a1a0, 0x91d7c9ee5bebd64d, 0x680524389206b3e3, 0x3f223114e62c058f, 0x807feccf1d7a3ebc,
  0x05681e5addbdf40a, 0x8ce6283b5e5caad6, 0xbeace75152a8d773, 0xa4439ace9b95daa5, 0xd115e588695b1fbf,
  0xe1a77807f5d73daa, 0x0babd20c2ea6c529, 0x2d290bce31bc6744, 0xb6672ec31dbd8aaa, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x0000001baef926e0,
};

/*
 * m2564rfr2_swio14_noled_pr_ee_ce_u4 m256rfr2_swio14_noled_pr_ee_ce    m256rfr2_swio14_noled_pr_ee_ce_u4
 * m2560_swio14_noled_pr_ee_ce       m2560_swio14_noled_pr_ee_ce_u4    m2561_swio14_noled_pr_ee_ce
 * m2561_swio14_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio14_noled_pr_ee_ce[] = {
  0x15bbbbbb44861a4e, 0x1f72d2c422589ac6, 0xbd6d69d0ccadc2ff, 0x3636cd889d704d2e, 0x7333582d829170a5,
  0x9dd4d770b499ee0a, 0xf861b3f787304f8c, 0x06fea8e394a0e377, 0xf384a4f9e6e778dc, 0x5f886c244f659c3c,
  0xee4a3afbf51e13c2, 0x74f7cd9edc2444e1, 0x951c8f2b90f29dac, 0xc5652e391f06cc1e, 0xb1148b34eb422814,
  0xb9d28ea426be8c2c, 0x9de109e8fe439d5d, 0x47bdd8d578d8ebce, 0xb2d973170908a324, 0x0d67aa3608991c37,
  0xc5076bcb955a9677, 0x9cea2a551aee719c, 0x7359d372bb54b7d5, 0xbcb10d2b63f7f488, 0xef00febae7b55a22,
  0x7a4185d4d8a53c34, 0x2179c6378ce88175, 0xe5d863b7b15545a5, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x00009f83271c1279,
};

/*
 * m2564rfr2_swio14_noled_ee_ce_u4_hw m256rfr2_swio14_noled_ee_ce_hw    m256rfr2_swio14_noled_ee_ce_u4_hw
 * m2560_swio14_noled_ee_ce_hw       m2560_swio14_noled_ee_ce_u4_hw    m2561_swio14_noled_ee_ce_hw
 * m2561_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio14_noled_ee_ce_hw[] = {
  0x2b7777768a345f41, 0x3ee5a58844b1358c, 0x7adad3a1995b85fe, 0x6c6d9b113ae09a5d, 0xe666b05b0522e14a,
  0x8c9dda2feef6b894, 0x77f958b3f787304f, 0xdc06fea8e394a0e3, 0x79e70949f790e778, 0x84bf10d8489ecb38,
  0xc38c2eeddfea3c27, 0x58e9ef9b3db84889, 0x3d2a391e5721e53b, 0x298aca5c723e0d98, 0x5962291669d68450,
  0xbb73a51d484d7d18, 0x9d3bc213d1fc873a, 0x488f7bb1aaf1b1d7, 0x6f65b2e62e121146, 0xee1acf546c113238,
  0x398a0ed7972ab52c, 0xab39d454aa35dce3, 0x10e6b3a6e576a96f, 0x4579621a56c7efe9, 0x69de01fd75cf6ab4,
  0xeaf4830ba9b14a78, 0x4a42f38c6f19d102, 0x99cbb0c76f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x9d14f257ee686658,
  0x0000000001404b3c,
};

/*
 * m2564rfr2_swio14_lednop_pr_ce_u4  m256rfr2_swio14_lednop_pr_ce      m256rfr2_swio14_lednop_pr_ce_u4
 * m2560_swio14_lednop_pr_ce         m2560_swio14_lednop_pr_ce_u4      m2561_swio14_lednop_pr_ce
 * m2561_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio14_lednop_pr_ce[] = {
  0x9fbbbbbb4486b044, 0xb5cb4b0705a0b58d, 0xfd3d313b6dd79b5a, 0x8b87eb41a67ede9e, 0x8b91fa8ac86eecf4,
  0x9f193bbb293ed1dd, 0x46b7f861b3e96a60, 0x73b38206fea1ee50, 0xb2ce1e79c2527cf3, 0x8f09e12fc4361227,
  0xc2444e1d4939bffa, 0xbe9ee5bebd64d9ed, 0xa4871240d67c723c, 0x8c6f9cc580b01ba8, 0xfb33c75e8faf0cdc,
  0x0796b74656b2a01f, 0x283b5e5caad4faa2, 0xe75152a8d7738ce6, 0x404e9b95daa5beac, 0x695cbec7a4439ae0,
  0x35d73daad115e588, 0x520b94b5f3a03cd9, 0x378ce8817374855d, 0xb7b15545a75d79c6, 0x5a97e56d99dd3c63,
  0x8817b1e1986ef84a, 0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19,
  0x964b867a617c68f4, 0x66587494b670e271, 0xc02b3824f257ee68, 0x0000000000000375,
};

/*
 * m2564rfr2_swio14_lednop_pr_ee_ce_u4 m256rfr2_swio14_lednop_pr_ee_ce
 * m256rfr2_swio14_lednop_pr_ee_ce_u4 m2560_swio14_lednop_pr_ee_ce
 * m2560_swio14_lednop_pr_ee_ce_u4   m2561_swio14_lednop_pr_ee_ce      m2561_swio14_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio14_lednop_pr_ee_ce[] = {
  0x0adddddda24343ee, 0x8fb9696211037563, 0x4056b621a78be17f, 0x9b1b66c58989c627, 0x58a74716c148b852,
  0x9ddaefc89086d3cf, 0xf861b3ecf9304f8c, 0x06fea8e394a09adf, 0xf384a4f9e6e766b6, 0x5f886c244f659c3c,
  0xe2314e3ff51e13c2, 0x74f7cd9edc2444e1, 0x951c8f2b29729dac, 0xc56a7a391f06cc1e, 0xb1148b34eb422814,
  0xb8ba8ea426be8c2c, 0x9de1dbe8e6e39d5d, 0x471958d578d8ebce, 0xb2d973170908a014, 0xf7d02a3608991c37,
  0x3141daf2e556a59e, 0x673a8a9546bb9c67, 0x020274dcaed52df5, 0x434ae5f63d221cd7, 0xc9aeb9ed5688af2c,
  0xea905ca5af9d01e6, 0x31bc67440b9ba42a, 0x1dbd8aaa2d3aebce, 0x52d4bf2b6ccee9e3, 0xfc40bd8f0cc377c2,
  0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0xf01e4dc12792bf73, 0x0000000000000013,
};

/*
 * m2564rfr2_swio14_lednop_ee_ce_u4_hw m256rfr2_swio14_lednop_ee_ce_hw
 * m256rfr2_swio14_lednop_ee_ce_u4_hw m2560_swio14_lednop_ee_ce_hw
 * m2560_swio14_lednop_ee_ce_u4_hw   m2561_swio14_lednop_ee_ce_hw      m2561_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio14_lednop_ee_ce_hw[] = {
  0x2b7777768a346d3a, 0x3ee5a588440dd58c, 0x015ad8869e2f85fe, 0x6c6d9b162627189d, 0x629d1c5b0522e14a,
  0x193bb73b66f7263d, 0xbff2b167d9f2609f, 0x6c0dfd51c7294135, 0xf3ce1293ef21cecd, 0x097e21b0913d9670,
  0xc3ae0b87ffd4784f, 0x58e9ef9b3db84889, 0x3d2a391e5652e53b, 0x298ad4f4723e0d98, 0x5962291669d68450,
  0xbb71751d484d7d18, 0x9d3bc3b7d1cdc73a, 0x288e32b1aaf1b1d7, 0x6f65b2e62e121140, 0x3defa0546c113238,
  0xce6283b5e5caad4b, 0xeace75152a8d7738, 0xae0404e9b95daa5b, 0x588695cbec7a4439, 0xcd935d73daad115e,
  0x55d520b94b5f3a03, 0x9c6378ce88173748, 0xc63b7b15545a75d7, 0x84a5a97e56d99dd3, 0x912b505d9e1986ef,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x0000140441f7514f,
};

/*
 * m2564rfr2_swio14_dual_pr          m2564rfr2_swio14_dual_pr_u4       m256rfr2_swio14_dual
 * m256rfr2_swio14_dual_pr           m256rfr2_swio14_dual_pr_u4        m2560_swio14_dual
 * m2560_swio14_dual_pr              m2560_swio14_dual_pr_u4           m2561_swio14_dual
 * m2561_swio14_dual_pr              m2561_swio14_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_swio14_dual[] = {
  0x25dddddda243359b, 0xecfddde36ec5f9bf, 0x76d57d89466d16a2, 0x42c489622d4d8b6e, 0x8bcabfed6ef25f23,
  0xfb90f0cc284db5d6, 0xa291d4e9827c64e2, 0x369181bbaad43236, 0x4a774f8971030a18, 0x97c5d82fe654a700,
  0x68e4774bb0386702, 0x17a1491209207fba, 0xf0fcfdf045f94f97, 0x530c06ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x135ad150865a1192, 0xf212dbb05ffa039e, 0x727ffd3e4c161bca, 0x723f7477cb2d7941,
  0x94c7d24389207bdc, 0x1a62731602a83cce, 0xecc11d78035e13d5, 0xf2cf6e21c8aa807f, 0xc55f3bb8a92b88c0,
  0x398a0ed7972ab59f, 0xab39d454aa35dce3, 0xb81013a6e576a96f, 0x621a572fb1e910e6, 0x364d75cf6ab44579,
  0x575482e52d7ce80f, 0x718de33a205cdd21, 0xa2adec555169d75e, 0x094b52fcadb33ba7, 0xeff102f63c330ddf,
  0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0xa49bcdb7049e4afd,
};

// m256rfr2_swio14_dual_pr_ee        m2560_swio14_dual_pr_ee           m2561_swio14_dual_pr_ee
static const uint64_t ur_m2564rfr2_swio14_dual_pr_ee[] = {
  0xb80addddddd432db, 0x02f67eeef241c2f9, 0x66d36c1021fda0dd, 0x1a271d626f66e8bf, 0x2d0513fc791f0156,
  0xc8e08ab07866743f, 0x213cbcc13e32638d, 0x23037755a8646d45, 0xee9f12e20614306d, 0x8b868fcca94e0094,
  0x23f4fec2c7ce1ff3, 0x1491209207d5f347, 0xcfdf045f94f9717a, 0x606ee1f0a2189f0f, 0x92f97cb9f90f91b7,
  0xff2105a437cb8bbf, 0x48a8432d08f68865, 0x6dc347fd01cf09a4, 0xfe9f260b0de57909, 0x9aad68e034a0a5af,
  0x3660e448e4795e04, 0x1143be2bdf71c8f8, 0xf4616588a459a75a, 0xa5ca1ae105cd2135, 0x62bc21ed1cbe39d5,
  0x518f96355ae875ed, 0xecb8f8c5c242289c, 0xdc549570b5feb70d, 0x6bcb955acfe2af9d, 0x2a551aee719cc507,
  0xd372bb54b7d59cea, 0x97d8f488735c0809, 0xe7b55a22bcb10d2b, 0x7296be74079b26ba, 0x9d102e6e90abaa41,
  0x2aa8b4ebaf38c6f1, 0x7e56d99dd3d156f6, 0xf71e1986ef84a5a9, 0xfc1ddc68b3dfe209, 0xe19e985727eeaccd,
  0x1d252d9c389c6592, 0x8e093c95fb9a1996, 0x000000000190a1c2,
};

// m256rfr2_swio14_dual_pr_ee_u4     m2560_swio14_dual_pr_ee_u4        m2561_swio14_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_swio14_dual_pr_ee_u4[] = {
  0xb7777768a87fb202, 0x9fbbbc9069ee6e3d, 0xbd7b2c49c9d914ed, 0xd95ee30faabf7eaf, 0xb8f8f23e3d8ed40b,
  0x8c5a3fc1cac10672, 0x04f8c946772feb74, 0x56a191b51483e7d3, 0x881850c1b48c0ddd, 0x654a718093ba7c4b,
  0x00d070d35c5dfe7e, 0x240fa7e68e47ff9b, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0xb9f90f979c80ddc3,
  0xa437cb8bbf92f97c, 0x2d05f68865ff2105, 0xfa039e1307b8a843, 0x161bcaf212dbbfcf, 0xfba504c7ffc8194c,
  0xc723caedd4d56b47, 0xb8ad1c8f83660c3d, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0xc8cf539d5a5f2b2e,
  0x6ab5d0ebd44de180, 0x8b848451d423886c, 0x6c11fadc37b2fa59, 0x7715250096bc1f54, 0xdaf2e556b3f8abe7,
  0x8a9546bb9c673141, 0x74dcaed52df5673a, 0xe5f63d221cd70202, 0xb9ed5688af2c434a, 0x5ca5af9d01e6c9ae,
  0x67440b9ba42aea90, 0x8aaa2d3aebce31bc, 0x5f95b66774f455bd, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x1fe19e4afdcd0ccb, 0x0000000005648d3e,
};

// m256rfr2_swio14_dual_pr_ce        m2560_swio14_dual_pr_ce           m2561_swio14_dual_pr_ce
static const uint64_t ur_m2564rfr2_swio14_dual_pr_ce[] = {
  0x86eddddddd435032, 0x6f67eeefa875c79b, 0xe17bee0eb00a4670, 0x9f4e7ac1651f2c5a, 0x6137b363afba1b99,
  0xe9dcaaf6d1febdf7, 0x6a290ba2cc13e327, 0x8369181bbaad4323, 0x04a774f8971030a1, 0xabf8bd0ffe654a70,
  0x9a391e396c0e09c3, 0xc5e8524482481dba, 0x7c3f3f7c117e53e5, 0x2e6f81bb87c28862, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x098148a8432d03d5, 0xf212dbd0fffd01cf, 0xd37ffd3e4c161bca, 0x77b380577d644941,
  0x986fcf384a4f9e6e, 0x9a0577091138735b, 0x72384f9ee59edd4b, 0x583dd243892076b4, 0x84f546989cc580a9,
  0xa01ffb33c75e00d7, 0xb88c0f2d6e88722a, 0xab59fc55f3bb8a92, 0x5dce3398a0ed7972, 0x6a96fab39d454aa3,
  0x910e6b81013a6e57, 0x44579621a572fb1e, 0xce80f364d75cf6ab, 0xcdd21575482e52d7, 0x9d75e718de33a205,
  0x6774f18edec55516, 0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x15c9fbab337f0777, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000039eb2b53824f,
};

// m256rfr2_swio14_dual_pr_ce_u4     m2560_swio14_dual_pr_ce_u4        m2561_swio14_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_swio14_dual_pr_ce_u4[] = {
  0x6eeeeed150ffbf5b, 0x7eeef537683cdd05, 0xe66e3524c29c1bb6, 0xce207c8435ade3fe, 0x69e4d7dd414d88c8,
  0x9bd60138290177d7, 0x8f5cc13e3260ddc9, 0x037755a8646d4520, 0x9f12e20614306d23, 0xd35f99529c6024ee,
  0xd8fec3fe1c034717, 0x9120920743f34723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f905220,
  0x2105a437cb8bbf92, 0x54219683f88865ff, 0xf4d7fd01cf09b6fc, 0x0ca60b0de579096d, 0x1bfad4a9410b5fe4,
  0x384a4fbe019df4f8, 0xf886c244f659c3cf, 0xeeb0003f51e13c25, 0xba97367b70911387, 0x76b472384f9ee5be,
  0x80a9583dd2438920, 0x00d784f546989cc5, 0x722aa01ffb33c75e, 0x8a92b88c0f2d6e88, 0x7972ab59fc55f3bb,
  0x4aa35dce3398a0ed, 0x6e576a96fab39d45, 0xfb1e910e6b81013a, 0xf6ab44579621a572, 0x52d7ce80f364d75c,
  0xa205cdd21575482e, 0x55169d75e718de33, 0x95b66774f18edec5, 0xc78661bbe1296a5f, 0x0d1fc68b3dfe205e,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0xe19e4afdcd0ccb0e, 0x0000000d248ab11f,
};

/*
 * m2564rfr2_swio14_dual_pr_ee_ce_u4 m256rfr2_swio14_dual_pr_ee_ce     m256rfr2_swio14_dual_pr_ee_ce_u4
 * m2560_swio14_dual_pr_ee_ce        m2560_swio14_dual_pr_ee_ce_u4     m2561_swio14_dual_pr_ee_ce
 * m2561_swio14_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio14_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0xeeefc2859be6ea3f, 0x7c0fb66cabec5f67, 0x653c1666f4d48efd, 0x5294a3f55ecfbbbd,
  0x0ab36a74d75721d4, 0x265c908bef4eba6b, 0x5148bd524c13e325, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x4717683fe654a718, 0x1c8f723b024a3865, 0xd0a4890490366fcd, 0x7e7ef822fca7cb8b, 0x9703770f8510c4f8,
  0xf92f97cb9f90f927, 0x5ff2105a437cb8bb, 0xce8a8432d0274886, 0xb6ed07ffa039e136, 0xf206530586f2bc84,
  0x1bfaa3a1f941eb3f, 0x384a4fbe019df598, 0xf886c244f659c3cf, 0x4e8c7aff51e13c25, 0x4dd367b709113877,
  0xc723cae574a76b1d, 0xbd371c8f83660f6f, 0x8a459a75a1140a62, 0x958752135f461658, 0xf0c06467a9ceaedd,
  0x886c6abc6c75ea26, 0xfa598b848451d423, 0x0faa3608991c37b2, 0x55f3bb8a92966b5e, 0x98a0ed7972ab59fc,
  0xb39d454aa35dce33, 0x81013a6e576a96fa, 0x21a572fb1e910e6b, 0x64d75cf6ab445796, 0x75482e52d7ce80f3,
  0x18de33a205cdd215, 0x8edec555169d75e7, 0x296a5f95b66774f1, 0xfe205ec78661bbe1, 0x5666fe0d1fc68b3d,
  0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0x610f9fe19e4afdcd, 0x0000000000000800,
};

// m256rfr2_swio14_dual_ee_hw        m2560_swio14_dual_ee_hw           m2561_swio14_dual_ee_hw
static const uint64_t ur_m2564rfr2_swio14_dual_ee_hw[] = {
  0xb6eeeeed14683202, 0xb3f777920d3dcdc7, 0xf7af6589393b229d, 0x7b2bdc61f557efd5, 0x571f1e47c7b1da81,
  0x741f5f7a6b5820ce, 0x7d304f8c9467721a, 0xddd56a191b51483e, 0xc4b881850c1b48c0, 0xf3f32a538e833ba7,
  0xfcd80683869ae2ef, 0x1209207d3f34723f, 0xf045f94f9717a149, 0xee1f0a2189f0fcfd, 0xcbe5cfc87cbce406,
  0x082d21be5c5dfc97, 0x4219682fb4432ff9, 0xfe7fd01cf0983dc5, 0x6a60b0de579096dd, 0x5a3fdd28263fff19,
  0x61ee391e576ea6ab, 0xdf15c568e47c1b30, 0xb2c4522cd3ad08a1, 0x597152e6909afa30, 0x0c06467a9cead2f9,
  0x436355ae875ea26f, 0xd2cc5c24228ea11c, 0xfaa3608fd6e1bd97, 0x5f3bb8a92804b5e0, 0x8a0ed7972ab59fc5,
  0x39d454aa35dce339, 0x1013a6e576a96fab, 0x1a572fb1e910e6b8, 0x4d75cf6ab4457962, 0x5482e52d7ce80f36,
  0x8de33a205cdd2157, 0xadec555169d75e71, 0x4b52fcadb33ba7a2, 0x56a0bb3c330ddf09, 0x3ffbc3def2861522,
  0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x002bb4baa4a29e4a,
};

/*
 * m2564rfr2_swio14_dual_ee_ce_u4_hw m256rfr2_swio14_dual_ee_ce_hw     m256rfr2_swio14_dual_ee_ce_u4_hw
 * m2560_swio14_dual_ee_ce_hw        m2560_swio14_dual_ee_ce_u4_hw     m2561_swio14_dual_ee_ce_hw
 * m2561_swio14_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio14_dual_ee_ce_hw[] = {
  0xfbbbbbb451a0746e, 0x7eeefc2859be6ea3, 0xd7c0fb66cabec5f6, 0xd653c1666f4d48ef, 0x45294a3f55ecfbbb,
  0xfba428a74d75721d, 0xf192932e416d2571, 0x0c8da8a45ea92609, 0xc2860da4606eeab5, 0x29c7419dd3e25c40,
  0x8e1951c5da0ff995, 0x9bf34723dc8ec092, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x3e49e5c0ddc3e144,
  0x2e2efe4be5f2e7e4, 0xd22197fc841690df, 0x784db3a2a10cb409, 0xaf212dbb41ffe80e, 0x7acffe32d4c161bc,
  0x7d6606fea8e87e50, 0x3879e70949f790e7, 0x2784bf10d8489ecb, 0x89c3dc9475f7ea3c, 0x3b58ea6e9b3db848,
  0x307b7e391e572ba5, 0xa05315e9b8e47c1b, 0x30b2c4522cd3ad08, 0x7576ecac3a909afa, 0xaf51378603233d4e,
  0x8ea11c436355e363, 0xe1bd97d2cc5c2422, 0xb35af07d51b044c8, 0x5acfe2af9ddc5494, 0xee719cc5076bcb95,
  0x54b7d59cea2a551a, 0x88735c0809d372bb, 0x22bcb10d2b97d8f4, 0x74079b26bae7b55a, 0x6e90abaa417296be,
  0xebaf38c6f19d102e, 0x3ba78c76f62aa8b4, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2,
  0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x0000000075d63b90,
};

/*
 * m2564rfr2_swio15_noled_pr_ce_u4   m256rfr2_swio15_noled_pr_ce       m256rfr2_swio15_noled_pr_ce_u4
 * m2560_swio15_noled_pr_ce          m2560_swio15_noled_pr_ce_u4       m2561_swio15_noled_pr_ce
 * m2561_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio15_noled_pr_ce[] = {
  0xc9bbbbbb4486bf3e, 0x5ae5a58382d0bac3, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a375e44,
  0x27c64eece22c5707, 0x18adfe186cf93a98, 0xdcee3901bfac7b94, 0xecb3879e70949f3c, 0xa3c2784bf10d8489,
  0x70911387e8fa927e, 0x9ba7b96faf59367b, 0xaa4871240c9e8e47, 0x447bd9cc580a63f4, 0xffd99e3af47d7872,
  0xa0796b741fe91500, 0x98a0ed7972ab5976, 0xb39d454aa35dce33, 0xe6b3a6e576a96fab, 0xcb10d2ad5fefe910,
  0xf00febae7b55a22b, 0xa4185d4d8a53c34e, 0x179c6378ce881757, 0xc6263b7b15545a52, 0x77c252d4bf2b6cce,
  0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x00375f3315c12792,
};

/*
 * m2564rfr2_swio15_noled_pr_ee_ce_u4 m256rfr2_swio15_noled_pr_ee_ce    m256rfr2_swio15_noled_pr_ee_ce_u4
 * m2560_swio15_noled_pr_ee_ce       m2560_swio15_noled_pr_ee_ce_u4    m2561_swio15_noled_pr_ee_ce
 * m2561_swio15_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio15_noled_pr_ee_ce[] = {
  0x21bbbbbb4486bd5b, 0x1f72d2c42240bac1, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522920a,
  0x4eef77ee0e75a094, 0xfc30d9f9869827c6, 0x037f54635a507f5f, 0x79c2527cf373bfd7, 0x2fc4361227b2ce1e,
  0xef00c463fa8f09e1, 0x3a7be6cf6e122270, 0xf58e47959c394ed6, 0x62b2871c8f83660c, 0x588a459a75a1140a,
  0xdd21c752135f4616, 0xa77864447921ceae, 0x2383f6355e363af3, 0xd96cb98b848450be, 0xd627951b044c8e1b,
  0x98a0ed7972ab52ce, 0xb39d454aa35dce33, 0xe6b3a6e576a96fab, 0xcb10d2ad5fefe910, 0xf00febae7b55a22b,
  0xa4185d4d8a53c34e, 0x179c6378ce881757, 0xc6263b7b15545a52, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x0009f96e41c12792,
};

/*
 * m2564rfr2_swio15_noled_ee_ce_u4_hw m256rfr2_swio15_noled_ee_ce_hw    m256rfr2_swio15_noled_ee_ce_u4_hw
 * m2560_swio15_noled_ee_ce_hw       m2560_swio15_noled_ee_ce_u4_hw    m2561_swio15_noled_ee_ce_hw
 * m2561_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio15_noled_ee_ce_hw[] = {
  0x437777768a34704a, 0x3ee5a58844817582, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a452414,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0x7037f54635a507f5, 0xcf384a4fbc873bfd, 0x25f886c244f659c3,
  0x87ea72e0bf51e13c, 0xb1d3df367b709113, 0x67ac723cace1ca76, 0x53159438e47c1b30, 0xb2c4522cd3ad08a0,
  0x76e90e3a909afa30, 0x9d3bc32223c90e75, 0xf11c1fb1aaf1b1d7, 0xdecb65cc5c242285, 0x76b13ca8d8226470,
  0x9cc5076bcb955a96, 0x5d9cea2a551aee71, 0x87359d372bb54b7d, 0x5e5886956aff7f48, 0x77807f5d73daad11,
  0xbd20c2ea6c529e1a, 0x90bce31bc67440ba, 0x763131dbd8aaa2d2, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d,
  0x00000000501607dd,
};

/*
 * m2564rfr2_swio15_lednop_pr_ce_u4  m256rfr2_swio15_lednop_pr_ce      m256rfr2_swio15_lednop_pr_ce_u4
 * m2560_swio15_lednop_pr_ce         m2560_swio15_lednop_pr_ce_u4      m2561_swio15_lednop_pr_ce
 * m2561_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio15_lednop_pr_ce[] = {
  0xc9bbbbbb44864aa4, 0xad72d2c1c1420ac3, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1baf22,
  0x27c64eea4cb1789d, 0x2707fc30d9fa1f98, 0xb9d93a037f58f728, 0xd9670f3ce1293e79, 0x4784f097e21b0913,
  0xc2444e1c112601fd, 0x719ee5bebd64d9ed, 0xe921c490327a391e, 0x238c8e62c055f613, 0xfeccf1d7a3ebc20a,
  0x03cb5bb2288aa807, 0x141daf2e556a5217, 0x73a8a9546bb9c673, 0x0274dcaed52df576, 0xa572563d221cd702,
  0xd75cf6ab44579621, 0x482e52d7ce80f364, 0xde33a205cdd21575, 0xdec555169d75e718, 0xd4bf2b6cce08598e,
  0x40bd8f0cc377c252, 0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce,
  0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xf34dc12792bf7343, 0x000000000000375f,
};

/*
 * m2564rfr2_swio15_lednop_pr_ee_ce_u4 m256rfr2_swio15_lednop_pr_ee_ce
 * m256rfr2_swio15_lednop_pr_ee_ce_u4 m2560_swio15_lednop_pr_ee_ce
 * m2560_swio15_lednop_pr_ee_ce_u4   m2561_swio15_lednop_pr_ee_ce      m2561_swio15_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio15_lednop_pr_ee_ce[] = {
  0x121bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522920,
  0x93bbb36d3c5a87e3, 0xfe186cfb37e609f1, 0x81bfaa31ad283787, 0x3ce1293e79b9dde1, 0x97e21b0913d9670f,
  0x38aa2c93fd4784f0, 0x8e9ef9b3db84889c, 0x3d6391e5650e53b5, 0x98af024723e0d983, 0x962291669d684502,
  0xb714b1d484d7d185, 0xe9de1329182873ab, 0xc8f22d8d578d8ebc, 0xecb65cc5c2422897, 0x0ff48a8d8226470d,
  0x98a0ed7972ab52ce, 0xb39d454aa35dce33, 0x1013a6e576a96fab, 0x0d2b92b1e910e6b8, 0x26bae7b55a22bcb1,
  0xaa417296be74079b, 0xc6f19d102e6e90ab, 0x76f62aa8b4ebaf38, 0x96a5f95b667042cc, 0xe205ec78661bbe12,
  0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d,
  0x19961d252d9c389c, 0x9bc94e093c95fb9a, 0x000000000000009f,
};

/*
 * m2564rfr2_swio15_lednop_ee_ce_u4_hw m256rfr2_swio15_lednop_ee_ce_hw
 * m256rfr2_swio15_lednop_ee_ce_u4_hw m2560_swio15_lednop_ee_ce_hw
 * m2560_swio15_lednop_ee_ce_u4_hw   m2561_swio15_lednop_ee_ce_hw      m2561_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio15_lednop_ee_ce_hw[] = {
  0x437777768a34306a, 0x3ee5a58844375582, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a452414,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x606fea8c6b4a0de1, 0x9e70949f790e7778, 0x4bf10d8489ecb387,
  0x1c2c8cf5fea3c278, 0xc74f7cd9edc2444e, 0x9eb1c8f2b28729da, 0x4c57812391f06cc1, 0xcb1148b34eb42281,
  0xdb8a58ea426be8c2, 0x74ef09948c1439d5, 0xe47916c6abc6c75e, 0xf65b2e62e121144b, 0x07fa4546c1132386,
  0xcc5076bcb955a967, 0xd9cea2a551aee719, 0x0809d372bb54b7d5, 0x8695c958f488735c, 0x935d73daad115e58,
  0xd520b94b5f3a03cd, 0x6378ce8817374855, 0x3b7b15545a75d79c, 0x4b52fcadb3382166, 0x56a0bb3c330ddf09,
  0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x00280b3000a29e4a,
};

/*
 * m2564rfr2_swio15_dual_pr          m2564rfr2_swio15_dual_pr_u4       m256rfr2_swio15_dual
 * m256rfr2_swio15_dual_pr           m256rfr2_swio15_dual_pr_u4        m2560_swio15_dual
 * m2560_swio15_dual_pr              m2560_swio15_dual_pr_u4           m2561_swio15_dual
 * m2561_swio15_dual_pr              m2561_swio15_dual_pr_u4
 */
static const uint64_t ur_m2564rfr2_swio15_dual[] = {
  0x60eeeeeed121a5fb, 0x767eeef1b79f7cdd, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadd583e46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x5f1760bf99529c01,
  0xa391dd2ec0e19c0a, 0x5e8524482481fee9, 0xc3f3f7c117e53e5c, 0x72d01bb87c288627, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x4d6b454219684648, 0xc84b6ea7bfe80e78, 0x2b7ff4f930586f2b, 0xc8fb7cef967be505,
  0x77f2921c490383f1, 0x7109cc580aa0f348, 0xb30475e00d787a84, 0xe59edfc83e2a01ff, 0xc55f3bb8a92fb281,
  0x398a0ed7972ab59f, 0xbb39d454aa35dce3, 0x81013a6e576a96fa, 0x10d2b92b1e910e6b, 0xb26bae7b55a22bcb,
  0xbaa417296be74079, 0x8c6f19d102e6e90a, 0x156f62aa8b4ebaf3, 0x94b52fcadb338217, 0xff102f63c330ddf0,
  0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x49c7d77049e4afdc, 0x000000000000000a,
};

// m256rfr2_swio15_dual_pr_ee        m2560_swio15_dual_pr_ee           m2561_swio15_dual_pr_ee
static const uint64_t ur_m2564rfr2_swio15_dual_pr_ee[] = {
  0x76c5bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47db158,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0xc5c347e654a7004a,
  0x91fa7f6163e70ff9, 0x0a48904903eaf9a3, 0xe7ef822fca7cb8bd, 0x703770f8510c4f87, 0xc97cbe5cfc87cb90,
  0xff9082d21be5c5df, 0x24542196847b4432, 0x6dd36ffe80e784d2, 0xfe9f260b0de57909, 0x355ad1afb941a1ff,
  0x6cc1f751c8f2bcad, 0x22877c576ea391f0, 0xe8c2cb1148b34eb4, 0x4bb055c20b9a426b, 0x62bc31ed1ce273ab,
  0x235af6355ae875ed, 0xd971f18b84845080, 0xdc549570f7fd6e1b, 0x6bcb955acfe2af9d, 0x2a551aee719cc507,
  0x372bb54b7d5d9cea, 0x958f488735c0809d, 0x3daad115e588695c, 0x94b5f3a03cd935d7, 0xe8817374855d520b,
  0x5545a75d79c6378c, 0xe56d99c10b8ab7b1, 0x71e1986ef84a5a97, 0xc1ddc68b3dfe209f, 0x19e985727eeaccdf,
  0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x00000000190a371e,
};

// m256rfr2_swio15_dual_pr_ee_u4     m2560_swio15_dual_pr_ee_u4        m2561_swio15_dual_pr_ee_u4
static const uint64_t ur_m2564rfr2_swio15_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6e75, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23e758ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x9529c6024ee9f12e,
  0x0341c34d7177f9f9, 0x903e9f9a391ffe6c, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xcfc87c861703770f,
  0x21be5c5dfc97cbe5, 0x682fb4432ff9082d, 0xd01cf0983dc54219, 0x61bcaf212dbdadff, 0x4e506c7ffc8194c1,
  0x723caf4dcd56b46e, 0x8e51c8f83660e3dc, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8fa839d5a5e572e2,
  0xab5d0ebd44de15f6, 0x70908a027a3f92c6, 0x823f5b86f65f4b31, 0x71525009ef1bea8d, 0xaf2e556b3f8abe77,
  0xa9546bb9c673141d, 0xdcaed52df57673a8, 0x563d221cd7020274, 0xf6ab44579621a572, 0x52d7ce80f364d75c,
  0xa205cdd21575482e, 0x55169d75e718de33, 0x95b667042e2adec5, 0xc78661bbe1296a5f, 0x0d1fc68b3dfe205e,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0xe19e4afdcd0ccb0e, 0x0000000564b6629f,
};

// m256rfr2_swio15_dual_pr_ce        m2560_swio15_dual_pr_ce           m2561_swio15_dual_pr_ce
static const uint64_t ur_m2564rfr2_swio15_dual_pr_ce[] = {
  0x9baddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba6e999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x7f17a1ffcca94e00,
  0x4723c72d81c13875, 0xbd0a48904903b753, 0x87e7ef822fca7cb8, 0x60103770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x3029150865a07aa2, 0x212db85affa039e1, 0x9dffd3e4c161bcaf, 0x71580577d7ba941d,
  0x5afcf384a4f9e6e7, 0xa05770911387bc3e, 0x91e449ee59edd4b9, 0xd1ee921c49031163, 0x3d423884e62c05f9,
  0x00ffd99e3af006bc, 0xf6503cb5bbe41f15, 0x56b3f8abe7771525, 0xbb9c673141daf2e5, 0x52df57673a8a9546,
  0x21cd7020274dcaed, 0x4579621a572563d2, 0xe80f364d75cf6ab4, 0xdd21575482e52d7c, 0xd75e718de33a205c,
  0xe08598edec555169, 0x377c252d4bf2b6cc, 0x459eff104fb8f0cc, 0xb93f75666fe0eee3, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x000e7ac7457049e4,
};

// m256rfr2_swio15_dual_pr_ce_u4     m2560_swio15_dual_pr_ce_u4        m2561_swio15_dual_pr_ce_u4
static const uint64_t ur_m2564rfr2_swio15_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e76, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd3b4d88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0xbe9afcca94e30127,
  0x1ec7f61ff0e01a38, 0xa48904903a1f9a39, 0x7ef822fca7cb8bd0, 0x03770f8510c4f87e, 0x97cbe5cfc87c95d7,
  0xf9082d21be5c5dfc, 0xe2a10cb41fc4432f, 0xde76ffe80e784db7, 0x40ca60b0de579096, 0x037f528b283d3ffe,
  0xe70949f7c033b31f, 0xbf10d8489ecb3879, 0xdd51aa0fea3c2784, 0xaea5cd9edc2444e1, 0x0c458e479127b96f,
  0xb017e747ba487124, 0xc01af0f508e21398, 0x907c5403ff6678eb, 0xdc5497d940f2d6ef, 0x6bcb955acfe2af9d,
  0x2a551aee719cc507, 0x372bb54b7d5d9cea, 0x958f488735c0809d, 0x3daad115e588695c, 0x94b5f3a03cd935d7,
  0xe8817374855d520b, 0x5545a75d79c6378c, 0xcadb33821663b7b1, 0x63c330ddf094b52f, 0x068fe3459eff102f,
  0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xf0cf257ee6866587, 0x0000000692719a0f,
};

/*
 * m2564rfr2_swio15_dual_pr_ee_ce_u4 m256rfr2_swio15_dual_pr_ee_ce     m256rfr2_swio15_dual_pr_ee_ce_u4
 * m2560_swio15_dual_pr_ee_ce        m2560_swio15_dual_pr_ee_ce_u4     m2561_swio15_dual_pr_ee_ce
 * m2561_swio15_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m2564rfr2_swio15_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xfbbbf0a30a737403, 0x9d385e4c2afb17d9, 0x6d1a3ff57dfafb46, 0x294a40355ecfab8d,
  0xd7fa0b761563f86a, 0x932e52b8f1566e69, 0x5148d5f86609f192, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x4717683fe654a718, 0x1c8f723b024a3865, 0xd0a4890490366fcd, 0x7e7ef822fca7cb8b, 0x9303770f8510c4f8,
  0xf92f97cb9f90f91c, 0x5ff2105a437cb8bb, 0xce8a8432d0274886, 0x5b7524ffa039e136, 0xf9032982c3795e42,
  0x06fea8c2d4a0a547, 0xce1293ef80676950, 0x7e21b0913d9670f3, 0xf3e8793fd4784f09, 0xa6e9b3db84889c3e,
  0xa391e57bee53b58e, 0xaf674723e0d98332, 0x2291669d68450298, 0x4ae1d484d7d18596, 0xbc2bed1f5073abb7,
  0xfe4b1aaf1b1d7a89, 0x7d2cc5c2422809e8, 0x37d51b044c8e1bd9, 0x157ceee2a4a59bde, 0xe6283b5e5caad67f,
  0xece75152a8d7738c, 0x0404e9b95daa5bea, 0x434ae4ac7a4439ae, 0xc9aeb9ed5688af2c, 0xea905ca5af9d01e6,
  0x31bc67440b9ba42a, 0x1dbd8aaa2d3aebce, 0xa5a97e56d99c10b3, 0xf8817b1e1986ef84, 0x599bf8347f1a2cf7,
  0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138,
  0x35487f86792bf734, 0x0000000000001000,
};

// m256rfr2_swio15_dual_ee_hw        m2560_swio15_dual_ee_hw           m2561_swio15_dual_ee_hw
static const uint64_t ur_m2564rfr2_swio15_dual_ee_hw[] = {
  0x6dddddda28d1880b, 0xb3f7779203f39b9d, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8f9d63b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0x9f99529c7419dd3e,
  0xe6c0341c34d7177f, 0x904903e9f9a391ff, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c8617037,
  0x82d21be5c5dfc97c, 0x219682fb4432ff90, 0xdffd01cf0983dc54, 0x4c161bcaf212dbda, 0x46e4e506c7ffe32d,
  0x3dc723caf4dcd56b, 0xe2b8e51c8f83660e, 0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0x5f68fa839d5a5e57,
  0x2c6ab5d0ebd44de1, 0xb3170908a027a3f9, 0xa8d823f5b86f65f4, 0xe7771525009ef1be, 0x41daf2e556b3f8ab,
  0x3a8a9546bb9c6731, 0x274dcaed52df5767, 0x572563d221cd7020, 0x75cf6ab44579621a, 0x82e52d7ce80f364d,
  0xe33a205cdd215754, 0xec555169d75e718d, 0xa5f95b667042e2ad, 0x417678661bbe1296, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xaed1cf27453c95fb,
};

/*
 * m2564rfr2_swio15_dual_ee_ce_u4_hw m256rfr2_swio15_dual_ee_ce_hw     m256rfr2_swio15_dual_ee_ce_u4_hw
 * m2560_swio15_dual_ee_ce_hw        m2560_swio15_dual_ee_ce_u4_hw     m2561_swio15_dual_ee_ce_hw
 * m2561_swio15_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m2564rfr2_swio15_dual_ee_ce_hw[] = {
  0x77777768a347e907, 0x3f777e14614e6e80, 0xd3a70bc9855f62fb, 0xada347feafbf5f68, 0x45294806abd9f571,
  0x35b46e6ec2ac7f0d, 0xf192932e41013485, 0x191b5148d5f86609, 0x850c1b48c0ddd56a, 0x538e833ba7c4b881,
  0x1c32a38bb41ff32a, 0x37e68e47b91d8125, 0xe5c5e8524482481b, 0x627c3f3f7c117e53, 0x7c8e4981bb87c288,
  0x5c5dfc97cbe5cfc8, 0xa4432ff9082d21be, 0xf09b674542196813, 0xaf212dba927fd01c, 0x52a3fe32d4c161bc,
  0xb4a8037f54616a50, 0x9c3cf384a4fbc873, 0x13c25f886c244f65, 0x44e1de0188c7f51e, 0x9dac75374d9edc24,
  0xcc19951c8f2bdf72, 0x2814c57b3a391f06, 0x8c2cb1148b34eb42, 0x9d5dba570ea426be, 0xebd44de15f68fa83,
  0x404f47f258d578d8, 0x70decbe9662e1211, 0x2cdef1bea8d82264, 0x56b3f8abe7771525, 0xbb9c673141daf2e5,
  0x52df57673a8a9546, 0x21cd7020274dcaed, 0x4579621a572563d2, 0xe80f364d75cf6ab4, 0xdd21575482e52d7c,
  0xd75e718de33a205c, 0xe08598edec555169, 0x377c252d4bf2b6cc, 0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x00000003aea9ff86,
};

// m163_autobaud_uart0_noled_pr
static const uint64_t ur_m163_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x68e3f5a307ddddd0, 0x5b2b6a4ee82fdcc5,
  0x0f9f9c6609f18090, 0x9a6502204be7fc52, 0xbf5442ebfdbae02e, 0x613e2d3b424e0932, 0xfe0c7dfa8f5fcef9,
  0x016594c22f3d1c74, 0x47cec1c5199e398b, 0xbf0d500ffd9823af, 0x5142b2a07967b6a6, 0x6f64d1d18a4f2d3a,
  0xfa94bca6f5cfc51e, 0x8b4a9f4f43aa7023, 0x7cdb4bfc55bfdeaa, 0xe3458f386ed84b99, 0x2d06fdd598f2068f,
  0xb25138cb3590cf4c, 0x5fb9a1de83ccb0ec, 0x071100396920f3c9,
};

static const uint64_t ur_m163_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0x2b6a4eed45db1fe4,
  0x9f9c6609f180905b, 0x99408812f9ff5217, 0xd510baff6eb80ba6, 0x4f8b4ed093824caf, 0x831f7ea3d7f3be58,
  0x5965308bcf471d3f, 0xf3b07146678e62c0, 0xc35403ff6608ebd1, 0x50aca81e59eda9af, 0xd934746293cb4e94,
  0xa52f29bd73f1479b, 0xd2a7d3d0ea9c08fe, 0x36d2ff156ff7aaa2, 0x1726ae0f3612e65f, 0x5663c81f943458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf727e07efd866879, 0x8cb3590cf4c2fc48, 0xa1de83ccb0ecf813,
  0x6cb4afab73c95fb9, 0x0000000000000118,
};

// m163_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m163_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x4ee94ed34a768199,
  0x6609f180905b2b6a, 0x20470ffea42f3ec1, 0xebfdbae02e9a6502, 0x3b424e0932bf5442, 0x95ce3355ad1cdc2d,
  0xdea3e0d9831f3d47, 0xdc3afb169bbe2b97, 0x909afa5b1971c270, 0xf39d5a5d315c6b26, 0x743af3a6ecb3d189,
  0xc5a682d1e33b1aad, 0xadc37b2d97ce038e, 0x8017e1806546c11f, 0xc9a3a3149e5a74a2, 0x29794deb9f8a3cde,
  0x953e9e8754e047f5, 0xb697f8ab7fbd5516, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xb93f03f7ec3343cc, 0x659ac867a617e247, 0x0ef41e658767c09c, 0x0a9c7d5b9e4afdcd,
  0x00000000000026a7,
};

// m163_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m163_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4488d562, 0xeeeeeeaaf9acf4e2, 0xbb1f98fa53634ade, 0x4829b80377752297, 0x5b52774c8ed057ac,
  0xf74b304f8c0482d9, 0x281102fddff52179, 0xa2175fedd70174d3, 0xf169da12704995fa, 0xf192a77d45547d5e,
  0xe21b09117dc4963c, 0xdc6e18ffe8b2f097, 0x5f4f72c10d64cd51, 0x3c71d3f83349ea3b, 0x28ccf1cc580b70c4,
  0x7feccf1d7a3e760e, 0x40f2d6e535f86a80, 0xa3149e5a74a28565, 0x4deb9f8a3cdec9a3, 0x9e8754e047f52979,
  0xe63b7fbd5516953e, 0xe0f3612e65f36d2f, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0xfab73c95fb9a1de8, 0x0000000023755e7c,
};

static const uint64_t ur_m163_autobaud_uart0_noled_pr_ee_ce[] = {
  0x5bbbbbbbd8244511, 0xeeeeeeaae3086262, 0x0d2d913f624760de, 0x2f5c38899eea9b41, 0xdd57da1ba352c1f2,
  0xc13e30120b656d49, 0x174fffd485e7ffe4, 0xff6eb80ba6994088, 0xd093824cafd510ba, 0x95aaa3ea8dc98b4e,
  0x17dc4963cf192a77, 0x7e8b2f097e21b091, 0x9ef7ccd51dc6e637, 0x197a8f2b05253b59, 0xa62b9bbd47c1b307,
  0x71c270dc3afb1698, 0x72623a909afa5b19, 0x4dd967a313e73abb, 0x478cec6abc6c75e7, 0xb65f380e3b169a0b,
  0x00ca8d8226470dec, 0x293cb4e9450b3fc3, 0xd73f1479bd934746, 0x0ea9c08fea52f29b, 0x76ff7aaa2d2a7d3d,
  0xe6c25ccbe6da5fcc, 0x9434596af2e4d5c1, 0x854e7ea75663c81f, 0xf343cc9fe04e34a1, 0xcd6433d30b41bf01,
  0x7a0f32c3b3e04e32, 0xa2beadcf257ee687, 0x0000000000020883,
};

static const uint64_t ur_m163_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x4b7777776890d2a8, 0xddddddd55c611a5c, 0xa9a9bd376c86fd3d, 0xa2d45a161c44cf75, 0xb6a4ee9d6d1225a9,
  0xc66e609f180905b2, 0x811020b5fffd5267, 0x2175fedd70174d32, 0x169da12704995faa, 0x7073e75547d51afb,
  0xc2445f71258f3ca1, 0xc149fa2cbc25f886, 0x76b33e3299aa3b8d, 0x660c45f51e5698ca, 0x2d314c57197a8f83,
  0xb632e384e1b875f6, 0x7576e114752135f4, 0x5eba9bb20b463ece, 0xac48e1aac6abc6c7, 0xecb872ce038ec5a7,
  0x9d28a631bdc6470d, 0x5b9f8a3ce8c52796, 0xd8fab37537aca4bf, 0x8754e05ed98c10b4, 0xdc79b09732f9b69e,
  0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f,
  0x1de83ccb0ecf8138, 0x00acccb53c95fb9a, 0x0000000000001044,
};

static const uint64_t ur_m163_autobaud_uart0_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0x53e3f5a307ddddd0, 0x82d95b527746deeb,
  0x0e3cfce3304f8c04, 0x174d32811025f3ff, 0x995faa2175fedd70, 0x7cb09f169da12704, 0x3a7f063efd47afe7,
  0xc580b2ca61179e8e, 0xd7a3e760e28ccf1c, 0x535f86a807fecc11, 0x9d28a159503cb3db, 0x8f37b268e8c52796,
  0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0xccbe6da5fe2adfef, 0xc2d06fcfec376c25, 0xcb25138cb3590cf4,
  0x95fb9a1de83ccb0e, 0x000db2d01cbb053c,
};

static const uint64_t ur_m163_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0x5b527751dee94e06,
  0xf60b304f8c0482d9, 0x3281102387ff4299, 0xaa2175fedd70174d, 0x6e169da12704995f, 0x9ea3cae719aad68e,
  0x15cbef51f06cc18f, 0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0xe8c4f9cead2e98ae, 0x8d56ba1d79d37659,
  0x01c762d34168f19d, 0x608fd6e1bd96cbe7, 0x3a51400bf0c032a3, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5,
  0xaa8b4a9f4f43aa70, 0x997cdb4bfc55bfde, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3, 0x257ee6877a0f32c3, 0x00001627f1a1d14f,
};

static const uint64_t ur_m163_autobaud_uart0_noled_ce_hw[] = {
  0x12dddddddd66ef3a, 0xddddddd55c217f4b, 0x54ce3fe2f83ed43d, 0x40db267b3f7774d0, 0x0b656d49dd05fbab,
  0x38f3fdd4c13e3012, 0x5d34ca04408f5ffc, 0x657ea885d7fb75c0, 0xfeab3c5a76849c12, 0x0f7f9e3250383e58,
  0x965d63399cebb8dc, 0x9fc1eb17a8e82e7b, 0x8e62c0559e90e38e, 0x9e3af173b5128e1a, 0x9d28a0ebf0f71cb1,
  0x8f37b268e8c52796, 0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0x997cdb4bf98edfef, 0x85a0df9fd86ed84b,
  0x964a271966b219e9, 0x2bf7343bd079961d, 0x000195621d760a79,
};

// m163_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m163_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb4486bf3e, 0xeeeeeeaae3086262, 0x821a5b227ef448ee, 0xe45eb871133dd536, 0xb52776716eb3e583,
  0xff9304f8c0482d95, 0x502205d3fff4299f, 0x442ebfdbae02e9a6, 0x62d3b424e0932bf5, 0x2e0e656aa8faa372,
  0xd8488bee24b1e794, 0x73f5ff459784bf10, 0x9daccf7be66a8ee3, 0xd9838cbd47958292, 0x8b4c5315cddea3e0,
  0x2d8cb8e1386e1d7d, 0x9d5db9311d484d7d, 0x3af3a6ecb3d189f3, 0x4d05a3c676355e36, 0x86f65b2f9c071d8b,
  0x9fe1806546c11323, 0xa3a3149e5a74a285, 0x794deb9f8a3cdec9, 0x3e9e8754e047f529, 0x2fe63b7fbd551695,
  0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f,
  0x1de83ccb0ecf8138, 0x90f549453c95fb9a, 0x000000000000004a,
};

// m163_autobaud_uart0_lednop_pr
static const uint64_t ur_m163_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0x155a17bbf377745f, 0xb656d49ddcc76a1e,
  0x1f3e0a4c13e30120, 0x34ca0440be4ff8a4, 0x7ea885d7fb75c05d, 0xb6b05a76849c1265, 0xfe0ccf7a8ed7c77c,
  0x05bdd35c310f1c74, 0x2e761f68f588e62c, 0x2b14d6e39630475e, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0xc376c25ccbe6d971, 0xacc790347f1a2c79, 0x59ac867a616837ee,
  0xf41e6587659289c6, 0x7349079e4afdcd0e, 0x000000000007110e,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0xb6a4ee91fd7a7d3b,
  0xf3d6609f180905b2, 0x28110297dff52179, 0xa2175fedd70174d3, 0xf169da12704995fa, 0x63efd4759e77cb09,
  0x594c37c9e8e3a7f0, 0xecf6919a4398b016, 0x9500ffd9823af47c, 0x2b0503cb3db33ca6, 0x8c5302027969d28a,
  0x633a071479f1268e, 0xa1d53815d54e5e53, 0x8ab7fbd55169b167, 0xe0f3612e65f36cb8, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35,
  0xfab73c95fb9a1de8, 0x000000001186b720,
};

// m163_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m163_autobaud_uart0_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x4eebd6d312af8fde,
  0xa609f180905b2b6a, 0x20450ffea42f3f95, 0xebfdbae02e9a6502, 0x3b424e0932bf5442, 0x959eb355ad1cdc2d,
  0x5ea3e0d9831f3d47, 0x6e1d7d8b4ddf15e9, 0x484d7d2d8cb8e138, 0x39cead2f922e3593, 0x5d0ebce9bb7408c4,
  0x62d313e8e416c6ab, 0xd6e1bd96cbe701c7, 0x40094d7e1aa3608f, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1,
  0xf43aa702baa9cbca, 0x1156ff7aaa2d362c, 0x5c1e6c25ccbe6d97, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0xb219e985f891ee4f, 0x079961d9f0271966, 0xdf56e792bf7343bd,
  0x0000000009a9c4e2,
};

// m163_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m163_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb44889202, 0x777777557cd6c2a2, 0x6f4ec7edbc5fa6ef, 0x905a3c7eeeea452f, 0xb6a4eeb33db22029,
  0xe5d6609f180905b2, 0x502205f3bfea42f3, 0x442ebfdbae02e9a6, 0xe2d3b424e0932bf5, 0xe3254efbaaa8fabd,
  0xc4361222fb892c79, 0xdc6e7fcfd165e12f, 0xcf4f72c10d64cd51, 0x171c74fe0cd27a8f, 0x6919a4398b0177bc,
  0x0ffd99e3af47cecf, 0x140f2d6e33ca6950, 0x4c0809e5a74a28ac, 0xe81c51e7c49a3a31, 0x54e0575539794d8c,
  0xdfef5545a6c59e87, 0x9b09732f9b65c18e, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86, 0xb9e4afdcd0ef41e6, 0x0000011ba90727d5,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41447705, 0x77777557984a8b12, 0x7aed2d04a67be477, 0x717c44a1376a182f, 0xbb61b51dfda34ad1,
  0x827c602416cada93, 0x10d6ffa90bcfa5a9, 0xff6eb80ba6994088, 0xd093824cafd510ba, 0x670ec7f546650b4e,
  0xbb8dc35bfcf192a7, 0x40253b5815ef99ce, 0x47c1b307197a8f2b, 0x3afb1698a62b9c7d, 0x9afa5b1971c270dc,
  0x10e73abb76483a90, 0x5e363af3a6edd023, 0x3b16989f4720b635, 0x26470decb65f380e, 0x450b3535f86a8d82,
  0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8, 0x6ae0f3612e65f36c,
  0xe40fca1a2cb57972, 0x1a50c2a73f53ab31, 0xdf80f9a1e64ff027, 0x271966b219e985a0, 0x7343bd079961d9f0,
  0x20898c5f56e792bf,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44863375, 0xeeeeeeaae309c962, 0x8218934a34f519ee, 0xd3aa2871133dd536, 0x2774b169ba75b8e3,
  0x7304f8c0482d95b5, 0x0219bfffea933e9b, 0x5fedd70174d32811, 0xda12704995faa217, 0x2dd5547d51b93169,
  0x45f71258f3ca1707, 0x7fa2cbc25f886c24, 0x67bdf3354771b8c8, 0xc65ea3cad0094ed6, 0x298ae71f51f06cc1,
  0x5c709c370ebec5a6, 0xdd920ea426be96c6, 0xe9bb7408c439ceae, 0xd1c82d8d578d8ebc, 0x2d97ce038ec5a627,
  0x7e1aa3608991c37b, 0x404f2d3a5142cd4d, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7,
  0x4b997cdb2e0c76ff, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x67a617e247b93f03, 0x658767c09c659ac8, 0x5a9e4afdcd0ef41e, 0x0000002089ec4f66,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x27e95d7993ddddd0, 0x05b2b6a4eed43ddb,
  0x1c79f3d6609f1809, 0x5d34ca0440a5f7fe, 0x657ea885d7fb75c0, 0xf2c27c5a76849c12, 0xe9fc18fbf51d679d,
  0x2c0596530df27a38, 0xbd1f3b3da46690e6, 0xcf29a5403ff6608e, 0x74a28ac140f2cf6c, 0x49a3a314c0809e5a,
  0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xdf9fd86ed84b997c, 0x271966b219e985a0,
  0x343bd079961d964a, 0x65a1c5f60a792bf7, 0x000000000000001b,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xada93ba64775eb1f,
  0xfe569827c602416c, 0x9940881143ffa14c, 0xd510baff6eb80ba6, 0x370b4ed093824caf, 0xcf51e567acd56b47,
  0xc57a57a8f83660c7, 0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x02310e73ab4be48b, 0xb1aad743af3a6edd,
  0xc071d8b4c4fa3905, 0xd823f5b86f65b2f9, 0x4e945002535f86a8, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x247b93f03f7ec334, 0x09c659ac867a617e, 0xdcd0ef41e658767c, 0x02c4f3f5ba29e4af,
};

static const uint64_t ur_m163_autobaud_uart0_lednop_ce_hw[] = {
  0x12dddddddd66ef3a, 0xddddddd55c2171af, 0xa0a99a5ef9bed43d, 0x5681b64cdd7eeee9, 0x2416cada93ba0bf7,
  0xf0e3cfafb9827c60, 0x02e9a65022051eff, 0x932bf5442ebfdbae, 0xc7f559e2d3b424e0, 0xc0f7f9e325039916,
  0xb965d63399cebb8d, 0xe9fc1eb17a8e27e7, 0x88e62c0559e82e38, 0x33c75e2e76c668f5, 0x69d28a0ea596e396,
  0x5ba68e8c53020279, 0x539794d8ce81c51e, 0x17573182169bd575, 0x25ccbe6da7a1d538, 0xf4c2d06fcfec376c,
  0x0ecb25138cb3590c, 0x3c95fb9a1de83ccb, 0x000000cab10ebb05,
};

// m163_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb44864aa4, 0xeeeeeeaae309c962, 0x8218934a34f519ee, 0xd3aa2871133dd536, 0x6a4eea4cdd4fb8e3,
  0x36e609f180905b2b, 0x408810cdffd0a67d, 0x10baff6eb80ba699, 0x8b4ed093824cafd5, 0xb8396eaaa3ea8dc9,
  0x61222fb892c79e50, 0xcbc3fd165e12fc43, 0x76b33def99aa3b8d, 0x660e32f51e56804a, 0x2d314c5738fa8f83,
  0xb632e384e1b875f6, 0x7576ec90752135f4, 0x75e74ddba04621ce, 0x313e8e416c6abc6c, 0x1bd96cbe701c762d,
  0x6a6bf0d51b044c8e, 0x5302027969d28a16, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1,
  0xe6c25ccbe6d97063, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x219e985f891ee4fc,
  0x79961d9f0271966b, 0x3e8a792bf7343bd0, 0x00000000009527b1,
};

static const uint64_t ur_m163_autobaud_uart0_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0xda926eddc75b74b5,
  0xbc39827c602416ca, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0x0bacc50ff32b8f5c, 0x166f51fe76c2439c,
  0xf7c114239227f065, 0x80370f8510c4aff3, 0x4432abbbddf370e0, 0x84cb5e2a10cb4324, 0x2e72f6fb7ffe80e7,
  0xf7fb30bcc1615666, 0x75c05d34ca0440a5, 0x9c12657ea885d7fb, 0x679df2c27c5a7684, 0x7a38e9fc18fbf51d,
  0x90e62c0596530df2, 0x608ebd1f3b3da466, 0x7332b32b289dc72c, 0x09e5a74a293f99f4, 0x51e7c49a3a314c08,
  0x575539794d8ce81c, 0x5545a6c59e8754e0, 0xb997cdb2e22adfef, 0xfcfec5c9ab83cd84, 0x38cb3590cf4c2d06,
  0x9a1de83ccb0ecf81, 0xc9e9c6fab73c95fb, 0x0000000000000193,
};

static const uint64_t ur_m163_autobaud_uart0_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd16a81664519eeee, 0xcada926eddc75b4e,
  0x4867c9827c602416, 0x9bed6788f64c8c15, 0xdcee9f72e30a04f8, 0x39c0bacc50ff32ad, 0x065166f51fe76c24,
  0xff3f7c114239227f, 0x34d80370f8510c4a, 0x3244432abbbddf37, 0x0e784cb5e2a10cb4, 0x6662e72f6f1effe8,
  0x81695fe90fcc1615, 0xaff6eb80ba699408, 0xed093824cafd510b, 0xf51f9e3be584f8b4, 0x70dafa38e9fc18fb,
  0x51e33398b016594d, 0x39630475e8f9da41, 0xcfa399959958e9ee, 0x60404f2d3a5149fc, 0x4fdf3a071479d18a,
  0x14085a72460d4d89, 0xbe6da7a1d5381077, 0xa2c79c371e6c25cc, 0xa0dfbab337f07771, 0xf0271966b219e985,
  0xbf7343bd079961d9, 0x2ab361359996a792,
};

static const uint64_t ur_m163_autobaud_uart0_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0x2029a744eddddb22, 0x49a16eeaefd08768,
  0x9cc13e30120b656d, 0xb3c47b26460aa475, 0x4fb97185027c4df6, 0x812695df9956ee77, 0xb37a8e52f60c14e1,
  0xbe08a11c913f8374, 0x01b87c2886257f9f, 0x21955ddeef9b8168, 0x13649150865a138a, 0x5ce5eddfcffa039e,
  0xa3fd21f982c2accc, 0xdd70174d3281102e, 0x2704995faa2175fe, 0xdc33be5b9e169da1, 0x6b471d3f837b5ea3,
  0x059cc580bac533df, 0x608ebc06a76afe8d, 0x67b63ee895403ff6, 0xcfa3999598e3e079, 0x60404f2d3a5149fc,
  0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0x6c25ccbe6d971156, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0x332d4f257ee6877a, 0x0000000005c167c1,
};

// m163_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m163_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0xdc3c3d26c59bb9ce,
  0xc602416cada9302d, 0xc99182a90b829827, 0x61409f137dacf11e, 0xdfe655bb9dd3ee5c, 0xd35b07f870c41335,
  0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xdeef9b9d6600dc3e, 0xa10cb4182a21955d, 0x4ebfe80e784d21e2,
  0xcc16156662e72f6e, 0xd328110295dfe90f, 0xfaa2175fedd70174, 0xf4a169da12704995, 0x93d4795edf9aad68,
  0xf15f75ea3e0d983f, 0x8e1386e1d7d8b4dd, 0x813f3484d7d2d8cb, 0xed193c73ab4bce2b, 0xb1aad743af63376d,
  0x701c762d3e791a43, 0x6c11fadc37b2ef76, 0x7332b300a8950754, 0x09e5a74a293f99f4, 0x51e7c49a3a314c08,
  0x575539794d8ce81c, 0x5545a6c59e8754e0, 0xb997cdb2e22adfef, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86, 0xa9e4afdcd0ef41e6,
  0x0000014a9122f665,
};

// m163_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m163_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda2435032, 0x777777756243aeef, 0xdd46a4e476b5d6f7, 0x2afb17fb5bbbb624, 0x4a337755ef7bb782,
  0x6609f180905b2b6a, 0x788f64c8c15480a4, 0xf72e30a04f89bed6, 0x44da6bf32addcee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b86b600, 0x5162a10cb41d2a21, 0x2f6fa6ffe80e784c,
  0xe90fcc16156662e7, 0x0174d3281102297f, 0x4995faa2175fedd7, 0x547d57c169da1270, 0x1258f3ca17070c7d,
  0xcbc25f886c2445f7, 0xf3354771b89b7fa2, 0x5fa8fd04f72c1013, 0x0a3e7491c74fe0d0, 0x6a76afe8d059cc58,
  0x895403ff6678ebc0, 0x56638f81e5adc3ee, 0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c,
  0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x5f891ee4fc0fdfb0, 0x9f0271966b219e98, 0x2bf7343bd079961d, 0x015af64e2d996a79,
};

static const uint64_t ur_m163_autobaud_uart0_dual_pr_ee_ce[] = {
  0xcdddddddd41432db, 0x77777775685f5c6f, 0xe705947f3ef5c2f7, 0xcdbad9fbc9dbb388, 0xee382db046baa10e,
  0xe30120b656d49414, 0xc99182a91649cc13, 0x61409f137dacf11e, 0xffe655bb9dd3ee5c, 0xc1d85e19c396a666,
  0xc913f8343e9bd47e, 0x886257f9fbe08a11, 0xbbe6e737c01b87c2, 0x432d038288655777, 0xbffa039e1369b8a8,
  0x0b0ab3317397b74d, 0x281102a1fff487e6, 0xa2175fedd70174d3, 0x6169da12704995fa, 0x42e0e29eb1fd51c0,
  0x4ce75dc6e72d7e79, 0x4795c8929dac0abe, 0x09fea3e0d9834c7d, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0xded193c73abb74e2, 0x76355e363af63376, 0xce038ec5a7cf2348, 0x46c1132386f65dee, 0x47332b32ce895075,
  0x809e5a74a293f99f, 0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x9732f9b65c18edfe,
  0x771a2cb578dc79b0, 0xc2a73f53ab337f07, 0xf9a1e64ff0271a50, 0x66b219e985a0df80, 0xbd079961d9f02719,
  0x5a9996a792bf7343, 0x000000000007ead9,
};

static const uint64_t ur_m163_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76d8be, 0xbbbbbab2d16837e6, 0x908500f1ff7337bb, 0x5a2bd6dd2c59f60f, 0xa3c3a9c6338d3d5c,
  0x2d95b525393b9e75, 0x5484f2f304f8c048, 0x89bed6788f64c8c1, 0x6fcee9f72e30a04f, 0x470ca899a0ff9969,
  0xb37e6f51ee476049, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0x888655777bbe6e05, 0xe1305a8a8432d0ff,
  0x8b9cbdb8a4ffa039, 0xaffba2c930585599, 0xeb80ba6994088169, 0x3824cafd510baff6, 0xaa3ea8ce18b4ed09,
  0xc4963cf285e7635a, 0xb2f097e21b09117d, 0xc99aa3b8dc683fe8, 0x51e57224a76b33d7, 0xc27fa8f83660d31f,
  0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0xb7b464f1ceaedd38, 0x1d8d578d8ebd8cdd, 0xb380e3b169f3c8d2,
  0x51b044c8e1bd977b, 0xd1cccaccb3a2541d, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x25ccbe6d97063b7f, 0x68b1be2e4d5c1e6c, 0x9fa9d599bf83f6ec, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30, 0x57ee6877a0f32c3b, 0x3f56e62f8e8b24f2,
};

static const uint64_t ur_m163_autobaud_uart0_dual_hw[] = {
  0x9bbbbbbb448692df, 0xeeeeeeead0bdd95f, 0x719ba81624747b6e, 0x00534e89dbbbb645, 0xda9342ddca3fbb93,
  0xeb39827c602416ca, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0xc3024d2bbf32addc, 0xe966f51ca5ec1829,
  0x3f7c114239227f06, 0xd00370f8510c4aff, 0x14432abbbddf3702, 0x3c26c922a10cb427, 0x98b9cbdbbf9ff407,
  0x5d47f89273058559, 0xfdbae02e9a650220, 0x424e0932bf5442eb, 0x47b8677cb73c2d3b, 0xbed68e3a7f06f6bd,
  0x1a0b398b01758a67, 0xecc11d780d4ed5fd, 0xf2cf6c7dd12a807f, 0xf99f47332b31c7c0, 0x14c0809e5a74a293,
  0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xadfef5545a6c59e8, 0x3cd84b997cdb2e22, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xc1514f257ee6877a,
  0x00000000003d1ba7,
};

static const uint64_t ur_m163_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb448687e1, 0xddddddd58198ebdf, 0x367df5decad44fdd, 0x6cb563bf23ba52ac, 0x5bb8af7ba705739d,
  0x4f8c0482d95b5260, 0x3d93230552170530, 0xb8c2813e26fb59e2, 0x6bbfccab773ba7dc, 0x8fa6b60ff0e18826,
  0xa11c913f83ff937a, 0x7c2886257f9fbe08, 0xbbbddf373acc01b8, 0xc54219683054432a, 0xdc9d7fd01cf09a43,
  0x93982c2accc5ce5e, 0xe9a65022052bbfc4, 0x2bf5442ebfdbae02, 0xd1e942d3b424e093, 0x7f27a8f2bdbf355a,
  0xbbe2beebd47c1b30, 0x971c270dc3afb169, 0x57027e6909afa5b1, 0xdbda3278e756979c, 0x876355ae875ec66e,
  0xece038ec5a7cf234, 0xa8d823f5b86f65de, 0xe8e6656601512a0e, 0x1013cb4e94527f33, 0x38a3cf8934746298,
  0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0x09732f9b65c455bf, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86, 0x29e4afdcd0ef41e6, 0x00000002c1c922fa,
};

static const uint64_t ur_m163_autobaud_uart0_dual_ce_hw[] = {
  0xdf9bbbbbbb4486f9, 0xeeeeeeeeeac4875d, 0x49ba8d49c8ed6bad, 0x2655f62ff6b7776c, 0x5b52519bba6d376f,
  0x0523304f8c0482d9, 0xf6b3c47b26460aa4, 0x774fb97185027c4d, 0xe01a26d35f9956ee, 0x87e6f51ec7f61ff0,
  0x7ef822847244fe0e, 0xb006e1f0a21895fe, 0x510caaeef77cdc35, 0xc2628b150865a0e9, 0x17397b7d37ff4073,
  0x4bff124e60b0ab33, 0x6eb80ba699408811, 0x93824cafd510baff, 0x63eaa3eabe0b4ed0, 0x2fb892c79e50b838,
  0xfd165e12fc436122, 0x809f99aa3b8dce9f, 0x0682fd47e827b960, 0x62c051f3a48e3a7f, 0x5e0353b57f4682ce,
  0x1f744aa01ffb33c7, 0x7332b31c7c0f2d6e, 0x09e5a74a293f99f4, 0x51e7c49a3a314c08, 0x575539794d8ce81c,
  0x5545a6c59e8754e0, 0x732f9b65c18edfef, 0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x617e247b93f03f7e, 0x767c09c659ac867a, 0xe4afdcd0ef41e658, 0x000017a37138ba29,
};

static const uint64_t ur_m163_autobaud_uart0_dual_ee_ce_hw[] = {
  0xe6eeeeeef6090c86, 0xbbbbbbbab2d16837, 0xfb07c84280778ffb, 0x9eae2d15eb6e962c, 0xe4eeeecdd53a19c6,
  0x13e30120b656d494, 0x3d9323055213cbcc, 0xb8c2813e26fb59e2, 0xd07fccab773ba7dc, 0xf723b024a386544c,
  0x47244fe0d9bf37a8, 0x0a21895fe7ef8228, 0xbddf370291006e1f, 0x4219687fc4432abb, 0x527fd01cf0982d45,
  0x982c2accc5ce5edc, 0xa6502205a6bfc493, 0xf5442ebfdbae02e9, 0x3862d3b424e0932b, 0x942e0e0d6aa8faa3,
  0x10d8488bee24b1e7, 0x71b8293f459784bf, 0x494ed667af933547, 0xf06cc1a63ea3cae4, 0x7d8b4c531584ff51,
  0x7d2d8cb8e1386e1d, 0xe39d5dba711d484d, 0x1b1d7b19bb6f68c9, 0x62d3e791a43b1aaf, 0x91c37b2ef76701c7,
  0x996744a83aa36089, 0x3a5149fccfa39995, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e, 0x362cf43aa702baa9,
  0xdb2e0c76ff7aaa2d, 0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0xc2d06fc07cd0f327, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x0000004269e37453,
};

// m161_autobaud_uart0_dual_ee_ce_hw m161_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m163_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d4d6, 0x777777565a2d06fc, 0x60f908500ef1ff77, 0xd5c5a2bd6dd2c59f, 0x3b9bb375e74338d3,
  0xf8c0482d95b52539, 0x64c8c15484f2f304, 0x30a04f89bed6788f, 0x1ff32ec24ee9f72e, 0xc8ec0928e1951334,
  0xc913f8366fcdea3d, 0x886257f9fbe08a11, 0x77cdc0a4401b87c2, 0x865a1ff110caaeef, 0x9ff4073c260b5150,
  0x0b0ab3317397b714, 0x281102d35fe756e6, 0xa2175fedd70174d3, 0x3169da12704995fa, 0xc30706b5547d519c,
  0x61222fb892c79e37, 0xceb3fd165e12fc43, 0x76b33d7c99aa3b8d, 0x660d31f51e57224a, 0x5a6298ac27fa8f83,
  0x6c65c709c370ebec, 0xeaedd388ea426be9, 0xebd8cddb7b464f1c, 0x9f3c8d21d8d578d8, 0x1bd977bb380e3b16,
  0x3a2541d51b044c8e, 0x8a4fe67d1cccaccb, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0x7063b7fbd55169b1, 0x6371e6c25ccbe6d9, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0xe4fc0fdfb0cd0f32,
  0x966b219e985f891e, 0x3bd079961d9f0271, 0xd19a02fa792bf734, 0x0000000000004269,
};

// m163_u1x8_uart0_noled_pr
static const uint64_t ur_m163_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x56d49dd19ac4617e,
  0x7d6bcc13e30120b6, 0x2edb021bfff1483e, 0x7afe77cb09f169da, 0x79e8e3a7f063efd4, 0xccf1cc580b2ca611,
  0xecc11d7a3e760e28, 0xcb3db535f86a807f, 0x527969d28a159503, 0xae7e28f37b268e8c, 0x1d53811fd4a5e537,
  0xadfef5545a54fa7a, 0x76c25ccbe6da5fe2, 0xc790347f1a2c79c3, 0xac867a616837eeac, 0x1e6587659289c659,
  0x49079e4afdcd0ef4, 0x000000000f90b1ff,
};

static const uint64_t ur_m163_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x277717e93308377f,
  0xf304f8c0482d95b5, 0xb021bfff52179f5a, 0xe77cb09f169da2ed, 0x8e3a7f063efd47af, 0x1cc580b2ca61179e,
  0x11d7a3e760e28ccf, 0xdb535f86a807fecc, 0x969d28a159503cb3, 0xe28f37b268e8c527, 0x3811fd4a5e537ae7,
  0xef5545a54fa7a1d5, 0x25ccbe6da5fe2adf, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x0001f2696d1f56e7,
};

// m163_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m163_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xba8cf5a59ba7a6d4,
  0x827c602416cada93, 0x1406ffa90bcffee9, 0x6b47370b4ed176d8, 0x60c7cf51e5738cd5, 0xa6ef8ae5f7a8f836,
  0xc65c709c370ebec5, 0x4c571ac9a426be96, 0xbb2cf4627ce75697, 0x78cec6ab5d0ebce9, 0x65f380e3b169a0b4,
  0x1951b047eb70decb, 0x27969d28a005f860, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1,
  0x6c25ccbe6da5fe2a, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xe985f891ee4fc0fd, 0x61d9f0271966b219, 0xe792bf7343bd0799, 0x00000275ffaa1f56,
};

static const uint64_t ur_m163_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdfebe, 0xeeeeeaaf5a7f67c4, 0x1eeff1287378feee, 0xe2e84d5b77775247, 0x5b52777c7e971537,
  0xfcdd304f8c0482d9, 0x2edb02887fe2907c, 0xe0f963faacf169da, 0xaee370a2fe78c940, 0xa0b9ee59758ce673,
  0x438e3a7f07ac5ea3, 0x4a386a398b01567a, 0xdc72c678ebc5ced4, 0x149e5a74a283afc3, 0xeb9f8a3cdec9a3a3,
  0x8754e047f529794d, 0x3b7fbd5516953e9e, 0xbb612e65f36d2fe6, 0x63c81a3f8d163ce1, 0xd6433d30b41bf756,
  0x0f32c3b2c944e32c, 0xa483cf257ee6877a, 0x0000000005baf49d,
};

static const uint64_t ur_m163_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba89119391, 0x7777557085e00896, 0xcd88ecf6a7b8ef77, 0xa875a6eeebf660e4, 0xa4eef4ed2b793b31,
  0x3e609f180905b2b6, 0xb605b7ffea42f3e6, 0x8aa8fabde2d3b45d, 0xfb892c79e3254efa, 0xd165e12fc4361222,
  0x1ac99aa3b8dc31ff, 0x6693d476be9ee582, 0xb016e18878e3a7f0, 0xf47cec1c5199e398, 0x6bf0d500ffd99e3a,
  0xe9450aca81e5adca, 0x79bd934746293cb4, 0x8fea52f29bd73f14, 0xaa2d2a7d3d0ea9c0, 0xcbe6da5fcc76ff7a,
  0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x891ee4fc0fdfb0cd,
  0x0271966b219e985f, 0xf7343bd079961d9f, 0x375e7e09f56e792b,
};

// m163_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m163_u1x8_uart0_noled_pr_ee_ce[] = {
  0x5bbbbbaeea244511, 0xeeeeeeaaf308f5e2, 0xed2cdde14b8f7e9e, 0x80d8889426ed4305, 0x9dd57db06e355910,
  0xcc13e30120b656d4, 0xc0b677fd485e7ce0, 0x1f546e4c5a768bb6, 0x4b1e78c953bcad55, 0x784bf10d8488bee2,
  0x66a8ee3712a3f459, 0x79582929daccf7be, 0xddea3e0d9838cbd4, 0x86e1d7d8b4c5315c, 0xd484d7d2d8cb8e13,
  0x3d189f39d5db9311, 0x6355e363af3a6ecb, 0xc071d8b4d05a3c67, 0x6c1132386f65b2f9, 0xa74a2859fe180654,
  0xa3cdec9a3a3149e5, 0x047f529794deb9f8, 0xd5516953e9e8754e, 0xe65f36d2fe63b7fb, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xfc48f727e07efd86, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x0013f0216fab73c9,
};

static const uint64_t ur_m163_u1x8_uart0_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0x5b52776c7eea09bb,
  0xf5af304f8c0482d9, 0x8bb6c086fffe1c79, 0x1ebf9df2c27c5a76, 0x5e7a38e9fc18fbf5, 0x333c731602cb2984,
  0xfb30475e8f9d838a, 0xf2cf6d4d7e1aa01f, 0x149e5a74a2856540, 0xeb9f8a3cdec9a3a3, 0x8754e047f529794d,
  0xab7fbd5516953e9e, 0x79b09732f9b697f8, 0x2861539fa97ab8dc, 0xcc9fe2e7197e627f, 0x2d06fc73dffc1343,
  0xcf8138cb3590cf4c, 0x95fb9a1de83ccb0e, 0x001d107b1ffb053c,
};

static const uint64_t ur_m163_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0xb52777c8eea337a6,
  0xfdd304f8c0482d95, 0x2edb0280dff4299f, 0x719aad68e6e169da, 0x1f06cc18f9ea3cae, 0xd7d8b4ddf15cbef5,
  0xd7d2d8cb8e1386e1, 0xead2e98ae3593484, 0xd79d37659e8c4f9c, 0x34168f19d8d56ba1, 0x1bd96cbe701c762d,
  0xbf0c032a3608fd6e, 0x1d18a4f2d3a51400, 0xca6f5cfc51e6f64d, 0xf4f43aa7023fa94b, 0xbfc55bfdeaa8b4a9,
  0xc6e3cd84b997cdb4, 0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64, 0x2cd6433d30bf123d,
  0x77a0f32c3b3e04e3, 0xe7483d14f257ee68, 0x000000000000005b,
};

static const uint64_t ur_m163_u1x8_uart0_noled_ce_hw[] = {
  0x2dddddd776b3753a, 0xdddddd55eb4fd691, 0x38a8448bab6933dd, 0xb11e3fc1f7776e24, 0x6cada93ba5c775e9,
  0x1e7f4a9827c60241, 0x4ed176d81029ff87, 0x4a073e4b1fd6e18b, 0x339d771b8beff3c6, 0x7a8ed7d3dcb2eb59,
  0xdc310f1c74fe0cd2, 0x9d838a333c731602, 0x1aa01ffb33c75e8f, 0xa159503cb5b94d7e, 0xb268e8c527969d28,
  0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0xdf9fd86ed84b997c, 0x271966b219e985a0,
  0x343bd079961d964a, 0xc42801760a792bf7,
};

// m163_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m163_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121b7d6, 0x777775579847af12, 0x5ed2cdde15ab8f77, 0x080d8889426ed430, 0xda93baf5b755f591,
  0x9c19827c602416ca, 0x176d816ceffa14cf, 0x5aaa3ea8dc98b4ed, 0xfb892c79e50b8399, 0xd165e12fc4361222,
  0xdef99aa3b8dcfd7f, 0x2f51e560a4a76b33, 0xc57377a8f83660e3, 0x384e1b875f62d314, 0x4c4752135f4b632e,
  0xbb2cf4627ce7576e, 0xf19d8d578d8ebce9, 0xcbe701c762d34168, 0x1951b044c8e1bd96, 0x27969d28a167f860,
  0xe7e28f37b268e8c5, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1, 0xd84b997cdb4bf98e, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x514f257ee6877a0f,
  0x00000000050177c1,
};

// m163_u1x8_uart0_lednop_pr
static const uint64_t ur_m163_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0xb6a4ee8dbd266d4f,
  0xf886609f180905b2, 0x5db6043e7fc520f9, 0xeb3cef9613e2d3b4, 0x93d1c74fe0c7dfa8, 0x348731602cb2986f,
  0xb30475e8f9d9ed23, 0x967b66794d2a01ff, 0x04f2d3a514560a07, 0x28f3e24d1d18a604, 0x2baa9cbca6c6740e,
  0xaaa2d362cf43aa70, 0x5ccbe6d971156ff7, 0x347f1a2c79c376c2, 0x7a616837eeacc790, 0x87659289c659ac86,
  0x9e4afdcd0ef41e65, 0x00000f9038534907,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0x277619ec00d1767f,
  0x3304f8c0482d95b5, 0x6c087cffa90bcfc4, 0x79df2c27c5a768bb, 0xa38e9fc18fbf51d6, 0x0e62c0596530df27,
  0x08ebd1f3b3da4669, 0xf6ccf29a5403ff66, 0xe5a74a28ac140f2c, 0xe7c49a3a314c0809, 0x5539794d8ce81c51,
  0x45a6c59e8754e057, 0x97cdb2e22adfef55, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x123dc9f81fbf619a, 0x04e32cd6433d30bf, 0xee6877a0f32c3b3e, 0x7c99844beadcf257,
};

// m163_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m163_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0xdc9daf5dd961564c,
  0x13e30120b656d49d, 0x8a2ffd485e7fe74c, 0x5a39b85a768bb6c0, 0x063e7a8f2b3d66ab, 0x9bbe2bd2bd47c1b3,
  0x1971c270dc3afb16, 0x245c6b26909afa5b, 0x76e81188739d5a5f, 0xc82d8d56ba1d79d3, 0x97ce038ec5a627d1,
  0x3546c11fadc37b2d, 0x9e5a74a280129afc, 0x1e7c49a3a314c080, 0x75539794d8ce81c5, 0x545a6c59e8754e05,
  0x997cdb2e22adfef5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf123dc9f81fbf619, 0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3, 0x0275d071beadcf25,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0x77777557ad3e5ee2, 0xc7b3f77a99be9777, 0xe3f5a307ddddd491, 0x2b6a4ee82fdcc568,
  0x9f9c6609f180905b, 0x45db604be7fc520f, 0x1c4c6c7f559e2d3b, 0x75dc6e256fcf1928, 0x713f3dcb2eb19cce,
  0xa971c74fe0f58bd4, 0x7da3d62398b017a0, 0x5b8e58cf1d78b9d8, 0x0809e5a74a283a53, 0x1c51e7c49a3a314c,
  0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x09732f9b65c18edf, 0x40d1fc68b1e70ddb, 0x19e985a0dfbab31e,
  0x961d964a271966b2, 0x1e792bf7343bd079, 0x00000016ea072d24,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xeeeeaae10bf8f896, 0x01332f764f54deee, 0x0bdd7eeeebf660f0, 0x93ba2474ddc0bb1f,
  0xb9827c602416cada, 0xd8147bffa90bcfaf, 0xaaa3eaf78b4ed176, 0xee24b1e78c953bee, 0x459784bf10d8488b,
  0x3593354771b9ff3f, 0x3349ea3f3d3dcb04, 0x2c05def05c71d3f8, 0xbd1f3b3da46690e6, 0xcf29a5403ff6678e,
  0x9d28a2b0503cb5b8, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54, 0x6d97063b7fbd5516,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3,
  0x1966b219e985f891, 0x43bd079961d9f027, 0xd5359f56e792bf73, 0x0000000000000375,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xeeeeaaf30951625b, 0x5da5a094cf7c8eee, 0x2f889426ed4305ef, 0x47b6a3b086695a2e,
  0x4f8c0482d95b5277, 0x1adff52179f4b530, 0x51b93169da2edb02, 0x79e3254eedd5547d, 0x2fc4361222fb892c,
  0x4771b8cdffd165e1, 0xd0094ed667bdf335, 0x51f06cc1c65ea3ca, 0x0ebec5a6298ae71f, 0x26be96c65c709c37,
  0xc439ceaedd920ea4, 0x578d8ebce9bb7408, 0x8ec5a627d1c82d8d, 0x8991c37b2d97ce03, 0x5142cd4d7e1aa360,
  0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xa616837e39effe09, 0x8767c09c659ac867,
  0x9e4afdcd0ef41e65, 0x00000027e6317d5b,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0x77777557984a1712, 0x0cf17a9b34bab8f7, 0x590889426eedba87, 0xba75b44896aa8b41,
  0x827c602416cada93, 0x169bffa90bcf8d69, 0xea8d7d8b4ed176d8, 0x63cf192a77812aa3, 0x097e21b09117dc49,
  0xd51dc6e759fe8b2f, 0x2b9ba53b599f194c, 0x3d47c1b30622fa8f, 0xdc3afb1698a62b5f, 0x909afa5b1971c270,
  0xa37b473abb73de3a, 0x55e363af5d4ddb05, 0x71d8b4c38a333d63, 0x68c8e1bd970e59c0, 0x0404f2d3a514c62a,
  0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0x84b997cdb2e0c76f, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d,
  0xf257ee6877a0f32c, 0x0000009f859beadc,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0x6d49dd85fba486cf,
  0xf10cc13e30120b65, 0x8bb6c087cffc38f3, 0x1d679df2c27c5a76, 0xf27a38e9fc18fbf5, 0x6690e62c0596530d,
  0xf6608ebd1f3b3da4, 0xf2cf6ccf29a5403f, 0x809e5a74a28ac140, 0xc51e7c49a3a314c0, 0x0575539794d8ce81,
  0xf5545a6c59e8754e, 0x4b997cdb2e22adfe, 0x539fa9b0ec6e3cd8, 0xd0f327f8138d2861, 0x590cf4c2d06fc07c,
  0x83ccb0ecf8138cb3, 0x53b053c95fb9a1de, 0x0000000001d10738,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0xa4eef4eddc9d8559,
  0x3a609f180905b2b6, 0xdb604517fe8533ff, 0xb355ad1cdc2d3b45, 0xe0d9831f3d47959e, 0x7d8b4ddf15e95ea3,
  0x7d2d8cb8e1386e1d, 0xad2f922e3593484d, 0xbce9bb7408c439ce, 0x13e8e416c6ab5d0e, 0xbd96cbe701c762d3,
  0x4d7e1aa3608fd6e1, 0x60404f2d3a514009, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a,
  0x6c25ccbe6d971156, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0,
  0x9961d9f0271966b2, 0xa8a792bf7343bd07, 0x00000000016f8176,
};

static const uint64_t ur_m163_u1x8_uart0_lednop_ce_hw[] = {
  0xb777775ddacdc49f, 0xeeeeeaaf5a7dd7c4, 0xe2ad28460fb006ee, 0x4cfd2f37ddddb890, 0x6cada93bb98eee14,
  0x3cf84f9827c60241, 0x9da2edb02403ff0e, 0x940e4dd63fadc316, 0x673aee373f77e78c, 0x3d47e7a7b965d6b2,
  0xbbde0b8e3a7f0669, 0xe767b48cd21cc580, 0x34a807feccf1d7a3, 0x14560a0796b719e5, 0x1d18a60404f2d3a5,
  0xa6c6740e28f3e24d, 0xcf43aa702baa9cbc, 0xe0c76ff7aaa2d362, 0xfd86ed84b997cdb2, 0x966b219e985a0df9,
  0xbd079961d964a271, 0x4b7760a792bf7343, 0x0000000000000621,
};

// m163_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd7751219541, 0x77777557984a8b12, 0x5ef5da5a09b4cf77, 0xa2e2f889426ed430, 0x6a4ee80addd94695,
  0x96a609f180905b2b, 0x5db60435bfe8533e, 0xaaa8faa37262d3b4, 0xee24b1e7942e0e5b, 0x459784bf10d8488b,
  0x7be66a8ee372f0ff, 0xbd4795a0129daccf, 0x15ce3ea3e0d9838c, 0xe1386e1d7d8b4c53, 0x241d484d7d2d8cb8,
  0x76e81188739d5dbb, 0x905b1aaf1b1d79d3, 0x2f9c071d8b4c4fa3, 0x3546c1132386f65b, 0x9e5a74a2859a9afc,
  0x1e7c49a3a314c080, 0x75539794d8ce81c5, 0x545a6c59e8754e05, 0x32f9b65c18edfef5, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x17e247b93f03f7ec, 0x67c09c659ac867a6, 0x4afdcd0ef41e6587,
  0x00000a02fc93a29e,
};

// m163_u1x8_uart0_dual_pr
static const uint64_t ur_m163_u1x8_uart0_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x54dbb905680a39c8,
  0x304f8c0482d95b52, 0x788f64c8c1548c41, 0xf72e30a04f89bed6, 0xcc517f32b8f5cee9, 0x7a8f1ef60fe1c17d,
  0x04508e489fc1f753, 0xdc3e144312bfcfdf, 0xcaaeef77cdcc0800, 0x749150865a107d10, 0xe5edc14ffa039e13,
  0xf6617982c2accc5c, 0x7c5a768bb6c087cf, 0x18fbf51d679df2c2, 0x96530df27a38e9fc, 0x3b3da46690e62c05,
  0x289dc72c608ebd1f, 0x293f99f47332b32b, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979,
  0xe22adfef5545a6c5, 0xab83cd84b997cdb2, 0xe40fca1a2c79c5c9, 0x219e985a0dfbab31, 0x79961d9f0271966b,
  0xf56e792bf7343bd0, 0x0000000003106e3d,
};

static const uint64_t ur_m163_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x25907756b4ed5718,
  0x9304f8c0482d95b5, 0x6788f64c8c154814, 0x9f72e30a04f89bed, 0x2b4ce97f32addcee, 0xe6f51ea56c3f71c1,
  0x7c114239227f0663, 0x0370f8510c4aff3f, 0x432abbbddf3734d8, 0x9a0fc54219682d74, 0xe72f6e7affd01cf0,
  0x9fe90fcc16156662, 0xdcf0b4ed176d817c, 0xfc1bdaf51ee19df2, 0x05d6299efb5a38e9, 0x353b57f4682ce62c,
  0x44aa01ffb30475e0, 0xacc71f03cb3db1f7, 0x69d28a4fe67d1ccc, 0xf1268e8c53020279, 0x4e5e53633a071479,
  0x69b167a1d53815d5, 0xf36cb88ab7fbd551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x5f891ee4fc0fdfb0, 0x9f0271966b219e98, 0x2bf7343bd079961d, 0x0029261359996a79,
};

// m163_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m163_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0xd99bd402a31ebb67,
  0x602416cada931c5d, 0x99182a900009827c, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x7f61d3e70b1f9bfe,
  0x9227f067066f51e8, 0x10c4aff3f7c11423, 0xddf3705200370f85, 0x219687ee4432abbb, 0x5bfe80e784cfe454,
  0xc16156662e72f6f9, 0xa2edb0274bfe90fc, 0xedf9aad68f4a169d, 0xa3e0d983f93d4795, 0x1d7d8b4ddf15f75e,
  0x4d7d2d8cb8e1386e, 0x3ab4bce2b813f348, 0x3af63376ded193c7, 0xd3e791a43b1aad74, 0xc37b2ef76701c762,
  0x0a89507546c11fad, 0xa293f99f47332b30, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397,
  0x2e22adfef5545a6c, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47b93f03f7ec3343, 0x9c659ac867a617e2, 0xcd0ef41e658767c0, 0xb23f02665a9e4afd, 0x0000000000000002,
};

// m163_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m163_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f4486dd9e, 0xbbbbbab663f6afcd, 0x2759051bad67dbbb, 0xe4931a76eeecbbb8, 0xa66ee1f9b45e57b4,
  0xc13e30120b656d49, 0x88f64c8c1548e6fc, 0x72e30a04f89bed67, 0x9a87ff32addcee9f, 0xd478e5b038270eaf,
  0x4508e489fc1dba9b, 0xc3e144312bfcfdf0, 0x55ddeef9b96b600d, 0xea2a10cb40c7a219, 0x7b72ebff4073c26e,
  0x487e60b0ab331739, 0x0b4ed176d8154aff, 0x50b83863eaa3eabe, 0x4361222fb892c79e, 0x8dc4dbfd165e12fc,
  0x27b960809f99aa3b, 0x8e3a7f0682fd47e8, 0x4682ce62c051f3a4, 0xfb33c75e0353b57f, 0x0f2d6e1f744aa01f,
  0x3f99f47332b31c7c, 0x314c0809e5a74a29, 0x8ce81c51e7c49a3a, 0x8754e0575539794d, 0x8edfef5545a6c59e,
  0xc79b09732f9b65c1, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x27e07efd86687993,
  0xb3590cf4c2fc48f7, 0xde83ccb0ecf8138c, 0x1c6ccb53c95fb9a1, 0x000000000000d244,
};

static const uint64_t ur_m163_u1x8_uart0_dual_pr_ee_ce[] = {
  0xddddd60fd82432db, 0x777775685f5c6fcd, 0x05947f3ef5c2f777, 0xbad9fbc9dbb388e7, 0x382db046baa10ecd,
  0x0120b656d49414ee, 0x9182a91649cc13e3, 0x409f137dacf11ec9, 0xe655bb9dd3ee5c61, 0xd85e19c396a666ff,
  0x13f8343e9bd47ec1, 0x6257f9fbe08a11c9, 0xe6e737c01b87c288, 0x2d038288655777bb, 0xfa039e1369b8a843,
  0x0ab3317397b74dbf, 0xdb02a1fff487e60b, 0x547d519c3169da2e, 0x1258f3ca170706b5, 0xcbc25f886c2445f7,
  0x93354771b9cb5fa2, 0xa3cae4494ed667af, 0x84ff51f06cc1a63e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0x6f68c9e39d5dba71, 0x3b1aaf1b1d7b19bb, 0x6701c762d3e791a4, 0xa3608991c37b2ef7, 0xa39995996744a83a,
  0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7, 0x4b997cdb2e0c76ff,
  0xbb8d165abc6e3cd8, 0x61539fa9d599bf83, 0x7cd0f327f8138d28, 0xb3590cf4c2d06fc0, 0xde83ccb0ecf8138c,
  0xad4ccb53c95fb9a1, 0x0000000000002000,
};

static const uint64_t ur_m163_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5a17d17df, 0xa716957962daefdd, 0xb201ad1fbc9dba76, 0x69ceeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x35e1fe655bb9dd3e, 0xa3a1f6c31b8e1d83,
  0x2847244fe0f104de, 0x1f0a21895fe7ef82, 0xaeef77cdc24a006e, 0xd150865a1b3910ca, 0xb7d35ff4073c26ca,
  0x87e60b0ab3317397, 0xb4ed176d8105aff4, 0x83995aaa3ea8d2b0, 0x1222fb892c79e50b, 0xeb3fd165e12fc436,
  0x6b33d3199aa3b8dc, 0xc1e45f51e57a54a7, 0xa6298ae6ef51f06c, 0xc65c709c370ebec5, 0xaedd108ea426be96,
  0xf29a7659e8ebf9ce, 0x05a31f76355e363a, 0x7b2dc99c071d8b4d, 0xcccacf18eb1191c3, 0x27969d28a4fe67d1,
  0x51e5ba68e8c53020, 0x575539794d8ce81c, 0x53817573182169bd, 0xe6c25ccbe6da7a1d, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0xd6433d30bf123dc9, 0xa0f32c3b3e04e32c,
  0x5332d4f257ee6877, 0x0000000000020020,
};

static const uint64_t ur_m163_u1x8_uart0_dual_hw[] = {
  0xeeeeeb07a243304a, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0xa4b20eeb17ddaaf8,
  0x92609f180905b2b6, 0xacf11ec99182a902, 0xd3ee5c61409f137d, 0x25699d2fe655bb9d, 0x7cdea3d4ad87ee38,
  0xef822847244fe0cc, 0x006e1f0a21895fe7, 0x88655777bbe6e69b, 0x1341f8a8432d05ae, 0x5ce5edcf5ffa039e,
  0x93fc493982c2accc, 0x5b9e169da2edb02f, 0x3f837b5ea3dc33be, 0x80bac533df6b471d, 0x06a76afe8d059cc5,
  0xe895403ff6608ebc, 0x9598e3e07967b63e, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f,
  0x2d362cf43aa702ba, 0xbe6d971156ff7aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9, 0x000c6ea135a8a792,
};

static const uint64_t ur_m163_u1x8_uart0_dual_ee_hw[] = {
  0xddddd60f4486ff3e, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x5dcd3dbbd7bebb67,
  0x7c602416cada931c, 0xec99182a90000982, 0xc61409f137dacf11, 0xfe7e655bb9dd3ee5, 0xe87f61d3e70b1f9b,
  0x239227f067066f51, 0x8510c4aff3f7c114, 0xbbddf3705200370f, 0x54219687ee4432ab, 0xf95bfe80e784cfe4,
  0x9cc16156662e72f6, 0x9da2edb0274bfe24, 0x95edf9aad68f4a16, 0x5ea3e0d983f93d47, 0x6e1d7d8b4ddf15f7,
  0x484d7d2d8cb8e138, 0xc73ab4bce2b813f3, 0x743af63376ded193, 0x62d3e791a43b1aad, 0xadc37b2ef76701c7,
  0x300a89507546c11f, 0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553,
  0xdb2e22adfef5545a, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x23dc9f81fbf619a1,
  0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0x05769f81514f257e,
};

static const uint64_t ur_m163_u1x8_uart0_dual_ce_hw[] = {
  0xbbbbac1e890c5aa4, 0x7777756cc7ed5f9b, 0x4eb20a375acfb777, 0xc92634edddd97770, 0x2699bbb0fb76fae9,
  0xf304f8c0482d95b5, 0x9e23d9323055239b, 0x7dcb8c2813e26fb5, 0xbe6a1ffccab773ba, 0x6f51e396c0e09c3a,
  0xc114239227f076ea, 0x370f8510c4aff3f7, 0x655777bbe6e5ad80, 0xbba8a8432d031e88, 0xe5edcbaffd01cf09,
  0xfc493982c2accc5c, 0xf82d3b45db60552b, 0x7942e0e18faa8faa, 0xf10d8488bee24b1e, 0xee373a7ff459784b,
  0xa09ee582027e66a8, 0x9238e9fc1a0bf51f, 0xfd1a0b398b0147ce, 0x7feccf1d780d4ed5, 0xf03cb5b87dd12a80,
  0xa4fe67d1cccacc71, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5, 0x063b7fbd55169b16,
  0x371e6c25ccbe6d97, 0xef79430a9cfd4176, 0xf81fc65f989ffde1, 0x4fc0fdfb0cd0f327, 0x66b219e985f891ee,
  0xbd079961d9f02719, 0xa838e8a792bf7343, 0x000000000000026e,
};

// m163_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m163_u1x8_uart0_dual_ee_ce_hw[] = {
  0x9bbbbbac1e890c86, 0xeeeeeeead0beb8df, 0xce0b28fe7deb85ee, 0x9b75b3f793b76711, 0x14eeeecdd53a421d,
  0x13e30120b656d494, 0x1ec99182a91649cc, 0x5c61409f137dacf1, 0x66ffe655bb9dd3ee, 0x7ec1d85e19c396a6,
  0x11c913f8343e9bd4, 0xc2886257f9fbe08a, 0x77bbe6e737c01b87, 0xa8432d0382886557, 0x4dbffa039e1369b8,
  0xe60b0ab3317397b7, 0xda2edb02a1fff124, 0x06b5547d519c3169, 0x45f71258f3ca1707, 0x7fa2cbc25f886c24,
  0x67af93354771b9d6, 0xa63ea3cae4494ed6, 0x531584ff51f06cc1, 0xb8e1386e1d7d8b4c, 0xba711d484d7d2d8c,
  0x19bb6f68c9e39d5d, 0x91a43b1aaf1b1d7b, 0x2ef76701c762d3e7, 0xa83aa3608991c37b, 0xfccfa39995996744,
  0x8a60404f2d3a5149, 0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c, 0x76ff7aaa2d362cf4, 0x3cd84b997cdb2e0c,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0xb5514f257ee6877a, 0x000000000001d752,
};

// m163_u2x8_uart0_noled_pr
static const uint64_t ur_m163_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0x656d49dddb7a32c7,
  0xf3e98cc13e30120b, 0x35dbd56645ff8a41, 0xf9613e2d3b424e09, 0x74fe0c7dfa8f5fce, 0x8b016594c22f3d1c,
  0xaf47cec1c5199e39, 0xa6bf0d500ffd9823, 0x3a5142b2a07967b6, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5,
  0xaa8b4a9f4f43aa70, 0x997cdb4bfc55bfde, 0x8fe3458f386ed84b, 0x4c2d06fdd598f206, 0xecb25138cb3590cf,
  0xc95fb9a1de83ccb0, 0x0001f203cbe920f3,
};

static const uint64_t ur_m163_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0x49dd3f7a36ec8a45,
  0x8cc13e30120b656d, 0xf559917fea42f3e9, 0x4f8b4ed093824d76, 0x831f7ea3d7f3be58, 0x5965308bcf471d3f,
  0xf3b07146678e62c0, 0xc35403ff6608ebd1, 0x50aca81e59eda9af, 0xd934746293cb4e94, 0xa52f29bd73f1479b,
  0xd2a7d3d0ea9c08fe, 0x36d2ff156ff7aaa2, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf727e07efd866879, 0x8cb3590cf4c2fc48, 0xa1de83ccb0ecf813, 0x729acfab73c95fb9,
  0x00000000000001f2,
};

// m163_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m163_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0xc4eda165294dbd3d,
  0x9f180905b2b6a4ee, 0x52bfea42f3e95a60, 0x4ed093824d76f559, 0xe5738cd56b47370b, 0xf7a8f83660c7cf51,
  0x370ebec5a6ef8ae5, 0xa426be96c65c709c, 0x7ce756974c571ac9, 0x5d0ebce9bb2cf462, 0xb169a0b478cec6ab,
  0xeb70decb65f380e3, 0xa005f8601951b047, 0xb268e8c527969d28, 0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd,
  0x6da5fe2adfef5545, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027, 0xeb5a9f56e792bf73, 0x000000000000013a,
};

static const uint64_t ur_m163_u2x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaae20d4244, 0x44a45327ebf588ee, 0x0d7f166d6eee9652, 0x2b6a4eec2fdf1e48,
  0x3f2fa609f180905b, 0xaedeab324ff8a41f, 0xfaacf169da127049, 0xa2fe78c940e0f963, 0x59758ce673aee370,
  0x7f07ac5ea3a0b9ee, 0x398b01567a438e3a, 0x78ebc5ced44a386a, 0x74a283afc3dc72c6, 0x3cdec9a3a3149e5a,
  0x47f529794deb9f8a, 0x5516953e9e8754e0, 0x65f36d2fe63b7fbd, 0x3f8d163ce1bb612e, 0x30b41bf75663c81a,
  0xb2c944e32cd6433d, 0x257ee6877a0f32c3, 0x00016eaa9da483cf,
};

static const uint64_t ur_m163_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd4488af02, 0xbbbbaabce26a1c4b, 0x8db19423d3db27bb, 0x5f98f1fddddbf383, 0xda93bb1c7717d890,
  0xc069827c602416ca, 0xdbd5607bffa90bcf, 0xabde2d3b424e0935, 0xc79e3254efa8aa8f, 0x12fc4361222fb892,
  0xaa3b8dc31ffd165e, 0x476be9ee5821ac99, 0x18878e3a7f06693d, 0xc1c5199e398b016e, 0x500ffd99e3af47ce,
  0xaca81e5adca6bf0d, 0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5, 0xa5fcc76ff7aaa2d2,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0x4fc0fdfb0cd0f327,
  0x66b219e985f891ee, 0xbd079961d9f02719, 0xc15f56e792bf7343, 0x00000000000375d5,
};

static const uint64_t ur_m163_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22582, 0x7777557e1708225b, 0x170cd68313b4cf77, 0x339eef17bb98b53a, 0x4ed6a334e447ec88,
  0x4f8c0482d95b5277, 0x1cbfea42f3fd5f30, 0x4ed093824d76f559, 0x7795aaa3ea8dc98b, 0x9117dc4963cf192a,
  0xc37e8b2f097e21b0, 0x599ef7ccd51dc6e4, 0x07197a8f2b05253b, 0x98a62b9bbd47c1b3, 0x1971c270dc3afb16,
  0xbb72623a909afa5b, 0xe74dd967a313e73a, 0x0b478cec6abc6c75, 0xecb65f380e3b169a, 0xc300ca8d8226470d,
  0x46293cb4e9450b3f, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2, 0xcc76ff7aaa2d2a7d, 0xc1e6c25ccbe6da5f,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0xb41bf1cf7ff04d0f, 0x3e04e32cd6433d30,
  0x57ee6877a0f32c3b, 0x00013f2053eadcf2,
};

static const uint64_t ur_m163_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e171a712, 0x7ec19d9323fa6977, 0xd049eef17bb00662, 0xdd1edb1c421840f5,
  0xc13e30120b656d49, 0xb2dd7fd485e7e394, 0x169da127049aedea, 0x54eca1d547d51afb, 0x61222fb892c79e32,
  0xce5afd165e12fc43, 0x76b33e3299aa3b8d, 0x660c45f51e57f24a, 0x2d314c5710fa8f83, 0xb632e384e1b875f6,
  0xeaedd914752135f4, 0xbd7537610e8c389c, 0x20a8d4d58d578d8e, 0xecb872ce038ec5a7, 0x3a514c63f866470d,
  0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70, 0x32f9b697f31dbfde, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe247b93f03f7ec33, 0xc09c659ac867a617,
  0xfdcd0ef41e658767, 0x009f89a07d5b9e4a,
};

static const uint64_t ur_m163_u2x8_uart0_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0x56d49ddcc7770a48,
  0x3e98cc13e30120b6, 0x35dbd56645ffc38f, 0xf9613e2d3b424e09, 0x74fe0c7dfa8f5fce, 0x8b016594c22f3d1c,
  0xaf47cec1c5199e39, 0xa6bf0d500ffd9823, 0x3a5142b2a07967b6, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5,
  0xaa8b4a9f4f43aa70, 0x997cdb4bfc55bfde, 0x9fa9b0ec6e3cd84b, 0xf327f8138d286153, 0x0cf4c2d06fc07cd0,
  0xccb0ecf8138cb359, 0xb053c95fb9a1de83, 0x00000001d1071e5f,
};

static const uint64_t ur_m163_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0x93bab07762729b7a,
  0x69827c602416cada, 0xbd5654affa14cfa5, 0xcdc2d3b424e0935d, 0xf3d4795ce3355ad1, 0xe2b97dea3e0d9831,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x3d189f39d5a5d315, 0xb1aad743af3a6ecb, 0xe038ec5a682d1e33,
  0x6c11fadc37b2d97c, 0xa74a28017e180654, 0xa3cdec9a3a3149e5, 0x047f529794deb9f8, 0xd5516953e9e8754e,
  0x732f9b697f8ab7fb, 0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x617e247b93f03f7e,
  0x767c09c659ac867a, 0xe4afdcd0ef41e658, 0x0000005be9562a29,
};

static const uint64_t ur_m163_u2x8_uart0_noled_ce_hw[] = {
  0xb777775ddacdfebe, 0xdddddd55c41b8fc4, 0x873c5bc86d68dbdd, 0x6c6311ddfbbba368, 0x0b656d49ddf1fbaa,
  0x38f3fd44c13e3012, 0x7049aedeab271ffc, 0xc963fadc3169da12, 0xe3717dfe78c940e7, 0xfa7b965d6b2673ae,
  0xe38e9fc19a4f51da, 0x46678e62c05b8621, 0xff6678ebd1f3b071, 0x0796b729afc35403, 0x18a4f2d3a5142b2a,
  0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0x31dbfdeaa8b4a9f4, 0x0ddb09732f9b697f, 0xd6433d30b41bf3fb,
  0x0f32c3b2c944e32c, 0x3ec14f257ee6877a, 0x000000000188534e,
};

// m163_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m163_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121b705, 0xbbbbbaabf0b84112, 0x53a170cd68d313bb, 0xc88339eef17bb98b, 0x6a4eed86ddfb447e,
  0xabe609f180905b2b, 0xedeab2397fd0a67f, 0x1b93169da127049a, 0x3ca170732b5547d5, 0xf886c2445f71258f,
  0x771b9faffa2cbc25, 0x1494ed667bdf3354, 0x1f06cc1c65ea3cac, 0xebec5a6298ae6ef5, 0x6be96c65c709c370,
  0x4f9ceaedc988ea42, 0xf1b1d79d37659e8c, 0xec5a682d1e33b1aa, 0x991c37b2d97ce038, 0x142cff0c032a3608,
  0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6, 0xb4a9f4f43aa7023f, 0x9b697f31dbfdeaa8, 0x505d8dc79b09732f,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x247b93f03f7ec334, 0x09c659ac867a617e, 0xdcd0ef41e658767c,
  0x00a02fcd3a29e4af,
};

// m163_u2x8_uart0_lednop_pr
static const uint64_t ur_m163_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0x9d09b3d4cdddd220, 0x656d49dd2e3a36de,
  0xf3f924c13e30120b, 0x9aedeab1efff8a41, 0x7cb09f169da12704, 0x3a7f063efd4759e7, 0x8b016594c37c9e8e,
  0xaf47cecf6919a439, 0x33ca69500ffd9823, 0x9d28a2b0503cb3db, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0xd163ce1bb612e65f, 0x41bf75663c81a3f8, 0x944e32cd6433d30b,
  0xee6877a0f32c3b2c, 0x07c8637a483cf257,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0xa4ee8d3da8669684,
  0x92609f180905b2b6, 0xbd563dfff52179fc, 0x13e2d3b424e0935d, 0xe0c7dfa8eb3cef96, 0x2cb2986f93d1c74f,
  0xf9d9ed2334873160, 0x4d2a01ffb30475e8, 0x14560a07967b6679, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0x6b219e985f891ee4, 0xd079961d9f027196, 0xf9f56e792bf7343b,
  0x00000000003e4e62,
};

// m163_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m163_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xbb62742069cb4614,
  0x827c602416cada93, 0x6393ffa90bcfc879, 0x2d3b424e0935dbd5, 0x47959eb355ad1cdc, 0xe95ea3e0d9831f3d,
  0x386e1d7d8b4ddf15, 0x93484d7d2d8cb8e1, 0xc439cead2f922e35, 0xab5d0ebce9bb7408, 0xc762d313e8e416c6,
  0x8fd6e1bd96cbe701, 0x5140094d7e1aa360, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb,
  0x971156ff7aaa2d36, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1,
  0x4fc0fdfb0cd0f327, 0x66b219e985f891ee, 0xbd079961d9f02719, 0x969f56e792bf7343, 0x0000000000013ae9,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_pr_ce[] = {
  0xb777775ddacdfc4f, 0xdddddd55c41b9bc4, 0xa489de0fab6b11dd, 0x2035fc5ecfdddd2c, 0x6cada93bb0bf7c79,
  0x3e7fba9827c60241, 0x935dbd561ebff148, 0xc7f559e2d3b424e0, 0xc28bf9e325039916, 0xb965d63399cebb8d,
  0xe9fc1eb17a8e27e7, 0x88e62c0559e82e38, 0x33c75e2e76c668f5, 0x69d28a0ea596e396, 0x5ba68e8c53020279,
  0x539794d8ce81c51e, 0x17573182169bd575, 0x25ccbe6da7a1d538, 0x0347f1a2c79c376c, 0x67a616837eeacc79,
  0x587659289c659ac8, 0x79e4afdcd0ef41e6, 0x0000002dd553b490,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba8911fc3b, 0x77775579c4c2f896, 0xa18dbad30ad24377, 0x763fd2eeeedf9c1e, 0xa93bb70761986ec7,
  0x459827c602416cad, 0xdeab1fcffa90bcf9, 0x5ef169da127049ae, 0x3cf192a77dd5547d, 0x97e21b09117dc496,
  0xa8ee373fe7e8b2f0, 0x47e7a7b96086b266, 0xde0b8e3a7f06693d, 0x67b48cd21cc580bb, 0xa807feccf1d7a3e7,
  0x560a0796b719e534, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf,
  0x83cd84b997cdb2e0, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6, 0xeadcf257ee6877a0, 0x00000000dd7390fb,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dc1eb44511, 0xddddd55f85da2c4b, 0x1050b36392eac1dd, 0x3f73dde2f77316a6, 0xeabedc9d1abe99a5,
  0x09f180905b2b6a4e, 0x84ebfea42f3e16a6, 0xb4ed093824d76f55, 0xa776eaaa3ea8dc98, 0x09117dc4963cf192,
  0x66ffe8b2f097e21b, 0x6b33def99aa3b8dc, 0x60e32f51e56804a7, 0xd314c5738fa8f836, 0x632e384e1b875f62,
  0x576ec90752135f4b, 0x5e74ddba04621ce7, 0x13e8e416c6abc6c7, 0xbd96cbe701c762d3, 0xa6bf0d51b044c8e1,
  0x302027969d28a166, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x6c25ccbe6d97063b,
  0x43459d3e2e4d5c1e, 0x54e7ea75663c81f9, 0xf8b9c65f989fca18, 0xbf1cf7ff04d0f327, 0x4e32cd6433d30b41,
  0xe6877a0f32c3b3e0, 0x04fc323eadcf257e,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e1737712, 0x63a56c9023fa6977, 0xebc339eef17bb006, 0x93ba3db638843081,
  0xf9827c602416cada, 0x559d5fff52179fe9, 0xd8b4ed093824d76f, 0x92a7652eaa3ea8d7, 0x1b09117dc4963cf1,
  0x6e72d7e8b2f097e2, 0x53b599f194cd51dc, 0x1b30622fa8f2b9ba, 0xb1698a62b4c7d47c, 0xa5b1971c270dc3af,
  0xe7576ec8a3a909af, 0xebd753766be46f68, 0x33488ccf58d578d8, 0x6f65c396701c762d, 0xb4e945318cb23238,
  0x2dd347462981013c, 0xa9cbca6c6740e28f, 0x0bab98c10b4deaba, 0x12e65f36d3d0ea9c, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0xc2fc48f727e07efd, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x000013f1340fab73,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0x656d49ddb1fba825,
  0xf3f924c13e30120b, 0x49aedeab1efffc38, 0x77cb09f169da1270, 0xe3a7f063efd4759e, 0x98b016594c37c9e8,
  0x3af47cecf6919a43, 0xb33ca69500ffd982, 0x69d28a2b0503cb3d, 0xf1268e8c53020279, 0x4e5e53633a071479,
  0x69b167a1d53815d5, 0xf36cb88ab7fbd551, 0xa6c3b1b8f3612e65, 0x9fe04e34a1854e7e, 0xd30b41bf01f343cc,
  0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x0000007441f1bec1,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x6a4eec71ddb12b46,
  0x21e609f180905b2b, 0x76f558e4ffe8533f, 0x47370b4ed093824d, 0xc7cf51e567acd56b, 0x77c57a57a8f83660,
  0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0xdd02310e73ab4be4, 0x05b1aad743af3a6e, 0xf9c071d8b4c4fa39,
  0xa8d823f5b86f65b2, 0xcb4e945002535f86, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0x2f9b65c455bfdeaa, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x7e247b93f03f7ec3,
  0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x00005bec21fa29e4,
};

static const uint64_t ur_m163_u2x8_uart0_lednop_ce_hw[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaae20de962, 0x0e71ff17c1f6a1ee, 0x0db267b3f77746d1, 0xb656d49dd05fbab4,
  0x8f3fdd4c13e30120, 0x049aedeab0f5ffc3, 0xd63fadc3169da127, 0x373f77e78c940e4d, 0xa7b965d6b2673aee,
  0x8e3a7f06693d47e7, 0x8cd21cc580bbde0b, 0xfeccf1d7a3e767b4, 0x0796b719e534a807, 0x0404f2d3a514560a,
  0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0x84b997cdb2e0c76f, 0x9e985a0df9fd86ed,
  0x61d964a271966b21, 0xa792bf7343bd0799, 0x000000062141d760,
};

// m163_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c044, 0xbbbbbaabf0bb4589, 0xa984142cd8de4bbb, 0x694fdcf778bddcc5, 0xb52775056e9cefa6,
  0x0b5304f8c0482d95, 0xbb7aac275ff4299f, 0x46e4c5a76849c126, 0xcf285c1cb75551f5, 0x7e21b09117dc4963,
  0x1dc6e5e1fe8b2f09, 0x40253b599ef7ccd5, 0x47c1b307197a8f2b, 0x3afb1698a62b9c7d, 0x9afa5b1971c270dc,
  0x10e73abb76483a90, 0x5e363af3a6edd023, 0x3b16989f4720b635, 0x26470decb65f380e, 0x450b3535f86a8d82,
  0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8, 0xb1b8f3612e65f36c,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138,
  0x043539453c95fb9a, 0x0000000000000014,
};

// m163_u2x8_uart0_dual_pr
static const uint64_t ur_m163_u2x8_uart0_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x490770f6d41410f2,
  0x304f8c0482d95b52, 0xf11ec99182a90d77, 0xee5c61409f137dac, 0x99c9fe6571eb9dd3, 0xf51dfcd82fb38145,
  0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x955ddeef9b92b801, 0x5ad150865a119221, 0xe5ede71ffa039e13,
  0xf6617982c2accc5c, 0x127049aedeab1eff, 0x759e77cb09f169da, 0xc9e8e3a7f063efd4, 0x9a4398b016594c37,
  0xb1823af47cecf691, 0xd1cccaccaca2771c, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x12e65f36cb88ab7f, 0x68b1e71726ae0f36, 0x6837eeacc7903f28, 0x7c09c659ac867a61,
  0xafdcd0ef41e65876, 0x00018869c7d5b9e4,
};

static const uint64_t ur_m163_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0x95b77557e9d6d9b0,
  0x609f180905b2b6a4, 0xe23d932305523f5e, 0xdcb8c2813e26fb59, 0xb31c3fccab773ba7, 0xbd47fddb04ac7074,
  0x04508e489fc1c069, 0xdc3e144312bfcfdf, 0xcaaeef77cdc8ac00, 0xa328a8432d04c510, 0xe5edc27ffd01cf09,
  0xfd21f982c2accc5c, 0x849c126bb7aac5f3, 0x8f70cef96e785a76, 0x7dad1c74fe0ded7a, 0x3416731602eb14cf,
  0xd9823af01a9dabfa, 0xe59ed8fba25500ff, 0xf33e8e6656638f81, 0x2981013cb4e94527, 0x9d038a3cf8934746,
  0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x79b09732f9b65c45, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0x7e07efd86687993f, 0x3590cf4c2fc48f72, 0xe83ccb0ecf8138cb, 0xaeccb53c95fb9a1d,
  0x000000000014931e,
};

// m163_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m163_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xeebde85a592c5fae,
  0x30120b656d49836e, 0x99182a906ddcc13e, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x3fb0b1f387fc9834,
  0x9227f07d5f37a8fd, 0x10c4aff3f7c11423, 0xbbe6e7eb80370f85, 0x432d04ac88655777, 0xbffa039e132fb8a8,
  0x05855998b9cbdbef, 0xaedeab0e1ffa43f3, 0x68f4a169da127049, 0x3f93d4795edf9aad, 0xddf15f75ea3e0d98,
  0xcb8e1386e1d7d8b4, 0x2b813f3484d7d2d8, 0x6ded193c73ab4bce, 0x43b1aad743af6337, 0x76701c762d3e791a,
  0x546c11fadc37b2ef, 0xf47332b300a89507, 0x0809e5a74a293f99, 0x1c51e7c49a3a314c, 0xe0575539794d8ce8,
  0xef5545a6c59e8754, 0x84b997cdb2e22adf, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0x867a617e247b93f0, 0xe658767c09c659ac, 0x65a9e4afdcd0ef41, 0x000000002b264936,
};

// m163_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m163_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbac1e890ddb75, 0xeeeeeac0bd265f9b, 0x9c43d8a56f5deeee, 0xa4e402b777448a3b, 0x92bbafafb5a5c596,
  0x04f8c0482d95b527, 0x23d9323055215233, 0xcb8c2813e26fb59e, 0x6e9ffccab773ba7d, 0xa39c1d87579c287e,
  0x2847244fe0f674de, 0x1f0a21895fe7ef82, 0xaeef77cdcadf006e, 0x5150865a101910ca, 0xdb943ffa039e1319,
  0x43f305855998b9cb, 0x7049aedeab3f77fa, 0x7d547d57c169da12, 0xf71258f3ca17070c, 0xa2cbc25f886c2445,
  0x13f3354771b89b7f, 0xd05fa8fd04f72c10, 0x580a3e7491c74fe0, 0xc06a76afe8d059cc, 0xee895403ff6678eb,
  0x6656638f81e5adc3, 0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a,
  0x65f36cb831dbfdea, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x985f891ee4fc0fdf, 0x1d9f0271966b219e, 0x792bf7343bd07996, 0x00001a489969996a,
};

static const uint64_t ur_m163_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777583f6090cf68, 0xbbbbab58fd9bbf37, 0x7689fbf7b683bbbb, 0xe734bb13bbb2821f, 0x8fee66cceb0f9086,
  0x120b656d491ecee6, 0x182a90ba2cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0x872d1c19bf32547e,
  0x3f83c6e9bd47bc3d, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xa1d5e88655777bbe, 0x4073c268ad150865,
  0x56662e72f6f3b7ff, 0x559d3ffe90fcc161, 0x18b4ed093824d76f, 0x0b83835aaa3ea8ce, 0x361222fb892c79e5,
  0xdce5afd165e12fc4, 0xa76b33d7c99aa3b8, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8, 0x96c65c709c370ebe,
  0xceaedd388ea426be, 0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1, 0xb3a2541d51b044c8,
  0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5, 0x97063b7fbd55169b,
  0x5e371e6c25ccbe6d, 0xeaccdfc1ddc68b2d, 0xfc09c69430a9cfd4, 0x616837e03e687993, 0x767c09c659ac867a,
  0xe4afdcd0ef41e658, 0x000040027d7665a9,
};

static const uint64_t ur_m163_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5ac7d17df, 0xb656957962daefdd, 0xb201ad34bb13ba75, 0x014eeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x372d7e655bb9dd3e, 0xa3e376c3b04e1787,
  0x508e489fc1b5dcde, 0x3e144312bfcfdf04, 0x5ddeef9b849400dc, 0xe2a10cb423922195, 0x6fa6bfe80e784dbe,
  0x0fcc16156662e72f, 0xc126bb7aac0b5fe9, 0x51f5469585a76849, 0x4963cf285c1c53d5, 0x2f097e21b09117dc,
  0xccd51dc6e33e7e8b, 0x8f2b9c653b599e98, 0x927a8f83660f22fa, 0xe1b875f62d314c57, 0x752135f4b632e384,
  0x3c8daf8e7576e7bc, 0xb1aaf1b1d794d3b7, 0x380e3b169eb119a4, 0x8c5d332386f65b93, 0x94527f33e8e66567,
  0x1e7462981013cb4e, 0x83536253f7ce81c5, 0x9c083b3182169c91, 0x3612e65f36d3d0ea, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0xb219e985f891ee4f, 0x079961d9f0271966,
  0x9996a792bf7343bd, 0x0000000000100102,
};

static const uint64_t ur_m163_u2x8_uart0_dual_hw[] = {
  0x77777583d1219f68, 0xdddddd5899991bf3, 0x747706cc4ebb2ddd, 0x6e817d3b777619bd, 0x524adbb8abf75008,
  0xaf304f8c0482d95b, 0xacf11ec99182a91f, 0xd3ee5c61409f137d, 0x3a598e1fe655bb9d, 0x34dea3feed825638,
  0xef822847244fe0e0, 0x006e1f0a21895fe7, 0x88655777bbe6e456, 0x84d1945421968262, 0x2e72f6e13ffe80e7,
  0xf9fe249cc1615666, 0x3b424e0935dbd562, 0xbd47b8677cb73c2d, 0x67bed68e3a7f06f6, 0xfd1a0b398b01758a,
  0x7fecc11d780d4ed5, 0xc0f2cf6c7dd12a80, 0x93f99f47332b31c7, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32, 0x47abd14f257ee687, 0x00000000000018dd,
};

static const uint64_t ur_m163_u2x8_uart0_dual_ee_hw[] = {
  0xddddd60f44865c93, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0x770ce6ed5eec5fae,
  0xf180905b2b6a4c1b, 0x64c8c154836ee609, 0x30a04f89bed6788f, 0xa3f32addcee9f72e, 0xe9fd858f9c3fe4c1,
  0x1c913f83eaf9bd47, 0x2886257f9fbe08a1, 0xbddf373f5c01b87c, 0x4219682564432abb, 0x7dffd01cf0997dc5,
  0x982c2accc5ce5edf, 0x4d76f55870ffc493, 0x6b47a50b4ed09382, 0xc1fc9ea3caf6fcd5, 0xa6ef8afbaf51f06c,
  0xc65c709c370ebec5, 0x715c09f9a426be96, 0xbb6f68c9e39d5a5e, 0xd21d8d56ba1d7b19, 0x7bb380e3b169f3c8,
  0x3aa3608fd6e1bd97, 0xcfa39995980544a8, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67,
  0xff7aaa2d362cf43a, 0x6c25ccbe6d971156, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x19e985f891ee4fc0, 0x9961d9f0271966b2, 0xe8a792bf7343bd07, 0x0000000002bb5924,
};

static const uint64_t ur_m163_u2x8_uart0_dual_ce_hw[] = {
  0x7777583d121a559b, 0xddddd5817a4cbf37, 0x3887b14adebbdddd, 0x49c8056eee891477, 0x9e4aee70bddb042d,
  0xcc13e30120b656d4, 0x788f64c8c1548548, 0xf72e30a04f89bed6, 0xf9ba7ff32addcee9, 0x7a8e70761d5e70a1,
  0x08a11c913f83d9d3, 0xb87c2886257f9fbe, 0x2abbbddf372b7c01, 0x6545421968406443, 0x2f6e50ffe80e784c,
  0xe249cc16156662e7, 0x49c126bb7aacfddf, 0x31f551f55f05a768, 0x17dc4963cf285c1c, 0xfe8b2f097e21b091,
  0x404fccd51dc6e74f, 0x83417ea3f413dcb0, 0x316028f9d2471d3f, 0xaf01a9dabfa34167, 0x0fba25500ffd99e3,
  0x3999598e3e0796b7, 0x04f2d3a5149fccfa, 0x28f3e24d1d18a604, 0x2baa9cbca6c6740e, 0xaaa2d362cf43aa70,
  0xb997cdb2e0c76ff7, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf,
  0x3b3e04e32cd6433d, 0xf257ee6877a0f32c, 0x0000004dd532d514,
};

static const uint64_t ur_m163_u2x8_uart0_dual_ee_ce_hw[] = {
  0xddddd60e1eb432db, 0xeeeeead63f66efcd, 0xdda27efdeda0eeee, 0xb9cd2ec4eeeca087, 0xdc705bad75c3e421,
  0xc602416cada923d9, 0x9323055217459827, 0xc2813e26fb59e23d, 0x8fccab773ba7dcb8, 0x87b0e5a38337e64a,
  0x9227f078dd37a8f7, 0x10c4aff3f7c11423, 0x77cdc54880370f85, 0x0cb43abd10caaeef, 0xffe80e784d15a2a1,
  0x2c2accc5ce5ede76, 0xedeab3a7ffc49398, 0x19c3169da127049a, 0x3ca170706b5547d5, 0xf886c2445f71258f,
  0x771b9787fa2cbc25, 0x4494ed667af93354, 0x1f06cc1a63ea3cae, 0xd7d8b4c531584ff5, 0xd7d2d8cb8e1386e1,
  0x9e39d5dba711d484, 0xf1b1d7b19bb6f68c, 0x762d3e791a43b1aa, 0x991c37b2ef76701c, 0x5996744a83aa3608,
  0xd3a5149fccfa3999, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3, 0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2,
  0x4bd5c6e3cd84b997, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0xac867a616837e39e, 0x41e658767c09c659,
  0x7d7a29e4afdcd0ef, 0x000000000000ebaa,
};

static const uint64_t ur_m163_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xdddddd60f4486f97, 0xeeeeeead63d35efc, 0x4806e727dee1f6ee, 0x23aed2ec4ee9d6d9, 0x4ee782dd2acd9bae,
  0x3e30120b656d4901, 0xf64c8c15481544c1, 0xe30a04f89bed6788, 0x96bf32addcee9f72, 0xf1bb61d8270bc39b,
  0x47244fe0daee6f51, 0x0a21895fe7ef8228, 0xef77cdc524006e1f, 0x50865a11c910caae, 0xbb5ff4073c26df71,
  0xcc16156662e72f6f, 0x4d76f559d5ffe249, 0xea8d2b0b4ed09382, 0xc79e50b839a6eaa3, 0x12fc4361222fb892,
  0xaa3b8dc986fd165e, 0x57a54a76b33d3199, 0xf51f06cc1e45f51e, 0x70ebec5a6298ad00, 0x426be96c65c709c3,
  0x8ebf9ceaedcbe0ea, 0xaaf1b1d794d3b748, 0x38ec5a752d18fbb1, 0xa24c8e1bd96e4ce0, 0x49fccfa399959e31,
  0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c, 0x6e3cd84b997cdb2e,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32,
  0xd502514f257ee687, 0x0000000000000075,
};

// m163_swio10_noled_pr
static const uint64_t ur_m163_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0xec2f411d78d7a137,
  0xc0482d95b52776c7, 0xfe2907cf995304f8, 0xad73be589aa4013f, 0x19471d3f8310fea3, 0x82ce62c05bdd34dd,
  0x58c11d78b9d89a47, 0x5e5caad4aca97b8e, 0x54aa35d64073241b, 0xace576a96fab39d4, 0xba62552fbd7d34c9,
  0x7acef2e7b55a22bc, 0x42d2d7f88d4f0c53, 0x69e8754e05b8f8a0, 0xb1e70ddb09732f9b, 0xdfbab31e40d1fc68,
  0x271966b219e985a0, 0x343bd079961d964a, 0xc8124d241e792bf7, 0x0000000000000007,
};

static const uint64_t ur_m163_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae4506dc4a3, 0xfad4f54c0e26c13c, 0x59ade1631d7a45b1, 0xde3cb8f8bdd8e3d0,
  0xcada93bab074d889, 0xcfc7b9827c602416, 0xcb08b483baffa90b, 0xe9fc193dea3cdc77, 0x1602cb29bba05238,
  0xd7a3e761f11dac73, 0xfa059ea807fecc11, 0xb955a882540f2cf6, 0x546bac80e64836bc, 0xcaed52df5673a8a9,
  0xc4aa5f7afa699359, 0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2f9b62b5455bfdea,
  0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x247b93f03f7ec334,
  0x09c659ac867a617e, 0xdcd0ef41e658767c, 0xf93d65a7d5b9e4af,
};

// m163_swio10_noled_pr_ee_u4
static const uint64_t ur_m163_swio10_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0x5b52774eb68912d5, 0xf1ad304f8c0482d9, 0xe3dd20d37ff52179, 0xd7d47959c39aad68, 0xe2b90fea3e0d9833,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0xc51c4273ab4bd4a5, 0xd8d56ba1d79d3769, 0x380e3b169ad74622,
  0x1b047eb70decb65f, 0xe5caad40259f5fd5, 0x4aa35d64073241b5, 0xce576a96fab39d45, 0xa62552fbd7d34c9a,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x997cdb15aa2adfef, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b,
  0x7ee6877a0f32c3b3, 0x0013ae59beadcf25,
};

// m163_swio10_noled_pr_ce_u4
static const uint64_t ur_m163_swio10_noled_pr_ce[] = {
  0xcfdddddda2447705, 0xb3bb557382e2f896, 0x417420df4b5a1b5a, 0x9170ff8b3616805f, 0xfb4d2cfdd93ddd9e,
  0x2d95b52776c36f91, 0x179fdf7304f8c048, 0x47d427d2053dff52, 0x92c79e3254ed82d5, 0x5e12fc4361222fb8,
  0x99aa3b8dc67cfd16, 0xbf51f249ee5821ac, 0x284f5f238e9fc1e0, 0x3e761f11dac73160, 0x59ea807feccf1d7a,
  0x56a209503cb5bba0, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0xa97debe9a64d672b, 0xd73daad115e5d312,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0xdb15a8c76ff7aaa2, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e,
  0xde6dbeadcf257ee6, 0x0000000000000375,
};

static const uint64_t ur_m163_swio10_noled_pr_ee_ce[] = {
  0x78fddddddd4458e2, 0x75eeed55c8a53389, 0xc48ec1bdc29a9fa5, 0xa87e2ec7ae368b0c, 0x4ee4b415e41fb78f,
  0x6d49dd29da1b8ed7, 0xeed4c13e30120b65, 0x43d2031fffa90bcf, 0xe3254ec2d58fea8e, 0xdf339d771b8c87f9,
  0xea3cadd2ca76b02b, 0x5fcef51f06cc1a01, 0x1386e1d7d8b4c531, 0xa1d484d7d2d8cb8e, 0x69c51c4273abb754,
  0x45b1aaf1b1d79d37, 0xbe701c762d35ae8c, 0xd51b044c8e1bd96c, 0xb5e5caad4b359f5f, 0x454aa35d64073241,
  0x9ace576a96fab39d, 0xcba62552fbd7d34c, 0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa,
  0x9732f9b62b518edf, 0x43458f38b93571b0, 0x0b41bf75663c81f9, 0x2c944e32cd6433d3, 0x57ee6877a0f32c3b,
  0x00534d3ebbeadcf2,
};

static const uint64_t ur_m163_swio10_noled_pr_ee_ce_u4[] = {
  0x0adddddda2435f41, 0x1eeed55e11119c4b, 0xfe86edd3f66c42ff, 0xa53636d90123d388, 0xcc8c4ea66d829170,
  0xada93bb45fad8935, 0xfc009827c602416c, 0xdf7482d6ffffaa4c, 0x285c1c9dbaa8faa3, 0x21b09117dc4963cf,
  0x1b8aebfe8b2f097e, 0x94ed667bdf335477, 0x0d983403d4795ba5, 0xb1698a62bf9dea3e, 0xa5b1971c270dc3af,
  0xe7576ea943a909af, 0x63af3a6ed38a3884, 0x5a6b5d188b6355e3, 0x1c37b2d97ce038ec, 0x966b3ebfaa360899,
  0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xf7afa699359caed5, 0xf6ab4457974c4aa5, 0x8a53c34ef1dfd75c,
  0x329e8754e041dd4d, 0x56a31dbfdeaa8b4c, 0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89, 0x343bd079961d9f02, 0xf86e41996a792bf7,
  0x0000000000000009,
};

static const uint64_t ur_m163_swio10_noled_hw[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab91462312, 0x74b8ee8714718c22, 0x5fd0ef410d72f7e2, 0xd2436d8c48bbb110,
  0x0905b2b6a4eec2fd, 0xfe1c79f912609f18, 0xd313be589aa41a57, 0x88638e9fc1887f51, 0x93c731602dee9b4a,
  0x9630475e2e76ded1, 0xd7972ab52b167ee3, 0x152a8d75901cc906, 0x6b395daa5beace75, 0x2e98954bef5f4d32,
  0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x2e65f36c56a8ab7f, 0xa616837e7f61bb61,
  0x7659289c659ac867, 0xe4afdcd0ef41e658, 0x000000238971d829,
};

static const uint64_t ur_m163_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x5aa2d0564041b410,
  0x0b656d49dd765ba7, 0x0a67c6b4c13e3012, 0xab5a38f74834dffd, 0x660cf5f51e5670e6, 0x5a6ef8ae43fa8f83,
  0x6c65c709c370ebec, 0xf52971ac9a426be9, 0x4dda7147109cead2, 0xd188b6355ae875e7, 0x2d97ce038ec5a6b5,
  0xd7f546c11fadc37b, 0x906d7972ab500967, 0xe75152a8d75901cc, 0xd326b395daa5beac, 0x8af2e98954bef5f4,
  0x69de3bfaeb9ed568, 0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x3612e65f36c56a8a, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0xb453c95fb9a1de83,
  0x00000000005bf998,
};

static const uint64_t ur_m163_swio10_noled_ce_hw[] = {
  0x67eeeeeed1218375, 0x59ddaab9c1717c4b, 0xbf682eefa5ad0dad, 0x3d22e1ff166c2d00, 0xbb619a59fbb27bbb,
  0x0120b656d49dd817, 0x7fd0a67f7dcc13e3, 0x60b551f509f4814f, 0x17dc4963cf285c1c, 0x7e8b2f097e21b091,
  0x10d64cd51dc6e21f, 0xe0f05fa8f924f72c, 0x98b01427af91c74f, 0x8ebd1f3b0f88ed63, 0xddd02cf5403ff667,
  0x7972ab5104a81e5a, 0x52a8d75901cc906d, 0xb395daa5beace751, 0xe98954bef5f4d326, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0xccbe6d8ad463b7fb, 0x9cfd4176371e6c25, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x00001d66cc1ca8a7,
};

// m163_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m163_swio10_noled_ee_ce_hw[] = {
  0x15bbbbbb44864c7f, 0x3dddaabc22233896, 0xfd0ddba7ecd885fe, 0x4a6c6db20247a711, 0x19189d4cdb0522e1,
  0xb656d49ddebbddad, 0xa67e004c13e30120, 0xf547bee905adffd0, 0xc79e50b8393b7551, 0x12fc4361222fb892,
  0x54771b9dd6fd165e, 0x5ba594ed667bdf33, 0xea3e0d983403d479, 0xc3afb1698a62bf9d, 0x09afa5b1971c270d,
  0x3884e7576ea943a9, 0x55e363af3a6ed38a, 0x38ec5a6b5d188b63, 0x08991c37b2d97ce0, 0x955a966b3ebfaa36,
  0x46bac80e64836bcb, 0xaed52df5673a8a95, 0x4aa5f7afa699359c, 0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df,
  0x8b4c329e8754e041, 0xf36c56a31dbfdeaa, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf, 0x000a023721453c95,
};

static const uint64_t ur_m163_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x7770a267e946beec,
  0x30120b656d49ddcc, 0xff8a41f3efe4c13e, 0x3fc877cb135480ca, 0x0f7c71d3f8310fea, 0x3e80e62c05bdd320,
  0x72c608ebc5ced6b2, 0x6d7972ab52b39edc, 0x5152a8d75901cc90, 0x101395daa5beace7, 0x8956ae97f4d326b8,
  0xfd6b9ed5688af2e9, 0x5ea58594d8b3a03c, 0x0363fc502169ab9d, 0x84b997cdb4f43aa7, 0x9e985a0df9fd86ed,
  0x61d964a271966b21, 0xe792bf7343bd0799, 0x00000005496ed241,
};

// m163_swio10_lednop_pr_u4
static const uint64_t ur_m163_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x9ed93dd590e3609e, 0x0b35bc2c6d8ca11e, 0x120bf31e3fbb1c7a,
  0xd95b5277638ee2fb, 0x79f80d304f8c0482, 0xf2c22d200f7ff521, 0x3a7f064f7a8f389d, 0x8b016594c1ed008e,
  0xd7a3e764c51c1f39, 0x76b740a807fecc11, 0x972ab5422607967b, 0x2a8d75901cc906d7, 0x395daa5beace7515,
  0x6ae97f4d326b8101, 0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0xc218ab7fbd551691,
  0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0x3f03f7ec3343cc9f,
  0x9ac867a617e247b9, 0xf41e658767c09c65, 0x057d5b9e4afdcd0e, 0x00000000000f9357,
};

static const uint64_t ur_m163_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x52774ed6a334e447, 0x5f304f8c0482d95b, 0xba411cbfea42f3fd, 0xa8f2b287355ad1c7, 0x652fd47c1b3067af,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x35f0e75697726b8d, 0xaad743af3a6ec7aa, 0x1c762d388518dfb1,
  0x08fd6e1bd96cbe70, 0xcaad402e8167aa36, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0xba5fd34c9ae0404e,
  0x7b55a22bcba6255a, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x862adfef5545a476, 0x5c1e6c25ccbe6db0,
  0x81f943459d3e2e4d, 0xca1854e7ea75663c, 0xf327f8b9c65f989f, 0x0b41bf1cf7ff04d0, 0xb3e04e32cd6433d3,
  0x257ee6877a0f32c3, 0x0000275e053eadcf,
};

static const uint64_t ur_m163_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0x5b527747b6c71086, 0xf8e5304f8c0482d9, 0x7dd520b75ff52179, 0x7dea3cae43cd56b4, 0xe2b74bea3e0d9839,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0xf234c4e756975f6b, 0x1aad743af5d4dda5, 0x80e3b1698f88ed6b,
  0x3a0fadc37b2e1cb3, 0x0e64836bcb955aae, 0xf5673a8a9546bac8, 0x9935c0809caed52d, 0x57974c4ab574bfa6,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb610c55bf, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3,
  0x257ee6877a0f32c3, 0x00009d74d03eadcf,
};

// m163_swio10_lednop_pr_ce_u4
static const uint64_t ur_m163_swio10_lednop_pr_ce[] = {
  0x67eeeeeed1222044, 0x59ddaab9c1619c4b, 0xc8eb45d267c7cdad, 0x45c3fe2f179b18ee, 0x739eb8d32437767a,
  0x5b2b6a4eea0ade9c, 0x2f3fb3a609f18090, 0x8fa84fa412bbfea4, 0x258f3c64a9de56aa, 0xbc25f886c2445f71,
  0x3354771b8951fa2c, 0x7ea38293dcb04359, 0xbb7e5f471d3f83c1, 0xf3b2628e0f9cc580, 0xa05403ff6678ebd1,
  0x56a844c0f2d6eb5b, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0x2fe9a64d7020272b, 0xaad115e5d312ad5d,
  0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0x1e6c25ccbe6db084, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2,
  0x56e792bf7343bd07, 0x00000000dd7ab29f,
};

static const uint64_t ur_m163_swio10_lednop_pr_ee_ce[] = {
  0x78fddddddd4477d6, 0x75eeed55c8a2c189, 0xd19ea3bd5a1e9fa5, 0xa87e2ec7d335c742, 0x91977645e41fb78f,
  0x6d49dd7ada5295f0, 0xf4d4c13e30120b65, 0x90f483fe7fd485e7, 0xf192a7763f63faa3, 0xef99cebb8dc24afc,
  0xf51e565d653b5815, 0xace1fa8f83660d00, 0x09c370ebec5a6298, 0x98ea426be96c65c7, 0xb1ea8d7c39d5db9c,
  0x6fd8d578d8ebce9b, 0x5f380e3b169c428c, 0xea8d8226470decb6, 0x6d7972ab52cfa059, 0x5152a8d75901cc90,
  0x101395daa5beace7, 0x8956ae97f4d326b8, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421,
  0x36d84263b7fbd551, 0xe71726ae3612e65f, 0xeeacc7903f2868b1, 0xc659ac867a616837, 0x0ef41e6587659289,
  0xec7f7d5b9e4afdcd, 0x0000000000000534,
};

static const uint64_t ur_m163_swio10_lednop_pr_ee_ce_u4[] = {
  0x0adddddda2436d3a, 0x1eeed55e1132744b, 0x3d295bad2c19c2ff, 0x4a6c6db208cc48fd, 0xb33b12b05b0522e1,
  0xada93bb73b47b577, 0xfc6e9827c602416c, 0xbee9035dffff5499, 0x285c1cc41551f547, 0x21b09117dc4963cf,
  0x8dcea77e8b2f097e, 0xca76b33def99aa3b, 0x06cc1a01ea3cacba, 0xd8b4c53159c3f51f, 0xd2d8cb8e1386e1d7,
  0x73abb73931d484d7, 0xb1d79d3763d51af8, 0x2d388518dfb1aaf1, 0x8e1bd96cbe701c76, 0xa59f40b3d51b044c,
  0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0xe9a64d7020272bb5, 0xd115e5d312ad5d2f, 0xe74079bdb5d73daa,
  0xea9c0842a417296b, 0x6ff7aaa2d23b73d0, 0x6c25ccbe6db084c7, 0xf83bb8d1637c371e, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xb32d4f257ee6877a,
  0x00000000013f32d2,
};

static const uint64_t ur_m163_swio10_lednop_hw[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x7770a267e946beec,
  0x30120b656d49ddcc, 0xaffc38f3efe4c13e, 0xa3fc877cb135480c, 0x00f7c71d3f8310fe, 0x23e80e62c05bdd32,
  0xc72c608ebc5ced6b, 0x06d7972ab52b39ed, 0x75152a8d75901cc9, 0x8101395daa5beace, 0x98956ae97f4d326b,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x70363fc502169ab9, 0xd84b997cdb4f43aa, 0x19e985a0df9fd86e,
  0x961d964a271966b2, 0x0a792bf7343bd079, 0x0000000008e2b776,
};

static const uint64_t ur_m163_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x447ec8833106d043,
  0x5b2b6a4eed86ddfb, 0xa67fabe609f18090, 0xb5a38f7482397fd0, 0x60cf5f51e5650e6a, 0xa6ef8aca5fa8f836,
  0xc65c709c370ebec5, 0xe4d71ac9a426be96, 0xdd8f546be1cead2e, 0x31bf6355ae875e74, 0xd97ce038ec5a710a,
  0xcf546c11fadc37b2, 0x836bcb955a805d02, 0x3a8a9546bac80e64, 0xc0809caed52df567, 0x4c4ab574bfa69935,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x7cdb610c55bfdeaa, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3,
  0x00016ffe69d14f25,
};

static const uint64_t ur_m163_swio10_lednop_ce_hw[] = {
  0xcfdddddda2431768, 0xb3bb557382c33896, 0xbdb23ba4cf8f9b5a, 0xe9170ff8bc5e6c63, 0xea0a7ae34c90ddd9,
  0x0482d95b52774dd6, 0xff4299fd9d304f8c, 0x2b5547d427d2095d, 0x5f71258f3ca17073, 0xfa2cbc25f886c244,
  0x43593354771b9faf, 0x83c17ea38293dcb0, 0xc580bb7e5f471d3f, 0xebd1f3b2628e0f9c, 0xeb5ba05403ff6678,
  0xf2e556a844c0f2d6, 0xa551aeb2039920da, 0x272bb54b7d59cea2, 0xad5d2fe9a64d7020, 0xd73daad115e5d312,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb084c76ff7aaa2d2, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41,
  0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027, 0xcdf087e8a792bf73,
  0x000000000000003a,
};

// m163_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_swio10_lednop_ee_ce_hw[] = {
  0x0adddddda243173e, 0x1eeed55e1132744b, 0x3d295bad2c19c2ff, 0x4a6c6db208cc48fd, 0xb33b12b05b0522e1,
  0xb2b6a4eee7deea8f, 0x67f1ba609f180905, 0x547bee9035dffd0a, 0x3cf285c1cc41551f, 0x97e21b09117dc496,
  0x4771b9aa0fe8b2f0, 0x97594ed667bdf335, 0xa3e0d983403d4795, 0x3afb1698a62b387e, 0x9afa5b1971c270dc,
  0x5f0e7576e7263a90, 0x5e363af3a6ec7aa3, 0x8ec5a710a31bf635, 0x8991c37b2d97ce03, 0xaad4b3e8167aa360,
  0x35d64073241b5e5c, 0x76a96fab39d454aa, 0xa5fd34c9ae0404e5, 0xb55a22bcba6255ab, 0x2d7ce80f37b6bae7,
  0x7a1d5381085482e5, 0x98edfef5545a476e, 0xe3cd84b997cdb610, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0xd6433d30bf123dc9, 0xa0f32c3b3e04e32c, 0x2d2d14f257ee6877, 0x000000000000280b,
};

// m163_swio10_dual_pr               m163_swio10_dual_pr_u4
static const uint64_t ur_m163_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3f38afc6, 0xd8d5bb1c7c8b4b3f, 0xc895bfa63d9b106e, 0x5ece76ca7adbad16,
  0xb524907734f68ebf, 0x113304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0xe00370f8510c4aff, 0x24432abbbddf371f, 0x3c26b5a2a10cb423,
  0x317397b7387ff407, 0x2fbff487e60b0ab3, 0xf51c279df2d91690, 0x97dc891c74fe0ed6, 0xe46b5ce62c05d629,
  0xffd9823af01a9da6, 0x40f2cf6e32ded500, 0x9fccfa3999599f54, 0x901cc906d7972ab5, 0x5beace75152a8d75,
  0x4d326b8101395daa, 0x88af2e98956ae97f, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87,
  0xb09732f9b6c218ab, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0xccb53c95fb9a1de8, 0x0000000014935ad4,
};

static const uint64_t ur_m163_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x983eead63fbbbf1d, 0xa0fb77ed1da32313, 0x541b01489f55f62f, 0x6577d178ca16ec8a,
  0xc1774b26cda18532, 0x09f180905b2b6a4a, 0x8f64c8c15484e3e6, 0x2e30a04f89bed678, 0x8c7ff32addcee9f7,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b8089006e, 0xe2a10cb417da2195,
  0x6e1a3fe80e784c1e, 0x0fcc16156662e72f, 0xad68ea55204b5fe9, 0x307b7fd4795cae9a, 0xd377c5795bd47c1b,
  0x632e384e1b875f62, 0xe1ae04fcd2135f4b, 0x76dbe8d0039d5a5c, 0xdefb1aad743af633, 0x7bb380e3b1698288,
  0x1aa3608fd6e1bd97, 0x67d1cccacc02deee, 0xe64836bcb955acfe, 0x5673a8a9546bac80, 0x935c0809caed52df,
  0x7974c4ab574bfa69, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0xb997cdb610c55bfd,
  0xb8d165abc6e3cd84, 0x1539fa9d599bf83b, 0xcd0f327f8138d286, 0x3590cf4c2d06fc07, 0xe83ccb0ecf8138cb,
  0xb6ccb53c95fb9a1d, 0x000000000001591e,
};

static const uint64_t ur_m163_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63f7eefc, 0xadeef747b5864670, 0x6e667d39d96d8bc6, 0xac40355f45e32858,
  0xd49312ee782d70b2, 0xc7cc13e30120b656, 0xacf11ec99182a909, 0xd3ee5c61409f137d, 0x13a992d7e655bb9d,
  0xdcdea3c56d80d638, 0xef822847244fe0f7, 0x006e1f0a21895fe7, 0x10caaeef77cdcb91, 0x13489150865a11ed,
  0xb9cbdb868ffa039e, 0xd7fa43f305855998, 0x50e6ab5a331f4812, 0x8f83660fa8f51e56, 0xebec5a6ef8add2fa,
  0x6be96c65c709c370, 0xab4bd4a5c0719a42, 0x5e534ed2f91af873, 0x63e231bf6355ae87, 0x1bd96e4ce038ec5a,
  0xd1cccacd71d07d6e, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x5c0809caed52df56, 0x74c4ab574bfa6993,
  0x1e7eb5cf6ab44579, 0xceaf52c2ca6c59d0, 0x5381b1fe2810b4d5, 0xe6c25ccbe6da7a1d, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0xd6433d30bf123dc9, 0xa0f32c3b3e04e32c,
  0x5b32d4f257ee6877, 0x0000000000056408,
};

// m163_swio10_dual_pr_ce_u4
static const uint64_t ur_m163_swio10_dual_pr_ce[] = {
  0x902f777776890c86, 0x38b07dd58b8d57df, 0x56d77eea0a7ad06e, 0xd89e4a539d6f7ecb, 0x54e82c8053ef7605,
  0x5b52571bbbbb36d0, 0x7ad5304f8c0482d9, 0xf6b3c47b26460aa4, 0x774fb97185027c4d, 0xe035a6275f9956ee,
  0xcad37a8fa6f61158, 0x9fbe08a11c913f83, 0x2801b87c2886257f, 0xa4432abbbddf3709, 0x3c26ea22a10cb40c,
  0x62e72f6fd3fff407, 0x8adfe90fcc161566, 0x073675547d43dd20, 0x2445f71258f3ca17, 0x495fa2cbc25f886c,
  0x2c1013f3354771b9, 0xa7f07d27a8e7acf7, 0x5ce62c057f3a88e3, 0x9e3af01a9da6e46b, 0xb5ba32ded500ffd9,
  0x3e8e665667d5103c, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x997cdb61098edfef, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7, 0x8767c09c659ac867,
  0x9e4afdcd0ef41e65, 0x00000069240a665a,
};

static const uint64_t ur_m163_swio10_dual_pr_ee_ce[] = {
  0x3ed6eeeeeea1a5fb, 0x4e60fbab71fc89bf, 0xf7337bb62f1a8053, 0x388a727270b26d13, 0xae3f2bbde9d33fb5,
  0x12ee964d5189852f, 0x13e30120b656d49b, 0x3d932305520e49cc, 0xb8c2813e26fb59e2, 0xadffccab773ba7dc,
  0x74dbd84ed9c2d6e6, 0x11c913f8319b9bd4, 0xc2886257f9fbe08a, 0xef77cdc575c01b87, 0x50865a050d10caae,
  0x8ddff4073c2674b1, 0xcc16156662e72f6f, 0x51b05a413b7fe90f, 0xfcf285c1c4dbb1fd, 0x2af9339d771b8d07,
  0x89ea3caf024a76b0, 0x315a9ef51f06cc1c, 0x8e1386e1d7d8b4c5, 0x1c31d484d7d2d8cb, 0x6edb7d1a0073abb7,
  0x37bec6abc6c75ec6, 0xdeece038ec5a60a2, 0xc3546c1132386f65, 0xccfa399959967bdd, 0x1cc906d7972ab59f,
  0xeace75152a8d7590, 0x326b8101395daa5b, 0xaf2e98956ae97f4d, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a,
  0xbd551691db9e8754, 0x2e65f36d84263b7f, 0xbb8d163ce1b8f361, 0x4c2d06fdd599bf83, 0x0ecf8138cb3590cf,
  0x3c95fb9a1de83ccb, 0x000001304d38ccb5,
};

static const uint64_t ur_m163_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76421f, 0x3eead50faf77e75d, 0x64d51fa2f499f698, 0x7f1fefaf87c3c3d9, 0x833467d765887b15,
  0xd75da7d793abde44, 0x656d49b0cee2fada, 0x458f5cc13e30120b, 0xdf6b3c47b26460aa, 0xe774fb97185027c4,
  0xc0d6e6986fccb4b7, 0x6fcdea38a4d87eb9, 0xfdf04508e489fc1d, 0x400dc3e144312bfc, 0x88655777bbe6e7ad,
  0x134ae8a8432d08ac, 0x7397b74a8ffa039e, 0xff7459260b0ab331, 0x5547d51c72a41faf, 0xb892c79e50bcec52,
  0x165e12fc4361222f, 0xf266a8ee373d6afd, 0xa8f2bc0929daccf5, 0x6a7bd47c1b307227, 0x4e1b875f62d314c5,
  0xc752135f4b632e38, 0x6df46801ceaedc70, 0xfb1aaf1b1d7b19bb, 0xb380e3b1698288de, 0x51b044c8e1bd977b,
  0xe8e6656659ef770d, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0xae0404e576a96fab, 0xba6255aba5fd34c9,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x97cdb61098edfef5, 0x37c5c9ab83cd84b9,
  0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2,
  0xcd0ef41e658767c0, 0x06f251d1649e4afd, 0x0000000000000040,
};

static const uint64_t ur_m163_swio10_dual_hw[] = {
  0x17777776890c365a, 0xd83eeadc7e715f8d, 0xb1ab7638f916967e, 0x912b7f4c7b3620dd, 0xce1ced94f5b75a2d,
  0x656d49241dc4dee8, 0x48044cc13e30120b, 0x9bed6788f64c8c15, 0xdcee9f72e30a04f8, 0xd9c0a2cce4ff32ad,
  0xc199537a8efe6c17, 0xbfcfdf04508e489f, 0xc7f800dc3e144312, 0x08c910caaeef77cd, 0x01cf09ad68a8432d,
  0xaccc5ce5edce1ffd, 0xa40beffc493982c2, 0xb5bd4709e77cb645, 0x8a65f722471d3f83, 0x69b91ad7398b0175,
  0x403ff6608ebc06a7, 0xd5103cb3db8cb7b5, 0xad67f33e8e665667, 0x5d64073241b5e5ca, 0x6a96fab39d454aa3,
  0x5fd34c9ae0404e57, 0x55a22bcba6255aba, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7,
  0x1e6c25ccbe6db086, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0xb219e985f891ee4f,
  0x079961d9f0271966, 0x5aa8a792bf7343bd, 0x00000000000c6eab,
};

static const uint64_t ur_m163_swio10_dual_ee_hw[] = {
  0xecb777776890cf68, 0x9cc1f756b1fdddf8, 0x7d07dbbf68ed1918, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x52560bb9a3fba675, 0x1f304f8c0482d95b, 0xb3c47b26460aa427, 0x4fb97185027c4df6, 0x2d4c63ff9956ee77,
  0xa6f51c9d6c12d1c0, 0x7c114239227f0715, 0x0370f8510c4aff3f, 0x0caaeef77cdc0448, 0x60f7150865a0bed1,
  0x397b70d1ff4073c2, 0xff124e60b0ab3317, 0x74d56b4752a9025a, 0xe0d983dbfea3cae5, 0xfb169bbe2bcadea3,
  0xfa5b1971c270dc3a, 0xd2e70d7027e6909a, 0xb19bb6df46801cea, 0x1446f7d8d56ba1d7, 0xecbbdd9c071d8b4c,
  0xf770d51b047eb70d, 0x67f33e8e66566016, 0x64073241b5e5caad, 0x96fab39d454aa35d, 0xd34c9ae0404e576a,
  0xa22bcba6255aba5f, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x6c25ccbe6db0862a,
  0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2,
  0xe8a792bf7343bd07, 0x0000000000aed3d6,
};

static const uint64_t ur_m163_swio10_dual_ce_hw[] = {
  0x0bdddddda2436f02, 0x2c1f7562e355f7e4, 0xb5dfba829eb41b8e, 0x279294e75bdfb2d5, 0xb40b2014fbdd8176,
  0x5b52571bb9fc3bb5, 0x7ad5304f8c0482d9, 0xf6b3c47b26460aa4, 0x774fb97185027c4d, 0xe035a6275f9956ee,
  0xcad37a8fa6f61158, 0x9fbe08a11c913f83, 0x2801b87c2886257f, 0xa4432abbbddf3709, 0x3c26ea22a10cb40c,
  0x62e72f6fd3fff407, 0x8adfe249cc161566, 0x073675547d43dd20, 0x2445f71258f3ca17, 0xcb5fa2cbc25f886c,
  0x2c1013f3354771b9, 0xa7f07d27a8e7acf7, 0x5ce62c057f3a88e3, 0x9e3af01a9da6e46b, 0xb5ba32ded500ffd9,
  0x3e8e665667d5103c, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x997cdb61098edfef, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3, 0x257ee6877a0f32c3,
  0x0000004dd605514f,
};

static const uint64_t ur_m163_swio10_dual_ee_ce_hw[] = {
  0x7daddddddd435032, 0x9cc1f756e3f9137e, 0xee66f76c5e3500a6, 0x7114e4e4e164da27, 0x5c7e577bd3a67f6a,
  0x9b12eeabdeebc15f, 0xcc13e30120b656d4, 0xe23d932305520e49, 0xdcb8c2813e26fb59, 0xe6adffccab773ba7,
  0xd474dbd84ed9c2d6, 0x8a11c913f8319b9b, 0x87c2886257f9fbe0, 0xaeef77cdc575c01b, 0xb150865a050d10ca,
  0x6f8ddff4073c2674, 0x49cc16156662e72f, 0xfd51b05a413b7fe2, 0x43fcf285c1c4dbb1, 0x58157c99cebb8dc6,
  0x0e44f51e5781253b, 0x6298ad4f7a8f8366, 0x65c709c370ebec5a, 0xdb8e18ea426be96c, 0x63376dbe8d0039d5,
  0x511bdf6355e363af, 0xb2ef76701c762d30, 0xeee1aa3608991c37, 0xcfe67d1cccaccb3d, 0xc80e64836bcb955a,
  0x2df5673a8a9546ba, 0xa69935c0809caed5, 0x4457974c4ab574bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af,
  0xbfdeaa8b48edcf43, 0xb09732f9b6c2131d, 0xd30b41bf3fb0dc79, 0xc3b3e04e32cd6433, 0x4f257ee6877a0f32,
  0x00000001134f4e51,
};

// m161_swio10_dual_ee_ce_hw         m161_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m163_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1bf5b, 0x07dd5aa1f5eefceb, 0x87baa3f45e933ed3, 0x62afe3fdf5f0fb47, 0xc890668cfaecb10f,
  0xe66fba5f5af2757b, 0x30120b656d49b0ce, 0x6460aa458f5cc13e, 0x5027c4df6b3c47b2, 0xf997612774fb9718,
  0x9b0fd7381adcd30d, 0x913f83adf9bd4714, 0x86257f9fbe08a11c, 0x7cdcf5a801b87c28, 0x65a115910caaeef7,
  0xff4073c2695d1508, 0x6156662e72f6e951, 0xe5483f5ffceadcc1, 0xf860e0a4aa8faa38, 0x6c2445f71258f3c6,
  0x73ce5fa2cbc25f88, 0x9daccf5f266a8ee3, 0xb307227a8f2bc092, 0x2d314c56a7bd47c1, 0xb632e384e1b875f6,
  0xeaedc70c752135f4, 0xd7b19bb6df46801c, 0x98288defb1aaf1b1, 0x1bd977bb380e3b16, 0x9ef770d51b044c8e,
  0xad67f33e8e665665, 0x5d64073241b5e5ca, 0x6a96fab39d454aa3, 0x5fd34c9ae0404e57, 0x55a22bcba6255aba,
  0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x8edfef5545a476e7, 0x3cd84b997cdb6109, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xd85f4f257ee6877a,
  0x0000000003aeb6ac,
};

// m163_swio12_noled
static const uint64_t ur_m163_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x5b2b6a4ee82fdd5a, 0x0f9feea609f18090, 0xbe5ba0a407affc52, 0x8e9fc1d7ff51e213, 0x31602dee98f5f923,
  0x8ebc5ced07d19347, 0x2ab52b09edc72c60, 0x8d75901cc906d797, 0xdaa5beaece75152a, 0x56c6f5f4d326b395,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb3d6e2adfef554, 0x0df9fd86ed84b997,
  0xa271966b219e985a, 0x7343bd079961d964, 0x05483ad241e792bf,
};

// m163_swio11_noled_pr_u4           m163_swio12_noled_pr              m163_swio12_noled_pr_u4
static const uint64_t ur_m163_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xddaab91480225713, 0xc77afd8d05b04f05, 0x60e2266c4767b53d, 0x1a875a6edc4e82cd,
  0x6a4eef4ed2b793b3, 0x63e609f180905b2b, 0x7ba41b7ffea42f3e, 0xe0c9af51c143be5b, 0x596536df97d1c74f,
  0xf9d96ba3114e62c0, 0x4f2a01ffb30475e8, 0x5ab3ee81e59edf48, 0xbac80e64836bcb95, 0x52df57673a8a9546,
  0x637afa699359caed, 0x73daad115e5d312b, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775, 0xd9eb7156ff7aaa2d,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0xe4fc0fdfb0cd0f32,
  0x966b219e985f891e, 0x3bd079961d9f0271, 0x7e09f56e792bf734, 0x0000000000003e4e,
};

// m163_swio11_noled_pr_ee_u4        m163_swio12_noled_pr_ee           m163_swio12_noled_pr_ee_u4
static const uint64_t ur_m163_swio11_noled_pr_ee[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0xb6a4eeabed8371aa, 0xe706609f180905b2, 0x98fa41b3bfea42f3, 0x47a8f2b2eb355ad1, 0xc5670fd47c1b307d,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x023f90e7569728ab, 0xb1aad743af3a6ec8, 0x380e3b169bde8f7b,
  0x1b047eb70decb65f, 0x7972ab50089ee795, 0x52a8d75901cc906d, 0x395daa5beaece751, 0xa6256c6f5f4d326b,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x997cdb3d6e2adfef, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b,
  0x7ee6877a0f32c3b3, 0x009d7085beadcf25,
};

// m163_swio11_noled_pr_ce_u4        m163_swio12_noled_pr_ce           m163_swio12_noled_pr_ce_u4
static const uint64_t ur_m163_swio11_noled_pr_ce[] = {
  0x245ddddda2445541, 0xeed55ce0a6ee24f2, 0x836a2e8c1ae6d6ac, 0x8b87eb42b68258f0, 0x650d3866a6f75e44,
  0xb656d49dd015bc97, 0x5e7edd4c13e30120, 0x8fac89483027fd48, 0x258f3c64a9da9eaa, 0xbc25f886c2445f71,
  0x66a8ee3719bffa2c, 0xfd475f27b96086b2, 0x59126e8e3a7f06b3, 0xf9d96ba3114e62c0, 0x4f2a01ffb33c75e8,
  0x56acfba0796b7748, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xd8debe9a64d672bb, 0x5cf6ab4457974c4a,
  0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0x6cf5b31dbfdeaa8b, 0x726ae0f3612e65f3, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138,
  0x8faefab73c95fb9a, 0x0000000000000dd7,
};

// m163_swio12_noled_pr_ee_ce
static const uint64_t ur_m163_swio11_noled_pr_ee_ce[] = {
  0x8d43dddddd447e4a, 0x7bbb557229e46259, 0x37b707490c77e95d, 0x1f8b6a7f4c8fb4b8, 0xb582103c83f6cc6a,
  0xd49dd295a6e87b4b, 0x344c13e30120b656, 0x0e9058fffd485e7c, 0x3254efa7ec7f5467, 0xf339d771b9723f9e,
  0xa3cae43ca76b02bd, 0xba5f51f06cc1e95e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x4011fc873abb7145,
  0xbb1aaf1b1d79d376, 0xf380e3b169bde8f7, 0xa8d8226470decb65, 0x6bcb955a9664f73c, 0x8a9546bac80e6483,
  0x59caed52df57673a, 0x5d312b637afa6993, 0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53,
  0xb997cdb3d6cc76ff, 0x1a2c79c5c9ab8d84, 0x5a0dfbab31e40fca, 0x64a271966b219e98, 0xbf7343bd079961d9,
  0x00a699cf9f56e792,
};

// m163_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m163_swio11_noled_pr_ee_ce_u4[] = {
  0x29bddddda243704a, 0x776aaf0888ee2448, 0x9badd86656e17f8f, 0x3636cd88372ecd2e, 0x4e4ef22d82914905,
  0x6a4eebadea0aeeec, 0x0fa609f180905b2b, 0xd520c41fffd5267d, 0x0b838ff2aa3ea8ed, 0x361222fb892c79e5,
  0xb9e72fd165e12fc4, 0x4ed667bdf3354771, 0xd983d2bd4795c879, 0x1698a62b74bea3e0, 0x5b1971c270dc3afb,
  0x7576e28a3a909afa, 0x3af3a6ec8023f90e, 0xd37bd1ef76355e36, 0xe1bd96cbe701c762, 0x2cc9ee7951b044c8,
  0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xf5f4d326b395daa5, 0xb55a22bcba6256c6, 0x529e1a778efebae7,
  0x94f43aa7020eea6c, 0xad98edfef5545a61, 0x0dc79b09732f9b67, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf727e07efd866879, 0x8cb3590cf4c2fc48, 0xa1de83ccb0ecf813, 0xcfb3cccb53c95fb9,
  0x000000000000004f,
};

// m163_swio12_noled_hw
static const uint64_t ur_m163_swio11_noled_hw[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x5b2b6a4ee82fdd5a, 0xc79feea609f18090, 0x3be5ba0a407affe1, 0x38e9fc1d7ff51e21, 0x731602dee98f5f92,
  0x08ebc5ced07d1934, 0x72ab52b09edc72c6, 0xa8d75901cc906d79, 0x5daa5beaece75152, 0x256c6f5f4d326b39,
  0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x7cdb3d6e2adfef55, 0xa0df9fd86ed84b99,
  0x4a271966b219e985, 0xf7343bd079961d96, 0x0008e21d760a792b,
};

// m163_swio12_noled_ee_hw
static const uint64_t ur_m163_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0xb656d49dd7adbaaf, 0xa67ce0cc13e30120, 0xb5a331f483677fd0, 0x60fa8f51e565d66a, 0xa6ef8ace1fa8f836,
  0xc65c709c370ebec5, 0x51571ac9a426be96, 0xdd90047f21cead2e, 0x1ef76355ae875e74, 0x6cbe701c762d37bd,
  0xcf2a3608fd6e1bd9, 0x20daf2e556a0113d, 0xcea2a551aeb20399, 0x64d672bb54b7d5d9, 0x57974c4ad8debe9a,
  0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xb09732f9b67adc55, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8, 0xa29e4afdcd0ef41e,
  0x0000000002dfef82,
};

// m163_swio12_noled_ce_hw
static const uint64_t ur_m163_swio11_noled_ce_hw[] = {
  0x245ddddda2431202, 0xeed55ce0a6ee24f2, 0xfa106e8c1ae6d6ac, 0x89170fd6856d04b1, 0xe80a1a70cd4deebc,
  0x0482d95b5277599e, 0xff4299fb75304f8c, 0xa7aaa3eb22520c09, 0x2fb892c79e50b838, 0xfd165e12fc436122,
  0x10d64cd51dc6e0a4, 0xe0d67fa8ebe4f72c, 0xcc580b224dd1c74f, 0x8ebd1f3b2d746229, 0x6ee909e5403ff667,
  0x5e5caad59f740f2d, 0x54aa35d64073241b, 0xce576a96fabb39d4, 0xe9895b1bd7d34c9a, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0xccbe6d9eb663b7fb, 0x9cfd4176371e6c25, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x00001d66dbe0a8a7,
};

// m163_swio11_noled_ee_ce_u4_hw     m163_swio12_noled_ee_ce_hw        m163_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m163_swio11_noled_ee_ce_hw[] = {
  0x537bbbbb4486cc7f, 0xeed55e1111dc4890, 0x375bb0ccadc2ff1e, 0x6c6d9b106e5d9a5d, 0x9c9de45b0522920a,
  0x5b527753ef76e758, 0xe87d304f8c0482d9, 0x1dbaa41883fe8533, 0x3ca17071fe5547d5, 0xf886c2445f71258f,
  0xee371d51fa2cbc25, 0x0f29daccf7be66a8, 0x7c1b307a57a8f2b9, 0x5f62d314c56e97d4, 0x5f4b632e384e1b87,
  0x21ceaedc51475213, 0xc6c75e74dd90047f, 0xec5a6f7a3deec6ab, 0x991c37b2d97ce038, 0x56a5993dcf2a3608,
  0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xd8debe9a64d672bb, 0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7,
  0x4c329e8754e041dd, 0x6cf5b31dbfdeaa8b, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f727e07efd86687, 0x38cb3590cf4c2fc4, 0x9a1de83ccb0ecf81, 0x0a02fb3d453c95fb,
};

// m163_swio12_lednop
static const uint64_t ur_m163_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0xe921b6c671fddd48,
  0x0482d95b5277617e, 0xc520f9f80d304f8c, 0x4877cb7414803dff, 0x8c71d3f83affea3e, 0x90e62c05bdd36949,
  0xc608ebc5cec22a3e, 0xf2e556a5660bdc72, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xcbd2fe9a64d70202,
  0xb9ed5688af2e9895, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xccbe6da7a1d53814, 0xc2d06fcfec376c25,
  0xcb25138cb3590cf4, 0x95fb9a1de83ccb0e, 0x00002a45c6920f3c,
};

// m163_swio11_lednop_pr_u4          m163_swio12_lednop_pr             m163_swio12_lednop_pr_u4
static const uint64_t ur_m163_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb557229e3e25713, 0xa9bdbf30fb609e0b, 0x5838a002665eec9e, 0x7c2f75fbb713a0b3,
  0x6a4ee891d37702ec, 0xbee609f180905b2b, 0x7ba411effea42f3e, 0xe0c9af51d003be5b, 0x2cb29a3de951c74f,
  0x7ced10a31be73160, 0xe91500ffd9823af4, 0x56afadc0f2cf6c45, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551,
  0xfe9a64d7020272bb, 0x5688af2e9895cbd2, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0xab7fbd551691db9e,
  0x0f3612e65f36c648, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0xab73c95fb9a1de83, 0x00000001f26a9acf,
};

// m163_swio12_lednop_pr_ee
static const uint64_t ur_m163_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0x49dd1eda8ec219a5, 0xd4c13e30120b656d, 0xf4806b7fd485e7d2, 0x51e56c166ab5a331, 0xca1fa8f83660fa8f,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x7371cead2e95971a, 0x55ae875e74ddba84, 0x1c762d3f911c6563,
  0x08fd6e1bd96cbe70, 0xe556a017484f2a36, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0xd2fe9a64d7020272,
  0xed5688af2e9895cb, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x48ab7fbd551691db, 0xae0f3612e65f36c6,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x85a0df8e7bff8268, 0xd9f0271966b219e9,
  0x92bf7343bd079961, 0x000013af8c5f56e7,
};

// m163_swio12_lednop_pr_ee_u4
static const uint64_t ur_m163_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x52774eb68912d551, 0xad304f8c0482d95b, 0xfd20d37ff52179f1, 0xd47959c39aad68f6, 0xb90fea3e0d9839c7,
  0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x3884e75697a94b8a, 0x56ba1d7aea6ed38a, 0xe3b169ad74622d8d,
  0x4fadc37b2e1cb380, 0x64836bcb955aae3a, 0x673a8a9546bac80e, 0x5c0809caed52df57, 0xba62572f4bfa6993,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x997cdb1922adfef5, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b,
  0x7ee6877a0f32c3b3, 0x0013ae59beadcf25,
};

// m163_swio11_lednop_pr_ce_u4       m163_swio12_lednop_pr_ce          m163_swio12_lednop_pr_ce_u4
static const uint64_t ur_m163_swio11_lednop_pr_ce[] = {
  0x122eeeeed1222582, 0x776aae7056971279, 0xba47f76dbaf36b56, 0x70fd686ecadbd368, 0x9505a16b46ebc891,
  0x656d49dd3b5b2ed3, 0xe7e2b4c13e30120b, 0xfac894837dffd485, 0x58f3c64a9dcaeaa8, 0xc25f886c2445f712,
  0x354771b8c87fa2cb, 0xd4797d3dcb043593, 0x32a718e3a7f06b3f, 0x9da214637ce62c05, 0x22a01ffb33c75e8f,
  0xb57d6e0796b708bd, 0x75901cc906d7972a, 0xa5beaece75152a8d, 0xf4d326b8101395da, 0xb4457974c4ae5e97,
  0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0xf3612e65f36c6431, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590,
  0xb73c95fb9a1de83c, 0x00000006eba45efa,
};

// m163_swio12_lednop_pr_ee_ce
static const uint64_t ur_m163_swio11_lednop_pr_ee_ce[] = {
  0x8d43dddddd446f43, 0x7bbb557229d3a259, 0x77b13b504b27e95d, 0x1f8b6a7e47e9bd74, 0x71c5a2bc83f6cc6a,
  0xa93bad3b5d94e283, 0xdb9827c602416cad, 0x3a41bb5ff52179f9, 0xc953b19bb1fd519c, 0xcce75dc6e3397e78,
  0x8f2b29729dac0af7, 0x5d7d47c1b307a57a, 0xe1b875f62d314c56, 0x752135f4b632e384, 0xa847371ceaedc958,
  0xac6abc6c75e74ddb, 0xce038ec5a7f2238c, 0xa3608991c37b2d97, 0xaf2e556a59f484f2, 0x2a551aeb2039920d,
  0x272bb54b7d5d9cea, 0x5cbd2fe9a64d7020, 0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152,
  0xd8c863b7fbd55169, 0xe2e4d5c6c25ccbe6, 0xd598f207e50d163c, 0xcb3590cf4c2d06fd, 0xde83ccb0ecb25138,
  0xbf6fab73c95fb9a1, 0x000000000000a698,
};

// m163_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m163_swio11_lednop_pr_ee_ce_u4[] = {
  0x29bddddda243306a, 0x776aaf0886462448, 0xbb2dd1a78be17f8f, 0x3636cd847706cc4e, 0x740be9cd82914905,
  0xa93bb55fa75b66c3, 0xd79827c602416cad, 0x5482007fff5499ff, 0x5c1cadfaa8faa3b7, 0xb09117dc4963cf28,
  0x8eddfe8b2f097e21, 0xed667bdf3354771b, 0x983d2bd479594b94, 0x698a62b2ebea3e0d, 0xb1971c270dc3afb1,
  0x576e4ac3a909afa5, 0xaf3a6edd4239b8e7, 0x3f911c656355e363, 0x1bd96cbe701c762d, 0xcfa427951b044c8e,
  0x01cc906d7972ab52, 0xeaece75152a8d759, 0x326b8101395daa5b, 0x57974c4ae5e97f4d, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x12e65f36c6431dbf, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2, 0x96a792bf7343bd07,
  0x000000009f83d5d9,
};

// m163_swio12_lednop_hw
static const uint64_t ur_m163_swio11_lednop_hw[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0xe921b6c671fddd48,
  0x0482d95b5277617e, 0xfe1c79f80d304f8c, 0xe4877cb7414803df, 0x98c71d3f83affea3, 0xe90e62c05bdd3694,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551aeb2039920d, 0x272bb54b7d5d9cea, 0x5cbd2fe9a64d7020,
  0x6b9ed5688af2e989, 0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0x5ccbe6da7a1d5381, 0x4c2d06fcfec376c2,
  0xecb25138cb3590cf, 0xc95fb9a1de83ccb0, 0x0000004712e3b053,
};

// m163_swio12_lednop_ee_hw
static const uint64_t ur_m163_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0x6cada93ba02b7765, 0x4cfa5a9827c60241, 0x6b4663e900d6ffa1, 0xc1f51ea3cad82cd5, 0x4ddf15943f51f06c,
  0x8cb8e1386e1d7d8b, 0x2b2e3593484d7d2d, 0xbb7508e6e39d5a5d, 0x38cac6ab5d0ebce9, 0xd97ce038ec5a7f22,
  0x9e546c11fadc37b2, 0x41b5e5caad402e90, 0x9d454aa35d640732, 0x0404e576a96fabb3, 0x312b97a5fd34c9ae,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xbe6d8c9156ff7aaa, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9,
  0x0000b7ff24e8a792,
};

// m163_swio12_lednop_ce_hw
static const uint64_t ur_m163_swio11_lednop_ce_hw[] = {
  0x122eeeeed12198e2, 0x776aae7056971279, 0xad17776dbaf36b56, 0x22e1fad0dd95b7a7, 0x9daa0b42d68dd791,
  0x482d95b52774a76e, 0xf4299f8ad304f8c0, 0xbaaa3eb22520df7f, 0xfb892c79e50b8392, 0xd165e12fc4361222,
  0x1ac99aa3b8dcec1f, 0x359fea3cbe9ee582, 0x160299538c71d3f8, 0xaf47ced10a31be73, 0x845e91500ffd99e3,
  0xcb955abeb703cb5b, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0x2f4bfa69935c0809, 0xe7b55a22bcba6257,
  0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x3218edfef5545a47, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xb93f03f7ec3343cc, 0x659ac867a617e247, 0x0ef41e658767c09c, 0x9b27e1a29e4afdcd,
  0x0000000000000075,
};

// m163_swio11_lednop_ee_ce_u4_hw    m163_swio12_lednop_ee_ce_hw       m163_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_swio11_lednop_ee_ce_hw[] = {
  0x14deeeeed1219f68, 0xbbb5578443231224, 0x5d96e8d3c5f0bfc7, 0x9b1b66c23b836627, 0xba05f4e6c148a482,
  0x56d49dd2afdd4021, 0xffebcc13e30120b6, 0x476ea90400ffa14c, 0x9e50b8395bf551f5, 0xfc4361222fb892c7,
  0xee370dbbfd165e12, 0x9729daccf7be66a8, 0x7c1b307a57a8f2b2, 0x5f62d314c565d7d4, 0x5f4b632e384e1b87,
  0x71ceaedc95875213, 0xc6c75e74ddba8473, 0xec5a7f2238cac6ab, 0x991c37b2d97ce038, 0x56a59f484f2a3608,
  0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xfe9a64d7020272bb, 0x5688af2e9895cbd2, 0x5f3a03cdedaeb9ed,
  0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x1e6c25ccbe6d8c86, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0xb219e985f891ee4f, 0x079961d9f0271966, 0xd5e8a792bf7343bd, 0x0000000000014043,
};

/*
 * m163_swio11_dual_pr               m163_swio11_dual_pr_u4            m163_swio12_dual
 * m163_swio12_dual_pr               m163_swio12_dual_pr_u4
 */
static const uint64_t ur_m163_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x0fbab71ffb57e11f, 0x3edd123c95a59fb6, 0x4ad9893ac828dd6b, 0x69c92634edd23f64,
  0x49241dc3f368bcaf, 0xfcc13e30120b656d, 0x6788f64c8c1548e6, 0x9f72e30a04f89bed, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b96b6, 0x135ad150865a1192,
  0xb9cbdb975ffa039e, 0x57fa43f305855998, 0xa3c8877cb0f9482a, 0x4aeea38e9fc188be, 0x46f79cc580bac535,
  0xfd9823af01a9d814, 0x3cb3dbc8b07d500f, 0xf33e8e6656652170, 0x073241b5e5caad67, 0xabb39d454aa35d64,
  0xc9ae0404e576a96f, 0x5e5d312b97a5fd34, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x25ccbe6d8c9156ff, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x2d4f257ee6877a0f, 0x0000000524d071b3,
};

// m163_swio12_dual_pr_ee
static const uint64_t ur_m163_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x07dd5ac7d71bf1eb, 0x85eeeca1ec646273, 0xa0db620b28fe7deb, 0x766dd6c650b7ac52,
  0x1771c16d8235d508, 0x9f180905b2b6a4ac, 0xf64c8c1548b24e60, 0xe30a04f89bed6788, 0xc7ff32addcee9f72,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b9cdf006e1, 0x2a10cb417da21955,
  0xd36ffe80e784c1ee, 0xf982c2accc5ce5ed, 0x5a328b48287ffd21, 0x0ccaf51e57bee6ab, 0x6ef8ae577a8f8366,
  0x65c709c370ebec5a, 0x55c09f9a426be96c, 0x63291e9473ab4b97, 0x31b1aad743af6337, 0x76701c762d397c8d,
  0x546c11fadc37b2ef, 0xfa39995980507ed6, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0xb8101395daa5beae,
  0x74c4ae5e97f4d326, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x32f9b632455bfdea,
  0x1a2cb578dc79b097, 0xa73f53ab337f0777, 0xa1e64ff0271a50c2, 0xb219e985a0df80f9, 0x079961d9f0271966,
  0x9996a792bf7343bd, 0x00000000002b215a,
};

// m163_swio12_dual_pr_ee_u4
static const uint64_t ur_m163_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0x83eead63c75efc37, 0x5c774eb00a46706d, 0xccfa73d6dcfb67db, 0x13d47dd6c650b374,
  0x4c4bb9a3fbee0ce9, 0x304f8c0482d95b52, 0xc47b26460aa45927, 0xb97185027c4df6b3, 0xa64b5f9956ee774f,
  0x7a8f15b60358e04e, 0x08a11c913f83df73, 0xb87c2886257f9fbe, 0x2abbbddf37292801, 0x224542196847b443,
  0x5edd36ffe80e784d, 0xd21f982c2accc5ce, 0x355ad1bf948287ff, 0x3660c27fa8f2b60b, 0xc5a6ef8ae43fa8f8,
  0x96c65c709c370ebe, 0xb9455c0719a426be, 0x9a769c51cdc73ab4, 0xe8e32b1aad743af2, 0xcb726701c762d35a,
  0x66566b8e93eb70de, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x04e576a96fabb39d, 0x2b97a5fd34c9ae04,
  0xad73daad115e5d31, 0xd4b0b29b1674079f, 0x28be8a042d3573ab, 0x4b997cdb4f43aa70, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8,
  0x5a9e4afdcd0ef41e, 0x00000000564e9e66,
};

// m163_swio12_dual_pr_ce
static const uint64_t ur_m163_swio11_dual_pr_ce[] = {
  0x89ddddd0f5a1a5fb, 0xfbab17151fbf199d, 0xbdd3b4d3a0dc7160, 0x9294aad0ebc6add9, 0xd744fb17dd667627,
  0xb8ddd2c9b9126144, 0x827c602416cada92, 0x23d932305522e4a9, 0xcb8c2813e26fb59e, 0x313afccab773ba7d,
  0xd47d37b08ac701ad, 0x4508e489fc1e569b, 0xc3e144312bfcfdf0, 0x55ddeef9b8ce400d, 0x51150865a0652219,
  0x7b731fffa039e137, 0x487e60b0ab331739, 0xaaa3eb1ee90472ff, 0xb892c79e50b83915, 0x165e12fc4361222f,
  0x9f99aa3b8dceb3fd, 0x70fd47ea27b96080, 0x0160304f8e3a7f07, 0x0353b0288def398b, 0x60faa01ffb33c75e,
  0x2b3290b81e5add91, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xcbd2fe9a64d70202,
  0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0x8c863b7fbd551691, 0x7c371e6c25ccbe6d,
  0xeaccdfc1ddc68b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0xc867a616837e39ef, 0x1e658767c09c659a,
  0x665a9e4afdcd0ef4, 0x0000000000692631,
};

// m163_swio12_dual_pr_ce_u4
static const uint64_t ur_m163_swio11_dual_pr_ce_u4[] = {
  0x919eeeeed121a5fb, 0x07dd58b8d17df913, 0x0b6eb4e374b07c8b, 0x6b8e05957a7da4cd, 0xa557d6a356ec4e46,
  0x49a8aee964dc3e30, 0x24c13e30120b656d, 0x6788f64c8c15480b, 0x9f72e30a04f89bed, 0xdd4db3bf32addcee,
  0xe6f51f026c2571c2, 0x7c114239227f0652, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x9a5f454219687508,
  0x9cbdbf57ffd01cf0, 0xffa43f305855998b, 0x4aeaa8fac894837d, 0x8bee24b1e7942e0e, 0xff459784bf10d848,
  0x086b266a8ee373ac, 0xe0d67fa8f2fa7b96, 0xcc580a654e31c74f, 0x8ebd1f3b4428c6f9, 0x32b31d41fdc72c67,
  0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0x272bb54b7d5d9cea, 0x5cbd2fe9a64d7020, 0xeb9ed5688af2e989,
  0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xd8c863b7fbd55169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x123dc9f81fbf619a, 0x04e32cd6433d30bf, 0xee6877a0f32c3b3e,
  0x0d244d0332d4f257,
};

// m163_swio12_dual_pr_ee_ce
static const uint64_t ur_m163_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xe60fbab71f69ebf3, 0x7eafbb9f6cf80534, 0xe229c10fdc61f05b, 0x419cd9b7a74cf654,
  0x4bb8e0b4786d759b, 0x4f8c0482d95b526c, 0xf64c8c154823d730, 0xe30a04f89bed6788, 0xb7ff32addcee9f72,
  0xd36f613b670b5b9a, 0x47244fe0c66e6f51, 0x0a21895fe7ef8228, 0xdeef9b9e72006e1f, 0xa10cb40a1a21955d,
  0xf5ffe80e784ce962, 0x982c2accc5ce5edf, 0x51a9ea40ff3fd21f, 0x7e7942e0e69ab1fd, 0x0abe4ce75dc6e292,
  0xdd7a8f2bcad29dac, 0x4c57813d47c1b307, 0xe384e1b875f62d31, 0xc5d4752135f4b632, 0xcdd8ca47a51ceaed,
  0x4698d8d578d8ebd8, 0x77bb380e3b169cbe, 0xb5951b044c8e1bd9, 0xf33e8e6656659c1f, 0x073241b5e5caad67,
  0xabb39d454aa35d64, 0xc9ae0404e576a96f, 0x5e5d312b97a5fd34, 0x079bdb5d73daad11, 0xc0842a417296be74,
  0x7aaa2d23b73d0ea9, 0x4b997cdb190c76ff, 0xeee3458f386e3cd8, 0xd30b41bf75666fe0, 0xc3b3e04e32cd6433,
  0x4f257ee6877a0f32, 0x000002609d27332d,
};

// m163_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m163_swio11_dual_pr_ee_ce_u4[] = {
  0x16eeeed15b76f2df, 0x756a8657bbf13ecb, 0xb500bada4cfb4c1f, 0xf3373680fa5934e0, 0x19a334fb2c43db7e,
  0x5605b4721ae2da78, 0x95b526c33bab00e9, 0x14fc3304f8c0482d, 0x7dacf11ec99182a9, 0x9dd3ee5c61409f13,
  0x035b9a61bf32d2df, 0xbf37a8e29361fae7, 0xf7c114239227f075, 0x00370f8510c4aff3, 0x21955ddeef9b9725,
  0x4d2ba2a10cb422b2, 0xce5edd90ffe80e78, 0xfdd164982c2accc5, 0x551f54635a90760f, 0xc4963cf285e778dd,
  0xb2f097e21b09117d, 0x93354771b97257e8, 0x4795e5694ed667af, 0xc09ea3e0d983eebd, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0x6523d28e7576e2ea, 0x6c6abc6c75ec66ec, 0x9c071d8b4e5f234c, 0x8d8226470decbbdd,
  0x47332b32ce0fdaca, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x020272bb54b7d5d9, 0x9895cbd2fe9a64d7,
  0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0xbe6d8c863b7fbd55, 0xbe2e4d5c1e6c25cc,
  0xd599bf83f6ec68b1, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12,
  0x6877a0f32c3b3e04, 0x041a8e8b24f257ee, 0x0000000000000200,
};

// m163_swio12_dual_hw
static const uint64_t ur_m163_swio11_dual_hw[] = {
  0x64777776890c5aa4, 0x1f756e3ff6afc23f, 0x7dba24792b4b3f6c, 0x95b312759051bad6, 0xd3924c69dba47ec8,
  0xb524907761f6edf5, 0x9bf304f8c0482d95, 0xb59e23d932305523, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0xd80370f8510c4aff, 0x488655777bbe6e5a, 0x784d6b4542196846,
  0x62e72f6e5d7fe80e, 0xa95fe249cc161566, 0xfa8f221df2c3e520, 0xd52bba8e3a7f0622, 0x511bde731602eb14,
  0x3ff6608ebc06a760, 0xc0f2cf6f22c1f540, 0x9fccfa3999599485, 0x901cc906d7972ab5, 0xbeaece75152a8d75,
  0xd326b8101395daa5, 0x457974c4ae5e97f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0xb09732f9b632455b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03,
  0x658767c09c659ac8, 0xa29e4afdcd0ef41e, 0x0000000031baa0e3,
};

// m163_swio12_dual_ee_hw
static const uint64_t ur_m163_swio11_dual_ee_hw[] = {
  0xac52b77776890c86, 0xcc1f756b1f5c6fc7, 0xae17bbb287b19189, 0x4a836d882ca3f9f7, 0x21d9b75b1942deb1,
  0x49582eeeecdd53a4, 0x9cc13e30120b656d, 0xcf11ec99182a9164, 0x3ee5c61409f137da, 0xb5318ffe655bb9dd,
  0x9bd47275b04b4700, 0xf04508e489fc1c56, 0x0dc3e144312bfcfd, 0x32abbbddf3739be0, 0x83dc54219682fb44,
  0xcbdba6dffd01cf09, 0xf8927305855998b9, 0xcd56b465169050ff, 0x06cc1995ea3caf7d, 0xd8b4ddf15caef51f,
  0xd2d8cb8e1386e1d7, 0x972eab813f3484d7, 0xc66ec6523d28e756, 0xf91a636355ae875e, 0x65deece038ec5a72,
  0xfdaca8d823f5b86f, 0x3f99f47332b300a0, 0x2039920daf2e556b, 0x7d5d9cea2a551aeb, 0xa64d7020272bb54b,
  0x8af2e9895cbd2fe9, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x612e65f36c648ab7,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590,
  0x453c95fb9a1de83c, 0x0000000005768ad5,
};

// m163_swio12_dual_ce_hw
static const uint64_t ur_m163_swio11_dual_ce_hw[] = {
  0xd89ddddda2431f02, 0x0fbab17151fbf199, 0x9bdd3b4d3a0dc716, 0x79294aad0ebc6add, 0x4d744fb17dd66762,
  0xa4ae37728c777cd7, 0x2a609f180905b2b6, 0x6788f64c8c1548b9, 0x9f72e30a04f89bed, 0x6b4c4ebf32addcee,
  0xa6f51f4dec22b1c0, 0x7c114239227f0795, 0x0370f8510c4aff3f, 0x8655777bbe6e3390, 0x4dd4454219681948,
  0xce5edcc7ffe80e78, 0xbfc493982c2accc5, 0x456aa8fac7ba411c, 0x8bee24b1e7942e0e, 0x3f459784bf10d848,
  0x2027e66a8ee3719f, 0xc1dc3f51fa89ee58, 0x62c0580c13e38e9f, 0xd780d4ec0a237bce, 0x64583ea807feccf1,
  0xcccacca42e0796b7, 0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x809caed52df57673, 0x2572f4bfa69935c0,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x9b63218edfef5545, 0x505d8dc79b09732f,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x247b93f03f7ec334, 0x09c659ac867a617e, 0xdcd0ef41e658767c,
  0x0009bae31a29e4af,
};

// m163_swio12_dual_ee_ce_hw
static const uint64_t ur_m163_swio11_dual_ee_ce_hw[] = {
  0x54e2dddddd43573e, 0x60fbab71f69ebf36, 0xeafbb9f6cf80534e, 0x229c10fdc61f05b7, 0x19cd9b7a74cf654e,
  0xc4bb9717bad1f9b4, 0x04f8c0482d95b526, 0x8f64c8c154823d73, 0x2e30a04f89bed678, 0xab7ff32addcee9f7,
  0x1d36f613b670b5b9, 0x847244fe0c66e6f5, 0xf0a21895fe7ef822, 0xddeef9b9e72006e1, 0x2a10cb40a1a21955,
  0xff5ffe80e784ce96, 0x3982c2accc5ce5ed, 0xd51a9ea40ff3fc49, 0x8fe7942e0e69ab1f, 0xc0abe4ce75dc6e5c,
  0x7dd7a8f2bcad29da, 0x14c57813d47c1b30, 0x2e384e1b875f62d3, 0xdc5d4752135f4b63, 0x8cdd8ca47a51ceae,
  0xe4698d8d578d8ebd, 0x977bb380e3b169cb, 0xfb5951b044c8e1bd, 0x7f33e8e6656659c1, 0x4073241b5e5caad6,
  0xfabb39d454aa35d6, 0x4c9ae0404e576a96, 0x15e5d312b97a5fd3, 0x4079bdb5d73daad1, 0x9c0842a417296be7,
  0xf7aaa2d23b73d0ea, 0x84b997cdb190c76f, 0x985a0df9fd86e3cd, 0x1d9f0271966b219e, 0x792bf7343bd07996,
  0x00000044d3e93a8a,
};

/*
 * m163_swio12_dual_ee_ce_u4_hw      m161_swio11_dual_ee_ce_hw         m161_swio11_dual_ee_ce_u4_hw
 * m161_swio12_dual_ee_ce_hw         m161_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m163_swio11_dual_ee_ce_u4_hw[] = {
  0xb16eeeed14682906, 0xf756a8657bbf13ec, 0x37500bada4cfb4c1, 0xb7ef3373680fb659, 0xa7819a334fb2c43d,
  0xc57eed601721ae2d, 0x602416cada93619d, 0xc8c1548a7e19827c, 0xa04f89bed6788f64, 0xf32ec24ee9f72e30,
  0x361fae7035b9a61b, 0x227f075bf37a8e29, 0x0c4aff3f7c114239, 0xf9b972500370f851, 0xcb422b221955ddee,
  0xfe80e784d2ba2a10, 0xc2accc5ce5edd90f, 0x5a90760ff9d5b982, 0xe18398dd551f5463, 0xb09117dc4963cf1b,
  0x830bfe8b2f097e21, 0xed667af93354771b, 0x983eebd4795e5694, 0x698a62bc09ea3e0d, 0xb1971c270dc3afb1,
  0x576e2ea3a909afa5, 0x5ec66ec6523d28e7, 0xe5f234c6c6abc6c7, 0xdecbbdd9c071d8b4, 0xe0fdaca8d8226470,
  0x6b3f99f47332b32c, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a, 0xe9a64d7020272bb5, 0x688af2e9895cbd2f,
  0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8, 0xe6c25ccbe6d8c863, 0x9430a9cfd4176371,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x219e985f891ee4fc, 0x79961d9f0271966b, 0x82fa792bf7343bd0,
  0x000000000ebace2f,
};

static const uint64_t ur_m163_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0xdd41200db6f26ecf,
  0x80905b2b6a4eed8f, 0xf8a41f3fb7e609f1, 0xfc877cb749483a8f, 0xc9238e9fc1f3dea3, 0xf40731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x4ab57bd7d34c9ace,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xbe6d902455bfdeaa, 0xd06fcfec376c25cc,
  0x25138cb3590cf4c2, 0xfb9a1de83ccb0ecb, 0x00549f5e920f3c95,
};

// m163_swio13_noled_pr_u4
static const uint64_t ur_m163_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c492, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f7522741,
  0x56d49dd977a0ccc8, 0x3efe4c13e30120b6, 0x5a0fd2032bfea42f, 0x9fc1f41ea3cbe3be, 0x602cb298ca9c638e,
  0x7a3e767bd1ef6731, 0xe1934a807fecc11d, 0xe556aab540f2cf6e, 0x51aeb2039920daf2, 0x52df5537d9cea2a5,
  0xaf7afa699359caed, 0x9ed5688af2e98956, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0xb2048ab7fbd55169,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64,
  0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0x405beadcf257ee68, 0x0000000000007c98,
};

static const uint64_t ur_m163_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd05893a, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da09d7d6,
  0xa4eea0adb82739a2, 0xea609f180905b2b6, 0xca4115bfea42f3e4, 0xd479594b9aad68df, 0x65d7d47c1b30613f,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3c90e75697fdcb8d, 0xaad743af3a6eda52, 0x1c762d34c51c1fb1,
  0x08fd6e1bd96cbe70, 0xcaad40226b05aa36, 0xa35d64073241b5e5, 0xa5beaa6fb39d454a, 0x5ef5f4d326b395da,
  0x3daad115e5d312ad, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x6409156ff7aaa2d3, 0x9357079b09732f9b,
  0x8f207e50d1674f8b, 0x27f2861539fa9d59, 0x343cc9fe2e7197e6, 0xf4c2d06fc73dffc1, 0xb0ecf8138cb3590c,
  0x73c95fb9a1de83cc, 0x00000013afd3cfab,
};

static const uint64_t ur_m163_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0xda93ba76b65da72a, 0xc569827c602416ca, 0x32a906fbffa90bcf, 0x0f51e56e966ab5a3, 0x8afe77a8f83660d0,
  0x709c370ebec5a6ef, 0x2899a426be96c65c, 0x88def39d5a5e032e, 0x355ae875eba9bb02, 0x071d8b4f22a3b876,
  0x4d7d6e1bd970e59c, 0x73241b5e5caad570, 0xfb39d454aa35d640, 0x326b395daa5beaa6, 0x5e5d312ad5ef5f4d,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0xb09732f9b6409156, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7, 0x8767c09c659ac867,
  0x9e4afdcd0ef41e65, 0x00000275d22f7d5b,
};

// m163_swio13_noled_pr_ce_u4
static const uint64_t ur_m163_swio13_noled_pr_ce[] = {
  0x84dddddda2447032, 0x59ddaab9c14fdc4a, 0xa2ed91d267c7cdad, 0x45c3e35c19b20d4e, 0x49942da5e15bb422,
  0x2d95b52775b16ac1, 0x179fd37304f8c048, 0xa3ebdd520cadff52, 0x4963cf192a77812a, 0x2f097e21b09117dc,
  0x4cd51dc6e759fe8b, 0xf7a8f374f72c10d6, 0x05ee8148e3a7f064, 0x47cecf7a3dece62c, 0x3269500ffd99e3af,
  0x2ab555aa0796b75c, 0x8d75901cc906d797, 0x96faa9bece75152a, 0x7bd7d34c9ace576a, 0xf6ab4457974c4ab5,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x20431dbfdeaa8b4c, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32,
  0xadbeadcf257ee687, 0x00000000000375ee,
};

static const uint64_t ur_m163_swio13_noled_pr_ee_ce[] = {
  0x42fddddddd447768, 0x75eeed55c8a72589, 0xee0ea33d5a1e9fa5, 0xa87e2f1d98934a34, 0x71e9d515e41fb42f,
  0x6d49dd765a538eb4, 0xa6dcc13e30120b65, 0xbad2019bffa90bcf, 0xc64a9d98fd8fea8c, 0xbe673aee37292bf3,
  0xd47959c394ed6057, 0xb90fea3e0d9833d7, 0x270dc3afb1698a62, 0xc3a909afa5b1971c, 0xda523c90e7576efd,
  0x3f6355e363af3a6e, 0x7ce038ec5a698a38, 0xaa3608991c37b2d9, 0xb5e5caad4b326b05, 0x454aa35d64073241,
  0x95daa5beaa6fb39d, 0x12ad5ef5f4d326b3, 0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810,
  0x5f36c810c76ff7aa, 0xb1e71726ae3612e6, 0x37eeacc7903f2868, 0x89c659ac867a6168, 0xcd0ef41e65876592,
  0x9a68be7d5b9e4afd, 0x0000000000000002,
};

static const uint64_t ur_m163_swio13_noled_pr_ee_ce_u4[] = {
  0x68dddddda2431000, 0x1eeed55e11227449, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a455a,
  0x2b6a4eed6b4ed571, 0x3e292609f180905b, 0xf4dd20adffffea93, 0xca17072d6eaa3ea8, 0x886c2445f71258f3,
  0xc6e0c2ffa2cbc25f, 0xe53b599ef7ccd51d, 0x83660cf5f51e5670, 0xec5a6298ae43fa8f, 0xe96c65c709c370eb,
  0x39d5dbbf70ea426b, 0xd8ebce9bb6948f24, 0x169a628e0fd8d578, 0x470decb65f380e3b, 0x52cc9ac16a8d8226,
  0x5901cc906d7972ab, 0xaa9bece75152a8d7, 0x7d34c9ace576a96f, 0xb4457974c4ab57bd, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0xe3cd84b997cdb204, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6, 0x4d6665a9e4afdcd0,
  0x00000000000027e0,
};

static const uint64_t ur_m163_swio13_noled_hw[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0xdd41200db6f26ecf,
  0x80905b2b6a4eed8f, 0xffc38f3fb7e609f1, 0x3fc877cb749483a8, 0x8c9238e9fc1f3dea, 0x1f40731602dee9ba,
  0x72c608ebc5cec37d, 0x6d7972ab52b09adc, 0x5152a8d75901cc90, 0xe576a96faa9bece7, 0xc4ab57bd7d34c9ac,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xcbe6d902455bfdea, 0x2d06fcfec376c25c,
  0xb25138cb3590cf4c, 0x5fb9a1de83ccb0ec, 0x00008e2fafb053c9,
};

static const uint64_t ur_m163_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0xb656d49dd69dbb38, 0xa67c9d4c13e30120, 0x5ad1bf94822b7fd0, 0x60c27fa8f2b29735, 0xa6ef8acbafa8f836,
  0xc65c709c370ebec5, 0xfb971ac9a426be96, 0xddb4a47921cead2f, 0x383f6355ae875e74, 0xd97ce038ec5a698a,
  0x0b546c11fadc37b2, 0x836bcb955a8044d6, 0x3a8a9546bac80e64, 0x672bb54b7d54df67, 0xa6255abdebe9a64d,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0xe65f36c8122adfef, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0xc2fc48f727e07efd, 0xecf8138cb3590cf4, 0xc95fb9a1de83ccb0,
  0x0000002df00ad453,
};

static const uint64_t ur_m163_swio13_noled_ce_hw[] = {
  0x84dddddda2432493, 0x59ddaab9c14fdc4a, 0x9ed45dd267c7cdad, 0x448b87c6b833641a, 0xbad8a85b4bc2b768,
  0x0120b656d49dd0dd, 0x7fd0a67f4dcc13e3, 0x604aa8faf754832b, 0x8bee24b1e7942e0e, 0xbf459784bf10d848,
  0x086b266a8ee3731b, 0xf8327bd479ba7b96, 0x731602f740a471d3, 0xf1d7a3e767bd1ef6, 0x5bae1934a807fecc,
  0x6bcb955aaad503cb, 0x8a9546bac80e6483, 0x2bb54b7d54df673a, 0x255abdebe9a64d67, 0xebae7b55a22bcba6,
  0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0xbe6d90218edfef55, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9, 0x001d66cc1128a792,
};

// m163_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m163_swio13_noled_ee_ce_hw[] = {
  0x68dddddda243304a, 0x1eeed55e11227449, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a455a,
  0x656d49ddb17ddaaf, 0x67c524c13e30120b, 0x547a6e9056fffd0a, 0x79e50b8396b7551f, 0x2fc4361222fb892c,
  0x4771b8000fd165e1, 0x9c394ed667bdf335, 0xa3e0d9833d7d4795, 0x3afb1698a62b90fe, 0x9afa5b1971c270dc,
  0xc90e7576efdc3a90, 0x5e363af3a6eda523, 0x8ec5a698a383f635, 0x8991c37b2d97ce03, 0xaad4b326b05aa360,
  0x35d64073241b5e5c, 0x5beaa6fb39d454aa, 0xef5f4d326b395daa, 0xdaad115e5d312ad5, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0x810c76ff7aaa2d30, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef,
  0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138, 0x0209ad453c95fb9a, 0x000000000000000a,
};

static const uint64_t ur_m163_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x75681b64cdd7eecf,
  0x02416cada93ba0bf, 0xe2907cfafb9827c6, 0x7c3be5ba4a411eff, 0x431c74fe0f9ef51d, 0xc3398b016f74c7ac,
  0x630475e2e76ded1d, 0x7972ab52b167ee39, 0x52a8d75901cc906d, 0x76a96faa9bece751, 0x25fd34c9ae0404e5,
  0xed5688af2e9895c9, 0x594d8b3a03cfd6b9, 0x4502169ab9d5ea58, 0xbe6da7a1d538139f, 0xd06fcfec376c25cc,
  0x25138cb3590cf4c2, 0xfb9a1de83ccb0ecb, 0x002a41d6920f3c95,
};

// m163_swio13_lednop_pr_u4
static const uint64_t ur_m163_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c492, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0xda982f623ba913a0,
  0x2b6a4eec1bd3f6cc, 0x3f52a609f180905b, 0xb41fa4063ffea42f, 0x9fc1f41ea3e9477c, 0xc05965318f3d638e,
  0xf47cedf2238c8e62, 0xf770d500ffd9823a, 0xcaad605681e59ede, 0xa35d64073241b5e5, 0xa5beaa6fb39d454a,
  0xf4d326b8101395da, 0x5a22bcba62572497, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xadfef5545a476e7a,
  0xf3612e65f36cbb22, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0xb73c95fb9a1de83c, 0x0000001f26fd50fa,
};

static const uint64_t ur_m163_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x52774eb6c4e2d4b8, 0x3f304f8c0482d95b, 0xca40707fea42f3f4, 0xd4795a9e9aad68df, 0x6c17d47c1b30613f,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3050e75697f9cb8d, 0x55ae875e74dd827a, 0x38ec5a79223c8b63,
  0x11fadc37b2d97ce0, 0x955a80570c9a546c, 0x46bac80e64836bcb, 0x4b7d54df673a8a95, 0xe9a64d7020272bb5,
  0xb4457974c4ae492f, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0x5bfdeaa8b48edcf4, 0xe6c25ccbe6d97645,
  0x943459d3e2e4d5c1, 0x854e7ea75663c81f, 0x7f8b9c65f989fca1, 0x1bf1cf7ff04d0f32, 0x04e32cd6433d30b4,
  0xee6877a0f32c3b3e, 0x0275d763eadcf257,
};

static const uint64_t ur_m163_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x5591080d8106d05e,
  0x656d49dd57db06e3, 0xe7ce0cc13e30120b, 0xd1995483677fd485, 0x6807a8f2b2eb355a, 0x77c5670fd47c1b30,
  0x2e384e1b875f62d3, 0x57144cd2135f4b63, 0x90047f21cead2e51, 0xbb1aad743af5d4dd, 0xb380e3b169bde8f7,
  0x5c5c3fadc37b2e1c, 0x901cc906d7972ab5, 0xa9bece75152a8d75, 0x9ae0404e576a96fa, 0xf2e9895c925fd34c,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0xb997cdb2ec8ab7fb, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30,
  0x57ee6877a0f32c3b, 0x0009d7085beadcf2,
};

// m163_swio13_lednop_pr_ce_u4
static const uint64_t ur_m163_swio13_lednop_pr_ce[] = {
  0x426eeeeed1222a20, 0xaceed55ce0a34e25, 0x47f4d2e8db6226d6, 0x45c3e35cfd833b26, 0x843081eba09bb422,
  0x16cada93ba3db638, 0x0bcfc729827c6024, 0x51f5eea905baffa9, 0x24b1e78c953bdf75, 0x9784bf10d8488bee,
  0x266a8ee372e47f45, 0x7bd479c67b96086b, 0x050f680471d3f832, 0x47cedf2238c8e62c, 0x770d500ffd99e3af,
  0x2ab5815a0796b76f, 0x8d75901cc906d797, 0x96faa9bece75152a, 0xd34c9ae0404e576a, 0x688af2e9895c925f,
  0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x9b09732f9b65d863, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86,
  0xb9e4afdcd0ef41e6, 0x0000001bae9a07d5,
};

static const uint64_t ur_m163_swio13_lednop_pr_ee_ce[] = {
  0x42fddddddd447705, 0x75eeed55c8a4bb89, 0x6276e4ed6414dfa5, 0xa87e2f1df2531341, 0xc112247de41fb42f,
  0x6d49ddb0daf5bed5, 0xdfe4c13e30120b65, 0x2eb480347fd485e7, 0x78c953bff963faa3, 0xf7cce75dc6e6547e,
  0xfa8f2b28729dac0a, 0x5652fd47c1b3067a, 0x84e1b875f62d314c, 0x38752135f4b632e3, 0xb04f460a1ceaeddf,
  0x22d8d578d8ebce9b, 0x5f380e3b169e488f, 0x4a8d8226470decb6, 0x6d7972ab52cee193, 0x5152a8d75901cc90,
  0xe576a96faa9bece7, 0xc925fd34c9ae0404, 0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520,
  0x5d863b7fbd551691, 0xb93571b09732f9b6, 0x663c81f943458f38, 0xcd6433d30b41bf75, 0xa0f32c3b2c944e32,
  0xbbeadcf257ee6877, 0x000000000029a63c,
};

static const uint64_t ur_m163_swio13_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0x3dddaabc22589892, 0x7af5b76859bb85fe, 0x29b1b656e275c1a6, 0x6e999cbb6c148ab4,
  0xb6a4eea8feabec98, 0xfb06609f180905b2, 0x9ba4087dfffd5267, 0x42e0e35dd547d51e, 0x0d8488bee24b1e79,
  0x6e2e0bf459784bf1, 0x53b599ef7ccd51dc, 0x3660cf5f51e5650e, 0xc5a6298aca5fa8f8, 0x96c65c709c370ebe,
  0x9d5dbbe70ea426be, 0x1d79d37609e8c143, 0xd3c911e45b1aaf1b, 0xe1bd96cbe701c762, 0x59dc326951b044c8,
  0x2039920daf2e556a, 0x537d9cea2a551aeb, 0x35c0809caed52df5, 0xe5d312b924bfa699, 0x79bdb5d73daad115,
  0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0xe65f36cbb0c76ff7, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xe985f891ee4fc0fd, 0x61d9f0271966b219, 0xa792bf7343bd0799,
  0x0000009f83271996,
};

static const uint64_t ur_m163_swio13_lednop_hw[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x75681b64cdd7eecf,
  0x02416cada93ba0bf, 0xff0e3cfafb9827c6, 0xd7c3be5ba4a411ef, 0xc431c74fe0f9ef51, 0xdc3398b016f74c7a,
  0x9630475e2e76ded1, 0xd7972ab52b167ee3, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x925fd34c9ae0404e,
  0x9ed5688af2e9895c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0xcbe6da7a1d538139, 0x2d06fcfec376c25c,
  0xb25138cb3590cf4c, 0x5fb9a1de83ccb0ec, 0x00004710ebb053c9,
};

static const uint64_t ur_m163_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x8b8c8f9bb106d04e,
  0x5b2b6a4eeb62dd49, 0xa67e87e609f18090, 0x5ad1bf9480e0ffd0, 0x60c27fa8f2b53d35, 0xa6ef8ad82fa8f836,
  0xc65c709c370ebec5, 0xf3971ac9a426be96, 0xbb04f460a1cead2f, 0x7916c6ab5d0ebce9, 0xb2f9c071d8b4f244,
  0x34a8d823f5b86f65, 0x06d7972ab500ae19, 0x75152a8d75901cc9, 0x4e576a96faa9bece, 0x5c925fd34c9ae040,
  0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xb2ec8ab7fbd55169, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04,
  0x16f9ac1514f257ee,
};

static const uint64_t ur_m163_swio13_lednop_ce_hw[] = {
  0x426eeeeed121be4a, 0xaceed55ce0a34e25, 0x4f48fee8db6226d6, 0x448b87c6b9fb0676, 0xdd1ec103d7413768,
  0x80905b2b6a4ee94a, 0xbfe8533f1ca609f1, 0x37dd547d7baa416e, 0x45f71258f3ca1707, 0x7fa2cbc25f886c24,
  0x043593354771b86b, 0xfc193dea3ce33dcb, 0x73160287b40238e9, 0xf1d7a3e76f911c64, 0x5bb7bb86a807fecc,
  0x6bcb955ac0ad03cb, 0x8a9546bac80e6483, 0x2bb54b7d54df673a, 0x492fe9a64d702027, 0xcf6ab4457974c4ae,
  0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0xec31dbfdeaa8b48e, 0xc6e3cd84b997cdb2, 0x3def2861539fa82e,
  0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64, 0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0xdbe49d14f257ee68,
  0x00000000000003ac,
};

// m163_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_swio13_lednop_ee_ce_hw[] = {
  0x68dddddda2436812, 0x1eeed55e112c4c49, 0x3d7adbb42cddc2ff, 0x14d8db2b713ae0d3, 0x374cce5db60a455a,
  0x656d49dddfbdd44f, 0xcff60cc13e30120b, 0xa8f4dd2043effa14, 0xf3ca17071aeeaa3e, 0x5f886c2445f71258,
  0x1dc6e720ffa2cbc2, 0x50e53b599ef7ccd5, 0x8f83660cf5f51e56, 0xebec5a6298aca5fa, 0x6be96c65c709c370,
  0x1439d5dbbe70ea42, 0xf1b1d79d37609e8c, 0x762d3c911e45b1aa, 0x4c8e1bd96cbe701c, 0x56a59dc326951b04,
  0xaeb2039920daf2e5, 0xdf5537d9cea2a551, 0x69935c0809caed52, 0x115e5d312b924bfa, 0x74079bdb5d73daad,
  0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x612e65f36cbb0c76, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x453c95fb9a1de83c, 0x000000000a021939,
};

// m163_swio13_dual_pr               m163_swio13_dual_pr_u4
static const uint64_t ur_m163_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3fb2afc3, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba696,
  0xb52490770ce6badd, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x145ff487e60b0ab3, 0xfa8fdd1df2cb5e90, 0x8a2edf8e3a7f07bd, 0xf234c4e62c05d629,
  0xffd9823af01a9da5, 0x81e59ed8f837d500, 0x3f99f47332b314e3, 0x2039920daf2e556b, 0x537d9cea2a551aeb,
  0x35c0809caed52df5, 0xe5d312b924bfa699, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c,
  0x732f9b65d9156ff7, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0x53c95fb9a1de83cc, 0x0000014935e7cccb,
};

static const uint64_t ur_m163_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63ebbefc6, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b69c5,
  0x2b05dcf05bc7f2ac, 0x9827c602416cada9, 0xe23d932305523b8f, 0xdcb8c2813e26fb59, 0xa631ffccab773ba7,
  0x7a8e4eb60968e016, 0x08a11c913f838ad3, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x7b8a8432d05f6886,
  0xbdbe9affa039e130, 0xa43f305855998b9c, 0x6ab5a3fdd4802d7f, 0x6cc187bf51e576ea, 0x8b4ddf15efbf51f0,
  0x2d8cb8e1386e1d7d, 0x7296b813f3484d7d, 0xcdd83da33d4e7569, 0xa3886c6ab5d0ebd8, 0x5deece038ec5a738,
  0x88aa8d823f5b86f6, 0xf99f47332b30086f, 0x039920daf2e556b3, 0x37d9cea2a551aeb2, 0x5c0809caed52df55,
  0x5d312b924bfa6993, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x32f9b65d9156ff7a,
  0x1a2cb578dc79b097, 0xa73f53ab337f0777, 0xa1e64ff0271a50c2, 0xb219e985a0df80f9, 0x079961d9f0271966,
  0x5996a792bf7343bd, 0x00000000005641d1,
};

static const uint64_t ur_m163_swio13_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xa7333e9cd3b4abcb, 0x2a74164035a1942c,
  0xada92625dddd9b68, 0x3b8f9827c602416c, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x70275325afccab77,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x9400dc3e144312bf, 0xda21955ddeef9b84, 0x3c269122a10cb423,
  0x317397b7d35ff407, 0x05aff487e60b0ab3, 0xad4f4d56b4701a90, 0xf51f06cc1c89ea3c, 0xe1d7d8b4ddf159c3,
  0x84d7d2d8cb8e1386, 0xe75697fdcb80e334, 0x875e534ec8023050, 0x5a6f7a3c8b6355ae, 0x6e1bd96e4ce038ec,
  0xcfa399959ae2e1fd, 0xcc906d7972ab59fc, 0xece75152a8d75901, 0x0404e576a96faa9b, 0x9895c925fd34c9ae,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x38139f4502169ab9, 0x6c25ccbe6da7a1d5, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0x332d4f257ee6877a, 0x0000000000159205,
};

static const uint64_t ur_m163_swio13_dual_pr_ce[] = {
  0xddbbbbba1eb432db, 0x2c1f7562e2806fc0, 0xdc99ba3dac341b8e, 0x89e4aecae7517b3e, 0xaebdd85b3ef74375,
  0xb52571bb8e0b5a79, 0xc03304f8c0482d95, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0x035a6275f9956ee7,
  0xad37a8fa6f61158e, 0xfbe08a11c913f83c, 0x001b87c2886257f9, 0x4432abbbddf3732a, 0xc26ea22a10cb40ca,
  0x2e72f6f63fff4073, 0xadfe90fcc1615666, 0x72395547d4c7d201, 0x445f71258f3ca170, 0x51fa2cbc25f886c2,
  0xc1013f3354771b89, 0xfe0ed6f51c27cf72, 0x398b0157dc891c74, 0x8ebc06a7697c8d31, 0xdc3e0df5403ff667,
  0x47332b314e381e5a, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x09caed52df5537d9, 0x2b924bfa69935c08,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0xd3e1b8f3612e65f3,
  0xa75666fe0eee3459, 0x65f989fca1854e7e, 0x7ff04d0f327f8b9c, 0xd6433d30b41bf1cf, 0xa0f32c3b3e04e32c,
  0x6332d4f257ee6877, 0x0000000000034917,
};

static const uint64_t ur_m163_swio13_dual_pr_ce_u4[] = {
  0x64edddddda2432db, 0x22c1f7562e2eb77e, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0x5d547ee733eddc9c,
  0xb526a2bb8e0b41f3, 0x0ff304f8c0482d95, 0x6b3c47b26460aa47, 0x74fb97185027c4df, 0x16ea6d9df9956ee7,
  0x9737a8f813612b8e, 0xfbe08a11c913f832, 0xc01b87c2886257f9, 0x4432abbbddf37190, 0x84d2fa2a10cb43a8,
  0x2e72f6e96bfe80e7, 0x75fe90fcc1615666, 0x39beeaa3ebdd520b, 0x222fb892c79e50b8, 0xa8fd165e12fc4361,
  0x5821ac99aa3b8dc4, 0x4fe0c9ef51e719ee, 0x2398b0143da011c7, 0x678ebd1f3b7c88e3, 0x7332b31d0dfdc72c,
  0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x9caed52df5537d9c, 0xb924bfa69935c080, 0xd73daad115e5d312,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0x91ee4fc0fdfb0cd0, 0x271966b219e985f8, 0x7343bd079961d9f0,
  0x0d242cd996a792bf,
};

static const uint64_t ur_m163_swio13_dual_pr_ee_ce[] = {
  0xc499bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cd26,
  0xb12ee782d9642acb, 0xc13e30120b656d49, 0x23d932305523cf5c, 0xcb8c2813e26fb59e, 0x6adffccab773ba7d,
  0x474dbd84ed9c2d6e, 0xa11c913f8319b9bd, 0x7c2886257f9fbe08, 0xeef77cdc185c01b8, 0x150865a050d10caa,
  0xfd83ff4073c2674b, 0xfcc16156662e72f6, 0xd51e04a416b7fe90, 0x9fcf285c1c9dbb1f, 0x02af9339d771b808,
  0xdbfea3cae574a76b, 0xa62bcadea3e0d983, 0x71c270dc3afb1698, 0xe2963a909afa5b19, 0xcdd83da33d4e7576,
  0x4710d8d578d8ebd8, 0xbbdd9c071d8b4e71, 0x88aa8d8226470dec, 0xf99f47332b32cc6f, 0x039920daf2e556b3,
  0x37d9cea2a551aeb2, 0x5c0809caed52df55, 0x5d312b924bfa6993, 0x9bdb5d73daad115e, 0x842a417296be7407,
  0xaa2d23b73d0ea9c0, 0x65f36cbb0c76ff7a, 0x8d163ce1b8f3612e, 0x2d06fdd599bf83bb, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x0000982738ccb53c,
};

static const uint64_t ur_m163_swio13_dual_pr_ee_ce_u4[] = {
  0xfbbbbbb456ddb69f, 0x0fbab543abddf962, 0xbc16a27d69267da6, 0x1d7fabd823859c16, 0xfc0668cec5cb10f6,
  0xbd33a0808fe1bc98, 0x05b2b6a4d8677480, 0x5522f67a609f1809, 0xe26fb59e23d93230, 0x5bf3ba7dcb8c2813,
  0x5ce06b734c37e65a, 0x0eb7e6f51c526c3f, 0xfe7ef822847244fe, 0xe01006e1f0a21895, 0x564432abbbddf371,
  0xcf09a57454219684, 0x98b9cbdbdc8ffd01, 0x5bffba2c93058559, 0xf5eaa3ea8ce0d203, 0x2fb892c79e50bcef,
  0xfd165e12fc436122, 0xf5f266a8ee371e01, 0xffa8f2b95d29dacc, 0x8af2b7a8f83660f6, 0x709c370ebec5a629,
  0xa58ea426be96c65c, 0x760f68cf539d5db8, 0xc436355e363af633, 0xf76701c762d39c51, 0x2aa3608991c37b2e,
  0x67d1cccaccb31be2, 0xe64836bcb955acfe, 0xf673a8a9546bac80, 0x020272bb54b7d54d, 0x4c4ae492fe9a64d7,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x7cdb2ec31dbfdeaa, 0x7c5c9ab83cd84b99,
  0xab337f07edd8d163, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24,
  0xd0ef41e658767c09, 0x4b829d1649e4afdc, 0x0000000000000400,
};

static const uint64_t ur_m163_swio13_dual_hw[] = {
  0x97777776890c0668, 0xd83eeadc7f655f86, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0xda04339d61b74d2d,
  0xcada92483b81f6ec, 0x906019827c602416, 0x37dacf11ec99182a, 0xb9dd3ee5c61409f1, 0xb3814599c9fe655b,
  0x8332a6f51dfcd82f, 0x7f9fbe08a11c913f, 0x988001b87c288625, 0x119221955ddeef9b, 0x039e135ad150865a,
  0x5998b9cbdb94bffa, 0x480a2ff892730585, 0xdefd47ee8ef965af, 0x14c5176fc71d3f83, 0xd2f91a62731602eb,
  0x807fecc11d780d4e, 0x71c0f2cf6c7c1bea, 0xb59fccfa3999598a, 0x75901cc906d7972a, 0xfaa9bece75152a8d,
  0x4c9ae0404e576a96, 0x8af2e9895c925fd3, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0x84b997cdb2ec8ab7, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x3d30bf123dc9f81f,
  0x2c3b3e04e32cd643, 0x14f257ee6877a0f3, 0x000000018dd579f5,
};

static const uint64_t ur_m163_swio13_dual_ee_hw[] = {
  0xedddddd0f5a1a5fb, 0xc1f756b1f5df7e34, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285b4e29,
  0x49582ee964dd30a1, 0x7cc13e30120b656d, 0xcf11ec99182a91dc, 0x3ee5c61409f137da, 0xb5318ffe655bb9dd,
  0x9bd47275b04b4700, 0xf04508e489fc1c56, 0x0dc3e144312bfcfd, 0x32abbbddf370c020, 0x83dc54219682fb44,
  0xe5edf4d7fd01cf09, 0xfc493982c2accc5c, 0x5355ad1feea4016b, 0x83660c3dfa8f2bb7, 0xec5a6ef8af7dfa8f,
  0xe96c65c709c370eb, 0x4b94b5c09f9a426b, 0xc66ec1ed19ea73ab, 0xc51c436355ae875e, 0xb2ef76701c762d39,
  0x7c45546c11fadc37, 0x9fccfa3999598043, 0x901cc906d7972ab5, 0xa9bece75152a8d75, 0x9ae0404e576a96fa,
  0xf2e9895c925fd34c, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0xb997cdb2ec8ab7fb,
  0x9cfd4bd5c6e3cd84, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0xc659ac867a616837, 0xd0ef41e658767c09,
  0x5768745a29e4afdc,
};

static const uint64_t ur_m163_swio13_dual_ce_hw[] = {
  0x6edddddda243359b, 0x160fbab1714037e0, 0x6e4cdd1ed61a0dc7, 0xc4f2576573a8bd9f, 0x59beec2d9f7ba1ba,
  0x2b6a4ae3770f0f74, 0x87806609f180905b, 0xbed6788f64c8c154, 0xcee9f72e30a04f89, 0x1c06b4c4ebf32add,
  0x795a6f51f4dec22b, 0xf3f7c114239227f0, 0x5400370f8510c4af, 0x9488655777bbe6e6, 0xe784dd4454219681,
  0xcc5ce5edec7ffe80, 0x035bfc493982c2ac, 0xe0e472aa8fa98fa4, 0x8488bee24b1e7942, 0x337ff459784bf10d,
  0xcb0404fccd51dc6e, 0xd3f83b5bd4709f3d, 0xc4e62c055f722471, 0x9e3af01a9da5f234, 0x6b70f837d500ffd9,
  0x7d1cccacc538e079, 0x64836bcb955acfe6, 0x673a8a9546bac80e, 0x20272bb54b7d54df, 0xc4ae492fe9a64d70,
  0x6d75cf6ab4457974, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xcdb2ec31dbfdeaa8, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x123dc9f81fbf619a, 0x04e32cd6433d30bf, 0xee6877a0f32c3b3e,
  0x0004dd576514f257,
};

static const uint64_t ur_m163_swio13_dual_ee_ce_hw[] = {
  0x24cddddddd437089, 0x4e60fbab71f1f97e, 0xf7af7ba55e588053, 0x7114e2d56820f935, 0x25f5f263d3a66932,
  0x9b12eebc9eef7658, 0xcc13e30120b656d4, 0xe23d932305523cf5, 0xdcb8c2813e26fb59, 0xe6adffccab773ba7,
  0xd474dbd84ed9c2d6, 0x8a11c913f8319b9b, 0x87c2886257f9fbe0, 0xaeef77cdc185c01b, 0xb150865a050d10ca,
  0x6fd83ff4073c2674, 0x49cc16156662e72f, 0xfd51e04a416b7fe2, 0x4afcf285c1c9dbb1, 0x58157c99cebb8dca,
  0x1edff51e572ba53b, 0xc5315e56f51f06cc, 0xcb8e1386e1d7d8b4, 0xb714b1d484d7d2d8, 0xc66ec1ed19ea73ab,
  0x8a3886c6abc6c75e, 0x65deece038ec5a73, 0x7c45546c1132386f, 0x9fccfa3999599663, 0x901cc906d7972ab5,
  0xa9bece75152a8d75, 0x9ae0404e576a96fa, 0xf2e9895c925fd34c, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0,
  0xd551691db9e8754e, 0x732f9b65d863b7fb, 0xb41bf3fb0dc79b09, 0x3e04e32cd6433d30, 0x57ee6877a0f32c3b,
  0x0000089a7ce514f2,
};

// m161_swio13_dual_ee_ce_hw         m161_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m163_swio13_dual_ee_ce_u4_hw[] = {
  0xbeeeeeed1468b202, 0x83eead50eaf77e58, 0x705ba89f5a499f69, 0x3d875feaf608e17a, 0x263f019a33b172c4,
  0xddfd6f76405bf86f, 0xc602416cada93619, 0x4c8c1548bd9e9827, 0x0a04f89bed6788f6, 0xbf32ec24ee9f72e3,
  0x9361fae7035b9a61, 0x9227f075bf37a8e2, 0x10c4aff3f7c11423, 0xef9b8f0080370f85, 0x0cb422b221955dde,
  0x7fe80e784d2ba2a1, 0x2c2accc5ce5edee4, 0x706901adff9d5b98, 0xbe1839faf551f546, 0x1b09117dc4963cf1,
  0xdcea77e8b2f097e2, 0xa76b33d7c99aa3b8, 0xd983dbfea3cae574, 0x1698a62bcadea3e0, 0x5b1971c270dc3afb,
  0x7576e2963a909afa, 0xebd8cdd83da33d4e, 0x4e714710d8d578d8, 0x0decbbdd9c071d8b, 0xcc6f88aa8d822647,
  0x56b3f99f47332b32, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551, 0x69935c0809caed52, 0x115e5d312b924bfa,
  0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x612e65f36cbb0c76, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x7d3c95fb9a1de83c,
  0x000000075d79e861,
};

static const uint64_t ur_m163_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x5a06d933d9fbb110,
  0x905b2b6a4ee82fdd, 0x520f9feea609f180, 0x13be5ba0a407affc, 0x238e9fc1d7ff51e2, 0x4731602dee98f5f9,
  0x608ebc5ced07d193, 0x972ab52b09edc72c, 0x2a8d75901cc906d7, 0xb95daa5beace7515, 0x4ad8fdfd34c9ace9,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xf9b67adc55bfdeaa, 0x41bf3fb0ddb09732,
  0x944e32cd6433d30b, 0xee6877a0f32c3b2c, 0x00a9075a483cf257,
};

// m163_swio14_noled_pr_u4
static const uint64_t ur_m163_swio14_noled_pr[] = {
  0x8f77777689119391, 0x0bbb5572290044a3, 0x7b8ef5fb1a0b609e, 0x9ac1c44cd88ecf6a, 0x66350eb4dd8e3d05,
  0x56d49dde9da56f27, 0x7cc7cc13e30120b6, 0xb6f74836fffd485e, 0x9fc1935ea382877c, 0x80b2ca6dbf2fa38e,
  0xd1f3b2d746229cc5, 0x909e5403ff6608eb, 0x2ab567dd03cb3dbe, 0x8d75901cc906d797, 0x5daa5beace75152a,
  0xd8fdfd34c9ace9b9, 0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0xb67adc55bfdeaa8b,
  0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc,
  0x659ac867a617e247, 0x0ef41e658767c09c, 0x9f827d5b9e4afdcd, 0x0000000000000f93,
};

// m163_swio14_noled_pr_ee_u4
static const uint64_t ur_m163_swio14_noled_pr_ee[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0xab22101b020da086,
  0xcada93baafb60dc6, 0xcf9c19827c602416, 0x4663e906ceffa90b, 0xf51ea3cacbacd56b, 0xdf159c3f51f06cc1,
  0xb8e1386e1d7d8b4d, 0xae3593484d7d2d8c, 0x2008fe439d5a5ca2, 0xeec6ab5d0ebce9bb, 0x7ce038ec5a6f7a3d,
  0x546c11fadc37b2d9, 0xb5e5caad40227b9e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xd312b63f7f4d326b,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0xccbe6d9eb7156ff7, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985,
  0xbf7343bd079961d9, 0x004eb842df56e792,
};

// m163_swio14_noled_pr_ce_u4
static const uint64_t ur_m163_swio14_noled_pr_ce[] = {
  0xcfdddddda2445541, 0xb3bb5573829bb896, 0xc20da8ba306b9b5a, 0xd22e1fad0ada0963, 0xbb2869c33537bbb3,
  0x05b2b6a4ee80ade4, 0x42f3f6ea609f1809, 0x547d644a41813fea, 0x892c79e3254ed4f5, 0x65e12fc4361222fb,
  0x93354771b8cdffd1, 0x9fea3af93dcb0435, 0x02c8937471d3f835, 0x47cecb5d188a7316, 0x4279500ffd99e3af,
  0x2ab567dd03cb5bba, 0x8d75901cc906d797, 0x5daa5beace75152a, 0xd8fdfd34c9ace9b9, 0x5cf6ab4457974c4a,
  0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0x6cf5b31dbfdeaa8b, 0x726ae0f3612e65f3, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138,
  0x8faefab73c95fb9a, 0x0000000000000dd7,
};

static const uint64_t ur_m163_swio14_noled_pr_ee_ce[] = {
  0x78fddddddd447e4a, 0x75eeed55c8a79189, 0xe0dedc1d2431dfa5, 0xa87e2da9fd323ed2, 0x5dac1081e41fb78f,
  0xb6a4ee94ad3743da, 0xe1a2609f180905b2, 0x387482c7ffea42f3, 0xf192a77d3f63faa3, 0xef99cebb8dcb91fc,
  0xf51e5721e53b5815, 0xadd2fa8f83660f4a, 0x09c370ebec5a6298, 0x28ea426be96c65c7, 0xb2008fe439d5db8a,
  0xbdd8d578d8ebce9b, 0x2f9c071d8b4def47, 0xe546c1132386f65b, 0x1b5e5caad4b327b9, 0xd454aa35d6407324,
  0xb3a6e576a96fab39, 0x5d312b63f7f4d326, 0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53,
  0xb997cdb3d6cc76ff, 0x1a2c79c5c9ab8d84, 0x5a0dfbab31e40fca, 0x64a271966b219e98, 0xbf7343bd079961d9,
  0x00a699cf9f56e792,
};

static const uint64_t ur_m163_swio14_noled_pr_ee_ce_u4[] = {
  0x0adddddda243704a, 0x1eeed55e1111dc4b, 0x5d375bb0ccadc2ff, 0x4a6c6d9b106e5d9a, 0xd89c9de45b0522e1,
  0x56d49dd75bd415dd, 0xfa1f4c13e30120b6, 0xdbaa41883fffaa4c, 0xca17071fe5547d51, 0x886c2445f71258f3,
  0xe373ce5fa2cbc25f, 0xf29daccf7be66a8e, 0xc1b307a57a8f2b90, 0xf62d314c56e97d47, 0xf4b632e384e1b875,
  0x1ceaedc514752135, 0x6c75e74dd90047f2, 0xc5a6f7a3deec6abc, 0x91c37b2d97ce038e, 0x6a5993dcf2a36089,
  0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0xfbfa699359d372bb, 0xed5688af2e9895b1, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0xeb663b7fbd551698, 0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04, 0xf3ecf332d4f257ee,
  0x0000000000000013,
};

static const uint64_t ur_m163_swio14_noled_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x5a06d933d9fbb110,
  0x905b2b6a4ee82fdd, 0xe1c79feea609f180, 0x213be5ba0a407aff, 0x9238e9fc1d7ff51e, 0x34731602dee98f5f,
  0xc608ebc5ced07d19, 0x7972ab52b09edc72, 0x52a8d75901cc906d, 0x9b95daa5beace751, 0xc4ad8fdfd34c9ace,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2f9b67adc55bfdea, 0xb41bf3fb0ddb0973,
  0xc944e32cd6433d30, 0x7ee6877a0f32c3b2, 0x00011c43aec14f25,
};

static const uint64_t ur_m163_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xbeb22101b020da08,
  0x82d95b52775eb6ea, 0x4299f383304f8c04, 0xaad68cc7d20d9dff, 0xd983ea3d47959759, 0x169bbe2b387ea3e0,
  0x5b1971c270dc3afb, 0xb9455c6b26909afa, 0xd3764011fc873ab4, 0xf47bdd8d56ba1d79, 0x65b2f9c071d8b4de,
  0xf73ca8d823f5b86f, 0x64836bcb955a8044, 0x673a8a9546bac80e, 0x64d674dcaed52df5, 0x2bcba6256c7efe9a,
  0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0xd84b997cdb3d6e2a, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x514f257ee6877a0f,
  0x00000000016ff7c1,
};

static const uint64_t ur_m163_swio14_noled_ce_hw[] = {
  0xcfdddddda2431202, 0xb3bb5573829bb896, 0xc7e841ba306b9b5a, 0x67a45c3f5a15b412, 0xf74050d3866a6f77,
  0x602416cada93bacc, 0x4ffa14cfdba9827c, 0xc53d551f59129060, 0x117dc4963cf285c1, 0x27e8b2f097e21b09,
  0x6086b266a8ee3705, 0x7f06b3fd475f27b9, 0x4e62c059126e8e3a, 0x3c75e8f9d96ba311, 0x6b77484f2a01ffb3,
  0xdaf2e556acfba079, 0xa2a551aeb2039920, 0x9d372bb54b7d59ce, 0xe9895b1fbfa69935, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0xccbe6d9eb663b7fb, 0x9cfd4176371e6c25, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x00001d66dbe0a8a7,
};

// m163_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m163_swio14_noled_ee_ce_hw[] = {
  0x15bbbbbb4486cc7f, 0x3dddaabc2223b896, 0xba6eb761995b85fe, 0x94d8db3620dcbb34, 0xb1393bc8b60a45c2,
  0xb2b6a4eea7deedce, 0x67d0fa609f180905, 0xaa3b75483107fd0a, 0x1e7942e0e3fcaa8f, 0x4bf10d8488bee24b,
  0x51dc6e3aa3f45978, 0x721e53b599ef7ccd, 0xa8f83660f4af51e5, 0x0ebec5a6298add2f, 0x26be96c65c709c37,
  0xfe439d5db8a28ea4, 0x578d8ebce9bb2008, 0x71d8b4def47bdd8d, 0x1132386f65b2f9c0, 0xcaad4b327b9e546c,
  0xa35d64073241b5e5, 0x576a96fab39d454a, 0xb63f7f4d326b3a6e, 0xd73daad115e5d312, 0x536294f0d3bc77f5,
  0xd30ca7a1d5381077, 0xdb3d6cc76ff7aaa2, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0x23dc9f81fbf619a1, 0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0x0280becf514f257e,
};

static const uint64_t ur_m163_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0x7ee921b6c671fdd8,
  0x8c0482d95b527761, 0xffc520f9f80d304f, 0x3e4877cb7414803d, 0x498c71d3f83affea, 0x3e90e62c05bdd369,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551aeb2039920, 0x9d372bb54b7d59ce, 0x5cbec7a69935c080,
  0x6b9ed5688af2e989, 0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0x5ccbe6da7a1d5381, 0x4c2d06fcfec376c2,
  0xecb25138cb3590cf, 0xc95fb9a1de83ccb0, 0x000002a45c6920f3,
};

// m163_swio14_lednop_pr_u4
static const uint64_t ur_m163_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae453c7c4a3, 0x3d537b7e61f6c13c, 0x66b0714004ccbdd9, 0xd8f85eebf7638f41,
  0x56d49dd123a6ee05, 0x7d7dcc13e30120b6, 0xb6f74823dffd485e, 0x9fc1935ea3a0077c, 0xc05965347bd2a38e,
  0xe8f9da214637ce62, 0x8bd22a01ffb30475, 0xcaad5f5b81e59ed8, 0xa35d64073241b5e5, 0x576a96fab39d454a,
  0x8f4d326b81013a6e, 0xaad115e5d312b97d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73,
  0xc1e6c25ccbe6d8c9, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x219e985f891ee4fc, 0x79961d9f0271966b, 0xf56e792bf7343bd0, 0x000000003e4d5359,
};

static const uint64_t ur_m163_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0xb527747b6a3b0866, 0x4b5304f8c0482d95, 0xc7d201adff52179f, 0x3d4795b059aad68c, 0x2b287ea3e0d983ea,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x11cdc73ab4ba565c, 0x8d56ba1d79d376ea, 0xc071d8b4fe447195,
  0xd823f5b86f65b2f9, 0xcb955a805d213ca8, 0x9546bac80e64836b, 0xdcaed52df5673a8a, 0xfb1e9a64d7020274,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x922adfef5545a476, 0xab83cd84b997cdb1,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e64ff1738cbf313, 0x616837e39effe09a, 0x767c09c659ac867a,
  0xe4afdcd0ef41e658, 0x000004ebe317d5b9,
};

static const uint64_t ur_m163_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0x5b52774eb68912d5, 0xf1ad304f8c0482d9, 0xf6fd20d37ff52179, 0xc7d47959c39aad68, 0xe2b90fea3e0d9839,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0x8a3884e75697a94b, 0x8d56ba1d7aea6ed3, 0x80e3b169ad74622d,
  0x3a4fadc37b2e1cb3, 0x0e64836bcb955aae, 0xf5673a8a9546bac8, 0xd7020274dcaed52d, 0xcba62572fb1e9a64,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0xb997cdb1922adfef, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30,
  0x57ee6877a0f32c3b, 0x00013ae59beadcf2,
};

// m163_swio14_lednop_pr_ce_u4
static const uint64_t ur_m163_swio14_lednop_pr_ce[] = {
  0x67eeeeeed1222582, 0x59ddaab9c15a5c4b, 0xa2e91fddb6ebcdad, 0x45c3f5a1bb2b6f4d, 0x9ca82d0b5a37767a,
  0x5b2b6a4ee9dad976, 0x2f3f15a609f18090, 0x47d644a41beffea4, 0x92c79e3254ee5755, 0x5e12fc4361222fb8,
  0x99aa3b8dc643fd16, 0xfea3cbe9ee5821ac, 0x299538c71d3f8359, 0x7ced10a31be73160, 0xe91500ffd99e3af4,
  0x55abeb703cb5b845, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0xe9a64d7020274dca, 0x5a22bcba62572fb1,
  0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xedfef5545a476e7a, 0x79b09732f9b63218, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8,
  0x5b9e4afdcd0ef41e, 0x0000000375d22f7d,
};

static const uint64_t ur_m163_swio14_lednop_pr_ee_ce[] = {
  0x78fddddddd446f43, 0x75eeed55c8a74e89, 0xd1dec4ed412c9fa5, 0xa87e2da9f91fa6f5, 0x1b8e2d15e41fb78f,
  0x6d49dd69daeca714, 0xcedcc13e30120b65, 0xe1d20ddaffa90bcf, 0xc64a9d8cdd8fea8c, 0xbe673aee3719cbf3,
  0xd479594b94ed6057, 0xb2ebea3e0d983d2b, 0x270dc3afb1698a62, 0xc3a909afa5b1971c, 0xdd4239b8e7576e4a,
  0x656355e363af3a6e, 0xbe701c762d3f911c, 0x951b044c8e1bd96c, 0x6d7972ab52cfa427, 0x5152a8d75901cc90,
  0x4e9b95daa5beace7, 0xae5f63d34c9ae040, 0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9,
  0x6c6431dbfdeaa8b4, 0x71726ae3612e65f3, 0xeacc7903f2868b1e, 0x659ac867a616837e, 0xef41e6587659289c,
  0x5fb7d5b9e4afdcd0, 0x000000000000534c,
};

static const uint64_t ur_m163_swio14_lednop_pr_ee_ce_u4[] = {
  0x0adddddda243306a, 0x1eeed55e110c8c4b, 0x9d765ba34f17c2ff, 0x4a6c6d9b08ee0d98, 0x86e817d39b0522e1,
  0x5b52776abf4eb6cd, 0xffaf304f8c0482d9, 0x6ea90400fffea933, 0x50b8395bf551f547, 0x4361222fb892c79e,
  0x371dbbfd165e12fc, 0x29daccf7be66a8ee, 0x1b307a57a8f2b297, 0x62d314c565d7d47c, 0x4b632e384e1b875f,
  0xceaedc958752135f, 0xc75e74ddba847371, 0x5a7f2238cac6abc6, 0x1c37b2d97ce038ec, 0xa59f484f2a360899,
  0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x9935c0809d372bb5, 0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568,
  0x4e0421520b94b5f3, 0xfbd551691db9e875, 0xc25ccbe6d8c863b7, 0x83bb8d1637c371e6, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6, 0x32d4f257ee6877a0,
  0x0000000013f07abb,
};

static const uint64_t ur_m163_swio14_lednop_hw[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0x7ee921b6c671fdd8,
  0x8c0482d95b527761, 0xdffe1c79f80d304f, 0xa3e4877cb7414803, 0x9498c71d3f83affe, 0xa3e90e62c05bdd36,
  0xc72c608ebc5cec22, 0x0daf2e556a5660bd, 0xea2a551aeb203992, 0x09d372bb54b7d59c, 0x95cbec7a69935c08,
  0xd6b9ed5688af2e98, 0xea58594d8b3a03cf, 0x145f4502169ab9d5, 0x25ccbe6da7a1d538, 0xf4c2d06fcfec376c,
  0x0ecb25138cb3590c, 0x3c95fb9a1de83ccb, 0x00000004712e3b05,
};

static const uint64_t ur_m163_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x94695a2e2f106d04,
  0x05b2b6a4ee80addd, 0x8533e96a609f1809, 0x55ad198fa4035bfe, 0xb307d47a8f2b60b3, 0x2d377c5650fd47c1,
  0xb632e384e1b875f6, 0x74acb8d64d2135f4, 0xa6edd4239b8e7569, 0x88e32b1aad743af3, 0xcb65f380e3b169fc,
  0x427951b047eb70de, 0xc906d7972ab500ba, 0xce75152a8d75901c, 0x0404e9b95daa5bea, 0x4c4ae5f63d34c9ae,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x2f9b632455bfdeaa, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61, 0xafdcd0ef41e65876,
  0x00002dffc93a29e4,
};

static const uint64_t ur_m163_swio14_lednop_ce_hw[] = {
  0x67eeeeeed12198e2, 0x59ddaab9c15a5c4b, 0x9eb45dddb6ebcdad, 0xf48b87eb437656de, 0x74ed505a16b46eec,
  0x02416cada93ba53b, 0xffa14cfc569827c6, 0x95d551f5912906fb, 0x17dc4963cf285c1c, 0xfe8b2f097e21b091,
  0x10d64cd51dc6e760, 0xc1acff51e5f4f72c, 0x98b014ca9c638e9f, 0x1d7a3e7688518df3, 0xdc22f48a807feccf,
  0x5e5caad5f5b81e5a, 0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x97d8f4d326b81013, 0x73daad115e5d312b,
  0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x190c76ff7aaa2d23, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e, 0xcd93f0d14f257ee6,
  0x000000000000003a,
};

// m163_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_swio14_lednop_ee_ce_hw[] = {
  0x856eeeeed1219f68, 0x8f776aaf08864625, 0x4ebb2dd1a78be17f, 0xa53636cd847706cc, 0x43740be9cd829170,
  0x6cada93ba55fba80, 0x99ffd79827c60241, 0xea8edd520801ff42, 0x8f3ca17072b7eaa3, 0x25f886c2445f7125,
  0x51dc6e1b77fa2cbc, 0x652e53b599ef7ccd, 0xa8f83660f4af51e5, 0x0ebec5a6298acbaf, 0x26be96c65c709c37,
  0xe6e39d5db92b0ea4, 0x578d8ebce9bb7508, 0x71d8b4fe4471958d, 0x1132386f65b2f9c0, 0xcaad4b3e909e546c,
  0xa35d64073241b5e5, 0x576a96fab39d454a, 0x8f4d326b81013a6e, 0xaad115e5d312b97d, 0x6be74079bdb5d73d,
  0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0xe3cd84b997cdb190, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0xd6433d30bf123dc9, 0xa0f32c3b3e04e32c, 0x7abd14f257ee6877, 0x0000000000002808,
};

// m163_swio14_dual_pr               m163_swio14_dual_pr_u4
static const uint64_t ur_m163_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x6c1f756e3ff6afc6, 0xd67dba24792b4b3f, 0xc895b312759051ba, 0x5ed3924c69dbad16,
  0xda92483b87e6d179, 0xcdf9827c602416ca, 0xdacf11ec99182a91, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0x6c01b87c2886257f, 0x24432abbbddf372d, 0x3c26b5a2a10cb423,
  0x317397b72ebff407, 0x54aff487e60b0ab3, 0x7d47910ef961f290, 0x6a95dd471d3f8311, 0x288def398b01758a,
  0x1ffb30475e0353b0, 0xe07967b79160faa0, 0xcfe67d1cccacca42, 0xc80e64836bcb955a, 0x2df5673a8a9546ba,
  0x64d7020274dcaed5, 0x2bcba62572fb1e9a, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5,
  0x84b997cdb1922adf, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0x867a617e247b93f0, 0xe658767c09c659ac, 0x65a9e4afdcd0ef41, 0x00000000a49a0e36,
};

static const uint64_t ur_m163_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xe60fbab58fae37e3, 0xd70bddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0x582ee382db046baa, 0xc13e30120b656d49, 0x11ec99182a91649c, 0xe5c61409f137dacf, 0x318ffe655bb9dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf3739be00d, 0xdc54219682fb4432,
  0xdba6dffd01cf0983, 0x43f305855998b9cb, 0x56b465169050fffa, 0xcc1995ea3caf7dcd, 0xb4ddf15caef51f06,
  0xd8cb8e1386e1d7d8, 0x2eab813f3484d7d2, 0x6ec6523d28e75697, 0x1a636355ae875ec6, 0xdeece038ec5a72f9,
  0xaca8d823f5b86f65, 0x99f47332b300a0fd, 0x39920daf2e556b3f, 0xd59cea2a551aeb20, 0x5c0809d372bb54b7,
  0x2e9895cbec7a6993, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xe65f36c648ab7fbd,
  0xe34596af1b8f3612, 0x54e7ea75666fe0ee, 0x343cc9fe04e34a18, 0xd6433d30b41bf01f, 0xa0f32c3b3e04e32c,
  0x5332d4f257ee6877, 0x000000000005642b,
};

static const uint64_t ur_m163_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdb07dd5ac78ebdf8, 0xb6b8ee9d60148ce0, 0xb999f4e7adb9f6cf, 0xd227a8fbad8ca161,
  0xa498977347f7dc19, 0x4e609f180905b2b6, 0x6788f64c8c1548b2, 0x9f72e30a04f89bed, 0x9d4c96bf32addcee,
  0xe6f51e2b6c06b1c0, 0x7c114239227f07be, 0x0370f8510c4aff3f, 0x8655777bbe6e5250, 0x9a448a8432d08f68,
  0x9cbdba6dffd01cf0, 0xffa43f305855998b, 0x166ab5a37f29050f, 0xf06cc184ff51e56c, 0x7d8b4ddf15c87f51,
  0x7d2d8cb8e1386e1d, 0x69728ab80e33484d, 0xe534ed38a39b8e75, 0xb5d1c656355ae875, 0xbd96e4ce038ec5a6,
  0x1cccacd71d27d6e1, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0x0274dcaed52df567, 0x2572fb1e9a64d702,
  0xf5ae7b55a22bcba6, 0x7a96165362ce80f3, 0x0517d14085a6ae75, 0x09732f9b69e8754e, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359,
  0xcb53c95fb9a1de83, 0x000000000ac9d3cc,
};

static const uint64_t ur_m163_swio14_dual_pr_ce[] = {
  0xbdddddd0f5a1a5fb, 0xc1f7562e2a3f7e40, 0xb37ba769a741b8e2, 0x4f252955a1d78d5b, 0x89ae89f62fbb02ec,
  0x2571bba5937224c2, 0x5304f8c0482d95b5, 0x3c47b26460aa45c9, 0xfb97185027c4df6b, 0x5a6275f9956ee774,
  0x37a8fa6f61158e03, 0xe08a11c913f83cad, 0x1b87c2886257f9fb, 0x32abbbddf3719c80, 0x6ea22a10cb40ca44,
  0x72f6e63fff4073c2, 0xfe90fcc16156662e, 0x2b5547d63dd208e5, 0x5f71258f3ca17072, 0xfa2cbc25f886c244,
  0x013f3354771b9d67, 0x0ee1fa8fd44f72c1, 0x1602c0609f1c74fe, 0xbc06a760511bde73, 0x22c1f5403ff6678e,
  0x66566521703cb5bb, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0x4f86e3cd84b997cd,
  0x9d599bf83bb8d167, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x590cf4c2d06fc73d, 0x83ccb0ecf8138cb3,
  0x2ccb53c95fb9a1de, 0x00000000000d24c6,
};

static const uint64_t ur_m163_swio14_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x160fbab171a2fbf1, 0x9a16dd69c6e960f9, 0x8cd71c0b2af4fb49, 0x614aafad46add476,
  0xda93515dd2c9b87c, 0x1649827c602416ca, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x85ba9b677e655bb9,
  0xa5cdea3e04d84ae3, 0x7ef822847244fe0c, 0x8006e1f0a21895fe, 0x110caaeef77cdc4a, 0xe134be8a8432d0ea,
  0x17397b7eafffa039, 0xfbff487e60b0ab33, 0x1c95d551f5912906, 0x9117dc4963cf285c, 0x59fe8b2f097e21b0,
  0x2c10d64cd51dc6e7, 0x9fc1acff51e5f4f7, 0xf398b014ca9c638e, 0xcf1d7a3e7688518d, 0xe665663a83fb8e58,
  0x1b5e5caad67f33e8, 0xd454aa35d6407324, 0x13a6e576a96fab39, 0x2b97d8f4d326b810, 0x5d73daad115e5d31,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe247b93f03f7ec33, 0xc09c659ac867a617, 0xfdcd0ef41e658767,
  0x01a489a0665a9e4a,
};

static const uint64_t ur_m163_swio14_dual_pr_ee_ce[] = {
  0xe7daddddddd432db, 0x69cc1f756e3ed3d7, 0xb6fd5f773ed9f00a, 0xa9c453821fb8c3e0, 0x368339b36f4e99fd,
  0xd89771c168f0daeb, 0x609f180905b2b6a4, 0x11ec99182a9047ae, 0xe5c61409f137dacf, 0x356ffe655bb9dd3e,
  0xa3a6dec276ce16b7, 0x508e489fc18cdcde, 0x3e144312bfcfdf04, 0xbbbddf373ce400dc, 0xc54219681434432a,
  0xbfebffd01cf099d2, 0x3f305855998b9cbd, 0xfaa353d481fe7fa4, 0x24fcf285c1cd3563, 0x58157c99cebb8dc5,
  0x0fbaf51e5795a53b, 0x6298af027a8f8366, 0x65c709c370ebec5a, 0xdb8ba8ea426be96c, 0xb19bb1948f4a39d5,
  0x7c8d31b1aaf1b1d7, 0xb2ef76701c762d39, 0x3f6b2a3608991c37, 0xcfe67d1cccaccb38, 0xc80e64836bcb955a,
  0x2df5673a8a9546ba, 0x64d7020274dcaed5, 0x2bcba62572fb1e9a, 0x80f37b6bae7b55a2, 0x381085482e52d7ce,
  0xef5545a476e7a1d5, 0x09732f9b63218edf, 0x1ddc68b1e70dc79b, 0x7a616837eeaccdfc, 0x58767c09c659ac86,
  0xa9e4afdcd0ef41e6, 0x0000004c13a4e665,
};

static const uint64_t ur_m163_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x3eead50caf77e75d, 0xc16a0175b499f698, 0xfde66e6d01f4b269, 0xf033467d765887b6,
  0xd2ac0b68e435c5b4, 0x5b2b6a4d86775601, 0x5229f86609f18090, 0x26fb59e23d932305, 0xbf3ba7dcb8c2813e,
  0xce06b734c37e65a5, 0xeb7e6f51c526c3f5, 0xe7ef822847244fe0, 0x4a006e1f0a21895f, 0x64432abbbddf372e,
  0xf09a574542196845, 0x8b9cbdbb21ffd01c, 0x1ffba2c930585599, 0xbaaa3ea8c6b520ec, 0xfb892c79e50bcef1,
  0xd165e12fc4361222, 0x5f266a8ee372e4af, 0x7a8f2bcad29daccf, 0x57813d47c1b307dd, 0x84e1b875f62d314c,
  0xd4752135f4b632e3, 0xd8ca47a51ceaedc5, 0x98d8d578d8ebd8cd, 0xbb380e3b169cbe46, 0x951b044c8e1bd977,
  0x3e8e6656659c1fb5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x81013a6e576a96fa, 0xd312b97d8f4d326b,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x97cdb190c76ff7aa, 0x37c5c9ab83cd84b9,
  0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2,
  0xcd0ef41e658767c0, 0x008351d1649e4afd, 0x0000000000000040,
};

static const uint64_t ur_m163_swio14_dual_hw[] = {
  0x17777776890c5aa4, 0xd83eeadc7fed5f8d, 0xacfb7448f256967e, 0x912b6624eb20a375, 0xeba72498d3b75a2d,
  0x2b6a4920eec3eddb, 0x4737e609f180905b, 0xdf6b3c47b26460aa, 0xe774fb97185027c4, 0xce05166727f9956e,
  0x0cca9bd477f360be, 0xfe7ef822847244fe, 0xb5b006e1f0a21895, 0x8c910caaeef77cdc, 0x1cf09ad68a8432d0,
  0xccc5ce5edcbaffd0, 0x4152bfc493982c2a, 0x45f51e443be587ca, 0x29aa57751c74fe0c, 0xc0a237bce62c05d6,
  0x807fecc11d780d4e, 0x0b81e59ede4583ea, 0x6b3f99f47332b329, 0xeb2039920daf2e55, 0x54b7d59cea2a551a,
  0x69935c0809d372bb, 0x88af2e9895cbec7a, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87,
  0x3612e65f36c648ab, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0,
  0xccb0ecf8138cb359, 0x7453c95fb9a1de83, 0x000000000637541c,
};

static const uint64_t ur_m163_swio14_dual_ee_hw[] = {
  0x8ecb777776890c86, 0x13983eead63eb8df, 0xef5c2f77650f6323, 0x229506db105947f3, 0x4843b36eb63285bb,
  0xda92b05dddd9baa7, 0xc939827c602416ca, 0xb59e23d932305522, 0xba7dcb8c2813e26f, 0x016a631ffccab773,
  0xad37a8e4eb60968e, 0xfbe08a11c913f838, 0xc01b87c2886257f9, 0x88655777bbe6e737, 0x1307b8a8432d05f6,
  0x7397b74dbffa039e, 0xfff124e60b0ab331, 0xfb9aad68ca2d20a1, 0x3e0d98332bd4795e, 0xafb169bbe2b95dea,
  0xafa5b1971c270dc3, 0xad2e5d57027e6909, 0xbd8cdd8ca47a51ce, 0xe5f234c6c6ab5d0e, 0xdecbbdd9c071d8b4,
  0x41fb5951b047eb70, 0xd67f33e8e6656601, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xd326b81013a6e576,
  0x115e5d312b97d8f4, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x6c25ccbe6d8c9156,
  0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2,
  0xa8a792bf7343bd07, 0x0000000000aed15a,
};

static const uint64_t ur_m163_swio14_dual_ce_hw[] = {
  0x0bdddddda2431f02, 0x2c1f7562e2a3f7e4, 0xbb37ba769a741b8e, 0xc4f252955a1d78d5, 0xae9ae89f62fbb02e,
  0x6d495c6ee518eef9, 0x7254c13e30120b65, 0xdacf11ec99182a91, 0xdd3ee5c61409f137, 0x80d6989d7e655bb9,
  0x2b4dea3e9bd84563, 0x7ef822847244fe0f, 0x2006e1f0a21895fe, 0x910caaeef77cdc67, 0xf09ba88a8432d032,
  0x8b9cbdb98fffd01c, 0x397f892730585599, 0x1c8ad551f58f7482, 0x9117dc4963cf285c, 0x3e7e8b2f097e21b0,
  0xb0404fccd51dc6e3, 0x3f83b87ea3f513dc, 0x9cc580b01827c71d, 0xe3af01a9d81446f7, 0x6ec8b07d500ffd99,
  0xa3999599485c0f2d, 0x906d7972ab59fccf, 0xe75152a8d75901cc, 0x404e9b95daa5beac, 0xc4ae5f63d34c9ae0,
  0x6d75cf6ab4457974, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf,
  0x0001375c63453c95,
};

static const uint64_t ur_m163_swio14_dual_ee_ce_hw[] = {
  0x7daddddddd43573e, 0x9cc1f756e3ed3d7e, 0x6fd5f773ed9f00a6, 0x9c453821fb8c3e0b, 0x68339b36f4e99fda,
  0x4d89772e2f75a3f3, 0xe609f180905b2b6a, 0xf11ec99182a9047a, 0xee5c61409f137dac, 0x7356ffe655bb9dd3,
  0xea3a6dec276ce16b, 0x4508e489fc18cdcd, 0xc3e144312bfcfdf0, 0xabbbddf373ce400d, 0x2c54219681434432,
  0xdbfebffd01cf099d, 0x927305855998b9cb, 0x3faa353d481fe7f8, 0xb91fcf285c1cd356, 0xb58157c99cebb8dc,
  0x60fbaf51e5795a53, 0xa6298af027a8f836, 0xc65c709c370ebec5, 0x5db8ba8ea426be96, 0x7b19bb1948f4a39d,
  0x97c8d31b1aaf1b1d, 0x7b2ef76701c762d3, 0x83f6b2a3608991c3, 0xacfe67d1cccaccb3, 0xac80e64836bcb955,
  0x52df5673a8a9546b, 0xa64d7020274dcaed, 0x22bcba62572fb1e9, 0xe80f37b6bae7b55a, 0x5381085482e52d7c,
  0xfef5545a476e7a1d, 0xb09732f9b63218ed, 0xd30b41bf3fb0dc79, 0xc3b3e04e32cd6433, 0x4f257ee6877a0f32,
  0x000000089a7d2751,
};

// m161_swio14_dual_ee_ce_hw         m161_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m163_swio14_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0x83eead50caf77e75, 0xb26ea0175b499f69, 0x7b6fde66e6d01f6c, 0x5b4f033467d76588,
  0x3b8afddac02e435c, 0xf8c0482d95b526c3, 0xc99182a914fc3304, 0x61409f137dacf11e, 0x37e65d849dd3ee5c,
  0x526c3f5ce06b734c, 0x7244fe0eb7e6f51c, 0xa21895fe7ef82284, 0xddf372e4a006e1f0, 0x219684564432abbb,
  0x1ffd01cf09a57454, 0x05855998b9cbdbb2, 0xc6b520ec1ff3ab73, 0x37c30731baaa3ea8, 0x4361222fb892c79e,
  0x370617fd165e12fc, 0x29daccf5f266a8ee, 0x1b307dd7a8f2bcad, 0x62d314c57813d47c, 0x4b632e384e1b875f,
  0xceaedc5d4752135f, 0x8ebd8cdd8ca47a51, 0x69cbe4698d8d578d, 0xe1bd977bb380e3b1, 0x59c1fb5951b044c8,
  0xaad67f33e8e66566, 0x35d64073241b5e5c, 0x76a96fab39d454aa, 0xf4d326b81013a6e5, 0xad115e5d312b97d8,
  0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0x3cd84b997cdb190c, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xf05f4f257ee6877a,
  0x0000000001d759c5,
};

static const uint64_t ur_m163_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0xf75048036dbc9bba,
  0x602416cada93bb63, 0xfe2907cfedf9827c, 0xff21df2dd2520ea3, 0x3248e3a7f07cf7a8, 0x7d01cc580b7ba6ea,
  0xcb1823af173b0df4, 0xb5e5caad4ac26b71, 0x454aa35d64073241, 0xa6e576a96fabb39d, 0x8956aff7f4d326b3,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x97cdb2048ab7fbd5, 0x5a0df9fd86ed84b9,
  0x64a271966b219e98, 0xbf7343bd079961d9, 0x000a93ebd241e792,
};

// m163_swio15_noled_pr_u4
static const uint64_t ur_m163_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c4ae, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f76e2741,
  0x56d49dd977a0ccc8, 0x3efe4c13e30120b6, 0x5a0fd2032bfea42f, 0x9fc1f41ea3cbe3be, 0x602cb298ca9c638e,
  0x7a3e767bd1ef6731, 0xe1934a807fecc11d, 0xe556aab540f2cf6e, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5,
  0x57fbfa699359d372, 0xcf6ab4457974c4ab, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0xd902455bfdeaa8b4,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0xe4fc0fdfb0cd0f32,
  0x966b219e985f891e, 0x3bd079961d9f0271, 0x202df56e792bf734, 0x0000000000003e4c,
};

static const uint64_t ur_m163_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd058971, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da0b8fd6,
  0xa4eea0adb82739a2, 0xea609f180905b2b6, 0xca4115bfea42f3e4, 0xd479594b9aad68df, 0x65d7d47c1b30613f,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3c90e75697fdcb8d, 0xaad743af3a6eda52, 0x1c762d34c51c1fb1,
  0x08fd6e1bd96cbe70, 0xcaad40226b05aa36, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xaff7f4d326b3a6e5,
  0x9ed5688af2e98956, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0xb2048ab7fbd55169, 0xc9ab83cd84b997cd,
  0xc7903f2868b3a7c5, 0x13f9430a9cfd4eac, 0x9a1e64ff1738cbf3, 0x7a616837e39effe0, 0x58767c09c659ac86,
  0xb9e4afdcd0ef41e6, 0x00000009d7e9e7d5,
};

static const uint64_t ur_m163_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0xda93ba76b65da72a, 0xc569827c602416ca, 0x32a906fbffa90bcf, 0x0f51e56e966ab5a3, 0x8afe77a8f83660d0,
  0x709c370ebec5a6ef, 0x2899a426be96c65c, 0x88def39d5a5e032e, 0x355ae875eba9bb02, 0x071d8b4f22a3b876,
  0x4d7d6e1bd970e59c, 0x73241b5e5caad570, 0xbb39d454aa35d640, 0x326b3a6e576a96fa, 0xaf2e98956aff7f4d,
  0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0xd84b997cdb2048ab, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xd30bf123dc9f81fb, 0xc3b3e04e32cd6433,
  0xcf257ee6877a0f32, 0x0000013ae917bead,
};

// m163_swio15_noled_pr_ce_u4
static const uint64_t ur_m163_swio15_noled_pr_ce[] = {
  0xe4dddddda2447032, 0x59ddaab9c14fdc49, 0xa2ed91d267c7cdad, 0x45c3e35c19b20d4e, 0x49942da5e15baf22,
  0x2d95b52775b16ac1, 0x179fd37304f8c048, 0xa3ebdd520cadff52, 0x4963cf192a77812a, 0x2f097e21b09117dc,
  0x4cd51dc6e759fe8b, 0xf7a8f374f72c10d6, 0x05ee8148e3a7f064, 0x47cecf7a3dece62c, 0x3269500ffd99e3af,
  0x2ab555aa0796b75c, 0x8d75901cc906d797, 0xdaa5beaece75152a, 0xbfdfd34c9ace9b95, 0x7b55a22bcba6255a,
  0xc529e1a778efebae, 0x194f43aa7020eea6, 0x90218edfef5545a6, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0x4fc0fdfb0cd0f327, 0x66b219e985f891ee, 0xbd079961d9f02719,
  0x56df56e792bf7343, 0x000000000001baf7,
};

static const uint64_t ur_m163_swio15_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xbaf776aae45392c4, 0x7707519ead0f4fd2, 0xd43f178ecc49a51a, 0x1c7a75457907ed98,
  0x5b52775d9694e3ad, 0xe9b7304f8c0482d9, 0x2eb48066ffea42f3, 0xf192a7663f63faa3, 0xef99cebb8dca4afc,
  0xf51e5670e53b5815, 0xae43fa8f83660cf5, 0x09c370ebec5a6298, 0x70ea426be96c65c7, 0xb6948f2439d5dbbf,
  0x0fd8d578d8ebce9b, 0x5f380e3b169a628e, 0x6a8d8226470decb6, 0x6d7972ab52cc9ac1, 0x5152a8d75901cc90,
  0xe9b95daa5beaece7, 0x6255abfdfd34c9ac, 0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702,
  0xcbe6d90218edfef5, 0x163ce2e4d5c6c25c, 0x06fdd598f207e50d, 0x5138cb3590cf4c2d, 0xb9a1de83ccb0ecb2,
  0x534d17cfab73c95f,
};

static const uint64_t ur_m163_swio15_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0x1eeed55e11227448, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a4524,
  0x2b6a4eed6b4ed571, 0x3e292609f180905b, 0xf4dd20adffffea93, 0xca17072d6eaa3ea8, 0x886c2445f71258f3,
  0xc6e0c2ffa2cbc25f, 0xe53b599ef7ccd51d, 0x83660cf5f51e5670, 0xec5a6298ae43fa8f, 0xe96c65c709c370eb,
  0x39d5dbbf70ea426b, 0xd8ebce9bb6948f24, 0x169a628e0fd8d578, 0x470decb65f380e3b, 0x52cc9ac16a8d8226,
  0x5901cc906d7972ab, 0x5beaece75152a8d7, 0xfd34c9ace9b95daa, 0x5a22bcba6255abfd, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x18edfef5545a6194, 0x71e6c25ccbe6d902, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5,
  0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64, 0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0x26b332d4f257ee68,
  0x00000000000013f0,
};

static const uint64_t ur_m163_swio15_noled_hw[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0xf75048036dbc9bba,
  0x602416cada93bb63, 0x3ff0e3cfedf9827c, 0x8ff21df2dd2520ea, 0xa3248e3a7f07cf7a, 0x47d01cc580b7ba6e,
  0x1cb1823af173b0df, 0x1b5e5caad4ac26b7, 0xd454aa35d6407324, 0x3a6e576a96fabb39, 0x98956aff7f4d326b,
  0xbfaeb9ed5688af2e, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0x997cdb2048ab7fbd, 0x85a0df9fd86ed84b,
  0x964a271966b219e9, 0x2bf7343bd079961d, 0x000011c5f5f60a79,
};

static const uint64_t ur_m163_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0xb656d49dd69dbb38, 0xa67c9d4c13e30120, 0x5ad1bf94822b7fd0, 0x60c27fa8f2b29735, 0xa6ef8acbafa8f836,
  0xc65c709c370ebec5, 0xfb971ac9a426be96, 0xddb4a47921cead2f, 0x383f6355ae875e74, 0xd97ce038ec5a698a,
  0x0b546c11fadc37b2, 0x836bcb955a8044d6, 0x3a8a9546bac80e64, 0x674dcaed52df5767, 0xd312ad5fefe9a64d,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x732f9b6409156ff7, 0xa73f505d8dc79b09,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x617e247b93f03f7e, 0x767c09c659ac867a, 0xe4afdcd0ef41e658,
  0x00000016f8056a29,
};

static const uint64_t ur_m163_swio15_noled_ce_hw[] = {
  0xe4dddddda2432493, 0x59ddaab9c14fdc49, 0x9ed45dd267c7cdad, 0x448b87c6b833641a, 0xbad8a85b4bc2b75e,
  0x0120b656d49dd0dd, 0x7fd0a67f4dcc13e3, 0x604aa8faf754832b, 0x8bee24b1e7942e0e, 0xbf459784bf10d848,
  0x086b266a8ee3731b, 0xf8327bd479ba7b96, 0x731602f740a471d3, 0xf1d7a3e767bd1ef6, 0x5bae1934a807fecc,
  0x6bcb955aaad503cb, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x12ad5fefe9a64d67, 0xf5d73daad115e5d3,
  0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0x5f36c810c76ff7aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0xfc48f727e07efd86, 0xf8138cb3590cf4c2, 0x5fb9a1de83ccb0ec, 0x000eb366089453c9,
};

// m163_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m163_swio15_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x1eeed55e11227448, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a4524,
  0x656d49ddb17ddaaf, 0x67c524c13e30120b, 0x547a6e9056fffd0a, 0x79e50b8396b7551f, 0x2fc4361222fb892c,
  0x4771b8000fd165e1, 0x9c394ed667bdf335, 0xa3e0d9833d7d4795, 0x3afb1698a62b90fe, 0x9afa5b1971c270dc,
  0xc90e7576efdc3a90, 0x5e363af3a6eda523, 0x8ec5a698a383f635, 0x8991c37b2d97ce03, 0xaad4b326b05aa360,
  0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0xff7f4d326b3a6e57, 0xed5688af2e98956a, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0x40863b7fbd551698, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7,
  0xb93f03f7ec3343cc, 0x659ac867a617e247, 0x0ef41e658767c09c, 0x0104d6a29e4afdcd, 0x0000000000000005,
};

static const uint64_t ur_m163_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0xdd5a06d93375fbba,
  0x80905b2b6a4ee82f, 0xf8a41f3ebee609f1, 0x5f0ef96e929047bf, 0x10c71d3f83e7bd47, 0x70ce62c05bdd31eb,
  0x58c11d78b9db7b47, 0x5e5caad4ac59fb8e, 0x54aa35d64073241b, 0x6e576a96fabb39d4, 0x958f4d326b81013a,
  0x9ed5688af2e9895c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0xcbe6da7a1d538139, 0x2d06fcfec376c25c,
  0xb25138cb3590cf4c, 0x5fb9a1de83ccb0ec, 0x0002a41d6920f3c9,
};

// m163_swio15_lednop_pr_u4
static const uint64_t ur_m163_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c4ae, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0xda982f623bb713a0,
  0x2b6a4eec1bd3f6cc, 0x3f52a609f180905b, 0xb41fa4063ffea42f, 0x9fc1f41ea3e9477c, 0xc05965318f3d638e,
  0xf47cedf2238c8e62, 0xf770d500ffd9823a, 0xcaad605681e59ede, 0xa35d64073241b5e5, 0x76a96fabb39d454a,
  0xf4d326b81013a6e5, 0x5688af2e9895c958, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0xab7fbd551691db9e,
  0x3cd84b997cdb2ec8, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0xadcf257ee6877a0f, 0x00000007c9bf543e,
};

static const uint64_t ur_m163_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x52774eb6c4e2d4b8, 0x3f304f8c0482d95b, 0xca40707fea42f3f4, 0xd4795a9e9aad68df, 0x6c17d47c1b30613f,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3050e75697f9cb8d, 0x55ae875e74dd827a, 0x38ec5a79223c8b63,
  0x11fadc37b2d97ce0, 0x955a80570c9a546c, 0x46bac80e64836bcb, 0xed52df57673a8a95, 0xe9a64d7020274dca,
  0xad115e5d312b92b1, 0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x56ff7aaa2d23b73d, 0x79b09732f9b65d91,
  0xe50d1674f8b93570, 0x61539fa9d598f207, 0x9fe2e7197e627f28, 0x06fc73dffc1343cc, 0x8138cb3590cf4c2d,
  0xfb9a1de83ccb0ecf, 0x009d75d8fab73c95,
};

static const uint64_t ur_m163_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x5591080d8106d045,
  0x656d49dd57db06e3, 0xe7ce0cc13e30120b, 0xd1995483677fd485, 0x6807a8f2b2eb355a, 0x77c5670fd47c1b30,
  0x2e384e1b875f62d3, 0x57144cd2135f4b63, 0x90047f21cead2e51, 0xbb1aad743af5d4dd, 0xb380e3b169bde8f7,
  0x5c5c3fadc37b2e1c, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xbcba62572563d34c,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x2e65f36cbb22adfe, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x2fc48f727e07efd8, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x000275c216fab73c,
};

// m163_swio15_lednop_pr_ce_u4
static const uint64_t ur_m163_swio15_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xaceed55ce0a34e24, 0x47f4d2e8db6226d6, 0x45c3e35cfd833b26, 0x843081eba09baf22,
  0x16cada93ba3db638, 0x0bcfc729827c6024, 0x51f5eea905baffa9, 0x24b1e78c953bdf75, 0x9784bf10d8488bee,
  0x266a8ee372e47f45, 0x7bd479c67b96086b, 0x050f680471d3f832, 0x47cedf2238c8e62c, 0x770d500ffd99e3af,
  0x2ab5815a0796b76f, 0x8d75901cc906d797, 0xdaa5beaece75152a, 0xd34c9ae0404e9b95, 0x5a22bcba62572563,
  0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xedfef5545a476e7a, 0xe6c25ccbe6d97618, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21,
  0x6e792bf7343bd079, 0x00000006eba681f5,
};

static const uint64_t ur_m163_swio15_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xbaf776aae4525dc4, 0xb13b7276b20a6fd2, 0xd43f178ef92989a0, 0x7044891f7907ed98,
  0x5b52776c36bd6fb5, 0xf7f9304f8c0482d9, 0xcbad200d1ff52179, 0x9e3254effe58fea8, 0xbdf339d771b9951f,
  0xbea3caca1ca76b02, 0x1594bf51f06cc19e, 0xe1386e1d7d8b4c53, 0xce1d484d7d2d8cb8, 0xec13d182873abb77,
  0xc8b6355e363af3a6, 0x97ce038ec5a79223, 0xd2a3608991c37b2d, 0x1b5e5caad4b3b864, 0xd454aa35d6407324,
  0x3a6e576a96fabb39, 0x5c958f4d326b8101, 0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152,
  0x65d863b7fbd55169, 0x8b93571b09732f9b, 0x5663c81f943458f3, 0x2cd6433d30b41bf7, 0x7a0f32c3b2c944e3,
  0xcbbeadcf257ee687, 0x0000000000029a63,
};

static const uint64_t ur_m163_swio15_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb448692df, 0x3dddaabc22589891, 0x7af5b76859bb85fe, 0x29b1b656e275c1a6, 0x6e999cbb6c148a48,
  0xb6a4eea8feabec98, 0xfb06609f180905b2, 0x9ba4087dfffd5267, 0x42e0e35dd547d51e, 0x0d8488bee24b1e79,
  0x6e2e0bf459784bf1, 0x53b599ef7ccd51dc, 0x3660cf5f51e5650e, 0xc5a6298aca5fa8f8, 0x96c65c709c370ebe,
  0x9d5dbbe70ea426be, 0x1d79d37609e8c143, 0xd3c911e45b1aaf1b, 0xe1bd96cbe701c762, 0x59dc326951b044c8,
  0x2039920daf2e556a, 0x7d5d9cea2a551aeb, 0x35c0809d372bb54b, 0x7974c4ae4ac7a699, 0x1e6f6d75cf6ab445,
  0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0xb997cdb2ec31dbfd, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86, 0xa9e4afdcd0ef41e6,
  0x00000027e0c9c665,
};

static const uint64_t ur_m163_swio15_lednop_hw[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0xdd5a06d93375fbba,
  0x80905b2b6a4ee82f, 0xffc38f3ebee609f1, 0x75f0ef96e929047b, 0xb10c71d3f83e7bd4, 0x770ce62c05bdd31e,
  0xe58c11d78b9db7b4, 0xb5e5caad4ac59fb8, 0x454aa35d64073241, 0xa6e576a96fabb39d, 0xc958f4d326b81013,
  0xb9ed5688af2e9895, 0x58594d8b3a03cfd6, 0x9f4502169ab9d5ea, 0xccbe6da7a1d53813, 0xc2d06fcfec376c25,
  0xcb25138cb3590cf4, 0x95fb9a1de83ccb0e, 0x000004710ebb053c,
};

static const uint64_t ur_m163_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x8b8c8f9bb106d05c,
  0x5b2b6a4eeb62dd49, 0xa67e87e609f18090, 0x5ad1bf9480e0ffd0, 0x60c27fa8f2b53d35, 0xa6ef8ad82fa8f836,
  0xc65c709c370ebec5, 0xf3971ac9a426be96, 0xbb04f460a1cead2f, 0x7916c6ab5d0ebce9, 0xb2f9c071d8b4f244,
  0x34a8d823f5b86f65, 0x06d7972ab500ae19, 0x75152a8d75901cc9, 0x4e9b95daa5beaece, 0x572563d34c9ae040,
  0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0x6cbb22adfef5545a, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f727e07efd86687, 0x38cb3590cf4c2fc4, 0x9a1de83ccb0ecf81,
  0x05be6b05453c95fb,
};

static const uint64_t ur_m163_swio15_lednop_ce_hw[] = {
  0xf26eeeeed121be4a, 0xaceed55ce0a34e24, 0x4f48fee8db6226d6, 0x448b87c6b9fb0676, 0xdd1ec103d741375e,
  0x80905b2b6a4ee94a, 0xbfe8533f1ca609f1, 0x37dd547d7baa416e, 0x45f71258f3ca1707, 0x7fa2cbc25f886c24,
  0x043593354771b86b, 0xfc193dea3ce33dcb, 0x73160287b40238e9, 0xf1d7a3e76f911c64, 0x5bb7bb86a807fecc,
  0x6bcb955ac0ad03cb, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x92b1e9a64d702027, 0x73daad115e5d312b,
  0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0xbb0c76ff7aaa2d23, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138, 0x36f927453c95fb9a,
  0x00000000000000eb,
};

// m163_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m163_swio15_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x1eeed55e112c4c48, 0x3d7adbb42cddc2ff, 0x14d8db2b713ae0d3, 0x374cce5db60a4524,
  0x656d49dddfbdd44f, 0xcff60cc13e30120b, 0xa8f4dd2043effa14, 0xf3ca17071aeeaa3e, 0x5f886c2445f71258,
  0x1dc6e720ffa2cbc2, 0x50e53b599ef7ccd5, 0x8f83660cf5f51e56, 0xebec5a6298aca5fa, 0x6be96c65c709c370,
  0x1439d5dbbe70ea42, 0xf1b1d79d37609e8c, 0x762d3c911e45b1aa, 0x4c8e1bd96cbe701c, 0x56a59dc326951b04,
  0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0x69935c0809d372bb, 0x4457974c4ae4ac7a, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0xd84b997cdb2ec31d, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x514f257ee6877a0f, 0x000000000280864e,
};

// m163_swio15_dual_pr               m163_swio15_dual_pr_u4
static const uint64_t ur_m163_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x6c1f756e3fb2afc2, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba47e,
  0xb52490770ce6badd, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x145ff487e60b0ab3, 0xfa8fdd1df2cb5e90, 0x8a2edf8e3a7f07bd, 0xf234c4e62c05d629,
  0xffd9823af01a9da5, 0x81e59ed8f837d500, 0x3f99f47332b314e3, 0x2039920daf2e556b, 0x7d5d9cea2a551aeb,
  0x35c0809d372bb54b, 0x7974c4ae4ac7a699, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x5ccbe6d976455bfd, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x3d30bf123dc9f81f, 0x2c3b3e04e32cd643, 0xd4f257ee6877a0f3, 0x000000524d79f332,
};

static const uint64_t ur_m163_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0x983eead63ebbefc7, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b7ac5,
  0x2b05dcf05bc7f2ac, 0x9827c602416cada9, 0xe23d932305523b8f, 0xdcb8c2813e26fb59, 0xa631ffccab773ba7,
  0x7a8e4eb60968e016, 0x08a11c913f838ad3, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x7b8a8432d05f6886,
  0xbdbe9affa039e130, 0xa43f305855998b9c, 0x6ab5a3fdd4802d7f, 0x6cc187bf51e576ea, 0x8b4ddf15efbf51f0,
  0x2d8cb8e1386e1d7d, 0x7296b813f3484d7d, 0xcdd83da33d4e7569, 0xa3886c6ab5d0ebd8, 0x5deece038ec5a738,
  0x88aa8d823f5b86f6, 0xf99f47332b30086f, 0x039920daf2e556b3, 0xd5d9cea2a551aeb2, 0x5c0809d372bb54b7,
  0x974c4ae4ac7a6993, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0xccbe6d976455bfde,
  0xc68b2d5e371e6c25, 0xa9cfd4eaccdfc1dd, 0x687993fc09c69430, 0xac867a616837e03e, 0x41e658767c09c659,
  0x5665a9e4afdcd0ef, 0x0000000000159074,
};

static const uint64_t ur_m163_swio15_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xdd333e9cd3b4abcb, 0x2a74164035a1942c,
  0xada92625dddd9b68, 0x3b8f9827c602416c, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x70275325afccab77,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x9400dc3e144312bf, 0xda21955ddeef9b84, 0x3c269122a10cb423,
  0x317397b7d35ff407, 0x05aff487e60b0ab3, 0xad4f4d56b4701a90, 0xf51f06cc1c89ea3c, 0xe1d7d8b4ddf159c3,
  0x84d7d2d8cb8e1386, 0xe75697fdcb80e334, 0x875e534ec8023050, 0x5a6f7a3c8b6355ae, 0x6e1bd96e4ce038ec,
  0xcfa399959ae2e1fd, 0xcc906d7972ab59fc, 0xece75152a8d75901, 0x0404e9b95daa5bea, 0xa62572563d34c9ae,
  0xf3f5ae7b55a22bcb, 0x757a96165362ce80, 0x4e04e7d14085a6ae, 0x9b09732f9b69e875, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x590cf4c2fc48f727, 0x83ccb0ecf8138cb3,
  0x4ccb53c95fb9a1de, 0x0000000000056481,
};

static const uint64_t ur_m163_swio15_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0x2c1f7562e2806fc6, 0xdc99ba3dac341b8e, 0x89e4aecae7517b3e, 0xaebdd85b3ef7599d,
  0xb52571bb8e0b5a79, 0xc03304f8c0482d95, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0x035a6275f9956ee7,
  0xad37a8fa6f61158e, 0xfbe08a11c913f83c, 0x001b87c2886257f9, 0x4432abbbddf3732a, 0xc26ea22a10cb40ca,
  0x2e72f6f63fff4073, 0xadfe90fcc1615666, 0x72395547d4c7d201, 0x445f71258f3ca170, 0x51fa2cbc25f886c2,
  0xc1013f3354771b89, 0xfe0ed6f51c27cf72, 0x398b0157dc891c74, 0x8ebc06a7697c8d31, 0xdc3e0df5403ff667,
  0x47332b314e381e5a, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x09d372bb54b7d5d9, 0x4ae4ac7a69935c08,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0x74f86e3cd84b997c,
  0xa9d599bf83bb8d16, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0x3590cf4c2d06fc73, 0xe83ccb0ecf8138cb,
  0xd8ccb53c95fb9a1d, 0x000000000000d245,
};

static const uint64_t ur_m163_swio15_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x22c1f7562e2eb77e, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0x5d547ee733edd89c,
  0xb526a2bb8e0b41f3, 0x0ff304f8c0482d95, 0x6b3c47b26460aa47, 0x74fb97185027c4df, 0x16ea6d9df9956ee7,
  0x9737a8f813612b8e, 0xfbe08a11c913f832, 0xc01b87c2886257f9, 0x4432abbbddf37190, 0x84d2fa2a10cb43a8,
  0x2e72f6e96bfe80e7, 0x75fe90fcc1615666, 0x39beeaa3ebdd520b, 0x222fb892c79e50b8, 0xa8fd165e12fc4361,
  0x5821ac99aa3b8dc4, 0x4fe0c9ef51e719ee, 0x2398b0143da011c7, 0x678ebd1f3b7c88e3, 0x7332b31d0dfdc72c,
  0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x9d372bb54b7d5d9c, 0xae4ac7a69935c080, 0x75cf6ab4457974c4,
  0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xb2ec31dbfdeaa8b4, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x247b93f03f7ec334, 0x09c659ac867a617e, 0xdcd0ef41e658767c,
  0x03490b3665a9e4af,
};

static const uint64_t ur_m163_swio15_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cf65,
  0xb12ee782d9642acb, 0xc13e30120b656d49, 0x23d932305523cf5c, 0xcb8c2813e26fb59e, 0x6adffccab773ba7d,
  0x474dbd84ed9c2d6e, 0xa11c913f8319b9bd, 0x7c2886257f9fbe08, 0xeef77cdc185c01b8, 0x150865a050d10caa,
  0xfd83ff4073c2674b, 0xfcc16156662e72f6, 0xd51e04a416b7fe90, 0x9fcf285c1c9dbb1f, 0x02af9339d771b808,
  0xdbfea3cae574a76b, 0xa62bcadea3e0d983, 0x71c270dc3afb1698, 0xe2963a909afa5b19, 0xcdd83da33d4e7576,
  0x4710d8d578d8ebd8, 0xbbdd9c071d8b4e71, 0x88aa8d8226470dec, 0xf99f47332b32cc6f, 0x039920daf2e556b3,
  0xd5d9cea2a551aeb2, 0x5c0809d372bb54b7, 0x974c4ae4ac7a6993, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01,
  0xaa8b48edcf43aa70, 0x997cdb2ec31dbfde, 0xe3458f386e3cd84b, 0x0b41bf75666fe0ee, 0xb3e04e32cd6433d3,
  0x257ee6877a0f32c3, 0x00002609ce332d4f,
};

static const uint64_t ur_m163_swio15_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x0fbab543abddf89f, 0xbc16a27d69267da6, 0x1d7fabd823859c16, 0xfc0668cd3ecb10f6,
  0xbd33a0808fe1bc98, 0x05b2b6a4d8677480, 0x5522f67a609f1809, 0xe26fb59e23d93230, 0x5bf3ba7dcb8c2813,
  0x5ce06b734c37e65a, 0x0eb7e6f51c526c3f, 0xfe7ef822847244fe, 0xe01006e1f0a21895, 0x564432abbbddf371,
  0xcf09a57454219684, 0x98b9cbdbdc8ffd01, 0x5bffba2c93058559, 0xf5eaa3ea8ce0d203, 0x2fb892c79e50bcef,
  0xfd165e12fc436122, 0xf5f266a8ee371e01, 0xffa8f2b95d29dacc, 0x8af2b7a8f83660f6, 0x709c370ebec5a629,
  0xa58ea426be96c65c, 0x760f68cf539d5db8, 0xc436355e363af633, 0xf76701c762d39c51, 0x2aa3608991c37b2e,
  0x67d1cccaccb31be2, 0xe64836bcb955acfe, 0x7673a8a9546bac80, 0x020274dcaed52df5, 0xd312b92b1e9a64d7,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x5f36cbb0c76ff7aa, 0xdf1726ae0f3612e6,
  0xeaccdfc1fb763458, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89,
  0x343bd079961d9f02, 0x12e0a74592792bf7, 0x0000000000000100,
};

static const uint64_t ur_m163_swio15_dual_hw[] = {
  0x7f777776890c0668, 0xd83eeadc7f655f84, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0xda04339d61b748fd,
  0xcada92483b81f6ec, 0x906019827c602416, 0x37dacf11ec99182a, 0xb9dd3ee5c61409f1, 0xb3814599c9fe655b,
  0x8332a6f51dfcd82f, 0x7f9fbe08a11c913f, 0x988001b87c288625, 0x119221955ddeef9b, 0x039e135ad150865a,
  0x5998b9cbdb94bffa, 0x480a2ff892730585, 0xdefd47ee8ef965af, 0x14c5176fc71d3f83, 0xd2f91a62731602eb,
  0x807fecc11d780d4e, 0x71c0f2cf6c7c1bea, 0xb59fccfa3999598a, 0x75901cc906d7972a, 0xa5beaece75152a8d,
  0x4c9ae0404e9b95da, 0x22bcba62572563d3, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0x612e65f36cbb22ad, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07,
  0xcb0ecf8138cb3590, 0x453c95fb9a1de83c, 0x0000000063755e7d,
};

static const uint64_t ur_m163_swio15_dual_ee_hw[] = {
  0x6dddddd0f5a1a5fb, 0xc1f756b1f5df7e3d, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285bd629,
  0x49582ee964dd30a1, 0x7cc13e30120b656d, 0xcf11ec99182a91dc, 0x3ee5c61409f137da, 0xb5318ffe655bb9dd,
  0x9bd47275b04b4700, 0xf04508e489fc1c56, 0x0dc3e144312bfcfd, 0x32abbbddf370c020, 0x83dc54219682fb44,
  0xe5edf4d7fd01cf09, 0xfc493982c2accc5c, 0x5355ad1feea4016b, 0x83660c3dfa8f2bb7, 0xec5a6ef8af7dfa8f,
  0xe96c65c709c370eb, 0x4b94b5c09f9a426b, 0xc66ec1ed19ea73ab, 0xc51c436355ae875e, 0xb2ef76701c762d39,
  0x7c45546c11fadc37, 0x9fccfa3999598043, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0x9ae0404e9b95daa5,
  0xbcba62572563d34c, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x2e65f36cbb22adfe,
  0xa73f52f571b8f361, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x71966b219e985a0d, 0x343bd079961d9f02,
  0x15da1d168a792bf7,
};

static const uint64_t ur_m163_swio15_dual_ce_hw[] = {
  0x33dddddda243359b, 0x160fbab1714037e3, 0x6e4cdd1ed61a0dc7, 0xc4f2576573a8bd9f, 0x59beec2d9f7bacce,
  0x2b6a4ae3770f0f74, 0x87806609f180905b, 0xbed6788f64c8c154, 0xcee9f72e30a04f89, 0x1c06b4c4ebf32add,
  0x795a6f51f4dec22b, 0xf3f7c114239227f0, 0x5400370f8510c4af, 0x9488655777bbe6e6, 0xe784dd4454219681,
  0xcc5ce5edec7ffe80, 0x035bfc493982c2ac, 0xe0e472aa8fa98fa4, 0x8488bee24b1e7942, 0x337ff459784bf10d,
  0xcb0404fccd51dc6e, 0xd3f83b5bd4709f3d, 0xc4e62c055f722471, 0x9e3af01a9da5f234, 0x6b70f837d500ffd9,
  0x7d1cccacc538e079, 0x64836bcb955acfe6, 0x673a8a9546bac80e, 0x20274dcaed52df57, 0x312b92b1e9a64d70,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36cbb0c76ff7aaa, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf,
  0x00013755d9453c95,
};

static const uint64_t ur_m163_swio15_dual_ee_ce_hw[] = {
  0x6caddddddd437089, 0x4e60fbab71f1f97e, 0xf7af7ba55e588053, 0x7114e2d56820f935, 0x25f5f263d3a67b2a,
  0x9b12eebc9eef7658, 0xcc13e30120b656d4, 0xe23d932305523cf5, 0xdcb8c2813e26fb59, 0xe6adffccab773ba7,
  0xd474dbd84ed9c2d6, 0x8a11c913f8319b9b, 0x87c2886257f9fbe0, 0xaeef77cdc185c01b, 0xb150865a050d10ca,
  0x6fd83ff4073c2674, 0x49cc16156662e72f, 0xfd51e04a416b7fe2, 0x4afcf285c1c9dbb1, 0x58157c99cebb8dca,
  0x1edff51e572ba53b, 0xc5315e56f51f06cc, 0xcb8e1386e1d7d8b4, 0xb714b1d484d7d2d8, 0xc66ec1ed19ea73ab,
  0x8a3886c6abc6c75e, 0x65deece038ec5a73, 0x7c45546c1132386f, 0x9fccfa3999599663, 0x901cc906d7972ab5,
  0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xbcba62572563d34c, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8,
  0xf5545a476e7a1d53, 0x5ccbe6d97618edfe, 0x2d06fcfec371e6c2, 0xcf8138cb3590cf4c, 0x95fb9a1de83ccb0e,
  0x000002269f39453c,
};

// m161_swio15_dual_ee_ce_hw         m161_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m163_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0x83eead50eaf77e27, 0x705ba89f5a499f69, 0x3d875feaf608e17a, 0x263f019a334fb2c4,
  0xddfd6f76405bf86f, 0xc602416cada93619, 0x4c8c1548bd9e9827, 0x0a04f89bed6788f6, 0xbf32ec24ee9f72e3,
  0x9361fae7035b9a61, 0x9227f075bf37a8e2, 0x10c4aff3f7c11423, 0xef9b8f0080370f85, 0x0cb422b221955dde,
  0x7fe80e784d2ba2a1, 0x2c2accc5ce5edee4, 0x706901adff9d5b98, 0xbe1839faf551f546, 0x1b09117dc4963cf1,
  0xdcea77e8b2f097e2, 0xa76b33d7c99aa3b8, 0xd983dbfea3cae574, 0x1698a62bcadea3e0, 0x5b1971c270dc3afb,
  0x7576e2963a909afa, 0xebd8cdd83da33d4e, 0x4e714710d8d578d8, 0x0decbbdd9c071d8b, 0xcc6f88aa8d822647,
  0x56b3f99f47332b32, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0x69935c0809d372bb, 0x4457974c4ae4ac7a,
  0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0xd84b997cdb2ec31d, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x5f4f257ee6877a0f,
  0x00000001d75e7a18,
};

// m162_autobaud_uart0_noled_pr
static const uint64_t ur_m162_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0x657793ba0bd04cc5,
  0xf3f38cc13e30120b, 0xd32811025f3fd9ab, 0xfaa2175fedd70174, 0x09f169da12704995, 0xf063efd47afe77cb,
  0x0b2ca61179e8e3a7, 0x3e760e28ccf1cc58, 0xf86a807fecc11d7a, 0x8a159503cb3db535, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xe6da5fe2adfef554, 0x1a2c79c376c25ccb, 0x5727eeacc790347f,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x000e220072d7b4f2,
};

static const uint64_t ur_m162_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0xef2776a2f25b1eb0,
  0xe719827c602416ca, 0x9408812f9fe357e7, 0x510baff6eb80ba69, 0xf8b4ed093824cafd, 0x31f7ea3d7f3be584,
  0x965308bcf471d3f8, 0x3b07146678e62c05, 0x35403ff6608ebd1f, 0x0aca81e59eda9afc, 0x934746293cb4e945,
  0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0x6d2ff156ff7aaa2d, 0x726ae0f3612e65f3, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x0d969720d3c95fb9, 0x0000000000000023,
};

// m162_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x827c602416caef27, 0x0470ffc6afcfb059, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0x5ce3355ad1cdc2d3,
  0xea3e0d9831f3d479, 0xc3afb169bbe2b97d, 0x09afa5b1971c270d, 0x39d5a5d315c6b269, 0x43af3a6ecb3d189f,
  0x5a682d1e33b1aad7, 0xdc37b2d97ce038ec, 0x017e1806546c11fa, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec,
  0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xe15399069e4afdcd,
  0x00000000000004d4,
};

// m162_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xef2776c4d8608005,
  0xc879827c602416ca, 0x502204e4ffc6afcf, 0x442ebfdbae02e9a6, 0x22d3b424e0932bf5, 0xf192a7613ee2faa6,
  0xe21b09117dc4963c, 0x1b963fff3f51f097, 0xe9ee58cfd64cf177, 0x8e3a7f06693d476b, 0x199e398b016e1887,
  0xfd99e3af47cec1c5, 0x1e5adca6bf0d500f, 0x6293cb4e9450aca8, 0xbd73f1479bd93474, 0xd0ea9c08fea52f29,
  0xc76ff7aaa2d2a7d3, 0x1e6c25ccbe6da5fc, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x641a792bf734332c, 0x0000000008dd532d,
};

static const uint64_t ur_m162_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd414477d6, 0xeeeeeaaf389a0b12, 0x34cfd921f4f4c4ee, 0x2b7a90bdeef8fb1e, 0xeb4e2b83f69a2d45,
  0x7c602416caef2775, 0x15bfc6afcf93a982, 0xdbae02e9a6502205, 0x24e0932bf5442ebf, 0x94effaa30f62d3b4,
  0xfd735bfcf192a76e, 0xb5958f7cc273b8dc, 0x307197a8f2b05253, 0x698a62b9bbd47c1b, 0xb1971c270dc3afb1,
  0xabb72623a909afa5, 0x5e74dd967a313e73, 0xa0b478cec6abc6c7, 0xdecb65f380e3b169, 0xfc300ca8d8226470,
  0x746293cb4e9450b3, 0x29bd73f1479bd934, 0xd3d0ea9c08fea52f, 0xfcc76ff7aaa2d2a7, 0x5c1e6c25ccbe6da5,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x082274f641a792bf,
};

static const uint64_t ur_m162_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x5bbbbbbb44867f3e, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0xbb1aa8bd99badf4e,
  0xc13e30120b657793, 0x231fff1231cfeed4, 0xfedd70174d328110, 0xa12704995faa2175, 0x95d717d51a56169d,
  0x17dc4963cf285c1c, 0x0ff51f097e21b091, 0xdef99e2ee373acd9, 0x5ea3cac1494ed6e6, 0x8ae6ef51f06cc1c6,
  0x709c370ebec5a629, 0x988ea426be96c65c, 0x7659e8c4f9ceaedc, 0xe33b1aaf1b1d79d3, 0x97ce038ec5a682d1,
  0x32a3608991c37b2d, 0x4f2d3a5142cff0c0, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43,
  0xb09732f9b697f31d, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x118773c95fb9a199, 0x00000000008220fc,
};

static const uint64_t ur_m162_autobaud_uart0_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0xd3e3f5a307ddddd0, 0xb657793ba36f1deb,
  0x8f3f38cc13e30120, 0xd34ca044097cffc3, 0x57ea885d7fb75c05, 0x2c27c5a76849c126, 0x9fc18fbf51ebf9df,
  0x602cb29845e7a38e, 0xe8f9d838a333c731, 0xd7e1aa01ffb30475, 0x4a2856540f2cf6d4, 0xcdec9a3a3149e5a7,
  0x7f529794deb9f8a3, 0x516953e9e8754e04, 0x2f9b697f8ab7fbd5, 0x2b93f3fb0ddb0973, 0x2c944e32c970cf4c,
  0x2bf734332c3a4a5b, 0x001b65a039760a79,
};

static const uint64_t ur_m162_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0x793ba8eca56bb206,
  0x82cc13e30120b657, 0xa04408e1ffd0a67d, 0x885d7fb75c05d34c, 0x85a76849c12657ea, 0xa8f2b9c66ab5a39b,
  0x72fbd47c1b3063e7, 0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x313e73ab4ba62b8d, 0x55ae875e74dd967a,
  0x71d8b4d05a3c6763, 0x23f5b86f65b2f9c0, 0x945002fc300ca8d8, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000589fc687453c,
};

static const uint64_t ur_m162_autobaud_uart0_noled_ce_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55e6106, 0x871fb3afad0c9ef8, 0x34d88036dbc9bbba, 0x482d95de4eed8f64,
  0xe1c79fdbf304f8c0, 0x02e9a6502205d47f, 0x932bf5442ebfdbae, 0xeffa93c2d3b424e0, 0xdbf9f9e325038b5c,
  0xc05c67309cee3723, 0xf83d62f51d05cf72, 0xcc580ab3d21c71d3, 0xc75e2e76a251c351, 0xa5141d7e1ee39633,
  0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702, 0x2f9b697f31dbfdea, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00032ac5f5f60a79,
};

// m162_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m162_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0xa9827c602416caef, 0x220463fff4299fdd, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x8392bae2faa34ac2,
  0x1222fb892c79e50b, 0x0de1fea3e12fc436, 0xdcdbdf33c5dc6e76, 0x38cbd479582929da, 0xc5315cddea3e0d98,
  0xcb8e1386e1d7d8b4, 0xdb9311d484d7d2d8, 0x3a6ecb3d189f39d5, 0x5a3c676355e363af, 0x65b2f9c071d8b4d0,
  0x1806546c1132386f, 0x3149e5a74a2859fe, 0xdeb9f8a3cdec9a3a, 0xe8754e047f529794, 0x63b7fbd5516953e9,
  0x8f3612e65f36d2fe, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x3f05453c95fb9a19, 0x0000000000002548,
};

// m162_autobaud_uart0_lednop_pr
static const uint64_t ur_m162_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0xcaef277731242a1a,
  0xe7c149827c602416, 0xa6502205f27fb357, 0xf5442ebfdbae02e9, 0xb582d3b424e0932b, 0xf0667bd476be3be5,
  0x2dee9ae18878e3a7, 0x73b0fb47ac473160, 0x58a6b71cb1823af1, 0xc5302027969d28a1, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x1bb612e65f36cb88, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x1ce6bda792bf7343, 0x0000000000000e22,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0xf27748fcbb7a71c7,
  0xf59827c602416cae, 0x8110297dfe357e7c, 0x2175fedd70174d32, 0x169da12704995faa, 0x3efd4759e77cb09f,
  0x94c37c9e8e3a7f06, 0xcf6919a4398b0165, 0x500ffd9823af47ce, 0xb0503cb3db33ca69, 0xc5302027969d28a2,
  0x33a071479f1268e8, 0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x0f3612e65f36cb88, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x320d3c95fb9a1996, 0x000000000230d6e4,
};

// m162_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart0_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x827c602416caef27, 0x0450ffc6afcfe569, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0x59eb355ad1cdc2d3,
  0xea3e0d9831f3d479, 0xe1d7d8b4ddf15e95, 0x84d7d2d8cb8e1386, 0x9cead2f922e35934, 0xd0ebce9bb7408c43,
  0x2d313e8e416c6ab5, 0x6e1bd96cbe701c76, 0x0094d7e1aa3608fd, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0xc1e6c25ccbe6d971, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x5e41a792bf734332,
  0x000000000135389c,
};

// m162_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0x793ba1b9053453b4,
  0xa5cc13e30120b657, 0x8110274bfe357e7c, 0x2175fedd70174d32, 0x169da12704995faa, 0x8c953bdbf717d531,
  0x10d8488bee24b1e7, 0xb9bb49b7fa8f84bf, 0x9ee58cfd64cf1771, 0x38e9fc19a4f51f9e, 0x3348731602ef782e,
  0xfb33c75e8f9d9ed2, 0x1e5adc6794d2a01f, 0x1013cb4e94515828, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0,
  0xdeaa8b4d8b3d0ea9, 0x12e65f36cb831dbf, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000046ebbc1720d,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0x7c602416caef2774, 0xe0ff8d5f9fa1f982, 0xb75c05d34ca04408, 0x49c12657ea885d7f, 0xa9dff5461ec5a768,
  0x787cb5f9e3254ecb, 0x6b2b1ef984e771b9, 0x60e32f51e56804a7, 0xd314c5738fa8f836, 0x632e384e1b875f62,
  0x576ec90752135f4b, 0x5e74ddba04621ce7, 0x13e8e416c6abc6c7, 0xbd96cbe701c762d3, 0xa6bf0d51b044c8e1,
  0x302027969d28a166, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x6c25ccbe6d97063b,
  0x434596af2e4d5c1e, 0x54e7ea75663c81f9, 0x343cc9fe04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0x176641a792bf7343, 0x0000000000000411,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0xbbd77738a7557891,
  0xc13e30120b657793, 0x0bfe7f8918e7f4d4, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0x34ddc5f5469585a7,
  0x45f71258f3ca1707, 0x4afd47c25f886c24, 0xb7be678bb8dcb912, 0x97a8f2b40253b5b9, 0x62b9c7d47c1b3071,
  0x1c270dc3afb1698a, 0x6483a909afa5b197, 0x6edd02310e73abb7, 0x720b6355e363af3a, 0x65f380e3b16989f4,
  0x86a8d8226470decb, 0x13cb4e9450b3535f, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0,
  0xe65f36cb831dbfde, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xee792bf734332c3a, 0x000000082225b430,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x15e95d7993ddddd0, 0xb657793bb50d4dee,
  0x8f3e7acc13e30120, 0xa699408814beffc3, 0xafd510baff6eb80b, 0x584f8b4ed093824c, 0x3f831f7ea3acf3be,
  0x80b2ca61be4f471d, 0xa3e767b48cd21cc5, 0xe534a807fecc11d7, 0x945158281e59ed99, 0x347462981013cb4e,
  0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0xf3fb0ddb09732f9b, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x65a1c5f60a792bf7, 0x000000000000001b,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xbc9dd322d3b6c31f,
  0x95a609f180905b2b, 0x50220450ffe8533f, 0x442ebfdbae02e9a6, 0xc2d3b424e0932bf5, 0xd47959eb355ad1cd,
  0x5e95ea3e0d9831f3, 0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c439cead2f922e3, 0x6ab5d0ebce9bb740,
  0x1c762d313e8e416c, 0x08fd6e1bd96cbe70, 0xa5140094d7e1aa36, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2,
  0x62cf43aa702baa9c, 0xd971156ff7aaa2d3, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x0b13cfd6e8a792bf,
};

static const uint64_t ur_m162_autobaud_uart0_lednop_ce_hw[] = {
  0xc4b777777759bb37, 0xdddddddd55e6138f, 0xa1c7edbe2d22ef8f, 0x1a6c401b6d88eeee, 0x2416caef2776c7b2,
  0xf0e3cfd4a9827c60, 0x02e9a650220463ff, 0x932bf5442ebfdbae, 0xeffa93c2d3b424e0, 0xedfcfcf19281c1f0,
  0x602e33984e771b91, 0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0xd28a0ea596e39633,
  0xa68e8c5302027969, 0x9794d8ce81c51e5b, 0x573182169bd57553, 0xccbe6da7a1d53817, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x00000cab17d7d829,
};

// m162_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0xa9827c602416caef, 0x08817fcffa14cfe9, 0x0baff6eb80ba6994, 0xb4ed093824cafd51, 0xe0e69bb8bea8d2b0,
  0x8488bee24b1e7942, 0x0ccf9fa8f84bf10d, 0xb736f7ccf1771b93, 0x0e32f51e56804a76, 0x314c5738fa8f8366,
  0x32e384e1b875f62d, 0x76ec90752135f4b6, 0xe74ddba04621ce75, 0x3e8e416c6abc6c75, 0xd96cbe701c762d31,
  0x6bf0d51b044c8e1b, 0x02027969d28a166a, 0x071479f1268e8c53, 0x3815d54e5e53633a, 0xfbd55169b167a1d5,
  0xc25ccbe6d97063b7, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x28a792bf734332c3, 0x000000000254896d,
};

static const uint64_t ur_m162_autobaud_uart0_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0xc9376ee3ad1ab59f,
  0x0e609f180905b2bb, 0x59e23d932305522f, 0xa7dcb8c2813e26fb, 0xeb3143fccae3d73b, 0x9bd47f9db090e702,
  0xf04508e489fc1945, 0x0dc3e144312bfcfd, 0x0caaeef77cdc3820, 0x32d78a8432d0c911, 0x9cbdbedfffa039e1,
  0x7f9c03305855998b, 0x5c05d34ca0440a5f, 0xc12657ea885d7fb7, 0x79df2c27c5a76849, 0xa38e9fc18fbf51d6,
  0x0e62c0596530df27, 0x08ebd1f3b3da4669, 0x332b32b289dc72c6, 0x9e5a74a293f99f47, 0x1e7c49a3a314c080,
  0x75539794d8ce81c5, 0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0xcfec5c9ab83cd84b, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x3c9e9c79069e4afd, 0x0000000000000019,
};

static const uint64_t ur_m162_autobaud_uart0_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd33e81664519eeee, 0xbbc9376ee3ad1a8e,
  0x19f2609f180905b2, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x702eb3143fccab77, 0x9459bd47f9db090e,
  0xcfdf04508e489fc1, 0x3600dc3e144312bf, 0x9110caaeef77cdcd, 0x9e132d78a8432d0c, 0x98b9cbdbc7bffa03,
  0xb4aff79a73058559, 0xfb75c05d34ca0440, 0x849c12657ea885d7, 0x8fcf1df2c27c5a76, 0x6d7d1c74fe0c7dfa,
  0xf199cc580b2ca6b8, 0xb1823af47ced20a8, 0xd1cccaccac74f71c, 0x2027969d28a4fe67, 0xef9d038a3ce8c530,
  0x042d392306a6c4a7, 0x36d3d0ea9c083b8a, 0x63ce1b8f3612e65f, 0x4fdd599bf83bb8d1, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x2ab361358c3b9e4a,
};

static const uint64_t ur_m162_autobaud_uart0_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0xc029a744eddddb22, 0xa16eeaefc89086d3,
  0x609f180905b2bbc9, 0xe23d932305523ace, 0xdcb8c2813e26fb59, 0x934aefccab773ba7, 0xbd47297b060a70c0,
  0x04508e489fc1ba59, 0xdc3e144312bfcfdf, 0xcaaeef77cdc0b400, 0xb248a8432d09c510, 0x72f6efe7fd01cf09,
  0xfde69cc16156662e, 0x70174d3281102ea3, 0x04995faa2175fedd, 0x33be5b9e169da127, 0x471d3f837b5ea3dc,
  0x9cc580bac533df6b, 0x8ebc06a76afe8d05, 0xb63ee895403ff660, 0xa3999598e3e07967, 0x404f2d3a5149fccf,
  0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7, 0x25ccbe6d971156ff, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x61dcf257ee686658, 0x0000000017059f04,
};

// m162_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0x3c330a136d75b9ce,
  0x0120b65779302ddc, 0xc8c15485c14c13e3, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xad83fc3862099aef,
  0x244fe0ffe4dea3e9, 0x21895fe7ef822847, 0x77cdceb3006e1f0a, 0x865a0c1510caaeef, 0x5ff4073c2690f150,
  0x0b0ab3317397b727, 0x28110295dfef34e6, 0xa2175fedd70174d3, 0xa169da12704995fa, 0xd4795edf9aad68f4,
  0x5f75ea3e0d983f93, 0x1386e1d7d8b4ddf1, 0x3f3484d7d2d8cb8e, 0x193c73ab4bce2b81, 0xaad743af63376ded,
  0x1c762d3e791a43b1, 0x11fadc37b2ef7670, 0x32b300a89507546c, 0xe5a74a293f99f473, 0xe7c49a3a314c0809,
  0x5539794d8ce81c51, 0x45a6c59e8754e057, 0x97cdb2e22adfef55, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000052a448bcc3b,
};

// m162_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda243573e, 0x7777777565a13eef, 0x94e67c10c7b6d6b7, 0x5bf79f7b2b777605, 0x1dbb9717dd95c759,
  0x827c602416caef25, 0x23d9323055215d79, 0xcb8c2813e26fb59e, 0x69dbfccab773ba7d, 0x4719bd86ed1c136e,
  0x508e489fc185a9bd, 0x3e144312bfcfdf04, 0x5ddeef9b978600dc, 0xa2a10cb4243a2195, 0x6fb3bfe80e784dfb,
  0x69cc16156662e72f, 0xe9a650220450ffde, 0x2bf5442ebfdbae02, 0xfacdc2d3b424e093, 0x963cf285c1c7f2e2,
  0xf097e21b09117dc4, 0x78bb8dcd34ff3f51, 0xa3f413dcb19e27e6, 0xf9d2471d3f83417e, 0xdabfa34167316028,
  0x500ffd99e3af01a9, 0x8e3e0796b70fba25, 0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2,
  0x62cf43aa702baa9c, 0xb2e0c76ff7aaa2d3, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x15af7b5ecc3b9e4a,
};

static const uint64_t ur_m162_autobaud_uart0_dual_pr_ee_ce[] = {
  0x9bbbbbbba8286f97, 0xddddddd5817d77df, 0xc935d00957efb8dd, 0x2656a19991ddfb49, 0xcf04675c7f53a26f,
  0x30120b657792769d, 0x99182a91dc7cc13e, 0x1409f137dacf11ec, 0xfe655bb9dd3ee5c6, 0xdec2618e0cf93759,
  0x244fe0c524dea39a, 0x21895fe7ef822847, 0xef9b8601006e1f0a, 0x0cb409d221955dde, 0xbfe80e784db3a2a1,
  0x16156662e72f6fa6, 0x50220416bfde69cc, 0x442ebfdbae02e9a6, 0x62d3b424e0932bf5, 0x0b839810effaa35f,
  0xe771b8cf9d67f9e5, 0x7224a76b2b17c984, 0xa8f83660d31f51e5, 0x0ebec5a6298ac27f, 0x26be96c65c709c37,
  0x64f1ceaedd388ea4, 0x578d8ebd8cddb7b4, 0xe3b169f3c8d21d8d, 0x44c8e1bd977bb380, 0xcaccb3a2541d51b0,
  0x969d28a4fe67d1cc, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d, 0xbe6d97063b7fbd55,
  0x8b2d5e371e6c25cc, 0xcfd4eaccdfc1ddc6, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xa61dcf257ee68665, 0x0000000007ead8e8,
};

static const uint64_t ur_m162_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7672df, 0xbbbbbab2099137e6, 0x64da27e66f7eafbb, 0x91f69dbbd7655ee1, 0xa592b00df5c7e577,
  0x779210ddccfae5f5, 0xe49cc13e30120b65, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0xa3f32927e65a5bf3,
  0x9bd47a4ad83391c3, 0xe08a11c913f83eb3, 0x1b87c2886257f9fb, 0xcaaeef77cdc575c0, 0xa7e2a10cb4376910,
  0xbdbe377fd01cf09b, 0x0cd1305855998b9c, 0x5d34ca0440a76ffd, 0x657ea885d7fb75c0, 0x5465d45a76849c12,
  0xc79e50bcece0dc5f, 0x12fc4361222fb892, 0xbb8dc524e6ffea3e, 0x91253b5b9b5f2678, 0x47c1b30698fa8f2b,
  0x75f62d314c5613fd, 0x35f4b632e384e1b8, 0x278e7576e9c47521, 0xbc6c75ec66edbda3, 0x1d8b4f9e4690ec6a,
  0x26470decbbdd9c07, 0x56659d12a0ea8d82, 0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c,
  0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8, 0xf1726ae0f3612e65, 0xaccdfc1fb763458d, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xb67aa0aa92792bf7,
  0x00000000000001fa,
};

static const uint64_t ur_m162_autobaud_uart0_dual_hw[] = {
  0x9bbbbbbb448692df, 0xeeeeeeead0bdd95f, 0x719ba81624747b6e, 0xc0534e89dbbbb645, 0xc9a16ee51f421d26,
  0xce609f180905b2bb, 0x59e23d932305523a, 0xa7dcb8c2813e26fb, 0xc0934aefccab773b, 0x59bd47297b060a70,
  0xdf04508e489fc1ba, 0x00dc3e144312bfcf, 0x10caaeef77cdc0b4, 0x09b248a8432d09c5, 0x2e72f6efe7fd01cf,
  0x51fe249cc1615666, 0x6eb80ba699408817, 0x93824cafd510baff, 0xee19df2dcf0b4ed0, 0xb5a38e9fc1bdaf51,
  0x82ce62c05d6299ef, 0x30475e0353b57f46, 0xb3db1f744aa01ffb, 0x67d1cccacc71f03c, 0x302027969d28a4fe,
  0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x3612e65f36cb88ab, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x05453c95fb9a1996,
  0x0000000000f46e9f,
};

static const uint64_t ur_m162_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb448687e1, 0xddddddd58198ebdf, 0x367df5decad44fdd, 0x6cb563bf23ba52ac, 0x715ede0b5a3f739d,
  0x8c0482d95de4c0b7, 0x932305521705304f, 0xc2813e26fb59e23d, 0xbfccab773ba7dcb8, 0xa6b60ff0e188266b,
  0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0xbddf373acc01b87c, 0x4219683054432abb, 0x9d7fd01cf09a43c5,
  0x982c2accc5ce5edc, 0xa65022052bbfc493, 0xf5442ebfdbae02e9, 0xe942d3b424e0932b, 0x27a8f2bdbf355ad1,
  0xe2beebd47c1b307f, 0x1c270dc3afb169bb, 0x027e6909afa5b197, 0xda3278e756979c57, 0x6355ae875ec66edb,
  0xe038ec5a7cf23487, 0xd823f5b86f65deec, 0xe6656601512a0ea8, 0x13cb4e94527f33e8, 0xa3cf893474629810,
  0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0xa73f505d8dc79b09, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000002c1c922fa2,
};

static const uint64_t ur_m162_autobaud_uart0_dual_ce_hw[] = {
  0x9bbbbbbb4486c541, 0xeeeeeeeacb427ddf, 0x29ccf8218f6dad6e, 0x77ef3ef656eeec0b, 0x9476eeb047f0ea8c,
  0xe609f180905b2bbc, 0x788f64c8c1548575, 0xf72e30a04f89bed6, 0xb9a76ff32addcee9, 0xf51c66f61bb4704d,
  0x114239227f0616a6, 0x70f8510c4aff3f7c, 0x55777bbe6e5e1803, 0xee8a8432d090e886, 0xbdbeceffa039e137,
  0x8927305855998b9c, 0x05d34ca04408a1ff, 0x2657ea885d7fb75c, 0xc5f59b85a76849c1, 0x892c79e50b838fe5,
  0xa3e12fc4361222fb, 0x33c5dc6e18f8cdfe, 0xf51fa09ee58cf13f, 0x47ce9238e9fc1a0b, 0x4ed5fd1a0b398b01,
  0x2a807feccf1d780d, 0xcc71f03cb5b87dd1, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x6d97063b7fbd5516, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x05e8ddb5ee8a792b,
};

static const uint64_t ur_m162_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdddddddd41437089, 0xeeeeeeac0bebbefc, 0x49ae804abf7dc6ee, 0x32b50ccc8eefda4e, 0xbaf27acadada1379,
  0xc602416caef24ed3, 0x932305523b8f9827, 0xc2813e26fb59e23d, 0x3fccab773ba7dcb8, 0x5bd84c31c19f26eb,
  0xe489fc18a49bd473, 0x44312bfcfdf04508, 0xddf370c0200dc3e1, 0x2196813a4432abbb, 0xd7fd01cf09b67454,
  0x82c2accc5ce5edf4, 0x650220416bfc4939, 0x5442ebfdbae02e9a, 0xf62d3b424e0932bf, 0x50b839810effaa35,
  0x4e771b98ddd83f9e, 0x57224a76b2b17c98, 0xfa8f83660d31f51e, 0x70ebec5a6298ac27, 0x426be96c65c709c3,
  0x464f1ceaedd388ea, 0xd578d8ebd8cddb7b, 0x0e3b169f3c8d21d8, 0x044c8e1bd977bb38, 0xccaccb3a2541d51b,
  0x7969d28a4fe67d1c, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815, 0xcbe6d97063b7fbd5,
  0xfd4d876371e6c25c, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e, 0x2d14f257ee686658,
  0x000000000109a63a,
};

static const uint64_t ur_m162_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468ce4a, 0xbbbbbbab2099137e, 0xf70b26d13f7337bb, 0x2bbc8fb4eddebb2a, 0xee62b37d2befae3f,
  0x180905b2bbc9086e, 0x99182a90724e609f, 0x1409f137dacf11ec, 0x7e65d849dd3ee5c6, 0xad83391c3a3f3292,
  0x913f83eb39bd47a4, 0x86257f9fbe08a11c, 0x7cdc575c01b87c28, 0xcb4376910caaeef7, 0xfd01cf09ba7e2a10,
  0x855998b9cbdbe377, 0x11029dbff3ab7305, 0x175fedd70174d328, 0x69da12704995faa2, 0xc1c383717d519751,
  0x488bee24b1e78df0, 0x1723fa8f84bf10d8, 0x736be4cf1771b895, 0xd31f51e57224a76b, 0x298ac27fa8f83660,
  0x5c709c370ebec5a6, 0xdd388ea426be96c6, 0x8cddb7b464f1ceae, 0xc8d21d8d578d8ebd, 0x977bb380e3b169f3,
  0x541d51b044c8e1bd, 0xfe67d1cccaccb3a2, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536,
  0x3b7fbd55169b167a, 0x1e6c25ccbe6d9706, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x9f02fa792bf73433, 0x0000000000426986,
};

// m162_autobaud_uart1_noled_pr
static const uint64_t ur_m162_autobaud_uart1_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0x657793ba0bd04cc5,
  0xf3f38cc13e30120b, 0x41e811025f3fd9ab, 0xa9065fe107c05d10, 0x809da2c2e12657ea, 0xfbf51ebf9df2c27f,
  0x29845e7a38e9fc18, 0x838a333c731602cb, 0xa01ffb30475e8f9d, 0x6540f2cf6d4d7e1a, 0x4334e7734fa49a65,
  0xf5cf669bcdec071f, 0x43aa7023fa94bca6, 0x55bfdeaa8b4a9f4f, 0x6ed84b997cdb4bfc, 0x98f2068fe3458f38,
  0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c, 0x0e5af69e4afdcd0c, 0x000000000001c440,
};

static const uint64_t ur_m162_autobaud_uart1_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0xef2776a2f25b1eb0,
  0xe719827c602416ca, 0xf408812f9fe357e7, 0x832ff083e02e8820, 0x4ed16170932bf554, 0xfa8f5fcef9613fc0,
  0xc22f3d1c74fe0c7d, 0xc5199e398b016594, 0x0ffd9823af47cec1, 0xa07967b6a6bf0d50, 0x9a73b9a7d24d32b2,
  0xe7b34de6f6038fa1, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1, 0x6c25ccbe6da5fe2a, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x1a792bf734332c3a, 0x0000000461b2d2e4,
};

// m162_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart1_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x827c602416caef27, 0x0470ffc6afcfb059, 0xc20f80ba2083d022, 0x85c24cafd5520cbf, 0xcd56b47377013b45,
  0x83660c7cf51e5738, 0xec5a6ef8ae5f7a8f, 0xe96c65c709c370eb, 0x6974c571ac9a426b, 0xce9bb2cf4627ce75,
  0x0b478cec6ab5d0eb, 0xecb65f380e3b169a, 0x8601951b047eb70d, 0xd39dcd3e9269805f, 0x3d9a6f37b01c7d0c,
  0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0x612e65f36d2ff156, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x0000009a9c2a7320,
};

// m162_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart1_noled_pr_ce[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xef2776c4d8608005,
  0xc879827c602416ca, 0xd02204e4ffc6afcf, 0x0cbfc20f80ba2083, 0x3b4585c24cafd552, 0xa9d84fb8bea98f01,
  0xc2445f71258f3c64, 0x8fffcfd47c25f886, 0x9633f5933c5dc6e5, 0x9fc19a4f51dafa7b, 0x8e62c05b8621e38e,
  0x78ebd1f3b0714667, 0xb729afc35403ff66, 0x9a7d24d32b2a0796, 0xde6f6038fa19a73b, 0x1fd4a5e537ae7b34,
  0x545a54fa7a1d5381, 0x97cdb4bf98edfef5, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x011baa65ac834f25,
};

static const uint64_t ur_m162_autobaud_uart1_noled_pr_ee_ce[] = {
  0xdddddddd414477d6, 0xeeeeeaaf389a0b12, 0x34cfd921f4f4c4ee, 0x2b7a90bdeef8fb1e, 0xeb4e2b83f69a2d45,
  0x7c602416caef2775, 0x15bfc6afcf93a982, 0x0f80ba2083d02205, 0xc24cafd5520cbfc2, 0xfea8c3df013b4585,
  0xd6ff3c64a9dba53b, 0x63df309cee373f5c, 0x65ea3cac1494ed65, 0x98ae6ef51f06cc1c, 0xc709c370ebec5a62,
  0xc988ea426be96c65, 0x37659e8c4f9ceaed, 0x1e33b1aaf1b1d79d, 0xd97ce038ec5a682d, 0x032a3608991c37b2,
  0x3b9a7d24d32cff0c, 0x34de6f6038fa19a7, 0x811fd4a5e537ae7b, 0xf5545a54fa7a1d53, 0xb997cdb4bf98edfe,
  0xb2d5e5c9ab83cd84, 0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0xc834f257ee686658, 0x0000000001044e9e,
};

static const uint64_t ur_m162_autobaud_uart1_noled_pr_ee_ce_u4[] = {
  0x5bbbbbbb44867f3e, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0xbb1aa8bd99badf4e,
  0xc13e30120b657793, 0x231fff1231cfeed4, 0x107c05d1041e8110, 0x2e12657eaa9065fe, 0xc5f54695b809da2c,
  0x1258f3ca17072575, 0x47c25f886c2445f7, 0x678bb8dceb3643fd, 0xf2b05253b5b9b7be, 0xbbd47c1b307197a8,
  0x0dc3afb1698a62b9, 0xa909afa5b1971c27, 0x7a313e73abb72623, 0xc6abc6c75e74dd96, 0x80e3b169a0b478ce,
  0xd8226470decb65f3, 0xf4934cb3fc300ca8, 0xbd80e3e8669cee69, 0x529794deb9ecd379, 0x6953e9e8754e047f,
  0x36d2fe63b7fbd551, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0010441f8230ee79,
};

static const uint64_t ur_m162_autobaud_uart1_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0xd3e3f5a307ddddd0, 0xb657793ba36f1deb,
  0x8f3f38cc13e30120, 0x4107a044097cffc3, 0xaaa4197f841f0174, 0xfe02768b0b84995f, 0x63efd47afe77cb09,
  0x2ca61179e8e3a7f0, 0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x959503cb3db535f8, 0x7d0cd39dcd3e9269,
  0x9bd73d9a6f37b01c, 0x3d0ea9c08fea52f2, 0xf156ff7aaa2d2a7d, 0x61bb612e65f36d2f, 0x592e19e985727e7f,
  0x6587494b659289c6, 0x072ec14f257ee686, 0x0000000000036cb4,
};

static const uint64_t ur_m162_autobaud_uart1_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0x793ba8eca56bb206,
  0x82cc13e30120b657, 0xa04408e1ffd0a67d, 0x197f841f01744107, 0x768b0b84995faaa4, 0xae719aad68e6ee02,
  0xf51f06cc18f9ea3c, 0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f,
  0x2d34168f19d8d56b, 0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0xfa19a73b9a7d24d3, 0x37ae7b34de6f6038,
  0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa, 0x71e6c25ccbe6da5f, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xf8d0e8a792bf7343, 0x0000000000000b13,
};

static const uint64_t ur_m162_autobaud_uart1_noled_ce_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55e6106, 0x871fb3afad0c9ef8, 0x34d88036dbc9bbba, 0x482d95de4eed8f64,
  0xe1c79fdbf304f8c0, 0xba2083d02205d47f, 0xafd5520cbfc20f80, 0xa4f7013b4585c24c, 0x7e78c940e2d73bfe,
  0x19cc273b8dc8f6fe, 0x58bd474173dcb017, 0x02acf4871c74fe0f, 0x8b9da89470d47316, 0xc75f87b8e58cf1d7,
  0x3e8669cee69f4934, 0x4deb9ecd379bd80e, 0x9e8754e047f52979, 0xe63b7fbd5516953e, 0x61bb612e65f36d2f,
  0x592e19e985727e7f, 0x6587494b659289c6, 0xbebec14f257ee686, 0x0000000000006558,
};

// m162_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m162_autobaud_uart1_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0xa9827c602416caef, 0x220463fff4299fdd, 0xbfc20f80ba2083d0, 0x4585c24cafd5520c, 0xaeb8bea8d2b7013b,
  0xbee24b1e7942e0e4, 0x7fa8f84bf10d8488, 0xf7ccf1771b9d8378, 0xf51e560a4a76b736, 0x57377a8f83660e32,
  0x84e1b875f62d314c, 0xc4752135f4b632e3, 0xb2cf4627ce7576e4, 0x19d8d578d8ebce9b, 0xbe701c762d34168f,
  0x951b044c8e1bd96c, 0xcd3e9269967f8601, 0x6f37b01c7d0cd39d, 0x8fea52f29bd73d9a, 0xaa2d2a7d3d0ea9c0,
  0xcbe6da5fcc76ff7a, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000004a907e0a8a7,
};

// m162_autobaud_uart1_lednop_pr
static const uint64_t ur_m162_autobaud_uart1_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0xcaef277731242a1a,
  0xe7c149827c602416, 0x83d02205f27fb357, 0x520cbfc20f80ba20, 0x013b4585c24cafd5, 0x9ef51daf8ef96d67,
  0xa6b8621e38e9fc19, 0x3ed1eb11cc580b7b, 0xadc72c608ebc5cec, 0x027734fa49a65629, 0xde7c4071f4334f02,
  0xaa9cbca6c6740b34, 0xa2d362cf43aa702b, 0xcbe6d971156ff7aa, 0x7f1a2c79c376c25c, 0x985727eeacc79034,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000001c4439cd7b4,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0xf27748fcbb7a71c7,
  0xf59827c602416cae, 0x8110297dfe357e7c, 0x65fe107c05d1041e, 0xda2c2e12657eaa90, 0x51d679df2c27f809,
  0xdf27a38e9fc18fbf, 0x46690e62c0596530, 0xff6608ebd1f3b3da, 0x0f2cf6ccf29a5403, 0x027734fa49a6ac14,
  0xde7c4071f4334f02, 0xaa9cbca6c6740b34, 0xa2d362cf43aa702b, 0xcbe6d971156ff7aa, 0x1be2e4d5c1e6c25c,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00461adc8641a792,
};

// m162_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart1_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x827c602416caef27, 0x0450ffc6afcfe569, 0xc20f80ba2083d022, 0x85c24cafd5520cbf, 0xcd56b47377013b45,
  0x83660c7cf51e567a, 0xf62d377c57a57a8f, 0xf4b632e384e1b875, 0xb4be48b8d64d2135, 0xf3a6edd02310e73a,
  0x4fa3905b1aad743a, 0xf65b2f9c071d8b4c, 0x35f86a8d823f5b86, 0x404ee69f4934c025, 0x9bcf880e3e8669e0,
  0x75539794d8ce8166, 0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0026a7138bc834f2,
};

// m162_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart1_lednop_pr_ce[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0x793ba1b9053453b4,
  0xa5cc13e30120b657, 0x8110274bfe357e7c, 0x65fe107c05d1041e, 0xda2c2e12657eaa90, 0x4ef6fdc5f54c7809,
  0x1222fb892c79e325, 0xd26dfea3e12fc436, 0x633f5933c5dc6e6e, 0x7f06693d47e7a7b9, 0x1cc580bbde0b8e3a,
  0xf1d7a3e767b48cd2, 0xb719e534a807fecc, 0x9a7d24d3560a0796, 0x2038fa19a781013b, 0x5e53633a059a6f3e,
  0xb167a1d53815d54e, 0xd97063b7fbd55169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xd7782e41a792bf73,
  0x000000000000008d,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0x7c602416caef2774, 0xe0ff8d5f9fa1f982, 0x1f01744107a04408, 0x84995faaa4197f84, 0xfd5187be02768b0b,
  0x2d7e78c953b2ea77, 0xc7be6139dc6e5e1f, 0xcbd4795a0129daca, 0x315ce3ea3e0d9838, 0x8e1386e1d7d8b4c5,
  0xb241d484d7d2d8cb, 0x376e81188739d5db, 0x3905b1aaf1b1d79d, 0xb2f9c071d8b4c4fa, 0xc3546c1132386f65,
  0x7734fa49a659a9af, 0x7c4071f4334f0202, 0x9cbca6c6740b34de, 0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2,
  0xe5c9ab83cd84b997, 0xacc7903f2868b2d5, 0xc09c69430a9cfd4e, 0x85727e03e687993f, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000008222ecc834,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0xbbd77738a7557891,
  0xc13e30120b657793, 0x0bfe7f8918e7f4d4, 0x841f01744107a044, 0x0b84995faaa4197f, 0x717d51a56e02768b,
  0xc4963cf285c1cd37, 0x51f097e21b09117d, 0x99e2ee372e4492bf, 0x3cad0094ed6e6def, 0x71f51f06cc1c65ea,
  0xc370ebec5a6298ae, 0xea426be96c65c709, 0x408c439ceaedd920, 0xd8d578d8ebce9bb7, 0xe038ec5a627d1c82,
  0x3608991c37b2d97c, 0x7d24d32cd4d7e1aa, 0x38fa19a781013b9a, 0x53633a059a6f3e20, 0x67a1d53815d54e5e,
  0x7063b7fbd55169b1, 0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x0444b6861dcf257e, 0x0000000000000001,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x15e95d7993ddddd0, 0xb657793bb50d4dee,
  0x8f3e7acc13e30120, 0x820f408814beffc3, 0x554832ff083e02e8, 0xfc04ed16170932bf, 0xc7dfa8eb3cef9613,
  0xb2986f93d1c74fe0, 0xd9ed23348731602c, 0x2a01ffb30475e8f9, 0x560a07967b66794d, 0xa781013b9a7d24d3,
  0x059a6f3e2038fa19, 0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0x612e65f36cb88ab7, 0x19e985727e7f61bb,
  0x494b659289c6592e, 0xc14f257ee6866587, 0x000000036cb438be,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xbc9dd322d3b6c31f,
  0x95a609f180905b2b, 0xd0220450ffe8533f, 0x0cbfc20f80ba2083, 0x3b4585c24cafd552, 0x567acd56b4737701,
  0x7a8f83660c7cf51e, 0xb875f62d377c57a5, 0x2135f4b632e384e1, 0xe73ab4be48b8d64d, 0x743af3a6edd02310,
  0x8b4c4fa3905b1aad, 0x5b86f65b2f9c071d, 0xc02535f86a8d823f, 0x69e0404ee69f4934, 0x81669bcf880e3e86,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xdd14f257ee686658, 0x00000000016279fa,
};

static const uint64_t ur_m162_autobaud_uart1_lednop_ce_hw[] = {
  0xc4b777777759bb37, 0xdddddddd55e6138f, 0xa1c7edbe2d22ef8f, 0x1a6c401b6d88eeee, 0x2416caef2776c7b2,
  0xf0e3cfd4a9827c60, 0xba2083d0220463ff, 0xafd5520cbfc20f80, 0xa4f7013b4585c24c, 0x3f3c64a0707c3bfe,
  0x8ce6139dc6e47b7f, 0xac5ea389f9ee580b, 0x01567a0b8e3a7f07, 0x8b9db19a3d62398b, 0x63a965b8e58cf1d7,
  0x34f02027734fa49a, 0xd02cd3796e071f43, 0xd37aaeaa72f29b19, 0xf43aa702eae63042, 0xfd86ed84b997cdb4,
  0x1964b867a615c9f9, 0x19961d252d964a27, 0x62fafb053c95fb9a, 0x0000000000000195,
};

// m162_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0xa9827c602416caef, 0x08817fcffa14cfe9, 0x2ff083e02e8820f4, 0xd16170932bf55483, 0xa6ee2faa34adc04e,
  0x2fb892c79e50b839, 0xe7ea3e12fc436122, 0xbdf33c5dc6e4c333, 0xbd4795a0129dadcd, 0x15ce3ea3e0d9838c,
  0xe1386e1d7d8b4c53, 0x241d484d7d2d8cb8, 0x76e81188739d5dbb, 0x905b1aaf1b1d79d3, 0x2f9c071d8b4c4fa3,
  0x3546c1132386f65b, 0x734fa49a659a9afc, 0xc4071f4334f02027, 0xcbca6c6740b34de7, 0x362cf43aa702baa9,
  0xdb2e0c76ff7aaa2d, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x004a912da514f257,
};

static const uint64_t ur_m162_autobaud_uart1_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0xc9376ee3ad1ab59f,
  0x0e609f180905b2bb, 0x59e23d932305522f, 0xa7dcb8c2813e26fb, 0xeb3143fccae3d73b, 0x9bd47f9db090e702,
  0xf04508e489fc1945, 0x0dc3e144312bfcfd, 0x0caaeef77cdc3820, 0x32d78a8432d0c911, 0x9cbdbedfffa039e1,
  0x7f9c03305855998b, 0x01744107a0440a5f, 0x995faaa4197f841f, 0xcb09fe02768b0b84, 0xa7f063efd4759e77,
  0xb016594c37c9e8e3, 0xf47cecf6919a4398, 0xccaca2771cb1823a, 0xe9269cfe67d1ccca, 0xc7d0cd3c0809dcd3,
  0x9b19d02cd379f101, 0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x57079b09732f9b65, 0x67a615c9f9fd8b93,
  0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x000000032793d38f,
};

static const uint64_t ur_m162_autobaud_uart1_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd33e81664519eeee, 0xbbc9376ee3ad1a8e,
  0x19f2609f180905b2, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x702eb3143fccab77, 0x9459bd47f9db090e,
  0xcfdf04508e489fc1, 0x3600dc3e144312bf, 0x9110caaeef77cdcd, 0x9e132d78a8432d0c, 0x98b9cbdbc7bffa03,
  0xb4aff79a73058559, 0x41f01744107a0440, 0xb84995faaa4197f8, 0xc77cb09fe02768b0, 0x471d3f831f7ea3f3,
  0x731602cb29ae1b5f, 0x8ebd1f3b482a3c66, 0x32b32b1d3dc72c60, 0x34fa49a73f99f473, 0x34de74334f020277,
  0x8c1a9b129fbe740b, 0xaa7020ee2810b4e4, 0x3cd84b997cdb4f43, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566,
  0x2c3a4a5b3e04e32c, 0xd630ee792bf73433, 0x0000000000aacd84,
};

static const uint64_t ur_m162_autobaud_uart1_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0xc029a744eddddb22, 0xa16eeaefc89086d3,
  0x609f180905b2bbc9, 0xe23d932305523ace, 0xdcb8c2813e26fb59, 0x934aefccab773ba7, 0xbd47297b060a70c0,
  0x04508e489fc1ba59, 0xdc3e144312bfcfdf, 0xcaaeef77cdc0b400, 0xb248a8432d09c510, 0x72f6efe7fd01cf09,
  0xfde69cc16156662e, 0x05d1041e81102ea3, 0x657eaa9065fe107c, 0x96e7b809da2c2e12, 0x4fe0ded7a8f70cef,
  0x602eb14cf7dad1c7, 0x01a9dabfa3416731, 0xba25500ffd9823af, 0x656638f81e59ed8f, 0x69f4934e7f33e8e6,
  0x80e3e8669e0404ee, 0x794d8ce81669bcf8, 0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x6f86e3cd84b997cd,
  0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x02e0b3e08c3b9e4a,
};

// m162_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m162_autobaud_uart1_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0x3c330a136d75b9ce,
  0x0120b65779302ddc, 0xc8c15485c14c13e3, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xad83fc3862099aef,
  0x244fe0ffe4dea3e9, 0x21895fe7ef822847, 0x77cdceb3006e1f0a, 0x865a0c1510caaeef, 0x5ff4073c2690f150,
  0x0b0ab3317397b727, 0xe8110295dfef34e6, 0x065fe107c05d1041, 0x9da2c2e12657eaa9, 0x57b7e6ab5a3d2b80,
  0x7a8f83660fe4f51e, 0xb875f62d377c57dd, 0x2135f4b632e384e1, 0x1cead2f38ae04fcd, 0xd0ebd8cddb7b464f,
  0x8b4f9e4690ec6ab5, 0xb70decbbdd9c071d, 0xc02a2541d51b047e, 0x9269cfe67d1cccac, 0x7d0cd3c0809dcd3e,
  0xb19d02cd379f101c, 0xd0ea9c0aeaa72f29, 0x455bfdeaa8b4d8b3, 0xdc79b09732f9b65c, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x4891798773c95fb9, 0x00000000000000a5,
};

// m162_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m162_autobaud_uart1_dual_pr_ce[] = {
  0xcddddddda243573e, 0x7777777565a13eef, 0x94e67c10c7b6d6b7, 0x5bf79f7b2b777605, 0x1dbb9717dd95c759,
  0x827c602416caef25, 0x23d9323055215d79, 0xcb8c2813e26fb59e, 0x69dbfccab773ba7d, 0x4719bd86ed1c136e,
  0x508e489fc185a9bd, 0x3e144312bfcfdf04, 0x5ddeef9b978600dc, 0xa2a10cb4243a2195, 0x6fb3bfe80e784dfb,
  0x69cc16156662e72f, 0x2083d0220450ffde, 0xd5520cbfc20f80ba, 0x77013b4585c24caf, 0x3ca17071fcb8beb3,
  0xf886c2445f71258f, 0xe3734d3fcfd47c25, 0x04f72c6789f99e2e, 0x91c74fe0d05fa8fd, 0xe8d059cc580a3e74,
  0xff6678ebc06a76af, 0x81e5adc3ee895403, 0xe7f33e8e6656638f, 0x69e0404ee69f4934, 0x81669bcf880e3e86,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xb09732f9b65c18ed, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd98773c95fb9a199,
  0x0000000002b5ef6b,
};

static const uint64_t ur_m162_autobaud_uart1_dual_pr_ee_ce[] = {
  0x9bbbbbbba8286f97, 0xddddddd5817d77df, 0xc935d00957efb8dd, 0x2656a19991ddfb49, 0xcf04675c7f53a26f,
  0x30120b657792769d, 0x99182a91dc7cc13e, 0x1409f137dacf11ec, 0xfe655bb9dd3ee5c6, 0xdec2618e0cf93759,
  0x244fe0c524dea39a, 0x21895fe7ef822847, 0xef9b8601006e1f0a, 0x0cb409d221955dde, 0xbfe80e784db3a2a1,
  0x16156662e72f6fa6, 0xd0220416bfde69cc, 0x0cbfc20f80ba2083, 0x3b4585c24cafd552, 0xe6043bfea8d7df01,
  0x6e33e759fe7942e0, 0x29dacac5f26139dc, 0x0d9834c7d4795c89, 0xb1698a62b09fea3e, 0xa5b1971c270dc3af,
  0x73abb74e23a909af, 0x63af63376ded193c, 0x5a7cf234876355e3, 0x386f65deece038ec, 0x2ce89507546c1132,
  0x49a73f99f47332b3, 0xf4334f02027734fa, 0xc6740b34de7c4071, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf,
  0xe3cd84b997cdb2e0, 0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x00fd5b1d14c3b9e4,
};

static const uint64_t ur_m162_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7672df, 0xbbbbbab2099137e6, 0x64da27e66f7eafbb, 0x91f69dbbd7655ee1, 0xa592b00df5c7e577,
  0x779210ddccfae5f5, 0xe49cc13e30120b65, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0xa3f32927e65a5bf3,
  0x9bd47a4ad83391c3, 0xe08a11c913f83eb3, 0x1b87c2886257f9fb, 0xcaaeef77cdc575c0, 0xa7e2a10cb4376910,
  0xbdbe377fd01cf09b, 0x0cd1305855998b9c, 0x44107a0440a76ffd, 0xfaaa4197f841f017, 0x75e02768b0b84995,
  0x942f3b383717d519, 0x10d8488bee24b1e7, 0x714939bffa8f84bf, 0x4ed6e6d7c99e2ee3, 0x6cc1a63ea3cae449,
  0x8b4c531584ff51f0, 0x2d8cb8e1386e1d7d, 0x9d5dba711d484d7d, 0x1d7b19bb6f68c9e3, 0xd3e791a43b1aaf1b,
  0xc37b2ef76701c762, 0x6744a83aa3608991, 0x4d39fccfa3999599, 0xa19a781013b9a7d2, 0x33a059a6f3e2038f,
  0x1d53815d54e5e536, 0x3b7fbd55169b167a, 0x1e6c25ccbe6d9706, 0xf6ec68b1be2e4d5c, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x524f257ee6866587,
  0x0000003f56cf5415,
};

static const uint64_t ur_m162_autobaud_uart1_dual_hw[] = {
  0x9bbbbbbb448692df, 0xeeeeeeead0bdd95f, 0x719ba81624747b6e, 0xc0534e89dbbbb645, 0xc9a16ee51f421d26,
  0xce609f180905b2bb, 0x59e23d932305523a, 0xa7dcb8c2813e26fb, 0xc0934aefccab773b, 0x59bd47297b060a70,
  0xdf04508e489fc1ba, 0x00dc3e144312bfcf, 0x10caaeef77cdc0b4, 0x09b248a8432d09c5, 0x2e72f6efe7fd01cf,
  0x51fe249cc1615666, 0x3e02e8820f408817, 0x0932bf554832ff08, 0x77cb73dc04ed1617, 0xe3a7f06f6bd47b86,
  0x98b01758a67bed68, 0xd780d4ed5fd1a0b3, 0xc7dd12a807fecc11, 0x7332b31c7c0f2cf6, 0x7734fa49a73f99f4,
  0x7c4071f4334f0202, 0x9cbca6c6740b34de, 0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x001e8dd3e0a8a792,
};

static const uint64_t ur_m162_autobaud_uart1_dual_ee_hw[] = {
  0x9bbbbbbb448687e1, 0xddddddd58198ebdf, 0x367df5decad44fdd, 0x6cb563bf23ba52ac, 0x715ede0b5a3f739d,
  0x8c0482d95de4c0b7, 0x932305521705304f, 0xc2813e26fb59e23d, 0xbfccab773ba7dcb8, 0xa6b60ff0e188266b,
  0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0xbddf373acc01b87c, 0x4219683054432abb, 0x9d7fd01cf09a43c5,
  0x982c2accc5ce5edc, 0x83d022052bbfc493, 0x520cbfc20f80ba20, 0x013b4585c24cafd5, 0x3caf6fcd56b47a57,
  0xbaf51f06cc1fc9ea, 0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x9e39d5a5e715c09f, 0x6ba1d7b19bb6f68c,
  0x3b169f3c8d21d8d5, 0xfd6e1bd977bb380e, 0x5980544a83aa3608, 0x7d24d39fccfa3999, 0x38fa19a781013b9a,
  0x53633a059a6f3e20, 0x67a1d53815d54e5e, 0xb88ab7fbd55169b1, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x839245f453c95fb9,
  0x0000000000000005,
};

static const uint64_t ur_m162_autobaud_uart1_dual_ce_hw[] = {
  0x9bbbbbbb4486c541, 0xeeeeeeeacb427ddf, 0x29ccf8218f6dad6e, 0x77ef3ef656eeec0b, 0x9476eeb047f0ea8c,
  0xe609f180905b2bbc, 0x788f64c8c1548575, 0xf72e30a04f89bed6, 0xb9a76ff32addcee9, 0xf51c66f61bb4704d,
  0x114239227f0616a6, 0x70f8510c4aff3f7c, 0x55777bbe6e5e1803, 0xee8a8432d090e886, 0xbdbeceffa039e137,
  0x8927305855998b9c, 0x744107a04408a1ff, 0x5faaa4197f841f01, 0x66ee02768b0b8499, 0x1e7942e0e3f9717d,
  0x4bf10d8488bee24b, 0x771b863e337fa8f8, 0xe827b9633c4fccf1, 0xa48e3a7f0682fd47, 0x7f4682ce62c051f3,
  0x1ffb33c75e0353b5, 0x7c0f2d6e1f744aa0, 0xa73f99f47332b31c, 0x334f02027734fa49, 0x740b34de7c4071f4,
  0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xbdd14f257ee68665, 0x0000000000bd1bb6,
};

static const uint64_t ur_m162_autobaud_uart1_dual_ee_ce_hw[] = {
  0xdddddddd41437089, 0xeeeeeeac0bebbefc, 0x49ae804abf7dc6ee, 0x32b50ccc8eefda4e, 0xbaf27acadada1379,
  0xc602416caef24ed3, 0x932305523b8f9827, 0xc2813e26fb59e23d, 0x3fccab773ba7dcb8, 0x5bd84c31c19f26eb,
  0xe489fc18a49bd473, 0x44312bfcfdf04508, 0xddf370c0200dc3e1, 0x2196813a4432abbb, 0xd7fd01cf09b67454,
  0x82c2accc5ce5edf4, 0x3d0220416bfc4939, 0x20cbfc20f80ba208, 0x13b4585c24cafd55, 0x0e6043bfea8d7df0,
  0xc6e637760fe7942e, 0x929dacac5f26139d, 0xe0d9834c7d4795c8, 0xfb1698a62b09fea3, 0xfa5b1971c270dc3a,
  0xc73abb74e23a909a, 0x363af63376ded193, 0xc5a7cf234876355e, 0x2386f65deece038e, 0x32ce89507546c113,
  0xa49a73f99f47332b, 0x1f4334f02027734f, 0x6c6740b34de7c407, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c,
  0x6e3cd84b997cdb2e, 0x8d2861539fa9b0ec, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x002134c745a29e4a,
};

static const uint64_t ur_m162_autobaud_uart1_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468ce4a, 0xbbbbbbab2099137e, 0xf70b26d13f7337bb, 0x2bbc8fb4eddebb2a, 0xee62b37d2befae3f,
  0x180905b2bbc9086e, 0x99182a90724e609f, 0x1409f137dacf11ec, 0x7e65d849dd3ee5c6, 0xad83391c3a3f3292,
  0x913f83eb39bd47a4, 0x86257f9fbe08a11c, 0x7cdc575c01b87c28, 0xcb4376910caaeef7, 0xfd01cf09ba7e2a10,
  0x855998b9cbdbe377, 0x11029dbff3ab7305, 0x5fe107c05d1041e8, 0xa2c2e12657eaa906, 0xe0dc5f5465d7809d,
  0xfb892c79e37c3070, 0xfea3e12fc4361222, 0xf933c5dc6e2545c8, 0xd4795c8929dadcda, 0xb09fea3e0d9834c7,
  0x270dc3afb1698a62, 0x23a909afa5b1971c, 0x6ded193c73abb74e, 0x876355e363af6337, 0xece038ec5a7cf234,
  0x546c1132386f65de, 0xf47332b32ce89507, 0x027734fa49a73f99, 0xde7c4071f4334f02, 0xaa9cbca6c6740b34,
  0xa2d362cf43aa702b, 0x97cdb2e0c76ff7aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00084d30d3e05f4f,
};

// m162_u1x8_uart0_noled_pr
static const uint64_t ur_m162_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0xde4ee8c05ec46c7e,
  0x5af304f8c0482d95, 0xedb021bffecd5f9f, 0xafe77cb09f169da2, 0x9e8e3a7f063efd47, 0xcf1cc580b2ca6117,
  0xcc11d7a3e760e28c, 0xb3db535f86a807fe, 0x27969d28a159503c, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0x6c25ccbe6da5fe2a, 0x790347f1a2c79c37, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xfd7b4f257ee68665, 0x00000000003e42c7,
};

static const uint64_t ur_m162_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x7717d4526764777f,
  0x827c602416caef27, 0x0437ffc6afcfad79, 0xef9613e2d3b45db6, 0xc74fe0c7dfa8f5fc, 0x98b016594c22f3d1,
  0x3af47cec1c5199e3, 0x6a6bf0d500ffd982, 0xd3a5142b2a07967b, 0x51e6f64d1d18a4f2, 0x023fa94bca6f5cfc,
  0xeaa8b4a9f4f43aa7, 0xb997cdb4bfc55bfd, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00007c9a5b4c834f,
};

// m162_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0x466539a594a7a6d4,
  0x9f180905b2bbc9dd, 0x406ff1abf3ffba60, 0xb47370b4ed176d81, 0x0c7cf51e5738cd56, 0x6ef8ae5f7a8f8366,
  0x65c709c370ebec5a, 0xc571ac9a426be96c, 0xb2cf4627ce756974, 0x8cec6ab5d0ebce9b, 0x5f380e3b169a0b47,
  0x951b047eb70decb6, 0x7969d28a005f8601, 0x7e28f37b268e8c52, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d,
  0xc25ccbe6da5fe2ad, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x0000004ebff54641,
};

static const uint64_t ur_m162_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0xbbc9ddcc490a86b4,
  0xf052609f180905b2, 0x176d817c9fecd5f9, 0xe2d73bfea4f0b4ed, 0x1b9fb92b7e78c940, 0xe7b9602e33984e77,
  0x38e9fc1eb17a8e82, 0xe1a8e62c0559e90e, 0xcb19e3af173b5128, 0x7969d28a0ebf0f71, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x84b997cdb4bf98ed, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0xaf69e4afdcd0ccb0, 0x00000000005baf39,
};

static const uint64_t ur_m162_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba8911259b, 0xbbbbaabcc2171896, 0xdbf4af263bd7a7bb, 0xfc78d7ddddd5bc4e, 0x3bb2eec48338170b,
  0x4c13e30120b65779, 0x6c08caff1abf3efe, 0x7dc5f54c45a768bb, 0xfb892c79e3254ec2, 0x7ea3e12fc4361222,
  0xac99e2ee372c7ffe, 0xd27a8ed7d3dcb19f, 0x02dc310f1c74fe0c, 0x8f9d838a333c7316, 0x7e1aa01ffb33c75e,
  0x28a159503cb5b94d, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f, 0x45a54fa7a1d53811, 0x7cdb4bf98edfef55,
  0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x0dd7080bc834f257,
};

static const uint64_t ur_m162_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22044, 0xdddd55e71341625b, 0x99fb243e9e989ddd, 0x6f5217bddf1f63c6, 0xa4e570421b45a8a5,
  0x8c0482d95de4eea0, 0xb7f8d5f9f275304f, 0x69585a768bb6c0a2, 0x9e3254ee575c5f54, 0xfc4361222fb892c7,
  0x8dce5a66ffea3e12, 0x253b5b9b7be678bb, 0xc1b307197a8f2b05, 0xfb1698a62b9bbd47, 0xfa5b1971c270dc3a,
  0xe73abb72623a909a, 0x6c75e74dd967a313, 0x169a0b478cec6abc, 0x470decb65f380e3b, 0x0b3fc300ca8d8226,
  0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0xda5fcc76ff7aaa2d, 0xe4d5c1e6c25ccbe6,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x41a792bf734332c3, 0x00000000027e74f6,
};

static const uint64_t ur_m162_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0x7c602416caef2774, 0xbeffc6afcfc56982, 0xa3a942d3b45db605, 0x3cf192a76c16e2fa, 0x97e21b09117dc496,
  0xee3719f3acff51f0, 0xe494ed6e6e3299e2, 0x1f06cc188bea3caf, 0xebec5a6298ae21f5, 0x6be96c65c709c370,
  0x7139d5dbb228ea42, 0x1b1d7aea6ec21d18, 0x8b4e4151a9ab1aaf, 0x8e1bd970e59c071d, 0x9e5a74a298c7f0cc,
  0x9f8a3cdec9a3a314, 0x54e047f529794deb, 0x7fbd5516953e9e87, 0x612e65f36d2fe63b, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x00000004fc48bf20,
};

static const uint64_t ur_m162_u1x8_uart0_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0xbc9ddb1ec869b1bb,
  0xb5e609f180905b2b, 0x76d810dfffc38f3e, 0xd7f3be584f8b4ed1, 0xcf471d3f831f7ea3, 0x678e62c05965308b,
  0x6608ebd1f3b07146, 0x59eda9afc35403ff, 0x93cb4e9450aca81e, 0x73f1479bd9347462, 0xea9c08fea52f29bd,
  0x6ff7aaa2d2a7d3d0, 0x3612e65f36d2ff15, 0x0c2a73f52f571b8f, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x001d107b1ffb053c,
};

static const uint64_t ur_m162_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0x74c13e30120b6577, 0xb6c0a037fd0a67ff, 0x66ab5a39b85a768b, 0xc1b3063e7a8f2b9c, 0xf62d377c572fbd47,
  0xf4b632e384e1b875, 0xb4ba62b8d64d2135, 0xe74dd967a313e73a, 0x05a3c676355ae875, 0xf65b2f9c071d8b4d,
  0xc300ca8d823f5b86, 0x46293cb4e945002f, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2, 0xf156ff7aaa2d2a7d,
  0xb8f3612e65f36d2f, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x9d20f453c95fb9a1, 0x000000000000016f,
};

static const uint64_t ur_m162_u1x8_uart0_noled_ce_hw[] = {
  0x5bbbbbaeed66fcc5, 0xdddddd55dce435e2, 0xa097bd9f7e6edbdd, 0xf4aebcc9eeeea449, 0x2bbc9dda86a6f70a,
  0x9f3d6609f180905b, 0x68bb6c0a5f7fe1c7, 0x039921dff5b585a7, 0xdc6e54afddf9e325, 0xafa7b9602eb26139,
  0x1e38e9fc19a4f51d, 0x146678e62c05b862, 0x3ff6678ebd1f3b07, 0xa0796b729afc3540, 0xd18a4f2d3a5142b2,
  0xa6f5cfc51e6f64d1, 0x4f43aa7023fa94bc, 0xf31dbfdeaa8b4a9f, 0xb0ddb09732f9b697, 0x2c970cf4c2b93f3f,
  0x32c3a4a5b2c944e3, 0x1c5f60a792bf7343, 0x0000000000006214,
};

// m162_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0xa609f180905b2bbc, 0xb60515bfe8533e4e, 0xe2faa34ac2d3b45d, 0x892c79e50b8392ba, 0xa3e12fc4361222fb,
  0x33c5dc6e760de1fe, 0x79582929dadcdbdf, 0xddea3e0d9838cbd4, 0x86e1d7d8b4c5315c, 0xd484d7d2d8cb8e13,
  0x3d189f39d5db9311, 0x6355e363af3a6ecb, 0xc071d8b4d05a3c67, 0x6c1132386f65b2f9, 0xa74a2859fe180654,
  0xa3cdec9a3a3149e5, 0x047f529794deb9f8, 0xd5516953e9e8754e, 0xe65f36d2fe63b7fb, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000000a0200ad45,
};

// m162_u1x8_uart0_lednop_pr
static const uint64_t ur_m162_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0xf27746de3b266f4f,
  0x219827c602416cae, 0xdb6043e7fb357e7e, 0xb3cef9613e2d3b45, 0x3d1c74fe0c7dfa8e, 0x48731602cb2986f9,
  0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0x47f1a2c79c376c25, 0xe985727eeacc7903, 0x4b659289c6592e19,
  0x4f257ee686658749, 0x0000003e40e14d7b,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0xbb0cc8fc0069767f,
  0xc13e30120b657793, 0xc087cff1abf3f10c, 0x9df2c27c5a768bb6, 0x38e9fc18fbf51d67, 0xe62c0596530df27a,
  0x8ebd1f3b3da46690, 0x6ccf29a5403ff660, 0x5a74a28ac140f2cf, 0x7c49a3a314c0809e, 0x539794d8ce81c51e,
  0x5a6c59e8754e0575, 0x7cdb2e22adfef554, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0f933089c834f257,
};

// m162_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xf8c0482d95de4eee, 0xa2ff8d5f9ff9d304, 0xa39b85a768bb6c08, 0x63e7a8f2b3d66ab5, 0xbbe2bd2bd47c1b30,
  0x971c270dc3afb169, 0x45c6b26909afa5b1, 0x6e81188739d5a5f2, 0x82d8d56ba1d79d37, 0x7ce038ec5a627d1c,
  0x546c11fadc37b2d9, 0xe5a74a280129afc3, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0x97cdb2e22adfef55, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004eba0e3c834f25,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x2bbc9ddb1ec842f3,
  0x9f402609f180905b, 0xd176d814ddfecd5f, 0x072213bfea4f0b4e, 0xb8dcf9d21ff3c64a, 0x3f3dcb01719cc273,
  0x71c74fe0f58bd471, 0xa3d62398b017a0a9, 0x8e58cf1d78b9d87d, 0x09e5a74a283a535b, 0x51e7c49a3a314c08,
  0x575539794d8ce81c, 0x5545a6c59e8754e0, 0x732f9b65c18edfef, 0xd1fc68b1e70ddb09, 0x7a615c9fbab31e40,
  0x52d964a271964b86, 0xd3c95fb9a19961d2, 0x000000016ea4935e,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba89110cc5, 0xddddd55e61331896, 0xb8edbf16a6f70add, 0x60bd88eeeeeade24, 0x9dd8361b8fd9ba6a,
  0xa609f180905b2bbc, 0xd8118fff1abf3f52, 0xfb8bea988b4ed176, 0xf71258f3c64a9ded, 0xfd47c25f886c2445,
  0xb2678bb8dcdda4db, 0xd27a8fcf4f72c67e, 0x0177bc171c74fe0c, 0x47cecf6919a4398b, 0xca69500ffd99e3af,
  0x4a28ac140f2d6e33, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4, 0xc59e8754e0575539, 0x65c18edfef5545a6,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xefd519069e4afdcd, 0x00000000000001ba,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a232a8, 0xdddd55e71364625b, 0x28d3643c8ef25ddd, 0xef5217bddf1f63e8, 0x68d51399f2e323e6,
  0x8c0482d95de4ee9d, 0x1ff1abf3f43f304f, 0xd2b0b4ed176d811c, 0x3c64a9de9bb8bea8, 0xf886c2445f71258f,
  0x8dceb3643fd47c25, 0x253b5b9b7be678bb, 0xc1b307197a8f2b40, 0xfb1698a62b9c7d47, 0xfa5b1971c270dc3a,
  0xe73abb76483a909a, 0x363af3a6edd02310, 0x16989f4720b6355e, 0x470decb65f380e3b, 0x0b3535f86a8d8226,
  0x462981013cb4e945, 0xb19d038a3cf89347, 0xd0ea9c0aeaa72f29, 0x31dbfdeaa8b4d8b3, 0xe0f3612e65f36cb8,
  0x0fca1a2ce9f1726a, 0x50c2a73f53ab31e4, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000009f8bb320d3,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x13e30120b657793b, 0x2d9dfe357e7ce0cc, 0xd51d4a169da2edb0, 0xb1e78c953bcad717, 0x84bf10d8488bee24,
  0x1771b8951723fa8f, 0x7374a76b737194cf, 0xa8f83660c45f51e5, 0x875f62d314c56be7, 0x135f4b632e384e1b,
  0x6f68e7576e7bc752, 0xbc6c75eba9bb60b4, 0x3b1698714667ac6a, 0x191c37b2e1cb380e, 0x809e5a74a298c54d,
  0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x9732f9b65c18edfe, 0xa2c6f8b9357079b0,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000013f02179069,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0xf277617ad1a826cf,
  0x219827c602416cae, 0x76d810f9ff871e7e, 0xacf3be584f8b4ed1, 0x4f471d3f831f7ea3, 0xd21cc580b2ca61be,
  0xcc11d7a3e767b48c, 0x59ed99e534a807fe, 0x13cb4e945158281e, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0x73f5361d8dc79b09, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a,
  0x61d252d9f0271964, 0x53b053c95fb9a199, 0x0000000001d10738,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0x9827c602416caef2, 0xd81145ffa14cffce, 0xd56b47370b4ed176, 0x3660c7cf51e567ac, 0x62d377c57a57a8f8,
  0x4b632e384e1b875f, 0x4be48b8d64d2135f, 0x3a6edd02310e73ab, 0xfa3905b1aad743af, 0x65b2f9c071d8b4c4,
  0x5f86a8d823f5b86f, 0x1013cb4e94500253, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9,
  0x09732f9b65c455bf, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f,
  0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005be05da,
};

static const uint64_t ur_m162_u1x8_uart0_lednop_ce_hw[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9c988c4, 0x8235cbdf89d2e3bb, 0x36d8c48bbbba9126, 0x657793bb0bd68d41,
  0xf3f224c13e30120b, 0x768bb6c0b4affc38, 0x50380a1dff5b585a, 0x9dc6e393f9df9e32, 0x7e7a7b9602eb2613,
  0xe0b8e3a7f06693d4, 0x7b48cd21cc580bbd, 0x807feccf1d7a3e76, 0x60a0796b719e534a, 0x8a60404f2d3a5145,
  0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c, 0x76ff7aaa2d362cf4, 0x6ed84b997cdb2e0c, 0x4b867a615c9f9fd8,
  0x61d252d964a27196, 0xe3b053c95fb9a199, 0x00000000000310a2,
};

// m162_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0xe609f180905b2bbc, 0x6c08e0ffd0a67e87, 0xc5f5469585a768bb, 0x1258f3ca170734dd, 0x47c25f886c2445f7,
  0x678bb8dc98667cfd, 0xf2b40253b5b9b7be, 0xc7d47c1b307197a8, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x02310e73abb76483, 0x6355e363af3a6edd, 0x80e3b16989f4720b, 0xd8226470decb65f3, 0x4e9450b3535f86a8,
  0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa, 0x36cb831dbfdeaa8b, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0014046b05453c95,
};

// m162_u1x8_uart0_dual_pr
static const uint64_t ur_m162_u1x8_uart0_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x13e30120b657792a, 0x23d932305523104c, 0xcb8c2813e26fb59e, 0x145fccae3d73ba7d, 0xa3c7bd83f8705f73,
  0x14239227f07dd4de, 0x0f8510c4aff3f7c1, 0xabbbddf373020037, 0x24542196841f4432, 0x7b7053fe80e784dd,
  0x380660b0ab331739, 0xc5a768bb6c087cff, 0x8fbf51d679df2c27, 0x6530df27a38e9fc1, 0xb3da46690e62c059,
  0x89dc72c608ebd1f3, 0x93f99f47332b32b2, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3, 0xe8754e0575539794,
  0x22adfef5545a6c59, 0xb83cd84b997cdb2e, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0xf20d3c95fb9a1996, 0x00000000003106e3,
};

static const uint64_t ur_m162_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x20eead5779dad9b8,
  0x04f8c0482d95de4b, 0x88f64c8c15481493, 0x72e30a04f89bed67, 0x4ce97f32addcee9f, 0xf51ea56c3f71c12b,
  0x114239227f0663e6, 0x70f8510c4aff3f7c, 0x2abbbddf3734d803, 0x0fc54219682d7443, 0x2f6e7affd01cf09a,
  0xde69cc16156662e7, 0xe169da2edb02f93f, 0x37b5ea3dc33be5b9, 0xac533df6b471d3f8, 0x76afe8d059cc580b,
  0x5403ff6608ebc06a, 0x8e3e07967b63ee89, 0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2,
  0x62cf43aa702baa9c, 0xd971156ff7aaa2d3, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0149309ac61dcf25,
};

// m162_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x120b6577931c5dd9, 0x8c15480004c13e30, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xb0e9f3858fcdff3f,
  0x13f8338337a8f43f, 0x6257f9fbe08a11c9, 0xf9b829001b87c288, 0xcb43f7221955ddee, 0xff4073c267f22a10,
  0xb0ab3317397b7cad, 0xedb0274bfef34e60, 0xf9aad68f4a169da2, 0xe0d983f93d4795ed, 0x7d8b4ddf15f75ea3,
  0x7d2d8cb8e1386e1d, 0xb4bce2b813f3484d, 0xf63376ded193c73a, 0xe791a43b1aad743a, 0x7b2ef76701c762d3,
  0x89507546c11fadc3, 0x93f99f47332b300a, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3, 0xe8754e0575539794,
  0x22adfef5545a6c59, 0x6e3cd84b997cdb2e, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xc8fc08c3b9e4afdc, 0x000000000000000a,
};

// m162_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m162_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44865c93, 0x777775685fb2afcd, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xf8c0482d95de4f91, 0xd932305520c03304, 0x8c2813e26fb59e23, 0x5afccab773ba7dcb, 0x71adb0274704b530,
  0x08e489fc1e9b9bd4, 0xe144312bfcfdf045, 0xeef77cdcc4000dc3, 0x8a8432d07f110caa, 0xb94bffa039e136df,
  0xa7305855998b9cbd, 0x4ed176d81145ff79, 0x17071fcb8beb370b, 0x6c2445f71258f3ca, 0x34d3fcfd47c25f88,
  0x72c6789f99e2ee37, 0x74fe0d05fa8fd04f, 0x059cc580a3e7491c, 0x678ebc06a76afe8d, 0x5adc3ee895403ff6,
  0x33e8e6656638f81e, 0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x3e30ee792bf73433, 0x000000000006922f,
};

static const uint64_t ur_m162_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbac1fb0486f97, 0xddddd5817d77df9b, 0x35d00957efb8dddd, 0x56a19991ddfb49c9, 0x04675c7f53a26f26,
  0x120b657792769dcf, 0x182a91dc7cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0xc2618e0cf93759fe,
  0x4fe0c524dea39ade, 0x895fe7ef82284724, 0x9b8601006e1f0a21, 0xb409d221955ddeef, 0xe80e784db3a2a10c,
  0x156662e72f6fa6bf, 0xb60416bfde69cc16, 0xe2faa32ea2d3b45d, 0x892c79e50b838706, 0xa3e12fc4361222fb,
  0x33c5dc6e33e759fe, 0x795c8929dadcdaf9, 0x9fea3e0d9834c7d4, 0x0dc3afb1698a62b0, 0xa909afa5b1971c27,
  0xed193c73abb74e23, 0x6355e363af63376d, 0xe038ec5a7cf23487, 0x6c1132386f65deec, 0x7332b32ce8950754,
  0x09e5a74a293f99f4, 0x51e7c49a3a314c08, 0x575539794d8ce81c, 0x5545a6c59e8754e0, 0x732f9b65c18edfef,
  0x71a2cb578dc79b09, 0x2a73f53ab337f077, 0x9a1e64ff0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719,
  0x3a298773c95fb9a1, 0x0000000000001000,
};

static const uint64_t ur_m162_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5817d17df, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0x3e30120b65779361, 0xec99182a91dc7cc1, 0xc61409f137dacf11, 0xc37e655bb9dd3ee5, 0xc526c3f5ce06b734,
  0x47244fe0eb7e6f51, 0x0a21895fe7ef8228, 0xef77cdc24a006e1f, 0x50865a115910caae, 0xd35ff4073c2695d1,
  0xe60b0ab3317397b7, 0xda2edb020b5fef34, 0xccad717d51fce169, 0x117dc4963cf285c1, 0x90ff51f097e21b09,
  0x6d3199e2ee373acd, 0x8bea3cad0094ed6e, 0x315af9ea3e0d983c, 0x8e1386e1d7d8b4c5, 0x9311d484d7d2d8cb,
  0x4ed82d188739d5db, 0xe416c6abc6c75e53, 0x726701c762d30e28, 0x59e315346470decb, 0xd3a5149fccfa3999,
  0x1cfc3d18a60404f2, 0x4b57294be740e28f, 0xb98c10b4ee2fe6dd, 0x2f9b69e8754e0530, 0x3458df0dc79b0973,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000002002051877,
};

static const uint64_t ur_m162_u1x8_uart0_dual_hw[] = {
  0xeeeeeb07a243304a, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x5907758ba8fea018,
  0x9827c602416caef2, 0x3c47b26460aa40a4, 0xfb97185027c4df6b, 0x5a674bf9956ee774, 0x37a8f52b61fb8e09,
  0xe08a11c913f8331f, 0x1b87c2886257f9fb, 0x1955ddeef9b9a6c0, 0xd07e2a10cb416ba2, 0x397b73d7fe80e784,
  0xff124e60b0ab3317, 0xe785a768bb6c0be4, 0xe0ded7a8f70cef96, 0x2eb14cf7dad1c74f, 0xa9dabfa341673160,
  0x25500ffd9823af01, 0x6638f81e59ed8fba, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0031ba84d6a29e4a,
};

static const uint64_t ur_m162_u1x8_uart0_dual_ee_hw[] = {
  0xddddd60f4486ff3e, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9a78af7b57bebb67,
  0x602416caef2638bb, 0x99182a900009827c, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x7f61d3e70b1f9bfe,
  0x9227f067066f51e8, 0x10c4aff3f7c11423, 0xddf3705200370f85, 0x219687ee4432abbb, 0x5bfe80e784cfe454,
  0xc16156662e72f6f9, 0xa2edb0274bfe249c, 0xedf9aad68f4a169d, 0xa3e0d983f93d4795, 0x1d7d8b4ddf15f75e,
  0x4d7d2d8cb8e1386e, 0x3ab4bce2b813f348, 0x3af63376ded193c7, 0xd3e791a43b1aad74, 0xc37b2ef76701c762,
  0x0a89507546c11fad, 0xa293f99f47332b30, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397,
  0x2e22adfef5545a6c, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x5769f81514f257ee,
};

static const uint64_t ur_m162_u1x8_uart0_dual_ce_hw[] = {
  0xbbbbac1e890c0668, 0xeeeeead0bf655f9b, 0xabe3b453b4b16eee, 0x19ceb0dbbbb1c519, 0xc8bb81f5826f1fc2,
  0x827c602416caef27, 0x11ec99182a906019, 0xe5c61409f137dacf, 0x982d7e655bb9dd3e, 0xea38d6d813a3825a,
  0x22847244fe0f4dcd, 0xe1f0a21895fe7ef8, 0x55777bbe6e620006, 0x6fc54219683f8886, 0x5edca5ffd01cf09b,
  0xc493982c2accc5ce, 0xc2d3b45db604517f, 0xf285c1c7f2e2facd, 0xe21b09117dc4963c, 0x370c7c66ff51f097,
  0x4f72c6789f99e2ee, 0x1c74fe0d05fa8fd0, 0x8d059cc580a3e749, 0xf6678ebc06a76afe, 0x1e5adc3ee895403f,
  0x7f33e8e6656638f8, 0x62981013cb4e9452, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b, 0x1dbfdeaa8b4d8b3d,
  0x8f3612e65f36cb83, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x5e7d453c95fb9a19, 0x0000000000001375,
};

static const uint64_t ur_m162_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeb070f5a1a5fb, 0x77775605f5df7e6e, 0xd740255fbee37777, 0x5a86664777ed2724, 0x4b235d74ab09bc99,
  0xc0482d95de49da77, 0x6460aa4771f304f8, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0x7b09863833e4dd67,
  0x913f8314937a8e6b, 0x86257f9fbe08a11c, 0xbe6e180401b87c28, 0x32d027488655777b, 0xffa039e136ce8a84,
  0x5855998b9cbdbe9a, 0xbb6c082d7f892730, 0x0dc5f5465d45a768, 0xf71258f3ca17070e, 0xfd47c25f886c2445,
  0xf2678bb8dc98667c, 0xa8f2b91253b5b9b5, 0x613fd47c1b30698f, 0x4e1b875f62d314c5, 0x4752135f4b632e38,
  0xdbda3278e7576e9c, 0x0ec6abc6c75ec66e, 0xd9c071d8b4f9e469, 0xa8d8226470decbbd, 0xe8e6656659d12a0e,
  0x1013cb4e94527f33, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0x12e65f36cb831dbf,
  0x2a73f52f571b8f36, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x000eba8e8b453c95,
};

static const uint64_t ur_m162_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeb07a2432db, 0xeeeeeeeac0bc2d7e, 0xf6947eb5d77a4dee, 0xeef7ee19991dd1ed, 0xcee3822acd33aaef,
  0x9f180905b2bbc9b0, 0xf64c8c154888c660, 0xe30a04f89bed6788, 0x61bf32addcee9f72, 0xe29361fae7035b9a,
  0x239227f075bf37a8, 0x8510c4aff3f7c114, 0xef77cdc68380370f, 0x50865a115910caae, 0xff9ff4073c2695d1,
  0xe60b0ab3317397b7, 0xed176d8113aff124, 0xe6ceb8bea8fe70b4, 0x88bee24b1e7942e0, 0x9bffa8f84bf10d84,
  0x6d3199e2ee373969, 0x8bea3caf4a94ed6e, 0x315a01ea3e0d983c, 0x8e1386e1d7d8b4c5, 0x97c1d484d7d2d8cb,
  0xa76e911d7f39d5db, 0x31f76355e363af29, 0xdc99c071d8b4ea5a, 0x2b3c6344991c37b2, 0x5a74a293f99f4733,
  0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575, 0xf9b65c18edfef554, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00001d75c21a29e4,
};

// m162_u1x8_uart1_noled_pr
static const uint64_t ur_m162_u1x8_uart1_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0xde4ee8c05ec46c7e,
  0x5af304f8c0482d95, 0xfb3021bffecd5f9f, 0xfe77cb09fe027687, 0xe8e3a7f063efd47a, 0xf1cc580b2ca61179,
  0xc11d7a3e760e28cc, 0x3db535f86a807fec, 0xcd3e9269959503cb, 0x6f37b01c7d0cd39d, 0x8fea52f29bd73d9a,
  0xaa2d2a7d3d0ea9c0, 0x65f36d2ff156ff7a, 0x3f8d163ce1bb612e, 0x4c2b93f75663c81a, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x000001f2163febda,
};

static const uint64_t ur_m162_u1x8_uart1_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x7717d4526764777f,
  0x827c602416caef27, 0x0437ffc6afcfad79, 0xf9613fc04ed0ff66, 0x74fe0c7dfa8f5fce, 0x8b016594c22f3d1c,
  0xaf47cec1c5199e39, 0xa6bf0d500ffd9823, 0xd24d32b2a07967b6, 0xf6038fa19a73b9a7, 0x4a5e537ae7b34de6,
  0xa54fa7a1d53811fd, 0x6da5fe2adfef5545, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xe4d2da641a792bf7,
  0x0000000000000003,
};

// m162_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart1_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0x466539a594a7a6d4,
  0x9f180905b2bbc9dd, 0x406ff1abf3ffba60, 0x47377013b43fd981, 0xc7cf51e5738cd56b, 0xef8ae5f7a8f83660,
  0x5c709c370ebec5a6, 0x571ac9a426be96c6, 0x2cf4627ce756974c, 0xcec6ab5d0ebce9bb, 0xf380e3b169a0b478,
  0x51b047eb70decb65, 0xd3e9269805f86019, 0xf37b01c7d0cd39dc, 0xfea52f29bd73d9a6, 0xa2d2a7d3d0ea9c08,
  0x5f36d2ff156ff7aa, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0275ffaa320d3c95,
};

static const uint64_t ur_m162_u1x8_uart1_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0xbbc9ddcc490a86b4,
  0xf052609f180905b2, 0x3fd9817c9fecd5f9, 0x2d73bfea4f7013b4, 0xb9fb92b7e78c940e, 0x7b9602e33984e771,
  0x8e9fc1eb17a8e82e, 0x1a8e62c0559e90e3, 0xb19e3af173b5128e, 0xd3e92698ebf0f71c, 0xf37b01c7d0cd39dc,
  0xfea52f29bd73d9a6, 0xa2d2a7d3d0ea9c08, 0xbe6da5fcc76ff7aa, 0xf1a2c79c376c25cc, 0x85727eeacc790347,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000002dd79cd7b4f,
};

static const uint64_t ur_m162_u1x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeebba8911259b, 0xbbbbaabcc2171896, 0xdbf4af263bd7a7bb, 0xfc78d7ddddd5bc4e, 0x3bb2eec48338170b,
  0x4c13e30120b65779, 0xcc08caff1abf3efe, 0xdc5f54c7809da1fe, 0xb892c79e3254ec27, 0xea3e12fc4361222f,
  0xc99e2ee372c7ffe7, 0x27a8ed7d3dcb19fa, 0x2dc310f1c74fe0cd, 0xf9d838a333c73160, 0xe1aa01ffb33c75e8,
  0x69959503cb5b94d7, 0x1c7d0cd39dcd3e92, 0xf29bd73d9a6f37b0, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a,
  0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x405e41a792bf7343, 0x0000000000006eb8,
};

static const uint64_t ur_m162_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22044, 0xdddd55e71341625b, 0x99fb243e9e989ddd, 0x6f5217bddf1f63c6, 0xa4e570421b45a8a5,
  0x8c0482d95de4eea0, 0xb7f8d5f9f275304f, 0x95b809da1fecc0a2, 0xe3254ee575c5f546, 0xc4361222fb892c79,
  0xdce5a66ffea3e12f, 0x53b5b9b7be678bb8, 0x1b307197a8f2b052, 0xb1698a62b9bbd47c, 0xa5b1971c270dc3af,
  0x73abb72623a909af, 0xc75e74dd967a313e, 0x69a0b478cec6abc6, 0x70decb65f380e3b1, 0xb3fc300ca8d82264,
  0xe8669cee69f4934c, 0xdeb9ecd379bd80e3, 0xe8754e047f529794, 0x63b7fbd5516953e9, 0x0f3612e65f36d2fe,
  0xfca1a2ce9f1726ae, 0x0c2a73f53ab31e40, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000013f3a7b20d3c,
};

static const uint64_t ur_m162_u1x8_uart1_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0x7c602416caef2774, 0xbeffc6afcfc56982, 0x3a95c04ed0ff6605, 0xcf192a76c16e2faa, 0x7e21b09117dc4963,
  0xe3719f3acff51f09, 0x494ed6e6e3299e2e, 0xf06cc188bea3cafe, 0xbec5a6298ae21f51, 0xbe96c65c709c370e,
  0x139d5dbb228ea426, 0xb1d7aea6ec21d187, 0xb4e4151a9ab1aaf1, 0xe1bd970e59c071d8, 0x34fa49a78c7f0cc8,
  0xbcdec071f4334e77, 0x3fa94bca6f5cf669, 0xa8b4a9f4f43aa702, 0x2f9b697f31dbfdea, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x0027e245f9069e4a,
};

static const uint64_t ur_m162_u1x8_uart1_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0xbc9ddb1ec869b1bb,
  0xb5e609f180905b2b, 0xfd9810dfffc38f3e, 0x7f3be584ff013b43, 0xf471d3f831f7ea3d, 0x78e62c05965308bc,
  0x608ebd1f3b071466, 0x9eda9afc35403ff6, 0xe69f4934caca81e5, 0x379bd80e3e8669ce, 0x47f529794deb9ecd,
  0x5516953e9e8754e0, 0x32f9b697f8ab7fbd, 0x9fa97ab8dc79b097, 0xe7197e627f286153, 0x73dffc1343cc9fe2,
  0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813, 0x83d8ffd829e4afdc, 0x00000000000000e8,
};

static const uint64_t ur_m162_u1x8_uart1_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0x74c13e30120b6577, 0xecc0a037fd0a67ff, 0x6ab5a39bb809da1f, 0x1b3063e7a8f2b9c6, 0x62d377c572fbd47c,
  0x4b632e384e1b875f, 0x4ba62b8d64d2135f, 0x74dd967a313e73ab, 0x5a3c676355ae875e, 0x65b2f9c071d8b4d0,
  0x300ca8d823f5b86f, 0x9cee69f4934c02fc, 0xecd379bd80e3e866, 0x4e047f529794deb9, 0xfbd5516953e9e875,
  0x09732f9b697f8ab7, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f,
  0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x000000000b7ce907,
};

static const uint64_t ur_m162_u1x8_uart1_noled_ce_hw[] = {
  0x5bbbbbaeed66fcc5, 0xdddddd55dce435e2, 0xa097bd9f7e6edbdd, 0xf4aebcc9eeeea449, 0x2bbc9dda86a6f70a,
  0x9f3d6609f180905b, 0xa1fecc0a5f7fe1c7, 0x39921dff5b5b809d, 0xc6e54afddf9e3250, 0xfa7b9602eb26139d,
  0xe38e9fc19a4f51da, 0x46678e62c05b8621, 0xff6678ebd1f3b071, 0x0796b729afc35403, 0xa73b9a7d24d32b2a,
  0x7b34de6f6038fa19, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x84b997cdb4bf98ed, 0x67a615c9f9fd86ed,
  0x252d964a271964b8, 0x053c95fb9a19961d, 0x0000000310a0e2fb,
};

// m162_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u1x8_uart1_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0xa609f180905b2bbc, 0x660515bfe8533e4e, 0x2faa34adc04ed0ff, 0x92c79e50b8392bae, 0x3e12fc4361222fb8,
  0x3c5dc6e760de1fea, 0x9582929dadcdbdf3, 0xdea3e0d9838cbd47, 0x6e1d7d8b4c5315cd, 0x484d7d2d8cb8e138,
  0xd189f39d5db9311d, 0x355e363af3a6ecb3, 0x071d8b4d05a3c676, 0xc1132386f65b2f9c, 0xa49a659fe1806546,
  0xec071f4334e7734f, 0x94bca6f5cf669bcd, 0x4a9f4f43aa7023fa, 0xb697f31dbfdeaa8b, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x005010056a29e4af,
};

// m162_u1x8_uart1_lednop_pr
static const uint64_t ur_m162_u1x8_uart1_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0xf27746de3b266f4f,
  0x219827c602416cae, 0xf66043e7fb357e7e, 0x3cef9613fc04ed0f, 0xd1c74fe0c7dfa8eb, 0x8731602cb2986f93,
  0x0475e8f9d9ed2334, 0x7b66794d2a01ffb3, 0x9a7d24d3560a0796, 0x2038fa19a781013b, 0x5e53633a059a6f3e,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x01f2070a6bda792b,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0xbb0cc8fc0069767f,
  0xc13e30120b657793, 0xc087cff1abf3f10c, 0xdf2c27f809da1fec, 0x8e9fc18fbf51d679, 0x62c0596530df27a3,
  0xebd1f3b3da46690e, 0xccf29a5403ff6608, 0xfa49a6ac140f2cf6, 0x71f4334f02027734, 0xa6c6740b34de7c40,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x844e41a792bf7343,
  0x0000000000007c99,
};

// m162_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart1_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xf8c0482d95de4eee, 0xa2ff8d5f9ff9d304, 0x39bb809da1fecc08, 0x3e7a8f2b3d66ab5a, 0xbe2bd2bd47c1b306,
  0x71c270dc3afb169b, 0x5c6b26909afa5b19, 0xe81188739d5a5f24, 0x2d8d56ba1d79d376, 0xce038ec5a627d1c8,
  0x46c11fadc37b2d97, 0x4fa49a60129afc35, 0x071f4334f0202773, 0xca6c6740b34de7c4, 0x2cf43aa702baa9cb,
  0x971156ff7aaa2d36, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xd071e41a792bf734, 0x0000000000000275,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x2bbc9ddb1ec842f3,
  0x9f402609f180905b, 0x43fd9814ddfecd5f, 0x72213bfea4f7013b, 0x8dcf9d21ff3c64a0, 0xf3dcb01719cc273b,
  0x1c74fe0f58bd4713, 0x3d62398b017a0a97, 0xe58cf1d78b9d87da, 0x734fa49a63a535b8, 0xc4071f4334f02027,
  0xcbca6c6740b34de7, 0x362cf43aa702baa9, 0xdb2e0c76ff7aaa2d, 0x458f386ed84b997c, 0xe4fdd598f2068fe3,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000b75249af69e4a,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_pr_ce_u4[] = {
  0xeeeeebba89110cc5, 0xddddd55e61331896, 0xb8edbf16a6f70add, 0x60bd88eeeeeade24, 0x9dd8361b8fd9ba6a,
  0xa609f180905b2bbc, 0x98118fff1abf3f52, 0xb8bea98f013b43fd, 0x71258f3c64a9dedf, 0xd47c25f886c2445f,
  0x2678bb8dcdda4dbf, 0x27a8fcf4f72c67eb, 0x177bc171c74fe0cd, 0x7cecf6919a4398b0, 0xa69500ffd99e3af4,
  0x9a6ac140f2d6e33c, 0x4334f02027734fa4, 0x6740b34de7c4071f, 0x3aa702baa9cbca6c, 0x76ff7aaa2d362cf4,
  0x3cd84b997cdb2e0c, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xc834f257ee686658, 0x000000000dd77ea8,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a232a8, 0xdddd55e71364625b, 0x28d3643c8ef25ddd, 0xef5217bddf1f63e8, 0x68d51399f2e323e6,
  0x8c0482d95de4ee9d, 0x1ff1abf3f43f304f, 0x2b7013b43fd9811c, 0xc64a9de9bb8bea8d, 0x886c2445f71258f3,
  0xdceb3643fd47c25f, 0x53b5b9b7be678bb8, 0x1b307197a8f2b402, 0xb1698a62b9c7d47c, 0xa5b1971c270dc3af,
  0x73abb76483a909af, 0x63af3a6edd02310e, 0x6989f4720b6355e3, 0x70decb65f380e3b1, 0xb3535f86a8d82264,
  0x9e0404ee69f4934c, 0x1669bcf880e3e866, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x09732f9b65c18edf,
  0xd1674f8b9357079b, 0x39fa9d598f207e50, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x04fc5d99069e4afd,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x13e30120b657793b, 0x2d9dfe357e7ce0cc, 0x51d4ae027687fb30, 0x1e78c953bcad717d, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x374a76b737194cf1, 0x8f83660c45f51e57, 0x75f62d314c56be7a, 0x35f4b632e384e1b8,
  0xf68e7576e7bc7521, 0xc6c75eba9bb60b46, 0xb1698714667ac6ab, 0x91c37b2e1cb380e3, 0x7734fa49a78c54d1,
  0x7c4071f4334f0202, 0x9cbca6c6740b34de, 0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2, 0xc5c9ab83cd84b997,
  0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0x09f810bc834f257e,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0xf277617ad1a826cf,
  0x219827c602416cae, 0xfd9810f9ff871e7e, 0xcf3be584ff013b43, 0xf471d3f831f7ea3a, 0x21cc580b2ca61be4,
  0xc11d7a3e767b48cd, 0x9ed99e534a807fec, 0xe69f4934d58281e5, 0x880e3e8669e0404e, 0x9794d8ce81669bcf,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000e8839c29d82,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0x9827c602416caef2, 0x981145ffa14cffce, 0x56b47377013b43fd, 0x660c7cf51e567acd, 0x2d377c57a57a8f83,
  0xb632e384e1b875f6, 0xbe48b8d64d2135f4, 0xa6edd02310e73ab4, 0xa3905b1aad743af3, 0x5b2f9c071d8b4c4f,
  0xf86a8d823f5b86f6, 0x4ee69f4934c02535, 0xcf880e3e8669e040, 0x539794d8ce81669b, 0x5a6c59e8754e0575,
  0x7cdb2e22adfef554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00002df02ed514f2,
};

static const uint64_t ur_m162_u1x8_uart1_lednop_ce_hw[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9c988c4, 0x8235cbdf89d2e3bb, 0x36d8c48bbbba9126, 0x657793bb0bd68d41,
  0xf3f224c13e30120b, 0xda1fecc0b4affc38, 0x0380a1dff5b5b809, 0xdc6e393f9df9e325, 0xe7a7b9602eb26139,
  0x0b8e3a7f06693d47, 0xb48cd21cc580bbde, 0x07feccf1d7a3e767, 0x0a0796b719e534a8, 0x81013b9a7d24d356,
  0x9a6f3e2038fa19a7, 0x15d54e5e53633a05, 0xd55169b167a1d538, 0x5ccbe6d97063b7fb, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000001885171d82,
};

// m162_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0xe609f180905b2bbc, 0xcc08e0ffd0a67e87, 0x5f54695b809da1fe, 0x258f3ca170734ddc, 0x7c25f886c2445f71,
  0x78bb8dc98667cfd4, 0x2b40253b5b9b7be6, 0x7d47c1b307197a8f, 0xdc3afb1698a62b9c, 0x909afa5b1971c270,
  0x2310e73abb76483a, 0x355e363af3a6edd0, 0x0e3b16989f4720b6, 0x8226470decb65f38, 0x4934cb3535f86a8d,
  0x3e8669e0404ee69f, 0xd8ce81669bcf880e, 0xe8754e0575539794, 0x18edfef5545a6c59, 0xdc79b09732f9b65c,
  0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x23582a29e4afdcd0, 0x00000000000000a0,
};

// m162_u1x8_uart1_dual_pr
static const uint64_t ur_m162_u1x8_uart1_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x13e30120b657792a, 0x23d932305523104c, 0xcb8c2813e26fb59e, 0x145fccae3d73ba7d, 0xa3c7bd83f8705f73,
  0x14239227f07dd4de, 0x0f8510c4aff3f7c1, 0xabbbddf373020037, 0x24542196841f4432, 0x7b7053fe80e784dd,
  0x380660b0ab331739, 0x809da1fecc087cff, 0xfbf51d679df2c27f, 0x530df27a38e9fc18, 0x3da46690e62c0596,
  0x9dc72c608ebd1f3b, 0x3f99f47332b32b28, 0x4f02027734fa49a7, 0x0b34de7c4071f433, 0x702baa9cbca6c674,
  0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x0d163ce2e4d5c1e6, 0x0ae4fdd598f207e5, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000188371f9069,
};

static const uint64_t ur_m162_u1x8_uart1_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x20eead5779dad9b8,
  0x04f8c0482d95de4b, 0x88f64c8c15481493, 0x72e30a04f89bed67, 0x4ce97f32addcee9f, 0xf51ea56c3f71c12b,
  0x114239227f0663e6, 0x70f8510c4aff3f7c, 0x2abbbddf3734d803, 0x0fc54219682d7443, 0x2f6e7affd01cf09a,
  0xde69cc16156662e7, 0xe027687fb302f93f, 0x7b5ea3dc33be5b9e, 0xc533df6b471d3f83, 0x6afe8d059cc580ba,
  0x403ff6608ebc06a7, 0xe3e07967b63ee895, 0x4d39fccfa3999598, 0xa19a781013b9a7d2, 0x33a059a6f3e2038f,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x8f3612e65f36cb88, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x84d630ee792bf734,
  0x0000000000000a49,
};

// m162_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m162_u1x8_uart1_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x120b6577931c5dd9, 0x8c15480004c13e30, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xb0e9f3858fcdff3f,
  0x13f8338337a8f43f, 0x6257f9fbe08a11c9, 0xf9b829001b87c288, 0xcb43f7221955ddee, 0xff4073c267f22a10,
  0xb0ab3317397b7cad, 0xfb30274bfef34e60, 0x9aad68f4ae027687, 0x0d983f93d4795edf, 0xd8b4ddf15f75ea3e,
  0xd2d8cb8e1386e1d7, 0x4bce2b813f3484d7, 0x63376ded193c73ab, 0x791a43b1aad743af, 0xb2ef76701c762d3e,
  0x9507546c11fadc37, 0x3f99f47332b300a8, 0x4f02027734fa49a7, 0x0b34de7c4071f433, 0x702baa9cbca6c674,
  0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x461dcf257ee68665, 0x00000000005647e0,
};

// m162_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m162_u1x8_uart1_dual_pr_ce[] = {
  0xddddd60f44865c93, 0x777775685fb2afcd, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xf8c0482d95de4f91, 0xd932305520c03304, 0x8c2813e26fb59e23, 0x5afccab773ba7dcb, 0x71adb0274704b530,
  0x08e489fc1e9b9bd4, 0xe144312bfcfdf045, 0xeef77cdcc4000dc3, 0x8a8432d07f110caa, 0xb94bffa039e136df,
  0xa7305855998b9cbd, 0x3b43fd981145ff79, 0x7071fcb8beb37701, 0xc2445f71258f3ca1, 0x4d3fcfd47c25f886,
  0x2c6789f99e2ee373, 0x4fe0d05fa8fd04f7, 0x59cc580a3e7491c7, 0x78ebc06a76afe8d0, 0xadc3ee895403ff66,
  0x3e8e6656638f81e5, 0x404ee69f4934e7f3, 0x9bcf880e3e8669e0, 0x75539794d8ce8166, 0x545a6c59e8754e05,
  0x32f9b65c18edfef5, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2, 0x000000349179f187,
};

static const uint64_t ur_m162_u1x8_uart1_dual_pr_ee_ce[] = {
  0xbbbbac1fb0486f97, 0xddddd5817d77df9b, 0x35d00957efb8dddd, 0x56a19991ddfb49c9, 0x04675c7f53a26f26,
  0x120b657792769dcf, 0x182a91dc7cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0xc2618e0cf93759fe,
  0x4fe0c524dea39ade, 0x895fe7ef82284724, 0x9b8601006e1f0a21, 0xb409d221955ddeef, 0xe80e784db3a2a10c,
  0x156662e72f6fa6bf, 0x660416bfde69cc16, 0x2faa32ebc04ed0ff, 0x92c79e50b838706e, 0x3e12fc4361222fb8,
  0x3c5dc6e33e759fea, 0x95c8929dadcdaf93, 0xfea3e0d9834c7d47, 0xdc3afb1698a62b09, 0x909afa5b1971c270,
  0xd193c73abb74e23a, 0x355e363af63376de, 0x038ec5a7cf234876, 0xc1132386f65deece, 0x332b32ce89507546,
  0x734fa49a73f99f47, 0xc4071f4334f02027, 0xcbca6c6740b34de7, 0x362cf43aa702baa9, 0xdb2e0c76ff7aaa2d,
  0x5abc6e3cd84b997c, 0xa9d599bf83bb8d16, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3,
  0x3b9e4afdcd0ccb0e, 0x000000008001d14c,
};

static const uint64_t ur_m162_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5817d17df, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0x3e30120b65779361, 0xec99182a91dc7cc1, 0xc61409f137dacf11, 0xc37e655bb9dd3ee5, 0xc526c3f5ce06b734,
  0x47244fe0eb7e6f51, 0x0a21895fe7ef8228, 0xef77cdc24a006e1f, 0x50865a115910caae, 0xd35ff4073c2695d1,
  0xe60b0ab3317397b7, 0x687fb3020b5fef34, 0xcad717d51fcee027, 0x17dc4963cf285c1c, 0x0ff51f097e21b091,
  0xd3199e2ee373acd9, 0xbea3cad0094ed6e6, 0x15af9ea3e0d983c8, 0xe1386e1d7d8b4c53, 0x311d484d7d2d8cb8,
  0xed82d188739d5db9, 0x416c6abc6c75e534, 0x26701c762d30e28e, 0x9e315346470decb7, 0xd24d39fccfa39995,
  0x53a19a781013b9a7, 0x4a5f3a059a6f0d48, 0x85a7717f36ea5ab9, 0x4f43aa702985cc60, 0xf86e3cd84b997cdb,
  0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x01001028c3b9e4af,
};

static const uint64_t ur_m162_u1x8_uart1_dual_hw[] = {
  0xeeeeeb07a243304a, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x5907758ba8fea018,
  0x9827c602416caef2, 0x3c47b26460aa40a4, 0xfb97185027c4df6b, 0x5a674bf9956ee774, 0x37a8f52b61fb8e09,
  0xe08a11c913f8331f, 0x1b87c2886257f9fb, 0x1955ddeef9b9a6c0, 0xd07e2a10cb416ba2, 0x397b73d7fe80e784,
  0xff124e60b0ab3317, 0x7b809da1fecc0be4, 0x0ded7a8f70cef96e, 0xeb14cf7dad1c74fe, 0x9dabfa3416731602,
  0x5500ffd9823af01a, 0x638f81e59ed8fba2, 0x4934e7f33e8e6656, 0x3e8669e0404ee69f, 0xd8ce81669bcf880e,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xd426b514f257ee68, 0x000000000000018d,
};

static const uint64_t ur_m162_u1x8_uart1_dual_ee_hw[] = {
  0xddddd60f4486ff3e, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9a78af7b57bebb67,
  0x602416caef2638bb, 0x99182a900009827c, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x7f61d3e70b1f9bfe,
  0x9227f067066f51e8, 0x10c4aff3f7c11423, 0xddf3705200370f85, 0x219687ee4432abbb, 0x5bfe80e784cfe454,
  0xc16156662e72f6f9, 0x87fb30274bfe249c, 0xdf9aad68f4ae0276, 0x3e0d983f93d4795e, 0xd7d8b4ddf15f75ea,
  0xd7d2d8cb8e1386e1, 0xab4bce2b813f3484, 0xaf63376ded193c73, 0x3e791a43b1aad743, 0x37b2ef76701c762d,
  0xa89507546c11fadc, 0xa73f99f47332b300, 0x334f02027734fa49, 0x740b34de7c4071f4, 0xaa702baa9cbca6c6,
  0x6ff7aaa2d362cf43, 0xe6c25ccbe6d97115, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xc0a8a792bf734332, 0x000000000002bb4f,
};

static const uint64_t ur_m162_u1x8_uart1_dual_ce_hw[] = {
  0xbbbbac1e890c0668, 0xeeeeead0bf655f9b, 0xabe3b453b4b16eee, 0x19ceb0dbbbb1c519, 0xc8bb81f5826f1fc2,
  0x827c602416caef27, 0x11ec99182a906019, 0xe5c61409f137dacf, 0x982d7e655bb9dd3e, 0xea38d6d813a3825a,
  0x22847244fe0f4dcd, 0xe1f0a21895fe7ef8, 0x55777bbe6e620006, 0x6fc54219683f8886, 0x5edca5ffd01cf09b,
  0xc493982c2accc5ce, 0xc04ed0ff6604517f, 0x285c1c7f2e2facdd, 0x21b09117dc4963cf, 0x70c7c66ff51f097e,
  0xf72c6789f99e2ee3, 0xc74fe0d05fa8fd04, 0xd059cc580a3e7491, 0x6678ebc06a76afe8, 0xe5adc3ee895403ff,
  0xf33e8e6656638f81, 0xe0404ee69f4934e7, 0x669bcf880e3e8669, 0x0575539794d8ce81, 0xf5545a6c59e8754e,
  0x9732f9b65c18edfe, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x000000009baaf3ea,
};

static const uint64_t ur_m162_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeeb070f5a1a5fb, 0x77775605f5df7e6e, 0xd740255fbee37777, 0x5a86664777ed2724, 0x4b235d74ab09bc99,
  0xc0482d95de49da77, 0x6460aa4771f304f8, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0x7b09863833e4dd67,
  0x913f8314937a8e6b, 0x86257f9fbe08a11c, 0xbe6e180401b87c28, 0x32d027488655777b, 0xffa039e136ce8a84,
  0x5855998b9cbdbe9a, 0xfecc082d7f892730, 0xdc5f5465d7809da1, 0x71258f3ca17070e0, 0xd47c25f886c2445f,
  0x2678bb8dc98667cf, 0x8f2b91253b5b9b5f, 0x13fd47c1b30698fa, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0xbda3278e7576e9c4, 0xec6abc6c75ec66ed, 0x9c071d8b4f9e4690, 0x8d8226470decbbdd, 0x8e6656659d12a0ea,
  0x4ee69f4934e7f33e, 0xcf880e3e8669e040, 0x539794d8ce81669b, 0x5a6c59e8754e0575, 0xf9b65c18edfef554,
  0xa97ab8dc79b09732, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0xb25c33d30ae4fc73, 0xccb0e9296cf8138c,
  0xd4745a29e4afdcd0, 0x0000000000000075,
};

static const uint64_t ur_m162_u1x8_uart1_dual_ee_ce_u4_hw[] = {
  0x6eeeeeb07a2432db, 0xeeeeeeeac0bc2d7e, 0xf6947eb5d77a4dee, 0xeef7ee19991dd1ed, 0xcee3822acd33aaef,
  0x9f180905b2bbc9b0, 0xf64c8c154888c660, 0xe30a04f89bed6788, 0x61bf32addcee9f72, 0xe29361fae7035b9a,
  0x239227f075bf37a8, 0x8510c4aff3f7c114, 0xef77cdc68380370f, 0x50865a115910caae, 0xff9ff4073c2695d1,
  0xe60b0ab3317397b7, 0xb43fd98113aff124, 0x6ceb8bea8fe77013, 0x8bee24b1e7942e0e, 0xbffa8f84bf10d848,
  0xd3199e2ee3739699, 0xbea3caf4a94ed6e6, 0x15a01ea3e0d983c8, 0xe1386e1d7d8b4c53, 0x7c1d484d7d2d8cb8,
  0x76e911d7f39d5db9, 0x1f76355e363af29a, 0xc99c071d8b4ea5a3, 0xb3c6344991c37b2d, 0xfa49a73f99f47332,
  0x71f4334f02027734, 0xa6c6740b34de7c40, 0xcf43aa702baa9cbc, 0xe0c76ff7aaa2d362, 0xc6e3cd84b997cdb2,
  0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xebae10d14f257ee6,
};

// m162_u1x12_uart0_noled_pr
static const uint64_t ur_m162_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xe4eeedb6a6331da4,
  0x63304f8c0482d95d, 0x66bf645ff66afcfa, 0x9613e2d3b45db088, 0x4fe0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x97cdb4bfc55bfdea, 0xfe3458f386ed84b9, 0x30ae4fdd598f2068, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x000007c80f2faf69,
};

static const uint64_t ur_m162_u1x12_uart0_noled_pr_u4[] = {
  0x775dd6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0x9fb68a36c8fa45dd,
  0x4f8c0482d95de4ee, 0xd917fc6afcfa6330, 0xf8b4ed176c2219af, 0x31f7ea3d7f3be584, 0x965308bcf471d3f8,
  0x3b07146678e62c05, 0x35403ff6608ebd1f, 0x0aca81e59eda9afc, 0x934746293cb4e945, 0x52f29bd73f1479bd,
  0x2a7d3d0ea9c08fea, 0x6d2ff156ff7aaa2d, 0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x4e535b20d3c95fb9,
  0x000000000000003e,
};

// m162_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart0_noled_pr_ee[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x02416caef2776273, 0xfc6afcfa569827c6, 0xed176c2219afd52b, 0x5738cd56b47370b4, 0x7a8f83660c7cf51e,
  0x70ebec5a6ef8ae5f, 0x426be96c65c709c3, 0xce756974c571ac9a, 0xd0ebce9bb2cf4627, 0x169a0b478cec6ab5,
  0xb70decb65f380e3b, 0x005f8601951b047e, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4,
  0xda5fe2adfef5545a, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x5d6b5641a792bf73, 0x0000000000000027,
};

static const uint64_t ur_m162_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0xf277417a0998b21c,
  0x719827c602416cae, 0x19afcbe7fb357e7e, 0xfea4f0b4ed176c22, 0x2b7e78c940e2d73b, 0x2e33984e771b9fb9,
  0x1eb17a8e82e7b960, 0x2c0559e90e38e9fc, 0xaf173b5128e1a8e6, 0x8a0ebf0f71cb19e3, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0x3458f386ed84b997, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0002dd40e5af69e4,
};

static const uint64_t ur_m162_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e891190e3, 0xbbaabf0bf8f896ee, 0x4ccbdd93d537bbbb, 0x7bafdddd368c9c00, 0xa245999bb0dd63e1,
  0x13e30120b657793b, 0xe8f7fe357e7d7dcc, 0xc45a768bb6110cd7, 0x9e3254ec27dc5f54, 0xfc4361222fb892c7,
  0xe372c7ffe7ea3e12, 0x7d3dcb19fac99e2e, 0xf1c74fe0cd27a8ed, 0xa333c731602dc310, 0xffb33c75e8f9d838,
  0x03cb5b94d7e1aa01, 0x8c527969d28a1595, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa,
  0x83cd84b997cdb4bf, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x6c834f257ee68665, 0x0000000000dd754d,
};

static const uint64_t ur_m162_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbaeeb430f5a22a20, 0xdd55e34151625bbb, 0x4b41299ef91ddddd, 0xb2ab4dd85f8edebb, 0xd48ee351a568b8bc,
  0x0482d95de4ee8f62, 0xf8d5f9f4b5304f8c, 0xda2ed844335f86b7, 0xb95d717d51a56169, 0x88bee24b1e78c953,
  0x9bffa8f84bf10d84, 0x6def99e2ee373969, 0x65ea3cac1494ed6e, 0x98ae6ef51f06cc1c, 0xc709c370ebec5a62,
  0xc988ea426be96c65, 0x37659e8c4f9ceaed, 0x1e33b1aaf1b1d79d, 0xd97ce038ec5a682d, 0x032a3608991c37b2,
  0xa4f2d3a5142cff0c, 0x5cfc51e6f64d1d18, 0x3aa7023fa94bca6f, 0xdbfdeaa8b4a9f4f4, 0x9b09732f9b697f31,
  0x50d1674f8b935707, 0x1539fa9d598f207e, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0004fcc639069e4a,
};

static const uint64_t ur_m162_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0x602416caef2774eb, 0xffc6afcf8d69827c, 0x4ed176c2219afda6, 0x9db05b8bea8ea50b, 0x2445f71258f3c64a,
  0xceb3fd47c25f886c, 0xb9b8ca678bb8dc67, 0x622fa8f2bf9253b5, 0x8a62b887d47c1b30, 0x971c270dc3afb169,
  0x6ec8a3a909afa5b1, 0xa9bb087461c4e757, 0x46a6ac6abc6c75eb, 0xc396701c762d3905, 0x8a631fc332386f65,
  0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0xc5c9ab83cd84b997,
  0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0x013f0b3c834f257e,
};

static const uint64_t ur_m162_u1x12_uart0_noled_hw[] = {
  0x75dd687a82cdc49f, 0xdd55d87383c4b777, 0x9fb244e97bdddddd, 0xbd0e6eee91044436, 0x27773124356848bb,
  0x19827c602416caef, 0xcd7ec8bff871e7d3, 0x2c27c5a768bb6110, 0x9fc18fbf51ebf9df, 0x602cb29845e7a38e,
  0xe8f9d838a333c731, 0xd7e1aa01ffb30475, 0x4a2856540f2cf6d4, 0xcdec9a3a3149e5a7, 0x7f529794deb9f8a3,
  0x516953e9e8754e04, 0x2f9b697f8ab7fbd5, 0xf5361d8dc79b0973, 0x64ff0271a50c2a73, 0x67a615c9f80f9a1e,
  0xd252d9f0271964b8, 0xb053c95fb9a19961, 0x00000001d1071e5f,
};

static const uint64_t ur_m162_u1x12_uart0_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0x9f180905b2bbc9dd, 0xd52bfe8533e95a60, 0x70b4ed176c2219af, 0xf51e5738cd56b473, 0xae5f7a8f83660c7c,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x4627ce756974c571, 0x6ab5d0ebce9bb2cf, 0x0e3b169a0b478cec,
  0x047eb70decb65f38, 0xd28a005f8601951b, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28, 0x545a54fa7a1d5381,
  0xcbe6da5fe2adfef5, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000016fa558a8a7,
};

static const uint64_t ur_m162_u1x12_uart0_noled_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55d871d7c4b7, 0xf5a508c1f600dddd, 0xcfd2f37ddddf0bc3, 0x5de4eee62486ad04,
  0xf09f304f8c0482d9, 0x2219afc807fe1c79, 0x3bfeb6b0b4ed176c, 0x95fbbf3c64a07324, 0x2c05d64c273b8dca,
  0x3f83349ea3b5f4f7, 0x1cc580b70c43c71d, 0xf1d7a3e760e28ccf, 0x6e535f86a807fecc, 0xe5a74a2856540f2d,
  0xf8a3cdec9a3a3149, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7, 0x9e985727e7f61bb6,
  0x94b659289c6592e1, 0x14f257ee68665874, 0x00000000c4296eec,
};

// m162_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u1x12_uart0_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x09f180905b2bbc9d, 0xfc35bfe8533e96a6, 0x2b0b4ed176c2219a, 0x942e0e4aeb8bea8d, 0x10d8488bee24b1e7,
  0xb9d83787fa8f84bf, 0xa76b736f7ccf1771, 0x3660e32f51e560a4, 0x62d314c57377a8f8, 0x4b632e384e1b875f,
  0xe7576e4c4752135f, 0x8ebce9bb2cf4627c, 0xd34168f19d8d578d, 0xe1bd96cbe701c762, 0x67f8601951b044c8,
  0x68e8c527969d28a1, 0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5017e49d14f257ee,
};

// m162_u1x12_uart0_lednop_pr
static const uint64_t ur_m162_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xe4ee971b2636d4dd,
  0x49304f8c0482d95d, 0x335f9efff66afcfe, 0xcb09f169da2ed844, 0xa7f063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x001f218debda792b,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0x469ae3a87f4e84d9,
  0x27c602416caef277, 0xf3dffe357e7f2498, 0x3e2d3b45db08866b, 0x0c7dfa8eb3cef961, 0xcb2986f93d1c74fe,
  0x9d9ed23348731602, 0xd2a01ffb30475e8f, 0x4560a07967b66794, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1,
  0xf43aa702baa9cbca, 0x1156ff7aaa2d362c, 0x5c1e6c25ccbe6d97, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x5f641a792bf73433,
  0x000000000007c9cc,
};

// m162_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart0_lednop_pr_ee[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x180905b2bbc9ddb1, 0x3ff1abf3f21e609f, 0xd3b45db08866bf39, 0x7959eb355ad1cdc2, 0x95ea3e0d9831f3d4,
  0x86e1d7d8b4ddf15e, 0x3484d7d2d8cb8e13, 0x439cead2f922e359, 0xb5d0ebce9bb7408c, 0x762d313e8e416c6a,
  0xfd6e1bd96cbe701c, 0x140094d7e1aa3608, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d, 0xcf43aa702baa9cbc,
  0x71156ff7aaa2d362, 0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x32d641a792bf7343, 0x000000000000275d,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0xaef277417a0998b2,
  0xfedf9827c602416c, 0x44335fba8ff66afc, 0x77fd49e169da2ed8, 0xb92b7e78c940e0f8, 0x602e33984e771b9f,
  0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0xd28a0ea596e39633, 0xa68e8c5302027969,
  0x9794d8ce81c51e5b, 0x573182169bd57553, 0xccbe6da7a1d53817, 0x47f1a2c79c376c25, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x00000016ea072d7b,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e8911d38b, 0xbbaabf0b82f896ee, 0xe001ae486ad1bbbb, 0x6a6337774da327e3, 0xeea3329cd2ca53d3,
  0x304f8c0482d95de4, 0x5fa037f8d5f9ffdd, 0x531169da2ed84433, 0x1e78c953bdbf717d, 0x4bf10d8488bee24b,
  0x771b9bb49b7fa8f8, 0xf9e9ee58cfd64cf1, 0x82e38e9fc19a4f51, 0xed23348731602ef7, 0x01ffb33c75e8f9d9,
  0x8281e5adc6794d2a, 0x2981013cb4e94515, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0,
  0xf3612e65f36cb831, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x00000000375ffaa3,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222044, 0xdd55e34047e25bbb, 0xae56d60ef4eddddd, 0x65569bb0bf1dd457, 0xc8c8843312b8e199,
  0x0905b2bbc9dd4149, 0xe357e7fa7e609f18, 0xd176c2219afdd5ff, 0xe9bb8bea8d2b0b4e, 0x45f71258f3c64a9d,
  0x5afd47c25f886c24, 0xb7be678bb8dcbc3e, 0x97a8f2b40253b5b9, 0x62b9c7d47c1b3071, 0x1c270dc3afb1698a,
  0x6483a909afa5b197, 0x6edd02310e73abb7, 0x720b6355e363af3a, 0x65f380e3b16989f4, 0x86a8d8226470decb,
  0x13cb4e9450b3535f, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0xe65f36cb831dbfde,
  0xcb579726ae0f3612, 0xf53ab31e40fca1a2, 0x64ff0271a50c2a73, 0x67a615c9f80f9a1e, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x00000000013f3087,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xf8c0482d95de4ee9, 0x5aff1abf3e63f304, 0x2d3b45db08866bf2, 0x2a7650ee2faa3a94, 0xb09117dc4963cf19,
  0x9f3acff51f097e21, 0xd6e6e3299e2ee371, 0xc188bea3cae6e94e, 0xa6298ad31f51f06c, 0xc65c709c370ebec5,
  0x5dbb228ea426be96, 0x5d4dd9af91bda39d, 0x22333d6355e363af, 0x970e59c071d8b4cd, 0xa514c632c8c8e1bd,
  0x4d1d18a60404f2d3, 0x2f29b19d038a3cb7, 0xae63042d37aaeaa7, 0x997cdb4f43aa702e, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000013f0b3c834f2,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_hw[] = {
  0xeebbad0f5059bb37, 0xbbaabb0e737896ee, 0x1cda0e2d1afbbbbb, 0xb3d4cdddd220889c, 0xf2776c7b21a6c509,
  0x249827c602416cae, 0x866bf3dfff871e7f, 0xf9613e2d3b45db08, 0x74fe0c7dfa8eb3ce, 0x1602cb2986f93d1c,
  0x5e8f9d9ed2334873, 0x6794d2a01ffb3047, 0x3a514560a07967b6, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e,
  0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0xd876371e6c25ccbe, 0xfc09c69430a9cfd4, 0x985727e03e687993,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000007441f1bec1,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x827c602416caef27, 0xbf393ffa14cfc879, 0xcdc2d3b45db08866, 0xf3d47959eb355ad1, 0xf15e95ea3e0d9831,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x408c439cead2f922, 0x6c6ab5d0ebce9bb7, 0x701c762d313e8e41,
  0x3608fd6e1bd96cbe, 0xd3a5140094d7e1aa, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3, 0xd362cf43aa702baa,
  0xe6d971156ff7aaa2, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd,
  0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00016fb087e8a792,
};

static const uint64_t ur_m162_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeebbad0f59bb37, 0xbbbbbaabb0e0c896, 0x1f75f5a193df1fbb, 0x200db6f26eeef85e, 0x657793bb63d90d36,
  0xe7f6fcc13e30120b, 0xb08866bf751ff871, 0x50effadac2d3b45d, 0x1c9fcefcf19281c0, 0xdcb01759309cee37,
  0x1d3f83349ea3f3d3, 0x690e62c05def05c7, 0x6678ebd1f3b3da46, 0xcb5b8cf29a5403ff, 0x027969d28a2b0503,
  0x1479f1268e8c5302, 0x15d54e5e53633a07, 0xd55169b167a1d538, 0x5ccbe6d97063b7fb, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x000000310a7d7d82,
};

// m162_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x09f180905b2bbc9d, 0xf757ffd0a67fa7e6, 0xac2d3b45db08866b, 0x50b839a6ee2faa34, 0x4361222fb892c79e,
  0xe4c333e7ea3e12fc, 0x9dadcdbdf33c5dc6, 0xd9838cbd4795a012, 0x8b4c5315ce3ea3e0, 0x2d8cb8e1386e1d7d,
  0x9d5dbb241d484d7d, 0x1d79d376e8118873, 0x4c4fa3905b1aaf1b, 0x86f65b2f9c071d8b, 0x9a9afc3546c11323,
  0x14c0809e5a74a285, 0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xedfef5545a6c59e8, 0x79b09732f9b65c18,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xa9ca29e4afdcd0cc, 0x000000000000a029,
};

// m162_u1x12_uart0_dual_pr
static const uint64_t ur_m162_u1x12_uart0_dual[] = {
  0xbbbac1f83ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0xf180905b2bbc9241, 0xd932305521aee609, 0x8c2813e26fb59e23, 0x3fccae3d73ba7dcb, 0xbf9b05f67028b339,
  0x239227f06654dea3, 0x8510c4aff3f7c114, 0xbbddf3725700370f, 0x2a10cb42324432ab, 0xbce3ff4073c26b5a,
  0x03305855998b9cbd, 0x76c2219afcf7ff9c, 0xacf3be584f8b4ed1, 0x4f471d3f831f7ea3, 0xd21cc580b2ca61be,
  0x8c11d7a3e767b48c, 0x8e6656656513b8e5, 0x013cb4e94527f33e, 0x8a3cf89347462981, 0x0aeaa72f29b19d03,
  0xeaa8b4d8b3d0ea9c, 0x9732f9b65c455bfd, 0x458f38b9357079b0, 0xb93f75663c81f943, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x00000c434e641a79,
};

static const uint64_t ur_m162_u1x12_uart0_dual_pr_u4[] = {
  0x77583f07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdd55f930eb21086e,
  0xe30120b65779256d, 0xb26460aa47ebcc13, 0x185027c4df6b3c47, 0x87f9956ee774fb97, 0xffbb60958e0e9663,
  0x11c913f8380d37a8, 0xc2886257f9fbe08a, 0xddeef9b915801b87, 0x150865a098a21955, 0xb84fffa039e13465,
  0xa7305855998b9cbd, 0xed844335f97cff79, 0xdc33be5b9e169da2, 0x6b471d3f837b5ea3, 0x059cc580bac533df,
  0x608ebc06a76afe8d, 0x67b63ee895403ff6, 0xcfa3999598e3e079, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a,
  0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0x6c25ccbe6d971156, 0xf83bb8d1637c371e, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xae61dcf257ee6866,
  0x000000000014931e,
};

// m162_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart0_dual_pr_ee[] = {
  0xeeb07e0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x82d95de4c1b7775e, 0x0aa41b77304f8c04, 0x7c4df6b3c47b2646, 0x56ee774fb9718502, 0x2c7ce1ff260d1f99,
  0xfc1f57cdea3f4fec, 0x2bfcfdf04508e489, 0xb9fae00dc3e14431, 0x412b221955ddeef9, 0x80e784cbee2a10cb,
  0x56662e72f6fbeffe, 0xafc70ffde69cc161, 0x7a50b4ed176c2219, 0xc9ea3caf6fcd56b4, 0xf8afbaf51f06cc1f,
  0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xf68c9e39d5a5e715, 0xd8d56ba1d7b19bb6, 0x380e3b169f3c8d21,
  0x3608fd6e1bd977bb, 0x39995980544a83aa, 0x04f2d3a5149fccfa, 0x28f3e24d1d18a604, 0x2baa9cbca6c6740e,
  0xaaa2d362cf43aa70, 0x5ccbe6d971156ff7, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587, 0x00000000564c9266,
};

// m162_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m162_u1x12_uart0_dual_pr_ce[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab58f39d7e6, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0x7c602416caef2560, 0xec99182a91743982, 0xc61409f137dacf11, 0x8ffe655bb9dd3ee5, 0x7275b04b4700b531,
  0x08e489fc1c569bd4, 0xe144312bfcfdf045, 0xddeef9b8d7600dc3, 0x2a10cb417da21955, 0xec17fe80e784c1ee,
  0x9cc16156662e72f6, 0x6c2219afce4ffde6, 0xfcb8beb370b4ed17, 0x5f71258f3ca17071, 0xcfd47c25f886c244,
  0x89f99e2ee3734d3f, 0xd05fa8fd04f72c67, 0x580a3e7491c74fe0, 0xc06a76afe8d059cc, 0xee895403ff6678eb,
  0x6656638f81e5adc3, 0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a,
  0x65f36cb831dbfdea, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000006922d3e30e,
};

static const uint64_t ur_m162_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbac1f83f6090c86, 0xeeeeacd4f265f9bb, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x416caef24eb3bbbb, 0x05521d3a9827c602, 0x3e26fb59e23d9323, 0xab773ba7dcb8c281, 0x33e1c3ace6643fcc,
  0xf83fd79bd47986d8, 0x57f9fbe08a11c913, 0xe5d0c01b87c28862, 0x04b488655777bbe6, 0x039e134728a8432d,
  0x5998b9cbdbbfcffa, 0x7e31fff79a730585, 0x5d45a768bb6110cd, 0xca17070e0dc5f546, 0x886c2445f71258f3,
  0xdc67ceb3fd47c25f, 0x53b5b9b5f2678bb8, 0x1b30698fa8f2b912, 0x62d314c5613fd47c, 0x4b632e384e1b875f,
  0xe7576e9c4752135f, 0xc75ec66edbda3278, 0xb4f9e4690ec6abc6, 0x70decbbdd9c071d8, 0x59d12a0ea8d82264,
  0x94527f33e8e66566, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0xcb831dbfdeaa8b4d,
  0xaf1b8f3612e65f36, 0x75666fe0eee34596, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x000000100073e30e,
};

static const uint64_t ur_m162_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbbbb90, 0x77566a7932fcdddd, 0x875f2275a7b77777, 0x9c0bdd4985aab885, 0x5effad83e26eabc6,
  0xbbc93acee3522579, 0x74ea609f180905b2, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0x759ccc87f99696fc,
  0xf37a8f30db067c38, 0x7c114239227f07fa, 0x0370f8510c4aff3f, 0x0caaeef77cdcba18, 0x68e5150865a09691,
  0x397b77f9ff4073c2, 0xfa19a260b0ab3317, 0xb45db08866bf18ff, 0x6706e2faa32ea2d3, 0x117dc4963cf285e7,
  0x37ff51f097e21b09, 0xdaf933c5dc6e2927, 0xc7d4795c8929dadc, 0x62b09fea3e0d9834, 0x1c270dc3afb1698a,
  0x4e23a909afa5b197, 0x376ded193c73abb7, 0x34876355e363af63, 0xdeece038ec5a7cf2, 0x07546c1132386f65,
  0x99f47332b32ce895, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87,
  0x9b09732f9b65c18e, 0xbb1a2c6f8b935707, 0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2, 0x00000100165be554,
};

static const uint64_t ur_m162_u1x12_uart0_dual_hw[] = {
  0xbbac1f83d1219f68, 0xeeeeac4ccc8df9bb, 0x3b8366275d96eeee, 0x40be9dbbbb0cdeba, 0x5b77157a27e85837,
  0x04f8c0482d95de49, 0x11ec99182a91faf3, 0xe5c61409f137dacf, 0x98e1fe655bb9dd3e, 0xea3feed8256383a5,
  0x22847244fe0e034d, 0xe1f0a21895fe7ef8, 0x55777bbe6e456006, 0x1945421968262886, 0x2f6e13ffe80e784d,
  0xe249cc16156662e7, 0xb45db08866bf2f9f, 0xd47b8677cb73c2d3, 0x7bed68e3a7f06f6b, 0xd1a0b398b01758a6,
  0xfecc11d780d4ed5f, 0x0f2cf6c7dd12a807, 0x3f99f47332b31c7c, 0x314c0809e5a74a29, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0xe3cd84b997cdb2e2, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x47abd14f257ee686, 0x00000000000018dd,
};

static const uint64_t ur_m162_u1x12_uart0_dual_ee_hw[] = {
  0xeeb07e0f44865c93, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xe2e2f6f2762fd76a,
  0x482d95de4c1b770c, 0x60aa41b77304f8c0, 0x27c4df6b3c47b264, 0x956ee774fb971850, 0xc2c7ce1ff260d1f9,
  0x9fc1f57cdea3f4fe, 0x12bfcfdf04508e48, 0x9b9fae00dc3e1443, 0xb412b221955ddeef, 0xe80e784cbee2a10c,
  0x156662e72f6fbeff, 0xcd7e387fe249cc16, 0xa3d285a768bb6110, 0xfe4f51e57b7e6ab5, 0x77c57dd7a8f83660,
  0x2e384e1b875f62d3, 0xae04fcd2135f4b63, 0xb7b464f1cead2f38, 0x0ec6ab5d0ebd8cdd, 0xd9c071d8b4f9e469,
  0x51b047eb70decbbd, 0xd1cccacc02a2541d, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x12e65f36cb88ab7f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000015dac927,
};

static const uint64_t ur_m162_u1x12_uart0_dual_ce_hw[] = {
  0xdd60fc1e890d7f41, 0x77756b1e73afcddd, 0xa3acecb53ef77777, 0x436c5bbbb06e277d, 0x777b8ccdefd5e350,
  0xf8c0482d95de4ac1, 0xd932305522e87304, 0x8c2813e26fb59e23, 0x1ffccab773ba7dcb, 0xe4eb60968e016a63,
  0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0xbbddf371aec01b87, 0x54219682fb4432ab, 0xd82ffd01cf0983dc,
  0x3982c2accc5ce5ed, 0x6c2219afce4ffc49, 0xfcb8beb370b4ed17, 0x5f71258f3ca17071, 0xbfd47c25f886c244,
  0x27e678bb8dc31f19, 0x417ea3f413dcb19e, 0x6028f9d2471d3f83, 0x01a9dabfa3416731, 0xba25500ffd99e3af,
  0x99598e3e0796b70f, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404, 0xaa9cbca6c6740e28, 0xa2d362cf43aa702b,
  0x97cdb2e0c76ff7aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000004dd569f514f,
};

static const uint64_t ur_m162_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdd60fc1c3d686f97, 0x777566a7932fcddd, 0x885875f722777777, 0xbc69c0bdd4985aab, 0xc119d6a9d03e26ea,
  0x0482d95de49d6773, 0x460aa43a75304f8c, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcba180370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x0ab3317397b77f9f, 0xcd7e31fff124e60b, 0x465d45a768bb6110, 0xf3ca17070e0dc5f5, 0x5f886c2445f71258,
  0xb8dc98667cfd47c2, 0x1253b5b9b5f2678b, 0x7c1b30698fa8f2b9, 0x5f62d314c5613fd4, 0x5f4b632e384e1b87,
  0x78e7576e9c475213, 0xc6c75ec66edbda32, 0xd8b4f9e4690ec6ab, 0x6470decbbdd9c071, 0x6659d12a0ea8d822,
  0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa, 0x36cb831dbfdeaa8b,
  0x2f571b8f3612e65f, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x4e7d453c95fb9a19, 0x000000000000075d,
};

static const uint64_t ur_m162_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xddd60fc1e890cf68, 0xbbbbab353eeefcdd, 0x4faafb17d07dbbbb, 0x2f1a702f755f24c4, 0x8fa9d6b7664caefa,
  0x0905b2bbc96c4ee6, 0x8c15484e3e609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0x606b670986999f3f,
  0x27f070026f51ff5f, 0xc4aff3f7c1142392, 0xcdc04480370f8510, 0x5a035910caaeef77, 0xf4073c26b7515086,
  0x0ab3317397b70d1f, 0x66bf25aff124e60b, 0xa3f9c2d3b45db088, 0x79e50b839b3ae2fa, 0x2fc4361222fb892c,
  0xb8dce5a66ffea3e1, 0x2a53b5b9b4c6678b, 0xf83660f22fa8f2bd, 0x5f62d314c56807a8, 0x5f4b632e384e1b87,
  0xfce7576e5f075213, 0x8d8ebca69dba4475, 0x62d3a968c7dd8d57, 0x6470decb726701c7, 0xe67d1cccacf18d12,
  0x5302027969d28a4f, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xe6c25ccbe6d97063,
  0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xd6e8a792bf734332, 0x000000000000ebab,
};

// m162_u1x12_uart1_noled_pr
static const uint64_t ur_m162_u1x12_uart1_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xe4eeedb6a6331da4,
  0x63304f8c0482d95d, 0x8c7f645ff66afcfa, 0x9fe027687fb0443e, 0x063efd47afe77cb0, 0xb2ca61179e8e3a7f,
  0xe760e28ccf1cc580, 0x86a807fecc11d7a3, 0x9959503cb3db535f, 0xc7d0cd39dcd3e926, 0x29bd73d9a6f37b01,
  0xd3d0ea9c08fea52f, 0xff156ff7aaa2d2a7, 0xce1bb612e65f36d2, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x203cbebda792bf73, 0x000000000000001f,
};

static const uint64_t ur_m162_u1x12_uart1_noled_pr_u4[] = {
  0x775dd6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0x9fb68a36c8fa45dd,
  0x4f8c0482d95de4ee, 0xd917fc6afcfa6330, 0x09da1fec110fa31f, 0xbf51ebf9df2c27f8, 0x9845e7a38e9fc18f,
  0x38a333c731602cb2, 0x01ffb30475e8f9d8, 0x540f2cf6d4d7e1aa, 0x334e7734fa49a656, 0x5cf669bcdec071f4,
  0x3aa7023fa94bca6f, 0x5bfdeaa8b4a9f4f4, 0xcd84b997cdb4bfc5, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x834f257ee6866587,
  0x00000000f9394d6c,
};

// m162_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart1_noled_pr_ee[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x02416caef2776273, 0xfc6afcfa569827c6, 0x1fec110fa31fd52b, 0xc66ab5a39bb809da, 0x7c1b3063e7a8f2b9,
  0x5f62d377c572fbd4, 0x5f4b632e384e1b87, 0xab4ba62b8d64d213, 0x5e74dd967a313e73, 0xd05a3c676355ae87,
  0x6f65b2f9c071d8b4, 0xfc300ca8d823f5b8, 0x669cee69f4934c02, 0xb9ecd379bd80e3e8, 0x754e047f529794de,
  0xb7fbd5516953e9e8, 0x9b09732f9b697f8a, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x069e4afdcd0ccb0e, 0x000000009d75ad59,
};

static const uint64_t ur_m162_u1x12_uart1_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0xf277417a0998b21c,
  0x719827c602416cae, 0xa31fcbe7fb357e7e, 0x27b809da1fec110f, 0xf3c64a0716b9dff5, 0x9cc273b8dcfdc95b,
  0x8bd474173dcb0171, 0x2acf4871c74fe0f5, 0xb9da89470d473160, 0x75f87b8e58cf1d78, 0xe8669cee69f4934c,
  0xdeb9ecd379bd80e3, 0xe8754e047f529794, 0x63b7fbd5516953e9, 0x1bb612e65f36d2fe, 0x663c81a3f8d163ce,
  0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3, 0x0396bda792bf7343, 0x0000000000000b75,
};

static const uint64_t ur_m162_u1x12_uart1_noled_pr_ce_u4[] = {
  0xeebbad0e891190e3, 0xbbaabf0bf8f896ee, 0x4ccbdd93d537bbbb, 0x7bafdddd368c9c00, 0xa245999bb0dd63e1,
  0x13e30120b657793b, 0xe8f7fe357e7d7dcc, 0x04ed0ff60887d18f, 0x92a7613ee2faa63c, 0x1b09117dc4963cf1,
  0x963fff3f51f097e2, 0xee58cfd64cf1771b, 0x3a7f06693d476be9, 0x9e398b016e18878e, 0x99e3af47cec1c519,
  0x5adca6bf0d500ffd, 0xee69f4934caca81e, 0xd379bd80e3e8669c, 0x047f529794deb9ec, 0xd5516953e9e8754e,
  0xe65f36d2fe63b7fb, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000375d535b20d3c,
};

static const uint64_t ur_m162_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbaeeb430f5a22a20, 0xdd55e34151625bbb, 0x4b41299ef91ddddd, 0xb2ab4dd85f8edebb, 0xd48ee351a568b8bc,
  0x0482d95de4ee8f62, 0xf8d5f9f4b5304f8c, 0x3fd8221f463f86b7, 0xeb8bea8d2b7013b4, 0xf71258f3c64a9dca,
  0xfd47c25f886c2445, 0x7ccf1771b9cb4cdf, 0x51e560a4a76b736f, 0x7377a8f83660e32f, 0x4e1b875f62d314c5,
  0x4752135f4b632e38, 0x2cf4627ce7576e4c, 0x9d8d578d8ebce9bb, 0xe701c762d34168f1, 0x51b044c8e1bd96cb,
  0xd3e9269967f86019, 0xf37b01c7d0cd39dc, 0xfea52f29bd73d9a6, 0xa2d2a7d3d0ea9c08, 0xbe6da5fcc76ff7aa,
  0x3e2e4d5c1e6c25cc, 0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7,
  0x2c3a4a5b3e04e32c, 0x18e41a792bf73433, 0x00000000000013f3,
};

static const uint64_t ur_m162_u1x12_uart1_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0x602416caef2774eb, 0xffc6afcf8d69827c, 0xa1fec110fa31fda6, 0x82dc5f54752b809d, 0x2fb892c79e3254ed,
  0x9fea3e12fc436122, 0xc6533c5dc6e33e75, 0x7d4795fc929dadcd, 0x15c43ea3e0d98311, 0xe1386e1d7d8b4c53,
  0x451d484d7d2d8cb8, 0xd843a30e273abb76, 0x356355e363af5d4d, 0xb380e3b169c82a35, 0x18fe1991c37b2e1c,
  0xe8669cee69f4934f, 0xdeb9ecd379bd80e3, 0xe8754e047f529794, 0x63b7fbd5516953e9, 0x0f3612e65f36d2fe,
  0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0xf20d3c95fb9a1996, 0x000000000004fc2c,
};

static const uint64_t ur_m162_u1x12_uart1_noled_hw[] = {
  0x75dd687a82cdc49f, 0xdd55d87383c4b777, 0x9fb244e97bdddddd, 0xbd0e6eee91044436, 0x27773124356848bb,
  0x19827c602416caef, 0x18fec8bff871e7d3, 0x3fc04ed0ff60887d, 0x0c7dfa8f5fcef961, 0x6594c22f3d1c74fe,
  0xcec1c5199e398b01, 0x0d500ffd9823af47, 0x32b2a07967b6a6bf, 0x8fa19a73b9a7d24d, 0x537ae7b34de6f603,
  0xa7a1d53811fd4a5e, 0xfe2adfef5545a54f, 0x371e6c25ccbe6da5, 0xc69430a9cfd4d876, 0x27e03e687993fc09,
  0xc09c6592e19e9857, 0x7ee6866587494b67, 0x07441c797ec14f25,
};

static const uint64_t ur_m162_u1x12_uart1_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0x9f180905b2bbc9dd, 0xd52bfe8533e95a60, 0x09da1fec110fa31f, 0xf2b9c66ab5a39bb8, 0xfbd47c1b3063e7a8,
  0x1b875f62d377c572, 0xd2135f4b632e384e, 0x3e73ab4ba62b8d64, 0xae875e74dd967a31, 0xd8b4d05a3c676355,
  0xf5b86f65b2f9c071, 0x4c02fc300ca8d823, 0xe3e8669cee69f493, 0x94deb9ecd379bd80, 0xe9e8754e047f5297,
  0x7f8ab7fbd5516953, 0x8dc79b09732f9b69, 0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xbe9562a29e4afdcd, 0x0000000000000005,
};

static const uint64_t ur_m162_u1x12_uart1_noled_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55d871d7c4b7, 0xf5a508c1f600dddd, 0xcfd2f37ddddf0bc3, 0x5de4eee62486ad04,
  0xf09f304f8c0482d9, 0x0fa31fc807fe1c79, 0xf5b5b809da1fec11, 0xddf9e325039921df, 0x2eb26139dc6e54af,
  0x19a4f51dafa7b960, 0x2c05b8621e38e9fc, 0xbd1f3b07146678e6, 0x9afc35403ff6678e, 0xd24d32b2a0796b72,
  0xf6038fa19a73b9a7, 0x4a5e537ae7b34de6, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0x9f9fd86ed84b997c,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x0310a5bbb053c95f,
};

// m162_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u1x12_uart1_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x09f180905b2bbc9d, 0xfc35bfe8533e96a6, 0x809da1fec110fa31, 0x7072575c5f54695b, 0xc2445f71258f3ca1,
  0xc1bc3fd47c25f886, 0x5b9b7be678bb8dce, 0x07197a8f2b05253b, 0x98a62b9bbd47c1b3, 0x1971c270dc3afb16,
  0xbb72623a909afa5b, 0xe74dd967a313e73a, 0x0b478cec6abc6c75, 0xecb65f380e3b169a, 0xc300ca8d8226470d,
  0x69cee69f4934cb3f, 0x9ecd379bd80e3e86, 0x54e047f529794deb, 0x7fbd5516953e9e87, 0x612e65f36d2fe63b,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x7453c95fb9a19961, 0x0000000001405f92,
};

// m162_u1x12_uart1_lednop_pr
static const uint64_t ur_m162_u1x12_uart1_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xe4ee971b2636d4dd,
  0x49304f8c0482d95d, 0x463f9efff66afcfe, 0x4ff013b43fd8221f, 0x831f7ea3acf3be58, 0xb2ca61be4f471d3f,
  0xe767b48cd21cc580, 0x34a807fecc11d7a3, 0x4d58281e59ed99e5, 0x669e0404ee69f493, 0xe81669bcf880e3e8,
  0x54e0575539794d8c, 0xdfef5545a6c59e87, 0xed84b997cdb2e22a, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x37af69e4afdcd0cc, 0x0000000000007c86,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_pr_u4[] = {
  0xeebbad0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0x469ae3a87f4e84d9,
  0x27c602416caef277, 0xf3dffe357e7f2498, 0x027687fb0443e8c7, 0xefd4759e77cb09fe, 0x4c37c9e8e3a7f063,
  0xf6919a4398b01659, 0x00ffd9823af47cec, 0x0503cb3db33ca695, 0xc0809dcd3e9269ab, 0xcd379f101c7d0cd3,
  0x0aeaa72f29b19d02, 0xeaa8b4d8b3d0ea9c, 0x9732f9b65c455bfd, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00001f27317d9069,
};

// m162_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart1_lednop_pr_ee[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x180905b2bbc9ddb1, 0x3ff1abf3f21e609f, 0x687fb0443e8c7f39, 0xcf59aad68e6ee027, 0x51f06cc18f9ea3ca,
  0x0ebec5a6ef8af4af, 0x26be96c65c709c37, 0xe75697c9171ac9a4, 0x875e74ddba04621c, 0x6989f4720b6355ae,
  0x70decb65f380e3b1, 0x04a6bf0d51b047eb, 0x3c0809dcd3e92698, 0x2cd379f101c7d0cd, 0xc0aeaa72f29b19d0,
  0xdeaa8b4d8b3d0ea9, 0x09732f9b65c455bf, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000009d74cb5906,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0xaef277417a0998b2,
  0xfedf9827c602416c, 0x1f463fba8ff66afc, 0xea4f7013b43fd822, 0x5bf3c64a0707c3bf, 0x719cc273b8dcfdc9,
  0xf58bd4713f3dcb01, 0x602acf4171c74fe0, 0xf173b63347ac4731, 0x4c752cb71cb19e3a, 0x669e0404ee69f493,
  0x3a059a6f2dc0e3e8, 0x5a6f55d54e5e5363, 0x9e8754e05d5cc608, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x9a19961d252d964a, 0x5ba81cb5ed3c95fb,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_pr_ce_u4[] = {
  0xeebbad0e8911d38b, 0xbbaabf0b82f896ee, 0xe001ae486ad1bbbb, 0x6a6337774da327e3, 0xeea3329cd2ca53d3,
  0x304f8c0482d95de4, 0x3fa037f8d5f9ffdd, 0xf013b43fd8221f46, 0xc64a9dedfb8bea98, 0x886c2445f71258f3,
  0xdcdda4dbfd47c25f, 0x4f72c67eb2678bb8, 0x1c74fe0cd27a8fcf, 0x19a4398b0177bc17, 0xfd99e3af47cecf69,
  0x0f2d6e33ca69500f, 0x027734fa49a6ac14, 0xde7c4071f4334f02, 0xaa9cbca6c6740b34, 0xa2d362cf43aa702b,
  0x97cdb2e0c76ff7aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00dd7fea8c834f25,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222044, 0xdd55e34047e25bbb, 0xae56d60ef4eddddd, 0x65569bb0bf1dd457, 0xc8c8843312b8e199,
  0x0905b2bbc9dd4149, 0xe357e7fa7e609f18, 0xfec110fa31fdd5ff, 0xdc5f54695b809da1, 0xb892c79e3254ef4d,
  0xea3e12fc4361222f, 0xf33c5dc6e5e1f2d7, 0x4795a0129dadcdbd, 0xce3ea3e0d9838cbd, 0x386e1d7d8b4c5315,
  0x1d484d7d2d8cb8e1, 0xe81188739d5dbb24, 0x5b1aaf1b1d79d376, 0x9c071d8b4c4fa390, 0x46c1132386f65b2f,
  0x4fa49a659a9afc35, 0x071f4334f0202773, 0xca6c6740b34de7c4, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36,
  0x9ab83cd84b997cdb, 0x7903f2868b2d5e5c, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0004fcc21c834f25,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xf8c0482d95de4ee9, 0x5aff1abf3e63f304, 0x7687fb0443e8c7f2, 0xb287717d51d4ae02, 0x88bee24b1e78c953,
  0xd67fa8f84bf10d84, 0x37194cf1771b8cf9, 0x45f51e57374a76b7, 0x4c5698fa8f83660c, 0xe384e1b875f62d31,
  0xd914752135f4b632, 0x6ecd7c8ded1ceaed, 0x99eb1aaf1b1d7aea, 0x72ce038ec5a66911, 0x9e319646470decb8,
  0xcd3c0809dcd3e926, 0x740b34de5b81c7d0, 0xb4deabaa9cbca6c6, 0x3d0ea9c0bab98c10, 0x6ae0f3612e65f36d,
  0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xc2cf20d3c95fb9a1, 0x000000000000004f,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_hw[] = {
  0xeebbad0f5059bb37, 0xbbaabb0e737896ee, 0x1cda0e2d1afbbbbb, 0xb3d4cdddd220889c, 0xf2776c7b21a6c509,
  0x249827c602416cae, 0xe8c7f3dfff871e7f, 0x09fe027687fb0443, 0xf063efd4759e77cb, 0x16594c37c9e8e3a7,
  0x7cecf6919a4398b0, 0xa69500ffd9823af4, 0x69ab0503cb3db33c, 0x0cd3c0809dcd3e92, 0x9d02cd379f101c7d,
  0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x79b09732f9b65c45, 0x50c2a73f5361d8dc, 0x80f9a1e64ff0271a,
  0x71964b867a615c9f, 0x9a19961d252d9f02, 0xd107c6fb053c95fb, 0x0000000000000001,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x827c602416caef27, 0x7f393ffa14cfc879, 0xe027687fb0443e8c, 0xa3cacf59aad68e6e, 0xf4af51f06cc18f9e,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x621ce75697c9171a, 0x55ae875e74ddba04, 0xe3b16989f4720b63,
  0x47eb70decb65f380, 0x269804a6bf0d51b0, 0xd0cd3c0809dcd3e9, 0x19d02cd379f101c7, 0x0ea9c0aeaa72f29b,
  0x55bfdeaa8b4d8b3d, 0xc79b09732f9b65c4, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc21fa29e4afdcd0c, 0x00000000000005be,
};

static const uint64_t ur_m162_u1x12_uart1_lednop_ce_hw[] = {
  0xeeeebbad0f59bb37, 0xbbbbbaabb0e0c896, 0x1f75f5a193df1fbb, 0x200db6f26eeef85e, 0x657793bb63d90d36,
  0xe7f6fcc13e30120b, 0x443e8c7f751ff871, 0x7fd6d6e027687fb0, 0xfe77e78c940e0287, 0x80bac984e771b8e4,
  0xfc19a4f51f9e9ee5, 0x731602ef782e38e9, 0xc75e8f9d9ed23348, 0xdc6794d2a01ffb33, 0x69f4934d58281e5a,
  0x80e3e8669e0404ee, 0x794d8ce81669bcf8, 0xc59e8754e0575539, 0x65c18edfef5545a6, 0xf3fb0ddb09732f9b,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xc429f5f60a792bf7,
};

// m162_u1x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x09f180905b2bbc9d, 0xf757ffd0a67fa7e6, 0x027687fb0443e8c7, 0xc1cd37717d51a56e, 0x09117dc4963cf285,
  0x199f3f51f097e21b, 0x6e6def99e2ee3726, 0x1c65ea3cad0094ed, 0x6298ae71f51f06cc, 0x65c709c370ebec5a,
  0xedd920ea426be96c, 0xce9bb7408c439cea, 0x7d1c82d8d578d8eb, 0xb2d97ce038ec5a62, 0xd7e1aa3608991c37,
  0x013b9a7d24d32cd4, 0x6f3e2038fa19a781, 0xd54e5e53633a059a, 0x5169b167a1d53815, 0xcbe6d97063b7fbd5,
  0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000280a6a728a7,
};

// m162_u1x12_uart1_dual_pr
static const uint64_t ur_m162_u1x12_uart1_dual[] = {
  0xbbbac1f83ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0xf180905b2bbc9241, 0xd932305521aee609, 0x8c2813e26fb59e23, 0x3fccae3d73ba7dcb, 0xbf9b05f67028b339,
  0x239227f06654dea3, 0x8510c4aff3f7c114, 0xbbddf3725700370f, 0x2a10cb42324432ab, 0xbce3ff4073c26b5a,
  0x03305855998b9cbd, 0xc110fa31fcf7ff9c, 0x9df2c27f809da1fe, 0x38e9fc18fbf51d67, 0xe62c0596530df27a,
  0x8ebd1f3b3da46690, 0x32b32b289dc72c60, 0x34fa49a73f99f473, 0x4071f4334f020277, 0xbca6c6740b34de7c,
  0x62cf43aa702baa9c, 0xd971156ff7aaa2d3, 0xe4d5c1e6c25ccbe6, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5,
  0xccb0e9296cf8138c, 0x0d399069e4afdcd0, 0x0000000000000031,
};

static const uint64_t ur_m162_u1x12_uart1_dual_pr_u4[] = {
  0x77583f07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdd55f930eb21086e,
  0xe30120b65779256d, 0xb26460aa47ebcc13, 0x185027c4df6b3c47, 0x87f9956ee774fb97, 0xffbb60958e0e9663,
  0x11c913f8380d37a8, 0xc2886257f9fbe08a, 0xddeef9b915801b87, 0x150865a098a21955, 0xb84fffa039e13465,
  0xa7305855998b9cbd, 0x8221f463f97cff79, 0x9df2dcf7013b43fd, 0x38e9fc1bdaf51ee1, 0xe62c05d6299efb5a,
  0x75e0353b57f4682c, 0xb1f744aa01ffb304, 0x1cccacc71f03cb3d, 0x9dcd3e9269cfe67d, 0x9f101c7d0cd3c080,
  0xa72f29b19d02cd37, 0xb4d8b3d0ea9c0aea, 0xf9b65c455bfdeaa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000524c7ab98773,
};

// m162_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m162_u1x12_uart1_dual_pr_ee[] = {
  0xeeb07e0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x82d95de4c1b7775e, 0x0aa41b77304f8c04, 0x7c4df6b3c47b2646, 0x56ee774fb9718502, 0x2c7ce1ff260d1f99,
  0xfc1f57cdea3f4fec, 0x2bfcfdf04508e489, 0xb9fae00dc3e14431, 0x412b221955ddeef9, 0x80e784cbee2a10cb,
  0x56662e72f6fbeffe, 0x1fc70ffde69cc161, 0xb809da1fec110fa3, 0x51e57b7e6ab5a3d2, 0x7dd7a8f83660fe4f,
  0x4e1b875f62d377c5, 0xfcd2135f4b632e38, 0x64f1cead2f38ae04, 0xab5d0ebd8cddb7b4, 0x71d8b4f9e4690ec6,
  0x47eb70decbbdd9c0, 0xcacc02a2541d51b0, 0xd3e9269cfe67d1cc, 0x01c7d0cd3c0809dc, 0xf29b19d02cd379f1,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0159324998773c95,
};

// m162_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m162_u1x12_uart1_dual_pr_ce[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab58f39d7e6, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0x7c602416caef2560, 0xec99182a91743982, 0xc61409f137dacf11, 0x8ffe655bb9dd3ee5, 0x7275b04b4700b531,
  0x08e489fc1c569bd4, 0xe144312bfcfdf045, 0xddeef9b8d7600dc3, 0x2a10cb417da21955, 0xec17fe80e784c1ee,
  0x9cc16156662e72f6, 0x110fa31fce4ffde6, 0xc5f59bb809da1fec, 0x892c79e50b838fe5, 0xa3e12fc4361222fb,
  0xccf1771b9a69fe7e, 0xfd47e827b9633c4f, 0x51f3a48e3a7f0682, 0x53b57f4682ce62c0, 0x4aa01ffb33c75e03,
  0xb31c7c0f2d6e1f74, 0xfa49a73f99f47332, 0x71f4334f02027734, 0xa6c6740b34de7c40, 0xcf43aa702baa9cbc,
  0xe0c76ff7aaa2d362, 0x86e3cd84b997cdb2, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xa48b4f8c3b9e4afd, 0x0000000000000001,
};

static const uint64_t ur_m162_u1x12_uart1_dual_pr_ee_ce[] = {
  0xbbac1f83f6090c86, 0xeeeeacd4f265f9bb, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x416caef24eb3bbbb, 0x05521d3a9827c602, 0x3e26fb59e23d9323, 0xab773ba7dcb8c281, 0x33e1c3ace6643fcc,
  0xf83fd79bd47986d8, 0x57f9fbe08a11c913, 0xe5d0c01b87c28862, 0x04b488655777bbe6, 0x039e134728a8432d,
  0x5998b9cbdbbfcffa, 0xfe31fff79a730585, 0xc04ed0ff60887d18, 0xb838706e2faa32eb, 0x61222fb892c79e50,
  0x3e759fea3e12fc43, 0xadcdaf933c5dc6e3, 0x834c7d4795c8929d, 0x98a62b09fea3e0d9, 0x1971c270dc3afb16,
  0xbb74e23a909afa5b, 0xf63376ded193c73a, 0xcf234876355e363a, 0xf65deece038ec5a7, 0x89507546c1132386,
  0x73f99f47332b32ce, 0x34f02027734fa49a, 0x40b34de7c4071f43, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a,
  0xd84b997cdb2e0c76, 0x83bb8d165abc6e3c, 0x2861539fa9d599bf, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x4001cf8c3b9e4afd,
};

static const uint64_t ur_m162_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbbbb90, 0x77566a7932fcdddd, 0x875f2275a7b77777, 0x9c0bdd4985aab885, 0x5effad83e26eabc6,
  0xbbc93acee3522579, 0x74ea609f180905b2, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0x759ccc87f99696fc,
  0xf37a8f30db067c38, 0x7c114239227f07fa, 0x0370f8510c4aff3f, 0x0caaeef77cdcba18, 0x68e5150865a09691,
  0x397b77f9ff4073c2, 0xfa19a260b0ab3317, 0x7fb0443e8c7f18ff, 0x3717d51975e02768, 0xee24b1e7942f3b38,
  0xfa8f84bf10d8488b, 0xc99e2ee3714939bf, 0xa3cae4494ed6e6d7, 0x84ff51f06cc1a63e, 0x386e1d7d8b4c5315,
  0x1d484d7d2d8cb8e1, 0x6f68c9e39d5dba71, 0x3b1aaf1b1d7b19bb, 0x6701c762d3e791a4, 0xa3608991c37b2ef7,
  0xa39995996744a83a, 0x13b9a7d24d39fccf, 0xf3e2038fa19a7810, 0x54e5e53633a059a6, 0x169b167a1d53815d,
  0xbe6d97063b7fbd55, 0xbe2e4d5c1e6c25cc, 0xd599bf83f6ec68b1, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x00596f95524f257e, 0x0000000000000004,
};

static const uint64_t ur_m162_u1x12_uart1_dual_hw[] = {
  0xbbac1f83d1219f68, 0xeeeeac4ccc8df9bb, 0x3b8366275d96eeee, 0x40be9dbbbb0cdeba, 0x5b77157a27e85837,
  0x04f8c0482d95de49, 0x11ec99182a91faf3, 0xe5c61409f137dacf, 0x98e1fe655bb9dd3e, 0xea3feed8256383a5,
  0x22847244fe0e034d, 0xe1f0a21895fe7ef8, 0x55777bbe6e456006, 0x1945421968262886, 0x2f6e13ffe80e784d,
  0xe249cc16156662e7, 0x7fb0443e8c7f2f9f, 0xdc33be5b9ee02768, 0x6b471d3f837b5ea3, 0x059cc580bac533df,
  0x608ebc06a76afe8d, 0x67b63ee895403ff6, 0xcfa3999598e3e079, 0x1013b9a7d24d39fc, 0xa6f3e2038fa19a78,
  0x5d54e5e53633a059, 0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000063751eaf45,
};

static const uint64_t ur_m162_u1x12_uart1_dual_ee_hw[] = {
  0xeeb07e0f44865c93, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xe2e2f6f2762fd76a,
  0x482d95de4c1b770c, 0x60aa41b77304f8c0, 0x27c4df6b3c47b264, 0x956ee774fb971850, 0xc2c7ce1ff260d1f9,
  0x9fc1f57cdea3f4fe, 0x12bfcfdf04508e48, 0x9b9fae00dc3e1443, 0xb412b221955ddeef, 0xe80e784cbee2a10c,
  0x156662e72f6fbeff, 0x18fe387fe249cc16, 0x95c04ed0ff60887d, 0x7a8f2bdbf355ad1e, 0x2beebd47c1b307f2,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0xa3278e756979c570, 0x355ae875ec66edbd, 0x038ec5a7cf234876,
  0x823f5b86f65deece, 0x6656601512a0ea8d, 0xe69f4934e7f33e8e, 0x880e3e8669e0404e, 0x9794d8ce81669bcf,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x00576b249d14f257,
};

static const uint64_t ur_m162_u1x12_uart1_dual_ce_hw[] = {
  0xdd60fc1e890d7f41, 0x77756b1e73afcddd, 0xa3acecb53ef77777, 0x436c5bbbb06e277d, 0x777b8ccdefd5e350,
  0xf8c0482d95de4ac1, 0xd932305522e87304, 0x8c2813e26fb59e23, 0x1ffccab773ba7dcb, 0xe4eb60968e016a63,
  0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0xbbddf371aec01b87, 0x54219682fb4432ab, 0xd82ffd01cf0983dc,
  0x3982c2accc5ce5ed, 0x110fa31fce4ffc49, 0xc5f59bb809da1fec, 0x892c79e50b838fe5, 0xa3e12fc4361222fb,
  0x33c5dc6e18f8cdfe, 0xf51fa09ee58cf13f, 0x47ce9238e9fc1a0b, 0x4ed5fd1a0b398b01, 0x2a807feccf1d780d,
  0xcc71f03cb5b87dd1, 0xe9269cfe67d1ccca, 0xc7d0cd3c0809dcd3, 0x9b19d02cd379f101, 0x3d0ea9c0aeaa72f2,
  0x831dbfdeaa8b4d8b, 0x1b8f3612e65f36cb, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x755a7d453c95fb9a, 0x0000000000000013,
};

static const uint64_t ur_m162_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdd60fc1c3d686f97, 0x777566a7932fcddd, 0x885875f722777777, 0xbc69c0bdd4985aab, 0xc119d6a9d03e26ea,
  0x0482d95de49d6773, 0x460aa43a75304f8c, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcba180370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x0ab3317397b77f9f, 0x18fe31fff124e60b, 0xebc04ed0ff60887d, 0x50b838706e2faa32, 0x4361222fb892c79e,
  0xe4c333e7ea3e12fc, 0x9dadcdaf933c5dc6, 0xd9834c7d4795c892, 0x1698a62b09fea3e0, 0x5b1971c270dc3afb,
  0x3abb74e23a909afa, 0x3af63376ded193c7, 0xa7cf234876355e36, 0x86f65deece038ec5, 0xce89507546c11323,
  0x9a73f99f47332b32, 0x4334f02027734fa4, 0x6740b34de7c4071f, 0x3aa702baa9cbca6c, 0x76ff7aaa2d362cf4,
  0x3cd84b997cdb2e0c, 0x9430a9cfd4bd5c6e, 0xe64ff1738cbf313f, 0x85727e39effe09a1, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000001d7539f514,
};

static const uint64_t ur_m162_u1x12_uart1_dual_ee_ce_u4_hw[] = {
  0xddd60fc1e890cf68, 0xbbbbab353eeefcdd, 0x4faafb17d07dbbbb, 0x2f1a702f755f24c4, 0x8fa9d6b7664caefa,
  0x0905b2bbc96c4ee6, 0x8c15484e3e609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0x606b670986999f3f,
  0x27f070026f51ff5f, 0xc4aff3f7c1142392, 0xcdc04480370f8510, 0x5a035910caaeef77, 0xf4073c26b7515086,
  0x0ab3317397b70d1f, 0x8c7f25aff124e60b, 0xcee027687fb0443e, 0x285c1cd9d717d51f, 0x21b09117dc4963cf,
  0xe72d337ff51f097e, 0x9dadcda6333c5dc6, 0xb307917d4795e952, 0x1698a62b403d47c1, 0x5b1971c270dc3afb,
  0x3abb72f83a909afa, 0x75e534edd223afe7, 0x9d4b463eec6abc6c, 0x86f65b93380e3b16, 0xe8e665678c689323,
  0x04ee69f4934e7f33, 0xbcf880e3e8669e04, 0x5539794d8ce81669, 0x45a6c59e8754e057, 0x2f9b65c18edfef55,
  0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000003aeaf5ba29e,
};

// m162_u2x8_uart0_noled_pr
static const uint64_t ur_m162_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0x5de4eeedb6a6331d,
  0xfa63304f8c0482d9, 0x5dbd56645ff66afc, 0x9613e2d3b424e093, 0x4fe0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x97cdb4bfc55bfdea, 0xfe3458f386ed84b9, 0x30ae4fdd598f2068, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x000007c80f2faf69,
};

static const uint64_t ur_m162_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0xee9fb68a36c8fa45,
  0x304f8c0482d95de4, 0x559917fc6afcfa63, 0xf8b4ed093824d76f, 0x31f7ea3d7f3be584, 0x965308bcf471d3f8,
  0x3b07146678e62c05, 0x35403ff6608ebd1f, 0x0aca81e59eda9afc, 0x934746293cb4e945, 0x52f29bd73f1479bd,
  0x2a7d3d0ea9c08fea, 0x6d2ff156ff7aaa2d, 0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x4e535b20d3c95fb9,
  0x000000000000003e,
};

// m162_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0xc602416caef27762, 0x2bfc6afcfa569827, 0xed093824d76f5595, 0x5738cd56b47370b4, 0x7a8f83660c7cf51e,
  0x70ebec5a6ef8ae5f, 0x426be96c65c709c3, 0xce756974c571ac9a, 0xd0ebce9bb2cf4627, 0x169a0b478cec6ab5,
  0xb70decb65f380e3b, 0x005f8601951b047e, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4,
  0xda5fe2adfef5545a, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x5d6b5641a792bf73, 0x0000000000000027,
};

static const uint64_t ur_m162_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0xaef277417a0998b2,
  0x7e719827c602416c, 0xd76f558be7fb357e, 0xfea4f0b4ed093824, 0x2b7e78c940e2d73b, 0x2e33984e771b9fb9,
  0x1eb17a8e82e7b960, 0x2c0559e90e38e9fc, 0xaf173b5128e1a8e6, 0x8a0ebf0f71cb19e3, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0x3458f386ed84b997, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0002dd40e5af69e4,
};

static const uint64_t ur_m162_u2x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xbbbbaabf0bf8f896, 0x004ccbdd93d537bb, 0xe17bafdddd368c9c, 0x3ba245999bb0dd63,
  0xcc13e30120b65779, 0xaac8f7fe357e7d7d, 0xc45a76849c126bb7, 0x9e3254ec27dc5f54, 0xfc4361222fb892c7,
  0xe372c7ffe7ea3e12, 0x7d3dcb19fac99e2e, 0xf1c74fe0cd27a8ed, 0xa333c731602dc310, 0xffb33c75e8f9d838,
  0x03cb5b94d7e1aa01, 0x8c527969d28a1595, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa,
  0x83cd84b997cdb4bf, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x6c834f257ee68665, 0x0000000000dd754d,
};

static const uint64_t ur_m162_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xdddd55e34151625b, 0xbb4b41299ef91ddd, 0xbcb2ab4dd85f8ede, 0x62d48ee351a568b8,
  0x8c0482d95de4ee8f, 0xb7f8d5f9f4b5304f, 0xda127049aedeab06, 0xb95d717d51a56169, 0x88bee24b1e78c953,
  0x9bffa8f84bf10d84, 0x6def99e2ee373969, 0x65ea3cac1494ed6e, 0x98ae6ef51f06cc1c, 0xc709c370ebec5a62,
  0xc988ea426be96c65, 0x37659e8c4f9ceaed, 0x1e33b1aaf1b1d79d, 0xd97ce038ec5a682d, 0x032a3608991c37b2,
  0xa4f2d3a5142cff0c, 0x5cfc51e6f64d1d18, 0x3aa7023fa94bca6f, 0xdbfdeaa8b4a9f4f4, 0x9b09732f9b697f31,
  0x50d1674f8b935707, 0x1539fa9d598f207e, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0004fcc639069e4a,
};

static const uint64_t ur_m162_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0x7c602416caef2774, 0xa6ffc6afcf8d6982, 0x4ed093824d76f559, 0x9db05b8bea8ea50b, 0x2445f71258f3c64a,
  0xceb3fd47c25f886c, 0xb9b8ca678bb8dc67, 0x622fa8f2bf9253b5, 0x8a62b887d47c1b30, 0x971c270dc3afb169,
  0x6ec8a3a909afa5b1, 0xa9bb087461c4e757, 0x46a6ac6abc6c75eb, 0xc396701c762d3905, 0x8a631fc332386f65,
  0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0xc5c9ab83cd84b997,
  0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0x013f0b3c834f257e,
};

static const uint64_t ur_m162_u2x8_uart0_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0xef27773124356848,
  0xd319827c602416ca, 0xbb7aacc8bff871e7, 0x2c27c5a76849c126, 0x9fc18fbf51ebf9df, 0x602cb29845e7a38e,
  0xe8f9d838a333c731, 0xd7e1aa01ffb30475, 0x4a2856540f2cf6d4, 0xcdec9a3a3149e5a7, 0x7f529794deb9f8a3,
  0x516953e9e8754e04, 0x2f9b697f8ab7fbd5, 0xf5361d8dc79b0973, 0x64ff0271a50c2a73, 0x67a615c9f80f9a1e,
  0xd252d9f0271964b8, 0xb053c95fb9a19961, 0x00000001d1071e5f,
};

static const uint64_t ur_m162_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0x609f180905b2bbc9, 0x55952bfe8533e95a, 0x70b4ed093824d76f, 0xf51e5738cd56b473, 0xae5f7a8f83660c7c,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x4627ce756974c571, 0x6ab5d0ebce9bb2cf, 0x0e3b169a0b478cec,
  0x047eb70decb65f38, 0xd28a005f8601951b, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28, 0x545a54fa7a1d5381,
  0xcbe6da5fe2adfef5, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000016fa558a8a7,
};

static const uint64_t ur_m162_u2x8_uart0_noled_ce_hw[] = {
  0xb777775ddacdc49f, 0xdddddd55d871d7c4, 0xc3f5a508c1f600dd, 0x04cfd2f37ddddf0b, 0xd95de4eee62486ad,
  0x79f09f304f8c0482, 0x24d76f558807fe1c, 0x3bfeb6b0b4ed0938, 0x95fbbf3c64a07324, 0x2c05d64c273b8dca,
  0x3f83349ea3b5f4f7, 0x1cc580b70c43c71d, 0xf1d7a3e760e28ccf, 0x6e535f86a807fecc, 0xe5a74a2856540f2d,
  0xf8a3cdec9a3a3149, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7, 0x9e985727e7f61bb6,
  0x94b659289c6592e1, 0x14f257ee68665874, 0x00000000c4296eec,
};

// m162_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0xa609f180905b2bbc, 0xf55835bfe8533e96, 0x2b0b4ed093824d76, 0x942e0e4aeb8bea8d, 0x10d8488bee24b1e7,
  0xb9d83787fa8f84bf, 0xa76b736f7ccf1771, 0x3660e32f51e560a4, 0x62d314c57377a8f8, 0x4b632e384e1b875f,
  0xe7576e4c4752135f, 0x8ebce9bb2cf4627c, 0xd34168f19d8d578d, 0xe1bd96cbe701c762, 0x67f8601951b044c8,
  0x68e8c527969d28a1, 0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5017e49d14f257ee,
};

// m162_u2x8_uart0_lednop_pr
static const uint64_t ur_m162_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0x5de4ee971b2636d4,
  0xfe49304f8c0482d9, 0xaedeab1efff66afc, 0xcb09f169da127049, 0xa7f063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x001f218debda792b,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0x77469ae3a87f4e84,
  0x9827c602416caef2, 0xd563dffe357e7f24, 0x3e2d3b424e0935db, 0x0c7dfa8eb3cef961, 0xcb2986f93d1c74fe,
  0x9d9ed23348731602, 0xd2a01ffb30475e8f, 0x4560a07967b66794, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1,
  0xf43aa702baa9cbca, 0x1156ff7aaa2d362c, 0x5c1e6c25ccbe6d97, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x5f641a792bf73433,
  0x000000000007c9cc,
};

// m162_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x9f180905b2bbc9dd, 0x393ff1abf3f21e60, 0xd3b424e0935dbd56, 0x7959eb355ad1cdc2, 0x95ea3e0d9831f3d4,
  0x86e1d7d8b4ddf15e, 0x3484d7d2d8cb8e13, 0x439cead2f922e359, 0xb5d0ebce9bb7408c, 0x762d313e8e416c6a,
  0xfd6e1bd96cbe701c, 0x140094d7e1aa3608, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d, 0xcf43aa702baa9cbc,
  0x71156ff7aaa2d362, 0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x32d641a792bf7343, 0x000000000000275d,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0x6caef277417a0998,
  0xfcfedf9827c60241, 0x49aedeab3a8ff66a, 0x77fd49e169da1270, 0xb92b7e78c940e0f8, 0x602e33984e771b9f,
  0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0xd28a0ea596e39633, 0xa68e8c5302027969,
  0x9794d8ce81c51e5b, 0x573182169bd57553, 0xccbe6da7a1d53817, 0x47f1a2c79c376c25, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x00000016ea072d7b,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba8911d38b, 0xbbbbaabf0b82f896, 0xe3e001ae486ad1bb, 0xd36a6337774da327, 0xe4eea3329cd2ca53,
  0xdd304f8c0482d95d, 0xdeab2037f8d5f9ff, 0x531169da127049ae, 0x1e78c953bdbf717d, 0x4bf10d8488bee24b,
  0x771b9bb49b7fa8f8, 0xf9e9ee58cfd64cf1, 0x82e38e9fc19a4f51, 0xed23348731602ef7, 0x01ffb33c75e8f9d9,
  0x8281e5adc6794d2a, 0x2981013cb4e94515, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0,
  0xf3612e65f36cb831, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x00000000375ffaa3,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeeec1222044, 0xdddd55e34047e25b, 0x57ae56d60ef4eddd, 0x9965569bb0bf1dd4, 0x49c8c8843312b8e1,
  0x180905b2bbc9dd41, 0xffe357e7fa7e609f, 0xd093824d76f559d5, 0xe9bb8bea8d2b0b4e, 0x45f71258f3c64a9d,
  0x5afd47c25f886c24, 0xb7be678bb8dcbc3e, 0x97a8f2b40253b5b9, 0x62b9c7d47c1b3071, 0x1c270dc3afb1698a,
  0x6483a909afa5b197, 0x6edd02310e73abb7, 0x720b6355e363af3a, 0x65f380e3b16989f4, 0x86a8d8226470decb,
  0x13cb4e9450b3535f, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0xe65f36cb831dbfde,
  0xcb579726ae0f3612, 0xf53ab31e40fca1a2, 0x64ff0271a50c2a73, 0x67a615c9f80f9a1e, 0xd252d9f0271964b8,
  0x20d3c95fb9a19961, 0x00000000013f3087,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x04f8c0482d95de4e, 0x625aff1abf3e63f3, 0x2d3b424e0935dbd5, 0x2a7650ee2faa3a94, 0xb09117dc4963cf19,
  0x9f3acff51f097e21, 0xd6e6e3299e2ee371, 0xc188bea3cae6e94e, 0xa6298ad31f51f06c, 0xc65c709c370ebec5,
  0x5dbb228ea426be96, 0x5d4dd9af91bda39d, 0x22333d6355e363af, 0x970e59c071d8b4cd, 0xa514c632c8c8e1bd,
  0x4d1d18a60404f2d3, 0x2f29b19d038a3cb7, 0xae63042d37aaeaa7, 0x997cdb4f43aa702e, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000013f0b3c834f2,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0xaef2776c7b21a6c5,
  0x7f249827c602416c, 0x35dbd563dfff871e, 0xf9613e2d3b424e09, 0x74fe0c7dfa8eb3ce, 0x1602cb2986f93d1c,
  0x5e8f9d9ed2334873, 0x6794d2a01ffb3047, 0x3a514560a07967b6, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e,
  0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0xd876371e6c25ccbe, 0xfc09c69430a9cfd4, 0x985727e03e687993,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000007441f1bec1,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0x79827c602416caef, 0xbd56393ffa14cfc8, 0xcdc2d3b424e0935d, 0xf3d47959eb355ad1, 0xf15e95ea3e0d9831,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x408c439cead2f922, 0x6c6ab5d0ebce9bb7, 0x701c762d313e8e41,
  0x3608fd6e1bd96cbe, 0xd3a5140094d7e1aa, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3, 0xd362cf43aa702baa,
  0xe6d971156ff7aaa2, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd,
  0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00016fb087e8a792,
};

static const uint64_t ur_m162_u2x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x5e1f75f5a193df1f, 0x36200db6f26eeef8, 0x0b657793bb63d90d,
  0x71e7f6fcc13e3012, 0xe0935dbd56751ff8, 0x50effadac2d3b424, 0x1c9fcefcf19281c0, 0xdcb01759309cee37,
  0x1d3f83349ea3f3d3, 0x690e62c05def05c7, 0x6678ebd1f3b3da46, 0xcb5b8cf29a5403ff, 0x027969d28a2b0503,
  0x1479f1268e8c5302, 0x15d54e5e53633a07, 0xd55169b167a1d538, 0x5ccbe6d97063b7fb, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x000000310a7d7d82,
};

// m162_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0xe609f180905b2bbc, 0xd56757ffd0a67fa7, 0xac2d3b424e0935db, 0x50b839a6ee2faa34, 0x4361222fb892c79e,
  0xe4c333e7ea3e12fc, 0x9dadcdbdf33c5dc6, 0xd9838cbd4795a012, 0x8b4c5315ce3ea3e0, 0x2d8cb8e1386e1d7d,
  0x9d5dbb241d484d7d, 0x1d79d376e8118873, 0x4c4fa3905b1aaf1b, 0x86f65b2f9c071d8b, 0x9a9afc3546c11323,
  0x14c0809e5a74a285, 0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xedfef5545a6c59e8, 0x79b09732f9b65c18,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xa9ca29e4afdcd0cc, 0x000000000000a029,
};

// m162_u2x8_uart0_dual_pr
static const uint64_t ur_m162_u2x8_uart0_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x83b87b16a4151ab2,
  0x13e30120b6577924, 0x47b26460aa435dcc, 0x97185027c4df6b3c, 0x727f995c7ae774fb, 0x477f360bece05166,
  0x2847244fe0cca9bd, 0x1f0a21895fe7ef82, 0x5777bbe6e4ae006e, 0xb454219684648865, 0x7b79c7fe80e784d6,
  0x380660b0ab331739, 0x27049aedeab1efff, 0x59e77cb09f169da1, 0x9e8e3a7f063efd47, 0xa4398b016594c37c,
  0x1823af47cecf6919, 0x1cccaccaca2771cb, 0x027969d28a4fe67d, 0x1479f1268e8c5302, 0x15d54e5e53633a07,
  0xd55169b167a1d538, 0x2e65f36cb88ab7fb, 0x8b1e71726ae0f361, 0x727eeacc7903f286, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x000018869cc834f2,
};

static const uint64_t ur_m162_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0xdbbaabf261d64210,
  0x27c602416caef24a, 0x8f64c8c1548fd798, 0x2e30a04f89bed678, 0xc70ff32addcee9f7, 0x51ff76c12b1c1d2c,
  0x14239227f0701a6f, 0x0f8510c4aff3f7c1, 0xabbbddf3722b0037, 0xca2a10cb41314432, 0x7b709fff4073c268,
  0xf34e60b0ab331739, 0x4e0935dbd562f9fe, 0xb8677cb73c2d3b42, 0xd68e3a7f06f6bd47, 0x0b398b01758a67be,
  0xc11d780d4ed5fd1a, 0xcf6c7dd12a807fec, 0x9f47332b31c7c0f2, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x5cc3b9e4afdcd0cc,
  0x000000000029263d,
};

// m162_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xbd9c1059e0ac5fae,
  0x0905b2bbc9836eee, 0x8c154836ee609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xd858f9c3fe4c1a3f,
  0x13f83eaf9bd47e9f, 0x6257f9fbe08a11c9, 0xf373f5c01b87c288, 0x9682564432abbbdd, 0xfd01cf0997dc5421,
  0xc2accc5ce5edf7df, 0xdeab0e1ffbcd3982, 0xf4a169da127049ae, 0x93d4795edf9aad68, 0xf15f75ea3e0d983f,
  0x8e1386e1d7d8b4dd, 0x813f3484d7d2d8cb, 0xed193c73ab4bce2b, 0xb1aad743af63376d, 0x701c762d3e791a43,
  0x6c11fadc37b2ef76, 0x7332b300a8950754, 0x09e5a74a293f99f4, 0x51e7c49a3a314c08, 0x575539794d8ce81c,
  0x5545a6c59e8754e0, 0xb997cdb2e22adfef, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x3b9e4afdcd0ccb0e, 0x00000000ac9924cc,
};

// m162_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m162_u2x8_uart0_dual_pr_ce[] = {
  0xcdddddd60f4486f9, 0x777777756b1e73af, 0x277da3acecb53ef7, 0x6350436c5bbbb06e, 0xc1774da390ee73f8,
  0x04f8c0482d95de4a, 0x23d932305522e873, 0xcb8c2813e26fb59e, 0x631ffccab773ba7d, 0xa8e4eb60968e016a,
  0x8a11c913f838ad37, 0x87c2886257f9fbe0, 0xabbbddf371aec01b, 0xdc54219682fb4432, 0xedd82ffd01cf0983,
  0xcd3982c2accc5ce5, 0x7049aedeab1c9ffb, 0xf9717d66e169da12, 0xbee24b1e7942e0e3, 0x9fa8f84bf10d8488,
  0x13f33c5dc6e69a7f, 0xa0bf51fa09ee58cf, 0xb0147ce9238e9fc1, 0x80d4ed5fd1a0b398, 0xdd12a807feccf1d7,
  0xccacc71f03cb5b87, 0x7969d28a4fe67d1c, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815,
  0xcbe6d97063b7fbd5, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000d245a7c61d,
};

static const uint64_t ur_m162_u2x8_uart0_dual_pr_ee_ce[] = {
  0x77777583f6090c86, 0xdddddd59a9e4cbf3, 0xaae2161d7dc89ddd, 0xbaaf1a702f752616, 0x763767d5f98a0f89,
  0x0482d95de49d6777, 0x460aa43a75304f8c, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcba180370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x0ab3317397b77f9f, 0xf55863ffef34e60b, 0xba8b4ed093824d76, 0x942e0e1c1b8bea8c, 0x10d8488bee24b1e7,
  0xb8cf9d67fa8f84bf, 0xa76b736be4cf1771, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8, 0x96c65c709c370ebe,
  0xceaedd388ea426be, 0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1, 0xb3a2541d51b044c8,
  0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5, 0x97063b7fbd55169b,
  0x5e371e6c25ccbe6d, 0xeaccdfc1ddc68b2d, 0xfc09c69430a9cfd4, 0x985727e03e687993, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x0000002000e7c61d,
};

static const uint64_t ur_m162_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8adbbbb90, 0xeeeeacd4f265f9bb, 0x0b0ebe44eb4f6eee, 0x8d3817ba930b5571, 0xf2bdff5b07c4dd57,
  0x657792759dc6a44a, 0x90e9d4c13e30120b, 0x37dacf11ec99182a, 0xf9dd3ee5c61409f1, 0x70eb39990ff32d2d,
  0xf5e6f51e61b60cf8, 0x7ef822847244fe0f, 0x3006e1f0a21895fe, 0x221955ddeef9b974, 0x84d1ca2a10cb412d,
  0x2e72f6eff3fe80e7, 0xfff43344c1615666, 0x6849c126bb7aac31, 0xce0dc5f5465d45a7, 0x22fb892c79e50bce,
  0x6ffea3e12fc43612, 0xb5f2678bb8dc524e, 0x8fa8f2b91253b5b9, 0xc5613fd47c1b3069, 0x384e1b875f62d314,
  0x9c4752135f4b632e, 0x6edbda3278e7576e, 0x690ec6abc6c75ec6, 0xbdd9c071d8b4f9e4, 0x0ea8d8226470decb,
  0x33e8e6656659d12a, 0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0x763458df1726ae0f, 0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4, 0x000002002cb7caa9,
};

static const uint64_t ur_m162_u2x8_uart0_dual_hw[] = {
  0x77777583d1219f68, 0xdddddd5899991bf3, 0x747706cc4ebb2ddd, 0x6e817d3b777619bd, 0x92b6ee2af44fd0b0,
  0xe609f180905b2bbc, 0x9e23d932305523f5, 0x7dcb8c2813e26fb5, 0x4b31c3fccab773ba, 0x9bd47fddb04ac707,
  0xf04508e489fc1c06, 0x0dc3e144312bfcfd, 0x0caaeef77cdc8ac0, 0x9a328a8432d04c51, 0xce5edc27ffd01cf0,
  0x3fc493982c2accc5, 0x6849c126bb7aac5f, 0xa8f70cef96e785a7, 0xf7dad1c74fe0ded7, 0xa3416731602eb14c,
  0xfd9823af01a9dabf, 0x1e59ed8fba25500f, 0x7f33e8e6656638f8, 0x62981013cb4e9452, 0x19d038a3cf893474,
  0x0ea9c0aeaa72f29b, 0x55bfdeaa8b4d8b3d, 0xc79b09732f9b65c4, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x8f57a29e4afdcd0c, 0x00000000000031ba,
};

static const uint64_t ur_m162_u2x8_uart0_dual_ee_hw[] = {
  0xddddd60f44865c93, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0x19c5c5ede4ec5fae,
  0x80905b2bbc9836ee, 0xc8c154836ee609f1, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xfd858f9c3fe4c1a3,
  0x913f83eaf9bd47e9, 0x86257f9fbe08a11c, 0xdf373f5c01b87c28, 0x19682564432abbbd, 0xffd01cf0997dc542,
  0x2c2accc5ce5edf7d, 0x76f55870ffc49398, 0x47a50b4ed093824d, 0xfc9ea3caf6fcd56b, 0xef8afbaf51f06cc1,
  0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x6f68c9e39d5a5e71, 0x1d8d56ba1d7b19bb, 0xb380e3b169f3c8d2,
  0xa3608fd6e1bd977b, 0xa39995980544a83a, 0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x25ccbe6d971156ff, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x000000002bb5924e,
};

static const uint64_t ur_m162_u2x8_uart0_dual_ce_hw[] = {
  0xbbbbac1e890d7f41, 0xeeeeead63ce75f9b, 0xfb4759d96a7deeee, 0xa086d8b77760dc4e, 0x82eef7199bdfabc6,
  0x09f180905b2bbc95, 0x47b26460aa45d0e6, 0x97185027c4df6b3c, 0xc63ff9956ee774fb, 0x51c9d6c12d1c02d4,
  0x14239227f0715a6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e35d8037, 0xb8a8432d05f68865, 0xdbb05ffa039e1307,
  0x927305855998b9cb, 0x7049aedeab1c9ff8, 0xf9717d66e169da12, 0xbee24b1e7942e0e3, 0x7fa8f84bf10d8488,
  0x4fccf1771b863e33, 0x82fd47e827b9633c, 0xc051f3a48e3a7f06, 0x0353b57f4682ce62, 0x744aa01ffb33c75e,
  0x32b31c7c0f2d6e1f, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0x2f9b65c18edfef55, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000009baad3ea29e,
};

static const uint64_t ur_m162_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbac1c3d686f97, 0xeeeeeacd4f265f9b, 0x5710b0ebee44eeee, 0xd578d3817ba930b5, 0xe78233ad53a07c4d,
  0x180905b2bbc93ace, 0x4c8c154874ea609f, 0x0a04f89bed6788f6, 0xff32addcee9f72e3, 0x1b60cf870eb39990,
  0x244fe0ff5e6f51e6, 0x21895fe7ef822847, 0xef9b9743006e1f0a, 0x0cb412d221955dde, 0x3fe80e784d1ca2a1,
  0x16156662e72f6eff, 0x76f55863ffe249cc, 0x8cba8b4ed093824d, 0xe7942e0e1c1b8bea, 0xbf10d8488bee24b1,
  0x71b930ccf9fa8f84, 0x24a76b736be4cf17, 0xf83660d31f51e572, 0xbec5a6298ac27fa8, 0xbe96c65c709c370e,
  0xf1ceaedd388ea426, 0x8d8ebd8cddb7b464, 0xb169f3c8d21d8d57, 0xc8e1bd977bb380e3, 0xccb3a2541d51b044,
  0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54, 0x6d97063b7fbd5516,
  0x5eae371e6c25ccbe, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x9cfa8a792bf73433, 0x0000000000000eba,
};

static const uint64_t ur_m162_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbbbac1e890cf68, 0x777777566a7dddf9, 0x889f55f62fa0fb77, 0xf45e34e05eeabe49, 0xcd1f53ad6ecc995d,
  0x30120b657792d89d, 0x99182a909c7cc13e, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0xbec0d6ce130d333e,
  0x244fe0e004dea3fe, 0x21895fe7ef822847, 0xef9b8089006e1f0a, 0x0cb406b221955dde, 0x3fe80e784d6ea2a1,
  0x16156662e72f6e1a, 0xbb7aac4b5fe249cc, 0x47f385a76849c126, 0xf3ca17073675c5f5, 0x5f886c2445f71258,
  0x71b9cb4cdffd47c2, 0x54a76b73698ccf17, 0xf06cc1e45f51e57a, 0xbec5a6298ad00f51, 0xbe96c65c709c370e,
  0xf9ceaedcbe0ea426, 0x1b1d794d3b7488eb, 0xc5a752d18fbb1aaf, 0xc8e1bd96e4ce038e, 0xccfa399959e31a24,
  0xa60404f2d3a5149f, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xadd14f257ee68665, 0x000000000001d757,
};

// m162_u2x8_uart1_noled_pr
static const uint64_t ur_m162_u2x8_uart1_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0x5de4eeedb6a6331d,
  0xfa63304f8c0482d9, 0xff6d56645ff66afc, 0x84ff013b4585c24c, 0xf831f7ea3d7f3be5, 0x05965308bcf471d3,
  0x1f3b07146678e62c, 0xfc35403ff6608ebd, 0x34caca81e59eda9a, 0x0e3e8669cee69f49, 0x794deb9ecd379bd8,
  0x3e9e8754e047f529, 0x97f8ab7fbd551695, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xf901e5f5ed3c95fb,
};

static const uint64_t ur_m162_u2x8_uart1_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0xee9fb68a36c8fa45,
  0x304f8c0482d95de4, 0x559917fc6afcfa63, 0xc04ed16170933fdb, 0x7dfa8f5fcef9613f, 0x94c22f3d1c74fe0c,
  0xc1c5199e398b0165, 0x500ffd9823af47ce, 0xb2a07967b6a6bf0d, 0xa19a73b9a7d24d32, 0x7ae7b34de6f6038f,
  0xa1d53811fd4a5e53, 0x2adfef5545a54fa7, 0x1e6c25ccbe6da5fe, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x641a792bf734332c,
  0x0000000007c9ca6b,
};

// m162_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart1_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0xc602416caef27762, 0x2bfc6afcfa569827, 0xd16170933fdb5595, 0xce3355ad1cddc04e, 0xa3e0d9831f3d4795,
  0x3afb169bbe2b97de, 0x9afa5b1971c270dc, 0x9d5a5d315c6b2690, 0x3af3a6ecb3d189f3, 0xa682d1e33b1aad74,
  0xc37b2d97ce038ec5, 0x17e1806546c11fad, 0x4334e7734fa49a60, 0xf5cf669bcdec071f, 0x43aa7023fa94bca6,
  0x55bfdeaa8b4a9f4f, 0x3cd84b997cdb4bfc, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xc834f257ee686658, 0x0000000004ebad6a,
};

static const uint64_t ur_m162_u2x8_uart1_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0xaef277417a0998b2,
  0x7e719827c602416c, 0x3fdb558be7fb357e, 0xa93dc04ed1617093, 0xdf9e325038b5ceff, 0x8ce6139dc6e7ee4a,
  0xac5ea3a0b9ee580b, 0x01567a438e3a7f07, 0xc5ced44a386a398b, 0x63afc3dc72c678eb, 0x1f4334e7734fa49a,
  0xa6f5cf669bcdec07, 0x4f43aa7023fa94bc, 0xf31dbfdeaa8b4a9f, 0x70ddb09732f9b697, 0xab31e40d1fc68b1e,
  0x1964b867a615c9fb, 0x19961d252d964a27, 0xa81cb5ed3c95fb9a, 0x000000000000005b,
};

static const uint64_t ur_m162_u2x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xbbbbaabf0bf8f896, 0x004ccbdd93d537bb, 0xe17bafdddd368c9c, 0x3ba245999bb0dd63,
  0xcc13e30120b65779, 0xaac8f7fe357e7d7d, 0xe02768b0b8499fed, 0x8c953b09f717d531, 0x10d8488bee24b1e7,
  0xdcb1fff9fa8f84bf, 0x4f72c67eb2678bb8, 0x71d3f83349ea3b5f, 0xccf1cc580b70c43c, 0xeccf1d7a3e760e28,
  0xf2d6e535f86a807f, 0xe7734fa49a656540, 0x669bcdec071f4334, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa,
  0x9732f9b697f31dbf, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001baea9ad9069,
};

static const uint64_t ur_m162_u2x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xdddd55e34151625b, 0xbb4b41299ef91ddd, 0xbcb2ab4dd85f8ede, 0x62d48ee351a568b8,
  0x8c0482d95de4ee8f, 0xb7f8d5f9f4b5304f, 0xa2c2e1267fb6ab06, 0x575c5f54695b809d, 0x2fb892c79e3254ee,
  0xffea3e12fc436122, 0x7be678bb8dce5a66, 0x7a8f2b05253b5b9b, 0x2b9bbd47c1b30719, 0xc270dc3afb1698a6,
  0x623a909afa5b1971, 0xd967a313e73abb72, 0x8cec6abc6c75e74d, 0x5f380e3b169a0b47, 0xca8d8226470decb6,
  0xe69f4934cb3fc300, 0x379bd80e3e8669ce, 0x47f529794deb9ecd, 0x5516953e9e8754e0, 0x65f36d2fe63b7fbd,
  0xe9f1726ae0f3612e, 0x53ab31e40fca1a2c, 0x32fcc4fe50c2a73f, 0xbff82687993fc5ce, 0x64b867a615c9f8e7,
  0x9961d252d9f02719, 0x98c720d3c95fb9a1, 0x000000000000009f,
};

static const uint64_t ur_m162_u2x8_uart1_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0x7c602416caef2774, 0xa6ffc6afcf8d6982, 0xed16170933fdb559, 0x6c16e2faa3a95c04, 0x117dc4963cf192a7,
  0xacff51f097e21b09, 0x6e3299e2ee3719f3, 0x8bea3cafe494ed6e, 0x98ae21f51f06cc18, 0xc709c370ebec5a62,
  0xb228ea426be96c65, 0x6ec21d187139d5db, 0xa9ab1aaf1b1d7aea, 0xe59c071d8b4e4151, 0x78c7f0cc8e1bd970,
  0x1f4334e7734fa49a, 0xa6f5cf669bcdec07, 0x4f43aa7023fa94bc, 0xf31dbfdeaa8b4a9f, 0x7079b09732f9b697,
  0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0x679069e4afdcd0cc, 0x00000000000027e1,
};

static const uint64_t ur_m162_u2x8_uart1_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0xef27773124356848,
  0xd319827c602416ca, 0xfedaacc8bff871e7, 0x09fe02768b0b8499, 0xf063efd47afe77cb, 0x0b2ca61179e8e3a7,
  0x3e760e28ccf1cc58, 0xf86a807fecc11d7a, 0x69959503cb3db535, 0x1c7d0cd39dcd3e92, 0xf29bd73d9a6f37b0,
  0x7d3d0ea9c08fea52, 0x2ff156ff7aaa2d2a, 0xb1b8f3612e65f36d, 0x4e34a1854e7ea6c3, 0xb93f01f343cc9fe0,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x003a20e3cbf60a79,
};

static const uint64_t ur_m162_u2x8_uart1_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0x609f180905b2bbc9, 0x55952bfe8533e95a, 0xc04ed16170933fdb, 0x4795ce3355ad1cdd, 0x97dea3e0d9831f3d,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0x89f39d5a5d315c6b, 0xad743af3a6ecb3d1, 0x8ec5a682d1e33b1a,
  0x1fadc37b2d97ce03, 0x9a6017e1806546c1, 0x071f4334e7734fa4, 0xbca6f5cf669bcdec, 0x9f4f43aa7023fa94,
  0x4bfc55bfdeaa8b4a, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x2df4ab1514f257ee, 0x0000000000000000,
};

static const uint64_t ur_m162_u2x8_uart1_noled_ce_hw[] = {
  0xb777775ddacdc49f, 0xdddddd55d871d7c4, 0xc3f5a508c1f600dd, 0x04cfd2f37ddddf0b, 0xd95de4eee62486ad,
  0x79f09f304f8c0482, 0x933fdb558807fe1c, 0xffadadc04ed16170, 0x7eefcf19281cc90e, 0x01759309cee372a5,
  0xe0cd27a8ed7d3dcb, 0x31602dc310f1c74f, 0x75e8f9d838a333c7, 0x94d7e1aa01ffb33c, 0x3e9269959503cb5b,
  0x37b01c7d0cd39dcd, 0xea52f29bd73d9a6f, 0x2d2a7d3d0ea9c08f, 0xe6da5fcc76ff7aaa, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0018852ddd829e4a,
};

// m162_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u2x8_uart1_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0xa609f180905b2bbc, 0xb55835bfe8533e96, 0xdc04ed16170933fd, 0x0b8392bae2faa34a, 0x361222fb892c79e5,
  0x760de1fea3e12fc4, 0xdadcdbdf33c5dc6e, 0x9838cbd479582929, 0xb4c5315cddea3e0d, 0xd8cb8e1386e1d7d8,
  0xd5db9311d484d7d2, 0xaf3a6ecb3d189f39, 0xd05a3c676355e363, 0x6f65b2f9c071d8b4, 0xfe1806546c113238,
  0x334e7734fa49a659, 0x5cf669bcdec071f4, 0x3aa7023fa94bca6f, 0xdbfdeaa8b4a9f4f4, 0x9b09732f9b697f31,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x93a29e4afdcd0ccb, 0x00000000000a02fc,
};

// m162_u2x8_uart1_lednop_pr
static const uint64_t ur_m162_u2x8_uart1_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0x5de4ee971b2636d4,
  0xfe49304f8c0482d9, 0x7fb6ab1efff66afc, 0xc27f809da2c2e126, 0xfc18fbf51d679df2, 0x0596530df27a38e9,
  0x1f3b3da46690e62c, 0x29a5403ff6608ebd, 0x9a6ac140f2cf6ccf, 0x4334f02027734fa4, 0x6740b34de7c4071f,
  0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x376c25ccbe6d9711, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x31bd7b4f257ee686, 0x00000000000003e4,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0x77469ae3a87f4e84,
  0x9827c602416caef2, 0xd563dffe357e7f24, 0xf013b4585c24cff6, 0x1f7ea3acf3be584f, 0xca61be4f471d3f83,
  0x67b48cd21cc580b2, 0xa807fecc11d7a3e7, 0x58281e59ed99e534, 0x9e0404ee69f4934d, 0x1669bcf880e3e866,
  0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x84b997cdb2e22adf, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x000000f9398bec83,
};

// m162_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart1_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x9f180905b2bbc9dd, 0x393ff1abf3f21e60, 0x3b4585c24cff6d56, 0x567acd56b4737701, 0x7a8f83660c7cf51e,
  0xb875f62d377c57a5, 0x2135f4b632e384e1, 0xe73ab4be48b8d64d, 0x743af3a6edd02310, 0x8b4c4fa3905b1aad,
  0x5b86f65b2f9c071d, 0xc02535f86a8d823f, 0x69e0404ee69f4934, 0x81669bcf880e3e86, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x34f257ee68665874, 0x00000004eba65ac8,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0x6caef277417a0998,
  0xfcfedf9827c60241, 0x267fb6ab3a8ff66a, 0xff527b809da2c2e1, 0x4adf9e3250383e1d, 0x0b8ce6139dc6e7ee,
  0x07ac5ea389f9ee58, 0x8b01567a0b8e3a7f, 0xd78b9db19a3d6239, 0x9a63a965b8e58cf1, 0x4334f02027734fa4,
  0x19d02cd3796e071f, 0x42d37aaeaa72f29b, 0xb4f43aa702eae630, 0x58f386ed84b997cd, 0x4fdd598f2068fe34,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x02dd40e5af69e4af,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_pr_ce_u4[] = {
  0xeeeeebba8911d38b, 0xbbbbaabf0b82f896, 0xe3e001ae486ad1bb, 0xd36a6337774da327, 0xe4eea3329cd2ca53,
  0xdd304f8c0482d95d, 0xb6ab2037f8d5f9ff, 0xc7809da2c2e1267f, 0x9e3254ef6fdc5f54, 0xfc4361222fb892c7,
  0xc6e6ed26dfea3e12, 0x7a7b9633f5933c5d, 0xb8e3a7f06693d47e, 0x48cd21cc580bbde0, 0x7feccf1d7a3e767b,
  0xa0796b719e534a80, 0x1013b9a7d24d3560, 0xa6f3e2038fa19a78, 0x5d54e5e53633a059, 0x55169b167a1d5381,
  0xccbe6d97063b7fbd, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0006ebff54641a79,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbaeeec1222044, 0xdddd55e34047e25b, 0x57ae56d60ef4eddd, 0x9965569bb0bf1dd4, 0x49c8c8843312b8e1,
  0x180905b2bbc9dd41, 0xffe357e7fa7e609f, 0x16170933fdb559d5, 0x6ee2faa34adc04ed, 0x7dc4963cf192a77a,
  0xbf51f097e21b0911, 0xef99e2ee372f0f96, 0xea3cad0094ed6e6d, 0xae71f51f06cc1c65, 0x09c370ebec5a6298,
  0x20ea426be96c65c7, 0xb7408c439ceaedd9, 0x82d8d578d8ebce9b, 0x7ce038ec5a627d1c, 0xaa3608991c37b2d9,
  0x9a7d24d32cd4d7e1, 0x2038fa19a781013b, 0x5e53633a059a6f3e, 0xb167a1d53815d54e, 0xd97063b7fbd55169,
  0xe4d5c1e6c25ccbe6, 0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x000027e610e41a79,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x04f8c0482d95de4e, 0x625aff1abf3e63f3, 0x13b4585c24cff6d5, 0x9d943b8bea8ea570, 0x2445f71258f3c64a,
  0xceb3fd47c25f886c, 0xb9b8ca678bb8dc67, 0x622fa8f2b9ba53b5, 0x8a62b4c7d47c1b30, 0x971c270dc3afb169,
  0x6ec8a3a909afa5b1, 0x53766be46f68e757, 0x8ccf58d578d8ebd7, 0xc396701c762d3348, 0x34f18cb232386f65,
  0x8669e0404ee69f49, 0x33a059a6f2dc0e3e, 0x85a6f55d54e5e536, 0x69e8754e05d5cc60, 0x9357079b09732f9b,
  0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x7e1679069e4afdcd, 0x0000000000000002,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0xaef2776c7b21a6c5,
  0x7f249827c602416c, 0xcff6d563dfff871e, 0x584ff013b4585c24, 0x3f831f7ea3acf3be, 0x80b2ca61be4f471d,
  0xa3e767b48cd21cc5, 0xe534a807fecc11d7, 0x934d58281e59ed99, 0xe8669e0404ee69f4, 0x8ce81669bcf880e3,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0xe3cd84b997cdb2e2, 0xd2861539fa9b0ec6, 0xfc07cd0f327f8138,
  0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8, 0x0e883e37d829e4af,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0x79827c602416caef, 0x6d56393ffa14cfc8, 0x77013b4585c24cff, 0xf51e567acd56b473, 0x57a57a8f83660c7c,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0x2310e73ab4be48b8, 0x1aad743af3a6edd0, 0x071d8b4c4fa3905b,
  0x823f5b86f65b2f9c, 0x4934c02535f86a8d, 0x3e8669e0404ee69f, 0xd8ce81669bcf880e, 0xe8754e0575539794,
  0x22adfef5545a6c59, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xf610fd14f257ee68, 0x000000000000002d,
};

static const uint64_t ur_m162_u2x8_uart1_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x5e1f75f5a193df1f, 0x36200db6f26eeef8, 0x0b657793bb63d90d,
  0x71e7f6fcc13e3012, 0xc24cff6d56751ff8, 0x3bfeb6b7013b4585, 0x27f3bf3c64a07014, 0x2c05d64c273b8dc7,
  0x4fe0cd27a8fcf4f7, 0x4398b0177bc171c7, 0x9e3af47cecf6919a, 0xd6e33ca69500ffd9, 0x734fa49a6ac140f2,
  0xc4071f4334f02027, 0xcbca6c6740b34de7, 0x362cf43aa702baa9, 0xdb2e0c76ff7aaa2d, 0x9f9fd86ed84b997c,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x06214fafb053c95f,
};

// m162_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u2x8_uart1_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0xe609f180905b2bbc, 0xd56757ffd0a67fa7, 0x7013b4585c24cff6, 0x2e0e69bb8bea8d2b, 0xd8488bee24b1e794,
  0x30ccf9fa8f84bf10, 0x6b736f7ccf1771b9, 0x60e32f51e56804a7, 0xd314c5738fa8f836, 0x632e384e1b875f62,
  0x576ec90752135f4b, 0x5e74ddba04621ce7, 0x13e8e416c6abc6c7, 0xbd96cbe701c762d3, 0xa6bf0d51b044c8e1,
  0x0809dcd3e9269966, 0xd379f101c7d0cd3c, 0xaeaa72f29b19d02c, 0xaa8b4d8b3d0ea9c0, 0xe65f36cb831dbfde,
  0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000001405353945,
};

// m162_u2x8_uart1_dual_pr
static const uint64_t ur_m162_u2x8_uart1_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x83b87b16a4151ab2,
  0x13e30120b6577924, 0x47b26460aa435dcc, 0x97185027c4df6b3c, 0x727f995c7ae774fb, 0x477f360bece05166,
  0x2847244fe0cca9bd, 0x1f0a21895fe7ef82, 0x5777bbe6e4ae006e, 0xb454219684648865, 0x7b79c7fe80e784d6,
  0x380660b0ab331739, 0x2e1267fb6ab1efff, 0x79df2c27f809da2c, 0xa38e9fc18fbf51d6, 0x0e62c0596530df27,
  0x08ebd1f3b3da4669, 0x332b32b289dc72c6, 0x734fa49a73f99f47, 0xc4071f4334f02027, 0xcbca6c6740b34de7,
  0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0x2e4d5c1e6c25ccbe, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd,
  0x0ccb0e9296cf8138, 0x10d399069e4afdcd, 0x0000000000000003,
};

static const uint64_t ur_m162_u2x8_uart1_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0xdbbaabf261d64210,
  0x27c602416caef24a, 0x8f64c8c1548fd798, 0x2e30a04f89bed678, 0xc70ff32addcee9f7, 0x51ff76c12b1c1d2c,
  0x14239227f0701a6f, 0x0f8510c4aff3f7c1, 0xabbbddf3722b0037, 0xca2a10cb41314432, 0x7b709fff4073c268,
  0xf34e60b0ab331739, 0x5c24cff6d562f9fe, 0x19df2dcf7013b458, 0xa38e9fc1bdaf51ee, 0xce62c05d6299efb5,
  0x475e0353b57f4682, 0xdb1f744aa01ffb30, 0xd1cccacc71f03cb3, 0x09dcd3e9269cfe67, 0x79f101c7d0cd3c08,
  0xaa72f29b19d02cd3, 0x8b4d8b3d0ea9c0ae, 0x2f9b65c455bfdeaa, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000524c7ab9877,
};

// m162_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m162_u2x8_uart1_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xbd9c1059e0ac5fae,
  0x0905b2bbc9836eee, 0x8c154836ee609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xd858f9c3fe4c1a3f,
  0x13f83eaf9bd47e9f, 0x6257f9fbe08a11c9, 0xf373f5c01b87c288, 0x9682564432abbbdd, 0xfd01cf0997dc5421,
  0xc2accc5ce5edf7df, 0xb6ab0e1ffbcd3982, 0x2b809da2c2e1267f, 0xf51e57b7e6ab5a3d, 0x57dd7a8f83660fe4,
  0x84e1b875f62d377c, 0x4fcd2135f4b632e3, 0x464f1cead2f38ae0, 0x6ab5d0ebd8cddb7b, 0x071d8b4f9e4690ec,
  0x047eb70decbbdd9c, 0xccacc02a2541d51b, 0xcd3e9269cfe67d1c, 0x101c7d0cd3c0809d, 0x2f29b19d02cd379f,
  0xd8b3d0ea9c0aeaa7, 0xb65c455bfdeaa8b4, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00159324998773c9,
};

// m162_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m162_u2x8_uart1_dual_pr_ce[] = {
  0xcdddddd60f4486f9, 0x777777756b1e73af, 0x277da3acecb53ef7, 0x6350436c5bbbb06e, 0xc1774da390ee73f8,
  0x04f8c0482d95de4a, 0x23d932305522e873, 0xcb8c2813e26fb59e, 0x631ffccab773ba7d, 0xa8e4eb60968e016a,
  0x8a11c913f838ad37, 0x87c2886257f9fbe0, 0xabbbddf371aec01b, 0xdc54219682fb4432, 0xedd82ffd01cf0983,
  0xcd3982c2accc5ce5, 0xe1267fb6ab1c9ffb, 0x5c5f59bb809da2c2, 0xb892c79e50b838fe, 0xea3e12fc4361222f,
  0xfccf1771b9a69fe7, 0x2fd47e827b9633c4, 0x051f3a48e3a7f068, 0x353b57f4682ce62c, 0x44aa01ffb33c75e0,
  0x2b31c7c0f2d6e1f7, 0x4fa49a73f99f4733, 0x071f4334f0202773, 0xca6c6740b34de7c4, 0x2cf43aa702baa9cb,
  0x2e0c76ff7aaa2d36, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x1a48b4f8c3b9e4af,
};

static const uint64_t ur_m162_u2x8_uart1_dual_pr_ee_ce[] = {
  0x77777583f6090c86, 0xdddddd59a9e4cbf3, 0xaae2161d7dc89ddd, 0xbaaf1a702f752616, 0x763767d5f98a0f89,
  0x0482d95de49d6777, 0x460aa43a75304f8c, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb067c38759ccc87f,
  0x27f07faf37a8f30d, 0xc4aff3f7c1142392, 0xcdcba180370f8510, 0x5a096910caaeef77, 0xf4073c268e515086,
  0x0ab3317397b77f9f, 0xb55863ffef34e60b, 0xbc04ed16170933fd, 0x0b838706e2faa32e, 0x361222fb892c79e5,
  0x33e759fea3e12fc4, 0xdadcdaf933c5dc6e, 0x9834c7d4795c8929, 0x698a62b09fea3e0d, 0xb1971c270dc3afb1,
  0xabb74e23a909afa5, 0xaf63376ded193c73, 0x7cf234876355e363, 0x6f65deece038ec5a, 0xe89507546c113238,
  0xa73f99f47332b32c, 0x334f02027734fa49, 0x740b34de7c4071f4, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43,
  0xcd84b997cdb2e0c7, 0xf83bb8d165abc6e3, 0xd2861539fa9d599b, 0xfc07cd0f327f8138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x04001cf8c3b9e4af,
};

static const uint64_t ur_m162_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8adbbbb90, 0xeeeeacd4f265f9bb, 0x0b0ebe44eb4f6eee, 0x8d3817ba930b5571, 0xf2bdff5b07c4dd57,
  0x657792759dc6a44a, 0x90e9d4c13e30120b, 0x37dacf11ec99182a, 0xf9dd3ee5c61409f1, 0x70eb39990ff32d2d,
  0xf5e6f51e61b60cf8, 0x7ef822847244fe0f, 0x3006e1f0a21895fe, 0x221955ddeef9b974, 0x84d1ca2a10cb412d,
  0x2e72f6eff3fe80e7, 0xfff43344c1615666, 0x8b0b8499fedaac31, 0x83717d51975e0276, 0xbee24b1e7942f3b3,
  0xffa8f84bf10d8488, 0x7c99e2ee3714939b, 0xea3cae4494ed6e6d, 0x584ff51f06cc1a63, 0x1386e1d7d8b4c531,
  0x11d484d7d2d8cb8e, 0xb6f68c9e39d5dba7, 0x43b1aaf1b1d7b19b, 0x76701c762d3e791a, 0xaa3608991c37b2ef,
  0xfa39995996744a83, 0x013b9a7d24d39fcc, 0x6f3e2038fa19a781, 0xd54e5e53633a059a, 0x5169b167a1d53815,
  0xcbe6d97063b7fbd5, 0x1be2e4d5c1e6c25c, 0x9d599bf83f6ec68b, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x400596f95524f257,
};

static const uint64_t ur_m162_u2x8_uart1_dual_hw[] = {
  0x77777583d1219f68, 0xdddddd5899991bf3, 0x747706cc4ebb2ddd, 0x6e817d3b777619bd, 0x92b6ee2af44fd0b0,
  0xe609f180905b2bbc, 0x9e23d932305523f5, 0x7dcb8c2813e26fb5, 0x4b31c3fccab773ba, 0x9bd47fddb04ac707,
  0xf04508e489fc1c06, 0x0dc3e144312bfcfd, 0x0caaeef77cdc8ac0, 0x9a328a8432d04c51, 0xce5edc27ffd01cf0,
  0x3fc493982c2accc5, 0x8b0b8499fedaac5f, 0x3dc33be5b9ee0276, 0xf6b471d3f837b5ea, 0xd059cc580bac533d,
  0x6608ebc06a76afe8, 0x967b63ee895403ff, 0xccfa3999598e3e07, 0x81013b9a7d24d39f, 0x9a6f3e2038fa19a7,
  0x15d54e5e53633a05, 0xd55169b167a1d538, 0x2e65f36cb88ab7fb, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x000000063751eaf4,
};

static const uint64_t ur_m162_u2x8_uart1_dual_ee_hw[] = {
  0xddddd60f44865c93, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0x19c5c5ede4ec5fae,
  0x80905b2bbc9836ee, 0xc8c154836ee609f1, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xfd858f9c3fe4c1a3,
  0x913f83eaf9bd47e9, 0x86257f9fbe08a11c, 0xdf373f5c01b87c28, 0x19682564432abbbd, 0xffd01cf0997dc542,
  0x2c2accc5ce5edf7d, 0xfdb55870ffc49398, 0xe95c04ed16170933, 0x27a8f2bdbf355ad1, 0xe2beebd47c1b307f,
  0x1c270dc3afb169bb, 0x027e6909afa5b197, 0xda3278e756979c57, 0x6355ae875ec66edb, 0xe038ec5a7cf23487,
  0xd823f5b86f65deec, 0xe6656601512a0ea8, 0xee69f4934e7f33e8, 0xf880e3e8669e0404, 0x39794d8ce81669bc,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x000576b249d14f25,
};

static const uint64_t ur_m162_u2x8_uart1_dual_ce_hw[] = {
  0xbbbbac1e890d7f41, 0xeeeeead63ce75f9b, 0xfb4759d96a7deeee, 0xa086d8b77760dc4e, 0x82eef7199bdfabc6,
  0x09f180905b2bbc95, 0x47b26460aa45d0e6, 0x97185027c4df6b3c, 0xc63ff9956ee774fb, 0x51c9d6c12d1c02d4,
  0x14239227f0715a6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e35d8037, 0xb8a8432d05f68865, 0xdbb05ffa039e1307,
  0x927305855998b9cb, 0xe1267fb6ab1c9ff8, 0x5c5f59bb809da2c2, 0xb892c79e50b838fe, 0xea3e12fc4361222f,
  0xf33c5dc6e18f8cdf, 0xbf51fa09ee58cf13, 0x147ce9238e9fc1a0, 0xd4ed5fd1a0b398b0, 0x12a807feccf1d780,
  0xacc71f03cb5b87dd, 0x3e9269cfe67d1ccc, 0x1c7d0cd3c0809dcd, 0x29b19d02cd379f10, 0xb3d0ea9c0aeaa72f,
  0xb831dbfdeaa8b4d8, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x3755a7d453c95fb9, 0x0000000000000001,
};

static const uint64_t ur_m162_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbac1c3d686f97, 0xeeeeeacd4f265f9b, 0x5710b0ebee44eeee, 0xd578d3817ba930b5, 0xe78233ad53a07c4d,
  0x180905b2bbc93ace, 0x4c8c154874ea609f, 0x0a04f89bed6788f6, 0xff32addcee9f72e3, 0x1b60cf870eb39990,
  0x244fe0ff5e6f51e6, 0x21895fe7ef822847, 0xef9b9743006e1f0a, 0x0cb412d221955dde, 0x3fe80e784d1ca2a1,
  0x16156662e72f6eff, 0xfdb55863ffe249cc, 0x2ebc04ed16170933, 0xe50b838706e2faa3, 0xc4361222fb892c79,
  0x6e4c333e7ea3e12f, 0x29dadcdaf933c5dc, 0x0d9834c7d4795c89, 0xb1698a62b09fea3e, 0xa5b1971c270dc3af,
  0x73abb74e23a909af, 0x63af63376ded193c, 0x5a7cf234876355e3, 0x386f65deece038ec, 0x2ce89507546c1132,
  0x49a73f99f47332b3, 0xf4334f02027734fa, 0xc6740b34de7c4071, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf,
  0xe3cd84b997cdb2e0, 0xf9430a9cfd4bd5c6, 0x1e64ff1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000001d7539f51,
};

static const uint64_t ur_m162_u2x8_uart1_dual_ee_ce_u4_hw[] = {
  0xbbbbbac1e890cf68, 0x777777566a7dddf9, 0x889f55f62fa0fb77, 0xf45e34e05eeabe49, 0xcd1f53ad6ecc995d,
  0x30120b657792d89d, 0x99182a909c7cc13e, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0xbec0d6ce130d333e,
  0x244fe0e004dea3fe, 0x21895fe7ef822847, 0xef9b8089006e1f0a, 0x0cb406b221955dde, 0x3fe80e784d6ea2a1,
  0x16156662e72f6e1a, 0xfedaac4b5fe249cc, 0xfcee02768b0b8499, 0xf285c1cd9d717d51, 0xe21b09117dc4963c,
  0x6e72d337ff51f097, 0x29dadcda6333c5dc, 0x1b307917d4795e95, 0xb1698a62b403d47c, 0xa5b1971c270dc3af,
  0x73abb72f83a909af, 0xc75e534edd223afe, 0x69d4b463eec6abc6, 0x386f65b93380e3b1, 0x3e8e665678c68932,
  0x404ee69f4934e7f3, 0x9bcf880e3e8669e0, 0x75539794d8ce8166, 0x545a6c59e8754e05, 0x32f9b65c18edfef5,
  0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000003aeaf5ba29,
};

// m162_u2x12_uart0_noled_pr
static const uint64_t ur_m162_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x24c13e30120b6577, 0x189eb5ffd9abf3ff, 0x6849c126bb79a0cd, 0x51ebf9df2c27c5a7, 0x45e7a38e9fc18fbf,
  0xa333c731602cb298, 0xffb30475e8f9d838, 0x0f2cf6d4d7e1aa01, 0x3149e5a74a285654, 0xdeb9f8a3cdec9a3a,
  0xe8754e047f529794, 0x8ab7fbd5516953e9, 0x0ddb09732f9b697f, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x6e3f5ed3c95fb9a1, 0x0000000000000f90,
};

static const uint64_t ur_m162_u2x12_uart0_noled_pr_u4[] = {
  0xdd775a1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0x696694b8ae379122,
  0x9f180905b2bbc9dd, 0xd6bff8d5f9ff9260, 0x3824d76f3419a313, 0x7f3be584f8b4ed09, 0xf471d3f831f7ea3d,
  0x78e62c05965308bc, 0x608ebd1f3b071466, 0x9eda9afc35403ff6, 0x3cb4e9450aca81e5, 0x3f1479bd93474629,
  0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0x612e65f36d2ff156, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x0000007c9dc41f20,
};

// m162_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart0_noled_pr_ee[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0x602416caef2774c8, 0xbfc6afcfba59827c, 0x26bb79a0cd189ffb, 0xb5a39b85a76849c1, 0x3063e7a8f2b9c66a,
  0xd377c572fbd47c1b, 0x632e384e1b875f62, 0xa62b8d64d2135f4b, 0xdd967a313e73ab4b, 0x3c676355ae875e74,
  0xb2f9c071d8b4d05a, 0x0ca8d823f5b86f65, 0x93cb4e945002fc30, 0x73f1479bd9347462, 0xea9c08fea52f29bd,
  0x6ff7aaa2d2a7d3d0, 0x3612e65f36d2ff15, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x0d3c95fb9a19961d, 0x000000013aebcfb2,
};

static const uint64_t ur_m162_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0xde4eec2f5a3c7a08,
  0xf75304f8c0482d95, 0x9a313cf5ff66afcf, 0x4ed093824d76f341, 0x940e0df3bfea4f0b, 0xe771b8beca2fe78c,
  0xe82e7b9602e33984, 0x3ee38e9fc1eb17a8, 0xc48e1a8e62c05afe, 0xdc72c678ebc5ceda, 0x293cb4e94507406a,
  0x7ae7e28f2dd34746, 0x085a72f1fd4a5e53, 0xda7a1d53819d4cc6, 0x2c79c376c25ccbe6, 0x27eeacc790347f1a,
  0x289c6592e19e9857, 0xee6866587494b659, 0x00b7554ed7b4f257,
};

static const uint64_t ur_m162_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e8911fc3b, 0xbbaaba1dc2f896ee, 0xc6dd69856921bbbb, 0x3fd2eeeef89e6f50, 0xdb826ea1994ec776,
  0x09f180905b2bbc9d, 0x3dfcff1abf3e5166, 0x93824d76f3419a31, 0x84fb8bea988b4ed0, 0x45f71258f3c64a9d,
  0xfcfd47c25f886c24, 0x3f5933c5dc6e58ff, 0x19a4f51dafa7b963, 0x2c05b8621e38e9fc, 0xbd1f3b07146678e6,
  0x9afc35403ff6678e, 0x3a5142b2a0796b72, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70,
  0x32f9b697f31dbfde, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00375ce43f9069e4,
};

static const uint64_t ur_m162_u2x12_uart0_noled_pr_ee_ce[] = {
  0x775dd6861eb44511, 0xddd55de41a2c4b77, 0x50b36392eac1dddd, 0xe38f8feed8fb2610, 0x67d938b17d334a7e,
  0xc0482d95de4eeabe, 0x7f8d5f9f0b5304f8, 0x4d76f3419a313c9d, 0xea8d2b0b4ed09382, 0x58f3c64a9dcaeb8b,
  0xc25f886c2445f712, 0x1771b9cb4cdffd47, 0x60a4a76b736f7ccf, 0xa8f83660e32f51e5, 0x875f62d314c57377,
  0x135f4b632e384e1b, 0x627ce7576e4c4752, 0x578d8ebce9bb2cf4, 0xc762d34168f19d8d, 0x44c8e1bd96cbe701,
  0x28a167f8601951b0, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f, 0x45a54fa7a1d53811, 0x7cdb4bf98edfef55,
  0x7c5c9ab83cd84b99, 0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef,
  0x587494b67c09c659, 0x64c834f257ee6866, 0x00000000000009f8,
};

static const uint64_t ur_m162_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0x7c602416caef2774, 0x57ff8d5f9fe9f982, 0x049aede68334627f, 0x17d51d4a169da127, 0x24b1e78c953b3877,
  0x8f84bf10d8488bee, 0xcf1771b9787cb5fa, 0xe57f24a76b737194, 0xe7a8f83660c45f51, 0x1b875f62d314c563,
  0x52135f4b632e384e, 0x48c389ceaedd07c7, 0xd578d8ebd753767b, 0x1c762d333c8d4d58, 0x6a32386f65c39670,
  0x18a4f2d3a514c620, 0x4deb9f8a3cb74d1d, 0x182169cbc7f52979, 0x9b69e8754e067533, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x13f13419069e4afd,
};

static const uint64_t ur_m162_u2x12_uart0_noled_hw[] = {
  0xbaeeb43d4166ef3a, 0xeeaafb39bbe25bbb, 0x4df9e17b5a6eeeee, 0x8bebf77742ca7bbc, 0x93ba0bd04d641e44,
  0x24c13e30120b6577, 0x4627ad7ffc38f3ff, 0xda127049aede6833, 0xd47afe77cb09f169, 0x1179e8e3a7f063ef,
  0x28ccf1cc580b2ca6, 0x7fecc11d7a3e760e, 0x03cb3db535f86a80, 0x8c527969d28a1595, 0x37ae7e28f37b268e,
  0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa, 0x71e6c25ccbe6da5f, 0x69430a9cfd4d8763, 0x7e03e687993fc09c,
  0x09c6592e19e98572, 0xee6866587494b67c, 0x7441db8fec14f257,
};

static const uint64_t ur_m162_u2x12_uart0_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x09f180905b2bbc9d, 0x9ffbbfe8533ee966, 0x49c126bb79a0cd18, 0xc66ab5a39b85a768, 0x7c1b3063e7a8f2b9,
  0x5f62d377c572fbd4, 0x5f4b632e384e1b87, 0xab4ba62b8d64d213, 0x5e74dd967a313e73, 0xd05a3c676355ae87,
  0x6f65b2f9c071d8b4, 0xfc300ca8d823f5b8, 0x746293cb4e945002, 0x29bd73f1479bd934, 0xd3d0ea9c08fea52f,
  0xff156ff7aaa2d2a7, 0x1b8f3612e65f36d2, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x7e0bb5453c95fb9a, 0x000000000000000b,
};

static const uint64_t ur_m162_u2x12_uart0_noled_ce_hw[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaafb39e9625b, 0x71ff17c1f6a1eeee, 0xd933d9fbbba682a6, 0x7793ba0bd04d6406,
  0xfdd4c13e30120b65, 0x19a313cf5ffc38f3, 0xb4ed093824d76f34, 0x64a073243bfeb6b0, 0x273b8dca95fbbf3c,
  0xa3b5f4f72c05d64c, 0x0c43c71d3f83349e, 0x60e28ccf1cc580b7, 0xa807feccf1d7a3e7, 0x56540f2d6e535f86,
  0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec, 0x53e9e8754e047f52, 0xd2fe63b7fbd55169, 0xe7f61bb612e65f36,
  0x9c6592e19e985727, 0x6866587494b65928, 0xc4283aec14f257ee,
};

// m162_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x827c602416caef27, 0x2793affa14cf85a9, 0x127049aede683346, 0x5d717d51a56169da, 0x7dc4963cf285c1c9,
  0xff51f097e21b0911, 0xef99e2ee373b06f0, 0xea3cac1494ed6e6d, 0xae6ef51f06cc1c65, 0x09c370ebec5a6298,
  0x88ea426be96c65c7, 0x659e8c4f9ceaedc9, 0x33b1aaf1b1d79d37, 0x7ce038ec5a682d1e, 0x2a3608991c37b2d9,
  0xf2d3a5142cff0c03, 0xfc51e6f64d1d18a4, 0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a, 0x09732f9b697f31db,
  0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0xa29e4afdcd0ccb0e, 0x000000000a021a9c,
};

// m162_u2x12_uart0_lednop_pr
static const uint64_t ur_m162_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0x74c13e30120b6577, 0x8c4f887fd9abf3f3, 0xb424e0935dbcd066, 0xa8eb3cef9613e2d3, 0x6f93d1c74fe0c7df,
  0x23348731602cb298, 0xffb30475e8f9d9ed, 0x07967b66794d2a01, 0x0404f2d3a514560a, 0x0e28f3e24d1d18a6,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0xd7b4f257ee686658, 0x0000000003e43a4e,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0x5eb989cc699f8ba1,
  0x27c602416caef277, 0x7c43fe357e7e6e98, 0x27049aede6833462, 0x59e77cb09f169da1, 0x9e8e3a7f063efd47,
  0xa4398b016594c37c, 0x9823af47cecf6919, 0xb3db33ca69500ffd, 0x27969d28a2b0503c, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0x58df1726ae0f3612, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0001f266e4320d3c,
};

// m162_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart0_lednop_pr_ee[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0xc0482d95de4eeb33, 0x7f8d5f9f2eb304f8, 0x4d76f3419a313fe7, 0x6b47370b4ed09382, 0x60c7cf51e567acd5,
  0xd377c57a57a8f836, 0x632e384e1b875f62, 0xe48b8d64d2135f4b, 0x6edd02310e73ab4b, 0x3905b1aad743af3a,
  0xb2f9c071d8b4c4fa, 0x86a8d823f5b86f65, 0x13cb4e945002535f, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00009d720e59069e,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x95de4eed8f642179,
  0xcf995304f8c0482d, 0x833462784fff66af, 0x169da127049aede6, 0x19281cc8a77fd49e, 0x09cee370a2b93fcf,
  0x51ded4f72c05c673, 0x2c38c71d3f83d62f, 0x633c8d4d1cc580b8, 0xa9ee39633c75e2e7, 0xc0809e5a74a283ab,
  0xe81c51e39f87a314, 0xc5fcdba96ae5297c, 0xa9c0a6173182169d, 0xbb612e65f36d3d0e, 0x63c81a3f8d163ce1,
  0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32, 0x926bda792bf73433, 0x0000000000002dd4,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x13e30120b657793b, 0xfa95fe357e7d2b4c, 0x4e0935dbcd0668c4, 0xb7ee2faa622d3b42, 0x17dc4963cf192a77,
  0x6ff51f097e21b091, 0xfac99e2ee3737693, 0x3349ea3f3d3dcb19, 0x2c05def05c71d3f8, 0xbd1f3b3da46690e6,
  0xcf29a5403ff6678e, 0x9d28a2b0503cb5b8, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54,
  0x6d97063b7fbd5516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x75d6b5641a792bf7, 0x0000000000000003,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222a20, 0xeeaaef20b8e25bbb, 0x20c5f2ef638eeeee, 0x38f8feed8fb26d14, 0xd502e3579131234e,
  0x0482d95de4ee8f62, 0xf1abf3f63f304f8c, 0x5dbcd0668c4fa1ff, 0xa34ac2d3b424e093, 0x3cf192a77a6ee2fa,
  0x97e21b09117dc496, 0xee372f0f96bf51f0, 0x0094ed6e6def99e2, 0x1f06cc1c65ea3cad, 0xebec5a6298ae71f5,
  0x6be96c65c709c370, 0x439ceaedd920ea42, 0x78d8ebce9bb7408c, 0xec5a627d1c82d8d5, 0x991c37b2d97ce038,
  0x142cd4d7e1aa3608, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d, 0xcf43aa702baa9cbc, 0xe0c76ff7aaa2d362,
  0xab83cd84b997cdb2, 0x903f2868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e687993fc09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x009f8f5bc834f257,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x4f8c0482d95de4ee, 0xa1fff1abf3f63f30, 0xe0935dbcd0668c4f, 0xe2faa3a942d3b424, 0xc4963cf192a7652e,
  0x51f097e21b09117d, 0x33c5dc6e72d337ff, 0x795af929dadcdc65, 0xdfea3e0d983117d4, 0x86e1d7d8b4c5315b,
  0xd484d7d2d8cb8e13, 0x2d1a4339d5dba321, 0x1aaf1b1d7aea6ed5, 0x038ec5a744a3507b, 0xea66470decb872ce,
  0xc0809e5a74a298c6, 0xe81c51e39f87a314, 0xc5fcdba96ae5297c, 0xa9c0a6173182169d, 0xf3612e65f36d3d0e,
  0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07,
  0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x00000000027e042f,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_hw[] = {
  0xbbbaeeb43d66ed1f, 0xeeeeaafb39b3e25b, 0x6eff1287378feeee, 0x5d09ab6eee8594f7, 0x5de4ee8c05fb63fc,
  0xfcdd304f8c0482d9, 0x0668c4f887ff0e3c, 0x2d3b424e0935dbcd, 0x7dfa8eb3cef9613e, 0x2986f93d1c74fe0c,
  0x9ed23348731602cb, 0xa01ffb30475e8f9d, 0x60a07967b66794d2, 0x8a60404f2d3a5145, 0x6740e28f3e24d1d1,
  0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x376c25ccbe6d9711, 0x25c33d30ae4fcfec, 0xb0e9296cb25138cb,
  0x9dd829e4afdcd0cc, 0x0000000000047174,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x13e30120b657793b, 0x3fe77fd0a67cbacc, 0x93824d76f3419a31, 0xacd56b47370b4ed0, 0xf83660c7cf51e567,
  0x5f62d377c57a57a8, 0x5f4b632e384e1b87, 0xab4be48b8d64d213, 0xaf3a6edd02310e73, 0xc4fa3905b1aad743,
  0x6f65b2f9c071d8b4, 0x535f86a8d823f5b8, 0x981013cb4e945002, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19,
  0xbfdeaa8b4d8b3d0e, 0x9b09732f9b65c455, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xe1a29e4afdcd0ccb, 0x00000000000b7e57,
};

static const uint64_t ur_m162_u2x12_uart0_lednop_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55f671d7c4b7, 0x55a508c1f600dddd, 0x9fa5e6fbbbb7121c, 0xbbc9ddcc490d5a09,
  0xe13e609f180905b2, 0x19a313d00ffc38f3, 0xb4ed093824d76f34, 0x64a072213bfea4f0, 0x273b8dc80d52bf3c,
  0x4713f3dcb01719cc, 0x0a971c74fe0f58bd, 0x87da3d62398b017a, 0x35b8e58cf1d78b9d, 0xc0809e5a74a283a5,
  0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xb09732f9b65c18ed, 0x0cf4c2b93f3fb0dd,
  0xa4a5b2c944e32c97, 0x60a792bf734332c3, 0x0000000006214b77,
};

// m162_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x04f8c0482d95de4e, 0x3e87ffe8533f63f3, 0x93824d76f3419a31, 0xbb8bea8d2b0b4ed0, 0xee24b1e7942e0e69,
  0xfa8f84bf10d8488b, 0x7ccf1771b930ccf9, 0x51e56804a76b736f, 0x738fa8f83660e32f, 0x4e1b875f62d314c5,
  0x0752135f4b632e38, 0xba04621ce7576ec9, 0x16c6abc6c75e74dd, 0xe701c762d313e8e4, 0x51b044c8e1bd96cb,
  0x969d28a166a6bf0d, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d, 0xbe6d97063b7fbd55,
  0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0000a02b6dd68a79,
};

// m162_u2x12_uart0_dual_pr
static const uint64_t ur_m162_u2x12_uart0_dual[] = {
  0x7777583f07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x3b95f33e1ec58ac4,
  0x3e30120b65779282, 0x7b26460aa421f4c1, 0x7185027c4df6b3c4, 0x9df995c7ae774fb9, 0xebef60514e0e4e6f,
  0x11c913f838f737a8, 0xc2886257f9fbe08a, 0xddeef9b96e801b87, 0x150865a03e221955, 0xdf4affa039e136f7,
  0x01982c2accc5ce5e, 0xbcd0668c4f887fce, 0x13e2d3b424e0935d, 0xe0c7dfa8eb3cef96, 0x2cb2986f93d1c74f,
  0xf9d9ed2334873160, 0x5944ee39630475e8, 0x5149fccfa3999599, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24,
  0x2cf43aa702baa9cb, 0x971156ff7aaa2d36, 0x4d5c1e6c25ccbe6d, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59,
  0xcb0e9296cf8138cb, 0x7399069e4afdcd0c, 0x0000000000000188,
};

static const uint64_t ur_m162_u2x12_uart0_dual_pr_u4[] = {
  0xeeb07e0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0x7720126e7161f14e,
  0xf8c0482d95de4e2f, 0xec99182a906b7304, 0xc61409f137dacf11, 0xa5fe655bb9dd3ee5, 0x3a56d83a5381c398,
  0x847244fe0ea54dea, 0xf0a21895fe7ef822, 0x777bbe6e0d6006e1, 0x454219687c888655, 0xb7eebfe80e784c3e,
  0x34e60b0ab3317397, 0xde68334627829fef, 0xb9e169da127049ae, 0xf837b5ea3dc33be5, 0x0bac533df6b471d3,
  0x6a76afe8d059cc58, 0x895403ff6608ebc0, 0x598e3e07967b63ee, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2,
  0x9cbca6c6740e28f3, 0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0001493b72061dcf,
};

// m162_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart0_dual_pr_ee[] = {
  0x77583f07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0xb47fbbeec2afb17f,
  0x05b2bbc9466eeabd, 0x15480a46609f1809, 0xf89bed6788f64c8c, 0xaddcee9f72e30a04, 0x3fe1c0344da6bf32,
  0xfc1d0fcdea3d8fec, 0x2bfcfdf04508e489, 0xb86b600dc3e14431, 0x41d2a21955ddeef9, 0x80e784c5162a10cb,
  0x56662e72f6fa6ffe, 0x89e52ffde69cc161, 0x849c126bb79a0cd1, 0xb7e6ab5a3d285a76, 0x8f83660fe4f51e57,
  0x75f62d377c57dd7a, 0x35f4b632e384e1b8, 0xead2f38ae04fcd21, 0xebd8cddb7b464f1c, 0x4f9e4690ec6ab5d0,
  0x0decbbdd9c071d8b, 0x2a2541d51b047eb7, 0x8a4fe67d1cccacc0, 0x8e8c5302027969d2, 0x53633a071479f126,
  0x67a1d53815d54e5e, 0xb88ab7fbd55169b1, 0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x2b2138b30ee792bf,
};

// m162_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m162_u2x12_uart0_dual_pr_ce[] = {
  0xeeb07e0f44869a4e, 0xbbbab63b0877e6ee, 0x64e269db9f7bbbbb, 0x351dadddd4666452, 0xe3fa8c547c78658a,
  0x80905b2bbc9976ee, 0x6460aa43aa2609f1, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0xad805a3818fcc337,
  0x244fe0c6b4dea3a5, 0x21895fe7ef822847, 0x77cdc43e006e1f0a, 0x865a051510caaeef, 0x9ff4073c2631f150,
  0x0b0ab3317397b7c0, 0x668c4ff9dfef34e6, 0xd3b424e0935dbcd0, 0x85c1c7f2e2facdc2, 0x1b09117dc4963cf2,
  0xcd34ff3f51f097e2, 0xdcb19e27e678bb8d, 0x1d3f83417ea3f413, 0x4167316028f9d247, 0x99e3af01a9dabfa3,
  0x96b70fba25500ffd, 0xccfa3999598e3e07, 0xa60404f2d3a5149f, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6,
  0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc14c3b9e4afdcd0c, 0x000000000001a49b,
};

static const uint64_t ur_m162_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7583f07d41435202, 0xeeead00201bf3777, 0xd45ecfb7266eeeee, 0xd9b106f75052beb9, 0x5b469ef35fbb0b67,
  0x16caef25eb3b9c87, 0x5521e019827c6024, 0xe26fb59e23d93230, 0xb773ba7dcb8c2813, 0x521c3f5e635bfcca,
  0xe0ed6e6f51e006c0, 0x5fe7ef822847244f, 0xcca8006e1f0a2189, 0x1a6d10caaeef77cd, 0x073c26c09150865a,
  0x6662e72f6f63fff4, 0x9e35bfde69cc1615, 0x49c126bb79a0cd18, 0x21dff546bec5a768, 0x9f3acff3ca170730,
  0xd6562f9309cee371, 0xc1a63ea3cae4494e, 0x4c531584ff51f06c, 0x8cb8e1386e1d7d8b, 0x5dba711d484d7d2d,
  0x7b19bb6f68c9e39d, 0xe791a43b1aaf1b1d, 0x7b2ef76701c762d3, 0x44a83aa3608991c3, 0x49fccfa399959967,
  0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c, 0x6e3cd84b997cdb2e,
  0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f327f8, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00001000bb0c3b9e,
};

static const uint64_t ur_m162_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbb3202, 0xbbab3d326efcdddd, 0xb75b1f9a339bbbbb, 0xb86edd4e4cfb66fb, 0xe2fa6b7b807c805e,
  0x793389dc34e83eba, 0xf5cc13e30120b657, 0xb3c47b26460aa418, 0x4fb97185027c4df6, 0x0e6a4afccb4b7e77,
  0xbd4767cd87599c19, 0x08a11c913f8335b9, 0xb87c2886257f9fbe, 0x55777bbe6e3aa001, 0xc18a8432d00b4886,
  0xbdbe20ffa039e131, 0x0cd1305855998b9c, 0x6f3419a313c66ffd, 0xcba8b4ed093824d7, 0x3ca179d9c1b8bea8,
  0xf886c2445f71258f, 0x1b8a49cdffd47c25, 0x4a76b736be4cf177, 0x83660d31f51e5722, 0xec5a6298ac27fa8f,
  0xe96c65c709c370eb, 0x1ceaedd388ea426b, 0xd8ebd8cddb7b464f, 0x169f3c8d21d8d578, 0x8e1bd977bb380e3b,
  0xcb3a2541d51b044c, 0xd28a4fe67d1cccac, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e,
  0xd97063b7fbd55169, 0xe4d5c1e6c25ccbe6, 0x9bf83f6ec68b1be2, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x2da15524f257ee68, 0x0000000000002001,
};

static const uint64_t ur_m162_u2x12_uart0_dual_hw[] = {
  0x77583f07a2431bc1, 0xdddd586dc0bbf377, 0x9c8cfc8eb4eddddd, 0x06e8e3bbba34c20c, 0x5eee1d74d7deeca7,
  0x09f180905b2bbc9c, 0x23d932305520d6e6, 0xcb8c2813e26fb59e, 0x314bfccab773ba7d, 0xd474adb074a70387,
  0x4508e489fc1d4a9b, 0xc3e144312bfcfdf0, 0xaaeef77cdc1ac00d, 0x7c8a8432d0f9110c, 0x2f6fdd7fd01cf098,
  0xe249cc16156662e7, 0xaede68334627829f, 0xe5b9e169da127049, 0xd3f837b5ea3dc33b, 0x580bac533df6b471,
  0xc06a76afe8d059cc, 0xee895403ff6608eb, 0x99598e3e07967b63, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404,
  0xaa9cbca6c6740e28, 0xa2d362cf43aa702b, 0xcbe6d971156ff7aa, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00000c6eb6e428a7,
};

static const uint64_t ur_m162_u2x12_uart0_dual_ee_hw[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab121d777e6, 0xa352723b5aeb7bbb, 0xff6bc791fddb126e, 0x4da390f5fc255f62,
  0xc0482d95de4a3377, 0x6460aa40523304f8, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0x7f61ff0e01a26d35,
  0x244fe0e87e6f51ec, 0x21895fe7ef822847, 0x77cdc35b006e1f0a, 0x865a0e9510caaeef, 0x7ff4073c2628b150,
  0x0b0ab3317397b7d3, 0x33462794bff124e6, 0x69da127049aede68, 0x795edf9aad68f4a1, 0x75ea3e0d983f93d4,
  0x86e1d7d8b4ddf15f, 0x3484d7d2d8cb8e13, 0x3c73ab4bce2b813f, 0xd743af63376ded19, 0x762d3e791a43b1aa,
  0xfadc37b2ef76701c, 0xb300a89507546c11, 0xa74a293f99f47332, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00057689c5d14f25,
};

static const uint64_t ur_m162_u2x12_uart0_dual_ce_hw[] = {
  0xdd60fc1e890d365a, 0x77756c7610efcddd, 0xc9c4d3b73ef77777, 0x6a3b5bbba8ccc8a4, 0xeec89ebde95ecb14,
  0xf180905b2bbc9976, 0xb26460aa43aa2609, 0x185027c4df6b3c47, 0x37f9956ee774fb97, 0xa5ad805a3818fcc3,
  0x47244fe0c6b4dea3, 0x0a21895fe7ef8228, 0xef77cdc43e006e1f, 0x50865a051510caae, 0xc09ff4073c2631f1,
  0xe60b0ab3317397b7, 0x68334627fceff124, 0xe169da127049aede, 0x7942e0e3f9717d66, 0xf10d8488bee24b1e,
  0x1b863e337fa8f84b, 0x27b9633c4fccf177, 0x8e3a7f0682fd47e8, 0x4682ce62c051f3a4, 0xfb33c75e0353b57f,
  0x0f2d6e1f744aa01f, 0x3f99f47332b31c7c, 0x314c0809e5a74a29, 0x8ce81c51e7c49a3a, 0x8754e0575539794d,
  0x8edfef5545a6c59e, 0xc79b09732f9b65c1, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xef05a29e4afdcd0c, 0x00000000000009ba,
};

static const uint64_t ur_m162_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbbac1f8387ad0c86, 0x7777567a64ddf9bb, 0xcdf76eb7a3f37777, 0x00bd70ddba9c99f6, 0xdd8dd9bcc5f700f9,
  0x0120b657793389dd, 0x460aa418f5cc13e3, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb0eb338321cd495f,
  0x27f066b737a8ecf9, 0xc4aff3f7c1142392, 0xcdc75400370f8510, 0x5a016910caaeef77, 0xf4073c2638315086,
  0x0ab3317397b7c41f, 0x8c4f19bff124e60b, 0xb424e0935dbcd066, 0x8706e2faa32ea2d3, 0x22fb892c79e50b83,
  0x3e7ea3e12fc43612, 0xdaf933c5dc6e4c33, 0xc7d4795c8929dadc, 0x62b09fea3e0d9834, 0x1c270dc3afb1698a,
  0x4e23a909afa5b197, 0x376ded193c73abb7, 0x34876355e363af63, 0xdeece038ec5a7cf2, 0x07546c1132386f65,
  0x99f47332b32ce895, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87,
  0x9b09732f9b65c18e, 0x861539fa97ab8dc7, 0xc9fe2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0000075d6c7fa29e,
};

static const uint64_t ur_m162_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeb07e0f4486f97, 0x7777567a6a3f7e6e, 0x96d68abf70fb7777, 0x8a27bd70ddbbf693, 0xb9e08ceb54eb66eb,
  0xc602416caef24ed3, 0x4c8c154887939827, 0x0a04f89bed6788f6, 0xff32addcee9f72e3, 0x6f6130c7067c9bac,
  0x9227f062926f51cd, 0x10c4aff3f7c11423, 0xbbe6e29200370f85, 0x432d027488655777, 0xfffa039e136ce8a8,
  0x0b0ab3317397b7ad, 0x334627ffcff124e6, 0x69da127049aede68, 0xc1c95d717d51fce1, 0x09117dc4963cf285,
  0x6e61bf51f097e21b, 0x6e6d3199e2ee370d, 0x3c8bea3caf4a94ed, 0xc5315cddea3e0d98, 0xcb8e1386e1d7d8b4,
  0xdba211d484d7d2d8, 0x534ecb3d1d7f39d5, 0xb463eec6abc6c75e, 0x65b93380e3b169a0, 0x9959e31d6232386f,
  0xf2d3a5149fccfa39, 0x3cb74d1d18a60404, 0xeaa72f29b19d038a, 0x702eae63042d37aa, 0xd84b997cdb4f43aa,
  0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x2514f257ee686658, 0x0000000000075d50,
};

// m162_u2x12_uart1_noled_pr
static const uint64_t ur_m162_u2x12_uart1_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x24c13e30120b6577, 0x989eb5ffd9abf3ff, 0x85c24cff6cd07d18, 0x7f3be584ff013b45, 0xf471d3f831f7ea3d,
  0x78e62c05965308bc, 0x608ebd1f3b071466, 0x9eda9afc35403ff6, 0xe69f4934caca81e5, 0x379bd80e3e8669ce,
  0x47f529794deb9ecd, 0x5516953e9e8754e0, 0x32f9b697f8ab7fbd, 0x1fc68b1e70ddb097, 0xa615c9fbab31e40d,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x000000f906e3f5ed,
};

static const uint64_t ur_m162_u2x12_uart1_noled_pr_u4[] = {
  0xdd775a1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0x696694b8ae379122,
  0x9f180905b2bbc9dd, 0xd6bff8d5f9ff9260, 0x499fed9a0fa31313, 0x7cb09fe02768b0b8, 0x3a7f063efd47afe7,
  0xc580b2ca61179e8e, 0xd7a3e760e28ccf1c, 0x535f86a807fecc11, 0xe9269959503cb3db, 0x7b01c7d0cd39dcd3,
  0xa52f29bd73d9a6f3, 0xd2a7d3d0ea9c08fe, 0x36d2ff156ff7aaa2, 0x1726ae0f3612e65f, 0x5663c81f943458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xc9dc41f20d3c95fb, 0x0000000000000007,
};

// m162_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart1_noled_pr_ee[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0x602416caef2774c8, 0xbfc6afcfba59827c, 0xff6cd07d18989ffb, 0x7377013b4585c24c, 0x7cf51e5738cd56b4,
  0xf8ae5f7a8f83660c, 0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0xcf4627ce756974c5, 0xec6ab5d0ebce9bb2,
  0x380e3b169a0b478c, 0x1b047eb70decb65f, 0x3e9269805f860195, 0x37b01c7d0cd39dcd, 0xea52f29bd73d9a6f,
  0x2d2a7d3d0ea9c08f, 0xf36d2ff156ff7aaa, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x13aebcfb20d3c95f,
};

static const uint64_t ur_m162_u2x12_uart1_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0xde4eec2f5a3c7a08,
  0xf75304f8c0482d95, 0x31313cf5ff66afcf, 0x8b0b8499fed9a0fa, 0xc1be77fd49ee0276, 0x3717d945fcf19281,
  0xcf72c05c67309cee, 0x71d3f83d62f51d05, 0xc351cc580b5fc7dc, 0x58cf1d78b9db5891, 0xd3e92698e80d5b8e,
  0xde5b81c7d0cd39dc, 0x1fd4a5e537ae7b34, 0x3819d4cc6085a72f, 0x6c25ccbe6da7a1d5, 0x790347f1a2c79c37,
  0x2e19e985727eeacc, 0x87494b659289c659, 0xed7b4f257ee68665, 0x00000000000b7554,
};

static const uint64_t ur_m162_u2x12_uart1_noled_pr_ce_u4[] = {
  0xeebbad0e8911fc3b, 0xbbaaba1dc2f896ee, 0xc6dd69856921bbbb, 0x3fd2eeeef89e6f50, 0xdb826ea1994ec776,
  0x09f180905b2bbc9d, 0x3dfcff1abf3e5166, 0x8499fed9a0fa3131, 0x717d531e02768b0b, 0xe24b1e78c953b09f,
  0xa8f84bf10d8488be, 0x2678bb8dcb1fff9f, 0x9ea3b5f4f72c67eb, 0xb70c43c71d3f8334, 0xe760e28ccf1cc580,
  0x86a807feccf1d7a3, 0xa656540f2d6e535f, 0x71f4334e7734fa49, 0xca6f5cf669bcdec0, 0xf4f43aa7023fa94b,
  0x7f31dbfdeaa8b4a9, 0x57079b09732f9b69, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x43f9069e4afdcd0c, 0x00000000000375ce,
};

static const uint64_t ur_m162_u2x12_uart1_noled_pr_ee_ce[] = {
  0x775dd6861eb44511, 0xddd55de41a2c4b77, 0x50b36392eac1dddd, 0xe38f8feed8fb2610, 0x67d938b17d334a7e,
  0xc0482d95de4eeabe, 0x7f8d5f9f0b5304f8, 0xfed9a0fa31313c9d, 0xa56e02768b0b8499, 0x78c953b95d717d51,
  0xf10d8488bee24b1e, 0x3739699bffa8f84b, 0x94ed6e6def99e2ee, 0x06cc1c65ea3cac14, 0xec5a6298ae6ef51f,
  0xe96c65c709c370eb, 0x9ceaedc988ea426b, 0xb1d79d37659e8c4f, 0x5a682d1e33b1aaf1, 0x1c37b2d97ce038ec,
  0x2cff0c032a360899, 0xfa19a73b9a7d24d3, 0x37ae7b34de6f6038, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa,
  0x83cd84b997cdb4bf, 0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x64ff1738cbf313f9, 0x5727e39effe09a1e,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000009f864c834f,
};

static const uint64_t ur_m162_u2x12_uart1_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0x7c602416caef2774, 0x57ff8d5f9fe9f982, 0x33fdb341f462627f, 0xa3a95c04ed161709, 0x3cf192a7670ee2fa,
  0x97e21b09117dc496, 0xee372f0f96bf51f0, 0xe494ed6e6e3299e2, 0x1f06cc188bea3caf, 0xebec5a6298ac7cf5,
  0x6be96c65c709c370, 0x7139d5dba0f8ea42, 0x1b1d7aea6ecf6918, 0xc5a66791a9ab1aaf, 0x470decb872ce038e,
  0x734fa49a78c40d46, 0xd3796e071f4334e7, 0xbc7f529794deb9ec, 0x54e067533182169c, 0x79b09732f9b69e87,
  0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x9069e4afdcd0ccb0, 0x00000000013f1341,
};

static const uint64_t ur_m162_u2x12_uart1_noled_hw[] = {
  0xbaeeb43d4166ef3a, 0xeeaafb39bbe25bbb, 0x4df9e17b5a6eeeee, 0x8bebf77742ca7bbc, 0x93ba0bd04d641e44,
  0x24c13e30120b6577, 0x2627ad7ffc38f3ff, 0x6170933fdb341f46, 0x5fcef9613fc04ed1, 0x3d1c74fe0c7dfa8f,
  0x9e398b016594c22f, 0x9823af47cec1c519, 0x67b6a6bf0d500ffd, 0xb9a7d24d32b2a079, 0x4de6f6038fa19a73,
  0x11fd4a5e537ae7b3, 0x5545a54fa7a1d538, 0xccbe6da5fe2adfef, 0xcfd4d876371e6c25, 0x7993fc09c69430a9,
  0xe19e985727e03e68, 0x87494b67c09c6592, 0xfec14f257ee68665, 0x0000000007441db8,
};

static const uint64_t ur_m162_u2x12_uart1_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x09f180905b2bbc9d, 0x9ffbbfe8533ee966, 0xc24cff6cd07d1898, 0x56b47377013b4585, 0x660c7cf51e5738cd,
  0x5a6ef8ae5f7a8f83, 0x6c65c709c370ebec, 0x74c571ac9a426be9, 0x9bb2cf4627ce7569, 0x478cec6ab5d0ebce,
  0xb65f380e3b169a0b, 0x01951b047eb70dec, 0x9dcd3e9269805f86, 0x9a6f37b01c7d0cd3, 0xc08fea52f29bd73d,
  0x7aaa2d2a7d3d0ea9, 0x2e65f36d2ff156ff, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x00000000b7e0bb54,
};

static const uint64_t ur_m162_u2x12_uart1_noled_ce_hw[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaafb39e9625b, 0x71ff17c1f6a1eeee, 0xd933d9fbbba682a6, 0x7793ba0bd04d6406,
  0xfdd4c13e30120b65, 0xa31313cf5ffc38f3, 0x68b0b8499fed9a0f, 0x0e64877fd6d6e027, 0x71b952bf77e78c94,
  0xbe9ee580bac984e7, 0x78e3a7f06693d476, 0x5199e398b016e188, 0xffd99e3af47cec1c, 0x81e5adca6bf0d500,
  0x69cee69f4934caca, 0x9ecd379bd80e3e86, 0x54e047f529794deb, 0x7fbd5516953e9e87, 0x612e65f36d2fe63b,
  0x19e985727e7f61bb, 0x494b659289c6592e, 0xc14f257ee6866587, 0x000000000c4283ae,
};

// m162_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m162_u2x12_uart1_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x827c602416caef27, 0x2793affa14cf85a9, 0x70933fdb341f4626, 0x2faa34adc04ed161, 0x92c79e50b8392bae,
  0x3e12fc4361222fb8, 0x3c5dc6e760de1fea, 0x9582929dadcdbdf3, 0xdea3e0d9838cbd47, 0x6e1d7d8b4c5315cd,
  0x484d7d2d8cb8e138, 0xd189f39d5db9311d, 0x355e363af3a6ecb3, 0x071d8b4d05a3c676, 0xc1132386f65b2f9c,
  0xa49a659fe1806546, 0xec071f4334e7734f, 0x94bca6f5cf669bcd, 0x4a9f4f43aa7023fa, 0xb697f31dbfdeaa8b,
  0x05d8dc79b09732f9, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x00a021a9ca29e4af,
};

// m162_u2x12_uart1_lednop_pr
static const uint64_t ur_m162_u2x12_uart1_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0x74c13e30120b6577, 0x4c4f887fd9abf3f3, 0xc2e1267fb6683e8c, 0x679df2c27f809da2, 0x7a38e9fc18fbf51d,
  0x90e62c0596530df2, 0x608ebd1f3b3da466, 0xcf6ccf29a5403ff6, 0x734fa49a6ac140f2, 0xc4071f4334f02027,
  0xcbca6c6740b34de7, 0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x003e43a4ed7b4f25,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_pr_u4[] = {
  0xeebbad0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0x5eb989cc699f8ba1,
  0x27c602416caef277, 0x7c43fe357e7e6e98, 0x0933fdb341f46262, 0xef9613fc04ed1617, 0xc74fe0c7dfa8eb3c,
  0x31602cb2986f93d1, 0x75e8f9d9ed233487, 0x66794d2a01ffb304, 0x7d24d3560a07967b, 0x38fa19a781013b9a,
  0x53633a059a6f3e20, 0x67a1d53815d54e5e, 0xb88ab7fbd55169b1, 0x6ae0f3612e65f36c, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x6e4320d3c95fb9a1, 0x0000000000001f26,
};

// m162_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart1_lednop_pr_ee[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0xc0482d95de4eeb33, 0x7f8d5f9f2eb304f8, 0xfed9a0fa31313fe7, 0xe6ee02768b0b8499, 0xf9ea3cacf59aad68,
  0xf8af4af51f06cc18, 0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0xa04621ce75697c91, 0xb6355ae875e74ddb,
  0x380e3b16989f4720, 0x1b047eb70decb65f, 0x3e9269804a6bf0d5, 0x1c7d0cd3c0809dcd, 0x29b19d02cd379f10,
  0xb3d0ea9c0aeaa72f, 0x5c455bfdeaa8b4d8, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x20e59069e4afdcd0,
  0x00000000000009d7,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x95de4eed8f642179,
  0xcf995304f8c0482d, 0xf46262784fff66af, 0xed16170933fdb341, 0x039914effa93dc04, 0xdc6e145727f9e325,
  0xda9ee580b8ce6139, 0x18e3a7f07ac5ea3b, 0x91a9a398b0170587, 0xc72c678ebc5cec67, 0xee69f4934c75753d,
  0xc35214e8669e0404, 0x96ae5297ce81669b, 0x73182169dc5fcdba, 0x5f36d3d0ea9c0a61, 0xf8d163ce1bb612e6,
  0xc2b93f75663c81a3, 0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000002dd4926bda7,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x13e30120b657793b, 0xfa95fe357e7d2b4c, 0x1267fb6683e8c4c4, 0xc5f54c7809da2c2e, 0x892c79e3254ef6fd,
  0xa3e12fc4361222fb, 0x33c5dc6e6ed26dfe, 0x3d47e7a7b9633f59, 0xbbde0b8e3a7f0669, 0xe767b48cd21cc580,
  0x34a807feccf1d7a3, 0xd3560a0796b719e5, 0x19a781013b9a7d24, 0x3a059a6f3e2038fa, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0xe6c25ccbe6d97063, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x41a792bf734332c3, 0x00000000375d6b56,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222a20, 0xeeaaef20b8e25bbb, 0x20c5f2ef638eeeee, 0x38f8feed8fb26d14, 0xd502e3579131234e,
  0x0482d95de4ee8f62, 0xf1abf3f63f304f8c, 0xb6683e8c4c4fa1ff, 0x5b809da2c2e1267f, 0x3254ef4ddc5f5469,
  0x4361222fb892c79e, 0xe5e1f2d7ea3e12fc, 0x9dadcdbdf33c5dc6, 0xd9838cbd4795a012, 0x8b4c5315ce3ea3e0,
  0x2d8cb8e1386e1d7d, 0x9d5dbb241d484d7d, 0x1d79d376e8118873, 0x4c4fa3905b1aaf1b, 0x86f65b2f9c071d8b,
  0x9a9afc3546c11323, 0xf02027734fa49a65, 0xb34de7c4071f4334, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7,
  0x4b997cdb2e0c76ff, 0x8b2d5e5c9ab83cd8, 0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0xbc834f257ee68665, 0x000000000009f8f5,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x4f8c0482d95de4ee, 0xa1fff1abf3f63f30, 0x267fb6683e8c4c4f, 0x54752b809da2c2e1, 0xc79e3254eca5dc5f,
  0x12fc4361222fb892, 0xbb8dce5a66ffea3e, 0x5f253b5b9b8ca678, 0x47c1b30622fa8f2b, 0x3afb1698a62b7bfd,
  0x9afa5b1971c270dc, 0x48673abb74643a90, 0xe363af5d4ddaa5a3, 0xd8b4e8946a0f6355, 0xc8e1bd970e59c071,
  0xee69f4934f18dd4c, 0xc35214e8669e0404, 0x96ae5297ce81669b, 0x73182169dc5fcdba, 0x5f36d3d0ea9c0a61,
  0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0027e042f20d3c95,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_hw[] = {
  0xbbbaeeb43d66ed1f, 0xeeeeaafb39b3e25b, 0x6eff1287378feeee, 0x5d09ab6eee8594f7, 0x5de4ee8c05fb63fc,
  0xfcdd304f8c0482d9, 0xe8c4c4f887ff0e3c, 0xda2c2e1267fb6683, 0x51d679df2c27f809, 0xdf27a38e9fc18fbf,
  0x46690e62c0596530, 0xff6608ebd1f3b3da, 0x0f2cf6ccf29a5403, 0x027734fa49a6ac14, 0xde7c4071f4334f02,
  0xaa9cbca6c6740b34, 0xa2d362cf43aa702b, 0xcbe6d971156ff7aa, 0x0ae4fcfec376c25c, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0000471749dd829e,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x13e30120b657793b, 0x3fe77fd0a67cbacc, 0x8499fed9a0fa3131, 0xad68e6ee02768b0b, 0xcc18f9ea3cacf59a,
  0x5a6ef8af4af51f06, 0x6c65c709c370ebec, 0x7c9171ac9a426be9, 0x4ddba04621ce7569, 0x4720b6355ae875e7,
  0xb65f380e3b16989f, 0xf0d51b047eb70dec, 0x9dcd3e9269804a6b, 0x9f101c7d0cd3c080, 0xa72f29b19d02cd37,
  0xb4d8b3d0ea9c0aea, 0xf9b65c455bfdeaa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0000b7e57e1a29e4,
};

static const uint64_t ur_m162_u2x12_uart1_lednop_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55f671d7c4b7, 0x55a508c1f600dddd, 0x9fa5e6fbbbb7121c, 0xbbc9ddcc490d5a09,
  0xe13e609f180905b2, 0xa31313d00ffc38f3, 0x68b0b8499fed9a0f, 0x0e44277fd49ee027, 0x71b901aa57e78c94,
  0x7e7b9602e33984e7, 0xe38e9fc1eb17a8e2, 0x47ac4731602f4152, 0x1cb19e3af173b0fb, 0xee69f4934c74a6b7,
  0xf880e3e8669e0404, 0x39794d8ce81669bc, 0xa6c59e8754e05755, 0x9b65c18edfef5545, 0x93f3fb0ddb09732f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x006214b7760a792b,
};

// m162_u2x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x04f8c0482d95de4e, 0x3e87ffe8533f63f3, 0x8499fed9a0fa3131, 0x7d51a56e02768b0b, 0x963cf285c1cd3771,
  0xf097e21b09117dc4, 0xe2ee3726199f3f51, 0xad0094ed6e6def99, 0xf51f06cc1c65ea3c, 0x70ebec5a6298ae71,
  0x426be96c65c709c3, 0x8c439ceaedd920ea, 0xd578d8ebce9bb740, 0x38ec5a627d1c82d8, 0x08991c37b2d97ce0,
  0x24d32cd4d7e1aa36, 0xfa19a781013b9a7d, 0x633a059a6f3e2038, 0xa1d53815d54e5e53, 0x63b7fbd55169b167,
  0x71e6c25ccbe6d970, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0xb6dd68a792bf7343, 0x0000000000000a02,
};

// m162_u2x12_uart1_dual_pr
static const uint64_t ur_m162_u2x12_uart1_dual[] = {
  0x7777583f07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x3b95f33e1ec58ac4,
  0x3e30120b65779282, 0x7b26460aa421f4c1, 0x7185027c4df6b3c4, 0x9df995c7ae774fb9, 0xebef60514e0e4e6f,
  0x11c913f838f737a8, 0xc2886257f9fbe08a, 0xddeef9b96e801b87, 0x150865a03e221955, 0xdf4affa039e136f7,
  0x01982c2accc5ce5e, 0x683e8c4c4f887fce, 0x809da2c2e1267fb6, 0xfbf51d679df2c27f, 0x530df27a38e9fc18,
  0x3da46690e62c0596, 0x9dc72c608ebd1f3b, 0x3f99f47332b32b28, 0x4f02027734fa49a7, 0x0b34de7c4071f433,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x0d163ce2e4d5c1e6, 0x0ae4fdd598f207e5,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000001887399069,
};

static const uint64_t ur_m162_u2x12_uart1_dual_pr_u4[] = {
  0xeeb07e0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0x7720126e7161f14e,
  0xf8c0482d95de4e2f, 0xec99182a906b7304, 0xc61409f137dacf11, 0xa5fe655bb9dd3ee5, 0x3a56d83a5381c398,
  0x847244fe0ea54dea, 0xf0a21895fe7ef822, 0x777bbe6e0d6006e1, 0x454219687c888655, 0xb7eebfe80e784c3e,
  0x34e60b0ab3317397, 0x341f462627829fef, 0xc04ed16170933fdb, 0xf6bd47b8677cb73d, 0x8a67bed68e3a7f06,
  0xd5fd1a0b398b0175, 0x807fecc11d780d4e, 0xc7c0f2cf6c7dd12a, 0x9a73f99f47332b31, 0x4334f02027734fa4,
  0x6740b34de7c4071f, 0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x1e6c25ccbe6d9711, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xb72061dcf257ee68, 0x0000000000001493,
};

// m162_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m162_u2x12_uart1_dual_pr_ee[] = {
  0x77583f07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0xb47fbbeec2afb17f,
  0x05b2bbc9466eeabd, 0x15480a46609f1809, 0xf89bed6788f64c8c, 0xaddcee9f72e30a04, 0x3fe1c0344da6bf32,
  0xfc1d0fcdea3d8fec, 0x2bfcfdf04508e489, 0xb86b600dc3e14431, 0x41d2a21955ddeef9, 0x80e784c5162a10cb,
  0x56662e72f6fa6ffe, 0x89e52ffde69cc161, 0x5c24cff6cd07d189, 0xd56b47a57013b458, 0x6cc1fc9ea3caf6fc,
  0xc5a6ef8afbaf51f0, 0x96c65c709c370ebe, 0x5e715c09f9a426be, 0x19bb6f68c9e39d5a, 0xc8d21d8d56ba1d7b,
  0x977bb380e3b169f3, 0xa83aa3608fd6e1bd, 0xfccfa39995980544, 0x781013b9a7d24d39, 0x59a6f3e2038fa19a,
  0x815d54e5e53633a0, 0xbd55169b167a1d53, 0x12e65f36cb88ab7f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x30ee792bf734332c,
  0x0000000002b2138b,
};

// m162_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m162_u2x12_uart1_dual_pr_ce[] = {
  0xeeb07e0f44869a4e, 0xbbbab63b0877e6ee, 0x64e269db9f7bbbbb, 0x351dadddd4666452, 0xe3fa8c547c78658a,
  0x80905b2bbc9976ee, 0x6460aa43aa2609f1, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0xad805a3818fcc337,
  0x244fe0c6b4dea3a5, 0x21895fe7ef822847, 0x77cdc43e006e1f0a, 0x865a051510caaeef, 0x9ff4073c2631f150,
  0x0b0ab3317397b7c0, 0x8c4c4ff9dfef34e6, 0xa2c2e1267fb6683e, 0x38fe5c5f59bb809d, 0x222fb892c79e50b8,
  0x9fe7ea3e12fc4361, 0x33c4fccf1771b9a6, 0xf0682fd47e827b96, 0xe62c051f3a48e3a7, 0x75e0353b57f4682c,
  0xe1f744aa01ffb33c, 0x47332b31c7c0f2d6, 0x27734fa49a73f99f, 0xe7c4071f4334f020, 0xa9cbca6c6740b34d,
  0x2d362cf43aa702ba, 0x7cdb2e0c76ff7aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001a49bc14c3b9,
};

static const uint64_t ur_m162_u2x12_uart1_dual_pr_ee_ce[] = {
  0x7583f07d41435202, 0xeeead00201bf3777, 0xd45ecfb7266eeeee, 0xd9b106f75052beb9, 0x5b469ef35fbb0b67,
  0x16caef25eb3b9c87, 0x5521e019827c6024, 0xe26fb59e23d93230, 0xb773ba7dcb8c2813, 0x521c3f5e635bfcca,
  0xe0ed6e6f51e006c0, 0x5fe7ef822847244f, 0xcca8006e1f0a2189, 0x1a6d10caaeef77cd, 0x073c26c09150865a,
  0x6662e72f6f63fff4, 0x9e35bfde69cc1615, 0xc24cff6cd07d1898, 0xfea8d7df013b4585, 0x59fe7942e0e6043b,
  0xc5f26139dc6e33e7, 0xc7d4795c8929daca, 0x62b09fea3e0d9834, 0x1c270dc3afb1698a, 0x4e23a909afa5b197,
  0x376ded193c73abb7, 0x34876355e363af63, 0xdeece038ec5a7cf2, 0x07546c1132386f65, 0x99f47332b32ce895,
  0x02027734fa49a73f, 0x34de7c4071f4334f, 0x2baa9cbca6c6740b, 0xaaa2d362cf43aa70, 0xb997cdb2e0c76ff7,
  0xb8d165abc6e3cd84, 0x1539fa9d599bf83b, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x0bb0c3b9e4afdcd0, 0x0000000000000100,
};

static const uint64_t ur_m162_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbb3202, 0xbbab3d326efcdddd, 0xb75b1f9a339bbbbb, 0xb86edd4e4cfb66fb, 0xe2fa6b7b807c805e,
  0x793389dc34e83eba, 0xf5cc13e30120b657, 0xb3c47b26460aa418, 0x4fb97185027c4df6, 0x0e6a4afccb4b7e77,
  0xbd4767cd87599c19, 0x08a11c913f8335b9, 0xb87c2886257f9fbe, 0x55777bbe6e3aa001, 0xc18a8432d00b4886,
  0xbdbe20ffa039e131, 0x0cd1305855998b9c, 0x9a0fa31313c66ffd, 0xe02768b0b8499fed, 0x2f3b383717d51975,
  0xd8488bee24b1e794, 0x4939bffa8f84bf10, 0xd6e6d7c99e2ee371, 0xc1a63ea3cae4494e, 0x4c531584ff51f06c,
  0x8cb8e1386e1d7d8b, 0x5dba711d484d7d2d, 0x7b19bb6f68c9e39d, 0xe791a43b1aaf1b1d, 0x7b2ef76701c762d3,
  0x44a83aa3608991c3, 0x39fccfa399959967, 0x9a781013b9a7d24d, 0xa059a6f3e2038fa1, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x6c25ccbe6d97063b, 0xec68b1be2e4d5c1e, 0x539fa9d599bf83f6, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000020012da1552,
};

static const uint64_t ur_m162_u2x12_uart1_dual_hw[] = {
  0x77583f07a2431bc1, 0xdddd586dc0bbf377, 0x9c8cfc8eb4eddddd, 0x06e8e3bbba34c20c, 0x5eee1d74d7deeca7,
  0x09f180905b2bbc9c, 0x23d932305520d6e6, 0xcb8c2813e26fb59e, 0x314bfccab773ba7d, 0xd474adb074a70387,
  0x4508e489fc1d4a9b, 0xc3e144312bfcfdf0, 0xaaeef77cdc1ac00d, 0x7c8a8432d0f9110c, 0x2f6fdd7fd01cf098,
  0xe249cc16156662e7, 0xdb341f462627829f, 0x3dc04ed16170933f, 0x06f6bd47b8677cb7, 0x758a67bed68e3a7f,
  0x4ed5fd1a0b398b01, 0x2a807fecc11d780d, 0x31c7c0f2cf6c7dd1, 0xa49a73f99f47332b, 0x1f4334f02027734f,
  0x6c6740b34de7c407, 0xf43aa702baa9cbca, 0x1156ff7aaa2d362c, 0x371e6c25ccbe6d97, 0xef79430a9cfd4176,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xeb6e428a792bf734,
  0x00000000000000c6,
};

static const uint64_t ur_m162_u2x12_uart1_dual_ee_hw[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab121d777e6, 0xa352723b5aeb7bbb, 0xff6bc791fddb126e, 0x4da390f5fc255f62,
  0xc0482d95de4a3377, 0x6460aa40523304f8, 0x5027c4df6b3c47b2, 0xf9956ee774fb9718, 0x7f61ff0e01a26d35,
  0x244fe0e87e6f51ec, 0x21895fe7ef822847, 0x77cdc35b006e1f0a, 0x865a0e9510caaeef, 0x7ff4073c2628b150,
  0x0b0ab3317397b7d3, 0x46262794bff124e6, 0xd16170933fdb341f, 0xdbf355ad1e95c04e, 0x47c1b307f27a8f2b,
  0x3afb169bbe2beebd, 0x9afa5b1971c270dc, 0x756979c57027e690, 0x75ec66edbda3278e, 0xa7cf234876355ae8,
  0x86f65deece038ec5, 0x1512a0ea8d823f5b, 0x34e7f33e8e665660, 0x8669e0404ee69f49, 0xce81669bcf880e3e,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0x3cd84b997cdb2e22, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x9c5d14f257ee6866, 0x0000000000005768,
};

static const uint64_t ur_m162_u2x12_uart1_dual_ce_hw[] = {
  0xdd60fc1e890d365a, 0x77756c7610efcddd, 0xc9c4d3b73ef77777, 0x6a3b5bbba8ccc8a4, 0xeec89ebde95ecb14,
  0xf180905b2bbc9976, 0xb26460aa43aa2609, 0x185027c4df6b3c47, 0x37f9956ee774fb97, 0xa5ad805a3818fcc3,
  0x47244fe0c6b4dea3, 0x0a21895fe7ef8228, 0xef77cdc43e006e1f, 0x50865a051510caae, 0xc09ff4073c2631f1,
  0xe60b0ab3317397b7, 0x1f462627fceff124, 0x4ed16170933fdb34, 0x5c1c7f2e2facddc0, 0xb09117dc4963cf28,
  0xc7c66ff51f097e21, 0x2c6789f99e2ee370, 0x4fe0d05fa8fd04f7, 0x59cc580a3e7491c7, 0x78ebc06a76afe8d0,
  0xadc3ee895403ff66, 0x3e8e6656638f81e5, 0x404ee69f4934e7f3, 0x9bcf880e3e8669e0, 0x75539794d8ce8166,
  0x545a6c59e8754e05, 0x32f9b65c18edfef5, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000009baef05a29,
};

static const uint64_t ur_m162_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbbac1f8387ad0c86, 0x7777567a64ddf9bb, 0xcdf76eb7a3f37777, 0x00bd70ddba9c99f6, 0xdd8dd9bcc5f700f9,
  0x0120b657793389dd, 0x460aa418f5cc13e3, 0x027c4df6b3c47b26, 0x9956ee774fb97185, 0xb0eb338321cd495f,
  0x27f066b737a8ecf9, 0xc4aff3f7c1142392, 0xcdc75400370f8510, 0x5a016910caaeef77, 0xf4073c2638315086,
  0x0ab3317397b7c41f, 0x4c4f19bff124e60b, 0xc2e1267fb6683e8c, 0xdc5f5465d7809da2, 0x71258f3ca17070e0,
  0xd47c25f886c2445f, 0x2678bb8dc98667cf, 0x8f2b91253b5b9b5f, 0x13fd47c1b30698fa, 0xe1b875f62d314c56,
  0x752135f4b632e384, 0xbda3278e7576e9c4, 0xec6abc6c75ec66ed, 0x9c071d8b4f9e4690, 0x8d8226470decbbdd,
  0x8e6656659d12a0ea, 0x4ee69f4934e7f33e, 0xcf880e3e8669e040, 0x539794d8ce81669b, 0x5a6c59e8754e0575,
  0xf9b65c18edfef554, 0xa97ab8dc79b09732, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0xb25c33d30ae4fc73,
  0xccb0e9296cf8138c, 0xd6c7fa29e4afdcd0, 0x0000000000000075,
};

static const uint64_t ur_m162_u2x12_uart1_dual_ee_ce_u4_hw[] = {
  0xeeeb07e0f4486f97, 0x7777567a6a3f7e6e, 0x96d68abf70fb7777, 0x8a27bd70ddbbf693, 0xb9e08ceb54eb66eb,
  0xc602416caef24ed3, 0x4c8c154887939827, 0x0a04f89bed6788f6, 0xff32addcee9f72e3, 0x6f6130c7067c9bac,
  0x9227f062926f51cd, 0x10c4aff3f7c11423, 0xbbe6e29200370f85, 0x432d027488655777, 0xfffa039e136ce8a8,
  0x0b0ab3317397b7ad, 0x462627ffcff124e6, 0xd16170933fdb341f, 0x2bae2faa3f9dc04e, 0x2fb892c79e50b839,
  0x37ea3e12fc436122, 0xa6333c5dc6e1adcc, 0x7d4795e9529dadcd, 0x2b9bbd47c1b30791, 0xc270dc3afb1698a6,
  0x423a909afa5b1971, 0xd967a3afe73abb74, 0x7dd8d578d8ebca69, 0x26701c762d34168c, 0x3c63ac46470decb7,
  0xa49a73f99f47332b, 0x1f4334f02027734f, 0x9b19d02cd3796e07, 0x3042d37aaeaa72f2, 0xcdb4f43aa702eae6,
  0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x000075d502514f25,
};

// m162_swio10_noled_pr
static const uint64_t ur_m162_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x0905b2bbc9ddb1ec, 0xecd5f9f32a609f18, 0x6b9df2c4d52009ff, 0xca38e9fc1887f51d, 0x16731602dee9a6e8,
  0xc608ebc5cec4d23c, 0xf2e556a5654bdc72, 0xa551aeb2039920da, 0x672bb54b7d59cea2, 0xd312a97debe9a64d,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0x4f43aa702dc7c502, 0x8f386ed84b997cdb, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x0f90249af69e4afd,
};

static const uint64_t ur_m162_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae4506dc4a3, 0xfad4f54c0e26c13c, 0x59ade1631d7a45b1, 0x3e3cb8f8bdd8e3d0,
  0xbbc9dd583938d832, 0xf1ee609f180905b2, 0xb08b483baff1abf3, 0x9fc193dea3cdc77c, 0x602cb29bba05238e,
  0x7a3e761f11dac731, 0xa059ea807fecc11d, 0x955a882540f2cf6f, 0x46bac80e64836bcb, 0xaed52df5673a8a95,
  0x4aa5f7afa699359c, 0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xf9b62b5455bfdeaa,
  0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x1f27acb59069e4af,
};

// m162_swio10_noled_pr_ee_u4
static const uint64_t ur_m162_swio10_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0x793ba75a3509167d, 0x6b4c13e30120b657, 0x3dd20d37fe357e7c, 0x7d47959c39aad68e, 0x2b90fea3e0d9833d,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x51c4273ab4bd4a5c, 0x8d56ba1d79d3769c, 0x80e3b169ad74622d,
  0xb047eb70decb65f3, 0x5caad40259f5fd51, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0x62552fbd7d34c9ac,
  0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x97cdb15aa2adfef5, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x000275cb3c834f25,
};

// m162_swio10_noled_pr_ce_u4
static const uint64_t ur_m162_swio10_noled_pr_ce[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0x5b2bbc9dd0149339, 0xbf3f6ea609f18090, 0xc5f591290604ff1a, 0x892c79e3254ed4f5, 0xa3e12fc4361222fb,
  0x678bb8dc66fa547e, 0xfa8f924f72c67eb2, 0x427af91c74fe0f05, 0xf3b0f88ed6398b01, 0xcf5403ff6678ebd1,
  0xb5104a81e5addd02, 0x75901cc906d7972a, 0xaa5beace75152a8d, 0x4bef5f4d326b395d, 0xb9ed5688af2e9895,
  0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0xd8ad463b7fbd5516, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x5e3ebe41a792bf73, 0x0000000000000037,
};

static const uint64_t ur_m162_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0xbbc9dd294758dd2b, 0xe1a2609f180905b2, 0xce1d20b1fff1abf3, 0x78c953be9f3bfea8, 0x6139dc6e5c89257e,
  0xf2b74b29dacac7be, 0x3bd47c1b306807a8, 0x1b875f62d314c57f, 0x52135f4b632e384e, 0x147109ceaedd5287,
  0xc6abc6c75e74dda7, 0xc071d8b4d6ba3116, 0x6c1132386f65b2f9, 0x972ab52cd67d7f54, 0x2a8d75901cc906d7,
  0x395daa5beace7515, 0x98954bef5f4d326b, 0xbfaeb9ed5688af2e, 0x83ba9b14a7869de3, 0x551698653d0ea9c0,
  0xcbe6d8ad463b7fbd, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x00534ce7d9069e4a,
};

static const uint64_t ur_m162_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda243704a, 0x62eed55fd4d1dc48, 0x2e9badd86656c17e, 0x430a800d88372ecd, 0xfb1393bc88596cf2,
  0xef2775d6eb8a0aae, 0x43e9827c602416ca, 0xdd520c41fe24639f, 0x942e0e3fcb8bea8e, 0x10d8488bee24b1e7,
  0xe79cba9dfa8f84bf, 0x9dadcdbdf33c5dc6, 0xb306807a8f2b74b2, 0x2d314c57f3bd47c1, 0xb632e384e1b875f6,
  0xeaedd528752135f4, 0x75e74dda7147109c, 0x4d6ba3116c6abc6c, 0x86f65b2f9c071d8b, 0xcd67d7f546c11323,
  0x01cc906d7972ab52, 0xbeace75152a8d759, 0xf5f4d326b395daa5, 0xd5688af2e98954be, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0xd463b7fbd5516986, 0x371e6c25ccbe6d8a, 0x599bf83bb8d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xfcfb3c61dcf257ee,
  0x0000000000000004,
};

static const uint64_t ur_m162_swio10_noled_hw[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab91462312, 0x74b8ee8714718c22, 0x5fd0ef410d72f7e2, 0xd4136d8c48bbb110,
  0x20b657793bb0bd68, 0xc38f3f224c13e301, 0x6277cb1354834aff, 0x0c71d3f8310fea3a, 0x78e62c05bdd36951,
  0xc608ebc5cedbda32, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0x672bb54b7d59cea2, 0xd312a97debe9a64d,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0xccbe6d8ad5156ff7, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000238971d829,
};

static const uint64_t ur_m162_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x8aa2d0564041b410,
  0xd95de4eebb257db3, 0x99f1ad304f8c0482, 0xd68e3dd20d37ff42, 0x833d7d47959c39aa, 0x9bbe2b90fea3e0d9,
  0x1971c270dc3afb16, 0x4a5c6b26909afa5b, 0x769c51c4273ab4bd, 0x622d8d56ba1d79d3, 0x65f380e3b169ad74,
  0xfd51b047eb70decb, 0x1b5e5caad40259f5, 0xd454aa35d6407324, 0xc9ace576a96fab39, 0xbcba62552fbd7d34,
  0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x84b997cdb15aa2ad, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xd14f257ee6866587,
  0x00000000016fe662,
};

static const uint64_t ur_m162_swio10_noled_ce_hw[] = {
  0xe4dddddda2431202, 0xf8eed55e110ddc49, 0x63f420dd1835d83d, 0x79367fafad0ada09, 0x62d41434e19a9bdd,
  0x02416caef277599b, 0xffa14cfdba9827c6, 0x14f5c5f591290604, 0x45f71258f3ca1707, 0xd7fd47c25f886c24,
  0x3f5933c5dc6e0a4f, 0x0782fd47c927b963, 0xc580a13d7c8e3a7f, 0x75e8f9d87c476b1c, 0xee8167aa01ffb33c,
  0xcb955a882540f2d6, 0x9546bac80e64836b, 0x9caed52df5673a8a, 0x4c4aa5f7afa69935, 0xdfd75cf6ab445797,
  0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x65f36c56a31dbfde, 0xe7ea0bb1b8f3612e, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00000eb36df05453,
};

// m162_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m162_swio10_noled_ee_ce_hw[] = {
  0x21bbbbbb4486cc7f, 0xc5ddaabfa9a3b891, 0x5d375bb0ccad82fc, 0x8615001b106e5d9a, 0xf627277910b2d9e4,
  0x57793ba9f755faa3, 0xfa1f4c13e30120b6, 0x476ea90620ffa14c, 0xf3ca17071fe5c5f5, 0x5f886c2445f71258,
  0xc6e3aa3541fd47c2, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b74, 0xf62d314c57f3bd47, 0xf4b632e384e1b875,
  0x9ceaedd528752135, 0x6c75e74dda714710, 0x8b4d6ba3116c6abc, 0x2386f65b2f9c071d, 0x52cd67d7f546c113,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xbef5f4d326b395da, 0x9ed5688af2e98954, 0xb14a7869de3bfaeb,
  0x8653d0ea9c083ba9, 0x8ad463b7fbd55169, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x1405f67a8a792bf7,
};

static const uint64_t ur_m162_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x02416caef2777312, 0xfb357e7dfc9827c6, 0xfe43be589aa40657, 0x7be38e9fc1887f51, 0xf40731602dee9900,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x25ccbe6da7a1d538, 0x3d30ae4fcfec376c,
  0x296cb25138cb25c3, 0x69e4afdcd0ccb0e9, 0x000000000a92ddaf,
};

// m162_swio10_lednop_pr_u4
static const uint64_t ur_m162_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x9ed93dd590e3609e, 0x0b35bc2c6d8ca11e, 0x660bf31e3fbb1c7a,
  0x57793bb1c605e2f6, 0x7e034c13e30120b6, 0x2c22d200f7fe357e, 0xa7f064f7a8f389df, 0xb016594c1ed008e3,
  0x7a3e764c51c1f398, 0x6b740a807fecc11d, 0x72ab5422607967b7, 0xa8d75901cc906d79, 0x95daa5beace75152,
  0xae97f4d326b81013, 0x9ed5688af2e98956, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x218ab7fbd551691d,
  0x57079b09732f9b6c, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xe0b9069e4afdcd0c, 0x000000000001f26a,
};

static const uint64_t ur_m162_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0xcc13e30120b65779, 0xa411cbfc6afcff57, 0x8f2b287355ad1c7b, 0x52fd47c1b3067afa,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0x5f0e75697726b8d6, 0xad743af3a6ec7aa3, 0xc762d388518dfb1a,
  0x8fd6e1bd96cbe701, 0xaad402e8167aa360, 0x35d64073241b5e5c, 0x76a96fab39d454aa, 0xa5fd34c9ae0404e5,
  0xb55a22bcba6255ab, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x62adfef5545a476e, 0xc1e6c25ccbe6db08,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000275e05641a7,
};

static const uint64_t ur_m162_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0x793ba3d8b54718d4, 0x394c13e30120b657, 0xdd520b75fe357e7e, 0xdea3cae43cd56b47, 0x2b74bea3e0d98397,
  0xc270dc3afb169bbe, 0xa266909afa5b1971, 0x234c4e756975f6b8, 0xaad743af5d4dda5f, 0x0e3b1698f88ed6b1,
  0xa0fadc37b2e1cb38, 0xe64836bcb955aae3, 0x5673a8a9546bac80, 0x935c0809caed52df, 0x7974c4ab574bfa69,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0xb997cdb610c55bfd, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000013ae9a0c834f,
};

// m162_swio10_lednop_pr_ce_u4
static const uint64_t ur_m162_swio10_lednop_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0xb2bbc9dd3b410e5d, 0xf3f15a609f180905, 0x5f5912906fbff1ab, 0x92c79e3254ee575c, 0x3e12fc4361222fb8,
  0x3c5dc6e321d257ea, 0xd470527b9633f593, 0x6fcbe8e3a7f0782f, 0x764c51c1f398b017, 0x0a807feccf1d7a3e,
  0xd508981e5add6b74, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xfd34c9ae0404e576, 0x5a22bcba6255aba5,
  0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xedfef5545a476e7a, 0xcd84b997cdb61098, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x834f257ee6866587, 0x00000000375d22fc,
};

static const uint64_t ur_m162_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0x7793bad3bed3b2d9, 0xcedcc13e30120b65, 0x38748376bfc6afcf, 0xe3254ec66ceffaa3, 0x09cee3719cba3ff9,
  0x9597594ed6563df3, 0x7ea3e0d983403d47, 0xdc3afb1698a62b38, 0x909afa5b1971c270, 0xa35f0e7576e7263a,
  0x355e363af3a6ec7a, 0x038ec5a710a31bf6, 0x608991c37b2d97ce, 0x5caad4b3e8167aa3, 0xaa35d64073241b5e,
  0xe576a96fab39d454, 0xaba5fd34c9ae0404, 0xe7b55a22bcba6255, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482,
  0x1098edfef5545a47, 0xc9ab8d84b997cdb6, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0x7ef20d3c95fb9a19, 0x0000000000014d31,
};

static const uint64_t ur_m162_swio10_lednop_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x4ebb2dd1a78bc17e, 0x430a800d847706cc, 0x10dd02fa70596cf2,
  0xef2776abf261d642, 0xfd79827c602416ca, 0xdd520801fe24639f, 0x285c1cadfb8bea8e, 0x21b09117dc4963cf,
  0x8edd8593f51f097e, 0x76b736f7ccf1771b, 0xcc1a01ea3cacbaca, 0xb4c53159c3f51f06, 0xd8cb8e1386e1d7d8,
  0xabb73931d484d7d2, 0xd79d3763d51af873, 0x388518dfb1aaf1b1, 0x1bd96cbe701c762d, 0x9f40b3d51b044c8e,
  0x039920daf2e556a5, 0x7d59cea2a551aeb2, 0xa64d7020272bb54b, 0x15e5d312ad5d2fe9, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x25ccbe6db084c76f, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x61dcf257ee686658,
  0x0000000004fc1eae,
};

static const uint64_t ur_m162_swio10_lednop_hw[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x02416caef2777312, 0xff871e7dfc9827c6, 0x7f90ef9626a90195, 0x1ef8e3a7f0621fd4, 0x7d01cc580b7ba640,
  0xe58c11d78b9dad64, 0xdaf2e556a5673db8, 0xa2a551aeb2039920, 0x20272bb54b7d59ce, 0x12ad5d2fe9a64d70,
  0xfad73daad115e5d3, 0xbd4b0b29b1674079, 0x06c7f8a042d3573a, 0x09732f9b69e8754e, 0xcf4c2b93f3fb0ddb,
  0x4a5b2c944e32c970, 0x0a792bf734332c3a, 0x0000000008e2b776,
};

static const uint64_t ur_m162_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x847ec8833106d043,
  0xcaef2776c36cad49, 0x9feaf9827c602416, 0x68e3dd208e5ff429, 0x33d7d47959439aad, 0xbbe2b297ea3e0d98,
  0x971c270dc3afb169, 0x35c6b26909afa5b1, 0x63d51af873ab4bb9, 0x6fd8d56ba1d79d37, 0x5f380e3b169c428c,
  0xd51b047eb70decb6, 0xdaf2e556a01740b3, 0xa2a551aeb2039920, 0x20272bb54b7d59ce, 0x12ad5d2fe9a64d70,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x36d843156ff7aaa2, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005bff9a7453c95,
};

static const uint64_t ur_m162_swio10_lednop_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2eeedb75ec1e, 0x26cff5f5a1bb2b6f, 0x6d3ad41685ad1baf,
  0x2416caef2774a70f, 0xfa14cfc569827c60, 0x575c5f5912906fbf, 0x5f71258f3ca17072, 0x3fd47c25f886c244,
  0xeb2678bb8dcec1bc, 0xf05fa8e0a4f72c67, 0x602edf97d1c74fe0, 0xf47cec98a383e731, 0xd6e81500ffd99e3a,
  0xb955aa11303cb5ba, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x574bfa69935c0809, 0xcf6ab4457974c4ab,
  0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x2131dbfdeaa8b48e, 0x8dc79b09732f9b6c, 0x7bde50c2a73f505d,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x9b27e1a29e4afdcd,
  0x0000000000000075,
};

// m162_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_swio10_lednop_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x275d96e8d3c5e0bf, 0x21854006c23b8366, 0xb06e817d382cb679,
  0xb2bbc9dd2af44fd0, 0x67ff5e609f180905, 0xaa3b75482007fd0a, 0x8f3ca17072b7ee2f, 0x25f886c2445f7125,
  0xb8dc36ec291fd47c, 0xd653b5b9b7be678b, 0xf83660d00f51e565, 0xbec5a6298ace1fa8, 0xbe96c65c709c370e,
  0xc39d5db9c98ea426, 0x8d8ebce9bb1ea8d7, 0xb169c428c6fd8d57, 0x6470decb65f380e3, 0xb52cfa059ea8d822,
  0x75901cc906d7972a, 0xaa5beace75152a8d, 0x7f4d326b8101395d, 0x5688af2e98956ae9, 0x5f3a03cdedaeb9ed,
  0x8754e0421520b94b, 0x3b7fbd551691db9e, 0xf3612e65f36d8426, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xeaf453c95fb9a199, 0x000000000000a021,
};

// m162_swio10_dual_pr               m162_swio10_dual_pr_u4
static const uint64_t ur_m162_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3f38afc6, 0xd8d5bb1c7c8b4b3f, 0xc895bfa63d9b106e, 0x5ece76ca7adbad16,
  0x4920ee69e2bd8ebd, 0x3304f8c0482d95de, 0x9e23d93230552011, 0x7dcb8c2813e26fb5, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x432abbbddf371fe0, 0x26b5a2a10cb42324,
  0x7397b7387ff4073c, 0x7fef34e60b0ab331, 0x384f3be5b22d205f, 0xb91238e9fc1dadea, 0xd6b9cc580bac532f,
  0xb30475e0353b4dc8, 0xe59edc65bdaa01ff, 0x99f47332b33ea881, 0x39920daf2e556b3f, 0xd59cea2a551aeb20,
  0x64d7020272bb54b7, 0x5e5d312ad5d2fe9a, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x2e65f36d843156ff, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x0ee792bf734332c3, 0x00000000a49ad6a3,
};

static const uint64_t ur_m162_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x983eead63fbbbf1d, 0xa0fb77ed1da32313, 0x541b01489f55f62f, 0x6577d178ca16ec8a,
  0x774b235d66d0ab32, 0xf8c0482d95de4ac1, 0xb26460aa4271f304, 0x185027c4df6b3c47, 0x3ff9956ee774fb97,
  0xc9d6c12d1c02d4c6, 0x239227f0715a6f51, 0x8510c4aff3f7c114, 0xef77cdc04480370f, 0x50865a0bed10caae,
  0x0d1ff4073c260f71, 0xe60b0ab3317397b7, 0x68ea55204b5fef34, 0x7b7fd4795cae9aad, 0x77c5795bd47c1b30,
  0x2e384e1b875f62d3, 0xae04fcd2135f4b63, 0xdbe8d0039d5a5ce1, 0xfb1aad743af63376, 0xb380e3b1698288de,
  0xa3608fd6e1bd977b, 0xd1cccacc02deee1a, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x5c0809caed52df56,
  0x74c4ab574bfa6993, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x97cdb610c55bfdea,
  0xd165abc6e3cd84b9, 0x39fa9d599bf83bb8, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x6cc3b9e4afdcd0cc, 0x000000000002b23d,
};

static const uint64_t ur_m162_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63f7eefc, 0xadeef747b5864670, 0x6e667d39d96d8bc6, 0x3a40355f45e32858,
  0x9312ee78233a70b5, 0xe609f180905b2bbc, 0x788f64c8c15484e3, 0xf72e30a04f89bed6, 0xd4c96bf32addcee9,
  0x6f51e2b6c06b1c09, 0xc114239227f07bee, 0x370f8510c4aff3f7, 0x655777bbe6e5c880, 0xa448a8432d08f688,
  0xe5edc347fd01cf09, 0xfbcd3982c2accc5c, 0xe6ab5a331f4812d7, 0x83660fa8f51e5650, 0xec5a6ef8add2fa8f,
  0xe96c65c709c370eb, 0x4bd4a5c0719a426b, 0x534ed2f91af873ab, 0xe231bf6355ae875e, 0xd96e4ce038ec5a63,
  0xcccacd71d07d6e1b, 0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x0809caed52df5673, 0xc4ab574bfa69935c,
  0x7eb5cf6ab4457974, 0xaf52c2ca6c59d01e, 0x81b1fe2810b4d5ce, 0xc25ccbe6da7a1d53, 0x83bb8d1637c371e6,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x661dcf257ee68665, 0x0000000000159021,
};

static const uint64_t ur_m162_swio10_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0xc1f756a86a3f7e33, 0xb37ba769a75c1122, 0x5ac12955a1d78d5b, 0x89ae89f62fbacce0,
  0xe9bba591aeb91255, 0x827c602416caef27, 0x23d932305522e4a9, 0xcb8c2813e26fb59e, 0x6eaffccab773ba7d,
  0xa8fb3b611c8e0706, 0x8a11c913f8395d37, 0x87c2886257f9fbe0, 0xabbbddf3719c801b, 0x7c542196807b4432,
  0xdb98fffd01cf0982, 0x9a7305855998b9cb, 0xb8beb1ee90472ff7, 0xe24b1e7942e0e456, 0xa8f84bf10d8488be,
  0xccf1771b9d66c87f, 0x3d473d67b9633c4f, 0x2bf9d4471d3f83e9, 0xd4ed37235ae73160, 0xf6a807feccf1d780,
  0xb33ea881e5add196, 0x2e556b3f99f47332, 0x551aeb2039920daf, 0x72bb54b7d59cea2a, 0xd5d2fe9a64d70202,
  0x73daad115e5d312a, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x084c76ff7aaa2d23, 0xc371e6c25ccbe6db,
  0xaccdfc1ddc68b3a7, 0xf313f9430a9cfd4e, 0xe09a1e64ff1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0x261dcf257ee68665, 0x00000000000d24c6,
};

static const uint64_t ur_m162_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x560fbab543a2fbf2, 0x9a16dd69c6eba772, 0x8efe9c0b2af4fb49, 0x2acaafad46add89c,
  0x93645dd2c8d75c3e, 0x24c13e30120b6577, 0x6788f64c8c15480b, 0x9f72e30a04f89bed, 0x4dcd15bf32addcee,
  0xe6f51f2b6c37d9c3, 0x7c114239227f0650, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x9a718a8432d009e8,
  0x9cbdbf57ffd01cf0, 0xff79a7305855998b, 0x2575c5f5912906fb, 0x45f71258f3ca1707, 0x43fd47c25f886c24,
  0x7eb2678bb8dceb36, 0x0f05fa8e0a4f72c6, 0x1602edf97d1c74fe, 0xaf47cec98a383e73, 0x5663adef71cb19e3,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0x4e576a96fab39d45, 0x5aba5fd34c9ae040, 0xae7b55a22bcba625,
  0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0x61098edfef5545a4, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x06922680c3b9e4af,
};

static const uint64_t ur_m162_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f75675ed3d7, 0xb6fd5f773ed9f362, 0xafb452821fb8c3e0, 0x368339b3764fc8ec,
  0x5bb8e08ab0786675, 0x27c602416caef260, 0x7b26460aa411eb98, 0x7185027c4df6b3c4, 0xd77f9956ee774fb9,
  0x1f4d6c1fe1c3104c, 0x4239227f07ff26f5, 0xf8510c4aff3f7c11, 0xeef77cdcf3900370, 0x150865a0c1510caa,
  0xffafff4073c2690f, 0x9cc16156662e72f6, 0xd51a9ea40ff3fde6, 0xffcf285c1cd3477f, 0x7c984e771b8a49cd,
  0xea3caf024a76b2b1, 0x5a9ef51f06cc1c89, 0x1386e1d7d8b4c531, 0x31d484d7d2d8cb8e, 0xdb7d1a0073abb71c,
  0xbec6abc6c75ec66e, 0xece038ec5a60a237, 0x546c1132386f65de, 0xfa399959967bddc3, 0xc906d7972ab59fcc,
  0xce75152a8d75901c, 0x6b8101395daa5bea, 0x2e98956ae97f4d32, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03,
  0x551691db9e8754e0, 0x65f36d84263b7fbd, 0x8d163ce1b8f3612e, 0x0ae4fdd599bf83bb, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00001304e938c3b9,
};

static const uint64_t ur_m162_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x3eeade3caf77e27d, 0xc16a0175b39db298, 0xfde66e6d01f4b269, 0xec5e8ed3efaeceb6,
  0x0ab39e5dc86b8b69, 0xbbc9014eeac02101, 0x9f86609f180905b2, 0xb59e23d932305522, 0xba7dcb8c2813e26f,
  0x787372d7e65a5bf3, 0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x655777bbe6e5c940,
  0x6fb8a8432d08e488, 0x97b7643ffa039e13, 0xa19a260b0ab33173, 0xc5f54635a90760ff, 0x1258f3ca179de375,
  0x47c25f886c2445f7, 0x78bb8dcb928ebefd, 0x5781253b5b9b5f26, 0x7a8f83660e44f51e, 0x70ebec5a6298ad4f,
  0x426be96c65c709c3, 0x8d0039d5db8e18ea, 0x55e363af63376dbe, 0x1c762d30511bdf63, 0x08991c37b2ef7670,
  0xccaccb3deee1aa36, 0x6bcb955acfe67d1c, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xb6c2131dbfdeaa8b, 0xb9357079b09732f9,
  0x66fe0fdbb1a2c6f8, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x20d455493c95fb9a, 0x0000000000001000,
};

static const uint64_t ur_m162_swio10_dual_hw[] = {
  0x17777776890c365a, 0xd83eeadc7e715f8d, 0xb1ab7638f916967e, 0x912b7f4c7b3620dd, 0xda1ced94f5b75a2d,
  0x7792483b89bbebec, 0x044cc13e30120b65, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0xc0a2cce4ff32addc,
  0x99537a8efe6c17d9, 0xcfdf04508e489fc1, 0xf800dc3e144312bf, 0xc910caaeef77cdc7, 0xcf09ad68a8432d08,
  0xcc5ce5edce1ffd01, 0x0beffc493982c2ac, 0xbd4709e77cb645a4, 0x65f722471d3f83b5, 0xb91ad7398b01758a,
  0x3ff6608ebc06a769, 0x103cb3db8cb7b540, 0x67f33e8e665667d5, 0x64073241b5e5caad, 0x96fab39d454aa35d,
  0xd34c9ae0404e576a, 0xa22bcba6255aba5f, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1,
  0x6c25ccbe6db0862a, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0xaa8a792bf734332c, 0x0000000000c6eab5,
};

static const uint64_t ur_m162_swio10_dual_ee_hw[] = {
  0xecb777776890cf68, 0x9cc1f756b1fdddf8, 0x7d07dbbf68ed1918, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x560bb9a3ea75add9, 0x9827c602416caef2, 0xe23d93230552138f, 0xdcb8c2813e26fb59, 0xa631ffccab773ba7,
  0x7a8e4eb60968e016, 0x08a11c913f838ad3, 0xb87c2886257f9fbe, 0x55777bbe6e022401, 0x7b8a8432d05f6886,
  0xbdb868ffa039e130, 0x8927305855998b9c, 0x6ab5a3a954812d7f, 0x6cc1edff51e572ba, 0x8b4ddf15e56f51f0,
  0x2d8cb8e1386e1d7d, 0x7386b813f3484d7d, 0xcddb6fa3400e7569, 0x237bec6ab5d0ebd8, 0x5deece038ec5a60a,
  0xb86a8d823f5b86f6, 0xf99f47332b300b7b, 0x039920daf2e556b3, 0x7d59cea2a551aeb2, 0xa64d7020272bb54b,
  0x15e5d312ad5d2fe9, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x12e65f36d843156f,
  0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x453c95fb9a19961d, 0x0000000005769eb7,
};

static const uint64_t ur_m162_swio10_dual_ce_hw[] = {
  0x33dddddda2431f02, 0x2c1f756a86a3f7e3, 0xbb37ba769a75c112, 0x05ac12955a1d78d5, 0x289ae89f62fbacce,
  0x93f4ddca31166f4c, 0x54c13e30120b6577, 0xcf11ec99182a9172, 0x3ee5c61409f137da, 0x833757fe655bb9dd,
  0x9bd47d9db08e4703, 0xf04508e489fc1cae, 0x0dc3e144312bfcfd, 0x1955ddeef9b8ce40, 0xc13e2a10cb403da2,
  0xe5edcc7ffe80e784, 0xfc493982c2accc5c, 0x15ae2fac7ba411cb, 0x2fb892c79e50b839, 0x9fea3e12fc436122,
  0x13f33c5dc6e33e75, 0xfa4f51cf59ee58cf, 0x580afe7511c74fe0, 0xe0353b4dc8d6b9cc, 0x65bdaa01ffb33c75,
  0xccaccfaa20796b74, 0x6bcb955acfe67d1c, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xb6c2131dbfdeaa8b, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x0009bae31a29e4af,
};

static const uint64_t ur_m162_swio10_dual_ee_ce_hw[] = {
  0x6caddddddd43573e, 0x0cc1f75675ed3d7e, 0x6fd5f773ed9f362b, 0xfb452821fb8c3e0b, 0x68339b3764fc8eca,
  0x0b772e2fbb375953, 0x04f8c0482d95de4c, 0x8f64c8c154823d73, 0x2e30a04f89bed678, 0x9aeff32addcee9f7,
  0xa3e9ad83fc386209, 0x2847244fe0ffe4de, 0x1f0a21895fe7ef82, 0x5ddeef9b9e72006e, 0xe2a10cb4182a2195,
  0xdff5ffe80e784d21, 0x93982c2accc5ce5e, 0xfd51a9ea40ff3fc4, 0x4afcf285c1cd3477, 0x8be4c273b8dcb912,
  0x4f51e5781253b595, 0x8ad4f7a8f83660e4, 0x709c370ebec5a629, 0xe18ea426be96c65c, 0x76dbe8d0039d5db8,
  0xbdf6355e363af633, 0xf76701c762d30511, 0x1aa3608991c37b2e, 0x67d1cccaccb3deee, 0xe64836bcb955acfe,
  0x5673a8a9546bac80, 0x935c0809caed52df, 0x7974c4ab574bfa69, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0,
  0xeaa8b48edcf43aa7, 0x732f9b6c2131dbfd, 0x2b93f3fb0dc79b09, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000044d3e93a8a7,
};

static const uint64_t ur_m162_swio10_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0x83eeade3caf77e27, 0xb26ea0175b39db29, 0xeb6fde66e6d01f6c, 0xb69ec5e8ed3efaec,
  0xaf9017b48c5c86b8, 0x02416caef24053b8, 0x8c1548a7e19827c6, 0x04f89bed6788f64c, 0x32ec24ee9f72e30a,
  0x61d8270bc39b96bf, 0x4fe0daee6f51f1bb, 0x895fe7ef82284724, 0x372e4a006e1f0a21, 0x684724432abbbddf,
  0xd01cf09b7dc54219, 0x55998b9cbdbb21ff, 0x520ec1ff3ab73058, 0x0c1cc6eb8bea8c6b, 0x8488bee24b1e78df,
  0xbbb77fa8f84bf10d, 0x736be4cf1771b830, 0xc89ea3caf024a76b, 0x5315a9ef51f06cc1, 0xb8e1386e1d7d8b4c,
  0x71c31d484d7d2d8c, 0x66edb7d1a0073abb, 0x237bec6abc6c75ec, 0x5deece038ec5a60a, 0xdc3546c1132386f6,
  0xfccfa399959967bd, 0x01cc906d7972ab59, 0xbeace75152a8d759, 0xd326b8101395daa5, 0x8af2e98956ae97f4,
  0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d,
  0x000000075d6717c1,
};

// m162_swio12_noled
static const uint64_t ur_m162_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x657793ba0bd04d64, 0xf3fdd4c13e30120b, 0xf2dd05203d7fd9ab, 0x74fe0ebffa8f109d, 0x8b016f74c7afc91c,
  0x75e2e7683e8c9a39, 0x55a9584f6e396304, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2, 0x4fcfec376c25ccbe,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x000a9075af69e4af,
};

// m162_swio11_noled_pr_u4           m162_swio12_noled_pr              m162_swio12_noled_pr_u4
static const uint64_t ur_m162_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xddaab91480225713, 0xc77afd8d05b04f05, 0x60e2266c4767b53d, 0x1a875a6edc4e82cd,
  0x2777a71912b76273, 0xf9827c602416caef, 0xba41b7ffc6afcf98, 0x0c9af51c143be5b7, 0x96536df97d1c74fe,
  0x9d96ba3114e62c05, 0xf2a01ffb30475e8f, 0xab3ee81e59edf484, 0xac80e64836bcb955, 0x2df57673a8a9546b,
  0x37afa699359caed5, 0x3daad115e5d312b6, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x9eb7156ff7aaa2d3,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xcfc1641a792bf734, 0x00000000000007c9,
};

// m162_swio11_noled_pr_ee_u4        m162_swio12_noled_pr_ee           m162_swio12_noled_pr_ee_u4
static const uint64_t ur_m162_swio11_noled_pr_ee[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0xf27755f33e83658a, 0xc19827c602416cae, 0x8fa41b3bfc6afcf9, 0x7a8f2b2eb355ad19, 0x5670fd47c1b307d4,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0x23f90e7569728ab8, 0x1aad743af3a6ec80, 0x80e3b169bde8f7bb,
  0xb047eb70decb65f3, 0x972ab50089ee7951, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x6256c6f5f4d326b3,
  0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x97cdb3d6e2adfef5, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x0013ae10bc834f25,
};

// m162_swio11_noled_pr_ce_u4        m162_swio12_noled_pr_ce           m162_swio12_noled_pr_ce_u4
static const uint64_t ur_m162_swio11_noled_pr_ce[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0xbbc9dd6c473960a7, 0xfa6e609f180905b2, 0x5eea90656ff1abf3, 0xc79e3254ef025c5f, 0x12fc4361222fb892,
  0x5dc6e759b21fea3e, 0x75f27b9633f5933c, 0x26e8e3a7f06b3fd4, 0x96ba3114e62c0591, 0xa01ffb33c75e8f9d,
  0xcfba0796b77484f2, 0x2039920daf2e556a, 0x7d5d9cea2a551aeb, 0xebe9a64d672bb54b, 0x6ab4457974c4ad8d,
  0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x5b31dbfdeaa8b4c3, 0xae0f3612e65f36cf, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x56f20d3c95fb9a19, 0x000000000001baf7,
};

// m162_swio12_noled_pr_ee_ce
static const uint64_t ur_m162_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0xb9827c602416caef, 0x6900cdff8d5f9f4d, 0x4a9d98f9dff5465d, 0xcee3729299cbf3c6,
  0xc8794ed6563df309, 0xa3e0d983d2bd4795, 0x3afb1698a62b74be, 0x9afa5b1971c270dc, 0xf90e7576e28a3a90,
  0x5e363af3a6ec8023, 0xc762d37bd1ef7635, 0x44c8e1bd96cbe701, 0x2ab52cc9ee7951b0, 0x8d75901cc906d797,
  0xdaa5beaece75152a, 0x56c6f5f4d326b395, 0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e,
  0x9b67ad98edfef554, 0xf38b93571b09732f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x4d345f641a792bf7, 0x0000000000000001,
};

// m162_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m162_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda2431000, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xe4eed6abbced6cdc, 0x49304f8c0482d95d, 0xba415bffe24639f1, 0x0b8396b7717d51e9, 0x361222fb892c79e5,
  0xc2eeddfea3e12fc4, 0xadcdbdf33c5dc6e0, 0x07a57a8f2b90f29d, 0x314c56e97d47c1b3, 0x32e384e1b875f62d,
  0xedc514752135f4b6, 0xe74dd90047f21cea, 0xf7a3deec6abc6c75, 0x7b2d97ce038ec5a6, 0x93dcf2a3608991c3,
  0x39920daf2e556a59, 0x5d9cea2a551aeb20, 0xe9a64d672bb54b7d, 0xb4457974c4ad8deb, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0x8f3612e65f36cf5b, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x04d630ee792bf734,
  0x000000000000027e,
};

// m162_swio12_noled_hw
static const uint64_t ur_m162_swio11_noled_hw[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x657793ba0bd04d64, 0xf3fdd4c13e30120b, 0x7cb741480f5ffc38, 0x1d3f83affea3c427, 0x62c05bdd31ebf247,
  0x1d78b9da0fa3268e, 0x556a5613db8e58c1, 0x1aeb2039920daf2e, 0xb54b7d5d9cea2a55, 0xad8debe9a64d672b,
  0x75cf6ab4457974c4, 0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d, 0x9b67adc55bfdeaa8, 0x93f3fb0ddb09732f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x0008e21d760a792b,
};

// m162_swio12_noled_ee_hw
static const uint64_t ur_m162_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0x95de4eebd69c5bf6, 0x9f383304f8c0482d, 0x68cc7d20d9dff429, 0x3ea3d47959759aad, 0xbbe2b387ea3e0d98,
  0x971c270dc3afb169, 0x55c6b26909afa5b1, 0x64011fc873ab4b94, 0xbdd8d56ba1d79d37, 0x2f9c071d8b4def47,
  0xca8d823f5b86f65b, 0x36bcb955a8044f73, 0xa8a9546bac80e648, 0x359caed52df57673, 0xe5d312b637afa699,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x25ccbe6d9eb7156f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x000000000b7fbe0a,
};

// m162_swio12_noled_ce_hw
static const uint64_t ur_m162_swio11_noled_ce_hw[] = {
  0x6cfddddda2432493, 0x776aaf0887ee2542, 0x6a2ee933e3ec1efc, 0xcff5e35c19b20d4f, 0x3b542da5e15bb426,
  0x16caef27743720ad, 0x14cfe9b9827c6024, 0x5c5f5eea90656ffa, 0x71258f3ca1707302, 0xd47c25f886c2445f,
  0x2678bb8dcc6eec1f, 0x7fa8ebe4f72c67eb, 0x0b224dd1c74fe0d6, 0x1f3b2d746229cc58, 0x09e5403ff6678ebd,
  0xaad59f740f2d6ee9, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d34c9ace57, 0xeb9ed5688af2e989,
  0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x6d9eb663b7fbd551, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x01d66cc1128a792b,
};

// m162_swio11_noled_ee_ce_u4_hw     m162_swio12_noled_ee_ce_hw        m162_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m162_swio11_noled_ee_ce_hw[] = {
  0x30addddda243304a, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xef2776c5d47f500c, 0x8a49827c602416ca, 0xf4dd20adfffa14cf, 0xf285c1cb5bb8bea8, 0xe21b09117dc4963c,
  0xb800036eff51f097, 0xa76b736f7ccf1771, 0x6cc1e95ea3cae43c, 0x8b4c5315ba5f51f0, 0x2d8cb8e1386e1d7d,
  0x3abb71451d484d7d, 0x1d79d3764011fc87, 0x69bde8f7bb1aaf1b, 0x70decb65f380e3b1, 0x9664f73ca8d82264,
  0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x7afa699359caed52, 0xdaad115e5d312b63, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0xd6cc76ff7aaa2d30, 0xc6e3cd84b997cdb3, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x80826b514f257ee6, 0x0000000000000002,
};

// m162_swio12_lednop
static const uint64_t ur_m162_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x905b2bbc9dd85eb4, 0x9abf3f01a609f180, 0x43be5ba0a401effd, 0x638e9fc1d7ff51f2, 0x8731602dee9b4a4c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x5e97f4d326b81013,
  0xcf6ab4457974c4ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x65f36d3d0ea9c0a2, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000000548b8d7b4f,
};

// m162_swio11_lednop_pr_u4          m162_swio12_lednop_pr             m162_swio12_lednop_pr_u4
static const uint64_t ur_m162_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb557229e3e25713, 0xa9bdbf30fb609e0b, 0x5838a002665eec9e, 0x7c2f75fbb713a0b3,
  0x277448b333761bac, 0xb9827c602416caef, 0xba411effc6afcfaf, 0x0c9af51d003be5b7, 0xcb29a3de951c74fe,
  0xced10a31be731602, 0x91500ffd9823af47, 0x6afadc0f2cf6c45e, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a,
  0xe9a64d7020272bb5, 0x688af2e9895cbd2f, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8,
  0xf3612e65f36c648a, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20d3c95fb9a19961, 0x000000003e4d535b,
};

// m162_swio12_lednop_pr_ee
static const uint64_t ur_m162_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0x304f8c0482d95de4, 0x4806b7f8d5f9f4b5, 0x1e56c166ab5a331f, 0xa1fa8f83660fa8f5,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0x371cead2e95971ac, 0x5ae875e74ddba847, 0xc762d3f911c65635,
  0x8fd6e1bd96cbe701, 0x556a017484f2a360, 0x1aeb2039920daf2e, 0xb54b7d5d9cea2a55, 0x2fe9a64d7020272b,
  0xd5688af2e9895cbd, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9, 0xe0f3612e65f36c64,
  0x0fca1a2ce9f1726a, 0x50c2a73f53ab31e4, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000013af8c720d3,
};

// m162_swio12_lednop_pr_ee_u4
static const uint64_t ur_m162_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x4c13e30120b65779, 0xd20d37fe357e7c6b, 0x47959c39aad68f6f, 0x90fea3e0d9839c7d,
  0x70dc3afb169bbe2b, 0x66909afa5b1971c2, 0x884e75697a94b8a2, 0x6ba1d7aea6ed38a3, 0x3b169ad74622d8d5,
  0xfadc37b2e1cb380e, 0x4836bcb955aae3a4, 0x73a8a9546bac80e6, 0xc0809caed52df576, 0xa62572f4bfa69935,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x97cdb1922adfef55, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x000275cb3c834f25,
};

// m162_swio11_lednop_pr_ce_u4       m162_swio12_lednop_pr_ce          m162_swio12_lednop_pr_ce_u4
static const uint64_t ur_m162_swio11_lednop_pr_ce[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0x5de4ee8f62d51c63, 0xf8e5304f8c0482d9, 0xaf75482dd7f8d5f9, 0x63cf192a77beee2f, 0x097e21b09117dc49,
  0x2ee372e4492bf51f, 0x797d3dcb19fac99e, 0xa718e3a7f06b3fd4, 0xa214637ce62c0532, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708bd22, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd326b8101395daa5, 0x457974c4ae5e97f4,
  0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x612e65f36c6431db, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x00000006eba68320,
};

// m162_swio12_lednop_pr_ee_ce
static const uint64_t ur_m162_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0xc9827c602416caef, 0x5a401a3fc6afcfbf, 0xc953bff877fd5197, 0x73b8dcca8683fe78,
  0x652e53b5958f7cc2, 0xa8f83660f4af51e5, 0x0ebec5a6298acbaf, 0x26be96c65c709c37, 0xe6e39d5db92b0ea4,
  0x578d8ebce9bb7508, 0x71d8b4fe4471958d, 0x1132386f65b2f9c0, 0xcaad4b3e909e546c, 0xa35d64073241b5e5,
  0x76a96fabb39d454a, 0xa5fd34c9ae0404e5, 0xdaad115e5d312b97, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172,
  0x0c76ff7aaa2d23b7, 0x9ab8d84b997cdb19, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0x5f20d3c95fb9a199, 0x000000000014d31e,
};

// m162_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m162_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb448692df, 0x776aafea762624b4, 0x5eb6ed0b3760bf31, 0x0a800adc4eb834cf, 0x74cce5d8596cf5a3,
  0x93baa3e842af89b3, 0x0cc13e30120b6577, 0xd2043eff1231cff6, 0x5c1c6bbb8bea8f4d, 0xb09117dc4963cf28,
  0x82e1fff51f097e21, 0xb736f7ccf1771b8b, 0x1e95ea3caca5ca76, 0xc5315975f51f06cc, 0xcb8e1386e1d7d8b4,
  0xb72561d484d7d2d8, 0x9d376ea11cdc73ab, 0xc88e32b1aaf1b1d7, 0xecb65f380e3b169f, 0xd213ca8d8226470d,
  0xe64836bcb955a967, 0x7673a8a9546bac80, 0x35c0809caed52df5, 0xcba62572f4bfa699, 0xf37b6bae7b55a22b,
  0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x732f9b63218edfef, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x773c95fb9a19961d,
  0x000000013f064e18,
};

// m162_swio12_lednop_hw
static const uint64_t ur_m162_swio11_lednop_hw[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x905b2bbc9dd85eb4, 0xc38f3f01a609f180, 0x90ef96e829007bff, 0x18e3a7f075ffd47c, 0x21cc580b7ba6d293,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x97a5fd34c9ae0404,
  0x73daad115e5d312b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0x997cdb4f43aa7028, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000004712e3b053,
};

// m162_swio12_lednop_ee_hw
static const uint64_t ur_m162_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0x2bbc9dd0149334e7, 0x3e96a609f180905b, 0xd198fa4035bfe853, 0x7d47a8f2b60b355a, 0x77c5650fd47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xdd4239b8e756974a, 0x32b1aad743af3a6e, 0x5f380e3b169fc88e,
  0x951b047eb70decb6, 0x6d7972ab500ba427, 0x5152a8d75901cc90, 0x01395daa5beaece7, 0x4ae5e97f4d326b81,
  0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x9b632455bfdeaa8b, 0x505d8dc79b09732f,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x0002dffc93a29e4a,
};

// m162_swio12_lednop_ce_hw
static const uint64_t ur_m162_swio11_lednop_ce_hw[] = {
  0x367eeeeed121be4a, 0x3bb5578441a712a1, 0xa47f746db1160f7e, 0xcff5e35cfd833b27, 0xabe081eba09bb426,
  0x0b657793ba528eb6, 0x0a67e394c13e3012, 0xee2faf75482dd7fd, 0xb892c79e50b839be, 0xea3e12fc4361222f,
  0x933c5dc6e1adcc37, 0x7fa8f2fa7b9633f5, 0x0a654e31c74fe0d6, 0x1f3b4428c6f9cc58, 0x7a45403ff6678ebd,
  0x556afadc0f2d6e11, 0x1aeb2039920daf2e, 0xb54b7d5d9cea2a55, 0x2fe9a64d7020272b, 0xd5688af2e9895cbd,
  0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x63b7fbd551691db9, 0x71e6c25ccbe6d8c8, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xdf24e8a792bf7343,
  0x0000000000001d66,
};

// m162_swio11_lednop_ee_ce_u4_hw    m162_swio12_lednop_ee_ce_hw       m162_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2436812, 0xbbb557f53b13125a, 0xaf5b76859bb05f98, 0x8540056e275c1a67, 0xba6672ec2cb67ad1,
  0xbbc9dddfb0b6a6b9, 0xfb06609f180905b2, 0x7a6e9021f7fd0a67, 0x7942e0e35ddc5f54, 0xf10d8488bee24b1e,
  0xb9c83abaffa8f84b, 0xa76b736f7ccf1771, 0x6cc1e95ea3caca5c, 0x8b4c5315975f51f0, 0x2d8cb8e1386e1d7d,
  0x3abb72561d484d7d, 0x1d79d376ea11cdc7, 0x69fc88e32b1aaf1b, 0x70decb65f380e3b1, 0x967d213ca8d82264,
  0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x69935c0809caed52, 0x22bcba62572f4bfa, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xb09732f9b63218ed, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xca29e4afdcd0ccb0, 0x00000000005010c9,
};

/*
 * m162_swio11_dual_pr               m162_swio11_dual_pr_u4            m162_swio12_dual
 * m162_swio12_dual_pr               m162_swio12_dual_pr_u4
 */
static const uint64_t ur_m162_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x0fbab71ffb57e11f, 0x3edd123c95a59fb6, 0x4ad9893ac828dd6b, 0x69c92634edd23f64,
  0x483b87e55ee8bd71, 0xc13e30120b657792, 0x88f64c8c1548e6fc, 0x72e30a04f89bed67, 0xcce4ff32addcee9f,
  0x7a8efe6c17d9c0a2, 0x04508e489fc19953, 0xdc3e144312bfcfdf, 0x955ddeef9b96b600, 0x5ad150865a119221,
  0xcbdb975ffa039e13, 0xf79a7305855998b9, 0x910ef961f29054af, 0xdd471d3f83117d47, 0xef398b01758a6a95,
  0x30475e0353b0288d, 0x67b79160faa01ffb, 0x7d1cccacca42e079, 0x64836bcb955acfe6, 0x673a8a9546bac80e,
  0x5c0809caed52df57, 0xba62572f4bfa6993, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0x997cdb1922adfef5, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9, 0x0000002926838cc3,
};

// m162_swio12_dual_pr_ee
static const uint64_t ur_m162_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x07dd5ac7d71bf1eb, 0x85eeeca1ec646273, 0xa0db620b28fe7deb, 0x766dd6c650b7ac52,
  0xb8e08ab2c10ce908, 0xc602416caef2560b, 0x932305522c939827, 0xc2813e26fb59e23d, 0xffccab773ba7dcb8,
  0x4eb60968e016a631, 0x1c913f838ad37a8e, 0x2886257f9fbe08a1, 0x7bbe6e737c01b87c, 0x8432d05f68865577,
  0xdbffa039e1307b8a, 0x60b0ab3317397b74, 0x1945a4143ffef34e, 0x657a8f2bdf7355ad, 0x7c572bbd47c1b306,
  0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x948f4a39d5a5cbaa, 0xd8d56ba1d7b19bb1, 0x380e3b169cbe4698,
  0x3608fd6e1bd977bb, 0x1cccacc0283f6b2a, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0x0809caed52df5767,
  0x62572f4bfa69935c, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0x7cdb1922adfef554,
  0x165abc6e3cd84b99, 0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x8c3b9e4afdcd0ccb, 0x00000000002b215a,
};

// m162_swio12_dual_pr_ee_u4
static const uint64_t ur_m162_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0x83eead63c75efc37, 0x5c774eb00a46706d, 0xccfa73d6dcfb67db, 0x13d47dd6c650b374,
  0x4bb9a3ea75ee1bb1, 0x27c602416caef24c, 0x3d932305522c9398, 0xb8c2813e26fb59e2, 0x25afccab773ba7dc,
  0x478adb01ac702753, 0x508e489fc1efb9bd, 0x3e144312bfcfdf04, 0x5ddeef9b949400dc, 0x22a10cb423da2195,
  0x6e9b7ff4073c2691, 0x69cc16156662e72f, 0x5ad1bf948287ffde, 0x60c27fa8f2b60b35, 0xa6ef8ae43fa8f836,
  0xc65c709c370ebec5, 0x455c0719a426be96, 0x769c51cdc73ab4b9, 0xe32b1aad743af29a, 0x726701c762d35ae8,
  0x566b8e93eb70decb, 0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x97a5fd34c9ae0404,
  0x73daad115e5d312b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0x997cdb4f43aa7028, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xb9e4afdcd0ccb0e9, 0x00000001593a78c3,
};

// m162_swio12_dual_pr_ce
static const uint64_t ur_m162_swio11_dual_pr_ce[] = {
  0x817bbbba1eb432db, 0x0fbab5434037e06e, 0x4cdd1ed61ae08916, 0xac176573a8bd9f6e, 0xaeec2d9f7ba1ba05,
  0xfa6ee3822ac69e33, 0x609f180905b2bbc9, 0x88f64c8c15487806, 0x72e30a04f89bed67, 0x9babff32addcee9f,
  0xea3eced8472381c1, 0x22847244fe0e574d, 0xe1f0a21895fe7ef8, 0xaaeef77cdcca8006, 0x9f150865a01ed10c,
  0xf6f63fff4073c260, 0xe69cc16156662e72, 0xae2fa98fa4035bfd, 0xb892c79e50b8391c, 0xea3e12fc4361222f,
  0xf33c5dc6e2545c8f, 0x3f51fa89ee58cf13, 0x580c13e38e9fc1dc, 0xd4ec0a237bce62c0, 0x3ea807feccf1d780,
  0xcca42e0796b76458, 0xb955acfe67d1ccca, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0xf4bfa69935c0809c,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x218edfef5545a476, 0x0dc79b09732f9b63,
  0xb337f07771a2ce9f, 0xcc4fe50c2a73f53a, 0x82687993fc5ce32f, 0x867a615c9f8e7bff, 0x1d252d9f0271964b,
  0x18773c95fb9a1996, 0x0000000000349176,
};

// m162_swio12_dual_pr_ce_u4
static const uint64_t ur_m162_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x60fbab54375bbf32, 0x4d7ddb0c53ba7725, 0x7f4d99efdd8b9ced, 0x4a3f7399f6ee4e47,
  0xb22ee3822ac07c67, 0x609f180905b2bbc9, 0x88f64c8c1548e1fe, 0x72e30a04f89bed67, 0xcd15bf32addcee9f,
  0xf51f2b6c37d9c34d, 0x114239227f0650e6, 0x70f8510c4aff3f7c, 0x55777bbe6e321803, 0x718a8432d009e886,
  0x5edd2d7fd01cf09a, 0xbcd3982c2accc5ce, 0xeee2faf75482dd7f, 0xfb892c79e50b839b, 0xfea3e12fc4361222,
  0x5933c5dc6e2545c8, 0x67fa8f2fa7b9633f, 0x80a654e31c74fe0d, 0xd1f3b4428c6f9cc5, 0x31d41fdc72c678eb,
  0xe556b3f99f47332b, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0xd2fe9a64d7020272, 0xed5688af2e9895cb,
  0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0x371e6c25ccbe6d8c, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x69216661dcf257ee,
};

// m162_swio12_dual_pr_ee_ce
static const uint64_t ur_m162_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x660fbab3af1f97e2, 0x7af7ba55e589b158, 0xd14a2d56820f935f, 0x5f5f26593f22933e,
  0x73c119d4b229d582, 0x8c0482d95de4c0b7, 0x4c8c1548f3d7304f, 0x0a04f89bed6788f6, 0xff32addcee9f72e3,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xddf370617006e1f0, 0x219683054432abbb,
  0x0ffd01cf09a43c54, 0x05855998b9cbdbf6, 0xf02520b5bff79a73, 0xf285c1c9db3bfea8, 0x09cee370112601fc,
  0x95e5694ed6562f93, 0x9ea3e0d983eebd47, 0xdc3afb1698a62bc0, 0x909afa5b1971c270, 0x23d28e7576e2ea3a,
  0x6abc6c75ec66ec65, 0x071d8b4e5f234c6c, 0x8226470decbbdd9c, 0x332b32ce0fdaca8d, 0xdaf2e556b3f99f47,
  0xa2a551aeb2039920, 0x0272bb54b7d5d9ce, 0x95cbd2fe9a64d702, 0xaeb9ed5688af2e98, 0x20b94b5f3a03cded,
  0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x002609ce18773c95,
};

// m162_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m162_swio11_dual_pr_ee_ce_u4[] = {
  0x77bbbbb456ddb69f, 0xbab78fabddf962fd, 0x16a27d68e76ca60f, 0x7fabd823859c16bc, 0x8bd1dd8bf5d9d61d,
  0xce8438dfc37931f9, 0x792029dd202f9e5c, 0xcf4c13e30120b657, 0xb3c47b26460aa45e, 0x4fb97185027c4df6,
  0x0e6e5afccb4b7e77, 0xbd47c6ed87609c2f, 0x08a11c913f836bb9, 0xb87c2886257f9fbe, 0xaaeef77cdc780401,
  0xf7150865a11c910c, 0xf6f723ff4073c26d, 0x3344c16156662e72, 0xbea8ce0d2035bff4, 0x4b1e7942f3bfd7b8,
  0xf84bf10d8488bee2, 0x1771b8f00c463fa8, 0xf2b4a76b736be4cf, 0x51f06cc1f75ea3ca, 0x1d7d8b4c5315e04f,
  0x4d7d2d8cb8e1386e, 0xe9473abb71751d48, 0x5e363af633763291, 0x8ec5a72f91a63635, 0x132386f65deece03,
  0x95996707ed6546c1, 0x7972ab59fccfa399, 0x52a8d75901cc906d, 0x395daa5beaece751, 0xe5e97f4d326b8101,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0xc6431dbfdeaa8b48, 0x26ae0f3612e65f36,
  0xdfc1fb763458df17, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0xc14aa92792bf7343, 0x0000000000020025,
};

// m162_swio12_dual_hw
static const uint64_t ur_m162_swio11_dual_hw[] = {
  0x64777776890c5aa4, 0x1f756e3ff6afc23f, 0x7dba24792b4b3f6c, 0x95b312759051bad6, 0x13924c69dba47ec8,
  0x92483bb0fa6d36c1, 0xfcc13e30120b6577, 0x6788f64c8c1548e6, 0x9f72e30a04f89bed, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b96b6, 0x135ad150865a1192,
  0xb9cbdb975ffa039e, 0x57f8927305855998, 0xa3c8877cb0f9482a, 0x4aeea38e9fc188be, 0x46f79cc580bac535,
  0xfd9823af01a9d814, 0x3cb3dbc8b07d500f, 0xf33e8e6656652170, 0x073241b5e5caad67, 0xabb39d454aa35d64,
  0xc9ae0404e576a96f, 0x5e5d312b97a5fd34, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x25ccbe6d8c9156ff, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x00000000c6ea838e,
};

// m162_swio12_dual_ee_hw
static const uint64_t ur_m162_swio11_dual_ee_hw[] = {
  0xac52b77776890c86, 0xcc1f756b1f5c6fc7, 0xae17bbb287b19189, 0x4a836d882ca3f9f7, 0x21d9b75b1942deb1,
  0xb05dddd8dd9bcc54, 0xc13e30120b657792, 0x11ec99182a91649c, 0xe5c61409f137dacf, 0x318ffe655bb9dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf3739be00d, 0xdc54219682fb4432,
  0xdba6dffd01cf0983, 0x927305855998b9cb, 0x56b465169050fff8, 0xcc1995ea3caf7dcd, 0xb4ddf15caef51f06,
  0xd8cb8e1386e1d7d8, 0x2eab813f3484d7d2, 0x6ec6523d28e75697, 0x1a636355ae875ec6, 0xdeece038ec5a72f9,
  0xaca8d823f5b86f65, 0x99f47332b300a0fd, 0x39920daf2e556b3f, 0x5d9cea2a551aeb20, 0x4d7020272bb54b7d,
  0xf2e9895cbd2fe9a6, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x2e65f36c648ab7fb,
  0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x000000005768ad54,
};

// m162_swio12_dual_ce_hw
static const uint64_t ur_m162_swio11_dual_ce_hw[] = {
  0x40bddddda243359b, 0x07dd5aa1a01bf037, 0x266e8f6b0d70448b, 0xd60bb2b9d45ecfb7, 0xaf7616cfbdd0dd02,
  0x27e9bb8786614d6b, 0x19827c602416caef, 0x9e23d932305521e0, 0x7dcb8c2813e26fb5, 0x066eaffccab773ba,
  0x37a8fb3b611c8e07, 0xe08a11c913f8395d, 0x1b87c2886257f9fb, 0x32abbbddf3732a00, 0x827c542196807b44,
  0xcbdbd8fffd01cf09, 0xf8927305855998b9, 0x395c5f531f4806b7, 0x5f71258f3ca17072, 0x8fd47c25f886c244,
  0x4fccf1771b8cdf4a, 0x70fd47ea27b9633c, 0x0160304f8e3a7f07, 0x0353b0288def398b, 0x60faa01ffb33c75e,
  0x2b3290b81e5add91, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xcbd2fe9a64d70202,
  0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0x8c863b7fbd551691, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x026eabb28a792bf7,
};

// m162_swio12_dual_ee_ce_hw
static const uint64_t ur_m162_swio11_dual_ee_ce_hw[] = {
  0x67dadddddd437089, 0x307dd59d78fcbf12, 0xd7bdd2af2c4d8ac3, 0x8a516ab4107c9afb, 0xfaf932c9f91499f6,
  0xdd793d656d6d2c12, 0xe30120b65779302d, 0x932305523cf5cc13, 0xc2813e26fb59e23d, 0xbfccab773ba7dcb8,
  0xa6b60ff0e188266b, 0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0xf77cdc185c01b87c, 0x0865a0c1510caaee,
  0x83ff4073c2690f15, 0xc16156662e72f6fd, 0x1e04a416b7fe249c, 0x9e50b8393b677fd5, 0x984e771b9494ce5f,
  0x3caf2b4a76b2b17c, 0x04f51f06cc1f75ea, 0x86e1d7d8b4c5315e, 0xd484d7d2d8cb8e13, 0x291e9473abb71751,
  0x6355e363af633763, 0xe038ec5a72f91a63, 0x6c1132386f65deec, 0x39995996707ed654, 0x06d7972ab59fccfa,
  0x75152a8d75901cc9, 0x101395daa5beaece, 0xc4ae5e97f4d326b8, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f,
  0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0x7e7f61b8f3612e65, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00089a7ce514f257,
};

// m162_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m162_swio11_dual_ee_ce_u4_hw[] = {
  0x5deeeeed1468b202, 0xeeade3eaf77e58bf, 0x5ba89f5a39db2983, 0x875feaf608e17a70, 0x7e62f47762fd7675,
  0xe918ef0727f0de4c, 0x0b657792029ddfd6, 0xaa45ecf4c13e3012, 0xc4df6b3c47b26460, 0x612774fb97185027,
  0xc1385e1cdcb5f997, 0x06d7737a8f8ddb0e, 0xff3f7c114239227f, 0xf0080370f8510c4a, 0x39221955ddeef9b8,
  0xe784dbee2a10cb42, 0xcc5ce5edee47fe80, 0x1adff9d5b982c2ac, 0xe7ebdc5f54670690, 0x45f71258f3c6f860,
  0x82fd47c25f886c24, 0xd7c99e2ee373a9cb, 0xbd4795e5694ed6e6, 0x2bc09ea3e0d983ee, 0xc270dc3afb1698a6,
  0xea3a909afa5b1971, 0xec6523d28e7576e2, 0x4c6c6abc6c75ec66, 0xdd9c071d8b4e5f23, 0xca8d8226470decbb,
  0x9f47332b32ce0fda, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0xd7020272bb54b7d5, 0x2e9895cbd2fe9a64,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xccbe6d8c863b7fbd, 0x9cfd4176371e6c25,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000ebaf3d0c2fa,
};

static const uint64_t ur_m162_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x120b657793bb63d9, 0xb357e7f6fcc13e30, 0xe43be5ba4a41d47f, 0x491c74fe0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x55abdebe9a64d672,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xf36c8122adfef554, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0000a93ebd7b4f25,
};

// m162_swio13_noled_pr_u4
static const uint64_t ur_m162_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c492, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f7522741,
  0xde4eecbbb120ce05, 0xbf9304f8c0482d95, 0xa0fd2032bfc6afcf, 0xfc1f41ea3cbe3be5, 0x02cb298ca9c638e9,
  0xa3e767bd1ef67316, 0x1934a807fecc11d7, 0x556aab540f2cf6ee, 0x1aeb2039920daf2e, 0x2df5537d9cea2a55,
  0xf7afa699359caed5, 0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0x2048ab7fbd551698,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x080bc834f257ee68, 0x0000000000000f93,
};

static const uint64_t ur_m162_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd05893a, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da09d7d6,
  0x77505272b8210da2, 0x9827c602416caef2, 0xa4115bfc6afcf93a, 0x479594b9aad68dfc, 0x5d7d47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0xc90e75697fdcb8d6, 0xad743af3a6eda523, 0xc762d34c51c1fb1a,
  0x8fd6e1bd96cbe701, 0xaad40226b05aa360, 0x35d64073241b5e5c, 0x5beaa6fb39d454aa, 0xef5f4d326b395daa,
  0xdaad115e5d312ad5, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0x409156ff7aaa2d30, 0x357079b09732f9b6,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x69e4afdcd0ccb0e9, 0x000000013afd3d90,
};

static const uint64_t ur_m162_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0xc9dd3b410e5d96aa, 0x5a609f180905b2bb, 0x2a906fbff1abf3f1, 0xf51e56e966ab5a33, 0xafe77a8f83660d00,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8def39d5a5e032e2, 0x55ae875eba9bb028, 0x71d8b4f22a3b8763,
  0xd7d6e1bd970e59c0, 0x3241b5e5caad5704, 0xb39d454aa35d6407, 0x26b395daa5beaa6f, 0xe5d312ad5ef5f4d3,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x09732f9b6409156f, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000004eba45f906,
};

// m162_swio13_noled_pr_ce_u4
static const uint64_t ur_m162_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0xcaef277505272e9c, 0xcfece9827c602416, 0xfaedfa412bbfc6af, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0xa3cdd3dcb19fac99, 0xba05238e9fc193de, 0x3b3de8f7b398b017, 0xa5403ff6678ebd1f,
  0xd556a81e5add70c9, 0xd64073241b5e5caa, 0xeaa6fb39d454aa35, 0x5f4d326b395daa5b, 0xad115e5d312ad5ef,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x0c76ff7aaa2d30ca, 0xe0f3612e65f36c81, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x2b20d3c95fb9a199, 0x00000000000dd7ab,
};

static const uint64_t ur_m162_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0xde4eebd69c452bed, 0xd35304f8c0482d95, 0x297483fe7f8d5f9f, 0xe3254eec7ceffaa3, 0x84e771b8495951f9,
  0xcace1ca76b2b1ef9, 0x7f51f06cc19ebea3, 0x6e1d7d8b4c5315c8, 0x484d7d2d8cb8e138, 0x91e4873abb77ee1d,
  0x1aaf1b1d79d376d2, 0x01c762d34c51c1fb, 0xb044c8e1bd96cbe7, 0x2e556a5993582d51, 0x551aeb2039920daf,
  0xd52df5537d9cea2a, 0x6af7afa699359cae, 0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba,
  0xb640863b7fbd5516, 0x38b93571b09732f9, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xa763fe41a792bf73, 0x0000000000000029,
};

static const uint64_t ur_m162_swio13_noled_pr_ee_ce_u4[] = {
  0x04dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0x8ccec4ac10b2d9e8,
  0xef2776e76cd8f6c9, 0xc6e9827c602416ca, 0xcea40d77fe24639f, 0x285c1cc41717d51e, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660cf5f51e5670e5, 0x5a6298ae43fa8f83, 0x6c65c709c370ebec,
  0xd5dbbf70ea426be9, 0xebce9bb6948f2439, 0x9a628e0fd8d578d8, 0x0decb65f380e3b16, 0xcc9ac16a8d822647,
  0x01cc906d7972ab52, 0x9bece75152a8d759, 0x34c9ace576a96faa, 0x457974c4ab57bd7d, 0x34ef1dfd75cf6ab4,
  0x754e041dd4d8a53c, 0xdbfdeaa8b4c329e8, 0xcd84b997cdb20431, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x694c3b9e4afdcd0c,
  0x0000000000009f99,
};

static const uint64_t ur_m162_swio13_noled_hw[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x120b657793bb63d9, 0xf871e7f6fcc13e30, 0xf90ef96e9290751f, 0x92471d3f83e7bd47, 0xe80e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551aeb2039920d, 0xaed52df5537d9cea, 0x956af7afa699359c,
  0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0x7cdb2048ab7fbd55, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00008e2fafb053c9,
};

static const uint64_t ur_m162_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0x95de4eeb4efb5bb2, 0x9f275304f8c0482d, 0xb46fe5208adff429, 0x309fea3caca5cd56, 0xbbe2b2ebea3e0d98,
  0x971c270dc3afb169, 0xe5c6b26909afa5b1, 0x6d291e4873ab4bfe, 0x0fd8d56ba1d79d37, 0x5f380e3b169a628e,
  0xd51b047eb70decb6, 0xdaf2e556a0113582, 0xa2a551aeb2039920, 0xcaed52df5537d9ce, 0x8956af7afa699359,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x97cdb2048ab7fbd5, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000000b7c02b514f,
};

static const uint64_t ur_m162_swio13_noled_ce_hw[] = {
  0x7bdddddda2431768, 0xf1ddaabc22433891, 0xbdb23bbb6dd7b07b, 0x7b3fd7f1fc5e6c63, 0x68f67ae34c90dd2f,
  0x20b657793ba6e8ed, 0xd0a67f674c13e301, 0xb5c5f5dbf482577f, 0xf71258f3ca170732, 0xfd47c25f886c2445,
  0xb2678bb8dcfd735b, 0x4f7a8f374f72c67e, 0xc05ee8148e3a7f06, 0xf47cecf7a3dece62, 0xc3269500ffd99e3a,
  0x72ab555aa0796b75, 0xa8d75901cc906d79, 0xa96faa9bece75152, 0x57bd7d34c9ace576, 0xcf6ab4457974c4ab,
  0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0xb20431dbfdeaa8b4, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x759be10fd14f257e,
};

// m162_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m162_swio13_noled_ee_ce_hw[] = {
  0x04dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0xeccec4ac10b2d9e8,
  0x2bbc9ddcfb403a89, 0x7f1ba609f180905b, 0x47b3a9035dffd0a6, 0xf3ca17073105c5f5, 0x5f886c2445f71258,
  0x8dcd507907fd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0xec5a6298ae43fa8f, 0xe96c65c709c370eb,
  0x39d5dbbf70ea426b, 0xd8ebce9bb6948f24, 0x169a628e0fd8d578, 0x470decb65f380e3b, 0x52cc9ac16a8d8226,
  0x5901cc906d7972ab, 0xaa9bece75152a8d7, 0x7d34c9ace576a96f, 0xb4457974c4ab57bd, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0xe3cd84b997cdb204, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xb2d2d14f257ee686, 0x0000000000000280,
};

static const uint64_t ur_m162_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x482d95de4ee82f41, 0xcd5f9f5f7304f8c0, 0xe1df2dd25208f7fe, 0x18e3a7f07cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xb54b7d54df673a8a, 0x2fe9a64d7020272b,
  0x6ab4457974c4ae49, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xf36d3d0ea9c09cfa, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x00005483ad7b4f25,
};

// m162_swio13_lednop_pr_u4
static const uint64_t ur_m162_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c492, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623ba913a0,
  0xef27760d86e3f66e, 0xd4a9827c602416ca, 0x41fa4063ffc6afcf, 0xfc1f41ea3e9477cb, 0x05965318f3d638e9,
  0x47cedf2238c8e62c, 0x770d500ffd9823af, 0xaad605681e59edef, 0x35d64073241b5e5c, 0x5beaa6fb39d454aa,
  0x4d326b8101395daa, 0xa22bcba62572497f, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1,
  0x3612e65f36cbb22a, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x0d3c95fb9a19961d, 0x00000003e4dfaa32,
};

static const uint64_t ur_m162_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0xcc13e30120b65779, 0xa40707fc6afcfd0f, 0x4795a9e9aad68dfc, 0xc17d47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0x050e75697f9cb8d6, 0x5ae875e74dd827a3, 0x8ec5a79223c8b635,
  0x1fadc37b2d97ce03, 0x55a80570c9a546c1, 0x6bac80e64836bcb9, 0xb7d54df673a8a954, 0x9a64d7020272bb54,
  0x4457974c4ae492fe, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x6c25ccbe6d976455,
  0x43459d3e2e4d5c1e, 0x54e7ea75663c81f9, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x00275d76641a792b,
};

static const uint64_t ur_m162_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0x5de4eeabe67d06cb, 0xf383304f8c0482d9, 0x1995483677f8d5f9, 0x807a8f2b2eb355ad, 0x7c5670fd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x0047f21cead2e515, 0xb1aad743af5d4dd9, 0x380e3b169bde8f7b,
  0xc5c3fadc37b2e1cb, 0x01cc906d7972ab55, 0x9bece75152a8d759, 0xae0404e576a96faa, 0x2e9895c925fd34c9,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0x997cdb2ec8ab7fbd, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00013ae10bc834f2,
};

// m162_swio13_lednop_pr_ce_u4
static const uint64_t ur_m162_swio13_lednop_pr_ce[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0xcaef2774eb46a122, 0xcf8d69827c602416, 0xfaedfa41a6ffc6af, 0x963cf192a776eae2, 0xf097e21b09117dc4,
  0xe2ee3729299cbf51, 0xa3ce33dcb19fac99, 0x7b40238e9fc193de, 0x76f911c647316028, 0x6a807feccf1d7a3e,
  0xac0ad03cb5bb7bb8, 0xac80e64836bcb955, 0xd54df673a8a9546b, 0x64d7020272bb54b7, 0x57974c4ae492fe9a,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb2ec31dbf, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000000375cb3c834,
};

static const uint64_t ur_m162_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0x7793ba0292634e39, 0xdadcc13e30120b65, 0x29748136ffc6afcf, 0xe3254ef768effaa3, 0x09cee373a3ea49f9,
  0x9594394ed6563df3, 0x7ea3e0d9833d7d47, 0xdc3afb1698a62b29, 0x909afa5b1971c270, 0xa3050e7576ef9c3a,
  0x6abc6c75e74dd827, 0x071d8b4f2447916c, 0xc1132386f65b2f9c, 0xb955a96770c9a546, 0x546bac80e64836bc,
  0x54b7d54df673a8a9, 0xfe9a64d7020272bb, 0xab4457974c4ae492, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5,
  0x1dbfdeaa8b48edcf, 0xb8d84b997cdb2ec3, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b,
  0x20d3c95fb9a19961, 0x0000000014d33853,
};

static const uint64_t ur_m162_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x4c2a0006793919f9, 0x8a706e8e2165b3d0,
  0xef27750093738b0f, 0x35b9827c602416ca, 0x67520149fe24639f, 0x942e0e400b8bea8f, 0x10d8488bee24b1e7,
  0xc0b233d7fa8f84bf, 0x3b5b9b7be678bb8d, 0x660cf5f51e5650e5, 0x5a6298aca5fa8f83, 0x6c65c709c370ebec,
  0xd5dbbe70ea426be9, 0xd79d37609e8c1439, 0x3c911e45b1aaf1b1, 0x1bd96cbe701c762d, 0x9dc326951b044c8e,
  0x039920daf2e556a5, 0x37d9cea2a551aeb2, 0x5c0809caed52df55, 0x5d312b924bfa6993, 0x9bdb5d73daad115e,
  0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x65f36cbb0c76ff7a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x00000027e5b9030e,
};

static const uint64_t ur_m162_swio13_lednop_hw[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x482d95de4ee82f41, 0xe1c79f5f7304f8c0, 0xf877cb7494823dff, 0x8638e9fc1f3dea3a, 0x86731602dee98f58,
  0xc608ebc5cedbda3b, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0xed52df5537d9cea2, 0x4bfa69935c0809ca,
  0xdaad115e5d312b92, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x7cdb4f43aa70273e, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00004710ebb053c9,
};

static const uint64_t ur_m162_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x4b8c8f9bb106d04e,
  0xcaef2775b11ced4e, 0x9fa1f9827c602416, 0xb46fe520383ff429, 0x309fea3cad4f4d56, 0xbbe2b60bea3e0d98,
  0x971c270dc3afb169, 0xe5c6b26909afa5b1, 0xc13d182873ab4bfc, 0x45b1aad743af3a6e, 0xbe701c762d3c911e,
  0x2a3608fd6e1bd96c, 0xb5e5caad402b864d, 0x454aa35d64073241, 0x95daa5beaa6fb39d, 0x2497f4d326b81013,
  0xe7b55a22bcba6257, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0xbb22adfef5545a47, 0xb1b8f3612e65f36c,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x5be6b05453c95fb9, 0x0000000000000000,
};

static const uint64_t ur_m162_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121b768, 0xf8eed55e11285c48, 0x6f4d2eec01e9583d, 0xbd9febf8fc33c5ea, 0xb671545a0ac86e97,
  0x905b2bbc9dd764af, 0xe8533e35a609f180, 0xeae2faedfa41a6ff, 0xfb892c79e50b8396, 0x7ea3e12fc4361222,
  0x5933c5dc6e5e1f2d, 0x27bd479c67b9633f, 0xc050f680471d3f83, 0xf47cedf2238c8e62, 0xf770d500ffd99e3a,
  0x72ab5815a0796b76, 0xa8d75901cc906d79, 0xa96faa9bece75152, 0xfd34c9ae0404e576, 0x5688af2e9895c925,
  0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x79b09732f9b65d86, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xcc5a29e4afdcd0cc,
  0x00000000000759bc,
};

// m162_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x261500033c9c8cfc, 0x6538374710b2d9e8,
  0x95de4ee8eba6bef7, 0x3e6b7304f8c0482d, 0x51ecea40293fe853, 0x3cf285c1c801717d, 0x97e21b09117dc496,
  0x71b8148f9cbf51f0, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0x7d8b4c531594bf51, 0x7d2d8cb8e1386e1d,
  0x873abb77ce1d484d, 0x363af3a6ec13d182, 0xc5a79223c8b6355e, 0x91c37b2d97ce038e, 0xd4b3b864d2a36089,
  0xd64073241b5e5caa, 0xeaa6fb39d454aa35, 0x326b8101395daa5b, 0x2bcba62572497f4d, 0x80f37b6bae7b55a2,
  0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x25ccbe6d97618edf, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x0000000014056e42,
};

// m162_swio13_dual_pr               m162_swio13_dual_pr_u4
static const uint64_t ur_m162_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3fb2afc3, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba696,
  0x4920ee19c5c5badd, 0x3304f8c0482d95de, 0x9e23d932305520c0, 0x7dcb8c2813e26fb5, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x432abbbddf373100, 0x26b5a2a10cb42324,
  0x7397b7297ff4073c, 0xbfef34e60b0ab331, 0x1fba3be596bd2028, 0x5dbf1c74fe0f7bf5, 0x6989cc580bac5314,
  0xb30475e0353b4be4, 0xcb3db1f06faa01ff, 0x33e8e6656629c703, 0x73241b5e5caad67f, 0xfb39d454aa35d640,
  0x8101395daa5beaa6, 0xa62572497f4d326b, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810,
  0x5f36cbb22adfef55, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000a49af3e30ee,
};

static const uint64_t ur_m162_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63ebbefc6, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b69c5,
  0x05dcf04675c7f53a, 0x13e30120b657792b, 0x1ec99182a91dc7cc, 0x5c61409f137dacf1, 0x18ffe655bb9dd3ee,
  0x47275b04b4700b53, 0x508e489fc1c569bd, 0x3e144312bfcfdf04, 0xbbbddf370c0200dc, 0xc54219682fb4432a,
  0xdf4d7fd01cf0983d, 0xd3982c2accc5ce5e, 0xb5a3fdd4802d7fbc, 0xc187bf51e576ea6a, 0x4ddf15efbf51f06c,
  0x8cb8e1386e1d7d8b, 0x96b813f3484d7d2d, 0xd83da33d4e756972, 0x886c6ab5d0ebd8cd, 0xeece038ec5a738a3,
  0xaa8d823f5b86f65d, 0x9f47332b30086f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809caed52df5537,
  0x312b924bfa69935c, 0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf9b65d9156ff7aaa,
  0x2cb578dc79b09732, 0x3f53ab337f07771a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x98773c95fb9a1996, 0x0000000000ac83a2,
};

static const uint64_t ur_m162_swio13_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xa7333e9cd3b4abcb, 0x798a164035a1942c,
  0xf24c4bbbbb1bb2d0, 0x8f9827c602416cae, 0x59e23d932305523b, 0xa7dcb8c2813e26fb, 0x275325afccab773b,
  0xb9bd478adb01ac70, 0xdf04508e489fc1ef, 0x00dc3e144312bfcf, 0x21955ddeef9b8494, 0x269122a10cb423da,
  0x7397b7d35ff4073c, 0x5fef34e60b0ab331, 0x9e9aad68e035200b, 0x3e0d983913d4795a, 0xafb169bbe2b387ea,
  0xafa5b1971c270dc3, 0xad2ffb9701c66909, 0xbca69d900460a1ce, 0xdef47916c6ab5d0e, 0x37b2dc99c071d8b4,
  0x47332b35c5c3fadc, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x09caed52df5537d9, 0x2b924bfa69935c08,
  0xad73daad115e5d31, 0xd4b0b29b1674079f, 0x273e8a042d3573ab, 0x4b997cdb4f43aa70, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xc3b9e4afdcd0ccb0, 0x0000000000ac9028,
};

static const uint64_t ur_m162_swio13_dual_pr_ce[] = {
  0xeb7777743d686f97, 0xb07dd5aa1a27df86, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf74dd40,
  0xfa6ee78233a1f8a7, 0x609f180905b2bbc9, 0x88f64c8c15483afa, 0x72e30a04f89bed67, 0x9babff32addcee9f,
  0xea3eced8472381c1, 0x22847244fe0e574d, 0xe1f0a21895fe7ef8, 0x55ddeef9b9d1f006, 0x3e2a10cb403da219,
  0xedc66ffe80e784c1, 0xcd3982c2accc5ce5, 0xae2fabf9480e0ffb, 0xb892c79e50b83835, 0xea3e12fc4361222f,
  0xf33c5dc6e321d257, 0xdea384f9ee58cf13, 0x2afb91238e9fc1da, 0xd4ed2f91a6273160, 0xbea807feccf1d780,
  0x6629c703cb5b87c1, 0x5caad67f33e8e665, 0xaa35d64073241b5e, 0xaa5beaa6fb39d454, 0x7f4d326b8101395d,
  0x55a22bcba6257249, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x8edfef5545a476e7, 0x1e6c25ccbe6d9761,
  0xdfc1ddc68b3a7c37, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0xdcf257ee68665874, 0x000000003490c861,
};

static const uint64_t ur_m162_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0x28efe986e1d7cfb4, 0xd4e900d57962dd32,
  0xf26c8bb9e08ce9c2, 0xeb9827c602416cae, 0x59e23d9323055219, 0xa7dcb8c2813e26fb, 0xd373456fccab773b,
  0x39bd47cadb0df670, 0xdf04508e489fc194, 0x00dc3e144312bfcf, 0x21955ddeef9b9722, 0x269c62a10cb4027a,
  0xe72f6f43fff4073c, 0xffde69cc16156662, 0x96eae2faedfa41a6, 0x22fb892c79e50b83, 0x257ea3e12fc43612,
  0x3f5933c5dc6e321d, 0x8327bd479c67b963, 0x62c050f680471d3f, 0x3af47cedf2238c8e, 0xcacc7437f71cb19e,
  0xbcb955acfe67d1cc, 0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x92fe9a64d7020272, 0xf6ab4457974c4ae4,
  0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0xc31dbfdeaa8b48ed, 0x6e3cd84b997cdb2e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x92042cc3b9e4afdc, 0x0000000000000006,
};

static const uint64_t ur_m162_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f9139d,
  0xee68fa9d1c137671, 0xf180905b2bbc9816, 0xc99182a907cfa609, 0x61409f137dacf11e, 0xdfe655bb9dd3ee5c,
  0xd35b07f870c41335, 0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x4219683054432abb,
  0xadffd01cf09a43c5, 0x305855998b9cbdb9, 0x4795a90620ff79a7, 0xf3ca17071fe1dff5, 0x4c273b8dce6faa47,
  0x1e572ba53b5958be, 0x56f51f06cc1edff5, 0x86e1d7d8b4c5315e, 0xd484d7d2d8cb8e13, 0xed19ea73abb714b1,
  0xc6abc6c75ec66ec1, 0xe038ec5a738a3886, 0x6c1132386f65deec, 0x39995996637c4554, 0x06d7972ab59fccfa,
  0x75152a8d75901cc9, 0x4e576a96faa9bece, 0x5c925fd34c9ae040, 0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda,
  0x1db9e8754e042152, 0x65d863b7fbd55169, 0xe70dc79b09732f9b, 0xeeaccdfc1ddc68b1, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x2608a9c61dcf257e,
};

static const uint64_t ur_m162_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e67d, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f4779f7d7675a,
  0xd4e9598aa317218c, 0x7792029dd48c4438, 0xb82cc13e30120b65, 0x6b3c47b26460aa46, 0x74fb97185027c4df,
  0xf0e6e5afccb4b7e7, 0x9bd47c6ed87609c2, 0xe08a11c913f836bb, 0x1b87c2886257f9fb, 0xcaaeef77cdc3af80,
  0xdf7150865a11c910, 0x2f6f495ff4073c26, 0x43344c16156662e7, 0x8bea8c9d520bc3ff, 0x24b1e7942f3bec1b,
  0x8f84bf10d8488bee, 0x78bb8dc3af8551fa, 0x572ba53b5b9b5f26, 0xf51f06cc1edff51e, 0xe1d7d8b4c5315e56,
  0x84d7d2d8cb8e1386, 0x19ea73abb714b1d4, 0xabc6c75ec66ec1ed, 0x38ec5a738a3886c6, 0x1132386f65deece0,
  0x995996637c45546c, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x925fd34c9ae0404e,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xd863b7fbd551691d, 0x57079b09732f9b65,
  0xe0fdbb1a2c6f8b93, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x455493c95fb9a199, 0x00000000008009f0,
};

static const uint64_t ur_m162_swio13_dual_hw[] = {
  0x97777776890c0668, 0xd83eeadc7f655f86, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0x3f84339d61b74d2d,
  0xef24907703eb04de, 0x6019827c602416ca, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0x8001b87c2886257f, 0x9221955ddeef9b98, 0x9e135ad150865a11,
  0x98b9cbdb94bffa03, 0x0a2ff89273058559, 0xfd47ee8ef965af48, 0xc5176fc71d3f83de, 0xf91a62731602eb14,
  0x7fecc11d780d4ed2, 0xc0f2cf6c7c1bea80, 0x9fccfa3999598a71, 0x901cc906d7972ab5, 0xa9bece75152a8d75,
  0x9ae0404e576a96fa, 0xf2e9895c925fd34c, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0xb997cdb2ec8ab7fb, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000018dd579f51,
};

static const uint64_t ur_m162_swio13_dual_ee_hw[] = {
  0xedddddd0f5a1a5fb, 0xc1f756b1f5df7e34, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285b4e29,
  0x582ee9646bae9561, 0x609f180905b2bbc9, 0x88f64c8c1548ee3e, 0x72e30a04f89bed67, 0x98c7ff32addcee9f,
  0xea393ad825a3805a, 0x22847244fe0e2b4d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8601006, 0xee2a10cb417da219,
  0xf6fa6bfe80e784c1, 0x249cc16156662e72, 0xaad68ff75200b5fe, 0xb3061efd4795dba9, 0x2d377c57befd47c1,
  0xb632e384e1b875f6, 0xca5ae04fcd2135f4, 0x3760f68cf539d5a5, 0x8e21b1aad743af63, 0x77bb380e3b169ce2,
  0x22aa3608fd6e1bd9, 0xe67d1cccacc021be, 0x0e64836bcb955acf, 0xdf673a8a9546bac8, 0x7020272bb54b7d54,
  0x74c4ae492fe9a64d, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0xcbe6d976455bfdea,
  0x7ea5eae371e6c25c, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0x5da1d168a792bf73, 0x0000000000000001,
};

static const uint64_t ur_m162_swio13_dual_ce_hw[] = {
  0xdd6eeeeed121a5fb, 0x160fbab54344fbf0, 0xd421dd3ac02ae089, 0x16b05eb557bad962, 0xb2b8a6b957ee9ba8,
  0xe4fd3774b235d74a, 0x7d304f8c0482d95d, 0xb3c47b26460aa41d, 0x4fb97185027c4df6, 0xe0cdd5ff9956ee77,
  0xa6f51f676c2391c0, 0x7c114239227f072b, 0x0370f8510c4aff3f, 0x0caaeef77cdce8f8, 0x609f150865a01ed1,
  0x72f6e337ff4073c2, 0xfe249cc16156662e, 0x0d6b8beafe520383, 0x8bee24b1e7942e0e, 0x87fa8f84bf10d848,
  0xc4fccf1771b9d66c, 0x76b7a8e13e7b9633, 0x580abee448e3a7f0, 0xe0353b4be46989cc, 0xf06faa01ffb33c75,
  0x99598a71c0f2d6e1, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x925fd34c9ae0404e,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xd863b7fbd551691d, 0x8dc79b09732f9b65,
  0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x26ea64a29e4afdcd,
};

static const uint64_t ur_m162_swio13_dual_ee_ce_hw[] = {
  0x1ceddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e44e77,
  0xddce43ada6f9afc7, 0x3e30120b65779302, 0xd932305520f9f4c1, 0x8c2813e26fb59e23, 0xbbfccab773ba7dcb,
  0xfa6b60ff0e188266, 0x11c913f83ff937a8, 0xc2886257f9fbe08a, 0x77bbe6e753801b87, 0xa8432d060a886557,
  0x35bffa039e134878, 0xe60b0ab3317397b7, 0x54795a90620ff124, 0x3f3ca17071fe1dff, 0xf9309cee37092b2a,
  0xd4795cae94ed6562, 0x795bd47c1b307b7f, 0x4e1b875f62d314c5, 0xc752135f4b632e38, 0x07b467a9ceaedc52,
  0x1b1aaf1b1d7b19bb, 0xb380e3b169ce28e2, 0x51b044c8e1bd977b, 0xe8e66566598df115, 0x241b5e5caad67f33,
  0x39d454aa35d64073, 0x01395daa5beaa6fb, 0x2572497f4d326b81, 0x6bae7b55a22bcba6, 0x482e52d7ce80f37b,
  0xa476e7a1d5381085, 0x6d97618edfef5545, 0xcfec371e6c25ccbe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x044d354ea29e4afd,
};

static const uint64_t ur_m162_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0x83eeade3d7177e67, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bcfbebb,
  0xf5f8396ff68518b9, 0x120b657792029dc1, 0x60aa46b82cc13e30, 0x27c4df6b3c47b264, 0x97612774fb971850,
  0x0ec1385e1cdcb5f9, 0x7f06d7737a8f8ddb, 0x4aff3f7c11423922, 0xb875f00370f8510c, 0x4239221955ddeef9,
  0x80e784dbee2a10cb, 0xaccc5ce5ede92bfe, 0x905e1ff9d5b982c2, 0x60e760dc5f5464ea, 0x2445f71258f3c6f8,
  0x6164fd47c25f886c, 0xcdaf933c5dc6e3b7, 0x6ffa8f2b95d29dad, 0x98af2b7a8f83660f, 0xc709c370ebec5a62,
  0x8a58ea426be96c65, 0x3760f68cf539d5db, 0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2,
  0xe67d1cccaccb31be, 0x0e64836bcb955acf, 0xdf673a8a9546bac8, 0x7020272bb54b7d54, 0x74c4ae492fe9a64d,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x97cdb2ec31dbfdea, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0001d7523c985f4f,
};

static const uint64_t ur_m162_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x0b657793ba0bd04d, 0xabf3fdd4c13e3012, 0x9df2dd05203d7fd9, 0x1c74fe0ebffa8f10, 0x398b016f74c7afc9,
  0x0475e2e7683e8c9a, 0xb955a9584f6e3963, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x56c7efe9a64d674d,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb3d6e2adfef554, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x0001520eb5ed3c95,
};

// m162_swio14_noled_pr_u4
static const uint64_t ur_m162_swio14_noled_pr[] = {
  0x8f77777689119391, 0x0bbb5572290044a3, 0x7b8ef5fb1a0b609e, 0x9ac1c44cd88ecf6a, 0xe6350eb4dd8e3d05,
  0xde4eef4e32256ec4, 0x31f304f8c0482d95, 0x6f74836fff8d5f9f, 0xfc1935ea382877cb, 0x0b2ca6dbf2fa38e9,
  0x1f3b2d746229cc58, 0x09e5403ff6608ebd, 0xab567dd03cb3dbe9, 0xd75901cc906d7972, 0xdaa5beace75152a8,
  0x8fdfd34c9ace9b95, 0xcf6ab4457974c4ad, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0x67adc55bfdeaa8b4,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x73f059069e4afdcd, 0x00000000000001f2,
};

// m162_swio14_noled_pr_ee_u4
static const uint64_t ur_m162_swio14_noled_pr_ee[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0xbbc9dd57ccfa0d96, 0xe706609f180905b2, 0x663e906ceff1abf3, 0x51ea3cacbacd56b4, 0xf159c3f51f06cc1f,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x008fe439d5a5ca2a, 0xec6ab5d0ebce9bb2, 0xce038ec5a6f7a3de,
  0x46c11fadc37b2d97, 0x5e5caad40227b9e5, 0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x312b63f7f4d326b3,
  0x7f5d73daad115e5d, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0xcbe6d9eb7156ff7a, 0x1be2e4d5c1e6c25c,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0009d7085e41a792,
};

// m162_swio14_noled_pr_ce_u4
static const uint64_t ur_m162_swio14_noled_pr_ce[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0x657793bad88e72c1, 0xe7f4dcc13e30120b, 0xbebdd520cadfe357, 0x258f3c64a9de04b8, 0x7c25f886c2445f71,
  0x78bb8dceb3643fd4, 0xa8ebe4f72c67eb26, 0x224dd1c74fe0d67f, 0x3b2d746229cc580b, 0xe5403ff6678ebd1f,
  0xd59f740f2d6ee909, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xf7f4d326b3a6e576, 0xdaad115e5d312b63,
  0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xd6cc76ff7aaa2d30, 0xab83cd84b997cdb3, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xd5bc834f257ee686, 0x0000000000006ebd,
};

static const uint64_t ur_m162_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0x7793baec95f14e9c, 0xa6dcc13e30120b65, 0x2eb48066ffc6afcf, 0xe3254ecc7ceffaa3, 0x84e771b9494ce5f9,
  0xcae43ca76b2b1ef9, 0x5f51f06cc1e95ea3, 0x6e1d7d8b4c5315ba, 0x484d7d2d8cb8e138, 0x11fc873abb71451d,
  0x1aaf1b1d79d37640, 0x80e3b169bde8f7bb, 0xd8226470decb65f3, 0xcb955a9664f73ca8, 0x9546bac80e64836b,
  0xdcaed52df5673a8a, 0x256c7efe9a64d674, 0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020,
  0xf9b67ad98edfef55, 0x8f38b93571b09732, 0x3f75663c81f94345, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9,
  0x14d345f641a792bf,
};

static const uint64_t ur_m162_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x702cc8f250b2d9e4,
  0x7793bb5aaef3b5b3, 0xc524c13e30120b65, 0xa6e9056fff8918e7, 0x942e0e5addc5f547, 0x10d8488bee24b1e7,
  0x830bbb77fa8f84bf, 0x76b736f7ccf1771b, 0xcc1e95ea3cae43ca, 0xb4c5315ba5f51f06, 0xd8cb8e1386e1d7d8,
  0xabb71451d484d7d2, 0xd79d3764011fc873, 0x9bde8f7bb1aaf1b1, 0x0decb65f380e3b16, 0x664f73ca8d822647,
  0x80e64836bcb955a9, 0xdf5673a8a9546bac, 0xe9a64d674dcaed52, 0x5a22bcba6256c7ef, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x98edfef5545a6194, 0xc79b09732f9b67ad, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x026b18773c95fb9a,
  0x000000000000013f,
};

static const uint64_t ur_m162_swio14_noled_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x0b657793ba0bd04d, 0x38f3fdd4c13e3012, 0x277cb741480f5ffc, 0x471d3f83affea3c4, 0x8e62c05bdd31ebf2,
  0xc11d78b9da0fa326, 0x2e556a5613db8e58, 0x551aeb2039920daf, 0x72bb54b7d59cea2a, 0x95b1fbfa699359d3,
  0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0xf36cf5b8ab7fbd55, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x00011c43aec14f25,
};

static const uint64_t ur_m162_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xdab22101b020da08,
  0xb657793baf5a716f, 0xa67ce0cc13e30120, 0xb5a331f483677fd0, 0x60fa8f51e565d66a, 0xa6ef8ace1fa8f836,
  0xc65c709c370ebec5, 0x51571ac9a426be96, 0xdd90047f21cead2e, 0x1ef76355ae875e74, 0x6cbe701c762d37bd,
  0xcf2a3608fd6e1bd9, 0x20daf2e556a0113d, 0xcea2a551aeb20399, 0x359d372bb54b7d59, 0xf2e9895b1fbfa699,
  0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x12e65f36cf5b8ab7, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x0000000005bfdf05,
};

static const uint64_t ur_m162_swio14_noled_ce_hw[] = {
  0xe4dddddda2432493, 0xf8eed55e110fdc49, 0x9ed45dd267c7d83d, 0x4d9febc6b833641a, 0x5a76a85b4bc2b75e,
  0x482d95de4ee86e41, 0xf4299fd37304f8c0, 0x04b8bebdd520cadf, 0xbee24b1e7942e0e6, 0x3fa8f84bf10d8488,
  0xd64cf1771b98ddd8, 0xacff51d7c9ee58cf, 0xb016449ba38e9fc1, 0x7a3e765ae8c45398, 0xd213ca807feccf1d,
  0xb955ab3ee81e5add, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x56c7efe9a64d674d, 0xbae7b55a22bcba62,
  0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0x9b67ad98edfef554, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00759b3044a29e4a,
};

// m162_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m162_swio14_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x302cc8f250b2d9e4,
  0x2bbc9ddb1751fd40, 0x3e292609f180905b, 0xa3d37482b7ffe853, 0xf3ca17072d6ee2fa, 0x5f886c2445f71258,
  0xc6e0000dbbfd47c2, 0xf29dadcdbdf33c5d, 0xc1b307a57a8f2b90, 0xf62d314c56e97d47, 0xf4b632e384e1b875,
  0x1ceaedc514752135, 0x6c75e74dd90047f2, 0xc5a6f7a3deec6abc, 0x91c37b2d97ce038e, 0x6a5993dcf2a36089,
  0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0xfbfa699359d372bb, 0xed5688af2e9895b1, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0xeb663b7fbd551698, 0x6371e6c25ccbe6d9, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x404135a8a792bf73, 0x0000000000000001,
};

static const uint64_t ur_m162_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x80905b2bbc9dd85e, 0xfd9abf3f01a609f1, 0xf243be5ba0a401ef, 0x4c638e9fc1d7ff51, 0xf48731602dee9b4a,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0xe65f36d3d0ea9c0a, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000000548b8d7b4,
};

// m162_swio14_lednop_pr_u4
static const uint64_t ur_m162_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae453c7c4a3, 0x3d537b7e61f6c13c, 0x66b0714004ccbdd9, 0x58f85eebf7638f41,
  0xde4ee8916666ec37, 0x5f7304f8c0482d95, 0x6f74823dff8d5f9f, 0xfc1935ea3a0077cb, 0x05965347bd2a38e9,
  0x8f9da214637ce62c, 0xbd22a01ffb30475e, 0xaad5f5b81e59ed88, 0x35d64073241b5e5c, 0x76a96fab39d454aa,
  0xf4d326b81013a6e5, 0xad115e5d312b97d8, 0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x56ff7aaa2d23b73d,
  0x1e6c25ccbe6d8c91, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x641a792bf734332c, 0x0000000007c9aa6b,
};

static const uint64_t ur_m162_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0xd4c13e30120b6577, 0x7d201adfe357e7d2, 0xd4795b059aad68cc, 0xb287ea3e0d983ea3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x1cdc73ab4ba565c6, 0xd56ba1d79d376ea1, 0x071d8b4fe4471958,
  0x823f5b86f65b2f9c, 0xb955a805d213ca8d, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xb1e9a64d7020274d,
  0xb55a22bcba62572f, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x22adfef5545a476e, 0xb83cd84b997cdb19,
  0x03f2868b3a7c5c9a, 0x9430a9cfd4eacc79, 0xe64ff1738cbf313f, 0x85727e39effe09a1, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000004ebe31c834,
};

static const uint64_t ur_m162_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0x793ba75a3509167d, 0x6b4c13e30120b657, 0x6fd20d37fe357e7c, 0x7d47959c39aad68f, 0x2b90fea3e0d9839c,
  0xc270dc3afb169bbe, 0xa266909afa5b1971, 0xa3884e75697a94b8, 0xd56ba1d7aea6ed38, 0x0e3b169ad74622d8,
  0xa4fadc37b2e1cb38, 0xe64836bcb955aae3, 0x5673a8a9546bac80, 0x7020274dcaed52df, 0xba62572fb1e9a64d,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x997cdb1922adfef5, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0000275cb3c834f2,
};

// m162_swio14_lednop_pr_ce_u4
static const uint64_t ur_m162_swio14_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0xb2bbc9dd1ec5aa38, 0xf3f1ca609f180905, 0x5f5eea905baff1ab, 0x92c79e3254ef7ddc, 0x3e12fc4361222fb8,
  0x3c5dc6e5c89257ea, 0xa8f2fa7b9633f593, 0x654e31c74fe0d67f, 0x3b4428c6f9cc580a, 0x45403ff6678ebd1f,
  0x6afadc0f2d6e117a, 0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0x69935c0809d372bb, 0x88af2e9895cbec7a,
  0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0x6c25ccbe6d8c863b, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x1a792bf734332c3a, 0x00000000dd74d064,
};

static const uint64_t ur_m162_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0x7793bb61b653d649, 0xdfe4c13e30120b65, 0xcbad200d1fe357e7, 0x3c64a9dffc3bfea8, 0x6139dc6e654341ff,
  0xf2b29729dacac7be, 0xd7d47c1b307a57a8, 0x1b875f62d314c565, 0x52135f4b632e384e, 0x847371ceaedc9587,
  0xc6abc6c75e74ddba, 0xe038ec5a7f2238ca, 0x3608991c37b2d97c, 0xf2e556a59f484f2a, 0xa551aeb2039920da,
  0x372bb54b7d59cea2, 0xbec7a69935c0809d, 0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b,
  0xc863b7fbd551691d, 0xe4d5c6c25ccbe6d8, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0xf2f9069e4afdcd0c, 0x000000000000a698,
};

static const uint64_t ur_m162_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb448692df, 0xc5ddaabfa9d89891, 0x3d7adbb42cdd82fc, 0x0c2a002b713ae0d3, 0xcdd333976165b3c9,
  0xde4eea8fa10abe26, 0xd83304f8c0482d95, 0x374810fbfc48c73f, 0xa17071aeee2faa3d, 0x86c2445f71258f3c,
  0x2e0b87ffd47c25f8, 0xdadcdbdf33c5dc6e, 0x307a57a8f2b29729, 0xd314c565d7d47c1b, 0x632e384e1b875f62,
  0xaedc958752135f4b, 0x5e74ddba847371ce, 0x7f2238cac6abc6c7, 0x37b2d97ce038ec5a, 0x9f484f2a3608991c,
  0x039920daf2e556a5, 0x7d59cea2a551aeb2, 0x35c0809d372bb54b, 0xf2e9895cbec7a699, 0x3cdedaeb9ed5688a,
  0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x5ccbe6d8c863b7fb, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x1dcf257ee6866587,
  0x000000004fc19386,
};

static const uint64_t ur_m162_swio14_lednop_hw[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x80905b2bbc9dd85e, 0xffc38f3f01a609f1, 0x7c90ef96e829007b, 0x9318e3a7f075ffd4, 0x7d21cc580b7ba6d2,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0xb997cdb4f43aa702, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x00000004712e3b05,
};

static const uint64_t ur_m162_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x9c695a2e2f106d04,
  0x6caef27740524cd3, 0x4cfa5a9827c60241, 0x6b4663e900d6ffa1, 0xc1f51ea3cad82cd5, 0x4ddf15943f51f06c,
  0x8cb8e1386e1d7d8b, 0x2b2e3593484d7d2d, 0xbb7508e6e39d5a5d, 0x38cac6ab5d0ebce9, 0xd97ce038ec5a7f22,
  0x9e546c11fadc37b2, 0x41b5e5caad402e90, 0x9d454aa35d640732, 0x013a6e576a96fab3, 0x12b97d8f4d326b81,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0000b7ff24e8a792,
};

static const uint64_t ur_m162_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121be4a, 0xfc776aaf08834e24, 0x4f48fee8db622c1e, 0x4d9febc6b9fb0676, 0x6d57c103d741375e,
  0x2416caef2774a51d, 0xfa14cfc729827c60, 0x7ddc5f5eea905baf, 0x5f71258f3ca17073, 0x6fd47c25f886c244,
  0xeb2678bb8dc35b98, 0xacff51e5f4f72c67, 0xb014ca9c638e9fc1, 0x7a3e7688518df398, 0x22f48a807feccf1d,
  0x5caad5f5b81e5adc, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0xd8f4d326b81013a6, 0xdaad115e5d312b97,
  0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x6e3cd84b997cdb19, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xdbe49d14f257ee68,
  0x00000000000003ac,
};

// m162_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x62eed55fd4ec4c48, 0x9ebd6dda166ec17e, 0x86150015b89d7069, 0xe6e999cbb0b2d9e4,
  0xcaef27777ec2da9a, 0x9fec19827c602416, 0x51e9ba4087dff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b307a57a8f2b29, 0xf62d314c565d7d47, 0xf4b632e384e1b875,
  0x1ceaedc958752135, 0x6c75e74ddba84737, 0xc5a7f2238cac6abc, 0x91c37b2d97ce038e, 0x6a59f484f2a36089,
  0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0x69935c0809d372bb, 0x88af2e9895cbec7a, 0x3a03cdedaeb9ed56,
  0x54e0421520b94b5f, 0x7fbd551691db9e87, 0x6c25ccbe6d8c863b, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x728a792bf734332c, 0x0000000000140432,
};

// m162_swio14_dual_pr               m162_swio14_dual_pr_u4
static const uint64_t ur_m162_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x6c1f756e3ff6afc6, 0xd67dba24792b4b3f, 0xc895b312759051ba, 0xe2d3924c69dbad16,
  0x2490770fcabdd17a, 0xf9827c602416caef, 0xcf11ec99182a91cd, 0x3ee5c61409f137da, 0x4599c9fe655bb9dd,
  0xa6f51dfcd82fb381, 0xbe08a11c913f8332, 0x01b87c2886257f9f, 0x432abbbddf372d6c, 0x26b5a2a10cb42324,
  0x7397b72ebff4073c, 0x5fef34e60b0ab331, 0x8f221df2c3e520a9, 0x2bba8e3a7f0622fa, 0x1bde731602eb14d5,
  0xf6608ebc06a76051, 0xf2cf6f22c1f5403f, 0xccfa3999599485c0, 0x1cc906d7972ab59f, 0xeace75152a8d7590,
  0xae0404e9b95daa5b, 0x974c4ae5f63d34c9, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70,
  0x732f9b632455bfde, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x773c95fb9a19961d, 0x0000000524d07198,
};

static const uint64_t ur_m162_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xe60fbab58fae37e3, 0xd70bddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0x1771c115658219d2, 0x4f8c0482d95de4ac, 0x7b26460aa4592730, 0x7185027c4df6b3c4, 0x63ff9956ee774fb9,
  0x1c9d6c12d1c02d4c, 0x4239227f0715a6f5, 0xf8510c4aff3f7c11, 0xeef77cdce6f80370, 0x150865a0bed10caa,
  0xe9b7ff4073c260f7, 0x9cc16156662e72f6, 0x5a328b48287ffde6, 0x0ccaf51e57bee6ab, 0x6ef8ae577a8f8366,
  0x65c709c370ebec5a, 0x55c09f9a426be96c, 0x63291e9473ab4b97, 0x31b1aad743af6337, 0x76701c762d397c8d,
  0x546c11fadc37b2ef, 0xfa39995980507ed6, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x0404e9b95daa5bea,
  0x4c4ae5f63d34c9ae, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x2f9b632455bfdeaa,
  0xa2cb578dc79b0973, 0x73f53ab337f07771, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x518773c95fb9a199, 0x000000000005642b,
};

static const uint64_t ur_m162_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdb07dd5ac78ebdf8, 0xb6b8ee9d60148ce0, 0xb999f4e7adb9f6cf, 0x6227a8fbad8ca161,
  0x98977347d4ebdc37, 0x304f8c0482d95de4, 0xc47b26460aa45927, 0xb97185027c4df6b3, 0xa64b5f9956ee774f,
  0x7a8f15b60358e04e, 0x08a11c913f83df73, 0xb87c2886257f9fbe, 0x2abbbddf37292801, 0x224542196847b443,
  0x5edd36ffe80e784d, 0xbcd3982c2accc5ce, 0x6ab5a37f29050fff, 0x6cc184ff51e56c16, 0x8b4ddf15c87f51f0,
  0x2d8cb8e1386e1d7d, 0x728ab80e33484d7d, 0x34ed38a39b8e7569, 0xd1c656355ae875e5, 0x96e4ce038ec5a6b5,
  0xccacd71d27d6e1bd, 0x6bcb955acfe67d1c, 0x8a9546bac80e6483, 0x74dcaed52df5673a, 0x72fb1e9a64d70202,
  0xae7b55a22bcba625, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0x732f9b69e8754e05, 0xee3458df0dc79b09,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x773c95fb9a19961d, 0x000000002b274f18,
};

static const uint64_t ur_m162_swio14_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0x2c1f756a86806fc6, 0xdc99ba3dac35c112, 0x0b582ecae7517b3e, 0x675dd85b3ef7599c,
  0x93f4ddc704558d3c, 0x0cc13e30120b6577, 0xcf11ec99182a90f0, 0x3ee5c61409f137da, 0x833757fe655bb9dd,
  0x9bd47d9db08e4703, 0xf04508e489fc1cae, 0x0dc3e144312bfcfd, 0x1955ddeef9b99500, 0xc13e2a10cb403da2,
  0xe5edec7ffe80e784, 0xfbcd3982c2accc5c, 0x395c5f531f4806b7, 0x5f71258f3ca17072, 0x1fd47c25f886c244,
  0x27e678bb8dc4a8b9, 0xb87ea3f513dcb19e, 0x80b01827c71d3f83, 0x01a9d81446f79cc5, 0xb07d500ffd99e3af,
  0x9599485c0f2d6ec8, 0x7972ab59fccfa399, 0x52a8d75901cc906d, 0x9b95daa5beace751, 0x5f63d34c9ae0404e,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x6431dbfdeaa8b48e, 0xe1b8f3612e65f36c,
  0x5666fe0eee3459d3, 0xf989fca1854e7ea7, 0xf04d0f327f8b9c65, 0x70cf4c2b93f1cf7f, 0xc3a4a5b3e04e32c9,
  0xc30ee792bf734332, 0x000000000006922e,
};

static const uint64_t ur_m162_swio14_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x4ac1f756a86eb77e, 0xda9afbb618a774ee, 0x8efe9b33dfbb1739, 0xce947ee733edd89c,
  0x93645dc7045580f8, 0xfcc13e30120b6577, 0xcf11ec99182a91c3, 0x3ee5c61409f137da, 0x9b9a2b7e655bb9dd,
  0xcdea3e56d86fb386, 0xf822847244fe0ca1, 0x06e1f0a21895fe7e, 0x0caaeef77cdc6430, 0x34e3150865a013d1,
  0x9cbdba5affa039e1, 0xff79a7305855998b, 0x37ddc5f5eea905ba, 0x45f71258f3ca1707, 0x91fd47c25f886c24,
  0x7eb2678bb8dc4a8b, 0x1acff51e5f4f72c6, 0x8b014ca9c638e9fc, 0xd7a3e7688518df39, 0x5663a83fb8e58cf1,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0x6e576a96fab39d45, 0x7d8f4d326b81013a, 0x3daad115e5d312b9,
  0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0x90c76ff7aaa2d23b, 0x86e3cd84b997cdb1, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x0d242ccc3b9e4afd,
};

static const uint64_t ur_m162_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xb0cc1f75675e3f2f, 0xbef5ef74abcb1362, 0x7da2945aad041f26, 0x04bebe4cb27e4765,
  0x6ee78233a96453ab, 0x9f180905b2bbc981, 0xec99182a91e7ae60, 0xc61409f137dacf11, 0x5dfe655bb9dd3ee5,
  0x7d35b07f870c4133, 0x08e489fc1ffc9bd4, 0xe144312bfcfdf045, 0x77bbe6e0c2e00dc3, 0xa8432d060a886557,
  0xec1ffa039e134878, 0xe60b0ab3317397b7, 0x51e04a416b7fef34, 0xf9e50b8393b677fd, 0x26139dc6e0224c03,
  0x8f2bcad29dacac5f, 0x813d47c1b307dd7a, 0xe1b875f62d314c57, 0x752135f4b632e384, 0xca47a51ceaedc5d4,
  0xd8d578d8ebd8cdd8, 0x380e3b169cbe4698, 0x1b044c8e1bd977bb, 0x8e6656659c1fb595, 0x41b5e5caad67f33e,
  0x9d454aa35d640732, 0x013a6e576a96fab3, 0x12b97d8f4d326b81, 0xb5d73daad115e5d3, 0xa417296be74079bd,
  0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x58f386e3cd84b997, 0x93f75666fe0eee34, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x0004c139c30ee792,
};

static const uint64_t ur_m162_swio14_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x0fbab78fabddf89f, 0xbc16a27d68e76ca6, 0x1d7fabd823859c16, 0xf98bd1da7df5d9d6,
  0x5cce8438dfc37931, 0x57792029dd202f9e, 0x5ecf4c13e30120b6, 0xf6b3c47b26460aa4, 0x774fb97185027c4d,
  0x2f0e6e5afccb4b7e, 0xb9bd47c6ed87609c, 0xbe08a11c913f836b, 0x01b87c2886257f9f, 0x0caaeef77cdc7804,
  0x6df7150865a11c91, 0x72f6f723ff4073c2, 0xf43344c16156662e, 0xb8bea8ce0d2035bf, 0xe24b1e7942f3bfd7,
  0xa8f84bf10d8488be, 0xcf1771b8f00c463f, 0xcaf2b4a76b736be4, 0x4f51f06cc1f75ea3, 0x6e1d7d8b4c5315e0,
  0x484d7d2d8cb8e138, 0x91e9473abb71751d, 0x355e363af6337632, 0x038ec5a72f91a636, 0xc1132386f65deece,
  0x9995996707ed6546, 0x6d7972ab59fccfa3, 0x5152a8d75901cc90, 0x4e9b95daa5beace7, 0xae5f63d34c9ae040,
  0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0x6c6431dbfdeaa8b4, 0x726ae0f3612e65f3,
  0xcdfc1fb763458df1, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0x5c14aa92792bf734, 0x0000000000002002,
};

static const uint64_t ur_m162_swio14_dual_hw[] = {
  0x17777776890c5aa4, 0xd83eeadc7fed5f8d, 0xacfb7448f256967e, 0x912b6624eb20a375, 0x82272498d3b75a2d,
  0xef24907761f4da6d, 0xcdf9827c602416ca, 0xdacf11ec99182a91, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0x6c01b87c2886257f, 0x24432abbbddf372d, 0x3c26b5a2a10cb423,
  0x317397b72ebff407, 0x54aff124e60b0ab3, 0x7d47910ef961f290, 0x6a95dd471d3f8311, 0x288def398b01758a,
  0x1ffb30475e0353b0, 0xe07967b79160faa0, 0xcfe67d1cccacca42, 0xc80e64836bcb955a, 0x2df5673a8a9546ba,
  0x64d7020274dcaed5, 0x2bcba62572fb1e9a, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5,
  0x84b997cdb1922adf, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f,
  0x494b67c09c6592e1, 0xd14f257ee6866587, 0x0000000018dd5071,
};

static const uint64_t ur_m162_swio14_dual_ee_hw[] = {
  0x8ecb777776890c86, 0x13983eead63eb8df, 0xef5c2f77650f6323, 0x229506db105947f3, 0xa843b36eb63285bb,
  0x2560bbbbb1bb3798, 0x39827c602416caef, 0x9e23d932305522c9, 0x7dcb8c2813e26fb5, 0x6a631ffccab773ba,
  0x37a8e4eb60968e01, 0xe08a11c913f838ad, 0x1b87c2886257f9fb, 0x655777bbe6e737c0, 0x07b8a8432d05f688,
  0x97b74dbffa039e13, 0xf124e60b0ab33173, 0x9aad68ca2d20a1ff, 0x0d98332bd4795efb, 0xb169bbe2b95dea3e,
  0xa5b1971c270dc3af, 0x2e5d57027e6909af, 0x8cdd8ca47a51cead, 0xf234c6c6ab5d0ebd, 0xcbbdd9c071d8b4e5,
  0xfb5951b047eb70de, 0x7f33e8e665660141, 0x4073241b5e5caad6, 0x6fab39d454aa35d6, 0x26b81013a6e576a9,
  0x5e5d312b97d8f4d3, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x25ccbe6d8c9156ff,
  0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x8a792bf734332c3a, 0x000000000aed15aa,
};

static const uint64_t ur_m162_swio14_dual_ce_hw[] = {
  0x33dddddda243359b, 0x160fbab5434037e3, 0x6e4cdd1ed61ae089, 0x05ac176573a8bd9f, 0xd75eec2d9f7bacce,
  0xde4fd3770f0cc29a, 0xc03304f8c0482d95, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0x0e0cdd5ff9956ee7,
  0xba6f51f676c2391c, 0xf7c114239227f072, 0x00370f8510c4aff3, 0x88655777bbe6e654, 0x1304f8a8432d00f6,
  0x7397b7b1fffa039e, 0x6ff124e60b0ab331, 0xe472b8bea63e900d, 0x88bee24b1e7942e0, 0x951fa8f84bf10d84,
  0x789f99e2ee3719be, 0x0ee1fa8fd44f72c6, 0x1602c0609f1c74fe, 0xbc06a760511bde73, 0x22c1f5403ff6678e,
  0x66566521703cb5bb, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x004dd576514f257e,
};

static const uint64_t ur_m162_swio14_dual_ee_ce_hw[] = {
  0x6caddddddd437089, 0x8660fbab3af1f97e, 0xf7af7ba55e589b15, 0xed14a2d56820f935, 0x25f5f26593f23b2b,
  0x5bbaf27acadada58, 0x27c602416caef260, 0x7b26460aa479eb98, 0x7185027c4df6b3c4, 0xd77f9956ee774fb9,
  0x1f4d6c1fe1c3104c, 0x4239227f07ff26f5, 0xf8510c4aff3f7c11, 0xddeef9b830b80370, 0x2a10cb4182a21955,
  0xfb07fe80e784d21e, 0x3982c2accc5ce5ed, 0xaa3c09482d6ffc49, 0xbf3ca1707276ceff, 0xf9309cee3729299c,
  0xd4795e5694ed6562, 0xbc09ea3e0d983eeb, 0x270dc3afb1698a62, 0xa3a909afa5b1971c, 0xc6523d28e7576e2e,
  0xc6c6abc6c75ec66e, 0xd9c071d8b4e5f234, 0xa8d8226470decbbd, 0xf47332b32ce0fdac, 0x920daf2e556b3f99,
  0x9cea2a551aeb2039, 0x0809d372bb54b7d5, 0x9895cbec7a69935c, 0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd,
  0x1691db9e8754e042, 0xbe6d8c863b7fbd55, 0x4fcfec371e6c25cc, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x0001134f9ca29e4a,
};

static const uint64_t ur_m162_swio14_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0x83eeade3eaf77e27, 0x705ba89f5a39db29, 0x75875feaf608e17a, 0x4c7e62f4769f7d76,
  0xd6e918ef0727f0de, 0x120b657792029ddf, 0x60aa45ecf4c13e30, 0x27c4df6b3c47b264, 0x97612774fb971850,
  0x0ec1385e1cdcb5f9, 0x7f06d7737a8f8ddb, 0x4aff3f7c11423922, 0xb8f0080370f8510c, 0x4239221955ddeef9,
  0x80e784dbee2a10cb, 0xaccc5ce5edee47fe, 0x901adff9d5b982c2, 0x60e7ebdc5f546706, 0x2445f71258f3c6f8,
  0xcb82fd47c25f886c, 0xe6d7c99e2ee373a9, 0xeebd4795e5694ed6, 0xa62bc09ea3e0d983, 0x71c270dc3afb1698,
  0xe2ea3a909afa5b19, 0x66ec6523d28e7576, 0x234c6c6abc6c75ec, 0xbbdd9c071d8b4e5f, 0xdaca8d8226470dec,
  0xf99f47332b32ce0f, 0x039920daf2e556b3, 0x7d59cea2a551aeb2, 0x35c0809d372bb54b, 0xf2e9895cbec7a699,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x5ccbe6d8c863b7fb, 0xa9cfd4176371e6c2,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x000000ebaf3d0c2f,
};

static const uint64_t ur_m162_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0482d95de4eed8f6, 0xecd5f9fdbf304f8c, 0xf90ef96e9290751f, 0x92471d3f83e7bd47, 0xe80e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ab57fbfa699359d,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xbe6d902455bfdeaa, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00001527d7af69e4,
};

// m162_swio15_noled_pr_u4
static const uint64_t ur_m162_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c4ae, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f76e2741,
  0xde4eecbbb120ce05, 0xbf9304f8c0482d95, 0xa0fd2032bfc6afcf, 0xfc1f41ea3cbe3be5, 0x02cb298ca9c638e9,
  0xa3e767bd1ef67316, 0x1934a807fecc11d7, 0x556aab540f2cf6ee, 0x1aeb2039920daf2e, 0xb54b7d5d9cea2a55,
  0x7fbfa699359d372b, 0xf6ab4457974c4ab5, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x902455bfdeaa8b4c,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x8405e41a792bf734, 0x00000000000007c9,
};

static const uint64_t ur_m162_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd058971, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da0b8fd6,
  0x77505272b8210da2, 0x9827c602416caef2, 0xa4115bfc6afcf93a, 0x479594b9aad68dfc, 0x5d7d47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0xc90e75697fdcb8d6, 0xad743af3a6eda523, 0xc762d34c51c1fb1a,
  0x8fd6e1bd96cbe701, 0xaad40226b05aa360, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0xff7f4d326b3a6e57,
  0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0x2048ab7fbd551698, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x34f257ee68665874, 0x000000009d7e9ec8,
};

static const uint64_t ur_m162_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0xc9dd3b410e5d96aa, 0x5a609f180905b2bb, 0x2a906fbff1abf3f1, 0xf51e56e966ab5a33, 0xafe77a8f83660d00,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8def39d5a5e032e2, 0x55ae875eba9bb028, 0x71d8b4f22a3b8763,
  0xd7d6e1bd970e59c0, 0x3241b5e5caad5704, 0xb39d454aa35d6407, 0x26b3a6e576a96fab, 0xf2e98956aff7f4d3,
  0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x84b997cdb2048ab7, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000000275d22fc83,
};

// m162_swio15_noled_pr_ce_u4
static const uint64_t ur_m162_swio15_noled_pr_ce[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0xb2bbc9dd4149cba7, 0xf3fb3a609f180905, 0xbebb7e904aeff1ab, 0x258f3c64a9de56b8, 0x7c25f886c2445f71,
  0x78bb8dc4a8b91fd4, 0xa8f374f72c67eb26, 0xee8148e3a7f064f7, 0xcecf7a3dece62c05, 0x69500ffd99e3af47,
  0xb555aa0796b75c32, 0x75901cc906d7972a, 0xa5beaece75152a8d, 0xdfd34c9ace9b95da, 0x55a22bcba6255abf,
  0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x218edfef5545a619, 0x5c1e6c25ccbe6d90, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x65641a792bf73433, 0x000000000001baf5,
};

static const uint64_t ur_m162_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0xde4eebd69c452bed, 0xd35304f8c0482d95, 0x297483fe7f8d5f9f, 0xe3254eec7ceffaa3, 0x84e771b8495951f9,
  0xcace1ca76b2b1ef9, 0x7f51f06cc19ebea3, 0x6e1d7d8b4c5315c8, 0x484d7d2d8cb8e138, 0x91e4873abb77ee1d,
  0x1aaf1b1d79d376d2, 0x01c762d34c51c1fb, 0xb044c8e1bd96cbe7, 0x2e556a5993582d51, 0x551aeb2039920daf,
  0x2bb54b7d5d9cea2a, 0xb57fbfa699359d37, 0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd,
  0xdb20431dbfdeaa8b, 0x9c5c9ab8d84b997c, 0xbab31e40fca1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0xd3b1ff20d3c95fb9, 0x0000000000000014,
};

static const uint64_t ur_m162_swio15_noled_pr_ee_ce_u4[] = {
  0x68dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0x8ccec4ac10b2d9eb,
  0xef2776e76cd8f6c9, 0xc6e9827c602416ca, 0xcea40d77fe24639f, 0x285c1cc41717d51e, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660cf5f51e5670e5, 0x5a6298ae43fa8f83, 0x6c65c709c370ebec,
  0xd5dbbf70ea426be9, 0xebce9bb6948f2439, 0x9a628e0fd8d578d8, 0x0decb65f380e3b16, 0xcc9ac16a8d822647,
  0x01cc906d7972ab52, 0xeaece75152a8d759, 0x34c9ace9b95daa5b, 0x22bcba6255abfdfd, 0x1a778efebae7b55a,
  0x3aa7020eea6c529e, 0xedfef5545a6194f4, 0xe6c25ccbe6d90218, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xb4a61dcf257ee686,
  0x0000000000004fcc,
};

static const uint64_t ur_m162_swio15_noled_hw[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0482d95de4eed8f6, 0xfe1c79fdbf304f8c, 0xfe43be5ba4a41d47, 0x6491c74fe0f9ef51, 0xfa0398b016f74dd4,
  0x9630475e2e761be8, 0x6bcb955a9584d6e3, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x12ad5fefe9a64d67,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0x2f9b6409156ff7aa, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x000011c5f5f60a79,
};

static const uint64_t ur_m162_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0x95de4eeb4efb5bb2, 0x9f275304f8c0482d, 0xb46fe5208adff429, 0x309fea3caca5cd56, 0xbbe2b2ebea3e0d98,
  0x971c270dc3afb169, 0xe5c6b26909afa5b1, 0x6d291e4873ab4bfe, 0x0fd8d56ba1d79d37, 0x5f380e3b169a628e,
  0xd51b047eb70decb6, 0xdaf2e556a0113582, 0xa2a551aeb2039920, 0xd372bb54b7d5d9ce, 0xc4ab57fbfa699359,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xcbe6d902455bfdea, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000005be015a8a7,
};

static const uint64_t ur_m162_swio15_noled_ce_hw[] = {
  0x84dddddda2431768, 0xf8eed55e11219c4a, 0xded91dddb6ebd83d, 0x4d9febf8fe2f3631, 0x5a3d9eb8d3243768,
  0x482d95de4ee9ba3b, 0xf4299fd9d304f8c0, 0xad717d76fd2095df, 0x7dc4963cf285c1cc, 0xff51f097e21b0911,
  0xac99e2ee373f5cd6, 0x93dea3cdd3dcb19f, 0xb017ba05238e9fc1, 0xbd1f3b3de8f7b398, 0x70c9a5403ff6678e,
  0x5caad556a81e5add, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x6aff7f4d326b3a6e, 0xb9ed5688af2e9895,
  0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0xb640863b7fbd5516, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x0eb37c21fa29e4af,
};

// m162_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m162_swio15_noled_ee_ce_hw[] = {
  0x68dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0xeccec4ac10b2d9eb,
  0x2bbc9ddcfb403a89, 0x7f1ba609f180905b, 0x47b3a9035dffd0a6, 0xf3ca17073105c5f5, 0x5f886c2445f71258,
  0x8dcd507907fd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0xec5a6298ae43fa8f, 0xe96c65c709c370eb,
  0x39d5dbbf70ea426b, 0xd8ebce9bb6948f24, 0x169a628e0fd8d578, 0x470decb65f380e3b, 0x52cc9ac16a8d8226,
  0x5901cc906d7972ab, 0x5beaece75152a8d7, 0xfd34c9ace9b95daa, 0x5a22bcba6255abfd, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x18edfef5545a6194, 0x71e6c25ccbe6d902, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x596968a792bf7343, 0x0000000000000140,
};

static const uint64_t ur_m162_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x120b657793ba0bd0, 0xb357e7d7dcc13e30, 0xf877cb7494823dff, 0x8638e9fc1f3dea3a, 0x86731602dee98f58,
  0xc608ebc5cedbda3b, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xac7a69935c0809d3,
  0xf6ab4457974c4ae4, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0x5f36d3d0ea9c09cf, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x000005483ad7b4f2,
};

// m162_swio15_lednop_pr_u4
static const uint64_t ur_m162_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c4ae, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623bb713a0,
  0xef27760d86e3f66e, 0xd4a9827c602416ca, 0x41fa4063ffc6afcf, 0xfc1f41ea3e9477cb, 0x05965318f3d638e9,
  0x47cedf2238c8e62c, 0x770d500ffd9823af, 0xaad605681e59edef, 0x35d64073241b5e5c, 0x6a96fabb39d454aa,
  0x4d326b81013a6e57, 0x688af2e9895c958f, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8,
  0xcd84b997cdb2ec8a, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x834f257ee6866587, 0x00000000f937ea8c,
};

static const uint64_t ur_m162_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0xcc13e30120b65779, 0xa40707fc6afcfd0f, 0x4795a9e9aad68dfc, 0xc17d47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0x050e75697f9cb8d6, 0x5ae875e74dd827a3, 0x8ec5a79223c8b635,
  0x1fadc37b2d97ce03, 0x55a80570c9a546c1, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0x9a64d7020274dcae,
  0xd115e5d312b92b1e, 0xe74079bdb5d73daa, 0xea9c0842a417296b, 0x6ff7aaa2d23b73d0, 0x9b09732f9b65d915,
  0x50d1674f8b935707, 0x1539fa9d598f207e, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0009d75d99069e4a,
};

static const uint64_t ur_m162_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0x5de4eeabe67d06cb, 0xf383304f8c0482d9, 0x1995483677f8d5f9, 0x807a8f2b2eb355ad, 0x7c5670fd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x0047f21cead2e515, 0xb1aad743af5d4dd9, 0x380e3b169bde8f7b,
  0xc5c3fadc37b2e1cb, 0x01cc906d7972ab55, 0xeaece75152a8d759, 0xae0404e9b95daa5b, 0xcba62572563d34c9,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0xe65f36cbb22adfef, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00004eb842f20d3c,
};

// m162_swio15_lednop_pr_ce_u4
static const uint64_t ur_m162_swio15_lednop_pr_ce[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0xb2bbc9dd3ad1a848, 0xf3e35a609f180905, 0xbebb7e9069bff1ab, 0x258f3c64a9ddbab8, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0xa8f38cf72c67eb26, 0x1ed008e3a7f064f7, 0x9dbe447191cc580a, 0x1aa01ffb33c75e8f,
  0x6b02b40f2d6edeee, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a, 0x9935c0809d372bb5, 0x457974c4ae4ac7a6,
  0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x84b997cdb2ec31db, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000000375cb3c83,
};

static const uint64_t ur_m162_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0x7793ba0292634e39, 0xdadcc13e30120b65, 0x29748136ffc6afcf, 0xe3254ef768effaa3, 0x09cee373a3ea49f9,
  0x9594394ed6563df3, 0x7ea3e0d9833d7d47, 0xdc3afb1698a62b29, 0x909afa5b1971c270, 0xa3050e7576ef9c3a,
  0x6abc6c75e74dd827, 0x071d8b4f2447916c, 0xc1132386f65b2f9c, 0xb955a96770c9a546, 0x546bac80e64836bc,
  0xaed52df57673a8a9, 0x1e9a64d7020274dc, 0xaad115e5d312b92b, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729,
  0xc76ff7aaa2d23b73, 0xae3612e65f36cbb0, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0xc834f257ee686658, 0x000000000534ce14,
};

static const uint64_t ur_m162_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x8c2a0006793919f9, 0x8a706e8e2165b3d6,
  0xef27750093738b0f, 0x35b9827c602416ca, 0x67520149fe24639f, 0x942e0e400b8bea8f, 0x10d8488bee24b1e7,
  0xc0b233d7fa8f84bf, 0x3b5b9b7be678bb8d, 0x660cf5f51e5650e5, 0x5a6298aca5fa8f83, 0x6c65c709c370ebec,
  0xd5dbbe70ea426be9, 0xd79d37609e8c1439, 0x3c911e45b1aaf1b1, 0x1bd96cbe701c762d, 0x9dc326951b044c8e,
  0x039920daf2e556a5, 0xd5d9cea2a551aeb2, 0x5c0809d372bb54b7, 0x974c4ae4ac7a6993, 0xe6f6d75cf6ab4457,
  0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x997cdb2ec31dbfde, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xb9e4afdcd0ccb0e9,
  0x00000009f96e40c3,
};

static const uint64_t ur_m162_swio15_lednop_hw[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x120b657793ba0bd0, 0xf871e7d7dcc13e30, 0xbe1df2dd25208f7f, 0x218e3a7f07cf7a8e, 0xe19cc580b7ba63d6,
  0xb1823af173b6f68e, 0xbcb955a958b3f71c, 0xa9546bac80e64836, 0xdcaed52df57673a8, 0x2b1e9a64d7020274,
  0x3daad115e5d312b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x97cdb4f43aa70273, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000004710ebb053c,
};

static const uint64_t ur_m162_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x4b8c8f9bb106d05c,
  0xcaef2775b11ced4e, 0x9fa1f9827c602416, 0xb46fe520383ff429, 0x309fea3cad4f4d56, 0xbbe2b60bea3e0d98,
  0x971c270dc3afb169, 0xe5c6b26909afa5b1, 0xc13d182873ab4bfc, 0x45b1aad743af3a6e, 0xbe701c762d3c911e,
  0x2a3608fd6e1bd96c, 0xb5e5caad402b864d, 0x454aa35d64073241, 0xa6e576a96fabb39d, 0xc958f4d326b81013,
  0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0x2ec8ab7fbd551691, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x16f9ac1514f257ee,
};

static const uint64_t ur_m162_swio15_lednop_ce_hw[] = {
  0x426eeeeed121b768, 0xfc776aaf08942e25, 0x37a6977600f4ac1e, 0x26cff5fc7e19e2f5, 0xed9c551682b21bb4,
  0x2416caef2775d92b, 0xfa14cf8d69827c60, 0xbab8bebb7e9069bf, 0xbee24b1e7942e0e5, 0x5fa8f84bf10d8488,
  0xd64cf1771b9787cb, 0xc9ef51e719ee58cf, 0xb0143da011c74fe0, 0xbd1f3b7c88e32398, 0xbddc35403ff6678e,
  0x5caad605681e5add, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x8f4d326b81013a6e, 0xd5688af2e9895c95,
  0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x63b7fbd551691db9, 0xc79b09732f9b65d8, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xccc5a29e4afdcd0c,
  0x000000000000759b,
};

// m162_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m162_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x461500033c9c8cfc, 0x6538374710b2d9eb,
  0x95de4ee8eba6bef7, 0x3e6b7304f8c0482d, 0x51ecea40293fe853, 0x3cf285c1c801717d, 0x97e21b09117dc496,
  0x71b8148f9cbf51f0, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0x7d8b4c531594bf51, 0x7d2d8cb8e1386e1d,
  0x873abb77ce1d484d, 0x363af3a6ec13d182, 0xc5a79223c8b6355e, 0x91c37b2d97ce038e, 0xd4b3b864d2a36089,
  0xd64073241b5e5caa, 0x96fabb39d454aa35, 0x326b81013a6e576a, 0x8af2e9895c958f4d, 0xa03cdedaeb9ed568,
  0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x09732f9b65d863b7, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005015b90,
};

// m162_swio15_dual_pr               m162_swio15_dual_pr_u4
static const uint64_t ur_m162_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x6c1f756e3fb2afc2, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba47e,
  0x4920ee19c5c5badd, 0x3304f8c0482d95de, 0x9e23d932305520c0, 0x7dcb8c2813e26fb5, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x432abbbddf373100, 0x26b5a2a10cb42324,
  0x7397b7297ff4073c, 0xbfef34e60b0ab331, 0x1fba3be596bd2028, 0x5dbf1c74fe0f7bf5, 0x6989cc580bac5314,
  0xb30475e0353b4be4, 0xcb3db1f06faa01ff, 0x33e8e6656629c703, 0x73241b5e5caad67f, 0xbb39d454aa35d640,
  0x81013a6e576a96fa, 0xe9895c958f4d326b, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04,
  0x97cdb2ec8ab7fbd5, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000002926bcf8c3b,
};

static const uint64_t ur_m162_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0x983eead63ebbefc7, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b7ac5,
  0x05dcf04675c7f53a, 0x13e30120b657792b, 0x1ec99182a91dc7cc, 0x5c61409f137dacf1, 0x18ffe655bb9dd3ee,
  0x47275b04b4700b53, 0x508e489fc1c569bd, 0x3e144312bfcfdf04, 0xbbbddf370c0200dc, 0xc54219682fb4432a,
  0xdf4d7fd01cf0983d, 0xd3982c2accc5ce5e, 0xb5a3fdd4802d7fbc, 0xc187bf51e576ea6a, 0x4ddf15efbf51f06c,
  0x8cb8e1386e1d7d8b, 0x96b813f3484d7d2d, 0xd83da33d4e756972, 0x886c6ab5d0ebd8cd, 0xeece038ec5a738a3,
  0xaa8d823f5b86f65d, 0x9f47332b30086f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809d372bb54b7d5,
  0x4c4ae4ac7a69935c, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xbe6d976455bfdeaa,
  0x8b2d5e371e6c25cc, 0xcfd4eaccdfc1ddc6, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xa61dcf257ee68665, 0x00000000002b20e8,
};

static const uint64_t ur_m162_swio15_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xdd333e9cd3b4abcb, 0x798a164035a1942c,
  0xf24c4bbbbb1bb2d0, 0x8f9827c602416cae, 0x59e23d932305523b, 0xa7dcb8c2813e26fb, 0x275325afccab773b,
  0xb9bd478adb01ac70, 0xdf04508e489fc1ef, 0x00dc3e144312bfcf, 0x21955ddeef9b8494, 0x269122a10cb423da,
  0x7397b7d35ff4073c, 0x5fef34e60b0ab331, 0x9e9aad68e035200b, 0x3e0d983913d4795a, 0xafb169bbe2b387ea,
  0xafa5b1971c270dc3, 0xad2ffb9701c66909, 0xbca69d900460a1ce, 0xdef47916c6ab5d0e, 0x37b2dc99c071d8b4,
  0x47332b35c5c3fadc, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x09d372bb54b7d5d9, 0x4ae4ac7a69935c08,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0x12e65f36d3d0ea9c, 0x1ddc68b1be1b8f36,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x30ee792bf734332c, 0x00000000002b240a,
};

static const uint64_t ur_m162_swio15_dual_pr_ce[] = {
  0xbb7777743d686f97, 0xb07dd5aa1a27df81, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf743740,
  0xfa6ee78233a1f8a7, 0x609f180905b2bbc9, 0x88f64c8c15483afa, 0x72e30a04f89bed67, 0x9babff32addcee9f,
  0xea3eced8472381c1, 0x22847244fe0e574d, 0xe1f0a21895fe7ef8, 0x55ddeef9b9d1f006, 0x3e2a10cb403da219,
  0xedc66ffe80e784c1, 0xcd3982c2accc5ce5, 0xae2fabf9480e0ffb, 0xb892c79e50b83835, 0xea3e12fc4361222f,
  0xf33c5dc6e321d257, 0xdea384f9ee58cf13, 0x2afb91238e9fc1da, 0xd4ed2f91a6273160, 0xbea807feccf1d780,
  0x6629c703cb5b87c1, 0x5caad67f33e8e665, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x8f4d326b81013a6e,
  0xd5688af2e9895c95, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x63b7fbd551691db9, 0xc79b09732f9b65d8,
  0x37f07771a2ce9f0d, 0x4fe50c2a73f53ab3, 0x687993fc5ce32fcc, 0x7a615c9f8e7bff82, 0x252d9f0271964b86,
  0x773c95fb9a19961d, 0x000000000d243218,
};

static const uint64_t ur_m162_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0xc8efe986e1d7cfb4, 0xd4e900d57962ddc9,
  0xf26c8bb9e08ce9c2, 0xeb9827c602416cae, 0x59e23d9323055219, 0xa7dcb8c2813e26fb, 0xd373456fccab773b,
  0x39bd47cadb0df670, 0xdf04508e489fc194, 0x00dc3e144312bfcf, 0x21955ddeef9b9722, 0x269c62a10cb4027a,
  0xe72f6f43fff4073c, 0xffde69cc16156662, 0x96eae2faedfa41a6, 0x22fb892c79e50b83, 0x257ea3e12fc43612,
  0x3f5933c5dc6e321d, 0x8327bd479c67b963, 0x62c050f680471d3f, 0x3af47cedf2238c8e, 0xcacc7437f71cb19e,
  0xbcb955acfe67d1cc, 0xa9546bac80e64836, 0xdcaed52df57673a8, 0x2b1e9a64d7020274, 0x3daad115e5d312b9,
  0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0xb0c76ff7aaa2d23b, 0x1b8f3612e65f36cb, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xa4810b30ee792bf7, 0x0000000000000001,
};

static const uint64_t ur_m162_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f91499,
  0xee68fa9d1c137671, 0xf180905b2bbc9816, 0xc99182a907cfa609, 0x61409f137dacf11e, 0xdfe655bb9dd3ee5c,
  0xd35b07f870c41335, 0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x4219683054432abb,
  0xadffd01cf09a43c5, 0x305855998b9cbdb9, 0x4795a90620ff79a7, 0xf3ca17071fe1dff5, 0x4c273b8dce6faa47,
  0x1e572ba53b5958be, 0x56f51f06cc1edff5, 0x86e1d7d8b4c5315e, 0xd484d7d2d8cb8e13, 0xed19ea73abb714b1,
  0xc6abc6c75ec66ec1, 0xe038ec5a738a3886, 0x6c1132386f65deec, 0x39995996637c4554, 0x06d7972ab59fccfa,
  0x75152a8d75901cc9, 0x4e9b95daa5beaece, 0x572563d34c9ae040, 0xbae7b55a22bcba62, 0x82e52d7ce80f37b6,
  0x476e7a1d53810854, 0xd97618edfef5545a, 0x79c371e6c25ccbe6, 0xfbab337f07771a2c, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x09822a718773c95f,
};

static const uint64_t ur_m162_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e58b, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f47762fd7675a,
  0xd4e9598aa317218c, 0x7792029dd48c4438, 0xb82cc13e30120b65, 0x6b3c47b26460aa46, 0x74fb97185027c4df,
  0xf0e6e5afccb4b7e7, 0x9bd47c6ed87609c2, 0xe08a11c913f836bb, 0x1b87c2886257f9fb, 0xcaaeef77cdc3af80,
  0xdf7150865a11c910, 0x2f6f495ff4073c26, 0x43344c16156662e7, 0x8bea8c9d520bc3ff, 0x24b1e7942f3bec1b,
  0x8f84bf10d8488bee, 0x78bb8dc3af8551fa, 0x572ba53b5b9b5f26, 0xf51f06cc1edff51e, 0xe1d7d8b4c5315e56,
  0x84d7d2d8cb8e1386, 0x19ea73abb714b1d4, 0xabc6c75ec66ec1ed, 0x38ec5a738a3886c6, 0x1132386f65deece0,
  0x995996637c45546c, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x2563d34c9ae0404e,
  0xe7b55a22bcba6257, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x7618edfef5545a47, 0xd5c1e6c25ccbe6d9,
  0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x115524f257ee6866, 0x000000000020027c,
};

static const uint64_t ur_m162_swio15_dual_hw[] = {
  0x7f777776890c0668, 0xd83eeadc7f655f84, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0x3f84339d61b748fd,
  0xef24907703eb04de, 0x6019827c602416ca, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0x8001b87c2886257f, 0x9221955ddeef9b98, 0x9e135ad150865a11,
  0x98b9cbdb94bffa03, 0x0a2ff89273058559, 0xfd47ee8ef965af48, 0xc5176fc71d3f83de, 0xf91a62731602eb14,
  0x7fecc11d780d4ed2, 0xc0f2cf6c7c1bea80, 0x9fccfa3999598a71, 0x901cc906d7972ab5, 0xbeaece75152a8d75,
  0x9ae0404e9b95daa5, 0xbcba62572563d34c, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x2e65f36cbb22adfe, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef,
  0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x000000063755e7d4,
};

static const uint64_t ur_m162_swio15_dual_ee_hw[] = {
  0x6dddddd0f5a1a5fb, 0xc1f756b1f5df7e3d, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285bd629,
  0x582ee9646bae9561, 0x609f180905b2bbc9, 0x88f64c8c1548ee3e, 0x72e30a04f89bed67, 0x98c7ff32addcee9f,
  0xea393ad825a3805a, 0x22847244fe0e2b4d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8601006, 0xee2a10cb417da219,
  0xf6fa6bfe80e784c1, 0x249cc16156662e72, 0xaad68ff75200b5fe, 0xb3061efd4795dba9, 0x2d377c57befd47c1,
  0xb632e384e1b875f6, 0xca5ae04fcd2135f4, 0x3760f68cf539d5a5, 0x8e21b1aad743af63, 0x77bb380e3b169ce2,
  0x22aa3608fd6e1bd9, 0xe67d1cccacc021be, 0x0e64836bcb955acf, 0x57673a8a9546bac8, 0x7020274dcaed52df,
  0x5d312b92b1e9a64d, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x32f9b65d9156ff7a,
  0x9fa97ab8dc79b097, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x5768745a29e4afdc,
};

static const uint64_t ur_m162_swio15_dual_ce_hw[] = {
  0x376eeeeed121a5fb, 0x160fbab54344fbf0, 0xd421dd3ac02ae089, 0x16b05eb557bad962, 0xb2b8a6b957ee86e8,
  0xe4fd3774b235d74a, 0x7d304f8c0482d95d, 0xb3c47b26460aa41d, 0x4fb97185027c4df6, 0xe0cdd5ff9956ee77,
  0xa6f51f676c2391c0, 0x7c114239227f072b, 0x0370f8510c4aff3f, 0x0caaeef77cdce8f8, 0x609f150865a01ed1,
  0x72f6e337ff4073c2, 0xfe249cc16156662e, 0x0d6b8beafe520383, 0x8bee24b1e7942e0e, 0x87fa8f84bf10d848,
  0xc4fccf1771b9d66c, 0x76b7a8e13e7b9633, 0x580abee448e3a7f0, 0xe0353b4be46989cc, 0xf06faa01ffb33c75,
  0x99598a71c0f2d6e1, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x2563d34c9ae0404e,
  0xe7b55a22bcba6257, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x7618edfef5545a47, 0x6371e6c25ccbe6d9,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x09ba9928a792bf73,
};

static const uint64_t ur_m162_swio15_dual_ee_ce_hw[] = {
  0x24cddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e45267,
  0xddce43ada6f9afc7, 0x3e30120b65779302, 0xd932305520f9f4c1, 0x8c2813e26fb59e23, 0xbbfccab773ba7dcb,
  0xfa6b60ff0e188266, 0x11c913f83ff937a8, 0xc2886257f9fbe08a, 0x77bbe6e753801b87, 0xa8432d060a886557,
  0x35bffa039e134878, 0xe60b0ab3317397b7, 0x54795a90620ff124, 0x3f3ca17071fe1dff, 0xf9309cee37092b2a,
  0xd4795cae94ed6562, 0x795bd47c1b307b7f, 0x4e1b875f62d314c5, 0xc752135f4b632e38, 0x07b467a9ceaedc52,
  0x1b1aaf1b1d7b19bb, 0xb380e3b169ce28e2, 0x51b044c8e1bd977b, 0xe8e66566598df115, 0x241b5e5caad67f33,
  0x39d454aa35d64073, 0x013a6e576a96fabb, 0x895c958f4d326b81, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde,
  0x691db9e8754e0421, 0x9b65d863b7fbd551, 0xf3fb0dc79b09732f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x01134d53a8a792bf,
};

static const uint64_t ur_m162_swio15_dual_ee_ce_u4_hw[] = {
  0xbeeeeeed1468a812, 0x83eeade3d7177e58, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bb17ebb,
  0xf5f8396ff68518b9, 0x120b657792029dc1, 0x60aa46b82cc13e30, 0x27c4df6b3c47b264, 0x97612774fb971850,
  0x0ec1385e1cdcb5f9, 0x7f06d7737a8f8ddb, 0x4aff3f7c11423922, 0xb875f00370f8510c, 0x4239221955ddeef9,
  0x80e784dbee2a10cb, 0xaccc5ce5ede92bfe, 0x905e1ff9d5b982c2, 0x60e760dc5f5464ea, 0x2445f71258f3c6f8,
  0x6164fd47c25f886c, 0xcdaf933c5dc6e3b7, 0x6ffa8f2b95d29dad, 0x98af2b7a8f83660f, 0xc709c370ebec5a62,
  0x8a58ea426be96c65, 0x3760f68cf539d5db, 0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2,
  0xe67d1cccaccb31be, 0x0e64836bcb955acf, 0x57673a8a9546bac8, 0x7020274dcaed52df, 0x5d312b92b1e9a64d,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x65f36cbb0c76ff7a, 0xe7ea0bb1b8f3612e,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000075d48f2617d3,
};

// m161_autobaud_uart0_noled_pr
static const uint64_t ur_m161_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x68e3f5a307ddddd0, 0x5b2b6a4ee82fdcc5,
  0xb59f9c6609f18090, 0xa699408812f9feac, 0xafd510baff6eb80b, 0x584f8b4ed093824c, 0x3f831f7ea3d7f3be,
  0xc05965308bcf471d, 0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e,
  0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0xf8d163ce1bb612e6, 0x0b41bf75663c81a3,
  0x2c944e32cd6433d3, 0x57ee6877a0f32c3b, 0x0071100390b2d4f2,
};

static const uint64_t ur_m161_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0x2b6a4eed45db1fe4,
  0x9f9c6609f180905b, 0xa6502204be7fead5, 0xf5442ebfdbae02e9, 0x13e2d3b424e0932b, 0xe0c7dfa8f5fcef96,
  0x16594c22f3d1c74f, 0x7cec1c5199e398b0, 0xf0d500ffd9823af4, 0x142b2a07967b6a6b, 0xf64d1d18a4f2d3a5,
  0xa94bca6f5cfc51e6, 0xb4a9f4f43aa7023f, 0xcdb4bfc55bfdeaa8, 0xc5c9ab83cd84b997, 0xd598f207e50d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04,
  0x86cb4a1014f257ee, 0x0000000000000011,
};

// m161_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x4ee94ed34a768199,
  0x6609f180905b2b6a, 0x8811c3ffd5ab3ec1, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0xe5738cd56b47370b,
  0xf7a8f83660c7cf51, 0x370ebec5a6ef8ae5, 0xa426be96c65c709c, 0x7ce756974c571ac9, 0x5d0ebce9bb2cf462,
  0xb169a0b478cec6ab, 0xeb70decb65f380e3, 0xa005f8601951b047, 0xb268e8c527969d28, 0x4a5e537ae7e28f37,
  0xa54fa7a1d53811fd, 0x6da5fe2adfef5545, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027, 0x70a9c080a792bf73,
  0x000000000000026a,
};

// m161_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4488d562, 0xeeeeeeaaf9acf4e2, 0xbb1f98fa53634ade, 0x4829b80377752297, 0x5b52774c8ed057ac,
  0xf74b304f8c0482d9, 0xca0440bf77fead59, 0xa885d7fb75c05d34, 0xbc5a76849c12657e, 0x3c64a9df51551f57,
  0xf886c2445f71258f, 0x771b863ffa2cbc25, 0xd7d3dcb043593354, 0x0f1c74fe0cd27a8e, 0x8a333c731602dc31,
  0x1ffb33c75e8f9d83, 0x503cb5b94d7e1aa0, 0xe8c527969d28a159, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e,
  0xf98edfef5545a54f, 0xb83cd84b997cdb4b, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xc1014f257ee6877a, 0x00000000023755e7,
};

static const uint64_t ur_m161_autobaud_uart0_noled_pr_ee_ce[] = {
  0x5bbbbbbbd8244511, 0xeeeeeeaae3086262, 0x0d2d913f624760de, 0x2f5c38899eea9b41, 0xdd57da1ba352c1f2,
  0xc13e30120b656d49, 0x05d3fffab567ffe4, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0xe56aa8faa37262d3,
  0x45f71258f3c64a9d, 0xdfa2cbc25f886c24, 0x67bdf3354771b98d, 0xc65ea3cac1494ed6, 0x298ae6ef51f06cc1,
  0x5c709c370ebec5a6, 0xdc988ea426be96c6, 0xd37659e8c4f9ceae, 0xd1e33b1aaf1b1d79, 0x2d97ce038ec5a682,
  0xc032a3608991c37b, 0x8a4f2d3a5142cff0, 0xf5cfc51e6f64d1d1, 0x43aa7023fa94bca6, 0x1dbfdeaa8b4a9f4f,
  0x79b09732f9b697f3, 0xe50d165abcb93570, 0x61539fa9d598f207, 0x7cd0f327f8138d28, 0xb3590cf4c2d06fc0,
  0xde83ccb0ecf8138c, 0x3a284053c95fb9a1, 0x0000000000002088,
};

static const uint64_t ur_m161_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x4b7777776890d2a8, 0xddddddd55c611a5c, 0xa9a9bd376c86fd3d, 0xa2d45a161c44cf75, 0xb6a4ee9d6d1225a9,
  0xc66e609f180905b2, 0x4088105affea6b67, 0x10baff6eb80ba699, 0x8b4ed093824cafd5, 0xb839f3aaa3ea8d7d,
  0x61222fb892c79e50, 0xe0a4fd165e12fc43, 0x3b599f194cd51dc6, 0xb30622fa8f2b4c65, 0x1698a62b8cbd47c1,
  0x5b1971c270dc3afb, 0x3abb708a3a909afa, 0xaf5d4dd905a31f67, 0xd62470d56355e363, 0xf65c396701c762d3,
  0x4e945318dee32386, 0xadcfc51e746293cb, 0x6c7d59ba9bd6525f, 0x43aa702f6cc6085a, 0x6e3cd84b997cdb4f,
  0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc, 0x659ac867a617e247,
  0x0ef41e658767c09c, 0x002b67459e4afdcd, 0x0000000000000411,
};

static const uint64_t ur_m161_autobaud_uart0_noled_ee_hw[] = {
  0x6eeeeeed14682d7b, 0xdddddd55db050489, 0x88e14f4cb8ec33dd, 0x9b00bd0ef56ddad1, 0x6d49dd477ba53819,
  0xd82cc13e30120b65, 0x9408811c3ffeb267, 0x510baff6eb80ba69, 0x70b4ed093824cafd, 0xf51e5738cd56b473,
  0xae5f7a8f83660c7c, 0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x4627ce756974c571, 0x6ab5d0ebce9bb2cf,
  0x0e3b169a0b478cec, 0x047eb70decb65f38, 0xd28a005f8601951b, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28,
  0x545a54fa7a1d5381, 0xcbe6da5fe2adfef5, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x5f891ee4fc0fdfb0, 0x9f0271966b219e98, 0x2bf7343bd079961d, 0x0016278d3582fa79,
};

// m161_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m161_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed1468bf3e, 0xbbbbbaab8c218989, 0x08696c89fbd123bb, 0x917ae1c44cf754da, 0xd49dd9c5bacf960f,
  0xfe4c13e30120b656, 0x81102e9fffeb267f, 0x2175fedd70174d32, 0x169da12704995faa, 0x30732b5547d51b93,
  0x1222fb892c79e37c, 0xfd7fd165e12fc436, 0x6b33def99aa3b8dc, 0x60e32f51e560a4a7, 0xd314c57377a8f836,
  0x632e384e1b875f62, 0x576e4c4752135f4b, 0xbce9bb2cf4627ce7, 0x4168f19d8d578d8e, 0xbd96cbe701c762d3,
  0xf8601951b044c8e1, 0xe8c527969d28a167, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e, 0xf98edfef5545a54f,
  0x6e3cd84b997cdb4b, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc,
  0x7a0f32c3b3e04e32, 0xbf085f4f257ee687, 0x0000000000025494,
};

// m161_autobaud_uart0_lednop_pr
static const uint64_t ur_m161_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0x155a17bbf377745f, 0xb656d49ddcc76a1e,
  0x6b3e0a4c13e30120, 0x4d3281102f93fd59, 0x5faa2175fedd7017, 0x2dac169da1270499, 0x3f8333dea3b5f1df,
  0x016f74d70c43c71d, 0x8b9d87da3d62398b, 0x0ac535b8e58c11d7, 0x462981013cb4e945, 0xb19d038a3cf89347,
  0xd0ea9c0aeaa72f29, 0x455bfdeaa8b4d8b3, 0x70ddb09732f9b65c, 0xab31e40d1fc68b1e, 0x966b219e985a0dfb,
  0xbd079961d964a271, 0xe70596a792bf7343, 0x0000000000007110,
};

static const uint64_t ur_m161_autobaud_uart0_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0xb6a4ee91fd7a7d3b,
  0xf3d6609f180905b2, 0xca0440a5f7fead59, 0xa885d7fb75c05d34, 0x7c5a76849c12657e, 0x18fbf51d679df2c2,
  0x96530df27a38e9fc, 0x3b3da46690e62c05, 0xa5403ff6608ebd1f, 0x8ac140f2cf6ccf29, 0xa314c0809e5a74a2,
  0xd8ce81c51e7c49a3, 0xe8754e0575539794, 0x22adfef5545a6c59, 0xb83cd84b997cdb2e, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0x01014f257ee6877a, 0x0000000001186b72,
};

// m161_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart0_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x4eebd6d312af8fde,
  0xa609f180905b2b6a, 0x881143ffd5ab3f95, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0xe567acd56b47370b,
  0x57a8f83660c7cf51, 0x1b875f62d377c57a, 0xd2135f4b632e384e, 0x0e73ab4be48b8d64, 0xd743af3a6edd0231,
  0xd8b4c4fa3905b1aa, 0xf5b86f65b2f9c071, 0x5002535f86a8d823, 0x7462981013cb4e94, 0x9b19d038a3cf8934,
  0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x57079b09732f9b65, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0xac867a617e247b93, 0x41e658767c09c659, 0x2c2029e4afdcd0ef,
  0x00000000009a9c4e,
};

// m161_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb44889202, 0x777777557cd6c2a2, 0x6f4ec7edbc5fa6ef, 0x905a3c7eeeea452f, 0xb6a4eeb33db22029,
  0xe5d6609f180905b2, 0x9408817ceffd5ab3, 0x510baff6eb80ba69, 0x78b4ed093824cafd, 0x78c953beeaaa3eaf,
  0xf10d8488bee24b1e, 0x771b9ff3f459784b, 0xf3d3dcb043593354, 0x05c71d3f83349ea3, 0xda46690e62c05def,
  0x03ff6678ebd1f3b3, 0x0503cb5b8cf29a54, 0x5302027969d28a2b, 0x3a071479f1268e8c, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0xe6c25ccbe6d97063, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21, 0x0a792bf7343bd079, 0x00000011ba907208,
};

static const uint64_t ur_m161_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41447705, 0x77777557984a8b12, 0x7aed2d04a67be477, 0x717c44a1376a182f, 0xbb61b51dfda34ad1,
  0x827c602416cada93, 0x0435bff56acfa5a9, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0xd9c3b1fd519942d3,
  0xaee370d6ff3c64a9, 0xd0094ed6057be673, 0x51f06cc1c65ea3ca, 0x0ebec5a6298ae71f, 0x26be96c65c709c37,
  0xc439ceaedd920ea4, 0x578d8ebce9bb7408, 0x8ec5a627d1c82d8d, 0x8991c37b2d97ce03, 0x5142cd4d7e1aa360,
  0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36, 0x9ab83cd84b997cdb,
  0x7903f2868b2d5e5c, 0xc69430a9cfd4eacc, 0x37e03e687993fc09, 0x09c659ac867a6168, 0xdcd0ef41e658767c,
  0x020898c42029e4af,
};

static const uint64_t ur_m161_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44863375, 0xeeeeeeaae309c962, 0x8218934a34f519ee, 0xd3aa2871133dd536, 0x2774b169ba75b8e3,
  0x7304f8c0482d95b5, 0x810cdfff535b3e9b, 0xaff6eb80ba699408, 0xed093824cafd510b, 0x96eaaa3ea8dc98b4,
  0x22fb892c79e50b83, 0x3fd165e12fc43612, 0x33def99aa3b8dc64, 0xe32f51e56804a76b, 0x14c5738fa8f83660,
  0x2e384e1b875f62d3, 0x6ec90752135f4b63, 0x74ddba04621ce757, 0xe8e416c6abc6c75e, 0x96cbe701c762d313,
  0xbf0d51b044c8e1bd, 0x2027969d28a166a6, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53,
  0x25ccbe6d97063b7f, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0xa2cf257ee6877a0f, 0x00000008227b13f3,
};

static const uint64_t ur_m161_autobaud_uart0_lednop_ee_hw[] = {
  0xb77777768a345562, 0xdddddd55db04adc4, 0x6228261598ed0bdd, 0xf17e3b43bd5b76b4, 0xb6a4ee991dd7ac7e,
  0xf95a609f180905b2, 0xca04408a1fff5933, 0xa885d7fb75c05d34, 0xb85a76849c12657e, 0x7a8f2b3d66ab5a39,
  0x2bd2bd47c1b3063e, 0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x1188739d5a5f245c, 0x8d56ba1d79d376e8,
  0x038ec5a627d1c82d, 0xc11fadc37b2d97ce, 0x74a280129afc3546, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0x23dc9f81fbf619a1, 0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0xc4fbb2d05f4f257e, 0x0000000000000002,
};

// m161_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeeed14684aa4, 0xbbbbbaab8c272589, 0x08624d28d3d467bb, 0x4ea8a1c44cf754da, 0xa93ba933753ee38f,
  0xdb9827c602416cad, 0x0440866fffac99f4, 0x85d7fb75c05d34ca, 0x5a76849c12657ea8, 0xc1cb75551f546e4c,
  0x488bee24b1e78df0, 0xf0ff459784bf10d8, 0xaccf7be66a8ee372, 0x838cbd4795a0129d, 0x4c5315ce3ea3e0d9,
  0x8cb8e1386e1d7d8b, 0x5dbb241d484d7d2d, 0x79d376e81188739d, 0x4fa3905b1aaf1b1d, 0xf65b2f9c071d8b4c,
  0x9afc3546c1132386, 0xc0809e5a74a2859a, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0xb09732f9b65c18ed, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03,
  0x658767c09c659ac8, 0xbe9e4afdcd0ef41e, 0x000000095223d3a0,
};

static const uint64_t ur_m161_autobaud_uart0_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0xda926eddc75b74b5,
  0xbc39827c602416ca, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0x0bacc50ff32b8f5c, 0x166f51fe76c2439c,
  0xf7c114239227f065, 0x80370f8510c4aff3, 0x4432abbbddf370e0, 0x84cb5e2a10cb4324, 0x2e72f6fb7ffe80e7,
  0xeffd844cc1615666, 0xeb80ba699408814b, 0x3824cafd510baff6, 0xcf3be584f8b4ed09, 0xf471d3f831f7ea3a,
  0x21cc580b2ca61be4, 0xc11d7a3e767b48cd, 0xe6656656513b8e58, 0x13cb4e94527f33e8, 0xa3cf893474629810,
  0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0xf9fd8b9357079b09, 0x71966b219e985a0d,
  0x343bd079961d9f02, 0xe4f4e3080a792bf7, 0x00000000000000c9,
};

static const uint64_t ur_m161_autobaud_uart0_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd16a81664519eeee, 0xcada926eddc75b4e,
  0x4867c9827c602416, 0x9bed6788f64c8c15, 0xdcee9f72e30a04f8, 0x39c0bacc50ff32ad, 0x065166f51fe76c24,
  0xff3f7c114239227f, 0x34d80370f8510c4a, 0x3244432abbbddf37, 0x0e784cb5e2a10cb4, 0x6662e72f6f1effe8,
  0x05a57f896fcc1615, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0xd47e78ef9613e2d3, 0xc36be8e3a7f063ef,
  0x478cce62c0596535, 0xe58c11d7a3e76905, 0x3e8e66566563a7b8, 0x81013cb4e94527f3, 0x3f7ce81c51e74629,
  0x502169c918353625, 0xf9b69e8754e041dc, 0x8b1e70dc79b09732, 0x837eeaccdfc1ddc6, 0xc09c659ac867a616,
  0xfdcd0ef41e658767, 0x5566c26b67459e4a,
};

static const uint64_t ur_m161_autobaud_uart0_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0x2029a744eddddb22, 0x49a16eeaefd08768,
  0x9cc13e30120b656d, 0xb3c47b26460aa475, 0x4fb97185027c4df6, 0x812695df9956ee77, 0xb37a8e52f60c14e1,
  0xbe08a11c913f8374, 0x01b87c2886257f9f, 0x21955ddeef9b8168, 0x13649150865a138a, 0x5ce5eddfcffa039e,
  0x8ff12df982c2accc, 0x75c05d34ca0440ba, 0x9c12657ea885d7fb, 0x70cef96e785a7684, 0xad1c74fe0ded7a8f,
  0x16731602eb14cf7d, 0x823af01a9dabfa34, 0x9ed8fba25500ffd9, 0x3e8e6656638f81e5, 0x81013cb4e94527f3,
  0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0xb09732f9b65c455b, 0xe0eee3458df0dc79,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35,
  0xce8b3c95fb9a1de8, 0x000000000b82cf82,
};

// m161_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0xdc3c3d26c59bb9ce,
  0xc602416cada9302d, 0xc99182a90b829827, 0x61409f137dacf11e, 0xdfe655bb9dd3ee5c, 0xd35b07f870c41335,
  0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xdeef9b9d6600dc3e, 0xa10cb4182a21955d, 0x4ebfe80e784d21e2,
  0xcc16156662e72f6e, 0x4ca0440a577f896f, 0xea885d7fb75c05d3, 0xd285a76849c12657, 0x4f51e57b7e6ab5a3,
  0xc57dd7a8f83660fe, 0x384e1b875f62d377, 0x04fcd2135f4b632e, 0xb464f1cead2f38ae, 0xc6ab5d0ebd8cddb7,
  0xc071d8b4f9e4690e, 0xb047eb70decbbdd9, 0xcccacc02a2541d51, 0x27969d28a4fe67d1, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xe985f891ee4fc0fd, 0x61d9f0271966b219, 0x6792bf7343bd0799,
  0x000002952245f9d1,
};

// m161_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda2435032, 0x777777756243aeef, 0xdd46a4e476b5d6f7, 0x2afb17fb5bbbb624, 0x4a337755ef7bb782,
  0x6609f180905b2b6a, 0x788f64c8c15480a4, 0xf72e30a04f89bed6, 0x44da6bf32addcee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b86b600, 0x5162a10cb41d2a21, 0x2f6fa6ffe80e784c,
  0x896fcc16156662e7, 0x05d34ca04408a5ff, 0x2657ea885d7fb75c, 0x51f55f05a76849c1, 0x4963cf285c1c31f5,
  0x2f097e21b09117dc, 0xccd51dc6e26dfe8b, 0x7ea3f413dcb0404f, 0x28f9d2471d3f8341, 0xa9dabfa341673160,
  0x25500ffd99e3af01, 0x598e3e0796b70fba, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3,
  0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x02b5ec9c5e7459e4,
};

static const uint64_t ur_m161_autobaud_uart0_dual_pr_ee_ce[] = {
  0xcdddddddd41432db, 0x77777775685f5c6f, 0xe705947f3ef5c2f7, 0xcdbad9fbc9dbb388, 0xee382db046baa10e,
  0xe30120b656d49414, 0xc99182a91649cc13, 0x61409f137dacf11e, 0xffe655bb9dd3ee5c, 0xc1d85e19c396a666,
  0xc913f8343e9bd47e, 0x886257f9fbe08a11, 0xbbe6e737c01b87c2, 0x432d038288655777, 0xbffa039e1369b8a8,
  0x0b0ab3317397b74d, 0xa0440a87ffc4b7e6, 0x885d7fb75c05d34c, 0x85a76849c12657ea, 0x0b838a7ac7f54701,
  0x339d771b9cb5f9e5, 0x1e57224a76b02af9, 0x27fa8f83660d31f5, 0xc370ebec5a6298ac, 0xea426be96c65c709,
  0x7b464f1ceaedd388, 0xd8d578d8ebd8cddb, 0x380e3b169f3c8d21, 0x1b044c8e1bd977bb, 0x1cccaccb3a2541d5,
  0x027969d28a4fe67d, 0x1479f1268e8c5302, 0x15d54e5e53633a07, 0xd55169b167a1d538, 0x5ccbe6d97063b7fb,
  0xdc68b2d5e371e6c2, 0x0a9cfd4eaccdfc1d, 0xe687993fc09c6943, 0x9ac867a616837e03, 0xf41e658767c09c65,
  0xb567459e4afdcd0e, 0x00000000000fd5b2,
};

static const uint64_t ur_m161_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76d8be, 0xbbbbbab2d16837e6, 0x908500f1ff7337bb, 0x5a2bd6dd2c59f60f, 0xa3c3a9c6338d3d5c,
  0x2d95b525393b9e75, 0x5484f2f304f8c048, 0x89bed6788f64c8c1, 0x6fcee9f72e30a04f, 0x470ca899a0ff9969,
  0xb37e6f51ee476049, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0x888655777bbe6e05, 0xe1305a8a8432d0ff,
  0x8b9cbdb8a4ffa039, 0xaffc09a730585599, 0xeb80ba6994088169, 0x3824cafd510baff6, 0xaa3ea8ce18b4ed09,
  0xc4963cf285e7635a, 0xb2f097e21b09117d, 0xc99aa3b8dc683fe8, 0x51e57224a76b33d7, 0xc27fa8f83660d31f,
  0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0xb7b464f1ceaedd38, 0x1d8d578d8ebd8cdd, 0xb380e3b169f3c8d2,
  0x51b044c8e1bd977b, 0xd1cccaccb3a2541d, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x25ccbe6d97063b7f, 0x68b1be2e4d5c1e6c, 0x9fa9d599bf83f6ec, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30, 0x57ee6877a0f32c3b, 0x07eadcc5f45564f2,
};

static const uint64_t ur_m161_autobaud_uart0_dual_ee_hw[] = {
  0x6eeeeeed146887e1, 0x777777560663af7e, 0xd9f7d77b2b513f77, 0xb2d58efc8ee94ab0, 0x6ee2bdee9c15ce75,
  0x3e30120b656d4981, 0xf64c8c15485c14c1, 0xe30a04f89bed6788, 0xaeff32ec24ee9f72, 0x3e9ad83fc3862099,
  0x847244fe0ffe4dea, 0xf0a21895fe7ef822, 0xeef77cdceb3006e1, 0x150865a0c1510caa, 0x7275ff4073c2690f,
  0x6e60b0ab3317397b, 0x4d328110295dfe75, 0x5faa2175fedd7017, 0x8f4a169da1270499, 0xf93d4795edf9aad6,
  0xdf15f75ea3e0d983, 0xb8e1386e1d7d8b4d, 0xb813f3484d7d2d8c, 0xded193c73ab4bce2, 0x3b1aad743af63376,
  0x6701c762d3e791a4, 0x46c11fadc37b2ef7, 0x47332b300a895075, 0x809e5a74a293f99f, 0xc51e7c49a3a314c0,
  0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x4b997cdb2e22adfe, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xd30bf123dc9f81fb, 0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x00002c1cb1e9d05f,
};

// m161_autobaud_uart1_noled_pr
static const uint64_t ur_m161_autobaud_uart1_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x68e3f5a307ddddd0, 0x5b2b6a4ee82fdcc5,
  0xb59f9c6609f18090, 0x820f408812f9feac, 0x554832ff083e02e8, 0xfc04ed16170932bf, 0xc7dfa8f5fcef9613,
  0x594c22f3d1c74fe0, 0xec1c5199e398b016, 0xd500ffd9823af47c, 0x2b2a07967b6a6bf0, 0xfa19a73b9a7d24d3,
  0x37ae7b34de6f6038, 0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa, 0xc376c25ccbe6da5f, 0xacc790347f1a2c79,
  0x59ac867a616837ee, 0xf41e6587659289c6, 0x72165a9e4afdcd0e, 0x00000000000e2200,
};

static const uint64_t ur_m161_autobaud_uart1_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0x2b6a4eed45db1fe4,
  0x9f9c6609f180905b, 0x83d02204be7fead5, 0x520cbfc20f80ba20, 0x013b4585c24cafd5, 0xf7ea3d7f3be584ff,
  0x5308bcf471d3f831, 0x07146678e62c0596, 0x403ff6608ebd1f3b, 0xca81e59eda9afc35, 0x8669cee69f4934ca,
  0xeb9ecd379bd80e3e, 0x8754e047f529794d, 0xab7fbd5516953e9e, 0x79b09732f9b697f8, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8,
  0x029e4afdcd0ef41e, 0x0000000230d96942,
};

// m161_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart1_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x4ee94ed34a768199,
  0x6609f180905b2b6a, 0x8811c3ffd5ab3ec1, 0xff083e02e8820f40, 0x16170932bf554832, 0xe3355ad1cddc04ed,
  0x3e0d9831f3d4795c, 0xafb169bbe2b97dea, 0xafa5b1971c270dc3, 0xd5a5d315c6b26909, 0xaf3a6ecb3d189f39,
  0x682d1e33b1aad743, 0x37b2d97ce038ec5a, 0x7e1806546c11fadc, 0x334e7734fa49a601, 0x5cf669bcdec071f4,
  0x3aa7023fa94bca6f, 0x5bfdeaa8b4a9f4f4, 0xcd84b997cdb4bfc5, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x3d30bf123dc9f81f, 0x2c3b3e04e32cd643, 0x14f257ee6877a0f3,
  0x0000004d4e153810,
};

// m161_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart1_noled_pr_ce[] = {
  0x5bbbbbbb4488d562, 0xeeeeeeaaf9acf4e2, 0xbb1f98fa53634ade, 0x4829b80377752297, 0x5b52774c8ed057ac,
  0xf74b304f8c0482d9, 0x7a0440bf77fead59, 0x4197f841f0174410, 0x2768b0b84995faaa, 0x2a77d45547d5efe0,
  0xb09117dc4963cf19, 0xe18ffe8b2f097e21, 0xf72c10d64cd51dc6, 0x1d3f83349ea3b5f4, 0xcf1cc580b70c43c7,
  0xccf1d7a3e760e28c, 0x2d6e535f86a807fe, 0x7734fa49a656540f, 0x69bcdec071f4334e, 0x023fa94bca6f5cf6,
  0xeaa8b4a9f4f43aa7, 0x732f9b697f31dbfd, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x0046eabcf82029e4,
};

static const uint64_t ur_m161_autobaud_uart1_noled_pr_ee_ce[] = {
  0x5bbbbbbbd8244511, 0xeeeeeeaae3086262, 0x0d2d913f624760de, 0x2f5c38899eea9b41, 0xdd57da1ba352c1f2,
  0xc13e30120b656d49, 0x05d3fffab567ffe4, 0xc20f80ba2083d022, 0x85c24cafd5520cbf, 0xaa3ea8dc9f013b45,
  0xc4963cf192a7795a, 0xb2f097e21b09117d, 0x7ccd51dc6e6377e8, 0xa8f2b05253b599ef, 0xb9bbd47c1b307197,
  0x270dc3afb1698a62, 0x23a909afa5b1971c, 0x967a313e73abb726, 0xcec6abc6c75e74dd, 0xf380e3b169a0b478,
  0xa8d8226470decb65, 0x69f4934cb3fc300c, 0x79bd80e3e8669cee, 0x7f529794deb9ecd3, 0x516953e9e8754e04,
  0x5f36d2fe63b7fbd5, 0x579726ae0f3612e6, 0x3ab31e40fca1a2cb, 0xff0271a50c2a73f5, 0x985a0df80f9a1e64,
  0x1d9f0271966b219e, 0x792bf7343bd07996, 0x000004110745080a,
};

static const uint64_t ur_m161_autobaud_uart1_noled_pr_ee_ce_u4[] = {
  0x4b7777776890d2a8, 0xddddddd55c611a5c, 0xa9a9bd376c86fd3d, 0xa2d45a161c44cf75, 0xb6a4ee9d6d1225a9,
  0xc66e609f180905b2, 0x4088105affea6b67, 0x32ff083e02e8820f, 0xed16170932bf5548, 0x7ceaa8faa35f7c04,
  0x8bee24b1e7942e0e, 0x3f459784bf10d848, 0x67c653354771b829, 0x88bea3cad3194ed6, 0x298ae32f51f06cc1,
  0x5c709c370ebec5a6, 0xdc228ea426be96c6, 0x53764168c7d9ceae, 0x1c3558d578d8ebd7, 0x0e59c071d8b4f589,
  0xd3c637b8c8e1bd97, 0x6f3a19a73b9a7d24, 0xea6f59497eb73d9a, 0xbdb3182169b1f566, 0x2e65f36d3d0ea9c0,
  0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f,
  0x961d9f0271966b21, 0x16792bf7343bd079, 0x000000104400ad9d,
};

static const uint64_t ur_m161_autobaud_uart1_noled_ee_hw[] = {
  0x6eeeeeed14682d7b, 0xdddddd55db050489, 0x88e14f4cb8ec33dd, 0x9b00bd0ef56ddad1, 0x6d49dd477ba53819,
  0xd82cc13e30120b65, 0xf408811c3ffeb267, 0x832ff083e02e8820, 0x4ed16170932bf554, 0x95ce3355ad1cddc0,
  0xdea3e0d9831f3d47, 0xdc3afb169bbe2b97, 0x909afa5b1971c270, 0xf39d5a5d315c6b26, 0x743af3a6ecb3d189,
  0xc5a682d1e33b1aad, 0xadc37b2d97ce038e, 0x6017e1806546c11f, 0x1f4334e7734fa49a, 0xa6f5cf669bcdec07,
  0x4f43aa7023fa94bc, 0xfc55bfdeaa8b4a9f, 0x6e3cd84b997cdb4b, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32, 0xa6b05f4f257ee687, 0x000000000002c4f1,
};

// m161_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m161_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed1468bf3e, 0xbbbbbaab8c218989, 0x08696c89fbd123bb, 0x917ae1c44cf754da, 0xd49dd9c5bacf960f,
  0xfe4c13e30120b656, 0x81102e9fffeb267f, 0x65fe107c05d1041e, 0xda2c2e12657eaa90, 0xcad551f546e4f809,
  0xbee24b1e78df0c1c, 0xf459784bf10d8488, 0xf7be66a8ee373f5f, 0xcbd479582929dacc, 0x315cddea3e0d9838,
  0x8e1386e1d7d8b4c5, 0x9311d484d7d2d8cb, 0x6ecb3d189f39d5db, 0x3c676355e363af3a, 0xb2f9c071d8b4d05a,
  0x06546c1132386f65, 0x7734fa49a659fe18, 0x69bcdec071f4334e, 0x023fa94bca6f5cf6, 0xeaa8b4a9f4f43aa7,
  0x732f9b697f31dbfd, 0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x617e247b93f03f7e,
  0x767c09c659ac867a, 0xe4afdcd0ef41e658, 0x00004a9297e10be9,
};

// m161_autobaud_uart1_lednop_pr
static const uint64_t ur_m161_autobaud_uart1_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0x155a17bbf377745f, 0xb656d49ddcc76a1e,
  0x6b3e0a4c13e30120, 0x041e81102f93fd59, 0xaa9065fe107c05d1, 0x3809da2c2e12657e, 0xccf7a8ed7c77cb6b,
  0xdd35c310f1c74fe0, 0x61f68f588e62c05b, 0x4d6e39630475e2e7, 0x1013b9a7d24d32b1, 0xa6f3e2038fa19a78,
  0x5d54e5e53633a059, 0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0xa3f8d163ce1bb612, 0xd30b41bf75663c81,
  0x3b2c944e32cd6433, 0xf257ee6877a0f32c, 0x00000e221ce0b2d4,
};

static const uint64_t ur_m161_autobaud_uart1_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0xb6a4ee91fd7a7d3b,
  0xf3d6609f180905b2, 0x7a0440a5f7fead59, 0x4197f841f0174410, 0x2768b0b84995faaa, 0xfd4759e77cb09fe0,
  0xc37c9e8e3a7f063e, 0x6919a4398b016594, 0x0ffd9823af47cecf, 0x503cb3db33ca6950, 0x0809dcd3e9269ab0,
  0xd379f101c7d0cd3c, 0xaeaa72f29b19d02c, 0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61,
  0xafdcd0ef41e65876, 0x00230d6e402029e4,
};

// m161_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart1_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x4eebd6d312af8fde,
  0xa609f180905b2b6a, 0x881143ffd5ab3f95, 0xff083e02e8820f40, 0x16170932bf554832, 0xeb355ad1cddc04ed,
  0x3e0d9831f3d47959, 0xd7d8b4ddf15e95ea, 0xd7d2d8cb8e1386e1, 0xead2f922e3593484, 0xebce9bb7408c439c,
  0x313e8e416c6ab5d0, 0x1bd96cbe701c762d, 0x94d7e1aa3608fd6e, 0x81013b9a7d24d300, 0x9a6f3e2038fa19a7,
  0x15d54e5e53633a05, 0xd55169b167a1d538, 0x2e65f36cb88ab7fb, 0x458df1726ae0f361, 0xe7ea75663c81f943,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x2fc48f727e07efd8, 0xcf8138cb3590cf4c, 0x95fb9a1de83ccb0e,
  0x00135389c584053c,
};

// m161_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart1_lednop_pr_ce[] = {
  0x5bbbbbbb44889202, 0x777777557cd6c2a2, 0x6f4ec7edbc5fa6ef, 0x905a3c7eeeea452f, 0xb6a4eeb33db22029,
  0xe5d6609f180905b2, 0xf408817ceffd5ab3, 0x832ff083e02e8820, 0x4ed16170932bf554, 0x54efbaaa8fabdfc0,
  0x61222fb892c79e32, 0xe7fcfd165e12fc43, 0xf72c10d64cd51dc6, 0xc74fe0cd27a8fcf4, 0x9a4398b0177bc171,
  0xd99e3af47cecf691, 0xf2d6e33ca69500ff, 0x27734fa49a6ac140, 0xe7c4071f4334f020, 0xa9cbca6c6740b34d,
  0x2d362cf43aa702ba, 0x7cdb2e0c76ff7aaa, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0x23dc9f81fbf619a1, 0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0x37520e41014f257e,
  0x0000000000000002,
};

static const uint64_t ur_m161_autobaud_uart1_lednop_pr_ee_ce[] = {
  0xdddddddd41447705, 0x77777557984a8b12, 0x7aed2d04a67be477, 0x717c44a1376a182f, 0xbb61b51dfda34ad1,
  0x827c602416cada93, 0x0435bff56acfa5a9, 0xc20f80ba2083d022, 0x85c24cafd5520cbf, 0xec7f546657013b45,
  0xdc35bfcf192a7670, 0x53b5815ef99cebb8, 0x1b307197a8f2b402, 0xb1698a62b9c7d47c, 0xa5b1971c270dc3af,
  0x73abb76483a909af, 0x63af3a6edd02310e, 0x6989f4720b6355e3, 0x70decb65f380e3b1, 0xb3535f86a8d82264,
  0x9e0404ee69f4934c, 0x1669bcf880e3e866, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x09732f9b65c18edf,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x90cf4c2d06fc07cd, 0x3ccb0ecf8138cb35,
  0x84053c95fb9a1de8, 0x0000000000411318,
};

static const uint64_t ur_m161_autobaud_uart1_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44863375, 0xeeeeeeaae309c962, 0x8218934a34f519ee, 0xd3aa2871133dd536, 0x2774b169ba75b8e3,
  0x7304f8c0482d95b5, 0x810cdfff535b3e9b, 0xf083e02e8820f408, 0x6170932bf554832f, 0xaa8faa3727c04ed1,
  0xe24b1e7942e0e5ba, 0x59784bf10d8488be, 0xbe66a8ee37190ff4, 0xd4795a0129daccf7, 0x5ce3ea3e0d9838cb,
  0x1386e1d7d8b4c531, 0x41d484d7d2d8cb8e, 0x6e81188739d5dbb2, 0x05b1aaf1b1d79d37, 0xf9c071d8b4c4fa39,
  0x546c1132386f65b2, 0x34fa49a659a9afc3, 0x4071f4334f020277, 0xbca6c6740b34de7c, 0x62cf43aa702baa9c,
  0xb2e0c76ff7aaa2d3, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x247b93f03f7ec334, 0x09c659ac867a617e, 0xdcd0ef41e658767c, 0x044f627e7459e4af, 0x0000000000000001,
};

static const uint64_t ur_m161_autobaud_uart1_lednop_ee_hw[] = {
  0xb77777768a345562, 0xdddddd55db04adc4, 0x6228261598ed0bdd, 0xf17e3b43bd5b76b4, 0xb6a4ee991dd7ac7e,
  0xf95a609f180905b2, 0x7a04408a1fff5933, 0x4197f841f0174410, 0x2768b0b84995faaa, 0xcacf59aad68e6ee0,
  0xaf51f06cc18f9ea3, 0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462,
  0xb16989f4720b6355, 0xeb70decb65f380e3, 0x9804a6bf0d51b047, 0xcd3c0809dcd3e926, 0xd02cd379f101c7d0,
  0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e, 0x9b09732f9b65c455, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0x867a617e247b93f0, 0xe658767c09c659ac, 0x0be9e4afdcd0ef41, 0x00000000589f765a,
};

// m161_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x6eeeeeed14684aa4, 0xbbbbbaab8c272589, 0x08624d28d3d467bb, 0x4ea8a1c44cf754da, 0xa93ba933753ee38f,
  0xdb9827c602416cad, 0x0440866fffac99f4, 0x97f841f01744107a, 0x68b0b84995faaa41, 0xdd5547d51b93e027,
  0xfb892c79e37c3072, 0xd165e12fc4361222, 0xdef99aa3b8dcbc3f, 0x2f51e56804a76b33, 0xc5738fa8f83660e3,
  0x384e1b875f62d314, 0xc90752135f4b632e, 0xddba04621ce7576e, 0xe416c6abc6c75e74, 0xcbe701c762d313e8,
  0x0d51b044c8e1bd96, 0xdcd3e9269966a6bf, 0xf101c7d0cd3c0809, 0x72f29b19d02cd379, 0x4d8b3d0ea9c0aeaa,
  0x36cb831dbfdeaa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x48f727e07efd8668,
  0x138cb3590cf4c2fc, 0xb9a1de83ccb0ecf8, 0x2a447a7417d3c95f, 0x0000000000000001,
};

static const uint64_t ur_m161_autobaud_uart1_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0xda926eddc75b74b5,
  0xbc39827c602416ca, 0xed6788f64c8c1548, 0xee9f72e30a04f89b, 0x0bacc50ff32b8f5c, 0x166f51fe76c2439c,
  0xf7c114239227f065, 0x80370f8510c4aff3, 0x4432abbbddf370e0, 0x84cb5e2a10cb4324, 0x2e72f6fb7ffe80e7,
  0xeffd844cc1615666, 0xe02e8820f408814b, 0x932bf554832ff083, 0xf9613fc04ed16170, 0x74fe0c7dfa8eb3ce,
  0x1602cb2986f93d1c, 0x5e8f9d9ed2334873, 0x5995944ee3963047, 0x7d24d39fccfa3999, 0x38fa19a781013b9a,
  0x53633a059a6f3e20, 0x67a1d53815d54e5e, 0xb88ab7fbd55169b1, 0x6ae0f3612e65f36c, 0x33d30b41bf3fb172,
  0x32c3b3e04e32cd64, 0x014f257ee6877a0f, 0x000000193c9e9c61,
};

static const uint64_t ur_m161_autobaud_uart1_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd16a81664519eeee, 0xcada926eddc75b4e,
  0x4867c9827c602416, 0x9bed6788f64c8c15, 0xdcee9f72e30a04f8, 0x39c0bacc50ff32ad, 0x065166f51fe76c24,
  0xff3f7c114239227f, 0x34d80370f8510c4a, 0x3244432abbbddf37, 0x0e784cb5e2a10cb4, 0x6662e72f6f1effe8,
  0x05a57f896fcc1615, 0xc20f80ba2083d022, 0x85c24cafd5520cbf, 0x9e3be584ff013b45, 0xfa38e9fc18fbf51f,
  0x3398b016594d70da, 0x0475e8f9da4151e3, 0x99959958e9ee3963, 0xb9a7d24d39fccfa3, 0x59a6f3a19a781013,
  0x2460d4d894fdf3a0, 0x1d538107714085a7, 0x71e6c25ccbe6da7a, 0x337f07771a2c79c3, 0x6b219e985a0dfbab,
  0xd079961d9f027196, 0xad9d16792bf7343b, 0x0000000001559b09,
};

static const uint64_t ur_m161_autobaud_uart1_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0x2029a744eddddb22, 0x49a16eeaefd08768,
  0x9cc13e30120b656d, 0xb3c47b26460aa475, 0x4fb97185027c4df6, 0x812695df9956ee77, 0xb37a8e52f60c14e1,
  0xbe08a11c913f8374, 0x01b87c2886257f9f, 0x21955ddeef9b8168, 0x13649150865a138a, 0x5ce5eddfcffa039e,
  0x8ff12df982c2accc, 0xf01744107a0440ba, 0x4995faaa4197f841, 0xbe5b9ee02768b0b8, 0x1d3f837b5ea3dc33,
  0xc580bac533df6b47, 0xbc06a76afe8d059c, 0x3ee895403ff6608e, 0x999598e3e07967b6, 0xb9a7d24d39fccfa3,
  0xe2038fa19a781013, 0xe5e53633a059a6f3, 0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0xb1be1b8f3612e65f,
  0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985,
  0xbf7343bd079961d9, 0x017059f059d16792,
};

// m161_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m161_autobaud_uart1_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0xdc3c3d26c59bb9ce,
  0xc602416cada9302d, 0xc99182a90b829827, 0x61409f137dacf11e, 0xdfe655bb9dd3ee5c, 0xd35b07f870c41335,
  0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xdeef9b9d6600dc3e, 0xa10cb4182a21955d, 0x4ebfe80e784d21e2,
  0xcc16156662e72f6e, 0x07a0440a577f896f, 0xa4197f841f017441, 0x02768b0b84995faa, 0x795edf9aad68f4ae,
  0x75ea3e0d983f93d4, 0x86e1d7d8b4ddf15f, 0x3484d7d2d8cb8e13, 0x3c73ab4bce2b813f, 0xd743af63376ded19,
  0x762d3e791a43b1aa, 0xfadc37b2ef76701c, 0xb300a89507546c11, 0xfa49a73f99f47332, 0x71f4334f02027734,
  0xa6c6740b34de7c40, 0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04,
  0xa448bf3a2cf257ee, 0x0000000000000052,
};

// m161_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m161_autobaud_uart1_dual_pr_ce[] = {
  0xcddddddda2435032, 0x777777756243aeef, 0xdd46a4e476b5d6f7, 0x2afb17fb5bbbb624, 0x4a337755ef7bb782,
  0x6609f180905b2b6a, 0x788f64c8c15480a4, 0xf72e30a04f89bed6, 0x44da6bf32addcee9, 0xdea3d8fec3fe1c03,
  0x04508e489fc1d0fc, 0xdc3e144312bfcfdf, 0x955ddeef9b86b600, 0x5162a10cb41d2a21, 0x2f6fa6ffe80e784c,
  0x896fcc16156662e7, 0x744107a04408a5ff, 0x5faaa4197f841f01, 0x57ce02768b0b8499, 0xf3ca17070c7d547d,
  0x5f886c2445f71258, 0x4771b89b7fa2cbc2, 0xfd04f72c1013f335, 0x7491c74fe0d05fa8, 0xafe8d059cc580a3e,
  0x03ff6678ebc06a76, 0x8f81e5adc3ee8954, 0x34e7f33e8e665663, 0x8669e0404ee69f49, 0xce81669bcf880e3e,
  0x754e0575539794d8, 0xedfef5545a6c59e8, 0x79b09732f9b65c18, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0x7e07efd86687993f, 0x3590cf4c2fc48f72, 0xe83ccb0ecf8138cb, 0x8bce8b3c95fb9a1d,
  0x000000000056bd93,
};

static const uint64_t ur_m161_autobaud_uart1_dual_pr_ee_ce[] = {
  0xcdddddddd41432db, 0x77777775685f5c6f, 0xe705947f3ef5c2f7, 0xcdbad9fbc9dbb388, 0xee382db046baa10e,
  0xe30120b656d49414, 0xc99182a91649cc13, 0x61409f137dacf11e, 0xffe655bb9dd3ee5c, 0xc1d85e19c396a666,
  0xc913f8343e9bd47e, 0x886257f9fbe08a11, 0xbbe6e737c01b87c2, 0x432d038288655777, 0xbffa039e1369b8a8,
  0x0b0ab3317397b74d, 0xa0440a87ffc4b7e6, 0x197f841f01744107, 0x768b0b84995faaa4, 0xe29eb1fd51c06e02,
  0x5dc6e72d7e7942e0, 0xc8929dac0abe4ce7, 0xa3e0d9834c7d4795, 0x3afb1698a62b09fe, 0x9afa5b1971c270dc,
  0x93c73abb74e23a90, 0x5e363af63376ded1, 0x8ec5a7cf23487635, 0x132386f65deece03, 0x2b32ce89507546c1,
  0x4fa49a73f99f4733, 0x071f4334f0202773, 0xca6c6740b34de7c4, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36,
  0xbc6e3cd84b997cdb, 0xd599bf83bb8d165a, 0xf8138d2861539fa9, 0xc2d06fc07cd0f327, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x0001fab656ace8b3,
};

static const uint64_t ur_m161_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76d8be, 0xbbbbbab2d16837e6, 0x908500f1ff7337bb, 0x5a2bd6dd2c59f60f, 0xa3c3a9c6338d3d5c,
  0x2d95b525393b9e75, 0x5484f2f304f8c048, 0x89bed6788f64c8c1, 0x6fcee9f72e30a04f, 0x470ca899a0ff9969,
  0xb37e6f51ee476049, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0x888655777bbe6e05, 0xe1305a8a8432d0ff,
  0x8b9cbdb8a4ffa039, 0xaffc09a730585599, 0xe02e8820f4088169, 0x932bf554832ff083, 0xaa3387c04ed16170,
  0x8f3ca179d8d6aa8f, 0x25f886c2445f7125, 0xa8ee371a0ffa2cbc, 0x5c8929daccf5f266, 0xea3e0d9834c7d479,
  0xc3afb1698a62b09f, 0x09afa5b1971c270d, 0x193c73abb74e23a9, 0x55e363af63376ded, 0x38ec5a7cf2348763,
  0x1132386f65deece0, 0x32b32ce89507546c, 0x34fa49a73f99f473, 0x4071f4334f020277, 0xbca6c6740b34de7c,
  0x62cf43aa702baa9c, 0xb2e0c76ff7aaa2d3, 0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0x3f03f7ec3343cc9f, 0x9ac867a617e247b9, 0xf41e658767c09c65, 0xbe8aac9e4afdcd0e,
  0x0000000000fd5b98,
};

static const uint64_t ur_m161_autobaud_uart1_dual_ee_hw[] = {
  0x6eeeeeed146887e1, 0x777777560663af7e, 0xd9f7d77b2b513f77, 0xb2d58efc8ee94ab0, 0x6ee2bdee9c15ce75,
  0x3e30120b656d4981, 0xf64c8c15485c14c1, 0xe30a04f89bed6788, 0xaeff32ec24ee9f72, 0x3e9ad83fc3862099,
  0x847244fe0ffe4dea, 0xf0a21895fe7ef822, 0xeef77cdceb3006e1, 0x150865a0c1510caa, 0x7275ff4073c2690f,
  0x6e60b0ab3317397b, 0x041e8110295dfe75, 0xaa9065fe107c05d1, 0xb809da2c2e12657e, 0x51e57b7e6ab5a3d2,
  0x7dd7a8f83660fe4f, 0x4e1b875f62d377c5, 0xfcd2135f4b632e38, 0x64f1cead2f38ae04, 0xab5d0ebd8cddb7b4,
  0x71d8b4f9e4690ec6, 0x47eb70decbbdd9c0, 0xcacc02a2541d51b0, 0xd3e9269cfe67d1cc, 0x01c7d0cd3c0809dc,
  0xf29b19d02cd379f1, 0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09, 0x963d3a0be9e4afdc,
  0x0000000000000583,
};

// m161_autobaud_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m161_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d0d4d6, 0x777777565a2d06fc, 0x60f908500ef1ff77, 0xd5c5a2bd6dd2c59f, 0x3b9bb375e74338d3,
  0xf8c0482d95b52539, 0x64c8c15484f2f304, 0x30a04f89bed6788f, 0x1ff32ec24ee9f72e, 0xc8ec0928e1951334,
  0xc913f8366fcdea3d, 0x886257f9fbe08a11, 0x77cdc0a4401b87c2, 0x865a1ff110caaeef, 0x9ff4073c260b5150,
  0x0b0ab3317397b714, 0xe81102d35fe756e6, 0x065fe107c05d1041, 0x9da2c2e12657eaa9, 0xc1ad551f54670f80,
  0x8bee24b1e78df0c1, 0xff459784bf10d848, 0xcf5f266a8ee373ac, 0x4c7d4795c8929dac, 0xa62b09fea3e0d983,
  0x71c270dc3afb1698, 0x74e23a909afa5b19, 0x3376ded193c73abb, 0x234876355e363af6, 0x5deece038ec5a7cf,
  0x507546c1132386f6, 0xf99f47332b32ce89, 0xf02027734fa49a73, 0xb34de7c4071f4334, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x4b997cdb2e0c76ff, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xd30bf123dc9f81fb, 0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x0000084d3a33405f,
};

// m161_u1x8_uart0_noled_pr
static const uint64_t ur_m161_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x56d49dd19ac4617e,
  0x7d6bcc13e30120b6, 0x8bb6c086fffab2d6, 0x1ebf9df2c27c5a76, 0x5e7a38e9fc18fbf5, 0x333c731602cb2984,
  0xfb30475e8f9d838a, 0xf2cf6d4d7e1aa01f, 0x149e5a74a2856540, 0xeb9f8a3cdec9a3a3, 0x8754e047f529794d,
  0xab7fbd5516953e9e, 0xddb09732f9b697f8, 0x31e40d1fc68b1e70, 0x6b219e985a0dfbab, 0x079961d964a27196,
  0xc596a792bf7343bd, 0x0000000000f90b1f,
};

static const uint64_t ur_m161_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x277717e93308377f,
  0xf304f8c0482d95b5, 0x6c086fffead59f5a, 0xf9df2c27c5a768bb, 0xa38e9fc18fbf51eb, 0xc731602cb29845e7,
  0x0475e8f9d838a333, 0xf6d4d7e1aa01ffb3, 0xe5a74a2856540f2c, 0xf8a3cdec9a3a3149, 0x4e047f529794deb9,
  0xfbd5516953e9e875, 0x09732f9b697f8ab7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x617e247b93f03f7e, 0x767c09c659ac867a, 0xe4afdcd0ef41e658, 0x00001f2696d02029,
};

// m161_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xba8cf5a59ba7a6d4,
  0x827c602416cada93, 0x0501bff56acffee9, 0x5ad1cdc2d3b45db6, 0x9831f3d4795ce335, 0x69bbe2b97dea3e0d,
  0xb1971c270dc3afb1, 0xd315c6b26909afa5, 0x6ecb3d189f39d5a5, 0x1e33b1aad743af3a, 0xd97ce038ec5a682d,
  0x06546c11fadc37b2, 0x49e5a74a28017e18, 0xb9f8a3cdec9a3a31, 0x754e047f529794de, 0xb7fbd5516953e9e8,
  0x9b09732f9b697f8a, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x7a617e247b93f03f, 0x58767c09c659ac86, 0x29e4afdcd0ef41e6, 0x000000275ffaa020,
};

static const uint64_t ur_m161_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdfebe, 0xeeeeeaaf5a7f67c4, 0x1eeff1287378feee, 0xe2e84d5b77775247, 0x5b52777c7e971537,
  0xfcdd304f8c0482d9, 0x8bb6c0a21ff565ac, 0x383e58feab3c5a76, 0xebb8dc28bf9e3250, 0xe82e7b965d63399c,
  0x90e38e9fc1eb17a8, 0x128e1a8e62c0559e, 0xf71cb19e3af173b5, 0xc527969d28a0ebf0, 0x7ae7e28f37b268e8,
  0xa1d53811fd4a5e53, 0x8edfef5545a54fa7, 0x6ed84b997cdb4bf9, 0x98f2068fe3458f38, 0x3590cf4c2d06fdd5,
  0x83ccb0ecb25138cb, 0xc2cb53c95fb9a1de, 0x00000000005baf49,
};

static const uint64_t ur_m161_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba89119391, 0x7777557085e00896, 0xcd88ecf6a7b8ef77, 0xa875a6eeebf660e4, 0xa4eef4ed2b793b31,
  0x3e609f180905b2b6, 0x6d816dfffd5ab3e6, 0xa2aa3eaf78b4ed17, 0xbee24b1e78c953be, 0xf459784bf10d8488,
  0x86b266a8ee370c7f, 0x19a4f51dafa7b960, 0x2c05b8621e38e9fc, 0xbd1f3b07146678e6, 0x9afc35403ff6678e,
  0x3a5142b2a0796b72, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70, 0x32f9b697f31dbfde,
  0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe247b93f03f7ec33,
  0xc09c659ac867a617, 0xfdcd0ef41e658767, 0x0375e7e082029e4a,
};

// m161_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m161_u1x8_uart0_noled_pr_ee_ce[] = {
  0x5bbbbbaeea244511, 0xeeeeeeaaf308f5e2, 0xed2cdde14b8f7e9e, 0x80d8889426ed4305, 0x9dd57db06e355910,
  0xcc13e30120b656d4, 0xb02d9dffab567ce0, 0x47d51b93169da2ed, 0x92c79e3254ef2b55, 0x5e12fc4361222fb8,
  0x99aa3b8dc4a8fd16, 0x1e560a4a76b33def, 0x377a8f83660e32f5, 0xe1b875f62d314c57, 0x752135f4b632e384,
  0xcf4627ce7576e4c4, 0xd8d578d8ebce9bb2, 0x701c762d34168f19, 0x1b044c8e1bd96cbe, 0x69d28a167f860195,
  0x28f37b268e8c5279, 0x811fd4a5e537ae7e, 0xf5545a54fa7a1d53, 0xb997cdb4bf98edfe, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30,
  0x57ee6877a0f32c3b, 0x00013f02161014f2,
};

static const uint64_t ur_m161_u1x8_uart0_noled_ee_hw[] = {
  0xeeeeebba8a342aac, 0xbbbbaabbc802f896, 0x2f8f8006be921bbb, 0x5319b38913bbc1d2, 0xd49ddf23ba8cde9b,
  0xf74c13e30120b656, 0x76d81406ffeb267f, 0x8cd56b47370b4ed1, 0xf83660c7cf51e573, 0xbec5a6ef8ae5f7a8,
  0xbe96c65c709c370e, 0x56974c571ac9a426, 0xbce9bb2cf4627ce7, 0xa0b478cec6ab5d0e, 0xdecb65f380e3b169,
  0xf8601951b047eb70, 0xe8c527969d28a005, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e, 0xfe2adfef5545a54f,
  0x371e6c25ccbe6da5, 0xef79430a9cfd4176, 0xf81fc65f989ffde1, 0x4fc0fdfb0cd0f327, 0x66b219e985f891ee,
  0xbd079961d9f02719, 0x48502fa792bf7343, 0x000000000000b7ed,
};

// m161_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd451a37d6, 0xddddd55e611ebc4b, 0x7b4b377856ae3ddd, 0x2036222509bb50c1, 0x6a4eebd6dd57d644,
  0x706609f180905b2b, 0xbb6c0b677ff5933e, 0xd551f546e4c5a768, 0xe24b1e78df0c1cca, 0x59784bf10d8488be,
  0xbe66a8ee373f5ff4, 0xd479582929daccf7, 0x5cddea3e0d9838cb, 0x1386e1d7d8b4c531, 0x11d484d7d2d8cb8e,
  0xcb3d189f39d5db93, 0x676355e363af3a6e, 0xf9c071d8b4d05a3c, 0x546c1132386f65b2, 0xe5a74a2859fe1806,
  0xf8a3cdec9a3a3149, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0xd3c95fb9a1de83cc,
  0x0000005010cf2617,
};

// m161_u1x8_uart0_lednop_pr
static const uint64_t ur_m161_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0xb6a4ee8dbd266d4f,
  0xf886609f180905b2, 0x176d810f9feacb59, 0x3acf3be584f8b4ed, 0xe4f471d3f831f7ea, 0xcd21cc580b2ca61b,
  0xecc11d7a3e767b48, 0xe59ed99e534a807f, 0x013cb4e945158281, 0x8a3cf89347462981, 0x0aeaa72f29b19d03,
  0xeaa8b4d8b3d0ea9c, 0x9732f9b65c455bfd, 0x0d1fc68b1e70ddb0, 0x9e985a0dfbab31e4, 0x61d964a271966b21,
  0xa792bf7343bd0799, 0x000000f903850596,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0x277619ec00d1767f,
  0x3304f8c0482d95b5, 0xdb021f3ff56acfc4, 0x9e77cb09f169da2e, 0xe8e3a7f063efd475, 0x4398b016594c37c9,
  0x823af47cecf6919a, 0x3db33ca69500ffd9, 0x7969d28a2b0503cb, 0x79f1268e8c530202, 0xd54e5e53633a0714,
  0x5169b167a1d53815, 0x65f36cb88ab7fbd5, 0x8df1726ae0f3612e, 0xea75663c81f94345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf, 0x07c9984484053c95,
};

// m161_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0xdc9daf5dd961564c,
  0x13e30120b656d49d, 0x228bffab567fe74c, 0xd68e6e169da2edb0, 0xc18f9ea3cacf59aa, 0xa6ef8af4af51f06c,
  0xc65c709c370ebec5, 0xc9171ac9a426be96, 0xddba04621ce75697, 0x720b6355ae875e74, 0x65f380e3b16989f4,
  0x0d51b047eb70decb, 0x27969d28a004a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381,
  0xe65f36cb88ab7fbd, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0xfc48f727e07efd86, 0xf8138cb3590cf4c2, 0x5fb9a1de83ccb0ec, 0x00275d07184053c9,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0x77777557ad3e5ee2, 0xc7b3f77a99be9777, 0xe3f5a307ddddd491, 0x2b6a4ee82fdcc568,
  0x9f9c6609f180905b, 0xd176d812f9feacb5, 0x07131b1fd5678b4e, 0x9d771b895bf3c64a, 0x1c4fcf72cbac6733,
  0x2a5c71d3f83d62f5, 0x1f68f588e62c05e8, 0xd6e39633c75e2e76, 0x02027969d28a0e94, 0x071479f1268e8c53,
  0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0xc25ccbe6d97063b7, 0x90347f1a2c79c376, 0x867a616837eeacc7,
  0x6587659289c659ac, 0x5a9e4afdcd0ef41e, 0x000000016ea07216,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xeeeeaae10bf8f896, 0x01332f764f54deee, 0x0bdd7eeeebf660f0, 0x93ba2474ddc0bb1f,
  0xb9827c602416cada, 0xb6051efff56acfaf, 0xaaa8fabde2d3b45d, 0xfb892c79e3254efb, 0xd165e12fc4361222,
  0x0d64cd51dc6e7fcf, 0x0cd27a8fcf4f72c1, 0x8b0177bc171c74fe, 0xaf47cecf6919a439, 0x33ca69500ffd99e3,
  0xa74a28ac140f2d6e, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755, 0x9b65c18edfef5545,
  0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c,
  0xc659ac867a617e24, 0xd0ef41e658767c09, 0x5d53582029e4afdc, 0x0000000000000037,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xeeeeaaf30951625b, 0x5da5a094cf7c8eee, 0x2f889426ed4305ef, 0x47b6a3b086695a2e,
  0x4f8c0482d95b5277, 0x86b7fead59f4b530, 0x546e4c5a768bb6c0, 0x1e78c953bb75551f, 0x4bf10d8488bee24b,
  0x51dc6e337ff45978, 0xb40253b599ef7ccd, 0xd47c1b307197a8f2, 0xc3afb1698a62b9c7, 0x09afa5b1971c270d,
  0x310e73abb76483a9, 0x55e363af3a6edd02, 0xe3b16989f4720b63, 0x226470decb65f380, 0x9450b3535f86a8d8,
  0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0xcb831dbfdeaa8b4d, 0x26ae0f3612e65f36,
  0x1e40fca1a2ce9f17, 0x4fe50c2a73f53ab3, 0x687993fc5ce32fcc, 0xe985a0df8e7bff82, 0x61d9f0271966b219,
  0xa792bf7343bd0799, 0x000000027e631080,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0x77777557984a1712, 0x0cf17a9b34bab8f7, 0x590889426eedba87, 0xba75b44896aa8b41,
  0x827c602416cada93, 0x05a6fff56acf8d69, 0xfaa35f62d3b45db6, 0x58f3c64a9de04aa8, 0xc25f886c2445f712,
  0x354771b9d67fa2cb, 0xcae6e94ed667c653, 0xcf51f06cc188bea3, 0x370ebec5a6298ad7, 0xa426be96c65c709c,
  0x68ded1ceaedcf78e, 0xd578d8ebd75376c1, 0x1c762d30e28ccf58, 0x9a32386f65c39670, 0x81013cb4e945318a,
  0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0x612e65f36cb831db, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0x4c2fc48f727e07ef, 0x0ecf8138cb3590cf,
  0x3c95fb9a1de83ccb, 0x00000009f8598405,
};

static const uint64_t ur_m161_u1x8_uart0_lednop_ee_hw[] = {
  0xddddd77514689391, 0x7777557790c7712d, 0xa0bfc7b11d643777, 0xc6dece244eef0748, 0x93bbd3b772761564,
  0xe9827c602416cada, 0xdb0228bffd64cffc, 0x9aad68e6e169da2e, 0x06cc18f9ea3cacf5, 0xec5a6ef8af4af51f,
  0xe96c65c709c370eb, 0x697c9171ac9a426b, 0xe74ddba04621ce75, 0x9f4720b6355ae875, 0xecb65f380e3b1698,
  0x6bf0d51b047eb70d, 0x02027969d28a004a, 0x071479f1268e8c53, 0x3815d54e5e53633a, 0xfbd55169b167a1d5,
  0x612e65f36cb88ab7, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07,
  0xcb0ecf8138cb3590, 0x7d3c95fb9a1de83c, 0x00000005be6ffc21,
};

// m161_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd451a1541, 0xddddd55e612a2c4b, 0x7bd7696826d33ddd, 0x8b8be22509bb50c1, 0xa93ba02b77651a56,
  0x5a9827c602416cad, 0xedb021adffd64cfa, 0x5547d51b93169da2, 0x892c79e37c3072dd, 0x65e12fc4361222fb,
  0xf99aa3b8dcbc3fd1, 0x51e56804a76b33de, 0x738fa8f83660e32f, 0x4e1b875f62d314c5, 0x0752135f4b632e38,
  0xba04621ce7576ec9, 0x16c6abc6c75e74dd, 0xe701c762d313e8e4, 0x51b044c8e1bd96cb, 0x969d28a166a6bf0d,
  0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d, 0xbe6d97063b7fbd55, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9,
  0x00501119a02fa792,
};

// m161_u1x8_uart0_dual_pr
static const uint64_t ur_m161_u1x8_uart0_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x54dbb905680a39c8,
  0x304f8c0482d95b52, 0x788f64c8c1548c41, 0xf72e30a04f89bed6, 0xcc517f32b8f5cee9, 0x7a8f1ef60fe1c17d,
  0x04508e489fc1f753, 0xdc3e144312bfcfdf, 0xcaaeef77cdcc0800, 0x749150865a107d10, 0xe5edc14ffa039e13,
  0xfb089982c2accc5c, 0xf8b4ed176d810f9f, 0x31f7ea3acf3be584, 0x2ca61be4f471d3f8, 0x767b48cd21cc580b,
  0x513b8e58c11d7a3e, 0x527f33e8e6656656, 0x7462981013cb4e94, 0x9b19d038a3cf8934, 0x3d0ea9c0aeaa72f2,
  0xc455bfdeaa8b4d8b, 0x57079b09732f9b65, 0xc81f943458f38b93, 0x433d30b41bf75663, 0xf32c3b3e04e32cd6,
  0x1014f257ee6877a0, 0x000000000188371e,
};

static const uint64_t ur_m161_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x25907756b4ed5718,
  0x9304f8c0482d95b5, 0x6788f64c8c154814, 0x9f72e30a04f89bed, 0x2b4ce97f32addcee, 0xe6f51ea56c3f71c1,
  0x7c114239227f0663, 0x0370f8510c4aff3f, 0x432abbbddf3734d8, 0x9a0fc54219682d74, 0xe72f6e7affd01cf0,
  0x7f896fcc16156662, 0x73c2d3b45db605f2, 0xf06f6bd47b8677cb, 0x1758a67bed68e3a7, 0xd4ed5fd1a0b398b0,
  0x12a807fecc11d780, 0xb31c7c0f2cf6c7dd, 0xa74a293f99f47332, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x00524c26b67459e4,
};

// m161_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0xd99bd402a31ebb67,
  0x602416cada931c5d, 0x99182a900009827c, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x7f61d3e70b1f9bfe,
  0x9227f067066f51e8, 0x10c4aff3f7c11423, 0xddf3705200370f85, 0x219687ee4432abbb, 0x5bfe80e784cfe454,
  0xc16156662e72f6f9, 0x8bb6c09d2ff896fc, 0xb7e6ab5a3d285a76, 0x8f83660fe4f51e57, 0x75f62d377c57dd7a,
  0x35f4b632e384e1b8, 0xead2f38ae04fcd21, 0xebd8cddb7b464f1c, 0x4f9e4690ec6ab5d0, 0x0decbbdd9c071d8b,
  0x2a2541d51b047eb7, 0x8a4fe67d1cccacc0, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0xb88ab7fbd55169b1, 0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89, 0x343bd079961d9f02, 0x647e059d16792bf7, 0x0000000000000005,
};

// m161_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m161_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f4486dd9e, 0xbbbbbab663f6afcd, 0x2759051bad67dbbb, 0xe4931a76eeecbbb8, 0xa66ee1f9b45e57b4,
  0xc13e30120b656d49, 0x88f64c8c1548e6fc, 0x72e30a04f89bed67, 0x9a87ff32addcee9f, 0xd478e5b038270eaf,
  0x4508e489fc1dba9b, 0xc3e144312bfcfdf0, 0x55ddeef9b96b600d, 0xea2a10cb40c7a219, 0x7b72ebff4073c26e,
  0x4b7e60b0ab331739, 0x2d3b45db60552bfc, 0x42e0e18faa8faaf8, 0x0d8488bee24b1e79, 0x37136ff459784bf1,
  0x9ee582027e66a8ee, 0x38e9fc1a0bf51fa0, 0x1a0b398b0147ce92, 0xeccf1d780d4ed5fd, 0x3cb5b87dd12a807f,
  0xfe67d1cccacc71f0, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536, 0x3b7fbd55169b167a,
  0x1e6c25ccbe6d9706, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f,
  0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32, 0x38f3a2cf257ee687, 0x000000000001a488,
};

static const uint64_t ur_m161_u1x8_uart0_dual_pr_ee_ce[] = {
  0xddddd60fd82432db, 0x777775685f5c6fcd, 0x05947f3ef5c2f777, 0xbad9fbc9dbb388e7, 0x382db046baa10ecd,
  0x0120b656d49414ee, 0x9182a91649cc13e3, 0x409f137dacf11ec9, 0xe655bb9dd3ee5c61, 0xd85e19c396a666ff,
  0x13f8343e9bd47ec1, 0x6257f9fbe08a11c9, 0xe6e737c01b87c288, 0x2d038288655777bb, 0xfa039e1369b8a843,
  0x0ab3317397b74dbf, 0x6c0a87ffc4b7e60b, 0x51f54670c5a768bb, 0x4963cf285c1c1ad5, 0x2f097e21b09117dc,
  0x4cd51dc6e72d7e8b, 0x8f2b91253b599ebe, 0x13fd47c1b30698fa, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0xbda3278e7576e9c4, 0xec6abc6c75ec66ed, 0x9c071d8b4f9e4690, 0x8d8226470decbbdd, 0x8e6656659d12a0ea,
  0x013cb4e94527f33e, 0x8a3cf89347462981, 0x0aeaa72f29b19d03, 0xeaa8b4d8b3d0ea9c, 0x2e65f36cb831dbfd,
  0xee34596af1b8f361, 0x854e7ea75666fe0e, 0xf343cc9fe04e34a1, 0xcd6433d30b41bf01, 0x7a0f32c3b3e04e32,
  0x5ab3a2cf257ee687, 0x0000000000004001,
};

static const uint64_t ur_m161_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5a17d17df, 0xa716957962daefdd, 0xb201ad1fbc9dba76, 0x69ceeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x35e1fe655bb9dd3e, 0xa3a1f6c31b8e1d83,
  0x2847244fe0f104de, 0x1f0a21895fe7ef82, 0xaeef77cdc24a006e, 0xd150865a1b3910ca, 0xb7d35ff4073c26ca,
  0xb7e60b0ab3317397, 0xd3b45db60416bfc4, 0x0e656aa8faa34ac2, 0x488bee24b1e7942e, 0xacff459784bf10d8,
  0xaccf4c666a8ee373, 0x07917d4795e9529d, 0x98a62b9bbd47c1b3, 0x1971c270dc3afb16, 0xbb74423a909afa5b,
  0xca69d967a3afe73a, 0x168c7dd8d578d8eb, 0xecb726701c762d34, 0x332b3c63ac46470d, 0x9e5a74a293f99f47,
  0x4796e9a3a314c080, 0x5d54e5e53633a071, 0x4e05d5cc6085a6f5, 0x9b09732f9b69e875, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x590cf4c2fc48f727, 0x83ccb0ecf8138cb3,
  0xace8b3c95fb9a1de, 0x0000000000040040,
};

static const uint64_t ur_m161_u1x8_uart0_dual_ee_hw[] = {
  0x7777583d1468ff3e, 0xddddd59e996abf37, 0x73bed586d2afdddd, 0x0f61b6106ea3bb12, 0x7734f6ef5efaed9f,
  0xf180905b2b6a4c71, 0xb26460aa40002609, 0x185027c4df6b3c47, 0xf9f997612774fb97, 0xa1fd874f9c2c7e6f,
  0x8e489fc19c19bd47, 0x144312bfcfdf0450, 0xef77cdc14800dc3e, 0x50865a1fb910caae, 0xe56ffa039e133f91,
  0x7305855998b9cbdb, 0xed176d813a5ff3ab, 0xaf6fcd56b47a50b4, 0xf51f06cc1fc9ea3c, 0x70ebec5a6ef8afba,
  0x426be96c65c709c3, 0x39d5a5e715c09f9a, 0xa1d7b19bb6f68c9e, 0x169f3c8d21d8d56b, 0x6e1bd977bb380e3b,
  0x80544a83aa3608fd, 0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2, 0x62cf43aa702baa9c,
  0xd971156ff7aaa2d3, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f,
  0x71966b219e985f89, 0x343bd079961d9f02, 0x68669f02fa792bf7, 0x0000000000000057,
};

// m161_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart0_dual_ee_ce_hw[] = {
  0x6eeeeeb07a28d086, 0xbbbbbbab42fae37e, 0x382ca3f9f7ae17bb, 0x6dd6cfde4edd9c47, 0x53bbbb3754e90876,
  0x4f8c0482d95b5250, 0x7b26460aa4592730, 0x7185027c4df6b3c4, 0x9bff997612774fb9, 0xfb076178670e5a99,
  0x47244fe0d0fa6f51, 0x0a21895fe7ef8228, 0xdeef9b9cdf006e1f, 0xa10cb40e0a21955d, 0x36ffe80e784da6e2,
  0x982c2accc5ce5edd, 0xd176d8150fff9d5b, 0x35aaa3ea8ce18b4e, 0x7dc4963cf1be1838, 0xe8b2f097e21b0911,
  0xebe4cd51dc6e759f, 0x8fa8f2b91253b599, 0xc5613fd47c1b3069, 0x384e1b875f62d314, 0x9c4752135f4b632e,
  0x6edbda3278e7576e, 0x690ec6abc6c75ec6, 0xbdd9c071d8b4f9e4, 0x0ea8d8226470decb, 0x33e8e6656659d12a,
  0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e, 0x3612e65f36cb831d,
  0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359,
  0x17d3c95fb9a1de83, 0x0000000075d5ecb4,
};

// m161_u1x8_uart1_noled_pr
static const uint64_t ur_m161_u1x8_uart1_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x56d49dd19ac4617e,
  0x7d6bcc13e30120b6, 0x1fecc086fffab2d6, 0xebf9df2c27f809da, 0xe7a38e9fc18fbf51, 0x33c731602cb29845,
  0xb30475e8f9d838a3, 0x2cf6d4d7e1aa01ff, 0x7734fa49a656540f, 0x69bcdec071f4334e, 0x023fa94bca6f5cf6,
  0xeaa8b4a9f4f43aa7, 0xb997cdb4bfc55bfd, 0x68fe3458f386ed84, 0xf4c2d06fdd598f20, 0x0ecb25138cb3590c,
  0x3c95fb9a1de83ccb, 0x000007c858fe2cb5,
};

static const uint64_t ur_m161_u1x8_uart1_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x277717e93308377f,
  0xf304f8c0482d95b5, 0xcc086fffead59f5a, 0x9df2c27f809da1fe, 0x38e9fc18fbf51ebf, 0x731602cb29845e7a,
  0x475e8f9d838a333c, 0x6d4d7e1aa01ffb30, 0x4fa49a656540f2cf, 0xcdec071f4334e773, 0xfa94bca6f5cf669b,
  0x8b4a9f4f43aa7023, 0x7cdb4bfc55bfdeaa, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0x23dc9f81fbf619a1, 0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0xf934b681014f257e,
};

// m161_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart1_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xba8cf5a59ba7a6d4,
  0x827c602416cada93, 0x0501bff56acffee9, 0xad1cddc04ed0ff66, 0x831f3d4795ce3355, 0x9bbe2b97dea3e0d9,
  0x1971c270dc3afb16, 0x315c6b26909afa5b, 0xecb3d189f39d5a5d, 0xe33b1aad743af3a6, 0x97ce038ec5a682d1,
  0x6546c11fadc37b2d, 0x734fa49a6017e180, 0x9bcdec071f4334e7, 0x23fa94bca6f5cf66, 0xaa8b4a9f4f43aa70,
  0x997cdb4bfc55bfde, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf123dc9f81fbf619, 0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3, 0x013affd501014f25,
};

static const uint64_t ur_m161_u1x8_uart1_noled_pr_ce[] = {
  0xb777775ddacdfebe, 0xeeeeeaaf5a7f67c4, 0x1eeff1287378feee, 0xe2e84d5b77775247, 0x5b52777c7e971537,
  0xfcdd304f8c0482d9, 0x1fecc0a21ff565ac, 0x83e58feab3f809da, 0xbb8dc28bf9e32503, 0x82e7b965d63399ce,
  0x0e38e9fc1eb17a8e, 0x28e1a8e62c0559e9, 0x71cb19e3af173b51, 0x9dcd3e92698ebf0f, 0x9a6f37b01c7d0cd3,
  0xc08fea52f29bd73d, 0x7aaa2d2a7d3d0ea9, 0x5ccbe6da5fcc76ff, 0x347f1a2c79c376c2, 0x7a616837eeacc790,
  0x87659289c659ac86, 0x9e4afdcd0ef41e65, 0x000002dd7a4e165a,
};

static const uint64_t ur_m161_u1x8_uart1_noled_pr_ce_u4[] = {
  0xeeeeebba89119391, 0x7777557085e00896, 0xcd88ecf6a7b8ef77, 0xa875a6eeebf660e4, 0xa4eef4ed2b793b31,
  0x3e609f180905b2b6, 0xd9816dfffd5ab3e6, 0x2aa3eaf7f013b43f, 0xee24b1e78c953bea, 0x459784bf10d8488b,
  0x6b266a8ee370c7ff, 0x9a4f51dafa7b9608, 0xc05b8621e38e9fc1, 0xd1f3b07146678e62, 0xafc35403ff6678eb,
  0x24d32b2a0796b729, 0x6038fa19a73b9a7d, 0xa5e537ae7b34de6f, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64,
  0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0x3f041014f257ee68, 0x0000000000001baf,
};

// m161_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m161_u1x8_uart1_noled_pr_ee_ce[] = {
  0x5bbbbbaeea244511, 0xeeeeeeaaf308f5e2, 0xed2cdde14b8f7e9e, 0x80d8889426ed4305, 0x9dd57db06e355910,
  0xcc13e30120b656d4, 0x302d9dffab567ce0, 0x7d51b93e027687fb, 0x2c79e3254ef2b554, 0xe12fc4361222fb89,
  0x9aa3b8dc4a8fd165, 0xe560a4a76b33def9, 0x77a8f83660e32f51, 0x1b875f62d314c573, 0x52135f4b632e384e,
  0xf4627ce7576e4c47, 0x8d578d8ebce9bb2c, 0x01c762d34168f19d, 0xb044c8e1bd96cbe7, 0xe9269967f8601951,
  0x7b01c7d0cd39dcd3, 0xa52f29bd73d9a6f3, 0xd2a7d3d0ea9c08fe, 0x6da5fcc76ff7aaa2, 0x2e4d5c1e6c25ccbe,
  0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3, 0x1966b219e985f891,
  0x43bd079961d9f027, 0xf810b080a792bf73, 0x0000000000000009,
};

static const uint64_t ur_m161_u1x8_uart1_noled_ee_hw[] = {
  0xeeeeebba8a342aac, 0xbbbbaabbc802f896, 0x2f8f8006be921bbb, 0x5319b38913bbc1d2, 0xd49ddf23ba8cde9b,
  0xf74c13e30120b656, 0xfd981406ffeb267f, 0xcd56b47377013b43, 0x83660c7cf51e5738, 0xec5a6ef8ae5f7a8f,
  0xe96c65c709c370eb, 0x6974c571ac9a426b, 0xce9bb2cf4627ce75, 0x0b478cec6ab5d0eb, 0xecb65f380e3b169a,
  0x8601951b047eb70d, 0xd39dcd3e9269805f, 0x3d9a6f37b01c7d0c, 0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e,
  0x612e65f36d2ff156, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07,
  0xcb0ecf8138cb3590, 0x7d3c95fb9a1de83c, 0x00000005bf6a4281,
};

// m161_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart1_noled_ee_ce_hw[] = {
  0x777775dd451a37d6, 0xddddd55e611ebc4b, 0x7b4b377856ae3ddd, 0x2036222509bb50c1, 0x6a4eebd6dd57d644,
  0x706609f180905b2b, 0xfecc0b677ff5933e, 0x551f546e4f809da1, 0x24b1e78df0c1ccad, 0x9784bf10d8488bee,
  0xe66a8ee373f5ff45, 0x479582929daccf7b, 0xcddea3e0d9838cbd, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0xb3d189f39d5db931, 0x76355e363af3a6ec, 0x9c071d8b4d05a3c6, 0x46c1132386f65b2f, 0x4fa49a659fe18065,
  0xcdec071f4334e773, 0xfa94bca6f5cf669b, 0x8b4a9f4f43aa7023, 0xf9b697f31dbfdeaa, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe247b93f03f7ec33, 0xc09c659ac867a617, 0xfdcd0ef41e658767,
  0x0280867930be9e4a,
};

// m161_u1x8_uart1_lednop_pr
static const uint64_t ur_m161_u1x8_uart1_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0xb6a4ee8dbd266d4f,
  0xf886609f180905b2, 0x3fd9810f9feacb59, 0xacf3be584ff013b4, 0x4f471d3f831f7ea3, 0xd21cc580b2ca61be,
  0xcc11d7a3e767b48c, 0x59ed99e534a807fe, 0xee69f4934d58281e, 0xf880e3e8669e0404, 0x39794d8ce81669bc,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x3458f386ed84b997, 0xd06fdd598f2068fe, 0x25138cb3590cf4c2,
  0xfb9a1de83ccb0ecb, 0x07c81c282cb53c95,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0x277619ec00d1767f,
  0x3304f8c0482d95b5, 0xb3021f3ff56acfc4, 0xe77cb09fe027687f, 0x8e3a7f063efd4759, 0x398b016594c37c9e,
  0x23af47cecf6919a4, 0xdb33ca69500ffd98, 0xd3e9269ab0503cb3, 0x01c7d0cd3c0809dc, 0xf29b19d02cd379f1,
  0x8b3d0ea9c0aeaa72, 0x65c455bfdeaa8b4d, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6, 0xc2242029e4afdcd0,
  0x0000000000003e4c,
};

// m161_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart1_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0xdc9daf5dd961564c,
  0x13e30120b656d49d, 0x228bffab567fe74c, 0x68e6ee027687fb30, 0x18f9ea3cacf59aad, 0x6ef8af4af51f06cc,
  0x65c709c370ebec5a, 0x9171ac9a426be96c, 0xdba04621ce75697c, 0x20b6355ae875e74d, 0x5f380e3b16989f47,
  0xd51b047eb70decb6, 0xcd3e9269804a6bf0, 0x101c7d0cd3c0809d, 0x2f29b19d02cd379f, 0xd8b3d0ea9c0aeaa7,
  0xb65c455bfdeaa8b4, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xb93f03f7ec3343cc, 0x659ac867a617e247, 0x0ef41e658767c09c, 0xe838c2029e4afdcd, 0x000000000000013a,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0x77777557ad3e5ee2, 0xc7b3f77a99be9777, 0xe3f5a307ddddd491, 0x2b6a4ee82fdcc568,
  0x9f9c6609f180905b, 0x43fd9812f9feacb5, 0x7131b1fd567f013b, 0xd771b895bf3c64a0, 0xc4fcf72cbac67339,
  0xa5c71d3f83d62f51, 0xf68f588e62c05e82, 0x6e39633c75e2e761, 0x09dcd3e92698e94d, 0x79f101c7d0cd3c08,
  0xaa72f29b19d02cd3, 0x8b4d8b3d0ea9c0ae, 0x5f36cb831dbfdeaa, 0xf8d163ce1bb612e6, 0x0b41bf75663c81a3,
  0x2c944e32cd6433d3, 0x57ee6877a0f32c3b, 0x000b750390b2d4f2,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xeeeeaae10bf8f896, 0x01332f764f54deee, 0x0bdd7eeeebf660f0, 0x93ba2474ddc0bb1f,
  0xb9827c602416cada, 0x66051efff56acfaf, 0xaa8fabdfc04ed0ff, 0xb892c79e3254efba, 0x165e12fc4361222f,
  0xd64cd51dc6e7fcfd, 0xcd27a8fcf4f72c10, 0xb0177bc171c74fe0, 0xf47cecf6919a4398, 0x3ca69500ffd99e3a,
  0xa49a6ac140f2d6e3, 0x1f4334f02027734f, 0x6c6740b34de7c407, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c,
  0xb83cd84b997cdb2e, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd, 0xc1014f257ee6877a, 0x0000000001baea9a,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xeeeeaaf30951625b, 0x5da5a094cf7c8eee, 0x2f889426ed4305ef, 0x47b6a3b086695a2e,
  0x4f8c0482d95b5277, 0x86b7fead59f4b530, 0x46e4f809da1fecc0, 0xe78c953bb75551f5, 0xbf10d8488bee24b1,
  0x1dc6e337ff459784, 0x40253b599ef7ccd5, 0x47c1b307197a8f2b, 0x3afb1698a62b9c7d, 0x9afa5b1971c270dc,
  0x10e73abb76483a90, 0x5e363af3a6edd023, 0x3b16989f4720b635, 0x26470decb65f380e, 0x34cb3535f86a8d82,
  0x8669e0404ee69f49, 0xce81669bcf880e3e, 0x754e0575539794d8, 0xedfef5545a6c59e8, 0x79b09732f9b65c18,
  0xe50d1674f8b93570, 0x61539fa9d598f207, 0x9fe2e7197e627f28, 0x06fc73dffc1343cc, 0x8138cb3590cf4c2d,
  0xfb9a1de83ccb0ecf, 0x0013f31884053c95,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0x77777557984a1712, 0x0cf17a9b34bab8f7, 0x590889426eedba87, 0xba75b44896aa8b41,
  0x827c602416cada93, 0x05a6fff56acf8d69, 0xaa35f7c04ed0ff66, 0x8f3c64a9de04aa8f, 0x25f886c2445f7125,
  0x54771b9d67fa2cbc, 0xae6e94ed667c6533, 0xf51f06cc188bea3c, 0x70ebec5a6298ad7c, 0x426be96c65c709c3,
  0x8ded1ceaedcf78ea, 0x578d8ebd75376c16, 0xc762d30e28ccf58d, 0xa32386f65c396701, 0x04ee69f4934f18a9,
  0xbcf880e3e8669e04, 0x5539794d8ce81669, 0x45a6c59e8754e057, 0x2f9b65c18edfef55, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x247b93f03f7ec334, 0x09c659ac867a617e,
  0xdcd0ef41e658767c, 0x004fc2cc2029e4af,
};

static const uint64_t ur_m161_u1x8_uart1_lednop_ee_hw[] = {
  0xddddd77514689391, 0x7777557790c7712d, 0xa0bfc7b11d643777, 0xc6dece244eef0748, 0x93bbd3b772761564,
  0xe9827c602416cada, 0xb30228bffd64cffc, 0xaad68e6ee027687f, 0x6cc18f9ea3cacf59, 0xc5a6ef8af4af51f0,
  0x96c65c709c370ebe, 0x97c9171ac9a426be, 0x74ddba04621ce756, 0xf4720b6355ae875e, 0xcb65f380e3b16989,
  0xbf0d51b047eb70de, 0x09dcd3e9269804a6, 0x79f101c7d0cd3c08, 0xaa72f29b19d02cd3, 0x8b4d8b3d0ea9c0ae,
  0x2f9b65c455bfdeaa, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x7e247b93f03f7ec3,
  0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x002df37fe10be9e4,
};

// m161_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart1_lednop_ee_ce_hw[] = {
  0x777775dd451a1541, 0xddddd55e612a2c4b, 0x7bd7696826d33ddd, 0x8b8be22509bb50c1, 0xa93ba02b77651a56,
  0x5a9827c602416cad, 0xfb3021adffd64cfa, 0x547d51b93e027687, 0x92c79e37c3072dd5, 0x5e12fc4361222fb8,
  0x99aa3b8dcbc3fd16, 0x1e56804a76b33def, 0x38fa8f83660e32f5, 0xe1b875f62d314c57, 0x752135f4b632e384,
  0xa04621ce7576ec90, 0x6c6abc6c75e74ddb, 0x701c762d313e8e41, 0x1b044c8e1bd96cbe, 0x3e9269966a6bf0d5,
  0x1c7d0cd3c0809dcd, 0x29b19d02cd379f10, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8, 0xb1b8f3612e65f36c,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799, 0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138,
  0x88cd017d3c95fb9a, 0x0000000000000280,
};

// m161_u1x8_uart1_dual_pr
static const uint64_t ur_m161_u1x8_uart1_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x54dbb905680a39c8,
  0x304f8c0482d95b52, 0x788f64c8c1548c41, 0xf72e30a04f89bed6, 0xcc517f32b8f5cee9, 0x7a8f1ef60fe1c17d,
  0x04508e489fc1f753, 0xdc3e144312bfcfdf, 0xcaaeef77cdcc0800, 0x749150865a107d10, 0xe5edc14ffa039e13,
  0xfb089982c2accc5c, 0xf013b43fd9810f9f, 0x1f7ea3acf3be584f, 0xca61be4f471d3f83, 0x67b48cd21cc580b2,
  0x13b8e58c11d7a3e7, 0xe7f33e8e66566565, 0x69e0404ee69f4934, 0x81669bcf880e3e86, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0xa1a2c79c5c9ab83c, 0x85a0dfbab31e40fc, 0xd9f0271966b219e9,
  0x92bf7343bd079961, 0x00000c41b8f080a7,
};

static const uint64_t ur_m161_u1x8_uart1_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x25907756b4ed5718,
  0x9304f8c0482d95b5, 0x6788f64c8c154814, 0x9f72e30a04f89bed, 0x2b4ce97f32addcee, 0xe6f51ea56c3f71c1,
  0x7c114239227f0663, 0x0370f8510c4aff3f, 0x432abbbddf3734d8, 0x9a0fc54219682d74, 0xe72f6e7affd01cf0,
  0x7f896fcc16156662, 0x3dc04ed0ff6605f2, 0x06f6bd47b8677cb7, 0x758a67bed68e3a7f, 0x4ed5fd1a0b398b01,
  0x2a807fecc11d780d, 0x31c7c0f2cf6c7dd1, 0xa49a73f99f47332b, 0x1f4334f02027734f, 0x6c6740b34de7c407,
  0xf43aa702baa9cbca, 0x1156ff7aaa2d362c, 0x371e6c25ccbe6d97, 0x599bf83bb8d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e, 0x6135b3a2cf257ee6,
  0x0000000000000292,
};

// m161_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m161_u1x8_uart1_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0xd99bd402a31ebb67,
  0x602416cada931c5d, 0x99182a900009827c, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x7f61d3e70b1f9bfe,
  0x9227f067066f51e8, 0x10c4aff3f7c11423, 0xddf3705200370f85, 0x219687ee4432abbb, 0x5bfe80e784cfe454,
  0xc16156662e72f6f9, 0x1fecc09d2ff896fc, 0x7e6ab5a3d2b809da, 0xf83660fe4f51e57b, 0x5f62d377c57dd7a8,
  0x5f4b632e384e1b87, 0xad2f38ae04fcd213, 0xbd8cddb7b464f1ce, 0xf9e4690ec6ab5d0e, 0xdecbbdd9c071d8b4,
  0xa2541d51b047eb70, 0x9cfe67d1cccacc02, 0xcd3c0809dcd3e926, 0xd02cd379f101c7d0, 0xa9c0aeaa72f29b19,
  0xbfdeaa8b4d8b3d0e, 0x9b09732f9b65c455, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x590cf4c2fc48f727, 0x83ccb0ecf8138cb3, 0x2ce8b3c95fb9a1de, 0x00000000002b23f0,
};

// m161_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m161_u1x8_uart1_dual_pr_ce[] = {
  0xddddd60f4486dd9e, 0xbbbbbab663f6afcd, 0x2759051bad67dbbb, 0xe4931a76eeecbbb8, 0xa66ee1f9b45e57b4,
  0xc13e30120b656d49, 0x88f64c8c1548e6fc, 0x72e30a04f89bed67, 0x9a87ff32addcee9f, 0xd478e5b038270eaf,
  0x4508e489fc1dba9b, 0xc3e144312bfcfdf0, 0x55ddeef9b96b600d, 0xea2a10cb40c7a219, 0x7b72ebff4073c26e,
  0x4b7e60b0ab331739, 0x04ed0ff660552bfc, 0x2e0e18faa8faaf9c, 0xd8488bee24b1e794, 0x7136ff459784bf10,
  0xee582027e66a8ee3, 0x8e9fc1a0bf51fa09, 0xa0b398b0147ce923, 0xccf1d780d4ed5fd1, 0xcb5b87dd12a807fe,
  0xe67d1cccacc71f03, 0xc0809dcd3e9269cf, 0xcd379f101c7d0cd3, 0x0aeaa72f29b19d02, 0xeaa8b4d8b3d0ea9c,
  0x2e65f36cb831dbfd, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0x9e985f891ee4fc0f, 0x961d9f0271966b21, 0x16792bf7343bd079, 0x0000000d2441c79d,
};

static const uint64_t ur_m161_u1x8_uart1_dual_pr_ee_ce[] = {
  0xddddd60fd82432db, 0x777775685f5c6fcd, 0x05947f3ef5c2f777, 0xbad9fbc9dbb388e7, 0x382db046baa10ecd,
  0x0120b656d49414ee, 0x9182a91649cc13e3, 0x409f137dacf11ec9, 0xe655bb9dd3ee5c61, 0xd85e19c396a666ff,
  0x13f8343e9bd47ec1, 0x6257f9fbe08a11c9, 0xe6e737c01b87c288, 0x2d038288655777bb, 0xfa039e1369b8a843,
  0x0ab3317397b74dbf, 0xcc0a87ffc4b7e60b, 0x1f54670f809da1fe, 0x963cf285c1c1ad55, 0xf097e21b09117dc4,
  0xcd51dc6e72d7e8b2, 0xf2b91253b599ebe4, 0x3fd47c1b30698fa8, 0x1b875f62d314c561, 0x52135f4b632e384e,
  0xda3278e7576e9c47, 0xc6abc6c75ec66edb, 0xc071d8b4f9e4690e, 0xd8226470decbbdd9, 0xe6656659d12a0ea8,
  0xee69f4934e7f33e8, 0xf880e3e8669e0404, 0x39794d8ce81669bc, 0xa6c59e8754e05755, 0x9b65c18edfef5545,
  0xcb578dc79b09732f, 0xf53ab337f07771a2, 0x64ff0271a50c2a73, 0x9e985a0df80f9a1e, 0x961d9f0271966b21,
  0x16792bf7343bd079, 0x00000002000ad59d,
};

static const uint64_t ur_m161_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5a17d17df, 0xa716957962daefdd, 0xb201ad1fbc9dba76, 0x69ceeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x35e1fe655bb9dd3e, 0xa3a1f6c31b8e1d83,
  0x2847244fe0f104de, 0x1f0a21895fe7ef82, 0xaeef77cdc24a006e, 0xd150865a1b3910ca, 0xb7d35ff4073c26ca,
  0xb7e60b0ab3317397, 0x4ed0ff660416bfc4, 0xe656aa8faa34adc0, 0x88bee24b1e7942e0, 0xcff459784bf10d84,
  0xccf4c666a8ee373a, 0x7917d4795e9529da, 0x8a62b9bbd47c1b30, 0x971c270dc3afb169, 0xb74423a909afa5b1,
  0xa69d967a3afe73ab, 0x68c7dd8d578d8ebc, 0xcb726701c762d341, 0x32b3c63ac46470de, 0x34fa49a73f99f473,
  0xe071f4334f020277, 0x2f29b19d02cd3796, 0xae63042d37aaeaa7, 0x997cdb4f43aa702e, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7, 0x8767c09c659ac867,
  0x9e4afdcd0ef41e65, 0x0000002002056745,
};

static const uint64_t ur_m161_u1x8_uart1_dual_ee_hw[] = {
  0x7777583d1468ff3e, 0xddddd59e996abf37, 0x73bed586d2afdddd, 0x0f61b6106ea3bb12, 0x7734f6ef5efaed9f,
  0xf180905b2b6a4c71, 0xb26460aa40002609, 0x185027c4df6b3c47, 0xf9f997612774fb97, 0xa1fd874f9c2c7e6f,
  0x8e489fc19c19bd47, 0x144312bfcfdf0450, 0xef77cdc14800dc3e, 0x50865a1fb910caae, 0xe56ffa039e133f91,
  0x7305855998b9cbdb, 0xb43fd9813a5ff3ab, 0xf6fcd56b47a57013, 0x51f06cc1fc9ea3ca, 0x0ebec5a6ef8afbaf,
  0x26be96c65c709c37, 0x9d5a5e715c09f9a4, 0x1d7b19bb6f68c9e3, 0x69f3c8d21d8d56ba, 0xe1bd977bb380e3b1,
  0x0544a83aa3608fd6, 0x4d39fccfa3999598, 0xa19a781013b9a7d2, 0x33a059a6f3e2038f, 0x1d53815d54e5e536,
  0xab7fbd55169b167a, 0x8f3612e65f36cb88, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x590cf4c2fc48f727, 0x83ccb0ecf8138cb3, 0xf817d3c95fb9a1de, 0x0000000002bb4334,
};

// m161_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u1x8_uart1_dual_ee_ce_hw[] = {
  0x6eeeeeb07a28d086, 0xbbbbbbab42fae37e, 0x382ca3f9f7ae17bb, 0x6dd6cfde4edd9c47, 0x53bbbb3754e90876,
  0x4f8c0482d95b5250, 0x7b26460aa4592730, 0x7185027c4df6b3c4, 0x9bff997612774fb9, 0xfb076178670e5a99,
  0x47244fe0d0fa6f51, 0x0a21895fe7ef8228, 0xdeef9b9cdf006e1f, 0xa10cb40e0a21955d, 0x36ffe80e784da6e2,
  0x982c2accc5ce5edd, 0x43fd98150fff9d5b, 0x5aaa3ea8ce1f013b, 0xdc4963cf1be18383, 0x8b2f097e21b09117,
  0xbe4cd51dc6e759fe, 0xfa8f2b91253b599e, 0x5613fd47c1b30698, 0x84e1b875f62d314c, 0xc4752135f4b632e3,
  0xedbda3278e7576e9, 0x90ec6abc6c75ec66, 0xdd9c071d8b4f9e46, 0xea8d8226470decbb, 0x3e8e6656659d12a0,
  0x404ee69f4934e7f3, 0x9bcf880e3e8669e0, 0x75539794d8ce8166, 0x545a6c59e8754e05, 0x32f9b65c18edfef5,
  0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x17e247b93f03f7ec, 0x67c09c659ac867a6,
  0x4afdcd0ef41e6587, 0x0003aeaf65a0be9e,
};

// m161_u1x12_uart0_noled_pr
static const uint64_t ur_m161_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0x6d49dddb7a32c7a4,
  0xe98cc13e30120b65, 0x219afd917fd596b3, 0xbe584f8b4ed176c2, 0x1d3f831f7ea3d7f3, 0x62c05965308bcf47,
  0xebd1f3b07146678e, 0xa9afc35403ff6608, 0x4e9450aca81e59ed, 0x479bd934746293cb, 0x08fea52f29bd73f1,
  0xaaa2d2a7d3d0ea9c, 0xe65f36d2ff156ff7, 0xa3f8d163ce1bb612, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xf257ee6877a0f32c, 0x00001f203cb8b2d4,
};

static const uint64_t ur_m161_u1x12_uart0_noled_pr_u4[] = {
  0x775dd6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0xdd3f7a36ec8a45dd,
  0xc13e30120b656d49, 0xbf645ffd5ab3e98c, 0x13e2d3b45db08866, 0xe0c7dfa8f5fcef96, 0x16594c22f3d1c74f,
  0x7cec1c5199e398b0, 0xf0d500ffd9823af4, 0x142b2a07967b6a6b, 0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6,
  0xb4a9f4f43aa7023f, 0xcdb4bfc55bfdeaa8, 0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04, 0x2729ac1014f257ee,
  0x000000000000001f,
};

// m161_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart0_noled_pr_ee[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xeda165294dbd3db6,
  0x180905b2b6a4eec4, 0xaffd5ab3e95a609f, 0xd3b45db08866bf54, 0x795ce3355ad1cdc2, 0x7dea3e0d9831f3d4,
  0x0dc3afb169bbe2b9, 0x6909afa5b1971c27, 0x9f39d5a5d315c6b2, 0xd743af3a6ecb3d18, 0xec5a682d1e33b1aa,
  0xfadc37b2d97ce038, 0x28017e1806546c11, 0xec9a3a3149e5a74a, 0x529794deb9f8a3cd, 0x6953e9e8754e047f,
  0x9b697f8ab7fbd551, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09, 0xaeb5a82029e4afdc, 0x0000000000000013,
};

static const uint64_t ur_m161_u1x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xeeeeaae20d4244b7, 0xa45327ebf588eeee, 0x7f166d6eee965244, 0x6a4eec2fdf1e480d,
  0x2fa609f180905b2b, 0x0cd7ec93fd596b3f, 0xfeab3c5a768bb611, 0x28bf9e3250383e58, 0x965d63399cebb8dc,
  0x9fc1eb17a8e82e7b, 0x8e62c0559e90e38e, 0x9e3af173b5128e1a, 0x9d28a0ebf0f71cb1, 0x8f37b268e8c52796,
  0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0x997cdb4bf98edfef, 0x8fe3458f386ed84b, 0x4c2d06fdd598f206,
  0xecb25138cb3590cf, 0xc95fb9a1de83ccb0, 0x000016eaa9c2cb53,
};

static const uint64_t ur_m161_u1x12_uart0_noled_pr_ce_u4[] = {
  0x775dd6874488af02, 0xbbaabce26a1c4b77, 0xb19423d3db27bbbb, 0x98f1fddddbf3838d, 0x93bb1c7717d8905f,
  0x69827c602416cada, 0x9afc1efff56acfc0, 0xeaf78b4ed176c221, 0xb1e78c953bea2aa3, 0x84bf10d8488bee24,
  0x6a8ee370c7ff4597, 0x51dafa7b96086b26, 0x8621e38e9fc19a4f, 0xb07146678e62c05b, 0x5403ff6678ebd1f3,
  0x2b2a0796b729afc3, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x93f03f7ec3343cc9,
  0x59ac867a617e247b, 0xef41e658767c09c6, 0x5c142029e4afdcd0, 0x000000000000375d,
};

static const uint64_t ur_m161_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbaeeb430f5a22582, 0x77557e1708225bbb, 0x0cd68313b4cf7777, 0x9eef17bb98b53a17, 0xd6a334e447ec8833,
  0x8c0482d95b52774e, 0x2ffd5ab3fd5f304f, 0xd3b45db08866bf47, 0x9de56aa8faa37262, 0x2445f71258f3c64a,
  0x30dfa2cbc25f886c, 0xd667bdf3354771b9, 0xc1c65ea3cac1494e, 0xa6298ae6ef51f06c, 0xc65c709c370ebec5,
  0xaedc988ea426be96, 0x79d37659e8c4f9ce, 0x82d1e33b1aaf1b1d, 0x7b2d97ce038ec5a6, 0xf0c032a3608991c3,
  0xd18a4f2d3a5142cf, 0xa6f5cfc51e6f64d1, 0x4f43aa7023fa94bc, 0xf31dbfdeaa8b4a9f, 0x7079b09732f9b697,
  0x07e50d1674f8b935, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73dffc1343, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x000013f20504053c,
};

static const uint64_t ur_m161_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x777557e171a712dd, 0xc19d9323fa697777, 0x49eef17bb006627e, 0x1edb1c421840f5d0,
  0x3e30120b656d49dd, 0xb75ffab567e394c1, 0xc5a768bb6110cd7e, 0x953b287551f546be, 0xd8488bee24b1e78c,
  0x7396bf459784bf10, 0x9daccf8ca66a8ee3, 0xd983117d4795fc92, 0x8b4c5315c43ea3e0, 0x2d8cb8e1386e1d7d,
  0x3abb76451d484d7d, 0xaf5d4dd843a30e27, 0xc82a35356355e363, 0x7b2e1cb380e3b169, 0x4e945318fe1991c3,
  0x479bd934746293cb, 0x08fea52f29bd73f1, 0xaaa2d2a7d3d0ea9c, 0xccbe6da5fcc76ff7, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985,
  0xbf7343bd079961d9, 0x0009f89a0080a792,
};

static const uint64_t ur_m161_u1x12_uart0_noled_ee_hw[] = {
  0xdd775a1d1468c056, 0xeeaaeb906a712ddd, 0x7d4375fa826eeeee, 0xb382f85eeeef7921, 0xeac1dd89ca6de9ed,
  0x09f180905b2b6a4e, 0xfaa57ff5933e95a6, 0x6e169da2ed844335, 0x9ea3cae719aad68e, 0x15cbef51f06cc18f,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0xe8c4f9cead2e98ae, 0x8d56ba1d79d37659, 0x01c762d34168f19d,
  0x608fd6e1bd96cbe7, 0x3a51400bf0c032a3, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70,
  0x997cdb4bfc55bfde, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6,
  0xb3e04e32cd6433d3, 0x257ee6877a0f32c3, 0x0000b7de8b205f4f,
};

// m161_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart0_noled_ee_ce_hw[] = {
  0x775dd687451a3705, 0xeeeaafc2e1044b77, 0x85c335a34c4eeeee, 0x0ce7bbc5eee62d4e, 0x3bb61b77ed11fb22,
  0x9827c602416cada9, 0xafd1cbffac99feaf, 0xdc98b4ed176c2219, 0x1be183995aaa3ea8, 0x21b09117dc4963cf,
  0xc6e7ebfe8b2f097e, 0x253b599ef7ccd51d, 0xc1b307197a8f2b05, 0xfb1698a62b9bbd47, 0xfa5b1971c270dc3a,
  0xe73abb72623a909a, 0x6c75e74dd967a313, 0x169a0b478cec6abc, 0x470decb65f380e3b, 0x0b3fc300ca8d8226,
  0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0xda5fcc76ff7aaa2d, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89, 0x343bd079961d9f02,
  0x01741282fa792bf7, 0x0000000000000005,
};

// m161_u1x12_uart0_lednop_pr
static const uint64_t ur_m161_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0x6d49dd2e3a36de9d,
  0xf924c13e30120b65, 0x10cd7e7bffd596b3, 0xdf2c27c5a768bb61, 0x8e9fc18fbf51d679, 0x62c0596530df27a3,
  0xebd1f3b3da46690e, 0xccf29a5403ff6608, 0xa74a28ac140f2cf6, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x3458f386ed84b997, 0xd06fdd598f2068fe, 0x25138cb3590cf4c2,
  0xfb9a1de83ccb0ecb, 0x007c86362cb53c95,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0xee8d3da8669684d9,
  0x609f180905b2b6a4, 0xafcf7ffead59fc92, 0x84f8b4ed176c2219, 0xf831f7ea3acf3be5, 0x0b2ca61be4f471d3,
  0x3e767b48cd21cc58, 0x534a807fecc11d7a, 0x45158281e59ed99e, 0x47462981013cb4e9, 0x29b19d038a3cf893,
  0xb3d0ea9c0aeaa72f, 0x5c455bfdeaa8b4d8, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0x3f03f7ec3343cc9f, 0x9ac867a617e247b9, 0xf41e658767c09c65, 0x2f82029e4afdcd0e,
  0x000000000003e4e6,
};

// m161_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart0_lednop_pr_ee[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x62742069cb46145c,
  0x7c602416cada93bb, 0xe4fff56acfc87982, 0x0b4ed176c2219afc, 0x51e567acd56b4737, 0x7a57a8f83660c7cf,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x310e73ab4be48b8d, 0xaad743af3a6edd02, 0x71d8b4c4fa3905b1,
  0x23f5b86f65b2f9c0, 0x945002535f86a8d8, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0x65c455bfdeaa8b4d, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6, 0x99682029e4afdcd0, 0x00000000000013ae,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55c41b9bc4b7, 0x89de0fab6b11dddd, 0x35fc5ecfdddd2ca4, 0xada93bb0bf7c7920,
  0x7fba9827c602416c, 0x2219afc7affab2d6, 0xb1fd5678b4ed176c, 0x70a2fe78c940e645, 0xee59758ce673aee3,
  0x3a7f07ac5ea389f9, 0x62398b01567a0b8e, 0x8cf1d78b9db19a3d, 0x5a74a283a965b8e5, 0x96e9a3a314c0809e,
  0x54e5e53633a07147, 0x05d5cc6085a6f55d, 0x09732f9b69e8754e, 0x40d1fc68b1e70ddb, 0x19e985a0dfbab31e,
  0x961d964a271966b2, 0x6a792bf7343bd079, 0x00000002dd553859,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e8911fc3b, 0x775579c4c2f896ee, 0x8dbad30ad2437777, 0x3fd2eeeedf9c1ea1, 0x3bb70761986ec776,
  0x9827c602416cada9, 0xd7e7f3ff56acf945, 0x57bc5a768bb6110c, 0x8f3c64a9df75551f, 0x25f886c2445f7125,
  0xaa3b8dcff9fa2cbc, 0x51f9e9ee5821ac99, 0xf782e38e9fc19a4f, 0xd9ed23348731602e, 0x2a01ffb33c75e8f9,
  0x158281e5adc6794d, 0x462981013cb4e945, 0xb19d038a3cf89347, 0xd0ea9c0aeaa72f29, 0x31dbfdeaa8b4d8b3,
  0xe0f3612e65f36cb8, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0x84053c95fb9a1de8, 0x000000000dd7390f,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x775dd6861eb44511, 0xddd55f85da2c4b77, 0x50b36392eac1dddd, 0x73dde2f77316a610, 0xbedc9d1abe99a53f,
  0xf180905b2b6a4eea, 0x3affd5ab3e16a609, 0x2d3b45db08866bf1, 0xa9ddbaaa8faa3726, 0xc2445f71258f3c64,
  0x19bffa2cbc25f886, 0xdaccf7be66a8ee37, 0x9838cbd4795a0129, 0xb4c5315ce3ea3e0d, 0xd8cb8e1386e1d7d8,
  0xd5dbb241d484d7d2, 0xd79d376e81188739, 0xc4fa3905b1aaf1b1, 0x6f65b2f9c071d8b4, 0xa9afc3546c113238,
  0x4c0809e5a74a2859, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x9b09732f9b65c18e,
  0x50d1674f8b935707, 0x1539fa9d598f207e, 0xfe2e7197e627f286, 0x6fc73dffc1343cc9, 0x138cb3590cf4c2d0,
  0xb9a1de83ccb0ecf8, 0x004fc3204053c95f,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x777557e1737712dd, 0xa56c9023fa697777, 0xc339eef17bb00663, 0xba3db638843081eb,
  0x827c602416cada93, 0xf757ffead59fe9f9, 0xf62d3b45db08866b, 0x64a9d94baa8faa35, 0x86c2445f71258f3c,
  0x1b9cb5fa2cbc25f8, 0x94ed667c65335477, 0x06cc188bea3cae6e, 0xec5a6298ad31f51f, 0xe96c65c709c370eb,
  0x39d5dbb228ea426b, 0x3af5d4dd9af91bda, 0x4cd22333d6355e36, 0x1bd970e59c071d8b, 0x2d3a514c632c8c8e,
  0xcb74d1d18a60404f, 0xaa72f29b19d038a3, 0x02eae63042d37aae, 0x84b997cdb4f43aa7, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d,
  0xf257ee6877a0f32c, 0x0000013f13401014,
};

static const uint64_t ur_m161_u1x12_uart0_lednop_ee_hw[] = {
  0xeebbad0e8a342f02, 0x775575c8593896ee, 0xa9c2f19a56f77777, 0x71382f85eeeef791, 0x3bb1c776c4ad1851,
  0x9827c602416cada9, 0xd7e727ffd64cfc87, 0x39b85a768bb6110c, 0x3e7a8f2b3d66ab5a, 0xbe2bd2bd47c1b306,
  0x71c270dc3afb169b, 0x5c6b26909afa5b19, 0xe81188739d5a5f24, 0x2d8d56ba1d79d376, 0xce038ec5a627d1c8,
  0x46c11fadc37b2d97, 0x5a74a280129afc35, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575,
  0x7cdb2e22adfef554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619,
  0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3, 0x00b7febf085f4f25,
};

// m161_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbbaeeb43a28d0044, 0xeeeaafc2ed1625bb, 0x1050b363792eeeee, 0x3f73dde2f77316a6, 0x9dd415ba73be99a5,
  0x4c13e30120b656d4, 0x6bf13affeb267c2d, 0x37262d3b45db0886, 0xc6f860e5baaa8faa, 0x886c2445f71258f3,
  0x71b9787fa2cbc25f, 0x094ed667bdf33547, 0xf06cc1c65ea3cad0, 0xbec5a6298ae71f51, 0xbe96c65c709c370e,
  0x39ceaedd920ea426, 0x8d8ebce9bb7408c4, 0xc5a627d1c82d8d57, 0x91c37b2d97ce038e, 0x42cd4d7e1aa36089,
  0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c, 0x6e3cd84b997cdb2e,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32,
  0x11785f4f257ee687, 0x000000000001405c,
};

// m161_u1x12_uart0_dual_pr
static const uint64_t ur_m161_u1x12_uart0_dual[] = {
  0xbbbac1f83ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0x83b87b6a0a087939,
  0x27c602416cada924, 0x8f64c8c15486bb98, 0x2e30a04f89bed678, 0xe4ff32b8f5cee9f7, 0x8efe6c17d9c0a2cc,
  0x508e489fc199537a, 0x3e144312bfcfdf04, 0xaeef77cdc95c00dc, 0x68a8432d08c910ca, 0xf6f38ffd01cf09ad,
  0x844cc16156662e72, 0x2ed844335f9efffd, 0x759e77cb09f169da, 0xc9e8e3a7f063efd4, 0x9a4398b016594c37,
  0xb1823af47cecf691, 0xd1cccaccaca2771c, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x12e65f36cb88ab7f, 0x68b1e71726ae0f36, 0x6837eeacc7903f28, 0x7c09c659ac867a61,
  0xafdcd0ef41e65876, 0x0000621a702029e4,
};

static const uint64_t ur_m161_u1x12_uart0_dual_pr_u4[] = {
  0x77583f07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdbbaabf4eb6cd86e,
  0x4f8c0482d95b524a, 0x1ec99182a91faf30, 0x5c61409f137dacf1, 0x8e1fe655bb9dd3ee, 0xa3feed8256383a59,
  0x2847244fe0e034de, 0x1f0a21895fe7ef82, 0x5777bbe6e456006e, 0x9454219682628865, 0xf6e13ffe80e784d1,
  0x96fcc16156662e72, 0x176c2219afcbe7f8, 0x1ee19df2dcf0b4ed, 0xfb5a38e9fc1bdaf5, 0x682ce62c05d6299e,
  0xb30475e0353b57f4, 0xcb3db1f744aa01ff, 0xe67d1cccacc71f03, 0x5302027969d28a4f, 0x3a071479f1268e8c,
  0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xf3612e65f36cb88a, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0x6b219e985f891ee4, 0xd079961d9f027196, 0xaf9d16792bf7343b,
  0x000000000014931e,
};

// m161_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart0_dual_pr_ee[] = {
  0xeeb07e0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0x5ef42d2c962fd76a,
  0x0905b2b6a4c1b777, 0x8c154836ee609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xd858f9c3fe4c1a3f,
  0x13f83eaf9bd47e9f, 0x6257f9fbe08a11c9, 0xf373f5c01b87c288, 0x9682564432abbbdd, 0xfd01cf0997dc5421,
  0xc2accc5ce5edf7df, 0x66bf1c3ff12df982, 0xd1e942d3b45db088, 0x7f27a8f2bdbf355a, 0xbbe2beebd47c1b30,
  0x971c270dc3afb169, 0x57027e6909afa5b1, 0xdbda3278e756979c, 0x876355ae875ec66e, 0xece038ec5a7cf234,
  0xa8d823f5b86f65de, 0xe8e6656601512a0e, 0x1013cb4e94527f33, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0,
  0xdeaa8b4d8b3d0ea9, 0x09732f9b65c455bf, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0xe8b3c95fb9a1de83, 0x000000002b26493c,
};

// m161_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m161_u1x12_uart0_dual_pr_ce[] = {
  0xdd60fc1e890ddb75, 0x7775605e932fcddd, 0x21ec52b7aef77777, 0x72015bbba2451dce, 0x5dd7d7dad2e2cb52,
  0x7c602416cada93c9, 0xec99182a90a91982, 0xc61409f137dacf11, 0x4ffe655bb9dd3ee5, 0xce0ec3abce143f37,
  0x239227f07b3a6f51, 0x8510c4aff3f7c114, 0x77bbe6e56f80370f, 0xa8432d080c886557, 0xca1ffd01cf098ca8,
  0xf982c2accc5ce5ed, 0xb08866bf7eeff12d, 0xfaa8faaf82d3b45d, 0xee24b1e7942e0e18, 0x459784bf10d8488b,
  0x27e66a8ee37136ff, 0xa0bf51fa09ee5820, 0xb0147ce9238e9fc1, 0x80d4ed5fd1a0b398, 0xdd12a807feccf1d7,
  0xccacc71f03cb5b87, 0x7969d28a4fe67d1c, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815,
  0xcbe6d97063b7fbd5, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d, 0xf257ee6877a0f32c, 0x00001a48996b3a2c,
};

static const uint64_t ur_m161_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbac1f83f6090cf68, 0xddd5ac7ecddf9bbb, 0x44fdfbdb41dddddd, 0x9a5d89ddd9410fbb, 0xf733667587c84373,
  0x05b2b6a48f677347, 0x15485d16609f1809, 0xf89bed6788f64c8c, 0xaddcee9f72e30a04, 0x968e0cdf992a3f32,
  0xc1e374dea3de1ec3, 0xbfcfdf04508e489f, 0x152200dc3e144312, 0xeaf4432abbbddf37, 0x39e134568a8432d0,
  0x3317397b79dbffa0, 0xba7ffc4b7e60b0ab, 0x3169da2ed844335f, 0x170706b5547d519c, 0x6c2445f71258f3ca,
  0xb9cb5fa2cbc25f88, 0x4ed667af93354771, 0x6cc1a63ea3cae449, 0x8b4c531584ff51f0, 0x2d8cb8e1386e1d7d,
  0x9d5dba711d484d7d, 0x1d7b19bb6f68c9e3, 0xd3e791a43b1aaf1b, 0xc37b2ef76701c762, 0x6744a83aa3608991,
  0x5149fccfa3999599, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36,
  0xbc6e3cd84b997cdb, 0xd599bf83bb8d165a, 0xf8138d2861539fa9, 0xc2d06fc07cd0f327, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x000040027d7ce8b3,
};

static const uint64_t ur_m161_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdddd60fc1e890c86, 0xeeeeead63e8befcd, 0x2b4abcb16d77eeee, 0x00d69a5d89dd3adb, 0xa777766da0a9d059,
  0x9f180905b2b6a480, 0xf64c8c1548ee3e60, 0xe30a04f89bed6788, 0x96bf32addcee9f72, 0xf1bb61d8270bc39b,
  0x47244fe0daee6f51, 0x0a21895fe7ef8228, 0xef77cdc24a006e1f, 0x50865a11c910caae, 0xd35ff4073c26df71,
  0xe60b0ab3317397b7, 0xc2219afc16bfc4b7, 0xa3ea8d2b0b4ed176, 0x92c79e50b838a7aa, 0x5e12fc4361222fb8,
  0x99aa3b8dc67cfd16, 0x1e5738ca76b33d31, 0x24f51f06cc1e45f5, 0xc370ebec5a6298af, 0xea426be96c65c709,
  0x791b5f1ceaedcf78, 0x6355e363af29a76e, 0x701c762d3d623349, 0x18ba66470decb726, 0x28a4fe67d1cccacf,
  0x3ce8c5302027969d, 0x06a6c4a7ef9d038a, 0x38107663042d3923, 0x6c25ccbe6da7a1d5, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0xb3a2cf257ee6877a, 0x0000000000100102,
};

static const uint64_t ur_m161_u1x12_uart0_dual_ee_hw[] = {
  0xbac1f83d14685c93, 0xeeeaca6d9f5f9bbb, 0x6931b168ebeeeeee, 0xe2e3647772733308, 0x19cddabdd8bf5dab,
  0x0120b656d49836ee, 0x9182a906ddcc13e3, 0x409f137dacf11ec9, 0xe65d849dd3ee5c61, 0xfb0b1f387fc98347,
  0x227f07d5f37a8fd3, 0x0c4aff3f7c114239, 0xbe6e7eb80370f851, 0x32d04ac88655777b, 0xffa039e132fb8a84,
  0x5855998b9cbdbefb, 0x866bf1c3ff3ab730, 0xad1e942d3b45db08, 0x07f27a8f2bdbf355, 0x9bbe2beebd47c1b3,
  0x1971c270dc3afb16, 0xc57027e6909afa5b, 0xedbda3278e756979, 0x4876355ae875ec66, 0xeece038ec5a7cf23,
  0xea8d823f5b86f65d, 0x3e8e6656601512a0, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d,
  0xfdeaa8b4d8b3d0ea, 0xb09732f9b65c455b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x67a617e247b93f03, 0x658767c09c659ac8, 0xbe9e4afdcd0ef41e, 0x00000015da867970,
};

// m161_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart0_dual_ee_ce_hw[] = {
  0x7583f07a28d15aa4, 0xbbab58fd9bbf3777, 0x89fbf7b683bbbbbb, 0x34bb13bbb2821f76, 0xda6ef3170f9086e7,
  0x120b656d491eceea, 0x182a90ba2cc13e30, 0x09f137dacf11ec99, 0x65d849dd3ee5c614, 0x872d1c19bf32547e,
  0x3f83c6e9bd47bc3d, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xa1d5e88655777bbe, 0x4073c268ad150865,
  0x56662e72f6f3b7ff, 0x5fba7ffceadcc161, 0x9c3169da2ed84433, 0x37c30706b5547d51, 0x4361222fb892c79e,
  0x8dceb3fd165e12fc, 0x4a76b33d7c99aa3b, 0x83660d31f51e5722, 0xec5a6298ac27fa8f, 0xe96c65c709c370eb,
  0x1ceaedd388ea426b, 0xd8ebd8cddb7b464f, 0x169f3c8d21d8d578, 0x8e1bd977bb380e3b, 0xcb3a2541d51b044c,
  0xd28a4fe67d1cccac, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e, 0xd97063b7fbd55169,
  0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89,
  0x343bd079961d9f02, 0x755a41c2fa792bf7, 0x000000000000001d,
};

// m161_u1x12_uart1_noled_pr
static const uint64_t ur_m161_u1x12_uart1_noled[] = {
  0x775ddb687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0x6d49dddb7a32c7a4,
  0xe98cc13e30120b65, 0x6699b7917fd596b3, 0x613fc04ed0ff6088, 0xfe0c7dfa8f5fcef9, 0x016594c22f3d1c74,
  0x47cec1c5199e398b, 0xbf0d500ffd9823af, 0x4d32b2a07967b6a6, 0x038fa19a73b9a7d2, 0x5e537ae7b34de6f6,
  0x4fa7a1d53811fd4a, 0xa5fe2adfef5545a5, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2, 0x9c659ac867a61683,
  0xd0ef41e658765928, 0x40797165a9e4afdc, 0x000000000000003e,
};

static const uint64_t ur_m161_u1x12_uart1_noled_pr_u4[] = {
  0x75ddb6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0xdd3f7a36ec8a45dd,
  0xc13e30120b656d49, 0x6de45ffd5ab3e98c, 0xf013b43fd82219a6, 0x1f7ea3d7f3be584f, 0x65308bcf471d3f83,
  0xb07146678e62c059, 0x5403ff6608ebd1f3, 0xaca81e59eda9afc3, 0xe8669cee69f4934c, 0xdeb9ecd379bd80e3,
  0xe8754e047f529794, 0x8ab7fbd5516953e9, 0x079b09732f9b697f, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0x867a617e247b93f0, 0xe658767c09c659ac, 0x2029e4afdcd0ef41,
  0x000000003e4e5358,
};

// m161_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart1_noled_pr_ee[] = {
  0xebbb6d0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xeda165294dbd3db6,
  0x180905b2b6a4eec4, 0xaffd5ab3e95a609f, 0xb43fd82219a66dd4, 0x738cd56b47377013, 0xa8f83660c7cf51e5,
  0x0ebec5a6ef8ae5f7, 0x26be96c65c709c37, 0xe756974c571ac9a4, 0x0ebce9bb2cf4627c, 0x69a0b478cec6ab5d,
  0x70decb65f380e3b1, 0x05f8601951b047eb, 0xd0cd39dcd3e92698, 0xbd73d9a6f37b01c7, 0xd0ea9c08fea52f29,
  0x156ff7aaa2d2a7d3, 0x0f3612e65f36d2ff, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0x4053c95fb9a1de83, 0x00000000275d6b50,
};

static const uint64_t ur_m161_u1x12_uart1_noled_pr_ce[] = {
  0x775ddb687acdfc4f, 0xeeeeaae20d4244b7, 0xa45327ebf588eeee, 0x7f166d6eee965244, 0x6a4eec2fdf1e480d,
  0x2fa609f180905b2b, 0x34cdbc93fd596b3f, 0xacfe027687fb0443, 0xfe78c940e0f963fa, 0x758ce673aee370a2,
  0x07ac5ea3a0b9ee59, 0x8b01567a438e3a7f, 0xebc5ced44a386a39, 0x9a63afc3dc72c678, 0x071f4334e7734fa4,
  0xbca6f5cf669bcdec, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b,
  0x71966b219e985a0d, 0x43bd079961d964a2, 0xd5538596a792bf73, 0x000000000000002d,
};

static const uint64_t ur_m161_u1x12_uart1_noled_pr_ce_u4[] = {
  0x75ddb6874488af02, 0xbbaabce26a1c4b77, 0xb19423d3db27bbbb, 0x98f1fddddbf3838d, 0x93bb1c7717d8905f,
  0x69827c602416cada, 0x99b61efff56acfc0, 0xdfc04ed0ff608866, 0x9e3254efa8aa8fab, 0xfc4361222fb892c7,
  0x3b8dc31ffd165e12, 0x6be9ee5821ac99aa, 0x878e3a7f06693d47, 0xc5199e398b016e18, 0x0ffd99e3af47cec1,
  0xa81e5adca6bf0d50, 0x669cee69f4934cac, 0xb9ecd379bd80e3e8, 0x754e047f529794de, 0xb7fbd5516953e9e8,
  0x3612e65f36d2fe63, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0x53c95fb9a1de83cc, 0x0000006ebab82840,
};

static const uint64_t ur_m161_u1x12_uart1_noled_pr_ee_ce[] = {
  0xaeedb430f5a22582, 0x77557e1708225bbb, 0x0cd68313b4cf7777, 0x9eef17bb98b53a17, 0xd6a334e447ec8833,
  0x8c0482d95b52774e, 0x2ffd5ab3fd5f304f, 0xb43fd82219a66dc7, 0x95aaa3ea8dc9f013, 0x17dc4963cf192a77,
  0x7e8b2f097e21b091, 0x9ef7ccd51dc6e4c3, 0x197a8f2b05253b59, 0xa62b9bbd47c1b307, 0x71c270dc3afb1698,
  0x72623a909afa5b19, 0x4dd967a313e73abb, 0x478cec6abc6c75e7, 0xb65f380e3b169a0b, 0x00ca8d8226470dec,
  0xcee69f4934cb3fc3, 0xcd379bd80e3e8669, 0xe047f529794deb9e, 0xbd5516953e9e8754, 0x2e65f36d2fe63b7f,
  0x2ce9f1726ae0f361, 0x3f53ab31e40fca1a, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x966b219e985a0df8,
  0x3bd079961d9f0271, 0xe40a080a792bf734, 0x0000000000000027,
};

static const uint64_t ur_m161_u1x12_uart1_noled_pr_ee_ce_u4[] = {
  0xdd776da1d1222a20, 0x777557e171a712dd, 0xc19d9323fa697777, 0x49eef17bb006627e, 0x1edb1c421840f5d0,
  0x3e30120b656d49dd, 0xb75ffab567e394c1, 0x27687fb044334cdb, 0xeca1d547d51afbe0, 0x222fb892c79e3254,
  0x5afd165e12fc4361, 0xb33e3299aa3b8dce, 0x0c45f51e57f24a76, 0x314c5710fa8f8366, 0x32e384e1b875f62d,
  0xedd914752135f4b6, 0x7537610e8c389cea, 0xa8d4d58d578d8ebd, 0xb872ce038ec5a720, 0x4d3c63f866470dec,
  0x038fa19a73b9a7d2, 0x5e537ae7b34de6f6, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5, 0x9ab83cd84b997cdb,
  0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc,
  0x7a0f32c3b3e04e32, 0x3401014f257ee687, 0x00000000000013f1,
};

static const uint64_t ur_m161_u1x12_uart1_noled_ee_hw[] = {
  0xd776da1d1468c056, 0xeeaaeb906a712ddd, 0x7d4375fa826eeeee, 0xb382f85eeeef7921, 0xeac1dd89ca6de9ed,
  0x09f180905b2b6a4e, 0x6ea57ff5933e95a6, 0x809da1fec110cd33, 0x8f2b9c66ab5a39bb, 0x2fbd47c1b3063e7a,
  0xe1b875f62d377c57, 0x4d2135f4b632e384, 0x13e73ab4ba62b8d6, 0x5ae875e74dd967a3, 0x1d8b4d05a3c67635,
  0x3f5b86f65b2f9c07, 0x34c02fc300ca8d82, 0x0e3e8669cee69f49, 0x794deb9ecd379bd8, 0x3e9e8754e047f529,
  0x97f8ab7fbd551695, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc,
  0x659ac867a617e247, 0x0ef41e658767c09c, 0xbd1640be9e4afdcd, 0x000000000000016f,
};

// m161_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart1_noled_ee_ce_hw[] = {
  0x75ddb687451a3705, 0xeeeaafc2e1044b77, 0x85c335a34c4eeeee, 0x0ce7bbc5eee62d4e, 0x3bb61b77ed11fb22,
  0x9827c602416cada9, 0x9b71cbffac99feaf, 0x7c04ed0ff6088669, 0x860e656aa8faa372, 0xc2445f71258f3c6f,
  0x9faffa2cbc25f886, 0xed667bdf3354771b, 0xcc1c65ea3cac1494, 0x5a6298ae6ef51f06, 0x6c65c709c370ebec,
  0xeaedc988ea426be9, 0xd79d37659e8c4f9c, 0x682d1e33b1aaf1b1, 0x37b2d97ce038ec5a, 0xff0c032a3608991c,
  0x19a73b9a7d24d32c, 0xae7b34de6f6038fa, 0x1d53811fd4a5e537, 0xedfef5545a54fa7a, 0xcd84b997cdb4bf98,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6,
  0x05f4f257ee6877a0, 0x000000000a02e825,
};

// m161_u1x12_uart1_lednop_pr
static const uint64_t ur_m161_u1x12_uart1_lednop[] = {
  0xddd776da1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0x6d49dd2e3a36de9d,
  0xf924c13e30120b65, 0x334cdb7bffd596b3, 0xb09fe027687fb044, 0x7f063efd4759e77c, 0x016594c37c9e8e3a,
  0x47cecf6919a4398b, 0xca69500ffd9823af, 0x269ab0503cb3db33, 0xd0cd3c0809dcd3e9, 0x19d02cd379f101c7,
  0x0ea9c0aeaa72f29b, 0x55bfdeaa8b4d8b3d, 0x0ddb09732f9b65c4, 0xb31e40d1fc68b1e7, 0x66b219e985a0dfba,
  0xd079961d964a2719, 0x6c596a792bf7343b, 0x000000000000f90c,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_pr_u4[] = {
  0xebbb6d0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0xee8d3da8669684d9,
  0x609f180905b2b6a4, 0x9b6f7ffead59fc92, 0xfc04ed0ff6088669, 0xc7dfa8eb3cef9613, 0xb2986f93d1c74fe0,
  0xd9ed23348731602c, 0x2a01ffb30475e8f9, 0x560a07967b66794d, 0xa781013b9a7d24d3, 0x059a6f3e2038fa19,
  0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0x612e65f36cb88ab7, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0x4c2fc48f727e07ef, 0x0ecf8138cb3590cf, 0x3c95fb9a1de83ccb,
  0x000007c9cc5f0405,
};

// m161_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart1_lednop_pr_ee[] = {
  0x75ddb6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x62742069cb46145c,
  0x7c602416cada93bb, 0xe4fff56acfc87982, 0x4ed0ff60886699b6, 0x959eb355ad1cddc0, 0x5ea3e0d9831f3d47,
  0x6e1d7d8b4ddf15e9, 0x484d7d2d8cb8e138, 0x39cead2f922e3593, 0x5d0ebce9bb7408c4, 0x62d313e8e416c6ab,
  0xd6e1bd96cbe701c7, 0x30094d7e1aa3608f, 0x9a781013b9a7d24d, 0xa059a6f3e2038fa1, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x3612e65f36cb88ab, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0x53c95fb9a1de83cc, 0x000000275d32d040,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_pr_ce[] = {
  0x775ddb687acdfc4f, 0xdddd55c41b9bc4b7, 0x89de0fab6b11dddd, 0x35fc5ecfdddd2ca4, 0xada93bb0bf7c7920,
  0x7fba9827c602416c, 0x86699b67affab2d6, 0xf559fc04ed0ff608, 0x8bf9e325039916c7, 0x65d63399cebb8dc2,
  0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0x92698ea596e39633, 0x7d0cd3c0809dcd3e,
  0x6c6740b34de5b81c, 0xc10b4deabaa9cbca, 0x36d3d0ea9c0bab98, 0xd163ce1bb612e65f, 0x41bf75663c81a3f8,
  0x944e32cd6433d30b, 0xee6877a0f32c3b2c, 0x05baaa70b2d4f257,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_pr_ce_u4[] = {
  0xebbb6d0e8911fc3b, 0x775579c4c2f896ee, 0x8dbad30ad2437777, 0x3fd2eeeedf9c1ea1, 0x3bb70761986ec776,
  0x9827c602416cada9, 0xcdb7f3ff56acf945, 0xfe027687fb044334, 0xf192a77dd5547d5e, 0xe21b09117dc4963c,
  0xee373fe7e8b2f097, 0xe7a7b96086b266a8, 0x0b8e3a7f06693d47, 0xb48cd21cc580bbde, 0x07feccf1d7a3e767,
  0x0a0796b719e534a8, 0x81013b9a7d24d356, 0x9a6f3e2038fa19a7, 0x15d54e5e53633a05, 0xd55169b167a1d538,
  0x5ccbe6d97063b7fb, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x5f891ee4fc0fdfb0, 0x9f0271966b219e98, 0x2bf7343bd079961d, 0x001bae721f080a79,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x75ddb6861eb44511, 0xddd55f85da2c4b77, 0x50b36392eac1dddd, 0x73dde2f77316a610, 0xbedc9d1abe99a53f,
  0xf180905b2b6a4eea, 0x3affd5ab3e16a609, 0x3b43fd82219a66d9, 0x76eaaa3ea8dc9f01, 0x117dc4963cf192a7,
  0xffe8b2f097e21b09, 0x33def99aa3b8dc66, 0xe32f51e56804a76b, 0x14c5738fa8f83660, 0x2e384e1b875f62d3,
  0x6ec90752135f4b63, 0x74ddba04621ce757, 0xe8e416c6abc6c75e, 0x96cbe701c762d313, 0xbf0d51b044c8e1bd,
  0x09dcd3e9269966a6, 0x79f101c7d0cd3c08, 0xaa72f29b19d02cd3, 0x8b4d8b3d0ea9c0ae, 0x5f36cb831dbfdeaa,
  0x9f1726ae0f3612e6, 0x3ab31e40fca1a2ce, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0xb219e985a0df8e7b,
  0x079961d9f0271966, 0x4080a792bf7343bd, 0x0000000000009f86,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xdd776da1d1222a20, 0x777557e1737712dd, 0xa56c9023fa697777, 0xc339eef17bb00663, 0xba3db638843081eb,
  0x827c602416cada93, 0xdf57ffead59fe9f9, 0x013b43fd82219a66, 0xa7652eaa3ea8d7df, 0x09117dc4963cf192,
  0x72d7e8b2f097e21b, 0xb599f194cd51dc6e, 0x30622fa8f2b9ba53, 0x698a62b4c7d47c1b, 0xb1971c270dc3afb1,
  0x576ec8a3a909afa5, 0xd753766be46f68e7, 0x488ccf58d578d8eb, 0x65c396701c762d33, 0x4934f18cb232386f,
  0x3e8669e0404ee69f, 0x3633a059a6f2dc0e, 0x6085a6f55d54e5e5, 0x9b69e8754e05d5cc, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24,
  0xd0ef41e658767c09, 0x7e26802029e4afdc, 0x0000000000000002,
};

static const uint64_t ur_m161_u1x12_uart1_lednop_ee_hw[] = {
  0xebbb6d0e8a342f02, 0x775575c8593896ee, 0xa9c2f19a56f77777, 0x71382f85eeeef791, 0x3bb1c776c4ad1851,
  0x9827c602416cada9, 0xcdb727ffd64cfc87, 0xee027687fb044334, 0xea3cacf59aad68e6, 0xaf4af51f06cc18f9,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x4621ce75697c9171, 0x355ae875e74ddba0, 0x0e3b16989f4720b6,
  0x047eb70decb65f38, 0x9269804a6bf0d51b, 0x7d0cd3c0809dcd3e, 0xb19d02cd379f101c, 0xd0ea9c0aeaa72f29,
  0x455bfdeaa8b4d8b3, 0xdc79b09732f9b65c, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0x3f03f7ec3343cc9f,
  0x9ac867a617e247b9, 0xf41e658767c09c65, 0x7e10be9e4afdcd0e, 0x0000000000016ffd,
};

// m161_u1x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xbaeedb43a28d0044, 0xeeeaafc2ed1625bb, 0x1050b363792eeeee, 0x3f73dde2f77316a6, 0x9dd415ba73be99a5,
  0x4c13e30120b656d4, 0x66d93affeb267c2d, 0x9f013b43fd82219a, 0xe18396eaaa3ea8dc, 0xb09117dc4963cf1b,
  0xe5e1fe8b2f097e21, 0x3b599ef7ccd51dc6, 0xb307197a8f2b4025, 0x1698a62b9c7d47c1, 0x5b1971c270dc3afb,
  0x3abb76483a909afa, 0x3af3a6edd02310e7, 0x989f4720b6355e36, 0x0decb65f380e3b16, 0x3535f86a8d822647,
  0xe0404ee69f4934cb, 0x669bcf880e3e8669, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x9732f9b65c18edfe,
  0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7, 0x8767c09c659ac867,
  0x9e4afdcd0ef41e65, 0x00000280b822f0be,
};

// m161_u1x12_uart1_dual_pr
static const uint64_t ur_m161_u1x12_uart1_dual[] = {
  0xbbac1f783ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0x83b87b6a0a087939,
  0x27c602416cada924, 0x8f64c8c15486bb98, 0x2e30a04f89bed678, 0xe4ff32b8f5cee9f7, 0x8efe6c17d9c0a2cc,
  0x508e489fc199537a, 0x3e144312bfcfdf04, 0xaeef77cdc95c00dc, 0x68a8432d08c910ca, 0xf6f38ffd01cf09ad,
  0x844cc16156662e72, 0xec110cd336defffd, 0x79df2c27f809da1f, 0xa38e9fc18fbf51d6, 0x0e62c0596530df27,
  0x08ebd1f3b3da4669, 0x332b32b289dc72c6, 0x734fa49a73f99f47, 0xc4071f4334f02027, 0xcbca6c6740b34de7,
  0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0x2e4d5c1e6c25ccbe, 0x598f207e50d163ce, 0xb3590cf4c2d06fdd,
  0xde83ccb0ecf8138c, 0x34e04053c95fb9a1, 0x00000000000000c4,
};

static const uint64_t ur_m161_u1x12_uart1_dual_pr_u4[] = {
  0x7583ef07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdbbaabf4eb6cd86e,
  0x4f8c0482d95b524a, 0x1ec99182a91faf30, 0x5c61409f137dacf1, 0x8e1fe655bb9dd3ee, 0xa3feed8256383a59,
  0x2847244fe0e034de, 0x1f0a21895fe7ef82, 0x5777bbe6e456006e, 0x9454219682628865, 0xf6e13ffe80e784d1,
  0x96fcc16156662e72, 0xf60886699b6be7f8, 0x8677cb73dc04ed0f, 0x68e3a7f06f6bd47b, 0xb398b01758a67bed,
  0x11d780d4ed5fd1a0, 0xf6c7dd12a807fecc, 0xf47332b31c7c0f2c, 0x027734fa49a73f99, 0xde7c4071f4334f02,
  0xaa9cbca6c6740b34, 0xa2d362cf43aa702b, 0xcbe6d971156ff7aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d, 0xf257ee6877a0f32c,
  0x000029263d5f3a2c,
};

// m161_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m161_u1x12_uart1_dual_pr_ee[] = {
  0xeb07de0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0x5ef42d2c962fd76a,
  0x0905b2b6a4c1b777, 0x8c154836ee609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xd858f9c3fe4c1a3f,
  0x13f83eaf9bd47e9f, 0x6257f9fbe08a11c9, 0xf373f5c01b87c288, 0x9682564432abbbdd, 0xfd01cf0997dc5421,
  0xc2accc5ce5edf7df, 0xa66d9c3ff12df982, 0xa57013b43fd82219, 0x9ea3caf6fcd56b47, 0x8afbaf51f06cc1fc,
  0x709c370ebec5a6ef, 0x09f9a426be96c65c, 0x68c9e39d5a5e715c, 0x8d56ba1d7b19bb6f, 0x80e3b169f3c8d21d,
  0x608fd6e1bd977bb3, 0x9995980544a83aa3, 0xb9a7d24d39fccfa3, 0xe2038fa19a781013, 0xe5e53633a059a6f3,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9, 0x00564c9279d16792,
};

// m161_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m161_u1x12_uart1_dual_pr_ce[] = {
  0xd60fbc1e890ddb75, 0x7775605e932fcddd, 0x21ec52b7aef77777, 0x72015bbba2451dce, 0x5dd7d7dad2e2cb52,
  0x7c602416cada93c9, 0xec99182a90a91982, 0xc61409f137dacf11, 0x4ffe655bb9dd3ee5, 0xce0ec3abce143f37,
  0x239227f07b3a6f51, 0x8510c4aff3f7c114, 0x77bbe6e56f80370f, 0xa8432d080c886557, 0xca1ffd01cf098ca8,
  0xf982c2accc5ce5ed, 0x2219a66dfeeff12d, 0xa3eabe7013b43fd8, 0x92c79e50b83863ea, 0x5e12fc4361222fb8,
  0x99aa3b8dc4dbfd16, 0xfd47e827b960809f, 0x51f3a48e3a7f0682, 0x53b57f4682ce62c0, 0x4aa01ffb33c75e03,
  0xb31c7c0f2d6e1f74, 0xfa49a73f99f47332, 0x71f4334f02027734, 0xa6c6740b34de7c40, 0xcf43aa702baa9cbc,
  0xe0c76ff7aaa2d362, 0x86e3cd84b997cdb2, 0xab337f07771a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09, 0x9132d67459e4afdc, 0x0000000000000034,
};

static const uint64_t ur_m161_u1x12_uart1_dual_pr_ee_ce[] = {
  0xac1f783f6090cf68, 0xddd5ac7ecddf9bbb, 0x44fdfbdb41dddddd, 0x9a5d89ddd9410fbb, 0xf733667587c84373,
  0x05b2b6a48f677347, 0x15485d16609f1809, 0xf89bed6788f64c8c, 0xaddcee9f72e30a04, 0x968e0cdf992a3f32,
  0xc1e374dea3de1ec3, 0xbfcfdf04508e489f, 0x152200dc3e144312, 0xeaf4432abbbddf37, 0x39e134568a8432d0,
  0x3317397b79dbffa0, 0xfa7ffc4b7e60b0ab, 0x09da1fec110cd336, 0x1c1ad551f54670f8, 0x9117dc4963cf285c,
  0x2d7e8b2f097e21b0, 0x599ebe4cd51dc6e7, 0x0698fa8f2b91253b, 0x314c5613fd47c1b3, 0x32e384e1b875f62d,
  0x76e9c4752135f4b6, 0xec66edbda3278e75, 0x9e4690ec6abc6c75, 0xecbbdd9c071d8b4f, 0x12a0ea8d8226470d,
  0xe7f33e8e6656659d, 0x69e0404ee69f4934, 0x81669bcf880e3e86, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0xb09732f9b65c18ed, 0x07771a2cb578dc79, 0x50c2a73f53ab337f, 0x80f9a1e64ff0271a, 0x1966b219e985a0df,
  0x43bd079961d9f027, 0x04faf9d16792bf73, 0x0000000000000080,
};

static const uint64_t ur_m161_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xddd60fbc1e890c86, 0xeeeeead63e8befcd, 0x2b4abcb16d77eeee, 0x00d69a5d89dd3adb, 0xa777766da0a9d059,
  0x9f180905b2b6a480, 0xf64c8c1548ee3e60, 0xe30a04f89bed6788, 0x96bf32addcee9f72, 0xf1bb61d8270bc39b,
  0x47244fe0daee6f51, 0x0a21895fe7ef8228, 0xef77cdc24a006e1f, 0x50865a11c910caae, 0xd35ff4073c26df71,
  0xe60b0ab3317397b7, 0x886699b616bfc4b7, 0xaa34adc04ed0ff60, 0x1e7942e0e29eaa8f, 0x4bf10d8488bee24b,
  0xa8ee3719f3f45978, 0x5ce329daccf4c666, 0xd47c1b307917d479, 0xc3afb1698a62bc93, 0x09afa5b1971c270d,
  0x6d7c73abb73de3a9, 0x578d8ebca69db9e4, 0x71d8b4f588cd258d, 0xe9991c37b2dc99c0, 0x73f99f47332b3c62,
  0x34f02027734fa49a, 0x29fbe740b34de743, 0x98c10b4e48c1a9b1, 0x2f9b69e8754e041d, 0x3458df0dc79b0973,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0xc2fc48f727e07efd, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x0000040040ace8b3,
};

static const uint64_t ur_m161_u1x12_uart1_dual_ee_hw[] = {
  0xac1f783d14685c93, 0xeeeaca6d9f5f9bbb, 0x6931b168ebeeeeee, 0xe2e3647772733308, 0x19cddabdd8bf5dab,
  0x0120b656d49836ee, 0x9182a906ddcc13e3, 0x409f137dacf11ec9, 0xe65d849dd3ee5c61, 0xfb0b1f387fc98347,
  0x227f07d5f37a8fd3, 0x0c4aff3f7c114239, 0xbe6e7eb80370f851, 0x32d04ac88655777b, 0xffa039e132fb8a84,
  0x5855998b9cbdbefb, 0x9a66d9c3ff3ab730, 0x7a57013b43fd8221, 0xc9ea3caf6fcd56b4, 0xf8afbaf51f06cc1f,
  0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xf68c9e39d5a5e715, 0xd8d56ba1d7b19bb6, 0x380e3b169f3c8d21,
  0x3608fd6e1bd977bb, 0x39995980544a83aa, 0x3b9a7d24d39fccfa, 0x3e2038fa19a78101, 0x4e5e53633a059a6f,
  0x69b167a1d53815d5, 0xf36cb88ab7fbd551, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf, 0x2bb50cf2e17d3c95,
};

// m161_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u1x12_uart1_dual_ee_ce_hw[] = {
  0x583ef07a28d15aa4, 0xbbab58fd9bbf3777, 0x89fbf7b683bbbbbb, 0x34bb13bbb2821f76, 0xda6ef3170f9086e7,
  0x120b656d491eceea, 0x182a90ba2cc13e30, 0x09f137dacf11ec99, 0x65d849dd3ee5c614, 0x872d1c19bf32547e,
  0x3f83c6e9bd47bc3d, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xa1d5e88655777bbe, 0x4073c268ad150865,
  0x56662e72f6f3b7ff, 0x36fa7ffceadcc161, 0xf809da1fec110cd3, 0x0c1c1ad551f54670, 0x8488bee24b1e78df,
  0x3acff459784bf10d, 0xdaccf5f266a8ee37, 0x9834c7d4795c8929, 0x698a62b09fea3e0d, 0xb1971c270dc3afb1,
  0xabb74e23a909afa5, 0xaf63376ded193c73, 0x7cf234876355e363, 0x6f65deece038ec5a, 0xe89507546c113238,
  0xa73f99f47332b32c, 0x334f02027734fa49, 0x740b34de7c4071f4, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43,
  0xcd84b997cdb2e0c7, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0x433d30bf123dc9f8,
  0xf32c3b3e04e32cd6, 0x85f4f257ee6877a0, 0x000000003aeab483,
};

// m161_u2x8_uart0_noled_pr
static const uint64_t ur_m161_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0x656d49dddb7a32c7,
  0xb3e98cc13e30120b, 0x4d76f559917fd596, 0xbe584f8b4ed09382, 0x1d3f831f7ea3d7f3, 0x62c05965308bcf47,
  0xebd1f3b07146678e, 0xa9afc35403ff6608, 0x4e9450aca81e59ed, 0x479bd934746293cb, 0x08fea52f29bd73f1,
  0xaaa2d2a7d3d0ea9c, 0xe65f36d2ff156ff7, 0xa3f8d163ce1bb612, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xf257ee6877a0f32c, 0x00001f203cb8b2d4,
};

static const uint64_t ur_m161_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0x49dd3f7a36ec8a45,
  0x8cc13e30120b656d, 0xbd56645ffd5ab3e9, 0x13e2d3b424e0935d, 0xe0c7dfa8f5fcef96, 0x16594c22f3d1c74f,
  0x7cec1c5199e398b0, 0xf0d500ffd9823af4, 0x142b2a07967b6a6b, 0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6,
  0xb4a9f4f43aa7023f, 0xcdb4bfc55bfdeaa8, 0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04, 0x2729ac1014f257ee,
  0x000000000000001f,
};

// m161_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0xc4eda165294dbd3d,
  0x9f180905b2b6a4ee, 0x54affd5ab3e95a60, 0xd3b424e0935dbd56, 0x795ce3355ad1cdc2, 0x7dea3e0d9831f3d4,
  0x0dc3afb169bbe2b9, 0x6909afa5b1971c27, 0x9f39d5a5d315c6b2, 0xd743af3a6ecb3d18, 0xec5a682d1e33b1aa,
  0xfadc37b2d97ce038, 0x28017e1806546c11, 0xec9a3a3149e5a74a, 0x529794deb9f8a3cd, 0x6953e9e8754e047f,
  0x9b697f8ab7fbd551, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09, 0xaeb5a82029e4afdc, 0x0000000000000013,
};

static const uint64_t ur_m161_u2x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaae20d4244, 0x44a45327ebf588ee, 0x0d7f166d6eee9652, 0x2b6a4eec2fdf1e48,
  0x3f2fa609f180905b, 0x6bb7aacc93fd596b, 0xfeab3c5a76849c12, 0x28bf9e3250383e58, 0x965d63399cebb8dc,
  0x9fc1eb17a8e82e7b, 0x8e62c0559e90e38e, 0x9e3af173b5128e1a, 0x9d28a0ebf0f71cb1, 0x8f37b268e8c52796,
  0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0x997cdb4bf98edfef, 0x8fe3458f386ed84b, 0x4c2d06fdd598f206,
  0xecb25138cb3590cf, 0xc95fb9a1de83ccb0, 0x000016eaa9c2cb53,
};

static const uint64_t ur_m161_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd4488af02, 0xbbbbaabce26a1c4b, 0x8db19423d3db27bb, 0x5f98f1fddddbf383, 0xda93bb1c7717d890,
  0xc069827c602416ca, 0x76f5581efff56acf, 0xeaf78b4ed093824d, 0xb1e78c953bea2aa3, 0x84bf10d8488bee24,
  0x6a8ee370c7ff4597, 0x51dafa7b96086b26, 0x8621e38e9fc19a4f, 0xb07146678e62c05b, 0x5403ff6678ebd1f3,
  0x2b2a0796b729afc3, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x93f03f7ec3343cc9,
  0x59ac867a617e247b, 0xef41e658767c09c6, 0x5c142029e4afdcd0, 0x000000000000375d,
};

static const uint64_t ur_m161_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22582, 0x7777557e1708225b, 0x170cd68313b4cf77, 0x339eef17bb98b53a, 0x4ed6a334e447ec88,
  0x4f8c0482d95b5277, 0x472ffd5ab3fd5f30, 0xd3b424e0935dbd56, 0x9de56aa8faa37262, 0x2445f71258f3c64a,
  0x30dfa2cbc25f886c, 0xd667bdf3354771b9, 0xc1c65ea3cac1494e, 0xa6298ae6ef51f06c, 0xc65c709c370ebec5,
  0xaedc988ea426be96, 0x79d37659e8c4f9ce, 0x82d1e33b1aaf1b1d, 0x7b2d97ce038ec5a6, 0xf0c032a3608991c3,
  0xd18a4f2d3a5142cf, 0xa6f5cfc51e6f64d1, 0x4f43aa7023fa94bc, 0xf31dbfdeaa8b4a9f, 0x7079b09732f9b697,
  0x07e50d1674f8b935, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73dffc1343, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x000013f20504053c,
};

static const uint64_t ur_m161_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e171a712, 0x7ec19d9323fa6977, 0xd049eef17bb00662, 0xdd1edb1c421840f5,
  0xc13e30120b656d49, 0xacb75ffab567e394, 0xc5a76849c126bb7a, 0x953b287551f546be, 0xd8488bee24b1e78c,
  0x7396bf459784bf10, 0x9daccf8ca66a8ee3, 0xd983117d4795fc92, 0x8b4c5315c43ea3e0, 0x2d8cb8e1386e1d7d,
  0x3abb76451d484d7d, 0xaf5d4dd843a30e27, 0xc82a35356355e363, 0x7b2e1cb380e3b169, 0x4e945318fe1991c3,
  0x479bd934746293cb, 0x08fea52f29bd73f1, 0xaaa2d2a7d3d0ea9c, 0xccbe6da5fcc76ff7, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf891ee4fc0fdfb0c, 0xf0271966b219e985,
  0xbf7343bd079961d9, 0x0009f89a0080a792,
};

static const uint64_t ur_m161_u2x8_uart0_noled_ee_hw[] = {
  0xddddd7751468c056, 0xeeeeaaeb906a712d, 0x217d4375fa826eee, 0xedb382f85eeeef79, 0x4eeac1dd89ca6de9,
  0xa609f180905b2b6a, 0xeab2a57ff5933e95, 0x6e169da127049aed, 0x9ea3cae719aad68e, 0x15cbef51f06cc18f,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0xe8c4f9cead2e98ae, 0x8d56ba1d79d37659, 0x01c762d34168f19d,
  0x608fd6e1bd96cbe7, 0x3a51400bf0c032a3, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70,
  0x997cdb4bfc55bfde, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6,
  0xb3e04e32cd6433d3, 0x257ee6877a0f32c3, 0x0000b7de8b205f4f,
};

// m161_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd451a3705, 0xeeeeeaafc2e1044b, 0x4e85c335a34c4eee, 0x220ce7bbc5eee62d, 0xa93bb61b77ed11fb,
  0xaf9827c602416cad, 0x6f5591cbffac99fe, 0xdc98b4ed093824d7, 0x1be183995aaa3ea8, 0x21b09117dc4963cf,
  0xc6e7ebfe8b2f097e, 0x253b599ef7ccd51d, 0xc1b307197a8f2b05, 0xfb1698a62b9bbd47, 0xfa5b1971c270dc3a,
  0xe73abb72623a909a, 0x6c75e74dd967a313, 0x169a0b478cec6abc, 0x470decb65f380e3b, 0x0b3fc300ca8d8226,
  0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea, 0xda5fcc76ff7aaa2d, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89, 0x343bd079961d9f02,
  0x01741282fa792bf7, 0x0000000000000005,
};

// m161_u2x8_uart0_lednop_pr
static const uint64_t ur_m161_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0x9d09b3d4cdddd220, 0x656d49dd2e3a36de,
  0xb3f924c13e30120b, 0x26bb7aac7bffd596, 0xdf2c27c5a76849c1, 0x8e9fc18fbf51d679, 0x62c0596530df27a3,
  0xebd1f3b3da46690e, 0xccf29a5403ff6608, 0xa74a28ac140f2cf6, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x3458f386ed84b997, 0xd06fdd598f2068fe, 0x25138cb3590cf4c2,
  0xfb9a1de83ccb0ecb, 0x007c86362cb53c95,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0xa4ee8d3da8669684,
  0x92609f180905b2b6, 0x6f558f7ffead59fc, 0x84f8b4ed093824d7, 0xf831f7ea3acf3be5, 0x0b2ca61be4f471d3,
  0x3e767b48cd21cc58, 0x534a807fecc11d7a, 0x45158281e59ed99e, 0x47462981013cb4e9, 0x29b19d038a3cf893,
  0xb3d0ea9c0aeaa72f, 0x5c455bfdeaa8b4d8, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0x3f03f7ec3343cc9f, 0x9ac867a617e247b9, 0xf41e658767c09c65, 0x2f82029e4afdcd0e,
  0x000000000003e4e6,
};

// m161_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xbb62742069cb4614,
  0x827c602416cada93, 0x58e4fff56acfc879, 0x0b4ed093824d76f5, 0x51e567acd56b4737, 0x7a57a8f83660c7cf,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x310e73ab4be48b8d, 0xaad743af3a6edd02, 0x71d8b4c4fa3905b1,
  0x23f5b86f65b2f9c0, 0x945002535f86a8d8, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0x65c455bfdeaa8b4d, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6, 0x99682029e4afdcd0, 0x00000000000013ae,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_pr_ce[] = {
  0xb777775ddacdfc4f, 0xdddddd55c41b9bc4, 0xa489de0fab6b11dd, 0x2035fc5ecfdddd2c, 0x6cada93bb0bf7c79,
  0xd67fba9827c60241, 0x24d76f5587affab2, 0xb1fd5678b4ed0938, 0x70a2fe78c940e645, 0xee59758ce673aee3,
  0x3a7f07ac5ea389f9, 0x62398b01567a0b8e, 0x8cf1d78b9db19a3d, 0x5a74a283a965b8e5, 0x96e9a3a314c0809e,
  0x54e5e53633a07147, 0x05d5cc6085a6f55d, 0x09732f9b69e8754e, 0x40d1fc68b1e70ddb, 0x19e985a0dfbab31e,
  0x961d964a271966b2, 0x6a792bf7343bd079, 0x00000002dd553859,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba8911fc3b, 0x77775579c4c2f896, 0xa18dbad30ad24377, 0x763fd2eeeedf9c1e, 0xa93bb70761986ec7,
  0x459827c602416cad, 0xb7aac7f3ff56acf9, 0x57bc5a76849c126b, 0x8f3c64a9df75551f, 0x25f886c2445f7125,
  0xaa3b8dcff9fa2cbc, 0x51f9e9ee5821ac99, 0xf782e38e9fc19a4f, 0xd9ed23348731602e, 0x2a01ffb33c75e8f9,
  0x158281e5adc6794d, 0x462981013cb4e945, 0xb19d038a3cf89347, 0xd0ea9c0aeaa72f29, 0x31dbfdeaa8b4d8b3,
  0xe0f3612e65f36cb8, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0x84053c95fb9a1de8, 0x000000000dd7390f,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dc1eb44511, 0xddddd55f85da2c4b, 0x1050b36392eac1dd, 0x3f73dde2f77316a6, 0xeabedc9d1abe99a5,
  0x09f180905b2b6a4e, 0x613affd5ab3e16a6, 0x2d3b424e0935dbd5, 0xa9ddbaaa8faa3726, 0xc2445f71258f3c64,
  0x19bffa2cbc25f886, 0xdaccf7be66a8ee37, 0x9838cbd4795a0129, 0xb4c5315ce3ea3e0d, 0xd8cb8e1386e1d7d8,
  0xd5dbb241d484d7d2, 0xd79d376e81188739, 0xc4fa3905b1aaf1b1, 0x6f65b2f9c071d8b4, 0xa9afc3546c113238,
  0x4c0809e5a74a2859, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x9b09732f9b65c18e,
  0x50d1674f8b935707, 0x1539fa9d598f207e, 0xfe2e7197e627f286, 0x6fc73dffc1343cc9, 0x138cb3590cf4c2d0,
  0xb9a1de83ccb0ecf8, 0x004fc3204053c95f,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e1737712, 0x63a56c9023fa6977, 0xebc339eef17bb006, 0x93ba3db638843081,
  0xf9827c602416cada, 0xd56757ffead59fe9, 0xf62d3b424e0935db, 0x64a9d94baa8faa35, 0x86c2445f71258f3c,
  0x1b9cb5fa2cbc25f8, 0x94ed667c65335477, 0x06cc188bea3cae6e, 0xec5a6298ad31f51f, 0xe96c65c709c370eb,
  0x39d5dbb228ea426b, 0x3af5d4dd9af91bda, 0x4cd22333d6355e36, 0x1bd970e59c071d8b, 0x2d3a514c632c8c8e,
  0xcb74d1d18a60404f, 0xaa72f29b19d038a3, 0x02eae63042d37aae, 0x84b997cdb4f43aa7, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d,
  0xf257ee6877a0f32c, 0x0000013f13401014,
};

static const uint64_t ur_m161_u2x8_uart0_lednop_ee_hw[] = {
  0xeeeeebba8a342f02, 0x77775575c8593896, 0x91a9c2f19a56f777, 0x5171382f85eeeef7, 0xa93bb1c776c4ad18,
  0x879827c602416cad, 0xb7aac727ffd64cfc, 0x39b85a76849c126b, 0x3e7a8f2b3d66ab5a, 0xbe2bd2bd47c1b306,
  0x71c270dc3afb169b, 0x5c6b26909afa5b19, 0xe81188739d5a5f24, 0x2d8d56ba1d79d376, 0xce038ec5a627d1c8,
  0x46c11fadc37b2d97, 0x5a74a280129afc35, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575,
  0x7cdb2e22adfef554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619,
  0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3, 0x00b7febf085f4f25,
};

// m161_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbbaeea28d0044, 0xeeeeeaafc2ed1625, 0xa61050b363792eee, 0xa53f73dde2f77316, 0xd49dd415ba73be99,
  0x2d4c13e30120b656, 0xdbd5613affeb267c, 0x37262d3b424e0935, 0xc6f860e5baaa8faa, 0x886c2445f71258f3,
  0x71b9787fa2cbc25f, 0x094ed667bdf33547, 0xf06cc1c65ea3cad0, 0xbec5a6298ae71f51, 0xbe96c65c709c370e,
  0x39ceaedd920ea426, 0x8d8ebce9bb7408c4, 0xc5a627d1c82d8d57, 0x91c37b2d97ce038e, 0x42cd4d7e1aa36089,
  0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c, 0x6e3cd84b997cdb2e,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32,
  0x11785f4f257ee687, 0x000000000001405c,
};

// m161_u2x8_uart0_dual_pr
static const uint64_t ur_m161_u2x8_uart0_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x490770f6d41410f2,
  0x304f8c0482d95b52, 0xf11ec99182a90d77, 0xee5c61409f137dac, 0x99c9fe6571eb9dd3, 0xf51dfcd82fb38145,
  0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x955ddeef9b92b801, 0x5ad150865a119221, 0xe5ede71ffa039e13,
  0xfb089982c2accc5c, 0x24e0935dbd563dff, 0xeb3cef9613e2d3b4, 0x93d1c74fe0c7dfa8, 0x348731602cb2986f,
  0x630475e8f9d9ed23, 0xa39995995944ee39, 0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x25ccbe6d971156ff, 0xd163ce2e4d5c1e6c, 0xd06fdd598f207e50, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x0000c434e04053c9,
};

static const uint64_t ur_m161_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0x95b77557e9d6d9b0,
  0x609f180905b2b6a4, 0xe23d932305523f5e, 0xdcb8c2813e26fb59, 0xb31c3fccab773ba7, 0xbd47fddb04ac7074,
  0x04508e489fc1c069, 0xdc3e144312bfcfdf, 0xcaaeef77cdc8ac00, 0xa328a8432d04c510, 0xe5edc27ffd01cf09,
  0xf12df982c2accc5c, 0x127049aedeab17cf, 0x3dc33be5b9e169da, 0xf6b471d3f837b5ea, 0xd059cc580bac533d,
  0x6608ebc06a76afe8, 0x967b63ee895403ff, 0xccfa3999598e3e07, 0xa60404f2d3a5149f, 0x740e28f3e24d1d18,
  0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xe6c25ccbe6d97115, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0xd6433d30bf123dc9, 0xa0f32c3b3e04e32c, 0x5f3a2cf257ee6877,
  0x000000000029263d,
};

// m161_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xeebde85a592c5fae,
  0x30120b656d49836e, 0x99182a906ddcc13e, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x3fb0b1f387fc9834,
  0x9227f07d5f37a8fd, 0x10c4aff3f7c11423, 0xbbe6e7eb80370f85, 0x432d04ac88655777, 0xbffa039e132fb8a8,
  0x05855998b9cbdbef, 0xbb7aac387fe25bf3, 0xa3d285a76849c126, 0xfe4f51e57b7e6ab5, 0x77c57dd7a8f83660,
  0x2e384e1b875f62d3, 0xae04fcd2135f4b63, 0xb7b464f1cead2f38, 0x0ec6ab5d0ebd8cdd, 0xd9c071d8b4f9e469,
  0x51b047eb70decbbd, 0xd1cccacc02a2541d, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x12e65f36cb88ab7f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2, 0xd16792bf7343bd07, 0x00000000564c9279,
};

// m161_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m161_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbac1e890ddb75, 0xeeeeeac0bd265f9b, 0x9c43d8a56f5deeee, 0xa4e402b777448a3b, 0x92bbafafb5a5c596,
  0x04f8c0482d95b527, 0x23d9323055215233, 0xcb8c2813e26fb59e, 0x6e9ffccab773ba7d, 0xa39c1d87579c287e,
  0x2847244fe0f674de, 0x1f0a21895fe7ef82, 0xaeef77cdcadf006e, 0x5150865a101910ca, 0xdb943ffa039e1319,
  0x5bf305855998b9cb, 0xc126bb7aacfddfe2, 0xf551f55f05a76849, 0xdc4963cf285c1c31, 0x8b2f097e21b09117,
  0x4fccd51dc6e26dfe, 0x417ea3f413dcb040, 0x6028f9d2471d3f83, 0x01a9dabfa3416731, 0xba25500ffd99e3af,
  0x99598e3e0796b70f, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404, 0xaa9cbca6c6740e28, 0xa2d362cf43aa702b,
  0x97cdb2e0c76ff7aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x617e247b93f03f7e, 0x767c09c659ac867a, 0xe4afdcd0ef41e658, 0x0000349132d67459,
};

static const uint64_t ur_m161_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777583f6090cf68, 0xbbbbab58fd9bbf37, 0x7689fbf7b683bbbb, 0xe734bb13bbb2821f, 0x8fee66cceb0f9086,
  0x120b656d491ecee6, 0x182a90ba2cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0x872d1c19bf32547e,
  0x3f83c6e9bd47bc3d, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xa1d5e88655777bbe, 0x4073c268ad150865,
  0x56662e72f6f3b7ff, 0x5674fff896fcc161, 0x62d3b424e0935dbd, 0x2e0e0d6aa8faa338, 0xd8488bee24b1e794,
  0x7396bf459784bf10, 0x9daccf5f266a8ee3, 0xd9834c7d4795c892, 0x1698a62b09fea3e0, 0x5b1971c270dc3afb,
  0x3abb74e23a909afa, 0x3af63376ded193c7, 0xa7cf234876355e36, 0x86f65deece038ec5, 0xce89507546c11323,
  0xa293f99f47332b32, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397, 0x5c18edfef5545a6c,
  0x78dc79b09732f9b6, 0xab337f07771a2cb5, 0xf0271a50c2a73f53, 0x85a0df80f9a1e64f, 0xd9f0271966b219e9,
  0x92bf7343bd079961, 0x00008004faf9d167,
};

static const uint64_t ur_m161_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5ac7d17df, 0xb656957962daefdd, 0xb201ad34bb13ba75, 0x014eeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x372d7e655bb9dd3e, 0xa3e376c3b04e1787,
  0x508e489fc1b5dcde, 0x3e144312bfcfdf04, 0x5ddeef9b849400dc, 0xe2a10cb423922195, 0x6fa6bfe80e784dbe,
  0x6fcc16156662e72f, 0x049aedeab02d7f89, 0x47d51a56169da127, 0x258f3ca170714f55, 0xbc25f886c2445f71,
  0x3354771b8cf9fa2c, 0x3cae7194ed667a63, 0x49ea3e0d983c8bea, 0x86e1d7d8b4c5315e, 0xd484d7d2d8cb8e13,
  0xf236be39d5db9ef1, 0xc6abc6c75e534edc, 0xe038ec5a7ac46692, 0x3174cc8e1bd96e4c, 0x5149fccfa399959e,
  0x79d18a60404f2d3a, 0x0d4d894fdf3a0714, 0x7020ecc6085a7246, 0xd84b997cdb4f43aa, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0xc867a617e247b93f, 0x1e658767c09c659a,
  0x67459e4afdcd0ef4, 0x0000000000200205,
};

static const uint64_t ur_m161_u2x8_uart0_dual_ee_hw[] = {
  0x7777583d14685c93, 0xddddd594db3ebf37, 0x10d26362d1d7dddd, 0x57c5c6c8eee4e666, 0xdc339bb57bb17ebb,
  0xc602416cada9306d, 0x932305520dbb9827, 0xc2813e26fb59e23d, 0x8fccbb093ba7dcb8, 0xa7f6163e70ff9306,
  0x7244fe0fabe6f51f, 0xa21895fe7ef82284, 0xf77cdcfd7006e1f0, 0x0865a095910caaee, 0xf7ff4073c265f715,
  0x60b0ab3317397b7d, 0x6bb7aac387fe756e, 0x5a3d285a76849c12, 0x0fe4f51e57b7e6ab, 0x377c57dd7a8f8366,
  0x32e384e1b875f62d, 0x8ae04fcd2135f4b6, 0xdb7b464f1cead2f3, 0x90ec6ab5d0ebd8cd, 0xdd9c071d8b4f9e46,
  0xd51b047eb70decbb, 0x7d1cccacc02a2541, 0x02027969d28a4fe6, 0x071479f1268e8c53, 0x3815d54e5e53633a,
  0xfbd55169b167a1d5, 0x612e65f36cb88ab7, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x7d3c95fb9a1de83c, 0x0000002bb50cf2e1,
};

// m161_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeb07a28d15aa4, 0x777756b1fb377e6e, 0xed13f7ef6d077777, 0xce6976277765043e, 0xd5b4dde62e1f210d,
  0x602416cada923d9d, 0x323055217459827c, 0x2813e26fb59e23d9, 0xfccbb093ba7dcb8c, 0x7b0e5a38337e64a8,
  0x227f078dd37a8f78, 0x0c4aff3f7c114239, 0x7cdc54880370f851, 0xcb43abd10caaeef7, 0xfe80e784d15a2a10,
  0xc2accc5ce5ede76f, 0xbd5674fff9d5b982, 0x3862d3b424e0935d, 0x6f860e0d6aa8faa3, 0x86c2445f71258f3c,
  0x1b9d67fa2cbc25f8, 0x94ed667af9335477, 0x06cc1a63ea3cae44, 0xd8b4c531584ff51f, 0xd2d8cb8e1386e1d7,
  0x39d5dba711d484d7, 0xb1d7b19bb6f68c9e, 0x2d3e791a43b1aaf1, 0x1c37b2ef76701c76, 0x96744a83aa360899,
  0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2, 0x62cf43aa702baa9c, 0xb2e0c76ff7aaa2d3,
  0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12,
  0x6877a0f32c3b3e04, 0xeab48385f4f257ee, 0x000000000000003a,
};

// m161_u2x8_uart1_noled_pr
static const uint64_t ur_m161_u2x8_uart1_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0x656d49dddb7a32c7,
  0xb3e98cc13e30120b, 0x33fdb559917fd596, 0x9613fc04ed161709, 0x4fe0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0x24d32b2a07967b6a, 0x6038fa19a73b9a7d, 0xa5e537ae7b34de6f,
  0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0x2c79c376c25ccbe6, 0x37eeacc790347f1a, 0x89c659ac867a6168,
  0xcd0ef41e65876592, 0xe40797165a9e4afd, 0x0000000000000003,
};

static const uint64_t ur_m161_u2x8_uart1_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0x49dd3f7a36ec8a45,
  0x8cc13e30120b656d, 0x6d56645ffd5ab3e9, 0xff013b4585c24cff, 0x31f7ea3d7f3be584, 0x965308bcf471d3f8,
  0x3b07146678e62c05, 0x35403ff6608ebd1f, 0xcaca81e59eda9afc, 0x3e8669cee69f4934, 0x4deb9ecd379bd80e,
  0x9e8754e047f52979, 0xf8ab7fbd5516953e, 0x7079b09732f9b697, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0xc867a617e247b93f, 0x1e658767c09c659a, 0x82029e4afdcd0ef4,
  0x0000000003e4e535,
};

// m161_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart1_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0xc4eda165294dbd3d,
  0x9f180905b2b6a4ee, 0x54affd5ab3e95a60, 0x3b4585c24cff6d56, 0x5738cd56b4737701, 0x7a8f83660c7cf51e,
  0x70ebec5a6ef8ae5f, 0x426be96c65c709c3, 0xce756974c571ac9a, 0xd0ebce9bb2cf4627, 0x169a0b478cec6ab5,
  0xb70decb65f380e3b, 0x805f8601951b047e, 0x7d0cd39dcd3e9269, 0x9bd73d9a6f37b01c, 0x3d0ea9c08fea52f2,
  0xf156ff7aaa2d2a7d, 0xe0f3612e65f36d2f, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0x04053c95fb9a1de8, 0x000000000275d6b5,
};

static const uint64_t ur_m161_u2x8_uart1_noled_pr_ce[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaae20d4244, 0x44a45327ebf588ee, 0x0d7f166d6eee9652, 0x2b6a4eec2fdf1e48,
  0x3f2fa609f180905b, 0x9fedaacc93fd596b, 0xaacfe02768b0b849, 0x2fe78c940e0f963f, 0x9758ce673aee370a,
  0xf07ac5ea3a0b9ee5, 0x98b01567a438e3a7, 0x8ebc5ced44a386a3, 0x49a63afc3dc72c67, 0xc071f4334e7734fa,
  0x4bca6f5cf669bcde, 0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4, 0xb1e70ddb09732f9b, 0xdfbab31e40d1fc68,
  0x271966b219e985a0, 0x343bd079961d964a, 0xdd5538596a792bf7, 0x0000000000000002,
};

static const uint64_t ur_m161_u2x8_uart1_noled_pr_ce_u4[] = {
  0x777775dd4488af02, 0xbbbbaabce26a1c4b, 0x8db19423d3db27bb, 0x5f98f1fddddbf383, 0xda93bb1c7717d890,
  0xc069827c602416ca, 0xfdb5581efff56acf, 0xbdfc04ed16170933, 0x79e3254efa8aa8fa, 0x2fc4361222fb892c,
  0xa3b8dc31ffd165e1, 0x76be9ee5821ac99a, 0x8878e3a7f06693d4, 0x1c5199e398b016e1, 0x00ffd99e3af47cec,
  0xca81e5adca6bf0d5, 0x8669cee69f4934ca, 0xeb9ecd379bd80e3e, 0x8754e047f529794d, 0x3b7fbd5516953e9e,
  0xf3612e65f36d2fe6, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x053c95fb9a1de83c, 0x00000006ebab8284,
};

static const uint64_t ur_m161_u2x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22582, 0x7777557e1708225b, 0x170cd68313b4cf77, 0x339eef17bb98b53a, 0x4ed6a334e447ec88,
  0x4f8c0482d95b5277, 0x472ffd5ab3fd5f30, 0x3b4585c24cff6d56, 0x795aaa3ea8dc9f01, 0x117dc4963cf192a7,
  0x37e8b2f097e21b09, 0x99ef7ccd51dc6e4c, 0x7197a8f2b05253b5, 0x8a62b9bbd47c1b30, 0x971c270dc3afb169,
  0xb72623a909afa5b1, 0x74dd967a313e73ab, 0xb478cec6abc6c75e, 0xcb65f380e3b169a0, 0x300ca8d8226470de,
  0x9cee69f4934cb3fc, 0xecd379bd80e3e866, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7,
  0xa2ce9f1726ae0f36, 0x73f53ab31e40fca1, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x1966b219e985a0df,
  0x43bd079961d9f027, 0x7e40a080a792bf73, 0x0000000000000002,
};

static const uint64_t ur_m161_u2x8_uart1_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e171a712, 0x7ec19d9323fa6977, 0xd049eef17bb00662, 0xdd1edb1c421840f5,
  0xc13e30120b656d49, 0xacb75ffab567e394, 0x02768b0b8499feda, 0x4eca1d547d51afbe, 0x1222fb892c79e325,
  0xe5afd165e12fc436, 0x6b33e3299aa3b8dc, 0x60c45f51e57f24a7, 0xd314c5710fa8f836, 0x632e384e1b875f62,
  0xaedd914752135f4b, 0xd7537610e8c389ce, 0x0a8d4d58d578d8eb, 0xcb872ce038ec5a72, 0x24d3c63f866470de,
  0x6038fa19a73b9a7d, 0xa5e537ae7b34de6f, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a, 0xc9ab83cd84b997cd,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64, 0x2cd6433d30bf123d,
  0x77a0f32c3b3e04e3, 0x13401014f257ee68, 0x000000000000013f,
};

static const uint64_t ur_m161_u2x8_uart1_noled_ee_hw[] = {
  0xddddd7751468c056, 0xeeeeaaeb906a712d, 0x217d4375fa826eee, 0xedb382f85eeeef79, 0x4eeac1dd89ca6de9,
  0xa609f180905b2b6a, 0x6ab2a57ff5933e95, 0xb809da2c2e1267fb, 0xa8f2b9c66ab5a39b, 0x72fbd47c1b3063e7,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x313e73ab4ba62b8d, 0x55ae875e74dd967a, 0x71d8b4d05a3c6763,
  0x23f5b86f65b2f9c0, 0x934c02fc300ca8d8, 0x80e3e8669cee69f4, 0x9794deb9ecd379bd, 0x53e9e8754e047f52,
  0x697f8ab7fbd55169, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c,
  0xc659ac867a617e24, 0xd0ef41e658767c09, 0xfbd1640be9e4afdc, 0x0000000000000016,
};

// m161_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart1_noled_ee_ce_hw[] = {
  0x777775dd451a3705, 0xeeeeeaafc2e1044b, 0x4e85c335a34c4eee, 0x220ce7bbc5eee62d, 0xa93bb61b77ed11fb,
  0xaf9827c602416cad, 0xdb5591cbffac99fe, 0x27c04ed16170933f, 0xf860e656aa8faa37, 0x6c2445f71258f3c6,
  0xb9faffa2cbc25f88, 0x4ed667bdf3354771, 0x6cc1c65ea3cac149, 0xc5a6298ae6ef51f0, 0x96c65c709c370ebe,
  0xceaedc988ea426be, 0x1d79d37659e8c4f9, 0xa682d1e33b1aaf1b, 0xc37b2d97ce038ec5, 0xcff0c032a3608991,
  0xa19a73b9a7d24d32, 0x7ae7b34de6f6038f, 0xa1d53811fd4a5e53, 0x8edfef5545a54fa7, 0x3cd84b997cdb4bf9,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0x505f4f257ee6877a, 0x0000000000a02e82,
};

// m161_u2x8_uart1_lednop_pr
static const uint64_t ur_m161_u2x8_uart1_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0x9d09b3d4cdddd220, 0x656d49dd2e3a36de,
  0xb3f924c13e30120b, 0x99fedaac7bffd596, 0xcb09fe02768b0b84, 0xa7f063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0x9269ab0503cb3db3, 0x7d0cd3c0809dcd3e, 0xb19d02cd379f101c,
  0xd0ea9c0aeaa72f29, 0x455bfdeaa8b4d8b3, 0x70ddb09732f9b65c, 0xab31e40d1fc68b1e, 0x966b219e985a0dfb,
  0xbd079961d964a271, 0xc6c596a792bf7343, 0x0000000000000f90,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0xa4ee8d3da8669684,
  0x92609f180905b2b6, 0xdb558f7ffead59fc, 0x3fc04ed16170933f, 0x0c7dfa8eb3cef961, 0xcb2986f93d1c74fe,
  0x9d9ed23348731602, 0xd2a01ffb30475e8f, 0x3560a07967b66794, 0x9a781013b9a7d24d, 0xa059a6f3e2038fa1,
  0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x3612e65f36cb88ab, 0x943458df1726ae0f, 0x854e7ea75663c81f,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0x53c95fb9a1de83cc,
  0x0000007c9cc5f040,
};

// m161_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart1_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xbb62742069cb4614,
  0x827c602416cada93, 0x58e4fff56acfc879, 0x04ed16170933fdb5, 0x7959eb355ad1cddc, 0x95ea3e0d9831f3d4,
  0x86e1d7d8b4ddf15e, 0x3484d7d2d8cb8e13, 0x439cead2f922e359, 0xb5d0ebce9bb7408c, 0x762d313e8e416c6a,
  0xfd6e1bd96cbe701c, 0xd30094d7e1aa3608, 0x19a781013b9a7d24, 0x3a059a6f3e2038fa, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0xf3612e65f36cb88a, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x053c95fb9a1de83c, 0x0000000275d32d04,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_pr_ce[] = {
  0xb777775ddacdfc4f, 0xdddddd55c41b9bc4, 0xa489de0fab6b11dd, 0x2035fc5ecfdddd2c, 0x6cada93bb0bf7c79,
  0xd67fba9827c60241, 0x933fdb5587affab2, 0x7f559fc04ed16170, 0x28bf9e325039916c, 0x965d63399cebb8dc,
  0x9fc1eb17a8e27e7b, 0x8e62c0559e82e38e, 0x3c75e2e76c668f58, 0xe92698ea596e3963, 0xc7d0cd3c0809dcd3,
  0xa6c6740b34de5b81, 0x8c10b4deabaa9cbc, 0xf36d3d0ea9c0bab9, 0x8d163ce1bb612e65, 0xb41bf75663c81a3f,
  0xc944e32cd6433d30, 0x7ee6877a0f32c3b2, 0x005baaa70b2d4f25,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_pr_ce_u4[] = {
  0xeeeeebba8911fc3b, 0x77775579c4c2f896, 0xa18dbad30ad24377, 0x763fd2eeeedf9c1e, 0xa93bb70761986ec7,
  0x459827c602416cad, 0xedaac7f3ff56acf9, 0xefe02768b0b8499f, 0xcf192a77dd5547d5, 0x7e21b09117dc4963,
  0x8ee373fe7e8b2f09, 0x7e7a7b96086b266a, 0xe0b8e3a7f06693d4, 0x7b48cd21cc580bbd, 0x807feccf1d7a3e76,
  0x60a0796b719e534a, 0x781013b9a7d24d35, 0x59a6f3e2038fa19a, 0x815d54e5e53633a0, 0xbd55169b167a1d53,
  0x25ccbe6d97063b7f, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x0001bae721f080a7,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_pr_ee_ce[] = {
  0x777775dc1eb44511, 0xddddd55f85da2c4b, 0x1050b36392eac1dd, 0x3f73dde2f77316a6, 0xeabedc9d1abe99a5,
  0x09f180905b2b6a4e, 0x613affd5ab3e16a6, 0x13b4585c24cff6d5, 0x776eaaa3ea8dc9f0, 0x9117dc4963cf192a,
  0x6ffe8b2f097e21b0, 0xb33def99aa3b8dc6, 0x0e32f51e56804a76, 0x314c5738fa8f8366, 0x32e384e1b875f62d,
  0x76ec90752135f4b6, 0xe74ddba04621ce75, 0x3e8e416c6abc6c75, 0xd96cbe701c762d31, 0x6bf0d51b044c8e1b,
  0x809dcd3e9269966a, 0x379f101c7d0cd3c0, 0xeaa72f29b19d02cd, 0xa8b4d8b3d0ea9c0a, 0x65f36cb831dbfdea,
  0xe9f1726ae0f3612e, 0x53ab31e40fca1a2c, 0x32fcc4fe50c2a73f, 0xbff82687993fc5ce, 0x6b219e985a0df8e7,
  0xd079961d9f027196, 0x64080a792bf7343b, 0x00000000000009f8,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_pr_ee_ce_u4[] = {
  0xdddddd7751222a20, 0x77777557e1737712, 0x63a56c9023fa6977, 0xebc339eef17bb006, 0x93ba3db638843081,
  0xf9827c602416cada, 0xd56757ffead59fe9, 0xf013b4585c24cff6, 0x2a7652eaa3ea8d7d, 0xb09117dc4963cf19,
  0xe72d7e8b2f097e21, 0x3b599f194cd51dc6, 0xb30622fa8f2b9ba5, 0x1698a62b4c7d47c1, 0x5b1971c270dc3afb,
  0x7576ec8a3a909afa, 0xbd753766be46f68e, 0x3488ccf58d578d8e, 0xf65c396701c762d3, 0xf4934f18cb232386,
  0xe3e8669e0404ee69, 0x53633a059a6f2dc0, 0xc6085a6f55d54e5e, 0xf9b69e8754e05d5c, 0xf8b9357079b09732,
  0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2,
  0xcd0ef41e658767c0, 0x27e26802029e4afd,
};

static const uint64_t ur_m161_u2x8_uart1_lednop_ee_hw[] = {
  0xeeeeebba8a342f02, 0x77775575c8593896, 0x91a9c2f19a56f777, 0x5171382f85eeeef7, 0xa93bb1c776c4ad18,
  0x879827c602416cad, 0xedaac727ffd64cfc, 0x6ee02768b0b8499f, 0x9ea3cacf59aad68e, 0x8af4af51f06cc18f,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x04621ce75697c917, 0x6355ae875e74ddba, 0x80e3b16989f4720b,
  0xb047eb70decb65f3, 0xe9269804a6bf0d51, 0xc7d0cd3c0809dcd3, 0x9b19d02cd379f101, 0x3d0ea9c0aeaa72f2,
  0xc455bfdeaa8b4d8b, 0x8dc79b09732f9b65, 0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x93f03f7ec3343cc9,
  0x59ac867a617e247b, 0xef41e658767c09c6, 0xd7e10be9e4afdcd0, 0x00000000000016ff,
};

// m161_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xbbbbbaeea28d0044, 0xeeeeeaafc2ed1625, 0xa61050b363792eee, 0xa53f73dde2f77316, 0xd49dd415ba73be99,
  0x2d4c13e30120b656, 0xf6d5613affeb267c, 0xc9f013b4585c24cf, 0xbe18396eaaa3ea8d, 0x1b09117dc4963cf1,
  0x6e5e1fe8b2f097e2, 0x53b599ef7ccd51dc, 0x1b307197a8f2b402, 0xb1698a62b9c7d47c, 0xa5b1971c270dc3af,
  0x73abb76483a909af, 0x63af3a6edd02310e, 0x6989f4720b6355e3, 0x70decb65f380e3b1, 0xb3535f86a8d82264,
  0x9e0404ee69f4934c, 0x1669bcf880e3e866, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x09732f9b65c18edf,
  0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86,
  0xe9e4afdcd0ef41e6, 0x000000280b822f0b,
};

// m161_u2x8_uart1_dual_pr
static const uint64_t ur_m161_u2x8_uart1_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x490770f6d41410f2,
  0x304f8c0482d95b52, 0xf11ec99182a90d77, 0xee5c61409f137dac, 0x99c9fe6571eb9dd3, 0xf51dfcd82fb38145,
  0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x955ddeef9b92b801, 0x5ad150865a119221, 0xe5ede71ffa039e13,
  0xfb089982c2accc5c, 0x85c24cff6d563dff, 0xcf3be584ff013b45, 0xf471d3f831f7ea3a, 0x21cc580b2ca61be4,
  0xc11d7a3e767b48cd, 0xe6656656513b8e58, 0xee69f4934e7f33e8, 0xf880e3e8669e0404, 0x39794d8ce81669bc,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xc5c9ab83cd84b997, 0xab31e40fca1a2c79, 0x966b219e985a0dfb,
  0x3bd079961d9f0271, 0x869c080a792bf734, 0x0000000000000018,
};

static const uint64_t ur_m161_u2x8_uart1_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0x95b77557e9d6d9b0,
  0x609f180905b2b6a4, 0xe23d932305523f5e, 0xdcb8c2813e26fb59, 0xb31c3fccab773ba7, 0xbd47fddb04ac7074,
  0x04508e489fc1c069, 0xdc3e144312bfcfdf, 0xcaaeef77cdc8ac00, 0xa328a8432d04c510, 0xe5edc27ffd01cf09,
  0xf12df982c2accc5c, 0xc2e1267fb6ab17cf, 0x70cef96e7b809da2, 0xad1c74fe0ded7a8f, 0x16731602eb14cf7d,
  0x823af01a9dabfa34, 0x9ed8fba25500ffd9, 0x3e8e6656638f81e5, 0x404ee69f4934e7f3, 0x9bcf880e3e8669e0,
  0x75539794d8ce8166, 0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7, 0x8767c09c659ac867, 0x9e4afdcd0ef41e65,
  0x00000524c7abe745,
};

// m161_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m161_u2x8_uart1_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xeebde85a592c5fae,
  0x30120b656d49836e, 0x99182a906ddcc13e, 0x1409f137dacf11ec, 0x7e655bb9dd3ee5c6, 0x3fb0b1f387fc9834,
  0x9227f07d5f37a8fd, 0x10c4aff3f7c11423, 0xbbe6e7eb80370f85, 0x432d04ac88655777, 0xbffa039e132fb8a8,
  0x05855998b9cbdbef, 0xfedaac387fe25bf3, 0xf4ae02768b0b8499, 0x93d4795edf9aad68, 0xf15f75ea3e0d983f,
  0x8e1386e1d7d8b4dd, 0x813f3484d7d2d8cb, 0xed193c73ab4bce2b, 0xb1aad743af63376d, 0x701c762d3e791a43,
  0x6c11fadc37b2ef76, 0x7332b300a8950754, 0x7734fa49a73f99f4, 0x7c4071f4334f0202, 0x9cbca6c6740b34de,
  0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0xbf123dc9f81fbf61, 0x3e04e32cd6433d30, 0x57ee6877a0f32c3b, 0x000ac9924f3a2cf2,
};

// m161_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m161_u2x8_uart1_dual_pr_ce[] = {
  0xbbbbac1e890ddb75, 0xeeeeeac0bd265f9b, 0x9c43d8a56f5deeee, 0xa4e402b777448a3b, 0x92bbafafb5a5c596,
  0x04f8c0482d95b527, 0x23d9323055215233, 0xcb8c2813e26fb59e, 0x6e9ffccab773ba7d, 0xa39c1d87579c287e,
  0x2847244fe0f674de, 0x1f0a21895fe7ef82, 0xaeef77cdcadf006e, 0x5150865a101910ca, 0xdb943ffa039e1319,
  0x5bf305855998b9cb, 0x8499fedaacfddfe2, 0x547d57ce02768b0b, 0x1258f3ca17070c7d, 0xcbc25f886c2445f7,
  0xf3354771b89b7fa2, 0x5fa8fd04f72c1013, 0x0a3e7491c74fe0d0, 0x6a76afe8d059cc58, 0x895403ff6678ebc0,
  0x56638f81e5adc3ee, 0x9f4934e7f33e8e66, 0x0e3e8669e0404ee6, 0x94d8ce81669bcf88, 0x59e8754e05755397,
  0x5c18edfef5545a6c, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f727e07efd86687, 0x38cb3590cf4c2fc4, 0x9a1de83ccb0ecf81, 0x92265ace8b3c95fb, 0x0000000000000006,
};

static const uint64_t ur_m161_u2x8_uart1_dual_pr_ee_ce[] = {
  0x7777583f6090cf68, 0xbbbbab58fd9bbf37, 0x7689fbf7b683bbbb, 0xe734bb13bbb2821f, 0x8fee66cceb0f9086,
  0x120b656d491ecee6, 0x182a90ba2cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0x872d1c19bf32547e,
  0x3f83c6e9bd47bc3d, 0x257f9fbe08a11c91, 0x6e2a4401b87c2886, 0xa1d5e88655777bbe, 0x4073c268ad150865,
  0x56662e72f6f3b7ff, 0x5674fff896fcc161, 0x013b4585c24cff6d, 0x83835aaa3ea8ce1f, 0x1222fb892c79e50b,
  0xe5afd165e12fc436, 0x6b33d7c99aa3b8dc, 0x60d31f51e57224a7, 0xa6298ac27fa8f836, 0xc65c709c370ebec5,
  0xaedd388ea426be96, 0xbd8cddb7b464f1ce, 0xf3c8d21d8d578d8e, 0xbd977bb380e3b169, 0xa2541d51b044c8e1,
  0x9cfe67d1cccaccb3, 0xcd3c0809dcd3e926, 0xd02cd379f101c7d0, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0xe0eee34596af1b8f, 0x4a1854e7ea75666f, 0xf01f343cc9fe04e3, 0xe32cd6433d30b41b,
  0x6877a0f32c3b3e04, 0x009f5f3a2cf257ee, 0x0000000000000010,
};

static const uint64_t ur_m161_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5ac7d17df, 0xb656957962daefdd, 0xb201ad34bb13ba75, 0x014eeeecdb4153a0,
  0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x372d7e655bb9dd3e, 0xa3e376c3b04e1787,
  0x508e489fc1b5dcde, 0x3e144312bfcfdf04, 0x5ddeef9b849400dc, 0xe2a10cb423922195, 0x6fa6bfe80e784dbe,
  0x6fcc16156662e72f, 0x1267fb6ab02d7f89, 0xf54695b809da2c2e, 0x63cf285c1c53d551, 0x097e21b09117dc49,
  0xd51dc6e33e7e8b2f, 0x2b9c653b599e98cc, 0x7a8f83660f22fa8f, 0xb875f62d314c5792, 0x2135f4b632e384e1,
  0x8daf8e7576e7bc75, 0xaaf1b1d794d3b73c, 0x0e3b169eb119a4b1, 0x5d332386f65b9338, 0x4e7f33e8e665678c,
  0x669e0404ee69f493, 0x253f7ce81669bce8, 0xb3182169c9183536, 0x65f36d3d0ea9c083, 0xc68b1be1b8f3612e,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x985f891ee4fc0fdf, 0x1d9f0271966b219e,
  0x792bf7343bd07996, 0x0000008008159d16,
};

static const uint64_t ur_m161_u2x8_uart1_dual_ee_hw[] = {
  0x7777583d14685c93, 0xddddd594db3ebf37, 0x10d26362d1d7dddd, 0x57c5c6c8eee4e666, 0xdc339bb57bb17ebb,
  0xc602416cada9306d, 0x932305520dbb9827, 0xc2813e26fb59e23d, 0x8fccbb093ba7dcb8, 0xa7f6163e70ff9306,
  0x7244fe0fabe6f51f, 0xa21895fe7ef82284, 0xf77cdcfd7006e1f0, 0x0865a095910caaee, 0xf7ff4073c265f715,
  0x60b0ab3317397b7d, 0x9fedaac387fe756e, 0x8f4ae02768b0b849, 0xf93d4795edf9aad6, 0xdf15f75ea3e0d983,
  0xb8e1386e1d7d8b4d, 0xb813f3484d7d2d8c, 0xded193c73ab4bce2, 0x3b1aad743af63376, 0x6701c762d3e791a4,
  0x46c11fadc37b2ef7, 0x47332b300a895075, 0x27734fa49a73f99f, 0xe7c4071f4334f020, 0xa9cbca6c6740b34d,
  0x2d362cf43aa702ba, 0xbe6d971156ff7aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9, 0x0576a19e5c2fa792,
};

// m161_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u2x8_uart1_dual_ee_ce_hw[] = {
  0xeeeeb07a28d15aa4, 0x777756b1fb377e6e, 0xed13f7ef6d077777, 0xce6976277765043e, 0xd5b4dde62e1f210d,
  0x602416cada923d9d, 0x323055217459827c, 0x2813e26fb59e23d9, 0xfccbb093ba7dcb8c, 0x7b0e5a38337e64a8,
  0x227f078dd37a8f78, 0x0c4aff3f7c114239, 0x7cdc54880370f851, 0xcb43abd10caaeef7, 0xfe80e784d15a2a10,
  0xc2accc5ce5ede76f, 0x6d5674fff9d5b982, 0x1f013b4585c24cff, 0xe183835aaa3ea8ce, 0xb09117dc4963cf1b,
  0xe759fe8b2f097e21, 0x3b599ebe4cd51dc6, 0xb30698fa8f2b9125, 0x2d314c5613fd47c1, 0xb632e384e1b875f6,
  0x7576e9c4752135f4, 0x75ec66edbda3278e, 0x4f9e4690ec6abc6c, 0x0decbbdd9c071d8b, 0x9d12a0ea8d822647,
  0x34e7f33e8e665665, 0x8669e0404ee69f49, 0xce81669bcf880e3e, 0x754e0575539794d8, 0xedfef5545a6c59e8,
  0x79b09732f9b65c18, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0xc867a617e247b93f,
  0x1e658767c09c659a, 0x70be9e4afdcd0ef4, 0x00000000075d5690,
};

// m161_u2x12_uart0_noled_pr
static const uint64_t ur_m161_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0xb5277600ddb78ede,
  0xfc9304f8c0482d95, 0x34627ad7ff565acf, 0x9da127049aede683, 0xfd47afe77cb09f16, 0x61179e8e3a7f063e,
  0xe28ccf1cc580b2ca, 0x07fecc11d7a3e760, 0x503cb3db535f86a8, 0xe8c527969d28a159, 0x537ae7e28f37b268,
  0xa7a1d53811fd4a5e, 0xfe2adfef5545a54f, 0x9c376c25ccbe6da5, 0xeacc790347f1a2c7, 0x659ac867a616837e,
  0xef41e6587659289c, 0xb8f165a9e4afdcd0, 0x0000000000003e41,
};

static const uint64_t ur_m161_u2x12_uart0_noled_pr_u4[] = {
  0xdd775a1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0xbad2f4b891f79122,
  0x827c602416cada93, 0x4f5afffab567fe49, 0x24e0935dbcd0668c, 0xf5fcef9613e2d3b4, 0xf3d1c74fe0c7dfa8,
  0x99e398b016594c22, 0xd9823af47cec1c51, 0x967b6a6bf0d500ff, 0xa4f2d3a5142b2a07, 0x5cfc51e6f64d1d18,
  0x3aa7023fa94bca6f, 0x5bfdeaa8b4a9f4f4, 0xcd84b997cdb4bfc5, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x3d30bf123dc9f81f, 0x2c3b3e04e32cd643, 0x14f257ee6877a0f3,
  0x0000003e4ee20e10,
};

// m161_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart0_noled_pr_ee[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0x91da0af589053700,
  0xf180905b2b6a4ee9, 0xeeffd5ab3ee96609, 0x049aede68334627f, 0xaad68e6e169da127, 0x6cc18f9ea3cae719,
  0x8b4ddf15cbef51f0, 0x2d8cb8e1386e1d7d, 0x2e98ae3593484d7d, 0xd37659e8c4f9cead, 0x68f19d8d56ba1d79,
  0x96cbe701c762d341, 0xc032a3608fd6e1bd, 0x8a4f2d3a51400bf0, 0xf5cfc51e6f64d1d1, 0x43aa7023fa94bca6,
  0x55bfdeaa8b4a9f4f, 0x3cd84b997cdb4bfc, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x014f257ee6877a0f, 0x000000009d75e7c1,
};

static const uint64_t ur_m161_u2x12_uart0_noled_pr_ce[] = {
  0xeeeebbad0f59bb37, 0x7777557b8178b896, 0x16f27377eda33777, 0xd78d7f13bbbb1c7e, 0x5b52776c7ec2f411,
  0xfa01304f8c0482d9, 0x19a313e6eff565ac, 0xb4ed093824d76f34, 0x64a0707cb1fd5678, 0x7339d771b8517f3c,
  0x2f51d05cf72cbac6, 0xab3d21c71d3f83d6, 0xe76a251c351cc580, 0xd7e1ee39633c75e2, 0xd1d18a4f2d3a5141,
  0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b,
  0x71966b219e985a0d, 0x43bd079961d964a2, 0xea490596a792bf73, 0x0000000000000016,
};

static const uint64_t ur_m161_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e89110cc5, 0xbbaabc68331896ee, 0xdb7e2d4dee15bbbb, 0xf623bbbac1f77971, 0xeec1bd3f6ccda982,
  0x609f180905b2b6a4, 0x2798fffd5ab3f52a, 0x127049aede683346, 0x7d45547d5ef169da, 0x117dc4963cf192a7,
  0xffe8b2f097e21b09, 0xc10d64cd51dc6e18, 0xf83349ea3b5f4f72, 0xcc580b70c43c71d3, 0x1d7a3e760e28ccf1,
  0xe535f86a807feccf, 0x5a74a2856540f2d6, 0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754,
  0x2e65f36d2fe63b7f, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x2fc48f727e07efd8, 0xcf8138cb3590cf4c, 0x95fb9a1de83ccb0e, 0x0006ebbf5404053c,
};

static const uint64_t ur_m161_u2x12_uart0_noled_pr_ee_ce[] = {
  0xbaeeb430f5a232a8, 0xeeaae87764625bbb, 0x69b21e47792eeeee, 0xa086bee82f7a7414, 0x6d89c5a97191f377,
  0x180905b2b6a4ee9d, 0x3ffab567e87e609f, 0x935dbcd0668c4f38, 0xfaa37262d3b424e0, 0x58f3c64a9de56aa8,
  0xc25f886c2445f712, 0x354771b930dfa2cb, 0xcac1494ed667bdf3, 0xef51f06cc1c65ea3, 0x370ebec5a6298ae6,
  0xa426be96c65c709c, 0xe8c4f9ceaedc988e, 0x1aaf1b1d79d37659, 0x038ec5a682d1e33b, 0x608991c37b2d97ce,
  0x3a5142cff0c032a3, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70, 0x32f9b697f31dbfde,
  0x74f8b9357079b097, 0xa9d598f207e50d16, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0x3590cf4c2d06fc73,
  0xe83ccb0ecf8138cb, 0x7604053c95fb9a1d, 0x00000000000013f1,
};

static const uint64_t ur_m161_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaae876f5e25b, 0x2cdde14b8f7e9eee, 0xb1a086beed4305ed, 0xaafb60dc6ab22101,
  0x27c602416cada93b, 0xfb3bff56acf9c198, 0x9c126bb79a0cd189, 0x551f546bec5a7684, 0xe24b1e78c953b287,
  0x59784bf10d8488be, 0xca66a8ee37396bf4, 0xd4795fc929daccf8, 0x5c43ea3e0d983117, 0x1386e1d7d8b4c531,
  0x51d484d7d2d8cb8e, 0x843a30e273abb764, 0x56355e363af5d4dd, 0x380e3b169c82a353, 0x8fe1991c37b2e1cb,
  0x4746293cb4e94531, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a, 0xd5c1e6c25ccbe6da,
  0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0x6b219e985f891ee4,
  0xd079961d9f027196, 0x0b080a792bf7343b, 0x0000000000009f81,
};

static const uint64_t ur_m161_u2x12_uart0_noled_ee_hw[] = {
  0xdd775a1d1468259b, 0x77557cd67a712ddd, 0x1f98fa5d36377777, 0x03d4cd07752297bb, 0xeecbbdd3224829b8,
  0x609f180905b2b6a4, 0x13ff77ff5933ee96, 0x093824d76f3419a3, 0x38cd56b47370b4ed, 0x8f83660c7cf51e57,
  0xebec5a6ef8ae5f7a, 0x6be96c65c709c370, 0x756974c571ac9a42, 0xebce9bb2cf4627ce, 0x9a0b478cec6ab5d0,
  0x0decb65f380e3b16, 0x5f8601951b047eb7, 0x8e8c527969d28a00, 0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5,
  0x5fe2adfef5545a54, 0x6371e6c25ccbe6da, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0xe4fc0fdfb0cd0f32,
  0x966b219e985f891e, 0x3bd079961d9f0271, 0xd48502fa792bf734, 0x0000000000000b7d,
};

// m161_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart0_noled_ee_ce_hw[] = {
  0x775dd687451a3032, 0xddd55d0eec8c4b77, 0x051a6c86f91ddddd, 0xdde821afba0bde9d, 0x775b16ea4c5c647c,
  0x304f8c0482d95b52, 0x13ce0fff5933f43f, 0x093824d76f3419a3, 0x5aaa3ea8dc98b4ed, 0xdc4963cf1be18399,
  0x8b2f097e21b09117, 0xf7ccd51dc6e7ebfe, 0x7a8f2b05253b599e, 0x2b9bbd47c1b30719, 0xc270dc3afb1698a6,
  0x623a909afa5b1971, 0xd967a313e73abb72, 0x8cec6abc6c75e74d, 0x5f380e3b169a0b47, 0xca8d8226470decb6,
  0x3cb4e9450b3fc300, 0x3f1479bd93474629, 0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0xc25ccbe6da5fcc76,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21,
  0xfa792bf7343bd079, 0x0000000a021a41c2,
};

// m161_u2x12_uart0_lednop_pr
static const uint64_t ur_m161_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0xd49ddf1fa5c54df8,
  0x374c13e30120b656, 0x68c4f887fd596b3f, 0x3b424e0935dbcd06, 0xfa8eb3cef9613e2d, 0x86f93d1c74fe0c7d,
  0xd23348731602cb29, 0x1ffb30475e8f9d9e, 0xa07967b66794d2a0, 0x60404f2d3a514560, 0x40e28f3e24d1d18a,
  0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0x6c25ccbe6d971156, 0x790347f1a2c79c37, 0xc867a616837eeacc,
  0xe6587659289c659a, 0x65a9e4afdcd0ef41, 0x000000003e43a4e1,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0xeebd7dcc7e9f8ba1,
  0x609f180905b2b6a4, 0x89f10ffead59f9ba, 0x849c126bb79a0cd1, 0x1d679df2c27c5a76, 0xf27a38e9fc18fbf5,
  0x6690e62c0596530d, 0xf6608ebd1f3b3da4, 0xf2cf6ccf29a5403f, 0x809e5a74a28ac140, 0xc51e7c49a3a314c0,
  0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x4b997cdb2e22adfe, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3, 0x257ee6877a0f32c3,
  0x0000f9337201014f,
};

// m161_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart0_lednop_pr_ee[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x67b64405320b478f,
  0xe30120b656d49dd6, 0x9dffab567cbacc13, 0x0935dbcd0668c4ff, 0x55ad1cdc2d3b424e, 0xd9831f3d47959eb3,
  0x8b4ddf15e95ea3e0, 0x2d8cb8e1386e1d7d, 0x2f922e3593484d7d, 0xe9bb7408c439cead, 0xe8e416c6ab5d0ebc,
  0x96cbe701c762d313, 0x7e1aa3608fd6e1bd, 0x404f2d3a5140094d, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x25ccbe6d971156ff, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x00004eb9072080a7,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0x7777557b816cf896, 0xfc2f7779b5a33777, 0x11d78d7a13777638, 0xd95b52776c7ec2f4,
  0xacf995304f8c0482, 0x6833462784fff565, 0xf169da127049aede, 0xf19281cc8b63faac, 0x19cce75dc6e145fc,
  0x58bd4713f3dcb2eb, 0x02acf4171c74fe0f, 0x173b63347ac47316, 0x0752cb71cb19e3af, 0x462981013cb4e945,
  0x6c6740e28f2dd347, 0xc10b4deabaa9cbca, 0x36d3d0ea9c0bab98, 0xd163ce1bb612e65f, 0x41bf75663c81a3f8,
  0x944e32cd6433d30b, 0xee6877a0f32c3b2c, 0x02dd4920b2d4f257,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e89112d7b, 0x775578d058f896ee, 0x2e3c7d68d4137777, 0xd933dddd60fbbf31, 0x7751de8d329d64f1,
  0x304f8c0482d95b52, 0x13d7dffead59f727, 0x093824d76f3419a3, 0xbeeaaa3eaf78b4ed, 0x88bee24b1e78c953,
  0xf3f459784bf10d84, 0xb043593354771b9f, 0x3f83349ea3f3d3dc, 0x0e62c05def05c71d, 0x78ebd1f3b3da4669,
  0x5b8cf29a5403ff66, 0x7969d28a2b0503cb, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815,
  0xcbe6d97063b7fbd5, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x891ee4fc0fdfb0cd, 0x0271966b219e985f, 0xf7343bd079961d9f, 0x0dd74056080a792b,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222582, 0xeeaae87669625bbb, 0x05067d3b65deeeee, 0x410d7dd05ef4ec8d, 0x5b62539533fa6d2f,
  0x30120b656d49dd3b, 0xbff56acf98fcc13e, 0x26bb79a0cd189e96, 0xf546e4c5a76849c1, 0xb1e78c953bb75551,
  0x84bf10d8488bee24, 0x6a8ee370d6ff4597, 0x95a0129daccf7be6, 0x3ea3e0d9838cbd47, 0x6e1d7d8b4c5315ce,
  0x484d7d2d8cb8e138, 0x1188739d5dbb241d, 0x1aaf1b1d79d376e8, 0x071d8b4c4fa3905b, 0xc1132386f65b2f9c,
  0x74a2859a9afc3546, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a,
  0xb9357079b09732f9, 0x98f207e50d165abc, 0x138d2861539fa9d5, 0xd06fc07cd0f327f8, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x00013f10204053c9,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaae8770ce25b, 0xf717a08b8f7e9eee, 0x034f410d7dda860b, 0xeeabed8371aac884,
  0x609f180905b2b6a4, 0x9f43fffab567ec7e, 0x49c126bb79a0cd18, 0x7551f546bec5a768, 0xee24b1e78c953b29,
  0x459784bf10d8488b, 0x8ca66a8ee37396bf, 0x7d4795cdd29daccf, 0x15a63ea3e0d98311, 0xe1386e1d7d8b4c53,
  0x451d484d7d2d8cb8, 0xb35f237b473abb76, 0x7ac6abc6c75eba9b, 0xb380e3b1699a4466, 0x8c659191c37b2e1c,
  0x314c0809e5a74a29, 0x633a0714796e9a3a, 0x085a6f55d54e5e53, 0xb69e8754e05d5cc6, 0xb9357079b09732f9,
  0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc, 0x659ac867a617e247,
  0x0ef41e658767c09c, 0xe042c2029e4afdcd, 0x0000000000000027,
};

static const uint64_t ur_m161_u2x12_uart0_lednop_ee_hw[] = {
  0xdd775a1d14680cc5, 0xbbaabe6b61512ddd, 0x4ec7edbdc5fbbbbb, 0x7fa99a0eea452f6f, 0xdd837baccd905a3c,
  0xc13e30120b656d49, 0x27fceffeb267cbac, 0x127049aede683346, 0xf59aad68e6e169da, 0x1f06cc18f9ea3cac,
  0xebec5a6ef8af4af5, 0x6be96c65c709c370, 0x75697c9171ac9a42, 0x75e74ddba04621ce, 0x989f4720b6355ae8,
  0x0decb65f380e3b16, 0x4a6bf0d51b047eb7, 0x5302027969d28a00, 0x3a071479f1268e8c, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0xf3612e65f36cb88a, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0x217d3c95fb9a1de8, 0x0000000005bf6ffc,
};

// m161_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xbbaeeb43a28d0a20, 0xeeeaae87669625bb, 0x91a0a0cf7a76eeee, 0xa5e821afba0bde9d, 0x7747b6e843a67f4d,
  0x304f8c0482d95b52, 0x13d2d7ff5933e63f, 0x093824d76f3419a3, 0xeaaa3ea8dc98b4ed, 0xdc4963cf1be18396,
  0x8b2f097e21b09117, 0xf7ccd51dc6e5e1fe, 0x7a8f2b40253b599e, 0x2b9c7d47c1b30719, 0xc270dc3afb1698a6,
  0x483a909afa5b1971, 0xedd02310e73abb76, 0x20b6355e363af3a6, 0x5f380e3b16989f47, 0x6a8d8226470decb6,
  0x3cb4e9450b3535f8, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x65f36cb831dbfdea,
  0xe7ea0bb1b8f3612e, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x2fc48f727e07efd8, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x0005011ab3617d3c,
};

// m161_u2x12_uart0_dual_pr
static const uint64_t ur_m161_u2x12_uart0_dual[] = {
  0x7777583f07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x04772bed1ed1aac4,
  0x04f8c0482d95b525, 0x11ec99182a9087d3, 0xe5c61409f137dacf, 0xbe77e6571eb9dd3e, 0xa3afbd8145383939,
  0x2847244fe0e3dcde, 0x1f0a21895fe7ef82, 0x5777bbe6e5ba006e, 0xdc54219680f88865, 0x7b7d2bfe80e784db,
  0xc22660b0ab331739, 0xb79a0cd189f10ffe, 0xc27c5a76849c126b, 0xfc18fbf51d679df2, 0x0596530df27a38e9,
  0x1f3b3da46690e62c, 0x2b289dc72c608ebd, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0xc9ab83cd84b997cd, 0x31e40fca1a2c79c5, 0x6b219e985a0dfbab,
  0xd079961d9f027196, 0x9c080a792bf7343b, 0x0000000000000c43,
};

static const uint64_t ur_m161_u2x12_uart0_dual_pr_u4[] = {
  0xeeb07e0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0xbddc80767121094e,
  0x27c602416cada938, 0x8f64c8c154835b98, 0x2e30a04f89bed678, 0xc52ff32addcee9f7, 0x51d2b6c1d29c0e1c,
  0x14239227f0752a6f, 0x0f8510c4aff3f7c1, 0xabbbddf3706b0037, 0xf22a10cb43e44432, 0xbdbf75ff4073c261,
  0x25bf305855998b9c, 0xede68334627829fe, 0x5b9e169da127049a, 0x3f837b5ea3dc33be, 0x80bac533df6b471d,
  0x06a76afe8d059cc5, 0xe895403ff6608ebc, 0x9598e3e07967b63e, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f,
  0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xbe6d971156ff7aaa, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3, 0x257ee6877a0f32c3,
  0x00029276e433a2cf,
};

// m161_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart0_dual_pr_ee[] = {
  0x77583f07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0x5ef7bb7822afb17f,
  0x0905b2b6a4a33775, 0x8c15480a46609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xec3fe1c0344da6bf,
  0x89fc1d0fcdea3d8f, 0x312bfcfdf04508e4, 0xf9b86b600dc3e144, 0xcb41d2a21955ddee, 0xfe80e784c5162a10,
  0x6156662e72f6fa6f, 0xa313ca5ff896fcc1, 0xed093824d76f3419, 0xaf6fcd56b47a50b4, 0xf51f06cc1fc9ea3c,
  0x70ebec5a6ef8afba, 0x426be96c65c709c3, 0x39d5a5e715c09f9a, 0xa1d7b19bb6f68c9e, 0x169f3c8d21d8d56b,
  0x6e1bd977bb380e3b, 0x80544a83aa3608fd, 0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2,
  0x62cf43aa702baa9c, 0xd971156ff7aaa2d3, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x123dc9f81fbf619a, 0x04e32cd6433d30bf, 0xee6877a0f32c3b3e, 0x0ac84e2f3a2cf257,
};

// m161_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m161_u2x12_uart0_dual_pr_ce[] = {
  0xeeb07e0f4486c541, 0xbbbab3534e57e6ee, 0x52be7adb62fbbbbb, 0xb520addddb8393b6, 0x3bac136abdc86cf8,
  0xf8c0482d95b527a7, 0xd932305523bad304, 0x8c2813e26fb59e23, 0x1ffccab773ba7dcb, 0xeafd850f9c3a7e6b,
  0x8e489fc1c729bd47, 0x144312bfcfdf0450, 0xef77cdc80000dc3e, 0x50865a152910caae, 0x53dff4073c268f71,
  0xe60b0ab3317397b7, 0xa0cd189e95bfc4b7, 0x05a76849c126bb79, 0x285c1c31f551f55f, 0x21b09117dc4963cf,
  0xc6e26dfe8b2f097e, 0x13dcb0404fccd51d, 0x471d3f83417ea3f4, 0xa34167316028f9d2, 0xfd99e3af01a9dabf,
  0x0796b70fba25500f, 0x9fccfa3999598e3e, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d, 0x43aa702baa9cbca6,
  0xc76ff7aaa2d362cf, 0xe3cd84b997cdb2e0, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6, 0x83967459e4afdcd0, 0x0000000000003490,
};

static const uint64_t ur_m161_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7583f07d41437089, 0xbbab0db51fbf3777, 0x1d78d5bb37bbbbbb, 0x764048eeb623ad5a, 0x3dc89eec4d744fb1,
  0x416cada92ec9dd79, 0x05522e4a9827c602, 0x3e26fb59e23d9323, 0xab773ba7dcb8c281, 0x21f1c31ba6ec1fcc,
  0xfc1bfc9bd476bbd8, 0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x42dd221955ddeef9, 0x80e784ca7a2a10cb,
  0xaccc5ce5edcc7ffe, 0x27c72ff12df982c2, 0x127049aede683346, 0x9eb1fd51c06169da, 0xc6e72d7e7942e0e2,
  0x929dac0abe4ce75d, 0xe0d9834c7d4795c8, 0xfb1698a62b09fea3, 0xfa5b1971c270dc3a, 0xc73abb74e23a909a,
  0x363af63376ded193, 0xc5a7cf234876355e, 0x2386f65deece038e, 0x32ce89507546c113, 0x74a293f99f47332b,
  0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a, 0xb578dc79b09732f9,
  0x53ab337f07771a2c, 0x4ff0271a50c2a73f, 0xe985a0df80f9a1e6, 0x61d9f0271966b219, 0x6792bf7343bd0799,
  0x0000000800c639d1,
};

static const uint64_t ur_m161_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbba0ae, 0xeead8ed086fcdddd, 0xe8bda7b47e6eeeee, 0xb33dd39d1aabbd35, 0x7b2bdc2f0f947e85,
  0x2b6a4abe777d7db5, 0x1bcfa609f180905b, 0x7dacf11ec99182a9, 0x9dd3ee5c61409f13, 0x04a89ae47f32d2df,
  0x0cdea3f2d6c19be7, 0xdf04508e489fc1f6, 0x00dc3e144312bfcf, 0x432abbbddf373bac, 0x30d68a8432d0a1f4,
  0x397b7b5bffa039e1, 0xf8134e60b0ab3317, 0xbb79a0cd189f63ff, 0x4670c5a76849c126, 0xe7942f3b1ad551f5,
  0xbf10d8488bee24b1, 0x1dc6e341ff459784, 0x91253b599ebe4cd5, 0x47c1b30698fa8f2b, 0x75f62d314c5613fd,
  0x35f4b632e384e1b8, 0x278e7576e9c47521, 0xbc6c75ec66edbda3, 0x1d8b4f9e4690ec6a, 0x26470decbbdd9c07,
  0x56659d12a0ea8d82, 0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea,
  0xf36cb831dbfdeaa8, 0xf1726ae0f3612e65, 0xaccdfc1fb763458d, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027, 0x7b13e2ab2792bf73, 0x0000000000000400,
};

static const uint64_t ur_m161_u2x12_uart0_dual_ee_hw[] = {
  0xbbbac1f83d1468f9, 0xeeeeeac4875ddf9b, 0x8d49c8ed6badeeee, 0xfdaf1e47f76c49ba, 0xee9b4ddbc9957d8b,
  0xe30120b656d49466, 0xc99182a90148cc13, 0x61409f137dacf11e, 0xd7e65d849dd3ee5c, 0xb1fd87fc380689b4,
  0x1c913f83a1f9bd47, 0x2886257f9fbe08a1, 0xbddf370d6c01b87c, 0x4219683a54432abb, 0x4dffd01cf098a2c5,
  0x982c2accc5ce5edf, 0x419a313ca5ff9d5b, 0x0b4ed093824d76f3, 0xa3caf6fcd56b47a5, 0xfbaf51f06cc1fc9e,
  0x9c370ebec5a6ef8a, 0xf9a426be96c65c70, 0xc9e39d5a5e715c09, 0x56ba1d7b19bb6f68, 0xe3b169f3c8d21d8d,
  0x8fd6e1bd977bb380, 0x95980544a83aa360, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f,
  0x2d362cf43aa702ba, 0xbe6d971156ff7aaa, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf891ee4fc0fdfb0c, 0xf0271966b219e985, 0xbf7343bd079961d9, 0x0aed4a48c42fa792,
};

// m161_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart0_dual_ee_ce_hw[] = {
  0xeb07e0f451a12793, 0x7756c768437e6eee, 0x35e8bf5a7b777777, 0x85b33dd39d1aabbd, 0xbddfaf9c2f0f947e,
  0x82d95b5255f3b859, 0x1548de7d304f8c04, 0xf89bed6788f64c8c, 0xec24ee9f72e30a04, 0x9be704a89ae47f32,
  0xc1f60cdea3f2d6c1, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0xa1f4432abbbddf37, 0x39e130d68a8432d0,
  0x3317397b7b5bffa0, 0xf63ffe756e60b0ab, 0x9c126bb79a0cd189, 0x551f54670c5a7684, 0x24b1e78df0c1c1ad,
  0x9784bf10d8488bee, 0x266a8ee373acff45, 0x4795c8929daccf5f, 0x09fea3e0d9834c7d, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0xded193c73abb74e2, 0x76355e363af63376, 0xce038ec5a7cf2348, 0x46c1132386f65dee,
  0x47332b32ce895075, 0x809e5a74a293f99f, 0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e,
  0x9732f9b65c18edfe, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xa617e247b93f03f7,
  0x8767c09c659ac867, 0x9e4afdcd0ef41e65, 0x0000075d591640be,
};

// m161_u2x12_uart1_noled_pr
static const uint64_t ur_m161_u2x12_uart1_noled[] = {
  0xddd776da1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0xb5277600ddb78ede,
  0xfc9304f8c0482d95, 0x34dc12d7ff565acf, 0xda2c2e1267fb6683, 0x51ebf9df2c27f809, 0x45e7a38e9fc18fbf,
  0xa333c731602cb298, 0xffb30475e8f9d838, 0x0f2cf6d4d7e1aa01, 0x4e7734fa49a65654, 0xf669bcdec071f433,
  0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a, 0x84b997cdb4bfc55b, 0x2068fe3458f386ed, 0x0cf4c2d06fdd598f,
  0xcb0ecb25138cb359, 0xb53c95fb9a1de83c, 0x00000007c8371e2c,
};

static const uint64_t ur_m161_u2x12_uart1_noled_pr_u4[] = {
  0xd776da1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0xbad2f4b891f79122,
  0x827c602416cada93, 0x825afffab567fe49, 0x85c24cff6cd0669b, 0x7f3be584ff013b45, 0xf471d3f831f7ea3d,
  0x78e62c05965308bc, 0x608ebd1f3b071466, 0x9eda9afc35403ff6, 0xe69f4934caca81e5, 0x379bd80e3e8669ce,
  0x47f529794deb9ecd, 0x5516953e9e8754e0, 0x32f9b697f8ab7fbd, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe247b93f03f7ec33, 0xc09c659ac867a617, 0xfdcd0ef41e658767,
  0x07c9dc41c2029e4a,
};

// m161_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart1_noled_pr_ee[] = {
  0x75ddb6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0x91da0af589053700,
  0xf180905b2b6a4ee9, 0xeeffd5ab3ee96609, 0x1267fb668334dc17, 0xb5a39bb809da2c2e, 0x3063e7a8f2b9c66a,
  0xd377c572fbd47c1b, 0x632e384e1b875f62, 0xa62b8d64d2135f4b, 0xdd967a313e73ab4b, 0x3c676355ae875e74,
  0xb2f9c071d8b4d05a, 0x0ca8d823f5b86f65, 0xee69f4934c02fc30, 0xd379bd80e3e8669c, 0x047f529794deb9ec,
  0xd5516953e9e8754e, 0x732f9b697f8ab7fb, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61, 0xafdcd0ef41e65876, 0x0013aebcf82029e4,
};

static const uint64_t ur_m161_u2x12_uart1_noled_pr_ce[] = {
  0xeeebbb6d0f59bb37, 0x7777557b8178b896, 0x16f27377eda33777, 0xd78d7f13bbbb1c7e, 0x5b52776c7ec2f411,
  0xfa01304f8c0482d9, 0x19a6e0a6eff565ac, 0x4ed16170933fdb34, 0x281c1f2c7f559fc0, 0xce75dc6e145fcf19,
  0xd474173dcb2eb19c, 0xcf4871c74fe0f58b, 0xda89470d4731602a, 0xf87b8e58cf1d78b9, 0x669cee69f4934c75,
  0xb9ecd379bd80e3e8, 0x754e047f529794de, 0xb7fbd5516953e9e8, 0xb612e65f36d2fe63, 0x3c81a3f8d163ce1b,
  0x6433d30b41bf7566, 0xf32c3b2c944e32cd, 0xb2d4f257ee6877a0, 0x0000000002dd4920,
};

static const uint64_t ur_m161_u2x12_uart1_noled_pr_ce_u4[] = {
  0xebbb6d0e89110cc5, 0xbbaabc68331896ee, 0xdb7e2d4dee15bbbb, 0xf623bbbac1f77971, 0xeec1bd3f6ccda982,
  0x609f180905b2b6a4, 0xc118fffd5ab3f52a, 0xc2e1267fb668334d, 0x51551f57bf809da2, 0x5f71258f3c64a9df,
  0xfa2cbc25f886c244, 0x43593354771b863f, 0x0cd27a8ed7d3dcb0, 0x1602dc310f1c74fe, 0x5e8f9d838a333c73,
  0x4d7e1aa01ffb33c7, 0xe9269959503cb5b9, 0x7b01c7d0cd39dcd3, 0xa52f29bd73d9a6f3, 0xd2a7d3d0ea9c08fe,
  0x6da5fcc76ff7aaa2, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027, 0x77ea8080a792bf73, 0x00000000000000dd,
};

static const uint64_t ur_m161_u2x12_uart1_noled_pr_ee_ce[] = {
  0xaeedb430f5a232a8, 0xeeaae87764625bbb, 0x69b21e47792eeeee, 0xa086bee82f7a7414, 0x6d89c5a97191f377,
  0x180905b2b6a4ee9d, 0x3ffab567e87e609f, 0x4cff6cd0669b8238, 0xa8dc9f013b4585c2, 0x3cf192a7795aaa3e,
  0x97e21b09117dc496, 0x51dc6e4c37e8b2f0, 0xb05253b599ef7ccd, 0xd47c1b307197a8f2, 0xc3afb1698a62b9bb,
  0x09afa5b1971c270d, 0x313e73abb72623a9, 0xabc6c75e74dd967a, 0xe3b169a0b478cec6, 0x226470decb65f380,
  0x934cb3fc300ca8d8, 0x80e3e8669cee69f4, 0x9794deb9ecd379bd, 0x53e9e8754e047f52, 0xd2fe63b7fbd55169,
  0x26ae0f3612e65f36, 0x1e40fca1a2ce9f17, 0x4fe50c2a73f53ab3, 0x687993fc5ce32fcc, 0xe985a0df8e7bff82,
  0x61d9f0271966b219, 0xa792bf7343bd0799, 0x000000027e2ec080,
};

static const uint64_t ur_m161_u2x12_uart1_noled_pr_ee_ce_u4[] = {
  0xbbaeedb43a244511, 0xeeeeaae876f5e25b, 0x2cdde14b8f7e9eee, 0xb1a086beed4305ed, 0xaafb60dc6ab22101,
  0x27c602416cada93b, 0x5b3bff56acf9c198, 0xb8499fed9a0cd370, 0x47d51afbe02768b0, 0x92c79e3254eca1d5,
  0x5e12fc4361222fb8, 0x99aa3b8dce5afd16, 0x1e57f24a76b33e32, 0x10fa8f83660c45f5, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x0e8c389ceaedd914, 0x8d578d8ebd753761, 0x038ec5a720a8d4d5, 0xf866470decb872ce,
  0x9a73b9a7d24d3c63, 0xe7b34de6f6038fa1, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1, 0xd84b997cdb4bf98e,
  0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xd30bf123dc9f81fb,
  0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x00000013f0216101,
};

static const uint64_t ur_m161_u2x12_uart1_noled_ee_hw[] = {
  0xd776da1d1468259b, 0x77557cd67a712ddd, 0x1f98fa5d36377777, 0x03d4cd07752297bb, 0xeecbbdd3224829b8,
  0x609f180905b2b6a4, 0xe0bf77ff5933ee96, 0x6170933fdb3419a6, 0x3355ad1cddc04ed1, 0xe0d9831f3d4795ce,
  0xfb169bbe2b97dea3, 0xfa5b1971c270dc3a, 0x5a5d315c6b26909a, 0xf3a6ecb3d189f39d, 0x82d1e33b1aad743a,
  0x7b2d97ce038ec5a6, 0xe1806546c11fadc3, 0x34e7734fa49a6017, 0xcf669bcdec071f43, 0xaa7023fa94bca6f5,
  0xbfdeaa8b4a9f4f43, 0xd84b997cdb4bfc55, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x5f4f257ee6877a0f, 0x000000016fba90a0,
};

// m161_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart1_noled_ee_ce_hw[] = {
  0x75ddb687451a3032, 0xddd55d0eec8c4b77, 0x051a6c86f91ddddd, 0xdde821afba0bde9d, 0x775b16ea4c5c647c,
  0x304f8c0482d95b52, 0xe08e0fff5933f43f, 0x6170933fdb3419a6, 0xaa8faa3727c04ed1, 0x1258f3c6f860e656,
  0xcbc25f886c2445f7, 0xf3354771b9faffa2, 0xa3cac1494ed667bd, 0xe6ef51f06cc1c65e, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x59e8c4f9ceaedc98, 0x3b1aaf1b1d79d376, 0xce038ec5a682d1e3, 0xa3608991c37b2d97,
  0xa7d24d32cff0c032, 0xe6f6038fa19a73b9, 0xfd4a5e537ae7b34d, 0x45a54fa7a1d53811, 0x7cdb4bf98edfef55,
  0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b,
  0x7ee6877a0f32c3b3, 0x01404348385f4f25,
};

// m161_u2x12_uart1_lednop_pr
static const uint64_t ur_m161_u2x12_uart1_lednop[] = {
  0x775ddb687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0xd49ddf1fa5c54df8,
  0x374c13e30120b656, 0x69b82887fd596b3f, 0xb4585c24cff6cd06, 0xa3acf3be584ff013, 0xbe4f471d3f831f7e,
  0x8cd21cc580b2ca61, 0xfecc11d7a3e767b4, 0x1e59ed99e534a807, 0x04ee69f4934d5828, 0xbcf880e3e8669e04,
  0x5539794d8ce81669, 0x45a6c59e8754e057, 0x97cdb2e22adfef55, 0xfe3458f386ed84b9, 0xc2d06fdd598f2068,
  0xcb25138cb3590cf4, 0x95fb9a1de83ccb0e, 0x0007c8749c2cb53c,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_pr_u4[] = {
  0xebbb6d0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0xeebd7dcc7e9f8ba1,
  0x609f180905b2b6a4, 0x70510ffead59f9ba, 0xb0b8499fed9a0cd3, 0x59e77cb09fe02768, 0x9e8e3a7f063efd47,
  0xa4398b016594c37c, 0x9823af47cecf6919, 0xb3db33ca69500ffd, 0xdcd3e9269ab0503c, 0xf101c7d0cd3c0809,
  0x72f29b19d02cd379, 0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09,
  0x266e402029e4afdc, 0x000000000000001f,
};

// m161_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart1_lednop_pr_ee[] = {
  0x75ddb68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x67b64405320b478f,
  0xe30120b656d49dd6, 0x9dffab567cbacc13, 0x24cff6cd0669b82f, 0x6b47377013b4585c, 0x60c7cf51e567acd5,
  0xd377c57a57a8f836, 0x632e384e1b875f62, 0xe48b8d64d2135f4b, 0x6edd02310e73ab4b, 0x3905b1aad743af3a,
  0xb2f9c071d8b4c4fa, 0x86a8d823f5b86f65, 0xee69f4934c02535f, 0xf880e3e8669e0404, 0x39794d8ce81669bc,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12, 0x6877a0f32c3b3e04, 0xd720e41014f257ee,
  0x0000000000000009,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_pr_ce[] = {
  0xeeebbb6d0f59bb37, 0x7777557b816cf896, 0xfc2f7779b5a33777, 0x11d78d7a13777638, 0xd95b52776c7ec2f4,
  0xacf995304f8c0482, 0x68334dc104fff565, 0x809da2c2e1267fb6, 0x64a07322d8feab3f, 0x7339d771b8517f3c,
  0x2f51c4fcf72cbac6, 0xab3d05c71d3f83d6, 0xced8cd1eb11cc580, 0xd4b2dc72c678ebc5, 0x781013b9a7d24d31,
  0x1669bcb7038fa19a, 0xbd575539794d8ce8, 0x1d53817573182169, 0xc376c25ccbe6da7a, 0xacc790347f1a2c79,
  0x59ac867a616837ee, 0xf41e6587659289c6, 0x24165a9e4afdcd0e, 0x0000000000005ba9,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_pr_ce_u4[] = {
  0xebbb6d0e89112d7b, 0x775578d058f896ee, 0x2e3c7d68d4137777, 0xd933dddd60fbbf31, 0x7751de8d329d64f1,
  0x304f8c0482d95b52, 0xe097dffead59f727, 0x6170933fdb3419a6, 0xbaaa8fabdfc04ed1, 0x2fb892c79e3254ef,
  0xfd165e12fc436122, 0x10d64cd51dc6e7fc, 0xe0cd27a8fcf4f72c, 0x98b0177bc171c74f, 0x3af47cecf6919a43,
  0xe33ca69500ffd99e, 0x4fa49a6ac140f2d6, 0x071f4334f0202773, 0xca6c6740b34de7c4, 0x2cf43aa702baa9cb,
  0x2e0c76ff7aaa2d36, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32, 0x0ac1014f257ee687, 0x000000000001bae8,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xaeedb43ec1222582, 0xeeaae87669625bbb, 0x05067d3b65deeeee, 0x410d7dd05ef4ec8d, 0x5b62539533fa6d2f,
  0x30120b656d49dd3b, 0xbff56acf98fcc13e, 0x99fed9a0cd370496, 0x51b93e02768b0b84, 0x79e3254eedd5547d,
  0x2fc4361222fb892c, 0xa3b8dc35bfd165e1, 0x6804a76b33def99a, 0xa8f83660e32f51e5, 0x875f62d314c5738f,
  0x135f4b632e384e1b, 0x621ce7576ec90752, 0xabc6c75e74ddba04, 0xc762d313e8e416c6, 0x44c8e1bd96cbe701,
  0x269966a6bf0d51b0, 0xd0cd3c0809dcd3e9, 0x19d02cd379f101c7, 0x0ea9c0aeaa72f29b, 0x1dbfdeaa8b4d8b3d,
  0x0f3612e65f36cb83, 0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x966b219e985a0df8,
  0x3bd079961d9f0271, 0xe204080a792bf734, 0x0000000000000027,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_pr_ee_ce_u4[] = {
  0xbbaeedb43a244511, 0xeeeeaae8770ce25b, 0xf717a08b8f7e9eee, 0x034f410d7dda860b, 0xeeabed8371aac884,
  0x609f180905b2b6a4, 0x0543fffab567ec7e, 0x0b8499fed9a0cd37, 0x547d51afbe02768b, 0x892c79e3254eca5d,
  0x65e12fc4361222fb, 0x299aa3b8dce5afd1, 0x51e57374a76b33e3, 0x698fa8f83660c45f, 0x4e1b875f62d314c5,
  0x4752135f4b632e38, 0xd7c8ded1ceaedd91, 0xb1aaf1b1d7aea6ec, 0xe038ec5a6691199e, 0x19646470decb872c,
  0xc0809dcd3e9269e3, 0xb34de5b81c7d0cd3, 0xeabaa9cbca6c6740, 0xea9c0bab98c10b4d, 0x0f3612e65f36d3d0,
  0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0,
  0xccb0ecf8138cb359, 0x4053c95fb9a1de83, 0x0000000004fc0858,
};

static const uint64_t ur_m161_u2x12_uart1_lednop_ee_hw[] = {
  0xd776da1d14680cc5, 0xbbaabe6b61512ddd, 0x4ec7edbdc5fbbbbb, 0x7fa99a0eea452f6f, 0xdd837baccd905a3c,
  0xc13e30120b656d49, 0xc17ceffeb267cbac, 0xc2e1267fb668334d, 0x66ab5a39bb809da2, 0xc1b3063e7a8f2b3d,
  0xfb169bbe2bd2bd47, 0xfa5b1971c270dc3a, 0x5a5f245c6b26909a, 0x79d376e81188739d, 0x27d1c82d8d56ba1d,
  0x7b2d97ce038ec5a6, 0x9afc3546c11fadc3, 0x2027734fa49a6012, 0x4de7c4071f4334f0, 0xbaa9cbca6c6740b3,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0x85f891ee4fc0fdfb, 0xd9f0271966b219e9, 0x92bf7343bd079961, 0x0000b7edff842fa7,
};

// m161_u2x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xbaeedb43a28d0a20, 0xeeeaae87669625bb, 0x91a0a0cf7a76eeee, 0xa5e821afba0bde9d, 0x7747b6e843a67f4d,
  0x304f8c0482d95b52, 0xe092d7ff5933e63f, 0x6170933fdb3419a6, 0xaa8faa3727c04ed1, 0x1258f3c6f860e5ba,
  0xcbc25f886c2445f7, 0xf3354771b9787fa2, 0xa3cad0094ed667bd, 0xe71f51f06cc1c65e, 0x9c370ebec5a6298a,
  0x0ea426be96c65c70, 0x7408c439ceaedd92, 0x2d8d578d8ebce9bb, 0xce038ec5a627d1c8, 0xa3608991c37b2d97,
  0xa7d24d32cd4d7e1a, 0x038fa19a781013b9, 0xe53633a059a6f3e2, 0x167a1d53815d54e5, 0x97063b7fbd55169b,
  0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3, 0x1966b219e985f891,
  0x43bd079961d9f027, 0x23566c2fa792bf73, 0x00000000000000a0,
};

// m161_u2x12_uart1_dual_pr
static const uint64_t ur_m161_u2x12_uart1_dual[] = {
  0x777583ef07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x04772bed1ed1aac4,
  0x04f8c0482d95b525, 0x11ec99182a9087d3, 0xe5c61409f137dacf, 0xbe77e6571eb9dd3e, 0xa3afbd8145383939,
  0x2847244fe0e3dcde, 0x1f0a21895fe7ef82, 0x5777bbe6e5ba006e, 0xdc54219680f88865, 0x7b7d2bfe80e784db,
  0xc22660b0ab331739, 0xed9a0cd370510ffe, 0x9fe02768b0b8499f, 0x063efd4759e77cb0, 0x6594c37c9e8e3a7f,
  0xcecf6919a4398b01, 0xca2771cb1823af47, 0x69cfe67d1cccacca, 0x0cd3c0809dcd3e92, 0x9d02cd379f101c7d,
  0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x79b09732f9b65c45, 0xf943458f38b93570, 0xd30b41bf75663c81,
  0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x0000000188738101,
};

static const uint64_t ur_m161_u2x12_uart1_dual_pr_u4[] = {
  0xeb07de0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0xbddc80767121094e,
  0x27c602416cada938, 0x8f64c8c154835b98, 0x2e30a04f89bed678, 0xc52ff32addcee9f7, 0x51d2b6c1d29c0e1c,
  0x14239227f0752a6f, 0x0f8510c4aff3f7c1, 0xabbbddf3706b0037, 0xf22a10cb43e44432, 0xbdbf75ff4073c261,
  0x25bf305855998b9c, 0xfb668334dc1029fe, 0xe7b809da2c2e1267, 0xe0ded7a8f70cef96, 0x2eb14cf7dad1c74f,
  0xa9dabfa341673160, 0x25500ffd9823af01, 0x6638f81e59ed8fba, 0xf4934e7f33e8e665, 0xe3e8669e0404ee69,
  0x4d8ce81669bcf880, 0x9e8754e057553979, 0xe22adfef5545a6c5, 0x86e3cd84b997cdb2, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09,
  0x4edc867459e4afdc, 0x0000000000000052,
};

// m161_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m161_u2x12_uart1_dual_pr_ee[] = {
  0x7583ef07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0x5ef7bb7822afb17f,
  0x0905b2b6a4a33775, 0x8c15480a46609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0xec3fe1c0344da6bf,
  0x89fc1d0fcdea3d8f, 0x312bfcfdf04508e4, 0xf9b86b600dc3e144, 0xcb41d2a21955ddee, 0xfe80e784c5162a10,
  0x6156662e72f6fa6f, 0xa6e08a5ff896fcc1, 0xd16170933fdb3419, 0xdbf355ad1e95c04e, 0x47c1b307f27a8f2b,
  0x3afb169bbe2beebd, 0x9afa5b1971c270dc, 0x756979c57027e690, 0x75ec66edbda3278e, 0xa7cf234876355ae8,
  0x86f65deece038ec5, 0x1512a0ea8d823f5b, 0x34e7f33e8e665660, 0x8669e0404ee69f49, 0xce81669bcf880e3e,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0x3cd84b997cdb2e22, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0x3f03f7ec3343cc9f, 0x9ac867a617e247b9, 0xf41e658767c09c65, 0xc5e7459e4afdcd0e,
  0x0000000000015909,
};

// m161_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m161_u2x12_uart1_dual_pr_ce[] = {
  0xeb07de0f4486c541, 0xbbbab3534e57e6ee, 0x52be7adb62fbbbbb, 0xb520addddb8393b6, 0x3bac136abdc86cf8,
  0xf8c0482d95b527a7, 0xd932305523bad304, 0x8c2813e26fb59e23, 0x1ffccab773ba7dcb, 0xeafd850f9c3a7e6b,
  0x8e489fc1c729bd47, 0x144312bfcfdf0450, 0xef77cdc80000dc3e, 0x50865a152910caae, 0x53dff4073c268f71,
  0xe60b0ab3317397b7, 0xa0cd370495bfc4b7, 0x02768b0b8499fed9, 0x17070c7d547d57ce, 0x6c2445f71258f3ca,
  0xb89b7fa2cbc25f88, 0xf72c1013f3354771, 0xc74fe0d05fa8fd04, 0xd059cc580a3e7491, 0x6678ebc06a76afe8,
  0xe5adc3ee895403ff, 0xf33e8e6656638f81, 0xe0404ee69f4934e7, 0x669bcf880e3e8669, 0x0575539794d8ce81,
  0xf5545a6c59e8754e, 0x9732f9b65c18edfe, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x8b3c95fb9a1de83c, 0x00000006921072ce,
};

static const uint64_t ur_m161_u2x12_uart1_dual_pr_ee_ce[] = {
  0x583ef07d41437089, 0xbbab0db51fbf3777, 0x1d78d5bb37bbbbbb, 0x764048eeb623ad5a, 0x3dc89eec4d744fb1,
  0x416cada92ec9dd79, 0x05522e4a9827c602, 0x3e26fb59e23d9323, 0xab773ba7dcb8c281, 0x21f1c31ba6ec1fcc,
  0xfc1bfc9bd476bbd8, 0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x42dd221955ddeef9, 0x80e784ca7a2a10cb,
  0xaccc5ce5edcc7ffe, 0xc1472ff12df982c2, 0xc2e1267fb668334d, 0xac7f54701b809da2, 0xb9cb5f9e50b838a7,
  0xa76b02af9339d771, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8, 0x96c65c709c370ebe, 0xceaedd388ea426be,
  0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1, 0xb3a2541d51b044c8, 0x269cfe67d1cccacc,
  0xd0cd3c0809dcd3e9, 0x19d02cd379f101c7, 0x0ea9c0aeaa72f29b, 0x1dbfdeaa8b4d8b3d, 0x8f3612e65f36cb83,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x1bf01f343cc9fe04, 0x04e32cd6433d30b4, 0xee6877a0f32c3b3e,
  0x010018c73a2cf257,
};

static const uint64_t ur_m161_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0x60fbc1e8adbba0ae, 0xeead8ed086fcdddd, 0xe8bda7b47e6eeeee, 0xb33dd39d1aabbd35, 0x7b2bdc2f0f947e85,
  0x2b6a4abe777d7db5, 0x1bcfa609f180905b, 0x7dacf11ec99182a9, 0x9dd3ee5c61409f13, 0x04a89ae47f32d2df,
  0x0cdea3f2d6c19be7, 0xdf04508e489fc1f6, 0x00dc3e144312bfcf, 0x432abbbddf373bac, 0x30d68a8432d0a1f4,
  0x397b7b5bffa039e1, 0xf8134e60b0ab3317, 0xfed9a0cd370563ff, 0x9c3e02768b0b8499, 0xe50bcec6b5547d51,
  0xc4361222fb892c79, 0x71b8d07fd165e12f, 0x494ed667af933547, 0xf06cc1a63ea3cae4, 0x7d8b4c531584ff51,
  0x7d2d8cb8e1386e1d, 0xe39d5dba711d484d, 0x1b1d7b19bb6f68c9, 0x62d3e791a43b1aaf, 0x91c37b2ef76701c7,
  0x996744a83aa36089, 0xd24d39fccfa39995, 0x8fa19a781013b9a7, 0x3633a059a6f3e203, 0x7a1d53815d54e5e5,
  0x063b7fbd55169b16, 0x5c1e6c25ccbe6d97, 0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6, 0x5564f257ee6877a0, 0x00000000800f627c,
};

static const uint64_t ur_m161_u2x12_uart1_dual_ee_hw[] = {
  0xbbac1f783d1468f9, 0xeeeeeac4875ddf9b, 0x8d49c8ed6badeeee, 0xfdaf1e47f76c49ba, 0xee9b4ddbc9957d8b,
  0xe30120b656d49466, 0xc99182a90148cc13, 0x61409f137dacf11e, 0xd7e65d849dd3ee5c, 0xb1fd87fc380689b4,
  0x1c913f83a1f9bd47, 0x2886257f9fbe08a1, 0xbddf370d6c01b87c, 0x4219683a54432abb, 0x4dffd01cf098a2c5,
  0x982c2accc5ce5edf, 0x419a6e08a5ff9d5b, 0x04ed16170933fdb3, 0xf2bdbf355ad1e95c, 0xebd47c1b307f27a8,
  0x0dc3afb169bbe2be, 0x6909afa5b1971c27, 0x78e756979c57027e, 0xae875ec66edbda32, 0xec5a7cf234876355,
  0xf5b86f65deece038, 0x6601512a0ea8d823, 0xf4934e7f33e8e665, 0xe3e8669e0404ee69, 0x4d8ce81669bcf880,
  0x9e8754e057553979, 0xe22adfef5545a6c5, 0xc6e3cd84b997cdb2, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0xc9f81fbf619a1e64, 0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0x491885f4f257ee68, 0x0000000000015da9,
};

// m161_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m161_u2x12_uart1_dual_ee_ce_hw[] = {
  0xb07de0f451a12793, 0x7756c768437e6eee, 0x35e8bf5a7b777777, 0x85b33dd39d1aabbd, 0xbddfaf9c2f0f947e,
  0x82d95b5255f3b859, 0x1548de7d304f8c04, 0xf89bed6788f64c8c, 0xec24ee9f72e30a04, 0x9be704a89ae47f32,
  0xc1f60cdea3f2d6c1, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0xa1f4432abbbddf37, 0x39e130d68a8432d0,
  0x3317397b7b5bffa0, 0x563ffe756e60b0ab, 0xb8499fed9a0cd370, 0x47d519c3e02768b0, 0x2c79e37c30706b55,
  0xe12fc4361222fb89, 0x9aa3b8dceb3fd165, 0xe57224a76b33d7c9, 0x7fa8f83660d31f51, 0x370ebec5a6298ac2,
  0xa426be96c65c709c, 0xb464f1ceaedd388e, 0x8d578d8ebd8cddb7, 0x80e3b169f3c8d21d, 0xb044c8e1bd977bb3,
  0xcccaccb3a2541d51, 0xdcd3e9269cfe67d1, 0xf101c7d0cd3c0809, 0x72f29b19d02cd379, 0x4d8b3d0ea9c0aeaa,
  0x36cb831dbfdeaa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x48f727e07efd8668,
  0x138cb3590cf4c2fc, 0xb9a1de83ccb0ecf8, 0xebab22c817d3c95f,
};

// m161_swio10_noled_pr
static const uint64_t ur_m161_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0xec2f411d78d7a137,
  0xc0482d95b52776c7, 0xff565acf995304f8, 0xeb5cef9626a9004f, 0x4651c74fe0c43fa8, 0xe0b398b016f74d37,
  0x9630475e2e762691, 0xd7972ab52b2a5ee3, 0x152a8d75901cc906, 0x6b395daa5beace75, 0x2e98954bef5f4d32,
  0xdeb3bcb9ed5688af, 0x10b4b5fe2353c314, 0xda7a1d53816e3e28, 0x2c79c376c25ccbe6, 0x37eeacc790347f1a,
  0x89c659ac867a6168, 0xcd0ef41e65876592, 0x7c8124165a9e4afd,
};

static const uint64_t ur_m161_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae4506dc4a3, 0xfad4f54c0e26c13c, 0x59ade1631d7a45b1, 0xde3cb8f8bdd8e3d0,
  0xcada93bab074d889, 0xcfc7b9827c602416, 0xf2c22d20eebff56a, 0x3a7f064f7a8f371d, 0xc580b2ca6ee8148e,
  0x75e8f9d87c476b1c, 0xbe8167aa01ffb304, 0x2e556a209503cb3d, 0x551aeb2039920daf, 0x72bb54b7d59cea2a,
  0x312a97debe9a64d6, 0x7f5d73daad115e5d, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0xcbe6d8ad5156ff7a,
  0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x891ee4fc0fdfb0cd,
  0x0271966b219e985f, 0xf7343bd079961d9f, 0x0f93d65a080a792b,
};

// m161_swio10_noled_pr_ee_u4
static const uint64_t ur_m161_swio10_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0x5b52774eb68912d5, 0xf1ad304f8c0482d9, 0x38f74834dffead59, 0xf5f51e5670e6ab5a, 0xf8ae43fa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x7147109cead2f529, 0xb6355ae875e74dda, 0xce038ec5a6b5d188,
  0x46c11fadc37b2d97, 0x7972ab500967d7f5, 0x52a8d75901cc906d, 0xb395daa5beace751, 0xe98954bef5f4d326,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0xe65f36c56a8ab7fb, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xfc48f727e07efd86, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x00013ae5984053c9,
};

// m161_swio10_noled_pr_ce_u4
static const uint64_t ur_m161_swio10_noled_pr_ce[] = {
  0xcfdddddda2447705, 0xb3bb557382e2f896, 0x417420df4b5a1b5a, 0x9170ff8b3616805f, 0xfb4d2cfdd93ddd9e,
  0x2d95b52776c36f91, 0xd59fdf7304f8c048, 0x51f509f4814f7fea, 0x24b1e78c953b60b5, 0x9784bf10d8488bee,
  0x266a8ee3719f3f45, 0x2fd47c927b96086b, 0x0a13d7c8e3a7f078, 0x8f9d87c476b1cc58, 0x167aa01ffb33c75e,
  0x55a882540f2d6ee8, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0xaa5f7afa699359ca, 0x75cf6ab4457974c4,
  0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d, 0x36c56a31dbfdeaa8, 0x1726ae0f3612e65f, 0x5663c81f943458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf727e07efd866879, 0x8cb3590cf4c2fc48, 0xa1de83ccb0ecf813,
  0x5de6d84053c95fb9, 0x0000000000000037,
};

static const uint64_t ur_m161_swio10_noled_pr_ee_ce[] = {
  0x78fddddddd4458e2, 0x75eeed55c8a53389, 0xc48ec1bdc29a9fa5, 0xa87e2ec7ae368b0c, 0x4ee4b415e41fb78f,
  0x6d49dd29da1b8ed7, 0xeed4c13e30120b65, 0x90f480c7fff56acf, 0x78c953b0b563faa3, 0xf7cce75dc6e321fe,
  0x7a8f2b74b29dac0a, 0x57f3bd47c1b30680, 0x84e1b875f62d314c, 0x28752135f4b632e3, 0xda7147109ceaedd5,
  0x116c6abc6c75e74d, 0x2f9c071d8b4d6ba3, 0xf546c1132386f65b, 0x6d7972ab52cd67d7, 0x5152a8d75901cc90,
  0x26b395daa5beace7, 0xf2e98954bef5f4d3, 0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea,
  0x25ccbe6d8ad463b7, 0x50d163ce2e4d5c6c, 0xc2d06fdd598f207e, 0xcb25138cb3590cf4, 0x95fb9a1de83ccb0e,
  0x000534d3eb84053c,
};

static const uint64_t ur_m161_swio10_noled_pr_ee_ce_u4[] = {
  0x0adddddda2435f41, 0x1eeed55e11119c4b, 0xfe86edd3f66c42ff, 0xa53636d90123d388, 0xcc8c4ea66d829170,
  0xada93bb45fad8935, 0xfc009827c602416c, 0xefba416b7ffd4d6c, 0x942e0e4edd547d51, 0x10d8488bee24b1e7,
  0x8dc575ff459784bf, 0xca76b33def99aa3b, 0x06cc1a01ea3cadd2, 0xd8b4c5315fcef51f, 0xd2d8cb8e1386e1d7,
  0x73abb754a1d484d7, 0xb1d79d3769c51c42, 0x2d35ae8c45b1aaf1, 0x8e1bd96cbe701c76, 0x4b359f5fd51b044c,
  0x64073241b5e5caad, 0x96fab39d454aa35d, 0xfbd7d34c9ace576a, 0x7b55a22bcba62552, 0xc529e1a778efebae,
  0x194f43aa7020eea6, 0x2b518edfef5545a6, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f727e07efd86687, 0x38cb3590cf4c2fc4, 0x9a1de83ccb0ecf81, 0x7e1b90ce8b3c95fb,
  0x0000000000000002,
};

static const uint64_t ur_m161_swio10_noled_ee_hw[] = {
  0xafbbbbbb451a3768, 0x9bbb557e17a17121, 0x6f4d2ee97119cdcc, 0x5eb436bd2c33c5ea, 0x6a8b41590106d043,
  0x2d95b52775d96e9d, 0xc99f1ad304f8c048, 0x5ad1c7ba41a6fffa, 0x3067afa8f2b38735, 0xd377c5721fd47c1b,
  0x632e384e1b875f62, 0xa94b8d64d2135f4b, 0x6ed38a3884e75697, 0x8c45b1aad743af3a, 0x6cbe701c762d35ae,
  0xbfaa3608fd6e1bd9, 0x836bcb955a804b3e, 0x3a8a9546bac80e64, 0x99359caed52df567, 0x57974c4aa5f7afa6,
  0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xb09732f9b62b5455, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8, 0xbe9e4afdcd0ef41e,
  0x00000000b7f559b0,
};

// m161_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m161_swio10_noled_ee_ce_hw[] = {
  0x56eeeeed14684c7f, 0xf776aaf0888ce258, 0xf4376e9fb36217f8, 0x29b1b6c8091e9c47, 0x646275336c148b85,
  0xd95b52777aef76b4, 0x99f801304f8c0482, 0xaa3df7482d6fffac, 0xe78df0c1c9dbaa8f, 0xbf10d8488bee24b1,
  0x1dc6e775bf459784, 0xe9653b599ef7ccd5, 0x8f83660d00f51e56, 0xebec5a6298afe77a, 0x6be96c65c709c370,
  0x2139d5dbaa50ea42, 0x78d8ebce9bb4e28e, 0x3b169ad74622d8d5, 0x26470decb65f380e, 0x56a59acfafea8d82,
  0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0xa97debe9a64d672b, 0xd73daad115e5d312, 0x536294f0d3bc77f5,
  0xd30ca7a1d5381077, 0xdb15a8c76ff7aaa2, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0x23dc9f81fbf619a1, 0x4e32cd6433d30bf1, 0xe6877a0f32c3b3e0, 0x404140905f4f257e, 0x0000000000000001,
};

static const uint64_t ur_m161_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x7770a267e946beec,
  0x30120b656d49ddcc, 0xbfd596b3efe4c13e, 0x8ff21df2c4d52032, 0x03df1c74fe0c43fa, 0x8fa0398b016f74c8,
  0x1cb1823af173b5ac, 0x1b5e5caad4ace7b7, 0xd454aa35d6407324, 0x0404e576a96fab39, 0x6255aba5fd34c9ae,
  0x3f5ae7b55a22bcba, 0x57a96165362ce80f, 0xc0d8ff14085a6ae7, 0x612e65f36d3d0ea9, 0x67a616837e7f61bb,
  0x587659289c659ac8, 0xa9e4afdcd0ef41e6, 0x000000005496e165,
};

// m161_swio10_lednop_pr_u4
static const uint64_t ur_m161_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x9ed93dd590e3609e, 0x0b35bc2c6d8ca11e, 0x120bf31e3fbb1c7a,
  0xd95b5277638ee2fb, 0x59f80d304f8c0482, 0x7cb08b4803dffead, 0x8e9fc193dea3ce27, 0x62c05965307b4023,
  0x75e8f9d9314707ce, 0xddadd02a01ffb304, 0xe5caad508981e59e, 0x4aa35d64073241b5, 0x4e576a96fab39d45,
  0x5aba5fd34c9ae040, 0xae7b55a22bcba625, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0xb0862adfef5545a4,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0x4fc0fdfb0cd0f327,
  0x66b219e985f891ee, 0xbd079961d9f02719, 0x705080a792bf7343, 0x000000000000f935,
};

static const uint64_t ur_m161_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x52774ed6a334e447, 0x5f304f8c0482d95b, 0xee90472ffd5ab3fd, 0xea3caca1cd56b471, 0x594bf51f06cc19eb,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8d7c39d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x071d8b4e214637ec,
  0x823f5b86f65b2f9c, 0x72ab500ba059ea8d, 0xa8d75901cc906d79, 0x95daa5beace75152, 0xae97f4d326b81013,
  0x9ed5688af2e98956, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x218ab7fbd551691d, 0x57079b09732f9b6c,
  0x207e50d1674f8b93, 0xf2861539fa9d598f, 0x3cc9fe2e7197e627, 0xc2d06fc73dffc134, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x00000275e0504053,
};

static const uint64_t ur_m161_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0x5b527747b6c71086, 0xf8e5304f8c0482d9, 0x1f75482dd7fead59, 0x5f7a8f2b90f355ad, 0xf8add2fa8f83660e,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x7c8d3139d5a5d7da, 0xc6ab5d0ebd753769, 0xe038ec5a63e23b5a,
  0x8e83eb70decb872c, 0x039920daf2e556ab, 0x7d59cea2a551aeb2, 0xa64d7020272bb54b, 0x15e5d312ad5d2fe9,
  0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x12e65f36d843156f, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0xc2fc48f727e07efd, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x000009d74d004053,
};

// m161_swio10_lednop_pr_ce_u4
static const uint64_t ur_m161_swio10_lednop_pr_ce[] = {
  0x67eeeeeed1222044, 0x59ddaab9c1619c4b, 0xc8eb45d267c7cdad, 0x45c3fe2f179b18ee, 0x739eb8d32437767a,
  0x5b2b6a4eea0ade9c, 0xab3fb3a609f18090, 0xa3ea13e904aeffd5, 0x4963cf192a7795aa, 0x2f097e21b09117dc,
  0x4cd51dc6e2547e8b, 0x5fa8e0a4f72c10d6, 0x2edf97d1c74fe0f0, 0x7cec98a383e73160, 0xe81500ffd99e3af4,
  0x55aa11303cb5bad6, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0x4bfa69935c0809ca, 0x6ab4457974c4ab57,
  0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0x079b09732f9b6c21, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0x867a617e247b93f0, 0xe658767c09c659ac,
  0x2029e4afdcd0ef41, 0x000000000dd7ab28,
};

static const uint64_t ur_m161_swio10_lednop_pr_ee_ce[] = {
  0x78fddddddd4477d6, 0x75eeed55c8a2c189, 0xd19ea3bd5a1e9fa5, 0xa87e2ec7d335c742, 0x91977645e41fb78f,
  0x6d49dd7ada5295f0, 0xf4d4c13e30120b65, 0xe43d20ff9ffab567, 0x3c64a9dd8fd8fea8, 0x7be673aee37092bf,
  0x3d479597594ed605, 0x2b387ea3e0d98340, 0xc270dc3afb1698a6, 0x263a909afa5b1971, 0xec7aa35f0e7576e7,
  0x1bf6355e363af3a6, 0x97ce038ec5a710a3, 0x7aa3608991c37b2d, 0x1b5e5caad4b3e816, 0xd454aa35d6407324,
  0x0404e576a96fab39, 0x6255aba5fd34c9ae, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108,
  0xcdb61098edfef554, 0x79c5c9ab8d84b997, 0xfbab31e40fca1a2c, 0x71966b219e985a0d, 0x43bd079961d964a2,
  0x4ec7f080a792bf73, 0x0000000000000053,
};

static const uint64_t ur_m161_swio10_lednop_pr_ee_ce_u4[] = {
  0x0adddddda2436d3a, 0x1eeed55e1132744b, 0x3d295bad2c19c2ff, 0x4a6c6db208cc48fd, 0xb33b12b05b0522e1,
  0xada93bb73b47b577, 0xfc6e9827c602416c, 0xdf7481aefffa9ad9, 0x942e0e620aa8faa3, 0x10d8488bee24b1e7,
  0xc6e753bf459784bf, 0x653b599ef7ccd51d, 0x83660d00f51e565d, 0xec5a6298ace1fa8f, 0xe96c65c709c370eb,
  0x39d5db9c98ea426b, 0xd8ebce9bb1ea8d7c, 0x169c428c6fd8d578, 0x470decb65f380e3b, 0x52cfa059ea8d8226,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xf4d326b8101395da, 0x688af2e98956ae97, 0xf3a03cdedaeb9ed5,
  0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x3612e65f36d84263, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0xb219e985f891ee4f, 0x079961d9f0271966, 0xb9d16792bf7343bd,
  0x00000000004fccb4,
};

static const uint64_t ur_m161_swio10_lednop_ee_hw[] = {
  0xafbbbbbb451a3705, 0x4dddaabf0b841121, 0x1a62777c7edbe6e6, 0x7ad0daf4b42e19ad, 0x11fb220cc41b410d,
  0x6cada93bb61b77ed, 0x99feaf9827c60241, 0xad1c7ba411cbffac, 0x067afa8f2b287355, 0x377c5652fd47c1b3,
  0x32e384e1b875f62d, 0x26b8d64d2135f4b6, 0xec7aa35f0e756977, 0x8dfb1aad743af3a6, 0xcbe701c762d38851,
  0x7aa3608fd6e1bd96, 0x1b5e5caad402e816, 0xd454aa35d6407324, 0x0404e576a96fab39, 0x6255aba5fd34c9ae,
  0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xe6db0862adfef554, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x891ee4fc0fdfb0cd, 0x0271966b219e985f, 0xf7343bd079961d9f,
  0x016ff41282fa792b,
};

// m161_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_swio10_lednop_ee_ce_hw[] = {
  0x2b7777768a34173e, 0x7bbb557844c9d12c, 0xf4a56eb4b0670bfc, 0x29b1b6c8233123f4, 0xccec4ac16c148b85,
  0xcada93bb9f7baa3e, 0x9fc6e9827c602416, 0xa3df7481aefffac9, 0x3c6f860e620aa8fa, 0xf886c2445f71258f,
  0xdc6e6a83fa2cbc25, 0xd653b599ef7ccd51, 0xf83660d00f51e565, 0xbec5a6298ace1fa8, 0xbe96c65c709c370e,
  0xc39d5db9c98ea426, 0x8d8ebce9bb1ea8d7, 0xb169c428c6fd8d57, 0x6470decb65f380e3, 0xb52cfa059ea8d822,
  0x75901cc906d7972a, 0xaa5beace75152a8d, 0x7f4d326b8101395d, 0x5688af2e98956ae9, 0x5f3a03cdedaeb9ed,
  0x8754e0421520b94b, 0x3b7fbd551691db9e, 0xf3612e65f36d8426, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0xe17d3c95fb9a1de8, 0x000000000a026642,
};

// m161_swio10_dual_pr               m161_swio10_dual_pr_u4
static const uint64_t ur_m161_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3f38afc6, 0xd8d5bb1c7c8b4b3f, 0xc895bfa63d9b106e, 0x5ece76ca7adbad16,
  0xb524907734f68ebf, 0x113304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0xe00370f8510c4aff, 0x24432abbbddf371f, 0x3c26b5a2a10cb423,
  0x317397b7387ff407, 0xbeffc4b7e60b0ab3, 0xd4709e77cb645a40, 0x5f722471d3f83b5b, 0x91ad7398b01758a6,
  0xff6608ebc06a769b, 0x03cb3db8cb7b5403, 0x7f33e8e665667d51, 0x4073241b5e5caad6, 0x6fab39d454aa35d6,
  0x34c9ae0404e576a9, 0x22bcba6255aba5fd, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0xc25ccbe6db0862ad, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6, 0x3a2cf257ee6877a0, 0x000000002926b5ab,
};

static const uint64_t ur_m161_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x983eead63fbbbf1d, 0xa0fb77ed1da32313, 0x541b01489f55f62f, 0x6577d178ca16ec8a,
  0xc1774b26cda18532, 0x09f180905b2b6a4a, 0x8f64c8c15484e3e6, 0x2e30a04f89bed678, 0x8c7ff32addcee9f7,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b8089006e, 0xe2a10cb417da2195,
  0x6e1a3fe80e784c1e, 0x6fcc16156662e72f, 0xb5a3a954812d7f89, 0xc1edff51e572ba6a, 0x4ddf15e56f51f06c,
  0x8cb8e1386e1d7d8b, 0x86b813f3484d7d2d, 0xdb6fa3400e756973, 0x7bec6ab5d0ebd8cd, 0xeece038ec5a60a23,
  0x6a8d823f5b86f65d, 0x9f47332b300b7bb8, 0x9920daf2e556b3f9, 0x59cea2a551aeb203, 0x4d7020272bb54b7d,
  0xe5d312ad5d2fe9a6, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0xe65f36d843156ff7,
  0xe34596af1b8f3612, 0x54e7ea75666fe0ee, 0x343cc9fe04e34a18, 0xd6433d30b41bf01f, 0xa0f32c3b3e04e32c,
  0x6f3a2cf257ee6877, 0x000000000002b23d,
};

static const uint64_t ur_m161_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63f7eefc, 0xadeef747b5864670, 0x6e667d39d96d8bc6, 0xac40355f45e32858,
  0xd49312ee782d70b2, 0xc7cc13e30120b656, 0xacf11ec99182a909, 0xd3ee5c61409f137d, 0x13a992d7e655bb9d,
  0xdcdea3c56d80d638, 0xef822847244fe0f7, 0x006e1f0a21895fe7, 0x10caaeef77cdcb91, 0x13489150865a11ed,
  0xb9cbdb868ffa039e, 0x5fe25bf305855998, 0x439aad68cc7d204b, 0x3e0d983ea3d47959, 0xafb169bbe2b74bea,
  0xafa5b1971c270dc3, 0xad2f529701c66909, 0x794d3b4be46be1ce, 0x8f88c6fd8d56ba1d, 0x6f65b93380e3b169,
  0x47332b35c741f5b8, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x7020272bb54b7d59, 0xd312ad5d2fe9a64d,
  0x79fad73daad115e5, 0x3abd4b0b29b16740, 0x4e06c7f8a042d357, 0x9b09732f9b69e875, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x590cf4c2fc48f727, 0x83ccb0ecf8138cb3,
  0xbce8b3c95fb9a1de, 0x00000000000ac810,
};

// m161_swio10_dual_pr_ce_u4
static const uint64_t ur_m161_swio10_dual_pr_ce[] = {
  0x902f777776890c86, 0x38b07dd58b8d57df, 0x56d77eea0a7ad06e, 0xd89e4a539d6f7ecb, 0x54e82c8053ef7605,
  0x5b52571bbbbb36d0, 0x7ad5304f8c0482d9, 0xf6b3c47b26460aa4, 0x774fb97185027c4d, 0xe035a6275f9956ee,
  0xcad37a8fa6f61158, 0x9fbe08a11c913f83, 0x2801b87c2886257f, 0xa4432abbbddf3709, 0x3c26ea22a10cb40c,
  0x62e72f6fd3fff407, 0x2b7f896fcc161566, 0x1cd9d551f50f7482, 0x9117dc4963cf285c, 0x257e8b2f097e21b0,
  0xb0404fccd51dc6e5, 0x9fc1f49ea39eb3dc, 0x7398b015fcea238e, 0x78ebc06a769b91ad, 0xd6e8cb7b5403ff66,
  0xfa3999599f5440f2, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x6b8101395daa5bea, 0x2e98956ae97f4d32,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0x65f36d84263b7fbd, 0xc68b1be1b8f3612e,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x985f891ee4fc0fdf, 0x1d9f0271966b219e,
  0x792bf7343bd07996, 0x000000d248159d16,
};

static const uint64_t ur_m161_swio10_dual_pr_ee_ce[] = {
  0x3ed6eeeeeea1a5fb, 0x4e60fbab71fc89bf, 0xf7337bb62f1a8053, 0x388a727270b26d13, 0xae3f2bbde9d33fb5,
  0x12ee964d5189852f, 0x13e30120b656d49b, 0x3d932305520e49cc, 0xb8c2813e26fb59e2, 0xadffccab773ba7dc,
  0x74dbd84ed9c2d6e6, 0x11c913f8319b9bd4, 0xc2886257f9fbe08a, 0xef77cdc575c01b87, 0x50865a050d10caae,
  0x8ddff4073c2674b1, 0xcc16156662e72f6f, 0x46c16904edff896f, 0xf3ca1707136ec7f5, 0xabe4ce75dc6e341f,
  0x27a8f2bc0929dac0, 0xc56a7bd47c1b3072, 0x384e1b875f62d314, 0x70c752135f4b632e, 0xbb6df46801ceaedc,
  0xdefb1aaf1b1d7b19, 0x7bb380e3b1698288, 0x0d51b044c8e1bd97, 0x33e8e6656659ef77, 0x73241b5e5caad67f,
  0xab39d454aa35d640, 0xc9ae0404e576a96f, 0xbcba6255aba5fd34, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8,
  0xf5545a476e7a1d53, 0xb997cdb61098edfe, 0xee3458f386e3cd84, 0x30b41bf75666fe0e, 0x3b3e04e32cd6433d,
  0xf257ee6877a0f32c, 0x000002609a733a2c,
};

static const uint64_t ur_m161_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76421f, 0x3eead50faf77e75d, 0x64d51fa2f499f698, 0x7f1fefaf87c3c3d9, 0x833467d765887b15,
  0xd75da7d793abde44, 0x656d49b0cee2fada, 0x458f5cc13e30120b, 0xdf6b3c47b26460aa, 0xe774fb97185027c4,
  0xc0d6e6986fccb4b7, 0x6fcdea38a4d87eb9, 0xfdf04508e489fc1d, 0x400dc3e144312bfc, 0x88655777bbe6e7ad,
  0x134ae8a8432d08ac, 0x7397b74a8ffa039e, 0xff8134e60b0ab331, 0x5547d51c72a41faf, 0xb892c79e50bcec52,
  0x165e12fc4361222f, 0xf266a8ee373d6afd, 0xa8f2bc0929daccf5, 0x6a7bd47c1b307227, 0x4e1b875f62d314c5,
  0xc752135f4b632e38, 0x6df46801ceaedc70, 0xfb1aaf1b1d7b19bb, 0xb380e3b1698288de, 0x51b044c8e1bd977b,
  0xe8e6656659ef770d, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0xae0404e576a96fab, 0xba6255aba5fd34c9,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x97cdb61098edfef5, 0x37c5c9ab83cd84b9,
  0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2,
  0xcd0ef41e658767c0, 0x00de4a8aac9e4afd, 0x0000000000000008,
};

static const uint64_t ur_m161_swio10_dual_ee_hw[] = {
  0xb2dddddda28d0f68, 0x7307dd5ac7f777e3, 0xf41f6efda3b46462, 0x4a83602913eabec5, 0x4caefa2f1942dd91,
  0x49582ee68fee99d6, 0x7cc13e30120b656d, 0xcf11ec99182a909c, 0x3ee5c61409f137da, 0xb5318ffe65d849dd,
  0x9bd47275b04b4700, 0xf04508e489fc1c56, 0x0dc3e144312bfcfd, 0x32abbbddf3701120, 0x83dc54219682fb44,
  0xe5edc347fd01cf09, 0xf9d5b982c2accc5c, 0xa6ab5a3a954812d7, 0x06cc1edff51e572b, 0xd8b4ddf15e56f51f,
  0xd2d8cb8e1386e1d7, 0x97386b813f3484d7, 0x8cddb6fa3400e756, 0xa237bec6ab5d0ebd, 0x65deece038ec5a60,
  0xbb86a8d823f5b86f, 0x3f99f47332b300b7, 0x2039920daf2e556b, 0xb7d59cea2a551aeb, 0x9a64d7020272bb54,
  0x115e5d312ad5d2fe, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x612e65f36d843156,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590,
  0x7d3c95fb9a1de83c, 0x0000000aed6cf261,
};

// m161_swio12_noled
static const uint64_t ur_m161_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x5b2b6a4ee82fdd5a, 0xb59feea609f18090, 0xef96e82901ebfeac, 0xe3a7f075ffd47884, 0xcc580b7ba63d7e48,
  0x23af173b41f464d1, 0xcaad4ac27b71cb18, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0x95b1bd7d34c9ace5,
  0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0xf36cf5b8ab7fbd55, 0x837e7f61bb612e65,
  0x289c659ac867a616, 0xdcd0ef41e6587659, 0x005483a165a9e4af,
};

// m161_swio11_noled_pr_u4           m161_swio12_noled_pr              m161_swio12_noled_pr_u4
static const uint64_t ur_m161_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xddaab91480225713, 0xc77afd8d05b04f05, 0x60e2266c4767b53d, 0x1a875a6edc4e82cd,
  0x6a4eef4ed2b793b3, 0x63e609f180905b2b, 0xdee906dfffd5ab3e, 0xf8326bd47050ef96, 0x16594db7e5f471d3,
  0x3e765ae8c45398b0, 0x13ca807fecc11d7a, 0x56acfba07967b7d2, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551,
  0xd8debe9a64d672bb, 0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0xb67adc55bfdeaa8b,
  0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc,
  0x659ac867a617e247, 0x0ef41e658767c09c, 0xe7e082029e4afdcd, 0x00000000000003e4,
};

// m161_swio11_noled_pr_ee_u4        m161_swio12_noled_pr_ee           m161_swio12_noled_pr_ee_u4
static const uint64_t ur_m161_swio11_noled_pr_ee[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0xb6a4eeabed8371aa, 0xe706609f180905b2, 0x663e906ceffd5ab3, 0x51ea3cacbacd56b4, 0xf159c3f51f06cc1f,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x008fe439d5a5ca2a, 0xec6ab5d0ebce9bb2, 0xce038ec5a6f7a3de,
  0x46c11fadc37b2d97, 0x5e5caad40227b9e5, 0x54aa35d64073241b, 0xce576a96fabb39d4, 0xe9895b1bd7d34c9a,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0xe65f36cf5b8ab7fb, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xfc48f727e07efd86, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x0009d708584053c9,
};

// m161_swio11_noled_pr_ce_u4        m161_swio12_noled_pr_ce           m161_swio12_noled_pr_ce_u4
static const uint64_t ur_m161_swio11_noled_pr_ce[] = {
  0x245ddddda2445541, 0xeed55ce0a6ee24f2, 0x836a2e8c1ae6d6ac, 0x8b87eb42b68258f0, 0x650d3866a6f75e44,
  0xb656d49dd015bc97, 0x567edd4c13e30120, 0xa3eb22520c09ffab, 0x4963cf192a76a7aa, 0x2f097e21b09117dc,
  0x99aa3b8dc66ffe8b, 0xff51d7c9ee5821ac, 0x16449ba38e9fc1ac, 0x3e765ae8c45398b0, 0x13ca807feccf1d7a,
  0x55ab3ee81e5addd2, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae, 0xd73daad115e5d312,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0xdb3d6cc76ff7aaa2, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e,
  0x78fae1014f257ee6, 0x00000000000000dd,
};

// m161_swio12_noled_pr_ee_ce
static const uint64_t ur_m161_swio11_noled_pr_ee_ce[] = {
  0x8d43dddddd447e4a, 0x7bbb557229e46259, 0x37b707490c77e95d, 0x1f8b6a7f4c8fb4b8, 0xb582103c83f6cc6a,
  0xd49dd295a6e87b4b, 0x344c13e30120b656, 0xc3a4163fffab567c, 0x8c953be9fb1fd519, 0x7cce75dc6e5c8fe7,
  0xa8f2b90f29dac0af, 0x6e97d47c1b307a57, 0x4e1b875f62d314c5, 0x4752135f4b632e38, 0x90047f21ceaedc51,
  0xeec6abc6c75e74dd, 0x7ce038ec5a6f7a3d, 0x2a3608991c37b2d9, 0xdaf2e556a5993dcf, 0xa2a551aeb2039920,
  0xd672bb54b7d5d9ce, 0x974c4ad8debe9a64, 0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754,
  0x2e65f36cf5b31dbf, 0x868b1e71726ae361, 0x16837eeacc7903f2, 0x59289c659ac867a6, 0xafdcd0ef41e65876,
  0x000a699cf82029e4,
};

// m161_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m161_swio11_noled_pr_ee_ce_u4[] = {
  0x29bddddda243704a, 0x776aaf0888ee2448, 0x9badd86656e17f8f, 0x3636cd88372ecd2e, 0x4e4ef22d82914905,
  0x6a4eebadea0aeeec, 0x0fa609f180905b2b, 0xea90620ffea6b67d, 0x85c1c7f9551f5476, 0x1b09117dc4963cf2,
  0xdcf397e8b2f097e2, 0xa76b33def99aa3b8, 0x6cc1e95ea3cae43c, 0x8b4c5315ba5f51f0, 0x2d8cb8e1386e1d7d,
  0x3abb71451d484d7d, 0x1d79d3764011fc87, 0x69bde8f7bb1aaf1b, 0x70decb65f380e3b1, 0x9664f73ca8d82264,
  0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x7afa699359caed52, 0xdaad115e5d312b63, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0xd6cc76ff7aaa2d30, 0x86e3cd84b997cdb3, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09, 0xf3ecf67459e4afdc,
  0x0000000000000013,
};

// m161_swio12_noled_ee_hw
static const uint64_t ur_m161_swio11_noled_ee_hw[] = {
  0xd69bbbbb451a37d6, 0xeed55f85debc4b8f, 0x5c7bb50c99f37326, 0xd686d0c6966ef0ad, 0xb22101b020da0b8f,
  0xd95b52775eb6eabe, 0x99f383304f8c0482, 0xad198fa41b3bffac, 0x07d47a8f2b2eb355, 0x377c5670fd47c1b3,
  0x32e384e1b875f62d, 0x8ab8d64d2135f4b6, 0xec8023f90e756972, 0xf7bb1aad743af3a6, 0x65f380e3b169bde8,
  0x7951b047eb70decb, 0x06d7972ab50089ee, 0x75152a8d75901cc9, 0x26b395daa5beaece, 0xbcba6256c6f5f4d3,
  0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x84b997cdb3d6e2ad, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x3d30bf123dc9f81f, 0x2c3b3e04e32cd643, 0xf4f257ee6877a0f3,
  0x00000005be33c985,
};

// m161_swio11_noled_ee_ce_u4_hw     m161_swio12_noled_ee_ce_hw        m161_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m161_swio11_noled_ee_ce_hw[] = {
  0x4deeeeed1468cc7f, 0xbb55784447712241, 0xdd6ec332b70bfc7b, 0xb1b66c41b9766974, 0x7277916c148a4829,
  0x6d49dd4fbddb9d62, 0xa1f4c13e30120b65, 0xedd520c41ffd64cf, 0x1be1838ff2aa3ea8, 0x21b09117dc4963cf,
  0x8dc7547e8b2f097e, 0xca76b33def99aa3b, 0x06cc1e95ea3cae43, 0xd8b4c5315ba5f51f, 0xd2d8cb8e1386e1d7,
  0x73abb71451d484d7, 0xb1d79d3764011fc8, 0x169bde8f7bb1aaf1, 0x470decb65f380e3b, 0xa9664f73ca8d8226,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0x37afa699359caed5, 0x3daad115e5d312b6, 0x6294f0d3bc77f5d7,
  0x0ca7a1d538107753, 0x3d6cc76ff7aaa2d3, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb,
  0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e, 0x29d5205f4f257ee6, 0x00000000000000a0,
};

// m161_swio12_lednop
static const uint64_t ur_m161_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0xe921b6c671fddd48,
  0x0482d95b5277617e, 0xeacb59f80d304f8c, 0x921df2dd05200f7f, 0x631c74fe0ebffa8f, 0xa4398b016f74da52,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0xa9546bac80e64836, 0x9caed52df57673a8, 0x72f4bfa69935c080,
  0xae7b55a22bcba625, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0x732f9b69e8754e05, 0x30b41bf3fb0ddb09,
  0xb2c944e32cd6433d, 0x257ee6877a0f32c3, 0x000002a45c0b2d4f,
};

// m161_swio11_lednop_pr_u4          m161_swio12_lednop_pr             m161_swio12_lednop_pr_u4
static const uint64_t ur_m161_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb557229e3e25713, 0xa9bdbf30fb609e0b, 0x5838a002665eec9e, 0x7c2f75fbb713a0b3,
  0x6a4ee891d37702ec, 0xbee609f180905b2b, 0xdee9047bffd5ab3e, 0xf8326bd47400ef96, 0x0b2ca68f7a5471d3,
  0x1f3b4428c6f9cc58, 0x7a45403ff6608ebd, 0x55abeb703cb3db11, 0x6bac80e64836bcb9, 0xd52df57673a8a954,
  0xbfa69935c0809cae, 0x55a22bcba62572f4, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7,
  0x83cd84b997cdb192, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0x433d30bf123dc9f8, 0xf32c3b3e04e32cd6, 0x1014f257ee6877a0, 0x000000001f26a9ac,
};

// m161_swio12_lednop_pr_ee
static const uint64_t ur_m161_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0x49dd1eda8ec219a5, 0xd4c13e30120b656d, 0x7d201adffab567d2, 0xd4795b059aad68cc, 0xb287ea3e0d983ea3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x1cdc73ab4ba565c6, 0xd56ba1d79d376ea1, 0x071d8b4fe4471958,
  0x823f5b86f65b2f9c, 0xb955a805d213ca8d, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0xf4bfa69935c0809c,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x922adfef5545a476, 0xab83cd84b997cdb1,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e64ff1738cbf313, 0x616837e39effe09a, 0x767c09c659ac867a,
  0xe4afdcd0ef41e658, 0x0000013af8c42029,
};

// m161_swio12_lednop_pr_ee_u4
static const uint64_t ur_m161_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x52774eb68912d551, 0xad304f8c0482d95b, 0xbf4834dffead59f1, 0xf51e5670e6ab5a3d, 0xae43fa8f83660e71,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8e2139d5a5ea52e2, 0x55ae875eba9bb4e2, 0x38ec5a6b5d188b63,
  0x93eb70decb872ce0, 0x9920daf2e556ab8e, 0xd9cea2a551aeb203, 0xd7020272bb54b7d5, 0x2e9895cbd2fe9a64,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xe65f36c648ab7fbd, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xfc48f727e07efd86, 0xf8138cb3590cf4c2,
  0x5fb9a1de83ccb0ec, 0x00013ae5984053c9,
};

// m161_swio11_lednop_pr_ce_u4       m161_swio12_lednop_pr_ce          m161_swio12_lednop_pr_ce_u4
static const uint64_t ur_m161_swio11_lednop_pr_ce[] = {
  0x122eeeeed1222582, 0x776aae7056971279, 0xba47f76dbaf36b56, 0x70fd686ecadbd368, 0x9505a16b46ebc891,
  0x656d49dd3b5b2ed3, 0x67e2b4c13e30120b, 0x3eb22520df7ffab5, 0x963cf192a772baaa, 0xf097e21b09117dc4,
  0xcd51dc6e321fe8b2, 0xf51e5f4f72c10d64, 0x4ca9c638e9fc1acf, 0xe7688518df398b01, 0x48a807feccf1d7a3,
  0xad5f5b81e5adc22f, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xfd34c9ae0404e576, 0xad115e5d312b97a5,
  0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0x3cd84b997cdb190c, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64,
  0x014f257ee6877a0f, 0x000000006eba45e1,
};

// m161_swio12_lednop_pr_ee_ce
static const uint64_t ur_m161_swio11_lednop_pr_ee_ce[] = {
  0x8d43dddddd446f43, 0x7bbb557229d3a259, 0x77b13b504b27e95d, 0x1f8b6a7e47e9bd74, 0x71c5a2bc83f6cc6a,
  0xa93bad3b5d94e283, 0xdb9827c602416cad, 0x0e906ed7fead59f9, 0x3254ec66ec7f5467, 0xf339d771b8ce5f9e,
  0xa3caca5ca76b02bd, 0x975f51f06cc1e95e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0xea11cdc73abb7256,
  0x2b1aaf1b1d79d376, 0xf380e3b169fc88e3, 0xa8d8226470decb65, 0x6bcb955a967d213c, 0x8a9546bac80e6483,
  0x09caed52df57673a, 0x572f4bfa69935c08, 0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xb63218edfef5545a, 0x38b93571b09732f9, 0x75663c81f943458f, 0x32cd6433d30b41bf, 0x77a0f32c3b2c944e,
  0x8bf61014f257ee68, 0x0000000000000a69,
};

// m161_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m161_swio11_lednop_pr_ee_ce_u4[] = {
  0x29bddddda243306a, 0x776aaf0886462448, 0xbb2dd1a78be17f8f, 0x3636cd847706cc4e, 0x740be9cd82914905,
  0xa93bb55fa75b66c3, 0xd79827c602416cad, 0xaa41003ffa9ad9ff, 0x2e0e56fd547d51db, 0xd8488bee24b1e794,
  0xc76eff459784bf10, 0x76b33def99aa3b8d, 0xcc1e95ea3caca5ca, 0xb4c5315975f51f06, 0xd8cb8e1386e1d7d8,
  0xabb72561d484d7d2, 0xd79d376ea11cdc73, 0x9fc88e32b1aaf1b1, 0x0decb65f380e3b16, 0x67d213ca8d822647,
  0x80e64836bcb955a9, 0xf57673a8a9546bac, 0x9935c0809caed52d, 0x2bcba62572f4bfa6, 0x80f37b6bae7b55a2,
  0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x09732f9b63218edf, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0xe8b3c95fb9a1de83,
  0x0000000027e0f57c,
};

// m161_swio12_lednop_ee_hw
static const uint64_t ur_m161_swio11_lednop_ee_hw[] = {
  0xd69bbbbb451a1541, 0xeed55f85ea2c4b8f, 0xd33ddcc46df37326, 0xeb436863d7696826, 0x695a2e2f106d05c7,
  0xb2b6a4ee80addd94, 0x33e96a609f180905, 0x5a331f4806b7ff59, 0x0fa8f51e56c166ab, 0x6ef8aca1fa8f8366,
  0x65c709c370ebec5a, 0x5971ac9a426be96c, 0xdba847371cead2e9, 0xc656355ae875e74d, 0xcbe701c762d3f911,
  0xf2a3608fd6e1bd96, 0x0daf2e556a017484, 0xea2a551aeb203992, 0x20272bb54b7d5d9c, 0x895cbd2fe9a64d70,
  0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xf36c648ab7fbd551, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc48f727e07efd866, 0x8138cb3590cf4c2f, 0xfb9a1de83ccb0ecf,
  0x00b7c8cd017d3c95,
};

// m161_swio11_lednop_ee_ce_u4_hw    m161_swio12_lednop_ee_ce_hw       m161_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_swio11_lednop_ee_ce_hw[] = {
  0x537bbbbb451a1f68, 0xeed55e110c8c4890, 0x765ba34f17c2ff1e, 0x6c6d9b08ee0d989d, 0xe817d39b0522920a,
  0x5b52774abf750086, 0xffaf304f8c0482d9, 0x3b75482007ff5933, 0x8df0c1cadfaa8faa, 0x10d8488bee24b1e7,
  0x8dc36eff459784bf, 0xca76b33def99aa3b, 0x06cc1e95ea3caca5, 0xd8b4c5315975f51f, 0xd2d8cb8e1386e1d7,
  0x73abb72561d484d7, 0xb1d79d376ea11cdc, 0x169fc88e32b1aaf1, 0x470decb65f380e3b, 0xa967d213ca8d8226,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0xa69935c0809caed5, 0xa22bcba62572f4bf, 0xce80f37b6bae7b55,
  0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x9b09732f9b63218e, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0x867a617e247b93f0, 0xe658767c09c659ac, 0x0be9e4afdcd0ef41, 0x00000000280a6793,
};

/*
 * m161_swio11_dual_pr               m161_swio11_dual_pr_u4            m161_swio12_dual
 * m161_swio12_dual_pr               m161_swio12_dual_pr_u4
 */
static const uint64_t ur_m161_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x0fbab71ffb57e11f, 0x3edd123c95a59fb6, 0x4ad9893ac828dd6b, 0x69c92634edd23f64,
  0x49241dc3f368bcaf, 0xfcc13e30120b656d, 0x6788f64c8c1548e6, 0x9f72e30a04f89bed, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b96b6, 0x135ad150865a1192,
  0xb9cbdb975ffa039e, 0x5fe25bf305855998, 0x8f221df2c3e520a9, 0x2bba8e3a7f0622fa, 0x1bde731602eb14d5,
  0xf6608ebc06a76051, 0xf2cf6f22c1f5403f, 0xccfa3999599485c0, 0x1cc906d7972ab59f, 0xaece75152a8d7590,
  0x26b8101395daa5be, 0x7974c4ae5e97f4d3, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x9732f9b632455bfd, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590, 0x8b3c95fb9a1de83c, 0x0000000a49a0e3ce,
};

// m161_swio12_dual_pr_ee
static const uint64_t ur_m161_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x07dd5ac7d71bf1eb, 0x85eeeca1ec646273, 0xa0db620b28fe7deb, 0x766dd6c650b7ac52,
  0x1771c16d8235d508, 0x9f180905b2b6a4ac, 0xf64c8c1548b24e60, 0xe30a04f89bed6788, 0xc7ff32addcee9f72,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b9cdf006e1, 0x2a10cb417da21955,
  0xd36ffe80e784c1ee, 0xf982c2accc5ce5ed, 0x68ca2d20a1fff12d, 0x332bd4795efb9aad, 0xbbe2b95dea3e0d98,
  0x971c270dc3afb169, 0x57027e6909afa5b1, 0x8ca47a51cead2e5d, 0xc6c6ab5d0ebd8cdd, 0xd9c071d8b4e5f234,
  0x51b047eb70decbbd, 0xe8e665660141fb59, 0x241b5e5caad67f33, 0x39d454aa35d64073, 0xe0404e576a96fabb,
  0xd312b97a5fd34c9a, 0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0xcbe6d8c9156ff7aa,
  0x68b2d5e371e6c25c, 0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0xc867a616837e03e6, 0x1e658767c09c659a,
  0x67459e4afdcd0ef4, 0x00000000005642b5,
};

// m161_swio12_dual_pr_ee_u4
static const uint64_t ur_m161_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0x83eead63c75efc37, 0x5c774eb00a46706d, 0xccfa73d6dcfb67db, 0x13d47dd6c650b374,
  0x4c4bb9a3fbee0ce9, 0x304f8c0482d95b52, 0xc47b26460aa45927, 0xb97185027c4df6b3, 0xa64b5f9956ee774f,
  0x7a8f15b60358e04e, 0x08a11c913f83df73, 0xb87c2886257f9fbe, 0x2abbbddf37292801, 0x224542196847b443,
  0x5edd36ffe80e784d, 0x12df982c2accc5ce, 0xd56b46fe520a1fff, 0xd98309fea3cad82c, 0x169bbe2b90fea3e0,
  0x5b1971c270dc3afb, 0xe515701c66909afa, 0x69da7147371cead2, 0xa38cac6ab5d0ebca, 0x2dc99c071d8b4d6b,
  0x9959ae3a4fadc37b, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x1395daa5beaece75, 0xae5e97f4d326b810,
  0xb5cf6ab4457974c4, 0x52c2ca6c59d01e7e, 0xa2fa2810b4d5ceaf, 0x2e65f36d3d0ea9c0, 0xddc68b1be1b8f361,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21,
  0x16792bf7343bd079, 0x00000000ac9d3d9d,
};

// m161_swio12_dual_pr_ce
static const uint64_t ur_m161_swio11_dual_pr_ce[] = {
  0x89ddddd0f5a1a5fb, 0xfbab17151fbf199d, 0xbdd3b4d3a0dc7160, 0x9294aad0ebc6add9, 0xd744fb17dd667627,
  0xb8ddd2c9b9126144, 0x827c602416cada92, 0x23d932305522e4a9, 0xcb8c2813e26fb59e, 0x313afccab773ba7d,
  0xd47d37b08ac701ad, 0x4508e489fc1e569b, 0xc3e144312bfcfdf0, 0x55ddeef9b8ce400d, 0x51150865a0652219,
  0x7b731fffa039e137, 0x4b7e60b0ab331739, 0xaa8fac7ba411cbfc, 0xe24b1e7942e0e456, 0x59784bf10d8488be,
  0x7e66a8ee373acff4, 0xc3f51fa89ee58202, 0x0580c13e38e9fc1d, 0x0d4ec0a237bce62c, 0x83ea807feccf1d78,
  0xacca42e0796b7645, 0xcb955acfe67d1ccc, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0x2f4bfa69935c0809,
  0xe7b55a22bcba6257, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x3218edfef5545a47, 0xf0dc79b09732f9b6,
  0xab337f07771a2ce9, 0xfcc4fe50c2a73f53, 0xf82687993fc5ce32, 0x219e985a0df8e7bf, 0x79961d9f0271966b,
  0x9d16792bf7343bd0, 0x0000000000d24c63,
};

// m161_swio12_dual_pr_ce_u4
static const uint64_t ur_m161_swio11_dual_pr_ce_u4[] = {
  0x919eeeeed121a5fb, 0x07dd58b8d17df913, 0x0b6eb4e374b07c8b, 0x6b8e05957a7da4cd, 0xa557d6a356ec4e46,
  0x49a8aee964dc3e30, 0x24c13e30120b656d, 0x6788f64c8c15480b, 0x9f72e30a04f89bed, 0xdd4db3bf32addcee,
  0xe6f51f026c2571c2, 0x7c114239227f0652, 0x0370f8510c4aff3f, 0x8655777bbe6e2540, 0x9a5f454219687508,
  0x9cbdbf57ffd01cf0, 0xfe25bf305855998b, 0x2baaa3eb22520df7, 0x2fb892c79e50b839, 0xfd165e12fc436122,
  0x21ac99aa3b8dceb3, 0x8359fea3cbe9ee58, 0x3160299538c71d3f, 0x3af47ced10a31be7, 0xcacc7507f71cb19e,
  0xbcb955acfe67d1cc, 0xa9546bac80e64836, 0x9caed52df57673a8, 0x72f4bfa69935c080, 0xae7b55a22bcba625,
  0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0x63218edfef5545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x48f727e07efd8668, 0x138cb3590cf4c2fc, 0xb9a1de83ccb0ecf8,
  0x1a489a0ce8b3c95f,
};

// m161_swio12_dual_pr_ee_ce
static const uint64_t ur_m161_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xe60fbab71f69ebf3, 0x7eafbb9f6cf80534, 0xe229c10fdc61f05b, 0x419cd9b7a74cf654,
  0x4bb8e0b4786d759b, 0x4f8c0482d95b526c, 0xf64c8c154823d730, 0xe30a04f89bed6788, 0xb7ff32addcee9f72,
  0xd36f613b670b5b9a, 0x47244fe0c66e6f51, 0x0a21895fe7ef8228, 0xdeef9b9e72006e1f, 0xa10cb40a1a21955d,
  0xf5ffe80e784ce962, 0x982c2accc5ce5edf, 0x46a7a903fcff12df, 0xf9e50b839a6ac7f5, 0x2af9339d771b8a49,
  0x75ea3caf2b4a76b0, 0x315e04f51f06cc1f, 0x8e1386e1d7d8b4c5, 0x1751d484d7d2d8cb, 0x3763291e9473abb7,
  0x1a636355e363af63, 0xdeece038ec5a72f9, 0xd6546c1132386f65, 0xccfa39995996707e, 0x1cc906d7972ab59f,
  0xaece75152a8d7590, 0x26b8101395daa5be, 0x7974c4ae5e97f4d3, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0,
  0xeaa8b48edcf43aa7, 0x2e65f36c6431dbfd, 0xbb8d163ce1b8f361, 0x4c2d06fdd599bf83, 0x0ecf8138cb3590cf,
  0x3c95fb9a1de83ccb, 0x000004c13a4ece8b,
};

// m161_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m161_swio11_dual_pr_ee_ce_u4[] = {
  0x16eeeed15b76f2df, 0x756a8657bbf13ecb, 0xb500bada4cfb4c1f, 0xf3373680fa5934e0, 0x19a334fb2c43db7e,
  0x5605b4721ae2da78, 0x95b526c33bab00e9, 0x14fc3304f8c0482d, 0x7dacf11ec99182a9, 0x9dd3ee5c61409f13,
  0x035b9a61bf32d2df, 0xbf37a8e29361fae7, 0xf7c114239227f075, 0x00370f8510c4aff3, 0x21955ddeef9b9725,
  0x4d2ba2a10cb422b2, 0xce5edd90ffe80e78, 0xfe04d3982c2accc5, 0x551f54635a90760f, 0xc4963cf285e778dd,
  0xb2f097e21b09117d, 0x93354771b97257e8, 0x4795e5694ed667af, 0xc09ea3e0d983eebd, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0x6523d28e7576e2ea, 0x6c6abc6c75ec66ec, 0x9c071d8b4e5f234c, 0x8d8226470decbbdd,
  0x47332b32ce0fdaca, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x020272bb54b7d5d9, 0x9895cbd2fe9a64d7,
  0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0xbe6d8c863b7fbd55, 0xbe2e4d5c1e6c25cc,
  0xd599bf83f6ec68b1, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3dc9f81fbf619a1e, 0xe32cd6433d30bf12,
  0x6877a0f32c3b3e04, 0x0083545564f257ee, 0x0000000000000040,
};

// m161_swio12_dual_ee_hw
static const uint64_t ur_m161_swio11_dual_ee_hw[] = {
  0xb14addddda28d086, 0x307dd5ac7d71bf1e, 0xb85eeeca1ec64627, 0x2a0db620b28fe7de, 0x8766dd6c650b7ac5,
  0x2560bbbbb3754e90, 0x7304f8c0482d95b5, 0x3c47b26460aa4592, 0xfb97185027c4df6b, 0xd4c63ff997612774,
  0x6f51c9d6c12d1c02, 0xc114239227f0715a, 0x370f8510c4aff3f7, 0xcaaeef77cdce6f80, 0x0f7150865a0bed10,
  0x2f6e9b7ff4073c26, 0xceadcc16156662e7, 0x6ab5a328b48287ff, 0x3660ccaf51e57bee, 0xc5a6ef8ae577a8f8,
  0x96c65c709c370ebe, 0xb9755c09f9a426be, 0x33763291e9473ab4, 0xc8d31b1aad743af6, 0x2ef76701c762d397,
  0xed6546c11fadc37b, 0xfccfa39995980507, 0x01cc906d7972ab59, 0xeaece75152a8d759, 0x326b8101395daa5b,
  0x57974c4ae5e97f4d, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x09732f9b632455bf,
  0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x7a617e247b93f03f, 0x58767c09c659ac86,
  0xe9e4afdcd0ef41e6, 0x0000002bb4f65a0b,
};

static const uint64_t ur_m161_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0xdd41200db6f26ecf,
  0x80905b2b6a4eed8f, 0xfd596b3fb7e609f1, 0xff21df2dd2520ea3, 0x3248e3a7f07cf7a8, 0x7d01cc580b7ba6ea,
  0xcb1823af173b0df4, 0xb5e5caad4ac26b71, 0x454aa35d64073241, 0x95daa5beaa6fb39d, 0x12ad5ef5f4d326b3,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0x2f9b6409156ff7aa, 0xb41bf3fb0ddb0973,
  0xc944e32cd6433d30, 0x7ee6877a0f32c3b2, 0x000549f58b2d4f25,
};

// m161_swio13_noled_pr_u4
static const uint64_t ur_m161_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c492, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f7522741,
  0x56d49dd977a0ccc8, 0x3efe4c13e30120b6, 0x9683f480caffd5ab, 0xa7f07d07a8f2f8ef, 0x580b2ca632a718e3,
  0x5e8f9d9ef47bd9cc, 0xb864d2a01ffb3047, 0xb955aaad503cb3db, 0x546bac80e64836bc, 0x54b7d54df673a8a9,
  0xabdebe9a64d672bb, 0xe7b55a22bcba6255, 0x6c529e1a778efeba, 0x6194f43aa7020eea, 0x6c8122adfef5545a,
  0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x727e07efd8668799,
  0xcb3590cf4c2fc48f, 0x1de83ccb0ecf8138, 0x840584053c95fb9a, 0x00000000000007c9,
};

static const uint64_t ur_m161_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd05893a, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da09d7d6,
  0xa4eea0adb82739a2, 0xea609f180905b2b6, 0xf290456ffd5ab3e4, 0xf51e5652e6ab5a37, 0x5975f51f06cc184f,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8f2439d5a5ff72e3, 0x6ab5d0ebce9bb694, 0x071d8b4d314707ec,
  0x823f5b86f65b2f9c, 0x72ab50089ac16a8d, 0xa8d75901cc906d79, 0xa96faa9bece75152, 0x57bd7d34c9ace576,
  0xcf6ab4457974c4ab, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0xd902455bfdeaa8b4, 0xe4d5c1e6c25ccbe6,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0x3d30b41bf1cf7ff0, 0x2c3b3e04e32cd643,
  0x14f257ee6877a0f3, 0x000000013afd3c10,
};

static const uint64_t ur_m161_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0xda93ba76b65da72a, 0xc569827c602416ca, 0xccaa41befff56acf, 0x03d4795ba59aad68, 0xe2bf9dea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0xa237bce7569780cb, 0x8d56ba1d7aea6ec0, 0x01c762d3c8a8ee1d,
  0x135f5b86f65c3967, 0x1cc906d7972ab55c, 0xbece75152a8d7590, 0x4c9ace576a96faa9, 0x57974c4ab57bd7d3,
  0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0x6c25ccbe6d902455, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xe985f891ee4fc0fd, 0x61d9f0271966b219,
  0xa792bf7343bd0799, 0x000000275d22f080,
};

// m161_swio13_noled_pr_ce_u4
static const uint64_t ur_m161_swio13_noled_pr_ce[] = {
  0x84dddddda2447032, 0x59ddaab9c14fdc4a, 0xa2ed91d267c7cdad, 0x45c3e35c19b20d4e, 0x49942da5e15bb422,
  0x2d95b52775b16ac1, 0xd59fd37304f8c048, 0xa8faf754832b7fea, 0x1258f3c64a9de04a, 0xcbc25f886c2445f7,
  0x93354771b9d67fa2, 0x3dea3cdd3dcb0435, 0x017ba05238e9fc19, 0xd1f3b3de8f7b398b, 0x0c9a5403ff6678eb,
  0xcaad556a81e5add7, 0xa35d64073241b5e5, 0xa5beaa6fb39d454a, 0x5ef5f4d326b395da, 0x3daad115e5d312ad,
  0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0xc810c76ff7aaa2d3, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x27e07efd86687993, 0xb3590cf4c2fc48f7, 0xde83ccb0ecf8138c,
  0xead84053c95fb9a1, 0x000000000000375e,
};

static const uint64_t ur_m161_swio13_noled_pr_ee_ce[] = {
  0x42fddddddd447768, 0x75eeed55c8a72589, 0xee0ea33d5a1e9fa5, 0xa87e2f1d98934a34, 0x71e9d515e41fb42f,
  0x6d49dd765a538eb4, 0xa6dcc13e30120b65, 0x2eb48066fff56acf, 0xf192a7663f63faa3, 0xef99cebb8dca4afc,
  0xf51e5670e53b5815, 0xae43fa8f83660cf5, 0x09c370ebec5a6298, 0x70ea426be96c65c7, 0xb6948f2439d5dbbf,
  0x0fd8d578d8ebce9b, 0x5f380e3b169a628e, 0x6a8d8226470decb6, 0x6d7972ab52cc9ac1, 0x5152a8d75901cc90,
  0xe576a96faa9bece7, 0xc4ab57bd7d34c9ac, 0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04,
  0x97cdb20431dbfdea, 0x2c79c5c9ab8d84b9, 0x0dfbab31e40fca1a, 0xa271966b219e985a, 0x7343bd079961d964,
  0x29a68be080a792bf,
};

static const uint64_t ur_m161_swio13_noled_pr_ee_ce_u4[] = {
  0x68dddddda2431000, 0x1eeed55e11227449, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a455a,
  0x2b6a4eed6b4ed571, 0x3e292609f180905b, 0x7a6e9056ffff535b, 0xe50b8396b7551f54, 0xc4361222fb892c79,
  0xe370617fd165e12f, 0x729daccf7be66a8e, 0xc1b3067afa8f2b38, 0xf62d314c5721fd47, 0xf4b632e384e1b875,
  0x1ceaeddfb8752135, 0x6c75e74ddb4a4792, 0x8b4d314707ec6abc, 0x2386f65b2f9c071d, 0xa9664d60b546c113,
  0xac80e64836bcb955, 0xd54df673a8a9546b, 0xbe9a64d672bb54b7, 0x5a22bcba6255abde, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x18edfef5545a6194, 0x71e6c25ccbe6d902, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5,
  0xff03f8cbf313ffbc, 0xc9f81fbf619a1e64, 0x2cd6433d30bf123d, 0x77a0f32c3b3e04e3, 0x135b3a2cf257ee68,
  0x00000000000009f8,
};

static const uint64_t ur_m161_swio13_noled_ee_hw[] = {
  0x5fbbbbbb451a2f43, 0x9bbb557e17a0b127, 0x37e9eef8fdb7cdcc, 0xf5a1b44cc699fb24, 0x68b514ad88368275,
  0xd95b52775a76ece2, 0x99f275304f8c0482, 0xd68dfca4115bffac, 0x0613fd479594b9aa, 0x377c565d7d47c1b3,
  0x32e384e1b875f62d, 0xdcb8d64d2135f4b6, 0xeda523c90e75697f, 0xc1fb1aad743af3a6, 0xcbe701c762d34c51,
  0x5aa3608fd6e1bd96, 0x1b5e5caad40226b0, 0xd454aa35d6407324, 0x395daa5beaa6fb39, 0x312ad5ef5f4d326b,
  0x7f5d73daad115e5d, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x32f9b6409156ff7a, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x17e247b93f03f7ec, 0x67c09c659ac867a6, 0x4afdcd0ef41e6587,
  0x00005bf34d60be9e,
};

// m161_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m161_swio13_noled_ee_ce_hw[] = {
  0xa37777768a34304a, 0x7bbb55784489d125, 0xf4a76eb4b0670bfc, 0x53636caddc18e2b8, 0x05991e4ad8291568,
  0x95b52776c5f76abe, 0x9f149304f8c0482d, 0xa3d37482b7fffac9, 0x78df0c1cb5baa8fa, 0xf10d8488bee24b1e,
  0xdc6e0003f459784b, 0x0e53b599ef7ccd51, 0xf83660cf5f51e567, 0xbec5a6298ae43fa8, 0xbe96c65c709c370e,
  0x439d5dbbf70ea426, 0x8d8ebce9bb6948f2, 0xb169a628e0fd8d57, 0x6470decb65f380e3, 0xb52cc9ac16a8d822,
  0x75901cc906d7972a, 0xfaa9bece75152a8d, 0xd7d34c9ace576a96, 0xab4457974c4ab57b, 0x53c34ef1dfd75cf6,
  0x9e8754e041dd4d8a, 0x431dbfdeaa8b4c32, 0x6e3cd84b997cdb20, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x9f81fbf619a1e64f, 0xcd6433d30bf123dc, 0x7a0f32c3b3e04e32, 0x66285f4f257ee687, 0x000000000001405f,
};

static const uint64_t ur_m161_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x75681b64cdd7eecf,
  0x02416cada93ba0bf, 0xf565acfafb9827c6, 0x5f0ef96e929047bf, 0x10c71d3f83e7bd47, 0x70ce62c05bdd31eb,
  0x58c11d78b9db7b47, 0x5e5caad4ac59fb8e, 0x54aa35d64073241b, 0x5daa5beaa6fb39d4, 0x497f4d326b810139,
  0x7b55a22bcba62572, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x2f9b69e8754e04e7, 0xb41bf3fb0ddb0973,
  0xc944e32cd6433d30, 0x7ee6877a0f32c3b2, 0x0002a41d0b2d4f25,
};

// m161_swio13_lednop_pr_u4
static const uint64_t ur_m161_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c492, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0xda982f623ba913a0,
  0x2b6a4eec1bd3f6cc, 0x3f52a609f180905b, 0x2d07e9018fffd5ab, 0xa7f07d07a8fa51df, 0xb016594c63cf58e3,
  0xbd1f3b7c88e32398, 0xbddc35403ff6608e, 0x72ab5815a07967b7, 0xa8d75901cc906d79, 0xa96faa9bece75152,
  0xfd34c9ae0404e576, 0x5688af2e9895c925, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0xab7fbd551691db9e,
  0x3cd84b997cdb2ec8, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x33d30bf123dc9f81, 0x32c3b3e04e32cd64, 0x014f257ee6877a0f, 0x00000001f26fd501,
};

static const uint64_t ur_m161_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x52774eb6c4e2d4b8, 0x3f304f8c0482d95b, 0xf2901c1ffd5ab3f4, 0xf51e56a7a6ab5a37, 0x5b05f51f06cc184f,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c1439d5a5fe72e3, 0xd56ba1d79d37609e, 0x0e3b169e488f22d8,
  0x047eb70decb65f38, 0xe556a015c326951b, 0x51aeb2039920daf2, 0x52df5537d9cea2a5, 0xfa69935c0809caed,
  0xad115e5d312b924b, 0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x56ff7aaa2d23b73d, 0x79b09732f9b65d91,
  0xe50d1674f8b93570, 0x61539fa9d598f207, 0x9fe2e7197e627f28, 0x06fc73dffc1343cc, 0x8138cb3590cf4c2d,
  0xfb9a1de83ccb0ecf, 0x00275d7604053c95,
};

static const uint64_t ur_m161_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x5591080d8106d05e,
  0x656d49dd57db06e3, 0x67ce0cc13e30120b, 0xb4665520d9dffab5, 0x1a01ea3cacbacd56, 0xddf159c3f51f06cc,
  0xcb8e1386e1d7d8b4, 0x55c5133484d7d2d8, 0x64011fc873ab4b94, 0xeec6ab5d0ebd7537, 0x2ce038ec5a6f7a3d,
  0x57170feb70decb87, 0x64073241b5e5caad, 0xaa6fb39d454aa35d, 0x26b8101395daa5be, 0xbcba62572497f4d3,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x2e65f36cbb22adfe, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x2fc48f727e07efd8, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x00009d708584053c,
};

// m161_swio13_lednop_pr_ce_u4
static const uint64_t ur_m161_swio13_lednop_pr_ce[] = {
  0x426eeeeed1222a20, 0xaceed55ce0a34e25, 0x47f4d2e8db6226d6, 0x45c3e35cfd833b26, 0x843081eba09bb422,
  0x16cada93ba3db638, 0x6acfc729827c6024, 0x547d7baa416ebff5, 0x892c79e3254ef7dd, 0x65e12fc4361222fb,
  0xc99aa3b8dcb91fd1, 0x9ef51e719ee5821a, 0x0143da011c74fe0c, 0xd1f3b7c88e32398b, 0xddc35403ff6678eb,
  0xcaad605681e5addb, 0xa35d64073241b5e5, 0xa5beaa6fb39d454a, 0xf4d326b8101395da, 0x5a22bcba62572497,
  0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xedfef5545a476e7a, 0xe6c25ccbe6d97618, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21,
  0x0a792bf7343bd079, 0x00000001bae9a008,
};

static const uint64_t ur_m161_swio13_lednop_pr_ee_ce[] = {
  0x42fddddddd447705, 0x75eeed55c8a4bb89, 0x6276e4ed6414dfa5, 0xa87e2f1df2531341, 0xc112247de41fb42f,
  0x6d49ddb0daf5bed5, 0xdfe4c13e30120b65, 0xcbad200d1ffab567, 0x9e3254effe58fea8, 0xbdf339d771b9951f,
  0xbea3caca1ca76b02, 0x1594bf51f06cc19e, 0xe1386e1d7d8b4c53, 0xce1d484d7d2d8cb8, 0xec13d182873abb77,
  0xc8b6355e363af3a6, 0x97ce038ec5a79223, 0xd2a3608991c37b2d, 0x1b5e5caad4b3b864, 0xd454aa35d6407324,
  0x395daa5beaa6fb39, 0x72497f4d326b8101, 0xae7b55a22bcba625, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548,
  0x97618edfef5545a4, 0x2e4d5c6c25ccbe6d, 0x598f207e50d163ce, 0xb3590cf4c2d06fdd, 0xe83ccb0ecb25138c,
  0xcb84053c95fb9a1d, 0x0000000000029a63,
};

static const uint64_t ur_m161_swio13_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0x3dddaabc22589892, 0x7af5b76859bb85fe, 0x29b1b656e275c1a6, 0x6e999cbb6c148ab4,
  0xb6a4eea8feabec98, 0xfb06609f180905b2, 0x4dd2043effea6b67, 0xa17071aeeaa3ea8f, 0x86c2445f71258f3c,
  0x371705fa2cbc25f8, 0x29daccf7be66a8ee, 0x1b3067afa8f2b287, 0x62d314c5652fd47c, 0x4b632e384e1b875f,
  0xceaeddf38752135f, 0x8ebce9bb04f460a1, 0x69e488f22d8d578d, 0x70decb65f380e3b1, 0x2cee1934a8d82264,
  0x901cc906d7972ab5, 0xa9bece75152a8d75, 0x9ae0404e576a96fa, 0xf2e9895c925fd34c, 0x3cdedaeb9ed5688a,
  0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x732f9b65d863b7fb, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0xb3c95fb9a1de83cc,
  0x00000027e0c9cce8,
};

static const uint64_t ur_m161_swio13_lednop_ee_hw[] = {
  0x5fbbbbbb451a3032, 0x9bbb557e17b23127, 0x1be477617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b413a,
  0x6cada93bad8b7526, 0x99fa1f9827c60241, 0xd68dfca40707ffac, 0x0613fd4795a9e9aa, 0x377c56c17d47c1b3,
  0x32e384e1b875f62d, 0x9cb8d64d2135f4b6, 0xd827a3050e75697f, 0xc8b6355ae875e74d, 0x97ce038ec5a79223,
  0xa546c11fadc37b2d, 0x36bcb955a80570c9, 0xa8a9546bac80e648, 0x72bb54b7d54df673, 0xe492fe9a64d70202,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0x976455bfdeaa8b48, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3, 0x1966b219e985f891, 0x43bd079961d9f027,
  0xf1a41c2fa792bf73, 0x000000000000002d,
};

// m161_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_swio13_lednop_ee_ce_hw[] = {
  0xa37777768a346812, 0x7bbb557844b13125, 0xf5eb6ed0b3770bfc, 0x53636cadc4eb834c, 0xdd333976d8291568,
  0x95b527777ef7513c, 0x3fd83304f8c0482d, 0x47a6e9021f7ff593, 0xf1be1838d77551f5, 0xe21b09117dc4963c,
  0x71b9c83fe8b2f097, 0x394ed667bdf33547, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0xac80e64836bcb955, 0xd54df673a8a9546b, 0x64d7020272bb54b7, 0x57974c4ae492fe9a, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb2ec31dbf, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xd30bf123dc9f81fb, 0xc3b3e04e32cd6433, 0x4f257ee6877a0f32, 0x000001404b3c985f,
};

// m161_swio13_dual_pr               m161_swio13_dual_pr_u4
static const uint64_t ur_m161_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3fb2afc3, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba696,
  0xb52490770ce6badd, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x517fc4b7e60b0ab3, 0xea3f7477cb2d7a40, 0x28bb7e38e9fc1ef7, 0xc8d31398b01758a6,
  0xff6608ebc06a7697, 0x07967b63e0df5403, 0xfe67d1cccacc538e, 0x80e64836bcb955ac, 0x4df673a8a9546bac,
  0xd7020272bb54b7d5, 0x974c4ae492fe9a64, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70,
  0xccbe6d976455bfde, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xd30bf123dc9f81fb, 0xc3b3e04e32cd6433, 0xcf257ee6877a0f32, 0x000002926bcfb3a2,
};

static const uint64_t ur_m161_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63ebbefc6, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b69c5,
  0x2b05dcf05bc7f2ac, 0x9827c602416cada9, 0xe23d932305523b8f, 0xdcb8c2813e26fb59, 0xa631ffccab773ba7,
  0x7a8e4eb60968e016, 0x08a11c913f838ad3, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x7b8a8432d05f6886,
  0xbdbe9affa039e130, 0x25bf305855998b9c, 0xaad68ff75200b5fe, 0xb3061efd4795dba9, 0x2d377c57befd47c1,
  0xb632e384e1b875f6, 0xca5ae04fcd2135f4, 0x3760f68cf539d5a5, 0x8e21b1aad743af63, 0x77bb380e3b169ce2,
  0x22aa3608fd6e1bd9, 0xe67d1cccacc021be, 0x0e64836bcb955acf, 0xdf673a8a9546bac8, 0x7020272bb54b7d54,
  0x74c4ae492fe9a64d, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0xcbe6d976455bfdea,
  0x68b2d5e371e6c25c, 0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0xc867a616837e03e6, 0x1e658767c09c659a,
  0xe7459e4afdcd0ef4, 0x0000000000ac83a2,
};

static const uint64_t ur_m161_swio13_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xa7333e9cd3b4abcb, 0x2a74164035a1942c,
  0xada92625dddd9b68, 0x3b8f9827c602416c, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x70275325afccab77,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x9400dc3e144312bf, 0xda21955ddeef9b84, 0x3c269122a10cb423,
  0x317397b7d35ff407, 0x16bfc4b7e60b0ab3, 0xb53d355ad1c06a40, 0xd47c1b307227a8f2, 0x875f62d377c5670f,
  0x135f4b632e384e1b, 0x9d5a5ff72e038cd2, 0x1d794d3b2008c143, 0x69bde8f22d8d56ba, 0xb86f65b93380e3b1,
  0x3e8e66566b8b87f5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x101395daa5beaa6f, 0x62572497f4d326b8,
  0x3f5ae7b55a22bcba, 0x57a96165362ce80f, 0xe04e7d14085a6ae7, 0xb09732f9b69e8754, 0xe0eee3458df0dc79,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35,
  0xce8b3c95fb9a1de8, 0x00000000002b240a,
};

static const uint64_t ur_m161_swio13_dual_pr_ce[] = {
  0xddbbbbba1eb432db, 0x2c1f7562e2806fc0, 0xdc99ba3dac341b8e, 0x89e4aecae7517b3e, 0xaebdd85b3ef74375,
  0xb52571bb8e0b5a79, 0xc03304f8c0482d95, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0x035a6275f9956ee7,
  0xad37a8fa6f61158e, 0xfbe08a11c913f83c, 0x001b87c2886257f9, 0x4432abbbddf3732a, 0xc26ea22a10cb40ca,
  0x2e72f6f63fff4073, 0xb7f896fcc1615666, 0xc8e5551f531f4806, 0x117dc4963cf285c1, 0x47e8b2f097e21b09,
  0x0404fccd51dc6e25, 0xf83b5bd4709f3dcb, 0xe62c055f722471d3, 0x3af01a9da5f234c4, 0x70f837d500ffd99e,
  0x1cccacc538e0796b, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0x272bb54b7d54df67, 0xae492fe9a64d7020,
  0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xb2ec31dbfdeaa8b4, 0x4f86e3cd84b997cd,
  0x9d599bf83bb8d167, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x590cf4c2d06fc73d, 0x83ccb0ecf8138cb3,
  0xcce8b3c95fb9a1de, 0x000000000006922e,
};

static const uint64_t ur_m161_swio13_dual_pr_ce_u4[] = {
  0x64edddddda2432db, 0x22c1f7562e2eb77e, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0x5d547ee733eddc9c,
  0xb526a2bb8e0b41f3, 0x0ff304f8c0482d95, 0x6b3c47b26460aa47, 0x74fb97185027c4df, 0x16ea6d9df9956ee7,
  0x9737a8f813612b8e, 0xfbe08a11c913f832, 0xc01b87c2886257f9, 0x4432abbbddf37190, 0x84d2fa2a10cb43a8,
  0x2e72f6e96bfe80e7, 0xd7f896fcc1615666, 0xe6fbaa8faf75482d, 0x88bee24b1e7942e0, 0xa3f459784bf10d84,
  0x6086b266a8ee3712, 0x3f8327bd479c67b9, 0x8e62c050f680471d, 0x9e3af47cedf2238c, 0xcccacc7437f71cb1,
  0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x72bb54b7d54df673, 0xe492fe9a64d70202, 0x5cf6ab4457974c4a,
  0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0x2ec31dbfdeaa8b48, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2, 0xcd0ef41e658767c0,
  0x1a4859e7459e4afd,
};

static const uint64_t ur_m161_swio13_dual_pr_ee_ce[] = {
  0xc499bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cd26,
  0xb12ee782d9642acb, 0xc13e30120b656d49, 0x23d932305523cf5c, 0xcb8c2813e26fb59e, 0x6adffccab773ba7d,
  0x474dbd84ed9c2d6e, 0xa11c913f8319b9bd, 0x7c2886257f9fbe08, 0xeef77cdc185c01b8, 0x150865a050d10caa,
  0xfd83ff4073c2674b, 0xfcc16156662e72f6, 0x547812905adff896, 0x7f3ca1707276ec7f, 0x0abe4ce75dc6e022,
  0x6ffa8f2b95d29dac, 0x98af2b7a8f83660f, 0xc709c370ebec5a62, 0x8a58ea426be96c65, 0x3760f68cf539d5db,
  0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2, 0xe67d1cccaccb31be, 0x0e64836bcb955acf,
  0xdf673a8a9546bac8, 0x7020272bb54b7d54, 0x74c4ae492fe9a64d, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e,
  0xa8b48edcf43aa702, 0x97cdb2ec31dbfdea, 0x3458f386e3cd84b9, 0xb41bf75666fe0eee, 0x3e04e32cd6433d30,
  0x57ee6877a0f32c3b, 0x0001304e733a2cf2,
};

static const uint64_t ur_m161_swio13_dual_pr_ee_ce_u4[] = {
  0xfbbbbbb456ddb69f, 0x0fbab543abddf962, 0xbc16a27d69267da6, 0x1d7fabd823859c16, 0xfc0668cec5cb10f6,
  0xbd33a0808fe1bc98, 0x05b2b6a4d8677480, 0x5522f67a609f1809, 0xe26fb59e23d93230, 0x5bf3ba7dcb8c2813,
  0x5ce06b734c37e65a, 0x0eb7e6f51c526c3f, 0xfe7ef822847244fe, 0xe01006e1f0a21895, 0x564432abbbddf371,
  0xcf09a57454219684, 0x98b9cbdbdc8ffd01, 0x5bffc09a73058559, 0xf5eaa3ea8ce0d203, 0x2fb892c79e50bcef,
  0xfd165e12fc436122, 0xf5f266a8ee371e01, 0xffa8f2b95d29dacc, 0x8af2b7a8f83660f6, 0x709c370ebec5a629,
  0xa58ea426be96c65c, 0x760f68cf539d5db8, 0xc436355e363af633, 0xf76701c762d39c51, 0x2aa3608991c37b2e,
  0x67d1cccaccb31be2, 0xe64836bcb955acfe, 0xf673a8a9546bac80, 0x020272bb54b7d54d, 0x4c4ae492fe9a64d7,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x7cdb2ec31dbfdeaa, 0x7c5c9ab83cd84b99,
  0xab337f07edd8d163, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24,
  0xd0ef41e658767c09, 0x097058aac9e4afdc, 0x0000000000000080,
};

static const uint64_t ur_m161_swio13_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63ebbefc69, 0xee375261d6323139, 0xa0da0a4d740255fb, 0x6f26568650b69c52,
  0x92b05ddacadd6ec2, 0xf9827c602416cada, 0x9e23d932305523b8, 0x7dcb8c2813e26fb5, 0x6a631ffccbb093ba,
  0x37a8e4eb60968e01, 0xe08a11c913f838ad, 0x1b87c2886257f9fb, 0x655777bbe6e18040, 0x07b8a8432d05f688,
  0xcbdbe9affa039e13, 0xf3ab7305855998b9, 0x4d56b47fba9005af, 0x0d9830f7ea3caedd, 0xb169bbe2bdf7ea3e,
  0xa5b1971c270dc3af, 0x2e52d7027e6909af, 0x19bb07b467a9cead, 0x14710d8d56ba1d7b, 0xcbbdd9c071d8b4e7,
  0xf11551b047eb70de, 0x7f33e8e66566010d, 0x4073241b5e5caad6, 0xa6fb39d454aa35d6, 0x6b8101395daa5bea,
  0xcba62572497f4d32, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0xe65f36cbb22adfef,
  0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0xc2fc48f727e07efd, 0xecf8138cb3590cf4,
  0xc95fb9a1de83ccb0, 0x0000aed522c817d3,
};

static const uint64_t ur_m161_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x5a06d933d9fbb110,
  0x905b2b6a4ee82fdd, 0xacb59feea609f180, 0x84ef96e82901ebfe, 0x48e3a7f075ffd478, 0xd1cc580b7ba63d7e,
  0x1823af173b41f464, 0xe5caad4ac27b71cb, 0x4aa35d64073241b5, 0x6e576a96fab39d45, 0x12b63f7f4d326b3a,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbe6d9eb7156ff7aa, 0xd06fcfec376c25cc,
  0x25138cb3590cf4c2, 0xfb9a1de83ccb0ecb, 0x000a90742cb53c95,
};

// m161_swio14_noled_pr_u4
static const uint64_t ur_m161_swio14_noled_pr[] = {
  0x8f77777689119391, 0x0bbb5572290044a3, 0x7b8ef5fb1a0b609e, 0x9ac1c44cd88ecf6a, 0x66350eb4dd8e3d05,
  0x56d49dde9da56f27, 0x7cc7cc13e30120b6, 0x2dbdd20dbfffab56, 0xa7f064d7a8e0a1df, 0x602cb29b6fcbe8e3,
  0xf47cecb5d188a731, 0xa4279500ffd9823a, 0xcaad59f740f2cf6f, 0xa35d64073241b5e5, 0x576a96fab39d454a,
  0xb63f7f4d326b3a6e, 0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xee4fc0fdfb0cd0f3,
  0x1966b219e985f891, 0x43bd079961d9f027, 0x39f82080a792bf73, 0x00000000000000f9,
};

// m161_swio14_noled_pr_ee_u4
static const uint64_t ur_m161_swio14_noled_pr_ee[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0xab22101b020da086,
  0xcada93baafb60dc6, 0xcf9c19827c602416, 0xd198fa41b3bff56a, 0x7d47a8f2b2eb355a, 0x77c5670fd47c1b30,
  0x2e384e1b875f62d3, 0xab8d64d2135f4b63, 0xc8023f90e7569728, 0x7bb1aad743af3a6e, 0x5f380e3b169bde8f,
  0x951b047eb70decb6, 0x6d7972ab50089ee7, 0x5152a8d75901cc90, 0xce9b95daa5beace7, 0x74c4ad8fdfd34c9a,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x732f9b67adc55bfd, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x7e247b93f03f7ec3, 0x7c09c659ac867a61,
  0xafdcd0ef41e65876, 0x0004eb842c2029e4,
};

// m161_swio14_noled_pr_ce_u4
static const uint64_t ur_m161_swio14_noled_pr_ce[] = {
  0xcfdddddda2445541, 0xb3bb5573829bb896, 0xc20da8ba306b9b5a, 0xd22e1fad0ada0963, 0xbb2869c33537bbb3,
  0x05b2b6a4ee80ade4, 0x5ab3f6ea609f1809, 0x551f591290604ffd, 0xe24b1e78c953b53d, 0x59784bf10d8488be,
  0x64cd51dc6e337ff4, 0x67fa8ebe4f72c10d, 0x80b224dd1c74fe0d, 0xd1f3b2d746229cc5, 0x909e5403ff6678eb,
  0xcaad59f740f2d6ee, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0xb63f7f4d326b3a6e, 0xd73daad115e5d312,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0xdb3d6cc76ff7aaa2, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xdc9f81fbf619a1e6, 0x32cd6433d30bf123, 0x877a0f32c3b3e04e,
  0x78fae1014f257ee6, 0x00000000000000dd,
};

static const uint64_t ur_m161_swio14_noled_pr_ee_ce[] = {
  0x78fddddddd447e4a, 0x75eeed55c8a79189, 0xe0dedc1d2431dfa5, 0xa87e2da9fd323ed2, 0x5dac1081e41fb78f,
  0xb6a4ee94ad3743da, 0xe1a2609f180905b2, 0xce1d20b1fffd5ab3, 0x3c64a9df4fd8fea8, 0x7be673aee372e47f,
  0xbd4795c8794ed605, 0x2b74bea3e0d983d2, 0xc270dc3afb1698a6, 0x8a3a909afa5b1971, 0xec8023f90e7576e2,
  0xef76355e363af3a6, 0xcbe701c762d37bd1, 0x7951b044c8e1bd96, 0x06d7972ab52cc9ee, 0x75152a8d75901cc9,
  0xace9b95daa5beace, 0x974c4ad8fdfd34c9, 0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754,
  0x2e65f36cf5b31dbf, 0x868b1e71726ae361, 0x16837eeacc7903f2, 0x59289c659ac867a6, 0xafdcd0ef41e65876,
  0x000a699cf82029e4,
};

static const uint64_t ur_m161_swio14_noled_pr_ee_ce_u4[] = {
  0x0adddddda243704a, 0x1eeed55e1111dc4b, 0x5d375bb0ccadc2ff, 0x4a6c6d9b106e5d9a, 0xd89c9de45b0522e1,
  0x56d49dd75bd415dd, 0xfa1f4c13e30120b6, 0xedd520c41ffd4d6c, 0xe50b838ff2aa3ea8, 0xc4361222fb892c79,
  0x71b9e72fd165e12f, 0x794ed667bdf33547, 0xe0d983d2bd4795c8, 0xfb1698a62b74bea3, 0xfa5b1971c270dc3a,
  0x0e7576e28a3a909a, 0x363af3a6ec8023f9, 0x62d37bd1ef76355e, 0xc8e1bd96cbe701c7, 0xb52cc9ee7951b044,
  0x75901cc906d7972a, 0xaa5beace75152a8d, 0xfdfd34c9ace9b95d, 0xf6ab4457974c4ad8, 0x8a53c34ef1dfd75c,
  0x329e8754e041dd4d, 0xf5b31dbfdeaa8b4c, 0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89, 0x343bd079961d9f02, 0xfcfb3d9d16792bf7,
  0x0000000000000004,
};

static const uint64_t ur_m161_swio14_noled_ee_hw[] = {
  0xafbbbbbb451a37d6, 0x9bbb557e177af121, 0xb571eed43267cdcc, 0xaf5a1b431a59bbc2, 0xfac88406c0836821,
  0x0b656d49dd7adbaa, 0xb267ce0cc13e3012, 0x56b4663e906ceffe, 0xcc1f51ea3cacbacd, 0xb4ddf159c3f51f06,
  0xd8cb8e1386e1d7d8, 0xca2ae3593484d7d2, 0x9bb2008fe439d5a5, 0xa3deec6ab5d0ebce, 0x2d97ce038ec5a6f7,
  0xb9e546c11fadc37b, 0x241b5e5caad40227, 0x39d454aa35d64073, 0x26b3a6e576a96fab, 0x5e5d312b63f7f4d3,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0xc25ccbe6d9eb7156, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0x9e985f891ee4fc0f, 0x961d9f0271966b21, 0xfa792bf7343bd079,
  0x00000002df19e4c2,
};

// m161_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m161_swio14_noled_ee_ce_hw[] = {
  0x56eeeeed1468cc7f, 0xf776aaf0888ee258, 0xe9badd86656e17f8, 0x53636cd88372ecd2, 0xc4e4ef22d829170a,
  0xcada93ba9f7bb73a, 0x9f43e9827c602416, 0x51dbaa41883ffac9, 0x9e37c3071fe5547d, 0xfc4361222fb892c7,
  0x771b8ea8fd165e12, 0x8794ed667bdf3354, 0x3e0d983d2bd4795c, 0xafb1698a62b74bea, 0xafa5b1971c270dc3,
  0x90e7576e28a3a909, 0xe363af3a6ec8023f, 0x762d37bd1ef76355, 0x4c8e1bd96cbe701c, 0xab52cc9ee7951b04,
  0xd75901cc906d7972, 0xdaa5beace75152a8, 0x8fdfd34c9ace9b95, 0xcf6ab4457974c4ad, 0xd8a53c34ef1dfd75,
  0xc329e8754e041dd4, 0xcf5b31dbfdeaa8b4, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe,
  0xf727e07efd866879, 0x8cb3590cf4c2fc48, 0xa1de83ccb0ecf813, 0x0a754817d3c95fb9, 0x0000000000000028,
};

static const uint64_t ur_m161_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0x7ee921b6c671fdd8,
  0x8c0482d95b527761, 0x7feacb59f80d304f, 0x8f921df2dd05200f, 0x52631c74fe0ebffa, 0x8fa4398b016f74da,
  0x1cb1823af173b08a, 0x36bcb955a95982f7, 0xa8a9546bac80e648, 0x274dcaed52df5673, 0x572fb1e9a64d7020,
  0x5ae7b55a22bcba62, 0xa96165362ce80f3f, 0x517d14085a6ae757, 0x9732f9b69e8754e0, 0xd30b41bf3fb0ddb0,
  0x3b2c944e32cd6433, 0xf257ee6877a0f32c, 0x0000002a45c0b2d4,
};

// m161_swio14_lednop_pr_u4
static const uint64_t ur_m161_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae453c7c4a3, 0x3d537b7e61f6c13c, 0x66b0714004ccbdd9, 0xd8f85eebf7638f41,
  0x56d49dd123a6ee05, 0x7d7dcc13e30120b6, 0x2dbdd208f7ffab56, 0xa7f064d7a8e801df, 0xb016594d1ef4a8e3,
  0x7a3e7688518df398, 0x22f48a807fecc11d, 0x72ab57d6e07967b6, 0xa8d75901cc906d79, 0x95daa5beace75152,
  0x63d34c9ae0404e9b, 0x6ab4457974c4ae5f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x455bfdeaa8b48edc,
  0x7079b09732f9b632, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0,
  0xc867a617e247b93f, 0x1e658767c09c659a, 0x82029e4afdcd0ef4, 0x0000000003e4d535,
};

static const uint64_t ur_m161_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0xb527747b6a3b0866, 0x4b5304f8c0482d95, 0x31f4806b7fead59f, 0x8f51e56c166ab5a3, 0x8aca1fa8f83660fa,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x847371cead2e9597, 0x6355ae875e74ddba, 0x701c762d3f911c65,
  0x3608fd6e1bd96cbe, 0xf2e556a017484f2a, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0xbec7a69935c0809d,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x648ab7fbd551691d, 0x6ae0f3612e65f36c,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x87993fc5ce32fcc4, 0x985a0df8e7bff826, 0x1d9f0271966b219e,
  0x792bf7343bd07996, 0x0000004ebe31080a,
};

static const uint64_t ur_m161_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0x5b52774eb68912d5, 0xf1ad304f8c0482d9, 0x3dbf4834dffead59, 0x71f51e5670e6ab5a, 0xf8ae43fa8f83660e,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0xe28e2139d5a5ea52, 0x6355ae875eba9bb4, 0xe038ec5a6b5d188b,
  0x8e93eb70decb872c, 0x039920daf2e556ab, 0x7d59cea2a551aeb2, 0x35c0809d372bb54b, 0xf2e9895cbec7a699,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x2e65f36c648ab7fb, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x2fc48f727e07efd8, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x000013ae5984053c,
};

// m161_swio14_lednop_pr_ce_u4
static const uint64_t ur_m161_swio14_lednop_pr_ce[] = {
  0x67eeeeeed1222582, 0x59ddaab9c15a5c4b, 0xa2e91fddb6ebcdad, 0x45c3f5a1bb2b6f4d, 0x9ca82d0b5a37767a,
  0x5b2b6a4ee9dad976, 0xab3f15a609f18090, 0x51f5912906fbffd5, 0x24b1e78c953b95d5, 0x9784bf10d8488bee,
  0x266a8ee37190ff45, 0x7fa8f2fa7b96086b, 0x0a654e31c74fe0d6, 0x1f3b4428c6f9cc58, 0x7a45403ff6678ebd,
  0x556afadc0f2d6e11, 0x1aeb2039920daf2e, 0xbb54b7d59cea2a55, 0x7a69935c0809d372, 0x5688af2e9895cbec,
  0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x1e6c25ccbe6d8c86, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x19e985f891ee4fc0, 0x9961d9f0271966b2,
  0x80a792bf7343bd07, 0x00000000375d22f0,
};

static const uint64_t ur_m161_swio14_lednop_pr_ee_ce[] = {
  0x78fddddddd446f43, 0x75eeed55c8a74e89, 0xd1dec4ed412c9fa5, 0xa87e2da9f91fa6f5, 0x1b8e2d15e41fb78f,
  0x6d49dd69daeca714, 0xcedcc13e30120b65, 0x38748376bff56acf, 0xf192a7633763faa3, 0xef99cebb8dc672fc,
  0xf51e5652e53b5815, 0xacbafa8f83660f4a, 0x09c370ebec5a6298, 0xb0ea426be96c65c7, 0xb7508e6e39d5db92,
  0x1958d578d8ebce9b, 0x2f9c071d8b4fe447, 0xe546c1132386f65b, 0x1b5e5caad4b3e909, 0xd454aa35d6407324,
  0x13a6e576a96fab39, 0x2b97d8f4d326b810, 0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a,
  0xdb190c76ff7aaa2d, 0x9c5c9ab8d84b997c, 0xbab31e40fca1a2c7, 0x1966b219e985a0df, 0x3bd079961d964a27,
  0xc5fb080a792bf734, 0x0000000000000534,
};

static const uint64_t ur_m161_swio14_lednop_pr_ee_ce_u4[] = {
  0x0adddddda243306a, 0x1eeed55e110c8c4b, 0x9d765ba34f17c2ff, 0x4a6c6d9b08ee0d98, 0x86e817d39b0522e1,
  0x5b52776abf4eb6cd, 0xffaf304f8c0482d9, 0xb75482007ff535b3, 0x285c1cadfaa8faa3, 0x21b09117dc4963cf,
  0x1b8eddfe8b2f097e, 0x94ed667bdf335477, 0x0d983d2bd479594b, 0xb1698a62b2ebea3e, 0xa5b1971c270dc3af,
  0xe7576e4ac3a909af, 0x63af3a6edd4239b8, 0x2d3f911c656355e3, 0x8e1bd96cbe701c76, 0x52cfa427951b044c,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0x4c9ae0404e9b95da, 0x457974c4ae5f63d3, 0xd01e6f6d75cf6ab4,
  0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x612e65f36c6431db, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x219e985f891ee4fc, 0x79961d9f0271966b, 0x9d16792bf7343bd0,
  0x0000000004fc1eaf,
};

static const uint64_t ur_m161_swio14_lednop_ee_hw[] = {
  0xafbbbbbb451a1541, 0x9bbb557e17a8b121, 0x9b4cf77311b7cdcc, 0xd7ad0da18f5da5a0, 0x51a568b8bc41b410,
  0x16cada93ba02b776, 0x64cfa5a9827c6024, 0xad68cc7d201adffd, 0x983ea3d4795b059a, 0x69bbe2b287ea3e0d,
  0xb1971c270dc3afb1, 0xa565c6b26909afa5, 0x376ea11cdc73ab4b, 0x471958d56ba1d79d, 0x5b2f9c071d8b4fe4,
  0x13ca8d823f5b86f6, 0x4836bcb955a805d2, 0x73a8a9546bac80e6, 0x20274dcaed52df56, 0x62572fb1e9a64d70,
  0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0x7cdb1922adfef554, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf123dc9f81fbf619, 0xe04e32cd6433d30b, 0x7ee6877a0f32c3b3,
  0x002df233405f4f25,
};

// m161_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_swio14_lednop_ee_ce_hw[] = {
  0x15bbbbbb451a1f68, 0x3dddaabc22191896, 0x3aecb7469e2f85fe, 0x94d8db3611dc1b31, 0x0dd02fa7360a45c2,
  0xb2b6a4ee957eea01, 0x67ff5e609f180905, 0x5476ea90400ffeb2, 0xcf1be18395bf551f, 0x7e21b09117dc4963,
  0x771b86ddfe8b2f09, 0x4b94ed667bdf3354, 0x3e0d983d2bd47959, 0xafb1698a62b2ebea, 0xafa5b1971c270dc3,
  0xb8e7576e4ac3a909, 0xe363af3a6edd4239, 0x762d3f911c656355, 0x4c8e1bd96cbe701c, 0xab52cfa427951b04,
  0xd75901cc906d7972, 0xdaa5beace75152a8, 0xd34c9ae0404e9b95, 0xb4457974c4ae5f63, 0xf9d01e6f6d75cf6a,
  0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0xf3612e65f36c6431, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0x90cf4c2fc48f727e, 0x3ccb0ecf8138cb35, 0x617d3c95fb9a1de8, 0x0000000005014cf2,
};

// m161_swio14_dual_pr               m161_swio14_dual_pr_u4
static const uint64_t ur_m161_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x6c1f756e3ff6afc6, 0xd67dba24792b4b3f, 0xc895b312759051ba, 0x5ed3924c69dbad16,
  0xda92483b87e6d179, 0xcdf9827c602416ca, 0xdacf11ec99182a91, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0x6c01b87c2886257f, 0x24432abbbddf372d, 0x3c26b5a2a10cb423,
  0x317397b72ebff407, 0x52bfc4b7e60b0ab3, 0xf51e443be587ca41, 0xaa57751c74fe0c45, 0xa237bce62c05d629,
  0x7fecc11d780d4ec0, 0x81e59ede4583ea80, 0x3f99f47332b3290b, 0x2039920daf2e556b, 0xb7d59cea2a551aeb,
  0x935c0809d372bb54, 0xaf2e9895cbec7a69, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754,
  0x12e65f36c648ab7f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x19e985f891ee4fc0, 0x9961d9f0271966b2, 0xd16792bf7343bd07, 0x0000000149341c79,
};

static const uint64_t ur_m161_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xe60fbab58fae37e3, 0xd70bddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0x582ee382db046baa, 0xc13e30120b656d49, 0x11ec99182a91649c, 0xe5c61409f137dacf, 0x318ffe655bb9dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf3739be00d, 0xdc54219682fb4432,
  0xdba6dffd01cf0983, 0x5bf305855998b9cb, 0x5ad1945a4143ffe2, 0x306657a8f2bdf735, 0xd377c572bbd47c1b,
  0x632e384e1b875f62, 0xbaae04fcd2135f4b, 0xbb1948f4a39d5a5c, 0x698d8d56ba1d7b19, 0x7bb380e3b169cbe4,
  0xb2a3608fd6e1bd97, 0x67d1cccacc0283f6, 0xe64836bcb955acfe, 0x5673a8a9546bac80, 0x7020274dcaed52df,
  0xba62572fb1e9a64d, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x997cdb1922adfef5,
  0x8d165abc6e3cd84b, 0x539fa9d599bf83bb, 0xd0f327f8138d2861, 0x590cf4c2d06fc07c, 0x83ccb0ecf8138cb3,
  0xace8b3c95fb9a1de, 0x00000000000ac856,
};

static const uint64_t ur_m161_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdb07dd5ac78ebdf8, 0xb6b8ee9d60148ce0, 0xb999f4e7adb9f6cf, 0xd227a8fbad8ca161,
  0xa498977347f7dc19, 0x4e609f180905b2b6, 0x6788f64c8c1548b2, 0x9f72e30a04f89bed, 0x9d4c96bf32addcee,
  0xe6f51e2b6c06b1c0, 0x7c114239227f07be, 0x0370f8510c4aff3f, 0x8655777bbe6e5250, 0x9a448a8432d08f68,
  0x9cbdba6dffd01cf0, 0xfe25bf305855998b, 0x59aad68dfca4143f, 0xc1b30613fd4795b0, 0xf62d377c5721fd47,
  0xf4b632e384e1b875, 0xa5ca2ae038cd2135, 0x94d3b4e28e6e39d5, 0xd7471958d56ba1d7, 0xf65b93380e3b169a,
  0x7332b35c749f5b86, 0x0daf2e556b3f99f4, 0xea2a551aeb203992, 0x09d372bb54b7d59c, 0x95cbec7a69935c08,
  0xd6b9ed5688af2e98, 0xea58594d8b3a03cf, 0x145f4502169ab9d5, 0x25ccbe6da7a1d538, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x33d30bf123dc9f81, 0x32c3b3e04e32cd64,
  0xa2cf257ee6877a0f, 0x000000001593a7b3,
};

static const uint64_t ur_m161_swio14_dual_pr_ce[] = {
  0xbdddddd0f5a1a5fb, 0xc1f7562e2a3f7e40, 0xb37ba769a741b8e2, 0x4f252955a1d78d5b, 0x89ae89f62fbb02ec,
  0x2571bba5937224c2, 0x5304f8c0482d95b5, 0x3c47b26460aa45c9, 0xfb97185027c4df6b, 0x5a6275f9956ee774,
  0x37a8fa6f61158e03, 0xe08a11c913f83cad, 0x1b87c2886257f9fb, 0x32abbbddf3719c80, 0x6ea22a10cb40ca44,
  0x72f6e63fff4073c2, 0xf896fcc16156662e, 0xad551f58f7482397, 0x7dc4963cf285c1c8, 0xe8b2f097e21b0911,
  0x04fccd51dc6e759f, 0x3b87ea3f513dcb04, 0x580b01827c71d3f8, 0xf01a9d81446f79cc, 0x8b07d500ffd99e3a,
  0x99599485c0f2d6ec, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0xc6431dbfdeaa8b48, 0x3e1b8f3612e65f36,
  0x75666fe0eee3459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x6433d30b41bf1cf7, 0x0f32c3b3e04e32cd,
  0x73a2cf257ee6877a, 0x00000000001a498c,
};

static const uint64_t ur_m161_swio14_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x160fbab171a2fbf1, 0x9a16dd69c6e960f9, 0x8cd71c0b2af4fb49, 0x614aafad46add476,
  0xda93515dd2c9b87c, 0x1649827c602416ca, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x85ba9b677e655bb9,
  0xa5cdea3e04d84ae3, 0x7ef822847244fe0c, 0x8006e1f0a21895fe, 0x110caaeef77cdc4a, 0xe134be8a8432d0ea,
  0x17397b7eafffa039, 0xeffc4b7e60b0ab33, 0x72575547d644a41b, 0x445f71258f3ca170, 0x67fa2cbc25f886c2,
  0xb043593354771b9d, 0x7f06b3fd4797d3dc, 0xce62c0532a718e3a, 0x3c75e8f9da214637, 0x999598ea0fee3963,
  0x6d7972ab59fccfa3, 0x5152a8d75901cc90, 0x4e9b95daa5beace7, 0xae5f63d34c9ae040, 0x75cf6ab4457974c4,
  0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0x6c6431dbfdeaa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x891ee4fc0fdfb0cd, 0x0271966b219e985f, 0xf7343bd079961d9f,
  0x034913419d16792b,
};

static const uint64_t ur_m161_swio14_dual_pr_ee_ce[] = {
  0xe7daddddddd432db, 0x69cc1f756e3ed3d7, 0xb6fd5f773ed9f00a, 0xa9c453821fb8c3e0, 0x368339b36f4e99fd,
  0xd89771c168f0daeb, 0x609f180905b2b6a4, 0x11ec99182a9047ae, 0xe5c61409f137dacf, 0x356ffe655bb9dd3e,
  0xa3a6dec276ce16b7, 0x508e489fc18cdcde, 0x3e144312bfcfdf04, 0xbbbddf373ce400dc, 0xc54219681434432a,
  0xbfebffd01cf099d2, 0xbf305855998b9cbd, 0xea8d4f5207f9fe25, 0x93f3ca170734d58f, 0x6055f2673aee3714,
  0x3eebd4795e5694ed, 0x8a62bc09ea3e0d98, 0x971c270dc3afb169, 0x6e2ea3a909afa5b1, 0xc66ec6523d28e757,
  0xf234c6c6abc6c75e, 0xcbbdd9c071d8b4e5, 0xfdaca8d8226470de, 0x3f99f47332b32ce0, 0x2039920daf2e556b,
  0xb7d59cea2a551aeb, 0x935c0809d372bb54, 0xaf2e9895cbec7a69, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a,
  0xbd551691db9e8754, 0x25ccbe6d8c863b7f, 0x7771a2c79c371e6c, 0xe985a0dfbab337f0, 0x61d9f0271966b219,
  0x6792bf7343bd0799, 0x000000982749d9d1,
};

static const uint64_t ur_m161_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x3eead50caf77e75d, 0xc16a0175b499f698, 0xfde66e6d01f4b269, 0xf033467d765887b6,
  0xd2ac0b68e435c5b4, 0x5b2b6a4d86775601, 0x5229f86609f18090, 0x26fb59e23d932305, 0xbf3ba7dcb8c2813e,
  0xce06b734c37e65a5, 0xeb7e6f51c526c3f5, 0xe7ef822847244fe0, 0x4a006e1f0a21895f, 0x64432abbbddf372e,
  0xf09a574542196845, 0x8b9cbdbb21ffd01c, 0x1ffc09a730585599, 0xbaaa3ea8c6b520ec, 0xfb892c79e50bcef1,
  0xd165e12fc4361222, 0x5f266a8ee372e4af, 0x7a8f2bcad29daccf, 0x57813d47c1b307dd, 0x84e1b875f62d314c,
  0xd4752135f4b632e3, 0xd8ca47a51ceaedc5, 0x98d8d578d8ebd8cd, 0xbb380e3b169cbe46, 0x951b044c8e1bd977,
  0x3e8e6656659c1fb5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x81013a6e576a96fa, 0xd312b97d8f4d326b,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x97cdb190c76ff7aa, 0x37c5c9ab83cd84b9,
  0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47b93f03f7ec3343, 0x9c659ac867a617e2,
  0xcd0ef41e658767c0, 0x00106a8aac9e4afd, 0x0000000000000008,
};

static const uint64_t ur_m161_swio14_dual_ee_hw[] = {
  0x3b2dddddda28d086, 0x4e60fbab58fae37e, 0xbd70bddd943d8c8c, 0x8a541b6c41651fcf, 0x210ecdbad8ca16ec,
  0x6a4ac1777766ea9d, 0x24e609f180905b2b, 0xd6788f64c8c1548b, 0xe9f72e30a04f89be, 0x05a98c7ff32ec24e,
  0xb4dea393ad825a38, 0xef822847244fe0e2, 0x006e1f0a21895fe7, 0x21955ddeef9b9cdf, 0x4c1ee2a10cb417da,
  0xce5edd36ffe80e78, 0xff9d5b982c2accc5, 0xdcd56b465169050f, 0xf06cc1995ea3caf7, 0x7d8b4ddf15caef51,
  0x7d2d8cb8e1386e1d, 0x6972eab813f3484d, 0xec66ec6523d28e75, 0x2f91a636355ae875, 0xf65deece038ec5a7,
  0x0fdaca8d823f5b86, 0xb3f99f47332b300a, 0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x9935c0809d372bb5,
  0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x612e65f36c648ab7,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0xcf4c2fc48f727e07, 0xcb0ecf8138cb3590,
  0x7d3c95fb9a1de83c, 0x00000005769ecb41,
};

static const uint64_t ur_m161_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0xf75048036dbc9bba,
  0x602416cada93bb63, 0xff565acfedf9827c, 0x3fc877cb749483a8, 0x8c9238e9fc1f3dea, 0x1f40731602dee9ba,
  0x72c608ebc5cec37d, 0x6d7972ab52b09adc, 0x5152a8d75901cc90, 0xe9b95daa5beaece7, 0x6255abfdfd34c9ac,
  0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x65f36c8122adfef5, 0x16837e7f61bb612e,
  0x59289c659ac867a6, 0xafdcd0ef41e65876, 0x0000a93eb165a9e4,
};

// m161_swio15_noled_pr_u4
static const uint64_t ur_m161_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c4ae, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f76e2741,
  0x56d49dd977a0ccc8, 0x3efe4c13e30120b6, 0x9683f480caffd5ab, 0xa7f07d07a8f2f8ef, 0x580b2ca632a718e3,
  0x5e8f9d9ef47bd9cc, 0xb864d2a01ffb3047, 0xb955aaad503cb3db, 0x546bac80e64836bc, 0xaed52df57673a8a9,
  0xd5fefe9a64d674dc, 0x73daad115e5d312a, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775, 0xb6409156ff7aaa2d,
  0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xb93f03f7ec3343cc,
  0x659ac867a617e247, 0x0ef41e658767c09c, 0xc202c2029e4afdcd, 0x00000000000003e4,
};

static const uint64_t ur_m161_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd058971, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da0b8fd6,
  0xa4eea0adb82739a2, 0xea609f180905b2b6, 0xf290456ffd5ab3e4, 0xf51e5652e6ab5a37, 0x5975f51f06cc184f,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8f2439d5a5ff72e3, 0x6ab5d0ebce9bb694, 0x071d8b4d314707ec,
  0x823f5b86f65b2f9c, 0x72ab50089ac16a8d, 0xa8d75901cc906d79, 0x5daa5beaece75152, 0xabfdfd34c9ace9b9,
  0xe7b55a22bcba6255, 0x6c529e1a778efeba, 0x6194f43aa7020eea, 0x6c8122adfef5545a, 0x726ae0f3612e65f3,
  0x31e40fca1a2ce9f1, 0xc4fe50c2a73f53ab, 0x2687993fc5ce32fc, 0x9e985a0df8e7bff8, 0x961d9f0271966b21,
  0x0a792bf7343bd079, 0x000000009d7e9e08,
};

static const uint64_t ur_m161_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0xda93ba76b65da72a, 0xc569827c602416ca, 0xccaa41befff56acf, 0x03d4795ba59aad68, 0xe2bf9dea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0xa237bce7569780cb, 0x8d56ba1d7aea6ec0, 0x01c762d3c8a8ee1d,
  0x135f5b86f65c3967, 0x1cc906d7972ab55c, 0xaece75152a8d7590, 0x4c9ace9b95daa5be, 0x2bcba6255abfdfd3,
  0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0x3612e65f36c8122a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c,
  0x53c95fb9a1de83cc, 0x00000013ae917840,
};

// m161_swio15_noled_pr_ce_u4
static const uint64_t ur_m161_swio15_noled_pr_ce[] = {
  0xe4dddddda2447032, 0x59ddaab9c14fdc49, 0xa2ed91d267c7cdad, 0x45c3e35c19b20d4e, 0x49942da5e15baf22,
  0x2d95b52775b16ac1, 0xd59fd37304f8c048, 0xa8faf754832b7fea, 0x1258f3c64a9de04a, 0xcbc25f886c2445f7,
  0x93354771b9d67fa2, 0x3dea3cdd3dcb0435, 0x017ba05238e9fc19, 0xd1f3b3de8f7b398b, 0x0c9a5403ff6678eb,
  0xcaad556a81e5add7, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xaff7f4d326b3a6e5, 0x9ed5688af2e98956,
  0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0x640863b7fbd55169, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x93f03f7ec3343cc9, 0x59ac867a617e247b, 0xef41e658767c09c6,
  0x756c2029e4afdcd0, 0x0000000000001baf,
};

static const uint64_t ur_m161_swio15_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xbaf776aae45392c4, 0x7707519ead0f4fd2, 0xd43f178ecc49a51a, 0x1c7a75457907ed98,
  0x5b52775d9694e3ad, 0xe9b7304f8c0482d9, 0xcbad2019bffd5ab3, 0x3c64a9d98fd8fea8, 0x7be673aee37292bf,
  0x7d47959c394ed605, 0x2b90fea3e0d9833d, 0xc270dc3afb1698a6, 0xdc3a909afa5b1971, 0xeda523c90e7576ef,
  0x83f6355e363af3a6, 0x97ce038ec5a698a3, 0x5aa3608991c37b2d, 0x1b5e5caad4b326b0, 0xd454aa35d6407324,
  0x3a6e576a96fabb39, 0x98956aff7f4d326b, 0xbfaeb9ed5688af2e, 0x83ba9b14a7869de3, 0x551698653d0ea9c0,
  0x32f9b640863b7fbd, 0x458f38b93571b097, 0x41bf75663c81f943, 0x944e32cd6433d30b, 0xee6877a0f32c3b2c,
  0x0534d17c1014f257,
};

static const uint64_t ur_m161_swio15_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0x1eeed55e11227448, 0x3d29dbad2c19c2ff, 0x14d8db2b770638ae, 0x81664792b60a4524,
  0x2b6a4eed6b4ed571, 0x3e292609f180905b, 0x7a6e9056ffff535b, 0xe50b8396b7551f54, 0xc4361222fb892c79,
  0xe370617fd165e12f, 0x729daccf7be66a8e, 0xc1b3067afa8f2b38, 0xf62d314c5721fd47, 0xf4b632e384e1b875,
  0x1ceaeddfb8752135, 0x6c75e74ddb4a4792, 0x8b4d314707ec6abc, 0x2386f65b2f9c071d, 0xa9664d60b546c113,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0xfe9a64d674dcaed5, 0xad115e5d312ad5fe, 0x4f0d3bc77f5d73da,
  0x7a1d538107753629, 0x0c76ff7aaa2d30ca, 0xb8f3612e65f36c81, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0xe4fc0fdfb0cd0f32, 0x966b219e985f891e, 0x3bd079961d9f0271, 0x09ad9d16792bf734,
  0x00000000000004fc,
};

static const uint64_t ur_m161_swio15_noled_ee_hw[] = {
  0x3fbbbbbb451a2f43, 0x9bbb557e17a0b12e, 0x37e9eef8fdb7cdcc, 0xf5a1b44cc699fb24, 0x68b514ad883682e3,
  0xd95b52775a76ece2, 0x99f275304f8c0482, 0xd68dfca4115bffac, 0x0613fd479594b9aa, 0x377c565d7d47c1b3,
  0x32e384e1b875f62d, 0xdcb8d64d2135f4b6, 0xeda523c90e75697f, 0xc1fb1aad743af3a6, 0xcbe701c762d34c51,
  0x5aa3608fd6e1bd96, 0x1b5e5caad40226b0, 0xd454aa35d6407324, 0x3a6e576a96fabb39, 0x98956aff7f4d326b,
  0xbfaeb9ed5688af2e, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0x997cdb2048ab7fbd, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3, 0x257ee6877a0f32c3,
  0x00002df9a6b05f4f,
};

// m161_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m161_swio15_noled_ee_ce_hw[] = {
  0x437777768a34304a, 0x7bbb55784489d122, 0xf4a76eb4b0670bfc, 0x53636caddc18e2b8, 0x05991e4ad8291490,
  0x95b52776c5f76abe, 0x9f149304f8c0482d, 0xa3d37482b7fffac9, 0x78df0c1cb5baa8fa, 0xf10d8488bee24b1e,
  0xdc6e0003f459784b, 0x0e53b599ef7ccd51, 0xf83660cf5f51e567, 0xbec5a6298ae43fa8, 0xbe96c65c709c370e,
  0x439d5dbbf70ea426, 0x8d8ebce9bb6948f2, 0xb169a628e0fd8d57, 0x6470decb65f380e3, 0xb52cc9ac16a8d822,
  0x75901cc906d7972a, 0xa5beaece75152a8d, 0xdfd34c9ace9b95da, 0x55a22bcba6255abf, 0x29e1a778efebae7b,
  0x4f43aa7020eea6c5, 0x218edfef5545a619, 0x371e6c25ccbe6d90, 0xef79430a9cfd4176, 0xf81fc65f989ffde1,
  0x4fc0fdfb0cd0f327, 0x66b219e985f891ee, 0xbd079961d9f02719, 0xb3142fa792bf7343, 0x000000000000a02f,
};

static const uint64_t ur_m161_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0xdd5a06d93375fbba,
  0x80905b2b6a4ee82f, 0xfd596b3ebee609f1, 0xd7c3be5ba4a411ef, 0xc431c74fe0f9ef51, 0xdc3398b016f74c7a,
  0x9630475e2e76ded1, 0xd7972ab52b167ee3, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x2563d34c9ae0404e,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x32f9b69e8754e04e, 0x0b41bf3fb0ddb097,
  0x2c944e32cd6433d3, 0x57ee6877a0f32c3b, 0x00002a41d0b2d4f2,
};

// m161_swio15_lednop_pr_u4
static const uint64_t ur_m161_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c4ae, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0xda982f623bb713a0,
  0x2b6a4eec1bd3f6cc, 0x3f52a609f180905b, 0x2d07e9018fffd5ab, 0xa7f07d07a8fa51df, 0xb016594c63cf58e3,
  0xbd1f3b7c88e32398, 0xbddc35403ff6608e, 0x72ab5815a07967b7, 0xa8d75901cc906d79, 0x5daa5beaece75152,
  0x3d34c9ae0404e9b9, 0x55a22bcba6257256, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7,
  0x0f3612e65f36cbb2, 0x1f943458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x0cf4c2fc48f727e0, 0xccb0ecf8138cb359, 0x4053c95fb9a1de83, 0x000000007c9bf540,
};

static const uint64_t ur_m161_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x52774eb6c4e2d4b8, 0x3f304f8c0482d95b, 0xf2901c1ffd5ab3f4, 0xf51e56a7a6ab5a37, 0x5b05f51f06cc184f,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c1439d5a5fe72e3, 0xd56ba1d79d37609e, 0x0e3b169e488f22d8,
  0x047eb70decb65f38, 0xe556a015c326951b, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0x7a69935c0809d372,
  0xab4457974c4ae4ac, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x55bfdeaa8b48edcf, 0x1e6c25ccbe6d9764,
  0xf943459d3e2e4d5c, 0x1854e7ea75663c81, 0x27f8b9c65f989fca, 0x41bf1cf7ff04d0f3, 0xe04e32cd6433d30b,
  0x7ee6877a0f32c3b3, 0x0009d75d81014f25,
};

static const uint64_t ur_m161_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x5591080d8106d045,
  0x656d49dd57db06e3, 0x67ce0cc13e30120b, 0xb4665520d9dffab5, 0x1a01ea3cacbacd56, 0xddf159c3f51f06cc,
  0xcb8e1386e1d7d8b4, 0x55c5133484d7d2d8, 0x64011fc873ab4b94, 0xeec6ab5d0ebd7537, 0x2ce038ec5a6f7a3d,
  0x57170feb70decb87, 0x64073241b5e5caad, 0x6fabb39d454aa35d, 0x26b81013a6e576a9, 0xaf2e9895c958f4d3,
  0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x4b997cdb2ec8ab7f, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x0bf123dc9f81fbf6, 0xb3e04e32cd6433d3,
  0x257ee6877a0f32c3, 0x0000275c2161014f,
};

// m161_swio15_lednop_pr_ce_u4
static const uint64_t ur_m161_swio15_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xaceed55ce0a34e24, 0x47f4d2e8db6226d6, 0x45c3e35cfd833b26, 0x843081eba09baf22,
  0x16cada93ba3db638, 0x6acfc729827c6024, 0x547d7baa416ebff5, 0x892c79e3254ef7dd, 0x65e12fc4361222fb,
  0xc99aa3b8dcb91fd1, 0x9ef51e719ee5821a, 0x0143da011c74fe0c, 0xd1f3b7c88e32398b, 0xddc35403ff6678eb,
  0xcaad605681e5addb, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xf4d326b81013a6e5, 0x5688af2e9895c958,
  0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x79b09732f9b65d86, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x67a617e247b93f03, 0x658767c09c659ac8,
  0x029e4afdcd0ef41e, 0x000000006eba6802,
};

static const uint64_t ur_m161_swio15_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xbaf776aae4525dc4, 0xb13b7276b20a6fd2, 0xd43f178ef92989a0, 0x7044891f7907ed98,
  0x5b52776c36bd6fb5, 0xf7f9304f8c0482d9, 0x32eb480347fead59, 0xe78c953bff963faa, 0xaf7cce75dc6e6547,
  0xafa8f2b28729dac0, 0xc5652fd47c1b3067, 0x384e1b875f62d314, 0xf38752135f4b632e, 0xbb04f460a1ceaedd,
  0xf22d8d578d8ebce9, 0x65f380e3b169e488, 0x34a8d8226470decb, 0x06d7972ab52cee19, 0x75152a8d75901cc9,
  0x4e9b95daa5beaece, 0x572563d34c9ae040, 0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xd97618edfef5545a, 0xe2e4d5c6c25ccbe6, 0xd598f207e50d163c, 0xcb3590cf4c2d06fd, 0xde83ccb0ecb25138,
  0x3cb84053c95fb9a1, 0x00000000000029a6,
};

static const uint64_t ur_m161_swio15_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb448692df, 0x3dddaabc22589891, 0x7af5b76859bb85fe, 0x29b1b656e275c1a6, 0x6e999cbb6c148a48,
  0xb6a4eea8feabec98, 0xfb06609f180905b2, 0x4dd2043effea6b67, 0xa17071aeeaa3ea8f, 0x86c2445f71258f3c,
  0x371705fa2cbc25f8, 0x29daccf7be66a8ee, 0x1b3067afa8f2b287, 0x62d314c5652fd47c, 0x4b632e384e1b875f,
  0xceaeddf38752135f, 0x8ebce9bb04f460a1, 0x69e488f22d8d578d, 0x70decb65f380e3b1, 0x2cee1934a8d82264,
  0x901cc906d7972ab5, 0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xbcba62572563d34c, 0x0f37b6bae7b55a22,
  0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x5ccbe6d97618edfe, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x3d30bf123dc9f81f, 0x2c3b3e04e32cd643, 0x2cf257ee6877a0f3,
  0x00000009f832733a,
};

static const uint64_t ur_m161_swio15_lednop_ee_hw[] = {
  0x3fbbbbbb451a3032, 0x9bbb557e17b2312e, 0x1be477617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b4171,
  0x6cada93bad8b7526, 0x99fa1f9827c60241, 0xd68dfca40707ffac, 0x0613fd4795a9e9aa, 0x377c56c17d47c1b3,
  0x32e384e1b875f62d, 0x9cb8d64d2135f4b6, 0xd827a3050e75697f, 0xc8b6355ae875e74d, 0x97ce038ec5a79223,
  0xa546c11fadc37b2d, 0x36bcb955a80570c9, 0xa8a9546bac80e648, 0x74dcaed52df57673, 0xb92b1e9a64d70202,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0x65d9156ff7aaa2d2, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7b93f03f7ec3343c, 0xc659ac867a617e24, 0xd0ef41e658767c09,
  0x7c69070be9e4afdc, 0x000000000000000b,
};

// m161_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m161_swio15_lednop_ee_ce_hw[] = {
  0x437777768a346812, 0x7bbb557844b13122, 0xf5eb6ed0b3770bfc, 0x53636cadc4eb834c, 0xdd333976d8291490,
  0x95b527777ef7513c, 0x3fd83304f8c0482d, 0x47a6e9021f7ff593, 0xf1be1838d77551f5, 0xe21b09117dc4963c,
  0x71b9c83fe8b2f097, 0x394ed667bdf33547, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0x64d7020274dcaed5, 0x15e5d312b92b1e9a, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x12e65f36cbb0c76f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0xd3c95fb9a1de83cc, 0x0000005012cf2617,
};

// m161_swio15_dual_pr               m161_swio15_dual_pr_u4
static const uint64_t ur_m161_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x6c1f756e3fb2afc2, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba47e,
  0xb52490770ce6badd, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x517fc4b7e60b0ab3, 0xea3f7477cb2d7a40, 0x28bb7e38e9fc1ef7, 0xc8d31398b01758a6,
  0xff6608ebc06a7697, 0x07967b63e0df5403, 0xfe67d1cccacc538e, 0x80e64836bcb955ac, 0xf57673a8a9546bac,
  0xd7020274dcaed52d, 0xe5d312b92b1e9a64, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c,
  0x732f9b65d9156ff7, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0xf4c2fc48f727e07e, 0xb0ecf8138cb3590c, 0xb3c95fb9a1de83cc, 0x000000a49af3ece8,
};

static const uint64_t ur_m161_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0x983eead63ebbefc7, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b7ac5,
  0x2b05dcf05bc7f2ac, 0x9827c602416cada9, 0xe23d932305523b8f, 0xdcb8c2813e26fb59, 0xa631ffccab773ba7,
  0x7a8e4eb60968e016, 0x08a11c913f838ad3, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x7b8a8432d05f6886,
  0xbdbe9affa039e130, 0x25bf305855998b9c, 0xaad68ff75200b5fe, 0xb3061efd4795dba9, 0x2d377c57befd47c1,
  0xb632e384e1b875f6, 0xca5ae04fcd2135f4, 0x3760f68cf539d5a5, 0x8e21b1aad743af63, 0x77bb380e3b169ce2,
  0x22aa3608fd6e1bd9, 0xe67d1cccacc021be, 0x0e64836bcb955acf, 0x57673a8a9546bac8, 0x7020274dcaed52df,
  0x5d312b92b1e9a64d, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x32f9b65d9156ff7a,
  0x1a2cb578dc79b097, 0xa73f53ab337f0777, 0xa1e64ff0271a50c2, 0xb219e985a0df80f9, 0x079961d9f0271966,
  0xb9d16792bf7343bd, 0x00000000002b20e8,
};

static const uint64_t ur_m161_swio15_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xdd333e9cd3b4abcb, 0x2a74164035a1942c,
  0xada92625dddd9b68, 0x3b8f9827c602416c, 0xfb59e23d93230552, 0x3ba7dcb8c2813e26, 0x70275325afccab77,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x9400dc3e144312bf, 0xda21955ddeef9b84, 0x3c269122a10cb423,
  0x317397b7d35ff407, 0x16bfc4b7e60b0ab3, 0xb53d355ad1c06a40, 0xd47c1b307227a8f2, 0x875f62d377c5670f,
  0x135f4b632e384e1b, 0x9d5a5ff72e038cd2, 0x1d794d3b2008c143, 0x69bde8f22d8d56ba, 0xb86f65b93380e3b1,
  0x3e8e66566b8b87f5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x1013a6e576a96fab, 0x9895c958f4d326b8,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x38139f4502169ab9, 0x6c25ccbe6da7a1d5, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x6433d30bf123dc9f, 0x0f32c3b3e04e32cd,
  0xb3a2cf257ee6877a, 0x00000000000ac902,
};

static const uint64_t ur_m161_swio15_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0x2c1f7562e2806fc6, 0xdc99ba3dac341b8e, 0x89e4aecae7517b3e, 0xaebdd85b3ef7599d,
  0xb52571bb8e0b5a79, 0xc03304f8c0482d95, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0x035a6275f9956ee7,
  0xad37a8fa6f61158e, 0xfbe08a11c913f83c, 0x001b87c2886257f9, 0x4432abbbddf3732a, 0xc26ea22a10cb40ca,
  0x2e72f6f63fff4073, 0xb7f896fcc1615666, 0xc8e5551f531f4806, 0x117dc4963cf285c1, 0x47e8b2f097e21b09,
  0x0404fccd51dc6e25, 0xf83b5bd4709f3dcb, 0xe62c055f722471d3, 0x3af01a9da5f234c4, 0x70f837d500ffd99e,
  0x1cccacc538e0796b, 0x836bcb955acfe67d, 0x3a8a9546bac80e64, 0x274dcaed52df5767, 0x2b92b1e9a64d7020,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0xd3e1b8f3612e65f3,
  0xa75666fe0eee3459, 0x65f989fca1854e7e, 0x7ff04d0f327f8b9c, 0xd6433d30b41bf1cf, 0xa0f32c3b3e04e32c,
  0xb33a2cf257ee6877, 0x000000000001a48b,
};

static const uint64_t ur_m161_swio15_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x22c1f7562e2eb77e, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0x5d547ee733edd89c,
  0xb526a2bb8e0b41f3, 0x0ff304f8c0482d95, 0x6b3c47b26460aa47, 0x74fb97185027c4df, 0x16ea6d9df9956ee7,
  0x9737a8f813612b8e, 0xfbe08a11c913f832, 0xc01b87c2886257f9, 0x4432abbbddf37190, 0x84d2fa2a10cb43a8,
  0x2e72f6e96bfe80e7, 0xd7f896fcc1615666, 0xe6fbaa8faf75482d, 0x88bee24b1e7942e0, 0xa3f459784bf10d84,
  0x6086b266a8ee3712, 0x3f8327bd479c67b9, 0x8e62c050f680471d, 0x9e3af47cedf2238c, 0xcccacc7437f71cb1,
  0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x74dcaed52df57673, 0xb92b1e9a64d70202, 0xd73daad115e5d312,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0x91ee4fc0fdfb0cd0, 0x271966b219e985f8, 0x7343bd079961d9f0,
  0x06921679d16792bf,
};

static const uint64_t ur_m161_swio15_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cf65,
  0xb12ee782d9642acb, 0xc13e30120b656d49, 0x23d932305523cf5c, 0xcb8c2813e26fb59e, 0x6adffccab773ba7d,
  0x474dbd84ed9c2d6e, 0xa11c913f8319b9bd, 0x7c2886257f9fbe08, 0xeef77cdc185c01b8, 0x150865a050d10caa,
  0xfd83ff4073c2674b, 0xfcc16156662e72f6, 0x547812905adff896, 0x7f3ca1707276ec7f, 0x0abe4ce75dc6e022,
  0x6ffa8f2b95d29dac, 0x98af2b7a8f83660f, 0xc709c370ebec5a62, 0x8a58ea426be96c65, 0x3760f68cf539d5db,
  0x1c436355e363af63, 0xef76701c762d39c5, 0x22aa3608991c37b2, 0xe67d1cccaccb31be, 0x0e64836bcb955acf,
  0x57673a8a9546bac8, 0x7020274dcaed52df, 0x5d312b92b1e9a64d, 0x9bdb5d73daad115e, 0x842a417296be7407,
  0xaa2d23b73d0ea9c0, 0x65f36cbb0c76ff7a, 0x8d163ce1b8f3612e, 0x2d06fdd599bf83bb, 0xcf8138cb3590cf4c,
  0x95fb9a1de83ccb0e, 0x00004c139cce8b3c,
};

static const uint64_t ur_m161_swio15_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x0fbab543abddf89f, 0xbc16a27d69267da6, 0x1d7fabd823859c16, 0xfc0668cd3ecb10f6,
  0xbd33a0808fe1bc98, 0x05b2b6a4d8677480, 0x5522f67a609f1809, 0xe26fb59e23d93230, 0x5bf3ba7dcb8c2813,
  0x5ce06b734c37e65a, 0x0eb7e6f51c526c3f, 0xfe7ef822847244fe, 0xe01006e1f0a21895, 0x564432abbbddf371,
  0xcf09a57454219684, 0x98b9cbdbdc8ffd01, 0x5bffc09a73058559, 0xf5eaa3ea8ce0d203, 0x2fb892c79e50bcef,
  0xfd165e12fc436122, 0xf5f266a8ee371e01, 0xffa8f2b95d29dacc, 0x8af2b7a8f83660f6, 0x709c370ebec5a629,
  0xa58ea426be96c65c, 0x760f68cf539d5db8, 0xc436355e363af633, 0xf76701c762d39c51, 0x2aa3608991c37b2e,
  0x67d1cccaccb31be2, 0xe64836bcb955acfe, 0x7673a8a9546bac80, 0x020274dcaed52df5, 0xd312b92b1e9a64d7,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x5f36cbb0c76ff7aa, 0xdf1726ae0f3612e6,
  0xeaccdfc1fb763458, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1ee4fc0fdfb0cd0f, 0x71966b219e985f89,
  0x343bd079961d9f02, 0x025c162ab2792bf7, 0x0000000000000020,
};

static const uint64_t ur_m161_swio15_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63ebbefc7a, 0xee375261d6323139, 0xa0da0a4d740255fb, 0x6f26568650b7ac52,
  0x92b05ddacadd6ec2, 0xf9827c602416cada, 0x9e23d932305523b8, 0x7dcb8c2813e26fb5, 0x6a631ffccbb093ba,
  0x37a8e4eb60968e01, 0xe08a11c913f838ad, 0x1b87c2886257f9fb, 0x655777bbe6e18040, 0x07b8a8432d05f688,
  0xcbdbe9affa039e13, 0xf3ab7305855998b9, 0x4d56b47fba9005af, 0x0d9830f7ea3caedd, 0xb169bbe2bdf7ea3e,
  0xa5b1971c270dc3af, 0x2e52d7027e6909af, 0x19bb07b467a9cead, 0x14710d8d56ba1d7b, 0xcbbdd9c071d8b4e7,
  0xf11551b047eb70de, 0x7f33e8e66566010d, 0x4073241b5e5caad6, 0xfabb39d454aa35d6, 0x6b81013a6e576a96,
  0xf2e9895c958f4d32, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0xb997cdb2ec8ab7fb,
  0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x30bf123dc9f81fbf, 0x3b3e04e32cd6433d,
  0xf257ee6877a0f32c, 0x00002bb548b205f4,
};

// m8_autobaud_uart0_noled_pr        m8a_autobaud_uart0_noled          m8a_autobaud_uart0_noled_pr
static const uint64_t ur_m8_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0xcada93ba0bd04cc5,
  0x67e719827c602416, 0xd32811025f3ff9f7, 0xfaa2175fedd70174, 0x09f169da12704995, 0x6063efd47afe77cb,
  0x0b2ca61179e8e395, 0x3e760e28ccf1cc58, 0xf86a807fecc11d7a, 0x8a159503cb3db535, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xe6da5fe2adfef554, 0x3458f386ed94462f, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x01c4400e4b65a9e4,
};

// m8a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m8_autobaud_uart0_noled_pr_u4[] = {
  0x2ddddddda2ec4743, 0x7777775579842f71, 0xb4d9fbbd4c19a4cf, 0xf1fad183eeeee821, 0x6a4eed45e4b63d60,
  0x9c6609f180905b2b, 0x2811025f3fdac99f, 0xa2175fedd70174d3, 0xf169da12704995fa, 0x63efd47afe77cb09,
  0x2ca61179e8e39560, 0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a,
  0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xc9ab83cd94462fe6, 0x98f2076d0d1637c5,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xb6bdd9bacf257ee6, 0x0000000000000461,
};

// m8a_autobaud_uart0_noled_pr_ee
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ee[] = {
  0x25bbbbbbbbd8bf82, 0xf7777775576c1412, 0x11c29e99713f7b0c, 0x36017a1deadbb5a3, 0xeeae312247e0d833,
  0x609f180905b2b6a4, 0x408e1ffb5933ec16, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0x2b9c66ab5a39b85a,
  0xbd47c1b3063e7a8f, 0xb875f62d377c572f, 0x2135f4b632e384e1, 0xe73ab4ba62b8d64d, 0xe875e74dd967a313,
  0x8b4d05a3c676355a, 0x5b86f65b2f9c071d, 0x002fc300ca8d823f, 0x934746293cb4e945, 0x52f29bd73f1479bd,
  0x2a7d3d0ea9c08fea, 0x6d2ff156ff7aaa2d, 0xe2e4d5c6ca2317f3, 0xd598f2076d0d163c, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x3e9cb3759e4afdcd, 0x0000000000000188,
};

// m8a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ee_u4[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x04f8c0482d95b527, 0x08e1ffdc039f60b3, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0xb9c66ab5a39b85a7,
  0xd47c1b3063e7a8f2, 0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e,
  0xb4d05a3c676355ae, 0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x2a734e46792bf734,
  0x0000000000009a9c,
};

// m8a_autobaud_uart0_noled_pr_ce
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ce[] = {
  0xdddddddd41ec53c3, 0x777775579842e312, 0xdb7e95e4c77af4f7, 0x7f8f1afbbbbab789, 0x27748fcbb0671c61,
  0x9304f8c0482d95b5, 0x0881195fed64cfbf, 0x0baff6eb80ba6994, 0xb4ed093824cafd51, 0x00b073243bfeb6b0,
  0x9cee6d78e4707f3c, 0x8ed7d3dcb0175930, 0x310f1c72ac0cd27a, 0x838a333c731602dc, 0xa01ffb33c75e8f9d,
  0x59503cb5b94d7e1a, 0x68e8c527969d28a1, 0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5,
  0x357079b288c5fcdb, 0xf2076d0d165abcb9, 0x8d2861539fa9d598, 0x4fc07cd0f2267813, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0046ea64b3759e4a,
};

// m8a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ce_u4[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xb52776c4d8608005,
  0x90f304f8c0482d95, 0xa04409c9ffdc039f, 0x885d7fb75c05d34c, 0x45a76849c12657ea, 0x002d69027dc5f54c,
  0x21b09117dc6883cf, 0xaf63fff3f51f097e, 0x7b9633f5933c5dcd, 0x8e55819a4f51dafa, 0x678e62c05b8621e3,
  0x6678ebd1f3b07146, 0x96b729afc35403ff, 0xa4f2d3a5142b2a07, 0x5cfc51e6f64d1d18, 0x3aa7023fa94bca6f,
  0xdbfdeaa8b4a9f4f4, 0x365118bf9b697f31, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x233c95fb9a19961d, 0x00000023754cb5a7,
};

// m8a_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ee_ce[] = {
  0x25bbbbbbba88aaac, 0xeeeeeeeaaf389412, 0x7e3f70a6a742f5eb, 0x99bb3635217bdd1b, 0x2777c8a3b31313a1,
  0x3304f8c0482d95b5, 0x440b677fdc039f38, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0xb4863ceffaa39105,
  0xcdae9682d7e78016, 0x329dacac8ca6139d, 0xe0d983117d4795a6, 0x7d8b4c5315c65ea3, 0x7d2d8cb8e1386e1d,
  0xb39d5db8451d484d, 0xb1d7aea6ec82d18f, 0x69eb12386ab1aaf1, 0xc37b2e1cb380e3b1, 0xe5a74a298c6f7191,
  0x2fd6e7e28f3a3149, 0x2d363eacdd4deb29, 0xa7a1d53817b66304, 0x5c9ab8d94462fe6d, 0xb31e40fca1a2c79c,
  0x964b867a615c9fba, 0x9961d252d964a271, 0xaf7a7233c95fb9a1, 0x00000000000159bd,
};

// m8a_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xddddddda2e7c3375, 0x77777557910a6712, 0xb8da2c33837b7077, 0xd05341db7bb85320, 0x962ad1bab9dd3b92,
  0x9f180905b2b6a4ee, 0xc7fffbe1e7f76a60, 0xb75c05d34ca04408, 0x49c12657ea885d7f, 0x75c5f5469585a768,
  0xfb8d1079e005cee5, 0x7ea3e12fc4361222, 0x7ccf17736bb21d25, 0x51e560a4a76b736f, 0x7377a8f83660e32f,
  0x4e1b875f62d314c5, 0x4752135f4b632e38, 0x2cf4627ce7576e4c, 0x9d8d578d8ebce9bb, 0xe701c762d34168f1,
  0x51b044c8e1bd96cb, 0x969d28a167f86019, 0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5,
  0x88c5fcdb4bf98edf, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0010444056f2cdcf,
};

// m8a_autobaud_uart0_noled_hw
static const uint64_t ur_m8_autobaud_uart0_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0xd3e3f5a307ddddd0, 0x6cada93ba36f1deb,
  0x1e7e719827c60241, 0xa699408812f9ff87, 0xafd510baff6eb80b, 0x584f8b4ed093824c, 0xab031f7ea3d7f3be,
  0xc05965308bcf471c, 0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e,
  0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08, 0x7f36d2ff156ff7aa, 0xae4fcfec376ca231, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x00036cb4072a29e4,
};

// m8a_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m8_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0xa93ba8eca56bb206,
  0x059827c602416cad, 0x408811c3ffa14cfb, 0x10baff6eb80ba699, 0x0b4ed093824cafd5, 0x51e5738cd56b4737,
  0xe5f7a8f83660c7cf, 0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x627ce756974c571a, 0xab5d0ebce9bb2cf4,
  0xe3b169a0b478cec6, 0x47eb70decb65f380, 0x28a005f8601951b0, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xfe6da5fe2adfef55, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x001627f1a185f4f2,
};

// m8a_autobaud_uart0_noled_ce_hw
static const uint64_t ur_m8_autobaud_uart0_noled_ce_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55e6106, 0x871fb3afad0c9ef8, 0x34d88036dbc9bbba, 0x905b2b6a4eed8f64,
  0xc38f3fb7e609f180, 0x05d34ca0440ba8ff, 0x2657ea885d7fb75c, 0xdff52785a76849c1, 0xb7f3f3c00b8496b9,
  0x02e33984e7736bc7, 0x81eb17a8e82e7b96, 0x62c0559e90e38e55, 0x3af173b5128e1a8e, 0x28a0ebf0f71cb19e,
  0x37b268e8c527969d, 0xfd4a5e537ae7e28f, 0x45a54fa7a1d53811, 0xfcdb4bf98edfef55, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00019562fae8a792,
};

/*
 * m8_autobaud_uart0_noled_ee_ce_u4_hw m8a_autobaud_uart0_noled_ee_ce_hw
 * m8a_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0x5304f8c0482d95b5, 0x4408c7ffe8533fbb, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0x84a575c5f5469585,
  0x2445f71a20f3c49c, 0x1bc3fd47c25f886c, 0xe6def99e2ee6d7ec, 0xc65ea3cac1494ed6, 0x298ae6ef51f06cc1,
  0x5c709c370ebec5a6, 0xdc988ea426be96c6, 0xd37659e8c4f9ceae, 0xd1e33b1aaf1b1d79, 0x2d97ce038ec5a682,
  0xc032a3608991c37b, 0x8a4f2d3a5142cff0, 0xf5cfc51e6f64d1d1, 0x43aa7023fa94bca6, 0x1dbfdeaa8b4a9f4f,
  0xf365118bf9b697f3, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x0417d3c95fb9a199, 0x000000000025483f,
};

// m8_autobaud_uart0_lednop_pr       m8a_autobaud_uart0_lednop         m8a_autobaud_uart0_lednop_pr
static const uint64_t ur_m8_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0x95b5277731242a1a,
  0xcf829304f8c0482d, 0xa6502205f27ff3ee, 0xf5442ebfdbae02e9, 0xb582d3b424e0932b, 0x60667bd476be3be5,
  0x2dee9ae18878e395, 0x73b0fb47ac473160, 0x58a6b71cb1823af1, 0xc5302027969d28a1, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x376ca2317f36cb88, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x9c5b2d4f257ee686, 0x000000000001c443,
};

// m8a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_u4[] = {
  0x2ddddddda2ec53c3, 0x7777775579841af1, 0xa17bd9f7e0dbd803, 0xa575e64f7777410d, 0xa4ee91f976f4e38f,
  0xd6609f180905b2b6, 0x022052fbfdac99f3, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0x7dfa8eb3cef9613e,
  0x2986f93d1c72ac0c, 0x9ed23348731602cb, 0xa01ffb30475e8f9d, 0x60a07967b66794d2, 0x8a60404f2d3a5145,
  0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x3cd94462fe6d9711, 0x76d0d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x9bacf257ee686658, 0x00000000461aeadd,
};

// m8a_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ee[] = {
  0xc4b77777777b1762, 0xbddddddd55db04ad, 0x3114130acc469ed0, 0x78bf1da1deadbb5a, 0x9dda668cfe9a3b3f,
  0x4c13e30120b656d4, 0x881143ff6b267f2b, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0xe567acd56b47370b,
  0x57a8f83660c7cf51, 0x1b875f62d377c57a, 0xd2135f4b632e384e, 0x0e73ab4be48b8d64, 0xd743af3a6edd0231,
  0xd8b4c4fa3905b1aa, 0xf5b86f65b2f9c071, 0x5002535f86a8d823, 0x7462981013cb4e94, 0x9b19d038a3cf8934,
  0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x26ae365118bf9b65, 0xc7903b6868b1e717, 0x92e19e985727eeac,
  0x587494b659289c65, 0x759bacf257ee6866, 0x00000000001883aa,
};

// m8a_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x04f8c0482d95b527, 0x08a1ffdc039fcad3, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0xb3d66ab5a39b85a7,
  0xd47c1b3063e7a8f2, 0xc3afb169bbe2bd2b, 0x09afa5b1971c270d, 0x39d5a5f245c6b269, 0xa1d79d376e811887,
  0x5a627d1c82d8d56b, 0xdc37b2d97ce038ec, 0x0129afc3546c11fa, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0x079b288c5fcdb2e2, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xd3919e4afdcd0ccb,
  0x0000000026a7138b,
};

// m8a_autobaud_uart0_lednop_pr_ce
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ce[] = {
  0xbbbbbbba83d8b562, 0x77777557984cc625, 0x2e3b6fc5a9bdc2b7, 0x982f623bbbbab789, 0x2777e9c1b3f7705a,
  0x5304f8c0482d95b5, 0x220463ffdac99fa9, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x02c1c050effadac2,
  0x73b9b5c9d25afcf0, 0x8fcf4f72c05d64c2, 0xbc171c72ac0cd27a, 0xcf6919a4398b0177, 0x500ffd99e3af47ce,
  0xac140f2d6e33ca69, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a, 0x8754e0575539794d, 0x8edfef5545a6c59e,
  0x0f365118bf9b65c1, 0xeda1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8,
  0xa19961d252d9f027, 0xd5eb766eb3c95fb9, 0x000000000000008d,
};

// m8a_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0xa93ba1b9053453b4,
  0x4b9827c602416cad, 0x02204e97fee01cf9, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0x016b49b7ee2faa62,
  0x0d8488bee3441e78, 0xfbb49b7fa8f84bf1, 0xb9633f5933c5dcda, 0x395606693d47e7a7, 0xd21cc580bbde0b8e,
  0xccf1d7a3e767b48c, 0x96b719e534a807fe, 0x04f2d3a514560a07, 0x28f3e24d1d18a604, 0x2baa9cbca6c6740e,
  0xaaa2d362cf43aa70, 0x8c5fcdb2e0c76ff7, 0x2c6f8b9357079b28, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0011baef05d3919e,
};

// m8a_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0xf8c0482d95b52774, 0xc1ffb8073f43f304, 0x6eb80ba699408811, 0x93824cafd510baff, 0x53bfea8c3d8b4ed0,
  0x87cb5f9e005ad217, 0xcac7be6139dcdaf7, 0x38cbd4795a0129da, 0xc5315ce3ea3e0d98, 0xcb8e1386e1d7d8b4,
  0xdbb241d484d7d2d8, 0x9d376e81188739d5, 0xfa3905b1aaf1b1d7, 0x65b2f9c071d8b4c4, 0xafc3546c1132386f,
  0x0809e5a74a2859a9, 0x1c51e7c49a3a314c, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x5118bf9b65c18edf,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x9a7233c95fb9a199, 0x000000000010445d,
};

// m8a_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e304a, 0xbbbbbaabc882c189, 0xa66b8e85a3bd89db, 0xec89a0edbddc2990, 0xc5d47dd92011232e,
  0xf8c0482d95b52776, 0xfcffef879fd35304, 0x6eb80ba699408817, 0x93824cafd510baff, 0xbb8bea8d2b0b4ed0,
  0xf71a20f3c00b9de9, 0xfd47c25f886c2445, 0xf99e2ee6d724aca8, 0xa3cad0094ed6e6de, 0xe71f51f06cc1c65e,
  0x9c370ebec5a6298a, 0x0ea426be96c65c70, 0x7408c439ceaedd92, 0x2d8d578d8ebce9bb, 0xce038ec5a627d1c8,
  0xa3608991c37b2d97, 0x2d3a5142cd4d7e1a, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba,
  0xfcdb2e0c76ff7aaa, 0xf8b9357079b288c5, 0xd598f20669f1a2c6, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x222f3ef2cdcf257e, 0x0000000000000008,
};

// m8a_autobaud_uart0_lednop_hw
static const uint64_t ur_m8_autobaud_uart0_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x15e95d7993ddddd0, 0x6cada93bb50d4dee,
  0x1e7cf59827c60241, 0x4d328110297dff87, 0x5faa2175fedd7017, 0xb09f169da1270499, 0x56063efd4759e77c,
  0x016594c37c9e8e39, 0x47cecf6919a4398b, 0xca69500ffd9823af, 0x28a2b0503cb3db33, 0x68e8c5302027969d,
  0xe53633a071479f12, 0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0xcfec376ca2317f36, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x6cb438ba29e4afdc, 0x0000000000000003,
};

// m8a_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m8_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xd49dd322d3b6c31f,
  0x2b4c13e30120b656, 0xa04408a1ffd0a67f, 0x885d7fb75c05d34c, 0x85a76849c12657ea, 0xa8f2b3d66ab5a39b,
  0xbd2bd47c1b3063e7, 0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x188739d5a5f245c6, 0xd56ba1d79d376e81,
  0x38ec5a627d1c82d8, 0x11fadc37b2d97ce0, 0x4a280129afc3546c, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50, 0x899e07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xc4f3f5b0be9e4afd, 0x0000000000000002,
};

// m8a_autobaud_uart0_lednop_ce_hw
static const uint64_t ur_m8_autobaud_uart0_lednop_ce_hw[] = {
  0xc4b777777759bb37, 0xdddddddd55e6138f, 0xa1c7edbe2d22ef8f, 0x1a6c401b6d88eeee, 0x482d95b52776c7b2,
  0xe1c79fa95304f8c0, 0x05d34ca04408c7ff, 0x2657ea885d7fb75c, 0xdff52785a76849c1, 0xdbf9f9e005c243e1,
  0x01719cc273b9b5e3, 0xc0f58bd4713f3dcb, 0x31602acf4171c72a, 0x3af173b63347ac47, 0x9450752cb71cb19e,
  0x347462981013cb4e, 0xbca6c6740e28f2dd, 0xb98c10b4deabaa9c, 0x17f36d3d0ea9c0ba, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000006558beba29e,
};

/*
 * m8_autobaud_uart0_lednop_ee_ce_u4_hw m8a_autobaud_uart0_lednop_ee_ce_hw
 * m8a_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0x5304f8c0482d95b5, 0x1102ff9ff4299fd3, 0x175fedd70174d328, 0x69da12704995faa2, 0x212d37717d51a561,
  0x09117dc6883cf127, 0x199f3f51f097e21b, 0xb9b7be678bb9b5e6, 0x7197a8f2b40253b5, 0x8a62b9c7d47c1b30,
  0x971c270dc3afb169, 0xb76483a909afa5b1, 0x3a6edd02310e73ab, 0xf4720b6355e363af, 0xcb65f380e3b16989,
  0x5f86a8d8226470de, 0x1013cb4e9450b353, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9,
  0xa2317f36cb831dbf, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x0000000254896d02,
};

// m8_autobaud_uart0_dual_pr         m8a_autobaud_uart0_dual           m8a_autobaud_uart0_dual_pr
static const uint64_t ur_m8_autobaud_uart0_dual[] = {
  0x756dddddddd44511, 0x3b7777775fb66224, 0xd30837a7189375a5, 0x162b1393ae0eeee8, 0xd49c5eee57ccf87b,
  0x2d4c13e30120b656, 0xb3da571164004a47, 0xe5f1030a193e5756, 0x175fccbb8be9dd3e, 0x47727b0f9c7090f3,
  0x508e485581afb9bd, 0xc01b87c0aff31a04, 0x10caee2f77c5dfa6, 0x132d78a8432d0c91, 0xb9cbdbc7bffa039e,
  0xaffe7dd305855998, 0x75c05d34ca0440b4, 0x9c12657ea885d7fb, 0xcf1df2c27c5a7684, 0x7d1c72ac0c7dfa8f,
  0x99cc580b2ca6b86d, 0x823af47ced20a8f1, 0xcccaccac74f71cb1, 0x27969d28a4fe67d1, 0x9d038a3ce8c53020,
  0x2d392306a6c4a7ef, 0xd3d0ea9c083b8a04, 0x4d5c1e6ca2317f36, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59,
  0xcb0e9296cf8138cb, 0x9cd3919e4afdcd0c, 0x000000000005566f,
};

// m8a_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m8_autobaud_uart0_dual_pr_u4[] = {
  0x6ddddddda2e7ce7c, 0x7777775fb66252b5, 0xa1bac4c713b5a3db, 0x0cf591deeeed4534, 0x9bbb66da78b50fcb,
  0x4f8c0482d95b5246, 0xb88b20025219bf30, 0x1850c9f2bab59ed2, 0xcca6b54ee9f72f88, 0x7b02967060b3604f,
  0x485581a569bd4738, 0x87c0aff31a04508e, 0xee2f77c5de16801b, 0x48a8432d09c510ca, 0xf6efe7fd01cf09b2,
  0x6b24c16156662e72, 0x05d34ca0440ba8ff, 0x2657ea885d7fb75c, 0xef96e785a76849c1, 0xc72ac0ded7a8f70c,
  0x31602eb14cf7dad1, 0xaf01a9dabfa34167, 0x8fba25500ffd9823, 0xe6656638f81e59ed, 0x13cb4e94527f33e8,
  0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x18bf9b65c455bfde, 0x58df1726ae0f3651,
  0xf53ab31e40cd3e34, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x005c14217e59b9e4,
};

// m8a_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ee[] = {
  0xb6eeeeeeef3e43ee, 0x7777775fb15b4e5a, 0x4edd943d875f68bf, 0x5d96a6a74cf76059, 0xd5df913ddb4f58bf,
  0x602416cada928edd, 0x59001290b829827c, 0x864f95d5acf695c4, 0x35aa774fb97c40c2, 0x7fc380689b4d7e65,
  0xb03a1f9bd47b1fd8, 0x15fe63408a11c90a, 0xddf177f6080370f8, 0x219681c34432bb8b, 0x7ffd01cf099c9c54,
  0x05855998b9cbdbf5, 0x6502205beffdac93, 0x5442ebfdbae02e9a, 0x282d3b424e0932bf, 0xfd4795f51355ad18,
  0x572fbd47c1b306b5, 0x84e1b875f62d377c, 0x38cd2135f4b632e3, 0x8ebf9cead2f10ae0, 0xaad743af29a7659e,
  0x38ec5a682d18fbb1, 0xb17d6e1bd96e4ce0, 0x93f99f47332b35c6, 0xa314c0809e5a74a2, 0x3633a0714796e9a3,
  0x4085a6f55d54e5e5, 0xcdb4f43aa702eaf1, 0x8b9357079b288c5f, 0xb31e40cd3e3458f3, 0x964b867a615c9fba,
  0x19961d252d9f0271, 0xe93bcb373c95fb9a, 0x000000000000822f,
};

// m8a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ee_u4[] = {
  0x6ddddddda2431f02, 0xdddddd7ec56f7ef5, 0x9d62e58bed6a01dd, 0x2f086d4e99ee94e6, 0xa31166d084c295aa,
  0x02416cada93625dc, 0x2002521dbb9827c6, 0xc9f2bab59ed2b88b, 0xc24ee9f72f881850, 0x4d1c1fe4d883f32e,
  0xc0ec7e6f51c346c3, 0x57f98d022847242a, 0x77c5dfd6600dc3e0, 0x865a0c1510caee2f, 0x5ff4073c2690f150,
  0x0b0ab3317397b727, 0x9408814aeffb8066, 0x510baff6eb80ba69, 0x50b4ed093824cafd, 0xea3caf6fcd56b47a,
  0xafbaf51f06cc1fc9, 0x09c370ebec5a6ef8, 0x9f9a426be96c65c7, 0x8c9e39d5a5e715c0, 0xd56ba1d7b19bb6f6,
  0x0e3b169f3c8d21d8, 0x08fd6e1bd977bb38, 0x995980544a83aa36, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404,
  0xaa9cbca6c6740e28, 0xa2d362cf43aa702b, 0x2fe6d971156ff7aa, 0x1a2c6f86e3cd9446, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000295255956c4f,
};

// m8a_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ce[] = {
  0xb6eeeeeeef3e306a, 0xbbbbbbafdb31fb5a, 0x13ac828dd33ed2c5, 0x72498d3b77765ddc, 0x3377557e4cad210a,
  0x09f180905b2b6a4d, 0x571164004a4737e6, 0x030a193e5756b3da, 0xf994d6a9dd3ee5f1, 0x5b60358e04ea64b5,
  0xc90ab03df737a8f1, 0x70f815fe63408a11, 0x5dc5eef8bbf10003, 0xbf150865a0fe2219, 0x7b7297ff4073c26d,
  0xb59260b0ab331739, 0x05d34ca04408a2ff, 0x2657ea885d7fb75c, 0xdff58c85a76849c1, 0xd6cefcf002e767a9,
  0x0144fcc273b9b5ed, 0xb03417ea3f413dcb, 0x7316028f9d2471ca, 0x3af01a9dabfa3416, 0x70fba25500ffd99e,
  0xa3999598e3e0796b, 0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7,
  0x88c5fcdb2e0c76ff, 0x458f38b9357079b2, 0xc9fbab31e40cd3e3, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x053c9a2fbcb373c9,
};

// m8a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ce_u4[] = {
  0x6ddddddda2435032, 0xeeeeeebf6243aef5, 0xba8d49c8ed6badee, 0x55f62ff6b7776c49, 0xcddd57b68ff77dd8,
  0x27c602416cada928, 0xb88b200252029198, 0x1850c9f2bab59ed2, 0xf32ec24ee9f72f88, 0xf6033670dda9936f,
  0x21560696a6f51cc7, 0x1f02bfcc68114239, 0x717bbe2efbc3006e, 0x8a8432d090e88657, 0xbeceffa039e137ee,
  0x03305855998b9cbd, 0xd34ca04408a1ffdc, 0x57ea885d7fb75c05, 0xf59b85a76849c126, 0x1079e24e424fe5c5,
  0xe12fc4361222fb8d, 0xc5dcdafa69fe7ea3, 0x1fa09ee58cf13f33, 0xce9238e5581a0bf5, 0xd5fd1a0b398b0147,
  0x807feccf1d780d4e, 0x71f03cb5b87dd12a, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0x97063b7fbd55169b, 0xf86e3cd94462fe6d, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0xd7b27176c4f9e4af,
  0x000000000000000a,
};

// m8a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ee_ce[] = {
  0x6dddddddd41432db, 0xeeeeeebf685f5c75, 0xce0b28fe7deb85ee, 0x9b75b3f793b76711, 0x3822acb0433a421d,
  0x0120b656d49414ee, 0x9001291649cc13e3, 0x64f95d5acf695c45, 0x612774fb97c40c28, 0x5b384c34ccf9f997,
  0x0380137a8ffafb03, 0x5fe63408a11c90ab, 0xbe2ef30080370f81, 0x32d027488657717b, 0xffa039e136ce8a84,
  0x5855998b9cbdbe9a, 0xa044082d7fdc0330, 0x885d7fb75c05d34c, 0xc5a76849c12657ea, 0x9c84b021dff546be,
  0x3b9b5d9f3acff3c4, 0x91253b5958be4c27, 0x47c1b30698fa8f2b, 0x75f62d314c5613fd, 0x35f4b632e384e1b8,
  0x278e7576e9c47521, 0xbc6c75ec66edbda3, 0x1d8b4f9e4690ec6a, 0x26470decbbdd9c07, 0x56659d12a0ea8d82,
  0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8,
  0xb2d5e371e6ca2317, 0xfd4eaccdfc1ddc68, 0x9133c09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x627cf257ee686658, 0x00000001fab656ab,
};

// m8a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ed8be, 0xeeeebf65a2d0756d, 0x421403c7fdccdeee, 0x68af5b74b167d83e, 0x0f0cbeb0ce34f571,
  0xb6a4a72773ceb483, 0x9e5e609f180905b2, 0xacf695c459001290, 0xb97c40c2864f95d5, 0xdd1ffccafda2774f,
  0x8ec87b0a4a383394, 0x4239215606cf937a, 0x006e1f02bfcc6811, 0x195dc5eef8bbd5d7, 0x74fc54219686ed22,
  0x97b7c6effa039e13, 0xfdf0e60b0ab33173, 0x02e9a65022053b7f, 0x932bf5442ebfdbae, 0xfaa32ea2d3b424e0,
  0x1079e24e038706e2, 0xe12fc4361222fb8d, 0x2ee6d7524e6ffea3, 0xe4494ed6e6d7c99e, 0x51f06cc1a63ea3ca,
  0x1d7d8b4c531584ff, 0x4d7d2d8cb8e1386e, 0xc9e39d5dba711d48, 0xaf1b1d7b19bb6f68, 0xc762d3e791a43b1a,
  0x8991c37b2ef76701, 0x95996744a83aa360, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f,
  0x2d362cf43aa702ba, 0xfcdb2e0c76ff7aaa, 0xf8b9357079b288c5, 0xaccdfc1bf411a2c6, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xb7e057176a792bf7,
  0x0000000000000fd5,
};

// m8a_autobaud_uart0_dual_hw
static const uint64_t ur_m8_autobaud_uart0_dual_hw[] = {
  0x6ddddddda243306a, 0x7777775fb66252b5, 0x694375898e3a76b7, 0x3619eb23bdddda8a, 0x491a6eeaafc99a84,
  0xfcc13e30120b656d, 0x7b4ae22c80094866, 0xbe20614327caead6, 0x604fccbb093ba7dc, 0x47387b02967060b3,
  0x508e485581a569bd, 0x801b87c0aff31a04, 0x10caee2f77c5de16, 0x09b248a8432d09c5, 0x2e72f6efe7fd01cf,
  0xa3fdf9d4c1615666, 0xdd70174d3281102e, 0x2704995faa2175fe, 0xdc33be5b9e169da1, 0x6b471cab037b5ea3,
  0x059cc580bac533df, 0x608ebc06a76afe8d, 0x67b63ee895403ff6, 0xcfa3999598e3e079, 0x60404f2d3a5149fc,
  0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0xd94462fe6d971156, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x85f4f257ee686658,
  0x000000007a374b82,
};

// m8a_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m8_autobaud_uart0_dual_ee_hw[] = {
  0xdbbbbbbb448618be, 0xbbbbbafd8adefdea, 0x3ac5cb17dad403bb, 0x5e10da9d33dd29cd, 0x7775ece0b5e0ab54,
  0xf180905b2b6a4d89, 0x22c80094876ee609, 0x14327caead67b4ae, 0xcbb093ba7dcbe206, 0xb0d34707f93620fc,
  0x0ab03b1f9bd470d1, 0xf815fe63408a11c9, 0x8bddf177f5980370, 0x54219683054432bb, 0xc9d7fd01cf09a43c,
  0xa982c2accc5ce5ed, 0x34ca0440a577fbf3, 0x7ea885d7fb75c05d, 0x3d285a76849c1265, 0xe4f51e57b7e6ab5a,
  0x7c57dd7a8f83660f, 0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x7b464f1cead2f38a, 0xec6ab5d0ebd8cddb,
  0x9c071d8b4f9e4690, 0x1b047eb70decbbdd, 0x1cccacc02a2541d5, 0x027969d28a4fe67d, 0x1479f1268e8c5302,
  0x15d54e5e53633a07, 0xd55169b167a1d538, 0x2317f36cb88ab7fb, 0xa9cfd4176371e6ca, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000000b072ab282f,
};

// m8a_autobaud_uart0_dual_ce_hw
static const uint64_t ur_m8_autobaud_uart0_dual_ce_hw[] = {
  0xeadbbbbbbb4486f9, 0xdddddddd7ec4875d, 0x93751a9391dad75b, 0x84abec5fed6eeed8, 0x49466ee9b4721ebf,
  0x8cc13e30120b656d, 0xf695c45900129014, 0x7c40c2864f95d5ac, 0x9b7f997612774fb9, 0xe63fb019b386ed4c,
  0x11c90ab034b537a8, 0x0370f815fe63408a, 0x32bb8bddf177de18, 0xbf74542196848744, 0xe5edf677fd01cf09,
  0xfbf3a982c2accc5c, 0xc05d34ca04408a1f, 0x12657ea885d7fb75, 0x5c5f59b85a76849c, 0xb8d1079e24e424fe,
  0xea3e12fc4361222f, 0xccf17736b98f8cdf, 0xfd47e827b9633c4f, 0x51f3a48e39560682, 0x53b57f4682ce62c0,
  0x4aa01ffb33c75e03, 0xb31c7c0f2d6e1f74, 0xa74a293f99f47332, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0x9b65c18edfef5545, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x2f46e271617d3c95,
};

// m8a_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m8_autobaud_uart0_dual_ee_ce_hw[] = {
  0xb6eeeeeef6090c86, 0x7777775fb2d1683a, 0xf60f908500ef1ff7, 0x3d5c5a2bd6dd2c59, 0xbbbb1bb3798a338d,
  0x8c0482d95b525393, 0x2c8009484f2f304f, 0x4327caead67b4ae2, 0xbb093ba7dcbe2061, 0xa4a383394dd1ffcc,
  0x606cf937a8ec87b0, 0x2bfcc68114239215, 0xef8bbd5d7006e1f0, 0x19686ed22195dc5e, 0xffa039e1374fc542,
  0xb0ab3317397b7c6e, 0x022053b7fefcea60, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0xe424706e2faa32ea,
  0x61222fb8d1079e24, 0x37760fea3e12fc43, 0xb736be4cf17736be, 0x0d31f51e57224a76, 0x6298ac27fa8f8366,
  0x65c709c370ebec5a, 0xedd388ea426be96c, 0xd8cddb7b464f1cea, 0x3c8d21d8d578d8eb, 0xd977bb380e3b169f,
  0x2541d51b044c8e1b, 0x4fe67d1cccaccb3a, 0x8c5302027969d28a, 0x633a071479f1268e, 0xa1d53815d54e5e53,
  0x63b7fbd55169b167, 0xe3cd94462fe6d970, 0xd2861539fa9b0ec6, 0xfc07cd0f22678138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x02134f1b0be9e4af,
};

// m8a_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d4d6, 0xeeeeebf65a2d0756, 0xc1f210a01de3feee, 0xab8b457adba58b3e, 0xdd8cfafacdc671a7,
  0x02416cada929c9dc, 0x4004a427979827c6, 0x93e5756b3da57116, 0x6a9dd3ee5f1030a1, 0x1c19ca6e8ffe6590,
  0x67c9bd47643d8525, 0xe63408a11c90ab03, 0x5deaeb80370f815f, 0x4376910caee2f77c, 0x01cf09ba7e2a10cb,
  0x5998b9cbdbe377fd, 0x0a76fffa8dd30585, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0x8e0dc5f5465d45a7,
  0x5f71a20f3c58be84, 0x1fd47c25f886c244, 0x7c99e2ee6d74a8b9, 0xea3cae4494ed6e6d, 0x584ff51f06cc1a63,
  0x1386e1d7d8b4c531, 0x11d484d7d2d8cb8e, 0xb6f68c9e39d5dba7, 0x43b1aaf1b1d7b19b, 0x76701c762d3e791a,
  0xaa3608991c37b2ef, 0xfa39995996744a83, 0x0404f2d3a5149fcc, 0x0e28f3e24d1d18a6, 0x702baa9cbca6c674,
  0xf7aaa2d362cf43aa, 0x288c5fcdb2e0c76f, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343c899e07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x0b9e4afdcd0ccb0e, 0x00000084d3a33468,
};

// m8_u1x8_uart0_noled_pr            m8a_u1x8_uart0_noled              m8a_u1x8_uart0_noled_pr
static const uint64_t ur_m8_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x6a4ee8c05ec46c7e,
  0xb5e609f180905b2b, 0xedb021bfffcfbb3e, 0xafe77cb09f169da2, 0x9e8e3956063efd47, 0xcf1cc580b2ca6117,
  0xcc11d7a3e760e28c, 0xb3db535f86a807fe, 0x27969d28a159503c, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0xd94462fe6da5fe2a, 0xf2068fe3458f386e, 0x5c33d30ae4fdd598, 0x0e9296cb25138cb2,
  0xb65a9e4afdcd0ccb, 0x0000000007c858fe,
};

// m8a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m8_u1x8_uart0_noled_pr_u4[] = {
  0xddddd7751762422f, 0xeeeeaaee7260f12d, 0x5bd7c71bc9b426ee, 0x0e1c5bbbb49f0b2d, 0xee2fa8a4cec8eefe,
  0x09f180905b2b6a4e, 0x086fffb5933eb5e6, 0xdf2c27c5a768bb6c, 0x8e55818fbf51ebf9, 0x31602cb29845e7a3,
  0x75e8f9d838a333c7, 0xd4d7e1aa01ffb304, 0xa74a2856540f2cf6, 0xa3cdec9a3a3149e5, 0x047f529794deb9f8,
  0xd5516953e9e8754e, 0x18bf9b697f8ab7fb, 0x58df1726ae0f3651, 0x7ea75663c81db434, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000f935e7d66eb3c,
};

// m8a_u1x8_uart0_noled_pr_ee
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebbb507b1762, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0xa668cda5a3b7a6d4,
  0x3e30120b656d49dd, 0x406ff6b267ff74c1, 0xb47370b4ed176d81, 0x0c7cf51e5738cd56, 0x6ef8ae5f7a8f8366,
  0x65c709c370ebec5a, 0xc571ac9a426be96c, 0xb2cf4627ce756974, 0x8cec6ab5d0ebce9b, 0x5f380e3b169a0b47,
  0x951b047eb70decb6, 0x7969d28a005f8601, 0x7e28f37b268e8c52, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d,
  0x94462fe6da5fe2ad, 0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6,
  0x587494b67c09c659, 0x2d9bacf257ee6866, 0x000000000013ae3a,
};

// m8a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777775dd4488aaac, 0xddddd55de41d7c4b, 0x3ed69b3e17e82fdd, 0xdfa5d9c489ddbf38, 0xdf228ed0489c5c46,
  0x13e30120b656d49d, 0x13f9ff700e7ca2cc, 0x6b47108b4ed176d8, 0xc1c1ff51e57f24d5, 0xa6ef8ac7cf51f06c,
  0xc65c709c370ebec5, 0x22ae2899a426be96, 0x764168c7d9cead2e, 0x1aac6ab5d0ebd753, 0x2ce038ec5a7ac48e,
  0x1717bbeb70decb87, 0x51e746293cb4e945, 0x9ba9bd6525fadcfc, 0x817b714085a6c7d5, 0x94462fe6da7a1d53,
  0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x00000275e7c169c8,
};

// m8a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0x6d49ddcc490a86b4,
  0xe0a4c13e30120b65, 0x176d817c9ffcfbb3, 0x92d73bfea4f0b4ed, 0xdaffb92b7e780170, 0x9ee580b8ce6139dc,
  0xe395607ac5ea3a0b, 0x86a398b01567a438, 0x2c678ebc5ced44a3, 0xe5a74a283afc3dc7, 0xf8a3cdec9a3a3149,
  0x4e047f529794deb9, 0xfbd5516953e9e875, 0xa2317f36d2fe63b7, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x2d4f257ee6866587, 0x000000002dd79c5b,
};

// m8a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbbaabcc20c89, 0xd9d7d6864f31d85f, 0xc01b6de4dddd438f, 0xb5277699a335a11d,
  0xdbf304f8c0482d95, 0x2edb02ea3fdac99f, 0xe4e3717d632169da, 0x88bee3441e780160, 0x0b5fa8f84bf10d84,
  0x3f19ccf17736ba5a, 0x1eb17a8e82e7b963, 0x2c0559e90e38e558, 0xaf173b5128e1a8e6, 0x8a0ebf0f71cb19e3,
  0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0x8b9357079b288c5f,
  0xab31e40eda1a2c6f, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0xbae10bb3759e4afd, 0x0000000000000001,
};

// m8a_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ee_ce[] = {
  0x96eeeeebbb7b1762, 0xbbbbbbaab88315b8, 0x6682615988d3da17, 0x5f8ef35983eebaf2, 0xed33467f4d1d9fbc,
  0x09f180905b2b6a4e, 0x08a1ffb5933f95a6, 0xf5461ec5a768bb6c, 0x6bf3c00b071d29df, 0x3df309cee6d70d1a,
  0x5ea3cac1494ed656, 0x8ae6ef51f06cc1c6, 0x709c370ebec5a629, 0x988ea426be96c65c, 0x7659e8c4f9ceaedc,
  0xe33b1aaf1b1d79d3, 0x97ce038ec5a682d1, 0x32a3608991c37b2d, 0x4f2d3a5142cff0c0, 0xcfc51e6f64d1d18a,
  0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43, 0x65118bf9b697f31d, 0xb6868b1e71726ae3, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x000000a69aa759ba,
};

// m8a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0xf8c0482d95b52774, 0x7dffdc039f8ad304, 0x475285a768bb6c0b, 0xcf002d69182dc5f5, 0x7e21b09117dc6883,
  0x9b5d9f3acff51f09, 0x253b5b9b8ca678bb, 0xc1b30622fa8f2bf9, 0xfb1698a62b887d47, 0xfa5b1971c270dc3a,
  0x4e7576ec8a3a909a, 0xc75eba9bb087461c, 0xd390546a6ac6abc6, 0x86f65c396701c762, 0x969d28a631fc3323,
  0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x88c5fcdb4bf98edf, 0xa2c6f8b9357079b2,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000013f122fd3919,
};

// m8a_u1x8_uart0_noled_hw
static const uint64_t ur_m8_u1x8_uart0_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0xd49ddb1ec869b1bb,
  0x6bcc13e30120b656, 0xedb021bfff871e7d, 0xafe77cb09f169da2, 0x9e8e3956063efd47, 0xcf1cc580b2ca6117,
  0xcc11d7a3e760e28c, 0xb3db535f86a807fe, 0x27969d28a159503c, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0xd94462fe6da5fe2a, 0x30a9cfd4bd5c6e3c, 0x4cf1738cbf313f94, 0x727e39effe09a1e4,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0003a20f63fd14f2,
};

// m8a_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m8_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0xe9827c602416cada, 0x6d81406ffa14cffe, 0xcd56b47370b4ed17, 0x83660c7cf51e5738, 0xec5a6ef8ae5f7a8f,
  0xe96c65c709c370eb, 0x6974c571ac9a426b, 0xce9bb2cf4627ce75, 0x0b478cec6ab5d0eb, 0xecb65f380e3b169a,
  0x8601951b047eb70d, 0x8c527969d28a005f, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa,
  0xe3cd94462fe6da5f, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x48385f4f257ee686, 0x0000000000005be7,
};

// m8a_u1x8_uart0_noled_ce_hw
static const uint64_t ur_m8_u1x8_uart0_noled_ce_hw[] = {
  0x5bbbbbaeed66fcc5, 0xdddddd55dce435e2, 0xa097bd9f7e6edbdd, 0xf4aebcc9eeeea449, 0x56d49dda86a6f70a,
  0x3e7acc13e30120b6, 0xd176d814beffc38f, 0x84b243bfeb6b0b4e, 0xe6d7a95fbbf3c00b, 0x7d3dcb01759309ce,
  0xf1c72ac0cd27a8ed, 0xa333c731602dc310, 0xffb33c75e8f9d838, 0x03cb5b94d7e1aa01, 0x8c527969d28a1595,
  0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa, 0x0ddb288c5fcdb4bf, 0xc970cf4c2b93f3fb,
  0x2c3a4a5b2c944e32, 0x0e2e8a792bf73433, 0x000000000000310a,
};

// m8_u1x8_uart0_noled_ee_ce_u4_hw   m8a_u1x8_uart0_noled_ee_ce_hw     m8a_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0x4c13e30120b656d4, 0x6c0a2b7fd0a67c9d, 0xc5f5469585a768bb, 0x1a20f3c49c84a575, 0x47c25f886c2445f7,
  0x9e2ee6d7ec1bc3fd, 0xcac1494ed6e6def9, 0xef51f06cc1c65ea3, 0x370ebec5a6298ae6, 0xa426be96c65c709c,
  0xe8c4f9ceaedc988e, 0x1aaf1b1d79d37659, 0x038ec5a682d1e33b, 0x608991c37b2d97ce, 0x3a5142cff0c032a3,
  0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70, 0x8bf9b697f31dbfde, 0xe7ea0bb1b8f36511,
  0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00000a0200ac17d3,
};

// m8_u1x8_uart0_lednop_pr           m8a_u1x8_uart0_lednop             m8a_u1x8_uart0_lednop_pr
static const uint64_t ur_m8_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0x527746de3b266f4f,
  0x43304f8c0482d95b, 0xdb6043e7ff3eecfc, 0xb3cef9613e2d3b45, 0x3d1c72ac0c7dfa8e, 0x48731602cb2986f9,
  0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0x62fe6d971156ff7a, 0x8fe3458f386ed944, 0xd30ae4fdd598f206, 0x96cb25138cb25c33,
  0x9e4afdcd0ccb0e92, 0x000007c81c28b65a,
};

// m8a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_u4[] = {
  0xddddd77517622a9c, 0xeeeeaaee7232712d, 0x1f561b4f17b5a6ee, 0x6f87f777693e164c, 0x761991f800d2ecfe,
  0x04f8c0482d95b527, 0x810f9fed64cfc433, 0x3be584f8b4ed176d, 0x71cab031f7ea3acf, 0xcc580b2ca61be4f4,
  0x1d7a3e767b48cd21, 0xd99e534a807fecc1, 0xb4e945158281e59e, 0xf89347462981013c, 0xa72f29b19d038a3c,
  0xb4d8b3d0ea9c0aea, 0xf9b65c455bfdeaa8, 0xf1726ae0f365118b, 0x75663c81db43458d, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0xf9320e566eb3c95f,
};

// m8a_u1x8_uart0_lednop_pr_ee
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ee[] = {
  0xdddddd776f621c3b, 0x77777557790c7712, 0x82ff1ec4504d6437, 0x1b7b38913bbc1d22, 0x41699d0bf2385593,
  0x7c602416cada93bb, 0x28bfed64cffce982, 0x68e6e169da2edb02, 0x18f9ea3cacf59aad, 0x6ef8af4af51f06cc,
  0x65c709c370ebec5a, 0x9171ac9a426be96c, 0xdba04621ce75697c, 0x20b6355ae875e74d, 0x5f380e3b16989f47,
  0xd51b047eb70decb6, 0x7969d28a004a6bf0, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815,
  0x17f36cb88ab7fbd5, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x014f88beb3759e4a,
};

// m8a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xf180905b2b6a4eee, 0x45ffb8073ff3a609, 0x47370b4ed176d811, 0xc7cf51e567acd56b, 0x77c57a57a8f83660,
  0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0xdd02310e73ab4be4, 0x05b1aad743af3a6e, 0xf9c071d8b4c4fa39,
  0xa8d823f5b86f65b2, 0xcb4e945002535f86, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0xbf9b65c455bfdeaa, 0xdf1726ae0f365118, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x09d741c7a7233c95,
};

// m8a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x56d49ddb1ec842f3,
  0x3e804c13e30120b6, 0xd176d814ddffcfbb, 0x84a213bfea4f0b4e, 0xe6d7f9d21ff3c00b, 0xfcf72c05c67309ce,
  0xc71cab03d62f51c4, 0x8f588e62c05e82a5, 0x39633c75e2e761f6, 0x27969d28a0e94d6e, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0x62fe6d97063b7fbd, 0x8fe3458f386ed944, 0xd30ae4fdd598f206,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x000000b75248b65a,
};

// m8a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabcc271f89, 0xf6df1691731d85fb, 0xe00db6c4777750e3, 0xda93bb4cd19ad08e,
  0xd4a9827c602416ca, 0x2edb0231ffed64cf, 0xc97d717d632169da, 0x117dc6883cf002c1, 0x16bf51f097e21b09,
  0x7e3399e2ee6d74b4, 0x3d62f51c4fcf72c6, 0x580ab3d05c71cab0, 0xbc5ced8cd1eb11cc, 0x141d4b2dc72c678e,
  0x1d18a60404f2d3a5, 0x29b19d038a3cb74d, 0x63042d37aaeaa72f, 0xfcdb4f43aa702eae, 0xf8b9357079b288c5,
  0x3ab31e40eda1a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x1bae10bb3759e4af,
};

// m8a_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8ad4e, 0xeeeeeeaae20c6c44, 0xeb429bf1ed2f469e, 0x6d4f35983eef8b75, 0x989b82b8d199bb06,
  0x9f180905b2b6a4ee, 0x8a5ffb5933f81260, 0xaa39105a768bb6c0, 0x7f9e005839f38eff, 0xca6139dcdafbb49b,
  0xd4795cdd29dacac8, 0x5af9ea3e0d983117, 0x1386e1d7d8b4c531, 0xf1d484d7d2d8cb8e, 0xd82d1bda39d5db9e,
  0xeb1aaf1b1d7aea6e, 0xce038ec5a61c5199, 0x315346470decb872, 0xc5302027969d28a6, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0x3b7fbd55169b167a, 0xb8d94462fe6d9706, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x6eb3c95fb9a19961, 0x000000000a69f396,
};

// m8a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x27c602416cada93b, 0x5b3bfee01cf9c198, 0xaa3a942d3b45db60, 0x1e78016b4995ae2f, 0x4bf10d8488bee344,
  0xdcdae951723fa8f8, 0xdd29dadcdc6533c5, 0x3e0d983117d4795c, 0xd7d8b4c5315af9ea, 0xd7d2d8cb8e1386e1,
  0xda39d5db9ef1d484, 0x1b1d7aea6ed82d1b, 0xc5a61c5199eb1aaf, 0x470decb872ce038e, 0x27969d28a6315346,
  0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0x62fe6d97063b7fbd, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0004fc085e9c8cf2,
};

// m8a_u1x8_uart0_lednop_hw
static const uint64_t ur_m8_u1x8_uart0_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0x5277617ad1a826cf,
  0x43304f8c0482d95b, 0xedb021f3ff0e3cfc, 0x59e77cb09f169da2, 0x9e8e3956063efd47, 0xa4398b016594c37c,
  0x9823af47cecf6919, 0xb3db33ca69500ffd, 0x27969d28a2b0503c, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0x317f36cb88ab7fbd, 0xcfd4d876371e6ca2, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0x0a514f257ee68665, 0x00000000003a20e7,
};

// m8a_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m8_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0x304f8c0482d95b52, 0xb0228bff4299ff9d, 0xaad68e6e169da2ed, 0x6cc18f9ea3cacf59, 0xc5a6ef8af4af51f0,
  0x96c65c709c370ebe, 0x97c9171ac9a426be, 0x74ddba04621ce756, 0xf4720b6355ae875e, 0xcb65f380e3b16989,
  0xbf0d51b047eb70de, 0x2027969d28a004a6, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53,
  0xa2317f36cb88ab7f, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x000000016f817682,
};

// m8a_u1x8_uart0_lednop_ce_hw
static const uint64_t ur_m8_u1x8_uart0_lednop_ce_hw[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9c988c4, 0x8235cbdf89d2e3bb, 0x36d8c48bbbba9126, 0xcada93bb0bd68d41,
  0xe7e449827c602416, 0xed176d81695ff871, 0xb848143bfeb6b0b4, 0xee6d7727f3bf3c00, 0xf3d3dcb01759309c,
  0x05c71cab03349ea3, 0xda46690e62c05def, 0x03ff6678ebd1f3b3, 0x0503cb5b8cf29a54, 0x5302027969d28a2b,
  0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xed94462fe6d97063, 0xb867a615c9f9fd86,
  0x1d252d964a271964, 0x71453c95fb9a1996, 0x0000000000018851,
};

// m8_u1x8_uart0_lednop_ee_ce_u4_hw  m8a_u1x8_uart0_lednop_ee_ce_hw    m8a_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0xcc13e30120b656d4, 0xd811c1ffa14cfd0f, 0x8bea8d2b0b4ed176, 0x3441e789390969bb, 0x8f84bf10d8488bee,
  0x3c5dcdaf30ccf9fa, 0x95a0129dadcdbdf3, 0x3ea3e0d9838cbd47, 0x6e1d7d8b4c5315ce, 0x484d7d2d8cb8e138,
  0x1188739d5dbb241d, 0x1aaf1b1d79d376e8, 0x071d8b4c4fa3905b, 0xc1132386f65b2f9c, 0x74a2859a9afc3546,
  0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a, 0x0bb1b8f365118bf9,
  0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x14046b0417d3c95f,
};

// m8_u1x8_uart0_dual_pr             m8a_u1x8_uart0_dual               m8a_u1x8_uart0_dual_pr
static const uint64_t ur_m8_u1x8_uart0_dual[] = {
  0x5b777774dad44511, 0xbbbbbbafd988a3bd, 0xb8372ecd29bad29d, 0x89c9de47777717b4, 0x04772be67c3d8b15,
  0x04f8c0482d95b525, 0x95c45900129087d3, 0x40c2864f95d5acf6, 0xf32ee2fa774fb97c, 0x36c2a51c3f74c95b,
  0x92156061ee6f51e0, 0xe1f02bfcc6811423, 0xbb8bddf177e9b006, 0xfc54219682d74432, 0xf6e7affd01cf09a0,
  0x9f74c16156662e72, 0x169da2edb02f93ff, 0x7b5ea3dc33be5b9e, 0xc533df6b471cab03, 0x6afe8d059cc580ba,
  0x403ff6608ebc06a7, 0xe3e07967b63ee895, 0x5149fccfa3999598, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24,
  0x2cf43aa702baa9cb, 0x971156ff7aaa2d36, 0x9ab83cd94462fe6d, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3,
  0x961d252d9f027196, 0x39a7233c95fb9a19, 0x0000000000001887,
};

// m8a_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m8_u1x8_uart0_dual_pr_u4[] = {
  0xbbbba6d5173e6d3a, 0xdddd7ecc451deadb, 0xb976694dd694eddd, 0x4ef23bbbb8bda5c1, 0x75ced9b1ed932c4e,
  0x8c0482d95b525047, 0x45900129087d304f, 0x2864f95d5acf695c, 0x535aa774fb97c40c, 0x854a387ee992b7e6,
  0x2ac0c3dcdea3c06d, 0xe057f98d02284724, 0x17bbe2efd3600dc3, 0xa8432d05ae886577, 0xcf5ffa039e1341f8,
  0x4982c2accc5ce5ed, 0x4ed176d817c9fed6, 0xaf51ee19df2dcf0b, 0x99efb5a38e5581bd, 0x7f4682ce62c05d62,
  0x1ffb30475e0353b5, 0xf03cb3db1f744aa0, 0xa4fe67d1cccacc71, 0xe8c5302027969d28, 0x3633a071479f1268,
  0x7a1d53815d54e5e5, 0x88ab7fbd55169b16, 0x5c1e6ca2317f36cb, 0x819a7c68b1be2e4d, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xbcb373c95fb9a199,
  0x0000000002927a38,
};

// m8a_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ee[] = {
  0x777774dade7c1a4e, 0xbbbbafdb1d843d5b, 0x64e269d9f7a55fbb, 0x6b6dd05dd4666452, 0xdc2d13fdc1628d47,
  0x82d95b5265dbb935, 0x02521d51304f8c04, 0xf2bab59ed2b88b20, 0x4ee9f72f881850c9, 0xc3a7e6b1ffcca6b5,
  0x729bd47eafd850f9, 0x31a04508e485581c, 0x5de29001b87c0aff, 0xa1fb910caee2f77c, 0xa039e133f9150865,
  0x55998b9cbdbe56ff, 0xb604e97fdac93058, 0x355ad1e942d3b45d, 0x1b307f27a8f2bdbf, 0xb169bbe2beebd47c,
  0xa5b1971c270dc3af, 0x979c57027e6909af, 0xc66edbda3278e756, 0xf234876355ae875e, 0x65deece038ec5a7c,
  0x2a0ea8d823f5b86f, 0x7f33e8e665660151, 0x62981013cb4e9452, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b,
  0x55bfdeaa8b4d8b3d, 0x0f365118bf9b65c4, 0x9a7c68b1e71726ae, 0xf4c2b93f75663c81, 0x4a5b3e04e32c970c,
  0x6e792bf734332c3a, 0x0000006428dc7f96,
};

// m8a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ee_u4[] = {
  0xeeeee9b544869a4e, 0x77775fb63b087ab6, 0xa4c9c4d3b73ef777, 0x8ed6dba0bba8ccc8, 0xfd462a3e3c32c51a,
  0x905b2b6a4cbb7771, 0x004a43aa2609f180, 0x3e5756b3da571164, 0x49dd3ee5f1030a19, 0xce1d3f358ffe65d8,
  0xe394dea3f57ec287, 0xf98d022847242ac0, 0xe2ef14800dc3e057, 0x2d0fdc88657717bb, 0xfd01cf099fc8a843,
  0xc2accc5ce5edf2b7, 0xdb604e97fee01982, 0xf355ad1e942d3b45, 0xc1b307f27a8f2bdb, 0xfb169bbe2beebd47,
  0xfa5b1971c270dc3a, 0x6979c57027e6909a, 0xec66edbda3278e75, 0xcf234876355ae875, 0xf65deece038ec5a7,
  0x12a0ea8d823f5b86, 0x27f33e8e66566015, 0x462981013cb4e945, 0xb19d038a3cf89347, 0xd0ea9c0aeaa72f29,
  0x455bfdeaa8b4d8b3, 0xb8f365118bf9b65c, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde,
  0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x3782db13e792bf73, 0x0000000000000159,
};

// m8a_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ce[] = {
  0x7774dad41e7c4541, 0xbbafd988b4ed5b77, 0x1bae0abed9c5bbbb, 0x464777748f989294, 0x20126cb161f20a01,
  0x80905b2b6a4d0577, 0xb200252190e609f1, 0x0c9f2bab59ed2b88, 0x6b54ee9f72f88185, 0x53c70cad36fbfcca,
  0x581c879bd47287b0, 0x0aff31a04508e485, 0xeef8bbec7c01b87c, 0x0865a07aa2195dc5, 0x4affa039e1302915,
  0x305855998b9cbdbd, 0xda2edb02eebfdac9, 0xb9d9ea77fd632169, 0xb9b5fa7ec7ff3c00, 0x413dcb0144fcc273,
  0x2471cab03417ea3f, 0xfa34167316028f9d, 0xffd99e3af01a9dab, 0xe0796b70fba25500, 0x49fccfa3999598e3,
  0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c, 0x7079b288c5fcdb2e,
  0x334f8d165abcb935, 0x430a9cfd4eacc790, 0x03e6879133c09c69, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x92631f2cdcf257ee, 0x0000000000000006,
};

// m8a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeee9b54486dd9e, 0xbbbbafdb31fb5ab6, 0x2759051bad67dbbb, 0xe4931a76eeecbbb8, 0xddc3f2af745eb8b4,
  0x7c602416cada934c, 0xc459001291cdf982, 0xc2864f95d5acf695, 0x997612774fb97c40, 0xb60358e04ea64b5f,
  0x90ab03df737a8f15, 0x0f815fe63408a11c, 0xdc5eef8bbf100037, 0xf150865a0fe22195, 0xb7297ff4073c26db,
  0x80660b0ab3317397, 0xb4ed176d81145ffb, 0x49c849fcb8beb370, 0x86c2445f71a20f3c, 0x5f4d3fcfd47c25f8,
  0xdcb19e27e678bb9b, 0x1cab03417ea3f413, 0x4167316028f9d247, 0x99e3af01a9dabfa3, 0x96b70fba25500ffd,
  0xccfa3999598e3e07, 0xa60404f2d3a5149f, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43,
  0x9b288c5fcdb2e0c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x8ed89f3c95fb9a19, 0x00000000001a4883,
};

// m8a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ee_ce[] = {
  0xb777774dade7ce7c, 0xbbbbbafdbd2843d5, 0xb6a4c3ad45faeb7b, 0xf71ab0a583ba6e9e, 0x6cdb4f5711f99f69,
  0x80905b2b6a499177, 0x64004a40592609f1, 0x193e5756b3da5711, 0xd6a9dd3ee5f1030a, 0xdb384edcd6b7f994,
  0x0663f37a8fbb5b04, 0xbfcc681142392156, 0xbe2ef35b006e1f02, 0x32d028688657717b, 0xffa039e133a58a84,
  0x5855998b9cbdba5a, 0x5db6056ebfdac930, 0x58effaa38f62d3b4, 0xc3469afcf002e769, 0xb595898cc273b9b5,
  0x60f22fa8f2b9c653, 0xd314c57927a8f836, 0x632e384e1b875f62, 0x576e7bc752135f4b, 0x794d3b73c8daf8e7,
  0xeb119a4b1aaf1b1d, 0x6f65b93380e3b169, 0x8e665678c5d33238, 0x013cb4e94527f33e, 0x7ce81c51e7462981,
  0x2169c9183536253f, 0x6d3d0ea9c083b318, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac,
  0x6587494b67c09c65, 0x9cf2cdcf257ee686, 0x0000000000004c13,
};

// m8a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x6dddddd36a890c86, 0xdddddd7ed0be8bf5, 0xa716957962daefdd, 0xb201ad1fbc9dba76, 0x9dddd8dd9683cc50,
  0x7c602416cada92d3, 0x88b2002523b8f982, 0x850c9f2bab59ed2b, 0x32ec24ee9f72f881, 0xb014870fd798d6ff,
  0x0ab03b5b9bd47801, 0xf815fe63408a11c9, 0x8bddf177b3900370, 0x54219684564432bb, 0xcedffd01cf09a574,
  0x3305855998b9cbdb, 0xed176d8174fffdc0, 0x94aeb8bea8fe70b4, 0x88bee3441e789390, 0x723fa8f84bf10d84,
  0xda6333c5dcdae951, 0x17d4795e9529dadc, 0x62b9bbd47c1b3079, 0x1c270dc3afb1698a, 0x4423a909afa5b197,
  0x9d967a3afe73abb7, 0xc7dd8d578d8ebca6, 0x726701c762d34168, 0xb3c63ac46470decb, 0xa74a293f99f47332,
  0x6e9a3a314c0809e5, 0x4e5e53633a071479, 0x5d5cc6085a6f55d5, 0x118bf9b69e8754e0, 0xddc68b1be1b8f365,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x13e792bf734332c3, 0x000000002002055b,
};

// m8a_u1x8_uart0_dual_hw
static const uint64_t ur_m8_u1x8_uart0_dual_hw[] = {
  0xeeeee9b54486cc7f, 0x77775fb311477ab6, 0xe0dcbb34ba6eb777, 0x2727791ddddc5ed2, 0x411dc9f755faa3f6,
  0xc13e30120b656d49, 0xa571164004a421f4, 0x1030a193e5756b3d, 0xb7e65d849dd3ee5f, 0xc06d854a387ee992,
  0x47242ac0c3dcdea3, 0x0dc3e057f98d0228, 0x657717bbe2efd360, 0x41f8a8432d05ae88, 0xe5edcf5ffa039e13,
  0xfbf3a982c2accc5c, 0x3c2d3b45db605f27, 0x06f6bd47b8677cb7, 0x758a67bed68e3956, 0x4ed5fd1a0b398b01,
  0x2a807fecc11d780d, 0x31c7c0f2cf6c7dd1, 0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0x05d8dc79b288c5fc, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x31bafd9e0be9e4af,
};

// m8a_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m8_u1x8_uart0_dual_ee_hw[] = {
  0xddddd36a890d365a, 0xeeeebf6c7610f56d, 0x499389a76e7deeee, 0x1dadb74177519991, 0x644f5ef4af658a35,
  0x80905b2b6a4cbb77, 0x64004a43aa2609f1, 0x193e5756b3da5711, 0xd849dd3ee5f1030a, 0x87ce1d3f358ffe65,
  0xc0e394dea3f57ec2, 0x57f98d022847242a, 0xbbe2ef14800dc3e0, 0x432d0fdc88657717, 0xb7fd01cf099fc8a8,
  0x82c2accc5ce5edf2, 0x8bb6c09d2ffbf3a9, 0xb7e6ab5a3d285a76, 0x8f83660fe4f51e57, 0x75f62d377c57dd7a,
  0x35f4b632e384e1b8, 0xead2f38ae04fcd21, 0xebd8cddb7b464f1c, 0x4f9e4690ec6ab5d0, 0x0decbbdd9c071d8b,
  0x2a2541d51b047eb7, 0x8a4fe67d1cccacc0, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0xb88ab7fbd55169b1, 0x6371e6ca2317f36c, 0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xb5bc142fa792bf73, 0x000000000000002b,
};

// m8a_u1x8_uart0_dual_ce_hw
static const uint64_t ur_m8_u1x8_uart0_dual_ce_hw[] = {
  0xddddd36a890c5aa4, 0x77775fb663f6b56d, 0x4eb20a375acfb777, 0xc92634edddd97770, 0x4cddd87d369b6089,
  0x827c602416cada93, 0x95c459001291cdf9, 0x40c2864f95d5acf6, 0x5f997612774fb97c, 0x15b60358e04ea64b,
  0x1c90ab03df737a8f, 0x370f815fe63408a1, 0x95dc5eef8bbf1000, 0xdbf150865a0fe221, 0x97b7297ff4073c26,
  0xefcea60b0ab33173, 0xe169da2edb0228bf, 0x78939093f9717d66, 0xf10d8488bee3441e, 0xdae63e337fa8f84b,
  0x9ee58cf13f33c5dc, 0x38e5581a0bf51fa0, 0x1a0b398b0147ce92, 0xeccf1d780d4ed5fd, 0x3cb5b87dd12a807f,
  0xfe67d1cccacc71f0, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536, 0x3b7fbd55169b167a,
  0x3cd94462fe6d9706, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x7185f4f257ee6866, 0x000000000004dd50,
};

// m8_u1x8_uart0_dual_ee_ce_u4_hw    m8a_u1x8_uart0_dual_ee_ce_hw      m8a_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8_u1x8_uart0_dual_ee_ce_hw[] = {
  0x6dddddd36a890c86, 0xeeeeeebf685f5c75, 0xce0b28fe7deb85ee, 0x9b75b3f793b76711, 0xdddd8dd9bcc5421d,
  0xc602416cada92829, 0x8b2002522c939827, 0x50c9f2bab59ed2b8, 0x2ec24ee9f72f8818, 0x06b670986999f3f3,
  0x56070026f51ff5f6, 0x02bfcc6811423921, 0xf77c5de601006e1f, 0x0865a04e910caee2, 0x35ff4073c26d9d15,
  0x60b0ab3317397b7d, 0xa2edb020b5fefcea, 0x383717d51975169d, 0x17dc6883cf127212, 0x47f51f097e21b091,
  0x5f2678bb9b5d2a2e, 0xfa8f2b91253b5b9b, 0x5613fd47c1b30698, 0x84e1b875f62d314c, 0xc4752135f4b632e3,
  0xedbda3278e7576e9, 0x90ec6abc6c75ec66, 0xdd9c071d8b4f9e46, 0xea8d8226470decbb, 0x3e8e6656659d12a0,
  0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0xca2317f36cb831db,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x000000000eba95a8,
};

// m8_u1x12_uart0_noled_pr           m8a_u1x12_uart0_noled             m8a_u1x12_uart0_noled_pr
static const uint64_t ur_m8_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xa4eeedb6a6331da4,
  0xc6609f180905b2b6, 0x66bf645ffe7dd9f4, 0x9613e2d3b45db088, 0x2ac0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x5fcdb4bfc55bfdea, 0xfc68b1e70ddb288c, 0x615c9fbab31e40d1, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x0000f901e5d6cb53,
};

// m8a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m8_u1x12_uart0_noled_pr_u4[] = {
  0xeebbad0e8bb12d3a, 0xbbaabb0e707896ee, 0xfb24497bdf17bbbb, 0xd0e6eee910444369, 0x3f6d146d91f48bbb,
  0x3e30120b656d49dd, 0xb22ffb5933e98cc1, 0xf169da2ed844335f, 0x63efd47afe77cb09, 0x2ca61179e8e39560,
  0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a, 0xa5e537ae7e28f37b,
  0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xc9ab83cd94462fe6, 0x98f2076d0d1637c5, 0x3def2861539fa9d5,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xd69f59bacf257ee6,
  0x00000000000003e4,
};

// m8a_u1x12_uart0_noled_pr_ee
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef62eff6, 0xeeeaaeb906a712dd, 0xf50dd7ad1a826eee, 0xce0be17bbbbde485, 0x31234e99a9b7a7b6,
  0x80905b2b6a4eebd7, 0x7fb5933e95a609f1, 0x9da2ed844335faa5, 0xcae719aad68e6e16, 0xef51f06cc18f9ea3,
  0x6e1d7d8b4ddf15cb, 0x484d7d2d8cb8e138, 0xf9cead2e98ae3593, 0xba1d79d37659e8c4, 0x62d34168f19d8d56,
  0xd6e1bd96cbe701c7, 0x400bf0c032a3608f, 0x64d1d18a4f2d3a51, 0x94bca6f5cfc51e6f, 0x4a9f4f43aa7023fa,
  0xdb4bfc55bfdeaa8b, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xe1cfacdd6792bf73, 0x0000000000000053,
};

// m8a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x0482d95b52776273, 0xfdc039f4ad304f8c, 0xda2ed844335faa57, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xad6ad3919e4afdcd, 0x00000000000004eb,
};

// m8a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0x5277417a0998b21c,
  0xe3304f8c0482d95b, 0x19afcbe7ff3eecfc, 0xfea4f0b4ed176c22, 0x2b7e78017092d73b, 0xb8ce6139dcdaffb9,
  0x7ac5ea3a0b9ee580, 0xb01567a438e39560, 0xbc5ced44a386a398, 0x283afc3dc72c678e, 0xec9a3a3149e5a74a,
  0x529794deb9f8a3cd, 0x6953e9e8754e047f, 0x36d2fe63b7fbd551, 0xa2c79c376ca2317f, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x016ea0725b2d4f25,
};

// m8a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ce_u4[] = {
  0x775dd68745d8ad4e, 0xddd55f85c6bc4b77, 0x97be6fe3f731dddd, 0xc99bafddddf5f7e6, 0x9dd3137049046636,
  0xcc13e30120b656d4, 0x6bf47bff6b267d7d, 0xac642d3b45db0886, 0x83cf002c1c5f2e2f, 0x097e21b09117dc68,
  0x5dcdae707abff51f, 0xa0b9ee58cfc6733c, 0xfb8e395607ac5ea3, 0x12386a398b016bf8, 0x71cb19e3af173b6b,
  0xa4f2d3a5141d01ab, 0xeb9f8a3cb74d1d18, 0x2169cbc7f529794d, 0x69e8754e06753318, 0x26ae0f365118bf9b,
  0x63c81db43458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0xb96766eb3c95fb9a, 0x000000000000006e,
};

// m8a_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee04c844b7, 0x0b2750e19eb4bddd, 0x7c88707dd1afe949, 0x706cd2dc1c5e56ec,
  0x30120b656d49ddfa, 0x5ff6b267d4f4c13e, 0xd3b45db08866bf17, 0xc1cfdc77fd51c882, 0x736bd8fffcfcf002,
  0x24a76b2b232984e7, 0xf83660c45f51e57f, 0x5f62d314c5710fa8, 0x5f4b632e384e1b87, 0x89ceaedd91475213,
  0xd8ebd7537610e8c3, 0x5a720a8d4d58d578, 0x70decb872ce038ec, 0xf2d3a514c63f8664, 0xfc51e6f64d1d18a4,
  0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a, 0x5118bf9b697f31db, 0x6868b1e71726ae36, 0x985727eeacc7903b,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000029a7d2759bac,
};

// m8a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0xc0482d95b52774eb, 0xffdc039f1ad304f8, 0x9da2ed844335fb4d, 0xa460b717d51d4a16, 0x445f71a20f3c00b5,
  0xeb3fd47c25f886c2, 0x6e3299e2ee6d767c, 0x8bea3cafe494ed6e, 0x98ae21f51f06cc18, 0xc709c370ebec5a62,
  0xb228ea426be96c65, 0x6ec21d187139d5db, 0xa9ab1aaf1b1d7aea, 0xe59c071d8b4e4151, 0x98c7f0cc8e1bd970,
  0xc9a3a3149e5a74a2, 0x29794deb9f8a3cde, 0x953e9e8754e047f5, 0x6d2fe63b7fbd5516, 0xe4d5c1e6ca2317f3,
  0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xfc2cf4e46792bf73, 0x0000000000000004,
};

// m8a_u1x12_uart0_noled_hw
static const uint64_t ur_m8_u1x12_uart0_noled_hw[] = {
  0x75dd687a82cdc49f, 0xdd55d87383c4b777, 0x9fb244e97bdddddd, 0xbd0e6eee91044436, 0x27773124356848bb,
  0x3304f8c0482d95b5, 0x9afd917ff0e3cfa6, 0x584f8b4ed176c221, 0xab031f7ea3d7f3be, 0xc05965308bcf471c,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x7f36d2ff156ff7aa, 0xd4d876371e6ca231, 0x133c09c69430a9cf, 0x9e985727e03e6879,
  0x494b67c09c6592e1, 0xd14f257ee6866587, 0x000000003a20e3cb,
};

// m8a_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m8_u1x12_uart0_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0x3e30120b656d49dd, 0xaa57fd0a67d2b4c1, 0xe169da2ed844335f, 0xea3cae719aad68e6, 0x5cbef51f06cc18f9,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c4f9cead2e98ae3, 0xd56ba1d79d37659e, 0x1c762d34168f19d8,
  0x08fd6e1bd96cbe70, 0xa51400bf0c032a36, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702,
  0x5fcdb4bfc55bfdea, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00005be95620be9e,
};

// m8a_u1x12_uart0_noled_ce_hw
static const uint64_t ur_m8_u1x12_uart0_noled_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55d871d7c4b7, 0xf5a508c1f600dddd, 0xcfd2f37ddddf0bc3, 0xb6a4eee62486ad04,
  0xe13e609f180905b2, 0x44335f900ffc38f3, 0x77fd6d6169da2ed8, 0x2bf77e7801709648, 0x602eb26139dcdaf5,
  0x5819a4f51dafa7b9, 0xe62c05b8621e38e5, 0x8ebd1f3b07146678, 0x729afc35403ff667, 0x2d3a5142b2a0796b,
  0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0xe985727e7f61bb65,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x000000006214b751,
};

// m8_u1x12_uart0_noled_ee_ce_u4_hw  m8a_u1x12_uart0_noled_ee_ce_hw    m8a_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8_u1x12_uart0_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x13e30120b656d49d, 0xf86b7fd0a67d2d4c, 0x56169da2ed844335, 0x12721295d717d51a, 0x21b09117dc6883cf,
  0x5fb06f0ff51f097e, 0x3b5b9b7be678bb9b, 0xb307197a8f2b0525, 0x1698a62b9bbd47c1, 0x5b1971c270dc3afb,
  0x3abb72623a909afa, 0x75e74dd967a313e7, 0x9a0b478cec6abc6c, 0x0decb65f380e3b16, 0x3fc300ca8d822647,
  0x4746293cb4e9450b, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a, 0xc6e3cd94462fe6da,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x17e4985f4f257ee6, 0x0000000000000050,
};

// m8_u1x12_uart0_lednop_pr          m8a_u1x12_uart0_lednop            m8a_u1x12_uart0_lednop_pr
static const uint64_t ur_m8_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xa4ee971b2636d4dd,
  0x92609f180905b2b6, 0x335f9efffe7dd9fc, 0xcb09f169da2ed844, 0x956063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x2c79c376ca2317f3, 0x27eeacc790347f1a, 0x289c6592e19e9857,
  0xee6866587494b659, 0x03e431b5b2d4f257,
};

// m8a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762bd3a, 0x7755761ce6f12ddd, 0xda0e21afbc7f7777, 0xd4cdddd220889c1c, 0x8d35c750fe9d09b3,
  0x9f180905b2b6a4ee, 0xe7bffdac99fc9260, 0x7c5a768bb6110cd7, 0x18fbf51d679df2c2, 0x96530df27a38e558,
  0x3b3da46690e62c05, 0xa5403ff6608ebd1f, 0x8ac140f2cf6ccf29, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0x7079b288c5fcdb2e, 0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x2b3759e4afdcd0cc,
  0x00000000007c9bf0,
};

// m8a_u1x12_uart0_lednop_pr_ee
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbaeeb43dec4743, 0xdddd55d72164e25b, 0xa9c2f186c695bddd, 0x71382f85eeeef791, 0x45e4b41560ad1851,
  0xf180905b2b6a4eed, 0xc9ffb5933f21e609, 0x169da2ed844335f9, 0xa3cacf59aad68e6e, 0xf4af51f06cc18f9e,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x621ce75697c9171a, 0x55ae875e74ddba04, 0xe3b16989f4720b63,
  0x47eb70decb65f380, 0x28a004a6bf0d51b0, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0xcb88ab7fbd55169b, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0x5fbb3759e4afdcd0, 0x00000000000029f0,
};

// m8a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x30120b656d49ddb1, 0x7ff700e7e43cc13e, 0xa768bb6110cd7e72, 0xf2b3d66ab5a39b85, 0x2bd47c1b3063e7a8,
  0x0dc3afb169bbe2bd, 0x6909afa5b1971c27, 0x8739d5a5f245c6b2, 0x6ba1d79d376e8118, 0xec5a627d1c82d8d5,
  0xfadc37b2d97ce038, 0x280129afc3546c11, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979,
  0xe22adfef5545a6c5, 0x57079b288c5fcdb2, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x5ad3919e4afdcd0c, 0x000000000004eba6,
};

// m8a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0x5b5277417a0998b2,
  0xfdbf304f8c0482d9, 0x44335fba8ffe7dd9, 0x77fd49e169da2ed8, 0xb92b7e78017090f8, 0x80b8ce6139dcdaff,
  0x607ac5ea389f9ee5, 0x98b01567a0b8e395, 0x1d78b9db19a3d623, 0x4a283a965b8e58cf, 0x9a3a314c0809e5a7,
  0x5e53633a0714796e, 0x5cc6085a6f55d54e, 0x8bf9b69e8754e05d, 0x3f8d163ce1bb6511, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000b750392d96a,
};

// m8a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaabf0bf1f896e, 0xdf1691731d85fbbb, 0x06db623bbbbebefc, 0x49dda668cd684770,
  0x54c13e30120b656d, 0x66bf18fff6b267ea, 0xfac642d3b45db088, 0x883cf002c1c9bae2, 0xf097e21b09117dc6,
  0xe2ee6d727496bf51, 0x1d21cf72c67e3399, 0xed6471cab03d62f5, 0xca0e8dd3398b0179, 0x06dc72c678ebc5ce,
  0x60404f2d3a5141d0, 0x4fdf3a071479d18a, 0xc6085a72460d4d89, 0xfcdb4f43aa7020ec, 0xf8b9357079b288c5,
  0x3ab31e40eda1a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x1bae10bb3759e4af,
};

// m8a_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x7775dd687bd8b562, 0xdddd55ee058544b7, 0xd7a70be19eb4bddd, 0xad1221c1f746bfa5, 0xf4e0d9a5b838bcad,
  0x7c602416cada93bb, 0xdf7fed64cfc56982, 0x05a768bb6110cd7e, 0x05838514effaa391, 0xcee6d7b1fff9f9e0,
  0xe6e94ed656465309, 0x51f06cc188bea3ca, 0x0ebec5a6298ad31f, 0x26be96c65c709c37, 0xbda39d5dbb228ea4,
  0xe363af5d4dd9af91, 0xd8b4cd22333d6355, 0xc8e1bd970e59c071, 0x04f2d3a514c632c8, 0x8a3cb74d1d18a604,
  0xaaeaa72f29b19d03, 0xaa702eae63042d37, 0x71b288c5fcdb4f43, 0x81db43458f38b935, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xdd6792bf734332c3, 0x000000014d3e93ac,
};

// m8a_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xf180905b2b6a4ee9, 0xb5ff700e7cc7e609, 0x5a768bb6110cd7e4, 0xd690a1dc5f547528, 0x09117dc6883cf002,
  0xf3acff51f097e21b, 0xb9b8ca678bb9b5d9, 0x622fa8f2b9ba53b5, 0x8a62b4c7d47c1b30, 0x971c270dc3afb169,
  0x6ec8a3a909afa5b1, 0x53766be46f68e757, 0x8ccf58d578d8ebd7, 0xc396701c762d3348, 0x45318cb232386f65,
  0x47462981013cb4e9, 0xca6c6740e28f2dd3, 0x98c10b4deabaa9cb, 0x7f36d3d0ea9c0bab, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x004fc2cf4e46792b,
};

// m8a_u1x12_uart0_lednop_hw
static const uint64_t ur_m8_u1x12_uart0_lednop_hw[] = {
  0xeebbad0f5059bb37, 0xbbaabb0e737896ee, 0x1cda0e2d1afbbbbb, 0xb3d4cdddd220889c, 0x52776c7b21a6c509,
  0x49304f8c0482d95b, 0x0cd7e7bfff0e3cfe, 0xf2c27c5a768bb611, 0xe55818fbf51d679d, 0x2c0596530df27a38,
  0xbd1f3b3da46690e6, 0xcf29a5403ff6608e, 0x74a28ac140f2cf6c, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0x61d8dc79b288c5fc, 0xf0271a50c2a73f53, 0x615c9f80f9a1e44c,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000e883e3745,
};

// m8a_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m8_u1x12_uart0_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x04f8c0482d95b527, 0x7e727ff4299f90f3, 0x9b85a768bb6110cd, 0xe7a8f2b3d66ab5a3, 0xe2bd2bd47c1b3063,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x81188739d5a5f245, 0xd8d56ba1d79d376e, 0xe038ec5a627d1c82,
  0x6c11fadc37b2d97c, 0xa74a280129afc354, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755,
  0xcdb2e22adfef5545, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x005bec21f0be9e4a,
};

// m8a_u1x12_uart0_lednop_ce_hw
static const uint64_t ur_m8_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeebbad0f59bb37, 0xbbbbbaabb0e0c896, 0x1f75f5a193df1fbb, 0x200db6f26eeef85e, 0xcada93bb63d90d36,
  0xcfedf9827c602416, 0x6110cd7eea3ff0e3, 0xa1dff5b585a768bb, 0xb93f9df9e005c240, 0xe580bac984e7736b,
  0xe55819a4f51f9e9e, 0x48731602ef782e38, 0x33c75e8f9d9ed233, 0x5adc6794d2a01ffb, 0x13cb4e945158281e,
  0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x317f36cb831dbfde, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x00000018853eba29,
};

// m8_u1x12_uart0_lednop_ee_ce_u4_hw m8a_u1x12_uart0_lednop_ee_ce_hw   m8a_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x13e30120b656d49d, 0xeeafffa14cff4fcc, 0x585a768bb6110cd7, 0x49c84b4ddc5f5469, 0x86c2445f71a20f3c,
  0x798667cfd47c25f8, 0xed6e6def99e2ee6d, 0xcc1c65ea3cad0094, 0x5a6298ae71f51f06, 0x6c65c709c370ebec,
  0xeaedd920ea426be9, 0xebce9bb7408c439c, 0x627d1c82d8d578d8, 0x37b2d97ce038ec5a, 0xd4d7e1aa3608991c,
  0xa60404f2d3a5142c, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0x9b288c5fcdb2e0c7,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xc0be9e4afdcd0ccb, 0x0000000000a029a9,
};

// m8_u1x12_uart0_dual_pr            m8a_u1x12_uart0_dual              m8a_u1x12_uart0_dual_pr
static const uint64_t ur_m8_u1x12_uart0_dual[] = {
  0xdddd36bc4ea22582, 0xeeeeebf61906f56d, 0x5df25b2302f599ee, 0xc8cfe9eeee9b06ee, 0x4ee3b410db116a89,
  0x9f180905b2b6a4e1, 0xb88b2002522b7e60, 0x1850c9f2bab59ed2, 0x65dc5f4ee9f72f88, 0xec1fc382fb98a2fe,
  0x90ab03eea6f51e3d, 0x0f815fe63408a11c, 0xdc5eef8bbe570037, 0xd150865a11922195, 0xede71ffa039e135a,
  0x3ee982c2accc5ce5, 0x176c2219afcf7fff, 0x3acf3be584f8b4ed, 0xe4f471cab031f7ea, 0xcd21cc580b2ca61b,
  0x58c11d7a3e767b48, 0xe8e6656656513b8e, 0x1013cb4e94527f33, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0,
  0xdeaa8b4d8b3d0ea9, 0x5118bf9b65c455bf, 0x68b1e71726ae0f36, 0x5727eeacc7903f28, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000006218de9c8cf,
};

// m8a_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m8_u1x12_uart0_dual_pr_u4[] = {
  0xba6d789a2e7c92df, 0xddd7ec33276adbbb, 0x123f4ca56bb2dddd, 0x9583bbba7ee85a33, 0x28fa10abe26d99d8,
  0xc0482d95b524d877, 0x590012918dd304f8, 0x864f95d5acf695c4, 0x35aa774fb97c40c2, 0x7ee3825699d2fe65,
  0xac0cc7cdea3d4ad8, 0x057f98d022847242, 0x7bbe2ef8ac00dc3e, 0x4219682628865771, 0x13ffe80e784d1945,
  0x4c16156662e72f6e, 0xd844335f97cff6b2, 0xc33be5b9e169da2e, 0xb471cab037b5ea3d, 0x59cc580bac533df6,
  0x08ebc06a76afe8d0, 0x7b63ee895403ff66, 0xfa3999598e3e0796, 0x0404f2d3a5149fcc, 0x0e28f3e24d1d18a6,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0x94462fe6d971156f, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x0000524f6bdf966e,
};

// m8a_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789de7cd0e3, 0xddd7ed64e356adbb, 0x6500adfbd1d7dddd, 0x802a2eec4e8169cb, 0x0535f2253ecb11d6,
  0x6cada92245dd5c6d, 0x5235419827c60241, 0xbab59ed2b88b2002, 0xe9f72f881850c9f2, 0x63f37fcfcca6b54e,
  0xcdea3d0fec3a7ce1, 0xd022847242ac0ce0, 0xffae00dc3e057f98, 0x95910caee2f77c5d, 0x73c265f7150865a0,
  0x3317397b7df7ff40, 0xf8e1ffb59260b0ab, 0x4a169da2ed844335, 0x3d4795edf9aad68f, 0x15f75ea3e0d983f9,
  0xe1386e1d7d8b4ddf, 0x13f3484d7d2d8cb8, 0xd193c73ab4bce2b8, 0x1aad743af63376de, 0x01c762d3e791a43b,
  0xc11fadc37b2ef767, 0x332b300a89507546, 0x9e5a74a293f99f47, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0xc5fcdb2e22adfef5, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x6429a73cb373c95f,
};

// m8a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ee_u4[] = {
  0x774daf1344860aac, 0xbbafdac9c6ad5b77, 0x96ca015bbf7bbbbb, 0xad00545dd89d02d3, 0xcb22279c127d9623,
  0x0b656d49122eefab, 0x1291aa0cc13e3012, 0x95d5acf695c45900, 0x774fb97c40c2864f, 0xc2c7e6ff9f997612,
  0xc19bd47a1fd874f9, 0x31a04508e4855819, 0xbbff5c01b87c0aff, 0x412b22195dc5eef8, 0x80e784cbee2a10cb,
  0x56662e72f6fbeffe, 0xd7e387ff700cc161, 0x3d285a768bb6110c, 0xe4f51e57b7e6ab5a, 0x7c57dd7a8f83660f,
  0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x7b464f1cead2f38a, 0xec6ab5d0ebd8cddb, 0x9c071d8b4f9e4690,
  0x1b047eb70decbbdd, 0x1cccacc02a2541d5, 0x027969d28a4fe67d, 0x1479f1268e8c5302, 0x15d54e5e53633a07,
  0xd55169b167a1d538, 0x2317f36cb88ab7fb, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x27cf257ee6866587, 0x00000002b20a9cb6,
};

// m8a_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ce[] = {
  0xa6d789d41e7c50e3, 0xdd7ec30056adbbbb, 0x9c8efed6ecaddddd, 0x817bbbab8fc8bd62, 0x2c0f93edc2c7b20a,
  0x0482d95b526a2bb8, 0x9001291495304f8c, 0x64f95d5acf695c45, 0x5aa774fb97c40c28, 0x56386fb9b4dfe653,
  0xc0cbacdea3a9ed86, 0x57f98d022847242a, 0xbbe2efff800dc3e0, 0x432d009e88657717, 0x77fd01cf09a718a8,
  0x82c2accc5ce5edff, 0x08866bf195fed649, 0x4effac642d3b45db, 0x4fd8ffe780173b3d, 0x60289f984e7736bf,
  0x560682fd47e827b9, 0xce62c051f3a48e39, 0xc75e0353b57f4682, 0x6e1f744aa01ffb33, 0xf47332b31c7c0f2d,
  0x0809e5a74a293f99, 0x1c51e7c49a3a314c, 0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x5118bf9b65c18edf,
  0xa2cb579726ae0f36, 0x9fa9d598f20669f1, 0xf22678138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0xe59b9e4afdcd0ccb, 0x00000000003490c9,
};

// m8a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ce_u4[] = {
  0xee9b5e26890ddb75, 0x775fb02f499ab6ee, 0x21ec52b7aef77777, 0x72015bbba2451dce, 0xafaf793ad390cb52,
  0xc0482d95b52792bb, 0xb2002521523304f8, 0x0c9f2bab59ed2b88, 0xec24ee9f72f88185, 0x09d1c12d4c16bf32,
  0x5607a6e6f51c6b6c, 0x02bfcc6811423921, 0x7bbe2ef6bb006e1f, 0x8432d05f68865771, 0x05ffa039e1307b8a,
  0x305855998b9cbdbb, 0x844335f9c9ffdc03, 0x9717d66e169da2ed, 0xee3441e78939093f, 0xfa8f84bf10d8488b,
  0xfccf17736be9a7f9, 0x2fd47e827b9633c4, 0x051f3a48e3956068, 0x353b57f4682ce62c, 0x44aa01ffb33c75e0,
  0x2b31c7c0f2d6e1f7, 0x5a74a293f99f4733, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575,
  0xf9b65c18edfef554, 0x8b1be1b8f365118b, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000349132d5b13e7,
};

// m8a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ee_ce[] = {
  0xdd36bc4f6090cf68, 0xdd7ed63f66f56ddd, 0x44fdfbdb41dddddd, 0x9a5d89ddd9410fbb, 0xeb336dd987c84373,
  0xb2b6a48f677347d4, 0x485d16609f180905, 0xead67b4ae22c8009, 0xa7dcbe20614327ca, 0x9f26eb3fccbb093b,
  0x9bd4735bd84c31c1, 0xa04508e4855818a4, 0xdd0c01b87c0aff31, 0x5a4432bb8bddf177, 0xcf09a39454219682,
  0xcc5ce5eddfe7fd01, 0x8c7ffee01982c2ac, 0x5169da2ed844335f, 0x27212383717d5197, 0x1b09117dc6883cf1,
  0xd9f3acff51f097e2, 0xb5b9b5f2678bb9b5, 0x30698fa8f2b91253, 0xd314c5613fd47c1b, 0x632e384e1b875f62,
  0x576e9c4752135f4b, 0x5ec66edbda3278e7, 0xf9e4690ec6abc6c7, 0xdecbbdd9c071d8b4, 0xd12a0ea8d8226470,
  0x527f33e8e6656659, 0x7462981013cb4e94, 0x9b19d038a3cf8934, 0x3d0ea9c0aeaa72f2, 0x831dbfdeaa8b4d8b,
  0x371e6ca2317f36cb, 0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e6879133c, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00040027d7b627cf,
};

// m8a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeee9b5e26890c86, 0xeeeebf6b1f45fab6, 0x2b4abcb16d77eeee, 0x00d69a5d89dd3adb, 0xeeec6ecb41e62859,
  0x30120b656d49014e, 0x59001291dc7cc13e, 0x864f95d5acf695c4, 0x7612774fb97c40c2, 0xfd7381adcd30df99,
  0xb03adf9bd47149b0, 0x15fe63408a11c90a, 0xddf177b3900370f8, 0x219680d64432bb8b, 0xdffd01cf09add454,
  0x05855998b9cbdbce, 0x8866bf74fffdc033, 0xfaa3f9c2d3b45db0, 0x1079e24e425812e2, 0xe12fc4361222fb8d,
  0x2ee6d766fa547ea3, 0xe7194ed6e6d3199e, 0xa3e0d983c8bea3ca, 0x1d7d8b4c5315e49e, 0x4d7d2d8cb8e1386e,
  0x6be39d5db9ef1d48, 0xbc6c75e534edcf23, 0x8ec5a7ac46692c6a, 0x4cc8e1bd96e4ce03, 0x9fccfa399959e317,
  0x18a60404f2d3a514, 0xd894fdf3a071479d, 0x0ecc6085a72460d4, 0x8c5fcdb4f43aa702, 0xee3458df0dc79b28,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x9f3c95fb9a19961d, 0x0000000100102ad8,
};

// m8a_u1x12_uart0_dual_hw
static const uint64_t ur_m8_u1x12_uart0_dual_hw[] = {
  0xbba6d789a243173e, 0xdddd7ec33276adbb, 0x466247e9e94adddd, 0x3b12b077774fdd0b, 0x6c3bb3ed00ea27b3,
  0x827c602416cada92, 0x4ae22c800948c6e9, 0x20614327caead67b, 0x5fccbb093ba7dcbe, 0xa95b0fdc704ad33a,
  0x8e48558198f9bd47, 0x1b87c0aff31a0450, 0xcaee2f77c5df1580, 0xa328a8432d04c510, 0xe5edc27ffd01cf09,
  0xfbf3a982c2accc5c, 0xed176c2219afcbe7, 0xf51ee19df2dcf0b4, 0x9efb5a38e5581bda, 0xf4682ce62c05d629,
  0xffb30475e0353b57, 0x03cb3db1f744aa01, 0x4fe67d1cccacc71f, 0x8c5302027969d28a, 0x633a071479f1268e,
  0xa1d53815d54e5e53, 0x8ab7fbd55169b167, 0x71e6ca2317f36cb8, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x96942fa792bf7343, 0x000000000000c6eb,
};

// m8a_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m8_u1x12_uart0_dual_ee_hw[] = {
  0x774daf134486dd9e, 0xbbafdac9c6ad5b77, 0x96ca015bbf7bbbbb, 0xad00545dd89d02d3, 0xf957bd5c5a7d9623,
  0x120b656d49122ee1, 0x001291aa0cc13e30, 0x4f95d5acf695c459, 0x12774fb97c40c286, 0xf9c2c7e6ff9f9976,
  0x19c19bd47a1fd874, 0xff31a04508e48558, 0xf8bbff5c01b87c0a, 0xcb412b22195dc5ee, 0xfe80e784cbee2a10,
  0x6156662e72f6fbef, 0x19afc70ffdf9d4c1, 0xb47a50b4ed176c22, 0x1fc9ea3caf6fcd56, 0x6ef8afbaf51f06cc,
  0x65c709c370ebec5a, 0x15c09f9a426be96c, 0xb6f68c9e39d5a5e7, 0x21d8d56ba1d7b19b, 0xbb380e3b169f3c8d,
  0xaa3608fd6e1bd977, 0xfa39995980544a83, 0x0404f2d3a5149fcc, 0x0e28f3e24d1d18a6, 0x702baa9cbca6c674,
  0xf7aaa2d362cf43aa, 0x94462fe6d971156f, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587, 0x00000000576854e0,
};

// m8a_u1x12_uart0_dual_ce_hw
static const uint64_t ur_m8_u1x12_uart0_dual_ce_hw[] = {
  0xdd36bc4d121a559b, 0xeebf605e93356ddd, 0x43d8a56f5deeeeee, 0xe402b777448a3b9c, 0xdce17c7fdccd96a4,
  0xc602416cada93c95, 0x459001290a919827, 0x2864f95d5acf695c, 0x97612774fb97c40c, 0x604e8e096a60b5f9,
  0x0ab03d3737a8e35b, 0xf815fe63408a11c9, 0x8bddf177b5d80370, 0x54219682fb4432bb, 0xd82ffd01cf0983dc,
  0xa982c2accc5ce5ed, 0xd844335f9c9ffbf3, 0xf9717d66e169da2e, 0xbee3441e78939093, 0x7fa8f84bf10d8488,
  0x3f33c5dcdae63e33, 0x0bf51fa09ee58cf1, 0x0147ce9238e5581a, 0x0d4ed5fd1a0b398b, 0xd12a807feccf1d78,
  0xcacc71f03cb5b87d, 0x969d28a4fe67d1cc, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d,
  0xfe6d97063b7fbd55, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004dd532d05f4f2,
};

// m8a_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8_u1x12_uart0_dual_ee_ce_hw[] = {
  0x774daf121eb432db, 0x775fb58fd9bd5b77, 0xd13f7ef6d0777777, 0xe6976277765043ee, 0x1156699d61f210dc,
  0x905b2b6a48f6771c, 0x009485d16609f180, 0x7caead67b4ae22c8, 0x93ba7dcbe2061432, 0x1c19f26eb3fccbb0,
  0x8a49bd4735bd84c3, 0xf31a04508e485581, 0x177dd0c01b87c0af, 0x6825a4432bb8bddf, 0xd01cf09a39454219,
  0x2accc5ce5eddfe7f, 0x6bf18fffbf3a982c, 0x32ea2d3b45db0886, 0x9e24e424706e2faa, 0xfc4361222fb8d107,
  0x36bcc333e7ea3e12, 0x4a76b736be4cf177, 0x83660d31f51e5722, 0xec5a6298ac27fa8f, 0xe96c65c709c370eb,
  0x1ceaedd388ea426b, 0xd8ebd8cddb7b464f, 0x169f3c8d21d8d578, 0x8e1bd977bb380e3b, 0xcb3a2541d51b044c,
  0xd28a4fe67d1cccac, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e, 0xd97063b7fbd55169,
  0xd5c6e3cd94462fe6, 0xf313f9430a9cfd4b, 0xe09a1e44cf1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0xb85f4f257ee68665, 0x000000000075d53e,
};

// m8a_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x7774daf134486f97, 0x7775fb58f4d7d5b7, 0x037393ef70fb7777, 0xd769762774eb6ca4, 0xc119d6a9d6cdd711,
  0x0905b2b6a480a773, 0x4004a40aa2609f18, 0x93e5756b3da57116, 0x849dd3ee5f1030a1, 0x5ce06b734c37e65d,
  0x0eb7e6f51c526c3f, 0x7f98d022847242ac, 0xf8bbc11200dc3e05, 0xcb406b22195dc5ee, 0xfe80e784d6ea2a10,
  0x6156662e72f6e1a3, 0x19afc96bfdf9d4c1, 0xa8fe70b4ed176c22, 0x1e78939096ceb8be, 0x4bf10d8488bee344,
  0xb9b5f9699bffa8f8, 0x2a53b5b9b4c6678b, 0xf83660f22fa8f2bd, 0x5f62d314c56807a8, 0x5f4b632e384e1b87,
  0xfce7576e5f075213, 0x8d8ebca69dba4475, 0x62d3a968c7dd8d57, 0x6470decb726701c7, 0xe67d1cccacf18d12,
  0x5302027969d28a4f, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0xcd94462fe6d97063,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x205f4f257ee68665, 0x0000000000075d50,
};

// m8_u2x8_uart0_noled_pr            m8a_u2x8_uart0_noled              m8a_u2x8_uart0_noled_pr
static const uint64_t ur_m8_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0xb6a4eeedb6a6331d,
  0xf4c6609f180905b2, 0x5dbd56645ffe7dd9, 0x9613e2d3b424e093, 0x2ac0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x5fcdb4bfc55bfdea, 0xfc68b1e70ddb288c, 0x615c9fbab31e40d1, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x0000f901e5d6cb53,
};

// m8a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m8_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8bb12d3a, 0xbbbbaabb0e707896, 0x69fb24497bdf17bb, 0xbbd0e6eee9104443, 0xdd3f6d146d91f48b,
  0xc13e30120b656d49, 0xab322ffb5933e98c, 0xf169da127049aede, 0x63efd47afe77cb09, 0x2ca61179e8e39560,
  0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a, 0xa5e537ae7e28f37b,
  0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xc9ab83cd94462fe6, 0x98f2076d0d1637c5, 0x3def2861539fa9d5,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xd69f59bacf257ee6,
  0x00000000000003e4,
};

// m8a_u2x8_uart0_noled_pr_ee
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd776f62eff6, 0xeeeeeaaeb906a712, 0x85f50dd7ad1a826e, 0xb6ce0be17bbbbde4, 0xd731234e99a9b7a7,
  0xf180905b2b6a4eeb, 0xa57fb5933e95a609, 0x9da127049aedeab2, 0xcae719aad68e6e16, 0xef51f06cc18f9ea3,
  0x6e1d7d8b4ddf15cb, 0x484d7d2d8cb8e138, 0xf9cead2e98ae3593, 0xba1d79d37659e8c4, 0x62d34168f19d8d56,
  0xd6e1bd96cbe701c7, 0x400bf0c032a3608f, 0x64d1d18a4f2d3a51, 0x94bca6f5cfc51e6f, 0x4a9f4f43aa7023fa,
  0xdb4bfc55bfdeaa8b, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xe1cfacdd6792bf73, 0x0000000000000053,
};

// m8a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ee_u4[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0x8c0482d95b527762, 0x57fdc039f4ad304f, 0xda127049aedeab2a, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xad6ad3919e4afdcd, 0x00000000000004eb,
};

// m8a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0x5b5277417a0998b2,
  0xfce3304f8c0482d9, 0xd76f558be7ff3eec, 0xfea4f0b4ed093824, 0x2b7e78017092d73b, 0xb8ce6139dcdaffb9,
  0x7ac5ea3a0b9ee580, 0xb01567a438e39560, 0xbc5ced44a386a398, 0x283afc3dc72c678e, 0xec9a3a3149e5a74a,
  0x529794deb9f8a3cd, 0x6953e9e8754e047f, 0x36d2fe63b7fbd551, 0xa2c79c376ca2317f, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x016ea0725b2d4f25,
};

// m8a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd45d8ad4e, 0xddddd55f85c6bc4b, 0xe697be6fe3f731dd, 0x36c99bafddddf5f7, 0xd49dd31370490466,
  0x7dcc13e30120b656, 0xdbd5647bff6b267d, 0xac642d3b424e0935, 0x83cf002c1c5f2e2f, 0x097e21b09117dc68,
  0x5dcdae707abff51f, 0xa0b9ee58cfc6733c, 0xfb8e395607ac5ea3, 0x12386a398b016bf8, 0x71cb19e3af173b6b,
  0xa4f2d3a5141d01ab, 0xeb9f8a3cb74d1d18, 0x2169cbc7f529794d, 0x69e8754e06753318, 0x26ae0f365118bf9b,
  0x63c81db43458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0xb96766eb3c95fb9a, 0x000000000000006e,
};

// m8a_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee04c844, 0x490b2750e19eb4bd, 0xec7c88707dd1afe9, 0xfa706cd2dc1c5e56,
  0x3e30120b656d49dd, 0x175ff6b267d4f4c1, 0xd3b424e0935dbd56, 0xc1cfdc77fd51c882, 0x736bd8fffcfcf002,
  0x24a76b2b232984e7, 0xf83660c45f51e57f, 0x5f62d314c5710fa8, 0x5f4b632e384e1b87, 0x89ceaedd91475213,
  0xd8ebd7537610e8c3, 0x5a720a8d4d58d578, 0x70decb872ce038ec, 0xf2d3a514c63f8664, 0xfc51e6f64d1d18a4,
  0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a, 0x5118bf9b697f31db, 0x6868b1e71726ae36, 0x985727eeacc7903b,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000029a7d2759bac,
};

// m8a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0xf8c0482d95b52774, 0x4dffdc039f1ad304, 0x9da127049aedeab3, 0xa460b717d51d4a16, 0x445f71a20f3c00b5,
  0xeb3fd47c25f886c2, 0x6e3299e2ee6d767c, 0x8bea3cafe494ed6e, 0x98ae21f51f06cc18, 0xc709c370ebec5a62,
  0xb228ea426be96c65, 0x6ec21d187139d5db, 0xa9ab1aaf1b1d7aea, 0xe59c071d8b4e4151, 0x98c7f0cc8e1bd970,
  0xc9a3a3149e5a74a2, 0x29794deb9f8a3cde, 0x953e9e8754e047f5, 0x6d2fe63b7fbd5516, 0xe4d5c1e6ca2317f3,
  0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xfc2cf4e46792bf73, 0x0000000000000004,
};

// m8a_u2x8_uart0_noled_hw
static const uint64_t ur_m8_u2x8_uart0_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0xb527773124356848,
  0xa63304f8c0482d95, 0x76f559917ff0e3cf, 0x584f8b4ed093824d, 0xab031f7ea3d7f3be, 0xc05965308bcf471c,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x7f36d2ff156ff7aa, 0xd4d876371e6ca231, 0x133c09c69430a9cf, 0x9e985727e03e6879,
  0x494b67c09c6592e1, 0xd14f257ee6866587, 0x000000003a20e3cb,
};

// m8a_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m8_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0xc13e30120b656d49, 0xab2a57fd0a67d2b4, 0xe169da127049aede, 0xea3cae719aad68e6, 0x5cbef51f06cc18f9,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c4f9cead2e98ae3, 0xd56ba1d79d37659e, 0x1c762d34168f19d8,
  0x08fd6e1bd96cbe70, 0xa51400bf0c032a36, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702,
  0x5fcdb4bfc55bfdea, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00005be95620be9e,
};

// m8a_u2x8_uart0_noled_ce_hw
static const uint64_t ur_m8_u2x8_uart0_noled_ce_hw[] = {
  0xb777775ddacdc49f, 0xdddddd55d871d7c4, 0xc3f5a508c1f600dd, 0x04cfd2f37ddddf0b, 0xb2b6a4eee62486ad,
  0xf3e13e609f180905, 0x49aedeab100ffc38, 0x77fd6d6169da1270, 0x2bf77e7801709648, 0x602eb26139dcdaf5,
  0x5819a4f51dafa7b9, 0xe62c05b8621e38e5, 0x8ebd1f3b07146678, 0x729afc35403ff667, 0x2d3a5142b2a0796b,
  0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x118bf9b697f31dbf, 0xe985727e7f61bb65,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x000000006214b751,
};

// m8_u2x8_uart0_noled_ee_ce_u4_hw   m8a_u2x8_uart0_noled_ee_ce_hw     m8a_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0x4c13e30120b656d4, 0xeab06b7fd0a67d2d, 0x56169da127049aed, 0x12721295d717d51a, 0x21b09117dc6883cf,
  0x5fb06f0ff51f097e, 0x3b5b9b7be678bb9b, 0xb307197a8f2b0525, 0x1698a62b9bbd47c1, 0x5b1971c270dc3afb,
  0x3abb72623a909afa, 0x75e74dd967a313e7, 0x9a0b478cec6abc6c, 0x0decb65f380e3b16, 0x3fc300ca8d822647,
  0x4746293cb4e9450b, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a, 0xc6e3cd94462fe6da,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x17e4985f4f257ee6, 0x0000000000000050,
};

// m8_u2x8_uart0_lednop_pr           m8a_u2x8_uart0_lednop             m8a_u2x8_uart0_lednop_pr
static const uint64_t ur_m8_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0xb6a4ee971b2636d4,
  0xfc92609f180905b2, 0xaedeab1efffe7dd9, 0xcb09f169da127049, 0x956063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x2c79c376ca2317f3, 0x27eeacc790347f1a, 0x289c6592e19e9857,
  0xee6866587494b659, 0x03e431b5b2d4f257,
};

// m8a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_u4[] = {
  0xddddd7751762bd3a, 0x777755761ce6f12d, 0x1cda0e21afbc7f77, 0xb3d4cdddd220889c, 0xee8d35c750fe9d09,
  0x609f180905b2b6a4, 0xaac7bffdac99fc92, 0x7c5a76849c126bb7, 0x18fbf51d679df2c2, 0x96530df27a38e558,
  0x3b3da46690e62c05, 0xa5403ff6608ebd1f, 0x8ac140f2cf6ccf29, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0x7079b288c5fcdb2e, 0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x2b3759e4afdcd0cc,
  0x00000000007c9bf0,
};

// m8a_u2x8_uart0_lednop_pr_ee
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ee[] = {
  0x5bbbbbaeedec4743, 0xdddddd55d72164e2, 0x91a9c2f186c695bd, 0x5171382f85eeeef7, 0xed45e4b41560ad18,
  0x09f180905b2b6a4e, 0xb1c9ffb5933f21e6, 0x169da127049aedea, 0xa3cacf59aad68e6e, 0xf4af51f06cc18f9e,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x621ce75697c9171a, 0x55ae875e74ddba04, 0xe3b16989f4720b63,
  0x47eb70decb65f380, 0x28a004a6bf0d51b0, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0xcb88ab7fbd55169b, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0x5fbb3759e4afdcd0, 0x00000000000029f0,
};

// m8a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x3e30120b656d49dd, 0x727ff700e7e43cc1, 0xa76849c126bb7aac, 0xf2b3d66ab5a39b85, 0x2bd47c1b3063e7a8,
  0x0dc3afb169bbe2bd, 0x6909afa5b1971c27, 0x8739d5a5f245c6b2, 0x6ba1d79d376e8118, 0xec5a627d1c82d8d5,
  0xfadc37b2d97ce038, 0x280129afc3546c11, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979,
  0xe22adfef5545a6c5, 0x57079b288c5fcdb2, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x5ad3919e4afdcd0c, 0x000000000004eba6,
};

// m8a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0xd95b5277417a0998,
  0xd9fdbf304f8c0482, 0x49aedeab3a8ffe7d, 0x77fd49e169da1270, 0xb92b7e78017090f8, 0x80b8ce6139dcdaff,
  0x607ac5ea389f9ee5, 0x98b01567a0b8e395, 0x1d78b9db19a3d623, 0x4a283a965b8e58cf, 0x9a3a314c0809e5a7,
  0x5e53633a0714796e, 0x5cc6085a6f55d54e, 0x8bf9b69e8754e05d, 0x3f8d163ce1bb6511, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000b750392d96a,
};

// m8a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeebba8bb1762, 0xbbbbbaabf0bf1f89, 0xfcdf1691731d85fb, 0x7006db623bbbbebe, 0x6d49dda668cd6847,
  0xea54c13e30120b65, 0x5dbd5618fff6b267, 0xfac642d3b424e093, 0x883cf002c1c9bae2, 0xf097e21b09117dc6,
  0xe2ee6d727496bf51, 0x1d21cf72c67e3399, 0xed6471cab03d62f5, 0xca0e8dd3398b0179, 0x06dc72c678ebc5ce,
  0x60404f2d3a5141d0, 0x4fdf3a071479d18a, 0xc6085a72460d4d89, 0xfcdb4f43aa7020ec, 0xf8b9357079b288c5,
  0x3ab31e40eda1a2c6, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x1bae10bb3759e4af,
};

// m8a_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xb777775ddbd8b562, 0xdddddd55ee058544, 0xa5d7a70be19eb4bd, 0xadad1221c1f746bf, 0xbbf4e0d9a5b838bc,
  0x827c602416cada93, 0xacdf7fed64cfc569, 0x05a76849c126bb7a, 0x05838514effaa391, 0xcee6d7b1fff9f9e0,
  0xe6e94ed656465309, 0x51f06cc188bea3ca, 0x0ebec5a6298ad31f, 0x26be96c65c709c37, 0xbda39d5dbb228ea4,
  0xe363af5d4dd9af91, 0xd8b4cd22333d6355, 0xc8e1bd970e59c071, 0x04f2d3a514c632c8, 0x8a3cb74d1d18a604,
  0xaaeaa72f29b19d03, 0xaa702eae63042d37, 0x71b288c5fcdb4f43, 0x81db43458f38b935, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xdd6792bf734332c3, 0x000000014d3e93ac,
};

// m8a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x09f180905b2b6a4e, 0xc4b5ff700e7cc7e6, 0x5a76849c126bb7aa, 0xd690a1dc5f547528, 0x09117dc6883cf002,
  0xf3acff51f097e21b, 0xb9b8ca678bb9b5d9, 0x622fa8f2b9ba53b5, 0x8a62b4c7d47c1b30, 0x971c270dc3afb169,
  0x6ec8a3a909afa5b1, 0x53766be46f68e757, 0x8ccf58d578d8ebd7, 0xc396701c762d3348, 0x45318cb232386f65,
  0x47462981013cb4e9, 0xca6c6740e28f2dd3, 0x98c10b4deabaa9cb, 0x7f36d3d0ea9c0bab, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x004fc2cf4e46792b,
};

// m8a_u2x8_uart0_lednop_hw
static const uint64_t ur_m8_u2x8_uart0_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0x5b52776c7b21a6c5,
  0xfe49304f8c0482d9, 0x6bb7aac7bfff0e3c, 0xf2c27c5a76849c12, 0xe55818fbf51d679d, 0x2c0596530df27a38,
  0xbd1f3b3da46690e6, 0xcf29a5403ff6608e, 0x74a28ac140f2cf6c, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0x61d8dc79b288c5fc, 0xf0271a50c2a73f53, 0x615c9f80f9a1e44c,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000e883e3745,
};

// m8a_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m8_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0xf304f8c0482d95b5, 0x7aac727ff4299f90, 0x9b85a76849c126bb, 0xe7a8f2b3d66ab5a3, 0xe2bd2bd47c1b3063,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x81188739d5a5f245, 0xd8d56ba1d79d376e, 0xe038ec5a627d1c82,
  0x6c11fadc37b2d97c, 0xa74a280129afc354, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755,
  0xcdb2e22adfef5545, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x005bec21f0be9e4a,
};

// m8a_u2x8_uart0_lednop_ce_hw
static const uint64_t ur_m8_u2x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x5e1f75f5a193df1f, 0x36200db6f26eeef8, 0x16cada93bb63d90d,
  0xe3cfedf9827c6024, 0xc126bb7aacea3ff0, 0xa1dff5b585a76849, 0xb93f9df9e005c240, 0xe580bac984e7736b,
  0xe55819a4f51f9e9e, 0x48731602ef782e38, 0x33c75e8f9d9ed233, 0x5adc6794d2a01ffb, 0x13cb4e945158281e,
  0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x317f36cb831dbfde, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x00000018853eba29,
};

// m8_u2x8_uart0_lednop_ee_ce_u4_hw  m8a_u2x8_uart0_lednop_ee_ce_hw    m8a_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0xcc13e30120b656d4, 0xaaceafffa14cff4f, 0x585a76849c126bb7, 0x49c84b4ddc5f5469, 0x86c2445f71a20f3c,
  0x798667cfd47c25f8, 0xed6e6def99e2ee6d, 0xcc1c65ea3cad0094, 0x5a6298ae71f51f06, 0x6c65c709c370ebec,
  0xeaedd920ea426be9, 0xebce9bb7408c439c, 0x627d1c82d8d578d8, 0x37b2d97ce038ec5a, 0xd4d7e1aa3608991c,
  0xa60404f2d3a5142c, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0x9b288c5fcdb2e0c7,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xc0be9e4afdcd0ccb, 0x0000000000a029a9,
};

// m8_u2x8_uart0_dual_pr             m8a_u2x8_uart0_dual               m8a_u2x8_uart0_dual_pr
static const uint64_t ur_m8_u2x8_uart0_dual[] = {
  0xdbbbbba6d6a22582, 0xddddddd7ec320dea, 0xdcbbe4b64605eb33, 0x13919fd3dddd360d, 0xc29dc76821b622d5,
  0xc13e30120b656d49, 0xa571164004a456fc, 0x1030a193e5756b3d, 0xfccbb8be9dd3ee5f, 0x7bd83f8705f73145,
  0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177cae00, 0xb5a2a10cb4232443, 0xcbdbce3ff4073c26,
  0xfe7dd305855998b9, 0x127049aedeab1eff, 0x759e77cb09f169da, 0xc9e8e3956063efd4, 0x9a4398b016594c37,
  0xb1823af47cecf691, 0xd1cccaccaca2771c, 0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0xa2317f36cb88ab7f, 0xd163ce2e4d5c1e6c, 0xae4fdd598f207e50, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00000c431bd3919e,
};

// m8a_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m8_u2x8_uart0_dual_pr_u4[] = {
  0x77774daa2e7c92df, 0xbbbbafd8664ed5b7, 0x66247e994ad765bb, 0xb12b077774fdd0b4, 0xee51f42157c4db33,
  0xf180905b2b6a49b0, 0x88b20025231ba609, 0x850c9f2bab59ed2b, 0xca6b54ee9f72f881, 0xb0fdc704ad33a5fc,
  0x8558198f9bd47a95, 0x7c0aff31a04508e4, 0xe2f77c5df15801b8, 0x8a8432d04c510cae, 0xdc27ffd01cf09a32,
  0x64982c2accc5ce5e, 0xe0935dbd562f9fed, 0x8677cb73c2d3b424, 0x68e395606f6bd47b, 0xb398b01758a67bed,
  0x11d780d4ed5fd1a0, 0xf6c7dd12a807fecc, 0xf47332b31c7c0f2c, 0x0809e5a74a293f99, 0x1c51e7c49a3a314c,
  0xe0575539794d8ce8, 0xef5545a6c59e8754, 0x288c5fcdb2e22adf, 0x1a2c6f8b9357079b, 0x39fa9d598f20669f,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x0000a49ed7bf2cdc,
};

// m8a_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ee[] = {
  0x777774dade7cd0e3, 0xbbbbafdac9c6ad5b, 0x96ca015bf7a3afbb, 0xad00545dd89d02d3, 0xda0a6be44a7d9623,
  0x82d95b52448bbab8, 0x04a46a83304f8c04, 0xe5756b3da5711640, 0x9dd3ee5f1030a193, 0xc2c7e6ff9f994d6a,
  0xc19bd47a1fd874f9, 0x31a04508e4855819, 0xbbff5c01b87c0aff, 0x412b22195dc5eef8, 0x80e784cbee2a10cb,
  0x56662e72f6fbeffe, 0xd561c3ff6b24c161, 0x942d3b424e0935db, 0x7a8f2bdbf355ad1e, 0x2beebd47c1b307f2,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0xa3278e756979c570, 0x355ae875ec66edbd, 0x038ec5a7cf234876,
  0x823f5b86f65deece, 0x6656601512a0ea8d, 0x3cb4e94527f33e8e, 0x3cf8934746298101, 0xeaa72f29b19d038a,
  0xa8b4d8b3d0ea9c0a, 0x8bf9b65c455bfdea, 0x1e71726ae0f36511, 0xf75663c819a7c68b, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0xc8534e7966e792bf,
};

// m8a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ee_u4[] = {
  0xeeeee9b544860aac, 0x77775fb5938d5ab6, 0xa72d9402b77ef777, 0x475a00a8bbb13a05, 0x5796444f3824fb2c,
  0x2416cada92245ddf, 0x0025235419827c60, 0x9f2bab59ed2b88b2, 0x24ee9f72f881850c, 0xf3858fcdff3f32ec,
  0x338337a8f43fb0e9, 0xfe63408a11c90ab0, 0xf177feb80370f815, 0x9682564432bb8bdd, 0xfd01cf0997dc5421,
  0xc2accc5ce5edf7df, 0x6f55870ffee01982, 0x7a50b4ed093824d7, 0xc9ea3caf6fcd56b4, 0xf8afbaf51f06cc1f,
  0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xf68c9e39d5a5e715, 0xd8d56ba1d7b19bb6, 0x380e3b169f3c8d21,
  0x3608fd6e1bd977bb, 0x39995980544a83aa, 0x04f2d3a5149fccfa, 0x28f3e24d1d18a604, 0x2baa9cbca6c6740e,
  0xaaa2d362cf43aa70, 0x462fe6d971156ff7, 0x771a2c6f86e3cd94, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x4f9e4afdcd0ccb0e, 0x000000056415396c,
};

// m8a_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ce[] = {
  0x7774dad41e7c50e3, 0xbbbafd8600ad5b77, 0xc5391dfdadd95bbb, 0x1502f777571f917a, 0x70581f27db858f64,
  0x180905b2b6a4d457, 0x8b200252292a609f, 0x50c9f2bab59ed2b8, 0xa6b54ee9f72f8818, 0x0cac70df7369bfcc,
  0x55819759bd4753db, 0xc0aff31a04508e48, 0x2f77c5dfff001b87, 0x50865a013d10caee, 0xfeeffa039e134e31,
  0x9305855998b9cbdb, 0x126bb7aac32bfdac, 0x9dff58c85a76849c, 0x9fb1ffcf002e767a, 0xc0513f309cee6d7e,
  0xac0d05fa8fd04f72, 0x9cc580a3e7491c72, 0x8ebc06a76afe8d05, 0xdc3ee895403ff667, 0xe8e6656638f81e5a,
  0x1013cb4e94527f33, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0xa2317f36cb831dbf,
  0x4596af2e4d5c1e6c, 0x3f53ab31e40cd3e3, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0xcb373c95fb9a1996, 0x0000000000692193,
};

// m8a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ce_u4[] = {
  0xddddd36a890ddb75, 0xeeeebf605e93356d, 0x9c43d8a56f5deeee, 0xa4e402b777448a3b, 0x775f5ef275a72196,
  0xf180905b2b6a4f25, 0x1164004a42a46609, 0x0a193e5756b3da57, 0x65d849dd3ee5f103, 0xd813a3825a982d7e,
  0x42ac0f4dcdea38d6, 0x3e057f98d0228472, 0xe2f77c5ded7600dc, 0x150865a0bed10cae, 0x760bff4073c260f7,
  0x0660b0ab3317397b, 0x0935dbd56393ffb8, 0x2e2facdc2d3b424e, 0xdc6883cf1272127f, 0xf51f097e21b09117,
  0xf99e2ee6d7d34ff3, 0x5fa8fd04f72c6789, 0x0a3e7491c72ac0d0, 0x6a76afe8d059cc58, 0x895403ff6678ebc0,
  0x56638f81e5adc3ee, 0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea,
  0xf36cb831dbfdeaa8, 0x1637c371e6ca2317, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000692265ab627cf,
};

// m8a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbbbba6d76090cf68, 0xbbbafdac7ecdeadb, 0x7689fbf7b683bbbb, 0xe734bb13bbb2821f, 0xa9d666dbb30f9086,
  0x0b656d491ecee68f, 0x1290ba2cc13e3012, 0x95d5acf695c45900, 0x774fb97c40c2864f, 0x833e4dd67f997612,
  0x4937a8e6b7b09863, 0x63408a11c90ab031, 0xefba180370f815fe, 0x04b488657717bbe2, 0x039e134728a8432d,
  0x5998b9cbdbbfcffa, 0x5618fffdc0330585, 0xa2d3b424e0935dbd, 0x4e424706e2faa32e, 0x361222fb8d1079e2,
  0xb3e759fea3e12fc4, 0x6b736be4cf17736b, 0x60d31f51e57224a7, 0xa6298ac27fa8f836, 0xc65c709c370ebec5,
  0xaedd388ea426be96, 0xbd8cddb7b464f1ce, 0xf3c8d21d8d578d8e, 0xbd977bb380e3b169, 0xa2541d51b044c8e1,
  0xa4fe67d1cccaccb3, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5, 0x063b7fbd55169b16,
  0x6e3cd94462fe6d97, 0x99bf83bb8d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f22678, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0008004faf6c4f9e,
};

// m8a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x6dddddd36a890c86, 0xdddddd7ed63e8bf5, 0xb656957962daefdd, 0xb201ad34bb13ba75, 0x9dddd8dd9683cc50,
  0x7c602416cada9202, 0x88b2002523b8f982, 0x850c9f2bab59ed2b, 0x32ec24ee9f72f881, 0x61fae7035b9a61bf,
  0x156075bf37a8e293, 0xf02bfcc681142392, 0x17bbe2ef672006e1, 0xa8432d01ac886577, 0x9dbffa039e135ba8,
  0x660b0ab3317397b7, 0x26bb7aace9fffb80, 0xf547f385a76849c1, 0x20f3c49c84b025c5, 0xc25f886c2445f71a,
  0x5dcdaecdf4a8fd47, 0xce329dadcda6333c, 0x47c1b307917d4795, 0x3afb1698a62bc93d, 0x9afa5b1971c270dc,
  0xd7c73abb73de3a90, 0x78d8ebca69db9e46, 0x1d8b4f588cd258d5, 0x9991c37b2dc99c07, 0x3f99f47332b3c62e,
  0x314c0809e5a74a29, 0xb129fbe740e28f3a, 0x1d98c10b4e48c1a9, 0x18bf9b69e8754e04, 0xdc68b1be1b8f3651,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x3e792bf734332c3a, 0x00000002002055b1,
};

// m8a_u2x8_uart0_dual_hw
static const uint64_t ur_m8_u2x8_uart0_dual_hw[] = {
  0x777774daa243173e, 0xbbbbbafd8664ed5b, 0x168cc48fd3d295bb, 0x66762560eeee9fba, 0x24d87767da01d44f,
  0xd304f8c0482d95b5, 0xf695c4590012918d, 0x7c40c2864f95d5ac, 0x74bf997612774fb9, 0x8f52b61fb8e095a6,
  0xa11c90ab0331f37a, 0x00370f815fe63408, 0x2195dc5eef8bbe2b, 0x13465150865a098a, 0xb9cbdb84fffa039e,
  0xcff7e75305855998, 0xda127049aedeab17, 0xea3dc33be5b9e169, 0x3df6b471cab037b5, 0xe8d059cc580bac53,
  0xff6608ebc06a76af, 0x07967b63ee895403, 0x9fccfa3999598e3e, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0xe3cd94462fe6d971, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x2d285f4f257ee686, 0x0000000000018dd7,
};

// m8a_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m8_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee9b54486dd9e, 0x77775fb5938d5ab6, 0xa72d9402b77ef777, 0x475a00a8bbb13a05, 0xc3f2af7ab8b4fb2c,
  0x602416cada92245d, 0xb20025235419827c, 0x0c9f2bab59ed2b88, 0xec24ee9f72f88185, 0xe9f3858fcdff3f32,
  0xb0338337a8f43fb0, 0x15fe63408a11c90a, 0xddf177feb80370f8, 0x219682564432bb8b, 0xdffd01cf0997dc54,
  0x82c2accc5ce5edf7, 0xaedeab0e1ffbf3a9, 0x68f4a169da127049, 0x3f93d4795edf9aad, 0xddf15f75ea3e0d98,
  0xcb8e1386e1d7d8b4, 0x2b813f3484d7d2d8, 0x6ded193c73ab4bce, 0x43b1aad743af6337, 0x76701c762d3e791a,
  0x546c11fadc37b2ef, 0xf47332b300a89507, 0x0809e5a74a293f99, 0x1c51e7c49a3a314c, 0xe0575539794d8ce8,
  0xef5545a6c59e8754, 0x288c5fcdb2e22adf, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343c899e07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x00000000aed0a9c0,
};

// m8a_u2x8_uart0_dual_ce_hw
static const uint64_t ur_m8_u2x8_uart0_dual_ce_hw[] = {
  0xbbbba6d5121a559b, 0xdddd7ec0bd266adb, 0x3887b14adebbdddd, 0x49c8056eee891477, 0x2bb9c2f8ffb99b2d,
  0x4f8c0482d95b5279, 0xb88b200252152330, 0x1850c9f2bab59ed2, 0xf32ec24ee9f72f88, 0xb6c09d1c12d4c16b,
  0x9215607a6e6f51c6, 0xe1f02bfcc6811423, 0x7717bbe2ef6bb006, 0xb8a8432d05f68865, 0xdbb05ffa039e1307,
  0xe75305855998b9cb, 0xe0935dbd56393ff7, 0xf2e2facdc2d3b424, 0x7dc6883cf1272127, 0xff51f097e21b0911,
  0x7e678bb9b5cc7c66, 0x17ea3f413dcb19e2, 0x028f9d2471cab034, 0x1a9dabfa34167316, 0xa25500ffd99e3af0,
  0x9598e3e0796b70fb, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba,
  0xfcdb2e0c76ff7aaa, 0xf505d8dc79b288c5, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0009baa65a0be9e4,
};

// m8a_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m8_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeee9b41eb432db, 0xeeeebf6b1fb37ab6, 0xdda27efdeda0eeee, 0xb9cd2ec4eeeca087, 0x3822acd33ac3e421,
  0x0120b656d491ecee, 0x9001290ba2cc13e3, 0x64f95d5acf695c45, 0x612774fb97c40c28, 0x863833e4dd67f997,
  0x0314937a8e6b7b09, 0x5fe63408a11c90ab, 0xbe2efba180370f81, 0x32d04b488657717b, 0xffa039e134728a84,
  0x5855998b9cbdbbfc, 0xb7aac31fff7e7530, 0x65d45a76849c126b, 0x3c49c848e0dc5f54, 0xf886c2445f71a20f,
  0x6d798667cfd47c25, 0x94ed6e6d7c99e2ee, 0x06cc1a63ea3cae44, 0xd8b4c531584ff51f, 0xd2d8cb8e1386e1d7,
  0x39d5dba711d484d7, 0xb1d7b19bb6f68c9e, 0x2d3e791a43b1aaf1, 0x1c37b2ef76701c76, 0x96744a83aa360899,
  0xa5149fccfa399959, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2, 0x62cf43aa702baa9c, 0xb2e0c76ff7aaa2d3,
  0xab8dc79b288c5fcd, 0xe627f2861539fa97, 0xc1343c899e2e7197, 0xc33d30ae4fc73dff, 0x0e9296cf8138cb25,
  0x70be9e4afdcd0ccb, 0x0000000000ebaa7d,
};

// m8a_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeee9b54486f97, 0xeeeeebf6b1e9afab, 0x4806e727dee1f6ee, 0x23aed2ec4ee9d6d9, 0xe78233ad53ad9bae,
  0x30120b656d49014e, 0x2c8009481544c13e, 0x4327caead67b4ae2, 0xbb093ba7dcbe2061, 0x7eb9c0d6e6986fcc,
  0x581d6fcdea38a4d8, 0x0aff31a04508e485, 0xddf177822401b87c, 0x219680d64432bb8b, 0x47fd01cf09add454,
  0x82c2accc5ce5edc3, 0xaedeab12d7fbf3a9, 0x51fce169da127049, 0x3cf127212d9d717d, 0x97e21b09117dc688,
  0x736bf2d337ff51f0, 0x54a76b73698ccf17, 0xf06cc1e45f51e57a, 0xbec5a6298ad00f51, 0xbe96c65c709c370e,
  0xf9ceaedcbe0ea426, 0x1b1d794d3b7488eb, 0xc5a752d18fbb1aaf, 0xc8e1bd96e4ce038e, 0xccfa399959e31a24,
  0xa60404f2d3a5149f, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0x9b288c5fcdb2e0c7,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x40be9e4afdcd0ccb, 0x00000000000ebaa0,
};

// m8_u2x12_uart0_noled_pr           m8a_u2x12_uart0_noled             m8a_u2x12_uart0_noled_pr
static const uint64_t ur_m8_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x49827c602416cada, 0x189eb5fff9f767fe, 0x6849c126bb79a0cd, 0x51ebf9df2c27c5a7, 0x45e7a38e55818fbf,
  0xa333c731602cb298, 0xffb30475e8f9d838, 0x0f2cf6d4d7e1aa01, 0x3149e5a74a285654, 0xdeb9f8a3cdec9a3a,
  0xe8754e047f529794, 0x8ab7fbd5516953e9, 0x1bb65118bf9b697f, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0xc7ad96a792bf7343, 0x000000000001f20d,
};

// m8a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m8_u2x12_uart0_noled_pr_u4[] = {
  0xbaeeb43a2ec53b90, 0xeeaafb39bbe25bbb, 0xfcf0bad346beeeee, 0xf5fbbba1653dde26, 0xd2cd29715c6f2245,
  0x7c602416cada93ba, 0xad7ff6b267fe4982, 0x7049aede68334627, 0xfe77cb09f169da12, 0xe8e3956063efd47a,
  0xf1cc580b2ca61179, 0xc11d7a3e760e28cc, 0x3db535f86a807fec, 0x7969d28a159503cb, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x94462fe6da5fe2ad, 0x0d1637c5c9ab83cd, 0x539fa9d598f2076d,
  0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x000003e4f782d9ba,
};

// m8a_u2x12_uart0_noled_pr_ee
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ee[] = {
  0xddd775a1ef621391, 0x777557cd67a712dd, 0x7e63e9590d363777, 0x0f53341dd48a5eec, 0x0f22f5f92920a6e0,
  0x8c0482d95b527742, 0xbbfdac99f74b304f, 0x126bb79a0cd189ff, 0xab5a39b85a76849c, 0xb3063e7a8f2b9c66,
  0x2d377c572fbd47c1, 0xb632e384e1b875f6, 0xba62b8d64d2135f4, 0x4dd967a313e73ab4, 0xa3c676355ae875e7,
  0x5b2f9c071d8b4d05, 0x00ca8d823f5b86f6, 0x293cb4e945002fc3, 0xd73f1479bd934746, 0x0ea9c08fea52f29b,
  0x56ff7aaa2d2a7d3d, 0xc6ca2317f36d2ff1, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c,
  0x759e4afdcd0ccb0e, 0x000000029f2c7fb3,
};

// m8a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ee_u4[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0xc0482d95b52774c8, 0x7fdc039f74b304f8, 0x4d76f3419a313ff7, 0x6b47370b4ed09382, 0x60c7cf51e5738cd5,
  0xa6ef8ae5f7a8f836, 0xc65c709c370ebec5, 0x4c571ac9a426be96, 0xbb2cf4627ce75697, 0x78cec6ab5d0ebce9,
  0x65f380e3b169a0b4, 0x1951b047eb70decb, 0x27969d28a005f860, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0xd94462fe6da5fe2a, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x8cf257ee68665874, 0x000000275d79f69c,
};

// m8a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0x6a4eec2f5a3c7a08,
  0xeea609f180905b2b, 0x9a313cf5ffe7dd9f, 0x4ed093824d76f341, 0x17090df3bfea4f0b, 0x9dcdaebeca2fe780,
  0xa0b9ee580b8ce613, 0xfb8e395607ac5ea3, 0x12386a398b016bf8, 0x71cb19e3af173b6b, 0xa4f2d3a5141d01ab,
  0xeb9f8a3cb74d1d18, 0x2169cbc7f529794d, 0x69e8754e06753318, 0x63ce1bb65118bf9b, 0x3f75663c81a3f8d1,
  0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x5baaa72d96a792bf,
};

// m8a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeebbad0e8bb1762, 0xbbbaaba1df1f896e, 0xdf1691731d85fbbb, 0x0db6c477775fb307, 0x93bb4cd19ad08ee0,
  0xa9827c602416cada, 0x8c4f31ffed64cfd4, 0xb424e0935dbcd066, 0xc1cc92e2fac642d3, 0x09117dc6883cf002,
  0xac4ebf51f097e21b, 0xc67e3399e2ee6d71, 0xb03d62f51c38cf72, 0x98b01443c82c71ca, 0x1d78b9d94d23fc33,
  0x4a283ae97b8e58cf, 0x1e39f87a3149e5a7, 0xf53f794f33cbcfc5, 0x1131821696aeccf2, 0x62fe6da7a1d5381f,
  0x637c5c9ab83cd944, 0xfa9d598f2076d0d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000dd7085d9bacf2,
};

// m8a_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xdddd55fac115b896, 0x130acc469ed0bddd, 0x76783bbf75d79334, 0x9a33fa68ecfde2fc,
  0x8c0482d95b527769, 0x0ffdac99fcad304f, 0x126bb79a0cd189e5, 0xffaa39105a76849c, 0xff9f9e005839fb8e,
  0x6465309cee6d7b1f, 0x8bea3cafe494ed65, 0x98ae21f51f06cc18, 0xc709c370ebec5a62, 0xb228ea426be96c65,
  0x6ec21d187139d5db, 0xa9ab1aaf1b1d7aea, 0xe59c071d8b4e4151, 0x98c7f0cc8e1bd970, 0xc9a3a3149e5a74a2,
  0x29794deb9f8a3cde, 0x953e9e8754e047f5, 0x6d2fe63b7fbd5516, 0xe2e4d5c6ca2317f3, 0xd598f2076d0d163c,
  0x8cb25c33d30ae4fd, 0x0ccb0e9296cb2513, 0x354eb3759e4afdcd, 0x000000000000014d,
};

// m8a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0xf8c0482d95b52774, 0xafffb8073fd3f304, 0x0935dbcd0668c4fe, 0x2faa3a942d3b424e, 0x441e78016b4870ee,
  0xf84bf10d8488bee3, 0xc5dcdaf787cb5fa8, 0x5fc929dadcdc6533, 0xea3e0d983117d479, 0xe1d7d8b4c53158f9,
  0x84d7d2d8cb8e1386, 0x30e273abb741f1d4, 0x5e363af5d4dd9ed2, 0x1d8b4ccf23535635, 0x8c8e1bd970e59c07,
  0x293cb4e94531881a, 0x7ae7e28f2dd34746, 0x085a72f1fd4a5e53, 0xda7a1d53819d4cc6, 0xc9ab83cd94462fe6,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xc4d069c8cf257ee6, 0x000000000000004f,
};

// m8a_u2x12_uart0_noled_hw
static const uint64_t ur_m8_u2x12_uart0_noled_hw[] = {
  0xbaeeb43d4166ef3a, 0xeeaafb39bbe25bbb, 0x4df9e17b5a6eeeee, 0x8bebf77742ca7bbc, 0x93ba0bd04d641e44,
  0x49827c602416cada, 0x8c4f5afff871e7fe, 0xb424e0935dbcd066, 0xa8f5fcef9613e2d3, 0x22f3d1c72ac0c7df,
  0x5199e398b016594c, 0xffd9823af47cec1c, 0x07967b6a6bf0d500, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d,
  0xf43aa7023fa94bca, 0xc55bfdeaa8b4a9f4, 0xc79b288c5fcdb4bf, 0xa50c2a73f5361d8d, 0xf80f9a1e44cf0271,
  0x271964b867a615c9, 0xb9a19961d252d9f0, 0x0e883b71f453c95f,
};

// m8a_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m8_u2x12_uart0_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x13e30120b656d49d, 0x3ff77fd0a67dd2cc, 0x93824d76f3419a31, 0x8cd56b47370b4ed0, 0xf83660c7cf51e573,
  0xbec5a6ef8ae5f7a8, 0xbe96c65c709c370e, 0x56974c571ac9a426, 0xbce9bb2cf4627ce7, 0xa0b478cec6ab5d0e,
  0xdecb65f380e3b169, 0xf8601951b047eb70, 0xe8c527969d28a005, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e,
  0xfe2adfef5545a54f, 0x6e3cd94462fe6da5, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x82ed05f4f257ee68, 0x00000000000002df,
};

// m8a_u2x12_uart0_noled_ce_hw
static const uint64_t ur_m8_u2x12_uart0_noled_ce_hw[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaafb39e9625b, 0x71ff17c1f6a1eeee, 0xd933d9fbbba682a6, 0xda93ba0bd04d6406,
  0xfba9827c602416ca, 0x3346279ebff871e7, 0x69da127049aede68, 0x0170964877fd6d61, 0x39dcdaf52bf77e78,
  0x1dafa7b9602eb261, 0x621e38e55819a4f5, 0x07146678e62c05b8, 0x403ff6678ebd1f3b, 0xb2a0796b729afc35,
  0xd1d18a4f2d3a5142, 0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0x7f61bb65118bf9b6,
  0xc6592e19e985727e, 0x866587494b659289, 0x62141d514f257ee6,
};

// m8_u2x12_uart0_noled_ee_ce_u4_hw  m8a_u2x12_uart0_noled_ee_ce_hw    m8a_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x04f8c0482d95b527, 0x4f275ff4299f0b53, 0x24e0935dbcd0668c, 0xbae2faa34ac2d3b4, 0xfb8d1079e24e4252,
  0xfea3e12fc4361222, 0x7ccf17736bf60de1, 0x51e560a4a76b736f, 0x7377a8f83660e32f, 0x4e1b875f62d314c5,
  0x4752135f4b632e38, 0x2cf4627ce7576e4c, 0x9d8d578d8ebce9bb, 0xe701c762d34168f1, 0x51b044c8e1bd96cb,
  0x969d28a167f86019, 0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x88c5fcdb4bf98edf,
  0x2a73f505d8dc79b2, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xe9e4afdcd0ccb0e9, 0x0000000a021a9c0b,
};

// m8_u2x12_uart0_lednop_pr          m8a_u2x12_uart0_lednop            m8a_u2x12_uart0_lednop_pr
static const uint64_t ur_m8_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0xe9827c602416cada, 0x8c4f887ff9f767e6, 0xb424e0935dbcd066, 0xa8eb3cef9613e2d3, 0x6f93d1c72ac0c7df,
  0x23348731602cb298, 0xffb30475e8f9d9ed, 0x07967b66794d2a01, 0x0404f2d3a514560a, 0x0e28f3e24d1d18a6,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0x94462fe6d971156f, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0x65a9e4afdcd0ccb0, 0x000000007c8749cb,
};

// m8a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_u4[] = {
  0xdd775a1d1762eff6, 0x77557d9cd9f12ddd, 0xc4a1c75fac477777, 0x6adbbba1653ddbbf, 0xbd731398d33f1742,
  0x9f180905b2b6a4ee, 0xf887fdac99f9ba60, 0x4e0935dbcd0668c4, 0xb3cef9613e2d3b42, 0x3d1c72ac0c7dfa8e,
  0x48731602cb2986f9, 0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0x62fe6d971156ff7a, 0x637c5c9ab83cd944, 0xfa9d598f2076d0d1,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x003e4f249d9bacf2,
};

// m8a_u2x12_uart0_lednop_pr_ee
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ee[] = {
  0xeeebbad0f7b15a91, 0xdddd55f35b0a896e, 0x3b1fb6c19ee2fddd, 0xfea6683ba914bdbd, 0xbd3aa2cbb64168f1,
  0x30120b656d49dd68, 0xeff6b267cbacc13e, 0x49aede68334627fc, 0xad68e6e169da1270, 0xcc18f9ea3cacf59a,
  0x5a6ef8af4af51f06, 0x6c65c709c370ebec, 0x7c9171ac9a426be9, 0x4ddba04621ce7569, 0x4720b6355ae875e7,
  0xb65f380e3b16989f, 0xf0d51b047eb70dec, 0x027969d28a004a6b, 0x1479f1268e8c5302, 0x15d54e5e53633a07,
  0xd55169b167a1d538, 0x2317f36cb88ab7fb, 0x0d163ce2e4d5c6ca, 0x0ae4fdd598f2076d, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x00029f0e14b3759e,
};

// m8a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0x80905b2b6a4eeb33, 0xffb8073e5d6609f1, 0x9aede68334627fce, 0xd68e6e169da12704, 0xc18f9ea3cacf59aa,
  0xa6ef8af4af51f06c, 0xc65c709c370ebec5, 0xc9171ac9a426be96, 0xddba04621ce75697, 0x720b6355ae875e74,
  0x65f380e3b16989f4, 0x0d51b047eb70decb, 0x27969d28a004a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0x317f36cb88ab7fbd, 0xb1be2e4d5c1e6ca2, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0013ae41cb4e4679,
};

// m8a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x2b6a4eed8f642179,
  0x9f32a609f180905b, 0x833462784fffe7dd, 0x169da127049aede6, 0x002e12c8a77fd49e, 0x273b9b5ca2b93fcf,
  0x477b53dcb01719cc, 0xb0e31c72ac0f58bd, 0x8cf23534731602e0, 0xa7b8e58cf1d78b9d, 0x02027969d28a0eae,
  0xa071478e7e1e8c53, 0x17f36ea5ab94a5f3, 0xa702985cc6085a77, 0xdb288c5fcdb4f43a, 0x1e40d1fc68b1e70d,
  0x4b867a615c9fbab3, 0x61d252d964a27196, 0x16cb53c95fb9a199, 0x000000000016ea49,
};

// m8a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x27c602416cada93b, 0xf52bfee01cfa5698, 0x9c126bb79a0cd189, 0x6fdc5f54c45a7684, 0x7dc6883cf002d693,
  0xff51f097e21b0911, 0xb2678bb9b5f76936, 0xd27a8fcf4f72c67e, 0x0177bc171c72ac0c, 0x47cecf6919a4398b,
  0xca69500ffd99e3af, 0x4a28ac140f2d6e33, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4, 0xc59e8754e0575539,
  0x65c18edfef5545a6, 0x26ae0f365118bf9b, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0,
  0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x5ad5a7233c95fb9a, 0x0000000000000dd7,
};

// m8a_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeebbad0f7b1762, 0xeeeeaafd60968896, 0xea9bb1e34f685eee, 0xd903c1ddfbaebc99, 0xa668cfe9a3b3f78b,
  0x3e30120b656d49dd, 0xe9bff6b267c6b4c1, 0x7049aede68334627, 0x3bfea8e44169da12, 0x7ffe7e780160e145,
  0x959194c273b9b5ec, 0x622fa8f2b9ba53b5, 0x8a62b4c7d47c1b30, 0x971c270dc3afb169, 0x6ec8a3a909afa5b1,
  0x53766be46f68e757, 0x8ccf58d578d8ebd7, 0xc396701c762d3348, 0x45318cb232386f65, 0x47462981013cb4e9,
  0xca6c6740e28f2dd3, 0x98c10b4deabaa9cb, 0x7f36d3d0ea9c0bab, 0x63ce2e4d5c6ca231, 0x4fdd598f2076d0d1,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x14d354eb3759e4af,
};

// m8a_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x9f180905b2b6a4ee, 0x43fff700e7ec7e60, 0xc126bb79a0cd189f, 0xc5f5475285a76849, 0x6883cf002d690a5d,
  0x1f097e21b09117dc, 0xf17736bf2d337ff5, 0x56be4a76b737194c, 0xfa8f83660c45f51e, 0xb875f62d314c56f7,
  0x2135f4b632e384e1, 0x4690ce7576e8c875, 0xabc6c75eba9bb54b, 0xe3b169d128d41ec6, 0x9991c37b2e1cb380,
  0x2027969d28a631ba, 0x071478e7e1e8c530, 0x7f36ea5ab94a5f3a, 0x702985cc6085a771, 0xb288c5fcdb4f43aa,
  0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x19e4afdcd0ccb0e9, 0x00000009f810bd39,
};

// m8a_u2x12_uart0_lednop_hw
static const uint64_t ur_m8_u2x12_uart0_lednop_hw[] = {
  0xbbbaeeb43d66ed1f, 0xeeeeaafb39b3e25b, 0x6eff1287378feeee, 0x5d09ab6eee8594f7, 0xb6a4ee8c05fb63fc,
  0xf9ba609f180905b2, 0x0cd189f10ffe1c79, 0x5a76849c126bb79a, 0xfbf51d679df2c27c, 0x530df27a38e55818,
  0x3da46690e62c0596, 0x403ff6608ebd1f3b, 0xc140f2cf6ccf29a5, 0x14c0809e5a74a28a, 0xce81c51e7c49a3a3,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0xddb288c5fcdb2e22, 0x970cf4c2b93f3fb0, 0xc3a4a5b2c944e32c,
  0x93a8a792bf734332, 0x0000000000008e2e,
};

// m8a_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m8_u2x12_uart0_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x27c602416cada93b, 0x7fceffa14cf97598, 0x27049aede6833462, 0x59aad68e6e169da1, 0xf06cc18f9ea3cacf,
  0xbec5a6ef8af4af51, 0xbe96c65c709c370e, 0x5697c9171ac9a426, 0x5e74ddba04621ce7, 0x89f4720b6355ae87,
  0xdecb65f380e3b169, 0xa6bf0d51b047eb70, 0x302027969d28a004, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x6ca2317f36cb88ab, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x42fa792bf734332c, 0x0000000002df95f8,
};

// m8a_u2x12_uart0_lednop_ce_hw
static const uint64_t ur_m8_u2x12_uart0_lednop_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55f671d7c4b7, 0x55a508c1f600dddd, 0x9fa5e6fbbbb7121c, 0x6d49ddcc490d5a09,
  0xc27cc13e30120b65, 0x334627a01ff871e7, 0x69da127049aede68, 0x0170944277fd49e1, 0x39dcdaf01aa57e78,
  0x389f9ee580b8ce61, 0x54b8e395607ac5ea, 0x3ed1eb11cc580bd0, 0xadc72c678ebc5cec, 0x0404f2d3a5141d29,
  0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0x288c5fcdb2e0c76f, 0xcf4c2b93f3fb0ddb,
  0x4a5b2c944e32c970, 0x8a792bf734332c3a, 0x000000000310a5ba,
};

// m8_u2x12_uart0_lednop_ee_ce_u4_hw m8a_u2x12_uart0_lednop_ee_ce_hw   m8a_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x09f180905b2b6a4e, 0x7d0fffd0a67ec7e6, 0x27049aede6833462, 0x7717d51a56169da1, 0xdc6883cf127212d3,
  0xf51f097e21b09117, 0xe678bb9b5e6199f3, 0x8f2b40253b5b9b7b, 0x9c7d47c1b307197a, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0xd02310e73abb7648, 0xb6355e363af3a6ed, 0x380e3b16989f4720, 0x8d8226470decb65f,
  0xb4e9450b3535f86a, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8,
  0xd4176371e6ca2317, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00a02b6dd42fa792,
};

// m8_u2x12_uart0_dual_pr            m8a_u2x12_uart0_dual              m8a_u2x12_uart0_dual_pr
static const uint64_t ur_m8_u2x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeebf6db68cf56d, 0x8f4e23e1bb4dd6ee, 0x27533dddd0670cc4, 0xdc75a351da67c646,
  0xe30120b656d495a1, 0x88b2002522004c13, 0x850c9f2bab59ed2b, 0x5dc5f4ee9f72f881, 0x82fb3814599c9fe6,
  0x0ab0332a6f51dfcd, 0xf815fe63408a11c9, 0xc5eef8bbedd00370, 0x150865a03e22195d, 0xdf4affa039e136f7,
  0xee982c2accc5ce5e, 0x79a0cd189f10fff3, 0x27c5a76849c126bb, 0x818fbf51d679df2c, 0x596530df27a38e55,
  0xf3b3da46690e62c0, 0xb289dc72c608ebd1, 0xa293f99f47332b32, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49,
  0x59e8754e05755397, 0x2e22adfef5545a6c, 0x357079b288c5fcdb, 0x3c81f943458f38b9, 0x970cf4c2b93f7566,
  0x2c3a4a5b3e04e32c, 0x3b4e46792bf73433, 0x00000000000310e9,
};

// m8a_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m8_u2x12_uart0_dual_pr_u4[] = {
  0xba6d789a2e7c7a31, 0xdd7edb6ec4eadbbb, 0x834cdeb6b4eddddd, 0x977bbbad2e82c4eb, 0x4fc3efb40f8dd333,
  0x120b656d49066ee4, 0x4004a4760cc13e30, 0x93e5756b3da57116, 0x6a9dd3ee5f1030a1, 0x58e0e966387f994d,
  0x0380d37a8ffbb609, 0x5fe63408a11c90ab, 0xef8bbc6b00370f81, 0x865a1f222195dc5e, 0xaffa039e130f9150,
  0x82c2accc5ce5edfb, 0x8334627829fed649, 0x169da127049aede6, 0x7b5ea3dc33be5b9e, 0xc533df6b471cab03,
  0x6afe8d059cc580ba, 0x403ff6608ebc06a7, 0xe3e07967b63ee895, 0x5149fccfa3999598, 0xd1d18a60404f2d3a,
  0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x971156ff7aaa2d36, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0xebf966e792bf7343, 0x00000000000524e3,
};

// m8a_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789de7ce7c, 0xeeeebf6c28b16adb, 0x473905517ebadeee, 0x2a86d1774c886e2d, 0xd3d5c47e67da7dce,
  0x16cada93705ddb36, 0x25239079827c6024, 0x2bab59ed2b88b200, 0xee9f72f881850c9f, 0x0ff93068fcca6b54,
  0xbe6f51fa7f6163e7, 0x8d022847242ac0fa, 0xde6b600dc3e057f9, 0x0e9510caee2f77c5, 0x073c2628b150865a,
  0xb3317397b7d37ff4, 0x13ca5ffb59260b0a, 0x093824d76f3419a3, 0x6fcd56b47a50b4ed, 0x1f06cc1fc9ea3caf,
  0xebec5a6ef8afbaf5, 0x6be96c65c709c370, 0xd5a5e715c09f9a42, 0xd7b19bb6f68c9e39, 0x9f3c8d21d8d56ba1,
  0x1bd977bb380e3b16, 0x544a83aa3608fd6e, 0x149fccfa39995980, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xab83cd94462fe6d9, 0x20669f1a2c79c5c9, 0xc33d30ae4fdd598f,
  0x0e9296cf8138cb25, 0xe59b9e4afdcd0ccb, 0x000000000190a739,
};

// m8a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ee_u4[] = {
  0x774daf13448687e1, 0xddd7ed85162d5b77, 0xa8e720ada2fddddd, 0xc550da2ee9910dc5, 0xf049aed1fcfb4fb9,
  0x2d95b526e0bb8af6, 0x4a4720f304f8c048, 0x5756b3da57116400, 0xdd3ee5f1030a193e, 0x87fc98347e65d849,
  0x5f37a8fd3fb0b1f3, 0xc68114239215607d, 0xef35b006e1f02bfc, 0x074a88657717bbe2, 0x039e131458a8432d,
  0x5998b9cbdbe9bffa, 0x13ca5ffdc0330585, 0x093824d76f3419a3, 0x6fcd56b47a50b4ed, 0x1f06cc1fc9ea3caf,
  0xebec5a6ef8afbaf5, 0x6be96c65c709c370, 0xd5a5e715c09f9a42, 0xd7b19bb6f68c9e39, 0x9f3c8d21d8d56ba1,
  0x1bd977bb380e3b16, 0x544a83aa3608fd6e, 0x149fccfa39995980, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0x86e3cd94462fe6d9, 0xab337f07771a2c6f, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x64d1c56c4f9e4afd,
  0x0000000000000005,
};

// m8a_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ce[] = {
  0xa6d789d41e7cbd5b, 0xd7edb6d056adbbbb, 0x59392669cedddddd, 0xddbbba62560d8676, 0x7ee33eed055f0f60,
  0x905b2b6a4b457777, 0x0025219ca609f180, 0x9f2bab59ed2b88b2, 0x54ee9f72f881850c, 0x670d373456fcca6b,
  0x19439bd47cadb0df, 0xff31a04508e48558, 0x7c5de1a001b87c0a, 0x32d0ee910caee2f7, 0x7fd01cf09b4a8a84,
  0x2c2accc5ce5edd2b, 0x668c4f8f7fed6498, 0xd3b424e0935dbcd0, 0x0173b3d4effac642, 0xe7736bf4fd8ffe78,
  0x7e827b960289f984, 0x3a48e39560682fd4, 0x57f4682ce62c051f, 0x01ffb33c75e0353b, 0xc7c0f2d6e1f744aa,
  0xa293f99f47332b31, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397, 0x5c18edfef5545a6c,
  0x6ae0f365118bf9b6, 0x20669f1a2cb57972, 0xd2861539fa9d598f, 0xfc07cd0f22678138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x0d24409e59b9e4af,
};

// m8a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ce_u4[] = {
  0x774daf134486c541, 0xbbafd9a9a72d5b77, 0x52be7adb62fbbbbb, 0xb520addddb8393b6, 0x5823f86abd462cf8,
  0x80905b2b6a4f4e77, 0x64004a4775a609f1, 0x193e5756b3da5711, 0xd849dd3ee5f1030a, 0x4b4700b5318ffe65,
  0x581c569bd47275b0, 0x0aff31a04508e485, 0xeef8bbd0f801b87c, 0x10cb40a2a2195dc5, 0x13fe80e784c63e2a,
  0xc16156662e72f6f8, 0x0668c4ff9dff700c, 0x2d3b424e0935dbcd, 0x1272127f2e2facdc, 0x21b09117dc6883cf,
  0xd7d34ff3f51f097e, 0xf72c6789f99e2ee6, 0xc72ac0d05fa8fd04, 0xd059cc580a3e7491, 0x6678ebc06a76afe8,
  0xe5adc3ee895403ff, 0xf33e8e6656638f81, 0x2981013cb4e94527, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1,
  0xdbfdeaa8b4d8b3d0, 0xe6ca2317f36cb831, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x72b627cf257ee686, 0x0000000000069210,
};

// m8a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ee_ce[] = {
  0xba6d789d41437089, 0xbafd86da8feadbbb, 0x1d78d5bb37bbbbbb, 0x764048eeb623ad5a, 0x959135b44d744fb1,
  0xb2b6a4bb2775e4f5, 0x48b92a609f180905, 0xead67b4ae22c8009, 0xa7dcbe20614327ca, 0x2926fd7fccbb093b,
  0xe6f51eb7f61000e0, 0xd022847242ac0e76, 0xf95000dc3e057f98, 0xa6d10caee2f77c5d, 0x73c26c09150865a1,
  0x662e72f6f63fff40, 0xf1adff700cc16156, 0x4e0935dbcd0668c4, 0x0effaa35f62d3b42, 0xf9d67f9e24e42581,
  0xcac5f26139dcdaec, 0x34c7d4795c8929da, 0x8a62b09fea3e0d98, 0x971c270dc3afb169, 0xb74e23a909afa5b1,
  0x63376ded193c73ab, 0xf234876355e363af, 0x65deece038ec5a7c, 0x9507546c1132386f, 0x3f99f47332b32ce8,
  0x314c0809e5a74a29, 0x8ce81c51e7c49a3a, 0x8754e0575539794d, 0x8edfef5545a6c59e, 0x8f365118bf9b65c1,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343c899e04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x00200318db13e792,
};

// m8a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d1369fa0ae, 0xd7ed8ed08756dddd, 0xd17b4f68fcdddddd, 0x667ba73a35577a6b, 0xc3ebb85e1f28fd0b,
  0x957ceefafbfadd5e, 0x4c13e30120b656d4, 0xd2b88b200252379f, 0x881850c9f2bab59e, 0x7f995fb44ee9f72f,
  0x0db067c38759ccc8, 0x9215607faf37a8f3, 0xe1f02bfcc6811423, 0xee2f77c5deea8006, 0x3150865a016910ca,
  0xb7c41ff4073c2638, 0xf0e60b0ab3317397, 0x79a0cd189e337ffd, 0x5d45a76849c126bb, 0xc49c070e0dc5f546,
  0x886c2445f71a20f3, 0xaea49cdffd47c25f, 0x9dadcdaf933c5dcd, 0xd9834c7d4795c892, 0x1698a62b09fea3e0,
  0x5b1971c270dc3afb, 0x3abb74e23a909afa, 0x3af63376ded193c7, 0xa7cf234876355e36, 0x86f65deece038ec5,
  0xce89507546c11323, 0xa293f99f47332b32, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397,
  0x5c18edfef5545a6c, 0x6ae0f365118bf9b6, 0xf837e823458df172, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xee2ed4f257ee6866, 0x0000000001000838,
};

// m8a_u2x12_uart0_dual_hw
static const uint64_t ur_m8_u2x12_uart0_dual_hw[] = {
  0xbba6d789a2436812, 0xddd7edb6ec4eadbb, 0x9d70699ebd6ddddd, 0x6672ef7775a5d058, 0x66eedfb0b6a6b9ba,
  0x13e30120b656d490, 0x571164004a4760cc, 0x030a193e5756b3da, 0xfe65d849dd3ee5f1, 0xeed8256383a598e1,
  0x7242ac0e034dea3f, 0xdc3e057f98d02284, 0x57717bbe2ef1ac00, 0x3e454219687c8886, 0x97b7eebfe80e784c,
  0xefcea60b0ab33173, 0xaede68334627829f, 0xe5b9e169da127049, 0xcab037b5ea3dc33b, 0x580bac533df6b471,
  0xc06a76afe8d059cc, 0xee895403ff6608eb, 0x99598e3e07967b63, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404,
  0xaa9cbca6c6740e28, 0xa2d362cf43aa702b, 0x2fe6d971156ff7aa, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00018dd464e05f4f,
};

// m8a_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m8_u2x12_uart0_dual_ee_hw[] = {
  0xee9b5e26890ddb75, 0xbbafdb0a2c5ab6ee, 0x51ce415b45fbbbbb, 0x8aa1b45dd3221b8b, 0xbde4f5c879f69f73,
  0x20b656d49b82eebe, 0x01291c83cc13e301, 0xf95d5acf695c4590, 0x2774fb97c40c2864, 0xce1ff260d1f99761,
  0xf57cdea3f4fec2c7, 0xf31a04508e485581, 0x8bbcd6c01b87c0af, 0xb41d2a2195dc5eef, 0xe80e784c5162a10c,
  0x156662e72f6fa6ff, 0x189e52ffdf9d4c16, 0x6849c126bb79a0cd, 0x7b7e6ab5a3d285a7, 0xa8f83660fe4f51e5,
  0x875f62d377c57dd7, 0x135f4b632e384e1b, 0xcead2f38ae04fcd2, 0x0ebd8cddb7b464f1, 0xb4f9e4690ec6ab5d,
  0x70decbbdd9c071d8, 0x02a2541d51b047eb, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0x76371e6ca2317f36, 0xe1ef79430a9cfd41, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xbb5a3882fa792bf7, 0x0000000000000002,
};

// m8a_u2x12_uart0_dual_ce_hw
static const uint64_t ur_m8_u2x12_uart0_dual_ce_hw[] = {
  0xdd36bc4d12190907, 0xeebf66a69cb56ddd, 0x4af9eb6d8beeeeee, 0xd482b7776e0e4ed9, 0xdd683f57debdb3e2,
  0xc602416cada93d39, 0x459001291dd69827, 0x2864f95d5acf695c, 0x97612774fb97c40c, 0xc12d1c02d4c63ff9,
  0x1560715a6f51c9d6, 0xf02bfcc681142392, 0x17bbe2ef43e006e1, 0xa8432d028a886577, 0xe04ffa039e1318f8,
  0x5305855998b9cbdb, 0x68334627fceff7e7, 0xe169da127049aede, 0x78939093f9717d66, 0xf10d8488bee3441e,
  0xdae63e337fa8f84b, 0x9ee58cf13f33c5dc, 0x38e5581a0bf51fa0, 0x1a0b398b0147ce92, 0xeccf1d780d4ed5fd,
  0x3cb5b87dd12a807f, 0xfe67d1cccacc71f0, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536,
  0x3b7fbd55169b167a, 0x3cd94462fe6d9706, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x3905f4f257ee6866, 0x000000000004dd48,
};

// m8a_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8_u2x12_uart0_dual_ee_ce_hw[] = {
  0xdd36bc487ad0cf68, 0xdd7ed8ed08756ddd, 0x4d7a2fd69edddddd, 0xa16ccf74e746aaef, 0x53ad6ec70bc3e51f,
  0x16cada92af9dcd1f, 0x4a46f3e9827c6024, 0x5756b3da57116400, 0xdd3ee5f1030a193e, 0x1d673321fe65d849,
  0xbcdea3cc36c19f0e, 0x1a04508e485581fe, 0x7baa001b87c0aff3, 0x05a4432bb8bddf17, 0x1cf098e0c5421968,
  0xccc5ce5edf107fd0, 0x78cdffbf3a982c2a, 0x27049aede6833462, 0x3717d51975169da1, 0xdc6883cf12721238,
  0xf51f097e21b09117, 0x2678bb9b5e6199f3, 0x8f2b91253b5b9b5f, 0x13fd47c1b30698fa, 0xe1b875f62d314c56,
  0x752135f4b632e384, 0xbda3278e7576e9c4, 0xec6abc6c75ec66ed, 0x9c071d8b4f9e4690, 0x8d8226470decbbdd,
  0x8e6656659d12a0ea, 0x013cb4e94527f33e, 0x8a3cf89347462981, 0x0aeaa72f29b19d03, 0xeaa8b4d8b3d0ea9c,
  0x2317f36cb831dbfd, 0x4e7ea5eae371e6ca, 0x8b9c65f989fca185, 0xf1cf7ff04d0f2267, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x0ebaa2f82fa792bf,
};

// m8a_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeee9b5e26890c86, 0x77775fb63bae3ab6, 0x05947f3ef5c2f777, 0xbadd0b667bb388e7, 0xeec6ecde62a10ecd,
  0x0120b656d49414ee, 0x9001291649cc13e3, 0x64f95d5acf695c45, 0x612774fb97c40c28, 0x5b384c34ccf9f997,
  0x0380137a8ffafb03, 0x5fe63408a11c90ab, 0xbe2ef30080370f81, 0x32d027488657717b, 0xffa039e136ce8a84,
  0x5855998b9cbdbe9a, 0x3462785aff7e7530, 0x9da127049aede683, 0x12d9d717d51fce16, 0x9117dc6883cf1272,
  0x337ff51f097e21b0, 0x3698ccf17736bf2d, 0x45f51e57a54a76b7, 0x98ad00f51f06cc1e, 0xc709c370ebec5a62,
  0xcbe0ea426be96c65, 0xd3b7488ebf9ceaed, 0x18fbb1aaf1b1d794, 0x6e4ce038ec5a752d, 0x959e31a24c8e1bd9,
  0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xfcdb2e0c76ff7aaa,
  0xf505d8dc79b288c5, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0003aea56a0be9e4,
};

// m8_swio10_noled_pr                m8a_swio10_noled                  m8a_swio10_noled_pr
static const uint64_t ur_m8_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x120b656d49ddb1ec, 0xfcfbb3e654c13e30, 0x6b9df2c4d52009ff, 0xca38e5581887f51d, 0x16731602dee9a6e8,
  0xc608ebc5cec4d23c, 0xf2e556a5654bdc72, 0xa551aeb2039920da, 0x672bb54b7d59cea2, 0xd312a97debe9a64d,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0x4f43aa702dc7c502, 0x1e70ddb288c5fcdb, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x9a19961d252d964a, 0xf204916cb53c95fb, 0x0000000000000001,
};

// m8a_swio10_noled_pr_u4
static const uint64_t ur_m8_swio10_noled_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xadddaab914623128, 0xf7c7e8714718c227, 0x877a086b97bf1350, 0x3b6c6245dd8882fe,
  0x6d49ddfa706f0ab8, 0xf224c13e30120b65, 0x589aa41a57fb5933, 0x5581887f51d313be, 0x602dee9b4a88638e,
  0x5e2e76ded193c731, 0xb52b167ee3963047, 0x75901cc906d7972a, 0xaa5beace75152a8d, 0x4bef5f4d326b395d,
  0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0x6c56a8ab7fbd5516, 0xe4d5c1e6ca2317f3,
  0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0x9a682cdd6792bf73, 0x000000000000007c,
};

// m8a_swio10_noled_pr_ee
static const uint64_t ur_m8_swio10_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17a4cf8ff8, 0xa847914c1afaa6ec, 0x4767ef17b2020da0,
  0xcada93bb4cd19fd3, 0xcf8d69827c602416, 0xb47dd520d37fed64, 0x397dea3cadc9cd56, 0xbbe2b80dea3e0d98,
  0x971c270dc3afb169, 0xeb8a266909afa5b1, 0x9ef47914e75697db, 0xab1aad743af5d4dd, 0x6701c762d3b868c9,
  0x70d7df5b86f65c39, 0x4073241b5e5caad5, 0x6fab39d454aa35d6, 0xbd7d34c9ace576a9, 0xb55a22bcba62552f,
  0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xf9b69e8754e04e14, 0x1e71726ae365118b, 0x7eeacc7903b6868b,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x53e2a759bacf257e,
};

// m8a_swio10_noled_pr_ee_u4
static const uint64_t ur_m8_swio10_noled_pr_ee_u4[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0xa93ba75a3509167d, 0xd69827c602416cad, 0x7ba41a6ffee01cf8, 0xfa8f2b387355ad1c, 0x5721fd47c1b3067a,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0xa3884e75697a94b8, 0x1aad743af3a6ed38, 0x01c762d35ae8c45b,
  0x608fd6e1bd96cbe7, 0xb955a804b3ebfaa3, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xc4aa5f7afa699359,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xbf9b62b5455bfdea, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x004eb967a7233c95,
};

// m8a_swio10_noled_pr_ce
static const uint64_t ur_m8_swio10_noled_pr_ce[] = {
  0x7e6eeeeeef623f3e, 0xda3bb557228a6e25, 0xade833d790c98710, 0xada0b83e3b05e4cc, 0x74e41090a87bb7e6,
  0xb2b6a4eed9158210, 0x33e70e609f180905, 0xffaaf94812b7fb59, 0xbb5f9e005838e4ce, 0x2eb26139dcdae337,
  0x0782fd47c927b960, 0xc580a13d7c8e3956, 0x75e8f9d87c476b1c, 0xee8167aa01ffb33c, 0xcb955a882540f2d6,
  0x9546bac80e64836b, 0x9caed52df5673a8a, 0x4c4aa5f7afa69935, 0xdfd75cf6ab445797, 0x41dd4d8a53c34ef1,
  0xaa8b4c329e8754e0, 0x17f36c56a31dbfde, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d, 0x25138cb25c33d30a,
  0xfdcd0ccb0e9296cb, 0x02dd4797b3759e4a,
};

// m8a_swio10_noled_pr_ce_u4
static const uint64_t ur_m8_swio10_noled_pr_ce_u4[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0xb656d49dd0149339, 0x0e7edd4c13e30120, 0x8beb22520c09ff70, 0xd1079e005ad229eb, 0x3e12fc4361222fb8,
  0xe2ee6d766fa547ea, 0xa3e493dcb19fac99, 0x9ebe471cab03c17e, 0xec3e23b58e62c050, 0xd500ffd99e3af47c,
  0x4412a0796b7740b3, 0x64073241b5e5caad, 0x96fab39d454aa35d, 0xfbd7d34c9ace576a, 0x7b55a22bcba62552,
  0xc529e1a778efebae, 0x194f43aa7020eea6, 0x2b518edfef5545a6, 0x6ae0f365118bf9b6, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xfafa7233c95fb9a1, 0x000000000000dd78,
};

// m8a_swio10_noled_pr_ee_ce
static const uint64_t ur_m8_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0x6d49dd294758dd2b, 0xc344c13e30120b65, 0x9c3a4163fff700e7, 0x8016b49d3e77fd51, 0x4e7736bdc89257e7,
  0xadd2ca76b2b1ef98, 0xf51f06cc1a01ea3c, 0xe1d7d8b4c5315fce, 0x84d7d2d8cb8e1386, 0x1c4273abb754a1d4,
  0xaaf1b1d79d3769c5, 0x1c762d35ae8c45b1, 0x044c8e1bd96cbe70, 0xcaad4b359f5fd51b, 0xa35d64073241b5e5,
  0x576a96fab39d454a, 0x2552fbd7d34c9ace, 0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020,
  0xf9b62b518edfef55, 0x1e71726ae365118b, 0x7eeacc7903f2868b, 0x89c6592e19e98572, 0xe6866587494b6592,
  0x4d339f69c8cf257e, 0x0000000000000001,
};

// m8a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m8_swio10_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e6d3a, 0x1776aafea68ee244, 0xeb4a76c332b60bf3, 0x2a003620dcbb34a6, 0x4e4ef22165b3c90c,
  0x4eedced9b1ed932c, 0xa609f180905b2b6a, 0xa41883ffbe1e7d0f, 0x173b7f9717d51dba, 0xd8488bee3441e780,
  0x539705fa8f84bf10, 0xb736f7ccf17736bf, 0x1a01ea3cadd2ca76, 0xc5315fcef51f06cc, 0xcb8e1386e1d7d8b4,
  0xb754a1d484d7d2d8, 0x9d3769c51c4273ab, 0xae8c45b1aaf1b1d7, 0xd96cbe701c762d35, 0x9f5fd51b044c8e1b,
  0x3241b5e5caad4b35, 0xb39d454aa35d6407, 0xd34c9ace576a96fa, 0xa22bcba62552fbd7, 0xe1a778efebae7b55,
  0x43aa7020eea6c529, 0x8edfef5545a6194f, 0xf365118bf9b62b51, 0xd3e3458df1726ae0, 0xc2a73f53ab31e40c,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x9b9e4afdcd0ccb0e,
  0x00000004fcd1c5e5,
};

// m8a_swio10_noled_hw
static const uint64_t ur_m8_swio10_noled_hw[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab91462312, 0x74b8ee8714718c22, 0x5fd0ef410d72f7e2, 0xd4136d8c48bbb110,
  0x416cada93bb0bd68, 0x871e7e449827c602, 0xc4ef9626a90695ff, 0x18e39560621fd474, 0xf1cc580b7ba6d2a2,
  0x8c11d78b9db7b464, 0xe5caad4ac59fb8e5, 0x4aa35d64073241b5, 0xce576a96fab39d45, 0xa62552fbd7d34c9a,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0xc5fcdb15aa2adfef, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000004712e28a7,
};

// m8a_swio10_noled_ee_hw
static const uint64_t ur_m8_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x8aa2d0564041b410,
  0xb2b6a4eebb257db3, 0x33e35a609f180905, 0xad1c7ba41a6ffe85, 0x067afa8f2b387355, 0x377c5721fd47c1b3,
  0x32e384e1b875f62d, 0x94b8d64d2135f4b6, 0xed38a3884e75697a, 0xc45b1aad743af3a6, 0xcbe701c762d35ae8,
  0xfaa3608fd6e1bd96, 0x36bcb955a804b3eb, 0xa8a9546bac80e648, 0x9359caed52df5673, 0x7974c4aa5f7afa69,
  0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x5118bf9b62b5455b, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d,
  0x000000005bf998a1,
};

// m8a_swio10_noled_ce_hw
static const uint64_t ur_m8_swio10_noled_ce_hw[] = {
  0xe4dddddda2431202, 0xf8eed55e110ddc49, 0x63f420dd1835d83d, 0x79367fafad0ada09, 0x62d41434e19a9bdd,
  0x0482d95b5277599b, 0xff4299fb75304f8c, 0x29eb8beb22520c09, 0x8bee3441e7893909, 0xaffa8f84bf10d848,
  0xfac99e2ee6d7149f, 0x3c17ea3e493dcb19, 0x2c0509ebe471cab0, 0xaf47cec3e23b58e6, 0x740b3d500ffd99e3,
  0x5caad4412a0796b7, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0x62552fbd7d34c9ac, 0xfebae7b55a22bcba,
  0x0eea6c529e1a778e, 0x545a6194f43aa702, 0xbf9b62b518edfef5, 0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000eb36df0417d3c,
};

// m8_swio10_noled_ee_ce_u4_hw       m8a_swio10_noled_ee_ce_hw         m8a_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m8_swio10_noled_ee_ce_hw[] = {
  0x21bbbbbb4486cc7f, 0xc5ddaabfa9a3b891, 0x5d375bb0ccad82fc, 0x8615001b106e5d9a, 0xf627277910b2d9e4,
  0xada93ba9f755faa3, 0xf43e9827c602416c, 0x8edd520c41ff4299, 0xe78939093fcb8bea, 0xbf10d8488bee3441,
  0x6d77546a83fa8f84, 0x94ed6e6def99e2ee, 0x0d983403d4795ba5, 0xb1698a62bf9dea3e, 0xa5b1971c270dc3af,
  0xe7576ea943a909af, 0x63af3a6ed38a3884, 0x5a6b5d188b6355e3, 0x1c37b2d97ce038ec, 0x966b3ebfaa360899,
  0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xf7afa699359caed5, 0xf6ab4457974c4aa5, 0x8a53c34ef1dfd75c,
  0x329e8754e041dd4d, 0x56a31dbfdeaa8b4c, 0x6371e6ca2317f36c, 0x1ef79430a9cfd417, 0x6781fc65f989ffde,
  0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x05f6782fa792bf73, 0x0000000000000014,
};

// m8a_swio10_lednop
static const uint64_t ur_m8_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0482d95b52777312, 0xff3eecfbf9304f8c, 0xfe43be589aa40657, 0x7be38e5581887f51, 0xf40731602dee9900,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x4462fe6da7a1d538, 0x7a615c9f9fd86ed9,
  0x52d964a271964b86, 0x53c95fb9a19961d2, 0x00000001525b96cb,
};

// m8a_swio10_lednop_pr
static const uint64_t ur_m8_swio10_lednop_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0xdb27bab21c6c13c1, 0x66b7858db19423d3, 0x417e63c7f7638f41,
  0xb52774d2c71c5e24, 0x80d304f8c0482d95, 0x845a401effdac99f, 0xac0c9ef51e713be5, 0x02cb2983da011c72,
  0x47cec98a383e7316, 0x6e81500ffd9823af, 0x556a844c0f2cf6ed, 0x1aeb2039920daf2e, 0xbb54b7d59cea2a55,
  0xd2fe9a64d7020272, 0xdaad115e5d312ad5, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x3156ff7aaa2d23b7,
  0xc1e6ca2317f36d84, 0x1db434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343c899e04e34, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0xe4f086cdd6792bf7, 0x0000000000000003,
};

// m8a_swio10_lednop_pr_u4
static const uint64_t ur_m8_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xadddaab914f17128, 0x3b50f50e2448c227, 0x7f43bd05af21932e, 0x1b267e946beec441,
  0x56d49dd5c62454dc, 0x3efe4c13e30120b6, 0xe589aa40657fb593, 0xe5581887f51fe43b, 0x1602dee99007be38,
  0x75e2e76b591f4073, 0x55a959cf6e396304, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0x4bfa69935c0809ca,
  0x6ab4457974c4ab57, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xe6da7a1d5381b1fe, 0xc5c9ab83cd94462f,
  0xd598f2076d0d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0xf26917d9bacf257e, 0x0000000000000001,
};

// m8a_swio10_lednop_pr_ee
static const uint64_t ur_m8_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0x9827c602416cada9, 0x482397fdc039feaf, 0x1e5650e6ab5a38f7, 0xa5fa8f83660cf5f5,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0xbe1cead2ee4d71ac, 0x5ae875e74dd8f546, 0x8ec5a710a31bf635,
  0x1fadc37b2d97ce03, 0x55a805d02cf546c1, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0x4bfa69935c0809ca,
  0x6ab4457974c4ab57, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0xc55bfdeaa8b48edc, 0x079b288c5fcdb610,
  0x7e50d1674f8b9357, 0x861539fa9d598f20, 0x899e2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00004ebc0ad3919e,
};

// m8a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m8_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0xa93ba3d8b54718d4, 0x729827c602416cad, 0xbaa416ebfee01cfc, 0xbd4795c879aad68f, 0x56e97d47c1b3072f,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x46989cead2ebed71, 0x55ae875eba9bb4be, 0x1c762d31f11dad63,
  0x41f5b86f65c39670, 0xcc906d7972ab55c7, 0xace75152a8d75901, 0x26b8101395daa5be, 0xf2e98956ae97f4d3,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x18bf9b6c218ab7fb, 0x58df1726ae0f3651,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000275d341a7233c,
};

// m8a_swio10_lednop_pr_ce
static const uint64_t ur_m8_swio10_lednop_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x6ef4fde97be6e1c4, 0xab682e0ea6f1dc00, 0x44895b64217eedf9,
  0xb2b6a4ee9a58e2d1, 0x33e50e609f180905, 0xffaaf948243ffb59, 0xd35f9e005838e94e, 0x0bac984e7736b868,
  0x81e0bf51c149ee58, 0x62c05dbf2fa38e55, 0x75e8f9d9314707ce, 0x75add02a01ffb33c, 0x7972ab542260796b,
  0x52a8d75901cc906d, 0x1395daa5beace751, 0x56ae97f4d326b810, 0xeb9ed5688af2e989, 0x0b94b5f3a03cdeda,
  0x1db9e8754e042152, 0xd84263b7fbd55169, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x71bb3759e4afdcd0, 0x00000000000002dd,
};

// m8a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m8_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0x656d49dd3b410e5d, 0xe7e2b4c13e30120b, 0xbeb22520df7ff700, 0x1079e005ad24aeb8, 0xe12fc4361222fb8d,
  0x17736bb21d257ea3, 0x1c149ee58cfd64cf, 0xf2fa38e5581e0bf5, 0x9314707ce62c05db, 0xa01ffb33c75e8f9d,
  0x42260796b75add02, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0x4d326b8101395daa, 0x88af2e98956ae97f,
  0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xca2317f36d84263b, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0x6792bf734332c3a4, 0x000000dd748bf4e4,
};

// m8a_swio10_lednop_pr_ee_ce
static const uint64_t ur_m8_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0xda93bad3bed3b2d9, 0x9db9827c602416ca, 0x70e906ed7fdc039f, 0x005ad20cd9dff546, 0x73b9b5d9cba3ff9e,
  0x65d653b5958f7cc2, 0xa8f83660d00f51e5, 0x0ebec5a6298ace1f, 0x26be96c65c709c37, 0xd7c39d5db9c98ea4,
  0x578d8ebce9bb1ea8, 0xe3b169c428c6fd8d, 0x226470decb65f380, 0x2ab52cfa059ea8d8, 0x8d75901cc906d797,
  0x5daa5beace75152a, 0xe97f4d326b810139, 0xed5688af2e98956a, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9,
  0x263b7fbd551691db, 0xd5c6ca2317f36d84, 0xf207e50d163ce2e4, 0x5c33d30ae4fdd598, 0x0e9296cb25138cb2,
  0xd3919e4afdcd0ccb, 0x000000000534c5fb,
};

// m8a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d1a78bc17e6, 0x54006c23b836625d, 0xe817d382cb679218,
  0x4eea0126e7161f06, 0xe609f180905b2b6a, 0xa41003ffbe1e7ff5, 0x2e775bf717d51dba, 0xb09117dc6883cf00,
  0x6467aff51f097e21, 0xdcdbdf33c5dcdae1, 0x6807a8f2b2eb29da, 0x14c5670fd47c1b30, 0x2e384e1b875f62d3,
  0xdce4c752135f4b63, 0x74dd8f546be1ceae, 0x14637ec6abc6c75e, 0x65b2f9c071d8b4e2, 0x02cf546c1132386f,
  0x64836bcb955a967d, 0x673a8a9546bac80e, 0x35c0809caed52df5, 0x974c4ab574bfa699, 0xe6f6d75cf6ab4457,
  0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x8bf9b6c2131dbfde, 0x8df1726ae0f36511, 0x53ab31e40cd3e345,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x04fc79b7e59b9e4a,
};

// m8a_swio10_lednop_hw
static const uint64_t ur_m8_swio10_lednop_hw[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0482d95b52777312, 0xff0e3cfbf9304f8c, 0xff21df2c4d52032b, 0x3df1c72ac0c43fa8, 0xfa0398b016f74c80,
  0xcb1823af173b5ac8, 0xb5e5caad4ace7b71, 0x454aa35d64073241, 0x404e576a96fab39d, 0x255aba5fd34c9ae0,
  0xf5ae7b55a22bcba6, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0xa2317f36d3d0ea9c, 0x3d30ae4fcfec376c,
  0x296cb25138cb25c3, 0x29e4afdcd0ccb0e9, 0x00000000011c56ea,
};

// m8a_swio10_lednop_ee_hw
static const uint64_t ur_m8_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x847ec8833106d043,
  0x95b52776c36cad49, 0x3fd5f304f8c0482d, 0xd1c7ba411cbfe853, 0x67afa8f2b287355a, 0x77c5652fd47c1b30,
  0x2e384e1b875f62d3, 0x6b8d64d2135f4b63, 0xc7aa35f0e7569772, 0xdfb1aad743af3a6e, 0xbe701c762d388518,
  0xaa3608fd6e1bd96c, 0xb5e5caad402e8167, 0x454aa35d64073241, 0x404e576a96fab39d, 0x255aba5fd34c9ae0,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x6db0862adfef5545, 0x82ec6e3cd94462fe,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x016ffe6985f4f257,
};

// m8a_swio10_lednop_ce_hw
static const uint64_t ur_m8_swio10_lednop_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2eeedb75ec1e, 0x26cff5f5a1bb2b6f, 0x6d3ad41685ad1baf,
  0x482d95b52774a70f, 0xf4299f8ad304f8c0, 0xaeb8beb22520df7f, 0xbee3441e78939094, 0x7fa8f84bf10d8488,
  0x5933c5dcdafd8378, 0x82fd470527b9633f, 0x0176fcbe8e395607, 0xa3e764c51c1f398b, 0xb740a807feccf1d7,
  0xcaad508981e5add6, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0xba5fd34c9ae0404e, 0x7b55a22bcba6255a,
  0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x098edfef5545a476, 0xdc79b288c5fcdb61, 0xbde50c2a73f505d8,
  0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x27e10be9e4afdcd0,
  0x000000000000759b,
};

// m8_swio10_lednop_ee_ce_u4_hw      m8a_swio10_lednop_ee_ce_hw        m8a_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_swio10_lednop_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x275d96e8d3c5e0bf, 0x21854006c23b8366, 0xb06e817d382cb679,
  0x656d49dd2af44fd0, 0xcffebcc13e30120b, 0x5476ea90400ffa14, 0x1e789390956fdc5f, 0x4bf10d8488bee344,
  0xcdae6dd8523fa8f8, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b2e, 0xf62d314c5670fd47, 0xf4b632e384e1b875,
  0x1ceaedce4c752135, 0x6c75e74dd8f546be, 0x8b4e214637ec6abc, 0x2386f65b2f9c071d, 0xa967d02cf546c113,
  0xac80e64836bcb955, 0x52df5673a8a9546b, 0xfa69935c0809caed, 0xb4457974c4ab574b, 0xf9d01e6f6d75cf6a,
  0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x365118bf9b6c2131, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xe17d3c95fb9a1996, 0x0000000000a021ea,
};

// m8_swio10_dual_pr                 m8a_swio10_dual                   m8a_swio10_dual_pr
static const uint64_t ur_m8_swio10_dual[] = {
  0xc8eeeeeeef3e1000, 0xd9b5afd86babed5a, 0xab6356cbba670ccd, 0x29b0b8ced00a6665, 0x6d267da765bb646a,
  0x270a7756abbe8bf6, 0x9304f8c0482d95b5, 0xf695c459001290a4, 0x7c40c2864f95d5ac, 0xa2fe6535aa774fb9,
  0x1e3dec1fc382fb98, 0xa11c90ab03eea6f5, 0x00370f815fe63408, 0x2195dc5eef8bbdfe, 0x135ad150865a1192,
  0xb9cbdb9c3ffa039e, 0xeffdac9305855998, 0x4709e77cb645a40b, 0xf722471cab03b5bd, 0x1ad7398b01758a65,
  0xf6608ebc06a769b9, 0x3cb3db8cb7b5403f, 0xf33e8e665667d510, 0x073241b5e5caad67, 0xfab39d454aa35d64,
  0x4c9ae0404e576a96, 0x2bcba6255aba5fd3, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5,
  0x4462fe6db0862adf, 0xa2c79c5c9ab83cd9, 0xe4fdd598f20669f1, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x003104fafe59b9e4,
};

// m8a_swio10_dual_pr_u4
static const uint64_t ur_m8_swio10_dual_pr_u4[] = {
  0x0bdddddda24343ee, 0x036b5fb0d70ddab5, 0xf47b6ed3323e56d9, 0x0b1a785545db128c, 0x4369e014d38a76ed,
  0xb6a4b5377577e448, 0x747e609f180905b2, 0x6b3da571164004a4, 0xee5f1030a193e575, 0xb98c7fe65d849dd3,
  0x6f51e44d86df3807, 0x408a11c90ab03d2a, 0xf4f80370f815fe63, 0xd64432bb8bddf177, 0x73c2627a2a10cb42,
  0x3317397b774bff40, 0x81fcffb80660b0ab, 0x3dea382877cb08b4, 0x5304fc9238e55819, 0x86fa3114e62c0596,
  0xd6e39630475e8f9d, 0x9fccfa3999599584, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0x4d326b8101395daa,
  0x88af2e98956ae97f, 0xa70173a03cb9ed56, 0x10b4ac22617a96bc, 0xda7a1d538117ee28, 0x6f86e3cd94462fe6,
  0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x14939f056c4f9e4a,
};

// m8a_swio10_dual_pr_ee
static const uint64_t ur_m8_swio10_dual_pr_ee[] = {
  0xa56eeeee87ad0c86, 0xb36b5fb02f4d7d58, 0xdc3edd9c482b2723, 0x4e12361900dce4fb, 0xdd711d7f4a34ca51,
  0xdddd8dd97d7e62ec, 0xc602416cada93c95, 0x4590012902a89827, 0x2864f95d5acf695c, 0x97612774fb97c40c,
  0x604e8e096a60b5f9, 0x0ab03d3737a8e35b, 0xf815fe63408a11c9, 0x17bbe2ef04480370, 0xa8432d05f6886577,
  0x868ffa039e1307b8, 0x3305855998b9cbdb, 0x5a3a954812d7fdc0, 0x1edff51e572ba6ab, 0xddf15e56f51f06cc,
  0xcb8e1386e1d7d8b4, 0x6b813f3484d7d2d8, 0xb6fa3400e7569738, 0xbec6ab5d0ebd8cdd, 0xece038ec5a60a237,
  0xa8d823f5b86f65de, 0xf47332b300b7bb86, 0x920daf2e556b3f99, 0x9cea2a551aeb2039, 0xd7020272bb54b7d5,
  0x5d312ad5d2fe9a64, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x17f36d843156ff7a,
  0x68b3a7c371e6ca23, 0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39effe09a1e44cf, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x2b2204b627cf257e,
};

// m8a_swio10_dual_pr_ee_u4
static const uint64_t ur_m8_swio10_dual_pr_ee_u4[] = {
  0x333dddddda2432db, 0x226d6bf605e55fab, 0x5a9afba769a75c11, 0x6702d6094ad4fb2d, 0x4a3f73875fd28d36,
  0xfa6ee3822ac07c67, 0xc13e30120b656d49, 0x4ae22c8009481544, 0x20614327caead67b, 0xafccbb093ba7dcbe,
  0xd37b08ac701ad313, 0x8e485581e569bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbee440, 0x9122a10cb423da21,
  0x97b70d1ff4073c26, 0xfb80660b0ab33173, 0xcd56b4663e9025af, 0x06cc1f51ea3caca1, 0xd8b4ddf15ba5f51f,
  0xd2d8cb8e1386e1d7, 0x97a94b80e33484d7, 0xa69da5f235f0e756, 0xc4637ec6ab5d0ebc, 0xb2dc99c071d8b4c7,
  0x99959ae3a0fadc37, 0x6d7972ab59fccfa3, 0x5152a8d75901cc90, 0x101395daa5beace7, 0x8956ae97f4d326b8,
  0xfd6b9ed5688af2e9, 0x5ea58594d8b3a03c, 0x0363fc502169ab9d, 0x288c5fcdb4f43aa7, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xd89f3c95fb9a1996, 0x00000000005642ce,
};

// m8a_swio10_dual_pr_ce
static const uint64_t ur_m8_swio10_dual_pr_ce[] = {
  0x91ddddddde7cbd5b, 0x036b5fb0d72d5ab7, 0x7eefdee4e8376442, 0xc69cbb39df6ac315, 0x7aed9f0f6ddf234c,
  0x9c5eeeeefdc05ad0, 0x4c13e30120b656d4, 0xb4ae22c800948000, 0xe20614327caead67, 0xd7f329ad53ba7dcb,
  0xdc9ec3e71c243cc5, 0x239215606bee6f51, 0x06e1f02bfcc68114, 0x657717bbe2efc6e0, 0x96bc542196864888,
  0xe5ede577fd01cf09, 0xfed64982c2accc5c, 0xba53bfeabe52090f, 0x5d36e76ff3c00b9d, 0xf72c05d64c273b9b,
  0xc72ac0f05fa8e0a4, 0x83e731602edf97d1, 0xb19e3af47cec98a3, 0xe8e665663adef71c, 0x241b5e5caad67f33,
  0x39d454aa35d64073, 0xae0404e576a96fab, 0xba6255aba5fd34c9, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f,
  0x545a476e7a1d5381, 0x5fcdb61098edfef5, 0xf38b9357079b288c, 0xbab31e40cd3e3458, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x9ebc6fcb373c95fb, 0x0000000000000003,
};

// m8a_swio10_dual_pr_ce_u4
static const uint64_t ur_m8_swio10_dual_pr_ce_u4[] = {
  0xd02f777776890c86, 0x389b5afd8b8d57ea, 0x56d77eea0a7ad06e, 0xd89e4a539d6f7ecb, 0xf3142c8053ef7605,
  0xa4ae3777763765a0, 0xaa609f180905b2b6, 0x7b4ae22c800948f5, 0xbe20614327caead6, 0x1c1fccbb093ba7dc,
  0x47b75b0d9c708e53, 0x508e485581e049bd, 0x801b87c0aff31a04, 0x2195dc5eef8bbd9c, 0x4c13e2a10cb403da,
  0xce5edcc7ffe80e78, 0xbfee01982c2accc5, 0x515ae2fac7ba411c, 0x22fb8d1079e24e42, 0x547ea3e12fc43612,
  0xc4fccf17736b9256, 0x3e93d473d67b9633, 0x1602bf9d4471cab0, 0x780d4ed37235ae73, 0x196f6a807feccf1d,
  0x332b33ea881e5add, 0xdaf2e556b3f99f47, 0xa2a551aeb2039920, 0x20272bb54b7d59ce, 0x12ad5d2fe9a64d70,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x6db084c76ff7aaa2, 0xc6f86e3cd94462fe,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x000d248156c4f9e4,
};

// m8a_swio10_dual_pr_ee_ce
static const uint64_t ur_m8_swio10_dual_pr_ee_ce[] = {
  0xbed6eeeeeea1a5fb, 0x4e36b5fb71fc89d5, 0xf7337bb62f1a8053, 0x388a727270b26d13, 0xae3f2bbde9d33fb5,
  0xee9646baa8c4ab2f, 0xe30120b656d49b12, 0x8b2002520e49cc13, 0x50c9f2bab59ed2b8, 0x2ec24ee9f72f8818,
  0xc34d1c1fe4d883f3, 0x2ac0ec7e6f51c346, 0xe057f98d02284724, 0x5eef8bbfce400dc3, 0xa10cb4182a2195dc,
  0xf5ffe80e784d21e2, 0x982c2accc5ce5edf, 0x51a9ea40ff3fee01, 0xfcf127212d3477fd, 0x26139dcdaea49cdf,
  0x8f2bc0929dacac5f, 0xa7bd47c1b307227a, 0xe1b875f62d314c56, 0x752135f4b632e384, 0xdf46801ceaedc70c,
  0xb1aaf1b1d7b19bb6, 0x380e3b1698288def, 0x1b044c8e1bd977bb, 0x8e6656659ef770d5, 0x41b5e5caad67f33e,
  0x9d454aa35d640732, 0xe0404e576a96fab3, 0xa6255aba5fd34c9a, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3,
  0x45a476e7a1d53810, 0xfcdb61098edfef55, 0x8b1e70dc79b288c5, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00098269cb627cf2,
};

// m8a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m8_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0x5afdaa1f5ef56ebb, 0xc9aa3f45e933ed1b, 0xfe3fdf5f0f8787b2, 0x0668cfaecb10f62a,
  0xaea1012f2757bc89, 0xd49b0cee2fac16d1, 0xf5cc13e30120b656, 0x3da571164004a458, 0x5f1030a193e5756b,
  0xf0ff32bf689dd3ee, 0xd0fb618dc70ec19a, 0x2392156078826f51, 0x06e1f02bfcc68114, 0x95dc5eef8bbee4a0,
  0xbee2a10cb4239221, 0x5edd90ffe80e784d, 0xf7c3982c2accc5ce, 0xc5f54635a90760ff, 0x3441e789380e6375,
  0x8f84bf10d8488bee, 0xc5dcdaf7251d7dfa, 0xbc0929dadcdaf933, 0xd47c1b307227a8f2, 0x875f62d314c56a7b,
  0x135f4b632e384e1b, 0x6801ceaedc70c752, 0xaf1b1d7b19bb6df4, 0xe3b1698288defb1a, 0x44c8e1bd977bb380,
  0x656659ef770d51b0, 0x5e5caad67f33e8e6, 0x54aa35d64073241b, 0x04e576a96fab39d4, 0x55aba5fd34c9ae04,
  0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xb61098edfef5545a, 0x9357079b288c5fcd,
  0xdfc1bf411a2c6f8b, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x417176a792bf7343, 0x0000000000020013,
};

// m8a_swio10_dual_hw
static const uint64_t ur_m8_swio10_dual_hw[] = {
  0x8eeeeeed121b9a7c, 0x9b5afd86babed5ac, 0x4b56ecbba670ccdd, 0x45361719da014ccf, 0xeba4cfb4ecb76c8d,
  0x6a4e14ee42119cdb, 0x492609f180905b2b, 0x59ed2b88b2002521, 0x72f881850c9f2bab, 0xcc517f32ec24ee9f,
  0x7a8f1ef60fe1c17d, 0x04508e485581f753, 0xff001b87c0aff31a, 0xc910caee2f77c5de, 0xcf09ad68a8432d08,
  0xcc5ce5edce1ffd01, 0x17dffbf3a982c2ac, 0x7a8e13cef96c8b48, 0xcbee448e3956076b, 0x7235ae731602eb14,
  0x7fecc11d780d4ed3, 0x207967b7196f6a80, 0xcfe67d1cccaccfaa, 0xc80e64836bcb955a, 0x2df5673a8a9546ba,
  0xa69935c0809caed5, 0x4457974c4ab574bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0xb288c5fcdb610c55, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x0000000063754056,
};

// m8a_swio10_dual_ee_hw
static const uint64_t ur_m8_swio10_dual_ee_hw[] = {
  0x295bbbbbb4486f97, 0xecdad7ec0bd35f56, 0xf70fb767120ac9c8, 0x53848d864037393e, 0x375c475fd28d3294,
  0xc95dcf04675aa75b, 0x827c602416cada93, 0x95c4590012902a89, 0x40c2864f95d5acf6, 0x5f997612774fb97c,
  0x35b604e8e096a60b, 0x1c90ab03d3737a8e, 0x370f815fe63408a1, 0x57717bbe2ef04480, 0x7b8a8432d05f6886,
  0xbdb868ffa039e130, 0x7e75305855998b9c, 0xd56b4752a9025aff, 0xd983dbfea3cae574, 0x169bbe2bcadea3e0,
  0x5b1971c270dc3afb, 0xe70d7027e6909afa, 0x9bb6df46801cead2, 0x46f7d8d56ba1d7b1, 0xbbdd9c071d8b4c14,
  0x70d51b047eb70dec, 0xf33e8e66566016f7, 0x073241b5e5caad67, 0xfab39d454aa35d64, 0x4c9ae0404e576a96,
  0x2bcba6255aba5fd3, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x4462fe6db0862adf,
  0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0xf4f257ee68665874, 0x0000000057690205,
};

// m8a_swio10_dual_ce_hw
static const uint64_t ur_m8_swio10_dual_ce_hw[] = {
  0x0bdddddda2436f02, 0x26d6bf62e355fab4, 0xb5dfba829eb41b8e, 0x279294e75bdfb2d5, 0x9b0b2014fbdd8176,
  0x92b8ddcfe1f35f45, 0xa9827c602416cada, 0xed2b88b2002523d6, 0xf881850c9f2bab59, 0x707f32ec24ee9f72,
  0x1edd6c3671c2394c, 0x42392156078126f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef672, 0x304f8a8432d00f68,
  0x397b731fffa039e1, 0xfefcea60b0ab3317, 0x8ad717d63dd208e5, 0x17dc6883cf127212, 0xcff51f097e21b091,
  0x27e678bb9b5d9f3a, 0xf49ea39eb3dcb19e, 0xb015fcea238e5581, 0xc06a769b91ad7398, 0xcb7b5403ff6678eb,
  0x99599f5440f2d6e8, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x01395daa5beace75, 0x956ae97f4d326b81,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d84263b7fbd5516, 0x176371e6ca2317f3,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x026eb0282fa792bf,
};

// m8a_swio10_dual_ee_ce_hw
static const uint64_t ur_m8_swio10_dual_ee_ce_hw[] = {
  0x7daddddddd435032, 0x9c6d6bf6e3f913ab, 0xee66f76c5e3500a6, 0x7114e4e4e164da27, 0x5c7e577bd3a67f6a,
  0x25dd57b68fef765f, 0x27c602416cada936, 0x71164004a41c9398, 0x30a193e5756b3da5, 0xe65d849dd3ee5f10,
  0x8d869a383fc9b107, 0x485581d8fcdea386, 0x87c0aff31a04508e, 0xb8bddf177f9c801b, 0xc54219683054432b,
  0xbfebffd01cf09a43, 0x75305855998b9cbd, 0xf546a7a903fcff7e, 0x2bf3c49c84b4d1df, 0xbe4c273b9b5ee449,
  0xf51e5781253b5958, 0xad4f7a8f83660e44, 0x09c370ebec5a6298, 0x18ea426be96c65c7, 0x6dbe8d0039d5db8e,
  0xdf6355e363af6337, 0x76701c762d30511b, 0xaa3608991c37b2ef, 0x7d1cccaccb3deee1, 0x64836bcb955acfe6,
  0x673a8a9546bac80e, 0x35c0809caed52df5, 0x974c4ab574bfa699, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01,
  0xaa8b48edcf43aa70, 0x8bf9b6c2131dbfde, 0x727e7f61b8f36511, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0001134f4e05f4f2,
};

// m8a_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m8_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1bf5b, 0xb5afdaa1f5ef56eb, 0x87baa3f45e933ed1, 0x62afe3fdf5f0fb47, 0xc890668cfaecb10f,
  0x7ac03b202ef2757b, 0x905b2b6a4d867733, 0x02522c7ae609f180, 0xf2bab59ed2b88b20, 0x4ee9f72f881850c9,
  0x0ec19af0ff32c835, 0x826f51d0fb618dc7, 0xc681142392156078, 0xbee4a006e1f02bfc, 0x23922195dc5eef8b,
  0x0e784dbee2a10cb4, 0xccc5ce5edd90ffe8, 0x1d83ffd46e982c2a, 0x258dd717d518d6a4, 0x22fb8d1079e2c5f4,
  0xddfea3e12fc43612, 0xbe4cf17736b8c2ee, 0xea3caf024a76b736, 0x5a9ef51f06cc1c89, 0x1386e1d7d8b4c531,
  0x31d484d7d2d8cb8e, 0xdb7d1a0073abb71c, 0xbec6abc6c75ec66e, 0xece038ec5a60a237, 0x546c1132386f65de,
  0xfa399959967bddc3, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x6b8101395daa5bea, 0x2e98956ae97f4d32,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0x17f36d84263b7fbd, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000ebadab37a02e7,
};

// m8_swio12_noled                   m8a_swio11_noled                  m8a_swio12_noled
static const uint64_t ur_m8_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0xcada93ba0bd04d64, 0x67fba9827c602416, 0xf2dd05203d7ff9f7, 0x72ac0ebffa8f109d, 0x8b016f74c7afc91c,
  0x75e2e7683e8c9a39, 0x55a9584f6e396304, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2, 0x9f9fd86ed94462fe,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x01520e96cb53c95f,
};

// m8_swio12_noled_pr                m8a_swio11_noled_pr               m8a_swio12_noled_pr
static const uint64_t ur_m8_swio11_noled_pr[] = {
  0x0b777743d7d8ad4e, 0xdaab91480225713a, 0x77afd8d05b04f05d, 0x0e2266c4767b53dc, 0xa875a6edc4e82cd6,
  0x774c4dc12b68cf31, 0x304f8c0482d95b52, 0xa41b7ffdac99f31f, 0xc9af51c143be5b7b, 0x6536df97d1c72ac0,
  0xd96ba3114e62c059, 0x2a01ffb30475e8f9, 0xb3ee81e59edf484f, 0xc80e64836bcb955a, 0xdf57673a8a9546ba,
  0x7afa699359caed52, 0xdaad115e5d312b63, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xeb7156ff7aaa2d30,
  0xab83cd94462fe6d9, 0x903b6868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e44cf1738cbf313, 0x985727e39effe09a,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000003e4d7659ba,
};

// m8_swio12_noled_pr_u4             m8a_swio11_noled_pr_u4            m8a_swio12_noled_pr_u4
static const uint64_t ur_m8_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8ad4e, 0xddaab914f4b12d48, 0x98e9a0dc48c227ad, 0x71c7c7fc5f07f1fb, 0xc99ecfddd482fe87,
  0x9dd3137049046636, 0x4c13e30120b656d4, 0x0a407affb5933fdd, 0x1d7ff51e213be5ba, 0xdee98f5f9238e558,
  0xced07d1934731602, 0xb09edc72c608ebc5, 0x01cc906d7972ab52, 0xeaece75152a8d759, 0x5f4d326b395daa5b,
  0x55a22bcba6256c6f, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d,
  0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0x3b3759e4afdcd0cc, 0x000000000003e4cb,
};

// m8_swio12_noled_pr_ee             m8a_swio11_noled_pr_ee            m8a_swio12_noled_pr_ee
static const uint64_t ur_m8_swio11_noled_pr_ee[] = {
  0x7b793777777b1762, 0xb4eed55f85d68891, 0x69ed0bddb6ebfc49, 0xdbc8a671fd53763c, 0x67ef17b2020da08b,
  0xda93bb4cd19fd347, 0x8d69827c602416ca, 0xf6fd20d37fed64cf, 0xc7d4795b939aad68, 0xe2b80dea3e0d9839,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0xf47914e75697dbeb, 0x1aad743af5d4dd9e, 0x01c762d3b868c9ab,
  0xd7df5b86f65c3967, 0x73241b5e5caad570, 0xbb39d454aa35d640, 0xd34c9ace576a96fa, 0x688af2e9895b1bd7,
  0x3c314deb3bcb9ed5, 0x8522810b4b5fe235, 0x62fe6da7a1d53813, 0xa2c79c5c9ab8d944, 0x5c9fbab31e40eda1,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0014f8a9d66eb3c9,
};

// m8_swio12_noled_pr_ee_u4          m8a_swio11_noled_pr_ee_u4         m8a_swio12_noled_pr_ee_u4
static const uint64_t ur_m8_swio11_noled_pr_ee_u4[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0x527755f33e83658a, 0x83304f8c0482d95b, 0x1f483677fdc039f3, 0xf51e565d66ab5a33, 0xace1fa8f83660fa8,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x47f21cead2e51571, 0x355ae875e74dd900, 0x01c762d37bd1ef76,
  0x608fd6e1bd96cbe7, 0x2e556a0113dcf2a3, 0x551aeb2039920daf, 0x2bb54b7d5d9cea2a, 0xc4ad8debe9a64d67,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xbf9b67adc55bfdea, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x0275c217a7233c95,
};

// m8_swio12_noled_pr_ce             m8a_swio11_noled_pr_ce            m8a_swio12_noled_pr_ce
static const uint64_t ur_m8_swio11_noled_pr_ce[] = {
  0xad5b777777b15a91, 0xa3bb55722985448d, 0x9ee2fda13778710d, 0xda08c9bd3b1fb6c1, 0xbb64168f1fba6d6a,
  0x56d49dd68bd3aa2c, 0x7cbacc13e30120b6, 0xf59ba907ceff6b26, 0xa3f3c00b0712b1df, 0x759309cee6d7ff81,
  0x359fea3af93dcb01, 0x1602c8937471cab0, 0xaf47cecb5d188a73, 0xba4279500ffd99e3, 0x972ab567dd03cb5b,
  0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x6256c6f5f4d326b3, 0xfebae7b55a22bcba, 0x0eea6c529e1a778e,
  0x545a6194f43aa702, 0xbf9b67ad98edfef5, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857,
  0xee6866587494b659, 0x16ea70a59bacf257,
};

// m8_swio12_noled_pr_ce_u4          m8a_swio11_noled_pr_ce_u4         m8a_swio12_noled_pr_ce_u4
static const uint64_t ur_m8_swio11_noled_pr_ce_u4[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0x6d49dd6c473960a7, 0xf4dcc13e30120b65, 0xbdd520cadff700e7, 0x79e005ad2604b8be, 0x2fc4361222fb8d10,
  0x736bf59b21fea3e1, 0x7c9ee58cfd64cf17, 0xba38e5581acff51d, 0xae8c45398b016449, 0x07feccf1d7a3e765,
  0xee81e5addd213ca8, 0x0e64836bcb955ab3, 0x57673a8a9546bac8, 0xfa699359caed52df, 0xad115e5d312b637a,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0xcc76ff7aaa2d30ca, 0x079b288c5fcdb3d6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xd3919e4afdcd0ccb, 0x0000000006ebdd5b,
};

// m8_swio12_noled_pr_ee_ce          m8a_swio11_noled_pr_ee_ce         m8a_swio12_noled_pr_ee_ce
static const uint64_t ur_m8_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0x7304f8c0482d95b5, 0xd2019bffb8073e9b, 0xb5a431f3bfea8cba, 0xb9b5e9299cbf3c00,
  0x1e53b5958f7cc273, 0xf83660f4af51e572, 0xbec5a6298add2fa8, 0xbe96c65c709c370e, 0x439d5db8a28ea426,
  0x8d8ebce9bb2008fe, 0xd8b4def47bdd8d57, 0x32386f65b2f9c071, 0xad4b327b9e546c11, 0x5d64073241b5e5ca,
  0xa96fabb39d454aa3, 0xb1bd7d34c9ace576, 0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba,
  0xd9eb663b7fbd5516, 0xc5c9ab8d94462fe6, 0xab31e40fca1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0xd17da7233c95fb9a, 0x0000000000000534,
};

// m8_swio12_noled_pr_ee_ce_u4       m8a_swio11_noled_pr_ee_ce_u4      m8a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m8_swio11_noled_pr_ee_ce_u4[] = {
  0x856eeeed173e306a, 0xddaabfa9c4e892d1, 0xd295ad2c1982fcc5, 0x0015bb831c57194e, 0xc8f250b2d9eb4615,
  0xed57e4c3ac84302c, 0x09f180905b2b6a4e, 0x15bfffdf0f3e2926, 0x776b7717d51e9ba4, 0x9117dc6883cf002e,
  0x8593f51f097e21b0, 0xdbdf33c5dcdaeedd, 0x57a8f2b90f29dadc, 0xc56e97d47c1b307a, 0x384e1b875f62d314,
  0x514752135f4b632e, 0xdd90047f21ceaedc, 0x3deec6abc6c75e74, 0xd97ce038ec5a6f7a, 0xcf2a3608991c37b2,
  0x20daf2e556a5993d, 0xcea2a551aeb20399, 0x64d672bb54b7d5d9, 0x57974c4ad8debe9a, 0x4ef1dfd75cf6ab44,
  0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xca2317f36cf5b31d, 0xc68b1be2e4d5c1e6, 0x4e7ea75663c819a7,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000009f84e2fcb37,
};

// m8_swio12_noled_hw                m8a_swio11_noled_hw               m8a_swio12_noled_hw
static const uint64_t ur_m8_swio11_noled_hw[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0xcada93ba0bd04d64, 0xe7fba9827c602416, 0xf96e82901ebff871, 0x3956075ffd47884e, 0xc580b7ba63d7e48e,
  0x3af173b41f464d1c, 0xaad4ac27b71cb182, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d34c9ace57,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36cf5b8ab7fbd551, 0x4fcfec376ca2317f,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x00011c43aa29e4af,
};

// m8_swio12_noled_ee_hw             m8a_swio11_noled_ee_hw            m8a_swio12_noled_ee_hw
static const uint64_t ur_m8_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0x2b6a4eebd69c5bf6, 0x3e706609f180905b, 0xd198fa41b3bfe853, 0x7d47a8f2b2eb355a, 0x77c5670fd47c1b30,
  0x2e384e1b875f62d3, 0xab8d64d2135f4b63, 0xc8023f90e7569728, 0x7bb1aad743af3a6e, 0x5f380e3b169bde8f,
  0x951b047eb70decb6, 0x6d7972ab50089ee7, 0x5152a8d75901cc90, 0x6b395daa5beaece7, 0xcba6256c6f5f4d32,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x88c5fcdb3d6e2adf, 0x2a73f505d8dc79b2,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9,
  0x00000002dfef820b,
};

// m8_swio12_noled_ce_hw             m8a_swio11_noled_ce_hw            m8a_swio12_noled_ce_hw
static const uint64_t ur_m8_swio11_noled_ce_hw[] = {
  0x6cfddddda2432493, 0x776aaf0887ee2542, 0x6a2ee933e3ec1efc, 0xcff5e35c19b20d4f, 0x3b542da5e15bb426,
  0x2d95b527743720ad, 0x299fd37304f8c048, 0xb8bebdd520cadff4, 0xe3441e7893909604, 0xa8f84bf10d8488be,
  0x33c5dcdaf8ddd83f, 0xfd475f27b9633f59, 0x59126e8e395606b3, 0xf9d96ba3114e62c0, 0x4f2a01ffb33c75e8,
  0x56acfba0796b7748, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xd8debe9a64d672bb, 0x5cf6ab4457974c4a,
  0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0x6cf5b31dbfdeaa8b, 0x176371e6ca2317f3, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xd66cc1102fa792bf,
  0x0000000000000001,
};

/*
 * m8_swio11_noled_ee_ce_u4_hw       m8_swio12_noled_ee_ce_hw          m8_swio12_noled_ee_ce_u4_hw
 * m8a_swio11_noled_ee_ce_hw         m8a_swio11_noled_ee_ce_u4_hw      m8a_swio12_noled_ee_ce_hw
 * m8a_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8_swio11_noled_ee_ce_hw[] = {
  0x30addddda243304a, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xb52776c5d47f500c, 0x149304f8c0482d95, 0xe9ba415bfff4299f, 0xe24e4256b7717d51, 0xc4361222fb8d1079,
  0x5c0006ddfea3e12f, 0x3b5b9b7be678bb9b, 0x660f4af51e5721e5, 0x5a6298add2fa8f83, 0x6c65c709c370ebec,
  0xd5db8a28ea426be9, 0xebce9bb2008fe439, 0x4def47bdd8d578d8, 0x86f65b2f9c071d8b, 0xb327b9e546c11323,
  0x4073241b5e5caad4, 0xfabb39d454aa35d6, 0xd7d34c9ace576a96, 0xd5688af2e9895b1b, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0xb663b7fbd5516986, 0x6e3cd94462fe6d9e, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x826b05f4f257ee68, 0x0000000000000280,
};

// m8_swio12_lednop                  m8a_swio11_lednop                 m8a_swio12_lednop
static const uint64_t ur_m8_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x20b656d49dd85eb4, 0x9f767e034c13e301, 0x43be5ba0a401efff, 0x638e5581d7ff51f2, 0x8731602dee9b4a4c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x5e97f4d326b81013,
  0xcf6ab4457974c4ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x17f36d3d0ea9c0a2, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000a9170b65a9e,
};

// m8_swio12_lednop_pr               m8a_swio11_lednop_pr              m8a_swio12_lednop_pr
static const uint64_t ur_m8_swio11_lednop_pr[] = {
  0x05bbbbba83d8bf82, 0xdaab914f1f12b89d, 0x4dedf987db04f05d, 0xc1c5001332f764f5, 0xe17bafddb89d059a,
  0x3bab8c489bb83763, 0x9827c602416cada9, 0xd208f7fed64cfafb, 0x64d7a8e801df2dbd, 0x594d1ef4a8e39560,
  0x7688518df398b016, 0x8a807fecc11d7a3e, 0x57d6e07967b622f4, 0x5901cc906d7972ab, 0x5beaece75152a8d7,
  0x4d326b8101395daa, 0x4457974c4ae5e97f, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0x365118bf9b632455, 0xa1a2cb579726ae0f, 0x2a73f53ab31e40ed, 0x9a1e44cf0271a50c, 0x64b867a615c9f80f,
  0x9961d252d9f02719, 0x40966eb3c95fb9a1, 0x0000000000000f93,
};

// m8_swio12_lednop_pr_u4            m8a_swio11_lednop_pr_u4           m8a_swio12_lednop_pr_u4
static const uint64_t ur_m8_swio11_lednop_pr_u4[] = {
  0x2ffbbbbb45d8b562, 0xeed55c8a56912d48, 0xf1fb87c6d06113d6, 0x43b8e3da1377d43d, 0x1db6338feeea417f,
  0xb6a4eefd3837855c, 0xf01a609f180905b2, 0xb7414803dffb5933, 0xab03affea3e4877c, 0xc05bdd369498c71c,
  0xbc5cec22a3e90e62, 0x6a5660bdc72c608e, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a, 0xe9a64d7020272bb5,
  0x688af2e9895cbd2f, 0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xda7a1d538145f450, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x34d059bacf257ee6, 0x00000000000000f9,
};

// m8_swio12_lednop_pr_ee            m8a_swio11_lednop_pr_ee           m8a_swio12_lednop_pr_ee
static const uint64_t ur_m8_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0x609f180905b2b6a4, 0x900d6ffb8073e96a, 0x3cad82cd56b4663e, 0x43f51f06cc1f51ea,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x6e39d5a5d2b2e359, 0xb5d0ebce9bb7508e, 0x8ec5a7f2238cac6a,
  0x1fadc37b2d97ce03, 0xaad402e909e546c1, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5fd34c9ae0404e57,
  0xaad115e5d312b97a, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x83cd94462fe6d8c9,
  0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x44cf1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000275f18e9c8cf,
};

// m8_swio12_lednop_pr_ee_u4         m8a_swio11_lednop_pr_ee_u4        m8a_swio12_lednop_pr_ee_u4
static const uint64_t ur_m8_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x9827c602416cada9, 0xa41a6ffee01cf8d6, 0x8f2b387355ad1edf, 0x21fd47c1b30738fa,
  0xe1b875f62d377c57, 0xcd2135f4b632e384, 0x109cead2f5297144, 0xd743af5d4dda7147, 0x762d35ae8c45b1aa,
  0xf5b86f65c396701c, 0x906d7972ab55c749, 0xe75152a8d75901cc, 0x8101395daa5beaec, 0x4c4ae5e97f4d326b,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xbf9b632455bfdeaa, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x004eb967a7233c95,
};

// m8_swio12_lednop_pr_ce            m8a_swio11_lednop_pr_ce           m8a_swio12_lednop_pr_ce
static const uint64_t ur_m8_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8bf82, 0xd1ddaab914412246, 0xdec33df169143886, 0x6d0464f0a7a65c4f, 0x1b0666c02fdd36b5,
  0x56d49dd5c62448fc, 0x7d82cc13e30120b6, 0xf59ba901c3ff6b26, 0x6ff3c00b072439df, 0xd64c273b9b5d36e7,
  0xacff51e5f4f72c05, 0xb014ca9c638e5581, 0x7a3e7688518df398, 0x22f48a807feccf1d, 0x5caad5f5b81e5adc,
  0xaa35d64073241b5e, 0x576a96fabb39d454, 0x7a5fd34c9ae0404e, 0x3daad115e5d312b9, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0x90c76ff7aaa2d23b, 0x93571b288c5fcdb1, 0x63c81db43458f38b, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x72cdd6792bf73433, 0x0000000000016eba,
};

// m8_swio12_lednop_pr_ce_u4         m8a_swio11_lednop_pr_ce_u4        m8a_swio12_lednop_pr_ce_u4
static const uint64_t ur_m8_swio11_lednop_pr_ce_u4[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0xb6a4ee8f62d51c63, 0xf1ca609f180905b2, 0x5eea905baffb8073, 0x3cf002d6937ddc5f, 0x97e21b09117dc688,
  0xb9b5ee4492bf51f0, 0x5f4f72c67eb2678b, 0xc638e5581acff51e, 0x8518df398b014ca9, 0x07feccf1d7a3e768,
  0x5b81e5adc22f48a8, 0x073241b5e5caad5f, 0xabb39d454aa35d64, 0xc9ae0404e576a96f, 0x5e5d312b97a5fd34,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x88c5fcdb190c76ff, 0xa2c6f8b9357079b2,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00001bae9a0d3919,
};

// m8_swio12_lednop_pr_ee_ce         m8a_swio11_lednop_pr_ee_ce        m8a_swio12_lednop_pr_ee_ce
static const uint64_t ur_m8_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0x9304f8c0482d95b5, 0xb480347fdc039f7f, 0x16b49ff0effaa32e, 0xee6d7ca8683fe780,
  0x4b94ed6563df309c, 0x3e0d983d2bd47959, 0xafb1698a62b2ebea, 0xafa5b1971c270dc3, 0xb8e7576e4ac3a909,
  0xe363af3a6edd4239, 0x762d3f911c656355, 0x4c8e1bd96cbe701c, 0xab52cfa427951b04, 0xd75901cc906d7972,
  0xaa5beaece75152a8, 0x7f4d326b8101395d, 0xab4457974c4ae5e9, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5,
  0x1dbfdeaa8b48edcf, 0x5c6ca2317f36c643, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0x3919e4afdcd0ccb0, 0x00000000534c797d,
};

// m8_swio12_lednop_pr_ee_ce_u4      m8a_swio11_lednop_pr_ee_ce_u4     m8a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c7a31, 0xbb557f53b13125a3, 0xad3b6859bb05f98b, 0x002b713ae0d337ad, 0x33976165b3d68c2a,
  0xd44fc3efb40f8dd3, 0x13e30120b656d49d, 0x21f7ff7c3cff60cc, 0xdb5ddc5f547a6e90, 0x445f71a20f3c00b9,
  0x3eefd47c25f886c2, 0xdef99e2ee6d7e1fe, 0xbd479594b94ed6e6, 0x2b2ebea3e0d983d2, 0xc270dc3afb1698a6,
  0xac3a909afa5b1971, 0xedd4239b8e7576e4, 0xc656355e363af3a6, 0xcbe701c762d3f911, 0x7951b044c8e1bd96,
  0x06d7972ab52cfa42, 0x75152a8d75901cc9, 0x101395daa5beaece, 0xc4ae5e97f4d326b8, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xf91f5fcb373c95fb, 0x0000000000000009,
};

// m8_swio12_lednop_hw               m8a_swio11_lednop_hw              m8a_swio12_lednop_hw
static const uint64_t ur_m8_swio11_lednop_hw[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x20b656d49dd85eb4, 0x871e7e034c13e301, 0x21df2dd05200f7ff, 0x31c72ac0ebffa8f9, 0x4398b016f74da526,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0x2f4bfa69935c0809,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x8bf9b69e8754e051, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000008e25c514f,
};

// m8_swio12_lednop_ee_hw            m8a_swio11_lednop_ee_hw           m8a_swio12_lednop_ee_hw
static const uint64_t ur_m8_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0x56d49dd0149334e7, 0x7d2d4c13e30120b6, 0xa331f4806b7fd0a6, 0xfa8f51e56c166ab5, 0xef8aca1fa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0xba847371cead2e95, 0x656355ae875e74dd, 0xbe701c762d3f911c,
  0x2a3608fd6e1bd96c, 0xdaf2e556a017484f, 0xa2a551aeb2039920, 0x0272bb54b7d5d9ce, 0x95cbd2fe9a64d702,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516, 0x4176371e6ca2317f,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00b7ff24c2fa792b,
};

// m8_swio12_lednop_ce_hw            m8a_swio11_lednop_ce_hw           m8a_swio12_lednop_ce_hw
static const uint64_t ur_m8_swio11_lednop_ce_hw[] = {
  0x367eeeeed121be4a, 0x3bb5578441a712a1, 0xa47f746db1160f7e, 0xcff5e35cfd833b27, 0xabe081eba09bb426,
  0x16cada93ba528eb6, 0x14cfc729827c6024, 0xdc5f5eea905baffa, 0x71a20f3c49c84b7d, 0xd47c25f886c2445f,
  0x99e2ee6d735b986f, 0xfd4797d3dcb19fac, 0x532a718e395606b3, 0xf9da214637ce62c0, 0xd22a01ffb33c75e8,
  0xab57d6e0796b708b, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x7f4d326b8101395d, 0xab4457974c4ae5e9,
  0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x1e6ca2317f36c643, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x24c2fa792bf73433,
  0x00000000001d66df,
};

/*
 * m8_swio11_lednop_ee_ce_u4_hw      m8_swio12_lednop_ee_ce_hw         m8_swio12_lednop_ee_ce_u4_hw
 * m8a_swio11_lednop_ee_ce_hw        m8a_swio11_lednop_ee_ce_u4_hw     m8a_swio12_lednop_ee_ce_hw
 * m8a_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2436812, 0xbbb557f53b13125a, 0xaf5b76859bb05f98, 0x8540056e275c1a67, 0xba6672ec2cb67ad1,
  0x6d49dddfb0b6a6b9, 0xf60cc13e30120b65, 0xf4dd2043effa14cf, 0xf1272126bbb8bea8, 0xe21b09117dc6883c,
  0x5f907575ff51f097, 0x3b5b9b7be678bb9b, 0x660f4af51e5652e5, 0x5a6298acbafa8f83, 0x6c65c709c370ebec,
  0xd5db92b0ea426be9, 0xebce9bb7508e6e39, 0x4fe4471958d578d8, 0x86f65b2f9c071d8b, 0xb3e909e546c11323,
  0x4073241b5e5caad4, 0xfabb39d454aa35d6, 0x4c9ae0404e576a96, 0x15e5d312b97a5fd3, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x288c5fcdb190c76f, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x000000005010c9c0,
};

/*
 * m8_swio11_dual_pr                 m8_swio12_dual                    m8_swio12_dual_pr
 * m8a_swio11_dual                   m8a_swio11_dual_pr                m8a_swio12_dual
 * m8a_swio12_dual_pr
 */
static const uint64_t ur_m8_swio11_dual[] = {
  0x6a2eeeeeef3e6d3a, 0xdad7ec35e716acd1, 0xacfb638f918666ec, 0xd8fa63d9b106e8d5, 0x73b653d6dd68b514,
  0x0a775ced9b75bc98, 0x04f8c0482d95b527, 0x2b88b20025201133, 0x81850c9f2bab59ed, 0xfcca6b54ee9f72f8,
  0x7bd83f8705f73145, 0x39215607dd4dea3c, 0x6e1f02bfcc681142, 0x57717bbe2efb5b00, 0x6b45421968464886,
  0x2f6e5d7fe80e784d, 0xf6b24c16156662e7, 0x910ef961f29054af, 0xdd471cab03117d47, 0xef398b01758a6a95,
  0x30475e0353b0288d, 0x67b79160faa01ffb, 0x7d1cccacca42e079, 0x64836bcb955acfe6, 0x673a8a9546bac80e,
  0x5c0809caed52df57, 0xba62572f4bfa6993, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0xc5fcdb1922adfef5, 0x8f38b9357079b288, 0xfbab31e40cd3e345, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x1881cfbcb373c95f, 0x0000000000000000,
};

// m8_swio12_dual_pr_u4              m8a_swio11_dual_pr_u4             m8a_swio12_dual_pr_u4
static const uint64_t ur_m8_swio11_dual_pr_u4[] = {
  0xa8bbbbbb4486ff3e, 0x6b5fb0d79c5ab345, 0x6add8e3e46199bb3, 0xa6c7d31ecd88376c, 0xb39db29eb6eb45a8,
  0x853b9a78af63af57, 0x827c602416cada93, 0x95c4590012900899, 0x40c2864f95d5acf6, 0xbf997612774fb97c,
  0x8f7b07f0e0bee628, 0x47242ac0fba9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5df6b60, 0xad68a8432d08c910,
  0xe5edcbaffd01cf09, 0xfee01982c2accc5c, 0xe443be587ca4152b, 0x7751c72ac0c45f51, 0x7bce62c05d629aa5,
  0xcc11d780d4ec0a23, 0x59ede4583ea807fe, 0x9f47332b3290b81e, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203,
  0xd7020272bb54b7d5, 0x2e9895cbd2fe9a64, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0,
  0x317f36c648ab7fbd, 0xb8d1637c371e6ca2, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x7cf257ee68665874, 0x000000a49ad6ab62,
};

// m8_swio12_dual_pr_ee              m8a_swio11_dual_pr_ee             m8a_swio12_dual_pr_ee
static const uint64_t ur_m8_swio11_dual_pr_ee[] = {
  0xa76eeeeea0a1a5fb, 0xd6bf605fddeacec8, 0x7dbbf68ed64e4766, 0x4880a44faafb17d0, 0xbe8bfd28d3764538,
  0x591aeb368559932b, 0x0482d95b52792bba, 0x4004a4271f304f8c, 0x93e5756b3da57116, 0x849dd3ee5f1030a1,
  0x3a3825a982d7e65d, 0xc0f4dcdea38d6d81, 0x57f98d022847242a, 0xef8bbf9be00dc3e0, 0x0cb417da2195dc5e,
  0xffe80e784c1ee2a1, 0x2c2accc5ce5edd36, 0x28b48287ffee0198, 0xaf51e57bee6ab5a3, 0x8ae577a8f83660cc,
  0x709c370ebec5a6ef, 0x09f9a426be96c65c, 0x91e9473ab4b9755c, 0x1aad743af6337632, 0x01c762d397c8d31b,
  0xc11fadc37b2ef767, 0x9995980507ed6546, 0x6d7972ab59fccfa3, 0x5152a8d75901cc90, 0x01395daa5beaece7,
  0x4ae5e97f4d326b81, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x9b632455bfdeaa8b,
  0x96af1b8f365118bf, 0xea75666fe0eee345, 0x899e04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x13e792bf734332c3, 0x000000005647addb,
};

// m8_swio12_dual_pr_ee_u4           m8a_swio11_dual_pr_ee_u4          m8a_swio12_dual_pr_ee_u4
static const uint64_t ur_m8_swio11_dual_pr_ee_u4[] = {
  0xe817bbbbb4486f97, 0x6d6bf605fbf7ab06, 0xf77ba3dac35c1122, 0x40b582ecb6c5e356, 0x01aafa2ff4a34c37,
  0x3773c119d385a9d2, 0x9f180905b2b6a4fd, 0xe22c8009484e3e60, 0x614327caead67b4a, 0xccbb093ba7dcbe20,
  0x7b08ac701ad313af, 0x485581e569bd47d3, 0x87c0aff31a04508e, 0xdc5eef8bbe92801b, 0x22a10cb423da2195,
  0x6e9b7ff4073c2691, 0x00cc16156662e72f, 0xad68dfca4143fff7, 0x30613fd4795b059a, 0xd377c5721fd47c1b,
  0x632e384e1b875f62, 0xa2ae038cd2135f4b, 0x3b4e28e6e39d5a5c, 0x71958d56ba1d794d, 0xb93380e3b169ad74,
  0x2b35c749f5b86f65, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xcbd2fe9a64d70202,
  0xb9ed5688af2e9895, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0x62fe6da7a1d53814, 0x71a2c6f86e3cd944,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000015902176c4,
};

// m8_swio12_dual_pr_ce              m8a_swio11_dual_pr_ce             m8a_swio12_dual_pr_ce
static const uint64_t ur_m8_swio11_dual_pr_ce[] = {
  0xd33dddddde7cd0e3, 0xb5afd86bc6ad5b92, 0x475f4c8dc1b22101, 0x4e38a72d9402b7ef, 0xf6588eb6ef25a663,
  0xeeeae36829af9129, 0x3e30120b656d49c5, 0xc459001291aa0cc1, 0xc2864f95d5acf695, 0x6535aa774fb97c40,
  0xd87ce3848798bafe, 0x42ac0d7dcdea3b93, 0x3e057f98d0228472, 0xe2f77c5dffae00dc, 0x8a8432d0c9110cae,
  0xbefbffa039e132d7, 0xc9305855998b9cbd, 0x77fd66ea4070ffda, 0x69fe7e780173b90e, 0x602eb26139dcdafa,
  0xac0d67fa8f2fa7b9, 0x9cc580a654e31c72, 0x78ebd1f3b4428c6f, 0x332b31d41fdc72c6, 0xdaf2e556b3f99f47,
  0xa2a551aeb2039920, 0x0272bb54b7d5d9ce, 0x95cbd2fe9a64d702, 0xaeb9ed5688af2e98, 0x20b94b5f3a03cded,
  0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0x5c9ab83cd94462fe, 0x98f20669f1a2c79c, 0xb25c33d30ae4fdd5,
  0xccb0e9296cf8138c, 0xd39e59b9e4afdcd0, 0x00000000000039eb,
};

// m8_swio12_dual_pr_ce_u4           m8a_swio11_dual_pr_ce_u4          m8a_swio12_dual_pr_ce_u4
static const uint64_t ur_m8_swio11_dual_pr_ce_u4[] = {
  0x919eeeeed121a5fb, 0xb5afd8b8d17ead13, 0x0b6eb4e374b07c89, 0x6b8e05957a7da4cd, 0x6557d6a356ec4e46,
  0xa8aee9646bae1f15, 0xc13e30120b656d49, 0x4ae22c8009480b24, 0x20614327caead67b, 0xbfccbb093ba7dcbe,
  0x53db0cac70df7369, 0x8e4855819759bd47, 0x1b87c0aff31a0450, 0x95dc5eef8bbd90c0, 0x9c62a10cb4027a21,
  0x97b74b5ff4073c26, 0xfb80660b0ab33173, 0x7ddc5f5eea905baf, 0x5f71a20f3c49c84b, 0x1fd47c25f886c244,
  0xac99e2ee6d74a8b9, 0xb3fd4797d3dcb19f, 0xc0532a718e395606, 0xe8f9da214637ce62, 0x98ea0fee39633c75,
  0x72ab59fccfa39995, 0xa8d75901cc906d79, 0x5daa5beaece75152, 0xe97f4d326b810139, 0xf6ab4457974c4ae5,
  0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x431dbfdeaa8b48ed, 0x371e6ca2317f36c6, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x489a0b627cf257ee, 0x000000000000001a,
};

// m8_swio12_dual_pr_ee_ce           m8a_swio11_dual_pr_ee_ce          m8a_swio12_dual_pr_ee_ce
static const uint64_t ur_m8_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xe36b5fb71f69ed5b, 0x7eafbb9f6cf80534, 0xe229c10fdc61f05b, 0x419cd9b7a74cf654,
  0xdc7045583c333a9b, 0xc602416cada93625, 0x164004a411eb9827, 0xa193e5756b3da571, 0x5d849dd3ee5f1030,
  0x869a383fc9b107e6, 0x5581d8fcdea3868d, 0xc0aff31a04508e48, 0x7bbe2ef185c01b87, 0x8432d060a8865771,
  0xc1ffa039e134878a, 0x60b0ab3317397b7e, 0x8f02520b5bffb806, 0xcf1272129db3bfea, 0xc273b9b5c112601f,
  0xe5795a53b5958be4, 0x27a8f83660fbaf51, 0x370ebec5a6298af0, 0xa426be96c65c709c, 0x48f4a39d5db8ba8e,
  0x1aaf1b1d7b19bb19, 0x01c762d397c8d31b, 0x608991c37b2ef767, 0xcccaccb383f6b2a3, 0x36bcb955acfe67d1,
  0xa8a9546bac80e648, 0x809caed52df57673, 0x2572f4bfa69935c0, 0x6bae7b55a22bcba6, 0x482e52d7ce80f37b,
  0xa476e7a1d5381085, 0x9b63218edfef5545, 0x63ce1b8f365118bf, 0x4fdd599bf83bb8d1, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0982749d6c4f9e4a,
};

// m8_swio12_dual_pr_ee_ce_u4        m8a_swio11_dual_pr_ee_ce_u4       m8a_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m8_swio11_dual_pr_ee_ce_u4[] = {
  0x2ddddda26d3ef2df, 0x7ed50caf7ab27d96, 0x6a0175b499f68dad, 0xe66e6d01f4b269c1, 0x334669f65887b6fd,
  0x59cf2ee435c5b4f0, 0xa4d8677560108085, 0x86609f180905b2b6, 0xed2b88b20025229f, 0xf881850c9f2bab59,
  0x87f995fb44ee9f72, 0x87db0c6e38760cd7, 0x1c90ab03c4137a8e, 0x370f815fe63408a1, 0xaee2f77c5def0080,
  0xf7150865a11c910c, 0xf6f723ff4073c26d, 0xbe1cc16156662e72, 0x2faa3383480d6fff, 0xa20f3c49c073f5ee,
  0x7c25f886c2445f71, 0x2ee6d77806231fd4, 0xe5694ed6e6d7c99e, 0xa3e0d983eebd4795, 0x3afb1698a62bc09e,
  0x9afa5b1971c270dc, 0xd28e7576e2ea3a90, 0xbc6c75ec66ec6523, 0x1d8b4e5f234c6c6a, 0x26470decbbdd9c07,
  0x2b32ce0fdaca8d82, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xcbd2fe9a64d70202,
  0xb9ed5688af2e9895, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0x8c863b7fbd551691, 0x9ab83cd94462fe6d,
  0xfe0dfa08d1637c5c, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x3b8bb53c95fb9a19, 0x000000000002000b,
};

// m8_swio12_dual_hw                 m8a_swio11_dual_hw                m8a_swio12_dual_hw
static const uint64_t ur_m8_swio11_dual_hw[] = {
  0x51777776890c365a, 0xd6bf61af38b5668b, 0xd5bb1c7c8c333766, 0x4d8fa63d9b106ed8, 0x873b653d6dd68b51,
  0xa4e14ee26efafb36, 0x26609f180905b2b6, 0x3da571164004a402, 0x5f1030a193e5756b, 0x8a2fe65d849dd3ee,
  0x51e3dec1fc382fb9, 0x8a11c90ab03eea6f, 0xd80370f815fe6340, 0x4432bb8bddf177da, 0xc26b5a2a10cb4232,
  0x17397b72ebff4073, 0x95fefcea60b0ab33, 0xa8f221df2c3e520a, 0x52bba8e39560622f, 0x11bde731602eb14d,
  0xff6608ebc06a7605, 0x0f2cf6f22c1f5403, 0xfccfa3999599485c, 0x01cc906d7972ab59, 0xeaece75152a8d759,
  0x326b8101395daa5b, 0x57974c4ae5e97f4d, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa,
  0x5118bf9b632455bf, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000063755ad41,
};

// m8_swio12_dual_ee_hw              m8a_swio11_dual_ee_hw             m8a_swio12_dual_ee_hw
static const uint64_t ur_m8_swio11_dual_ee_hw[] = {
  0x453b77776890cf68, 0x36b5fb02feef5676, 0x83eddfb476b2723b, 0xc24405227d57d8be, 0x5df45fe9469bb229,
  0x5dcd1f53ad6ecc99, 0x7c602416cada93c9, 0x88b200252138f982, 0x850c9f2bab59ed2b, 0x32ec24ee9f72f881,
  0x6c09d1c12d4c16bf, 0x215607a6e6f51c6b, 0x1f02bfcc68114239, 0xe2f77c5dfcdf006e, 0x150865a0bed10cae,
  0xe9b7ff4073c260f7, 0xd4c16156662e72f6, 0x5a328b48287ffdf9, 0x0ccaf51e57bee6ab, 0x6ef8ae577a8f8366,
  0x65c709c370ebec5a, 0x55c09f9a426be96c, 0x63291e9473ab4b97, 0x31b1aad743af6337, 0x76701c762d397c8d,
  0x546c11fadc37b2ef, 0xfa39995980507ed6, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0xb8101395daa5beae,
  0x74c4ae5e97f4d326, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x8bf9b632455bfdea,
  0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000005769eb617d3,
};

// m8_swio12_dual_ce_hw              m8a_swio11_dual_ce_hw             m8a_swio12_dual_ce_hw
static const uint64_t ur_m8_swio11_dual_ce_hw[] = {
  0xd89ddddda2431f02, 0x6b5fb17151fd5999, 0x9bdd3b4d3a0dc713, 0x79294aad0ebc6add, 0x4d744fb17dd66762,
  0x5c6ee5188b37a614, 0xc13e30120b656d49, 0x95c4590012917254, 0x40c2864f95d5acf6, 0x3f997612774fb97c,
  0x6eb61b38e11ca638, 0x1c90ab03c0937a8f, 0x370f815fe63408a1, 0x2bb8bddf177e5400, 0x27c542196807b443,
  0xbdbd8fffd01cf098, 0x7e75305855998b9c, 0x2b8bea63e900d6ff, 0xee3441e789390947, 0xfa8f84bf10d8488b,
  0xe678bb9b5d9be951, 0x7ea3f513dcb19e27, 0xb01827c71cab03b8, 0xa9d81446f79cc580, 0x7d500ffd99e3af01,
  0x99485c0f2d6ec8b0, 0x72ab59fccfa39995, 0xa8d75901cc906d79, 0x5daa5beaece75152, 0xe97f4d326b810139,
  0xf6ab4457974c4ae5, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x431dbfdeaa8b48ed, 0x371e6ca2317f36c6,
  0xef79430a9cfd4176, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xeb8c42fa792bf734, 0x0000000000000026,
};

// m8_swio12_dual_ee_ce_hw           m8a_swio11_dual_ee_ce_hw          m8a_swio12_dual_ee_ce_hw
static const uint64_t ur_m8_swio11_dual_ee_ce_hw[] = {
  0x54e2dddddd43573e, 0x36b5fb71f69ed5b6, 0xeafbb9f6cf80534e, 0x229c10fdc61f05b7, 0x19cd9b7a74cf654e,
  0xbb9717dd9baca9b4, 0xf8c0482d95b526c4, 0x22c80094823d7304, 0x14327caead67b4ae, 0xcbb093ba7dcbe206,
  0xb0d34707f93620fc, 0x0ab03b1f9bd470d1, 0xf815fe63408a11c9, 0x2f77c5de30b80370, 0x50865a0c1510caee,
  0xd83ff4073c2690f1, 0x4c16156662e72f6f, 0xa3c09482d6ffdf9d, 0xf3c49c84a76ceffa, 0x4c273b9b5e9299cb,
  0x1e5795a53b5958be, 0x027a8f83660fbaf5, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x948f4a39d5db8ba8,
  0xb1aaf1b1d7b19bb1, 0x701c762d397c8d31, 0x3608991c37b2ef76, 0x1cccaccb383f6b2a, 0x836bcb955acfe67d,
  0x3a8a9546bac80e64, 0x0809caed52df5767, 0x62572f4bfa69935c, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37,
  0x5a476e7a1d538108, 0xf9b63218edfef554, 0x7e7f61b8f365118b, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x089a7d2705f4f257,
};

// m8_swio12_dual_ee_ce_u4_hw        m8a_swio11_dual_ee_ce_u4_hw       m8a_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m8_swio11_dual_ee_ce_u4_hw[] = {
  0xb16eeeed14682906, 0x6bf6a8657bd593ec, 0x37500bada4cfb46d, 0xb7ef3373680fb659, 0xa7819a334fb2c43d,
  0xe405ed231721ae2d, 0x20b656d49b0cee2b, 0x04a453f0cc13e301, 0xe5756b3da5711640, 0x9dd3ee5f1030a193,
  0x1d8335e1fe65906a, 0x04dea3a1f6c31b8e, 0x8d022847242ac0f1, 0x7bc0200dc3e057f9, 0x4724432bb8bddf17,
  0x1cf09b7dc5421968, 0x998b9cbdbdc8ffd0, 0x0d6fffa8dd305855, 0x4bf5ee2faa338348, 0x45f71a20f3c58be8,
  0x82fd47c25f886c24, 0x5f2678bb9b5fa9cb, 0xf51e5795a53b5b9b, 0xaf027a8f83660fba, 0x09c370ebec5a6298,
  0xa8ea426be96c65c7, 0xb1948f4a39d5db8b, 0x31b1aaf1b1d7b19b, 0x76701c762d397c8d, 0x2a3608991c37b2ef,
  0x7d1cccaccb383f6b, 0x64836bcb955acfe6, 0x673a8a9546bac80e, 0x5c0809caed52df57, 0xba62572f4bfa6993,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x8bf9b63218edfef5, 0xe7ea0bb1b8f36511,
  0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0003aeb38bed0173,
};

// m8a_swio13_noled
static const uint64_t ur_m8_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x2416cada93bb63d9, 0xf3eecfedf9827c60, 0xe43be5ba4a41d47f, 0x491c72ac0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x55abdebe9a64d672,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xf36c8122adfef554, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x001527d6b65a9e4a,
};

// m8a_swio13_noled_pr
static const uint64_t ur_m8_swio13_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a1718924, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beea44e82,
  0xd49dda668cc19a3b, 0xfe4c13e30120b656, 0x41fa40657fb5933e, 0xb03e83d4797c77cb, 0x05965319538c71ca,
  0x47cecf7a3dece62c, 0x3269500ffd9823af, 0xaad556a81e59eddc, 0x35d64073241b5e5c, 0x5beaa6fb39d454aa,
  0xef5f4d326b395daa, 0xdaad115e5d312ad5, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0x409156ff7aaa2d30,
  0x6ae0f365118bf9b6, 0xe40eda1a2ce9f172, 0xfe50c2a73f53ab31, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826,
  0x52d9f0271964b867, 0xb3c95fb9a19961d2, 0x00000003e4cc966e,
};

// m8a_swio13_noled_pr_u4
static const uint64_t ur_m8_swio13_noled_pr_u4[] = {
  0x7bb7777768bb1762, 0x9eb776aae450644a, 0x98ec2fd438912308, 0xfe877712ebeb4327, 0x3b8036dbc9bb3dc2,
  0x2b6a4eed33466b42, 0x3fb7e609f180905b, 0xe5ba4a41d47fb593, 0x72ac0f9ef51fe43b, 0x8b016f74dd46491c,
  0x75e2e761be8fa039, 0x55a9584d6e396304, 0x6bac80e64836bcb9, 0xb7d54df673a8a954, 0xdebe9a64d672bb54,
  0xb55a22bcba6255ab, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61, 0xd5c1e6ca2317f36c,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x42ecdd6792bf7343, 0x0000000000007c98,
};

// m8a_swio13_noled_pr_ee
static const uint64_t ur_m8_swio13_noled_pr_ee[] = {
  0xf17bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xc5bc8a63afdc29a9, 0x9d0ccdd9b020da0b,
  0xada93bbe451d9898, 0xf9c19827c602416c, 0x8ccaa41b3bfee01c, 0x403d4795a569aad6, 0xbe2b5f7ea3e0d983,
  0x71c270dc3afb169b, 0xb8a266909afa5b19, 0x4c518f873ab4b994, 0x2c6ab5d0ebd75376, 0xce038ec5a76b23e8,
  0x7021feb70decb872, 0x4073241b5e5caad5, 0xa6fb39d454aa35d6, 0x4d326b395daa5bea, 0x115e5d312ad5ef5f,
  0x8629bd677973daad, 0xbc5021696bfc46a7, 0x5fcdb4f43aa7023c, 0x58f38b93571b288c, 0x93f75663c81f9434,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x14f9b5ef4e46792b,
};

// m8a_swio13_noled_pr_ee_u4
static const uint64_t ur_m8_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0x49dd3b410e5d96aa, 0xb4c13e30120b656d, 0x5520df7ff700e7e2, 0xea3cadd2cd56b466, 0x5fcef51f06cc1a01,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1bde73ab4bc065c5, 0xab5d0ebd75376051, 0xe3b169e454770ec6,
  0xafadc37b2e1cb380, 0x64836bcb955aae09, 0x673a8a9546bac80e, 0x4d672bb54b7d54df, 0xcba6255abdebe9a6,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0xa2317f36c8122adf, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000009d748bf4e46,
};

// m8a_swio13_noled_pr_ce
static const uint64_t ur_m8_swio13_noled_pr_ce[] = {
  0x307dddddddec53c3, 0x1b4776aae4509089, 0xc5fa6ef4bdf370e2, 0xab682ddf64da98db, 0x31c4d841331dd60f,
  0xd95b527748fcbbb2, 0x99f297304f8c0482, 0x7fd414a40e97fdac, 0x4dbfcf002c1cf9c7, 0x1759309cee6d7dda,
  0x8193dea3cdd3dcb0, 0x98b017ba05238e55, 0x8ebd1f3b3de8f7b3, 0xdd70c9a5403ff667, 0x5e5caad556a81e5a,
  0x54aa35d64073241b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f4d326b39, 0x5d73daad115e5d31, 0x7536294f0d3bc77f,
  0x2d30ca7a1d538107, 0xf36c810c76ff7aaa, 0x3ce2e4d5c6ca2317, 0xfdd598f2076d0d16, 0x138cb25c33d30ae4,
  0xcd0ccb0e9296cb25, 0xdd5b8fb3759e4afd, 0x0000000000000002,
};

// m8a_swio13_noled_pr_ce_u4
static const uint64_t ur_m8_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0x95b5277505272e9c, 0x9fd9d304f8c0482d, 0xf5dbf482577fdc03, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xf374f72c67eb2678, 0x8148e3956064f7a8, 0xcf7a3dece62c05ee, 0x500ffd99e3af47ce,
  0x55aa0796b75c3269, 0x901cc906d7972ab5, 0xa9bece75152a8d75, 0xd34c9ace576a96fa, 0x4457974c4ab57bd7,
  0xc34ef1dfd75cf6ab, 0x8754e041dd4d8a53, 0x1dbfdeaa8b4c329e, 0x79b288c5fcdb2043, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x3919e4afdcd0ccb0, 0x00000000375eacad,
};

// m8a_swio13_noled_pr_ee_ce
static const uint64_t ur_m8_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0x6a4eebd69c452bed, 0xa6a609f180905b2b, 0x52e907fcffb8073f, 0x005ad258f9dff546, 0x39dcdae495951f9e,
  0xb38729dacac7be61, 0xd47c1b3067afa8f2, 0x875f62d314c5721f, 0x135f4b632e384e1b, 0x7921ceaeddfb8752,
  0xabc6c75e74ddb4a4, 0x71d8b4d314707ec6, 0x1132386f65b2f9c0, 0x955a9664d60b546c, 0x46bac80e64836bcb,
  0x4b7d54df673a8a95, 0xbdebe9a64d672bb5, 0x7b55a22bcba6255a, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x90218edfef5545a6, 0x5c9ab8d94462fe6d, 0xb31e40fca1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271,
  0x8ffa7233c95fb9a1, 0x000000000000a69d,
};

// m8a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m8_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c92df, 0x2eed55fd4f274490, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf4130,
  0x3baa3e842af89b66, 0x9827c602416cada9, 0x206bbffef879fc6e, 0xb9de20b8bea8f675, 0xc2445f71a20f3c00,
  0x0b87ffd47c25f886, 0x736f7ccf17736bae, 0x9ebea3cace1ca76b, 0x5315c87f51f06cc1, 0xb8e1386e1d7d8b4c,
  0x77ee1d484d7d2d8c, 0xd376d291e4873abb, 0x51c1fb1aaf1b1d79, 0x96cbe701c762d34c, 0x582d51b044c8e1bd,
  0x920daf2e556a5993, 0x9cea2a551aeb2039, 0x359caed52df5537d, 0x2e98956af7afa699, 0xe3bfaeb9ed5688af,
  0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x118bf9b640863b7f, 0x458df1726ae0f365, 0x3f53ab31e40cd3e3,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0004fcdaf7e59b9e,
};

// m8a_swio13_noled_hw
static const uint64_t ur_m8_swio13_noled_hw[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x2416cada93bb63d9, 0xf0e3cfedf9827c60, 0xf21df2dd2520ea3f, 0x248e395607cf7a8f, 0xd01cc580b7ba6ea3,
  0xb1823af173b0df47, 0x5e5caad4ac26b71c, 0x54aa35d64073241b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f4d326b39,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xf9b6409156ff7aaa, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x000011c5f5d14f25,
};

// m8a_swio13_noled_ee_hw
static const uint64_t ur_m8_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0x2b6a4eeb4efb5bb2, 0x3e4ea609f180905b, 0x68dfca4115bfe853, 0x613fd479594b9aad, 0x77c565d7d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xda523c90e75697fd, 0x1fb1aad743af3a6e, 0xbe701c762d34c51c,
  0xaa3608fd6e1bd96c, 0xb5e5caad40226b05, 0x454aa35d64073241, 0x95daa5beaa6fb39d, 0x12ad5ef5f4d326b3,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbf9b6409156ff7aa, 0x7ea0bb1b8f365118,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00002df00ac17d3c,
};

// m8a_swio13_noled_ce_hw
static const uint64_t ur_m8_swio13_noled_ce_hw[] = {
  0x7bdddddda2431768, 0xf1ddaabc22433891, 0xbdb23bbb6dd7b07b, 0x7b3fd7f1fc5e6c63, 0x68f67ae34c90dd2f,
  0x416cada93ba6e8ed, 0xa14cfece9827c602, 0x6b8bebb7e904aeff, 0xee3441e789390965, 0xfa8f84bf10d8488b,
  0x933c5dcdaffae6b7, 0x7bd479ba7b9633f5, 0x02f740a471cab032, 0xa3e767bd1ef67316, 0x1934a807feccf1d7,
  0x955aaad503cb5bae, 0x46bac80e64836bcb, 0x4b7d54df673a8a95, 0xbdebe9a64d672bb5, 0x7b55a22bcba6255a,
  0xc529e1a778efebae, 0x194f43aa7020eea6, 0x90218edfef5545a6, 0xec6e3cd94462fe6d, 0xc3def2861539fa82,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x9be10f85f4f257ee,
  0x0000000000000075,
};

// m8_swio13_noled_ee_ce_u4_hw       m8a_swio13_noled_ee_ce_hw         m8a_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m8_swio13_noled_ee_ce_hw[] = {
  0x04dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0xeccec4ac10b2d9e8,
  0x56d49ddcfb403a89, 0xfe374c13e30120b6, 0x8f675206bbffa14c, 0xe7893909620b8bea, 0xbf10d8488bee3441,
  0xdafaa0f20ffa8f84, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x62d314c5721fd47c, 0x4b632e384e1b875f,
  0xceaeddfb8752135f, 0xc75e74ddb4a47921, 0xb4d314707ec6abc6, 0x386f65b2f9c071d8, 0x9664d60b546c1132,
  0xc80e64836bcb955a, 0x54df673a8a9546ba, 0xe9a64d672bb54b7d, 0xa22bcba6255abdeb, 0xe1a778efebae7b55,
  0x43aa7020eea6c529, 0x8edfef5545a6194f, 0x3cd94462fe6d9021, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xd285f4f257ee6866, 0x00000000000280b2,
};

// m8a_swio13_lednop
static const uint64_t ur_m8_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x905b2b6a4ee82f41, 0xcfbb3ebee609f180, 0xe1df2dd25208f7ff, 0x18e395607cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xb54b7d54df673a8a, 0x2fe9a64d7020272b,
  0x6ab4457974c4ae49, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xf36d3d0ea9c09cfa, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000a9074b65a9e4a,
};

// m8a_swio13_lednop_pr
static const uint64_t ur_m8_swio13_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62491, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11dd489d05,
  0xa93bbf4e0d9fbb82, 0x4a9827c602416cad, 0x0fd2031ffed64cfd, 0xc0fa0f51f4a3be5a, 0x2cb298c79eb1c72a,
  0x3e76f911c6473160, 0xb86a807fecc11d7a, 0x56b02b40f2cf6f7b, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551,
  0x69935c0809caed52, 0x115e5d312b924bfa, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e,
  0x65118bf9b65d9156, 0x1a2cb579726ae0f3, 0xa73f53ab31e40eda, 0xa1e44cf0271a50c2, 0x4b867a615c9f80f9,
  0x961d252d9f027196, 0xb766eb3c95fb9a19, 0x000000000003e4de,
};

// m8a_swio13_lednop_pr_u4
static const uint64_t ur_m8_swio13_lednop_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0x5bbb55722835e253, 0xfb98efaff0b1844f, 0xfd0eee274bdf37f1, 0x98db266ebf767b85,
  0x5b52774c4dc12411, 0xf5f7304f8c0482d9, 0x5ba4a411effdac99, 0x2ac0f9ef51d7c3be, 0xb016f74c7ac431c7,
  0x5e2e76ded1dc3398, 0xb52b167ee3963047, 0x75901cc906d7972a, 0xfaa9bece75152a8d, 0x4c9ae0404e576a96,
  0x8af2e9895c925fd3, 0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x7a1d538139f45021, 0xab83cd94462fe6da,
  0xf2076d0d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x59d9bacf257ee686, 0x0000000000001f26,
};

// m8a_swio13_lednop_pr_ee
static const uint64_t ur_m8_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0x9827c602416cada9, 0x480e0ffdc039fa1f, 0x8f2b53d355ad1bf9, 0x82fa8f83660c27fa,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0x0a1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x1d8b4f2447916c6a,
  0x3f5b86f65b2f9c07, 0xab500ae1934a8d82, 0xd75901cc906d7972, 0x6faa9bece75152a8, 0x34c9ae0404e576a9,
  0x88af2e9895c925fd, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xb288c5fcdb2ec8ab,
  0x0d1674f8b9357079, 0x539fa9d598f207e5, 0xe2e7197e627f2861, 0xfc73dffc1343c899, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x04ebaecd3919e4af,
};

// m8a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m8_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0xb6a4eeabe67d06cb, 0xe706609f180905b2, 0x332a906ceffb8073, 0x00f51e565d66ab5a, 0xf8ace1fa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x008fe439d5a5ca2a, 0x6355ae875eba9bb2, 0x701c762d37bd1ef7,
  0x8b87f5b86f65c396, 0x039920daf2e556ab, 0x37d9cea2a551aeb2, 0x5c0809caed52df55, 0x5d312b924bfa6993,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x8bf9b65d9156ff7a, 0x8df1726ae0f36511,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00275c217a7233c9,
};

// m8a_swio13_lednop_pr_ce
static const uint64_t ur_m8_swio13_lednop_pr_ce[] = {
  0x60fbbbbbbbd8b562, 0x368eed55c8a32112, 0x867ad2f6b4d9e1c4, 0xd5b416ef242c9d43, 0xdc1c5e56ec7eeb07,
  0x656d49ddfa706cd2, 0x67d4f4c13e30120b, 0xff505290175ff6b2, 0xff3f3c00b070e19d, 0x1759309cee6d7d34,
  0x8193dea3ce33dcb0, 0x3160287b40238e55, 0x1d7a3e76f911c647, 0xbb7bb86a807feccf, 0xbcb955ac0ad03cb5,
  0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x92fe9a64d7020272, 0xf6ab4457974c4ae4, 0xa5af9d01e6f6d75c,
  0xcf43aa70210a905c, 0xc31dbfdeaa8b48ed, 0x3571b288c5fcdb2e, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xacdd6792bf734332, 0x0000000000b75e93,
};

// m8a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m8_swio13_lednop_pr_ce_u4[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0x95b52774eb46a122, 0x9f1ad304f8c0482d, 0xf5dbf4834dffdc03, 0x83cf002d692dd5c5, 0x097e21b09117dc68,
  0xbb9b5e9299cbf51f, 0xf38cf72c67eb2678, 0xd008e3956064f7a8, 0xbe447191cc580a1e, 0xa01ffb33c75e8f9d,
  0x02b40f2d6edeee1a, 0x2039920daf2e556b, 0x537d9cea2a551aeb, 0x35c0809caed52df5, 0xe5d312b924bfa699,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x317f36cbb0c76ff7, 0xb1be2e4d5c1e6ca2,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0000dd72cf4e4679,
};

// m8a_swio13_lednop_pr_ee_ce
static const uint64_t ur_m8_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0xda93ba0292634e39, 0xb5b9827c602416ca, 0x52e9026dffdc039f, 0x005ad26ed1dff546, 0x73b9b5fa3ea49f9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298aca5f, 0x26be96c65c709c37, 0xc1439d5dbbe70ea4,
  0xaf1b1d79d37609e8, 0xc762d3c911e45b1a, 0x44c8e1bd96cbe701, 0x556a59dc326951b0, 0x1aeb2039920daf2e,
  0x2df5537d9cea2a55, 0xa69935c0809caed5, 0xd115e5d312b924bf, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x6ca2317f36cbb0c7, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0x19e4afdcd0ccb0e9, 0x000000534ce14d39,
};

// m8a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7c50e3, 0x2eed55fd4e05c490, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf4130,
  0x4ee8581f6ca70b29, 0xe609f180905b2b6a, 0xa40293ffbe1e7cd6, 0x173b801717d51ece, 0xd8488bee3441e780,
  0xf5fad5fa8f84bf10, 0xdcdbdf33c5dcdaec, 0x67afa8f2b28729da, 0x14c5652fd47c1b30, 0x2e384e1b875f62d3,
  0xddf38752135f4b63, 0xe9bb04f460a1ceae, 0x88f22d8d578d8ebc, 0xcb65f380e3b169e4, 0x1934a8d8226470de,
  0xc906d7972ab52cee, 0xce75152a8d75901c, 0x404e576a96faa9be, 0x895c925fd34c9ae0, 0xdaeb9ed5688af2e9,
  0x520b94b5f3a03cde, 0x691db9e8754e0421, 0x9b65d863b7fbd551, 0x1726ae0f365118bf, 0xb31e40cd3e3458df,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xcbab7e59b9e4afdc, 0x000000000000004f,
};

// m8a_swio13_lednop_hw
static const uint64_t ur_m8_swio13_lednop_hw[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x905b2b6a4ee82f41, 0xc38f3ebee609f180, 0xf0ef96e929047bff, 0x0c71cab03e7bd475, 0x0ce62c05bdd31eb1,
  0x8c11d78b9db7b477, 0xe5caad4ac59fb8e5, 0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0x97f4d326b8101395,
  0xb55a22bcba625724, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xf9b69e8754e04e7d, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x000008e21d514f25,
};

// m8a_swio13_lednop_ee_hw
static const uint64_t ur_m8_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x4b8c8f9bb106d04e,
  0x95b52775b11ced4e, 0x3f43f304f8c0482d, 0x68dfca40707fe853, 0x613fd4795a9e9aad, 0x77c56c17d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0x827a3050e75697f9, 0x8b6355ae875e74dd, 0x7ce038ec5a79223c,
  0x546c11fadc37b2d9, 0x6bcb955a80570c9a, 0x8a9546bac80e6483, 0x2bb54b7d54df673a, 0x492fe9a64d702027,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x76455bfdeaa8b48e, 0xc6e3cd94462fe6d9,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xf9ac105f4f257ee6, 0x0000000000000016,
};

// m8a_swio13_lednop_ce_hw
static const uint64_t ur_m8_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121b768, 0xf8eed55e11285c48, 0x6f4d2eec01e9583d, 0xbd9febf8fc33c5ea, 0xb671545a0ac86e97,
  0x20b656d49dd764af, 0xd0a67c6b4c13e301, 0xd5c5f5dbf4834dff, 0xf71a20f3c49c84ad, 0xfd47c25f886c2445,
  0xc99e2ee6d7bc3e5a, 0x3dea3ce33dcb19fa, 0x0287b40238e55819, 0xa3e76f911c647316, 0xbb86a807feccf1d7,
  0x955ac0ad03cb5bb7, 0x46bac80e64836bcb, 0x4b7d54df673a8a95, 0xe9a64d7020272bb5, 0xb4457974c4ae492f,
  0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x9b288c5fcdb2ec31, 0x50c2a73f505d8dc7,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x50be9e4afdcd0ccb,
  0x000000000759bccc,
};

// m8_swio13_lednop_ee_ce_u4_hw      m8a_swio13_lednop_ee_ce_hw        m8a_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x261500033c9c8cfc, 0x6538374710b2d9e8,
  0x2b6a4ee8eba6bef7, 0x7cd6e609f180905b, 0xa3d9d480527fd0a6, 0x79e24e425002e2fa, 0x2fc4361222fb8d10,
  0x9b5c291f397ea3e1, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0xec5a6298aca5fa8f, 0xe96c65c709c370eb,
  0x39d5dbbe70ea426b, 0xb1d79d37609e8c14, 0x2d3c911e45b1aaf1, 0x8e1bd96cbe701c76, 0xa59dc326951b044c,
  0xb2039920daf2e556, 0x5537d9cea2a551ae, 0x935c0809caed52df, 0x5e5d312b924bfa69, 0x079bdb5d73daad11,
  0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x2317f36cbb0c76ff, 0xa9cfd4176371e6ca, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000014056e402f,
};

// m8_swio13_dual_pr                 m8a_swio13_dual                   m8a_swio13_dual_pr
static const uint64_t ur_m8_swio13_dual[] = {
  0x8feeeeeeef3e306a, 0xd9b5afd86bfdad58, 0xfb4b16891e4b0ccd, 0x29b0624eb20a374c, 0x853924c69dba47ea,
  0x93853baabf265690, 0xf9827c602416cada, 0xf695c459001291cd, 0x7c40c2864f95d5ac, 0xa2fe6535aa774fb9,
  0x1e3dec1fc382fb98, 0xa11c90ab03eea6f5, 0x00370f815fe63408, 0x2195dc5eef8bbf10, 0x135ad150865a1192,
  0xb9cbdb94bffa039e, 0x17fdac9305855998, 0xa3f7477cb2d7a405, 0x8bb7e38e5581ef7e, 0x8d31398b01758a62,
  0xf6608ebc06a7697c, 0x7967b63e0df5403f, 0xe67d1cccacc538e0, 0x0e64836bcb955acf, 0xdf673a8a9546bac8,
  0x7020272bb54b7d54, 0x74c4ae492fe9a64d, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702,
  0x2fe6d976455bfdea, 0x79c5c9ab83cd9446, 0xdd598f20669f1a2c, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0xc4117de59b9e4afd, 0x0000000000000000,
};

// m8a_swio13_dual_pr_u4
static const uint64_t ur_m8_swio13_dual_pr_u4[] = {
  0x3fbbbbbb4486dd9e, 0x66d6bf61aff6b562, 0xd67dba24792c3337, 0x514d8312759051ba, 0x7169c92634edd23f,
  0x93853b87e55ee8bd, 0xf9827c602416cada, 0xf695c459001291cd, 0x7c40c2864f95d5ac, 0x28bf997612774fb9,
  0x478f7b07f0e0bee6, 0x2847242ac0fba9bd, 0x000dc3e057f98d02, 0x88657717bbe2efc4, 0x84d6b45421968464,
  0x2e72f6e52ffe80e7, 0x8bff700cc1615666, 0x51fba3be596bd202, 0x45dbf1c72ac0f7bf, 0x46989cc580bac531,
  0xfb30475e0353b4be, 0x3cb3db1f06faa01f, 0xf33e8e6656629c70, 0x073241b5e5caad67, 0x6fb39d454aa35d64,
  0xb8101395daa5beaa, 0xba62572497f4d326, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0x17f36cbb22adfef5, 0x8d1637c371e6ca23, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x00000a49a0e3b627,
};

// m8a_swio13_dual_pr_ee
static const uint64_t ur_m8_swio13_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xb36b5fb02fae3ab3, 0xd70bddd943db2723, 0xa70916c41651fcfb, 0x0ecdbadfa51a6f58,
  0x771c115658219d21, 0xf180905b2b6a4f25, 0x22c800948b24e609, 0x14327caead67b4ae, 0xcbb093ba7dcbe206,
  0xb0274704b5305afc, 0x85581e9b9bd471ad, 0x7c0aff31a04508e4, 0x8bddf177980401b8, 0x54219682fb4432bb,
  0xf4d7fd01cf0983dc, 0x1982c2accc5ce5ed, 0xad1feea4016bfee0, 0x0c3dfa8f2bb75355, 0x6ef8af7dfa8f8366,
  0x65c709c370ebec5a, 0xb5c09f9a426be96c, 0xc1ed19ea73ab4b94, 0x436355ae875ec66e, 0x76701c762d39c51c,
  0x546c11fadc37b2ef, 0xfa39995980437c45, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x404e576a96faa9be,
  0x895c925fd34c9ae0, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xcdb2ec8ab7fbd551,
  0xcb578dc79b288c5f, 0xf53ab337f07771a2, 0x44cf0271a50c2a73, 0x67a615c9f80f9a1e, 0xd252d9f0271964b8,
  0x89f3c95fb9a19961, 0x000000002b215aad,
};

// m8a_swio13_dual_pr_ee_u4
static const uint64_t ur_m8_swio13_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0x89b5afd8178ebeac, 0xb6b8ee9d60157044, 0xea05ac17adb9f6cf, 0x227a8fbadfa51a66,
  0xd377347d4ebdc376, 0x09f180905b2b6a4f, 0xae22c800948b24e6, 0x0614327caead67b4, 0xfccbb093ba7dcbe2,
  0x37b08ac701ad313a, 0xe485581e569bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbc92801, 0x122a10cb423da219,
  0x7b7d35ff4073c269, 0xb80660b0ab331739, 0xd56b4701a9005aff, 0x6cc1c89ea3cad4f4, 0x8b4ddf159c3f51f0,
  0x2d8cb8e1386e1d7d, 0x7fdcb80e33484d7d, 0x34ec8023050e7569, 0xa3c8b6355ae875e5, 0x96e4ce038ec5a6f7,
  0x9959ae2e1fd6e1bd, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x925fd34c9ae0404e,
  0x9ed5688af2e9895c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0x2fe6da7a1d538139, 0x1a2c6f86e3cd9446,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000000ac9d3d6c4f,
};

// m8a_swio13_dual_pr_ce
static const uint64_t ur_m8_swio13_dual_pr_ce[] = {
  0x60eeeeeeef3e43ee, 0x01b5afd86bb3ed59, 0x5f68bf6c4a33b221, 0x634c48843498d887, 0xac5faed5f6eac1a6,
  0xc5eeeaefc89eeda7, 0xc13e30120b656d49, 0x95c4590012906ddc, 0x40c2864f95d5acf6, 0xfe6535aa774fb97c,
  0x93d87ce3848798ba, 0x7242ac0d7dcdea3b, 0xdc3e057f98d02284, 0xaee2f77c5dfd8200, 0xd78a8432d0c9110c,
  0xbdbdbaffa039e132, 0xdac9305855998b9c, 0x8677fd414a405d7f, 0xceddadfe780173b3, 0xe580bac984e7736b,
  0x72ac0c9ef51e719e, 0x32398b0143da011c, 0xc678ebd1f3b7c88e, 0x47332b31d0dfdc72, 0x20daf2e556b3f99f,
  0xcea2a551aeb20399, 0x09caed52df5537d9, 0x2b924bfa69935c08, 0x5d73daad115e5d31, 0x417296be74079bdb,
  0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac,
  0x6587494b67c09c65, 0x4ef2cdcf257ee686, 0x00000000000e7afa,
};

// m8a_swio13_dual_pr_ce_u4
static const uint64_t ur_m8_swio13_dual_pr_ce_u4[] = {
  0x64edddddda2432db, 0x226d6bf62e2eb7ab, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0xce947ee733eddc9c,
  0x93515dc7045580f8, 0xf9827c602416cada, 0xed2b88b200252387, 0xf881850c9f2bab59, 0xa6ff32ec24ee9f72,
  0x1d4f6c32b1c37dcd, 0x42392156065d66f5, 0x006e1f02bfcc6811, 0x8657717bbe2efb91, 0x9a718a8432d009e8,
  0x9cbdbd0fffd01cf0, 0xffdc03305855998b, 0xadd5c5f5dbf4834d, 0x45f71a20f3c49c84, 0x4afd47c25f886c24,
  0xfac99e2ee6d7643a, 0x193dea3ce33dcb19, 0x160287b40238e558, 0xd7a3e76f911c6473, 0x5663a1bfb8e58cf1,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0x97f4d326b8101395, 0xb55a22bcba625724,
  0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x18edfef5545a476e, 0xe3cd94462fe6d976, 0x337f07771a2c6f86,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x21676c4f9e4afdcd, 0x0000000000000069,
};

// m8a_swio13_dual_pr_ee_ce
static const uint64_t ur_m8_swio13_dual_pr_ee_ce[] = {
  0x6499bbbbbba86f97, 0x69c6d6bf6e3e3f35, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cd26,
  0x2ee78233a96453ab, 0x3e30120b656d49b1, 0x88b2002523cf5cc1, 0x850c9f2bab59ed2b, 0x32ec24ee9f72f881,
  0x6c34d1c1fe4d883f, 0x42ac0ec7e6f51c34, 0x3e057f98d0228472, 0xc5eef8bbfa9c00dc, 0x2a10cb4182a2195d,
  0xcd6ffe80e784d21e, 0x1982c2accc5ce5ed, 0xd51e56a41883fee0, 0x1fcf1272127f877f, 0xe4c273b9b5f9bea9,
  0x51e572ba53b5958b, 0xe56f51f06cc1edff, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x1ed19ea73abb714b,
  0x6c6abc6c75ec66ec, 0xce038ec5a738a388, 0x46c1132386f65dee, 0xa39995996637c455, 0x906d7972ab59fccf,
  0xe75152a8d75901cc, 0x04e576a96faa9bec, 0x95c925fd34c9ae04, 0xaeb9ed5688af2e98, 0x20b94b5f3a03cded,
  0x91db9e8754e04215, 0xb65d863b7fbd5516, 0x3ce1b8f365118bf9, 0xfdd599bf83bb8d16, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x09827396c4f9e4af,
};

// m8a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m8_swio13_dual_pr_ee_ce_u4[] = {
  0xf77777689b4fb69f, 0xd6bf6a8757bd5ac5, 0x782d44fad24cfb46, 0x3aff57b0470b382d, 0xf80cd19d8b9621ec,
  0x5cce8438dfc37931, 0xada93619dd202f9e, 0xbd9e9827c602416c, 0xd67b4ae22c800948, 0xdcbe20614327caea,
  0x35e1fe657ed13ba7, 0xa3a1f6c31b8e1d83, 0x2847242ac0f104de, 0xc00dc3e057f98d02, 0x432bb8bddf1779d7,
  0x9b7dc54219684724, 0x9cbdbd257fd01cf0, 0xffef87305855998b, 0x1b8bea8c9d520bc3, 0xdc6883cf12701cec,
  0xf51f097e21b09117, 0x33c5dcdae75f0aa3, 0xf2b95d29dadcdaf9, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2,
  0xa426be96c65c709c, 0x68cf539d5db8a58e, 0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767,
  0xcccaccb31be22aa3, 0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x72bb54b7d54df673, 0xe492fe9a64d70202,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0x2ec31dbfdeaa8b48, 0x357079b288c5fcdb,
  0xfc1bf411a2c6f8b9, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0x77176a792bf73433, 0x0000000000200021,
};

// m8a_swio13_dual_hw
static const uint64_t ur_m8_swio13_dual_hw[] = {
  0x7f777776890c5aa4, 0xcdad7ec35fed6ac4, 0xacfb7448f258666e, 0xa29b0624eb20a375, 0xc113924c69dba47e,
  0xda93853bb0fa6d36, 0xcdf9827c602416ca, 0xacf695c459001291, 0xb97c40c2864f95d5, 0xe628bf997612774f,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x0517fdf9d4c16156, 0x7ea3f7477cb2d7a4, 0x628bb7e38e5581ef, 0x7c8d31398b01758a,
  0x3ff6608ebc06a769, 0xe07967b63e0df540, 0xcfe67d1cccacc538, 0xc80e64836bcb955a, 0x54df673a8a9546ba,
  0x4d7020272bb54b7d, 0x7974c4ae492fe9a6, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x462fe6d976455bfd, 0x539fa82ec6e3cd94, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000018dd507185f,
};

// m8a_swio13_dual_ee_hw
static const uint64_t ur_m8_swio13_dual_ee_hw[] = {
  0xcf5b777776890c86, 0x8ecdad7ec0beb8ea, 0xef5c2f77650f6c9c, 0x629c245b105947f3, 0x843b36eb7e9469bd,
  0x792bbbbb1bb3798a, 0x304f8c0482d95b52, 0xa571164004a45927, 0x1030a193e5756b3d, 0xd7e65d849dd3ee5f,
  0x8d6d813a3825a982, 0x47242ac0f4dcdea3, 0x0dc3e057f98d0228, 0x95dc5eef8bbcc020, 0x1ee2a10cb417da21,
  0x2f6fa6bfe80e784c, 0xdf9d4c16156662e7, 0x355ad1feea4016bf, 0x3660c3dfa8f2bb75, 0xc5a6ef8af7dfa8f8,
  0x96c65c709c370ebe, 0xb94b5c09f9a426be, 0x66ec1ed19ea73ab4, 0x51c436355ae875ec, 0x2ef76701c762d39c,
  0xc45546c11fadc37b, 0xfccfa39995980437, 0x01cc906d7972ab59, 0x9bece75152a8d759, 0xae0404e576a96faa,
  0x2e9895c925fd34c9, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xc5fcdb2ec8ab7fbd,
  0x73f505d8dc79b288, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000002bb456a0be9,
};

// m8a_swio13_dual_ce_hw
static const uint64_t ur_m8_swio13_dual_ce_hw[] = {
  0x6edddddda243359b, 0x136b5fb171403ab0, 0x6e4cdd1ed61a0dc7, 0xc4f2576573a8bd9f, 0xd75eec2d9f7ba1ba,
  0x6a4ae3770f0cc29a, 0x806609f180905b2b, 0x67b4ae22c8009487, 0xcbe20614327caead, 0x31c1fccbb093ba7d,
  0xd47b75b0d9c708e5, 0x4508e485581e049b, 0x7c01b87c0aff31a0, 0x4432bb8bddf177f4, 0x09827c542196807b,
  0xb9cbdb8cdffd01cf, 0x1ff7e75305855998, 0x486b5c5f57f2901c, 0x445f71a20f3c49c8, 0x643fd47c25f886c2,
  0x789f99e2ee6d7eb3, 0x0ed6f51c27cf72c6, 0x8b0157dc891c72ac, 0xbc06a7697c8d3139, 0x3e0df5403ff6678e,
  0x332b314e381e5adc, 0xdaf2e556b3f99f47, 0xa2a551aeb2039920, 0xcaed52df5537d9ce, 0x924bfa69935c0809,
  0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0xbb0c76ff7aaa2d23, 0x6371e6ca2317f36c,
  0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x6eabb02fa792bf73, 0x0000000000000002,
};

// m8a_swio13_dual_ee_ce_hw
static const uint64_t ur_m8_swio13_dual_ee_ce_hw[] = {
  0x24cddddddd437089, 0x4e36b5fb71f1f9ab, 0xf7af7ba55e588053, 0x7114e2d56820f935, 0x25f5f263d3a66932,
  0x4bbaf27acadada58, 0x4f8c0482d95b526c, 0xe22c800948f3d730, 0x614327caead67b4a, 0xccbb093ba7dcbe20,
  0x1b0d34707f93620f, 0x90ab03b1f9bd470d, 0x0f815fe63408a11c, 0x717bbe2efea70037, 0x8a8432d060a88657,
  0x735bffa039e13487, 0xea60b0ab3317397b, 0xea8f2b520c41fefc, 0x47e78939093fc3bf, 0x7c984e7736b92565,
  0xea3cae574a76b2b1, 0xbcadea3e0d983dbf, 0x270dc3afb1698a62, 0x63a909afa5b1971c, 0x83da33d4e7576e29,
  0x0d8d578d8ebd8cdd, 0xd9c071d8b4e71471, 0xa8d8226470decbbd, 0xf47332b32cc6f88a, 0x920daf2e556b3f99,
  0x9cea2a551aeb2039, 0x809caed52df5537d, 0x12b924bfa69935c0, 0xb5d73daad115e5d3, 0xa417296be74079bd,
  0xd23b73d0ea9c0842, 0x36cbb0c76ff7aaa2, 0xcfec371e6ca2317f, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x1134f9c0be9e4afd,
};

// m8a_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m8_swio13_dual_ee_ce_u4_hw[] = {
  0xbeeeeeed1468b202, 0xdad7ed50eaf7ab58, 0x705ba89f5a499f68, 0x3d875feaf608e17a, 0x263f019a33b172c4,
  0xeb748c778393f86f, 0x120b656d49b0ceef, 0x004a45ecf4c13e30, 0x3e5756b3da571164, 0xa9dd3ee5f1030a19,
  0xe1d8335e1fe65906, 0x104dea3a1f6c31b8, 0x98d022847242ac0f, 0x779d7c00dc3e057f, 0x84724432bb8bddf1,
  0x01cf09b7dc542196, 0x5998b9cbdbd257fd, 0x82f0fffa8dd30585, 0x84bb06e2faa32754, 0x445f71a20f3c58be,
  0x164fd47c25f886c2, 0x6be4cf17736bbb76, 0xfea3cae574a76b73, 0x2bcadea3e0d983db, 0xc270dc3afb1698a6,
  0x963a909afa5b1971, 0xd83da33d4e7576e2, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4e7147, 0xaa8d8226470decbb,
  0x9f47332b32cc6f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809caed52df5537, 0x312b924bfa69935c,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36cbb0c76ff7aaa, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x075d79e87a02e792,
};

// m8a_swio14_noled
static const uint64_t ur_m8_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x16cada93ba0bd04d, 0xf767fba9827c6024, 0x9df2dd05203d7ff9, 0x1c72ac0ebffa8f10, 0x398b016f74c7afc9,
  0x0475e2e7683e8c9a, 0xb955a9584f6e3963, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x56c7efe9a64d674d,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb3d6e2adfef554, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x002a41d2d96a792b,
};

// m8a_swio14_noled_pr
static const uint64_t ur_m8_swio14_noled_pr[] = {
  0xf7777743d7d8ad4e, 0xbbb5572290044a38, 0xb8ef5fb1a0b609e0, 0xac1c44cd88ecf6a7, 0x6350eb4dd8e3d059,
  0xa4ee989b8256d19e, 0x3e609f180905b2b6, 0xf74836fffb5933e6, 0x81935ea382877cb6, 0xb2ca6dbf2fa38e55,
  0xf3b2d746229cc580, 0x9e5403ff6608ebd1, 0xb567dd03cb3dbe90, 0x75901cc906d7972a, 0xaa5beace75152a8d,
  0xfdfd34c9ace9b95d, 0xf6ab4457974c4ad8, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x7adc55bfdeaa8b4c,
  0x6ae0f365118bf9b6, 0xe40eda1a2ce9f172, 0xfe50c2a73f53ab31, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826,
  0x52d9f0271964b867, 0xb3c95fb9a19961d2, 0x0000000f935d966e,
};

// m8a_swio14_noled_pr_u4
static const uint64_t ur_m8_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f4b128, 0xfb98e9a0dc48c227, 0x8771c7c7fc5f07f1, 0x36c99ecfdd8882fe,
  0xd49dd31370490466, 0xdd4c13e30120b656, 0xba0a407affb5933f, 0x581d7ff51e213be5, 0x02dee98f5f9238e5,
  0xc5ced07d19347316, 0x52b09edc72c608eb, 0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xdfd34c9ace9b95da,
  0x6ab4457974c4ad8f, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0xadc55bfdeaa8b4c3, 0xae0f365118bf9b67,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x6766eb3c95fb9a19, 0x0000000000007c99,
};

// m8a_swio14_noled_pr_ee
static const uint64_t ur_m8_swio14_noled_pr_ee[] = {
  0x2a137777777b1762, 0x9369ddaabf0bad11, 0x78d3da17bb6dd7f8, 0xa847914ce3faa6ec, 0x4767ef17b2020da0,
  0xcada93bb4cd19fd3, 0xcf8d69827c602416, 0x68f6fd20d37fed64, 0x39c7d4795b939aad, 0xbbe2b80dea3e0d98,
  0x971c270dc3afb169, 0xeb8a266909afa5b1, 0x9ef47914e75697db, 0xab1aad743af5d4dd, 0x6701c762d3b868c9,
  0x70d7df5b86f65c39, 0x4073241b5e5caad5, 0x6fab39d454aa35d6, 0xf4d326b3a6e576a9, 0xad115e5d312b63f7,
  0xa78629bd677973da, 0x70a45021696bfc46, 0x8c5fcdb4f43aa702, 0x3458f38b93571b28, 0x2b93f75663c81db4,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00029f153acdd679,
};

// m8a_swio14_noled_pr_ee_u4
static const uint64_t ur_m8_swio14_noled_pr_ee_u4[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0x6d49dd57ccfa0d96, 0xce0cc13e30120b65, 0xcc7d20d9dff700e7, 0xa3d47959759aad68, 0xe2b387ea3e0d983e,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x011fc873ab4b9455, 0xd8d56ba1d79d3764, 0x9c071d8b4def47bd,
  0x8d823f5b86f65b2f, 0xbcb955a8044f73ca, 0xa9546bac80e64836, 0x4dcaed52df5673a8, 0x6256c7efe9a64d67,
  0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x5fcdb3d6e2adfef5, 0x6f8b9357079b288c,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x013ae10bd3919e4a,
};

// m8a_swio14_noled_pr_ce
static const uint64_t ur_m8_swio14_noled_pr_ce[] = {
  0xbf37777777b15a91, 0x368eed55c8a61512, 0x067b8bf684dde1c4, 0xab682326f4ec7edb, 0xb2ed905a3c7eedf9,
  0xd95b52775a2f4ea8, 0x99f2eb304f8c0482, 0x7fd66ea41f3bfdac, 0x068fcf002c1c4ac7, 0x05d64c273b9b5ffe,
  0xc0d67fa8ebe4f72c, 0xcc580b224dd1c72a, 0x8ebd1f3b2d746229, 0x6ee909e5403ff667, 0x5e5caad59f740f2d,
  0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x312b63f7f4d326b3, 0x7f5d73daad115e5d, 0x077536294f0d3bc7,
  0xaa2d30ca7a1d5381, 0x5fcdb3d6cc76ff7a, 0x58f38b93571b288c, 0x93f75663c81db434, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x0b753852cdd6792b,
};

// m8a_swio14_noled_pr_ce_u4
static const uint64_t ur_m8_swio14_noled_pr_ce_u4[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0xcada93bad88e72c1, 0xcfe9b9827c602416, 0x7d7baa4195bfee01, 0x20f3c00b5a4c0971, 0xc25f886c2445f71a,
  0x2ee6d7eb3643fd47, 0x3af93dcb19fac99e, 0x937471cab0359fea, 0xcb5d188a731602c8, 0x500ffd99e3af47ce,
  0x67dd03cb5bba4279, 0x901cc906d7972ab5, 0x5beace75152a8d75, 0xfd34c9ace9b95daa, 0xab4457974c4ad8fd,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xb31dbfdeaa8b4c32, 0xc1e6ca2317f36cf5, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xf4e46792bf734332, 0x0000000001baf756,
};

// m8a_swio14_noled_pr_ee_ce
static const uint64_t ur_m8_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0xda93baec95f14e9c, 0x4db9827c602416ca, 0x5d6900cdffdc039f, 0x005ad218f9dff546, 0x39dcdaf494ce5f9e,
  0xb90f29dacac7be61, 0xd47c1b307a57a8f2, 0x875f62d314c56e97, 0x135f4b632e384e1b, 0x7f21ceaedc514752,
  0xabc6c75e74dd9004, 0x38ec5a6f7a3deec6, 0x08991c37b2d97ce0, 0xe556a5993dcf2a36, 0x51aeb2039920daf2,
  0x2bb54b7d59cea2a5, 0x5b1fbfa699359d37, 0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b,
  0x6d9eb663b7fbd551, 0x9c5c9ab8d94462fe, 0xbab31e40fca1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0x4d17da7233c95fb9, 0x0000000000000053,
};

// m8a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m8_swio14_noled_pr_ee_ce_u4[] = {
  0x86eeeeed173e306a, 0x1776aafea713a244, 0x3b4a56b4b0660bf3, 0x540056ee0c715c65, 0xb323c942cb679218,
  0x3bb55f930eb210c0, 0x9827c602416cada9, 0x9056ffff7c3cf8a4, 0xb9ddaddc5f547a6e, 0xc2445f71a20f3c00,
  0x76164fd47c25f886, 0x736f7ccf17736bbb, 0xe95ea3cae43ca76b, 0x5315ba5f51f06cc1, 0xb8e1386e1d7d8b4c,
  0x71451d484d7d2d8c, 0xd3764011fc873abb, 0xe8f7bb1aaf1b1d79, 0xcb65f380e3b169bd, 0xf73ca8d8226470de,
  0x64836bcb955a9664, 0x673a8a9546bac80e, 0x64d674dcaed52df5, 0x2bcba6256c7efe9a, 0xa778efebae7b55a2,
  0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0x65118bf9b67ad98e, 0xe3458df1726ae0f3, 0xa73f53ab31e40cd3,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000004fc2717e59b,
};

// m8a_swio14_noled_hw
static const uint64_t ur_m8_swio14_noled_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x16cada93ba0bd04d, 0x71e7fba9827c6024, 0x4ef96e82901ebff8, 0x8e3956075ffd4788, 0x1cc580b7ba63d7e4,
  0x823af173b41f464d, 0x5caad4ac27b71cb1, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0x2b63f7f4d326b3a6,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xe6d9eb7156ff7aaa, 0xc9f9fd86ed94462f,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x0000238875453c95,
};

// m8a_swio14_noled_ee_hw
static const uint64_t ur_m8_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xdab22101b020da08,
  0x6cada93baf5a716f, 0x4cf9c19827c60241, 0x6b4663e906ceffa1, 0xc1f51ea3cacbacd5, 0x4ddf159c3f51f06c,
  0x8cb8e1386e1d7d8b, 0xa2ae3593484d7d2d, 0xbb2008fe439d5a5c, 0x3deec6ab5d0ebce9, 0xd97ce038ec5a6f7a,
  0x9e546c11fadc37b2, 0x41b5e5caad40227b, 0x9d454aa35d640732, 0x6b3a6e576a96fab3, 0xe5d312b63f7f4d32,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x4462fe6d9eb7156f, 0x1539fa82ec6e3cd9,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874,
  0x000000016ff7c105,
};

// m8a_swio14_noled_ce_hw
static const uint64_t ur_m8_swio14_noled_ce_hw[] = {
  0xe4dddddda2432493, 0xf8eed55e110fdc49, 0x9ed45dd267c7d83d, 0x4d9febc6b833641a, 0x5a76a85b4bc2b75e,
  0x905b2b6a4ee86e41, 0xe8533fa6e609f180, 0x09717d7baa4195bf, 0x7dc6883cf127212c, 0x7f51f097e21b0911,
  0xb2678bb9b5f1bbb0, 0x67fa8ebe4f72c67e, 0x80b224dd1c72ac0d, 0xd1f3b2d746229cc5, 0x909e5403ff6678eb,
  0xcaad59f740f2d6ee, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0xb63f7f4d326b3a6e, 0xd73daad115e5d312,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0xdb3d6cc76ff7aaa2, 0x05d8dc79b288c5fc, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x759b30440be9e4af,
};

// m8_swio14_noled_ee_ce_u4_hw       m8a_swio14_noled_ee_ce_hw         m8a_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m8_swio14_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x302cc8f250b2d9e4,
  0x56d49ddb1751fd40, 0x7c524c13e30120b6, 0x47a6e9056fffd0a6, 0xe78939095addc5f5, 0xbf10d8488bee3441,
  0x6d70001b77fa8f84, 0x94ed6e6def99e2ee, 0x0d983d2bd4795c87, 0xb1698a62b74bea3e, 0xa5b1971c270dc3af,
  0xe7576e28a3a909af, 0x63af3a6ec8023f90, 0x2d37bd1ef76355e3, 0x8e1bd96cbe701c76, 0x52cc9ee7951b044c,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xdfd34c9ace9b95da, 0x6ab4457974c4ad8f, 0xa53c34ef1dfd75cf,
  0x29e8754e041dd4d8, 0x5b31dbfdeaa8b4c3, 0x371e6ca2317f36cf, 0xef79430a9cfd4176, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x413582fa792bf734, 0x0000000000000140,
};

// m8a_swio14_lednop
static const uint64_t ur_m8_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x0120b656d49dd85e, 0xff9f767e034c13e3, 0xf243be5ba0a401ef, 0x4c638e5581d7ff51, 0xf48731602dee9b4a,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0x317f36d3d0ea9c0a, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000a9170b65a9,
};

// m8a_swio14_lednop_pr
static const uint64_t ur_m8_swio14_lednop_pr[] = {
  0x7bbbbbba83d8bf82, 0xbbb557229e3e251c, 0xea9bdbf30fb609e0, 0x35838a002665eec9, 0xc7c2f75fbb1c7a0b,
  0x527757189137706e, 0xf7304f8c0482d95b, 0x7ba411effdac99f5, 0xc0c9af51d003be5b, 0x2cb29a3de951c72a,
  0x7ced10a31be73160, 0xe91500ffd9823af4, 0x56afadc0f2cf6c45, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551,
  0xa69935c0809d372b, 0x688af2e9895cbec7, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8,
  0xe6ca2317f36c648a, 0xb434596af2e4d5c1, 0x854e7ea75663c81d, 0xf343c899e04e34a1, 0x2c970cf4c2b93f01,
  0x332c3a4a5b3e04e3, 0x6812cdd6792bf734, 0x00000000000001f2,
};

// m8a_swio14_lednop_pr_u4
static const uint64_t ur_m8_swio14_lednop_pr_u4[] = {
  0x89bbbbbb45d8b562, 0xd6eed55c8a569128, 0x3df1fb87c6d06113, 0x7f43b8e3da1377d4, 0x5c1db6338feec441,
  0xb2b6a4eefd383785, 0x33f01a609f180905, 0x7cb7414803dffb59, 0x1cab03affea3e487, 0x62c05bdd369498c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x1aeb2039920daf2e, 0xbb54b7d59cea2a55, 0x7a69935c0809d372,
  0x5688af2e9895cbec, 0x4d8b3a03cfd6b9ed, 0x02169ab9d5ea5859, 0x6da7a1d538145f45, 0x5c9ab83cd94462fe,
  0x598f2076d0d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x934d059bacf257ee, 0x000000000000000f,
};

// m8a_swio14_lednop_pr_ee
static const uint64_t ur_m8_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0xa9827c602416cada, 0xfa4035bfee01cfa5, 0xa8f2b60b355ad198, 0x650fd47c1b307d47,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x39b8e756974acb8d, 0xaad743af3a6edd42, 0x0e3b169fc88e32b1,
  0x047eb70decb65f38, 0x72ab500ba427951b, 0xa8d75901cc906d79, 0x95daa5beace75152, 0x63d34c9ae0404e9b,
  0x6ab4457974c4ae5f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x455bfdeaa8b48edc, 0xe0f365118bf9b632,
  0x0fca1a2ce9f1726a, 0x50c2a73f53ab31e4, 0x9133c5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000009d7c63a7233,
};

// m8a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m8_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0xa93ba75a3509167d, 0xd69827c602416cad, 0xdfa41a6ffee01cf8, 0xfa8f2b387355ad1e, 0x5721fd47c1b30738,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x47109cead2f52971, 0xaad743af5d4dda71, 0x1c762d35ae8c45b1,
  0x49f5b86f65c39670, 0xcc906d7972ab55c7, 0xace75152a8d75901, 0xe0404e9b95daa5be, 0x74c4ae5f63d34c9a,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x8bf9b632455bfdea, 0x8df1726ae0f36511,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x0004eb967a7233c9,
};

// m8a_swio14_lednop_pr_ce
static const uint64_t ur_m8_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf7c5a450e2, 0xd5b41193c29e9971, 0xf06c199b00bf76fc,
  0xd95b527757189123, 0x99f60b304f8c0482, 0x7fd66ea4070ffdac, 0x9dbfcf002c1c90e7, 0x1759309cee6d74db,
  0x06b3fd4797d3dcb0, 0x62c0532a718e3956, 0x75e8f9da214637ce, 0x708bd22a01ffb33c, 0x7972ab57d6e0796b,
  0x52a8d75901cc906d, 0x9b95daa5beace751, 0x5f63d34c9ae0404e, 0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75,
  0xdcf43aa70210a905, 0x6431dbfdeaa8b48e, 0xe4d5c6ca2317f36c, 0x98f2076d0d163ce2, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x9cb3759e4afdcd0c, 0x0000000000005bae,
};

// m8a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m8_swio14_lednop_pr_ce_u4[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0x656d49dd1ec5aa38, 0xe7e394c13e30120b, 0xbebdd520b75ff700, 0x1079e005ad26fbb8, 0xe12fc4361222fb8d,
  0x17736bdc89257ea3, 0x3cbe9ee58cfd64cf, 0x538c71cab0359fea, 0xd10a31be73160299, 0x500ffd99e3af47ce,
  0xbeb703cb5b845e91, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0x64d7020274dcaed5, 0x2bcba62572fb1e9a,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x5118bf9b63218edf, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000375d341a723,
};

// m8a_swio14_lednop_pr_ee_ce
static const uint64_t ur_m8_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0xda93bb61b653d649, 0xbfc9827c602416ca, 0x975a401a3fee01cf, 0xc00b5a4ff877fd51, 0x4e7736be54341ff3,
  0xaca5ca76b2b1ef98, 0xf51f06cc1e95ea3c, 0xe1d7d8b4c5315975, 0x84d7d2d8cb8e1386, 0x1cdc73abb72561d4,
  0xaaf1b1d79d376ea1, 0x0e3b169fc88e32b1, 0x8226470decb65f38, 0xb955a967d213ca8d, 0x546bac80e64836bc,
  0xcaed52df5673a8a9, 0xb1e9a64d7020274d, 0xb55a22bcba62572f, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5,
  0x18edfef5545a476e, 0x6ae365118bf9b632, 0x7903f2868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xe9c8cf257ee68665, 0x00000000029a63cb,
};

// m8a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c7a31, 0x2eed55fd4ec4c489, 0xb6b4eda166ec17e6, 0xa800adc4eb834cde, 0x4cce5d8596cf2430,
  0x77513f0fbed03e37, 0x304f8c0482d95b52, 0x4087dffdf0f3fd83, 0xe76d77717d51e9ba, 0x09117dc6883cf002,
  0xf8fbbf51f097e21b, 0x9b7be678bb9b5f87, 0x4af51e5652e53b5b, 0x98acbafa8f83660f, 0xc709c370ebec5a62,
  0x92b0ea426be96c65, 0x9bb7508e6e39d5db, 0x471958d578d8ebce, 0x5b2f9c071d8b4fe4, 0x09e546c1132386f6,
  0x241b5e5caad4b3e9, 0x39d454aa35d64073, 0x1013a6e576a96fab, 0x312b97d8f4d326b8, 0xdb5d73daad115e5d,
  0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xfcdb190c76ff7aaa, 0xf8b9357079b288c5, 0xd598f20669f1a2c6,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x7e47d7f2cdcf257e, 0x0000000000000002,
};

// m8a_swio14_lednop_hw
static const uint64_t ur_m8_swio14_lednop_hw[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x0120b656d49dd85e, 0xff871e7e034c13e3, 0xf921df2dd05200f7, 0x2631c72ac0ebffa8, 0xfa4398b016f74da5,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546bac80e6483, 0x74dcaed52df5673a, 0x72fb1e9a64d70202,
  0xae7b55a22bcba625, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0x18bf9b69e8754e05, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000000008e25c514,
};

// m8a_swio14_lednop_ee_hw
static const uint64_t ur_m8_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x9c695a2e2f106d04,
  0xd95b527740524cd3, 0x99f4b5304f8c0482, 0xd68cc7d201adff42, 0x83ea3d4795b059aa, 0x9bbe2b287ea3e0d9,
  0x1971c270dc3afb16, 0x565c6b26909afa5b, 0x76ea11cdc73ab4ba, 0x71958d56ba1d79d3, 0xb2f9c071d8b4fe44,
  0x3ca8d823f5b86f65, 0x836bcb955a805d21, 0x3a8a9546bac80e64, 0x0274dcaed52df567, 0x2572fb1e9a64d702,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xcdb1922adfef5545, 0x505d8dc79b288c5f,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x002dffc930be9e4a,
};

// m8a_swio14_lednop_ce_hw
static const uint64_t ur_m8_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121be4a, 0xfc776aaf08834e24, 0x4f48fee8db622c1e, 0x4d9febc6b9fb0676, 0x6d57c103d741375e,
  0x482d95b52774a51d, 0xf4299f8e5304f8c0, 0xfbb8bebdd520b75f, 0xbee3441e78939096, 0xdfa8f84bf10d8488,
  0x5933c5dcdae6b730, 0x67fa8f2fa7b9633f, 0x80a654e31c72ac0d, 0xd1f3b4428c6f9cc5, 0x17a45403ff6678eb,
  0xe556afadc0f2d6e1, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0xc7a69935c0809d37, 0xd5688af2e9895cbe,
  0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x63b7fbd551691db9, 0xe3cd94462fe6d8c8, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe4985f4f257ee686,
  0x000000000003acdb,
};

// m8_swio14_lednop_ee_ce_u4_hw      m8a_swio14_lednop_ee_ce_hw        m8a_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x62eed55fd4ec4c48, 0x9ebd6dda166ec17e, 0x86150015b89d7069, 0xe6e999cbb0b2d9e4,
  0x95b527777ec2da9a, 0x3fd83304f8c0482d, 0xa3d374810fbfe853, 0xf3c49c849aeee2fa, 0x5f886c2445f71a20,
  0x6d7e41d5d7fd47c2, 0x94ed6e6def99e2ee, 0x0d983d2bd479594b, 0xb1698a62b2ebea3e, 0xa5b1971c270dc3af,
  0xe7576e4ac3a909af, 0x63af3a6edd4239b8, 0x2d3f911c656355e3, 0x8e1bd96cbe701c76, 0x52cfa427951b044c,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0x4c9ae0404e9b95da, 0x457974c4ae5f63d3, 0xd01e6f6d75cf6ab4,
  0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0xca2317f36c6431db, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x0000000014043270,
};

// m8_swio14_dual_pr                 m8a_swio14_dual                   m8a_swio14_dual_pr
static const uint64_t ur_m8_swio14_dual[] = {
  0xc8eeeeeeef3e6d3a, 0xd9b5afd86bce2d5a, 0xab59f6c71f230ccd, 0x29b1f4c7b3620dd1, 0x30e76ca7adbb646a,
  0x4e14eeb9db36eb79, 0x6609f180905b2b6a, 0xda571164004a4022, 0xf1030a193e5756b3, 0x8bf994d6a9dd3ee5,
  0x78f7b07f0e0bee62, 0x847242ac0fba9bd4, 0x00dc3e057f98d022, 0x0caee2f77c5df6b6, 0x9ad68a8432d08c91,
  0xce5edcbaffd01cf0, 0x5fed64982c2accc5, 0x8f221df2c3e520a9, 0x2bba8e39560622fa, 0x1bde731602eb14d5,
  0xf6608ebc06a76051, 0xf2cf6f22c1f5403f, 0xccfa3999599485c0, 0x1cc906d7972ab59f, 0xeace75152a8d7590,
  0xae0404e9b95daa5b, 0x974c4ae5f63d34c9, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70,
  0x18bf9b632455bfde, 0xb1e71726ae0f3651, 0x3f75663c819a7c68, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x031039f7966e792b,
};

// m8a_swio14_dual_pr_u4
static const uint64_t ur_m8_swio14_dual_pr_u4[] = {
  0x23bbbbbb4486ff3e, 0x66d6bf61af38b56b, 0xd8d5bb1c7c8c3337, 0x514d8fa63d9b106e, 0xaf673b653d6ddb23,
  0x270a7734f15ec75e, 0x3304f8c0482d95b5, 0xed2b88b200252011, 0xf881850c9f2bab59, 0x517f32ec24ee9f72,
  0x8f1ef60fe1c17dcc, 0x508e485581f7537a, 0xc01b87c0aff31a04, 0x2195dc5eef8bbed6, 0x135ad150865a1192,
  0xb9cbdb975ffa039e, 0x57fdc03305855998, 0xa3c8877cb0f9482a, 0x4aeea38e558188be, 0x46f79cc580bac535,
  0xfd9823af01a9d814, 0x3cb3dbc8b07d500f, 0xf33e8e6656652170, 0x073241b5e5caad67, 0xfab39d454aa35d64,
  0x6b81013a6e576a96, 0xe5d312b97d8f4d32, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c,
  0x462fe6d8c9156ff7, 0x771a2c6f86e3cd94, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7ec3343c899e07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x4f9e4afdcd0ccb0e, 0x00000014935ad56c,
};

// m8a_swio14_dual_pr_ee
static const uint64_t ur_m8_swio14_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0xcdad7ec0bfbbd58a, 0xa0fb77ed1dac9c8e, 0x709101489f55f62f, 0x577d17fa51a6528a,
  0x74b235d66d0ab326, 0x180905b2b6a4f257, 0x2c8009484e3e609f, 0x4327caead67b4ae2, 0xbb093ba7dcbe2061,
  0x0274704b5305afcc, 0x5581e9b9bd471adb, 0xc0aff31a04508e48, 0xbddf177f37c01b87, 0x4219682fb4432bb8,
  0x6dffd01cf0983dc5, 0x305855998b9cbdba, 0x465169050fffdc03, 0x995ea3caf7dcd56b, 0xdf15caef51f06cc1,
  0xb8e1386e1d7d8b4d, 0xb813f3484d7d2d8c, 0x6523d28e756972ea, 0x36355ae875ec66ec, 0xce038ec5a72f91a6,
  0x8d823f5b86f65dee, 0x47332b300a0fdaca, 0x20daf2e556b3f99f, 0xcea2a551aeb20399, 0x809d372bb54b7d59,
  0x895cbec7a69935c0, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xf36c648ab7fbd551,
  0xb2d5e371e6ca2317, 0xfd4eaccdfc1ddc68, 0x9133c09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x627cf257ee686658, 0x000000000ac8f5bb,
};

// m8a_swio14_dual_pr_ee_u4
static const uint64_t ur_m8_swio14_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0x44dad7ec0bf7ef56, 0xadeef747b586b822, 0x33816b05d96d8bc6, 0xa40355f45fe9469b,
  0xfa6ee78233a70b53, 0xc13e30120b656d49, 0x95c4590012909c7c, 0x40c2864f95d5acf6, 0x5f997612774fb97c,
  0xa6f61158e035a627, 0x1c90ab03cad37a8f, 0x370f815fe63408a1, 0x2bb8bddf177d2500, 0x224542196847b443,
  0x5edd36ffe80e784d, 0xee01982c2accc5ce, 0x355ad1bf948287ff, 0x3660c27fa8f2b60b, 0xc5a6ef8ae43fa8f8,
  0x96c65c709c370ebe, 0xb9455c0719a426be, 0x9a769c51cdc73ab4, 0xe8e32b1aad743af2, 0xcb726701c762d35a,
  0x66566b8e93eb70de, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0x8c5fcdb4f43aa702, 0xee3458df0dc79b28,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x9f3c95fb9a19961d, 0x00000002b2042ed8,
};

// m8a_swio14_dual_pr_ce
static const uint64_t ur_m8_swio14_dual_pr_ce[] = {
  0x91ddddddde7cd0e3, 0x036b5fb0d78d5ab7, 0xde8ebe991b836442, 0xc69c714e5b28056f, 0x53ecb11d6ddf234c,
  0x8bddd5c6d0535f22, 0x827c602416cada93, 0x2b88b20025235419, 0x81850c9f2bab59ed, 0xfcca6b54ee9f72f8,
  0x27b0f9c7090f3175, 0xe485581afb9bd477, 0xb87c0aff31a04508, 0x5dc5eef8bbff5c01, 0xaf150865a1922219,
  0x7b7df7ff4073c265, 0xb59260b0ab331739, 0x1ceffacdd480e1ff, 0xf4d3fcfcf002e772, 0x72c05d64c273b9b5,
  0xe5581acff51e5f4f, 0xdf398b014ca9c638, 0x8cf1d7a3e7688518, 0x8e665663a83fb8e5, 0x41b5e5caad67f33e,
  0x9d454aa35d640732, 0x013a6e576a96fab3, 0x12b97d8f4d326b81, 0xb5d73daad115e5d3, 0xa417296be74079bd,
  0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x8b9357079b288c5f, 0xb31e40cd3e3458f3, 0x964b867a615c9fba,
  0x19961d252d9f0271, 0x7a73cb373c95fb9a, 0x000000000000073d,
};

// m8a_swio14_dual_pr_ce_u4
static const uint64_t ur_m8_swio14_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x136b5fb171a2fd59, 0x9a16dd69c6e960f9, 0x8cd71c0b2af4fb49, 0x2acaafad46add476,
  0x93515dd2c8d75c3e, 0x49827c602416cada, 0xf695c45900129016, 0x7c40c2864f95d5ac, 0xd37f997612774fb9,
  0x8ea7b61958e1bee6, 0xa11c90ab032eb37a, 0x80370f815fe63408, 0x432bb8bddf177b21, 0x4d38c542196804f4,
  0xe72f6e96bfe80e78, 0x5ff700cc16156662, 0x96fbb8bebdd520b7, 0x88bee3441e789390, 0x723fa8f84bf10d84,
  0x3f5933c5dcdae951, 0x0d67fa8f2fa7b963, 0xc580a654e31c72ac, 0xebd1f3b4428c6f9c, 0x2b31d41fdc72c678,
  0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0xbec7a69935c0809d, 0x9ed5688af2e9895c,
  0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xc863b7fbd551691d, 0x86e3cd94462fe6d8, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x4913416c4f9e4afd, 0x0000000000000003,
};

// m8a_swio14_dual_pr_ee_ce
static const uint64_t ur_m8_swio14_dual_pr_ee_ce[] = {
  0xb7daddddddd432db, 0x69c6d6bf6e3ed3da, 0xb6fd5f773ed9f00a, 0xa9c453821fb8c3e0, 0x368339b36f4e99fd,
  0x4bb8e08ab0786675, 0x4f8c0482d95b526c, 0xe22c80094823d730, 0x614327caead67b4a, 0xccbb093ba7dcbe20,
  0x1b0d34707f93620f, 0x90ab03b1f9bd470d, 0x0f815fe63408a11c, 0xe2f77c5de30b8037, 0x150865a0c1510cae,
  0xfd83ff4073c2690f, 0x0cc16156662e72f6, 0xd51e04a416b7ff70, 0x3f9e24e4253b677f, 0xc984e7736b8224c0,
  0xa3caf2b4a76b2b17, 0xe04f51f06cc1f75e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x3291e9473abb7175,
  0x36355e363af63376, 0xce038ec5a72f91a6, 0x46c1132386f65dee, 0xa39995996707ed65, 0x906d7972ab59fccf,
  0xe75152a8d75901cc, 0x404e9b95daa5beac, 0xc4ae5f63d34c9ae0, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f,
  0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0x2c79c371e6ca2317, 0xc9fbab337f07771a, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x01304e93ad89f3c9,
};

// m8a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m8_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x5afdaa195ef56ebb, 0x82d402eb6933ed1b, 0xfbccdcda03e964d3, 0xe0668cfaecb10f6d,
  0x0ab39e5dc86b8b69, 0x6d49b0ceeac02101, 0x3f0cc13e30120b65, 0xb3da571164004a45, 0xe5f1030a193e5756,
  0xaf0ff32bf689dd3e, 0x1d0fb618dc70ec19, 0x42392156078826f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbde01,
  0xdbee2a10cb423922, 0xe5edee47fe80e784, 0xff7c3982c2accc5c, 0xdc5f546706901adf, 0xe3441e789380e7eb,
  0xa8f84bf10d8488be, 0x3c5dcdaef00c463f, 0x2bcad29dadcdaf93, 0x3d47c1b307dd7a8f, 0xb875f62d314c5781,
  0x2135f4b632e384e1, 0x47a51ceaedc5d475, 0xd578d8ebd8cdd8ca, 0x0e3b169cbe4698d8, 0x044c8e1bd977bb38,
  0x6656659c1fb5951b, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0x9357079b288c5fcd,
  0xdfc1bf411a2c6f8b, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x677176a792bf7343, 0x0000000000004001,
};

// m8a_swio14_dual_hw
static const uint64_t ur_m8_swio14_dual_hw[] = {
  0x47777776890c365a, 0xcdad7ec35e716ad6, 0xb1ab7638f918666e, 0xa29b1f4c7b3620dd, 0x6d0e76ca7adbb646,
  0x6d49c29dc4ddf5f6, 0x044cc13e30120b65, 0xd67b4ae22c800948, 0xdcbe20614327caea, 0x73145fccbb093ba7,
  0xdea3c7bd83f8705f, 0x8114239215607dd4, 0xb5b006e1f02bfcc6, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e5d7fe80, 0x152bfdf9d4c16156, 0x5f51e443be587ca4, 0x9aa57751c72ac0c4, 0x0a237bce62c05d62,
  0x07fecc11d780d4ec, 0xb81e59ede4583ea8, 0xb3f99f47332b3290, 0xb2039920daf2e556, 0x4b7d59cea2a551ae,
  0x9935c0809d372bb5, 0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0xca2317f36c648ab7, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000c6eab5a8,
};

// m8a_swio14_dual_ee_hw
static const uint64_t ur_m8_swio14_dual_ee_hw[] = {
  0x52b777776890cf68, 0x766d6bf605fddeac, 0x7d07dbbf68ed64e4, 0x5384880a44faafb1, 0x32bbe8bfd28d3294,
  0x92bb9a3ea75add99, 0x04f8c0482d95b527, 0x571164004a4271f3, 0x030a193e5756b3da, 0x7e65d849dd3ee5f1,
  0xd6d813a3825a982d, 0x7242ac0f4dcdea38, 0xdc3e057f98d02284, 0x5dc5eef8bbf9be00, 0xee2a10cb417da219,
  0xedd36ffe80e784c1, 0xf3a982c2accc5ce5, 0x56b465169050fffb, 0xcc1995ea3caf7dcd, 0xb4ddf15caef51f06,
  0xd8cb8e1386e1d7d8, 0x2eab813f3484d7d2, 0x6ec6523d28e75697, 0x1a636355ae875ec6, 0xdeece038ec5a72f9,
  0xaca8d823f5b86f65, 0x99f47332b300a0fd, 0x39920daf2e556b3f, 0xd59cea2a551aeb20, 0x5c0809d372bb54b7,
  0x2e9895cbec7a6993, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0x317f36c648ab7fbd,
  0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000aed3d6c2fa,
};

// m8a_swio14_dual_ce_hw
static const uint64_t ur_m8_swio14_dual_ce_hw[] = {
  0x0bdddddda2431f02, 0x26d6bf62e2a3fab4, 0xbb37ba769a741b8e, 0xc4f252955a1d78d5, 0x289ae89f62fbb02e,
  0x92b8ddca31166f4c, 0xa9827c602416cada, 0xed2b88b2002522e4, 0xf881850c9f2bab59, 0x707f32ec24ee9f72,
  0x1edd6c3671c2394c, 0x42392156078126f5, 0x006e1f02bfcc6811, 0x8657717bbe2efca8, 0x304f8a8432d00f68,
  0x397b7b1fffa039e1, 0xfefcea60b0ab3317, 0x8e5717d4c7d201ad, 0x17dc6883cf127212, 0xa3f51f097e21b091,
  0x4fccf17736bb37d2, 0x70fd47ea27b9633c, 0x0160304f8e395607, 0x0353b0288def398b, 0x60faa01ffb33c75e,
  0x2b3290b81e5add91, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0xbec7a69935c0809d,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xc863b7fbd551691d, 0xc6e3cd94462fe6d8,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xdd71885f4f257ee6, 0x0000000000000004,
};

// m8a_swio14_dual_ee_ce_hw
static const uint64_t ur_m8_swio14_dual_ee_ce_hw[] = {
  0x7daddddddd43573e, 0x9c6d6bf6e3ed3dab, 0x6fd5f773ed9f00a6, 0x9c453821fb8c3e0b, 0x68339b36f4e99fda,
  0x89772e2fbb375953, 0x09f180905b2b6a4d, 0x5c45900129047ae6, 0x0c2864f95d5acf69, 0xf997612774fb97c4,
  0xa361a68e0ff26c41, 0x921560763f37a8e1, 0xe1f02bfcc6811423, 0xdc5eef8bbc617006, 0xe2a10cb4182a2195,
  0xdfb07fe80e784d21, 0x3a982c2accc5ce5e, 0xf547812905adffbf, 0x97e78939094ed9df, 0x7c984e7736bd2533,
  0xea3caf2b4a76b2b1, 0x5e04f51f06cc1f75, 0x1386e1d7d8b4c531, 0x51d484d7d2d8cb8e, 0x63291e9473abb717,
  0x636355e363af6337, 0xece038ec5a72f91a, 0x546c1132386f65de, 0xfa39995996707ed6, 0xc906d7972ab59fcc,
  0xce75152a8d75901c, 0x0404e9b95daa5bea, 0x4c4ae5f63d34c9ae, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6,
  0x8b48edcf43aa7021, 0x7f36c6431dbfdeaa, 0x4fcfec371e6ca231, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x01134fa4e0be9e4a,
};

// m8a_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m8_swio14_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0xdad7ed50caf7ab75, 0xb26ea0175b499f68, 0x7b6fde66e6d01f6c, 0x5b4f033467d76588,
  0x57c80bda462e435c, 0x02416cada93619dc, 0x800948a7e19827c6, 0x27caead67b4ae22c, 0xd53ba7dcbe206143,
  0x1c3b066bc3fccb20, 0xe209bd4743ed8637, 0xf31a04508e485581, 0x2ef780401b87c0af, 0xd08e488657717bbe,
  0xa039e136fb8a8432, 0xab3317397b7b91ff, 0x901adfff51ba60b0, 0xd097ebdc5f546706, 0x488bee3441e78b17,
  0x9705fa8f84bf10d8, 0x36be4cf17736bf53, 0x75ea3caf2b4a76b7, 0x315e04f51f06cc1f, 0x8e1386e1d7d8b4c5,
  0x1751d484d7d2d8cb, 0x3763291e9473abb7, 0x1a636355e363af63, 0xdeece038ec5a72f9, 0xd6546c1132386f65,
  0xccfa39995996707e, 0x1cc906d7972ab59f, 0xeace75152a8d7590, 0xae0404e9b95daa5b, 0x974c4ae5f63d34c9,
  0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x317f36c6431dbfde, 0x9cfd4176371e6ca2,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000075d6717da02e,
};

// m8a_swio15_noled
static const uint64_t ur_m8_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0905b2b6a4eed8f6, 0xfcfbb3fb7e609f18, 0xf90ef96e9290751f, 0x92471cab03e7bd47, 0xe80e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ab57fbfa699359d,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xfe6d902455bfdeaa, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0002a4fad6cb53c9,
};

// m8a_swio15_noled_pr
static const uint64_t ur_m8_swio15_noled_pr[] = {
  0x4eeeeee87afb1762, 0x2eed55c8a171895c, 0x7af4f756438d8278, 0xcd6341db7e95e4c7, 0x85fe3c6beedc4e82,
  0xd49dda668cc19a3b, 0xfe4c13e30120b656, 0x41fa40657fb5933e, 0xb03e83d4797c77cb, 0x05965319538c71ca,
  0x47cecf7a3dece62c, 0x3269500ffd9823af, 0xaad556a81e59eddc, 0x35d64073241b5e5c, 0x6a96fabb39d454aa,
  0xff7f4d326b3a6e57, 0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0x2048ab7fbd551698,
  0x357079b288c5fcdb, 0xf2076d0d1674f8b9, 0x7f2861539fa9d598, 0x43c899e2e7197e62, 0xd30ae4fc73dffc13,
  0x296cf8138cb25c33, 0x59e4afdcd0ccb0e9, 0x00000001f2664b37,
};

// m8a_swio15_noled_pr_u4
static const uint64_t ur_m8_swio15_noled_pr_u4[] = {
  0xa937777768bb1762, 0x4f5bbb5572283225, 0xcc7617ea1c489184, 0x7f43bb8975f5a193, 0x8ee00db6f26eea41,
  0xcada93bb4cd19ad0, 0xcfedf9827c602416, 0xf96e9290751fed64, 0x1cab03e7bd47f90e, 0x62c05bdd37519247,
  0x1d78b9d86fa3e80e, 0x556a56135b8e58c1, 0x1aeb2039920daf2e, 0xb54b7d5d9cea2a55, 0x7fbfa699359d372b,
  0xf6ab4457974c4ab5, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x902455bfdeaa8b4c, 0x9ab83cd94462fe6d,
  0x8f2076d0d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x085d9bacf257ee68, 0x0000000000000f93,
};

// m8a_swio15_noled_pr_ee
static const uint64_t ur_m8_swio15_noled_pr_ee[] = {
  0x2f7bbbbbba88aaac, 0x369ddaabf0ba0912, 0xd0bd7afa36d88f89, 0xbdbc8a63afdc29a9, 0x9d0ccdd9b020da08,
  0xada93bbe451d9898, 0xf9c19827c602416c, 0x8ccaa41b3bfee01c, 0x403d4795a569aad6, 0xbe2b5f7ea3e0d983,
  0x71c270dc3afb169b, 0xb8a266909afa5b19, 0x4c518f873ab4b994, 0x2c6ab5d0ebd75376, 0xce038ec5a76b23e8,
  0x7021feb70decb872, 0x4073241b5e5caad5, 0xfabb39d454aa35d6, 0x4d326b3a6e576a96, 0x88af2e98956aff7f,
  0xc314deb3bcb9ed56, 0x5e2810b4b5fe2353, 0x2fe6da7a1d53811e, 0x2c79c5c9ab8d9446, 0xc9fbab31e40fca1a,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x0a7cdaf7a7233c95,
};

// m8a_swio15_noled_pr_ee_u4
static const uint64_t ur_m8_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0x49dd3b410e5d96aa, 0xb4c13e30120b656d, 0x5520df7ff700e7e2, 0xea3cadd2cd56b466, 0x5fcef51f06cc1a01,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1bde73ab4bc065c5, 0xab5d0ebd75376051, 0xe3b169e454770ec6,
  0xafadc37b2e1cb380, 0x64836bcb955aae09, 0x673a8a9546bac80e, 0x4d674dcaed52df57, 0xe5d312ad5fefe9a6,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x5118bf9b6409156f, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000004eba45fa723,
};

// m8a_swio15_noled_pr_ce
static const uint64_t ur_m8_swio15_noled_pr_ce[] = {
  0x8dadddddddec53c3, 0x0da3bb5572284844, 0xe2fd377a5ef9b871, 0xd5b416efb26d4c6d, 0x8c7136104cc774da,
  0xb656d49dd23f2eec, 0x267ca5cc13e30120, 0xdff5052903a5ff6b, 0x936ff3c00b073e71, 0x05d64c273b9b5f76,
  0x6064f7a8f374f72c, 0xe62c05ee8148e395, 0xe3af47cecf7a3dec, 0xb75c3269500ffd99, 0xd7972ab555aa0796,
  0x152a8d75901cc906, 0x9b95daa5beaece75, 0x255abfdfd34c9ace, 0xebae7b55a22bcba6, 0xeea6c529e1a778ef,
  0x45a6194f43aa7020, 0xfe6d90218edfef55, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x5bab71f66eb3c95f,
};

// m8a_swio15_noled_pr_ce_u4
static const uint64_t ur_m8_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0x656d49dd4149cba7, 0xe7f674c13e30120b, 0x7d76fd2095dff700, 0x20f3c00b5a4cad71, 0xc25f886c2445f71a,
  0x2ee6d74a8b91fd47, 0x3cdd3dcb19fac99e, 0xa05238e558193dea, 0xb3de8f7b398b017b, 0x5403ff6678ebd1f3,
  0x556a81e5add70c9a, 0x64073241b5e5caad, 0x6fabb39d454aa35d, 0xf4d326b3a6e576a9, 0x688af2e98956aff7,
  0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x63b7fbd551698653, 0x0f365118bf9b6408, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xa7233c95fb9a1996, 0x0000000006ebd595,
};

// m8a_swio15_noled_pr_ee_ce
static const uint64_t ur_m8_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0x6a4eebd69c452bed, 0xa6a609f180905b2b, 0x52e907fcffb8073f, 0x005ad258f9dff546, 0x39dcdae495951f9e,
  0xb38729dacac7be61, 0xd47c1b3067afa8f2, 0x875f62d314c5721f, 0x135f4b632e384e1b, 0x7921ceaeddfb8752,
  0xabc6c75e74ddb4a4, 0x71d8b4d314707ec6, 0x1132386f65b2f9c0, 0x955a9664d60b546c, 0x46bac80e64836bcb,
  0xed52df57673a8a95, 0x5fefe9a64d674dca, 0x3daad115e5d312ad, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753,
  0xc810c76ff7aaa2d3, 0x2e4d5c6ca2317f36, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0xc7fd3919e4afdcd0, 0x000000000000534e,
};

// m8a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m8_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c92df, 0x2eed55fd4f274496, 0x56bb2d1a78bc17e6, 0xa80019a33123f4ca, 0x7625608596cf5a30,
  0x3baa3e842af89b66, 0x9827c602416cada9, 0x206bbffef879fc6e, 0xb9de20b8bea8f675, 0xc2445f71a20f3c00,
  0x0b87ffd47c25f886, 0x736f7ccf17736bae, 0x9ebea3cace1ca76b, 0x5315c87f51f06cc1, 0xb8e1386e1d7d8b4c,
  0x77ee1d484d7d2d8c, 0xd376d291e4873abb, 0x51c1fb1aaf1b1d79, 0x96cbe701c762d34c, 0x582d51b044c8e1bd,
  0x920daf2e556a5993, 0x9cea2a551aeb2039, 0x359d372bb54b7d5d, 0x974c4ab57fbfa699, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x88c5fcdb20431dbf, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00027e6d7bf2cdcf,
};

// m8a_swio15_noled_hw
static const uint64_t ur_m8_swio15_noled_hw[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0905b2b6a4eed8f6, 0xfc38f3fb7e609f18, 0xfc877cb749483a8f, 0xc9238e5581f3dea3, 0xf40731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x255abfdfd34c9ace,
  0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x7f36c8122adfef55, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00000238beba29e4,
};

// m8a_swio15_noled_ee_hw
static const uint64_t ur_m8_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0x2b6a4eeb4efb5bb2, 0x3e4ea609f180905b, 0x68dfca4115bfe853, 0x613fd479594b9aad, 0x77c565d7d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xda523c90e75697fd, 0x1fb1aad743af3a6e, 0xbe701c762d34c51c,
  0xaa3608fd6e1bd96c, 0xb5e5caad40226b05, 0x454aa35d64073241, 0xa6e576a96fabb39d, 0x8956aff7f4d326b3,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x5fcdb2048ab7fbd5, 0x3f505d8dc79b288c,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000016f80560be9e,
};

// m8a_swio15_noled_ce_hw
static const uint64_t ur_m8_swio15_noled_ce_hw[] = {
  0x84dddddda2431768, 0xf8eed55e11219c4a, 0xded91dddb6ebd83d, 0x4d9febf8fe2f3631, 0x5a3d9eb8d3243768,
  0x905b2b6a4ee9ba3b, 0xe8533fb3a609f180, 0x5ae2faedfa412bbf, 0xfb8d1079e24e4259, 0xfea3e12fc4361222,
  0x64cf17736bfeb9ad, 0x9ef51e6e9ee58cfd, 0x80bdd0291c72ac0c, 0xe8f9d9ef47bd9cc5, 0x864d2a01ffb33c75,
  0xe556aab540f2d6eb, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0x57fbfa699359d372, 0xcf6ab4457974c4ab,
  0xd8a53c34ef1dfd75, 0xc329e8754e041dd4, 0xb20431dbfdeaa8b4, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xb37c21f0be9e4afd,
  0x000000000000000e,
};

// m8_swio15_noled_ee_ce_u4_hw       m8a_swio15_noled_ee_ce_hw         m8a_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m8_swio15_noled_ee_ce_hw[] = {
  0x68dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0xeccec4ac10b2d9eb,
  0x56d49ddcfb403a89, 0xfe374c13e30120b6, 0x8f675206bbffa14c, 0xe7893909620b8bea, 0xbf10d8488bee3441,
  0xdafaa0f20ffa8f84, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x62d314c5721fd47c, 0x4b632e384e1b875f,
  0xceaeddfb8752135f, 0xc75e74ddb4a47921, 0xb4d314707ec6abc6, 0x386f65b2f9c071d8, 0x9664d60b546c1132,
  0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0xe9a64d674dcaed52, 0xd115e5d312ad5fef, 0xf0d3bc77f5d73daa,
  0xa1d5381077536294, 0xc76ff7aaa2d30ca7, 0x1e6ca2317f36c810, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x6942fa792bf73433, 0x0000000000014059,
};

// m8a_swio15_lednop
static const uint64_t ur_m8_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x2416cada93ba0bd0, 0xf3eecfafb9827c60, 0xf877cb7494823dff, 0x8638e5581f3dea3a, 0x86731602dee98f58,
  0xc608ebc5cedbda3b, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xac7a69935c0809d3,
  0xf6ab4457974c4ae4, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0x7f36d3d0ea9c09cf, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000a9074b65a9e4,
};

// m8a_swio15_lednop_pr
static const uint64_t ur_m8_swio15_lednop_pr[] = {
  0x3bbbbbba83d8b562, 0x5ddaab914cc62571, 0x7b8569b5ebdb04f0, 0x9ac6825c76df8b53, 0xd4c17b11ddb89d05,
  0xa93bbf4e0d9fbb82, 0x4a9827c602416cad, 0x0fd2031ffed64cfd, 0xc0fa0f51f4a3be5a, 0x2cb298c79eb1c72a,
  0x3e76f911c6473160, 0xb86a807fecc11d7a, 0x56b02b40f2cf6f7b, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551,
  0x69935c0809d372bb, 0x4457974c4ae4ac7a, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0xd94462fe6d976455, 0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903b6, 0x6879133c09c69430, 0x92e19e985727e03e,
  0x6587494b67c09c65, 0xadd9bacf257ee686, 0x000000000000f937,
};

// m8a_swio15_lednop_pr_u4
static const uint64_t ur_m8_swio15_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0xadddaab9141af12d, 0xfdcc77d7f858c227, 0xfe877713a5ef9bf8, 0x6636c99bafddd482,
  0x56d49dd313704904, 0x7d7dcc13e30120b6, 0x96e929047bff6b26, 0xcab03e7bd475f0ef, 0x2c05bdd31eb10c71,
  0xd78b9db7b4770ce6, 0xad4ac59fb8e58c11, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xd326b81013a6e576,
  0x88af2e9895c958f4, 0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0xa7a1d538139f4502, 0x9ab83cd94462fe6d,
  0x8f2076d0d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x659d9bacf257ee68, 0x00000000000001f2,
};

// m8a_swio15_lednop_pr_ee
static const uint64_t ur_m8_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0x9827c602416cada9, 0x480e0ffdc039fa1f, 0x8f2b53d355ad1bf9, 0x82fa8f83660c27fa,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0x0a1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x1d8b4f2447916c6a,
  0x3f5b86f65b2f9c07, 0xab500ae1934a8d82, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x34c9ae0404e9b95d,
  0xa22bcba62572563d, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x6ca2317f36cbb22a,
  0x43459d3e2e4d5c1e, 0x54e7ea75663c81f9, 0x78b9c65f989fca18, 0x3f1cf7ff04d0f226, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x013aebb34e46792b,
};

// m8a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m8_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0xb6a4eeabe67d06cb, 0xe706609f180905b2, 0x332a906ceffb8073, 0x00f51e565d66ab5a, 0xf8ace1fa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x008fe439d5a5ca2a, 0x6355ae875eba9bb2, 0x701c762d37bd1ef7,
  0x8b87f5b86f65c396, 0x039920daf2e556ab, 0xd5d9cea2a551aeb2, 0x5c0809d372bb54b7, 0x974c4ae4ac7a6993,
  0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x62fe6d976455bfde, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0009d7085e9c8cf2,
};

// m8a_swio15_lednop_pr_ce
static const uint64_t ur_m8_swio15_lednop_pr_ce[] = {
  0x1b5bbbbbbbd8b562, 0x1b4776aae4519089, 0xc33d697b5a6cf0e2, 0x6ada0b7792164ea1, 0xb7071795bb1fba6d,
  0xd95b52777e9c1b34, 0x99f53d304f8c0482, 0x7fd414a405d7fdac, 0x3fcfcf002c1c3867, 0x05d64c273b9b5f4d,
  0x6064f7a8f38cf72c, 0xcc580a1ed008e395, 0xc75e8f9dbe447191, 0x6edeee1aa01ffb33, 0xaf2e556b02b40f2d,
  0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ac7a69935c0809d, 0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75,
  0xdcf43aa70210a905, 0xec31dbfdeaa8b48e, 0x93571b288c5fcdb2, 0x63c81db43458f38b, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x3acdd6792bf73433, 0x00000000000b75e9,
};

// m8a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m8_swio15_lednop_pr_ce_u4[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0x656d49dd3ad1a848, 0xe7c6b4c13e30120b, 0x7d76fd20d37ff700, 0x20f3c00b5a4b7571, 0xc25f886c2445f71a,
  0x2ee6d7a4a672fd47, 0x3ce33dcb19fac99e, 0xb40238e558193dea, 0x6f911c6473160287, 0xa807feccf1d7a3e7,
  0xc0ad03cb5bb7bb86, 0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e5d312b92b1e9a6,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x2317f36cbb0c76ff, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000dd72cf4e467,
};

// m8a_swio15_lednop_pr_ee_ce
static const uint64_t ur_m8_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0xda93ba0292634e39, 0xb5b9827c602416ca, 0x52e9026dffdc039f, 0x005ad26ed1dff546, 0x73b9b5fa3ea49f9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298aca5f, 0x26be96c65c709c37, 0xc1439d5dbbe70ea4,
  0xaf1b1d79d37609e8, 0xc762d3c911e45b1a, 0x44c8e1bd96cbe701, 0x556a59dc326951b0, 0x1aeb2039920daf2e,
  0xb54b7d5d9cea2a55, 0xa69935c0809d372b, 0xb4457974c4ae4ac7, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a,
  0xdbfdeaa8b48edcf4, 0x1b288c5fcdb2ec31, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970,
  0x46792bf734332c3a, 0x00000014d338534e,
};

// m8a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m8_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7c50e3, 0x2eed55fd4e05c496, 0x76d86d7ae7ec17e6, 0xa80019e4e467e45a, 0xc1ba388596cf5a30,
  0x4ee8581f6ca70b29, 0xe609f180905b2b6a, 0xa40293ffbe1e7cd6, 0x173b801717d51ece, 0xd8488bee3441e780,
  0xf5fad5fa8f84bf10, 0xdcdbdf33c5dcdaec, 0x67afa8f2b28729da, 0x14c5652fd47c1b30, 0x2e384e1b875f62d3,
  0xddf38752135f4b63, 0xe9bb04f460a1ceae, 0x88f22d8d578d8ebc, 0xcb65f380e3b169e4, 0x1934a8d8226470de,
  0xc906d7972ab52cee, 0xce75152a8d75901c, 0x404e9b95daa5beae, 0x62572563d34c9ae0, 0xb6bae7b55a22bcba,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xe6d97618edfef554, 0xc5c9ab83cd94462f, 0xacc790334f8d1637,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xf2eadf966e792bf7, 0x0000000000000013,
};

// m8a_swio15_lednop_hw
static const uint64_t ur_m8_swio15_lednop_hw[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x2416cada93ba0bd0, 0xf0e3cfafb9827c60, 0x7c3be5ba4a411eff, 0x431c72ac0f9ef51d, 0xc3398b016f74c7ac,
  0x630475e2e76ded1d, 0x7972ab52b167ee39, 0x52a8d75901cc906d, 0xb95daa5beaece751, 0x563d34c9ae0404e9,
  0x7b55a22bcba62572, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0xbf9b69e8754e04e7, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000008e21d514f2,
};

// m8a_swio15_lednop_ee_hw
static const uint64_t ur_m8_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x4b8c8f9bb106d05c,
  0x95b52775b11ced4e, 0x3f43f304f8c0482d, 0x68dfca40707fe853, 0x613fd4795a9e9aad, 0x77c56c17d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0x827a3050e75697f9, 0x8b6355ae875e74dd, 0x7ce038ec5a79223c,
  0x546c11fadc37b2d9, 0x6bcb955a80570c9a, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x92b1e9a64d702027,
  0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x5d9156ff7aaa2d23, 0xb1b8f365118bf9b6,
  0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0xbe6b0417d3c95fb9, 0x0000000000000005,
};

// m8a_swio15_lednop_ce_hw
static const uint64_t ur_m8_swio15_lednop_ce_hw[] = {
  0x426eeeeed121b768, 0xfc776aaf08942e25, 0x37a6977600f4ac1e, 0x26cff5fc7e19e2f5, 0xed9c551682b21bb4,
  0x482d95b52775d92b, 0xf4299f1ad304f8c0, 0x75717d76fd20d37f, 0x7dc6883cf127212b, 0xbf51f097e21b0911,
  0xb2678bb9b5ef0f96, 0x4f7a8f38cf72c67e, 0x80a1ed008e395606, 0xe8f9dbe447191cc5, 0xeee1aa01ffb33c75,
  0xe556b02b40f2d6ed, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0x7a69935c0809d372, 0xab4457974c4ae4ac,
  0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x79b288c5fcdb2ec3, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xc50be9e4afdcd0cc,
  0x0000000000759bcc,
};

// m8_swio15_lednop_ee_ce_u4_hw      m8a_swio15_lednop_ee_ce_hw        m8a_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m8_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x461500033c9c8cfc, 0x6538374710b2d9eb,
  0x2b6a4ee8eba6bef7, 0x7cd6e609f180905b, 0xa3d9d480527fd0a6, 0x79e24e425002e2fa, 0x2fc4361222fb8d10,
  0x9b5c291f397ea3e1, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0xec5a6298aca5fa8f, 0xe96c65c709c370eb,
  0x39d5dbbe70ea426b, 0xb1d79d37609e8c14, 0x2d3c911e45b1aaf1, 0x8e1bd96cbe701c76, 0xa59dc326951b044c,
  0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0x935c0809d372bb54, 0x57974c4ae4ac7a69, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x88c5fcdb2ec31dbf, 0x2a73f505d8dc79b2, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9, 0x00000005015b900b,
};

// m8_swio15_dual_pr                 m8a_swio15_dual                   m8a_swio15_dual_pr
static const uint64_t ur_m8_swio15_dual[] = {
  0xa2eeeeeeef3e306a, 0xd9b5afd86bfdad59, 0xfb4b16891e4b0ccd, 0x29b0624eb20a374c, 0x853924c69dbad16a,
  0x93853baabf265690, 0xf9827c602416cada, 0xf695c459001291cd, 0x7c40c2864f95d5ac, 0xa2fe6535aa774fb9,
  0x1e3dec1fc382fb98, 0xa11c90ab03eea6f5, 0x00370f815fe63408, 0x2195dc5eef8bbf10, 0x135ad150865a1192,
  0xb9cbdb94bffa039e, 0x17fdac9305855998, 0xa3f7477cb2d7a405, 0x8bb7e38e5581ef7e, 0x8d31398b01758a62,
  0xf6608ebc06a7697c, 0x7967b63e0df5403f, 0xe67d1cccacc538e0, 0x0e64836bcb955acf, 0x57673a8a9546bac8,
  0x7020274dcaed52df, 0x5d312b92b1e9a64d, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0,
  0x8bf9b65d9156ff7a, 0x1e71726ae0f36511, 0xf75663c819a7c68b, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x31045f7966e792bf, 0x0000000000000000,
};

// m8a_swio15_dual_pr_u4
static const uint64_t ur_m8_swio15_dual_pr_u4[] = {
  0x8bbbbbbb4486dd9e, 0x66d6bf61aff6b566, 0xd67dba24792c3337, 0x514d8312759051ba, 0x7169c92634edd68b,
  0x93853b87e55ee8bd, 0xf9827c602416cada, 0xf695c459001291cd, 0x7c40c2864f95d5ac, 0x28bf997612774fb9,
  0x478f7b07f0e0bee6, 0x2847242ac0fba9bd, 0x000dc3e057f98d02, 0x88657717bbe2efc4, 0x84d6b45421968464,
  0x2e72f6e52ffe80e7, 0x8bff700cc1615666, 0x51fba3be596bd202, 0x45dbf1c72ac0f7bf, 0x46989cc580bac531,
  0xfb30475e0353b4be, 0x3cb3db1f06faa01f, 0xf33e8e6656629c70, 0x073241b5e5caad67, 0xabb39d454aa35d64,
  0xb81013a6e576a96f, 0x2e9895c958f4d326, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0,
  0xc5fcdb2ec8ab7fbd, 0xe3458df0dc79b288, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x000002926838ed89,
};

// m8a_swio15_dual_pr_ee
static const uint64_t ur_m8_swio15_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xb36b5fb02fae3ab3, 0xd70bddd943db2723, 0xa70916c41651fcfb, 0x0ecdbadfa51a6ec8,
  0x771c115658219d21, 0xf180905b2b6a4f25, 0x22c800948b24e609, 0x14327caead67b4ae, 0xcbb093ba7dcbe206,
  0xb0274704b5305afc, 0x85581e9b9bd471ad, 0x7c0aff31a04508e4, 0x8bddf177980401b8, 0x54219682fb4432bb,
  0xf4d7fd01cf0983dc, 0x1982c2accc5ce5ed, 0xad1feea4016bfee0, 0x0c3dfa8f2bb75355, 0x6ef8af7dfa8f8366,
  0x65c709c370ebec5a, 0xb5c09f9a426be96c, 0xc1ed19ea73ab4b94, 0x436355ae875ec66e, 0x76701c762d39c51c,
  0x546c11fadc37b2ef, 0xfa39995980437c45, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x404e9b95daa5beae,
  0x62572563d34c9ae0, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf36cbb22adfef554,
  0xb2d5e371e6ca2317, 0xfd4eaccdfc1ddc68, 0x9133c09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x627cf257ee686658, 0x000000000ac856ab,
};

// m8a_swio15_dual_pr_ee_u4
static const uint64_t ur_m8_swio15_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0x89b5afd8178ebeac, 0xb6b8ee9d60157044, 0xba05ac17adb9f6cf, 0x227a8fbadfa51a61,
  0xd377347d4ebdc376, 0x09f180905b2b6a4f, 0xae22c800948b24e6, 0x0614327caead67b4, 0xfccbb093ba7dcbe2,
  0x37b08ac701ad313a, 0xe485581e569bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbc92801, 0x122a10cb423da219,
  0x7b7d35ff4073c269, 0xb80660b0ab331739, 0xd56b4701a9005aff, 0x6cc1c89ea3cad4f4, 0x8b4ddf159c3f51f0,
  0x2d8cb8e1386e1d7d, 0x7fdcb80e33484d7d, 0x34ec8023050e7569, 0xa3c8b6355ae875e5, 0x96e4ce038ec5a6f7,
  0x9959ae2e1fd6e1bd, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x2563d34c9ae0404e,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x8bf9b69e8754e04e, 0xc68b1be1b8f36511,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000002b274f5b13,
};

// m8a_swio15_dual_pr_ce
static const uint64_t ur_m8_swio15_dual_pr_ce[] = {
  0x92eeeeeeef3e43ee, 0x01b5afd86bb3ed5b, 0x5f68bf6c4a33b221, 0x634c48843498d887, 0xac5faed5f6ef25a6,
  0xc5eeeaefc89eeda7, 0xc13e30120b656d49, 0x95c4590012906ddc, 0x40c2864f95d5acf6, 0xfe6535aa774fb97c,
  0x93d87ce3848798ba, 0x7242ac0d7dcdea3b, 0xdc3e057f98d02284, 0xaee2f77c5dfd8200, 0xd78a8432d0c9110c,
  0xbdbdbaffa039e132, 0xdac9305855998b9c, 0x8677fd414a405d7f, 0xceddadfe780173b3, 0xe580bac984e7736b,
  0x72ac0c9ef51e719e, 0x32398b0143da011c, 0xc678ebd1f3b7c88e, 0x47332b31d0dfdc72, 0x20daf2e556b3f99f,
  0xcea2a551aeb20399, 0x09d372bb54b7d5d9, 0x4ae4ac7a69935c08, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6,
  0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0xb9357079b288c5fc, 0x31e40cd3e3458f38, 0x64b867a615c9fbab,
  0x9961d252d9f02719, 0x93bcb373c95fb9a1, 0x0000000000039ebe,
};

// m8a_swio15_dual_pr_ce_u4
static const uint64_t ur_m8_swio15_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x226d6bf62e2eb7ab, 0xda9afbb618a72c1f, 0x8cd71b33dfbb1739, 0xce947ee733edd89c,
  0x93515dc7045580f8, 0xf9827c602416cada, 0xed2b88b200252387, 0xf881850c9f2bab59, 0xa6ff32ec24ee9f72,
  0x1d4f6c32b1c37dcd, 0x42392156065d66f5, 0x006e1f02bfcc6811, 0x8657717bbe2efb91, 0x9a718a8432d009e8,
  0x9cbdbd0fffd01cf0, 0xffdc03305855998b, 0xadd5c5f5dbf4834d, 0x45f71a20f3c49c84, 0x4afd47c25f886c24,
  0xfac99e2ee6d7643a, 0x193dea3ce33dcb19, 0x160287b40238e558, 0xd7a3e76f911c6473, 0x5663a1bfb8e58cf1,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x58f4d326b81013a6, 0xed5688af2e9895c9,
  0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0xb8f365118bf9b65d, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x4859db13e792bf73, 0x000000000000001a,
};

// m8a_swio15_dual_pr_ee_ce
static const uint64_t ur_m8_swio15_dual_pr_ee_ce[] = {
  0x6d95bbbbbba86f97, 0x69c6d6bf6e3e3f35, 0xbef5ef74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cf65,
  0x2ee78233a96453ab, 0x3e30120b656d49b1, 0x88b2002523cf5cc1, 0x850c9f2bab59ed2b, 0x32ec24ee9f72f881,
  0x6c34d1c1fe4d883f, 0x42ac0ec7e6f51c34, 0x3e057f98d0228472, 0xc5eef8bbfa9c00dc, 0x2a10cb4182a2195d,
  0xcd6ffe80e784d21e, 0x1982c2accc5ce5ed, 0xd51e56a41883fee0, 0x1fcf1272127f877f, 0xe4c273b9b5f9bea9,
  0x51e572ba53b5958b, 0xe56f51f06cc1edff, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x1ed19ea73abb714b,
  0x6c6abc6c75ec66ec, 0xce038ec5a738a388, 0x46c1132386f65dee, 0xa39995996637c455, 0x906d7972ab59fccf,
  0xe75152a8d75901cc, 0x04e9b95daa5beaec, 0x2572563d34c9ae04, 0x6bae7b55a22bcba6, 0x482e52d7ce80f37b,
  0xa476e7a1d5381085, 0x6d97618edfef5545, 0x8f386e3cd94462fe, 0x3f75666fe0eee345, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x02609ce5b13e792b,
};

// m8a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m8_swio15_dual_pr_ee_ce_u4[] = {
  0xf77777689b4fb69f, 0xd6bf6a8757bd593e, 0x782d44fad24cfb46, 0x3aff57b0470b382d, 0xf80cd19a7d9621ec,
  0x5cce8438dfc37931, 0xada93619dd202f9e, 0xbd9e9827c602416c, 0xd67b4ae22c800948, 0xdcbe20614327caea,
  0x35e1fe657ed13ba7, 0xa3a1f6c31b8e1d83, 0x2847242ac0f104de, 0xc00dc3e057f98d02, 0x432bb8bddf1779d7,
  0x9b7dc54219684724, 0x9cbdbd257fd01cf0, 0xffef87305855998b, 0x1b8bea8c9d520bc3, 0xdc6883cf12701cec,
  0xf51f097e21b09117, 0x33c5dcdae75f0aa3, 0xf2b95d29dadcdaf9, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2,
  0xa426be96c65c709c, 0x68cf539d5db8a58e, 0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767,
  0xcccaccb31be22aa3, 0x36bcb955acfe67d1, 0xa8a9546bac80e648, 0x74dcaed52df57673, 0xb92b1e9a64d70202,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0x4d5c1e6ca2317f36,
  0x7f06fd0468b1be2e, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x5dc5da9e4afdcd0c, 0x0000000000080008,
};

// m8a_swio15_dual_hw
static const uint64_t ur_m8_swio15_dual_hw[] = {
  0x17777776890c5aa4, 0xcdad7ec35fed6acd, 0xacfb7448f258666e, 0xa29b0624eb20a375, 0xc113924c69dbad16,
  0xda93853bb0fa6d36, 0xcdf9827c602416ca, 0xacf695c459001291, 0xb97c40c2864f95d5, 0xe628bf997612774f,
  0xbd478f7b07f0e0be, 0x022847242ac0fba9, 0xc4000dc3e057f98d, 0x6488657717bbe2ef, 0xe784d6b454219684,
  0x662e72f6e52ffe80, 0x0517fdf9d4c16156, 0x7ea3f7477cb2d7a4, 0x628bb7e38e5581ef, 0x7c8d31398b01758a,
  0x3ff6608ebc06a769, 0xe07967b63e0df540, 0xcfe67d1cccacc538, 0xc80e64836bcb955a, 0xdf57673a8a9546ba,
  0x4d7020274dcaed52, 0x5e5d312b92b1e9a6, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x118bf9b65d9156ff, 0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef,
  0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x000000637541c617,
};

// m8a_swio15_dual_ee_hw
static const uint64_t ur_m8_swio15_dual_ee_hw[] = {
  0xcecb777776890c86, 0x8ecdad7ec0beb8ea, 0xef5c2f77650f6c9c, 0x229c245b105947f3, 0x843b36eb7e9469bb,
  0x792bbbbb1bb3798a, 0x304f8c0482d95b52, 0xa571164004a45927, 0x1030a193e5756b3d, 0xd7e65d849dd3ee5f,
  0x8d6d813a3825a982, 0x47242ac0f4dcdea3, 0x0dc3e057f98d0228, 0x95dc5eef8bbcc020, 0x1ee2a10cb417da21,
  0x2f6fa6bfe80e784c, 0xdf9d4c16156662e7, 0x355ad1feea4016bf, 0x3660c3dfa8f2bb75, 0xc5a6ef8af7dfa8f8,
  0x96c65c709c370ebe, 0xb94b5c09f9a426be, 0x66ec1ed19ea73ab4, 0x51c436355ae875ec, 0x2ef76701c762d39c,
  0xc45546c11fadc37b, 0xfccfa39995980437, 0x01cc906d7972ab59, 0xeaece75152a8d759, 0xae0404e9b95daa5b,
  0xcba62572563d34c9, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x317f36cbb22adfef,
  0x9cfd4176371e6ca2, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000aed15a82fa,
};

// m8a_swio15_dual_ce_hw
static const uint64_t ur_m8_swio15_dual_ce_hw[] = {
  0x33dddddda243359b, 0x136b5fb171403ab3, 0x6e4cdd1ed61a0dc7, 0xc4f2576573a8bd9f, 0xd75eec2d9f7bacce,
  0x6a4ae3770f0cc29a, 0x806609f180905b2b, 0x67b4ae22c8009487, 0xcbe20614327caead, 0x31c1fccbb093ba7d,
  0xd47b75b0d9c708e5, 0x4508e485581e049b, 0x7c01b87c0aff31a0, 0x4432bb8bddf177f4, 0x09827c542196807b,
  0xb9cbdb8cdffd01cf, 0x1ff7e75305855998, 0x486b5c5f57f2901c, 0x445f71a20f3c49c8, 0x643fd47c25f886c2,
  0x789f99e2ee6d7eb3, 0x0ed6f51c27cf72c6, 0x8b0157dc891c72ac, 0xbc06a7697c8d3139, 0x3e0df5403ff6678e,
  0x332b314e381e5adc, 0xdaf2e556b3f99f47, 0xa2a551aeb2039920, 0xd372bb54b7d5d9ce, 0xe4ac7a69935c0809,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0x2ec31dbfdeaa8b48, 0xd8dc79b288c5fcdb,
  0x87bde50c2a73f505, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x9baaec0be9e4afdc, 0x0000000000000000,
};

// m8a_swio15_dual_ee_ce_hw
static const uint64_t ur_m8_swio15_dual_ee_ce_hw[] = {
  0x6caddddddd437089, 0x4e36b5fb71f1f9ab, 0xf7af7ba55e588053, 0x7114e2d56820f935, 0x25f5f263d3a67b2a,
  0x4bbaf27acadada58, 0x4f8c0482d95b526c, 0xe22c800948f3d730, 0x614327caead67b4a, 0xccbb093ba7dcbe20,
  0x1b0d34707f93620f, 0x90ab03b1f9bd470d, 0x0f815fe63408a11c, 0x717bbe2efea70037, 0x8a8432d060a88657,
  0x735bffa039e13487, 0xea60b0ab3317397b, 0xea8f2b520c41fefc, 0x47e78939093fc3bf, 0x7c984e7736b92565,
  0xea3cae574a76b2b1, 0xbcadea3e0d983dbf, 0x270dc3afb1698a62, 0x63a909afa5b1971c, 0x83da33d4e7576e29,
  0x0d8d578d8ebd8cdd, 0xd9c071d8b4e71471, 0xa8d8226470decbbd, 0xf47332b32cc6f88a, 0x920daf2e556b3f99,
  0x9cea2a551aeb2039, 0x809d372bb54b7d5d, 0xc4ae4ac7a69935c0, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f,
  0xb48edcf43aa70210, 0xcdb2ec31dbfdeaa8, 0xf3fb0dc79b288c5f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x044d3e702fa792bf,
};

// m8a_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m8_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0xdad7ed50eaf7ab27, 0x705ba89f5a499f68, 0x3d875feaf608e17a, 0x263f019a334fb2c4,
  0xeb748c778393f86f, 0x120b656d49b0ceef, 0x004a45ecf4c13e30, 0x3e5756b3da571164, 0xa9dd3ee5f1030a19,
  0xe1d8335e1fe65906, 0x104dea3a1f6c31b8, 0x98d022847242ac0f, 0x779d7c00dc3e057f, 0x84724432bb8bddf1,
  0x01cf09b7dc542196, 0x5998b9cbdbd257fd, 0x82f0fffa8dd30585, 0x84bb06e2faa32754, 0x445f71a20f3c58be,
  0x164fd47c25f886c2, 0x6be4cf17736bbb76, 0xfea3cae574a76b73, 0x2bcadea3e0d983db, 0xc270dc3afb1698a6,
  0x963a909afa5b1971, 0xd83da33d4e7576e2, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4e7147, 0xaa8d8226470decbb,
  0x9f47332b32cc6f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809d372bb54b7d5, 0x4c4ae4ac7a69935c,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xfcdb2ec31dbfdeaa, 0xf505d8dc79b288c5,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x01d75e7a1e80b9e4,
};

// m8hva_swio10_noled_pr
static const uint64_t ur_m8hva_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0xd6edbdd0e28e3184, 0x220bfa1de82ddde6, 0xd8f363d2bafa1376,
  0x0482a0aef27771de, 0xf965acf995304f8c, 0xb5cef9626be404ff, 0x651c74fe0c43fa8e, 0x16731602dee9a5f4,
  0xc608ebc5cec4d23c, 0xf2e556a5654bdc72, 0xa551ae8a839bc8da, 0x672bb54b7d59cea2, 0x7212a97debe8e44d,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0xc6f19d102dc7c502, 0x01bb612e65f36d38, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0xf901c5d2cdcf257e,
};

static const uint64_t ur_m8hva_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0xaef27765de833323, 0xf8f7304f8c0482a0, 0x5845f91dd7f971f9, 0x4fe0c9ef51e6e3be, 0xb016594c654e31c7,
  0xbd1f3b3de8ed6398, 0xe1acf5403ff6608e, 0xe556aab540f2cf6e, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0x12a97debe8e44d67, 0xb5d73daad115e572, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b,
  0x8b9357079b09732f, 0xacc7903f2868b2ce, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xb93f03f7ff04d0f3,
  0x659ac867a615df47, 0x7ee686658767c09c, 0x01f261016649cf25,
};

// m8hva_swio10_noled_pr_ee_u4
static const uint64_t ur_m8hva_swio10_noled_pr_ee[] = {
  0xc5eeeeeed1222582, 0x25ddaabce2685c4b, 0x4bab8f46db11327e, 0xef5675f0cf17bd33, 0xb415681062caf165,
  0x793ba75b44896aa8, 0x569827c602415057, 0xcaf91beffcb8fcfc, 0xea3cadd2c1fed68c, 0x5c87f51f06cc1a01,
  0x62291669d68407f1, 0xe87dccc00d7d1859, 0x008d3139d5a5ca28, 0x3daad743af4353b2, 0x65cc5c2427bd1dad,
  0xd51b0465ff805ecb, 0xd7972ab51c59355f, 0x152a8d74541cde46, 0x6b395daa5beace75, 0x2b90954bef5f4722,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x997cdb2048ab7b15, 0x96745c9ab83cd84b,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000000275cb3324e,
};

// m8hva_swio10_noled_pr_ce_u4
static const uint64_t ur_m8hva_swio10_noled_pr_ce[] = {
  0xcfdddddda2447705, 0xb3bb5573829fb896, 0xa2ed91df4b5a1b5a, 0x45c3fe2c19b200be, 0x2650b69764f7767a,
  0xa82bbc9dd6c5ab05, 0x7e7f7dcc13e30120, 0x47d427fc853dfe5c, 0x92c79e005cef0255, 0x5e12fc4361222fb8,
  0x99aa3b8dceb3fd16, 0xbf51f249ee5821ac, 0x17ba05238e9fc1e0, 0x1f3b3de8ed6398b0, 0xacf5403ff6678ebd,
  0x55aaad503cb5bae1, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xaa5f7afa391359ca, 0x75cf6ab445795c84,
  0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xb20431dbd8aaa2d2, 0xc9ab83cd84b997cd, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0x6ebdd5b324e792bf,
};

static const uint64_t ur_m8hva_swio10_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a232a8, 0x7776aae45299c48b, 0xdedc1db260bdd78d, 0x0a1217ae368a6ee0, 0xdc9685bc82985c60,
  0x793bb38b4dd33ee9, 0x9b9827c602415057, 0x9df202d7f971f9f1, 0x80173b0b563faa3f, 0xc99cebb8dcba1fe7,
  0xa3cad2b01bb58147, 0xf9dea3e0d98397de, 0x2291669d6847202b, 0xa2fd6c00d7d18596, 0x3b2008d3139d5ae0,
  0x6b4f6abd383af435, 0xb2d973170909ef47, 0xabfaa3608a04e017, 0xe46d7972ab5e9e26, 0xe75152a8d74541cd,
  0x7226b395daa5beac, 0x8af2b90954bef5f4, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc,
  0x09732f9b640863b7, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x89f5cc939e4afdcd, 0x000000000000009f,
};

static const uint64_t ur_m8hva_swio10_noled_pr_ee_ce_u4[] = {
  0x93dddddda2436812, 0xc5ddaabc22233895, 0x1d0ddbb8bd04f1e5, 0x6f4c99ad0247a759, 0x32313be9b60f37b2,
  0x5de4eed17eb624d7, 0xeb7e609f18090541, 0x2b7c89dbff3662e7, 0x49c07276eaa3ea8f, 0x86c2445f71258f3c,
  0x6e2baffa2cbc25f8, 0x1bb599e3e4cd51dc, 0xd98397dea3cad2b0, 0x6847202bf9dea3e0, 0xd7d185962291669d,
  0x139d5ae0a2fd6c00, 0x383af4353b2008d3, 0x0909ef476b4f6abd, 0x8a04e017b2d97317, 0xab5e9e26abfaa360,
  0xd74541cde46d7972, 0xdaa5beace75152a8, 0x54bef5f47226b395, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a,
  0xb44e31bc6744083b, 0x640863b7b15545a5, 0x9d0dc79b09732f9b, 0x9d599bf83bb8d165, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x00009f86e40af69e,
};

static const uint64_t ur_m8hva_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x7b50f750e2448c22, 0x882fe877a0b5e432, 0xeead036c998d7dd8,
  0xc0482a0aef277417, 0xff965acfbf9304f8, 0x3fc877cb135f20ca, 0xaf7c71d3f8310fea, 0x3e80e62c05bdd31e,
  0x72c608ebc5ced6b2, 0x6d7972ab52b39edc, 0x5152a8d74541cde4, 0x101395daa5beace7, 0x0956ae97f47226b8,
  0xfd6b9ed5688af2b9, 0x5ea58594d8b3a03c, 0x0363fc502169ab9d, 0xe65f36d38c6f19d1, 0x2d06fc7c3b1bb612,
  0xb25138cb3590cf4c, 0xb9e4afdcd0ccb0ec, 0x000000005483aa59,
};

// m8hva_swio10_lednop_pr_u4
static const uint64_t ur_m8hva_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x05ddaab914cc6251, 0x37b856eac871b04f, 0x2cd6f0b2e3b6e845, 0x36a60bf8feec71e8,
  0x057793bb06f4fdb3, 0xcfc069827c602415, 0xe5845f901effcb8f, 0x74fe0c9ef51e713b, 0x1602cb298c79eb1c,
  0xaf47cedf22383e73, 0xf7be81500ffd9823, 0x2e556b02b40f2cf6, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a,
  0xd5d2fe8e44d70202, 0x73daad115e57212a, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a,
  0xae0f3612e65f36cb, 0x207e50d1659d1726, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0,
  0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35, 0xdfaa0c939e4afdcd, 0x00000000000003e4,
};

// m8hva_swio10_lednop_pr_ee_u4
static const uint64_t ur_m8hva_swio10_lednop_pr_ee[] = {
  0x78bdddddda244511, 0xe25ddaabce242089, 0xa313b4cf4b88c327, 0xb2f7ab3afa170cf0, 0x11fb226c08316578,
  0x2bbc9ddfb5a8ccb1, 0x7ce0cc13e30120a8, 0x46657c8d9dfe5c7e, 0x00f51e565d60ff6b, 0xf8aca5fa8f83660d,
  0x2cb1148b34eb4203, 0x58743ee66006be8c, 0xdba847921cead2e9, 0x1f9ed56ba1d7a1a9, 0xcb65cc5c242f911c,
  0xb3d51b0465ff805e, 0x8daf2e556a38bb86, 0xea2a551ae8a839bc, 0x020272bb54b7d59c, 0x212ad5d2fe8e44d7,
  0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36cbb22adec55516, 0x1726ae0f3612e65f,
  0x598f207e50d1659d, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0x727e07effe09a1e6, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x0013af028c939e4a,
};

// m8hva_swio10_lednop_pr_ce_u4
static const uint64_t ur_m8hva_swio10_lednop_pr_ce[] = {
  0x67eeeeeed1222044, 0x59ddaab9c1469c4b, 0x8fe9a5d267c7cdad, 0x8b87fc59fb0678ec, 0x10c207ae486eecf4,
  0x5415de4ee8f6d8e2, 0x3f3fb3a609f18090, 0xa3ea13fe44aeff2e, 0x4963cf002e77beea, 0x2f097e21b09117dc,
  0x4cd51dc6e5c8fe8b, 0x5fa8e0a4f72c10d6, 0x143da011c74fe0f0, 0x3e76f911c1f398b0, 0xf40a807feccf1d7a,
  0xaad605681e5addbd, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xa5fd1c89ae0404e5, 0xb55a22bcae4255ab,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb2ec3, 0xf9434596745c9ab8,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff82687993fc0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643,
  0xa0324e792bf73433, 0x000000000001bae9,
};

static const uint64_t ur_m8hva_swio10_lednop_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0x1aeeed55c8a2c189, 0xd19ea3bdc29a9baf, 0x600a1217d335c6d2, 0x091976103c82985c,
  0x2bbc9dd7ada5295f, 0x7c344c13e30120a8, 0x1fcef9163ffe5c7e, 0xe780173bb1fb1fd5, 0xa3e4ce75dc6e1257,
  0xef51e5721c0ddac0, 0x159c3f51f06cc1cb, 0xcb1148b34eb42390, 0x7095beb6006be8c2, 0x1a9dba847921cead,
  0x4707e7b55e9c1d7a, 0x17b2d97317090be4, 0x70d67aa3608a04e0, 0x9bc8daf2e556bd3d, 0x59cea2a551ae8a83,
  0x4d7020272bb54b7d, 0xe57212ad5d2fe8e4, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6d97618edec55, 0x2cd102e4d5c6c25c, 0x0dfbab31e40fca1a, 0xa271966b219e985a, 0xc95fb9a19961d964,
  0x000029a763f99273,
};

static const uint64_t ur_m8hva_swio10_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0xc5ddaabc2264e895, 0x5d295ba7ecd8f1e5, 0x6f4c99ad08cc489a, 0x667627c8b60f37b2,
  0xaef2776e768f6aef, 0xe87d304f8c0482a0, 0xcadf23107f9b3173, 0x89380e620aa8faa3, 0x10d8488bee24b1e7,
  0xc6e753bf459784bf, 0x81bb599e3e4cd51d, 0x0d98397dea3cae43, 0xd6847202b387ea3e, 0x0d7d185962291669,
  0x2439d5ae12b7d6c0, 0xd383af4353b7508f, 0xe1217c88e0fcf6ab, 0x11409c02f65b2e62, 0xaad7a7ae1acf546c,
  0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xa5fd1c89ae0404e5, 0xb55a22bcae4255ab, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb2ec3, 0xdfc1ddc68b2ce86e, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f327f, 0xac867a615df47b93, 0x686658767c09c659, 0xfccb4a57b4f257ee,
  0x0000000000000004,
};

// m8hva_swio10_dual_pr              m8hva_swio10_dual_pr_u4
static const uint64_t ur_m8hva_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x66d6bf61afb2b566, 0xd2c5bb1c7c8b4b3f, 0xc895bfa6af8ed06e, 0x5ec219ce7adbad16,
  0xef270a770ce6badd, 0x113304f8c0482a0a, 0x81bbab88b2002520, 0x4f8971030a183691, 0xf73145fcca9d1677,
  0x4dea3c7bd83f8705, 0x68114239227f07dd, 0xcadf006e1f02bfcc, 0x08c910caee2f77cd, 0x01cf09ad68a8432d,
  0x0de579096dcbaffd, 0xf3e454aff2e3e60b, 0x83117d47910ef961, 0x541e6fdc65471d3f, 0x33b4e28def398b01,
  0x3ea807fecc11d780, 0x2dfe181e59edad78, 0x2ab59fc55f3bb8a9, 0x8d74541cde46d797, 0x5daa5beace75152a,
  0xe97f47226b810139, 0xed5688af2b90956a, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0xc79b09732f9b65d9, 0x9bf83bb8d1659d0d, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f,
  0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0x926bcf8af69e4afd, 0x0000000000000002,
};

static const uint64_t ur_m8hva_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xcdad7ed0bfbbd58a, 0xa0fb755f36289c8c, 0xd47169c89f55fd77, 0x577efdfa5696538d,
  0x3776b2b66d1bb326, 0x9f180905415de4d3, 0xe22c80094888c660, 0x40c2860da4606eea, 0xbf32a7459dd3e25c,
  0x2b6c06b1c09d4c96, 0x39227f07bee6f51e, 0x6e1f02bfcc681142, 0x95dc5eef9b9cdf00, 0xdbf150865a0fe221,
  0x4b6fbb5ff4073c26, 0xff971f30586f2bc8, 0xa0ff6b46befe4757, 0x83660fbaf51e5795, 0xeb4203f8ae577a8f,
  0x06be8c2cb1148b34, 0xead2e52c7427e660, 0xd7b19bb07b46801c, 0x14e28def9ed56ba1, 0xff805ecbe9662e12,
  0x8e2e32b5951b0465, 0xab59fc55f3bb8a92, 0xd74541cde46d7972, 0xdaa5beace75152a8, 0x97f47226b8101395,
  0xd5688af2b90956ae, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b65d91,
  0xdfc1ddc68b05d8dc, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xa616837e39efc0f9, 0x8767c09c659ac867,
  0x657b4f257ee68665, 0x00000000001591eb,
};

static const uint64_t ur_m8hva_swio10_dual_pr_ee_u4[] = {
  0xd02f777776890c86, 0x1c4dad7ed0bd00ea, 0xd5b93375053d6837, 0xbb13c94a75cea2f2, 0x5eec2c9f7e95a5c0,
  0x24d2bbab69ad3dcc, 0x5304f8c0482a0aef, 0x77571164004a47ad, 0x12e20614306d2303, 0x61adf9953a2cee9f,
  0xa8fbef61a6ce115a, 0x8a11c913f8353d37, 0xf80370f815fe6340, 0x910caee2f77cdce8, 0xf09ba88a8432d032,
  0xaf212db98fffd01c, 0x88e5fe5c7cc161bc, 0xaca1c1fed68e3dfc, 0xf51f06cc19ebea3c, 0x1669d68407f15b05,
  0xccc00d7d18596229, 0x6e39d5a5dd28e838, 0x6ba1d794d3b4888e, 0x2e1212f88e329ed5, 0x4652ffc02f65c7c6,
  0xb3f8abe77715251d, 0x8a839bc8daf2e556, 0x4b7d59cea2a551ae, 0xe8e44d7020272bb5, 0xd115e57212ad5d2f,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0x612e65f36cbb22ad, 0x07771a2cb3a1b8f3,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xfdffc1343cc9fe07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x17615ed3c95fb9a1, 0x0000000000000159,
};

// m8hva_swio10_dual_pr_ce_u4
static const uint64_t ur_m8hva_swio10_dual_pr_ce[] = {
  0xd02f777776890c86, 0x8e26d6bf680100ea, 0x6adc99ba829eb41b, 0x5d89e4a53ae75179, 0x7b98bdd8593ef760,
  0x15de49a57756d35a, 0x8f5aa609f1809054, 0x4606eeae22c80094, 0xdd3e25c40c2860da, 0x22b4c35bf32a7459,
  0x7a6f51f7dec34d9c, 0xc68114239227f06a, 0xb9d1f006e1f02bfc, 0xa06522195dc5eef9, 0xa039e13751150865,
  0xc3795e425b731fff, 0x7bf911cbfcb8f982, 0x789380e0d6aa8fac, 0xf10d8488bee24b1e, 0xee3732a3f459784b,
  0xa89ee582152e66a8, 0xea38e9fc1dc3f51f, 0xc51bde731602d4ae, 0x0ffd99e3af006769, 0x0c0f2d6e5af07d50,
  0xcfe2af9ddc5496ff, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0xa39135c0809caed5, 0x445795c84ab574bf,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b65d863b7, 0x3bb8d1659d0dc79b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xeffe09a1e64ff03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0xbb0af69e4afdcd0c, 0x0000000000001a48,
};

static const uint64_t ur_m8hva_swio10_dual_pr_ee_ce[] = {
  0x2beddddddd431f02, 0x646d6bf61af913ab, 0xee66f77aec21b4e7, 0xeb06e498e164da8f, 0xd71f9dde3bfa6af8,
  0x4e774b26a8c4c297, 0x09f180905415de4c, 0xb88b2002520b3166, 0x1030a18369181bba, 0xbfcca9d16774f897,
  0x9bd86ed1c136e69d, 0xe489fc185a9bd471, 0xb87c0aff31a04508, 0x57717bbe6e79c801, 0x568a8432d02ea886,
  0x2db8a4ffa039e132, 0xfe5c7cc161bcaf21, 0xd58fea8ca1fc8d35, 0x371493f3c49c0734, 0x06ed605c92673aee,
  0x3660c27fa8f2b53c, 0x5a11c80af027a8f8, 0x35f4616588a459a7, 0x00e756b8297f5b00, 0x4e0ebd8cdd83da34,
  0xc2429c51bdf3daaf, 0x4502700bd97d2cc5, 0x5497a7a32b5951b0, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0x9caed52df5673a8a, 0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xd863b7b15545a482, 0x0dc79b09732f9b65, 0x599bf83bb8d16688, 0xb3590cf4c2d06fdd, 0xdcd0ccb0ecf8138c,
  0x02609a70af69e4af,
};

static const uint64_t ur_m8hva_swio10_dual_pr_ee_ce_u4[] = {
  0xb7777768adbb2541, 0x6b5fb171ebdeaccf, 0x2c9b73b7efed2be3, 0x17e3fdf5d084787b, 0xc15b836cfa3520ab,
  0xd6baed3ebc9d5efd, 0x5415de4bb27717d6, 0xa43c41e609f18090, 0xd230377571164004, 0xcee9f12e20614306,
  0x02926fd7fccbc63f, 0x6e6f51eb7f61000e, 0x8d022847244fe0e7, 0xe5c9400dc3e057f9, 0x0d3688657717bbe6,
  0x039e136048a8432d, 0x3795e425b7eb3ffa, 0xf918ddfe6cc5982c, 0xc9de375547d51c56, 0xc2445f71258f3c49,
  0x5c95fa2cbc25f886, 0xb599f924cd51dc6e, 0x8309fea3cad4f01b, 0x47202bc09ea3e0d9, 0xd185962291669d68,
  0x9d5ae0a5fd6c00d7, 0x3af633760f68d003, 0x0a7146f7cf6abd38, 0x09c02f65f4b31709, 0x5e9e8cad6546c114,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0xd2fe8e44d7020272, 0xdaad115e57212ad5,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6d9761, 0xdbb1a2cb3a2e4d5c,
  0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0x48852792bf734332, 0x0000000001001bc9,
};

// m8hva_swio12_noled
static const uint64_t ur_m8hva_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a133896a, 0xcc774d06e246113d, 0xe8771c6c446bf07d, 0x05c46decfddd482f,
  0x2a0aef2775a9eeb2, 0x5acff75304f8c048, 0x77cb741f20f5ff96, 0x71d3f83affea3c42, 0xcc580b7ba609ebe4,
  0x11d78b9da32464d1, 0xe556a56741b8e58c, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0x4ad8debe8e44d672,
  0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0xdb610c55bd8aaa2d, 0xf1f0ec6ed84b997c,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x000a925fe966e792,
};

// m8hva_swio11_noled_pr_u4          m8hva_swio12_noled_pr             m8hva_swio12_noled_pr_u4
static const uint64_t ur_m8hva_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xbb55722950e25713, 0x64f5fb1a0b609e0b, 0xac1c436c66cf7a7b, 0x2fcc6b4ddb89d059,
  0xbbc9dd8e3b8bec48, 0xcc7cc13e30120a82, 0xdbdfc8dbffe5c7e7, 0x7f064d7a8e0a1df2, 0x016594c1ed008e3a,
  0xd1f3b2628c45398b, 0x589e5403ff6608eb, 0x955aa11303cb3dbb, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95,
  0x2b637afa391359ca, 0x5d73daad115e5721, 0x7536294f0d3bcf8b, 0xb689c6378ce88107, 0x6d843156f62aa8b4,
  0x726ae0f3612e65f3, 0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x27e07effe09a1e64,
  0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c, 0x3e4d5c14c939e4af,
};

// m8hva_swio11_noled_pr_ee_u4       m8hva_swio12_noled_pr_ee          m8hva_swio12_noled_pr_ee_u4
static const uint64_t ur_m8hva_swio11_noled_pr_ee[] = {
  0x0bdeeeeed1222a20, 0x776aaf3897af12ad, 0xf7e9ec01e94c9f89, 0xeacc45a59bbb26b8, 0x081041062caad0bd,
  0xc9dd57db06e35591, 0x94c13e30120a82bb, 0xdfc8b75fe5c7e7e3, 0xa3cae43c1fed68c3, 0x9c3f51f06cc1e95e,
  0x2291669d68407f15, 0x87dccc00d7d18596, 0x48e2139d5a5ff70e, 0xdaad743af4353b69, 0x5cc5c2424c5188b3,
  0x51b0465ff805ecb6, 0xbcb955a8e2fa0e79, 0xa9546ba2a0e6f236, 0x9caed52df57673a8, 0x7212b637afa39135,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x5f36d843156f62aa, 0x9d1726ae0f3612e6,
  0x9d598f207e50d165, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x00004eb842cc939e,
};

// m8hva_swio11_noled_pr_ce_u4       m8hva_swio12_noled_pr_ce          m8hva_swio12_noled_pr_ce_u4
static const uint64_t ur_m8hva_swio11_noled_pr_ce[] = {
  0x245ddddda2445541, 0xeed55ce0b0ce24f2, 0x475a2e8c1ae6d6ac, 0x170fd698bcd8b1f6, 0xce7ae34d4deebc89,
  0x5057793ba82b7a71, 0xfcfdba9827c60241, 0x47d644f91813fcb8, 0x92c79e005cef2b55, 0x5e12fc4361222fb8,
  0x99aa3b8dc4a8fd16, 0xff51d7c9ee5821ac, 0x5dbf2fa38e9fc1ac, 0x7cec98a3114e62c0, 0x279500ffd99e3af4,
  0x55aa11303cb5bad6, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xb637afa391359cae, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0xbaf56519273c95fb, 0x0000000000000001,
};

// m8hva_swio12_noled_pr_ee_ce
static const uint64_t ur_m8hva_swio11_noled_pr_ee_ce[] = {
  0xe00dddddd4144511, 0xbbb557229e462550, 0x7519ea9bb1eebc6b, 0x5080bfe991f3f770, 0x582f5de414ca8700,
  0xc9ddfb5a538b14bb, 0xe4c13e30120a82bb, 0x5f91d3ffe5c7e7ff, 0x0173be9fb1fd51ba, 0x99cebb8dceeb7e78,
  0x3cafe701bb58147c, 0xa5f51f06cc1ce3ea, 0x148b34eb4239015b, 0xbbeb6006be8c2cb1, 0xdb4a47109cead71f,
  0x167b55e9c1d7a1a9, 0x96cb98b848498a31, 0xe7951b04502700bd, 0x91b5e5caad7a7ba0, 0x9d454aa35d150737,
  0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6,
  0x2e65f36d84263b7b, 0x597ab9726ae0f361, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0x39f19273c95fb9a1, 0x00000000000004fc,
};

// m8hva_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m8hva_swio11_noled_pr_ee_ce_u4[] = {
  0xbd3ddddda2431bc1, 0xeed55e1111dc494d, 0x9badd376c878f2e2, 0xa64cd048372eda2e, 0x9c9c625b079ba9b7,
  0xbc9dd75bd415ddd8, 0x5dcc13e30120a82b, 0x77c87f9fe6cc5cfb, 0x4e038ff2aa3ea8e5, 0x361222fb892c79e2,
  0xb9e72fd165e12fc4, 0x6ed6678f93354771, 0xb30738fa8f2bf9c0, 0xd08e4056e97d47c1, 0xafa30b2c4522cd3a,
  0x273ab5c7eefad801, 0x7075e86a76d291c4, 0x1212628c459ed57a, 0x1409c02f65b2e62e, 0xab5e9ee839e546c1,
  0xd74541cde46d7972, 0xaa5beaece75152a8, 0x6c6f5f47226b395d, 0xae7b55a22bcae425, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0xe86e3cd84b997cdb, 0xeaccdfc1ddc68b2c, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x0004fcfb3c57b4f2,
};

// m8hva_swio12_lednop
static const uint64_t ur_m8hva_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0xf1fbb87c6d06113d, 0x2fe8771c7b426efd, 0x5048036df1fddd48,
  0x2415057793bb63f7, 0x965acfc069827c60, 0x90ef96e83e407bff, 0x18e3a7f075ffd47c, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x97a5fd1c89ae0404,
  0x73daad115e57212b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0x6fc7c3b1bb612e65,
  0x138cb3590cf4c2d0, 0x4afdcd0ccb0ecb25, 0x00000a93eba59b9e,
};

// m8hva_swio11_lednop_pr_u4         m8hva_swio12_lednop_pr            m8hva_swio12_lednop_pr_u4
static const uint64_t ur_m8hva_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0xef2776e0ec330dd8, 0x5f7304f8c0482a0a, 0x6f7f223dff971f9f, 0xfc1935ea3a0077cb, 0x02cb299fcea238e9,
  0x47ced92231be7316, 0xfe91500ffd9823af, 0xaad65da81e59edc1, 0x35d15073791b5e5c, 0x6a96fabb39d454aa,
  0x5fd1c89ae0404e57, 0xaad115e57212b97a, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xf3612e65f36d8c62, 0xe50d1659d1726ae0, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a1e64ff03f8,
  0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0x7cc939e4afdcd0cc, 0x00000000007c99c8,
};

// m8hva_swio12_lednop_pr_ee
static const uint64_t ur_m8hva_swio11_lednop_pr_ee[] = {
  0x7bddddd0f5a22044, 0xed55e713516255a1, 0xf23b50c99993f12e, 0x5988bd769648533d, 0x52b620c5955a17bd,
  0xee8f6d47610cd2b4, 0x609f180905415de4, 0xe4456ff2e3f3e4ea, 0xe5652e0ff6b461ef, 0x1fa8f83660f4af51,
  0x48b34eb4203f8aca, 0xee66006be8c2cb11, 0x6be1cead2ff38743, 0xad743af4353b04f4, 0x8b848592231bf3da,
  0x608cbff00bd96cb9, 0x72ab51c5dac4f2a3, 0xa8d74541cde46d79, 0x5daa5beaece75152, 0xe97f47226b810139,
  0xf6ab445795c84ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x83cd84b997cdb631,
  0x0fca1a2c1765c9ab, 0x50c2a73f53ab31e4, 0x993fc5ce32fcc4fe, 0x5a0df8e7bf03e687, 0x9f0271966b219e98,
  0x273c95fb9a19961d, 0x00000000275f1899,
};

// m8hva_swio12_lednop_pr_ee_u4
static const uint64_t ur_m8hva_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222582, 0x776aaf389a171279, 0xbab8f76dbaf36b56, 0x70fd690cf17bd334, 0xa0ab40831653c891,
  0xc9dd3ada244b5545, 0xb4c13e30120a82bb, 0x27c8df7fe5c7e7e2, 0x51e56e960ff6b472, 0xe43fa8f83660c14f,
  0x1148b34eb4203f8a, 0x58ce66006be8c2cb, 0x046989cead2e5147, 0xf6ab5d0ebc019d90, 0x723170909ef476b4,
  0xa3ab5a5ff805ecb8, 0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0x8e44d7020272bb54, 0x88af2b9095cbd2fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b6c63156f, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x49cf257ee6866587, 0x0000000004eb9666,
};

// m8hva_swio11_lednop_pr_ce_u4      m8hva_swio12_lednop_pr_ce         m8hva_swio12_lednop_pr_ce_u4
static const uint64_t ur_m8hva_swio11_lednop_pr_ce[] = {
  0x122eeeeed1222582, 0x776aae705a171279, 0xbab8f76dbaf36b56, 0x70fd690cf17bd334, 0x5545a0ab46ebc891,
  0x82bbc9dd3ada244b, 0xe7e2b4c13e30120a, 0x3eb227c8df7fe5c7, 0x963cf002e776eaaa, 0xf097e21b09117dc4,
  0xcd51dc6e5257e8b2, 0xf51e5f4f72c10d64, 0xc7bd2a38e9fc1acf, 0xced92231be731602, 0x91500ffd99e3af47,
  0xb5976a0796b741fe, 0x74541cde46d7972a, 0xa5beaece75152a8d, 0xf47226b8101395da, 0xb445795c84ae5e97,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x649cf257ee686658, 0x00000000006eb966,
};

// m8hva_swio12_lednop_pr_ee_ce
static const uint64_t ur_m8hva_swio11_lednop_pr_ee_ce[] = {
  0x0e00dddddd447768, 0xbbbb557229d3a255, 0x77b13b490c76ebc6, 0x028405fe47e98d34, 0xdc71a8af20a65438,
  0xde4eeb4ed76538a0, 0x36e609f180905415, 0xa5f90337fe5c7e7d, 0x80173b19bb1fd51b, 0xe4ce75dc6e3397e7,
  0x51e5670c0ddac0a3, 0xcbafa8f83660e71f, 0x88a459a75a11c80a, 0xf9df5b0035f46165, 0x9d827a35f0e756b8,
  0x37e7b55e9c1d7a1a, 0xb2d97317090b2446, 0xc4f2a3608a04e017, 0xf236bcb955af4f5a, 0x73a8a9546ba2a0e6,
  0xc0809caed52df576, 0xe42572f4bfa39135, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408,
  0xcdb63131dbd8aaa2, 0xa205c9ab8d84b997, 0xf75663c81f943459, 0xe32cd6433d30b41b, 0xbf734332c3b2c944,
  0x00534c5fb324e792,
};

// m8hva_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m8hva_swio11_lednop_pr_ee_ce_u4[] = {
  0xbd3ddddda2431000, 0xeed55e110c8c494d, 0x765bb0ccadf8f2e2, 0x4c99a088ee0dae3d, 0xd02f92b60f37536f,
  0xe4eed57e9d6d9b0d, 0x92609f180905415d, 0xbe456fff9b3173e2, 0xe0395bf551f5472b, 0x61222fb892c79e24,
  0x1dbbfd165e12fc43, 0xdaccf1f266a8ee37, 0x60e71f51e5670c0d, 0x11c80acbafa8f836, 0xf4616588a459a75a,
  0xe756b8f9df5b0035, 0x1d7a1a9d827a35f0, 0x0b244637e7b55e9c, 0x04e017b2d9731709, 0xaf4f5ac4f2a3608a,
  0xa2a0e6f236bcb955, 0x2df57673a8a9546b, 0xa39135c0809caed5, 0xa22bcae42572f4bf, 0xe74078e56bae7b55,
  0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb63131db, 0x1ddc68b2ce86e3cd, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xf7ff04d0f327f81f, 0x67a615df47b93f03, 0x658767c09c659ac8, 0xeae57b4f257ee686,
  0x0000000000004fc1,
};

/*
 * m8hva_swio11_dual_pr              m8hva_swio11_dual_pr_u4           m8hva_swio12_dual
 * m8hva_swio12_dual_pr              m8hva_swio12_dual_pr_u4
 */
static const uint64_t ur_m8hva_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x6b5fb0d7499ab11f, 0xbbdd123c95a59fb3, 0x95b3133887b1bade, 0xcb527269dba47ec8,
  0xc9c29dd7d7dad2e2, 0xfcc13e30120a82bb, 0x6eeae22c800948e6, 0xe25c40c2860da460, 0xcc517f32a7459dd3,
  0x7a8f1ef60fe1c17d, 0x04508e489fc1f753, 0xaec01b87c0aff31a, 0x324432bb8bddf371, 0x73c26b5a2a10cb42,
  0x795e425b7297ff40, 0xf90517fcb8f982c3, 0xef7ea3f7477cb2d7, 0x1e67261ee38e9fc1, 0xb2008d31398b0154,
  0xa807fecc11d78033, 0xf9d40f2cf6def1be, 0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3,
  0xfd1c89ae0404e576, 0xad115e57212b97a5, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0x3612e65f36d8c62a, 0xf07771a2cb3a1b8f, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x0fdffc1343cc9fe0,
  0x219e98577d1ee4fc, 0x19961d9f0271966b, 0xd32d15ed3c95fb9a, 0x0000000000000524,
};

// m8hva_swio12_dual_pr_ee
static const uint64_t ur_m8hva_swio11_dual_pr_ee[] = {
  0x8dd6eeee87ad0c86, 0xdad7ed0beb8eac52, 0xc2f767120a89c8cc, 0x51c6c305947d3ef5, 0xb363afe95a594a37,
  0x7756d36c1398a843, 0xf180905415de4d33, 0x1164004a40aa2609, 0x0614306d23037757, 0xf9953a2cee9f12e2,
  0x5b60358e04ea64b5, 0xc913f83df737a8f1, 0x70f815fe63408a11, 0xaee2f77cdc300803, 0xdf8a8432d07f110c,
  0x2db868ffa039e136, 0xfe5c7cc161bcaf21, 0x41fed68ea57c84b5, 0x0d983dbfea3cae57, 0xad080fe2bdf7ea3e,
  0x1afa30b2c4522cd3, 0xab4b9431d09f9980, 0x5ec66ed1ed1e9473, 0x480234c67b55ae87, 0xfe017b2fa598b848,
  0x71791445546c1197, 0x5acfe2af9ddc5494, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xfa39135c0809caed,
  0x5a22bcae42572f4b, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0x6c25ccbe6db18c55,
  0xf07771a2c176371e, 0xe50c2a73f53ab337, 0x7993fc5ce32fcc4f, 0x85a0df8e7bf03e68, 0xd9f0271966b219e9,
  0x5ed3c95fb9a19961, 0x0000000005642b51,
};

// m8hva_swio12_dual_pr_ee_u4
static const uint64_t ur_m8hva_swio11_dual_pr_ee_u4[] = {
  0x9d89ddddda2432db, 0x36b5fb42f2afd599, 0xd71dd3b4d3a0dc71, 0xd89e4a52b53ecb56, 0x4f51f1d7f4ad2d99,
  0x34aee68fefb833a4, 0xc13e30120a82bbc9, 0xeae22c8009481544, 0x5c40c2860da4606e, 0x35bf32a7459dd3e2,
  0x1f7dec34d9c22b4c, 0x4239227f06a7a6f5, 0x006e1f02bfcc6811, 0x10caee2f77cdc24a, 0x09ba88a8432d0329,
  0x79096dc347fd01cf, 0x25aff2e3e60b0de5, 0x650e0ff6b4663fe4, 0xa8f83660fa8f51e5, 0xb34eb4203f8add2f,
  0x66006be8c2cb1148, 0x71cead2ee4c741c6, 0x5d0ebca69da71473, 0xe1212d747194f6ab, 0x872ffc02f65c7c62,
  0x7f157ceee2a4a3ab, 0x5073791b5e5caad6, 0xfabb39d454aa35d1, 0xc89ae0404e576a96, 0x15e57212b97a5fd1,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d1028be8a042, 0x8f3612e65f36d38c, 0x37f07771a2cb3a1b,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0x2b274f15ed3c95fb,
};

// m8hva_swio12_dual_pr_ce
static const uint64_t ur_m8hva_swio11_dual_pr_ce[] = {
  0x89ddddd0f5a1a5fb, 0x5afda0044fd5999d, 0x0ee9da69d06e389b, 0x4a52aabdd6e356a1, 0xc535ec5f7599d89e,
  0x34aee782d1f85595, 0xc13e30120a82bbc9, 0xd5c4590012917254, 0xb881850c1b48c0dd, 0x6b7e654e8b3ba7c4,
  0x3efbd869b3845698, 0x847244fe0d4f4dea, 0x00dc3e057f98d022, 0x432bb8bddf371a0e, 0x26ea22a10cb40ca4,
  0xc84b6f63fff4073c, 0x6b7f971f30586f2b, 0x1c383551f531ff20, 0x9117dc4963cf1270, 0xc8fe8b2f097e21b0,
  0xb042a5ccd51dc6e5, 0x3f83b5bd4709f3dc, 0x9cc580a5176fc71d, 0x78ebc019d9004698, 0xadcf78df5403ff66,
  0xf9ddc5495f3a81e5, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0xc0809caed52df576, 0xe42572f4bfa39135,
  0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0x582ec6e3cd84b997,
  0x7ea75666fe0eee34, 0x9c65f989fca1854e, 0xcf7e07cd0f327f8b, 0x2cd6433d30b41bf1, 0xf734332c3b3e04e3,
  0x001a48642bda792b,
};

// m8hva_swio12_dual_pr_ce_u4
static const uint64_t ur_m8hva_swio11_dual_pr_ce_u4[] = {
  0x919eeeeed121a5fb, 0x9b5afda00ad6ad13, 0xbddeeb4e374b07c8, 0xcd71c0b1d7cfb499, 0xb100d57c6add89c8,
  0x792103b9e0b5c2ca, 0x649827c602415057, 0x0ddd5c4590012901, 0x7c4b881850c1b48c, 0xe9add7e654e8b3ba,
  0xdea3b05d8604384a, 0x022847244fe0ce1c, 0x49400dc3e057f98d, 0xd422195dc5eef9b9, 0x73c2697d150865a1,
  0x795e425b74b5ff40, 0xf916ebfcb8f982c3, 0x49c0734dd547d7ba, 0x86c2445f71258f3c, 0x1b9723fa2cbc25f8,
  0xcf72c100e3335477, 0x8e3a7f064f7a8f38, 0x47191cc580a63cf5, 0x1cb19e3af22dd97c, 0xaf9ddc5494759177,
  0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb63131dbd8aaa, 0x8b2ce86e3cd84b99, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x4d0f327f81fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61, 0xb4f257ee68665876,
  0x0000000349021657,
};

// m8hva_swio12_dual_pr_ee_ce
static const uint64_t ur_m8hva_swio11_dual_pr_ee_ce[] = {
  0x11d6dddddd43359b, 0x36b5fb0d769ed5a7, 0xeafba9f65a9a73b2, 0x8371cef7187c8077, 0x3395c71dfd39c475,
  0x771c168f0daeb368, 0xf180905415de4c4e, 0x4590012909e5e609, 0x1850c1b48c0ddd5c, 0xe654e8b3ba7c4b88,
  0xec3768e09b734edf, 0x44fe0c2d4dea38cd, 0x3e057f98d0228472, 0x717bbe6e0c2e00dc, 0x8a8432d02ea88657,
  0x7c6effa039e13256, 0xb8f982c3795e425b, 0x3faa360bf2276ffc, 0x113f9e24e0393b76, 0xd605c92673aee370,
  0x07227a8f2bc0806e, 0x8e405795bd47c1b3, 0xa30b2c4522cd3ad0, 0x3ab5c143fad801af, 0x75ec66ed1ed1e947,
  0x12008d319ed57a70, 0x13805ecbe9662e12, 0x7a7b2288aa8d8228, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9,
  0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0xfc1ddc68b34406e3, 0x867a616837eeaccd, 0x6658767c09c659ac,
  0x749c57b4f257ee68, 0x0000000000000982,
};

// m8hva_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m8hva_swio11_dual_pr_ee_ce_u4[] = {
  0x56eeeed15b766c4f, 0x5fb1712bdeac58a3, 0xb6abc75fed2be36b, 0x799b9b426e5934e0, 0x2b706cb146a4159f,
  0x55816d1c86b8bb41, 0x82bbc9764eeac03a, 0x878f5cc13e30120a, 0x4606eeae22c80094, 0xdd3e25c40c2860da,
  0x524dfaff9978c7f9, 0xcdea3d6fec2001c0, 0xa04508e489fc1ced, 0x780401b87c0aff31, 0xa6d10caee2f77cdc,
  0x73c26c09150865a1, 0xf2bc84b6e951ff40, 0x23f5ffcd98b30586, 0x3bfd7aa8faa38e5f, 0x488bee24b1e78939,
  0x807f459784bf10d8, 0xb33f2499aa3b8dc7, 0x3913d4795e040376, 0x7202bcadea3e0d98, 0x185962291669d684,
  0xd5ae0a1fd6c00d7d, 0xaf633768f68f4a39, 0x9004698cf6abd383, 0x9c02f65f4b317090, 0xd3d91445546c1140,
  0xad67f157ceee2a4b, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e, 0xb1a2cb3a2e4d5c1e,
  0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x852792bf734332c3, 0x0000000100020d48,
};

static const uint64_t ur_m8hva_swio13_noled[] = {
  0xa7bb77777759bb37, 0x9eb776aae4536dc4, 0x9ec2fdd438912308, 0x17f43bb89f4bc7cc, 0xa6c543801e4dd9ee,
  0x120a82bbc9ddc77b, 0xcb2d67f6fcc13e30, 0xe43be5ba4f91d47f, 0xdd1c74fe0f9ef51f, 0xa0398b016f74d224,
  0x630475e2e76c8a8f, 0xbcb955a959d26e39, 0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x55abdebe8e44d672,
  0xbae7b55a22bcae42, 0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xdb1922adec555169, 0xf1f0ec6ed84b997c,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x000548e6e966e792,
};

// m8hva_swio13_noled_pr_u4
static const uint64_t ur_m8hva_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xec7c2f1afba913a0,
  0x15de4ee891d37702, 0x9f7f2609f1809054, 0xcb41ff90657f971f, 0xd3f83e83d4797c77, 0x580b2ca68f7a5471,
  0x5e8f9da2147bd9cc, 0x88a4d2a01ffb3047, 0x5caad5f5b81e59ed, 0xaa35d15073791b5e, 0xaa5beaa6fb39d454,
  0xd5ef5f47226b395d, 0x73daad115e57212a, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6,
  0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f,
  0x6b219e98577d1ee4, 0x9a19961d9f027196, 0xc9aa6b19273c95fb, 0x0000000000000007,
};

// m8hva_swio13_noled_pr_ee_u4
static const uint64_t ur_m8hva_swio13_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x25ddaabce2682c48, 0xfa7a6274b88c327e, 0x5ef56f4a34cfda9b, 0x8b515901062ca1ae,
  0x7793bb38b6e0b3e6, 0x8d69827c60241505, 0xc7bf91a6ffcb8fcf, 0x7d47959c383fdad1, 0x2b2ebea3e0d9833d,
  0x2c4522cd3ad080fe, 0x1d0fb99801afa30b, 0x3d51fc873ab4bb93, 0xe7b55ae875e86a76, 0x6cb98b848510a3de,
  0x5aa3608cbff00bd9, 0xdaf2e556a38be930, 0xa2a551ae8a839bc8, 0xcaed52df5537d9ce, 0x0956af7afa391359,
  0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xf36c648ab7b15545, 0xd1726ae0f3612e65,
  0xd598f207e50d1659, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x000275fa78c939e4,
};

// m8hva_swio13_noled_pr_ce_u4
static const uint64_t ur_m8hva_swio13_noled_pr_ce[] = {
  0x84dddddda2447032, 0x59ddaab9c15a5c4a, 0xa2e91fd267c7cdad, 0x8b87c6b9bb2b6d4d, 0x9ca82d0bc2b76844,
  0x5415de4ee9dad976, 0x3f3fa6e609f18090, 0x51f5eebe4656ff2e, 0x24b1e780173b95d5, 0x9784bf10d8488bee,
  0x266a8ee37190ff45, 0x7bd479ba7b96086b, 0x0299538c71d3f832, 0xa3e768851ef67316, 0x2934a807feccf1d7,
  0xcaad5f5b81e5adc2, 0xa35d15073791b5e5, 0xa5beaa6fb39d454a, 0x5ef5f47226b395da, 0x3daad115e57212ad,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0xab83cd84b997cdb1, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x5d22f324e792bf73, 0x0000000000000037,
};

static const uint64_t ur_m8hva_swio13_noled_pr_ee_ce[] = {
  0x78fddddddd4458e2, 0x1aeeed55c8a72589, 0xee0ea33dc29a9baf, 0xe00a12c798934b0c, 0x8e3d3a82bc8299e3,
  0x57793baecb4a71d6, 0xfdda9827c6024150, 0x721fe418fff971f9, 0x9e005cecc7ec7f54, 0x8f9339d771b9495f,
  0x3d4795ba50376b02, 0x2b90fea3e0d98340, 0x962291669d684720, 0xe1c9fd6c00d7d185, 0x353b1ea8fe439d5a,
  0x47bdcf6abd383af4, 0x17b2d97317090a21, 0xe9305aa3608a04e0, 0xcde46d7972ab5e9e, 0xece75152a8d74541,
  0x89ace576a96faa9b, 0x795c84ab57bd7d1c, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33,
  0x2e65f36c6431dbd8, 0x0d166881726ae361, 0x2d06fdd598f207e5, 0xb25138cb3590cf4c, 0x39e4afdcd0ccb0ec,
  0x0000000a69a2f8c9,
};

static const uint64_t ur_m8hva_swio13_noled_pr_ee_ce_u4[] = {
  0x0adddddda2435f41, 0xe2eed55e1122744b, 0xfe94edd3f66c78f2, 0xa7a64cd90b831c48, 0x605991a66d83cdf0,
  0x057793bb5ad3b55c, 0xcfc009827c602415, 0x1efbf916b7fe6cc5, 0x789380e5add547d5, 0xf10d8488bee24b1e,
  0xb8dc185ff459784b, 0x50376b33c7c99aa3, 0xe0d983403d4795ba, 0x9d6847202b90fea3, 0x00d7d18596229166,
  0xfe439d5ae1c9fd6c, 0xbd383af4353b1ea8, 0x17090a2147bdcf6a, 0x608a04e017b2d973, 0x72ab5e9ee9305aa3,
  0xa8d74541cde46d79, 0xa96faa9bece75152, 0x57bd7d1c89ace576, 0xcf6ab445795c84ab, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xa1b8f3612e65f36c, 0xab337f07771a2cb3, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x0013f026b15ed3c9,
};

static const uint64_t ur_m8hva_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0x7dcc777d7f858c22, 0xb85fd0eee274bdf3, 0xbac81711b6ebf767,
  0x0120a82bbc9dd6a7, 0xfcb2d67d7dcc13e3, 0xaf877cb749f223df, 0x88638e9fc1f3dea3, 0x70ce62c05bdd304f,
  0x58c11d78b9db7b47, 0x5e5caad4ac59fb8e, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x497f47226b810139,
  0x7b55a22bcae42572, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x6da718de33a204e7, 0xf8f876376c25ccbe,
  0x71966b219e985a0d, 0x5fb9a19961d964a2, 0x0005492ff4b373c9,
};

// m8hva_swio13_lednop_pr_u4
static const uint64_t ur_m8hva_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x0aef277519eb4b37, 0x9fa95304f8c0482a, 0x9683ff20c7ff971f, 0xd3f83e83d47d28ef, 0xb016594d01827c71,
  0xbd1f3b2f88e32398, 0x6fdc35403ff6608e, 0xe556b70e40f2cf6c, 0x51ae8a839bc8daf2, 0x52df5537d9cea2a5,
  0xfa39135c0809caed, 0xad115e57212b924b, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0x3612e65f36d02a2a, 0x50d1659d1726ae0f, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xfe09a1e64ff03f8c,
  0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x0c939e4afdcd0ccb, 0x0000000003e4ffaa,
};

static const uint64_t ur_m8hva_swio13_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0xbbb5579c4d91890d, 0x7792ef8fdb664fc4, 0xf56f4b41469ad1e4, 0x8f8331062ca1ae5e,
  0x2774eb6c4e2d4b8c, 0xf304f8c0482a0aef, 0xfe4472ff2e3f3fd5, 0x1e5650e0ff6b471e, 0x82fa8f83660cf5f5,
  0x148b34eb4203f8ad, 0x3ee66006be8c2cb1, 0x47371cead2ee9474, 0xd56ba1d7a1a9da44, 0xe62e1212f88e329e,
  0x8d8232ffc02f65b2, 0xe5caad471622934a, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395,
  0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054,
  0x7e50d160bb2e4d5c, 0x861539fa9d598f20, 0xc9fe2e7197e627f2, 0xd06fc73df81f343c, 0xf8138cb3590cf4c2,
  0x39e4afdcd0ccb0ec, 0x000000013aebb0c9,
};

static const uint64_t ur_m8hva_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xaceed55e712f5e25, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0x221020820c595422,
  0x7793baafb60dc6ab, 0xc729827c60241505, 0xfbaf916ebfcb8fcf, 0xdea3cae43c1fed68, 0x2b387ea3e0d98397,
  0x2c4522cd3ad080fe, 0x1d63399801afa30b, 0xd291c4273ab4bfee, 0xb3daad743af00676, 0xe1c8c5c2424c5188,
  0x5a8e84597fe017b2, 0xba2a0e6f236bcb95, 0x7d54df673a8a9546, 0xe44d7020272bb54b, 0x45795c84ae492fe8,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x4596745c9ab83cd8,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x4e792bf734332c3b, 0x000000013ae10b32,
};

// m8hva_swio13_lednop_pr_ce_u4
static const uint64_t ur_m8hva_swio13_lednop_pr_ce[] = {
  0x426eeeeed1222a20, 0xaceed55ce0af5e25, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0xc6ab2210209bb422,
  0x15057793baafb60d, 0x8fcfc729827c6024, 0x547d7baf916ebfcb, 0x892c79e005cef4dd, 0x65e12fc4361222fb,
  0xc99aa3b8dc24afd1, 0x9ef51e719ee5821a, 0x014c79eb1c74fe0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x649cf257ee686658, 0x000000000375c216,
};

static const uint64_t ur_m8hva_swio13_lednop_pr_ee_ce[] = {
  0x78fddddddd4477d6, 0x1aeeed55c8a4bb89, 0xe276e4ed5a1e9baf, 0xe00a12c7f2531342, 0xb82246c8bc8299e3,
  0x57793bb61b5eb7da, 0xfe9a9827c6024150, 0x1c87f91ff3fcb8fc, 0xf3c00b9dffcb1fd5, 0x51f2673aee3732a3,
  0x07a8f2b2ea06ed60, 0x05652fd47c1b3068, 0xb2c4522cd3ad08e4, 0x5c3a5fad801afa30, 0x86a769111cdc73ab,
  0x88e329ed57a7075e, 0x02f65b2e62e1212f, 0xe1149a546c11409c, 0x1cde46d7972ab5e9, 0xbece75152a8d7454,
  0xe0404e576a96faa9, 0xb9095c925fd1c89a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d028c76f62aa8, 0x6881726ae3612e65, 0xfdd598f207e50d16, 0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251,
  0x0014d31e5cc939e4,
};

static const uint64_t ur_m8hva_swio13_lednop_pr_ee_ce_u4[] = {
  0x0adddddda2436d3a, 0xe2eed55e112c4c4b, 0x3d7adbad2c19f8f2, 0x4f4c99b2113ae0fd, 0x1ba666b05b079be1,
  0x57793baa3faafb26, 0xfc6e9827c6024150, 0xdf7f21aeffcd98b9, 0x12701c6bbaa8faa3, 0x21b09117dc4963cf,
  0x8dc5c17e8b2f097e, 0x0376b33c7c99aa3b, 0x0d983403d4795975, 0xd6847202b297ea3e, 0x0d7d185962291669,
  0x6e39d5ae1d2fd6c0, 0xd383af4353b4888e, 0x709097c47194f6ab, 0x08a04e017b2d9731, 0x955af4f08a4d2a36,
  0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x83bb8d1659d0dc79, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x7effe09a1e64ff03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0x3270af69e4afdcd0,
  0x00000000000009f8,
};

// m8hva_swio13_dual_pr              m8hva_swio13_dual_pr_u4
static const uint64_t ur_m8hva_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x66d6bf61ae73b563, 0xa9f7bb06d60b4b3f, 0x912b74cfed1d629d, 0xc9c6a08761b74d2d,
  0xef270a774da6dceb, 0xc03304f8c0482a0a, 0x81bbab88b2002520, 0x4f8971030a183691, 0xf73145fcca9d1677,
  0x4dea3c7bd83f8705, 0x68114239227f07dd, 0xe400006e1f02bfcc, 0x846488657717bbe6, 0x80e784d6b4542196,
  0x86f2bc84b6e50ffe, 0xdff23f77f971f305, 0x0707fd47dbe77cb3, 0x507992b47b8e3a7f, 0xceda523884e62c05,
  0x92a01ffb30475e00, 0x4b81281e59eda631, 0xcaad67f157ceee2a, 0xa35d15073791b5e5, 0xa5beaa6fb39d454a,
  0xf47226b8101395da, 0x5a22bcae42572497, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0x6c25ccbe6da05455, 0xe0eee3459674371e, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x1fbff82687993fc0,
  0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6, 0xad3e2bda792bf734, 0x0000000000000a49,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x36b5fb42faefd59d, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2ff4ad2dd91b,
  0x9bb9e0b78fe5584d, 0x4f8c0482a0aef269, 0x71164004a4271f30, 0x20614306d2303775, 0x5f9953a2cee9f12e,
  0x15b60358e04ea64b, 0x1c913f83df737a8f, 0x370f815fe63408a1, 0xcaee2f77cdc54880, 0x6df8a8432d07f110,
  0x25b74dbffa039e13, 0xffcb8f982c3795e4, 0x707fb5a328bf2287, 0xc1b306657a8f2bdf, 0x75a101fc576ebd47,
  0x035f4616588a459a, 0x7569760a3a13f330, 0xebd8cdd8c7a33d4e, 0x0b4a4710cf6ab5d0, 0xffc02f65f4b31709,
  0x47163e6f6a8d8232, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9, 0xb7d54df673a8a954, 0x8e44d7020272bb54,
  0x445795c84ae492fe, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x84b997cdb40a8ab7,
  0x7771a2cbd5c6e3cd, 0x0c2a73f53ab337f0, 0xf11a1e64ff0271a5, 0xcb3590cf4c2d06fd, 0xfdcd0ccb0ecf8138,
  0x005641d14af69e4a,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0xc4dad7ed0bf7ef56, 0xb6bbf747b5868371, 0xbac4f25765b62f1a, 0xd05900d17fa56961,
  0xe49a5777766da0a9, 0x3e609f180905415d, 0x6eeae22c8009484e, 0xe25c40c2860da460, 0x4c35bf32a7459dd3,
  0xf51f7dec34d9c22b, 0x114239227f06a7a6, 0x72006e1f02bfcc68, 0x2910caee2f77cdc6, 0xcf09ba88a8432d03,
  0xcaf212dba6dffd01, 0x9143ffe5c7cc161b, 0xcad82c1fed68dfcf, 0xfea3e0d98309fea3, 0x22cd3ad080fe2b90,
  0x199801afa30b2c45, 0x82873ab4ba561d07, 0xad743af29a764011, 0x8b8484f7a3c8b3da, 0x56b4bff00bd971f1,
  0xacfe2af9ddc54947, 0xa2a0e6f236bcb955, 0xd54df673a8a9546b, 0x44d7020272bb54b7, 0x5795c84ae492fe8e,
  0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0xbc674409cfa2810b, 0x3cd84b997cdb4e31, 0xdfc1ddc68b2ce86e,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xf03f7ff04d0f327f, 0xac867a615df47b93, 0x686658767c09c659,
  0x56481457b4f257ee,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ce[] = {
  0xddbbbbba1eb432db, 0xc4dad7ed0005b560, 0xed26f747b5868371, 0xd62792bb251fad33, 0x0ceabbfbbcfbdd0d,
  0x5de49a577347f467, 0x7806609f18090541, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0x2b4c35bf32a7459d,
  0xa6f51f7dec34d9c2, 0x68114239227f06a7, 0xc524006e1f02bfcc, 0x032910caee2f77cd, 0x01cf09ba88a8432d,
  0x1bcaf212db8cdffd, 0xe7c8383fe5c7cc16, 0xe24e0384eaaa3eaf, 0xc4361222fb892c79, 0xb8dca4afd165e12f,
  0x127b960854b99aa3, 0x5471d3f83117d479, 0x523884e62c05fdc6, 0x1ffb33c75e00ceda, 0x4a0796b7263192a0,
  0x59fc55f3bb8a92e0, 0x4541cde46d7972ab, 0xaa9bece75152a8d7, 0x89ae0404e576a96f, 0xaf2b9095c925fd1c,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d028c76f62, 0xb8d160bb1b8f3612,
  0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x6fc73df81f343cc9, 0x138cb3590cf4c2d0, 0xe4afdcd0ccb0ecf8,
  0x000003493084af69,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ce_u4[] = {
  0x64edddddda2432db, 0xc89b5afda00b9dab, 0x3b6b8eed8629cb07, 0x919ae366745e55e7, 0x33a44f51f67dbb93,
  0x5de4840ee68fefb8, 0xe1fe609f18090541, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0x574d6ebf32a7459d,
  0xe6f51d82ec3021c2, 0x68114239227f0670, 0xc24a006e1f02bfcc, 0x0ea110caee2f77cd, 0x039e134be8a8432d,
  0x3795e425b7a1fffa, 0xff91a6ffcb8f982c, 0x89380e6ceaa8faed, 0x10d8488bee24b1e7, 0xe37292bf459784bf,
  0x09ee58201c666a8e, 0x11c74fe0c9af51d0, 0xc8f229cc580afe75, 0xe39633c75e45bb4d, 0x2af9ddc5494743e6,
  0xe6f236bcb955acfe, 0xf673a8a9546ba2a0, 0x020272bb54b7d54d, 0xc84ae492fe8e44d7, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0x659d0dc79b09732f, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf,
  0x0000003493a78af6,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ee_ce[] = {
  0xbed6eeeeeea1a5fb, 0xd91b5afd86b8fcd5, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbf1dfd3fb4,
  0x4e773c16cb215658, 0x09f180905415de4c, 0x5c459001290724e6, 0x881850c1b48c0ddd, 0xdfe654e8b3ba7c4b,
  0xcdec3768e09b734e, 0x7244fe0c2d4dea38, 0xdc3e057f98d02284, 0x2bb8bddf373a9c00, 0x2b45421968175443,
  0x2dbfebffd01cf099, 0xfe5c7cc161bcaf21, 0xe58fea8d4f7c87f9, 0x6e737ff3c49c071f, 0x0ddac0b924ce75dc,
  0x3660fbaf51e57958, 0x5a11c80ae577a8f8, 0x35f4616588a459a7, 0xd4e756b860bf5b00, 0x4e0ebd8cdd8c7a33,
  0xc242d291c433daaf, 0x4502700bd97d2cc5, 0x5497a787cded51b0, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xb54b7d54df673a8a, 0x2fe8e44d7020272b, 0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xbf83bb8d166880dc, 0x90cf4c2d06fdd599, 0x0ccb0ecf8138cb35,
  0x04e70af69e4afdcd, 0x0000000000000013,
};

static const uint64_t ur_m8hva_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76421f, 0xad7ec5c6af7ab75d, 0x82d51fa2ffb4af8d, 0x5ff57b04c3e382d7, 0x256e0df5dc6a4145,
  0x4ce82023f86f2791, 0x5057792ec9dd202f, 0x48b1eb9827c60241, 0xa4606eeae22c8009, 0x9dd3e25c40c2860d,
  0x0524dfaff9978c7f, 0xdcdea3d6fec2001c, 0x1a04508e489fc1ce, 0xc3af801b87c0aff3, 0x1a6d10caee2f77cd,
  0x073c26c09150865a, 0x6f2bc84b6ec87ff4, 0xf23b07fcd98b3058, 0x93bec1aa8faa31ad, 0x8488bee24b1e7893,
  0x3afbf459784bf10d, 0x6b33f2499aa3b8dc, 0x83eebd4795e56037, 0x47202b95dea3e0d9, 0xd185962291669d68,
  0x9d5ae182fd6c00d7, 0x3af6337631e8cf53, 0x0b4a4710cf6abd38, 0x09c02f65f4b31709, 0x5e9e1f37b546c114,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0x2df5537d9cea2a55, 0xa39135c0809caed5, 0xd115e57212b924bf,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0x1a2cb3a2e4d5c1e6,
  0xe7ea75666fe0fdbb, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x52792bf734332c3b, 0x00000010012e0a88,
};

static const uint64_t ur_m8hva_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a13389, 0x7dcc774d06e24611, 0x2fe8771c6c446bf0, 0xb205c46decfdd888,
  0x482a0aef2775a9ee, 0x965acff75304f8c0, 0x4277cb741f20f5ff, 0xe471d3f83affea3c, 0xd1cc580b7ba609eb,
  0x8c11d78b9da32464, 0xf2e556a56741b8e5, 0xa551ae8a839bc8da, 0x372bb54b7d59cea2, 0x095b1fbfa391359d,
  0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0x9b6c218ab7b15545, 0x7e3e1d8ddb09732f,
  0x9c659ac867a61683, 0x57ee686658765928, 0x0001524bfd2cdcf2,
};

// m8hva_swio14_noled_pr_u4
static const uint64_t ur_m8hva_swio14_noled_pr[] = {
  0x8f77777689119391, 0x1776aae452a1c4a3, 0xf6c9ebf63416c13c, 0xb3583886d8cd9ef4, 0x905f98d69bb1c7a0,
  0x057793bb1c7717d8, 0xcf98f9827c602415, 0xe5b7bf91b7ffcb8f, 0x74fe0c9af51c143b, 0x1602cb2983da011c,
  0xd7a3e764c5188a73, 0x76b13ca807fecc11, 0x972ab5422607967b, 0x2a8d74541cde46d7, 0xb95daa5beace7515,
  0x4ad8fdfd1c89ace9, 0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0xdb610c55bd8aaa2d,
  0x5c9ab83cd84b997c, 0x663c81f943459674, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0xc9f81fbff8268799,
  0x2cd6433d30aefa3d, 0xf734332c3b3e04e3, 0x0f935705324e792b,
};

// m8hva_swio14_noled_pr_ee_u4
static const uint64_t ur_m8hva_swio14_noled_pr_ee[] = {
  0xc5eeeeeed1222a20, 0x25ddaabce25ebc4b, 0xe3dfa7b007a5327e, 0xf7ab3116966eec9a, 0x88408208316578b2,
  0xde4eeabed8371aac, 0x1ca609f180905415, 0x1efe45baff2e3f3f, 0xf51e5721e0ff6b46, 0xace1fa8f83660f4a,
  0xb1148b34eb4203f8, 0x743ee66006be8c2c, 0x4a47109cead2ffb8, 0x9ed56ba1d7a1a9db, 0xb2e62e1212628c45,
  0xca8d8232ffc02f65, 0xb5e5caad4717d073, 0x454aa35d15073791, 0x3a6e576a96fab39d, 0x7212b63f7f47226b,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x5f36d843156f62aa, 0x9d1726ae0f3612e6,
  0x9d598f207e50d165, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x00004eb842cc939e,
};

// m8hva_swio14_noled_pr_ce_u4
static const uint64_t ur_m8hva_swio14_noled_pr_ce[] = {
  0xcfdddddda2445541, 0xb3bb557382c33896, 0xd91d68ba306b9b5a, 0xa45c3f5a62f362c7, 0x8e73d71a6a6f7767,
  0x0a82bbc9dd415bd3, 0xc7e7edd4c13e3012, 0xaa3eb227c8c09fe5, 0xc4963cf002e7795a, 0xb2f097e21b09117d,
  0x64cd51dc6e2547e8, 0x67fa8ebe4f72c10d, 0x02edf97d1c74fe0d, 0xa3e764c5188a7316, 0xb13ca807feccf1d7,
  0xcaad508981e5add6, 0xa35d15073791b5e5, 0x576a96fab39d454a, 0xb63f7f47226b3a6e, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0xbaf56519273c95fb, 0x0000000000000001,
};

static const uint64_t ur_m8hva_swio14_noled_pr_ee_ce[] = {
  0x71ddddddd4144511, 0xaeeed55c8a791891, 0xc1d467aa6ec7baf1, 0x014202ffa647cfdd, 0xed60bd7790530b8c,
  0xef2777ed694e2c52, 0xff9304f8c0482a0a, 0xe97e474fff971f9f, 0xe005cefa7ec7f546, 0xf2673aee373badf9,
  0xa8f2bf9c06ed6051, 0x6e97d47c1b30738f, 0xc4522cd3ad08e405, 0x7eefad801afa30b2, 0xa76d291c4273ab5c,
  0xc459ed57a7075e86, 0xf65b2e62e1212628, 0x839e546c11409c02, 0xde46d7972ab5e9ee, 0xce75152a8d74541c,
  0x89ace9b95daa5bea, 0x5795c84ad8fdfd1c, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3,
  0x9732f9b6c2131dbd, 0x2cbd5cb9357079b0, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x0cf4c2d06fdf11a1,
  0xccb0ecf8138cb359, 0x1cf8c939e4afdcd0, 0x000000000000027e,
};

static const uint64_t ur_m8hva_swio14_noled_pr_ee_ce_u4[] = {
  0x93dddddda2431bc1, 0xc5ddaabc2223b895, 0x5d375ba6ed90f1e5, 0x6f4c99a0906e5db4, 0xb13938c4b60f37b2,
  0x57793baeb7a82bbb, 0xf6bb9827c6024150, 0xcaef90ff3fcd98b9, 0xc49c071fe5547d51, 0x886c2445f71258f3,
  0xe373ce5fa2cbc25f, 0x80ddaccf1f266a8e, 0x83660e71f51e57f3, 0x75a11c80add2fa8f, 0x035f4616588a459a,
  0x884e756b8fddf5b0, 0xf4e0ebd0d4eda523, 0x5c2424c5188b3daa, 0x822813805ecb65cc, 0xe556bd3dd073ca8d,
  0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa391359d37, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a,
  0xb44e31bc6744083b, 0xd84263b7b15545a5, 0x3a1b8f3612e65f36, 0x3ab337f07771a2cb, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x00013f3ecf15ed3c,
};

static const uint64_t ur_m8hva_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfdf1fbb87c6d0611, 0x882fe8771c7b426e, 0xf75048036df1fdd8,
  0x602415057793bb63, 0xff965acfc069827c, 0x7c90ef96e83e407b, 0x1318e3a7f075ffd4, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d15073791, 0x3a6e576a96fab39d, 0xb97d8f47226b8101,
  0xd73daad115e57212, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0x5f36d38c6f19d102, 0x06fc7c3b1bb612e6,
  0x5138cb3590cf4c2d, 0xe4afdcd0ccb0ecb2, 0x000000a93eba59b9,
};

// m8hva_swio14_lednop_pr_u4
static const uint64_t ur_m8hva_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0x15de4eedc1d8661b, 0x3ebee609f1809054, 0x96defe447bff2e3f, 0xd3f8326bd47400ef, 0x2c0596533f9d4471,
  0x5e8f9db244637ce6, 0x83fd22a01ffb3047, 0xb955acbb503cb3db, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9,
  0xb1e8e44d7020274d, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x1e6c25ccbe6db18c, 0xfca1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343cc9fe07f,
  0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x0f99273c95fb9a19, 0x00000000000f9339,
};

static const uint64_t ur_m8hva_swio14_lednop_pr_ee[] = {
  0xbdddddd0f5a22044, 0xbbb5579c4d458978, 0xf7c8ed4326664fc4, 0xf56622f5da59214c, 0xa295b1062caf165e,
  0x27747b6a3b086695, 0x5304f8c0482a0aef, 0x7f222b7f971f9f27, 0x8f2b29707fb5a30f, 0x50fd47c1b307a57a,
  0x8a459a75a101fc56, 0x1f7330035f461658, 0xa35f0e75697f9c3a, 0xd56ba1d7a1a9d827, 0xcc5c242c9118df9e,
  0x1b0465ff805ecb65, 0xcb955a8e2ed62795, 0x9546ba2a0e6f236b, 0xdcaed52df5673a8a, 0xfb1e8e44d7020274,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0xc1e6c25ccbe6db18,
  0x07e50d160bb2e4d5, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73df81f343, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x0000000013af8c4c,
};

static const uint64_t ur_m8hva_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x59ddaabce2685c4b, 0xd2eae3ddb6ebcdad, 0x45c3f5a433c5ef4c, 0x2d055a0418b2b67a,
  0xde4ee9d6d1225aaa, 0x15a609f180905415, 0x913e46fbff2e3f3f, 0x7a8f2b74b07fb5a3, 0x5721fd47c1b3060a,
  0x588a459a75a101fc, 0x3ac67330035f4616, 0x80234c4e7569728a, 0xa7b55ae875e00cec, 0xc3918b8484f7a3b5,
  0xb51d5ad2ffc02f65, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x84b997cdb6318ab7, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x24e792bf734332c3, 0x000000000275cb33,
};

// m8hva_swio14_lednop_pr_ce_u4
static const uint64_t ur_m8hva_swio14_lednop_pr_ce[] = {
  0x67eeeeeed1222582, 0x59ddaab9c1685c4b, 0xd2eae3ddb6ebcdad, 0x45c3f5a433c5ef4c, 0x5aaa2d055a37767a,
  0x5415de4ee9d6d122, 0x3f3f15a609f18090, 0x51f5913e46fbff2e, 0x24b1e780173bb755, 0x9784bf10d8488bee,
  0x266a8ee37292bf45, 0x7fa8f2fa7b96086b, 0x163de951c74fe0d6, 0x3e76c9118df398b0, 0xf48a807feccf1d7a,
  0x55acbb503cb5ba0f, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xe8e44d7020274dca, 0x5a22bcae42572fb1,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0x434596745c9ab83c,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xf82687993fc0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d,
  0x324e792bf734332c, 0x0000000000375cb3,
};

static const uint64_t ur_m8hva_swio14_lednop_pr_ee_ce[] = {
  0x171ddddddd447768, 0x1aeeed55c8a74e89, 0xd1dec4ed2431dbaf, 0x600a1017f91fa634, 0x8371c6a2bc82985c,
  0x57793bad3b5d94e2, 0xf4db9827c6024150, 0x6e97e40cdff971f9, 0x9e005cec66ec7f54, 0x8f9339d771b8ce5f,
  0x7d47959c30376b02, 0x2b2ebea3e0d9839c, 0x962291669d684720, 0xe3e77d6c00d7d185, 0x6a7609e8d7c39d5a,
  0x18df9ed57a7075e8, 0x5ecb65cc5c242c91, 0x6b13ca8d82281380, 0x9bc8daf2e556bd3d, 0x59cea2a551ae8a83,
  0xc0809d372bb54b7d, 0xb9095cbec7a39135, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d8c4c76f62aa8, 0x6881726ae3612e65, 0xfdd598f207e50d16, 0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251,
  0x0014d317ecc939e4,
};

static const uint64_t ur_m8hva_swio14_lednop_pr_ee_ce_u4[] = {
  0x93dddddda2431000, 0xc5ddaabc22191895, 0x7aecb761995bf1e5, 0xde99334111dc1b5c, 0x1ba05f256c1e6f64,
  0xbbc9ddaafd3adb36, 0xc524c13e30120a82, 0x577c8adfff3662e7, 0x49c072b7eaa3ea8e, 0x86c2445f71258f3c,
  0x6e3b77fa2cbc25f8, 0x1bb599e3e4cd51dc, 0x6cc1ce3ea3cace18, 0xb4239015975f51f0, 0x6be8c2cb1148b34e,
  0xe1cead71f3beb600, 0x383af4353b04f46b, 0x1216488c6fcf6abd, 0x1409c02f65b2e62e, 0xab5e9eb589e546c1,
  0xd74541cde46d7972, 0xdaa5beace75152a8, 0xd1c89ae0404e9b95, 0xb445795c84ae5f63, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x83bb8d1659d0dc79, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x7effe09a1e64ff03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0x3d5caf69e4afdcd0,
  0x00000000000009f8,
};

// m8hva_swio14_dual_pr              m8hva_swio14_dual_pr_u4
static const uint64_t ur_m8hva_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x66d6bf61ae933566, 0xbd77ba24792b4b3f, 0x912b6626710f6375, 0xc596a4e4d3b75a2d,
  0x7793853bafafb5a5, 0xcdf9827c60241505, 0xc0ddd5c459001291, 0xa7c4b881850c1b48, 0xfb98a2fe654e8b3b,
  0xa6f51e3dec1fc382, 0x3408a11c913f83ee, 0xe35d80370f815fe6, 0x846488657717bbe6, 0x80e784d6b4542196,
  0x86f2bc84b6e52ffe, 0xaff20a2ff971f305, 0x83defd47ee8ef965, 0xa83cce4c3dc71d3f, 0x6764011a62731602,
  0x7d500ffd9823af00, 0x95f3a81e59edbde3, 0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb, 0xaed52df5673a8a95,
  0x1e8e44d7020274dc, 0x55a22bcae42572fb, 0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31,
  0xe6c25ccbe6db18c5, 0xfe0eee3459674371, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc,
  0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd, 0x9a65a2bda792bf73, 0x00000000000000a4,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ee[] = {
  0xa76eeeee87ad0c86, 0x99b5afda17d71d58, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75fd2b4b29c,
  0x66eeada6d8273150, 0x13e30120a82bbc9a, 0xae22c8009481544c, 0xc40c2860da4606ee, 0x6bf32a7459dd3e25,
  0xe2b6c06b1c09d4c9, 0x239227f07bee6f51, 0x06e1f02bfcc68114, 0x195dc5eef9b86010, 0x6dbf150865a0fe22,
  0x425b70d1ff4073c2, 0x6bfcb8f982c3795e, 0xae83fdad1d4af909, 0x7c1b307b7fd4795c, 0xa75a101fc57befd4,
  0x0035f4616588a459, 0xe756972863a13f33, 0x0ebd8cdda3da3d28, 0x909004698cf6ab5d, 0x2ffc02f65f4b3170,
  0x28e2f2288aa8d823, 0x2ab59fc55f3bb8a9, 0x8d74541cde46d797, 0x5daa5beace75152a, 0x3d1c89ae0404e9b9,
  0xab445795c84ae5f6, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0xcd84b997cdb6318a,
  0xfe0eee34582ec6e3, 0xfca1854e7ea75666, 0x0f327f8b9c65f989, 0x30b41bf1cf7e07cd, 0x3b3e04e32cd6433d,
  0x2bda792bf734332c, 0x0000000000ac856a,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ee_u4[] = {
  0x40bdddddda2432db, 0xe26d6bf685e55fab, 0xadae3ba769a741b8, 0x0bb13c94a56a7d96, 0x489ea3e3afe95a5c,
  0x92695dcd1fdf7067, 0x89827c6024150577, 0xddd5c4590012902a, 0xc4b881850c1b48c0, 0x986b7e654e8b3ba7,
  0xea3efbd869b38456, 0x22847244fe0d4f4d, 0x9400dc3e057f98d0, 0x522195dc5eef9b84, 0x9e13751150865a06,
  0xcaf212db868ffa03, 0xc84b5fe5c7cc161b, 0xcaca1c1fed68cc7f, 0x5f51f06cc1f51ea3, 0x91669d68407f15ba,
  0x8ccc00d7d1859622, 0xe6e39d5a5dc98e83, 0x56ba1d794d3b4e28, 0xc5c2425ae8e329ed, 0x570e5ff805ecb8f8,
  0xacfe2af9ddc54947, 0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xe44d7020274dcaed, 0x22bcae42572fb1e8,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0x71e6c25ccbe6da71, 0x66fe0eee34596743,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0x0564e9e2bda792bf,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ce[] = {
  0xbdddddd0f5a1a5fb, 0x36b5fb40089fab40, 0x421dd3b4d3a0dc71, 0x3c94a5557badc6ad, 0x2b8a6bd8beec0bb1,
  0x92695dcf05a3f0ab, 0xa9827c6024150577, 0xbbab88b2002522e4, 0x8971030a18369181, 0x30d6fcca9d16774f,
  0xd47df7b0d36708ad, 0x4508e489fc1a9e9b, 0x1c01b87c0aff31a0, 0x488657717bbe6e34, 0x784dd44542196819,
  0x579096dec7ffe80e, 0x40d6ff2e3e60b0de, 0xe038706aa3ea63fe, 0x61222fb892c79e24, 0xcb91fd165e12fc43,
  0xb960854b99aa3b8d, 0x3a7f076b7a8e13e7, 0x31398b014a2edf8e, 0xccf1d78033b2008d, 0xcb5b9ef1bea807fe,
  0x55f3bb8a92be7503, 0xcde46d7972ab59fc, 0xace75152a8d74541, 0xe0404e9b95daa5be, 0x5c84ae5f63d1c89a,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0x8b05d8dc79b09732,
  0xcfd4eaccdfc1ddc6, 0x738cbf313f9430a9, 0x39efc0f9a1e64ff1, 0x659ac867a616837e, 0x7ee686658767c09c,
  0x0003490c857b4f25,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x9136b5fb4015ad59, 0x337bbdd69c6e960f, 0xd19ae38163af9f69, 0x956201aaf8d5ba8e,
  0xaef2420773c16b85, 0x02c9304f8c0482a0, 0x181bbab88b200252, 0x74f8971030a18369, 0x95d35bafcca9d167,
  0x39bd4760bb0c0870, 0x1a04508e489fc19c, 0x7292801b87c0aff3, 0x43a84432bb8bddf3, 0x80e784d2fa2a10cb,
  0x86f2bc84b6e96bfe, 0x75f22dd7f971f305, 0x789380e69baa8faf, 0xf10d8488bee24b1e, 0xee372e47f459784b,
  0x719ee58201c666a8, 0xeb1c74fe0c9ef51e, 0xf88e32398b014c79, 0xee39633c75e45bb2, 0xc55f3bb8a928eb22,
  0x1cde46d7972ab59f, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0xd1659d0dc79b0973, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0xf69e4afdcd0ccb0e,
  0x00000000692042ca,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ee_ce[] = {
  0x2beddddddd43359b, 0x646d6bf61aed3dab, 0xefd5f753ecb534e7, 0xeb06e39dee30f900, 0xd0672b8e3bfa6af8,
  0x9cee382d1e1b5d66, 0x13e30120a82bbc98, 0xb88b20025213cbcc, 0x1030a18369181bba, 0xbfcca9d16774f897,
  0x9bd86ed1c136e69d, 0xe489fc185a9bd471, 0xb87c0aff31a04508, 0xaee2f77cdc185c01, 0xad150865a05d510c,
  0xb6f8ddff4073c264, 0xf971f30586f2bc84, 0xec7f546c17e44edf, 0xe0227f3c49c07276, 0xddac0b924ce75dc6,
  0x660e44f51e578100, 0xa11c80af2b7a8f83, 0x5f4616588a459a75, 0x8e756b8287f5b003, 0xe0ebd8cdda3da3d2,
  0x2424011a633daaf4, 0x502700bd97d2cc5c, 0x92f4f64511551b04, 0x72ab59fc55f3bb8a, 0xa8d74541cde46d79,
  0x95daa5beace75152, 0x63d1c89ae0404e9b, 0x6ab445795c84ae5f, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b6c626, 0xbf83bb8d166880dc, 0x90cf4c2d06fdd599, 0x0ccb0ecf8138cb35,
  0x4e938af69e4afdcd, 0x0000000000000130,
};

static const uint64_t ur_m8hva_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b766c4f, 0xd6bf62e257bd599f, 0xc16d578ebfda57c6, 0x3ef3373684dcb269, 0x8256e0db3e8d482b,
  0x74ab02da390d7176, 0x15057792ec9dd580, 0x290f1eb9827c6024, 0xb48c0ddd5c459001, 0xf3ba7c4b881850c1,
  0x80a49bf5ff32f18f, 0xdb9bd47adfd84003, 0x63408a11c913f839, 0xb8f0080370f815fe, 0x434da2195dc5eef9,
  0x80e784d8122a10cb, 0x0de579096dd2a3fe, 0xbe47ebff9b31660b, 0x7277faf551f5471c, 0xb09117dc4963cf12,
  0x8f00fe8b2f097e21, 0xed667e493354771b, 0x307227a8f2bc0806, 0x08e405795bd47c1b, 0xfa30b2c4522cd3ad,
  0x73ab5c143fad801a, 0x075ec66ed1ed1e94, 0x212008d319ed57a7, 0x813805ecbe9662e1, 0x97a7b2288aa8d822,
  0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb, 0xaed52df5673a8a95, 0x1e8e44d7020274dc, 0x55a22bcae42572fb,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0x7634596745c9ab83,
  0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x10a4f257ee686658, 0x00000000200041a9,
};

static const uint64_t ur_m8hva_swio15_noled[] = {
  0x5a9377777759bb37, 0x4f5bbb557229b6e2, 0x4f617eea1c489184, 0x0bfa1ddc4fa5e3e6, 0xe9b150e007937752,
  0x0482a0aef27771de, 0xf2cb59fdbf304f8c, 0xf90ef96e93e4751f, 0x37471d3f83e7bd47, 0xe80e62c05bdd3489,
  0x58c11d78b9db22a3, 0xaf2e556a56749b8e, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ab57fbfa391359d,
  0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0x9b632455bd8aaa2d, 0x7e3e1d8ddb09732f,
  0x9c659ac867a61683, 0x57ee686658765928, 0x0000a91cdd2cdcf2,
};

// m8hva_swio15_noled_pr_u4
static const uint64_t ur_m8hva_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xec7c2f1afbb713a0,
  0x15de4ee891d37702, 0x9f7f2609f1809054, 0xcb41ff90657f971f, 0xd3f83e83d4797c77, 0x580b2ca68f7a5471,
  0x5e8f9da2147bd9cc, 0x88a4d2a01ffb3047, 0x5caad5f5b81e59ed, 0xaa35d15073791b5e, 0x576a96fabb39d454,
  0x6aff7f47226b3a6e, 0xb9ed5688af2b9095, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc648ab7b15545a5b,
  0x26ae0f3612e65f36, 0x8f207e50d1659d17, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f,
  0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xe4d5358c939e4afd, 0x0000000000000003,
};

// m8hva_swio15_noled_pr_ee_u4
static const uint64_t ur_m8hva_swio15_noled_pr_ee[] = {
  0x5a6eeeeed12232a8, 0x12eed55e71341625, 0xfd3d313a5c46193f, 0x2f7ab7a51a67ed4d, 0xa2d45640418b2ab4,
  0x5de4eece2db82cf9, 0xe35a609f18090541, 0x71efe469bff2e3f3, 0x5f51e5670e0ff6b4, 0x8acbafa8f83660cf,
  0xcb1148b34eb4203f, 0xc743ee66006be8c2, 0x8f547f21cead2ee4, 0xb9ed56ba1d7a1a9d, 0x5b2e62e1214428f7,
  0x16a8d8232ffc02f6, 0x36bcb955a8e2fa4c, 0xa8a9546ba2a0e6f2, 0x74dcaed52df57673, 0x212ad5fefe8e44d6,
  0x8b5d73daad115e57, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xbe6d8c9156f62aa8, 0x3a2e4d5c1e6c25cc,
  0x3ab31e40fca1a2cb, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d,
  0x95fb9a19961d9f02, 0x00004ebf4f19273c,
};

// m8hva_swio15_noled_pr_ce_u4
static const uint64_t ur_m8hva_swio15_noled_pr_ce[] = {
  0xe4dddddda2447032, 0x59ddaab9c15a5c49, 0xa2e91fd267c7cdad, 0x8b87c6b9bb2b6d4d, 0x9ca82d0bc2b75e44,
  0x5415de4ee9dad976, 0x3f3fa6e609f18090, 0x51f5eebe4656ff2e, 0x24b1e780173b95d5, 0x9784bf10d8488bee,
  0x266a8ee37190ff45, 0x7bd479ba7b96086b, 0x0299538c71d3f832, 0xa3e768851ef67316, 0x2934a807feccf1d7,
  0xcaad5f5b81e5adc2, 0xa35d15073791b5e5, 0x76a96fabb39d454a, 0xaff7f47226b3a6e5, 0x9ed5688af2b90956,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0xd5c1e6c25ccbe6d8, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xae91799273c95fb9, 0x000000000000001b,
};

static const uint64_t ur_m8hva_swio15_noled_pr_ee_ce[] = {
  0x543ddddddd4458e2, 0x1aeeed55c8a72589, 0xee0ea33dc29a9baf, 0xe00a12c798934b0c, 0x8e3d3a82bc829950,
  0x57793baecb4a71d6, 0xfdda9827c6024150, 0x721fe418fff971f9, 0x9e005cecc7ec7f54, 0x8f9339d771b9495f,
  0x3d4795ba50376b02, 0x2b90fea3e0d98340, 0x962291669d684720, 0xe1c9fd6c00d7d185, 0x353b1ea8fe439d5a,
  0x47bdcf6abd383af4, 0x17b2d97317090a21, 0xe9305aa3608a04e0, 0xcde46d7972ab5e9e, 0xece75152a8d74541,
  0x89ace9b95daa5bea, 0xbcae4255abfdfd1c, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19,
  0x9732f9b63218edec, 0x868b3440b93571b0, 0x16837eeacc7903f2, 0x59289c659ac867a6, 0x9cf257ee68665876,
  0x0000000534d17c64,
};

static const uint64_t ur_m8hva_swio15_noled_pr_ee_ce_u4[] = {
  0x9bdddddda2435f41, 0xc5ddaabc2244e892, 0xfd29dba7ecd8f1e5, 0x6f4c99b217063891, 0x81664699b60f3753,
  0x15de4eed6b4ed571, 0x3f002609f1809054, 0x7befe45adff9b317, 0xe24e0396b7551f54, 0xc4361222fb892c79,
  0xe370617fd165e12f, 0x40ddaccf1f266a8e, 0x83660d00f51e56e9, 0x75a11c80ae43fa8f, 0x035f4616588a459a,
  0xf90e756b8727f5b0, 0xf4e0ebd0d4ec7aa3, 0x5c2428851ef73daa, 0x822813805ecb65cc, 0xcaad7a7ba4c16a8d,
  0xa35d15073791b5e5, 0x76a96fabb39d454a, 0xaff7f47226b3a6e5, 0x9ed5688af2b90956, 0xb14a7869de7c5aeb,
  0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0x4371e6c25ccbe6d8, 0x5666fe0eee345967, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x0027e04d62bda792,
};

static const uint64_t ur_m8hva_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0xbee63bbebfc2c611, 0x482fe877713a5ef9, 0xeeb205c46dbafddd,
  0xc0482a0aef2775a9, 0xff2cb59f5f7304f8, 0xebe1df2dd27c88f7, 0xe218e3a7f07cf7a8, 0xdc3398b016f74c13,
  0x9630475e2e76ded1, 0xd7972ab52b167ee3, 0x152a8d74541cde46, 0x9b95daa5beaece75, 0x2563d1c89ae0404e,
  0xe7b55a22bcae4257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0xe6da718de33a204e, 0xdf8f876376c25ccb,
  0x271966b219e985a0, 0x95fb9a19961d964a, 0x00005492ff4b373c,
};

// m8hva_swio15_lednop_pr_u4
static const uint64_t ur_m8hva_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x0aef277519eb4b37, 0x9fa95304f8c0482a, 0x9683ff20c7ff971f, 0xd3f83e83d47d28ef, 0xb016594d01827c71,
  0xbd1f3b2f88e32398, 0x6fdc35403ff6608e, 0xe556b70e40f2cf6c, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5,
  0x7a39135c0809d372, 0xab445795c84ae4ac, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0xcd84b997cdb40a8a, 0x9434596745c9ab83, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3,
  0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0x8324e792bf734332, 0x0000000000f93fea,
};

static const uint64_t ur_m8hva_swio15_lednop_pr_ee[] = {
  0x4dddddd0f5a22582, 0x5ddaabce26c8c4ab, 0x3bc977c7edb327e2, 0x7ab7a5a0a34d68f2, 0x23e0cc418b2ab42f,
  0xc9dd3adb138b52e3, 0x7cc13e30120a82bb, 0xbf911cbfcb8fcff5, 0x479594383fdad1c7, 0x60bea3e0d9833d7d,
  0x4522cd3ad080fe2b, 0x0fb99801afa30b2c, 0x11cdc73ab4bba51d, 0xb55ae875e86a7691, 0xb98b8484be238ca7,
  0xa3608cbff00bd96c, 0x7972ab51c588a4d2, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x563d1c89ae0404e9,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xc1e6c25ccbe6da05,
  0x07e50d160bb2e4d5, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73df81f343, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x0000000013aebb0c,
};

static const uint64_t ur_m8hva_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222a20, 0xaceed55e712f5e24, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0x221020820c594f22,
  0x7793baafb60dc6ab, 0xc729827c60241505, 0xfbaf916ebfcb8fcf, 0xdea3cae43c1fed68, 0x2b387ea3e0d98397,
  0x2c4522cd3ad080fe, 0x1d63399801afa30b, 0xd291c4273ab4bfee, 0xb3daad743af00676, 0xe1c8c5c2424c5188,
  0x5a8e84597fe017b2, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xe44d7020274dcaed, 0x115e57212b92b1e8,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d02a2ade, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x000000004eb842cc,
};

// m8hva_swio15_lednop_pr_ce_u4
static const uint64_t ur_m8hva_swio15_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xaceed55ce0af5e24, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0xc6ab2210209baf22,
  0x15057793baafb60d, 0x8fcfc729827c6024, 0x547d7baf916ebfcb, 0x892c79e005cef4dd, 0x65e12fc4361222fb,
  0xc99aa3b8dc24afd1, 0x9ef51e719ee5821a, 0x014c79eb1c74fe0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6da0518e, 0xa1a2cb3a2e4d5c1e,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0x99273c95fb9a1996, 0x0000000000dd7085,
};

static const uint64_t ur_m8hva_swio15_lednop_pr_ee_ce[] = {
  0x543ddddddd4477d6, 0x1aeeed55c8a4bb89, 0xe276e4ed5a1e9baf, 0xe00a12c7f2531342, 0xb82246c8bc829950,
  0x57793bb61b5eb7da, 0xfe9a9827c6024150, 0x1c87f91ff3fcb8fc, 0xf3c00b9dffcb1fd5, 0x51f2673aee3732a3,
  0x07a8f2b2ea06ed60, 0x05652fd47c1b3068, 0xb2c4522cd3ad08e4, 0x5c3a5fad801afa30, 0x86a769111cdc73ab,
  0x88e329ed57a7075e, 0x02f65b2e62e1212f, 0xe1149a546c11409c, 0x1cde46d7972ab5e9, 0xaece75152a8d7454,
  0xe0404e9b95daa5be, 0xae42572563d1c89a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0x7cdb40a31dbd8aaa, 0x9a205c9ab8d84b99, 0xbf75663c81f94345, 0x4e32cd6433d30b41, 0x2bf734332c3b2c94,
  0x000534c797324e79,
};

static const uint64_t ur_m8hva_swio15_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda2436d3a, 0xc5ddaabc22589892, 0x7af5b75a5833f1e5, 0xde9933642275c1fa, 0x6e999ac16c1e6ea6,
  0x5de4eea8feabec98, 0xf1ba609f18090541, 0x7dfc86bbff3662e7, 0x49c071aeeaa3ea8f, 0x86c2445f71258f3c,
  0x371705fa2cbc25f8, 0x0ddaccf1f266a8ee, 0x3660d00f51e565d4, 0x5a11c80aca5fa8f8, 0x35f4616588a459a7,
  0xb8e756b874bf5b00, 0x4e0ebd0d4ed22239, 0xc2425f11c653daaf, 0x22813805ecb65cc5, 0x556bd3c22934a8d8,
  0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xa39135c0809d372b, 0xb445795c84ae4ac7, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x83bb8d1659d0dc79, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x7effe09a1e64ff03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0x3270af69e4afdcd0,
  0x00000000000009f8,
};

// m8hva_swio15_dual_pr              m8hva_swio15_dual_pr_u4
static const uint64_t ur_m8hva_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x66d6bf61ae73b562, 0xa9f7bb06d60b4b3f, 0x912b74cfed1d629d, 0xc9c6a08761b748fd,
  0xef270a774da6dceb, 0xc03304f8c0482a0a, 0x81bbab88b2002520, 0x4f8971030a183691, 0xf73145fcca9d1677,
  0x4dea3c7bd83f8705, 0x68114239227f07dd, 0xe400006e1f02bfcc, 0x846488657717bbe6, 0x80e784d6b4542196,
  0x86f2bc84b6e50ffe, 0xdff23f77f971f305, 0x0707fd47dbe77cb3, 0x507992b47b8e3a7f, 0xceda523884e62c05,
  0x92a01ffb30475e00, 0x4b81281e59eda631, 0xcaad67f157ceee2a, 0xa35d15073791b5e5, 0x76a96fabb39d454a,
  0xf47226b81013a6e5, 0x5688af2b9095c958, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6,
  0x9b09732f9b681515, 0xf83bb8d1659d0dc7, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0,
  0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35, 0x6b4f8af69e4afdcd, 0x0000000000000292,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0x36b5fb42faefd58a, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2ff4ad2ca51b,
  0x9bb9e0b78fe5584d, 0x4f8c0482a0aef269, 0x71164004a4271f30, 0x20614306d2303775, 0x5f9953a2cee9f12e,
  0x15b60358e04ea64b, 0x1c913f83df737a8f, 0x370f815fe63408a1, 0xcaee2f77cdc54880, 0x6df8a8432d07f110,
  0x25b74dbffa039e13, 0xffcb8f982c3795e4, 0x707fb5a328bf2287, 0xc1b306657a8f2bdf, 0x75a101fc576ebd47,
  0x035f4616588a459a, 0x7569760a3a13f330, 0xebd8cdd8c7a33d4e, 0x0b4a4710cf6ab5d0, 0xffc02f65f4b31709,
  0x47163e6f6a8d8232, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0x8e44d7020274dcae,
  0xd115e57212b92b1e, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0x612e65f36d02a2ad,
  0x1ddc68b2f571b8f3, 0x430a9cfd4eaccdfc, 0x7c4687993fc09c69, 0x32cd6433d30b41bf, 0xbf734332c3b3e04e,
  0x0015907452bda792,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0xc4dad7ed0bf7ef56, 0xb6bbf747b5868371, 0xcec4f25765b62f1a, 0xd05900d17fa5696c,
  0xe49a5777766da0a9, 0x3e609f180905415d, 0x6eeae22c8009484e, 0xe25c40c2860da460, 0x4c35bf32a7459dd3,
  0xf51f7dec34d9c22b, 0x114239227f06a7a6, 0x72006e1f02bfcc68, 0x2910caee2f77cdc6, 0xcf09ba88a8432d03,
  0xcaf212dba6dffd01, 0x9143ffe5c7cc161b, 0xcad82c1fed68dfcf, 0xfea3e0d98309fea3, 0x22cd3ad080fe2b90,
  0x199801afa30b2c45, 0x82873ab4ba561d07, 0xad743af29a764011, 0x8b8484f7a3c8b3da, 0x56b4bff00bd971f1,
  0xacfe2af9ddc54947, 0xa2a0e6f236bcb955, 0x2df57673a8a9546b, 0x44d7020274dcaed5, 0x15e57212b92b1e8e,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d10273e8a042, 0x8f3612e65f36d38c, 0x37f07771a2cb3a1b,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0x15920515ed3c95fb,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0xc4dad7ed0005b566, 0xed26f747b5868371, 0x762792bb251fad33, 0x0ceabbfbbcfbdd66,
  0x5de49a577347f467, 0x7806609f18090541, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0x2b4c35bf32a7459d,
  0xa6f51f7dec34d9c2, 0x68114239227f06a7, 0xc524006e1f02bfcc, 0x032910caee2f77cd, 0x01cf09ba88a8432d,
  0x1bcaf212db8cdffd, 0xe7c8383fe5c7cc16, 0xe24e0384eaaa3eaf, 0xc4361222fb892c79, 0xb8dca4afd165e12f,
  0x127b960854b99aa3, 0x5471d3f83117d479, 0x523884e62c05fdc6, 0x1ffb33c75e00ceda, 0x4a0796b7263192a0,
  0x59fc55f3bb8a92e0, 0x4541cde46d7972ab, 0x5beaece75152a8d7, 0x89ae0404e9b95daa, 0x2bcae42572563d1c,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb40a31dbd8, 0xee34582ec6e3cd84,
  0x854e7ea75666fe0e, 0x7f8b9c65f989fca1, 0x1bf1cf7e07cd0f32, 0x04e32cd6433d30b4, 0x792bf734332c3b3e,
  0x000000d24c212bda,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0xc89b5afda00b9dab, 0x3b6b8eed8629cb07, 0x919ae366745e55e7, 0x33a44f51f67dbb13,
  0x5de4840ee68fefb8, 0xe1fe609f18090541, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0x574d6ebf32a7459d,
  0xe6f51d82ec3021c2, 0x68114239227f0670, 0xc24a006e1f02bfcc, 0x0ea110caee2f77cd, 0x039e134be8a8432d,
  0x3795e425b7a1fffa, 0xff91a6ffcb8f982c, 0x89380e6ceaa8faed, 0x10d8488bee24b1e7, 0xe37292bf459784bf,
  0x09ee58201c666a8e, 0x11c74fe0c9af51d0, 0xc8f229cc580afe75, 0xe39633c75e45bb4d, 0x2af9ddc5494743e6,
  0xe6f236bcb955acfe, 0x7673a8a9546ba2a0, 0x020274dcaed52df5, 0x7212b92b1e8e44d7, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0x59674371e6c25ccb, 0x7ea75666fe0eee34,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x0000000d24e9e2bd,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ee_ce[] = {
  0xa716eeeeeea1a5fb, 0xd91b5afd86b8fcd5, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbf1dfd39c4,
  0x4e773c16cb215658, 0x09f180905415de4c, 0x5c459001290724e6, 0x881850c1b48c0ddd, 0xdfe654e8b3ba7c4b,
  0xcdec3768e09b734e, 0x7244fe0c2d4dea38, 0xdc3e057f98d02284, 0x2bb8bddf373a9c00, 0x2b45421968175443,
  0x2dbfebffd01cf099, 0xfe5c7cc161bcaf21, 0xe58fea8d4f7c87f9, 0x6e737ff3c49c071f, 0x0ddac0b924ce75dc,
  0x3660fbaf51e57958, 0x5a11c80ae577a8f8, 0x35f4616588a459a7, 0xd4e756b860bf5b00, 0x4e0ebd8cdd8c7a33,
  0xc242d291c433daaf, 0x4502700bd97d2cc5, 0x5497a787cded51b0, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xcaed52df57673a8a, 0xb1e8e44d7020274d, 0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6da051, 0x6fe0eee3459a2037, 0x6433d30b41bf7566, 0x4332c3b3e04e32cd,
  0xc139c2bda792bf73, 0x0000000000000004,
};

static const uint64_t ur_m8hva_swio15_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76421f, 0xd6bf62e357bd58b1, 0xc16a8fd17fda57c6, 0xaffabd8261f1c16b, 0x495b83658a3520a2,
  0xd33a0808fe1bc9e4, 0x5415de4bb277480b, 0x522c7ae609f18090, 0x69181bbab88b2002, 0xe774f8971030a183,
  0x014937ebfe65e31f, 0xb737a8f5bfb08007, 0xc68114239227f073, 0x70ebe006e1f02bfc, 0x869b4432bb8bddf3,
  0x01cf09b024542196, 0x1bcaf212dbb21ffd, 0x7c8ec1ff3662cc16, 0xe4efb06aa3ea8c6b, 0x61222fb892c79e24,
  0x0ebefd165e12fc43, 0xdaccfc9266a8ee37, 0x60fbaf51e579580d, 0x11c80ae577a8f836, 0xf4616588a459a75a,
  0xe756b860bf5b0035, 0x0ebd8cdd8c7a33d4, 0x42d291c433daaf4e, 0x02700bd97d2cc5c2, 0x97a787cded51b045,
  0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6da0518e, 0xb1a2cb3a2e4d5c1e,
  0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x852792bf734332c3, 0x000000010012e0a8,
};

// m8u2_autobaud_uart0_noled_pr      usb82_autobaud_uart0_noled        usb82_autobaud_uart0_noled_pr
static const uint64_t ur_m8u2_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x094beff3b2d67cf5, 0xf01748b54088153e, 0x6a8e15faa935fc8b, 0xfcf1df2c90e1b46f, 0x93d1c74fe0cd27a8,
  0xc66731602dee986f, 0x58c11d78b9d9ed23, 0x0c4eefd856513b8e, 0x301dfbbf39c9b6fc, 0x53633937e6f00fa8,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x0ddb09732f9b6249, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x248e6eb3c95fb9a1, 0x0000000000007110,
};

// usb82_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m8u2_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0x47ff745cfedf9827, 0xd22d5022054f825d, 0x857eaa4d7f22fc05, 0x77cb08786d1bdaa3, 0x71d3f83417ea3f40,
  0xe62c0596533df6b4, 0x23af47ced5fd1eb0, 0xdb1f6679500ffd98, 0x189ddfb071f03cb3, 0x603bf77e73936df8,
  0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x2adec55516961738, 0x0f3612e65f36c492, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x443f3c95fb9a1996, 0x0000000008c36f25,
};

/*
 * m8u2_autobaud_uart0_noled_pr_ee_u4 usb82_autobaud_uart0_noled_pr_ee
 * usb82_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m8u2_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0x745cfece9827c64e, 0xa0440a9f04a577ff, 0x549afe45f80ba45a, 0xce30da37b5470afd, 0xc7d4795c89355ad1,
  0xf15f75ea3e0d9834, 0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37,
  0xb2e62e1211473c8c, 0x34a8d823f5b86f65, 0x7e062777ec00a895, 0xd4180efddf9ce4db, 0x2f29b19c9bf37807,
  0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xab83cd84b997cdb1, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xfaf10fcf257ee686,
  0x000000000004d4e8,
};

/*
 * m8u2_autobaud_uart0_noled_pr_ce_u4 usb82_autobaud_uart0_noled_pr_ce
 * usb82_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m8u2_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x3ffee8b9fcad304f, 0x48b54088153e0914, 0x15faa935fc8bf017, 0xc5f5c921b46f6a8e, 0xc4963cf002e76fe5,
  0x51f097e21b09117d, 0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316,
  0xb33ca807feccf1d7, 0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000002375c92710f,
};

// usb82_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m8u2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x2e7c66e609f193ba, 0x22054f82416bffba, 0x4d7f22fc05d22d50, 0xc86d1bdaa3857eaa, 0x00b9de043bfea8df,
  0x9cee373acd90ff3c, 0xafa894ed6563df30, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f, 0x52135f4616588a45,
  0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97, 0x189ddfb0b3a254d2,
  0x603bf77e73936df8, 0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x1e6c25ccbe6d8921,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0x22204887e792bf73, 0x0000000000000008,
};

// usb82_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xb412b3f5bf304f8c, 0x54088153e094edff, 0xaa935fc8bf01748b, 0x721e1b46f6a8e15f, 0x3c49c070e0dc5f54,
  0xf886c2445f71258f, 0x1b9d1f524fd47c25, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57d4, 0xd08a0531584ff51f,
  0xafa30b2c4522cd3a, 0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8,
  0xefd859d12a6951b0, 0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378,
  0x12e65f36c490c76f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x975e792bf734332c, 0x0000000010443089,
};

/*
 * m8u2_autobaud_uart0_noled_ee_ce_u4_hw usb82_autobaud_uart0_noled_ee_ce_hw
 * usb82_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x8b54088153e094ed, 0x5faa935fc8bf0174, 0x54721e1b46f6a8e1, 0x8f3c49c070e0dc5f,
  0x25f886c2445f7125, 0xbb8dc4a8b91fd47c, 0xea253b5b9b7be678, 0x8f83660d6bfa8f2b, 0x9d68450298ac27fa,
  0x84d7d18596229166, 0x1e0b39d5dba711d4, 0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc,
  0x2777ec2ce89534a8, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x9b09732f9b624863, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0x89a29e4afdcd0ccb, 0x000000000012a430,
};

// m8u2_autobaud_uart0_lednop_pr     usb82_autobaud_uart0_lednop       usb82_autobaud_uart0_lednop_pr
static const uint64_t ur_m8u2_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0xf825dd7f9d96b3f1, 0x2fc05d22d5022054, 0xbdaa3857eaa4d7f2, 0xa393c77cb24386d1, 0xbfcf471d3f83349e,
  0x1c829cc580b7ba61, 0x72c608ebc5cec1c5, 0x8189ddfb0ac507dc, 0xbf77e781013936df, 0xe804df9bcb750603,
  0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x1bb612e65f36d38c, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x491cdd6792bf7343, 0x000000000000e220,
};

// usb82_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m8u2_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xffdd173f1ee609f1, 0x8b54088153e09775, 0x5faa935fc8bf0174, 0xf2c21e1b46f6a8e1, 0x74fe0d05fa8f6b1d,
  0x1602cb29be483f1c, 0x5e8f9d967a348673, 0x82cd22a01ffb3047, 0x3bbf6415a07967b6, 0xfcf0202726dbf031,
  0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x0461a7c1443f3c95,
};

/*
 * m8u2_autobaud_uart0_lednop_pr_ee_u4 usb82_autobaud_uart0_lednop_pr_ee
 * usb82_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m8u2_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0x745cf8d69827c64e, 0xa0440a9f04b4dfff, 0x549afe45f80ba45a, 0xce30da37b5470afd, 0xc7d4795995355ad1,
  0xe2b0f7ea3e0d9834, 0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37,
  0xb2e62e1211413c8d, 0x3ca8d823f5b86f65, 0xfc0c4eefd8010fb3, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x0000026a7245f10f,
};

/*
 * m8u2_autobaud_uart0_lednop_pr_ce_u4 usb82_autobaud_uart0_lednop_pr_ce
 * usb82_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m8u2_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x9ffdd173f6ea609f, 0x916a81102a7c12c0, 0x2bf5526bf917e02e, 0x8beb924368ded51c, 0x1258f3c00b9dd4ab,
  0x47c25f886c2445f7, 0x33c5dc6e56fc00fd, 0x3d47e927b9633f59, 0x153111638e9fc1eb, 0x7cecb3d1a43398b0,
  0x691500ffd99e3af4, 0x7ec82b40f2d6e416, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x75daf710fcf257ee,
  0x0000000000000023,
};

// usb82_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8u2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x45cf8689827c64ee, 0x088153e0958ffff7, 0x935fc8bf01748b54, 0xf21b46f6a8e15faa, 0x002e77beceffaa37,
  0x273b8dcb9124afcf, 0x2beea53b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x062777ec2cc7d99e,
  0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1,
  0xb2d5e5c9ab83cd84, 0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x10fcf257ee686658, 0x0000000008220e8b,
};

// usb82_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xda0959f43e9827c6, 0xd5022054f825883f, 0xeaa4d7f22fc05d22, 0x1c8786d1bdaa3857, 0xcf12701c4b5717d5,
  0x7e21b09117dc4963, 0x8dc0449807f51f09, 0xa53b5b9b7be678bb, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f,
  0xd7d185962291669d, 0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e,
  0x77ec2cc7d99e546c, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00020887aa25d79e,
};

/*
 * m8u2_autobaud_uart0_lednop_ee_ce_u4_hw usb82_autobaud_uart0_lednop_ee_ce_hw
 * usb82_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0xd22d5022054f8258, 0x857eaa4d7f22fc05, 0x7d51c8786d1bdaa3, 0x963cf12701c4b571,
  0xf097e21b09117dc4, 0xe2ee3729299cbf51, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0x189ddfb0b31f6679, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000012a43d5145,
};

// usb82_autobaud_uart0_dual
static const uint64_t ur_m8u2_autobaud_uart0_dual[] = {
  0x61fdddddddd44511, 0x2ddddddd43950e27, 0x5d91db83d38056b6, 0xb13b229c6477775a, 0xf8c92b77257ccfb4,
  0xc459001290ce5304, 0x81850c1b48c0ddd5, 0xe65e7a753ba7c4b8, 0xed84873817598a1f, 0x244fe0ca2cdea3fc,
  0xc3e057f98d022847, 0x5dc5eef9b9d3e00d, 0x63150865a1372219, 0x2dba56ffa039e132, 0xf3b2d4c161bcaf21,
  0xb54088153e0947bf, 0xfaa935fc8bf01748, 0x2d5fe1b46f6a8e15, 0x9fc1a43f51ee19df, 0x80bf8732d726a38e,
  0xc8b7613e8d059cc5, 0xa561a4dc72c608eb, 0xdfb27f157ceee2a4, 0x781013936df8189d, 0x4026fcde603bf77e,
  0xa9f016a72452d5e7, 0xe33a2065fe2810b4, 0xe6c25ccbe6da718d, 0x85727e7f62e4d5c1, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000c9e4edd10fc,
};

// m8u2_autobaud_uart0_dual_pr_u4    usb82_autobaud_uart0_dual_pr      usb82_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr[] = {
  0xf7777776890c0668, 0x7777750e54341587, 0x4ec33b2477a93377, 0x57c3da05eeee841f, 0x677207d6089f7c7f,
  0x02523a3f304f8c98, 0x8369181bbab88b20, 0xd16774f8971030a1, 0x0a70c0934aefcca9, 0xc1ba59bd47297b06,
  0xaff31a04508e489f, 0xeef9b8ff001b87c0, 0x0865a1a522195dc5, 0xa5ffa039e134dd15, 0x2cc161bcaf212dbb,
  0x1102a7c127f3ffba, 0x26bf917e02e916a8, 0xd4368ded51c2bf55, 0x1887f51f229df2c4, 0x5079a717be38e9fc,
  0x9dad6475fce62c05, 0x35403ff6608ebc01, 0x552740f2cf6c43a4, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e,
  0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x2c6f86e3cd84b997,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0005c15535a5d79e,
};

// usb82_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr_ee[] = {
  0xddddddd0f5a1a5fb, 0xddddd438c828fe1f, 0xaad0eb843dd9bddd, 0xfebb05ff4f74dd00, 0xc8d75c892ac4d744,
  0xafa609f19393ae52, 0x06eeae22c8009483, 0x3e25c40c2860da46, 0x099aeff32a7459dd, 0xdea3e9ad83fc3862,
  0x022847244fe0ffe4, 0x11200dc3e057f98d, 0x044432bb8bddf370, 0xcf098bac54219686, 0xe579096dffe7fd01,
  0x12275ffdd1660b0d, 0xe02e916a81102a7c, 0xd51c2bf5526bf917, 0xdcd56b47224368de, 0xf06cc1829ea3cad7,
  0xad08a1df15d4af51, 0x9afa30b2c4522cd3, 0x756973297152e690, 0x3af512ed10a3dece, 0x1408a8f9eb1aad74,
  0xb70decbe9662e121, 0x50084feb151b047e, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf,
  0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x674f86e3cd84b997, 0xfa9d599bf83bb8d1,
  0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138, 0x498c65d79e4afdcd,
  0x00000000000000a5,
};

// usb82_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr_ee_u4[] = {
  0x1fddddddda2432db, 0xddddddd438c83ade, 0xd96fdd8becad4d7d, 0x738b502ffa7bb625, 0x23822ac07c674a3f,
  0x447dd304f8c9b837, 0x230377571164004a, 0xee9f12e20614306d, 0x1a6a67f9f9953a2c, 0x3f37a8fff3601a0e,
  0xc68114239227f07d, 0xdcca8006e1f02bfc, 0xa052d10caee2f77c, 0x4073c26f9d150865, 0x86f2bc84b6fd3fff,
  0x3e09456ffee8b305, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0x71ee6ab5a3d2a1b4, 0xa8f83660fe4f51e5,
  0x69d68450ef8acc7f, 0x484d7d1859622916, 0x0e7569709eb84173, 0xd0ebdac4ec3e23e9, 0x08a3a04752ec6ab5,
  0xfadc37b2e3e31709, 0x8abe77715255c09f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xe3cd84b997cdb739, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xa42ce5d79e4afdcd,
  0x0000000000000052,
};

// m8u2_autobaud_uart0_dual_pr_ce_u4 usb82_autobaud_uart0_dual_pr_ce   usb82_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr_ce[] = {
  0xfeeeeeeed121a5fb, 0xdddddd438a6e8bf0, 0x4a2af4fbfb5a16dd, 0x2abeb410f7774c89, 0x1bb94b235d70f8ab,
  0x025219eb9827c64c, 0x8369181bbab88b20, 0xd16774f8971030a1, 0xd1c136e69dbfcca9, 0x185a9bd4719bd86e,
  0xff31a04508e489fc, 0xdf3719c801b87c0a, 0x19681754432bb8bd, 0x7fd01cf0992b4542, 0x60b0de579096dc2d,
  0x02a7c12d9dffdd16, 0xbf917e02e916a811, 0x368ded51c2bf5526, 0x9380e3a5b8bea804, 0x0d8488bee24b1e78,
  0xc149faffa8f84bf1, 0xdcb19f52e678bb8d, 0x3a7f0752fd471bf3, 0x5fce62c050507c8e, 0x6678ebc019dad647,
  0xcb5b843a435403ff, 0x2af9ddc549549d03, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xd3412ebcf257ee68,
  0x0000000000002b5e,
};

// usb82_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1fdddddddd435202, 0xddddddd439e3c1f6, 0x868435deeb7b7d7d, 0xb84038bd1deeabe0, 0x21d6d1717e6be44f,
  0x98b304f8c9015727, 0x0ddd5c4590012905, 0x7c4b881850c1b48c, 0x93759fe654e8b3ba, 0xea39adec2618e0cf,
  0x22847244fe0c524d, 0xe400dc3e057f98d0, 0xa4432bb8bddf373c, 0xf09a394542196825, 0x579096dc527fd01c,
  0x2d35ffdd1660b0de, 0x02e916a81102a7c1, 0x51c2bf5526bf917e, 0x3bfea8dc9c368ded, 0x1f2d7e789380e0d6,
  0xcac9ba6139dc6e5e, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114, 0x576e328752135f46,
  0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8, 0xfd93f8abe7771525,
  0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x1e70dc79b09732f9, 0x7eeaccdfc1ddc68b, 0x09c6592e19e98572, 0xee6866587494b67c, 0x18880f2f2ebcf257,
};

// usb82_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77ac4f, 0xeeeea1cc2ac130fe, 0xc89ae3793d721eee, 0x514a56eb3edfb19c, 0x5b4a0d5d7bccd937,
  0x8c9499729a75571f, 0xb2002521e20f304f, 0x0a18369181bbab88, 0x5e31fe774f897103, 0x3391c3a3f32927e6,
  0xf83eb39bd47a4ad8, 0x15fe63408a11c913, 0xeef9b972500370f8, 0x2196826da2195dc5, 0x3ffa039e1358fc54,
  0x982c3795e425b7eb, 0x054f8258ddfed04a, 0x7f22fc05d22d5022, 0x6d1bdaa3857eaa4d, 0x276337717d51a9e8,
  0x09117dc4963cf127, 0x1e41ff51f097e21b, 0xe6e6e99e2ee37354, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1,
  0xb2c4522cd3ad08a0, 0xbb71943a909afa30, 0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114,
  0x6627f58a8d822647, 0xec9fc55f3bb8a929, 0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9,
  0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xc9ab83cd84b997cd, 0x37f07edd8d1637c5, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xc9c6a9c9e4afdcd0,
  0x000000000007ead8,
};

// usb82_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m8u2_autobaud_uart0_dual_ee_hw[] = {
  0xfddddddda2431f02, 0xdddddd438c828fe1, 0x0aad0eb843dd9bdd, 0x4febb05ff4f74dd0, 0x25188b37a6144d74,
  0x41d7d304f8c9c9d7, 0x230377571164004a, 0xee9f12e20614306d, 0x3104cd77f9953a2c, 0xf26f51f4d6c1fe1c,
  0xc68114239227f07f, 0xb8089006e1f02bfc, 0x430222195dc5eef9, 0x80e784c5d62a10cb, 0x86f2bc84b6fff3fe,
  0x3e0913aff0a83305, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0x6bee6ab5a39121b4, 0xa8f83660c14f51e5,
  0x69d68450ef8aea57, 0x484d7d1859622916, 0x673ab4b994b8a973, 0xba1d7a89768851ef, 0x908a04547cf58d56,
  0x3f5b86f65f4b3170, 0xa9280427f58a8d82, 0x2777ec9fc55f3bb8, 0xdf9e0404e4db7e06, 0x4df9bcd914180efd,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00000160e58c68a7,
};

// usb82_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m8u2_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfdddddddd41432db, 0xdddddd439e3c1f61, 0x68435deeb7b7d7dd, 0x84038bd1deeabe08, 0x91c1156699d644fb,
  0x82cc59827c6480ab, 0x4606eeae22c80094, 0xdd3e25c40c2860da, 0x67c9bacff32a7459, 0x26f51cd6f6130c70,
  0x68114239227f0629, 0x9e72006e1f02bfcc, 0x12d22195dc5eef9b, 0x0e784d1ca2a10cb4, 0x6f2bc84b6e293fe8,
  0xe0969aff0a833058, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x6b1dff546e4e1b46, 0x3acd90ff3c49c070,
  0xed6564dd309cee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0, 0x73abb71943a909af,
  0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822, 0x777ec9fc55f3bb8a,
  0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0x7cdb73863b7b1554,
  0xa9b0ec6e3cd84b99, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x000000002134c797,
};

// usb82_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d08f43, 0xddddd4398558261f, 0x19cc89ae3b793ddd, 0x937514a56eb3edfb, 0x7ed6ada9c7d7bccd,
  0x1e609f192932e5e2, 0x77571164004a43c4, 0x12e20614306d2303, 0xca49f997071cee9f, 0x1e92b60ce470e8fc,
  0x847244fe0face6f5, 0x00dc3e057f98d022, 0x8657717bbe6e5c94, 0xd63f150865a09b68, 0x096dfacffe80e784,
  0x7ff21fe60b0de579, 0x8b54088153e09637, 0x5faa935fc8bf0174, 0x546a7a1b46f6a8e1, 0xe78b17c0e0cddc5f,
  0xbf10d8488bee24b1, 0xe3714939bffa8f84, 0xc94ed6e6e6e99e2e, 0xf06cc1af9ea3cadf, 0xad08a05315c06f51,
  0x9afa30b2c4522cd3, 0xef673abb71943a90, 0xaf1b1d7a89768851, 0xe1211408a8f9eb1a, 0x8226470decbe9662,
  0xb8a9296627f58a8d, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00002134e590b85f,
};

// m8u2_u1x8_uart0_noled_pr          usb82_u1x8_uart0_noled            usb82_u1x8_uart0_noled_pr
static const uint64_t ur_m8u2_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0x27f9d96b3e0a4c13, 0xae2dfda64c6f605f, 0x417ea3f4077cb087, 0x6533df6b471d3f83, 0xed5fd1eb0e62c059,
  0x9500ffd9823af47c, 0x071f03cb3db1f667, 0xe73936df8189ddfb, 0xfcde01f50603bf77, 0x02baa9cbca6c6726,
  0x516961738c6f19d1, 0x65f36c4922adec55, 0x3f8d163ce1bb612e, 0x4c2b93f75663c81a, 0x5b2c944e32c970cf,
  0x792bf734332c3a4a, 0x000001f21a71cdd6,
};

// usb82_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0xee8b9f052609f193, 0xbfb4c98dec0be4ff, 0xd47e80ef9610f5c5, 0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6,
  0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0x26dbf0313bbf60e3, 0xc03ea0c077eefce7, 0x5539794d8ce4df9b,
  0x2c2e718de33a2057, 0x6d892455bd8aaa2d, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xc99ea8887e792bf7,
  0x0000000000000007,
};

// m8u2_u1x8_uart0_noled_pr_ee_u4    usb82_u1x8_uart0_noled_pr_ee      usb82_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0x2e7ca5cc13e32776, 0xa64c6f604e97ffba, 0x49aad68e71ae2dfd, 0xf06cc1a63ea3cae4, 0xd68450ef8afbaf51,
  0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059, 0x8a39e461c6c6ab5d, 0xadc37b2d97317090,
  0x600544a9a546c11f, 0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a,
  0xccbe6d892455bd8a, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004ebad3e887e79,
};

// usb82_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x81775fe765acfc7b, 0x5e92b8b7f69931bd, 0xbf9e005838989dff, 0x8ce6139dc6e4872e, 0xc67ea38879ee580b,
  0x80b70c4fc71d3f83, 0xc5ced20a8f199cc5, 0x60e9d3dc72c678eb, 0xfce726dbf0313bbf, 0x9bf3796ea0c077ee,
  0x37aaeaa72f29b19c, 0x78ce88173663042d, 0xddb09732f9b69c63, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x48e6eb3c95fb9a19, 0x000000000000b752,
};

// usb82_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xffdd173ff3a609f1, 0x16fed32637b0228b, 0x05cedfcb8beb9257, 0x361222fb892c79e0, 0x8ff3107ea3e12fc4,
  0xee58cfd64cf1771b, 0xe3a7f07acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0xdb7e062777ec1c7c, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0x624863b7b15545a5,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd015a21f9e4afdcd, 0x0000000000000375,
};

// usb82_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x931bd8105affee8b, 0xc5f54721eb8b7f69, 0x892c79e005cece0d, 0xa3e12fc4361222fb,
  0x33c5dc6e759b21fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x04fc40910fcf257e,
};

// usb82_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xfba2e7ffe4c13e32, 0xbfb4c98dec0ba7ff, 0x7812e2faa37275c5, 0x117dc4963cf002e7, 0x92bf51f097e21b09,
  0x6e3299e2ee372e44, 0xbfea3cae7194ed6e, 0x315e49ea3e0d9831, 0x2c4522cd3ad08a05, 0xb74423a909afa30b,
  0xd4ddb9e46d7c73ab, 0x233496355e363af5, 0xb2e1c8c5c24228d6, 0x777ecc62e9991c37, 0xefddf9ce4db7e062,
  0x633937e6f2dd4180, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x085c43f3c95fb9a1, 0x00000000000004fc,
};

// m8u2_u1x8_uart0_noled_ee_ce_u4_hw usb82_u1x8_uart0_noled_ee_ce_hw   usb82_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_u1x8_uart0_noled_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xa7646829b1bd3b77, 0xd33f62fef26e9716, 0x4ee8f62d5b1aa99f,
  0xfb0ff9f19b9827c6, 0x5bfb4c98dec082d7, 0x38706e2faa390f5c, 0x222fb892c79e24e0, 0x5c8fea3e12fc4361,
  0xcdbdf33c5dc6e254, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281, 0xedd388ea426be8c2,
  0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238, 0x726dbf0313bbf616,
  0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x000a021057514f25,
};

// m8u2_u1x8_uart0_lednop_pr         usb82_u1x8_uart0_lednop           usb82_u1x8_uart0_lednop_pr
static const uint64_t ur_m8u2_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0xbbfcecb59f402609, 0xd716fed32637b029, 0xa0bf51ed63be5843, 0x6537c907e38e9fc1, 0xb2cf4690ce62c059,
  0x5403ff6608ebd1f3, 0x82b40f2cf6d059a4, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x79c376c25ccbe6db, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x6866587494b65928, 0xc82a739bacf257ee, 0x0000000000000007,
};

// usb82_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m8u2_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0xffdd173e804c13e3, 0x8b7f69931bd814dd, 0x5fa8f6b1df2c21eb, 0x9be483f1c74fe0d0, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x726dbf0313bbf641, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xb443f3c95fb9a199,
  0x00000000003e4c26,
};

// m8u2_u1x8_uart0_lednop_pr_ee_u4   usb82_u1x8_uart0_lednop_pr_ee     usb82_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8u2_u1x8_uart0_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0xb9f53d304f8c9dd3, 0x9931bd81175ffee8, 0xa6ab5a39c6b8b7f6, 0xc1b30698fa8f2b32, 0xb422877c561efd47,
  0x6be8c2cb1148b34e, 0x756973d571ac9a42, 0x3af3a6ed1923268e, 0x282791bdab1aad74, 0xb70decb65cc5c242,
  0x0021f667951b047e, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9,
  0xe722adec555169ab, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xfc0a21f9e4afdcd0, 0x00000000000013ae,
};

// m8u2_u1x8_uart0_lednop_pr_ce_u4   usb82_u1x8_uart0_lednop_pr_ce     usb82_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xffdd173e70e609f1, 0x16fed32637b024ad, 0x0b9dd4ab8beb9257, 0x6c2445f71258f3c0, 0x56fc00fd47c25f88,
  0xb9633f5933c5dc6e, 0x8e9fc1eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1, 0xf2d6e416691500ff,
  0xb7e062777ec82b40, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000000dd75e7d10,
};

// usb82_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8u2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0x73e1a2609f193baa, 0x64c6f60563fffdd1, 0x717d51c87ae2dfda, 0xe24b1e780173b4b5, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0xfc0c4eefd8598fb3,
  0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x1621f9e4afdcd0cc, 0x000000000004fc1d,
};

// usb82_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xed04acfeed4c13e3, 0xdfda64c6f60463ff, 0xccad717d51b93ae2, 0x117dc4963cf12701, 0x92bf51f097e21b09,
  0x6e3299e2ee37190e, 0xbfea3cad0094ed6e, 0x315af9ea3e0d9831, 0x2c4522cd3ad08a05, 0xb77c83a909afa30b,
  0xd4ddb05a310e73ab, 0x4720b6355e363af5, 0x970e462e12114071, 0x77ecc62a68c8e1bd, 0x9e0404e4db7e0627,
  0xd009bf37980efddf, 0x2a7c05a9c914b579, 0xf19d1032fe63042d, 0xf3612e65f36d38c6, 0xdfc1ddc68b1be1b8,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x056975e792bf7343, 0x00000000000027e0,
};

/*
 * m8u2_u1x8_uart0_lednop_ee_ce_u4_hw usb82_u1x8_uart0_lednop_ee_ce_hw
 * usb82_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777776e54486bf3e, 0xbbbba58085cc4d63, 0x6696c8e2fd123bbb, 0x11a62fef26e9716a, 0xdd9c458b7aed60f9,
  0xb0ff9f0d1304f8c9, 0x7f69931bd8158fff, 0x12d5c5f54721eb8b, 0x45f71258f3c49c07, 0x72fd47c25f886c24,
  0xb7be678bb8dca4a6, 0xbfa8f2beea53b5b9, 0x8af6ffa8f83660d6, 0x62291669d6845029, 0xb8f51d484d7d1859,
  0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386, 0x4db7e062777ec2cc,
  0x4180efddf9e0404e, 0x9c94e804df9bcd91, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xd52514f257ee6866, 0x000000000000a023,
};

// m8u2_u1x8_uart0_dual_pr           usb82_u1x8_uart0_dual             usb82_u1x8_uart0_dual_pr
static const uint64_t ur_m8u2_u1x8_uart0_dual[] = {
  0xfbbbbbaa66a232a8, 0xbbbbba8738ff4ec3, 0x77be44d286ed375b, 0x19189d1c77775683, 0xe3bb91d68d47699f,
  0x80094867c9827c64, 0x860da4606eeae22c, 0x3d3a9dd3e25c40c2, 0xfe1c17dcc517f32f, 0xfc1f7537a8f1ef60,
  0x0aff31a04508e489, 0x5eef9b91c801b87c, 0x50865a11922195dc, 0x98fffa039e135ad1, 0x2d4c161bcaf212db,
  0xb4c98dec08f5ff3b, 0x7114ef96aff5c5bf, 0x7a48e3a7f0690fd4, 0xbda398b017f0e64c, 0xb1823af22dd9af91,
  0x3bb8a929583ef71c, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x53a0137e6f2dd418, 0xb4e02f7ca9bd4a72,
  0x31bc674408ea2810, 0xb83cd84b997cdb4e, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x443f3c95fb9a1996, 0x0000000000621d27,
};

// usb82_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m8u2_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeea99448650e3, 0xeeeea1ce3e1bb0fe, 0xd8989de474056eee, 0x914e8e3bbba0ce85, 0x42e41607db29c2dd,
  0x01290cf9304f8c92, 0xc1b48c0ddd5c4590, 0xe8b3ba7c4b881850, 0xee3825699d2fe654, 0xe0cc7cdea3d4ad87,
  0x57f98d022847244f, 0xeef9b9d3e00dc3e0, 0x0865a098a2195dc5, 0x8fffa039e1346515, 0x2cc161bcaf212db9,
  0xd32637b023d7ffba, 0xf229df2c4d5716fe, 0x7be38e9fc1887f51, 0x5fce62c055079a71, 0x6608ebc019dad647,
  0x2cf6c43a435403ff, 0xabe777152552740f, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x1e4e5d79e4afdcd0,
  0x000000000000524c,
};

// m8u2_u1x8_uart0_dual_pr_ee_u4     usb82_u1x8_uart0_dual_pr_ee       usb82_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m8u2_u1x8_uart0_dual_pr_ee[] = {
  0x7777754ca2437089, 0xeeeea1cb1f62f87f, 0x9622d476b6e76eee, 0xbfed0ca17bb70605, 0x93d65577d6d075ca,
  0x53a609f192b06e57, 0x0377571164004a47, 0x9f12e20614306d23, 0x7e6ff9f9953a2cee, 0xbd47a1fd874f9c2c,
  0x04508e489fc19c19, 0x2a001b87c0aff31a, 0x564432bb8bddf371, 0xcf0997dc54219682, 0xe579096dce0ffd01,
  0x02cadffdd1660b0d, 0x7225716fed32637b, 0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18, 0x2c4522cd3ad08a1d,
  0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e, 0xe9662e1211408a8f, 0xb151b047eb70decb,
  0xabe77715250084fe, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22, 0x6f19d103be54dea5,
  0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xf36e5d79e4afdcd0, 0x0000000000000ac8,
};

// m8u2_u1x8_uart0_dual_pr_ce_u4     usb82_u1x8_uart0_dual_pr_ce       usb82_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeea9944860aac, 0xeeeea1ca871ab0fe, 0x4e5b29a76efdeeee, 0xb2c476b7777a723b, 0xe5f5796444f3824f,
  0x48e41e609f193f4e, 0xa4606eeae22c8009, 0x9dd3e25c40c2860d, 0xc12d4c16bf32a745, 0xa6e6f51c6b6c09d1,
  0xcc68114239227f07, 0xcdc986006e1f02bf, 0x5a0bed10caee2f77, 0xf4073c260f715086, 0x2c3795e425b7d37f,
  0x8dec08a5fff74598, 0xe2faa015c5bfb4c9, 0x892c79e24e038e96, 0xa3e12fc4361222fb, 0x99e2ee370527ebfe,
  0xf51c6fcf72c67d4b, 0x4141f238e9fc1d4b, 0x676b591d7f398b01, 0x0d500ffd99e3af00, 0x2552740f2d6e10e9,
  0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000349054e4baf3,
};

// usb82_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m8u2_u1x8_uart0_dual_pr_ee_ce[] = {
  0x777754cd41431f02, 0xdddd438ebc2d87f7, 0x947eb4cfb49bdddd, 0xf3eec9f91dd76476, 0x88b36338614aefee,
  0x1f304f8c98177251, 0x377571164004a427, 0xf12e20614306d230, 0x26149f9953a2cee9, 0xea3dadec2b7ce100,
  0x4508e489fc1a6dcd, 0x4401b87c0aff31a0, 0x688657717bbe6e2a, 0xe133058a8432d0df, 0x5e425b74dbffa039,
  0x50ffff745982c379, 0x4eb8b7f69931bd81, 0x49c0706b1dff546e, 0x39dc6e654341ff3c, 0x5bf929dacac9ba61,
  0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45, 0x0a3dece7576e3287, 0x6355e363af512ed1,
  0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b,
  0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0x07771a2cb578dc79,
  0x50c2a73f53ab337f, 0x80f9a1e64ff0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x400610cbaf3c95fb,
};

// usb82_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbaa6515b779231, 0xbba873c783ec3fbb, 0xbdd6efafb369bbbb, 0x7a3bdd57c10d086b, 0x21ed6ac89f708071,
  0x6480ab97ff0cd3a7, 0xc8009482cc59827c, 0x2860da4606eeae22, 0x78c7f9dd3e25c40c, 0x9863833e4dd67f99,
  0xf8314937a8e6b7b0, 0x15fe63408a11c913, 0xf77cdcf3900370f8, 0x0865a096910caee2, 0x49ff4073c268e515,
  0xa982c3795e425b71, 0x32637b02d35fed04, 0xb8bea8d4f5716fed, 0xe24b1e789393b19b, 0xa8f84bf10d8488be,
  0xcf1771b9aa0f20ff, 0xe56fe4a76b737374, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229,
  0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa,
  0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x6ec68b1be2e4d5c1, 0x1539fa9d599bf83f, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xe4f257ee68665874, 0x0000004004a6b354,
};

// usb82_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m8u2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeea9944869a4e, 0xdddd43963ec5f0fe, 0x2c45a8ed6dcedddd, 0x7fda1942f76e0c0b, 0xb8fea31d1e18eb95,
  0x8ea74c13e32560dc, 0x4606eeae22c80094, 0xdd3e25c40c2860da, 0x58fcdff3f32a7459, 0x337a8f43fb0e9f38,
  0x3408a11c913f8338, 0xe25400370f815fe6, 0x04ac88657717bbe6, 0x039e132fb8a8432d, 0x1bcaf212db9c1ffa,
  0xf60595bfc2a0cc16, 0x68e44ae2dfda64c6, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98, 0x16588a459a75a114,
  0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115, 0xfd62a3608fd6e1bd,
  0xf157ceee2a4a0109, 0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x22adec555169aba7, 0xdc79b09732f9b6e7, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xd3cdba29e4afdcd0, 0x00000000000000ae,
};

// usb82_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m8u2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeea99d82432db, 0xeeeea1cf1e0fb0fe, 0x21aef75bdbebeeee, 0x01c5e8ef755f0434, 0xe08ab34ceb227dc2,
  0x662cc13e324055c8, 0x0377571164004a41, 0x9f12e20614306d23, 0xe4dd67f9953a2cee, 0x7a8e6b7b09863833,
  0x08a11c913f831493, 0x3900370f815fe634, 0x6910caee2f77cdcf, 0x3c268e5150865a09, 0x95e425b7149ff407,
  0x0b4d7f8541982c37, 0x53d5c5bfb4c98dec, 0xc49c07066ee2faa3, 0x886c2445f71258f3, 0xdceb3643fd47c25f,
  0x53b5b9b9ba678bb8, 0x1b306be7a8f2b7f2, 0x422814c5701bd47c, 0xbe8c2cb1148b34eb, 0xd9ceaedc650ea426,
  0xc6c75ea25da2147b, 0x4845022a3e7ac6ab, 0x8991c37b2fa598b8, 0x2a4a5989fd62a360, 0x89ddfb27f157ceee,
  0x77e781013936df81, 0x137e6f36450603bf, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x65f36dce18edec55,
  0x7ea6c3b1b8f3612e, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x5e8a792bf734332c,
  0x00000000001d751e,
};

// usb82_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfdddddd532890c86, 0xbbbbba873c7a8fe1, 0x5b2b6b455fae17bb, 0x766d13f17a3bdd41, 0x2b97763766f31508,
  0x4a427979827c64bb, 0x6d23037757116400, 0x2cee9f12e2061430, 0x381adcd30df9953a, 0xadf9bd47149b0fd7,
  0xe63408a11c913f83, 0xcdc75400370f815f, 0x5a035910caee2f77, 0xf4073c26b7515086, 0x586f2bc84b6f8ddf,
  0x37b029dbff0a8330, 0xea8cbad716fed326, 0xb1e789380e0d6b8b, 0x84bf10d8488bee24, 0x1771b9722495fa8f,
  0x6654a76b73710ccf, 0xa8f83660d31f51e5, 0x34eb422814c57d47, 0xa426be8c2cb1148b, 0x547d21ceaedda50e,
  0x1aaf1b1d7b589d84, 0x8b8484515fd1d4bb, 0x623ecc8e1bd971f1, 0xd93f8abe7771525c, 0x0809c9b6fc0c4eef,
  0xde5ba8301dfbbf3c, 0x537a94e4a74026fc, 0x23a3182169c05ef9, 0x65f36d38c6f19d10, 0xe7ea0bb1b8f3612e,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00000075d4ad5453,
};

// m8u2_u1x12_uart0_noled_pr         usb82_u1x12_uart0_noled           usb82_u1x12_uart0_noled_pr
static const uint64_t ur_m8u2_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x7f9d96b3f38cc13e, 0xfdb53fbb74f824be, 0x01df2c21e1b46e93, 0xd1c74fe0d05fa8fd, 0xc398b016594cf7da,
  0x608ebd1f3b57f47a, 0xcf6c7d99e5403ff6, 0xe062777ec1c7c0f2, 0x4180efddf9ce4db7, 0xf29b19c9bf37807d,
  0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x386ed84b997cdb12, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x439c73759e4afdcd, 0x000000000000003e,
};

// usb82_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xe8b9f9c6609f193b, 0xa7f76e9f0497cffe, 0xe5843c368dd27fb6, 0xe9fc1a0bf51fa03b, 0x1602cb299efb5a38,
  0xd7a3e76afe8f5873, 0x8fb33ca807fecc11, 0x4eefd838f81e59ed, 0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x9b09732f9b624915, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x1f9e4afdcd0ccb0e,
  0x00000001f27f67a2,
};

// m8u2_u1x12_uart0_noled_pr_ee_u4   usb82_u1x12_uart0_noled_pr_ee     usb82_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xbb74f82470fffba2, 0x9c61b46e93fdb53f, 0x8fa8f2b9126ab5a3, 0xe2beebd47c1b3069,
  0x588a459a75a1143b, 0x2b8d64d2135f4616, 0xdbda3c1673ab4bce, 0x71b1aad743af3a6e, 0x65cc5c24228e7918,
  0x6951b047eb70decb, 0xfc0c4eefd801512a, 0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e,
  0x49156f62aa8b4b0b, 0x57079b09732f9b62, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc1621f9e4afdcd0c, 0x0000000000013afb,
};

// usb82_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x5dd7f9d96b3f1ee6, 0xe93fdb53fbb74f82, 0x716b9dff5e921b46, 0x8dcf9d21ff3c00b0, 0x73dcb01719cc273b,
  0x8e3a7f078cfd47a9, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xe062777ec1d7e1ee, 0x7980efddf9ce4db7,
  0x06a6c4a7ef9c9bf3, 0xa2042063042d3923, 0x25ccbe6da718de33, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0xbacf257ee6866587, 0x000000002dd49239,
};

// usb82_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfba2e7e43cc13e32, 0xb53fbb74f824e4ff, 0xc5f5c921b46e93fd, 0xc4963cf002e76fe5, 0x51f097e21b09117d,
  0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316, 0xb33ca807feccf1d7,
  0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000dd741c710f,
};

// usb82_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x74f82463fffdd173, 0xe1b46e93fdb53fbb, 0x05cece0dc5f54721, 0x361222fb892c79e0,
  0x759b21fea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f5129, 0x2814c5613fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedd388ea426be, 0x8ebce9bb6f68f059, 0x1473c8c38d8d578d, 0x2386f65b2e62e121, 0x616744a9a546c113,
  0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0x2d5e5c9ab83cd84b, 0xd4eacc7903f2868b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0x0fcf257ee6866587, 0x0000000013f0ad51,
};

// usb82_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x745cfffc9827c64e, 0x4feedd3e0974ffff, 0x51b9386d1ba4ff6d, 0x1e780173b60b717d, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x0a4a76b737194cf1, 0x1f06cc18dff51e56, 0x9d68450298ae21f5, 0x84d7d18596229166,
  0x189f39d5db9ef1d4, 0xaf1b1d7aea6ec21d, 0x0908a24151e33b1a, 0x866470decb872317, 0xdb7e062777ecc63f,
  0xbf37980efddf9ce4, 0x92306a6c4a7ef9c9, 0xe33a2042063042d3, 0xe6c25ccbe6da718d, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000009f810b8,
};

/*
 * m8u2_u1x12_uart0_noled_ee_ce_u4_hw usb82_u1x12_uart0_noled_ee_ce_hw
 * usb82_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0xb53fbb74f82463ff, 0xf54721e1b46e93fd, 0x58f3c49c070e0dc5, 0xc25f886c2445f712,
  0x8bb8dc4a8b91fd47, 0xbea253b5b9b7be67, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x62777ec2ce89534a,
  0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0x79b09732f9b62486,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x4e3a29e4afdcd0cc, 0x0000000000014049,
};

// m8u2_u1x12_uart0_lednop_pr        usb82_u1x12_uart0_lednop          usb82_u1x12_uart0_lednop_pr
static const uint64_t ur_m8u2_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0xbeff3b2d67cf5982, 0x4ff6d4feedd3e094, 0xdac77cb08786d1ba, 0x0fc71d3f83417ea3, 0x219cc580b2ca6f92,
  0xcc11d7a3e7659e8d, 0x59eda0b348a807fe, 0xfc0c4eefd905681e, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0x3759e4afdcd0ccb0, 0x0000000007c81247,
};

// usb82_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m8u2_u1x12_uart0_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0x745cf9eb304f8c9d, 0xa7f76e9f04a5f7ff, 0xe5843c368dd27fb6, 0xe9fc1a0bf51ed63b, 0x2c0596537c907e38,
  0xbd1f3b2cf4690ce6, 0x059a45403ff6608e, 0x777ec82b40f2cf6d, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd,
  0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x07c98f57887e792b,
};

// m8u2_u1x12_uart0_lednop_pr_ee_u4  usb82_u1x12_uart0_lednop_pr_ee    usb82_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8u2_u1x12_uart0_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0x73f95a609f193ba5, 0xddba7c12287ffdd1, 0xce30da3749feda9f, 0xc7d4795995355ad1, 0xe2b0f7ea3e0d9834,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37, 0xb2e62e1211413c8d,
  0x3ca8d823f5b86f65, 0xfc0c4eefd8010fb3, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000009d7c92710f,
};

// m8u2_u1x12_uart0_lednop_pr_ce_u4  usb82_u1x12_uart0_lednop_pr_ce    usb82_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfdd173e52e609f19, 0xda9fddba7c1274bf, 0xe2fae490da3749fe, 0xc4963cf002e7752a, 0x51f097e21b09117d,
  0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c, 0x9a45403ff6678ebd,
  0xdfb20ad03cb5b905, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75d69f443f3c95fb, 0x0000000000000003,
};

// usb82_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8u2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xdba7c12383ffdd17, 0xf90da3749feda9fd, 0x80173bdf677fd51b, 0x139dc6e5c89257e7,
  0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148, 0x32464d1ceaedc7a8,
  0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf, 0x7eefcf0202726dbf,
  0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8, 0x596af2e4d5c1e6c2,
  0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x887e792bf734332c,
  0x000000000027e40a,
};

// usb82_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x2b3fa6a609f193ba, 0xf76e9f04bfe7fb41, 0xe43c368dd27fb6a7, 0x789380e25ab8bea8, 0xf10d8488bee24b1e,
  0x6e0224c03fa8f84b, 0x29dadcdbdf33c5dc, 0x1b306b5fd4795f75, 0x422814c57b7fd47c, 0xbe8c2cb1148b34eb,
  0xd1ceaedc7a8ea426, 0xc6c75e74dda32464, 0x908a09e46f6ac6ab, 0x8991c37b2d973170, 0xbf61663eccf2a360,
  0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0009f965bf2ebcf2,
};

/*
 * m8u2_u1x12_uart0_lednop_ee_ce_u4_hw usb82_u1x12_uart0_lednop_ee_ce_hw
 * usb82_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x4feedd3e097fcff6, 0x51c8786d1ba4ff6d, 0x3cf12701c4b5717d, 0x97e21b09117dc496,
  0xee3729299cbf51f0, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x9ddfb0b31f667951,
  0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x5f36dce18edec555,
  0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000140565bf453c,
};

// m8u2_u1x12_uart0_dual_pr          usb82_u1x12_uart0_dual            usb82_u1x12_uart0_dual_pr
static const uint64_t ur_m8u2_u1x12_uart0_dual[] = {
  0xdddddd58dad44511, 0xddddd438c465de1f, 0x3de4ab8cdd694edd, 0xc4e4e123bbbac843, 0xc9dc95f33e1ec58a,
  0x0094866fcc13e326, 0x60da4606eeae22c8, 0xd3a9dd3e25c40c28, 0xd9c0a2cce4ff32f3, 0xc199537a8efe6c17,
  0xaff31a04508e489f, 0xeef9b835801b87c0, 0x0865a03e22195dc5, 0xfcffa039e136f715, 0x6a60b0de579096dd,
  0xfbb74f825d47f9d9, 0xd5fe1b46e93fdb53, 0xfe0d21fa8f6b1df2, 0x02fe1ccf7f411c74, 0x22ddaa5a34867316,
  0x2b241771cb1823af, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0xf378392b01dfbbf3, 0x54ee2ca72f9d009b,
  0x81fae2810b4f0c56, 0x732f9b69c6378ce8, 0x58f38b9357079b09, 0x93f75663c81f9434, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x0000c439c887e792,
};

// usb82_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m8u2_u1x12_uart0_dual_pr_u4[] = {
  0xbbbab1b54486bd5b, 0xbba8718894ec3fbb, 0xccc8ac1d415bbbbb, 0xeca0deeee9bba0ac, 0x72eefdc1ceb4169c,
  0x948eb39827c64a09, 0xda4606eeae22c800, 0x59dd3e25c40c2860, 0x1c1d2cc70ff32a74, 0x701a6f51ff76c12b,
  0xfcc68114239227f0, 0x7cdcb1f006e1f02b, 0x32d0f9110caee2f7, 0x7fd01cf0987c8a84, 0x60b0de579096de03,
  0xdba7c1209fffdd16, 0x350da3749feda9fd, 0x0621fd47c8a77cb1, 0x541e69c5ef8e3a7f, 0x676b591d7f398b01,
  0x0d500ffd9823af00, 0x9549d03cb3db10e9, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef,
  0xf9537a94e4a74026, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0001493106a975e7,
};

// m8u2_u1x12_uart0_dual_pr_ee_u4    usb82_u1x12_uart0_dual_pr_ee      usb82_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m8u2_u1x12_uart0_dual_pr_ee[] = {
  0xdddd58daa2436f02, 0xbba8731d957e1fdd, 0xdb3e3adaa3fbbbbb, 0x66dba0bba8ec3727, 0x6be4c166dd6c75d2,
  0xc13e3265ddc9fc3e, 0xeae22c8009485c14, 0x5c40c2860da4606e, 0x1a3f32a7459dd3e2, 0x7e9fd858f9c3fe4c,
  0x11c913f83eaf9bd4, 0x0370f815fe63408a, 0x8657717bbe6e5c88, 0x31458a8432d074a8, 0x425b7eafffa039e1,
  0xdfff745982c3795e, 0x7fb6a7f76e9f04b7, 0xcd56b47224368dd2, 0x06cc1829ea3cad7d, 0xd08a1df15d4af51f,
  0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743, 0x70decbe9662e1211,
  0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x000ac9756e5d79e4,
};

// m8u2_u1x12_uart0_dual_pr_ce_u4    usb82_u1x12_uart0_dual_pr_ce      usb82_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_dual_pr_ce[] = {
  0xbbbab1b5448687e1, 0xddd43998962c3fbb, 0xa8e700ada2fddddd, 0x3eceb6eeec71c9c5, 0x2bdbc126bb47f3ed,
  0x2baf304f8c9a6772, 0x30377571164004a4, 0xe9f12e20614306d2, 0x2d4c63ff9953a2ce, 0xa6f51c9d6c12d1c0,
  0x68114239227f0715, 0xc67c006e1f02bfcc, 0x051510caee2f77cd, 0x073c2631f150865a, 0x3795e425b78adff4,
  0xf04982fff745982c, 0x68dd27fb6a7f76e9, 0x380e3a5b8bea8043, 0xd8488bee24b1e789, 0x149faffa8f84bf10,
  0xcb19f52e678bb8dc, 0xa7f0752fd471bf3d, 0xfce62c050507c8e3, 0x678ebc019dad6475, 0xb5b843a435403ff6,
  0xaf9ddc549549d03c, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x1c52ebcf257ee686, 0x000000000000d24d,
};

// usb82_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m8u2_u1x12_uart0_dual_pr_ee_ce[] = {
  0xeeeac6d6a0a1a5fb, 0x7750e7a5eef0feee, 0xf55fd77a0fb77777, 0xbc2960eeb4e3ac89, 0xbacda15664caefdf,
  0x304f8c90dd729646, 0x7571164004a4771f, 0x2e20614306d23037, 0xfaff9953a2cee9f1, 0x3d6fec2001c0524d,
  0x08e489fc1cedcdea, 0x01b87c0aff31a045, 0x8657717bbe6e7758, 0x36048a8432d0d368, 0x425b79dbffa039e1,
  0xffff745982c3795e, 0xff6d4feedd3e0974, 0x77fd51b9386d1ba4, 0x0d07fcf12701c1ac, 0x2b26e984e771b995,
  0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18, 0xbd44bb4428f7b39d,
  0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd5e371e6c25ccbe6,
  0x4eaccdfc1ddc68b2, 0x3fc09c69430a9cfd, 0xe985727e03e68799, 0x94b67c09c6592e19, 0xbcf257ee68665874,
  0x00000002001eb72e,
};

// usb82_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeac6d515b771107, 0xea1c85fee30feeee, 0x5ceb04de3feeeeee, 0xe4eddfb51ab0fb26, 0x63a4187e644858fd,
  0x9282ae4dfed538d4, 0x9001290724e609f1, 0x50c1b48c0ddd5c45, 0xf18ff3ba7c4b8818, 0xcf870eb39990ff32,
  0xe0ff5e6f51e61b60, 0x57f98d022847244f, 0xddf373a9c00dc3e0, 0x2196805a4432bb8b, 0xbffd01cf098e0c54,
  0x4c161bcaf212dbfe, 0xedd3e093fcff6825, 0x9e86d1ba4ff6d4fe, 0x127276337717d51a, 0x21b09117dc4963cf,
  0x3541e41ff51f097e, 0xed6e6e6e99e2ee37, 0xcc1af9ea3cadfc94, 0x8a05315c06f51f06, 0xa30b2c4522cd3ad0,
  0x73abb71943a909af, 0xb1d7a89768851ef6, 0x11408a8f9eb1aaf1, 0x6470decbe9662e12, 0x9296627f58a8d822,
  0x777ec9fc55f3bb8a, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd, 0xdf2a6f529c94e804, 0x5a6ae9c6378ce881,
  0x7cdb73863b7b1554, 0x7c5c9ab83cd84b99, 0xab337f07edd8d163, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x0171076a9c9e4afd, 0x0000000000000010,
};

// usb82_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m8u2_u1x12_uart0_dual_ee_hw[] = {
  0xbbbab1b544860aac, 0x7750e63b2afc3fbb, 0xb67c75b547f77777, 0xcdb7417751d86e4f, 0xbcb269c13ad8eba4,
  0x05304f8c997772fa, 0x1bbab88b20025217, 0xf8971030a1836918, 0x93068fcca9d16774, 0xf51fa7f6163e70ff,
  0x22847244fe0fabe6, 0x2200dc3e057f98d0, 0x2a2195dc5eef9b97, 0x784c5162a10cb41d, 0x579096dfabffe80e,
  0x2df7fe150660b0de, 0x749feda9fddba7c1, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c5752bd,
  0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5, 0xfadc37b2fa598b84,
  0x4940213fac546c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402,
  0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000015dabab7453c,
};

// usb82_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8u2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xeeeac6d76090cf68, 0xeea1c85fee30feee, 0xd932e76d826eeeee, 0xc7ef276efda8d587, 0x3ea75add83f32242,
  0x49cc13e325055c9a, 0x1bbab88b2002520e, 0xf8971030a1836918, 0xe6643fcca9d16774, 0xd47986d833e1c3ac,
  0x8a11c913f83fd79b, 0x700370f815fe6340, 0x910caee2f77cdcea, 0xc26383150865a016, 0xbc84b6ffafff4073,
  0x3fcff0a8330586f2, 0xa4ff6d4feedd3e09, 0x37717d51a9e86d1b, 0xfb892c79e24e0383, 0xfea3e12fc4361222,
  0xdd33c5dc6e759b21, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xdc79b09732f9b6e7, 0x1a50c2a73f5361d8, 0x9f80f9a1e64ff027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x000ebab71f453c95,
};

// usb82_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x777775636a890c86, 0xeeeea1c85ea3f87f, 0xcedad157eb85eeee, 0x9b44f3f793b747b1, 0xe5dd8dd9bcc5421d,
  0x909e5e609f192d3a, 0x48c0ddd5c4590012, 0x3ba7c4b881850c1b, 0x130d333e7e654e8b, 0x04dea3febec0d6ce,
  0x8d022847244fe0e0, 0x71d5000dc3e057f9, 0x813a4432bb8bddf3, 0x01cf09b674542196, 0x1bcaf212dbe377fd,
  0xf04a76ffc2a0cc16, 0x68dd27fb6a7f76e9, 0x0e456b8bea8cbac3, 0x488bee24b1e78938, 0x1723fa8f84bf10d8,
  0x73710ccf1771b895, 0xd31f51e57dd4a76b, 0x14c57a57a8f83660, 0x2cb1148b34eb4228, 0xaedd388ea426be8c,
  0xf6b13b5c3464d1ce, 0x5f237b56355e363a, 0x6f65c7c62e121143, 0xddc5497189a43238, 0xf0313bbf64fe2af9,
  0x77eefcf0202726db, 0xa5abce804df9bcc0, 0x18216953e02d4e48, 0x69c6378ce88197f3, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x03aea56aa29e4afd,
};

// m8u2_u2x8_uart0_noled_pr          usb82_u2x8_uart0_noled            usb82_u2x8_uart0_noled_pr
static const uint64_t ur_m8u2_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0xf3fcecb59f9c6609, 0xb5472937dba7c125, 0x7e80ef9610f0da37, 0xed68e3a7f0682fd4, 0x3d61cc580b2ca67b,
  0xfb30475e8f9dabfa, 0x7967b63eccf2a01f, 0xdbf0313bbf60e3e0, 0x3ea0c077eefce726, 0x39794d8ce4df9bc0,
  0x2e718de33a205755, 0x892455bd8aaa2d2c, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x1f21ce39bacf257e,
};

// usb82_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xf745cfce3304f8c9, 0xe526fb74f824be7f, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x062777ec1c7c0f2c, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x83cd84b997cdb124, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xd10fcf257ee68665,
  0x0000000000f93fb3,
};

// m8u2_u2x8_uart0_noled_pr_ee_u4    usb82_u2x8_uart0_noled_pr_ee      usb82_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0x173ec16609f193ba, 0x37dba7c12387ffdd, 0xd1ce30da37b54729, 0x34c7d4795c89355a, 0x1df15f75ea3e0d98,
  0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d, 0x65b2e62e1211473c,
  0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea,
  0xb1248ab7b15545a5, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x7de0b10fcf257ee6, 0x000000000000009d,
};

// usb82_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x12eebfcecb59f8f7, 0xa37b5472937dba7c, 0x5838b5ceffaf490d, 0x9dc6e7ce90ff9e00, 0xd4b9ee580b8ce613,
  0x21c71d3f83c67ea3, 0x128d41ce62c05e81, 0xf71cb19e3af173b5, 0xdbf0313bbf60ebf0, 0xf9bcc077eefce726,
  0x9183536253f7ce4d, 0x19d102103182169c, 0xb612e65f36d38c6f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x1cdd6792bf734332, 0x000000000016ea49,
};

// usb82_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xffdd173f21e609f1, 0x472937dba7c12727, 0xf2e2fae490da37b5, 0xbee24b1e780173b7, 0x1fa8f84bf10d8488,
  0xf5933c5dc6e3fcc4, 0x1eb3d4727a7b9633, 0x8b0147ce9238e9fc, 0xebd1f3b57f47ac39, 0x87d99e5403ff6678,
  0x89ddfb071f03cb5b, 0x03bf77e73936df81, 0x6c6726fcde01f506, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xe6c25ccbe6d89218, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x87e792bf734332c3, 0x000000006eba0e38,
};

// usb82_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xdba7c1231fffee8b, 0x90f0da37b5472937, 0xf002e76706e2faa3, 0xe21b09117dc4963c,
  0x373acd90ff51f097, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xdfb0b3a254d2a360,
  0xf77e73936df8189d, 0x726fcde01f50603b, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x25ccbe6d89218ede,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xa887e792bf734332, 0x000000000009f856,
};

// usb82_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xfba2e7ffe4c13e32, 0xca4df6e9f04ba7ff, 0xbea8dc9c368ded51, 0x258f3c00b9db05b8, 0x7c25f886c2445f71,
  0x78bb8dc4a8b91fd4, 0x2b05253b5b9b8ca6, 0xfa8f83660c6ffa8f, 0xb34eb422814c5710, 0xea426be8c2cb1148,
  0x0e8c4f9ceaedcf78, 0x8d578d8ebd753761, 0x8b84845120a8f19d, 0x1fc332386f65c391, 0x726dbf0313bbf663,
  0xe4df9bcc077eefce, 0x69c9183536253f7c, 0xc6f19d1021031821, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x5c43f3c95fb9a199, 0x000000000004fc08,
};

// m8u2_u2x8_uart0_noled_ee_ce_u4_hw usb82_u2x8_uart0_noled_ee_ce_hw   usb82_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_u2x8_uart0_noled_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xf4c8fd45067b1c77, 0xa66d2f5217bddf1e, 0xc9dd57ccfb4b1725,
  0xff61ff3fbb5304f8, 0x472937dba7c1231f, 0xe2faa390f0da37b5, 0x892c79e24e038706, 0xa3e12fc4361222fb,
  0x33c5dc6e2545c8fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0x6e3cd84b997cdb12,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x24a71d14f257ee68, 0x00000000000000a0,
};

// m8u2_u2x8_uart0_lednop_pr         usb82_u2x8_uart0_lednop           usb82_u2x8_uart0_lednop_pr
static const uint64_t ur_m8u2_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0xa5f7f9d96b3e7acc, 0xded51ca4df6e9f04, 0x51ed63be5843c368, 0xc907e38e9fc1a0bf, 0x4690ce62c0596537,
  0xff6608ebd1f3b2cf, 0x0f2cf6d059a45403, 0xdb7e062777ec82b4, 0x180efddf9e0404e4, 0xc94e804df9bcd914,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x76c25ccbe6db9c8a, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x587494b659289c65, 0x239bacf257ee6866, 0x000000000003e409,
};

// usb82_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m8u2_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xfba2e7cf59827c64, 0xe526fb74f8252fbf, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8f6b, 0x731602cb29be483f,
  0x475e8f9d967a3486, 0xb682cd22a01ffb30, 0x313bbf6415a07967, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077,
  0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x58df1726ae0f3612, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0003e4c7abc43f3c,
};

// m8u2_u2x8_uart0_lednop_pr_ee_u4   usb82_u2x8_uart0_lednop_pr_ee     usb82_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8u2_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0x8b9fcad304f8c9dd, 0x9bedd3e09143ffee, 0x68e7186d1bdaa394, 0x1a63ea3cacca9aad, 0x1df1587bf51f06cc,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce, 0xb2d973170908a09e,
  0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x87e792bf734332c3, 0x000000004ebe4938,
};

// m8u2_u2x8_uart0_lednop_pr_ce_u4   usb82_u2x8_uart0_lednop_pr_ce     usb82_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xffee8b9f297304f8, 0xa3949bedd3e093a5, 0x95717d72486d1bda, 0xbee24b1e780173ba, 0x1fa8f84bf10d8488,
  0xeb2678bb8dcadf80, 0x3d67a8fd24f72c67, 0x1602a6222c71d3f8, 0x5e8f9d967a348673, 0x82cd22a01ffb33c7,
  0x4eefd905681e5adc, 0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x01baeb4fa21f9e4a,
};

// usb82_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8u2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0xb9fa1f9827c64eeb, 0xbedd3e091c1ffee8, 0x8dfc86d1bdaa3949, 0xf3c00b9defb3bfea, 0xf309cee372e4492b,
  0xa3cafba94ed6563d, 0xdbfea3e0d9835afe, 0xa459a75a1140a62b, 0xd4752135f4616588, 0xed1923268e7576e3,
  0x7b56355e363af3a6, 0x6cb98b8484504f23, 0x67951b044c8e1bd9, 0xdf8189ddfb0b31f6, 0x03bf77e781013936,
  0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x1a2cb579726ae0f3,
  0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x05443f3c95fb9a19,
  0x00000000000013f2,
};

// usb82_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x0959fd35304f8c9d, 0x26fb74f825ff3fda, 0x54721e1b46f6a8e5, 0x8f3c49c0712d5c5f, 0x25f886c2445f7125,
  0xee370112601fd47c, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x9ddfb0b31f667951,
  0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x5f36dce18edec555,
  0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000004fcb2df975e,
};

/*
 * m8u2_u2x8_uart0_lednop_ee_ce_u4_hw usb82_u2x8_uart0_lednop_ee_ce_hw
 * usb82_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x777776254486b044, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xddd949f7b62f2ed6,
  0xb0ff9fd35304f8c9, 0xca4df6e9f04bfe7f, 0xbea8e43c368ded51, 0x4b1e789380e25ab8, 0xf84bf10d8488bee2,
  0xf1771b9494ce5fa8, 0x57dd4a76b736f7cc, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x0c4eefd8598fb33c,
  0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62,
  0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000a02b2dfa2,
};

// m8u2_u2x8_uart0_dual_pr           usb82_u2x8_uart0_dual             usb82_u2x8_uart0_dual_pr
static const uint64_t ur_m8u2_u2x8_uart0_dual[] = {
  0x7f77777756d44511, 0x77777750e3119778, 0x0cf792ae3375a53b, 0x2b1393848eeeeb21, 0x9b277257ccf87b16,
  0x20025219bf304f8c, 0xa18369181bbab88b, 0xcf4ea774f8971030, 0x5f67028b3393fccb, 0x7f06654dea3bf9b0,
  0x02bfcc6811423922, 0x17bbe6e0d6006e1f, 0x54219680f8886577, 0x77f3fe80e784dbdc, 0x65a982c3795e425b,
  0x49bedd3e09751fe7, 0x7cb57f86d1bdaa39, 0x1d3f83487ea3dac7, 0xc580bf8733dfd047, 0xebc8b76a968d219c,
  0x494ac905dc72c608, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x26fcde0e4ac077ee, 0x15953b8b29cbe740,
  0x3a207eb8a042d3c3, 0xc25ccbe6da718de3, 0x0d163ce2e4d5c1e6, 0x0ae4fdd598f207e5, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000000310e7221f9,
};

// usb82_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m8u2_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0xeeeea1c62253b0fe, 0xb33322b075056eee, 0x73b2837bbba6ee82, 0x25cbbbf7073ad05a,
  0x02523ace609f1928, 0x8369181bbab88b20, 0xd16774f8971030a1, 0xac7074b31c3fcca9, 0xc1c069bd47fddb04,
  0xaff31a04508e489f, 0xddf372c7c01b87c0, 0x10cb43e44432bb8b, 0x0dff4073c261f22a, 0x5982c3795e425b78,
  0xdf6e9f04827fff74, 0x2c4d4368ded51ca4, 0x9fc1887f51f229df, 0xc055079a717be38e, 0xc019dad6475fce62,
  0x3a435403ff6608eb, 0x152552740f2cf6c4, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9,
  0x000000524c41aa5d,
};

// m8u2_u2x8_uart0_dual_pr_ee_u4     usb82_u2x8_uart0_dual_pr_ee       usb82_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m8u2_u2x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0xeeeea1cc7655f87f, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf9af93059b75b1d7,
  0x5304f8c9977727f0, 0xbbab88b200252170, 0x8971030a18369181, 0x3068fcca9d16774f, 0x51fa7f6163e70ff9,
  0x2847244fe0fabe6f, 0x200dc3e057f98d02, 0xa2195dc5eef9b972, 0x84c5162a10cb41d2, 0x79096dfabffe80e7,
  0xdf7ffdd1660b0de5, 0x7b5472937dba7c12, 0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c5752bd,
  0x426be8c2cb1148b3, 0x39d5a5cca5c54b9a, 0xd0ebd44bb4428f7b, 0x845022a3e7ac6ab5, 0xfadc37b2fa598b84,
  0x4940213fac546c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402,
  0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000002b25d5b975e,
};

// m8u2_u2x8_uart0_dual_pr_ce_u4     usb82_u2x8_uart0_dual_pr_ce       usb82_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0x777750e66258b0fe, 0x16a39c02b68bf777, 0xb4fb3adbbbb1c727, 0xc8af6f049aed1fcf,
  0x90aebcc13e32699d, 0x48c0ddd5c4590012, 0x3ba7c4b881850c1b, 0x00b5318ffe654e8b, 0x569bd47275b04b47,
  0x31a04508e489fc1c, 0x3719f001b87c0aff, 0x681454432bb8bddf, 0xd01cf098c7c54219, 0xb0de579096de2b7f,
  0xa7c1260bffdd1660, 0x10da37b5472937db, 0xe24e038e96e2faa0, 0xc4361222fb892c79, 0x370527ebfea3e12f,
  0xcf72c67d4b99e2ee, 0x38e9fc1d4bf51c6f, 0x1d7f398b014141f2, 0xfd99e3af00676b59, 0x0f2d6e10e90d500f,
  0xf8abe77715255274, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x934714baf3c95fb9, 0x0000000000000034,
};

// usb82_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m8u2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xdddd439e97bbc3fb, 0x27d57f5de83edddd, 0x7ef0a583bad38eb2, 0x1aeb368559932bbf,
  0x7cc13e324375ca59, 0xddd5c459001291dc, 0xc4b881850c1b48c0, 0x37ebfe654e8b3ba7, 0xa8f5bfb080070149,
  0x14239227f073b737, 0x6006e1f02bfcc681, 0xa2195dc5eef9b9dd, 0x84d8122a10cb434d, 0x79096de76ffe80e7,
  0xd3fffdd1660b0de5, 0xf6a8e526fb74f825, 0x6b1dff546e4e1b46, 0x654341ff3c49c070, 0xdacac9ba6139dc6e,
  0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1, 0xe7576e328752135f, 0x63af512ed10a3dec,
  0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4,
  0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0x2cb578dc79b09732,
  0x3f53ab337f07771a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0xcbaf3c95fb9a1996,
  0x00000000008007ad,
};

// usb82_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xbba87217fb8c3fbb, 0x9973ac1378ffbbbb, 0xf793b77ed46ac3ec, 0x518e9061f9912163,
  0xc64a0ab937fb54e3, 0x164004a41c939827, 0x614306d230377571, 0xcbc63fcee9f12e20, 0x833e1c3ace6643fc,
  0x3f83fd79bd47986d, 0x815fe63408a11c91, 0x2f77cdcea700370f, 0x50865a016910caee, 0xfafff4073c263831,
  0x9530586f2bc84b6f, 0x6fb74f824ff3fda0, 0x46a7a1b46f6a8e52, 0xf3c49c9d8cddc5f5, 0x5f886c2445f71258,
  0x8dcd507907fd47c2, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x58df1726ae0f3612, 0xd4eaccdfc1fb7634, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x04005c41daa72792,
};

// usb82_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m8u2_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xdddd4398ecabf0fe, 0x3ed9f1d6d51fdddd, 0x9336dd05dd4761b9, 0xeaf2c9a704eb63ae,
  0x5c14c13e3265ddcb, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0xfe4c1a3f32a7459d, 0x9bd47e9fd858f9c3,
  0x408a11c913f83eaf, 0x5c880370f815fe63, 0x74a88657717bbe6e, 0x39e131458a8432d0, 0x795e425b7eafffa0,
  0x04b7dff8541982c3, 0x68ded51ca4df6e9f, 0xcad7dcd56b472243, 0xaf51f06cc1829ea3, 0x2cd3ad08a1df15d4,
  0xe6909afa30b2c452, 0xdece756973297152, 0xad743af512ed10a3, 0xe1211408a8f9eb1a, 0x047eb70decbe9662,
  0x715250084feb151b, 0x0c4eefd93f8abe77, 0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000576aeadd1,
};

// usb82_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m8u2_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xbbba87217fb8c3fb, 0x1f64cb9db609bbbb, 0x0b1fbc9dbbf6a356, 0x68fa9d6b760fcc89,
  0x3927304f8c941572, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0xb39990ff32a7459d, 0x6f51e61b60cf870e,
  0x022847244fe0ff5e, 0xa9c00dc3e057f98d, 0x5a4432bb8bddf373, 0xcf098e0c54219680, 0xcaf212dbfebffd01,
  0x24ff3fc2a0cc161b, 0x46f6a8e526fb74f8, 0xe0cddc5f546a7a1b, 0x88bee24b1e789380, 0xc87fa8f84bf10d84,
  0x37374cf1771b9d66, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d, 0x962291669d684502, 0xdb8ca1d484d7d185,
  0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238, 0x64fe2af9ddc5494b,
  0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0x76371e6c25ccbe6d, 0x09c69430a9cfd4d8, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000003aeadc7d14f,
};

// usb82_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xfddddddd5a890c86, 0xbbbbba87217a8fe1, 0xc73b6b455fae17bb, 0x766d13cfde4edd1e, 0xeb97763766f31508,
  0x4a427979827c64b4, 0x6d23037757116400, 0x2cee9f12e2061430, 0x384c34ccf9f9953a, 0x80137a8ffafb035b,
  0xe63408a11c913f83, 0xcdc75400370f815f, 0x5a04e910caee2f77, 0xf4073c26d9d15086, 0x586f2bc84b6f8ddf,
  0xa7c129dbff0a8330, 0xb0da37b5472937db, 0x4e03915ae2faa32e, 0x361222fb892c79e2, 0x2545c8fea3e12fc4,
  0xdadcdc4333c5dc6e, 0x9834c7d4795f7529, 0x8a05315e95ea3e0d, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x8ebdac4ed70d1934, 0x50d7c8ded58d578d, 0x8e1bd971f18b8484, 0xbe7771525c62690c, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x92296af3a0137e6f, 0xfcc6085a54f80b53, 0xe6da718de33a2065, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x0000eba95aa8a792,
};

// m8u2_u2x12_uart0_noled_pr         usb82_u2x12_uart0_noled           usb82_u2x12_uart0_noled_pr
static const uint64_t ur_m8u2_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0x4ff3b2d67f4a9827, 0x7f36a7d56e9f0481, 0x2c21e1b46f6a8e52, 0x4fe0d05fa8fd01df, 0xb016594cf7dad1c7,
  0xbd1f3b57f47ac398, 0x7d99e5403ff6608e, 0x777ec1c7c0f2cf6c, 0xefddf9ce4db7e062, 0x19c9bf37807d4180,
  0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xd84b997cdb1248ab, 0xf2068fe3458f386e, 0x5c33d30ae4fdd598,
  0x0e9296cb25138cb2, 0x73759e4afdcd0ccb, 0x0000000001f20072,
};

// usb82_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m8u2_u2x12_uart0_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xff745cfe95304f8c, 0x9b53eab74f8240a7, 0x10f0da37b547293f, 0xf0682fd47e80ef96, 0x0b2ca67bed68e3a7,
  0x8f9dabfa3d61cc58, 0xccf2a01ffb30475e, 0xbf60e3e07967b63e, 0xeefce726dbf0313b, 0xe4df9bc03ea0c077,
  0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000007c9e5a5887e,
};

// m8u2_u2x12_uart0_noled_pr_ee_u4   usb82_u2x12_uart0_noled_pr_ee     usb82_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m8u2_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0x56e9f048a5fff745, 0x46f6a8e527f36a7d, 0x2b9126ab5a39c61b, 0xbd47c1b30698fa8f,
  0x59a75a1143be2bee, 0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a,
  0x047eb70decb65cc5, 0xeefd801512a6951b, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0xb09732f9b6249156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x00000013ae2a7221,
};

// m8u2_u2x12_uart0_noled_pr_ce_u4   usb82_u2x12_uart0_noled_pr_ce     usb82_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xfba2e7cbacc13e32, 0xb53eab74f825f3bf, 0x490da37b547293f9, 0xe780173b7f2e2fae, 0xbf10d8488bee24b1,
  0xdc6e3fcc41fa8f84, 0x27a7b9633f5933c5, 0xe9238e9fc1eb3d47, 0x57f47ac398b0147c, 0x403ff6678ebd1f3b,
  0x71f03cb5b87d99e5, 0x73936df8189ddfb0, 0xcde01f50603bf77e, 0x2baa9cbca6c6726f, 0x16961738c6f19d10,
  0xbe6d89218edec555, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x06eba65a887e792b,
};

// usb82_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m8u2_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xdd3e090d6ffee8b9, 0xded51ca4fe6d4faa, 0xf021dff546fe4368, 0xb9d66c87f9e005ce,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0, 0xfa30b2c4522cd3ad, 0x673abb74e23a909a,
  0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84, 0xfd859d12a6951b04, 0xbbf39c9b6fc0c4ee,
  0x937e6f00fa8301df, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0x443f3c95fb9a1996,
  0x000000000027e74f,
};

// usb82_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xb3e9b7304f8c9dd8, 0xadd3e090cdffb412, 0x8ded51ca4fe6d4fa, 0xe1c1b8bea8e43c36, 0x88bee24b1e789380,
  0xa49fa8f84bf10d84, 0x6def99e2ee373a3e, 0xafea3cafa894ed6e, 0x62b09fea3e0d9835, 0x588a459a75a1140a,
  0x6e9c4752135f4616, 0x74ddb7b4782ce757, 0xe461c6c6abc6c75e, 0x7b2d973170908a39, 0xa254d2a3608991c3,
  0x936df8189ddfb0b3, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd, 0x961738c6f19d102b, 0x6d89218edec55516,
  0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0009f83f052ebcf2,
};

/*
 * m8u2_u2x12_uart0_noled_ee_ce_u4_hw usb82_u2x12_uart0_noled_ee_ce_hw
 * usb82_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xbf6baef53efa7725,
  0x3fe7d36e609f193b, 0x3eab74f824337fec, 0x0da37b547293f9b5, 0xe038706e2faa390f, 0x61222fb892c79e24,
  0x545c8fea3e12fc43, 0xadcdbdf33c5dc6e2, 0x06b5fd4795f5129d, 0x814c5613fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd388ea426be8, 0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132,
  0xce726dbf0313bbf6, 0xf9bc03ea0c077eef, 0x0575539794d8ce4d, 0xa2d2c2e718de33a2, 0x97cdb12431dbd8aa,
  0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000005010fc1514f,
};

// m8u2_u2x12_uart0_lednop_pr        usb82_u2x12_uart0_lednop          usb82_u2x12_uart0_lednop_pr
static const uint64_t ur_m8u2_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0x3fcecb59f9c6609f, 0xfcda9f55ba7c125f, 0xb24386d1bdaa3949, 0x3f83349ea393c77c, 0xc05bdd30f9d2471d,
  0xc5cecd7c8e414e62, 0x8560fbdc72c608eb, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37,
  0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0x8f386ed84b997cdb, 0xfdd598f2068fe345, 0x138cb25c33d30ae4,
  0xcd0ccb0e9296cb25, 0x3e439c73759e4afd,
};

// usb82_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m8u2_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0xdd173e13e609f193, 0xd4faadd3e09201ff, 0x3c368ded51ca4fe6, 0x1a0bf51ed63be584, 0x96537c907e38e9fc,
  0x3b2cf4690ce62c05, 0x45403ff6608ebd1f, 0xc82b40f2cf6d059a, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xdb90887e792bf734, 0x00000000000007c9,
};

// m8u2_u2x12_uart0_lednop_pr_ee_u4  usb82_u2x12_uart0_lednop_pr_ee    usb82_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m8u2_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0x5ba7c1253dffdd17, 0x1bdaa3949fcda9f5, 0xacca9aad68e7186d, 0xf51f06cc1a63ea3c,
  0xcd3ad08a1df1587b, 0x6909afa30b2c4522, 0x9a39d5a5cf55c6b2, 0xb5d0ebce9bb4648c, 0x0908a09e46f6ac6a,
  0x11fadc37b2d97317, 0x77ec0087d99e546c, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x4eb938b887e792bf,
};

// m8u2_u2x12_uart0_lednop_pr_ce_u4  usb82_u2x12_uart0_lednop_pr_ce    usb82_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xfba2e7d82cc13e32, 0xb53eab74f82470ff, 0x490da37b547293f9, 0xcf002e7752ae2fae, 0x7e21b09117dc4963,
  0x71b95bf003f51f09, 0xa49ee58cfd64cf17, 0x458e3a7f07acf51f, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2,
  0xad03cb5b9059a454, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x2c43f3c95fb9a199, 0x0000000000375f78,
};

// usb82_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m8u2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0x74f825d5fffdd173, 0x7b547293f9b53eab, 0xdf677fd51bf90da3, 0xe5c89257e780173b,
  0x9dacac7be6139dc6, 0xb306b5fd4795f752, 0x22814c57b7fd47c1, 0xe8c2cb1148b34eb4, 0x1ceaedc7a8ea426b,
  0x6c75e74dda32464d, 0x08a09e46f6ac6abc, 0x991c37b2d9731709, 0xf61663eccf2a3608, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xe4d5c1e6c25ccbe6,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000027e2ec887e79,
};

// usb82_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0xacfbfc9827c64eef, 0x55ba7c120d1fed04, 0xd1bdaa3949fcda9f, 0x1c4b5717d51c8786, 0x9117dc4963cf1270,
  0x9807f51f097e21b0, 0x9b7be678bb8dc044, 0x6bfa8f2beea53b5b, 0x98af6ffa8f83660d, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238,
  0xe4db7e062777ec2c, 0x14180efddf9e0404, 0x29c94e804df9bcd9, 0x6378ce881df2a6f5, 0x63b7b15545a6ae9c,
  0xe3cd84b997cdb738, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x896d25d79e4afdcd, 0x000000000000009f,
};

/*
 * m8u2_u2x12_uart0_lednop_ee_ce_u4_hw usb82_u2x12_uart0_lednop_ee_ce_hw
 * usb82_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd4486a4d6, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0xd39d9f7a55e2465d,
  0x0ff9f7f9304f8c9d, 0xa7d56e9f048347fb, 0xe1b46f6a8e527f36, 0x9c0712d5c5f54721, 0x6c2445f71258f3c4,
  0xa4a672fd47c25f88, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x28092da514f257ee,
};

// usb82_u2x12_uart0_dual
static const uint64_t ur_m8u2_u2x12_uart0_dual[] = {
  0xeeeeeac6d6a232a8, 0xeeeeea1c18ccf0fe, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x00252396a609f193, 0x18369181bbab88b2, 0xf4ea774f8971030a, 0x8a7072737cefccbc, 0xc1c7b9bd475f7b02,
  0xaff31a04508e489f, 0xeef9b816801b87c0, 0x0865a0f7a2195dc5, 0xf7ff4073c261bf15, 0xa982c3795e425b78,
  0xaadd3e09695fe765, 0x68ded51ca4fe6d4f, 0x3f51c453be5abfc3, 0x364837e38e9fc1a4, 0x3c8ded1cc580bf87,
  0xee39630475e45bb1, 0x8abe77715252b04f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x83cd84b997cdb739, 0xd30ae4fcfec5c9ab, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000032dfd38e21,
};

// usb82_u2x12_uart0_dual_pr
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr[] = {
  0x777775636b50d2a8, 0x7777750e0c8e387f, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0xb2002523ace609f1, 0x0a18369181bbab88, 0xca9d16774f897103, 0xb028a7072737cefc, 0x89fc1c7b9bd475f7,
  0x7c0aff31a04508e4, 0xdc5eef9b870401b8, 0xf150865a0f7a2195, 0xb780dff4073c261b, 0xf745982c3795e425,
  0x6a7d56e9f04827ff, 0xfe1b46f6a8e527f3, 0x1a43f51ee19df2d5, 0xf8732d726a38e9fc, 0x7613e8d059cc580b,
  0x1a4dc72c608ebc8b, 0x27f157ceee2a4a56, 0x013936df8189ddfb, 0x6fcde603bf77e781, 0x016a72452d5e7402,
  0xa2065fe2810b4a9f, 0x25ccbe6da718de33, 0x7771a2c79c371e6c, 0x7a615c9fbab337f0, 0x252d9f0271964b86,
  0xaf3c95fb9a19961d, 0x00000000c4026b4b,
};

// usb82_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr_u4[] = {
  0xdddd58daa24343ee, 0xdddd43831d961fdd, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x369181bbab88b200, 0x16774f8971030a18, 0xa70387314bfcca9d, 0x1d4a9bd474adb074,
  0xff31a04508e489fc, 0xef9b9ff001b87c0a, 0x865a0be22195dc5e, 0xaffa039e133df150, 0xcc161bcaf212dbd4,
  0x55ba7c12eebffba2, 0xd1bdaa3949fcda9f, 0xfea3e453be589a86, 0x34e2f7c71d3f8310, 0xac8ebf9cc580aa0f,
  0x07fecc11d78033b5, 0xe81e59ed887486a8, 0x27f157ceee2a4aa4, 0x013936df8189ddfb, 0x36450603bf77e781,
  0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x524e7c14baf3c95f,
};

// m8u2_u2x12_uart0_dual_pr_ee_u4    usb82_u2x12_uart0_dual_pr_ee      usb82_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr_ee[] = {
  0xdddd58daa243359b, 0xbba872c98ebe1fdd, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xdd5c459001291c3f, 0x4b881850c1b48c0d, 0xb4d7e654e8b3ba7c, 0x47b1fd87fc380689,
  0xa11c913f83a1f9bd, 0x00370f815fe63408, 0x88657717bbe6e125, 0x133938a8432d0386, 0xe425b7a1fffa039e,
  0x4dfff745982c3795, 0x27f36a7d56e9f04b, 0x5a39121b46f6a8e5, 0x0c14f51e56bee6ab, 0x0ef8aea57a8f8366,
  0x85962291669d6845, 0x994b8a973484d7d1, 0x9768851ef673ab4b, 0x47cf58d56ba1d7a8, 0x65f4b3170908a045,
  0x7f58a8d823f5b86f, 0xfc55f3bb8a928042, 0x4e4db7e062777ec9, 0x914180efddf9e040, 0x529c94e804df9bcd,
  0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x371e6c25ccbe6db9, 0x599bf83bb8d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xb2245f2ebcf257ee,
  0x0000000000000002,
};

// m8u2_u2x12_uart0_dual_pr_ce_u4    usb82_u2x12_uart0_dual_pr_ce      usb82_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr_ce[] = {
  0xdddd58daa243573e, 0xbba87017a7de1fdd, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0x4606eeae22c80094, 0xdd3e25c40c2860da, 0x31f9866ff32a7459, 0x69bd474b5b00b470,
  0x1a04508e489fc18d, 0x73acc01b87c0aff3, 0x83934432bb8bddf3, 0x01cf09a034542196, 0x0de579096dc6b7fd,
  0x7c12c09ffdd1660b, 0xaa3949fcda9f55ba, 0x74b717d50086d1bd, 0x17dc4963cf12701c, 0x5ff51f097e21b091,
  0xea5ccf1771b8293f, 0xea5fa8e37e7b9633, 0x580a0a0f91c74fe0, 0x78033b5ac8ebf9cc, 0x87486a807feccf1d,
  0xb8a92a93a0796b70, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e, 0x00000001a49b5ee5,
};

// usb82_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbbbab1b5a8286f97, 0x7750e133aefc3fbb, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0xeeae22c80094874e, 0x25c40c2860da4606, 0x8d6ff32a7459dd3e, 0x47801b014870fd79,
  0xa11c913f83b5b9bd, 0x00370f815fe63408, 0x10caee2f77cdc000, 0x2695d150865a1159, 0xc84b6f6b7ff4073c,
  0x1fffee8b30586f2b, 0x9fcda9f55ba7c12b, 0x51b9386d1bdaa394, 0xfcf12701c1ac77fd, 0xe984e771b9950d07,
  0x51e56fe4a76b2b26, 0xe037a8f83660d7cf, 0x291669d68450298a, 0xca1d484d7d185962, 0xbb4428f7b39d5db8,
  0x7cf58d578d8ebd44, 0x5f4b3170908a0454, 0xfac546c1132386f6, 0xe2af9ddc5494b313, 0x726dbf0313bbf64f,
  0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0x71e6c25ccbe6db9c,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0004000e8b2ebcf2,
};

// usb82_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xeeac6d515b7672df, 0xd43963f2270feeee, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x800948f3d7304f8c, 0x860da4606eeae22c, 0x8c7f9dd3e25c40c2, 0xb338321cd495f997,
  0x066b737a8ecf9b0e, 0xbfcc68114239227f, 0xef9b8b82006e1f02, 0x196818fa2195dc5e, 0xffa039e13757c542,
  0x82c3795e425b735b, 0xba7c12c41fed04a9, 0xbdaa3949fcda9f55, 0x337717d51a9e86d1, 0x17dc4963cf127276,
  0x1ff51f097e21b091, 0x6e99e2ee373541e4, 0xea3cadfc94ed6e6e, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531,
  0x1943a909afa30b2c, 0x9768851ef673abb7, 0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de,
  0xfc55f3bb8a929662, 0x4e4db7e062777ec9, 0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0xb83cd84b997cdb73, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x6a9c9e4afdcd0ccb, 0x0000000004001ea8,
};

// usb82_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m8u2_u2x12_uart0_dual_ee_hw[] = {
  0xbbbab1b5448687e1, 0x7750e5931d7c3fbb, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x377571164004a470, 0xf12e20614306d230, 0x26d35f9953a2cee9, 0xf51ec7f61ff0e01a,
  0x22847244fe0e87e6, 0x9400dc3e057f98d0, 0x1a2195dc5eef9b84, 0x784ce4e2a10cb40e, 0x579096de87ffe80e,
  0x2d37fe150660b0de, 0x949fcda9f55ba7c1, 0xad68e4486d1bdaa3, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x576922fa29e4afdc,
};

// usb82_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m8u2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xddd58dad41437089, 0xba87099d77e1fddd, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0xddd5c459001290e9, 0xc4b881850c1b48c0, 0x31adfe654e8b3ba7, 0xa8f00360290e1faf,
  0x14239227f076b737, 0x0006e1f02bfcc681, 0x22195dc5eef9b800, 0x84d2ba2a10cb422b, 0x79096ded6ffe80e7,
  0x63ffe150660b0de5, 0x93f9b53eab74f825, 0xaa37270da37b5472, 0x7f9e24e038358eff, 0x6e984e771b9d66c8,
  0xf51e56fe4a76b2b2, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x2726dbf0313bbf64,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x371e6c25ccbe6db9,
  0xc69430a9cfd4d876, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67, 0x0003aea3a2d14f25,
};

// usb82_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeac6d51468ce4a, 0xdd43963f2270feee, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x377571164004a479, 0xf12e20614306d230, 0xcd495f997071cee9, 0xa8ecf9b0eb338321,
  0x14239227f066b737, 0x2006e1f02bfcc681, 0xa2195dc5eef9b8b8, 0x13757c542196818f, 0xe425b735bffa039e,
  0x41ffc87f982c3795, 0x9fcda9f55ba7c12c, 0x51a9e86d1bdaa394, 0x9e2c5f038337717d, 0xfc4361222fb892c7,
  0x8dc524e6ffea3e12, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xe65f36dce18edec5, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000075d434f817d,
};

// m8u2_swio10_noled_pr              usb82_swio10_noled                usb82_swio10_noled_pr
static const uint64_t ur_m8u2_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0x524644ff3b2d67c3, 0x310fea3bde77cb13, 0x7ba69c722c71d3f8, 0x3b7408d679cc580b,
  0x1afb71cb1823af17, 0x39e4fed7972ab52b, 0xd59cea2a551ae84e, 0x7d22d4d672bb54b7, 0xb4457962d2552fbd,
  0x2953e9de7eb5cf6a, 0x085a585cea75380b, 0xe31bc674409c2914, 0xf386ed84b997cdb4, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0x2007273759e4afdc, 0x000000000000001f,
};

// usb82_swio10_noled_pr_u4
static const uint64_t ur_m8u2_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xd7ff745cfc7b9827, 0x51e6e3be5845923d, 0x654e31c74fe0c9ef, 0xe8ed6398b016594c,
  0x3ff6608ebd1f3b3d, 0x40f2cf6ee1acf540, 0x3c9fdaf2e556aab5, 0xb39d454aa35d09c7, 0xa45a9ace576a96fa,
  0x88af2c5a4aa5f7af, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xd84b997cdb2048ab,
  0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000000f939f0510,
};

// m8u2_swio10_noled_pr_ee_u4        usb82_swio10_noled_pr_ee          usb82_swio10_noled_pr_ee_u4
static const uint64_t ur_m8u2_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xbffee8b9f1ad304f, 0xe1cd56b471ee48e9, 0x1f06cc19ebea3cac, 0x3ad08a1df15975f5,
  0x09afa30b2c4522cd, 0x73ab4bfee5c6b269, 0xa1d79d376d291c42, 0x08a1314622d8d56b, 0xfadc37b2d9731709,
  0x5a8044d57f546c11, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0x97debe916a6b395d, 0xe7b55a22bcb1692a,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x8122adec5551696d, 0x6ae0f3612e65f36c, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x917c43f3c95fb9a1, 0x00000000000013ae,
};

// m8u2_swio10_noled_pr_ce_u4        usb82_swio10_noled_pr_ce          usb82_swio10_noled_pr_ce_u4
static const uint64_t ur_m8u2_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x7027ff745cfdba98, 0x2e7795ae2fac8924, 0xb09117dc4963cf00, 0x2a2e47f51f097e21,
  0xcb19fac99e2ee371, 0xd3f83c17ea3e493d, 0xac731602f740a471, 0xccf1d7a3e767bd1d, 0x96b75c359ea807fe,
  0xfed7972ab555aa07, 0xea2a551ae84e39e4, 0xd4d672bb54b7d59c, 0x7962d2552fbd7d22, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0xb997cdb20431dbd8, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000dd7daf710fcf,
};

// usb82_swio10_noled_pr_ee_ce
static const uint64_t ur_m8u2_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xffba2e7c344c13e3, 0xceffaa3387246c7f, 0x01b77f9e005ceec7, 0x958f7cc273b8dc00,
  0xd00f51e56e9653b5, 0x298ae43fa8f83660, 0x5962291669d68450, 0xbb77ee1d484d7d18, 0x79d376d291c4273a,
  0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0x71cf27f6bcb955a9, 0xbeace75152a8d742,
  0xebe916a6b395daa5, 0x55a22bcb1692a97d, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138,
  0x1e6c25ccbe6d9021, 0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0xf0745887e792bf73, 0x0000000000000013,
};

// usb82_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x07fb412b3e87d304, 0x882e2faa3b752471, 0x2fb892c79e24e039, 0x17ea3e12fc436122,
  0xf7ccf1771b9d4e5c, 0xea3cadd2ca76b736, 0x5c87f51f06cc1a01, 0x4522cd3ad08a0531, 0xfdc3a909afa30b2c,
  0x6eda523884e7576e, 0x188b6355e363af3a, 0xcb65cc5c242284c5, 0xaafea8d8226470de, 0xe4fed7972ab52cc9,
  0x9cea2a551ae84e39, 0x22d4d672bb54b7d5, 0x457962d2552fbd7d, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x84b997cdb20431db, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x25d79e4afdcd0ccb, 0x00000000009f87aa,
};

/*
 * m16u2_swio10_noled_ee_hw          m16u4_swio10_noled_ee_hw          m32u2_swio10_noled_ee_hw
 * m32u4_swio10_noled_ee_hw          usb82_swio10_noled_ee_hw          usb162_swio10_noled_ee_hw
 */
static const uint64_t ur_m8u2_swio10_noled_ee_hw[] = {
  0x426eeeeed12198e2, 0x6d5cb4b1ea6d2eb1, 0xa7ad177499f1ff12, 0x08f229835cdd95b6, 0xad41685e14452225,
  0xc13e32774a70f6d3, 0x91d37fec3fe7c6b4, 0x7959c39aad68e3dc, 0xebea3e0d9833d7d4, 0x459a75a1143be2b2,
  0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1, 0xd823f5b86f65b2e6,
  0x972ab50089aafea8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0xd2552fbd7d22d4d6, 0x2d75cf6ab4457962,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xe6d902455bd8aaa2, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0000b7c9f868a792,
};

// m8u2_swio10_noled_ee_ce_u4_hw     usb82_swio10_noled_ee_ce_hw       usb82_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x47107fb0ff9f43e9, 0x039882e2faa3b752, 0x1222fb892c79e24e, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f48b5359caed52d, 0xad115e58b4954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd51453c95fb9a199, 0x000000000000a023,
};

// usb82_swio10_lednop
static const uint64_t ur_m8u2_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x92213ffcecb59f32, 0x887f51f243be589a, 0xee9bba05238e9fc1, 0x761f11f48731602d,
  0x2e1ee39630475e2e, 0x39e4fed7972ab52b, 0xd59cea2a551ae84e, 0xd4d7020272bb54b7, 0x7962d255aba5fd22,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb2ec8ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000a9074e6eb3,
};

// m8u2_swio10_lednop_pr_u4          usb82_swio10_lednop_pr            usb82_swio10_lednop_pr_u4
static const uint64_t ur_m8u2_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0xefffba2e7e034c13, 0x51e713be58459221, 0xc79eb1c74fe0c9ef, 0x2383e731602cb298,
  0xffd9823af47cedf2, 0x40f2cf6f7be81500, 0x3c9fdaf2e556b02b, 0xb39d454aa35d09c7, 0x9ae0404e576a96fa,
  0x2c5a4ab574bfa45a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b65d9156f62aa,
  0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x03e4e7e0a21f9e4a,
};

// m8u2_swio10_lednop_pr_ee_u4       usb82_swio10_lednop_pr_ee         usb82_swio10_lednop_pr_ee_u4
static const uint64_t ur_m8u2_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0xe5ffdd173fd5f304, 0x9439aad68e3dc918, 0xa3e0d9833d7d4795, 0xa75a1143be2b60be,
  0x2135f4616588a459, 0x0e75697f9cb8d64d, 0xe875e74dd827a35f, 0x845192231bf6355a, 0xfd6e1bd96cb98b84,
  0x5a80570d67aa3608, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0xfe916a6b8101395d, 0x5a22bcb1692ad5d2,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0x6c25ccbe6d976455, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x7e792bf734332c3a, 0x000000013ae10b88,
};

// m8u2_swio10_lednop_pr_ce_u4       usb82_swio10_lednop_pr_ce         usb82_swio10_lednop_pr_ce_u4
static const uint64_t ur_m8u2_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0xdf7ffdd173f15a60, 0xb9ddbab8beb22491, 0xc2445f71258f3c00, 0x4a672fd47c25f886,
  0x2c67eb2678bb8dca, 0x4fe0f05fa8e0a4f7, 0xf398b0143da011c7, 0xcf1d7a3e76f911c1, 0x5addbdf40a807fec,
  0xfb5e5caad605681e, 0xa8a9546ba138e793, 0x0809caed52df5673, 0x4956ae97f48b535c, 0xb5d73daad115e58b,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xd97618edec555169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xbdd5b887e792bf73, 0x000000000000006e,
};

// usb82_swio10_lednop_pr_ee_ce
static const uint64_t ur_m8u2_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0x7ff745cfcedcc13e, 0xd1dff54670e48eed, 0x47d493f3c00b9dee, 0xacac7be6139dc6e7,
  0x06807a8f2b2eb29d, 0x814c5652fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbe70ea426be8, 0xd79d37609e8d7c39,
  0x8c9118dfb1aaf1b1, 0x70decb65cc5c2422, 0x59dc359ea8d82264, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0,
  0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36cbb0c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000534d17d10fcf,
};

// usb82_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x03fda0959ffd7982, 0x801717d51dba9230, 0x17dc4963cf12701c, 0xaff51f097e21b091,
  0xf7ccf1771b816467, 0xea3cacbaca76b736, 0x594bf51f06cc1a01, 0x4522cd3ad08a0531, 0xf9c3a909afa30b2c,
  0xdd827a35f0e7576e, 0x637ec6abc6c75e74, 0x2d973170908a3244, 0xd67aa3608991c37b, 0x27f6bcb955a96770,
  0xe75152a8d74271cf, 0xb8101395daa5beac, 0x1692ad5d2fe916a6, 0xe56bae7b55a22bcb, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb2ec31dbd8aaa2, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00009f8135a5d79e,
};

/*
 * m16u2_swio10_lednop_ee_hw         m16u4_swio10_lednop_ee_hw         m32u2_swio10_lednop_ee_hw
 * m32u4_swio10_lednop_ee_hw         usb82_swio10_lednop_ee_hw         usb162_swio10_lednop_ee_hw
 */
static const uint64_t ur_m8u2_swio10_lednop_ee_hw[] = {
  0x426eeeeed121b7d6, 0x6d5cb4b1ea6f5eb1, 0x27ab8f746db11f12, 0x08f229835da59bbb, 0xdab2210208452225,
  0x609f193baf5a716f, 0x918e5fec3fe7fabe, 0x7959439aad68e3dc, 0x0bea3e0d9833d7d4, 0x459a75a1143be2b6,
  0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63, 0x608fd6e1bd96cb98,
  0xb955a80570d67aa3, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5d2fe916a6b81013, 0x7b55a22bcb1692ad,
  0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6d976, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xfbe0a8a792bf7343,
  0x00000000000000b7,
};

// m8u2_swio10_lednop_ee_ce_u4_hw    usb82_swio10_lednop_ee_ce_hw      usb82_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x3003fd87fcffebcc, 0x1c801717d51dba92, 0x9117dc4963cf1270, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xcf27f6bcb955a967,
  0xace75152a8d74271, 0xa6b8101395daa5be, 0xcb1692ad5d2fe916, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb2ec31dbd8aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000280826b514f,
};

/*
 * m8u2_swio10_dual_pr               m8u2_swio10_dual_pr_u4            usb82_swio10_dual
 * usb82_swio10_dual_pr              usb82_swio10_dual_pr_u4
 */
static const uint64_t ur_m8u2_swio10_dual[] = {
  0x2eeeeeed12190907, 0xa99a872843ad87e8, 0x421eef255c78bcad, 0xd75a1a2a0ab0c647, 0xbdeca9c46eb7682b,
  0x38eee5683f572afe, 0x4004a40226609f19, 0x4306d23037757116, 0x53a2cee9f12e2061, 0x07f0e0bee628bf99,
  0x4fe0fba9bd478f7b, 0xe057f98d02284724, 0xc5eef9b95be00dc3, 0x150865a11922195d, 0xb975ffa039e135ad,
  0xba2cc161bcaf212d, 0x43be587c92352bff, 0x51c74fe0c45f51e4, 0xce62c055079bf719, 0x0475e00ced38a37b,
  0x7b6b5e0faa01ffb3, 0xceee2a4b7f860796, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0xc0809caed52df567,
  0xb4956ae97f48b535, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36cbb22adec55516,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x001493fea8975e79,
};

// usb82_swio10_dual_pr_ee
static const uint64_t ur_m8u2_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xd4cd43950c2d87c3, 0xd26f747b58646706, 0xccfa73b251fad33e, 0xefeef3ec6b9bb0dc,
  0xee4d1f53a19c6eca, 0x9484e3e609f193f4, 0xda4606eeae22c800, 0x59dd3e25c40c2860, 0x1c12d4c16bf32a74,
  0x7a6e6f51c6b6c09d, 0xfcc68114239227f0, 0xf9b8a91006e1f02b, 0xcb417da2195dc5ee, 0xfe80e784c1ee2a10,
  0x0b0de579096dd36f, 0x94592343fffdd166, 0x57a8f2bdf7355ad1, 0xc576ebd47c1b3066, 0xb1148b34eb422877,
  0x5c54b9a426be8c2c, 0x1ed1e9473ab4b943, 0x1b1aad743af512ed, 0x9662e121142008d3, 0x951b047eb70decbe,
  0xbe777152500a32b5, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0xae0404e576a96fab, 0xc5a4ab574bfa45a9,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8, 0x2ce9f0dc79b09732,
  0x3f53ab337f07771a, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xb2610cbaf3c95fb9, 0x0000000000000002,
};

// usb82_swio10_dual_pr_ee_u4
static const uint64_t ur_m8u2_swio10_dual_pr_ee_u4[] = {
  0xe647777776890c86, 0x4e53350e543aafc3, 0x2daefdd01452a38f, 0xc9d4cc373adefda7, 0x0b2012c435cdd991,
  0x16e5dd8dd9683cc5, 0x09487806609f192d, 0x0da4606eeae22c80, 0x459dd3e25c40c286, 0xb1c06b4c4ebf32a7,
  0x0795a6f51f4dec22, 0xbfcc68114239227f, 0x77cdc524006e1f02, 0x865a11ed10caee2f, 0xbffa039e13489150,
  0x982c3795e425b719, 0xd1bf9244e0fff745, 0xc27fa8f2b53d355a, 0xef8af027a8f83660, 0x5962291669d68450,
  0x0eb84173484d7d18, 0xeddd23050e756979, 0x916c6ab5d0ebdac4, 0xe3e3170908a26e47, 0xa92ae232fadc37b2,
  0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0xaba5fd22d4d70202, 0xcf6ab4457962d255,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0x6e3cd84b997cdb2e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xac902a5d79e4afdc, 0x0000000000000000,
};

// m8u2_swio10_dual_pr_ce_u4         usb82_swio10_dual_pr_ce           usb82_swio10_dual_pr_ce_u4
static const uint64_t ur_m8u2_swio10_dual_pr_ce[] = {
  0x93b777776890cf68, 0x0a99a87099dcec3f, 0xb6b8eed8629d2ed6, 0x2718966745e55e73, 0xec44f51f67dbb93a,
  0x9b237268fa9d7b86, 0x4004a45c95304f8c, 0x4306d23037757116, 0x53a2cee9f12e2061, 0x1b38e11ca6383f99,
  0x3f83c0937a8f6eb6, 0x815fe63408a11c91, 0x2f77cdc68380370f, 0x50865a01ed10caee, 0x63fff4073c2609f1,
  0x8b30586f2bc84b6f, 0x8bea63e488d6ffee, 0x24b1e789380e1c1b, 0x8f84bf10d8488bee, 0x9e2ee373a3ea49fa,
  0xa8fd44f72c67d4b9, 0xa57751c74fe0ee1f, 0x3b4e28def398b016, 0xea807feccf1d7803, 0xb7f860796b72d783,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f48b535c0809ca, 0xaad115e58b4956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6d97618, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xd3d2ebcf257ee686, 0x0000000000001a49,
};

// usb82_swio10_dual_pr_ee_ce
static const uint64_t ur_m8u2_swio10_dual_pr_ee_ce[] = {
  0x9d6ddddddd43359b, 0x294cd4385eed070f, 0xef1ff74b12727ac5, 0xf6667b281f210d57, 0xc69e4d705e694eb0,
  0x21e19851fc2d7519, 0x823d7304f8c94777, 0x4606eeae22c80094, 0xdd3e25c40c2860da, 0x1fe4d883f32a7459,
  0x7e6f51c346c34d1c, 0x8d022847244fe0ec, 0xe3b7600dc3e057f9, 0x060a88657717bbe6, 0x039e134878a8432d,
  0x3795e425b7ec1ffa, 0x248dadfff745982c, 0x380e5ad9dff54781, 0x771b8601ba1fe789, 0x2b4a76b2b26e984e,
  0x1f06cc1f75ea3caf, 0x3ad08a05315caef5, 0x09afa30b2c4522cd, 0x3d28e7576e2863a9, 0xabc6c75ea25da3da,
  0xb84845080234c6c6, 0x608991c37b2fa598, 0xee2a4a59c656b2a3, 0xb5e5caad67f157ce, 0x8a9546ba138e793f,
  0x809caed52df5673a, 0x956ae97f48b535c0, 0x5d73daad115e58b4, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0x97618edec5551692, 0x9c371e6c25ccbe6d, 0xbab337f07771a2c7, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x26098dcbaf3c95fb,
};

// usb82_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b766c4f, 0xcd439b6feaf87e35, 0x787b5a2af9c47594, 0x3eec106732628c74, 0x0b41238c6a2d4d89,
  0xf8c2816d171657b7, 0x4f8c929572d20db4, 0xc4590012914fc330, 0x81850c1b48c0ddd5, 0xf32f18ff3ba7c4b8,
  0xb618dc70ec19af0f, 0x227f078826f51d0f, 0x1f02bfcc68114239, 0xb8bddf372231006e, 0xc54219684724432b,
  0xbdc8ffd01cf09b7d, 0x8254c161bcaf212d, 0xbea8ce0c9135bff6, 0x4b1e789393b35bb8, 0xf84bf10d8488bee2,
  0x1771b9118a71ffa8, 0xf2b4a76b737374cf, 0x51f06cc1f75ea3ca, 0xd3ad08a05315caef, 0x909afa30b2c4522c,
  0xa3d28e7576e2863a, 0x6abc6c75ea25da3d, 0x8b84845080234c6c, 0x3608991c37b2fa59, 0xeee2a4a59c656b2a,
  0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x0809caed52df5673, 0x4956ae97f48b535c, 0xb5d73daad115e58b,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xd97618edec555169, 0xe4d5c1e6c25ccbe6, 0x9bf83f6ec68b1be2,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x3c9b54e4f257ee68, 0x0000000000004000,
};

// usb82_swio10_dual_ee_hw
static const uint64_t ur_m8u2_swio10_dual_ee_hw[] = {
  0x86edddddda2432db, 0x0da99a872a185b0f, 0x7da4dee8f6b0c8ce, 0xb999f4e764a3f5a6, 0x55dfdde7d8d73761,
  0x93f4ee4704559a67, 0xc8009484e3e609f1, 0x2860da4606eeae22, 0x2a7459dd3e25c40c, 0xc09d1c12d4c16bf3,
  0x27f07a6e6f51c6b6, 0xf02bfcc681142392, 0xc5eef9b8a91006e1, 0x2a10cb417da2195d, 0xd36ffe80e784c1ee,
  0x50660b0de579096d, 0x5ad194592343ffe1, 0x306657a8f2bdf735, 0x2877c576ebd47c1b, 0x8c2cb1148b34eb42,
  0xb9435c54b9a426be, 0x12ed1ed1e9473ab4, 0x08d31b1aad743af5, 0xecbe9662e1211420, 0x32b5951b047eb70d,
  0x3f8abe777152500a, 0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0, 0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b65d9156f6, 0x2a73f505d8dc79b0,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x0000000015dac21a,
};

// usb82_swio10_dual_ee_ce_hw
static const uint64_t ur_m8u2_swio10_dual_ee_ce_hw[] = {
  0x75b7777775050c86, 0xa53350e17bb41c3e, 0xbc7fdd2c49c9eb14, 0xd999eca07c84355f, 0x1a7935c179a53ac3,
  0xbb97763766f31467, 0x4a411eb9827c64a3, 0x6d23037757116400, 0x2cee9f12e2061430, 0x8e0ff26c41f9953a,
  0x763f37a8e1a361a6, 0xfcc68114239227f0, 0xf371dbb006e1f02b, 0x9683054432bb8bdd, 0xfd01cf09a43c5421,
  0x161bcaf212dbf60f, 0xc09246d6ffc2a0cc, 0xc49c072d6ceffaa3, 0x4e771b800036eff3, 0xaf2b4a76b2b26e98,
  0xf51f06cc1f75ea3c, 0xcd3ad08a05315cae, 0xa909afa30b2c4522, 0xda3d28e7576e2863, 0xc6abc6c75ea25da3,
  0x98b84845080234c6, 0xa3608991c37b2fa5, 0xceee2a4a59c656b2, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79,
  0xc0809caed52df567, 0xb4956ae97f48b535, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x6d97618edec55516, 0xd876371e6c25ccbe, 0xfc09c69430a9cfd4, 0x985727e03e687993, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000000003aeb8dd1,
};

// usb82_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio10_dual_ee_ce_u4_hw[] = {
  0xadddddda28d072df, 0x99a8736dfd5f0fc6, 0x8c776b455f388eb2, 0xd893eec10673266a, 0x7b70b41238c6a2d4,
  0x7d72fadb58057165, 0xfc3304f8c9295726, 0x0ddd5c4590012914, 0x7c4b881850c1b48c, 0x335e1fe65c1c73ba,
  0xea3a1f6c31b8e1d8, 0x22847244fe0f104d, 0x6200dc3e057f98d0, 0x488657717bbe6e44, 0xe136fb8a8432d08e,
  0x5e425b7b91ffa039, 0x6b7ffc87f982c379, 0x86b7717d519c1922, 0x2fb892c79e2c5f03, 0xffea3e12fc436122,
  0x6e99e2ee371705c3, 0xd4795e5694ed6e6e, 0xb95dea3e0d983eeb, 0x8a459a75a1140a62, 0x50c752135f461658,
  0xbb47b47a51ceaedc, 0x698d8d578d8ebd44, 0x5f4b3170908a1004, 0xad6546c1132386f6, 0xe2af9ddc5494b38c,
  0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0x6a6b8101395daa5b, 0xbcb1692ad5d2fe91, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb2ec31dbd8a, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00003aea6dba85f4,
};

/*
 * m8u2_swio11_noled_pr              m8u2_swio12_noled                 m8u2_swio12_noled_pr
 * usb82_swio11_noled                usb82_swio11_noled_pr             usb82_swio12_noled
 * usb82_swio12_noled_pr
 */
static const uint64_t ur_m8u2_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x247baff3b2d67e3d, 0xaffea3a6277cb741, 0xdd32003e471d3f83, 0xedd223278e62c05b,
  0x087dc72c608ebc5c, 0x73c9fdaf2e556a56, 0xbb39d454aa35d09c, 0xa45a9ace576a96fa, 0xa22bcb1692b637af,
  0x4a9f4ef3f5ae7b55, 0x42d2c2e753a9c059, 0x18de33a2047978a0, 0x9c376c25ccbe6da7, 0xeacc790347f1a2c7,
  0xc6592e19e985727e, 0x866587494b659289, 0x409239bacf257ee6, 0x000000000000003e,
};

// m8u2_swio12_noled_pr_u4           usb82_swio11_noled_pr_u4          usb82_swio12_noled_pr_u4
static const uint64_t ur_m8u2_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xff745cf98f9827c6, 0x82877cb6f72476ff, 0x40238e9fc1935ea3, 0x114e62c05965307b,
  0xd9823af47cec98a3, 0xf2cf6ed6279500ff, 0x9fdaf2e556a844c0, 0x9d454aa35d09c73c, 0xa9ace576a96fabb3,
  0xbcb1692b637afa45, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5ccbe6db0862adec,
  0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000f93bea8887e7,
};

/*
 * m8u2_swio11_noled_pr_ee_u4        m8u2_swio12_noled_pr_ee           m8u2_swio12_noled_pr_ee_u4
 * usb82_swio11_noled_pr_ee          usb82_swio11_noled_pr_ee_u4       usb82_swio12_noled_pr_ee
 * usb82_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m8u2_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xff745cf9c19827c6, 0x66ab5a331f247677, 0x83660fa8f51e565d, 0x68450ef8aca5fa8f,
  0xd7d185962291669d, 0xd5a5dc9ae3593484, 0xebce9bb1ea8fe439, 0x5110a3deec6ab5d0, 0x6e1bd96cb98b8484,
  0xa01741cf2a3608fd, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0x7afa45a9ace576a9, 0xb55a22bcb1692b63,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x62adec5551696d13, 0xc1e6c25ccbe6db08, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x0887e792bf734332, 0x000000000013ae9a,
};

/*
 * m8u2_swio11_noled_pr_ce_u4        m8u2_swio12_noled_pr_ce           m8u2_swio12_noled_pr_ce_u4
 * usb82_swio11_noled_pr_ce          usb82_swio11_noled_pr_ce_u4       usb82_swio12_noled_pr_ce
 * usb82_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m8u2_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0xadffdd173fa6e609, 0x9dcaeb8bebdd491c, 0x2445f71258f3c00b, 0x3a4afd47c25f886c,
  0xc67eb2678bb8dc64, 0xfe0d67fa8ebe4f72, 0x731602edf97d1c74, 0xf1d7a3e764c5188a, 0xadd6b13ca807fecc,
  0xb5e5caad508981e5, 0x8a9546ba138e793f, 0x59caed52df57673a, 0x62d256c6f5f48b53, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2f9b6c2131dbd8aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baef36e21f9e4a,
};

// m8u2_swio12_noled_pr_ee_ce        usb82_swio11_noled_pr_ee_ce       usb82_swio12_noled_pr_ee_ce
static const uint64_t ur_m8u2_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0xdd173e9b7304f8c9, 0x7fd51975922337ff, 0xd1ffcf002e763367, 0xb1ef984e771b8ce5,
  0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b, 0x3a6ec7aa3f90e757,
  0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x1cf27f6bcb955a96, 0xaece75152a8d7427,
  0xe916a6b395daa5be, 0x688af2c5a4ad8deb, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0x3612e65f36d84263, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1, 0xfcf257ee68665874,
  0x00000014d34faf10,
};

// m8u2_swio12_noled_pr_ee_ce_u4     usb82_swio11_noled_pr_ee_ce_u4    usb82_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xff682567c524c13e, 0xfb8bea8f4dc91adf, 0xdc4963cf12701cad, 0xf51f097e21b09117,
  0xccf1771b8edd8593, 0x3cae43ca76b736f7, 0xc3f51f06cc1e95ea, 0x22cd3ad08a053159, 0x63a909afa30b2c45,
  0xc7aa3f90e7576e72, 0xf76355e363af3a6e, 0x65cc5c242288851e, 0x3ca8d8226470decb, 0x7f6bcb955a967d07,
  0x75152a8d74271cf2, 0xa6b395daa5beaece, 0xf2c5a4ad8debe916, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0xe65f36d84263b7b1, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a, 0x000000027e1b9097,
};

/*
 * m8u2_swio12_noled_ee_hw           m16u2_swio11_noled_ee_hw          m16u2_swio12_noled_ee_hw
 * m16u4_swio11_noled_ee_hw          m16u4_swio12_noled_ee_hw          m32u2_swio11_noled_ee_hw
 * m32u2_swio12_noled_ee_hw          m32u4_swio11_noled_ee_hw          m32u4_swio12_noled_ee_hw
 * usb82_swio11_noled_ee_hw          usb82_swio12_noled_ee_hw          usb162_swio11_noled_ee_hw
 * usb162_swio12_noled_ee_hw
 */
static const uint64_t ur_m8u2_swio11_noled_ee_hw[] = {
  0x6f26eeeed121be4a, 0xae5a58f531a7582f, 0xd23fbbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x9f193ba528eb6abe, 0xeceff61ff3e70660, 0xacbacd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df1594b,
  0x6909afa30b2c4522, 0xc873ab4bb935c6b2, 0x6ba1d79d3763d51f, 0x0908a22147bdd8d5, 0x11fadc37b2d97317,
  0xcaad402e839e546c, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0x56c6f5f48b5359ca, 0x75cf6ab4457962d2,
  0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xb610c55bd8aaa2d2, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x016fbe49d14f257e,
};

/*
 * m8u2_swio11_noled_ee_ce_u4_hw     m8u2_swio12_noled_ee_ce_hw        m8u2_swio12_noled_ee_ce_u4_hw
 * usb82_swio11_noled_ee_ce_hw       usb82_swio11_noled_ee_ce_u4_hw    usb82_swio12_noled_ee_ce_hw
 * usb82_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b9235, 0x2fb892c79e24e039, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xc9fdaf2e556a59f4,
  0x39d454aa35d09c73, 0x5a9ace576a96fabb, 0x2bcb1692b637afa4, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002808dc85,
};

// m8u2_swio12_lednop                usb82_swio11_lednop               usb82_swio12_lednop
static const uint64_t ur_m8u2_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x491913fcecb59f0f, 0xebffa8ebe1df2dd0, 0xdd36df97d1c74fe0, 0xb2d74770ce62c05b,
  0xb5b71cb1823af173, 0xe793fb5e5caad4ac, 0x7673a8a9546ba138, 0x35c0809caed52df5, 0x2c5a4ae5e97f48b5,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b6c63156f62aa, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00002a4fadcdd679,
};

/*
 * m8u2_swio11_lednop_pr_u4          m8u2_swio12_lednop_pr             m8u2_swio12_lednop_pr_u4
 * usb82_swio11_lednop_pr            usb82_swio11_lednop_pr_u4         usb82_swio12_lednop_pr
 * usb82_swio12_lednop_pr_u4
 */
static const uint64_t ur_m8u2_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xfdd173ebee609f19, 0x801df2dbdc918f7f, 0xa88e3a7f064d7a8e, 0x6f9cc580b2ca67f3,
  0x6608ebd1f3b6488c, 0x967b707fa45403ff, 0xfed7972ab5976a07, 0xea2a551ae84e39e4, 0x20272bb54b7d5d9c,
  0x92b97a5fd22d4d70, 0x6bae7b55a22bcb16, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x3080b887e792bf73, 0x00000000000000f9,
};

// m8u2_swio12_lednop_pr_ee          usb82_swio11_lednop_pr_ee         usb82_swio12_lednop_pr_ee
static const uint64_t ur_m8u2_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0xee8b9f4b5304f8c9, 0xd56b4663e488d6ff, 0x6cc1f51ea3cad82c, 0x08a1df15a9ef51f0,
  0xfa30b2c4522cd3ad, 0xb4bba55c6b26909a, 0x79d3769111cdc73a, 0x17c471958d56ba1d, 0xc37b2d973170908a,
  0x02b589e546c11fad, 0x38e793fb5e5caad4, 0xf57673a8a9546ba1, 0xb535c0809caed52d, 0xaf2c5a4ae5e97f48,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6c63156f62, 0x674f8b9357079b09,
  0xfa9d598f207e50d1, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0x5fa7a21f9e4afdcd, 0x0000000000000027,
};

// m8u2_swio12_lednop_pr_ee_u4       usb82_swio11_lednop_pr_ee_u4      usb82_swio12_lednop_pr_ee_u4
static const uint64_t ur_m8u2_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xff745cf8d69827c6, 0xe6ab5a3dbf2474df, 0x83660e71f51e5670, 0x68450ef8acbafa8f,
  0xd7d185962291669d, 0xab4bfee5c5133484, 0xbd75376d291c4273, 0x098a3116c6ab5d0e, 0x86f65c3918b84845,
  0xd7972ab55c5adf5b, 0x2a551ae84e39e4fe, 0x272bb54b7d5d9cea, 0xb97a5fd22d4d7020, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x22f887e792bf7343, 0x000000000000275d,
};

/*
 * m8u2_swio11_lednop_pr_ce_u4       m8u2_swio12_lednop_pr_ce          m8u2_swio12_lednop_pr_ce_u4
 * usb82_swio11_lednop_pr_ce         usb82_swio11_lednop_pr_ce_u4      usb82_swio12_lednop_pr_ce
 * usb82_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m8u2_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xebffba2e7e394c13, 0x3bd37717d7ba9236, 0x488bee24b1e78017, 0x5951fa8f84bf10d8,
  0x8cfd64cf1771b849, 0xf8359fea3cbe9ee5, 0xe62c058f7a5471d3, 0xc75e8f9db244637c, 0x6e83fd22a01ffb33,
  0xaf2e556b2ed40f2d, 0x54aa35d09c73c9fd, 0x4e576a96fabb39d4, 0x72f4bfa45a9ae040, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x57079b09732f9b6c, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xb2a21f9e4afdcd0c, 0x000000000000dd7a,
};

// m8u2_swio12_lednop_pr_ee_ce       usb82_swio11_lednop_pr_ee_ce      usb82_swio12_lednop_pr_ee_ce
static const uint64_t ur_m8u2_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xfba2e7dfe4c13e32, 0x77fd519759221a3f, 0x7044fe780173b0d0, 0x2b1ef984e771b8d0,
  0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e74a3a909afa30, 0xf3a6ed22239b8e75,
  0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647, 0x71cf27f6bcb955a9, 0xeaece75152a8d742,
  0x6a6b8101395daa5b, 0x5e58b495cbd2fe91, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6db1898edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0014d3b1fe21f9e4,
};

// m8u2_swio12_lednop_pr_ee_ce_u4    usb82_swio11_lednop_pr_ee_ce_u4   usb82_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xfda0959fec19827c, 0xae2faa3d372450fb, 0x71258f3c49c0710f, 0xd47c25f886c2445f,
  0x678bb8dce1fe3eef, 0xe5652e53b5b9b7be, 0x1fa8f83660f4af51, 0x1669d68450298aca, 0x1d484d7d18596229,
  0x9111cdc73abb73a5, 0x2b1aaf1b1d79d376, 0x2e62e121142f88e3, 0xe546c1132386f65b, 0xfb5e5caad4b3b589,
  0xa8a9546ba138e793, 0x809caed52df57673, 0x4ae5e97f48b535c0, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x027e65a5975e792b,
};

/*
 * m8u2_swio12_lednop_ee_hw          m16u2_swio11_lednop_ee_hw         m16u2_swio12_lednop_ee_hw
 * m16u4_swio11_lednop_ee_hw         m16u4_swio12_lednop_ee_hw         m32u2_swio11_lednop_ee_hw
 * m32u2_swio12_lednop_ee_hw         m32u4_swio11_lednop_ee_hw         m32u4_swio12_lednop_ee_hw
 * usb82_swio11_lednop_ee_hw         usb82_swio12_lednop_ee_hw         usb162_swio11_lednop_ee_hw
 * usb162_swio12_lednop_ee_hw
 */
static const uint64_t ur_m8u2_swio11_lednop_ee_hw[] = {
  0x6f26eeeed121af43, 0xae5a58f53a0b582f, 0xefd3dd803d2f8936, 0xbc8a671f1a67ed4d, 0x68b51590229110bd,
  0x9f193bad3bed6eca, 0x8d6ff61ff3e96a60, 0xad82cd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0x97f48b535c0809ca, 0xd5688af2c5a4ae5e,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b6c631, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x056a29e4afdcd0cc,
  0x00000000000016f8,
};

/*
 * m8u2_swio11_lednop_ee_ce_u4_hw    m8u2_swio12_lednop_ee_ce_hw       m8u2_swio12_lednop_ee_ce_u4_hw
 * usb82_swio11_lednop_ee_ce_hw      usb82_swio11_lednop_ee_ce_u4_hw   usb82_swio12_lednop_ee_ce_hw
 * usb82_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m8u2_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b9228, 0x2fb892c79e24e038, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xc9fdaf2e556a59da,
  0x39d454aa35d09c73, 0xe0404e576a96fabb, 0x2d2572f4bfa45a9a, 0xcad75cf6ab445796, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00050165a5a29e4a,
};

/*
 * m8u2_swio11_dual_pr               m8u2_swio11_dual_pr_u4            m8u2_swio12_dual
 * m8u2_swio12_dual_pr               m8u2_swio12_dual_pr_u4            usb82_swio11_dual
 * usb82_swio11_dual_pr              usb82_swio11_dual_pr_u4           usb82_swio12_dual
 * usb82_swio12_dual_pr              usb82_swio12_dual_pr_u4
 */
static const uint64_t ur_m8u2_swio11_dual[] = {
  0xf5f77776890d365a, 0x3350e508afb0f840, 0x6add583f4f1795b5, 0xeb411f3b402ac4e9, 0xda4cfb453b74207a,
  0x8eee5913d7bdfb2b, 0x004a4737e609f193, 0x306d230377571164, 0x3a2cee9f12e20614, 0x7f0e0bee628bf995,
  0xfe0fba9bd478f7b0, 0x057f98d022847244, 0x5eef9b8d7600dc3e, 0x50865a11922195dc, 0x94bffa039e135ad1,
  0xa2cc161bcaf212db, 0x77cb2d7922517ffb, 0x38e9fc1ef7ea3f74, 0x98b01541e67261ee, 0x1d78033b2008d313,
  0x6def1bea807fecc1, 0xeee2a4af9d40f2cf, 0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x809caed52df57673,
  0x4ae5e97f48b535c0, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6c63156f62aa8b49,
  0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0a49a02b4baf3c95,
};

// m8u2_swio12_dual_pr_ee            usb82_swio11_dual_pr_ee           usb82_swio12_dual_pr_ee
static const uint64_t ur_m8u2_swio11_dual_pr_ee[] = {
  0x999eeeee87ad0c86, 0x3350e5434d7c3e6e, 0x3edd3ac02919c1b5, 0xf4e7ac806e7162dc, 0xb89578d73766e999,
  0xeec6ecbebf31766e, 0x5927304f8c9fa772, 0x30377571164004a4, 0xe9f12e20614306d2, 0x96a60b5f9953a2ce,
  0x737a8e35b604e8e0, 0x3408a11c913f83d3, 0xcba180370f815fe6, 0x0bed10caee2f77cd, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0xd2442d7ff745982c, 0x51e576ea6ab5a3fd, 0xe9bf51f06cc187bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x467a9cead2ec1571, 0x6ab5d0ebd44bb18f, 0x8b848451a523886c, 0x6c11fadc37b2fa59,
  0xbb8a928059144554, 0xed7972ab59fc55f3, 0xa2a551ae84e39e4f, 0x0272bb54b7d5d9ce, 0x2b97a5fd22d4d702,
  0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x7c371e6c25ccbe6d,
  0xeaccdfc1ddc68b3a, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x092ebcf257ee6866, 0x0000000000005644,
};

// m8u2_swio12_dual_pr_ee_u4         usb82_swio11_dual_pr_ee_u4        usb82_swio12_dual_pr_ee_u4
static const uint64_t ur_m8u2_swio11_dual_pr_ee_u4[] = {
  0x4e4eddddda2432db, 0xa66a1ca8762f87ec, 0x9afbad89d9471e9c, 0xc9d4ccdd69624e5a, 0x1fb9c55e35cddd89,
  0x5b91c115603e33a5, 0x2522c939827c64b4, 0x369181bbab88b200, 0x16774f8971030a18, 0xc701ad313afcca9d,
  0x1e569bd47d37b08a, 0xff31a04508e489fc, 0xdf3732a001b87c0a, 0x196847b4432bb8bd, 0xbfe80e784d224542,
  0x30586f2bc84b6fa6, 0x4701a4885affee8b, 0xc89ea3cad4f4d56b, 0xdf159c3f51f06cc1, 0xb2c4522cd3ad08a1,
  0x597082e6909afa30, 0xd900460a1cead2e9, 0x22d8d56ba1d7b589, 0xc7c62e121143de8f, 0xa4ab8b87f5b86f65,
  0x5caad67f157ceee2, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0xe97f48b535c0809c, 0xed5688af2c5a4ae5,
  0x594d8b3a03cfd6b9, 0x4502169ab9d5ea58, 0xb69c6378ce88145f, 0x8df0dc79b09732f9, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0000ac859cbaf3c9,
};

/*
 * m8u2_swio11_dual_pr_ce_u4         m8u2_swio12_dual_pr_ce            m8u2_swio12_dual_pr_ce_u4
 * usb82_swio11_dual_pr_ce           usb82_swio11_dual_pr_ce_u4        usb82_swio12_dual_pr_ce
 * usb82_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m8u2_swio11_dual_pr_ce[] = {
  0x2313b77776890c86, 0xa99a87099d57e1f3, 0xd77ee80a2952ed60, 0xe3121b9d6f7ed396, 0x8a1640258b74c8c4,
  0x6c8dcbbb1bb2d079, 0x001290f00cc13e32, 0x0c1b48c0ddd5c459, 0x4e8b3ba7c4b88185, 0x6ce3847298e0fe65,
  0xfe0f024dea3dbad8, 0x057f98d022847244, 0x5eef9b8a4800dc3e, 0xa10cb403da2195dc, 0x66ffe80e784c13e2,
  0x1660b0de579096dc, 0x8beafe491383ffdd, 0x24b1e789380e13ab, 0x8f84bf10d8488bee, 0x3c5dc6e341c113fa,
  0xa384f9ee58cfa973, 0x8bb7e38e9fc1dade, 0xec80234c4e62c052, 0xaa01ffb33c75e00c, 0xaf9d40f2d6e7bc6f,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xd52df57673a8a954, 0x7f48b535c0809cae, 0x5688af2c5a4ae5e9,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x0a975e792bf73433, 0x0000000000006924,
};

// m8u2_swio12_dual_pr_ee_ce         usb82_swio11_dual_pr_ee_ce        usb82_swio12_dual_pr_ee_ce
static const uint64_t ur_m8u2_swio11_dual_pr_ee_ce[] = {
  0xf87b6eeeeea1a5fb, 0x53350e17bc89c3ea, 0x337bbd7610deb14a, 0x999a4c70b26d47f7, 0x8fceec179a557c3d,
  0xa591aeaa312acbeb, 0x3cf5cc13e3251ddc, 0x181bbab88b200252, 0x74f8971030a18369, 0x7f93620fcca9d167,
  0xf9bd470d1b0d3470, 0x3408a11c913f83b1, 0xc5c100370f815fe6, 0x0c1510caee2f77cd, 0x073c2690f150865a,
  0x6f2bc84b6e6b7ff4, 0xa48e20ffee8b3058, 0x9c073101dff54795, 0x3b8dc548f75bf3c4, 0x2ba53b5959374c27,
  0x1f06cc1edff51e57, 0x3ad08a05315efbf5, 0x09afa30b2c4522cd, 0x33d4e7576e60a3a9, 0xabc6c75ea25d8c7a,
  0xb848451a523886c6, 0x608991c37b2fa598, 0xdc5494b3c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x1395daa5beaece75, 0x5cbd2fe916a6b810, 0xd73daad115e58b49, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x1898edec55516920, 0xc371e6c25ccbe6db, 0xab337f07771a2c79, 0x1964b867a615c9fb, 0xa19961d252d9f027,
  0xc134e4baf3c95fb9, 0x0000000000000004,
};

// m8u2_swio12_dual_pr_ee_ce_u4      usb82_swio11_dual_pr_ee_ce_u4     usb82_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio11_dual_pr_ee_ce_u4[] = {
  0x56eeeed15b76421f, 0xa1cdb7d7bc3ecf8b, 0x36e76fdce23aca66, 0xc7fbeba108f0f659, 0x091c59f16a6c562f,
  0xba8404bc9d5efdc2, 0x324a55c8beb05b46, 0x64004a45ecf4c13e, 0x14306d2303775711, 0xbc63fcee9f12e206,
  0x6371c3b066bc3fcc, 0xfc1e209bd4743ed8, 0x0aff31a04508e489, 0x7bbe6e0aa001b87c, 0x8432d08e48865771,
  0x4affa039e136fb8a, 0xa982c3795e425b7a, 0x5193a923787fed04, 0x3cf127277787717d, 0x97e21b09117dc496,
  0x71b82a8b24ff51f0, 0x74a76b737374cf17, 0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7,
  0x7a9ceaedcc147521, 0x78d8ebd44bb18f46, 0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c,
  0x7972ab59fc55f3bb, 0xa551ae84e39e4fed, 0x72bb54b7d5d9cea2, 0x97a5fd22d4d70202, 0xe7b55a22bcb1692b,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0xb83cd84b997cdb63, 0x07edd8d1637c5c9a,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x6a9c9e4afdcd0ccb, 0x000000000800de4a,
};

// m8u2_swio12_dual_ee_hw            usb82_swio11_dual_ee_hw           usb82_swio12_dual_ee_hw
static const uint64_t ur_m8u2_swio11_dual_ee_hw[] = {
  0xa667bbbbb4486f97, 0x4cd43950d35f0f9b, 0x0fb74eb00a46706d, 0x7d39eb201b9c58b7, 0xae255e35cdd9ba66,
  0x77278233ad53ad9b, 0x4a45927304f8c9fa, 0x6d23037757116400, 0x2cee9f12e2061430, 0x8e096a60b5f9953a,
  0x3d3737a8e35b604e, 0xfe63408a11c913f8, 0x7cdcba180370f815, 0x65a0bed10caee2f7, 0xff4073c260f71508,
  0x82c3795e425b7d35, 0x3fdd2442d7f85419, 0x7bf51e576ea6ab5a, 0xf15e9bf51f06cc18, 0x2c4522cd3ad08a1d,
  0x57152e6909afa30b, 0x18f467a9cead2ec1, 0x86c6ab5d0ebd44bb, 0xa598b848451a5238, 0x5546c11fadc37b2f,
  0x5f3bb8a928059144, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39, 0x7020272bb54b7d5d, 0x1692b97a5fd22d4d,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2, 0xd4176371e6c25ccb,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x00002bb48128a792,
};

// m8u2_swio12_dual_ee_ce_hw         usb82_swio11_dual_ee_ce_hw        usb82_swio12_dual_ee_ce_hw
static const uint64_t ur_m8u2_swio11_dual_ee_ce_hw[] = {
  0xf0f6dddddd435032, 0xa66a1c2f791387d5, 0x66f77aec21bd6294, 0x333498e164da8fee, 0x1f9dd82f34aaf87b,
  0xb955eda3fbdd97d7, 0xa479eb9827c64a3b, 0xd230377571164004, 0xcee9f12e20614306, 0xe0ff26c41f9953a2,
  0x63f37a8e1a361a68, 0xcc68114239227f07, 0x9b8b82006e1f02bf, 0xb4182a2195dc5eef, 0xe80e784d21e2a10c,
  0xb0de579096dcd6ff, 0x2b491c41fe150660, 0x89380e6203bfea8f, 0x273b8dcca8683fe7, 0x572ba53b5959374c,
  0xf51f06cc1edff51e, 0xcd3ad08a05315efb, 0xa909afa30b2c4522, 0x7a33d4e7576e60a3, 0xc6abc6c75ea25d8c,
  0x98b848451a523886, 0xa3608991c37b2fa5, 0x9ddc5494b3c8a22a, 0x7f6bcb955acfe2af, 0x75152a8d74271cf2,
  0x101395daa5beaece, 0x495cbd2fe916a6b8, 0xb5d73daad115e58b, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0xdb1898edec555169, 0xfec371e6c25ccbe6, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813, 0x2269e9ca29e4afdc,
};

// m8u2_swio12_dual_ee_ce_u4_hw      usb82_swio11_dual_ee_ce_u4_hw     usb82_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio11_dual_ee_ce_u4_hw[] = {
  0x6addddda28d1bf5b, 0xd439b6faf787d9f1, 0xeedcedfb9c47594c, 0xc5f8ff7d7421d1e1, 0xb841238b3e2d4d8a,
  0xd601d9017793abdf, 0xf4c13e324a55c99b, 0x77571164004a45ec, 0x12e20614306d2303, 0xd787f997071cee9f,
  0x8e87db0c6e38760c, 0xa11c913f83c4137a, 0x00370f815fe63408, 0x10caee2f77cdc154, 0x26df7150865a11c9,
  0xc84b6f495ff4073c, 0x0fff90ff30586f2b, 0xf0ee2faa3275246f, 0xf71258f3c58be072, 0xfd47c25f886c2445,
  0xd33c5dc6e05919eb, 0x8f2b95d29dadcdcd, 0x7dfa8f83660f6ffa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xc63d19ea73abb730, 0x436355e363af512e, 0xd2cc5c24228d291c, 0x1551b044c8e1bd97, 0x57ceee2a4a59e451,
  0x793fb5e5caad67f1, 0x673a8a9546ba138e, 0x5c0809caed52df57, 0xc5a4ae5e97f48b53, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00ebadab3617d3c9,
};

// m8u2_swio13_noled_pr              usb82_swio13_noled                usb82_swio13_noled_pr
static const uint64_t ur_m8u2_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x9248f75fe765acfc, 0x83e7bd474c4ef96e, 0x5bdd32003e471d3f, 0x5cedd223278e62c0,
  0x56087dc72c608ebc, 0x9c73c9fdaf2e556a, 0xa6fb39d454aa35d0, 0x916a6b395daa5bea, 0x457962d255abdebe,
  0x18a6f59de5cf6ab4, 0xf14085a5aff11a9e, 0xdb4e31bc674408f2, 0x458f386ed84b997c, 0xe4fdd598f2068fe3,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x007c812473759e4a,
};

// usb82_swio13_noled_pr_u4
static const uint64_t ur_m8u2_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x657ff745cfbf9304, 0xd4797c77cb41f922, 0x8f7a5471d3f83e83, 0x147bd9cc580b2ca6,
  0x1ffb30475e8f9da2, 0xb81e59ed88a4d2a0, 0xe793fb5e5caad5f5, 0xf673a8a9546ba138, 0xd4d672bb54b7d54d,
  0xf2c5a4ab57bd7d22, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x2e65f36c648ab7b1,
  0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00007c9eb2d443f3,
};

// m8u2_swio13_noled_pr_ee_u4        usb82_swio13_noled_pr_ee          usb82_swio13_noled_pr_ee_u4
static const uint64_t ur_m8u2_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xbffba2e7c9d4c13e, 0x4b9aad68dfc92315, 0x7c1b30613fd47959, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae, 0xd6e1bd96cb98b848,
  0xd402e9305aa3608f, 0xa138e793fb5e5caa, 0xd54df673a8a9546b, 0x7d22d4d672bb54b7, 0x688af2c5a4ab57bd,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xf3612e65f36c648a, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x43f3c95fb9a19961, 0x00000000013ae59c,
};

// m8u2_swio13_noled_pr_ce_u4        usb82_swio13_noled_pr_ce          usb82_swio13_noled_pr_ce_u4
static const uint64_t ur_m8u2_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x95dffdd173fb3a60, 0x73bdf7717d76fc91, 0x8488bee24b1e7801, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x692ad5ef5f48b535, 0x16bae7b55a22bcb1,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf9b63218edec5551, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x1baf1f5e21f9e4af,
};

// usb82_swio13_noled_pr_ee_ce
static const uint64_t ur_m8u2_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xffdd173fa6a609f1, 0xc3bfea8ca5c91ff9, 0x54341ff3c00b9dff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xa9bece75152a8d74,
  0xa45a9ace576a96fa, 0x115e58b4956af7af, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xd84b997cdb190c76, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x00000014d339f443,
};

// usb82_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xbff682567f1ba609, 0xbbb8bea8f674916b, 0x7dc4963cf12701c6, 0xff51f097e21b0911,
  0x7ccf1771b8b82e1f, 0xa3cace1ca76b736f, 0x975f51f06cc19ebe, 0x522cd3ad08a05315, 0xac3a909afa30b2c4,
  0xedd423c90e7576e4, 0x83f6355e363af3a6, 0x6cb98b848451f223, 0x82d51b044c8e1bd9, 0x9fdaf2e556a59f49,
  0x9d454aa35d09c73c, 0xb395daa5beaa6fb3, 0x2d255abdebe916a6, 0xe2d75cf6ab445796, 0x41dd4d8a53c34ef3,
  0x2d2da2718de33a20, 0x5f36c6431dbd8aaa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000027e7d9e975e,
};

/*
 * m16u2_swio13_noled_ee_hw          m16u4_swio13_noled_ee_hw          m32u2_swio13_noled_ee_hw
 * m32u4_swio13_noled_ee_hw          usb82_swio13_noled_ee_hw          usb162_swio13_noled_ee_hw
 */
static const uint64_t ur_m8u2_swio13_noled_ee_hw[] = {
  0xc5eeeeeed121b768, 0xdab96963d4e85d63, 0x4f4d2ee8db623e24, 0x2de4531d7c33c5ef, 0x1545a0ab4114889e,
  0x04f8c9dd764afb67, 0x462b7fb0ff9f2753, 0xf2b297355ad1bf92, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0xa8d74271cf27f6bc, 0xa96faa9bece75152, 0xaf7afa45a9ace576, 0x3daad115e58b4956,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0xc9156f62aa8b4b68, 0x6371e6c25ccbe6d8, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xb7f33168a792bf73,
  0x0000000000000000,
};

// m8u2_swio13_noled_ee_ce_u4_hw     usb82_swio13_noled_ee_ce_hw       usb82_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf12701, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d672bb54b7d54df, 0x2c5a4ab57bd7d22d, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001405f67a8a,
};

// usb82_swio13_lednop
static const uint64_t ur_m8u2_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0x492463dff9d96b3e, 0xc1f3dea3af877cb7, 0x5bdd304f88638e9f, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x38e793fb5e5caad4, 0x4df673a8a9546ba1, 0xd7020272bb54b7d5, 0x58b495c925fd22d4,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x9d10273e8a042d35, 0x612e65f36d38c6f1, 0x19e985727e7f61bb,
  0x494b659289c6592e, 0xbacf257ee6866587, 0x0000000002a4b739,
};

// m8u2_swio13_lednop_pr_u4          usb82_swio13_lednop_pr            usb82_swio13_lednop_pr_u4
static const uint64_t ur_m8u2_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x63fffba2e7ea54c1, 0xea3e9477cb41f922, 0x80c13e38e9fc1f41, 0xc47191cc580b2ca6,
  0x1ffb30475e8f9d97, 0x207967b637ee1aa0, 0x9e4fed7972ab5b87, 0xd9cea2a551ae84e3, 0x0809caed52df5537,
  0xd2572497f48b535c, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x26ae0b10fcf257ee, 0x000000000000001f,
};

// usb82_swio13_lednop_pr_ee
static const uint64_t ur_m8u2_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x7ffba2e7e87e609f, 0x9e9aad68dfc92270, 0x7c1b30613fd4795a, 0xeb422877c57813d4,
  0x26be8c2cb1148b34, 0xcead2f21d71ac9a4, 0x875e74ddbba460a1, 0x4513723c8b6355ae, 0xd6e1bd96cb98b848,
  0x6a0108a4d2a3608f, 0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0x6a6b8101395daa5b, 0xaf2c5a4ae492fe91,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6815156f62, 0x674f8b9357079b09,
  0xfa9d598f207e50d1, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0xaf02a21f9e4afdcd, 0x0000000000000013,
};

// usb82_swio13_lednop_pr_ee_u4
static const uint64_t ur_m8u2_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0x7ff745cf9c19827c, 0xeb355ad199524767, 0x7c1b306807a8f2b2, 0xeb422877c5652fd4,
  0x26be8c2cb1148b34, 0x9d5a5dc9ae2899a4, 0x75eba9bb1ea8fe43, 0x288851ef76355ae8, 0xdc37b2e1c8c5c242,
  0xf6bcb955aae045fa, 0x5152a8d74271cf27, 0xe576a96faa9bece7, 0x924bfa45a9ae0404, 0xe7b55a22bcb1692b,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414, 0x5c1e6c25ccbe6da0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xa0887e792bf73433, 0x0000000000013ae9,
};

// m8u2_swio13_lednop_pr_ce_u4       usb82_swio13_lednop_pr_ce         usb82_swio13_lednop_pr_ce_u4
static const uint64_t ur_m8u2_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x1d37ffdd173e35a6, 0x173bd9d717d76fc9, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x72497f48b535c080, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x57079b09732f9b68, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x8be21f9e4afdcd0c, 0x000000000000dd74,
};

// usb82_swio13_lednop_pr_ee_ce
static const uint64_t ur_m8u2_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xffdd173f6b7304f8, 0x677fd5194b9229b7, 0x49cdffcf002e769b, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8,
  0x35c0809caed52df5, 0x962d2572497f48b5, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x2f9b681463b7b155, 0x58f38b93571b0973, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c,
  0x0534c5fb887e792b,
};

// usb82_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x9fed04acf9adcc13, 0xa4b8bea8f6749114, 0xbee24b1e789380e0, 0x5fa8f84bf10d8488,
  0x7ccf1771b8cf5fad, 0xa3caca1ca76b736f, 0xb05f51f06cc19ebe, 0x522cd3ad08a05315, 0x0e3a909afa30b2c4,
  0xeddd23050e7576e9, 0xc8b6355e363af3a6, 0x6cb98b8484513723, 0x26951b044c8e1bd9, 0x4fed7972ab52cc45,
  0xcea2a551ae84e39e, 0x09caed52df5537d9, 0x572497f48b535c08, 0x75cf6ab4457962d2, 0x82e52d7ce80f1cad,
  0x29c6378ce8810854, 0x81463b7b15545a48, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x13f07abcbaf3c95f,
};

/*
 * m16u2_swio13_lednop_ee_hw         m16u4_swio13_lednop_ee_hw         m32u2_swio13_lednop_ee_hw
 * m32u4_swio13_lednop_ee_hw         usb82_swio13_lednop_ee_hw         usb162_swio13_lednop_ee_hw
 */
static const uint64_t ur_m8u2_swio13_lednop_ee_hw[] = {
  0xc5eeeeeed121b705, 0x6d5cb4b1ea610563, 0xe15a62774b88cf12, 0x78b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x922707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xdaa5beaa6fb39d45, 0x2fe916a6b8101395, 0xd5688af2c5a4ae49,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b68151, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xcd3a29e4afdcd0cc,
  0x0000000000002dff,
};

// m8u2_swio13_lednop_ee_ce_u4_hw    usb82_swio13_lednop_ee_ce_hw      usb82_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3c49c, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0xc5a4ae492fe916a6, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a021eaf453c9,
};

/*
 * m8u2_swio13_dual_pr               m8u2_swio13_dual_pr_u4            usb82_swio13_dual
 * usb82_swio13_dual_pr              usb82_swio13_dual_pr_u4
 */
static const uint64_t ur_m8u2_swio13_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6a66a1ca127161fa, 0xd8d5bbd38c4e2f2b, 0xf5d6834a3d9b140b, 0xaf673b6514adda8a,
  0x4e3bb934f15ec75e, 0x90012906019827c6, 0x50c1b48c0ddd5c45, 0x54e8b3ba7c4b8818, 0xc1fc382fb98a2fe6,
  0x13f83eea6f51e3de, 0xf815fe63408a11c9, 0xb8bddf3720000370, 0xa2a10cb42324432b, 0xb7287ff4073c26b5,
  0xf745982c3795e425, 0xbe77cb3df247f77f, 0xb8e3a7f0707fd47d, 0x4e62c05507992b47, 0x0475e00ceda52388,
  0x9eda63192a01ffb3, 0x7ceee2a4b81281e5, 0x93fb5e5caad67f15, 0x73a8a9546ba138e7, 0x0272bb54b7d54df6,
  0x95c925fd22d4d702, 0x5d73daad115e58b4, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692,
  0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0a49ad6a975e792b,
};

// usb82_swio13_dual_pr_ee
static const uint64_t ur_m8u2_swio13_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0xa99a872a1f7787ca, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6eca733,
  0x29646bacda15664c, 0x4771f304f8c9fa77, 0x230377571164004a, 0xee9f12e20614306d, 0x096a60b5f9953a2c,
  0x3737a8e35b604e8e, 0x63408a11c913f83d, 0xdceeb00370f815fe, 0xa0bed10caee2f77c, 0x4073c260f7150865,
  0x86f2bc84b6f3b7ff, 0x9c91e9fffee8b305, 0xd4795e9b9aad68dc, 0x7b3bd47c1b3071ef, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0x11f5073ab4ba9e5c, 0x8d56ba1d7a89767f, 0x3170908a0f547f25, 0x8d823f5b86f65f4b,
  0x3bb8a928043e6f6a, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x72497f48b535c080,
  0x5cf6ab4457962d25, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482, 0xc6e3cd84b997cdb4,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002b23d6e5d79,
};

// usb82_swio13_dual_pr_ee_u4
static const uint64_t ur_m8u2_swio13_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0x7299a872a1e7de1f, 0x7bddeea0a7ad1c7a, 0x1793a9994edebb08, 0x4806abf7ec6b9bb8,
  0xd16e4f04674e16a7, 0x00948ee3e609f192, 0x60da4606eeae22c8, 0x7459dd3e25c40c28, 0x2b1c06b4c4ebf32a,
  0xf0795a6f51f4dec2, 0x2bfcc68114239227, 0xeef9b9d1f006e1f0, 0x10cb423da2195dc5, 0xb7ff4073c269122a,
  0xb30586f2bc84b6f3, 0x68d7dc91e9fffee8, 0x3eebd4795e049aad, 0x3be2b2ebea3e0d98, 0x16588a459a75a114,
  0xe72e105cd2135f46, 0x76d291cbe39d5a5f, 0x8f96355ae875ed62, 0xb8f8c5c242284c51, 0x2a4ab8b5beb70dec,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd22d4d7020272b, 0xaad115e58b495c92,
  0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xd38c6f19d10273e8, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00ac810b975e792b,
};

// usb82_swio13_dual_pr_ce
static const uint64_t ur_m8u2_swio13_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0x4cd4384cd47f0fd8, 0x66f75b13b2976b05, 0xe3126eab43ae10f7, 0x135d13faef76c4c4,
  0x91b94b235d7224ab, 0x02520ebe9827c64d, 0x8369181bbab88b20, 0xd16774f8971030a1, 0x9c708e531c1fcca9,
  0xc1e049bd47b75b0d, 0xaff31a04508e489f, 0xbbe6e022401b87c0, 0x432d00f688657717, 0xcffa039e1304f8a8,
  0xcc161bcaf212dbff, 0xfac069224ebffba2, 0x58f3c49c073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0xd74271cf27f6bcb9, 0x6faa9bece75152a8, 0x45a9ae0404e576a9, 0x22bcb1692b924bfa,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0xbb8d1674f86e3cd8,
  0x61539fa9d599bf83, 0x9fe2e7197e627f28, 0xe4fc73dffc1343cc, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0001a498c65d79e4,
};

// usb82_swio13_dual_pr_ce_u4
static const uint64_t ur_m8u2_swio13_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x6a66a1c26745f87d, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087ba8cc,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x50c1b48c0ddd5c45, 0x54e8b3ba7c4b8818, 0x8656386fb9b4dfe6,
  0x4fe0cbacdea3a9ed, 0xe057f98d02284724, 0xc5eef9b8ce400dc3, 0x2a10cb4027a2195d, 0x70b5ff4073c269c6,
  0x745982c3795e425b, 0xae2fa995247677ff, 0xb892c79e24e03915, 0xea3e12fc4361222f, 0x333c5dc6e1256547,
  0xaf51d009ee58cf0e, 0x0afe7511c74fe0c9, 0x45bb4dc8f229cc58, 0x4743e6e39633c75e, 0x55acfe2af9ddc549,
  0xd74271cf27f6bcb9, 0x6faa9bece75152a8, 0x45a9ae0404e576a9, 0x22bcb1692b924bfa, 0x74078e56bae7b55a,
  0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0,
  0x0000000006922682,
};

// usb82_swio13_dual_pr_ee_ce
static const uint64_t ur_m8u2_swio13_dual_pr_ee_ce[] = {
  0xfce2ddddddd432db, 0x5294cd4385eda7b0, 0x1dfabeea7d96a7ac, 0x0f666673bdc61f20, 0xda0ce57105e69671,
  0x7723822ac1e199d4, 0x9483e7d304f8c947, 0xda4606eeae22c800, 0x59dd3e25c40c2860, 0x1c1fe4d883f32a74,
  0xec7e6f51c346c34d, 0xf98d022847244fe0, 0xf3702c800dc3e057, 0x9683054432bb8bdd, 0xfd01cf09a43c5421,
  0x161bcaf212dbde1f, 0x95d246b7fffba2cc, 0xc49c072b7ceffaa3, 0x273b8dcba1baa3f3, 0x57bee53b5959374c,
  0x7a8f83660ccaf51e, 0x669d68450298aedd, 0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767,
  0x662e121141ea8fe4, 0xa8d8226470decbe9, 0xf3bb8a929663e6f6, 0x4fed7972ab59fc55, 0xcea2a551ae84e39e,
  0x09caed52df5537d9, 0x572497f48b535c08, 0x75cf6ab4457962d2, 0x82e52d7ce80f1cad, 0x29c6378ce8810854,
  0x81463b7b15545a48, 0x70dc79b09732f9b6, 0xeaccdfc1ddc68b1e, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x82749d2ebcf257ee, 0x0000000000000009,
};

// usb82_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio13_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0xcd439b6caf787cb1, 0x82daaf1d79c47594, 0x7de66e6d09b964d3, 0x82824712c45a9b16,
  0x215673cbb90d7176, 0x9f19252ae5580420, 0x88b20025235c1660, 0x030a18369181bbab, 0xe65e31fe774f8971,
  0x6c31b8e1d8335e1f, 0x44fe0f104dea3a1f, 0x3e057f98d0228472, 0x717bbe6e271e00dc, 0x8a8432d08e488657,
  0x724affa039e136fb, 0x04a982c3795e425b, 0xfaa3eaf92330dfed, 0x2c79e24e4ee61ae2, 0xe12fc4361222fb89,
  0x5dc6e271fdc7fea3, 0xdf729dadcdcdd33c, 0x47c1b306657a8f2b, 0x4eb422814c576ebd, 0x426be8c2cb1148b3,
  0x8fa839d5db94f0ea, 0xd578d8ebd44bb3f8, 0x170908a0f547f258, 0x6c1132386f65f4b3, 0xddc5494b31f37b54,
  0xf6bcb955acfe2af9, 0x5152a8d74271cf27, 0xe576a96faa9bece7, 0x924bfa45a9ae0404, 0xe7b55a22bcb1692b,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0xa31dbd8aaa2d2414, 0xb83cd84b997cdb40, 0x07edd8d1637c5c9a,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x6a9c9e4afdcd0ccb, 0x000000000800106a,
};

// usb82_swio13_dual_ee_hw
static const uint64_t ur_m8u2_swio13_dual_ee_hw[] = {
  0x53b777776890cf68, 0x6d4cd43950fbbc3e, 0x7a0fb755f3624670, 0x99f4e69c89f55fd7, 0x6577efd8d7376539,
  0xd3b9347d4eb5bb32, 0x02523b8f9827c64f, 0x8369181bbab88b20, 0xd16774f8971030a1, 0x74704b5305afcca9,
  0xc1e9b9bd471adb02, 0xaff31a04508e489f, 0xbbe6e775801b87c0, 0x432d05f688657717, 0xbffa039e1307b8a8,
  0x982c3795e425b79d, 0x46e4e48f4fff8541, 0x8f7ea3caf4dcd56b, 0xbe2bd9dea3e0d983, 0x6588a459a75a1143,
  0xf2e2a5cd2135f461, 0xb3f88fa839d5a5d4, 0xf92c6ab5d0ebd44b, 0xfa598b8484507aa3, 0x7b546c11fadc37b2,
  0x2af9ddc5494021f3, 0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x0404e576a96faa9b, 0x692b924bfa45a9ae,
  0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d, 0x4176371e6c25ccbe,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x000aed3d6e8a792b,
};

// usb82_swio13_dual_ee_ce_hw
static const uint64_t ur_m8u2_swio13_dual_ee_ce_hw[] = {
  0xce2ddddddd43573e, 0x294cd4385eda7b0f, 0xdfabeea7d96a7ac5, 0xf666673bdc61f201, 0xa0ce57105e696710,
  0xeee4b8beecdd654d, 0x12907cfa609f1928, 0x1b48c0ddd5c45900, 0x8b3ba7c4b881850c, 0xa383fc9b107e654e,
  0x1d8fcdea3868d869, 0xff31a04508e489fc, 0xbe6e059001b87c0a, 0x32d060a88657717b, 0xffa039e134878a84,
  0x82c3795e425b7bc3, 0x72ba48d6fff85419, 0x789380e56f9dff54, 0xc273b8dce8fa927e, 0xe57bee53b5959374,
  0xd7a8f83660ccaf51, 0x1669d68450298aed, 0x1d484d7d18596229, 0x7f11f5073abb729e, 0x4b1aaf1b1d7a8976,
  0x9662e121141ea8fe, 0x6a8d8226470decbe, 0x5f3bb8a929663e6f, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39,
  0x809caed52df5537d, 0x2572497f48b535c0, 0xd75cf6ab4457962d, 0x482e52d7ce80f1ca, 0x829c6378ce881085,
  0x681463b7b15545a4, 0xfb0dc79b09732f9b, 0x32c970cf4c2b93f3, 0x4332c3a4a5b3e04e, 0x4d3e93a8a792bf73,
  0x0000000000000004,
};

// usb82_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio13_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0x4cd439b6caf787cb, 0x64ddaaf1d79c4759, 0xb167de66e6d09bd9, 0x17682824712c45a9,
  0x15f202f6918b90d7, 0xd7059827c6494ab9, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0xc19af0ff32e0e39d,
  0x6f51d0fb618dc70e, 0x8114239227f07882, 0x38f006e1f02bfcc6, 0x724432bb8bddf371, 0xcf09b7dc54219684,
  0xcaf212db9257fd01, 0x1986ffe43fcc161b, 0x3930d717d51f57c9, 0x22fb892c79e2c5f0, 0xf77ea3e12fc43612,
  0xcdd33c5dc6e70ff1, 0x7a8f2bdf729dadcd, 0x576ebd47c1b30665, 0x1148b34eb422814c, 0x94f0ea426be8c2cb,
  0x4bb3f88fa839d5db, 0x47f258d578d8ebd4, 0x65f4b3170908a0f5, 0xf37b546c1132386f, 0xfe2af9ddc5494b31,
  0x71cf27f6bcb955ac, 0x9bece75152a8d742, 0xae0404e576a96faa, 0xb1692b924bfa45a9, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x001d759c5f05f4f2,
};

// m8u2_swio14_noled_pr              usb82_swio14_noled                usb82_swio14_noled_pr
static const uint64_t ur_m8u2_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0x41247baff3b2d67e, 0x83affea3a6277cb7, 0x5bdd32003e471d3f, 0x5cedd223278e62c0,
  0x56087dc72c608ebc, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0, 0xe916a6b3a6e576a9, 0xb4457962d256c7ef,
  0x2953e9de7eb5cf6a, 0x085a585cea75380b, 0xe31bc674408f2f14, 0xf386ed84b997cdb4, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0xc812473759e4afdc, 0x0000000000000007,
};

// usb82_swio14_noled_pr_u4
static const uint64_t ur_m8u2_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0x7fffba2e7cc7cc13, 0x51c143be5b7b923b, 0x3da011c74fe0c9af, 0x5188a731602cb298,
  0x7fecc11d7a3e764c, 0x607967b76b13ca80, 0x9e4fed7972ab5422, 0x59cea2a551ae84e3, 0xb5359d372bb54b7d,
  0x2bcb1692b63f7f48, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6db0862ade,
  0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000f93bea8887e,
};

// m8u2_swio14_noled_pr_ee_u4        usb82_swio14_noled_pr_ee          usb82_swio14_noled_pr_ee_u4
static const uint64_t ur_m8u2_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x77ff745cf9c19827, 0x5d66ab5a331f2476, 0x8f83660fa8f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x39d5a5dc9ae35934, 0xd0ebce9bb1ea8fe4, 0x845110a3deec6ab5, 0xfd6e1bd96cb98b84,
  0x56a01741cf2a3608, 0x5d09c73c9fdaf2e5, 0x6a96fab39d454aa3, 0x7efe916a6b3a6e57, 0xf6ab4457962d256c,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0xb83cd84b997cdb61, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x4110fcf257ee6866, 0x00000000000275d3,
};

// m8u2_swio14_noled_pr_ce_u4        usb82_swio14_noled_pr_ce          usb82_swio14_noled_pr_ce_u4
static const uint64_t ur_m8u2_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x395bffba2e7f4dcc, 0x173b95d717d7ba92, 0xd8488bee24b1e780, 0xc87495fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0x7f6bcb955aa11303, 0x75152a8d74271cf2, 0xace9b95daa5beace, 0x58b495b1fbfa45a9, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x006ebbcdb887e792,
};

// usb82_swio14_noled_pr_ee_ce
static const uint64_t ur_m8u2_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xffee8b9f4db9827c, 0xb3bfea8cbac9119b, 0x72e8ffe780173b19, 0x5958f7cc273b8dc6,
  0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845, 0xabb73931d484d7d1, 0xd79d3763d51fc873,
  0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132, 0x138e793fb5e5caad, 0x2df5673a8a9546ba,
  0xfd22d4d674dcaed5, 0x5688af2c5a4ad8fd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x0fcf257ee6866587,
  0x000000014d34faf1,
};

// usb82_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xbffed04acf8a4982, 0x5bf717d51e9b9235, 0x2fb892c79e24e039, 0x27ea3e12fc436122,
  0xef99e2ee371dbb0b, 0xd4795c8794ed6e6d, 0xb387ea3e0d983d2b, 0x8a459a75a1140a62, 0xe4c752135f461658,
  0xdd8f547f21ceaedc, 0x3deec6abc6c75e74, 0x96cb98b84845110a, 0x0e7951b044c8e1bd, 0xe4fed7972ab52cfa,
  0x9cea2a551ae84e39, 0x5359d372bb54b7d5, 0xbcb1692b63f7f48b, 0x779f16bae7b55a22, 0xd1020eea6c529e1a,
  0x5551696d138c6f19, 0xb997cdb61098edec, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e, 0x000000009f86e425,
};

/*
 * m16u2_swio14_noled_ee_hw          m16u4_swio14_noled_ee_hw          m32u2_swio14_noled_ee_hw
 * m32u4_swio14_noled_ee_hw          usb82_swio14_noled_ee_hw          usb162_swio14_noled_ee_hw
 */
static const uint64_t ur_m8u2_swio14_noled_ee_hw[] = {
  0x426eeeeed121be4a, 0x6d5cb4b1ea634eb1, 0x77a47f776dbaff12, 0x08f2299c7cfd833c, 0xbe081eb920452225,
  0x609f193ba528eb6a, 0x48eceff61ff3e706, 0x3cacbacd56b4663e, 0x4bf51f06cc1f51ea, 0x22cd3ad08a1df159,
  0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8, 0x6c11fadc37b2d973,
  0xe5caad402e839e54, 0x9546ba138e793fb5, 0xdcaed52df5673a8a, 0x4ad8fdfd22d4d674, 0xaeb9ed5688af2c5a,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x002df7c93a29e4af,
};

// m8u2_swio14_noled_ee_ce_u4_hw     usb82_swio14_noled_ee_ce_hw       usb82_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x6b7ffd87fcf8a498, 0x72b7ee2faa3d3724, 0x445f71258f3c49c0, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x2d4d674dcaed52df, 0x8af2c5a4ad8fdfd2, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a023721,
};

// usb82_swio14_lednop
static const uint64_t ur_m8u2_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0xd0491913fcecb59f, 0xe0ebffa8ebe1df2d, 0x5bdd36df97d1c74f, 0x73b2d74770ce62c0,
  0xacb5b71cb1823af1, 0x38e793fb5e5caad4, 0xdf5673a8a9546ba1, 0x4d7020274dcaed52, 0xf2c5a4ae5f63d22d,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x32f9b6c63156f62a, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000002a4fadcdd67,
};

// m8u2_swio14_lednop_pr_u4          usb82_swio14_lednop_pr            usb82_swio14_lednop_pr_u4
static const uint64_t ur_m8u2_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xbffee8b9f5f7304f, 0x47400ef96dee48c7, 0xf9d4471d3f8326bd, 0x4637ce62c0596533,
  0xffb30475e8f9db24, 0x03cb3db83fd22a01, 0xf27f6bcb955acbb5, 0xce75152a8d74271c, 0x0404e9b95daa5bea,
  0xb495cbec7a45a9ae, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516,
  0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xc98405c43f3c95fb, 0x0000000000000007,
};

// usb82_swio14_lednop_pr_ee
static const uint64_t ur_m8u2_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0xffee8b9f4b5304f8, 0x2cd56b4663e488d6, 0xf06cc1f51ea3cad8, 0xad08a1df15a9ef51,
  0x9afa30b2c4522cd3, 0x3ab4bba55c6b2690, 0x1d79d3769111cdc7, 0x8a17c471958d56ba, 0xadc37b2d97317090,
  0xd402b589e546c11f, 0xa138e793fb5e5caa, 0x52df5673a8a9546b, 0x2d4d7020274dcaed, 0x8af2c5a4ae5f63d2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6c63156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x75fa7a21f9e4afdc, 0x0000000000000002,
};

// usb82_swio14_lednop_pr_ee_u4
static const uint64_t ur_m8u2_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xbffee8b9f1ad304f, 0xe1cd56b47b7e48e9, 0x1f06cc1ce3ea3cac, 0x3ad08a1df15975f5,
  0x09afa30b2c4522cd, 0xe75697fdcb8a2669, 0x1d7aea6eda523884, 0x8a1314622d8d56ba, 0xb70decb872317090,
  0xfdaf2e556ab8b5be, 0xd454aa35d09c73c9, 0x13a6e576a96fab39, 0x572fb1e916a6b810, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xa45f10fcf257ee68, 0x00000000000004eb,
};

// m8u2_swio14_lednop_pr_ce_u4       usb82_swio14_lednop_pr_ce         usb82_swio14_lednop_pr_ce_u4
static const uint64_t ur_m8u2_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x6dd7ff745cfc7298, 0x2e77a6ee2faf7524, 0xb09117dc4963cf00, 0x92b2a3f51f097e21,
  0xcb19fac99e2ee370, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0xfb5e5caad65da81e, 0xa8a9546ba138e793, 0x274dcaed52df5673, 0xae5f63d22d4d7020, 0xeb9ed5688af2c5a4,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x565443f3c95fb9a1, 0x0000000000001baf,
};

// usb82_swio14_lednop_pr_ee_ce
static const uint64_t ur_m8u2_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x1ffdd173eff2609f, 0x683bfea8cbac910d, 0x6838227f3c00b9d8, 0xb5958f7cc273b8dc,
  0x60f4af51e5652e53, 0x50298aca1fa8f836, 0x185962291669d684, 0x3abb73a51d484d7d, 0x1d79d3769111cdc7,
  0x142f88e32b1aaf1b, 0x2386f65b2e62e121, 0xd4b3b589e546c113, 0xa138e793fb5e5caa, 0x52df5673a8a9546b,
  0x2d4d7020274dcaed, 0x8af2c5a4ae5f63d2, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36d8c4c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000a69d8ff10fcf,
};

// usb82_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xf7fb412b3fd83304, 0x1f5c5f547a6e48a1, 0xbee24b1e789380e2, 0xdfa8f84bf10d8488,
  0x7ccf1771b9c3fc7d, 0xa3caca5ca76b736f, 0x943f51f06cc1e95e, 0x522cd3ad08a05315, 0x4a3a909afa30b2c4,
  0xed22239b8e7576e7, 0xc656355e363af3a6, 0xb65cc5c242285f11, 0x13ca8d8226470dec, 0x27f6bcb955a9676b,
  0xe75152a8d74271cf, 0x404e9b95daa5beac, 0x495cbec7a45a9ae0, 0xb5d73daad115e58b, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fccb4b2ebcf25,
};

/*
 * m16u2_swio14_lednop_ee_hw         m16u4_swio14_lednop_ee_hw         m32u2_swio14_lednop_ee_hw
 * m32u4_swio14_lednop_ee_hw         usb82_swio14_lednop_ee_hw         usb162_swio14_lednop_ee_hw
 */
static const uint64_t ur_m8u2_swio14_lednop_ee_hw[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea7416b1, 0x9bdfa7bb007a5f12, 0x847914ce3e34cfda, 0xca68b51590229112,
  0x609f193bad3bed6e, 0x488d6ff61ff3e96a, 0x3cad82cd56b4663e, 0x9ef51f06cc1f51ea, 0x22cd3ad08a1df15a,
  0xb26909afa30b2c45, 0x1cdc73ab4bba55c6, 0xd56ba1d79d376911, 0x170908a17c471958, 0x6c11fadc37b2d973,
  0xe5caad402b589e54, 0x9546ba138e793fb5, 0xdcaed52df5673a8a, 0xf63d22d4d7020274, 0xed5688af2c5a4ae5,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6c63, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x8056a29e4afdcd0c,
  0x000000000000016f,
};

// m8u2_swio14_lednop_ee_ce_u4_hw    usb82_swio14_lednop_ee_ce_hw      usb82_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x50fbfd87fcff60cc, 0x710fae2faa3d3724, 0x445f71258f3c49c0, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x7020274dcaed52df, 0xc5a4ae5f63d22d4d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m8u2_swio14_dual_pr               m8u2_swio14_dual_pr_u4            usb82_swio14_dual
 * usb82_swio14_dual_pr              usb82_swio14_dual_pr_u4
 */
static const uint64_t ur_m8u2_swio14_dual[] = {
  0x17777776890d365a, 0xd4cd439422bec3f4, 0xa5ab7560fd3c5e56, 0xebad047ced00ab13, 0x5ed267da29dbb415,
  0x9c7772c89ebdefd9, 0x20025239bf304f8c, 0xa18369181bbab88b, 0xa9d16774f8971030, 0x83f8705f73145fcc,
  0x27f07dd4dea3c7bd, 0xf02bfcc681142392, 0xe2f77cdc6bb006e1, 0x8a8432d08c910cae, 0xdca5ffd01cf09ad6,
  0xdd1660b0de579096, 0xa3be596bc9128bff, 0x71c74fe0f7bf51fb, 0x9cc580aa0f33930f, 0x08ebc019d9004698,
  0x7b6f78df5403ff66, 0xe77715257cea0796, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c, 0x013a6e576a96fab3,
  0x2572fb1e916a6b81, 0xd75cf6ab4457962d, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4,
  0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0524d015a5d79e4a,
};

// usb82_swio14_dual_pr_ee
static const uint64_t ur_m8u2_swio14_dual_pr_ee[] = {
  0x376eeeee87ad0c86, 0x6a66a1ca869af87c, 0xb87dba7580523383, 0x33e9cf5900dce2c5, 0xdd712af1ae6ec373,
  0xe5dd8dd97d7e62ec, 0x48b24e609f193f4e, 0xa4606eeae22c8009, 0x9dd3e25c40c2860d, 0xc12d4c16bf32a745,
  0xa6e6f51c6b6c09d1, 0xcc68114239227f07, 0x9b9743006e1f02bf, 0xb417da2195dc5eef, 0xe80e784c1ee2a10c,
  0x586f2bc84b6fa6bf, 0xfba4885affee8b30, 0x7ea3caedd4d56b47, 0x2bd37ea3e0d9830f, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x1e8cf539d5a5d82a, 0xd8d56ba1d7a89763, 0xb3170908a34a4710, 0xa8d823f5b86f65f4,
  0xe777152500b2288a, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c, 0x013a6e576a96fab3, 0x2572fb1e916a6b81,
  0xd75cf6ab4457962d, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x4f86e3cd84b997cd,
  0x9d599bf83bb8d167, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x25c33d30ae4fc73d, 0xcb0e9296cf8138cb,
  0x8125d79e4afdcd0c, 0x0000000000000ac8,
};

// usb82_swio14_dual_pr_ee_u4
static const uint64_t ur_m8u2_swio14_dual_pr_ee_u4[] = {
  0x991dddddda2432db, 0x394cd43950ec5f0f, 0xb535f75b13b28e3d, 0x2393a999bad2c49c, 0x4a3f738abc6b9bb3,
  0x68b723822ac07c67, 0x004a45927304f8c9, 0x306d230377571164, 0x3a2cee9f12e20614, 0x158e035a6275f995,
  0xf83cad37a8fa6f61, 0x15fe63408a11c913, 0x7bbe6e65400370f8, 0x8432d08f68865771, 0x4d7fd01cf09a448a,
  0x1660b0de579096df, 0xd68e034910b5ffdd, 0x83913d4795a9e9aa, 0x43be2b387ea3e0d9, 0x616588a459a75a11,
  0xd2b2e105cd2135f4, 0x13b2008c1439d5a5, 0x1e45b1aad743af6b, 0xcb8f8c5c242287bd, 0xc54957170feb70de,
  0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0x9b95daa5beace751, 0xbec7a45a9ae0404e, 0x3daad115e58b495c,
  0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00001590b3975e79,
};

// m8u2_swio14_dual_pr_ce_u4         usb82_swio14_dual_pr_ce           usb82_swio14_dual_pr_ce_u4
static const uint64_t ur_m8u2_swio14_dual_pr_ce[] = {
  0xf93b777776890c86, 0xc153350e133aafc3, 0x2daefdd01452a5da, 0x89c624373adefda7, 0xf3142c804b16ee4e,
  0x64d91b97763765a0, 0xb2002521e019827c, 0x0a18369181bbab88, 0xca9d16774f897103, 0xb0d9c708e531c1fc,
  0x89fc1e049bd47b75, 0x7c0aff31a04508e4, 0xb8bddf37149001b8, 0xc542196807b4432b, 0xb8cdffd01cf09827,
  0xba2cc161bcaf212d, 0x5717d5fc922707ff, 0xdc4963cf12701c27, 0xf51f097e21b09117, 0xe678bb8dc6838227,
  0xbd4709f3dcb19f52, 0xa5176fc71d3f83b5, 0x19d90046989cc580, 0xdf5403ff6678ebc0, 0x495f3a81e5adcf78,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0xc7a45a9ae0404e9b, 0xaad115e58b495cbe,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6db1898, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x8152ebcf257ee686, 0x0000000000000d24,
};

// usb82_swio14_dual_pr_ee_ce
static const uint64_t ur_m8u2_swio14_dual_pr_ee_ce[] = {
  0xceb6eeeeeea1a5fb, 0x94a66a1c2f791387, 0xee66f77aec21bd62, 0x7b333498e164da8f, 0xd71f9dd82f34a758,
  0xb94b235d54625597, 0xa479eb9827c64a3b, 0xd230377571164004, 0xcee9f12e20614306, 0xe0ff26c41f9953a2,
  0x63f37a8e1a361a68, 0xcc68114239227f07, 0x9b8b82006e1f02bf, 0xb4182a2195dc5eef, 0xe80e784d21e2a10c,
  0xb0de579096dcd6ff, 0x2b491c41ffdd1660, 0x89380e6203bfea8f, 0x4e771b8a91eeb7e7, 0xae574a76b2b26e98,
  0xea3e0d983dbfea3c, 0x9a75a1140a62bdf7, 0x52135f4616588a45, 0xf467a9ceaedcc147, 0x8d578d8ebd44bb18,
  0x3170908a34a4710d, 0x46c1132386f65f4b, 0x3bb8a92967914455, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4,
  0x09d372bb54b7d59c, 0x2b97d8f48b535c08, 0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a,
  0x63131dbd8aaa2d24, 0x386e3cd84b997cdb, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x98269c975e792bf7,
};

// usb82_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76421f, 0xcd439b6faf787e35, 0xb26dcedfb9c47594, 0x5f8ff7d74211e1ec, 0x841238c6a2d4d8ac,
  0x8d750809793abdfb, 0x7c6494ab917d60b6, 0x22c800948bd9e982, 0x0c2860da4606eeae, 0x9978c7f9dd3e25c4,
  0xb0c6e38760cd787f, 0x13f83c4137a8e87d, 0xf815fe63408a11c9, 0xe2f77cdc15400370, 0x150865a11c910cae,
  0xf495ff4073c26df7, 0x09530586f2bc84b6, 0xfaa3275246f0ffda, 0x2c79e24e4eef0ee2, 0xe12fc4361222fb89,
  0x2ee370551649fea3, 0xcae94ed6e6e6e99e, 0x47c1b307b7fd4795, 0x4eb422814c57befd, 0x426be8c2cb1148b3,
  0x8cf539d5db9828ea, 0xaaf1b1d7a897631e, 0x2e121146948e21b1, 0xd8226470decbe966, 0x7715252cf2288aa8,
  0xdaf2e556b3f8abe7, 0x454aa35d09c73c9f, 0x3a6e576a96fab39d, 0x72fb1e916a6b8101, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x57079b09732f9b6c, 0xe0fdbb1a2c6f8b93,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x4d5393c95fb9a199, 0x0000000001001bc9,
};

// usb82_swio14_dual_ee_hw
static const uint64_t ur_m8u2_swio14_dual_ee_hw[] = {
  0x0ddbbbbbb4486f97, 0xda99a872a1a6be1f, 0x6e1f6e9d60148ce0, 0xccfa73d6403738b1, 0x375c4abc6b9bb0dc,
  0xf4ee4f04675aa75b, 0x00948b24e609f193, 0x60da4606eeae22c8, 0x7459dd3e25c40c28, 0x9d1c12d4c16bf32a,
  0xf07a6e6f51c6b6c0, 0x2bfcc68114239227, 0xeef9b9743006e1f0, 0x10cb417da2195dc5, 0x6bfe80e784c1ee2a,
  0x330586f2bc84b6fa, 0xb47fba4885aff0a8, 0x30f7ea3caedd4d56, 0x3be2bd37ea3e0d98, 0x16588a459a75a114,
  0x82ae2a5cd2135f46, 0x7631e8cf539d5a5d, 0x710d8d56ba1d7a89, 0x5f4b3170908a34a4, 0x88aa8d823f5b86f6,
  0x8abe777152500b22, 0x73c9fdaf2e556b3f, 0xab39d454aa35d09c, 0xb81013a6e576a96f, 0x62d2572fb1e916a6,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb6318ab7b1554, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00000576902514f2,
};

// usb82_swio14_dual_ee_ce_hw
static const uint64_t ur_m8u2_swio14_dual_ee_ce_hw[] = {
  0x9d6ddddddd435032, 0x294cd4385ef2270f, 0xdccdeef5d8437ac5, 0xf6666931c2c9b51f, 0xae3f3bb05e694eb0,
  0x7772abdb47f7bb2f, 0x0948f3d7304f8c94, 0x0da4606eeae22c80, 0x459dd3e25c40c286, 0xd1c1fe4d883f32a7,
  0x0ec7e6f51c346c34, 0x7f98d022847244fe, 0xdf37170400dc3e05, 0x19683054432bb8bd, 0xffd01cf09a43c542,
  0xc161bcaf212db9ad, 0x1e56923883fc2a0c, 0xcf12701cc4077fd5, 0x984e771b9950d07f, 0x3cae574a76b2b26e,
  0xf7ea3e0d983dbfea, 0x459a75a1140a62bd, 0x4752135f4616588a, 0x18f467a9ceaedcc1, 0x0d8d578d8ebd44bb,
  0x4b3170908a34a471, 0x5546c1132386f65f, 0x5f3bb8a929679144, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39,
  0x0809d372bb54b7d5, 0x692b97d8f48b535c, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084,
  0xdb63131dbd8aaa2d, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02, 0x044d3d39453c95fb,
};

// usb82_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio14_dual_ee_ce_u4_hw[] = {
  0xadddddda28d1bf5b, 0x99a8736df5ef0fc6, 0xc3ddb9dbf7388eb2, 0x158bf1fefae843a3, 0xbf70824718d45a9b,
  0x37ac03b202ef2757, 0xd9e9827c6494ab93, 0x06eeae22c800948b, 0x3e25c40c2860da46, 0x19af0ff32e0e39dd,
  0xf51d0fb618dc70ec, 0x114239227f078826, 0xa8006e1f02bfcc68, 0x922195dc5eef9b82, 0x784dbee2a10cb423,
  0x579096de92bfe80e, 0xde1fff21fe60b0de, 0xe5e1dc5f5464ea48, 0x8bee24b1e78b17c0, 0xd7fa8f84bf10d848,
  0x9ba678bb8dc0b233, 0xf51e572ba53b5b9b, 0x5efbf51f06cc1edf, 0x4522cd3ad08a0531, 0x60a3a909afa30b2c,
  0x5d8c7a33d4e7576e, 0x3886c6abc6c75ea2, 0x2fa598b848451a52, 0xa22aa3608991c37b, 0xe2af9ddc5494b3c8,
  0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0xae0404e9b95daa5b, 0x58b495cbec7a45a9, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x001d75b566c2fa79,
};

// m8u2_swio15_noled_pr              usb82_swio15_noled                usb82_swio15_noled_pr
static const uint64_t ur_m8u2_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x9248f75fe765acfc, 0x83e7bd474c4ef96e, 0x5bdd32003e471d3f, 0x5cedd223278e62c0,
  0x56087dc72c608ebc, 0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0, 0x916a6b3a6e576a96, 0x22bcb1692ad5fefe,
  0x0c537acef2e7b55a, 0x78a042d2d7f88d4f, 0x6da718de33a20479, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x003e409239bacf25,
};

// usb82_swio15_noled_pr_u4
static const uint64_t ur_m8u2_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x657ff745cfbf9304, 0xd4797c77cb41f922, 0x8f7a5471d3f83e83, 0x147bd9cc580b2ca6,
  0x1ffb30475e8f9da2, 0xb81e59ed88a4d2a0, 0xe793fb5e5caad5f5, 0x7673a8a9546ba138, 0xd4d674dcaed52df5,
  0x7962d255abfdfd22, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x9732f9b632455bd8,
  0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00003e4f596a21f9,
};

// m8u2_swio15_noled_pr_ee_u4        usb82_swio15_noled_pr_ee          usb82_swio15_noled_pr_ee_u4
static const uint64_t ur_m8u2_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xbffba2e7c9d4c13e, 0x4b9aad68dfc92315, 0x7c1b30613fd47959, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae, 0xd6e1bd96cb98b848,
  0xd402e9305aa3608f, 0xa138e793fb5e5caa, 0x2df57673a8a9546b, 0xfd22d4d674dcaed5, 0xb4457962d255abfd,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0x79b09732f9b63245, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x21f9e4afdcd0ccb0, 0x00000000009d72ce,
};

// m8u2_swio15_noled_pr_ce_u4        usb82_swio15_noled_pr_ce          usb82_swio15_noled_pr_ce_u4
static const uint64_t ur_m8u2_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x95dffdd173fb3a60, 0x73bdf7717d76fc91, 0x8488bee24b1e7801, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0xb4956aff7f48b535, 0x8b5d73daad115e58,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7cdb190c76f62aa8, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0dd78faf10fcf257,
};

// usb82_swio15_noled_pr_ee_ce
static const uint64_t ur_m8u2_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xffdd173fa6a609f1, 0xc3bfea8ca5c91ff9, 0x54341ff3c00b9dff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xbeaece75152a8d74,
  0xa45a9ace9b95daa5, 0x88af2c5a4ab57fbf, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b,
  0x6c25ccbe6d8c863b, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9,
  0x0000000a699cfa21,
};

// usb82_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xbff682567f1ba609, 0xbbb8bea8f674916b, 0x7dc4963cf12701c6, 0xff51f097e21b0911,
  0x7ccf1771b8b82e1f, 0xa3cace1ca76b736f, 0x975f51f06cc19ebe, 0x522cd3ad08a05315, 0xac3a909afa30b2c4,
  0xedd423c90e7576e4, 0x83f6355e363af3a6, 0x6cb98b848451f223, 0x82d51b044c8e1bd9, 0x9fdaf2e556a59f49,
  0x9d454aa35d09c73c, 0xb3a6e576a96fabb3, 0x1692ad5fefe916a6, 0xf16bae7b55a22bcb, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000013f3ecf4baf,
};

/*
 * m16u2_swio15_noled_ee_hw          m16u4_swio15_noled_ee_hw          m32u2_swio15_noled_ee_hw
 * m32u4_swio15_noled_ee_hw          usb82_swio15_noled_ee_hw          usb162_swio15_noled_ee_hw
 */
static const uint64_t ur_m8u2_swio15_noled_ee_hw[] = {
  0xbdeeeeeed121b768, 0xdab96963d4e85d60, 0x4f4d2ee8db623e24, 0xede4531d7c33c5ef, 0x1545a0ab41148885,
  0x04f8c9dd764afb67, 0x462b7fb0ff9f2753, 0xf2b297355ad1bf92, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x57fbfa45a9ace9b9, 0x9ed5688af2c5a4ab,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x648ab7b15545a5b4, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x5bf998b453c95fb9,
  0x0000000000000000,
};

// m8u2_swio15_noled_ee_ce_u4_hw     usb82_swio15_noled_ee_ce_hw       usb82_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf12701, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d674dcaed52df57, 0x962d255abfdfd22d, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0xe65f36c6431dbd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000a02fb3d45,
};

// usb82_swio15_lednop
static const uint64_t ur_m8u2_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0x492463dff9d96b3e, 0xc1f3dea3af877cb7, 0x5bdd304f88638e9f, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x38e793fb5e5caad4, 0xf57673a8a9546ba1, 0xd7020274dcaed52d, 0x962d2572563d22d4,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0x674409cfa2810b4d, 0xd84b997cdb4e31bc, 0x867a615c9f9fd86e,
  0xd252d964a271964b, 0x6eb3c95fb9a19961, 0x0000000000a92dce,
};

// m8u2_swio15_lednop_pr_u4          usb82_swio15_lednop_pr            usb82_swio15_lednop_pr_u4
static const uint64_t ur_m8u2_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x63fffba2e7ea54c1, 0xea3e9477cb41f922, 0x80c13e38e9fc1f41, 0xc47191cc580b2ca6,
  0x1ffb30475e8f9d97, 0x207967b637ee1aa0, 0x9e4fed7972ab5b87, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5,
  0xb495c958f48b535c, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516,
  0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0xc9ab82c43f3c95fb, 0x0000000000000007,
};

// usb82_swio15_lednop_pr_ee
static const uint64_t ur_m8u2_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x7ffba2e7e87e609f, 0x9e9aad68dfc92270, 0x7c1b30613fd4795a, 0xeb422877c57813d4,
  0x26be8c2cb1148b34, 0xcead2f21d71ac9a4, 0x875e74ddbba460a1, 0x4513723c8b6355ae, 0xd6e1bd96cb98b848,
  0x6a0108a4d2a3608f, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0x6a6b81013a6e576a, 0x2bcb1692b92b1e91,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6da05455bd8, 0x59d3e2e4d5c1e6c2,
  0x7ea75663c81f9434, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0xebc0a887e792bf73, 0x0000000000000004,
};

// usb82_swio15_lednop_pr_ee_u4
static const uint64_t ur_m8u2_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0x7ff745cf9c19827c, 0xeb355ad199524767, 0x7c1b306807a8f2b2, 0xeb422877c5652fd4,
  0x26be8c2cb1148b34, 0x9d5a5dc9ae2899a4, 0x75eba9bb1ea8fe43, 0x288851ef76355ae8, 0xdc37b2e1c8c5c242,
  0xf6bcb955aae045fa, 0x5152a8d74271cf27, 0xe9b95daa5beaece7, 0xe4ac7a45a9ae0404, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x15156f62aa8b4905, 0x57079b09732f9b68, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x68221f9e4afdcd0c, 0x0000000000004eba,
};

// m8u2_swio15_lednop_pr_ce_u4       usb82_swio15_lednop_pr_ce         usb82_swio15_lednop_pr_ce_u4
static const uint64_t ur_m8u2_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x1d37ffdd173e35a6, 0x173bd9d717d76fc9, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0x5c958f48b535c080, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x22f887e792bf7343, 0x000000000000375d,
};

// usb82_swio15_lednop_pr_ee_ce
static const uint64_t ur_m8u2_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xffdd173f6b7304f8, 0x677fd5194b9229b7, 0x49cdffcf002e769b, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8,
  0x35c0809d372bb54b, 0xe58b495c958f48b5, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6da0518edec55, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x014d317ee21f9e4a,
};

// usb82_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x9fed04acf9adcc13, 0xa4b8bea8f6749114, 0xbee24b1e789380e0, 0x5fa8f84bf10d8488,
  0x7ccf1771b8cf5fad, 0xa3caca1ca76b736f, 0xb05f51f06cc19ebe, 0x522cd3ad08a05315, 0x0e3a909afa30b2c4,
  0xeddd23050e7576e9, 0xc8b6355e363af3a6, 0x6cb98b8484513723, 0x26951b044c8e1bd9, 0x4fed7972ab52cc45,
  0xcea2a551ae84e39e, 0x09d372bb54b7d5d9, 0x95c958f48b535c08, 0x5d73daad115e58b4, 0x20b94b5f3a03c72b,
  0x0a718de33a204215, 0xa0518edec5551692, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x04fc1eaf2ebcf257,
};

/*
 * m16u2_swio15_lednop_ee_hw         m16u4_swio15_lednop_ee_hw         m32u2_swio15_lednop_ee_hw
 * m32u4_swio15_lednop_ee_hw         usb82_swio15_lednop_ee_hw         usb162_swio15_lednop_ee_hw
 */
static const uint64_t ur_m8u2_swio15_lednop_ee_hw[] = {
  0xbdeeeeeed121b705, 0x6d5cb4b1ea610560, 0xe15a62774b88cf12, 0x17b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x922707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45, 0xb1e916a6b81013a6, 0xb55a22bcb1692b92,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xf34e8a792bf73433,
  0x0000000000000b7f,
};

// m8u2_swio15_lednop_ee_ce_u4_hw    usb82_swio15_lednop_ee_ce_hw      usb82_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3c49c, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xb1692b92b1e916a6, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000028087abd14f2,
};

/*
 * m8u2_swio15_dual_pr               m8u2_swio15_dual_pr_u4            usb82_swio15_dual
 * usb82_swio15_dual_pr              usb82_swio15_dual_pr_u4
 */
static const uint64_t ur_m8u2_swio15_dual[] = {
  0x41bbbbbb4486ff3e, 0xb53350e50938b0f8, 0xec6adde9c6271795, 0x7aeb41a51ecd8a05, 0xabd9ced9452b7420,
  0x938eee4d3c57b1d7, 0x64004a41806609f1, 0x14306d2303775711, 0x953a2cee9f12e206, 0xb07f0e0bee628bf9,
  0x44fe0fba9bd478f7, 0x3e057f98d0228472, 0xee2f77cdc80000dc, 0x68a8432d08c910ca, 0x6dca1ffd01cf09ad,
  0xfdd1660b0de57909, 0x6f9df2cf7c91fddf, 0xee38e9fc1c1ff51f, 0x1398b01541e64ad1, 0xc11d78033b6948e2,
  0x67b698c64a807fec, 0x5f3bb8a92e04a079, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39, 0x809d372bb54b7d5d,
  0x495c958f48b535c0, 0xb5d73daad115e58b, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd,
  0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x00a49ad6a975e792,
};

// usb82_swio15_dual_pr_ee
static const uint64_t ur_m8u2_swio15_dual_pr_ee[] = {
  0xd6eeeeeea0a1a5fb, 0xa99a872a1f7787cd, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6ecdd33,
  0x29646bacda15664c, 0x4771f304f8c9fa77, 0x230377571164004a, 0xee9f12e20614306d, 0x096a60b5f9953a2c,
  0x3737a8e35b604e8e, 0x63408a11c913f83d, 0xdceeb00370f815fe, 0xa0bed10caee2f77c, 0x4073c260f7150865,
  0x86f2bc84b6f3b7ff, 0x9c91e9fffee8b305, 0xd4795e9b9aad68dc, 0x7b3bd47c1b3071ef, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0x11f5073ab4ba9e5c, 0x8d56ba1d7a89767f, 0x3170908a0f547f25, 0x8d823f5b86f65f4b,
  0x3bb8a928043e6f6a, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0x5c958f48b535c080,
  0xd73daad115e58b49, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920, 0xf1b8f3612e65f36d,
  0x5666fe0eee34596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000000ac8f5b975e,
};

// usb82_swio15_dual_pr_ee_u4
static const uint64_t ur_m8u2_swio15_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0x7299a872a1e7de1f, 0x7bddeea0a7ad1c7a, 0x1393a9994edebb08, 0x4806abf7ec6b9bbb,
  0xd16e4f04674e16a7, 0x00948ee3e609f192, 0x60da4606eeae22c8, 0x7459dd3e25c40c28, 0x2b1c06b4c4ebf32a,
  0xf0795a6f51f4dec2, 0x2bfcc68114239227, 0xeef9b9d1f006e1f0, 0x10cb423da2195dc5, 0xb7ff4073c269122a,
  0xb30586f2bc84b6f3, 0x68d7dc91e9fffee8, 0x3eebd4795e049aad, 0x3be2b2ebea3e0d98, 0x16588a459a75a114,
  0xe72e105cd2135f46, 0x76d291cbe39d5a5f, 0x8f96355ae875ed62, 0xb8f8c5c242284c51, 0x2a4ab8b5beb70dec,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d22d4d7020274d, 0x6ab4457962d25725,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xb4e31bc674409cfa, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x002b2042e5d79e4a,
};

// usb82_swio15_dual_pr_ce
static const uint64_t ur_m8u2_swio15_dual_pr_ce[] = {
  0x1dddddd0f5a1a5fb, 0x4cd4384cd47f0f99, 0x66f75b13b2976b05, 0xe3126eab43ae10f7, 0x135d13faef74c8c4,
  0x91b94b235d7224ab, 0x02520ebe9827c64d, 0x8369181bbab88b20, 0xd16774f8971030a1, 0x9c708e531c1fcca9,
  0xc1e049bd47b75b0d, 0xaff31a04508e489f, 0xbbe6e022401b87c0, 0x432d00f688657717, 0xcffa039e1304f8a8,
  0xcc161bcaf212dbff, 0xfac069224ebffba2, 0x58f3c49c073abee2, 0xc25f886c2445f712, 0x8bb8dc24aca8fd47,
  0x3c893dcb19f52e67, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0xd74271cf27f6bcb9, 0xaa5beaece75152a8, 0x45a9ae0404e9b95d, 0x88af2c5a4ae4ac7a,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36d028c76f, 0xeee3459d3e1b8f36,
  0x1854e7ea75666fe0, 0x27f8b9c65f989fca, 0xb93f1cf7ff04d0f3, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000692631975e79,
};

// usb82_swio15_dual_pr_ce_u4
static const uint64_t ur_m8u2_swio15_dual_pr_ce_u4[] = {
  0xe0eeeeeed121a5fb, 0x6a66a1c26745f87e, 0xb42dbaec999d33fa, 0x48b4532255e9f7f6, 0x55955f5a087bb704,
  0x2685dca591aeb87c, 0x9001290cf5cc13e3, 0x50c1b48c0ddd5c45, 0x54e8b3ba7c4b8818, 0x8656386fb9b4dfe6,
  0x4fe0cbacdea3a9ed, 0xe057f98d02284724, 0xc5eef9b8ce400dc3, 0x2a10cb4027a2195d, 0x70b5ff4073c269c6,
  0x745982c3795e425b, 0xae2fa995247677ff, 0xb892c79e24e03915, 0xea3e12fc4361222f, 0x333c5dc6e1256547,
  0xaf51d009ee58cf0e, 0x0afe7511c74fe0c9, 0x45bb4dc8f229cc58, 0x4743e6e39633c75e, 0x55acfe2af9ddc549,
  0xd74271cf27f6bcb9, 0xaa5beaece75152a8, 0x45a9ae0404e9b95d, 0x88af2c5a4ae4ac7a, 0x9d01e395aeb9ed56,
  0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36d028c76f, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x975e792bf734332c,
  0x0000000001a489a0,
};

// usb82_swio15_dual_pr_ee_ce
static const uint64_t ur_m8u2_swio15_dual_pr_ee_ce[] = {
  0xfabeddddddd432db, 0x5294cd4385eda7b0, 0x1dfabeea7d96a7ac, 0x0f666673bdc61f20, 0xda0ce57105e6955f,
  0x7723822ac1e199d4, 0x9483e7d304f8c947, 0xda4606eeae22c800, 0x59dd3e25c40c2860, 0x1c1fe4d883f32a74,
  0xec7e6f51c346c34d, 0xf98d022847244fe0, 0xf3702c800dc3e057, 0x9683054432bb8bdd, 0xfd01cf09a43c5421,
  0x161bcaf212dbde1f, 0x95d246b7fffba2cc, 0xc49c072b7ceffaa3, 0x273b8dcba1baa3f3, 0x57bee53b5959374c,
  0x7a8f83660ccaf51e, 0x669d68450298aedd, 0xd484d7d185962291, 0xf11f5073abb729e1, 0xb1aaf1b1d7a89767,
  0x662e121141ea8fe4, 0xa8d8226470decbe9, 0xf3bb8a929663e6f6, 0x4fed7972ab59fc55, 0xcea2a551ae84e39e,
  0x09d372bb54b7d5d9, 0x95c958f48b535c08, 0x5d73daad115e58b4, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xa0518edec5551692, 0x9c371e6c25ccbe6d, 0xbab337f07771a2c7, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x609d274baf3c95fb, 0x0000000000000002,
};

// usb82_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m8u2_swio15_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0xcd439b6caf787d9f, 0x82daaf1d79c47594, 0x7de66e6d09b964d3, 0x828247167c5a9b16,
  0x215673cbb90d7176, 0x9f19252ae5580420, 0x88b20025235c1660, 0x030a18369181bbab, 0xe65e31fe774f8971,
  0x6c31b8e1d8335e1f, 0x44fe0f104dea3a1f, 0x3e057f98d0228472, 0x717bbe6e271e00dc, 0x8a8432d08e488657,
  0x724affa039e136fb, 0x04a982c3795e425b, 0xfaa3eaf92330dfed, 0x2c79e24e4ee61ae2, 0xe12fc4361222fb89,
  0x5dc6e271fdc7fea3, 0xdf729dadcdcdd33c, 0x47c1b306657a8f2b, 0x4eb422814c576ebd, 0x426be8c2cb1148b3,
  0x8fa839d5db94f0ea, 0xd578d8ebd44bb3f8, 0x170908a0f547f258, 0x6c1132386f65f4b3, 0xddc5494b31f37b54,
  0xf6bcb955acfe2af9, 0x5152a8d74271cf27, 0xe9b95daa5beaece7, 0xe4ac7a45a9ae0404, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0xae0f3612e65f36d0, 0xc1fb763458df1726,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x9aa72792bf734332, 0x000000000200041a,
};

// usb82_swio15_dual_ee_hw
static const uint64_t ur_m8u2_swio15_dual_ee_hw[] = {
  0x6eb777776890cf68, 0x6d4cd43950fbbc3e, 0x7a0fb755f3624670, 0x99f4e69c89f55fd7, 0x6577efd8d73766e9,
  0xd3b9347d4eb5bb32, 0x02523b8f9827c64f, 0x8369181bbab88b20, 0xd16774f8971030a1, 0x74704b5305afcca9,
  0xc1e9b9bd471adb02, 0xaff31a04508e489f, 0xbbe6e775801b87c0, 0x432d05f688657717, 0xbffa039e1307b8a8,
  0x982c3795e425b79d, 0x46e4e48f4fff8541, 0x8f7ea3caf4dcd56b, 0xbe2bd9dea3e0d983, 0x6588a459a75a1143,
  0xf2e2a5cd2135f461, 0xb3f88fa839d5a5d4, 0xf92c6ab5d0ebd44b, 0xfa598b8484507aa3, 0x7b546c11fadc37b2,
  0x2af9ddc5494021f3, 0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x0404e9b95daa5bea, 0x5a4ae4ac7a45a9ae,
  0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6815156f62aa8b, 0x505d8dc79b09732f,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x0002bb4f5ba29e4a,
};

// usb82_swio15_dual_ee_ce_hw
static const uint64_t ur_m8u2_swio15_dual_ee_ce_hw[] = {
  0xabeddddddd43573e, 0x294cd4385eda7b0f, 0xdfabeea7d96a7ac5, 0xf666673bdc61f201, 0xa0ce57105e6955f0,
  0xeee4b8beecdd654d, 0x12907cfa609f1928, 0x1b48c0ddd5c45900, 0x8b3ba7c4b881850c, 0xa383fc9b107e654e,
  0x1d8fcdea3868d869, 0xff31a04508e489fc, 0xbe6e059001b87c0a, 0x32d060a88657717b, 0xffa039e134878a84,
  0x82c3795e425b7bc3, 0x72ba48d6fff85419, 0x789380e56f9dff54, 0xc273b8dce8fa927e, 0xe57bee53b5959374,
  0xd7a8f83660ccaf51, 0x1669d68450298aed, 0x1d484d7d18596229, 0x7f11f5073abb729e, 0x4b1aaf1b1d7a8976,
  0x9662e121141ea8fe, 0x6a8d8226470decbe, 0x5f3bb8a929663e6f, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39,
  0x809d372bb54b7d5d, 0x495c958f48b535c0, 0xb5d73daad115e58b, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0xda0518edec555169, 0xfec371e6c25ccbe6, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813, 0x134fa4ea29e4afdc,
  0x0000000000000001,
};

// usb82_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m8u2_swio15_dual_ee_ce_u4_hw[] = {
  0xf6eeeeed14682906, 0x4cd439b6caf787d9, 0x64ddaaf1d79c4759, 0xb167de66e6d09bd9, 0x176828247167c5a9,
  0x15f202f6918b90d7, 0xd7059827c6494ab9, 0x606eeae22c800948, 0xd3e25c40c2860da4, 0xc19af0ff32e0e39d,
  0x6f51d0fb618dc70e, 0x8114239227f07882, 0x38f006e1f02bfcc6, 0x724432bb8bddf371, 0xcf09b7dc54219684,
  0xcaf212db9257fd01, 0x1986ffe43fcc161b, 0x3930d717d51f57c9, 0x22fb892c79e2c5f0, 0xf77ea3e12fc43612,
  0xcdd33c5dc6e70ff1, 0x7a8f2bdf729dadcd, 0x576ebd47c1b30665, 0x1148b34eb422814c, 0x94f0ea426be8c2cb,
  0x4bb3f88fa839d5db, 0x47f258d578d8ebd4, 0x65f4b3170908a0f5, 0xf37b546c1132386f, 0xfe2af9ddc5494b31,
  0x71cf27f6bcb955ac, 0xeaece75152a8d742, 0xae0404e9b95daa5b, 0x2c5a4ae4ac7a45a9, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d028c76f62aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00075d6717c17d3c,
};

// m16_autobaud_uart0_noled_pr       m16a_autobaud_uart0_noled         m16a_autobaud_uart0_noled_pr
static const uint64_t ur_m16_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0xcada93ba0bd04cc5,
  0x67e719827c602416, 0xd32811025f3fd202, 0xfaa2175fedd70174, 0x09f169da12704995, 0xf063efd47afe77cb,
  0x0b2ca61179e8e3a7, 0x3e760e28ccf1cc58, 0xf86a807fecc11d7a, 0x8a159503cb3db535, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xe6da5fe2adfef554, 0x1a2c79c376c25ccb, 0x5727eeacc790347f,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00711003952cdcf2,
};

// m16a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m16_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0xb52776a2f25b1eb0,
  0xce3304f8c0482d95, 0x2811025f3fdcd7cf, 0xa2175fedd70174d3, 0xf169da12704995fa, 0x63efd47afe77cb09,
  0x2ca61179e8e3a7f0, 0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a,
  0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x365a5324e792bf73, 0x000000000000008c,
};

// m16_autobaud_uart0_noled_pr_ee_u4 m16a_autobaud_uart0_noled_pr_ee   m16a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m16_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x04f8c0482d95b527, 0x08e1ffb9af9f60b3, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0xb9c66ab5a39b85a7,
  0xd47c1b3063e7a8f2, 0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e,
  0xb4d05a3c676355ae, 0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x854e19273c95fb9a,
  0x0000000000001353,
};

// m16_autobaud_uart0_noled_pr_ce_u4 m16a_autobaud_uart0_noled_pr_ce   m16a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m16_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xb52776c4d8608005,
  0x90f304f8c0482d95, 0xa04409c9ffb9af9f, 0x885d7fb75c05d34c, 0x45a76849c12657ea, 0xe3254ec27dc5f54c,
  0xc4361222fb892c79, 0x372c7ffe7ea3e12f, 0xd3dcb19fac99e2ee, 0x1c74fe0cd27a8ed7, 0x333c731602dc310f,
  0xfb33c75e8f9d838a, 0x3cb5b94d7e1aa01f, 0xc527969d28a15950, 0x7ae7e28f37b268e8, 0xa1d53811fd4a5e53,
  0x8edfef5545a54fa7, 0x3cd84b997cdb4bf9, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x649cf257ee686658, 0x0000000023754cb4,
};

// m16a_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m16_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd414477d6, 0xeeeeeaaf389a0b12, 0x34cfd921f4f4c4ee, 0x2b7a90bdeef8fb1e, 0xeb4e2b83f69a2d45,
  0xf8c0482d95b52775, 0x2b7fb9af9f275304, 0xb75c05d34ca0440a, 0x49c12657ea885d7f, 0x29dff5461ec5a768,
  0xfae6b7f9e3254edd, 0x6b2b1ef984e771b9, 0x60e32f51e560a4a7, 0xd314c57377a8f836, 0x632e384e1b875f62,
  0x576e4c4752135f4b, 0xbce9bb2cf4627ce7, 0x4168f19d8d578d8e, 0xbd96cbe701c762d3, 0xf8601951b044c8e1,
  0xe8c527969d28a167, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e, 0xf98edfef5545a54f, 0xb83cd84b997cdb4b,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x2089d3c649cf257e,
};

// m16a_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x5bbbbbbb44867f3e, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0xbb1aa8bd99badf4e,
  0x827c602416cada93, 0x463fff8fc39fdda9, 0xfdbae02e9a650220, 0x424e0932bf5442eb, 0x2bae2faa34ac2d3b,
  0x2fb892c79e50b839, 0x1fea3e12fc436122, 0xbdf33c5dc6e759b2, 0xbd479582929dadcd, 0x15cddea3e0d9838c,
  0xe1386e1d7d8b4c53, 0x311d484d7d2d8cb8, 0xecb3d189f39d5db9, 0xc676355e363af3a6, 0x2f9c071d8b4d05a3,
  0x6546c1132386f65b, 0x9e5a74a2859fe180, 0x9f8a3cdec9a3a314, 0x54e047f529794deb, 0x7fbd5516953e9e87,
  0x612e65f36d2fe63b, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x22bda792bf734332, 0x00000000010441f8,
};

// m16a_autobaud_uart0_noled_hw
static const uint64_t ur_m16_autobaud_uart0_noled_hw[] = {
  0x12dddddddd66e614, 0x77777775579842f7, 0x4369b3f77a99be97, 0xd3e3f5a307ddddd0, 0x6cada93ba36f1deb,
  0x1e7e719827c60241, 0xa699408812f9ff87, 0xafd510baff6eb80b, 0x584f8b4ed093824c, 0x3f831f7ea3d7f3be,
  0xc05965308bcf471d, 0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e,
  0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0x5727e7f61bb612e6, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x0036cb4072ec14f2,
};

// m16a_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m16_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0xa93ba8eca56bb206,
  0x059827c602416cad, 0x408811c3ffa14cfb, 0x10baff6eb80ba699, 0x0b4ed093824cafd5, 0x51e5738cd56b4737,
  0xe5f7a8f83660c7cf, 0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x627ce756974c571a, 0xab5d0ebce9bb2cf4,
  0xe3b169a0b478cec6, 0x47eb70decb65f380, 0x28a005f8601951b0, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f,
  0x45a54fa7a1d53811, 0xbe6da5fe2adfef55, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000b13f8d0e8a79,
};

// m16a_autobaud_uart0_noled_ce_hw
static const uint64_t ur_m16_autobaud_uart0_noled_ce_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55e6106, 0x871fb3afad0c9ef8, 0x34d88036dbc9bbba, 0x905b2b6a4eed8f64,
  0xc38f3fb7e609f180, 0x05d34ca0440ba8ff, 0x2657ea885d7fb75c, 0xdff52785a76849c1, 0xb7f3f3c64a0716b9,
  0x80b8ce6139dc6e47, 0xf07ac5ea3a0b9ee5, 0x98b01567a438e3a7, 0x8ebc5ced44a386a3, 0x4a283afc3dc72c67,
  0xcdec9a3a3149e5a7, 0x7f529794deb9f8a3, 0x516953e9e8754e04, 0x5f36d2fe63b7fbd5, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0006558bebec14f2,
};

/*
 * m16_autobaud_uart0_noled_ee_ce_u4_hw m16a_autobaud_uart0_noled_ee_ce_hw
 * m16a_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0x5304f8c0482d95b5, 0x4408c7ffe8533fbb, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0x072575c5f5469585,
  0x2445f71258f3ca17, 0x1bc3fd47c25f886c, 0xb9b7be678bb8dcec, 0x7197a8f2b05253b5, 0x8a62b9bbd47c1b30,
  0x971c270dc3afb169, 0xb72623a909afa5b1, 0x74dd967a313e73ab, 0xb478cec6abc6c75e, 0xcb65f380e3b169a0,
  0x300ca8d8226470de, 0x6293cb4e9450b3fc, 0xbd73f1479bd93474, 0xd0ea9c08fea52f29, 0xc76ff7aaa2d2a7d3,
  0x1e6c25ccbe6da5fc, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0x7e0a8a792bf73433, 0x0000000000004a90,
};

// m16_autobaud_uart0_lednop_pr      m16a_autobaud_uart0_lednop        m16a_autobaud_uart0_lednop_pr
static const uint64_t ur_m16_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0x95b5277731242a1a,
  0xcf829304f8c0482d, 0xa6502205f27fa404, 0xf5442ebfdbae02e9, 0xb582d3b424e0932b, 0xf0667bd476be3be5,
  0x2dee9ae18878e3a7, 0x73b0fb47ac473160, 0x58a6b71cb1823af1, 0xc5302027969d28a1, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x1bb612e65f36cb88, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0xe72966e792bf7343, 0x0000000000007110,
};

// m16a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m16_autobaud_uart0_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0x527748fcbb7a71c7,
  0xeb304f8c0482d95b, 0x022052fbfdcd7cf9, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0x7dfa8eb3cef9613e,
  0x2986f93d1c74fe0c, 0x9ed23348731602cb, 0xa01ffb30475e8f9d, 0x60a07967b66794d2, 0x8a60404f2d3a5145,
  0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x1e6c25ccbe6d9711, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x324e792bf734332c, 0x0000000008c35b90,
};

/*
 * m16_autobaud_uart0_lednop_pr_ee_u4 m16a_autobaud_uart0_lednop_pr_ee
 * m16a_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16_autobaud_uart0_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x04f8c0482d95b527, 0x08a1ffb9af9fcad3, 0x7fb75c05d34ca044, 0x6849c12657ea885d, 0xb3d66ab5a39b85a7,
  0xd47c1b3063e7a8f2, 0xc3afb169bbe2bd2b, 0x09afa5b1971c270d, 0x39d5a5f245c6b269, 0xa1d79d376e811887,
  0x5a627d1c82d8d56b, 0xdc37b2d97ce038ec, 0x0129afc3546c11fa, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x2adfef5545a6c59e, 0x83cd84b997cdb2e2, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x6649cf257ee68665,
  0x0000000004d4e271,
};

/*
 * m16_autobaud_uart0_lednop_pr_ce_u4 m16a_autobaud_uart0_lednop_pr_ce
 * m16a_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m16_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0xa93ba1b9053453b4,
  0x4b9827c602416cad, 0x02204e97fdcd7cf9, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0x192a77b7ee2faa62,
  0x21b09117dc4963cf, 0x7376936ff51f097e, 0x3dcb19fac99e2ee3, 0x71d3f83349ea3f3d, 0x6690e62c05def05c,
  0xf6678ebd1f3b3da4, 0x3cb5b8cf29a5403f, 0x2027969d28a2b050, 0x71479f1268e8c530, 0x815d54e5e53633a0,
  0xbd55169b167a1d53, 0x25ccbe6d97063b7f, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000011baef05324e,
};

// m16a_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0xf8c0482d95b52774, 0xc1ff735f3f43f304, 0x6eb80ba699408811, 0x93824cafd510baff, 0x53bfea8c3d8b4ed0,
  0xf0f96bf3c64a9d97, 0xd6563df309cee372, 0xc1c65ea3cad0094e, 0xa6298ae71f51f06c, 0xc65c709c370ebec5,
  0xaedd920ea426be96, 0xbce9bb7408c439ce, 0x27d1c82d8d578d8e, 0x7b2d97ce038ec5a6, 0x4d7e1aa3608991c3,
  0x60404f2d3a5142cd, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0xd84b997cdb2e0c76,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0x5d8649cf257ee686, 0x0000000000001044,
};

// m16a_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0xbbd77738a7557891,
  0x827c602416cada93, 0x17fcffc7e1cfe9a9, 0xff6eb80ba6994088, 0xd093824cafd510ba, 0x69bb8bea8d2b0b4e,
  0x8bee24b1e7942e0e, 0x95fa8f84bf10d848, 0x6f7ccf1771b97224, 0x2f51e56804a76b73, 0xc5738fa8f83660e3,
  0x384e1b875f62d314, 0xc90752135f4b632e, 0xddba04621ce7576e, 0xe416c6abc6c75e74, 0xcbe701c762d313e8,
  0x0d51b044c8e1bd96, 0x27969d28a166a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381,
  0xccbe6d97063b7fbd, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xb4f257ee68665874, 0x00000010444b6857,
};

// m16a_autobaud_uart0_lednop_hw
static const uint64_t ur_m16_autobaud_uart0_lednop_hw[] = {
  0x12dddddddd66fcc5, 0x77777775579841af, 0x43685ef67df9bb6f, 0x15e95d7993ddddd0, 0x6cada93bb50d4dee,
  0x1e7cf59827c60241, 0x4d328110297dff87, 0x5faa2175fedd7017, 0xb09f169da1270499, 0x7f063efd4759e77c,
  0x016594c37c9e8e3a, 0x47cecf6919a4398b, 0xca69500ffd9823af, 0x28a2b0503cb3db33, 0x68e8c5302027969d,
  0xe53633a071479f12, 0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0xe7f61bb612e65f36, 0x9c6592e19e985727,
  0x6866587494b65928, 0xcb438bec14f257ee, 0x0000000000000036,
};

// m16a_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m16_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xd49dd322d3b6c31f,
  0x2b4c13e30120b656, 0xa04408a1ffd0a67f, 0x885d7fb75c05d34c, 0x85a76849c12657ea, 0xa8f2b3d66ab5a39b,
  0xbd2bd47c1b3063e7, 0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x188739d5a5f245c6, 0xd56ba1d79d376e81,
  0x38ec5a627d1c82d8, 0x11fadc37b2d97ce0, 0x4a280129afc3546c, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x16279fadd14f257e,
};

// m16a_autobaud_uart0_lednop_ce_hw
static const uint64_t ur_m16_autobaud_uart0_lednop_ce_hw[] = {
  0xc4b777777759bb37, 0xdddddddd55e6138f, 0xa1c7edbe2d22ef8f, 0x1a6c401b6d88eeee, 0x482d95b52776c7b2,
  0xe1c79fa95304f8c0, 0x05d34ca04408c7ff, 0x2657ea885d7fb75c, 0xdff52785a76849c1, 0xdbf9f9e3250383e1,
  0xc05c67309cee3723, 0xf83d62f51c4fcf72, 0xcc580ab3d05c71d3, 0x8ebc5ced8cd1eb11, 0xa5141d4b2dc72c67,
  0x4d1d18a60404f2d3, 0x2f29b19d038a3cb7, 0xae63042d37aaeaa7, 0x997cdb4f43aa702e, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000019562fafb053,
};

/*
 * m16_autobaud_uart0_lednop_ee_ce_u4_hw m16a_autobaud_uart0_lednop_ee_ce_hw
 * m16a_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0x5304f8c0482d95b5, 0x1102ff9ff4299fd3, 0x175fedd70174d328, 0x69da12704995faa2, 0xc1cd37717d51a561,
  0x09117dc4963cf285, 0x199f3f51f097e21b, 0x6e6def99e2ee3726, 0x1c65ea3cad0094ed, 0x6298ae71f51f06cc,
  0x65c709c370ebec5a, 0xedd920ea426be96c, 0xce9bb7408c439cea, 0x7d1c82d8d578d8eb, 0xb2d97ce038ec5a62,
  0xd7e1aa3608991c37, 0x0404f2d3a5142cd4, 0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa,
  0x84b997cdb2e0c76f, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f,
  0x494b67c09c6592e1, 0x514f257ee6866587, 0x0000000004a912da,
};

// m16a_autobaud_uart0_dual
static const uint64_t ur_m16_autobaud_uart0_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0x49376ee3ad1ab59f,
  0x1cc13e30120b656d, 0xb3c47b26460aa45e, 0x4fb97185027c4df6, 0xd66287f995c7ae77, 0x37a8ff3b6121ce05,
  0xe08a11c913f8328b, 0x1b87c2886257f9fb, 0x1955ddeef9b87040, 0x65af150865a19222, 0x397b7dbfff4073c2,
  0xef641e60b0ab3317, 0x0174d328110297df, 0x4995faa2175fedd7, 0x77cb09f169da1270, 0xe3a7f063efd4759e,
  0x98b016594c37c9e8, 0x3af47cecf6919a43, 0xcaccaca2771cb182, 0x969d28a4fe67d1cc, 0x9f1268e8c5302027,
  0x54e5e53633a07147, 0x169b167a1d53815d, 0x5f36cb88ab7fbd55, 0xfb1726ae0f3612e6, 0x32c970cf4c2b93f3,
  0x4332c3a4a5b3e04e, 0x4f4e3324e792bf73, 0x0000000000000c9e,
};

// m16a_autobaud_uart0_dual_pr
static const uint64_t ur_m16_autobaud_uart0_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd33e81664519eeee, 0x6d49376ee3ad1a8e,
  0x33e4c13e30120b65, 0xf6b3c47b26460aa4, 0x774fb97185027c4d, 0xe05d66287f9956ee, 0x28b37a8ff3b6121c,
  0x9fbe08a11c913f83, 0x6c01b87c2886257f, 0x2221955ddeef9b9a, 0x3c265af150865a19, 0x317397b78f7ff407,
  0x695fe3e0a60b0ab3, 0xf6eb80ba69940881, 0x093824cafd510baf, 0x1f9e3be584f8b4ed, 0xdafa38e9fc18fbf5,
  0xe33398b016594d70, 0x630475e8f9da4151, 0xa399959958e9ee39, 0x404f2d3a5149fccf, 0xdf3a071479d18a60,
  0x085a72460d4d894f, 0x6da7a1d538107714, 0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x5566c26b15ed3c95,
};

// m16a_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m16_autobaud_uart0_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0xc029a744eddddb22, 0xa16eeaefc89086d3,
  0xc13e30120b656d49, 0xc47b26460aa4759c, 0xb97185027c4df6b3, 0x2695df9956ee774f, 0x7a8e52f60c14e181,
  0x08a11c913f8374b3, 0xb87c2886257f9fbe, 0x955ddeef9b816801, 0x649150865a138a21, 0xe5eddfcffa039e13,
  0xf8f82982c2accc5c, 0xe02e9a6502205d47, 0x0932bf5442ebfdba, 0x677cb73c2d3b424e, 0x8e3a7f06f6bd47b8,
  0x398b01758a67bed6, 0x1d780d4ed5fd1a0b, 0x6c7dd12a807fecc1, 0x47332b31c7c0f2cf, 0x809e5a74a293f99f,
  0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x4b997cdb2e22adfe, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xaf69e4afdcd0ccb0, 0x000000002e0b3e08,
};

// m16_autobaud_uart0_dual_pr_ee_u4  m16a_autobaud_uart0_dual_pr_ee    m16a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m16_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0x3c330a136d75b9ce,
  0x02416cada9302ddc, 0x9182a90b829827c6, 0x409f137dacf11ec9, 0xe655bb9dd3ee5c61, 0x5b07f870c41335df,
  0x489fc1ffc9bd47d3, 0x4312bfcfdf04508e, 0xef9b9d6600dc3e14, 0x0cb4182a21955dde, 0xbfe80e784d21e2a1,
  0x16156662e72f6e4e, 0x5022052bbfc7c14c, 0x442ebfdbae02e9a6, 0x42d3b424e0932bf5, 0xa8f2bdbf355ad1e9,
  0xbeebd47c1b307f27, 0x270dc3afb169bbe2, 0x7e6909afa5b1971c, 0x3278e756979c5702, 0x55ae875ec66edbda,
  0x38ec5a7cf2348763, 0x23f5b86f65deece0, 0x656601512a0ea8d8, 0xcb4e94527f33e8e6, 0xcf89347462981013,
  0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae, 0x2f9b65c455bfdeaa, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000a54891795ed,
};

// m16_autobaud_uart0_dual_pr_ce_u4  m16a_autobaud_uart0_dual_pr_ce    m16a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m16_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda243573e, 0x7777777565a13eef, 0x94e67c10c7b6d6b7, 0x5bf79f7b2b777605, 0x1dbb9717dd95c759,
  0x04f8c0482d95b525, 0x47b26460aa42baf3, 0x97185027c4df6b3c, 0xd3b7f9956ee774fb, 0x8e337b0dda3826dc,
  0xa11c913f830b537a, 0x7c2886257f9fbe08, 0xbbbddf372f0c01b8, 0x454219684874432a, 0xdf677fd01cf09bf7,
  0x82982c2accc5ce5e, 0xd34ca04408a1ff8f, 0x57ea885d7fb75c05, 0xf59b85a76849c126, 0x2c79e50b838fe5c5,
  0xe12fc4361222fb89, 0xf1771b9a69fe7ea3, 0x47e827b9633c4fcc, 0xf3a48e3a7f0682fd, 0xb57f4682ce62c051,
  0xa01ffb33c75e0353, 0x1c7c0f2d6e1f744a, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0x65c18edfef5545a6, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x2b5ef6bd95ed3c95,
};

// m16a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m16_autobaud_uart0_dual_pr_ee_ce[] = {
  0x9bbbbbbba8286f97, 0xddddddd5817d77df, 0xc935d00957efb8dd, 0x2656a19991ddfb49, 0xcf04675c7f53a26f,
  0x602416cada92769d, 0x32305523b8f9827c, 0x2813e26fb59e23d9, 0xfccab773ba7dcb8c, 0xbd84c31c19f26eb3,
  0x489fc18a49bd4735, 0x4312bfcfdf04508e, 0xdf370c0200dc3e14, 0x196813a4432abbbd, 0x7fd01cf09b674542,
  0x2c2accc5ce5edf4d, 0xa044082d7f8f8298, 0x885d7fb75c05d34c, 0xc5a76849c12657ea, 0x17073021dff546be,
  0xcee3719f3acff3ca, 0xe4494ed6562f9309, 0x51f06cc1a63ea3ca, 0x1d7d8b4c531584ff, 0x4d7d2d8cb8e1386e,
  0xc9e39d5dba711d48, 0xaf1b1d7b19bb6f68, 0xc762d3e791a43b1a, 0x8991c37b2ef76701, 0x95996744a83aa360,
  0x2d3a5149fccfa399, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0x7cdb2e0c76ff7aaa,
  0x165abc6e3cd84b99, 0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x4af69e4afdcd0ccb, 0x000000000fd5b1d1,
};

// m16a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7672df, 0xbbbbbab2099137e6, 0x64da27e66f7eafbb, 0x91f69dbbd7655ee1, 0xa592b00df5c7e577,
  0xda9210ddccfae5f5, 0xc939827c602416ca, 0x6b3c47b26460aa41, 0x74fb97185027c4df, 0x47e6524fccb4b7e7,
  0x37a8f495b0672387, 0xc114239227f07d67, 0x370f8510c4aff3f7, 0x955ddeef9b8aeb80, 0x4fc54219686ed221,
  0x7b7c6effa039e137, 0x9e4e60b0ab331739, 0x74d32811029dbffe, 0x95faa2175fedd701, 0x51975169da127049,
  0x1e7942f3b383717d, 0x4bf10d8488bee24b, 0xee3714939bffa8f8, 0x4494ed6e6d7c99e2, 0x1f06cc1a63ea3cae,
  0xd7d8b4c531584ff5, 0xd7d2d8cb8e1386e1, 0x9e39d5dba711d484, 0xf1b1d7b19bb6f68c, 0x762d3e791a43b1aa,
  0x991c37b2ef76701c, 0x5996744a83aa3608, 0xd3a5149fccfa3999, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3,
  0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2, 0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x6cf5422149e4afdc,
  0x00000000000003f5,
};

// m16a_autobaud_uart0_dual_hw
static const uint64_t ur_m16_autobaud_uart0_dual_hw[] = {
  0x9bbbbbbb448692df, 0xeeeeeeead0bdd95f, 0x719ba81624747b6e, 0xc0534e89dbbbb645, 0x49a16ee51f421d26,
  0x9cc13e30120b656d, 0xb3c47b26460aa475, 0x4fb97185027c4df6, 0x812695df9956ee77, 0xb37a8e52f60c14e1,
  0xbe08a11c913f8374, 0x01b87c2886257f9f, 0x21955ddeef9b8168, 0x13649150865a138a, 0x5ce5eddfcffa039e,
  0xa3fc493982c2accc, 0xdd70174d3281102e, 0x2704995faa2175fe, 0xdc33be5b9e169da1, 0x6b471d3f837b5ea3,
  0x059cc580bac533df, 0x608ebc06a76afe8d, 0x67b63ee895403ff6, 0xcfa3999598e3e079, 0x60404f2d3a5149fc,
  0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a, 0x6c25ccbe6d971156, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x0a8a792bf734332c,
  0x0000000001e8dd3e,
};

// m16a_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m16_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb448687e1, 0xddddddd58198ebdf, 0x367df5decad44fdd, 0x6cb563bf23ba52ac, 0x715ede0b5a3f739d,
  0x180905b2b6a4c0b7, 0x26460aa42e0a609f, 0x85027c4df6b3c47b, 0x7f9956ee774fb971, 0x4d6c1fe1c3104cd7,
  0x39227f07ff26f51f, 0x510c4aff3f7c1142, 0x7bbe6e75980370f8, 0x8432d060a8865577, 0x3affa039e134878a,
  0x305855998b9cbdb9, 0x4ca0440a577f8927, 0xea885d7fb75c05d3, 0xd285a76849c12657, 0x4f51e57b7e6ab5a3,
  0xc57dd7a8f83660fe, 0x384e1b875f62d377, 0x04fcd2135f4b632e, 0xb464f1cead2f38ae, 0xc6ab5d0ebd8cddb7,
  0xc071d8b4f9e4690e, 0xb047eb70decbbdd9, 0xcccacc02a2541d51, 0x27969d28a4fe67d1, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000005839245f45,
};

// m16a_autobaud_uart0_dual_ce_hw
static const uint64_t ur_m16_autobaud_uart0_dual_ce_hw[] = {
  0x9bbbbbbb4486c541, 0xeeeeeeeacb427ddf, 0x29ccf8218f6dad6e, 0x77ef3ef656eeec0b, 0x9476eeb047f0ea8c,
  0xcc13e30120b656d4, 0xf11ec99182a90aeb, 0xee5c61409f137dac, 0x734edfe655bb9dd3, 0xea38cdec3768e09b,
  0x22847244fe0c2d4d, 0xe1f0a21895fe7ef8, 0xaaeef77cdcbc3006, 0xdd150865a121d10c, 0x7b7d9dff4073c26f,
  0x124e60b0ab331739, 0x0ba69940881143ff, 0x4cafd510baff6eb8, 0x8beb370b4ed09382, 0x1258f3ca17071fcb,
  0x47c25f886c2445f7, 0x678bb8dc31f19bfd, 0xea3f413dcb19e27e, 0x8f9d2471d3f83417, 0x9dabfa3416731602,
  0x5500ffd99e3af01a, 0x98e3e0796b70fba2, 0x3a5149fccfa39995, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e,
  0x362cf43aa702baa9, 0xdb2e0c76ff7aaa2d, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0bd1bb6bdd14f257,
};

// m16a_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m16_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdddddddd41437089, 0xeeeeeeac0bebbefc, 0x49ae804abf7dc6ee, 0x32b50ccc8eefda4e, 0xbaf27acadada1379,
  0x8c0482d95b524ed3, 0x26460aa4771f304f, 0x85027c4df6b3c47b, 0x7f9956ee774fb971, 0xb7b09863833e4dd6,
  0xc913f8314937a8e6, 0x886257f9fbe08a11, 0xbbe6e180401b87c2, 0x432d027488655777, 0xaffa039e136ce8a8,
  0x05855998b9cbdbe9, 0xca044082d7f89273, 0xa885d7fb75c05d34, 0xec5a76849c12657e, 0xa17073021dff546b,
  0x9cee3731bbb07f3c, 0xae4494ed6562f930, 0xf51f06cc1a63ea3c, 0xe1d7d8b4c531584f, 0x84d7d2d8cb8e1386,
  0x8c9e39d5dba711d4, 0xaaf1b1d7b19bb6f6, 0x1c762d3e791a43b1, 0x08991c37b2ef7670, 0x995996744a83aa36,
  0xf2d3a5149fccfa39, 0xf3e24d1d18a60404, 0xaa9cbca6c6740e28, 0xa2d362cf43aa702b, 0x97cdb2e0c76ff7aa,
  0xfa9b0ec6e3cd84b9, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c, 0x5a29e4afdcd0ccb0,
  0x0000000002134c74,
};

// m16a_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468ce4a, 0xbbbbbbab2099137e, 0xf70b26d13f7337bb, 0x2bbc8fb4eddebb2a, 0xee62b37d2befae3f,
  0x30120b656d49086e, 0x32305520e49cc13e, 0x2813e26fb59e23d9, 0xfccbb093ba7dcb8c, 0x5b067238747e6524,
  0x227f07d6737a8f49, 0x0c4aff3f7c114239, 0xf9b8aeb80370f851, 0x9686ed221955ddee, 0xfa039e1374fc5421,
  0x0ab3317397b7c6ef, 0x22053b7fe756e60b, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x838706e2faa32ea2,
  0x9117dc4963cf1be1, 0x2e47f51f097e21b0, 0xe6d7c99e2ee3712a, 0xa63ea3cae4494ed6, 0x531584ff51f06cc1,
  0xb8e1386e1d7d8b4c, 0xba711d484d7d2d8c, 0x19bb6f68c9e39d5d, 0x91a43b1aaf1b1d7b, 0x2ef76701c762d3e7,
  0xa83aa3608991c37b, 0xfccfa39995996744, 0x8a60404f2d3a5149, 0x6740e28f3e24d1d1, 0x3aa702baa9cbca6c,
  0x76ff7aaa2d362cf4, 0x3cd84b997cdb2e0c, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x3e05f4f257ee6866, 0x000000000084d30d,
};

// m16_u1x8_uart0_noled_pr           m16a_u1x8_uart0_noled             m16a_u1x8_uart0_noled_pr
static const uint64_t ur_m16_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x6a4ee8c05ec46c7e,
  0xb5e609f180905b2b, 0xedb021bffe90133e, 0xafe77cb09f169da2, 0x9e8e3a7f063efd47, 0xcf1cc580b2ca6117,
  0xcc11d7a3e760e28c, 0xb3db535f86a807fe, 0x27969d28a159503c, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0x6c25ccbe6da5fe2a, 0x790347f1a2c79c37, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xd2cdcf257ee68665, 0x0000000001f2163f,
};

// m16a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m16_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x7717d4526764777f,
  0x04f8c0482d95b527, 0x086fffb9af9f5af3, 0xdf2c27c5a768bb6c, 0x8e9fc18fbf51ebf9, 0x31602cb29845e7a3,
  0x75e8f9d838a333c7, 0xd4d7e1aa01ffb304, 0xa74a2856540f2cf6, 0xa3cdec9a3a3149e5, 0x047f529794deb9f8,
  0xd5516953e9e8754e, 0x732f9b697f8ab7fb, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0001f2696d0c939e,
};

// m16_u1x8_uart0_noled_pr_ee_u4     m16a_u1x8_uart0_noled_pr_ee       m16a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m16_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0x466539a594a7a6d4,
  0x3e30120b656d49dd, 0x80dfee6be7ff74c1, 0x68e6e169da2edb02, 0x18f9ea3cae719aad, 0xddf15cbef51f06cc,
  0xcb8e1386e1d7d8b4, 0x8ae3593484d7d2d8, 0x659e8c4f9cead2e9, 0x19d8d56ba1d79d37, 0xbe701c762d34168f,
  0x2a3608fd6e1bd96c, 0xf2d3a51400bf0c03, 0xfc51e6f64d1d18a4, 0xa7023fa94bca6f5c, 0xfdeaa8b4a9f4f43a,
  0x84b997cdb4bfc55b, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000013affd50649,
};

// m16a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m16_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0x6d49ddcc490a86b4,
  0xe0a4c13e30120b65, 0x176d817c9fe90133, 0xe2d73bfea4f0b4ed, 0x1b9fb92b7e78c940, 0xe7b9602e33984e77,
  0x38e9fc1eb17a8e82, 0xe1a8e62c0559e90e, 0xcb19e3af173b5128, 0x7969d28a0ebf0f71, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x84b997cdb4bf98ed, 0x2068fe3458f386ed, 0xc33d30ae4fdd598f,
  0xe9296cb25138cb25, 0x59b9e4afdcd0ccb0, 0x0000000002dd79ca,
};

// m16a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m16_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba8911259b, 0xbbbbaabcc2171896, 0xdbf4af263bd7a7bb, 0xfc78d7ddddd5bc4e, 0x3bb2eec48338170b,
  0x9827c602416cada9, 0xd81195fee6be7dfc, 0xfb8bea988b4ed176, 0xf71258f3c64a9d84, 0xfd47c25f886c2445,
  0x5933c5dc6e58fffc, 0xa4f51dafa7b9633f, 0x05b8621e38e9fc19, 0x1f3b07146678e62c, 0xfc35403ff6678ebd,
  0x5142b2a0796b729a, 0x6f64d1d18a4f2d3a, 0xfa94bca6f5cfc51e, 0x8b4a9f4f43aa7023, 0xf9b697f31dbfdeaa,
  0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x375c202cc939e4af,
};

// m16a_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m16_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22044, 0xdddd55e71341625b, 0x99fb243e9e989ddd, 0x6f5217bddf1f63c6, 0xa4e570421b45a8a5,
  0x180905b2b6a4eea0, 0x6ff735f3e4ea609f, 0xd2b0b4ed176d8145, 0x3c64a9dcaeb8bea8, 0xf886c2445f71258f,
  0x1b9cb4cdffd47c25, 0x4a76b736f7ccf177, 0x83660e32f51e560a, 0xf62d314c57377a8f, 0xf4b632e384e1b875,
  0xce7576e4c4752135, 0xd8ebce9bb2cf4627, 0x2d34168f19d8d578, 0x8e1bd96cbe701c76, 0x167f8601951b044c,
  0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a, 0xc9ab83cd84b997cd,
  0xc7903f2868b3a7c5, 0x13f9430a9cfd4eac, 0x9a1e64ff1738cbf3, 0x9e985727e39effe0, 0x494b67c09c6592e1,
  0x49cf257ee6866587, 0x0000000009f9d3c6,
};

// m16a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0xf8c0482d95b52774, 0x7dffb9af9f8ad304, 0x475285a768bb6c0b, 0x79e3254ed82dc5f5, 0x2fc4361222fb892c,
  0xdc6e33e759fea3e1, 0xc929dadcdc6533c5, 0x3e0d983117d4795f, 0xd7d8b4c5315c43ea, 0xd7d2d8cb8e1386e1,
  0xe273abb76451d484, 0x363af5d4dd843a30, 0x169c82a35356355e, 0x1c37b2e1cb380e3b, 0x3cb4e945318fe199,
  0x3f1479bd93474629, 0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0xc25ccbe6da5fcc76, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x00000013f122f324,
};

// m16a_u1x8_uart0_noled_hw
static const uint64_t ur_m16_u1x8_uart0_noled_hw[] = {
  0xddddd7707ad9bb37, 0xeeeeaaee7260f12d, 0xb56f5f1c7af26eee, 0xf838716eeed27c2c, 0xd49ddb1ec869b1bb,
  0x6bcc13e30120b656, 0xedb021bfff871e7d, 0xafe77cb09f169da2, 0x9e8e3a7f063efd47, 0xcf1cc580b2ca6117,
  0xcc11d7a3e760e28c, 0xb3db535f86a807fe, 0x27969d28a159503c, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0x6c25ccbe6da5fe2a, 0x1854e7ea5eae371e, 0x27f8b9c65f989fca, 0xb93f1cf7ff04d0f3,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x003a20f63ff60a79,
};

// m16a_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m16_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0xe9827c602416cada, 0x6d81406ffa14cffe, 0xcd56b47370b4ed17, 0x83660c7cf51e5738, 0xec5a6ef8ae5f7a8f,
  0xe96c65c709c370eb, 0x6974c571ac9a426b, 0xce9bb2cf4627ce75, 0x0b478cec6ab5d0eb, 0xecb65f380e3b169a,
  0x8601951b047eb70d, 0x8c527969d28a005f, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa,
  0x71e6c25ccbe6da5f, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x3a41e8a792bf7343, 0x00000000000002df,
};

// m16a_u1x8_uart0_noled_ce_hw
static const uint64_t ur_m16_u1x8_uart0_noled_ce_hw[] = {
  0x5bbbbbaeed66fcc5, 0xdddddd55dce435e2, 0xa097bd9f7e6edbdd, 0xf4aebcc9eeeea449, 0x56d49dda86a6f70a,
  0x3e7acc13e30120b6, 0xd176d814beffc38f, 0x073243bfeb6b0b4e, 0xb8dca95fbbf3c64a, 0x5f4f72c05d64c273,
  0x3c71d3f83349ea3b, 0x28ccf1cc580b70c4, 0x7feccf1d7a3e760e, 0x40f2d6e535f86a80, 0xa3149e5a74a28565,
  0x4deb9f8a3cdec9a3, 0x9e8754e047f52979, 0xe63b7fbd5516953e, 0x61bb612e65f36d2f, 0x592e19e985727e7f,
  0x6587494b659289c6, 0x38bec14f257ee686, 0x000000000000c428,
};

// m16_u1x8_uart0_noled_ee_ce_u4_hw  m16a_u1x8_uart0_noled_ee_ce_hw    m16a_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0x4c13e30120b656d4, 0x6c0a2b7fd0a67c9d, 0xc5f5469585a768bb, 0x1258f3ca17072575, 0x47c25f886c2445f7,
  0x678bb8dcec1bc3fd, 0xf2b05253b5b9b7be, 0xbbd47c1b307197a8, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x7a313e73abb72623, 0xc6abc6c75e74dd96, 0x80e3b169a0b478ce, 0xd8226470decb65f3, 0x4e9450b3fc300ca8,
  0x479bd934746293cb, 0x08fea52f29bd73f1, 0xaaa2d2a7d3d0ea9c, 0xccbe6da5fcc76ff7, 0x9cfd4176371e6c25,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x0000001404015a8a,
};

// m16_u1x8_uart0_lednop_pr          m16a_u1x8_uart0_lednop            m16a_u1x8_uart0_lednop_pr
static const uint64_t ur_m16_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0x527746de3b266f4f,
  0x43304f8c0482d95b, 0xdb6043e7fa404cfc, 0xb3cef9613e2d3b45, 0x3d1c74fe0c7dfa8e, 0x48731602cb2986f9,
  0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0x47f1a2c79c376c25, 0xe985727eeacc7903, 0x4b659289c6592e19,
  0xcf257ee686658749, 0x000001f2070a52cd,
};

// m16a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0xbb0cc8fc0069767f,
  0x827c602416cada93, 0x810f9fee6be7e219, 0x3be584f8b4ed176d, 0x71d3f831f7ea3acf, 0xcc580b2ca61be4f4,
  0x1d7a3e767b48cd21, 0xd99e534a807fecc1, 0xb4e945158281e59e, 0xf89347462981013c, 0xa72f29b19d038a3c,
  0xb4d8b3d0ea9c0aea, 0xf9b65c455bfdeaa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x3e4cc224c939e4af,
};

// m16_u1x8_uart0_lednop_pr_ee_u4    m16a_u1x8_uart0_lednop_pr_ee      m16a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xf180905b2b6a4eee, 0x45ff735f3ff3a609, 0x47370b4ed176d811, 0xc7cf51e567acd56b, 0x77c57a57a8f83660,
  0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0xdd02310e73ab4be4, 0x05b1aad743af3a6e, 0xf9c071d8b4c4fa39,
  0xa8d823f5b86f65b2, 0xcb4e945002535f86, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0x2f9b65c455bfdeaa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x013ae838cc939e4a,
};

// m16a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0x56d49ddb1ec842f3,
  0x3e804c13e30120b6, 0xd176d814ddfe9013, 0x072213bfea4f0b4e, 0xb8dcf9d21ff3c64a, 0x3f3dcb01719cc273,
  0x71c74fe0f58bd471, 0xa3d62398b017a0a9, 0x8e58cf1d78b9d87d, 0x09e5a74a283a535b, 0x51e7c49a3a314c08,
  0x575539794d8ce81c, 0x5545a6c59e8754e0, 0x732f9b65c18edfef, 0xd1fc68b1e70ddb09, 0x7a615c9fbab31e40,
  0x52d964a271964b86, 0x73c95fb9a19961d2, 0x0000000b752494b3,
};

// m16a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba89110cc5, 0xddddd55e61331896, 0xb8edbf16a6f70add, 0x60bd88eeeeeade24, 0x9dd8361b8fd9ba6a,
  0x4c13e30120b656d4, 0xb0231ffee6be7ea5, 0xf717d531169da2ed, 0xee24b1e78c953bdb, 0xfa8f84bf10d8488b,
  0x64cf1771b9bb49b7, 0xa4f51f9e9ee58cfd, 0x02ef782e38e9fc19, 0x8f9d9ed233487316, 0x94d2a01ffb33c75e,
  0x945158281e5adc67, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0xcb831dbfdeaa8b4d,
  0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xbf5419273c95fb9a, 0x00000000000006eb,
};

// m16a_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a232a8, 0xdddd55e71364625b, 0x28d3643c8ef25ddd, 0xef5217bddf1f63e8, 0x68d51399f2e323e6,
  0x180905b2b6a4ee9d, 0x3fee6be7e87e609f, 0xa56169da2edb0238, 0x78c953bd37717d51, 0xf10d8488bee24b1e,
  0x1b9d66c87fa8f84b, 0x4a76b736f7ccf177, 0x83660e32f51e5680, 0xf62d314c5738fa8f, 0xf4b632e384e1b875,
  0xce7576ec90752135, 0x6c75e74ddba04621, 0x2d313e8e416c6abc, 0x8e1bd96cbe701c76, 0x166a6bf0d51b044c,
  0x8c5302027969d28a, 0x633a071479f1268e, 0xa1d53815d54e5e53, 0x63b7fbd55169b167, 0xc1e6c25ccbe6d970,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0000027e2ec324e7,
};

// m16a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x27c602416cada93b, 0x5b3bfdcd7cf9c198, 0xaa3a942d3b45db60, 0x63cf192a7795ae2f, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0xe6e94ed6e6e3299e, 0x51f06cc188bea3ca, 0x0ebec5a6298ad7cf, 0x26be96c65c709c37,
  0xded1ceaedcf78ea4, 0x78d8ebd75376c168, 0x762d30e28ccf58d5, 0x32386f65c396701c, 0x013cb4e945318a9a,
  0x8a3cf89347462981, 0x0aeaa72f29b19d03, 0xeaa8b4d8b3d0ea9c, 0x2e65f36cb831dbfd, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000004fc08599273,
};

// m16a_u1x8_uart0_lednop_hw
static const uint64_t ur_m16_u1x8_uart0_lednop_hw[] = {
  0x77775dda82cdfc4f, 0xbbbaabb9c8c9c4b7, 0xc1f561b4df17bbbb, 0xe6f87f777693e164, 0x5277617ad1a826cf,
  0x43304f8c0482d95b, 0xedb021f3ff0e3cfc, 0x59e77cb09f169da2, 0x9e8e3a7f063efd47, 0xa4398b016594c37c,
  0x9823af47cecf6919, 0xb3db33ca69500ffd, 0x27969d28a2b0503c, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0xe7ea6c3b1b8f3612, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34,
  0xc3a4a5b3e04e32c9, 0xa760a792bf734332, 0x0000000003a20e70,
};

// m16a_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m16_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0x304f8c0482d95b52, 0xb0228bff4299ff9d, 0xaad68e6e169da2ed, 0x6cc18f9ea3cacf59, 0xc5a6ef8af4af51f0,
  0x96c65c709c370ebe, 0x97c9171ac9a426be, 0x74ddba04621ce756, 0xf4720b6355ae875e, 0xcb65f380e3b16989,
  0xbf0d51b047eb70de, 0x2027969d28a004a6, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53,
  0x12e65f36cb88ab7f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000b7c0bb5,
};

// m16a_u1x8_uart0_lednop_ce_hw
static const uint64_t ur_m16_u1x8_uart0_lednop_ce_hw[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9c988c4, 0x8235cbdf89d2e3bb, 0x36d8c48bbbba9126, 0xcada93bb0bd68d41,
  0xe7e449827c602416, 0xed176d81695ff871, 0xa070143bfeb6b0b4, 0x3b8dc727f3bf3c64, 0xfcf4f72c05d64c27,
  0xc171c74fe0cd27a8, 0xf6919a4398b0177b, 0x00ffd99e3af47cec, 0xc140f2d6e33ca695, 0x14c0809e5a74a28a,
  0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xedfef5545a6c59e8, 0xddb09732f9b65c18, 0x970cf4c2b93f3fb0,
  0xc3a4a5b2c944e32c, 0xc760a792bf734332, 0x0000000000062145,
};

// m16_u1x8_uart0_lednop_ee_ce_u4_hw m16a_u1x8_uart0_lednop_ee_ce_hw   m16a_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0xcc13e30120b656d4, 0xd811c1ffa14cfd0f, 0x8bea8d2b0b4ed176, 0x24b1e7942e0e69bb, 0x8f84bf10d8488bee,
  0xcf1771b930ccf9fa, 0xe56804a76b736f7c, 0x8fa8f83660e32f51, 0x1b875f62d314c573, 0x52135f4b632e384e,
  0x04621ce7576ec907, 0xc6abc6c75e74ddba, 0x01c762d313e8e416, 0xb044c8e1bd96cbe7, 0x9d28a166a6bf0d51,
  0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54, 0x6d97063b7fbd5516, 0x4176371e6c25ccbe,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x002808d60a8a792b,
};

// m16_u1x8_uart0_dual_pr            m16a_u1x8_uart0_dual              m16a_u1x8_uart0_dual_pr
static const uint64_t ur_m16_u1x8_uart0_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x27c602416cada92a, 0x47b26460aa462098, 0x97185027c4df6b3c, 0x28bf995c7ae774fb, 0x478f7b07f0e0bee6,
  0x2847244fe0fba9bd, 0x1f0a21895fe7ef82, 0x5777bbe6e604006e, 0x48a8432d083e8865, 0xf6e0a7fd01cf09ba,
  0xc83cc16156662e72, 0x69da2edb021f3fde, 0xefd4759e77cb09f1, 0x4c37c9e8e3a7f063, 0xf6919a4398b01659,
  0x771cb1823af47cec, 0xfe67d1cccaccaca2, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536,
  0xab7fbd55169b167a, 0x0f3612e65f36cb88, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x494b67c09c6592e1,
  0x49cf257ee6866587, 0x00000000188371e6,
};

// m16a_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m16_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x20eead5779dad9b8,
  0x09f180905b2b6a4b, 0x11ec99182a902926, 0xe5c61409f137dacf, 0x99d2fe655bb9dd3e, 0xea3d4ad87ee38256,
  0x22847244fe0cc7cd, 0xe1f0a21895fe7ef8, 0x55777bbe6e69b006, 0x1f8a8432d05ae886, 0x5edcf5ffa039e134,
  0x8f82982c2accc5ce, 0xc2d3b45db605f27f, 0x6f6bd47b8677cb73, 0x58a67bed68e3a7f0, 0xed5fd1a0b398b017,
  0xa807fecc11d780d4, 0x1c7c0f2cf6c7dd12, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x029261358af69e4a,
};

// m16_u1x8_uart0_dual_pr_ee_u4      m16a_u1x8_uart0_dual_pr_ee        m16a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x2416cada931c5dd9, 0x182a900009827c60, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0x61d3e70b1f9bfe7e,
  0x27f067066f51e87f, 0xc4aff3f7c1142392, 0xf3705200370f8510, 0x9687ee4432abbbdd, 0xfe80e784cfe45421,
  0x6156662e72f6f95b, 0xdb604e97fc7c14c1, 0xf355ad1e942d3b45, 0xc1b307f27a8f2bdb, 0xfb169bbe2beebd47,
  0xfa5b1971c270dc3a, 0x6979c57027e6909a, 0xec66edbda3278e75, 0xcf234876355ae875, 0xf65deece038ec5a7,
  0x12a0ea8d823f5b86, 0x27f33e8e66566015, 0x462981013cb4e945, 0xb19d038a3cf89347, 0xd0ea9c0aeaa72f29,
  0x455bfdeaa8b4d8b3, 0xdc79b09732f9b65c, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x91f8115ed3c95fb9, 0x0000000000000015,
};

// m16_u1x8_uart0_dual_pr_ce_u4      m16a_u1x8_uart0_dual_pr_ce        m16a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44865c93, 0x777775685fb2afcd, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xf180905b2b6a4f91, 0xb26460aa41806609, 0x185027c4df6b3c47, 0xb5f9956ee774fb97, 0xe35b604e8e096a60,
  0x11c913f83d3737a8, 0xc2886257f9fbe08a, 0xddeef9b988001b87, 0x150865a0fe221955, 0x7297ff4073c26dbf,
  0x0a60b0ab3317397b, 0x9da2edb0228bfe3e, 0x2e0e3f9717d66e16, 0xd8488bee24b1e794, 0x69a7f9fa8f84bf10,
  0xe58cf13f33c5dc6e, 0xe9fc1a0bf51fa09e, 0x0b398b0147ce9238, 0xcf1d780d4ed5fd1a, 0xb5b87dd12a807fec,
  0x67d1cccacc71f03c, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d,
  0x6c25ccbe6d97063b, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x7c57b4f257ee6866, 0x00000000000d245e,
};

// m16a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m16_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbac1fb0486f97, 0xddddd5817d77df9b, 0x35d00957efb8dddd, 0x56a19991ddfb49c9, 0x04675c7f53a26f26,
  0x2416cada92769dcf, 0x305523b8f9827c60, 0x13e26fb59e23d932, 0xcab773ba7dcb8c28, 0x84c31c19f26eb3fc,
  0x9fc18a49bd4735bd, 0x12bfcfdf04508e48, 0x370c0200dc3e1443, 0x6813a4432abbbddf, 0xd01cf09b67454219,
  0x2accc5ce5edf4d7f, 0x6c082d7f8f82982c, 0xc5f5465d45a768bb, 0x1258f3ca17070e0d, 0x47c25f886c2445f7,
  0x678bb8dc67ceb3fd, 0xf2b91253b5b9b5f2, 0x3fd47c1b30698fa8, 0x1b875f62d314c561, 0x52135f4b632e384e,
  0xda3278e7576e9c47, 0xc6abc6c75ec66edb, 0xc071d8b4f9e4690e, 0xd8226470decbbdd9, 0xe6656659d12a0ea8,
  0x13cb4e94527f33e8, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0xe65f36cb831dbfde,
  0xe34596af1b8f3612, 0x54e7ea75666fe0ee, 0x343cc9fe04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0x7452bda792bf7343, 0x0000000000002000,
};

// m16a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5817d17df, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0x7c602416cada9361, 0xd932305523b8f982, 0x8c2813e26fb59e23, 0x86fccab773ba7dcb, 0x8a4d87eb9c0d6e69,
  0x8e489fc1d6fcdea3, 0x144312bfcfdf0450, 0xdeef9b849400dc3e, 0xa10cb422b221955d, 0xa6bfe80e784d2ba2,
  0x4c16156662e72f6f, 0xb45db60416bfc7c1, 0x995ae2faa3f9c2d3, 0x22fb892c79e50b83, 0x21fea3e12fc43612,
  0xda6333c5dc6e759b, 0x17d4795a0129dadc, 0x62b5f3d47c1b3079, 0x1c270dc3afb1698a, 0x2623a909afa5b197,
  0x9db05a310e73abb7, 0xc82d8d578d8ebca6, 0xe4ce038ec5a61c51, 0xb3c62a68c8e1bd96, 0xa74a293f99f47332,
  0x39f87a314c0809e5, 0x96ae5297ce81c51e, 0x73182169dc5fcdba, 0x5f36d3d0ea9c0a61, 0x68b1be1b8f3612e6,
  0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000040040a2bda,
};

// m16a_u1x8_uart0_dual_hw
static const uint64_t ur_m16_u1x8_uart0_dual_hw[] = {
  0xeeeeeb07a243304a, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x5907758ba8fea018,
  0x304f8c0482d95b52, 0x788f64c8c1548149, 0xf72e30a04f89bed6, 0xb4ce97f32addcee9, 0x6f51ea56c3f71c12,
  0xc114239227f0663e, 0x370f8510c4aff3f7, 0x32abbbddf3734d80, 0xa0fc54219682d744, 0x72f6e7affd01cf09,
  0xfe249cc16156662e, 0xcf0b4ed176d817c9, 0xc1bdaf51ee19df2d, 0x5d6299efb5a38e9f, 0x53b57f4682ce62c0,
  0x4aa01ffb30475e03, 0xcc71f03cb3db1f74, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f,
  0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x00637509ad453c95,
};

// m16a_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m16_u1x8_uart0_dual_ee_hw[] = {
  0xddddd60f4486ff3e, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9a78af7b57bebb67,
  0xc0482d95b52638bb, 0x32305520001304f8, 0x2813e26fb59e23d9, 0xfccab773ba7dcb8c, 0xfec3a7ce163f37fc,
  0x244fe0ce0cdea3d0, 0x21895fe7ef822847, 0xbbe6e0a4006e1f0a, 0x432d0fdc88655777, 0xb7fd01cf099fc8a8,
  0x82c2accc5ce5edf2, 0x45db604e97fc4939, 0xdbf355ad1e942d3b, 0x47c1b307f27a8f2b, 0x3afb169bbe2beebd,
  0x9afa5b1971c270dc, 0x756979c57027e690, 0x75ec66edbda3278e, 0xa7cf234876355ae8, 0x86f65deece038ec5,
  0x1512a0ea8d823f5b, 0x4527f33e8e665660, 0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f,
  0x5c455bfdeaa8b4d8, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xaed3f02a29e4afdc,
};

// m16a_u1x8_uart0_dual_ce_hw
static const uint64_t ur_m16_u1x8_uart0_dual_ce_hw[] = {
  0xbbbbac1e890c0668, 0xeeeeead0bf655f9b, 0xabe3b453b4b16eee, 0x19ceb0dbbbb1c519, 0xc8bb81f5826f1fc2,
  0x04f8c0482d95b527, 0x23d932305520c033, 0xcb8c2813e26fb59e, 0x305afccab773ba7d, 0xd471adb0274704b5,
  0x4508e489fc1e9b9b, 0xc3e144312bfcfdf0, 0xaaeef77cdcc4000d, 0xdf8a8432d07f110c, 0xbdb94bffa039e136,
  0x8927305855998b9c, 0x85a768bb6c08a2ff, 0xe50b838fe5c5f59b, 0xc4361222fb892c79, 0x6e18f8cdfea3e12f,
  0x9ee58cf13f33c5dc, 0x38e9fc1a0bf51fa0, 0x1a0b398b0147ce92, 0xeccf1d780d4ed5fd, 0x3cb5b87dd12a807f,
  0xfe67d1cccacc71f0, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536, 0x3b7fbd55169b167a,
  0x1e6c25ccbe6d9706, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0xbcfa8a792bf73433, 0x00000000000026ea,
};

// m16a_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m16_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeb070f5a1a5fb, 0x77775605f5df7e6e, 0xd740255fbee37777, 0x5a86664777ed2724, 0x4b235d74ab09bc99,
  0x80905b2b6a49da77, 0xc8c1548ee3e609f1, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xf6130c7067c9bacf,
  0x227f062926f51cd6, 0x0c4aff3f7c114239, 0x7cdc30080370f851, 0x65a04e910caaeef7, 0xff4073c26d9d1508,
  0xb0ab3317397b7d35, 0x76d8105aff124e60, 0x1b8bea8cba8b4ed1, 0xee24b1e7942e0e1c, 0xfa8f84bf10d8488b,
  0xe4cf1771b930ccf9, 0x51e57224a76b736b, 0xc27fa8f83660d31f, 0x9c370ebec5a6298a, 0x8ea426be96c65c70,
  0xb7b464f1ceaedd38, 0x1d8d578d8ebd8cdd, 0xb380e3b169f3c8d2, 0x51b044c8e1bd977b, 0xd1cccaccb3a2541d,
  0x2027969d28a4fe67, 0x71479f1268e8c530, 0x815d54e5e53633a0, 0xbd55169b167a1d53, 0x25ccbe6d97063b7f,
  0x54e7ea5eae371e6c, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x001d751d168a792b,
};

// m16a_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeb07a2432db, 0xeeeeeeeac0bc2d7e, 0xf6947eb5d77a4dee, 0xeef7ee19991dd1ed, 0xcee3822acd33aaef,
  0x3e30120b656d49b0, 0xec99182a91118cc1, 0xc61409f137dacf11, 0xc37e655bb9dd3ee5, 0xc526c3f5ce06b734,
  0x47244fe0eb7e6f51, 0x0a21895fe7ef8228, 0xdeef9b8d07006e1f, 0xa10cb422b221955d, 0xff3fe80e784d2ba2,
  0xcc16156662e72f6f, 0xda2edb02275fe249, 0xcd9d717d51fce169, 0x117dc4963cf285c1, 0x37ff51f097e21b09,
  0xda6333c5dc6e72d3, 0x17d4795e9529dadc, 0x62b403d47c1b3079, 0x1c270dc3afb1698a, 0x2f83a909afa5b197,
  0x4edd223afe73abb7, 0x63eec6abc6c75e53, 0xb93380e3b169d4b4, 0x5678c68932386f65, 0xb4e94527f33e8e66,
  0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x00003aeb843453c9,
};

// m16_u1x12_uart0_noled_pr          m16a_u1x12_uart0_noled            m16a_u1x12_uart0_noled_pr
static const uint64_t ur_m16_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xa4eeedb6a6331da4,
  0xc6609f180905b2b6, 0x66bf645ff48099f4, 0x9613e2d3b45db088, 0x4fe0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x97cdb4bfc55bfdea, 0xfe3458f386ed84b9, 0x30ae4fdd598f2068, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x00003e40797a59b9,
};

// m16a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m16_u1x12_uart0_noled_pr_u4[] = {
  0x775dd6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0x9fb68a36c8fa45dd,
  0x9f180905b2b6a4ee, 0xb22ffb9af9f4c660, 0xf169da2ed844335f, 0x63efd47afe77cb09, 0x2ca61179e8e3a7f0,
  0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a, 0xa5e537ae7e28f37b,
  0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x394d6324e792bf73,
  0x00000000000000f9,
};

// m16_u1x12_uart0_noled_pr_ee_u4    m16a_u1x12_uart0_noled_pr_ee      m16a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m16_u1x12_uart0_noled_pr_ee[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x0482d95b52776273, 0xfb9af9f4ad304f8c, 0xda2ed844335faa57, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x75ad4649cf257ee6, 0x000000000000009d,
};

// m16a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m16_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0x5277417a0998b21c,
  0xe3304f8c0482d95b, 0x19afcbe7fa404cfc, 0xfea4f0b4ed176c22, 0x2b7e78c940e2d73b, 0x2e33984e771b9fb9,
  0x1eb17a8e82e7b960, 0x2c0559e90e38e9fc, 0xaf173b5128e1a8e6, 0x8a0ebf0f71cb19e3, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0x3458f386ed84b997, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0016ea072a59b9e4,
};

// m16a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m16_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e891190e3, 0xbbaabf0bf8f896ee, 0x4ccbdd93d537bbbb, 0x7bafdddd368c9c00, 0xa245999bb0dd63e1,
  0x27c602416cada93b, 0xd1effdcd7cfafb98, 0x88b4ed176c2219af, 0x3c64a9d84fb8bea9, 0xf886c2445f71258f,
  0xc6e58fffcfd47c25, 0xfa7b9633f5933c5d, 0xe38e9fc19a4f51da, 0x46678e62c05b8621, 0xff6678ebd1f3b071,
  0x0796b729afc35403, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0x31dbfdeaa8b4a9f4,
  0x079b09732f9b697f, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8c939e4afdcd0ccb, 0x000000000375d535,
};

// m16a_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m16_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbaeeb430f5a22a20, 0xdd55e34151625bbb, 0x4b41299ef91ddddd, 0xb2ab4dd85f8edebb, 0xd48ee351a568b8bc,
  0x0905b2b6a4ee8f62, 0xf735f3e96a609f18, 0xb45db08866bf0d6f, 0x72bae2faa34ac2d3, 0x117dc4963cf192a7,
  0x37ff51f097e21b09, 0xdbdf33c5dc6e72d3, 0xcbd479582929dadc, 0x315cddea3e0d9838, 0x8e1386e1d7d8b4c5,
  0x9311d484d7d2d8cb, 0x6ecb3d189f39d5db, 0x3c676355e363af3a, 0xb2f9c071d8b4d05a, 0x06546c1132386f65,
  0x49e5a74a2859fe18, 0xb9f8a3cdec9a3a31, 0x754e047f529794de, 0xb7fbd5516953e9e8, 0x3612e65f36d2fe63,
  0xa1a2ce9f1726ae0f, 0x2a73f53ab31e40fc, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x0013f31899273c95,
};

// m16a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0xc0482d95b52774eb, 0xffb9af9f1ad304f8, 0x9da2ed844335fb4d, 0x3b60b717d51d4a16, 0x488bee24b1e78c95,
  0x9d67fa8f84bf10d8, 0x737194cf1771b8cf, 0xc45f51e57f24a76b, 0x14c5710fa8f83660, 0x2e384e1b875f62d3,
  0xdd914752135f4b63, 0x537610e8c389ceae, 0x8d4d58d578d8ebd7, 0x872ce038ec5a720a, 0x14c63f866470decb,
  0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6, 0xb4a9f4f43aa7023f, 0x9b697f31dbfdeaa8, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x04fc2ccc939e4afd,
};

// m16a_u1x12_uart0_noled_hw
static const uint64_t ur_m16_u1x12_uart0_noled_hw[] = {
  0x75dd687a82cdc49f, 0xdd55d87383c4b777, 0x9fb244e97bdddddd, 0xbd0e6eee91044436, 0x27773124356848bb,
  0x3304f8c0482d95b5, 0x9afd917ff0e3cfa6, 0x584f8b4ed176c221, 0x3f831f7ea3d7f3be, 0xc05965308bcf471d,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0xea6c3b1b8f3612e6, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c,
  0xa4a5b3e04e32c970, 0x60a792bf734332c3, 0x00000003a20e3cbf,
};

// m16a_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m16_u1x12_uart0_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0x3e30120b656d49dd, 0xaa57fd0a67d2b4c1, 0xe169da2ed844335f, 0xea3cae719aad68e6, 0x5cbef51f06cc18f9,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c4f9cead2e98ae3, 0xd56ba1d79d37659e, 0x1c762d34168f19d8,
  0x08fd6e1bd96cbe70, 0xa51400bf0c032a36, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702,
  0x97cdb4bfc55bfdea, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000002df4ab1514f,
};

// m16a_u1x12_uart0_noled_ce_hw
static const uint64_t ur_m16_u1x12_uart0_noled_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55d871d7c4b7, 0xf5a508c1f600dddd, 0xcfd2f37ddddf0bc3, 0xb6a4eee62486ad04,
  0xe13e609f180905b2, 0x44335f900ffc38f3, 0x77fd6d6169da2ed8, 0x2bf77e78c940e648, 0x580bac984e771b95,
  0x7f06693d476be9ee, 0x398b016e18878e3a, 0xe3af47cec1c5199e, 0xdca6bf0d500ffd99, 0xcb4e9450aca81e5a,
  0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0x25ccbe6da5fcc76f, 0x3d30ae4fcfec376c,
  0x296cb25138cb25c3, 0x29e4afdcd0ccb0e9, 0x000000018852ddd8,
};

// m16_u1x12_uart0_noled_ee_ce_u4_hw m16a_u1x12_uart0_noled_ee_ce_hw   m16a_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16_u1x12_uart0_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x13e30120b656d49d, 0xf86b7fd0a67d2d4c, 0x56169da2ed844335, 0x285c1c95d717d51a, 0x21b09117dc4963cf,
  0x73b06f0ff51f097e, 0x4ed6e6def99e2ee3, 0x6cc1c65ea3cac149, 0xc5a6298ae6ef51f0, 0x96c65c709c370ebe,
  0xceaedc988ea426be, 0x1d79d37659e8c4f9, 0xa682d1e33b1aaf1b, 0xc37b2d97ce038ec5, 0xcff0c032a3608991,
  0xd1d18a4f2d3a5142, 0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0xd8dc79b09732f9b6,
  0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xa02fc93a29e4afdc,
};

// m16_u1x12_uart0_lednop_pr         m16a_u1x12_uart0_lednop           m16a_u1x12_uart0_lednop_pr
static const uint64_t ur_m16_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xa4ee971b2636d4dd,
  0x92609f180905b2b6, 0x335f9efff48099fc, 0xcb09f169da2ed844, 0xa7f063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x00f90c6e966e792b,
};

// m16a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0x469ae3a87f4e84d9,
  0x4f8c0482d95b5277, 0xe7bffdcd7cfe4930, 0x7c5a768bb6110cd7, 0x18fbf51d679df2c2, 0x96530df27a38e9fc,
  0x3b3da46690e62c05, 0xa5403ff6608ebd1f, 0x8ac140f2cf6ccf29, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0xb83cd84b997cdb2e, 0x207e50d1637c5c9a, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x7c649cf257ee6866,
  0x00000000001f2731,
};

// m16_u1x12_uart0_lednop_pr_ee_u4   m16a_u1x12_uart0_lednop_pr_ee     m16a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_ee[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0x30120b656d49ddb1, 0x7fee6be7e43cc13e, 0xa768bb6110cd7e72, 0xf2b3d66ab5a39b85, 0x2bd47c1b3063e7a8,
  0x0dc3afb169bbe2bd, 0x6909afa5b1971c27, 0x8739d5a5f245c6b2, 0x6ba1d79d376e8118, 0xec5a627d1c82d8d5,
  0xfadc37b2d97ce038, 0x280129afc3546c11, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979,
  0xe22adfef5545a6c5, 0xab83cd84b997cdb2, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xcb4649cf257ee686, 0x0000000000009d74,
};

// m16a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0x5b5277417a0998b2,
  0xfdbf304f8c0482d9, 0x44335fba8ff48099, 0x77fd49e169da2ed8, 0xb92b7e78c940e0f8, 0x602e33984e771b9f,
  0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0xd28a0ea596e39633, 0xa68e8c5302027969,
  0x9794d8ce81c51e5b, 0x573182169bd57553, 0xccbe6da7a1d53817, 0x47f1a2c79c376c25, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x000000b7503952cd,
};

// m16a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e8911d38b, 0xbbaabf0b82f896ee, 0xe001ae486ad1bbbb, 0x6a6337774da327e3, 0xeea3329cd2ca53d3,
  0x609f180905b2b6a4, 0xbf406ff735f3ffba, 0xa622d3b45db08866, 0x3cf192a77b7ee2fa, 0x97e21b09117dc496,
  0xee37376936ff51f0, 0xf3d3dcb19fac99e2, 0x05c71d3f83349ea3, 0xda46690e62c05def, 0x03ff6678ebd1f3b3,
  0x0503cb5b8cf29a54, 0x5302027969d28a2b, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1,
  0xe6c25ccbe6d97063, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x24e792bf734332c3, 0x00000000dd7fea83,
};

// m16a_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222044, 0xdd55e34047e25bbb, 0xae56d60ef4eddddd, 0x65569bb0bf1dd457, 0xc8c8843312b8e199,
  0x120b656d49dd4149, 0xdcd7cff4fcc13e30, 0xa2ed844335fbabff, 0xd37717d51a56169d, 0x8bee24b1e78c953b,
  0xb5fa8f84bf10d848, 0x6f7ccf1771b9787c, 0x2f51e56804a76b73, 0xc5738fa8f83660e3, 0x384e1b875f62d314,
  0xc90752135f4b632e, 0xddba04621ce7576e, 0xe416c6abc6c75e74, 0xcbe701c762d313e8, 0x0d51b044c8e1bd96,
  0x27969d28a166a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0xccbe6d97063b7fbd,
  0x96af2e4d5c1e6c25, 0xea75663c81f94345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x24e792bf734332c3, 0x0000000004fcc213,
};

// m16a_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xf180905b2b6a4ee9, 0xb5fee6be7cc7e609, 0x5a768bb6110cd7e4, 0x54eca1dc5f547528, 0x61222fb892c79e32,
  0x3e759fea3e12fc43, 0xadcdc6533c5dc6e3, 0x83117d4795cdd29d, 0x4c5315a63ea3e0d9, 0x8cb8e1386e1d7d8b,
  0xbb76451d484d7d2d, 0xba9bb35f237b473a, 0x44667ac6abc6c75e, 0x2e1cb380e3b1699a, 0x4a298c659191c37b,
  0x9a3a314c0809e5a7, 0x5e53633a0714796e, 0x5cc6085a6f55d54e, 0x32f9b69e8754e05d, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00004fc2ccc939e4,
};

// m16a_u1x12_uart0_lednop_hw
static const uint64_t ur_m16_u1x12_uart0_lednop_hw[] = {
  0xeebbad0f5059bb37, 0xbbaabb0e737896ee, 0x1cda0e2d1afbbbbb, 0xb3d4cdddd220889c, 0x52776c7b21a6c509,
  0x49304f8c0482d95b, 0x0cd7e7bfff0e3cfe, 0xf2c27c5a768bb611, 0xe9fc18fbf51d679d, 0x2c0596530df27a38,
  0xbd1f3b3da46690e6, 0xcf29a5403ff6608e, 0x74a28ac140f2cf6c, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000e883e37d82,
};

// m16a_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m16_u1x12_uart0_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x04f8c0482d95b527, 0x7e727ff4299f90f3, 0x9b85a768bb6110cd, 0xe7a8f2b3d66ab5a3, 0xe2bd2bd47c1b3063,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x81188739d5a5f245, 0xd8d56ba1d79d376e, 0xe038ec5a627d1c82,
  0x6c11fadc37b2d97c, 0xa74a280129afc354, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755,
  0xcdb2e22adfef5545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0002df610fd14f25,
};

// m16a_u1x12_uart0_lednop_ce_hw
static const uint64_t ur_m16_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeebbad0f59bb37, 0xbbbbbaabb0e0c896, 0x1f75f5a193df1fbb, 0x200db6f26eeef85e, 0xcada93bb63d90d36,
  0xcfedf9827c602416, 0x6110cd7eea3ff0e3, 0xa1dff5b585a768bb, 0x393f9df9e3250380, 0xb9602eb26139dc6e,
  0x3a7f06693d47e7a7, 0xd21cc580bbde0b8e, 0xccf1d7a3e767b48c, 0x96b719e534a807fe, 0x04f2d3a514560a07,
  0x28f3e24d1d18a604, 0x2baa9cbca6c6740e, 0xaaa2d362cf43aa70, 0xb997cdb2e0c76ff7, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000006214fafb05,
};

/*
 * m16_u1x12_uart0_lednop_ee_ce_u4_hw m16a_u1x12_uart0_lednop_ee_ce_hw
 * m16a_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x13e30120b656d49d, 0xeeafffa14cff4fcc, 0x585a768bb6110cd7, 0xa170734ddc5f5469, 0x86c2445f71258f3c,
  0xc98667cfd47c25f8, 0x3b5b9b7be678bb8d, 0xb307197a8f2b4025, 0x1698a62b9c7d47c1, 0x5b1971c270dc3afb,
  0x3abb76483a909afa, 0x3af3a6edd02310e7, 0x989f4720b6355e36, 0x0decb65f380e3b16, 0x3535f86a8d822647,
  0x2981013cb4e9450b, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0, 0xf3612e65f36cb831,
  0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x539453c95fb9a199, 0x0000000000014053,
};

// m16_u1x12_uart0_dual_pr           m16a_u1x12_uart0_dual             m16a_u1x12_uart0_dual_pr
static const uint64_t ur_m16_u1x12_uart0_dual[] = {
  0xbbbac1f83ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0xe30120b656d49241, 0xb26460aa435dcc13, 0x185027c4df6b3c47, 0x7f995c7ae774fb97, 0x7f360bece0516672,
  0x47244fe0cca9bd47, 0x0a21895fe7ef8228, 0x77bbe6e4ae006e1f, 0x5421968464886557, 0x79c7fe80e784d6b4,
  0x1e60b0ab3317397b, 0xb08866bf3dffef64, 0x3cef9613e2d3b45d, 0xd1c74fe0c7dfa8eb, 0x8731602cb2986f93,
  0x0475e8f9d9ed2334, 0x9995995944ee3963, 0x4f2d3a5149fccfa3, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0x63ce2e4d5c1e6c25, 0x4fdd598f207e50d1, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x000621a70c939e4a,
};

// m16a_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m16_u1x12_uart0_dual_pr_u4[] = {
  0x77583f07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdd55f930eb21086e,
  0xc602416cada9256d, 0x64c8c1548fd79827, 0x30a04f89bed6788f, 0x0ff32addcee9f72e, 0xff76c12b1c1d2cc7,
  0x239227f0701a6f51, 0x8510c4aff3f7c114, 0xbbddf3722b00370f, 0x2a10cb41314432ab, 0x709fff4073c268ca,
  0x0a60b0ab3317397b, 0xdb08866bf2f9fe3e, 0xb8677cb73c2d3b45, 0xd68e3a7f06f6bd47, 0x0b398b01758a67be,
  0xc11d780d4ed5fd1a, 0xcf6c7dd12a807fec, 0x9f47332b31c7c0f2, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x5caf69e4afdcd0cc,
  0x000000000029263d,
};

// m16_u1x12_uart0_dual_pr_ee_u4     m16a_u1x12_uart0_dual_pr_ee       m16a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16_u1x12_uart0_dual_pr_ee[] = {
  0xeeb07e0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x05b2b6a4c1b7775e, 0x154836ee609f1809, 0xf89bed6788f64c8c, 0xaddcee9f72e30a04, 0x58f9c3fe4c1a3f32,
  0xf83eaf9bd47e9fd8, 0x57f9fbe08a11c913, 0x73f5c01b87c28862, 0x82564432abbbddf3, 0x01cf0997dc542196,
  0xaccc5ce5edf7dffd, 0x5f8e1ff8f82982c2, 0xf4a169da2ed84433, 0x93d4795edf9aad68, 0xf15f75ea3e0d983f,
  0x8e1386e1d7d8b4dd, 0x813f3484d7d2d8cb, 0xed193c73ab4bce2b, 0xb1aad743af63376d, 0x701c762d3e791a43,
  0x6c11fadc37b2ef76, 0x7332b300a8950754, 0x09e5a74a293f99f4, 0x51e7c49a3a314c08, 0x575539794d8ce81c,
  0x5545a6c59e8754e0, 0xb997cdb2e22adfef, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xf69e4afdcd0ccb0e, 0x00000000ac9924ca,
};

// m16_u1x12_uart0_dual_pr_ce_u4     m16a_u1x12_uart0_dual_pr_ce       m16a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16_u1x12_uart0_dual_pr_ce[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab58f39d7e6, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0xf8c0482d95b52560, 0xd932305522e87304, 0x8c2813e26fb59e23, 0x1ffccab773ba7dcb, 0xe4eb60968e016a63,
  0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0xbbddf371aec01b87, 0x54219682fb4432ab, 0xd82ffd01cf0983dc,
  0x2982c2accc5ce5ed, 0xd844335f9c9ff8f8, 0xf9717d66e169da2e, 0xbee24b1e7942e0e3, 0x9fa8f84bf10d8488,
  0x13f33c5dc6e69a7f, 0xa0bf51fa09ee58cf, 0xb0147ce9238e9fc1, 0x80d4ed5fd1a0b398, 0xdd12a807feccf1d7,
  0xccacc71f03cb5b87, 0x7969d28a4fe67d1c, 0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815,
  0xcbe6d97063b7fbd5, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000d245a7c57b,
};

// m16a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m16_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbac1f83f6090c86, 0xeeeeacd4f265f9bb, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x82d95b524eb3bbbb, 0x0aa43a75304f8c04, 0x7c4df6b3c47b2646, 0x56ee774fb9718502, 0x67c38759ccc87f99,
  0xf07faf37a8f30db0, 0xaff3f7c114239227, 0xcba180370f8510c4, 0x096910caaeef77cd, 0x073c268e5150865a,
  0xb3317397b77f9ff4, 0xfc63ffe3e0a60b0a, 0xba8b4ed176c2219a, 0x942e0e1c1b8bea8c, 0x10d8488bee24b1e7,
  0xb8cf9d67fa8f84bf, 0xa76b736be4cf1771, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8, 0x96c65c709c370ebe,
  0xceaedd388ea426be, 0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1, 0xb3a2541d51b044c8,
  0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5, 0x97063b7fbd55169b,
  0x5e371e6c25ccbe6d, 0xeaccdfc1ddc68b2d, 0xfc09c69430a9cfd4, 0x985727e03e687993, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000002000e7c57b,
};

// m16a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbbbb90, 0x77566a7932fcdddd, 0x875f2275a7b77777, 0x9c0bdd4985aab885, 0x5effad83e26eabc6,
  0x6d493acee3522579, 0xe9d4c13e30120b65, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0xeb39990ff32d2df9,
  0xe6f51e61b60cf870, 0xf822847244fe0ff5, 0x06e1f0a21895fe7e, 0x1955ddeef9b97430, 0xd1ca2a10cb412d22,
  0x72f6eff3fe80e784, 0xfd3c9cc16156662e, 0xd176c2219afc63ff, 0x9c1b8bea8cba8b4e, 0x45f71258f3ca179d,
  0xdffd47c25f886c24, 0x6be4cf1771b8a49c, 0x1f51e57224a76b73, 0x8ac27fa8f83660d3, 0x709c370ebec5a629,
  0x388ea426be96c65c, 0xddb7b464f1ceaedd, 0xd21d8d578d8ebd8c, 0x7bb380e3b169f3c8, 0x1d51b044c8e1bd97,
  0x67d1cccaccb3a254, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d,
  0x6c25ccbe6d97063b, 0xec68b1be2e4d5c1e, 0x539fa9d599bf83f6, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000002002cb7d10a,
};

// m16a_u1x12_uart0_dual_hw
static const uint64_t ur_m16_u1x12_uart0_dual_hw[] = {
  0xbbac1f83d1219f68, 0xeeeeac4ccc8df9bb, 0x3b8366275d96eeee, 0x40be9dbbbb0cdeba, 0x5b77157a27e85837,
  0x09f180905b2b6a49, 0x23d932305523f5e6, 0xcb8c2813e26fb59e, 0x31c3fccab773ba7d, 0xd47fddb04ac7074b,
  0x4508e489fc1c069b, 0xc3e144312bfcfdf0, 0xaaeef77cdc8ac00d, 0x328a8432d04c510c, 0x5edc27ffd01cf09a,
  0xc493982c2accc5ce, 0x68bb6110cd7e5f3f, 0xa8f70cef96e785a7, 0xf7dad1c74fe0ded7, 0xa3416731602eb14c,
  0xfd9823af01a9dabf, 0x1e59ed8fba25500f, 0x7f33e8e6656638f8, 0x62981013cb4e9452, 0x19d038a3cf893474,
  0x0ea9c0aeaa72f29b, 0x55bfdeaa8b4d8b3d, 0xc79b09732f9b65c4, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x8f57a29e4afdcd0c, 0x00000000000031ba,
};

// m16a_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m16_u1x12_uart0_dual_ee_hw[] = {
  0xeeb07e0f44865c93, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xe2e2f6f2762fd76a,
  0x905b2b6a4c1b770c, 0xc154836ee609f180, 0x4f89bed6788f64c8, 0x2addcee9f72e30a0, 0x858f9c3fe4c1a3f3,
  0x3f83eaf9bd47e9fd, 0x257f9fbe08a11c91, 0x373f5c01b87c2886, 0x682564432abbbddf, 0xd01cf0997dc54219,
  0x2accc5ce5edf7dff, 0x9afc70ffc493982c, 0x47a50b4ed176c221, 0xfc9ea3caf6fcd56b, 0xef8afbaf51f06cc1,
  0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x6f68c9e39d5a5e71, 0x1d8d56ba1d7b19bb, 0xb380e3b169f3c8d2,
  0xa3608fd6e1bd977b, 0xa39995980544a83a, 0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x25ccbe6d971156ff, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a, 0x000000002bb5924e,
};

// m16a_u1x12_uart0_dual_ce_hw
static const uint64_t ur_m16_u1x12_uart0_dual_ce_hw[] = {
  0xdd60fc1e890d7f41, 0x77756b1e73afcddd, 0xa3acecb53ef77777, 0x436c5bbbb06e277d, 0x777b8ccdefd5e350,
  0xf180905b2b6a4ac1, 0xb26460aa45d0e609, 0x185027c4df6b3c47, 0x3ff9956ee774fb97, 0xc9d6c12d1c02d4c6,
  0x239227f0715a6f51, 0x8510c4aff3f7c114, 0x77bbe6e35d80370f, 0xa8432d05f6886557, 0xb05ffa039e1307b8,
  0x7305855998b9cbdb, 0xd844335f9c9ff892, 0xf9717d66e169da2e, 0xbee24b1e7942e0e3, 0x7fa8f84bf10d8488,
  0x4fccf1771b863e33, 0x82fd47e827b9633c, 0xc051f3a48e3a7f06, 0x0353b57f4682ce62, 0x744aa01ffb33c75e,
  0x32b31c7c0f2d6e1f, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0x2f9b65c18edfef55, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000009baad3ea29e,
};

// m16a_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m16_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdd60fc1c3d686f97, 0x777566a7932fcddd, 0x885875f722777777, 0xbc69c0bdd4985aab, 0xc119d6a9d03e26ea,
  0x0905b2b6a49d6773, 0x8c154874ea609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0x60cf870eb39990ff,
  0x4fe0ff5e6f51e61b, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb412d221955ddeef, 0xe80e784d1ca2a10c,
  0x156662e72f6eff3f, 0x9afc63ffe249cc16, 0x8cba8b4ed176c221, 0xe7942e0e1c1b8bea, 0xbf10d8488bee24b1,
  0x71b930ccf9fa8f84, 0x24a76b736be4cf17, 0xf83660d31f51e572, 0xbec5a6298ac27fa8, 0xbe96c65c709c370e,
  0xf1ceaedd388ea426, 0x8d8ebd8cddb7b464, 0xb169f3c8d21d8d57, 0xc8e1bd977bb380e3, 0xccb3a2541d51b044,
  0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54, 0x6d97063b7fbd5516,
  0x5eae371e6c25ccbe, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x9cfa8a792bf73433, 0x0000000000000eba,
};

// m16a_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xddd60fc1e890cf68, 0xbbbbab353eeefcdd, 0x4faafb17d07dbbbb, 0x2f1a702f755f24c4, 0x8fa9d6b7664caefa,
  0x120b656d496c4ee6, 0x182a909c7cc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0xc0d6ce130d333e7e,
  0x4fe0e004dea3febe, 0x895fe7ef82284724, 0x9b8089006e1f0a21, 0xb406b221955ddeef, 0xe80e784d6ea2a10c,
  0x156662e72f6e1a3f, 0xcd7e4b5fe249cc16, 0x47f385a768bb6110, 0xf3ca17073675c5f5, 0x5f886c2445f71258,
  0x71b9cb4cdffd47c2, 0x54a76b73698ccf17, 0xf06cc1e45f51e57a, 0xbec5a6298ad00f51, 0xbe96c65c709c370e,
  0xf9ceaedcbe0ea426, 0x1b1d794d3b7488eb, 0xc5a752d18fbb1aaf, 0xc8e1bd96e4ce038e, 0xccfa399959e31a24,
  0xa60404f2d3a5149f, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xadd14f257ee68665, 0x000000000001d757,
};

// m16_u2x8_uart0_noled_pr           m16a_u2x8_uart0_noled             m16a_u2x8_uart0_noled_pr
static const uint64_t ur_m16_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0xb6a4eeedb6a6331d,
  0xf4c6609f180905b2, 0x5dbd56645ff48099, 0x9613e2d3b424e093, 0x4fe0c7dfa8f5fcef, 0xb016594c22f3d1c7,
  0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51,
  0xa8b4a9f4f43aa702, 0x97cdb4bfc55bfdea, 0xfe3458f386ed84b9, 0x30ae4fdd598f2068, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x00003e40797a59b9,
};

// m16a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m16_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0xee9fb68a36c8fa45,
  0x609f180905b2b6a4, 0xab322ffb9af9f4c6, 0xf169da127049aede, 0x63efd47afe77cb09, 0x2ca61179e8e3a7f0,
  0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a, 0xa5e537ae7e28f37b,
  0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x394d6324e792bf73,
  0x00000000000000f9,
};

// m16_u2x8_uart0_noled_pr_ee_u4     m16a_u2x8_uart0_noled_pr_ee       m16a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m16_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0x8c0482d95b527762, 0x57fb9af9f4ad304f, 0xda127049aedeab2a, 0xae719aad68e6e169, 0xf51f06cc18f9ea3c,
  0xe1d7d8b4ddf15cbe, 0x84d7d2d8cb8e1386, 0x9cead2e98ae35934, 0xa1d79d37659e8c4f, 0x2d34168f19d8d56b,
  0x6e1bd96cbe701c76, 0x00bf0c032a3608fd, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9,
  0xb4bfc55bfdeaa8b4, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x75ad4649cf257ee6, 0x000000000000009d,
};

// m16a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m16_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0x5b5277417a0998b2,
  0xfce3304f8c0482d9, 0xd76f558be7fa404c, 0xfea4f0b4ed093824, 0x2b7e78c940e2d73b, 0x2e33984e771b9fb9,
  0x1eb17a8e82e7b960, 0x2c0559e90e38e9fc, 0xaf173b5128e1a8e6, 0x8a0ebf0f71cb19e3, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0x3458f386ed84b997, 0xae4fdd598f2068fe,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0016ea072a59b9e4,
};

// m16a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m16_u2x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xbbbbaabf0bf8f896, 0x004ccbdd93d537bb, 0xe17bafdddd368c9c, 0x3ba245999bb0dd63,
  0x9827c602416cada9, 0x5591effdcd7cfafb, 0x88b4ed093824d76f, 0x3c64a9d84fb8bea9, 0xf886c2445f71258f,
  0xc6e58fffcfd47c25, 0xfa7b9633f5933c5d, 0xe38e9fc19a4f51da, 0x46678e62c05b8621, 0xff6678ebd1f3b071,
  0x0796b729afc35403, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0x31dbfdeaa8b4a9f4,
  0x079b09732f9b697f, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8c939e4afdcd0ccb, 0x000000000375d535,
};

// m16a_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m16_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xdddd55e34151625b, 0xbb4b41299ef91ddd, 0xbcb2ab4dd85f8ede, 0x62d48ee351a568b8,
  0x180905b2b6a4ee8f, 0x6ff735f3e96a609f, 0xb424e0935dbd560d, 0x72bae2faa34ac2d3, 0x117dc4963cf192a7,
  0x37ff51f097e21b09, 0xdbdf33c5dc6e72d3, 0xcbd479582929dadc, 0x315cddea3e0d9838, 0x8e1386e1d7d8b4c5,
  0x9311d484d7d2d8cb, 0x6ecb3d189f39d5db, 0x3c676355e363af3a, 0xb2f9c071d8b4d05a, 0x06546c1132386f65,
  0x49e5a74a2859fe18, 0xb9f8a3cdec9a3a31, 0x754e047f529794de, 0xb7fbd5516953e9e8, 0x3612e65f36d2fe63,
  0xa1a2ce9f1726ae0f, 0x2a73f53ab31e40fc, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x0013f31899273c95,
};

// m16a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0xf8c0482d95b52774, 0x4dffb9af9f1ad304, 0x9da127049aedeab3, 0x3b60b717d51d4a16, 0x488bee24b1e78c95,
  0x9d67fa8f84bf10d8, 0x737194cf1771b8cf, 0xc45f51e57f24a76b, 0x14c5710fa8f83660, 0x2e384e1b875f62d3,
  0xdd914752135f4b63, 0x537610e8c389ceae, 0x8d4d58d578d8ebd7, 0x872ce038ec5a720a, 0x14c63f866470decb,
  0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6, 0xb4a9f4f43aa7023f, 0x9b697f31dbfdeaa8, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0x04fc2ccc939e4afd,
};

// m16a_u2x8_uart0_noled_hw
static const uint64_t ur_m16_u2x8_uart0_noled_hw[] = {
  0x77775dda82cdc49f, 0xdddd55d87383c4b7, 0x369fb244e97bdddd, 0xbbbd0e6eee910444, 0xb527773124356848,
  0xa63304f8c0482d95, 0x76f559917ff0e3cf, 0x584f8b4ed093824d, 0x3f831f7ea3d7f3be, 0xc05965308bcf471d,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0xea6c3b1b8f3612e6, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c,
  0xa4a5b3e04e32c970, 0x60a792bf734332c3, 0x00000003a20e3cbf,
};

// m16a_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m16_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0xc13e30120b656d49, 0xab2a57fd0a67d2b4, 0xe169da127049aede, 0xea3cae719aad68e6, 0x5cbef51f06cc18f9,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8c4f9cead2e98ae3, 0xd56ba1d79d37659e, 0x1c762d34168f19d8,
  0x08fd6e1bd96cbe70, 0xa51400bf0c032a36, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702,
  0x97cdb4bfc55bfdea, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000002df4ab1514f,
};

// m16a_u2x8_uart0_noled_ce_hw
static const uint64_t ur_m16_u2x8_uart0_noled_ce_hw[] = {
  0xb777775ddacdc49f, 0xdddddd55d871d7c4, 0xc3f5a508c1f600dd, 0x04cfd2f37ddddf0b, 0xb2b6a4eee62486ad,
  0xf3e13e609f180905, 0x49aedeab100ffc38, 0x77fd6d6169da1270, 0x2bf77e78c940e648, 0x580bac984e771b95,
  0x7f06693d476be9ee, 0x398b016e18878e3a, 0xe3af47cec1c5199e, 0xdca6bf0d500ffd99, 0xcb4e9450aca81e5a,
  0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0x25ccbe6da5fcc76f, 0x3d30ae4fcfec376c,
  0x296cb25138cb25c3, 0x29e4afdcd0ccb0e9, 0x000000018852ddd8,
};

// m16_u2x8_uart0_noled_ee_ce_u4_hw  m16a_u2x8_uart0_noled_ee_ce_hw    m16a_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0x4c13e30120b656d4, 0xeab06b7fd0a67d2d, 0x56169da127049aed, 0x285c1c95d717d51a, 0x21b09117dc4963cf,
  0x73b06f0ff51f097e, 0x4ed6e6def99e2ee3, 0x6cc1c65ea3cac149, 0xc5a6298ae6ef51f0, 0x96c65c709c370ebe,
  0xceaedc988ea426be, 0x1d79d37659e8c4f9, 0xa682d1e33b1aaf1b, 0xc37b2d97ce038ec5, 0xcff0c032a3608991,
  0xd1d18a4f2d3a5142, 0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0xd8dc79b09732f9b6,
  0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xa02fc93a29e4afdc,
};

// m16_u2x8_uart0_lednop_pr          m16a_u2x8_uart0_lednop            m16a_u2x8_uart0_lednop_pr
static const uint64_t ur_m16_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0xb6a4ee971b2636d4,
  0xfc92609f180905b2, 0xaedeab1efff48099, 0xcb09f169da127049, 0xa7f063efd4759e77, 0xb016594c37c9e8e3,
  0xf47cecf6919a4398, 0x3ca69500ffd9823a, 0xd28a2b0503cb3db3, 0x268e8c5302027969, 0x5e53633a071479f1,
  0xb167a1d53815d54e, 0x6cb88ab7fbd55169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x00f90c6e966e792b,
};

// m16a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0x77469ae3a87f4e84,
  0x304f8c0482d95b52, 0xaac7bffdcd7cfe49, 0x7c5a76849c126bb7, 0x18fbf51d679df2c2, 0x96530df27a38e9fc,
  0x3b3da46690e62c05, 0xa5403ff6608ebd1f, 0x8ac140f2cf6ccf29, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x22adfef5545a6c59, 0xb83cd84b997cdb2e, 0x207e50d1637c5c9a, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x7c649cf257ee6866,
  0x00000000001f2731,
};

// m16_u2x8_uart0_lednop_pr_ee_u4    m16a_u2x8_uart0_lednop_pr_ee      m16a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0x3e30120b656d49dd, 0x727fee6be7e43cc1, 0xa76849c126bb7aac, 0xf2b3d66ab5a39b85, 0x2bd47c1b3063e7a8,
  0x0dc3afb169bbe2bd, 0x6909afa5b1971c27, 0x8739d5a5f245c6b2, 0x6ba1d79d376e8118, 0xec5a627d1c82d8d5,
  0xfadc37b2d97ce038, 0x280129afc3546c11, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979,
  0xe22adfef5545a6c5, 0xab83cd84b997cdb2, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xcb4649cf257ee686, 0x0000000000009d74,
};

// m16a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0xd95b5277417a0998,
  0x99fdbf304f8c0482, 0x49aedeab3a8ff480, 0x77fd49e169da1270, 0xb92b7e78c940e0f8, 0x602e33984e771b9f,
  0xfc1eb17a8e27e7b9, 0xe62c0559e82e38e9, 0xc75e2e76c668f588, 0xd28a0ea596e39633, 0xa68e8c5302027969,
  0x9794d8ce81c51e5b, 0x573182169bd57553, 0xccbe6da7a1d53817, 0x47f1a2c79c376c25, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x000000b7503952cd,
};

// m16a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba8911d38b, 0xbbbbaabf0b82f896, 0xe3e001ae486ad1bb, 0xd36a6337774da327, 0xa4eea3329cd2ca53,
  0xba609f180905b2b6, 0xbd56406ff735f3ff, 0xa622d3b424e0935d, 0x3cf192a77b7ee2fa, 0x97e21b09117dc496,
  0xee37376936ff51f0, 0xf3d3dcb19fac99e2, 0x05c71d3f83349ea3, 0xda46690e62c05def, 0x03ff6678ebd1f3b3,
  0x0503cb5b8cf29a54, 0x5302027969d28a2b, 0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1,
  0xe6c25ccbe6d97063, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x24e792bf734332c3, 0x00000000dd7fea83,
};

// m16a_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeeec1222044, 0xdddd55e34047e25b, 0x57ae56d60ef4eddd, 0x9965569bb0bf1dd4, 0x49c8c8843312b8e1,
  0x30120b656d49dd41, 0xffdcd7cff4fcc13e, 0xa127049aedeab3ab, 0xd37717d51a56169d, 0x8bee24b1e78c953b,
  0xb5fa8f84bf10d848, 0x6f7ccf1771b9787c, 0x2f51e56804a76b73, 0xc5738fa8f83660e3, 0x384e1b875f62d314,
  0xc90752135f4b632e, 0xddba04621ce7576e, 0xe416c6abc6c75e74, 0xcbe701c762d313e8, 0x0d51b044c8e1bd96,
  0x27969d28a166a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0xccbe6d97063b7fbd,
  0x96af2e4d5c1e6c25, 0xea75663c81f94345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x24e792bf734332c3, 0x0000000004fcc213,
};

// m16a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x09f180905b2b6a4e, 0xc4b5fee6be7cc7e6, 0x5a76849c126bb7aa, 0x54eca1dc5f547528, 0x61222fb892c79e32,
  0x3e759fea3e12fc43, 0xadcdc6533c5dc6e3, 0x83117d4795cdd29d, 0x4c5315a63ea3e0d9, 0x8cb8e1386e1d7d8b,
  0xbb76451d484d7d2d, 0xba9bb35f237b473a, 0x44667ac6abc6c75e, 0x2e1cb380e3b1699a, 0x4a298c659191c37b,
  0x9a3a314c0809e5a7, 0x5e53633a0714796e, 0x5cc6085a6f55d54e, 0x32f9b69e8754e05d, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00004fc2ccc939e4,
};

// m16a_u2x8_uart0_lednop_hw
static const uint64_t ur_m16_u2x8_uart0_lednop_hw[] = {
  0xeeeeebbb5059bb37, 0xbbbbaabb0e737896, 0x9c1cda0e2d1afbbb, 0x09b3d4cdddd22088, 0x5b52776c7b21a6c5,
  0xfe49304f8c0482d9, 0x6bb7aac7bfff0e3c, 0xf2c27c5a76849c12, 0xe9fc18fbf51d679d, 0x2c0596530df27a38,
  0xbd1f3b3da46690e6, 0xcf29a5403ff6608e, 0x74a28ac140f2cf6c, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c,
  0x6c59e8754e057553, 0xdb2e22adfef5545a, 0xb0ec6e3cd84b997c, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000e883e37d82,
};

// m16a_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m16_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0xf304f8c0482d95b5, 0x7aac727ff4299f90, 0x9b85a76849c126bb, 0xe7a8f2b3d66ab5a3, 0xe2bd2bd47c1b3063,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x81188739d5a5f245, 0xd8d56ba1d79d376e, 0xe038ec5a627d1c82,
  0x6c11fadc37b2d97c, 0xa74a280129afc354, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755,
  0xcdb2e22adfef5545, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0002df610fd14f25,
};

// m16a_u2x8_uart0_lednop_ce_hw
static const uint64_t ur_m16_u2x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x5e1f75f5a193df1f, 0x36200db6f26eeef8, 0x16cada93bb63d90d,
  0xe3cfedf9827c6024, 0xc126bb7aacea3ff0, 0xa1dff5b585a76849, 0x393f9df9e3250380, 0xb9602eb26139dc6e,
  0x3a7f06693d47e7a7, 0xd21cc580bbde0b8e, 0xccf1d7a3e767b48c, 0x96b719e534a807fe, 0x04f2d3a514560a07,
  0x28f3e24d1d18a604, 0x2baa9cbca6c6740e, 0xaaa2d362cf43aa70, 0xb997cdb2e0c76ff7, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000006214fafb05,
};

// m16_u2x8_uart0_lednop_ee_ce_u4_hw m16a_u2x8_uart0_lednop_ee_ce_hw   m16a_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0xcc13e30120b656d4, 0xaaceafffa14cff4f, 0x585a76849c126bb7, 0xa170734ddc5f5469, 0x86c2445f71258f3c,
  0xc98667cfd47c25f8, 0x3b5b9b7be678bb8d, 0xb307197a8f2b4025, 0x1698a62b9c7d47c1, 0x5b1971c270dc3afb,
  0x3abb76483a909afa, 0x3af3a6edd02310e7, 0x989f4720b6355e36, 0x0decb65f380e3b16, 0x3535f86a8d822647,
  0x2981013cb4e9450b, 0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0, 0xf3612e65f36cb831,
  0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x539453c95fb9a199, 0x0000000000014053,
};

// m16_u2x8_uart0_dual_pr            m16a_u2x8_uart0_dual              m16a_u2x8_uart0_dual_pr
static const uint64_t ur_m16_u2x8_uart0_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x83b87b16a4151ab2,
  0x27c602416cada924, 0x8f64c8c15486bb98, 0x2e30a04f89bed678, 0xe4ff32b8f5cee9f7, 0x8efe6c17d9c0a2cc,
  0x508e489fc199537a, 0x3e144312bfcfdf04, 0xaeef77cdc95c00dc, 0x68a8432d08c910ca, 0xf6f38ffd01cf09ad,
  0xc83cc16156662e72, 0xc126bb7aac7bffde, 0x79df2c27c5a76849, 0xa38e9fc18fbf51d6, 0x0e62c0596530df27,
  0x08ebd1f3b3da4669, 0x332b32b289dc72c6, 0x9e5a74a293f99f47, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0xc79c5c9ab83cd84b, 0x9fbab31e40fca1a2, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x000c434e19273c95,
};

// m16a_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m16_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0xdbbaabf261d64210,
  0x4f8c0482d95b524a, 0x1ec99182a91faf30, 0x5c61409f137dacf1, 0x8e1fe655bb9dd3ee, 0xa3feed8256383a59,
  0x2847244fe0e034de, 0x1f0a21895fe7ef82, 0x5777bbe6e456006e, 0x9454219682628865, 0xf6e13ffe80e784d1,
  0x7c14c16156662e72, 0x9c126bb7aac5f3fc, 0x70cef96e785a7684, 0xad1c74fe0ded7a8f, 0x16731602eb14cf7d,
  0x823af01a9dabfa34, 0x9ed8fba25500ffd9, 0x3e8e6656638f81e5, 0x81013cb4e94527f3, 0x038a3cf893474629,
  0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0xb09732f9b65c455b, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xb95ed3c95fb9a199,
  0x0000000000524c7a,
};

// m16_u2x8_uart0_dual_pr_ee_u4      m16a_u2x8_uart0_dual_pr_ee        m16a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xbd9c1059e0ac5fae,
  0x120b656d49836eee, 0x182a906ddcc13e30, 0x09f137dacf11ec99, 0x655bb9dd3ee5c614, 0xb0b1f387fc98347e,
  0x27f07d5f37a8fd3f, 0xc4aff3f7c1142392, 0xe6e7eb80370f8510, 0x2d04ac88655777bb, 0xfa039e132fb8a843,
  0x855998b9cbdbefbf, 0xbd561c3ff1f05305, 0xe942d3b424e0935d, 0x27a8f2bdbf355ad1, 0xe2beebd47c1b307f,
  0x1c270dc3afb169bb, 0x027e6909afa5b197, 0xda3278e756979c57, 0x6355ae875ec66edb, 0xe038ec5a7cf23487,
  0xd823f5b86f65deec, 0xe6656601512a0ea8, 0x13cb4e94527f33e8, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0x732f9b65c455bfde, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xed3c95fb9a19961d, 0x0000000159324995,
};

// m16_u2x8_uart0_dual_pr_ce_u4      m16a_u2x8_uart0_dual_pr_ce        m16a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16_u2x8_uart0_dual_pr_ce[] = {
  0xcdddddd60f4486f9, 0x777777756b1e73af, 0x277da3acecb53ef7, 0x6350436c5bbbb06e, 0xc1774da390ee73f8,
  0x09f180905b2b6a4a, 0x47b26460aa45d0e6, 0x97185027c4df6b3c, 0xc63ff9956ee774fb, 0x51c9d6c12d1c02d4,
  0x14239227f0715a6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e35d8037, 0xb8a8432d05f68865, 0xdbb05ffa039e1307,
  0xf05305855998b9cb, 0xe0935dbd56393ff1, 0xf2e2facdc2d3b424, 0x7dc4963cf285c1c7, 0x3f51f097e21b0911,
  0x27e678bb8dcd34ff, 0x417ea3f413dcb19e, 0x6028f9d2471d3f83, 0x01a9dabfa3416731, 0xba25500ffd99e3af,
  0x99598e3e0796b70f, 0xf2d3a5149fccfa39, 0xf3e24d1d18a60404, 0xaa9cbca6c6740e28, 0xa2d362cf43aa702b,
  0x97cdb2e0c76ff7aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000001a48b4f8af6,
};

// m16a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m16_u2x8_uart0_dual_pr_ee_ce[] = {
  0x77777583f6090c86, 0xdddddd59a9e4cbf3, 0xaae2161d7dc89ddd, 0xbaaf1a702f752616, 0x763767d5f98a0f89,
  0x0905b2b6a49d6777, 0x8c154874ea609f18, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0x60cf870eb39990ff,
  0x4fe0ff5e6f51e61b, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb412d221955ddeef, 0xe80e784d1ca2a10c,
  0x156662e72f6eff3f, 0xeab0c7ffc7c14c16, 0x75169da127049aed, 0x285c1c383717d519, 0x21b09117dc4963cf,
  0x719f3acff51f097e, 0x4ed6e6d7c99e2ee3, 0x6cc1a63ea3cae449, 0x8b4c531584ff51f0, 0x2d8cb8e1386e1d7d,
  0x9d5dba711d484d7d, 0x1d7b19bb6f68c9e3, 0xd3e791a43b1aaf1b, 0xc37b2ef76701c762, 0x6744a83aa3608991,
  0x5149fccfa3999599, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24, 0x2cf43aa702baa9cb, 0x2e0c76ff7aaa2d36,
  0xbc6e3cd84b997cdb, 0xd599bf83bb8d165a, 0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000004001cf8af6,
};

// m16a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8adbbbb90, 0xeeeeacd4f265f9bb, 0x0b0ebe44eb4f6eee, 0x8d3817ba930b5571, 0xf2bdff5b07c4dd57,
  0xcada92759dc6a44a, 0x21d3a9827c602416, 0x6fb59e23d9323055, 0xf3ba7dcb8c2813e2, 0xe1d673321fe65a5b,
  0xebcdea3cc36c19f0, 0xfdf04508e489fc1f, 0x600dc3e144312bfc, 0x4432abbbddf372e8, 0x09a394542196825a,
  0x5ce5eddfe7fd01cf, 0xfffa793982c2accc, 0xa127049aedeab0c7, 0x383717d51975169d, 0x8bee24b1e7942f3b,
  0xbffa8f84bf10d848, 0xd7c99e2ee3714939, 0x3ea3cae4494ed6e6, 0x1584ff51f06cc1a6, 0xe1386e1d7d8b4c53,
  0x711d484d7d2d8cb8, 0xbb6f68c9e39d5dba, 0xa43b1aaf1b1d7b19, 0xf76701c762d3e791, 0x3aa3608991c37b2e,
  0xcfa39995996744a8, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a,
  0xd84b997cdb2e0c76, 0xd8d1637c5c9ab83c, 0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000400596fa214,
};

// m16a_u2x8_uart0_dual_hw
static const uint64_t ur_m16_u2x8_uart0_dual_hw[] = {
  0x77777583d1219f68, 0xdddddd5899991bf3, 0x747706cc4ebb2ddd, 0x6e817d3b777619bd, 0x92b6ee2af44fd0b0,
  0xcc13e30120b656d4, 0x3c47b26460aa47eb, 0xfb97185027c4df6b, 0x966387f9956ee774, 0x37a8ffbb60958e0e,
  0xe08a11c913f8380d, 0x1b87c2886257f9fb, 0x1955ddeef9b91580, 0x3465150865a098a2, 0x9cbdb84fffa039e1,
  0x7f8927305855998b, 0xd093824d76f558be, 0x51ee19df2dcf0b4e, 0xefb5a38e9fc1bdaf, 0x4682ce62c05d6299,
  0xfb30475e0353b57f, 0x3cb3db1f744aa01f, 0xfe67d1cccacc71f0, 0xc5302027969d28a4, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x8f3612e65f36cb88, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x1eaf453c95fb9a19, 0x0000000000006375,
};

// m16a_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m16_u2x8_uart0_dual_ee_hw[] = {
  0xddddd60f44865c93, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0x19c5c5ede4ec5fae,
  0x0120b656d49836ee, 0x9182a906ddcc13e3, 0x409f137dacf11ec9, 0xe655bb9dd3ee5c61, 0xfb0b1f387fc98347,
  0x227f07d5f37a8fd3, 0x0c4aff3f7c114239, 0xbe6e7eb80370f851, 0x32d04ac88655777b, 0xffa039e132fb8a84,
  0x5855998b9cbdbefb, 0xedeab0e1ff892730, 0x8f4a169da127049a, 0xf93d4795edf9aad6, 0xdf15f75ea3e0d983,
  0xb8e1386e1d7d8b4d, 0xb813f3484d7d2d8c, 0xded193c73ab4bce2, 0x3b1aad743af63376, 0x6701c762d3e791a4,
  0x46c11fadc37b2ef7, 0x47332b300a895075, 0x809e5a74a293f99f, 0xc51e7c49a3a314c0, 0x0575539794d8ce81,
  0xf5545a6c59e8754e, 0x4b997cdb2e22adfe, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x00000000576b249d,
};

// m16a_u2x8_uart0_dual_ce_hw
static const uint64_t ur_m16_u2x8_uart0_dual_ce_hw[] = {
  0xbbbbac1e890d7f41, 0xeeeeead63ce75f9b, 0xfb4759d96a7deeee, 0xa086d8b77760dc4e, 0x82eef7199bdfabc6,
  0x13e30120b656d495, 0x8f64c8c1548ba1cc, 0x2e30a04f89bed678, 0x8c7ff32addcee9f7, 0xa393ad825a3805a9,
  0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0xaeef77cdc6bb006e, 0x7150865a0bed10ca, 0xb760bff4073c260f,
  0x24e60b0ab3317397, 0xe0935dbd56393ff1, 0xf2e2facdc2d3b424, 0x7dc4963cf285c1c7, 0xff51f097e21b0911,
  0x9f99e2ee370c7c66, 0x05fa8fd04f72c678, 0x80a3e7491c74fe0d, 0x06a76afe8d059cc5, 0xe895403ff6678ebc,
  0x656638f81e5adc3e, 0xcb4e94527f33e8e6, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0x5f36cb831dbfdeaa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000013755a7d453c,
};

// m16a_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m16_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbac1c3d686f97, 0xeeeeeacd4f265f9b, 0x5710b0ebee44eeee, 0xd578d3817ba930b5, 0xe78233ad53a07c4d,
  0x30120b656d493ace, 0x99182a90e9d4c13e, 0x1409f137dacf11ec, 0xfe655bb9dd3ee5c6, 0x36c19f0e1d673321,
  0x489fc1febcdea3cc, 0x4312bfcfdf04508e, 0xdf372e8600dc3e14, 0x196825a4432abbbd, 0x7fd01cf09a394542,
  0x2c2accc5ce5eddfe, 0xedeab0c7ffc49398, 0x1975169da127049a, 0xcf285c1c383717d5, 0x7e21b09117dc4963,
  0xe3726199f3f51f09, 0x494ed6e6d7c99e2e, 0xf06cc1a63ea3cae4, 0x7d8b4c531584ff51, 0x7d2d8cb8e1386e1d,
  0xe39d5dba711d484d, 0x1b1d7b19bb6f68c9, 0x62d3e791a43b1aaf, 0x91c37b2ef76701c7, 0x996744a83aa36089,
  0x3a5149fccfa39995, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e, 0x362cf43aa702baa9, 0xdb2e0c76ff7aaa2d,
  0xbd5c6e3cd84b997c, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x39f514f257ee6866, 0x0000000000001d75,
};

// m16a_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbbbac1e890cf68, 0x777777566a7dddf9, 0x889f55f62fa0fb77, 0xf45e34e05eeabe49, 0xcd1f53ad6ecc995d,
  0x602416cada92d89d, 0x3230552138f9827c, 0x2813e26fb59e23d9, 0xfccab773ba7dcb8c, 0x7d81ad9c261a667c,
  0x489fc1c009bd47fd, 0x4312bfcfdf04508e, 0xdf37011200dc3e14, 0x19680d64432abbbd, 0x7fd01cf09add4542,
  0x2c2accc5ce5edc34, 0x76f55896bfc49398, 0x8fe70b4ed093824d, 0xe7942e0e6ceb8bea, 0xbf10d8488bee24b1,
  0xe3739699bffa8f84, 0xa94ed6e6d3199e2e, 0xe0d983c8bea3caf4, 0x7d8b4c5315a01ea3, 0x7d2d8cb8e1386e1d,
  0xf39d5db97c1d484d, 0x363af29a76e911d7, 0x8b4ea5a31f76355e, 0x91c37b2dc99c071d, 0x99f47332b3c63449,
  0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x9b09732f9b65c18e,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x5ba29e4afdcd0ccb, 0x000000000003aeaf,
};

// m16_u2x12_uart0_noled_pr          m16a_u2x12_uart0_noled            m16a_u2x12_uart0_noled_pr
static const uint64_t ur_m16_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x49827c602416cada, 0x189eb5ffd20267fe, 0x6849c126bb79a0cd, 0x51ebf9df2c27c5a7, 0x45e7a38e9fc18fbf,
  0xa333c731602cb298, 0xffb30475e8f9d838, 0x0f2cf6d4d7e1aa01, 0x3149e5a74a285654, 0xdeb9f8a3cdec9a3a,
  0xe8754e047f529794, 0x8ab7fbd5516953e9, 0x0ddb09732f9b697f, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x71f4b373c95fb9a1, 0x0000000000007c83,
};

// m16a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m16_u2x12_uart0_noled_pr_u4[] = {
  0xdd775a1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0x696694b8ae379122,
  0x3e30120b656d49dd, 0xad7ff735f3ff24c1, 0x7049aede68334627, 0xfe77cb09f169da12, 0xe8e3a7f063efd47a,
  0xf1cc580b2ca61179, 0xc11d7a3e760e28cc, 0x3db535f86a807fec, 0x7969d28a159503cb, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0xc25ccbe6da5fe2ad, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x000001f277107324,
};

// m16_u2x12_uart0_noled_pr_ee_u4    m16a_u2x12_uart0_noled_pr_ee      m16a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m16_u2x12_uart0_noled_pr_ee[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0xc0482d95b52774c8, 0x7fb9af9f74b304f8, 0x4d76f3419a313ff7, 0x6b47370b4ed09382, 0x60c7cf51e5738cd5,
  0xa6ef8ae5f7a8f836, 0xc65c709c370ebec5, 0x4c571ac9a426be96, 0xbb2cf4627ce75697, 0x78cec6ab5d0ebce9,
  0x65f380e3b169a0b4, 0x1951b047eb70decb, 0x27969d28a005f860, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a,
  0xdfef5545a54fa7a1, 0x6c25ccbe6da5fe2a, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x4e792bf734332c3a, 0x00000004ebaf3e32,
};

// m16a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m16_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0x6a4eec2f5a3c7a08,
  0xeea609f180905b2b, 0x9a313cf5ff48099f, 0x4ed093824d76f341, 0x940e0df3bfea4f0b, 0xe771b8beca2fe78c,
  0xe82e7b9602e33984, 0x3ee38e9fc1eb17a8, 0xc48e1a8e62c05afe, 0xdc72c678ebc5ceda, 0x293cb4e94507406a,
  0x7ae7e28f2dd34746, 0x085a72f1fd4a5e53, 0xda7a1d53819d4cc6, 0x2c79c376c25ccbe6, 0x27eeacc790347f1a,
  0x289c6592e19e9857, 0xee6866587494b659, 0x05baaa752cdcf257,
};

// m16a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m16_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e8911fc3b, 0xbbaaba1dc2f896ee, 0xc6dd69856921bbbb, 0x3fd2eeeef89e6f50, 0xdb826ea1994ec776,
  0x13e30120b656d49d, 0x7bf9fee6be7ca2cc, 0x27049aede6833462, 0x09f717d531169da1, 0x8bee24b1e78c953b,
  0xf9fa8f84bf10d848, 0x7eb2678bb8dcb1ff, 0x3349ea3b5f4f72c6, 0x580b70c43c71d3f8, 0x7a3e760e28ccf1cc,
  0x35f86a807feccf1d, 0x74a2856540f2d6e5, 0x3cdec9a3a3149e5a, 0x47f529794deb9f8a, 0x5516953e9e8754e0,
  0x65f36d2fe63b7fbd, 0x8df1726ae0f3612e, 0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00dd7390f99273c9,
};

// m16a_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m16_u2x12_uart0_noled_pr_ee_ce[] = {
  0x775dd6861eb44511, 0xddd55de41a2c4b77, 0x50b36392eac1dddd, 0xe38f8feed8fb2610, 0x67d938b17d334a7e,
  0x80905b2b6a4eeabe, 0xff735f3e16a609f1, 0x9aede6833462793a, 0xd51a56169da12704, 0xb1e78c953b95d717,
  0x84bf10d8488bee24, 0x2ee3739699bffa8f, 0xc1494ed6e6def99e, 0x51f06cc1c65ea3ca, 0x0ebec5a6298ae6ef,
  0x26be96c65c709c37, 0xc4f9ceaedc988ea4, 0xaf1b1d79d37659e8, 0x8ec5a682d1e33b1a, 0x8991c37b2d97ce03,
  0x5142cff0c032a360, 0x6f64d1d18a4f2d3a, 0xfa94bca6f5cfc51e, 0x8b4a9f4f43aa7023, 0xf9b697f31dbfdeaa,
  0xf8b9357079b09732, 0xd598f207e50d1674, 0x7e627f2861539fa9, 0xfc1343cc9fe2e719, 0x5c33d30ae4fc73df,
  0xb0e9296cf8138cb2, 0x90c939e4afdcd0cc, 0x00000000000027e1,
};

// m16a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0xf8c0482d95b52774, 0xafff735f3fd3f304, 0x0935dbcd0668c4fe, 0x2faa3a942d3b424e, 0x4963cf192a7670ee,
  0x1f097e21b09117dc, 0x9e2ee372f0f96bf5, 0xcafe494ed6e6e329, 0xcf51f06cc188bea3, 0x370ebec5a6298ac7,
  0xa426be96c65c709c, 0x9187139d5dba0f8e, 0xaaf1b1d7aea6ecf6, 0x38ec5a66791a9ab1, 0xd46470decb872ce0,
  0x3149e5a74a298c40, 0x9bd73f14796e9a3a, 0x3042d3978fea52f2, 0x36d3d0ea9c0cea66, 0x1726ae0f3612e65f,
  0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0x4fc4d019273c95fb,
};

// m16a_u2x12_uart0_noled_hw
static const uint64_t ur_m16_u2x12_uart0_noled_hw[] = {
  0xbaeeb43d4166ef3a, 0xeeaafb39bbe25bbb, 0x4df9e17b5a6eeeee, 0x8bebf77742ca7bbc, 0x93ba0bd04d641e44,
  0x49827c602416cada, 0x8c4f5afff871e7fe, 0xb424e0935dbcd066, 0xa8f5fcef9613e2d3, 0x22f3d1c74fe0c7df,
  0x5199e398b016594c, 0xffd9823af47cec1c, 0x07967b6a6bf0d500, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d,
  0xf43aa7023fa94bca, 0xc55bfdeaa8b4a9f4, 0xe3cd84b997cdb4bf, 0xd2861539fa9b0ec6, 0xfc07cd0f327f8138,
  0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8, 0xe883b71fd829e4af,
};

// m16a_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m16_u2x12_uart0_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x13e30120b656d49d, 0x3ff77fd0a67dd2cc, 0x93824d76f3419a31, 0x8cd56b47370b4ed0, 0xf83660c7cf51e573,
  0xbec5a6ef8ae5f7a8, 0xbe96c65c709c370e, 0x56974c571ac9a426, 0xbce9bb2cf4627ce7, 0xa0b478cec6ab5d0e,
  0xdecb65f380e3b169, 0xf8601951b047eb70, 0xe8c527969d28a005, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e,
  0xfe2adfef5545a54f, 0x371e6c25ccbe6da5, 0xef79430a9cfd4176, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xfc176a8a792bf734, 0x0000000000000016,
};

// m16a_u2x12_uart0_noled_ce_hw
static const uint64_t ur_m16_u2x12_uart0_noled_ce_hw[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaafb39e9625b, 0x71ff17c1f6a1eeee, 0xd933d9fbbba682a6, 0xda93ba0bd04d6406,
  0xfba9827c602416ca, 0x3346279ebff871e7, 0x69da127049aede68, 0xc940e64877fd6d61, 0x4e771b952bf77e78,
  0x476be9ee580bac98, 0x18878e3a7f06693d, 0xc1c5199e398b016e, 0x500ffd99e3af47ce, 0xaca81e5adca6bf0d,
  0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5, 0xa5fcc76ff7aaa2d2, 0xcfec376c25ccbe6d,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0x885075d829e4afdc, 0x0000000000000001,
};

// m16_u2x12_uart0_noled_ee_ce_u4_hw m16a_u2x12_uart0_noled_ee_ce_hw   m16a_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x04f8c0482d95b527, 0x4f275ff4299f0b53, 0x24e0935dbcd0668c, 0xbae2faa34ac2d3b4, 0xfb892c79e50b8392,
  0xfea3e12fc4361222, 0xdf33c5dc6e760de1, 0xd479582929dadcdb, 0x5cddea3e0d9838cb, 0x1386e1d7d8b4c531,
  0x11d484d7d2d8cb8e, 0xcb3d189f39d5db93, 0x676355e363af3a6e, 0xf9c071d8b4d05a3c, 0x546c1132386f65b2,
  0xe5a74a2859fe1806, 0xf8a3cdec9a3a3149, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7,
  0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x453c95fb9a19961d, 0x0000000014043539,
};

// m16_u2x12_uart0_lednop_pr         m16a_u2x12_uart0_lednop           m16a_u2x12_uart0_lednop_pr
static const uint64_t ur_m16_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0xe9827c602416cada, 0x8c4f887fd20267e6, 0xb424e0935dbcd066, 0xa8eb3cef9613e2d3, 0x6f93d1c74fe0c7df,
  0x23348731602cb298, 0xffb30475e8f9d9ed, 0x07967b66794d2a01, 0x0404f2d3a514560a, 0x0e28f3e24d1d18a6,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0x2cdcf257ee686658, 0x000000001f21d275,
};

// m16a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0x5eb989cc699f8ba1,
  0x4f8c0482d95b5277, 0xf887fdcd7cfcdd30, 0x4e0935dbcd0668c4, 0xb3cef9613e2d3b42, 0x3d1c74fe0c7dfa8e,
  0x48731602cb2986f9, 0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0007c99b90324e79,
};

// m16_u2x12_uart0_lednop_pr_ee_u4   m16a_u2x12_uart0_lednop_pr_ee     m16a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_ee[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0x80905b2b6a4eeb33, 0xff735f3e5d6609f1, 0x9aede68334627fce, 0xd68e6e169da12704, 0xc18f9ea3cacf59aa,
  0xa6ef8af4af51f06c, 0xc65c709c370ebec5, 0xc9171ac9a426be96, 0xddba04621ce75697, 0x720b6355ae875e74,
  0x65f380e3b16989f4, 0x0d51b047eb70decb, 0x27969d28a004a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000275c83919273c,
};

// m16a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x2b6a4eed8f642179,
  0x9f32a609f180905b, 0x833462784fff4809, 0x169da127049aede6, 0x19281cc8a77fd49e, 0x09cee370a2b93fcf,
  0x51ded4f72c05c673, 0x2c38c71d3f83d62f, 0x633c8d4d1cc580b8, 0xa9ee39633c75e2e7, 0xc0809e5a74a283ab,
  0xe81c51e39f87a314, 0xc5fcdba96ae5297c, 0xa9c0a6173182169d, 0xbb612e65f36d3d0e, 0x63c81a3f8d163ce1,
  0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32, 0x92966e792bf73433, 0x0000000000016ea4,
};

// m16a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x27c602416cada93b, 0xf52bfdcd7cfa5698, 0x9c126bb79a0cd189, 0x6fdc5f54c45a7684, 0x2fb892c79e3254ef,
  0xdfea3e12fc436122, 0xf5933c5dc6e6ed26, 0x6693d47e7a7b9633, 0x580bbde0b8e3a7f0, 0x7a3e767b48cd21cc,
  0x9e534a807feccf1d, 0x3a514560a0796b71, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e, 0x362cf43aa702baa9,
  0xdb2e0c76ff7aaa2d, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb,
  0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xd75ad4649cf257ee, 0x000000000000000d,
};

// m16a_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222a20, 0xeeaaef20b8e25bbb, 0x20c5f2ef638eeeee, 0x38f8feed8fb26d14, 0xd502e3579131234e,
  0x0905b2b6a4ee8f62, 0xee6be7ec7e609f18, 0xbb79a0cd189f43ff, 0x469585a76849c126, 0x79e3254ef4ddc5f5,
  0x2fc4361222fb892c, 0xdc6e5e1f2d7ea3e1, 0x0129dadcdbdf33c5, 0x3e0d9838cbd4795a, 0xd7d8b4c5315ce3ea,
  0xd7d2d8cb8e1386e1, 0x8739d5dbb241d484, 0xf1b1d79d376e8118, 0xd8b4c4fa3905b1aa, 0x32386f65b2f9c071,
  0x2859a9afc3546c11, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979, 0xc18edfef5545a6c5,
  0x57079b09732f9b65, 0x207e50d165abcb93, 0xd2861539fa9d598f, 0xfc07cd0f327f8138, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x027e3d6cc939e4af,
};

// m16a_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x9f180905b2b6a4ee, 0x43ffee6be7ec7e60, 0xc126bb79a0cd189f, 0xc5f5475285a76849, 0x892c79e3254eca5d,
  0xa3e12fc4361222fb, 0x678bb8dce5a66ffe, 0xf2b5f253b5b9b8ca, 0xbfd47c1b30622fa8, 0x0dc3afb1698a62b7,
  0xa909afa5b1971c27, 0x5a348673abb74643, 0x355e363af5d4ddaa, 0x071d8b4e8946a0f6, 0xd4cc8e1bd970e59c,
  0x81013cb4e945318d, 0xd038a3c73f0f4629, 0x8bf9b752d5ca52f9, 0x53814c2e63042d3b, 0xe6c25ccbe6da7a1d,
  0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f,
  0xa4a5b3e04e32c970, 0x24e792bf734332c3, 0x0000000009f810b3,
};

// m16a_u2x12_uart0_lednop_hw
static const uint64_t ur_m16_u2x12_uart0_lednop_hw[] = {
  0xbbbaeeb43d66ed1f, 0xeeeeaafb39b3e25b, 0x6eff1287378feeee, 0x5d09ab6eee8594f7, 0xb6a4ee8c05fb63fc,
  0xf9ba609f180905b2, 0x0cd189f10ffe1c79, 0x5a76849c126bb79a, 0xfbf51d679df2c27c, 0x530df27a38e9fc18,
  0x3da46690e62c0596, 0x403ff6608ebd1f3b, 0xc140f2cf6ccf29a5, 0x14c0809e5a74a28a, 0xce81c51e7c49a3a3,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0x6ed84b997cdb2e22, 0x4b867a615c9f9fd8, 0x61d252d964a27196,
  0x3bb053c95fb9a199, 0x000000000008e2e9,
};

// m16a_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m16_u2x12_uart0_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x27c602416cada93b, 0x7fceffa14cf97598, 0x27049aede6833462, 0x59aad68e6e169da1, 0xf06cc18f9ea3cacf,
  0xbec5a6ef8af4af51, 0xbe96c65c709c370e, 0x5697c9171ac9a426, 0x5e74ddba04621ce7, 0x89f4720b6355ae87,
  0xdecb65f380e3b169, 0xa6bf0d51b047eb70, 0x302027969d28a004, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x3612e65f36cb88ab, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc3453c95fb9a1996, 0x000000000016fcaf,
};

// m16a_u2x12_uart0_lednop_ce_hw
static const uint64_t ur_m16_u2x12_uart0_lednop_ce_hw[] = {
  0x7775dd687acdc49f, 0xdddd55f671d7c4b7, 0x55a508c1f600dddd, 0x9fa5e6fbbbb7121c, 0x6d49ddcc490d5a09,
  0xc27cc13e30120b65, 0x334627a01ff871e7, 0x69da127049aede68, 0xc940e44277fd49e1, 0x4e771b901aa57e78,
  0x8e27e7b9602e3398, 0x152e38e9fc1eb17a, 0x0fb47ac4731602f4, 0x6b71cb19e3af173b, 0x81013cb4e945074a,
  0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea, 0x612e65f36cb831db, 0x19e985727e7f61bb,
  0x494b659289c6592e, 0xc14f257ee6866587, 0x000000000c4296ee,
};

/*
 * m16_u2x12_uart0_lednop_ee_ce_u4_hw m16a_u2x12_uart0_lednop_ee_ce_hw
 * m16a_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x09f180905b2b6a4e, 0x7d0fffd0a67ec7e6, 0x27049aede6833462, 0x7717d51a56169da1, 0xdc4963cf285c1cd3,
  0xf51f097e21b09117, 0xf99e2ee3726199f3, 0xa3cad0094ed6e6de, 0xe71f51f06cc1c65e, 0x9c370ebec5a6298a,
  0x0ea426be96c65c70, 0x7408c439ceaedd92, 0x2d8d578d8ebce9bb, 0xce038ec5a627d1c8, 0xa3608991c37b2d97,
  0x2d3a5142cd4d7e1a, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0x7cdb2e0c76ff7aaa,
  0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00014056dbad14f2,
};

// m16_u2x12_uart0_dual_pr           m16a_u2x12_uart0_dual             m16a_u2x12_uart0_dual_pr
static const uint64_t ur_m16_u2x12_uart0_dual[] = {
  0x7777583f07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x3b95f33e1ec58ac4,
  0x7c602416cada9282, 0xf64c8c154843e982, 0xe30a04f89bed6788, 0x3bf32b8f5cee9f72, 0xd7dec0a29c1c9cdf,
  0x239227f071ee6f51, 0x8510c4aff3f7c114, 0xbbddf372dd00370f, 0x2a10cb407c4432ab, 0xbe95ff4073c26dee,
  0x0f305855998b9cbd, 0x3419a313e21ff7b2, 0xf8b4ed093824d76f, 0x31f7ea3acf3be584, 0x2ca61be4f471d3f8,
  0x767b48cd21cc580b, 0x513b8e58c11d7a3e, 0x527f33e8e6656656, 0x7462981013cb4e94, 0x9b19d038a3cf8934,
  0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x57079b09732f9b65, 0xc81f943458f38b93, 0x70cf4c2b93f75663,
  0xc3a4a5b3e04e32c9, 0xc324e792bf734332, 0x000000000000c439,
};

// m16a_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m16_u2x12_uart0_dual_pr_u4[] = {
  0xeeb07e0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0x7720126e7161f14e,
  0xf180905b2b6a4e2f, 0xd932305520d6e609, 0x8c2813e26fb59e23, 0x4bfccab773ba7dcb, 0x74adb074a7038731,
  0x08e489fc1d4a9bd4, 0xe144312bfcfdf045, 0xeef77cdc1ac00dc3, 0x8a8432d0f9110caa, 0x6fdd7fd01cf0987c,
  0xc14c16156662e72f, 0xbcd0668c4f053fc7, 0x73c2d3b424e0935d, 0xf06f6bd47b8677cb, 0x1758a67bed68e3a7,
  0xd4ed5fd1a0b398b0, 0x12a807fecc11d780, 0xb31c7c0f2cf6c7dd, 0xa74a293f99f47332, 0xc49a3a314c0809e5,
  0x39794d8ce81c51e7, 0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00029276e40af69e,
};

// m16_u2x12_uart0_dual_pr_ee_u4     m16a_u2x12_uart0_dual_pr_ee       m16a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16_u2x12_uart0_dual_pr_ee[] = {
  0x77583f07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0xb47fbbeec2afb17f,
  0x0b656d49466eeabd, 0x2a90148cc13e3012, 0xf137dacf11ec9918, 0x5bb9dd3ee5c61409, 0x7fc380689b4d7e65,
  0xf83a1f9bd47b1fd8, 0x57f9fbe08a11c913, 0x70d6c01b87c28862, 0x83a54432abbbddf3, 0x01cf098a2c542196,
  0xaccc5ce5edf4dffd, 0x13ca5ff8f82982c2, 0x093824d76f3419a3, 0x6fcd56b47a50b4ed, 0x1f06cc1fc9ea3caf,
  0xebec5a6ef8afbaf5, 0x6be96c65c709c370, 0xd5a5e715c09f9a42, 0xd7b19bb6f68c9e39, 0x9f3c8d21d8d56ba1,
  0x1bd977bb380e3b16, 0x544a83aa3608fd6e, 0x149fccfa39995980, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d,
  0xcf43aa702baa9cbc, 0x71156ff7aaa2d362, 0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x564271657b4f257e,
};

// m16_u2x12_uart0_dual_pr_ce_u4     m16a_u2x12_uart0_dual_pr_ce       m16a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16_u2x12_uart0_dual_pr_ce[] = {
  0xeeb07e0f44869a4e, 0xbbbab63b0877e6ee, 0x64e269db9f7bbbbb, 0x351dadddd4666452, 0xe3fa8c547c78658a,
  0x0120b656d49976ee, 0xc8c15487544c13e3, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0x5b00b47031f9866f,
  0x489fc18d69bd474b, 0x4312bfcfdf04508e, 0xef9b887c00dc3e14, 0x0cb40a2a21955dde, 0x3fe80e784c63e2a1,
  0x16156662e72f6f81, 0xcd189ff3bfc7c14c, 0xa76849c126bb79a0, 0x0b838fe5c5f59b85, 0x361222fb892c79e5,
  0x9a69fe7ea3e12fc4, 0xb9633c4fccf1771b, 0x3a7f0682fd47e827, 0x82ce62c051f3a48e, 0x33c75e0353b57f46,
  0x2d6e1f744aa01ffb, 0x99f47332b31c7c0f, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c,
  0xdfef5545a6c59e87, 0x9b09732f9b65c18e, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x8295ed3c95fb9a19, 0x0000000000034937,
};

// m16a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m16_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7583f07d41435202, 0xeeead00201bf3777, 0xd45ecfb7266eeeee, 0xd9b106f75052beb9, 0x5b469ef35fbb0b67,
  0x2d95b525eb3b9c87, 0xaa43c03304f8c048, 0xc4df6b3c47b26460, 0x6ee774fb97185027, 0xa4387ebcc6b7f995,
  0xc1dadcdea3c00d80, 0xbfcfdf04508e489f, 0x995000dc3e144312, 0x34da21955ddeef9b, 0x0e784d8122a10cb4,
  0xccc5ce5edec7ffe8, 0x3c6b7f8f82982c2a, 0x93824d76f3419a31, 0x43bfea8d7d8b4ed0, 0x3e759fe7942e0e60,
  0xacac5f26139dc6e3, 0x834c7d4795c8929d, 0x98a62b09fea3e0d9, 0x1971c270dc3afb16, 0xbb74e23a909afa5b,
  0xf63376ded193c73a, 0xcf234876355e363a, 0xf65deece038ec5a7, 0x89507546c1132386, 0x93f99f47332b32ce,
  0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3, 0xe8754e0575539794, 0x18edfef5545a6c59, 0xdc79b09732f9b65c,
  0x337f07771a2cb578, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000020017615ed3c,
};

// m16a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbb3202, 0xbbab3d326efcdddd, 0xb75b1f9a339bbbbb, 0xb86edd4e4cfb66fb, 0xe2fa6b7b807c805e,
  0xa93389dc34e83eba, 0xeb9827c602416cad, 0x6788f64c8c154831, 0x9f72e30a04f89bed, 0x1cd495f99696fcee,
  0x7a8ecf9b0eb33832, 0x114239227f066b73, 0x70f8510c4aff3f7c, 0xaaeef77cdc754003, 0x83150865a016910c,
  0x7b7c41ff4073c263, 0x9e4e60b0ab331739, 0xbcd0668c4f19bffe, 0x2ea2d3b424e0935d, 0xf285e76706e2faa3,
  0xe21b09117dc4963c, 0x6e292737ff51f097, 0x29dadcdaf933c5dc, 0x0d9834c7d4795c89, 0xb1698a62b09fea3e,
  0xa5b1971c270dc3af, 0x73abb74e23a909af, 0x63af63376ded193c, 0x5a7cf234876355e3, 0x386f65deece038ec,
  0x2ce89507546c1132, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4, 0xc59e8754e0575539,
  0x65c18edfef5545a6, 0x9357079b09732f9b, 0x6fe0fdbb1a2c6f8b, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x5b444293c95fb9a1, 0x0000000000004002,
};

// m16a_u2x12_uart0_dual_hw
static const uint64_t ur_m16_u2x12_uart0_dual_hw[] = {
  0x77583f07a2431bc1, 0xdddd586dc0bbf377, 0x9c8cfc8eb4eddddd, 0x06e8e3bbba34c20c, 0x5eee1d74d7deeca7,
  0x13e30120b656d49c, 0x47b26460aa41adcc, 0x97185027c4df6b3c, 0x6297f9956ee774fb, 0xa8e95b60e94e070e,
  0x8a11c913f83a9537, 0x87c2886257f9fbe0, 0x55ddeef9b835801b, 0xf9150865a1f22219, 0x5edfbaffa039e130,
  0xc493982c2accc5ce, 0x5dbcd0668c4f053f, 0xcb73c2d3b424e093, 0xa7f06f6bd47b8677, 0xb01758a67bed68e3,
  0x80d4ed5fd1a0b398, 0xdd12a807fecc11d7, 0x32b31c7c0f2cf6c7, 0xe5a74a293f99f473, 0xe7c49a3a314c0809,
  0x5539794d8ce81c51, 0x45a6c59e8754e057, 0x97cdb2e22adfef55, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000018dd6dc8514f,
};

// m16a_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m16_u2x12_uart0_dual_ee_hw[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab121d777e6, 0xa352723b5aeb7bbb, 0xff6bc791fddb126e, 0x4da390f5fc255f62,
  0x80905b2b6a4a3377, 0xc8c15480a46609f1, 0xa04f89bed6788f64, 0xf32addcee9f72e30, 0xfec3fe1c0344da6b,
  0x489fc1d0fcdea3d8, 0x4312bfcfdf04508e, 0xef9b86b600dc3e14, 0x0cb41d2a21955dde, 0xffe80e784c5162a1,
  0x16156662e72f6fa6, 0x668c4f297fe249cc, 0xd3b424e0935dbcd0, 0xf2bdbf355ad1e942, 0xebd47c1b307f27a8,
  0x0dc3afb169bbe2be, 0x6909afa5b1971c27, 0x78e756979c57027e, 0xae875ec66edbda32, 0xec5a7cf234876355,
  0xf5b86f65deece038, 0x6601512a0ea8d823, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x000aed138ba29e4a,
};

// m16a_u2x12_uart0_dual_ce_hw
static const uint64_t ur_m16_u2x12_uart0_dual_ce_hw[] = {
  0xdd60fc1e890d365a, 0x77756c7610efcddd, 0xc9c4d3b73ef77777, 0x6a3b5bbba8ccc8a4, 0xeec89ebde95ecb14,
  0xe30120b656d49976, 0x64c8c15487544c13, 0x30a04f89bed6788f, 0x6ff32addcee9f72e, 0x4b5b00b47031f986,
  0x8e489fc18d69bd47, 0x144312bfcfdf0450, 0xdeef9b887c00dc3e, 0xa10cb40a2a21955d, 0x813fe80e784c63e2,
  0xcc16156662e72f6f, 0xd0668c4ff9dfe249, 0xc2d3b424e0935dbc, 0xf285c1c7f2e2facd, 0xe21b09117dc4963c,
  0x370c7c66ff51f097, 0x4f72c6789f99e2ee, 0x1c74fe0d05fa8fd0, 0x8d059cc580a3e749, 0xf6678ebc06a76afe,
  0x1e5adc3ee895403f, 0x7f33e8e6656638f8, 0x62981013cb4e9452, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b,
  0x1dbfdeaa8b4d8b3d, 0x8f3612e65f36cb83, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0xde0b453c95fb9a19, 0x0000000000001375,
};

// m16a_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m16_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbbac1f8387ad0c86, 0x7777567a64ddf9bb, 0xcdf76eb7a3f37777, 0x00bd70ddba9c99f6, 0xdd8dd9bcc5f700f9,
  0x02416cada93389dd, 0x8c154831eb9827c6, 0x04f89bed6788f64c, 0x32addcee9f72e30a, 0x61d66706439a92bf,
  0x4fe0cd6e6f51d9f3, 0x895fe7ef82284724, 0x9b8ea8006e1f0a21, 0xb402d221955ddeef, 0xe80e784c7062a10c,
  0x156662e72f6f883f, 0x189e337fe249cc16, 0x6849c126bb79a0cd, 0x0e0dc5f5465d45a7, 0x45f71258f3ca1707,
  0x7cfd47c25f886c24, 0xb5f2678bb8dc9866, 0x8fa8f2b91253b5b9, 0xc5613fd47c1b3069, 0x384e1b875f62d314,
  0x9c4752135f4b632e, 0x6edbda3278e7576e, 0x690ec6abc6c75ec6, 0xbdd9c071d8b4f9e4, 0x0ea8d8226470decb,
  0x33e8e6656659d12a, 0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0x0c2a73f52f571b8f, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00000ebad8ff453c,
};

// m16a_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeb07e0f4486f97, 0x7777567a6a3f7e6e, 0x96d68abf70fb7777, 0x8a27bd70ddbbf693, 0xb9e08ceb54eb66eb,
  0x8c0482d95b524ed3, 0x99182a910f27304f, 0x1409f137dacf11ec, 0xfe655bb9dd3ee5c6, 0xdec2618e0cf93759,
  0x244fe0c524dea39a, 0x21895fe7ef822847, 0x77cdc524006e1f0a, 0x865a04e910caaeef, 0xfff4073c26d9d150,
  0x16156662e72f6f5b, 0x668c4fff9fe249cc, 0xd3b424e0935dbcd0, 0x8392bae2faa3f9c2, 0x1222fb892c79e50b,
  0xdcc37ea3e12fc436, 0xdcda6333c5dc6e1a, 0x7917d4795e9529da, 0x8a62b9bbd47c1b30, 0x971c270dc3afb169,
  0xb74423a909afa5b1, 0xa69d967a3afe73ab, 0x68c7dd8d578d8ebc, 0xcb726701c762d341, 0x32b3c63ac46470de,
  0xe5a74a293f99f473, 0x796e9a3a314c0809, 0xd54e5e53633a0714, 0xe05d5cc6085a6f55, 0xb09732f9b69e8754,
  0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x4a29e4afdcd0ccb0, 0x00000000000ebaa0,
};

// m16_swio10_noled_pr               m16a_swio10_noled                 m16a_swio10_noled_pr
static const uint64_t ur_m16_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x120b656d49ddb1ec, 0xe90133e654c13e30, 0x6b9df2c4d52009ff, 0xca38e9fc1887f51d, 0x16731602dee9a6e8,
  0xc608ebc5cec4d23c, 0xf2e556a5654bdc72, 0xa551aeb2039920da, 0x672bb54b7d59cea2, 0xd312a97debe9a64d,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0x4f43aa702dc7c502, 0x8f386ed84b997cdb, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x7c8124a59b9e4afd,
};

// m16a_swio10_noled_pr_u4
static const uint64_t ur_m16_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae4506dc4a3, 0xfad4f54c0e26c13c, 0x59ade1631d7a45b1, 0x3e3cb8f8bdd8e3d0,
  0x6d49dd583938d832, 0xe3dcc13e30120b65, 0x611690775fee6be7, 0x3f8327bd479b8ef9, 0xc0596537740a471d,
  0xf47cec3e23b58e62, 0x40b3d500ffd9823a, 0x2ab5104a81e59edf, 0x8d75901cc906d797, 0x5daa5beace75152a,
  0x954bef5f4d326b39, 0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0xf36c56a8ab7fbd55,
  0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x7c9eb2d19273c95f,
};

// m16_swio10_noled_pr_ee_u4         m16a_swio10_noled_pr_ee           m16a_swio10_noled_pr_ee_u4
static const uint64_t ur_m16_swio10_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0xa93ba75a3509167d, 0xd69827c602416cad, 0x7ba41a6ffdcd7cf8, 0xfa8f2b387355ad1c, 0x5721fd47c1b3067a,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0xa3884e75697a94b8, 0x1aad743af3a6ed38, 0x01c762d35ae8c45b,
  0x608fd6e1bd96cbe7, 0xb955a804b3ebfaa3, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xc4aa5f7afa699359,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2f9b62b5455bfdea, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x0009d72ccc939e4a,
};

// m16_swio10_noled_pr_ce_u4         m16a_swio10_noled_pr_ce           m16a_swio10_noled_pr_ce_u4
static const uint64_t ur_m16_swio10_noled_pr_ce[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0xb656d49dd0149339, 0xbe7edd4c13e30120, 0x8beb22520c09fee6, 0x1258f3c64a9da9eb, 0x47c25f886c2445f7,
  0xcf1771b8cdf4a8fd, 0xf51f249ee58cfd64, 0x84f5f238e9fc1e0b, 0xe761f11dac731602, 0x9ea807feccf1d7a3,
  0x6a209503cb5bba05, 0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0x97debe9a64d672bb, 0x73daad115e5d312a,
  0x36294f0d3bc77f5d, 0x30ca7a1d53810775, 0xb15a8c76ff7aaa2d, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x78fae649cf257ee6, 0x00000000000000dd,
};

// m16a_swio10_noled_pr_ee_ce
static const uint64_t ur_m16_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0x6d49dd294758dd2b, 0xc344c13e30120b65, 0x9c3a4163ffee6be7, 0xf192a77d3e77fd51, 0xc273b8dcb9124afc,
  0xe56e9653b5958f7c, 0x77a8f83660d00f51, 0x370ebec5a6298afe, 0xa426be96c65c709c, 0x28e2139d5dbaa50e,
  0x8d578d8ebce9bb4e, 0x80e3b169ad74622d, 0xd8226470decb65f3, 0x2e556a59acfafea8, 0x551aeb2039920daf,
  0x72bb54b7d59cea2a, 0x312a97debe9a64d6, 0x7f5d73daad115e5d, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381,
  0x97cdb15a8c76ff7a, 0x2c79c5c9ab8d84b9, 0xc9fbab31e40fca1a, 0x4a271964b867a615, 0xfb9a19961d252d96,
  0x014d339f19273c95,
};

// m16a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m16_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda243704a, 0x62eed55fd4d1dc48, 0x2e9badd86656c17e, 0x430a800d88372ecd, 0xfb1393bc88596cf2,
  0xb52775d6eb8a0aae, 0x87d304f8c0482d95, 0xbaa41883ff1f873e, 0x285c1c7f9717d51d, 0x21b09117dc4963cf,
  0xcf39753bf51f097e, 0x3b5b9b7be678bb8d, 0x660d00f51e56e965, 0x5a6298afe77a8f83, 0x6c65c709c370ebec,
  0xd5dbaa50ea426be9, 0xebce9bb4e28e2139, 0x9ad74622d8d578d8, 0x0decb65f380e3b16, 0x9acfafea8d822647,
  0x039920daf2e556a5, 0x7d59cea2a551aeb2, 0xebe9a64d672bb54b, 0xaad115e5d312a97d, 0x94f0d3bc77f5d73d,
  0xa7a1d53810775362, 0xa8c76ff7aaa2d30c, 0x6e3cd84b997cdb15, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xf9f678af69e4afdc,
  0x0000000000000009,
};

// m16a_swio10_noled_hw
static const uint64_t ur_m16_swio10_noled_hw[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab91462312, 0x74b8ee8714718c22, 0x5fd0ef410d72f7e2, 0xd4136d8c48bbb110,
  0x416cada93bb0bd68, 0x871e7e449827c602, 0xc4ef9626a90695ff, 0x18e3a7f0621fd474, 0xf1cc580b7ba6d2a2,
  0x8c11d78b9db7b464, 0xe5caad4ac59fb8e5, 0x4aa35d64073241b5, 0xce576a96fab39d45, 0xa62552fbd7d34c9a,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x997cdb15aa2adfef, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000004712e3b053,
};

// m16a_swio10_noled_ee_hw
static const uint64_t ur_m16_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x8aa2d0564041b410,
  0xb2b6a4eebb257db3, 0x33e35a609f180905, 0xad1c7ba41a6ffe85, 0x067afa8f2b387355, 0x377c5721fd47c1b3,
  0x32e384e1b875f62d, 0x94b8d64d2135f4b6, 0xed38a3884e75697a, 0xc45b1aad743af3a6, 0xcbe701c762d35ae8,
  0xfaa3608fd6e1bd96, 0x36bcb955a804b3eb, 0xa8a9546bac80e648, 0x9359caed52df5673, 0x7974c4aa5f7afa69,
  0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x09732f9b62b5455b, 0xc2a73f505d8dc79b,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x0000000002dfccc5,
};

// m16a_swio10_noled_ce_hw
static const uint64_t ur_m16_swio10_noled_ce_hw[] = {
  0xe4dddddda2431202, 0xf8eed55e110ddc49, 0x63f420dd1835d83d, 0x79367fafad0ada09, 0x62d41434e19a9bdd,
  0x0482d95b5277599b, 0xff4299fb75304f8c, 0x29eb8beb22520c09, 0x8bee24b1e7942e0e, 0xaffa8f84bf10d848,
  0x7eb2678bb8dc149f, 0x0f05fa8f924f72c6, 0x8b01427af91c74fe, 0xebd1f3b0f88ed639, 0xdd02cf5403ff6678,
  0x972ab5104a81e5ad, 0x2a8d75901cc906d7, 0x395daa5beace7515, 0x98954bef5f4d326b, 0xbfaeb9ed5688af2e,
  0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xcbe6d8ad463b7fbd, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00001d66dbe0a8a7,
};

// m16_swio10_noled_ee_ce_u4_hw      m16a_swio10_noled_ee_ce_hw        m16a_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m16_swio10_noled_ee_ce_hw[] = {
  0x21bbbbbb4486cc7f, 0xc5ddaabfa9a3b891, 0x5d375bb0ccad82fc, 0x8615001b106e5d9a, 0xf627277910b2d9e4,
  0xada93ba9f755faa3, 0xf43e9827c602416c, 0x8edd520c41ff4299, 0xe7942e0e3fcb8bea, 0xbf10d8488bee24b1,
  0x8dc7546a83fa8f84, 0x653b5b9b7be678bb, 0x83660d00f51e56e9, 0xec5a6298afe77a8f, 0xe96c65c709c370eb,
  0x39d5dbaa50ea426b, 0xd8ebce9bb4e28e21, 0x169ad74622d8d578, 0x470decb65f380e3b, 0xa59acfafea8d8226,
  0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x7debe9a64d672bb5, 0x3daad115e5d312a9, 0x6294f0d3bc77f5d7,
  0x0ca7a1d538107753, 0x15a8c76ff7aaa2d3, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb,
  0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x280becf514f257ee,
};

// m16a_swio10_lednop
static const uint64_t ur_m16_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0482d95b52777312, 0xfa404cfbf9304f8c, 0xfe43be589aa40657, 0x7be38e9fc1887f51, 0xf40731602dee9900,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546bac80e6483, 0x809caed52df5673a, 0x4ab574bfa69935c0,
  0xeb5cf6ab4457974c, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x25ccbe6da7a1d538, 0x3d30ae4fcfec376c,
  0x296cb25138cb25c3, 0xb9e4afdcd0ccb0e9, 0x000000005496ea59,
};

// m16_swio10_lednop_pr_u4           m16a_swio10_lednop_pr             m16a_swio10_lednop_pr_u4
static const uint64_t ur_m16_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x9ed93dd590e3609e, 0x0b35bc2c6d8ca11e, 0x660bf31e3fbb1c7a,
  0xada93bb1c605e2f6, 0xfc069827c602416c, 0x5845a401effdcd7c, 0x4fe0c9ef51e713be, 0x602cb2983da011c7,
  0xf47cec98a383e731, 0xd6e81500ffd9823a, 0xe556a844c0f2cf6e, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5,
  0x5d2fe9a64d702027, 0x3daad115e5d312ad, 0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0x43156ff7aaa2d23b,
  0xae0f3612e65f36d8, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc,
  0x4b867a617c68f45f, 0x961d252d9f027196, 0x8299273c95fb9a19, 0x000000000007c9ab,
};

// m16a_swio10_lednop_pr_ee
static const uint64_t ur_m16_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0x9827c602416cada9, 0x482397fb9af9feaf, 0x1e5650e6ab5a38f7, 0xa5fa8f83660cf5f5,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0xbe1cead2ee4d71ac, 0x5ae875e74dd8f546, 0x8ec5a710a31bf635,
  0x1fadc37b2d97ce03, 0x55a805d02cf546c1, 0x6bac80e64836bcb9, 0xed52df5673a8a954, 0x4bfa69935c0809ca,
  0x6ab4457974c4ab57, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0xc55bfdeaa8b48edc, 0x83cd84b997cdb610,
  0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x64ff1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000009d7814649cf,
};

// m16a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m16_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0xa93ba3d8b54718d4, 0x729827c602416cad, 0xbaa416ebfdcd7cfc, 0xbd4795c879aad68f, 0x56e97d47c1b3072f,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x46989cead2ebed71, 0x55ae875eba9bb4be, 0x1c762d31f11dad63,
  0x41f5b86f65c39670, 0xcc906d7972ab55c7, 0xace75152a8d75901, 0x26b8101395daa5be, 0xf2e98956ae97f4d3,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x732f9b6c218ab7fb, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00004eba680c939e,
};

// m16_swio10_lednop_pr_ce_u4        m16a_swio10_lednop_pr_ce          m16a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16_swio10_lednop_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0x656d49dd3b410e5d, 0xe7e2b4c13e30120b, 0xbeb22520df7fee6b, 0x258f3c64a9dcaeb8, 0x7c25f886c2445f71,
  0x78bb8dc643a4afd4, 0xa8e0a4f72c67eb26, 0xdf97d1c74fe0f05f, 0xec98a383e731602e, 0x1500ffd99e3af47c,
  0xaa11303cb5bad6e8, 0xac80e64836bcb955, 0x52df5673a8a9546b, 0xfa69935c0809caed, 0xb4457974c4ab574b,
  0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x9b09732f9b6c2131, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x939e4afdcd0ccb0e, 0x00000000dd748bcc,
};

// m16a_swio10_lednop_pr_ee_ce
static const uint64_t ur_m16_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0xda93bad3bed3b2d9, 0x9db9827c602416ca, 0x70e906ed7fb9af9f, 0xc64a9d8cd9dff546, 0x139dc6e339747ff3,
  0x2b2eb29dacac7be6, 0xfd47c1b306807a8f, 0xb875f62d314c5670, 0x2135f4b632e384e1, 0x46be1ceaedce4c75,
  0x6abc6c75e74dd8f5, 0x071d8b4e214637ec, 0xc1132386f65b2f9c, 0xb955a967d02cf546, 0x546bac80e64836bc,
  0xcaed52df5673a8a9, 0x574bfa69935c0809, 0xcf6ab4457974c4ab, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905,
  0x2131dbfdeaa8b48e, 0x93571b09732f9b6c, 0x63c81f943458f38b, 0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32,
  0xfb324e792bf73433, 0x00000000000534c5,
};

// m16a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_swio10_lednop_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x4ebb2dd1a78bc17e, 0x430a800d847706cc, 0x10dd02fa70596cf2,
  0xb52776abf261d642, 0xfaf304f8c0482d95, 0xbaa41003ff1f873f, 0x50b8395bf717d51d, 0x4361222fb892c79e,
  0x1dbb0b27ea3e12fc, 0xed6e6def99e2ee37, 0x983403d479597594, 0x698a62b387ea3e0d, 0xb1971c270dc3afb1,
  0x576e7263a909afa5, 0xaf3a6ec7aa35f0e7, 0x710a31bf6355e363, 0x37b2d97ce038ec5a, 0x3e8167aa3608991c,
  0x073241b5e5caad4b, 0xfab39d454aa35d64, 0x4c9ae0404e576a96, 0x2bcba6255aba5fd3, 0x80f37b6bae7b55a2,
  0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x4b997cdb61098edf, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xaf69e4afdcd0ccb0,
  0x0000000009f83d5c,
};

// m16a_swio10_lednop_hw
static const uint64_t ur_m16_swio10_lednop_hw[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x0482d95b52777312, 0xff0e3cfbf9304f8c, 0xff21df2c4d52032b, 0x3df1c74fe0c43fa8, 0xfa0398b016f74c80,
  0xcb1823af173b5ac8, 0xb5e5caad4ace7b71, 0x454aa35d64073241, 0x404e576a96fab39d, 0x255aba5fd34c9ae0,
  0xf5ae7b55a22bcba6, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0x12e65f36d3d0ea9c, 0x9e985727e7f61bb6,
  0x94b659289c6592e1, 0x14f257ee68665874, 0x0000000011c56eec,
};

// m16a_swio10_lednop_ee_hw
static const uint64_t ur_m16_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x847ec8833106d043,
  0x95b52776c36cad49, 0x3fd5f304f8c0482d, 0xd1c7ba411cbfe853, 0x67afa8f2b287355a, 0x77c5652fd47c1b30,
  0x2e384e1b875f62d3, 0x6b8d64d2135f4b63, 0xc7aa35f0e7569772, 0xdfb1aad743af3a6e, 0xbe701c762d388518,
  0xaa3608fd6e1bd96c, 0xb5e5caad402e8167, 0x454aa35d64073241, 0x404e576a96fab39d, 0x255aba5fd34c9ae0,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x6db0862adfef5545, 0x4176371e6c25ccbe,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x000b7ff34e8a792b,
};

// m16a_swio10_lednop_ce_hw
static const uint64_t ur_m16_swio10_lednop_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2eeedb75ec1e, 0x26cff5f5a1bb2b6f, 0x6d3ad41685ad1baf,
  0x482d95b52774a70f, 0xf4299f8ad304f8c0, 0xaeb8beb22520df7f, 0xbee24b1e7942e0e4, 0x7fa8f84bf10d8488,
  0xd64cf1771b9d8378, 0xe0bf51c149ee58cf, 0xc05dbf2fa38e9fc1, 0xe8f9d9314707ce62, 0xadd02a01ffb33c75,
  0x72ab542260796b75, 0xa8d75901cc906d79, 0x95daa5beace75152, 0xae97f4d326b81013, 0x9ed5688af2e98956,
  0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x4263b7fbd551691d, 0x1b8f3612e65f36d8, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x364fc3453c95fb9a,
  0x00000000000000eb,
};

// m16_swio10_lednop_ee_ce_u4_hw     m16a_swio10_lednop_ee_ce_hw       m16a_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_swio10_lednop_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x275d96e8d3c5e0bf, 0x21854006c23b8366, 0xb06e817d382cb679,
  0x656d49dd2af44fd0, 0xcffebcc13e30120b, 0x5476ea90400ffa14, 0x1e7942e0e56fdc5f, 0x4bf10d8488bee24b,
  0x71b86dd8523fa8f8, 0xaca76b736f7ccf17, 0xf06cc1a01ea3cacb, 0x7d8b4c53159c3f51, 0x7d2d8cb8e1386e1d,
  0x873abb73931d484d, 0x1b1d79d3763d51af, 0x62d388518dfb1aaf, 0xc8e1bd96cbe701c7, 0x6a59f40b3d51b044,
  0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0xfe9a64d7020272bb, 0xad115e5d312ad5d2, 0xbe74079bdb5d73da,
  0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0xe6c25ccbe6db084c, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xd5e8a792bf734332, 0x0000000000014043,
};

/*
 * m16_swio10_dual_pr                m16_swio10_dual_pr_u4             m16a_swio10_dual
 * m16a_swio10_dual_pr               m16a_swio10_dual_pr_u4
 */
static const uint64_t ur_m16_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3f38afc6, 0xd8d5bb1c7c8b4b3f, 0xc895bfa63d9b106e, 0x5ece76ca7adbad16,
  0x4920ee69e2bd8ebd, 0x6609f180905b2b6a, 0x3c47b26460aa4022, 0xfb97185027c4df6b, 0x166727f9956ee774,
  0x9bd477f360bece05, 0xf822847244fe0cca, 0x06e1f0a21895fe7e, 0x8655777bbe6e3fc0, 0x4d6b454219684648,
  0xe72f6e70ffe80e78, 0xffc7c14c16156662, 0x709e77cb645a40be, 0x722471d3f83b5bd4, 0xad7398b01758a65f,
  0x6608ebc06a769b91, 0xcb3db8cb7b5403ff, 0x33e8e665667d5103, 0x73241b5e5caad67f, 0xab39d454aa35d640,
  0xc9ae0404e576a96f, 0xbcba6255aba5fd34, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x5ccbe6db0862adfe, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x7b4f257ee6866587, 0x000000014935ad45,
};

// m16a_swio10_dual_pr_ee
static const uint64_t ur_m16_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x983eead63fbbbf1d, 0xa0fb77ed1da32313, 0x541b01489f55f62f, 0x6577d178ca16ec8a,
  0x774b235d66d0ab32, 0xf180905b2b6a4ac1, 0x64c8c15484e3e609, 0x30a04f89bed6788f, 0x7ff32addcee9f72e,
  0x93ad825a3805a98c, 0x47244fe0e2b4dea3, 0x0a21895fe7ef8228, 0xdeef9b8089006e1f, 0xa10cb417da21955d,
  0x1a3fe80e784c1ee2, 0x4c16156662e72f6e, 0xd1d4aa4096bfc7c1, 0xf6ffa8f2b95d355a, 0xef8af2b7a8f83660,
  0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0xb7d1a0073ab4b9c3, 0xf6355ae875ec66ed, 0x6701c762d30511bd,
  0x46c11fadc37b2ef7, 0xa399959805bddc35, 0x906d7972ab59fccf, 0xe75152a8d75901cc, 0xb8101395daa5beac,
  0xe98956ae97f4d326, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x2f9b6c218ab7fbd5,
  0xa2cb578dc79b0973, 0x73f53ab337f07771, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0xd95ed3c95fb9a199, 0x000000000005647a,
};

// m16a_swio10_dual_pr_ee_u4
static const uint64_t ur_m16_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63f7eefc, 0xadeef747b5864670, 0x6e667d39d96d8bc6, 0x3a40355f45e32858,
  0x9312ee78233a70b5, 0xcc13e30120b656d4, 0xf11ec99182a909c7, 0xee5c61409f137dac, 0xa992d7e655bb9dd3,
  0xdea3c56d80d63813, 0x822847244fe0f7dc, 0x6e1f0a21895fe7ef, 0xcaaeef77cdcb9100, 0x489150865a11ed10,
  0xcbdb868ffa039e13, 0xf1f05305855998b9, 0xcd56b4663e9025af, 0x06cc1f51ea3caca1, 0xd8b4ddf15ba5f51f,
  0xd2d8cb8e1386e1d7, 0x97a94b80e33484d7, 0xa69da5f235f0e756, 0xc4637ec6ab5d0ebc, 0xb2dc99c071d8b4c7,
  0x99959ae3a0fadc37, 0x6d7972ab59fccfa3, 0x5152a8d75901cc90, 0x101395daa5beace7, 0x8956ae97f4d326b8,
  0xfd6b9ed5688af2e9, 0x5ea58594d8b3a03c, 0x0363fc502169ab9d, 0x84b997cdb4f43aa7, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xcaf69e4afdcd0ccb, 0x00000000002b2042,
};

// m16a_swio10_dual_pr_ce
static const uint64_t ur_m16_swio10_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0xc1f756a86a3f7e33, 0xb37ba769a75c1122, 0x5ac12955a1d78d5b, 0x89ae89f62fbacce0,
  0xe9bba591aeb91255, 0x04f8c0482d95b527, 0x47b26460aa45c953, 0x97185027c4df6b3c, 0xdd5ff9956ee774fb,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e3390037, 0xf8a8432d00f68865,
  0xb731fffa039e1304, 0xe0a60b0ab3317397, 0x717d63dd208e5fe3, 0xc4963cf285c1c8ad, 0x51f097e21b09117d,
  0x99e2ee373acd90ff, 0x7a8e7acf72c6789f, 0x57f3a88e3a7f07d2, 0xa9da6e46b5ce62c0, 0xed500ffd99e3af01,
  0x667d5103cb5ba32d, 0x5caad67f33e8e665, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0xaba5fd34c9ae0404,
  0xe7b55a22bcba6255, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x1098edfef5545a47, 0x86e3cd84b997cdb6,
  0x599bf83bb8d1674f, 0xe627f2861539fa9d, 0xc1343cc9fe2e7197, 0xc33d30ae4fc73dff, 0x0e9296cf8138cb25,
  0x4af69e4afdcd0ccb, 0x00000000001a498c,
};

// m16a_swio10_dual_pr_ce_u4
static const uint64_t ur_m16_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x560fbab543a2fbf2, 0x9a16dd69c6eba772, 0x8efe9c0b2af4fb49, 0x2acaafad46add89c,
  0x93645dd2c8d75c3e, 0x49827c602416cada, 0xcf11ec99182a9016, 0x3ee5c61409f137da, 0x9b9a2b7e655bb9dd,
  0xcdea3e56d86fb386, 0xf822847244fe0ca1, 0x06e1f0a21895fe7e, 0x0caaeef77cdc4a80, 0x34e3150865a013d1,
  0x397b7eafffa039e1, 0xfe3e0a60b0ab3317, 0x4aeb8beb22520df7, 0x8bee24b1e7942e0e, 0x87fa8f84bf10d848,
  0xfd64cf1771b9d66c, 0x1e0bf51c149ee58c, 0x2c05dbf2fa38e9fc, 0x5e8f9d9314707ce6, 0xacc75bdee39633c7,
  0xcb955acfe67d1ccc, 0x9546bac80e64836b, 0x9caed52df5673a8a, 0xb574bfa69935c080, 0x5cf6ab4457974c4a,
  0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0xc2131dbfdeaa8b48, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x0d244d015ed3c95f,
};

// m16a_swio10_dual_pr_ee_ce
static const uint64_t ur_m16_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f75675ed3d7, 0xb6fd5f773ed9f362, 0xafb452821fb8c3e0, 0x368339b3764fc8ec,
  0x5bb8e08ab0786675, 0x4f8c0482d95b5260, 0xf64c8c154823d730, 0xe30a04f89bed6788, 0xaeff32addcee9f72,
  0x3e9ad83fc3862099, 0x847244fe0ffe4dea, 0xf0a21895fe7ef822, 0xddeef9b9e72006e1, 0x2a10cb4182a21955,
  0xff5ffe80e784d21e, 0x2982c2accc5ce5ed, 0xaa353d481fe7f8f8, 0xff9e50b839a68eff, 0xf9309cee3714939b,
  0xd4795e0494ed6562, 0xb53dea3e0d983913, 0x270dc3afb1698a62, 0x63a909afa5b1971c, 0xb6fa3400e7576e38,
  0x7d8d578d8ebd8cdd, 0xd9c071d8b4c1446f, 0xa8d8226470decbbd, 0xf47332b32cf7bb86, 0x920daf2e556b3f99,
  0x9cea2a551aeb2039, 0xd7020272bb54b7d5, 0x5d312ad5d2fe9a64, 0x9bdb5d73daad115e, 0x842a417296be7407,
  0xaa2d23b73d0ea9c0, 0xcbe6db084c76ff7a, 0x1a2c79c371e6c25c, 0x15c9fbab337f0777, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00002609d2715ed3,
};

// m16a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m16_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x3eeade3caf77e27d, 0xc16a0175b39db298, 0xfde66e6d01f4b269, 0xec5e8ed3efaeceb6,
  0x0ab39e5dc86b8b69, 0x6d49014eeac02101, 0x3f0cc13e30120b65, 0x6b3c47b26460aa45, 0x74fb97185027c4df,
  0xf0e6e5afccb4b7e7, 0x9bd47c6ed87609c2, 0xe08a11c913f836bb, 0x1b87c2886257f9fb, 0xcaaeef77cdcb9280,
  0xdf7150865a11c910, 0x2f6ec87ff4073c26, 0xd3c9cc16156662e7, 0x17d518d6a41d83ff, 0x4963cf285e778dd7,
  0x1f097e21b09117dc, 0xe2ee372e4a3afbf5, 0x5e0494ed6e6d7c99, 0xea3e0d983913d479, 0xc3afb1698a62b53d,
  0x09afa5b1971c270d, 0x3400e7576e3863a9, 0x578d8ebd8cddb6fa, 0x71d8b4c1446f7d8d, 0x226470decbbdd9c0,
  0x32b32cf7bb86a8d8, 0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0x0272bb54b7d59cea, 0x2ad5d2fe9a64d702,
  0x5d73daad115e5d31, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb084c76ff7aaa2d, 0xe4d5c1e6c25ccbe6,
  0x9bf83f6ec68b1be2, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x41a910a4f257ee68, 0x0000000000002000,
};

// m16a_swio10_dual_hw
static const uint64_t ur_m16_swio10_dual_hw[] = {
  0x17777776890c365a, 0xd83eeadc7e715f8d, 0xb1ab7638f916967e, 0x912b7f4c7b3620dd, 0xda1ced94f5b75a2d,
  0xda92483b89bbebec, 0x0899827c602416ca, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x814599c9fe655bb9,
  0x32a6f51dfcd82fb3, 0x9fbe08a11c913f83, 0xf001b87c2886257f, 0x9221955ddeef9b8f, 0x9e135ad150865a11,
  0x98b9cbdb9c3ffa03, 0x17dff89273058559, 0x7a8e13cef96c8b48, 0xcbee448e3a7f076b, 0x7235ae731602eb14,
  0x7fecc11d780d4ed3, 0x207967b7196f6a80, 0xcfe67d1cccaccfaa, 0xc80e64836bcb955a, 0x2df5673a8a9546ba,
  0xa69935c0809caed5, 0x4457974c4ab574bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0xd84b997cdb610c55, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x5514f257ee686658, 0x00000000018dd56b,
};

// m16a_swio10_dual_ee_hw
static const uint64_t ur_m16_swio10_dual_ee_hw[] = {
  0xecb777776890cf68, 0x9cc1f756b1fdddf8, 0x7d07dbbf68ed1918, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x560bb9a3ea75add9, 0x304f8c0482d95b52, 0xc47b26460aa4271f, 0xb97185027c4df6b3, 0x4c63ff9956ee774f,
  0xf51c9d6c12d1c02d, 0x114239227f0715a6, 0x70f8510c4aff3f7c, 0xaaeef77cdc044803, 0xf7150865a0bed10c,
  0x7b70d1ff4073c260, 0x124e60b0ab331739, 0xd56b4752a9025aff, 0xd983dbfea3cae574, 0x169bbe2bcadea3e0,
  0x5b1971c270dc3afb, 0xe70d7027e6909afa, 0x9bb6df46801cead2, 0x46f7d8d56ba1d7b1, 0xbbdd9c071d8b4c14,
  0x70d51b047eb70dec, 0xf33e8e66566016f7, 0x073241b5e5caad67, 0xfab39d454aa35d64, 0x4c9ae0404e576a96,
  0x2bcba6255aba5fd3, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x25ccbe6db0862adf,
  0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x8a792bf734332c3a, 0x000000000aed3d6e,
};

// m16a_swio10_dual_ce_hw
static const uint64_t ur_m16_swio10_dual_ce_hw[] = {
  0x33dddddda2431f02, 0x2c1f756a86a3f7e3, 0xbb37ba769a75c112, 0x05ac12955a1d78d5, 0x289ae89f62fbacce,
  0x93f4ddca31166f4c, 0xa9827c602416cada, 0x9e23d932305522e4, 0x7dcb8c2813e26fb5, 0x066eaffccab773ba,
  0x37a8fb3b611c8e07, 0xe08a11c913f8395d, 0x1b87c2886257f9fb, 0x32abbbddf3719c80, 0x827c542196807b44,
  0xcbdb98fffd01cf09, 0xf8927305855998b9, 0x2b5c5f58f7482397, 0x5f71258f3ca17072, 0x3fd47c25f886c244,
  0x27e678bb8dc67ceb, 0xf49ea39eb3dcb19e, 0xb015fcea238e9fc1, 0xc06a769b91ad7398, 0xcb7b5403ff6678eb,
  0x99599f5440f2d6e8, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0x01395daa5beace75, 0x956ae97f4d326b81,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d84263b7fbd5516, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x001375c63453c95f,
};

// m16a_swio10_dual_ee_ce_hw
static const uint64_t ur_m16_swio10_dual_ee_ce_hw[] = {
  0x6caddddddd43573e, 0x0cc1f75675ed3d7e, 0x6fd5f773ed9f362b, 0xfb452821fb8c3e0b, 0x68339b3764fc8eca,
  0x0b772e2fbb375953, 0x09f180905b2b6a4c, 0x1ec99182a9047ae6, 0x5c61409f137dacf1, 0x35dfe655bb9dd3ee,
  0x47d35b07f870c413, 0x508e489fc1ffc9bd, 0x3e144312bfcfdf04, 0xbbbddf373ce400dc, 0xc54219683054432a,
  0xbfebffd01cf09a43, 0x27305855998b9cbd, 0xfaa353d481fe7f89, 0x95f9e50b839a68ef, 0x17c984e771b97224,
  0x9ea3caf024a76b2b, 0x15a9ef51f06cc1c8, 0xe1386e1d7d8b4c53, 0xc31d484d7d2d8cb8, 0xedb7d1a0073abb71,
  0x7bec6abc6c75ec66, 0xeece038ec5a60a23, 0x3546c1132386f65d, 0xcfa399959967bddc, 0xcc906d7972ab59fc,
  0xace75152a8d75901, 0x26b8101395daa5be, 0xf2e98956ae97f4d3, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0,
  0xd551691db9e8754e, 0xe65f36d84263b7fb, 0x5727e7f61b8f3612, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000089a7d27514f,
};

// m16a_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m16_swio10_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0x83eeade3caf77e27, 0xb26ea0175b39db29, 0xeb6fde66e6d01f6c, 0xb69ec5e8ed3efaec,
  0xaf9017b48c5c86b8, 0x0482d95b524053b8, 0x182a914fc3304f8c, 0x09f137dacf11ec99, 0x65d849dd3ee5c614,
  0xc3b04e1787372d7e, 0x9fc1b5dcdea3e376, 0x12bfcfdf04508e48, 0x6e5c9400dc3e1443, 0xd08e488655777bbe,
  0xa039e136fb8a8432, 0xab3317397b7643ff, 0xa41d83fe756e60b0, 0x18398dd717d518d6, 0x09117dc4963cf1be,
  0x776eff51f097e21b, 0xe6d7c99e2ee37061, 0x913d4795e0494ed6, 0xa62b53dea3e0d983, 0x71c270dc3afb1698,
  0xe3863a909afa5b19, 0xcddb6fa3400e7576, 0x46f7d8d578d8ebd8, 0xbbdd9c071d8b4c14, 0xb86a8d8226470dec,
  0xf99f47332b32cf7b, 0x039920daf2e556b3, 0x7d59cea2a551aeb2, 0xa64d7020272bb54b, 0x15e5d312ad5d2fe9,
  0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x25ccbe6db084c76f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a,
  0x0000000ebace2f82,
};

// m16_swio12_noled                  m16a_swio11_noled                 m16a_swio12_noled
static const uint64_t ur_m16_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0xcada93ba0bd04d64, 0x67fba9827c602416, 0xf2dd05203d7fd202, 0x74fe0ebffa8f109d, 0x8b016f74c7afc91c,
  0x75e2e7683e8c9a39, 0x55a9584f6e396304, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae,
  0xd73daad115e5d312, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d9eb7156ff7aaa2, 0x4fcfec376c25ccbe,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x005483aa59b9e4af,
};

/*
 * m16_swio11_noled_pr_u4            m16_swio12_noled_pr               m16_swio12_noled_pr_u4
 * m16a_swio11_noled_pr              m16a_swio11_noled_pr_u4           m16a_swio12_noled_pr
 * m16a_swio12_noled_pr_u4
 */
static const uint64_t ur_m16_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xddaab91480225713, 0xc77afd8d05b04f05, 0x60e2266c4767b53d, 0x1a875a6edc4e82cd,
  0x2777a71912b76273, 0xf304f8c0482d95b5, 0x74836fffb9af9f31, 0x1935ea382877cb6f, 0x2ca6dbf2fa38e9fc,
  0x3b2d746229cc580b, 0xe5403ff6608ebd1f, 0x567dd03cb3dbe909, 0x5901cc906d7972ab, 0x5beaece75152a8d7,
  0x6f5f4d326b395daa, 0x7b55a22bcba6256c, 0xc529e1a778efebae, 0x194f43aa7020eea6, 0x3d6e2adfef5545a6,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x3f04649cf257ee68, 0x0000000000001f27,
};

/*
 * m16_swio11_noled_pr_ee_u4         m16_swio12_noled_pr_ee            m16_swio12_noled_pr_ee_u4
 * m16a_swio11_noled_pr_ee           m16a_swio11_noled_pr_ee_u4        m16a_swio12_noled_pr_ee
 * m16a_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m16_swio11_noled_pr_ee[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0x527755f33e83658a, 0x83304f8c0482d95b, 0x1f483677fb9af9f3, 0xf51e565d66ab5a33, 0xace1fa8f83660fa8,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x47f21cead2e51571, 0x355ae875e74dd900, 0x01c762d37bd1ef76,
  0x608fd6e1bd96cbe7, 0x2e556a0113dcf2a3, 0x551aeb2039920daf, 0x2bb54b7d5d9cea2a, 0xc4ad8debe9a64d67,
  0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2f9b67adc55bfdea, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x004eb842cc939e4a,
};

/*
 * m16_swio11_noled_pr_ce_u4         m16_swio12_noled_pr_ce            m16_swio12_noled_pr_ce_u4
 * m16a_swio11_noled_pr_ce           m16a_swio11_noled_pr_ce_u4        m16a_swio12_noled_pr_ce
 * m16a_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m16_swio11_noled_pr_ce[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0x6d49dd6c473960a7, 0xf4dcc13e30120b65, 0xbdd520cadfee6be7, 0x8f3c64a9de04b8be, 0x25f886c2445f7125,
  0xbb8dceb3643fd47c, 0xebe4f72c67eb2678, 0x4dd1c74fe0d67fa8, 0x2d746229cc580b22, 0x403ff6678ebd1f3b,
  0x9f740f2d6ee909e5, 0x4073241b5e5caad5, 0xfabb39d454aa35d6, 0xd7d34c9ace576a96, 0xd5688af2e9895b1b,
  0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0xb663b7fbd5516986, 0x5c1e6c25ccbe6d9e, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x5b324e792bf73433, 0x000000000006ebdd,
};

// m16_swio12_noled_pr_ee_ce         m16a_swio11_noled_pr_ee_ce        m16a_swio12_noled_pr_ee_ce
static const uint64_t ur_m16_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0x7304f8c0482d95b5, 0xd2019bff735f3e9b, 0x953b31f3bfea8cba, 0x9dc6e5253397e78c,
  0x90f29dacac7be613, 0x47c1b307a57a8f2b, 0x75f62d314c56e97d, 0x35f4b632e384e1b8, 0xf21ceaedc5147521,
  0xbc6c75e74dd90047, 0x8ec5a6f7a3deec6a, 0x8991c37b2d97ce03, 0x556a5993dcf2a360, 0x1aeb2039920daf2e,
  0xb54b7d5d9cea2a55, 0xad8debe9a64d672b, 0x75cf6ab4457974c4, 0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d,
  0x36cf5b31dbfdeaa8, 0xe71726ae3612e65f, 0xeeacc7903f2868b1, 0x9c6592e19e985727, 0x6866587494b65928,
  0x34d17c649cf257ee, 0x0000000000000005,
};

// m16_swio12_noled_pr_ee_ce_u4      m16a_swio11_noled_pr_ee_ce_u4     m16a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda2431000, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xa4eed6abbced6cdc, 0x92609f180905b2b6, 0x7482b7fff1f873e2, 0x17072d6ee2faa3d3, 0x6c2445f71258f3ca,
  0x85ddbbfd47c25f88, 0x5b9b7be678bb8dc1, 0x0f4af51e5721e53b, 0x6298add2fa8f8366, 0x65c709c370ebec5a,
  0xdb8a28ea426be96c, 0xce9bb2008fe439d5, 0xef47bdd8d578d8eb, 0xf65b2f9c071d8b4d, 0x27b9e546c1132386,
  0x73241b5e5caad4b3, 0xbb39d454aa35d640, 0xd34c9ace576a96fa, 0x688af2e9895b1bd7, 0x7869de3bfaeb9ed5,
  0xd0ea9c083ba9b14a, 0x63b7fbd551698653, 0x1e6c25ccbe6d9eb6, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x09ac57b4f257ee68,
  0x00000000000004fc,
};

// m16_swio12_noled_hw               m16a_swio11_noled_hw              m16a_swio12_noled_hw
static const uint64_t ur_m16_swio11_noled_hw[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0xcada93ba0bd04d64, 0xe7fba9827c602416, 0xf96e82901ebff871, 0x3a7f075ffd47884e, 0xc580b7ba63d7e48e,
  0x3af173b41f464d1c, 0xaad4ac27b71cb182, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d34c9ace57,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36cf5b8ab7fbd551, 0x27e7f61bb612e65f,
  0x289c6592e19e9857, 0xee6866587494b659, 0x0011c43aec14f257,
};

// m16_swio12_noled_ee_hw            m16a_swio11_noled_ee_hw           m16a_swio12_noled_ee_hw
static const uint64_t ur_m16_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0x2b6a4eebd69c5bf6, 0x3e706609f180905b, 0xd198fa41b3bfe853, 0x7d47a8f2b2eb355a, 0x77c5670fd47c1b30,
  0x2e384e1b875f62d3, 0xab8d64d2135f4b63, 0xc8023f90e7569728, 0x7bb1aad743af3a6e, 0x5f380e3b169bde8f,
  0x951b047eb70decb6, 0x6d7972ab50089ee7, 0x5152a8d75901cc90, 0x6b395daa5beaece7, 0xcba6256c6f5f4d32,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x4b997cdb3d6e2adf, 0x1539fa82ec6e3cd8,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x0000000016ff7c15,
};

// m16_swio12_noled_ce_hw            m16a_swio11_noled_ce_hw           m16a_swio12_noled_ce_hw
static const uint64_t ur_m16_swio11_noled_ce_hw[] = {
  0x6cfddddda2432493, 0x776aaf0887ee2542, 0x6a2ee933e3ec1efc, 0xcff5e35c19b20d4f, 0x3b542da5e15bb426,
  0x2d95b527743720ad, 0x299fd37304f8c048, 0xb8bebdd520cadff4, 0xe24b1e7942e0e604, 0xa8f84bf10d8488be,
  0x4cf1771b98ddd83f, 0xff51d7c9ee58cfd6, 0x16449ba38e9fc1ac, 0x3e765ae8c45398b0, 0x13ca807feccf1d7a,
  0x55ab3ee81e5addd2, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xb637afa699359cae, 0xd73daad115e5d312,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0xdb3d6cc76ff7aaa2, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x03acd9822514f257,
};

/*
 * m16_swio11_noled_ee_ce_u4_hw      m16_swio12_noled_ee_ce_hw         m16_swio12_noled_ee_ce_u4_hw
 * m16a_swio11_noled_ee_ce_hw        m16a_swio11_noled_ee_ce_u4_hw     m16a_swio12_noled_ee_ce_hw
 * m16a_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16_swio11_noled_ee_ce_hw[] = {
  0x30addddda243304a, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xb52776c5d47f500c, 0x149304f8c0482d95, 0xe9ba415bfff4299f, 0xe50b8396b7717d51, 0xc4361222fb892c79,
  0x700006ddfea3e12f, 0x4ed6e6def99e2ee3, 0xd983d2bd4795c879, 0x1698a62b74bea3e0, 0x5b1971c270dc3afb,
  0x7576e28a3a909afa, 0x3af3a6ec8023f90e, 0xd37bd1ef76355e36, 0xe1bd96cbe701c762, 0x2cc9ee7951b044c8,
  0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xf5f4d326b395daa5, 0xb55a22bcba6256c6, 0x529e1a778efebae7,
  0x94f43aa7020eea6c, 0xad98edfef5545a61, 0x8dc79b09732f9b67, 0x7bde50c2a73f505d, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x0104d6a29e4afdcd, 0x0000000000000005,
};

// m16_swio12_lednop                 m16a_swio11_lednop                m16a_swio12_lednop
static const uint64_t ur_m16_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x20b656d49dd85eb4, 0x20267e034c13e301, 0x43be5ba0a401effd, 0x638e9fc1d7ff51f2, 0x8731602dee9b4a4c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x5e97f4d326b81013,
  0xcf6ab4457974c4ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x65f36d3d0ea9c0a2, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x000002a45c52cdcf,
};

/*
 * m16_swio11_lednop_pr_u4           m16_swio12_lednop_pr              m16_swio12_lednop_pr_u4
 * m16a_swio11_lednop_pr             m16a_swio11_lednop_pr_u4          m16a_swio12_lednop_pr
 * m16a_swio12_lednop_pr_u4
 */
static const uint64_t ur_m16_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb557229e3e25713, 0xa9bdbf30fb609e0b, 0x5838a002665eec9e, 0x7c2f75fbb713a0b3,
  0x277448b333761bac, 0x7304f8c0482d95b5, 0x74823dffb9af9f5f, 0x1935ea3a0077cb6f, 0x965347bd2a38e9fc,
  0x9da214637ce62c05, 0x22a01ffb30475e8f, 0xd5f5b81e59ed88bd, 0xd64073241b5e5caa, 0x96fabb39d454aa35,
  0xd34c9ae0404e576a, 0xd115e5d312b97a5f, 0xe74079bdb5d73daa, 0xea9c0842a417296b, 0x6ff7aaa2d23b73d0,
  0xe6c25ccbe6d8c915, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x24e792bf734332c3, 0x00000000f9354d63,
};

// m16_swio12_lednop_pr_ee           m16a_swio11_lednop_pr_ee          m16a_swio12_lednop_pr_ee
static const uint64_t ur_m16_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0x609f180905b2b6a4, 0x900d6ff735f3e96a, 0x3cad82cd56b4663e, 0x43f51f06cc1f51ea,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x6e39d5a5d2b2e359, 0xb5d0ebce9bb7508e, 0x8ec5a7f2238cac6a,
  0x1fadc37b2d97ce03, 0xaad402e909e546c1, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5fd34c9ae0404e57,
  0xaad115e5d312b97a, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0xc1e6c25ccbe6d8c9,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000004ebe31324e7,
};

// m16_swio12_lednop_pr_ee_u4        m16a_swio11_lednop_pr_ee_u4       m16a_swio12_lednop_pr_ee_u4
static const uint64_t ur_m16_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x9827c602416cada9, 0xa41a6ffdcd7cf8d6, 0x8f2b387355ad1edf, 0x21fd47c1b30738fa,
  0xe1b875f62d377c57, 0xcd2135f4b632e384, 0x109cead2f5297144, 0xd743af5d4dda7147, 0x762d35ae8c45b1aa,
  0xf5b86f65c396701c, 0x906d7972ab55c749, 0xe75152a8d75901cc, 0x8101395daa5beaec, 0x4c4ae5e97f4d326b,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x2f9b632455bfdeaa, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x0009d72ccc939e4a,
};

/*
 * m16_swio11_lednop_pr_ce_u4        m16_swio12_lednop_pr_ce           m16_swio12_lednop_pr_ce_u4
 * m16a_swio11_lednop_pr_ce          m16a_swio11_lednop_pr_ce_u4       m16a_swio12_lednop_pr_ce
 * m16a_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m16_swio11_lednop_pr_ce[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0xb6a4ee8f62d51c63, 0xf1ca609f180905b2, 0x5eea905baff735f3, 0xc79e3254ef7ddc5f, 0x12fc4361222fb892,
  0x5dc6e5c89257ea3e, 0xf2fa7b9633f5933c, 0x4e31c74fe0d67fa8, 0x4428c6f9cc580a65, 0x403ff6678ebd1f3b,
  0xfadc0f2d6e117a45, 0x2039920daf2e556a, 0x7d5d9cea2a551aeb, 0xa64d7020272bb54b, 0x8af2e9895cbd2fe9,
  0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0xc25ccbe6d8c863b7, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000001bae9a0324,
};

// m16_swio12_lednop_pr_ee_ce        m16a_swio11_lednop_pr_ee_ce       m16a_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0x9304f8c0482d95b5, 0xb480347fb9af9f7f, 0x92a77ff0effaa32e, 0xe771b9950d07fcf1,
  0xca5ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0x1d7d8b4c5315975f, 0x4d7d2d8cb8e1386e, 0xcdc73abb72561d48,
  0xaf1b1d79d376ea11, 0xe3b169fc88e32b1a, 0x226470decb65f380, 0x955a967d213ca8d8, 0x46bac80e64836bcb,
  0xed52df57673a8a95, 0x4bfa69935c0809ca, 0xb55a22bcba62572f, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5,
  0x18edfef5545a476e, 0x3571b09732f9b632, 0x3c81f943458f38b9, 0x970cf4c2b93f7566, 0xc3a4a5b2c944e32c,
  0x7324e792bf734332, 0x0000000000534c79,
};

// m16_swio12_lednop_pr_ee_ce_u4     m16a_swio11_lednop_pr_ee_ce_u4    m16a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb448692df, 0x776aafea762624b4, 0x5eb6ed0b3760bf31, 0x0a800adc4eb834cf, 0x74cce5d8596cf5a3,
  0x93baa3e842af89b3, 0x19827c602416cada, 0xa4087dff8fc39fec, 0xb838d77717d51e9b, 0x61222fb892c79e50,
  0x05c3ffea3e12fc43, 0x6e6def99e2ee3717, 0x3d2bd479594b94ed, 0x8a62b2ebea3e0d98, 0x971c270dc3afb169,
  0x6e4ac3a909afa5b1, 0x3a6edd4239b8e757, 0x911c656355e363af, 0xd96cbe701c762d3f, 0xa427951b044c8e1b,
  0xcc906d7972ab52cf, 0xece75152a8d75901, 0x6b8101395daa5bea, 0x974c4ae5e97f4d32, 0xe6f6d75cf6ab4457,
  0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0xe65f36c6431dbfde, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xda792bf734332c3a,
  0x000000027e0c9c2b,
};

// m16_swio12_lednop_hw              m16a_swio11_lednop_hw             m16a_swio12_lednop_hw
static const uint64_t ur_m16_swio11_lednop_hw[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x20b656d49dd85eb4, 0x871e7e034c13e301, 0x21df2dd05200f7ff, 0x31c74fe0ebffa8f9, 0x4398b016f74da526,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0x2f4bfa69935c0809,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x32f9b69e8754e051, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x0000008e25c760a7,
};

// m16_swio12_lednop_ee_hw           m16a_swio11_lednop_ee_hw          m16a_swio12_lednop_ee_hw
static const uint64_t ur_m16_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0x56d49dd0149334e7, 0x7d2d4c13e30120b6, 0xa331f4806b7fd0a6, 0xfa8f51e56c166ab5, 0xef8aca1fa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0xba847371cead2e95, 0x656355ae875e74dd, 0xbe701c762d3f911c,
  0x2a3608fd6e1bd96c, 0xdaf2e556a017484f, 0xa2a551aeb2039920, 0x0272bb54b7d5d9ce, 0x95cbd2fe9a64d702,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005bff927453c95,
};

// m16_swio12_lednop_ce_hw           m16a_swio11_lednop_ce_hw          m16a_swio12_lednop_ce_hw
static const uint64_t ur_m16_swio11_lednop_ce_hw[] = {
  0x367eeeeed121be4a, 0x3bb5578441a712a1, 0xa47f746db1160f7e, 0xcff5e35cfd833b27, 0xabe081eba09bb426,
  0x16cada93ba528eb6, 0x14cfc729827c6024, 0xdc5f5eea905baffa, 0x71258f3ca170737d, 0xd47c25f886c2445f,
  0x2678bb8dc35b986f, 0xff51e5f4f72c67eb, 0x14ca9c638e9fc1ac, 0x3e7688518df398b0, 0xf48a807feccf1d7a,
  0xaad5f5b81e5adc22, 0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0x5fd34c9ae0404e57, 0xaad115e5d312b97a,
  0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0xe3cd84b997cdb190, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xbe49d14f257ee686,
  0x0000000000003acd,
};

/*
 * m16_swio11_lednop_ee_ce_u4_hw     m16_swio12_lednop_ee_ce_hw        m16_swio12_lednop_ee_ce_u4_hw
 * m16a_swio11_lednop_ee_ce_hw       m16a_swio11_lednop_ee_ce_u4_hw    m16a_swio12_lednop_ee_ce_hw
 * m16a_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2436812, 0xbbb557f53b13125a, 0xaf5b76859bb05f98, 0x8540056e275c1a67, 0xba6672ec2cb67ad1,
  0x6d49dddfb0b6a6b9, 0xf60cc13e30120b65, 0xf4dd2043effa14cf, 0xf285c1c6bbb8bea8, 0xe21b09117dc4963c,
  0x73907575ff51f097, 0x4ed6e6def99e2ee3, 0xd983d2bd479594b9, 0x1698a62b2ebea3e0, 0x5b1971c270dc3afb,
  0x7576e4ac3a909afa, 0x3af3a6edd4239b8e, 0xd3f911c656355e36, 0xe1bd96cbe701c762, 0x2cfa427951b044c8,
  0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd326b8101395daa5, 0x457974c4ae5e97f4, 0xd01e6f6d75cf6ab4,
  0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x612e65f36c6431db, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x9453c95fb9a19961, 0x0000000000a02193,
};

/*
 * m16_swio11_dual_pr                m16_swio11_dual_pr_u4             m16_swio12_dual
 * m16_swio12_dual_pr                m16_swio12_dual_pr_u4             m16a_swio11_dual
 * m16a_swio11_dual_pr               m16a_swio11_dual_pr_u4            m16a_swio12_dual
 * m16a_swio12_dual_pr               m16a_swio12_dual_pr_u4
 */
static const uint64_t ur_m16_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x0fbab71ffb57e11f, 0x3edd123c95a59fb6, 0x4ad9893ac828dd6b, 0x69c92634edd23f64,
  0x483b87e55ee8bd71, 0x827c602416cada92, 0x11ec99182a91cdf9, 0xe5c61409f137dacf, 0x99c9fe655bb9dd3e,
  0xf51dfcd82fb38145, 0x08a11c913f8332a6, 0xb87c2886257f9fbe, 0x2abbbddf372d6c01, 0xb5a2a10cb4232443,
  0x97b72ebff4073c26, 0xe3e0a60b0ab33173, 0x221df2c3e520a95f, 0xba8e3a7f0622fa8f, 0xde731602eb14d52b,
  0x608ebc06a760511b, 0xcf6f22c1f5403ff6, 0xfa3999599485c0f2, 0xc906d7972ab59fcc, 0xce75152a8d75901c,
  0xb8101395daa5beae, 0x74c4ae5e97f4d326, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702,
  0x32f9b632455bfdea, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x000000524d07195e,
};

// m16_swio12_dual_pr_ee             m16a_swio11_dual_pr_ee            m16a_swio12_dual_pr_ee
static const uint64_t ur_m16_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x07dd5ac7d71bf1eb, 0x85eeeca1ec646273, 0xa0db620b28fe7deb, 0x766dd6c650b7ac52,
  0xb8e08ab2c10ce908, 0x8c0482d95b52560b, 0x26460aa45927304f, 0x85027c4df6b3c47b, 0xff9956ee774fb971,
  0x9d6c12d1c02d4c63, 0x39227f0715a6f51c, 0x510c4aff3f7c1142, 0xf77cdce6f80370f8, 0x0865a0bed10caaee,
  0xb7ff4073c260f715, 0xc16156662e72f6e9, 0x328b48287ffc7c14, 0xcaf51e57bee6ab5a, 0xf8ae577a8f83660c,
  0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0x291e9473ab4b9755, 0xb1aad743af633763, 0x701c762d397c8d31,
  0x6c11fadc37b2ef76, 0x39995980507ed654, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x101395daa5beaece,
  0xc4ae5e97f4d326b8, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf9b632455bfdeaa8,
  0x2cb578dc79b09732, 0x3f53ab337f07771a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x15ed3c95fb9a1996, 0x00000000005642b5,
};

// m16_swio12_dual_pr_ee_u4          m16a_swio11_dual_pr_ee_u4         m16a_swio12_dual_pr_ee_u4
static const uint64_t ur_m16_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0x83eead63c75efc37, 0x5c774eb00a46706d, 0xccfa73d6dcfb67db, 0x13d47dd6c650b374,
  0x4bb9a3ea75ee1bb1, 0x4f8c0482d95b524c, 0x7b26460aa4592730, 0x7185027c4df6b3c4, 0x4b5f9956ee774fb9,
  0x8f15b60358e04ea6, 0xa11c913f83df737a, 0x7c2886257f9fbe08, 0xbbbddf37292801b8, 0x4542196847b4432a,
  0xdd36ffe80e784d22, 0x82982c2accc5ce5e, 0xb5a37f29050fff8f, 0xc184ff51e56c166a, 0x4ddf15c87f51f06c,
  0x8cb8e1386e1d7d8b, 0x8ab80e33484d7d2d, 0xed38a39b8e756972, 0xc656355ae875e534, 0xe4ce038ec5a6b5d1,
  0xacd71d27d6e1bd96, 0xcb955acfe67d1ccc, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0x2f4bfa69935c0809,
  0xe7b55a22bcba6257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x32f9b69e8754e051, 0xe3458df0dc79b097,
  0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x00000002b274f15e,
};

// m16_swio12_dual_pr_ce             m16a_swio11_dual_pr_ce            m16a_swio12_dual_pr_ce
static const uint64_t ur_m16_swio11_dual_pr_ce[] = {
  0x817bbbba1eb432db, 0x0fbab5434037e06e, 0x4cdd1ed61ae08916, 0xac176573a8bd9f6e, 0xaeec2d9f7ba1ba05,
  0xfa6ee3822ac69e33, 0xc13e30120b656d49, 0x11ec99182a90f00c, 0xe5c61409f137dacf, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0x55ddeef9b995000d, 0x3e2a10cb403da219,
  0xedec7ffe80e784c1, 0xf82982c2accc5ce5, 0x5c5f531f4806b7f8, 0x71258f3ca1707239, 0xd47c25f886c2445f,
  0xe678bb8dc4a8b91f, 0x7ea3f513dcb19e27, 0xb01827c71d3f83b8, 0xa9d81446f79cc580, 0x7d500ffd99e3af01,
  0x99485c0f2d6ec8b0, 0x72ab59fccfa39995, 0xa8d75901cc906d79, 0x5daa5beaece75152, 0xe97f4d326b810139,
  0xf6ab4457974c4ae5, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x431dbfdeaa8b48ed, 0x1b8f3612e65f36c6,
  0x666fe0eee3459d3e, 0x989fca1854e7ea75, 0x04d0f327f8b9c65f, 0x0cf4c2b93f1cf7ff, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x00000000006922ec,
};

// m16_swio12_dual_pr_ce_u4          m16a_swio11_dual_pr_ce_u4         m16a_swio12_dual_pr_ce_u4
static const uint64_t ur_m16_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x60fbab54375bbf32, 0x4d7ddb0c53ba7725, 0x7f4d99efdd8b9ced, 0x4a3f7399f6ee4e47,
  0xb22ee3822ac07c67, 0xc13e30120b656d49, 0x11ec99182a91c3fc, 0xe5c61409f137dacf, 0x9a2b7e655bb9dd3e,
  0xea3e56d86fb3869b, 0x22847244fe0ca1cd, 0xe1f0a21895fe7ef8, 0xaaeef77cdc643006, 0xe3150865a013d10c,
  0xbdba5affa039e134, 0x1f05305855998b9c, 0xddc5f5eea905baff, 0xf71258f3ca170737, 0xfd47c25f886c2445,
  0xb2678bb8dc4a8b91, 0xcff51e5f4f72c67e, 0x014ca9c638e9fc1a, 0xa3e7688518df398b, 0x63a83fb8e58cf1d7,
  0xcaad67f33e8e6656, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xa5fd34c9ae0404e5, 0xdaad115e5d312b97,
  0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x6e3cd84b997cdb19, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xd242ccaf69e4afdc,
};

// m16_swio12_dual_pr_ee_ce          m16a_swio11_dual_pr_ee_ce         m16a_swio12_dual_pr_ee_ce
static const uint64_t ur_m16_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x660fbab3af1f97e2, 0x7af7ba55e589b158, 0xd14a2d56820f935f, 0x5f5f26593f22933e,
  0x73c119d4b229d582, 0x180905b2b6a4c0b7, 0x99182a91e7ae609f, 0x1409f137dacf11ec, 0xfe655bb9dd3ee5c6,
  0x35b07f870c41335d, 0xe489fc1ffc9bd47d, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d060a88655777,
  0x1ffa039e134878a8, 0x0b0ab3317397b7ec, 0xe04a416b7fe3e0a6, 0xe50b8393b677fd51, 0x139dc6e0224c03f9,
  0x2bcad29dacac5f26, 0x3d47c1b307dd7a8f, 0xb875f62d314c5781, 0x2135f4b632e384e1, 0x47a51ceaedc5d475,
  0xd578d8ebd8cdd8ca, 0x0e3b169cbe4698d8, 0x044c8e1bd977bb38, 0x6656659c1fb5951b, 0xb5e5caad67f33e8e,
  0x454aa35d64073241, 0x04e576a96fabb39d, 0x2b97a5fd34c9ae04, 0x5d73daad115e5d31, 0x417296be74079bdb,
  0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0x8f386e3cd84b997c, 0x3f75666fe0eee345, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x004c139c2bda792b,
};

// m16_swio12_dual_pr_ee_ce_u4       m16a_swio11_dual_pr_ee_ce_u4      m16a_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16_swio11_dual_pr_ee_ce_u4[] = {
  0x77bbbbb456ddb69f, 0xbab78fabddf962fd, 0x16a27d68e76ca60f, 0x7fabd823859c16bc, 0x8bd1dd8bf5d9d61d,
  0xce8438dfc37931f9, 0xa92029dd202f9e5c, 0x9e9827c602416cad, 0x6788f64c8c1548bd, 0x9f72e30a04f89bed,
  0x1cdcb5f99696fcee, 0x7a8f8ddb0ec1385e, 0x114239227f06d773, 0x70f8510c4aff3f7c, 0x55ddeef9b8f00803,
  0xee2a10cb42392219, 0xedee47fe80e784db, 0x793982c2accc5ce5, 0xfaa3383480d6fffa, 0x2c79e50bceff5ee2,
  0xe12fc4361222fb89, 0x5dc6e3c03118fea3, 0xcad29dadcdaf933c, 0x47c1b307dd7a8f2b, 0x75f62d314c57813d,
  0x35f4b632e384e1b8, 0xa51ceaedc5d47521, 0x78d8ebd8cdd8ca47, 0x3b169cbe4698d8d5, 0x4c8e1bd977bb380e,
  0x56659c1fb5951b04, 0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x97a5fd34c9ae0404,
  0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x190c76ff7aaa2d23, 0x9ab83cd84b997cdb,
  0x7f07edd8d1637c5c, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x82a2149e4afdcd0c, 0x000000000004004b,
};

// m16_swio12_dual_hw                m16a_swio11_dual_hw               m16a_swio12_dual_hw
static const uint64_t ur_m16_swio11_dual_hw[] = {
  0x64777776890c5aa4, 0x1f756e3ff6afc23f, 0x7dba24792b4b3f6c, 0x95b312759051bad6, 0x13924c69dba47ec8,
  0x92483bb0fa6d36c1, 0xf9827c602416cada, 0xcf11ec99182a91cd, 0x3ee5c61409f137da, 0x4599c9fe655bb9dd,
  0xa6f51dfcd82fb381, 0xbe08a11c913f8332, 0x01b87c2886257f9f, 0x432abbbddf372d6c, 0x26b5a2a10cb42324,
  0x7397b72ebff4073c, 0xaff124e60b0ab331, 0x47910ef961f29054, 0x95dd471d3f83117d, 0x8def398b01758a6a,
  0xfb30475e0353b028, 0x7967b79160faa01f, 0xe67d1cccacca42e0, 0x0e64836bcb955acf, 0x57673a8a9546bac8,
  0x935c0809caed52df, 0xbcba62572f4bfa69, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x4b997cdb1922adfe, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000018dd5071d,
};

// m16_swio12_dual_ee_hw             m16a_swio11_dual_ee_hw            m16a_swio12_dual_ee_hw
static const uint64_t ur_m16_swio11_dual_ee_hw[] = {
  0xac52b77776890c86, 0xcc1f756b1f5c6fc7, 0xae17bbb287b19189, 0x4a836d882ca3f9f7, 0x21d9b75b1942deb1,
  0xb05dddd8dd9bcc54, 0x827c602416cada92, 0x23d932305522c939, 0xcb8c2813e26fb59e, 0x631ffccab773ba7d,
  0xa8e4eb60968e016a, 0x8a11c913f838ad37, 0x87c2886257f9fbe0, 0x5777bbe6e737c01b, 0xb8a8432d05f68865,
  0xb74dbffa039e1307, 0x24e60b0ab3317397, 0xad68ca2d20a1fff1, 0x98332bd4795efb9a, 0x69bbe2b95dea3e0d,
  0xb1971c270dc3afb1, 0x5d57027e6909afa5, 0xdd8ca47a51cead2e, 0x34c6c6ab5d0ebd8c, 0xbdd9c071d8b4e5f2,
  0x5951b047eb70decb, 0x33e8e665660141fb, 0x73241b5e5caad67f, 0xbb39d454aa35d640, 0x9ae0404e576a96fa,
  0xe5d312b97a5fd34c, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x5ccbe6d8c9156ff7,
  0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x00000000aed15aa8,
};

// m16_swio12_dual_ce_hw             m16a_swio11_dual_ce_hw            m16a_swio12_dual_ce_hw
static const uint64_t ur_m16_swio11_dual_ce_hw[] = {
  0x40bddddda243359b, 0x07dd5aa1a01bf037, 0x266e8f6b0d70448b, 0xd60bb2b9d45ecfb7, 0xaf7616cfbdd0dd02,
  0x27e9bb8786614d6b, 0x3304f8c0482d95b5, 0x3c47b26460aa43c0, 0xfb97185027c4df6b, 0x0cdd5ff9956ee774,
  0x6f51f676c2391c0e, 0xc114239227f072ba, 0x370f8510c4aff3f7, 0x655777bbe6e65400, 0x04f8a8432d00f688,
  0x97b7b1fffa039e13, 0xf124e60b0ab33173, 0x72b8bea63e900d6f, 0xbee24b1e7942e0e4, 0x1fa8f84bf10d8488,
  0x9f99e2ee3719be95, 0xe1fa8fd44f72c678, 0x02c0609f1c74fe0e, 0x06a760511bde7316, 0xc1f5403ff6678ebc,
  0x566521703cb5bb22, 0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x97a5fd34c9ae0404,
  0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x190c76ff7aaa2d23, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x04dd576514f257ee,
};

// m16_swio12_dual_ee_ce_hw          m16a_swio11_dual_ee_ce_hw         m16a_swio12_dual_ee_ce_hw
static const uint64_t ur_m16_swio11_dual_ee_ce_hw[] = {
  0x67dadddddd437089, 0x307dd59d78fcbf12, 0xd7bdd2af2c4d8ac3, 0x8a516ab4107c9afb, 0xfaf932c9f91499f6,
  0xdd793d656d6d2c12, 0xc602416cada9302d, 0x26460aa479eb9827, 0x85027c4df6b3c47b, 0x7f9956ee774fb971,
  0x4d6c1fe1c3104cd7, 0x39227f07ff26f51f, 0x510c4aff3f7c1142, 0xeef9b830b80370f8, 0x10cb4182a21955dd,
  0x07fe80e784d21e2a, 0x82c2accc5ce5edfb, 0x3c09482d6ffc4939, 0x3ca1707276ceffaa, 0x309cee3729299cbf,
  0x795e5694ed6562f9, 0x09ea3e0d983eebd4, 0x0dc3afb1698a62bc, 0xa909afa5b1971c27, 0x523d28e7576e2ea3,
  0xc6abc6c75ec66ec6, 0xc071d8b4e5f234c6, 0xd8226470decbbdd9, 0x7332b32ce0fdaca8, 0x0daf2e556b3f99f4,
  0xea2a551aeb203992, 0x20272bb54b7d5d9c, 0x895cbd2fe9a64d70, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde,
  0x691db9e8754e0421, 0xe6d8c863b7fbd551, 0xfcfec371e6c25ccb, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x001134f9ca29e4af,
};

// m16_swio12_dual_ee_ce_u4_hw       m16a_swio11_dual_ee_ce_u4_hw      m16a_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m16_swio11_dual_ee_ce_u4_hw[] = {
  0x5deeeeed1468b202, 0xeeade3eaf77e58bf, 0x5ba89f5a39db2983, 0x875feaf608e17a70, 0x7e62f47762fd7675,
  0xe918ef0727f0de4c, 0x16cada92029ddfd6, 0x548bd9e9827c6024, 0x89bed6788f64c8c1, 0xc24ee9f72e30a04f,
  0x8270bc39b96bf32e, 0x0daee6f51f1bb61d, 0xfe7ef822847244fe, 0xe01006e1f0a21895, 0x724432abbbddf371,
  0xcf09b7dc54219684, 0x98b9cbdbdc8ffd01, 0x35bff3ab73058559, 0xcfd7b8bea8ce0d20, 0x8bee24b1e78df0c1,
  0x05fa8f84bf10d848, 0xaf933c5dc6e75397, 0x7a8f2bcad29dadcd, 0x57813d47c1b307dd, 0x84e1b875f62d314c,
  0xd4752135f4b632e3, 0xd8ca47a51ceaedc5, 0x98d8d578d8ebd8cd, 0xbb380e3b169cbe46, 0x951b044c8e1bd977,
  0x3e8e6656659c1fb5, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0xae0404e576a96fab, 0x5d312b97a5fd34c9,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x997cdb190c76ff7a, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00001d75e7a185f4,
};

// m16a_swio13_noled
static const uint64_t ur_m16_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x2416cada93bb63d9, 0xa404cfedf9827c60, 0xe43be5ba4a41d47f, 0x491c74fe0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xbb54b7d54df673a8, 0x55abdebe9a64d672,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xf36c8122adfef554, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x000549f5d2cdcf25,
};

// m16_swio13_noled_pr_u4            m16a_swio13_noled_pr              m16a_swio13_noled_pr_u4
static const uint64_t ur_m16_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c492, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f7522741,
  0x6a4eecbbb120ce05, 0x7f2609f180905b2b, 0x41fa40657fb9af9f, 0xf83e83d4797c77cb, 0x05965319538c71d3,
  0x47cecf7a3dece62c, 0x3269500ffd9823af, 0xaad556a81e59eddc, 0x35d64073241b5e5c, 0x5beaa6fb39d454aa,
  0xef5f4d326b395daa, 0xdaad115e5d312ad5, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0x409156ff7aaa2d30,
  0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x202cc939e4afdcd0, 0x0000000000003e4c,
};

// m16a_swio13_noled_pr_ee
static const uint64_t ur_m16_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd05893a, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da09d7d6,
  0x77505272b8210da2, 0x304f8c0482d95b52, 0x4822b7fb9af9f275, 0x8f2b297355ad1bf9, 0xbafa8f83660c27fa,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0x921cead2ffb971ac, 0x5ae875e74ddb4a47, 0x8ec5a698a383f635,
  0x1fadc37b2d97ce03, 0x55a8044d60b546c1, 0x6bac80e64836bcb9, 0xb7d54df673a8a954, 0xdebe9a64d672bb54,
  0xb55a22bcba6255ab, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61, 0x6ae0f3612e65f36c,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x73c95fb9a19961d2, 0x00000004ebf4f192,
};

// m16a_swio13_noled_pr_ee_u4
static const uint64_t ur_m16_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0x49dd3b410e5d96aa, 0xb4c13e30120b656d, 0x5520df7fee6be7e2, 0xea3cadd2cd56b466, 0x5fcef51f06cc1a01,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1bde73ab4bc065c5, 0xab5d0ebd75376051, 0xe3b169e454770ec6,
  0xafadc37b2e1cb380, 0x64836bcb955aae09, 0x673a8a9546bac80e, 0x4d672bb54b7d54df, 0xcba6255abdebe9a6,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x12e65f36c8122adf, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000013ae9179927,
};

// m16_swio13_noled_pr_ce_u4         m16a_swio13_noled_pr_ce           m16a_swio13_noled_pr_ce_u4
static const uint64_t ur_m16_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0x95b5277505272e9c, 0x9fd9d304f8c0482d, 0xf5dbf482577fb9af, 0x2c79e3254ef2b5c5, 0xe12fc4361222fb89,
  0xc5dc6e2545c8fea3, 0x479ba7b9633f5933, 0x740a471d3f8327bd, 0x767bd1ef6731602f, 0x4a807feccf1d7a3e,
  0xaaad503cb5bae193, 0xac80e64836bcb955, 0xd54df673a8a9546b, 0xbe9a64d672bb54b7, 0x5a22bcba6255abde,
  0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x18edfef5545a6194, 0xc1e6c25ccbe6d902, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xa324e792bf734332, 0x0000000000375eac,
};

// m16a_swio13_noled_pr_ee_ce
static const uint64_t ur_m16_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0x6a4eebd69c452bed, 0xa6a609f180905b2b, 0x52e907fcff735f3f, 0xc64a9dd8f9dff546, 0x09cee37092b2a3f3,
  0x959c394ed6563df3, 0xfea3e0d9833d7d47, 0xdc3afb1698a62b90, 0x909afa5b1971c270, 0x23c90e7576efdc3a,
  0x355e363af3a6eda5, 0x038ec5a698a383f6, 0x608991c37b2d97ce, 0x5caad4b326b05aa3, 0xaa35d64073241b5e,
  0xaa5beaa6fb39d454, 0xd5ef5f4d326b395d, 0x73daad115e5d312a, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775,
  0x6c810c76ff7aaa2d, 0x71726ae3612e65f3, 0xeacc7903f2868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0x9d8fe649cf257ee6, 0x00000000000000a6,
};

// m16a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m16_swio13_noled_pr_ee_ce_u4[] = {
  0x04dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0x8ccec4ac10b2d9e8,
  0xb52776e76cd8f6c9, 0x8dd304f8c0482d95, 0x9d481aefff1f873f, 0x50b839882e2faa3d, 0x4361222fb892c79e,
  0x9d4e5c17ea3e12fc, 0x76b736f7ccf1771b, 0xcc19ebea3cace1ca, 0xb4c5315c87f51f06, 0xd8cb8e1386e1d7d8,
  0xabb77ee1d484d7d2, 0xd79d376d291e4873, 0x34c51c1fb1aaf1b1, 0x1bd96cbe701c762d, 0x993582d51b044c8e,
  0x039920daf2e556a5, 0x37d9cea2a551aeb2, 0x699359caed52df55, 0x8af2e98956af7afa, 0x69de3bfaeb9ed568,
  0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x9b09732f9b640863, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xd295ed3c95fb9a19,
  0x0000000000013f32,
};

// m16a_swio13_noled_hw
static const uint64_t ur_m16_swio13_noled_hw[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x2416cada93bb63d9, 0xf0e3cfedf9827c60, 0xf21df2dd2520ea3f, 0x248e3a7f07cf7a8f, 0xd01cc580b7ba6ea3,
  0xb1823af173b0df47, 0x5e5caad4ac26b71c, 0x54aa35d64073241b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f4d326b39,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xf9b6409156ff7aaa, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00011c5f5f60a792,
};

// m16a_swio13_noled_ee_hw
static const uint64_t ur_m16_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0x2b6a4eeb4efb5bb2, 0x3e4ea609f180905b, 0x68dfca4115bfe853, 0x613fd479594b9aad, 0x77c565d7d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xda523c90e75697fd, 0x1fb1aad743af3a6e, 0xbe701c762d34c51c,
  0xaa3608fd6e1bd96c, 0xb5e5caad40226b05, 0x454aa35d64073241, 0x95daa5beaa6fb39d, 0x12ad5ef5f4d326b3,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0x2f9b6409156ff7aa, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0000016f8056a29e,
};

// m16a_swio13_noled_ce_hw
static const uint64_t ur_m16_swio13_noled_ce_hw[] = {
  0x7bdddddda2431768, 0xf1ddaabc22433891, 0xbdb23bbb6dd7b07b, 0x7b3fd7f1fc5e6c63, 0x68f67ae34c90dd2f,
  0x416cada93ba6e8ed, 0xa14cfece9827c602, 0x6b8bebb7e904aeff, 0xee24b1e7942e0e65, 0xfa8f84bf10d8488b,
  0x64cf1771b9fae6b7, 0x9ef51e6e9ee58cfd, 0x80bdd0291c74fe0c, 0xe8f9d9ef47bd9cc5, 0x864d2a01ffb33c75,
  0xe556aab540f2d6eb, 0x51aeb2039920daf2, 0x52df5537d9cea2a5, 0xaf7afa699359caed, 0x9ed5688af2e98956,
  0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0x640863b7fbd55169, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50,
  0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xeb37c21fa29e4afd,
};

// m16_swio13_noled_ee_ce_u4_hw      m16a_swio13_noled_ee_ce_hw        m16a_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m16_swio13_noled_ee_ce_hw[] = {
  0x04dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0xeccec4ac10b2d9e8,
  0x56d49ddcfb403a89, 0xfe374c13e30120b6, 0x8f675206bbffa14c, 0xe7942e0e620b8bea, 0xbf10d8488bee24b1,
  0x1b9aa0f20ffa8f84, 0xca76b736f7ccf177, 0x06cc19ebea3cace1, 0xd8b4c5315c87f51f, 0xd2d8cb8e1386e1d7,
  0x73abb77ee1d484d7, 0xb1d79d376d291e48, 0x2d34c51c1fb1aaf1, 0x8e1bd96cbe701c76, 0xa5993582d51b044c,
  0xb2039920daf2e556, 0x5537d9cea2a551ae, 0xfa699359caed52df, 0x688af2e98956af7a, 0x7869de3bfaeb9ed5,
  0xd0ea9c083ba9b14a, 0x63b7fbd551698653, 0xc79b09732f9b6408, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x65a5a29e4afdcd0c, 0x0000000000000501,
};

// m16a_swio13_lednop
static const uint64_t ur_m16_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x905b2b6a4ee82f41, 0x90133ebee609f180, 0xe1df2dd25208f7fe, 0x18e3a7f07cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xb54b7d54df673a8a, 0x2fe9a64d7020272b,
  0x6ab4457974c4ae49, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0xf36d3d0ea9c09cfa, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0002a41d52cdcf25,
};

// m16_swio13_lednop_pr_u4           m16a_swio13_lednop_pr             m16a_swio13_lednop_pr_u4
static const uint64_t ur_m16_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c492, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623ba913a0,
  0xb527760d86e3f66e, 0xa95304f8c0482d95, 0x83f480c7ffb9af9f, 0xf83e83d47d28ef96, 0x0b2ca631e7ac71d3,
  0x8f9dbe447191cc58, 0xee1aa01ffb30475e, 0x55ac0ad03cb3dbde, 0x6bac80e64836bcb9, 0xb7d54df673a8a954,
  0x9a64d7020272bb54, 0x4457974c4ae492fe, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0x6c25ccbe6d976455, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x4e792bf734332c3a, 0x0000000f937ea832,
};

// m16a_swio13_lednop_pr_ee
static const uint64_t ur_m16_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0x9827c602416cada9, 0x480e0ffb9af9fa1f, 0x8f2b53d355ad1bf9, 0x82fa8f83660c27fa,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0x0a1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x1d8b4f2447916c6a,
  0x3f5b86f65b2f9c07, 0xab500ae1934a8d82, 0xd75901cc906d7972, 0x6faa9bece75152a8, 0x34c9ae0404e576a9,
  0x88af2e9895c925fd, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xd84b997cdb2ec8ab,
  0x868b3a7c5c9ab83c, 0xa9cfd4eacc7903f2, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x009d75d8649cf257,
};

// m16a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m16_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0xb6a4eeabe67d06cb, 0xe706609f180905b2, 0x332a906ceff735f3, 0x00f51e565d66ab5a, 0xf8ace1fa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x008fe439d5a5ca2a, 0x6355ae875eba9bb2, 0x701c762d37bd1ef7,
  0x8b87f5b86f65c396, 0x039920daf2e556ab, 0x37d9cea2a551aeb2, 0x5c0809caed52df55, 0x5d312b924bfa6993,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x32f9b65d9156ff7a, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0004eb842cc939e4,
};

// m16_swio13_lednop_pr_ce_u4        m16a_swio13_lednop_pr_ce          m16a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16_swio13_lednop_pr_ce[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0x95b52774eb46a122, 0x9f1ad304f8c0482d, 0xf5dbf4834dffb9af, 0x2c79e3254eedd5c5, 0xe12fc4361222fb89,
  0xc5dc6e5253397ea3, 0x479c67b9633f5933, 0xf680471d3f8327bd, 0xedf2238c8e62c050, 0xd500ffd99e3af47c,
  0x5815a0796b76f770, 0x5901cc906d7972ab, 0xaa9bece75152a8d7, 0xc9ae0404e576a96f, 0xaf2e9895c925fd34,
  0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x9732f9b65d863b7f, 0xa2c6f8b9357079b0,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000000dd72ccc939,
};

// m16a_swio13_lednop_pr_ee_ce
static const uint64_t ur_m16_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0xda93ba0292634e39, 0xb5b9827c602416ca, 0x52e9026dffb9af9f, 0xc64a9deed1dff546, 0x139dc6e747d493f3,
  0x2b28729dacac7be6, 0xfd47c1b3067afa8f, 0xb875f62d314c5652, 0x2135f4b632e384e1, 0x460a1ceaeddf3875,
  0xd578d8ebce9bb04f, 0x0e3b169e488f22d8, 0x8226470decb65f38, 0x72ab52cee1934a8d, 0xa8d75901cc906d79,
  0xa96faa9bece75152, 0xfd34c9ae0404e576, 0x5688af2e9895c925, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0x71b09732f9b65d86, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97,
  0x24e792bf734332c3, 0x00000000534ce143,
};

// m16a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x4c2a0006793919f9, 0x8a706e8e2165b3d0,
  0xb527750093738b0f, 0x6b7304f8c0482d95, 0xcea40293ff1f873e, 0x285c1c801717d51e, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc19ebea3caca1ca, 0xb4c531594bf51f06, 0xd8cb8e1386e1d7d8,
  0xabb77ce1d484d7d2, 0xaf3a6ec13d182873, 0x79223c8b6355e363, 0x37b2d97ce038ec5a, 0x3b864d2a3608991c,
  0x073241b5e5caad4b, 0x6fb39d454aa35d64, 0xb8101395daa5beaa, 0xba62572497f4d326, 0x37b6bae7b55a22bc,
  0x085482e52d7ce80f, 0x545a476e7a1d5381, 0xcbe6d97618edfef5, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x0000004fcb72057b,
};

// m16a_swio13_lednop_hw
static const uint64_t ur_m16_swio13_lednop_hw[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x905b2b6a4ee82f41, 0xc38f3ebee609f180, 0xf0ef96e929047bff, 0x0c71d3f83e7bd475, 0x0ce62c05bdd31eb1,
  0x8c11d78b9db7b477, 0xe5caad4ac59fb8e5, 0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0x97f4d326b8101395,
  0xb55a22bcba625724, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xf9b69e8754e04e7d, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00008e21d760a792,
};

// m16a_swio13_lednop_ee_hw
static const uint64_t ur_m16_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x4b8c8f9bb106d04e,
  0x95b52775b11ced4e, 0x3f43f304f8c0482d, 0x68dfca40707fe853, 0x613fd4795a9e9aad, 0x77c56c17d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0x827a3050e75697f9, 0x8b6355ae875e74dd, 0x7ce038ec5a79223c,
  0x546c11fadc37b2d9, 0x6bcb955a80570c9a, 0x8a9546bac80e6483, 0x2bb54b7d54df673a, 0x492fe9a64d702027,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x76455bfdeaa8b48e, 0x6371e6c25ccbe6d9,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xb7cd60a8a792bf73, 0x0000000000000000,
};

// m16a_swio13_lednop_ce_hw
static const uint64_t ur_m16_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121b768, 0xf8eed55e11285c48, 0x6f4d2eec01e9583d, 0xbd9febf8fc33c5ea, 0xb671545a0ac86e97,
  0x20b656d49dd764af, 0xd0a67c6b4c13e301, 0xd5c5f5dbf4834dff, 0xf71258f3ca17072d, 0xfd47c25f886c2445,
  0xb2678bb8dcbc3e5a, 0x4f7a8f38cf72c67e, 0x80a1ed008e3a7f06, 0xe8f9dbe447191cc5, 0xeee1aa01ffb33c75,
  0xe556b02b40f2d6ed, 0x51aeb2039920daf2, 0x52df5537d9cea2a5, 0xfa69935c0809caed, 0xad115e5d312b924b,
  0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0xf3612e65f36cbb0c, 0xca1854e7ea0bb1b8,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x98b453c95fb9a199,
  0x00000000000eb379,
};

// m16_swio13_lednop_ee_ce_u4_hw     m16a_swio13_lednop_ee_ce_hw       m16a_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x261500033c9c8cfc, 0x6538374710b2d9e8,
  0x2b6a4ee8eba6bef7, 0x7cd6e609f180905b, 0xa3d9d480527fd0a6, 0x79e50b839002e2fa, 0x2fc4361222fb892c,
  0xe370291f397ea3e1, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0xac80e64836bcb955, 0xd54df673a8a9546b, 0x64d7020272bb54b7, 0x57974c4ae492fe9a, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb2ec31dbf, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x00000000280adc85,
};

/*
 * m16_swio13_dual_pr                m16_swio13_dual_pr_u4             m16a_swio13_dual
 * m16a_swio13_dual_pr               m16a_swio13_dual_pr_u4
 */
static const uint64_t ur_m16_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3fb2afc3, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba696,
  0x4920ee19c5c5badd, 0x6609f180905b2b6a, 0x3c47b26460aa4180, 0xfb97185027c4df6b, 0x166727f9956ee774,
  0x9bd477f360bece05, 0xf822847244fe0cca, 0x06e1f0a21895fe7e, 0x8655777bbe6e6200, 0x4d6b454219684648,
  0xe72f6e52ffe80e78, 0x7fc7c14c16156662, 0x3f7477cb2d7a4051, 0xbb7e38e9fc1ef7ea, 0xd31398b01758a628,
  0x6608ebc06a7697c8, 0x967b63e0df5403ff, 0x67d1cccacc538e07, 0xe64836bcb955acfe, 0xf673a8a9546bac80,
  0x020272bb54b7d54d, 0x4c4ae492fe9a64d7, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021,
  0xbe6d976455bfdeaa, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000014935e7c57b4,
};

// m16a_swio13_dual_pr_ee
static const uint64_t ur_m16_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63ebbefc6, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b69c5,
  0x05dcf04675c7f53a, 0x27c602416cada92b, 0x3d932305523b8f98, 0xb8c2813e26fb59e2, 0x31ffccab773ba7dc,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e180401b8, 0x8a8432d05f688655,
  0xbe9affa039e1307b, 0x05305855998b9cbd, 0x6b47fba9005aff1f, 0x830f7ea3caedd4d5, 0x9bbe2bdf7ea3e0d9,
  0x1971c270dc3afb16, 0x2d7027e6909afa5b, 0xb07b467a9cead2e5, 0x10d8d56ba1d7b19b, 0xdd9c071d8b4e7147,
  0x551b047eb70decbb, 0x3e8e66566010df11, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x101395daa5beaa6f,
  0x62572497f4d326b8, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf36cbb22adfef554,
  0x596af1b8f3612e65, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x0000000001590745,
};

// m16a_swio13_dual_pr_ee_u4
static const uint64_t ur_m16_swio13_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xa7333e9cd3b4abcb, 0x798a164035a1942c,
  0x524c4bbbbb1bb2d0, 0x1f304f8c0482d95b, 0xb3c47b26460aa477, 0x4fb97185027c4df6, 0x4ea64b5f9956ee77,
  0x737a8f15b60358e0, 0xbe08a11c913f83df, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x4d224542196847b4,
  0xe72f6fa6bfe80e78, 0xbfc7c14c16156662, 0x3d355ad1c06a4016, 0x7c1b307227a8f2b5, 0x5f62d377c5670fd4,
  0x5f4b632e384e1b87, 0x5a5ff72e038cd213, 0x794d3b2008c1439d, 0xbde8f22d8d56ba1d, 0x6f65b93380e3b169,
  0x8e66566b8b87f5b8, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0x1395daa5beaa6fb3, 0x572497f4d326b810,
  0x5ae7b55a22bcba62, 0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x9732f9b69e8754e0, 0xeee3458df0dc79b0,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x5ed3c95fb9a19961, 0x0000000001592051,
};

// m16a_swio13_dual_pr_ce
static const uint64_t ur_m16_swio13_dual_pr_ce[] = {
  0xeb7777743d686f97, 0xb07dd5aa1a27df86, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf74dd40,
  0xfa6ee78233a1f8a7, 0xc13e30120b656d49, 0x11ec99182a9075f4, 0xe5c61409f137dacf, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0xabbbddf373a3e00d, 0x7c542196807b4432,
  0xdb8cdffd01cf0982, 0xf05305855998b9cb, 0x5c5f57f2901c1ff1, 0x71258f3ca170706b, 0xd47c25f886c2445f,
  0xe678bb8dc643a4af, 0xbd4709f3dcb19e27, 0x55f722471d3f83b5, 0xa9da5f234c4e62c0, 0x7d500ffd99e3af01,
  0xcc538e0796b70f83, 0xb955acfe67d1ccca, 0x546bac80e64836bc, 0x54b7d54df673a8a9, 0xfe9a64d7020272bb,
  0xab4457974c4ae492, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x3cd84b997cdb2ec3,
  0xbf83bb8d1674f86e, 0x7f2861539fa9d599, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x69e4afdcd0ccb0e9, 0x00000000692190af,
};

// m16a_swio13_dual_pr_ce_u4
static const uint64_t ur_m16_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0x28efe986e1d7cfb4, 0xd4e900d57962dd32,
  0x526c8bb9e08ce9c2, 0xd7304f8c0482d95b, 0xb3c47b26460aa433, 0x4fb97185027c4df6, 0xa6e68adf9956ee77,
  0x737a8f95b61bece1, 0xbe08a11c913f8328, 0x01b87c2886257f9f, 0x432abbbddf372e44, 0x4d38c542196804f4,
  0xce5ede87ffe80e78, 0xff8f82982c2accc5, 0x2dd5c5f5dbf4834d, 0x45f71258f3ca1707, 0x4afd47c25f886c24,
  0x7eb2678bb8dc643a, 0x064f7a8f38cf72c6, 0xc580a1ed008e3a7f, 0x75e8f9dbe447191c, 0x9598e86fee39633c,
  0x7972ab59fccfa399, 0x52a8d75901cc906d, 0x76a96faa9bece751, 0x25fd34c9ae0404e5, 0xed5688af2e9895c9,
  0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0xdc79b09732f9b65d, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x2408595ed3c95fb9, 0x000000000000000d,
};

// m16a_swio13_dual_pr_ee_ce
static const uint64_t ur_m16_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f9139d,
  0xee68fa9d1c137671, 0xe30120b656d49816, 0x932305520f9f4c13, 0xc2813e26fb59e23d, 0xbfccab773ba7dcb8,
  0xa6b60ff0e188266b, 0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0x7bbe6e753801b87c, 0x8432d060a8865577,
  0x5bffa039e134878a, 0x60b0ab3317397b73, 0x8f2b520c41fe3e0a, 0xe7942e0e3fc3bfea, 0x984e771b9cdf548f,
  0x3cae574a76b2b17c, 0xadea3e0d983dbfea, 0x0dc3afb1698a62bc, 0xa909afa5b1971c27, 0xda33d4e7576e2963,
  0x8d578d8ebd8cdd83, 0xc071d8b4e714710d, 0xd8226470decbbdd9, 0x7332b32cc6f88aa8, 0x0daf2e556b3f99f4,
  0xea2a551aeb203992, 0x9caed52df5537d9c, 0xb924bfa69935c080, 0xd73daad115e5d312, 0x17296be74079bdb5,
  0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x4c11538af69e4afd,
};

// m16a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m16_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e67d, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f4779f7d7675a,
  0xd4e9598aa317218c, 0xda92029dd48c4438, 0x7059827c602416ca, 0xd6788f64c8c1548d, 0xe9f72e30a04f89be,
  0xe1cdcb5f99696fce, 0x37a8f8ddb0ec1385, 0xc114239227f06d77, 0x370f8510c4aff3f7, 0x955ddeef9b875f00,
  0xbee2a10cb4239221, 0x5ede92bfe80e784d, 0xa793982c2accc5ce, 0x2faa3275482f0fff, 0x92c79e50bcefb06e,
  0x3e12fc4361222fb8, 0xe2ee370ebe1547ea, 0x5cae94ed6e6d7c99, 0xd47c1b307b7fd479, 0x875f62d314c5795b,
  0x135f4b632e384e1b, 0x67a9ceaedc52c752, 0xaf1b1d7b19bb07b4, 0xe3b169ce28e21b1a, 0x44c8e1bd977bb380,
  0x6566598df11551b0, 0x5e5caad67f33e8e6, 0x54aa35d64073241b, 0x5daa5beaa6fb39d4, 0x497f4d326b810139,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x618edfef5545a476, 0x5c1e6c25ccbe6d97,
  0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0x910a4f257ee68665, 0x00000000010013e0,
};

// m16a_swio13_dual_hw
static const uint64_t ur_m16_swio13_dual_hw[] = {
  0x97777776890c0668, 0xd83eeadc7f655f86, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0x3f84339d61b74d2d,
  0xb524907703eb04de, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x145ff124e60b0ab3, 0xfa8fdd1df2cb5e90, 0x8a2edf8e3a7f07bd, 0xf234c4e62c05d629,
  0xffd9823af01a9da5, 0x81e59ed8f837d500, 0x3f99f47332b314e3, 0x2039920daf2e556b, 0x537d9cea2a551aeb,
  0x35c0809caed52df5, 0xe5d312b924bfa699, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c,
  0x732f9b65d9156ff7, 0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000031baaf3ea2,
};

// m16a_swio13_dual_ee_hw
static const uint64_t ur_m16_swio13_dual_ee_hw[] = {
  0xedddddd0f5a1a5fb, 0xc1f756b1f5df7e34, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285b4e29,
  0x582ee9646bae9561, 0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x318ffe655bb9dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf370c0200d, 0xdc54219682fb4432,
  0xedf4d7fd01cf0983, 0x493982c2accc5ce5, 0x55ad1feea4016bfc, 0x660c3dfa8f2bb753, 0x5a6ef8af7dfa8f83,
  0x6c65c709c370ebec, 0x94b5c09f9a426be9, 0x6ec1ed19ea73ab4b, 0x1c436355ae875ec6, 0xef76701c762d39c5,
  0x45546c11fadc37b2, 0xccfa39995980437c, 0x1cc906d7972ab59f, 0xbece75152a8d7590, 0xe0404e576a96faa9,
  0xe9895c925fd34c9a, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x97cdb2ec8ab7fbd5,
  0xfd4bd5c6e3cd84b9, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xbb43a2d14f257ee6, 0x0000000000000002,
};

// m16a_swio13_dual_ce_hw
static const uint64_t ur_m16_swio13_dual_ce_hw[] = {
  0xdd6eeeeed121a5fb, 0x160fbab54344fbf0, 0xd421dd3ac02ae089, 0x16b05eb557bad962, 0xb2b8a6b957ee9ba8,
  0xa4fd3774b235d74a, 0xfa609f180905b2b6, 0x6788f64c8c15483a, 0x9f72e30a04f89bed, 0xc19babff32addcee,
  0x4dea3eced8472381, 0xf822847244fe0e57, 0x06e1f0a21895fe7e, 0x1955ddeef9b9d1f0, 0xc13e2a10cb403da2,
  0xe5edc66ffe80e784, 0xfc493982c2accc5c, 0x1ad717d5fca40707, 0x17dc4963cf285c1c, 0x0ff51f097e21b091,
  0x89f99e2ee373acd9, 0xed6f51c27cf72c67, 0xb0157dc891c74fe0, 0xc06a7697c8d31398, 0xe0df5403ff6678eb,
  0x32b314e381e5adc3, 0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0xaed52df5537d9cea, 0x24bfa69935c0809c,
  0x3daad115e5d312b9, 0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0xb0c76ff7aaa2d23b, 0x1b8f3612e65f36cb,
  0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x4dd4c9453c95fb9a, 0x0000000000000000,
};

// m16a_swio13_dual_ee_ce_hw
static const uint64_t ur_m16_swio13_dual_ee_ce_hw[] = {
  0x1ceddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e44e77,
  0xddce43ada6f9afc7, 0x7c602416cada9302, 0xb26460aa41f3e982, 0x185027c4df6b3c47, 0x77f9956ee774fb97,
  0xf4d6c1fe1c3104cd, 0x239227f07ff26f51, 0x8510c4aff3f7c114, 0xef77cdcea700370f, 0x50865a0c1510caae,
  0x6b7ff4073c2690f1, 0xcc16156662e72f6e, 0xa8f2b520c41fe249, 0x7e7942e0e3fc3bfe, 0xf26139dc6e125654,
  0xa8f2b95d29dacac5, 0xf2b7a8f83660f6ff, 0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0x0f68cf539d5db8a5,
  0x36355e363af63376, 0x6701c762d39c51c4, 0xa3608991c37b2ef7, 0xd1cccaccb31be22a, 0x4836bcb955acfe67,
  0x73a8a9546bac80e6, 0x0272bb54b7d54df6, 0x4ae492fe9a64d702, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6,
  0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x089a6a9d453c95fb,
};

// m16a_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m16_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0x83eeade3d7177e67, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bcfbebb,
  0xf5f8396ff68518b9, 0x2416cada92029dc1, 0xc1548d7059827c60, 0x4f89bed6788f64c8, 0x2ec24ee9f72e30a0,
  0x1d8270bc39b96bf3, 0xfe0daee6f51f1bb6, 0x95fe7ef822847244, 0x70ebe006e1f0a218, 0x84724432abbbddf3,
  0x01cf09b7dc542196, 0x5998b9cbdbd257fd, 0x20bc3ff3ab730585, 0xc1cec1b8bea8c9d5, 0x488bee24b1e78df0,
  0xc2c9fa8f84bf10d8, 0x9b5f2678bb8dc76e, 0xdff51e572ba53b5b, 0x315e56f51f06cc1e, 0x8e1386e1d7d8b4c5,
  0x14b1d484d7d2d8cb, 0x6ec1ed19ea73abb7, 0x3886c6abc6c75ec6, 0xdeece038ec5a738a, 0x45546c1132386f65,
  0xccfa39995996637c, 0x1cc906d7972ab59f, 0xbece75152a8d7590, 0xe0404e576a96faa9, 0xe9895c925fd34c9a,
  0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x2f9b65d863b7fbd5, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0003aea47930be9e,
};

// m16a_swio14_noled
static const uint64_t ur_m16_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x16cada93ba0bd04d, 0x0267fba9827c6024, 0x9df2dd05203d7fd2, 0x1c74fe0ebffa8f10, 0x398b016f74c7afc9,
  0x0475e2e7683e8c9a, 0xb955a9584f6e3963, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0x56c7efe9a64d674d,
  0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb3d6e2adfef554, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x000a90754b373c95,
};

// m16_swio14_noled_pr_u4            m16a_swio14_noled_pr              m16a_swio14_noled_pr_u4
static const uint64_t ur_m16_swio14_noled_pr[] = {
  0x8f77777689119391, 0x0bbb5572290044a3, 0x7b8ef5fb1a0b609e, 0x9ac1c44cd88ecf6a, 0xe6350eb4dd8e3d05,
  0x6a4eef4e32256ec4, 0x63e609f180905b2b, 0xdee906dfff735f3e, 0xf8326bd47050ef96, 0x16594db7e5f471d3,
  0x3e765ae8c45398b0, 0x13ca807fecc11d7a, 0x56acfba07967b7d2, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551,
  0x1fbfa699359d372b, 0x9ed5688af2e9895b, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0xcf5b8ab7fbd55169,
  0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xcfc119273c95fb9a, 0x00000000000007c9,
};

// m16_swio14_noled_pr_ee_u4         m16a_swio14_noled_pr_ee           m16a_swio14_noled_pr_ee_u4
static const uint64_t ur_m16_swio14_noled_pr_ee[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0x6d49dd57ccfa0d96, 0xce0cc13e30120b65, 0xcc7d20d9dfee6be7, 0xa3d47959759aad68, 0xe2b387ea3e0d983e,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x011fc873ab4b9455, 0xd8d56ba1d79d3764, 0x9c071d8b4def47bd,
  0x8d823f5b86f65b2f, 0xbcb955a8044f73ca, 0xa9546bac80e64836, 0x4dcaed52df5673a8, 0x6256c7efe9a64d67,
  0xfebae7b55a22bcba, 0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x97cdb3d6e2adfef5, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00275c216649cf25,
};

// m16_swio14_noled_pr_ce_u4         m16a_swio14_noled_pr_ce           m16a_swio14_noled_pr_ce_u4
static const uint64_t ur_m16_swio14_noled_pr_ce[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0xcada93bad88e72c1, 0xcfe9b9827c602416, 0x7d7baa4195bfdcd7, 0x4b1e78c953bc0971, 0xf84bf10d8488bee2,
  0xf1771b9d66c87fa8, 0x51d7c9ee58cfd64c, 0x449ba38e9fc1acff, 0x765ae8c45398b016, 0xca807feccf1d7a3e,
  0xab3ee81e5addd213, 0xac80e64836bcb955, 0x52df5673a8a9546b, 0xefe9a64d674dcaed, 0xb55a22bcba6256c7,
  0x529e1a778efebae7, 0x94f43aa7020eea6c, 0xad98edfef5545a61, 0x57079b09732f9b67, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x56cc939e4afdcd0c, 0x000000000001baf7,
};

// m16a_swio14_noled_pr_ee_ce
static const uint64_t ur_m16_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0xda93baec95f14e9c, 0x4db9827c602416ca, 0x5d6900cdffb9af9f, 0xc64a9d98f9dff546, 0x09cee3729299cbf3,
  0x95c8794ed6563df3, 0xbea3e0d983d2bd47, 0xdc3afb1698a62b74, 0x909afa5b1971c270, 0x23f90e7576e28a3a,
  0x355e363af3a6ec80, 0x01c762d37bd1ef76, 0xb044c8e1bd96cbe7, 0x972ab52cc9ee7951, 0x2a8d75901cc906d7,
  0xb95daa5beace7515, 0x4ad8fdfd34c9ace9, 0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041,
  0xf36cf5b31dbfdeaa, 0x1e71726ae3612e65, 0x7eeacc7903f2868b, 0x89c6592e19e98572, 0xe6866587494b6592,
  0x534d17c649cf257e,
};

// m16a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m16_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x702cc8f250b2d9e4,
  0xda93bb5aaef3b5b3, 0x8a49827c602416ca, 0x4dd20adfffc7e1cf, 0x285c1cb5bb8bea8f, 0x21b09117dc4963cf,
  0x061776eff51f097e, 0xed6e6def99e2ee37, 0x983d2bd4795c8794, 0x698a62b74bea3e0d, 0xb1971c270dc3afb1,
  0x576e28a3a909afa5, 0xaf3a6ec8023f90e7, 0x37bd1ef76355e363, 0x1bd96cbe701c762d, 0xcc9ee7951b044c8e,
  0x01cc906d7972ab52, 0xbeace75152a8d759, 0xd34c9ace9b95daa5, 0xb4457974c4ad8fdf, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0x8f3612e65f36cf5b, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x04d62bda792bf734,
  0x000000000000027e,
};

// m16a_swio14_noled_hw
static const uint64_t ur_m16_swio14_noled_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x16cada93ba0bd04d, 0x71e7fba9827c6024, 0x4ef96e82901ebff8, 0x8e3a7f075ffd4788, 0x1cc580b7ba63d7e4,
  0x823af173b41f464d, 0x5caad4ac27b71cb1, 0xaa35d64073241b5e, 0xe576a96fab39d454, 0x2b63f7f4d326b3a6,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xe6d9eb7156ff7aaa, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000238875d829e4a,
};

// m16a_swio14_noled_ee_hw
static const uint64_t ur_m16_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xdab22101b020da08,
  0x6cada93baf5a716f, 0x4cf9c19827c60241, 0x6b4663e906ceffa1, 0xc1f51ea3cacbacd5, 0x4ddf159c3f51f06c,
  0x8cb8e1386e1d7d8b, 0xa2ae3593484d7d2d, 0xbb2008fe439d5a5c, 0x3deec6ab5d0ebce9, 0xd97ce038ec5a6f7a,
  0x9e546c11fadc37b2, 0x41b5e5caad40227b, 0x9d454aa35d640732, 0x6b3a6e576a96fab3, 0xe5d312b63f7f4d32,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x25ccbe6d9eb7156f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x000000000b7fbe0a,
};

// m16a_swio14_noled_ce_hw
static const uint64_t ur_m16_swio14_noled_ce_hw[] = {
  0xe4dddddda2432493, 0xf8eed55e110fdc49, 0x9ed45dd267c7d83d, 0x4d9febc6b833641a, 0x5a76a85b4bc2b75e,
  0x905b2b6a4ee86e41, 0xe8533fa6e609f180, 0x09717d7baa4195bf, 0x7dc4963cf285c1cc, 0x7f51f097e21b0911,
  0xac99e2ee3731bbb0, 0x59fea3af93dcb19f, 0x602c8937471d3f83, 0xf47cecb5d188a731, 0xa4279500ffd99e3a,
  0x72ab567dd03cb5bb, 0xa8d75901cc906d79, 0x95daa5beace75152, 0xad8fdfd34c9ace9b, 0x75cf6ab4457974c4,
  0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d, 0x36cf5b31dbfdeaa8, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x00eb366089453c95,
};

// m16_swio14_noled_ee_ce_u4_hw      m16a_swio14_noled_ee_ce_hw        m16a_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m16_swio14_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x302cc8f250b2d9e4,
  0x56d49ddb1751fd40, 0x7c524c13e30120b6, 0x47a6e9056fffd0a6, 0xe7942e0e5addc5f5, 0xbf10d8488bee24b1,
  0x8dc0001b77fa8f84, 0xe53b5b9b7be678bb, 0x83660f4af51e5721, 0xec5a6298add2fa8f, 0xe96c65c709c370eb,
  0x39d5db8a28ea426b, 0xd8ebce9bb2008fe4, 0x8b4def47bdd8d578, 0x2386f65b2f9c071d, 0xd4b327b9e546c113,
  0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xf7f4d326b3a6e576, 0xdaad115e5d312b63, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0xd6cc76ff7aaa2d30, 0xc6e3cd84b997cdb3, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x80826b514f257ee6, 0x0000000000000002,
};

// m16a_swio14_lednop
static const uint64_t ur_m16_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x0120b656d49dd85e, 0xfd20267e034c13e3, 0xf243be5ba0a401ef, 0x4c638e9fc1d7ff51, 0xf48731602dee9b4a,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0xe65f36d3d0ea9c0a, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000002a45c52cdc,
};

// m16_swio14_lednop_pr_u4           m16a_swio14_lednop_pr             m16a_swio14_lednop_pr_u4
static const uint64_t ur_m16_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae453c7c4a3, 0x3d537b7e61f6c13c, 0x66b0714004ccbdd9, 0x58f85eebf7638f41,
  0x6a4ee8916666ec37, 0xbee609f180905b2b, 0xdee9047bff735f3e, 0xf8326bd47400ef96, 0x0b2ca68f7a5471d3,
  0x1f3b4428c6f9cc58, 0x7a45403ff6608ebd, 0x55abeb703cb3db11, 0x6bac80e64836bcb9, 0xed52df5673a8a954,
  0xe9a64d7020274dca, 0x5a22bcba62572fb1, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xadfef5545a476e7a,
  0x3cd84b997cdb1922, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x649cf257ee686658, 0x000000001f26a9ac,
};

// m16a_swio14_lednop_pr_ee
static const uint64_t ur_m16_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0xa9827c602416cada, 0xfa4035bfdcd7cfa5, 0xa8f2b60b355ad198, 0x650fd47c1b307d47,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x39b8e756974acb8d, 0xaad743af3a6edd42, 0x0e3b169fc88e32b1,
  0x047eb70decb65f38, 0x72ab500ba427951b, 0xa8d75901cc906d79, 0x95daa5beace75152, 0x63d34c9ae0404e9b,
  0x6ab4457974c4ae5f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x455bfdeaa8b48edc, 0x7079b09732f9b632,
  0x07e50d1674f8b935, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x0ae4fc73dffc1343, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000013af8c4c939,
};

// m16a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m16_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0xa93ba75a3509167d, 0xd69827c602416cad, 0xdfa41a6ffdcd7cf8, 0xfa8f2b387355ad1e, 0x5721fd47c1b30738,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x47109cead2f52971, 0xaad743af5d4dda71, 0x1c762d35ae8c45b1,
  0x49f5b86f65c39670, 0xcc906d7972ab55c7, 0xace75152a8d75901, 0xe0404e9b95daa5be, 0x74c4ae5f63d34c9a,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x32f9b632455bfdea, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00009d72ccc939e4,
};

// m16_swio14_lednop_pr_ce_u4        m16a_swio14_lednop_pr_ce          m16a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16_swio14_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0x656d49dd1ec5aa38, 0xe7e394c13e30120b, 0xbebdd520b75fee6b, 0x258f3c64a9defbb8, 0x7c25f886c2445f71,
  0x78bb8dcb9124afd4, 0x51e5f4f72c67eb26, 0xca9c638e9fc1acff, 0x7688518df398b014, 0x8a807feccf1d7a3e,
  0xd5f5b81e5adc22f4, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xd326b81013a6e576, 0x115e5d312b97d8f4,
  0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0xd84b997cdb190c76, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x9cf257ee68665874, 0x0000000375d34064,
};

// m16a_swio14_lednop_pr_ee_ce
static const uint64_t ur_m16_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0xda93bb61b653d649, 0xbfc9827c602416ca, 0x975a401a3fdcd7cf, 0x78c953bff877fd51, 0xc273b8dcca8683fe,
  0xe5652e53b5958f7c, 0xafa8f83660f4af51, 0x370ebec5a6298acb, 0xa426be96c65c709c, 0x08e6e39d5db92b0e,
  0x8d578d8ebce9bb75, 0xc071d8b4fe447195, 0x6c1132386f65b2f9, 0xe5caad4b3e909e54, 0x4aa35d64073241b5,
  0x6e576a96fab39d45, 0x7d8f4d326b81013a, 0x3daad115e5d312b9, 0x296be74079bdb5d7, 0x73d0ea9c0842a417,
  0x90c76ff7aaa2d23b, 0xc9ab8d84b997cdb1, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0xcb99273c95fb9a19, 0x0000000000029a63,
};

// m16a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb448692df, 0xc5ddaabfa9d89891, 0x3d7adbb42cdd82fc, 0x0c2a002b713ae0d3, 0xcdd333976165b3c9,
  0x6a4eea8fa10abe26, 0xb06609f180905b2b, 0x6e9021f7fe3f0e7f, 0x42e0e35ddc5f547a, 0x0d8488bee24b1e79,
  0x5c170fffa8f84bf1, 0xb5b9b7be678bb8dc, 0x60f4af51e5652e53, 0xa6298acbafa8f836, 0xc65c709c370ebec5,
  0x5db92b0ea426be96, 0xbce9bb7508e6e39d, 0xfe4471958d578d8e, 0x6f65b2f9c071d8b4, 0x3e909e546c113238,
  0x073241b5e5caad4b, 0xfab39d454aa35d64, 0x6b81013a6e576a96, 0xe5d312b97d8f4d32, 0x79bdb5d73daad115,
  0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0xb997cdb190c76ff7, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xf69e4afdcd0ccb0e,
  0x000000009f83270a,
};

// m16a_swio14_lednop_hw
static const uint64_t ur_m16_swio14_lednop_hw[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x0120b656d49dd85e, 0xff871e7e034c13e3, 0xf921df2dd05200f7, 0x2631c74fe0ebffa8, 0xfa4398b016f74da5,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546bac80e6483, 0x74dcaed52df5673a, 0x72fb1e9a64d70202,
  0xae7b55a22bcba625, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0x732f9b69e8754e05, 0x4c2b93f3fb0ddb09,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000008e25c760a,
};

// m16a_swio14_lednop_ee_hw
static const uint64_t ur_m16_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x9c695a2e2f106d04,
  0xd95b527740524cd3, 0x99f4b5304f8c0482, 0xd68cc7d201adff42, 0x83ea3d4795b059aa, 0x9bbe2b287ea3e0d9,
  0x1971c270dc3afb16, 0x565c6b26909afa5b, 0x76ea11cdc73ab4ba, 0x71958d56ba1d79d3, 0xb2f9c071d8b4fe44,
  0x3ca8d823f5b86f65, 0x836bcb955a805d21, 0x3a8a9546bac80e64, 0x0274dcaed52df567, 0x2572fb1e9a64d702,
  0x6bae7b55a22bcba6, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xcdb1922adfef5545, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00016ffe49d14f25,
};

// m16a_swio14_lednop_ce_hw
static const uint64_t ur_m16_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121be4a, 0xfc776aaf08834e24, 0x4f48fee8db622c1e, 0x4d9febc6b9fb0676, 0x6d57c103d741375e,
  0x482d95b52774a51d, 0xf4299f8e5304f8c0, 0xfbb8bebdd520b75f, 0xbee24b1e7942e0e6, 0xdfa8f84bf10d8488,
  0xd64cf1771b86b730, 0x59fea3cbe9ee58cf, 0x60299538c71d3f83, 0xf47ced10a31be731, 0x45e91500ffd99e3a,
  0xb955abeb703cb5b8, 0x546bac80e64836bc, 0xcaed52df5673a8a9, 0xb1e9a64d7020274d, 0xb55a22bcba62572f,
  0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x18edfef5545a476e, 0xdc79b09732f9b632, 0xbde50c2a73f505d8,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb7c93a29e4afdcd0,
  0x0000000000000759,
};

// m16_swio14_lednop_ee_ce_u4_hw     m16a_swio14_lednop_ee_ce_hw       m16a_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x62eed55fd4ec4c48, 0x9ebd6dda166ec17e, 0x86150015b89d7069, 0xe6e999cbb0b2d9e4,
  0x95b527777ec2da9a, 0x3fd83304f8c0482d, 0xa3d374810fbfe853, 0xf3ca17071aeee2fa, 0x5f886c2445f71258,
  0x8dce41d5d7fd47c2, 0xe53b5b9b7be678bb, 0x83660f4af51e5652, 0xec5a6298acbafa8f, 0xe96c65c709c370eb,
  0x39d5db92b0ea426b, 0xd8ebce9bb7508e6e, 0x8b4fe4471958d578, 0x2386f65b2f9c071d, 0xd4b3e909e546c113,
  0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xd326b81013a6e576, 0x115e5d312b97d8f4, 0x74079bdb5d73daad,
  0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0xd84b997cdb190c76, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xe514f257ee686658, 0x0000000000280864,
};

/*
 * m16_swio14_dual_pr                m16_swio14_dual_pr_u4             m16a_swio14_dual
 * m16a_swio14_dual_pr               m16a_swio14_dual_pr_u4
 */
static const uint64_t ur_m16_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x6c1f756e3ff6afc6, 0xd67dba24792b4b3f, 0xc895b312759051ba, 0xe2d3924c69dbad16,
  0x2490770fcabdd17a, 0xf304f8c0482d95b5, 0x9e23d9323055239b, 0x7dcb8c2813e26fb5, 0x8b3393fccab773ba,
  0x4dea3bf9b05f6702, 0x7c114239227f0665, 0x0370f8510c4aff3f, 0x8655777bbe6e5ad8, 0x4d6b454219684648,
  0xe72f6e5d7fe80e78, 0xbfc7c14c16156662, 0x1e443be587ca4152, 0x57751c74fe0c45f5, 0x37bce62c05d629aa,
  0xecc11d780d4ec0a2, 0xe59ede4583ea807f, 0x99f47332b3290b81, 0x39920daf2e556b3f, 0xd59cea2a551aeb20,
  0x5c0809d372bb54b7, 0x2e9895cbec7a6993, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0,
  0xe65f36c648ab7fbd, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xda792bf734332c3a, 0x0000000a49a0e32b,
};

// m16a_swio14_dual_pr_ee
static const uint64_t ur_m16_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xe60fbab58fae37e3, 0xd70bddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0x1771c115658219d2, 0x9f180905b2b6a4ac, 0xf64c8c1548b24e60, 0xe30a04f89bed6788, 0xc7ff32addcee9f72,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b9cdf006e1, 0x2a10cb417da21955,
  0xd36ffe80e784c1ee, 0x2982c2accc5ce5ed, 0xb465169050fff8f8, 0x1995ea3caf7dcd56, 0xddf15caef51f06cc,
  0xcb8e1386e1d7d8b4, 0xab813f3484d7d2d8, 0xc6523d28e756972e, 0x636355ae875ec66e, 0xece038ec5a72f91a,
  0xa8d823f5b86f65de, 0xf47332b300a0fdac, 0x920daf2e556b3f99, 0x9cea2a551aeb2039, 0x0809d372bb54b7d5,
  0x9895cbec7a69935c, 0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0x5f36c648ab7fbd55,
  0x4596af1b8f3612e6, 0xe7ea75666fe0eee3, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xa2bda792bf734332, 0x00000000000ac856,
};

// m16a_swio14_dual_pr_ee_u4
static const uint64_t ur_m16_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdb07dd5ac78ebdf8, 0xb6b8ee9d60148ce0, 0xb999f4e7adb9f6cf, 0x6227a8fbad8ca161,
  0x98977347d4ebdc37, 0x609f180905b2b6a4, 0x88f64c8c1548b24e, 0x72e30a04f89bed67, 0x4c96bf32addcee9f,
  0xf51e2b6c06b1c09d, 0x114239227f07bee6, 0x70f8510c4aff3f7c, 0x55777bbe6e525003, 0x448a8432d08f6886,
  0xbdba6dffd01cf09a, 0x1f05305855998b9c, 0xd56b46fe520a1fff, 0xd98309fea3cad82c, 0x169bbe2b90fea3e0,
  0x5b1971c270dc3afb, 0xe515701c66909afa, 0x69da7147371cead2, 0xa38cac6ab5d0ebca, 0x2dc99c071d8b4d6b,
  0x9959ae3a4fadc37b, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0xe65f36d3d0ea9c0a, 0xdc68b1be1b8f3612,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xda792bf734332c3a, 0x00000000564e9e2b,
};

// m16a_swio14_dual_pr_ce
static const uint64_t ur_m16_swio14_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0x2c1f756a86806fc6, 0xdc99ba3dac35c112, 0x0b582ecae7517b3e, 0x675dd85b3ef7599c,
  0x93f4ddc704558d3c, 0x19827c602416cada, 0x9e23d932305521e0, 0x7dcb8c2813e26fb5, 0x066eaffccab773ba,
  0x37a8fb3b611c8e07, 0xe08a11c913f8395d, 0x1b87c2886257f9fb, 0x32abbbddf3732a00, 0x827c542196807b44,
  0xcbdbd8fffd01cf09, 0xf1f05305855998b9, 0x72b8bea63e900d6f, 0xbee24b1e7942e0e4, 0x3fa8f84bf10d8488,
  0x4fccf1771b895172, 0x70fd47ea27b9633c, 0x0160304f8e3a7f07, 0x0353b0288def398b, 0x60faa01ffb33c75e,
  0x2b3290b81e5add91, 0xf2e556b3f99f4733, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0xbec7a69935c0809d,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xc863b7fbd551691d, 0xc371e6c25ccbe6d8,
  0xaccdfc1ddc68b3a7, 0xf313f9430a9cfd4e, 0xe09a1e64ff1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0x857b4f257ee68665, 0x00000000000d245d,
};

// m16a_swio14_dual_pr_ce_u4
static const uint64_t ur_m16_swio14_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x4ac1f756a86eb77e, 0xda9afbb618a774ee, 0x8efe9b33dfbb1739, 0xce947ee733edd89c,
  0x93645dc7045580f8, 0xf9827c602416cada, 0x9e23d93230552387, 0x7dcb8c2813e26fb5, 0x373456fccab773ba,
  0x9bd47cadb0df670d, 0xf04508e489fc1943, 0x0dc3e144312bfcfd, 0x1955ddeef9b8c860, 0x69c62a10cb4027a2,
  0x397b74b5ff4073c2, 0xfe3e0a60b0ab3317, 0x6fbb8bebdd520b75, 0x8bee24b1e7942e0e, 0x23fa8f84bf10d848,
  0xfd64cf1771b89517, 0x359fea3cbe9ee58c, 0x160299538c71d3f8, 0xaf47ced10a31be73, 0xacc7507f71cb19e3,
  0xcb955acfe67d1ccc, 0x9546bac80e64836b, 0xdcaed52df5673a8a, 0xfb1e9a64d7020274, 0x7b55a22bcba62572,
  0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x218edfef5545a476, 0x0dc79b09732f9b63, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x1a485995ed3c95fb,
};

// m16a_swio14_dual_pr_ee_ce
static const uint64_t ur_m16_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xb0cc1f75675e3f2f, 0xbef5ef74abcb1362, 0x7da2945aad041f26, 0x04bebe4cb27e4765,
  0x6ee78233a96453ab, 0x3e30120b656d4981, 0xd932305523cf5cc1, 0x8c2813e26fb59e23, 0xbbfccab773ba7dcb,
  0xfa6b60ff0e188266, 0x11c913f83ff937a8, 0xc2886257f9fbe08a, 0xef77cdc185c01b87, 0x50865a0c1510caae,
  0xd83ff4073c2690f1, 0x4c16156662e72f6f, 0xa3c09482d6ffc7c1, 0xf3ca1707276ceffa, 0x4c273b8dc0449807,
  0x1e5795a53b5958be, 0x027a8f83660fbaf5, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x948f4a39d5db8ba8,
  0xb1aaf1b1d7b19bb1, 0x701c762d397c8d31, 0x3608991c37b2ef76, 0x1cccaccb383f6b2a, 0x836bcb955acfe67d,
  0x3a8a9546bac80e64, 0x0274dcaed52df567, 0x2572fb1e9a64d702, 0x6bae7b55a22bcba6, 0x482e52d7ce80f37b,
  0xa476e7a1d5381085, 0x9b63218edfef5545, 0xb1e70dc79b09732f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x00098273857b4f25,
};

// m16a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m16_swio14_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x0fbab78fabddf89f, 0xbc16a27d68e76ca6, 0x1d7fabd823859c16, 0xf98bd1da7df5d9d6,
  0x5cce8438dfc37931, 0xada92029dd202f9e, 0xbd9e9827c602416c, 0xed6788f64c8c1548, 0xee9f72e30a04f89b,
  0x5e1cdcb5f99696fc, 0x737a8f8ddb0ec138, 0x7c114239227f06d7, 0x0370f8510c4aff3f, 0x1955ddeef9b8f008,
  0xdbee2a10cb423922, 0xe5edee47fe80e784, 0xfa793982c2accc5c, 0xe2faa3383480d6ff, 0x892c79e50bceff5e,
  0xa3e12fc4361222fb, 0x3c5dc6e3c03118fe, 0x2bcad29dadcdaf93, 0x3d47c1b307dd7a8f, 0xb875f62d314c5781,
  0x2135f4b632e384e1, 0x47a51ceaedc5d475, 0xd578d8ebd8cdd8ca, 0x0e3b169cbe4698d8, 0x044c8e1bd977bb38,
  0x6656659c1fb5951b, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x3a6e576a96fab39d, 0xb97d8f4d326b8101,
  0xd73daad115e5d312, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0xc9ab83cd84b997cd,
  0x37f07edd8d1637c5, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0xb82a2149e4afdcd0, 0x0000000000004004,
};

// m16a_swio14_dual_hw
static const uint64_t ur_m16_swio14_dual_hw[] = {
  0x17777776890c5aa4, 0xd83eeadc7fed5f8d, 0xacfb7448f256967e, 0x912b6624eb20a375, 0x82272498d3b75a2d,
  0xb524907761f4da6d, 0x9bf304f8c0482d95, 0xb59e23d932305523, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0xd80370f8510c4aff, 0x488655777bbe6e5a, 0x784d6b4542196846,
  0x62e72f6e5d7fe80e, 0xa95fe249cc161566, 0xfa8f221df2c3e520, 0xd52bba8e3a7f0622, 0x511bde731602eb14,
  0x3ff6608ebc06a760, 0xc0f2cf6f22c1f540, 0x9fccfa3999599485, 0x901cc906d7972ab5, 0x5beace75152a8d75,
  0xc9ae0404e9b95daa, 0x57974c4ae5f63d34, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa,
  0x09732f9b632455bf, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f,
  0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000031baa0e3,
};

// m16a_swio14_dual_ee_hw
static const uint64_t ur_m16_swio14_dual_ee_hw[] = {
  0x8ecb777776890c86, 0x13983eead63eb8df, 0xef5c2f77650f6323, 0x229506db105947f3, 0xa843b36eb63285bb,
  0x2560bbbbb1bb3798, 0x7304f8c0482d95b5, 0x3c47b26460aa4592, 0xfb97185027c4df6b, 0xd4c63ff9956ee774,
  0x6f51c9d6c12d1c02, 0xc114239227f0715a, 0x370f8510c4aff3f7, 0xcaaeef77cdce6f80, 0x0f7150865a0bed10,
  0x2f6e9b7ff4073c26, 0xe249cc16156662e7, 0x355ad1945a4143ff, 0x1b306657a8f2bdf7, 0x62d377c572bbd47c,
  0x4b632e384e1b875f, 0x5cbaae04fcd2135f, 0x19bb1948f4a39d5a, 0xe4698d8d56ba1d7b, 0x977bb380e3b169cb,
  0xf6b2a3608fd6e1bd, 0xfe67d1cccacc0283, 0x80e64836bcb955ac, 0xdf5673a8a9546bac, 0x4d7020274dcaed52,
  0xbcba62572fb1e9a6, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x4b997cdb1922adfe,
  0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x0000000015da2b55,
};

// m16a_swio14_dual_ce_hw
static const uint64_t ur_m16_swio14_dual_ce_hw[] = {
  0x33dddddda243359b, 0x160fbab5434037e3, 0x6e4cdd1ed61ae089, 0x05ac176573a8bd9f, 0xd75eec2d9f7bacce,
  0x6a4fd3770f0cc29a, 0x806609f180905b2b, 0xd6788f64c8c15487, 0xe9f72e30a04f89be, 0x1c19babff32addce,
  0x74dea3eced847238, 0xef822847244fe0e5, 0x006e1f0a21895fe7, 0x10caaeef77cdcca8, 0x2609f150865a01ed,
  0xe72f6f63fff4073c, 0xdfe249cc16156662, 0xc8e5717d4c7d201a, 0x117dc4963cf285c1, 0x2a3f51f097e21b09,
  0xf13f33c5dc6e337d, 0x1dc3f51fa89ee58c, 0x2c0580c13e38e9fc, 0x780d4ec0a237bce6, 0x4583ea807feccf1d,
  0xccacca42e0796b76, 0x6bcb955acfe67d1c, 0x8a9546bac80e6483, 0x74dcaed52df5673a, 0x72fb1e9a64d70202,
  0xae7b55a22bcba625, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0x63218edfef5545a4, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x009baaeca29e4afd,
};

// m16a_swio14_dual_ee_ce_hw
static const uint64_t ur_m16_swio14_dual_ee_ce_hw[] = {
  0x6caddddddd437089, 0x8660fbab3af1f97e, 0xf7af7ba55e589b15, 0xed14a2d56820f935, 0x25f5f26593f23b2b,
  0x5bbaf27acadada58, 0x4f8c0482d95b5260, 0xf64c8c1548f3d730, 0xe30a04f89bed6788, 0xaeff32addcee9f72,
  0x3e9ad83fc3862099, 0x847244fe0ffe4dea, 0xf0a21895fe7ef822, 0xbbddf370617006e1, 0x54219683054432ab,
  0xf60ffd01cf09a43c, 0x7305855998b9cbdb, 0x547812905adff892, 0x7e7942e0e4ed9dff, 0xf26139dc6e525339,
  0xa8f2bcad29dacac5, 0x7813d47c1b307dd7, 0x4e1b875f62d314c5, 0x4752135f4b632e38, 0x8ca47a51ceaedc5d,
  0x8d8d578d8ebd8cdd, 0xb380e3b169cbe469, 0x51b044c8e1bd977b, 0xe8e6656659c1fb59, 0x241b5e5caad67f33,
  0x39d454aa35d64073, 0x1013a6e576a96fab, 0x312b97d8f4d326b8, 0xdb5d73daad115e5d, 0x2a417296be74079b,
  0x2d23b73d0ea9c084, 0x7cdb190c76ff7aaa, 0x9f9fd86e3cd84b99, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x0002269f39453c95,
};

// m16a_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m16_swio14_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0x83eeade3eaf77e27, 0x705ba89f5a39db29, 0x75875feaf608e17a, 0x4c7e62f4769f7d76,
  0xd6e918ef0727f0de, 0x2416cada92029ddf, 0xc1548bd9e9827c60, 0x4f89bed6788f64c8, 0x2ec24ee9f72e30a0,
  0x1d8270bc39b96bf3, 0xfe0daee6f51f1bb6, 0x95fe7ef822847244, 0x71e01006e1f0a218, 0x84724432abbbddf3,
  0x01cf09b7dc542196, 0x5998b9cbdbdc8ffd, 0x2035bff3ab730585, 0xc1cfd7b8bea8ce0d, 0x488bee24b1e78df0,
  0x9705fa8f84bf10d8, 0xcdaf933c5dc6e753, 0xdd7a8f2bcad29dad, 0x4c57813d47c1b307, 0xe384e1b875f62d31,
  0xc5d4752135f4b632, 0xcdd8ca47a51ceaed, 0x4698d8d578d8ebd8, 0x77bb380e3b169cbe, 0xb5951b044c8e1bd9,
  0xf33e8e6656659c1f, 0x073241b5e5caad67, 0xfab39d454aa35d64, 0x6b81013a6e576a96, 0xe5d312b97d8f4d32,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0xb997cdb190c76ff7, 0x539fa82ec6e3cd84,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x000001d75e7a185f,
};

// m16a_swio15_noled
static const uint64_t ur_m16_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0905b2b6a4eed8f6, 0xe90133fb7e609f18, 0xf90ef96e9290751f, 0x92471d3f83e7bd47, 0xe80e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ab57fbfa699359d,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xbe6d902455bfdeaa, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000a93eba59b9e4,
};

// m16_swio15_noled_pr_u4            m16a_swio15_noled_pr              m16a_swio15_noled_pr_u4
static const uint64_t ur_m16_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c4ae, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f76e2741,
  0x6a4eecbbb120ce05, 0x7f2609f180905b2b, 0x41fa40657fb9af9f, 0xf83e83d4797c77cb, 0x05965319538c71d3,
  0x47cecf7a3dece62c, 0x3269500ffd9823af, 0xaad556a81e59eddc, 0x35d64073241b5e5c, 0x6a96fabb39d454aa,
  0xff7f4d326b3a6e57, 0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0x2048ab7fbd551698,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x1016649cf257ee68, 0x0000000000001f26,
};

// m16a_swio15_noled_pr_ee
static const uint64_t ur_m16_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd058971, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da0b8fd6,
  0x77505272b8210da2, 0x304f8c0482d95b52, 0x4822b7fb9af9f275, 0x8f2b297355ad1bf9, 0xbafa8f83660c27fa,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0x921cead2ffb971ac, 0x5ae875e74ddb4a47, 0x8ec5a698a383f635,
  0x1fadc37b2d97ce03, 0x55a8044d60b546c1, 0x6bac80e64836bcb9, 0xd52df57673a8a954, 0xfefe9a64d674dcae,
  0xdaad115e5d312ad5, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0x409156ff7aaa2d30, 0x357079b09732f9b6,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x39e4afdcd0ccb0e9, 0x0000000275fa78c9,
};

// m16a_swio15_noled_pr_ee_u4
static const uint64_t ur_m16_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0x49dd3b410e5d96aa, 0xb4c13e30120b656d, 0x5520df7fee6be7e2, 0xea3cadd2cd56b466, 0x5fcef51f06cc1a01,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1bde73ab4bc065c5, 0xab5d0ebd75376051, 0xe3b169e454770ec6,
  0xafadc37b2e1cb380, 0x64836bcb955aae09, 0x673a8a9546bac80e, 0x4d674dcaed52df57, 0xe5d312ad5fefe9a6,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x09732f9b6409156f, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000009d748bcc93,
};

// m16_swio15_noled_pr_ce_u4         m16a_swio15_noled_pr_ce           m16a_swio15_noled_pr_ce_u4
static const uint64_t ur_m16_swio15_noled_pr_ce[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0x656d49dd4149cba7, 0xe7f674c13e30120b, 0x7d76fd2095dfee6b, 0x4b1e78c953bcad71, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x51e6e9ee58cfd64c, 0xdd0291c74fe0c9ef, 0x9d9ef47bd9cc580b, 0xd2a01ffb33c75e8f,
  0x6aab540f2d6eb864, 0xeb2039920daf2e55, 0x4b7d5d9cea2a551a, 0xbfa699359d372bb5, 0xab4457974c4ab57f,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0x431dbfdeaa8b4c32, 0xb83cd84b997cdb20, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x94649cf257ee6866, 0x000000000006ebd5,
};

// m16a_swio15_noled_pr_ee_ce
static const uint64_t ur_m16_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0x6a4eebd69c452bed, 0xa6a609f180905b2b, 0x52e907fcff735f3f, 0xc64a9dd8f9dff546, 0x09cee37092b2a3f3,
  0x959c394ed6563df3, 0xfea3e0d9833d7d47, 0xdc3afb1698a62b90, 0x909afa5b1971c270, 0x23c90e7576efdc3a,
  0x355e363af3a6eda5, 0x038ec5a698a383f6, 0x608991c37b2d97ce, 0x5caad4b326b05aa3, 0xaa35d64073241b5e,
  0x576a96fabb39d454, 0x6aff7f4d326b3a6e, 0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba,
  0xb640863b7fbd5516, 0x38b93571b09732f9, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x4ec7f324e792bf73, 0x0000000000000053,
};

// m16a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m16_swio15_noled_pr_ee_ce_u4[] = {
  0x68dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0x8ccec4ac10b2d9eb,
  0xb52776e76cd8f6c9, 0x8dd304f8c0482d95, 0x9d481aefff1f873f, 0x50b839882e2faa3d, 0x4361222fb892c79e,
  0x9d4e5c17ea3e12fc, 0x76b736f7ccf1771b, 0xcc19ebea3cace1ca, 0xb4c5315c87f51f06, 0xd8cb8e1386e1d7d8,
  0xabb77ee1d484d7d2, 0xd79d376d291e4873, 0x34c51c1fb1aaf1b1, 0x1bd96cbe701c762d, 0x993582d51b044c8e,
  0x039920daf2e556a5, 0xd5d9cea2a551aeb2, 0x699359d372bb54b7, 0x457974c4ab57fbfa, 0x34ef1dfd75cf6ab4,
  0x754e041dd4d8a53c, 0xdbfdeaa8b4c329e8, 0xcd84b997cdb20431, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x694af69e4afdcd0c,
  0x0000000000009f99,
};

// m16a_swio15_noled_hw
static const uint64_t ur_m16_swio15_noled_hw[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x0905b2b6a4eed8f6, 0xfc38f3fb7e609f18, 0xfc877cb749483a8f, 0xc9238e9fc1f3dea3, 0xf40731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x255abfdfd34c9ace,
  0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x5f36c8122adfef55, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000238bebec14f2,
};

// m16a_swio15_noled_ee_hw
static const uint64_t ur_m16_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0x2b6a4eeb4efb5bb2, 0x3e4ea609f180905b, 0x68dfca4115bfe853, 0x613fd479594b9aad, 0x77c565d7d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xda523c90e75697fd, 0x1fb1aad743af3a6e, 0xbe701c762d34c51c,
  0xaa3608fd6e1bd96c, 0xb5e5caad40226b05, 0x454aa35d64073241, 0xa6e576a96fabb39d, 0x8956aff7f4d326b3,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x97cdb2048ab7fbd5, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000000b7c02b514f,
};

// m16a_swio15_noled_ce_hw
static const uint64_t ur_m16_swio15_noled_ce_hw[] = {
  0x84dddddda2431768, 0xf8eed55e11219c4a, 0xded91dddb6ebd83d, 0x4d9febf8fe2f3631, 0x5a3d9eb8d3243768,
  0x905b2b6a4ee9ba3b, 0xe8533fb3a609f180, 0x5ae2faedfa412bbf, 0xfb892c79e50b8399, 0xfea3e12fc4361222,
  0x5933c5dc6e7eb9ad, 0x27bd479ba7b9633f, 0x602f740a471d3f83, 0x7a3e767bd1ef6731, 0xe1934a807feccf1d,
  0xb955aaad503cb5ba, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0xd5fefe9a64d674dc, 0x73daad115e5d312a,
  0x36294f0d3bc77f5d, 0x30ca7a1d53810775, 0x6c810c76ff7aaa2d, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x1d66f843f453c95f,
};

// m16_swio15_noled_ee_ce_u4_hw      m16a_swio15_noled_ee_ce_hw        m16a_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m16_swio15_noled_ee_ce_hw[] = {
  0x68dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0xeccec4ac10b2d9eb,
  0x56d49ddcfb403a89, 0xfe374c13e30120b6, 0x8f675206bbffa14c, 0xe7942e0e620b8bea, 0xbf10d8488bee24b1,
  0x1b9aa0f20ffa8f84, 0xca76b736f7ccf177, 0x06cc19ebea3cace1, 0xd8b4c5315c87f51f, 0xd2d8cb8e1386e1d7,
  0x73abb77ee1d484d7, 0xb1d79d376d291e48, 0x2d34c51c1fb1aaf1, 0x8e1bd96cbe701c76, 0xa5993582d51b044c,
  0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0xfa699359d372bb54, 0xb4457974c4ab57fb, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0xe3cd84b997cdb204, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xb2d2d14f257ee686, 0x0000000000000280,
};

// m16a_swio15_lednop
static const uint64_t ur_m16_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x2416cada93ba0bd0, 0xa404cfafb9827c60, 0xf877cb7494823dff, 0x8638e9fc1f3dea3a, 0x86731602dee98f58,
  0xc608ebc5cedbda3b, 0xf2e556a562cfdc72, 0xa551aeb2039920da, 0x72bb54b7d5d9cea2, 0xac7a69935c0809d3,
  0xf6ab4457974c4ae4, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0x5f36d3d0ea9c09cf, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00002a41d52cdcf2,
};

// m16_swio15_lednop_pr_u4           m16a_swio15_lednop_pr             m16a_swio15_lednop_pr_u4
static const uint64_t ur_m16_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c4ae, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623bb713a0,
  0xb527760d86e3f66e, 0xa95304f8c0482d95, 0x83f480c7ffb9af9f, 0xf83e83d47d28ef96, 0x0b2ca631e7ac71d3,
  0x8f9dbe447191cc58, 0xee1aa01ffb30475e, 0x55ac0ad03cb3dbde, 0x6bac80e64836bcb9, 0xd52df57673a8a954,
  0x9a64d7020274dcae, 0xd115e5d312b92b1e, 0xe74079bdb5d73daa, 0xea9c0842a417296b, 0x6ff7aaa2d23b73d0,
  0x9b09732f9b65d915, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x939e4afdcd0ccb0e, 0x00000003e4dfaa0c,
};

// m16a_swio15_lednop_pr_ee
static const uint64_t ur_m16_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0x9827c602416cada9, 0x480e0ffb9af9fa1f, 0x8f2b53d355ad1bf9, 0x82fa8f83660c27fa,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0x0a1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x1d8b4f2447916c6a,
  0x3f5b86f65b2f9c07, 0xab500ae1934a8d82, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x34c9ae0404e9b95d,
  0xa22bcba62572563d, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x3612e65f36cbb22a,
  0xa1a2ce9f1726ae0f, 0x2a73f53ab31e40fc, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x00275d7619273c95,
};

// m16a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m16_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0xb6a4eeabe67d06cb, 0xe706609f180905b2, 0x332a906ceff735f3, 0x00f51e565d66ab5a, 0xf8ace1fa8f83660d,
  0xc709c370ebec5a6e, 0xe2899a426be96c65, 0x008fe439d5a5ca2a, 0x6355ae875eba9bb2, 0x701c762d37bd1ef7,
  0x8b87f5b86f65c396, 0x039920daf2e556ab, 0xd5d9cea2a551aeb2, 0x5c0809d372bb54b7, 0x974c4ae4ac7a6993,
  0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0xccbe6d976455bfde, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x00013ae10b324e79,
};

// m16_swio15_lednop_pr_ce_u4        m16a_swio15_lednop_pr_ce          m16a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16_swio15_lednop_pr_ce[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0x656d49dd3ad1a848, 0xe7c6b4c13e30120b, 0x7d76fd20d37fee6b, 0x4b1e78c953bb7571, 0xf84bf10d8488bee2,
  0xf1771b9494ce5fa8, 0x51e719ee58cfd64c, 0x3da011c74fe0c9ef, 0x3b7c88e32398b014, 0x35403ff6678ebd1f,
  0xd605681e5addbddc, 0xd64073241b5e5caa, 0x96fabb39d454aa35, 0x326b81013a6e576a, 0x8af2e9895c958f4d,
  0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x09732f9b65d863b7, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000dd72ccc93,
};

// m16a_swio15_lednop_pr_ee_ce
static const uint64_t ur_m16_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0xda93ba0292634e39, 0xb5b9827c602416ca, 0x52e9026dffb9af9f, 0xc64a9deed1dff546, 0x139dc6e747d493f3,
  0x2b28729dacac7be6, 0xfd47c1b3067afa8f, 0xb875f62d314c5652, 0x2135f4b632e384e1, 0x460a1ceaeddf3875,
  0xd578d8ebce9bb04f, 0x0e3b169e488f22d8, 0x8226470decb65f38, 0x72ab52cee1934a8d, 0xa8d75901cc906d79,
  0x5daa5beaece75152, 0x3d34c9ae0404e9b9, 0x55a22bcba6257256, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52,
  0x8edfef5545a476e7, 0x5c6c25ccbe6d9761, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0xc939e4afdcd0ccb0, 0x0000000014d33850,
};

// m16a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m16_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x8c2a0006793919f9, 0x8a706e8e2165b3d6,
  0xb527750093738b0f, 0x6b7304f8c0482d95, 0xcea40293ff1f873e, 0x285c1c801717d51e, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc19ebea3caca1ca, 0xb4c531594bf51f06, 0xd8cb8e1386e1d7d8,
  0xabb77ce1d484d7d2, 0xaf3a6ec13d182873, 0x79223c8b6355e363, 0x37b2d97ce038ec5a, 0x3b864d2a3608991c,
  0x073241b5e5caad4b, 0xabb39d454aa35d64, 0xb81013a6e576a96f, 0x2e9895c958f4d326, 0xcdedaeb9ed5688af,
  0x421520b94b5f3a03, 0x551691db9e8754e0, 0x32f9b65d863b7fbd, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x00000013f2dc815e,
};

// m16a_swio15_lednop_hw
static const uint64_t ur_m16_swio15_lednop_hw[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x2416cada93ba0bd0, 0xf0e3cfafb9827c60, 0x7c3be5ba4a411eff, 0x431c74fe0f9ef51d, 0xc3398b016f74c7ac,
  0x630475e2e76ded1d, 0x7972ab52b167ee39, 0x52a8d75901cc906d, 0xb95daa5beaece751, 0x563d34c9ae0404e9,
  0x7b55a22bcba62572, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x2f9b69e8754e04e7, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x000008e21d760a79,
};

// m16a_swio15_lednop_ee_hw
static const uint64_t ur_m16_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x4b8c8f9bb106d05c,
  0x95b52775b11ced4e, 0x3f43f304f8c0482d, 0x68dfca40707fe853, 0x613fd4795a9e9aad, 0x77c56c17d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0x827a3050e75697f9, 0x8b6355ae875e74dd, 0x7ce038ec5a79223c,
  0x546c11fadc37b2d9, 0x6bcb955a80570c9a, 0x8a9546bac80e6483, 0x4dcaed52df57673a, 0x92b1e9a64d702027,
  0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x5d9156ff7aaa2d23, 0xd8dc79b09732f9b6,
  0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x2df3582a29e4afdc, 0x0000000000000000,
};

// m16a_swio15_lednop_ce_hw
static const uint64_t ur_m16_swio15_lednop_ce_hw[] = {
  0x426eeeeed121b768, 0xfc776aaf08942e25, 0x37a6977600f4ac1e, 0x26cff5fc7e19e2f5, 0xed9c551682b21bb4,
  0x482d95b52775d92b, 0xf4299f1ad304f8c0, 0x75717d76fd20d37f, 0x7dc4963cf285c1cb, 0xbf51f097e21b0911,
  0xac99e2ee372f0f96, 0x93dea3ce33dcb19f, 0x60287b40238e9fc1, 0x7a3e76f911c64731, 0x7bb86a807feccf1d,
  0xb955ac0ad03cb5bb, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0x1e9a64d7020274dc, 0xaad115e5d312b92b,
  0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0x8f3612e65f36cbb0, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x998b453c95fb9a19,
  0x000000000000eb37,
};

// m16_swio15_lednop_ee_ce_u4_hw     m16a_swio15_lednop_ee_ce_hw       m16a_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m16_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x461500033c9c8cfc, 0x6538374710b2d9eb,
  0x2b6a4ee8eba6bef7, 0x7cd6e609f180905b, 0xa3d9d480527fd0a6, 0x79e50b839002e2fa, 0x2fc4361222fb892c,
  0xe370291f397ea3e1, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0x64d7020274dcaed5, 0x15e5d312b92b1e9a, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x12e65f36cbb0c76f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a02b721,
};

/*
 * m16_swio15_dual_pr                m16_swio15_dual_pr_u4             m16a_swio15_dual
 * m16a_swio15_dual_pr               m16a_swio15_dual_pr_u4
 */
static const uint64_t ur_m16_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x6c1f756e3fb2afc2, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba47e,
  0x4920ee19c5c5badd, 0x6609f180905b2b6a, 0x3c47b26460aa4180, 0xfb97185027c4df6b, 0x166727f9956ee774,
  0x9bd477f360bece05, 0xf822847244fe0cca, 0x06e1f0a21895fe7e, 0x8655777bbe6e6200, 0x4d6b454219684648,
  0xe72f6e52ffe80e78, 0x7fc7c14c16156662, 0x3f7477cb2d7a4051, 0xbb7e38e9fc1ef7ea, 0xd31398b01758a628,
  0x6608ebc06a7697c8, 0x967b63e0df5403ff, 0x67d1cccacc538e07, 0xe64836bcb955acfe, 0x7673a8a9546bac80,
  0x020274dcaed52df5, 0xd312b92b1e9a64d7, 0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08,
  0x2f9b65d9156ff7aa, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000524d79f15ed,
};

// m16a_swio15_dual_pr_ee
static const uint64_t ur_m16_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0x983eead63ebbefc7, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b7ac5,
  0x05dcf04675c7f53a, 0x27c602416cada92b, 0x3d932305523b8f98, 0xb8c2813e26fb59e2, 0x31ffccab773ba7dc,
  0x8e4eb60968e016a6, 0xa11c913f838ad37a, 0x7c2886257f9fbe08, 0x777bbe6e180401b8, 0x8a8432d05f688655,
  0xbe9affa039e1307b, 0x05305855998b9cbd, 0x6b47fba9005aff1f, 0x830f7ea3caedd4d5, 0x9bbe2bdf7ea3e0d9,
  0x1971c270dc3afb16, 0x2d7027e6909afa5b, 0xb07b467a9cead2e5, 0x10d8d56ba1d7b19b, 0xdd9c071d8b4e7147,
  0x551b047eb70decbb, 0x3e8e66566010df11, 0x3241b5e5caad67f3, 0xb39d454aa35d6407, 0x1013a6e576a96fab,
  0x9895c958f4d326b8, 0xedaeb9ed5688af2e, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0x7cdb2ec8ab7fbd55,
  0x165abc6e3cd84b99, 0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x4af69e4afdcd0ccb, 0x00000000005641d1,
};

// m16a_swio15_dual_pr_ee_u4
static const uint64_t ur_m16_swio15_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xdd333e9cd3b4abcb, 0x798a164035a1942c,
  0x524c4bbbbb1bb2d0, 0x1f304f8c0482d95b, 0xb3c47b26460aa477, 0x4fb97185027c4df6, 0x4ea64b5f9956ee77,
  0x737a8f15b60358e0, 0xbe08a11c913f83df, 0x01b87c2886257f9f, 0x432abbbddf370928, 0x4d224542196847b4,
  0xe72f6fa6bfe80e78, 0xbfc7c14c16156662, 0x3d355ad1c06a4016, 0x7c1b307227a8f2b5, 0x5f62d377c5670fd4,
  0x5f4b632e384e1b87, 0x5a5ff72e038cd213, 0x794d3b2008c1439d, 0xbde8f22d8d56ba1d, 0x6f65b93380e3b169,
  0x8e66566b8b87f5b8, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0x13a6e576a96fabb3, 0x95c958f4d326b810,
  0xd6b9ed5688af2e98, 0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x25ccbe6da7a1d538, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x57b4f257ee686658, 0x0000000000564814,
};

// m16a_swio15_dual_pr_ce
static const uint64_t ur_m16_swio15_dual_pr_ce[] = {
  0xbb7777743d686f97, 0xb07dd5aa1a27df81, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf743740,
  0xfa6ee78233a1f8a7, 0xc13e30120b656d49, 0x11ec99182a9075f4, 0xe5c61409f137dacf, 0x3757fe655bb9dd3e,
  0xd47d9db08e470383, 0x4508e489fc1cae9b, 0xc3e144312bfcfdf0, 0xabbbddf373a3e00d, 0x7c542196807b4432,
  0xdb8cdffd01cf0982, 0xf05305855998b9cb, 0x5c5f57f2901c1ff1, 0x71258f3ca170706b, 0xd47c25f886c2445f,
  0xe678bb8dc643a4af, 0xbd4709f3dcb19e27, 0x55f722471d3f83b5, 0xa9da5f234c4e62c0, 0x7d500ffd99e3af01,
  0xcc538e0796b70f83, 0xb955acfe67d1ccca, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0x1e9a64d7020274dc,
  0xaad115e5d312b92b, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0x8f3612e65f36cbb0,
  0x6fe0eee3459d3e1b, 0x9fca1854e7ea7566, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c,
  0xda792bf734332c3a, 0x000000001a48642b,
};

// m16a_swio15_dual_pr_ce_u4
static const uint64_t ur_m16_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0xc8efe986e1d7cfb4, 0xd4e900d57962ddc9,
  0x526c8bb9e08ce9c2, 0xd7304f8c0482d95b, 0xb3c47b26460aa433, 0x4fb97185027c4df6, 0xa6e68adf9956ee77,
  0x737a8f95b61bece1, 0xbe08a11c913f8328, 0x01b87c2886257f9f, 0x432abbbddf372e44, 0x4d38c542196804f4,
  0xce5ede87ffe80e78, 0xff8f82982c2accc5, 0x2dd5c5f5dbf4834d, 0x45f71258f3ca1707, 0x4afd47c25f886c24,
  0x7eb2678bb8dc643a, 0x064f7a8f38cf72c6, 0xc580a1ed008e3a7f, 0x75e8f9dbe447191c, 0x9598e86fee39633c,
  0x7972ab59fccfa399, 0x52a8d75901cc906d, 0xb95daa5beaece751, 0x563d34c9ae0404e9, 0x7b55a22bcba62572,
  0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x618edfef5545a476, 0x371e6c25ccbe6d97, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x49021657b4f257ee, 0x0000000000000003,
};

// m16a_swio15_dual_pr_ee_ce
static const uint64_t ur_m16_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f91499,
  0xee68fa9d1c137671, 0xe30120b656d49816, 0x932305520f9f4c13, 0xc2813e26fb59e23d, 0xbfccab773ba7dcb8,
  0xa6b60ff0e188266b, 0x1c913f83ff937a8f, 0x2886257f9fbe08a1, 0x7bbe6e753801b87c, 0x8432d060a8865577,
  0x5bffa039e134878a, 0x60b0ab3317397b73, 0x8f2b520c41fe3e0a, 0xe7942e0e3fc3bfea, 0x984e771b9cdf548f,
  0x3cae574a76b2b17c, 0xadea3e0d983dbfea, 0x0dc3afb1698a62bc, 0xa909afa5b1971c27, 0xda33d4e7576e2963,
  0x8d578d8ebd8cdd83, 0xc071d8b4e714710d, 0xd8226470decbbdd9, 0x7332b32cc6f88aa8, 0x0daf2e556b3f99f4,
  0xea2a551aeb203992, 0x9d372bb54b7d5d9c, 0xae4ac7a69935c080, 0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d,
  0x8edcf43aa70210a9, 0xb2ec31dbfdeaa8b4, 0xf386e3cd84b997cd, 0xf75666fe0eee3458, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x130454e2bda792bf,
};

// m16a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m16_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e58b, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f47762fd7675a,
  0xd4e9598aa317218c, 0xda92029dd48c4438, 0x7059827c602416ca, 0xd6788f64c8c1548d, 0xe9f72e30a04f89be,
  0xe1cdcb5f99696fce, 0x37a8f8ddb0ec1385, 0xc114239227f06d77, 0x370f8510c4aff3f7, 0x955ddeef9b875f00,
  0xbee2a10cb4239221, 0x5ede92bfe80e784d, 0xa793982c2accc5ce, 0x2faa3275482f0fff, 0x92c79e50bcefb06e,
  0x3e12fc4361222fb8, 0xe2ee370ebe1547ea, 0x5cae94ed6e6d7c99, 0xd47c1b307b7fd479, 0x875f62d314c5795b,
  0x135f4b632e384e1b, 0x67a9ceaedc52c752, 0xaf1b1d7b19bb07b4, 0xe3b169ce28e21b1a, 0x44c8e1bd977bb380,
  0x6566598df11551b0, 0x5e5caad67f33e8e6, 0x54aa35d64073241b, 0x6e576a96fabb39d4, 0x958f4d326b81013a,
  0x9ed5688af2e9895c, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xd863b7fbd551691d, 0x57079b09732f9b65,
  0xe0fdbb1a2c6f8b93, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x244293c95fb9a199, 0x00000000004004f8,
};

// m16a_swio15_dual_hw
static const uint64_t ur_m16_swio15_dual_hw[] = {
  0x7f777776890c0668, 0xd83eeadc7f655f84, 0xa58b760dac16967e, 0x912b74cd5f1da29d, 0x3f84339d61b748fd,
  0xb524907703eb04de, 0xc03304f8c0482d95, 0xb59e23d932305520, 0xba7dcb8c2813e26f, 0x028b3393fccab773,
  0x654dea3bf9b05f67, 0x3f7c114239227f06, 0x000370f8510c4aff, 0x24432abbbddf3731, 0x3c26b5a2a10cb423,
  0x317397b7297ff407, 0x145ff124e60b0ab3, 0xfa8fdd1df2cb5e90, 0x8a2edf8e3a7f07bd, 0xf234c4e62c05d629,
  0xffd9823af01a9da5, 0x81e59ed8f837d500, 0x3f99f47332b314e3, 0x2039920daf2e556b, 0x7d5d9cea2a551aeb,
  0x35c0809d372bb54b, 0x7974c4ae4ac7a699, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x5ccbe6d976455bfd, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x0000000c6eabcfa8,
};

// m16a_swio15_dual_ee_hw
static const uint64_t ur_m16_swio15_dual_ee_hw[] = {
  0x6dddddd0f5a1a5fb, 0xc1f756b1f5df7e3d, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285bd629,
  0x582ee9646bae9561, 0xc13e30120b656d49, 0x11ec99182a91dc7c, 0xe5c61409f137dacf, 0x318ffe655bb9dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf370c0200d, 0xdc54219682fb4432,
  0xedf4d7fd01cf0983, 0x493982c2accc5ce5, 0x55ad1feea4016bfc, 0x660c3dfa8f2bb753, 0x5a6ef8af7dfa8f83,
  0x6c65c709c370ebec, 0x94b5c09f9a426be9, 0x6ec1ed19ea73ab4b, 0x1c436355ae875ec6, 0xef76701c762d39c5,
  0x45546c11fadc37b2, 0xccfa39995980437c, 0x1cc906d7972ab59f, 0xaece75152a8d7590, 0xe0404e9b95daa5be,
  0xba62572563d34c9a, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x65f36cbb22adfef5,
  0x3f52f571b8f3612e, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xaed0e8b453c95fb9,
};

// m16a_swio15_dual_ce_hw
static const uint64_t ur_m16_swio15_dual_ce_hw[] = {
  0x376eeeeed121a5fb, 0x160fbab54344fbf0, 0xd421dd3ac02ae089, 0x16b05eb557bad962, 0xb2b8a6b957ee86e8,
  0xa4fd3774b235d74a, 0xfa609f180905b2b6, 0x6788f64c8c15483a, 0x9f72e30a04f89bed, 0xc19babff32addcee,
  0x4dea3eced8472381, 0xf822847244fe0e57, 0x06e1f0a21895fe7e, 0x1955ddeef9b9d1f0, 0xc13e2a10cb403da2,
  0xe5edc66ffe80e784, 0xfc493982c2accc5c, 0x1ad717d5fca40707, 0x17dc4963cf285c1c, 0x0ff51f097e21b091,
  0x89f99e2ee373acd9, 0xed6f51c27cf72c67, 0xb0157dc891c74fe0, 0xc06a7697c8d31398, 0xe0df5403ff6678eb,
  0x32b314e381e5adc3, 0xaf2e556b3f99f473, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ac7a69935c0809d,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0xec31dbfdeaa8b48e, 0xc6e3cd84b997cdb2,
  0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x137532514f257ee6,
};

// m16a_swio15_dual_ee_ce_hw
static const uint64_t ur_m16_swio15_dual_ee_ce_hw[] = {
  0x24cddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e45267,
  0xddce43ada6f9afc7, 0x7c602416cada9302, 0xb26460aa41f3e982, 0x185027c4df6b3c47, 0x77f9956ee774fb97,
  0xf4d6c1fe1c3104cd, 0x239227f07ff26f51, 0x8510c4aff3f7c114, 0xef77cdcea700370f, 0x50865a0c1510caae,
  0x6b7ff4073c2690f1, 0xcc16156662e72f6e, 0xa8f2b520c41fe249, 0x7e7942e0e3fc3bfe, 0xf26139dc6e125654,
  0xa8f2b95d29dacac5, 0xf2b7a8f83660f6ff, 0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0x0f68cf539d5db8a5,
  0x36355e363af63376, 0x6701c762d39c51c4, 0xa3608991c37b2ef7, 0xd1cccaccb31be22a, 0x4836bcb955acfe67,
  0x73a8a9546bac80e6, 0x0274dcaed52df576, 0x12b92b1e9a64d702, 0xb5d73daad115e5d3, 0xa417296be74079bd,
  0xd23b73d0ea9c0842, 0x36cbb0c76ff7aaa2, 0xe7f61b8f3612e65f, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x02269aa7514f257e,
};

// m16a_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m16_swio15_dual_ee_ce_u4_hw[] = {
  0xbeeeeeed1468a812, 0x83eeade3d7177e58, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bb17ebb,
  0xf5f8396ff68518b9, 0x2416cada92029dc1, 0xc1548d7059827c60, 0x4f89bed6788f64c8, 0x2ec24ee9f72e30a0,
  0x1d8270bc39b96bf3, 0xfe0daee6f51f1bb6, 0x95fe7ef822847244, 0x70ebe006e1f0a218, 0x84724432abbbddf3,
  0x01cf09b7dc542196, 0x5998b9cbdbd257fd, 0x20bc3ff3ab730585, 0xc1cec1b8bea8c9d5, 0x488bee24b1e78df0,
  0xc2c9fa8f84bf10d8, 0x9b5f2678bb8dc76e, 0xdff51e572ba53b5b, 0x315e56f51f06cc1e, 0x8e1386e1d7d8b4c5,
  0x14b1d484d7d2d8cb, 0x6ec1ed19ea73abb7, 0x3886c6abc6c75ec6, 0xdeece038ec5a738a, 0x45546c1132386f65,
  0xccfa39995996637c, 0x1cc906d7972ab59f, 0xaece75152a8d7590, 0xe0404e9b95daa5be, 0xba62572563d34c9a,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0xcbe6d97618edfef5, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000eba91e4c2fa7,
};

// m16hva_swio10_noled_pr
static const uint64_t ur_m16hva_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0xd6edbdd0e28e3184, 0x220bfa1de82ddde6, 0xd8f363d2bafa1376,
  0x0482a0aef27771de, 0xfa404cf995304f8c, 0x5ae77cb135f2027f, 0x328e3a7f0621fd47, 0x0b398b016f74d2fa,
  0x630475e2e762691e, 0x7972ab52b2a5ee39, 0x52a8d74541cde46d, 0xb395daa5beace751, 0xb90954bef5f47226,
  0xeb3bcb9ed5688af2, 0x0b4b5fe2353c314d, 0x6378ce8816e3e281, 0x80ddb09732f9b69c, 0x5663c81a3f8d1668,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0x7c80e2e966e792bf,
};

static const uint64_t ur_m16hva_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0xaef27765de833323, 0xf8f7304f8c0482a0, 0x5845f91dd7fb9af9, 0x4fe0c9ef51e6e3be, 0xb016594c654e31c7,
  0xbd1f3b3de8ed6398, 0xe1acf5403ff6608e, 0xe556aab540f2cf6e, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0x12a97debe8e44d67, 0xb5d73daad115e572, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b,
  0x8b9357079b09732f, 0xacc7903f2868b2ce, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xb93f03f7ff04d0f3,
  0x659ac867a615df47, 0x7ee686658767c09c, 0x01f261016649cf25,
};

// m16hva_swio10_noled_pr_ee_u4
static const uint64_t ur_m16hva_swio10_noled_pr_ee[] = {
  0xc5eeeeeed1222582, 0x25ddaabce2685c4b, 0x4bab8f46db11327e, 0xef5675f0cf17bd33, 0xb415681062caf165,
  0x793ba75b44896aa8, 0x569827c602415057, 0xcaf91beffdcd7cfc, 0xea3cadd2c1fed68c, 0x5c87f51f06cc1a01,
  0x62291669d68407f1, 0xe87dccc00d7d1859, 0x008d3139d5a5ca28, 0x3daad743af4353b2, 0x65cc5c2427bd1dad,
  0xd51b0465ff805ecb, 0xd7972ab51c59355f, 0x152a8d74541cde46, 0x6b395daa5beace75, 0x2b90954bef5f4722,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x997cdb2048ab7b15, 0x96745c9ab83cd84b,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000000275cb3324e,
};

// m16hva_swio10_noled_pr_ce_u4
static const uint64_t ur_m16hva_swio10_noled_pr_ce[] = {
  0xcfdddddda2447705, 0xb3bb5573829fb896, 0xa2ed91df4b5a1b5a, 0x45c3fe2c19b200be, 0x2650b69764f7767a,
  0xa82bbc9dd6c5ab05, 0xbe7f7dcc13e30120, 0x47d427fc853dfee6, 0x92c79e3254ef0255, 0x5e12fc4361222fb8,
  0x99aa3b8dceb3fd16, 0xbf51f249ee5821ac, 0x17ba05238e9fc1e0, 0x1f3b3de8ed6398b0, 0xacf5403ff6678ebd,
  0x55aaad503cb5bae1, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xaa5f7afa391359ca, 0x75cf6ab445795c84,
  0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xb20431dbd8aaa2d2, 0xc9ab83cd84b997cd, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0x6ebdd5b324e792bf,
};

static const uint64_t ur_m16hva_swio10_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a232a8, 0x7776aae45299c48b, 0xdedc1db260bdd78d, 0x0a1217ae368a6ee0, 0xdc9685bc82985c60,
  0x793bb38b4dd33ee9, 0x9b9827c602415057, 0x9df202d7fb9af9f1, 0x8c953b0b563faa3f, 0xc99cebb8dcba1fe7,
  0xa3cad2b01bb58147, 0xf9dea3e0d98397de, 0x2291669d6847202b, 0xa2fd6c00d7d18596, 0x3b2008d3139d5ae0,
  0x6b4f6abd383af435, 0xb2d973170909ef47, 0xabfaa3608a04e017, 0xe46d7972ab5e9e26, 0xe75152a8d74541cd,
  0x7226b395daa5beac, 0x8af2b90954bef5f4, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc,
  0x09732f9b640863b7, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x89f5cc939e4afdcd, 0x000000000000009f,
};

static const uint64_t ur_m16hva_swio10_noled_pr_ee_ce_u4[] = {
  0x93dddddda2436812, 0xc5ddaabc22233895, 0x1d0ddbb8bd04f1e5, 0x6f4c99ad0247a759, 0x32313be9b60f37b2,
  0x5de4eed17eb624d7, 0xeb7e609f18090541, 0x95be44edffe3f0e7, 0x50b8393b7551f547, 0x4361222fb892c79e,
  0x3715d7fd165e12fc, 0x0ddaccf1f266a8ee, 0x6cc1cbef51e56958, 0xb4239015fcef51f0, 0x6be8c2cb1148b34e,
  0x89cead70517eb600, 0x9c1d7a1a9d900469, 0x8484f7a3b5a7b55e, 0x4502700bd96cb98b, 0x55af4f1355fd51b0,
  0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xaa5f7afa391359ca, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0xb20431dbd8aaa2d2, 0xce86e3cd84b997cd, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0, 0x00004fc372057b4f,
};

static const uint64_t ur_m16hva_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x7b50f750e2448c22, 0x882fe877a0b5e432, 0xeead036c998d7dd8,
  0xc0482a0aef277417, 0x7fa404cfbf9304f8, 0x1fe43be589af9065, 0x57be38e9fc1887f5, 0x1f40731602dee98f,
  0x39630475e2e76b59, 0x36bcb955a959cf6e, 0xa8a9546ba2a0e6f2, 0x0809caed52df5673, 0x84ab574bfa39135c,
  0x7eb5cf6ab445795c, 0xaf52c2ca6c59d01e, 0x81b1fe2810b4d5ce, 0x732f9b69c6378ce8, 0x16837e3e1d8ddb09,
  0x59289c659ac867a6, 0xdcf257ee68665876, 0x000000002a41d52c,
};

// m16hva_swio10_lednop_pr_u4
static const uint64_t ur_m16hva_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x05ddaab914cc6251, 0x37b856eac871b04f, 0x2cd6f0b2e3b6e845, 0x36a60bf8feec71e8,
  0x057793bb06f4fdb3, 0xcfc069827c602415, 0xe5845f901effdcd7, 0x74fe0c9ef51e713b, 0x1602cb298c79eb1c,
  0xaf47cedf22383e73, 0xf7be81500ffd9823, 0x2e556b02b40f2cf6, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a,
  0xd5d2fe8e44d70202, 0x73daad115e57212a, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a,
  0xae0f3612e65f36cb, 0x207e50d1659d1726, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0,
  0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35, 0xdfaa0c939e4afdcd, 0x00000000000003e4,
};

// m16hva_swio10_lednop_pr_ee_u4
static const uint64_t ur_m16hva_swio10_lednop_pr_ee[] = {
  0x78bdddddda244511, 0xe25ddaabce242089, 0xa313b4cf4b88c327, 0xb2f7ab3afa170cf0, 0x11fb226c08316578,
  0x2bbc9ddfb5a8ccb1, 0x7ce0cc13e30120a8, 0x46657c8d9dfee6be, 0x00f51e565d60ff6b, 0xf8aca5fa8f83660d,
  0x2cb1148b34eb4203, 0x58743ee66006be8c, 0xdba847921cead2e9, 0x1f9ed56ba1d7a1a9, 0xcb65cc5c242f911c,
  0xb3d51b0465ff805e, 0x8daf2e556a38bb86, 0xea2a551ae8a839bc, 0x020272bb54b7d59c, 0x212ad5d2fe8e44d7,
  0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36cbb22adec55516, 0x1726ae0f3612e65f,
  0x598f207e50d1659d, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0x727e07effe09a1e6, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x0013af028c939e4a,
};

// m16hva_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16hva_swio10_lednop_pr_ce[] = {
  0x67eeeeeed1222044, 0x59ddaab9c1469c4b, 0x8fe9a5d267c7cdad, 0x8b87fc59fb0678ec, 0x10c207ae486eecf4,
  0x5415de4ee8f6d8e2, 0x5f3fb3a609f18090, 0xa3ea13fe44aeff73, 0x4963cf192a77beea, 0x2f097e21b09117dc,
  0x4cd51dc6e5c8fe8b, 0x5fa8e0a4f72c10d6, 0x143da011c74fe0f0, 0x3e76f911c1f398b0, 0xf40a807feccf1d7a,
  0xaad605681e5addbd, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xa5fd1c89ae0404e5, 0xb55a22bcae4255ab,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb2ec3, 0xf9434596745c9ab8,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff82687993fc0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643,
  0xa0324e792bf73433, 0x000000000001bae9,
};

static const uint64_t ur_m16hva_swio10_lednop_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0x1aeeed55c8a2c189, 0xd19ea3bdc29a9baf, 0x600a1217d335c6d2, 0x091976103c82985c,
  0x2bbc9dd7ada5295f, 0x7c344c13e30120a8, 0x1fcef9163ffee6be, 0xe78c953bb1fb1fd5, 0xa3e4ce75dc6e1257,
  0xef51e5721c0ddac0, 0x159c3f51f06cc1cb, 0xcb1148b34eb42390, 0x7095beb6006be8c2, 0x1a9dba847921cead,
  0x4707e7b55e9c1d7a, 0x17b2d97317090be4, 0x70d67aa3608a04e0, 0x9bc8daf2e556bd3d, 0x59cea2a551ae8a83,
  0x4d7020272bb54b7d, 0xe57212ad5d2fe8e4, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6d97618edec55, 0x2cd102e4d5c6c25c, 0x0dfbab31e40fca1a, 0xa271966b219e985a, 0xc95fb9a19961d964,
  0x000029a763f99273,
};

static const uint64_t ur_m16hva_swio10_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0xc5ddaabc2264e895, 0x5d295ba7ecd8f1e5, 0x6f4c99ad08cc489a, 0x667627c8b60f37b2,
  0xaef2776e768f6aef, 0xe87d304f8c0482a0, 0xe56f91883ff1f873, 0xca17073105547d51, 0x886c2445f71258f3,
  0xe373a9dfa2cbc25f, 0xc0ddaccf1f266a8e, 0x06cc1cbef51e5721, 0xeb42390159c3f51f, 0x06be8c2cb1148b34,
  0x921cead7095beb60, 0xe9c1d7a1a9dba847, 0x7090be44707e7b55, 0x08a04e017b2d9731, 0x556bd3d70d67aa36,
  0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0xd2fe8e44d7020272, 0xdaad115e57212ad5, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6d9761, 0x6fe0eee345967437, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xf81fbff82687993f, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0x7e65a52bda792bf7,
  0x0000000000000002,
};

// m16hva_swio10_dual_pr             m16hva_swio10_dual_pr_u4
static const uint64_t ur_m16hva_swio10_dual[] = {
  0x4bbbbbbb44865c93, 0x7e276fc75e738da3, 0xa9f7bb06d60d0b69, 0x1fc5f4cfed1d629d, 0xc9c6a08761b74d29,
  0xef2568774da6dceb, 0xc03304f8c0482a0a, 0xc0ddd6d032252520, 0xa7c4b881850c1b48, 0x28b3393fccab773b,
  0x54dea3bf9b05f670, 0xf7c114239227f066, 0x80370f8510c4aff3, 0x88655777bbe6e56f, 0x84d6b45421968464,
  0xbc84b6e5d7fe80e7, 0x2a57fead530586f2, 0xbea3c8877cb0f9f2, 0x37ee32a38e9fc188, 0x7146f79cc580aa0f,
  0x03ff6608ebc019da, 0x0c0f2cf6d6bc1f54, 0xcfe2af9ddc5496ff, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba,
  0xa39135c0809caed5, 0x445795c84ab574bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb2ec8ab7, 0x1ddc68b2ce86e3cd, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xf7ff04d0f327f81f,
  0x67a615df47b93f03, 0x658767c09c659ac8, 0xa7c57b4f257ee686, 0x0000000000014935,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0xf13b7e58faef369d, 0xfb8ddfb4768c8c4e, 0xa83602935d00d8be, 0xe4ca2f26742dd914,
  0x2bb9e0b78fe5584d, 0x4f8c0482a0aef279, 0xda0644a4a4271f30, 0x1030a18369181bba, 0xb5f9956ee774f897,
  0xe35b604e8e096a60, 0x11c913f83d3737a8, 0xc2886257f9fbe08a, 0x77bbe6e737c01b87, 0x54219683f8886557,
  0xeed7fd01cf09b6fc, 0xb54c161bcaf212db, 0xdad1afbf91d5fffa, 0x83eebd4795e5683f, 0x80fe2b95dea3e0d9,
  0xa30b2c4522cd3ad0, 0xb94b1d09f99801af, 0x66ec1ed1a0073ab4, 0xa37be7b55ae875ec, 0x17b2fa598b848538,
  0x8cad6546c1197fe0, 0x7f157ceee2a4a38b, 0x5073791b5e5caad6, 0x6fab39d454aa35d1, 0x1c89ae0404e576a9,
  0x22bcae4255aba5fd, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6d976455bd,
  0xbb8d165eae371e6c, 0x61539fa9d599bf83, 0x88d0f327f8138d28, 0x59ac867a616837ef, 0xee686658767c09c6,
  0x02b20e8a57b4f257,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6fc4edf963f7ecda, 0xb6bbf747b5864670, 0xb999f4e765b62f1a, 0xd05900d17933a161,
  0xe4fd3777766da0a9, 0x3e609f180905415d, 0x3775b40c8949484e, 0xf12e20614306d230, 0xb4c4ebf32addcee9,
  0x6f51f4dec22b1c06, 0xc114239227f0795a, 0x370f8510c4aff3f7, 0x655777bbe6e52500, 0xdd44542196819488,
  0x096df76bfe80e784, 0xfffd5aa60b0de579, 0x5c1fed68e3dfc8ea, 0xf06cc19ebea3caca, 0x9d68407f15fcef51,
  0x00d7d18596229166, 0x9d5a5ff70e838ccc, 0x3af29a7697c8d7c3, 0x843e231bf3daad74, 0xbff00bd971f18b84,
  0x2af9ddc549475d24, 0xe6f236bcb955acfe, 0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x8ce881b1fe2810b4, 0x9b09732f9b69c637, 0xf83bb8d1659d0dc7,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35,
  0xc9028af69e4afdcd, 0x000000000000000a,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ce[] = {
  0xddbbbbba1eb432db, 0xdf89dbf2a1858da0, 0xda4dee8f6b0c8ce0, 0x999f4e764a3f5a67, 0x19d577f779f7ba1b,
  0xbbc9fa6ee68fe8ce, 0xf00cc13e30120a82, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0x0d6989d7e655bb9d,
  0xb4dea3e9bd845638, 0xef822847244fe0f2, 0x006e1f0a21895fe7, 0x21955ddeef9b9d1f, 0x13751150865a0652,
  0xe425b731fffa039e, 0x1cbff56a982c3795, 0x0e0d6aa8fac7bf91, 0x488bee24b1e7942e, 0x90ff459784bf10d8,
  0x582152e66a8ee371, 0x9fc1dc3f51fa89ee, 0xe731602d4aeea38e, 0x9e3af006769c51bd, 0xd6e5af07d500ffd9,
  0xf9ddc5496ff0c0f2, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x5c0809caed52df56, 0x5c84ab574bfa3913,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0x8b05d8dc79b09732,
  0xcfd4eaccdfc1ddc6, 0x738cbf313f9430a9, 0x39efc0f9a1e64ff1, 0x659ac867a616837e, 0x7ee686658767c09c,
  0x001a4984257b4f25,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ce_u4[] = {
  0x64edddddda2432db, 0xc1f13b7e543b9c6d, 0x76d71ddb0c53a5da, 0x44e312cce8bcabce, 0x67489ea3ecfb7727,
  0x7793645dcd1fdf70, 0x87f9827c60241505, 0xc0ddd6d032252523, 0xa7c4b881850c1b48, 0xb7536cefccab773b,
  0xb9bd47c09b095c70, 0xdf04508e489fc194, 0x00dc3e144312bfcf, 0x21955ddeef9b9722, 0x2697d150865a1d42,
  0xc84b6fd5fff4073c, 0x7dffead530586f2b, 0x0e5baaa8fac89f23, 0x488bee24b1e7942e, 0x90ff459784bf10d8,
  0x58201c666a8ee371, 0x3f8359fea3cbe9ee, 0xce62c058f7a5471d, 0x9e3af22ddb244637, 0xee2a4a3a8cb71cb1,
  0xb5e5caad67f157ce, 0x454aa35d15073791, 0x404e576a96fab39d, 0x255aba5fd1c89ae0, 0x6bae7b55a22bcae4,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb2ec31dbd8aaa2d2, 0xce86e3cd84b997cd, 0x4eaccdfc1ddc68b2,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0,
  0x00001a49d3c57b4f,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ee_ce[] = {
  0xbed6eeeeeea1a5fb, 0xa7789dbf1d78fc36, 0xfbd7bddb178d4029, 0x388a7272b4107c89, 0x25f5ebbec9d33fb5,
  0x91773c16cb215658, 0x09f180905415de49, 0xb6819129290724e6, 0xc40c2860da4606ee, 0xadfe655bb9dd3e25,
  0xeed6c136ce13b735, 0x8e489fc198fcdea3, 0x144312bfcfdf0450, 0xbddf373ce400dc3e, 0x4219681754432abb,
  0x527fd01cf0992b45, 0xaa60b0de579096dc, 0xf54650fe469affd5, 0x49f9e50b839a6ac7, 0xb02e49339d771b8a,
  0x613fd4795a9e0376, 0xe4057813d47c1b30, 0x30b2c4522cd3ad08, 0xab5c14bfad801afa, 0x5ec66ec1ed1a0073,
  0x4e28def9ed57a707, 0x3805ecbe9662e121, 0xd3d195aca8d82281, 0xad67f157ceee2a4b, 0x5d15073791b5e5ca,
  0x6a96fab39d454aa3, 0x5fd1c89ae0404e57, 0x55a22bcae4255aba, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0xdbd8aaa2d2414e31, 0xcd84b997cdb2ec31, 0xfc1ddc68b34406e3, 0x867a616837eeaccd, 0x6658767c09c659ac,
  0x273857b4f257ee68, 0x0000000000000098,
};

static const uint64_t ur_m16hva_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76421f, 0x4edf9e3eaf66d75d, 0x82d51fa2f499f6bc, 0x5ff57b04c3e382d7, 0x38bd19f5d9621ec5,
  0x4ce82023f86f2791, 0x5057792d39dd202f, 0x48b1eb9827c60241, 0xd2303775b40c8949, 0xcee9f12e20614306,
  0x87ebcc6b7f99696f, 0xadcdea3c00d80a43, 0xfdf04508e489fc1d, 0x400dc3e144312bfc, 0x88655777bbe6e5c9,
  0x136048a8432d0d36, 0xe425b7eb3ffa039e, 0xddffd4d6982c3795, 0x375547d51c56f918, 0x5f71258f3ca179de,
  0xfa2cbc25f886c244, 0xf924cd51dc6e5c95, 0xfea3cad4f01bb599, 0x2bc09ea3e0d98309, 0x962291669d684720,
  0xe0a5fd6c00d7d185, 0x33760f68d0039d5a, 0x46f7cf6abd383af6, 0x2f65f4b317090a71, 0x8cad6546c11409c0,
  0x3f8abe7771525e9e, 0xa839bc8daf2e556b, 0xb7d59cea2a551ae8, 0x8e44d7020272bb54, 0x115e57212ad5d2fe,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6d97618ede, 0xa2cb3a2e4d5c1e6c,
  0x7ea75666fe0fdbb1, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0x2792bf734332c3b3, 0x0000010012e0a885,
};

// m16hva_swio12_noled
static const uint64_t ur_m16hva_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a133896a, 0xcc774d06e246113d, 0xe8771c6c446bf07d, 0x05c46decfddd482f,
  0x2a0aef2775a9eeb2, 0x04cff75304f8c048, 0x3be5ba0f907affa4, 0x38e9fc1d7ff51e21, 0xe62c05bdd304f5f2,
  0x08ebc5ced1923268, 0x72ab52b3a0dc72c6, 0xa8d74541cde46d79, 0x5daa5beaece75152, 0x256c6f5f47226b39,
  0x6bae7b55a22bcae4, 0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0x6db0862adec55516, 0xf8f876376c25ccbe,
  0x71966b219e985a0d, 0x5fb9a19961d964a2, 0x0005492ff4b373c9,
};

// m16hva_swio11_noled_pr_u4         m16hva_swio12_noled_pr            m16hva_swio12_noled_pr_u4
static const uint64_t ur_m16hva_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xbb55722950e25713, 0x64f5fb1a0b609e0b, 0xac1c436c66cf7a7b, 0x2fcc6b4ddb89d059,
  0xbbc9dd8e3b8bec48, 0xcc7cc13e30120a82, 0xdbdfc8dbffee6be7, 0x7f064d7a8e0a1df2, 0x016594c1ed008e3a,
  0xd1f3b2628c45398b, 0x589e5403ff6608eb, 0x955aa11303cb3dbb, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95,
  0x2b637afa391359ca, 0x5d73daad115e5721, 0x7536294f0d3bcf8b, 0xb689c6378ce88107, 0x6d843156f62aa8b4,
  0x726ae0f3612e65f3, 0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x27e07effe09a1e64,
  0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c, 0x3e4d5c14c939e4af,
};

// m16hva_swio11_noled_pr_ee_u4      m16hva_swio12_noled_pr_ee         m16hva_swio12_noled_pr_ee_u4
static const uint64_t ur_m16hva_swio11_noled_pr_ee[] = {
  0x0bdeeeeed1222a20, 0x776aaf3897af12ad, 0xf7e9ec01e94c9f89, 0xeacc45a59bbb26b8, 0x081041062caad0bd,
  0xc9dd57db06e35591, 0x94c13e30120a82bb, 0xdfc8b75fee6be7e3, 0xa3cae43c1fed68c3, 0x9c3f51f06cc1e95e,
  0x2291669d68407f15, 0x87dccc00d7d18596, 0x48e2139d5a5ff70e, 0xdaad743af4353b69, 0x5cc5c2424c5188b3,
  0x51b0465ff805ecb6, 0xbcb955a8e2fa0e79, 0xa9546ba2a0e6f236, 0x9caed52df57673a8, 0x7212b637afa39135,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x5f36d843156f62aa, 0x9d1726ae0f3612e6,
  0x9d598f207e50d165, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x00004eb842cc939e,
};

// m16hva_swio11_noled_pr_ce_u4      m16hva_swio12_noled_pr_ce         m16hva_swio12_noled_pr_ce_u4
static const uint64_t ur_m16hva_swio11_noled_pr_ce[] = {
  0x245ddddda2445541, 0xeed55ce0b0ce24f2, 0x475a2e8c1ae6d6ac, 0x170fd698bcd8b1f6, 0xce7ae34d4deebc89,
  0x5057793ba82b7a71, 0x7cfdba9827c60241, 0x47d644f91813fdcd, 0x92c79e3254ef2b55, 0x5e12fc4361222fb8,
  0x99aa3b8dc4a8fd16, 0xff51d7c9ee5821ac, 0x5dbf2fa38e9fc1ac, 0x7cec98a3114e62c0, 0x279500ffd99e3af4,
  0x55aa11303cb5bad6, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xb637afa391359cae, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0xbaf56519273c95fb, 0x0000000000000001,
};

// m16hva_swio12_noled_pr_ee_ce
static const uint64_t ur_m16hva_swio11_noled_pr_ee_ce[] = {
  0xe00dddddd4144511, 0xbbb557229e462550, 0x7519ea9bb1eebc6b, 0x5080bfe991f3f770, 0x582f5de414ca8700,
  0xc9ddfb5a538b14bb, 0xe4c13e30120a82bb, 0x5f91d3ffee6be7ff, 0xc953be9fb1fd51ba, 0x99cebb8dceeb7e78,
  0x3cafe701bb58147c, 0xa5f51f06cc1ce3ea, 0x148b34eb4239015b, 0xbbeb6006be8c2cb1, 0xdb4a47109cead71f,
  0x167b55e9c1d7a1a9, 0x96cb98b848498a31, 0xe7951b04502700bd, 0x91b5e5caad7a7ba0, 0x9d454aa35d150737,
  0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6,
  0x2e65f36d84263b7b, 0x597ab9726ae0f361, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0x39f19273c95fb9a1, 0x00000000000004fc,
};

// m16hva_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16hva_swio11_noled_pr_ee_ce_u4[] = {
  0xbd3ddddda2431bc1, 0xeed55e1111dc494d, 0x9badd376c878f2e2, 0xa64cd048372eda2e, 0x9c9c625b079ba9b7,
  0xbc9dd75bd415ddd8, 0x5dcc13e30120a82b, 0xbbe43fcffc7e1cfb, 0x85c1c7f9551f5472, 0x1b09117dc4963cf2,
  0xdcf397e8b2f097e2, 0x376b33c7c99aa3b8, 0xd9839c7d4795fce0, 0x6847202b74bea3e0, 0xd7d185962291669d,
  0x139d5ae3f77d6c00, 0x383af4353b6948e2, 0x0909314622cf6abd, 0x8a04e017b2d97317, 0x55af4f741cf2a360,
  0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xb637afa391359cae, 0xd73daad115e57212, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x74371e6c25ccbe6d, 0x75666fe0eee34596, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x00027e7d9e2bda79,
};

// m16hva_swio12_lednop
static const uint64_t ur_m16hva_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0xf1fbb87c6d06113d, 0x2fe8771c7b426efd, 0x5048036df1fddd48,
  0x2415057793bb63f7, 0xa404cfc069827c60, 0x4877cb741f203dff, 0x8c71d3f83affea3e, 0x90e62c05bdd37509,
  0xc608ebc5cec22a3e, 0xf2e556a5660bdc72, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xcbd2fe8e44d70202,
  0xb9ed5688af2b9095, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xf9b69c6378ce8814, 0x37e3e1d8ddb09732,
  0x89c659ac867a6168, 0x257ee68665876592, 0x00000549f5d2cdcf,
};

// m16hva_swio11_lednop_pr_u4        m16hva_swio12_lednop_pr           m16hva_swio12_lednop_pr_u4
static const uint64_t ur_m16hva_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0xef2776e0ec330dd8, 0x5f7304f8c0482a0a, 0x6f7f223dffb9af9f, 0xfc1935ea3a0077cb, 0x02cb299fcea238e9,
  0x47ced92231be7316, 0xfe91500ffd9823af, 0xaad65da81e59edc1, 0x35d15073791b5e5c, 0x6a96fabb39d454aa,
  0x5fd1c89ae0404e57, 0xaad115e57212b97a, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xf3612e65f36d8c62, 0xe50d1659d1726ae0, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a1e64ff03f8,
  0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0x7cc939e4afdcd0cc, 0x00000000007c99c8,
};

// m16hva_swio12_lednop_pr_ee
static const uint64_t ur_m16hva_swio11_lednop_pr_ee[] = {
  0x7bddddd0f5a22044, 0xed55e713516255a1, 0xf23b50c99993f12e, 0x5988bd769648533d, 0x52b620c5955a17bd,
  0xee8f6d47610cd2b4, 0x609f180905415de4, 0xe4456ff735f3e4ea, 0xe5652e0ff6b461ef, 0x1fa8f83660f4af51,
  0x48b34eb4203f8aca, 0xee66006be8c2cb11, 0x6be1cead2ff38743, 0xad743af4353b04f4, 0x8b848592231bf3da,
  0x608cbff00bd96cb9, 0x72ab51c5dac4f2a3, 0xa8d74541cde46d79, 0x5daa5beaece75152, 0xe97f47226b810139,
  0xf6ab445795c84ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x83cd84b997cdb631,
  0x0fca1a2c1765c9ab, 0x50c2a73f53ab31e4, 0x993fc5ce32fcc4fe, 0x5a0df8e7bf03e687, 0x9f0271966b219e98,
  0x273c95fb9a19961d, 0x00000000275f1899,
};

// m16hva_swio12_lednop_pr_ee_u4
static const uint64_t ur_m16hva_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222582, 0x776aaf389a171279, 0xbab8f76dbaf36b56, 0x70fd690cf17bd334, 0xa0ab40831653c891,
  0xc9dd3ada244b5545, 0xb4c13e30120a82bb, 0x27c8df7fee6be7e2, 0x51e56e960ff6b472, 0xe43fa8f83660c14f,
  0x1148b34eb4203f8a, 0x58ce66006be8c2cb, 0x046989cead2e5147, 0xf6ab5d0ebc019d90, 0x723170909ef476b4,
  0xa3ab5a5ff805ecb8, 0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0x8e44d7020272bb54, 0x88af2b9095cbd2fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b6c63156f, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x49cf257ee6866587, 0x0000000004eb9666,
};

// m16hva_swio11_lednop_pr_ce_u4     m16hva_swio12_lednop_pr_ce        m16hva_swio12_lednop_pr_ce_u4
static const uint64_t ur_m16hva_swio11_lednop_pr_ce[] = {
  0x122eeeeed1222582, 0x776aae705a171279, 0xbab8f76dbaf36b56, 0x70fd690cf17bd334, 0x5545a0ab46ebc891,
  0x82bbc9dd3ada244b, 0xe7e2b4c13e30120a, 0x3eb227c8df7fee6b, 0x963cf192a776eaaa, 0xf097e21b09117dc4,
  0xcd51dc6e5257e8b2, 0xf51e5f4f72c10d64, 0xc7bd2a38e9fc1acf, 0xced92231be731602, 0x91500ffd99e3af47,
  0xb5976a0796b741fe, 0x74541cde46d7972a, 0xa5beaece75152a8d, 0xf47226b8101395da, 0xb445795c84ae5e97,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x649cf257ee686658, 0x00000000006eb966,
};

// m16hva_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16hva_swio11_lednop_pr_ee_ce[] = {
  0x0e00dddddd447768, 0xbbbb557229d3a255, 0x77b13b490c76ebc6, 0x028405fe47e98d34, 0xdc71a8af20a65438,
  0xde4eeb4ed76538a0, 0x36e609f180905415, 0xa5f90337fee6be7d, 0x8c953b19bb1fd51b, 0xe4ce75dc6e3397e7,
  0x51e5670c0ddac0a3, 0xcbafa8f83660e71f, 0x88a459a75a11c80a, 0xf9df5b0035f46165, 0x9d827a35f0e756b8,
  0x37e7b55e9c1d7a1a, 0xb2d97317090b2446, 0xc4f2a3608a04e017, 0xf236bcb955af4f5a, 0x73a8a9546ba2a0e6,
  0xc0809caed52df576, 0xe42572f4bfa39135, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408,
  0xcdb63131dbd8aaa2, 0xa205c9ab8d84b997, 0xf75663c81f943459, 0xe32cd6433d30b41b, 0xbf734332c3b2c944,
  0x00534c5fb324e792,
};

// m16hva_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16hva_swio11_lednop_pr_ee_ce_u4[] = {
  0xbd3ddddda2431000, 0xeed55e110c8c494d, 0x765bb0ccadf8f2e2, 0x4c99a088ee0dae3d, 0xd02f92b60f37536f,
  0xe4eed57e9d6d9b0d, 0x92609f180905415d, 0xdf22b7fff1f873e2, 0x5c1cadfaa8faa395, 0xb09117dc4963cf28,
  0x8eddfe8b2f097e21, 0xed6678f93354771b, 0x30738fa8f2b38606, 0x08e40565d7d47c1b, 0xfa30b2c4522cd3ad,
  0x73ab5c7cefad801a, 0x0ebd0d4ec13d1af8, 0x8592231bf3daaf4e, 0x02700bd96cb98b84, 0xd7a7ad627951b045,
  0xd15073791b5e5caa, 0x96fabb39d454aa35, 0xd1c89ae0404e576a, 0xd115e57212b97a5f, 0xf3a03c72b5d73daa,
  0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6db1898ed, 0x0eee3459674371e6, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0xfbff82687993fc0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64, 0xf572bda792bf7343,
  0x00000000000027e0,
};

/*
 * m16hva_swio11_dual_pr             m16hva_swio11_dual_pr_u4          m16hva_swio12_dual
 * m16hva_swio12_dual_pr             m16hva_swio12_dual_pr_u4
 */
static const uint64_t ur_m16hva_swio11_dual[] = {
  0x47f77776890ddb75, 0x276fc75e9c8da5c6, 0x2fbb707a750b697e, 0xc5fe47652be295b6, 0xb3e2d402b757191f,
  0x4ad0eeb04daaf721, 0x6609f180905415de, 0xbbada0644a4a42a4, 0x8971030a18369181, 0x66727f9956ee774f,
  0xbd477f360bece051, 0x822847244fe0cca9, 0x6e1f0a21895fe7ef, 0xcaaeef77cdc6bb00, 0xad68a8432d08c910,
  0x096dca5ffd01cf09, 0x5ffd5aa60b0de579, 0x8fdd1df2cb5fe414, 0x987b8e3a7f07bdfa, 0x34c4e62c0550799c,
  0xfb30475e00cec802, 0x3cb3db7bc6faa01f, 0xc55f3bb8a92be750, 0x1cde46d7972ab59f, 0xaece75152a8d7454,
  0x26b8101395daa5be, 0x795c84ae5e97f472, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x997cdb6318ab7b15, 0xc68b2ce86e3cd84b, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65,
  0x615df47b93f03f7f, 0x767c09c659ac867a, 0x57b4f257ee686658, 0x00000000149320e4,
};

// m16hva_swio12_dual_pr_ee
static const uint64_t ur_m16hva_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x13b7e58fd9b369eb, 0x41ddd943d8c8c4ef, 0x836d8bbb44fcfbdb, 0x2175b26742deb14a,
  0xb9a3fb99b33ac3e4, 0x8c0482a0aef2792b, 0x0644a4a45927304f, 0x30a18369181bbada, 0xf9956ee774f89710,
  0x5b604e8e096a60b5, 0xc913f83d3737a8e3, 0x886257f9fbe08a11, 0xbbe6e180401b87c2, 0x219683f888655777,
  0x47fd01cf09b6fc54, 0xa60b0de579096dc3, 0xb4752be425affd5a, 0xedff51e572ba0ff6, 0x7f15efbf51f06cc1,
  0x85962291669d6840, 0xa18e84fccc00d7d1, 0x768f68f4a39d5a5c, 0xa633daad743af633, 0xd97d2cc5c2424011,
  0xa22aa3608cbff00b, 0x157ceee2a4a38bc8, 0x73791b5e5caad67f, 0xbb39d454aa35d150, 0x9ae0404e576a96fa,
  0xe57212b97a5fd1c8, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36d8c62adec55,
  0x68b2f571b8f3612e, 0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0x6433d30b41bf7c46, 0x4332c3b3e04e32cd,
  0x227d72bda792bf73, 0x000000000000002b,
};

// m16hva_swio12_dual_pr_ee_u4
static const uint64_t ur_m16hva_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0xc4edf963c75cda37, 0x66f74eb00a46706f, 0x99f4e7adb9f6cfb7, 0xba27bad933a166e9,
  0xa6eed656e44b7626, 0x13e30120a82bbc9f, 0xb6819129291649cc, 0xc40c2860da4606ee, 0x9d7e655bb9dd3e25,
  0x3e9bd8456380d698, 0x847244fe0f2b4dea, 0xf0a21895fe7ef822, 0xeef77cdc24a006e1, 0x8a8432d032910caa,
  0xdc347fd01cf09ba8, 0xd5aa60b0de579096, 0xff6b4663fe425aff, 0x660fa8f51e5650e0, 0x4203f8add2fa8f83,
  0xbe8c2cb1148b34eb, 0xd2ee4c741c666006, 0xca69da7147371cea, 0xd747194f6ab5d0eb, 0xc02f65c7c62e1212,
  0xceee2a4a3ab872ff, 0x91b5e5caad67f157, 0x9d454aa35d150737, 0x0404e576a96fabb3, 0x212b97a5fd1c89ae,
  0x9fad73daad115e57, 0xabd4b0b29b167407, 0x1028be8a042d3573, 0x2e65f36d38c6f19d, 0x771a2cb3a1b8f361,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0xffc1343cc9fe07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x895ed3c95fb9a199, 0x0000000000015931,
};

// m16hva_swio12_dual_pr_ce
static const uint64_t ur_m16hva_swio11_dual_pr_ce[] = {
  0xccf777743d686f97, 0x4edf950d35cda374, 0xfb74eb00a46706fc, 0xd39eb201b9c58b70, 0x66eb8957ee9ba667,
  0xfd3777766df5d4eb, 0x609f180905415de4, 0x75b40c8949483afa, 0x2e20614306d23037, 0xc4ebf32addcee9f1,
  0x51f4dec22b1c06b4, 0x14239227f0795a6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc6838037, 0x88a8432d032910ca,
  0xdbd8fffd01cf09ba, 0xfab54c161bcaf212, 0x0d547d4c7fc81adf, 0xf71258f3ca17070e, 0xa2cbc25f886c2445,
  0xa973354771b9723f, 0xed6f51c27cf72c10, 0x602945dbf1c74fe0, 0xf006764011a62731, 0xde37d500ffd99e3a,
  0x715257cea0796b73, 0xaf2e556b3f8abe77, 0x2a551ae8a839bc8d, 0x272bb54b7d5d9cea, 0x5cbd2fe8e44d7020,
  0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xb1b8f3612e65f36d,
  0xd599bf83bb8d160b, 0x7e627f2861539fa9, 0x81f343cc9fe2e719, 0x90cf4c2d06fc73df, 0x0ccb0ecf8138cb35,
  0x48810af69e4afdcd, 0x000000000000001a,
};

// m16hva_swio12_dual_pr_ce_u4
static const uint64_t ur_m16hva_swio11_dual_pr_ce_u4[] = {
  0x189dbbbbb4486f97, 0xe276fca8755e6d19, 0x5dfba028a54bb583, 0x8c486e75bdfb4e5b, 0xd05900962dd32313,
  0xe4d91777766da0a9, 0xae609f180905415d, 0x3775b40c89494867, 0xf12e20614306d230, 0xd4db3bf32addcee9,
  0x6f51f026c2571c2d, 0xc114239227f0652e, 0x370f8510c4aff3f7, 0x655777bbe6e52500, 0xa5f4542196875088,
  0x096dd2d7fd01cf09, 0xaffd5aa60b0de579, 0xcd37551f5eebe45b, 0x117dc4963cf285c1, 0x8fe8b2f097e21b09,
  0x04038ccd51dc6e5c, 0xfc193dea3ce33dcb, 0x73160298f3d638e9, 0x78ebc8b765f11c64, 0x715251d645dc72c6,
  0xaf2e556b3f8abe77, 0x2a551ae8a839bc8d, 0x272bb54b7d5d9cea, 0x5cbd2fe8e44d7020, 0xeb9ed5688af2b909,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xa1b8f3612e65f36d, 0xab337f07771a2cb3,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027,
  0x00034920515ed3c9,
};

// m16hva_swio12_dual_pr_ee_ce
static const uint64_t ur_m16hva_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xef13b7e3af19c36b, 0x4af7bb9f6cf80534, 0xc453821e44b8585b, 0xf369b3764e99eca9,
  0x177347f4e08ceb8f, 0x9f180905415de499, 0x681912929047ae60, 0x40c2860da4606eeb, 0xdfe655bb9dd3e25c,
  0xed6c136ce13b735a, 0xe489fc198fcdea3e, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d02ea88655777,
  0xeffa039e132568a8, 0x982c3795e425b7c6, 0xa360bf2276fff56a, 0xf9e50b8393b763fa, 0x5c92673aee370113,
  0x27a8f2bc0806ed60, 0x05795bd47c1b3072, 0xb2c4522cd3ad08e4, 0x5c143fad801afa30, 0xc66ed1ed1e9473ab,
  0x08d319ed57a7075e, 0x05ecbe9662e12120, 0xb2288aa8d8228138, 0xcfe2af9ddc5497a7, 0x2a0e6f236bcb955a,
  0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb63131dbd, 0xddc68b34406e3cd8, 0xa616837eeaccdfc1, 0x8767c09c659ac867,
  0xc57b4f257ee68665, 0x00000000002608a9,
};

// m16hva_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16hva_swio11_dual_pr_ee_ce_u4[] = {
  0x16eeeed15b76f2df, 0x6fcf1eb8b3693ecb, 0xf500bada4cfb5e27, 0xebdf1fc1f3c16b47, 0x5e8cd3ecb10f6dfb,
  0xeb9e5d462e4369ec, 0x57792d39dd48c754, 0xa7e19827c6024150, 0x303775b40c894948, 0xe9f12e20614306d2,
  0xebcc6b7f99696fce, 0xcdea3c00d80a4387, 0xf04508e489fc1dad, 0x0dc3e144312bfcfd, 0x655777bbe6e3c020,
  0x6048a8432d0d3688, 0x25b74a8ffa039e13, 0xffd4d6982c3795e4, 0xd547d51c72f91faf, 0x71258f3ca179dfeb,
  0x2cbc25f886c2445f, 0x24cd51dc6e3c03fa, 0xa3caf0201bb599f9, 0xe56f51f06cc1c89e, 0x1148b34eb4239015,
  0x50feb6006be8c2cb, 0xbb47b47a51cead70, 0x4c67b55e9c1d7b19, 0xb2fa598b84848023, 0xa22aa3608a04e017,
  0x8abe7771525e9ec8, 0x39bc8daf2e556b3f, 0x5d9cea2a551ae8a8, 0x4d7020272bb54b7d, 0xf2b9095cbd2fe8e4,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d8c4c76f62a, 0x59d1726ae0f3612e,
  0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d,
  0x95fb9a19961d9f02, 0x0004004f8244293c,
};

static const uint64_t ur_m16hva_swio13_noled[] = {
  0xa7bb77777759bb37, 0x9eb776aae4536dc4, 0x9ec2fdd438912308, 0x17f43bb89f4bc7cc, 0xa6c543801e4dd9ee,
  0x120a82bbc9ddc77b, 0xd20267f6fcc13e30, 0xf21df2dd27c8ea3f, 0x6e8e3a7f07cf7a8f, 0xd01cc580b7ba6912,
  0xb1823af173b64547, 0x5e5caad4ace9371c, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f47226b39,
  0x5d73daad115e5721, 0x7536294f0d3bcf8b, 0xb689c6378ce88107, 0x6d8c9156f62aa8b4, 0xf8f876376c25ccbe,
  0x71966b219e985a0d, 0x5fb9a19961d964a2, 0x0002a47374b373c9,
};

// m16hva_swio13_noled_pr_u4
static const uint64_t ur_m16hva_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xec7c2f1afba913a0,
  0x15de4ee891d37702, 0x9f7f2609f1809054, 0xcb41ff90657fb9af, 0xd3f83e83d4797c77, 0x580b2ca68f7a5471,
  0x5e8f9da2147bd9cc, 0x88a4d2a01ffb3047, 0x5caad5f5b81e59ed, 0xaa35d15073791b5e, 0xaa5beaa6fb39d454,
  0xd5ef5f47226b395d, 0x73daad115e57212a, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6,
  0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f,
  0x6b219e98577d1ee4, 0x9a19961d9f027196, 0xc9aa6b19273c95fb, 0x0000000000000007,
};

// m16hva_swio13_noled_pr_ee_u4
static const uint64_t ur_m16hva_swio13_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x25ddaabce2682c48, 0xfa7a6274b88c327e, 0x5ef56f4a34cfda9b, 0x8b515901062ca1ae,
  0x7793bb38b6e0b3e6, 0x8d69827c60241505, 0xc7bf91a6ffdcd7cf, 0x7d47959c383fdad1, 0x2b2ebea3e0d9833d,
  0x2c4522cd3ad080fe, 0x1d0fb99801afa30b, 0x3d51fc873ab4bb93, 0xe7b55ae875e86a76, 0x6cb98b848510a3de,
  0x5aa3608cbff00bd9, 0xdaf2e556a38be930, 0xa2a551ae8a839bc8, 0xcaed52df5537d9ce, 0x0956af7afa391359,
  0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xf36c648ab7b15545, 0xd1726ae0f3612e65,
  0xd598f207e50d1659, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x000275fa78c939e4,
};

// m16hva_swio13_noled_pr_ce_u4
static const uint64_t ur_m16hva_swio13_noled_pr_ce[] = {
  0x84dddddda2447032, 0x59ddaab9c15a5c4a, 0xa2e91fd267c7cdad, 0x8b87c6b9bb2b6d4d, 0x9ca82d0bc2b76844,
  0x5415de4ee9dad976, 0x5f3fa6e609f18090, 0x51f5eebe4656ff73, 0x24b1e78c953b95d5, 0x9784bf10d8488bee,
  0x266a8ee37190ff45, 0x7bd479ba7b96086b, 0x0299538c71d3f832, 0xa3e768851ef67316, 0x2934a807feccf1d7,
  0xcaad5f5b81e5adc2, 0xa35d15073791b5e5, 0xa5beaa6fb39d454a, 0x5ef5f47226b395da, 0x3daad115e57212ad,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0xab83cd84b997cdb1, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x5d22f324e792bf73, 0x0000000000000037,
};

static const uint64_t ur_m16hva_swio13_noled_pr_ee_ce[] = {
  0x78fddddddd4458e2, 0x1aeeed55c8a72589, 0xee0ea33dc29a9baf, 0xe00a12c798934b0c, 0x8e3d3a82bc8299e3,
  0x57793baecb4a71d6, 0xfdda9827c6024150, 0x721fe418fffb9af9, 0x9e3254ecc7ec7f54, 0x8f9339d771b9495f,
  0x3d4795ba50376b02, 0x2b90fea3e0d98340, 0x962291669d684720, 0xe1c9fd6c00d7d185, 0x353b1ea8fe439d5a,
  0x47bdcf6abd383af4, 0x17b2d97317090a21, 0xe9305aa3608a04e0, 0xcde46d7972ab5e9e, 0xece75152a8d74541,
  0x89ace576a96faa9b, 0x795c84ab57bd7d1c, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33,
  0x2e65f36c6431dbd8, 0x0d166881726ae361, 0x2d06fdd598f207e5, 0xb25138cb3590cf4c, 0x39e4afdcd0ccb0ec,
  0x0000000a69a2f8c9,
};

static const uint64_t ur_m16hva_swio13_noled_pr_ee_ce_u4[] = {
  0x0adddddda2435f41, 0xe2eed55e1122744b, 0xfe94edd3f66c78f2, 0xa7a64cd90b831c48, 0x605991a66d83cdf0,
  0x057793bb5ad3b55c, 0xcfc009827c602415, 0x8f7dfc8b5bffc7e1, 0x3ca17072d6eaa3ea, 0xf886c2445f71258f,
  0xdc6e0c2ffa2cbc25, 0x281bb599e3e4cd51, 0xf06cc1a01ea3cadd, 0x4eb4239015c87f51, 0x006be8c2cb1148b3,
  0x7f21cead70e4feb6, 0x5e9c1d7a1a9d8f54, 0x8b848510a3dee7b5, 0xb04502700bd96cb9, 0xb955af4f74982d51,
  0x546ba2a0e6f236bc, 0x54b7d54df673a8a9, 0xabdebe8e44d672bb, 0xe7b55a22bcae4255, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x3218edec5551696d, 0xd0dc79b09732f9b6, 0xd599bf83bb8d1659, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813, 0x0009f81358af69e4,
};

static const uint64_t ur_m16hva_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0x7dcc777d7f858c22, 0xb85fd0eee274bdf3, 0xbac81711b6ebf767,
  0x0120a82bbc9dd6a7, 0xfd20267d7dcc13e3, 0xd7c3be5ba4f911ef, 0xc431c74fe0f9ef51, 0xb86731602dee9827,
  0x2c608ebc5cedbda3, 0xaf2e556a562cfdc7, 0x2a551ae8a839bc8d, 0xaed52df5537d9cea, 0x24bfa39135c0809c,
  0x3daad115e57212b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d10273, 0xfc7c3b1bb612e65f,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x0002a497fa59b9e4,
};

// m16hva_swio13_lednop_pr_u4
static const uint64_t ur_m16hva_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x0aef277519eb4b37, 0x9fa95304f8c0482a, 0x9683ff20c7ffb9af, 0xd3f83e83d47d28ef, 0xb016594d01827c71,
  0xbd1f3b2f88e32398, 0x6fdc35403ff6608e, 0xe556b70e40f2cf6c, 0x51ae8a839bc8daf2, 0x52df5537d9cea2a5,
  0xfa39135c0809caed, 0xad115e57212b924b, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0x3612e65f36d02a2a, 0x50d1659d1726ae0f, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xfe09a1e64ff03f8c,
  0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x0c939e4afdcd0ccb, 0x0000000003e4ffaa,
};

static const uint64_t ur_m16hva_swio13_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0xbbb5579c4d91890d, 0x7792ef8fdb664fc4, 0xf56f4b41469ad1e4, 0x8f8331062ca1ae5e,
  0x2774eb6c4e2d4b8c, 0xf304f8c0482a0aef, 0xfe4472ff735f3fd5, 0x1e5650e0ff6b471e, 0x82fa8f83660cf5f5,
  0x148b34eb4203f8ad, 0x3ee66006be8c2cb1, 0x47371cead2ee9474, 0xd56ba1d7a1a9da44, 0xe62e1212f88e329e,
  0x8d8232ffc02f65b2, 0xe5caad471622934a, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395,
  0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054,
  0x7e50d160bb2e4d5c, 0x861539fa9d598f20, 0xc9fe2e7197e627f2, 0xd06fc73df81f343c, 0xf8138cb3590cf4c2,
  0x39e4afdcd0ccb0ec, 0x000000013aebb0c9,
};

static const uint64_t ur_m16hva_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xaceed55e712f5e25, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0x221020820c595422,
  0x7793baafb60dc6ab, 0xc729827c60241505, 0xfbaf916ebfdcd7cf, 0xdea3cae43c1fed68, 0x2b387ea3e0d98397,
  0x2c4522cd3ad080fe, 0x1d63399801afa30b, 0xd291c4273ab4bfee, 0xb3daad743af00676, 0xe1c8c5c2424c5188,
  0x5a8e84597fe017b2, 0xba2a0e6f236bcb95, 0x7d54df673a8a9546, 0xe44d7020272bb54b, 0x45795c84ae492fe8,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x4596745c9ab83cd8,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x4e792bf734332c3b, 0x000000013ae10b32,
};

// m16hva_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16hva_swio13_lednop_pr_ce[] = {
  0x426eeeeed1222a20, 0xaceed55ce0af5e25, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0xc6ab2210209bb422,
  0x15057793baafb60d, 0xd7cfc729827c6024, 0x547d7baf916ebfdc, 0x892c79e3254ef4dd, 0x65e12fc4361222fb,
  0xc99aa3b8dc24afd1, 0x9ef51e719ee5821a, 0x014c79eb1c74fe0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x649cf257ee686658, 0x000000000375c216,
};

static const uint64_t ur_m16hva_swio13_lednop_pr_ee_ce[] = {
  0x78fddddddd4477d6, 0x1aeeed55c8a4bb89, 0xe276e4ed5a1e9baf, 0xe00a12c7f2531342, 0xb82246c8bc8299e3,
  0x57793bb61b5eb7da, 0xfe9a9827c6024150, 0x1c87f91ff3fdcd7c, 0xf3c64a9dffcb1fd5, 0x51f2673aee3732a3,
  0x07a8f2b2ea06ed60, 0x05652fd47c1b3068, 0xb2c4522cd3ad08e4, 0x5c3a5fad801afa30, 0x86a769111cdc73ab,
  0x88e329ed57a7075e, 0x02f65b2e62e1212f, 0xe1149a546c11409c, 0x1cde46d7972ab5e9, 0xbece75152a8d7454,
  0xe0404e576a96faa9, 0xb9095c925fd1c89a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d028c76f62aa8, 0x6881726ae3612e65, 0xfdd598f207e50d16, 0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251,
  0x0014d31e5cc939e4,
};

static const uint64_t ur_m16hva_swio13_lednop_pr_ee_ce_u4[] = {
  0x0adddddda2436d3a, 0xe2eed55e112c4c4b, 0x3d7adbad2c19f8f2, 0x4f4c99b2113ae0fd, 0x1ba666b05b079be1,
  0x57793baa3faafb26, 0xfc6e9827c6024150, 0xefbf90d77ff8fc39, 0x942e0e35dd547d51, 0x10d8488bee24b1e7,
  0xc6e2e0bf459784bf, 0x81bb599e3e4cd51d, 0x06cc1a01ea3cacba, 0xeb423901594bf51f, 0x06be8c2cb1148b34,
  0x371cead70e97eb60, 0xe9c1d7a1a9da4447, 0xb8484be238ca7b55, 0x04502700bd96cb98, 0xcaad7a784526951b,
  0xa35d15073791b5e5, 0xa5beaa6fb39d454a, 0xf47226b8101395da, 0x5a22bcae42572497, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xc1ddc68b2ce86e3c, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f327f81, 0x867a615df47b93f0, 0x6658767c09c659ac, 0x193857b4f257ee68,
  0x00000000000004fc,
};

// m16hva_swio13_dual_pr             m16hva_swio13_dual_pr_u4
static const uint64_t ur_m16hva_swio13_dual[] = {
  0xafa7bbbbbb4486f9, 0x697e276fc75e10cd, 0x65b9f7ba8ce5dd0b, 0x991fc5fc95264e27, 0xf7f09628d4d8b77e,
  0x2bbc95a1ddc7fd51, 0x8ba1cc13e30120a8, 0x2303775b40c89494, 0xee9f12e20614306d, 0xc0a2cce4ff32addc,
  0x99537a8efe6c17d9, 0xcfdf04508e489fc1, 0x0000dc3e144312bf, 0xc910caaeef77cdc8, 0xcf09ad68a8432d08,
  0xe579096dca1ffd01, 0xe47eeffd5aa60b0d, 0x0ffa8fb7cef967bf, 0xf32568f71c74fe0e, 0xb4a47109cc580aa0,
  0x403ff6608ebc019d, 0x02503cb3db4c6325, 0x5acfe2af9ddc5497, 0xba2a0e6f236bcb95, 0x7d54df673a8a9546,
  0xe44d7020272bb54b, 0x45795c84ae492fe8, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b997cdb40a8ab7b, 0xddc68b2ce86e3cd8, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x7ff04d0f327f81fc,
  0x7a615df47b93f03f, 0x58767c09c659ac86, 0x0a57b4f257ee6866, 0x00000000001493de,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0xde276fcb1f930da6, 0xb913ba930eb19189, 0xa541b4155c42c55f, 0x0f89bad133a16d38,
  0x792bbbbb37eaea74, 0x304f8c0482a0aef2, 0xbada0644a4a4771f, 0x971030a18369181b, 0x60b5f9956ee774f8,
  0xa8e35b604e8e096a, 0x8a11c913f83d3737, 0x87c2886257f9fbe0, 0x5777bbe6e2a4401b, 0xfc54219683f88865,
  0xdba6dffd01cf09b6, 0xfab54c161bcaf212, 0x3fdad1945f9143ff, 0xd98332bd4795efb8, 0xd080fe2bb75ea3e0,
  0xafa30b2c4522cd3a, 0xb4bb051d09f99801, 0xec66ec63d19ea73a, 0xa5238867b55ae875, 0xe017b2fa598b8485,
  0x8b1f37b546c1197f, 0xd67f157ceee2a4a3, 0xd15073791b5e5caa, 0xeaa6fb39d454aa35, 0x226b8101395daa5b,
  0x2bcae42572497f47, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6da05455bd8,
  0xb8d165eae371e6c2, 0x1539fa9d599bf83b, 0x8d0f327f8138d286, 0x9ac867a616837ef8, 0xe686658767c09c65,
  0x1590e7c57b4f257e,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ee_u4[] = {
  0x453b777776890c86, 0x0df89dbf2c7d179b, 0x8b7266eabe6c48ce, 0x53999f4e69da55e5, 0xe62f7616ad133a16,
  0x7793f4ddd5b4d69e, 0xb8f9827c60241505, 0xc0ddd6d032252523, 0xa7c4b881850c1b48, 0x1ad313afccab773b,
  0x69bd47d37b08ac70, 0xdf04508e489fc1e5, 0x00dc3e144312bfcf, 0x21955ddeef9b8ce4, 0x13751150865a0652,
  0xe425b74dbffa039e, 0x87fff56a982c3795, 0xb0583fdad1bf9f22, 0x47c1b30613fd4795, 0x9a75a101fc5721fd,
  0x30035f4616588a45, 0x0e756974ac3a0e33, 0xe875e534ec802305, 0x0909ef479167b55a, 0x697fe017b2e3e317,
  0xfc55f3bb8a928ead, 0x41cde46d7972ab59, 0x9bece75152a8d745, 0xae0404e576a96faa, 0x2b9095c925fd1c89,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xce88139f4502169a, 0xb09732f9b69c6378, 0x83bb8d1659d0dc79,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x7effe09a1e64ff03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359,
  0x8bb0af69e4afdcd0, 0x00000000000000ac,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ce[] = {
  0x76eeeee87ad0cf68, 0xfc4edf950fbb368a, 0xa0fb755f36246706, 0x9f4e69c89f55fd77, 0xcc995dfbf7ba5399,
  0x93f4dddacad9b46e, 0x19827c6024150577, 0xddd6d03225252223, 0xc4b881850c1b48c0, 0xd313afccab773ba7,
  0xbd47d37b08ac701a, 0x04508e489fc1e569, 0xdc3e144312bfcfdf, 0x955ddeef9b8a4800, 0x751150865a065221,
  0x25b719bffa039e13, 0x7ff56a982c3795e4, 0x09d5547d5fcf9070, 0x45f71258f3ca1707, 0x5fa2cbc25f886c24,
  0x10a973354771b949, 0xf0622fa8f224f72c, 0xcc580bfb8ca8e3a7, 0x8ebc019db4a47109, 0x6e4c6325403ff667,
  0xe7771525c0940f2d, 0xc8daf2e556b3f8ab, 0xcea2a551ae8a839b, 0x09caed52df5537d9, 0x2b924bfa39135c08,
  0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x76371e6c25ccbe6d,
  0x3ab337f07771a2c1, 0x2fcc4fe50c2a73f5, 0xf03e687993fc5ce3, 0xb219e985a0df8e7b, 0xa19961d9f0271966,
  0x247ad95ed3c95fb9, 0x000000000000000d,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ce_u4[] = {
  0x627777776890cf68, 0x0f89dbf2a1a8f9b5, 0xeecdeeb627652ed6, 0x89c624dd56875c21, 0x7626ba27f5deed89,
  0xbc9b22eed656e44b, 0xf74c13e30120a82b, 0x06eeb68191292911, 0x3e25c40c2860da46, 0xba9b677e655bb9dd,
  0xcdea3e04d84ae385, 0xf822847244fe0ca5, 0x06e1f0a21895fe7e, 0x0caaeef77cdc24a0, 0x34be8a8432d0ea11,
  0x425b7a1fffa039e1, 0x6fff56a982c3795e, 0xe6ceaa8faedff91a, 0x88bee24b1e7942e0, 0x2bf459784bf10d84,
  0x8201c666a8ee3729, 0xfe0c9af51d009ee5, 0x9cc580afe7511c74, 0x3c75e45bb4dc8f22, 0xdc5494743e6e3963,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x2bb54b7d54df673a, 0x492fe8e44d702027, 0xcf6ab445795c84ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x463b7b15545a4829, 0xdc79b09732f9b681, 0x99bf83bb8d1659d0,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x27e07effe09a1e64, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x01a498c4af69e4af,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ee_ce[] = {
  0xa499bbbbbba86f97, 0xa7789dbf1d7df5cd, 0xfb57bdd2af2c4029, 0x388a716a69ef709a, 0x37609932c9d33499,
  0xc8bbbbb35e094eb3, 0x04f8c0482a0aef24, 0x5b40c894948f3d73, 0xe20614306d230377, 0xd6ff32addcee9f12,
  0xf76b609b6709db9a, 0x47244fe0cc7e6f51, 0x0a21895fe7ef8228, 0xdeef9b9d4e006e1f, 0xa10cb40baa21955d,
  0xf5ffe80e784c95a2, 0xaa60b0de579096df, 0xf546a7be43fcffd5, 0xbff9e50b838ff2c7, 0x605c92673aee3739,
  0x7dd7a8f2bcac06ed, 0xe40572bbd47c1b30, 0x30b2c4522cd3ad08, 0xab5c305fad801afa, 0x5ec66ec63d19ea73,
  0x6948e219ed57a707, 0x3805ecbe9662e121, 0xd3c3e6f6a8d82281, 0xad67f157ceee2a4b, 0x5d15073791b5e5ca,
  0xbeaa6fb39d454aa3, 0x7226b8101395daa5, 0x22bcae42572497f4, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0xddc68b34406e3cd8, 0xa616837eeaccdfc1, 0x8767c09c659ac867,
  0x457b4f257ee68665, 0x00000000004c100e,
};

static const uint64_t ur_m16hva_swio13_dual_pr_ee_ce_u4[] = {
  0xfbbbbbb456ddb69f, 0x13b7e78fbc99b562, 0xf766a27d69267daf, 0x75caf799b70b68fe, 0xf317a33b172c43d8,
  0x6b7608718f0dfc23, 0x2a0aef25a73bb839, 0x2917b3d304f8c048, 0xda4606eeb6819129, 0xf9dd3e25c40c2860,
  0x70fd798d6ff32d2d, 0xb5b9bd47801b0148, 0x9fbe08a11c913f83, 0xf801b87c2886257f, 0xd10caaeef77cdc3a,
  0xc26c09150865a1a6, 0xbc84b6ec87ff4073, 0xb07ffa9ad30586f2, 0xec1aa8faa31adf23, 0x8bee24b1e7942f3b,
  0xbf459784bf10d848, 0x3f2499aa3b8dc3af, 0xebd4795e560376b3, 0x02b95dea3e0d983e, 0x5962291669d68472,
  0xae182fd6c00d7d18, 0x6337631e8cf539d5, 0xa4710cf6abd383af, 0x02f65f4b317090b4, 0xe1f37b546c11409c,
  0xb3f8abe7771525e9, 0x8a839bc8daf2e556, 0x5537d9cea2a551ae, 0x135c0809caed52df, 0x5e57212b924bfa39,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0xcb3a2e4d5c1e6c25,
  0xa75666fe0fdbb1a2, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef,
  0x92bf734332c3b3e0, 0x00010017d5088527,
};

static const uint64_t ur_m16hva_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a13389, 0x7dcc774d06e24611, 0x2fe8771c6c446bf0, 0xb205c46decfdd888,
  0x482a0aef2775a9ee, 0xa404cff75304f8c0, 0x213be5ba0f907aff, 0xf238e9fc1d7ff51e, 0x68e62c05bdd304f5,
  0xc608ebc5ced19232, 0x7972ab52b3a0dc72, 0x52a8d74541cde46d, 0x9b95daa5beace751, 0x84ad8fdfd1c89ace,
  0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xcdb610c55bd8aaa2, 0xbf1f0ec6ed84b997,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0000a925fe966e79,
};

// m16hva_swio14_noled_pr_u4
static const uint64_t ur_m16hva_swio14_noled_pr[] = {
  0x8f77777689119391, 0x1776aae452a1c4a3, 0xf6c9ebf63416c13c, 0xb3583886d8cd9ef4, 0x905f98d69bb1c7a0,
  0x057793bb1c7717d8, 0xcf98f9827c602415, 0xe5b7bf91b7ffdcd7, 0x74fe0c9af51c143b, 0x1602cb2983da011c,
  0xd7a3e764c5188a73, 0x76b13ca807fecc11, 0x972ab5422607967b, 0x2a8d74541cde46d7, 0xb95daa5beace7515,
  0x4ad8fdfd1c89ace9, 0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0xdb610c55bd8aaa2d,
  0x5c9ab83cd84b997c, 0x663c81f943459674, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0xc9f81fbff8268799,
  0x2cd6433d30aefa3d, 0xf734332c3b3e04e3, 0x0f935705324e792b,
};

// m16hva_swio14_noled_pr_ee_u4
static const uint64_t ur_m16hva_swio14_noled_pr_ee[] = {
  0xc5eeeeeed1222a20, 0x25ddaabce25ebc4b, 0xe3dfa7b007a5327e, 0xf7ab3116966eec9a, 0x88408208316578b2,
  0xde4eeabed8371aac, 0x1ca609f180905415, 0x1efe45baff735f3f, 0xf51e5721e0ff6b46, 0xace1fa8f83660f4a,
  0xb1148b34eb4203f8, 0x743ee66006be8c2c, 0x4a47109cead2ffb8, 0x9ed56ba1d7a1a9db, 0xb2e62e1212628c45,
  0xca8d8232ffc02f65, 0xb5e5caad4717d073, 0x454aa35d15073791, 0x3a6e576a96fab39d, 0x7212b63f7f47226b,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x5f36d843156f62aa, 0x9d1726ae0f3612e6,
  0x9d598f207e50d165, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x00004eb842cc939e,
};

// m16hva_swio14_noled_pr_ce_u4
static const uint64_t ur_m16hva_swio14_noled_pr_ce[] = {
  0xcfdddddda2445541, 0xb3bb557382c33896, 0xd91d68ba306b9b5a, 0xa45c3f5a62f362c7, 0x8e73d71a6a6f7767,
  0x0a82bbc9dd415bd3, 0x6be7edd4c13e3012, 0xaa3eb227c8c09fee, 0xc4963cf192a7795a, 0xb2f097e21b09117d,
  0x64cd51dc6e2547e8, 0x67fa8ebe4f72c10d, 0x02edf97d1c74fe0d, 0xa3e764c5188a7316, 0xb13ca807feccf1d7,
  0xcaad508981e5add6, 0xa35d15073791b5e5, 0x576a96fab39d454a, 0xb63f7f47226b3a6e, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x4d5c1e6c25ccbe6d, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343cc9f, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0xbaf56519273c95fb, 0x0000000000000001,
};

static const uint64_t ur_m16hva_swio14_noled_pr_ee_ce[] = {
  0x71ddddddd4144511, 0xaeeed55c8a791891, 0xc1d467aa6ec7baf1, 0x014202ffa647cfdd, 0xed60bd7790530b8c,
  0xef2777ed694e2c52, 0xff9304f8c0482a0a, 0xe97e474fffb9af9f, 0xe3254efa7ec7f546, 0xf2673aee373badf9,
  0xa8f2bf9c06ed6051, 0x6e97d47c1b30738f, 0xc4522cd3ad08e405, 0x7eefad801afa30b2, 0xa76d291c4273ab5c,
  0xc459ed57a7075e86, 0xf65b2e62e1212628, 0x839e546c11409c02, 0xde46d7972ab5e9ee, 0xce75152a8d74541c,
  0x89ace9b95daa5bea, 0x5795c84ad8fdfd1c, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3,
  0x9732f9b6c2131dbd, 0x2cbd5cb9357079b0, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x0cf4c2d06fdf11a1,
  0xccb0ecf8138cb359, 0x1cf8c939e4afdcd0, 0x000000000000027e,
};

static const uint64_t ur_m16hva_swio14_noled_pr_ee_ce_u4[] = {
  0x93dddddda2431bc1, 0xc5ddaabc2223b895, 0x5d375ba6ed90f1e5, 0x6f4c99a0906e5db4, 0xb13938c4b60f37b2,
  0x57793baeb7a82bbb, 0xf6bb9827c6024150, 0xe577c87f9ff8fc39, 0xe50b838ff2aa3ea8, 0xc4361222fb892c79,
  0x71b9e72fd165e12f, 0xc06ed6678f933547, 0xc1b30738fa8f2bf9, 0x3ad08e4056e97d47, 0x01afa30b2c4522cd,
  0xc4273ab5c7eefad8, 0x7a7075e86a76d291, 0x2e1212628c459ed5, 0xc11409c02f65b2e6, 0x72ab5e9ee839e546,
  0xa8d74541cde46d79, 0x95daa5beace75152, 0xad8fdfd1c89ace9b, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0x6c2131dbd8aaa2d2, 0x9d0dc79b09732f9b, 0x9d599bf83bb8d165, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x00009f9f678af69e,
};

static const uint64_t ur_m16hva_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfdf1fbb87c6d0611, 0x882fe8771c7b426e, 0xf75048036df1fdd8,
  0x602415057793bb63, 0xffa404cfc069827c, 0x3e4877cb741f203d, 0x098c71d3f83affea, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551ae8a839bc8, 0x9d372bb54b7d59ce, 0x5cbec7a39135c080,
  0x6b9ed5688af2b909, 0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0x2f9b69c6378ce881, 0x837e3e1d8ddb0973,
  0x289c659ac867a616, 0xf257ee6866587659, 0x000000549f5d2cdc,
};

// m16hva_swio14_lednop_pr_u4
static const uint64_t ur_m16hva_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0x15de4eedc1d8661b, 0x3ebee609f1809054, 0x96defe447bff735f, 0xd3f8326bd47400ef, 0x2c0596533f9d4471,
  0x5e8f9db244637ce6, 0x83fd22a01ffb3047, 0xb955acbb503cb3db, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9,
  0xb1e8e44d7020274d, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x1e6c25ccbe6db18c, 0xfca1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343cc9fe07f,
  0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x0f99273c95fb9a19, 0x00000000000f9339,
};

static const uint64_t ur_m16hva_swio14_lednop_pr_ee[] = {
  0xbdddddd0f5a22044, 0xbbb5579c4d458978, 0xf7c8ed4326664fc4, 0xf56622f5da59214c, 0xa295b1062caf165e,
  0x27747b6a3b086695, 0x5304f8c0482a0aef, 0x7f222b7fb9af9f27, 0x8f2b29707fb5a30f, 0x50fd47c1b307a57a,
  0x8a459a75a101fc56, 0x1f7330035f461658, 0xa35f0e75697f9c3a, 0xd56ba1d7a1a9d827, 0xcc5c242c9118df9e,
  0x1b0465ff805ecb65, 0xcb955a8e2ed62795, 0x9546ba2a0e6f236b, 0xdcaed52df5673a8a, 0xfb1e8e44d7020274,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0xc1e6c25ccbe6db18,
  0x07e50d160bb2e4d5, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73df81f343, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x0000000013af8c4c,
};

static const uint64_t ur_m16hva_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x59ddaabce2685c4b, 0xd2eae3ddb6ebcdad, 0x45c3f5a433c5ef4c, 0x2d055a0418b2b67a,
  0xde4ee9d6d1225aaa, 0x15a609f180905415, 0x913e46fbff735f3f, 0x7a8f2b74b07fb5a3, 0x5721fd47c1b3060a,
  0x588a459a75a101fc, 0x3ac67330035f4616, 0x80234c4e7569728a, 0xa7b55ae875e00cec, 0xc3918b8484f7a3b5,
  0xb51d5ad2ffc02f65, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x84b997cdb6318ab7, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x24e792bf734332c3, 0x000000000275cb33,
};

// m16hva_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16hva_swio14_lednop_pr_ce[] = {
  0x67eeeeeed1222582, 0x59ddaab9c1685c4b, 0xd2eae3ddb6ebcdad, 0x45c3f5a433c5ef4c, 0x5aaa2d055a37767a,
  0x5415de4ee9d6d122, 0x5f3f15a609f18090, 0x51f5913e46fbff73, 0x24b1e78c953bb755, 0x9784bf10d8488bee,
  0x266a8ee37292bf45, 0x7fa8f2fa7b96086b, 0x163de951c74fe0d6, 0x3e76c9118df398b0, 0xf48a807feccf1d7a,
  0x55acbb503cb5ba0f, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xe8e44d7020274dca, 0x5a22bcae42572fb1,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0x434596745c9ab83c,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xf82687993fc0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d,
  0x324e792bf734332c, 0x0000000000375cb3,
};

static const uint64_t ur_m16hva_swio14_lednop_pr_ee_ce[] = {
  0x171ddddddd447768, 0x1aeeed55c8a74e89, 0xd1dec4ed2431dbaf, 0x600a1017f91fa634, 0x8371c6a2bc82985c,
  0x57793bad3b5d94e2, 0xf4db9827c6024150, 0x6e97e40cdffb9af9, 0x9e3254ec66ec7f54, 0x8f9339d771b8ce5f,
  0x7d47959c30376b02, 0x2b2ebea3e0d9839c, 0x962291669d684720, 0xe3e77d6c00d7d185, 0x6a7609e8d7c39d5a,
  0x18df9ed57a7075e8, 0x5ecb65cc5c242c91, 0x6b13ca8d82281380, 0x9bc8daf2e556bd3d, 0x59cea2a551ae8a83,
  0xc0809d372bb54b7d, 0xb9095cbec7a39135, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d8c4c76f62aa8, 0x6881726ae3612e65, 0xfdd598f207e50d16, 0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251,
  0x0014d317ecc939e4,
};

static const uint64_t ur_m16hva_swio14_lednop_pr_ee_ce_u4[] = {
  0x93dddddda2431000, 0xc5ddaabc22191895, 0x7aecb761995bf1e5, 0xde99334111dc1b5c, 0x1ba05f256c1e6f64,
  0xbbc9ddaafd3adb36, 0xc524c13e30120a82, 0x2bbe456fffe3f0e7, 0x50b8395bf551f547, 0x4361222fb892c79e,
  0x371dbbfd165e12fc, 0x0ddaccf1f266a8ee, 0x3660e71f51e5670c, 0x5a11c80acbafa8f8, 0x35f4616588a459a7,
  0xf0e756b8f9df5b00, 0x9c1d7a1a9d827a35, 0x090b244637e7b55e, 0x8a04e017b2d97317, 0x55af4f5ac4f2a360,
  0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xe8e44d7020274dca, 0x5a22bcae42572fb1, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0xc1ddc68b2ce86e3c, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f327f81, 0x867a615df47b93f0, 0x6658767c09c659ac, 0x1eae57b4f257ee68,
  0x00000000000004fc,
};

// m16hva_swio14_dual_pr             m16hva_swio14_dual_pr_u4
static const uint64_t ur_m16hva_swio14_dual[] = {
  0x97777776890ddb75, 0xfc4edf8ebd391b46, 0x6c5f76e0f4ea16d2, 0x3f8bfc8eca57c52b, 0x4367c5a8056e9a52,
  0xbc95a1dd609b55ee, 0x48cc13e30120a82b, 0x03775b40c8949485, 0x9f12e20614306d23, 0xa2cce4ff32addcee,
  0x537a8efe6c17d9c0, 0xdf04508e489fc199, 0x00dc3e144312bfcf, 0x21955ddeef9b8d76, 0x135ad150865a1192,
  0xf212db94bffa039e, 0x28bffab54c161bca, 0xf51fba3be596bfc8, 0x3930f71c74fe0f7b, 0x046989cc580aa0f3,
  0x3ff6608ebc019d90, 0xa07967b6f78df540, 0x3f8abe77715257ce, 0xa839bc8daf2e556b, 0xb7d59cea2a551ae8,
  0x135c0809d372bb54, 0xaf2b9095cbec7a39, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0x732f9b6c63156f62, 0xb8d1659d0dc79b09, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xfe09a1e64ff03f8c,
  0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x8af69e4afdcd0ccb, 0x000000000292641c,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xde276fcb1fb366d3, 0xb683bbb287b19189, 0x9506db177689f9f7, 0xc842eb64ce85bb22,
  0x577347f733667587, 0x9f180905415de4f2, 0xb40c894948b24e60, 0x20614306d2303775, 0x6bf32addcee9f12e,
  0xc6b6c09d1c12d4c1, 0x239227f07a6e6f51, 0x8510c4aff3f7c114, 0xef77cdc30080370f, 0xa8432d07f110caae,
  0x868ffa039e136df8, 0xb54c161bcaf212db, 0xed68ea57c84b5ffa, 0x83dbfea3cae5741f, 0x80fe2bdf7ea3e0d9,
  0xa30b2c4522cd3ad0, 0xb9431d09f99801af, 0x66ed1ed1e9473ab4, 0x234c67b55ae875ec, 0x17b2fa598b848480,
  0x91445546c1197fe0, 0xfe2af9ddc5494717, 0xa0e6f236bcb955ac, 0xdf5673a8a9546ba2, 0x4d7020274dcaed52,
  0xbcae42572fb1e8e4, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6db18c55bd8a,
  0x8d165eae371e6c25, 0x539fa9d599bf83bb, 0xd0f327f8138d2861, 0xac867a616837ef88, 0x686658767c09c659,
  0x644fae57b4f257ee, 0x0000000000000005,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdf89dbf2c78eb9b4, 0x6ecdee9d60148ce0, 0x7333e9cf5b73ed9f, 0x4d744f75b26742c3,
  0x3f4dddacadc896ec, 0x9827c60241505779, 0xdd6d032252522c93, 0x4b881850c1b48c0d, 0x313afccab773ba7c,
  0xd47d37b08ac701ad, 0x4508e489fc1e569b, 0xc3e144312bfcfdf0, 0x55ddeef9b849400d, 0x51150865a0652219,
  0x2db868ffa039e137, 0xffab54c161bcaf21, 0xc1fed68cc7fc84b5, 0x06cc1f51ea3caca1, 0xd68407f15ba5f51f,
  0x0d7d185962291669, 0xd5a5dc98e838ccc0, 0xd794d3b4e28e6e39, 0x25ae8e329ed56ba1, 0xff805ecb8f8c5c24,
  0xaf9ddc54947570e5, 0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x020274dcaed52df5, 0xe42572fb1e8e44d7,
  0xf3f5ae7b55a22bca, 0x757a96165362ce80, 0xa20517d14085a6ae, 0x25ccbe6da718de33, 0xeee3459674371e6c,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xbff82687993fc0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643,
  0x312bda792bf73433, 0x0000000000002b26,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ce[] = {
  0xbb7777743d686f97, 0xf89dbf2a1a6b9b41, 0xe1f6e9d60148ce0d, 0xcfa73d6403738b16, 0xd6cdd712afdd0dcc,
  0xc9fa6eeeecdbeba9, 0xf4c13e30120a82bb, 0x6eeb681912929075, 0xe25c40c2860da460, 0x6989d7e655bb9dd3,
  0xdea3e9bd8456380d, 0x822847244fe0f2b4, 0x6e1f0a21895fe7ef, 0x955ddeef9b8d0700, 0x751150865a065221,
  0x25b7b1fffa039e13, 0xbff56a982c3795e4, 0x1c1aa8fa98ff9035, 0x8bee24b1e7942e0e, 0x7f459784bf10d848,
  0x2152e66a8ee372e4, 0xc1dadea384f9ee58, 0x62c0528bb7e38e9f, 0x75e00cec80234c4e, 0xe7bc6faa01ffb33c,
  0xeee2a4af9d40f2d6, 0x1b5e5caad67f157c, 0xd454aa35d1507379, 0x13a6e576a96fab39, 0x2b97d8f47226b810,
  0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xb1898edec5551692, 0x76371e6c25ccbe6d,
  0x3ab337f07771a2c1, 0x2fcc4fe50c2a73f5, 0xf03e687993fc5ce3, 0xb219e985a0df8e7b, 0xa19961d9f0271966,
  0x4910215ed3c95fb9, 0x0000000000000003,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x07c4edf950eabcda, 0xb6bbf740514a976b, 0x271890dceb7bf69c, 0x53a0b2012c5bb93a,
  0xbbc9b22eeeecdb41, 0xcf5cc13e30120a82, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0x5ba9b677e655bb9d,
  0x5cdea3e04d84ae38, 0xef822847244fe0ca, 0x006e1f0a21895fe7, 0x10caaeef77cdca4a, 0x134be8a8432d0ea1,
  0xf212dba5affa039e, 0xb75ffab54c161bca, 0x839a6eaa3ebdd7c8, 0x1222fb892c79e50b, 0xb91fd165e12fc436,
  0x960807199aa3b8dc, 0xd3f8327bd479c67b, 0xc8e62c0531e7ac71, 0x8cf1d7916ecbe238, 0xeee2a4a3ac8bb8e5,
  0x1b5e5caad67f157c, 0xd454aa35d1507379, 0x13a6e576a96fab39, 0x2b97d8f47226b810, 0x5d73daad115e5721,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xb1898edec5551692, 0x74371e6c25ccbe6d, 0x75666fe0eee34596,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04,
  0x000069240a2bda79,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ee_ce[] = {
  0xd7daddddddd432db, 0x69de276fc75e3386, 0xb695ef773ed9f00a, 0x5388a7043c8970b0, 0x1fe6d366ec9d33fb,
  0x322ee68fe9c119d7, 0xc13e30120a82bbc9, 0xd6d0322525208f5c, 0xb881850c1b48c0dd, 0xb5bfccab773ba7c4,
  0x7ddad826d9c276e6, 0x11c913f8331f9bd4, 0xc2886257f9fbe08a, 0xef77cdc185c01b87, 0x50865a05d510caae,
  0x8ddff4073c264ad1, 0xd530586f2bc84b6f, 0xf546c17e44edffea, 0x27f3ca1707276ec7, 0xc0b924ce75dc6e02,
  0xe44f51e578100dda, 0xc80af2b7a8f83660, 0x616588a459a75a11, 0x56b8287f5b0035f4, 0xbd8cdda3da3d28e7,
  0x4011a633daaf4e0e, 0x700bd97d2cc5c242, 0x4f64511551b04502, 0xb59fc55f3bb8a92f, 0x74541cde46d7972a,
  0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d, 0xce80f1cad75cf6ab, 0xce881085482e52d7,
  0xb15545a4829c6378, 0x09732f9b6c6263b7, 0x3bb8d166880dc79b, 0xf4c2d06fdd599bf8, 0xb0ecf8138cb3590c,
  0x38af69e4afdcd0cc, 0x000000000004c115,
};

static const uint64_t ur_m16hva_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x4edf9e3d7166d75d, 0x8fea0175b499f6bc, 0xf7d7be3f83e782d6, 0xd8bd19f5d9621edb,
  0xa9d73cba8c5c86d3, 0xa0aef25a73ba918e, 0x914fc3304f8c0482, 0xa4606eeb68191292, 0x9dd3e25c40c2860d,
  0x0fd798d6ff32d2df, 0x5b9bd47801b01487, 0xfbe08a11c913f83b, 0x401b87c2886257f9, 0x10caaeef77cdc780,
  0x26c09150865a1a6d, 0xc84b6e951ff4073c, 0x5fffa9ad30586f2b, 0xd7aa8faa38e5f23f, 0xbee24b1e7942f3bf,
  0xf459784bf10d8488, 0xf2499aa3b8dc7807, 0x3d4795e040376b33, 0x2bcadea3e0d98391, 0x962291669d684720,
  0xe0a1fd6c00d7d185, 0x33768f68f4a39d5a, 0x4698cf6abd383af6, 0x2f65f4b317090900, 0x91445546c11409c0,
  0x7f157ceee2a4bd3d, 0x5073791b5e5caad6, 0x6fab39d454aa35d1, 0x26b81013a6e576a9, 0x5e57212b97d8f472,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6db1898edec5, 0xcb3a2e4d5c1e6c25,
  0xa75666fe0fdbb1a2, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef,
  0x92bf734332c3b3e0, 0x00008009f0488527,
};

static const uint64_t ur_m16hva_swio15_noled[] = {
  0x5a9377777759bb37, 0x4f5bbb557229b6e2, 0x4f617eea1c489184, 0x0bfa1ddc4fa5e3e6, 0xe9b150e007937752,
  0x0482a0aef27771de, 0xf48099fdbf304f8c, 0xfc877cb749f23a8f, 0x9ba38e9fc1f3dea3, 0xf40731602dee9a44,
  0x2c608ebc5ced9151, 0xd7972ab52b3a4dc7, 0x152a8d74541cde46, 0x9b95daa5beaece75, 0x255abfdfd1c89ace,
  0x6bae7b55a22bcae4, 0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0xcdb1922adec55516, 0xbf1f0ec6ed84b997,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0000548e6e966e79,
};

// m16hva_swio15_noled_pr_u4
static const uint64_t ur_m16hva_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xec7c2f1afbb713a0,
  0x15de4ee891d37702, 0x9f7f2609f1809054, 0xcb41ff90657fb9af, 0xd3f83e83d4797c77, 0x580b2ca68f7a5471,
  0x5e8f9da2147bd9cc, 0x88a4d2a01ffb3047, 0x5caad5f5b81e59ed, 0xaa35d15073791b5e, 0x576a96fabb39d454,
  0x6aff7f47226b3a6e, 0xb9ed5688af2b9095, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc648ab7b15545a5b,
  0x26ae0f3612e65f36, 0x8f207e50d1659d17, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f,
  0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xe4d5358c939e4afd, 0x0000000000000003,
};

// m16hva_swio15_noled_pr_ee_u4
static const uint64_t ur_m16hva_swio15_noled_pr_ee[] = {
  0x5a6eeeeed12232a8, 0x12eed55e71341625, 0xfd3d313a5c46193f, 0x2f7ab7a51a67ed4d, 0xa2d45640418b2ab4,
  0x5de4eece2db82cf9, 0xe35a609f18090541, 0x71efe469bff735f3, 0x5f51e5670e0ff6b4, 0x8acbafa8f83660cf,
  0xcb1148b34eb4203f, 0xc743ee66006be8c2, 0x8f547f21cead2ee4, 0xb9ed56ba1d7a1a9d, 0x5b2e62e1214428f7,
  0x16a8d8232ffc02f6, 0x36bcb955a8e2fa4c, 0xa8a9546ba2a0e6f2, 0x74dcaed52df57673, 0x212ad5fefe8e44d6,
  0x8b5d73daad115e57, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xbe6d8c9156f62aa8, 0x3a2e4d5c1e6c25cc,
  0x3ab31e40fca1a2cb, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d,
  0x95fb9a19961d9f02, 0x00004ebf4f19273c,
};

// m16hva_swio15_noled_pr_ce_u4
static const uint64_t ur_m16hva_swio15_noled_pr_ce[] = {
  0xe4dddddda2447032, 0x59ddaab9c15a5c49, 0xa2e91fd267c7cdad, 0x8b87c6b9bb2b6d4d, 0x9ca82d0bc2b75e44,
  0x5415de4ee9dad976, 0x5f3fa6e609f18090, 0x51f5eebe4656ff73, 0x24b1e78c953b95d5, 0x9784bf10d8488bee,
  0x266a8ee37190ff45, 0x7bd479ba7b96086b, 0x0299538c71d3f832, 0xa3e768851ef67316, 0x2934a807feccf1d7,
  0xcaad5f5b81e5adc2, 0xa35d15073791b5e5, 0x76a96fabb39d454a, 0xaff7f47226b3a6e5, 0x9ed5688af2b90956,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0xd5c1e6c25ccbe6d8, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xae91799273c95fb9, 0x000000000000001b,
};

static const uint64_t ur_m16hva_swio15_noled_pr_ee_ce[] = {
  0x543ddddddd4458e2, 0x1aeeed55c8a72589, 0xee0ea33dc29a9baf, 0xe00a12c798934b0c, 0x8e3d3a82bc829950,
  0x57793baecb4a71d6, 0xfdda9827c6024150, 0x721fe418fffb9af9, 0x9e3254ecc7ec7f54, 0x8f9339d771b9495f,
  0x3d4795ba50376b02, 0x2b90fea3e0d98340, 0x962291669d684720, 0xe1c9fd6c00d7d185, 0x353b1ea8fe439d5a,
  0x47bdcf6abd383af4, 0x17b2d97317090a21, 0xe9305aa3608a04e0, 0xcde46d7972ab5e9e, 0xece75152a8d74541,
  0x89ace9b95daa5bea, 0xbcae4255abfdfd1c, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19,
  0x9732f9b63218edec, 0x868b3440b93571b0, 0x16837eeacc7903f2, 0x59289c659ac867a6, 0x9cf257ee68665876,
  0x0000000534d17c64,
};

static const uint64_t ur_m16hva_swio15_noled_pr_ee_ce_u4[] = {
  0x9bdddddda2435f41, 0xc5ddaabc2244e892, 0xfd29dba7ecd8f1e5, 0x6f4c99b217063891, 0x81664699b60f3753,
  0x15de4eed6b4ed571, 0x3f002609f1809054, 0x3df7f22d6fff1f87, 0xf285c1cb5baa8faa, 0xe21b09117dc4963c,
  0x71b830bfe8b2f097, 0xa06ed6678f933547, 0xc1b306807a8f2b74, 0x3ad08e405721fd47, 0x01afa30b2c4522cd,
  0xfc873ab5c393fad8, 0x7a7075e86a763d51, 0x2e1214428f7b9ed5, 0xc11409c02f65b2e6, 0xe556bd3dd260b546,
  0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0x57fbfa391359d372, 0xcf6ab445795c84ab, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xa1b8f3612e65f36c, 0xab337f07771a2cb3, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x0013f026b15ed3c9,
};

static const uint64_t ur_m16hva_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0xbee63bbebfc2c611, 0x482fe877713a5ef9, 0xeeb205c46dbafddd,
  0xc0482a0aef2775a9, 0xff48099f5f7304f8, 0x75f0ef96e93e447b, 0xf10c71d3f83e7bd4, 0xee19cc580b7ba609,
  0xcb1823af173b6f68, 0x6bcb955a958b3f71, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x92b1e8e44d702027,
  0x73daad115e57212b, 0xb0b29b1674079fad, 0x3e8a042d3573abd4, 0xf36d38c6f19d1027, 0x6fc7c3b1bb612e65,
  0x138cb3590cf4c2d0, 0x4afdcd0ccb0ecb25, 0x00002a497fa59b9e,
};

// m16hva_swio15_lednop_pr_u4
static const uint64_t ur_m16hva_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x0aef277519eb4b37, 0x9fa95304f8c0482a, 0x9683ff20c7ffb9af, 0xd3f83e83d47d28ef, 0xb016594d01827c71,
  0xbd1f3b2f88e32398, 0x6fdc35403ff6608e, 0xe556b70e40f2cf6c, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5,
  0x7a39135c0809d372, 0xab445795c84ae4ac, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0xcd84b997cdb40a8a, 0x9434596745c9ab83, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3,
  0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0x8324e792bf734332, 0x0000000000f93fea,
};

static const uint64_t ur_m16hva_swio15_lednop_pr_ee[] = {
  0x4dddddd0f5a22582, 0x5ddaabce26c8c4ab, 0x3bc977c7edb327e2, 0x7ab7a5a0a34d68f2, 0x23e0cc418b2ab42f,
  0xc9dd3adb138b52e3, 0x7cc13e30120a82bb, 0xbf911cbfdcd7cff5, 0x479594383fdad1c7, 0x60bea3e0d9833d7d,
  0x4522cd3ad080fe2b, 0x0fb99801afa30b2c, 0x11cdc73ab4bba51d, 0xb55ae875e86a7691, 0xb98b8484be238ca7,
  0xa3608cbff00bd96c, 0x7972ab51c588a4d2, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x563d1c89ae0404e9,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xc1e6c25ccbe6da05,
  0x07e50d160bb2e4d5, 0x2861539fa9d598f2, 0xcc9fe2e7197e627f, 0x2d06fc73df81f343, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x0000000013aebb0c,
};

static const uint64_t ur_m16hva_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222a20, 0xaceed55e712f5e24, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0x221020820c594f22,
  0x7793baafb60dc6ab, 0xc729827c60241505, 0xfbaf916ebfdcd7cf, 0xdea3cae43c1fed68, 0x2b387ea3e0d98397,
  0x2c4522cd3ad080fe, 0x1d63399801afa30b, 0xd291c4273ab4bfee, 0xb3daad743af00676, 0xe1c8c5c2424c5188,
  0x5a8e84597fe017b2, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xe44d7020274dcaed, 0x115e57212b92b1e8,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d02a2ade, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x939e4afdcd0ccb0e, 0x000000004eb842cc,
};

// m16hva_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16hva_swio15_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xaceed55ce0af5e24, 0xb8f7e9e8db6226d6, 0x45c3e35da59bbb26, 0xc6ab2210209baf22,
  0x15057793baafb60d, 0xd7cfc729827c6024, 0x547d7baf916ebfdc, 0x892c79e3254ef4dd, 0x65e12fc4361222fb,
  0xc99aa3b8dc24afd1, 0x9ef51e719ee5821a, 0x014c79eb1c74fe0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6da0518e, 0xa1a2cb3a2e4d5c1e,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0x99273c95fb9a1996, 0x0000000000dd7085,
};

static const uint64_t ur_m16hva_swio15_lednop_pr_ee_ce[] = {
  0x543ddddddd4477d6, 0x1aeeed55c8a4bb89, 0xe276e4ed5a1e9baf, 0xe00a12c7f2531342, 0xb82246c8bc829950,
  0x57793bb61b5eb7da, 0xfe9a9827c6024150, 0x1c87f91ff3fdcd7c, 0xf3c64a9dffcb1fd5, 0x51f2673aee3732a3,
  0x07a8f2b2ea06ed60, 0x05652fd47c1b3068, 0xb2c4522cd3ad08e4, 0x5c3a5fad801afa30, 0x86a769111cdc73ab,
  0x88e329ed57a7075e, 0x02f65b2e62e1212f, 0xe1149a546c11409c, 0x1cde46d7972ab5e9, 0xaece75152a8d7454,
  0xe0404e9b95daa5be, 0xae42572563d1c89a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0x7cdb40a31dbd8aaa, 0x9a205c9ab8d84b99, 0xbf75663c81f94345, 0x4e32cd6433d30b41, 0x2bf734332c3b2c94,
  0x000534c797324e79,
};

static const uint64_t ur_m16hva_swio15_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda2436d3a, 0xc5ddaabc22589892, 0x7af5b75a5833f1e5, 0xde9933642275c1fa, 0x6e999ac16c1e6ea6,
  0x5de4eea8feabec98, 0xf1ba609f18090541, 0xbefe435dffe3f0e7, 0x50b838d77551f547, 0x4361222fb892c79e,
  0x1b8b82fd165e12fc, 0x06ed6678f9335477, 0x1b306807a8f2b2ea, 0xad08e405652fd47c, 0x1afa30b2c4522cd3,
  0xdc73ab5c3a5fad80, 0xa7075e86a769111c, 0xe1212f88e329ed57, 0x11409c02f65b2e62, 0x2ab5e9e1149a546c,
  0x8d74541cde46d797, 0xdaa5beaece75152a, 0xd1c89ae0404e9b95, 0x5a22bcae42572563, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xc1ddc68b2ce86e3c, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f327f81, 0x867a615df47b93f0, 0x6658767c09c659ac, 0x193857b4f257ee68,
  0x00000000000004fc,
};

// m16hva_swio15_dual_pr             m16hva_swio15_dual_pr_u4
static const uint64_t ur_m16hva_swio15_dual[] = {
  0xa5c7bbbbbb4486f9, 0x697e276fc75e10cd, 0x65b9f7ba8ce5dd0b, 0x191fc5fc95264e27, 0xf7f09628d4d8b757,
  0x2bbc95a1ddc7fd51, 0x8ba1cc13e30120a8, 0x2303775b40c89494, 0xee9f12e20614306d, 0xc0a2cce4ff32addc,
  0x99537a8efe6c17d9, 0xcfdf04508e489fc1, 0x0000dc3e144312bf, 0xc910caaeef77cdc8, 0xcf09ad68a8432d08,
  0xe579096dca1ffd01, 0xe47eeffd5aa60b0d, 0x0ffa8fb7cef967bf, 0xf32568f71c74fe0e, 0xb4a47109cc580aa0,
  0x403ff6608ebc019d, 0x02503cb3db4c6325, 0x5acfe2af9ddc5497, 0xba2a0e6f236bcb95, 0x52df57673a8a9546,
  0xe44d7020274dcaed, 0x115e57212b92b1e8, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x12e65f36d02a2ade, 0x7771a2cb3a1b8f36, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xdffc1343cc9fe07f,
  0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x8295ed3c95fb9a19, 0x00000000000524f7,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0xde276fcb1f930da7, 0xb913ba930eb19189, 0xa541b4155c42c55f, 0x0f89bad133a16f58,
  0x792bbbbb37eaea74, 0x304f8c0482a0aef2, 0xbada0644a4a4771f, 0x971030a18369181b, 0x60b5f9956ee774f8,
  0xa8e35b604e8e096a, 0x8a11c913f83d3737, 0x87c2886257f9fbe0, 0x5777bbe6e2a4401b, 0xfc54219683f88865,
  0xdba6dffd01cf09b6, 0xfab54c161bcaf212, 0x3fdad1945f9143ff, 0xd98332bd4795efb8, 0xd080fe2bb75ea3e0,
  0xafa30b2c4522cd3a, 0xb4bb051d09f99801, 0xec66ec63d19ea73a, 0xa5238867b55ae875, 0xe017b2fa598b8485,
  0x8b1f37b546c1197f, 0xd67f157ceee2a4a3, 0xd15073791b5e5caa, 0x96fabb39d454aa35, 0x226b81013a6e576a,
  0x8af2b9095c958f47, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6815156f6,
  0xee34597ab8dc79b0, 0x854e7ea75666fe0e, 0x2343cc9fe04e34a1, 0x66b219e985a0dfbe, 0xb9a19961d9f02719,
  0x056439f15ed3c95f,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ee_u4[] = {
  0x46eb777776890c86, 0x0df89dbf2c7d179b, 0x8b7266eabe6c48ce, 0x6e999f4e69da55e5, 0xe62f7616ad133a16,
  0x7793f4ddd5b4d69e, 0xb8f9827c60241505, 0xc0ddd6d032252523, 0xa7c4b881850c1b48, 0x1ad313afccab773b,
  0x69bd47d37b08ac70, 0xdf04508e489fc1e5, 0x00dc3e144312bfcf, 0x21955ddeef9b8ce4, 0x13751150865a0652,
  0xe425b74dbffa039e, 0x87fff56a982c3795, 0xb0583fdad1bf9f22, 0x47c1b30613fd4795, 0x9a75a101fc5721fd,
  0x30035f4616588a45, 0x0e756974ac3a0e33, 0xe875e534ec802305, 0x0909ef479167b55a, 0x697fe017b2e3e317,
  0xfc55f3bb8a928ead, 0x41cde46d7972ab59, 0xeaece75152a8d745, 0xae0404e9b95daa5b, 0xcae42572563d1c89,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x33a204e7d14085a6, 0x6c25ccbe6da718de, 0xe0eee3459674371e,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x1fbff82687993fc0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6,
  0x22ec2bda792bf734, 0x000000000000002b,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ce[] = {
  0xd6eeeee87ad0cf68, 0xfc4edf950fbb368d, 0xa0fb755f36246706, 0x9f4e69c89f55fd77, 0xcc995dfbf7ba6e99,
  0x93f4dddacad9b46e, 0x19827c6024150577, 0xddd6d03225252223, 0xc4b881850c1b48c0, 0xd313afccab773ba7,
  0xbd47d37b08ac701a, 0x04508e489fc1e569, 0xdc3e144312bfcfdf, 0x955ddeef9b8a4800, 0x751150865a065221,
  0x25b719bffa039e13, 0x7ff56a982c3795e4, 0x09d5547d5fcf9070, 0x45f71258f3ca1707, 0x5fa2cbc25f886c24,
  0x10a973354771b949, 0xf0622fa8f224f72c, 0xcc580bfb8ca8e3a7, 0x8ebc019db4a47109, 0x6e4c6325403ff667,
  0xe7771525c0940f2d, 0xc8daf2e556b3f8ab, 0xcea2a551ae8a839b, 0x09d372bb54b7d5d9, 0x4ae4ac7a39135c08,
  0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x681463b7b15545a4, 0x5d8dc79b09732f9b,
  0x4eaccdfc1ddc68b0, 0xcbf313f9430a9cfd, 0xfc0f9a1e64ff1738, 0xac867a616837e39e, 0x686658767c09c659,
  0x491eb657b4f257ee, 0x0000000000000003,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ce_u4[] = {
  0x647777776890cf68, 0x0f89dbf2a1a8f9b4, 0xeecdeeb627652ed6, 0x89c624dd56875c21, 0x7626ba27f5dee991,
  0xbc9b22eed656e44b, 0xf74c13e30120a82b, 0x06eeb68191292911, 0x3e25c40c2860da46, 0xba9b677e655bb9dd,
  0xcdea3e04d84ae385, 0xf822847244fe0ca5, 0x06e1f0a21895fe7e, 0x0caaeef77cdc24a0, 0x34be8a8432d0ea11,
  0x425b7a1fffa039e1, 0x6fff56a982c3795e, 0xe6ceaa8faedff91a, 0x88bee24b1e7942e0, 0x2bf459784bf10d84,
  0x8201c666a8ee3729, 0xfe0c9af51d009ee5, 0x9cc580afe7511c74, 0x3c75e45bb4dc8f22, 0xdc5494743e6e3963,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x92b1e8e44d702027, 0x73daad115e57212b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0x371e6c25ccbe6da0, 0x666fe0eee3459674,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0xc9f81fbff8268799, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x006926312bda792b,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ee_ce[] = {
  0xad95bbbbbba86f97, 0xa7789dbf1d7df5cd, 0xfb57bdd2af2c4029, 0x388a716a69ef709a, 0x37609932c9d33d95,
  0xc8bbbbb35e094eb3, 0x04f8c0482a0aef24, 0x5b40c894948f3d73, 0xe20614306d230377, 0xd6ff32addcee9f12,
  0xf76b609b6709db9a, 0x47244fe0cc7e6f51, 0x0a21895fe7ef8228, 0xdeef9b9d4e006e1f, 0xa10cb40baa21955d,
  0xf5ffe80e784c95a2, 0xaa60b0de579096df, 0xf546a7be43fcffd5, 0xbff9e50b838ff2c7, 0x605c92673aee3739,
  0x7dd7a8f2bcac06ed, 0xe40572bbd47c1b30, 0x30b2c4522cd3ad08, 0xab5c305fad801afa, 0x5ec66ec63d19ea73,
  0x6948e219ed57a707, 0x3805ecbe9662e121, 0xd3c3e6f6a8d82281, 0xad67f157ceee2a4b, 0x5d15073791b5e5ca,
  0xa96fabb39d454aa3, 0x7226b81013a6e576, 0x88af2b9095c958f4, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af,
  0x62aa8b490538c6f1, 0x12e65f36d028c76f, 0x7771a2cd101b8f36, 0xe985a0dfbab337f0, 0x61d9f0271966b219,
  0x915ed3c95fb9a199, 0x0000000000130403,
};

static const uint64_t ur_m16hva_swio15_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x13b7e78fbc99b49f, 0xf766a27d69267daf, 0x75caf799b70b68fe, 0xf317a334fb2c43d8,
  0x6b7608718f0dfc23, 0x2a0aef25a73bb839, 0x2917b3d304f8c048, 0xda4606eeb6819129, 0xf9dd3e25c40c2860,
  0x70fd798d6ff32d2d, 0xb5b9bd47801b0148, 0x9fbe08a11c913f83, 0xf801b87c2886257f, 0xd10caaeef77cdc3a,
  0xc26c09150865a1a6, 0xbc84b6ec87ff4073, 0xb07ffa9ad30586f2, 0xec1aa8faa31adf23, 0x8bee24b1e7942f3b,
  0xbf459784bf10d848, 0x3f2499aa3b8dc3af, 0xebd4795e560376b3, 0x02b95dea3e0d983e, 0x5962291669d68472,
  0xae182fd6c00d7d18, 0x6337631e8cf539d5, 0xa4710cf6abd383af, 0x02f65f4b317090b4, 0xe1f37b546c11409c,
  0xb3f8abe7771525e9, 0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0x135c0809d372bb54, 0x5795c84ae4ac7a39,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xb2ce8b9357079b09,
  0xa9d599bf83f6ec68, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x00004005f5422149,
};

// m16hvb_swio10_noled_pr            m32hvb_swio10_noled               m32hvb_swio10_noled_pr
static const uint64_t ur_m16hvb_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xd7c8913fc1a1e7c3, 0x0c43fa8ef79df2c4, 0xdee9a71c8b1c74fe, 0xcedd02359e731602,
  0xc6bedc72c608ebc5, 0x073791b5e5caad4a, 0xfab39d454aa35d15, 0xd7d1c89ace576a96, 0x55a22bcae42552fb,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xa718de33a204e148, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xe6866587494b6592, 0xf9003939bacf257e,
};

// m32hvb_swio10_noled_pr_u4
static const uint64_t ur_m16hvb_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xebfcd7bcfc7b9827, 0xa8f371df2c22fc8e, 0x32a718e3a7f064f7, 0xf476b1cc580b2ca6,
  0x1ffb30475e8f9d9e, 0xa07967b770d67aa0, 0xcde46d7972ab555a, 0xace75152a8d74541, 0xf47226b395daa5be,
  0x688af2b90954bef5, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd84b997cdb2048a,
  0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f,
  0x494b67c09c6592e1, 0x0fcf257ee6866587, 0x00000000f939f051,
};

// m16hvb_swio10_noled_pr_ee_u4      m32hvb_swio10_noled_pr_ee         m32hvb_swio10_noled_pr_ee_u4
static const uint64_t ur_m16hvb_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xdff9af79f1ad304f, 0x70e6ab5a38f7f234, 0x8f83660cf5f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x39d5a5ff72e35934, 0xd0ebce9bb6948e21, 0x845098a3116c6ab5, 0xfd6e1bd96cb98b84,
  0xad40226abfaa3608, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d1c89ace57, 0xae7b55a22bcae425,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xe917c43f3c95fb9a, 0x000000000000013a,
};

// m16hvb_swio10_noled_pr_ce_u4
static const uint64_t ur_m16hvb_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x1813fcd7bcfdba98, 0x953bcad717d644f9, 0xd8488bee24b1e78c, 0x951723fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1e0bf51f249e, 0xd6398b017ba05238, 0x6678ebd1f3b3de8e, 0xcb5bae1acf5403ff,
  0x236bcb955aaad503, 0x3a8a9546ba2a0e6f, 0x91359caed52df567, 0x5795c84aa5f7afa3, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb20431dbd, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000dd7daf710fc,
};

static const uint64_t ur_m16hvb_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe6bde7c344c13e3, 0xe77fd519c3f9163f, 0x00dbbfcf192a7763, 0xcac7be6139dc6e00,
  0x6807a8f2b74b29da, 0x14c5721fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbf70ea426be8c, 0xbce9bb6948e2139d,
  0x1314622d8d578d8e, 0xc37b2d973170908a, 0xb326abfaa3608991, 0x5073791b5e5caad4, 0x6fab39d454aa35d1,
  0xbd7d1c89ace576a9, 0xb55a22bcae42552f, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xc1e6c25ccbe6d902, 0x1f9434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0x3f0745887e792bf7, 0x0000000000000001,
};

static const uint64_t ur_m16hvb_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fe412b3e87d304, 0xc41717d51dbaf918, 0x17dc4963cf285c1c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0x6f236bcb955a9664,
  0x673a8a9546ba2a0e, 0xa391359caed52df5, 0x445795c84aa5f7af, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0xd84b997cdb20431d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa25d79e4afdcd0cc, 0x000000000009f87a,
};

// m32hvb_swio10_noled_ee_hw
static const uint64_t ur_m16hvb_swio10_noled_ee_hw[] = {
  0x426eeeeed12198e2, 0x6d5cb4b1ea6d2eb1, 0xa7ad177499f1ff12, 0x08f229835cdd95b6, 0xad41685e14452225,
  0xc13e32774a70f6d3, 0xc8d37fec3fe7c6b4, 0x7959c39aad68e3df, 0xebea3e0d9833d7d4, 0x459a75a1143be2b2,
  0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1, 0xd823f5b86f65b2e6,
  0x972ab50089aafea8, 0x2a8d74541cde46d7, 0x395daa5beace7515, 0x90954bef5f47226b, 0xc5aeb9ed5688af2b,
  0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0x7cdb2048ab7b1554, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000016f93f0d14f2,
};

// m16hvb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x23107fb0ff9f43e9, 0x839882e2faa3b75f, 0x1222fb892c79e50b, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x073791b5e5caad4b,
  0xfab39d454aa35d15, 0xd7d1c89ace576a96, 0x55a22bcae42552fb, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7aa28a792bf73433, 0x0000000000001404,
};

// m32hvb_swio10_lednop
static const uint64_t ur_m16hvb_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0xbe404fff06879f32, 0x621fd47c90ef9626, 0x7ba6ee8148e3a7f0, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x073791b5e5caad4a, 0xfab39d454aa35d15, 0xc89ae0404e576a96, 0x2bcae4255aba5fd1,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6d976455bd8, 0xd30ae4fcfec376c2,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x00000005483a7375,
};

// m16hvb_swio10_lednop_pr_u4        m32hvb_swio10_lednop_pr           m32hvb_swio10_lednop_pr_u4
static const uint64_t ur_m16hvb_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0xf7fe6bde7e034c13, 0xa8f389df2c22fc80, 0x63cf58e3a7f064f7, 0x11c1f398b016594c,
  0x7fecc11d7a3e76f9, 0xa07967b7bdf40a80, 0xcde46d7972ab5815, 0xace75152a8d74541, 0x26b8101395daa5be,
  0xf2b90956ae97f472, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x32f9b65d9156f62a,
  0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33,
  0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x003e4e7e0a21f9e4,
};

// m16hvb_swio10_lednop_pr_ee_u4     m32hvb_swio10_lednop_pr_ee        m32hvb_swio10_lednop_pr_ee_u4
static const uint64_t ur_m16hvb_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x72ff35ef3fd5f304, 0xca1cd56b471efe44, 0x51f06cc19ebea3ca, 0xd3ad08a1df15b05f,
  0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad, 0x7eb70decb65cc5c2,
  0xad402b86b3d51b04, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x5fd1c89ae0404e57, 0x55a22bcae4255aba,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0xe6c25ccbe6d97645, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000013ae10b8,
};

// m16hvb_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16hvb_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff35ef3f15a60, 0x54eedd5c5f5913e4, 0x61222fb892c79e32, 0x253397ea3e12fc43,
  0x9633f5933c5dc6e5, 0xa7f0782fd470527b, 0xf9cc580a1ed008e3, 0x678ebd1f3b7c88e0, 0x2d6edefa05403ff6,
  0x8daf2e556b02b40f, 0xea2a551ae8a839bc, 0x020272bb54b7d59c, 0x212ad5d2fe8e44d7, 0x2b5d73daad115e57,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xebdd5b887e792bf7, 0x0000000000000006,
};

static const uint64_t ur_m16hvb_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfcd7bcfcedcc13e, 0x68effaa3387f2376, 0xa3ea49f9e3254ef7, 0xd6563df309cee373,
  0x83403d479597594e, 0x40a62b297ea3e0d9, 0x616588a459a75a11, 0xeaeddf38752135f4, 0xebce9bb04f46be1c,
  0x46488c6fd8d578d8, 0x386f65b2e62e1211, 0x2cee1acf546c1132, 0x541cde46d7972ab5, 0x5beace75152a8d74,
  0x47226b8101395daa, 0x88af2b90956ae97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36cbb0c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x00000534d17d10fc,
};

static const uint64_t ur_m16hvb_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01ff20959ffd7982, 0x400b8bea8edd7c88, 0x8bee24b1e7942e0e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x791b5e5caad4b3b8,
  0x39d454aa35d15073, 0xae0404e576a96fab, 0xae4255aba5fd1c89, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb2ec31dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009f8135a5d79,
};

// m32hvb_swio10_lednop_ee_hw
static const uint64_t ur_m16hvb_swio10_lednop_ee_hw[] = {
  0x426eeeeed121b7d6, 0x6d5cb4b1ea6f5eb1, 0x27ab8f746db11f12, 0x08f229835da59bbb, 0xdab2210208452225,
  0x609f193baf5a716f, 0xc88e5fec3fe7fabe, 0x7959439aad68e3df, 0x0bea3e0d9833d7d4, 0x459a75a1143be2b6,
  0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63, 0x608fd6e1bd96cb98,
  0xb955a80570d67aa3, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809, 0xcf6ab445795c84ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0x6e3cd84b997cdb2e, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xff7c1514f257ee68,
  0x0000000000000016,
};

// m16hvb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x1003fd87fcffebcc, 0x1c801717d51dbaf9, 0x9117dc4963cf285c, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xe6f236bcb955a967,
  0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00000050104d6a29,
};

// m16hvb_swio10_dual_pr             m16hvb_swio10_dual_pr_u4
static const uint64_t ur_m16hvb_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xe6e56f80370f8510, 0x96846488655777bb, 0xfe80e784d6b45421,
  0x0586f2bc84b6e5d7, 0x587cf9152bfffed3, 0x4fe0c45f51e443be, 0xc055079bf71951c7, 0xe00ced38a37bce62,
  0x5e0faa01ffb30475, 0x2a4b7f8607967b6b, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x4e576a96fab39d45,
  0x5aba5fd1c89ae040, 0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x76455bd8aaa2d241,
  0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x4935ad52ebcf257e, 0x0000000000000001,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0x3f03646368191292, 0x74f8971030a18349, 0x02d4c63ff9956ee7,
  0x5a6f51c9d6c12d1c, 0xf7c114239227f071, 0x80370f8510c4aff3, 0x10caaeef77cdc548, 0x260f7150865a0bed,
  0xc84b6e9b7ff4073c, 0x87ffffed30586f2b, 0x7bee6ab5a328bf22, 0xa8f83660ccaf51e5, 0x69d68450ef8aedd7,
  0x484d7d1859622916, 0x8e75697286b8a973, 0xe875ea25da3da3d2, 0x42284011a636355a, 0xfd6e1bd97d2cc5c2,
  0xa4a014656b2a3608, 0x5caad67f157ceee2, 0xaa35d15073791b5e, 0xe576a96fab39d454, 0xaba5fd1c89ae0404,
  0xe7b55a22bcae4255, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x6455bd8aaa2d2414, 0x371e6c25ccbe6d97,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001591eb72ebcf,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x06927e06c8c6d032, 0xddcee9f12e206143, 0x6b1c09d4c96bf32a,
  0xf07bee6f51e2b6c0, 0xaff3f7c114239227, 0xe33900370f8510c4, 0x08f688655777bbe6, 0x01cf09a448a8432d,
  0x1bcaf212dba6dffd, 0xe7c8a1fffffb4c16, 0xea3cad82cd56b46f, 0xb90fea3e0d98309f, 0x8a459a75a1143be2,
  0x105cd2135f461658, 0x28e6e39d5a5dc9ae, 0x1aad743af6b13b4e, 0xc5c242285ae8e32b, 0xb8e93eb70decb8f8,
  0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x5fd1c89ae0404e57, 0x55a22bcae4255aba,
  0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0x4e31bc67440d8ff1, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x02b2042e5d79e4af,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x3493f03646368191, 0xee774f8971030a18, 0x91c0e0cdd5ff9956,
  0x072ba6f51f676c23, 0xff3f7c114239227f, 0x68380370f8510c4a, 0x1ed10caaeef77cdc, 0x73c2609f150865a0,
  0xf2bc84b6f63fff40, 0xf9035bfffed30586, 0x50b838706e2fa98f, 0x4361222fb892c79e, 0xe5c89257ea3e12fc,
  0xee58cfa9733c5dc6, 0x8e9fc1dc3f51fa89, 0xbde731602d4aeea3, 0xd99e3af006769c51, 0xf2d6e5af07d500ff,
  0x2af9ddc5496ff0c0, 0xe6f236bcb955acfe, 0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x1a2ce9f0dc79b097,
  0xa73f53ab337f0777, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x0349318cbaf3c95f,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x0df670d373456fcc,
  0x9fc19439bd47cadb, 0x12bfcfdf04508e48, 0x9b949400dc3e1443, 0xb4027a21955ddeef, 0xf4073c269c62a10c,
  0x2c3795e425b74b5f, 0xbdd7c8b75ffff698, 0x1e7942e0e69bb8be, 0x4bf10d8488bee24b, 0x771b9722495fa8f8,
  0x2fa7b9633c38ccf1, 0x951c74fe0d67fa8f, 0x9118df398b0163de, 0xdc72c678ebc8b76c, 0xc55f3bb8a928ea32,
  0x1cde46d7972ab59f, 0xeace75152a8d7454, 0x226b8101395daa5b, 0xaf2b90956ae97f47, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36cbb0c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a,
  0x00000001a489a097,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x927e06c8c6d03225, 0xcee9f12e20614306, 0x3862099aeff32add,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0xbb006e1f0a21895f, 0x54432abbbddf371d, 0xf09a43c542196830,
  0xaf212dbf60ffd01c, 0x8b5bffffb4c161bc, 0x1cb5b3bfea8f027c, 0x370c03743fcf285c, 0x94ed6564dd309cee,
  0x0d983eebd4795e56, 0xa1140a62b95dea3e, 0x5f4616588a459a75, 0x51ceaedc50c75213, 0x8d8ebd44bb47b47a,
  0x908a1004698d8d57, 0x132386f65f4b3170, 0x5494b38cad6546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0x9caed52df5673a8a, 0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xd863b7b15545a482, 0x0dc79b09732f9b65, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c,
  0x2749d2ebcf257ee6, 0x0000000000000098,
};

static const uint64_t ur_m16hvb_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x1850c1a49f81b231, 0xe65a5bf3ba7c4b88,
  0x6c3b04e1787372d7, 0x89fc1b5dcdea3e37, 0x312bfcfdf04508e4, 0xe6e446200dc3e144, 0x2d08e488655777bb,
  0xfa039e136fb8a843, 0x2c3795e425b7b91f, 0x383f20d6fff61798, 0xe50bcecd6ee2faa3, 0xc4361222fb892c79,
  0xe44629c7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb307dd7a8f2bcad2, 0x22814c572bbd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db8a18ea426b, 0xb1d7a89768f68f4a, 0x1142008d31b1aaf1, 0x6470decbe9662e12, 0x92967195aca8d822,
  0x72ab59fc55f3bb8a, 0xa8d74541cde46d79, 0x95daa5beace75152, 0xae97f47226b81013, 0x9ed5688af2b90956,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x0c76f62aa8b49053, 0xe0f3612e65f36cbb, 0x1fb763458df1726a,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xaa72792bf734332c, 0x00000000200041a9,
};

static const uint64_t ur_m16hvb_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0x1a49f81b231b40c8, 0x773ba7c4b881850c, 0x68e016a631ffccab,
  0x838ad37a8e4eb609, 0x7f9fbe08a11c913f, 0x2a4401b87c288625, 0x5f688655777bbe6e, 0x39e1307b8a8432d0,
  0x795e425b74dbffa0, 0xe450fffb5fb982c3, 0x3caf7dcd56b46517, 0xbaf51f06cc1995ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x7a51cead2e50d715, 0xab5d0ebd44bb47b4, 0xb84845080234c6c6, 0xc11fadc37b2fa598,
  0xdc5494028cad6546, 0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x809caed52df5673a, 0x4ab574bfa39135c0,
  0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb2ec8ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da7add14f257e,
};

static const uint64_t ur_m16hvb_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0xd24fc0d918da0644, 0xb9dd3e25c40c2860, 0x870c41335dfe655b,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0xb7600dc3e144312b, 0x0a88655777bbe6e3, 0x9e134878a8432d06,
  0x95e425b7ec1ffa03, 0x45adffb5fb982c37, 0x0e5ad9dff547813e, 0x8dc672e8ffe7942e, 0xa53b5959374c273b,
  0x83660fbaf51e5795, 0x68450298ae577a8f, 0xd7d185962291669d, 0x9473abb71431d484, 0xe363af512ed1ed1e,
  0x242284011a636355, 0x44c8e1bd97d2cc5c, 0x15252ce32b5951b0, 0xf2e556b3f8abe777, 0xa551ae8a839bc8da,
  0x272bb54b7d59cea2, 0xad5d2fe8e44d7020, 0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xc371e6c25ccbe6d9, 0xb25c33d30ae4fcfe, 0xccb0e9296cf8138c, 0x4fa4ea29e4afdcd0,
  0x0000000000000113,
};

static const uint64_t ur_m16hvb_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0xe06c8c6d03225252, 0x9f12e20614306927, 0xc39b96bf32ec24ee,
  0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x2abbbddf37223100, 0x7dc5421968472443,
  0x2dbdc8ffd01cf09b, 0xff54e4c161bcaf21, 0xdc5f546707e41adf, 0x1258f3c6f860e1ad, 0x47c25f886c2445f7,
  0x3c5dc6e2e0b87ffd, 0x2bcad29dadcdcdd3, 0xbd47c1b307dd7a8f, 0xb34eb422814c572b, 0xea426be8c2cb1148,
  0xf68f4a39d5db8a18, 0xb1aaf1b1d7a89768, 0x662e121142008d31, 0xa8d8226470decbe9, 0xf3bb8a92967195ac,
  0xe46d7972ab59fc55, 0xe75152a8d74541cd, 0xb8101395daa5beac, 0xb90956ae97f47226, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36cbb0c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0075d6717c17d3c9,
};

/*
 * m16hvb_swio11_noled_pr            m16hvb_swio12_noled               m16hvb_swio12_noled_pr
 * m32hvb_swio11_noled               m32hvb_swio11_noled_pr            m32hvb_swio12_noled
 * m32hvb_swio12_noled_pr
 */
static const uint64_t ur_m16hvb_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x7c8eebfc1a1e7e3d, 0xebffa8e989df2dd0, 0xf74c800f91c74fe0, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x0e6f236bcb955a95, 0x57673a8a9546ba2a, 0xfa391359caed52df, 0xad115e57212b637a,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d1023cbc5, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xf20491cdd6792bf7, 0x0000000000000001,
};

// m16hvb_swio12_noled_pr_u4         m32hvb_swio11_noled_pr_u4         m32hvb_swio12_noled_pr_u4
static const uint64_t ur_m16hvb_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xfcd7bcf98f9827c6, 0xc143be5b7bf91b7f, 0xa011c74fe0c9af51, 0x88a731602cb2983d,
  0xecc11d7a3e764c51, 0x7967b76b13ca807f, 0xe46d7972ab542260, 0xe75152a8d74541cd, 0x226b395daa5beaec,
  0x2bcae4256c6f5f47, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6db0862ade,
  0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000f93bea8887e,
};

/*
 * m16hvb_swio11_noled_pr_ee_u4      m16hvb_swio12_noled_pr_ee         m16hvb_swio12_noled_pr_ee_u4
 * m32hvb_swio11_noled_pr_ee         m32hvb_swio11_noled_pr_ee_u4      m32hvb_swio12_noled_pr_ee
 * m32hvb_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m16hvb_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xfcd7bcf9c19827c6, 0xb355ad198ff91b3b, 0xc1b307d47a8f2b2e, 0xb422877c5652fd47,
  0x6be8c2cb1148b34e, 0xead2ee4d71ac9a42, 0x75e74dd8f547f21c, 0x288851ef76355ae8, 0xb70decb65cc5c242,
  0x500ba0e7951b047e, 0x4541cde46d7972ab, 0x5beaece75152a8d7, 0x6f5f47226b395daa, 0x7b55a22bcae4256c,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x862adec5551696d1, 0x5c1e6c25ccbe6db0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xa0887e792bf73433, 0x0000000000013ae9,
};

// m16hvb_swio11_noled_pr_ce_u4      m16hvb_swio12_noled_pr_ce         m16hvb_swio12_noled_pr_ce_u4
static const uint64_t ur_m16hvb_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff35ef3fa6e609, 0x4ee575c5f5eebe46, 0x1222fb892c79e325, 0x1d257ea3e12fc436,
  0x633f5933c5dc6e32, 0x7f06b3fd475f27b9, 0x398b0176fcbe8e3a, 0x78ebd1f3b2628c45, 0xd6eb589e5403ff66,
  0xdaf2e556a844c0f2, 0xa2a551ae8a839bc8, 0xd672bb54b7d5d9ce, 0x95c84ad8debe8e44, 0xf3e2d75cf6ab4457,
  0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x32f9b6c2131dbd8a, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x001baef36e21f9e4,
};

// m16hvb_swio12_noled_pr_ee_ce
static const uint64_t ur_m16hvb_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x35ef3e9b7304f8c9, 0xbfea8cbafc819bff, 0xe8ffe78c953b19b3, 0x58f7cc273b8dc672,
  0x4af51e5721e53b59, 0x98ace1fa8f83660f, 0x962291669d684502, 0xb73931d484d7d185, 0x9d3763d51fc873ab,
  0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238, 0x073791b5e5caad4b, 0xabb39d454aa35d15,
  0x7d1c89ace576a96f, 0x5688af2b9095b1bd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x0fcf257ee6866587,
  0x000000014d34faf1,
};

// m16hvb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16hvb_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffc82567c524c13e, 0xfdc5f547a6fe456f, 0xee24b1e7942e0e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x91b5e5caad4b3e83,
  0x9d454aa35d150737, 0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0x2e65f36d84263b7b, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x0000000027e1b909,
};

// m16hvb_swio12_noled_ee_hw         m32hvb_swio11_noled_ee_hw         m32hvb_swio12_noled_ee_hw
static const uint64_t ur_m16hvb_swio11_noled_ee_hw[] = {
  0x6f26eeeed121be4a, 0xae5a58f531a7582f, 0xd23fbbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x9f193ba528eb6abe, 0x6ceff61ff3e70660, 0xacbacd56b4663fe4, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df1594b,
  0x6909afa30b2c4522, 0xc873ab4bb935c6b2, 0x6ba1d79d3763d51f, 0x0908a22147bdd8d5, 0x11fadc37b2d97317,
  0xcaad402e839e546c, 0xa35d15073791b5e5, 0x76a96fabb39d454a, 0x95b1bd7d1c89ace5, 0xaeb9ed5688af2b90,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x002df7c93a29e4af,
};

// m16hvb_swio11_noled_ee_ce_u4_hw   m16hvb_swio12_noled_ee_ce_hw      m16hvb_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9bf915, 0x2fb892c79e50b839, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xbc8daf2e556a59f4,
  0x9cea2a551ae8a839, 0xe44d672bb54b7d5d, 0x45795c84ad8debe8, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x09732f9b6c2131db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005011b90,
};

// m16hvb_swio12_lednop              m32hvb_swio11_lednop              m32hvb_swio12_lednop
static const uint64_t ur_m16hvb_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x1f2244ff06879f0f, 0x3affea3af877cb74, 0xf74db7e5f471d3f8, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x1cde46d7972ab52b, 0xaece75152a8d7454, 0x26b8101395daa5be, 0x795c84ae5e97f472,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb6318ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000001527d6e6eb3,
};

/*
 * m16hvb_swio11_lednop_pr_u4        m16hvb_swio12_lednop_pr           m16hvb_swio12_lednop_pr_u4
 * m32hvb_swio11_lednop_pr           m32hvb_swio11_lednop_pr_u4        m32hvb_swio12_lednop_pr
 * m32hvb_swio12_lednop_pr_u4
 */
static const uint64_t ur_m16hvb_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xf35ef3ebee609f19, 0x400ef96defe447bf, 0xd4471d3f8326bd47, 0x37ce62c0596533f9,
  0xb30475e8f9db2446, 0xcb3db83fd22a01ff, 0x236bcb955acbb503, 0x3a8a9546ba2a0e6f, 0x0809caed52df5767,
  0x42572f4bfa39135c, 0x56bae7b55a22bcae, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x93080b887e792bf7, 0x000000000000000f,
};

// m16hvb_swio12_lednop_pr_ee        m32hvb_swio11_lednop_pr_ee        m32hvb_swio12_lednop_pr_ee
static const uint64_t ur_m16hvb_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0x9af79f4b5304f8c9, 0x6ab5a331ff206b7f, 0x3660fa8f51e56c16, 0x8450ef8ad4f7a8f8,
  0x7d185962291669d6, 0x5a5dd2ae3593484d, 0xbce9bb4888e6e39d, 0x0be238cac6ab5d0e, 0xe1bd96cb98b84845,
  0x015ac4f2a3608fd6, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xe44d7020272bb54b, 0x8af2b9095cbd2fe8,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6c63156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x75fa7a21f9e4afdc, 0x0000000000000002,
};

// m16hvb_swio12_lednop_pr_ee_u4     m32hvb_swio11_lednop_pr_ee_u4     m32hvb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m16hvb_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xfcd7bcf8d69827c6, 0x7355ad1edff91a6f, 0xc1b30738fa8f2b38, 0xb422877c565d7d47,
  0x6be8c2cb1148b34e, 0xd5a5ff72e2899a42, 0x5eba9bb6948e2139, 0x84c5188b6355ae87, 0xc37b2e1c8c5c2422,
  0x6bcb955aae2d6fad, 0x8a9546ba2a0e6f23, 0x09caed52df57673a, 0x572f4bfa39135c08, 0xbae7b55a22bcae42,
  0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f887e792bf734, 0x0000000000000275,
};

// m16hvb_swio11_lednop_pr_ce_u4     m16hvb_swio12_lednop_pr_ce        m16hvb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m16hvb_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe6bde7e394c13, 0x9de9bb8bebdd7c8b, 0x2445f71258f3c64a, 0xaca8fd47c25f886c,
  0xc67eb2678bb8dc24, 0xfc1acff51e5f4f72, 0x731602c7bd2a38e9, 0xe3af47ced92231be, 0xb741fe91500ffd99,
  0xd7972ab5976a0796, 0x152a8d74541cde46, 0x1395daa5beaece75, 0xae5e97f47226b810, 0x75cf6ab445795c84,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xab2a21f9e4afdcd0, 0x0000000000000dd7,
};

// m16hvb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16hvb_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe6bde7dfe4c13e32, 0x3bfea8cbafc80d1f, 0x38227f3c64a9d868, 0x958f7cc273b8dc68,
  0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450, 0xbb73a51d484d7d18, 0x79d3769111cdc73a,
  0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0x5073791b5e5caad4, 0xfabb39d454aa35d1,
  0xc89ae0404e576a96, 0x15e57212b97a5fd1, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x5ccbe6db1898edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x00014d3b1fe21f9e,
};

// m16hvb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16hvb_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xff20959fec19827c, 0xd717d51e9bf9087d, 0xb892c79e50b83887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0x8daf2e556a59dac4,
  0xea2a551ae8a839bc, 0x20272bb54b7d5d9c, 0x095cbd2fe8e44d70, 0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5975e792,
};

// m16hvb_swio12_lednop_ee_hw        m32hvb_swio11_lednop_ee_hw        m32hvb_swio12_lednop_ee_hw
static const uint64_t ur_m16hvb_swio11_lednop_ee_hw[] = {
  0x6f26eeeed121af43, 0xae5a58f53a0b582f, 0xefd3dd803d2f8936, 0xbc8a671f1a67ed4d, 0x68b51590229110bd,
  0x9f193bad3bed6eca, 0x0d6ff61ff3e96a60, 0xad82cd56b4663fe4, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0xa35d15073791b5e5, 0x76a96fabb39d454a, 0xa5fd1c89ae0404e5, 0xdaad115e57212b97,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d8c6, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x00ad453c95fb9a19,
  0x00000000000002df,
};

// m16hvb_swio11_lednop_ee_ce_u4_hw  m16hvb_swio12_lednop_ee_ce_hw     m16hvb_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9bf908, 0x2fb892c79e50b838, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xbc8daf2e556a59da,
  0x9cea2a551ae8a839, 0x7020272bb54b7d5d, 0xb9095cbd2fe8e44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m16hvb_swio11_dual_pr             m16hvb_swio11_dual_pr_u4          m16hvb_swio12_dual
 * m16hvb_swio12_dual_pr             m16hvb_swio12_dual_pr_u4
 */
static const uint64_t ur_m16hvb_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x83493f0364636819, 0x6ee774f8971030a1, 0xbece05166727f995,
  0xfe0cca9bd477f360, 0x95fe7ef822847244, 0xdc6bb006e1f0a218, 0xd08c910caaeef77c, 0xd01cf09ad68a8432,
  0xb0de579096dca5ff, 0x5aff20a2ffffda60, 0xf83defd47ee8ef96, 0x2a83cce4c3dc71d3, 0x06764011a6273160,
  0x37d500ffd9823af0, 0x495f3a81e59edbde, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9,
  0xf4bfa39135c0809c, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e,
  0x71e6c25ccbe6db18, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x341c72ebcf257ee6, 0x0000000000000149,
};

// m16hvb_swio12_dual_pr_ee
static const uint64_t ur_m16hvb_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0xf81b231b40c89494, 0xa7c4b881850c1a49, 0x16a631ffccab773b,
  0xd37a8e4eb60968e0, 0xbe08a11c913f838a, 0x01b87c2886257f9f, 0x8655777bbe6e5d0c, 0x307b8a8432d05f68,
  0x212dbe9affa039e1, 0x5affffb4c161bcaf, 0xedd4d56b47fbbe40, 0xa3e0d9830f7ea3ca, 0xa75a1143be2bd37e,
  0x2135f4616588a459, 0x39d5a5d82ae2a5cd, 0xa1d7a897631e8cf5, 0x08a34a4710d8d56b, 0xf5b86f65f4b31709,
  0x2500b2288aa8d823, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0xd2fe8e44d7020272,
  0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6c63,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0005642b54baf3c9,
};

// m16hvb_swio12_dual_pr_ee_u4
static const uint64_t ur_m16hvb_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x49f81b231b40c894, 0x3ba7c4b881850c1a, 0x70275325afccab77,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x5000dc3e144312bf, 0xda21955ddeef9b99, 0x3c269122a10cb423,
  0x95e425b7d35ff407, 0xc80b5ffff6982c37, 0x795a9e9aad68e037, 0x87ea3e0d983913d4, 0x459a75a1143be2b3,
  0x5cd2135f4616588a, 0xc1439d5a5d2b2e10, 0xad743af6b13b2008, 0xc242287bd1e45b1a, 0x70feb70decb8f8c5,
  0xcfe2af9ddc549571, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0x71e6c25ccbe6da71, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xc9d3d2ebcf257ee6, 0x000000000000000a,
};

// m16hvb_swio12_dual_pr_ce
static const uint64_t ur_m16hvb_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x0d24fc0d918da064, 0xbb9dd3e25c40c286, 0xe4703833757fe655,
  0xc1cae9bd47d9db08, 0xbfcfdf04508e489f, 0x8a4800dc3e144312, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0xde579096dc66ffe8, 0x9f20e0ffffda60b0, 0xe50b8384eae2fabf, 0xc4361222fb892c79, 0x6e5253397ea3e12f,
  0x9ee58cfa9733c5dc, 0x38e9fc1dadea384f, 0x34c4e62c0528bb7e, 0xfb33c75e00cec802, 0x0f2d6e7bc6faa01f,
  0xf157ceee2a4af9d4, 0x073791b5e5caad67, 0xabb39d454aa35d15, 0x89ae0404e576a96f, 0x5e57212b97a5fd1c,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6db1898edec5, 0xc68b3a7c371e6c25,
  0xa9cfd4eaccdfc1dd, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00d245d92ebcf257,
};

// m16hvb_swio12_dual_pr_ce_u4
static const uint64_t ur_m16hvb_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x0d24fc0d918da064, 0xbb9dd3e25c40c286, 0xfb3869b9a2b7e655,
  0xe0ca1cdea3e56d86, 0x5fe7ef822847244f, 0xc24a006e1f0a2189, 0x013d10caaeef77cd, 0x039e134e3150865a,
  0x3795e425b7a1fffa, 0xffc8d37ffff6982c, 0xf285c1cd9d717d76, 0xe21b09117dc4963c, 0x3729299cbf51f097,
  0xcf72c6787199e2ee, 0x8e3a7f064f7a8f38, 0x47191cc580a63cf5, 0x1cb19e3af22dd97c, 0xaf9ddc5494759177,
  0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb63131dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000000d242ce5d79,
};

// m16hvb_swio12_dual_pr_ee_ce
static const uint64_t ur_m16hvb_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0xfc0d918da0644a4a, 0xd3e25c40c2860d24, 0xc41335dfe655bb9d,
  0xc9bd47d35b07f870, 0xdf04508e489fc1ff, 0x00dc3e144312bfcf, 0x432abbbddf371704, 0x9a43c54219683054,
  0x212db9adffd01cf0, 0x20ffffb4c161bcaf, 0x3101dff54795be46, 0xc548f75bf3ca1707, 0x3b5959374c273b8d,
  0xcc1edff51e572ba5, 0x8a05315efbf51f06, 0xa30b2c4522cd3ad0, 0xe7576e60a3a909af, 0xc75ea25d8c7a33d4,
  0x451a523886c6abc6, 0x91c37b2fa598b848, 0x94b3c8a22aa36089, 0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb,
  0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb6313, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x9c975e792bf73433, 0x0000000000004c13,
};

// m16hvb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16hvb_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x4306927e06c8c6d0, 0x696fcee9f12e2061,
  0xec1385e1cdcb5f99, 0xf06d7737a8f8ddb0, 0xaff3f7c114239227, 0xc15400370f8510c4, 0x11c910caaeef77cd,
  0x073c26df7150865a, 0x6f2bc84b6f495ff4, 0xbe45e1ffec2f3058, 0x179dde1dc5f5464e, 0x6c2445f71258f3ca,
  0xaa2c93fd47c25f88, 0xadcdcdd33c5dc6e0, 0x0f6ffa8f2b95d29d, 0x0298af7dfa8f8366, 0x85962291669d6845,
  0xabb73051d484d7d1, 0xaf512ec63d19ea73, 0x8d291c436355e363, 0xe1bd97d2cc5c2422, 0x59e4511551b044c8,
  0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e, 0xec68b1be2e4d5c1e,
  0x539fa9d599bf83f6, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000004004b82b54e,
};

// m16hvb_swio12_dual_ee_hw
static const uint64_t ur_m16hvb_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0xd24fc0d918da0644, 0xb9dd3e25c40c2860, 0x4700b5318ffe655b,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0xc80b5fed7ee60b0d, 0x795dba9aad68ff77, 0x6fd47c1b3061efd4, 0x8b34eb422877c57a,
  0xb9a426be8c2cb114, 0x9ea73ab4bb055c54, 0xad743af512ec63d1, 0xe121146948e21b1a, 0x047eb70decbe9662,
  0xe2a4a0164511551b, 0x5e5caad67f157cee, 0x54aa35d15073791b, 0x4e576a96fabb39d4, 0xb97a5fd1c89ae040,
  0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920, 0xb1b8f3612e65f36d,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x5768ad5453c95fb9,
};

// m16hvb_swio12_dual_ee_ce_hw
static const uint64_t ur_m16hvb_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0x3f03646368191292, 0x74f8971030a18349, 0x3104cd77f9956ee7,
  0xf26f51f4d6c1fe1c, 0xf7c114239227f07f, 0x00370f8510c4aff3, 0x10caaeef77cdc5c1, 0x2690f150865a0c15,
  0xc84b6e6b7ff4073c, 0x20ff6bf730586f2b, 0x3101dff54795be46, 0xe654341ff3ca1707, 0x9dacac9ba6139dc6,
  0x660f6ffa8f2b95d2, 0x450298af7dfa8f83, 0xd185962291669d68, 0x73abb73051d484d7, 0x63af512ec63d19ea,
  0x228d291c436355e3, 0xc8e1bd97d2cc5c24, 0x4a59e4511551b044, 0xcaad67f157ceee2a, 0xa35d15073791b5e5,
  0x76a96fabb39d454a, 0xa5fd1c89ae0404e5, 0xdaad115e57212b97, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6db189, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25, 0x9ca29e4afdcd0ccb,
  0x000000000001134f,
};

// m16hvb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0x8c6d032252521966, 0xe20614306927e06c, 0x96bf32ec24ee9f12,
  0xf1bb61d8270bc39b, 0x47244fe0daee6f51, 0x0a21895fe7ef8228, 0xdeef9b82a8006e1f, 0xa10cb4239221955d,
  0x92bfe80e784dbee2, 0x7260b0de579096de, 0xaa3275f22f0fffaa, 0x79e37c3072f0ee2f, 0x2fc4361222fb892c,
  0xe3702c8cf5fea3e1, 0xe94ed6e6e6e99e2e, 0xc1b307b7fd4795ca, 0xb422814c57befd47, 0x6be8c2cb1148b34e,
  0xf539d5db9828ea42, 0xf1b1d7a897631e8c, 0x121146948e21b1aa, 0x226470decbe9662e, 0x15252cf2288aa8d8,
  0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xcbd2fe8e44d70202, 0xb9ed5688af2b9095,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0x1b8f3612e65f36d8, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x79e8617d3c95fb9a,
  0x000000000000075d,
};

// m16hvb_swio13_noled_pr            m32hvb_swio13_noled               m32hvb_swio13_noled_pr
static const uint64_t ur_m16hvb_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4f91dd7f8343cfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x2a0e6f236bcb955a, 0x54df673a8a9546ba, 0xe8e44d672bb54b7d, 0xa22bcae4255abdeb,
  0xf0c537acef2e7b55, 0x978a042d2d7f88d4, 0xe6da718de33a2047, 0x1a2c79c376c25ccb, 0x5727eeacc790347f,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0003e409239bacf2,
};

// m32hvb_swio13_noled_pr_u4
static const uint64_t ur_m16hvb_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x32bfcd7bcfbf9304, 0xea3cbe3be5a0ffc8, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x39bc8daf2e556afa, 0x7d9cea2a551ae8a8, 0x91359caed52df553,
  0xaf2b90956af7afa3, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x12e65f36c648ab7b,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000007c9eb2d443f,
};

// m16hvb_swio13_noled_pr_ee_u4      m32hvb_swio13_noled_pr_ee         m32hvb_swio13_noled_pr_ee_u4
static const uint64_t ur_m16hvb_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xdfe6bde7c9d4c13e, 0xa5cd56b46fe7c88a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0xafa391359caed52d, 0x5688af2b90956af7,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x0f3612e65f36c648, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xc43f3c95fb9a1996, 0x000000000013ae59,
};

// m16hvb_swio13_noled_pr_ce_u4
static const uint64_t ur_m16hvb_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff35ef3fb3a60, 0xa9defbb8bebb7fe4, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0x236bcb955abeb703, 0x3a8a9546ba2a0e6f, 0x672bb54b7d54df67, 0xe4255abdebe8e44d, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baf1f5e21f9e4a,
};

static const uint64_t ur_m16hvb_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652fe47fc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x15073791b5e5caad, 0xaa6fb39d454aa35d,
  0xf47226b395daa5be, 0xd115e57212ad5ef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x3f3c95fb9a19961d,
  0x000000014d339f44,
};

static const uint64_t ur_m16hvb_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3be435, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0xe46d7972ab52cfa4,
  0xe75152a8d74541cd, 0xace576a96faa9bec, 0x5c84ab57bd7d1c89, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x00000027e7d9e975,
};

// m32hvb_swio13_noled_ee_hw
static const uint64_t ur_m16hvb_swio13_noled_ee_hw[] = {
  0xc5eeeeeed121b768, 0xdab96963d4e85d63, 0x4f4d2ee8db623e24, 0x2de4531d7c33c5ef, 0x1545a0ab4114889e,
  0x04f8c9dd764afb67, 0x222b7fb0ff9f2753, 0xf2b297355ad1bf9f, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546ba2a0e6f236bc, 0x54b7d54df673a8a9, 0xabdebe8e44d672bb, 0xe7b55a22bcae4255,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0xec6e3cd84b997cdb, 0xc3def2861539fa82,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x16fe662d14f257ee,
};

// m16hvb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f677c8, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3791b5e5caad4b3e,
  0xb39d454aa35d1507, 0x26b395daa5beaa6f, 0xe57212ad5ef5f472, 0xbcf8b5d73daad115, 0x881077536294f0d3,
  0xaa8b4b689c6378ce, 0xb997cdb190c76f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000280becf51,
};

// m32hvb_swio13_lednop
static const uint64_t ur_m16hvb_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd27c88f7fe0d0f3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x541cde46d7972ab5, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xf2b9095c925fd1c8,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x8ce88139f4502169, 0xdb09732f9b69c637, 0x70cf4c2b93f3fb0d,
  0x3a4a5b2c944e32c9, 0xcdd6792bf734332c, 0x00000000001525b9,
};

// m16hvb_swio13_lednop_pr_u4        m32hvb_swio13_lednop_pr           m32hvb_swio13_lednop_pr_u4
static const uint64_t ur_m16hvb_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x31ffe6bde7ea54c1, 0xf51f4a3be5a0ffc8, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xe6f236bcb955adc3, 0xf673a8a9546ba2a0, 0x020272bb54b7d54d,
  0xc84ae492fe8e44d7, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545,
  0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xf26ae0b10fcf257e, 0x0000000000000001,
};

// m32hvb_swio13_lednop_pr_ee
static const uint64_t ur_m16hvb_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x3fe6bde7e87e609f, 0x4f4d56b46fe7c838, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x74541cde46d7972a, 0xfaa9bece75152a8d, 0xc89ae0404e576a96, 0x8af2b9095c925fd1,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6815156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x3af02a21f9e4afdc, 0x0000000000000001,
};

// m32hvb_swio13_lednop_pr_ee_u4
static const uint64_t ur_m16hvb_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xbfcd7bcf9c19827c, 0x759aad68ccaf91b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x1b5e5caad57022fd, 0xd454aa35d1507379, 0x395daa5beaa6fb39, 0x72497f47226b8101, 0xae7b55a22bcae425,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x9a0887e792bf7343, 0x00000000000013ae,
};

// m16hvb_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16hvb_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x469bff35ef3e35a6, 0x4a9deceb8bebb7fe, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0x236bcb955adc3903, 0x3a8a9546ba2a0e6f, 0x272bb54b7d54df67, 0xae492fe8e44d7020, 0x75cf6ab445795c84,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x48be21f9e4afdcd0, 0x0000000000000dd7,
};

static const uint64_t ur_m16hvb_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5fc84db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x2a0e6f236bcb955a, 0x54df673a8a9546ba,
  0x4d7020272bb54b7d, 0x795c84ae492fe8e4, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x32f9b681463b7b15, 0x458f38b93571b097, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00534c5fb887e792,
};

static const uint64_t ur_m16hvb_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3be40a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xf236bcb955a96622,
  0x73a8a9546ba2a0e6, 0x0272bb54b7d54df6, 0x4ae492fe8e44d702, 0xd75cf6ab445795c8, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x681463b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f07abcbaf3c95,
};

// m32hvb_swio13_lednop_ee_hw
static const uint64_t ur_m16hvb_swio13_lednop_ee_hw[] = {
  0xc5eeeeeed121b705, 0x6d5cb4b1ea610563, 0xe15a62774b88cf12, 0x78b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0xf90707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551ae8a839bc8da, 0xed52df5537d9cea2, 0x4bfa39135c0809ca, 0xdaad115e57212b92,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xf9a7453c95fb9a19,
  0x00000000000005bf,
};

// m16hvb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x40a4ff61ff3e6b73, 0x070525c5f547b3be, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x839bc8daf2e556a5,
  0x37d9cea2a551ae8a, 0x5c0809caed52df55, 0x57212b924bfa3913, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6da0518edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000014043d5e8a79,
};

// m16hvb_swio13_dual_pr             m16hvb_swio13_dual_pr_u4
static const uint64_t ur_m16hvb_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7287, 0x2cf7fc8fddffff69, 0x9fc1c1ff51f6f9df, 0x01541e64ad1ee38e, 0x8033b6948e21398b,
  0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x76a96faa9bece751,
  0x25fd1c89ae0404e5, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0xc79b09732f9b6815, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xd79f4baf3c95fb9a, 0x0000000000000524,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x805a98c7ff32addc,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84c1ee2a10cb417d,
  0x79096de76ffe80e7, 0x74fffffda60b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c, 0x9a75a1143be2bd9d,
  0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab, 0x1fadc37b2fa598b8,
  0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xb54b7d54df673a8a, 0x2fe8e44d7020272b,
  0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x3cd84b997cdb40a8,
  0xbf83bb8d165abc6e, 0x8d2861539fa9d599, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x005641d165d79e4a,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x60d24fc0d918da06, 0x5bb9dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xb9d1f006e1f0a218, 0x423da21955ddeef9, 0x4073c269122a10cb,
  0x86f2bc84b6f3b7ff, 0xf7f23a7ffffed305, 0xf51e578126ab5a35, 0xacbafa8f83660fba, 0x2291669d68450ef8,
  0x84173484d7d18596, 0xa472f8e75697f9cb, 0x8d56ba1d7b589db4, 0x3170908a131463e5, 0xae2d6fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd74541cde46d7972, 0x6faa9bece75152a8, 0x1c89ae0404e576a9, 0x88af2b9095c925fd,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88139f4502, 0xdc79b09732f9b69c, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x592054baf3c95fb9, 0x0000000000000001,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x06927e06c8c6d032, 0xddcee9f12e206143, 0x72381c19babff32a,
  0xe0e574dea3eced84, 0x5fe7ef822847244f, 0x8089006e1f0a2189, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0x6f2bc84b6fff3fe8, 0x6f904ebfffed3058, 0xca17073abee2fac0, 0x886c2445f71258f3, 0xdc24aca8fd47c25f,
  0x3dcb19f52e678bb8, 0x38e9fc188bea3c89, 0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f,
  0xfe2af9ddc5497025, 0xa0e6f236bcb955ac, 0x4df673a8a9546ba2, 0xd7020272bb54b7d5, 0x95c84ae492fe8e44,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b681463b7b155, 0xa2ce9f0dc79b0973,
  0x73f53ab337f07771, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x0d24324baf3c95fb,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xa183493f03646368, 0x956ee774f8971030, 0x61bece1a6e68adf9,
  0x13f8328737a8f95b, 0x6257f9fbe08a11c9, 0xf3719c801b87c288, 0x96804f4432abbbdd, 0xfe80e784d38c5421,
  0x0586f2bc84b6e16b, 0xd4caf91b3bfffed3, 0x63cf285c1c8ad717, 0x097e21b09117dc49, 0x2ee37092b2a3f51f,
  0xe804f72c6787199e, 0x3a88e3a7f064d7a8, 0xa6e47914e62c057f, 0xf371cb19e3af22dd, 0x7f157ceee2a4a3a1,
  0x5073791b5e5caad6, 0xa6fb39d454aa35d1, 0x6b8101395daa5bea, 0xcae42572497f4722, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000692042e5d7,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x862099aeff32addc,
  0xfe4dea3e9ad83fc3, 0x7ef822847244fe0f, 0x4006e1f0a21895fe, 0xa21955ddeef9b816, 0x84d21e2a10cb4182,
  0x79096def0ffe80e7, 0x56fffffda60b0de5, 0xe56f9dff5472bbe4, 0xb97437547e7942e0, 0xa76b2b26e984e771,
  0x6cc1995ea3caf7dc, 0x08a05315dbaf51f0, 0xfa30b2c4522cd3ad, 0x0e7576e53c3a909a, 0x363af512ecfe23ea,
  0x42283d51fc96355e, 0x4c8e1bd97d2cc5c2, 0x5252cc7cded51b04, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0xd52df5537d9cea2a, 0xbfa39135c0809cae, 0xaad115e57212b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xe6c25ccbe6da0518, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964,
  0x74baf3c95fb9a199, 0x000000000009822a,
};

static const uint64_t ur_m16hvb_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0a183493f0364636, 0xcb4b7e774f897103,
  0x87609c2f0e6e5afc, 0x3f836bb9bd47c6ed, 0x257f9fbe08a11c91, 0xdc4e3c01b87c2886, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6e495ff, 0xbfe44c37fec2f305, 0x42f3b986b8bea8fa, 0x0d8488bee24b1e79,
  0x9c7f71ffa8f84bf1, 0x6b737374cf1771b8, 0xc1995ea3caf7dca7, 0xa05315dbaf51f06c, 0x30b2c4522cd3ad08,
  0x7576e53c3a909afa, 0x3af512ecfe23ea0e, 0x283d51fc96355e36, 0x8e1bd97d2cc5c242, 0x52cc7cded51b044c,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0x2df5537d9cea2a55, 0xa39135c0809caed5, 0xd115e57212b924bf,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0xc68b1be2e4d5c1e6,
  0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000020027c1354e4,
};

static const uint64_t ur_m16hvb_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x493f036463681912, 0xe774f8971030a183, 0x1c02d4c63ff9956e,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xeb00370f8510c4af, 0xed10caaeef77cdce, 0x3c260f7150865a0b,
  0x2bc84b6f3b7ff407, 0x8e9fff6bf730586f, 0x95e9b9aad68dc9fc, 0xbd47c1b3071efd47, 0xb34eb422877c57b3,
  0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5, 0x23f5b86f65f4b317,
  0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x76a96faa9bece751, 0x25fd1c89ae0404e5,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0xf2861539fa97ab8d, 0x3cc9fe2e7197e627, 0x30ae4fc73dffc134, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000005768745a2,
};

static const uint64_t ur_m16hvb_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x24fc0d918da0644a, 0x9dd3e25c40c2860d, 0x70c41335dfe655bb,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0xc800dc3e144312bf, 0x54432abbbddf3702, 0xf09a43c542196830,
  0xaf212dbde1ffd01c, 0x2b7ffdafdcc161bc, 0x72b7ceffaa395df2, 0x6e747d493f3ca170, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xb54b7d54df673a8a, 0x2fe8e44d7020272b, 0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0x0cf4c2b93f3fb0dc, 0x3a4a5b3e04e32c97, 0x3a8a792bf734332c,
  0x00000000001134d5,
};

static const uint64_t ur_m16hvb_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x3646368191292917, 0x8971030a183493f0, 0xcdcb5f997612774f,
  0xa8f8ddb0ec1385e1, 0x14239227f06d7737, 0x0f8510c4aff3f7c1, 0x5ddeef9b89c78037, 0xe2a10cb423922195,
  0xdc92bfe80e784dbe, 0xaa7260b0de579096, 0x5f547d5ff2261bff, 0x58f3c6f860e4c35c, 0xc25f886c2445f712,
  0xbb8dce1fe3eefd47, 0xbee53b5b9b9ba678, 0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166,
  0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1, 0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8,
  0x6d7972ab59fc55f3, 0x5152a8d74541cde4, 0xe576a96faa9bece7, 0xc925fd1c89ae0404, 0xb9ed5688af2b9095,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x48f2617d3c95fb9a,
  0x000000000000075d,
};

// m16hvb_swio14_noled_pr            m32hvb_swio14_noled               m32hvb_swio14_noled_pr
static const uint64_t ur_m16hvb_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xd07c8eebfc1a1e7e, 0xe0ebffa8e989df2d, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0xfe8e44d674dcaed5, 0x55a22bcae4256c7e,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xa718de33a2047978, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x3e409239bacf257e,
};

// m32hvb_swio14_noled_pr_u4
static const uint64_t ur_m16hvb_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0xbffe6bde7cc7cc13, 0xa8e0a1df2dbdfc8d, 0x1ed008e3a7f064d7, 0x28c45398b016594c,
  0x3ff6608ebd1f3b26, 0x303cb3dbb589e540, 0xe6f236bcb955aa11, 0x5673a8a9546ba2a0, 0xe44d674dcaed52df,
  0x22bcae4256c7efe8, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xc25ccbe6db0862ad,
  0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000000f93bea8887,
};

// m16hvb_swio14_noled_pr_ee_u4      m32hvb_swio14_noled_pr_ee         m32hvb_swio14_noled_pr_ee_u4
static const uint64_t ur_m16hvb_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x3bfcd7bcf9c19827, 0x2eb355ad198ff91b, 0x47c1b307d47a8f2b, 0x4eb422877c5652fd,
  0x426be8c2cb1148b3, 0x1cead2ee4d71ac9a, 0xe875e74dd8f547f2, 0x42288851ef76355a, 0x7eb70decb65cc5c2,
  0xab500ba0e7951b04, 0xd74541cde46d7972, 0xdaa5beace75152a8, 0x8fdfd1c89ace9b95, 0xcf6ab445795c84ad,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0xab83cd84b997cdb6, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x34110fcf257ee686, 0x000000000000275d,
};

// m16hvb_swio14_noled_pr_ce_u4
static const uint64_t ur_m16hvb_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x8cadfe6bde7f4dcc, 0x4a9dcaeb8bebdd7c, 0x6c2445f71258f3c6, 0x643a4afd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0d67fa8ebe4f, 0x8a731602edf97d1c, 0xccf1d7a3e764c518, 0xe5add6b13ca807fe,
  0x91b5e5caad508981, 0x9d454aa35d150737, 0x6b3a6e576a96fab3, 0xe57212b63f7f4722, 0xbcf8b5d73daad115,
  0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xccbe6db084c76f62, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0006ebbcdb887e79,
};

static const uint64_t ur_m16hvb_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff9af79f4db9827c, 0xd9dff5465d7e40cd, 0x39747ff3c64a9d8c, 0xacac7be6139dc6e3,
  0x07a57a8f2b90f29d, 0x814c5670fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9c98ea426be8, 0xebce9bb1ea8fe439,
  0xa22147bdd8d578d8, 0x1c37b2d973170908, 0xa59f41cf2a360899, 0x8a839bc8daf2e556, 0x4b7d59cea2a551ae,
  0xbfa391359d372bb5, 0xd5688af2b9095b1f, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x63b7b15545a5b44e,
  0xae3612e65f36d842, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592, 0x10fcf257ee686658,
  0x0000000014d34faf,
};

static const uint64_t ur_m16hvb_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff904acf8a4982, 0xadfb8bea8f4dfc8a, 0x17dc4963cf285c1c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0x6f236bcb955a967d,
  0x673a8a9546ba2a0e, 0x44d674dcaed52df5, 0x2bcae4256c7efe8e, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x0000000009f86e42,
};

// m32hvb_swio14_noled_ee_hw
static const uint64_t ur_m16hvb_swio14_noled_ee_hw[] = {
  0x426eeeeed121be4a, 0x6d5cb4b1ea634eb1, 0x77a47f776dbaff12, 0x08f2299c7cfd833c, 0xbe081eb920452225,
  0x609f193ba528eb6a, 0xe46ceff61ff3e706, 0x3cacbacd56b4663f, 0x4bf51f06cc1f51ea, 0x22cd3ad08a1df159,
  0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8, 0x6c11fadc37b2d973,
  0xe5caad402e839e54, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x12b63f7f47226b3a, 0xb5d73daad115e572,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x36d843156f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0005bef927453c95,
};

// m16hvb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x2b7ffd87fcf8a498, 0x72b7ee2faa3d37f2, 0x445f71258f3ca170, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0x73791b5e5caad4b3,
  0xab39d454aa35d150, 0x7226b3a6e576a96f, 0x115e57212b63f7f4, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xc25ccbe6db084c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x28a792bf734332c3, 0x00000000014046e4,
};

// m32hvb_swio14_lednop
static const uint64_t ur_m16hvb_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x741f2244ff06879f, 0xf83affea3af877cb, 0x16f74db7e5f471d3, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x89ae0404e9b95daa, 0x5795c84ae5f63d1c,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb6318ab7b1, 0xa615c9f9fd86ed84,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000001527d6e6eb,
};

// m16hvb_swio14_lednop_pr_u4        m32hvb_swio14_lednop_pr           m32hvb_swio14_lednop_pr_u4
static const uint64_t ur_m16hvb_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xdff9af79f5f7304f, 0xa3a0077cb6f7f223, 0xfcea238e9fc1935e, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x3791b5e5caad65da, 0xb39d454aa35d1507, 0x81013a6e576a96fa,
  0x7212b97d8f47226b, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x7c98405c43f3c95f,
};

// m32hvb_swio14_lednop_pr_ee
static const uint64_t ur_m16hvb_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0x7f9af79f4b5304f8, 0x166ab5a331ff206b, 0xf83660fa8f51e56c, 0xd68450ef8ad4f7a8,
  0x4d7d185962291669, 0x9d5a5dd2ae359348, 0x0ebce9bb4888e6e3, 0x450be238cac6ab5d, 0xd6e1bd96cb98b848,
  0x6a015ac4f2a3608f, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0x39135c0809d372bb, 0x88af2b9095cbec7a,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b6c63156f, 0xd1674f8b9357079b,
  0x39fa9d598f207e50, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x275fa7a21f9e4afd,
};

// m32hvb_swio14_lednop_pr_ee_u4
static const uint64_t ur_m16hvb_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xdff9af79f1ad304f, 0x70e6ab5a3dbff234, 0x8f83660e71f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x73ab4bfee5c51334, 0x0ebd75376d291c42, 0x45098a3116c6ab5d, 0x5b86f65c3918b848,
  0x46d7972ab55c5adf, 0x75152a8d74541cde, 0x04e9b95daa5beace, 0x4ae5f63d1c89ae04, 0xd75cf6ab445795c8,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xba45f10fcf257ee6, 0x000000000000004e,
};

// m16hvb_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16hvb_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x16ebfcd7bcfc7298, 0x953bd37717d7baf9, 0xd8488bee24b1e78c, 0x495951fa8f84bf10,
  0xe58cfd64cf1771b8, 0xd3f8359fea3cbe9e, 0x7ce62c058f7a5471, 0x33c75e8f9db24463, 0x2d6e83fd22a01ffb,
  0x8daf2e556b2ed40f, 0xea2a551ae8a839bc, 0x09d372bb54b7d59c, 0x95cbec7a39135c08, 0xaeb9ed5688af2b90,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xf565443f3c95fb9a, 0x00000000000001ba,
};

static const uint64_t ur_m16hvb_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff35ef3eff2609f, 0x341dff5465d7e406, 0x341c113f9e3254ec, 0xdacac7be6139dc6e,
  0x307a57a8f2b29729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42, 0x9d5db9d28ea426be, 0x8ebce9bb4888e6e3,
  0x8a17c471958d578d, 0x91c37b2d97317090, 0x6a59dac4f2a36089, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a,
  0x39135c0809d372bb, 0x88af2b9095cbec7a, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36d8c4c76f, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e, 0xf257ee6866587494,
  0x00000a69d8ff10fc,
};

static const uint64_t ur_m16hvb_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfe412b3fd83304, 0x0fae2faa3d37f210, 0x5f71258f3ca17071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x791b5e5caad4b3b5,
  0x39d454aa35d15073, 0x1013a6e576a96fab, 0x212b97d8f47226b8, 0x2b5d73daad115e57, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6db1898edec55516, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004fccb4b2ebcf2,
};

// m32hvb_swio14_lednop_ee_hw
static const uint64_t ur_m16hvb_swio14_lednop_ee_hw[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea7416b1, 0x9bdfa7bb007a5f12, 0x847914ce3e34cfda, 0xca68b51590229112,
  0x609f193bad3bed6e, 0xe40d6ff61ff3e96a, 0x3cad82cd56b4663f, 0x9ef51f06cc1f51ea, 0x22cd3ad08a1df15a,
  0xb26909afa30b2c45, 0x1cdc73ab4bba55c6, 0xd56ba1d79d376911, 0x170908a17c471958, 0x6c11fadc37b2d973,
  0xe5caad402b589e54, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x7d8f47226b81013a, 0x3daad115e57212b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c, 0x7bca1854e7ea0bb1,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xf00ad453c95fb9a1,
  0x000000000000002d,
};

// m16hvb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x10fbfd87fcff60cc, 0x710fae2faa3d37f2, 0x445f71258f3ca170, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0x73791b5e5caad4b3,
  0xab39d454aa35d150, 0xb81013a6e576a96f, 0x57212b97d8f47226, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000140596968a79,
};

// m16hvb_swio14_dual_pr             m16hvb_swio14_dual_pr_u4
static const uint64_t ur_m16hvb_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x860d24fc0d918da0, 0x55bb9dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x596bfc828bffff69, 0x4fe0f7bf51fba3be, 0x80aa0f33930f71c7, 0xc019d90046989cc5,
  0x78df5403ff6608eb, 0x15257cea07967b6f, 0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0x372bb54b7d59cea2,
  0xbec7a39135c0809d, 0x9ed5688af2b9095c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053,
  0xdc79b09732f9b6c6, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d071cbaf3c95fb9, 0x0000000000000052,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0x93f0364636819129, 0x774f8971030a1834, 0xc02d4c63ff9956ee,
  0x15a6f51c9d6c12d1, 0x3f7c114239227f07, 0x180370f8510c4aff, 0xd10caaeef77cdcba, 0xc260f7150865a0be,
  0x5e425b7d35ff4073, 0x80b5ffff6982c379, 0x95dba9aad68ff77c, 0xfd47c1b3061efd47, 0xb34eb422877c57a6,
  0x9a426be8c2cb1148, 0xea73ab4bb055c54b, 0xd743af512ec63d19, 0x121146948e21b1aa, 0x47eb70decbe9662e,
  0x2a4a0164511551b0, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x7d8f47226b81013a,
  0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000ac856a975e79,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x3493f03646368191, 0xee774f8971030a18, 0x58e04ea64b5f9956,
  0x83df737a8f15b603, 0x7f9fbe08a11c913f, 0x32a001b87c288625, 0x47b4432abbbddf37, 0x0e784d2245421968,
  0x6f2bc84b6fa6bfe8, 0x6f9016bfffed3058, 0xa8f2b53d355ad1c0, 0x670fd47c1b307227, 0x148b34eb422877c5,
  0x20b9a426be8c2cb1, 0x1182873ab4ba565c, 0x355ae875ed627640, 0x8b848450f7a3c8b6, 0xe2e1fd6e1bd971f1,
  0xb59fc55f3bb8a92a, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc67440a2fa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x593a7a5d79e4afdc, 0x0000000000000001,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x37149001b87c2886, 0x6807b4432abbbddf, 0xd01cf09827c54219,
  0x61bcaf212db8cdff, 0x7f3e41c1ffffb4c1, 0xf3ca170709d5c5f5, 0x5f886c2445f71258, 0xb8dca4a672fd47c2,
  0x9f3dcb19f52e678b, 0xfc71d3f83b5bd470, 0x046989cc580a5176, 0x3ff6678ebc019d90, 0xa81e5adcf78df540,
  0xcfe2af9ddc5495f3, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0x44d7020274dcaed5, 0x2bcae42572fb1e8e,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0xb8d1674f86e3cd84,
  0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x001a48bb25d79e4a,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x0df670d373456fcc,
  0x9fc19439bd47cadb, 0x12bfcfdf04508e48, 0x9b849400dc3e1443, 0xb4027a21955ddeef, 0xf4073c269c62a10c,
  0x586f2bc84b6f43ff, 0xedff91a6ffffed30, 0x79e50b839b3ae2fa, 0x2fc4361222fb892c, 0xdc6e5253397ea3e1,
  0x719ee58cf0e333c5, 0xeb1c74fe0c9ef51e, 0xf88e32398b014c79, 0xee39633c75e45bb2, 0xc55f3bb8a928eb22,
  0x1cde46d7972ab59f, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000001a4859cbaf,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x49f81b231b40c894, 0x3ba7c4b881850c1a, 0xe188266bbfccab77,
  0xff937a8fa6b60ff0, 0x9fbe08a11c913f83, 0x0801b87c2886257f, 0xa88655777bbe6e2e, 0xe134878a8432d060,
  0x5e425b735bffa039, 0x8c41ffff6982c379, 0x0e6203bfea8f2b7c, 0x1b8a91eeb7e7942e, 0x4a76b2b26e984e77,
  0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467,
  0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7,
  0xb95daa5beace7515, 0xf63d1c89ae0404e9, 0xf6ab445795c84ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6c62, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x7392ebcf257ee686, 0x0000000000000982,
};

static const uint64_t ur_m16hvb_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x30a183493f036463, 0xccb4b7e774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xe6e0aa001b87c288, 0x2d08e488655777bb,
  0xfa039e136fb8a843, 0x2c3795e425b7a4af, 0x275f22f0fff61798, 0xe50bceef0ee2faa3, 0xc4361222fb892c79,
  0x70551649fea3e12f, 0x4ed6e6e6e99e2ee3, 0xb307b7fd4795cae9, 0x22814c57befd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db9828ea426b, 0xb1d7a897631e8cf5, 0x1146948e21b1aaf1, 0x6470decbe9662e12, 0x252cf2288aa8d822,
  0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d8c4c, 0xb763458df1726ae0,
  0x0a9cfd4eaccdfc1f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x72792bf734332c3a, 0x00000020025c15aa,
};

static const uint64_t ur_m16hvb_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0xc1a49f81b231b40c, 0xb773ba7c4b881850, 0x968e016a631ffcca,
  0xf838ad37a8e4eb60, 0x57f9fbe08a11c913, 0xe5d0c01b87c28862, 0x05f688655777bbe6, 0x039e1307b8a8432d,
  0x1bcaf212dbe9affa, 0xef9016bfdafdcc16, 0xa8f2bb75355ad1fe, 0xf4dfa8f83660c3df, 0x291669d68450ef8a,
  0xa973484d7d185962, 0xa33d4e7569760ab8, 0x355ae875ea25d8c7, 0xc5c24228d291c436, 0x3608fd6e1bd97d2c,
  0xddc549402c8a22aa, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2, 0x274dcaed52df5673, 0x572fb1e8e44d7020,
  0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0aed15aa8a792bf7,
};

static const uint64_t ur_m16hvb_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x927e06c8c6d03225, 0xcee9f12e20614306, 0x3862099aeff32add,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x82006e1f0a21895f, 0x2a21955ddeef9b8b, 0x784d21e2a10cb418,
  0x579096dcd6ffe80e, 0x8c41fed7ee60b0de, 0x0e6203bfea8f2b7c, 0x8dcca8683fe7942e, 0xa53b5959374c273b,
  0x06cc1edff51e572b, 0xd08a05315efbf51f, 0xafa30b2c4522cd3a, 0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33,
  0x48451a523886c6ab, 0x8991c37b2fa598b8, 0x5494b3c8a22aa360, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xdcaed52df5673a8a, 0xfb1e8e44d7020274, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xf39453c95fb9a199,
  0x0000000000002269,
};

static const uint64_t ur_m16hvb_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x364636819129290c, 0x8971030a183493f0, 0xcdcb5f997612774f,
  0xa8f8ddb0ec1385e1, 0x14239227f06d7737, 0x0f8510c4aff3f7c1, 0xaeef77cdc1540037, 0x7150865a11c910ca,
  0x6f495ff4073c26df, 0xd53930586f2bc84b, 0x17d5193af91787ff, 0x963cf1be18397877, 0xf097e21b09117dc4,
  0x1771b816467aff51, 0xe574a76b737374cf, 0xa3e0d983dbfea3ca, 0xa75a1140a62bdf7e, 0x2135f4616588a459,
  0x467a9ceaedcc1475, 0xd578d8ebd44bb18f, 0x170908a34a4710d8, 0x6c1132386f65f4b3, 0xbb8a929679144554,
  0x6d7972ab59fc55f3, 0x5152a8d74541cde4, 0x4e9b95daa5beace7, 0xae5f63d1c89ae040, 0x75cf6ab445795c84,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xebcf430be9e4afdc,
  0x000000000000003a,
};

// m16hvb_swio15_noled_pr            m32hvb_swio15_noled               m32hvb_swio15_noled_pr
static const uint64_t ur_m16hvb_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4f91dd7f8343cfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0xe8e44d674dcaed52, 0xd115e57212ad5fef,
  0x78629bd677973daa, 0xcbc5021696bfc46a, 0xf36d38c6f19d1023, 0x8d163ce1bb612e65, 0x2b93f75663c81a3f,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0001f20491cdd679,
};

// m32hvb_swio15_noled_pr_u4
static const uint64_t ur_m16hvb_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x32bfcd7bcfbf9304, 0xea3cbe3be5a0ffc8, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x39bc8daf2e556afa, 0x5d9cea2a551ae8a8, 0x91359d372bb54b7d,
  0x5795c84ab57fbfa3, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x09732f9b632455bd,
  0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000003e4f596a21f,
};

// m16hvb_swio15_noled_pr_ee_u4      m32hvb_swio15_noled_pr_ee         m32hvb_swio15_noled_pr_ee_u4
static const uint64_t ur_m16hvb_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xdfe6bde7c9d4c13e, 0xa5cd56b46fe7c88a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0xbfa391359d372bb5, 0xab445795c84ab57f,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x079b09732f9b6324, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xe21f9e4afdcd0ccb, 0x000000000009d72c,
};

// m16hvb_swio15_noled_pr_ce_u4
static const uint64_t ur_m16hvb_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff35ef3fb3a60, 0xa9defbb8bebb7fe4, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0x236bcb955abeb703, 0x3a8a9546ba2a0e6f, 0x674dcaed52df5767, 0x7212ad5fefe8e44d, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00dd78faf10fcf25,
};

static const uint64_t ur_m16hvb_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652fe47fc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x15073791b5e5caad, 0x6fabb39d454aa35d,
  0xf47226b3a6e576a9, 0x688af2b90956aff7, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0xc6c25ccbe6d8c863, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x1f9e4afdcd0ccb0e,
  0x00000000a699cfa2,
};

static const uint64_t ur_m16hvb_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3be435, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0xe46d7972ab52cfa4,
  0xe75152a8d74541cd, 0xace9b95daa5beaec, 0xae4255abfdfd1c89, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77,
  0x51696d138c6f19d1, 0x32f9b63218edec55, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x00000013f3ecf4ba,
};

// m32hvb_swio15_noled_ee_hw
static const uint64_t ur_m16hvb_swio15_noled_ee_hw[] = {
  0xbdeeeeeed121b768, 0xdab96963d4e85d60, 0x4f4d2ee8db623e24, 0xede4531d7c33c5ef, 0x1545a0ab41148885,
  0x04f8c9dd764afb67, 0x222b7fb0ff9f2753, 0xf2b297355ad1bf9f, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xd5fefe8e44d674dc, 0x73daad115e57212a,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0b7f33168a792bf7,
};

// m16hvb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f677c8, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3791b5e5caad4b3e,
  0xb39d454aa35d1507, 0x26b3a6e576a96fab, 0xf2b90956aff7f472, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0x5ccbe6d8c863b7b1, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000001405f67a8,
};

// m32hvb_swio15_lednop
static const uint64_t ur_m16hvb_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd27c88f7fe0d0f3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x541cde46d7972ab5, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xbcae42572563d1c8,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xe33a204e7d14085a, 0x76c25ccbe6da718d, 0x5c33d30ae4fcfec3,
  0x0e9296cb25138cb2, 0x73759e4afdcd0ccb, 0x000000000005496e,
};

// m16hvb_swio15_lednop_pr_u4        m32hvb_swio15_lednop_pr           m32hvb_swio15_lednop_pr_u4
static const uint64_t ur_m16hvb_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x31ffe6bde7ea54c1, 0xf51f4a3be5a0ffc8, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xe6f236bcb955adc3, 0x7673a8a9546ba2a0, 0x020274dcaed52df5,
  0x7212b92b1e8e44d7, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x7c9ab82c43f3c95f,
};

// m32hvb_swio15_lednop_pr_ee
static const uint64_t ur_m16hvb_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x3fe6bde7e87e609f, 0x4f4d56b46fe7c838, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0x74541cde46d7972a, 0xa5beaece75152a8d, 0xc89ae0404e9b95da, 0x22bcae42572563d1,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6da05455bd, 0x459d3e2e4d5c1e6c,
  0xe7ea75663c81f943, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x4ebc0a887e792bf7,
};

// m32hvb_swio15_lednop_pr_ee_u4
static const uint64_t ur_m16hvb_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xbfcd7bcf9c19827c, 0x759aad68ccaf91b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0x1b5e5caad57022fd, 0xd454aa35d1507379, 0x3a6e576a96fabb39, 0x5c958f47226b8101, 0xeb9ed5688af2b909,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xa68221f9e4afdcd0, 0x00000000000004eb,
};

// m16hvb_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16hvb_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x469bff35ef3e35a6, 0x4a9deceb8bebb7fe, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0x236bcb955adc3903, 0x3a8a9546ba2a0e6f, 0x274dcaed52df5767, 0x2b92b1e8e44d7020, 0x5d73daad115e5721,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f887e792bf734, 0x0000000000000375,
};

static const uint64_t ur_m16hvb_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5fc84db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba,
  0x4d7020274dcaed52, 0x5e57212b92b1e8e4, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6da0518edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0014d317ee21f9e4,
};

static const uint64_t ur_m16hvb_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3be40a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xf236bcb955a96622,
  0x73a8a9546ba2a0e6, 0x0274dcaed52df576, 0x12b92b1e8e44d702, 0xb5d73daad115e572, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eaf2ebcf25,
};

// m32hvb_swio15_lednop_ee_hw
static const uint64_t ur_m16hvb_swio15_lednop_ee_hw[] = {
  0xbdeeeeeed121b705, 0x6d5cb4b1ea610560, 0xe15a62774b88cf12, 0x17b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0xf90707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xac7a39135c0809d3, 0xf6ab445795c84ae4,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb40a, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xfe69d14f257ee686,
  0x000000000000016f,
};

// m16hvb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvb_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x40a4ff61ff3e6b73, 0x070525c5f547b3be, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x839bc8daf2e556a5,
  0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7, 0x95c84ae4ac7a3913, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x2f9b681463b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000005010f57a29e,
};

// m16hvb_swio15_dual_pr             m16hvb_swio15_dual_pr_u4
static const uint64_t ur_m16hvb_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x0c1a49f81b231b40, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7287, 0x2cf7fc8fddffff69, 0x9fc1c1ff51f6f9df, 0x01541e64ad1ee38e, 0x8033b6948e21398b,
  0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0xb95daa5beaece751,
  0x563d1c89ae0404e9, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e,
  0x71e6c25ccbe6da05, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x35e7d2ebcf257ee6, 0x0000000000000149,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x805a98c7ff32addc,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84c1ee2a10cb417d,
  0x79096de76ffe80e7, 0x74fffffda60b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c, 0x9a75a1143be2bd9d,
  0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab, 0x1fadc37b2fa598b8,
  0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a, 0xb1e8e44d7020274d,
  0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343cc9fe04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x001590745975e792,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x60d24fc0d918da06, 0x5bb9dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xb9d1f006e1f0a218, 0x423da21955ddeef9, 0x4073c269122a10cb,
  0x86f2bc84b6f3b7ff, 0xf7f23a7ffffed305, 0xf51e578126ab5a35, 0xacbafa8f83660fba, 0x2291669d68450ef8,
  0x84173484d7d18596, 0xa472f8e75697f9cb, 0x8d56ba1d7b589db4, 0x3170908a131463e5, 0xae2d6fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0x1c89ae0404e9b95d, 0xa22bcae42572563d,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a204e7d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5648152ebcf257ee,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x06927e06c8c6d032, 0xddcee9f12e206143, 0x72381c19babff32a,
  0xe0e574dea3eced84, 0x5fe7ef822847244f, 0x8089006e1f0a2189, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0x6f2bc84b6fff3fe8, 0x6f904ebfffed3058, 0xca17073abee2fac0, 0x886c2445f71258f3, 0xdc24aca8fd47c25f,
  0x3dcb19f52e678bb8, 0x38e9fc188bea3c89, 0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f,
  0xfe2af9ddc5497025, 0xa0e6f236bcb955ac, 0xf57673a8a9546ba2, 0xd7020274dcaed52d, 0xe57212b92b1e8e44,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x68b3a7c371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x03490c92ebcf257e,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xa183493f03646368, 0x956ee774f8971030, 0x61bece1a6e68adf9,
  0x13f8328737a8f95b, 0x6257f9fbe08a11c9, 0xf3719c801b87c288, 0x96804f4432abbbdd, 0xfe80e784d38c5421,
  0x0586f2bc84b6e16b, 0xd4caf91b3bfffed3, 0x63cf285c1c8ad717, 0x097e21b09117dc49, 0x2ee37092b2a3f51f,
  0xe804f72c6787199e, 0x3a88e3a7f064d7a8, 0xa6e47914e62c057f, 0xf371cb19e3af22dd, 0x7f157ceee2a4a3a1,
  0x5073791b5e5caad6, 0xfabb39d454aa35d1, 0x6b81013a6e576a96, 0xf2b9095c958f4722, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x0000001a4810b975,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x862099aeff32addc,
  0xfe4dea3e9ad83fc3, 0x7ef822847244fe0f, 0x4006e1f0a21895fe, 0xa21955ddeef9b816, 0x84d21e2a10cb4182,
  0x79096def0ffe80e7, 0x56fffffda60b0de5, 0xe56f9dff5472bbe4, 0xb97437547e7942e0, 0xa76b2b26e984e771,
  0x6cc1995ea3caf7dc, 0x08a05315dbaf51f0, 0xfa30b2c4522cd3ad, 0x0e7576e53c3a909a, 0x363af512ecfe23ea,
  0x42283d51fc96355e, 0x4c8e1bd97d2cc5c2, 0x5252cc7cded51b04, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0x2bb54b7d5d9cea2a, 0xc7a39135c0809d37, 0x6ab445795c84ae4a, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x9d2ebcf257ee6866, 0x000000000002608a,
};

static const uint64_t ur_m16hvb_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0a183493f0364636, 0xcb4b7e774f897103,
  0x87609c2f0e6e5afc, 0x3f836bb9bd47c6ed, 0x257f9fbe08a11c91, 0xdc4e3c01b87c2886, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6e495ff, 0xbfe44c37fec2f305, 0x42f3b986b8bea8fa, 0x0d8488bee24b1e79,
  0x9c7f71ffa8f84bf1, 0x6b737374cf1771b8, 0xc1995ea3caf7dca7, 0xa05315dbaf51f06c, 0x30b2c4522cd3ad08,
  0x7576e53c3a909afa, 0x3af512ecfe23ea0e, 0x283d51fc96355e36, 0x8e1bd97d2cc5c242, 0x52cc7cded51b044c,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xa39135c0809d372b, 0xb445795c84ae4ac7,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0xb1a2c6f8b9357079,
  0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000008009f04d539,
};

static const uint64_t ur_m16hvb_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x493f036463681912, 0xe774f8971030a183, 0x1c02d4c63ff9956e,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xeb00370f8510c4af, 0xed10caaeef77cdce, 0x3c260f7150865a0b,
  0x2bc84b6f3b7ff407, 0x8e9fff6bf730586f, 0x95e9b9aad68dc9fc, 0xbd47c1b3071efd47, 0xb34eb422877c57b3,
  0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5, 0x23f5b86f65f4b317,
  0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x563d1c89ae0404e9,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6da05,
  0xfca1854e7ea5eae3, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x000000015da1d168,
};

static const uint64_t ur_m16hvb_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x24fc0d918da0644a, 0x9dd3e25c40c2860d, 0x70c41335dfe655bb,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0xc800dc3e144312bf, 0x54432abbbddf3702, 0xf09a43c542196830,
  0xaf212dbde1ffd01c, 0x2b7ffdafdcc161bc, 0x72b7ceffaa395df2, 0x6e747d493f3ca170, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xcaed52df57673a8a, 0xb1e8e44d7020274d, 0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6da051, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25, 0x4ea29e4afdcd0ccb,
  0x0000000000044d35,
};

static const uint64_t ur_m16hvb_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x3646368191292917, 0x8971030a183493f0, 0xcdcb5f997612774f,
  0xa8f8ddb0ec1385e1, 0x14239227f06d7737, 0x0f8510c4aff3f7c1, 0x5ddeef9b89c78037, 0xe2a10cb423922195,
  0xdc92bfe80e784dbe, 0xaa7260b0de579096, 0x5f547d5ff2261bff, 0x58f3c6f860e4c35c, 0xc25f886c2445f712,
  0xbb8dce1fe3eefd47, 0xbee53b5b9b9ba678, 0x8f83660ccaf51e57, 0x9d68450298aedd7a, 0x84d7d18596229166,
  0x1f5073abb729e1d4, 0xaaf1b1d7a89767f1, 0x2e121141ea8fe4b1, 0xd8226470decbe966, 0xbb8a929663e6f6a8,
  0x6d7972ab59fc55f3, 0x5152a8d74541cde4, 0xe9b95daa5beaece7, 0x72563d1c89ae0404, 0xae7b55a22bcae425,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0xc6e3cd84b997cdb4, 0x3def2861539fa82e,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x523c985f4f257ee6,
  0x00000000000001d7,
};

static const uint64_t ur_m16hvbrevb_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfa0019f912609f18, 0xa6277cb135f234af, 0x92471d3f8310fea3, 0x278e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551ae8a839bc8d, 0xd672bb54b7d59cea, 0x57212a97debe8e44,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x32f9b6409156f62a, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000002a4fadcdd67,
};

// m16hvbrevb_swio10_noled_pr_u4
static const uint64_t ur_m16hvbrevb_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x3dcc13e30120b657, 0x117e4775fe49f67e, 0xf8327bd479b8ef96, 0x05965319538c71d3,
  0x47cecf7a3b58e62c, 0x6b3d500ffd9823af, 0x55aaad503cb3dbb8, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954,
  0xaa5f7afa391359ca, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xd902455bd8aaa2d2,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x3080b887e792bf73, 0x00000000000000f9,
};

static const uint64_t ur_m16hvbrevb_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0x69827c602416caef, 0xbf91a6ffc93ecf8d, 0xa8f2b387355ad1c7, 0x65d7d47c1b3067af,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xa47109cead2ffb97, 0x6355ae875e74ddb4, 0xcc5c242284c5188b,
  0x51b047eb70decb65, 0xaf2e556a011355fd, 0x2a551ae8a839bc8d, 0xd672bb54b7d59cea, 0x57212a97debe8e44,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x32f9b6409156f62a, 0x74f8b9357079b097,
  0xa9d598f207e50d16, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0xb25c33d30ae4fc73, 0xccb0e9296cf8138c,
  0xfa7a21f9e4afdcd0, 0x0000000000000275,
};

static const uint64_t ur_m16hvbrevb_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0xbaf9195bfc93ecfe, 0xbd4795a569aad68f, 0x57f3bd47c1b3072f,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0x288c7c39d5a5e032, 0x6355ae875eba9bb0, 0x18b8484519151f41,
  0x5c135f5b86f65c39, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0xef5f47226b395daa, 0xed5688af2b90954b,
  0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44, 0xb83cd84b997cdb20, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x5f10fcf257ee6866, 0x000000000004eba4,
};

// m16hvbrevb_swio10_noled_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0xfb3f6ea609f18090, 0xc5f5913e4604ff24, 0x892c79e3254ef2b5, 0xa3e12fc4361222fb,
  0x33c5dc6e2545c8fe, 0xfd47c927b9633f59, 0x5ee8148e3a7f0782, 0x7cecf7a3b58e62c0, 0xb3d500ffd99e3af4,
  0x56aab540f2d6eb86, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551, 0xa97debe8e44d672b, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xc810c76f62aa8b4b, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xf565443f3c95fb9a, 0x00000000000001ba,
};

static const uint64_t ur_m16hvbrevb_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0xce1fc8b1fff24fb3, 0x78c953bb1f3bfea8, 0x6139dc6e1256547e,
  0xf2b74b29dacac7be, 0x1fd47c1b306807a8, 0x8b34eb422814c572, 0x0ea426be8c2cb114, 0x6948e2139d5dbbf7,
  0x2d8d578d8ebce9bb, 0x973170908a131462, 0xfaa3608991c37b2d, 0x1b5e5caad4b326ab, 0xd454aa35d1507379,
  0x89ace576a96fab39, 0xbcae42552fbd7d1c, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19,
  0x5ccbe6d90218edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x00014d3b1fe21f9e,
};

static const uint64_t ur_m16hvbrevb_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0xa1f4c13e30120b65, 0xbaf91883fca907cf, 0x285c1cc41717d51d, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660d00f51e56e965, 0x450298ae43fa8f83, 0xd185962291669d68,
  0x73abb77ee1d484d7, 0xb1d79d376d291c42, 0x1142628c45b1aaf1, 0x32386f65b2e62e12, 0x5a9664d57f546c11,
  0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0xa5f7afa391359cae, 0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0x20431dbd8aaa2d2d, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f996965d79e4af,
};

static const uint64_t ur_m16hvbrevb_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xd68e3dfc8d37ff42, 0x833d7d47959c39aa, 0x43be2b2ebea3e0d9,
  0x616588a459a75a11, 0x7fdcb8d64d2135f4, 0xa6eda523884e7569, 0x28c45b1aad743af3, 0xf65b2e62e1211426,
  0x9aafea8d823f5b86, 0xcde46d7972ab5008, 0xace75152a8d74541, 0xf47226b395daa5be, 0x688af2b90954bef5,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd84b997cdb2048a, 0x2861539fa82ec6e3,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x2b514f257ee68665,
  0x000000000000b7c0,
};

// m16hvbrevb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0x51dbaf91883fe853, 0x3cf285c1cc41717d, 0x97e21b09117dc496,
  0xe373541e41ff51f0, 0x594ed6e6def99e2e, 0xe0d983403d4795ba, 0x5a1140a62b90fea3, 0x35f4616588a459a7,
  0x109ceaeddfb87521, 0xbc6c75e74ddb4a47, 0x84845098a3116c6a, 0x044c8e1bd96cb98b, 0xe556a599355fd51b,
  0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0x12a97debe8e44d67, 0xb5d73daad115e572, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x36c810c76f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x000a02cb4b453c95,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xfd000cfbf9304f8c, 0xfe43be589af90657, 0x7be38e9fc1887f51, 0xf40731602dee98f5,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546ba2a0e6f23, 0x809caed52df5673a, 0x4ab574bfa39135c0,
  0xeb5cf6ab445795c8, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x32f9b69c6378ce88, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000001520e9cdd67,
};

// m16hvbrevb_swio10_lednop_pr_u4
static const uint64_t ur_m16hvbrevb_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xe034c13e30120b65, 0xc22fc80f7fe49f67, 0x7f064f7a8f389df2, 0x016594c63cf58e3a,
  0xa3e76f911c1f398b, 0xdf40a807fecc11d7, 0x2ab5815a07967b7b, 0x8d74541cde46d797, 0x5daa5beace75152a,
  0xe97f47226b810139, 0xed5688af2b90956a, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0x079b09732f9b65d9, 0x0fca1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x221f9e4afdcd0ccb, 0x0000000003e4dfaa,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0xf22397f927d9feaf, 0x1e5650e6ab5a38f7, 0x82fa8f83660cf5f5,
  0x91669d68450ef8ad, 0x593484d7d1859622, 0x8d7c39d5a5fe72e3, 0xd56ba1d79d37609e, 0x2e121146488c6fd8,
  0xd823f5b86f65b2e6, 0x2e556a015c359ea8, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a, 0xd5d2fe8e44d70202,
  0x73daad115e57212a, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a, 0xae0f3612e65f36cb,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000000275d76443f,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xfbaf916ebfc93ecf, 0xfbd4795c879aad68, 0xc5670fd47c1b3072,
  0xb1148b34eb422877, 0xae2899a426be8c2c, 0x2008d3139d5a5ca2, 0xd6355ae875eba9bb, 0xc8c5c242287bd1da,
  0x55c5c3fadc37b2e1, 0x4541cde46d7972ab, 0xa5beace75152a8d7, 0xf47226b8101395da, 0x688af2b90956ae97,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xb09732f9b65d9156, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000004eb842e21,
};

// m16hvbrevb_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0xb3f15a609f180905, 0x5f5913e46fbff24f, 0x92c79e3254eedd5c, 0x3e12fc4361222fb8,
  0x3c5dc6e5253397ea, 0xd470527b9633f593, 0x1ed008e3a7f0782f, 0x3b7c88e0f9cc580a, 0x05403ff6678ebd1f,
  0x6b02b40f2d6edefa, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0xfe8e44d7020272bb, 0xad115e57212ad5d2,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6d97618e, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x7e792bf734332c3a, 0x00000000375cb388,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x387f2376bfc93ecf, 0xe3254ef768effaa3, 0x09cee373a3ea49f9,
  0x9597594ed6563df3, 0x7ea3e0d983403d47, 0x59a75a1140a62b29, 0x752135f4616588a4, 0x4f46be1ceaeddf38,
  0xd8d578d8ebce9bb0, 0xe62e121146488c6f, 0x546c1132386f65b2, 0xd7972ab52cee1acf, 0x152a8d74541cde46,
  0x01395daa5beace75, 0x956ae97f47226b81, 0xaeb9ed5688af2b90, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0xcbb0c76f62aa8b49, 0x1726ae3612e65f36, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0x9c2910fcf257ee68, 0x0000000000000a69,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfebcc13e30120b65, 0xbaf91003fca907cf, 0x285c1c801717d51d, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc1a01ea3cacbaca, 0x8a0531594bf51f06, 0xa30b2c4522cd3ad0,
  0xe7576ef9c3a909af, 0xc75e74dd827a35f0, 0x8a3244637ec6abc6, 0x91c37b2d97317090, 0xa96770d67aa36089,
  0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xfa39135c0809caed, 0xb445795c84ab574b, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b65d863b, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x84baf3c95fb9a199,
  0x000000000013f2dc,
};

static const uint64_t ur_m16hvbrevb_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xd1c7bf911cbfe853, 0x67afa8f2b287355a, 0x77c56c17d47c1b30,
  0x2cb1148b34eb4228, 0xf3971ac9a426be8c, 0xbb04f46be1cead2f, 0x637ec6ab5d0ebce9, 0x2d973170908a3244,
  0xacf546c11fadc37b, 0xe46d7972ab500ae1, 0xe75152a8d74541cd, 0xb8101395daa5beac, 0xb90956ae97f47226,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00002df3582a29e4,
};

// m16hvbrevb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0xa8edd7c8801ff429, 0x1e7942e0e400b8be, 0x4bf10d8488bee24b,
  0xb8dc0a47ce5fa8f8, 0xd653b5b9b7be678b, 0xf83660d00f51e565, 0xd68450298aca5fa8, 0x4d7d185962291669,
  0xaf873abb77ce1d48, 0x5e363af3a6ec13d1, 0x84845192231bf635, 0x044c8e1bd96cb98b, 0xcaad4b3b86b3d51b,
  0xa35d15073791b5e5, 0x576a96fab39d454a, 0xba5fd1c89ae0404e, 0x7b55a22bcae4255a, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xadc8514f257ee686, 0x0000000000000280,
};

// m16hvbrevb_swio10_dual_pr         m16hvbrevb_swio10_dual_pr_u4
static const uint64_t ur_m16hvbrevb_swio10_dual[] = {
  0xa34bbbbbbb4486f9, 0x697e276fc75e738d, 0x9da9f7bb06d60d0b, 0x291fc5f4cfed1d62, 0xe7f0c6a08761b74d,
  0xde4ad0ee9b4721dc, 0xc03304f8c0482d95, 0x06c8c6d032252520, 0xf12e20614306927e, 0x2cce4ff32addcee9,
  0x37a8efe6c17d9c0a, 0xf04508e489fc1995, 0x0dc3e144312bfcfd, 0x1955ddeef9b95be0, 0x35ad150865a11922,
  0x212db975ffa039e1, 0x95fe357cc161bcaf, 0xa8f221df2c3e7c8a, 0xfb8ca8e3a7f0622f, 0x51bde731602a83cd,
  0xffd9823af006769c, 0x03cb3db5af07d500, 0xf8abe7771525bfc3, 0x839bc8daf2e556b3, 0x7d59cea2a551ae8a,
  0xe44d7020272bb54b, 0x15e57212ad5d2fe8, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x2e65f36cbb22adec, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x00000000a49ad3e9,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x47c4edf8d4f261b4, 0xf722775261d68166, 0x3d646682ab8858ab, 0x41f1375a266f5da7,
  0x9ceeeec6ecfabf31, 0x09f180905b2bbc9e, 0x1b40c894948ee3e6, 0x81850c1a49f81b23, 0xffccab773ba7c4b8,
  0x4eb60968e016a631, 0x1c913f838ad37a8e, 0x2886257f9fbe08a1, 0x7bbe6e2a4401b87c, 0x8432d05f68865577,
  0xdbffa039e1307b8a, 0xf982c3795e425b74, 0x5a328bf2287ffc6a, 0x0ccaf51e57bee6ab, 0x0ef8aedd7a8f8366,
  0x85962291669d6845, 0x286b8a973484d7d1, 0x5da3da3d28e75697, 0x1a636355ae875ea2, 0x97d2cc5c24228401,
  0x56b2a3608fd6e1bd, 0xf157ceee2a4a0146, 0x073791b5e5caad67, 0xfab39d454aa35d15, 0xc89ae0404e576a96,
  0x2bcae4255aba5fd1, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6d976455bd8,
  0xdc68b2d5e371e6c2, 0x0a9cfd4eaccdfc1d, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6,
  0x0e7d2ebcf257ee68, 0x0000000000000159,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0xc4edf8d4f261b4d3, 0x5a7b5261d6816647, 0x6682ab8858abf227, 0x375a266f5da73d64,
  0xa912bcaf7fd6c1f1, 0x0482d95de4f4e771, 0x44a4a4771f304f8c, 0x60d24fc0d918da06, 0x2df9dd3e25c40c28,
  0x5a3805a98c7ff32d, 0xe0e2b4dea393ad82, 0x5fe7ef822847244f, 0x8a91006e1f0a2189, 0x17da21955ddeef9b,
  0x0e784c1ee2a10cb4, 0xde579096dd36ffe8, 0xf2287ffc48c660b0, 0x1e57bee6ab5a328b, 0xdd7a8f83660ccaf5,
  0x91669d68450ef8ae, 0x973484d7d1859622, 0x3d28e75697286b8a, 0x55ae875ea25da3da, 0x5c242284011a6363,
  0x608fd6e1bd97d2cc, 0xee2a4a014656b2a3, 0xb5e5caad67f157ce, 0x454aa35d15073791, 0x404e576a96fab39d,
  0x255aba5fd1c89ae0, 0x6bae7b55a22bcae4, 0xa417296be74078e5, 0x414e31bc67440842, 0xd976455bd8aaa2d2,
  0xe4d5c1e6c25ccbe6, 0x9bf83f6ec68b1be2, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x96fb54e4f257ee68, 0x0000000000002b25,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ce[] = {
  0xdd6eeeee87ad0c86, 0x1f13b7e78f4d7368, 0xdc3edd3ac0291ddc, 0x374bb7ac806e7162, 0xc5d9bae255fba6e8,
  0x4c4bbbbb1bb2fafc, 0x9827c602416caef2, 0x8c6d032252520ebe, 0xe20614306927e06c, 0xabff32addcee9f12,
  0x3eced8472381c19b, 0x847244fe0e574dea, 0xf0a21895fe7ef822, 0xddeef9b8d07006e1, 0x2a10cb403da21955,
  0xec7ffe80e784c13e, 0xabe60b0de579096d, 0xb8bea63fe40d6ff1, 0xe24b1e7942e0e1c1, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0xfd47ea27b9633ea5, 0xb52bba8e3a7f0770, 0x19da7146f79cc580, 0x1f5403ff6678ebc0,
  0x25bfc303cb5b96bc, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0x5d2fe8e44d702027,
  0x3daad115e57212ad, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0x71e6c25ccbe6d976,
  0xcdfc1ddc68b3a7c3, 0x13f9430a9cfd4eac, 0x9a1e64ff1738cbf3, 0x9e985727e39effe0, 0x494b67c09c6592e1,
  0xebcf257ee6866587, 0x000000000d244092,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ce_u4[] = {
  0x4647777776890c86, 0xa7789dbf3c7d579b, 0x96d77ee80a2951c7, 0xe4ea661b9d6f7ed3, 0x798a1640258b74c8,
  0xf25a2bbbbb1bb2d0, 0xeb9827c602416cae, 0x6c8c6d0322525219, 0x12e20614306927e0, 0xcd15bf32addcee9f,
  0xf51f2b6c37d9c34d, 0x114239227f0650e6, 0x70f8510c4aff3f7c, 0x55777bbe6e525003, 0x718a8432d009e886,
  0x96dd2d7fd01cf09a, 0xff1abe60b0de5790, 0x34ddc5f5eebe45ba, 0x45f71258f3ca1707, 0x4afd47c25f886c24,
  0xe1c6678bb8dcb912, 0x6b3fd4797d3dcb19, 0x580b1ef4a8e3a7f0, 0x5e45bb6488c6f9cc, 0x49475196e39633c7,
  0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809, 0xcf6ab445795c84ab,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x863b7b15545a4829, 0xdc79b09732f9b65d, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x492054baf3c95fb9, 0x0000000000000003,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ee_ce[] = {
  0xd4e2ddddddd432db, 0x7ade276fc622d3c6, 0x0efd5f753ecb5586, 0x95f1ba39dee30f90, 0x6d0672b8a9be4b38,
  0xe771c11560f0ccea, 0x4f8c0482d95de4e4, 0xb40c8949484f2f30, 0x1850c1a49f81b231, 0xfccab773ba7c4b88,
  0xf9b00d070d3533fc, 0xc913f83e9f9bd47f, 0x886257f9fbe08a11, 0x77cdc575c01b87c2, 0x865a070d10caaeef,
  0xdff4073c26727150, 0x30586f2bc84b6e87, 0x4652fe426dff8d5f, 0xe7942e0e26d9dff5, 0x984e771b8d07044f,
  0x3caca1ca76b2b221, 0x05f51f06cc19ebea, 0x22cd3ad08a05315b, 0xe3a909afa30b2c45, 0xddd23050e7576e90,
  0x2d8d578d8ebdac4e, 0x7c62e121144dc8f2, 0x4b8c63232386f65c, 0xcaad67f157ceee2a, 0xa35d15073791b5e5,
  0x576a96fab39d454a, 0xba5fd1c89ae0404e, 0x7b55a22bcae4255a, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0xa4e975e792bf7343, 0x0000000000004c13,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x4edf998b90cdacfb, 0xacad0b5ce08673bc, 0x8beaf7f57f71dd9b, 0xe1bb89d9f762f38a,
  0x7cc5b0009645188c, 0x7792d89ddfda3e3d, 0xb82cc13e30120b65, 0x0d918da0644a4a46, 0xe25c40c2860d24fc,
  0x9b96bf32d2df9dd3, 0x51f1bb61d8270bc3, 0x2847244fe0daee6f, 0x1f0a21895fe7ef82, 0xbbbddf372231006e,
  0xc54219684724432a, 0xbdc8ffd01cf09b7d, 0x918cc161bcaf212d, 0x5f546707e41adff8, 0x258f3ca179d9addc,
  0x7c25f886c2445f71, 0x8bb8dc88c538ffd4, 0x795a53b5b9b9ba67, 0xa8f83660fbaf51e5, 0x69d68450298ae577,
  0x484d7d1859622916, 0xd1e9473abb71431d, 0x355e363af512ed1e, 0xc5c242284011a636, 0x1b044c8e1bd97d2c,
  0x77715252ce32b595, 0x8daf2e556b3f8abe, 0xea2a551ae8a839bc, 0x020272bb54b7d59c, 0x212ad5d2fe8e44d7,
  0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0x2e4d5c1e6c25ccbe,
  0x99bf83f6ec68b1be, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x6b2d354e4f257ee6, 0x0000000000000400,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_ee_hw[] = {
  0x3b7777743d686f97, 0x7c4edf8d4f261b4d, 0x722775261d681664, 0xd646682ab8858abf, 0x1f1375a266f5da73,
  0x7a73b9e08ceb54e8, 0x9827c602416caef2, 0x8c6d032252523b8f, 0xe20614306927e06c, 0xc7ff32addcee9f12,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b8a91006e1, 0x2a10cb417da21955,
  0xd36ffe80e784c1ee, 0xa4660b0de579096d, 0x5ad1945f9143fffe, 0x306657a8f2bdf735, 0x2877c576ebd47c1b,
  0x8c2cb1148b34eb42, 0xb9435c54b9a426be, 0x12ed1ed1e9473ab4, 0x08d31b1aad743af5, 0xecbe9662e1211420,
  0x32b5951b047eb70d, 0x3f8abe777152500a, 0xa839bc8daf2e556b, 0xb7d59cea2a551ae8, 0x8e44d7020272bb54,
  0x115e57212ad5d2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36cbb22ade,
  0x2a73f52f571b8f36, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x0005768e7d453c95,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_ee_ce_hw[] = {
  0x1ceddddddd431f02, 0xc5e276fc6233686d, 0xd5c5eeefdf5d9da6, 0x263d68d43f2d07bb, 0x7e3fa10a9be4a739,
  0xddca31166f4c29f5, 0x3e30120b657792cc, 0xd032252520f9f4c1, 0x614306927e06c8c6, 0xf32addcee9f12e20,
  0xad83fc3862099aef, 0x244fe0ffe4dea3e9, 0x21895fe7ef822847, 0xdf371dbb006e1f0a, 0x19683054432abbbd,
  0xffd01cf09a43c542, 0xc161bcaf212dbf60, 0x3c09f22d6fffd48c, 0x3ca17072d6ceffaa, 0x6139dc6e339747ff,
  0xf2bcad29dacac9ba, 0xbbd47c1b307dd7a8, 0x8b34eb422814c572, 0x8ea426be8c2cb114, 0x8f68f4a39d5db8a1,
  0x1b1aaf1b1d7a8976, 0x9662e121142008d3, 0xca8d8226470decbe, 0x5f3bb8a92967195a, 0xde46d7972ab59fc5,
  0xce75152a8d74541c, 0x6b8101395daa5bea, 0x2b90956ae97f4722, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x27e7f61b8f3612e6, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x0001134c92514f25,
};

static const uint64_t ur_m16hvbrevb_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0xc4edf998b90cdacf, 0xeecdd0b5ce08673b, 0x9c545f57bfabfb8d, 0xc4670ddc4ecfbb17,
  0x4eaae3f68354b228, 0x120b657792d89dd3, 0x4a4a46b82cc13e30, 0x0d24fc0d918da064, 0x849dd3e25c40c286,
  0x04e1787372d7e65d, 0x1b5dcdea3e376c3b, 0xfcfdf04508e489fc, 0x46200dc3e144312b, 0xe488655777bbe6e4,
  0x9e136fb8a8432d08, 0x95e425b7b91ffa03, 0x06b7fecf43982c37, 0x386b7717d519c1f9, 0x117dc4963cf1be18,
  0x1fff51f097e21b09, 0x7374cf1771b8b82e, 0x5ea3caf2b4a76b73, 0x15caef51f06cc1f7, 0xc4522cd3ad08a053,
  0xe2863a909afa30b2, 0x25da3da3d28e7576, 0x234c6c6abc6c75ea, 0xb2fa598b84845080, 0x656b2a3608991c37,
  0x7f157ceee2a4a59c, 0x5073791b5e5caad6, 0x6fab39d454aa35d1, 0x1c89ae0404e576a9, 0x22bcae4255aba5fd,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b997cdb2ec31dbd, 0x1539fa82ec6e3cd8,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874,
  0x0000001d751a3705,
};

// m16hvbrevb_swio12_noled
static const uint64_t ur_m16hvbrevb_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x0033f1ee609f1809, 0x4ef96e83e4775ff4, 0x8e3a7f075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0xaa35d15073791b5e, 0x576a96fabb39d454, 0x095b1bd7d1c89ace,
  0xfd6b9ed5688af2b9, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x732f9b69c6378ce8, 0x4c2b93f3fb0ddb09,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x0000001525b9cdd6,
};

// m16hvbrevb_swio11_noled_pr_u4     m16hvbrevb_swio12_noled_pr        m16hvbrevb_swio12_noled_pr_u4
static const uint64_t ur_m16hvbrevb_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x8f9827c602416cae, 0x7bf91b7ffc93ecf9, 0xe0c9af51c143be5b, 0x2cb2983da011c74f,
  0x3e764c5188a73160, 0x13ca807fecc11d7a, 0xab5422607967b76b, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0x6c6f5f47226b395d, 0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb0862adec5551696,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x5705887e792bf734, 0x0000000000000f93,
};

// m16hvbrevb_swio12_noled_pr_ee
static const uint64_t ur_m16hvbrevb_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0xf91b3bfc93ecf9c1, 0x8f2b2eb355ad198f, 0x52fd47c1b307d47a,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47f21cead2ee4d71, 0x355ae875e74dd8f5, 0xc5c242288851ef76,
  0x1b047eb70decb65c, 0x7972ab500ba0e795, 0x52a8d74541cde46d, 0x395daa5beaece751, 0xe4256c6f5f47226b,
  0xf16bae7b55a22bca, 0x20eea6c529e1a779, 0x1696d138c6f19d10, 0xbe6db0862adec555, 0x3e2e4d5c1e6c25cc,
  0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x0a887e792bf73433, 0x0000000000004ebc,
};

// m16hvbrevb_swio12_noled_pr_ee_u4
static const uint64_t ur_m16hvbrevb_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0xfc895dfe49f67f67, 0x4795fce9aad68f6f, 0x74bea3e0d9839c7d,
  0xa459a75a1143be2b, 0x44cd2135f4616588, 0x8d6b9cead2ebed71, 0xab5d0ebd7537697c, 0xb8484503e23e92c6,
  0x741f5b86f65c3918, 0x1cde46d7972ab55c, 0xaece75152a8d7454, 0xf47226b395daa5be, 0x5a22bcae4256c6f5,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0xe6c25ccbe6db0862, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000013ae9a08,
};

// m16hvbrevb_swio11_noled_pr_ce_u4  m16hvbrevb_swio12_noled_pr_ce     m16hvbrevb_swio12_noled_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0x5eebe4656ff24fb3, 0xc79e3254ee575c5f, 0x12fc4361222fb892,
  0x5dc6e321d257ea3e, 0x75f27b9633f5933c, 0xcbe8e3a7f06b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xebe8e44d672bb54b, 0x6ab445795c84ad8d,
  0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27, 0x079b09732f9b6c21, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xe21f9e4afdcd0ccb, 0x0000000000dd748b,
};

// m16hvbrevb_swio12_noled_pr_ee_ce
static const uint64_t ur_m16hvbrevb_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0x7e40cdff927d9f4d, 0x4a9d8cd9dff5465d, 0x9dc6e339747ff3c6,
  0x90f29dacac7be613, 0x47c1b307a57a8f2b, 0x4eb422814c5670fd, 0x426be8c2cb1148b3, 0x8fe439d5db9c98ea,
  0xd578d8ebce9bb1ea, 0x170908a22147bdd8, 0x3608991c37b2d973, 0xf2e556a59f41cf2a, 0xa551ae8a839bc8da,
  0x72bb54b7d5d9cea2, 0xc84ad8debe8e44d6, 0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20,
  0xf9b6c2131dbd8aaa, 0x8f38b93571b09732, 0x3f75663c81f94345, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9,
  0x534c5fb887e792bf,
};

// m16hvbrevb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x24c13e30120b6577, 0xf915bffe5483e7c5, 0xb8395bf717d51e9b, 0x61222fb892c79e50,
  0xbb0b27ea3e12fc43, 0x6e6def99e2ee371d, 0x3d2bd4795c8794ed, 0x0a62b387ea3e0d98, 0x16588a459a75a114,
  0xaedce4c752135f46, 0x5e74dd8f547f21ce, 0x110a3deec6abc6c7, 0xe1bd96cb98b84845, 0x2cfa0e7951b044c8,
  0x541cde46d7972ab5, 0xbeaece75152a8d74, 0xf5f47226b395daa5, 0xb55a22bcae4256c6, 0x529e1a779f16bae7,
  0x8c6f19d1020eea6c, 0x98edec5551696d13, 0xe3cd84b997cdb610, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x83d5e5d79e4afdcd,
  0x000000000000009f,
};

// m16hvbrevb_swio12_noled_ee_hw
static const uint64_t ur_m16hvbrevb_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0x68cc7fc8d9dff429, 0x3ea3d47959759aad, 0x3be2b297ea3e0d98,
  0x16588a459a75a114, 0x726b8d64d2135f46, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0x65b2e62e12114442,
  0x073ca8d823f5b86f, 0x6f236bcb955a805d, 0x673a8a9546ba2a0e, 0x391359caed52df57, 0x115e57212b637afa,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x612e65f36d843156, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x7453c95fb9a19961,
  0x00000000005bff9a,
};

/*
 * m16hvbrevb_swio11_noled_ee_ce_u4_hw m16hvbrevb_swio12_noled_ee_ce_hw
 * m16hvbrevb_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16hvbrevb_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x1e9bf915bfff4299, 0x9e50b8395bf717d5, 0xfc4361222fb892c7,
  0x6e1b76148fea3e12, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b90f, 0x422814c5670fd47c, 0xbe8c2cb1148b34eb,
  0x439d5db9c98ea426, 0x8d8ebce9bb1ea8fe, 0x908a22147bdd8d57, 0x8991c37b2d973170, 0x556a59f41cf2a360,
  0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xad8debe8e44d672b, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0x6c2131dbd8aaa2d2, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x05010f57a29e4afd,
};

// m16hvbrevb_swio12_lednop
static const uint64_t ur_m16hvbrevb_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0x40033f01a609f180, 0x21df2dd07c80f7ff, 0x31c74fe0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a, 0x2f4bfa39135c0809,
  0xe7b55a22bcae4257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0xe6da718de33a2051, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000a93eb73759e4a,
};

// m16hvbrevb_swio11_lednop_pr_u4    m16hvbrevb_swio12_lednop_pr       m16hvbrevb_swio12_lednop_pr_u4
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xdcc13e30120b6577, 0xdfc88f7fe49f67d7, 0x064d7a8e801df2db, 0xb2ca67f3a88e3a7f,
  0xf3b6488c6f9cc580, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0x74541cde46d7972a, 0xa5beaece75152a8d,
  0xf47226b8101395da, 0xb445795c84ae5e97, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xd84b997cdb6318ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000003e4ce43f10,
};

// m16hvbrevb_swio12_lednop_pr_ee
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xff206b7f927d9f4b, 0x51e56c166ab5a331, 0xd4f7a8f83660fa8f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x88e6e39d5a5dd2ae, 0xc6ab5d0ebce9bb48, 0x98b848450be238ca,
  0xa3608fd6e1bd96cb, 0xaf2e556a015ac4f2, 0x2a551ae8a839bc8d, 0x272bb54b7d5d9cea, 0x5cbd2fe8e44d7020,
  0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0x357079b09732f9b6,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x000000004eb99221,
};

// m16hvbrevb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xdff9035bfc93ecfa, 0xfa8f2b90f355ad1e, 0x57fbbd47c1b30738,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0x488d3139d5a5e032, 0x6355ae875eba9bb6, 0x18b84845107d1dad,
  0xb8c17f5b86f65c39, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xe44d7020272bb54b, 0x8af2b9095cbd2fe8,
  0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x378ce88145f45021, 0x079b09732f9b69c6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xe21f9e4afdcd0ccb, 0x00000000009d748b,
};

// m16hvbrevb_swio11_lednop_pr_ce_u4 m16hvbrevb_swio12_lednop_pr_ce    m16hvbrevb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xf5eebe45baff24fb, 0x2c79e3254ef4ddc5, 0xe12fc4361222fb89,
  0xc5dc6e1256547ea3, 0x8f2fa7b9633f5933, 0xde951c74fe0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b997cdb63131dbd, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000375c21710fc,
};

// m16hvbrevb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0x5f901a3fc93ecfbf, 0xc953b0d077fd5197, 0xe771b8d07044fe78,
  0xca5ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0xd3ad08a05315943f, 0x909afa30b2c4522c, 0x239b8e7576e74a3a,
  0x355e363af3a6ed22, 0xc5c242285f11c656, 0x8d8226470decb65c, 0xbcb955a9676b13ca, 0xa9546ba2a0e6f236,
  0x9caed52df57673a8, 0x72f4bfa39135c080, 0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x3131dbd8aaa2d241, 0xc9ab8d84b997cdb6, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0xc7c43f3c95fb9a19, 0x0000000000029a6d,
};

// m16hvbrevb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x19827c602416caef, 0xe421f7f9520f9fec, 0xe0e21f5c5f547a6f, 0x8488bee24b1e7942,
  0xfc7ddfa8f84bf10d, 0x736f7ccf1771b9c3, 0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76e74a3a909afa30, 0xf3a6ed22239b8e75, 0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0xa0e6f236bcb955a9, 0xf57673a8a9546ba2, 0x9135c0809caed52d, 0x2bcae42572f4bfa3, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xd79e4afdcd0ccb0e,
  0x000000013f2353a5,
};

// m16hvbrevb_swio12_lednop_ee_hw
static const uint64_t ur_m16hvbrevb_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0xb4663fe40d6ffa14, 0x1f51ea3cad82cd56, 0x1df15a9ef51f06cc,
  0x0b2c4522cd3ad08a, 0xba55c6b26909afa3, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0xb2d973170908a17c,
  0x589e546c11fadc37, 0x3791b5e5caad402b, 0xb39d454aa35d1507, 0xae0404e576a96fab, 0x57212b97a5fd1c89,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x5f36d8c62adec555, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000005be3539453c,
};

/*
 * m16hvbrevb_swio11_lednop_ee_ce_u4_hw m16hvbrevb_swio12_lednop_ee_ce_hw
 * m16hvbrevb_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16hvbrevb_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0x7a6fe421f7fd0a67, 0x7942e0e21f5c5f54, 0xf10d8488bee24b1e,
  0xb8aeb8c2ffa8f84b, 0xa76b736f7ccf1771, 0x6cc1e95ea3caca5c, 0x08a05315943f51f0, 0xfa30b2c4522cd3ad,
  0x8e7576e74a3a909a, 0x363af3a6ed22239b, 0x42285f11c656355e, 0x26470decb65cc5c2, 0x55a9676b13ca8d82,
  0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xa7514f257ee68665, 0x0000000000050146,
};

/*
 * m16hvbrevb_swio11_dual_pr         m16hvbrevb_swio11_dual_pr_u4      m16hvbrevb_swio12_dual
 * m16hvbrevb_swio12_dual_pr         m16hvbrevb_swio12_dual_pr_u4
 */
static const uint64_t ur_m16hvbrevb_swio11_dual[] = {
  0x23fbbbbb4486c541, 0x13b7e3af4e46d2e3, 0x17ddb83d3a85b4bf, 0xe2ff23b295f14adb, 0x59f16a015bab8c8f,
  0xd0eeb047f0d57a8c, 0x04f8c0482d95de4a, 0xc6d0322525215233, 0x20614306927e06c8, 0x4ff32addcee9f12e,
  0xefe6c17d9c0a2cce, 0x08e489fc199537a8, 0xe144312bfcfdf045, 0xddeef9b8d7600dc3, 0x150865a119221955,
  0xb94bffa039e135ad, 0x357cc161bcaf212d, 0xa3be596bfc828bfe, 0x71c74fe0f7bf51fb, 0x9cc580aa0f33930f,
  0x08ebc019d9004698, 0x7b6f78df5403ff66, 0xe77715257cea0796, 0xc8daf2e556b3f8ab, 0xcea2a551ae8a839b,
  0x020272bb54b7d5d9, 0x9095cbd2fe8e44d7, 0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b6c63156f62aa8b, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000524c8394baf3c,
};

// m16hvbrevb_swio12_dual_pr_ee
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ee[] = {
  0x33d6dddddd435032, 0xf13b7e35342136ac, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd7b0cf5,
  0xabdb47faf7dd8e17, 0x80905b2bbc9e9cee, 0xc8949485d16609f1, 0x0c1a49f81b231b40, 0xab773ba7c4b88185,
  0x0968e016a631ffcc, 0x3f838ad37a8e4eb6, 0x257f9fbe08a11c91, 0x6e5d0c01b87c2886, 0xd05f688655777bbe,
  0xa039e1307b8a8432, 0x61bcaf212dbe9aff, 0xf77c80b5fe357cc1, 0xfd4795dba9aad68f, 0x57a6fd47c1b3061e,
  0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x3d19ea73ab4bb055, 0xb1aad743af512ec6, 0x662e121146948e21,
  0x51b047eb70decbe9, 0xceee2a4a01645115, 0x91b5e5caad67f157, 0x9d454aa35d150737, 0x0404e576a96fabb3,
  0x212b97a5fd1c89ae, 0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516,
  0x63ce1b8f3612e65f, 0x4fdd599bf83bb8d1, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf, 0x0190a22fa5d79e4a,
};

// m16hvbrevb_swio12_dual_pr_ee_u4
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ee_u4[] = {
  0x5b777768adbba0ae, 0xedf8d4d084dab0cf, 0xf34e72be816647c4, 0xb55de9afbf6d3da3, 0x71337af619eb2333,
  0x6eaf61f5dc2f0fae, 0x95de4f4e777d7dfd, 0x42e8b304f8c0482d, 0xfc0d918da0644a4a, 0xd3e25c40c2860d24,
  0x5a98c7ff32d2df9d, 0x4dea393ad825a380, 0xf822847244fe0e2b, 0x06e1f0a21895fe7e, 0x1955ddeef9b97430,
  0xc1ee2a10cb417da2, 0x84b6fa6bfe80e784, 0x5fe246330586f2bc, 0xba9aad68ff77c80b, 0x7c1b3061efd4795d,
  0xeb422877c57a6fd4, 0x26be8c2cb1148b34, 0x3ab4bb055c54b9a4, 0x3af512ec63d19ea7, 0x146948e21b1aad74,
  0xb70decbe9662e121, 0xa0164511551b047e, 0xaad67f157ceee2a4, 0x35d15073791b5e5c, 0x6a96fabb39d454aa,
  0x5fd1c89ae0404e57, 0xaad115e57212b97a, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xf3612e65f36d8c62, 0xb763458df1726ae0, 0x0a9cfd4eaccdfc1f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x72792bf734332c3a, 0x0000002b27b13daa,
};

// m16hvbrevb_swio12_dual_pr_ce
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ce[] = {
  0x6edddddec121a5fb, 0x4edf9e3fbb368a70, 0xfb755f362477707c, 0xbb69c89f55fd77a0, 0x995dfbf7ba538374,
  0x5dd2c8d759b42acc, 0x3e30120b65779262, 0x6819129291118cc1, 0x30a183493f036463, 0xf9956ee774f89710,
  0x76c2391c0e0cdd5f, 0x9227f072ba6f51f6, 0x10c4aff3f7c11423, 0xbbe6e29200370f85, 0x432d00f688655777,
  0xbffa039e1304f8a8, 0x982c3795e425b719, 0x7d5fcf90707fc6af, 0x963cf285c1c27571, 0xf097e21b09117dc4,
  0xc5dc6e337d2a3f51, 0x384f9ee58cfa9733, 0xbb7e38e9fc1dadea, 0xc80234c4e62c0528, 0xa01ffb33c75e00ce,
  0xf9d40f2d6e7bc6fa, 0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576,
  0xad115e57212b97a5, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e,
  0xc1ddc68b2d5e371e, 0x9430a9cfd4eaccdf, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x3491eb72ebcf257e,
};

// m16hvbrevb_swio12_dual_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ce_u4[] = {
  0x4e4eddddda2432db, 0xf13b7e78fb1736ac, 0x4d7dd6c4eca38f4e, 0xe4ea666eb4b1272d, 0x674a3f738abf76c4,
  0xc968aee3822ac07c, 0xfa609f180905b2bb, 0xb231b40c8949483a, 0x4b881850c1a49f81, 0x3456fccab773ba7c,
  0xd47cadb0df670d37, 0x4508e489fc19439b, 0xc3e144312bfcfdf0, 0x55ddeef9b895000d, 0xc62a10cb4027a219,
  0xb6f63fff4073c269, 0xf8d5f30586f2bc84, 0x4f5c5f5dbff206b7, 0x5f71258f3ca17071, 0x3fd47c25f886c244,
  0x1c6678bb8dceb364, 0x27bd4797d3dcb19e, 0xc05dbebe471d3f83, 0xf22dd87c4637ce62, 0x947570f71cb19e3a,
  0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f,
  0x65362ce80f3f5ae7, 0xc6085a6ae757a961, 0xb4e31bc67440a2f8, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x000d242ce5d79e4a,
};

// m16hvbrevb_swio12_dual_pr_ee_ce
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0x6f13b7e3111f86d7, 0x7af7bb62f1aac33d, 0xf1ba4e56820f913f, 0xbebd77a9be4bf695,
  0xe78233a96453ab04, 0x180905b2bbc9c9ce, 0x19129290724e609f, 0xa183493f03646368, 0x956ee774f8971030,
  0x601a0e1a6a67f9f9, 0x27f07d3f37a8fff3, 0xc4aff3f7c1142392, 0xcdcf3900370f8510, 0x5a070d10caaeef77,
  0xf4073c2672715086, 0x2c3795e425b7149f, 0x943f91a6bfc6af98, 0xf285c1cd3477fd51, 0x84e771b8a49cdffc,
  0xcad82ca76b2b2219, 0xef51f06cc1f51ea3, 0x2cd3ad08a05315a9, 0x3a909afa30b2c452, 0xdf472f8e7576e386,
  0x6355e363af6b13b6, 0x8c5c2422805118f9, 0xe31c8a6470decb8f, 0xab59fc55f3bb8a92, 0xd74541cde46d7972,
  0xaa5beaece75152a8, 0x7f47226b8101395d, 0xab445795c84ae5e9, 0xd7ce80f1cad75cf6, 0x78ce881085482e52,
  0xb7b15545a4829c63, 0x9b09732f9b6c6263, 0xfc1ddc68b1e70dc7, 0xe19e985727eeaccd, 0x87494b67c09c6592,
  0x92ebcf257ee68665, 0x0000000000098273,
};

// m16hvbrevb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16hvbrevb_swio11_dual_pr_ee_ce_u4[] = {
  0xbeeeeed15b770668, 0x6fccc5fc26d157d8, 0x6a6bd5784339de27, 0xe2faf7683acadada, 0x7138abec5e713ada,
  0x399a0e087877d737, 0x6c4eeab8fb000352, 0x609f180905b2bbc9, 0xc6d032252521966e, 0x20614306927e06c8,
  0x5f99696fcee9f12e, 0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0x77cdc15400370f85,
  0x865a11c910caaeef, 0x5ff4073c26df7150, 0x30586f2bc84b6f49, 0x193af91787fe2463, 0xcf285e77787717d5,
  0x7e21b09117dc4963, 0x1b82a8b24ff51f09, 0x4a76b737374cf177, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e,
  0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170,
  0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5e97f47226b81013,
  0xcf6ab445795c84ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0x7079b09732f9b6c6,
  0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0xd5393c95fb9a1996, 0x0000000010013f04,
};

// m16hvbrevb_swio12_dual_ee_hw
static const uint64_t ur_m16hvbrevb_swio11_dual_ee_hw[] = {
  0xeb6eeee87ad0cf68, 0x9dbf1a9a109b5619, 0xf6e9ce57d02cc8f8, 0xcced577a6befdeb4, 0xeb9c4cdebd867ac8,
  0xcd1f53ad6ec70bc3, 0x30120b657793d39d, 0x19129290ba2cc13e, 0xa183493f03646368, 0x956ee774f8971030,
  0xc12d1c02d4c63ff9, 0x27f0715a6f51c9d6, 0xc4aff3f7c1142392, 0xcdcba180370f8510, 0x5a0bed10caaeef77,
  0xf4073c260f715086, 0x2c3795e425b7d35f, 0xfddf202d7ffa9198, 0xbf51e576ea6ab5a3, 0x15e9bf51f06cc187,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x8f467a9cead2ec15, 0x6c6ab5d0ebd44bb1, 0x598b848451a52388,
  0x546c11fadc37b2fa, 0xf3bb8a9280591445, 0xe46d7972ab59fc55, 0xe75152a8d74541cd, 0x8101395daa5beaec,
  0xc84ae5e97f47226b, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545,
  0x4bd5c6e3cd84b997, 0xcbf313f9430a9cfd, 0xffe09a1e64ff1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0xa45f514f257ee686, 0x000000000000015d,
};

// m16hvbrevb_swio12_dual_ee_ce_hw
static const uint64_t ur_m16hvbrevb_swio11_dual_ee_ce_hw[] = {
  0x924cdddddd43359b, 0xf13b7e311b043693, 0xe4f7475d3eced362, 0x7accf8673226b8ed, 0x66c9b537c953924c,
  0x70f0cc29ad75ebde, 0x8c0482d95de4b337, 0x0c894948cb69304f, 0x50c1a49f81b231b4, 0xcab773ba7c4b8818,
  0x60ff0e188266bbfc, 0x13f83ff937a8fa6b, 0x6257f9fbe08a11c9, 0xe6e2e0801b87c288, 0x2d060a88655777bb,
  0xfa039e134878a843, 0x2c3795e425b735bf, 0xcadf23107ffa9198, 0xe50b839880effaa3, 0x09cee3732a1a0ff9,
  0x95cae94ed6564dd3, 0xfd47c1b307b7fd47, 0xb34eb422814c57be, 0xea426be8c2cb1148, 0x1e8cf539d5db9828,
  0xb1aaf1b1d7a89763, 0x662e121146948e21, 0xa8d8226470decbe9, 0xe77715252cf2288a, 0xc8daf2e556b3f8ab,
  0xcea2a551ae8a839b, 0x020272bb54b7d5d9, 0x9095cbd2fe8e44d7, 0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3,
  0x490538c6f19d1021, 0x36d8c4c76f62aa8b, 0xe7f61b8f3612e65f, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x0089a601514f257e,
};

// m16hvbrevb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio11_dual_ee_ce_u4_hw[] = {
  0x17ddddda28d172df, 0xedf998bf84da2afb, 0xdd4d7aaf08673bc4, 0xadae2faf7683baca, 0x7377138abec5e713,
  0x0d5a1968e087877d, 0xd95de4b62776d6aa, 0x90cb37304f8c0482, 0x3f03646368191292, 0x74f8971030a18349,
  0x5e1cdcb5f9976127, 0x737a8f8ddb0ec138, 0x7c114239227f06d7, 0x0370f8510c4aff3f, 0x0caaeef77cdc1540,
  0x6df7150865a11c91, 0x84b6f495ff4073c2, 0xffd9e8730586f2bc, 0x0ee2faa3275f22f0, 0xb892c79e37c3072f,
  0xea3e12fc4361222f, 0x99e2ee3702c8cf5f, 0x795cae94ed6e6e6e, 0xefd47c1b307b7fd4, 0x8b34eb422814c57b,
  0x8ea426be8c2cb114, 0x31e8cf539d5db982, 0x1b1aaf1b1d7a8976, 0x9662e121146948e2, 0xaa8d8226470decbe,
  0xbe77715252cf2288, 0xbc8daf2e556b3f8a, 0x9cea2a551ae8a839, 0x7020272bb54b7d5d, 0xb9095cbd2fe8e44d,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0075d58cd017d3c9,
};

static const uint64_t ur_m16hvbrevb_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfa0019f31f304f8c, 0x884ef96e93e46dff, 0x6bc71d3f83e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x55abdebe8e44d672,
  0x5ae7b55a22bcae42, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0xcbe6da718de33a20, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000548b873759e,
};

// m16hvbrevb_swio13_noled_pr_u4
static const uint64_t ur_m16hvbrevb_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xd07fe4195fe49f67, 0xfe0fa0f51e5f1df2, 0x02cb29a3de951c74,
  0xa3e768851ef67316, 0x2934a807fecc11d7, 0x2ab57d6e07967b62, 0x8d74541cde46d797, 0x96faa9bece75152a,
  0x7bd7d1c89ace576a, 0xf6ab445795c84ab5, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2,
  0x57079b09732f9b63, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x35a21f9e4afdcd0c, 0x000000000003e4d5,
};

static const uint64_t ur_m16hvbrevb_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0xf9115bfc93ecf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47921cead2e95971, 0x355ae875e74ddba8, 0x8b848451f22383f6,
  0x3608fd6e1bd96cb9, 0xe5caad402e9305aa, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0xad5ef5f47226b395,
  0xd73daad115e57212, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd8c9156f62aa8b4b, 0xe4d5c1e6c25ccbe6,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000004ebe318,
};

static const uint64_t ur_m16hvbrevb_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x2be46fbff24fb3f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xc51bde73ab4bd4a5, 0xc6ab5d0ebd753769, 0x62e121142d74770e,
  0x71d27d6e1bd970e4, 0x5073791b5e5caad5, 0xa6fb39d454aa35d1, 0x47226b395daa5bea, 0x115e57212ad5ef5f,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x6c25ccbe6d8c9156, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x7e792bf734332c3a, 0x00000000275cb388,
};

// m16hvbrevb_swio13_noled_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xfaedff912bbfc93e, 0x963cf192a77beee2, 0xf097e21b09117dc4,
  0xe2ee372e4492bf51, 0xa3cdd3dcb19fac99, 0xca9c638e9fc193de, 0x3b4428f7b398b014, 0xa5403ff6678ebd1f,
  0x6afadc0f2d6e1149, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0xafa391359caed52d, 0x5688af2b90956af7,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0x1e6c25ccbe6d8c86, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x887e792bf734332c, 0x0000000001bae9a0,
};

static const uint64_t ur_m16hvbrevb_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x297f23fe7f927d9f, 0xf192a77ff0effaa3, 0x84e771b9950d07fc,
  0xcace1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x2cd3ad08a0531597, 0x3a909afa30b2c452, 0xd423c90e7576e4ac,
  0xf6355e363af3a6ed, 0xb98b848451f22383, 0xd51b044c8e1bd96c, 0xdaf2e556a59f4982, 0xa2a551ae8a839bc8,
  0xcaed52df5537d9ce, 0x0956af7afa391359, 0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408,
  0xe6d8c863b7b15545, 0x3ce2e4d5c6c25ccb, 0xfdd598f207e50d16, 0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25,
  0x4d31e5e21f9e4afd, 0x0000000000000001,
};

static const uint64_t ur_m16hvbrevb_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x77c86bbff2a41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x8a839bc8daf2e556, 0x5537d9cea2a551ae, 0xfa391359caed52df, 0x688af2b90956af7a, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xe6c25ccbe6d8c863, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9392ebcf257ee686,
  0x0000000000004fc1,
};

static const uint64_t ur_m16hvbrevb_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe7c88adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xbc8daf2e556a0174, 0x9cea2a551ae8a839, 0x359caed52df5537d, 0x2b90956af7afa391,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xe65f36c648ab7b15, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000005bff92745,
};

// m16hvbrevb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ecef90d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xbdebe8e44d672bb5, 0x7b55a22bcae4255a, 0xc529e1a779f16bae,
  0x38c6f19d1020eea6, 0x218edec5551696d1, 0x8dc79b09732f9b63, 0x7bde50c2a73f505d, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x010c9ca29e4afdcd, 0x0000000000000005,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xfd000cfc069827c6, 0xe4877cb749f203df, 0x4c638e9fc1f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d74541cde46, 0x576a96faa9bece75, 0x925fd1c89ae0404e,
  0x9ed5688af2b9095c, 0xa96bca70173a03cb, 0x2fa2810b4ac22617, 0x7cdb4e31bc67440a, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0001527d6e6eb3c9,
};

// m16hvbrevb_swio13_lednop_pr_u4
static const uint64_t ur_m16hvbrevb_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0xa0ffc831ffe49f67, 0xfe0fa0f51f4a3be5, 0x05965340609f1c74,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6ba2a0e6f236bcb9, 0xb7d54df673a8a954,
  0x8e44d7020272bb54, 0x445795c84ae492fe, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb40a8ab7, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000001f27fd5110f,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x7c8383fe49f67e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23050e7569790eb8, 0x1aad743af3a6eddd, 0xc5c242289b91e45b,
  0x1b047eb70decb65c, 0x7972ab5008452695, 0x52a8d74541cde46d, 0x76a96faa9bece751, 0x25fd1c89ae0404e5,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0x079b09732f9b6815,
  0x7e50d165abcb9357, 0x861539fa9d598f20, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x75f08621f9e4afdc, 0x0000000000000002,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46657c8383fe49f6, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb2c4522cd3ad08a1, 0xf6b8a266909afa30, 0xecbe23884e756975, 0x22d8d56ba1d7aea6, 0x0e462e121140df46,
  0x5aae167fd6e1bd97, 0xba2a0e6f236bcb95, 0x7d54df673a8a9546, 0xe44d7020272bb54b, 0x45795c84ae492fe8,
  0x59d01e7eb5cf6ab4, 0xb4d5ceaf52c2ca6c, 0x1bc674409cfa2810, 0x83cd84b997cdb4e3, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x110fcf257ee68665, 0x0000000000275d34,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xf1ad304f8c0482d9, 0x5dbff234dff927d9, 0xc79e3254ef675c5f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0x79c67b9633f5933c, 0xe7ac71d3f8327bd4, 0xcbe238c8e62c0531, 0x500ffd99e3af47ce,
  0x70e40f2d6e1bf70d, 0xa839bc8daf2e556b, 0x537d9cea2a551ae8, 0x35c0809caed52df5, 0xe57212b924bfa391,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0xd3e2e4d5c1e6c25c,
  0xa75663c81f943459, 0x65f989fca1854e7e, 0x7ff04d0f327f8b9c, 0xc970cf4c2b93f1cf, 0x32c3a4a5b3e04e32,
  0xe9e887e792bf7343, 0x0000000000000dd7,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f5f91813fc93e, 0x4b1e78c953bcad71, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x47c927b9633f19cc, 0xe8148e3a7f0621fd, 0xecf7a3b58e62c05e, 0x845dc72c678ebc5c,
  0x0e6f236bcb955a8e, 0xdf673a8a9546ba2a, 0x7020272bb54b7d54, 0x5c84ae492fe8e44d, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b681463b7b1554, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x0dd7ab2a21f9e4af,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94bf909b7fe49f67, 0xf192a769b677fd51, 0x84e771b8a49cdffc,
  0xcaca1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x2cd3ad08a05315b0, 0x3a909afa30b2c452, 0xdd23050e7576e90e,
  0xb6355e363af3a6ed, 0xb98b8484513723c8, 0x951b044c8e1bd96c, 0x6d7972ab52cc4526, 0x5152a8d74541cde4,
  0xe576a96faa9bece7, 0xc925fd1c89ae0404, 0xb9ed5688af2b9095, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x28c76f62aa8b4905, 0x26ae3612e65f36d0, 0xc7903f2868b1e717, 0x92e19e985727eeac, 0x587494b659289c65,
  0x3710fcf257ee6866, 0x000000000000a69e,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xcef90293fca907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0x9135c0809caed52d, 0x15e57212b924bfa3, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6da0518edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587,
  0x000000009f80f272,
};

static const uint64_t ur_m16hvbrevb_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f3e41c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x6f236bcb955a8042, 0x673a8a9546ba2a0e, 0x20272bb54b7d54df, 0x84ae492fe8e44d70,
  0xad75cf6ab445795c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0016fcd4e514f257,
};

// m16hvbrevb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9df20527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0xa8d74541cde46d79, 0xa96faa9bece75152, 0xfd1c89ae0404e576, 0x5688af2b9095c925, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d028c7, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x27453c95fb9a1996, 0x000000000014040f,
};

// m16hvbrevb_swio13_dual_pr         m16hvbrevb_swio13_dual_pr_u4
static const uint64_t ur_m16hvbrevb_swio13_dual[] = {
  0xa7bbbbbb44869a4e, 0x7e276fc75e10cdaf, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b77e99,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0x231b40c894948ba1, 0xb881850c1a49f81b, 0x393fccab773ba7c4,
  0xa3bf9b05f67028b3, 0x14239227f06654de, 0x0f8510c4aff3f7c1, 0xabbbddf372000037, 0x5a2a10cb42324432,
  0x5b7287ff4073c26b, 0xfc6af982c3795e42, 0xedf3be59eff91fbb, 0x3dc71d3f8383fea3, 0x42731602a83cc95a,
  0x9823af00676d291c, 0x2cf6d318c9500ffd, 0xabe7771525c0940f, 0x9bc8daf2e556b3f8, 0xd9cea2a551ae8a83,
  0x0809caed52df5537, 0x212b924bfa39135c, 0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36d02a2adec55516, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000a49ef05975e79,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ee[] = {
  0x00addddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0x4f59198f6d9beec7, 0xf700faabc99bd701,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x0c2860d24fc0d918, 0xfe655bb9dd3e25c4,
  0x75b04b4700b5318f, 0xe489fc1c569bd472, 0x44312bfcfdf04508, 0xddf373bac00dc3e1, 0x219682fb4432abbb,
  0xdffd01cf0983dc54, 0xcc161bcaf212dbce, 0xd1b93f91d3ffe357, 0xe3dfa8f2bd37355a, 0xef8af677a8f83660,
  0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512, 0xbe9662e121141ea8,
  0xded51b047eb70dec, 0x8abe77715250087c, 0x39bc8daf2e556b3f, 0x7d9cea2a551ae8a8, 0xc0809caed52df553,
  0x7212b924bfa39135, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0x163ce1b8f3612e65, 0xe4fdd599bf83bb8d, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c, 0x003214b1fe5d79e4,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b402, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5c053d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0xa49f81b231b40c89, 0xf3ba7c4b881850c1,
  0x700b5318ffe65a5b, 0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0xac00dc3e144312bf, 0xb4432abbbddf373b,
  0xf0983dc54219682f, 0xaf212dbcedffd01c, 0x74fff8918cc161bc, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c,
  0x9a75a1143be2bd9d, 0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab,
  0x1fadc37b2fa598b8, 0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xb54b7d54df673a8a,
  0x2fe8e44d7020272b, 0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x3cd84b997cdb40a8, 0xedd8d1637c5c9ab8, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x9c9e4afdcd0ccb0e, 0x00000002b225b46a,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ce[] = {
  0x95bbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a50,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0x46368191292902a8, 0x71030a183493f036, 0xd5ff9956ee774f89,
  0x1f676c2391c0e0cd, 0x4239227f072ba6f5, 0xf8510c4aff3f7c11, 0xeef77cdc04480370, 0x150865a01ed10caa,
  0x7ff9ff4073c2609f, 0x6af982c3795e425b, 0xee2fac06f904ebfc, 0x71258f3ca17073ab, 0xd47c25f886c2445f,
  0xe678bb8dceb3643f, 0xbea3c893dcb19f52, 0x2fee32a38e9fc188, 0x0676d291c4273160, 0x8c9500ffd99e3af0,
  0x549702503cb5b931, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xb54b7d54df673a8a, 0x2fe8e44d7020272b,
  0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b68146,
  0x7f07771a2cb578dc, 0x1a50c2a73f53ab33, 0x9f80f9a1e64ff027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x00d242b54baf3c95,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x0bc9d4cca76f5d84, 0x2d4e900d57efdeec,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0x06c8c6d032252522, 0xf12e20614306927e, 0xdcd15bf32addcee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e32180, 0xa718a8432d009e88,
  0x12db8cdffd01cf09, 0x3fe357cc161bcaf2, 0xe604b8bea657c838, 0x88bee24b1e7942e0, 0x723fa8f84bf10d84,
  0x3c38ccf1771b8951, 0x8326bd479c67b963, 0x3160299537471d3f, 0x1d7916ecb5d1c647, 0x15251d5adb8e58cf,
  0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0xed52df5537d9cea2, 0x4bfa39135c0809ca, 0xdaad115e57212b92,
  0xb29b1674079fad73, 0x63042d3573abd4b0, 0xda718de33a204e7c, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x0034902172ebcf25,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ee_ce[] = {
  0x5b2b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c9765,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0xc2860d24fc0d918d, 0xe655bb9dd3e25c40,
  0xcd80683869a99fe7, 0x489fc1f4fcdea3ff, 0x4312bfcfdf04508e, 0xbe6e0c2e00dc3e14, 0x32d038688655777b,
  0xffa039e133938a84, 0x82c3795e425b7c6e, 0x360bf2276ffc6af9, 0x3ca1707276ceffaa, 0xc273b8dc0449807f,
  0xe56a7a53b595910c, 0x4f51f06cc184ff51, 0x2cd3ad08a05315e0, 0x3a909afa30b2c452, 0x65239c4e7576e2ea,
  0xd8d578d8ebdac4ec, 0x8c5c2422897c8d6b, 0x7188f86470decb8f, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9,
  0xb7d54df673a8a954, 0x8e44d7020272bb54, 0x445795c84ae492fe, 0xce80f1cad75cf6ab, 0xce881085482e52d7,
  0xb15545a4829c6378, 0x09732f9b681463b7, 0x1ddc68b1e70dc79b, 0x9e985727eeaccdfc, 0x494b67c09c6592e1,
  0xebcf257ee6866587, 0x000000002608a9d2,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d6fd, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x437713b7eec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0x0364636819129291, 0xf8971030a183493f,
  0xe6e5afccb4b7e774, 0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0xaeef77cdc4e3c01b,
  0x7150865a11c910ca, 0x6e495ff4073c26df, 0x246330586f2bc84b, 0x2faa3eaff9130dfe, 0x92c79e50bcee61ae,
  0x3e12fc4361222fb8, 0xc5dc6e271fdc7fea, 0xbdf729dadcdcdd33, 0xd47c1b306657a8f2, 0x34eb422814c576eb,
  0xa426be8c2cb1148b, 0x88fa839d5db94f0e, 0x8d578d8ebd44bb3f, 0x3170908a0f547f25, 0x46c1132386f65f4b,
  0x9ddc5494b31f37b5, 0x236bcb955acfe2af, 0x3a8a9546ba2a0e6f, 0x272bb54b7d54df67, 0xae492fe8e44d7020,
  0x75cf6ab445795c84, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6,
  0xfe0fdbb1a2c6f8b9, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x16d5393c95fb9a19, 0x0000000000100010,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0x47c4edf8d4c9b368, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdeb80a,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0x31b40c89494874ea, 0x881850c1a49f81b2, 0x1ffccab773ba7c4b,
  0xe4eb60968e016a63, 0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0x77bbe6e775801b87, 0xa8432d05f6886557,
  0x9dbffa039e1307b8, 0x91982c3795e425b7, 0x6b46e4fe474ffffa, 0x838f7ea3caf4dcd5, 0x43be2bd9dea3e0d9,
  0x616588a459a75a11, 0xd4f2e2a5cd2135f4, 0x4bb3f88fa839d5a5, 0xa3f92c6ab5d0ebd4, 0xb2fa598b8484507a,
  0xf37b546c11fadc37, 0xfe2af9ddc5494021, 0xa0e6f236bcb955ac, 0x4df673a8a9546ba2, 0xd7020272bb54b7d5,
  0x95c84ae492fe8e44, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x97cdb40a8ab7b155,
  0xfd4bd5c6e3cd84b9, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xbb563fd14f257ee6, 0x0000000000000002,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_ee_ce_hw[] = {
  0x821eeeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a10d2,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x850c1a49f81b231b, 0xccab773ba7c4b881,
  0xb60ff0e188266bbf, 0x913f83ff937a8fa6, 0x86257f9fbe08a11c, 0xbe6e059001b87c28, 0x32d060a88655777b,
  0xffa039e134878a84, 0x82c3795e425b7bc3, 0x72bbe456ffffa919, 0x7942e0e56f9dff54, 0xc273b8dce8fa927e,
  0xe57bee53b5959374, 0xd7a8f83660ccaf51, 0x1669d68450298aed, 0x1d484d7d18596229, 0x7f11f5073abb729e,
  0x4b1aaf1b1d7a8976, 0x9662e121141ea8fe, 0x6a8d8226470decbe, 0x5f3bb8a929663e6f, 0xde46d7972ab59fc5,
  0xce75152a8d74541c, 0x404e576a96faa9be, 0x095c925fd1c89ae0, 0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d028c76f62aa8b4, 0x7f61b8f3612e65f3, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x44d31c5d14f257ee,
};

static const uint64_t ur_m16hvbrevb_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0xe276fccc54626d6f, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4edfbb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0xc1a49f81b231b40c, 0xb093ba7c4b881850,
  0x609c2f0e6e5afccb, 0x836bb9bd47c6ed87, 0x7f9fbe08a11c913f, 0x4e3c01b87c288625, 0x1c910caaeef77cdc,
  0x73c26df7150865a1, 0xf2bc84b6e495ff40, 0x2261bfd9e8730586, 0x0e4c35c5f547d5ff, 0x445f71258f3c6f86,
  0x3eefd47c25f886c2, 0xb9ba678bb8dce1fe, 0xaf51e57bee53b5b9, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0x541cde46d7972ab5, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xf2b9095c925fd1c8,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0xe7ea0bb1b8f3612e,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000075d668dc17d3,
};

static const uint64_t ur_m16hvbrevb_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xf40033f1ee609f18, 0x4c4ef96e83e4775f, 0x7c8e3a7f075ffd47, 0x4f1cc580b7ba6400,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0x54aa35d15073791b, 0xa6e576a96fab39d4, 0x212b63f7f47226b3,
  0x9fad73daad115e57, 0x3a9d4e02ca54fa77, 0x1023cbc502169617, 0x2e65f36d38c6f19d, 0xe985727e7f61bb61,
  0x4b659289c6592e19, 0xcf257ee686658749, 0x00000002a4b739ba,
};

// m16hvbrevb_swio14_noled_pr_u4
static const uint64_t ur_m16hvbrevb_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xf31f304f8c0482d9, 0xb6f7f236fff927d9, 0x9fc1935ea382877c, 0xc05965307b40238e,
  0xf47cec98a3114e62, 0xd6279500ffd9823a, 0xe556a844c0f2cf6e, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0x5b1fbfa391359d37, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x6c218ab7b15545a5,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd5c1621f9e4afdcd, 0x00000000000003e4,
};

static const uint64_t ur_m16hvbrevb_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x3fe46ceff24fb3e7, 0xea3cacbacd56b466, 0x594bf51f06cc1f51,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xd51fc873ab4bb935, 0xd8d56ba1d79d3763, 0x73170908a22147bd,
  0x546c11fadc37b2d9, 0xb5e5caad402e839e, 0x454aa35d15073791, 0x3a6e576a96fab39d, 0x7212b63f7f47226b,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x5f36d843156f62aa, 0x9f1726ae0f3612e6,
  0x3ab31e40fca1a2ce, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x05443f3c95fb9a19, 0x000000000000275e,
};

static const uint64_t ur_m16hvbrevb_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0x6ffc895dfe49f67f, 0x7d4795fce9aad68f, 0x2b74bea3e0d9839c,
  0x88a459a75a1143be, 0x7144cd2135f46165, 0x7c8d6b9cead2ebed, 0xc6ab5d0ebd753769, 0x18b8484503e23e92,
  0x5c741f5b86f65c39, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0xfd1c89ace9b95daa, 0xab445795c84ad8fd,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x3cd84b997cdb610c, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x10fcf257ee686658, 0x000000000275d341,
};

// m16hvbrevb_swio14_noled_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0x67f4dcc13e30120b, 0xbebdd7c8cadfe49f, 0x258f3c64a9dcaeb8, 0x7c25f886c2445f71,
  0x78bb8dc643a4afd4, 0xa8ebe4f72c67eb26, 0xdf97d1c74fe0d67f, 0x764c5188a731602e, 0xca807feccf1d7a3e,
  0xd508981e5add6b13, 0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xf7f47226b3a6e576, 0xdaad115e57212b63,
  0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x4c76f62aa8b4b689, 0xc1e6c25ccbe6db08, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xf887e792bf734332, 0x0000000000375d22,
};

static const uint64_t ur_m16hvbrevb_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x2ebf2066ffc93ecf, 0xe3254ec66ceffaa3, 0x09cee3719cba3ff9,
  0x95c8794ed6563df3, 0x7ea3e0d983d2bd47, 0x59a75a1140a62b38, 0x752135f4616588a4, 0xf547f21ceaedce4c,
  0xec6abc6c75e74dd8, 0xb98b84845110a3de, 0x951b044c8e1bd96c, 0x6d7972ab52cfa0e7, 0x5152a8d74541cde4,
  0xce9b95daa5beace7, 0x5c84ad8fdfd1c89a, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2,
  0x2f9b6c2131dbd8aa, 0x58f38b93571b0973, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c,
  0x0534c5fb887e792b,
};

static const uint64_t ur_m16hvbrevb_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x149304f8c0482d95, 0x6fe456fff9520f9f, 0x42e0e56fdc5f547a, 0x0d8488bee24b1e79,
  0x76ec2c9fa8f84bf1, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684,
  0x3abb73931d484d7d, 0x1d79d3763d51fc87, 0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113,
  0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xf7f47226b3a6e576, 0xdaad115e57212b63, 0x294f0d3bcf8b5d73,
  0xc6378ce881077536, 0x4c76f62aa8b4b689, 0x71e6c25ccbe6db08, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xc1eaf2ebcf257ee6,
  0x000000000000004f,
};

static const uint64_t ur_m16hvbrevb_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0xb5a331ff23677fd0, 0x60fa8f51e565d66a, 0x50ef8aca5fa8f836,
  0x185962291669d684, 0x5dc9ae3593484d7d, 0xe9bb1ea8fe439d5a, 0x0a3deec6ab5d0ebc, 0xbd96cb98b8484511,
  0x741cf2a3608fd6e1, 0x39bc8daf2e556a01, 0xd59cea2a551ae8a8, 0x391359d372bb54b7, 0x88af2b9095b1fbfa,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xb09732f9b6c218ab, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3a29e4afdcd0ccb0,
  0x00000000002dffcd,
};

// m16hvbrevb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0x547a6fe456fffd0a, 0x1e7942e0e56fdc5f, 0x4bf10d8488bee24b,
  0x71b86dd8523fa8f8, 0x3ca76b736f7ccf17, 0xf06cc1e95ea3cae4, 0xad08a053159c3f51, 0x9afa30b2c4522cd3,
  0xf90e7576e7263a90, 0x5e363af3a6ec7aa3, 0xc242288851ef7635, 0x8226470decb65cc5, 0xb955a967d073ca8d,
  0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x56c7efe8e44d674d, 0xbae7b55a22bcae42, 0xea6c529e1a779f16,
  0x6d138c6f19d1020e, 0xb61098edec555169, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x028087abd14f257e,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xff40033f01a609f1, 0xf921df2dd07c80f7, 0x2631c74fe0ebffa8, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546ba2a0e6f23, 0x74dcaed52df5673a, 0x72fb1e8e44d70202,
  0xae7b55a22bcae425, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0xbe6da718de33a205, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000a93eb73759e4,
};

// m16hvbrevb_swio14_lednop_pr_u4
static const uint64_t ur_m16hvbrevb_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xafb9827c602416ca, 0xb7bf911effc93ecf, 0xfe0c9af51d003be5, 0x016594cfe7511c74,
  0xa3e76c9118df398b, 0xff48a807fecc11d7, 0x556b2ed40f2cf6e0, 0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55,
  0x7a39135c0809d372, 0x5688af2b9095cbec, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6,
  0x9b09732f9b6c6315, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x1f9e4afdcd0ccb0e, 0x00000007c99c87e2,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0xc7fc81adfe49f67d, 0x3d4795b059aad68c, 0x2b53dea3e0d983ea,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x22239b8e7569774a, 0x2b1aad743af3a6ed, 0x2e62e121142f88e3,
  0xca8d823f5b86f65b, 0x36bcb955a8056b13, 0xa8a9546ba2a0e6f2, 0x274dcaed52df5673, 0x572fb1e8e44d7020,
  0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x4d5c1e6c25ccbe6d,
  0x3c81f943459d3e2e, 0x9fca1854e7ea7566, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c,
  0x7e792bf734332c3a, 0x0000000013ae6488,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x1edff9035bfc93ec, 0x38fa8f2b90f355ad, 0x7c57fbbd47c1b307,
  0xcb1148b34eb42287, 0x32e2899a426be8c2, 0xb6488d3139d5a5e0, 0xad6355ae875eba9b, 0x3918b84845107d1d,
  0x6ab8c17f5b86f65c, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0x39135c0809d372bb, 0x88af2b9095cbec7a,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88145f4502, 0x7079b09732f9b69c, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xbe21f9e4afdcd0cc, 0x000000000009d748,
};

// m16hvbrevb_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0xf67e394c13e30120, 0x8bebdd7c8b75fe49, 0x1258f3c64a9de9bb, 0x47c25f886c2445f7,
  0x678bb8dc24aca8fd, 0xf51e5f4f72c67eb2, 0xc7bd2a38e9fc1acf, 0xced92231be731602, 0x91500ffd99e3af47,
  0xb5976a0796b741fe, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x09732f9b6c6263b7, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000006eb842e21f,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0xcbafc80d1fe49f67, 0x3c64a9d8683bfea8, 0xc273b8dc6838227f,
  0xe5652e53b5958f7c, 0x1fa8f83660f4af51, 0x1669d68450298aca, 0x1d484d7d18596229, 0x9111cdc73abb73a5,
  0x2b1aaf1b1d79d376, 0x2e62e121142f88e3, 0xe546c1132386f65b, 0x1b5e5caad4b3b589, 0xd454aa35d1507379,
  0x13a6e576a96fab39, 0x2b97d8f47226b810, 0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xb1898edec5551692, 0x2e4d5c6c25ccbe6d, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0x6e3e21f9e4afdcd0, 0x00000000000014d3,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xb06609f180905b2b, 0xbf9087dfe5483e7f, 0x0b83887d717d51e9, 0x361222fb892c79e5,
  0x0ff1f77ea3e12fc4, 0xadcdbdf33c5dc6e7, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9d28ea426be8, 0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0x8a839bc8daf2e556, 0x4b7d59cea2a551ae, 0x9135c0809d372bb5, 0x8af2b9095cbec7a3, 0xd01e395aeb9ed568,
  0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36d8c4c76f6, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3,
  0x000000004fc8d4e9,
};

static const uint64_t ur_m16hvbrevb_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0x5ad198ff9035bfe8, 0x307d47a8f2b60b35, 0x2877c56a7bd47c1b,
  0x8c2cb1148b34eb42, 0x2ee9571ac9a426be, 0x74dda4447371cead, 0xf11c656355ae875e, 0xdecb65cc5c242285,
  0xad627951b047eb70, 0x1cde46d7972ab500, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x97cdb6318ab7b155, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000016f8d4e514f,
};

// m16hvbrevb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0x51e9bf9087dff429, 0x79e50b83887d717d, 0x2fc4361222fb892c,
  0xc6e2bae30bfea3e1, 0x729dadcdbdf33c5d, 0xc1b307a57a8f2b29, 0xb422814c5650fd47, 0x6be8c2cb1148b34e,
  0x6e39d5db9d28ea42, 0x78d8ebce9bb4888e, 0x0908a17c471958d5, 0x08991c37b2d97317, 0xe556a59dac4f2a36,
  0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d8c4c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xa9d453c95fb9a199, 0x0000000000014051,
};

// m16hvbrevb_swio14_dual_pr         m16hvbrevb_swio14_dual_pr_u4
static const uint64_t ur_m16hvbrevb_swio14_dual[] = {
  0x4bbbbbbb4486c541, 0x7e276fc75e9c8da3, 0xb62fbb707a750b69, 0x1fc5fe47652be295, 0x18b3e2d402b74d29,
  0x95a1dd608fe1aaf5, 0x6609f180905b2bbc, 0x918da0644a4a42a4, 0x5c40c2860d24fc0d, 0x9c9fe655bb9dd3e2,
  0x51dfcd82fb381459, 0x8a11c913f8332a6f, 0x87c2886257f9fbe0, 0xabbbddf371aec01b, 0x5a2a10cb42324432,
  0x5b7297ff4073c26b, 0xfc6af982c3795e42, 0xf7477cb2d7f90517, 0x1ee38e9fc1ef7ea3, 0x31398b01541e6726,
  0xcc11d78033b2008d, 0x2cf6def1bea807fe, 0x57ceee2a4af9d40f, 0x3791b5e5caad67f1, 0xb39d454aa35d1507,
  0x81013a6e576a96fa, 0x7212b97d8f47226b, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204,
  0xf36d8c62adec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0000a499072975e7,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ee[] = {
  0x34eddddddd435032, 0x23e276fc6a68426d, 0x7ad3dba7395f40b3, 0xeb2333b55de9afbf, 0x2f0fae71337aed39,
  0xdd57b68ff5efbb1c, 0xe30120b657793d39, 0x819129290ba2cc13, 0x0a183493f0364636, 0x9956ee774f897103,
  0x6c12d1c02d4c63ff, 0x227f0715a6f51c9d, 0x0c4aff3f7c114239, 0x7cdcba180370f851, 0x65a0bed10caaeef7,
  0xff4073c260f71508, 0x82c3795e425b7d35, 0x1feef9016bfc6af9, 0x3dfa8f2bb75355ad, 0xf8af4dfa8f83660c,
  0x962291669d68450e, 0xab8a973484d7d185, 0x8c7a33d4e7569760, 0x436355ae875ea25d, 0xd2cc5c24228d291c,
  0x2aa3608fd6e1bd97, 0xaf9ddc549402c8a2, 0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x020274dcaed52df5,
  0xe42572fb1e8e44d7, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2,
  0x2c79c371e6c25ccb, 0xc9fbab337f07771a, 0xf0271964b867a615, 0x5fb9a19961d252d9, 0x00321445f4baf3c9,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x89dbf1a9a109b4d3, 0x47e69ce57d02cc8f, 0x676abbd35f7eda7b, 0x5ce266f5da73d646,
  0xfadd5ec3ebb85e1f, 0x5b2bbc9e9ceefafb, 0x9485d16609f18090, 0x49f81b231b40c894, 0x3ba7c4b881850c1a,
  0x00b5318ffe65a5bf, 0x569bd47275b04b47, 0xfdf04508e489fc1c, 0x600dc3e144312bfc, 0x4432abbbddf372e8,
  0x0983dc54219682fb, 0x79096df4d7fd01cf, 0x16bfc48c660b0de5, 0xbb75355ad1feef90, 0xa8f83660c3dfa8f2,
  0x69d68450ef8af4df, 0x484d7d1859622916, 0x4e7569760ab8a973, 0xe875ea25d8c7a33d, 0x4228d291c436355a,
  0xfd6e1bd97d2cc5c2, 0x49402c8a22aa3608, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9,
  0xb1e8e44d7020274d, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x1e6c25ccbe6db18c, 0xf6ec68b1be2e4d5c, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x4e4f257ee6866587, 0x0000000564f627b5,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xf89dbf3c7f766d1b, 0x41f6eabe6c48eee0, 0xe976d3913eabfaef, 0x9932bbf7ef74dd06,
  0xc4bba591aeb36855, 0x827c602416caef24, 0xc6d0322525222319, 0x20614306927e06c8, 0xbff32addcee9f12e,
  0xeced8472381c19ba, 0x47244fe0e574dea3, 0x0a21895fe7ef8228, 0xef77cdc524006e1f, 0x50865a01ed10caae,
  0x337ff4073c2609f1, 0x5f30586f2bc84b6e, 0xe2fabf9f20e0ff8d, 0x892c79e50b8384ea, 0xa3e12fc4361222fb,
  0x678bb8dc66fa547e, 0xd4709f3dcb19f52e, 0x5176fc71d3f83b5b, 0x9d90046989cc580a, 0xf5403ff6678ebc01,
  0x95f3a81e5adcf78d, 0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb, 0xaed52df5673a8a95, 0x1e8e44d7020274dc,
  0x55a22bcae42572fb, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131,
  0xf83bb8d165abc6e3, 0xd2861539fa9d599b, 0xfc07cd0f327f8138, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x06923d6e5d79e4af,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x9de276fcf1f62e6d, 0x5a9afbad89d9471e, 0x91c9d4ccdd69624e, 0xf8ce947ee7157ee9,
  0x7792d15dc7045580, 0x75f4c13e30120b65, 0x0364636819129290, 0xf8971030a183493f, 0x6e68adf9956ee774,
  0x37a8f95b61bece1a, 0xe08a11c913f83287, 0x1b87c2886257f9fb, 0x32abbbddf3712a00, 0xd38c542196804f44,
  0x096dec7ffe80e784, 0x6ff1abe60b0de579, 0xe29eb8bebb7fe40d, 0x88bee24b1e7942e0, 0xc87fa8f84bf10d84,
  0x3c38ccf1771b9d66, 0x064f7a8f2fa7b963, 0xc580bb7d7c8e3a7f, 0x75e45bb0f88c6f9c, 0xa928eae1ee39633c,
  0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0xb95daa5beace7515, 0xf63d1c89ae0404e9, 0xf6ab445795c84ae5,
  0x2ca6c59d01e7eb5c, 0x18c10b4d5ceaf52c, 0xb69c6378ce88145f, 0x8df0dc79b09732f9, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0001a4859cbaf3c9,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ee_ce[] = {
  0xa9c5bbbbbba86f97, 0x7ade276fc6223f0d, 0x7ef5ef76c5e35586, 0x2be3749cad041f22, 0x097d7aef537c9671,
  0x9dcf046752c8a756, 0x3e30120b65779393, 0xd032252520e49cc1, 0x614306927e06c8c6, 0xf32addcee9f12e20,
  0xe6c0341c34d4cff3, 0x244fe0fa7e6f51ff, 0x21895fe7ef822847, 0xef9b9e72006e1f0a, 0x0cb40e1a21955dde,
  0x3fe80e784ce4e2a1, 0x30586f2bc84b6e29, 0xa3287f234d7f8d5f, 0xf9e50b839a68effa, 0x3309cee3714939bf,
  0x4795b0594ed65644, 0x53dea3e0d983ea3d, 0xa459a75a1140a62b, 0x0c752135f4616588, 0x6dbe8e5f1ceaedc7,
  0xf2c6abc6c75ed627, 0x1f18b8484500a231, 0x25c63914c8e1bd97, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2,
  0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x76f62aa8b490538c, 0xf3612e65f36d8c4c, 0xbf83bb8d163ce1b8, 0x5c33d30ae4fdd599, 0xb0e9296cf8138cb2,
  0x725d79e4afdcd0cc, 0x000000000001304e,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x276fccc5fc26d67d, 0xda6a6bd5784339de, 0xdae2faf7683acada, 0x37713b3eec5e713a,
  0x52399a0e087877d7, 0xc96c4eeab8fb0003, 0x6e609f180905b2bb, 0xc8c6d03225252196, 0x2e20614306927e06,
  0xcb5f99696fcee9f1, 0xf8ddb0ec1385e1cd, 0x239227f06d7737a8, 0x8510c4aff3f7c114, 0xef77cdc15400370f,
  0x50865a11c910caae, 0x495ff4073c26df71, 0x6330586f2bc84b6f, 0xd5193af91787fe24, 0x63cf285e77787717,
  0x097e21b09117dc49, 0x771b82a8b24ff51f, 0x574a76b737374cf1, 0x3e0d983dbfea3cae, 0x75a1140a62bdf7ea,
  0x135f4616588a459a, 0x67a9ceaedcc14752, 0x578d8ebd44bb18f4, 0x70908a34a4710d8d, 0xc1132386f65f4b31,
  0xb8a9296791445546, 0xd7972ab59fc55f3b, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xe5f63d1c89ae0404,
  0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x57079b09732f9b6c,
  0xe0fdbb1a2c6f8b93, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x4d5393c95fb9a199, 0x00000000010013f0,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0xf13b7e353421369a, 0x69edd39cafa05991, 0x9199daaef4d7dfbd, 0x87d73899bd769cf5,
  0x3b9a3ea75add8e17, 0x7c602416caef27a7, 0xd032252521745982, 0x614306927e06c8c6, 0xf32addcee9f12e20,
  0xad825a3805a98c7f, 0x244fe0e2b4dea393, 0x21895fe7ef822847, 0xef9b9743006e1f0a, 0x0cb417da21955dde,
  0xbfe80e784c1ee2a1, 0x30586f2bc84b6fa6, 0x47fbbe405afff523, 0x0f7ea3caedd4d56b, 0xbe2bd37ea3e0d983,
  0x6588a459a75a1143, 0x2ae2a5cd2135f461, 0x631e8cf539d5a5d8, 0x10d8d56ba1d7a897, 0xf4b3170908a34a47,
  0x8aa8d823f5b86f65, 0xabe777152500b228, 0x9bc8daf2e556b3f8, 0x59cea2a551ae8a83, 0xc0809d372bb54b7d,
  0xb9095cbec7a39135, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8,
  0xa97ab8dc79b09732, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0xb25c33d30ae4fc73, 0xccb0e9296cf8138c,
  0xb48bea29e4afdcd0, 0x000000000000002b,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0xc5e276fc6236086d, 0xdbc9ee8eba7d9da6, 0x98f599f0ce644d71, 0xbccd936a6f929ce4,
  0x6ee1e198535aebd7, 0x9f180905b2bbc966, 0x681912929196d260, 0x30a183493f036463, 0xf9956ee774f89710,
  0xd6c1fe1c3104cd77, 0x9227f07ff26f51f4, 0x10c4aff3f7c11423, 0x77cdc5c100370f85, 0x865a0c1510caaeef,
  0x7ff4073c2690f150, 0x30586f2bc84b6e6b, 0x4795be4620fff523, 0xf3ca17073101dff5, 0xa6139dc6e654341f,
  0x8f2b95d29dacac9b, 0x7dfa8f83660f6ffa, 0x91669d68450298af, 0x51d484d7d1859622, 0xc63d19ea73abb730,
  0x436355e363af512e, 0xd2cc5c24228d291c, 0x1551b044c8e1bd97, 0x57ceee2a4a59e451, 0x3791b5e5caad67f1,
  0xb39d454aa35d1507, 0x81013a6e576a96fa, 0x7212b97d8f47226b, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6db1898edec5551, 0xfcfec371e6c25ccb, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x001134c02a29e4af,
};

static const uint64_t ur_m16hvbrevb_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0xc4edf998bf84dacf, 0xcadd4d7aaf08673b, 0x13adae2faf7683ba, 0x7d737713b3eec5e7,
  0xaa0d5a1968e08787, 0x82d95de4b62776d6, 0x9290cb37304f8c04, 0x493f036463681912, 0x2774f8971030a183,
  0x385e1cdcb5f99761, 0xd7737a8f8ddb0ec1, 0x3f7c114239227f06, 0x400370f8510c4aff, 0x910caaeef77cdc15,
  0xc26df7150865a11c, 0xbc84b6f495ff4073, 0xf0ffd9e8730586f2, 0x2f0ee2faa3275f22, 0x2fb892c79e37c307,
  0x5fea3e12fc436122, 0x6e99e2ee3702c8cf, 0xd4795cae94ed6e6e, 0x7befd47c1b307b7f, 0x148b34eb422814c5,
  0x828ea426be8c2cb1, 0x7631e8cf539d5db9, 0xe21b1aaf1b1d7a89, 0xbe9662e121146948, 0x88aa8d8226470dec,
  0x8abe77715252cf22, 0x39bc8daf2e556b3f, 0xd59cea2a551ae8a8, 0x5c0809d372bb54b7, 0x2b9095cbec7a3913,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36d8c4c76f62aa, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00075d58cd017d3c,
};

static const uint64_t ur_m16hvbrevb_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xfe80067cc7cc13e3, 0xe213be5ba4f91b7f, 0x5af1c74fe0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ab57fbfa391359d,
  0xeb5cf6ab445795c8, 0xa75380b2953e9de7, 0x08bf714085a585ce, 0x997cdb4e31bc6744, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000a9170e6eb3,
};

// m16hvbrevb_swio15_noled_pr_u4
static const uint64_t ur_m16hvbrevb_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xd07fe4195fe49f67, 0xfe0fa0f51e5f1df2, 0x02cb29a3de951c74,
  0xa3e768851ef67316, 0x2934a807fecc11d7, 0x2ab57d6e07967b62, 0x8d74541cde46d797, 0xdaa5beaece75152a,
  0xbfdfd1c89ace9b95, 0x7b55a22bcae4255a, 0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x922adec5551696d1,
  0xab83cd84b997cdb1, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x9ad10fcf257ee686, 0x000000000001f26a,
};

static const uint64_t ur_m16hvbrevb_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0xf9115bfc93ecf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0x48b34eb422877c56, 0xac9a426be8c2cb11, 0x47921cead2e95971, 0x355ae875e74ddba8, 0x8b848451f22383f6,
  0x3608fd6e1bd96cb9, 0xe5caad402e9305aa, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x56aff7f47226b3a6,
  0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x6c648ab7b15545a5, 0x726ae0f3612e65f3,
  0x31e40fca1a2ce9f1, 0xc4fe50c2a73f53ab, 0x2687993fc5ce32fc, 0x67a615c9f8e7bff8, 0xd252d9f0271964b8,
  0x43f3c95fb9a19961, 0x000000000275f18c,
};

static const uint64_t ur_m16hvbrevb_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x2be46fbff24fb3f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xc51bde73ab4bd4a5, 0xc6ab5d0ebd753769, 0x62e121142d74770e,
  0x71d27d6e1bd970e4, 0x5073791b5e5caad5, 0xfabb39d454aa35d1, 0x47226b3a6e576a96, 0x88af2b90956aff7f,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x3612e65f36c648ab, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x3f3c95fb9a19961d, 0x0000000013ae59c4,
};

// m16hvbrevb_swio15_noled_pr_ce_u4
static const uint64_t ur_m16hvbrevb_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0xb3fb3a609f180905, 0xbebb7fe44aeff24f, 0x258f3c64a9defbb8, 0x7c25f886c2445f71,
  0x78bb8dcb9124afd4, 0xa8f374f72c67eb26, 0x32a718e3a7f064f7, 0xced10a3dece62c05, 0x69500ffd99e3af47,
  0x5abeb703cb5b8452, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xefe8e44d674dcaed, 0xaad115e57212ad5f,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c, 0x83cd84b997cdb190, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x110fcf257ee68665, 0x0000000000375d34,
};

static const uint64_t ur_m16hvbrevb_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x297f23fe7f927d9f, 0xf192a77ff0effaa3, 0x84e771b9950d07fc,
  0xcace1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x2cd3ad08a0531597, 0x3a909afa30b2c452, 0xd423c90e7576e4ac,
  0xf6355e363af3a6ed, 0xb98b848451f22383, 0xd51b044c8e1bd96c, 0xdaf2e556a59f4982, 0xa2a551ae8a839bc8,
  0xd372bb54b7d5d9ce, 0x84ab57fbfa391359, 0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204,
  0xf36c6431dbd8aaa2, 0x1e71726ae3612e65, 0x7eeacc7903f2868b, 0x89c6592e19e98572, 0xe6866587494b6592,
  0xa698f2f10fcf257e,
};

static const uint64_t ur_m16hvbrevb_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x77c86bbff2a41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0xfa391359d372bb54, 0xb445795c84ab57fb, 0x3c34ef3e2d75cf6a,
  0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0xf3612e65f36c6431, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc9c975e792bf7343,
  0x00000000000027e0,
};

static const uint64_t ur_m16hvbrevb_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe7c88adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xbc8daf2e556a0174, 0x9cea2a551ae8a839, 0x359d372bb54b7d5d, 0x95c84ab57fbfa391,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x732f9b632455bd8a, 0xa73f505d8dc79b09,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000002dffc93a2,
};

// m16hvbrevb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ecef90d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x5fefe8e44d674dca, 0x3daad115e57212ad, 0x6294f0d3bcf8b5d7,
  0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0xc6e3cd84b997cdb1, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x80864e514f257ee6, 0x0000000000000002,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xff40033f01a609f1, 0xf921df2dd27c80f7, 0x1318e3a7f07cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d15073791, 0xa6e576a96fabb39d, 0xc958f47226b81013,
  0xb9ed5688af2b9095, 0x7a96bca70173a03c, 0xa2fa2810b4ac2261, 0x97cdb4e31bc67440, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00001527d6e6eb3c,
};

// m16hvbrevb_swio15_lednop_pr_u4
static const uint64_t ur_m16hvbrevb_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0xa0ffc831ffe49f67, 0xfe0fa0f51f4a3be5, 0x05965340609f1c74,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954,
  0x8e44d7020274dcae, 0xd115e57212b92b1e, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0x612e65f36d02a2ad, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x0000007c9ff54443,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x7c8383fe49f67e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23050e7569790eb8, 0x1aad743af3a6eddd, 0xc5c242289b91e45b,
  0x1b047eb70decb65c, 0x7972ab5008452695, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x563d1c89ae0404e9,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xc1e6c25ccbe6da05,
  0x1f9434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x9d7c21887e792bf7,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46657c8383fe49f6, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb2c4522cd3ad08a1, 0xf6b8a266909afa30, 0xecbe23884e756975, 0x22d8d56ba1d7aea6, 0x0e462e121140df46,
  0x5aae167fd6e1bd97, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xe44d7020274dcaed, 0x115e57212b92b1e8,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0xc6f19d10273e8a04, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x0443f3c95fb9a199, 0x000000000009d74d,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0x7c6b4c13e30120b6, 0xd76ffc8d37fe49f6, 0xb1e78c953bd9d717, 0x84bf10d8488bee24,
  0x1771b8951723fa8f, 0x1e719ee58cfd64cf, 0x79eb1c74fe0c9ef5, 0xb2f88e32398b014c, 0x5403ff6678ebd1f3,
  0xdc3903cb5b86fdc3, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e57212b92b1e8e4,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0x9d3e2e4d5c1e6c25,
  0xea75663c81f94345, 0xc65f989fca1854e7, 0xf7ff04d0f327f8b9, 0x2c970cf4c2b93f1c, 0x332c3a4a5b3e04e3,
  0x7e9e887e792bf734, 0x00000000000000dd,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f5f91813fc93e, 0x4b1e78c953bcad71, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x47c927b9633f19cc, 0xe8148e3a7f0621fd, 0xecf7a3b58e62c05e, 0x845dc72c678ebc5c,
  0x0e6f236bcb955a8e, 0x57673a8a9546ba2a, 0x7020274dcaed52df, 0x57212b92b1e8e44d, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6da0518edec555, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0375eaca887e792b,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94bf909b7fe49f67, 0xf192a769b677fd51, 0x84e771b8a49cdffc,
  0xcaca1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x2cd3ad08a05315b0, 0x3a909afa30b2c452, 0xdd23050e7576e90e,
  0xb6355e363af3a6ed, 0xb98b8484513723c8, 0x951b044c8e1bd96c, 0x6d7972ab52cc4526, 0x5152a8d74541cde4,
  0xe9b95daa5beaece7, 0x72563d1c89ae0404, 0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0x0a31dbd8aaa2d241, 0xc9ab8d84b997cdb4, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0x8dc43f3c95fb9a19, 0x00000000000029a7,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xcef90293fca907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0x9135c0809d372bb5, 0x45795c84ae4ac7a3, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b681463b7b, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xbaf3c95fb9a19961,
  0x0000000027e03c9c,
};

static const uint64_t ur_m16hvbrevb_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f3e41c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0x6f236bcb955a8042, 0x673a8a9546ba2a0e, 0x20274dcaed52df57, 0x212b92b1e8e44d70,
  0x2b5d73daad115e57, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005bf3539453c95,
};

// m16hvbrevb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m16hvbrevb_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9df20527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0xa8d74541cde46d79, 0x5daa5beaece75152, 0x3d1c89ae0404e9b9, 0x55a22bcae4257256, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb40a31, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xc9d14f257ee68665, 0x0000000000050103,
};

// m16hvbrevb_swio15_dual_pr         m16hvbrevb_swio15_dual_pr_u4
static const uint64_t ur_m16hvbrevb_swio15_dual[] = {
  0xc7bbbbbb44869a4e, 0x7e276fc75e10cda5, 0xb9f7ba8ce5dd0b69, 0x1fc5fc95264e2765, 0xe19628d4d8b75719,
  0x2b43bb8fea3151f1, 0xcc13e30120b65779, 0x231b40c894948ba1, 0xb881850c1a49f81b, 0x393fccab773ba7c4,
  0xa3bf9b05f67028b3, 0x14239227f06654de, 0x0f8510c4aff3f7c1, 0xabbbddf372000037, 0x5a2a10cb42324432,
  0x5b7287ff4073c26b, 0xfc6af982c3795e42, 0xedf3be59eff91fbb, 0x3dc71d3f8383fea3, 0x42731602a83cc95a,
  0x9823af00676d291c, 0x2cf6d318c9500ffd, 0xabe7771525c0940f, 0x9bc8daf2e556b3f8, 0xd9cea2a551ae8a83,
  0x0809d372bb54b7d5, 0xc84ae4ac7a39135c, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0xcdb40a8ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0002927bc165d79e,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ee[] = {
  0x586ddddddd43573e, 0xc8f89dbf1a99366d, 0x5f47e6ea729c502c, 0xcf59198f6d9beec7, 0xf700faabc99bd7b0,
  0xe772e2fbb0af7aca, 0x4f8c0482d95de4f4, 0xda0644a4a43a7530, 0x0c2860d24fc0d918, 0xfe655bb9dd3e25c4,
  0x75b04b4700b5318f, 0xe489fc1c569bd472, 0x44312bfcfdf04508, 0xddf373bac00dc3e1, 0x219682fb4432abbb,
  0xdffd01cf0983dc54, 0xcc161bcaf212dbce, 0xd1b93f91d3ffe357, 0xe3dfa8f2bd37355a, 0xef8af677a8f83660,
  0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512, 0xbe9662e121141ea8,
  0xded51b047eb70dec, 0x8abe77715250087c, 0x39bc8daf2e556b3f, 0x5d9cea2a551ae8a8, 0xc0809d372bb54b7d,
  0x5c84ae4ac7a39135, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb40a8ab7b1554,
  0x458f386e3cd84b99, 0xb93f75666fe0eee3, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000c852c7f975e79,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xe276fc6a64d9b561, 0xa339a9ca7140b323, 0x663db66fbb1d71f9, 0xeaaf266f5ec33d64,
  0x41f5d717d35bdc03, 0x05b2bbc9e9cee1a7, 0x494874ea609f1809, 0xa49f81b231b40c89, 0xf3ba7c4b881850c1,
  0x700b5318ffe65a5b, 0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0xac00dc3e144312bf, 0xb4432abbbddf373b,
  0xf0983dc54219682f, 0xaf212dbcedffd01c, 0x74fff8918cc161bc, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c,
  0x9a75a1143be2bd9d, 0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab,
  0x1fadc37b2fa598b8, 0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a,
  0xb1e8e44d7020274d, 0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x0f3612e65f36d02a, 0xfb763458df1726ae, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xa72792bf734332c3, 0x00000000ac896d1a,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x3e276fcf1f5c4da2, 0xae17bb3890523bb8, 0x6e9776182ca3e9f7, 0xe908766c75f74a70,
  0x4c4bb8e08ab2c10c, 0x9827c602416caef2, 0x46368191292902a8, 0x71030a183493f036, 0xd5ff9956ee774f89,
  0x1f676c2391c0e0cd, 0x4239227f072ba6f5, 0xf8510c4aff3f7c11, 0xeef77cdc04480370, 0x150865a01ed10caa,
  0x7ff9ff4073c2609f, 0x6af982c3795e425b, 0xee2fac06f904ebfc, 0x71258f3ca17073ab, 0xd47c25f886c2445f,
  0xe678bb8dceb3643f, 0xbea3c893dcb19f52, 0x2fee32a38e9fc188, 0x0676d291c4273160, 0x8c9500ffd99e3af0,
  0x549702503cb5b931, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a, 0xb1e8e44d7020274d,
  0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6da051,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x003490ad52ebcf25,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0x3bc4edf9e3f3ecda, 0x3deef75053d68e3d, 0x89c9d4cca76f5d84, 0x2d4e900d57efdeed,
  0xef25a2bb9e08ce9c, 0x2319827c602416ca, 0x06c8c6d032252522, 0xf12e20614306927e, 0xdcd15bf32addcee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e32180, 0xa718a8432d009e88,
  0x12db8cdffd01cf09, 0x3fe357cc161bcaf2, 0xe604b8bea657c838, 0x88bee24b1e7942e0, 0x723fa8f84bf10d84,
  0x3c38ccf1771b8951, 0x8326bd479c67b963, 0x3160299537471d3f, 0x1d7916ecb5d1c647, 0x15251d5adb8e58cf,
  0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xac7a39135c0809d3, 0xf6ab445795c84ae4,
  0x2ca6c59d01e7eb5c, 0x18c10b4d5ceaf52c, 0xb69c6378ce88139f, 0x8df0dc79b09732f9, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x000d24085cbaf3c9,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ee_ce[] = {
  0x5f6b77777750cf68, 0xeb789dbf1888ce1b, 0xda57bddcfb67d619, 0x2be37410f225c2c2, 0x7f9b4d9b537c97ed,
  0x3b9a3ea74704dd9c, 0x7c602416caef2727, 0xa0644a4a411eb982, 0xc2860d24fc0d918d, 0xe655bb9dd3e25c40,
  0xcd80683869a99fe7, 0x489fc1f4fcdea3ff, 0x4312bfcfdf04508e, 0xbe6e0c2e00dc3e14, 0x32d038688655777b,
  0xffa039e133938a84, 0x82c3795e425b7c6e, 0x360bf2276ffc6af9, 0x3ca1707276ceffaa, 0xc273b8dc0449807f,
  0xe56a7a53b595910c, 0x4f51f06cc184ff51, 0x2cd3ad08a05315e0, 0x3a909afa30b2c452, 0x65239c4e7576e2ea,
  0xd8d578d8ebdac4ec, 0x8c5c2422897c8d6b, 0x7188f86470decb8f, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9,
  0xd52df57673a8a954, 0x8e44d7020274dcae, 0xd115e57212b92b1e, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0xc25ccbe6da0518ed, 0x07771a2c79c371e6, 0x67a615c9fbab337f, 0xd252d9f0271964b8,
  0xbaf3c95fb9a19961, 0x0000000009822a74,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x276fccc54626d157, 0x9afbdda8f84339de, 0x6af2657bc89ada6f, 0x4377138abec5e715,
  0x3ebeca9c7829649b, 0xbbc96c4eea0d599a, 0x7aa2609f180905b2, 0x0364636819129291, 0xf8971030a183493f,
  0xe6e5afccb4b7e774, 0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0xaeef77cdc4e3c01b,
  0x7150865a11c910ca, 0x6e495ff4073c26df, 0x246330586f2bc84b, 0x2faa3eaff9130dfe, 0x92c79e50bcee61ae,
  0x3e12fc4361222fb8, 0xc5dc6e271fdc7fea, 0xbdf729dadcdcdd33, 0xd47c1b306657a8f2, 0x34eb422814c576eb,
  0xa426be8c2cb1148b, 0x88fa839d5db94f0e, 0x8d578d8ebd44bb3f, 0x3170908a0f547f25, 0x46c1132386f65f4b,
  0x9ddc5494b31f37b5, 0x236bcb955acfe2af, 0x3a8a9546ba2a0e6f, 0x274dcaed52df5767, 0x2b92b1e8e44d7020,
  0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xa0518edec5551692, 0x4d5c1e6c25ccbe6d,
  0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x05b54e4f257ee686, 0x0000000000040004,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x47c4edf8d4c9b36a, 0xfa3f375394e28166, 0x7ac8cc7b6cdf763a, 0xb807d55e4cdebd86,
  0xe9ceeeec6ecde62f, 0x609f180905b2bbc9, 0x31b40c89494874ea, 0x881850c1a49f81b2, 0x1ffccab773ba7c4b,
  0xe4eb60968e016a63, 0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0x77bbe6e775801b87, 0xa8432d05f6886557,
  0x9dbffa039e1307b8, 0x91982c3795e425b7, 0x6b46e4fe474ffffa, 0x838f7ea3caf4dcd5, 0x43be2bd9dea3e0d9,
  0x616588a459a75a11, 0xd4f2e2a5cd2135f4, 0x4bb3f88fa839d5a5, 0xa3f92c6ab5d0ebd4, 0xb2fa598b8484507a,
  0xf37b546c11fadc37, 0xfe2af9ddc5494021, 0xa0e6f236bcb955ac, 0xf57673a8a9546ba2, 0xd7020274dcaed52d,
  0xe57212b92b1e8e44, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36d02a2adec55,
  0x3f52f571b8f3612e, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xaed58ff453c95fb9,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_ee_ce_hw[] = {
  0x9396eeeeeea1a5fb, 0xc5e276fc623c7f36, 0xd721eed17d8b9da6, 0x63d62c57d769eaef, 0xfabe1f29be4a9c92,
  0xbba591aeba55857b, 0x7c602416caef2599, 0x40c8949483d9e982, 0x850c1a49f81b231b, 0xccab773ba7c4b881,
  0xb60ff0e188266bbf, 0x913f83ff937a8fa6, 0x86257f9fbe08a11c, 0xbe6e059001b87c28, 0x32d060a88655777b,
  0xffa039e134878a84, 0x82c3795e425b7bc3, 0x72bbe456ffffa919, 0x7942e0e56f9dff54, 0xc273b8dce8fa927e,
  0xe57bee53b5959374, 0xd7a8f83660ccaf51, 0x1669d68450298aed, 0x1d484d7d18596229, 0x7f11f5073abb729e,
  0x4b1aaf1b1d7a8976, 0x9662e121141ea8fe, 0x6a8d8226470decbe, 0x5f3bb8a929663e6f, 0xde46d7972ab59fc5,
  0xce75152a8d74541c, 0x404e9b95daa5beae, 0x42572563d1c89ae0, 0x56bae7b55a22bcae, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x1134c717453c95fb,
};

static const uint64_t ur_m16hvbrevb_swio15_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0xe276fccc54626d15, 0xb69bbdda8f84339d, 0x9c55abc995ef2276, 0x926d0ddc4e2afb17,
  0x4e30cb5bb4f9e0a5, 0x0482d95de4b62775, 0x894948bd51304f8c, 0xc1a49f81b231b40c, 0xb093ba7c4b881850,
  0x609c2f0e6e5afccb, 0x836bb9bd47c6ed87, 0x7f9fbe08a11c913f, 0x4e3c01b87c288625, 0x1c910caaeef77cdc,
  0x73c26df7150865a1, 0xf2bc84b6e495ff40, 0x2261bfd9e8730586, 0x0e4c35c5f547d5ff, 0x445f71258f3c6f86,
  0x3eefd47c25f886c2, 0xb9ba678bb8dce1fe, 0xaf51e57bee53b5b9, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0x541cde46d7972ab5, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xbcae42572563d1c8,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00001d759a3705f4,
};

/*
 * m16m1_autobaud_uart0_noled_pr     m32c1_autobaud_uart0_noled        m32c1_autobaud_uart0_noled_pr
 * m32m1_autobaud_uart0_noled        m32m1_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m16m1_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x8252fbfdf9d67cf5, 0xa8a0440a937fc34f, 0xf529f5fb46380ba1, 0xc77cb243daa2912b, 0x471d3f83349ea3f3,
  0x9cc580b7ba61be4f, 0x0475e2e767b48f19, 0xd71f615944ee3963, 0xae3e73fb86fc0948, 0x1e6f00f9a7d83291,
  0x02baa9cbca6c67f7, 0x516961738c6f19d1, 0x65f36c4922adec55, 0x3f8d163ce1bb612e, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000711024800ca,
};

// m32c1_autobaud_uart0_noled_pr_u4  m32m1_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m16m1_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0xa8ffa14cfedf9827, 0x0881526ff869f04b, 0x3ebf68c701743514, 0x9610fb5452257ea5, 0xa7f0682fd47e80ef,
  0x580b2ca67bed68e3, 0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb3047, 0xd71f60e3e07967b6, 0xae3e73fb86fc0948,
  0x1e6f00f9a7d83291, 0x02baa9cbca6c67f7, 0x516961738c6f19d1, 0x65f36c4922adec55, 0x8df1726ae0f3612e,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x01186de4ad5593c9,
};

/*
 * m16m1_autobaud_uart0_noled_pr_ee_u4 m32c1_autobaud_uart0_noled_pr_ee
 * m32c1_autobaud_uart0_noled_pr_ee_u4 m32m1_autobaud_uart0_noled_pr_ee
 * m32m1_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0xa14cfece9827c64e, 0xa4dff0d3e094aeff, 0xd18e02e86a281102, 0x76a8a44afd4a7d7e, 0xa8f2b9126ab5a39c,
  0xbeebd47c1b30698f, 0x8a459a75a1143be2, 0x8d64d2135f461658, 0xda3c1673ab4bce2b, 0xb1aad743af3a6edb,
  0xcc5c24228e791871, 0x51b047eb70decb65, 0x5235c7d801512a69, 0xa46b8f9cfee1bf02, 0xfdc79bc03e69f60c,
  0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x4b997cdb1248ab7b, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00009a9d1f5f5564,
};

// m16m1_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m16m1_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x87ff4299fcad304f, 0x220549bfe1a7c122, 0xfafda31c05d0d450, 0xeb926d514895fa94, 0x2c79e3254edfcb8b,
  0xe12fc4361222fb89, 0xf1771b8ff3107ea3, 0x51c9e9ee58cfd64c, 0x1f3a48e3a7f07acf, 0xced5fd1eb0e62c05,
  0x79500ffd99e3af47, 0xec1c7c0f2d6e1f66, 0xce7f70df81291ae3, 0xe01f34fb065235c7, 0x5539794d8cfee3cd,
  0x2c2e718de33a2057, 0xdb12431dbd8aaa2d, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xeb924f5564f257ee,
  0x0000000000000046,
};

static const uint64_t ur_m16m1_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xa67c66e609f193ba, 0x6ff869f0482d7fd0, 0xc701743514088152, 0x5452257ea53ebf68, 0x53bc0877fd51bf9b,
  0xdc6e759b21fe78c9, 0x5129dacac7be6139, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4, 0x26be8c2cb1148b34,
  0xf059ceaedd388ea4, 0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62, 0xd71f616744a9a546,
  0xae3e73fb86fc0948, 0x1e6f00f9a7d83291, 0x02baa9cbca6c67f7, 0x516961738c6f19d1, 0xcbe6d89218edec55,
  0x6af2e4d5c1e6c25c, 0xa75663c81f943459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c,
  0xb2792bf734332c3a, 0x00000001044409aa,
};

static const uint64_t ur_m16m1_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xd3d5f3f5bf304f8c, 0x526ff869f04a76ff, 0x68c7017435140881, 0xfb5452257ea53ebf, 0x0b838706e2faa390,
  0x361222fb892c79e5, 0xe8fa927ea3e12fc4, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2bea253, 0x50298ac27fa8f836,
  0x185962291669d684, 0x9d5dba711d484d7d, 0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242,
  0xc2ce89534a8d8226, 0xe7f70df81291ae3e, 0x01f34fb065235c7c, 0x539794d8cfee3cde, 0xc2e718de33a20575,
  0xb12431dbd8aaa2d2, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x08221844c5b49e4a,
};

// m32c1_autobaud_uart0_noled_ee_hw  m32m1_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m16m1_autobaud_uart0_noled_ee_hw[] = {
  0x8ddddddda2431202, 0xbbbbbba583c13775, 0xfd295b41217e841b, 0x70cde9f0ba99ba5e, 0x193baccdb16a0a1a,
  0xeff61ff3fb3a609f, 0x102a4dff0d3e094a, 0xd7ed18e02e86a281, 0x39c76a8a44afd4a7, 0x98fa8f2b9126ab5a,
  0xbe2beebd47c1b306, 0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6,
  0xb65cc5c24228e791, 0xa6951b047eb70dec, 0xf025235c7d801512, 0x60ca46b8f9cfee1b, 0xb19fdc79bc03e69f,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0xcd84b997cdb1248a, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xc1514f257ee68665, 0x00000000001627b7,
};

// m16m1_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x02a4dff0d3e094ed, 0x7ed18e02e86a2811, 0x21f6a8a44afd4a7d, 0xca17070e0dc5f547,
  0x886c2445f71258f3, 0xdc4a8b91fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8,
  0x7d185962291669d6, 0xb39d5dba711d484d, 0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2,
  0x3ec2ce89534a8d82, 0x7ce7f70df81291ae, 0xde01f34fb065235c, 0x75539794d8cfee3c, 0xd2c2e718de33a205,
  0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0009521844d14f25,
};

/*
 * m16m1_autobaud_uart0_lednop_pr    m32c1_autobaud_uart0_lednop       m32c1_autobaud_uart0_lednop_pr
 * m32m1_autobaud_uart0_lednop       m32m1_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m16m1_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x3e09775fefceb3f1, 0x86a281102a4dff0d, 0xafd4a7d7ed18e02e, 0x4f1df2c90f6a8a44, 0x3d1c74fe0cd27a8e,
  0x0a731602dee986ff, 0x1823af173b071472, 0x1ae3ec2b141f71cb, 0xcf02027f70df8129, 0xbcb734fb065235c7,
  0x4dea53929d03dc79, 0x47514085a7017be5, 0xcbe6da718de33a20, 0x7f1a2c79c376c25c, 0x985727eeacc79034,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x00000e2204900194,
};

// m32c1_autobaud_uart0_lednop_pr_u4 m32m1_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m16m1_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xbfe8533f1ee609f1, 0x20549bfe1a7c12ee, 0xafda31c05d0d4502, 0x843ed514895fa94f, 0xfc1a0bf51ed63be5,
  0x0596537c907e38e9, 0x1f3b2cf4690ce62c, 0x9a45403ff6608ebd, 0x3ec82b40f2cf6d05, 0x2027f70df81291ae,
  0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xe0f3612e65f36dce,
  0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x2d5593c95fb9a199, 0x00000000008c34f8,
};

/*
 * m16m1_autobaud_uart0_lednop_pr_ee_u4 m32c1_autobaud_uart0_lednop_pr_ee
 * m32c1_autobaud_uart0_lednop_pr_ee_u4 m32m1_autobaud_uart0_lednop_pr_ee
 * m32m1_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16m1_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0xa14cf8d69827c64e, 0xa4dff0d3e0969bff, 0xd18e02e86a281102, 0x76a8a44afd4a7d7e, 0xa8f2b32a6ab5a39c,
  0x61efd47c1b30698f, 0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x923268e756973d57, 0xb1aad743af3a6ed1,
  0xcc5c242282791bda, 0x51b047eb70decb65, 0xa46b8fb0021f6679, 0x1f3c0809fdc37e04, 0x9bcd90d3ec1948d7,
  0x54dea53929d03dc7, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x4e48bf5564f257ee, 0x000000000000004d,
};

// m16m1_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16m1_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x13fe8533f6ea609f, 0x440a937fc34f8258, 0xf5fb46380ba1a8a0, 0xd724daa2912bf529, 0xb1e78c953ba95717,
  0x84bf10d8488bee24, 0x8bb8dcadf801fa8f, 0x8fd24f72c67eb267, 0x6222c71d3f83d67a, 0xd967a3486731602a,
  0x2a01ffb33c75e8f9, 0x905681e5adc82cd2, 0x4fee1bf025235c7d, 0x9f60ca46b8f9e040, 0xc94e81ee3cde6c86,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x564f257ee6866587,
  0x000000046ebb5ef5,
};

static const uint64_t ur_m16m1_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x14cf8689827c64ee, 0x9bfe1a7c12b1fffa, 0x31c05d0d45022054, 0xd514895fa94fafda, 0x54ef7d9dff546fe6,
  0x771b9722495f9e32, 0xdd4a76b2b1ef984e, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x35c7d8598fb33ca8,
  0x9e0404fee1bf0252, 0xe6c869f60ca46b8f, 0x6f529c94e81ee3cd, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x9ab83cd84b997cdb, 0x7903f2868b2d5e5c, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x010441d175564f25,
};

static const uint64_t ur_m16m1_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xe9eaf9f43e9827c6, 0x549bfe1a7c12c41f, 0xda31c05d0d450220, 0x3ed514895fa94faf, 0x42e0e25ab8bea8e4,
  0x0d8488bee24b1e79, 0x0224c03fa8f84bf1, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090,
  0x61663eccf2a36089, 0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xf3612e65f36dce18, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd5116d2792bf7343, 0x0000000000010443,
};

// m32c1_autobaud_uart0_lednop_ee_hw m32m1_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m16m1_autobaud_uart0_lednop_ee_hw[] = {
  0xc6eeeeeed12198e2, 0xddddddd2c1e0b4ba, 0xfa537656da9eb45d, 0xb42f0ae1753374bd, 0x193ba5387b69d6a0,
  0xbff61ff3e35a609f, 0x102a4dff0d3e0969, 0xd7ed18e02e86a281, 0x39c76a8a44afd4a7, 0x98fa8f2b32a6ab5a,
  0x7c561efd47c1b306, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6,
  0xb65cc5c242282791, 0x67951b047eb70dec, 0xe04a46b8fb0021f6, 0x8d71f3c0809fdc37, 0xdc79bcd90d3ec194,
  0x3be54dea53929d03, 0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000162793f0d14f,
};

// m16m1_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x440a937fc34f8258, 0xf5fb46380ba1a8a0, 0x1c87daa2912bf529, 0xcf285c1c4b5717d5,
  0x7e21b09117dc4963, 0xe3729299cbf51f09, 0xa94ed6e6def99e2e, 0xe0d9835afea3cafb, 0x5a1140a62bdbfea3,
  0x35f4616588a459a7, 0x268e7576e3d47521, 0x5e363af3a6ed1923, 0x8484504f237b5635, 0x044c8e1bd96cb98b,
  0xb8fb0b31f667951b, 0xc0809fdc37e04a46, 0xd90d3ec1948d71f3, 0xea53929d03dc79bc, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e, 0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x521ea8a29e4afdcd, 0x0000000000000009,
};

// m16m1_autobaud_uart0_dual_pr      m16m1_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m16m1_autobaud_uart0_dual[] = {
  0x9bbbbbbb4486ff3e, 0xeeeeeeead63e715f, 0x608f66c502f6356e, 0xce76ca295bbba695, 0x0b7269e2bd8ebd5e,
  0x85d20c03304f8c9a, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x5ba9b677e655bb9d, 0x5cdea3e04d84ae38,
  0xef822847244fe0ca, 0x006e1f0a21895fe7, 0x88655777bbe6e620, 0x09a5f45421968750, 0x68096dce1ffd01cf,
  0x49cc161bcaf2d5be, 0x37fc34f824fe7f9e, 0x6380ba1a8a0440a9, 0xaa2912bf529f5fb4, 0x0fea3e453be589ad,
  0xf34e2f7c71d3f831, 0x5ac8ebf9cc580aa0, 0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa,
  0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c,
  0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x6b545b49e4afdcd0, 0x0000000000005c15,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ee[] = {
  0x6eeeeeeea0a1a5fb, 0xddddddd58ddf777e, 0xb227d57f5de83edd, 0x7efdd93583bad38e, 0xb235d66d0ab32657,
  0xb8f9827c6486eb94, 0x9109d29190485d23, 0xc40c2860d59e2cf4, 0x377e655bb9dd3e25, 0xf106c1aece087d36,
  0x239227f07a6a6f51, 0x8510c4aff3f7c114, 0xef77cdc30080370f, 0x50865a12b910caae, 0x0d1ff4073c262871,
  0x6f2bcb56f9a025b7, 0xc12275fe79273058, 0xd450220549bfe1a7, 0xfa94fafda31c05d0, 0xd56b47226d514895,
  0x6cc1829ea3cad7dc, 0x08a1df15d4af51f0, 0xfa30b2c4522cd3ad, 0x6973297152e6909a, 0xf512ed10a3dece75,
  0x08a8f9eb1aad743a, 0x0decbe9662e12114, 0x084feb151b047eb7, 0xd93f8abe77715250, 0x04fee1bf025235c7,
  0x69f60ca46b8f9e04, 0x9c94e81ee3cde6c8, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x029523d6e2da4f25,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xbbbbbbbab1bb2afb, 0x39b16a7d96adae3b, 0x7a8f8ebd93583ba5, 0xb9347d4ebdc37622,
  0xd217459827c64991, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x1335dfe655bb9dd3, 0xbd47d35b07f870c4,
  0x04508e489fc1ffc9, 0xdc3e144312bfcfdf, 0x955ddeef9b8ce400, 0x21e2a10cb4182a21, 0x96dd36ffe80e784d,
  0xc161bcaf2d5be680, 0x0d3e09757ff9e49c, 0x2e86a281102a4dff, 0x44afd4a7d7ed18e0, 0x1ee6ab5a3d2b6a8a,
  0x8f83660fe4f51e57, 0x4eb422877c57227a, 0x426be8c2cb1148b3, 0x39d5a5f4a5c20b9a, 0x43af6b13b08a8fa4,
  0x4515fd1d4bb1aad7, 0xd6e1bd971f18b848, 0x55f3bb8a92ae07df, 0x0df81291ae3ec9fc, 0x65235c7cf02027f7,
  0xd03dc79bcb734fb0, 0x7017be54dea53929, 0xde33a2047514085a, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x3a7a2da4f257ee68, 0x00000000000014a9,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ce[] = {
  0xddddddd0f5a1a5fb, 0x7777775664147efc, 0x2ab43ae10f766f77, 0xd744febbdddd3740, 0xae52c8d75c892ac4,
  0x7483afa609f19393, 0xb3d244274a464121, 0xf8971030a1835678, 0xdcd5bff9956ee774, 0x7a8e9b7b09db385a,
  0x114239227f063373, 0x70f8510c4aff3f7c, 0xaaeef77cdce8f803, 0x4b150865a050d10c, 0xb6e63fff4073c267,
  0x0b0de5796adf3404, 0x34f825b3bfcf24e6, 0xba1a8a0440a937fc, 0x12bf529f5fb46380, 0xc74b717d500daa29,
  0x117dc4963cf285c1, 0xaeff51f097e21b09, 0x3ea5ccf1771b9881, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c74fe,
  0xd78033b5ac8ebf9c, 0x087486a807feccf1, 0xbb8a92a93a0796b7, 0x1291ae3ec9fc55f3, 0x5c7cf02027f70df8,
  0x1e6f36434fb06523, 0xf9537a94e4a740f7, 0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0xb3a7c371e6c25ccb,
  0xfd4eaccdfc1ddc68, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xf78c62da4f257ee6, 0x000000000000015a,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ce_u4[] = {
  0xe6eeeeeed121a5fb, 0xbbbbbbbab32145f7, 0x29455e9f7f6b42db, 0x6557d6821eeee991, 0x837729646bae1f15,
  0x90ba433d7304f8c9, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x00d1369afccab773, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xa025b7eafffa039e,
  0x2730586f2bcb56f9, 0xbfe1a7c12cadfe79, 0x1c05d0d450220549, 0x514895fa94fafda3, 0x2e0e145b8beabe6d,
  0xd8488bee24b1e794, 0xc40d77fa8f84bf10, 0xcb19e1c6678bb8dc, 0xa7f061c7d47b873d, 0x68e62c058877b8e3,
  0x19e3af22dd89e46f, 0xddc54947427f71cb, 0x0948d71f64fe2af9, 0xae3e781013fb86fc, 0x8f379b21a7d83291,
  0x7ca9bd4a7253a07b, 0x69aba718de33a207, 0xf36dce18edec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0002b5ed34116d27,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafcdddddddd432db, 0xeeeeeeeeeacd4da7, 0xbaefdc61f201dfab, 0x0672b88d3817ba73, 0x91c11560f0ccea6d,
  0x41f3e9827c649d6b, 0xe92213a5232090ba, 0x4b881850c1ab3c59, 0x6a4afccab773ba7c, 0x4767cd87599c190e,
  0xa11c913f8335b9bd, 0x7c2886257f9fbe08, 0x777bbe6e753801b8, 0x8a8432d00b488655, 0x7fd7ffa039e131c1,
  0x86f2bcb56f9a025b, 0x7c12d35fe7927305, 0x0d450220549bfe1a, 0x5fa94fafda31c05d, 0x3bfea8dc9ed51489,
  0x1f2d7e7942e0e0d6, 0xcac9ba6139dc6e5e, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0x7d93f8abe7771525, 0x404fee1bf025235c, 0x869f60ca46b8f9e0, 0x29c94e81ee3cde6c, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0xe3cd84b997cdb738, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x49d16d2792bf7343, 0x0000000000018887,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x7777756360af77e6, 0xb9b426e5934e0b77, 0x57180addcfbb9d99, 0x2ace797721ae2ed0,
  0xe326355cab008404, 0x32090ba46b82cc13, 0x1ab3c59e92213a52, 0xbf3ba7c4b881850c, 0x38737e6548fe65a5,
  0x92a6f51fa3fb0524, 0x7ef822847244fe0e, 0xe006e1f0a21895fe, 0x4432abbbddf370eb, 0x137fc8a8432d09db,
  0xa025b7643ffa039e, 0xff30586f2bcb56f9, 0xff0d3e096377fe18, 0xe02e86a281102a4d, 0x8a44afd4a7d7ed18,
  0xd8cddc5f546a7b6a, 0x445f71258f3ca179, 0x907fd47c25f886c2, 0xb9ba678bb8dcd507, 0xe7a8f2b7f253b5b9,
  0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e,
  0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x9fdc37e04a46b8fb, 0x3ec1948d71f3c080,
  0x929d03dc79bcd90d, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707,
  0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x00007ead88356e43,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_ee_hw[] = {
  0xf37777776890cf68, 0xeeeeeeeeac6efbbb, 0x75913eabfaef41f6, 0xbbf7eec9ac1dd69c, 0x5c9a3ea75add9932,
  0xe91dc7cc13e32437, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe9b1bbf32addcee9, 0x7a8f88360d767043,
  0x08a11c913f83d353, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x438a8432d095c886, 0x2db868ffa039e131,
  0x82c3795e5ab7cd01, 0xc34f8244ebfc4939, 0x0ba1a8a0440a937f, 0x912bf529f5fb4638, 0xafb9aad68e44daa2,
  0xa3e0d983053d4795, 0xa75a1143be2ba95e, 0x2135f4616588a459, 0x9cead2e652e2a5cd, 0xe875ea25da2147bd,
  0x42281151f3d6355a, 0xfd6e1bd97d2cc5c2, 0xa4a0109fd62a3608, 0x6b8fb27f157ceee2, 0x3c0809fdc37e04a4,
  0xcd90d3ec1948d71f, 0xdea53929d03dc79b, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xb0727add14f257ee,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfcdddddddd43573e, 0xeeeeeeeeacd4da7a, 0xaefdc61f201dfabe, 0x672b88d3817ba73b, 0x725c5f766eb2a6d0,
  0x483e7d304f8c93ad, 0x3d244274a4641217, 0x8971030a1835678b, 0xcd495f9956ee774f, 0xa8ecf9b0eb338321,
  0x14239227f066b737, 0x0f8510c4aff3f7c1, 0xaeef77cdcea70037, 0x3150865a016910ca, 0x6ffafff4073c2638,
  0xb0de5796adf3404b, 0xd3e0969aff124e60, 0xe86a281102a4dff0, 0x4afd4a7d7ed18e02, 0xb1dff546e4f6a8a4,
  0x800293f3ca170706, 0xb5959374c273b8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089,
  0xb8fb27f157ceee2a, 0xc0809fdc37e04a46, 0xd90d3ec1948d71f3, 0xea53929d03dc79bc, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x0dc79b09732f9b6e, 0xc970cf4c2b93f3fb, 0x32c3a4a5b3e04e32, 0x1e93a8a792bf7343,
  0x0000000000004d7e,
};

static const uint64_t ur_m16m1_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed14682906, 0x77777756360af77e, 0xd99b9b426f659377, 0xed057180addcfbb9, 0xbe405ed231721ae2,
  0xe0b304f8c98d5722, 0x884e948c8242e91a, 0x20614306acf167a4, 0x47f32ec24ee9f12e, 0x1fd82921c39bf32a,
  0x9227f0749537a8fd, 0x10c4aff3f7c11423, 0xef9b875f00370f85, 0x19684eda21955dde, 0xffd01cf09bfe4542,
  0x5e5ab7cd012dbb21, 0x6377f9d5b982c379, 0x81102a4dff0d3e09, 0xa7d7ed18e02e86a2, 0x546a7b6a8a44afd4,
  0xf3c6f860e0cddc5f, 0x5f886c2445f71258, 0x71b8a49cdffd47c2, 0xe4a76b737374cf17, 0xf83660d7cf51e56f,
  0xd68450298ae037a8, 0x4d7d185962291669, 0xf7b39d5db8ca1d48, 0x578d8ebd44bb4428, 0x70908a04547cf58d,
  0xc1132386f65f4b31, 0xdc5494b313fac546, 0x948d71f64fe2af9d, 0xe3e781013fb86fc0, 0xf379b21a7d83291a,
  0xca9bd4a7253a07b8, 0x9aba718de33a2077, 0x36dce18edec55516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x2134e717c17d3c95,
};

/*
 * m16m1_lin_uart0_noled_pr          m32c1_lin_uart0_noled             m32c1_lin_uart0_noled_pr
 * m32m1_lin_uart0_noled             m32m1_lin_uart0_noled_pr
 */
static const uint64_t ur_m16m1_lin_uart0_noled[] = {
  0xec49ddbbbacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x9fefceb3f38cc13e, 0x391a4f1c8d3e092f, 0xdf2c21f6a8a454fc, 0xc74fe0d05fa8fd01, 0x98b016594cf7dad1,
  0x8ebd1f3b57f47ac3, 0x6c7d99e5403ff660, 0x91ae3ec1c7c0f2cf, 0x235c7ce7f70df812, 0xee3cde01f34fb065,
  0xa20575539794d8cf, 0xaaa2d2c2e718de33, 0x5ccbe6d892455bd8, 0x347f1a2c79c376c2, 0x9e985727eeacc790,
  0x94b659289c6592e1, 0x94f257ee68665874, 0x00000000f90e7001,
};

// m32c1_lin_uart0_noled_pr_u4       m32m1_lin_uart0_noled_pr_u4
static const uint64_t ur_m16m1_lin_uart0_noled_pr_u4[] = {
  0x893bb77689111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0x4299f9c6609f193b, 0xa4f1c8d3e092f9ff, 0xc21f6a8a454fc391, 0xfe0d05fa8fd01df2, 0x016594cf7dad1c74,
  0xd1f3b57f47ac398b, 0xd99e5403ff6608eb, 0xe3ec1c7c0f2cf6c7, 0xc7ce7f70df81291a, 0xcde01f34fb065235,
  0x575539794d8cfee3, 0x2d2c2e718de33a20, 0xbe6d892455bd8aaa, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0f93fb3daab2792b,
};

/*
 * m16m1_lin_uart0_noled_pr_ee_u4    m32c1_lin_uart0_noled_pr_ee       m32c1_lin_uart0_noled_pr_ee_u4
 * m32m1_lin_uart0_noled_pr_ee       m32m1_lin_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_lin_uart0_noled_pr_ee[] = {
  0xc49ddbbb4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0x67d82cc13e327743, 0x8e469f048e1ffd0a, 0x3b54522a7e1c8d27, 0xd4795c89355ad1ce, 0x5f75ea3e0d9834c7,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d, 0xe62e1211473c8c38,
  0xa8d823f5b86f65b2, 0x291ae3ec00a89534, 0x5235c7ce7f70df81, 0xfee3cde01f34fb06, 0x3a20575539794d8c,
  0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a,
  0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000009d7de0baab2,
};

static const uint64_t ur_m16m1_lin_uart0_noled_pr_ce[] = {
  0xdd893bb77759bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775fefceb3f1ee6, 0x4fc391a4f1c8d3e0, 0x6b9dff5e936a8a45, 0xcf9d21ff3c64a071, 0xdcb01719cc273b8d,
  0x3a7f078cfd47a973, 0x839cc580bd02438e, 0x633c75e2e76a251a, 0x91ae3ec1d7e1ee39, 0x235c7ce7f70df812,
  0x29fbe7f71e6f3065, 0x18c10b4e48c1a9b1, 0x9b69c6378ce88108, 0x68b1e70ddb09732f, 0x5c9fbab31e40d1fc,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0005ba92400653c9,
};

static const uint64_t ur_m16m1_lin_uart0_noled_pr_ce_u4[] = {
  0xc49ddbbb4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfd0a67e43cc13e32, 0x8d278e469f049c9f, 0xfae49b54522a7e1c, 0x4b1e78c953b7f2e2, 0xf84bf10d8488bee2,
  0x3c5dc6e3fcc41fa8, 0xd4727a7b9633f593, 0x47ce9238e9fc1eb3, 0xf3b57f47ac398b01, 0x9e5403ff6678ebd1,
  0xfb071f03cb5b87d9, 0xf39fdc37e04a46b8, 0x7807cd3ec1948d71, 0xd54e5e53633fb8f3, 0x4b0b9c6378ce8815,
  0x36c490c76f62aa8b, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xeba0e3d5593c95fb, 0x0000000000000006,
};

static const uint64_t ur_m16m1_lin_uart0_noled_pr_ee_ce[] = {
  0x24eedddec12232a8, 0xddd2c4e27e9d6376, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x469f048c7ffe8533, 0x54522a7e1c8d278e, 0xa76706e2faa390fb, 0x09117dc4963cf192,
  0xcd90ff51f097e21b, 0x6e6def99e2ee373a, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114,
  0x576e9c4752135f46, 0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991,
  0xfdc37e04a46b8fb0, 0x7cd3ec1948d71f39, 0xe5e53633fb8f3780, 0xb9c6378ce8815d54, 0x490c76f62aa8b4b0,
  0x6ae0f3612e65f36c, 0xe40fca1a2cb57972, 0x1a50c2a73f53ab31, 0x9f80f9a1e64ff027, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x009f856ad5593c95,
};

static const uint64_t ur_m16m1_lin_uart0_noled_pr_ee_ce_u4[] = {
  0x7624eeddda244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xa14cfffc9827c64e, 0x49e391a7c12e9fff, 0xdc9ed5148a9f8723, 0x3c64a9db05b8bea8, 0xf886c2445f71258f,
  0x8dc4a8b91fd47c25, 0x253b5b9b8ca678bb, 0x83660c6ffa8f2b05, 0xb422814c5710fa8f, 0x6be8c2cb1148b34e,
  0x4f9ceaedcf78ea42, 0x8d8ebd7537610e8c, 0x845120a8f19d8d57, 0x32386f65c3918b84, 0xc0948d71f6631fc3,
  0x83291ae3e73fb86f, 0x4d894fdf3fb8f379, 0x0840c6085a72460d, 0x997cdb4e31bc6744, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00027e042f5564f2,
};

// m32c1_lin_uart0_noled_ee_hw       m32m1_lin_uart0_noled_ee_hw
static const uint64_t ur_m16m1_lin_uart0_noled_ee_hw[] = {
  0xc49ddbbb4486fc3b, 0xeeee961e4090ac6e, 0x5936a64cf4ddeeee, 0x543d9c489dde0f42, 0xddb826eb4a71b082,
  0xb0ff9f60b304f8c9, 0xd278e469f048e1ff, 0x1ce3b54522a7e1c8, 0x4c7d4795c89355ad, 0xdf15f75ea3e0d983,
  0xb2c4522cd3ad08a1, 0x715c6b26909afa30, 0x76ded1e0b39d5a5e, 0xc38d8d56ba1d79d3, 0x5b2e62e1211473c8,
  0x534a8d823f5b86f6, 0xf81291ae3ec00a89, 0xb065235c7ce7f70d, 0xd8cfee3cde01f34f, 0xde33a20575539794,
  0x5bd8aaa2d2c2e718, 0xe6c25ccbe6d89245, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x24e8a792bf734332, 0x000000000000b7ef,
};

// m16m1_lin_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_lin_uart0_noled_ee_ce_hw[] = {
  0xbb12776eed121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0x693c7234f82463ff, 0x1c87daa29153f0e4, 0xcf285c1c383717d5, 0x7e21b09117dc4963,
  0xe3712a2e47f51f09, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3, 0x35f4616588a459a7,
  0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317, 0xb8fb0b3a254d2a36,
  0x71f39fdc37e04a46, 0xf37807cd3ec1948d, 0x15d54e5e53633fb8, 0x8b4b0b9c6378ce88, 0x5f36c490c76f62aa,
  0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000280929c7453c,
};

/*
 * m16m1_lin_uart0_lednop_pr         m32c1_lin_uart0_lednop            m32c1_lin_uart0_lednop_pr
 * m32m1_lin_uart0_lednop            m32m1_lin_uart0_lednop_pr
 */
static const uint64_t ur_m16m1_lin_uart0_lednop[] = {
  0xdd893bb77759bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x2fbfdf9d67cf5982, 0xf0e4693c7234f825, 0xc77cb087daa29153, 0xc71d3f83417ea3da, 0x9cc580b2ca6f920f,
  0x11d7a3e7659e8d21, 0xeda0b348a807fecc, 0x5235c7d905681e59, 0x8f9e0404fee1bf02, 0xcde6c869f60ca46b,
  0x2a6f529c94e81ee3, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x001f204900194f25,
};

// m32c1_lin_uart0_lednop_pr_u4      m32m1_lin_uart0_lednop_pr_u4
static const uint64_t ur_m16m1_lin_uart0_lednop_pr_u4[] = {
  0x893bb77689113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0xa14cf9eb304f8c9d, 0xa4f1c8d3e094beff, 0xc21f6a8a454fc391, 0xfe0d05fa8f6b1df2, 0x02cb29be483f1c74,
  0x8f9d967a34867316, 0xcd22a01ffb30475e, 0x1f6415a07967b682, 0x1013fb86fc0948d7, 0x21a7d83291ae3e78,
  0x4a7253a07b8f379b, 0x18de33a2077ca9bd, 0x22adec555169aba7, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xbeaac9e4afdcd0cc, 0x00000000003e4c7a,
};

/*
 * m16m1_lin_uart0_lednop_pr_ee_u4   m32c1_lin_uart0_lednop_pr_ee      m32c1_lin_uart0_lednop_pr_ee_u4
 * m32m1_lin_uart0_lednop_pr_ee      m32m1_lin_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16m1_lin_uart0_lednop_pr_ee[] = {
  0x624eeddda2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0x33f95a609f193ba5, 0xc7234f82450ffe85, 0x1daa29153f0e4693, 0xea3cacca9aad68e7, 0x587bf51f06cc1a63,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x648c9a39d5a5cf55, 0xac6ab5d0ebce9bb4, 0x73170908a09e46f6,
  0x546c11fadc37b2d9, 0x291ae3ec0087d99e, 0xc7cf02027f70df81, 0xe6f36434fb065235, 0x9537a94e4a740f71,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xebe493d5593c95fb,
  0x0000000000000004,
};

// m16m1_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16m1_lin_uart0_lednop_pr_ce[] = {
  0x624eeddda2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfe8533e52e609f19, 0x4693c7234f824e97, 0x7d724daa29153f0e, 0x4b1e78c953ba9571, 0xf84bf10d8488bee2,
  0x78bb8dcadf801fa8, 0xa8fd24f72c67eb26, 0xa6222c71d3f83d67, 0x9d967a3486731602, 0x22a01ffb33c75e8f,
  0xd905681e5adc82cd, 0x04fee1bf025235c7, 0x69f60ca46b8f9e04, 0x9c94e81ee3cde6c8, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x5564f257ee686658, 0x000000001baeb4fb,
};

static const uint64_t ur_m16m1_lin_uart0_lednop_pr_ee_ce[] = {
  0x24eedddd41446f43, 0x7774b020c1056376, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x7234f824707fe853, 0xdaa29153f0e4693c, 0x4a9defb3bfea8dfc, 0xcee372e4492bf3c6,
  0xfba94ed6563df309, 0xa3e0d9835afea3ca, 0xa75a1140a62bdbfe, 0x2135f4616588a459, 0x23268e7576e3d475,
  0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0x46b8fb0b31f66795, 0xf3c0809fdc37e04a,
  0xbcd90d3ec1948d71, 0x4dea53929d03dc79, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d, 0x9357079b09732f9b,
  0x8f207e50d165abcb, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x00013f2056aac9e4,
};

static const uint64_t ur_m16m1_lin_uart0_lednop_pr_ee_ce_u4[] = {
  0xc49ddbbb44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0xc7234f825ff3fd3d, 0x7daa29153f0e4693, 0x85c1c4b5717d51c8, 0x1b09117dc4963cf2,
  0x0449807f51f097e2, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x27f70df81291ae3e, 0x4fb065235c7cf020, 0xe4a740f71e6f3643, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xb7e2da4f257ee686, 0x0000000000013f2c,
};

// m32c1_lin_uart0_lednop_ee_hw      m32m1_lin_uart0_lednop_ee_hw
static const uint64_t ur_m16m1_lin_uart0_lednop_ee_hw[] = {
  0xc49ddbbb448651eb, 0xeeee961e4190ac6e, 0x8485938035a5eeee, 0x70bf6712277783d0, 0xdd89cecb5eb62f2b,
  0xb0ff9fcad304f8c9, 0xd278e469f048a1ff, 0x1ce3b54522a7e1c8, 0x4c7d4795995355ad, 0xbe2b0f7ea3e0d983,
  0x6588a459a75a1143, 0xeab8d64d2135f461, 0x768c9193473ab4b9, 0xded58d56ba1d79d3, 0x5b2e62e1211413c8,
  0x33ca8d823f5b86f6, 0xf025235c7d8010fb, 0x46b8f9e0404fee1b, 0xee3cde6c869f60ca, 0x1df2a6f529c94e81,
  0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000000b7c353a8a7,
};

// m16m1_lin_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_lin_uart0_lednop_ee_ce_hw[] = {
  0xc49ddbbb4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x4f1c8d3e097fcff6, 0x21f6a8a454fc391a, 0xca170712d5c5f547, 0x886c2445f71258f3,
  0xdca4a672fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2beea, 0x8450298af6ffa8f8, 0x7d185962291669d6,
  0xa39d5db8f51d484d, 0x8d8ebce9bb4648c9, 0x211413c8ded58d57, 0x132386f65b2e62e1, 0x3ec2cc7d99e546c1,
  0x2027f70df81291ae, 0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0xacb7e8a792bf7343, 0x0000000000000280,
};

static const uint64_t ur_m16m1_lin_uart0_dual[] = {
  0xbc1f77eeeea232a8, 0xeeeeeac36d1ddf9b, 0xec1b58361b4056ee, 0x51bac9dbbba6ee82, 0x504b91d68d5acf8a,
  0x090ba41254c13e32, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0x0f9d3487fccae3d7, 0xfc9bd4728bb07267,
  0x7ef822847244fe0d, 0xf006e1f0a21895fe, 0xd10caaeef77cdcea, 0xe130df8a8432d07b, 0xcd012dbd4affa039,
  0xc4f982c3795e5ab7, 0x9e391a7c1209ffee, 0xbfed5148a9f87234, 0xc1a43f51c453be5a, 0x5fc39931e9238e9f,
  0xb766be46f68e62c0, 0x60fbdc72c608ebc8, 0xb27f157ceee2a4a5, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08,
  0x4e4a740f71e6f2dc, 0x02169c05ef9537a9, 0x69c6378ce8811d45, 0x9357079b09732f9b, 0xb867a615c9f9fd8b,
  0x61d252d9f0271964, 0x3d5593c95fb9a199, 0x0000000000cb7f4e,
};

// m16m1_lin_uart0_dual_pr_u4
static const uint64_t ur_m16m1_lin_uart0_dual_pr[] = {
  0x1f77eeed121b9a7c, 0xeeeac36ec35f9bbc, 0x237506f6716eeeee, 0x62c9dbbbb42c8fbb, 0x90846719f5f5ced3,
  0x41254c13e32717dc, 0xe92213a5232090ba, 0x4b881850c1ab3c59, 0x3305fccab773ba7c, 0xd4774bb038670297,
  0x4508e489fc1fee9b, 0xc3e144312bfcfdf0, 0xaaeef77cdcff800d, 0xef8a8432d05f110c, 0x96dea57fd01cf099,
  0xc161bcaf2d5be680, 0x469f04827ff9e49c, 0x54522a7e1c8d278e, 0x1fd47c8a77cb135b, 0xe69c5ef8e3a7f062,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x13fb86fc0948d71f,
  0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722,
  0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xf828b693c95fb9a1, 0x0000000000014939,
};

// m16m1_lin_uart0_dual_pr_ee_u4
static const uint64_t ur_m16m1_lin_uart0_dual_pr_ee[] = {
  0xf07ddfbbb4486f97, 0x7777756242b57e6e, 0x0ebe7da4cdeef777, 0xe3578f23fbb02deb, 0x04674e16a74806ab,
  0x5aa609f1928cee4f, 0x44274a464121748f, 0x1030a1835678b3d2, 0xf9f9956ee774f897, 0xfff3601a0e1a6a67,
  0x239227f07d3f37a8, 0x8510c4aff3f7c114, 0x77bbe6e12500370f, 0xa8432d0386886557, 0xa1fffa039e133938,
  0x6f2bcb56f9a025b7, 0xc12df7fe79273058, 0x8a9f872349e391a7, 0x7dcd56b47226d514, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x5c7d93f8abe77715, 0xe0404fee1bf02523, 0x6c869f60ca46b8f9,
  0xf529c94e81ee3cde, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x2b2042e2da4f257e,
};

// m16m1_lin_uart0_dual_pr_ce_u4
static const uint64_t ur_m16m1_lin_uart0_dual_pr_ce[] = {
  0x83eefddda2436f02, 0xbbbab63b2afbf377, 0xdb3e3adaa3fbbbbb, 0xd7499bbba8ec3727, 0xf0f9af93059b75b1,
  0x705304f8c9977727, 0x9109d29190485d21, 0xc40c2860d59e2cf4, 0xed7e655bb9dd3e25, 0xc2d6c0c7ce033736,
  0x239227f064ea6f51, 0x8510c4aff3f7c114, 0x77bbe6e75980370f, 0xa8432d0726886557, 0x8d6ffa039e134068,
  0x3795e5ab7cd012db, 0xe09305ff3c93982c, 0x454fc391a4f1c8d3, 0x71d2dc5f54036a8a, 0x445f71258f3ca170,
  0xfd7fd47c25f886c2, 0xcfa9733c5dc6e0a4, 0x83a97ea38df9ee58, 0x316028283e471d3f, 0x75e00ced6b23afe7,
  0xc21d21aa01ffb33c, 0xeee2a4aa4e81e5ad, 0x04a46b8fb27f157c, 0xd71f3c0809fdc37e, 0xc79bcd90d3ec1948,
  0xbe54dea53929d03d, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00006925d5b8b693,
};

static const uint64_t ur_m16m1_lin_uart0_dual_pr_ee_ce[] = {
  0x783eefdddd435032, 0xddddd5a00421bf37, 0xef4d7dfbd69edddd, 0xe71b106f74ed24ca, 0x68ff5efbb1c2f0fa,
  0xe609f192f5ae557b, 0x9d29190485d221e4, 0xc2860d59e2cf4910, 0xe655bb9dd3e25c40, 0x6c3f5ce06b734c37,
  0x44fe0eb7e6f51c52, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb422b221955ddee, 0xfe80e784d2ba2a10,
  0xf2d5be68096ded6f, 0x4fff9e49cc161bca, 0xc391a4f1c8d3e097, 0xff546e4f6a8a454f, 0x96bf3ca170706b1d,
  0x64dd309cee372f0f, 0xf9ea3cadfc94ed65, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05, 0xb71943a909afa30b,
  0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470, 0xc9fc55f3bb8a9296,
  0x27f70df81291ae3e, 0x4fb065235c7cf020, 0xe4a740f71e6f3643, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964, 0xe8b693c95fb9a199,
  0x000000000026088b,
};

static const uint64_t ur_m16m1_lin_uart0_dual_pr_ee_ce_u4[] = {
  0xfbbf7768adbbb202, 0xeeacf4c672fcdde0, 0xc2c57bdabdeeeeee, 0x0ddba10ec5f225c2, 0xf072e3fcda6cdbd7,
  0x6715cbfadd23168f, 0x90ba41ecf4c13e32, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x49533397e65a5bf3,
  0x4dea3f59ec190ce1, 0xf04508e489fc1cc3, 0x0dc3e144312bfcfd, 0x32abbbddf3717040, 0xeaf8a8432d031f44,
  0x4b6e6b7ff4073c26, 0x60b0de5796adf340, 0x8d3e093fcffc31fe, 0xa8a454fc391a4f1c, 0x9d8cddc5f546a7b6,
  0x2445f71258f3ca17, 0x7907fd47c25f886c, 0x9b9ba678bb8dcd50, 0xbe7a8f2b7f253b5b, 0x4c5701bd47c1b306,
  0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea, 0x22a3e7ac6abc6c75, 0x37b2fa598b848450,
  0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90,
  0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x3f3c95fb9a19961d,
  0x000000200026b6e4,
};

static const uint64_t ur_m16m1_lin_uart0_dual_ee_hw[] = {
  0x83eefddda2437089, 0xbbbbab1215abf377, 0x75f3ed266f77bbbb, 0x1abc791fdd816f58, 0xe4f595b5b440355f,
  0xd6a9827c64a33b95, 0x9109d29190485d23, 0xc40c2860d59e2cf4, 0xfe7e655bb9dd3e25, 0x3ffcd80683869a99,
  0x08e489fc1f4fcdea, 0xe144312bfcfdf045, 0xddeef9b849400dc3, 0x2a10cb40e1a21955, 0xe87ffe80e784ce4e,
  0x1bcaf2d5be68096d, 0x7c12df7fe249cc16, 0x48a9f872349e391a, 0xd7dcd56b47226d51, 0x51f06cc1829ea3ca,
  0xd3ad08a1df15d4af, 0x909afa30b2c4522c, 0xce756973297152e6, 0x743af512ed10a3de, 0x211408a8f9eb1aad,
  0x7eb70decbe9662e1, 0x5250084feb151b04, 0x35c7d93f8abe7771, 0x9e0404fee1bf0252, 0xe6c869f60ca46b8f,
  0x6f529c94e81ee3cd, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0aed042e8a792bf7,
};

static const uint64_t ur_m16m1_lin_uart0_dual_ee_ce_hw[] = {
  0x3eefdddd41431f02, 0xddd5a00421bf3778, 0x4d7dfbd69edddddd, 0x1b106f74ed24caef, 0x2cde9851c2f0fae7,
  0xcc13e325eb5c9462, 0x3a5232090ba443c9, 0x850c1ab3c59e9221, 0xccab773ba7c4b881, 0xd87eb9c0d6e6986f,
  0x89fc1d6fcdea38a4, 0x312bfcfdf04508e4, 0xf37000000dc3e144, 0x9684564432abbbdd, 0xfd01cf09a5745421,
  0xe5ab7cd012dbdadf, 0xa7ffc493982c3795, 0xe1c8d278e469f04b, 0xffaa3727b54522a7, 0xc87f9e50b838358e,
  0xb26e984e771b9d66, 0x7cf51e56fe4a76b2, 0x98ae037a8f83660d, 0x962291669d684502, 0xdb8ca1d484d7d185,
  0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238, 0x64fe2af9ddc5494b,
  0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xf3612e65f36dce18, 0xa1854e7ea6c3b1b8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0ebaa2fa8a792bf7,
};

static const uint64_t ur_m16m1_lin_uart0_dual_ee_ce_u4_hw[] = {
  0x1f77eeed14683202, 0xddd59e98ce5f9bbc, 0x5c2c2da57bdddddd, 0xbd70ddba10ec5f22, 0xebef4d6e3fcda6cd,
  0x09f19338ae434e83, 0x29190485d20f67a6, 0x860d59e2cf49109d, 0x5d849dd3e25c40c2, 0x190ce149533397e6,
  0xfc1cc34dea3f59ec, 0x2bfcfdf04508e489, 0x7170400dc3e14431, 0x031f4432abbbddf3, 0x073c26eaf8a8432d,
  0xadf3404b6e6b7ff4, 0xfe756e60b0de5796, 0x2349e391a7c127f9, 0xa8d4f6d5148a9f87, 0xe78df0c1c19bb8be,
  0xbf10d8488bee24b1, 0xe3714939bffa8f84, 0xc94ed6e6e6e99e2e, 0xf06cc1af9ea3cadf, 0xad08a05315c06f51,
  0x9afa30b2c4522cd3, 0xef673abb71943a90, 0xaf1b1d7a89768851, 0xe1211408a8f9eb1a, 0x8226470decbe9662,
  0xb8a9296627f58a8d, 0x291ae3ec9fc55f3b, 0xc7cf02027f70df81, 0xe6f36434fb065235, 0x9537a94e4a740f71,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x3aeaa202c2fa792b,
};

/*
 * m16m1_swio10_noled_pr             m32c1_swio10_noled                m32c1_swio10_noled_pr
 * m32m1_swio10_noled                m32m1_swio10_noled_pr
 */
static const uint64_t ur_m16m1_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xd491913fdf9d67c3, 0x0c43fa8ef79df2c4, 0xdee9a71c8b1c74fe, 0xcedd02359e731602,
  0xc6bedc72c608ebc5, 0x8e793fb5e5caad4a, 0xf5673a8a9546ba13, 0x5f4351359caed52d, 0xad115e5350954bef,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d10270a45, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xe400e400ca792bf7, 0x0000000000000003,
};

// m32c1_swio10_noled_pr_u4          m32m1_swio10_noled_pr_u4
static const uint64_t ur_m16m1_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xbaffa14cfc7b9827, 0xea3cdc77cb08b247, 0x8ca9c638e9fc193d, 0xbd1dac731602cb29,
  0x07fecc11d7a3e767, 0xa81e59eddc359ea8, 0xe793fb5e5caad556, 0x5673a8a9546ba138, 0xf4351359caed52df,
  0xd115e5350954bef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x9b09732f9b640915,
  0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f,
  0x9296cf8138cb25c3, 0xac9e4afdcd0ccb0e, 0x00000003e4e7c16a,
};

/*
 * m16m1_swio10_noled_pr_ee_u4       m32c1_swio10_noled_pr_ee          m32c1_swio10_noled_pr_ee_u4
 * m32m1_swio10_noled_pr_ee          m32m1_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0x37ff4299f1ad304f, 0x9c39aad68e3dc91d, 0xa3e0d9833d7d4795, 0xa75a1143be2b2ebe,
  0x2135f4616588a459, 0x4e75697fdcb8d64d, 0x743af3a6eda52388, 0x21142628c45b1aad, 0x3f5b86f65b2e62e1,
  0xab50089aafea8d82, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x52fbd7d0d44d672b, 0x5cf6ab445794d425,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x902455bd8aaa2d2d, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xa45faab2792bf734, 0x00000000000004eb,
};

// m16m1_swio10_noled_pr_ce_u4
static const uint64_t ur_m16m1_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x8e04ffa14cfdba98, 0x254ef2b5c5f59124, 0x361222fb892c79e3, 0x2545c8fea3e12fc4,
  0xb9633f5933c5dc6e, 0x3a7f0782fd47c927, 0xb58e62c05ee8148e, 0xd99e3af47cecf7a3, 0xf2d6eb86b3d500ff,
  0x9fdaf2e556aab540, 0x9d454aa35d09c73c, 0xa89ace576a96fab3, 0xaf29a84aa5f7afa1, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x9732f9b640863b7b, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000375f6bdeaac9,
};

static const uint64_t ur_m16m1_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xffd0a67c344c13e3, 0xf9dff54670e48d8f, 0x0036eff3c64a9dd8, 0xb2b1ef984e771b80,
  0x1a01ea3cadd2ca76, 0x05315c87f51f06cc, 0x0b2c4522cd3ad08a, 0x576efdc3a909afa3, 0xaf3a6eda523884e7,
  0x84c5188b6355e363, 0x70decb65cc5c2422, 0x2cc9aafea8d82264, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8,
  0xbd7d0d44d672bb54, 0x6ab445794d42552f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0x83cd84b997cdb204, 0x3f2868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e687993fc09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0xfc1d175564f257ee, 0x0000000000000004,
};

static const uint64_t ur_m16m1_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fd3d5f3e87d304, 0xc41717d51dba9238, 0x17dc4963cf285c1c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0xf27f6bcb955a9664,
  0xce75152a8d74271c, 0x86a26b395daa5bea, 0x22bca6a12a97debe, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0xc25ccbe6d90218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x22da4f257ee68665, 0x00000000009f87aa,
};

// m32c1_swio10_noled_ee_hw          m32m1_swio10_noled_ee_hw
static const uint64_t ur_m16m1_swio10_noled_ee_hw[] = {
  0x426eeeeed12198e2, 0x6d5cb4b1ea6d2eb1, 0xa7ad177499f1ff12, 0x08f229835cdd95b6, 0xad41685e14452225,
  0xc13e32774a70f6d3, 0x91d37fec3fe7c6b4, 0x7959c39aad68e3dc, 0xebea3e0d9833d7d4, 0x459a75a1143be2b2,
  0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1, 0xd823f5b86f65b2e6,
  0x972ab50089aafea8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0x42552fbd7d0d44d6, 0x2d75cf6ab445794d,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xe6d902455bd8aaa2, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0000b7c9f868a792,
};

// m16m1_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x47107fb0ff9f43e9, 0x839882e2faa3b752, 0x1222fb892c79e50b, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f4351359caed52d, 0xad115e5350954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd51453c95fb9a199, 0x000000000000a023,
};

// m32c1_swio10_lednop               m32m1_swio10_lednop
static const uint64_t ur_m16m1_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0xa4884fff7e759f32, 0x621fd47c90ef9626, 0x7ba6ee8148e3a7f0, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x8e793fb5e5caad4a, 0xf5673a8a9546ba13, 0x5135c0809caed52d, 0x5e5350956ae97f43,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xe65f36cbb22adec5, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000001520e80194,
};

/*
 * m16m1_swio10_lednop_pr_u4         m32c1_swio10_lednop_pr            m32c1_swio10_lednop_pr_u4
 * m32m1_swio10_lednop_pr            m32m1_swio10_lednop_pr_u4
 */
static const uint64_t ur_m16m1_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0x3dffd0a67e034c13, 0xea3ce277cb08b244, 0x18f3d638e9fc193d, 0x44707ce62c059653,
  0x1ffb30475e8f9dbe, 0x681e59edef7d02a0, 0xe793fb5e5caad605, 0x5673a8a9546ba138, 0x135c0809caed52df,
  0xe5350956ae97f435, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36cbb22adec55,
  0x8df1726ae0f3612e, 0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00f939f82d5593c9,
};

/*
 * m16m1_swio10_lednop_pr_ee_u4      m32c1_swio10_lednop_pr_ee         m32c1_swio10_lednop_pr_ee_u4
 * m32m1_swio10_lednop_pr_ee         m32m1_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x1cbfe8533fd5f304, 0xb287355ad1c7b923, 0xd47c1b3067afa8f2, 0x34eb422877c56c17,
  0xa426be8c2cb1148b, 0xe1cead2ff3971ac9, 0x5d0ebce9bb04f46b, 0x908a3244637ec6ab, 0x1fadc37b2d973170,
  0xab500ae1acf546c1, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x5fd0d44d7020272b, 0xab445794d4255aba,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0xcd84b997cdb2ec8a, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x564f257ee6866587, 0x000000004eb842f5,
};

// m16m1_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16m1_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x3beffe8533f15a60, 0x953bb75717d64492, 0xd8488bee24b1e78c, 0x494ce5fa8f84bf10,
  0xe58cfd64cf1771b9, 0xe9fc1e0bf51c149e, 0x3e73160287b40238, 0x99e3af47cedf2238, 0xcb5bb7be81500ffd,
  0x7f6bcb955ac0ad03, 0x75152a8d74271cf2, 0x8101395daa5beace, 0xa12ad5d2fe86a26b, 0x56bae7b55a22bca6,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb2ec31dbd8aaa2d, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xaf756f5564f257ee, 0x000000000000001b,
};

static const uint64_t ur_m16m1_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xaffa14cfcedcc13e, 0xda3bfea8ce1c91dd, 0xe8fa927e78c953bd, 0xb5958f7cc273b8dc,
  0x60d00f51e565d653, 0x50298aca5fa8f836, 0x185962291669d684, 0x3abb77ce1d484d7d, 0x3af3a6ec13d1af87,
  0x5192231bf6355e36, 0x8e1bd96cb98b8484, 0x4b3b86b3d51b044c, 0x138e793fb5e5caad, 0x2df5673a8a9546ba,
  0x435135c0809caed5, 0x115e5350956ae97f, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6d97618ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x000014d345f6aac9,
};

static const uint64_t ur_m16m1_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01fe9eaf9ffd7982, 0x400b8bea8edd4918, 0x8bee24b1e7942e0e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x93fb5e5caad4b3b8,
  0x73a8a9546ba138e7, 0x5c0809caed52df56, 0x350956ae97f43513, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6d97618edec5551, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00009f8135a2da4f,
};

// m32c1_swio10_lednop_ee_hw         m32m1_swio10_lednop_ee_hw
static const uint64_t ur_m16m1_swio10_lednop_ee_hw[] = {
  0x426eeeeed121b7d6, 0x6d5cb4b1ea6f5eb1, 0x27ab8f746db11f12, 0x08f229835da59bbb, 0xdab2210208452225,
  0x609f193baf5a716f, 0x918e5fec3fe7fabe, 0x7959439aad68e3dc, 0x0bea3e0d9833d7d4, 0x459a75a1143be2b6,
  0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63, 0x608fd6e1bd96cb98,
  0xb955a80570d67aa3, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5d2fe86a26b81013, 0x7b55a22bca6a12ad,
  0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6d976, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xfbe0a8a792bf7343,
  0x00000000000000b7,
};

// m16m1_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x3003fd87fcffebcc, 0x1c801717d51dba92, 0x9117dc4963cf285c, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xcf27f6bcb955a967,
  0xace75152a8d74271, 0x26b8101395daa5be, 0xca6a12ad5d2fe86a, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb2ec31dbd8aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000280826b514f,
};

// m16m1_swio10_dual_pr              m16m1_swio10_dual_pr_u4
static const uint64_t ur_m16m1_swio10_dual[] = {
  0x7f777776890ddb75, 0xd83eeadc7d265f84, 0x7aef7448f251a70c, 0x8a0ccc4ce21ec6eb, 0x432d49c9a76e91f6,
  0x492172bebde4eb4e, 0x8242e91dd69827c6, 0xacf167a4884e948c, 0xcee9f12e20614306, 0x9c1c9cdf3bf32add,
  0x71ee6f51d7dec0a2, 0xf3f7c114239227f0, 0x0000370f8510c4af, 0x7c4432abbbddf372, 0x73c26dee2a10cb40,
  0x6f9a025b7287ff40, 0xe792730586f2bcb5, 0x221df2c3e491a95f, 0xca8e3a7f0622fa8f, 0xde731602a83cdfb8,
  0x9823af006769c51b, 0xb3db5af07d500ffd, 0xbe7771525bfc303c, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0xae0404e576a96fab, 0x9a84ab574bfa1a89, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b65d9156f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000a49a65a8b693,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ee[] = {
  0x5b7777775050cf68, 0x307dd5ac7ecddf8f, 0xda0eeeca1ed62727, 0x95c16c5dda27e7de, 0xf210bad8ca16f59d,
  0xe4d1f53accdb7661, 0x91bcfa609f192b06, 0x7a4884e948c8242e, 0x12e20614306acf16, 0x9866ff32addcee9f,
  0xd474b5b00b47031f, 0x4508e489fc18d69b, 0xc3e144312bfcfdf0, 0xabbbddf373bac00d, 0x7c54219681454432,
  0xdbcedffd01cf098c, 0x2c3795e5ab7cd012, 0xa2c91a1fff3c9398, 0xbd4795efb9aad68c, 0x2bb75ea3e0d98332,
  0x88a459a75a1143be, 0xe2a5cd2135f46165, 0xf68f4a39d5a5ca1a, 0xd8d56ba1d7a89768, 0xb3170908a1004698,
  0xa8d823f5b86f65f4, 0xf3bb8a92805195ac, 0x4fed7972ab59fc55, 0xcea2a551ae84e39e, 0x7020272bb54b7d59,
  0xd4255aba5fd0d44d, 0xcad75cf6ab445794, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb2ec8ab7b15545,
  0x65abc6e3cd84b997, 0xfa9d599bf83bb8d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x0000000015913ebc,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0xe0b07dd5ac7efddf, 0x56d77ee9d60148ee, 0xdd06e976f5b6c5e3, 0xcc50b201a2f1942c,
  0x92626e5dd8dd9683, 0x412174874ea609f1, 0x5678b3d244274a46, 0xe774f8971030a183, 0x8e096a60b5f9956e,
  0x3d3737a8e35b604e, 0xf9fbe08a11c913f8, 0x2a001b87c2886257, 0xfc4432abbbddf373, 0xe784db7e2a10cb41,
  0xdf3404b6fa6bfe80, 0xcf24e60b0de5796a, 0x9aad68dfc92296bf, 0x1b30613fd4795943, 0x422877c56e97d47c,
  0xbe8c2cb1148b34eb, 0xb4bfee5c20b9a426, 0xdac4ed2f91af873a, 0x7c4637ec6ab5d0eb, 0x37b2e3e3170908a0,
  0x3bb8a92ae3a0fadc, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x020272bb54b7d59c, 0x4255aba5fd0d44d7,
  0x01e5cf6ab445794d, 0x130bd4b5e5380b9d, 0x4408bf714085a561, 0x4b997cdb4e31bc67, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x0000000001592054,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ce[] = {
  0x76eeeee87ad0cf68, 0x6c1f756a8616bf03, 0x6937ba3dac323383, 0x667d39d928fd699f, 0xdd95dfdde7dee86e,
  0x27e9dc9a3ea74338, 0x8242e909c7cc13e3, 0xacf167a4884e948c, 0xcee9f12e20614306, 0x70eaf9a87ff32add,
  0xdba9bd478e5b0382, 0xcfdf04508e489fc1, 0x1200dc3e144312bf, 0xf4432abbbddf3701, 0x784ddd4542196818,
  0xf3404b6fff3fe80e, 0xf24e60b0de5796ad, 0x6e2fa98f92235bfc, 0xb892c79e50b83870, 0xea3e12fc4361222f,
  0x733c5dc6e5c89257, 0x3f51fa89ee58cfa9, 0x2d4aeea38e9fc1dc, 0x06769c51bde73160, 0x07d500ffd99e3af0,
  0x496ff0c0f2d6e5af, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5d2fe86a26b81013,
  0x7b55a22bca6a12ad, 0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec,
  0x9bf83bb8d1674f86, 0x27f2861539fa9d59, 0x343cc9fe2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0xb49e4afdcd0ccb0e, 0x00000000692610c5,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ce_u4[] = {
  0x93b777776890cf68, 0x0583eead50ee75f9, 0xdb5c776c314e976b, 0x138c4b33a2f2af39, 0x76227a8fb3eddc9d,
  0x4d91b9347d4ebdc3, 0x0485d22e4a9827c6, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x38456986b7e655bb,
  0xd4f4dea3efbd869b, 0xe7ef822847244fe0, 0x72006e1f0a21895f, 0xe910caaeef77cdc6, 0xcf09b4a8a8432d0e,
  0xbe68096dc2d7fd01, 0x9e49cc161bcaf2d5, 0x6ee2faf75246dd7f, 0xfb892c79e50b839a, 0x7ea3e12fc4361222,
  0xe333c5dc6e5c8925, 0x9fea3cbe9ee58cf0, 0x058f7a5471d3f835, 0x22ddb244637ce62c, 0xa3a8cb71cb19e3af,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f435135c0809ca, 0xaad115e5350956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6d97618, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xa7a2da4f257ee686, 0x0000000000003493,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ee_ce[] = {
  0xf893377777750c86, 0x00a60fbab3afbebd, 0x5f6af7ba55e58905, 0x3653b22d4d3dee13, 0x66ec1326593f2293,
  0x772eec6ec782e62e, 0xd238f27304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e655bb9dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0x55777bbe6e059001, 0x758a8432d0c08886,
  0x5b7bc3ffa039e131, 0x0586f2bcb56f9a02, 0xe049236b7fe79273, 0xe50b8396b677fd51, 0x139dc6e1806e87f9,
  0x2bcad29dacac9ba6, 0xbd47c1b307dd7a8f, 0xb34eb422814c572b, 0xea426be8c2cb1148, 0xf68f4a39d5db8a18,
  0xb1aaf1b1d7a89768, 0x662e121142008d31, 0xa8d8226470decbe9, 0xf3bb8a92967195ac, 0x4fed7972ab59fc55,
  0xcea2a551ae84e39e, 0x7020272bb54b7d59, 0xd4255aba5fd0d44d, 0xcad75cf6ab445794, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b65d863b7b15545, 0xb1e70dc79b09732f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0098201ca2da4f25,
};

static const uint64_t ur_m16m1_swio10_dual_pr_ee_ce_u4[] = {
  0xbbbbbb456dd8d164, 0xfbab78fbc9df962f, 0x766a27d693924c60, 0x5caf799b70b68fef, 0x62f47762e9f6af87,
  0xdd9f1eb1e1bf847e, 0x19202ae5c1c9598a, 0x2090ba47c41e609f, 0xab3c59e92213a523, 0xf3ba7c4b881850c1,
  0xc396a666ffe65a5b, 0x3e9bd47ec1d85e19, 0xfbe08a11c913f834, 0xc01b87c2886257f9, 0x10caaeef77cdc4e3,
  0x26d37150865a0705, 0x404b6e495ff4073c, 0xfe60b0de5796adf3, 0xa8ce0c9135bffc31, 0x1e7942f3b35bb8be,
  0x4bf10d8488bee24b, 0x71b9118a71ffa8f8, 0xb4a76b737374cf17, 0xf06cc1f75ea3caf2, 0xad08a05315caef51,
  0x9afa30b2c4522cd3, 0xd28e7576e2863a90, 0xbc6c75ea25da3da3, 0x84845080234c6c6a, 0x08991c37b2fa598b,
  0xe2a4a59c656b2a36, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x09caed52df5673a8, 0x56ae97f435135c08,
  0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x7618edec55516920, 0xd5c1e6c25ccbe6d9,
  0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x1b90fcf257ee6866, 0x00000000010017d5,
};

static const uint64_t ur_m16m1_swio10_dual_ee_hw[] = {
  0xadbbbbba1eb432db, 0x983eead63f66efc7, 0x6d0777650f6b1393, 0xcae0b62eed13f3ef, 0xf9085d6c650b7ace,
  0x60dc8e08ab34ceb0, 0x85d2379f4c13e325, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x63f30cdfe655bb9d,
  0xd37a8e96b60168e0, 0xbe08a11c913f831a, 0x01b87c2886257f9f, 0x8655777bbe6e7758, 0x318f8a8432d028a8,
  0x025b79dbffa039e1, 0x730586f2bcb56f9a, 0xb4651648d0fff892, 0x1995ea3caf7dcd56, 0x1df15dbaf51f06cc,
  0x0b2c4522cd3ad08a, 0x50d7152e6909afa3, 0xbb47b47a51cead2e, 0x34c6c6ab5d0ebd44, 0x2fa598b848450802,
  0xad6546c11fadc37b, 0xe2af9ddc5494028c, 0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0xa26b8101395daa5b,
  0xbca6a12ad5d2fe86, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6d976455bd8a,
  0xe7ea5eae371e6c25, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x2bb49f5e8a792bf7,
};

static const uint64_t ur_m16m1_swio10_dual_ee_ce_hw[] = {
  0x24cddddddd436f02, 0x2983eeacebefaf7e, 0xdabdee9579624140, 0x94ec8b534f7b84d7, 0xbb04c9964fc8a4cd,
  0xdc9fc3e6be8b3799, 0x48e3c9cc13e32605, 0x3d244274a4641217, 0x8971030a1835678b, 0xcc87df9956ee774f,
  0xea3bfcd86203835d, 0x22847244fe0c344d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8164006, 0xd62a10cb43022219,
  0x6def0ffe80e784c5, 0x161bcaf2d5be6809, 0xe049236b7fe249cc, 0xe50b8396b677fd51, 0x09cee3719cba3ff9,
  0x95e5694ed6564dd3, 0xdea3e0d983eebd47, 0x59a75a1140a62b95, 0x752135f4616588a4, 0x7b47a51ceaedc50c,
  0xd8d578d8ebd44bb4, 0xb3170908a1004698, 0x546c1132386f65f4, 0xf9ddc5494b38cad6, 0x27f6bcb955acfe2a,
  0xe75152a8d74271cf, 0xb8101395daa5beac, 0x6a12ad5d2fe86a26, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb2ec31dbd8aaa2, 0xf9fd86e3cd84b997, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x01134c0e5453c95f,
};

static const uint64_t ur_m16m1_swio10_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d05f82, 0x07dd5bc7de4efcb1, 0x47f7513eb49c9263, 0x7c3ae57bccdb85eb, 0x23f317a3bb174fb5,
  0x5bfb46d5c78f0dfc, 0x1e609f19202ae5d3, 0x13a5232090ba47c4, 0x1850c1ab3c59e922, 0xfccbb093ba7c4b88,
  0x3b0bc33872d4ccdf, 0x227f0687d37a8fd8, 0x0c4aff3f7c114239, 0xf9b89c780370f851, 0xcb40e0a21955ddee,
  0xfe80e784da6e2a10, 0xf2d5be68096dc92b, 0xd6ffceadcc161bca, 0x0d6ee2faa3383244, 0x2fb892c79e37c307,
  0xffea3e12fc436122, 0x6e99e2ee371705c3, 0xd4795e5694ed6e6e, 0xb95dea3e0d983eeb, 0x8a459a75a1140a62,
  0x50c752135f461658, 0xbb47b47a51ceaedc, 0x698d8d578d8ebd44, 0x5f4b3170908a1004, 0xad6546c1132386f6,
  0xe2af9ddc5494b38c, 0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0xa26b8101395daa5b, 0xbca6a12ad5d2fe86,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb2ec31dbd8a, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00003aeb140905f4,
};

/*
 * m16m1_swio11_noled_pr             m16m1_swio12_noled                m16m1_swio12_noled_pr
 * m32c1_swio11_noled                m32c1_swio11_noled_pr             m32c1_swio12_noled
 * m32c1_swio12_noled_pr             m32m1_swio11_noled                m32m1_swio11_noled_pr
 * m32m1_swio12_noled                m32m1_swio12_noled_pr
 */
static const uint64_t ur_m16m1_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x491eebfdf9d67e3d, 0xebffa8e989df2dd0, 0xf74c800f91c74fe0, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x1cf27f6bcb955a95, 0xaece75152a8d7427, 0xe86a26b395daa5be, 0x688af29a84ad8deb,
  0x52a7d3bcfd6b9ed5, 0x10b4b0b9d4ea7016, 0xc6378ce8811e5e28, 0xe70ddb09732f9b69, 0xbab31e40d1fc68b1,
  0x71964b867a615c9f, 0xa19961d252d964a2, 0xc812400653c95fb9, 0x0000000000000007,
};

/*
 * m16m1_swio12_noled_pr_u4          m32c1_swio11_noled_pr_u4          m32c1_swio12_noled_pr_u4
 * m32m1_swio11_noled_pr_u4          m32m1_swio12_noled_pr_u4
 */
static const uint64_t ur_m16m1_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xffa14cf98f9827c6, 0x7050ef96dee48edf, 0x680471d3f8326bd4, 0x6229cc580b2ca60f,
  0xfb30475e8f9d9314, 0x1e59eddac4f2a01f, 0x93fb5e5caad50898, 0x73a8a9546ba138e7, 0x51359caed52df576,
  0x5794d4256c6f5f43, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb610c55bd,
  0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00003e4efaa35564,
};

/*
 * m16m1_swio11_noled_pr_ee_u4       m16m1_swio12_noled_pr_ee          m16m1_swio12_noled_pr_ee_u4
 * m32c1_swio11_noled_pr_ee          m32c1_swio11_noled_pr_ee_u4       m32c1_swio12_noled_pr_ee
 * m32c1_swio12_noled_pr_ee_u4       m32m1_swio11_noled_pr_ee          m32m1_swio11_noled_pr_ee_u4
 * m32m1_swio12_noled_pr_ee          m32m1_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xffa14cf9c19827c6, 0xacd56b4663e48ece, 0xf06cc1f51ea3cacb, 0xad08a1df1594bf51,
  0x9afa30b2c4522cd3, 0x3ab4bb935c6b2690, 0x1d79d3763d51fc87, 0x8a22147bdd8d56ba, 0xadc37b2d97317090,
  0xd402e839e546c11f, 0xa138e793fb5e5caa, 0x2df57673a8a9546b, 0x6f5f4351359caed5, 0xf6ab445794d4256c,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0xb83cd84b997cdb61, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x835564f257ee6866, 0x000000000004eba6,
};

// m16m1_swio11_noled_pr_ce_u4       m16m1_swio12_noled_pr_ce          m16m1_swio12_noled_pr_ce_u4
static const uint64_t ur_m16m1_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x95bfe8533fa6e609, 0x53b95d717d7ba923, 0x8488bee24b1e78c9, 0x87495fa8f84bf10d,
  0x58cfd64cf1771b8c, 0x9fc1acff51d7c9ee, 0x4e62c05dbf2fa38e, 0x9e3af47cec98a311, 0xb5bad6279500ffd9,
  0xf6bcb955aa11303c, 0x5152a8d74271cf27, 0x6b395daa5beaece7, 0x29a84ad8debe86a2, 0xe7c5aeb9ed5688af,
  0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x65f36d84263b7b15, 0x8df1726ae0f3612e, 0xea75663c81f94345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x006ebbcdbd5593c9,
};

// m16m1_swio12_noled_pr_ee_ce
static const uint64_t ur_m16m1_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0xe8533e9b7304f8c9, 0xeffaa32eb24466ff, 0xba3ff9e3254ec66c, 0x563df309cee3719c,
  0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x6588a459a75a1140, 0xedce4c752135f461, 0xe74dd8f547f21cea,
  0x10a3deec6abc6c75, 0x1bd96cb98b848451, 0xcfa0e7951b044c8e, 0xe39e4fed7972ab52, 0xd5d9cea2a551ae84,
  0x7d0d44d672bb54b7, 0xad115e535095b1bd, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6,
  0xc6c25ccbe6db084c, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0xac9e4afdcd0ccb0e,
  0x0000000534d3ebea,
};

// m16m1_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16m1_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffa7abe7c524c13e, 0xfdc5f547a6e48d6f, 0xee24b1e7942e0e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x3fb5e5caad4b3e83,
  0x3a8a9546ba138e79, 0x1359caed52df5767, 0x794d4256c6f5f435, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34,
  0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x693c95fb9a19961d, 0x000000027e1b908b,
};

/*
 * m16m1_swio12_noled_ee_hw          m32c1_swio11_noled_ee_hw          m32c1_swio12_noled_ee_hw
 * m32m1_swio11_noled_ee_hw          m32m1_swio12_noled_ee_hw
 */
static const uint64_t ur_m16m1_swio11_noled_ee_hw[] = {
  0x6f26eeeed121be4a, 0xae5a58f531a7582f, 0xd23fbbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x9f193ba528eb6abe, 0xeceff61ff3e70660, 0xacbacd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df1594b,
  0x6909afa30b2c4522, 0xc873ab4bb935c6b2, 0x6ba1d79d3763d51f, 0x0908a22147bdd8d5, 0x11fadc37b2d97317,
  0xcaad402e839e546c, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0x56c6f5f4351359ca, 0x75cf6ab445794d42,
  0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xb610c55bd8aaa2d2, 0x2ec6e3cd84b997cd, 0xbc3def2861539fa8,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x016fbe49d14f257e,
};

// m16m1_swio11_noled_ee_ce_u4_hw    m16m1_swio12_noled_ee_ce_hw       m16m1_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b9235, 0x2fb892c79e50b839, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xc9fdaf2e556a59f4,
  0x39d454aa35d09c73, 0xa89ace576a96fabb, 0x2bca6a12b637afa1, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002808dc85,
};

/*
 * m16m1_swio12_lednop               m32c1_swio11_lednop               m32c1_swio12_lednop
 * m32m1_swio11_lednop               m32m1_swio12_lednop
 */
static const uint64_t ur_m16m1_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x124644ff7e759f0f, 0x3affea3af877cb74, 0xf74db7e5f471d3f8, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x39e4fed7972ab52b, 0x5d9cea2a551ae84e, 0x4d7020272bb54b7d, 0xca6a12b97a5fd0d4,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0xcbe6db18c55bd8aa, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000549f580329e,
};

/*
 * m16m1_swio11_lednop_pr_u4         m16m1_swio12_lednop_pr            m16m1_swio12_lednop_pr_u4
 * m32c1_swio11_lednop_pr            m32c1_swio11_lednop_pr_u4         m32c1_swio12_lednop_pr
 * m32c1_swio12_lednop_pr_u4         m32m1_swio11_lednop_pr            m32m1_swio11_lednop_pr_u4
 * m32m1_swio12_lednop_pr            m32m1_swio12_lednop_pr_u4
 */
static const uint64_t ur_m16m1_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xfe8533ebee609f19, 0xd003be5b7b9231ef, 0x7511c74fe0c9af51, 0x8df398b016594cfe,
  0xecc11d7a3e76c911, 0xf2cf6e0ff48a807f, 0x9fdaf2e556b2ed40, 0x9d454aa35d09c73c, 0x0404e576a96fabb3,
  0x42572f4bfa1a89ae, 0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a,
  0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x4c202f5564f257ee, 0x000000000000003e,
};

/*
 * m16m1_swio12_lednop_pr_ee         m32c1_swio11_lednop_pr_ee         m32c1_swio12_lednop_pr_ee
 * m32m1_swio11_lednop_pr_ee         m32m1_swio12_lednop_pr_ee
 */
static const uint64_t ur_m16m1_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0xf4299f4b5304f8c9, 0x9aad68cc7c911adf, 0x0d983ea3d4795b05, 0xa1143be2b53dea3e,
  0x5f4616588a459a75, 0x569774ab8d64d213, 0xaf3a6ed22239b8e7, 0x42f88e32b1aad743, 0xb86f65b2e62e1211,
  0x8056b13ca8d823f5, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x6a26b8101395daa5, 0x15e535095cbd2fe8,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36d8c62adec, 0x2ce9f1726ae0f361,
  0x3f53ab31e40fca1a, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xd7e9ed5593c95fb9, 0x0000000000000009,
};

/*
 * m16m1_swio12_lednop_pr_ee_u4      m32c1_swio11_lednop_pr_ee_u4      m32c1_swio12_lednop_pr_ee_u4
 * m32m1_swio11_lednop_pr_ee_u4      m32m1_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xffa14cf8d69827c6, 0x1cd56b47b7e48e9b, 0xf06cc1ce3ea3cace, 0xad08a1df15975f51,
  0x9afa30b2c4522cd3, 0x75697fdcb8a26690, 0xd7aea6eda523884e, 0xa1314622d8d56ba1, 0x70decb8723170908,
  0xdaf2e556ab8b5beb, 0x454aa35d09c73c9f, 0x04e576a96fabb39d, 0x572f4bfa1a89ae04, 0x75cf6ab445794d42,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x48bf5564f257ee68, 0x00000000000009d7,
};

// m16m1_swio11_lednop_pr_ce_u4      m16m1_swio12_lednop_pr_ce         m16m1_swio12_lednop_pr_ce_u4
static const uint64_t ur_m16m1_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xdd7fd0a67e394c13, 0xa77a6ee2faf75246, 0x09117dc4963cf192, 0x2b2a3f51f097e21b,
  0xb19fac99e2ee3709, 0x7f06b3fd4797d3dc, 0x9cc580b1ef4a8e3a, 0x78ebd1f3b6488c6f, 0xadd07fa45403ff66,
  0xb5e5caad65da81e5, 0x8a9546ba138e793f, 0x09caed52df57673a, 0xae5e97f435135c08, 0xeb9ed5688af29a84,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xacad5593c95fb9a1, 0x000000000000375e,
};

// m16m1_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16m1_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xfd0a67dfe4c13e32, 0x0effaa32eb244347, 0x0e089fcf192a761a, 0x6563df309cee371a,
  0x3d2bd479594b94ed, 0x0a62b287ea3e0d98, 0x16588a459a75a114, 0xaedce94752135f46, 0x5e74dda4447371ce,
  0x0be238cac6abc6c7, 0xe1bd96cb98b84845, 0x2ced627951b044c8, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8,
  0xd44d7020272bb54b, 0x2bca6a12b97a5fd0, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0xb997cdb63131dbd8, 0x1a2c79c5c9ab8d84, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x000534ec7fd5593c,
};

// m16m1_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16m1_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xfe9eaf9fec19827c, 0xd717d51e9b92287d, 0xb892c79e50b83887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xfdaf2e556a59dac4,
  0xd454aa35d09c73c9, 0x404e576a96fabb39, 0x2572f4bfa1a89ae0, 0xd75cf6ab445794d4, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x6c6263b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x027e65a58b693c95,
};

/*
 * m16m1_swio12_lednop_ee_hw         m32c1_swio11_lednop_ee_hw         m32c1_swio12_lednop_ee_hw
 * m32m1_swio11_lednop_ee_hw         m32m1_swio12_lednop_ee_hw
 */
static const uint64_t ur_m16m1_swio11_lednop_ee_hw[] = {
  0x6f26eeeed121af43, 0xae5a58f53a0b582f, 0xefd3dd803d2f8936, 0xbc8a671f1a67ed4d, 0x68b51590229110bd,
  0x9f193bad3bed6eca, 0x8d6ff61ff3e96a60, 0xad82cd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0x97f435135c0809ca, 0xd5688af29a84ae5e,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b6c631, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x056a29e4afdcd0cc,
  0x00000000000016f8,
};

// m16m1_swio11_lednop_ee_ce_u4_hw   m16m1_swio12_lednop_ee_ce_hw      m16m1_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b9228, 0x2fb892c79e50b838, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xc9fdaf2e556a59da,
  0x39d454aa35d09c73, 0xe0404e576a96fabb, 0xd42572f4bfa1a89a, 0xcad75cf6ab445794, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00050165a5a29e4a,
};

/*
 * m16m1_swio11_dual_pr              m16m1_swio11_dual_pr_u4           m16m1_swio12_dual
 * m16m1_swio12_dual_pr              m16m1_swio12_dual_pr_u4
 */
static const uint64_t ur_m16m1_swio11_dual[] = {
  0xa568bbbbbb4486f9, 0x360fbab71f39d7e1, 0xd4fbdd836b0469c3, 0xa2833a67f68eb14e, 0xf8635043b0dba695,
  0x2490b94da390ee73, 0x41217487544c13e3, 0x5678b3d244274a46, 0xe774f8971030a183, 0x4e0e4e6f9df9956e,
  0x38f737a8ebef6051, 0xf9fbe08a11c913f8, 0x0f801b87c2886257, 0x7c4432abbbddf371, 0x73c26dee2a10cb40,
  0x6f9a025b760bff40, 0xe792730586f2bcb5, 0xba3be596bc9128bf, 0xf71c74fe0f7bf51f, 0x89cc580aa0f33930,
  0x608ebc019d900469, 0x67b6f78df5403ff6, 0xbe77715257cea079, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0xe0404e576a96fabb, 0xd42572f4bfa1a89a, 0xcad75cf6ab445794, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0xcdb6318ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000524d69f45b49e,
};

// m16m1_swio12_dual_pr_ee
static const uint64_t ur_m16m1_swio11_dual_pr_ee[] = {
  0xcecb777775050c86, 0xc1f756b1f932fc69, 0x913ba930eb589c9c, 0x95c14155c42c55fb, 0x0f89bad0ca16d39d,
  0x1b97763767d5f98a, 0x74831eb9827c64ac, 0xb3d244274a464121, 0xf8971030a1835678, 0xfcc337f9956ee774,
  0xdea3a5ad805a3818, 0x822847244fe0c6b4, 0x6e1f0a21895fe7ef, 0x955ddeef9b8ea800, 0x63e2a10cb40a2a21,
  0x4b6eff3fe80e784c, 0x60b0de5796adf340, 0x1fee92216bfcf24e, 0x3dfa8f2bb75355ad, 0xf8af4dfa8f83660c,
  0x962291669d68450e, 0xab8a973484d7d185, 0x8c7a33d4e7569760, 0x436355ae875ea25d, 0xd2cc5c24228d291c,
  0x2aa3608fd6e1bd97, 0xaf9ddc549402c8a2, 0xf27f6bcb955acfe2, 0xce75152a8d74271c, 0xb8101395daa5beae,
  0x35095cbd2fe86a26, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0x596af1b8f3612e65, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x16d2792bf734332c, 0x0000000001590e7d,
};

// m16m1_swio12_dual_pr_ee_u4
static const uint64_t ur_m16m1_swio11_dual_pr_ee_u4[] = {
  0xcb777768adbbbb90, 0xf756b1f932fc69ce, 0x3da930eb589c9cc1, 0x4155c42c55f913ad, 0xbad0ca16d39d95c1,
  0x4895e57bfeb60f89, 0xf5cc13e32560dc8d, 0x213a5232090ba418, 0x81850c1ab3c59e92, 0xfe65a5bf3ba7c4b8,
  0x6b60168e063f30cd, 0xc913f831ad37a8e9, 0x886257f9fbe08a11, 0xbbe6e3aa001b87c2, 0x432d028a88655777,
  0xcffa039e1318f8a8, 0x95e5ab7cd012dbbf, 0x216bff0c7f982c37, 0x2bb75355ad1fee92, 0xfa8f83660c3dfa8f,
  0x669d68450ef8af4d, 0x3484d7d185962291, 0xd4e7569760ab8a97, 0xae875ea25d8c7a33, 0x24228d291c436355,
  0x8fd6e1bd97d2cc5c, 0x549402c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515,
  0xbd2fe86a26b81013, 0x3daad115e535095c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7,
  0xe0f3612e65f36d8c, 0x1fb763458df1726a, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc87e792bf734332c, 0x00000000564b2dfd,
};

// m16m1_swio12_dual_pr_ce
static const uint64_t ur_m16m1_swio11_dual_pr_ce[] = {
  0x999eeeee87ad0c86, 0x07dd5aa1a6bdf86e, 0x1f6e9d60148ce0db, 0xfa73d6403738b16e, 0xecdd712afdd374cc,
  0x4ee5dd8dd97d7e62, 0x1748b24e609f193f, 0x8b3d244274a46412, 0x4f8971030a183567, 0x57cd43ff9956ee77,
  0x4dea3c72d81c1387, 0xf822847244fe0edd, 0x06e1f0a21895fe7e, 0x1955ddeef9b9cdf0, 0x6eea2a10cb40c7a2,
  0x04b6fbb5ff4073c2, 0xe60b0de5796adf34, 0x7d5fc922707fcf24, 0x963cf285c1c27571, 0xf097e21b09117dc4,
  0xe2ee3729299cbf51, 0x1c27cf72c67d4b99, 0x5dbf1c74fe0ed6f5, 0x64011a6273160294, 0x500ffd99e3af0067,
  0x7cea0796b73de37d, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3, 0xfa1a89ae0404e576,
  0xb445794d42572f4b, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b,
  0x07771a2ce9f0dc79, 0x50c2a73f53ab337f, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000006922048b693,
};

// m16m1_swio12_dual_pr_ce_u4
static const uint64_t ur_m16m1_swio11_dual_pr_ce_u4[] = {
  0x2313b77776890c86, 0x583eead50eabefc3, 0x6bbf740514a976b0, 0x71890dceb7bf69cb, 0xc50b2012c5ba6462,
  0x3646e5dd8dd9683c, 0x1217487806609f19, 0x678b3d244274a464, 0x774f8971030a1835, 0xe115a61adf9956ee,
  0x53d37a8fbef61a6c, 0x9fbe08a11c913f83, 0xa001b87c2886257f, 0xa4432abbbddf3732, 0x3c26d2a2a10cb43b,
  0xf3404b6fd3fff407, 0xf24e60b0de5796ad, 0xae2faedf923a6ffc, 0xb892c79e50b839b3, 0xea3e12fc4361222f,
  0x333c5dc6e5253397, 0xef51e719ee58cf0e, 0x14c79eb1c74fe0c9, 0x45bb2f88e32398b0, 0x8eb22ee39633c75e,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xfd0d44d7020272bb, 0x5a22bca6a12b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x545b49e4afdcd0cc, 0x0000000000034920,
};

// m16m1_swio12_dual_pr_ee_ce
static const uint64_t ur_m16m1_swio11_dual_pr_ee_ce[] = {
  0x711d6dddddd432db, 0x260fbab3af69ebf2, 0x7eafba9f65a9a73b, 0x58371cef7187c807, 0x83395c6c9f919c47,
  0xc8e08ab078667536, 0x20f9f4c13e326275, 0xf49109d29190485d, 0x25c40c2860d59e2c, 0x9b107e655bb9dd3e,
  0xea3868d869a383fc, 0x4508e489fc1d8fcd, 0xc3e144312bfcfdf0, 0xabbbddf373a9c00d, 0x74542196814b4432,
  0xdbfebffd01cf09be, 0x2c3795e5ab7cd012, 0x50e48e9aff3c9398, 0xca170734d1dff546, 0x139dc6e292737ff3,
  0x2b60b29dacac8866, 0xbd47c1b307d47a8f, 0xb34eb422814c56a7, 0xea426be8c2cb1148, 0x7d1cbe39d5db8e18,
  0x8d578d8ebdac4edb, 0x3170908a014463e5, 0x8c722991c37b2e3e, 0xad67f157ceee2a4b, 0xba138e793fb5e5ca,
  0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0x612e65f36d8c4c76, 0x83bb8d163ce1b8f3, 0x33d30ae4fdd599bf, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x000000002609d274,
};

// m16m1_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16m1_swio11_dual_pr_ee_ce_u4[] = {
  0xbddddda2b6ee022f, 0xd5bc7b90efccfb4f, 0x5a16b9c9c926307d, 0xd5efeafee3bb3759, 0x5e8ef3ed3ed5f517,
  0x8b60012c8a3119cc, 0x24055cbfb47c7af9, 0x090ba452374c13e3, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a,
  0x396a666ffe65a5bf, 0xe9bd47ec1d85e19c, 0xbe08a11c913f8343, 0x01b87c2886257f9f, 0x0caaeef77cdcb24c,
  0x6d37150865a07051, 0x04b6ece5ff4073c2, 0xe60b0de5796adf34, 0x8c9d491bc3ffc31f, 0xe7942f3bbc3b8bea,
  0xbf10d8488bee24b1, 0x8dc1545927fa8f84, 0xa53b5b9b9ba678bb, 0x06cc1edff51e572b, 0xd08a05315efbf51f,
  0xafa30b2c4522cd3a, 0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33, 0x48451a523886c6ab, 0x8991c37b2fa598b8,
  0x5494b3c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe86a26b81013,
  0x3daad115e535095c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x98edec55516920a7, 0xc1e6c25ccbe6db18,
  0x3f6ec68b1be2e4d5, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x90fcf257ee686658, 0x00000001001acb5b,
};

// m16m1_swio12_dual_ee_hw
static const uint64_t ur_m16m1_swio11_dual_ee_hw[] = {
  0xecb777743d686f97, 0x1f756b1f932fc69c, 0x13ba930eb589c9cc, 0x5c14155c42c55fb9, 0xf89bad0ca16d39d9,
  0xb06e4f04675aa740, 0x85d20c7ae609f192, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x63f30cdfe655bb9d,
  0xd37a8e96b60168e0, 0xbe08a11c913f831a, 0x01b87c2886257f9f, 0x8655777bbe6e3aa0, 0x318f8a8432d028a8,
  0x012dbbfcffa039e1, 0x3982c3795e5ab7cd, 0xad1fee92216bfc49, 0x0c3dfa8f2bb75355, 0x0ef8af4dfa8f8366,
  0x85962291669d6845, 0x60ab8a973484d7d1, 0x5d8c7a33d4e75697, 0x1c436355ae875ea2, 0x97d2cc5c24228d29,
  0xa22aa3608fd6e1bd, 0xe2af9ddc549402c8, 0x1cf27f6bcb955acf, 0xaece75152a8d7427, 0x26b8101395daa5be,
  0xe535095cbd2fe86a, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36d8c62adec55,
  0x3f52f571b8f3612e, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x5768e7d453c95fb9,
};

// m16m1_swio12_dual_ee_ce_hw
static const uint64_t ur_m16m1_swio11_dual_ee_ce_hw[] = {
  0x76cadddddd431f02, 0x60fbab3af9b4bf0e, 0xe2f777efaed0500a, 0x9d946a1f9683ddea, 0x1fd086c9f9139db2,
  0x25188b37a614fabf, 0x04f27304f8c98177, 0x49109d29190485d2, 0x5c40c2860d59e2cf, 0x21f7e655bb9dd3e2,
  0x8eff361880e0d773, 0xa11c913f830d137a, 0x7c2886257f9fbe08, 0xeef77cdce1fc01b8, 0x150865a181110caa,
  0xf30dff4073c262eb, 0x0de5796adf3404b6, 0x5a48e20ff124e60b, 0xa17073101dff5479, 0x39dc6e654341ff3c,
  0xb95d29dacac9ba61, 0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916, 0xd19ea73abb73051d,
  0x355e363af512ec63, 0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155, 0xfb5e5caad67f157c,
  0xa8a9546ba138e793, 0x809caed52df57673, 0x4ae5e97f435135c0, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0xf61b8f3612e65f36, 0x6592e19e985727e7, 0x866587494b67c09c,
  0x134c92514f257ee6, 0x0000000000000001,
};

// m16m1_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio11_dual_ee_ce_u4_hw[] = {
  0xfbddddda28d1ac4f, 0xdd5bc7b90efccfb4, 0x9ba16b9c9c926307, 0xa8beaf7f57f71bdd, 0xce62f4779f69f6af,
  0x55c7ed06a9645188, 0x4c13e324055ca69d, 0x3a5232090ba45237, 0x850c1ab3c59e9221, 0xccbb093ba7c4b881,
  0xb0bc33872d4ccdff, 0x27f0687d37a8fd83, 0xc4aff3f7c1142392, 0x9b964980370f8510, 0xb40e0a21955ddeef,
  0xe80e784da6e2a10c, 0x2d5be68096dd9cbf, 0x0ffceadcc161bcaf, 0xf0ee2faa3275246f, 0xfb892c79e37c3072,
  0xfea3e12fc4361222, 0xe99e2ee3702c8cf5, 0x4795cae94ed6e6e6, 0xbefd47c1b307b7fd, 0x48b34eb422814c57,
  0x28ea426be8c2cb11, 0x631e8cf539d5db98, 0x21b1aaf1b1d7a897, 0xe9662e121146948e, 0x8aa8d8226470decb,
  0xabe77715252cf228, 0x3c9fdaf2e556b3f8, 0xb39d454aa35d09c7, 0xae0404e576a96fab, 0x4d42572f4bfa1a89,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x003aea346e0be9e4,
};

/*
 * m16m1_swio13_noled_pr             m32c1_swio13_noled                m32c1_swio13_noled_pr
 * m32m1_swio13_noled                m32m1_swio13_noled_pr
 */
static const uint64_t ur_m16m1_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4923dd7fbf3acfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0xa1a89ace576a96fa, 0x115e5350956af7af,
  0x8629bd677973daad, 0xbc5021696bfc46a7, 0x36d38c6f19d1023c, 0xd163ce1bb612e65f, 0xb93f75663c81a3f8,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x000f9024800ca792,
};

// m32c1_swio13_noled_pr_u4          m32m1_swio13_noled_pr_u4
static const uint64_t ur_m16m1_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x4caffa14cfbf9304, 0x7a8f2f8ef9683f24, 0xd1ef4a8e3a7f07d0, 0x428f7b398b016594,
  0x03ff6608ebd1f3b4, 0xb703cb3db1149a54, 0x1cf27f6bcb955abe, 0xbece75152a8d7427, 0xa89ace576a96faa9,
  0x5e5350956af7afa1, 0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x25ccbe6d8c9156f6,
  0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00001f27acb5aab2,
};

/*
 * m16m1_swio13_noled_pr_ee_u4       m32c1_swio13_noled_pr_ee          m32c1_swio13_noled_pr_ee_u4
 * m32m1_swio13_noled_pr_ee          m32m1_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xb7fd0a67c9d4c13e, 0x297355ad1bf92462, 0x8f83660c27fa8f2b, 0x9d68450ef8aca1fa,
  0x84d7d18596229166, 0x39d5a5d2b2e35934, 0xd0ebce9bb7508f24, 0x08a3e44707ec6ab5, 0xfadc37b2d9731709,
  0x5a805d260b546c11, 0x74271cf27f6bcb95, 0xfaa9bece75152a8d, 0xafa1a89ace576a96, 0xad115e5350956af7,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0x1e6c25ccbe6d8c91, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xaab2792bf734332c, 0x00000000004eb967,
};

// m16m1_swio13_noled_pr_ce_u4
static const uint64_t ur_m16m1_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x32bbfe8533fb3a60, 0x2a77beee2faedf92, 0xb09117dc4963cf19, 0xe4492bf51f097e21,
  0xcb19fac99e2ee372, 0xe9fc193dea3cdd3d, 0x7b398b014ca9c638, 0x6678ebd1f3b4428f, 0xf2d6e1149a5403ff,
  0x9fdaf2e556afadc0, 0x9d454aa35d09c73c, 0xb395daa5beaa6fb3, 0xd4255abdebe86a26, 0xe2d75cf6ab445794,
  0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x5f36c6431dbd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x06ebc7d7d5593c95,
};

static const uint64_t ur_m16m1_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0x3fe8533fa6a609f1, 0xf877fd5194b923ff, 0xca8683fe78c953bf, 0xb5958f7cc273b8dc,
  0x60cf5f51e5670e53, 0x50298acbafa8f836, 0x185962291669d684, 0x3abb72561d484d7d, 0x1d79d376ea11e487,
  0x28f911c1fb1aaf1b, 0x470decb65cc5c242, 0x52cfa4c16a8d8226, 0x84e39e4fed7972ab, 0x5537d9cea2a551ae,
  0xf4351359caed52df, 0xa22bca6a12ad5ef5, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6,
  0x1b09732f9b63218e, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970, 0xb2792bf734332c3a,
  0x0000000534ce7daa,
};

static const uint64_t ur_m16m1_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffa7abe7f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59caed52df5537d9, 0x6a12ad5ef5f43513, 0xf16bae7b55a22bca, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000027e7d9e8b69,
};

// m32c1_swio13_noled_ee_hw          m32m1_swio13_noled_ee_hw
static const uint64_t ur_m16m1_swio13_noled_ee_hw[] = {
  0xc5eeeeeed121b768, 0xdab96963d4e85d63, 0x4f4d2ee8db623e24, 0x2de4531d7c33c5ef, 0x1545a0ab4114889e,
  0x04f8c9dd764afb67, 0x462b7fb0ff9f2753, 0xf2b297355ad1bf92, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0xa8d74271cf27f6bc, 0xa96faa9bece75152, 0xaf7afa1a89ace576, 0x3daad115e5350956,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0xc9156f62aa8b4b68, 0x6371e6c25ccbe6d8, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xb7f33168a792bf73,
  0x0000000000000000,
};

// m16m1_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d672bb54b7d54df, 0x29a84ab57bd7d0d4, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001405f67a8a,
};

// m32c1_swio13_lednop               m32m1_swio13_lednop
static const uint64_t ur_m16m1_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd24918f7fefceb3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8, 0x35c0809caed52df5, 0x94d42572497f4351,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0x674409cfa2810b4d, 0xd84b997cdb4e31bc, 0x867a615c9f9fd86e,
  0xd252d964a271964b, 0x0653c95fb9a19961, 0x00000000005496e0,
};

/*
 * m16m1_swio13_lednop_pr_u4         m32c1_swio13_lednop_pr            m32c1_swio13_lednop_pr_u4
 * m32m1_swio13_lednop_pr            m32m1_swio13_lednop_pr_u4
 */
static const uint64_t ur_m16m1_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x4c7ffd0a67ea54c1, 0x3d47d28ef9683f24, 0xd01827c71d3f83e8, 0xf88e32398b016594,
  0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x73c9fdaf2e556b70, 0xfb39d454aa35d09c, 0x8101395daa5beaa6,
  0xa84ae492fe86a26b, 0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6815156f62aa8b,
  0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xc9ab82eaac9e4afd, 0x0000000000000007,
};

// m32c1_swio13_lednop_pr_ee         m32m1_swio13_lednop_pr_ee
static const uint64_t ur_m16m1_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x0ffd0a67e87e609f, 0x53d355ad1bf9244e, 0x8f83660c27fa8f2b, 0x9d68450ef8af027a,
  0x84d7d18596229166, 0x39d5a5e43ae35934, 0xd0ebce9bb7748c14, 0x08a26e47916c6ab5, 0xfadc37b2d9731709,
  0xad4021149a546c11, 0xba138e793fb5e5ca, 0x7d54df673a8a9546, 0xd44d7020272bb54b, 0x15e535095c925fd0,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36d02a2adec, 0x2ce9f1726ae0f361,
  0x3f53ab31e40fca1a, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xebc0ad5593c95fb9, 0x0000000000000004,
};

// m32c1_swio13_lednop_pr_ee_u4      m32m1_swio13_lednop_pr_ee_u4
static const uint64_t ur_m16m1_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xeffa14cf9c19827c, 0x5d66ab5a332a48ec, 0x8f83660d00f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x73ab4bb935c51334, 0x0ebd753763d51fc8, 0x45110a3deec6ab5d, 0x5b86f65c3918b848,
  0xfed7972ab55c08bf, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x72497f435135c080, 0x5cf6ab445794d425,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x6835564f257ee686, 0x0000000000004eba,
};

// m16m1_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16m1_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x23a6ffe8533e35a6, 0x92a77b3ae2faedf9, 0x1b09117dc4963cf1, 0x339747ff51f097e2,
  0xb9633f5933c5dc6e, 0x1d3f8327bd479c67, 0x8c8e62c0531e7ac7, 0xd99e3af47cecbe23, 0xf2d6e1bf70d500ff,
  0x9fdaf2e556b70e40, 0x9d454aa35d09c73c, 0x1395daa5beaa6fb3, 0xae492fe86a26b810, 0xeb9ed5688af29a84,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x22fd5593c95fb9a1, 0x000000000000375d,
};

static const uint64_t ur_m16m1_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xffe8533f6b7304f8, 0x6ceffaa329724536, 0x4939bff9e3254ed3, 0xd6563df309cee371,
  0x833d7d479594394e, 0x40a62b60bea3e0d9, 0x616588a459a75a11, 0xeaedd21c752135f4, 0x75e74ddbba460a1c,
  0xa26e47916c6abc6c, 0x1c37b2d973170908, 0xa5988a4d2a360899, 0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d,
  0x26b8101395daa5be, 0xf29a84ae492fe86a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x65f36d028c76f62a, 0x8b1e71726ae3612e, 0x727eeacc7903f286, 0x9289c6592e19e985, 0x7ee6866587494b65,
  0x014d317ef5564f25,
};

static const uint64_t ur_m16m1_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff4f57cf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e576a96faa9bec, 0x2b924bfa1a89ae04, 0xbae7b55a22bca6a1, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x13f07abc5b49e4af,
};

// m32c1_swio13_lednop_ee_hw         m32m1_swio13_lednop_ee_hw
static const uint64_t ur_m16m1_swio13_lednop_ee_hw[] = {
  0xc5eeeeeed121b705, 0x6d5cb4b1ea610563, 0xe15a62774b88cf12, 0x78b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x922707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xdaa5beaa6fb39d45, 0x2fe86a26b8101395, 0xd5688af29a84ae49,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b68151, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xcd3a29e4afdcd0cc,
  0x0000000000002dff,
};

// m16m1_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0x9a84ae492fe86a26, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a021eaf453c9,
};

// m16m1_swio13_dual_pr              m16m1_swio13_dual_pr_u4
static const uint64_t ur_m16m1_swio13_dual[] = {
  0xc7bbbbbb4486c541, 0x6c1f756e3e9cafc5, 0xb62fbb707a70d386, 0x45067e47652be295, 0x18b3e2d402b7571b,
  0x9242e5608fe1aaf5, 0x0485d20001304f8c, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x383939be77e655bb,
  0xe3dcdea3afbd8145, 0xe7ef822847244fe0, 0xa4006e1f0a21895f, 0xf888655777bbe6e0, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xcf24e60b0de5796a, 0xdf3be59ef923fbbf, 0xdc71d3f8383fea3e, 0x2731602a83cc95a3,
  0x823af00676d291c4, 0xcf6d318c9500ffd9, 0xbe7771525c0940f2, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0x01395daa5beaa6fb, 0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6815156f62aa8b49, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0a4990728b693c95,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ee[] = {
  0x586ddddddd435032, 0x9cc1f756b1e8437e, 0x7ad3dba7395f589c, 0xd95c13b55de9afbf, 0xc2f0fae70ca17619,
  0x6e557b68ff5efbb1, 0xd221e4e609f192b0, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0xf30cdfe655bb9dd3,
  0x7a8e96b60168e063, 0x08a11c913f831ad3, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0x8f8a8432d028a886,
  0x5b7b5bffa039e131, 0x0586f2bcb56f9a02, 0xb93923d3ffe79273, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0x01395daa5beaa6fb,
  0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6815156f62aa8b49,
  0xe70dc79b09732f9b, 0xeeaccdfc1ddc68b1, 0x9c6592e19e985727, 0xe6866587494b67c0, 0x90a22fa2da4f257e,
  0x0000000000000001,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x07dd5ac7a10df961, 0x47e69ce57d627273, 0x276abbd35f7eda7b, 0xf5ce1942ec33b2b8,
  0xbfadd5ec3ebb85e1, 0x7304f8c958372faf, 0x4e948c8242e910f2, 0x614306acf167a488, 0x99696fcee9f12e20,
  0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb40a2a21955ddee,
  0xfe80e784c63e2a10, 0xf2d5be68096ded6f, 0x3fff863fcc161bca, 0xd37355ad1b93923d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a,
  0xe86a26b8101395da, 0x688af29a84ae492f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6815156, 0xb1a2c6f8b9357079, 0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000564f627ee43f,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ce[] = {
  0xeddddddec121a5fb, 0xb07dd5aa1f777e14, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0x9932bbf7ef74a733,
  0xe9dca591aeb36855, 0x42e91dc7cc13e327, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0xeaf9a87ff32addce,
  0xa9bd478e5b038270, 0xdf04508e489fc1db, 0x00dc3e144312bfcf, 0x432abbbddf370c02, 0x4ddd4542196818f4,
  0x404b6e1a3fe80e78, 0x4e60b0de5796adf3, 0x2fac069224ebfcf2, 0x258f3ca17073abee, 0x7c25f886c2445f71,
  0x78bb8dceb3643fd4, 0xa3c893dcb19f52e6, 0xee32a38e9fc188be, 0x76d291c42731602f, 0x9500ffd99e3af006,
  0x9702503cb5b9318c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xa1a89ae0404e576a,
  0xa22bca6a12b924bf, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb40a31db,
  0x3bb8d165abc6e3cd, 0x861539fa9d599bf8, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x247adc5b49e4afdc, 0x000000000000000d,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ce_u4[] = {
  0x589dddddda2432db, 0x82c1f756a8762f7e, 0x5a9afbad89d94bb5, 0x8989c624dd69624e, 0xf8ce947ee7157eed,
  0xf193646e47045580, 0x464121748b24e609, 0x835678b3d244274a, 0x6ee774f8971030a1, 0xa6ce115a61adf995,
  0xf8353d37a8fbef61, 0x57f9fbe08a11c913, 0x7292801b87c28862, 0x43ba4432abbbddf3, 0x4073c26d2a2a10cb,
  0x6adf3404b6fbb5ff, 0x7fcf24e60b0de579, 0xcc09717d4ca92270, 0x117dc4963cf285c1, 0xe47f51f097e21b09,
  0x787199e2ee3712a2, 0x064d7a8f38cf72c6, 0x62c0532a6e8e3a7f, 0x3af22dd96ba38c8e, 0x2a4a3ab5b71cb19e,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd0d44d7020272b, 0xaad115e535095c92,
  0x29b1674079fad73d, 0x3042d3573abd4b0b, 0xa718de33a204e7c6, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x00d242ce2da4f257,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ee_ce[] = {
  0xcfb5bbbbbba86f97, 0x764c1f75675e3f2f, 0x7ef5ef76c5e3534e, 0x1d60dc9cad041f22, 0x097d7aefb27e47ed,
  0xae4f046752c8a756, 0xe9196d2609f19313, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe4d883f32addcee9,
  0x6f51c346c34d1c1f, 0x822847244fe0ec7e, 0x6e1f0a21895fe7ef, 0x2abbbddf371dbb00, 0xe74542196814b443,
  0x2dbf60ffd01cf09b, 0x82c3795e5ab7cd01, 0xd82c919dbff3c939, 0xf285c1c9db3bfea8, 0x09cee370112601fc,
  0x95a9e94ed6564433, 0x3d47c1b30613fd47, 0xb34eb422814c5781, 0xea426be8c2cb1148, 0x948e7139d5db8ba8,
  0x6355e363af6b13b1, 0x3170908a25f235af, 0xc623e191c37b2e3e, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5,
  0xbeaa6fb39d454aa3, 0x6a26b8101395daa5, 0x8af29a84ae492fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2e65f36d028c76f6, 0xbb8d163ce1b8f361, 0xd30ae4fdd599bf83, 0x296cf8138cb25c33,
  0x49e4afdcd0ccb0e9, 0x00000002609ce45b,
};

static const uint64_t ur_m16m1_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x3eeade3dfc37e157, 0xb4d4d7aaf4e49318, 0xb5c5f5eed07595b5, 0x8bd1d957a7dabe75,
  0xa473341c10f0efaf, 0x9202ae5571f60006, 0x12174879e4e609f1, 0x678b3d244274a464, 0x774f8971030a1835,
  0x72d4ccdffccb4b7e, 0xd37a8fd83b0bc338, 0x7c114239227f0687, 0x0370f8510c4aff3f, 0x1955ddeef9b9dc78,
  0xda6e2a10cb40e0a2, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x3eaf92330dff863f, 0x9e50bcee61ae2faa,
  0xfc4361222fb892c7, 0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c,
  0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170,
  0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x6a96faa9bece7515, 0xbfa1a89ae0404e57,
  0x55a22bca6a12b924, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb40a31,
  0xdd8d1637c5c9ab83, 0x2a73f53ab337f07e, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x0000020027e0b721,
};

static const uint64_t ur_m16m1_swio13_dual_ee_hw[] = {
  0x36eeeee87ad0cf68, 0x60fbab58f421bf2c, 0x69edd39cafac4e4e, 0xae09daaef4d7dfbd, 0x787d738650bb0cec,
  0x0dc9a3ea75add8e1, 0xba443c9cc13e3256, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0x7e619bfccab773ba,
  0x6f51d2d6c02d1c0c, 0xc114239227f0635a, 0x370f8510c4aff3f7, 0xcaaeef77cdc00000, 0x31f150865a051510,
  0x4b6f6b7ff4073c26, 0x60b0de5796adf340, 0x8dc9c91e9fff124e, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809caed52df5537,
  0x42572497f435135c, 0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0xbd5c6e3cd84b997c, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x45f514f257ee6866, 0x00000000000015da,
};

static const uint64_t ur_m16m1_swio13_dual_ee_ce_hw[] = {
  0x272ddddddd43359b, 0x14c1f75675f6097e, 0xdbc9ee8eba7da0a0, 0x94ec99f0ce644d71, 0xbccd93764fc8a72d,
  0x7721e198535aebd7, 0xd21e20f304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e655bb9dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0xaaeef77cdc67ac01, 0xeb150865a181110c,
  0xb6fcb5ff4073c262, 0x0b0de5796adf3404, 0xe57491adfff124e6, 0xf285c1cadf3bfea8, 0x84e771b9d1f524fc,
  0xcaf7dca76b2b26e9, 0xaf51f06cc1995ea3, 0x2cd3ad08a05315db, 0x3a909afa30b2c452, 0xfe23ea0e7576e53c,
  0x96355e363af512ec, 0x2cc5c242283d51fc, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde, 0xc9fdaf2e556b3f8a,
  0x39d454aa35d09c73, 0x01395daa5beaa6fb, 0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xf61b8f3612e65f36, 0x6592e19e985727e7, 0x866587494b67c09c,
  0x89a601514f257ee6,
};

static const uint64_t ur_m16m1_swio13_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d172df, 0x07dd5bc7bf86fc2a, 0x95ba9af55e9c9263, 0xe75b5c5f5eed0775, 0xfaf8bd1d957a7dab,
  0x541ab432d1c10f0e, 0x7304f8c901572dad, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221, 0xccbb093ba7c4b881,
  0xb0bc33872d4ccdff, 0x27f0687d37a8fd83, 0xc4aff3f7c1142392, 0x9b9dc780370f8510, 0xb40e0a21955ddeef,
  0xe80e784da6e2a10c, 0x2d5be68096df2a3f, 0x1bfceadcc161bcaf, 0xc35c5f547d5f2466, 0xf71258f3c6f860e4,
  0xfd47c25f886c2445, 0xa678bb8dce1fe3ee, 0x1e57bee53b5b9b9b, 0xdd7a8f83660ccaf5, 0x91669d68450298ae,
  0xe1d484d7d1859622, 0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb,
  0x55f3bb8a929663e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809caed52df5537, 0x42572497f435135c,
  0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x3aeac6680be9e4af,
};

/*
 * m16m1_swio14_noled_pr             m32c1_swio14_noled                m32c1_swio14_noled_pr
 * m32m1_swio14_noled                m32m1_swio14_noled_pr
 */
static const uint64_t ur_m16m1_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xd0491eebfdf9d67e, 0xe0ebffa8e989df2d, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0x5beace75152a8d74, 0xfa1a89ace9b95daa, 0xad115e535095b1fb,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d1023cbc5, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xf9024800ca792bf7,
};

// m32c1_swio14_noled_pr_u4          m32m1_swio14_noled_pr_u4
static const uint64_t ur_m16m1_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0x6fffd0a67cc7cc13, 0xea382877cb6f7247, 0x07b40238e9fc1935, 0x8a3114e62c059653,
  0x0ffd9823af47cec9, 0x4c0f2cf6ed627950, 0x73c9fdaf2e556a84, 0xab39d454aa35d09c, 0x6a26b3a6e576a96f,
  0x45794d4256c7efe8, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x84b997cdb610c55b,
  0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000003e4efaa3556,
};

/*
 * m16m1_swio14_noled_pr_ee_u4       m32c1_swio14_noled_pr_ee          m32c1_swio14_noled_pr_ee_u4
 * m32m1_swio14_noled_pr_ee          m32m1_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0xceffa14cf9c19827, 0xcbacd56b4663e48e, 0x51f06cc1f51ea3ca, 0xd3ad08a1df1594bf,
  0x909afa30b2c4522c, 0x873ab4bb935c6b26, 0xba1d79d3763d51fc, 0x908a22147bdd8d56, 0x1fadc37b2d973170,
  0xaad402e839e546c1, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x8fdfd0d44d674dca, 0x9ed5688af29a84ad,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4, 0x57079b09732f9b6c, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xd06aac9e4afdcd0c, 0x0000000000009d74,
};

// m16m1_swio14_noled_pr_ce_u4
static const uint64_t ur_m16m1_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x472b7fd0a67f4dcc, 0x92a772bae2faf752, 0x1b09117dc4963cf1, 0x190e92bf51f097e2,
  0xdcb19fac99e2ee37, 0x1d3f8359fea3af93, 0x229cc580bb7e5f47, 0xb33c75e8f9d93146, 0x796b75ac4f2a01ff,
  0x4fed7972ab542260, 0xcea2a551ae84e39e, 0x359d372bb54b7d59, 0xca6a12b63f7f4351, 0x79f16bae7b55a22b,
  0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x997cdb61098edec5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x001baef36f5564f2,
};

static const uint64_t ur_m16m1_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0x7ff4299f4db9827c, 0x3677fd5197592233, 0xce5d1ffcf192a763, 0x6b2b1ef984e771b8,
  0xc1e95ea3cae43ca7, 0xa053159c3f51f06c, 0x30b2c4522cd3ad08, 0x7576e7263a909afa, 0x3af3a6ec7aa3f90e,
  0x288851ef76355e36, 0x470decb65cc5c242, 0xa967d073ca8d8226, 0x4271cf27f6bcb955, 0xa5beace75152a8d7,
  0xbfa1a89ace9b95da, 0xaad115e535095b1f, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x5c6c25ccbe6db084, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25, 0xaac9e4afdcd0ccb0,
  0x00000000534d3ebe,
};

static const uint64_t ur_m16m1_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff4f57cf8a4982, 0xadfb8bea8f4dc91a, 0x17dc4963cf285c1c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0xf27f6bcb955a967d,
  0xce75152a8d74271c, 0x89ace9b95daa5bea, 0x5e535095b1fbfa1a, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xda4f257ee6866587, 0x000000009f86e422,
};

// m32c1_swio14_noled_ee_hw          m32m1_swio14_noled_ee_hw
static const uint64_t ur_m16m1_swio14_noled_ee_hw[] = {
  0x426eeeeed121be4a, 0x6d5cb4b1ea634eb1, 0x77a47f776dbaff12, 0x08f2299c7cfd833c, 0xbe081eb920452225,
  0x609f193ba528eb6a, 0x48eceff61ff3e706, 0x3cacbacd56b4663e, 0x4bf51f06cc1f51ea, 0x22cd3ad08a1df159,
  0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8, 0x6c11fadc37b2d973,
  0xe5caad402e839e54, 0x9546ba138e793fb5, 0xdcaed52df5673a8a, 0x4ad8fdfd0d44d674, 0xaeb9ed5688af29a8,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0xb6c218ab7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x002df7c93a29e4af,
};

// m16m1_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x6b7ffd87fcf8a498, 0x72b7ee2faa3d3724, 0x445f71258f3ca170, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0xd44d674dcaed52df, 0x8af29a84ad8fdfd0, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a023721,
};

// m32c1_swio14_lednop               m32m1_swio14_lednop
static const uint64_t ur_m16m1_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x74124644ff7e759f, 0xf83affea3af877cb, 0x16f74db7e5f471d3, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x135c0809d372bb54, 0xbca6a12b97d8f435,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6db18c55bd8a, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000549f580329,
};

/*
 * m16m1_swio14_lednop_pr_u4         m32c1_swio14_lednop_pr            m32c1_swio14_lednop_pr_u4
 * m32m1_swio14_lednop_pr            m32m1_swio14_lednop_pr_u4
 */
static const uint64_t ur_m16m1_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xf7ff4299f5f7304f, 0xa8e801df2dbdc918, 0x7f3a88e3a7f064d7, 0x88c6f9cc580b2ca6,
  0x3ff6608ebd1f3b64, 0xa07967b707fa4540, 0x9e4fed7972ab5976, 0x59cea2a551ae84e3, 0xc0809d372bb54b7d,
  0x6a12b97d8f435135, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6db18c55bd8aaa2,
  0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xf261017aab2792bf, 0x0000000000000001,
};

// m32c1_swio14_lednop_pr_ee         m32m1_swio14_lednop_pr_ee
static const uint64_t ur_m16m1_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0xdff4299f4b5304f8, 0x059aad68cc7c911a, 0x3e0d983ea3d4795b, 0x75a1143be2b53dea,
  0x135f4616588a459a, 0xe7569774ab8d64d2, 0x43af3a6ed22239b8, 0x1142f88e32b1aad7, 0xf5b86f65b2e62e12,
  0x5a8056b13ca8d823, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0x1a89ae0404e9b95d, 0x115e535095cbec7a,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d8c62ade, 0xa2ce9f1726ae0f36,
  0x73f53ab31e40fca1, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x9d7e9ed5593c95fb,
};

// m32c1_swio14_lednop_pr_ee_u4      m32m1_swio14_lednop_pr_ee_u4
static const uint64_t ur_m16m1_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0x37ff4299f1ad304f, 0x9c39aad68f6fc91d, 0xa3e0d9839c7d4795, 0xa75a1143be2b2ebe,
  0x2135f4616588a459, 0x9cead2ffb97144cd, 0x43af5d4ddb4a4710, 0x1142628c45b1aad7, 0xd6e1bd970e462e12,
  0x3fb5e5caad5716b7, 0x3a8a9546ba138e79, 0x0274dcaed52df567, 0x4ae5f63d0d44d702, 0xaeb9ed5688af29a8,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6c63156f62aa8b49, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xe917eaac9e4afdcd, 0x000000000000013a,
};

// m16m1_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16m1_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x8dbaffa14cfc7298, 0x254ef4ddc5f5eea4, 0x361222fb892c79e3, 0x1256547ea3e12fc4,
  0xb9633f5933c5dc6e, 0x74fe0d67fa8f2fa7, 0xdf398b0163de951c, 0xccf1d7a3e76c9118, 0xcb5ba0ff48a807fe,
  0x7f6bcb955acbb503, 0x75152a8d74271cf2, 0x04e9b95daa5beace, 0x95cbec7a1a89ae04, 0x5d73daad115e5350,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xb1898edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd595aab2792bf734, 0x00000000000006eb,
};

static const uint64_t ur_m16m1_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0xa3fe8533eff2609f, 0x0d077fd519759221, 0x8d07044fe78c953b, 0x76b2b1ef984e771b,
  0xcc1e95ea3caca5ca, 0x8a05315943f51f06, 0xa30b2c4522cd3ad0, 0xe7576e74a3a909af, 0x63af3a6ed22239b8,
  0x2285f11c656355e3, 0x6470decb65cc5c24, 0x5a9676b13ca8d822, 0x74271cf27f6bcb95, 0xaa5beace75152a8d,
  0x1a89ae0404e9b95d, 0x115e535095cbec7a, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6db1898ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x000029a763feaac9,
};

static const uint64_t ur_m16m1_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfd3d5f3fd83304, 0x0fae2faa3d372450, 0x5f71258f3ca17071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x93fb5e5caad4b3b5,
  0x73a8a9546ba138e7, 0x20274dcaed52df56, 0x84ae5f63d0d44d70, 0x5aeb9ed5688af29a, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x004fccb4b16d2792,
};

// m32c1_swio14_lednop_ee_hw         m32m1_swio14_lednop_ee_hw
static const uint64_t ur_m16m1_swio14_lednop_ee_hw[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea7416b1, 0x9bdfa7bb007a5f12, 0x847914ce3e34cfda, 0xca68b51590229112,
  0x609f193bad3bed6e, 0x488d6ff61ff3e96a, 0x3cad82cd56b4663e, 0x9ef51f06cc1f51ea, 0x22cd3ad08a1df15a,
  0xb26909afa30b2c45, 0x1cdc73ab4bba55c6, 0xd56ba1d79d376911, 0x170908a17c471958, 0x6c11fadc37b2d973,
  0xe5caad402b589e54, 0x9546ba138e793fb5, 0xdcaed52df5673a8a, 0xf63d0d44d7020274, 0xed5688af29a84ae5,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6c63, 0xde50c2a73f505d8d,
  0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x8056a29e4afdcd0c,
  0x000000000000016f,
};

// m16m1_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x50fbfd87fcff60cc, 0x710fae2faa3d3724, 0x445f71258f3ca170, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x7020274dcaed52df, 0x9a84ae5f63d0d44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

// m16m1_swio14_dual_pr              m16m1_swio14_dual_pr_u4
static const uint64_t ur_m16m1_swio14_dual[] = {
  0xc23fbbbbbb4486f9, 0x866c1f756e3e73af, 0x9da9f7bb06d608d3, 0xfb450674cfed1d62, 0xe7f0c6a08761b748,
  0xc64921729b4721dc, 0x8c8242e90ea89827, 0x06acf167a4884e94, 0xddcee9f12e206143, 0xa29c1c9cdf3bf32a,
  0xf071ee6f51d7dec0, 0xaff3f7c114239227, 0xe21f00370f8510c4, 0x80f888655777bbe6, 0x80e784dbdc542196,
  0x6adf3404b6ec17fe, 0x7fcf24e60b0de579, 0x3f7477cb2d792251, 0x61ee38e9fc1ef7ea, 0xd31398b01541e672,
  0xecc11d78033b2008, 0xf2cf6def1bea807f, 0x157ceee2a4af9d40, 0xe793fb5e5caad67f, 0x5673a8a9546ba138,
  0x7020274dcaed52df, 0x9a84ae5f63d0d44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b6c63156f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000a49ad3e8b693,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ee[] = {
  0xf5b7777775050c86, 0x3983eead63f265f8, 0xf722775261d6b139, 0x3b2b8282ab8858ab, 0x141f1375a1942deb,
  0x58372eec6ecfabf3, 0x42e9063d7304f8c9, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0x31f9866ff32addce,
  0x69bd474b5b00b470, 0xdf04508e489fc18d, 0x00dc3e144312bfcf, 0x432abbbddf371d50, 0x98c7c54219681454,
  0x8096ddfe7fd01cf0, 0x9cc161bcaf2d5be6, 0x5a3fdd2442d7f9e4, 0x187bf51e576ea6ab, 0x1df15e9bf51f06cc,
  0x0b2c4522cd3ad08a, 0xc157152e6909afa3, 0xbb18f467a9cead2e, 0x3886c6ab5d0ebd44, 0x2fa598b848451a52,
  0x445546c11fadc37b, 0xc55f3bb8a9280591, 0x39e4fed7972ab59f, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7,
  0xa6a12b97d8f43513, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xbe6db18c55bd8aaa,
  0x8b2d5e371e6c25cc, 0xcfd4eaccdfc1ddc6, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xa2da4f257ee68665, 0x00000000002b21cf,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0x83eead63f265f8f5, 0x5a7b5261d6b13939, 0x8282ab8858abf227, 0x1375a1942deb3b2b,
  0x1a912bcaf7fd6c1f, 0x31eb9827c64ac1b9, 0x244274a464121748, 0x71030a1835678b3d, 0x9bfccb4b7e774f89,
  0xd2d6c02d1c0c7e61, 0x239227f0635a6f51, 0x8510c4aff3f7c114, 0xef77cdc75400370f, 0x50865a051510caae,
  0x7f9ff4073c2631f1, 0x6f2bcb56f9a025b7, 0x2442d7fe18ff3058, 0x1e576ea6ab5a3fdd, 0x9bf51f06cc187bf5,
  0x22cd3ad08a1df15e, 0x2e6909afa30b2c45, 0x67a9cead2ec15715, 0xab5d0ebd44bb18f4, 0xb848451a523886c6,
  0xc11fadc37b2fa598, 0xb8a9280591445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea,
  0x97d8f435135c0809, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414,
  0x5c1e6c25ccbe6db1, 0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xb90fcf257ee68665, 0x000000000ac965bf,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ce[] = {
  0x376eeeee87ad0c86, 0xb60fbab5434d7bf0, 0xdc3edd3ac02919c1, 0x99f4e7ac806e7162, 0xc5d9bae255fba1b9,
  0x7e9dcbbb1bb2fafc, 0x242e91649cc13e32, 0xcf167a4884e948c8, 0xee9f12e20614306a, 0x0eaf9a87ff32addc,
  0xba9bd478e5b03827, 0xfdf04508e489fc1d, 0xe00dc3e144312bfc, 0x4432abbbddf3739b, 0x84ddd4542196818f,
  0x68096df76bfe80e7, 0x49cc161bcaf2d5be, 0xe2fabf9244e0ff9e, 0x892c79e50b8384ea, 0xa3e12fc4361222fb,
  0x33c5dc6e5253397e, 0xea384f9ee58cfa97, 0x28bb7e38e9fc1dad, 0xcec80234c4e62c05, 0xfaa01ffb33c75e00,
  0x4af9d40f2d6e7bc6, 0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0x3d0d44d7020274dc,
  0x5688af29a84ae5f6, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7,
  0xe0eee3459d3e1b8f, 0xca1854e7ea75666f, 0xf327f8b9c65f989f, 0xc2b93f1cf7ff04d0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000d2440916d2,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ce_u4[] = {
  0x993b777776890c86, 0x60b07dd5aa1d57df, 0x96d77ee80a2952ed, 0x44e3121b9d6f7ed3, 0x798a1640258b7727,
  0x326c8dcbbb1bb2d0, 0xc8242e90f00cc13e, 0x6acf167a4884e948, 0xdcee9f12e2061430, 0xd9c22b4c35bf32ad,
  0x06a7a6f51f7dec34, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x77488655777bbe6e, 0x0e784da545421968,
  0x5be68096dfa7ffe8, 0xf9e49cc161bcaf2d, 0x675c5f5dbf2474df, 0x5f71258f3ca17073, 0x2fd47c25f886c244,
  0x1c6678bb8dca4a67, 0x93dea3ce33dcb19e, 0x60298f3d638e9fc1, 0xbc8b765f11c64731, 0x251d645dc72c678e,
  0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x1e86a26b81013a6e, 0xab445794d42572fb,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b09732f9b6c6263, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x0a8b693c95fb9a19, 0x0000000000006924,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ee_ce[] = {
  0xe2beddddddd432db, 0x764c1f75675ed3d7, 0x0efd5f753ecb534e, 0x8eb06e39dee30f90, 0x6d0672b8d93f22af,
  0xeb91c11560f0ccea, 0xba41f3e9827c64c4, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0xf93620fccab773ba,
  0x9bd470d1b0d34707, 0xe08a11c913f83b1f, 0x1b87c2886257f9fb, 0x655777bbe6e75380, 0x7ce8a8432d029688,
  0x25b7fd7ffa039e13, 0x30586f2bcb56f9a0, 0x8ca1c91d35fe7927, 0xe7942e0e69a3bfea, 0xcc273b8dc524e6ff,
  0x1e56c1653b595910, 0x4f7a8f83660fa8f5, 0x91669d68450298ad, 0x31d484d7d1859622, 0xb6fa397c73abb71c,
  0xcb1aaf1b1d7b589d, 0x7c62e121140288c7, 0x9718e4532386f65c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb,
  0x5daa5beace75152a, 0x7a1a89ae0404e9b9, 0xad115e535095cbec, 0x5f3a03c72b5d73da, 0xe33a20421520b94b,
  0xdec55516920a718d, 0x6c25ccbe6db1898e, 0xf07771a2c79c371e, 0x867a615c9fbab337, 0x1d252d9f0271964b,
  0x8b693c95fb9a1996, 0x0000000004c13a4e,
};

static const uint64_t ur_m16m1_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x7dd5bc7b90efcb17, 0x595a16b9c9c92630, 0x17d5efeafee3bb37, 0xcc5e8eec5d3ed5f5,
  0xf98b60012c8a3119, 0xe324055cbfb47c7a, 0x32090ba452374c13, 0x1ab3c59e92213a52, 0xbf3ba7c4b881850c,
  0x9c396a666ffe65a5, 0x43e9bd47ec1d85e1, 0x9fbe08a11c913f83, 0x4c01b87c2886257f, 0x510caaeef77cdcb2,
  0xc26d37150865a070, 0x3404b6ece5ff4073, 0x1fe60b0de5796adf, 0xea8c9d491bc3ffc3, 0xb1e7942f3bbc3b8b,
  0x84bf10d8488bee24, 0xbb8dc1545927fa8f, 0x2ba53b5b9b9ba678, 0x1f06cc1edff51e57, 0x3ad08a05315efbf5,
  0x09afa30b2c4522cd, 0x33d4e7576e60a3a9, 0xabc6c75ea25d8c7a, 0xb848451a523886c6, 0x608991c37b2fa598,
  0xdc5494b3c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0xcbec7a1a89ae0404,
  0x73daad115e535095, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0x5c1e6c25ccbe6db1,
  0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0xb90fcf257ee68665, 0x000000001001acb5,
};

static const uint64_t ur_m16m1_swio14_dual_ee_hw[] = {
  0x5b7777743d686f97, 0x983eead63f265f8f, 0x722775261d6b1393, 0xb2b8282ab8858abf, 0x81f1375a1942deb3,
  0x2560dc9e08ceb54e, 0x090ba418f5cc13e3, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0xc0c7e619bfccab77,
  0x35a6f51d2d6c02d1, 0x3f7c114239227f06, 0x400370f8510c4aff, 0x510caaeef77cdc75, 0xc2631f150865a051,
  0x9a025b77f9ff4073, 0x92730586f2bcb56f, 0xab5a3fdd2442d7f8, 0xcc187bf51e576ea6, 0x8a1df15e9bf51f06,
  0xa30b2c4522cd3ad0, 0x2ec157152e6909af, 0x44bb18f467a9cead, 0x523886c6ab5d0ebd, 0x7b2fa598b848451a,
  0x91445546c11fadc3, 0x9fc55f3bb8a92805, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x135c0809d372bb54,
  0xbca6a12b97d8f435, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6db18c55bd8a,
  0xe7ea5eae371e6c25, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0aed1cfa8a792bf7,
};

static const uint64_t ur_m16m1_swio14_dual_ee_ce_hw[] = {
  0x24cddddddd431f02, 0x14c1f75675f3697e, 0xd5c5eeefdf5da0a0, 0x653b28d43f2d07bb, 0x7e3fa10d93f22933,
  0xee4a31166f4c29f5, 0xa409e4e609f19302, 0x9e92213a5232090b, 0xc4b881850c1ab3c5, 0xe643efccab773ba7,
  0xf51dfe6c3101c1ae, 0x114239227f061a26, 0x70f8510c4aff3f7c, 0x55ddeef9b9c3f803, 0xd62a10cb43022219,
  0x6de61bfe80e784c5, 0x161bcaf2d5be6809, 0xf2b491c41fe249cc, 0x7942e0e6203bfea8, 0xc273b8dcca8683fe,
  0xe572ba53b5959374, 0xbf51f06cc1edff51, 0x2cd3ad08a05315ef, 0x3a909afa30b2c452, 0xc7a33d4e7576e60a,
  0x6c6abc6c75ea25d8, 0x598b848451a52388, 0xaa3608991c37b2fa, 0xf9ddc5494b3c8a22, 0x27f6bcb955acfe2a,
  0xe75152a8d74271cf, 0x404e9b95daa5beac, 0x095cbec7a1a89ae0, 0xb5d73daad115e535, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0xfec371e6c25ccbe6, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x2269924a29e4afdc,
};

static const uint64_t ur_m16m1_swio14_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d1ac4f, 0x07dd5bc7b90efcb1, 0xdd9ba16b9c9c9263, 0xafa8beaf7f57f71b, 0x88ce62f47762e9f6,
  0x9d55c7ed06a96451, 0x374c13e324055ca6, 0x213a5232090ba452, 0x81850c1ab3c59e92, 0xffccbb093ba7c4b8,
  0x83b0bc33872d4ccd, 0x9227f0687d37a8fd, 0x10c4aff3f7c11423, 0xef9b964980370f85, 0x0cb40e0a21955dde,
  0xbfe80e784da6e2a1, 0xaf2d5be68096dd9c, 0x6f0ffceadcc161bc, 0x72f0ee2faa327524, 0x22fb892c79e37c30,
  0xf5fea3e12fc43612, 0xe6e99e2ee3702c8c, 0xfd4795cae94ed6e6, 0x57befd47c1b307b7, 0x1148b34eb422814c,
  0x9828ea426be8c2cb, 0x97631e8cf539d5db, 0x8e21b1aaf1b1d7a8, 0xcbe9662e12114694, 0x288aa8d8226470de,
  0xf8abe77715252cf2, 0xc73c9fdaf2e556b3, 0xfab39d454aa35d09, 0x6b81013a6e576a96, 0x94d42572fb1e86a2,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0003aea346e0be9e,
};

/*
 * m16m1_swio15_noled_pr             m32c1_swio15_noled                m32c1_swio15_noled_pr
 * m32m1_swio15_noled                m32m1_swio15_noled_pr
 */
static const uint64_t ur_m16m1_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4923dd7fbf3acfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0xa1a89ace9b95daa5, 0x88af29a84ab57fbf,
  0xc314deb3bcb9ed56, 0x5e2810b4b5fe2353, 0x9b69c6378ce8811e, 0x68b1e70ddb09732f, 0x5c9fbab31e40d1fc,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0007c812400653c9,
};

// m32c1_swio15_noled_pr_u4          m32m1_swio15_noled_pr_u4
static const uint64_t ur_m16m1_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x4caffa14cfbf9304, 0x7a8f2f8ef9683f24, 0xd1ef4a8e3a7f07d0, 0x428f7b398b016594,
  0x03ff6608ebd1f3b4, 0xb703cb3db1149a54, 0x1cf27f6bcb955abe, 0xaece75152a8d7427, 0xa89ace9b95daa5be,
  0xaf29a84ab57fbfa1, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x12e65f36c648ab7b,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000f93d65ad559,
};

/*
 * m16m1_swio15_noled_pr_ee_u4       m32c1_swio15_noled_pr_ee          m32c1_swio15_noled_pr_ee_u4
 * m32m1_swio15_noled_pr_ee          m32m1_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m16m1_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xb7fd0a67c9d4c13e, 0x297355ad1bf92462, 0x8f83660c27fa8f2b, 0x9d68450ef8aca1fa,
  0x84d7d18596229166, 0x39d5a5d2b2e35934, 0xd0ebce9bb7508f24, 0x08a3e44707ec6ab5, 0xfadc37b2d9731709,
  0x5a805d260b546c11, 0x74271cf27f6bcb95, 0xa5beaece75152a8d, 0xbfa1a89ace9b95da, 0x5688af29a84ab57f,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0xab7b15545a5b44e3, 0x0f3612e65f36c648, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xd5593c95fb9a1996, 0x0000000000275cb3,
};

// m16m1_swio15_noled_pr_ce_u4
static const uint64_t ur_m16m1_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x32bbfe8533fb3a60, 0x2a77beee2faedf92, 0xb09117dc4963cf19, 0xe4492bf51f097e21,
  0xcb19fac99e2ee372, 0xe9fc193dea3cdd3d, 0x7b398b014ca9c638, 0x6678ebd1f3b4428f, 0xf2d6e1149a5403ff,
  0x9fdaf2e556afadc0, 0x9d454aa35d09c73c, 0xb3a6e576a96fabb3, 0x6a12ad5fefe86a26, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x0375e3ebeaac9e4a,
};

static const uint64_t ur_m16m1_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0x3fe8533fa6a609f1, 0xf877fd5194b923ff, 0xca8683fe78c953bf, 0xb5958f7cc273b8dc,
  0x60cf5f51e5670e53, 0x50298acbafa8f836, 0x185962291669d684, 0x3abb72561d484d7d, 0x1d79d376ea11e487,
  0x28f911c1fb1aaf1b, 0x470decb65cc5c242, 0x52cfa4c16a8d8226, 0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae,
  0xf4351359d372bb54, 0xd115e5350956aff7, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x593c95fb9a19961d,
  0x000000029a673ed5,
};

static const uint64_t ur_m16m1_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffa7abe7f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59d372bb54b7d5d9, 0x350956aff7f43513, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000013f3ecf45b4,
};

// m32c1_swio15_noled_ee_hw          m32m1_swio15_noled_ee_hw
static const uint64_t ur_m16m1_swio15_noled_ee_hw[] = {
  0xbdeeeeeed121b768, 0xdab96963d4e85d60, 0x4f4d2ee8db623e24, 0xede4531d7c33c5ef, 0x1545a0ab41148885,
  0x04f8c9dd764afb67, 0x462b7fb0ff9f2753, 0xf2b297355ad1bf92, 0x1fa8f83660c27fa8, 0x1669d68450ef8aca,
  0x93484d7d18596229, 0xf2439d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x70908a3e44707ec6, 0xc11fadc37b2d9731,
  0xb955a805d260b546, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x57fbfa1a89ace9b9, 0x9ed5688af29a84ab,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x648ab7b15545a5b4, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x5bf998b453c95fb9,
  0x0000000000000000,
};

// m16m1_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d674dcaed52df57, 0x94d4255abfdfd0d4, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0xe65f36c6431dbd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000a02fb3d45,
};

// m32c1_swio15_lednop               m32m1_swio15_lednop
static const uint64_t ur_m16m1_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd24918f7fefceb3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x35c0809d372bb54b, 0xe535095c958f4351,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x19d10273e8a042d3, 0xb612e65f36d38c6f, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0x0194f257ee686658, 0x00000000001525b8,
};

/*
 * m16m1_swio15_lednop_pr_u4         m32c1_swio15_lednop_pr            m32c1_swio15_lednop_pr_u4
 * m32m1_swio15_lednop_pr            m32m1_swio15_lednop_pr_u4
 */
static const uint64_t ur_m16m1_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x4c7ffd0a67ea54c1, 0x3d47d28ef9683f24, 0xd01827c71d3f83e8, 0xf88e32398b016594,
  0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x73c9fdaf2e556b70, 0xbb39d454aa35d09c, 0x81013a6e576a96fa,
  0x6a12b92b1e86a26b, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2,
  0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xf26ae0baab2792bf, 0x0000000000000001,
};

// m32c1_swio15_lednop_pr_ee         m32m1_swio15_lednop_pr_ee
static const uint64_t ur_m16m1_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x0ffd0a67e87e609f, 0x53d355ad1bf9244e, 0x8f83660c27fa8f2b, 0x9d68450ef8af027a,
  0x84d7d18596229166, 0x39d5a5e43ae35934, 0xd0ebce9bb7748c14, 0x08a26e47916c6ab5, 0xfadc37b2d9731709,
  0xad4021149a546c11, 0xba138e793fb5e5ca, 0x52df57673a8a9546, 0xd44d7020274dcaed, 0x45794d42572563d0,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x8b3a7c5c9ab83cd8,
  0xcfd4eacc7903f286, 0x738cbf313f9430a9, 0x39effe09a1e64ff1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x3af02b5564f257ee, 0x0000000000000001,
};

// m32c1_swio15_lednop_pr_ee_u4      m32m1_swio15_lednop_pr_ee_u4
static const uint64_t ur_m16m1_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xeffa14cf9c19827c, 0x5d66ab5a332a48ec, 0x8f83660d00f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x73ab4bb935c51334, 0x0ebd753763d51fc8, 0x45110a3deec6ab5d, 0x5b86f65c3918b848,
  0xfed7972ab55c08bf, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0x5c958f435135c080, 0xd73daad115e53509,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x02a2adec55516920, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x9a0d5593c95fb9a1, 0x00000000000013ae,
};

// m16m1_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16m1_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x23a6ffe8533e35a6, 0x92a77b3ae2faedf9, 0x1b09117dc4963cf1, 0x339747ff51f097e2,
  0xb9633f5933c5dc6e, 0x1d3f8327bd479c67, 0x8c8e62c0531e7ac7, 0xd99e3af47cecbe23, 0xf2d6e1bf70d500ff,
  0x9fdaf2e556b70e40, 0x9d454aa35d09c73c, 0x13a6e576a96fabb3, 0x2b92b1e86a26b810, 0xbae7b55a22bca6a1,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x48bf5564f257ee68, 0x0000000000000dd7,
};

static const uint64_t ur_m16m1_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xffe8533f6b7304f8, 0x6ceffaa329724536, 0x4939bff9e3254ed3, 0xd6563df309cee371,
  0x833d7d479594394e, 0x40a62b60bea3e0d9, 0x616588a459a75a11, 0xeaedd21c752135f4, 0x75e74ddbba460a1c,
  0xa26e47916c6abc6c, 0x1c37b2d973170908, 0xa5988a4d2a360899, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d,
  0x26b81013a6e576a9, 0xbca6a12b92b1e86a, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x997cdb40a31dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x00534c5fbd5593c9,
};

static const uint64_t ur_m16m1_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff4f57cf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e9b95daa5beaec, 0x4ae4ac7a1a89ae04, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04fc1eaf16d2792b,
};

// m32c1_swio15_lednop_ee_hw         m32m1_swio15_lednop_ee_hw
static const uint64_t ur_m16m1_swio15_lednop_ee_hw[] = {
  0xbdeeeeeed121b705, 0x6d5cb4b1ea610560, 0xe15a62774b88cf12, 0x17b7914c75f42e19, 0x49847ec89b045222,
  0xcc13e32776c36cad, 0x922707fd87fcfd0f, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd, 0x48b34eb422877c57,
  0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6, 0x3608fd6e1bd96cb9,
  0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45, 0xb1e86a26b81013a6, 0xb55a22bca6a12b92,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xf34e8a792bf73433,
  0x0000000000000b7f,
};

// m16m1_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m16m1_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xa6a12b92b1e86a26, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000028087abd14f2,
};

// m16m1_swio15_dual_pr              m16m1_swio15_dual_pr_u4
static const uint64_t ur_m16m1_swio15_dual[] = {
  0x4bbbbbbb4486c541, 0x6c1f756e3e9cafc3, 0xb62fbb707a70d386, 0x45067e47652be295, 0x18b3e2d402b74d2b,
  0x9242e5608fe1aaf5, 0x0485d20001304f8c, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x383939be77e655bb,
  0xe3dcdea3afbd8145, 0xe7ef822847244fe0, 0xa4006e1f0a21895f, 0xf888655777bbe6e0, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xcf24e60b0de5796a, 0xdf3be59ef923fbbf, 0xdc71d3f8383fea3e, 0x2731602a83cc95a3,
  0x823af00676d291c4, 0xcf6d318c9500ffd9, 0xbe7771525c0940f2, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0x013a6e576a96fabb, 0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842,
  0xda05455bd8aaa2d2, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0292641ca2da4f25,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ee[] = {
  0x34eddddddd435032, 0x9cc1f756b1e8437e, 0x7ad3dba7395f589c, 0xd95c13b55de9afbf, 0xc2f0fae70ca16d39,
  0x6e557b68ff5efbb1, 0xd221e4e609f192b0, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0xf30cdfe655bb9dd3,
  0x7a8e96b60168e063, 0x08a11c913f831ad3, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0x8f8a8432d028a886,
  0x5b7b5bffa039e131, 0x0586f2bcb56f9a02, 0xb93923d3ffe79273, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0x013a6e576a96fabb,
  0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2,
  0x79c371e6c25ccbe6, 0xfbab337f07771a2c, 0x271964b867a615c9, 0xb9a19961d252d9f0, 0x64288be8b693c95f,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x07dd5ac7a10df8d3, 0x47e69ce57d627273, 0x276abbd35f7eda7b, 0xf5ce1942da73b2b8,
  0xbfadd5ec3ebb85e1, 0x7304f8c958372faf, 0x4e948c8242e910f2, 0x614306acf167a488, 0x99696fcee9f12e20,
  0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb40a2a21955ddee,
  0xfe80e784c63e2a10, 0xf2d5be68096ded6f, 0x3fff863fcc161bca, 0xd37355ad1b93923d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a,
  0xe86a26b81013a6e5, 0x5a22bca6a12b92b1, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0x6c25ccbe6da05455, 0xec68b1be2e4d5c1e, 0x539fa9d599bf83f6, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x00001593d89fb90f,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xb07dd5aa1f777e1b, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0x9932bbf7ef74dd33,
  0xe9dca591aeb36855, 0x42e91dc7cc13e327, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0xeaf9a87ff32addce,
  0xa9bd478e5b038270, 0xdf04508e489fc1db, 0x00dc3e144312bfcf, 0x432abbbddf370c02, 0x4ddd4542196818f4,
  0x404b6e1a3fe80e78, 0x4e60b0de5796adf3, 0x2fac069224ebfcf2, 0x258f3ca17073abee, 0x7c25f886c2445f71,
  0x78bb8dceb3643fd4, 0xa3c893dcb19f52e6, 0xee32a38e9fc188be, 0x76d291c42731602f, 0x9500ffd99e3af006,
  0x9702503cb5b9318c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa1a89ae0404e9b95,
  0x688af29a84ae4ac7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x491eb716d2792bf7, 0x0000000000000003,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x82c1f756a8762f7e, 0x5a9afbad89d94bb5, 0x9189c624dd69624e, 0xf8ce947ee7157ee9,
  0xf193646e47045580, 0x464121748b24e609, 0x835678b3d244274a, 0x6ee774f8971030a1, 0xa6ce115a61adf995,
  0xf8353d37a8fbef61, 0x57f9fbe08a11c913, 0x7292801b87c28862, 0x43ba4432abbbddf3, 0x4073c26d2a2a10cb,
  0x6adf3404b6fbb5ff, 0x7fcf24e60b0de579, 0xcc09717d4ca92270, 0x117dc4963cf285c1, 0xe47f51f097e21b09,
  0x787199e2ee3712a2, 0x064d7a8f38cf72c6, 0x62c0532a6e8e3a7f, 0x3af22dd96ba38c8e, 0x2a4a3ab5b71cb19e,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d0d44d7020274d, 0x6ab445794d425725,
  0xca6c59d01e7eb5cf, 0x8c10b4d5ceaf52c2, 0x69c6378ce88139f1, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x003490b38b693c95,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x764c1f75675e3f2f, 0x7ef5ef76c5e3534e, 0x1d60dc9cad041f22, 0x097d7aefb27e4671,
  0xae4f046752c8a756, 0xe9196d2609f19313, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe4d883f32addcee9,
  0x6f51c346c34d1c1f, 0x822847244fe0ec7e, 0x6e1f0a21895fe7ef, 0x2abbbddf371dbb00, 0xe74542196814b443,
  0x2dbf60ffd01cf09b, 0x82c3795e5ab7cd01, 0xd82c919dbff3c939, 0xf285c1c9db3bfea8, 0x09cee370112601fc,
  0x95a9e94ed6564433, 0x3d47c1b30613fd47, 0xb34eb422814c5781, 0xea426be8c2cb1148, 0x948e7139d5db8ba8,
  0x6355e363af6b13b1, 0x3170908a25f235af, 0xc623e191c37b2e3e, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5,
  0xa96fabb39d454aa3, 0x6a26b81013a6e576, 0x22bca6a12b92b1e8, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0xeee3458f386e3cd8, 0xf4c2b93f75666fe0, 0x4a5b3e04e32c970c,
  0xd2792bf734332c3a, 0x0000000098273916,
};

static const uint64_t ur_m16m1_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x3eeade3dfc37e67d, 0xb4d4d7aaf4e49318, 0xb5c5f5eed07595b5, 0x8bd1de7da7dabe75,
  0xa473341c10f0efaf, 0x9202ae5571f60006, 0x12174879e4e609f1, 0x678b3d244274a464, 0x774f8971030a1835,
  0x72d4ccdffccb4b7e, 0xd37a8fd83b0bc338, 0x7c114239227f0687, 0x0370f8510c4aff3f, 0x1955ddeef9b9dc78,
  0xda6e2a10cb40e0a2, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x3eaf92330dff863f, 0x9e50bcee61ae2faa,
  0xfc4361222fb892c7, 0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c,
  0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170,
  0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xc7a1a89ae0404e9b,
  0xd5688af29a84ae4a, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d028c,
  0xb763458df1726ae0, 0x0a9cfd4eaccdfc1f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x7e792bf734332c3a, 0x0000008009f82dc8,
};

static const uint64_t ur_m16m1_swio15_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0x60fbab58f421bf1a, 0x69edd39cafac4e4e, 0xae09daaef4d7dfbd, 0x787d738650b69cec,
  0x0dc9a3ea75add8e1, 0xba443c9cc13e3256, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0x7e619bfccab773ba,
  0x6f51d2d6c02d1c0c, 0xc114239227f0635a, 0x370f8510c4aff3f7, 0xcaaeef77cdc00000, 0x31f150865a051510,
  0x4b6f6b7ff4073c26, 0x60b0de5796adf340, 0x8dc9c91e9fff124e, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5,
  0x5095c958f435135c, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516,
  0x2f571b8f3612e65f, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x917d453c95fb9a19, 0x0000000000000576,
};

static const uint64_t ur_m16m1_swio15_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0x14c1f75675f6097e, 0xdbc9ee8eba7da0a0, 0x94ec99f0ce644d71, 0xbccd93764fc89ced,
  0x7721e198535aebd7, 0xd21e20f304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e655bb9dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0xaaeef77cdc67ac01, 0xeb150865a181110c,
  0xb6fcb5ff4073c262, 0x0b0de5796adf3404, 0xe57491adfff124e6, 0xf285c1cadf3bfea8, 0x84e771b9d1f524fc,
  0xcaf7dca76b2b26e9, 0xaf51f06cc1995ea3, 0x2cd3ad08a05315db, 0x3a909afa30b2c452, 0xfe23ea0e7576e53c,
  0x96355e363af512ec, 0x2cc5c242283d51fc, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde, 0xc9fdaf2e556b3f8a,
  0x39d454aa35d09c73, 0x013a6e576a96fabb, 0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0xfd86e3cd84b997cd, 0x1964b867a615c9f9, 0xa19961d252d9f027,
  0x2269805453c95fb9,
};

static const uint64_t ur_m16m1_swio15_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0x07dd5bc7bf86fccf, 0x95ba9af55e9c9263, 0xe75b5c5f5eed0775, 0xfaf8bd1de7da7dab,
  0x541ab432d1c10f0e, 0x7304f8c901572dad, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221, 0xccbb093ba7c4b881,
  0xb0bc33872d4ccdff, 0x27f0687d37a8fd83, 0xc4aff3f7c1142392, 0x9b9dc780370f8510, 0xb40e0a21955ddeef,
  0xe80e784da6e2a10c, 0x2d5be68096df2a3f, 0x1bfceadcc161bcaf, 0xc35c5f547d5f2466, 0xf71258f3c6f860e4,
  0xfd47c25f886c2445, 0xa678bb8dce1fe3ee, 0x1e57bee53b5b9b9b, 0xdd7a8f83660ccaf5, 0x91669d68450298ae,
  0xe1d484d7d1859622, 0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f, 0xf6a8d8226470decb,
  0x55f3bb8a929663e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5, 0x5095c958f435135c,
  0x2b5d73daad115e53, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516, 0x4176371e6c25ccbe,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0ebab19a02fa792b,
};

/*
 * m16u2_autobaud_uart0_noled_pr     m32u2_autobaud_uart0_noled        m32u2_autobaud_uart0_noled_pr
 * usb162_autobaud_uart0_noled       usb162_autobaud_uart0_noled_pr
 */
static const uint64_t ur_m16u2_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x8252fbfc1a1e7cf5, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x3f3c77cb24386d1b, 0xe4f471d3f83349ea,
  0xf199cc580b7ba61b, 0x9630475e2e767b48, 0x0313bbf615944ee3, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xc376c25ccbe6d892, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x66587494b659289c, 0x09239bacf257ee68, 0x0000000000001c44,
};

// m32u2_autobaud_uart0_noled_pr_u4  usb162_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m16u2_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0xa3fcd7bcfedf9827, 0xe916a81102a7c12e, 0xc2bf5526bf917e02, 0x3be5843c368ded51, 0x38e9fc1a0bf51fa0,
  0x731602cb299efb5a, 0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x0c4eefd838f81e59, 0x301dfbbf39c9b6fc,
  0x53633937e6f00fa8, 0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x079b09732f9b6249, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xa21f9e4afdcd0ccb, 0x000000000461b792,
};

/*
 * m16u2_autobaud_uart0_noled_pr_ee_u4 m32u2_autobaud_uart0_noled_pr_ee
 * m32u2_autobaud_uart0_noled_pr_ee_u4 usb162_autobaud_uart0_noled_pr_ee
 * usb162_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0xd7bcfece9827c64e, 0x5022054f8252bbfc, 0xaa4d7f22fc05d22d, 0xe7186d1bdaa3857e, 0x63ea3cae449aad68,
  0xf8afbaf51f06cc1a, 0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b,
  0xd973170908a39e46, 0x9a546c11fadc37b2, 0xbf0313bbf600544a, 0xea0c077eefce726d, 0x9794d8ce4df9bc03,
  0xe718de33a2057553, 0x92455bd8aaa2d2c2, 0xd5c1e6c25ccbe6d8, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x7d7887e792bf7343,
  0x0000000000026a74,
};

/*
 * m16u2_autobaud_uart0_noled_pr_ce_u4 usb162_autobaud_uart0_noled_pr_ce
 * usb162_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ff9af79fcad304f, 0xa45aa0440a9f048a, 0x0afd549afe45f80b, 0xe2fae490da37b547, 0xe24b1e78c953b7f2,
  0xa8f84bf10d8488be, 0x933c5dc6e3fcc41f, 0xb3d4727a7b9633f5, 0x0147ce9238e9fc1e, 0xd1f3b57f47ac398b,
  0xd99e5403ff6678eb, 0xddfb071f03cb5b87, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0xc25ccbe6d89218ed, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000011bae493887,
};

// usb162_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m16u2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xde7c66e609f193ba, 0x1102a7c120b5fe6b, 0x26bf917e02e916a8, 0xe4368ded51c2bf55, 0x3254ef021dff546f,
  0x4e771b9d66c87f9e, 0x57d44a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x0c4eefd859d12a69,
  0x301dfbbf39c9b6fc, 0x53633937e6f00fa8, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x0f3612e65f36c490,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x11102443f3c95fb9, 0x0000000000000004,
};

// usb162_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xe412b3f5bf304f8c, 0xaa0440a9f04a76ff, 0xd549afe45f80ba45, 0x390f0da37b5470af, 0x9e50b838706e2faa,
  0xfc4361222fb892c7, 0x8dce8fa927ea3e12, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f,
  0xd7d185962291669d, 0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c,
  0x77ec2ce89534a8d8, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e, 0x67440aeaa72f29b1, 0xb15545a585ce31bc,
  0x09732f9b624863b7, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xcbaf3c95fb9a1996, 0x0000000008221844,
};

/*
 * m16u2_autobaud_uart0_lednop_pr    m32u2_autobaud_uart0_lednop       m32u2_autobaud_uart0_lednop_pr
 * usb162_autobaud_uart0_lednop      usb162_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_m16u2_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x3e09775fe0d0f3f1, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0xa8e4f1df2c90e1b4, 0x6ff3d1c74fe0cd27,
  0x4720a731602dee98, 0x1cb1823af173b071, 0xe062777ec2b141f7, 0xefddf9e0404e4db7, 0x3a0137e6f2dd4180,
  0x4e02f7ca9bd4a725, 0x1bc674408ea2810b, 0x86ed84b997cdb4e3, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x12473759e4afdcd0, 0x0000000000003888,
};

// m32u2_autobaud_uart0_lednop_pr_u4 usb162_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m16u2_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xff35ef3f1ee609f1, 0x45aa0440a9f04bba, 0xafd549afe45f80ba, 0xf9610f0da37b5470, 0x3a7f0682fd47b58e,
  0x8b016594df241f8e, 0xaf47cecb3d1a4339, 0x416691500ffd9823, 0x9ddfb20ad03cb3db, 0x7e781013936df818,
  0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x0230d3e0a21f9e4a,
};

/*
 * m16u2_autobaud_uart0_lednop_pr_ee_u4 m32u2_autobaud_uart0_lednop_pr_ee
 * m32u2_autobaud_uart0_lednop_pr_ee_u4 usb162_autobaud_uart0_lednop_pr_ee
 * usb162_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0xd7bcf8d69827c64e, 0x5022054f825a6ffc, 0xaa4d7f22fc05d22d, 0xe7186d1bdaa3857e, 0x63ea3cacca9aad68,
  0xf1587bf51f06cc1a, 0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b,
  0xd973170908a09e46, 0x9e546c11fadc37b2, 0x7e062777ec0087d9, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x000001353922f887,
};

/*
 * m16u2_autobaud_uart0_lednop_pr_ce_u4 usb162_autobaud_uart0_lednop_pr_ce
 * usb162_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff35ef3f6ea609f, 0x48b54088153e0960, 0x15faa935fc8bf017, 0xc5f5c921b46f6a8e, 0x892c79e3254eea55,
  0xa3e12fc4361222fb, 0x99e2ee372b7e007e, 0x9ea3f493dcb19fac, 0x0a9888b1c74fe0f5, 0x3e7659e8d219cc58,
  0x348a807feccf1d7a, 0xbf6415a0796b720b, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xbaed7b887e792bf7,
  0x0000000000000011,
};

// usb162_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16u2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x7bcf8689827c64ee, 0x0440a9f04ac7ffcd, 0x49afe45f80ba45aa, 0xf90da37b5470afd5, 0x8c953bdf677fd51b,
  0x139dc6e5c89257e7, 0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148,
  0x32464d1ceaedc7a8, 0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf,
  0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8,
  0x596af2e4d5c1e6c2, 0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x887e792bf734332c, 0x0000000004110745,
};

// usb162_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xf20959f43e9827c6, 0x6a81102a7c12c41f, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe7942e0e25ab8bea,
  0xbf10d8488bee24b1, 0xc6e0224c03fa8f84, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47,
  0x6be8c2cb1148b34e, 0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317,
  0xbbf61663eccf2a36, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026, 0xd3574e31bc67440e,
  0xe6db9c31dbd8aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00010443d512ebcf,
};

/*
 * m16u2_autobaud_uart0_dual_pr      m16u2_autobaud_uart0_dual_pr_u4   usb162_autobaud_uart0_dual
 * usb162_autobaud_uart0_dual_pr     usb162_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x604384ae9add7e65, 0xfe0ce1cdea3b05d8,
  0x95fe7ef822847244, 0x6e3fc006e1f0a218, 0x6869488655777bbe, 0xe80e784d37454219, 0x586f2bc84b6ee97f,
  0x2a7c127f3fffed30, 0xf917e02e916a8110, 0x68ded51c2bf5526b, 0x7f51f229df2c4d43, 0x9a717be38e9fc188,
  0xd6475fce62c05507, 0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x809c9b6fc0c4eefd,
  0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xf86e3cd84b997cdb,
  0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0xb829c87e5d79e4af, 0x0000000000000000,
};

// usb162_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m16u2_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0xd77321f7e655bb9d, 0x137a8eff361880e0,
  0xbe08a11c913f830d, 0x01b87c2886257f9f, 0x8655777bbe6e0224, 0x31758a8432d0c088, 0x212dbffcffa039e1,
  0x3affffb4c161bcaf, 0x748b54088153e091, 0xe15faa935fc8bf01, 0xab5a39121b46f6a8, 0x660c14f51e56bee6,
  0x450ef8aea57a8f83, 0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7,
  0x6f65f4b3170908a0, 0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d, 0xeaccdfc1ddc68b3a,
  0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659, 0xc92ebcf257ee6866,
  0x0000000000014a90,
};

// usb162_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u2_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0x4606eeb681912929, 0xdd3e25c40c2860da, 0x83fc9b107e655bb9, 0x8fcdea3868d869a3,
  0xfdf04508e489fc1d, 0x000dc3e144312bfc, 0xa21955ddeef9b995, 0x84df3a2a10cb40a5, 0x79096dfa7ffe80e7,
  0xa2b7fffda60b0de5, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0x355ad1e950da37b5, 0x1b307f27a8f2b8f7,
  0x422877c5663fd47c, 0xbe8c2cb1148b34eb, 0xb4b84f5c20b9a426, 0xed62761f11f4873a, 0xd023a976355ae875,
  0x1bd971f18b848451, 0x3bb8a92ae04ffd6e, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x83bb8d1637c371e6, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xd2ebcf257ee68665,
  0x0000000000a549d3,
};

/*
 * m16u2_autobaud_uart0_dual_pr_ce_u4 usb162_autobaud_uart0_dual_pr_ce
 * usb162_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m16u2_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x860da4606eeb6819, 0x55bb9dd3e25c40c2, 0x136ce13b735adfe6, 0xfc198fcdea3eed6c,
  0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x40baa21955ddeef9, 0x80e784c95a2a10cb, 0x86f2bc84b6e16bfe,
  0x4f825b3bfffed305, 0x22fc05d22d502205, 0x1bdaa3857eaa4d7f, 0xc1c74b717d50086d, 0x09117dc4963cf285,
  0x93f5ff51f097e21b, 0x633ea5ccf1771b82, 0xfe0ea5fa8e37e7b9, 0x9cc580a0a0f91c74, 0xf1d78033b5ac8ebf,
  0xb7087486a807fecc, 0xf3bb8a92a93a0796, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x94e804df9bcd9141,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x2e5d79e4afdcd0cc,
  0x000000000056bd84,
};

// usb162_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m16u2_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x3ace6643fccab773, 0x79bd47986d833e1c,
  0xbe08a11c913f83fd, 0x01b87c2886257f9f, 0x8655777bbe6e79c8, 0x34728a8432d04b48, 0x212db8a4ffa039e1,
  0x9affffb4c161bcaf, 0x748b54088153e096, 0xe15faa935fc8bf01, 0xff546e4e1b46f6a8, 0x96bf3ca170706b1d,
  0x64dd309cee372f0f, 0xf9ea3cadfc94ed65, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05, 0xb71943a909afa30b,
  0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470, 0xc9fc55f3bb8a9296,
  0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x386e3cd84b997cdb, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04, 0x441b8f975e792bf7,
  0x000000000000000c,
};

// usb162_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x850c1b48c0ddd6d0, 0x65a5bf3ba7c4b881, 0x0e8f9c14926e6ffe,
  0x7f06c8737a8ece5b, 0x4aff3f7c11423922, 0xb972500370f8510c, 0x826da21955ddeef9, 0x039e1358fc542196,
  0x3795e425b7eb3ffa, 0xf04b1bbff617982c, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x66ee2faa353d0da3,
  0x2fb892c79e50bcec, 0x3fea3e12fc436122, 0xdd33c5dc6e6a83c8, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xd5393c95fb9a1996,
  0x00000001fab71a9c,
};

// m16u4_autobaud_uart0_dual_ee_hw   usb162_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m16u2_autobaud_uart0_dual_ee_hw[] = {
  0x66eeeeeed121a5fb, 0xeeeeeefaf2b689ea, 0x2aabdd6e356a10ee, 0x5ec5da9d33dd2948, 0xca591aeba5595c53,
  0x481544c13e326c4d, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x706bb990fbf32add, 0x8689bd477f9b0c40,
  0xcfdf04508e489fc1, 0x1200dc3e144312bf, 0x44432abbbddf3701, 0xf098bac542196860, 0x579096dffe7fd01c,
  0x2275fed7ee60b0de, 0x02e916a81102a7c1, 0x51c2bf5526bf917e, 0xcd56b47224368ded, 0x06cc1829ea3cad7d,
  0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743,
  0x70decbe9662e1211, 0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3,
  0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x000b07232514f257,
};

// m16u4_autobaud_uart0_dual_ee_ce_hw usb162_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m16u2_autobaud_uart0_dual_ee_ce_hw[] = {
  0x377777775050cf68, 0xbbbbbbebe17fb853, 0x561f64cb9db609bb, 0x890b1fbc9dbbf6a3, 0x7268fa9d6b760fcc,
  0x483927304f8c9415, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x70eb39990ff32add, 0xf5e6f51e61b60cf8,
  0x7ef822847244fe0f, 0x2006e1f0a21895fe, 0x221955ddeef9b9e7, 0x84d1ca2a10cb412d, 0xbc84b6e293fe80e7,
  0x69aff6bf730586f2, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0xdff546e4e1b46f6a, 0xd90ff3ca170706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6,
  0x0ec6e3cd84b997cd, 0x8138d2861539fa9b, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002134db8fa29,
};

// m16u4_autobaud_uart0_dual_ee_ce_u4_hw usb162_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d8be, 0xdddddf5eb4666d4c, 0x9b41f9b37afe1ddd, 0x0f9a2bd6ddebba2f, 0x5a41b4beb55efaf6,
  0x5cc13e325395c9e7, 0xbbada0644a4a458f, 0x8971030a18369181, 0x9b9bff997612774f, 0xa3b396c3a3e70524,
  0x508e489fc1b21cde, 0x3e144312bfcfdf04, 0x777bbe6e5c9400dc, 0x150865a09b688655, 0xfacffe80e784d63f,
  0xa7260b0de579096d, 0x0440a9f04b1bbffa, 0x49afe45f80ba45aa, 0x3d0da37b5470afd5, 0x7c307066ee2faa35,
  0x361222fb892c79e3, 0x524e6ffea3e12fc4, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848,
  0x4a5989fd62a36089, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x042698772017d3c9,
};

/*
 * m16u2_u1x8_uart0_noled_pr         m32u2_u1x8_uart0_noled            m32u2_u1x8_uart0_noled_pr
 * usb162_u1x8_uart0_noled           usb162_u1x8_uart0_noled_pr
 */
static const uint64_t ur_m16u2_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0xc9fe0d0f3e0a4c13, 0xeb8b7f69931bd817, 0xd05fa8fd01df2c21, 0x594cf7dad1c74fe0, 0x3b57f47ac398b016,
  0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0xf9ce4db7e062777e, 0xbf37807d4180efdd, 0x40aeaa72f29b19c9,
  0x545a585ce31bc674, 0x997cdb1248ab7b15, 0x8fe3458f386ed84b, 0xd30ae4fdd598f206, 0x96cb25138cb25c33,
  0x9e4afdcd0ccb0e92, 0x0000007c869c7375,
};

// m32u2_u1x8_uart0_noled_pr_u4      usb162_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0x9af79f052609f193, 0xdfda64c6f605f27f, 0xea3f4077cb087ae2, 0x3df6b471d3f83417, 0xfd1eb0e62c059653,
  0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0x936df8189ddfb071, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd,
  0x961738c6f19d102b, 0x36c4922adec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xe4cf54443f3c95fb,
  0x0000000000000003,
};

/*
 * m16u2_u1x8_uart0_noled_pr_ee_u4   m32u2_u1x8_uart0_noled_pr_ee      m32u2_u1x8_uart0_noled_pr_ee_u4
 * usb162_u1x8_uart0_noled_pr_ee     usb162_u1x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0xde7ca5cc13e32776, 0xd32637b0274bfe6b, 0x24d56b4738d716fe, 0xf83660d31f51e572, 0xeb422877c57dd7a8,
  0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae, 0xd6e1bd96cb98b848,
  0xb002a254d2a3608f, 0x7e73936df8189ddf, 0x6fcde01f50603bf7, 0x102baa9cbca6c672, 0x5516961738c6f19d,
  0xe65f36c4922adec5, 0x58df1726ae0f3612, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000275d69f443f3c,
};

// usb162_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7f8343cfc7b, 0xd7a4ae2dfda64c6f, 0xafe78c940e26277f, 0xe33984e771b921cb, 0xf19fa8e21e7b9602,
  0x602dc313f1c74fe0, 0xf173b482a3c66731, 0xd83a74f71cb19e3a, 0xbf39c9b6fc0c4eef, 0x26fcde5ba8301dfb,
  0x4deabaa9cbca6c67, 0xde33a205cd98c10b, 0x376c25ccbe6da718, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0x9239bacf257ee686, 0x0000000000002dd4,
};

// usb162_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xff35ef3ff3a609f1, 0x8b7f69931bd81145, 0x92a76fe5c5f5c92b, 0x1b09117dc4963cf1, 0xc7f9883f51f097e2,
  0xf72c67eb2678bb8d, 0x71d3f83d67a8e4f4, 0x8f587316028f9d24, 0xfeccf1d7a3e76afe, 0x0796b70fb33ca807,
  0x6dbf0313bbf60e3e, 0x03ea0c077eefce72, 0x539794d8ce4df9bc, 0xc2e718de33a20575, 0xb12431dbd8aaa2d2,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xe80ad10fcf257ee6, 0x00000000000001ba,
};

// usb162_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0xc98dec082d7f9af7, 0xe2faa390f5c5bfb4, 0xc4963cf192a76706, 0x51f097e21b09117d,
  0x99e2ee373acd90ff, 0x3cafa894ed6e6def, 0x9fea3e0d9835afea, 0x459a75a1140a62b0, 0x4752135f4616588a,
  0xb7b4782ce7576e9c, 0xc6c6abc6c75e74dd, 0x973170908a39e461, 0xd2a3608991c37b2d, 0xf8189ddfb0b3a254,
  0x50603bf77e73936d, 0xbca6c6726fcde01f, 0x38c6f19d102baa9c, 0x218edec555169617, 0x5c1e6c25ccbe6d89,
  0x81f9434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343cc9fe04e3, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x027e204887e792bf,
};

// usb162_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe6bde7ffe4c13e32, 0xdfda64c6f605d3ff, 0xbc09717d51b93ae2, 0x88bee24b1e78c953, 0x495fa8f84bf10d84,
  0x37194cf1771b9722, 0xdff51e5738ca76b7, 0x98af24f51f06cc18, 0x962291669d684502, 0xdba211d484d7d185,
  0xea6edcf236be39d5, 0x119a4b1aaf1b1d7a, 0xd970e462e121146b, 0x3bbf663174cc8e1b, 0x77eefce726dbf031,
  0xb19c9bf3796ea0c0, 0x042d37aaeaa72f29, 0x9c6378ce88173663, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x042e21f9e4afdcd0, 0x000000000000027e,
};

/*
 * m16u2_u1x8_uart0_lednop_pr        m32u2_u1x8_uart0_lednop           m32u2_u1x8_uart0_lednop_pr
 * usb162_u1x8_uart0_lednop          usb162_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_m16u2_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0x6eff06879f402609, 0xf5c5bfb4c98dec0a, 0x682fd47b58ef9610, 0x594df241f8e3a7f0, 0xecb3d1a43398b016,
  0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x1e70ddb09732f9b6, 0xfbab31e40d1fc68b, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xf20a9ce6eb3c95fb, 0x0000000000000001,
};

// m32u2_u1x8_uart0_lednop_pr_u4     usb162_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m16u2_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0xff35ef3e804c13e3, 0xc5bfb4c98dec0a6e, 0x2fd47b58ef9610f5, 0x4df241f8e3a7f068, 0xb3d1a43398b01659,
  0x00ffd9823af47cec, 0xad03cb3db4166915, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x5a21f9e4afdcd0cc,
  0x00000000001f2613,
};

/*
 * m16u2_u1x8_uart0_lednop_pr_ee_u4  m32u2_u1x8_uart0_lednop_pr_ee     m32u2_u1x8_uart0_lednop_pr_ee_u4
 * usb162_u1x8_uart0_lednop_pr_ee    usb162_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_u1x8_uart0_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0x79f53d304f8c9dd3, 0x4c98dec08baff9af, 0x5355ad1ce35c5bfb, 0xe0d9834c7d479599, 0x5a1143be2b0f7ea3,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba, 0x5b86f65b2e62e121,
  0x8010fb33ca8d823f, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x7e0510fcf257ee68, 0x00000000000009d7,
};

// m16u2_u1x8_uart0_lednop_pr_ce_u4  usb162_u1x8_uart0_lednop_pr_ce    usb162_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff35ef3e70e609f1, 0x8b7f69931bd81256, 0x254eea55c5f5c92b, 0x361222fb892c79e3, 0x2b7e007ea3e12fc4,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea3f493, 0xd219cc580a9888b1, 0xeccf1d7a3e7659e8, 0x796b720b348a807f,
  0xdbf0313bbf6415a0, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0x6c25ccbe6db9c31d, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x7e792bf734332c3a, 0x00000006ebaf3e88,
};

// usb162_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16u2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xf3e1a2609f193baa, 0x32637b02b1fff35e, 0xb8bea8e43d716fed, 0x71258f3c64a9da5a, 0xd47c25f886c2445f,
  0xe678bb8dcb9124af, 0x8f2beea53b5b9b7b, 0x6ffa8f83660d6bfa, 0x91669d68450298af, 0x51d484d7d1859622,
  0xb4648c9a39d5db8f, 0xed58d578d8ebce9b, 0xb2e62e1211413c8d, 0x9e546c1132386f65, 0x7e062777ec2cc7d9,
  0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x84b997cdb73863b7,
  0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x2e19e985727e03e6, 0x587494b67c09c659,
  0x8b10fcf257ee6866, 0x0000000000027e0e,
};

// usb162_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xf904acfeed4c13e3, 0x6fed32637b0231ff, 0xe656b8bea8dc9d71, 0x88bee24b1e7942e0, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0xbbf66315346470de, 0xcf0202726dbf0313,
  0xe804df9bcc077eef, 0x953e02d4e48a5abc, 0x78ce88197f318216, 0x79b09732f9b69c63, 0x6fe0eee3458df0dc,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x02b4baf3c95fb9a1, 0x00000000000013f0,
};

// m16u2_u1x8_uart0_dual_pr          usb162_u1x8_uart0_dual            usb162_u1x8_uart0_dual_pr
static const uint64_t ur_m16u2_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0x2860da4606eeb681, 0x571eb9dd3e25c40c, 0x82fb3814599c9fe6, 0x13f8332a6f51dfcd,
  0x6257f9fbe08a11c9, 0xf9b915801b87c288, 0x65a119221955ddee, 0xffa039e135ad1508, 0xc161bcaf212dbc7b,
  0x2637b02d2bfd61dc, 0x63be5abfd716fed3, 0x238e9fc1a43f51ed, 0xce62c05fc399efe8, 0x0475e45bb54b4690,
  0xe2a4a56482ee3963, 0x189ddfb27f157cee, 0xf77e781013936df8, 0xa0137e6f0725603b, 0xe18aca9dc594e5f3,
  0xf19d103f5c502169, 0xf3612e65f36d38c6, 0xf2868b1e71726ae0, 0xe985727eeacc7903, 0x94b67c09c6592e19,
  0xfcf257ee68665874, 0x0000000018873910,
};

// usb162_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m16u2_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x256383a598e1fe65, 0xfe0e034dea3feed8,
  0x95fe7ef822847244, 0xdce9f006e1f0a218, 0xd04c510caaeef77c, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0xc6f6047affffda60, 0x3be589aae2dfda64, 0x71d3f8310fea3e45, 0xcc580aa0f34e2f7c, 0x1d78033b5ac8ebf9,
  0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x4baf3c95fb9a1996,
  0x000000000a498835,
};

// m16u2_u1x8_uart0_dual_pr_ee_u4    usb162_u1x8_uart0_dual_pr_ee      usb162_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u2_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0x6eeb6819129290b8, 0xe25c40c2860da460, 0xc98347e655bb9dd3, 0x7a8fd3fb0b1f387f,
  0x114239227f07d5f3, 0x70f8510c4aff3f7c, 0x55777bbe6e254003, 0xfb8a8432d04ac886, 0x2db9c1ffa039e132,
  0xffffb4c161bcaf21, 0x8b7f69931bd81656, 0xe56bee6ab5a3912b, 0x57a8f83660c14f51, 0x1669d68450ef8aea,
  0x73484d7d18596229, 0xef673ab4b994b8a9, 0x56ba1d7a89768851, 0x70908a04547cf58d, 0x823f5b86f65f4b31,
  0xb8a9280427f58a8d, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x00000000564bab72,
};

// m16u2_u1x8_uart0_dual_pr_ce_u4    usb162_u1x8_uart0_dual_pr_ce      usb162_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x3805a98c7ff32add, 0xe2b4dea393ad825a,
  0xe7ef822847244fe0, 0x86006e1f0a21895f, 0xed10caaeef77cdc9, 0x3c260f7150865a0b, 0x95e425b7d37ff407,
  0x02297ffff6982c37, 0xa805716fed32637b, 0x1e7942e0e3a5b8be, 0x4bf10d8488bee24b, 0xbb8dc149faffa8f8,
  0x1bf3dcb19f52e678, 0x7c8e3a7f0752fd47, 0xd6475fce62c05050, 0x03ff6678ebc019da, 0x9d03cb5b843a4354,
  0x64fe2af9ddc54954, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0d24d1c52ebcf257,
};

// usb162_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m16u2_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x3775b40c894948ee, 0xf12e20614306d230, 0x49bf5ff32addcee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xffff6982c3795e42, 0x2dfda64c6f60543f, 0x1c1ac77fd51b93ae, 0x1b9950d07fcf285c, 0x4a76b2b26e984e77,
  0x83660d7cf51e56fe, 0x68450298ae037a8f, 0xd7d185962291669d, 0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f,
  0x0908a04547cf58d5, 0x1132386f65f4b317, 0xc5494b313fac546c, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0,
  0x026fcde6c8a0c077, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0xc68b2d5e371e6c25,
  0xa9cfd4eaccdfc1dd, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65, 0xeb72ebcf257ee686,
  0x0000000000002001,
};

// usb162_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x1850c1b48c0ddd6d, 0xe65a5bf3ba7c4b88, 0x6c19f0e1d673321f,
  0x89fc1febcdea3cc3, 0x312bfcfdf04508e4, 0xf373ce400dc3e144, 0x96825a4432abbbdd, 0xfd01cf09a3945421,
  0x0b0de579096dc527, 0x31bd8169affd85e6, 0x5f546a7ab8b7f699, 0x258f3ca179d8cddc, 0x7c25f886c2445f71,
  0x8bb8dcd507907fd4, 0xb7f253b5b9b9ba67, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b,
  0x147bd9ceaedc650e, 0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de,
  0x612e65f36dce18ed, 0x63458df1726ae0f3, 0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00004005c41daa72,
};

// m16u4_u1x8_uart0_dual_ee_hw       usb162_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m16u2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xeeeefafc7655ea66, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf57964d38275b1d7,
  0x2e0a609f1932eee5, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x1ff260d1f9956ee7, 0x7cdea3f4fec2c7ce,
  0xdf04508e489fc1f5, 0x00dc3e144312bfcf, 0x21955ddeef9b8950, 0x4cbee2a10cb412b2, 0xc84b6e707fe80e78,
  0x56ff6bf730586f2b, 0x2b8b7f69931bd816, 0x51e56bee6ab5a391, 0xea57a8f83660c14f, 0x291669d68450ef8a,
  0xa973484d7d185962, 0x51ef673ab4b994b8, 0x8d56ba1d7a897688, 0x3170908a04547cf5, 0x8d823f5b86f65f4b,
  0x3bb8a9280427f58a, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xe8a792bf734332c3, 0x0000000002bb5756,
};

// m16u4_u1x8_uart0_dual_ee_ce_hw    usb162_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m16u2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xddddf5f0bfdc299b, 0x0fb265cedb04dddd, 0x858fde4eddfb51ab, 0x347d4eb5bb07e644,
  0x1c939827c64a0ab9, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x759ccc87f9956ee7, 0xf37a8f30db067c38,
  0x7c114239227f07fa, 0x0370f8510c4aff3f, 0x0caaeef77cdcf390, 0x68e5150865a09691, 0x425b7149ff4073c2,
  0xd7fb5fb982c3795e, 0x5c5bfb4c98dec0b4, 0x707066ee2faa353d, 0xc2445f71258f3ca1, 0xb3643fd47c25f886,
  0x5b9b9ba678bb8dce, 0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422, 0xeaedc650ea426be8,
  0x75ea25da2147bd9c, 0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899, 0xdfb27f157ceee2a4,
  0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x6c3b1b8f3612e65f, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x00000001d756e3e8,
};

// m16u4_u1x8_uart0_dual_ee_ce_u4_hw usb162_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xcddddddd5a890c86, 0xddddddf5f0bd47d4, 0x639db5a2afd70bdd, 0x3b3689e7ef276e8f, 0x75cbbb1bb3798a84,
  0x25213cbcc13e325a, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0xd9c261a667cfccab, 0x1c009bd47fd7d81a,
  0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xd64432abbbddf372, 0xcf09add454219680, 0xcaf212dba1f7fd01,
  0x0936ffdafdcc161b, 0x2eb5c5bfb4c98dec, 0xe50b83915ae2faa3, 0xc4361222fb892c79, 0x6e2545c8fea3e12f,
  0x29dadcdc4333c5dc, 0x0d9834c7d4795f75, 0xd08a05315e95ea3e, 0xafa30b2c4522cd3a, 0x3473abb74e23a909,
  0x8d8ebdac4ed70d19, 0x8450d7c8ded58d57, 0x0c8e1bd971f18b84, 0x8abe7771525c6269, 0xc9b6fc0c4eefd93f,
  0x6f301dfbbf3c0809, 0x5392296af3a0137e, 0x65fcc6085a54f80b, 0xcbe6da718de33a20, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000000eba95aa8a7,
};

/*
 * m16u2_u1x12_uart0_noled_pr        m32u2_u1x12_uart0_noled           m32u2_u1x12_uart0_noled_pr
 * usb162_u1x12_uart0_noled          usb162_u1x12_uart0_noled_pr
 */
static const uint64_t ur_m16u2_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x9fe0d0f3f38cc13e, 0xff6d4feedd3e092f, 0x4077cb08786d1ba4, 0xb471d3f83417ea3f, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xf8189ddfb071f03c, 0x50603bf77e73936d, 0xbca6c6726fcde01f,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xce1bb612e65f36c4, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x90e71cdd6792bf73, 0x000000000000000f,
};

// m32u2_u1x12_uart0_noled_pr_u4     usb162_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0xaf79f9c6609f193b, 0x53fbb74f824be7f9, 0xf2c21e1b46e93fdb, 0x74fe0d05fa8fd01d, 0x8b016594cf7dad1c,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x2777ec1c7c0f2cf6, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0xcd84b997cdb1248a, 0xe50d1637c5c9ab83, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x0fcf257ee6866587,
  0x00000000f93fb3d1,
};

/*
 * m16u2_u1x12_uart0_noled_pr_ee_u4  m32u2_u1x12_uart0_noled_pr_ee     m32u2_u1x12_uart0_noled_pr_ee_u4
 * usb162_u1x12_uart0_noled_pr_ee    usb162_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xddba7c12387fe6bd, 0xce30da3749feda9f, 0xc7d4795c89355ad1, 0xf15f75ea3e0d9834,
  0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37, 0xb2e62e1211473c8c,
  0x34a8d823f5b86f65, 0x7e062777ec00a895, 0xd4180efddf9ce4db, 0x2f29b19c9bf37807, 0xce31bc67440aeaa7,
  0x248ab7b15545a585, 0xab83cd84b997cdb1, 0xf207e50d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xe0b10fcf257ee686, 0x0000000000009d7d,
};

// usb162_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775fe0d0f3f1ee6, 0xba4ff6d4feedd3e0, 0x1c5ae77fd7a486d1, 0xe373e7487fcf1928, 0x5cf72c05c67309ce,
  0xe38e9fc1e33f51ea, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xf8189ddfb075f87b, 0xde603bf77e73936d,
  0xc1a9b129fbe726fc, 0xe8810818c10b4e48, 0x09732f9b69c6378c, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x6eb3c95fb9a19961, 0x000000000b75248e,
};

// usb162_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe6bde7e43cc13e32, 0xda9fddba7c12727f, 0xe2fae490da3749fe, 0xe24b1e78c953b7f2, 0xa8f84bf10d8488be,
  0x933c5dc6e3fcc41f, 0xb3d4727a7b9633f5, 0x0147ce9238e9fc1e, 0xd1f3b57f47ac398b, 0xd99e5403ff6678eb,
  0xddfb071f03cb5b87, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000006eba0e3887,
};

// usb162_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xba7c1231fff35ef3, 0xf0da3749feda9fdd, 0x92a76706e2faa390, 0x1b09117dc4963cf1,
  0x3acd90ff51f097e2, 0xed6e6def99e2ee37, 0x9835afea3cafa894, 0x140a62b09fea3e0d, 0x4616588a459a75a1,
  0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090, 0xb0b3a254d2a36089,
  0x7e73936df8189ddf, 0x6fcde01f50603bf7, 0x102baa9cbca6c672, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0x96af2e4d5c1e6c25, 0xea75663c81f94345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000009f856a8,
};

// usb162_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xd7bcfffc9827c64e, 0xa7f76e9f04ba7ffc, 0xa8dc9c368dd27fb6, 0x8f3c64a9db05b8be, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0x05253b5b9b8ca678, 0x8f83660c6ffa8f2b, 0x4eb422814c5710fa, 0x426be8c2cb1148b3,
  0x8c4f9ceaedcf78ea, 0x578d8ebd7537610e, 0x84845120a8f19d8d, 0xc332386f65c3918b, 0x6dbf0313bbf6631f,
  0xdf9bcc077eefce72, 0xc9183536253f7ce4, 0xf19d102103182169, 0xf3612e65f36d38c6, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x43f3c95fb9a19961, 0x0000000004fc085c,
};

/*
 * m16u2_u1x12_uart0_lednop_pr       m32u2_u1x12_uart0_lednop          m32u2_u1x12_uart0_lednop_pr
 * usb162_u1x12_uart0_lednop         usb162_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_m16u2_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x2fbfc1a1e7cf5982, 0x93fdb53fbb74f825, 0xf6b1df2c21e1b46e, 0x83f1c74fe0d05fa8, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xbf0313bbf6415a07, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0xc81a3f8d163ce1bb, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0xcdd6792bf734332c, 0x0000000001f20491,
};

// m32u2_u1x12_uart0_lednop_pr_u4    usb162_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m16u2_u1x12_uart0_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0xd7bcf9eb304f8c9d, 0x53fbb74f8252fbfc, 0xf2c21e1b46e93fdb, 0x74fe0d05fa8f6b1d, 0x1602cb29be483f1c,
  0x5e8f9d967a348673, 0x82cd22a01ffb3047, 0x3bbf6415a07967b6, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee,
  0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x03e4c7abc43f3c95,
};

/*
 * m16u2_u1x12_uart0_lednop_pr_ee_u4 m32u2_u1x12_uart0_lednop_pr_ee    m32u2_u1x12_uart0_lednop_pr_ee_u4
 * usb162_u1x12_uart0_lednop_pr_ee   usb162_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_u1x12_uart0_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0xf3f95a609f193ba5, 0xeedd3e09143ff35e, 0xe7186d1ba4ff6d4f, 0x63ea3cacca9aad68, 0xf1587bf51f06cc1a,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b, 0xd973170908a09e46,
  0x9e546c11fadc37b2, 0x7e062777ec0087d9, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000004ebe493887,
};

// m16u2_u1x12_uart0_lednop_pr_ce_u4 usb162_u1x12_uart0_lednop_pr_ce   usb162_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf35ef3e52e609f19, 0x6d4feedd3e093a5f, 0x717d72486d1ba4ff, 0xe24b1e78c953ba95, 0xa8f84bf10d8488be,
  0x2678bb8dcadf801f, 0x67a8fd24f72c67eb, 0x02a6222c71d3f83d, 0x8f9d967a34867316, 0xcd22a01ffb33c75e,
  0xefd905681e5adc82, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xbaeb4fa21f9e4afd, 0x0000000000000001,
};

// usb162_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16u2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xedd3e091c1ff35ef, 0xfc86d1ba4ff6d4fe, 0xc64a9defb3bfea8d, 0x09cee372e4492bf3,
  0xcafba94ed6563df3, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4, 0x1923268e7576e3d4,
  0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0x8189ddfb0b31f667, 0xbf77e781013936df,
  0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2e65f36dce18edec, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0x443f3c95fb9a1996,
  0x000000000013f205,
};

// usb162_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x2b3fa6a609f193ba, 0xfbb74f825ff3fe41, 0x721e1b46e93fdb53, 0x3ca170712d5c5f54, 0xf886c2445f71258f,
  0x370112601fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e, 0x5f4616588a459a75,
  0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8, 0xdfb0b31f667951b0,
  0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fcb2df975e79,
};

// usb162_u1x12_uart0_dual
static const uint64_t ur_m16u2_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x0c1b48c0ddd6d032, 0xe3d73ba7c4b88185, 0x28a7072737cefcca, 0xfc1c7b9bd475f7b0,
  0x2bfcfdf04508e489, 0xdc4b400dc3e14431, 0xd01f110caaeef77c, 0xd01cf09b7b8a8432, 0x586f2bc84b6e657f,
  0xe9f04a71ff587730, 0xc368dd27fb6a7f76, 0xa43f51c453be5abf, 0x87364837e38e9fc1, 0xb13c8ded1cc580bf,
  0x4fee39630475e45b, 0x3f8abe77715252b0, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0x33d30ae4fcfec5c9, 0xe9296cf8138cb25c,
  0x21f9e4afdcd0ccb0, 0x0000000032dfd38e,
};

// usb162_u1x12_uart0_dual_pr
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x850c1b48c0ddd6d0, 0xccab773ba7c4b881, 0x7b028a7072737cef, 0x489fc1c7b9bd475f,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d01f110caaeef, 0x7ffd01cf09b7b8a8, 0xa60b0de579096dcc,
  0xfbb74f8247affffd, 0xd5fe1b46e93fdb53, 0xfc1a43f51ee19df2, 0x0bf8732d726a38e9, 0x8b7613e8d059cc58,
  0x561a4dc72c608ebc, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x026fcde603bf77e7, 0x9f016a72452d5e74,
  0x33a2065fe2810b4a, 0x6c25ccbe6da718de, 0xf07771a2c79c371e, 0x867a615c9fbab337, 0x1d252d9f0271964b,
  0x4baf3c95fb9a1996, 0x0000000000c4026b,
};

// usb162_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0x4a70387314bfccab, 0xc1d4a9bd474adb07,
  0xbfcfdf04508e489f, 0x963e00dc3e144312, 0x1f2221955ddeef9b, 0x039e130f9150865a, 0x1bcaf212dbc06ffa,
  0x3e0904fffffb4c16, 0x6d1ba4ff6d4feedd, 0x0fea3e453be589a8, 0xf34e2f7c71d3f831, 0x5ac8ebf9cc580aa0,
  0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0524e7c14baf3c95,
};

// m16u2_u1x12_uart0_dual_pr_ee_u4   usb162_u1x12_uart0_dual_pr_ee     usb162_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xeeb6819129291c3f, 0x25c40c2860da4606, 0x9b4d7e655bb9dd3e, 0xd47b1fd87fc38068,
  0x8a11c913f83a1f9b, 0x87c2886257f9fbe0, 0xabbbddf372e4401b, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xfffb4c161bcaf212, 0x6d4feedd3e096fbf, 0xad68e4486d1ba4ff, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x0ac8917cbaf3c95f,
};

// m16u2_u1x12_uart0_dual_pr_ce_u4   usb162_u1x12_uart0_dual_pr_ce     usb162_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0x2303775b40c89494, 0xee9f12e20614306d, 0x031f9866ff32addc, 0xd69bd474b5b00b47,
  0xfdf04508e489fc18, 0x800dc3e144312bfc, 0xa21955ddeef9b8cf, 0x84c63e2a10cb40a2, 0xbc84b6f15bfe80e7,
  0x4c17fffed30586f2, 0xe93fdb53fbb74f82, 0x71d2dc5f54021b46, 0x445f71258f3ca170, 0xfd7fd47c25f886c2,
  0xcfa9733c5dc6e0a4, 0x83a97ea38df9ee58, 0x316028283e471d3f, 0x75e00ced6b23afe7, 0xc21d21aa01ffb33c,
  0xeee2a4aa4e81e5ad, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x12e65f36dce18ede, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x975e792bf734332c, 0x0000000006926d7b,
};

// usb162_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0x775b40c89494874e, 0x12e20614306d2303, 0x98d6ff32addcee9f, 0xd47801b014870fd7,
  0x8a11c913f83b5b9b, 0x87c2886257f9fbe0, 0x5777bbe6e775801b, 0x48a8432d0d368865, 0xb79dbffa039e1360,
  0xfff6982c3795e425, 0xb53fbb74f825d3ff, 0xf546e4e1b46e93fd, 0x1ff3ca170706b1df, 0x9ba6139dc6e65434,
  0x3d4795bf929dacac, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576,
  0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x09c9b6fc0c4eefd9,
  0xb228301dfbbf3c08, 0xea53929d009bf379, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000010003a2cbaf3,
};

// usb162_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x4306d2303775b40c, 0x696fcee9f12e2061, 0xeb338321cd495f99,
  0xf066b737a8ecf9b0, 0xaff3f7c114239227, 0xcea700370f8510c4, 0x016910caaeef77cd, 0x073c26383150865a,
  0x6f2bc84b6ffafff4, 0xf049fe7fec2f3058, 0x68dd27fb6a7f76e9, 0x3b19bb8bea8d4f43, 0x488bee24b1e7942f,
  0xf20ffa8f84bf10d8, 0x37374cf1771b9aa0, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d, 0x962291669d684502,
  0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238,
  0x64fe2af9ddc5494b, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x54354e4f257ee686, 0x000000000002000f,
};

// m16u4_u1x12_uart0_dual_ee_hw      usb162_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m16u2_u1x12_uart0_dual_ee_hw[] = {
  0x774daf13448687e1, 0x777d7d931d753377, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x1bbada0644a4a470, 0xf8971030a1836918, 0xa26d35f9956ee774, 0x6f51ec7f61ff0e01,
  0x822847244fe0e87e, 0x6e1f0a21895fe7ef, 0xcaaeef77cdcb9100, 0x28b150865a0e9510, 0x4b6fd5fff4073c26,
  0xff6bf730586f2bc8, 0xf6d4feedd3e096fb, 0xaad68e4486d1ba4f, 0xd983053d4795afb9, 0x1143be2ba95ea3e0,
  0xf4616588a459a75a, 0xd2e652e2a5cd2135, 0xea25da2147bd9cea, 0x1151f3d6355ae875, 0x1bd97d2cc5c24228,
  0x109fd62a3608fd6e, 0xb27f157ceee2a4a0, 0x1013936df8189ddf, 0xf36450603bf77e78, 0x9bd4a7253a0137e6,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x0576922fa29e4afd,
};

// m16u4_u1x12_uart0_dual_ee_ce_hw   usb162_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m16u2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41437089, 0xbbebc99d77a99bbb, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0x6eeb6819129290e9, 0xe25c40c2860da460, 0xf31adfe655bb9dd3, 0x7a8f00360290e1fa,
  0x114239227f076b73, 0x70f8510c4aff3f7c, 0xaaeef77cdceeb003, 0x09150865a1a6d10c, 0xb6f3b7ff4073c26c,
  0xf6bf730586f2bc84, 0xda9fddba7c12e9ff, 0xfaa37270da3749fe, 0x87f9e50b838358ef, 0x26e984e771b9d66c,
  0xcf51e56fe4a76b2b, 0x8ae037a8f83660d7, 0x62291669d6845029, 0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d,
  0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3, 0x02726dbf0313bbf6,
  0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0x6371e6c25ccbe6db,
  0x9c69430a9cfd4d87, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00003aea3a2d14f2,
};

// m16u4_u1x12_uart0_dual_ee_ce_u4_hw usb162_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468ce4a, 0xddf5f63f2254cddd, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x1bbada0644a4a479, 0xf8971030a1836918, 0x1cd495f997612774, 0x7a8ecf9b0eb33832,
  0x114239227f066b73, 0x70f8510c4aff3f7c, 0xaaeef77cdcea7003, 0x83150865a016910c, 0xb6ffafff4073c263,
  0xfd53930586f2bc84, 0xda9fddba7c127f9f, 0xfaa353d0da3749fe, 0xc79e37c307066ee2, 0x12fc4361222fb892,
  0xbb8dc524e6ffea3e, 0x7f253b5b9b9ba678, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x000000075d434f81,
};

/*
 * m16u2_u2x8_uart0_noled_pr         m32u2_u2x8_uart0_noled            m32u2_u2x8_uart0_noled_pr
 * usb162_u2x8_uart0_noled           usb162_u2x8_uart0_noled_pr
 */
static const uint64_t ur_m16u2_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0x7cff06879f9c6609, 0xed51ca4df6e9f049, 0x1fa03be5843c368d, 0xfb5a38e9fc1a0bf5, 0x8f58731602cb299e,
  0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb6fc0c4eefd838f8, 0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0xb1e70ddb09732f9b, 0x9fbab31e40d1fc68, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x07c8738e6eb3c95f,
};

// m32u2_u2x8_uart0_noled_pr_u4      usb162_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0xcd7bcfce3304f8c9, 0x72937dba7c125f3f, 0x0ef9610f0da37b54, 0x8e3a7f0682fd47e8, 0x1cc580b2ca67bed6,
  0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xc1e6c25ccbe6d892, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xe887e792bf734332,
  0x00000000007c9fd9,
};

/*
 * m16u2_u2x8_uart0_noled_pr_ee_u4   m32u2_u2x8_uart0_noled_pr_ee      m32u2_u2x8_uart0_noled_pr_ee_u4
 * usb162_u2x8_uart0_noled_pr_ee     usb162_u2x8_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0xef3ec16609f193ba, 0x9bedd3e091c3ff35, 0x68e7186d1bdaa394, 0x1a63ea3cae449aad, 0x0ef8afbaf51f06cc,
  0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2, 0x461c6c6ab5d0ebce, 0xb2d973170908a39e,
  0x4a9a546c11fadc37, 0x6dbf0313bbf60054, 0x03ea0c077eefce72, 0x539794d8ce4df9bc, 0xc2e718de33a20575,
  0xd892455bd8aaa2d2, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xbef05887e792bf73, 0x000000000000004e,
};

// usb162_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x04bbaff06879f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xe771b9f3a43fe78c, 0xf52e7b9602e33984,
  0x4871c74fe0f19fa8, 0x44a3507398b017a0, 0x3dc72c678ebc5ced, 0xb6fc0c4eefd83afc, 0x7e6f301dfbbf39c9,
  0x2460d4d894fdf393, 0xc67440840c6085a7, 0xed84b997cdb4e31b, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x473759e4afdcd0cc, 0x000000000005ba92,
};

// usb162_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff35ef3f21e609f1, 0xa3949bedd3e09393, 0xf9717d72486d1bda, 0x5f71258f3c64a9db, 0x0fd47c25f886c244,
  0xfac99e2ee371fe62, 0x0f59ea393d3dcb19, 0xc580a3e7491c74fe, 0x75e8f9dabfa3d61c, 0xc3eccf2a01ffb33c,
  0xc4eefd838f81e5ad, 0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6,
  0xf3612e65f36c490c, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x43f3c95fb9a19961, 0x00000000375d071c,
};

// usb162_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xedd3e0918fff9af7, 0xc8786d1bdaa3949b, 0x78c953b383717d51, 0xf10d8488bee24b1e,
  0x1b9d66c87fa8f84b, 0x4a76b736f7ccf177, 0x06cc1ad7f51e57d4, 0xd08a0531584ff51f, 0xafa30b2c4522cd3a,
  0x1673abb74e23a909, 0xe363af3a6edbda3c, 0x48451cf230e36355, 0x44c8e1bd96cb98b8, 0xefd859d12a6951b0,
  0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d, 0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x12e65f36c490c76f,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x5443f3c95fb9a199, 0x000000000004fc2b,
};

// usb162_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe6bde7ffe4c13e32, 0xe526fb74f825d3ff, 0x5f546e4e1b46f6a8, 0x92c79e3254ed82dc, 0x3e12fc4361222fb8,
  0x3c5dc6e2545c8fea, 0x9582929dadcdc653, 0x7d47c1b30637fd47, 0x59a75a1140a62b88, 0x752135f4616588a4,
  0x874627ce7576e7bc, 0xc6abc6c75eba9bb0, 0xc5c24228905478ce, 0x8fe1991c37b2e1c8, 0x3936df8189ddfb31,
  0x726fcde603bf77e7, 0xb4e48c1a9b129fbe, 0x6378ce8810818c10, 0x7079b09732f9b69c, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x2e21f9e4afdcd0cc, 0x0000000000027e04,
};

/*
 * m16u2_u2x8_uart0_lednop_pr        m32u2_u2x8_uart0_lednop           m32u2_u2x8_uart0_lednop_pr
 * usb162_u2x8_uart0_lednop          usb162_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_m16u2_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x297dfe0d0f3e7acc, 0x37b5472937dba7c1, 0xd47b58ef9610f0da, 0xf241f8e3a7f0682f, 0xd1a43398b016594d,
  0xffd9823af47cecb3, 0x03cb3db416691500, 0x36df8189ddfb20ad, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0xddb09732f9b6e722, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x48e6eb3c95fb9a19, 0x000000000000f902,
};

// m32u2_u2x8_uart0_lednop_pr_u4     usb162_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m16u2_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xe6bde7cf59827c64, 0x72937dba7c1297df, 0x8ef9610f0da37b54, 0x8e3a7f0682fd47b5, 0x398b016594df241f,
  0x23af47cecb3d1a43, 0xdb416691500ffd98, 0x189ddfb20ad03cb3, 0xf77e781013936df8, 0x0137e6f36450603b,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x732f9b6e722adec5, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0001f263d5e21f9e,
};

/*
 * m16u2_u2x8_uart0_lednop_pr_ee_u4  m32u2_u2x8_uart0_lednop_pr_ee     m32u2_u2x8_uart0_lednop_pr_ee_u4
 * usb162_u2x8_uart0_lednop_pr_ee    usb162_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0xf79fcad304f8c9dd, 0x4df6e9f048a1ff9a, 0xb4738c368ded51ca, 0x0d31f51e56654d56, 0x0ef8ac3dfa8f8366,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7, 0xd96cb98b8484504f,
  0xeccf2a3608fd6e1b, 0x6dbf0313bbf60043, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0x5bd8aaa2d3574e31, 0xf3612e65f36dce45, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x43f3c95fb9a19961, 0x00000000275f249c,
};

// m16u2_u2x8_uart0_lednop_pr_ce_u4  usb162_u2x8_uart0_lednop_pr_ce    usb162_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff9af79f297304f8, 0x51ca4df6e9f049d2, 0x4ab8beb924368ded, 0x5f71258f3c64a9dd, 0x0fd47c25f886c244,
  0xf5933c5dc6e56fc0, 0x1eb3d47e927b9633, 0x8b0153111638e9fc, 0xaf47cecb3d1a4339, 0x416691500ffd99e3,
  0x2777ec82b40f2d6e, 0xdf9e0404e4db7e06, 0x4df9bcd914180efd, 0x1df2a6f529c94e80, 0x45a6ae9c6378ce88,
  0x97cdb73863b7b155, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00dd75a7d10fcf25,
};

// usb162_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16u2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0x79fa1f9827c64eeb, 0xdf6e9f048e0ff9af, 0x46fe4368ded51ca4, 0xf9e3254ef7d9dff5, 0xf984e771b9722495,
  0x51e57dd4a76b2b1e, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315, 0xea3a909afa30b2c4, 0x768c9193473abb71,
  0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec, 0x6fc0c4eefd8598fb, 0x01dfbbf3c0809c9b,
  0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0x0d165abcb9357079,
  0x539fa9d598f207e5, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb, 0x02a21f9e4afdcd0c,
  0x00000000000009f9,
};

// usb162_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x0959fd35304f8c9d, 0x937dba7c12ff9ff2, 0xaa390f0da37b5472, 0xc79e50b83896ae2f, 0x12fc4361222fb892,
  0x771b8089300fea3e, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x4eefd8598fb33ca8,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa,
  0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000027e596fcbaf,
};

// usb162_u2x8_uart0_dual
static const uint64_t ur_m16u2_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x0a18369181bbada0, 0x95c7ae774f897103, 0x60514e0e4e6f9df9, 0x13f838f737a8ebef,
  0x6257f9fbe08a11c9, 0xf9b896801b87c288, 0x65a03e221955ddee, 0xffa039e136f71508, 0x60b0de579096dcca,
  0xedd3e094e3feb0ee, 0x57f86d1bdaa3949b, 0xf83487ea388a77cb, 0x17f0e6c906fc71d3, 0x8b762791bda398b0,
  0x5609fdc72c608ebc, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e,
  0xaba718de33a2077c, 0xb6e722adec555169, 0xb9357079b09732f9, 0x4b867a615c9f9fd8, 0x961d252d9f027196,
  0x71c43f3c95fb9a19, 0x0000000000065bfa,
};

// usb162_u2x8_uart0_dual_pr
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x030a18369181bbad, 0xdf9956ee774f8971, 0xbef60514e0e4e6f9, 0x1c913f838f737a8e,
  0x2886257f9fbe08a1, 0xdeef9b91c801b87c, 0x50865a03e221955d, 0x98fffa039e136f71, 0xfb4c161bcaf212db,
  0xa4df6e9f048f5fff, 0xbe5abfc368ded51c, 0x1d3f83487ea3dc33, 0x8b017f0e65ae4d47, 0xd7916ec27d1a0b39,
  0x494ac349b8e58c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0xce804df9bcc077ee, 0x6953e02d4e48a5ab,
  0x1bc67440cbfc5021, 0xe3cd84b997cdb4e3, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x4d6975e792bf7343, 0x0000000000001880,
};

// usb162_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x18369181bbada064, 0x56ee774f8971030a, 0x0e94e070e6297f99, 0x3f83a9537a8e95b6,
  0x257f9fbe08a11c91, 0x372c7c01b87c2886, 0xb43e44432abbbddf, 0xf4073c261f22a10c, 0x2c3795e425b780df,
  0xba7c1209fffff698, 0x350da37b5472937d, 0x0621fd47c8a77cb1, 0x541e69c5ef8e3a7f, 0x676b591d7f398b01,
  0x0d500ffd9823af00, 0x9549d03cb3db10e9, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef,
  0xf9537a94e4a74026, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000a49cf82975e7,
};

// m16u2_u2x8_uart0_dual_pr_ee_u4    usb162_u2x8_uart0_dual_pr_ee      usb162_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x0ddd6d0322525238, 0x7c4b881850c1b48c, 0xd1369afccab773ba, 0x37a8f63fb0ff8700,
  0xc114239227f0743f, 0x370f8510c4aff3f7, 0x655777bbe6e5c880, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0x7ffff6982c3795e4, 0x5472937dba7c12df, 0x7355ad1c890da37b, 0xc1b3060a7a8f2b5f, 0xb422877c5752bd47,
  0x6be8c2cb1148b34e, 0xd5a5cca5c54b9a42, 0xebd44bb4428f7b39, 0x5022a3e7ac6ab5d0, 0xdc37b2fa598b8484,
  0x40213fac546c11fa, 0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000159122f975e79,
};

// m16u2_u2x8_uart0_dual_pr_ce_u4    usb162_u2x8_uart0_dual_pr_ce      usb162_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0xda4606eeb6819129, 0xb9dd3e25c40c2860, 0x8e063f30cdfe655b, 0x31ad37a8e96b6016,
  0xf9fbe08a11c913f8, 0x9f001b87c2886257, 0x454432abbbddf371, 0xcf098c7c54219681, 0xe579096de2b7fd01,
  0x04982ffffda60b0d, 0x68ded51ca4df6e9f, 0x2e0e3a5b8bea8043, 0xd8488bee24b1e794, 0x149faffa8f84bf10,
  0xcb19f52e678bb8dc, 0xa7f0752fd471bf3d, 0xfce62c050507c8e3, 0x678ebc019dad6475, 0xb5b843a435403ff6,
  0xaf9ddc549549d03c, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xaf72ebcf257ee686, 0x000000000000d24d,
};

// usb162_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x06eeb6819129290e, 0x3e25c40c2860da46, 0xaf31adfe655bb9dd, 0x37a8f00360290e1f,
  0xc114239227f076b7, 0x370f8510c4aff3f7, 0xcaaeef77cdceeb00, 0xc09150865a1a6d10, 0x4b6f3b7ff4073c26,
  0xffffed30586f2bc8, 0x51ca4df6e9f04ba7, 0x3bfea8dc9c368ded, 0x8683fe7942e0e0d6, 0x959374c273b8dcca,
  0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c, 0x5ea25da2147bd9ce,
  0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0xfb27f157ceee2a4a, 0x81013936df8189dd,
  0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0x6af1b8f3612e65f3,
  0xa75666fe0eee3459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a,
  0x0000000200074597,
};

// usb162_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0xc2860da4606eeb68, 0x32d2df9dd3e25c40, 0x61d66706439a92bf,
  0x4fe0cd6e6f51d9f3, 0x895fe7ef82284724, 0x9b9d4e006e1f0a21, 0xb402d221955ddeef, 0xe80e784c7062a10c,
  0xb0de579096dff5ff, 0xd3e093fcffd85e60, 0xe86d1bdaa3949bed, 0x85e76337717d51a9, 0x1b09117dc4963cf2,
  0x541e41ff51f097e2, 0xd6e6e6e99e2ee373, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x01ea86a9c9e4afdc, 0x0000000000000040,
};

// m16u4_u2x8_uart0_dual_ee_hw       usb162_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m16u2_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeefafb263aea66, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0xe1fe609f192246e4, 0x303775b40c894948, 0xe9f12e20614306d2, 0x0344da6bf32addce, 0xfcdea3d8fec3fe1c,
  0xdf04508e489fc1d0, 0x00dc3e144312bfcf, 0x21955ddeef9b9722, 0x4c5162a10cb41d2a, 0x9096dfabffe80e78,
  0xf7fed7ee60b0de57, 0xb5472937dba7c12d, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5, 0xeb422877c5752bd4,
  0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d, 0xadc37b2fa598b848,
  0x940213fac546c11f, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000aed245f453c9,
};

// m16u4_u2x8_uart0_dual_ee_ce_hw    usb162_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m16u2_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7777d7933aef5337, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0xd3a9827c6494eb95, 0xc0ddd6d032252521, 0xa7c4b881850c1b48, 0xf5e635bfccab773b, 0xe6f51e006c0521c3,
  0xf822847244fe0ed6, 0x06e1f0a21895fe7e, 0x1955ddeef9b9dd60, 0xd8122a10cb434da2, 0x096de76ffe80e784,
  0xffed7ee60b0de579, 0xa8e526fb74f825d3, 0x1dff546e4e1b46f6, 0xcd90ff3ca170706b, 0x6564dd309cee373a,
  0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3, 0xd7a89768851ef673,
  0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277,
  0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0xb0ec6e3cd84b997c,
  0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000075d4745a2,
};

// m16u4_u2x8_uart0_dual_ee_ce_u4_hw usb162_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbbebec7e44a99b, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0xf3d7304f8c91ed72, 0x303775b40c894948, 0xe9f12e20614306d2, 0x6439a92bf32ec24e, 0xe6f51d9f361d6670,
  0xf822847244fe0cd6, 0x06e1f0a21895fe7e, 0x1955ddeef9b9d4e0, 0xc7062a10cb402d22, 0x096dff5ffe80e784,
  0x3ffaa7260b0de579, 0xa8e526fb74f824ff, 0xdc5f546a7a1b46f6, 0x1258f3c6f860e0cd, 0x47c25f886c2445f7,
  0xcf1771b8a49cdffd, 0xe56fe4a76b737374, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229,
  0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa,
  0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc,
  0xc3a4a5b3e04e32c9, 0xf02fa792bf734332, 0x0000000000eba869,
};

/*
 * m16u2_u2x12_uart0_noled_pr        m32u2_u2x12_uart0_noled           m32u2_u2x12_uart0_noled_pr
 * usb162_u2x12_uart0_noled          usb162_u2x12_uart0_noled_pr
 */
static const uint64_t ur_m16u2_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0x53fc1a1e7f4a9827, 0x9fcda9f55ba7c120, 0xcb08786d1bdaa394, 0xd3f83417ea3f4077, 0x2c0596533df6b471,
  0xaf47ced5fd1eb0e6, 0x1f6679500ffd9823, 0x9ddfb071f03cb3db, 0x3bf77e73936df818, 0xc6726fcde01f5060,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0xb612e65f36c4922a, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x9cdd6792bf734332, 0x00000000007c801c,
};

// m32u2_u2x12_uart0_noled_pr_u4     usb162_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m16u2_u2x12_uart0_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xfcd7bcfe95304f8c, 0xcda9f55ba7c12053, 0x08786d1bdaa3949f, 0xf83417ea3f4077cb, 0x0596533df6b471d3,
  0x47ced5fd1eb0e62c, 0x6679500ffd9823af, 0xdfb071f03cb3db1f, 0xf77e73936df8189d, 0x726fcde01f50603b,
  0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x12e65f36c4922ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000003e4f2d2c43f,
};

/*
 * m16u2_u2x12_uart0_noled_pr_ee_u4  m32u2_u2x12_uart0_noled_pr_ee     m32u2_u2x12_uart0_noled_pr_ee_u4
 * usb162_u2x12_uart0_noled_pr_ee    usb162_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0xab74f82452ffcd7b, 0xa37b547293f9b53e, 0x95c89355ad1ce30d, 0x5ea3e0d9834c7d47,
  0x2cd3ad08a1df15f7, 0x26909afa30b2c452, 0xe0b39d5a5e715c6b, 0x56ba1d79d376ded1, 0xe1211473c8c38d8d,
  0x823f5b86f65b2e62, 0x777ec00a89534a8d, 0xefddf9ce4db7e062, 0x19c9bf37807d4180, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xd84b997cdb1248ab, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xfcf257ee68665874, 0x00000009d7153910,
};

// m16u2_u2x12_uart0_noled_pr_ce_u4  usb162_u2x12_uart0_noled_pr_ce    usb162_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe6bde7cbacc13e32, 0xda9f55ba7c12f9df, 0x2486d1bdaa3949fc, 0xf3c64a9dbf9717d7, 0x5f886c2445f71258,
  0xee371fe620fd47c2, 0x93d3dcb19fac99e2, 0x7491c74fe0f59ea3, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d,
  0x38f81e5adc3eccf2, 0x39c9b6fc0c4eefd8, 0xe6f00fa8301dfbbf, 0x15d54e5e53633937, 0x8b4b0b9c6378ce88,
  0x5f36c490c76f62aa, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0375d32d443f3c95,
};

// usb162_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m16u2_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0x6e9f0486b7f9af79, 0x6f6a8e527f36a7d5, 0x7810effaa37f21b4, 0xdceb3643fcf192a7,
  0x53b5958f7cc273b8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8, 0x7d185962291669d6, 0xb39d5dba711d484d,
  0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2, 0x7ec2ce89534a8d82, 0xddf9ce4db7e06277,
  0xc9bf37807d4180ef, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b, 0x165abcb9357079b0,
  0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25, 0xa21f9e4afdcd0ccb,
  0x000000000013f3a7,
};

// usb162_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xb3e9b7304f8c9dd8, 0x56e9f04866ffe412, 0x46f6a8e527f36a7d, 0x70e0dc5f54721e1b, 0x445f71258f3ca170,
  0x524fd47c25f886c2, 0x36f7ccf1771b9d1f, 0xd7f51e57d44a76b7, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb74e23a909afa30b, 0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1,
  0xc9b6fc0c4eefd859, 0xf00fa8301dfbbf39, 0xd54e5e53633937e6, 0x4b0b9c6378ce8815, 0x36c490c76f62aa8b,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fc1f82975e79,
};

/*
 * m16u2_u2x12_uart0_lednop_pr       m32u2_u2x12_uart0_lednop          m32u2_u2x12_uart0_lednop_pr
 * usb162_u2x12_uart0_lednop         usb162_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_m16u2_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0xcff06879f9c6609f, 0x7f36a7d56e9f0497, 0x2c90e1b46f6a8e52, 0x4fe0cd27a8e4f1df, 0xb016f74c3e7491c7,
  0xf173b35f23905398, 0x61583ef71cb1823a, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x0f90e71cdd6792bf,
};

// m32u2_u2x12_uart0_lednop_pr_u4    usb162_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m16u2_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0x35ef3e13e609f193, 0x6a7d56e9f04900ff, 0x1e1b46f6a8e527f3, 0x0d05fa8f6b1df2c2, 0xcb29be483f1c74fe,
  0x9d967a3486731602, 0x22a01ffb30475e8f, 0x6415a07967b682cd, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0,
  0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x26ae0f3612e65f36, 0x63c81f943458df17,
  0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xedc8443f3c95fb9a, 0x00000000000003e4,
};

/*
 * m16u2_u2x12_uart0_lednop_pr_ee_u4 m32u2_u2x12_uart0_lednop_pr_ee    m32u2_u2x12_uart0_lednop_pr_ee_u4
 * usb162_u2x12_uart0_lednop_pr_ee   usb162_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0xadd3e0929eff35ef, 0x8ded51ca4fe6d4fa, 0x56654d56b4738c36, 0xfa8f83660d31f51e,
  0x669d68450ef8ac3d, 0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635,
  0x08fd6e1bd96cb98b, 0xbbf60043eccf2a36, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xf1726ae0f3612e65, 0x75663c81f943458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x275c9c5c43f3c95f,
};

// m16u2_u2x12_uart0_lednop_pr_ce_u4 usb162_u2x12_uart0_lednop_pr_ce   usb162_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe6bde7d82cc13e32, 0xda9f55ba7c12387f, 0x2486d1bdaa3949fc, 0xe78c953ba95717d7, 0xbf10d8488bee24b1,
  0xb8dcadf801fa8f84, 0xd24f72c67eb2678b, 0x22c71d3f83d67a8f, 0x67a3486731602a62, 0x01ffb33c75e8f9d9,
  0x5681e5adc82cd22a, 0x9c9b6fc0c4eefd90, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x1621f9e4afdcd0cc, 0x00000000001bafbc,
};

// usb162_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m16u2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xba7c12eafff35ef3, 0xbdaa3949fcda9f55, 0xefb3bfea8dfc86d1, 0x72e4492bf3c64a9d,
  0x4ed6563df309cee3, 0xd9835afea3cafba9, 0x1140a62bdbfea3e0, 0xf4616588a459a75a, 0x8e7576e3d4752135,
  0x363af3a6ed192326, 0x84504f237b56355e, 0x4c8e1bd96cb98b84, 0xfb0b31f667951b04, 0x81013936df8189dd,
  0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0x726ae0f3612e65f3,
  0x31e40fca1a2cb579, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000013f176443f3c,
};

// usb162_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0xacfbfc9827c64eef, 0xaadd3e09068ff904, 0x68ded51ca4fe6d4f, 0x0e25ab8bea8e43c3, 0x488bee24b1e7942e,
  0x4c03fa8f84bf10d8, 0xcdbdf33c5dc6e022, 0xb5fd4795f7529dad, 0x4c57b7fd47c1b306, 0xcb1148b34eb42281,
  0xedc7a8ea426be8c2, 0xe74dda32464d1cea, 0x9e46f6ac6abc6c75, 0x37b2d973170908a0, 0x63eccf2a3608991c,
  0x726dbf0313bbf616, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xc4b692ebcf257ee6, 0x000000000000004f,
};

// usb162_u2x12_uart0_dual
static const uint64_t ur_m16u2_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0xa18369181bbada06, 0x5c7ae774f8971030, 0x0e4ce1f3a690ff99, 0x9fc1bf937a8e5176,
  0x12bfcfdf04508e48, 0x9b9d5e00dc3e1443, 0x5a0f7a21955ddeef, 0xf4073c261bf15086, 0x2c3795e425b7a95f,
  0x74f825dd7fac3b98, 0x7b547293f9b53eab, 0x47114ef96aff0da3, 0xc7a48e3a7f0690fd, 0x1bda398b017f0e64,
  0xcb1823af22dd9af9, 0xf3bb8a929583ef71, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x253a0137e6f2dd41,
  0x0b4e02f7ca9bd4a7, 0xe31bc674408ea281, 0xab83cd84b997cdb4, 0x33d30ae4fcfec5c9, 0xe9296cf8138cb25c,
  0x21f9e4afdcd0ccb0, 0x00000000196f8e2e,
};

// m16u2_u2x12_uart0_dual_pr_u4      usb162_u2x12_uart0_dual_pr        usb162_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m16u2_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x9c0a5ccc17f32add, 0x7fba6f51dd2ec0e1,
  0xf3f7c114239227f0, 0xfe00370f8510c4af, 0x7c4432abbbddf373, 0x73c267be2a10cb41, 0x795e425b7a95ff40,
  0xe09775ffff6982c3, 0x51ca4fe6d4faadd3, 0x229df2c4d4368ded, 0xbe38e9fc1887f51f, 0xfce62c055079a717,
  0x608ebc019dad6475, 0xcf6c43a435403ff6, 0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9,
  0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x96a5d79e4afdcd0c, 0x00000000000524f5,
};

// m16u2_u2x12_uart0_dual_pr_ee_u4   usb162_u2x12_uart0_dual_pr_ee     usb162_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u2_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x1bbada0644a4a447, 0xf8971030a1836918, 0x6a67f9f9956ee774, 0x37a8fff3601a0e1a,
  0xc114239227f07d3f, 0x370f8510c4aff3f7, 0x655777bbe6e12500, 0x3938a8432d038688, 0x25b7a1fffa039e13,
  0x7ffff6982c3795e4, 0xfcda9f55ba7c12d3, 0x8e4486d1bdaa3949, 0x053d4795afb9aad6, 0xbe2ba95ea3e0d983,
  0x6588a459a75a1143, 0x52e2a5cd2135f461, 0xda2147bd9cead2e6, 0xf3d6355ae875ea25, 0x7d2cc5c242281151,
  0xd62a3608fd6e1bd9, 0x157ceee2a4a0109f, 0x936df8189ddfb27f, 0x50603bf77e781013, 0xa7253a0137e6f364,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0xc79b09732f9b6e72, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xc859cbaf3c95fb9a,
  0x000000000000000a,
};

// m16u2_u2x12_uart0_dual_pr_ce_u4   usb162_u2x12_uart0_dual_pr_ce     usb162_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x81bbada0644a4a43, 0x4f8971030a183691, 0xcdcdbb5f9956ee77, 0x9bd470b5b031f380,
  0xf04508e489fc193a, 0x0dc3e144312bfcfd, 0x1955ddeef9b9d660, 0xd01a2a10cb41c9a2, 0x84b6e35bfe80e784,
  0x13fffed30586f2bc, 0x3f9b53eab74f8258, 0xfaa010da37b54729, 0x2c79e50b838e96e2, 0xe12fc4361222fb89,
  0xe2ee370527ebfea3, 0x1c6fcf72c67d4b99, 0x41f238e9fc1d4bf5, 0x6b591d7f398b0141, 0x500ffd99e3af0067,
  0x52740f2d6e10e90d, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0034923ebcbaf3c9,
};

// usb162_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m16u2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x0ddd6d032252520c, 0x7c4b881850c1b48c, 0x6e6986fccab773ba, 0xdea38a4d87eb9c0d,
  0x04508e489fc1d6fc, 0xdc3e144312bfcfdf, 0x2abbbddf37000000, 0x5745421968456443, 0x2dbdadffd01cf09a,
  0xffffb4c161bcaf21, 0xcda9f55ba7c12b1f, 0xb9386d1bdaa3949f, 0xf285c1c1ac77fd51, 0x84e771b9950d07fc,
  0xe56fe4a76b2b26e9, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229, 0x4428f7b39d5db8ca,
  0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa, 0x6dbf0313bbf64fe2,
  0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31,
  0xfc1ddc68b2d5e371, 0x69430a9cfd4eaccd, 0x7e03e687993fc09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x02000e7d2ebcf257,
};

// usb162_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0x2860da4606eeb681, 0x2d2df9dd3e25c40c, 0x0c8670a4a999cbf3,
  0xfe0e61a6f51facf6, 0x95fe7ef822847244, 0xb8b82006e1f0a218, 0x818fa21955ddeef9, 0x039e13757c542196,
  0x3795e425b735bffa, 0xf825883ff617982c, 0x547293f9b53eab74, 0xee2faa353d0da37b, 0xb892c79e50bcec66,
  0xea3e12fc4361222f, 0x33c5dc6e6a83c83f, 0x795bf929dadcdcdd, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8,
  0x8752135f4616588a, 0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97,
  0xabe77715252cc4fe, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x393c95fb9a19961d, 0x0000000800fb3cd5,
};

// m16u4_u2x12_uart0_dual_ee_hw      usb162_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m16u2_u2x12_uart0_dual_ee_hw[] = {
  0xbba6d789a243573e, 0xdddf5f853ada99bb, 0xdd8becad4d7ddddd, 0x554368bbb625d96f, 0x2fbb37594a3f738b,
  0xee9827c64dc1b92e, 0x0ddd6d0322525223, 0x7c4b881850c1b48c, 0x3533fcfccab773ba, 0x9bd47ff9b00d070d,
  0xe08a11c913f83e9f, 0x1b87c2886257f9fb, 0x32abbbddf3709280, 0x9c9c54219681c344, 0x12dbd0fffd01cf09,
  0xffdafdcc161bcaf2, 0xf9b53eab74f825a6, 0x1c890da37b547293, 0x0a7a8f2b5f7355ad, 0x7c5752bd47c1b306,
  0xcb1148b34eb42287, 0xa5c54b9a426be8c2, 0xb4428f7b39d5a5cc, 0xe7ac6ab5d0ebd44b, 0xfa598b84845022a3,
  0xac546c11fadc37b2, 0x2af9ddc54940213f, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x8f3612e65f36dce4, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xd167453c95fb9a19, 0x00000000000000ae,
};

// m16u4_u2x12_uart0_dual_ee_ce_hw   usb162_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m16u2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41436f02, 0xddf5e36f26299bbb, 0x2162afdc89dddddd, 0xd32024775056caae, 0xc3e6be8b360f89ba,
  0xf5cc13e325d95c9f, 0x1bbada0644a4a418, 0xf8971030a1836918, 0xdcd30df9956ee774, 0xbd47149b0fd7381a,
  0x08a11c913f83adf9, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0xae8a8432d08ac886, 0x5b7b5bffa039e134,
  0xfb5fb982c3795e42, 0x6d4faadd3e0958ff, 0xc9c368ded51ca4fe, 0x942e0e0d63bfea8d, 0x139dc6e759b21fe7,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0x0c2a73f5361d8dc7, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027, 0x75d4e7d453c95fb9,
};

// m16u4_u2x12_uart0_dual_ee_ce_u4_hw usb162_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468a0ae, 0xeefafc763f14cddd, 0x83e44fdebdeeeeee, 0xa16ccf753927dda0, 0x5bd0faf6097d7aef,
  0x09f192afae5f5f7f, 0xb681912929196d26, 0xc40c2860da4606ee, 0x397e65d849dd3e25, 0xf59ec190ce149533,
  0x8e489fc1cc34dea3, 0x144312bfcfdf0450, 0xbddf37170400dc3e, 0x8432d031f4432abb, 0xb7ff4073c26eaf8a,
  0x930586f2bc84b6e6, 0x55ba7c12c41ffd53, 0xd1bdaa3949fcda9f, 0x38337717d51a9e86, 0x117dc4963cf1be18,
  0x37ff51f097e21b09, 0xdcdd33c5dc6e2927, 0xf3d4795bf929dadc, 0x62b80dea3e0d9835, 0x588a459a75a1140a,
  0x6e328752135f4616, 0x512ed10a3dece757, 0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1,
  0x93f8abe77715252c, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xd4e7930be9e4afdc, 0x0000000000000075,
};

/*
 * m16u2_swio10_noled_pr             m32u2_swio10_noled                m32u2_swio10_noled_pr
 * usb162_swio10_noled               usb162_swio10_noled_pr
 */
static const uint64_t ur_m16u2_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xd491913fc1a1e7c3, 0x0c43fa8ef79df2c4, 0xdee9a71c8b1c74fe, 0xcedd02359e731602,
  0xc6bedc72c608ebc5, 0x8e793fb5e5caad4a, 0xf5673a8a9546ba13, 0x5f48b5359caed52d, 0xad115e58b4954bef,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d10270a45, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xc801c9cdd6792bf7, 0x0000000000000007,
};

// m32u2_swio10_noled_pr_u4          usb162_swio10_noled_pr_u4
static const uint64_t ur_m16u2_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xebfcd7bcfc7b9827, 0xa8f371df2c22c91e, 0x32a718e3a7f064f7, 0xf476b1cc580b2ca6,
  0x1ffb30475e8f9d9e, 0xa07967b770d67aa0, 0x9e4fed7972ab555a, 0x59cea2a551ae84e3, 0xd22d4d672bb54b7d,
  0x4457962d2552fbd7, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6c25ccbe6d902455,
  0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x7e792bf734332c3a, 0x00000007c9cf8288,
};

/*
 * m16u2_swio10_noled_pr_ee_u4       m32u2_swio10_noled_pr_ee          m32u2_swio10_noled_pr_ee_u4
 * usb162_swio10_noled_pr_ee         usb162_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xdff9af79f1ad304f, 0x70e6ab5a38f72474, 0x8f83660cf5f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x39d5a5ff72e35934, 0xd0ebce9bb6948e21, 0x845098a3116c6ab5, 0xfd6e1bd96cb98b84,
  0xad40226abfaa3608, 0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x4bef5f48b5359cae, 0x73daad115e58b495,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x409156f62aa8b4b6, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x48be21f9e4afdcd0, 0x00000000000009d7,
};

// m16u2_swio10_noled_pr_ce_u4       usb162_swio10_noled_pr_ce         usb162_swio10_noled_pr_ce_u4
static const uint64_t ur_m16u2_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x3813fcd7bcfdba98, 0x953bcad717d64492, 0xd8488bee24b1e78c, 0x951723fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1e0bf51f249e, 0xd6398b017ba05238, 0x6678ebd1f3b3de8e, 0xcb5bae1acf5403ff,
  0x7f6bcb955aaad503, 0x75152a8d74271cf2, 0x6a6b395daa5beace, 0xbcb1692a97debe91, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5ccbe6d90218edec, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00006ebed7b887e7,
};

// usb162_swio10_noled_pr_ee_ce
static const uint64_t ur_m16u2_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe6bde7c344c13e3, 0xe77fd519c392363f, 0x00dbbfcf192a7763, 0xcac7be6139dc6e00,
  0x6807a8f2b74b29da, 0x14c5721fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbf70ea426be8c, 0xbce9bb6948e2139d,
  0x1314622d8d578d8e, 0xc37b2d973170908a, 0xb326abfaa3608991, 0x38e793fb5e5caad4, 0xdf5673a8a9546ba1,
  0xf5f48b5359caed52, 0xaad115e58b4954be, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x0f3612e65f36c810, 0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8,
  0xa19961d252d9f027, 0xf83a2c43f3c95fb9, 0x0000000000000009,
};

// usb162_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fe412b3e87d304, 0xc41717d51dba9238, 0x17dc4963cf285c1c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0xf27f6bcb955a9664,
  0xce75152a8d74271c, 0x916a6b395daa5bea, 0x22bcb1692a97debe, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0xc25ccbe6d90218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x12ebcf257ee68665, 0x00000000004fc3d5,
};

/*
 * m16u2_swio10_noled_ee_ce_u4_hw    m16u4_swio10_noled_ee_ce_hw       m16u4_swio10_noled_ee_ce_u4_hw
 * usb162_swio10_noled_ee_ce_hw      usb162_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x47107fb0ff9f43e9, 0x839882e2faa3b752, 0x1222fb892c79e50b, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f48b5359caed52d, 0xad115e58b4954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd51453c95fb9a199, 0x000000000000a023,
};

// m32u2_swio10_lednop               usb162_swio10_lednop
static const uint64_t ur_m16u2_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0xa4884fff06879f32, 0x621fd47c90ef9626, 0x7ba6ee8148e3a7f0, 0x9d87c47d21cc580b,
  0xcb87b8e58c11d78b, 0x8e793fb5e5caad4a, 0xf5673a8a9546ba13, 0xb535c0809caed52d, 0x5e58b4956ae97f48,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xe65f36cbb22adec5, 0x985727e7f61bb612,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000002a41d39bac,
};

/*
 * m16u2_swio10_lednop_pr_u4         m32u2_swio10_lednop_pr            m32u2_swio10_lednop_pr_u4
 * usb162_swio10_lednop_pr           usb162_swio10_lednop_pr_u4
 */
static const uint64_t ur_m16u2_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0xf7fe6bde7e034c13, 0xa8f389df2c22c910, 0x63cf58e3a7f064f7, 0x11c1f398b016594c,
  0x7fecc11d7a3e76f9, 0xa07967b7bdf40a80, 0x9e4fed7972ab5815, 0x59cea2a551ae84e3, 0x4d7020272bb54b7d,
  0x962d255aba5fd22d, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x97cdb2ec8ab7b155,
  0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x01f273f0510fcf25,
};

/*
 * m16u2_swio10_lednop_pr_ee_u4      m32u2_swio10_lednop_pr_ee         m32u2_swio10_lednop_pr_ee_u4
 * usb162_swio10_lednop_pr_ee        usb162_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0x72ff35ef3fd5f304, 0xca1cd56b471ee48c, 0x51f06cc19ebea3ca, 0xd3ad08a1df15b05f,
  0x909afa30b2c4522c, 0x873ab4bfce5c6b26, 0x743af3a6ec13d1af, 0x4228c9118dfb1aad, 0x7eb70decb65cc5c2,
  0xad402b86b3d51b04, 0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x7f48b535c0809cae, 0xad115e58b4956ae9,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x3612e65f36cbb22a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x3f3c95fb9a19961d, 0x000000009d7085c4,
};

// m16u2_swio10_lednop_pr_ce_u4      usb162_swio10_lednop_pr_ce        usb162_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16u2_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0xefbff35ef3f15a60, 0x54eedd5c5f591248, 0x61222fb892c79e32, 0x253397ea3e12fc43,
  0x9633f5933c5dc6e5, 0xa7f0782fd470527b, 0xf9cc580a1ed008e3, 0x678ebd1f3b7c88e0, 0x2d6edefa05403ff6,
  0xfdaf2e556b02b40f, 0xd454aa35d09c73c9, 0x0404e576a96fab39, 0xa4ab574bfa45a9ae, 0x5aeb9ed5688af2c5,
  0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6cbb0c76f62aa8b4, 0x726ae0f3612e65f3, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x5eeadc43f3c95fb9, 0x0000000000000037,
};

// usb162_swio10_lednop_pr_ee_ce
static const uint64_t ur_m16u2_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfcd7bcfcedcc13e, 0x68effaa338724776, 0xa3ea49f9e3254ef7, 0xd6563df309cee373,
  0x83403d479597594e, 0x40a62b297ea3e0d9, 0x616588a459a75a11, 0xeaeddf38752135f4, 0xebce9bb04f46be1c,
  0x46488c6fd8d578d8, 0x386f65b2e62e1211, 0x2cee1acf546c1132, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8,
  0x22d4d7020272bb54, 0x457962d255aba5fd, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x9732f9b65d863b7b, 0x43458f38b93571b0, 0xc2b93f75663c81f9, 0xb2c944e32c970cf4, 0x92bf734332c3a4a5,
  0x000029a68be887e7,
};

// usb162_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01ff20959ffd7982, 0x400b8bea8edd4918, 0x8bee24b1e7942e0e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x93fb5e5caad4b3b8,
  0x73a8a9546ba138e7, 0x5c0809caed52df56, 0x8b4956ae97f48b53, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6d97618edec5551, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00004fc09ad2ebcf,
};

/*
 * m16u2_swio10_lednop_ee_ce_u4_hw   m16u4_swio10_lednop_ee_ce_hw      m16u4_swio10_lednop_ee_ce_u4_hw
 * usb162_swio10_lednop_ee_ce_hw     usb162_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x3003fd87fcffebcc, 0x1c801717d51dba92, 0x9117dc4963cf285c, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xcf27f6bcb955a967,
  0xace75152a8d74271, 0xa6b8101395daa5be, 0xcb1692ad5d2fe916, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb2ec31dbd8aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000280826b514f,
};

/*
 * m16u2_swio10_dual_pr              m16u2_swio10_dual_pr_u4           usb162_swio10_dual
 * usb162_swio10_dual_pr             usb162_swio10_dual_pr_u4
 */
static const uint64_t ur_m16u2_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0xef9b95be00dc3e14, 0x865a119221955dde, 0x5ffa039e135ad150,
  0x4c161bcaf212db97, 0xf961f248d4affffb, 0x1d3f83117d47910e, 0x8b01541e6fdc6547, 0xd78033b4e28def39,
  0xad783ea807fecc11, 0xb8a92dfe181e59ed, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0x0272bb54b7d59cea,
  0x55aba5fd22d4d702, 0x75cf6ab4457962d2, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x2ec8ab7b15545a48,
  0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x2926b5aa5d79e4af,
};

// usb162_swio10_dual_pr_ee
static const uint64_t ur_m16u2_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x700b5318ffe655bb,
  0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0xb4432abbbddf3715, 0xf0983dc54219682f,
  0xaf212dba6dffd01c, 0x1a1fffffb4c161bc, 0x95efb9aad68ca2c9, 0x5ea3e0d98332bd47, 0x59a75a1143be2bb7,
  0xcd2135f4616588a4, 0x4a39d5a5ca1ae2a5, 0x6ba1d7a89768f68f, 0x0908a1004698d8d5, 0x23f5b86f65f4b317,
  0x8a92805195aca8d8, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed, 0x272bb54b7d59cea2, 0x5aba5fd22d4d7020,
  0x5cf6ab4457962d25, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xec8ab7b15545a482, 0xc6e3cd84b997cdb2,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002b23d6e5d79,
};

// usb162_swio10_dual_pr_ee_u4
static const uint64_t ur_m16u2_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x01ac70275325afcc,
  0x9fc1efb9bd478adb, 0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6e9b7f, 0xbf924687ffffed30, 0x7fa8f2b60b355ad1, 0x8ae43fa8f83660c2, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x38a39b8e75697726, 0xac6ab5d0ebdac4ed, 0xe3170908a16ba38c, 0x2ae3a4fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xbb54b7d59cea2a55, 0xa5fd22d4d7020272, 0x6ab4457962d255ab,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0x69c6378ce881b1fe, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x00564085cbaf3c95,
};

// usb162_swio10_dual_pr_ce
static const uint64_t ur_m16u2_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0x71a0e00dc3e14431, 0x807b4432abbbddf3, 0x01cf09827c542196,
  0x1bcaf212dbd8fffd, 0x3e488d6ffffb4c16, 0x7942e0e1c1b8bea6, 0xf10d8488bee24b1e, 0x1b9722495fa8f84b,
  0x27b9633ea5ccf177, 0x8e3a7f0770fd47ea, 0x46f79cc580b52bba, 0xff6678ebc019da71, 0x03cb5b96bc1f5403,
  0xf8abe7771525bfc3, 0xc73c9fdaf2e556b3, 0xfab39d454aa35d09, 0x5a9ae0404e576a96, 0xaf2c5a4ab574bfa4,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36cbb0c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x00692631975e792b,
};

// usb162_swio10_dual_pr_ce_u4
static const uint64_t ur_m16u2_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e52500370f851, 0x32d009e88655777b, 0x7fd01cf09a718a84,
  0x60b0de579096dd2d, 0xfaf75246dd7fffda, 0x2c79e50b839a6ee2, 0xe12fc4361222fb89, 0xc5dc6e5c89257ea3,
  0x3cbe9ee58cf0e333, 0x7a5471d3f8359fea, 0xb244637ce62c058f, 0xcb71cb19e3af22dd, 0x7f157ceee2a4a3a8,
  0x38e793fb5e5caad6, 0xdf5673a8a9546ba1, 0x8b535c0809caed52, 0x15e58b4956ae97f4, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6d97618edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587,
  0x0000000034913412,
};

// usb162_swio10_dual_pr_ee_ce
static const uint64_t ur_m16u2_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0xf0e188266bbfccab,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x76ec01b87c288625, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6fd83ff40, 0x246d6ffffed30586, 0x7072d6ceffaa3c09, 0xb8dc300dd0ff3ca1, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x04e576a96fab39d4, 0xab574bfa45a9ae04, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xbb0c76f62aa8b490, 0xe1b8f3612e65f36c, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813,
  0x04e93a5d79e4afdc, 0x0000000000000013,
};

// usb162_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x20614306d2303775, 0x5f99696fcee9f12e,
  0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0xef9b911880370f85, 0x0cb4239221955dde,
  0x7fe80e784dbee2a1, 0x60b0de579096dee4, 0x8ce0c9135bffd85e, 0xe7942f3b35bb8bea, 0xbf10d8488bee24b1,
  0x1b9118a71ffa8f84, 0x4a76b737374cf177, 0x06cc1f75ea3caf2b, 0xd08a05315caef51f, 0xafa30b2c4522cd3a,
  0x28e7576e2863a909, 0xc6c75ea25da3da3d, 0x4845080234c6c6ab, 0x8991c37b2fa598b8, 0x2a4a59c656b2a360,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0x9caed52df5673a8a, 0x6ae97f48b535c080, 0x73daad115e58b495,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x618edec55516920a, 0x5c1e6c25ccbe6d97, 0x83f6ec68b1be2e4d,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x354e4f257ee68665, 0x0000000004000835,
};

// m16u4_swio10_dual_ee_hw           usb162_swio10_dual_ee_hw
static const uint64_t ur_m16u2_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0x306d2303775b40c8, 0xaddcee9f12e20614, 0x25a3805a98c7ff32,
  0xfe0e2b4dea393ad8, 0x95fe7ef822847244, 0xb8a91006e1f0a218, 0x417da21955ddeef9, 0x80e784c1ee2a10cb,
  0x0de579096dd36ffe, 0x592343ffed7ee60b, 0xa8f2bdf7355ad194, 0x76ebd47c1b306657, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0xd1e9473ab4b9435c, 0x1aad743af512ed1e, 0x62e121142008d31b, 0x1b047eb70decbe96,
  0x777152500a32b595, 0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x0404e576a96fab39, 0xa4ab574bfa45a9ae,
  0x5aeb9ed5688af2c5, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002bb4f5ba29e4af,
};

// m16u4_swio10_dual_ee_ce_hw        usb162_swio10_dual_ee_ce_hw
static const uint64_t ur_m16u2_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0x8369181bbada0644, 0x6ee774f8971030a1, 0xfe1c3104cd77f995,
  0xf07ff26f51f4d6c1, 0xaff3f7c114239227, 0x8edd80370f8510c4, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096dfb07fe8, 0x9236b7fed7ee60b0, 0xb8396b677fd51e04, 0xee3719cba3ff9e50, 0x5694ed6564dd309c,
  0x3e0d983eebd4795e, 0x75a1140a62b95dea, 0x135f4616588a459a, 0x7a51ceaedc50c752, 0x578d8ebd44bb47b4,
  0x70908a1004698d8d, 0xc1132386f65f4b31, 0xdc5494b38cad6546, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x01395daa5beace75, 0x2ad5d2fe916a6b81, 0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a,
  0x2ec31dbd8aaa2d24, 0xd86e3cd84b997cdb, 0x964b867a615c9f9f, 0x19961d252d9f0271, 0x69f49d453c95fb9a,
  0x0000000000000022,
};

// m16u4_swio10_dual_ee_ce_u4_hw     usb162_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x2f0e6e5afccbb093,
  0xb9bd47c6ed87609c, 0xbe08a11c913f836b, 0x01b87c2886257f9f, 0x0caaeef77cdc88c4, 0x6df7150865a11c91,
  0x84b6f723ff4073c2, 0x7ffd53930586f2bc, 0xb7717d519c19226b, 0xdc4963cf1be18386, 0xf51f097e21b09117,
  0x4cf1771b8b82e1ff, 0x3caf2b4a76b73737, 0xaef51f06cc1f75ea, 0x22cd3ad08a05315c, 0x63a909afa30b2c45,
  0xa3da3d28e7576e28, 0xc6c6abc6c75ea25d, 0xa598b84845080234, 0xb2a3608991c37b2f, 0x57ceee2a4a59c656,
  0x793fb5e5caad67f1, 0x673a8a9546ba138e, 0x35c0809caed52df5, 0x58b4956ae97f48b5, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6d97618edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000ebace2f82fa79,
};

/*
 * m16u2_swio11_noled_pr             m16u2_swio12_noled                m16u2_swio12_noled_pr
 * m32u2_swio11_noled                m32u2_swio11_noled_pr             m32u2_swio12_noled
 * m32u2_swio12_noled_pr             usb162_swio11_noled               usb162_swio11_noled_pr
 * usb162_swio12_noled               usb162_swio12_noled_pr
 */
static const uint64_t ur_m16u2_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x491eebfc1a1e7e3d, 0xebffa8e989df2dd0, 0xf74c800f91c74fe0, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x1cf27f6bcb955a95, 0xaece75152a8d7427, 0xe916a6b395daa5be, 0x688af2c5a4ad8deb,
  0x52a7d3bcfd6b9ed5, 0x10b4b0b9d4ea7016, 0xc6378ce8811e5e28, 0xe70ddb09732f9b69, 0xbab31e40d1fc68b1,
  0x71964b867a615c9f, 0xa19961d252d964a2, 0x90248e6eb3c95fb9, 0x000000000000000f,
};

/*
 * m16u2_swio12_noled_pr_u4          m32u2_swio11_noled_pr_u4          m32u2_swio12_noled_pr_u4
 * usb162_swio11_noled_pr_u4         usb162_swio12_noled_pr_u4
 */
static const uint64_t ur_m16u2_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xfcd7bcf98f9827c6, 0xc143be5b7b923b7f, 0xa011c74fe0c9af51, 0x88a731602cb2983d,
  0xecc11d7a3e764c51, 0x7967b76b13ca807f, 0x4fed7972ab542260, 0xcea2a551ae84e39e, 0xd4d672bb54b7d5d9,
  0x5e58b495b1bd7d22, 0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x2e65f36d843156f6,
  0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00007c9df54443f3,
};

/*
 * m16u2_swio11_noled_pr_ee_u4       m16u2_swio12_noled_pr_ee          m16u2_swio12_noled_pr_ee_u4
 * m32u2_swio11_noled_pr_ee          m32u2_swio11_noled_pr_ee_u4       m32u2_swio12_noled_pr_ee
 * m32u2_swio12_noled_pr_ee_u4       usb162_swio11_noled_pr_ee         usb162_swio11_noled_pr_ee_u4
 * usb162_swio12_noled_pr_ee         usb162_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xfcd7bcf9c19827c6, 0xb355ad198f923b3b, 0xc1b307d47a8f2b2e, 0xb422877c5652fd47,
  0x6be8c2cb1148b34e, 0xead2ee4d71ac9a42, 0x75e74dd8f547f21c, 0x288851ef76355ae8, 0xb70decb65cc5c242,
  0x500ba0e7951b047e, 0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae, 0xbd7d22d4d672bb54, 0xdaad115e58b495b1,
  0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x3156f62aa8b4b689, 0xe0f3612e65f36d84, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x0443f3c95fb9a199, 0x000000000009d74d,
};

/*
 * m16u2_swio11_noled_pr_ce_u4       m16u2_swio12_noled_pr_ce          m16u2_swio12_noled_pr_ce_u4
 * usb162_swio11_noled_pr_ce         usb162_swio11_noled_pr_ce_u4      usb162_swio12_noled_pr_ce
 * usb162_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m16u2_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff35ef3fa6e609, 0x4ee575c5f5eea48e, 0x1222fb892c79e325, 0x1d257ea3e12fc436,
  0x633f5933c5dc6e32, 0x7f06b3fd475f27b9, 0x398b0176fcbe8e3a, 0x78ebd1f3b2628c45, 0xd6eb589e5403ff66,
  0xdaf2e556a844c0f2, 0x454aa35d09c73c9f, 0xace576a96fabb39d, 0xb1692b637afa45a9, 0x9f16bae7b55a22bc,
  0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x97cdb61098edec55, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00dd779b710fcf25,
};

// m16u2_swio12_noled_pr_ee_ce       usb162_swio11_noled_pr_ee_ce      usb162_swio12_noled_pr_ee_ce
static const uint64_t ur_m16u2_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x35ef3e9b7304f8c9, 0xbfea8cbac9119bff, 0xe8ffe78c953b19b3, 0x58f7cc273b8dc672,
  0x4af51e5721e53b59, 0x98ace1fa8f83660f, 0x962291669d684502, 0xb73931d484d7d185, 0x9d3763d51fc873ab,
  0x428f7bb1aaf1b1d7, 0x6f65b2e62e121144, 0x3e839e546c113238, 0x8e793fb5e5caad4b, 0x57673a8a9546ba13,
  0xf48b5359caed52df, 0xb4457962d256c6f5, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718,
  0x1b09732f9b6c2131, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970, 0x7e792bf734332c3a,
  0x0000000a69a7d788,
};

// m16u2_swio12_noled_pr_ee_ce_u4    usb162_swio11_noled_pr_ee_ce_u4   usb162_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffc82567c524c13e, 0xfdc5f547a6e48d6f, 0xee24b1e7942e0e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x3fb5e5caad4b3e83,
  0x3a8a9546ba138e79, 0x5359caed52df5767, 0x7962d256c6f5f48b, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34,
  0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xaf3c95fb9a19961d, 0x000000013f0dc84b,
};

/*
 * m16u2_swio11_noled_ee_ce_u4_hw    m16u2_swio12_noled_ee_ce_hw       m16u2_swio12_noled_ee_ce_u4_hw
 * m16u4_swio11_noled_ee_ce_hw       m16u4_swio11_noled_ee_ce_u4_hw    m16u4_swio12_noled_ee_ce_hw
 * m16u4_swio12_noled_ee_ce_u4_hw    usb162_swio11_noled_ee_ce_hw      usb162_swio11_noled_ee_ce_u4_hw
 * usb162_swio12_noled_ee_ce_hw      usb162_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b9235, 0x2fb892c79e50b839, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xc9fdaf2e556a59f4,
  0x39d454aa35d09c73, 0x5a9ace576a96fabb, 0x2bcb1692b637afa4, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002808dc85,
};

/*
 * m16u2_swio12_lednop               m32u2_swio11_lednop               m32u2_swio12_lednop
 * usb162_swio11_lednop              usb162_swio12_lednop
 */
static const uint64_t ur_m16u2_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x124644ff06879f0f, 0x3affea3af877cb74, 0xf74db7e5f471d3f8, 0xecb5d1dc3398b016,
  0x2d6dc72c608ebc5c, 0x39e4fed7972ab52b, 0x5d9cea2a551ae84e, 0x4d7020272bb54b7d, 0xcb1692b97a5fd22d,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0xcbe6db18c55bd8aa, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00000a93eb73759e,
};

/*
 * m16u2_swio11_lednop_pr_u4         m16u2_swio12_lednop_pr            m16u2_swio12_lednop_pr_u4
 * m32u2_swio11_lednop_pr            m32u2_swio11_lednop_pr_u4         m32u2_swio12_lednop_pr
 * m32u2_swio12_lednop_pr_u4         usb162_swio11_lednop_pr           usb162_swio11_lednop_pr_u4
 * usb162_swio12_lednop_pr           usb162_swio12_lednop_pr_u4
 */
static const uint64_t ur_m16u2_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xf35ef3ebee609f19, 0x400ef96dee48c7bf, 0xd4471d3f8326bd47, 0x37ce62c0596533f9,
  0xb30475e8f9db2446, 0xcb3db83fd22a01ff, 0x7f6bcb955acbb503, 0x75152a8d74271cf2, 0x101395daa5beaece,
  0x495cbd2fe916a6b8, 0xb5d73daad115e58b, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d8c62adec555169,
  0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x98405c43f3c95fb9, 0x000000000000007c,
};

/*
 * m16u2_swio12_lednop_pr_ee         m32u2_swio11_lednop_pr_ee         m32u2_swio12_lednop_pr_ee
 * usb162_swio11_lednop_pr_ee        usb162_swio12_lednop_pr_ee
 */
static const uint64_t ur_m16u2_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0x9af79f4b5304f8c9, 0x6ab5a331f2446b7f, 0x3660fa8f51e56c16, 0x8450ef8ad4f7a8f8,
  0x7d185962291669d6, 0x5a5dd2ae3593484d, 0xbce9bb4888e6e39d, 0x0be238cac6ab5d0e, 0xe1bd96cb98b84845,
  0x015ac4f2a3608fd6, 0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0, 0x5a9ae0404e576a96, 0x57962d2572f4bfa4,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb6318ab7b1, 0xb3a7c5c9ab83cd84,
  0xfd4eacc7903f2868, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xafd3d10fcf257ee6, 0x0000000000000013,
};

/*
 * m16u2_swio12_lednop_pr_ee_u4      m32u2_swio11_lednop_pr_ee_u4      m32u2_swio12_lednop_pr_ee_u4
 * usb162_swio11_lednop_pr_ee_u4     usb162_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xfcd7bcf8d69827c6, 0x7355ad1edf923a6f, 0xc1b30738fa8f2b38, 0xb422877c565d7d47,
  0x6be8c2cb1148b34e, 0xd5a5ff72e2899a42, 0x5eba9bb6948e2139, 0x84c5188b6355ae87, 0xc37b2e1c8c5c2422,
  0x6bcb955aae2d6fad, 0x152a8d74271cf27f, 0x1395daa5beaece75, 0x5cbd2fe916a6b810, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x917c43f3c95fb9a1, 0x00000000000013ae,
};

/*
 * m16u2_swio11_lednop_pr_ce_u4      m16u2_swio12_lednop_pr_ce         m16u2_swio12_lednop_pr_ce_u4
 * usb162_swio11_lednop_pr_ce        usb162_swio11_lednop_pr_ce_u4     usb162_swio12_lednop_pr_ce
 * usb162_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m16u2_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe6bde7e394c13, 0x9de9bb8bebdd491b, 0x2445f71258f3c64a, 0xaca8fd47c25f886c,
  0xc67eb2678bb8dc24, 0xfc1acff51e5f4f72, 0x731602c7bd2a38e9, 0xe3af47ced92231be, 0xb741fe91500ffd99,
  0xd7972ab5976a0796, 0x2a551ae84e39e4fe, 0x272bb54b7d5d9cea, 0xb97a5fd22d4d7020, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xab83cd84b997cdb6, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x59510fcf257ee686, 0x0000000000006ebd,
};

// m16u2_swio12_lednop_pr_ee_ce      usb162_swio11_lednop_pr_ee_ce     usb162_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16u2_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe6bde7dfe4c13e32, 0x3bfea8cbac910d1f, 0x38227f3c64a9d868, 0x958f7cc273b8dc68,
  0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450, 0xbb73a51d484d7d18, 0x79d3769111cdc73a,
  0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0x38e793fb5e5caad4, 0xf57673a8a9546ba1,
  0xb535c0809caed52d, 0xaf2c5a4ae5e97f48, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0xe65f36d8c4c76f62, 0x68b1e71726ae3612, 0x5727eeacc7903f28, 0x59289c6592e19e98, 0x57ee6866587494b6,
  0x000a69d8ff10fcf2,
};

// m16u2_swio12_lednop_pr_ee_ce_u4   usb162_swio11_lednop_pr_ee_ce_u4  usb162_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xff20959fec19827c, 0xd717d51e9b92287d, 0xb892c79e50b83887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xfdaf2e556a59dac4,
  0xd454aa35d09c73c9, 0x404e576a96fabb39, 0x2572f4bfa45a9ae0, 0xd75cf6ab4457962d, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x6c6263b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f32d2cbaf3c95,
};

/*
 * m16u2_swio11_lednop_ee_ce_u4_hw   m16u2_swio12_lednop_ee_ce_hw      m16u2_swio12_lednop_ee_ce_u4_hw
 * m16u4_swio11_lednop_ee_ce_hw      m16u4_swio11_lednop_ee_ce_u4_hw   m16u4_swio12_lednop_ee_ce_hw
 * m16u4_swio12_lednop_ee_ce_u4_hw   usb162_swio11_lednop_ee_ce_hw     usb162_swio11_lednop_ee_ce_u4_hw
 * usb162_swio12_lednop_ee_ce_hw     usb162_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b9228, 0x2fb892c79e50b838, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xc9fdaf2e556a59da,
  0x39d454aa35d09c73, 0xe0404e576a96fabb, 0x2d2572f4bfa45a9a, 0xcad75cf6ab445796, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00050165a5a29e4a,
};

/*
 * m16u2_swio11_dual_pr              m16u2_swio11_dual_pr_u4           m16u2_swio12_dual
 * m16u2_swio12_dual_pr              m16u2_swio12_dual_pr_u4           usb162_swio11_dual
 * usb162_swio11_dual_pr             usb162_swio11_dual_pr_u4          usb162_swio12_dual
 * usb162_swio12_dual_pr             usb162_swio12_dual_pr_u4
 */
static const uint64_t ur_m16u2_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x860da4606eeb6819, 0x55bb9dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x596bc9128bffff69, 0x4fe0f7bf51fba3be, 0x80aa0f33930f71c7, 0xc019d90046989cc5,
  0x78df5403ff6608eb, 0x15257cea07967b6f, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45,
  0x2f4bfa45a9ae0404, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0x6e3cd84b997cdb63, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x26838e5d79e4afdc, 0x0000000000000029,
};

// m16u2_swio12_dual_pr_ee           usb162_swio11_dual_pr_ee          usb162_swio12_dual_pr_ee
static const uint64_t ur_m16u2_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0x2303775b40c89494, 0xee9f12e20614306d, 0x805a98c7ff32addc,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x216bfffed30586f2, 0x2bb75355ad1fee92, 0xfa8f83660c3dfa8f, 0x669d68450ef8af4d,
  0x3484d7d185962291, 0xd4e7569760ab8a97, 0xae875ea25d8c7a33, 0x24228d291c436355, 0x8fd6e1bd97d2cc5c,
  0x549402c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe916a6b81013,
  0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000ac856a975e79,
};

// m16u2_swio12_dual_pr_ee_u4        usb162_swio11_dual_pr_ee_u4       usb162_swio12_dual_pr_ee_u4
static const uint64_t ur_m16u2_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x6d2303775b40c894, 0xdcee9f12e2061430, 0xb1c09d4c96bf32ad,
  0x07bee6f51e2b6c06, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x8f688655777bbe6e, 0x1cf09a448a8432d0,
  0xde579096df4d7fd0, 0xd2442d7fffda60b0, 0x51e56a7a6ab5a380, 0xce1fa8f83660e44f, 0x291669d68450ef8a,
  0x4173484d7d185962, 0x23050e756974acb8, 0x6ab5d0ebdac4ec80, 0x170908a1ef47916c, 0xc5c3fadc37b2e3e3,
  0x6b3f8abe77715255, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa45a9ae0404e576a, 0x4457962d2572f4bf,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc67440a2fa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x593a7a5d79e4afdc, 0x0000000000000001,
};

// m16u2_swio12_dual_pr_ce           usb162_swio11_dual_pr_ce          usb162_swio12_dual_pr_ce
static const uint64_t ur_m16u2_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x18369181bbada064, 0x56ee774f8971030a, 0x2391c0e0cdd5ff99,
  0x7f072ba6f51f676c, 0x4aff3f7c11423922, 0x6e29200370f8510c, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0xc3795e425b719bff, 0xfe491383ffff6982, 0xe7942e0e13ab8bea, 0xbf10d8488bee24b1, 0x71b9494ce5fa8f84,
  0x3e7b9633ea5ccf17, 0xf8e3a7f076b7a8e1, 0x08d31398b014a2ed, 0x7feccf1d78033b20, 0x503cb5b9ef1bea80,
  0x9fc55f3bb8a92be7, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x2d4d7020272bb54b, 0x2bcb1692b97a5fd2,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0xb8d1674f86e3cd84,
  0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x001a48bb25d79e4a,
};

// m16u2_swio12_dual_pr_ce_u4        usb162_swio11_dual_pr_ce_u4       usb162_swio12_dual_pr_ce_u4
static const uint64_t ur_m16u2_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x18369181bbada064, 0x56ee774f8971030a, 0x1bece1a6e68adf99,
  0x3f8328737a8f95b6, 0x257f9fbe08a11c91, 0x37092801b87c2886, 0x6804f4432abbbddf, 0xe80e784d38c54219,
  0xb0de579096de87ff, 0xdbf2474dffffda60, 0xf3ca17073675c5f5, 0x5f886c2445f71258, 0xb8dca4a672fd47c2,
  0xe33dcb19e1c6678b, 0xd638e9fc193dea3c, 0xf11c6473160298f3, 0xdc72c678ebc8b765, 0x8abe77715251d645,
  0x73c9fdaf2e556b3f, 0xbb39d454aa35d09c, 0x9ae0404e576a96fa, 0x962d2572f4bfa45a, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000001a4859cbaf,
};

// m16u2_swio12_dual_pr_ee_ce        usb162_swio11_dual_pr_ee_ce       usb162_swio12_dual_pr_ee_ce
static const uint64_t ur_m16u2_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0x9181bbada0644a4a, 0x774f8971030a1836, 0xc3104cd77f9956ee,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0x3883fffed30586f2, 0x1cc4077fd51e5692, 0x371523dd6fcf285c, 0x94ed6564dd309cee,
  0x1b307b7fd4795cae, 0x422814c57befd47c, 0xbe8c2cb1148b34eb, 0x539d5db9828ea426, 0x1b1d7a897631e8cf,
  0x21146948e21b1aaf, 0x26470decbe9662e1, 0x5252cf2288aa8d82, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf,
  0x576a96fabb39d454, 0xf4bfa45a9ae0404e, 0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6c62, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x7392ebcf257ee686, 0x0000000000000982,
};

// m16u2_swio12_dual_pr_ee_ce_u4     usb162_swio11_dual_pr_ee_ce_u4    usb162_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x850c1b48c0ddd6d0, 0x65a5bf3ba7c4b881,
  0xc3b04e1787372d7e, 0x9fc1b5dcdea3e376, 0x12bfcfdf04508e48, 0x37055000dc3e1443, 0x684724432abbbddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbd257f, 0x3a923787ffb0bcc1, 0x285e77787717d519, 0x21b09117dc4963cf,
  0x82a8b24ff51f097e, 0x76b737374cf1771b, 0x983dbfea3cae574a, 0x140a62bdf7ea3e0d, 0x4616588a459a75a1,
  0xceaedcc14752135f, 0x8ebd44bb18f467a9, 0x8a34a4710d8d578d, 0x2386f65f4b317090, 0x296791445546c113,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x5fd22d4d7020272b, 0x55a22bcb1692b97a,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0xdd8d1637c5c9ab83,
  0x2a73f53ab337f07e, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xc9e4afdcd0ccb0e9, 0x00000080097056a9,
};

/*
 * m16u2_swio12_dual_ee_hw           m16u4_swio11_dual_ee_hw           m16u4_swio12_dual_ee_hw
 * usb162_swio11_dual_ee_hw          usb162_swio12_dual_ee_hw
 */
static const uint64_t ur_m16u2_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0x8369181bbada0644, 0x6ee774f8971030a1, 0x2d1c02d4c63ff995,
  0xf0715a6f51c9d6c1, 0xaff3f7c114239227, 0xcba180370f8510c4, 0x0bed10caaeef77cd, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0xd2442d7fb5fb982c, 0x51e576ea6ab5a3fd, 0xe9bf51f06cc187bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x467a9cead2ec1571, 0x6ab5d0ebd44bb18f, 0x8b848451a523886c, 0x6c11fadc37b2fa59,
  0xbb8a928059144554, 0xed7972ab59fc55f3, 0xa2a551ae84e39e4f, 0x0272bb54b7d5d9ce, 0x2b97a5fd22d4d702,
  0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0aed15aa8a792bf7,
};

/*
 * m16u2_swio12_dual_ee_ce_hw        m16u4_swio11_dual_ee_ce_hw        m16u4_swio12_dual_ee_ce_hw
 * usb162_swio11_dual_ee_ce_hw       usb162_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_m16u2_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x70c41335dfe655bb,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0x0400dc3e144312bf, 0x54432abbbddf3717, 0xf09a43c542196830,
  0xaf212db9adffd01c, 0x3883fdafdcc161bc, 0x1cc4077fd51e5692, 0x1b9950d07fcf285c, 0x4a76b2b26e984e77,
  0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467,
  0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7,
  0x2bb54b7d5d9cea2a, 0x7a5fd22d4d702027, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xf39453c95fb9a199,
  0x0000000000002269,
};

/*
 * m16u2_swio12_dual_ee_ce_u4_hw     m16u4_swio11_dual_ee_ce_u4_hw     m16u4_swio12_dual_ee_ce_u4_hw
 * usb162_swio11_dual_ee_ce_u4_hw    usb162_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0xdd6d032252521966, 0x4b881850c1b48c0d, 0x6e5afccbb093ba7c,
  0x47c6ed87609c2f0e, 0xa11c913f836bb9bd, 0x7c2886257f9fbe08, 0x777bbe6e0aa001b8, 0x8a8432d08e488655,
  0x7a4affa039e136fb, 0xa9c982c3795e425b, 0xbea8c9d491bc3ffe, 0xb1e78df0c1cbc3b8, 0x84bf10d8488bee24,
  0xbb8dc0b233d7fa8f, 0x2ba53b5b9b9ba678, 0x1f06cc1edff51e57, 0x3ad08a05315efbf5, 0x09afa30b2c4522cd,
  0x33d4e7576e60a3a9, 0xabc6c75ea25d8c7a, 0xb848451a523886c6, 0x608991c37b2fa598, 0xdc5494b3c8a22aa3,
  0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0x1395daa5beaece75, 0x5cbd2fe916a6b810, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0x6371e6c25ccbe6db, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xaf3d0c2fa792bf73,
  0x00000000000000eb,
};

/*
 * m16u2_swio13_noled_pr             m32u2_swio13_noled                m32u2_swio13_noled_pr
 * usb162_swio13_noled               usb162_swio13_noled_pr
 */
static const uint64_t ur_m16u2_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4923dd7f8343cfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0xa45a9ace576a96fa, 0x115e58b4956af7af,
  0x8629bd677973daad, 0xbc5021696bfc46a7, 0x36d38c6f19d1023c, 0xd163ce1bb612e65f, 0xb93f75663c81a3f8,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x001f20491cdd6792,
};

// m32u2_swio13_noled_pr_u4          usb162_swio13_noled_pr_u4
static const uint64_t ur_m16u2_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x32bfcd7bcfbf9304, 0xea3cbe3be5a0fc91, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x73c9fdaf2e556afa, 0xfb39d454aa35d09c, 0x6a6b395daa5beaa6,
  0x7962d255abdebe91, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x9732f9b632455bd8,
  0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00003e4f596a21f9,
};

/*
 * m16u2_swio13_noled_pr_ee_u4       m32u2_swio13_noled_pr_ee          m32u2_swio13_noled_pr_ee_u4
 * usb162_swio13_noled_pr_ee         usb162_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xdfe6bde7c9d4c13e, 0xa5cd56b46fe4918a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0xbe916a6b395daa5b, 0xb4457962d255abde,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0x79b09732f9b63245, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x21f9e4afdcd0ccb0, 0x00000000009d72ce,
};

// m16u2_swio13_noled_pr_ce_u4       usb162_swio13_noled_pr_ce         usb162_swio13_noled_pr_ce_u4
static const uint64_t ur_m16u2_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0xcaeff35ef3fb3a60, 0xa9defbb8bebb7e48, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0x7f6bcb955abeb703, 0x75152a8d74271cf2, 0xce576a96faa9bece, 0xb4956af7afa45a9a, 0x8b5d73daad115e58,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7cdb190c76f62aa8, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0dd78faf10fcf257,
};

// usb162_swio13_noled_pr_ee_ce
static const uint64_t ur_m16u2_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652e48ffc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x138e793fb5e5caad, 0x54df673a8a9546ba,
  0xd22d4d672bb54b7d, 0x88af2c5a4ab57bd7, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b,
  0x6c25ccbe6d8c863b, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9,
  0x0000000a699cfa21,
};

// usb162_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59caed52df5537d9, 0x1692ad5ef5f48b53, 0xf16bae7b55a22bcb, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000013f3ecf4baf,
};

/*
 * m16u2_swio13_noled_ee_ce_u4_hw    m16u4_swio13_noled_ee_ce_hw       m16u4_swio13_noled_ee_ce_u4_hw
 * usb162_swio13_noled_ee_ce_hw      usb162_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d672bb54b7d54df, 0x2c5a4ab57bd7d22d, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001405f67a8a,
};

// m32u2_swio13_lednop               usb162_swio13_lednop
static const uint64_t ur_m16u2_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xd24918f7fe0d0f3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8, 0x35c0809caed52df5, 0x962d2572497f48b5,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0x674409cfa2810b4d, 0xd84b997cdb4e31bc, 0x867a615c9f9fd86e,
  0xd252d964a271964b, 0x6eb3c95fb9a19961, 0x0000000000a92dce,
};

/*
 * m16u2_swio13_lednop_pr_u4         m32u2_swio13_lednop_pr            m32u2_swio13_lednop_pr_u4
 * usb162_swio13_lednop_pr           usb162_swio13_lednop_pr_u4
 */
static const uint64_t ur_m16u2_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x31ffe6bde7ea54c1, 0xf51f4a3be5a0fc91, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xcf27f6bcb955adc3, 0xece75152a8d74271, 0x0404e576a96faa9b,
  0x692b924bfa45a9ae, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d,
  0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x935705887e792bf7, 0x000000000000000f,
};

// m32u2_swio13_lednop_pr_ee         usb162_swio13_lednop_pr_ee
static const uint64_t ur_m16u2_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x3fe6bde7e87e609f, 0x4f4d56b46fe49138, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0xe84e39e4fed7972a, 0xf5537d9cea2a551a, 0xb535c0809caed52d, 0x57962d2572497f48,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb40a8ab7b1, 0xb3a7c5c9ab83cd84,
  0xfd4eacc7903f2868, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xd781510fcf257ee6, 0x0000000000000009,
};

// m32u2_swio13_lednop_pr_ee_u4      usb162_swio13_lednop_pr_ee_u4
static const uint64_t ur_m16u2_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0xbfcd7bcf9c19827c, 0x759aad68cca923b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0xfb5e5caad57022fd, 0xa8a9546ba138e793, 0x72bb54b7d54df673, 0xc925fd22d4d70202, 0x73daad115e58b495,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x2a2adec55516920a, 0xae0f3612e65f36d0, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0xd0443f3c95fb9a19, 0x0000000000009d74,
};

// m16u2_swio13_lednop_pr_ce_u4      usb162_swio13_lednop_pr_ce        usb162_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16u2_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x8e9bff35ef3e35a6, 0x4a9deceb8bebb7e4, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0x7f6bcb955adc3903, 0x75152a8d74271cf2, 0x4e576a96faa9bece, 0xb924bfa45a9ae040, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x45f10fcf257ee686, 0x0000000000006eba,
};

// usb162_swio13_lednop_pr_ee_ce
static const uint64_t ur_m16u2_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5c914db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x271cf27f6bcb955a, 0xa9bece75152a8d74,
  0x9ae0404e576a96fa, 0xcb1692b924bfa45a, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0x97cdb40a31dbd8aa, 0x2c79c5c9ab8d84b9, 0xc9fbab31e40fca1a, 0x4a271964b867a615, 0xfb9a19961d252d96,
  0x029a62fdc43f3c95,
};

// usb162_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e576a96faa9bec, 0x2b924bfa45a9ae04, 0xbae7b55a22bcb169, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f83d5e5d79e4af,
};

/*
 * m16u2_swio13_lednop_ee_ce_u4_hw   m16u4_swio13_lednop_ee_ce_hw      m16u4_swio13_lednop_ee_ce_u4_hw
 * usb162_swio13_lednop_ee_ce_hw     usb162_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0xc5a4ae492fe916a6, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a021eaf453c9,
};

/*
 * m16u2_swio13_dual_pr              m16u2_swio13_dual_pr_u4           usb162_swio13_dual
 * usb162_swio13_dual_pr             usb162_swio13_dual_pr_u4
 */
static const uint64_t ur_m16u2_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0x7cb3df247f77fffd, 0x3a7f0707fd47dbe7, 0x2c05507992b47b8e, 0x5e00ceda523884e6,
  0xa63192a01ffb3047, 0xee2a4b81281e59ed, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x2bb54b7d54df673a,
  0x925fd22d4d702027, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7,
  0xb8f3612e65f36d02, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x9af3e975e792bf73, 0x00000000000000a4,
};

// usb162_swio13_dual_pr_ee
static const uint64_t ur_m16u2_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x8e016a631ffccab7,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x23d3fffff6982c37, 0xf2bd37355ad1b939, 0x77a8f83660e3dfa8, 0x1669d68450ef8af6,
  0x73484d7d18596229, 0xea0e7569753cb8a9, 0xad743af512ecfe23, 0xe121141ea8fe4b1a, 0x047eb70decbe9662,
  0x715250087cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x5daa5beaa6fb39d4, 0x92fe916a6b810139,
  0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x000ac83a2cbaf3c9,
};

// usb162_swio13_dual_pr_ee_u4
static const uint64_t ur_m16u2_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x956ee774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0xd7dc91e9fffffb4c, 0xebd4795e049aad68, 0xe2b2ebea3e0d983e, 0x588a459a75a1143b,
  0x2e105cd2135f4616, 0xd291cbe39d5a5fe7, 0x96355ae875ed6276, 0xf8c5c242284c518f, 0x4ab8b5beb70decb8,
  0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0x4b7d54df673a8a95, 0xd22d4d7020272bb5, 0xd115e58b495c925f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x2b240a975e792bf7,
};

// usb162_swio13_dual_pr_ce
static const uint64_t ur_m16u2_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x01a4893affffb4c1, 0xcf285c1ceafb8beb, 0x7e21b09117dc4963, 0xe37092b2a3f51f09,
  0x24f72c67d4b99e2e, 0xa8e3a7f0622fa8f2, 0xa47109cc580bfb8c, 0x3ff6678ebc019db4, 0x940f2d6e4c632540,
  0xb3f8abe7771525c0, 0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d, 0xa6b8101395daa5be, 0xf2c5a4ae492fe916,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0x3459d3e1b8f3612e,
  0x4e7ea75666fe0eee, 0x8b9c65f989fca185, 0xf1cf7ff04d0f327f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x01a4864975e792bf,
};

// usb162_swio13_dual_pr_ce_u4
static const uint64_t ur_m16u2_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x5f532a48eceffffb, 0x258f3ca170722b5c, 0x7c25f886c2445f71, 0x78bb8dc24aca8fd4,
  0xa3a013dcb19e1c66, 0xfcea238e9fc1935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x84e39e4fed7972ab, 0x5537d9cea2a551ae, 0x535c0809caed52df, 0x7962d2572497f48b, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2,
  0x0000000d24085cba,
};

// usb162_swio13_dual_pr_ee_ce
static const uint64_t ur_m16u2_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x0e188266bbfccab7,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x235bfffff6982c37, 0x8395be77fd51cae9, 0xc6e5d0dd51f9e50b, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0x76a96faa9bece751, 0x4bfa45a9ae0404e5, 0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x4e975e792bf73433, 0x0000000000013045,
};

// usb162_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d2df9dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xeaf92330dffb0bcc, 0xe50bcee61ae2faa3, 0xc4361222fb892c79,
  0xe271fdc7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb306657a8f2bdf72, 0x22814c576ebd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db94f0ea426b, 0xd8ebd44bb3f88fa8, 0x08a0f547f258d578, 0x32386f65f4b31709, 0x494b31f37b546c11,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0xa96faa9bece75152, 0xfa45a9ae0404e576, 0x5a22bcb1692b924b,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000004004f826a9c,
};

// m16u4_swio13_dual_ee_hw           usb162_swio13_dual_ee_hw
static const uint64_t ur_m16u2_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x0da4606eeb681912, 0xbb9dd3e25c40c286, 0xb4700b5318ffe655,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x247a7ffdafdcc161, 0x1e57a6e6ab5a3727, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x2bb54b7d54df673a, 0x925fd22d4d702027,
  0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7, 0xb8f3612e65f36d02,
  0xfe50c2a73f52f571, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000000aed0e8b4,
};

// m16u4_swio13_dual_ee_ce_hw        usb162_swio13_dual_ee_ce_hw
static const uint64_t ur_m16u2_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x369181bbada0644a, 0xee774f8971030a18, 0xe1c3104cd77f9956,
  0x07ff26f51f4d6c1f, 0xff3f7c114239227f, 0x0b200370f8510c4a, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6f787ff40, 0x91adfff6bf730586, 0xc1cadf3bfea8e574, 0x71b9d1f524fcf285, 0xdca76b2b26e984e7,
  0xf06cc1995ea3caf7, 0xad08a05315dbaf51, 0x9afa30b2c4522cd3, 0xea0e7576e53c3a90, 0x5e363af512ecfe23,
  0xc242283d51fc9635, 0x044c8e1bd97d2cc5, 0x715252cc7cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x5daa5beaa6fb39d4, 0x92fe916a6b810139, 0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d028, 0xe19e985727e7f61b, 0x87494b67c09c6592, 0xa7514f257ee68665,
  0x000000000002269a,
};

// m16u4_swio13_dual_ee_ce_u4_hw     usb162_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x06eeb68191292917, 0x3e25c40c2860da46, 0x87372d7e65d849dd,
  0xdea3e376c3b04e17, 0x04508e489fc1b5dc, 0xdc3e144312bfcfdf, 0x55777bbe6e271e00, 0xfb8a8432d08e4886,
  0x5b724affa039e136, 0xfea9c982c3795e42, 0x717d51f57c91986f, 0x4963cf1be183930d, 0x1f097e21b09117dc,
  0xe2ee37387f8fbbf5, 0x5efb94ed6e6e6e99, 0xea3e0d98332bd479, 0x9a75a1140a62bb75, 0x52135f4616588a45,
  0xc47d41ceaedca787, 0xc6abc6c75ea25d9f, 0x98b8484507aa3f92, 0xa3608991c37b2fa5, 0xceee2a4a598f9bda,
  0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0x272bb54b7d54df67, 0x5c925fd22d4d7020, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0x6371e6c25ccbe6da, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xa91e4c2fa792bf73,
  0x00000000000000eb,
};

/*
 * m16u2_swio14_noled_pr             m32u2_swio14_noled                m32u2_swio14_noled_pr
 * usb162_swio14_noled               usb162_swio14_noled_pr
 */
static const uint64_t ur_m16u2_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xd0491eebfc1a1e7e, 0xe0ebffa8e989df2d, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0x5beace75152a8d74, 0xfa45a9ace9b95daa, 0xad115e58b495b1fb,
  0xca54fa779fad73da, 0x021696173a9d4e02, 0x38c6f19d1023cbc5, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xf20491cdd6792bf7, 0x0000000000000001,
};

// m32u2_swio14_noled_pr_u4          usb162_swio14_noled_pr_u4
static const uint64_t ur_m16u2_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0xbffe6bde7cc7cc13, 0xa8e0a1df2dbdc91d, 0x1ed008e3a7f064d7, 0x28c45398b016594c,
  0x3ff6608ebd1f3b26, 0x303cb3dbb589e540, 0xcf27f6bcb955aa11, 0xace75152a8d74271, 0x5a9ace9b95daa5be,
  0x15e58b495b1fbfa4, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x12e65f36d843156f,
  0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000007c9df54443f,
};

/*
 * m16u2_swio14_noled_pr_ee_u4       m32u2_swio14_noled_pr_ee          m32u2_swio14_noled_pr_ee_u4
 * usb162_swio14_noled_pr_ee         usb162_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x3bfcd7bcf9c19827, 0x2eb355ad198f923b, 0x47c1b307d47a8f2b, 0x4eb422877c5652fd,
  0x426be8c2cb1148b3, 0x1cead2ee4d71ac9a, 0xe875e74dd8f547f2, 0x42288851ef76355a, 0x7eb70decb65cc5c2,
  0xab500ba0e7951b04, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x3f7f48b5359d372b, 0x7b55a22bcb1692b6,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x862adec5551696d1, 0x5c1e6c25ccbe6db0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xa0887e792bf73433, 0x0000000000013ae9,
};

// m16u2_swio14_noled_pr_ce_u4       usb162_swio14_noled_pr_ce         usb162_swio14_noled_pr_ce_u4
static const uint64_t ur_m16u2_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x1cadfe6bde7f4dcc, 0x4a9dcaeb8bebdd49, 0x6c2445f71258f3c6, 0x643a4afd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0d67fa8ebe4f, 0x8a731602edf97d1c, 0xccf1d7a3e764c518, 0xe5add6b13ca807fe,
  0x3fb5e5caad508981, 0x3a8a9546ba138e79, 0xd674dcaed52df567, 0x2c5a4ad8fdfd22d4, 0xe7c5aeb9ed5688af,
  0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x65f36d84263b7b15, 0x8df1726ae0f3612e, 0xea75663c81f94345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x00375de6dc43f3c9,
};

// usb162_swio14_noled_pr_ee_ce
static const uint64_t ur_m16u2_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff9af79f4db9827c, 0xd9dff5465d6488cd, 0x39747ff3c64a9d8c, 0xacac7be6139dc6e3,
  0x07a57a8f2b90f29d, 0x814c5670fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9c98ea426be8, 0xebce9bb1ea8fe439,
  0xa22147bdd8d578d8, 0x1c37b2d973170908, 0xa59f41cf2a360899, 0x09c73c9fdaf2e556, 0x96fab39d454aa35d,
  0xfe916a6b3a6e576a, 0xab4457962d256c7e, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x71b09732f9b6c213, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97, 0x87e792bf734332c3,
  0x00000000a69a7d78,
};

// usb162_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff904acf8a4982, 0xadfb8bea8f4dc91a, 0x17dc4963cf285c1c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0xf27f6bcb955a967d,
  0xce75152a8d74271c, 0xa9ace9b95daa5bea, 0x5e58b495b1fbfa45, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x000000004fc37212,
};

/*
 * m16u2_swio14_noled_ee_ce_u4_hw    m16u4_swio14_noled_ee_ce_hw       m16u4_swio14_noled_ee_ce_u4_hw
 * usb162_swio14_noled_ee_ce_hw      usb162_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x6b7ffd87fcf8a498, 0x72b7ee2faa3d3724, 0x445f71258f3ca170, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x2d4d674dcaed52df, 0x8af2c5a4ad8fdfd2, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a023721,
};

// m32u2_swio14_lednop               usb162_swio14_lednop
static const uint64_t ur_m16u2_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0x74124644ff06879f, 0xf83affea3af877cb, 0x16f74db7e5f471d3, 0x5cecb5d1dc3398b0,
  0x2b2d6dc72c608ebc, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x535c0809d372bb54, 0xbcb1692b97d8f48b,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6db18c55bd8a, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000a93eb73759,
};

/*
 * m16u2_swio14_lednop_pr_u4         m32u2_swio14_lednop_pr            m32u2_swio14_lednop_pr_u4
 * usb162_swio14_lednop_pr           usb162_swio14_lednop_pr_u4
 */
static const uint64_t ur_m16u2_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xdff9af79f5f7304f, 0xa3a0077cb6f72463, 0xfcea238e9fc1935e, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x793fb5e5caad65da, 0x673a8a9546ba138e, 0x020274dcaed52df5,
  0x5a4ae5f63d22d4d7, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6c63156f62aa8b,
  0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xe4c202e21f9e4afd, 0x0000000000000003,
};

// m32u2_swio14_lednop_pr_ee         usb162_swio14_lednop_pr_ee
static const uint64_t ur_m16u2_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0x7f9af79f4b5304f8, 0x166ab5a331f2446b, 0xf83660fa8f51e56c, 0xd68450ef8ad4f7a8,
  0x4d7d185962291669, 0x9d5a5dd2ae359348, 0x0ebce9bb4888e6e3, 0x450be238cac6ab5d, 0xd6e1bd96cb98b848,
  0x6a015ac4f2a3608f, 0xd09c73c9fdaf2e55, 0xa96fab39d454aa35, 0x16a6b81013a6e576, 0x457962d2572fb1e9,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb6318ab7b, 0x8b3a7c5c9ab83cd8,
  0xcfd4eacc7903f286, 0x738cbf313f9430a9, 0x39effe09a1e64ff1, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x3afd3d10fcf257ee, 0x0000000000000001,
};

// m32u2_swio14_lednop_pr_ee_u4      usb162_swio14_lednop_pr_ee_u4
static const uint64_t ur_m16u2_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xdff9af79f1ad304f, 0x70e6ab5a3dbf2474, 0x8f83660e71f51e56, 0x9d68450ef8acbafa,
  0x84d7d18596229166, 0x73ab4bfee5c51334, 0x0ebd75376d291c42, 0x45098a3116c6ab5d, 0x5b86f65c3918b848,
  0xfed7972ab55c5adf, 0xea2a551ae84e39e4, 0x09d372bb54b7d59c, 0x2b97d8f48b535c08, 0xbae7b55a22bcb169,
  0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xd22f887e792bf734, 0x0000000000000275,
};

// m16u2_swio14_lednop_pr_ce_u4      usb162_swio14_lednop_pr_ce        usb162_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16u2_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x36ebfcd7bcfc7298, 0x953bd37717d7ba92, 0xd8488bee24b1e78c, 0x495951fa8f84bf10,
  0xe58cfd64cf1771b8, 0xd3f8359fea3cbe9e, 0x7ce62c058f7a5471, 0x33c75e8f9db24463, 0x2d6e83fd22a01ffb,
  0xfdaf2e556b2ed40f, 0xd454aa35d09c73c9, 0x13a6e576a96fab39, 0x572fb1e916a6b810, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xab2a21f9e4afdcd0, 0x0000000000000dd7,
};

// usb162_swio14_lednop_pr_ee_ce
static const uint64_t ur_m16u2_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff35ef3eff2609f, 0x341dff5465d64886, 0x341c113f9e3254ec, 0xdacac7be6139dc6e,
  0x307a57a8f2b29729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42, 0x9d5db9d28ea426be, 0x8ebce9bb4888e6e3,
  0x8a17c471958d578d, 0x91c37b2d97317090, 0x6a59dac4f2a36089, 0xd09c73c9fdaf2e55, 0xa96fab39d454aa35,
  0x16a6b81013a6e576, 0x457962d2572fb1e9, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x9732f9b6c6263b7b, 0x43458f38b93571b0, 0xc2b93f75663c81f9, 0xb2c944e32c970cf4, 0x92bf734332c3a4a5,
  0x0000534ec7f887e7,
};

// usb162_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfe412b3fd83304, 0x0fae2faa3d372450, 0x5f71258f3ca17071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x93fb5e5caad4b3b5,
  0x73a8a9546ba138e7, 0x20274dcaed52df56, 0xa4ae5f63d22d4d70, 0x5aeb9ed5688af2c5, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5975e792,
};

/*
 * m16u2_swio14_lednop_ee_ce_u4_hw   m16u4_swio14_lednop_ee_ce_hw      m16u4_swio14_lednop_ee_ce_u4_hw
 * usb162_swio14_lednop_ee_ce_hw     usb162_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x50fbfd87fcff60cc, 0x710fae2faa3d3724, 0x445f71258f3ca170, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x7020274dcaed52df, 0xc5a4ae5f63d22d4d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m16u2_swio14_dual_pr              m16u2_swio14_dual_pr_u4           usb162_swio14_dual
 * usb162_swio14_dual_pr             usb162_swio14_dual_pr_u4
 */
static const uint64_t ur_m16u2_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x0a18369181bbada0, 0x9956ee774f897103, 0x360bece05166727f,
  0x244fe0cca9bd477f, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d08c910caaeef, 0x5ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf965af244a2ffffd, 0x1d3f83defd47ee8e, 0x1602a83cce4c3dc7, 0xaf006764011a6273,
  0xbde37d500ffd9823, 0xdc5495f3a81e59ed, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0xe9b95daa5beace75,
  0xcbec7a45a9ae0404, 0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a,
  0x1b8f3612e65f36d8, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x49a0e3975e792bf7, 0x000000000000000a,
};

// usb162_swio14_dual_pr_ee
static const uint64_t ur_m16u2_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0xda4606eeb6819129, 0xb9dd3e25c40c2860, 0x4700b5318ffe655b,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x2442d7fffda60b0d, 0x1e576ea6ab5a3fdd, 0x9bf51f06cc187bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x67a9cead2ec15715, 0xab5d0ebd44bb18f4, 0xb848451a523886c6, 0xc11fadc37b2fa598,
  0xb8a9280591445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea, 0x97d8f48b535c0809,
  0xe7b55a22bcb1692b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414, 0x371e6c25ccbe6db1,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001590ad52ebcf,
};

// usb162_swio14_dual_pr_ee_u4
static const uint64_t ur_m16u2_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x01a4885affffb4c1, 0x9ea3cad4f4d56b47, 0x159c3f51f06cc1c8, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x00460a1cead2e959, 0xd8d56ba1d7b589d9, 0xc62e121143de8f22, 0xab8b87f5b86f65c7,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0xd22d4d7020274dca, 0x688af2c5a4ae5f63,
  0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88145f450, 0x0dc79b09732f9b69, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x2b274f4baf3c95fb,
};

// usb162_swio14_dual_pr_ce
static const uint64_t ur_m16u2_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0xd8472381c19babff,
  0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0x7cdc524006e1f0a2, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x0586f2bc84b6e337, 0xd5fc922707fffed3, 0x63cf285c1c275717, 0x097e21b09117dc49, 0x2ee3729299cbf51f,
  0xc27cf72c67d4b99e, 0xdbf1c74fe0ed6f51, 0x4011a62731602945, 0x00ffd99e3af00676, 0xcea0796b73de37d5,
  0x6b3f8abe77715257, 0xd09c73c9fdaf2e55, 0xa96fab39d454aa35, 0x16a6b81013a6e576, 0x457962d2572fb1e9,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b6c6263b7b, 0x771a2ce9f0dc79b0,
  0xc2a73f53ab337f07, 0x3fc5ce32fcc4fe50, 0xc9f8e7bff8268799, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0003491764baf3c9,
};

// usb162_swio14_dual_pr_ce_u4
static const uint64_t ur_m16u2_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e12500370f851, 0x32d009e88655777b, 0xffd01cf09a718a84,
  0xc161bcaf212dbd0f, 0xebb7e48e9bffffb4, 0xb1e7942e0e6ceb8b, 0x84bf10d8488bee24, 0x1771b9494ce5fa8f,
  0x79c67b9633c38ccf, 0xe7ac71d3f8327bd4, 0xcbe238c8e62c0531, 0x8bb8e58cf1d7916e, 0x7f157ceee2a4a3ac,
  0x38e793fb5e5caad6, 0xdf5673a8a9546ba1, 0x4d7020274dcaed52, 0xf2c5a4ae5f63d22d, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d8c4c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x00000003490b3975,
};

// usb162_swio14_dual_pr_ee_ce
static const uint64_t ur_m16u2_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x6d2303775b40c894, 0xdcee9f12e2061430, 0xc3862099aeff32ad,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0x247107fffda60b0d, 0xb839880effaa3cad, 0xdc6e2a47badf9e50, 0x5d29dacac9ba6139,
  0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669, 0x9ea73abb73051d48, 0x5e363af512ec63d1,
  0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b, 0x5e5caad67f157cee, 0xa9546ba138e793fb,
  0x4dcaed52df5673a8, 0x5f63d22d4d702027, 0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x4c76f62aa8b49053, 0xb8f3612e65f36d8c, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5, 0xccb0e9296cf8138c,
  0x4e725d79e4afdcd0, 0x0000000000000130,
};

// usb162_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x40c2860da4606eeb, 0xbf32d2df9dd3e25c,
  0xbb61d8270bc39b96, 0x244fe0daee6f51f1, 0x21895fe7ef822847, 0xef9b82a8006e1f0a, 0x0cb4239221955dde,
  0xbfe80e784dbee2a1, 0x60b0de579096de92, 0x8c9d491bc3ffd85e, 0xe7942f3bbc3b8bea, 0xbf10d8488bee24b1,
  0x8dc1545927fa8f84, 0xa53b5b9b9ba678bb, 0x06cc1edff51e572b, 0xd08a05315efbf51f, 0xafa30b2c4522cd3a,
  0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33, 0x48451a523886c6ab, 0x8991c37b2fa598b8, 0x5494b3c8a22aa360,
  0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0xb95daa5beace7515, 0xec7a45a9ae0404e9, 0xdaad115e58b495cb,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6db189, 0xf6ec68b1be2e4d5c,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x4e4f257ee6866587, 0x00000004004b82b5,
};

// m16u4_swio14_dual_ee_hw           usb162_swio14_dual_ee_hw
static const uint64_t ur_m16u2_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0x4306d2303775b40c, 0x2addcee9f12e2061, 0x825a3805a98c7ff3,
  0x4fe0e2b4dea393ad, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb417da21955ddeef, 0xe80e784c1ee2a10c,
  0x586f2bc84b6fa6bf, 0xfba4885aff6bf730, 0x7ea3caedd4d56b47, 0x2bd37ea3e0d9830f, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x1e8cf539d5a5d82a, 0xd8d56ba1d7a89763, 0xb3170908a34a4710, 0xa8d823f5b86f65f4,
  0xe777152500b2288a, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c, 0x013a6e576a96fab3, 0x2572fb1e916a6b81,
  0xd75cf6ab4457962d, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da2b5514f257e,
};

// m16u4_swio14_dual_ee_ce_hw        usb162_swio14_dual_ee_ce_hw
static const uint64_t ur_m16u2_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0xf0e188266bbfccab,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x2e0801b87c288625, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b735bffa0, 0x247107fb5fb982c3, 0xb839880effaa3cad, 0xee3732a1a0ff9e50, 0xae94ed6564dd309c,
  0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34, 0xcf539d5db9828ea4, 0xaf1b1d7a897631e8,
  0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0xa6e576a96fab39d4, 0x2fb1e916a6b81013, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x263b7b15545a4829, 0xdc79b09732f9b6c6, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c, 0x3e728a792bf73433,
  0x000000000000044d,
};

// m16u4_swio14_dual_ee_ce_u4_hw     usb162_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x06eeb6819129290c, 0x3e25c40c2860da46, 0x87372d7e65d849dd,
  0xdea3e376c3b04e17, 0x04508e489fc1b5dc, 0xdc3e144312bfcfdf, 0x2abbbddf37055000, 0x7dc5421968472443,
  0x2dbd257fd01cf09b, 0xff54e4c161bcaf21, 0xdc5f5464ea48de1f, 0x1258f3c6f860e5e1, 0x47c25f886c2445f7,
  0x3c5dc6e05919ebfd, 0x2b95d29dadcdcdd3, 0xfa8f83660f6ffa8f, 0x669d68450298af7d, 0xd484d7d185962291,
  0x3d19ea73abb73051, 0x6355e363af512ec6, 0xcc5c24228d291c43, 0x51b044c8e1bd97d2, 0xceee2a4a59e45115,
  0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0x0274dcaed52df567, 0x4ae5f63d22d4d702, 0xaeb9ed5688af2c5a,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x5d79e8617d3c95fb,
  0x0000000000000007,
};

/*
 * m16u2_swio15_noled_pr             m32u2_swio15_noled                m32u2_swio15_noled_pr
 * usb162_swio15_noled               usb162_swio15_noled_pr
 */
static const uint64_t ur_m16u2_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0xa4923dd7f8343cfc, 0xe0f9ef51d313be5b, 0x16f74c800f91c74f, 0x173b7488c9e398b0,
  0x95821f71cb1823af, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0xa45a9ace9b95daa5, 0x88af2c5a4ab57fbf,
  0xc314deb3bcb9ed56, 0x5e2810b4b5fe2353, 0x9b69c6378ce8811e, 0x68b1e70ddb09732f, 0x5c9fbab31e40d1fc,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000f90248e6eb3c9,
};

// m32u2_swio15_noled_pr_u4          usb162_swio15_noled_pr_u4
static const uint64_t ur_m16u2_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x32bfcd7bcfbf9304, 0xea3cbe3be5a0fc91, 0x47bd2a38e9fc1f41, 0x0a3dece62c059653,
  0x0ffd9823af47ced1, 0xdc0f2cf6c4526950, 0x73c9fdaf2e556afa, 0xbb39d454aa35d09c, 0x6a6b3a6e576a96fa,
  0xbcb1692ad5fefe91, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x4b997cdb1922adec,
  0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00001f27acb510fc,
};

/*
 * m16u2_swio15_noled_pr_ee_u4       m32u2_swio15_noled_pr_ee          m32u2_swio15_noled_pr_ee_u4
 * usb162_swio15_noled_pr_ee         usb162_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_m16u2_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xdfe6bde7c9d4c13e, 0xa5cd56b46fe4918a, 0x3e0d98309fea3cac, 0x75a1143be2b287ea,
  0x135f4616588a459a, 0xe756974acb8d64d2, 0x43af3a6edd423c90, 0x228f911c1fb1aad7, 0xeb70decb65cc5c24,
  0x6a0174982d51b047, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xfe916a6b3a6e576a, 0x5a22bcb1692ad5fe,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0x3cd84b997cdb1922, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x10fcf257ee686658, 0x00000000004eb967,
};

// m16u2_swio15_noled_pr_ce_u4       usb162_swio15_noled_pr_ce         usb162_swio15_noled_pr_ce_u4
static const uint64_t ur_m16u2_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0xcaeff35ef3fb3a60, 0xa9defbb8bebb7e48, 0xc2445f71258f3c64, 0x9124afd47c25f886,
  0x2c67eb2678bb8dcb, 0xa7f064f7a8f374f7, 0xece62c0532a718e3, 0x99e3af47ced10a3d, 0xcb5b845269500ffd,
  0x7f6bcb955abeb703, 0x75152a8d74271cf2, 0xce9b95daa5beaece, 0x5a4ab57fbfa45a9a, 0xc5aeb9ed5688af2c,
  0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xbe6d8c863b7b1554, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x06ebc7d7887e792b,
};

// usb162_swio15_noled_pr_ee_ce
static const uint64_t ur_m16u2_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652e48ffc, 0x2a1a0ff9e3254eff, 0xd6563df309cee373,
  0x833d7d47959c394e, 0x40a62b2ebea3e0d9, 0x616588a459a75a11, 0xeaedc958752135f4, 0x75e74ddba847921c,
  0xa3e44707ec6abc6c, 0x1c37b2d973170908, 0x4b3e9305aa360899, 0x138e793fb5e5caad, 0xdf57673a8a9546ba,
  0xd22d4d674dcaed52, 0x4457962d255abfdf, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d,
  0x3612e65f36c6431d, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1, 0xfcf257ee68665874,
  0x0000000534ce7d10,
};

// usb162_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e7942e0e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59d372bb54b7d5d9, 0x8b4956aff7f48b53, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000009f9f67a5d7,
};

/*
 * m16u2_swio15_noled_ee_ce_u4_hw    m16u4_swio15_noled_ee_ce_hw       m16u4_swio15_noled_ee_ce_u4_hw
 * usb162_swio15_noled_ee_ce_hw      usb162_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf285c1, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d674dcaed52df57, 0x962d255abfdfd22d, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0xe65f36c6431dbd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000a02fb3d45,
};

// m32u2_swio15_lednop               usb162_swio15_lednop
static const uint64_t ur_m16u2_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xd24918f7fe0d0f3e, 0xf07cf7a8ebe1df2d, 0x16f74c13e218e3a7, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x35c0809d372bb54b, 0xe58b495c958f48b5,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x19d10273e8a042d3, 0xb612e65f36d38c6f, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0x9bacf257ee686658, 0x00000000002a4b73,
};

/*
 * m16u2_swio15_lednop_pr_u4         m32u2_swio15_lednop_pr            m32u2_swio15_lednop_pr_u4
 * usb162_swio15_lednop_pr           usb162_swio15_lednop_pr_u4
 */
static const uint64_t ur_m16u2_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x31ffe6bde7ea54c1, 0xf51f4a3be5a0fc91, 0x40609f1c74fe0fa0, 0xe238c8e62c059653,
  0x0ffd9823af47cecb, 0x903cb3db1bf70d50, 0xcf27f6bcb955adc3, 0xece75152a8d74271, 0x0404e9b95daa5bea,
  0x5a4ae4ac7a45a9ae, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6815156f62aa8b,
  0x8b9357079b09732f, 0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xe4d5c1621f9e4afd, 0x0000000000000003,
};

// m32u2_swio15_lednop_pr_ee         usb162_swio15_lednop_pr_ee
static const uint64_t ur_m16u2_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x3fe6bde7e87e609f, 0x4f4d56b46fe49138, 0x3e0d98309fea3cad, 0x75a1143be2bc09ea,
  0x135f4616588a459a, 0xe7569790eb8d64d2, 0x43af3a6eddd23050, 0x2289b91e45b1aad7, 0xeb70decb65cc5c24,
  0xb50084526951b047, 0xe84e39e4fed7972a, 0x4b7d5d9cea2a551a, 0xb535c0809d372bb5, 0x15e58b495c958f48,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36d02a2adec, 0x2ce9f1726ae0f361,
  0x3f53ab31e40fca1a, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x75e05443f3c95fb9, 0x0000000000000002,
};

// m32u2_swio15_lednop_pr_ee_u4      usb162_swio15_lednop_pr_ee_u4
static const uint64_t ur_m16u2_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0xbfcd7bcf9c19827c, 0x759aad68cca923b3, 0x3e0d983403d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xcead2ee4d7144cd2, 0x3af5d4dd8f547f21, 0x144428f7bb1aad74, 0x6e1bd970e462e121,
  0xfb5e5caad57022fd, 0xa8a9546ba138e793, 0x74dcaed52df57673, 0x72563d22d4d70202, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x34110fcf257ee686, 0x000000000000275d,
};

// m16u2_swio15_lednop_pr_ce_u4      usb162_swio15_lednop_pr_ce        usb162_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16u2_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x8e9bff35ef3e35a6, 0x4a9deceb8bebb7e4, 0x6c2445f71258f3c6, 0xce5d1ffd47c25f88,
  0xe58cfd64cf1771b8, 0x74fe0c9ef51e719e, 0x32398b014c79eb1c, 0x6678ebd1f3b2f88e, 0xcb5b86fdc35403ff,
  0x7f6bcb955adc3903, 0x75152a8d74271cf2, 0x4e9b95daa5beaece, 0xae4ac7a45a9ae040, 0xeb9ed5688af2c5a4,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x917c43f3c95fb9a1, 0x0000000000001bae,
};

// usb162_swio15_lednop_pr_ee_ce
static const uint64_t ur_m16u2_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5c914db, 0x24e6ffe78c953b4d, 0x5958f7cc273b8dc5,
  0x0cf5f51e5650e53b, 0x0298ad82fa8f8366, 0x85962291669d6845, 0xabb74871d484d7d1, 0xd79d376ee9182873,
  0x89b91e45b1aaf1b1, 0x70decb65cc5c2422, 0x96622934a8d82264, 0x271cf27f6bcb955a, 0xbeaece75152a8d74,
  0x9ae0404e9b95daa5, 0xf2c5a4ae4ac7a45a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x65f36d028c76f62a, 0x8b1e71726ae3612e, 0x727eeacc7903f286, 0x9289c6592e19e985, 0x7ee6866587494b65,
  0x00a698bf710fcf25,
};

// usb162_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3ca17070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e9b95daa5beaec, 0x4ae4ac7a45a9ae04, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x027e0f57975e792b,
};

/*
 * m16u2_swio15_lednop_ee_ce_u4_hw   m16u4_swio15_lednop_ee_ce_hw      m16u4_swio15_lednop_ee_ce_u4_hw
 * usb162_swio15_lednop_ee_ce_hw     usb162_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m16u2_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3ca17, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xb1692b92b1e916a6, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000028087abd14f2,
};

/*
 * m16u2_swio15_dual_pr              m16u2_swio15_dual_pr_u4           usb162_swio15_dual
 * usb162_swio15_dual_pr             usb162_swio15_dual_pr_u4
 */
static const uint64_t ur_m16u2_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0x7cb3df247f77fffd, 0x3a7f0707fd47dbe7, 0x2c05507992b47b8e, 0x5e00ceda523884e6,
  0xa63192a01ffb3047, 0xee2a4b81281e59ed, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x4dcaed52df57673a,
  0x2563d22d4d702027, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829,
  0x6e3cd84b997cdb40, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x26bcfa5d79e4afdc, 0x0000000000000029,
};

// usb162_swio15_dual_pr_ee
static const uint64_t ur_m16u2_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x8e016a631ffccab7,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x23d3fffff6982c37, 0xf2bd37355ad1b939, 0x77a8f83660e3dfa8, 0x1669d68450ef8af6,
  0x73484d7d18596229, 0xea0e7569753cb8a9, 0xad743af512ecfe23, 0xe121141ea8fe4b1a, 0x047eb70decbe9662,
  0x715250087cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2b1e916a6b81013a,
  0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6da05,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0002b20e8b2ebcf2,
};

// usb162_swio15_dual_pr_ee_u4
static const uint64_t ur_m16u2_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x956ee774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0xd7dc91e9fffffb4c, 0xebd4795e049aad68, 0xe2b2ebea3e0d983e, 0x588a459a75a1143b,
  0x2e105cd2135f4616, 0xd291cbe39d5a5fe7, 0x96355ae875ed6276, 0xf8c5c242284c518f, 0x4ab8b5beb70decb8,
  0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0xd22d4d7020274dca, 0xb4457962d2572563,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc674409cfa28, 0x86e3cd84b997cdb4, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x0ac902a5d79e4afd,
};

// usb162_swio15_dual_pr_ce
static const uint64_t ur_m16u2_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x01a4893affffb4c1, 0xcf285c1ceafb8beb, 0x7e21b09117dc4963, 0xe37092b2a3f51f09,
  0x24f72c67d4b99e2e, 0xa8e3a7f0622fa8f2, 0xa47109cc580bfb8c, 0x3ff6678ebc019db4, 0x940f2d6e4c632540,
  0xb3f8abe7771525c0, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0xa6b81013a6e576a9, 0xbcb1692b92b1e916,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x8d1674f86e3cd84b,
  0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x006921925d79e4af,
};

// usb162_swio15_dual_pr_ce_u4
static const uint64_t ur_m16u2_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x5f532a48eceffffb, 0x258f3ca170722b5c, 0x7c25f886c2445f71, 0x78bb8dc24aca8fd4,
  0xa3a013dcb19e1c66, 0xfcea238e9fc1935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae, 0x535c0809d372bb54, 0x5e58b495c958f48b, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xbcf257ee68665874,
  0x000000034902172e,
};

// usb162_swio15_dual_pr_ee_ce
static const uint64_t ur_m16u2_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x0e188266bbfccab7,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x235bfffff6982c37, 0x8395be77fd51cae9, 0xc6e5d0dd51f9e50b, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0xb95daa5beaece751, 0xac7a45a9ae0404e9, 0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d028, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0x53a5d79e4afdcd0c, 0x0000000000004c11,
};

// usb162_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m16u2_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d2df9dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xeaf92330dffb0bcc, 0xe50bcee61ae2faa3, 0xc4361222fb892c79,
  0xe271fdc7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb306657a8f2bdf72, 0x22814c576ebd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db94f0ea426b, 0xd8ebd44bb3f88fa8, 0x08a0f547f258d578, 0x32386f65f4b31709, 0x494b31f37b546c11,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x7a45a9ae0404e9b9, 0x5688af2c5a4ae4ac,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d028c7, 0x763458df1726ae0f,
  0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x0000010013e09aa7,
};

// m16u4_swio15_dual_ee_hw           usb162_swio15_dual_ee_hw
static const uint64_t ur_m16u2_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x0da4606eeb681912, 0xbb9dd3e25c40c286, 0xb4700b5318ffe655,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x247a7ffdafdcc161, 0x1e57a6e6ab5a3727, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x4dcaed52df57673a, 0x2563d22d4d702027,
  0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829, 0x6e3cd84b997cdb40,
  0x3f9430a9cfd4bd5c, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x000000002bb43a2d,
};

// m16u4_swio15_dual_ee_ce_hw        usb162_swio15_dual_ee_ce_hw
static const uint64_t ur_m16u2_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x369181bbada0644a, 0xee774f8971030a18, 0xe1c3104cd77f9956,
  0x07ff26f51f4d6c1f, 0xff3f7c114239227f, 0x0b200370f8510c4a, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6f787ff40, 0x91adfff6bf730586, 0xc1cadf3bfea8e574, 0x71b9d1f524fcf285, 0xdca76b2b26e984e7,
  0xf06cc1995ea3caf7, 0xad08a05315dbaf51, 0x9afa30b2c4522cd3, 0xea0e7576e53c3a90, 0x5e363af512ecfe23,
  0xc242283d51fc9635, 0x044c8e1bd97d2cc5, 0x715252cc7cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x6e576a96fabb39d4, 0x2b1e916a6b81013a, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb40a, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xa9d453c95fb9a199,
  0x00000000000089a6,
};

// m16u4_swio15_dual_ee_ce_u4_hw     usb162_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m16u2_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x06eeb68191292917, 0x3e25c40c2860da46, 0x87372d7e65d849dd,
  0xdea3e376c3b04e17, 0x04508e489fc1b5dc, 0xdc3e144312bfcfdf, 0x55777bbe6e271e00, 0xfb8a8432d08e4886,
  0x5b724affa039e136, 0xfea9c982c3795e42, 0x717d51f57c91986f, 0x4963cf1be183930d, 0x1f097e21b09117dc,
  0xe2ee37387f8fbbf5, 0x5efb94ed6e6e6e99, 0xea3e0d98332bd479, 0x9a75a1140a62bb75, 0x52135f4616588a45,
  0xc47d41ceaedca787, 0xc6abc6c75ea25d9f, 0x98b8484507aa3f92, 0xa3608991c37b2fa5, 0xceee2a4a598f9bda,
  0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0x274dcaed52df5767, 0x572563d22d4d7020, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xea47930be9e4afdc,
  0x000000000000003a,
};

// m16u4_autobaud_uart0_noled_pr     m32u4_autobaud_uart0_noled        m32u4_autobaud_uart0_noled_pr
static const uint64_t ur_m16u4_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4fc5, 0xd83a09e4e6febf46, 0x79b0ebc6b9b5bbba, 0x9827c64eed8f6421,
  0x04a5f7ff9bae7cf5, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0x7e78ef964870da37, 0xc9e8e3a7f06693d4,
  0xe33398b016f74c37, 0x2c608ebc5cecf691, 0x062777ec2b289dc7, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x86ed84b997cdb124, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0x0490f059e4afdcd0, 0x0000000000000e22,
};

// m32u4_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m16u4_autobaud_uart0_noled_pr_u4[] = {
  0x8ddddddda2447562, 0xbbbbbba58f536235, 0x58d72f66d543df1f, 0xdb63377eeeecf778, 0xc64eefd3837855c1,
  0x47f8391cfedf9827, 0xd22d5022054f825d, 0x857eaa4d7f22fc05, 0x77cb08786d1bdaa3, 0x71d3f83417ea3f40,
  0xe62c0596533df6b4, 0x23af47ced5fd1eb0, 0xdb1f6679500ffd98, 0x189ddfb071f03cb3, 0x603bf77e73936df8,
  0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x2adec55516961738, 0x0f3612e65f36c492, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x2d3f3c95fb9a1996, 0x000000001186de4a,
};

/*
 * m16u4_autobaud_uart0_noled_pr_ee_u4 m32u4_autobaud_uart0_noled_pr_ee
 * m32u4_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m16u4_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2445541, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0xe80a499c94e70d38,
  0x391cfece9827c64e, 0xa0440a9f04a577f8, 0x549afe45f80ba45a, 0xce30da37b5470afd, 0xc7d4795c89355ad1,
  0xf15f75ea3e0d9834, 0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37,
  0xb2e62e1211473c8c, 0x34a8d823f5b86f65, 0x7e062777ec00a895, 0xd4180efddf9ce4db, 0x2f29b19c9bf37807,
  0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xab83cd84b997cdb1, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xf5cb4fcf257ee686,
  0x000000000009a9d1,
};

// m16u4_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u4_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x3ff07239fcad304f, 0x48b54088153e0914, 0x15faa935fc8bf017, 0xc5f5c921b46f6a8e, 0xc4963cf192a76fe5,
  0x51f097e21b09117d, 0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316,
  0xb33ca807feccf1d7, 0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000046eb924cb4f,
};

static const uint64_t ur_m16u4_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x8e7c66e609f193ba, 0x22054f82416bfc1c, 0x4d7f22fc05d22d50, 0xc86d1bdaa3857eaa, 0x64a9de043bfea8df,
  0x9cee373acd90ff3c, 0xafa894ed6563df30, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f, 0x52135f4616588a45,
  0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97, 0x189ddfb0b3a254d2,
  0x603bf77e73936df8, 0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x1e6c25ccbe6d8921,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0x444085a7e792bf73, 0x0000000000000010,
};

static const uint64_t ur_m16u4_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xf08533f5bf304f8c, 0x6a81102a7c129dbf, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe7942e0e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xddfb0b3a254d2a36, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x61a1cf257ee68665, 0x0000000004110c22,
};

// m16u4_autobaud_uart0_lednop_pr    m32u4_autobaud_uart0_lednop       m32u4_autobaud_uart0_lednop_pr
static const uint64_t ur_m16u4_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0x6eeeeeee963d4f9b, 0x75b07416f07d5b46, 0x85e6c3af1afb3f77, 0xee609f193bb63d90,
  0x7c12eebffcdd73f1, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x51c9e3be5921c368, 0xdfe7a38e9fc19a4f,
  0x8e414e62c05bdd30, 0x39630475e2e760e2, 0xc0c4eefd856283ee, 0xdfbbf3c0809c9b6f, 0x74026fcde5ba8301,
  0x9c05ef9537a94e4a, 0x378ce8811d450216, 0x0ddb09732f9b69c6, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x0921e0b3c95fb9a1, 0x0000000000001c44,
};

// m32u4_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m16u4_autobaud_uart0_lednop_pr_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b1ea64ceb, 0x6c446bf0785fa0bf, 0x88dbd9fbbbb3dde1, 0x93bbe451da09138b,
  0xfe0e473f1ee609f1, 0x8b54088153e09775, 0x5faa935fc8bf0174, 0xf2c21e1b46f6a8e1, 0x74fe0d05fa8f6b1d,
  0x1602cb29be483f1c, 0x5e8f9d967a348673, 0x82cd22a01ffb3047, 0x3bbf6415a07967b6, 0xfcf0202726dbf031,
  0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x08c34f822d3f3c95,
};

/*
 * m16u4_autobaud_uart0_lednop_pr_ee_u4 m32u4_autobaud_uart0_lednop_pr_ee
 * m32u4_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m16u4_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed1222582, 0xddddddd2c1e0b4ba, 0x29bb2b6d4da2e91f, 0x178570ba99ba5efd, 0xe9da0872ecb5505a,
  0x391cf8d69827c64e, 0xa0440a9f04b4dff8, 0x549afe45f80ba45a, 0xce30da37b5470afd, 0xc7d4795995355ad1,
  0xe2b0f7ea3e0d9834, 0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37,
  0xb2e62e1211413c8d, 0x3ca8d823f5b86f65, 0xfc0c4eefd8010fb3, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x000004d4e48bcb4f,
};

// m16u4_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u4_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x9fe0e473f6ea609f, 0x916a81102a7c12c0, 0x2bf5526bf917e02e, 0x8beb924368ded51c, 0x1258f3c64a9dd4ab,
  0x47c25f886c2445f7, 0x33c5dc6e56fc00fd, 0x3d47e927b9633f59, 0x153111638e9fc1eb, 0x7cecb3d1a43398b0,
  0x691500ffd99e3af4, 0x7ec82b40f2d6e416, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xebb5ecb4fcf257ee,
  0x0000000000000046,
};

static const uint64_t ur_m16u4_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x91cf8689827c64ee, 0x088153e0958fff83, 0x935fc8bf01748b54, 0xf21b46f6a8e15faa, 0x192a77beceffaa37,
  0x273b8dcb9124afcf, 0x2beea53b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x062777ec2cc7d99e,
  0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1,
  0xb2d5e5c9ab83cd84, 0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0xb4fcf257ee686658, 0x0000000010441d14,
};

static const uint64_t ur_m16u4_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xf84299f43e9827c6, 0x5aa0440a9f04b107, 0xfd549afe45f80ba4, 0xa390f0da37b5470a, 0x79e50b83896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0xeefd8598fb33ca8d, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00008221ea886873,
};

// m16u4_autobaud_uart0_dual_pr      m16u4_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m16u4_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x604384ae9add7e65, 0xfe0ce1cdea3b05d8,
  0x95fe7ef822847244, 0x6e3fc006e1f0a218, 0x6869488655777bbe, 0xe80e784d37454219, 0x586f2bc84b6ee97f,
  0xa9f049fcffc06530, 0xe45f80ba45aa0440, 0xa37b5470afd549af, 0xfd47c8a77cb1350d, 0x69c5ef8e3a7f0621,
  0x591d7f398b01541e, 0x0ffd9823af00676b, 0xd03cb3db10e90d50, 0x4fe2af9ddc549549, 0x02726dbf0313bbf6,
  0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xe1b8f3612e65f36d,
  0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0xc14e43f0d0e792bf, 0x0000000000000005,
};

static const uint64_t ur_m16u4_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0xd77321f7e655bb9d, 0x137a8eff361880e0,
  0xbe08a11c913f830d, 0x01b87c2886257f9f, 0x8655777bbe6e0224, 0x31758a8432d0c088, 0x212dbffcffa039e1,
  0xebff0194c161bcaf, 0xd22d5022054f8244, 0x857eaa4d7f22fc05, 0xad68e4486d1bdaa3, 0x983053d4795afb9a,
  0x143be2ba95ea3e0d, 0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e,
  0xbd97d2cc5c242281, 0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781,
  0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0xab337f07771a2ce9,
  0xfcc4fe50c2a73f53, 0xf82687993fc5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964, 0x486873c95fb9a199,
  0x00000000000a5486,
};

static const uint64_t ur_m16u4_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0x4606eeb681912929, 0xdd3e25c40c2860da, 0x83fc9b107e655bb9, 0x8fcdea3868d869a3,
  0xfdf04508e489fc1d, 0x000dc3e144312bfc, 0xa21955ddeef9b995, 0x84df3a2a10cb40a5, 0x79096dfa7ffe80e7,
  0x8adff80ca60b0de5, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xd56b47a54368ded5, 0x6cc1fc9ea3cae3dc,
  0x08a1df1598ff51f0, 0xfa30b2c4522cd3ad, 0xd2e13d7082e6909a, 0xb589d87c47d21cea, 0x408ea5d8d56ba1d7,
  0x6f65c7c62e121147, 0xeee2a4ab813ff5b8, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x86873c95fb9a1996,
  0x00000000052a4e9e,
};

// m16u4_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u4_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x860da4606eeb6819, 0x55bb9dd3e25c40c2, 0x136ce13b735adfe6, 0xfc198fcdea3eed6c,
  0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x40baa21955ddeef9, 0x80e784c95a2a10cb, 0x86f2bc84b6e16bfe,
  0x3e096ceffc065305, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0x071d2dc5f54021b4, 0x2445f71258f3ca17,
  0x4fd7fd47c25f886c, 0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe,
  0xdc21d21aa01ffb33, 0xceee2a4aa4e81e5a, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x70d0e792bf734332,
  0x0000000002b5ec21,
};

static const uint64_t ur_m16u4_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x3ace6643fccab773, 0x79bd47986d833e1c,
  0xbe08a11c913f83fd, 0x01b87c2886257f9f, 0x8655777bbe6e79c8, 0x34728a8432d04b48, 0x212db8a4ffa039e1,
  0x6bff0194c161bcaf, 0xd22d5022054f825a, 0x857eaa4d7f22fc05, 0xfd51b9386d1bdaa3, 0x5afcf285c1c1ac77,
  0x9374c273b8dcbc3e, 0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0xe1b8f3612e65f36d, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813, 0x20dc7c3439e4afdc,
  0x0000000000000062,
};

static const uint64_t ur_m16u4_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x850c1b48c0ddd6d0, 0x65a5bf3ba7c4b881, 0x0e8f9c14926e6ffe,
  0x7f06c8737a8ece5b, 0x4aff3f7c11423922, 0xb972500370f8510c, 0x826da21955ddeef9, 0x039e1358fc542196,
  0x3795e425b7eb3ffa, 0x04b1bbfda907982c, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0x6ee2faa353d0da37,
  0xfb892c79e50bcec6, 0xfea3e12fc4361222, 0xd33c5dc6e6a83c83, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d,
  0xa459a75a1140a62b, 0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151,
  0xeb151b044c8e1bd9, 0x8abe77715252cc4f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0xc76f62aa8b4d5d38, 0x079b09732f9b6e70, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20f3c95fb9a19961,
  0x0000007eadc6a779,
};

// m16u4_u1x8_uart0_noled_pr         m32u4_u1x8_uart0_noled            m32u4_u1x8_uart0_noled_pr
static const uint64_t ur_m16u4_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c28916b, 0x7f326c1fc2f46bee, 0x2f6f27afdddd1841, 0xe32776a1a9b8030a,
  0x93ffcdd73e0a4c13, 0xd716fed32637b02f, 0xa0bf51fa03be5843, 0xb299efb5a38e9fc1, 0x76afe8f58731602c,
  0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xf39c9b6fc0c4eefd, 0x7e6f00fa8301dfbb, 0x815d54e5e5363393,
  0xa8b4b0b9c6378ce8, 0x32f9b6249156f62a, 0x1fc68b1e70ddb097, 0xa615c9fbab31e40d, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x0000003e434e1e0b,
};

// m32u4_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeedca8911ff41, 0xbbbba58b0a245ac6, 0x4d83f85f1fd75fbb, 0xe4f5fbbba3082fe6, 0xbb42fe9f8f3125ed,
  0x07239f052609f193, 0xbfb4c98dec0be4ff, 0xd47e80ef9610f5c5, 0x7bed68e3a7f0682f, 0xfa3d61cc580b2ca6,
  0x1ffb30475e8f9dab, 0xe07967b63eccf2a0, 0x26dbf0313bbf60e3, 0xc03ea0c077eefce7, 0x5539794d8ce4df9b,
  0x2c2e718de33a2057, 0x6d892455bd8aaa2d, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x933d505a7e792bf7,
  0x000000000000000f,
};

// m16u4_u1x8_uart0_noled_pr_ee_u4   m32u4_u1x8_uart0_noled_pr_ee      m32u4_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbb72a2444375, 0xeeeee962340a6eb1, 0x1d82ff4a0cf717ee, 0x0061c8e3dd60fb3f, 0x0580aa8ad8904242,
  0x8e7ca5cc13e32776, 0xa64c6f604e97fc1c, 0x49aad68e71ae2dfd, 0xf06cc1a63ea3cae4, 0xd68450ef8afbaf51,
  0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059, 0x8a39e461c6c6ab5d, 0xadc37b2d97317090,
  0x600544a9a546c11f, 0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a,
  0xccbe6d892455bd8a, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0009d75a7c5a7e79,
};

static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbafff375cfc7b, 0xaf495c5bfb4c98de, 0x5fcf19281c4c4eff, 0xc67309cee3724397, 0xe33f51c43cf72c05,
  0xc05b8627e38e9fc1, 0xe2e76905478cce62, 0xb074e9ee39633c75, 0x7e73936df8189ddf, 0x4df9bcb750603bf7,
  0x9bd575539794d8ce, 0xbc67440b9b318216, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x490f059e4afdcd0c, 0x00000000000016ea,
};

static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xfe0e473ff3a609f1, 0x16fed32637b0228b, 0x254edfcb8beb9257, 0x361222fb892c79e3, 0x8ff3107ea3e12fc4,
  0xee58cfd64cf1771b, 0xe3a7f07acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0xdb7e062777ec1c7c, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0x624863b7b15545a5,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xa02b169f9e4afdcd, 0x00000000000006eb,
};

static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x931bd8105aff0723, 0xc5f54721eb8b7f69, 0x892c79e3254ece0d, 0xa3e12fc4361222fb,
  0x33c5dc6e759b21fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x09f8810b4fcf257e,
};

static const uint64_t ur_m16u4_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xc1c8e7ffe4c13e32, 0xbfb4c98dec0ba7ff, 0x7812e2faa37275c5, 0x117dc4963cf192a7, 0x92bf51f097e21b09,
  0x6e3299e2ee372e44, 0xbfea3cae7194ed6e, 0x315e49ea3e0d9831, 0x2c4522cd3ad08a05, 0xb74423a909afa30b,
  0xd4ddb9e46d7c73ab, 0x233496355e363af5, 0xb2e1c8c5c24228d6, 0x777ecc62e9991c37, 0xefddf9ce4db7e062,
  0x633937e6f2dd4180, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x10b2d3f3c95fb9a1, 0x00000000000009f8,
};

// m16u4_u1x8_uart0_lednop_pr        m32u4_u1x8_uart0_lednop           m32u4_u1x8_uart0_lednop_pr
static const uint64_t ur_m16u4_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c294256, 0xbfa45326873588ee, 0x0d7f17ab6eee8c20, 0xf193bb0bd68f1e82,
  0xddffe6eb9f402609, 0xeb8b7f69931bd814, 0xd05fa8f6b1df2c21, 0xb29be483f1c74fe0, 0xd967a3486731602c,
  0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0xf9054e3c16792bf7,
};

// m32u4_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m16u4_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca89111391, 0xddddd2c585284ac6, 0xa45326873d2e8cdd, 0x7f17ab6eee8c20bf, 0x277420f220bf928d,
  0xfe0e473e804c13e3, 0x8b7f69931bd814dd, 0x5fa8f6b1df2c21eb, 0x9be483f1c74fe0d0, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x726dbf0313bbf641, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x62d3f3c95fb9a199,
  0x00000000007c984d,
};

// m16u4_u1x8_uart0_lednop_pr_ee_u4  m32u4_u1x8_uart0_lednop_pr_ee     m32u4_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16u4_u1x8_uart0_lednop_pr_ee[] = {
  0x777776e544889768, 0xeeeee962340b4563, 0x4de3bdb67ef619ee, 0x8f61c8e3dd60fb3d, 0x747688f8f62b6c87,
  0x39f53d304f8c9dd3, 0x9931bd81175ff072, 0xa6ab5a39c6b8b7f6, 0xc1b30698fa8f2b32, 0xb422877c561efd47,
  0x6be8c2cb1148b34e, 0x756973d571ac9a42, 0x3af3a6ed1923268e, 0x282791bdab1aad74, 0xb70decb65cc5c242,
  0x0021f667951b047e, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9,
  0xe722adec555169ab, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xf81169f9e4afdcd0, 0x000000000000275d,
};

// m16u4_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u4_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xfe0e473e70e609f1, 0x16fed32637b024ad, 0x4a9dd4ab8beb9257, 0x6c2445f71258f3c6, 0x56fc00fd47c25f88,
  0xb9633f5933c5dc6e, 0x8e9fc1eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1, 0xf2d6e416691500ff,
  0xb7e062777ec82b40, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000001baebcf8b4,
};

static const uint64_t ur_m16u4_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0x73e1a2609f193baa, 0x64c6f60563ffe0e4, 0x717d51c87ae2dfda, 0xe24b1e78c953b4b5, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0xfc0c4eefd8598fb3,
  0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x2969f9e4afdcd0cc, 0x000000000009f83a,
};

static const uint64_t ur_m16u4_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xfc214cfeed4c13e3, 0x5bfb4c98dec08c7f, 0x3995ae2faa37275c, 0x222fb892c79e50b8, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0xeefd98c54d191c37, 0xf3c0809c9b6fc0c4,
  0x3a0137e6f301dfbb, 0xa54f80b5392296af, 0xde33a2065fcc6085, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x015a1a1cf257ee68, 0x00000000000009f8,
};

// m16u4_u1x8_uart0_dual_pr
static const uint64_t ur_m16u4_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0x2860da4606eeb681, 0x571eb9dd3e25c40c, 0x82fb3814599c9fe6, 0x13f8332a6f51dfcd,
  0x6257f9fbe08a11c9, 0xf9b915801b87c288, 0x65a119221955ddee, 0xffa039e135ad1508, 0xc161bcaf212dbc7b,
  0x637b02d2bfdebf0c, 0x3be5abfd716fed32, 0x38e9fc1a43f51ed6, 0xe62c05fc399efe82, 0x475e45bb54b4690c,
  0x2a4a56482ee39630, 0x89ddfb27f157ceee, 0x77e781013936df81, 0x0137e6f0725603bf, 0x18aca9dc594e5f3a,
  0x19d103f5c502169e, 0x3612e65f36d38c6f, 0x2868b1e71726ae0f, 0x985727eeacc7903f, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x0000000310e70b4f,
};

static const uint64_t ur_m16u4_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x256383a598e1fe65, 0xfe0e034dea3feed8,
  0x95fe7ef822847244, 0xdce9f006e1f0a218, 0xd04c510caaeef77c, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0x1bd811ebff80ca60, 0xef9626ab8b7f6993, 0xc74fe0c43fa8f914, 0x31602a83cd38bdf1, 0x75e00ced6b23afe7,
  0x621d21aa01ffb304, 0xbb8a92a93a07967b, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x1a1cf257ee686658,
  0x00000000524c41aa,
};

// m16u4_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u4_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0x6eeb6819129290b8, 0xe25c40c2860da460, 0xc98347e655bb9dd3, 0x7a8fd3fb0b1f387f,
  0x114239227f07d5f3, 0x70f8510c4aff3f7c, 0x55777bbe6e254003, 0xfb8a8432d04ac886, 0x2db9c1ffa039e132,
  0xff0194c161bcaf21, 0x2dfda64c6f60595b, 0x95afb9aad68e44ae, 0x5ea3e0d983053d47, 0x59a75a1143be2ba9,
  0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635, 0x08fd6e1bd97d2cc5,
  0xe2a4a0109fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0x732f9b6e722adec5, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x00000002b25d5b86,
};

// m16u4_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u4_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x3805a98c7ff32add, 0xe2b4dea393ad825a,
  0xe7ef822847244fe0, 0x86006e1f0a21895f, 0xed10caaeef77cdc9, 0x3c260f7150865a0b, 0x95e425b7d37ff407,
  0x08a5ffe032982c37, 0xa015c5bfb4c98dec, 0x79e50b838e96e2fa, 0x2fc4361222fb892c, 0xee370527ebfea3e1,
  0x6fcf72c67d4b99e2, 0xf238e9fc1d4bf51c, 0x591d7f398b014141, 0x0ffd99e3af00676b, 0x740f2d6e10e90d50,
  0x93f8abe777152552, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x69268e286873c95f,
};

static const uint64_t ur_m16u4_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x3775b40c894948ee, 0xf12e20614306d230, 0x49bf5ff32addcee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfe032982c3795e42, 0xb7f69931bd8150ff, 0x706b1dff546e4eb8, 0x6e654341ff3ca170, 0x29dacac9ba6139dc,
  0x0d9835f3d4795bf9, 0xa1140a62b80dea3e, 0x5f4616588a459a75, 0xece7576e32875213, 0xe363af512ed10a3d,
  0x242281151f3d6355, 0x44c8e1bd97d2cc5c, 0x15252cc4feb151b0, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0,
  0x09bf379b228301df, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x1a2cb578dc79b097,
  0xa73f53ab337f0777, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x5b86873c95fb9a19,
  0x000000000001000f,
};

static const uint64_t ur_m16u4_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x1850c1b48c0ddd6d, 0xe65a5bf3ba7c4b88, 0x6c19f0e1d673321f,
  0x89fc1febcdea3cc3, 0x312bfcfdf04508e4, 0xf373ce400dc3e144, 0x96825a4432abbbdd, 0xfd01cf09a3945421,
  0x0b0de579096dc527, 0x1bd8169aff6a41e6, 0xf546a7ab8b7f6993, 0x58f3ca179d8cddc5, 0xc25f886c2445f712,
  0xbb8dcd507907fd47, 0x7f253b5b9b9ba678, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x3458df1726ae0f36, 0xcfd4eaccdfc1fb76, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0010017107f241e7,
};

// m16u4_u1x12_uart0_noled_pr        m32u4_u1x12_uart0_noled           m32u4_u1x12_uart0_noled_pr
static const uint64_t ur_m16u4_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xddddd2c39c9e4ac6, 0x9cdf839a0ebafddd, 0xa17b7edbbbb49fd4, 0x3277731242a1ad15,
  0x3ffcdd73f38cc13e, 0xfeda9fddba7c125f, 0x80ef9610f0da3749, 0x68e3a7f0682fd47e, 0x61cc580b2ca67bed,
  0x30475e8f9dabfa3d, 0x67b63eccf2a01ffb, 0xf0313bbf60e3e079, 0xa0c077eefce726db, 0x794d8ce4df9bc03e,
  0x718de33a20575539, 0x2455bd8aaa2d2c2e, 0x9c376c25ccbe6d89, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0xc8738782cf257ee6, 0x0000000000000007,
};

// m32u4_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_u4[] = {
  0xddd893ba89111c3b, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0xb41699c2ff235a17,
  0x7239f9c6609f193b, 0xa7f76e9f0497cff0, 0xe5843c368dd27fb6, 0xe9fc1a0bf51fa03b, 0x1602cb299efb5a38,
  0xd7a3e76afe8f5873, 0x8fb33ca807fecc11, 0x4eefd838f81e59ed, 0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x9b09732f9b624915, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x9f9e4afdcd0ccb0e,
  0x00000003e4fecf16,
};

// m16u4_u1x12_uart0_noled_pr_ee_u4  m32u4_u1x12_uart0_noled_pr_ee     m32u4_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_ee[] = {
  0xeeec49dd4488a493, 0xeeee961e4090ac6e, 0x9b532666ef4fdeee, 0x1ece244eef07a12c, 0x720a68a768d8412a,
  0xe7d82cc13e327743, 0xbb74f82470ffc1c8, 0x9c61b46e93fdb53f, 0x8fa8f2b9126ab5a3, 0xe2beebd47c1b3069,
  0x588a459a75a1143b, 0x2b8d64d2135f4616, 0xdbda3c1673ab4bce, 0x71b1aad743af3a6e, 0x65cc5c24228e7918,
  0x6951b047eb70decb, 0xfc0c4eefd801512a, 0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e,
  0x49156f62aa8b4b0b, 0x57079b09732f9b62, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x82969f9e4afdcd0c, 0x00000000000275f7,
};

static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebffcdd73f1ee6, 0x749feda9fddba7c1, 0x38b5ceffaf490da3, 0xc6e7ce90ff9e3250, 0xb9ee580b8ce6139d,
  0xc71d3f83c67ea3d4, 0x8d41ce62c05e8121, 0x1cb19e3af173b512, 0xf0313bbf60ebf0f7, 0xbcc077eefce726db,
  0x83536253f7ce4df9, 0xd102103182169c91, 0x12e65f36d38c6f19, 0x81a3f8d163ce1bb6, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xc16792bf734332c3, 0x0000000005ba9243,
};

static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xc1c8e7e43cc13e32, 0xb53fbb74f824e4ff, 0xc5f5c921b46e93fd, 0xc4963cf192a76fe5, 0x51f097e21b09117d,
  0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316, 0xb33ca807feccf1d7,
  0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000001bae838cb4f,
};

static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x74f82463ffe0e473, 0xe1b46e93fdb53fbb, 0x254ece0dc5f54721, 0x361222fb892c79e3,
  0x759b21fea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f5129, 0x2814c5613fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedd388ea426be, 0x8ebce9bb6f68f059, 0x1473c8c38d8d578d, 0x2386f65b2e62e121, 0x616744a9a546c113,
  0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0x2d5e5c9ab83cd84b, 0xd4eacc7903f2868b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0x4fcf257ee6866587, 0x0000000027e15a8b,
};

static const uint64_t ur_m16u4_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x391cfffc9827c64e, 0x4feedd3e0974fff8, 0x51b9386d1ba4ff6d, 0x1e78c953b60b717d, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x0a4a76b737194cf1, 0x1f06cc18dff51e56, 0x9d68450298ae21f5, 0x84d7d18596229166,
  0x189f39d5db9ef1d4, 0xaf1b1d7aea6ec21d, 0x0908a24151e33b1a, 0x866470decb872317, 0xdb7e062777ecc63f,
  0xbf37980efddf9ce4, 0x92306a6c4a7ef9c9, 0xe33a2042063042d3, 0xe6c25ccbe6da718d, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xa7e792bf734332c3, 0x0000000013f02165,
};

// m16u4_u1x12_uart0_lednop_pr       m32u4_u1x12_uart0_lednop          m32u4_u1x12_uart0_lednop_pr
static const uint64_t ur_m16u4_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e72f1758, 0xd48f2737f5fa3377, 0x0ebc6b9b5bbbb49f, 0x7c64eed8f642179b,
  0x5f7ff9bae7cf5982, 0x27fb6a7f76e9f04a, 0xed63be5843c368dd, 0x07e38e9fc1a0bf51, 0x90ce62c0596537c9,
  0x6608ebd1f3b2cf46, 0x2cf6d059a45403ff, 0x7e062777ec82b40f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0x782cf257ee686658, 0x0000000000f90248,
};

// m32u4_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m16u4_u1x12_uart0_lednop_pr_u4[] = {
  0xddd893ba89113f3e, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0xdb22b05a9f4e75e3,
  0x391cf9eb304f8c9d, 0xa7f76e9f04a5f7f8, 0xe5843c368dd27fb6, 0xe9fc1a0bf51ed63b, 0x2c0596537c907e38,
  0xbd1f3b2cf4690ce6, 0x059a45403ff6608e, 0x777ec82b40f2cf6d, 0xf9e0404e4db7e062, 0xdf9bcd914180efdd,
  0xdf2a6f529c94e804, 0x5a6ae9c6378ce881, 0xbe6db9c8ab7b1554, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0f931eae5a7e792b,
};

// m16u4_u1x12_uart0_lednop_pr_ee_u4 m32u4_u1x12_uart0_lednop_pr_ee    m32u4_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16u4_u1x12_uart0_lednop_pr_ee[] = {
  0x777624eea2447e4a, 0x77774b0f20c85637, 0x2164e00697a34f77, 0x2fd9c489dde0f421, 0x28eb2e357d8bcadc,
  0x73f95a609f193ba5, 0xddba7c12287fe0e4, 0xce30da3749feda9f, 0xc7d4795995355ad1, 0xe2b0f7ea3e0d9834,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37, 0xb2e62e1211413c8d,
  0x3ca8d823f5b86f65, 0xfc0c4eefd8010fb3, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000013af924cb4f,
};

// m16u4_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u4_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xe0e473e52e609f19, 0xda9fddba7c1274bf, 0xe2fae490da3749fe, 0xc4963cf192a7752a, 0x51f097e21b09117d,
  0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c, 0x9a45403ff6678ebd,
  0xdfb20ad03cb5b905, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xebad3e2d3f3c95fb, 0x0000000000000006,
};

static const uint64_t ur_m16u4_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xdba7c12383fe0e47, 0xf90da3749feda9fd, 0x8c953bdf677fd51b, 0x139dc6e5c89257e7,
  0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148, 0x32464d1ceaedc7a8,
  0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf, 0x7eefcf0202726dbf,
  0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8, 0x596af2e4d5c1e6c2,
  0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x5a7e792bf734332c,
  0x00000000004fc814,
};

static const uint64_t ur_m16u4_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x533fa6a609f193ba, 0xfeedd3e097fcff08, 0x1c8786d1ba4ff6d4, 0xcf285c1c4b5717d5, 0x7e21b09117dc4963,
  0x8dc0449807f51f09, 0xa53b5b9b7be678bb, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d,
  0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0x77ec2cc7d99e546c,
  0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00027e596fc3439e,
};

static const uint64_t ur_m16u4_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x0c1b48c0ddd6d032, 0xe3d73ba7c4b88185, 0x28a7072737cefcca, 0xfc1c7b9bd475f7b0,
  0x2bfcfdf04508e489, 0xdc4b400dc3e14431, 0xd01f110caaeef77c, 0xd01cf09b7b8a8432, 0x586f2bc84b6e657f,
  0x9f04a71ff7afc330, 0x368dd27fb6a7f76e, 0x43f51c453be5abfc, 0x7364837e38e9fc1a, 0x13c8ded1cc580bf8,
  0xfee39630475e45bb, 0xf8abe77715252b04, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0xb83cd84b997cdb73, 0x3d30ae4fcfec5c9a, 0x9296cf8138cb25c3,
  0x9f9e4afdcd0ccb0e, 0x000000065bfa7196,
};

static const uint64_t ur_m16u4_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x850c1b48c0ddd6d0, 0xccab773ba7c4b881, 0x7b028a7072737cef, 0x489fc1c7b9bd475f,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d01f110caaeef, 0x7ffd01cf09b7b8a8, 0xa60b0de579096dcc,
  0xeedd3e091ebff80c, 0x57f86d1ba4ff6d4f, 0xf0690fd47b8677cb, 0x2fe1ccb5c9a8e3a7, 0x2dd84fa341673160,
  0x5869371cb1823af2, 0xec9fc55f3bb8a929, 0x0404e4db7e062777, 0x09bf37980efddf9e, 0x7c05a9c914b579d0,
  0xce88197f8a042d2a, 0xb09732f9b69c6378, 0xc1ddc68b1e70dc79, 0x19e985727eeaccdf, 0x7494b67c09c6592e,
  0x1a1cf257ee686658, 0x000000000620135a,
};

static const uint64_t ur_m16u4_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0x4a70387314bfccab, 0xc1d4a9bd474adb07,
  0xbfcfdf04508e489f, 0x963e00dc3e144312, 0x1f2221955ddeef9b, 0x039e130f9150865a, 0x1bcaf212dbc06ffa,
  0xf82413fff0194c16, 0xb46e93fdb53fbb74, 0x3fa8f914ef9626a1, 0xcd38bdf1c74fe0c4, 0x6b23afe731602a83,
  0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x29273e0a1a1cf257,
};

// m16u4_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u4_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xeeb6819129291c3f, 0x25c40c2860da4606, 0x9b4d7e655bb9dd3e, 0xd47b1fd87fc38068,
  0x8a11c913f83a1f9b, 0x87c2886257f9fbe0, 0xabbbddf372e4401b, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf0194c161bcaf212, 0xb53fbb74f825beff, 0xb5a39121b46e93fd, 0x60c14f51e56bee6a, 0x50ef8aea57a8f836,
  0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a, 0xf65f4b3170908a04,
  0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x56448be1a1cf257e,
};

// m16u4_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u4_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0x2303775b40c89494, 0xee9f12e20614306d, 0x031f9866ff32addc, 0xd69bd474b5b00b47,
  0xfdf04508e489fc18, 0x800dc3e144312bfc, 0xa21955ddeef9b8cf, 0x84c63e2a10cb40a2, 0xbc84b6f15bfe80e7,
  0x305ffc06530586f2, 0xa4ff6d4feedd3e09, 0xc74b717d50086d1b, 0x117dc4963cf285c1, 0xf5ff51f097e21b09,
  0x3ea5ccf1771b8293, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c74fe, 0xd78033b5ac8ebf9c, 0x087486a807feccf1,
  0xbb8a92a93a0796b7, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x4b997cdb73863b7b, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3439e4afdcd0ccb0, 0x0000000034936bdc,
};

static const uint64_t ur_m16u4_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0x775b40c89494874e, 0x12e20614306d2303, 0x98d6ff32addcee9f, 0xd47801b014870fd7,
  0x8a11c913f83b5b9b, 0x87c2886257f9fbe0, 0x5777bbe6e775801b, 0x48a8432d0d368865, 0xb79dbffa039e1360,
  0xe032982c3795e425, 0xd4feedd3e0974fff, 0xd51b9386d1ba4ff6, 0x7fcf285c1c1ac77f, 0x6e984e771b9950d0,
  0xf51e56fe4a76b2b2, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x2726dbf0313bbf64,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x371e6c25ccbe6db9,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00008001d161a1cf,
};

static const uint64_t ur_m16u4_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x4306d2303775b40c, 0x696fcee9f12e2061, 0xeb338321cd495f99,
  0xf066b737a8ecf9b0, 0xaff3f7c114239227, 0xcea700370f8510c4, 0x016910caaeef77cd, 0x073c26383150865a,
  0x6f2bc84b6ffafff4, 0x049fe7fb520f3058, 0x8dd27fb6a7f76e9f, 0xb19bb8bea8d4f436, 0x88bee24b1e7942f3,
  0x20ffa8f84bf10d84, 0x7374cf1771b9aa0f, 0xcf51e56fe4a76b73, 0x8ae037a8f83660d7, 0x62291669d6845029,
  0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386,
  0x4fe2af9ddc5494b3, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x1e483cf257ee6866, 0x00000000008003d5,
};

// m16u4_u2x8_uart0_noled_pr         m32u4_u2x8_uart0_noled            m32u4_u2x8_uart0_noled_pr
static const uint64_t ur_m16u4_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xeeeeee961ce4f256, 0xa4e6fc1cd075d7ee, 0xad0bdbf6dddda4fe, 0xf193bb9892150d68,
  0xf9ffe6eb9f9c6609, 0xdaa3949bedd3e092, 0x3f4077cb08786d1b, 0xf6b471d3f83417ea, 0x1eb0e62c0596533d,
  0xfd9823af47ced5fd, 0x3cb3db1f6679500f, 0x6df8189ddfb071f0, 0x1f50603bf77e7393, 0x9cbca6c6726fcde0,
  0x1738c6f19d102baa, 0xc4922adec5551696, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x03e439c3c16792bf,
};

// m32u4_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeec4a89111c3b, 0xddddd2c39c9e4ac6, 0x6fc1cd0588efa5dd, 0xbdbf6dddda4fea4e, 0xdda0b4ce17f91ad0,
  0x8391cfce3304f8c9, 0xe526fb74f824be7f, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x062777ec1c7c0f2c, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0x83cd84b997cdb124, 0x07e50d1637c5c9ab, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x8b4fcf257ee68665,
  0x0000000001f27f67,
};

// m16u4_u2x8_uart0_noled_pr_ee_u4   m32u4_u2x8_uart0_noled_pr_ee      m32u4_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_ee[] = {
  0x777776254488a493, 0x777774b0f2048563, 0x64da9933377a7ef7, 0x50f6712277783d09, 0x1b9053453b46c209,
  0x473ec16609f193ba, 0x37dba7c12387fe0e, 0xd1ce30da37b54729, 0x34c7d4795c89355a, 0x1df15f75ea3e0d98,
  0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d, 0x65b2e62e1211473c,
  0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea,
  0xb1248ab7b15545a5, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xfbc14b4fcf257ee6, 0x000000000000013a,
};

static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775ffe6eb9f8f7, 0xd1bdaa3949bedd3e, 0x281c5ae77fd7a486, 0xcee373e7487fcf19, 0xea5cf72c05c67309,
  0x90e38e9fc1e33f51, 0x8946a0e731602f40, 0x7b8e58cf1d78b9da, 0x6df8189ddfb075f8, 0xfcde603bf77e7393,
  0x48c1a9b129fbe726, 0x8ce8810818c10b4e, 0xdb09732f9b69c637, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x21e0b3c95fb9a199, 0x000000000002dd49,
};

static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xfe0e473f21e609f1, 0x472937dba7c12727, 0xf2e2fae490da37b5, 0xbee24b1e78c953b7, 0x1fa8f84bf10d8488,
  0xf5933c5dc6e3fcc4, 0x1eb3d4727a7b9633, 0x8b0147ce9238e9fc, 0xebd1f3b57f47ac39, 0x87d99e5403ff6678,
  0x89ddfb071f03cb5b, 0x03bf77e73936df81, 0x6c6726fcde01f506, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xe6c25ccbe6d89218, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xa7e792bf734332c3, 0x00000000dd741c65,
};

static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xdba7c1231fff0723, 0x90f0da37b5472937, 0xf192a76706e2faa3, 0xe21b09117dc4963c,
  0x373acd90ff51f097, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xdfb0b3a254d2a360,
  0xf77e73936df8189d, 0x726fcde01f50603b, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x25ccbe6d89218ede,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0x45a7e792bf734332, 0x000000000013f0ad,
};

static const uint64_t ur_m16u4_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xc1c8e7ffe4c13e32, 0xca4df6e9f04ba7ff, 0xbea8dc9c368ded51, 0x258f3c64a9db05b8, 0x7c25f886c2445f71,
  0x78bb8dc4a8b91fd4, 0x2b05253b5b9b8ca6, 0xfa8f83660c6ffa8f, 0xb34eb422814c5710, 0xea426be8c2cb1148,
  0x0e8c4f9ceaedcf78, 0x8d578d8ebd753761, 0x8b84845120a8f19d, 0x1fc332386f65c391, 0x726dbf0313bbf663,
  0xe4df9bcc077eefce, 0x69c9183536253f7c, 0xc6f19d1021031821, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xb2d3f3c95fb9a199, 0x000000000009f810,
};

// m16u4_u2x8_uart0_lednop_pr        m32u4_u2x8_uart0_lednop           m32u4_u2x8_uart0_lednop_pr
static const uint64_t ur_m16u4_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873978ba, 0xfea47939bfafd19b, 0xd875e35cdadddda4, 0x13e32776c7b210bc,
  0x52fbffcdd73e7acc, 0x6f6a8e526fb74f82, 0xa8f6b1df2c21e1b4, 0xe483f1c74fe0d05f, 0xa3486731602cb29b,
  0xffb30475e8f9d967, 0x07967b682cd22a01, 0x6dbf0313bbf6415a, 0x0c077eefcf020272, 0xe4a74026fcde6c8a,
  0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xbb612e65f36dce45, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x243c16792bf73433, 0x0000000000007c81,
};

// m32u4_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m16u4_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeec4a89113f3e, 0xbbbba5873978bac6, 0xc9cdfd7933ddb7bb, 0x1ae6d6eeed27f523, 0xeed91582d4fa73af,
  0xc1c8e7cf59827c64, 0xe526fb74f8252fbf, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8f6b, 0x731602cb29be483f,
  0x475e8f9d967a3486, 0xb682cd22a01ffb30, 0x313bbf6415a07967, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077,
  0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0x58df1726ae0f3612, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0007c98f572d3f3c,
};

// m16u4_u2x8_uart0_lednop_pr_ee_u4  m32u4_u2x8_uart0_lednop_pr_ee     m32u4_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16u4_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb12a2447e4a, 0xbbbbba58790642b1, 0x090b270034bd1a7b, 0xe17ece244eef07a1, 0x29475971abec5e56,
  0x239fcad304f8c9dd, 0x9bedd3e09143ff07, 0x68e7186d1bdaa394, 0x1a63ea3cacca9aad, 0x1df1587bf51f06cc,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce, 0xb2d973170908a09e,
  0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xa7e792bf734332c3, 0x000000009d7c9265,
};

// m16u4_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u4_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff07239f297304f8, 0xa3949bedd3e093a5, 0x95717d72486d1bda, 0xbee24b1e78c953ba, 0x1fa8f84bf10d8488,
  0xeb2678bb8dcadf80, 0x3d67a8fd24f72c67, 0x1602a6222c71d3f8, 0x5e8f9d967a348673, 0x82cd22a01ffb33c7,
  0x4eefd905681e5adc, 0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x0375d69f169f9e4a,
};

static const uint64_t ur_m16u4_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0x39fa1f9827c64eeb, 0xbedd3e091c1ff072, 0x8dfc86d1bdaa3949, 0xf3c64a9defb3bfea, 0xf309cee372e4492b,
  0xa3cafba94ed6563d, 0xdbfea3e0d9835afe, 0xa459a75a1140a62b, 0xd4752135f4616588, 0xed1923268e7576e3,
  0x7b56355e363af3a6, 0x6cb98b8484504f23, 0x67951b044c8e1bd9, 0xdf8189ddfb0b31f6, 0x03bf77e781013936,
  0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x1a2cb579726ae0f3,
  0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x0a2d3f3c95fb9a19,
  0x00000000000027e4,
};

static const uint64_t ur_m16u4_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x4299fd35304f8c9d, 0xa4df6e9f04bfe7f8, 0xea8e43c368ded51c, 0xb1e7942e0e25ab8b, 0x84bf10d8488bee24,
  0x5dc6e0224c03fa8f, 0xf7529dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa,
  0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000013f2cb7e1a1,
};

static const uint64_t ur_m16u4_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x0a18369181bbada0, 0x95c7ae774f897103, 0x60514e0e4e6f9df9, 0x13f838f737a8ebef,
  0x6257f9fbe08a11c9, 0xf9b896801b87c288, 0x65a03e221955ddee, 0xffa039e136f71508, 0x60b0de579096dcca,
  0xdd3e094e3fef5f86, 0x7f86d1bdaa3949be, 0x83487ea388a77cb5, 0x7f0e6c906fc71d3f, 0xb762791bda398b01,
  0x609fdc72c608ebc8, 0xb27f157ceee2a4a5, 0x1013936df8189ddf, 0xf36450603bf77e78, 0x9bd4a7253a0137e6,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x9357079b09732f9b, 0xb867a615c9f9fd8b, 0x61d252d9f0271964,
  0x32d3f3c95fb9a199, 0x0000000000cb7f4e,
};

static const uint64_t ur_m16u4_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x030a18369181bbad, 0xdf9956ee774f8971, 0xbef60514e0e4e6f9, 0x1c913f838f737a8e,
  0x2886257f9fbe08a1, 0xdeef9b91c801b87c, 0x50865a03e221955d, 0x98fffa039e136f71, 0x194c161bcaf212db,
  0x937dba7c123d7ff0, 0xf96aff0da37b5472, 0x74fe0d21fa8f70ce, 0x2c05fc3996b9351c, 0x5e45bb09f4682ce6,
  0x252b0d26e3963047, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0x3a0137e6f301dfbb, 0xa54f80b5392296af,
  0x6f19d1032ff14085, 0x8f3612e65f36d38c, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0x6b43439e4afdcd0c, 0x000000000000c402,
};

static const uint64_t ur_m16u4_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x18369181bbada064, 0x56ee774f8971030a, 0x0e94e070e6297f99, 0x3f83a9537a8e95b6,
  0x257f9fbe08a11c91, 0x372c7c01b87c2886, 0xb43e44432abbbddf, 0xf4073c261f22a10c, 0x2c3795e425b780df,
  0xe9f04827ffe03298, 0xd4368ded51ca4df6, 0x1887f51f229df2c4, 0x5079a717be38e9fc, 0x9dad6475fce62c05,
  0x35403ff6608ebc01, 0x552740f2cf6c43a4, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf,
  0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000524e7c143439e,
};

// m16u4_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u4_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x0ddd6d0322525238, 0x7c4b881850c1b48c, 0xd1369afccab773ba, 0x37a8f63fb0ff8700,
  0xc114239227f0743f, 0x370f8510c4aff3f7, 0x655777bbe6e5c880, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xffe032982c3795e4, 0x51ca4df6e9f04b7d, 0xcd56b47224368ded, 0x06cc1829ea3cad7d, 0xd08a1df15d4af51f,
  0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743, 0x70decbe9662e1211,
  0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x000ac8917c3439e4,
};

// m16u4_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u4_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0xda4606eeb6819129, 0xb9dd3e25c40c2860, 0x8e063f30cdfe655b, 0x31ad37a8e96b6016,
  0xf9fbe08a11c913f8, 0x9f001b87c2886257, 0x454432abbbddf371, 0xcf098c7c54219681, 0xe579096de2b7fd01,
  0x1260bff80ca60b0d, 0xa37b5472937dba7c, 0xb838e96e2faa010d, 0x61222fb892c79e50, 0x527ebfea3e12fc43,
  0x2c67d4b99e2ee370, 0x9fc1d4bf51c6fcf7, 0xf398b014141f238e, 0x9e3af00676b591d7, 0xd6e10e90d500ffd9,
  0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x7b86873c95fb9a19, 0x000000000006926d,
};

static const uint64_t ur_m16u4_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x06eeb6819129290e, 0x3e25c40c2860da46, 0xaf31adfe655bb9dd, 0x37a8f00360290e1f,
  0xc114239227f076b7, 0x370f8510c4aff3f7, 0xcaaeef77cdceeb00, 0xc09150865a1a6d10, 0x4b6f3b7ff4073c26,
  0xffc06530586f2bc8, 0x472937dba7c12e9f, 0xeffaa37270da37b5, 0x1a0ff9e50b838358, 0x564dd309cee3732a,
  0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30, 0x7a89768851ef673a,
  0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929, 0x0404e4db7e062777,
  0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xabc6e3cd84b997cd,
  0x9d599bf83bb8d165, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9,
  0x00000010003a2c34,
};

static const uint64_t ur_m16u4_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0xc2860da4606eeb68, 0x32d2df9dd3e25c40, 0x61d66706439a92bf,
  0x4fe0cd6e6f51d9f3, 0x895fe7ef82284724, 0x9b9d4e006e1f0a21, 0xb402d221955ddeef, 0xe80e784c7062a10c,
  0xb0de579096dff5ff, 0x3e093fcff6a41e60, 0x86d1bdaa3949bedd, 0x5e76337717d51a9e, 0xb09117dc4963cf28,
  0x41e41ff51f097e21, 0x6e6e6e99e2ee3735, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71943a909afa3, 0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x337f07edd8d1637c, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x7aa3c9079e4afdcd, 0x0000000000001000,
};

// m16u4_u2x12_uart0_noled_pr        m32u4_u2x12_uart0_noled           m32u4_u2x12_uart0_noled_pr
static const uint64_t ur_m16u4_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xeeeee961870bdd63, 0x56cfddf87f7d2eee, 0x8fd697e6eee91016, 0xc64ee82f41331643,
  0xa7ff9bae7f4a9827, 0x3f9b53eab74f8240, 0x9610f0da37b54729, 0xa7f0682fd47e80ef, 0x580b2ca67bed68e3,
  0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb3047, 0x3bbf60e3e07967b6, 0x77eefce726dbf031, 0x8ce4df9bc03ea0c0,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0x6c25ccbe6d892455, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x87494b659289c659, 0x4782cf257ee68665, 0x00000000003e400e,
};

// m32u4_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m16u4_u2x12_uart0_noled_pr_u4[] = {
  0xbbbb127751222743, 0x77774b0c385eeb1b, 0xb3f77e1f19a4cf77, 0xf5a5f9bbba440595, 0x9dda8bc96c7ac1e3,
  0xf8391cfe95304f8c, 0x9b53eab74f8240a7, 0x10f0da37b547293f, 0xf0682fd47e80ef96, 0x0b2ca67bed68e3a7,
  0x8f9dabfa3d61cc58, 0xccf2a01ffb30475e, 0xbf60e3e07967b63e, 0xeefce726dbf0313b, 0xe4df9bc03ea0c077,
  0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000f93cb4a5a7e,
};

// m16u4_u2x12_uart0_noled_pr_ee_u4  m32u4_u2x12_uart0_noled_pr_ee     m32u4_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m16u4_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea24458e2, 0xeeee961720825637, 0x53d31b70cf5a5eee, 0x1382f85eeeeff178, 0xe1ec694eb0333633,
  0xcfe049827c64ee94, 0x56e9f048a5ff8391, 0x46f6a8e527f36a7d, 0x2b9126ab5a39c61b, 0xbd47c1b30698fa8f,
  0x59a75a1143be2bee, 0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3, 0xc24228e791871b1a,
  0x047eb70decb65cc5, 0xeefd801512a6951b, 0xdfbbf39c9b6fc0c4, 0x33937e6f00fa8301, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0xb09732f9b6249156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x000000275c54e169,
};

// m16u4_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m16u4_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xc1c8e7cbacc13e32, 0xb53eab74f825f3bf, 0x490da37b547293f9, 0xe78c953b7f2e2fae, 0xbf10d8488bee24b1,
  0xdc6e3fcc41fa8f84, 0x27a7b9633f5933c5, 0xe9238e9fc1eb3d47, 0x57f47ac398b0147c, 0x403ff6678ebd1f3b,
  0x71f03cb5b87d99e5, 0x73936df8189ddfb0, 0xcde01f50603bf77e, 0x2baa9cbca6c6726f, 0x16961738c6f19d10,
  0xbe6d89218edec555, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0dd74cb45a7e792b,
};

static const uint64_t ur_m16u4_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xdd3e090d6ff07239, 0xded51ca4fe6d4faa, 0xf021dff546fe4368, 0xb9d66c87f9e3254e,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0, 0xfa30b2c4522cd3ad, 0x673abb74e23a909a,
  0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84, 0xfd859d12a6951b04, 0xbbf39c9b6fc0c4ee,
  0x937e6f00fa8301df, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0x2d3f3c95fb9a1996,
  0x00000000004fce9e,
};

static const uint64_t ur_m16u4_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0x33e9b7304f8c9dd8, 0x55ba7c1219bff085, 0xd1bdaa3949fcda9f, 0x1c383717d51c8786, 0x9117dc4963cf285c,
  0xd493f51f097e21b0, 0xcdbdf33c5dc6e747, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00027e0fc143439e,
};

// m16u4_u2x12_uart0_lednop_pr       m32u4_u2x12_uart0_lednop          m32u4_u2x12_uart0_lednop_pr
static const uint64_t ur_m16u4_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xeeeee961871e4ac6, 0x2e6fc1cd075d7eee, 0xd0bdbf6ddddcd60b, 0x193bb9892150d68a,
  0x9ffe6eb9f9c6609f, 0xfe6d4faadd3e092f, 0x5921c368ded51ca4, 0x9fc19a4f51c9e3be, 0x602dee987ce9238e,
  0xe2e766be4720a731, 0xc2b07dee39630475, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0xc79c376c25ccbe6d, 0x7eeacc790347f1a2, 0x89c6592e19e98572,
  0xe6866587494b6592, 0x07c8738782cf257e,
};

// m32u4_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m16u4_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb1277512233c3, 0x77774b0c3835eb1b, 0xf7b3dfb0dbd80377, 0xd7f89dddd2202ca2, 0xba47e5dbd38e3e95,
  0x0e473e13e609f193, 0xd4faadd3e09201fe, 0x3c368ded51ca4fe6, 0x1a0bf51ed63be584, 0x96537c907e38e9fc,
  0x3b2cf4690ce62c05, 0x45403ff6608ebd1f, 0xc82b40f2cf6d059a, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xb7205a7e792bf734, 0x0000000000000f93,
};

// m16u4_u2x12_uart0_lednop_pr_ee_u4 m32u4_u2x12_uart0_lednop_pr_ee    m32u4_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m16u4_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea24477d6, 0xdddd2c2e40add637, 0x261550e85ebd7ddd, 0xf382f85eeeeff168, 0xa71189fb47ef17d8,
  0x3fbee609f193baf5, 0x5ba7c1253dfe0e47, 0x1bdaa3949fcda9f5, 0xacca9aad68e7186d, 0xf51f06cc1a63ea3c,
  0xcd3ad08a1df1587b, 0x6909afa30b2c4522, 0x9a39d5a5cf55c6b2, 0xb5d0ebce9bb4648c, 0x0908a09e46f6ac6a,
  0x11fadc37b2d97317, 0x77ec0087d99e546c, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x9d727165a7e792bf,
};

// m16u4_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m16u4_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xc1c8e7d82cc13e32, 0xb53eab74f82470ff, 0x490da37b547293f9, 0xcf192a7752ae2fae, 0x7e21b09117dc4963,
  0x71b95bf003f51f09, 0xa49ee58cfd64cf17, 0x458e3a7f07acf51f, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2,
  0xad03cb5b9059a454, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x52d3f3c95fb9a199, 0x00000000006ebef0,
};

static const uint64_t ur_m16u4_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0x74f825d5ffe0e473, 0x7b547293f9b53eab, 0xdf677fd51bf90da3, 0xe5c89257e78c953b,
  0x9dacac7be6139dc6, 0xb306b5fd4795f752, 0x22814c57b7fd47c1, 0xe8c2cb1148b34eb4, 0x1ceaedc7a8ea426b,
  0x6c75e74dda32464d, 0x08a09e46f6ac6abc, 0x991c37b2d9731709, 0xf61663eccf2a3608, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xe4d5c1e6c25ccbe6,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00004fc5d85a7e79,
};

static const uint64_t ur_m16u4_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x4cfbfc9827c64eef, 0xeab74f8241a3fc21, 0xda37b547293f9b53, 0x83896ae2faa390f0, 0x1222fb892c79e50b,
  0x9300fea3e12fc436, 0x736f7ccf1771b808, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647,
  0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0xe25b486873c95fb9, 0x0000000000000027,
};

static const uint64_t ur_m16u4_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0xa18369181bbada06, 0x5c7ae774f8971030, 0x0e4ce1f3a690ff99, 0x9fc1bf937a8e5176,
  0x12bfcfdf04508e48, 0x9b9d5e00dc3e1443, 0x5a0f7a21955ddeef, 0xf4073c261bf15086, 0x2c3795e425b7a95f,
  0x4f825dd7fbd7e198, 0xb547293f9b53eab7, 0x7114ef96aff0da37, 0x7a48e3a7f0690fd4, 0xbda398b017f0e64c,
  0xb1823af22dd9af91, 0x3bb8a929583ef71c, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x53a0137e6f2dd418,
  0xb4e02f7ca9bd4a72, 0x31bc674408ea2810, 0xb83cd84b997cdb4e, 0x3d30ae4fcfec5c9a, 0x9296cf8138cb25c3,
  0x9f9e4afdcd0ccb0e, 0x000000032df1c596,
};

// m16u4_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m16u4_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x9c0a5ccc17f32add, 0x7fba6f51dd2ec0e1,
  0xf3f7c114239227f0, 0xfe00370f8510c4af, 0x7c4432abbbddf373, 0x73c267be2a10cb41, 0x795e425b7a95ff40,
  0x825dd7fe032982c3, 0x47293f9b53eab74f, 0x8a77cb1350da37b5, 0xf8e3a7f0621fd47c, 0xf398b01541e69c5e,
  0x823af00676b591d7, 0x3db10e90d500ffd9, 0xf9ddc549549d03cb, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726,
  0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xb50d0e792bf73433, 0x00000000002927ac,
};

// m16u4_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m16u4_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x1bbada0644a4a447, 0xf8971030a1836918, 0x6a67f9f9956ee774, 0x37a8fff3601a0e1a,
  0xc114239227f07d3f, 0x370f8510c4aff3f7, 0x655777bbe6e12500, 0x3938a8432d038688, 0x25b7a1fffa039e13,
  0xffe032982c3795e4, 0xf36a7d56e9f04b4d, 0x39121b46f6a8e527, 0x14f51e56bee6ab5a, 0xf8aea57a8f83660c,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x4db7e062777ec9fc, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x42ce1a1cf257ee68,
  0x0000000000000056,
};

// m16u4_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m16u4_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x81bbada0644a4a43, 0x4f8971030a183691, 0xcdcdbb5f9956ee77, 0x9bd470b5b031f380,
  0xf04508e489fc193a, 0x0dc3e144312bfcfd, 0x1955ddeef9b9d660, 0xd01a2a10cb41c9a2, 0x84b6e35bfe80e784,
  0x4ffc06530586f2bc, 0xfe6d4faadd3e0960, 0xea804368ded51ca4, 0xb1e7942e0e3a5b8b, 0x84bf10d8488bee24,
  0x8bb8dc149faffa8f, 0x71bf3dcb19f52e67, 0x07c8e3a7f0752fd4, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x01a491f5e1a1cf25,
};

static const uint64_t ur_m16u4_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x0ddd6d032252520c, 0x7c4b881850c1b48c, 0x6e6986fccab773ba, 0xdea38a4d87eb9c0d,
  0x04508e489fc1d6fc, 0xdc3e144312bfcfdf, 0x2abbbddf37000000, 0x5745421968456443, 0x2dbdadffd01cf09a,
  0xff0194c161bcaf21, 0x36a7d56e9f04ac7f, 0xe4e1b46f6a8e527f, 0xca170706b1dff546, 0x139dc6e654341ff3,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x100073e86873c95f,
};

static const uint64_t ur_m16u4_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0x2860da4606eeb681, 0x2d2df9dd3e25c40c, 0x0c8670a4a999cbf3,
  0xfe0e61a6f51facf6, 0x95fe7ef822847244, 0xb8b82006e1f0a218, 0x818fa21955ddeef9, 0x039e13757c542196,
  0x3795e425b735bffa, 0x825883fda907982c, 0x47293f9b53eab74f, 0xe2faa353d0da37b5, 0x892c79e50bcec66e,
  0xa3e12fc4361222fb, 0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707, 0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x000002003ecf7920,
};

// m16u4_swio10_noled_pr             m32u4_swio10_noled                m32u4_swio10_noled_pr
static const uint64_t ur_m16u4_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6df4bbb713a920c9, 0x407833091137c4bf, 0x98b21c7eb448bba4,
  0xdcc13e3277417a09, 0xa923227ff9bae7c3, 0x1887f51def3be589, 0xbdd34e391638e9fc, 0x9dba046b3ce62c05,
  0x8d7db8e58c11d78b, 0x1cf27f6bcb955a95, 0xeace75152a8d7427, 0xbe916a6b395daa5b, 0x5a22bcb1692a97de,
  0x94a9f4ef3f5ae7b5, 0x042d2c2e753a9c05, 0x718de33a204e148a, 0x79c376c25ccbe6da, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x6866587494b65928, 0xe400e4782cf257ee, 0x0000000000000003,
};

// m32u4_swio10_noled_pr_u4
static const uint64_t ur_m16u4_swio10_noled_pr_u4[] = {
  0x49bbbbbb4488aaac, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0xc64eef914768244e, 0xd7f8391cfc7b9827, 0x51e6e3be5845923d, 0x654e31c74fe0c9ef, 0xe8ed6398b016594c,
  0x3ff6608ebd1f3b3d, 0x40f2cf6ee1acf540, 0x3c9fdaf2e556aab5, 0xb39d454aa35d09c7, 0xa45a9ace576a96fa,
  0x88af2c5a4aa5f7af, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xd84b997cdb2048ab,
  0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000001f273e08b4,
};

// m16u4_swio10_noled_pr_ee_u4       m32u4_swio10_noled_pr_ee          m32u4_swio10_noled_pr_ee_u4
static const uint64_t ur_m16u4_swio10_noled_pr_ee[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea6d2eb1, 0x68ba47f499f1ff12, 0x7914c1ae6ecadb53, 0xa0b42f0a22911284,
  0x8c9dd3b410e5d96a, 0xbff07239f1ad304f, 0xe1cd56b471ee48e9, 0x1f06cc19ebea3cac, 0x3ad08a1df15975f5,
  0x09afa30b2c4522cd, 0x73ab4bfee5c6b269, 0xa1d79d376d291c42, 0x08a1314622d8d56b, 0xfadc37b2d9731709,
  0x5a8044d57f546c11, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0x97debe916a6b395d, 0xe7b55a22bcb1692a,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x8122adec5551696d, 0x6ae0f3612e65f36c, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x22f2d3f3c95fb9a1, 0x000000000000275d,
};

// m16u4_swio10_noled_pr_ce_u4
static const uint64_t ur_m16u4_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x7027f8391cfdba98, 0x2a7795ae2fac8924, 0xb09117dc4963cf19, 0x2a2e47f51f097e21,
  0xcb19fac99e2ee371, 0xd3f83c17ea3e493d, 0xac731602f740a471, 0xccf1d7a3e767bd1d, 0x96b75c359ea807fe,
  0xfed7972ab555aa07, 0xea2a551ae84e39e4, 0xd4d672bb54b7d59c, 0x7962d2552fbd7d22, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0xb997cdb20431dbd8, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0001bafb5ecb4fcf,
};

static const uint64_t ur_m16u4_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfc1c8e7c344c13e3, 0xceffaa3387246c7f, 0x01b77f9e3254eec7, 0x958f7cc273b8dc00,
  0xd00f51e56e9653b5, 0x298ae43fa8f83660, 0x5962291669d68450, 0xbb77ee1d484d7d18, 0x79d376d291c4273a,
  0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0x71cf27f6bcb955a9, 0xbeace75152a8d742,
  0xebe916a6b395daa5, 0x55a22bcb1692a97d, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138,
  0x1e6c25ccbe6d9021, 0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0xe0e8a5a7e792bf73, 0x0000000000000027,
};

static const uint64_t ur_m16u4_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x20ff08533e87d304, 0x3105c5f5476ea48e, 0x45f71258f3ca1707, 0x82fd47c25f886c24,
  0xdef99e2ee373a9cb, 0x3d4795ba594ed6e6, 0x2b90fea3e0d98340, 0x88a459a75a1140a6, 0xdfb8752135f46165,
  0x4ddb4a47109ceaed, 0xa3116c6abc6c75e7, 0xd96cb98b84845098, 0x355fd51b044c8e1b, 0x3c9fdaf2e556a599,
  0xb39d454aa35d09c7, 0xa45a9ace576a96fa, 0x88af2c5a4aa5f7af, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7,
  0x7b15545a5b44e31b, 0xb09732f9b640863b, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x886873c95fb9a199, 0x000000000027e1ea,
};

// m32u4_swio10_lednop
static const uint64_t ur_m16u4_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0xfb50f746d0b2a0c9, 0x7833091138ff8b60, 0x6406d933e6fba440,
  0xa609f193ba0bd04d, 0x49109fffe6eb9f32, 0xc43fa8f921df2c4d, 0xf74ddd0291c74fe0, 0x3b0f88fa4398b016,
  0x970f71cb1823af17, 0x1cf27f6bcb955a95, 0xeace75152a8d7427, 0x6a6b8101395daa5b, 0xbcb1692ad5d2fe91,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6d976455bd8a, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x0000001520e8f059,
};

// m16u4_swio10_lednop_pr_u4         m32u4_swio10_lednop_pr            m32u4_swio10_lednop_pr_u4
static const uint64_t ur_m16u4_swio10_lednop_pr[] = {
  0x9377777689119391, 0x5ae5a58856802b1a, 0x3dc77b87c6d24433, 0x7908e3266c479bb5, 0x731a865ef7752444,
  0xe32777a71912b762, 0xeffc1c8e7e034c13, 0x51e713be58459221, 0xc79eb1c74fe0c9ef, 0x2383e731602cb298,
  0xffd9823af47cedf2, 0x40f2cf6f7be81500, 0x3c9fdaf2e556b02b, 0xb39d454aa35d09c7, 0x9ae0404e576a96fa,
  0x2c5a4ab574bfa45a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b65d9156f62aa,
  0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x07c9cfc1169f9e4a,
};

// m16u4_swio10_lednop_pr_ee_u4      m32u4_swio10_lednop_pr_ee         m32u4_swio10_lednop_pr_ee_u4
static const uint64_t ur_m16u4_swio10_lednop_pr_ee[] = {
  0x284dddddda244511, 0x4dab96963d4debd6, 0x6b8f7e9e8db623e2, 0x8f229835da59bbb2, 0x2b22102084522250,
  0xf8c9dd57ccfa0d96, 0xe5fe0e473fd5f304, 0x9439aad68e3dc918, 0xa3e0d9833d7d4795, 0xa75a1143be2b60be,
  0x2135f4616588a459, 0x0e75697f9cb8d64d, 0xe875e74dd827a35f, 0x845192231bf6355a, 0xfd6e1bd96cb98b84,
  0x5a80570d67aa3608, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0xfe916a6b8101395d, 0x5a22bcb1692ad5d2,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0x6c25ccbe6d976455, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x7e792bf734332c3a, 0x0000000275c2165a,
};

// m16u4_swio10_lednop_pr_ce_u4
static const uint64_t ur_m16u4_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0xdf7fe0e473f15a60, 0xa9ddbab8beb22491, 0xc2445f71258f3c64, 0x4a672fd47c25f886,
  0x2c67eb2678bb8dca, 0x4fe0f05fa8e0a4f7, 0xf398b0143da011c7, 0xcf1d7a3e76f911c1, 0x5addbdf40a807fec,
  0xfb5e5caad605681e, 0xa8a9546ba138e793, 0x0809caed52df5673, 0x4956ae97f48b535c, 0xb5d73daad115e58b,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xd97618edec555169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x7bab65a7e792bf73, 0x00000000000000dd,
};

static const uint64_t ur_m16u4_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0x7f8391cfcedcc13e, 0xd1dff54670e48eed, 0x47d493f3c64a9dee, 0xacac7be6139dc6e7,
  0x06807a8f2b2eb29d, 0x814c5652fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbe70ea426be8, 0xd79d37609e8d7c39,
  0x8c9118dfb1aaf1b1, 0x70decb65cc5c2422, 0x59dc359ea8d82264, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0,
  0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36cbb0c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000a69a2f8b4fcf,
};

static const uint64_t ur_m16u4_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x007f84299ffd7982, 0x9002e2faa3b75246, 0x22fb892c79e50b83, 0xf5fea3e12fc43612,
  0xdef99e2ee3702c8c, 0x3d479597594ed6e6, 0x2b297ea3e0d98340, 0x88a459a75a1140a6, 0xdf38752135f46165,
  0x9bb04f46be1ceaed, 0x8c6fd8d578d8ebce, 0x65b2e62e12114648, 0x1acf546c1132386f, 0xe4fed7972ab52cee,
  0x9cea2a551ae84e39, 0xd7020272bb54b7d5, 0x62d255aba5fd22d4, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e04d686873,
};

// m16u4_swio10_dual_pr              m16u4_swio10_dual_pr_u4
static const uint64_t ur_m16u4_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0xef9b95be00dc3e14, 0x865a119221955dde, 0x5ffa039e135ad150,
  0x4c161bcaf212db97, 0xe587c92352bff019, 0x74fe0c45f51e443b, 0x2c055079bf71951c, 0x5e00ced38a37bce6,
  0xb5e0faa01ffb3047, 0xe2a4b7f8607967b6, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x09caed52df5673a8,
  0x56ae97f48b535c08, 0xd73daad115e58b49, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0xbb22adec55516920,
  0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x4935ad50d0e792bf, 0x0000000000000001,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x700b5318ffe655bb,
  0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0xb4432abbbddf3715, 0xf0983dc54219682f,
  0xaf212dba6dffd01c, 0x687fff0194c161bc, 0x57bee6ab5a328b24, 0x7a8f83660ccaf51e, 0x669d68450ef8aedd,
  0x3484d7d185962291, 0x28e75697286b8a97, 0xae875ea25da3da3d, 0x242284011a636355, 0x8fd6e1bd97d2cc5c,
  0x2a4a014656b2a360, 0xe5caad67f157ceee, 0x9546ba138e793fb5, 0x9caed52df5673a8a, 0x6ae97f48b535c080,
  0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a, 0x1b8f3612e65f36cb,
  0x666fe0eee34596af, 0x04e34a1854e7ea75, 0x2b93f01f343cc9fe, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00001591eb70d0e7,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x01ac70275325afcc,
  0x9fc1efb9bd478adb, 0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6e9b7f, 0xfe491a1fffc06530, 0xfea3cad82cd56b46, 0x2b90fea3e0d98309, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0xe28e6e39d5a5dc9a, 0xb1aad743af6b13b4, 0x8c5c242285ae8e32, 0xab8e93eb70decb8f,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f48b535c0809ca, 0xaad115e58b4956ae,
  0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xa718de33a206c7f8, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x02b2042e1a1cf257,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0x71a0e00dc3e14431, 0x807b4432abbbddf3, 0x01cf09827c542196,
  0x1bcaf212dbd8fffd, 0xf92235bff0194c16, 0xe50b838706e2fa98, 0xc4361222fb892c79, 0x6e5c89257ea3e12f,
  0x9ee58cfa9733c5dc, 0x38e9fc1dc3f51fa8, 0x1bde731602d4aeea, 0xfd99e3af006769c5, 0x0f2d6e5af07d500f,
  0xe2af9ddc5496ff0c, 0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0x6a6b8101395daa5b, 0xbcb1692ad5d2fe91,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb2ec31dbd8a, 0x8d1674f86e3cd84b,
  0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x0349318c3439e4af,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e52500370f851, 0x32d009e88655777b, 0x7fd01cf09a718a84,
  0x60b0de579096dd2d, 0xebdd491b75ff80ca, 0xb1e7942e0e69bb8b, 0x84bf10d8488bee24, 0x1771b9722495fa8f,
  0xf2fa7b9633c38ccf, 0xe951c74fe0d67fa8, 0xc9118df398b0163d, 0x2dc72c678ebc8b76, 0xfc55f3bb8a928ea3,
  0xe39e4fed7972ab59, 0x7d59cea2a551ae84, 0x2d4d7020272bb54b, 0x57962d255aba5fd2, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b65d863b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d,
  0x00000001a489a086,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x1b48c0ddd6d03225, 0x773ba7c4b881850c, 0xf0e188266bbfccab,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x76ec01b87c288625, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6fd83ff40, 0x91b5bffc06530586, 0xc1cb5b3bfea8f024, 0xe370c03743fcf285, 0x694ed6564dd309ce,
  0xe0d983eebd4795e5, 0x5a1140a62b95dea3, 0x35f4616588a459a7, 0xa51ceaedc50c7521, 0x78d8ebd44bb47b47,
  0x0908a1004698d8d5, 0x1132386f65f4b317, 0xc5494b38cad6546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0x1395daa5beace751, 0xad5d2fe916a6b810, 0xae7b55a22bcb1692, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0xec31dbd8aaa2d241, 0x86e3cd84b997cdb2, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0x2749d0d0e792bf73, 0x0000000000000098,
};

static const uint64_t ur_m16u4_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x20614306d2303775, 0x5f99696fcee9f12e,
  0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0xef9b911880370f85, 0x0cb4239221955dde,
  0x7fe80e784dbee2a1, 0x60b0de579096dee4, 0xce0c9135bff6a41e, 0x7942f3b35bb8bea8, 0xf10d8488bee24b1e,
  0xb9118a71ffa8f84b, 0xa76b737374cf1771, 0x6cc1f75ea3caf2b4, 0x08a05315caef51f0, 0xfa30b2c4522cd3ad,
  0x8e7576e2863a909a, 0x6c75ea25da3da3d2, 0x845080234c6c6abc, 0x991c37b2fa598b84, 0xa4a59c656b2a3608,
  0x5caad67f157ceee2, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0xae97f48b535c0809, 0x3daad115e58b4956,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0xc1e6c25ccbe6d976, 0x3f6ec68b1be2e4d5,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x483cf257ee686658, 0x0000000100020d5e,
};

/*
 * m16u4_swio11_noled_pr             m16u4_swio12_noled                m16u4_swio12_noled_pr
 * m32u4_swio11_noled                m32u4_swio11_noled_pr             m32u4_swio12_noled
 * m32u4_swio12_noled_pr
 */
static const uint64_t ur_m16u4_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0x68cdd4899ee83243, 0x09e0cc26a4de0fab, 0xbcd875e35f67eeb6,
  0xcc13e32776c7b210, 0x923dd7ff9bae7e3d, 0xd7ff51d313be5ba0, 0xee99001f238e9fc1, 0x76e91193c731602d,
  0x043ee39630475e2e, 0x39e4fed7972ab52b, 0x5d9cea2a551ae84e, 0xd22d4d672bb54b7d, 0xd115e58b495b1bd7,
  0xa54fa779fad73daa, 0x21696173a9d4e02c, 0x8c6f19d1023cbc50, 0xce1bb612e65f36d3, 0x75663c81a3f8d163,
  0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944, 0xc81243c16792bf73, 0x0000000000000007,
};

// m16u4_swio12_noled_pr_u4          m32u4_swio11_noled_pr_u4          m32u4_swio12_noled_pr_u4
static const uint64_t ur_m16u4_swio11_noled_pr_u4[] = {
  0x226eeeed1222e59b, 0x9696215b6dd627ba, 0xc7ea1c489910cd6b, 0x2e27d2f1f3260bf6, 0x7003c9bb3dd111e4,
  0x4eef2589cc864ea8, 0xf8391cf98f9827c6, 0x82877cb6f72476ff, 0x40238e9fc1935ea3, 0x114e62c05965307b,
  0xd9823af47cec98a3, 0xf2cf6ed6279500ff, 0x9fdaf2e556a844c0, 0x9d454aa35d09c73c, 0xa9ace576a96fabb3,
  0xbcb1692b637afa45, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5ccbe6db0862adec,
  0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0001f277d505a7e7,
};

/*
 * m16u4_swio11_noled_pr_ee_u4       m16u4_swio12_noled_pr_ee          m16u4_swio12_noled_pr_ee_u4
 * m32u4_swio11_noled_pr_ee          m32u4_swio11_noled_pr_ee_u4       m32u4_swio12_noled_pr_ee
 * m32u4_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m16u4_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222a20, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x4ee8f62d51c63504, 0xf8391cf9c19827c6, 0x66ab5a331f247677, 0x83660fa8f51e565d, 0x68450ef8aca5fa8f,
  0xd7d185962291669d, 0xd5a5dc9ae3593484, 0xebce9bb1ea8fe439, 0x5110a3deec6ab5d0, 0x6e1bd96cb98b8484,
  0xa01741cf2a3608fd, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0x7afa45a9ace576a9, 0xb55a22bcb1692b63,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x62adec5551696d13, 0xc1e6c25ccbe6db08, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x05a7e792bf734332, 0x0000000000275d34,
};

// m16u4_swio11_noled_pr_ce_u4       m16u4_swio12_noled_pr_ce          m16u4_swio12_noled_pr_ce_u4
static const uint64_t ur_m16u4_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0xadfe0e473fa6e609, 0x9dcaeb8bebdd491c, 0x2445f71258f3c64a, 0x3a4afd47c25f886c,
  0xc67eb2678bb8dc64, 0xfe0d67fa8ebe4f72, 0x731602edf97d1c74, 0xf1d7a3e764c5188a, 0xadd6b13ca807fecc,
  0xb5e5caad508981e5, 0x8a9546ba138e793f, 0x59caed52df57673a, 0x62d256c6f5f48b53, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2f9b6c2131dbd8aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x0375de6d969f9e4a,
};

// m16u4_swio12_noled_pr_ee_ce
static const uint64_t ur_m16u4_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x0e473e9b7304f8c9, 0x7fd51975922337fe, 0xd1ffcf192a763367, 0xb1ef984e771b8ce5,
  0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b, 0x3a6ec7aa3f90e757,
  0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x1cf27f6bcb955a96, 0xaece75152a8d7427,
  0xe916a6b395daa5be, 0x688af2c5a4ad8deb, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0x3612e65f36d84263, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1, 0xfcf257ee68665874,
  0x00000029a69f5cb4,
};

// m16u4_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m16u4_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffe10a67c524c13e, 0xbf717d51e9b9235b, 0xfb892c79e50b8395, 0x7ea3e12fc4361222,
  0xf99e2ee371dbb0b2, 0x4795c8794ed6e6de, 0x387ea3e0d983d2bd, 0xa459a75a1140a62b, 0x4c752135f4616588,
  0xd8f547f21ceaedce, 0xdeec6abc6c75e74d, 0x6cb98b84845110a3, 0xe7951b044c8e1bd9, 0x4fed7972ab52cfa0,
  0xcea2a551ae84e39e, 0xd4d672bb54b7d5d9, 0x5e58b495b1bd7d22, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa1cf257ee6866587, 0x000000009f86e421,
};

// m16u4_swio12_lednop               m32u4_swio11_lednop               m32u4_swio12_lednop
static const uint64_t ur_m16u4_swio11_lednop[] = {
  0x04f077777759bb37, 0x3bb969621586561b, 0x77c7eef85e828324, 0x783309a91d7d69e2, 0x9b1006db48bbad82,
  0x7304f8c9ddb1ec86, 0x248c89ffe6eb9f0f, 0x75ffd475f0ef96e8, 0xee9b6fcbe8e3a7f0, 0xd96ba3b86731602d,
  0x5adb8e58c11d78b9, 0x73c9fdaf2e556a56, 0xbb39d454aa35d09c, 0x9ae0404e576a96fa, 0x962d2572f4bfa45a,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x97cdb6318ab7b155, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000549f59e0b3c,
};

/*
 * m16u4_swio11_lednop_pr_u4         m16u4_swio12_lednop_pr            m16u4_swio12_lednop_pr_u4
 * m32u4_swio11_lednop_pr            m32u4_swio11_lednop_pr_u4         m32u4_swio12_lednop_pr
 * m32u4_swio12_lednop_pr_u4
 */
static const uint64_t ur_m16u4_swio11_lednop_pr[] = {
  0x113777768911259b, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x3bb2eec48338170b, 0xe0e473ebee609f19, 0x801df2dbdc918f7f, 0xa88e3a7f064d7a8e, 0x6f9cc580b2ca67f3,
  0x6608ebd1f3b6488c, 0x967b707fa45403ff, 0xfed7972ab5976a07, 0xea2a551ae84e39e4, 0x20272bb54b7d5d9c,
  0x92b97a5fd22d4d70, 0x6bae7b55a22bcb16, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x610165a7e792bf73, 0x00000000000001f2,
};

// m16u4_swio12_lednop_pr_ee         m32u4_swio11_lednop_pr_ee         m32u4_swio12_lednop_pr_ee
static const uint64_t ur_m16u4_swio11_lednop_pr_ee[] = {
  0xe4ddddd0f5a22044, 0xcb4b1ea7416b05ed, 0xd313b007a5f126d5, 0xa671f1a67ed4dfd3, 0x51590229110bdbc8,
  0xdd4149cae084368b, 0x07239f4b5304f8c9, 0xd56b4663e488d6ff, 0x6cc1f51ea3cad82c, 0x08a1df15a9ef51f0,
  0xfa30b2c4522cd3ad, 0xb4bba55c6b26909a, 0x79d3769111cdc73a, 0x17c471958d56ba1d, 0xc37b2d973170908a,
  0x02b589e546c11fad, 0x38e793fb5e5caad4, 0xf57673a8a9546ba1, 0xb535c0809caed52d, 0xaf2c5a4ae5e97f48,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6c63156f62, 0x674f8b9357079b09,
  0xfa9d598f207e50d1, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0xbf4f169f9e4afdcd, 0x000000000000004e,
};

// m16u4_swio12_lednop_pr_ee_u4      m32u4_swio11_lednop_pr_ee_u4      m32u4_swio12_lednop_pr_ee_u4
static const uint64_t ur_m16u4_swio11_lednop_pr_ee_u4[] = {
  0x777eeeeed1222582, 0x5cb4b1ea6d2eb091, 0x45d23fa306beaca6, 0x79a097b37656da9b, 0x5a17851148889177,
  0x4ee9da0872ecb550, 0xf8391cf8d69827c6, 0xe6ab5a3dbf2474df, 0x83660e71f51e5670, 0x68450ef8acbafa8f,
  0xd7d185962291669d, 0xab4bfee5c5133484, 0xbd75376d291c4273, 0x098a3116c6ab5d0e, 0x86f65c3918b84845,
  0xd7972ab55c5adf5b, 0x2a551ae84e39e4fe, 0x272bb54b7d5d9cea, 0xb97a5fd22d4d7020, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x45e5a7e792bf7343, 0x0000000000004eba,
};

// m16u4_swio11_lednop_pr_ce_u4      m16u4_swio12_lednop_pr_ce         m16u4_swio12_lednop_pr_ce_u4
static const uint64_t ur_m16u4_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xebfc1c8e7e394c13, 0x3bd37717d7ba9236, 0x488bee24b1e78c95, 0x5951fa8f84bf10d8,
  0x8cfd64cf1771b849, 0xf8359fea3cbe9ee5, 0xe62c058f7a5471d3, 0xc75e8f9db244637c, 0x6e83fd22a01ffb33,
  0xaf2e556b2ed40f2d, 0x54aa35d09c73c9fd, 0x4e576a96fabb39d4, 0x72f4bfa45a9ae040, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x57079b09732f9b6c, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x65169f9e4afdcd0c, 0x000000000001baf5,
};

// m16u4_swio12_lednop_pr_ee_ce
static const uint64_t ur_m16u4_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xc1c8e7dfe4c13e32, 0x77fd519759221a3f, 0x7044fe78c953b0d0, 0x2b1ef984e771b8d0,
  0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e74a3a909afa30, 0xf3a6ed22239b8e75,
  0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647, 0x71cf27f6bcb955a9, 0xeaece75152a8d742,
  0x6a6b8101395daa5b, 0x5e58b495cbd2fe91, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6db1898edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0029a763f969f9e4,
};

// m16u4_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m16u4_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0x7f84299fec19827c, 0xf5c5f547a6e48a1f, 0xee24b1e7942e0e21, 0xfa8f84bf10d8488b,
  0xccf1771b9c3fc7dd, 0x3caca5ca76b736f7, 0x43f51f06cc1e95ea, 0x22cd3ad08a053159, 0xa3a909afa30b2c45,
  0xd22239b8e7576e74, 0x656355e363af3a6e, 0x65cc5c242285f11c, 0x3ca8d8226470decb, 0x7f6bcb955a9676b1,
  0x75152a8d74271cf2, 0x101395daa5beaece, 0x495cbd2fe916a6b8, 0xb5d73daad115e58b, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x009f996961a1cf25,
};

/*
 * m16u4_swio11_dual_pr              m16u4_swio11_dual_pr_u4           m16u4_swio12_dual
 * m16u4_swio12_dual_pr              m16u4_swio12_dual_pr_u4
 */
static const uint64_t ur_m16u4_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x860da4606eeb6819, 0x55bb9dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x65af244a2ffe0329, 0x3f83defd47ee8ef9, 0x02a83cce4c3dc71d, 0x006764011a627316,
  0xe37d500ffd9823af, 0x5495f3a81e59edbd, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515,
  0xbd2fe916a6b81013, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7,
  0xb8f3612e65f36d8c, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x341c70d0e792bf73, 0x0000000000000149,
};

// m16u4_swio12_dual_pr_ee
static const uint64_t ur_m16u4_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0x2303775b40c89494, 0xee9f12e20614306d, 0x805a98c7ff32addc,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x85affc06530586f2, 0xaedd4d56b47fba48, 0xea3e0d9830f7ea3c, 0x9a75a1143be2bd37,
  0xd2135f4616588a45, 0x539d5a5d82ae2a5c, 0xba1d7a897631e8cf, 0x908a34a4710d8d56, 0x3f5b86f65f4b3170,
  0x52500b2288aa8d82, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0x576a96fabb39d454, 0xf4bfa45a9ae0404e,
  0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb631,
  0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0005642b543439e4,
};

// m16u4_swio12_dual_pr_ee_u4
static const uint64_t ur_m16u4_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x6d2303775b40c894, 0xdcee9f12e2061430, 0xb1c09d4c96bf32ad,
  0x07bee6f51e2b6c06, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x8f688655777bbe6e, 0x1cf09a448a8432d0,
  0xde579096df4d7fd0, 0x4910b5ff80ca60b0, 0x4795a9e9aad68e03, 0x387ea3e0d983913d, 0xa459a75a1143be2b,
  0x05cd2135f4616588, 0x8c1439d5a5d2b2e1, 0xaad743af6b13b200, 0x5c242287bd1e45b1, 0x170feb70decb8f8c,
  0xacfe2af9ddc54957, 0x4271cf27f6bcb955, 0x5beaece75152a8d7, 0x916a6b8101395daa, 0x115e58b495cbd2fe,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0xc6f19d1028be8a04, 0xb8f3612e65f36d38, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xc9d3d0d0e792bf73, 0x000000000000000a,
};

// m16u4_swio12_dual_pr_ce
static const uint64_t ur_m16u4_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x18369181bbada064, 0x56ee774f8971030a, 0x2391c0e0cdd5ff99,
  0x7f072ba6f51f676c, 0x4aff3f7c11423922, 0x6e29200370f8510c, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0xc3795e425b719bff, 0xf9244e0ffe032982, 0x9e50b8384eae2fab, 0xfc4361222fb892c7, 0xc6e5253397ea3e12,
  0xf9ee58cfa9733c5d, 0xe38e9fc1dadea384, 0x234c4e62c0528bb7, 0xffb33c75e00cec80, 0x40f2d6e7bc6faa01,
  0x7f157ceee2a4af9d, 0x38e793fb5e5caad6, 0xf57673a8a9546ba1, 0xb535c0809caed52d, 0xaf2c5a4ae5e97f48,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x00d245d90d0e792b,
};

// m16u4_swio12_dual_pr_ce_u4
static const uint64_t ur_m16u4_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x18369181bbada064, 0x56ee774f8971030a, 0x1bece1a6e68adf99,
  0x3f8328737a8f95b6, 0x257f9fbe08a11c91, 0x37092801b87c2886, 0x6804f4432abbbddf, 0xe80e784d38c54219,
  0xb0de579096de87ff, 0x6fc91d37ff80ca60, 0xcf285c1cd9d717d7, 0x7e21b09117dc4963, 0xe3729299cbf51f09,
  0x8cf72c6787199e2e, 0x58e3a7f064f7a8f3, 0xc47191cc580a63cf, 0x71cb19e3af22dd97, 0x2af9ddc549475917,
  0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x6b8101395daa5bea, 0x58b495cbd2fe916a, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6db1898edec555, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000000d242ce1a1c,
};

// m16u4_swio12_dual_pr_ee_ce
static const uint64_t ur_m16u4_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0x9181bbada0644a4a, 0x774f8971030a1836, 0xc3104cd77f9956ee,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0xe20ffc06530586f2, 0x73101dff54795a48, 0xdc548f75bf3ca170, 0x53b5959374c273b8,
  0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad, 0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d,
  0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc,
  0x5daa5beaece75152, 0xd2fe916a6b810139, 0xdaad115e58b495cb, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6db189, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0x9c86873c95fb9a19, 0x0000000000004c13,
};

// m16u4_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m16u4_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x850c1b48c0ddd6d0, 0x65a5bf3ba7c4b881,
  0xc3b04e1787372d7e, 0x9fc1b5dcdea3e376, 0x12bfcfdf04508e48, 0x37055000dc3e1443, 0x684724432abbbddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbd257f, 0xa923787fed483cc1, 0x85e77787717d5193, 0x1b09117dc4963cf2,
  0x2a8b24ff51f097e2, 0x6b737374cf1771b8, 0x83dbfea3cae574a7, 0x40a62bdf7ea3e0d9, 0x616588a459a75a11,
  0xeaedcc14752135f4, 0xebd44bb18f467a9c, 0xa34a4710d8d578d8, 0x386f65f4b3170908, 0x96791445546c1132,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xfd22d4d7020272bb, 0x5a22bcb1692b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000020025c17c907,
};

// m16u4_swio13_noled_pr             m32u4_swio13_noled                m32u4_swio13_noled_pr
static const uint64_t ur_m16u4_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x0b23c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x49247bafff375cfc, 0xc1f3dea3a6277cb7, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8, 0x48b5359caed52df5, 0x22bcb1692ad5ef5f,
  0x0c537acef2e7b55a, 0x78a042d2d7f88d4f, 0x6da718de33a20479, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x000f90248782cf25,
};

// m32u4_swio13_noled_pr_u4
static const uint64_t ur_m16u4_swio13_noled_pr_u4[] = {
  0x2b7777768911c056, 0x6b969621586dd60b, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09ba59511,
  0xf8c9dd583938d832, 0x657f8391cfbf9304, 0xd4797c77cb41f922, 0x8f7a5471d3f83e83, 0x147bd9cc580b2ca6,
  0x1ffb30475e8f9da2, 0xb81e59ed88a4d2a0, 0xe793fb5e5caad5f5, 0xf673a8a9546ba138, 0xd4d672bb54b7d54d,
  0xf2c5a4ab57bd7d22, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x2e65f36c648ab7b1,
  0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000f93d65a2d3f3,
};

// m16u4_swio13_noled_pr_ee_u4       m32u4_swio13_noled_pr_ee          m32u4_swio13_noled_pr_ee_u4
static const uint64_t ur_m16u4_swio13_noled_pr_ee[] = {
  0xc5eeeeeed12232a8, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x32774eb46a122cfa, 0xbfc1c8e7c9d4c13e, 0x4b9aad68dfc92315, 0x7c1b30613fd47959, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae, 0xd6e1bd96cb98b848,
  0xd402e9305aa3608f, 0xa138e793fb5e5caa, 0xd54df673a8a9546b, 0x7d22d4d672bb54b7, 0x688af2c5a4ab57bd,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xf3612e65f36c648a, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0xd3f3c95fb9a19961, 0x000000000275cb32,
};

// m16u4_swio13_noled_pr_ce_u4
static const uint64_t ur_m16u4_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x95dfe0e473fb3a60, 0x53bdf7717d76fc91, 0x8488bee24b1e78c9, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x692ad5ef5f48b535, 0x16bae7b55a22bcb1,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf9b63218edec5551, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x375e3eb969f9e4af,
};

static const uint64_t ur_m16u4_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xfe0e473fa6a609f1, 0xc3bfea8ca5c91ff9, 0x54341ff3c64a9dff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xa9bece75152a8d74,
  0xa45a9ace576a96fa, 0x115e58b4956af7af, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xd84b997cdb190c76, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x00000029a673e2d3,
};

static const uint64_t ur_m16u4_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0x77fe10a67f1ba609, 0xd77717d51ece922d, 0x2fb892c79e50b838, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0x93fb5e5caad4b3e9,
  0x73a8a9546ba138e7, 0xd672bb54b7d54df6, 0xc5a4ab57bd7d22d4, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x45a5b44e31bc6744, 0xcbe6d8c863b7b155, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000009f9f67a1a1,
};

// m32u4_swio13_lednop
static const uint64_t ur_m16u4_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0xc8f066127bb522f8, 0x1ab4133f4be2f742,
  0xbee609f193bb9892, 0xa49231efffcdd73e, 0xe0f9ef51d7c3be5b, 0x2dee9827c431c74f, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0x9c73c9fdaf2e556a, 0xa6fb39d454aa35d0, 0x6b8101395daa5bea, 0x2c5a4ae492fe916a,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xce88139f4502169a, 0xb09732f9b69c6378, 0x0cf4c2b93f3fb0dd,
  0xa4a5b2c944e32c97, 0xc16792bf734332c3, 0x00000000005496e3,
};

// m16u4_swio13_lednop_pr_u4         m32u4_swio13_lednop_pr            m32u4_swio13_lednop_pr_u4
static const uint64_t ur_m16u4_swio13_lednop_pr[] = {
  0x95bbbbbb4488af02, 0xb5cb4b10ad50eb05, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6e96544,
  0x3e3277638c0bc5ec, 0x63ffc1c8e7ea54c1, 0xea3e9477cb41f922, 0x80c13e38e9fc1f41, 0xc47191cc580b2ca6,
  0x1ffb30475e8f9d97, 0x207967b637ee1aa0, 0x9e4fed7972ab5b87, 0xd9cea2a551ae84e3, 0x0809caed52df5537,
  0xd2572497f48b535c, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0x4d5c14b4fcf257ee, 0x000000000000003e,
};

// m32u4_swio13_lednop_pr_ee
static const uint64_t ur_m16u4_swio13_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac78, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522278b,
  0x193ba76821a332d4, 0x7fc1c8e7e87e609f, 0x9e9aad68dfc92270, 0x7c1b30613fd4795a, 0xeb422877c57813d4,
  0x26be8c2cb1148b34, 0xcead2f21d71ac9a4, 0x875e74ddbba460a1, 0x4513723c8b6355ae, 0xd6e1bd96cb98b848,
  0x6a0108a4d2a3608f, 0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0x6a6b8101395daa5b, 0xaf2c5a4ae492fe91,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6815156f62, 0x674f8b9357079b09,
  0xfa9d598f207e50d1, 0x7197e627f2861539, 0x3dffc1343cc9fe2e, 0xcb25c33d30ae4fc7, 0x0ccb0e9296cf8138,
  0x5e05169f9e4afdcd, 0x0000000000000027,
};

// m32u4_swio13_lednop_pr_ee_u4
static const uint64_t ur_m16u4_swio13_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x4cb96963d4c69d63, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911367e,
  0x64ee8f62d51c6350, 0x7f8391cf9c19827c, 0xeb355ad199524767, 0x7c1b306807a8f2b2, 0xeb422877c5652fd4,
  0x26be8c2cb1148b34, 0x9d5a5dc9ae2899a4, 0x75eba9bb1ea8fe43, 0x288851ef76355ae8, 0xdc37b2e1c8c5c242,
  0xf6bcb955aae045fa, 0x5152a8d74271cf27, 0xe576a96faa9bece7, 0x924bfa45a9ae0404, 0xe7b55a22bcb1692b,
  0x7296be74078e56ba, 0xe31bc67440842a41, 0x5455bd8aaa2d2414, 0x5c1e6c25ccbe6da0, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x405a7e792bf73433, 0x00000000000275d3,
};

// m16u4_swio13_lednop_pr_ce_u4
static const uint64_t ur_m16u4_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x1d37fe0e473e35a6, 0x953bd9d717d76fc9, 0xd8488bee24b1e78c, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x72497f48b535c080, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x57079b09732f9b68, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x17969f9e4afdcd0c, 0x000000000001bae9,
};

static const uint64_t ur_m16u4_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xfe0e473f6b7304f8, 0x677fd5194b9229b7, 0x49cdffcf192a769b, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8,
  0x35c0809caed52df5, 0x962d2572497f48b5, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x2f9b681463b7b155, 0x58f38b93571b0973, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c,
  0x0a698bf65a7e792b,
};

static const uint64_t ur_m16u4_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x93fc214cf9adcc13, 0x149717d51ece9222, 0x17dc4963cf285c1c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xc9fdaf2e556a5988,
  0x39d454aa35d09c73, 0x01395daa5beaa6fb, 0x4ae492fe916a6b81, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04fc1eaf0d0e792b,
};

// m16u4_swio13_dual_pr              m16u4_swio13_dual_pr_u4
static const uint64_t ur_m16u4_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf2cf7c91fddff80c, 0xe9fc1c1ff51f6f9d, 0xb01541e64ad1ee38, 0x78033b6948e21398,
  0x98c64a807fecc11d, 0xb8a92e04a07967b6, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xaed52df5537d9cea,
  0x497f48b535c0809c, 0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c,
  0xe3cd84b997cdb40a, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd79f43439e4afdcd, 0x0000000000000524,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x8e016a631ffccab7,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x8f4fffe032982c37, 0xcaf4dcd56b46e4e4, 0xdea3e0d9838f7ea3, 0x59a75a1143be2bd9,
  0xcd2135f4616588a4, 0xa839d5a5d4f2e2a5, 0xb5d0ebd44bb3f88f, 0x8484507aa3f92c6a, 0x11fadc37b2fa598b,
  0xc5494021f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x4bfa45a9ae0404e5,
  0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x005641d161a1cf25,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x956ee774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0x5f7247a7fff0194c, 0xaf51e578126ab5a3, 0x8acbafa8f83660fb, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x4a472f8e75697f9c, 0x58d56ba1d7b589db, 0xe3170908a131463e, 0x2ae2d6fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0x2df5537d9cea2a55, 0x48b535c0809caed5, 0x4457962d2572497f,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc674409cfa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x5920543439e4afdc, 0x0000000000000001,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x069224ebff0194c1, 0x3ca17073abee2fac, 0xf886c2445f71258f, 0x8dc24aca8fd47c25,
  0x93dcb19f52e678bb, 0xa38e9fc188bea3c8, 0x91c42731602fee32, 0xffd99e3af00676d2, 0x503cb5b9318c9500,
  0xcfe2af9ddc549702, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xcb1692b924bfa45a,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0xd1674f86e3cd84b9,
  0x39fa9d599bf83bb8, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x0d243243439e4afd,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x7d4ca923b3bff019, 0x963cf285c1c8ad71, 0xf097e21b09117dc4, 0xe2ee37092b2a3f51,
  0x8e804f72c6787199, 0xf3a88e3a7f064d7a, 0xda6e47914e62c057, 0x1f371cb19e3af22d, 0x67f157ceee2a4a3a,
  0x138e793fb5e5caad, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0xe58b495c925fd22d, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x000000692042e1a1,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x0e188266bbfccab7,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x8d6fffe032982c37, 0x0e56f9dff5472ba4, 0x1b97437547e7942e, 0xca76b2b26e984e77,
  0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a, 0xa0e7576e53c3a909, 0xe363af512ecfe23e,
  0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda,
  0xdaa5beaa6fb39d45, 0x2fe916a6b8101395, 0xd5688af2c5a4ae49, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x76f62aa8b490538c, 0xf3612e65f36d028c, 0xbf83bb8d163ce1b8, 0x5c33d30ae4fdd599, 0xb0e9296cf8138cb2,
  0x743439e4afdcd0cc, 0x000000000009822a,
};

static const uint64_t ur_m16u4_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d2df9dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xaf92330dfed483cc, 0x50bcee61ae2faa3e, 0x4361222fb892c79e,
  0x271fdc7fea3e12fc, 0xdadcdcdd33c5dc6e, 0x306657a8f2bdf729, 0x2814c576ebd47c1b, 0x8c2cb1148b34eb42,
  0x9d5db94f0ea426be, 0x8ebd44bb3f88fa83, 0x8a0f547f258d578d, 0x2386f65f4b317090, 0x94b31f37b546c113,
  0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xa45a9ae0404e576a, 0xa22bcb1692b924bf,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb40a31db, 0x8d1637c5c9ab83cd,
  0x73f53ab337f07edd, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00010013e0bc9079,
};

// m16u4_swio14_noled_pr             m32u4_swio14_noled                m32u4_swio14_noled_pr
static const uint64_t ur_m16u4_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xab68cdd4899ee832, 0x9101e0cc26a4de0f, 0x10bcd875e35f67ee,
  0x3dcc13e32776c7b2, 0xa0923dd7ff9bae7e, 0xc1d7ff51d313be5b, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0xf48b5359d372bb54, 0x5a22bcb1692b63f7,
  0x94a9f4ef3f5ae7b5, 0x042d2c2e753a9c05, 0x718de33a2047978a, 0x79c376c25ccbe6da, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x6866587494b65928, 0xf90248782cf257ee,
};

// m32u4_swio14_noled_pr_u4
static const uint64_t ur_m16u4_swio14_noled_pr_u4[] = {
  0x26eeeeed1222e59b, 0x6b9696215b6dd635, 0xf6c7ea1c489910cd, 0xe42e27d2f1f3260b, 0x543801e4ddd49111,
  0xe3277792c4e64327, 0x7ffc1c8e7cc7cc13, 0x51c143be5b7b923b, 0x3da011c74fe0c9af, 0x5188a731602cb298,
  0x7fecc11d7a3e764c, 0x607967b76b13ca80, 0x9e4fed7972ab5422, 0x59cea2a551ae84e3, 0xb5359d372bb54b7d,
  0x2bcb1692b63f7f48, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x25ccbe6db0862ade,
  0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00001f277d505a7e,
};

// m16u4_swio14_noled_pr_ee_u4       m32u4_swio14_noled_pr_ee          m32u4_swio14_noled_pr_ee_u4
static const uint64_t ur_m16u4_swio14_noled_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x040f5c9022911284,
  0xc64ee8f62d51c635, 0x77f8391cf9c19827, 0x5d66ab5a331f2476, 0x8f83660fa8f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x39d5a5dc9ae35934, 0xd0ebce9bb1ea8fe4, 0x845110a3deec6ab5, 0xfd6e1bd96cb98b84,
  0x56a01741cf2a3608, 0x5d09c73c9fdaf2e5, 0x6a96fab39d454aa3, 0x7efe916a6b3a6e57, 0xf6ab4457962d256c,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2, 0xb83cd84b997cdb61, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x80b4fcf257ee6866, 0x000000000004eba6,
};

// m16u4_swio14_noled_pr_ce_u4
static const uint64_t ur_m16u4_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x395bfc1c8e7f4dcc, 0x953b95d717d7ba92, 0xd8488bee24b1e78c, 0xc87495fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0x7f6bcb955aa11303, 0x75152a8d74271cf2, 0xace9b95daa5beace, 0x58b495b1fbfa45a9, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x00dd779b65a7e792,
};

static const uint64_t ur_m16u4_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff07239f4db9827c, 0xb3bfea8cbac9119b, 0x72e8ffe78c953b19, 0x5958f7cc273b8dc6,
  0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845, 0xabb73931d484d7d1, 0xd79d3763d51fc873,
  0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132, 0x138e793fb5e5caad, 0x2df5673a8a9546ba,
  0xfd22d4d674dcaed5, 0x5688af2c5a4ad8fd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x4fcf257ee6866587,
  0x000000029a69f5cb,
};

static const uint64_t ur_m16u4_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xb7ffc214cf8a4982, 0x2b7ee2faa3d37246, 0x45f71258f3ca1707, 0x64fd47c25f886c24,
  0xbdf33c5dc6e3b761, 0x7a8f2b90f29dadcd, 0x5670fd47c1b307a5, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x3c9fdaf2e556a59f,
  0xb39d454aa35d09c7, 0x6a6b3a6e576a96fa, 0x57962d256c7efe91, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3,
  0x8aaa2d2da2718de3, 0x9732f9b6c2131dbd, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x6873c95fb9a19961, 0x0000000027e1b908,
};

// m32u4_swio14_lednop
static const uint64_t ur_m16u4_swio14_lednop[] = {
  0x088377777759bb37, 0x243bb96962158656, 0xe277c7eef85e8283, 0x40783309a91d7d69, 0x869b1006db48bba4,
  0x0f7304f8c9ddb1ec, 0xe8248c89ffe6eb9f, 0xf075ffd475f0ef96, 0x2dee9b6fcbe8e3a7, 0xb9d96ba3b8673160,
  0x565adb8e58c11d78, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0, 0xa6b81013a6e576a9, 0x7962d2572fb1e916,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x997cdb6318ab7b15, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000549f59e0b3,
};

// m16u4_swio14_lednop_pr_u4         m32u4_swio14_lednop_pr            m32u4_swio14_lednop_pr_u4
static const uint64_t ur_m16u4_swio14_lednop_pr[] = {
  0x937777768911259b, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x8c9dd97762419c0b, 0xbff07239f5f7304f, 0x47400ef96dee48c7, 0xf9d4471d3f8326bd, 0x4637ce62c0596533,
  0xffb30475e8f9db24, 0x03cb3db83fd22a01, 0xf27f6bcb955acbb5, 0xce75152a8d74271c, 0x0404e9b95daa5bea,
  0xb495cbec7a45a9ae, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d8c62adec55516,
  0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0x93080b2d3f3c95fb, 0x000000000000000f,
};

// m32u4_swio14_lednop_pr_ee
static const uint64_t ur_m16u4_swio14_lednop_pr_ee[] = {
  0x4dddddd0f5a22044, 0xab96963d4e82d628, 0xa7a627600f4be24d, 0x914ce3e34cfda9bf, 0x8b51590229112847,
  0xc9dd4149cae08436, 0xff07239f4b5304f8, 0x2cd56b4663e488d6, 0xf06cc1f51ea3cad8, 0xad08a1df15a9ef51,
  0x9afa30b2c4522cd3, 0x3ab4bba55c6b2690, 0x1d79d3769111cdc7, 0x8a17c471958d56ba, 0xadc37b2d97317090,
  0xd402b589e546c11f, 0xa138e793fb5e5caa, 0x52df5673a8a9546b, 0x2d4d7020274dcaed, 0x8af2c5a4ae5f63d2,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6c63156f6, 0x1674f8b9357079b0,
  0x9fa9d598f207e50d, 0xe7197e627f286153, 0x73dffc1343cc9fe2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0xebf4f169f9e4afdc, 0x0000000000000004,
};

// m32u4_swio14_lednop_pr_ee_u4
static const uint64_t ur_m16u4_swio14_lednop_pr_ee_u4[] = {
  0x9beeeeeed1222582, 0x4cb96963d4da5d63, 0x368ba47f460d7d59, 0xeef3412f66ecadb5, 0xa0b42f0a2291139b,
  0x8c9dd3b410e5d96a, 0xbff07239f1ad304f, 0xe1cd56b47b7e48e9, 0x1f06cc1ce3ea3cac, 0x3ad08a1df15975f5,
  0x09afa30b2c4522cd, 0xe75697fdcb8a2669, 0x1d7aea6eda523884, 0x8a1314622d8d56ba, 0xb70decb872317090,
  0xfdaf2e556ab8b5be, 0xd454aa35d09c73c9, 0x13a6e576a96fab39, 0x572fb1e916a6b810, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x48bcb4fcf257ee68, 0x00000000000009d7,
};

// m16u4_swio14_lednop_pr_ce_u4
static const uint64_t ur_m16u4_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x6dd7f8391cfc7298, 0x2a77a6ee2faf7524, 0xb09117dc4963cf19, 0x92b2a3f51f097e21,
  0xcb19fac99e2ee370, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0xfb5e5caad65da81e, 0xa8a9546ba138e793, 0x274dcaed52df5673, 0xae5f63d22d4d7020, 0xeb9ed5688af2c5a4,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xaca2d3f3c95fb9a1, 0x000000000000375e,
};

static const uint64_t ur_m16u4_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x1fe0e473eff2609f, 0x683bfea8cbac910d, 0x6838227f3c64a9d8, 0xb5958f7cc273b8dc,
  0x60f4af51e5652e53, 0x50298aca1fa8f836, 0x185962291669d684, 0x3abb73a51d484d7d, 0x1d79d3769111cdc7,
  0x142f88e32b1aaf1b, 0x2386f65b2e62e121, 0xd4b3b589e546c113, 0xa138e793fb5e5caa, 0x52df5673a8a9546b,
  0x2d4d7020274dcaed, 0x8af2c5a4ae5f63d2, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36d8c4c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x00014d3b1fcb4fcf,
};

static const uint64_t ur_m16u4_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0x3eff08533fd83304, 0x43eb8bea8f4dc914, 0x17dc4963cf285c1c, 0xbbf51f097e21b091,
  0xef99e2ee37387f8f, 0xd479594b94ed6e6d, 0xb287ea3e0d983d2b, 0x8a459a75a1140a62, 0xe94752135f461658,
  0xdda4447371ceaedc, 0x38cac6abc6c75e74, 0x96cb98b848450be2, 0x627951b044c8e1bd, 0xe4fed7972ab52ced,
  0x9cea2a551ae84e39, 0x0809d372bb54b7d5, 0x692b97d8f48b535c, 0x56bae7b55a22bcb1, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0013f32d2c3439e4,
};

// m16u4_swio14_dual_pr              m16u4_swio14_dual_pr_u4
static const uint64_t ur_m16u4_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x0a18369181bbada0, 0x9956ee774f897103, 0x360bece05166727f,
  0x244fe0cca9bd477f, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d08c910caaeef, 0x5ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xe596bc9128bff80c, 0x74fe0f7bf51fba3b, 0x580aa0f33930f71c, 0xbc019d90046989cc,
  0xf78df5403ff6608e, 0x715257cea07967b6, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0xa6e576a96fab39d4,
  0x2fb1e916a6b81013, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0x6e3cd84b997cdb63, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x4d071c3439e4afdc, 0x0000000000000052,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0xda4606eeb6819129, 0xb9dd3e25c40c2860, 0x4700b5318ffe655b,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x910b5ff80ca60b0d, 0x795dba9aad68ff74, 0x6fd47c1b3061efd4, 0x8b34eb422877c57a,
  0xb9a426be8c2cb114, 0x9ea73ab4bb055c54, 0xad743af512ec63d1, 0xe121146948e21b1a, 0x047eb70decbe9662,
  0xe2a4a0164511551b, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x4dcaed52df5673a8, 0x5f63d22d4d702027,
  0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053, 0xdc79b09732f9b6c6,
  0x337f07771a2cb578, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0000ac856a86873c,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x60da4606eeb68191, 0x5bb9dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x0692216bff0194c1, 0x7a8f2b53d355ad1c, 0x5670fd47c1b30722, 0x1148b34eb422877c,
  0xc20b9a426be8c2cb, 0x01182873ab4ba565, 0x6355ae875ed62764, 0x18b848450f7a3c8b, 0xae2e1fd6e1bd971f,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x48b535c0809d372b, 0xa22bcb1692b97d8f,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a20517d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x593a7a1a1cf257ee, 0x0000000000000001,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0xd8472381c19babff,
  0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0x7cdc524006e1f0a2, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x0586f2bc84b6e337, 0x57f2489c1ffc0653, 0x8f3ca170709d5c5f, 0x25f886c2445f7125, 0xbb8dca4a672fd47c,
  0x09f3dcb19f52e678, 0x6fc71d3f83b5bd47, 0x0046989cc580a517, 0x03ff6678ebc019d9, 0x3a81e5adcf78df54,
  0xacfe2af9ddc5495f, 0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0x5a9ae0404e9b95da, 0x15e58b495cbec7a4,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xdc68b3a7c371e6c2,
  0x0a9cfd4eaccdfc1d, 0xff1738cbf313f943, 0x27e39effe09a1e64, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x001a48bb21a1cf25,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e12500370f851, 0x32d009e88655777b, 0xffd01cf09a718a84,
  0xc161bcaf212dbd0f, 0xaedf923a6fff0194, 0xc79e50b839b3ae2f, 0x12fc4361222fb892, 0x5dc6e5253397ea3e,
  0xe719ee58cf0e333c, 0x9eb1c74fe0c9ef51, 0x2f88e32398b014c7, 0x2ee39633c75e45bb, 0xfc55f3bb8a928eb2,
  0xe39e4fed7972ab59, 0x7d59cea2a551ae84, 0x35c0809d372bb54b, 0xcb1692b97d8f48b5, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb63131dbd8aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000001a4859c343,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x6d2303775b40c894, 0xdcee9f12e2061430, 0xc3862099aeff32ad,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0x91c41ff80ca60b0d, 0xe0e6203bfea8f2b4, 0x71b8a91eeb7e7942, 0x74a76b2b26e984e7,
  0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7, 0x7a9ceaedcc147521, 0x78d8ebd44bb18f46,
  0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0x372bb54b7d59cea2, 0x7d8f48b535c0809d, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x7390d0e792bf7343, 0x0000000000000982,
};

static const uint64_t ur_m16u4_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x40c2860da4606eeb, 0xbf32d2df9dd3e25c,
  0xbb61d8270bc39b96, 0x244fe0daee6f51f1, 0x21895fe7ef822847, 0xef9b82a8006e1f0a, 0x0cb4239221955dde,
  0xbfe80e784dbee2a1, 0x60b0de579096de92, 0xc9d491bc3ff6a41e, 0x7942f3bbc3b8bea8, 0xf10d8488bee24b1e,
  0xdc1545927fa8f84b, 0x53b5b9b9ba678bb8, 0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad,
  0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d, 0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0xc7a45a9ae0404e9b, 0xaad115e58b495cbe,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6db1898, 0x6ec68b1be2e4d5c1,
  0x1539fa9d599bf83f, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x3cf257ee68665874, 0x0000010012e0be48,
};

// m16u4_swio15_noled_pr             m32u4_swio15_noled                m32u4_swio15_noled_pr
static const uint64_t ur_m16u4_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xab68cdd1b42ca832, 0x6c13c19849eede0f, 0x2179b0ebc6becfdd,
  0x7b9827c64eed8f64, 0x49247bafff375cfc, 0xc1f3dea3a6277cb7, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x48b5359d372bb54b, 0x115e58b4956aff7f,
  0x8629bd677973daad, 0xbc5021696bfc46a7, 0x36d38c6f19d1023c, 0xd163ce1bb612e65f, 0xb93f75663c81a3f8,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0007c81243c16792,
};

// m32u4_swio15_noled_pr_u4
static const uint64_t ur_m16u4_swio15_noled_pr_u4[] = {
  0xbb7777768911c056, 0x6b969621586dd627, 0xf5a9ee1f1b4910cd, 0x1e4122463afddf63, 0x3e3cb8d09bb3dd11,
  0xf8c9dd583938d832, 0x657f8391cfbf9304, 0xd4797c77cb41f922, 0x8f7a5471d3f83e83, 0x147bd9cc580b2ca6,
  0x1ffb30475e8f9da2, 0xb81e59ed88a4d2a0, 0xe793fb5e5caad5f5, 0x7673a8a9546ba138, 0xd4d674dcaed52df5,
  0x7962d255abfdfd22, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x9732f9b632455bd8,
  0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00007c9eb2d169f9,
};

// m16u4_swio15_noled_pr_ee_u4       m32u4_swio15_noled_pr_ee          m32u4_swio15_noled_pr_ee_u4
static const uint64_t ur_m16u4_swio15_noled_pr_ee[] = {
  0xbdeeeeeed12232a8, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x32774eb46a122cfa, 0xbfc1c8e7c9d4c13e, 0x4b9aad68dfc92315, 0x7c1b30613fd47959, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2e95971ac9a4, 0x875e74ddba847921, 0x451f22383f6355ae, 0xd6e1bd96cb98b848,
  0xd402e9305aa3608f, 0xa138e793fb5e5caa, 0x2df57673a8a9546b, 0xfd22d4d674dcaed5, 0xb4457962d255abfd,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0x79b09732f9b63245, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x69f9e4afdcd0ccb0, 0x00000000013ae599,
};

// m16u4_swio15_noled_pr_ce_u4
static const uint64_t ur_m16u4_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x95dfe0e473fb3a60, 0x53bdf7717d76fc91, 0x8488bee24b1e78c9, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0xb4956aff7f48b535, 0x8b5d73daad115e58,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7cdb190c76f62aa8, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x1baf1f5cb4fcf257,
};

static const uint64_t ur_m16u4_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xfe0e473fa6a609f1, 0xc3bfea8ca5c91ff9, 0x54341ff3c64a9dff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xbeaece75152a8d74,
  0xa45a9ace9b95daa5, 0x88af2c5a4ab57fbf, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b,
  0x6c25ccbe6d8c863b, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9,
  0x00000014d339f169,
};

static const uint64_t ur_m16u4_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0x77fe10a67f1ba609, 0xd77717d51ece922d, 0x2fb892c79e50b838, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0x93fb5e5caad4b3e9,
  0x73a8a9546ba138e7, 0xd674dcaed52df576, 0x62d255abfdfd22d4, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000004fcfb3d0d0,
};

// m32u4_swio15_lednop
static const uint64_t ur_m16u4_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x9d8037438a38e0c9, 0x04f066127bb522f8, 0x1ab4133f4be2f75b,
  0xbee609f193bb9892, 0xa49231efffcdd73e, 0xe0f9ef51d7c3be5b, 0x2dee9827c431c74f, 0x5cedbda3b8673160,
  0x562cfdc72c608ebc, 0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0, 0x6b81013a6e576a96, 0xcb1692b92b1e916a,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x33a204e7d14085a6, 0x6c25ccbe6da718de, 0xc33d30ae4fcfec37,
  0xe9296cb25138cb25, 0xf059e4afdcd0ccb0, 0x00000000001525b8,
};

// m16u4_swio15_lednop_pr_u4         m32u4_swio15_lednop_pr            m32u4_swio15_lednop_pr_u4
static const uint64_t ur_m16u4_swio15_lednop_pr[] = {
  0xddbbbbbb4488af02, 0xb5cb4b10ad50eb13, 0x3db27aa607148866, 0x47904891b63367bd, 0xcc17e635a6ecf744,
  0x3e3277638c0bc5ec, 0x63ffc1c8e7ea54c1, 0xea3e9477cb41f922, 0x80c13e38e9fc1f41, 0xc47191cc580b2ca6,
  0x1ffb30475e8f9d97, 0x207967b637ee1aa0, 0x9e4fed7972ab5b87, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5,
  0xb495c958f48b535c, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516,
  0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0x9357052d3f3c95fb, 0x000000000000000f,
};

// m32u4_swio15_lednop_pr_ee
static const uint64_t ur_m16u4_swio15_lednop_pr_ee[] = {
  0xbdddddd0f5a22582, 0xab96963d4c20ac17, 0x627699e97119e24d, 0x7914c75f42e19e14, 0x47ec89b04522217b,
  0x193ba76821a332d4, 0x7fc1c8e7e87e609f, 0x9e9aad68dfc92270, 0x7c1b30613fd4795a, 0xeb422877c57813d4,
  0x26be8c2cb1148b34, 0xcead2f21d71ac9a4, 0x875e74ddbba460a1, 0x4513723c8b6355ae, 0xd6e1bd96cb98b848,
  0x6a0108a4d2a3608f, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0x6a6b81013a6e576a, 0x2bcb1692b92b1e91,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6da05455bd8, 0x59d3e2e4d5c1e6c2,
  0x7ea75663c81f9434, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0xd78145a7e792bf73, 0x0000000000000009,
};

// m32u4_swio15_lednop_pr_ee_u4
static const uint64_t ur_m16u4_swio15_lednop_pr_ee_u4[] = {
  0x22eeeeeed1222a20, 0x4cb96963d4c69d61, 0x23fa697499f1fd59, 0xef341f167ec19e3b, 0x40f5c9022911122e,
  0x64ee8f62d51c6350, 0x7f8391cf9c19827c, 0xeb355ad199524767, 0x7c1b306807a8f2b2, 0xeb422877c5652fd4,
  0x26be8c2cb1148b34, 0x9d5a5dc9ae2899a4, 0x75eba9bb1ea8fe43, 0x288851ef76355ae8, 0xdc37b2e1c8c5c242,
  0xf6bcb955aae045fa, 0x5152a8d74271cf27, 0xe9b95daa5beaece7, 0xe4ac7a45a9ae0404, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x15156f62aa8b4905, 0x57079b09732f9b68, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xd0169f9e4afdcd0c, 0x0000000000009d74,
};

// m16u4_swio15_lednop_pr_ce_u4
static const uint64_t ur_m16u4_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x1d37fe0e473e35a6, 0x953bd9d717d76fc9, 0xd8488bee24b1e78c, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0x5c958f48b535c080, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x45e5a7e792bf7343, 0x0000000000006eba,
};

static const uint64_t ur_m16u4_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xfe0e473f6b7304f8, 0x677fd5194b9229b7, 0x49cdffcf192a769b, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8,
  0x35c0809d372bb54b, 0xe58b495c958f48b5, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6da0518edec55, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x029a62fd969f9e4a,
};

static const uint64_t ur_m16u4_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x93fc214cf9adcc13, 0x149717d51ece9222, 0x17dc4963cf285c1c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xc9fdaf2e556a5988,
  0x39d454aa35d09c73, 0x013a6e576a96fabb, 0x92b92b1e916a6b81, 0x6bae7b55a22bcb16, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x013f07abc3439e4a,
};

// m16u4_swio15_dual_pr              m16u4_swio15_dual_pr_u4
static const uint64_t ur_m16u4_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32addcee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf2cf7c91fddff80c, 0xe9fc1c1ff51f6f9d, 0xb01541e64ad1ee38, 0x78033b6948e21398,
  0x98c64a807fecc11d, 0xb8a92e04a07967b6, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0x372bb54b7d5d9cea,
  0x958f48b535c0809d, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7,
  0xb8f3612e65f36d02, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x35e7d0d0e792bf73, 0x0000000000000149,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x8e016a631ffccab7,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x8f4fffe032982c37, 0xcaf4dcd56b46e4e4, 0xdea3e0d9838f7ea3, 0x59a75a1143be2bd9,
  0xcd2135f4616588a4, 0xa839d5a5d4f2e2a5, 0xb5d0ebd44bb3f88f, 0x8484507aa3f92c6a, 0x11fadc37b2fa598b,
  0xc5494021f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0xb95daa5beaece751, 0xac7a45a9ae0404e9,
  0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00159074586873c9,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x956ee774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0x5f7247a7fff0194c, 0xaf51e578126ab5a3, 0x8acbafa8f83660fb, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x4a472f8e75697f9c, 0x58d56ba1d7b589db, 0xe3170908a131463e, 0x2ae2d6fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x48b535c0809d372b, 0xd115e58b495c958f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x5648150d0e792bf7,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xab773ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x069224ebff0194c1, 0x3ca17073abee2fac, 0xf886c2445f71258f, 0x8dc24aca8fd47c25,
  0x93dcb19f52e678bb, 0xa38e9fc188bea3c8, 0x91c42731602fee32, 0xffd99e3af00676d2, 0x503cb5b9318c9500,
  0xcfe2af9ddc549702, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xf2c5a4ae4ac7a45a,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0x3459d3e1b8f3612e,
  0x4e7ea75666fe0eee, 0x8b9c65f989fca185, 0xf1cf7ff04d0f327f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x03490c90d0e792bf,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe655bb9dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x7d4ca923b3bff019, 0x963cf285c1c8ad71, 0xf097e21b09117dc4, 0xe2ee37092b2a3f51,
  0x8e804f72c6787199, 0xf3a88e3a7f064d7a, 0xda6e47914e62c057, 0x1f371cb19e3af22d, 0x67f157ceee2a4a3a,
  0x138e793fb5e5caad, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x7962d2572563d22d, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2,
  0x0000001a4810b868,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x73ba7c4b881850c1, 0x0e188266bbfccab7,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x8d6fffe032982c37, 0x0e56f9dff5472ba4, 0x1b97437547e7942e, 0xca76b2b26e984e77,
  0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a, 0xa0e7576e53c3a909, 0xe363af512ecfe23e,
  0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda,
  0xe576a96fabb39d45, 0xb1e916a6b81013a6, 0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x9d0d0e792bf73433, 0x000000000002608a,
};

static const uint64_t ur_m16u4_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d2df9dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xaf92330dfed483cc, 0x50bcee61ae2faa3e, 0x4361222fb892c79e,
  0x271fdc7fea3e12fc, 0xdadcdcdd33c5dc6e, 0x306657a8f2bdf729, 0x2814c576ebd47c1b, 0x8c2cb1148b34eb42,
  0x9d5db94f0ea426be, 0x8ebd44bb3f88fa83, 0x8a0f547f258d578d, 0x2386f65f4b317090, 0x94b31f37b546c113,
  0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa45a9ae0404e9b95, 0x688af2c5a4ae4ac7,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x63458df1726ae0f3,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00004004f82f241e,
};

// m32_autobaud_uart0_noled_pr       m32a_autobaud_uart0_noled         m32a_autobaud_uart0_noled_pr
static const uint64_t ur_m32_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0x77777775579842f7, 0x4369b3f77a99be97, 0x90e3f5a307ddddd0, 0x16da93ba0bd04cc5,
  0x9f9c6609f1809043, 0x4ca044097cff4809, 0xea885d7fb75c05d3, 0x27c5a76849c12657, 0xc18fbf51ebf9df2c,
  0x2cb29845e7a38e9f, 0xf9d838a333c73160, 0xe1aa01ffb30475e8, 0x2856540f2cf6d4d7, 0xec9a3a3149e5a74a,
  0x529794deb9f8a3cd, 0x6953e9e8754e047f, 0x9b697f8ab7fbd551, 0x68b1e70ddb09732f, 0x5c9fbab31e40d1fc,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x01c4400e54b373c9,
};

// m32a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m32_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed1222743, 0xbbbbbbaabcc217b8, 0xda6cfddea60cd267, 0x78fd68c1f7777410, 0xb52776a2f25b1eb0,
  0x38cc13e30120862d, 0xa044097cff735f3f, 0x885d7fb75c05d34c, 0xc5a76849c12657ea, 0x8fbf51ebf9df2c27,
  0xb29845e7a38e9fc1, 0xd838a333c731602c, 0xaa01ffb30475e8f9, 0x56540f2cf6d4d7e1, 0x9a3a3149e5a74a28,
  0x9794deb9f8a3cdec, 0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xd9694c939e4afdcd, 0x0000000000000230,
};

// m32_autobaud_uart0_noled_pr_ee_u4 m32a_autobaud_uart0_noled_pr_ee   m32a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m32_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda24458e2, 0xbbbbbbaabb60a091, 0x8e14f4cb8c33d697, 0xb00bd0ef56ddad18, 0x74a70f634a758199,
  0x13e30120862db527, 0x2387fee6be7d82cc, 0xfedd70174d328110, 0xa12704995faa2175, 0xe719aad68e6e169d,
  0x51f06cc18f9ea3ca, 0x1d7d8b4ddf15cbef, 0x4d7d2d8cb8e1386e, 0xcead2e98ae359348, 0x1d79d37659e8c4f9,
  0xd34168f19d8d56ba, 0xe1bd96cbe701c762, 0x0bf0c032a3608fd6, 0xd1d18a4f2d3a5140, 0xbca6f5cfc51e6f64,
  0x9f4f43aa7023fa94, 0x4bfc55bfdeaa8b4a, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x1538649cf257ee68,
  0x0000000000004d4e,
};

// m32_autobaud_uart0_noled_pr_ce_u4 m32a_autobaud_uart0_noled_pr_ce   m32a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m32_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4488ba31, 0xeeeeeeaae30964e2, 0x2da9c2f1856f419e, 0x2d185171ddddd9fe, 0xb52776c4d8608005,
  0x43cc13e30120862d, 0x81102727fee6be7e, 0x2175fedd70174d32, 0x169da12704995faa, 0x00953b09f717d531,
  0x21b09117dc4963cf, 0xb963fff3f51f097e, 0x9ee58cfd64cf1771, 0xe3a7f06693d476be, 0x99e398b016e18878,
  0xd99e3af47cec1c51, 0xe5adca6bf0d500ff, 0x293cb4e9450aca81, 0xd73f1479bd934746, 0x0ea9c08fea52f29b,
  0x76ff7aaa2d2a7d3d, 0xe6c25ccbe6da5fcc, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x24e792bf734332c3, 0x000000011baa65a3,
};

// m32a_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m32_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd414477d6, 0xeeeeeaaf389a0b12, 0x34cfd921f4f4c4ee, 0x2b7a90bdeef8fb1e, 0xeb4e2b83f69a2d45,
  0xe30120862db52775, 0xadfee6be7c9d4c13, 0xdd70174d32811028, 0x2704995faa2175fe, 0xa77fd5187b169da1,
  0xd735bfcf00953b74, 0x5958f7cc273b8dcf, 0x07197a8f2b05253b, 0x98a62b9bbd47c1b3, 0x1971c270dc3afb16,
  0xbb72623a909afa5b, 0xe74dd967a313e73a, 0x0b478cec6abc6c75, 0xecb65f380e3b169a, 0xc300ca8d8226470d,
  0x46293cb4e9450b3f, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2, 0xcc76ff7aaa2d2a7d, 0xc1e6c25ccbe6da5f,
  0x1f9434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x044e9e324e792bf7, 0x0000000000000001,
};

// m32a_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x5bbbbbbb44867f3e, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0xbb1aa8bd99badf4e,
  0x09f180904316da93, 0x18fffe3f0e7f76a6, 0xf6eb80ba69940881, 0x093824cafd510baf, 0xaeb8bea8d2b0b4ed,
  0xbee24b1e79b680e4, 0x7fa8f84bf10d8488, 0xf7ccf1771b9d66c8, 0xf51e560a4a76b736, 0x57377a8f83660e32,
  0x84e1b875f62d314c, 0xc4752135f4b632e3, 0xb2cf4627ce7576e4, 0x19d8d578d8ebce9b, 0xbe701c762d34168f,
  0x951b044c8e1bd96c, 0x7969d28a167f8601, 0x7e28f37b268e8c52, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d,
  0x84b997cdb4bf98ed, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8af69e4afdcd0ccb, 0x00000000041107e0,
};

// m32a_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m32_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb44862d7b, 0x7777775576c14122, 0x623853d32e3b0cf7, 0x66c02f43bd5b76b4, 0xa93ba8eca56bb206,
  0x16609f180904316d, 0x0220470ffe8533ec, 0x42ebfdbae02e9a65, 0x2d3b424e0932bf54, 0x4795ce3355ad1cdc,
  0x97dea3e0d9831f3d, 0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0x89f39d5a5d315c6b, 0xad743af3a6ecb3d1,
  0x8ec5a682d1e33b1a, 0x1fadc37b2d97ce03, 0xa28017e1806546c1, 0xdec9a3a3149e5a74, 0xf529794deb9f8a3c,
  0x16953e9e8754e047, 0xf9b697f8ab7fbd55, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0002c4fe343a29e4,
};

/*
 * m32_autobaud_uart0_noled_ee_ce_u4_hw m32a_autobaud_uart0_noled_ee_ce_hw
 * m32a_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaaf2214ce2, 0xc82e368b0cf60dee, 0xe4b414d076deee14, 0x2777ed75dea7df4e,
  0x4c13e30120862db5, 0x10231fffa14cfeed, 0x75fedd70174d3281, 0x9da12704995faa21, 0x1c95d717d51a5616,
  0x9117dc4963cf36d0, 0x6f0ff51f097e21b0, 0xe6def99e2ee373b0, 0xc65ea3cac1494ed6, 0x298ae6ef51f06cc1,
  0x5c709c370ebec5a6, 0xdc988ea426be96c6, 0xd37659e8c4f9ceae, 0xd1e33b1aaf1b1d79, 0x2d97ce038ec5a682,
  0xc032a3608991c37b, 0x8a4f2d3a5142cff0, 0xf5cfc51e6f64d1d1, 0x43aa7023fa94bca6, 0x1dbfdeaa8b4a9f4f,
  0x79b09732f9b697f3, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0xf82a29e4afdcd0cc, 0x0000000000012a41,
};

// m32_autobaud_uart0_lednop_pr      m32a_autobaud_uart0_lednop        m32a_autobaud_uart0_lednop_pr
static const uint64_t ur_m32_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x7777777557984792, 0xcb2b9bf07c3faebf, 0xd15a17bbf377745f, 0x2db5277731242a1a,
  0x3e0a4c13e3012086, 0x99408817c9fe9013, 0xd510baff6eb80ba6, 0xd60b4ed093824caf, 0xc199ef51daf8ef96,
  0xb7ba6b8621e38e9f, 0xcec3ed1eb11cc580, 0x629adc72c608ebc5, 0x14c0809e5a74a285, 0xce81c51e7c49a3a3,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0x6ed84b997cdb2e22, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x9ca59b9e4afdcd0c, 0x000000000001c443,
};

// m32a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m32_autobaud_uart0_lednop_pr_u4[] = {
  0x96eeeeeed12233c3, 0xbbbbbbaabcc20d78, 0xd0bdecfbf06dec01, 0xd2baf327bbbba086, 0x527748fcbb7a71c7,
  0xacc13e30120862db, 0x08814beff735f3e7, 0x0baff6eb80ba6994, 0xb4ed093824cafd51, 0xf7ea3acf3be584f8,
  0xa61be4f471d3f831, 0x7b48cd21cc580b2c, 0x807fecc11d7a3e76, 0x8281e59ed99e534a, 0x2981013cb4e94515,
  0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x79b09732f9b65c45, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xc939e4afdcd0ccb0, 0x00000000230d6e40,
};

/*
 * m32_autobaud_uart0_lednop_pr_ee_u4 m32a_autobaud_uart0_lednop_pr_ee
 * m32a_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m32_autobaud_uart0_lednop_pr_ee[] = {
  0x2ddddddda24477d6, 0x7777775576c12b71, 0x4504c2b31a17af5f, 0x2fc76877ab6ed68c, 0x75eb4e2313f68fde,
  0x13e30120862db527, 0x2287fee6be7f2b4c, 0xfedd70174d328110, 0xa12704995faa2175, 0xcf59aad68e6e169d,
  0x51f06cc18f9ea3ca, 0x0ebec5a6ef8af4af, 0x26be96c65c709c37, 0xe75697c9171ac9a4, 0x875e74ddba04621c,
  0x6989f4720b6355ae, 0x70decb65f380e3b1, 0x04a6bf0d51b047eb, 0xc5302027969d28a0, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0xab7fbd55169b167a, 0x0f3612e65f36cb88, 0x1f943458df1726ae, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x99273c95fb9a1996,
  0x00000000135389c5,
};

/*
 * m32_autobaud_uart0_lednop_pr_ce_u4 m32a_autobaud_uart0_lednop_pr_ce
 * m32a_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m32_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb4488a493, 0x7777775571842422, 0x764da98db377a7ef, 0x6c20998eeeeecff1, 0xa93ba1b9053453b4,
  0x2e609f180904316d, 0x08813a5ff735f3e5, 0x0baff6eb80ba6994, 0xb4ed093824cafd51, 0x04a9dedfb8bea988,
  0x0d8488bee24b1e78, 0x9bb49b7fa8f84bf1, 0xee58cfd64cf1771b, 0x8e9fc19a4f51f9e9, 0x348731602ef782e3,
  0xb33c75e8f9d9ed23, 0xe5adc6794d2a01ff, 0x013cb4e945158281, 0x8a3cf89347462981, 0x0aeaa72f29b19d03,
  0xeaa8b4d8b3d0ea9c, 0x2e65f36cb831dbfd, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00008dd778299273,
};

// m32a_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeeeaaf389b2312, 0x41469b21e47792ee, 0x377a90bdeef8fb1f, 0x0524c89c7397191f,
  0xe30120862db52774, 0x07fdcd7cfd0fcc13, 0xbae02e9a65022047, 0x4e0932bf5442ebfd, 0x4effaa30f62d3b42,
  0x87cb5f9e012a765d, 0xb2b1ef984e771b97, 0x0e32f51e56804a76, 0x314c5738fa8f8366, 0x32e384e1b875f62d,
  0x76ec90752135f4b6, 0xe74ddba04621ce75, 0x3e8e416c6abc6c75, 0xd96cbe701c762d31, 0x6bf0d51b044c8e1b,
  0x02027969d28a166a, 0x071479f1268e8c53, 0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0xc25ccbe6d97063b7,
  0x34596af2e4d5c1e6, 0x4e7ea75663c81f94, 0x43cc9fe04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c,
  0xec324e792bf73433, 0x0000000000008222,
};

// m32a_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0xbbd77738a7557891,
  0x09f180904316da93, 0x5ff3ff1f873fa6a6, 0xfdbae02e9a650220, 0x424e0932bf5442eb, 0xa6ee2faa34ac2d3b,
  0x2fb892c79e6da039, 0x57ea3e12fc436122, 0xbdf33c5dc6e5c892, 0xbd4795a0129dadcd, 0x15ce3ea3e0d9838c,
  0xe1386e1d7d8b4c53, 0x241d484d7d2d8cb8, 0x76e81188739d5dbb, 0x905b1aaf1b1d79d3, 0x2f9c071d8b4c4fa3,
  0x3546c1132386f65b, 0x9e5a74a2859a9afc, 0x1e7c49a3a314c080, 0x75539794d8ce81c5, 0x545a6c59e8754e05,
  0x32f9b65c18edfef5, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xd3c95fb9a19961d2, 0x00000041112da15e,
};

// m32a_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m32_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda2435562, 0x7777775576c12b71, 0x188a0985663b42f7, 0xbc5f8ed0ef56ddad, 0xd49dd322d3b6c31f,
  0xad304f8c048218b6, 0x81102287ff4299fc, 0x2175fedd70174d32, 0x169da12704995faa, 0xa3cacf59aad68e6e,
  0xf4af51f06cc18f9e, 0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x621ce75697c9171a, 0x55ae875e74ddba04,
  0xe3b16989f4720b63, 0x47eb70decb65f380, 0x28a004a6bf0d51b0, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0xbb1b8f3612e65f36, 0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x589e7eb7453c95fb, 0x0000000000000000,
};

/*
 * m32_autobaud_uart0_lednop_ee_ce_u4_hw m32a_autobaud_uart0_lednop_ee_ce_hw
 * m32a_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaaf220b062, 0xc85335c742f51dee, 0x977644d076deee14, 0x2774e767de957891,
  0x4c13e30120862db5, 0x440bfe7fd0a67f4d, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0x0734ddc5f5469585,
  0x2445f71258f3cdb4, 0x667cfd47c25f886c, 0xb9b7be678bb8dc98, 0x7197a8f2b40253b5, 0x8a62b9c7d47c1b30,
  0x971c270dc3afb169, 0xb76483a909afa5b1, 0x3a6edd02310e73ab, 0xf4720b6355e363af, 0xcb65f380e3b16989,
  0x5f86a8d8226470de, 0x1013cb4e9450b353, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9,
  0x12e65f36cb831dbf, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x453c95fb9a19961d, 0x0000000012a44b69,
};

// m32a_autobaud_uart0_dual
static const uint64_t ur_m32_autobaud_uart0_dual[] = {
  0x7e6eeeeeeea232a8, 0x5bbbbbbbab42f667, 0x453228ef92d86d01, 0x14a374247777685d, 0x49376ee3ad1ab59f,
  0x7304f8c048218b6d, 0xcf11ec99182a9178, 0x3ee5c61409f137da, 0xeb3143fccac049dd, 0x9bd47f9db090e702,
  0xf04508e489fc1945, 0x0dc3e144312bfcfd, 0x0caaeef77cdc3820, 0x32d78a8432d0c911, 0x9cbdbedfffa039e1,
  0xf7b20f305855998b, 0x80ba699408814bef, 0x24cafd510baff6eb, 0x3be584f8b4ed0938, 0x71d3f831f7ea3acf,
  0xcc580b2ca61be4f4, 0x1d7a3e767b48cd21, 0x656656513b8e58c1, 0xcb4e94527f33e8e6, 0xcf89347462981013,
  0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae, 0x2f9b65c455bfdeaa, 0xfd8b9357079b0973, 0x1964b867a615c9f9,
  0xa19961d252d9f027, 0x27a7199273c95fb9, 0x000000000000064f,
};

// m32a_autobaud_uart0_dual_pr
static const uint64_t ur_m32_autobaud_uart0_dual_pr[] = {
  0xbf3777777750d2a8, 0xddddddddd5a17c1b, 0xd0ba8bb2ee99e94e, 0xd33e81664519eeee, 0x6d49376ee3ad1a8e,
  0xcf9304f8c048218b, 0xdacf11ec99182a90, 0xdd3ee5c61409f137, 0x817598a1fe657419, 0xa2cdea3fced84873,
  0x7ef822847244fe0c, 0xb006e1f0a21895fe, 0x888655777bbe6e69, 0xf0996bc542196864, 0xc5ce5ede3dffd01c,
  0xa57f8f82982c2acc, 0xdbae02e9a6502205, 0x24e0932bf5442ebf, 0x7e78ef9613e2d3b4, 0x6be8e3a7f063efd4,
  0x8cce62c0596535c3, 0x8c11d7a3e7690547, 0x8e66566563a7b8e5, 0x013cb4e94527f33e, 0x7ce81c51e7462981,
  0x2169c9183536253f, 0xb69e8754e041dc50, 0x1e70dc79b09732f9, 0x7eeaccdfc1ddc68b, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x559b09ac57b4f257, 0x0000000000000001,
};

// m32a_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m32_autobaud_uart0_dual_pr_u4[] = {
  0xcddddddda24343ee, 0x77777775685eecaf, 0xb8cdd40b123a3db7, 0xc029a744eddddb22, 0xa16eeaefc89086d3,
  0x04f8c048218b6d49, 0x11ec99182a91d673, 0xe5c61409f137dacf, 0x9a577e657419dd3e, 0xea394bd830538604,
  0x22847244fe0dd2cd, 0xe1f0a21895fe7ef8, 0x55777bbe6e05a006, 0x92454219684e2886, 0x97b77f3fe80e784d,
  0xe3e0a60b0ab33173, 0x80ba69940881751f, 0x24cafd510baff6eb, 0x9df2dcf0b4ed0938, 0x38e9fc1bdaf51ee1,
  0xe62c05d6299efb5a, 0x75e0353b57f4682c, 0xb1f744aa01ffb304, 0x1cccacc71f03cb3d, 0x027969d28a4fe67d,
  0x1479f1268e8c5302, 0x15d54e5e53633a07, 0xd55169b167a1d538, 0x2e65f36cb88ab7fb, 0xddc68b1be1b8f361,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0xbda792bf734332c3, 0x00000000b82cf822,
};

// m32_autobaud_uart0_dual_pr_ee_u4  m32a_autobaud_uart0_dual_pr_ee    m32a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m32_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda243359b, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a27ee, 0xb65ab1df91dd2956, 0x3c330a136d75b9ce,
  0x0904316da9302ddc, 0x460aa42e0a609f18, 0x027c4df6b3c47b26, 0x995d06774fb97185, 0x6c1fe1c3104cd77f,
  0x227f07ff26f51f4d, 0x0c4aff3f7c114239, 0xbe6e75980370f851, 0x32d060a88655777b, 0xffa039e134878a84,
  0x5855998b9cbdb93a, 0x408814aeff1f0530, 0x10baff6eb80ba699, 0x0b4ed093824cafd5, 0xa3caf6fcd56b47a5,
  0xfbaf51f06cc1fc9e, 0x9c370ebec5a6ef8a, 0xf9a426be96c65c70, 0xc9e39d5a5e715c09, 0x56ba1d7b19bb6f68,
  0xe3b169f3c8d21d8d, 0x8fd6e1bd977bb380, 0x95980544a83aa360, 0x2d3a5149fccfa399, 0x3e24d1d18a60404f,
  0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xbe6d971156ff7aaa, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00002952245e57b4,
};

// m32_autobaud_uart0_dual_pr_ce_u4  m32a_autobaud_uart0_dual_pr_ce    m32a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m32_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda243573e, 0x7777777565a13eef, 0x94e67c10c7b6d6b7, 0x5bf79f7b2b777605, 0x1dbb9717dd95c759,
  0x13e30120862db525, 0x1ec99182a90aebcc, 0x5c61409f137dacf1, 0x4edfe657419dd3ee, 0x38cdec3768e09b73,
  0x847244fe0c2d4dea, 0xf0a21895fe7ef822, 0xeef77cdcbc3006e1, 0x150865a121d10caa, 0x7d9dff4073c26fdd,
  0x0a60b0ab3317397b, 0x4d3281102287fe3e, 0x5faa2175fedd7017, 0xd66e169da1270499, 0xb1e79b680e3f9717,
  0x84bf10d8488bee24, 0xc5dc6e69a7f9fa8f, 0x1fa09ee58cf13f33, 0xce9238e9fc1a0bf5, 0xd5fd1a0b398b0147,
  0x807feccf1d780d4e, 0x71f03cb5b87dd12a, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0x97063b7fbd55169b, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0xad7bdaf657b4f257,
};

// m32a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m32_autobaud_uart0_dual_pr_ee_ce[] = {
  0x9bbbbbbba8286f97, 0xddddddd5817d77df, 0xc935d00957efb8dd, 0x2656a19991ddfb49, 0xcf04675c7f53a26f,
  0x80904316da92769d, 0xc8c1548ee3e609f1, 0xa04f89bed6788f64, 0xf32ba0cee9f72e30, 0xf6130c7067c9bacf,
  0x227f062926f51cd6, 0x0c4aff3f7c114239, 0x7cdc30080370f851, 0x65a04e910caaeef7, 0xff4073c26d9d1508,
  0xb0ab3317397b7d35, 0x811020b5fe3e0a60, 0x2175fedd70174d32, 0x169da12704995faa, 0xd01cc0877fd51afb,
  0x3b8dc67ceb3fcf36, 0x91253b5958be4c27, 0x47c1b30698fa8f2b, 0x75f62d314c5613fd, 0x35f4b632e384e1b8,
  0x278e7576e9c47521, 0xbc6c75ec66edbda3, 0x1d8b4f9e4690ec6a, 0x26470decbbdd9c07, 0x56659d12a0ea8d82,
  0xb4e94527f33e8e66, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8,
  0x596af1b8f3612e65, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x000000003f56c745,
};

// m32a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b7672df, 0xbbbbbab2099137e6, 0x64da27e66f7eafbb, 0x91f69dbbd7655ee1, 0xa592b00df5c7e577,
  0xda9210ddccfae5f5, 0x24e609f180904316, 0xacf11ec99182a907, 0xd3ee5c61409f137d, 0x1f99493f32d0729d,
  0xdea3d256c19c8e1d, 0x04508e489fc1f59c, 0xdc3e144312bfcfdf, 0x55777bbe6e2bae00, 0x3f150865a1bb4886,
  0xedf1bbfe80e784dd, 0x793982c2accc5ce5, 0xd34ca0440a76fffa, 0x57ea885d7fb75c05, 0x465d45a76849c126,
  0x79e6da4ece0dc5f5, 0x2fc4361222fb892c, 0xb8dc524e6ffea3e1, 0x1253b5b9b5f2678b, 0x7c1b30698fa8f2b9,
  0x5f62d314c5613fd4, 0x5f4b632e384e1b87, 0x78e7576e9c475213, 0xc6c75ec66edbda32, 0xd8b4f9e4690ec6ab,
  0x6470decbbdd9c071, 0x6659d12a0ea8d822, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x36cb831dbfdeaa8b, 0x1726ae0f3612e65f, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xb3d508852792bf73,
  0x0000000000000fd5,
};

// m32a_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m32_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb448687e1, 0xddddddd58198ebdf, 0x367df5decad44fdd, 0x6cb563bf23ba52ac, 0x715ede0b5a3f739d,
  0x602410c5b6a4c0b7, 0x99182a90b829827c, 0x1409f137dacf11ec, 0xfe657419dd3ee5c6, 0x35b07f870c41335d,
  0xe489fc1ffc9bd47d, 0x44312bfcfdf04508, 0xeef9b9d6600dc3e1, 0x10cb4182a21955dd, 0xebfe80e784d21e2a,
  0xc16156662e72f6e4, 0x328110295dfe249c, 0xaa2175fedd70174d, 0x4a169da12704995f, 0x3d4795edf9aad68f,
  0x15f75ea3e0d983f9, 0xe1386e1d7d8b4ddf, 0x13f3484d7d2d8cb8, 0xd193c73ab4bce2b8, 0x1aad743af63376de,
  0x01c762d3e791a43b, 0xc11fadc37b2ef767, 0x332b300a89507546, 0x9e5a74a293f99f47, 0x1e7c49a3a314c080,
  0x75539794d8ce81c5, 0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00000160e4917d14,
};

// m32a_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m32_autobaud_uart0_dual_ee_ce_hw[] = {
  0xdddddddd41437089, 0xeeeeeeac0bebbefc, 0x49ae804abf7dc6ee, 0x32b50ccc8eefda4e, 0xbaf27acadada1379,
  0x30120862db524ed3, 0x99182a91dc7cc13e, 0x1409f137dacf11ec, 0xfe657419dd3ee5c6, 0xdec2618e0cf93759,
  0x244fe0c524dea39a, 0x21895fe7ef822847, 0xef9b8601006e1f0a, 0x0cb409d221955dde, 0xbfe80e784db3a2a1,
  0x16156662e72f6fa6, 0x2811020b5fe249cc, 0xa2175fedd70174d3, 0xb169da12704995fa, 0x6d01cc0877fd51af,
  0x73b8dcc6eec1fcf3, 0xb91253b5958be4c2, 0xd47c1b30698fa8f2, 0x875f62d314c5613f, 0x135f4b632e384e1b,
  0x3278e7576e9c4752, 0xabc6c75ec66edbda, 0x71d8b4f9e4690ec6, 0x226470decbbdd9c0, 0x656659d12a0ea8d8,
  0xcb4e94527f33e8e6, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae, 0x5f36cb831dbfdeaa,
  0xea6c3b1b8f3612e6, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970, 0x68a792bf734332c3,
  0x00000000084d31d1,
};

// m32a_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed1468ce4a, 0xbbbbbbab2099137e, 0xf70b26d13f7337bb, 0x2bbc8fb4eddebb2a, 0xee62b37d2befae3f,
  0xc048218b6d49086e, 0xc8c15483927304f8, 0xa04f89bed6788f64, 0x99626b4ee9f72e30, 0x60ce470e8fcca49f,
  0x4fe0face6f51e92b, 0x895fe7ef82284724, 0x3715d7006e1f0a21, 0xd0dda4432abbbddf, 0x4073c26e9f8a8432,
  0x56662e72f6f8ddff, 0x40a76ffceadcc161, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0x70e0dc5f5465d45a,
  0x22fb892c79e57d60, 0xc8fea3e12fc43612, 0xdaf933c5dc6e2545, 0xc7d4795c8929dadc, 0x62b09fea3e0d9834,
  0x1c270dc3afb1698a, 0x4e23a909afa5b197, 0x376ded193c73abb7, 0x34876355e363af63, 0xdeece038ec5a7cf2,
  0x07546c1132386f65, 0x99f47332b32ce895, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c,
  0xdfef5545a6c59e87, 0x9b09732f9b65c18e, 0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xc0be9e4afdcd0ccb, 0x00000000109a61a7,
};

// m32_u1x8_uart0_noled_pr           m32a_u1x8_uart0_noled             m32a_u1x8_uart0_noled_pr
static const uint64_t ur_m32_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ed1f, 0xdddddd55dce4c1e2, 0xb2d5bd7c71eecfdd, 0xefe0e1c5bbbb49f0, 0x6a4ee8c05ec46c7e,
  0xd79827c602410c5b, 0xb6c086fffa404cfa, 0xbf9df2c27c5a768b, 0x7a38e9fc18fbf51e, 0x3c731602cb29845e,
  0x30475e8f9d838a33, 0xcf6d4d7e1aa01ffb, 0x9e5a74a2856540f2, 0x9f8a3cdec9a3a314, 0x54e047f529794deb,
  0x7fbd5516953e9e87, 0xb09732f9b697f8ab, 0xe40d1fc68b1e70dd, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0x4b373c95fb9a1996, 0x0000000007c858ff,
};

// m32a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m32_u1x8_uart0_noled_pr_u4[] = {
  0xeeeeebba8911422f, 0x7777557739307896, 0xadebe38de4da1377, 0x070e2dddda4f8596, 0x7717d4526764777f,
  0x13e30120862db527, 0x21bffee6be7d6bcc, 0x7cb09f169da2edb0, 0x3a7f063efd47afe7, 0xc580b2ca61179e8e,
  0xd7a3e760e28ccf1c, 0x535f86a807fecc11, 0x9d28a159503cb3db, 0x8f37b268e8c52796, 0x11fd4a5e537ae7e2,
  0x5545a54fa7a1d538, 0xccbe6da5fe2adfef, 0xb1be2e4d5c1e6c25, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0007c9a5b4324e79,
};

// m32_u1x8_uart0_noled_pr_ee_u4     m32a_u1x8_uart0_noled_pr_ee       m32a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m32_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeebba8911d38b, 0xbbbbaabbc802f896, 0xe3e001ae486ad1bb, 0xc66ce244eef0748b, 0x466539a594a7a6d4,
  0xf8c048218b6d49dd, 0x037fb9af9ffdd304, 0xa39b85a768bb6c0a, 0x63e7a8f2b9c66ab5, 0x77c572fbd47c1b30,
  0x2e384e1b875f62d3, 0x2b8d64d2135f4b63, 0x967a313e73ab4ba6, 0x676355ae875e74dd, 0xf9c071d8b4d05a3c,
  0xa8d823f5b86f65b2, 0xcb4e945002fc300c, 0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea,
  0x12e65f36d2ff156f, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000004ebff541927,
};

// m32a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m32_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xdddddd55dce4f244, 0x89e6fc1f0febafdd, 0x5685eefcdddd9eeb, 0x6d49ddcc490a86b4,
  0x829304f8c048218b, 0x5db605f27fa404cf, 0x8b5ceffa93c2d3b4, 0xdcfdc95bf3c02503, 0x3dcb01719cc273b8,
  0xc74fe0f58bd47417, 0x0d4731602acf4871, 0x58cf1d78b9da8947, 0xcb4e945075f87b8e, 0xf1479bd934746293,
  0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0x25ccbe6da5fcc76f, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0xcdcf257ee6866587, 0x0000000016ebce52,
};

// m32a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m32_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba8911259b, 0xbbbbaabcc2171896, 0xdbf4af263bd7a7bb, 0xfc78d7ddddd5bc4e, 0x3bb2eec48338170b,
  0x609f180904316da9, 0x604657fb9af9f7f2, 0xee2faa622d3b45db, 0xb892c79e012a7613, 0xea3e12fc4361222f,
  0xc99e2ee372c7ffe7, 0x27a8ed7d3dcb19fa, 0x2dc310f1c74fe0cd, 0xf9d838a333c73160, 0xe1aa01ffb33c75e8,
  0x8a159503cb5b94d7, 0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554,
  0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xbae1016649cf257e, 0x0000000000000001,
};

// m32a_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m32_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22044, 0xdddd55e71341625b, 0x99fb243e9e989ddd, 0x6f5217bddf1f63c6, 0xa4e570421b45a8a5,
  0x602410c5b6a4eea0, 0xbfdcd7cf93a9827c, 0x4ac2d3b45db60515, 0xe012a772bae2faa3, 0xc4361222fb892c79,
  0xdce5a66ffea3e12f, 0x53b5b9b7be678bb8, 0x1b307197a8f2b052, 0xb1698a62b9bbd47c, 0xa5b1971c270dc3af,
  0x73abb72623a909af, 0xc75e74dd967a313e, 0x69a0b478cec6abc6, 0x70decb65f380e3b1, 0xb3fc300ca8d82264,
  0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5, 0xa5fcc76ff7aaa2d2, 0x4d5c1e6c25ccbe6d,
  0x3c81f943459d3e2e, 0x9fca1854e7ea7566, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c,
  0x4e792bf734332c3a, 0x000000004fce9e32,
};

// m32a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd7751222582, 0xeeeeeaaf38969712, 0xdd95b7a6d1748fee, 0x5a35217bdd1b7e3c, 0xed0439765aa82d0b,
  0xe30120862db52774, 0xf7fee6be7e2b4c13, 0x1d4a169da2edb02d, 0xcf00953b60b717d5, 0x7e21b09117dc4963,
  0xe3719f3acff51f09, 0x494ed6e6e3299e2e, 0xf06cc188bea3cafe, 0xbec5a6298ae21f51, 0xbe96c65c709c370e,
  0x139d5dbb228ea426, 0xb1d7aea6ec21d187, 0xb4e4151a9ab1aaf1, 0xe1bd970e59c071d8, 0xe5a74a298c7f0cc8,
  0xf8a3cdec9a3a3149, 0x4e047f529794deb9, 0xfbd5516953e9e875, 0x12e65f36d2fe63b7, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000009f89179927,
};

// m32a_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m32_u1x8_uart0_noled_ee_hw[] = {
  0xbbbbbaeea2432aac, 0xeeeeeaaef200be25, 0x8be3e001afa486ee, 0xd4c66ce244eef074, 0x93bbe451dec4e7a6,
  0xa609f180904316da, 0xb60501bfe8533ffb, 0x355ad1cdc2d3b45d, 0x0d9831f3d4795ce3, 0xb169bbe2b97dea3e,
  0xa5b1971c270dc3af, 0xa5d315c6b26909af, 0x3a6ecb3d189f39d5, 0x2d1e33b1aad743af, 0xb2d97ce038ec5a68,
  0x1806546c11fadc37, 0x3149e5a74a28017e, 0xdeb9f8a3cdec9a3a, 0xe8754e047f529794, 0x8ab7fbd5516953e9,
  0xc79b09732f9b697f, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0xe907a29e4afdcd0c, 0x0000000000000b7c,
};

// m32_u1x8_uart0_noled_ee_ce_u4_hw  m32a_u1x8_uart0_noled_ee_ce_hw    m32a_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m32_u1x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd775121af43, 0xeeeeeaaf389a0b12, 0x3c699fb2437e9eee, 0x8a56f5217bddf1f6, 0x9dd69df6b765345a,
  0x304f8c048218b6d4, 0xb028adff4299f275, 0x17d51a56169da2ed, 0x4963cf36d01c95d7, 0x1f097e21b09117dc,
  0x9e2ee373b06f0ff5, 0xcac1494ed6e6def9, 0xef51f06cc1c65ea3, 0x370ebec5a6298ae6, 0xa426be96c65c709c,
  0xe8c4f9ceaedc988e, 0x1aaf1b1d79d37659, 0x038ec5a682d1e33b, 0x608991c37b2d97ce, 0x3a5142cff0c032a3,
  0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5, 0xaa8b4a9f4f43aa70, 0x32f9b697f31dbfde, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000005010056a29,
};

// m32_u1x8_uart0_lednop_pr          m32a_u1x8_uart0_lednop            m32a_u1x8_uart0_lednop_pr
static const uint64_t ur_m32_u1x8_uart0_lednop[] = {
  0x5bbbbbaeed66e614, 0xdddddd55dce464e2, 0xb260fab0da697bdd, 0x67f37c3fbbbb49f0, 0x527746de3b266f4f,
  0x0cc13e30120862db, 0x6d810f9fe90133f1, 0xcf3be584f8b4ed17, 0xf471d3f831f7ea3a, 0x21cc580b2ca61be4,
  0xc11d7a3e767b48cd, 0x9ed99e534a807fec, 0x3cb4e945158281e5, 0x3cf8934746298101, 0xeaa72f29b19d038a,
  0xa8b4d8b3d0ea9c0a, 0x32f9b65c455bfdea, 0x1fc68b1e70ddb097, 0xa615c9fbab31e40d, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x000007c81c294b37,
};

// m32a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba89112a9c, 0x7777557739193896, 0x0fab0da78bdad377, 0x37c3fbbbb49f0b26, 0xbb0cc8fc0069767f,
  0x09f180904316da93, 0x043e7fb9af9f8866, 0xef9613e2d3b45db6, 0xc74fe0c7dfa8eb3c, 0x31602cb2986f93d1,
  0x75e8f9d9ed233487, 0x66794d2a01ffb304, 0xd3a514560a07967b, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3,
  0xd362cf43aa702baa, 0xe6d971156ff7aaa2, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xf933089324e792bf,
};

// m32_u1x8_uart0_lednop_pr_ee_u4    m32a_u1x8_uart0_lednop_pr_ee      m32a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488a80b, 0xddddd55de431dc4b, 0x0bfc7b116434d8dd, 0x6dece244eef0748a, 0x4e7acf5da761564c,
  0xc602410c5b6a4eee, 0x17fdcd7cffce9827, 0x1cdc2d3b45db6045, 0x1f3d47959eb355ad, 0xdf15e95ea3e0d983,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x7408c439cead2f92, 0x16c6ab5d0ebce9bb, 0xe701c762d313e8e4,
  0xa3608fd6e1bd96cb, 0x2d3a5140094d7e1a, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba,
  0xbe6d971156ff7aaa, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04eba0e3324e792b,
};

// m32a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0x77777755773978b8, 0xd712f27377eda337, 0x61d78d7f13bbbb3d, 0xb6d49ddb1ec842f3,
  0xfa01304f8c048218, 0x45db605377fa404c, 0x1c884effa93c2d3b, 0xc6e7ce90ff9e0128, 0xf9ee580b8ce6139d,
  0x8e3a7f07ac5ea389, 0x1eb11cc580bd054b, 0x72c678ebc5cec3ed, 0x4f2d3a5141d29adc, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0x997cdb2e0c76ff7a, 0x8fe3458f386ed84b, 0xd30ae4fdd598f206,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000005ba924a59b,
};

// m32a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba89110cc5, 0xddddd55e61331896, 0xb8edbf16a6f70add, 0x60bd88eeeeeade24, 0x9dd8361b8fd9ba6a,
  0x304f8c048218b6d4, 0xc08c7ffb9af9fa95, 0xdc5f54c45a768bb6, 0x71258f3c0254ef6f, 0xd47c25f886c2445f,
  0x2678bb8dcdda4dbf, 0x27a8fcf4f72c67eb, 0x177bc171c74fe0cd, 0x7cecf6919a4398b0, 0xa69500ffd99e3af4,
  0xa28ac140f2d6e33c, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397, 0x5c18edfef5545a6c,
  0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xfaa0c939e4afdcd0, 0x000000000000375d,
};

// m32a_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaee0f5a232a8, 0xdddd55e71364625b, 0x28d3643c8ef25ddd, 0xef5217bddf1f63e8, 0x68d51399f2e323e6,
  0x602410c5b6a4ee9d, 0xffb9af9fa1f9827c, 0x9585a768bb6c08e0, 0xc0254ef4ddc5f546, 0x886c2445f71258f3,
  0xdceb3643fd47c25f, 0x53b5b9b7be678bb8, 0x1b307197a8f2b402, 0xb1698a62b9c7d47c, 0xa5b1971c270dc3af,
  0x73abb76483a909af, 0x63af3a6edd02310e, 0x6989f4720b6355e3, 0x70decb65f380e3b1, 0xb3535f86a8d82264,
  0x62981013cb4e9450, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b, 0x1dbfdeaa8b4d8b3d, 0x0f3612e65f36cb83,
  0xfca1a2ce9f1726ae, 0x0c2a73f53ab31e40, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000013f17619273c,
};

// m32a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x5bbbbbaeea244511, 0xdddddd55e712f5e2, 0xda59bbc2971efd3d, 0x03635217bdd1b7e3, 0xaaf99f41b2c56442,
  0x9f180904316da93b, 0x6ceff735f3e70660, 0xa8ea50b4ed176d81, 0x1e7804a9de56b8be, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x374a76b737194cf1, 0x8f83660c45f51e57, 0x75f62d314c56be7a, 0x35f4b632e384e1b8,
  0xf68e7576e7bc7521, 0xc6c75eba9bb60b46, 0xb1698714667ac6ab, 0x91c37b2e1cb380e3, 0x09e5a74a298c54d1,
  0x51e7c49a3a314c08, 0x575539794d8ce81c, 0x5545a6c59e8754e0, 0x732f9b65c18edfef, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000027e042cc939e,
};

// m32a_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m32_u1x8_uart0_lednop_ee_hw[] = {
  0x777775dd44869391, 0xddddd55de431dc4b, 0x282ff1ec47590ddd, 0x31b7b38913bbc1d2, 0x777a7191db138559,
  0xc13e30120862db52, 0xc08a2ffd0a67fe74, 0xab5a39b85a768bb6, 0xb3063e7a8f2b3d66, 0x169bbe2bd2bd47c1,
  0x5b1971c270dc3afb, 0x5f245c6b26909afa, 0xd376e81188739d5a, 0xd1c82d8d56ba1d79, 0x2d97ce038ec5a627,
  0xfc3546c11fadc37b, 0x809e5a74a280129a, 0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e,
  0x4b997cdb2e22adfe, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002df02ed5,
};

// m32_u1x8_uart0_lednop_ee_ce_u4_hw m32a_u1x8_uart0_lednop_ee_ce_hw   m32a_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xdddddd775121b032, 0xeeeeeaaf389b2312, 0x3e828d36437c8eee, 0x3e6ef5217bddf1f6, 0x9dd6c473b5392e32,
  0x304f8c048218b6d4, 0x604707fe8533f43f, 0x2faa34ac2d3b45db, 0x92c79e6da039a6ee, 0x3e12fc4361222fb8,
  0x3c5dc6e4c333e7ea, 0x95a0129dadcdbdf3, 0x3ea3e0d9838cbd47, 0x6e1d7d8b4c5315ce, 0x484d7d2d8cb8e138,
  0x1188739d5dbb241d, 0x1aaf1b1d79d376e8, 0x071d8b4c4fa3905b, 0xc1132386f65b2f9c, 0x74a2859a9afc3546,
  0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x00a023582a29e4af,
};

// m32_u1x8_uart0_dual_pr            m32a_u1x8_uart0_dual              m32a_u1x8_uart0_dual_pr
static const uint64_t ur_m32_u1x8_uart0_dual[] = {
  0x377777583ea22044, 0xddddddd5bd2891bf, 0xf4ef23516c4ec0bd, 0xeee0ae3dddd64317, 0x6ddc8293900a0868,
  0x9f180904316da92a, 0x1ec99182a9188260, 0x5c61409f137dacf1, 0x145fccac049dd3ee, 0xa3c7bd83f8705f73,
  0x14239227f07dd4de, 0x0f8510c4aff3f7c1, 0xabbbddf373020037, 0x24542196841f4432, 0x7b7053fe80e784dd,
  0x641e60b0ab331739, 0xb4ed176d810f9fef, 0xf7ea3acf3be584f8, 0xa61be4f471d3f831, 0x7b48cd21cc580b2c,
  0x3b8e58c11d7a3e76, 0x7f33e8e665665651, 0x62981013cb4e9452, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b,
  0x55bfdeaa8b4d8b3d, 0x079b09732f9b65c4, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0xa4a5b3e04e32c970,
  0x24e792bf734332c3, 0x000000000c41b8f3,
};

// m32a_u1x8_uart0_dual_pr_u4
static const uint64_t ur_m32_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a2431000, 0xbbbbbab7a589d7e6, 0x770638ae3d29dbbb, 0x1664792eeee9bb1a, 0x20eead5779dad9b8,
  0x27c602410c5b6a4b, 0x47b26460aa40a498, 0x97185027c4df6b3c, 0x674bf995d06774fb, 0xa8f52b61fb8e095a,
  0x8a11c913f8331f37, 0x87c2886257f9fbe0, 0x55ddeef9b9a6c01b, 0x7e2a10cb416ba219, 0x7b73d7fe80e784d0,
  0x3e0a60b0ab331739, 0x0b4ed176d817c9fe, 0xbdaf51ee19df2dcf, 0x6299efb5a38e9fc1, 0xb57f4682ce62c05d,
  0xa01ffb30475e0353, 0x71f03cb3db1f744a, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x0a4984d62bda792b,
};

// m32_u1x8_uart0_dual_pr_ee_u4      m32a_u1x8_uart0_dual_pr_ee        m32a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f448664d6, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9b1e1a01964ebb67,
  0x904316da931c5dd9, 0x60aa40002609f180, 0x27c4df6b3c47b264, 0x95d06774fb971850, 0x874f9c2c7e6ff9f9,
  0x9fc19c19bd47a1fd, 0x12bfcfdf04508e48, 0xcdc14800dc3e1443, 0x5a1fb910caaeef77, 0xfa039e133f915086,
  0x855998b9cbdbe56f, 0x6d813a5ff1f05305, 0xcd56b47a50b4ed17, 0x06cc1fc9ea3caf6f, 0xec5a6ef8afbaf51f,
  0xe96c65c709c370eb, 0xa5e715c09f9a426b, 0xb19bb6f68c9e39d5, 0x3c8d21d8d56ba1d7, 0xd977bb380e3b169f,
  0x4a83aa3608fd6e1b, 0x9fccfa3999598054, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d, 0x43aa702baa9cbca6,
  0x156ff7aaa2d362cf, 0x71e6c25ccbe6d971, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x47e0457b4f257ee6, 0x0000000000000056,
};

// m32_u1x8_uart0_dual_pr_ce_u4      m32a_u1x8_uart0_dual_pr_ce        m32a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44865c93, 0x777775685fb2afcd, 0xd5f1da29da58b777, 0x0ce7586dddd8e28c, 0x770ce2e2dd6ef261,
  0xc602410c5b6a4f91, 0xc99182a906019827, 0x61409f137dacf11e, 0xd7e657419dd3ee5c, 0x8d6d813a3825a982,
  0x47244fe0f4dcdea3, 0x0a21895fe7ef8228, 0x77bbe6e620006e1f, 0x54219683f8886557, 0xca5ffd01cf09b6fc,
  0x2982c2accc5ce5ed, 0x768bb6c08a2ff8f8, 0xa038fe5c5f59b85a, 0x61222fb892c79e6d, 0xa69fe7ea3e12fc43,
  0x9633c4fccf1771b9, 0xa7f0682fd47e827b, 0x2ce62c051f3a48e3, 0x3c75e0353b57f468, 0xd6e1f744aa01ffb3,
  0x9f47332b31c7c0f2, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0xb09732f9b65c18ed, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xf15ed3c95fb9a199, 0x0000000000349179,
};

// m32a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m32_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbac1fb0486f97, 0xddddd5817d77df9b, 0x35d00957efb8dddd, 0x56a19991ddfb49c9, 0x04675c7f53a26f26,
  0x904316da92769dcf, 0xc1548ee3e609f180, 0x4f89bed6788f64c8, 0x2ba0cee9f72e30a0, 0x130c7067c9bacff3,
  0x7f062926f51cd6f6, 0x4aff3f7c11423922, 0xdc30080370f8510c, 0xa04e910caaeef77c, 0x4073c26d9d150865,
  0xab3317397b7d35ff, 0xb020b5fe3e0a60b0, 0x17d51975169da2ed, 0x4963cf36d01c3837, 0x1f097e21b09117dc,
  0x9e2ee3719f3acff5, 0xcae4494ed6e6d7c9, 0xff51f06cc1a63ea3, 0x6e1d7d8b4c531584, 0x484d7d2d8cb8e138,
  0x68c9e39d5dba711d, 0x1aaf1b1d7b19bb6f, 0x01c762d3e791a43b, 0x608991c37b2ef767, 0x9995996744a83aa3,
  0x4f2d3a5149fccfa3, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0x997cdb2e0c76ff7a,
  0x8d165abc6e3cd84b, 0x539fa9d599bf83bb, 0xd0f327f8138d2861, 0x25c33d30ae4fc07c, 0xcb0e9296cf8138cb,
  0xd14af69e4afdcd0c, 0x0000000000008001,
};

// m32a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5817d17df, 0xbed6957962daefdd, 0xb201ad433323ba3d, 0x9dddd8dd9683cc50,
  0xf180904316da9361, 0x64c8c1548ee3e609, 0x30a04f89bed6788f, 0x1bf32ba0cee9f72e, 0x29361fae7035b9a6,
  0x39227f075bf37a8e, 0x510c4aff3f7c1142, 0x7bbe6e12500370f8, 0x8432d08ac8865577, 0x9affa039e134ae8a,
  0x305855998b9cbdbe, 0xd176d8105aff1f05, 0x656b8bea8fe70b4e, 0x8bee24b1e79b680e, 0x87fa8f84bf10d848,
  0x698ccf1771b9d66c, 0x5f51e56804a76b73, 0x8ad7cf51f06cc1e4, 0x709c370ebec5a629, 0x988ea426be96c65c,
  0x76c168c439ceaedc, 0x20b6355e363af29a, 0x93380e3b16987147, 0xcf18a9a32386f65b, 0x9d28a4fe67d1ccca,
  0xe7e1e8c530202796, 0x5ab94a5f3a071478, 0xcc6085a7717f36ea, 0x7cdb4f43aa702985, 0xa2c6f86e3cd84b99,
  0x73f53ab337f07771, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000001001028af69,
};

// m32a_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m32_u1x8_uart0_dual_ee_hw[] = {
  0xddddd60f4486ff3e, 0x77777567a65aafcd, 0x9cefb561b4abf777, 0xc3d86d841ba8eec4, 0x9a78af7b57bebb67,
  0x0120862db52638bb, 0xc8c15480004c13e3, 0xa04f89bed6788f64, 0xf32ba0cee9f72e30, 0xfb0e9f3858fcdff3,
  0x913f8338337a8f43, 0x86257f9fbe08a11c, 0xef9b829001b87c28, 0x0cb43f7221955dde, 0xdff4073c267f22a1,
  0x0b0ab3317397b7ca, 0x176d813a5ff124e6, 0x6fcd56b47a50b4ed, 0x1f06cc1fc9ea3caf, 0xebec5a6ef8afbaf5,
  0x6be96c65c709c370, 0xd5a5e715c09f9a42, 0xd7b19bb6f68c9e39, 0x9f3c8d21d8d56ba1, 0x1bd977bb380e3b16,
  0x544a83aa3608fd6e, 0x149fccfa39995980, 0x1d18a60404f2d3a5, 0xa6c6740e28f3e24d, 0xcf43aa702baa9cbc,
  0x71156ff7aaa2d362, 0x6371e6c25ccbe6d9, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xbb4fc0a8a792bf73, 0x0000000000000002,
};

// m32a_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m32_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeb070f5a1a5fb, 0x77775605f5df7e6e, 0xd740255fbee37777, 0x5a86664777ed2724, 0x4b235d74ab09bc99,
  0x02410c5b6a49da77, 0x2305523b8f9827c6, 0x813e26fb59e23d93, 0xccae833ba7dcb8c2, 0xd84c31c19f26eb3f,
  0x89fc18a49bd4735b, 0x312bfcfdf04508e4, 0xf370c0200dc3e144, 0x96813a4432abbbdd, 0xfd01cf09b6745421,
  0xc2accc5ce5edf4d7, 0xdb60416bfc493982, 0x6e2faa32ea2d3b45, 0xb892c79e6da03870, 0xea3e12fc4361222f,
  0x933c5dc6e4c333e7, 0x4795c8929dadcdaf, 0x09fea3e0d9834c7d, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0xded193c73abb74e2, 0x76355e363af63376, 0xce038ec5a7cf2348, 0x46c1132386f65dee, 0x47332b32ce895075,
  0x809e5a74a293f99f, 0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x9732f9b65c18edfe,
  0x539fa97ab8dc79b0, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x0075d4745a29e4af,
};

// m32a_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeb07a2432db, 0xeeeeeeeac0bc2d7e, 0xf6947eb5d77a4dee, 0xeef7ee19991dd1ed, 0xcee3822acd33aaef,
  0xf8c048218b6d49b0, 0xb26460aa44463304, 0x185027c4df6b3c47, 0x0df995d06774fb97, 0x149b0fd7381adcd3,
  0x1c913f83adf9bd47, 0x2886257f9fbe08a1, 0x7bbe6e341c01b87c, 0x8432d08ac8865577, 0xfcffa039e134ae8a,
  0x305855998b9cbdbf, 0x68bb6c089d7f8927, 0x3675c5f547f385a7, 0x45f71258f3cdb407, 0xdffd47c25f886c24,
  0x698ccf1771b9cb4c, 0x5f51e57a54a76b73, 0x8ad00f51f06cc1e4, 0x709c370ebec5a629, 0xbe0ea426be96c65c,
  0x3b7488ebf9ceaedc, 0x8fbb1aaf1b1d794d, 0xe4ce038ec5a752d1, 0x59e31a24c8e1bd96, 0xd3a5149fccfa3999,
  0xe24d1d18a60404f2, 0x9cbca6c6740e28f3, 0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x0000ebae10d14f25,
};

// m32_u1x12_uart0_noled_pr          m32a_u1x12_uart0_noled            m32a_u1x12_uart0_noled_pr
static const uint64_t ur_m32_u1x12_uart0_noled[] = {
  0x7775dd687acdfcd7, 0xdddd55d87383c4b7, 0x1b4fd9227684dddd, 0x5dde873777488222, 0xa4eeedb6a6331da4,
  0x19827c602410c5b6, 0x9afd917fd20267d3, 0x584f8b4ed176c221, 0x3f831f7ea3d7f3be, 0xc05965308bcf471d,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0xf8d163ce1bb612e6, 0xc2b93f75663c81a3, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x0000f901e5e966e7,
};

// m32a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m32_u1x12_uart0_noled_pr_u4[] = {
  0x775dd6874488ad3a, 0xddd55d87383c4b77, 0xfd9224bdef8bdddd, 0xe8737774882221b4, 0x9fb68a36c8fa45dd,
  0x7c602410c5b6a4ee, 0xc8bfee6be7d31982, 0xc5a768bb6110cd7e, 0x8fbf51ebf9df2c27, 0xb29845e7a38e9fc1,
  0xd838a333c731602c, 0xaa01ffb30475e8f9, 0x56540f2cf6d4d7e1, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec,
  0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xe5358c939e4afdcd,
  0x00000000000003e4,
};

// m32_u1x12_uart0_noled_pr_ee_u4    m32a_u1x12_uart0_noled_pr_ee      m32a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m32_u1x12_uart0_noled_pr_ee[] = {
  0xeebbad0e891151eb, 0x775575c8353896ee, 0xa86ebd04d6437777, 0x705f0bddddef242f, 0xb2a16f594dbd3db6,
  0x120862db52776273, 0xee6be7d2b4c13e30, 0x68bb6110cd7ea95f, 0xb9c66ab5a39b85a7, 0xd47c1b3063e7a8f2,
  0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e, 0xb4d05a3c676355ae,
  0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5,
  0xd2ff156ff7aaa2d2, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xd6b519273c95fb9a, 0x0000000000000275,
};

// m32a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m32_u1x12_uart0_noled_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec385ee25b, 0x367eef5337d2eeee, 0x7eb460fbbbba086d, 0x5277417a0998b21c,
  0x8cc13e30120862db, 0x66bf2f9fe90133f3, 0xfa93c2d3b45db088, 0x5bf3c025038b5cef, 0x719cc273b8dcfdc9,
  0xf58bd474173dcb01, 0x602acf4871c74fe0, 0x78b9da89470d4731, 0x5075f87b8e58cf1d, 0xd934746293cb4e94,
  0xa52f29bd73f1479b, 0xd2a7d3d0ea9c08fe, 0x6da5fcc76ff7aaa2, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x00b7503952cdcf25,
};

// m32a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m32_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e891190e3, 0xbbaabf0bf8f896ee, 0x4ccbdd93d537bbbb, 0x7bafdddd368c9c00, 0xa245999bb0dd63e1,
  0x9f180904316da93b, 0x47bff735f3ebee60, 0x22d3b45db08866bf, 0xe012a7613ee2faa6, 0xc4361222fb892c79,
  0x372c7ffe7ea3e12f, 0xd3dcb19fac99e2ee, 0x1c74fe0cd27a8ed7, 0x333c731602dc310f, 0xfb33c75e8f9d838a,
  0x3cb5b94d7e1aa01f, 0xc527969d28a15950, 0x7ae7e28f37b268e8, 0xa1d53811fd4a5e53, 0x8edfef5545a54fa7,
  0x3cd84b997cdb4bf9, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x649cf257ee686658, 0x000000001baea9ac,
};

// m32a_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m32_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbaeeb430f5a22a20, 0xdd55e34151625bbb, 0x4b41299ef91ddddd, 0xb2ab4dd85f8edebb, 0xd48ee351a568b8bc,
  0x2410c5b6a4ee8f62, 0xdcd7cfa5a9827c60, 0xd176c2219afc35bf, 0xcaeb8bea8d2b0b4e, 0x8bee24b1e7804a9d,
  0xbffa8f84bf10d848, 0xdef99e2ee3739699, 0x5ea3cac1494ed6e6, 0x8ae6ef51f06cc1c6, 0x709c370ebec5a629,
  0x988ea426be96c65c, 0x7659e8c4f9ceaedc, 0xe33b1aaf1b1d79d3, 0x97ce038ec5a682d1, 0x32a3608991c37b2d,
  0x4f2d3a5142cff0c0, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43, 0xb09732f9b697f31d,
  0x0d1674f8b9357079, 0x539fa9d598f207e5, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x009f98c4c939e4af,
};

// m32a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a0a1712dd, 0xe2f536697571eeee, 0x0b2ab4dd2e30be19, 0x46a122cfaa2d0564,
  0x0120862db52774eb, 0xfee6be7c6b4c13e3, 0x768bb6110cd7ed37, 0xed82dc5f5475285a, 0x445f71258f3c0254,
  0xeb3fd47c25f886c2, 0x9b8ca678bb8dc67c, 0x22fa8f2bf9253b5b, 0xa62b887d47c1b306, 0x71c270dc3afb1698,
  0xec8a3a909afa5b19, 0x9bb087461c4e7576, 0x6a6ac6abc6c75eba, 0x396701c762d39054, 0xa631fc332386f65c,
  0xb268e8c527969d28, 0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0x5c9ab83cd84b997c,
  0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x27e166649cf257ee,
};

// m32a_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m32_u1x12_uart0_noled_ee_hw[] = {
  0x775dd6874486c056, 0xbbaabae41a9c4b77, 0x5f50dd7ea09bbbbb, 0x6ce0be17bbbbde48, 0x58393b4c8a9b7a7b,
  0xf8c048218b6d49dd, 0xa95ff4299f4ad304, 0x85a768bb6110cd7e, 0xa8f2b9c66ab5a39b, 0x72fbd47c1b3063e7,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x313e73ab4ba62b8d, 0x55ae875e74dd967a, 0x71d8b4d05a3c6763,
  0x23f5b86f65b2f9c0, 0x945002fc300ca8d8, 0x9bd934746293cb4e, 0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08,
  0x5f36d2ff156ff7aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b7d2ac5453c,
};

// m32_u1x12_uart0_noled_ee_ce_u4_hw m32a_u1x12_uart0_noled_ee_ce_hw   m32a_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m32_u1x12_uart0_noled_ee_ce_hw[] = {
  0xddd775a1d1219541, 0xeeeaaf1a0a8b12dd, 0xebb4b413699eeeee, 0x8bcb2ab4dd85f8ed, 0xd0149334e71a568b,
  0x4f8c048218b6d49d, 0xe1adff4299f4b530, 0x585a768bb6110cd7, 0xdb4072575c5f5469, 0x86c2445f71258f3c,
  0xcec1bc3fd47c25f8, 0x3b5b9b7be678bb8d, 0xb307197a8f2b0525, 0x1698a62b9bbd47c1, 0x5b1971c270dc3afb,
  0x3abb72623a909afa, 0x75e74dd967a313e7, 0x9a0b478cec6abc6c, 0x0decb65f380e3b16, 0x3fc300ca8d822647,
  0x4746293cb4e9450b, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a, 0x6371e6c25ccbe6da,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x80bf24e8a792bf73, 0x0000000000000002,
};

// m32_u1x12_uart0_lednop_pr         m32a_u1x12_uart0_lednop           m32a_u1x12_uart0_lednop_pr
static const uint64_t ur_m32_u1x12_uart0_lednop[] = {
  0xdddd775a1eb3753a, 0x777755761ce6f12d, 0x9c1cda0e2dad3777, 0x09b3d4cdddd22088, 0xa4ee971b2636d4dd,
  0x49827c602410c5b6, 0xcd7e7bffd20267f2, 0x2c27c5a768bb6110, 0x9fc18fbf51d679df, 0xc0596530df27a38e,
  0xd1f3b3da46690e62, 0xf29a5403ff6608eb, 0x4a28ac140f2cf6cc, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x58f386ed84b997cd, 0x4fdd598f2068fe34, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x03e431ba59b9e4af,
};

// m32a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911bd3a, 0xbbaabb0e737896ee, 0x6d0710d7de3fbbbb, 0xea66eee910444e0e, 0x469ae3a87f4e84d9,
  0x3e30120862db5277, 0x9efff735f3f924c1, 0xf169da2ed844335f, 0x63efd4759e77cb09, 0x594c37c9e8e3a7f0,
  0xecf6919a4398b016, 0x9500ffd9823af47c, 0x2b0503cb3db33ca6, 0x8c5302027969d28a, 0x633a071479f1268e,
  0xa1d53815d54e5e53, 0x8ab7fbd55169b167, 0xe0f3612e65f36cb8, 0x81f943458df1726a, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xf19273c95fb9a199,
  0x00000000007c9cc5,
};

// m32_u1x12_uart0_lednop_pr_ee_u4   m32a_u1x12_uart0_lednop_pr_ee     m32a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_ee[] = {
  0x775dd6874488ba31, 0xbbaabae42c9c4b77, 0x70bc615bd067bbbb, 0x4e0be17bbbbde46a, 0x361820014b46145c,
  0xc048218b6d49ddb1, 0xffb9af9f90f304f8, 0x9da2ed844335f9c9, 0xcacf59aad68e6e16, 0xaf51f06cc18f9ea3,
  0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462, 0xb16989f4720b6355,
  0xeb70decb65f380e3, 0xa004a6bf0d51b047, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0xae0f3612e65f36cb, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x2d19273c95fb9a19, 0x00000000000275d3,
};

// m32a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbaeeb43d66ef3a, 0xeeeeaaec3891625b, 0xda6993bf37d2eeee, 0x1c7eb47937777410, 0xdb5277417a0998b2,
  0xf6fcc13e30120862, 0x10cd7eea3fd20267, 0xdff52785a768bb61, 0xc95bf3c0250383e1, 0x01719cc273b8dcfd,
  0xe0f58bd4713f3dcb, 0x31602acf4171c74f, 0x3af173b63347ac47, 0x9450752cb71cb19e, 0x347462981013cb4e,
  0xbca6c6740e28f2dd, 0xb98c10b4deabaa9c, 0x65f36d3d0ea9c0ba, 0x3f8d163ce1bb612e, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000005ba81ca966e,
};

// m32a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e8911d38b, 0xbbaabf0b82f896ee, 0xe001ae486ad1bbbb, 0x6a6337774da327e3, 0xeea3329cd2ca53d3,
  0x827c602410c5b6a4, 0xfd01bfdcd7cffee9, 0x988b4ed176c2219a, 0xe7804a9dedfb8bea, 0xbf10d8488bee24b1,
  0x71b9bb49b7fa8f84, 0x9e9ee58cfd64cf17, 0x2e38e9fc19a4f51f, 0xd23348731602ef78, 0x1ffb33c75e8f9d9e,
  0x281e5adc6794d2a0, 0x981013cb4e945158, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x273c95fb9a19961d, 0x00000006ebff5419,
};

// m32a_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222044, 0xdd55e34047e25bbb, 0xae56d60ef4eddddd, 0x65569bb0bf1dd457, 0xc8c8843312b8e199,
  0x48218b6d49dd4149, 0x735f3fd3f304f8c0, 0x8bb6110cd7eeafff, 0x4ddc5f5469585a76, 0x5f71258f3c0254ef,
  0xafd47c25f886c244, 0x7be678bb8dcbc3e5, 0x7a8f2b40253b5b9b, 0x2b9c7d47c1b30719, 0xc270dc3afb1698a6,
  0x483a909afa5b1971, 0xedd02310e73abb76, 0x20b6355e363af3a6, 0x5f380e3b16989f47, 0x6a8d8226470decb6,
  0x3cb4e9450b3535f8, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x65f36cb831dbfdea,
  0xb579726ae0f3612e, 0x53ab31e40fca1a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86,
  0x273c95fb9a19961d, 0x0000000027e61099,
};

// m32a_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddd775a1d12232a8, 0xeeeaaf1a03f712dd, 0x419ad0697571eeee, 0xd2cb2ab4dd2e30bf, 0xd68d42459f545a0a,
  0xc602410c5b6a4ee9, 0xd7fb9af9f31f9827, 0x69da2ed844335f92, 0x53b287717d51d4a1, 0x09117dc4963cf009,
  0xf3acff51f097e21b, 0x6e6e3299e2ee3719, 0x188bea3cae6e94ed, 0x6298ad31f51f06cc, 0x65c709c370ebec5a,
  0xdbb228ea426be96c, 0xd4dd9af91bda39d5, 0x2333d6355e363af5, 0x70e59c071d8b4cd2, 0x514c632c8c8e1bd9,
  0xd1d18a60404f2d3a, 0xf29b19d038a3cb74, 0xe63042d37aaeaa72, 0x97cdb4f43aa702ea, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00027e166649cf25,
};

// m32a_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m32_u1x12_uart0_lednop_ee_hw[] = {
  0xbbaeeb43a2432f02, 0xddd55d72164e25bb, 0x6a70bc6695bddddd, 0x5c4e0be17bbbbde4, 0x7638c0bd666b4614,
  0x13e30120862db527, 0xf9c9ffd0a67e43cc, 0x6e169da2ed844335, 0x9ea3cacf59aad68e, 0x8af4af51f06cc18f,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x04621ce75697c917, 0x6355ae875e74ddba, 0x80e3b16989f4720b,
  0xb047eb70decb65f3, 0x9d28a004a6bf0d51, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54,
  0x36cb88ab7fbd5516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x000b7d843f453c95,
};

/*
 * m32_u1x12_uart0_lednop_ee_ce_u4_hw m32a_u1x12_uart0_lednop_ee_ce_hw
 * m32a_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890c582, 0x7775578d011f896e, 0xa2bd72b7ab077777, 0x0ccb2ab4dd85f8ee, 0xd3b410f4b51895c7,
  0x4f8c048218b6d49d, 0xbabffe8533fd3f30, 0x6169da2ed844335f, 0x6d01cd37717d51a5, 0x1b09117dc4963cf3,
  0x26199f3f51f097e2, 0xed6e6def99e2ee37, 0xcc1c65ea3cad0094, 0x5a6298ae71f51f06, 0x6c65c709c370ebec,
  0xeaedd920ea426be9, 0xebce9bb7408c439c, 0x627d1c82d8d578d8, 0x37b2d97ce038ec5a, 0xd4d7e1aa3608991c,
  0xa60404f2d3a5142c, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x4e514f257ee68665, 0x000000000005014d,
};

// m32_u1x12_uart0_dual_pr           m32a_u1x12_uart0_dual             m32a_u1x12_uart0_dual_pr
static const uint64_t ur_m32_u1x12_uart0_dual[] = {
  0xbbbac1f83ea22a20, 0xeeeeeac4cee0df9b, 0x8ac168accf4376ee, 0x1d989dddd2b67ee3, 0xdc3d8b520a8d5939,
  0x8c048218b6d49241, 0xc99182a90d77304f, 0x61409f137dacf11e, 0x3fccac049dd3ee5c, 0xbf9b05f67028b339,
  0x239227f06654dea3, 0x8510c4aff3f7c114, 0xbbddf3725700370f, 0x2a10cb42324432ab, 0xbce3ff4073c26b5a,
  0x0f305855998b9cbd, 0xd844335f9efff7b2, 0x9e77cb09f169da2e, 0xe8e3a7f063efd475, 0x4398b016594c37c9,
  0x823af47cecf6919a, 0xcccaccaca2771cb1, 0x27969d28a4fe67d1, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0xb1e71726ae0f3612, 0x27eeacc7903f2868, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x000310d38649cf25,
};

// m32a_u1x12_uart0_dual_pr_u4
static const uint64_t ur_m32_u1x12_uart0_dual_pr_u4[] = {
  0x77583f07a243306a, 0xdddd5899991bf377, 0x7706cc4ebb2ddddd, 0x817d3b777619bd74, 0xdd55f930eb21086e,
  0x180904316da9256d, 0x932305523f5e609f, 0xc2813e26fb59e23d, 0x3fccae833ba7dcb8, 0xfddb04ac7074b31c,
  0x8e489fc1c069bd47, 0x144312bfcfdf0450, 0xef77cdc8ac00dc3e, 0xa8432d04c510caae, 0xc27ffd01cf09a328,
  0x2982c2accc5ce5ed, 0x6c2219afcbe7f8f8, 0xe19df2dcf0b4ed17, 0x5a38e9fc1bdaf51e, 0x2ce62c05d6299efb,
  0x0475e0353b57f468, 0x3db1f744aa01ffb3, 0x7d1cccacc71f03cb, 0x02027969d28a4fe6, 0x071479f1268e8c53,
  0x3815d54e5e53633a, 0xfbd55169b167a1d5, 0x612e65f36cb88ab7, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x72bda792bf734332,
  0x0000000000a498f5,
};

// m32_u1x12_uart0_dual_pr_ee_u4     m32a_u1x12_uart0_dual_pr_ee       m32a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32_u1x12_uart0_dual_pr_ee[] = {
  0xeeb07e0f448618be, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xce082cf0562fd76a,
  0x10c5b6a4c1b7775e, 0x5520dbb9827c6024, 0xe26fb59e23d93230, 0xe833ba7dcb8c2813, 0x63e70ff93068fcca,
  0xe0fabe6f51fa7f61, 0x5fe7ef822847244f, 0xcfd7006e1f0a2189, 0x095910caaeef77cd, 0x073c265f7150865a,
  0xb3317397b7df7ff4, 0x7e387fe3e0a60b0a, 0xd285a768bb6110cd, 0x4f51e57b7e6ab5a3, 0xc57dd7a8f83660fe,
  0x384e1b875f62d377, 0x04fcd2135f4b632e, 0xb464f1cead2f38ae, 0xc6ab5d0ebd8cddb7, 0xc071d8b4f9e4690e,
  0xb047eb70decbbdd9, 0xcccacc02a2541d51, 0x27969d28a4fe67d1, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0xe65f36cb88ab7fbd, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xda792bf734332c3a, 0x00000002b264932b,
};

// m32_u1x12_uart0_dual_pr_ce_u4     m32a_u1x12_uart0_dual_pr_ce       m32a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32_u1x12_uart0_dual_pr_ce[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab58f39d7e6, 0xbed1d6765a9f7bbb, 0xa821b62dddd83713, 0xbba6d1c87739fc31,
  0xe30120862db52560, 0x64c8c1548ba1cc13, 0x30a04f89bed6788f, 0x7ff32ba0cee9f72e, 0x93ad825a3805a98c,
  0x47244fe0e2b4dea3, 0x0a21895fe7ef8228, 0xef77cdc6bb006e1f, 0x50865a0bed10caae, 0x60bff4073c260f71,
  0xa60b0ab3317397b7, 0x6110cd7e727fe3e0, 0xe5c5f59b85a768bb, 0xfb892c79e6da038f, 0x7ea3e12fc4361222,
  0x4fccf1771b9a69fe, 0x82fd47e827b9633c, 0xc051f3a48e3a7f06, 0x0353b57f4682ce62, 0x744aa01ffb33c75e,
  0x32b31c7c0f2d6e1f, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0x2f9b65c18edfef55, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000349169f15ed,
};

// m32a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m32_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbac1f83f6090c86, 0xeeeeacd4f265f9bb, 0x710b0ebee44eeeee, 0x578d3817ba930b55, 0x1bb3eafcc507c4dd,
  0x0862db524eb3bbbb, 0x2a90e9d4c13e3012, 0xf137dacf11ec9918, 0x7419dd3ee5c61409, 0x9f0e1d673321fe65,
  0xc1febcdea3cc36c1, 0xbfcfdf04508e489f, 0x2e8600dc3e144312, 0x25a4432abbbddf37, 0x1cf09a3945421968,
  0xccc5ce5eddfe7fd0, 0xf18fff8f82982c2a, 0xea2d3b45db08866b, 0x6da038706e2faa32, 0x4361222fb892c79e,
  0xe33e759fea3e12fc, 0x9dadcdaf933c5dc6, 0xd9834c7d4795c892, 0x1698a62b09fea3e0, 0x5b1971c270dc3afb,
  0x3abb74e23a909afa, 0x3af63376ded193c7, 0xa7cf234876355e36, 0x86f65deece038ec5, 0xce89507546c11323,
  0xa293f99f47332b32, 0xa3a314c0809e5a74, 0x94d8ce81c51e7c49, 0x59e8754e05755397, 0x5c18edfef5545a6c,
  0x78dc79b09732f9b6, 0xab337f07771a2cb5, 0xf0271a50c2a73f53, 0x615c9f80f9a1e64f, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000080039f15ed,
};

// m32a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbbbb90, 0x77566a7932fcdddd, 0x875f2275a7b77777, 0x9c0bdd4985aab885, 0x5effad83e26eabc6,
  0x6d493acee3522579, 0xa75304f8c048218b, 0x6b3c47b26460aa43, 0x74fb97185027c4df, 0xace6643fccb41ca7,
  0x9bd47986d833e1c3, 0xe08a11c913f83fd7, 0x1b87c2886257f9fb, 0x655777bbe6e5d0c0, 0x4728a8432d04b488,
  0xcbdbbfcffa039e13, 0xf4f27305855998b9, 0x45db08866bf18fff, 0x706e2faa32ea2d3b, 0x17dc4963cf36d276,
  0x7ff51f097e21b091, 0xaf933c5dc6e29273, 0x7d4795c8929dadcd, 0x2b09fea3e0d9834c, 0xc270dc3afb1698a6,
  0xe23a909afa5b1971, 0x76ded193c73abb74, 0x4876355e363af633, 0xeece038ec5a7cf23, 0x7546c1132386f65d,
  0x9f47332b32ce8950, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0xb09732f9b65c18ed, 0xb1a2c6f8b9357079, 0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000800b2df4429,
};

// m32a_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m32_u1x12_uart0_dual_ee_hw[] = {
  0xeeb07e0f44865c93, 0xbbbab29b67d7e6ee, 0x1a4c6c5a3afbbbbb, 0xf8b8d91ddc9cccc2, 0xe2e2f6f2762fd76a,
  0x410c5b6a4c1b770c, 0x05520dbb9827c602, 0x3e26fb59e23d9323, 0xae833ba7dcb8c281, 0x163e70ff93068fcc,
  0xfe0fabe6f51fa7f6, 0x95fe7ef822847244, 0xdcfd7006e1f0a218, 0xa095910caaeef77c, 0x4073c265f7150865,
  0xab3317397b7df7ff, 0x6bf1c3ff124e60b0, 0x1e942d3b45db0886, 0xf27a8f2bdbf355ad, 0xbe2beebd47c1b307,
  0x71c270dc3afb169b, 0x7027e6909afa5b19, 0xbda3278e756979c5, 0x76355ae875ec66ed, 0xce038ec5a7cf2348,
  0x8d823f5b86f65dee, 0x8e6656601512a0ea, 0x013cb4e94527f33e, 0x8a3cf89347462981, 0x0aeaa72f29b19d03,
  0xeaa8b4d8b3d0ea9c, 0x9732f9b65c455bfd, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x00000000aed6493a,
};

// m32a_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m32_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdd60fc1c3d686f97, 0x777566a7932fcddd, 0x885875f722777777, 0xbc69c0bdd4985aab, 0xc119d6a9d03e26ea,
  0x2410c5b6a49d6773, 0x305521d3a9827c60, 0x13e26fb59e23d932, 0xcae833ba7dcb8c28, 0x833e1c3ace6643fc,
  0x3f83fd79bd47986d, 0x257f9fbe08a11c91, 0x6e5d0c01b87c2886, 0xd04b488655777bbe, 0xa039e134728a8432,
  0x55998b9cbdbbfcff, 0x6bf18fff89273058, 0x32ea2d3b45db0886, 0x9e6da038706e2faa, 0xfc4361222fb892c7,
  0xc6e4c333e7ea3e12, 0x929dadcdaf933c5d, 0xe0d9834c7d4795c8, 0xfb1698a62b09fea3, 0xfa5b1971c270dc3a,
  0xc73abb74e23a909a, 0x363af63376ded193, 0xc5a7cf234876355e, 0x2386f65deece038e, 0x32ce89507546c113,
  0x74a293f99f47332b, 0x49a3a314c0809e5a, 0x9794d8ce81c51e7c, 0x6c59e8754e057553, 0xb65c18edfef5545a,
  0x7ab8dc79b09732f9, 0x7e627f2861539fa9, 0xfc1343cc9fe2e719, 0x5c33d30ae4fc73df, 0xb0e9296cf8138cb2,
  0x73ea29e4afdcd0cc, 0x0000000000003aea,
};

// m32a_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xddd60fc1e890cf68, 0xbbbbab353eeefcdd, 0x4faafb17d07dbbbb, 0x2f1a702f755f24c4, 0x8fa9d6b7664caefa,
  0x48218b6d496c4ee6, 0x60aa4271f304f8c0, 0x27c4df6b3c47b264, 0x95d06774fb971850, 0x035b384c34ccf9f9,
  0x3f8380137a8ffafb, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd01ac88655777bbe, 0xa039e135ba8a8432,
  0x55998b9cbdb868ff, 0x35f92d7f89273058, 0x1fce169da2ed8443, 0xcf36d01cd9d717d5, 0x7e21b09117dc4963,
  0xc6e72d337ff51f09, 0x529dadcda6333c5d, 0xc1b307917d4795e9, 0xfb1698a62b403d47, 0xfa5b1971c270dc3a,
  0xe73abb72f83a909a, 0x6c75e534edd223af, 0x169d4b463eec6abc, 0x2386f65b93380e3b, 0x33e8e665678c6893,
  0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e, 0x3612e65f36cb831d,
  0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xb7453c95fb9a1996, 0x0000000000075d5e,
};

// m32_u2x8_uart0_noled_pr           m32a_u2x8_uart0_noled             m32a_u2x8_uart0_noled_pr
static const uint64_t ur_m32_u2x8_uart0_noled[] = {
  0xb777775ddacdfcd7, 0xdddddd55d87383c4, 0x221b4fd9227684dd, 0xa45dde8737774882, 0xb6a4eeedb6a6331d,
  0xd319827c602410c5, 0x76f559917fd20267, 0x584f8b4ed093824d, 0x3f831f7ea3d7f3be, 0xc05965308bcf471d,
  0xd1f3b07146678e62, 0xafc35403ff6608eb, 0x9450aca81e59eda9, 0x9bd934746293cb4e, 0xfea52f29bd73f147,
  0xa2d2a7d3d0ea9c08, 0x5f36d2ff156ff7aa, 0xf8d163ce1bb612e6, 0xc2b93f75663c81a3, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x0000f901e5e966e7,
};

// m32a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m32_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd4488ad3a, 0xddddd55d87383c4b, 0xb4fd9224bdef8bdd, 0xdde8737774882221, 0xee9fb68a36c8fa45,
  0x827c602410c5b6a4, 0xacc8bfee6be7d319, 0xc5a76849c126bb7a, 0x8fbf51ebf9df2c27, 0xb29845e7a38e9fc1,
  0xd838a333c731602c, 0xaa01ffb30475e8f9, 0x56540f2cf6d4d7e1, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec,
  0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xe5358c939e4afdcd,
  0x00000000000003e4,
};

// m32_u2x8_uart0_noled_pr_ee_u4     m32a_u2x8_uart0_noled_pr_ee       m32a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m32_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeebba891151eb, 0x77775575c8353896, 0x2fa86ebd04d64377, 0xb6705f0bddddef24, 0x73b2a16f594dbd3d,
  0x30120862db527762, 0x5fee6be7d2b4c13e, 0x6849c126bb7aaca9, 0xb9c66ab5a39b85a7, 0xd47c1b3063e7a8f2,
  0x875f62d377c572fb, 0x135f4b632e384e1b, 0x73ab4ba62b8d64d2, 0x875e74dd967a313e, 0xb4d05a3c676355ae,
  0xb86f65b2f9c071d8, 0x02fc300ca8d823f5, 0x34746293cb4e9450, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5,
  0xd2ff156ff7aaa2d2, 0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xd6b519273c95fb9a, 0x0000000000000275,
};

// m32a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m32_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x6d367eef5337d2ee, 0x1c7eb460fbbbba08, 0xdb5277417a0998b2,
  0xf38cc13e30120862, 0x5dbd562f9fe90133, 0xfa93c2d3b424e093, 0x5bf3c025038b5cef, 0x719cc273b8dcfdc9,
  0xf58bd474173dcb01, 0x602acf4871c74fe0, 0x78b9da89470d4731, 0x5075f87b8e58cf1d, 0xd934746293cb4e94,
  0xa52f29bd73f1479b, 0xd2a7d3d0ea9c08fe, 0x6da5fcc76ff7aaa2, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x00b7503952cdcf25,
};

// m32a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m32_u2x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba891190e3, 0xbbbbaabf0bf8f896, 0x004ccbdd93d537bb, 0xe17bafdddd368c9c, 0x3ba245999bb0dd63,
  0x609f180904316da9, 0x5647bff735f3ebee, 0x22d3b424e0935dbd, 0xe012a7613ee2faa6, 0xc4361222fb892c79,
  0x372c7ffe7ea3e12f, 0xd3dcb19fac99e2ee, 0x1c74fe0cd27a8ed7, 0x333c731602dc310f, 0xfb33c75e8f9d838a,
  0x3cb5b94d7e1aa01f, 0xc527969d28a15950, 0x7ae7e28f37b268e8, 0xa1d53811fd4a5e53, 0x8edfef5545a54fa7,
  0x3cd84b997cdb4bf9, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x649cf257ee686658, 0x000000001baea9ac,
};

// m32a_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_m32_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaee0f5a22a20, 0xdddd55e34151625b, 0xbb4b41299ef91ddd, 0xbcb2ab4dd85f8ede, 0x62d48ee351a568b8,
  0x602410c5b6a4ee8f, 0xbfdcd7cfa5a9827c, 0xd093824d76f55835, 0xcaeb8bea8d2b0b4e, 0x8bee24b1e7804a9d,
  0xbffa8f84bf10d848, 0xdef99e2ee3739699, 0x5ea3cac1494ed6e6, 0x8ae6ef51f06cc1c6, 0x709c370ebec5a629,
  0x988ea426be96c65c, 0x7659e8c4f9ceaedc, 0xe33b1aaf1b1d79d3, 0x97ce038ec5a682d1, 0x32a3608991c37b2d,
  0x4f2d3a5142cff0c0, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43, 0xb09732f9b697f31d,
  0x0d1674f8b9357079, 0x539fa9d598f207e5, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x009f98c4c939e4af,
};

// m32a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a0a1712, 0x19e2f536697571ee, 0x640b2ab4dd2e30be, 0xeb46a122cfaa2d05,
  0xe30120862db52774, 0x37fee6be7c6b4c13, 0x76849c126bb7aacd, 0xed82dc5f5475285a, 0x445f71258f3c0254,
  0xeb3fd47c25f886c2, 0x9b8ca678bb8dc67c, 0x22fa8f2bf9253b5b, 0xa62b887d47c1b306, 0x71c270dc3afb1698,
  0xec8a3a909afa5b19, 0x9bb087461c4e7576, 0x6a6ac6abc6c75eba, 0x396701c762d39054, 0xa631fc332386f65c,
  0xb268e8c527969d28, 0x4a5e537ae7e28f37, 0xa54fa7a1d53811fd, 0xdb4bf98edfef5545, 0x5c9ab83cd84b997c,
  0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x27e166649cf257ee,
};

// m32a_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m32_u2x8_uart0_noled_ee_hw[] = {
  0x777775dd4486c056, 0xbbbbaabae41a9c4b, 0x485f50dd7ea09bbb, 0x7b6ce0be17bbbbde, 0xdd58393b4c8a9b7a,
  0x04f8c048218b6d49, 0xaca95ff4299f4ad3, 0x85a76849c126bb7a, 0xa8f2b9c66ab5a39b, 0x72fbd47c1b3063e7,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x313e73ab4ba62b8d, 0x55ae875e74dd967a, 0x71d8b4d05a3c6763,
  0x23f5b86f65b2f9c0, 0x945002fc300ca8d8, 0x9bd934746293cb4e, 0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08,
  0x5f36d2ff156ff7aa, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00000b7d2ac5453c,
};

// m32_u2x8_uart0_noled_ee_ce_u4_hw  m32a_u2x8_uart0_noled_ee_ce_hw    m32a_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m32_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddd7751219541, 0xeeeeeaaf1a0a8b12, 0xedebb4b413699eee, 0x8b8bcb2ab4dd85f8, 0x9dd0149334e71a56,
  0x304f8c048218b6d4, 0xaac1adff4299f4b5, 0x585a76849c126bb7, 0xdb4072575c5f5469, 0x86c2445f71258f3c,
  0xcec1bc3fd47c25f8, 0x3b5b9b7be678bb8d, 0xb307197a8f2b0525, 0x1698a62b9bbd47c1, 0x5b1971c270dc3afb,
  0x3abb72623a909afa, 0x75e74dd967a313e7, 0x9a0b478cec6abc6c, 0x0decb65f380e3b16, 0x3fc300ca8d822647,
  0x4746293cb4e9450b, 0xf29bd73f1479bd93, 0x7d3d0ea9c08fea52, 0x5fcc76ff7aaa2d2a, 0x6371e6c25ccbe6da,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x80bf24e8a792bf73, 0x0000000000000002,
};

// m32_u2x8_uart0_lednop_pr          m32a_u2x8_uart0_lednop            m32a_u2x8_uart0_lednop_pr
static const uint64_t ur_m32_u2x8_uart0_lednop[] = {
  0x2dddddd776b3753a, 0x77777755761ce6f1, 0x889c1cda0e2dad37, 0xdd09b3d4cdddd220, 0xb6a4ee971b2636d4,
  0xf249827c602410c5, 0xbb7aac7bffd20267, 0x2c27c5a76849c126, 0x9fc18fbf51d679df, 0xc0596530df27a38e,
  0xd1f3b3da46690e62, 0xf29a5403ff6608eb, 0x4a28ac140f2cf6cc, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x58f386ed84b997cd, 0x4fdd598f2068fe34, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x03e431ba59b9e4af,
};

// m32a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeebba8911bd3a, 0xbbbbaabb0e737896, 0x0e6d0710d7de3fbb, 0xd9ea66eee910444e, 0x77469ae3a87f4e84,
  0xc13e30120862db52, 0xab1efff735f3f924, 0xf169da127049aede, 0x63efd4759e77cb09, 0x594c37c9e8e3a7f0,
  0xecf6919a4398b016, 0x9500ffd9823af47c, 0x2b0503cb3db33ca6, 0x8c5302027969d28a, 0x633a071479f1268e,
  0xa1d53815d54e5e53, 0x8ab7fbd55169b167, 0xe0f3612e65f36cb8, 0x81f943458df1726a, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xf19273c95fb9a199,
  0x00000000007c9cc5,
};

// m32_u2x8_uart0_lednop_pr_ee_u4    m32a_u2x8_uart0_lednop_pr_ee      m32a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd4488ba31, 0xbbbbaabae42c9c4b, 0x6a70bc615bd067bb, 0x5c4e0be17bbbbde4, 0xb1361820014b4614,
  0xf8c048218b6d49dd, 0xc9ffb9af9f90f304, 0x9da127049aedeab1, 0xcacf59aad68e6e16, 0xaf51f06cc18f9ea3,
  0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462, 0xb16989f4720b6355,
  0xeb70decb65f380e3, 0xa004a6bf0d51b047, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0xae0f3612e65f36cb, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x2d19273c95fb9a19, 0x00000000000275d3,
};

// m32a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec389162, 0x10da6993bf37d2ee, 0xb21c7eb479377774, 0x62db5277417a0998,
  0x67f6fcc13e301208, 0x26bb7aacea3fd202, 0xdff52785a76849c1, 0xc95bf3c0250383e1, 0x01719cc273b8dcfd,
  0xe0f58bd4713f3dcb, 0x31602acf4171c74f, 0x3af173b63347ac47, 0x9450752cb71cb19e, 0x347462981013cb4e,
  0xbca6c6740e28f2dd, 0xb98c10b4deabaa9c, 0x65f36d3d0ea9c0ba, 0x3f8d163ce1bb612e, 0x4c2b93f75663c81a,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x000005ba81ca966e,
};

// m32a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeebba8911d38b, 0xbbbbaabf0b82f896, 0xe3e001ae486ad1bb, 0xd36a6337774da327, 0xa4eea3329cd2ca53,
  0xe9827c602410c5b6, 0xf55901bfdcd7cffe, 0x988b4ed093824d76, 0xe7804a9dedfb8bea, 0xbf10d8488bee24b1,
  0x71b9bb49b7fa8f84, 0x9e9ee58cfd64cf17, 0x2e38e9fc19a4f51f, 0xd23348731602ef78, 0x1ffb33c75e8f9d9e,
  0x281e5adc6794d2a0, 0x981013cb4e945158, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19, 0xbfdeaa8b4d8b3d0e,
  0x3612e65f36cb831d, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x273c95fb9a19961d, 0x00000006ebff5419,
};

// m32a_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeeec1222044, 0xdddd55e34047e25b, 0x57ae56d60ef4eddd, 0x9965569bb0bf1dd4, 0x49c8c8843312b8e1,
  0xc048218b6d49dd41, 0xff735f3fd3f304f8, 0x849c126bb7aaceaf, 0x4ddc5f5469585a76, 0x5f71258f3c0254ef,
  0xafd47c25f886c244, 0x7be678bb8dcbc3e5, 0x7a8f2b40253b5b9b, 0x2b9c7d47c1b30719, 0xc270dc3afb1698a6,
  0x483a909afa5b1971, 0xedd02310e73abb76, 0x20b6355e363af3a6, 0x5f380e3b16989f47, 0x6a8d8226470decb6,
  0x3cb4e9450b3535f8, 0x3cf8934746298101, 0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x65f36cb831dbfdea,
  0xb579726ae0f3612e, 0x53ab31e40fca1a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86,
  0x273c95fb9a19961d, 0x0000000027e61099,
};

// m32a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddd77512232a8, 0xeeeeeaaf1a03f712, 0xbf419ad0697571ee, 0x0ad2cb2ab4dd2e30, 0xe9d68d42459f545a,
  0x27c602410c5b6a4e, 0x12d7fb9af9f31f98, 0x69da127049aedeab, 0x53b287717d51d4a1, 0x09117dc4963cf009,
  0xf3acff51f097e21b, 0x6e6e3299e2ee3719, 0x188bea3cae6e94ed, 0x6298ad31f51f06cc, 0x65c709c370ebec5a,
  0xdbb228ea426be96c, 0xd4dd9af91bda39d5, 0x2333d6355e363af5, 0x70e59c071d8b4cd2, 0x514c632c8c8e1bd9,
  0xd1d18a60404f2d3a, 0xf29b19d038a3cb74, 0xe63042d37aaeaa72, 0x97cdb4f43aa702ea, 0x37c5c9ab83cd84b9,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00027e166649cf25,
};

// m32a_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m32_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2432f02, 0xddddd55d72164e25, 0xe46a70bc6695bddd, 0x145c4e0be17bbbbd, 0x277638c0bd666b46,
  0xcc13e30120862db5, 0xeab1c9ffd0a67e43, 0x6e169da127049aed, 0x9ea3cacf59aad68e, 0x8af4af51f06cc18f,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x04621ce75697c917, 0x6355ae875e74ddba, 0x80e3b16989f4720b,
  0xb047eb70decb65f3, 0x9d28a004a6bf0d51, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54,
  0x36cb88ab7fbd5516, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x000b7d843f453c95,
};

// m32_u2x8_uart0_lednop_ee_ce_u4_hw m32a_u2x8_uart0_lednop_ee_ce_hw   m32a_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeebba890c582, 0x777775578d011f89, 0xeea2bd72b7ab0777, 0xc70ccb2ab4dd85f8, 0x9dd3b410f4b51895,
  0x304f8c048218b6d4, 0xab3abffe8533fd3f, 0x6169da127049aede, 0x6d01cd37717d51a5, 0x1b09117dc4963cf3,
  0x26199f3f51f097e2, 0xed6e6def99e2ee37, 0xcc1c65ea3cad0094, 0x5a6298ae71f51f06, 0x6c65c709c370ebec,
  0xeaedd920ea426be9, 0xebce9bb7408c439c, 0x627d1c82d8d578d8, 0x37b2d97ce038ec5a, 0xd4d7e1aa3608991c,
  0xa60404f2d3a5142c, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xcd84b997cdb2e0c7,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x4e514f257ee68665, 0x000000000005014d,
};

// m32_u2x8_uart0_dual_pr            m32a_u2x8_uart0_dual              m32a_u2x8_uart0_dual_pr
static const uint64_t ur_m32_u2x8_uart0_dual[] = {
  0x377777583ea22a20, 0xddddddd5899dc1bf, 0xc71582d1599e86ed, 0x723b313bbba56cfd, 0x83b87b16a4151ab2,
  0x9f180904316da924, 0x3d932305521aee60, 0xb8c2813e26fb59e2, 0x727f9958093ba7dc, 0x477f360bece05166,
  0x2847244fe0cca9bd, 0x1f0a21895fe7ef82, 0x5777bbe6e4ae006e, 0xb454219684648865, 0x7b79c7fe80e784d6,
  0x641e60b0ab331739, 0xe0935dbd563dffef, 0x3cef9613e2d3b424, 0xd1c74fe0c7dfa8eb, 0x8731602cb2986f93,
  0x0475e8f9d9ed2334, 0x9995995944ee3963, 0x4f2d3a5149fccfa3, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0x63ce2e4d5c1e6c25, 0x4fdd598f207e50d1, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x000621a70c939e4a,
};

// m32a_u2x8_uart0_dual_pr_u4
static const uint64_t ur_m32_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeb07a243306a, 0xbbbbbab1333237e6, 0xe8ee0d989d765bbb, 0xdd02fa76eeec337a, 0xdbbaabf261d64210,
  0x3e30120862db524a, 0x7b26460aa47ebcc1, 0x7185027c4df6b3c4, 0x387f995d06774fb9, 0x8ffbb60958e0e966,
  0xa11c913f8380d37a, 0x7c2886257f9fbe08, 0x5ddeef9b915801b8, 0x5150865a098a2195, 0xdb84fffa039e1346,
  0xf05305855998b9cb, 0x7049aedeab17cff1, 0xc33be5b9e169da12, 0xb471d3f837b5ea3d, 0x59cc580bac533df6,
  0x08ebc06a76afe8d0, 0x7b63ee895403ff66, 0xfa3999598e3e0796, 0x0404f2d3a5149fcc, 0x0e28f3e24d1d18a6,
  0x702baa9cbca6c674, 0xf7aaa2d362cf43aa, 0xc25ccbe6d971156f, 0x83bb8d1637c371e6, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xe57b4f257ee68665,
  0x00000000014931ea,
};

// m32_u2x8_uart0_dual_pr_ee_u4      m32a_u2x8_uart0_dual_pr_ee        m32a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f448618be, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0xbd9c1059e0ac5fae,
  0x48218b6d49836eee, 0x60aa41b77304f8c0, 0x27c4df6b3c47b264, 0x95d06774fb971850, 0xc2c7ce1ff260d1f9,
  0x9fc1f57cdea3f4fe, 0x12bfcfdf04508e48, 0x9b9fae00dc3e1443, 0xb412b221955ddeef, 0xe80e784cbee2a10c,
  0x156662e72f6fbeff, 0xf55870ffc7c14c16, 0xa50b4ed093824d76, 0x9ea3caf6fcd56b47, 0x8afbaf51f06cc1fc,
  0x709c370ebec5a6ef, 0x09f9a426be96c65c, 0x68c9e39d5a5e715c, 0x8d56ba1d7b19bb6f, 0x80e3b169f3c8d21d,
  0x608fd6e1bd977bb3, 0x9995980544a83aa3, 0x4f2d3a5149fccfa3, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2,
  0xaa2d362cf43aa702, 0xccbe6d971156ff7a, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xb4f257ee68665874, 0x0000000564c92657,
};

// m32_u2x8_uart0_dual_pr_ce_u4      m32a_u2x8_uart0_dual_pr_ce        m32a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32_u2x8_uart0_dual_pr_ce[] = {
  0xcdddddd60f4486f9, 0x777777756b1e73af, 0x277da3acecb53ef7, 0x6350436c5bbbb06e, 0xc1774da390ee73f8,
  0x27c602410c5b6a4a, 0x1ec99182a9174398, 0x5c61409f137dacf1, 0x18ffe657419dd3ee, 0x47275b04b4700b53,
  0x508e489fc1c569bd, 0x3e144312bfcfdf04, 0x5ddeef9b8d7600dc, 0xe2a10cb417da2195, 0x6ec17fe80e784c1e,
  0xc14c16156662e72f, 0x824d76f558e4ffc7, 0xcb8beb370b4ed093, 0xf71258f3cdb4071f, 0xfd47c25f886c2445,
  0x9f99e2ee3734d3fc, 0x05fa8fd04f72c678, 0x80a3e7491c74fe0d, 0x06a76afe8d059cc5, 0xe895403ff6678ebc,
  0x656638f81e5adc3e, 0xcb4e94527f33e8e6, 0xcf89347462981013, 0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae,
  0x5f36cb831dbfdeaa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x000006922d3e2bda,
};

// m32a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m32_u2x8_uart0_dual_pr_ee_ce[] = {
  0x77777583f6090c86, 0xdddddd59a9e4cbf3, 0xaae2161d7dc89ddd, 0xbaaf1a702f752616, 0x763767d5f98a0f89,
  0x2410c5b6a49d6777, 0x305521d3a9827c60, 0x13e26fb59e23d932, 0xcae833ba7dcb8c28, 0x833e1c3ace6643fc,
  0x3f83fd79bd47986d, 0x257f9fbe08a11c91, 0x6e5d0c01b87c2886, 0xd04b488655777bbe, 0xa039e134728a8432,
  0x55998b9cbdbbfcff, 0xaac31fff1f053058, 0xd45a76849c126bb7, 0xdb4070e0dc5f5465, 0x86c2445f71258f3c,
  0xc67ceb3fd47c25f8, 0x3b5b9b5f2678bb8d, 0xb30698fa8f2b9125, 0x2d314c5613fd47c1, 0xb632e384e1b875f6,
  0x7576e9c4752135f4, 0x75ec66edbda3278e, 0x4f9e4690ec6abc6c, 0x0decbbdd9c071d8b, 0x9d12a0ea8d822647,
  0x4527f33e8e665665, 0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8,
  0xf1b8f3612e65f36c, 0x5666fe0eee34596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000100073e2bda,
};

// m32a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8adbbbb90, 0xeeeeacd4f265f9bb, 0x0b0ebe44eb4f6eee, 0x8d3817ba930b5571, 0xf2bdff5b07c4dd57,
  0x16da92759dc6a44a, 0x874ea609f1809043, 0xbed6788f64c8c154, 0x4ee9f72e30a04f89, 0x8759ccc87f996839,
  0xaf37a8f30db067c3, 0xf7c114239227f07f, 0x80370f8510c4aff3, 0x10caaeef77cdcba1, 0x268e5150865a0969,
  0x7397b77f9ff4073c, 0xffe9e4e60b0ab331, 0x849c126bb7aac31f, 0xe0dc5f5465d45a76, 0x2fb892c79e6da4ec,
  0xffea3e12fc436122, 0x5f2678bb8dc524e6, 0xfa8f2b91253b5b9b, 0x5613fd47c1b30698, 0x84e1b875f62d314c,
  0xc4752135f4b632e3, 0xedbda3278e7576e9, 0x90ec6abc6c75ec66, 0xdd9c071d8b4f9e46, 0xea8d8226470decbb,
  0x3e8e6656659d12a0, 0x81013cb4e94527f3, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea,
  0x612e65f36cb831db, 0x63458df1726ae0f3, 0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000100165be8852,
};

// m32a_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m32_u2x8_uart0_dual_ee_hw[] = {
  0xddddd60f44865c93, 0x7777756536cfafcd, 0x843498d8b475f777, 0xd5f171b23bb93999, 0x19c5c5ede4ec5fae,
  0x048218b6d49836ee, 0x460aa41b77304f8c, 0x027c4df6b3c47b26, 0x995d06774fb97185, 0xec2c7ce1ff260d1f,
  0x89fc1f57cdea3f4f, 0x312bfcfdf04508e4, 0xf9b9fae00dc3e144, 0xcb412b221955ddee, 0xfe80e784cbee2a10,
  0x6156662e72f6fbef, 0xb7aac387fe249cc1, 0x3d285a76849c126b, 0xe4f51e57b7e6ab5a, 0x7c57dd7a8f83660f,
  0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x7b464f1cead2f38a, 0xec6ab5d0ebd8cddb, 0x9c071d8b4f9e4690,
  0x1b047eb70decbbdd, 0x1cccacc02a2541d5, 0x027969d28a4fe67d, 0x1479f1268e8c5302, 0x15d54e5e53633a07,
  0xd55169b167a1d538, 0x2e65f36cb88ab7fb, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32,
  0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x000000015dac9274,
};

// m32a_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m32_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbac1c3d686f97, 0xeeeeeacd4f265f9b, 0x5710b0ebee44eeee, 0xd578d3817ba930b5, 0xe78233ad53a07c4d,
  0xc048218b6d493ace, 0x6460aa43a75304f8, 0x5027c4df6b3c47b2, 0xf995d06774fb9718, 0xdb067c38759ccc87,
  0x227f07faf37a8f30, 0x0c4aff3f7c114239, 0x7cdcba180370f851, 0x65a096910caaeef7, 0xff4073c268e51508,
  0xb0ab3317397b77f9, 0xb7aac31fff124e60, 0x65d45a76849c126b, 0x3cdb4070e0dc5f54, 0xf886c2445f71258f,
  0x8dc98667cfd47c25, 0x253b5b9b5f2678bb, 0xc1b30698fa8f2b91, 0xf62d314c5613fd47, 0xf4b632e384e1b875,
  0x8e7576e9c4752135, 0x6c75ec66edbda327, 0x8b4f9e4690ec6abc, 0x470decbbdd9c071d, 0x659d12a0ea8d8226,
  0xe94527f33e8e6656, 0x9347462981013cb4, 0x2f29b19d038a3cf8, 0xd8b3d0ea9c0aeaa7, 0x6cb831dbfdeaa8b4,
  0xf571b8f3612e65f3, 0xfcc4fe50c2a73f52, 0xf82687993fc5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964,
  0xe7d453c95fb9a199, 0x00000000000075d4,
};

// m32a_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbbbac1e890cf68, 0x777777566a7dddf9, 0x889f55f62fa0fb77, 0xf45e34e05eeabe49, 0xcd1f53ad6ecc995d,
  0x80904316da92d89d, 0xc8c15484e3e609f1, 0xa04f89bed6788f64, 0xf32ba0cee9f72e30, 0xf606b670986999f3,
  0x227f070026f51ff5, 0x0c4aff3f7c114239, 0x7cdc04480370f851, 0x65a035910caaeef7, 0xff4073c26b751508,
  0xb0ab3317397b70d1, 0xdbd5625aff124e60, 0x3f9c2d3b424e0935, 0x9e6da039b3ae2faa, 0xfc4361222fb892c7,
  0x8dce5a66ffea3e12, 0xa53b5b9b4c6678bb, 0x83660f22fa8f2bd2, 0xf62d314c56807a8f, 0xf4b632e384e1b875,
  0xce7576e5f0752135, 0xd8ebca69dba4475f, 0x2d3a968c7dd8d578, 0x470decb726701c76, 0x67d1cccacf18d126,
  0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x6c25ccbe6d97063b,
  0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x6e8a792bf734332c, 0x00000000000ebabd,
};

// m32_u2x12_uart0_noled_pr          m32a_u2x12_uart0_noled            m32a_u2x12_uart0_noled_pr
static const uint64_t ur_m32_u2x12_uart0_noled[] = {
  0xdddd775a1eb372ac, 0x7777557d9cddf12d, 0xbc4df9e17be2f777, 0x448bebf77742ca7b, 0x93bb003d3db764de,
  0x2609f180904316da, 0x627ad7ff48099ff9, 0xa127049aede68334, 0x47afe77cb09f169d, 0x179e8e3a7f063efd,
  0x8ccf1cc580b2ca61, 0xfecc11d7a3e760e2, 0x3cb3db535f86a807, 0xc527969d28a15950, 0x7ae7e28f37b268e8,
  0xa1d53811fd4a5e53, 0x2adfef5545a54fa7, 0x376c25ccbe6da5fe, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x6587494b659289c6, 0xc7d2cdcf257ee686, 0x000000000001f20d,
};

// m32a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m32_u2x12_uart0_noled_pr_u4[] = {
  0xdd775a1d12233b90, 0x77557d9cddf12ddd, 0x7e785d69a35f7777, 0xfafdddd0b29eef13, 0x696694b8ae379122,
  0xf8c048218b6d49dd, 0xb5ffdcd7cffc9304, 0xc126bb79a0cd189e, 0xf9df2c27c5a76849, 0xa38e9fc18fbf51eb,
  0xc731602cb29845e7, 0x0475e8f9d838a333, 0xf6d4d7e1aa01ffb3, 0xe5a74a2856540f2c, 0xf8a3cdec9a3a3149,
  0x4e047f529794deb9, 0xfbd5516953e9e875, 0x09732f9b697f8ab7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000007c9dc41cc93,
};

// m32_u2x12_uart0_noled_pr_ee_u4    m32a_u2x12_uart0_noled_pr_ee      m32a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m32_u2x12_uart0_noled_pr_ee[] = {
  0x775dd6874488d562, 0xddd55f359e9c4b77, 0xf31f4a6c695bdddd, 0x7a99a0eea452f763, 0xb4ea0b6189053700,
  0x0120862db52774c8, 0xfee6be7dd2cc13e3, 0x35dbcd0668c4ffdd, 0xad1cdc2d3b424e09, 0x831f3d4795ce3355,
  0x9bbe2b97dea3e0d9, 0x1971c270dc3afb16, 0x315c6b26909afa5b, 0xecb3d189f39d5a5d, 0xe33b1aad743af3a6,
  0x97ce038ec5a682d1, 0x6546c11fadc37b2d, 0x9e5a74a28017e180, 0x9f8a3cdec9a3a314, 0x54e047f529794deb,
  0x7fbd5516953e9e87, 0xb09732f9b697f8ab, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9, 0x00000013aebcf8c9,
};

// m32a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m32_u2x12_uart0_noled_pr_ce[] = {
  0x7775dd687acdfc4f, 0xdddd55f6739bc4b7, 0xe2de0fab6b11dddd, 0x35fc5ecfddddb890, 0x6a4eec2f5a3c7a08,
  0xba9827c602410c5b, 0x68c4f3d7fd20267f, 0x3b424e0935dbcd06, 0x503837ceffa93c2d, 0x3b8dc5f6517f3c02,
  0x4173dcb01719cc27, 0xf71c74fe0f58bd47, 0x2470d4731602d7f1, 0xe39633c75e2e76d6, 0x49e5a74a283a0356,
  0xd73f14796e9a3a31, 0x42d3978fea52f29b, 0xd3d0ea9c0cea6630, 0x63ce1bb612e65f36, 0x3f75663c81a3f8d1,
  0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x2dd553a966e792bf,
};

// m32a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m32_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeebbad0e8911fc3b, 0xbbaaba1dc2f896ee, 0xc6dd69856921bbbb, 0x3fd2eeeef89e6f50, 0xdb826ea1994ec776,
  0x4f8c048218b6d49d, 0xefe7fb9af9f28b30, 0x9c126bb79a0cd189, 0x27dc5f54c45a7684, 0x5f71258f3c0254ec,
  0xcfd47c25f886c244, 0xf5933c5dc6e58fff, 0x9a4f51dafa7b9633, 0xc05b8621e38e9fc1, 0xd1f3b07146678e62,
  0xafc35403ff6678eb, 0xa5142b2a0796b729, 0xe6f64d1d18a4f2d3, 0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702,
  0x2f9b697f31dbfdea, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x06eb9c87cc939e4a,
};

// m32a_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_m32_u2x12_uart0_noled_pr_ee_ce[] = {
  0x775dd6861eb44511, 0xddd55de41a2c4b77, 0x50b36392eac1dddd, 0xe38f8feed8fb2610, 0x67d938b17d334a7e,
  0x02410c5b6a4eeabe, 0xfdcd7cf85a9827c6, 0x6bb79a0cd189e4eb, 0x5469585a76849c12, 0x8f3c0254ee575c5f,
  0x25f886c2445f7125, 0x771b9cb4cdffd47c, 0x0a4a76b736f7ccf1, 0x8f83660e32f51e56, 0x75f62d314c57377a,
  0x35f4b632e384e1b8, 0x27ce7576e4c47521, 0x78d8ebce9bb2cf46, 0x762d34168f19d8d5, 0x4c8e1bd96cbe701c,
  0x8a167f8601951b04, 0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554,
  0xc5c9ab83cd84b997, 0xacc7903f2868b3a7, 0xf313f9430a9cfd4e, 0xe09a1e64ff1738cb, 0xe19e985727e39eff,
  0x87494b67c09c6592, 0x8649cf257ee68665, 0x0000000000013f0c,
};

// m32a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xddd775a1d1222a20, 0x77755779037712dd, 0xa56c9023fa697777, 0x0ce38f8feef8fb1f, 0x7b16a8e31a8207af,
  0xe30120862db52774, 0xbffdcd7cff4fcc13, 0x24d76f3419a313fa, 0xbea8ea50b4ed0938, 0x4b1e7804a9d9c3b8,
  0xf84bf10d8488bee2, 0xf1771b9787cb5fa8, 0x57f24a76b737194c, 0x7a8f83660c45f51e, 0xb875f62d314c563e,
  0x2135f4b632e384e1, 0x8c389ceaedd07c75, 0x578d8ebd753767b4, 0xc762d333c8d4d58d, 0xa32386f65c396701,
  0x8a4f2d3a514c6206, 0xdeb9f8a3cb74d1d1, 0x82169cbc7f529794, 0xb69e8754e0675331, 0xb9357079b09732f9,
  0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x7e2680c939e4afdc, 0x0000000000000002,
};

// m32a_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m32_u2x12_uart0_noled_ee_hw[] = {
  0x775dd6874486259b, 0xddd55f359e9c4b77, 0xc7e63e974d8ddddd, 0x00f53341dd48a5ee, 0xd977627605920a6e,
  0x4f8c048218b6d49d, 0xffddff4299f74b30, 0x4e0935dbcd0668c4, 0x3355ad1cdc2d3b42, 0xe0d9831f3d4795ce,
  0xfb169bbe2b97dea3, 0xfa5b1971c270dc3a, 0x5a5d315c6b26909a, 0xf3a6ecb3d189f39d, 0x82d1e33b1aad743a,
  0x7b2d97ce038ec5a6, 0xe1806546c11fadc3, 0xa3149e5a74a28017, 0x4deb9f8a3cdec9a3, 0x9e8754e047f52979,
  0xf8ab7fbd5516953e, 0xdc79b09732f9b697, 0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xf05daa29e4afdcd0, 0x000000000000005b,
};

// m32_u2x12_uart0_noled_ee_ce_u4_hw m32a_u2x12_uart0_noled_ee_ce_hw   m32a_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m32_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeeebbad0e890c044, 0xbbbaabbc8345896e, 0x84142cd8de4bbbbb, 0x9fb8e3e3fbb63ec9, 0x7505272d087f4cd2,
  0x13e30120862db527, 0x3c9d7fd0a67c2d4c, 0x93824d76f3419a31, 0xeb8bea8d2b0b4ed0, 0xee24b1e79b680e4a,
  0xfa8f84bf10d8488b, 0x7ccf1771b9d83787, 0x51e560a4a76b736f, 0x7377a8f83660e32f, 0x4e1b875f62d314c5,
  0x4752135f4b632e38, 0x2cf4627ce7576e4c, 0x9d8d578d8ebce9bb, 0xe701c762d34168f1, 0x51b044c8e1bd96cb,
  0x969d28a167f86019, 0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x4b997cdb4bf98edf,
  0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x000000005010d4e5,
};

// m32_u2x12_uart0_lednop_pr         m32a_u2x12_uart0_lednop           m32a_u2x12_uart0_lednop_pr
static const uint64_t ur_m32_u2x12_uart0_lednop[] = {
  0x7775dd687acdfebe, 0xdddd55f67367c4b7, 0xddfe250e6f1fdddd, 0xba1356dddd0b29ee, 0x93bbe3f0a2e24878,
  0xa609f180904316da, 0x313e21ff48099f9b, 0xd093824d76f3419a, 0xa3acf3be584f8b4e, 0xbe4f471d3f831f7e,
  0x8cd21cc580b2ca61, 0xfecc11d7a3e767b4, 0x1e59ed99e534a807, 0x1013cb4e94515828, 0x38a3cf8934746298,
  0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0x09732f9b65c455bf, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0xb373c95fb9a19961, 0x000000007c8749d4,
};

// m32a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_u4[] = {
  0xeebbad0e8911eff6, 0xbbaabece6cf896ee, 0xe250e3afd623bbbb, 0x356dddd0b29eeddf, 0x5eb989cc699f8ba1,
  0x3e30120862db5277, 0xe21ff735f3f374c1, 0x3824d76f3419a313, 0xcf3be584f8b4ed09, 0xf471d3f831f7ea3a,
  0x21cc580b2ca61be4, 0xc11d7a3e767b48cd, 0x9ed99e534a807fec, 0x3cb4e945158281e5, 0x3cf8934746298101,
  0xeaa72f29b19d038a, 0xa8b4d8b3d0ea9c0a, 0x32f9b65c455bfdea, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x001f266e40c939e4,
};

// m32_u2x12_uart0_lednop_pr_ee_u4   m32a_u2x12_uart0_lednop_pr_ee     m32a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_ee[] = {
  0x775dd68744889202, 0xeeeaaf9ad8544b77, 0xd8fdb78bf4ddeeee, 0xf53341dd48a5ede9, 0x6c564505320b478f,
  0x02410c5b6a4eeb33, 0xfdcd7cf9759827c6, 0x6bb79a0cd189ff3b, 0x5a39b85a76849c12, 0x063e7a8f2b3d66ab,
  0x9bbe2bd2bd47c1b3, 0x1971c270dc3afb16, 0x245c6b26909afa5b, 0x76e81188739d5a5f, 0xc82d8d56ba1d79d3,
  0x97ce038ec5a627d1, 0x3546c11fadc37b2d, 0x9e5a74a280129afc, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0x997cdb2e22adfef5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0009d720e4649cf2,
};

// m32a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeebbad0f59bb37, 0xbbbbaabece6cf896, 0x21c5bbbcdad19bbb, 0xb0ebc6bd09bbbb71, 0x5b6a4eed8f642179,
  0x7cca9827c602410c, 0x0cd189e13ffd2026, 0x5a76849c126bb79a, 0x04a073229dff5278, 0x4e771b8515c9fe78,
  0x8ef6a7b9602e3398, 0x61c638e9fc1eb17a, 0x19e46a68e62c05c1, 0x4f71cb19e3af173b, 0x0404f2d3a5141d5d,
  0x40e28f1cfc3d18a6, 0x2fe6dd4b57294be7, 0x4e0530b98c10b4ee, 0xdb09732f9b69e875, 0x1e40d1fc68b1e70d,
  0x4b867a615c9fbab3, 0x61d252d964a27196, 0x94b373c95fb9a199, 0x00000000000b7524,
};

// m32a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeebbad0e891151eb, 0xbbaaba1db53896ee, 0xd4375e826b21bbbb, 0x9edbddddf13cde17, 0xb139d950b7aca6de,
  0x9f180904316da93b, 0xd4aff735f3e95a60, 0x7049aede68334627, 0xbf717d531169da12, 0x7dc4963cf00953bd,
  0xff51f097e21b0911, 0xac99e2ee37376936, 0x349ea3f3d3dcb19f, 0xc05def05c71d3f83, 0xd1f3b3da46690e62,
  0xf29a5403ff6678eb, 0xd28a2b0503cb5b8c, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e,
  0xd97063b7fbd55169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xbad6a324e792bf73, 0x000000000000006e,
};

// m32a_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeeb43ec1222a20, 0xeeaaef20b8e25bbb, 0x20c5f2ef638eeeee, 0x38f8feed8fb26d14, 0xd502e3579131234e,
  0x2410c5b6a4ee8f62, 0xb9af9fb1f9827c60, 0xede68334627d0fff, 0x1a56169da127049a, 0xcf00953bd37717d5,
  0x7e21b09117dc4963, 0xe372f0f96bf51f09, 0x094ed6e6def99e2e, 0xf06cc1c65ea3cad0, 0xbec5a6298ae71f51,
  0xbe96c65c709c370e, 0x39ceaedd920ea426, 0x8d8ebce9bb7408c4, 0xc5a627d1c82d8d57, 0x91c37b2d97ce038e,
  0x42cd4d7e1aa36089, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c,
  0xb83cd84b997cdb2e, 0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x13f1eb6649cf257e,
};

// m32a_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbaeeb43a244511, 0xeeeeaaef210ce25b, 0xf717a08b8f7e9eee, 0x069c71f1fddf1f63, 0xabe67d06cb159108,
  0x7c602410c5b6a4ee, 0x0fffb9af9fb1f982, 0x049aede68334627d, 0x17d51d4a169da127, 0x4963cf00953b2977,
  0x1f097e21b09117dc, 0x3c5dc6e72d337ff5, 0x95af929dadcdc653, 0xfea3e0d983117d47, 0x6e1d7d8b4c5315bd,
  0x484d7d2d8cb8e138, 0xd1a4339d5dba321d, 0xaaf1b1d7aea6ed52, 0x38ec5a744a3507b1, 0xa66470decb872ce0,
  0x0809e5a74a298c6e, 0x81c51e39f87a314c, 0x5fcdba96ae5297ce, 0x9c0a6173182169dc, 0x3612e65f36d3d0ea,
  0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x273c95fb9a19961d, 0x000000004fc08599,
};

// m32a_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m32_u2x12_uart0_lednop_ee_hw[] = {
  0x775dd68744860cc5, 0xeeeaaf9ad8544b77, 0xd3b1fb6f717eeeee, 0x1fea6683ba914bdb, 0xb06c3769ba64168f,
  0x9f180904316da93b, 0xff3bfe8533e5d660, 0x9c126bb79a0cd189, 0x66ab5a39b85a7684, 0xc1b3063e7a8f2b3d,
  0xfb169bbe2bd2bd47, 0xfa5b1971c270dc3a, 0x5a5f245c6b26909a, 0x79d376e81188739d, 0x27d1c82d8d56ba1d,
  0x7b2d97ce038ec5a6, 0x9afc3546c11fadc3, 0xc0809e5a74a28012, 0x81c51e7c49a3a314, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0xd84b997cdb2e22ad, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x0d14f257ee686658, 0x00000000005bf2bf,
};

/*
 * m32_u2x12_uart0_lednop_ee_ce_u4_hw m32a_u2x12_uart0_lednop_ee_ce_hw
 * m32a_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeebbad0e890d2a8, 0xbbbaabbc82e3896e, 0x68a1062fd977bbbb, 0x1a71c7c7f76c7d93, 0xe9d68d5acfbc8989,
  0x27c602410c5b6a4e, 0xf43fff4299fb1f98, 0x9c126bb79a0cd189, 0xdc5f5469585a7684, 0x71258f3cdb40734d,
  0xd47c25f886c2445f, 0xe678bb8dc98667cf, 0x8f2b40253b5b9b7b, 0x9c7d47c1b307197a, 0x70dc3afb1698a62b,
  0x3a909afa5b1971c2, 0xd02310e73abb7648, 0xb6355e363af3a6ed, 0x380e3b16989f4720, 0x8d8226470decb65f,
  0xb4e9450b3535f86a, 0xf89347462981013c, 0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8,
  0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x0005015b6eb453c9,
};

// m32_u2x12_uart0_dual_pr           m32a_u2x12_uart0_dual             m32a_u2x12_uart0_dual_pr
static const uint64_t ur_m32_u2x12_uart0_dual[] = {
  0x7777583f07d44511, 0xdddddd586da3bbf3, 0x1b976694dd694edd, 0xe4ef23bbbb8bda5c, 0x3b95f33e1ec58ac4,
  0xf180904316da9282, 0xd9323055210fa609, 0x8c2813e26fb59e23, 0x9df9958093ba7dcb, 0xebef60514e0e4e6f,
  0x11c913f838f737a8, 0xc2886257f9fbe08a, 0xddeef9b96e801b87, 0x150865a03e221955, 0xdf4affa039e136f7,
  0x07982c2accc5ce5e, 0x9a0cd189f10ffbd9, 0x7c5a76849c126bb7, 0x18fbf51d679df2c2, 0x96530df27a38e9fc,
  0x3b3da46690e62c05, 0x289dc72c608ebd1f, 0x293f99f47332b32b, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a,
  0x9e8754e057553979, 0xe22adfef5545a6c5, 0xab83cd84b997cdb2, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31,
  0x61d252d9f0271964, 0xe19273c95fb9a199, 0x000000000000621c,
};

// m32a_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m32_u2x12_uart0_dual_pr_u4[] = {
  0xeeb07e0f44864541, 0xbbbab0db8177e6ee, 0x3919f91d69dbbbbb, 0x0dd1c77774698419, 0x7720126e7161f14e,
  0xc602410c5b6a4e2f, 0x64c8c154835b9827, 0x30a04f89bed6788f, 0x2ff32ba0cee9f72e, 0xd2b6c1d29c0e1cc5,
  0x239227f0752a6f51, 0x8510c4aff3f7c114, 0xbbddf3706b00370f, 0x2a10cb43e44432ab, 0xbf75ff4073c261f2,
  0x05305855998b9cbd, 0xf3419a313c14ff1f, 0xcf0b4ed093824d76, 0xc1bdaf51ee19df2d, 0x5d6299efb5a38e9f,
  0x53b57f4682ce62c0, 0x4aa01ffb30475e03, 0xcc71f03cb3db1f74, 0x9d28a4fe67d1ccca, 0x1268e8c530202796,
  0xe5e53633a071479f, 0x9b167a1d53815d54, 0x36cb88ab7fbd5516, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000a49db902bda79,
};

// m32_u2x12_uart0_dual_pr_ee_u4     m32a_u2x12_uart0_dual_pr_ee       m32a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32_u2x12_uart0_dual_pr_ee[] = {
  0x77583f07a2435032, 0xdddd5890ebbbf377, 0xa9391dad75bddddd, 0xb5e3c8feed893751, 0xb47fbbeec2afb17f,
  0x218b6d49466eeabd, 0xaa40523304f8c048, 0xc4df6b3c47b26460, 0xd06774fb97185027, 0xff0e01a26d35f995,
  0xe0e87e6f51ec7f61, 0x5fe7ef822847244f, 0xc35b006e1f0a2189, 0x0e9510caaeef77cd, 0x073c2628b150865a,
  0xb3317397b7d37ff4, 0x4f297fe3e0a60b0a, 0x24e0935dbcd0668c, 0xbf355ad1e942d3b4, 0x7c1b307f27a8f2bd,
  0xafb169bbe2beebd4, 0xafa5b1971c270dc3, 0x56979c57027e6909, 0x5ec66edbda3278e7, 0x7cf234876355ae87,
  0x6f65deece038ec5a, 0x512a0ea8d823f5b8, 0x527f33e8e6656601, 0x7462981013cb4e94, 0x9b19d038a3cf8934,
  0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x0dc79b09732f9b65, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x5909c595ed3c95fb,
  0x0000000000000001,
};

// m32_u2x12_uart0_dual_pr_ce_u4     m32a_u2x12_uart0_dual_pr_ce       m32a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32_u2x12_uart0_dual_pr_ce[] = {
  0xeeb07e0f44869a4e, 0xbbbab63b0877e6ee, 0x64e269db9f7bbbbb, 0x351dadddd4666452, 0xe3fa8c547c78658a,
  0x048218b6d49976ee, 0x2305521d51304f8c, 0x813e26fb59e23d93, 0xccae833ba7dcb8c2, 0x6c02d1c0c7e619bf,
  0x227f0635a6f51d2d, 0x0c4aff3f7c114239, 0xbe6e21f00370f851, 0x32d028a88655777b, 0xffa039e1318f8a84,
  0x5855998b9cbdbe04, 0x34627fceff1f0530, 0x9da127049aede683, 0x680e3f9717d66e16, 0xd8488bee24b1e79b,
  0x69a7f9fa8f84bf10, 0xe58cf13f33c5dc6e, 0xe9fc1a0bf51fa09e, 0x0b398b0147ce9238, 0xcf1d780d4ed5fd1a,
  0xb5b87dd12a807fec, 0x67d1cccacc71f03c, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0x6c25ccbe6d97063b, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x0a57b4f257ee6866, 0x00000000000d24de,
};

// m32a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m32_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7583f07d41435202, 0xeeead00201bf3777, 0xd45ecfb7266eeeee, 0xd9b106f75052beb9, 0x5b469ef35fbb0b67,
  0x862db525eb3b9c87, 0xa90f00cc13e30120, 0x137dacf11ec99182, 0x419dd3ee5c61409f, 0x90e1faf31adfe657,
  0x076b737a8f003602, 0xff3f7c114239227f, 0x65400370f8510c4a, 0xd3688655777bbe6e, 0x39e136048a8432d0,
  0x3317397b7b1fffa0, 0xf1adfe3e0a60b0ab, 0x4e0935dbcd0668c4, 0x0effaa35f62d3b42, 0xf9d67f9e6da03981,
  0xb2b17c984e771b8c, 0x0d31f51e57224a76, 0x6298ac27fa8f8366, 0x65c709c370ebec5a, 0xedd388ea426be96c,
  0xd8cddb7b464f1cea, 0x3c8d21d8d578d8eb, 0xd977bb380e3b169f, 0x2541d51b044c8e1b, 0x4fe67d1cccaccb3a,
  0x8c5302027969d28a, 0x633a071479f1268e, 0xa1d53815d54e5e53, 0x63b7fbd55169b167, 0x71e6c25ccbe6d970,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00008005d857b4f2,
};

// m32a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd60fc1e8adbb3202, 0xbbab3d326efcdddd, 0xb75b1f9a339bbbbb, 0xb86edd4e4cfb66fb, 0xe2fa6b7b807c805e,
  0xa93389dc34e83eba, 0xae609f180904316d, 0x9e23d932305520c7, 0x7dcb8c2813e26fb5, 0x735257e65a0e53ba,
  0xea3b3e6c3acce0c8, 0x4508e489fc19adcd, 0xc3e144312bfcfdf0, 0xabbbddf371d5000d, 0x0c542196805a4432,
  0xedf107fd01cf098e, 0x793982c2accc5ce5, 0xf3419a313c66fffa, 0xba8b4ed093824d76, 0xcdb49d9c1b8bea8c,
  0x886c2445f71258f3, 0xb8a49cdffd47c25f, 0xa76b736be4cf1771, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8,
  0x96c65c709c370ebe, 0xceaedd388ea426be, 0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1,
  0xb3a2541d51b044c8, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0x97063b7fbd55169b, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x6d110a4f257ee686, 0x0000000000010009,
};

// m32a_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m32_u2x12_uart0_dual_ee_hw[] = {
  0xeeeeb07e0f4486f9, 0xbbbbbab121d777e6, 0xa352723b5aeb7bbb, 0xff6bc791fddb126e, 0x4da390f5fc255f62,
  0x02410c5b6a4a3377, 0x23055202919827c6, 0x813e26fb59e23d93, 0xccae833ba7dcb8c2, 0xfb0ff8700d1369af,
  0x227f0743f37a8f63, 0x0c4aff3f7c114239, 0xbe6e1ad80370f851, 0x32d074a88655777b, 0xffa039e131458a84,
  0x5855998b9cbdbe9b, 0x9a313ca5ff892730, 0x4ed093824d76f341, 0xcaf6fcd56b47a50b, 0xaf51f06cc1fc9ea3,
  0x370ebec5a6ef8afb, 0xa426be96c65c709c, 0xe39d5a5e715c09f9, 0xba1d7b19bb6f68c9, 0xb169f3c8d21d8d56,
  0xd6e1bd977bb380e3, 0x980544a83aa3608f, 0x3a5149fccfa39995, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e,
  0x362cf43aa702baa9, 0x6d971156ff7aaa2d, 0x4176371e6c25ccbe, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x002bb44e2e8a792b,
};

// m32a_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m32_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbbac1f8387ad0c86, 0x7777567a64ddf9bb, 0xcdf76eb7a3f37777, 0x00bd70ddba9c99f6, 0xdd8dd9bcc5f700f9,
  0x0904316da93389dd, 0x305520c7ae609f18, 0x13e26fb59e23d932, 0xcae833ba7dcb8c28, 0x87599c190e6a4afc,
  0x3f8335b9bd4767cd, 0x257f9fbe08a11c91, 0x6e3aa001b87c2886, 0xd00b488655777bbe, 0xa039e131c18a8432,
  0x55998b9cbdbe20ff, 0x6278cdff89273058, 0xa127049aede68334, 0x383717d51975169d, 0x17dc4963cf36d01c,
  0xf3f51f097e21b091, 0xd7c99e2ee3726199, 0x3ea3cae4494ed6e6, 0x1584ff51f06cc1a6, 0xe1386e1d7d8b4c53,
  0x711d484d7d2d8cb8, 0xbb6f68c9e39d5dba, 0xa43b1aaf1b1d7b19, 0xf76701c762d3e791, 0x3aa3608991c37b2e,
  0xcfa39995996744a8, 0x60404f2d3a5149fc, 0x40e28f3e24d1d18a, 0xa702baa9cbca6c67, 0xff7aaa2d362cf43a,
  0xd84b997cdb2e0c76, 0x30a9cfd4bd5c6e3c, 0x4ff1738cbf313f94, 0x727e39effe09a1e6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00003aeb63fd14f2,
};

// m32a_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeb07e0f4486f97, 0x7777567a6a3f7e6e, 0x96d68abf70fb7777, 0x8a27bd70ddbbf693, 0xb9e08ceb54eb66eb,
  0x30120862db524ed3, 0x6460aa443c9cc13e, 0x5027c4df6b3c47b2, 0xf995d06774fb9718, 0x7b09863833e4dd67,
  0x913f8314937a8e6b, 0x86257f9fbe08a11c, 0xdf37149001b87c28, 0x196813a4432abbbd, 0xffd01cf09b674542,
  0x5855998b9cbdbd6f, 0x9a313ffe7f892730, 0x4ed093824d76f341, 0x0e4aeb8bea8fe70b, 0x488bee24b1e79b68,
  0x730dfa8f84bf10d8, 0x73698ccf1771b86b, 0xe45f51e57a54a76b, 0x298ae6ef51f06cc1, 0x5c709c370ebec5a6,
  0xdd108ea426be96c6, 0x9a7659e8ebf9ceae, 0xa31f76355e363af2, 0x2dc99c071d8b4d05, 0xcacf18eb1191c37b,
  0x969d28a4fe67d1cc, 0xe5ba68e8c5302027, 0x5539794d8ce81c51, 0x817573182169bd57, 0xc25ccbe6da7a1d53,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x28a792bf734332c3, 0x00000000003aea81,
};

// m32_swio10_noled_pr               m32a_swio10_noled                 m32a_swio10_noled_pr
static const uint64_t ur_m32_swio10_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229b3e2, 0x6d68cdd0e28e3184, 0x6220bfa1de82ddde, 0x842f361d78d7a137,
  0x48218b6d49ddb1ec, 0xa404cf995304f8c0, 0xae77cb13548027ff, 0x28e3a7f0621fd475, 0x59cc580b7ba69ba3,
  0x1823af173b1348f0, 0xcb955a95952f71cb, 0x9546bac80e64836b, 0x9caed52df5673a8a, 0x4c4aa5f7afa69935,
  0x59de5cf6ab445797, 0x5a5aff11a9e18a6f, 0x3d0ea9c0b71f1408, 0x3ce1bb612e65f36d, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0xf20492966e792bf7, 0x0000000000000001,
};

// m32a_swio10_noled_pr_u4
static const uint64_t ur_m32_swio10_noled_pr_u4[] = {
  0x8f7777768911c056, 0x1776aae4506dc4a3, 0xfad4f54c0e26c13c, 0x59ade1631d7a45b1, 0x3e3cb8f8bdd8e3d0,
  0x6d49dd583938d832, 0x8f7304f8c048218b, 0x845a41dd7fb9af9f, 0xfe0c9ef51e6e3be5, 0x016594ddd0291c74,
  0xd1f3b0f88ed6398b, 0x02cf5403ff6608eb, 0xaad4412a07967b7d, 0x35d64073241b5e5c, 0x76a96fab39d454aa,
  0x552fbd7d34c9ace5, 0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0xcdb15aa2adfef554,
  0xc5c9ab83cd84b997, 0xd598f207e50d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xf27acb4649cf257e, 0x0000000000000001,
};

// m32_swio10_noled_pr_ee_u4         m32a_swio10_noled_pr_ee           m32a_swio10_noled_pr_ee_u4
static const uint64_t ur_m32_swio10_noled_pr_ee[] = {
  0x6beeeeeed12232a8, 0x26eed55f85e85c48, 0x9a5d5c7a5c467373, 0xd686d7a58678bd4d, 0x51682b2020da086b,
  0xa93ba75a3509167d, 0x5a609f180904316d, 0xee9069bff735f3e3, 0xea3cace1cd56b471, 0x5c87f51f06cc19eb,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8e2139d5a5ea52e3, 0x6ab5d0ebce9bb4e2, 0x071d8b4d6ba3116c,
  0x823f5b86f65b2f9c, 0xe556a012cfafea8d, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0x12a97debe9a64d67,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbe6d8ad5156ff7aa, 0xbe2e4d5c1e6c25cc,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x00275cb3324e792b,
};

// m32_swio10_noled_pr_ce_u4         m32a_swio10_noled_pr_ce           m32a_swio10_noled_pr_ce_u4
static const uint64_t ur_m32_swio10_noled_pr_ce[] = {
  0xe4dddddda2445541, 0xf8eed55e110ddc49, 0xe106d45d1835d83d, 0x9b3fd7d6856d04b1, 0x29ce1a70cd4deebc,
  0x18b6d49dd0149339, 0xf9fb75304f8c0482, 0x2fac89483027fb9a, 0x92c79e012a76a7ae, 0x3e12fc4361222fb8,
  0x78bb8dc66fa547ea, 0xa8f924f72c67eb26, 0x27af91c74fe0f05f, 0x3b0f88ed6398b014, 0xf5403ff6678ebd1f,
  0x5104a81e5addd02c, 0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xbef5f4d326b395da, 0x9ed5688af2e98954,
  0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9, 0x8ad463b7fbd55169, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xc7d7324e792bf734, 0x00000000000006eb,
};

// m32a_swio10_noled_pr_ee_ce
static const uint64_t ur_m32_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd447e4a, 0xc45ddaabd853c8c4, 0x5c1bdb83a4863b18, 0x1f1f5a353fa647da, 0xe976b0420832d5b3,
  0x6d49dd294758dd2b, 0x0d1304f8c048218b, 0x70e9058fffb9af9f, 0x804a9df4f9dff546, 0x139dc6e5c89257e7,
  0x2b74b29dacac7be6, 0xbd47c1b306807a8f, 0xb875f62d314c57f3, 0x2135f4b632e384e1, 0x47109ceaedd52875,
  0x6abc6c75e74dda71, 0x071d8b4d6ba3116c, 0xc1132386f65b2f9c, 0x72ab52cd67d7f546, 0xa8d75901cc906d79,
  0x95daa5beace75152, 0x8954bef5f4d326b3, 0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08,
  0xbe6d8ad463b7fbd5, 0x63ce2e4d5c6c25cc, 0x4fdd598f207e50d1, 0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2,
  0x0a699cf8c939e4af,
};

// m32a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m32_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda243704a, 0x62eed55fd4d1dc48, 0x2e9badd86656c17e, 0x430a800d88372ecd, 0xfb1393bc88596cf2,
  0xb52775d6eb8a0aae, 0x1f4c13e30120862d, 0xea90620ffc7e1cfa, 0xdb4071fe5c5f5476, 0x86c2445f71258f3c,
  0x3ce5d4efd47c25f8, 0xed6e6def99e2ee37, 0x983403d4795ba594, 0x698a62bf9dea3e0d, 0xb1971c270dc3afb1,
  0x576ea943a909afa5, 0xaf3a6ed38a3884e7, 0x6b5d188b6355e363, 0x37b2d97ce038ec5a, 0x6b3ebfaa3608991c,
  0x0e64836bcb955a96, 0xf5673a8a9546bac8, 0xafa699359caed52d, 0xab4457974c4aa5f7, 0x53c34ef1dfd75cf6,
  0x9e8754e041dd4d8a, 0xa31dbfdeaa8b4c32, 0xb8f3612e65f36c56, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xe7d9e2bda792bf73,
  0x0000000000000027,
};

// m32a_swio10_noled_ee_hw
static const uint64_t ur_m32_swio10_noled_ee_hw[] = {
  0x6beeeeeed121b768, 0x26eed55f85e85c48, 0x9bd34bba5c467373, 0xd7ad0daf4b0cf17a, 0x8aa2d0564041b410,
  0xc5b6a4eebb257db3, 0xcf8d69827c602410, 0xb471ee9069bffa14, 0x19ebea3cace1cd56, 0xddf15c87f51f06cc,
  0xcb8e1386e1d7d8b4, 0x52e3593484d7d2d8, 0xb4e28e2139d5a5ea, 0x116c6ab5d0ebce9b, 0x2f9c071d8b4d6ba3,
  0xea8d823f5b86f65b, 0xdaf2e556a012cfaf, 0xa2a551aeb2039920, 0x4d672bb54b7d59ce, 0xe5d312a97debe9a6,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x25ccbe6d8ad5156f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x8a792bf734332c3a,
  0x000000000b7f3316,
};

// m32_swio10_noled_ee_ce_u4_hw      m32a_swio10_noled_ee_ce_hw        m32a_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m32_swio10_noled_ee_ce_hw[] = {
  0x21bbbbbb4486cc7f, 0xc5ddaabfa9a3b891, 0x5d375bb0ccad82fc, 0x8615001b106e5d9a, 0xf627277910b2d9e4,
  0x6da93ba9f755faa3, 0xd0fa609f18090431, 0x3b75483107fd0a67, 0x9e6da038ff2e2faa, 0xfc4361222fb892c7,
  0x371d51aa0fea3e12, 0x94ed6e6def99e2ee, 0x0d983403d4795ba5, 0xb1698a62bf9dea3e, 0xa5b1971c270dc3af,
  0xe7576ea943a909af, 0x63af3a6ed38a3884, 0x5a6b5d188b6355e3, 0x1c37b2d97ce038ec, 0x966b3ebfaa360899,
  0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xf7afa699359caed5, 0xf6ab4457974c4aa5, 0x8a53c34ef1dfd75c,
  0x329e8754e041dd4d, 0x56a31dbfdeaa8b4c, 0xb1b8f3612e65f36c, 0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xa02fb3d453c95fb9,
};

// m32a_swio10_lednop
static const uint64_t ur_m32_swio10_lednop[] = {
  0x889bbbbbbacdc49f, 0x7adddaab914f1712, 0x3d803750e2448c22, 0x4417f43bd05af219, 0x43568267e946beec,
  0x120862db52777312, 0xe90133efe4c13e30, 0xf90ef9626a90195f, 0xef8e3a7f0621fd47, 0xd01cc580b7ba6401,
  0x58c11d78b9dad647, 0xaf2e556a5673db8e, 0x2a551aeb2039920d, 0x0272bb54b7d59cea, 0x2ad5d2fe9a64d702,
  0xad73daad115e5d31, 0xd4b0b29b1674079f, 0x6c7f8a042d3573ab, 0x9732f9b69e8754e0, 0xf4c2b93f3fb0ddb0,
  0xa5b2c944e32c970c, 0xe792bf734332c3a4, 0x00000001525ba966,
};

// m32_swio10_lednop_pr_u4           m32a_swio10_lednop_pr             m32a_swio10_lednop_pr_u4
static const uint64_t ur_m32_swio10_lednop_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x9ed93dd590e3609e, 0x0b35bc2c6d8ca11e, 0x660bf31e3fbb1c7a,
  0x6da93bb1c605e2f6, 0xf01a609f18090431, 0x61169007bff735f3, 0x3f8327bd479c4ef9, 0x80b2ca60f680471d,
  0xd1f3b2628e0f9cc5, 0x5ba05403ff6608eb, 0x955aa11303cb3dbb, 0x46bac80e64836bcb, 0xaed52df5673a8a95,
  0x74bfa69935c0809c, 0xf6ab4457974c4ab5, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x0c55bfdeaa8b48ed,
  0xb83cd84b997cdb61, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x0a649cf257ee6866, 0x00000000001f26ae,
};

// m32a_swio10_lednop_pr_ee
static const uint64_t ur_m32_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67be3f6df3732, 0x436bd2d0b866b418, 0xec8833106d0435eb,
  0x3ba76821a332d447, 0x609f180904316da9, 0x208e5fee6be7fabe, 0x7959439aad68e3dd, 0x97ea3e0d9833d7d4,
  0x0dc3afb169bbe2b2, 0x6909afa5b1971c27, 0xf873ab4bb935c6b2, 0x6ba1d79d3763d51a, 0x3b169c428c6fd8d5,
  0x7eb70decb65f380e, 0x56a01740b3d51b04, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0x2fe9a64d7020272b,
  0xaad115e5d312ad5d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x0f3612e65f36d843,
  0xfca1a2ce9f1726ae, 0x0c2a73f53ab31e40, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000275e0519273c,
};

// m32a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m32_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2e8db623e24, 0xf229835cfd833b26, 0x103d741041b41508,
  0xa93ba3d8b54718d4, 0xca609f180904316d, 0xea905baff735f3f1, 0xf51e5721e6ab5a3e, 0x5ba5f51f06cc1cbe,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1a6273ab4bafb5c5, 0x56ba1d7aea6ed2f9, 0x71d8b4c7c476b58d,
  0x07d6e1bd970e59c0, 0x3241b5e5caad571d, 0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0xccbe6db0862adfef, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x00013ae9a0324e79,
};

// m32_swio10_lednop_pr_ce_u4        m32a_swio10_lednop_pr_ce          m32a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32_swio10_lednop_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748feedb75ec1e, 0x67fafad0dd95b7a6, 0x96aa0b42d68dd793,
  0x8b6d49dd3b410e5d, 0x9f8ad304f8c04821, 0xfac894837dffb9af, 0x2c79e012a772bae2, 0xe12fc4361222fb89,
  0xc5dc6e321d257ea3, 0x470527b9633f5933, 0xfcbe8e3a7f0782fd, 0x64c51c1f398b0176, 0xa807feccf1d7a3e7,
  0x508981e5add6b740, 0x64073241b5e5caad, 0x96fab39d454aa35d, 0xd34c9ae0404e576a, 0xa22bcba6255aba5f,
  0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1, 0xd84b997cdb61098e, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x9cf257ee68665874, 0x00000006eba45e64,
};

// m32a_swio10_lednop_pr_ee_ce
static const uint64_t ur_m32_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0xba3bd89da8259318, 0x1f1f5a353f23f4de, 0x506e38b45832d5b3,
  0xda93bad3bed3b2d9, 0x76e609f180904316, 0xc3a41bb5fee6be7e, 0x012a7633677fd519, 0x9cee3719cba3ff9e,
  0x597594ed6563df30, 0xea3e0d983403d479, 0xc3afb1698a62b387, 0x09afa5b1971c270d, 0x35f0e7576e7263a9,
  0x55e363af3a6ec7aa, 0x38ec5a710a31bf63, 0x08991c37b2d97ce0, 0xcaad4b3e8167aa36, 0xa35d64073241b5e5,
  0x576a96fab39d454a, 0xba5fd34c9ae0404e, 0x7b55a22bcba6255a, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e,
  0x098edfef5545a476, 0x9ab8d84b997cdb61, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0xd99273c95fb9a199, 0x000000000029a62f,
};

// m32a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_swio10_lednop_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x4ebb2dd1a78bc17e, 0x430a800d847706cc, 0x10dd02fa70596cf2,
  0xb52776abf261d642, 0xebcc13e30120862d, 0xea90400ffc7e1cff, 0xb680e56fdc5f5476, 0x0d8488bee24b1e79,
  0x76ec2c9fa8f84bf1, 0xb5b9b7be678bb8dc, 0x60d00f51e565d653, 0xa6298ace1fa8f836, 0xc65c709c370ebec5,
  0x5db9c98ea426be96, 0xbce9bb1ea8d7c39d, 0xc428c6fd8d578d8e, 0xdecb65f380e3b169, 0xfa059ea8d8226470,
  0x1cc906d7972ab52c, 0xeace75152a8d7590, 0x326b8101395daa5b, 0xaf2e98956ae97f4d, 0x03cdedaeb9ed5688,
  0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x2e65f36d84263b7f, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xbda792bf734332c3,
  0x0000000027e0f572,
};

// m32a_swio10_lednop_ee_hw
static const uint64_t ur_m32_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x46989ddf1fb6f9b9, 0x5eb436bd2d0b866b, 0x847ec8833106d043,
  0x2db52776c36cad49, 0xff57cc13e3012086, 0x471ee90472ffa14c, 0x9ebea3caca1cd56b, 0xdf1594bf51f06cc1,
  0xb8e1386e1d7d8b4d, 0xae3593484d7d2d8c, 0x1ea8d7c39d5a5dc9, 0x7ec6ab5d0ebce9bb, 0xf9c071d8b4e21463,
  0xa8d823f5b86f65b2, 0xd7972ab500ba059e, 0x152a8d75901cc906, 0x01395daa5beace75, 0x956ae97f4d326b81,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb6c218ab7fbd5516, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002dffcd3a29e4af,
};

// m32_swio10_lednop_ee_ce_u4_hw     m32a_swio10_lednop_ee_ce_hw       m32a_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_swio10_lednop_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x275d96e8d3c5e0bf, 0x21854006c23b8366, 0xb06e817d382cb679,
  0x8b6d49dd2af44fd0, 0x3ffaf304f8c04821, 0x51dbaa41003fe853, 0x79e6da0395bf717d, 0x2fc4361222fb892c,
  0xc6e1b76148fea3e1, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b2e, 0xf62d314c5670fd47, 0xf4b632e384e1b875,
  0x1ceaedce4c752135, 0x6c75e74dd8f546be, 0x8b4e214637ec6abc, 0x2386f65b2f9c071d, 0xa967d02cf546c113,
  0xac80e64836bcb955, 0x52df5673a8a9546b, 0xfa69935c0809caed, 0xb4457974c4ab574b, 0xf9d01e6f6d75cf6a,
  0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x9b09732f9b6c2131, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x57a29e4afdcd0ccb, 0x000000000005010f,
};

/*
 * m32_swio10_dual_pr                m32_swio10_dual_pr_u4             m32a_swio10_dual
 * m32a_swio10_dual_pr               m32a_swio10_dual_pr_u4
 */
static const uint64_t ur_m32_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3f38afc6, 0xd8d5bb1c7c8b4b3f, 0xc895bfa63d9b106e, 0x5ece76ca7adbad16,
  0x4920ee69e2bd8ebd, 0x9827c602410c5b6a, 0xf11ec99182a90089, 0xee5c61409f137dac, 0x599c9fe657419dd3,
  0x6f51dfcd82fb3814, 0xe08a11c913f8332a, 0x1b87c2886257f9fb, 0x1955ddeef9b8ff00, 0x35ad150865a11922,
  0x9cbdb9c3ffa039e1, 0xff1f05305855998b, 0xc279df2d916902fb, 0xc891c74fe0ed6f51, 0xb5ce62c05d62997d,
  0x9823af01a9da6e46, 0x2cf6e32ded500ffd, 0xcfa3999599f5440f, 0xcc906d7972ab59fc, 0xace75152a8d75901,
  0x26b8101395daa5be, 0xf2e98956ae97f4d3, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0x732f9b6c218ab7fb, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xed3c95fb9a19961d, 0x0000000524d6b515,
};

// m32a_swio10_dual_pr_ee
static const uint64_t ur_m32_swio10_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x983eead63fbbbf1d, 0xa0fb77ed1da32313, 0x541b01489f55f62f, 0x6577d178ca16ec8a,
  0x774b235d66d0ab32, 0xc602410c5b6a4ac1, 0x93230552138f9827, 0xc2813e26fb59e23d, 0xffccae833ba7dcb8,
  0x4eb60968e016a631, 0x1c913f838ad37a8e, 0x2886257f9fbe08a1, 0x7bbe6e022401b87c, 0x8432d05f68865577,
  0x68ffa039e1307b8a, 0x305855998b9cbdb8, 0x4752a9025aff1f05, 0xdbfea3cae574d56b, 0xbe2bcadea3e0d983,
  0x71c270dc3afb169b, 0x7027e6909afa5b19, 0xdf46801cead2e70d, 0xd8d56ba1d7b19bb6, 0x9c071d8b4c1446f7,
  0x1b047eb70decbbdd, 0x8e66566016f770d5, 0x41b5e5caad67f33e, 0x9d454aa35d640732, 0xe0404e576a96fab3,
  0xa6255aba5fd34c9a, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0xbe6db0862adfef55,
  0x8b2d5e371e6c25cc, 0xcfd4eaccdfc1ddc6, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0x657b4f257ee68665, 0x00000000001591eb,
};

// m32a_swio10_dual_pr_ee_u4
static const uint64_t ur_m32_swio10_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63f7eefc, 0xadeef747b5864670, 0x6e667d39d96d8bc6, 0x3a40355f45e32858,
  0x9312ee78233a70b5, 0x304f8c048218b6d4, 0xc47b26460aa4271f, 0xb97185027c4df6b3, 0xa64b5f995d06774f,
  0x7a8f15b60358e04e, 0x08a11c913f83df73, 0xb87c2886257f9fbe, 0x2abbbddf372e4401, 0x224542196847b443,
  0x2f6e1a3fe80e784d, 0xc7c14c16156662e7, 0x355ad198fa4096bf, 0x1b307d47a8f2b287, 0x62d377c56e97d47c,
  0x4b632e384e1b875f, 0x5ea52e038cd2135f, 0x9a7697c8d7c39d5a, 0x118dfb1aad743af2, 0xcb726701c762d31f,
  0x66566b8e83eb70de, 0xb5e5caad67f33e8e, 0x454aa35d64073241, 0x404e576a96fab39d, 0x255aba5fd34c9ae0,
  0xf5ae7b55a22bcba6, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0x12e65f36d3d0ea9c, 0x1ddc68b1be1b8f36,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x0000000000ac810b,
};

// m32a_swio10_dual_pr_ce
static const uint64_t ur_m32_swio10_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0xc1f756a86a3f7e33, 0xb37ba769a75c1122, 0x5ac12955a1d78d5b, 0x89ae89f62fbacce0,
  0xe9bba591aeb91255, 0x13e30120862db527, 0x1ec99182a917254c, 0x5c61409f137dacf1, 0x757fe657419dd3ee,
  0x47d9db08e4703833, 0x508e489fc1cae9bd, 0x3e144312bfcfdf04, 0x5ddeef9b8ce400dc, 0xe2a10cb403da2195,
  0xdcc7ffe80e784c13, 0x82982c2accc5ce5e, 0xc5f58f7482397f8f, 0x1258f3cdb40722b5, 0x47c25f886c2445f7,
  0x678bb8dceb3643fd, 0xea39eb3dcb19e27e, 0x5fcea238e9fc1f49, 0xa769b91ad7398b01, 0xb5403ff6678ebc06,
  0x99f5440f2d6e8cb7, 0x72ab59fccfa39995, 0xa8d75901cc906d79, 0x95daa5beace75152, 0xae97f4d326b81013,
  0x9ed5688af2e98956, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x4263b7fbd551691d, 0x1b8f3612e65f36d8,
  0x666fe0eee3459d3e, 0x989fca1854e7ea75, 0x04d0f327f8b9c65f, 0x0cf4c2b93f1cf7ff, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x0000000000692631,
};

// m32a_swio10_dual_pr_ce_u4
static const uint64_t ur_m32_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x560fbab543a2fbf2, 0x9a16dd69c6eba772, 0x8efe9c0b2af4fb49, 0x2acaafad46add89c,
  0x93645dd2c8d75c3e, 0x2609f180904316da, 0x3c47b26460aa4059, 0xfb97185027c4df6b, 0x6e68adf995d06774,
  0x37a8f95b61bece1a, 0xe08a11c913f83287, 0x1b87c2886257f9fb, 0x32abbbddf3712a00, 0xd38c542196804f44,
  0xe5edfabffe80e784, 0xf8f82982c2accc5c, 0x2bae2fac894837df, 0x2fb892c79e6da039, 0x1fea3e12fc436122,
  0xf5933c5dc6e759b2, 0x782fd470527b9633, 0xb0176fcbe8e3a7f0, 0x7a3e764c51c1f398, 0xb31d6f7b8e58cf1d,
  0x2e556b3f99f47332, 0x551aeb2039920daf, 0x72bb54b7d59cea2a, 0xd5d2fe9a64d70202, 0x73daad115e5d312a,
  0x7296be74079bdb5d, 0xb73d0ea9c0842a41, 0x084c76ff7aaa2d23, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x349134057b4f257e,
};

// m32a_swio10_dual_pr_ee_ce
static const uint64_t ur_m32_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f75675ed3d7, 0xb6fd5f773ed9f362, 0xafb452821fb8c3e0, 0x368339b3764fc8ec,
  0x5bb8e08ab0786675, 0x3e30120862db5260, 0xd9323055208f5cc1, 0x8c2813e26fb59e23, 0xbbfccae833ba7dcb,
  0xfa6b60ff0e188266, 0x11c913f83ff937a8, 0xc2886257f9fbe08a, 0x77bbe6e79c801b87, 0xa8432d060a886557,
  0xfd7ffa039e134878, 0xa60b0ab3317397b7, 0xa8d4f5207f9fe3e0, 0xfe79b680e69a3bfe, 0xe4c273b8dc524e6f,
  0x51e5781253b5958b, 0xd4f7a8f83660e44f, 0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0xdbe8d0039d5db8e1,
  0xf6355e363af63376, 0x6701c762d30511bd, 0xa3608991c37b2ef7, 0xd1cccaccb3deee1a, 0x4836bcb955acfe67,
  0x73a8a9546bac80e6, 0x5c0809caed52df56, 0x74c4ab574bfa6993, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e,
  0xa8b48edcf43aa702, 0x2f9b6c2131dbfdea, 0x68b1e70dc79b0973, 0x5727eeaccdfc1ddc, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x0000982749c57b4f,
};

// m32a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m32_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x3eeade3caf77e27d, 0xc16a0175b39db298, 0xfde66e6d01f4b269, 0xec5e8ed3efaeceb6,
  0x0ab39e5dc86b8b69, 0x6d49014eeac02101, 0xfc3304f8c048218b, 0xacf11ec99182a914, 0xd3ee5c61409f137d,
  0xc39b96bf32d0729d, 0x6f51f1bb61d8270b, 0x822847244fe0daee, 0x6e1f0a21895fe7ef, 0x2abbbddf372e4a00,
  0x7dc5421968472443, 0xbdbb21ffd01cf09b, 0x4f27305855998b9c, 0x5f54635a90760fff, 0x258f3cdb49de375c,
  0x7c25f886c2445f71, 0x8bb8dcb928ebefd4, 0x781253b5b9b5f267, 0xa8f83660e44f51e5, 0x0ebec5a6298ad4f7,
  0x26be96c65c709c37, 0xd0039d5db8e18ea4, 0x5e363af63376dbe8, 0xc762d30511bdf635, 0x8991c37b2ef76701,
  0xcaccb3deee1aa360, 0xbcb955acfe67d1cc, 0xa9546bac80e64836, 0x09caed52df5673a8, 0xab574bfa69935c08,
  0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0x6c2131dbfdeaa8b4, 0x9357079b09732f9b,
  0x6fe0fdbb1a2c6f8b, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x06a44293c95fb9a1, 0x0000000000008001,
};

// m32a_swio10_dual_ee_hw
static const uint64_t ur_m32_swio10_dual_ee_hw[] = {
  0xecb777776890cf68, 0x9cc1f756b1fdddf8, 0x7d07dbbf68ed1918, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x560bb9a3ea75add9, 0xc13e30120862db52, 0x11ec99182a909c7c, 0xe5c61409f137dacf, 0x318ffe657419dd3e,
  0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0xabbbddf37011200d, 0xdc54219682fb4432,
  0xedc347fd01cf0983, 0x493982c2accc5ce5, 0x55ad1d4aa4096bfc, 0x660f6ffa8f2b95d3, 0x5a6ef8af2b7a8f83,
  0x6c65c709c370ebec, 0x9c35c09f9a426be9, 0x6edb7d1a0073ab4b, 0x1bdf6355ae875ec6, 0xef76701c762d3051,
  0xc3546c11fadc37b2, 0xccfa399959805bdd, 0x1cc906d7972ab59f, 0xeace75152a8d7590, 0x326b8101395daa5b,
  0xaf2e98956ae97f4d, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x9732f9b6c218ab7f,
  0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x29e4afdcd0ccb0e9, 0x000000002bb4f5ba,
};

// m32a_swio10_dual_ee_ce_hw
static const uint64_t ur_m32_swio10_dual_ee_ce_hw[] = {
  0x6caddddddd43573e, 0x0cc1f75675ed3d7e, 0x6fd5f773ed9f362b, 0xfb452821fb8c3e0b, 0x68339b3764fc8eca,
  0x0b772e2fbb375953, 0x27c602410c5b6a4c, 0x7b26460aa411eb98, 0x7185027c4df6b3c4, 0xd77f995d06774fb9,
  0x1f4d6c1fe1c3104c, 0x4239227f07ff26f5, 0xf8510c4aff3f7c11, 0xeef77cdcf3900370, 0x150865a0c1510caa,
  0xffafff4073c2690f, 0x9cc16156662e72f6, 0xea8d4f5207f9fe24, 0x57e79b680e69a3bf, 0x5f26139dc6e5c892,
  0x7a8f2bc0929dacac, 0x56a7bd47c1b30722, 0x84e1b875f62d314c, 0x0c752135f4b632e3, 0xb6df46801ceaedc7,
  0xefb1aaf1b1d7b19b, 0xbb380e3b1698288d, 0xd51b044c8e1bd977, 0x3e8e6656659ef770, 0x3241b5e5caad67f3,
  0xb39d454aa35d6407, 0x9ae0404e576a96fa, 0xcba6255aba5fd34c, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80,
  0x5545a476e7a1d538, 0x997cdb61098edfef, 0x5c9f9fd86e3cd84b, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00002269f49d453c,
};

// m32a_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m32_swio10_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0x83eeade3caf77e27, 0xb26ea0175b39db29, 0xeb6fde66e6d01f6c, 0xb69ec5e8ed3efaec,
  0xaf9017b48c5c86b8, 0x120862db524053b8, 0x60aa453f0cc13e30, 0x27c4df6b3c47b264, 0xb135a774fb971850,
  0x7609c2f0e6e5afcc, 0xf836bb9bd47c6ed8, 0x57f9fbe08a11c913, 0xcb92801b87c28862, 0x11c910caaeef77cd,
  0x073c26df7150865a, 0x6662e72f6ec87ff4, 0x83b07fceadcc1615, 0x0731bae2faa31ad4, 0x222fb892c79e57d6,
  0xeddfea3e12fc4361, 0xdaf933c5dc6e0c2e, 0x27a8f2bc0929dadc, 0xc56a7bd47c1b3072, 0x384e1b875f62d314,
  0x70c752135f4b632e, 0xbb6df46801ceaedc, 0xdefb1aaf1b1d7b19, 0x7bb380e3b1698288, 0x0d51b044c8e1bd97,
  0x33e8e6656659ef77, 0x73241b5e5caad67f, 0xab39d454aa35d640, 0xc9ae0404e576a96f, 0xbcba6255aba5fd34,
  0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0xb997cdb61098edfe, 0x539fa82ec6e3cd84,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x000001d759c5f05f,
};

// m32_swio12_noled                  m32a_swio11_noled                 m32a_swio12_noled
static const uint64_t ur_m32_swio11_noled[] = {
  0x417fdddddd66ef3a, 0x6eed55c8a7a5896a, 0x50f74d06e246113d, 0xd0ee38f8ff8be0fb, 0x06d933d9fbba905f,
  0x16da93ba0bd04d64, 0x9feea609f1809043, 0xcb741480f5ff4809, 0xd3f83affea3c4277, 0x2c05bdd31ebf2471,
  0xd78b9da0fa3268e6, 0x56a5613db8e58c11, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xd8debe9a64d672bb,
  0x5cf6ab4457974c4a, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0xb67adc55bfdeaa8b, 0x3f3fb0ddb09732f9,
  0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x01520ea966e792bf,
};

/*
 * m32_swio11_noled_pr_u4            m32_swio12_noled_pr               m32_swio12_noled_pr_u4
 * m32a_swio11_noled_pr              m32a_swio11_noled_pr_u4           m32a_swio12_noled_pr
 * m32a_swio12_noled_pr_u4
 */
static const uint64_t ur_m32_swio11_noled_pr[] = {
  0xa0b7777689119391, 0xddaab91480225713, 0xc77afd8d05b04f05, 0x60e2266c4767b53d, 0x1a875a6edc4e82cd,
  0x2777a71912b76273, 0xcc13e30120862db5, 0xd20dbffee6be7cc7, 0x64d7a8e0a1df2dbd, 0xb29b6fcbe8e3a7f0,
  0xecb5d188a731602c, 0x9500ffd9823af47c, 0x59f740f2cf6fa427, 0x64073241b5e5caad, 0x6fabb39d454aa35d,
  0xbd7d34c9ace576a9, 0xed5688af2e9895b1, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0xf5b8ab7fbd551698,
  0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0xfc119273c95fb9a1, 0x0000000000007c9c,
};

/*
 * m32_swio11_noled_pr_ee_u4         m32_swio12_noled_pr_ee            m32_swio12_noled_pr_ee_u4
 * m32a_swio11_noled_pr_ee           m32a_swio11_noled_pr_ee_u4        m32a_swio12_noled_pr_ee
 * m32a_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m32_swio11_noled_pr_ee[] = {
  0x7eb4ddddda244511, 0x3776aafc2ef5e25c, 0x1efd3da864cf9b99, 0x5a1b431a59bbc297, 0xc88406c083682e3f,
  0x527755f33e83658a, 0x0cc13e30120862db, 0x7d20d9dfee6be7ce, 0xd47959759aad68cc, 0xb387ea3e0d983ea3,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x1fc873ab4b9455c6, 0xd56ba1d79d376401, 0x071d8b4def47bdd8,
  0x823f5b86f65b2f9c, 0xb955a8044f73ca8d, 0x546bac80e64836bc, 0xaed52df57673a8a9, 0x12b637afa699359c,
  0xf5d73daad115e5d3, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbe6d9eb7156ff7aa, 0xbe2e4d5c1e6c25cc,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x013ae10b324e792b,
};

/*
 * m32_swio11_noled_pr_ce_u4         m32_swio12_noled_pr_ce            m32_swio12_noled_pr_ce_u4
 * m32a_swio11_noled_pr_ce           m32a_swio11_noled_pr_ce_u4        m32a_swio12_noled_pr_ce
 * m32a_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m32_swio11_noled_pr_ce[] = {
  0x6cfddddda2447032, 0x776aaf0887ee2542, 0x76c8e933e3ec1efc, 0xfaf1ae0cd906a751, 0x2a16d2f0adda1367,
  0x6d49dd6c473960a7, 0xd37304f8c048218b, 0xf754832b7fb9af9f, 0x79e012a77812e2fa, 0x2fc4361222fb892c,
  0xdc6e759b21fea3e1, 0x5f27b9633f5933c5, 0x6e8e3a7f06b3fd47, 0x6ba3114e62c05912, 0x01ffb33c75e8f9d9,
  0xfba0796b77484f2a, 0x039920daf2e556ac, 0xd5d9cea2a551aeb2, 0xbe9a64d672bb54b7, 0xab4457974c4ad8de,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xb31dbfdeaa8b4c32, 0xe0f3612e65f36cf5, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xd99273c95fb9a199, 0x0000000000375eea,
};

// m32_swio12_noled_pr_ee_ce         m32a_swio11_noled_pr_ee_ce        m32a_swio12_noled_pr_ee_ce
static const uint64_t ur_m32_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd447768, 0x5ddaabd85392c4a1, 0xc1d467ab43d318c4, 0x1f5a63b31269469d, 0x8f4ea8b065ab42ff,
  0x2775d92be29d38a3, 0xcc13e30120862db5, 0x48066ffdcd7cfa6d, 0x54ecc7ceffaa32eb, 0xee3729299cbf3c02,
  0x8794ed6563df309c, 0x3e0d983d2bd4795c, 0xafb1698a62b74bea, 0xafa5b1971c270dc3, 0x90e7576e28a3a909,
  0xe363af3a6ec8023f, 0x762d37bd1ef76355, 0x4c8e1bd96cbe701c, 0xab52cc9ee7951b04, 0xd75901cc906d7972,
  0xaa5beaece75152a8, 0x6c6f5f4d326b395d, 0xae7b55a22bcba625, 0xa6c529e1a778efeb, 0xa6194f43aa7020ee,
  0xb67ad98edfef5545, 0x38b93571b09732f9, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0xa68be324e792bf73, 0x0000000000000029,
};

// m32_swio12_noled_pr_ee_ce_u4      m32a_swio11_noled_pr_ee_ce_u4     m32a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda2431000, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xa4eed6abbced6cdc, 0x49827c602410c5b6, 0xd20adfffc7e1cf8a, 0xd01cb5bb8bea8f4d, 0xb09117dc4963cf36,
  0x1776eff51f097e21, 0x6e6def99e2ee3706, 0x3d2bd4795c8794ed, 0x8a62b74bea3e0d98, 0x971c270dc3afb169,
  0x6e28a3a909afa5b1, 0x3a6ec8023f90e757, 0xbd1ef76355e363af, 0xd96cbe701c762d37, 0x9ee7951b044c8e1b,
  0xcc906d7972ab52cc, 0xece75152a8d75901, 0x4d326b395daa5bea, 0xa22bcba6256c6f5f, 0xe1a778efebae7b55,
  0x43aa7020eea6c529, 0x8edfef5545a6194f, 0x79b09732f9b67ad9, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x26b15ed3c95fb9a1,
  0x00000000000013f0,
};

// m32_swio12_noled_ee_hw            m32a_swio11_noled_ee_hw           m32a_swio12_noled_ee_hw
static const uint64_t ur_m32_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b7d6, 0xbbb557e177af12e3, 0x571eed43267cdcc9, 0xf5a1b431a59bbc2b, 0xac88406c083682e3,
  0x5b6a4eebd69c5bf6, 0xf9c19827c602410c, 0x4663e906ceffa14c, 0xf51ea3cacbacd56b, 0xdf159c3f51f06cc1,
  0xb8e1386e1d7d8b4d, 0xae3593484d7d2d8c, 0x2008fe439d5a5ca2, 0xeec6ab5d0ebce9bb, 0x7ce038ec5a6f7a3d,
  0x546c11fadc37b2d9, 0xb5e5caad40227b9e, 0x454aa35d64073241, 0xace576a96fabb39d, 0x2e9895b1bd7d34c9,
  0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x2e65f36cf5b8ab7f, 0x54e7ea0bb1b8f361,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x000000005bfdf054,
};

/*
 * m32_swio11_noled_ee_ce_u4_hw      m32_swio12_noled_ee_ce_hw         m32_swio12_noled_ee_ce_u4_hw
 * m32a_swio11_noled_ee_ce_hw        m32a_swio11_noled_ee_ce_u4_hw     m32a_swio12_noled_ee_ce_hw
 * m32a_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32_swio11_noled_ee_ce_hw[] = {
  0x30addddda243304a, 0xbbb557f5389d125a, 0xa53b75a583305f98, 0x8540056ee0c715c7, 0x0b323c942cb67ad1,
  0xb52776c5d47f500c, 0x524c13e30120862d, 0xa6e9056fffd0a67c, 0x9b680e5addc5f547, 0x10d8488bee24b1e7,
  0xc0001b77fa8f84bf, 0x3b5b9b7be678bb8d, 0x660f4af51e5721e5, 0x5a6298add2fa8f83, 0x6c65c709c370ebec,
  0xd5db8a28ea426be9, 0xebce9bb2008fe439, 0x4def47bdd8d578d8, 0x86f65b2f9c071d8b, 0xb327b9e546c11323,
  0x4073241b5e5caad4, 0xfabb39d454aa35d6, 0xd7d34c9ace576a96, 0xd5688af2e9895b1b, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0xb663b7fbd5516986, 0x371e6c25ccbe6d9e, 0xef79430a9cfd4176, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x04135a8a792bf734, 0x0000000000000014,
};

// m32_swio12_lednop                 m32a_swio11_lednop                m32a_swio12_lednop
static const uint64_t ur_m32_swio11_lednop[] = {
  0x82ffbbbbbacdfc4f, 0x6eed55c8a56912d4, 0x2e3bb87c6d06113d, 0x2fe8771c7b426efd, 0x6a09b6c671fddd48,
  0x8218b6d49dd85eb4, 0x8099f80d304f8c04, 0x0ef96e829007bff4, 0x8e3a7f075ffd47c9, 0x1cc580b7ba6d2931,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0xaa35d64073241b5e, 0x576a96fabb39d454, 0x7a5fd34c9ae0404e,
  0x3daad115e5d312b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x97cdb4f43aa7028b, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000a91714b373c,
};

/*
 * m32_swio11_lednop_pr_u4           m32_swio12_lednop_pr              m32_swio12_lednop_pr_u4
 * m32a_swio11_lednop_pr             m32a_swio11_lednop_pr_u4          m32a_swio12_lednop_pr
 * m32a_swio12_lednop_pr_u4
 */
static const uint64_t ur_m32_swio11_lednop_pr[] = {
  0xa0b77776891190e3, 0xbb557229e3e25713, 0xa9bdbf30fb609e0b, 0x5838a002665eec9e, 0x7c2f75fbb713a0b3,
  0x277448b333761bac, 0xcc13e30120862db5, 0xd208f7fee6be7d7d, 0x64d7a8e801df2dbd, 0x594d1ef4a8e3a7f0,
  0x7688518df398b016, 0x8a807fecc11d7a3e, 0x57d6e07967b622f4, 0x5901cc906d7972ab, 0x5beaece75152a8d7,
  0x4d326b8101395daa, 0x4457974c4ae5e97f, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0x9b09732f9b632455, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x939e4afdcd0ccb0e, 0x00000003e4d5358c,
};

// m32_swio12_lednop_pr_ee           m32a_swio11_lednop_pr_ee          m32a_swio12_lednop_pr_ee
static const uint64_t ur_m32_swio11_lednop_pr_ee[] = {
  0xb4ddddd0f5a22a20, 0x76aafc2f51625c7e, 0x7c8ee6236f9b9937, 0x0da18f5da5a094cf, 0x68b8bc41b4171fad,
  0xee8f62d48ee351a5, 0x827c602410c5b6a4, 0x4035bfdcd7cfa5a9, 0xf2b60b355ad198fa, 0x0fd47c1b307d47a8,
  0x1b875f62d377c565, 0xd2135f4b632e384e, 0xb8e756974acb8d64, 0xd743af3a6edd4239, 0x3b169fc88e32b1aa,
  0x7eb70decb65f380e, 0xab500ba427951b04, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x7f4d326b8101395d,
  0xab4457974c4ae5e9, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x55bfdeaa8b48edcf, 0x079b09732f9b6324,
  0x7e50d1674f8b9357, 0x861539fa9d598f20, 0xc9fe2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000013af8c4c939e,
};

// m32_swio12_lednop_pr_ee_u4        m32a_swio11_lednop_pr_ee_u4       m32a_swio12_lednop_pr_ee_u4
static const uint64_t ur_m32_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed12232a8, 0x3bb557e17a17122f, 0x5d5c7b007a5f126d, 0x8a671f8678bd4d9a, 0x682b2020da08bdbc,
  0x3ba75a3509167d51, 0x609f180904316da9, 0x9069bff735f3e35a, 0x3cace1cd56b47b7e, 0x87f51f06cc1ce3ea,
  0x86e1d7d8b4ddf15c, 0x3484d7d2d8cb8e13, 0x4273ab4bd4a5c513, 0x5d0ebd753769c51c, 0xd8b4d6ba3116c6ab,
  0xd6e1bd970e59c071, 0x41b5e5caad571d27, 0x9d454aa35d640732, 0x0404e576a96fabb3, 0x312b97a5fd34c9ae,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xbe6d8c9156ff7aaa, 0xbe2e4d5c1e6c25cc,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x00275cb3324e792b,
};

/*
 * m32_swio11_lednop_pr_ce_u4        m32_swio12_lednop_pr_ce           m32_swio12_lednop_pr_ce_u4
 * m32a_swio11_lednop_pr_ce          m32a_swio11_lednop_pr_ce_u4       m32a_swio12_lednop_pr_ce
 * m32a_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m32_swio11_lednop_pr_ce[] = {
  0x367eeeeed1222a20, 0x3bb5578441a712a1, 0xfa69746db1160f7e, 0xfaf1ae7ec19d9323, 0x5040f5d04dda1367,
  0xb6a4ee8f62d51c63, 0xc729827c602410c5, 0x7baa416ebfdcd7cf, 0x3cf00953bdf7717d, 0x97e21b09117dc496,
  0xee372e4492bf51f0, 0x97d3dcb19fac99e2, 0x718e3a7f06b3fd47, 0x214637ce62c0532a, 0x01ffb33c75e8f9da,
  0xd6e0796b708bd22a, 0x01cc906d7972ab57, 0xeaece75152a8d759, 0x326b8101395daa5b, 0x57974c4ae5e97f4d,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x12e65f36c6431dbf, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000000dd74d01927,
};

// m32_swio12_lednop_pr_ee_ce        m32a_swio11_lednop_pr_ee_ce       m32a_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447705, 0x5ddaabd8525dc4a1, 0x4edc9dac829b18c4, 0x1f5a63be4a62682c, 0x089123f065ab42ff,
  0x2776c36ca7ac932e, 0x4c13e30120862db5, 0xd200d1fee6be7dfe, 0x4a9dffc3bfea8cba, 0x3b8dcca8683fe780,
  0x52e53b5958f7cc27, 0x8f83660f4af51e56, 0xebec5a6298acbafa, 0x6be96c65c709c370, 0x6e39d5db92b0ea42,
  0x78d8ebce9bb7508e, 0x1d8b4fe4471958d5, 0x132386f65b2f9c07, 0xaad4b3e909e546c1, 0x35d64073241b5e5c,
  0x6a96fabb39d454aa, 0x5fd34c9ae0404e57, 0xaad115e5d312b97a, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729,
  0xc76ff7aaa2d23b73, 0xab8d84b997cdb190, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0x99273c95fb9a1996, 0x00000000029a63cb,
};

// m32_swio12_lednop_pr_ee_ce_u4     m32a_swio11_lednop_pr_ee_ce_u4    m32a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb448692df, 0x776aafea762624b4, 0x5eb6ed0b3760bf31, 0x0a800adc4eb834cf, 0x74cce5d8596cf5a3,
  0x93baa3e842af89b3, 0x6609f180904316da, 0x9021f7fe3f0e7fb0, 0x80e35ddc5f547a6e, 0x8488bee24b1e79b6,
  0x170fffa8f84bf10d, 0xb9b7be678bb8dc5c, 0xf4af51e5652e53b5, 0x298acbafa8f83660, 0x5c709c370ebec5a6,
  0xb92b0ea426be96c6, 0xe9bb7508e6e39d5d, 0x4471958d578d8ebc, 0x65b2f9c071d8b4fe, 0x909e546c1132386f,
  0x3241b5e5caad4b3e, 0xb39d454aa35d6407, 0xae0404e576a96fab, 0x5d312b97a5fd34c9, 0x9bdb5d73daad115e,
  0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x997cdb190c76ff7a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x69e4afdcd0ccb0e9,
  0x00000009f83270af,
};

// m32_swio12_lednop_ee_hw           m32a_swio11_lednop_ee_hw          m32a_swio12_lednop_ee_hw
static const uint64_t ur_m32_swio11_lednop_ee_hw[] = {
  0xf5a6eeeed1219541, 0xbbb557e17a8b12e3, 0xb4cf77311b7cdcc9, 0xfad0da18f5da5a09, 0x1a568b8bc41b4171,
  0xb6d49dd0149334e7, 0xf4b5304f8c048218, 0x8cc7d201adff4299, 0xea3d4795b059aad6, 0xbe2b287ea3e0d983,
  0x71c270dc3afb169b, 0x5c6b26909afa5b19, 0xea11cdc73ab4ba56, 0x958d56ba1d79d376, 0xf9c071d8b4fe4471,
  0xa8d823f5b86f65b2, 0x6bcb955a805d213c, 0x8a9546bac80e6483, 0x09caed52df57673a, 0x572f4bfa69935c08,
  0xbae7b55a22bcba62, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xdb1922adfef5545a, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0016ffe49d14f257,
};

/*
 * m32_swio11_lednop_ee_ce_u4_hw     m32_swio12_lednop_ee_ce_hw        m32_swio12_lednop_ee_ce_u4_hw
 * m32a_swio11_lednop_ee_ce_hw       m32a_swio11_lednop_ee_ce_u4_hw    m32a_swio12_lednop_ee_ce_hw
 * m32a_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2436812, 0xbbb557f53b13125a, 0xaf5b76859bb05f98, 0x8540056e275c1a67, 0xba6672ec2cb67ad1,
  0x6d49dddfb0b6a6b9, 0xd83304f8c048218b, 0xd374810fbfe8533f, 0xcdb4071aeee2faa3, 0x886c2445f71258f3,
  0xce41d5d7fd47c25f, 0x3b5b9b7be678bb8d, 0x660f4af51e5652e5, 0x5a6298acbafa8f83, 0x6c65c709c370ebec,
  0xd5db92b0ea426be9, 0xebce9bb7508e6e39, 0x4fe4471958d578d8, 0x86f65b2f9c071d8b, 0xb3e909e546c11323,
  0x4073241b5e5caad4, 0xfabb39d454aa35d6, 0x4c9ae0404e576a96, 0x15e5d312b97a5fd3, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x84b997cdb190c76f, 0x61539fa82ec6e3cd, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x514f257ee6866587, 0x000000000280864e,
};

/*
 * m32_swio11_dual_pr                m32_swio11_dual_pr_u4             m32_swio12_dual
 * m32_swio12_dual_pr                m32_swio12_dual_pr_u4             m32a_swio11_dual
 * m32a_swio11_dual_pr               m32a_swio11_dual_pr_u4            m32a_swio12_dual
 * m32a_swio12_dual_pr               m32a_swio12_dual_pr_u4
 */
static const uint64_t ur_m32_swio11_dual[] = {
  0xb23bbbbb4486dd9e, 0x0fbab71ffb57e11f, 0x3edd123c95a59fb6, 0x4ad9893ac828dd6b, 0x69c92634edd23f64,
  0x483b87e55ee8bd71, 0x09f180904316da92, 0x47b26460aa4737e6, 0x97185027c4df6b3c, 0x6727f995d06774fb,
  0xd477f360bece0516, 0x22847244fe0cca9b, 0xe1f0a21895fe7ef8, 0xaaeef77cdcb5b006, 0xd68a8432d08c910c,
  0x5edcbaffd01cf09a, 0x8f82982c2accc5ce, 0x8877cb0f9482a57f, 0xea38e9fc188bea3c, 0x79cc580bac5354ae,
  0x823af01a9d81446f, 0x3dbc8b07d500ffd9, 0xe8e66566521703cb, 0x241b5e5caad67f33, 0x39d454aa35d64073,
  0xe0404e576a96fabb, 0xd312b97a5fd34c9a, 0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08,
  0xcbe6d8c9156ff7aa, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000149341c657b,
};

// m32_swio12_dual_pr_ee             m32a_swio11_dual_pr_ee            m32a_swio12_dual_pr_ee
static const uint64_t ur_m32_swio11_dual_pr_ee[] = {
  0x14adddddd41432db, 0x07dd5ac7d71bf1eb, 0x85eeeca1ec646273, 0xa0db620b28fe7deb, 0x766dd6c650b7ac52,
  0xb8e08ab2c10ce908, 0x30120862db52560b, 0x99182a91649cc13e, 0x1409f137dacf11ec, 0xfe657419dd3ee5c6,
  0x75b04b4700b5318f, 0xe489fc1c569bd472, 0x44312bfcfdf04508, 0xddf3739be00dc3e1, 0x219682fb4432abbb,
  0xdffd01cf0983dc54, 0x05855998b9cbdba6, 0xca2d20a1fff1f053, 0x2bd4795efb9aad68, 0xe2b95dea3e0d9833,
  0x1c270dc3afb169bb, 0x027e6909afa5b197, 0xa47a51cead2e5d57, 0xc6ab5d0ebd8cdd8c, 0xc071d8b4e5f234c6,
  0xb047eb70decbbdd9, 0xe665660141fb5951, 0x1b5e5caad67f33e8, 0xd454aa35d6407324, 0x404e576a96fabb39,
  0x12b97a5fd34c9ae0, 0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2,
  0xb2d5e371e6c25ccb, 0xfd4eaccdfc1ddc68, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x57b4f257ee686658, 0x0000000001590ad4,
};

// m32_swio12_dual_pr_ee_u4          m32a_swio11_dual_pr_ee_u4         m32a_swio12_dual_pr_ee_u4
static const uint64_t ur_m32_swio11_dual_pr_ee_u4[] = {
  0x4ccf77776890cf68, 0x83eead63c75efc37, 0x5c774eb00a46706d, 0xccfa73d6dcfb67db, 0x13d47dd6c650b374,
  0x4bb9a3ea75ee1bb1, 0x3e30120862db524c, 0xec99182a91649cc1, 0xc61409f137dacf11, 0x2d7e657419dd3ee5,
  0x3c56d80d63813a99, 0x847244fe0f7dcdea, 0xf0a21895fe7ef822, 0xeef77cdca4a006e1, 0x150865a11ed10caa,
  0x74dbffa039e13489, 0x0a60b0ab3317397b, 0xd68dfca4143ffe3e, 0x0613fd4795b059aa, 0x377c5721fd47c1b3,
  0x32e384e1b875f62d, 0x2ae038cd2135f4b6, 0xb4e28e6e39d5a5ca, 0x1958d56ba1d794d3, 0x93380e3b169ad747,
  0xb35c749f5b86f65b, 0x2e556b3f99f47332, 0x551aeb2039920daf, 0x2bb54b7d5d9cea2a, 0xbd2fe9a64d702027,
  0x9ed5688af2e9895c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0xcbe6da7a1d538145, 0x8d1637c371e6c25c,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000000ac9d3c57b,
};

// m32_swio12_dual_pr_ce             m32a_swio11_dual_pr_ce            m32a_swio12_dual_pr_ce
static const uint64_t ur_m32_swio11_dual_pr_ce[] = {
  0x817bbbba1eb432db, 0x0fbab5434037e06e, 0x4cdd1ed61ae08916, 0xac176573a8bd9f6e, 0xaeec2d9f7ba1ba05,
  0xfa6ee3822ac69e33, 0x04f8c048218b6d49, 0x47b26460aa43c033, 0x97185027c4df6b3c, 0xdd5ff995d06774fb,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0x5777bbe6e6540037, 0xf8a8432d00f68865,
  0xb7b1fffa039e1304, 0xe0a60b0ab3317397, 0x717d4c7d201adfe3, 0xc4963cf36d01c8e5, 0x51f097e21b09117d,
  0x99e2ee3712a2e47f, 0xfa8fd44f72c6789f, 0xc0609f1c74fe0ee1, 0xa760511bde731602, 0xf5403ff6678ebc06,
  0x6521703cb5bb22c1, 0xcaad67f33e8e6656, 0xa35d64073241b5e5, 0x76a96fabb39d454a, 0xa5fd34c9ae0404e5,
  0xdaad115e5d312b97, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x6e3cd84b997cdb19,
  0x99bf83bb8d1674f8, 0x627f2861539fa9d5, 0x1343cc9fe2e7197e, 0x33d30ae4fc73dffc, 0xe9296cf8138cb25c,
  0xaf69e4afdcd0ccb0, 0x0000000001a48bb0,
};

// m32_swio12_dual_pr_ce_u4          m32a_swio11_dual_pr_ce_u4         m32a_swio12_dual_pr_ce_u4
static const uint64_t ur_m32_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x60fbab54375bbf32, 0x4d7ddb0c53ba7725, 0x7f4d99efdd8b9ced, 0x4a3f7399f6ee4e47,
  0xb22ee3822ac07c67, 0x04f8c048218b6d49, 0x47b26460aa470ff3, 0x97185027c4df6b3c, 0x68adf995d06774fb,
  0xa8f95b61bece1a6e, 0x8a11c913f8328737, 0x87c2886257f9fbe0, 0xabbbddf37190c01b, 0x8c542196804f4432,
  0xf6e96bfe80e784d3, 0x7c14c16156662e72, 0x7717d7baa416ebfc, 0xdc4963cf36d01cdf, 0xf51f097e21b09117,
  0xc99e2ee3712a2e47, 0x3fd4797d3dcb19fa, 0x0532a718e3a7f06b, 0x8f9da214637ce62c, 0x8ea0fee39633c75e,
  0x2ab59fccfa399959, 0x8d75901cc906d797, 0xdaa5beaece75152a, 0x97f4d326b8101395, 0x6ab4457974c4ae5e,
  0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0xb8f3612e65f36c64, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x490b32bda792bf73, 0x0000000000000003,
};

// m32_swio12_dual_pr_ee_ce          m32a_swio11_dual_pr_ee_ce         m32a_swio12_dual_pr_ee_ce
static const uint64_t ur_m32_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x660fbab3af1f97e2, 0x7af7ba55e589b158, 0xd14a2d56820f935f, 0x5f5f26593f22933e,
  0x73c119d4b229d582, 0x602410c5b6a4c0b7, 0x6460aa479eb9827c, 0x5027c4df6b3c47b2, 0xf995d06774fb9718,
  0xd6c1fe1c3104cd77, 0x9227f07ff26f51f4, 0x10c4aff3f7c11423, 0xef9b830b80370f85, 0x0cb4182a21955dde,
  0x7fe80e784d21e2a1, 0x2c2accc5ce5edfb0, 0x812905adff8f8298, 0x9b680e4ed9dff547, 0x4e771b8089300fe7,
  0xaf2b4a76b2b17c98, 0xf51f06cc1f75ea3c, 0xe1d7d8b4c5315e04, 0x84d7d2d8cb8e1386, 0x1e9473abb71751d4,
  0x55e363af63376329, 0x38ec5a72f91a6363, 0x1132386f65deece0, 0x995996707ed6546c, 0xd7972ab59fccfa39,
  0x152a8d75901cc906, 0x1395daa5beaece75, 0xae5e97f4d326b810, 0x75cf6ab4457974c4, 0x05ca5af9d01e6f6d,
  0x8edcf43aa70210a9, 0x6c6431dbfdeaa8b4, 0x3ce1b8f3612e65f3, 0xfdd599bf83bb8d16, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x01304e70af69e4af,
};

// m32_swio12_dual_pr_ee_ce_u4       m32a_swio11_dual_pr_ee_ce_u4      m32a_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32_swio11_dual_pr_ee_ce_u4[] = {
  0x77bbbbb456ddb69f, 0xbab78fabddf962fd, 0x16a27d68e76ca60f, 0x7fabd823859c16bc, 0x8bd1dd8bf5d9d61d,
  0xce8438dfc37931f9, 0xa92029dd202f9e5c, 0x7a609f180904316d, 0x9e23d932305522f6, 0x7dcb8c2813e26fb5,
  0x7372d7e65a0e53ba, 0xea3e376c3b04e178, 0x4508e489fc1b5dcd, 0xc3e144312bfcfdf0, 0x5777bbe6e3c0200d,
  0xb8a8432d08e48865, 0xb7b91ffa039e136f, 0xe4e60b0ab3317397, 0xea8ce0d2035bffe9, 0xb1e79b693bfd7b8b,
  0x84bf10d8488bee24, 0x771b8f00c463fa8f, 0x2b4a76b736be4cf1, 0x1f06cc1f75ea3caf, 0xd7d8b4c5315e04f5,
  0xd7d2d8cb8e1386e1, 0x9473abb71751d484, 0xe363af633763291e, 0xec5a72f91a636355, 0x32386f65deece038,
  0x5996707ed6546c11, 0x972ab59fccfa3999, 0x2a8d75901cc906d7, 0x95daa5beaece7515, 0x5e97f4d326b81013,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x6431dbfdeaa8b48e, 0x6ae0f3612e65f36c,
  0xfc1fb763458df172, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0x0a8852792bf73433, 0x000000000010012e,
};

// m32_swio12_dual_ee_hw             m32a_swio11_dual_ee_hw            m32a_swio12_dual_ee_hw
static const uint64_t ur_m32_swio11_dual_ee_hw[] = {
  0xac52b77776890c86, 0xcc1f756b1f5c6fc7, 0xae17bbb287b19189, 0x4a836d882ca3f9f7, 0x21d9b75b1942deb1,
  0xb05dddd8dd9bcc54, 0x09f180904316da92, 0x8f64c8c1548b24e6, 0x2e30a04f89bed678, 0x8c7ff32ba0cee9f7,
  0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0x5ddeef9b9cdf006e, 0xe2a10cb417da2195,
  0xdd36ffe80e784c1e, 0x93982c2accc5ce5e, 0xb5a328b48287ffc4, 0x60ccaf51e57bee6a, 0xa6ef8ae577a8f836,
  0xc65c709c370ebec5, 0x755c09f9a426be96, 0x763291e9473ab4b9, 0xd31b1aad743af633, 0xf76701c762d397c8,
  0x6546c11fadc37b2e, 0xcfa39995980507ed, 0xcc906d7972ab59fc, 0xece75152a8d75901, 0x6b8101395daa5bea,
  0x974c4ae5e97f4d32, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x732f9b632455bfde,
  0xa73f505d8dc79b09, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000002bb456aa2,
};

// m32_swio12_dual_ee_ce_hw          m32a_swio11_dual_ee_ce_hw         m32a_swio12_dual_ee_ce_hw
static const uint64_t ur_m32_swio11_dual_ee_ce_hw[] = {
  0x67dadddddd437089, 0x307dd59d78fcbf12, 0xd7bdd2af2c4d8ac3, 0x8a516ab4107c9afb, 0xfaf932c9f91499f6,
  0xdd793d656d6d2c12, 0x180904316da9302d, 0x99182a91e7ae609f, 0x1409f137dacf11ec, 0xfe657419dd3ee5c6,
  0x35b07f870c41335d, 0xe489fc1ffc9bd47d, 0x44312bfcfdf04508, 0xbbe6e0c2e00dc3e1, 0x432d060a88655777,
  0x1ffa039e134878a8, 0x0b0ab3317397b7ec, 0xf02520b5bff124e6, 0xf36d01c9db3bfea8, 0xc273b8dca4a672fc,
  0xe5795a53b5958be4, 0x27a8f83660fbaf51, 0x370ebec5a6298af0, 0xa426be96c65c709c, 0x48f4a39d5db8ba8e,
  0x1aaf1b1d7b19bb19, 0x01c762d397c8d31b, 0x608991c37b2ef767, 0xcccaccb383f6b2a3, 0x36bcb955acfe67d1,
  0xa8a9546bac80e648, 0x809caed52df57673, 0x2572f4bfa69935c0, 0x6bae7b55a22bcba6, 0x482e52d7ce80f37b,
  0xa476e7a1d5381085, 0x9b63218edfef5545, 0xf3fb0dc79b09732f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x0044d3e728a792bf,
};

// m32_swio12_dual_ee_ce_u4_hw       m32a_swio11_dual_ee_ce_u4_hw      m32a_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m32_swio11_dual_ee_ce_u4_hw[] = {
  0x5deeeeed1468b202, 0xeeade3eaf77e58bf, 0x5ba89f5a39db2983, 0x875feaf608e17a70, 0x7e62f47762fd7675,
  0xe918ef0727f0de4c, 0x4316da92029ddfd6, 0x522f67a609f18090, 0x26fb59e23d932305, 0xad3ba7dcb8c2813e,
  0x4e1787372d7e6589, 0xb5dcdea3e376c3b0, 0xcfdf04508e489fc1, 0x0200dc3e144312bf, 0x488655777bbe6e3c,
  0xe136fb8a8432d08e, 0x17397b7b91ffa039, 0xb7fe756e60b0ab33, 0xfaf717d519c1a406, 0x7dc4963cf2beb039,
  0xbf51f097e21b0911, 0xf2678bb8dcea72e0, 0x51e5795a53b5b9b5, 0xf027a8f83660fbaf, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x1948f4a39d5db8ba, 0x1b1aaf1b1d7b19bb, 0x6701c762d397c8d3, 0xa3608991c37b2ef7,
  0xd1cccaccb383f6b2, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0xc0809caed52df576, 0xa62572f4bfa69935,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x2f9b63218edfef55, 0x3f505d8dc79b0973,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0003aebcf430be9e,
};

// m32a_swio13_noled
static const uint64_t ur_m32_swio13_noled[] = {
  0xa7bb77777759bb37, 0x89eb776aae450644, 0xc9ef8fdd43891230, 0x70bfa1ddc4bafad0, 0x0d36200db6f26ecf,
  0x904316da93bb63d9, 0x90133fb7e609f180, 0x90ef96e9290751fe, 0x2471d3f83e7bd47f, 0x80e62c05bdd37519,
  0x8c11d78b9d86fa3e, 0xf2e556a56135b8e5, 0xa551aeb2039920da, 0xed52df5537d9cea2, 0x56af7afa699359ca,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0xcdb2048ab7fbd551, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x001527d74b373c95,
};

// m32_swio13_noled_pr_u4            m32a_swio13_noled_pr              m32a_swio13_noled_pr_u4
static const uint64_t ur_m32_swio13_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c492, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f7522741,
  0x6a4eecbbb120ce05, 0xfc9827c602410c5b, 0x07e90195fee6be7d, 0xe0fa0f51e5f1df2d, 0x16594c654e31c74f,
  0x1f3b3de8f7b398b0, 0xc9a5403ff6608ebd, 0xab555aa07967b770, 0xd75901cc906d7972, 0x6faa9bece75152a8,
  0xbd7d34c9ace576a9, 0x6ab4457974c4ab57, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3,
  0xd5c1e6c25ccbe6d9, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x80b324e792bf7343, 0x000000000000f930,
};

// m32a_swio13_noled_pr_ee
static const uint64_t ur_m32_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd05893a, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da09d7d6,
  0x77505272b8210da2, 0xc13e30120862db52, 0x208adfee6be7c9d4, 0x3caca5cd56b46fe5, 0xebea3e0d98309fea,
  0x0dc3afb169bbe2b2, 0x6909afa5b1971c27, 0x4873ab4bfee5c6b2, 0x6ba1d79d376d291e, 0x3b169a628e0fd8d5,
  0x7eb70decb65f380e, 0x56a0113582d51b04, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551, 0x7afa699359caed52,
  0xd5688af2e98956af, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x048ab7fbd5516986, 0xab83cd84b997cdb2,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e64ff1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x00000013afd3c649,
};

// m32a_swio13_noled_pr_ee_u4
static const uint64_t ur_m32_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed1222582, 0xb4eed55f85da5c4b, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d05e2d,
  0x49dd3b410e5d96aa, 0xd304f8c048218b6d, 0x54837dffb9af9f8a, 0xa8f2b74b355ad199, 0x7f3bd47c1b306807,
  0x4e1b875f62d377c5, 0x4cd2135f4b632e38, 0x6f79cead2f019714, 0xad743af5d4dd8144, 0x8ec5a79151dc3b1a,
  0xbeb70decb872ce03, 0x920daf2e556ab826, 0x9cea2a551aeb2039, 0x359caed52df5537d, 0x2e98956af7afa699,
  0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x4b997cdb2048ab7f, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000004eba45e649c,
};

// m32_swio13_noled_pr_ce_u4         m32a_swio13_noled_pr_ce           m32a_swio13_noled_pr_ce_u4
static const uint64_t ur_m32_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222044, 0xf8eed55e11219c48, 0xc8eb45ddb6ebd83d, 0xcff5fc7f179b18ee, 0x10deb8d324374bde,
  0x2db5277505272e9c, 0x7f674c13e3012086, 0xd76fd2095dfee6be, 0x63cf00953bcad717, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0x3cdd3dcb19fac99e, 0xa05238e9fc193dea, 0xb3de8f7b398b017b, 0x5403ff6678ebd1f3,
  0x556a81e5add70c9a, 0x64073241b5e5caad, 0xaa6fb39d454aa35d, 0xf4d326b395daa5be, 0xd115e5d312ad5ef5,
  0xf0d3bc77f5d73daa, 0xa1d5381077536294, 0xc76ff7aaa2d30ca7, 0x0f3612e65f36c810, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x19273c95fb9a1996, 0x0000000001baf565,
};

// m32a_swio13_noled_pr_ee_ce
static const uint64_t ur_m32_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5605,
  0x6a4eebd69c452bed, 0x9a9827c602410c5b, 0x4ba41ff3fdcd7cfe, 0x012a7763e77fd519, 0x4e771b8495951f9e,
  0xace1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xe1d7d8b4c5315c87, 0x84d7d2d8cb8e1386, 0x1e4873abb77ee1d4,
  0xaaf1b1d79d376d29, 0x1c762d34c51c1fb1, 0x044c8e1bd96cbe70, 0xe556a5993582d51b, 0x51aeb2039920daf2,
  0x52df5537d9cea2a5, 0xaf7afa699359caed, 0x9ed5688af2e98956, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9,
  0x640863b7fbd55169, 0x8b93571b09732f9b, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0xec7f324e792bf734, 0x0000000000000534,
};

// m32a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m32_swio13_noled_pr_ee_ce_u4[] = {
  0x04dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0x8ccec4ac10b2d9e8,
  0xb52776e76cd8f6c9, 0x374c13e30120862d, 0x75206bbffc7e1cfe, 0xb680e620b8bea8f6, 0x0d8488bee24b1e79,
  0x7539705fa8f84bf1, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b38729, 0xd314c5721fd47c1b, 0x632e384e1b875f62,
  0xaeddfb8752135f4b, 0x5e74ddb4a47921ce, 0xd314707ec6abc6c7, 0x6f65b2f9c071d8b4, 0x64d60b546c113238,
  0x0e64836bcb955a96, 0xdf673a8a9546bac8, 0xa64d672bb54b7d54, 0x2bcba6255abdebe9, 0xa778efebae7b55a2,
  0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0x6c25ccbe6d90218e, 0xf83bb8d1637c371e, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x4a57b4f257ee6866,
  0x000000000004fccb,
};

// m32a_swio13_noled_ee_hw
static const uint64_t ur_m32_swio13_noled_ee_hw[] = {
  0xd7eeeeeed121af43, 0x26eed55f85e82c49, 0x0dfa7bbe3f6df373, 0x7d686d1331a67ec9, 0x9a2d452b620da09d,
  0x5b6a4eeb4efb5bb2, 0xf93a9827c602410c, 0xa37f290456ffa14c, 0x84ff51e5652e6ab5, 0xdf15975f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x6948f2439d5a5ff7, 0x7ec6ab5d0ebce9bb, 0xf9c071d8b4d31470,
  0xa8d823f5b86f65b2, 0xd7972ab50089ac16, 0x152a8d75901cc906, 0x576a96faa9bece75, 0x4ab57bd7d34c9ace,
  0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xbe6d902455bfdeaa, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000005be015a8a79,
};

// m32_swio13_noled_ee_ce_u4_hw      m32a_swio13_noled_ee_ce_hw        m32a_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m32_swio13_noled_ee_ce_hw[] = {
  0x04dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x261500033466247e, 0xeccec4ac10b2d9e8,
  0xb6d49ddcfb403a89, 0xf8dd304f8c048218, 0x3d9d481aeffe8533, 0x9e6da039882e2faa, 0xfc4361222fb892c7,
  0x6e6a83c83fea3e12, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x62d314c5721fd47c, 0x4b632e384e1b875f,
  0xceaeddfb8752135f, 0xc75e74ddb4a47921, 0xb4d314707ec6abc6, 0x386f65b2f9c071d8, 0x9664d60b546c1132,
  0xc80e64836bcb955a, 0x54df673a8a9546ba, 0xe9a64d672bb54b7d, 0xa22bcba6255abdeb, 0xe1a778efebae7b55,
  0x43aa7020eea6c529, 0x8edfef5545a6194f, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x96968a792bf73433, 0x0000000000001405,
};

// m32a_swio13_lednop
static const uint64_t ur_m32_swio13_lednop[] = {
  0x9eeddddddd66ef3a, 0x7adddaab9141af12, 0xfb50f77d7f858c22, 0x70bfa1ddc4e97be6, 0x35901b64cdd7eecf,
  0x410c5b6a4ee82f41, 0x404cfafb9827c602, 0x877cb7494823dffa, 0x638e9fc1f3dea3af, 0x6731602dee98f588,
  0x608ebc5cedbda3b8, 0x2e556a562cfdc72c, 0x551aeb2039920daf, 0xd52df5537d9cea2a, 0xbfa69935c0809cae,
  0xaad115e5d312b924, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xcdb4f43aa70273e8, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x000a90754b373c95,
};

// m32_swio13_lednop_pr_u4           m32a_swio13_lednop_pr             m32a_swio13_lednop_pr_u4
static const uint64_t ur_m32_swio13_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c492, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623ba913a0,
  0xb527760d86e3f66e, 0xa54c13e30120862d, 0x0fd2031ffee6be7e, 0xe0fa0f51f4a3be5a, 0x2cb298c79eb1c74f,
  0x3e76f911c6473160, 0xb86a807fecc11d7a, 0x56b02b40f2cf6f7b, 0xaeb2039920daf2e5, 0xdf5537d9cea2a551,
  0x69935c0809caed52, 0x115e5d312b924bfa, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e,
  0xb09732f9b65d9156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9, 0x0000003e4dfaa0c9,
};

// m32a_swio13_lednop_pr_ee
static const uint64_t ur_m32_swio13_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd91893a, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d04ebeb,
  0x3ba75a3544e67cb8, 0x609f180904316da9, 0x20383fee6be7e87e, 0x3cad4f4d56b46fe5, 0x0bea3e0d98309fea,
  0x0dc3afb169bbe2b6, 0x6909afa5b1971c27, 0x2873ab4bfce5c6b2, 0xd743af3a6ec13d18, 0x762d3c911e45b1aa,
  0xfd6e1bd96cbe701c, 0xad402b864d2a3608, 0x5d64073241b5e5ca, 0xbeaa6fb39d454aa3, 0xd326b8101395daa5,
  0x22bcba62572497f4, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d, 0x612e65f36cbb22ad,
  0x1a2ce9f1726ae0f3, 0xa73f53ab31e40fca, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x0275d7619273c95f,
};

// m32a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m32_swio13_lednop_pr_ee_u4[] = {
  0x78bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0x2de4531d7b4b3778, 0x1591080d8106d05e,
  0xb6a4eeabe67d06cb, 0x9c19827c602410c5, 0xccaa41b3bfdcd7cf, 0x03d47959759aad68, 0xe2b387ea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0x023f90e7569728ab, 0x8d56ba1d7aea6ec8, 0xc071d8b4def47bdd,
  0x2e1fd6e1bd970e59, 0x0e64836bcb955aae, 0xdf673a8a9546bac8, 0x7020272bb54b7d54, 0x74c4ae492fe9a64d,
  0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0xcbe6d976455bfdea, 0x1be2e4d5c1e6c25c,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0013ae10b324e792,
};

// m32_swio13_lednop_pr_ce_u4        m32a_swio13_lednop_pr_ce          m32a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m32_swio13_lednop_pr_ce[] = {
  0xbdeeeeeed12232a8, 0xf8eed55e11285c48, 0x697571ec01e9583d, 0xcff5fc7e19e2f536, 0xcfaa2d0564374bde,
  0x2db52774eb46a122, 0x7c6b4c13e3012086, 0xd76fd20d37fee6be, 0x63cf00953bb75717, 0x097e21b09117dc49,
  0x2ee3729299cbf51f, 0x3ce33dcb19fac99e, 0xb40238e9fc193dea, 0x6f911c6473160287, 0xa807feccf1d7a3e7,
  0xc0ad03cb5bb7bb86, 0xc80e64836bcb955a, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x7974c4ae492fe9a6,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0xb997cdb2ec31dbfd, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000006eb966649cf,
};

// m32a_swio13_lednop_pr_ee_ce
static const uint64_t ur_m32_swio13_lednop_pr_ee_ce[] = {
  0x02fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d581,
  0xda93ba0292634e39, 0xd6e609f180904316, 0x4ba409b7fee6be7e, 0x012a77bb477fd519, 0x9cee373a3ea49f9e,
  0x594394ed6563df30, 0xea3e0d9833d7d479, 0xc3afb1698a62b297, 0x09afa5b1971c270d, 0x3050e7576ef9c3a9,
  0xabc6c75e74dd827a, 0x71d8b4f2447916c6, 0x1132386f65b2f9c0, 0x955a96770c9a546c, 0x46bac80e64836bcb,
  0x4b7d54df673a8a95, 0xe9a64d7020272bb5, 0xb4457974c4ae492f, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a,
  0xdbfdeaa8b48edcf4, 0x8d84b997cdb2ec31, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8,
  0x273c95fb9a19961d, 0x000000029a670a19,
};

// m32a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x4c2a0006793919f9, 0x8a706e8e2165b3d0,
  0xb527750093738b0f, 0xadcc13e30120862d, 0x3a900a4ffc7e1cf9, 0xdb4072005c5f547b, 0x86c2445f71258f3c,
  0x05919ebfd47c25f8, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b28729, 0xd314c5652fd47c1b, 0x632e384e1b875f62,
  0xaeddf38752135f4b, 0xbce9bb04f460a1ce, 0xe488f22d8d578d8e, 0xdecb65f380e3b169, 0xee1934a8d8226470,
  0x1cc906d7972ab52c, 0xbece75152a8d7590, 0xe0404e576a96faa9, 0xe9895c925fd34c9a, 0xdedaeb9ed5688af2,
  0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x2f9b65d863b7fbd5, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000013f2dc815ed,
};

// m32a_swio13_lednop_ee_hw
static const uint64_t ur_m32_swio13_lednop_ee_hw[] = {
  0xd7eeeeeed121b032, 0x26eed55f85ec8c49, 0x86f91dd85f007373, 0xbeb436899d051a6c, 0x4b8c8f9bb106d04e,
  0x2db52775b11ced4e, 0xfd0fcc13e3012086, 0xa37f2901c1ffa14c, 0x84ff51e56a7a6ab5, 0xdf15b05f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x09e8c1439d5a5fe7, 0x2d8d56ba1d79d376, 0xf380e3b169e488f2,
  0x51b047eb70decb65, 0xaf2e556a015c3269, 0x2a551aeb2039920d, 0xaed52df5537d9cea, 0x24bfa69935c0809c,
  0x3daad115e5d312b9, 0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0xd9156ff7aaa2d23b, 0x8dc79b09732f9b65,
  0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xdf3582a29e4afdcd, 0x0000000000000002,
};

// m32_swio13_lednop_ee_ce_u4_hw     m32a_swio13_lednop_ee_ce_hw       m32a_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x261500033c9c8cfc, 0x6538374710b2d9e8,
  0x5b6a4ee8eba6bef7, 0xf35b9827c602410c, 0x8f67520149ff4299, 0xe79b680e400b8bea, 0xbf10d8488bee24b1,
  0x8dc0a47ce5fa8f84, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0xec5a6298aca5fa8f, 0xe96c65c709c370eb,
  0x39d5dbbe70ea426b, 0xb1d79d37609e8c14, 0x2d3c911e45b1aaf1, 0x8e1bd96cbe701c76, 0xa59dc326951b044c,
  0xb2039920daf2e556, 0x5537d9cea2a551ae, 0x935c0809caed52df, 0x5e5d312b924bfa69, 0x079bdb5d73daad11,
  0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x2e65f36cbb0c76ff, 0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2, 0x00000000a02b7214,
};

/*
 * m32_swio13_dual_pr                m32_swio13_dual_pr_u4             m32a_swio13_dual
 * m32a_swio13_dual_pr               m32a_swio13_dual_pr_u4
 */
static const uint64_t ur_m32_swio13_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3fb2afc3, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba696,
  0x4920ee19c5c5badd, 0x9827c602410c5b6a, 0xf11ec99182a90601, 0xee5c61409f137dac, 0x599c9fe657419dd3,
  0x6f51dfcd82fb3814, 0xe08a11c913f8332a, 0x1b87c2886257f9fb, 0x1955ddeef9b98800, 0x35ad150865a11922,
  0x9cbdb94bffa039e1, 0xff1f05305855998b, 0xfdd1df2cb5e90145, 0xedf8e3a7f07bdfa8, 0x4c4e62c05d6298a2,
  0x9823af01a9da5f23, 0x59ed8f837d500ffd, 0x9f47332b314e381e, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203,
  0x0809caed52df5537, 0x312b924bfa69935c, 0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084,
  0xf9b65d9156ff7aaa, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000524d79f15ed3,
};

// m32a_swio13_dual_pr_ee
static const uint64_t ur_m32_swio13_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63ebbefc6, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b69c5,
  0x05dcf04675c7f53a, 0x9f180904316da92b, 0xf64c8c1548ee3e60, 0xe30a04f89bed6788, 0xc7ff32ba0cee9f72,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b8601006e1, 0x2a10cb417da21955,
  0xfa6bfe80e784c1ee, 0x14c16156662e72f6, 0xad1feea4016bfc7c, 0x0c3dfa8f2bb75355, 0x6ef8af7dfa8f8366,
  0x65c709c370ebec5a, 0xb5c09f9a426be96c, 0xc1ed19ea73ab4b94, 0x436355ae875ec66e, 0x76701c762d39c51c,
  0x546c11fadc37b2ef, 0xfa39995980437c45, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x404e576a96faa9be,
  0x895c925fd34c9ae0, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xcdb2ec8ab7fbd551,
  0x65abc6e3cd84b997, 0xfa9d599bf83bb8d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0xaf69e4afdcd0ccb0, 0x0000000005641d14,
};

// m32a_swio13_dual_pr_ee_u4
static const uint64_t ur_m32_swio13_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xa7333e9cd3b4abcb, 0x798a164035a1942c,
  0x524c4bbbbb1bb2d0, 0x7cc13e30120862db, 0xcf11ec99182a91dc, 0x3ee5c61409f137da, 0x3a992d7e657419dd,
  0xcdea3c56d80d6381, 0xf822847244fe0f7d, 0x06e1f0a21895fe7e, 0x0caaeef77cdc24a0, 0x3489150865a11ed1,
  0x9cbdbe9affa039e1, 0xff1f05305855998b, 0xf4d56b4701a9005a, 0xf06cc1c89ea3cad4, 0x7d8b4ddf159c3f51,
  0x7d2d8cb8e1386e1d, 0x697fdcb80e33484d, 0xe534ec8023050e75, 0xf7a3c8b6355ae875, 0xbd96e4ce038ec5a6,
  0x399959ae2e1fd6e1, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e576a96faa9bece, 0x5c925fd34c9ae040,
  0x6b9ed5688af2e989, 0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x5ccbe6da7a1d5381, 0xbb8d1637c371e6c2,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x7b4f257ee6866587, 0x0000000005648145,
};

// m32a_swio13_dual_pr_ce
static const uint64_t ur_m32_swio13_dual_pr_ce[] = {
  0xeb7777743d686f97, 0xb07dd5aa1a27df86, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf74dd40,
  0xfa6ee78233a1f8a7, 0x04f8c048218b6d49, 0x47b26460aa41d7d3, 0x97185027c4df6b3c, 0xdd5ff995d06774fb,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdce8f8037, 0xf150865a01ed10ca,
  0x6e337ff4073c2609, 0xc14c16156662e72f, 0x717d5fca40707fc7, 0xc4963cf36d01c1ad, 0x51f097e21b09117d,
  0x99e2ee37190e92bf, 0xf51c27cf72c6789f, 0x57dc891c74fe0ed6, 0xa7697c8d31398b01, 0xf5403ff6678ebc06,
  0x314e381e5adc3e0d, 0xe556b3f99f47332b, 0x51aeb2039920daf2, 0x52df5537d9cea2a5, 0xfa69935c0809caed,
  0xad115e5d312b924b, 0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0xf3612e65f36cbb0c,
  0xfe0eee3459d3e1b8, 0xfca1854e7ea75666, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x00000001a48642bd,
};

// m32a_swio13_dual_pr_ce_u4
static const uint64_t ur_m32_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0x28efe986e1d7cfb4, 0xd4e900d57962dd32,
  0x526c8bb9e08ce9c2, 0x5cc13e30120862db, 0xcf11ec99182a90cf, 0x3ee5c61409f137da, 0x9b9a2b7e657419dd,
  0xcdea3e56d86fb386, 0xf822847244fe0ca1, 0x06e1f0a21895fe7e, 0x0caaeef77cdcb910, 0x34e3150865a013d1,
  0x397b7a1fffa039e1, 0xfe3e0a60b0ab3317, 0xb75717d76fd20d37, 0x17dc4963cf36d01c, 0x2bf51f097e21b091,
  0xfac99e2ee37190e9, 0x193dea3ce33dcb19, 0x160287b40238e9fc, 0xd7a3e76f911c6473, 0x5663a1bfb8e58cf1,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xdaa5beaa6fb39d45, 0x97f4d326b8101395, 0xb55a22bcba625724,
  0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x18edfef5545a476e, 0x71e6c25ccbe6d976, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x9021657b4f257ee6, 0x0000000000000034,
};

// m32a_swio13_dual_pr_ee_ce
static const uint64_t ur_m32_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f9139d,
  0xee68fa9d1c137671, 0x8c048218b6d49816, 0x4c8c15483e7d304f, 0x0a04f89bed6788f6, 0xff32ba0cee9f72e3,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xeef9b9d4e006e1f0, 0x10cb4182a21955dd,
  0x6ffe80e784d21e2a, 0x82c2accc5ce5edcd, 0x3cad483107f8f829, 0x9e6da038ff0effaa, 0x6139dc6e737d523f,
  0xf2b95d29dacac5f2, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2, 0xa426be96c65c709c, 0x68cf539d5db8a58e,
  0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767, 0xcccaccb31be22aa3, 0x36bcb955acfe67d1,
  0xa8a9546bac80e648, 0x72bb54b7d54df673, 0xe492fe9a64d70202, 0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7,
  0xedcf43aa70210a90, 0x2ec31dbfdeaa8b48, 0x386e3cd84b997cdb, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0x30454e2bda792bf7, 0x0000000000000001,
};

// m32a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m32_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e67d, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f4779f7d7675a,
  0xd4e9598aa317218c, 0xda92029dd48c4438, 0xc16609f180904316, 0x59e23d9323055235, 0xa7dcb8c2813e26fb,
  0x87372d7e65a0e53b, 0xdea3e376c3b04e17, 0x04508e489fc1b5dc, 0xdc3e144312bfcfdf, 0x55777bbe6e1d7c00,
  0xfb8a8432d08e4886, 0x7b7a4affa039e136, 0x9e4e60b0ab331739, 0xbea8c9d520bc3ffe, 0x4b1e79b693bec1b8,
  0xf84bf10d8488bee2, 0x8bb8dc3af8551fa8, 0x72ba53b5b9b5f267, 0x51f06cc1edff51e5, 0x1d7d8b4c5315e56f,
  0x4d7d2d8cb8e1386e, 0x9ea73abb714b1d48, 0xbc6c75ec66ec1ed1, 0x8ec5a738a3886c6a, 0x132386f65deece03,
  0x95996637c45546c1, 0x7972ab59fccfa399, 0x52a8d75901cc906d, 0x76a96faa9bece751, 0x25fd34c9ae0404e5,
  0xed5688af2e9895c9, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0x7079b09732f9b65d,
  0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x44293c95fb9a1996, 0x0000000004004f82,
};

// m32a_swio13_dual_ee_hw
static const uint64_t ur_m32_swio13_dual_ee_hw[] = {
  0xedddddd0f5a1a5fb, 0xc1f756b1f5df7e34, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285b4e29,
  0x582ee9646bae9561, 0x04f8c048218b6d49, 0x47b26460aa4771f3, 0x97185027c4df6b3c, 0xc63ff995d06774fb,
  0x51c9d6c12d1c02d4, 0x14239227f0715a6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc3008037, 0x7150865a0bed10ca,
  0xb7d35ff4073c260f, 0x24e60b0ab3317397, 0x56b47fba9005aff1, 0x9830f7ea3caedd4d, 0x69bbe2bdf7ea3e0d,
  0xb1971c270dc3afb1, 0x52d7027e6909afa5, 0xbb07b467a9cead2e, 0x710d8d56ba1d7b19, 0xbdd9c071d8b4e714,
  0x1551b047eb70decb, 0x33e8e66566010df1, 0x73241b5e5caad67f, 0xfb39d454aa35d640, 0x8101395daa5beaa6,
  0xa62572497f4d326b, 0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x5f36cbb22adfef55,
  0xf52f571b8f3612e6, 0xe32fcc4fe50c2a73, 0x7bff82687993fc5c, 0x964b867a615c9f8e, 0x19961d252d9f0271,
  0xed0e8b453c95fb9a, 0x000000000000000a,
};

// m32a_swio13_dual_ee_ce_hw
static const uint64_t ur_m32_swio13_dual_ee_ce_hw[] = {
  0x1ceddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e44e77,
  0xddce43ada6f9afc7, 0xf180904316da9302, 0xc99182a907cfa609, 0x61409f137dacf11e, 0xdfe657419dd3ee5c,
  0xd35b07f870c41335, 0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x4219683054432abb,
  0xadffd01cf09a43c5, 0x305855998b9cbdb9, 0xa3cad483107f8927, 0xf9e6da038ff0effa, 0xc984e771b8495951,
  0xa3cae574a76b2b17, 0xcadea3e0d983dbfe, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2, 0x3da33d4e7576e296,
  0xd8d578d8ebd8cdd8, 0x9c071d8b4e714710, 0x8d8226470decbbdd, 0x47332b32cc6f88aa, 0x20daf2e556b3f99f,
  0xcea2a551aeb20399, 0x09caed52df5537d9, 0x2b924bfa69935c08, 0x5d73daad115e5d31, 0x417296be74079bdb,
  0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0x7f61b8f3612e65f3, 0xc6592e19e985727e, 0x6866587494b67c09,
  0x2269aa7514f257ee,
};

// m32a_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m32_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0x83eeade3d7177e67, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bcfbebb,
  0xf5f8396ff68518b9, 0x904316da92029dc1, 0x055235c16609f180, 0x3e26fb59e23d9323, 0x89ad3ba7dcb8c281,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x1d7c00dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x3317397b7a4affa0, 0x1787fe756e60b0ab, 0x39d83717d5193aa4, 0x117dc4963cf2beb0,
  0x593f51f097e21b09, 0x6be4cf1771b8edd8, 0xfea3cae574a76b73, 0x2bcadea3e0d983db, 0xc270dc3afb1698a6,
  0x963a909afa5b1971, 0xd83da33d4e7576e2, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4e7147, 0xaa8d8226470decbb,
  0x9f47332b32cc6f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809caed52df5537, 0x312b924bfa69935c,
  0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36cbb0c76ff7aaa, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x0075d48f2617d3c9,
};

// m32a_swio14_noled
static const uint64_t ur_m32_swio14_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a7a589, 0xfb50f74d06e24611, 0x5fd0ee38f8ff8be0, 0x6406d933d9fbb110,
  0x4316da93ba0bd04d, 0x099feea609f18090, 0x77cb741480f5ff48, 0x71d3f83affea3c42, 0xe62c05bdd31ebf24,
  0x11d78b9da0fa3268, 0xe556a5613db8e58c, 0x51aeb2039920daf2, 0x2bb54b7d59cea2a5, 0x5b1fbfa699359d37,
  0xeb9ed5688af2e989, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36cf5b8ab7fbd551, 0x27e7f61bb612e65f,
  0x289c6592e19e9857, 0xee6866587494b659, 0x002a41d52cdcf257,
};

// m32_swio14_noled_pr_u4            m32a_swio14_noled_pr              m32a_swio14_noled_pr_u4
static const uint64_t ur_m32_swio14_noled_pr[] = {
  0x8f77777689119391, 0x0bbb5572290044a3, 0x7b8ef5fb1a0b609e, 0x9ac1c44cd88ecf6a, 0xe6350eb4dd8e3d05,
  0x6a4eef4e32256ec4, 0x8f9827c602410c5b, 0x7ba41b7ffdcd7cf9, 0xe0c9af51c143be5b, 0x596536df97d1c74f,
  0xf9d96ba3114e62c0, 0x4f2a01ffb30475e8, 0x5ab3ee81e59edf48, 0xbac80e64836bcb95, 0xd52df5673a8a9546,
  0x7efe9a64d674dcae, 0x7b55a22bcba6256c, 0xc529e1a778efebae, 0x194f43aa7020eea6, 0x3d6e2adfef5545a6,
  0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x3f04649cf257ee68, 0x0000000000001f27,
};

// m32_swio14_noled_pr_ee_u4         m32a_swio14_noled_pr_ee           m32a_swio14_noled_pr_ee_u4
static const uint64_t ur_m32_swio14_noled_pr_ee[] = {
  0x0d7dddddda244511, 0x64dddaabf0bbd789, 0x5c7bf4f6a1933e6e, 0xbd686d0c6966ef0a, 0x2b22101b020da086,
  0x6d49dd57ccfa0d96, 0x383304f8c048218b, 0x31f483677fb9af9f, 0x8f51e565d66ab5a3, 0x8ace1fa8f83660fa,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x047f21cead2e5157, 0x6355ae875e74dd90, 0x701c762d37bd1ef7,
  0x3608fd6e1bd96cbe, 0xf2e556a0113dcf2a, 0xa551aeb2039920da, 0x372bb54b7d59cea2, 0x895b1fbfa699359d,
  0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x5f36cf5b8ab7fbd5, 0xdf1726ae0f3612e6,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x009d708599273c95,
};

// m32_swio14_noled_pr_ce_u4         m32a_swio14_noled_pr_ce           m32a_swio14_noled_pr_ce_u4
static const uint64_t ur_m32_swio14_noled_pr_ce[] = {
  0xe4dddddda2447032, 0xf8eed55e110fdc49, 0xa2ed91d267c7d83d, 0xcff5e35c19b20d4e, 0x4e542da5e15baf26,
  0x16da93bad88e72c1, 0x3fa6e609f1809043, 0xf5eea90656ff735f, 0x58f3c0254ef025c5, 0xc25f886c2445f712,
  0x8bb8dceb3643fd47, 0x8ebe4f72c67eb267, 0x24dd1c74fe0d67fa, 0xb2d746229cc580b2, 0x5403ff6678ebd1f3,
  0x59f740f2d6ee909e, 0x64073241b5e5caad, 0x96fab39d454aa35d, 0x7f4d326b3a6e576a, 0xaad115e5d312b63f,
  0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0x6cc76ff7aaa2d30c, 0xb83cd84b997cdb3d, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xb6649cf257ee6866, 0x00000000000dd7ba,
};

// m32a_swio14_noled_pr_ee_ce
static const uint64_t ur_m32_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd447768, 0xc45ddaabd85392c4, 0x9dc1d467ab43d318, 0x1f1f5a63b3126946, 0x51c7a7545832d5b3,
  0xda93baec95f14e9c, 0x36e609f180904316, 0x75a40337fee6be7d, 0x012a7663e77fd519, 0x4e771b9494ce5f9e,
  0xae43ca76b2b1ef98, 0xf51f06cc1e95ea3c, 0xe1d7d8b4c5315ba5, 0x84d7d2d8cb8e1386, 0x1fc873abb71451d4,
  0xaaf1b1d79d376401, 0x0e3b169bde8f7bb1, 0x8226470decb65f38, 0xb955a9664f73ca8d, 0x546bac80e64836bc,
  0xcaed52df5673a8a9, 0x56c7efe9a64d674d, 0xbae7b55a22bcba62, 0xea6c529e1a778efe, 0x5a6194f43aa7020e,
  0x9b67ad98edfef554, 0xf38b93571b09732f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x9a68be324e792bf7, 0x0000000000000002,
};

// m32a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m32_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda2431000, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x702cc8f250b2d9e4,
  0xda93bb5aaef3b5b3, 0x292609f180904316, 0x37482b7fff1f873e, 0xdb4072d6ee2faa3d, 0x86c2445f71258f3c,
  0x185ddbbfd47c25f8, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0xa6298add2fa8f836, 0xc65c709c370ebec5,
  0x5db8a28ea426be96, 0xbce9bb2008fe439d, 0xdef47bdd8d578d8e, 0x6f65b2f9c071d8b4, 0x327b9e546c113238,
  0x073241b5e5caad4b, 0xfab39d454aa35d64, 0x4d326b3a6e576a96, 0xd115e5d312b63f7f, 0xf0d3bc77f5d73daa,
  0xa1d5381077536294, 0xc76ff7aaa2d30ca7, 0x3cd84b997cdb3d6c, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x1358af69e4afdcd0,
  0x00000000000009f8,
};

// m32a_swio14_noled_ee_hw
static const uint64_t ur_m32_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b7d6, 0x26eed55f85debc48, 0xad5c7bb50c99f373, 0x6bd686d0c6966ef0, 0xdab22101b020da08,
  0x316da93baf5a716f, 0x33e706609f180904, 0xad198fa41b3bfe85, 0x07d47a8f2b2eb355, 0x377c5670fd47c1b3,
  0x32e384e1b875f62d, 0x8ab8d64d2135f4b6, 0xec8023f90e756972, 0xf7bb1aad743af3a6, 0x65f380e3b169bde8,
  0x7951b047eb70decb, 0x06d7972ab50089ee, 0x75152a8d75901cc9, 0xace9b95daa5beace, 0x974c4ad8fdfd34c9,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x9732f9b67adc55bf, 0x2a73f505d8dc79b0,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9,
  0x000000002dfef82a,
};

// m32_swio14_noled_ee_ce_u4_hw      m32a_swio14_noled_ee_ce_hw        m32a_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m32_swio14_noled_ee_ce_hw[] = {
  0x90dddddda243304a, 0x62eed55fd4e27448, 0x1e94edd6960cc17e, 0x86150015bb831c57, 0x302cc8f250b2d9e4,
  0xb6d49ddb1751fd40, 0xf149304f8c048218, 0x1e9ba415bfff4299, 0x9e6da0396b7717d5, 0xfc4361222fb892c7,
  0x3700006ddfea3e12, 0x94ed6e6def99e2ee, 0x0d983d2bd4795c87, 0xb1698a62b74bea3e, 0xa5b1971c270dc3af,
  0xe7576e28a3a909af, 0x63af3a6ec8023f90, 0x2d37bd1ef76355e3, 0x8e1bd96cbe701c76, 0x52cc9ee7951b044c,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0xdfd34c9ace9b95da, 0x6ab4457974c4ad8f, 0xa53c34ef1dfd75cf,
  0x29e8754e041dd4d8, 0x5b31dbfdeaa8b4c3, 0x1b8f3612e65f36cf, 0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x0209ad453c95fb9a, 0x000000000000000a,
};

// m32a_swio14_lednop
static const uint64_t ur_m32_swio14_lednop[] = {
  0x889bbbbbbacdfc4f, 0x3d6eed55c8a56912, 0xfd2e3bb87c6d0611, 0x882fe8771c7b426e, 0xb46a09b6c671fdd8,
  0x048218b6d49dd85e, 0xf48099f80d304f8c, 0xc90ef96e829007bf, 0x318e3a7f075ffd47, 0xd21cc580b7ba6d29,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x97d8f4d326b81013,
  0x73daad115e5d312b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0x997cdb4f43aa7028, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000000a91714b373,
};

// m32_swio14_lednop_pr_u4           m32a_swio14_lednop_pr             m32a_swio14_lednop_pr_u4
static const uint64_t ur_m32_swio14_lednop_pr[] = {
  0x8f777776891190e3, 0x1776aae453c7c4a3, 0x3d537b7e61f6c13c, 0x66b0714004ccbdd9, 0x58f85eebf7638f41,
  0x6a4ee8916666ec37, 0xfb9827c602410c5b, 0x7ba411effdcd7cfa, 0xe0c9af51d003be5b, 0x2cb29a3de951c74f,
  0x7ced10a31be73160, 0xe91500ffd9823af4, 0x56afadc0f2cf6c45, 0xaeb2039920daf2e5, 0xb54b7d59cea2a551,
  0xa69935c0809d372b, 0x688af2e9895cbec7, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8,
  0xf3612e65f36c648a, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x9273c95fb9a19961, 0x000000007c9aa6b1,
};

// m32a_swio14_lednop_pr_ee
static const uint64_t ur_m32_swio14_lednop_pr_ee[] = {
  0x7dddddd0f5a22a20, 0xdddaabf0bd45890d, 0x3df23b988dbe6e64, 0xb436863d76968253, 0x95a2e2f106d0435e,
  0x93ba3d8b523b8d46, 0xa609f180904316da, 0xe900d6ff735f3e96, 0xa3cad82cd56b4663, 0x943f51f06cc1f51e,
  0x386e1d7d8b4ddf15, 0x93484d7d2d8cb8e1, 0xe6e39d5a5d2b2e35, 0xab5d0ebce9bb7508, 0x38ec5a7f2238cac6,
  0x11fadc37b2d97ce0, 0xcaad402e909e546c, 0xa35d64073241b5e5, 0x576a96fab39d454a, 0x8f4d326b81013a6e,
  0xaad115e5d312b97d, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0xc1e6c25ccbe6d8c9,
  0x1f943459d3e2e4d5, 0xa1854e7ea75663c8, 0x327f8b9c65f989fc, 0x2b93f1cf7ff04d0f, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000004ebe31324e7,
};

// m32a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m32_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xda776aafc2f42e25, 0x34bab8f600f4be24, 0x7914ce3f0cf17a9b, 0x51682b2020da0a84,
  0xa93ba75a3509167d, 0x5a609f180904316d, 0x7e9069bff735f3e3, 0xea3cace1cd56b47b, 0x5c87f51f06cc1ce3,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1c4273ab4bd4a5c5, 0xab5d0ebd753769c5, 0x71d8b4d6ba3116c6,
  0x27d6e1bd970e59c0, 0x3241b5e5caad571d, 0xb39d454aa35d6407, 0x81013a6e576a96fa, 0xd312b97d8f4d326b,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0xcbe6d8c9156ff7aa, 0x1be2e4d5c1e6c25c,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x000275cb3324e792,
};

// m32_swio14_lednop_pr_ce_u4        m32a_swio14_lednop_pr_ce          m32a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32_swio14_lednop_pr_ce[] = {
  0xf26eeeeed1222a20, 0xfc776aaf08834e24, 0x47f4d2e8db622c1e, 0xcff5e35cfd833b26, 0xc6a081eba09baf26,
  0x8b6d49dd1ec5aa38, 0x9f8e5304f8c04821, 0xfaf75482dd7fb9af, 0x2c79e012a77beee2, 0xe12fc4361222fb89,
  0xc5dc6e5c89257ea3, 0x8f2fa7b9633f5933, 0x54e31c74fe0d67fa, 0xb4428c6f9cc580a6, 0x5403ff6678ebd1f3,
  0xafadc0f2d6e117a4, 0xb2039920daf2e556, 0x4b7d59cea2a551ae, 0x9935c0809d372bb5, 0x8af2e9895cbec7a6,
  0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0xc25ccbe6d8c863b7, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000001bae9a0324,
};

// m32a_swio14_lednop_pr_ee_ce
static const uint64_t ur_m32_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447705, 0xc45ddaabd8525dc4, 0x2c4edc9dac829b18, 0x1f1f5a63be4a6268, 0x97044891f832d5b3,
  0xda93bb61b653d649, 0xff2609f180904316, 0x5d690068ff735f3e, 0xc0254effe1dff546, 0x139dc6e654341ff3,
  0x2b29729dacac7be6, 0x7d47c1b307a57a8f, 0xb875f62d314c565d, 0x2135f4b632e384e1, 0x47371ceaedc95875,
  0x6abc6c75e74ddba8, 0x038ec5a7f2238cac, 0x608991c37b2d97ce, 0x2e556a59f484f2a3, 0x551aeb2039920daf,
  0x72bb54b7d59cea2a, 0xec7a69935c0809d3, 0xed5688af2e9895cb, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9,
  0x863b7fbd551691db, 0x4d5c6c25ccbe6d8c, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x5cc939e4afdcd0cc, 0x000000000014d31e,
};

// m32a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb448692df, 0xc5ddaabfa9d89891, 0x3d7adbb42cdd82fc, 0x0c2a002b713ae0d3, 0xcdd333976165b3c9,
  0x6a4eea8fa10abe26, 0xc19827c602410c5b, 0xba4087dff8fc39fe, 0xda038d77717d51e9, 0x361222fb892c79e6,
  0x705c3ffea3e12fc4, 0xd6e6def99e2ee371, 0x83d2bd479594b94e, 0x98a62b2ebea3e0d9, 0x1971c270dc3afb16,
  0x76e4ac3a909afa5b, 0xf3a6edd4239b8e75, 0xf911c656355e363a, 0xbd96cbe701c762d3, 0xfa427951b044c8e1,
  0x1cc906d7972ab52c, 0xeace75152a8d7590, 0xae0404e9b95daa5b, 0x974c4ae5f63d34c9, 0xe6f6d75cf6ab4457,
  0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0xe65f36c6431dbfde, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xda792bf734332c3a,
  0x000000027e0c9c2b,
};

// m32a_swio14_lednop_ee_hw
static const uint64_t ur_m32_swio14_lednop_ee_hw[] = {
  0x6beeeeeed1219541, 0x26eed55f85ea2c48, 0x26d33ddcc46df373, 0x35eb436863d76968, 0x9c695a2e2f106d04,
  0x62db527740524cd3, 0x67d2d4c13e301208, 0x5a331f4806b7fd0a, 0x0fa8f51e56c166ab, 0x6ef8aca1fa8f8366,
  0x65c709c370ebec5a, 0x5971ac9a426be96c, 0xdba847371cead2e9, 0xc656355ae875e74d, 0xcbe701c762d3f911,
  0xf2a3608fd6e1bd96, 0x0daf2e556a017484, 0xea2a551aeb203992, 0x09d372bb54b7d59c, 0x95cbec7a69935c08,
  0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516, 0xa0bb1b8f3612e65f,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0005bff927453c95,
};

// m32_swio14_lednop_ee_ce_u4_hw     m32a_swio14_lednop_ee_ce_hw       m32a_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2436812, 0x62eed55fd4ec4c48, 0x9ebd6dda166ec17e, 0x86150015b89d7069, 0xe6e999cbb0b2d9e4,
  0x2db527777ec2da9a, 0xff60cc13e3012086, 0x8f4dd2043effa14c, 0xcf36d01c6bbb8bea, 0x7e21b09117dc4963,
  0x373907575ff51f09, 0x94ed6e6def99e2ee, 0x0d983d2bd479594b, 0xb1698a62b2ebea3e, 0xa5b1971c270dc3af,
  0xe7576e4ac3a909af, 0x63af3a6edd4239b8, 0x2d3f911c656355e3, 0x8e1bd96cbe701c76, 0x52cfa427951b044c,
  0x5901cc906d7972ab, 0xa5beace75152a8d7, 0x4c9ae0404e9b95da, 0x457974c4ae5f63d3, 0xd01e6f6d75cf6ab4,
  0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x612e65f36c6431db, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x9453c95fb9a19961, 0x0000000000a02193,
};

/*
 * m32_swio14_dual_pr                m32_swio14_dual_pr_u4             m32a_swio14_dual
 * m32a_swio14_dual_pr               m32a_swio14_dual_pr_u4
 */
static const uint64_t ur_m32_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0x6c1f756e3ff6afc6, 0xd67dba24792b4b3f, 0xc895b312759051ba, 0xe2d3924c69dbad16,
  0x2490770fcabdd17a, 0xcc13e30120862db5, 0x788f64c8c1548e6f, 0xf72e30a04f89bed6, 0x2cce4ff32ba0cee9,
  0x37a8efe6c17d9c0a, 0xf04508e489fc1995, 0x0dc3e144312bfcfd, 0x1955ddeef9b96b60, 0x35ad150865a11922,
  0x9cbdb975ffa039e1, 0xff1f05305855998b, 0x7910ef961f29054a, 0x5dd471d3f83117d4, 0xdef398b01758a6a9,
  0xb30475e0353b0288, 0x967b79160faa01ff, 0x67d1cccacca42e07, 0xe64836bcb955acfe, 0x5673a8a9546bac80,
  0x7020274dcaed52df, 0xba62572fb1e9a64d, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0x997cdb1922adfef5, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x69e4afdcd0ccb0e9, 0x0000002926838caf,
};

// m32a_swio14_dual_pr_ee
static const uint64_t ur_m32_swio14_dual_pr_ee[] = {
  0xb2ddddddd41432db, 0xe60fbab58fae37e3, 0xd70bddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0x1771c115658219d2, 0x7c602410c5b6a4ac, 0xd932305522c93982, 0x8c2813e26fb59e23, 0x1ffccae833ba7dcb,
  0xe4eb60968e016a63, 0x11c913f838ad37a8, 0xc2886257f9fbe08a, 0x77bbe6e737c01b87, 0xa8432d05f6886557,
  0x4dbffa039e1307b8, 0xa60b0ab3317397b7, 0xd1945a4143ffe3e0, 0x6657a8f2bdf7355a, 0x77c572bbd47c1b30,
  0x2e384e1b875f62d3, 0xae04fcd2135f4b63, 0x1948f4a39d5a5cba, 0x8d8d56ba1d7b19bb, 0xb380e3b169cbe469,
  0xa3608fd6e1bd977b, 0xd1cccacc0283f6b2, 0x4836bcb955acfe67, 0x73a8a9546bac80e6, 0x20274dcaed52df56,
  0x62572fb1e9a64d70, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0x7cdb1922adfef554,
  0x165abc6e3cd84b99, 0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x8af69e4afdcd0ccb, 0x00000000002b215a,
};

// m32a_swio14_dual_pr_ee_u4
static const uint64_t ur_m32_swio14_dual_pr_ee_u4[] = {
  0x1bb777776890cf68, 0xdb07dd5ac78ebdf8, 0xb6b8ee9d60148ce0, 0xb999f4e7adb9f6cf, 0x6227a8fbad8ca161,
  0x98977347d4ebdc37, 0x827c602410c5b6a4, 0x23d932305522c939, 0xcb8c2813e26fb59e, 0x325afccae833ba7d,
  0xd478adb01ac70275, 0x4508e489fc1efb9b, 0xc3e144312bfcfdf0, 0x55ddeef9b949400d, 0x122a10cb423da219,
  0xf6e9b7ff4073c269, 0x7c14c16156662e72, 0x55ad1bf948287ffc, 0x660c27fa8f2b60b3, 0x5a6ef8ae43fa8f83,
  0x6c65c709c370ebec, 0x9455c0719a426be9, 0xa769c51cdc73ab4b, 0x8e32b1aad743af29, 0xb726701c762d35ae,
  0x6566b8e93eb70dec, 0x5e5caad67f33e8e6, 0x54aa35d64073241b, 0xa6e576a96fab39d4, 0x97d8f4d326b81013,
  0x73daad115e5d312b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0x997cdb4f43aa7028, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x69e4afdcd0ccb0e9, 0x00000001593a78af,
};

// m32a_swio14_dual_pr_ce
static const uint64_t ur_m32_swio14_dual_pr_ce[] = {
  0x67bbbbba1eb432db, 0x2c1f756a86806fc6, 0xdc99ba3dac35c112, 0x0b582ecae7517b3e, 0x675dd85b3ef7599c,
  0x93f4ddc704558d3c, 0x6609f180904316da, 0x788f64c8c1548780, 0xf72e30a04f89bed6, 0x19babff32ba0cee9,
  0xdea3eced8472381c, 0x822847244fe0e574, 0x6e1f0a21895fe7ef, 0xcaaeef77cdcca800, 0x09f150865a01ed10,
  0x2f6f63fff4073c26, 0xc7c14c16156662e7, 0xcae2fa98fa4035bf, 0xfb892c79e6da0391, 0xfea3e12fc4361222,
  0x3f33c5dc6e2545c8, 0xc3f51fa89ee58cf1, 0x0580c13e38e9fc1d, 0x0d4ec0a237bce62c, 0x83ea807feccf1d78,
  0xacca42e0796b7645, 0xcb955acfe67d1ccc, 0x9546bac80e64836b, 0xdcaed52df5673a8a, 0xfb1e9a64d7020274,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x218edfef5545a476, 0x0dc79b09732f9b63,
  0xb337f07771a2ce9f, 0xcc4fe50c2a73f53a, 0x82687993fc5ce32f, 0x867a615c9f8e7bff, 0x1d252d9f0271964b,
  0x15ed3c95fb9a1996, 0x0000000000349176,
};

// m32a_swio14_dual_pr_ce_u4
static const uint64_t ur_m32_swio14_dual_pr_ce_u4[] = {
  0x44edddddda2432db, 0x4ac1f756a86eb77e, 0xda9afbb618a774ee, 0x8efe9b33dfbb1739, 0xce947ee733edd89c,
  0x93645dc7045580f8, 0xe609f180904316da, 0x788f64c8c1548e1f, 0xf72e30a04f89bed6, 0xdcd15bf32ba0cee9,
  0x6f51f2b6c37d9c34, 0xc114239227f0650e, 0x370f8510c4aff3f7, 0x655777bbe6e32180, 0xa718a8432d009e88,
  0xe5edd2d7fd01cf09, 0xf8f82982c2accc5c, 0xbeee2faf75482dd7, 0x2fb892c79e6da039, 0x8fea3e12fc436122,
  0xf5933c5dc6e2545c, 0xd67fa8f2fa7b9633, 0x580a654e31c74fe0, 0xbd1f3b4428c6f9cc, 0xb31d41fdc72c678e,
  0x2e556b3f99f47332, 0x551aeb2039920daf, 0x72bb54b7d59cea2a, 0xec7a69935c0809d3, 0xed5688af2e9895cb,
  0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0x371e6c25ccbe6d8c, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x69216657b4f257ee,
};

// m32a_swio14_dual_pr_ee_ce
static const uint64_t ur_m32_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xb0cc1f75675e3f2f, 0xbef5ef74abcb1362, 0x7da2945aad041f26, 0x04bebe4cb27e4765,
  0x6ee78233a96453ab, 0xf8c048218b6d4981, 0x64c8c1548f3d7304, 0x30a04f89bed6788f, 0xeff32ba0cee9f72e,
  0xe9ad83fc3862099a, 0x47244fe0ffe4dea3, 0x0a21895fe7ef8228, 0xbddf370617006e1f, 0x4219683054432abb,
  0x60ffd01cf09a43c5, 0x305855998b9cbdbf, 0x8f02520b5bff1f05, 0xcf36d01c9db3bfea, 0x309cee370112601f,
  0x795e5694ed6562f9, 0x09ea3e0d983eebd4, 0x0dc3afb1698a62bc, 0xa909afa5b1971c27, 0x523d28e7576e2ea3,
  0xc6abc6c75ec66ec6, 0xc071d8b4e5f234c6, 0xd8226470decbbdd9, 0x7332b32ce0fdaca8, 0x0daf2e556b3f99f4,
  0xea2a551aeb203992, 0x09d372bb54b7d59c, 0x95cbec7a69935c08, 0xaeb9ed5688af2e98, 0x20b94b5f3a03cded,
  0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x002609ce15ed3c95,
};

// m32a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m32_swio14_dual_pr_ee_ce_u4[] = {
  0x7bbbbbb456ddb69f, 0x0fbab78fabddf89f, 0xbc16a27d68e76ca6, 0x1d7fabd823859c16, 0xf98bd1da7df5d9d6,
  0x5cce8438dfc37931, 0x6da92029dd202f9e, 0xf67a609f18090431, 0xb59e23d932305522, 0xba7dcb8c2813e26f,
  0x787372d7e65a0e53, 0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x655777bbe6e3c020,
  0x6fb8a8432d08e488, 0x97b7b91ffa039e13, 0xe9e4e60b0ab33173, 0x8bea8ce0d2035bff, 0x24b1e79b693bfd7b,
  0x8f84bf10d8488bee, 0xf1771b8f00c463fa, 0xaf2b4a76b736be4c, 0xf51f06cc1f75ea3c, 0xe1d7d8b4c5315e04,
  0x84d7d2d8cb8e1386, 0x1e9473abb71751d4, 0x55e363af63376329, 0x38ec5a72f91a6363, 0x1132386f65deece0,
  0x995996707ed6546c, 0xd7972ab59fccfa39, 0x152a8d75901cc906, 0xe9b95daa5beace75, 0xe5f63d34c9ae0404,
  0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0xc6431dbfdeaa8b48, 0x26ae0f3612e65f36,
  0xdfc1fb763458df17, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0xe0a8852792bf7343, 0x0000000000010012,
};

// m32a_swio14_dual_ee_hw
static const uint64_t ur_m32_swio14_dual_ee_hw[] = {
  0x8ecb777776890c86, 0x13983eead63eb8df, 0xef5c2f77650f6323, 0x229506db105947f3, 0xa843b36eb63285bb,
  0x2560bbbbb1bb3798, 0xcc13e30120862db5, 0xf11ec99182a91649, 0xee5c61409f137dac, 0x5318ffe657419dd3,
  0xbd47275b04b4700b, 0x04508e489fc1c569, 0xdc3e144312bfcfdf, 0x2abbbddf3739be00, 0x3dc54219682fb443,
  0xbdba6dffd01cf098, 0x8927305855998b9c, 0xd56b465169050fff, 0x6cc1995ea3caf7dc, 0x8b4ddf15caef51f0,
  0x2d8cb8e1386e1d7d, 0x72eab813f3484d7d, 0x66ec6523d28e7569, 0x91a636355ae875ec, 0x5deece038ec5a72f,
  0xdaca8d823f5b86f6, 0xf99f47332b300a0f, 0x039920daf2e556b3, 0x7d59cea2a551aeb2, 0x35c0809d372bb54b,
  0xf2e9895cbec7a699, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x2e65f36c648ab7fb,
  0x54e7ea0bb1b8f361, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x000000005768ad54,
};

// m32a_swio14_dual_ee_ce_hw
static const uint64_t ur_m32_swio14_dual_ee_ce_hw[] = {
  0x6caddddddd437089, 0x8660fbab3af1f97e, 0xf7af7ba55e589b15, 0xed14a2d56820f935, 0x25f5f26593f23b2b,
  0x5bbaf27acadada58, 0x3e30120862db5260, 0xd932305523cf5cc1, 0x8c2813e26fb59e23, 0xbbfccae833ba7dcb,
  0xfa6b60ff0e188266, 0x11c913f83ff937a8, 0xc2886257f9fbe08a, 0xef77cdc185c01b87, 0x50865a0c1510caae,
  0xd83ff4073c2690f1, 0xcc16156662e72f6f, 0x51e04a416b7fe249, 0xf9e6da0393b677fd, 0xc984e771b9494ce5,
  0xa3caf2b4a76b2b17, 0xe04f51f06cc1f75e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0x3291e9473abb7175,
  0x36355e363af63376, 0xce038ec5a72f91a6, 0x46c1132386f65dee, 0xa39995996707ed65, 0x906d7972ab59fccf,
  0xe75152a8d75901cc, 0x404e9b95daa5beac, 0xc4ae5f63d34c9ae0, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f,
  0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0x7e7f61b8f3612e65, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00089a7ce514f257,
};

// m32a_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m32_swio14_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468b202, 0x83eeade3eaf77e27, 0x705ba89f5a39db29, 0x75875feaf608e17a, 0x4c7e62f4769f7d76,
  0xd6e918ef0727f0de, 0x904316da92029ddf, 0x05522f67a609f180, 0x3e26fb59e23d9323, 0x89ad3ba7dcb8c281,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x3c0200dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x3317397b7b91ffa0, 0x06b7fe756e60b0ab, 0x39faf717d519c1a4, 0x117dc4963cf2beb0,
  0xe0bf51f097e21b09, 0xb5f2678bb8dcea72, 0xaf51e5795a53b5b9, 0x8af027a8f83660fb, 0x709c370ebec5a629,
  0xba8ea426be96c65c, 0xbb1948f4a39d5db8, 0xd31b1aaf1b1d7b19, 0xf76701c762d397c8, 0xb2a3608991c37b2e,
  0x67d1cccaccb383f6, 0xe64836bcb955acfe, 0x5673a8a9546bac80, 0x7020274dcaed52df, 0xba62572fb1e9a64d,
  0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381, 0x32f9b63218edfef5, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00003aebcf430be9,
};

// m32a_swio15_noled
static const uint64_t ur_m32_swio15_noled[] = {
  0x5a9377777759bb37, 0x44f5bbb557228322, 0x64f7c7eea1c48918, 0x905fd0eee25d7d68, 0x434d88036dbc9bba,
  0x2410c5b6a4eed8f6, 0xa404cfedf9827c60, 0xe43be5ba4a41d47f, 0x491c74fe0f9ef51f, 0xa0398b016f74dd46,
  0x630475e2e761be8f, 0xbcb955a9584d6e39, 0xa9546bac80e64836, 0xdcaed52df57673a8, 0x2ad5fefe9a64d674,
  0x5d73daad115e5d31, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xf9b6409156ff7aaa, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x0002a4fae966e792,
};

// m32_swio15_noled_pr_u4            m32a_swio15_noled_pr              m32a_swio15_noled_pr_u4
static const uint64_t ur_m32_swio15_noled_pr[] = {
  0x277777768911259b, 0x1776aae450b8c4ae, 0xbd7a7bab21c6c13c, 0x66b1a0edbf4af263, 0xc2ff1e35f76e2741,
  0x6a4eecbbb120ce05, 0xfc9827c602410c5b, 0x07e90195fee6be7d, 0xe0fa0f51e5f1df2d, 0x16594c654e31c74f,
  0x1f3b3de8f7b398b0, 0xc9a5403ff6608ebd, 0xab555aa07967b770, 0xd75901cc906d7972, 0xaa5beaece75152a8,
  0xfdfd34c9ace9b95d, 0xb55a22bcba6255ab, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61,
  0x6ae0f3612e65f36c, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0x40599273c95fb9a1, 0x0000000000007c98,
};

// m32a_swio15_noled_pr_ee
static const uint64_t ur_m32_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22044, 0xdddaabf0bd058971, 0x7a6277c7edbe6e64, 0x86d1331a67ec90fa, 0xd452b620da0b8fd6,
  0x77505272b8210da2, 0xc13e30120862db52, 0x208adfee6be7c9d4, 0x3caca5cd56b46fe5, 0xebea3e0d98309fea,
  0x0dc3afb169bbe2b2, 0x6909afa5b1971c27, 0x4873ab4bfee5c6b2, 0x6ba1d79d376d291e, 0x3b169a628e0fd8d5,
  0x7eb70decb65f380e, 0x56a0113582d51b04, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0xfbfa699359d372bb,
  0x6ab4457974c4ab57, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3, 0xd5c1e6c25ccbe6d9,
  0xc81f943459d3e2e4, 0xfca1854e7ea75663, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x00000009d7e9e324,
};

// m32a_swio15_noled_pr_ee_u4
static const uint64_t ur_m32_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed1222582, 0xb4eed55f85da5c48, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x0b42d68106d045ed,
  0x49dd3b410e5d96aa, 0xd304f8c048218b6d, 0x54837dffb9af9f8a, 0xa8f2b74b355ad199, 0x7f3bd47c1b306807,
  0x4e1b875f62d377c5, 0x4cd2135f4b632e38, 0x6f79cead2f019714, 0xad743af5d4dd8144, 0x8ec5a79151dc3b1a,
  0xbeb70decb872ce03, 0x920daf2e556ab826, 0x9cea2a551aeb2039, 0x359d372bb54b7d5d, 0x974c4ab57fbfa699,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x25ccbe6d902455bf, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000275d22f324e,
};

// m32_swio15_noled_pr_ce_u4         m32a_swio15_noled_pr_ce           m32a_swio15_noled_pr_ce_u4
static const uint64_t ur_m32_swio15_noled_pr_ce[] = {
  0x426eeeeed1222044, 0xfc776aaf0890ce25, 0x6475a2eedb75ec1e, 0x67fafe3f8bcd8c77, 0x0437ae34c90dda13,
  0x8b6d49dd4149cba7, 0x9fd9d304f8c04821, 0xf5dbf482577fb9af, 0x58f3c0254ef2b5c5, 0xc25f886c2445f712,
  0x8bb8dc4a8b91fd47, 0x8f374f72c67eb267, 0xe8148e3a7f064f7a, 0xecf7a3dece62c05e, 0x9500ffd99e3af47c,
  0x555aa0796b75c326, 0x5901cc906d7972ab, 0x5beaece75152a8d7, 0xfd34c9ace9b95daa, 0x5a22bcba6255abfd,
  0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x18edfef5545a6194, 0xc1e6c25ccbe6d902, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xa324e792bf734332, 0x0000000000375eac,
};

// m32a_swio15_noled_pr_ee_ce
static const uint64_t ur_m32_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd4477d6, 0x88bbb557b0a2c189, 0xb467a8ef504b2631, 0xfe3eb47a74cd71d0, 0x0919776460cb5685,
  0x6a4eebd69c452bed, 0x9a9827c602410c5b, 0x4ba41ff3fdcd7cfe, 0x012a7763e77fd519, 0x4e771b8495951f9e,
  0xace1ca76b2b1ef98, 0xf51f06cc19ebea3c, 0xe1d7d8b4c5315c87, 0x84d7d2d8cb8e1386, 0x1e4873abb77ee1d4,
  0xaaf1b1d79d376d29, 0x1c762d34c51c1fb1, 0x044c8e1bd96cbe70, 0xe556a5993582d51b, 0x51aeb2039920daf2,
  0xbb54b7d5d9cea2a5, 0x57fbfa699359d372, 0xcf6ab4457974c4ab, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4,
  0xb20431dbfdeaa8b4, 0xc5c9ab8d84b997cd, 0xab31e40fca1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0x763f99273c95fb9a, 0x000000000000029a,
};

// m32a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m32_swio15_noled_pr_ee_ce_u4[] = {
  0x68dddddda2436d3a, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0x8ccec4ac10b2d9eb,
  0xb52776e76cd8f6c9, 0x374c13e30120862d, 0x75206bbffc7e1cfe, 0xb680e620b8bea8f6, 0x0d8488bee24b1e79,
  0x7539705fa8f84bf1, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b38729, 0xd314c5721fd47c1b, 0x632e384e1b875f62,
  0xaeddfb8752135f4b, 0x5e74ddb4a47921ce, 0xd314707ec6abc6c7, 0x6f65b2f9c071d8b4, 0x64d60b546c113238,
  0x0e64836bcb955a96, 0x57673a8a9546bac8, 0xa64d674dcaed52df, 0x15e5d312ad5fefe9, 0xd3bc77f5d73daad1,
  0xd5381077536294f0, 0x6ff7aaa2d30ca7a1, 0x3612e65f36c810c7, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xa52bda792bf73433,
  0x0000000000027e65,
};

// m32a_swio15_noled_ee_hw
static const uint64_t ur_m32_swio15_noled_ee_hw[] = {
  0x8feeeeeed121af43, 0x26eed55f85e82c4b, 0x0dfa7bbe3f6df373, 0xfd686d1331a67ec9, 0x9a2d452b620da0b8,
  0x5b6a4eeb4efb5bb2, 0xf93a9827c602410c, 0xa37f290456ffa14c, 0x84ff51e5652e6ab5, 0xdf15975f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x6948f2439d5a5ff7, 0x7ec6ab5d0ebce9bb, 0xf9c071d8b4d31470,
  0xa8d823f5b86f65b2, 0xd7972ab50089ac16, 0x152a8d75901cc906, 0x9b95daa5beaece75, 0x255abfdfd34c9ace,
  0xebae7b55a22bcba6, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x5f36c8122adfef55, 0x7ea0bb1b8f3612e6,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000002df00ad453c,
};

// m32_swio15_noled_ee_ce_u4_hw      m32a_swio15_noled_ee_ce_hw        m32a_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m32_swio15_noled_ee_ce_hw[] = {
  0x68dddddda243173e, 0x62eed55fd4f27449, 0x9e94add1a78bc17e, 0x461500033466247e, 0xeccec4ac10b2d9eb,
  0xb6d49ddcfb403a89, 0xf8dd304f8c048218, 0x3d9d481aeffe8533, 0x9e6da039882e2faa, 0xfc4361222fb892c7,
  0x6e6a83c83fea3e12, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x62d314c5721fd47c, 0x4b632e384e1b875f,
  0xceaeddfb8752135f, 0xc75e74ddb4a47921, 0xb4d314707ec6abc6, 0x386f65b2f9c071d8, 0x9664d60b546c1132,
  0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0xe9a64d674dcaed52, 0xd115e5d312ad5fef, 0xf0d3bc77f5d73daa,
  0xa1d5381077536294, 0xc76ff7aaa2d30ca7, 0x8f3612e65f36c810, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xcb4b453c95fb9a19, 0x0000000000000a02,
};

// m32a_swio15_lednop
static const uint64_t ur_m32_swio15_lednop[] = {
  0x6a4ddddddd66ef3a, 0x3d6eed55c8a0d789, 0x7da87bbebfc2c611, 0x905fd0eee274bdf3, 0x4d6406d93375fbba,
  0x904316da93ba0bd0, 0x90133ebee609f180, 0xe1df2dd25208f7fe, 0x18e3a7f07cf7a8eb, 0x19cc580b7ba63d62,
  0x1823af173b6f68ee, 0xcb955a958b3f71cb, 0x9546bac80e64836b, 0xcaed52df57673a8a, 0xb1e9a64d7020274d,
  0xdaad115e5d312b92, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x7cdb4f43aa70273e, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000a90754b373c9,
};

// m32_swio15_lednop_pr_u4           m32a_swio15_lednop_pr             m32a_swio15_lednop_pr_u4
static const uint64_t ur_m32_swio15_lednop_pr[] = {
  0x2777777689110cc5, 0x0bbb55722998c4ae, 0x6f70ad36bd7b609e, 0xb358d04b8edbf16a, 0x9a982f623bb713a0,
  0xb527760d86e3f66e, 0xa54c13e30120862d, 0x0fd2031ffee6be7e, 0xe0fa0f51f4a3be5a, 0x2cb298c79eb1c74f,
  0x3e76f911c6473160, 0xb86a807fecc11d7a, 0x56b02b40f2cf6f7b, 0xaeb2039920daf2e5, 0x54b7d5d9cea2a551,
  0x69935c0809d372bb, 0x4457974c4ae4ac7a, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43,
  0x6c25ccbe6d976455, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x4e792bf734332c3a, 0x0000000f937ea832,
};

// m32a_swio15_lednop_pr_ee
static const uint64_t ur_m32_swio15_lednop_pr_ee[] = {
  0xfdddddd0f5a232a8, 0xdddaabf0bd918971, 0x1de4bb0be00e6e64, 0x436899d051a6c879, 0xc8f9bb106d05c7eb,
  0x3ba75a3544e67cb8, 0x609f180904316da9, 0x20383fee6be7e87e, 0x3cad4f4d56b46fe5, 0x0bea3e0d98309fea,
  0x0dc3afb169bbe2b6, 0x6909afa5b1971c27, 0x2873ab4bfce5c6b2, 0xd743af3a6ec13d18, 0x762d3c911e45b1aa,
  0xfd6e1bd96cbe701c, 0xad402b864d2a3608, 0x5d64073241b5e5ca, 0xa96fabb39d454aa3, 0xd326b81013a6e576,
  0x88af2e9895c958f4, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xd84b997cdb2ec8ab,
  0x868b3a7c5c9ab83c, 0xa9cfd4eacc7903f2, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x009d75d8649cf257,
};

// m32a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m32_swio15_lednop_pr_ee_u4[] = {
  0x17bdddddda244511, 0x369ddaabf0bbd789, 0x52e3dfa7a5c46789, 0xede4531d7b4b3778, 0x1591080d8106d045,
  0xb6a4eeabe67d06cb, 0x9c19827c602410c5, 0xccaa41b3bfdcd7cf, 0x03d47959759aad68, 0xe2b387ea3e0d9834,
  0x1c270dc3afb169bb, 0x8a266909afa5b197, 0x023f90e7569728ab, 0x8d56ba1d7aea6ec8, 0xc071d8b4def47bdd,
  0x2e1fd6e1bd970e59, 0x0e64836bcb955aae, 0x57673a8a9546bac8, 0x7020274dcaed52df, 0x5d312b92b1e9a64d,
  0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x32f9b65d9156ff7a, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0004eb842cc939e4,
};

// m32_swio15_lednop_pr_ce_u4        m32a_swio15_lednop_pr_ce          m32a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m32_swio15_lednop_pr_ce[] = {
  0x426eeeeed12232a8, 0xfc776aaf08942e25, 0x34bab8f600f4ac1e, 0x67fafe3f0cf17a9b, 0xb3ea8b41590dda13,
  0x8b6d49dd3ad1a848, 0x9f1ad304f8c04821, 0xf5dbf4834dffb9af, 0x58f3c0254eedd5c5, 0xc25f886c2445f712,
  0x8bb8dca4a672fd47, 0x8f38cf72c67eb267, 0xed008e3a7f064f7a, 0xdbe447191cc580a1, 0xaa01ffb33c75e8f9,
  0xb02b40f2d6edeee1, 0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0x935c0809d372bb54, 0x57974c4ae4ac7a69,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb2ec31dbf, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000006eb966649c,
};

// m32a_swio15_lednop_pr_ee_ce
static const uint64_t ur_m32_swio15_lednop_pr_ee_ce[] = {
  0x42fddddddd445541, 0x88bbb557b0a47189, 0x064ed323a6c61431, 0x7f8fad1e9ac1a661, 0xc8ce0d9a5832d5a1,
  0xda93ba0292634e39, 0xd6e609f180904316, 0x4ba409b7fee6be7e, 0x012a77bb477fd519, 0x9cee373a3ea49f9e,
  0x594394ed6563df30, 0xea3e0d9833d7d479, 0xc3afb1698a62b297, 0x09afa5b1971c270d, 0x3050e7576ef9c3a9,
  0xabc6c75e74dd827a, 0x71d8b4f2447916c6, 0x1132386f65b2f9c0, 0x955a96770c9a546c, 0x46bac80e64836bcb,
  0xed52df57673a8a95, 0xe9a64d7020274dca, 0xad115e5d312b92b1, 0xbe74079bdb5d73da, 0x0ea9c0842a417296,
  0x76ff7aaa2d23b73d, 0xe3612e65f36cbb0c, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e,
  0x49cf257ee6866587, 0x00000000a699c286,
};

// m32a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m32_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb44864541, 0xc5ddaabfa9c0b892, 0x1d69dbaf5cfd82fc, 0x8c2a0006793919f9, 0x8a706e8e2165b3d6,
  0xb527750093738b0f, 0xadcc13e30120862d, 0x3a900a4ffc7e1cf9, 0xdb4072005c5f547b, 0x86c2445f71258f3c,
  0x05919ebfd47c25f8, 0xdadcdbdf33c5dc6e, 0x3067afa8f2b28729, 0xd314c5652fd47c1b, 0x632e384e1b875f62,
  0xaeddf38752135f4b, 0xbce9bb04f460a1ce, 0xe488f22d8d578d8e, 0xdecb65f380e3b169, 0xee1934a8d8226470,
  0x1cc906d7972ab52c, 0xaece75152a8d7590, 0xe0404e9b95daa5be, 0xba62572563d34c9a, 0x37b6bae7b55a22bc,
  0x085482e52d7ce80f, 0x545a476e7a1d5381, 0xcbe6d97618edfef5, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x0000004fcb72057b,
};

// m32a_swio15_lednop_ee_hw
static const uint64_t ur_m32_swio15_lednop_ee_hw[] = {
  0x8feeeeeed121b032, 0x26eed55f85ec8c4b, 0x86f91dd85f007373, 0x7eb436899d051a6c, 0x4b8c8f9bb106d05c,
  0x2db52775b11ced4e, 0xfd0fcc13e3012086, 0xa37f2901c1ffa14c, 0x84ff51e56a7a6ab5, 0xdf15b05f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x09e8c1439d5a5fe7, 0x2d8d56ba1d79d376, 0xf380e3b169e488f2,
  0x51b047eb70decb65, 0xaf2e556a015c3269, 0x2a551aeb2039920d, 0x372bb54b7d5d9cea, 0x4ac7a69935c0809d,
  0xcf6ab4457974c4ae, 0xca5af9d01e6f6d75, 0xdcf43aa70210a905, 0x76455bfdeaa8b48e, 0x6371e6c25ccbe6d9,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xb7cd60a8a792bf73, 0x0000000000000000,
};

// m32_swio15_lednop_ee_ce_u4_hw     m32a_swio15_lednop_ee_ce_hw       m32a_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m32_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda2431bc1, 0x62eed55fd4e05c49, 0x8eb4edd7ae7ec17e, 0x461500033c9c8cfc, 0x6538374710b2d9eb,
  0x5b6a4ee8eba6bef7, 0xf35b9827c602410c, 0x8f67520149ff4299, 0xe79b680e400b8bea, 0xbf10d8488bee24b1,
  0x8dc0a47ce5fa8f84, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0xec5a6298aca5fa8f, 0xe96c65c709c370eb,
  0x39d5dbbe70ea426b, 0xb1d79d37609e8c14, 0x2d3c911e45b1aaf1, 0x8e1bd96cbe701c76, 0xa59dc326951b044c,
  0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0x935c0809d372bb54, 0x57974c4ae4ac7a69, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b997cdb2ec31dbf, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286,
  0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x00000000280adc85,
};

/*
 * m32_swio15_dual_pr                m32_swio15_dual_pr_u4             m32a_swio15_dual
 * m32a_swio15_dual_pr               m32a_swio15_dual_pr_u4
 */
static const uint64_t ur_m32_swio15_dual[] = {
  0x3fbbbbbb44865c93, 0x6c1f756e3fb2afc2, 0xd2c5bb06d60b4b3f, 0xc895ba66af8ed14e, 0xe4c219ceb0dba47e,
  0x4920ee19c5c5badd, 0x9827c602410c5b6a, 0xf11ec99182a90601, 0xee5c61409f137dac, 0x599c9fe657419dd3,
  0x6f51dfcd82fb3814, 0xe08a11c913f8332a, 0x1b87c2886257f9fb, 0x1955ddeef9b98800, 0x35ad150865a11922,
  0x9cbdb94bffa039e1, 0xff1f05305855998b, 0xfdd1df2cb5e90145, 0xedf8e3a7f07bdfa8, 0x4c4e62c05d6298a2,
  0x9823af01a9da5f23, 0x59ed8f837d500ffd, 0x9f47332b314e381e, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203,
  0x0809d372bb54b7d5, 0x4c4ae4ac7a69935c, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021,
  0xbe6d976455bfdeaa, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000014935e7c57b4,
};

// m32a_swio15_dual_pr_ee
static const uint64_t ur_m32_swio15_dual_pr_ee[] = {
  0xadbbbbbba8286f97, 0x983eead63ebbefc7, 0xbee375261d632313, 0x2a0da0a4d740255f, 0x26f26568650b7ac5,
  0x05dcf04675c7f53a, 0x9f180904316da92b, 0xf64c8c1548ee3e60, 0xe30a04f89bed6788, 0xc7ff32ba0cee9f72,
  0x393ad825a3805a98, 0x847244fe0e2b4dea, 0xf0a21895fe7ef822, 0xddeef9b8601006e1, 0x2a10cb417da21955,
  0xfa6bfe80e784c1ee, 0x14c16156662e72f6, 0xad1feea4016bfc7c, 0x0c3dfa8f2bb75355, 0x6ef8af7dfa8f8366,
  0x65c709c370ebec5a, 0xb5c09f9a426be96c, 0xc1ed19ea73ab4b94, 0x436355ae875ec66e, 0x76701c762d39c51c,
  0x546c11fadc37b2ef, 0xfa39995980437c45, 0xc906d7972ab59fcc, 0xce75152a8d75901c, 0x404e9b95daa5beae,
  0x62572563d34c9ae0, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf36cbb22adfef554,
  0x596af1b8f3612e65, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x2bda792bf734332c, 0x0000000001590745,
};

// m32a_swio15_dual_pr_ee_u4
static const uint64_t ur_m32_swio15_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0x0db07dd5ac7d17df, 0x16d77eeabe6c48ce, 0xdd333e9cd3b4abcb, 0x798a164035a1942c,
  0x524c4bbbbb1bb2d0, 0x7cc13e30120862db, 0xcf11ec99182a91dc, 0x3ee5c61409f137da, 0x3a992d7e657419dd,
  0xcdea3c56d80d6381, 0xf822847244fe0f7d, 0x06e1f0a21895fe7e, 0x0caaeef77cdc24a0, 0x3489150865a11ed1,
  0x9cbdbe9affa039e1, 0xff1f05305855998b, 0xf4d56b4701a9005a, 0xf06cc1c89ea3cad4, 0x7d8b4ddf159c3f51,
  0x7d2d8cb8e1386e1d, 0x697fdcb80e33484d, 0xe534ec8023050e75, 0xf7a3c8b6355ae875, 0xbd96e4ce038ec5a6,
  0x399959ae2e1fd6e1, 0x06d7972ab59fccfa, 0x75152a8d75901cc9, 0x4e9b95daa5beaece, 0x572563d34c9ae040,
  0x5ae7b55a22bcba62, 0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x9732f9b69e8754e0, 0xeee3458df0dc79b0,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x5ed3c95fb9a19961, 0x0000000001592051,
};

// m32a_swio15_dual_pr_ce
static const uint64_t ur_m32_swio15_dual_pr_ce[] = {
  0xbb7777743d686f97, 0xb07dd5aa1a27df81, 0xa10ee9d601570448, 0xb582f5aabdd6cb16, 0x55c535cabf743740,
  0xfa6ee78233a1f8a7, 0x04f8c048218b6d49, 0x47b26460aa41d7d3, 0x97185027c4df6b3c, 0xdd5ff995d06774fb,
  0x51f676c2391c0e0c, 0x14239227f072ba6f, 0x0f8510c4aff3f7c1, 0xaeef77cdce8f8037, 0xf150865a01ed10ca,
  0x6e337ff4073c2609, 0xc14c16156662e72f, 0x717d5fca40707fc7, 0xc4963cf36d01c1ad, 0x51f097e21b09117d,
  0x99e2ee37190e92bf, 0xf51c27cf72c6789f, 0x57dc891c74fe0ed6, 0xa7697c8d31398b01, 0xf5403ff6678ebc06,
  0x314e381e5adc3e0d, 0xe556b3f99f47332b, 0x51aeb2039920daf2, 0xbb54b7d5d9cea2a5, 0x7a69935c0809d372,
  0xab4457974c4ae4ac, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x3cd84b997cdb2ec3,
  0xbf83bb8d1674f86e, 0x7f2861539fa9d599, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x69e4afdcd0ccb0e9, 0x00000000692190af,
};

// m32a_swio15_dual_pr_ce_u4
static const uint64_t ur_m32_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92b07dd5aa1d6afc, 0xe5bddee80a295d3b, 0xc8efe986e1d7cfb4, 0xd4e900d57962ddc9,
  0x526c8bb9e08ce9c2, 0x5cc13e30120862db, 0xcf11ec99182a90cf, 0x3ee5c61409f137da, 0x9b9a2b7e657419dd,
  0xcdea3e56d86fb386, 0xf822847244fe0ca1, 0x06e1f0a21895fe7e, 0x0caaeef77cdcb910, 0x34e3150865a013d1,
  0x397b7a1fffa039e1, 0xfe3e0a60b0ab3317, 0xb75717d76fd20d37, 0x17dc4963cf36d01c, 0x2bf51f097e21b091,
  0xfac99e2ee37190e9, 0x193dea3ce33dcb19, 0x160287b40238e9fc, 0xd7a3e76f911c6473, 0x5663a1bfb8e58cf1,
  0xe5caad67f33e8e66, 0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x58f4d326b81013a6, 0xed5688af2e9895c9,
  0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x863b7fbd551691db, 0xdc79b09732f9b65d, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x2408595ed3c95fb9, 0x000000000000000d,
};

// m32a_swio15_dual_pr_ee_ce
static const uint64_t ur_m32_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd59d78ce5f, 0xf4af7bbbf7d76d8a, 0xf68a546ac8970bee, 0xfe6d1086c9f91499,
  0xee68fa9d1c137671, 0x8c048218b6d49816, 0x4c8c15483e7d304f, 0x0a04f89bed6788f6, 0xff32ba0cee9f72e3,
  0x9ad83fc3862099ae, 0x7244fe0ffe4dea3e, 0xa21895fe7ef82284, 0xeef9b9d4e006e1f0, 0x10cb4182a21955dd,
  0x6ffe80e784d21e2a, 0x82c2accc5ce5edcd, 0x3cad483107f8f829, 0x9e6da038ff0effaa, 0x6139dc6e737d523f,
  0xf2b95d29dacac5f2, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2, 0xa426be96c65c709c, 0x68cf539d5db8a58e,
  0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767, 0xcccaccb31be22aa3, 0x36bcb955acfe67d1,
  0xa8a9546bac80e648, 0x74dcaed52df57673, 0xb92b1e9a64d70202, 0xd73daad115e5d312, 0x17296be74079bdb5,
  0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x4c11538af69e4afd,
};

// m32a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m32_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0x3eeade3d7177e58b, 0xd1fd0b5ce39db298, 0x8bfaf7c7ff70f05a, 0xe62f47762fd7675a,
  0xd4e9598aa317218c, 0xda92029dd48c4438, 0xc16609f180904316, 0x59e23d9323055235, 0xa7dcb8c2813e26fb,
  0x87372d7e65a0e53b, 0xdea3e376c3b04e17, 0x04508e489fc1b5dc, 0xdc3e144312bfcfdf, 0x55777bbe6e1d7c00,
  0xfb8a8432d08e4886, 0x7b7a4affa039e136, 0x9e4e60b0ab331739, 0xbea8c9d520bc3ffe, 0x4b1e79b693bec1b8,
  0xf84bf10d8488bee2, 0x8bb8dc3af8551fa8, 0x72ba53b5b9b5f267, 0x51f06cc1edff51e5, 0x1d7d8b4c5315e56f,
  0x4d7d2d8cb8e1386e, 0x9ea73abb714b1d48, 0xbc6c75ec66ec1ed1, 0x8ec5a738a3886c6a, 0x132386f65deece03,
  0x95996637c45546c1, 0x7972ab59fccfa399, 0x52a8d75901cc906d, 0xb95daa5beaece751, 0x563d34c9ae0404e9,
  0x7b55a22bcba62572, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x618edfef5545a476, 0x5c1e6c25ccbe6d97,
  0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0x910a4f257ee68665, 0x00000000010013e0,
};

// m32a_swio15_dual_ee_hw
static const uint64_t ur_m32_swio15_dual_ee_hw[] = {
  0x6dddddd0f5a1a5fb, 0xc1f756b1f5df7e3d, 0xf71ba930eb19189c, 0x506d0526ba012afd, 0x37932b43285bd629,
  0x582ee9646bae9561, 0x04f8c048218b6d49, 0x47b26460aa4771f3, 0x97185027c4df6b3c, 0xc63ff995d06774fb,
  0x51c9d6c12d1c02d4, 0x14239227f0715a6f, 0x0f8510c4aff3f7c1, 0xaeef77cdc3008037, 0x7150865a0bed10ca,
  0xb7d35ff4073c260f, 0x24e60b0ab3317397, 0x56b47fba9005aff1, 0x9830f7ea3caedd4d, 0x69bbe2bdf7ea3e0d,
  0xb1971c270dc3afb1, 0x52d7027e6909afa5, 0xbb07b467a9cead2e, 0x710d8d56ba1d7b19, 0xbdd9c071d8b4e714,
  0x1551b047eb70decb, 0x33e8e66566010df1, 0x73241b5e5caad67f, 0xbb39d454aa35d640, 0x81013a6e576a96fa,
  0xe9895c958f4d326b, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x97cdb2ec8ab7fbd5,
  0xfd4bd5c6e3cd84b9, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xbb43a2d14f257ee6, 0x0000000000000002,
};

// m32a_swio15_dual_ee_ce_hw
static const uint64_t ur_m32_swio15_dual_ee_ce_hw[] = {
  0x24cddddddd435202, 0x0cc1f75675e3397e, 0xd2bdeeefdf5db62b, 0xda2951ab225c2fbb, 0xf9b4421b27e45267,
  0xddce43ada6f9afc7, 0xf180904316da9302, 0xc99182a907cfa609, 0x61409f137dacf11e, 0xdfe657419dd3ee5c,
  0xd35b07f870c41335, 0x8e489fc1ffc9bd47, 0x144312bfcfdf0450, 0xbddf373a9c00dc3e, 0x4219683054432abb,
  0xadffd01cf09a43c5, 0x305855998b9cbdb9, 0xa3cad483107f8927, 0xf9e6da038ff0effa, 0xc984e771b8495951,
  0xa3cae574a76b2b17, 0xcadea3e0d983dbfe, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2, 0x3da33d4e7576e296,
  0xd8d578d8ebd8cdd8, 0x9c071d8b4e714710, 0x8d8226470decbbdd, 0x47332b32cc6f88aa, 0x20daf2e556b3f99f,
  0xcea2a551aeb20399, 0x09d372bb54b7d5d9, 0x4ae4ac7a69935c08, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6,
  0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0x9fd86e3cd84b997c, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x089a6a9d453c95fb,
};

// m32a_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m32_swio15_dual_ee_ce_u4_hw[] = {
  0xbeeeeeed1468a812, 0x83eeade3d7177e58, 0x782dd0b5ce39db29, 0x3ad45fd7be3ffb8d, 0x0c67317a3bb17ebb,
  0xf5f8396ff68518b9, 0x904316da92029dc1, 0x055235c16609f180, 0x3e26fb59e23d9323, 0x89ad3ba7dcb8c281,
  0xb04e1787372d7e65, 0xc1b5dcdea3e376c3, 0xbfcfdf04508e489f, 0x1d7c00dc3e144312, 0x8e488655777bbe6e,
  0x39e136fb8a8432d0, 0x3317397b7a4affa0, 0x1787fe756e60b0ab, 0x39d83717d5193aa4, 0x117dc4963cf2beb0,
  0x593f51f097e21b09, 0x6be4cf1771b8edd8, 0xfea3cae574a76b73, 0x2bcadea3e0d983db, 0xc270dc3afb1698a6,
  0x963a909afa5b1971, 0xd83da33d4e7576e2, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4e7147, 0xaa8d8226470decbb,
  0x9f47332b32cc6f88, 0x9920daf2e556b3f9, 0xd9cea2a551aeb203, 0x0809d372bb54b7d5, 0x4c4ae4ac7a69935c,
  0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x7cdb2ec31dbfdeaa, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x001d7523c985f4f2,
};

/*
 * m32c1_autobaud_uart0_noled_pr_ce_u4 m32m1_autobaud_uart0_noled_pr_ce
 * m32m1_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m32c1_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x87ff4299fcad304f, 0x220549bfe1a7c122, 0xfafda31c05d0d450, 0xeb926d514895fa94, 0x58f3c0254edfcb8b,
  0xc25f886c2445f712, 0xe2ee371fe620fd47, 0xa393d3dcb19fac99, 0x3e7491c74fe0f59e, 0x9dabfa3d61cc580a,
  0xf2a01ffb33c75e8f, 0xd838f81e5adc3ecc, 0x9cfee1bf025235c7, 0xc03e69f60ca46b8f, 0xaa72f29b19fdc79b,
  0x585ce31bc67440ae, 0xb624863b7b15545a, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xd7249eaac9e4afdc,
  0x000000000000008d,
};

// m32m1_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_m32c1_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xa67c66e609f193ba, 0x6ff869f0482d7fd0, 0xc701743514088152, 0x5452257ea53ebf68, 0x53bc0877fd51bf9b,
  0xb8dceb3643fcf009, 0xa253b5958f7cc273, 0xf83660d6bfa8f2be, 0xd68450298ac27fa8, 0x4d7d185962291669,
  0xe0b39d5dba711d48, 0xaf1b1d79d376ded1, 0xc24228e791871b1a, 0x8226470decb65cc5, 0xae3ec2ce89534a8d,
  0x5c7ce7f70df81291, 0x3cde01f34fb06523, 0x0575539794d8cfee, 0xa2d2c2e718de33a2, 0x97cdb12431dbd8aa,
  0xd5e5c9ab83cd84b9, 0x4eacc7903f2868b2, 0x3fc09c69430a9cfd, 0xe985727e03e68799, 0x94b67c09c6592e19,
  0x64f257ee68665874, 0x0000000208881355,
};

// m32m1_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xd3d5f3f5bf304f8c, 0x526ff869f04a76ff, 0x68c7017435140881, 0xfb5452257ea53ebf, 0xda038706e2faa390,
  0x361222fb892c79e6, 0xe8fa927ea3e12fc4, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2bea253, 0x50298ac27fa8f836,
  0x185962291669d684, 0x9d5dba711d484d7d, 0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242,
  0xc2ce89534a8d8226, 0xe7f70df81291ae3e, 0x01f34fb065235c7c, 0x539794d8cfee3cde, 0xc2e718de33a20575,
  0xb12431dbd8aaa2d2, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x08221844c5b49e4a,
};

/*
 * m32c1_autobaud_uart0_noled_ee_ce_u4_hw m32m1_autobaud_uart0_noled_ee_ce_hw
 * m32m1_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32c1_autobaud_uart0_noled_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x6c2c1a66f5f4c8ee, 0x706da2f858cddb26, 0x64ee96a1d7da2f46,
  0xffb0ff9fadf9827c, 0x02a4dff0d3e094ed, 0x7ed18e02e86a2811, 0x21f6a8a44afd4a7d, 0xcdb4070e0dc5f547,
  0x886c2445f71258f3, 0xdc4a8b91fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2bea2, 0x8450298ac27fa8f8,
  0x7d185962291669d6, 0xb39d5dba711d484d, 0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2,
  0x3ec2ce89534a8d82, 0x7ce7f70df81291ae, 0xde01f34fb065235c, 0x75539794d8cfee3c, 0xd2c2e718de33a205,
  0xcdb12431dbd8aaa2, 0xa82ec6e3cd84b997, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0009521844d14f25,
};

/*
 * m32c1_autobaud_uart0_lednop_pr_ce_u4 m32m1_autobaud_uart0_lednop_pr_ce
 * m32m1_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m32c1_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x13fe8533f6ea609f, 0x440a937fc34f8258, 0xf5fb46380ba1a8a0, 0xd724daa2912bf529, 0x63cf00953ba95717,
  0x097e21b09117dc49, 0x1771b95bf003f51f, 0x1fa49ee58cfd64cf, 0xc4458e3a7f07acf5, 0xb2cf4690ce62c054,
  0x5403ff6678ebd1f3, 0x20ad03cb5b9059a4, 0x9fdc37e04a46b8fb, 0x3ec1948d71f3c080, 0x929d03dc79bcd90d,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xca1a2c6f8b935707, 0xc2a73f53ab31e40f,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xac9e4afdcd0ccb0e,
  0x00000008dd76bdea,
};

// m32m1_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32c1_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x14cf8689827c64ee, 0x9bfe1a7c12b1fffa, 0x31c05d0d45022054, 0xd514895fa94fafda, 0x54ef7d9dff546fe6,
  0xee372e4492bf3c02, 0xba94ed6563df309c, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x6b8fb0b31f667951,
  0x3c0809fdc37e04a4, 0xcd90d3ec1948d71f, 0xdea53929d03dc79b, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5,
  0x357079b09732f9b6, 0xf207e50d165abcb9, 0x8d2861539fa9d598, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x020883a2eaac9e4a,
};

// m32m1_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xe9eaf9f43e9827c6, 0x549bfe1a7c12c41f, 0xda31c05d0d450220, 0x3ed514895fa94faf, 0xb680e25ab8bea8e4,
  0x0d8488bee24b1e79, 0x0224c03fa8f84bf1, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f7529, 0x2814c57b7fd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090,
  0x61663eccf2a36089, 0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a,
  0xedec555169aba718, 0xf3612e65f36dce18, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xd5116d2792bf7343, 0x0000000000010443,
};

/*
 * m32c1_autobaud_uart0_lednop_ee_ce_u4_hw m32m1_autobaud_uart0_lednop_ee_ce_hw
 * m32m1_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32c1_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x1bbbbbbb44863375, 0x7777774b19ad706b, 0x36238ac1a8baccf7, 0xe476b8fc2c66ed93, 0xe32774b156b6e764,
  0x83fd87fcfa1f4c13, 0x440a937fc34f8258, 0xf5fb46380ba1a8a0, 0x1c87daa2912bf529, 0xcf36d01c4b5717d5,
  0x7e21b09117dc4963, 0xe3729299cbf51f09, 0xa94ed6e6def99e2e, 0xe0d9835afea3cafb, 0x5a1140a62bdbfea3,
  0x35f4616588a459a7, 0x268e7576e3d47521, 0x5e363af3a6ed1923, 0x8484504f237b5635, 0x044c8e1bd96cb98b,
  0xb8fb0b31f667951b, 0xc0809fdc37e04a46, 0xd90d3ec1948d71f3, 0xea53929d03dc79bc, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e, 0x7bde50c2a73f505d, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x521ea8a29e4afdcd, 0x0000000000000009,
};

/*
 * m32c1_autobaud_uart0_dual_pr      m32c1_autobaud_uart0_dual_pr_u4   m32m1_autobaud_uart0_dual
 * m32m1_autobaud_uart0_dual_pr      m32m1_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m32c1_autobaud_uart0_dual[] = {
  0x9bbbbbbb4486ff3e, 0xeeeeeeead63e715f, 0x608f66c502f6356e, 0xce76ca295bbba695, 0x0b7269e2bd8ebd5e,
  0x85d20c03304f8c9a, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x5ba9b677e657419d, 0x5cdea3e04d84ae38,
  0xef822847244fe0ca, 0x006e1f0a21895fe7, 0x88655777bbe6e620, 0x09a5f45421968750, 0x68096dce1ffd01cf,
  0x49cc161bcaf2d5be, 0x37fc34f824fe7f9e, 0x6380ba1a8a0440a9, 0xaa2912bf529f5fb4, 0x0fea3e453be589ad,
  0xf34e2f7c71d3f831, 0x5ac8ebf9cc580aa0, 0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa,
  0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c,
  0x3cd84b997cdb7391, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x6b545b49e4afdcd0, 0x0000000000005c15,
};

// m32m1_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ee[] = {
  0x6eeeeeeea0a1a5fb, 0xddddddd58ddf777e, 0xb227d57f5de83edd, 0x7efdd93583bad38e, 0xb235d66d0ab32657,
  0xb8f9827c6486eb94, 0x9109d29190485d23, 0xc40c2860d59e2cf4, 0x377e657419dd3e25, 0xf106c1aece087d36,
  0x239227f07a6a6f51, 0x8510c4aff3f7c114, 0xef77cdc30080370f, 0x50865a12b910caae, 0x0d1ff4073c262871,
  0x6f2bcb56f9a025b7, 0xc12275fe79273058, 0xd450220549bfe1a7, 0xfa94fafda31c05d0, 0xd56b47226d514895,
  0x6cc1829ea3cad7dc, 0x08a1df15d4af51f0, 0xfa30b2c4522cd3ad, 0x6973297152e6909a, 0xf512ed10a3dece75,
  0x08a8f9eb1aad743a, 0x0decbe9662e12114, 0x084feb151b047eb7, 0xd93f8abe77715250, 0x04fee1bf025235c7,
  0x69f60ca46b8f9e04, 0x9c94e81ee3cde6c8, 0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x029523d6e2da4f25,
};

// m32m1_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xbbbbbbbab1bb2afb, 0x39b16a7d96adae3b, 0x7a8f8ebd93583ba5, 0xb9347d4ebdc37622,
  0xd217459827c64991, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x1335dfe657419dd3, 0xbd47d35b07f870c4,
  0x04508e489fc1ffc9, 0xdc3e144312bfcfdf, 0x955ddeef9b8ce400, 0x21e2a10cb4182a21, 0x96dd36ffe80e784d,
  0xc161bcaf2d5be680, 0x0d3e09757ff9e49c, 0x2e86a281102a4dff, 0x44afd4a7d7ed18e0, 0x1ee6ab5a3d2b6a8a,
  0x8f83660fe4f51e57, 0x4eb422877c57227a, 0x426be8c2cb1148b3, 0x39d5a5f4a5c20b9a, 0x43af6b13b08a8fa4,
  0x4515fd1d4bb1aad7, 0xd6e1bd971f18b848, 0x55f3bb8a92ae07df, 0x0df81291ae3ec9fc, 0x65235c7cf02027f7,
  0xd03dc79bcb734fb0, 0x7017be54dea53929, 0xde33a2047514085a, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x3a7a2da4f257ee68, 0x00000000000014a9,
};

// m32m1_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ce[] = {
  0xddddddd0f5a1a5fb, 0x7777775664147efc, 0x2ab43ae10f766f77, 0xd744febbdddd3740, 0xae52c8d75c892ac4,
  0x7483afa609f19393, 0xb3d244274a464121, 0xf8971030a1835678, 0xdcd5bff995d06774, 0x7a8e9b7b09db385a,
  0x114239227f063373, 0x70f8510c4aff3f7c, 0xaaeef77cdce8f803, 0x4b150865a050d10c, 0xb6e63fff4073c267,
  0x0b0de5796adf3404, 0x34f825b3bfcf24e6, 0xba1a8a0440a937fc, 0x12bf529f5fb46380, 0xc74b717d500daa29,
  0x117dc4963cf36d01, 0xaeff51f097e21b09, 0x3ea5ccf1771b9881, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c74fe,
  0xd78033b5ac8ebf9c, 0x087486a807feccf1, 0xbb8a92a93a0796b7, 0x1291ae3ec9fc55f3, 0x5c7cf02027f70df8,
  0x1e6f36434fb06523, 0xf9537a94e4a740f7, 0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0xb3a7c371e6c25ccb,
  0xfd4eaccdfc1ddc68, 0x38cbf313f9430a9c, 0x9effe09a1e64ff17, 0x6592e19e985727e3, 0x866587494b67c09c,
  0xf78c62da4f257ee6, 0x000000000000015a,
};

// m32m1_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ce_u4[] = {
  0xe6eeeeeed121a5fb, 0xbbbbbbbab32145f7, 0x29455e9f7f6b42db, 0x6557d6821eeee991, 0x837729646bae1f15,
  0x90ba433d7304f8c9, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x00d1369afccae833, 0x3f37a8f63fb0ff87,
  0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a, 0xa025b7eafffa039e,
  0x2730586f2bcb56f9, 0xbfe1a7c12cadfe79, 0x1c05d0d450220549, 0x514895fa94fafda3, 0x680e145b8beabe6d,
  0xd8488bee24b1e79b, 0xc40d77fa8f84bf10, 0xcb19e1c6678bb8dc, 0xa7f061c7d47b873d, 0x68e62c058877b8e3,
  0x19e3af22dd89e46f, 0xddc54947427f71cb, 0x0948d71f64fe2af9, 0xae3e781013fb86fc, 0x8f379b21a7d83291,
  0x7ca9bd4a7253a07b, 0x69aba718de33a207, 0xf36dce18edec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0002b5ed34116d27,
};

// m32m1_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafcdddddddd432db, 0xeeeeeeeeeacd4da7, 0xbaefdc61f201dfab, 0x0672b88d3817ba73, 0x91c11560f0ccea6d,
  0x41f3e9827c649d6b, 0xe92213a5232090ba, 0x4b881850c1ab3c59, 0x6a4afccae833ba7c, 0x4767cd87599c190e,
  0xa11c913f8335b9bd, 0x7c2886257f9fbe08, 0x777bbe6e753801b8, 0x8a8432d00b488655, 0x7fd7ffa039e131c1,
  0x86f2bcb56f9a025b, 0x7c12d35fe7927305, 0x0d450220549bfe1a, 0x5fa94fafda31c05d, 0x3bfea8dc9ed51489,
  0x1f2d7e79b680e0d6, 0xcac9ba6139dc6e5e, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0x7d93f8abe7771525, 0x404fee1bf025235c, 0x869f60ca46b8f9e0, 0x29c94e81ee3cde6c, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0xe3cd84b997cdb738, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x49d16d2792bf7343, 0x0000000000018887,
};

// m32m1_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76f2df, 0x7777756360af77e6, 0xb9b426e5934e0b77, 0x57180addcfbb9d99, 0x2ace797721ae2ed0,
  0xe326355cab008404, 0x32090ba46b82cc13, 0x1ab3c59e92213a52, 0xe53ba7c4b881850c, 0x38737e6548fe65a0,
  0x92a6f51fa3fb0524, 0x7ef822847244fe0e, 0xe006e1f0a21895fe, 0x4432abbbddf370eb, 0x137fc8a8432d09db,
  0xa025b7643ffa039e, 0xff30586f2bcb56f9, 0xff0d3e096377fe18, 0xe02e86a281102a4d, 0x8a44afd4a7d7ed18,
  0xd8cddc5f546a7b6a, 0x445f71258f3cdb49, 0x907fd47c25f886c2, 0xb9ba678bb8dcd507, 0xe7a8f2b7f253b5b9,
  0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e,
  0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x9fdc37e04a46b8fb, 0x3ec1948d71f3c080,
  0x929d03dc79bcd90d, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707,
  0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x00007ead88356e43,
};

// m32m1_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m32c1_autobaud_uart0_dual_ee_hw[] = {
  0xf37777776890cf68, 0xeeeeeeeeac6efbbb, 0x75913eabfaef41f6, 0xbbf7eec9ac1dd69c, 0x5c9a3ea75add9932,
  0xe91dc7cc13e32437, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe9b1bbf32ba0cee9, 0x7a8f88360d767043,
  0x08a11c913f83d353, 0xb87c2886257f9fbe, 0x55777bbe6e180401, 0x438a8432d095c886, 0x2db868ffa039e131,
  0x82c3795e5ab7cd01, 0xc34f8244ebfc4939, 0x0ba1a8a0440a937f, 0x912bf529f5fb4638, 0xafb9aad68e44daa2,
  0xa3e0d983053d4795, 0xa75a1143be2ba95e, 0x2135f4616588a459, 0x9cead2e652e2a5cd, 0xe875ea25da2147bd,
  0x42281151f3d6355a, 0xfd6e1bd97d2cc5c2, 0xa4a0109fd62a3608, 0x6b8fb27f157ceee2, 0x3c0809fdc37e04a4,
  0xcd90d3ec1948d71f, 0xdea53929d03dc79b, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xb0727add14f257ee,
};

// m32m1_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m32c1_autobaud_uart0_dual_ee_ce_hw[] = {
  0xfcdddddddd43573e, 0xeeeeeeeeacd4da7a, 0xaefdc61f201dfabe, 0x672b88d3817ba73b, 0x725c5f766eb2a6d0,
  0x483e7d304f8c93ad, 0x3d244274a4641217, 0x8971030a1835678b, 0xcd495f995d06774f, 0xa8ecf9b0eb338321,
  0x14239227f066b737, 0x0f8510c4aff3f7c1, 0xaeef77cdcea70037, 0x3150865a016910ca, 0x6ffafff4073c2638,
  0xb0de5796adf3404b, 0xd3e0969aff124e60, 0xe86a281102a4dff0, 0x4afd4a7d7ed18e02, 0xb1dff546e4f6a8a4,
  0x800293f3cdb40706, 0xb5959374c273b8dc, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089,
  0xb8fb27f157ceee2a, 0xc0809fdc37e04a46, 0xd90d3ec1948d71f3, 0xea53929d03dc79bc, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x0dc79b09732f9b6e, 0xc970cf4c2b93f3fb, 0x32c3a4a5b3e04e32, 0x1e93a8a792bf7343,
  0x0000000000004d7e,
};

// m32m1_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0x6eeeeeed14682906, 0x77777756360af77e, 0xd99b9b426f659377, 0xed057180addcfbb9, 0xbe405ed231721ae2,
  0xe0b304f8c98d5722, 0x884e948c8242e91a, 0x20614306acf167a4, 0x3f99626b4ee9f12e, 0xfec1490e1cdf9952,
  0x913f83a4a9bd47e8, 0x86257f9fbe08a11c, 0x7cdc3af801b87c28, 0xcb4276d10caaeef7, 0xfe80e784dff22a10,
  0xf2d5be68096dd90f, 0x1bbfceadcc161bca, 0x0881526ff869f04b, 0x3ebf68c701743514, 0xa353db5452257ea5,
  0x9e57d607066ee2fa, 0xfc4361222fb892c7, 0x8dc524e6ffea3e12, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f,
  0xb422814c5701bd47, 0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a,
  0x08991c37b2fa598b, 0xe2a4a5989fd62a36, 0xa46b8fb27f157cee, 0x1f3c0809fdc37e04, 0x9bcd90d3ec1948d7,
  0x54dea53929d03dc7, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09a738be0be9e4af,
  0x0000000000000001,
};

// m32m1_lin_uart0_noled_pr_ce
static const uint64_t ur_m32c1_lin_uart0_noled_pr_ce[] = {
  0xdd893bb77759bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775fefceb3f1ee6, 0x4fc391a4f1c8d3e0, 0x6b9dff5e936a8a45, 0x9f3a43fe7804a071, 0xb9602e33984e771b,
  0x74fe0f19fa8f52e7, 0x07398b017a04871c, 0xc678ebc5ced44a35, 0x235c7d83afc3dc72, 0x46b8f9cfee1bf025,
  0x53f7cfee3cde60ca, 0x3182169c91835362, 0x36d38c6f19d10210, 0xd163ce1bb612e65f, 0xb93f75663c81a3f8,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x000b7524800ca792,
};

// m32m1_lin_uart0_noled_pr_ce_u4
static const uint64_t ur_m32c1_lin_uart0_noled_pr_ce_u4[] = {
  0xc49ddbbb4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xfd0a67e43cc13e32, 0x8d278e469f049c9f, 0xfae49b54522a7e1c, 0x963cf00953b7f2e2, 0xf097e21b09117dc4,
  0x78bb8dc7f9883f51, 0xa8e4f4f72c67eb26, 0x8f9d2471d3f83d67, 0xe76afe8f58731602, 0x3ca807feccf1d7a3,
  0xf60e3e0796b70fb3, 0xe73fb86fc0948d71, 0xf00f9a7d83291ae3, 0xaa9cbca6c67f71e6, 0x961738c6f19d102b,
  0x6d89218edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xd741c7aab2792bf7, 0x000000000000000d,
};

// m32m1_lin_uart0_noled_pr_ee_ce
static const uint64_t ur_m32c1_lin_uart0_noled_pr_ee_ce[] = {
  0x24eedddec12232a8, 0xddd2c4e27e9d6376, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x469f048c7ffe8533, 0x54522a7e1c8d278e, 0xa76706e2faa390fb, 0x1222fb892c79e012,
  0x9b21fea3e12fc436, 0xdcdbdf33c5dc6e75, 0x6b5fd4795f5129da, 0x14c5613fd47c1b30, 0x2cb1148b34eb4228,
  0xaedd388ea426be8c, 0xbce9bb6f68f059ce, 0x73c8c38d8d578d8e, 0x86f65b2e62e12114, 0x6744a9a546c11323,
  0xfb86fc0948d71f61, 0xf9a7d83291ae3e73, 0xcbca6c67f71e6f00, 0x738c6f19d102baa9, 0x9218edec55516961,
  0xd5c1e6c25ccbe6d8, 0xc81f9434596af2e4, 0x34a1854e7ea75663, 0x3f01f343cc9fe04e, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x013f0ad5aab2792b,
};

// m32m1_lin_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_lin_uart0_noled_pr_ee_ce_u4[] = {
  0x7624eeddda244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xa14cfffc9827c64e, 0x49e391a7c12e9fff, 0xdc9ed5148a9f8723, 0x7804a9db05b8bea8, 0xf10d8488bee24b1e,
  0x1b8951723fa8f84b, 0x4a76b737194cf177, 0x06cc18dff51e560a, 0x68450298ae21f51f, 0xd7d185962291669d,
  0x9f39d5db9ef1d484, 0x1b1d7aea6ec21d18, 0x08a24151e33b1aaf, 0x6470decb87231709, 0x81291ae3ecc63f86,
  0x065235c7ce7f70df, 0x9b129fbe7f71e6f3, 0x10818c10b4e48c1a, 0x32f9b69c6378ce88, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0004fc085eaac9e4,
};

// m32c1_lin_uart0_noled_ee_ce_u4_hw m32m1_lin_uart0_noled_ee_ce_hw    m32m1_lin_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m32c1_lin_uart0_noled_ee_ce_hw[] = {
  0xbb12776eed121911, 0xeeeee962713f4eb1, 0x991fa8a0cf638eee, 0xcda5ea42f7bbe3de, 0x3baaf99f6962e4b4,
  0xec3fe7f76a609f19, 0x693c7234f82463ff, 0x1c87daa29153f0e4, 0xcf36d01c383717d5, 0x7e21b09117dc4963,
  0xe3712a2e47f51f09, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3, 0x35f4616588a459a7,
  0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317, 0xb8fb0b3a254d2a36,
  0x71f39fdc37e04a46, 0xf37807cd3ec1948d, 0x15d54e5e53633fb8, 0x8b4b0b9c6378ce88, 0x5f36c490c76f62aa,
  0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000280929c7453c,
};

// m32c1_lin_uart0_lednop_pr_ce_u4   m32m1_lin_uart0_lednop_pr_ce      m32m1_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32c1_lin_uart0_lednop_pr_ce[] = {
  0x624eeddda2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xfe8533e52e609f19, 0x4693c7234f824e97, 0x7d724daa29153f0e, 0x963cf00953ba9571, 0xf097e21b09117dc4,
  0xf1771b95bf003f51, 0x51fa49ee58cfd64c, 0x4c4458e3a7f07acf, 0x3b2cf4690ce62c05, 0x45403ff6678ebd1f,
  0xb20ad03cb5b9059a, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xaac9e4afdcd0ccb0, 0x00000000375d69f6,
};

// m32m1_lin_uart0_lednop_pr_ee_ce
static const uint64_t ur_m32c1_lin_uart0_lednop_pr_ee_ce[] = {
  0x24eedddd41446f43, 0x7774b020c1056376, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0x7234f824707fe853, 0xdaa29153f0e4693c, 0x4a9defb3bfea8dfc, 0x9dc6e5c89257e780,
  0xf7529dacac7be613, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3, 0x464d1ceaedc7a8ea,
  0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x8d71f61663eccf2a, 0xe781013fb86fc094,
  0x79b21a7d83291ae3, 0x9bd4a7253a07b8f3, 0xba718de33a2077ca, 0xdce18edec555169a, 0x26ae0f3612e65f36,
  0x1e40fca1a2cb5797, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00027e40ad5593c9,
};

// m32m1_lin_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_lin_uart0_lednop_pr_ee_ce_u4[] = {
  0xc49ddbbb44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x5f3fa6a609f193ba, 0xc7234f825ff3fd3d, 0x7daa29153f0e4693, 0x6d01c4b5717d51c8, 0x1b09117dc4963cf3,
  0x0449807f51f097e2, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2beea53, 0x50298af6ffa8f836, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0x8ebce9bb4648c9a3, 0x1413c8ded58d578d, 0x2386f65b2e62e121, 0xc2cc7d99e546c113,
  0x27f70df81291ae3e, 0x4fb065235c7cf020, 0xe4a740f71e6f3643, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff,
  0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xb7e2da4f257ee686, 0x0000000000013f2c,
};

/*
 * m32c1_lin_uart0_lednop_ee_ce_u4_hw m32m1_lin_uart0_lednop_ee_ce_hw
 * m32m1_lin_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32c1_lin_uart0_lednop_ee_ce_hw[] = {
  0xc49ddbbb4486b044, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xbb293ef6c5e5dac1,
  0x1ff3fa6a609f193b, 0x4f1c8d3e097fcff6, 0x21f6a8a454fc391a, 0xcdb40712d5c5f547, 0x886c2445f71258f3,
  0xdca4a672fd47c25f, 0x53b5b9b7be678bb8, 0x3660d6bfa8f2beea, 0x8450298af6ffa8f8, 0x7d185962291669d6,
  0xa39d5db8f51d484d, 0x8d8ebce9bb4648c9, 0x211413c8ded58d57, 0x132386f65b2e62e1, 0x3ec2cc7d99e546c1,
  0x2027f70df81291ae, 0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0xacb7e8a792bf7343, 0x0000000000000280,
};

// m32m1_lin_uart0_dual
static const uint64_t ur_m32c1_lin_uart0_dual[] = {
  0xbc1f77eeeea232a8, 0xeeeeeac36d1ddf9b, 0xec1b58361b4056ee, 0x51bac9dbbba6ee82, 0x504b91d68d5acf8a,
  0x090ba41254c13e32, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0xe1f3a690ff995809, 0xbf937a8e51760e4c,
  0xcfdf04508e489fc1, 0x5e00dc3e144312bf, 0x7a21955ddeef9b9d, 0x3c261bf150865a0f, 0xf9a025b7a95ff407,
  0xd89f30586f2bcb56, 0x93c7234f82413ffd, 0x57fdaa29153f0e46, 0xf83487ea388a77cb, 0x0bf873263d2471d3,
  0x16ecd7c8ded1cc58, 0xac1f7b8e58c11d79, 0xf64fe2af9ddc5494, 0x013fb86fc0948d71, 0x9a7d83291ae3e781,
  0x29c94e81ee3cde5b, 0xa042d380bdf2a6f5, 0x6d38c6f19d1023a8, 0x726ae0f3612e65f3, 0x970cf4c2b93f3fb1,
  0x2c3a4a5b3e04e32c, 0xc7aab2792bf73433, 0x0000000000196fe9,
};

// m32c1_lin_uart0_dual_pr_u4        m32m1_lin_uart0_dual_pr           m32m1_lin_uart0_dual_pr_u4
static const uint64_t ur_m32c1_lin_uart0_dual_pr[] = {
  0x1f77eeed121b9a7c, 0xeeeac36ec35f9bbc, 0x237506f6716eeeee, 0x62c9dbbbb42c8fbb, 0x90846719f5f5ced3,
  0x41254c13e32717dc, 0xe92213a5232090ba, 0x4b881850c1ab3c59, 0x3305fccae833ba7c, 0xd4774bb038670297,
  0x4508e489fc1fee9b, 0xc3e144312bfcfdf0, 0xaaeef77cdcff800d, 0xef8a8432d05f110c, 0x96dea57fd01cf099,
  0xc161bcaf2d5be680, 0x469f04827ff9e49c, 0x54522a7e1c8d278e, 0x1fd47c8a77cb135b, 0xe69c5ef8e3a7f062,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x13fb86fc0948d71f,
  0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722,
  0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0xf828b693c95fb9a1, 0x0000000000014939,
};

// m32c1_lin_uart0_dual_pr_ee_u4     m32m1_lin_uart0_dual_pr_ee        m32m1_lin_uart0_dual_pr_ee_u4
static const uint64_t ur_m32c1_lin_uart0_dual_pr_ee[] = {
  0xf07ddfbbb4486f97, 0x7777756242b57e6e, 0x0ebe7da4cdeef777, 0xe3578f23fbb02deb, 0x04674e16a74806ab,
  0x5aa609f1928cee4f, 0x44274a464121748f, 0x1030a1835678b3d2, 0xf9f995d06774f897, 0xfff3601a0e1a6a67,
  0x239227f07d3f37a8, 0x8510c4aff3f7c114, 0x77bbe6e12500370f, 0xa8432d0386886557, 0xa1fffa039e133938,
  0x6f2bcb56f9a025b7, 0xc12df7fe79273058, 0x8a9f872349e391a7, 0x7dcd56b47226d514, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x5c7d93f8abe77715, 0xe0404fee1bf02523, 0x6c869f60ca46b8f9,
  0xf529c94e81ee3cde, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x2b2042e2da4f257e,
};

// m32c1_lin_uart0_dual_pr_ce_u4     m32m1_lin_uart0_dual_pr_ce        m32m1_lin_uart0_dual_pr_ce_u4
static const uint64_t ur_m32c1_lin_uart0_dual_pr_ce[] = {
  0x83eefddda2436f02, 0xbbbab63b2afbf377, 0xdb3e3adaa3fbbbbb, 0xd7499bbba8ec3727, 0xf0f9af93059b75b1,
  0x705304f8c9977727, 0x9109d29190485d21, 0xc40c2860d59e2cf4, 0xed7e657419dd3e25, 0xc2d6c0c7ce033736,
  0x239227f064ea6f51, 0x8510c4aff3f7c114, 0x77bbe6e75980370f, 0xa8432d0726886557, 0x8d6ffa039e134068,
  0x3795e5ab7cd012db, 0xe09305ff3c93982c, 0x454fc391a4f1c8d3, 0x71d2dc5f54036a8a, 0x445f71258f3cdb40,
  0xfd7fd47c25f886c2, 0xcfa9733c5dc6e0a4, 0x83a97ea38df9ee58, 0x316028283e471d3f, 0x75e00ced6b23afe7,
  0xc21d21aa01ffb33c, 0xeee2a4aa4e81e5ad, 0x04a46b8fb27f157c, 0xd71f3c0809fdc37e, 0xc79bcd90d3ec1948,
  0xbe54dea53929d03d, 0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00006925d5b8b693,
};

// m32m1_lin_uart0_dual_pr_ee_ce
static const uint64_t ur_m32c1_lin_uart0_dual_pr_ee_ce[] = {
  0x783eefdddd435032, 0xddddd5a00421bf37, 0xef4d7dfbd69edddd, 0xe71b106f74ed24ca, 0x68ff5efbb1c2f0fa,
  0xe609f192f5ae557b, 0x9d29190485d221e4, 0xc2860d59e2cf4910, 0xe657419dd3e25c40, 0x6c3f5ce06b734c37,
  0x44fe0eb7e6f51c52, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb422b221955ddee, 0xfe80e784d2ba2a10,
  0xf2d5be68096ded6f, 0x4fff9e49cc161bca, 0xc391a4f1c8d3e097, 0xff546e4f6a8a454f, 0x96bf3cdb40706b1d,
  0x64dd309cee372f0f, 0xf9ea3cadfc94ed65, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05, 0xb71943a909afa30b,
  0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470, 0xc9fc55f3bb8a9296,
  0x27f70df81291ae3e, 0x4fb065235c7cf020, 0xe4a740f71e6f3643, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0xe6c25ccbe6db9c31, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964, 0xe8b693c95fb9a199,
  0x000000000026088b,
};

// m32m1_lin_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_lin_uart0_dual_pr_ee_ce_u4[] = {
  0xfbbf7768adbbb202, 0xeeacf4c672fcdde0, 0xc2c57bdabdeeeeee, 0x0ddba10ec5f225c2, 0xf072e3fcda6cdbd7,
  0x6715cbfadd23168f, 0x90ba41ecf4c13e32, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x49533397e65a0e53,
  0x4dea3f59ec190ce1, 0xf04508e489fc1cc3, 0x0dc3e144312bfcfd, 0x32abbbddf3717040, 0xeaf8a8432d031f44,
  0x4b6e6b7ff4073c26, 0x60b0de5796adf340, 0x8d3e093fcffc31fe, 0xa8a454fc391a4f1c, 0x9d8cddc5f546a7b6,
  0x2445f71258f3cdb4, 0x7907fd47c25f886c, 0x9b9ba678bb8dcd50, 0xbe7a8f2b7f253b5b, 0x4c5701bd47c1b306,
  0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea, 0x22a3e7ac6abc6c75, 0x37b2fa598b848450,
  0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90,
  0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x3f3c95fb9a19961d,
  0x000000200026b6e4,
};

// m32m1_lin_uart0_dual_ee_hw
static const uint64_t ur_m32c1_lin_uart0_dual_ee_hw[] = {
  0x83eefddda2437089, 0xbbbbab1215abf377, 0x75f3ed266f77bbbb, 0x1abc791fdd816f58, 0xe4f595b5b440355f,
  0xd6a9827c64a33b95, 0x9109d29190485d23, 0xc40c2860d59e2cf4, 0xfe7e657419dd3e25, 0x3ffcd80683869a99,
  0x08e489fc1f4fcdea, 0xe144312bfcfdf045, 0xddeef9b849400dc3, 0x2a10cb40e1a21955, 0xe87ffe80e784ce4e,
  0x1bcaf2d5be68096d, 0x7c12df7fe249cc16, 0x48a9f872349e391a, 0xd7dcd56b47226d51, 0x51f06cc1829ea3ca,
  0xd3ad08a1df15d4af, 0x909afa30b2c4522c, 0xce756973297152e6, 0x743af512ed10a3de, 0x211408a8f9eb1aad,
  0x7eb70decbe9662e1, 0x5250084feb151b04, 0x35c7d93f8abe7771, 0x9e0404fee1bf0252, 0xe6c869f60ca46b8f,
  0x6f529c94e81ee3cd, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x0aed042e8a792bf7,
};

// m32m1_lin_uart0_dual_ee_ce_hw
static const uint64_t ur_m32c1_lin_uart0_dual_ee_ce_hw[] = {
  0x3eefdddd41431f02, 0xddd5a00421bf3778, 0x4d7dfbd69edddddd, 0x1b106f74ed24caef, 0x2cde9851c2f0fae7,
  0xcc13e325eb5c9462, 0x3a5232090ba443c9, 0x850c1ab3c59e9221, 0xccae833ba7c4b881, 0xd87eb9c0d6e6986f,
  0x89fc1d6fcdea38a4, 0x312bfcfdf04508e4, 0xf37000000dc3e144, 0x9684564432abbbdd, 0xfd01cf09a5745421,
  0xe5ab7cd012dbdadf, 0xa7ffc493982c3795, 0xe1c8d278e469f04b, 0xffaa3727b54522a7, 0xc87f9e6da038358e,
  0xb26e984e771b9d66, 0x7cf51e56fe4a76b2, 0x98ae037a8f83660d, 0x962291669d684502, 0xdb8ca1d484d7d185,
  0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238, 0x64fe2af9ddc5494b,
  0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xf3612e65f36dce18, 0xa1854e7ea6c3b1b8, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0ebaa2fa8a792bf7,
};

// m32m1_lin_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_lin_uart0_dual_ee_ce_u4_hw[] = {
  0x1f77eeed14683202, 0xddd59e98ce5f9bbc, 0x5c2c2da57bdddddd, 0xbd70ddba10ec5f22, 0xebef4d6e3fcda6cd,
  0x09f19338ae434e83, 0x29190485d20f67a6, 0x860d59e2cf49109d, 0xc4d69dd3e25c40c2, 0xc8670a4a999cbf32,
  0xe0e61a6f51facf60, 0x5fe7ef822847244f, 0x8b82006e1f0a2189, 0x18fa21955ddeef9b, 0x39e13757c5421968,
  0x6f9a025b735bffa0, 0xf3ab730586f2bcb5, 0x1a4f1c8d3e093fcf, 0x46a7b6a8a454fc39, 0x3cafac0e0cddc5f5,
  0xf886c2445f71258f, 0x1b8a49cdffd47c25, 0x4a76b737374cf177, 0x83660d7cf51e56fe, 0x68450298ae037a8f,
  0xd7d185962291669d, 0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f, 0x0908a04547cf58d5, 0x1132386f65f4b317,
  0xc5494b313fac546c, 0x48d71f64fe2af9dd, 0x3e781013fb86fc09, 0x379b21a7d83291ae, 0xa9bd4a7253a07b8f,
  0xaba718de33a2077c, 0x6dce18edec555169, 0x0bb1b8f3612e65f3, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0xd755101617d3c95f, 0x0000000000000001,
};

// m32c1_swio10_noled_pr_ce_u4       m32m1_swio10_noled_pr_ce          m32m1_swio10_noled_pr_ce_u4
static const uint64_t ur_m32c1_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x8e04ffa14cfdba98, 0x254ef2b5c5f59124, 0x6c2445f71258f3c0, 0x4a8b91fd47c25f88,
  0x72c67eb2678bb8dc, 0x74fe0f05fa8f924f, 0x6b1cc580bdd0291c, 0xb33c75e8f9d9ef47, 0xe5add70d67aa01ff,
  0x3fb5e5caad556a81, 0x3a8a9546ba138e79, 0x51359caed52df567, 0x5e5350954bef5f43, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x2e65f36c810c76f6, 0x458df1726ae0f361, 0xe7ea75663c81f943,
  0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x00006ebed7bd5593,
};

// m32m1_swio10_noled_pr_ee_ce
static const uint64_t ur_m32c1_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xffd0a67c344c13e3, 0xf9dff54670e48d8f, 0x006ddfe7804a9dd8, 0x6563df309cee3700,
  0x3403d4795ba594ed, 0x0a62b90fea3e0d98, 0x16588a459a75a114, 0xaeddfb8752135f46, 0x5e74ddb4a47109ce,
  0x098a3116c6abc6c7, 0xe1bd96cb98b84845, 0x599355fd51b044c8, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0,
  0x7afa1a89ace576a9, 0xd5688af29a84aa5f, 0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x63b7b15545a5b44e,
  0x079b09732f9b6408, 0x7e50d165abcb9357, 0x861539fa9d598f20, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc,
  0xd0ccb0e9296cf813, 0xf83a2eaac9e4afdc, 0x0000000000000009,
};

// m32m1_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fd3d5f3e87d304, 0xc41717d51dba9238, 0x17dc4963cf36d01c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0xf27f6bcb955a9664,
  0xce75152a8d74271c, 0x86a26b395daa5bea, 0x22bca6a12a97debe, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0xc25ccbe6d90218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x22da4f257ee68665, 0x00000000009f87aa,
};

// m32c1_swio10_noled_ee_ce_u4_hw    m32m1_swio10_noled_ee_ce_hw       m32m1_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x47107fb0ff9f43e9, 0x039882e2faa3b752, 0x1222fb892c79e6da, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f4351359caed52d, 0xad115e5350954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd51453c95fb9a199, 0x000000000000a023,
};

// m32c1_swio10_lednop_pr_ce_u4      m32m1_swio10_lednop_pr_ce         m32m1_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32c1_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x3beffe8533f15a60, 0x953bb75717d64492, 0xb09117dc4963cf00, 0x9299cbf51f097e21,
  0xcb19fac99e2ee372, 0xd3f83c17ea38293d, 0x7ce62c050f680471, 0x33c75e8f9dbe4470, 0x96b76f7d02a01ffb,
  0xfed7972ab5815a07, 0xea2a551ae84e39e4, 0x020272bb54b7d59c, 0x4255aba5fd0d44d7, 0xad75cf6ab445794d,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb65d863b7b15545a, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x5eeadeaac9e4afdc, 0x0000000000000037,
};

// m32m1_swio10_lednop_pr_ee_ce
static const uint64_t ur_m32c1_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xaffa14cfcedcc13e, 0xda3bfea8ce1c91dd, 0xd1f524fcf00953bd, 0x6b2b1ef984e771b9,
  0xc1a01ea3cacbaca7, 0xa0531594bf51f06c, 0x30b2c4522cd3ad08, 0x7576ef9c3a909afa, 0x75e74dd827a35f0e,
  0xa3244637ec6abc6c, 0x1c37b2d973170908, 0x96770d67aa360899, 0x271cf27f6bcb955a, 0x5beace75152a8d74,
  0x86a26b8101395daa, 0x22bca6a12ad5d2fe, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x4b997cdb2ec31dbd, 0xa1a2c79c5c9ab8d8, 0x615c9fbab31e40fc, 0xd964a271964b867a, 0xc95fb9a19961d252,
  0x000029a68bed5593,
};

// m32m1_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01fe9eaf9ffd7982, 0x400b8bea8edd4918, 0x8bee24b1e79b680e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x93fb5e5caad4b3b8,
  0x73a8a9546ba138e7, 0x5c0809caed52df56, 0x350956ae97f43513, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6d97618edec5551, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00009f8135a2da4f,
};

// m32c1_swio10_lednop_ee_ce_u4_hw   m32m1_swio10_lednop_ee_ce_hw      m32m1_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x3003fd87fcffebcc, 0x1c801717d51dba92, 0x9117dc4963cf36d0, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xcf27f6bcb955a967,
  0xace75152a8d74271, 0x26b8101395daa5be, 0xca6a12ad5d2fe86a, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb2ec31dbd8aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000280826b514f,
};

/*
 * m32c1_swio10_dual_pr              m32c1_swio10_dual_pr_u4           m32m1_swio10_dual
 * m32m1_swio10_dual_pr              m32m1_swio10_dual_pr_u4
 */
static const uint64_t ur_m32c1_swio10_dual[] = {
  0x7f777776890ddb75, 0xd83eeadc7d265f84, 0x7aef7448f251a70c, 0x8a0ccc4ce21ec6eb, 0x432d49c9a76e91f6,
  0x492172bebde4eb4e, 0x8242e91dd69827c6, 0xacf167a4884e948c, 0xcee9f12e20614306, 0x9c1c9cdf3bf32ba0,
  0x71ee6f51d7dec0a2, 0xf3f7c114239227f0, 0x0000370f8510c4af, 0x7c4432abbbddf372, 0x73c26dee2a10cb40,
  0x6f9a025b7287ff40, 0xe792730586f2bcb5, 0x221df2c3e491a95f, 0xca8e3a7f0622fa8f, 0xde731602a83cdfb8,
  0x9823af006769c51b, 0xb3db5af07d500ffd, 0xbe7771525bfc303c, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0xae0404e576a96fab, 0x9a84ab574bfa1a89, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b65d9156f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000a49a65a8b693,
};

// m32m1_swio10_dual_pr_ee
static const uint64_t ur_m32c1_swio10_dual_pr_ee[] = {
  0x5b7777775050cf68, 0x307dd5ac7ecddf8f, 0xda0eeeca1ed62727, 0x95c16c5dda27e7de, 0xf210bad8ca16f59d,
  0xe4d1f53accdb7661, 0x91bcfa609f192b06, 0x7a4884e948c8242e, 0x12e20614306acf16, 0x9866ff32ba0cee9f,
  0xd474b5b00b47031f, 0x4508e489fc18d69b, 0xc3e144312bfcfdf0, 0xabbbddf373bac00d, 0x7c54219681454432,
  0xdbcedffd01cf098c, 0x2c3795e5ab7cd012, 0xa2c91a1fff3c9398, 0xbd4795efb9aad68c, 0x2bb75ea3e0d98332,
  0x88a459a75a1143be, 0xe2a5cd2135f46165, 0xf68f4a39d5a5ca1a, 0xd8d56ba1d7a89768, 0xb3170908a1004698,
  0xa8d823f5b86f65f4, 0xf3bb8a92805195ac, 0x4fed7972ab59fc55, 0xcea2a551ae84e39e, 0x7020272bb54b7d59,
  0xd4255aba5fd0d44d, 0xcad75cf6ab445794, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb2ec8ab7b15545,
  0x65abc6e3cd84b997, 0xfa9d599bf83bb8d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x0000000015913ebc,
};

// m32m1_swio10_dual_pr_ee_u4
static const uint64_t ur_m32c1_swio10_dual_pr_ee_u4[] = {
  0x86eb777776890c86, 0xe0b07dd5ac7efddf, 0x56d77ee9d60148ee, 0xdd06e976f5b6c5e3, 0xcc50b201a2f1942c,
  0x92626e5dd8dd9683, 0x412174874ea609f1, 0x5678b3d244274a46, 0x6774f8971030a183, 0x8e096a60b5f995d0,
  0x3d3737a8e35b604e, 0xf9fbe08a11c913f8, 0x2a001b87c2886257, 0xfc4432abbbddf373, 0xe784db7e2a10cb41,
  0xdf3404b6fa6bfe80, 0xcf24e60b0de5796a, 0x9aad68dfc92296bf, 0x1b30613fd4795943, 0x422877c56e97d47c,
  0xbe8c2cb1148b34eb, 0xb4bfee5c20b9a426, 0xdac4ed2f91af873a, 0x7c4637ec6ab5d0eb, 0x37b2e3e3170908a0,
  0x3bb8a92ae3a0fadc, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x020272bb54b7d59c, 0x4255aba5fd0d44d7,
  0x01e5cf6ab445794d, 0x130bd4b5e5380b9d, 0x4408bf714085a561, 0x4b997cdb4e31bc67, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x0000000001592054,
};

// m32m1_swio10_dual_pr_ce
static const uint64_t ur_m32c1_swio10_dual_pr_ce[] = {
  0x76eeeee87ad0cf68, 0x6c1f756a8616bf03, 0x6937ba3dac323383, 0x667d39d928fd699f, 0xdd95dfdde7dee86e,
  0x27e9dc9a3ea74338, 0x8242e909c7cc13e3, 0xacf167a4884e948c, 0xcee9f12e20614306, 0x70eaf9a87ff32ba0,
  0xdba9bd478e5b0382, 0xcfdf04508e489fc1, 0x1200dc3e144312bf, 0xf4432abbbddf3701, 0x784ddd4542196818,
  0xf3404b6fff3fe80e, 0xf24e60b0de5796ad, 0x6e2fa98f92235bfc, 0xb892c79e6da03870, 0xea3e12fc4361222f,
  0x733c5dc6e5c89257, 0x3f51fa89ee58cfa9, 0x2d4aeea38e9fc1dc, 0x06769c51bde73160, 0x07d500ffd99e3af0,
  0x496ff0c0f2d6e5af, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5d2fe86a26b81013,
  0x7b55a22bca6a12ad, 0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xe3cd84b997cdb2ec,
  0x9bf83bb8d1674f86, 0x27f2861539fa9d59, 0x343cc9fe2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0xb49e4afdcd0ccb0e, 0x00000000692610c5,
};

// m32m1_swio10_dual_pr_ce_u4
static const uint64_t ur_m32c1_swio10_dual_pr_ce_u4[] = {
  0x93b777776890cf68, 0x0583eead50ee75f9, 0xdb5c776c314e976b, 0x138c4b33a2f2af39, 0x76227a8fb3eddc9d,
  0x4d91b9347d4ebdc3, 0x0485d22e4a9827c6, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x38456986b7e65741,
  0xd4f4dea3efbd869b, 0xe7ef822847244fe0, 0x72006e1f0a21895f, 0xe910caaeef77cdc6, 0xcf09b4a8a8432d0e,
  0xbe68096dc2d7fd01, 0x9e49cc161bcaf2d5, 0x6ee2faf75246dd7f, 0xfb892c79e6da039a, 0x7ea3e12fc4361222,
  0xe333c5dc6e5c8925, 0x9fea3cbe9ee58cf0, 0x058f7a5471d3f835, 0x22ddb244637ce62c, 0xa3a8cb71cb19e3af,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f435135c0809ca, 0xaad115e5350956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6d97618, 0xbf83bb8d1637c371,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xa7a2da4f257ee686, 0x0000000000003493,
};

// m32m1_swio10_dual_pr_ee_ce
static const uint64_t ur_m32c1_swio10_dual_pr_ee_ce[] = {
  0xf893377777750c86, 0x00a60fbab3afbebd, 0x5f6af7ba55e58905, 0x3653b22d4d3dee13, 0x66ec1326593f2293,
  0x772eec6ec782e62e, 0xd238f27304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e657419dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0x55777bbe6e059001, 0x758a8432d0c08886,
  0x5b7bc3ffa039e131, 0x0586f2bcb56f9a02, 0xe049236b7fe79273, 0xe6da0396b677fd51, 0x139dc6e1806e87f9,
  0x2bcad29dacac9ba6, 0xbd47c1b307dd7a8f, 0xb34eb422814c572b, 0xea426be8c2cb1148, 0xf68f4a39d5db8a18,
  0xb1aaf1b1d7a89768, 0x662e121142008d31, 0xa8d8226470decbe9, 0xf3bb8a92967195ac, 0x4fed7972ab59fc55,
  0xcea2a551ae84e39e, 0x7020272bb54b7d59, 0xd4255aba5fd0d44d, 0xcad75cf6ab445794, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b65d863b7b15545, 0xb1e70dc79b09732f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0098201ca2da4f25,
};

// m32m1_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio10_dual_pr_ee_ce_u4[] = {
  0xbbbbbb456dd8d164, 0xfbab78fbc9df962f, 0x766a27d693924c60, 0x5caf799b70b68fef, 0x62f47762e9f6af87,
  0xdd9f1eb1e1bf847e, 0x19202ae5c1c9598a, 0x2090ba47c41e609f, 0xab3c59e92213a523, 0x53ba7c4b881850c1,
  0xc396a666ffe65a0e, 0x3e9bd47ec1d85e19, 0xfbe08a11c913f834, 0xc01b87c2886257f9, 0x10caaeef77cdc4e3,
  0x26d37150865a0705, 0x404b6e495ff4073c, 0xfe60b0de5796adf3, 0xa8ce0c9135bffc31, 0x1e79b693b35bb8be,
  0x4bf10d8488bee24b, 0x71b9118a71ffa8f8, 0xb4a76b737374cf17, 0xf06cc1f75ea3caf2, 0xad08a05315caef51,
  0x9afa30b2c4522cd3, 0xd28e7576e2863a90, 0xbc6c75ea25da3da3, 0x84845080234c6c6a, 0x08991c37b2fa598b,
  0xe2a4a59c656b2a36, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x09caed52df5673a8, 0x56ae97f435135c08,
  0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x7618edec55516920, 0xd5c1e6c25ccbe6d9,
  0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0x1b90fcf257ee6866, 0x00000000010017d5,
};

// m32m1_swio10_dual_ee_hw
static const uint64_t ur_m32c1_swio10_dual_ee_hw[] = {
  0xadbbbbba1eb432db, 0x983eead63f66efc7, 0x6d0777650f6b1393, 0xcae0b62eed13f3ef, 0xf9085d6c650b7ace,
  0x60dc8e08ab34ceb0, 0x85d2379f4c13e325, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x63f30cdfe657419d,
  0xd37a8e96b60168e0, 0xbe08a11c913f831a, 0x01b87c2886257f9f, 0x8655777bbe6e7758, 0x318f8a8432d028a8,
  0x025b79dbffa039e1, 0x730586f2bcb56f9a, 0xb4651648d0fff892, 0x1995ea3caf7dcd56, 0x1df15dbaf51f06cc,
  0x0b2c4522cd3ad08a, 0x50d7152e6909afa3, 0xbb47b47a51cead2e, 0x34c6c6ab5d0ebd44, 0x2fa598b848450802,
  0xad6546c11fadc37b, 0xe2af9ddc5494028c, 0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0xa26b8101395daa5b,
  0xbca6a12ad5d2fe86, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6d976455bd8a,
  0xe7ea5eae371e6c25, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x2bb49f5e8a792bf7,
};

// m32m1_swio10_dual_ee_ce_hw
static const uint64_t ur_m32c1_swio10_dual_ee_ce_hw[] = {
  0x24cddddddd436f02, 0x2983eeacebefaf7e, 0xdabdee9579624140, 0x94ec8b534f7b84d7, 0xbb04c9964fc8a4cd,
  0xdc9fc3e6be8b3799, 0x48e3c9cc13e32605, 0x3d244274a4641217, 0x8971030a1835678b, 0xcc87df995d06774f,
  0xea3bfcd86203835d, 0x22847244fe0c344d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8164006, 0xd62a10cb43022219,
  0x6def0ffe80e784c5, 0x161bcaf2d5be6809, 0xe049236b7fe249cc, 0xe6da0396b677fd51, 0x09cee3719cba3ff9,
  0x95e5694ed6564dd3, 0xdea3e0d983eebd47, 0x59a75a1140a62b95, 0x752135f4616588a4, 0x7b47a51ceaedc50c,
  0xd8d578d8ebd44bb4, 0xb3170908a1004698, 0x546c1132386f65f4, 0xf9ddc5494b38cad6, 0x27f6bcb955acfe2a,
  0xe75152a8d74271cf, 0xb8101395daa5beac, 0x6a12ad5d2fe86a26, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb2ec31dbd8aaa2, 0xf9fd86e3cd84b997, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x01134c0e5453c95f,
};

// m32m1_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio10_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d05f82, 0x07dd5bc7de4efcb1, 0x47f7513eb49c9263, 0x7c3ae57bccdb85eb, 0x23f317a3bb174fb5,
  0x5bfb46d5c78f0dfc, 0x1e609f19202ae5d3, 0x13a5232090ba47c4, 0x1850c1ab3c59e922, 0xe6589ad3ba7c4b88,
  0xd85e19c396a666ff, 0x13f8343e9bd47ec1, 0x6257f9fbe08a11c9, 0xcdc4e3c01b87c288, 0x5a070510caaeef77,
  0xf4073c26d3715086, 0x96adf3404b6e495f, 0xb7fe756e60b0de57, 0x6b7717d519c19226, 0x7dc4963cf2beb038,
  0xff51f097e21b0911, 0x74cf1771b8b82e1f, 0xa3caf2b4a76b7373, 0xcaef51f06cc1f75e, 0x522cd3ad08a05315,
  0x863a909afa30b2c4, 0xda3da3d28e7576e2, 0x4c6c6abc6c75ea25, 0xfa598b8484508023, 0x6b2a3608991c37b2,
  0x157ceee2a4a59c65, 0xe793fb5e5caad67f, 0x5673a8a9546ba138, 0x135c0809caed52df, 0xe5350956ae97f435,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6d97618edec55, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0001d758a0482fa7,
};

/*
 * m32c1_swio11_noled_pr_ce_u4       m32c1_swio12_noled_pr_ce          m32c1_swio12_noled_pr_ce_u4
 * m32m1_swio11_noled_pr_ce          m32m1_swio11_noled_pr_ce_u4       m32m1_swio12_noled_pr_ce
 * m32m1_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m32c1_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x95bfe8533fa6e609, 0x53b95d717d7ba923, 0x09117dc4963cf009, 0x0e92bf51f097e21b,
  0xb19fac99e2ee3719, 0x3f8359fea3af93dc, 0x9cc580bb7e5f471d, 0x3c75e8f9d9314622, 0x6b75ac4f2a01ffb3,
  0xed7972ab54226079, 0xa2a551ae84e39e4f, 0xd672bb54b7d5d9ce, 0x535095b1bd7d0d44, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x00dd779b7aab2792,
};

// m32c1_swio12_noled_pr_ee_ce       m32m1_swio11_noled_pr_ee_ce       m32m1_swio12_noled_pr_ee_ce
static const uint64_t ur_m32c1_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0xe8533e9b7304f8c9, 0xeffaa32eb24466ff, 0x747ff3c0254ec66c, 0xac7be6139dc6e339,
  0xa57a8f2b90f29dac, 0x4c5670fd47c1b307, 0xcb1148b34eb42281, 0xdb9c98ea426be8c2, 0xce9bb1ea8fe439d5,
  0x2147bdd8d578d8eb, 0x37b2d973170908a2, 0x9f41cf2a3608991c, 0xc73c9fdaf2e556a5, 0xabb39d454aa35d09,
  0xfa1a89ace576a96f, 0x5a22bca6a12b637a, 0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c,
  0x8d84b997cdb61098, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x593c95fb9a19961d,
  0x0000000a69a7d7d5,
};

// m32c1_swio12_noled_pr_ee_ce_u4    m32m1_swio11_noled_pr_ee_ce_u4    m32m1_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffa7abe7c524c13e, 0xfdc5f547a6e48d6f, 0xee24b1e79b680e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x3fb5e5caad4b3e83,
  0x3a8a9546ba138e79, 0x1359caed52df5767, 0x794d4256c6f5f435, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34,
  0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x693c95fb9a19961d, 0x000000027e1b908b,
};

/*
 * m32c1_swio11_noled_ee_ce_u4_hw    m32c1_swio12_noled_ee_ce_hw       m32c1_swio12_noled_ee_ce_u4_hw
 * m32m1_swio11_noled_ee_ce_hw       m32m1_swio11_noled_ee_ce_u4_hw    m32m1_swio12_noled_ee_ce_hw
 * m32m1_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32c1_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b9235, 0x2fb892c79e6da039, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xc9fdaf2e556a59f4,
  0x39d454aa35d09c73, 0xa89ace576a96fabb, 0x2bca6a12b637afa1, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002808dc85,
};

/*
 * m32c1_swio11_lednop_pr_ce_u4      m32c1_swio12_lednop_pr_ce         m32c1_swio12_lednop_pr_ce_u4
 * m32m1_swio11_lednop_pr_ce         m32m1_swio11_lednop_pr_ce_u4      m32m1_swio12_lednop_pr_ce
 * m32m1_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m32c1_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xdd7fd0a67e394c13, 0xa77a6ee2faf75246, 0x1222fb892c79e012, 0x56547ea3e12fc436,
  0x633f5933c5dc6e12, 0xfe0d67fa8f2fa7b9, 0x398b0163de951c74, 0xf1d7a3e76c9118df, 0x5ba0ff48a807fecc,
  0x6bcb955acbb503cb, 0x152a8d74271cf27f, 0x1395daa5beaece75, 0x5cbd2fe86a26b810, 0xd73daad115e53509,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x595aab2792bf7343, 0x0000000000006ebd,
};

// m32c1_swio12_lednop_pr_ee_ce      m32m1_swio11_lednop_pr_ee_ce      m32m1_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32c1_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xfd0a67dfe4c13e32, 0x0effaa32eb244347, 0x1c113f9e012a761a, 0xcac7be6139dc6e34,
  0x7a57a8f2b29729da, 0x14c5650fd47c1b30, 0x2cb1148b34eb4228, 0x5db9d28ea426be8c, 0xbce9bb4888e6e39d,
  0x17c471958d578d8e, 0xc37b2d973170908a, 0x59dac4f2a3608991, 0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0,
  0xa89ae0404e576a96, 0x5794d42572f4bfa1, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0x732f9b6c6263b7b1, 0x3458f38b93571b09, 0x2b93f75663c81f94, 0x2c944e32c970cf4c, 0x2bf734332c3a4a5b,
  0x000a69d8ffaab279,
};

// m32c1_swio12_lednop_pr_ee_ce_u4   m32m1_swio11_lednop_pr_ee_ce_u4   m32m1_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xfe9eaf9fec19827c, 0xd717d51e9b92287d, 0xb892c79e6da03887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xfdaf2e556a59dac4,
  0xd454aa35d09c73c9, 0x404e576a96fabb39, 0x2572f4bfa1a89ae0, 0xd75cf6ab445794d4, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x6c6263b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x027e65a58b693c95,
};

/*
 * m32c1_swio11_lednop_ee_ce_u4_hw   m32c1_swio12_lednop_ee_ce_hw      m32c1_swio12_lednop_ee_ce_u4_hw
 * m32m1_swio11_lednop_ee_ce_hw      m32m1_swio11_lednop_ee_ce_u4_hw   m32m1_swio12_lednop_ee_ce_hw
 * m32m1_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32c1_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b9228, 0x2fb892c79e6da038, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xc9fdaf2e556a59da,
  0x39d454aa35d09c73, 0xe0404e576a96fabb, 0xd42572f4bfa1a89a, 0xcad75cf6ab445794, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00050165a5a29e4a,
};

/*
 * m32c1_swio11_dual_pr              m32c1_swio11_dual_pr_u4           m32c1_swio12_dual
 * m32c1_swio12_dual_pr              m32c1_swio12_dual_pr_u4           m32m1_swio11_dual
 * m32m1_swio11_dual_pr              m32m1_swio11_dual_pr_u4           m32m1_swio12_dual
 * m32m1_swio12_dual_pr              m32m1_swio12_dual_pr_u4
 */
static const uint64_t ur_m32c1_swio11_dual[] = {
  0xa568bbbbbb4486f9, 0x360fbab71f39d7e1, 0xd4fbdd836b0469c3, 0xa2833a67f68eb14e, 0xf8635043b0dba695,
  0x2490b94da390ee73, 0x41217487544c13e3, 0x5678b3d244274a46, 0x6774f8971030a183, 0x4e0e4e6f9df995d0,
  0x38f737a8ebef6051, 0xf9fbe08a11c913f8, 0x0f801b87c2886257, 0x7c4432abbbddf371, 0x73c26dee2a10cb40,
  0x6f9a025b760bff40, 0xe792730586f2bcb5, 0xba3be596bc9128bf, 0xf71c74fe0f7bf51f, 0x89cc580aa0f33930,
  0x608ebc019d900469, 0x67b6f78df5403ff6, 0xbe77715257cea079, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0xe0404e576a96fabb, 0xd42572f4bfa1a89a, 0xcad75cf6ab445794, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0xcdb6318ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000524d69f45b49e,
};

// m32c1_swio12_dual_pr_ee           m32m1_swio11_dual_pr_ee           m32m1_swio12_dual_pr_ee
static const uint64_t ur_m32c1_swio11_dual_pr_ee[] = {
  0xcecb777775050c86, 0xc1f756b1f932fc69, 0x913ba930eb589c9c, 0x95c14155c42c55fb, 0x0f89bad0ca16d39d,
  0x1b97763767d5f98a, 0x74831eb9827c64ac, 0xb3d244274a464121, 0xf8971030a1835678, 0xfcc337f995d06774,
  0xdea3a5ad805a3818, 0x822847244fe0c6b4, 0x6e1f0a21895fe7ef, 0x955ddeef9b8ea800, 0x63e2a10cb40a2a21,
  0x4b6eff3fe80e784c, 0x60b0de5796adf340, 0x1fee92216bfcf24e, 0x3dfa8f2bb75355ad, 0xf8af4dfa8f83660c,
  0x962291669d68450e, 0xab8a973484d7d185, 0x8c7a33d4e7569760, 0x436355ae875ea25d, 0xd2cc5c24228d291c,
  0x2aa3608fd6e1bd97, 0xaf9ddc549402c8a2, 0xf27f6bcb955acfe2, 0xce75152a8d74271c, 0xb8101395daa5beae,
  0x35095cbd2fe86a26, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551,
  0x596af1b8f3612e65, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x16d2792bf734332c, 0x0000000001590e7d,
};

// m32c1_swio12_dual_pr_ee_u4        m32m1_swio11_dual_pr_ee_u4        m32m1_swio12_dual_pr_ee_u4
static const uint64_t ur_m32c1_swio11_dual_pr_ee_u4[] = {
  0xcb777768adbbbb90, 0xf756b1f932fc69ce, 0x3da930eb589c9cc1, 0x4155c42c55f913ad, 0xbad0ca16d39d95c1,
  0x4895e57bfeb60f89, 0xf5cc13e32560dc8d, 0x213a5232090ba418, 0x81850c1ab3c59e92, 0xfe65a0e53ba7c4b8,
  0x6b60168e063f30cd, 0xc913f831ad37a8e9, 0x886257f9fbe08a11, 0xbbe6e3aa001b87c2, 0x432d028a88655777,
  0xcffa039e1318f8a8, 0x95e5ab7cd012dbbf, 0x216bff0c7f982c37, 0x2bb75355ad1fee92, 0xfa8f83660c3dfa8f,
  0x669d68450ef8af4d, 0x3484d7d185962291, 0xd4e7569760ab8a97, 0xae875ea25d8c7a33, 0x24228d291c436355,
  0x8fd6e1bd97d2cc5c, 0x549402c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515,
  0xbd2fe86a26b81013, 0x3daad115e535095c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7,
  0xe0f3612e65f36d8c, 0x1fb763458df1726a, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xc87e792bf734332c, 0x00000000564b2dfd,
};

// m32c1_swio12_dual_pr_ce           m32m1_swio11_dual_pr_ce           m32m1_swio12_dual_pr_ce
static const uint64_t ur_m32c1_swio11_dual_pr_ce[] = {
  0x999eeeee87ad0c86, 0x07dd5aa1a6bdf86e, 0x1f6e9d60148ce0db, 0xfa73d6403738b16e, 0xecdd712afdd374cc,
  0x4ee5dd8dd97d7e62, 0x1748b24e609f193f, 0x8b3d244274a46412, 0x4f8971030a183567, 0x57cd43ff995d0677,
  0x4dea3c72d81c1387, 0xf822847244fe0edd, 0x06e1f0a21895fe7e, 0x1955ddeef9b9cdf0, 0x6eea2a10cb40c7a2,
  0x04b6fbb5ff4073c2, 0xe60b0de5796adf34, 0x7d5fc922707fcf24, 0x963cf36d01c27571, 0xf097e21b09117dc4,
  0xe2ee3729299cbf51, 0x1c27cf72c67d4b99, 0x5dbf1c74fe0ed6f5, 0x64011a6273160294, 0x500ffd99e3af0067,
  0x7cea0796b73de37d, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3, 0xfa1a89ae0404e576,
  0xb445794d42572f4b, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b6c6263b,
  0x07771a2ce9f0dc79, 0x50c2a73f53ab337f, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000006922048b693,
};

// m32c1_swio12_dual_pr_ce_u4        m32m1_swio11_dual_pr_ce_u4        m32m1_swio12_dual_pr_ce_u4
static const uint64_t ur_m32c1_swio11_dual_pr_ce_u4[] = {
  0x2313b77776890c86, 0x583eead50eabefc3, 0x6bbf740514a976b0, 0x71890dceb7bf69cb, 0xc50b2012c5ba6462,
  0x3646e5dd8dd9683c, 0x1217487806609f19, 0x678b3d244274a464, 0x774f8971030a1835, 0xe115a61adf995d06,
  0x53d37a8fbef61a6c, 0x9fbe08a11c913f83, 0xa001b87c2886257f, 0xa4432abbbddf3732, 0x3c26d2a2a10cb43b,
  0xf3404b6fd3fff407, 0xf24e60b0de5796ad, 0xae2faedf923a6ffc, 0xb892c79e6da039b3, 0xea3e12fc4361222f,
  0x333c5dc6e5253397, 0xef51e719ee58cf0e, 0x14c79eb1c74fe0c9, 0x45bb2f88e32398b0, 0x8eb22ee39633c75e,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xfd0d44d7020272bb, 0x5a22bca6a12b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x545b49e4afdcd0cc, 0x0000000000034920,
};

// m32c1_swio12_dual_pr_ee_ce        m32m1_swio11_dual_pr_ee_ce        m32m1_swio12_dual_pr_ee_ce
static const uint64_t ur_m32c1_swio11_dual_pr_ee_ce[] = {
  0x711d6dddddd432db, 0x260fbab3af69ebf2, 0x7eafba9f65a9a73b, 0x58371cef7187c807, 0x83395c6c9f919c47,
  0xc8e08ab078667536, 0x20f9f4c13e326275, 0xf49109d29190485d, 0x25c40c2860d59e2c, 0x9b107e657419dd3e,
  0xea3868d869a383fc, 0x4508e489fc1d8fcd, 0xc3e144312bfcfdf0, 0xabbbddf373a9c00d, 0x74542196814b4432,
  0xdbfebffd01cf09be, 0x2c3795e5ab7cd012, 0x50e48e9aff3c9398, 0xcdb40734d1dff546, 0x139dc6e292737ff3,
  0x2b60b29dacac8866, 0xbd47c1b307d47a8f, 0xb34eb422814c56a7, 0xea426be8c2cb1148, 0x7d1cbe39d5db8e18,
  0x8d578d8ebdac4edb, 0x3170908a014463e5, 0x8c722991c37b2e3e, 0xad67f157ceee2a4b, 0xba138e793fb5e5ca,
  0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0x612e65f36d8c4c76, 0x83bb8d163ce1b8f3, 0x33d30ae4fdd599bf, 0xe9296cf8138cb25c,
  0x5b49e4afdcd0ccb0, 0x000000002609d274,
};

// m32c1_swio12_dual_pr_ee_ce_u4     m32m1_swio11_dual_pr_ee_ce_u4     m32m1_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio11_dual_pr_ee_ce_u4[] = {
  0xbddddda2b6ee022f, 0xd5bc7b90efccfb4f, 0x5a16b9c9c926307d, 0xd5efeafee3bb3759, 0x5e8ef3ed3ed5f517,
  0x8b60012c8a3119cc, 0x24055cbfb47c7af9, 0x090ba452374c13e3, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a,
  0x396a666ffe65a0e5, 0xe9bd47ec1d85e19c, 0xbe08a11c913f8343, 0x01b87c2886257f9f, 0x0caaeef77cdcb24c,
  0x6d37150865a07051, 0x04b6ece5ff4073c2, 0xe60b0de5796adf34, 0x8c9d491bc3ffc31f, 0xe79b693bbc3b8bea,
  0xbf10d8488bee24b1, 0x8dc1545927fa8f84, 0xa53b5b9b9ba678bb, 0x06cc1edff51e572b, 0xd08a05315efbf51f,
  0xafa30b2c4522cd3a, 0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33, 0x48451a523886c6ab, 0x8991c37b2fa598b8,
  0x5494b3c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe86a26b81013,
  0x3daad115e535095c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x98edec55516920a7, 0xc1e6c25ccbe6db18,
  0x3f6ec68b1be2e4d5, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x90fcf257ee686658, 0x00000001001acb5b,
};

// m32c1_swio12_dual_ee_hw           m32m1_swio11_dual_ee_hw           m32m1_swio12_dual_ee_hw
static const uint64_t ur_m32c1_swio11_dual_ee_hw[] = {
  0xecb777743d686f97, 0x1f756b1f932fc69c, 0x13ba930eb589c9cc, 0x5c14155c42c55fb9, 0xf89bad0ca16d39d9,
  0xb06e4f04675aa740, 0x85d20c7ae609f192, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x63f30cdfe657419d,
  0xd37a8e96b60168e0, 0xbe08a11c913f831a, 0x01b87c2886257f9f, 0x8655777bbe6e3aa0, 0x318f8a8432d028a8,
  0x012dbbfcffa039e1, 0x3982c3795e5ab7cd, 0xad1fee92216bfc49, 0x0c3dfa8f2bb75355, 0x0ef8af4dfa8f8366,
  0x85962291669d6845, 0x60ab8a973484d7d1, 0x5d8c7a33d4e75697, 0x1c436355ae875ea2, 0x97d2cc5c24228d29,
  0xa22aa3608fd6e1bd, 0xe2af9ddc549402c8, 0x1cf27f6bcb955acf, 0xaece75152a8d7427, 0x26b8101395daa5be,
  0xe535095cbd2fe86a, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36d8c62adec55,
  0x3f52f571b8f3612e, 0xce32fcc4fe50c2a7, 0xe7bff82687993fc5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0x5768e7d453c95fb9,
};

// m32c1_swio12_dual_ee_ce_hw        m32m1_swio11_dual_ee_ce_hw        m32m1_swio12_dual_ee_ce_hw
static const uint64_t ur_m32c1_swio11_dual_ee_ce_hw[] = {
  0x76cadddddd431f02, 0x60fbab3af9b4bf0e, 0xe2f777efaed0500a, 0x9d946a1f9683ddea, 0x1fd086c9f9139db2,
  0x25188b37a614fabf, 0x04f27304f8c98177, 0x49109d29190485d2, 0x5c40c2860d59e2cf, 0x21f7e657419dd3e2,
  0x8eff361880e0d773, 0xa11c913f830d137a, 0x7c2886257f9fbe08, 0xeef77cdce1fc01b8, 0x150865a181110caa,
  0xf30dff4073c262eb, 0x0de5796adf3404b6, 0x5a48e20ff124e60b, 0xdb4073101dff5479, 0x39dc6e654341ff3c,
  0xb95d29dacac9ba61, 0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916, 0xd19ea73abb73051d,
  0x355e363af512ec63, 0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155, 0xfb5e5caad67f157c,
  0xa8a9546ba138e793, 0x809caed52df57673, 0x4ae5e97f435135c0, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0xf61b8f3612e65f36, 0x6592e19e985727e7, 0x866587494b67c09c,
  0x134c92514f257ee6, 0x0000000000000001,
};

// m32c1_swio12_dual_ee_ce_u4_hw     m32m1_swio11_dual_ee_ce_u4_hw     m32m1_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio11_dual_ee_ce_u4_hw[] = {
  0xfbddddda28d1ac4f, 0xdd5bc7b90efccfb4, 0x9ba16b9c9c926307, 0xa8beaf7f57f71bdd, 0xce62f4779f69f6af,
  0x55c7ed06a9645188, 0x4c13e324055ca69d, 0x3a5232090ba45237, 0x850c1ab3c59e9221, 0x6589ad3ba7c4b881,
  0x85e19c396a666ffe, 0x3f8343e9bd47ec1d, 0x257f9fbe08a11c91, 0xdcb24c01b87c2886, 0xa070510caaeef77c,
  0x4073c26d37150865, 0x6adf3404b6ece5ff, 0x7fe756e60b0de579, 0x87717d5193a92378, 0xdc4963cf2beb0397,
  0xf51f097e21b09117, 0x4cf1771b816467af, 0x3cae574a76b73737, 0xf7ea3e0d983dbfea, 0x459a75a1140a62bd,
  0x4752135f4616588a, 0x18f467a9ceaedcc1, 0x0d8d578d8ebd44bb, 0x4b3170908a34a471, 0x5546c1132386f65f,
  0x5f3bb8a929679144, 0xe4fed7972ab59fc5, 0x9cea2a551ae84e39, 0x7020272bb54b7d5d, 0x6a12b97a5fd0d44d,
  0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x01d751a3705f4f25,
};

// m32c1_swio13_noled_pr_ce_u4       m32m1_swio13_noled_pr_ce          m32m1_swio13_noled_pr_ce_u4
static const uint64_t ur_m32c1_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x32bbfe8533fb3a60, 0x2a77beee2faedf92, 0x61222fb892c79e01, 0xc89257ea3e12fc43,
  0x9633f5933c5dc6e5, 0xd3f8327bd479ba7b, 0xf673160299538c71, 0xccf1d7a3e768851e, 0xe5adc22934a807fe,
  0x3fb5e5caad5f5b81, 0x3a8a9546ba138e79, 0x672bb54b7d54df67, 0xa84ab57bd7d0d44d, 0xc5aeb9ed5688af29,
  0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xbe6d8c863b7b1554, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x0dd78fafaab2792b,
};

// m32m1_swio13_noled_pr_ee_ce
static const uint64_t ur_m32c1_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0x3fe8533fa6a609f1, 0xf877fd5194b923ff, 0x950d07fcf00953bf, 0x6b2b1ef984e771b9,
  0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08, 0x7576e4ac3a909afa, 0x3af3a6edd423c90e,
  0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c, 0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d,
  0xe86a26b395daa5be, 0x445794d4255abdeb, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d,
  0x3612e65f36c6431d, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1, 0x64f257ee68665874,
  0x0000000a699cfb55,
};

// m32m1_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffa7abe7f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59caed52df5537d9, 0x6a12ad5ef5f43513, 0xf16bae7b55a22bca, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000027e7d9e8b69,
};

// m32c1_swio13_noled_ee_ce_u4_hw    m32m1_swio13_noled_ee_ce_hw       m32m1_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d672bb54b7d54df, 0x29a84ab57bd7d0d4, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001405f67a8a,
};

// m32c1_swio13_lednop_pr_ce_u4      m32m1_swio13_lednop_pr_ce         m32m1_swio13_lednop_pr_ce_u4
static const uint64_t ur_m32c1_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x23a6ffe8533e35a6, 0x12a77b3ae2faedf9, 0x361222fb892c79e0, 0x672e8ffea3e12fc4,
  0x72c67eb2678bb8dc, 0x3a7f064f7a8f38cf, 0x191cc580a63cf58e, 0xb33c75e8f9d97c47, 0xe5adc37ee1aa01ff,
  0x3fb5e5caad6e1c81, 0x3a8a9546ba138e79, 0x272bb54b7d54df67, 0x5c925fd0d44d7020, 0xd73daad115e53509,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x45faab2792bf7343, 0x0000000000006eba,
};

// m32m1_swio13_lednop_pr_ee_ce
static const uint64_t ur_m32c1_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xffe8533f6b7304f8, 0x6ceffaa329724536, 0x92737ff3c0254ed3, 0xacac7be6139dc6e2,
  0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422, 0xd5dba438ea426be8, 0xebce9bb7748c1439,
  0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132, 0x138e793fb5e5caad, 0x54df673a8a9546ba,
  0x4d7020272bb54b7d, 0xe535095c925fd0d4, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6da0518edec55, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x029a62fdeaac9e4a,
};

// m32m1_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff4f57cf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e576a96faa9bec, 0x2b924bfa1a89ae04, 0xbae7b55a22bca6a1, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x13f07abc5b49e4af,
};

// m32c1_swio13_lednop_ee_ce_u4_hw   m32m1_swio13_lednop_ee_ce_hw      m32m1_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0x9a84ae492fe86a26, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a021eaf453c9,
};

/*
 * m32c1_swio13_dual_pr              m32c1_swio13_dual_pr_u4           m32m1_swio13_dual
 * m32m1_swio13_dual_pr              m32m1_swio13_dual_pr_u4
 */
static const uint64_t ur_m32c1_swio13_dual[] = {
  0xc7bbbbbb4486c541, 0x6c1f756e3e9cafc5, 0xb62fbb707a70d386, 0x45067e47652be295, 0x18b3e2d402b7571b,
  0x9242e5608fe1aaf5, 0x0485d20001304f8c, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x383939be77e65741,
  0xe3dcdea3afbd8145, 0xe7ef822847244fe0, 0xa4006e1f0a21895f, 0xf888655777bbe6e0, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xcf24e60b0de5796a, 0xdf3be59ef923fbbf, 0xdc71d3f8383fea3e, 0x2731602a83cc95a3,
  0x823af00676d291c4, 0xcf6d318c9500ffd9, 0xbe7771525c0940f2, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0x01395daa5beaa6fb, 0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6815156f62aa8b49, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0a4990728b693c95,
};

// m32m1_swio13_dual_pr_ee
static const uint64_t ur_m32c1_swio13_dual_pr_ee[] = {
  0x586ddddddd435032, 0x9cc1f756b1e8437e, 0x7ad3dba7395f589c, 0xd95c13b55de9afbf, 0xc2f0fae70ca17619,
  0x6e557b68ff5efbb1, 0xd221e4e609f192b0, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0xf30cdfe657419dd3,
  0x7a8e96b60168e063, 0x08a11c913f831ad3, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0x8f8a8432d028a886,
  0x5b7b5bffa039e131, 0x0586f2bcb56f9a02, 0xb93923d3ffe79273, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0x01395daa5beaa6fb,
  0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0x6815156f62aa8b49,
  0xe70dc79b09732f9b, 0xeeaccdfc1ddc68b1, 0x9c6592e19e985727, 0xe6866587494b67c0, 0x90a22fa2da4f257e,
  0x0000000000000001,
};

// m32m1_swio13_dual_pr_ee_u4
static const uint64_t ur_m32c1_swio13_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x07dd5ac7a10df961, 0x47e69ce57d627273, 0x276abbd35f7eda7b, 0xf5ce1942ec33b2b8,
  0xbfadd5ec3ebb85e1, 0x7304f8c958372faf, 0x4e948c8242e910f2, 0x614306acf167a488, 0x9968394ee9f12e20,
  0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb40a2a21955ddee,
  0xfe80e784c63e2a10, 0xf2d5be68096ded6f, 0x3fff863fcc161bca, 0xd37355ad1b93923d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a,
  0xe86a26b8101395da, 0x688af29a84ae492f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6815156, 0xb1a2c6f8b9357079, 0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000564f627ee43f,
};

// m32m1_swio13_dual_pr_ce
static const uint64_t ur_m32c1_swio13_dual_pr_ce[] = {
  0xeddddddec121a5fb, 0xb07dd5aa1f777e14, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0x9932bbf7ef74a733,
  0xe9dca591aeb36855, 0x42e91dc7cc13e327, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0xeaf9a87ff32ba0ce,
  0xa9bd478e5b038270, 0xdf04508e489fc1db, 0x00dc3e144312bfcf, 0x432abbbddf370c02, 0x4ddd4542196818f4,
  0x404b6e1a3fe80e78, 0x4e60b0de5796adf3, 0x2fac069224ebfcf2, 0x258f3cdb4073abee, 0x7c25f886c2445f71,
  0x78bb8dceb3643fd4, 0xa3c893dcb19f52e6, 0xee32a38e9fc188be, 0x76d291c42731602f, 0x9500ffd99e3af006,
  0x9702503cb5b9318c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xa1a89ae0404e576a,
  0xa22bca6a12b924bf, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb40a31db,
  0x3bb8d165abc6e3cd, 0x861539fa9d599bf8, 0x07cd0f327f8138d2, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x247adc5b49e4afdc, 0x000000000000000d,
};

// m32m1_swio13_dual_pr_ce_u4
static const uint64_t ur_m32c1_swio13_dual_pr_ce_u4[] = {
  0x589dddddda2432db, 0x82c1f756a8762f7e, 0x5a9afbad89d94bb5, 0x8989c624dd69624e, 0xf8ce947ee7157eed,
  0xf193646e47045580, 0x464121748b24e609, 0x835678b3d244274a, 0xd06774f8971030a1, 0xa6ce115a61adf995,
  0xf8353d37a8fbef61, 0x57f9fbe08a11c913, 0x7292801b87c28862, 0x43ba4432abbbddf3, 0x4073c26d2a2a10cb,
  0x6adf3404b6fbb5ff, 0x7fcf24e60b0de579, 0xcc09717d4ca92270, 0x117dc4963cf36d01, 0xe47f51f097e21b09,
  0x787199e2ee3712a2, 0x064d7a8f38cf72c6, 0x62c0532a6e8e3a7f, 0x3af22dd96ba38c8e, 0x2a4a3ab5b71cb19e,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd0d44d7020272b, 0xaad115e535095c92,
  0x29b1674079fad73d, 0x3042d3573abd4b0b, 0xa718de33a204e7c6, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x00d242ce2da4f257,
};

// m32m1_swio13_dual_pr_ee_ce
static const uint64_t ur_m32c1_swio13_dual_pr_ee_ce[] = {
  0xcfb5bbbbbba86f97, 0x764c1f75675e3f2f, 0x7ef5ef76c5e3534e, 0x1d60dc9cad041f22, 0x097d7aefb27e47ed,
  0xae4f046752c8a756, 0xe9196d2609f19313, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe4d883f32ba0cee9,
  0x6f51c346c34d1c1f, 0x822847244fe0ec7e, 0x6e1f0a21895fe7ef, 0x2abbbddf371dbb00, 0xe74542196814b443,
  0x2dbf60ffd01cf09b, 0x82c3795e5ab7cd01, 0xd82c919dbff3c939, 0xf36d01c9db3bfea8, 0x09cee370112601fc,
  0x95a9e94ed6564433, 0x3d47c1b30613fd47, 0xb34eb422814c5781, 0xea426be8c2cb1148, 0x948e7139d5db8ba8,
  0x6355e363af6b13b1, 0x3170908a25f235af, 0xc623e191c37b2e3e, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5,
  0xbeaa6fb39d454aa3, 0x6a26b8101395daa5, 0x8af29a84ae492fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x2e65f36d028c76f6, 0xbb8d163ce1b8f361, 0xd30ae4fdd599bf83, 0x296cf8138cb25c33,
  0x49e4afdcd0ccb0e9, 0x00000002609ce45b,
};

// m32m1_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x3eeade3dfc37e157, 0xb4d4d7aaf4e49318, 0xb5c5f5eed07595b5, 0x8bd1d957a7dabe75,
  0xa473341c10f0efaf, 0x9202ae5571f60006, 0x12174879e4e609f1, 0x678b3d244274a464, 0x774f8971030a1835,
  0x72d4ccdffccb41ca, 0xd37a8fd83b0bc338, 0x7c114239227f0687, 0x0370f8510c4aff3f, 0x1955ddeef9b9dc78,
  0xda6e2a10cb40e0a2, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x3eaf92330dff863f, 0x9e6da4ee61ae2faa,
  0xfc4361222fb892c7, 0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c,
  0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170,
  0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x6a96faa9bece7515, 0xbfa1a89ae0404e57,
  0x55a22bca6a12b924, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb40a31,
  0xdd8d1637c5c9ab83, 0x2a73f53ab337f07e, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x0000020027e0b721,
};

// m32m1_swio13_dual_ee_hw
static const uint64_t ur_m32c1_swio13_dual_ee_hw[] = {
  0x36eeeee87ad0cf68, 0x60fbab58f421bf2c, 0x69edd39cafac4e4e, 0xae09daaef4d7dfbd, 0x787d738650bb0cec,
  0x0dc9a3ea75add8e1, 0xba443c9cc13e3256, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0x7e619bfccae833ba,
  0x6f51d2d6c02d1c0c, 0xc114239227f0635a, 0x370f8510c4aff3f7, 0xcaaeef77cdc00000, 0x31f150865a051510,
  0x4b6f6b7ff4073c26, 0x60b0de5796adf340, 0x8dc9c91e9fff124e, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809caed52df5537,
  0x42572497f435135c, 0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0xbd5c6e3cd84b997c, 0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0x45f514f257ee6866, 0x00000000000015da,
};

// m32m1_swio13_dual_ee_ce_hw
static const uint64_t ur_m32c1_swio13_dual_ee_ce_hw[] = {
  0x272ddddddd43359b, 0x14c1f75675f6097e, 0xdbc9ee8eba7da0a0, 0x94ec99f0ce644d71, 0xbccd93764fc8a72d,
  0x7721e198535aebd7, 0xd21e20f304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e657419dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0xaaeef77cdc67ac01, 0xeb150865a181110c,
  0xb6fcb5ff4073c262, 0x0b0de5796adf3404, 0xe57491adfff124e6, 0xf36d01cadf3bfea8, 0x84e771b9d1f524fc,
  0xcaf7dca76b2b26e9, 0xaf51f06cc1995ea3, 0x2cd3ad08a05315db, 0x3a909afa30b2c452, 0xfe23ea0e7576e53c,
  0x96355e363af512ec, 0x2cc5c242283d51fc, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde, 0xc9fdaf2e556b3f8a,
  0x39d454aa35d09c73, 0x01395daa5beaa6fb, 0x4ae492fe86a26b81, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xf61b8f3612e65f36, 0x6592e19e985727e7, 0x866587494b67c09c,
  0x89a601514f257ee6,
};

// m32m1_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio13_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d172df, 0x07dd5bc7bf86fc2a, 0x95ba9af55e9c9263, 0xe75b5c5f5eed0775, 0xfaf8bd1d957a7dab,
  0x541ab432d1c10f0e, 0x7304f8c901572dad, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221, 0x6589ad3ba7c4b881,
  0x85e19c396a666ffe, 0x3f8343e9bd47ec1d, 0x257f9fbe08a11c91, 0xdcee3c01b87c2886, 0xa070510caaeef77c,
  0x4073c26d37150865, 0x6adf3404b6f951ff, 0xdfe756e60b0de579, 0x1ae2faa3eaf92330, 0xb892c79e57d60726,
  0xea3e12fc4361222f, 0x33c5dc6e70ff1f77, 0xf2bdf729dadcdcdd, 0xebd47c1b306657a8, 0x8b34eb422814c576,
  0x0ea426be8c2cb114, 0x3f88fa839d5db94f, 0x258d578d8ebd44bb, 0x4b3170908a0f547f, 0xb546c1132386f65f,
  0xaf9ddc5494b31f37, 0xf27f6bcb955acfe2, 0xce75152a8d74271c, 0x404e576a96faa9be, 0x12b924bfa1a89ae0,
  0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0xd75633405f4f257e, 0x0000000000000001,
};

// m32c1_swio14_noled_pr_ce_u4       m32m1_swio14_noled_pr_ce          m32m1_swio14_noled_pr_ce_u4
static const uint64_t ur_m32c1_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x472b7fd0a67f4dcc, 0x12a772bae2faf752, 0x361222fb892c79e0, 0x321d257ea3e12fc4,
  0xb9633f5933c5dc6e, 0x3a7f06b3fd475f27, 0x45398b0176fcbe8e, 0x6678ebd1f3b2628c, 0xf2d6eb589e5403ff,
  0x9fdaf2e556a844c0, 0x9d454aa35d09c73c, 0x6b3a6e576a96fab3, 0x94d4256c7efe86a2, 0xf3e2d75cf6ab4457,
  0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x32f9b6c2131dbd8a, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00375de6deaac9e4,
};

// m32m1_swio14_noled_pr_ee_ce
static const uint64_t ur_m32c1_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0x7ff4299f4db9827c, 0x3677fd5197592233, 0x9cba3ff9e012a763, 0xd6563df309cee371,
  0x83d2bd4795c8794e, 0x40a62b387ea3e0d9, 0x616588a459a75a11, 0xeaedce4c752135f4, 0x75e74dd8f547f21c,
  0x5110a3deec6abc6c, 0x8e1bd96cb98b8484, 0x52cfa0e7951b044c, 0x84e39e4fed7972ab, 0x4b7d59cea2a551ae,
  0x7f4351359d372bb5, 0x55a22bca6a12b63f, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138,
  0xb8d84b997cdb6109, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b, 0x5593c95fb9a19961,
  0x00000000a69a7d7d,
};

// m32m1_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff4f57cf8a4982, 0xadfb8bea8f4dc91a, 0x17dc4963cf36d01c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0xf27f6bcb955a967d,
  0xce75152a8d74271c, 0x89ace9b95daa5bea, 0x5e535095b1fbfa1a, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xda4f257ee6866587, 0x000000009f86e422,
};

// m32c1_swio14_noled_ee_ce_u4_hw    m32m1_swio14_noled_ee_ce_hw       m32m1_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x6b7ffd87fcf8a498, 0x72b7ee2faa3d3724, 0x445f71258f3cdb40, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0xd44d674dcaed52df, 0x8af29a84ad8fdfd0, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a023721,
};

// m32c1_swio14_lednop_pr_ce_u4      m32m1_swio14_lednop_pr_ce         m32m1_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32c1_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x8dbaffa14cfc7298, 0x254ef4ddc5f5eea4, 0x6c2445f71258f3c0, 0x24aca8fd47c25f88,
  0x72c67eb2678bb8dc, 0xe9fc1acff51e5f4f, 0xbe731602c7bd2a38, 0x99e3af47ced92231, 0x96b741fe91500ffd,
  0xfed7972ab5976a07, 0xea2a551ae84e39e4, 0x09d372bb54b7d59c, 0x2b97d8f435135c08, 0xbae7b55a22bca6a1,
  0x417296be74078e56, 0x14e31bc67440842a, 0x63131dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xab2b5564f257ee68, 0x0000000000000dd7,
};

// m32m1_swio14_lednop_pr_ee_ce
static const uint64_t ur_m32c1_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0xa3fe8533eff2609f, 0x0d077fd519759221, 0x1a0e089fcf00953b, 0xed6563df309cee37,
  0x983d2bd479594b94, 0x140a62b287ea3e0d, 0x4616588a459a75a1, 0xceaedce94752135f, 0xc75e74dda4447371,
  0x450be238cac6abc6, 0xc8e1bd96cb98b848, 0xb52ced627951b044, 0xe84e39e4fed7972a, 0x54b7d59cea2a551a,
  0x35135c0809d372bb, 0x22bca6a12b97d8f4, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x4b997cdb63131dbd, 0xa1a2c79c5c9ab8d8, 0x615c9fbab31e40fc, 0xd964a271964b867a, 0xc95fb9a19961d252,
  0x0000534ec7fd5593,
};

// m32m1_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfd3d5f3fd83304, 0x0fae2faa3d372450, 0x5f71258f3cdb4071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x93fb5e5caad4b3b5,
  0x73a8a9546ba138e7, 0x20274dcaed52df56, 0x84ae5f63d0d44d70, 0x5aeb9ed5688af29a, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x004fccb4b16d2792,
};

// m32c1_swio14_lednop_ee_ce_u4_hw   m32m1_swio14_lednop_ee_ce_hw      m32m1_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x50fbfd87fcff60cc, 0x710fae2faa3d3724, 0x445f71258f3cdb40, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x7020274dcaed52df, 0x9a84ae5f63d0d44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m32c1_swio14_dual_pr              m32c1_swio14_dual_pr_u4           m32m1_swio14_dual
 * m32m1_swio14_dual_pr              m32m1_swio14_dual_pr_u4
 */
static const uint64_t ur_m32c1_swio14_dual[] = {
  0xc23fbbbbbb4486f9, 0x866c1f756e3e73af, 0x9da9f7bb06d608d3, 0xfb450674cfed1d62, 0xe7f0c6a08761b748,
  0xc64921729b4721dc, 0x8c8242e90ea89827, 0x06acf167a4884e94, 0xa0cee9f12e206143, 0xa29c1c9cdf3bf32b,
  0xf071ee6f51d7dec0, 0xaff3f7c114239227, 0xe21f00370f8510c4, 0x80f888655777bbe6, 0x80e784dbdc542196,
  0x6adf3404b6ec17fe, 0x7fcf24e60b0de579, 0x3f7477cb2d792251, 0x61ee38e9fc1ef7ea, 0xd31398b01541e672,
  0xecc11d78033b2008, 0xf2cf6def1bea807f, 0x157ceee2a4af9d40, 0xe793fb5e5caad67f, 0x5673a8a9546ba138,
  0x7020274dcaed52df, 0x9a84ae5f63d0d44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b6c63156f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0000a49ad3e8b693,
};

// m32m1_swio14_dual_pr_ee
static const uint64_t ur_m32c1_swio14_dual_pr_ee[] = {
  0xf5b7777775050c86, 0x3983eead63f265f8, 0xf722775261d6b139, 0x3b2b8282ab8858ab, 0x141f1375a1942deb,
  0x58372eec6ecfabf3, 0x42e9063d7304f8c9, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0x31f9866ff32ba0ce,
  0x69bd474b5b00b470, 0xdf04508e489fc18d, 0x00dc3e144312bfcf, 0x432abbbddf371d50, 0x98c7c54219681454,
  0x8096ddfe7fd01cf0, 0x9cc161bcaf2d5be6, 0x5a3fdd2442d7f9e4, 0x187bf51e576ea6ab, 0x1df15e9bf51f06cc,
  0x0b2c4522cd3ad08a, 0xc157152e6909afa3, 0xbb18f467a9cead2e, 0x3886c6ab5d0ebd44, 0x2fa598b848451a52,
  0x445546c11fadc37b, 0xc55f3bb8a9280591, 0x39e4fed7972ab59f, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7,
  0xa6a12b97d8f43513, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xbe6db18c55bd8aaa,
  0x8b2d5e371e6c25cc, 0xcfd4eaccdfc1ddc6, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xa2da4f257ee68665, 0x00000000002b21cf,
};

// m32m1_swio14_dual_pr_ee_u4
static const uint64_t ur_m32c1_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbbbb90, 0x83eead63f265f8f5, 0x5a7b5261d6b13939, 0x8282ab8858abf227, 0x1375a1942deb3b2b,
  0x1a912bcaf7fd6c1f, 0x31eb9827c64ac1b9, 0x244274a464121748, 0x71030a1835678b3d, 0x9bfccb41ca774f89,
  0xd2d6c02d1c0c7e61, 0x239227f0635a6f51, 0x8510c4aff3f7c114, 0xef77cdc75400370f, 0x50865a051510caae,
  0x7f9ff4073c2631f1, 0x6f2bcb56f9a025b7, 0x2442d7fe18ff3058, 0x1e576ea6ab5a3fdd, 0x9bf51f06cc187bf5,
  0x22cd3ad08a1df15e, 0x2e6909afa30b2c45, 0x67a9cead2ec15715, 0xab5d0ebd44bb18f4, 0xb848451a523886c6,
  0xc11fadc37b2fa598, 0xb8a9280591445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea,
  0x97d8f435135c0809, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414,
  0x5c1e6c25ccbe6db1, 0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xb90fcf257ee68665, 0x000000000ac965bf,
};

// m32m1_swio14_dual_pr_ce
static const uint64_t ur_m32c1_swio14_dual_pr_ce[] = {
  0x376eeeee87ad0c86, 0xb60fbab5434d7bf0, 0xdc3edd3ac02919c1, 0x99f4e7ac806e7162, 0xc5d9bae255fba1b9,
  0x7e9dcbbb1bb2fafc, 0x242e91649cc13e32, 0xcf167a4884e948c8, 0xee9f12e20614306a, 0x0eaf9a87ff32ba0c,
  0xba9bd478e5b03827, 0xfdf04508e489fc1d, 0xe00dc3e144312bfc, 0x4432abbbddf3739b, 0x84ddd4542196818f,
  0x68096df76bfe80e7, 0x49cc161bcaf2d5be, 0xe2fabf9244e0ff9e, 0x892c79e6da0384ea, 0xa3e12fc4361222fb,
  0x33c5dc6e5253397e, 0xea384f9ee58cfa97, 0x28bb7e38e9fc1dad, 0xcec80234c4e62c05, 0xfaa01ffb33c75e00,
  0x4af9d40f2d6e7bc6, 0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0x3d0d44d7020274dc,
  0x5688af29a84ae5f6, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d8c4c7,
  0xe0eee3459d3e1b8f, 0xca1854e7ea75666f, 0xf327f8b9c65f989f, 0xc2b93f1cf7ff04d0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000d2440916d2,
};

// m32m1_swio14_dual_pr_ce_u4
static const uint64_t ur_m32c1_swio14_dual_pr_ce_u4[] = {
  0x993b777776890c86, 0x60b07dd5aa1d57df, 0x96d77ee80a2952ed, 0x44e3121b9d6f7ed3, 0x798a1640258b7727,
  0x326c8dcbbb1bb2d0, 0xc8242e90f00cc13e, 0x6acf167a4884e948, 0x0cee9f12e2061430, 0xd9c22b4c35bf32ba,
  0x06a7a6f51f7dec34, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x77488655777bbe6e, 0x0e784da545421968,
  0x5be68096dfa7ffe8, 0xf9e49cc161bcaf2d, 0x675c5f5dbf2474df, 0x5f71258f3cdb4073, 0x2fd47c25f886c244,
  0x1c6678bb8dca4a67, 0x93dea3ce33dcb19e, 0x60298f3d638e9fc1, 0xbc8b765f11c64731, 0x251d645dc72c678e,
  0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x1e86a26b81013a6e, 0xab445794d42572fb,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b09732f9b6c6263, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x0a8b693c95fb9a19, 0x0000000000006924,
};

// m32m1_swio14_dual_pr_ee_ce
static const uint64_t ur_m32c1_swio14_dual_pr_ee_ce[] = {
  0xe2beddddddd432db, 0x764c1f75675ed3d7, 0x0efd5f753ecb534e, 0x8eb06e39dee30f90, 0x6d0672b8d93f22af,
  0xeb91c11560f0ccea, 0xba41f3e9827c64c4, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0xf93620fccae833ba,
  0x9bd470d1b0d34707, 0xe08a11c913f83b1f, 0x1b87c2886257f9fb, 0x655777bbe6e75380, 0x7ce8a8432d029688,
  0x25b7fd7ffa039e13, 0x30586f2bcb56f9a0, 0x8ca1c91d35fe7927, 0xe79b680e69a3bfea, 0xcc273b8dc524e6ff,
  0x1e56c1653b595910, 0x4f7a8f83660fa8f5, 0x91669d68450298ad, 0x31d484d7d1859622, 0xb6fa397c73abb71c,
  0xcb1aaf1b1d7b589d, 0x7c62e121140288c7, 0x9718e4532386f65c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb,
  0x5daa5beace75152a, 0x7a1a89ae0404e9b9, 0xad115e535095cbec, 0x5f3a03c72b5d73da, 0xe33a20421520b94b,
  0xdec55516920a718d, 0x6c25ccbe6db1898e, 0xf07771a2c79c371e, 0x867a615c9fbab337, 0x1d252d9f0271964b,
  0x8b693c95fb9a1996, 0x0000000004c13a4e,
};

// m32m1_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x7dd5bc7b90efcb17, 0x595a16b9c9c92630, 0x17d5efeafee3bb37, 0xcc5e8eec5d3ed5f5,
  0xf98b60012c8a3119, 0xe324055cbfb47c7a, 0x32090ba452374c13, 0x1ab3c59e92213a52, 0xe53ba7c4b881850c,
  0x9c396a666ffe65a0, 0x43e9bd47ec1d85e1, 0x9fbe08a11c913f83, 0x4c01b87c2886257f, 0x510caaeef77cdcb2,
  0xc26d37150865a070, 0x3404b6ece5ff4073, 0x1fe60b0de5796adf, 0xea8c9d491bc3ffc3, 0xb1e79b693bbc3b8b,
  0x84bf10d8488bee24, 0xbb8dc1545927fa8f, 0x2ba53b5b9b9ba678, 0x1f06cc1edff51e57, 0x3ad08a05315efbf5,
  0x09afa30b2c4522cd, 0x33d4e7576e60a3a9, 0xabc6c75ea25d8c7a, 0xb848451a523886c6, 0x608991c37b2fa598,
  0xdc5494b3c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0xcbec7a1a89ae0404,
  0x73daad115e535095, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x898edec55516920a, 0x5c1e6c25ccbe6db1,
  0x83f6ec68b1be2e4d, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8,
  0x87494b67c09c6592, 0xb90fcf257ee68665, 0x000000001001acb5,
};

// m32m1_swio14_dual_ee_hw
static const uint64_t ur_m32c1_swio14_dual_ee_hw[] = {
  0x5b7777743d686f97, 0x983eead63f265f8f, 0x722775261d6b1393, 0xb2b8282ab8858abf, 0x81f1375a1942deb3,
  0x2560dc9e08ceb54e, 0x090ba418f5cc13e3, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0xc0c7e619bfccae83,
  0x35a6f51d2d6c02d1, 0x3f7c114239227f06, 0x400370f8510c4aff, 0x510caaeef77cdc75, 0xc2631f150865a051,
  0x9a025b77f9ff4073, 0x92730586f2bcb56f, 0xab5a3fdd2442d7f8, 0xcc187bf51e576ea6, 0x8a1df15e9bf51f06,
  0xa30b2c4522cd3ad0, 0x2ec157152e6909af, 0x44bb18f467a9cead, 0x523886c6ab5d0ebd, 0x7b2fa598b848451a,
  0x91445546c11fadc3, 0x9fc55f3bb8a92805, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x135c0809d372bb54,
  0xbca6a12b97d8f435, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6db18c55bd8a,
  0xe7ea5eae371e6c25, 0xb9c65f989fca1854, 0x1cf7ff04d0f327f8, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x0aed1cfa8a792bf7,
};

// m32m1_swio14_dual_ee_ce_hw
static const uint64_t ur_m32c1_swio14_dual_ee_ce_hw[] = {
  0x24cddddddd431f02, 0x14c1f75675f3697e, 0xd5c5eeefdf5da0a0, 0x653b28d43f2d07bb, 0x7e3fa10d93f22933,
  0xee4a31166f4c29f5, 0xa409e4e609f19302, 0x9e92213a5232090b, 0xc4b881850c1ab3c5, 0xe643efccae833ba7,
  0xf51dfe6c3101c1ae, 0x114239227f061a26, 0x70f8510c4aff3f7c, 0x55ddeef9b9c3f803, 0xd62a10cb43022219,
  0x6de61bfe80e784c5, 0x161bcaf2d5be6809, 0xf2b491c41fe249cc, 0x79b680e6203bfea8, 0xc273b8dcca8683fe,
  0xe572ba53b5959374, 0xbf51f06cc1edff51, 0x2cd3ad08a05315ef, 0x3a909afa30b2c452, 0xc7a33d4e7576e60a,
  0x6c6abc6c75ea25d8, 0x598b848451a52388, 0xaa3608991c37b2fa, 0xf9ddc5494b3c8a22, 0x27f6bcb955acfe2a,
  0xe75152a8d74271cf, 0x404e9b95daa5beac, 0x095cbec7a1a89ae0, 0xb5d73daad115e535, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0xfec371e6c25ccbe6, 0x8cb25c33d30ae4fc, 0xd0ccb0e9296cf813,
  0x2269924a29e4afdc,
};

// m32m1_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio14_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d1ac4f, 0x07dd5bc7b90efcb1, 0xdd9ba16b9c9c9263, 0xafa8beaf7f57f71b, 0x88ce62f47762e9f6,
  0x9d55c7ed06a96451, 0x374c13e324055ca6, 0x213a5232090ba452, 0x81850c1ab3c59e92, 0xfe6589ad3ba7c4b8,
  0x1d85e19c396a666f, 0x913f8343e9bd47ec, 0x86257f9fbe08a11c, 0x7cdcb24c01b87c28, 0x65a070510caaeef7,
  0xff4073c26d371508, 0x796adf3404b6ece5, 0x787fe756e60b0de5, 0x9787717d5193a923, 0x17dc4963cf2beb03,
  0xaff51f097e21b091, 0x374cf1771b816467, 0xea3cae574a76b737, 0xbdf7ea3e0d983dbf, 0x8a459a75a1140a62,
  0xc14752135f461658, 0xbb18f467a9ceaedc, 0x710d8d578d8ebd44, 0x5f4b3170908a34a4, 0x445546c1132386f6,
  0xc55f3bb8a9296791, 0x39e4fed7972ab59f, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb63131dbd8aaa, 0xfa82ec6e3cd84b99,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x001d751a3705f4f2,
};

// m32c1_swio15_noled_pr_ce_u4       m32m1_swio15_noled_pr_ce          m32m1_swio15_noled_pr_ce_u4
static const uint64_t ur_m32c1_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x32bbfe8533fb3a60, 0x2a77beee2faedf92, 0x61222fb892c79e01, 0xc89257ea3e12fc43,
  0x9633f5933c5dc6e5, 0xd3f8327bd479ba7b, 0xf673160299538c71, 0xccf1d7a3e768851e, 0xe5adc22934a807fe,
  0x3fb5e5caad5f5b81, 0x3a8a9546ba138e79, 0x674dcaed52df5767, 0xd4255abfdfd0d44d, 0xe2d75cf6ab445794,
  0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x5f36c6431dbd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x06ebc7d7d5593c95,
};

// m32m1_swio15_noled_pr_ee_ce
static const uint64_t ur_m32c1_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0x3fe8533fa6a609f1, 0xf877fd5194b923ff, 0x950d07fcf00953bf, 0x6b2b1ef984e771b9,
  0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08, 0x7576e4ac3a909afa, 0x3af3a6edd423c90e,
  0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d,
  0xe86a26b3a6e576a9, 0xa22bca6a12ad5fef, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6,
  0x1b09732f9b63218e, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970, 0xb2792bf734332c3a,
  0x0000000534ce7daa,
};

// m32m1_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffa7abe7f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59d372bb54b7d5d9, 0x350956aff7f43513, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000013f3ecf45b4,
};

// m32c1_swio15_noled_ee_ce_u4_hw    m32m1_swio15_noled_ee_ce_hw       m32m1_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d674dcaed52df57, 0x94d4255abfdfd0d4, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0xe65f36c6431dbd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000a02fb3d45,
};

// m32c1_swio15_lednop_pr_ce_u4      m32m1_swio15_lednop_pr_ce         m32m1_swio15_lednop_pr_ce_u4
static const uint64_t ur_m32c1_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x23a6ffe8533e35a6, 0x12a77b3ae2faedf9, 0x361222fb892c79e0, 0x672e8ffea3e12fc4,
  0x72c67eb2678bb8dc, 0x3a7f064f7a8f38cf, 0x191cc580a63cf58e, 0xb33c75e8f9d97c47, 0xe5adc37ee1aa01ff,
  0x3fb5e5caad6e1c81, 0x3a8a9546ba138e79, 0x274dcaed52df5767, 0x572563d0d44d7020, 0x75cf6ab445794d42,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6, 0x1e40fca1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x917eaac9e4afdcd0, 0x0000000000001bae,
};

// m32m1_swio15_lednop_pr_ee_ce
static const uint64_t ur_m32c1_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xffe8533f6b7304f8, 0x6ceffaa329724536, 0x92737ff3c0254ed3, 0xacac7be6139dc6e2,
  0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422, 0xd5dba438ea426be8, 0xebce9bb7748c1439,
  0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132, 0x138e793fb5e5caad, 0xdf57673a8a9546ba,
  0x4d7020274dcaed52, 0x794d42572563d0d4, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x32f9b681463b7b15, 0x458f38b93571b097, 0xb93f75663c81f943, 0xc944e32c970cf4c2, 0xbf734332c3a4a5b2,
  0x00a698bf7aab2792,
};

// m32m1_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff4f57cf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e9b95daa5beaec, 0x4ae4ac7a1a89ae04, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04fc1eaf16d2792b,
};

// m32c1_swio15_lednop_ee_ce_u4_hw   m32m1_swio15_lednop_ee_ce_hw      m32m1_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xa6a12b92b1e86a26, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000028087abd14f2,
};

/*
 * m32c1_swio15_dual_pr              m32c1_swio15_dual_pr_u4           m32m1_swio15_dual
 * m32m1_swio15_dual_pr              m32m1_swio15_dual_pr_u4
 */
static const uint64_t ur_m32c1_swio15_dual[] = {
  0x4bbbbbbb4486c541, 0x6c1f756e3e9cafc3, 0xb62fbb707a70d386, 0x45067e47652be295, 0x18b3e2d402b74d2b,
  0x9242e5608fe1aaf5, 0x0485d20001304f8c, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x383939be77e65741,
  0xe3dcdea3afbd8145, 0xe7ef822847244fe0, 0xa4006e1f0a21895f, 0xf888655777bbe6e0, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xcf24e60b0de5796a, 0xdf3be59ef923fbbf, 0xdc71d3f8383fea3e, 0x2731602a83cc95a3,
  0x823af00676d291c4, 0xcf6d318c9500ffd9, 0xbe7771525c0940f2, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73,
  0x013a6e576a96fabb, 0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842,
  0xda05455bd8aaa2d2, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0292641ca2da4f25,
};

// m32m1_swio15_dual_pr_ee
static const uint64_t ur_m32c1_swio15_dual_pr_ee[] = {
  0x34eddddddd435032, 0x9cc1f756b1e8437e, 0x7ad3dba7395f589c, 0xd95c13b55de9afbf, 0xc2f0fae70ca16d39,
  0x6e557b68ff5efbb1, 0xd221e4e609f192b0, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0xf30cdfe657419dd3,
  0x7a8e96b60168e063, 0x08a11c913f831ad3, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0x8f8a8432d028a886,
  0x5b7b5bffa039e131, 0x0586f2bcb56f9a02, 0xb93923d3ffe79273, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0x013a6e576a96fabb,
  0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2,
  0x79c371e6c25ccbe6, 0xfbab337f07771a2c, 0x271964b867a615c9, 0xb9a19961d252d9f0, 0x64288be8b693c95f,
};

// m32m1_swio15_dual_pr_ee_u4
static const uint64_t ur_m32c1_swio15_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x07dd5ac7a10df8d3, 0x47e69ce57d627273, 0x276abbd35f7eda7b, 0xf5ce1942da73b2b8,
  0xbfadd5ec3ebb85e1, 0x7304f8c958372faf, 0x4e948c8242e910f2, 0x614306acf167a488, 0x9968394ee9f12e20,
  0xd805a3818fcc337f, 0x44fe0c6b4dea3a5a, 0x1895fe7ef8228472, 0xf9b8000006e1f0a2, 0xcb40a2a21955ddee,
  0xfe80e784c63e2a10, 0xf2d5be68096ded6f, 0x3fff863fcc161bca, 0xd37355ad1b93923d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a,
  0xe86a26b81013a6e5, 0x5a22bca6a12b92b1, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0x6c25ccbe6da05455, 0xec68b1be2e4d5c1e, 0x539fa9d599bf83f6, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x00001593d89fb90f,
};

// m32m1_swio15_dual_pr_ce
static const uint64_t ur_m32c1_swio15_dual_pr_ce[] = {
  0xaddddddec121a5fb, 0xb07dd5aa1f777e1b, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0x9932bbf7ef74dd33,
  0xe9dca591aeb36855, 0x42e91dc7cc13e327, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0xeaf9a87ff32ba0ce,
  0xa9bd478e5b038270, 0xdf04508e489fc1db, 0x00dc3e144312bfcf, 0x432abbbddf370c02, 0x4ddd4542196818f4,
  0x404b6e1a3fe80e78, 0x4e60b0de5796adf3, 0x2fac069224ebfcf2, 0x258f3cdb4073abee, 0x7c25f886c2445f71,
  0x78bb8dceb3643fd4, 0xa3c893dcb19f52e6, 0xee32a38e9fc188be, 0x76d291c42731602f, 0x9500ffd99e3af006,
  0x9702503cb5b9318c, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa1a89ae0404e9b95,
  0x688af29a84ae4ac7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76,
  0x0eee34596af1b8f3, 0xa1854e7ea75666fe, 0x01f343cc9fe04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x491eb716d2792bf7, 0x0000000000000003,
};

// m32m1_swio15_dual_pr_ce_u4
static const uint64_t ur_m32c1_swio15_dual_pr_ce_u4[] = {
  0x191dddddda2432db, 0x82c1f756a8762f7e, 0x5a9afbad89d94bb5, 0x9189c624dd69624e, 0xf8ce947ee7157ee9,
  0xf193646e47045580, 0x464121748b24e609, 0x835678b3d244274a, 0xd06774f8971030a1, 0xa6ce115a61adf995,
  0xf8353d37a8fbef61, 0x57f9fbe08a11c913, 0x7292801b87c28862, 0x43ba4432abbbddf3, 0x4073c26d2a2a10cb,
  0x6adf3404b6fbb5ff, 0x7fcf24e60b0de579, 0xcc09717d4ca92270, 0x117dc4963cf36d01, 0xe47f51f097e21b09,
  0x787199e2ee3712a2, 0x064d7a8f38cf72c6, 0x62c0532a6e8e3a7f, 0x3af22dd96ba38c8e, 0x2a4a3ab5b71cb19e,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d0d44d7020274d, 0x6ab445794d425725,
  0xca6c59d01e7eb5cf, 0x8c10b4d5ceaf52c2, 0x69c6378ce88139f1, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x003490b38b693c95,
};

// m32m1_swio15_dual_pr_ee_ce
static const uint64_t ur_m32c1_swio15_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x764c1f75675e3f2f, 0x7ef5ef76c5e3534e, 0x1d60dc9cad041f22, 0x097d7aefb27e4671,
  0xae4f046752c8a756, 0xe9196d2609f19313, 0x67a4884e948c8242, 0xf12e20614306acf1, 0xe4d883f32ba0cee9,
  0x6f51c346c34d1c1f, 0x822847244fe0ec7e, 0x6e1f0a21895fe7ef, 0x2abbbddf371dbb00, 0xe74542196814b443,
  0x2dbf60ffd01cf09b, 0x82c3795e5ab7cd01, 0xd82c919dbff3c939, 0xf36d01c9db3bfea8, 0x09cee370112601fc,
  0x95a9e94ed6564433, 0x3d47c1b30613fd47, 0xb34eb422814c5781, 0xea426be8c2cb1148, 0x948e7139d5db8ba8,
  0x6355e363af6b13b1, 0x3170908a25f235af, 0xc623e191c37b2e3e, 0x56b3f8abe7771525, 0x5d09c73c9fdaf2e5,
  0xa96fabb39d454aa3, 0x6a26b81013a6e576, 0x22bca6a12b92b1e8, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x4b997cdb40a31dbd, 0xeee3458f386e3cd8, 0xf4c2b93f75666fe0, 0x4a5b3e04e32c970c,
  0xd2792bf734332c3a, 0x0000000098273916,
};

// m32m1_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m32c1_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x3eeade3dfc37e67d, 0xb4d4d7aaf4e49318, 0xb5c5f5eed07595b5, 0x8bd1de7da7dabe75,
  0xa473341c10f0efaf, 0x9202ae5571f60006, 0x12174879e4e609f1, 0x678b3d244274a464, 0x774f8971030a1835,
  0x72d4ccdffccb41ca, 0xd37a8fd83b0bc338, 0x7c114239227f0687, 0x0370f8510c4aff3f, 0x1955ddeef9b9dc78,
  0xda6e2a10cb40e0a2, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x3eaf92330dff863f, 0x9e6da4ee61ae2faa,
  0xfc4361222fb892c7, 0x6e271fdc7fea3e12, 0x29dadcdcdd33c5dc, 0x1b306657a8f2bdf7, 0x422814c576ebd47c,
  0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa, 0x908a0f547f258d57, 0x132386f65f4b3170,
  0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xc7a1a89ae0404e9b,
  0xd5688af29a84ae4a, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d028c,
  0xb763458df1726ae0, 0x0a9cfd4eaccdfc1f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd,
  0x4a5b3e04e32c970c, 0x7e792bf734332c3a, 0x0000008009f82dc8,
};

// m32m1_swio15_dual_ee_hw
static const uint64_t ur_m32c1_swio15_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0x60fbab58f421bf1a, 0x69edd39cafac4e4e, 0xae09daaef4d7dfbd, 0x787d738650b69cec,
  0x0dc9a3ea75add8e1, 0xba443c9cc13e3256, 0x59e92213a5232090, 0x7c4b881850c1ab3c, 0x7e619bfccae833ba,
  0x6f51d2d6c02d1c0c, 0xc114239227f0635a, 0x370f8510c4aff3f7, 0xcaaeef77cdc00000, 0x31f150865a051510,
  0x4b6f6b7ff4073c26, 0x60b0de5796adf340, 0x8dc9c91e9fff124e, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5,
  0x5095c958f435135c, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516,
  0x2f571b8f3612e65f, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x917d453c95fb9a19, 0x0000000000000576,
};

// m32m1_swio15_dual_ee_ce_hw
static const uint64_t ur_m32c1_swio15_dual_ee_ce_hw[] = {
  0x1ceddddddd43359b, 0x14c1f75675f6097e, 0xdbc9ee8eba7da0a0, 0x94ec99f0ce644d71, 0xbccd93764fc89ced,
  0x7721e198535aebd7, 0xd21e20f304f8c981, 0xcf49109d29190485, 0xe25c40c2860d59e2, 0x7321f7e657419dd3,
  0x7a8eff361880e0d7, 0x08a11c913f830d13, 0xb87c2886257f9fbe, 0xaaeef77cdc67ac01, 0xeb150865a181110c,
  0xb6fcb5ff4073c262, 0x0b0de5796adf3404, 0xe57491adfff124e6, 0xf36d01cadf3bfea8, 0x84e771b9d1f524fc,
  0xcaf7dca76b2b26e9, 0xaf51f06cc1995ea3, 0x2cd3ad08a05315db, 0x3a909afa30b2c452, 0xfe23ea0e7576e53c,
  0x96355e363af512ec, 0x2cc5c242283d51fc, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde, 0xc9fdaf2e556b3f8a,
  0x39d454aa35d09c73, 0x013a6e576a96fabb, 0x12b92b1e86a26b81, 0x6bae7b55a22bca6a, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0xfd86e3cd84b997cd, 0x1964b867a615c9f9, 0xa19961d252d9f027,
  0x2269805453c95fb9,
};

// m32m1_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m32c1_swio15_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0x07dd5bc7bf86fccf, 0x95ba9af55e9c9263, 0xe75b5c5f5eed0775, 0xfaf8bd1de7da7dab,
  0x541ab432d1c10f0e, 0x7304f8c901572dad, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221, 0x6589ad3ba7c4b881,
  0x85e19c396a666ffe, 0x3f8343e9bd47ec1d, 0x257f9fbe08a11c91, 0xdcee3c01b87c2886, 0xa070510caaeef77c,
  0x4073c26d37150865, 0x6adf3404b6f951ff, 0xdfe756e60b0de579, 0x1ae2faa3eaf92330, 0xb892c79e57d60726,
  0xea3e12fc4361222f, 0x33c5dc6e70ff1f77, 0xf2bdf729dadcdcdd, 0xebd47c1b306657a8, 0x8b34eb422814c576,
  0x0ea426be8c2cb114, 0x3f88fa839d5db94f, 0x258d578d8ebd44bb, 0x4b3170908a0f547f, 0xb546c1132386f65f,
  0xaf9ddc5494b31f37, 0xf27f6bcb955acfe2, 0xce75152a8d74271c, 0x404e9b95daa5beae, 0x84ae4ac7a1a89ae0,
  0x5aeb9ed5688af29a, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d028c76f62aa8b4, 0x0bb1b8f3612e65f3,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x75d58cd017d3c95f,
};

// m32hvb_swio10_noled_pr_ce_u4
static const uint64_t ur_m32hvb_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x1813fcd7bcfdba98, 0x953bcad717d644f9, 0xb09117dc4963cf00, 0x2a2e47f51f097e21,
  0xcb19fac99e2ee371, 0xd3f83c17ea3e493d, 0xac731602f740a471, 0xccf1d7a3e767bd1d, 0x96b75c359ea807fe,
  0x46d7972ab555aa07, 0x75152a8d74541cde, 0x226b395daa5beace, 0xaf2b90954bef5f47, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x9732f9b640863b7b, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00001bafb5ee21f9,
};

static const uint64_t ur_m32hvb_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe6bde7c344c13e3, 0xe77fd519c3f9163f, 0x01b77f9e012a7763, 0x958f7cc273b8dc00,
  0xd00f51e56e9653b5, 0x298ae43fa8f83660, 0x5962291669d68450, 0xbb77ee1d484d7d18, 0x79d376d291c4273a,
  0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0xa0e6f236bcb955a9, 0xdf5673a8a9546ba2,
  0x7afa391359caed52, 0x6ab445795c84aa5f, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0x83cd84b997cdb204, 0x3f2868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e687993fc09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0x7e0e8b10fcf257ee, 0x0000000000000002,
};

static const uint64_t ur_m32hvb_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fe412b3e87d304, 0xc41717d51dbaf918, 0x17dc4963cf36d01c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0x6f236bcb955a9664,
  0x673a8a9546ba2a0e, 0xa391359caed52df5, 0x445795c84aa5f7af, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53,
  0xbd8aaa2d2da2718d, 0xd84b997cdb20431d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xa25d79e4afdcd0cc, 0x000000000009f87a,
};

// m32hvb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x23107fb0ff9f43e9, 0x039882e2faa3b75f, 0x1222fb892c79e6da, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x073791b5e5caad4b,
  0xfab39d454aa35d15, 0xd7d1c89ace576a96, 0x55a22bcae42552fb, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x7aa28a792bf73433, 0x0000000000001404,
};

// m32hvb_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32hvb_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0x6fbff35ef3f15a60, 0x54eedd5c5f5913e4, 0xc2445f71258f3c02, 0x4a672fd47c25f886,
  0x2c67eb2678bb8dca, 0x4fe0f05fa8e0a4f7, 0xf398b0143da011c7, 0xcf1d7a3e76f911c1, 0x5addbdf40a807fec,
  0x1b5e5caad605681e, 0xd454aa35d1507379, 0x0404e576a96fab39, 0x4255aba5fd1c89ae, 0x56bae7b55a22bcae,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb2ec31dbd8aaa2d, 0x5c9ab83cd84b997c, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xd7bab710fcf257ee, 0x000000000000000d,
};

static const uint64_t ur_m32hvb_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfcd7bcfcedcc13e, 0x68effaa3387f2376, 0x47d493f3c0254ef7, 0xacac7be6139dc6e7,
  0x06807a8f2b2eb29d, 0x814c5652fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbe70ea426be8, 0xd79d37609e8d7c39,
  0x8c9118dfb1aaf1b1, 0x70decb65cc5c2422, 0x59dc359ea8d82264, 0xa839bc8daf2e556a, 0xb7d59cea2a551ae8,
  0x8e44d7020272bb54, 0x115e57212ad5d2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6d97618ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x00000a69a2fa21f9,
};

static const uint64_t ur_m32hvb_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01ff20959ffd7982, 0x400b8bea8edd7c88, 0x8bee24b1e79b680e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x791b5e5caad4b3b8,
  0x39d454aa35d15073, 0xae0404e576a96fab, 0xae4255aba5fd1c89, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb2ec31dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009f8135a5d79,
};

// m32hvb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x1003fd87fcffebcc, 0x1c801717d51dbaf9, 0x9117dc4963cf36d0, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xe6f236bcb955a967,
  0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x73f505d8dc79b097, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00000050104d6a29,
};

// m32hvb_swio10_dual_pr             m32hvb_swio10_dual_pr_u4
static const uint64_t ur_m32hvb_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xe6e56f80370f8510, 0x96846488655777bb, 0xfe80e784d6b45421,
  0x0586f2bc84b6e5d7, 0x587cf9152bfffed3, 0x4fe0c45f51e443be, 0xc055079bf71951c7, 0xe00ced38a37bce62,
  0x5e0faa01ffb30475, 0x2a4b7f8607967b6b, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x4e576a96fab39d45,
  0x5aba5fd1c89ae040, 0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x76455bd8aaa2d241,
  0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x4935ad52ebcf257e, 0x0000000000000001,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0x3f03646368191292, 0x74f8971030a18349, 0x02d4c63ff995d067,
  0x5a6f51c9d6c12d1c, 0xf7c114239227f071, 0x80370f8510c4aff3, 0x10caaeef77cdc548, 0x260f7150865a0bed,
  0xc84b6e9b7ff4073c, 0x87ffffed30586f2b, 0x7bee6ab5a328bf22, 0xa8f83660ccaf51e5, 0x69d68450ef8aedd7,
  0x484d7d1859622916, 0x8e75697286b8a973, 0xe875ea25da3da3d2, 0x42284011a636355a, 0xfd6e1bd97d2cc5c2,
  0xa4a014656b2a3608, 0x5caad67f157ceee2, 0xaa35d15073791b5e, 0xe576a96fab39d454, 0xaba5fd1c89ae0404,
  0xe7b55a22bcae4255, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x6455bd8aaa2d2414, 0x371e6c25ccbe6d97,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001591eb72ebcf,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x06927e06c8c6d032, 0xa0cee9f12e206143, 0x6b1c09d4c96bf32b,
  0xf07bee6f51e2b6c0, 0xaff3f7c114239227, 0xe33900370f8510c4, 0x08f688655777bbe6, 0x01cf09a448a8432d,
  0x1bcaf212dba6dffd, 0xe7c8a1fffffb4c16, 0xea3cad82cd56b46f, 0xb90fea3e0d98309f, 0x8a459a75a1143be2,
  0x105cd2135f461658, 0x28e6e39d5a5dc9ae, 0x1aad743af6b13b4e, 0xc5c242285ae8e32b, 0xb8e93eb70decb8f8,
  0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x5fd1c89ae0404e57, 0x55a22bcae4255aba,
  0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0x4e31bc67440d8ff1, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x02b2042e5d79e4af,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x3493f03646368191, 0x06774f8971030a18, 0x91c0e0cdd5ff995d,
  0x072ba6f51f676c23, 0xff3f7c114239227f, 0x68380370f8510c4a, 0x1ed10caaeef77cdc, 0x73c2609f150865a0,
  0xf2bc84b6f63fff40, 0xf9035bfffed30586, 0x6da038706e2fa98f, 0x4361222fb892c79e, 0xe5c89257ea3e12fc,
  0xee58cfa9733c5dc6, 0x8e9fc1dc3f51fa89, 0xbde731602d4aeea3, 0xd99e3af006769c51, 0xf2d6e5af07d500ff,
  0x2af9ddc5496ff0c0, 0xe6f236bcb955acfe, 0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b65d863b7b15, 0x1a2ce9f0dc79b097,
  0xa73f53ab337f0777, 0xc5ce32fcc4fe50c2, 0xf8e7bff82687993f, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x0349318cbaf3c95f,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x0df670d373456fcc,
  0x9fc19439bd47cadb, 0x12bfcfdf04508e48, 0x9b949400dc3e1443, 0xb4027a21955ddeef, 0xf4073c269c62a10c,
  0x2c3795e425b74b5f, 0xbdd7c8b75ffff698, 0x1e79b680e69bb8be, 0x4bf10d8488bee24b, 0x771b9722495fa8f8,
  0x2fa7b9633c38ccf1, 0x951c74fe0d67fa8f, 0x9118df398b0163de, 0xdc72c678ebc8b76c, 0xc55f3bb8a928ea32,
  0x1cde46d7972ab59f, 0xeace75152a8d7454, 0x226b8101395daa5b, 0xaf2b90956ae97f47, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36cbb0c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a,
  0x00000001a489a097,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x927e06c8c6d03225, 0xcee9f12e20614306, 0x3862099aeff32ba0,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0xbb006e1f0a21895f, 0x54432abbbddf371d, 0xf09a43c542196830,
  0xaf212dbf60ffd01c, 0x8b5bffffb4c161bc, 0x1cb5b3bfea8f027c, 0x370c03743fcf36d0, 0x94ed6564dd309cee,
  0x0d983eebd4795e56, 0xa1140a62b95dea3e, 0x5f4616588a459a75, 0x51ceaedc50c75213, 0x8d8ebd44bb47b47a,
  0x908a1004698d8d57, 0x132386f65f4b3170, 0x5494b38cad6546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0x9caed52df5673a8a, 0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xd863b7b15545a482, 0x0dc79b09732f9b65, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c,
  0x2749d2ebcf257ee6, 0x0000000000000098,
};

static const uint64_t ur_m32hvb_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x1850c1a49f81b231, 0xe65a0e53ba7c4b88,
  0x6c3b04e1787372d7, 0x89fc1b5dcdea3e37, 0x312bfcfdf04508e4, 0xe6e446200dc3e144, 0x2d08e488655777bb,
  0xfa039e136fb8a843, 0x2c3795e425b7b91f, 0x383f20d6fff61798, 0xe6da4ecd6ee2faa3, 0xc4361222fb892c79,
  0xe44629c7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb307dd7a8f2bcad2, 0x22814c572bbd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db8a18ea426b, 0xb1d7a89768f68f4a, 0x1142008d31b1aaf1, 0x6470decbe9662e12, 0x92967195aca8d822,
  0x72ab59fc55f3bb8a, 0xa8d74541cde46d79, 0x95daa5beace75152, 0xae97f47226b81013, 0x9ed5688af2b90956,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x0c76f62aa8b49053, 0xe0f3612e65f36cbb, 0x1fb763458df1726a,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xaa72792bf734332c, 0x00000000200041a9,
};

static const uint64_t ur_m32hvb_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0x1a49f81b231b40c8, 0x833ba7c4b881850c, 0x68e016a631ffccae,
  0x838ad37a8e4eb609, 0x7f9fbe08a11c913f, 0x2a4401b87c288625, 0x5f688655777bbe6e, 0x39e1307b8a8432d0,
  0x795e425b74dbffa0, 0xe450fffb5fb982c3, 0x3caf7dcd56b46517, 0xbaf51f06cc1995ea, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x7a51cead2e50d715, 0xab5d0ebd44bb47b4, 0xb84845080234c6c6, 0xc11fadc37b2fa598,
  0xdc5494028cad6546, 0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x809caed52df5673a, 0x4ab574bfa39135c0,
  0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb2ec8ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da7add14f257e,
};

static const uint64_t ur_m32hvb_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0xd24fc0d918da0644, 0x19dd3e25c40c2860, 0x870c41335dfe6574,
  0x1ffc9bd47d35b07f, 0xfcfdf04508e489fc, 0xb7600dc3e144312b, 0x0a88655777bbe6e3, 0x9e134878a8432d06,
  0x95e425b7ec1ffa03, 0x45adffb5fb982c37, 0x0e5ad9dff547813e, 0x8dc672e8ffe79b68, 0xa53b5959374c273b,
  0x83660fbaf51e5795, 0x68450298ae577a8f, 0xd7d185962291669d, 0x9473abb71431d484, 0xe363af512ed1ed1e,
  0x242284011a636355, 0x44c8e1bd97d2cc5c, 0x15252ce32b5951b0, 0xf2e556b3f8abe777, 0xa551ae8a839bc8da,
  0x272bb54b7d59cea2, 0xad5d2fe8e44d7020, 0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x7618edec55516920, 0xc371e6c25ccbe6d9, 0xb25c33d30ae4fcfe, 0xccb0e9296cf8138c, 0x4fa4ea29e4afdcd0,
  0x0000000000000113,
};

static const uint64_t ur_m32hvb_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0xe06c8c6d03225252, 0x9f12e20614306927, 0x1cdcb5f99626b4ee,
  0x7a8f8ddb0ec1385e, 0x114239227f06d773, 0x70f8510c4aff3f7c, 0x55ddeef9b9118803, 0xee2a10cb42392219,
  0x6dee47fe80e784db, 0xfaa7260b0de57909, 0xe2faa3383f20d6ff, 0x92c79e57d6070d6e, 0x3e12fc4361222fb8,
  0xe2ee371705c3ffea, 0x5e5694ed6e6e6e99, 0xea3e0d983eebd479, 0x9a75a1140a62b95d, 0x52135f4616588a45,
  0xb47a51ceaedc50c7, 0x8d578d8ebd44bb47, 0x3170908a1004698d, 0x46c1132386f65f4b, 0x9ddc5494b38cad65,
  0x236bcb955acfe2af, 0x3a8a9546ba2a0e6f, 0xc0809caed52df567, 0xc84ab574bfa39135, 0xcad75cf6ab445795,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b65d863b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x03aeb38be0be9e4a,
};

// m32hvb_swio11_noled_pr_ce_u4      m32hvb_swio12_noled_pr_ce         m32hvb_swio12_noled_pr_ce_u4
static const uint64_t ur_m32hvb_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff35ef3fa6e609, 0x4ee575c5f5eebe46, 0x2445f71258f3c025, 0x3a4afd47c25f886c,
  0xc67eb2678bb8dc64, 0xfe0d67fa8ebe4f72, 0x731602edf97d1c74, 0xf1d7a3e764c5188a, 0xadd6b13ca807fecc,
  0xb5e5caad508981e5, 0x454aa35d15073791, 0xace576a96fabb39d, 0x2b9095b1bd7d1c89, 0xe7c5aeb9ed5688af,
  0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x65f36d84263b7b15, 0x8df1726ae0f3612e, 0xea75663c81f94345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x00375de6dc43f3c9,
};

// m32hvb_swio12_noled_pr_ee_ce
static const uint64_t ur_m32hvb_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x35ef3e9b7304f8c9, 0xbfea8cbafc819bff, 0xd1ffcf00953b19b3, 0xb1ef984e771b8ce5,
  0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b, 0x3a6ec7aa3f90e757,
  0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x0e6f236bcb955a96, 0x57673a8a9546ba2a,
  0xfa391359caed52df, 0xad115e57212b637a, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6,
  0xc6c25ccbe6db084c, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x1f9e4afdcd0ccb0e,
  0x000000029a69f5e2,
};

// m32hvb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32hvb_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffc82567c524c13e, 0xfdc5f547a6fe456f, 0xee24b1e79b680e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x91b5e5caad4b3e83,
  0x9d454aa35d150737, 0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0x2e65f36d84263b7b, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x75e792bf734332c3, 0x0000000027e1b909,
};

// m32hvb_swio11_noled_ee_ce_u4_hw   m32hvb_swio12_noled_ee_ce_hw      m32hvb_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9bf915, 0x2fb892c79e6da039, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xbc8daf2e556a59f4,
  0x9cea2a551ae8a839, 0xe44d672bb54b7d5d, 0x45795c84ad8debe8, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0x09732f9b6c2131db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1,
  0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e, 0x0000000005011b90,
};

// m32hvb_swio11_lednop_pr_ce_u4     m32hvb_swio12_lednop_pr_ce        m32hvb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m32hvb_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe6bde7e394c13, 0x9de9bb8bebdd7c8b, 0x488bee24b1e7804a, 0x5951fa8f84bf10d8,
  0x8cfd64cf1771b849, 0xf8359fea3cbe9ee5, 0xe62c058f7a5471d3, 0xc75e8f9db244637c, 0x6e83fd22a01ffb33,
  0xaf2e556b2ed40f2d, 0x2a551ae8a839bc8d, 0x272bb54b7d5d9cea, 0x5cbd2fe8e44d7020, 0xeb9ed5688af2b909,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x565443f3c95fb9a1, 0x0000000000001baf,
};

// m32hvb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32hvb_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe6bde7dfe4c13e32, 0x3bfea8cbafc80d1f, 0x7044fe7804a9d868, 0x2b1ef984e771b8d0,
  0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e74a3a909afa30, 0xf3a6ed22239b8e75,
  0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647, 0xa0e6f236bcb955a9, 0xf57673a8a9546ba2,
  0x9135c0809caed52d, 0x2bcae42572f4bfa3, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0xb997cdb63131dbd8, 0x1a2c79c5c9ab8d84, 0x15c9fbab31e40fca, 0x964a271964b867a6, 0x95fb9a19961d252d,
  0x00029a763fc43f3c,
};

// m32hvb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32hvb_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xff20959fec19827c, 0xd717d51e9bf9087d, 0xb892c79e6da03887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0x8daf2e556a59dac4,
  0xea2a551ae8a839bc, 0x20272bb54b7d5d9c, 0x095cbd2fe8e44d70, 0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5975e792,
};

// m32hvb_swio11_lednop_ee_ce_u4_hw  m32hvb_swio12_lednop_ee_ce_hw     m32hvb_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9bf908, 0x2fb892c79e6da038, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xbc8daf2e556a59da,
  0x9cea2a551ae8a839, 0x7020272bb54b7d5d, 0xb9095cbd2fe8e44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

/*
 * m32hvb_swio11_dual_pr             m32hvb_swio11_dual_pr_u4          m32hvb_swio12_dual
 * m32hvb_swio12_dual_pr             m32hvb_swio12_dual_pr_u4
 */
static const uint64_t ur_m32hvb_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x83493f0364636819, 0xd06774f8971030a1, 0xbece05166727f995,
  0xfe0cca9bd477f360, 0x95fe7ef822847244, 0xdc6bb006e1f0a218, 0xd08c910caaeef77c, 0xd01cf09ad68a8432,
  0xb0de579096dca5ff, 0x5aff20a2ffffda60, 0xf83defd47ee8ef96, 0x2a83cce4c3dc71d3, 0x06764011a6273160,
  0x37d500ffd9823af0, 0x495f3a81e59edbde, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9,
  0xf4bfa39135c0809c, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e,
  0x71e6c25ccbe6db18, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x341c72ebcf257ee6, 0x0000000000000149,
};

// m32hvb_swio12_dual_pr_ee
static const uint64_t ur_m32hvb_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0xf81b231b40c89494, 0xa7c4b881850c1a49, 0x16a631ffccae833b,
  0xd37a8e4eb60968e0, 0xbe08a11c913f838a, 0x01b87c2886257f9f, 0x8655777bbe6e5d0c, 0x307b8a8432d05f68,
  0x212dbe9affa039e1, 0x5affffb4c161bcaf, 0xedd4d56b47fbbe40, 0xa3e0d9830f7ea3ca, 0xa75a1143be2bd37e,
  0x2135f4616588a459, 0x39d5a5d82ae2a5cd, 0xa1d7a897631e8cf5, 0x08a34a4710d8d56b, 0xf5b86f65f4b31709,
  0x2500b2288aa8d823, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0xd2fe8e44d7020272,
  0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6c63,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0005642b54baf3c9,
};

// m32hvb_swio12_dual_pr_ee_u4
static const uint64_t ur_m32hvb_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x49f81b231b40c894, 0x3ba7c4b881850c1a, 0x70275325afccae83,
  0xefb9bd478adb01ac, 0xcfdf04508e489fc1, 0x5000dc3e144312bf, 0xda21955ddeef9b99, 0x3c269122a10cb423,
  0x95e425b7d35ff407, 0xc80b5ffff6982c37, 0x795a9e9aad68e037, 0x87ea3e0d983913d4, 0x459a75a1143be2b3,
  0x5cd2135f4616588a, 0xc1439d5a5d2b2e10, 0xad743af6b13b2008, 0xc242287bd1e45b1a, 0x70feb70decb8f8c5,
  0xcfe2af9ddc549571, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0x71e6c25ccbe6da71, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xc9d3d2ebcf257ee6, 0x000000000000000a,
};

// m32hvb_swio12_dual_pr_ce
static const uint64_t ur_m32hvb_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x0d24fc0d918da064, 0x419dd3e25c40c286, 0xe4703833757fe657,
  0xc1cae9bd47d9db08, 0xbfcfdf04508e489f, 0x8a4800dc3e144312, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0xde579096dc66ffe8, 0x9f20e0ffffda60b0, 0xe6da0384eae2fabf, 0xc4361222fb892c79, 0x6e5253397ea3e12f,
  0x9ee58cfa9733c5dc, 0x38e9fc1dadea384f, 0x34c4e62c0528bb7e, 0xfb33c75e00cec802, 0x0f2d6e7bc6faa01f,
  0xf157ceee2a4af9d4, 0x073791b5e5caad67, 0xabb39d454aa35d15, 0x89ae0404e576a96f, 0x5e57212b97a5fd1c,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6db1898edec5, 0xc68b3a7c371e6c25,
  0xa9cfd4eaccdfc1dd, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x00d245d92ebcf257,
};

// m32hvb_swio12_dual_pr_ce_u4
static const uint64_t ur_m32hvb_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x0d24fc0d918da064, 0x419dd3e25c40c286, 0xfb3869b9a2b7e657,
  0xe0ca1cdea3e56d86, 0x5fe7ef822847244f, 0xc24a006e1f0a2189, 0x013d10caaeef77cd, 0x039e134e3150865a,
  0x3795e425b7a1fffa, 0xffc8d37ffff6982c, 0xf36d01cd9d717d76, 0xe21b09117dc4963c, 0x3729299cbf51f097,
  0xcf72c6787199e2ee, 0x8e3a7f064f7a8f38, 0x47191cc580a63cf5, 0x1cb19e3af22dd97c, 0xaf9ddc5494759177,
  0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0x7cdb63131dbd8aaa, 0xa2c6f86e3cd84b99, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000000d242ce5d79,
};

// m32hvb_swio12_dual_pr_ee_ce
static const uint64_t ur_m32hvb_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0xfc0d918da0644a4a, 0xd3e25c40c2860d24, 0xc41335dfe657419d,
  0xc9bd47d35b07f870, 0xdf04508e489fc1ff, 0x00dc3e144312bfcf, 0x432abbbddf371704, 0x9a43c54219683054,
  0x212db9adffd01cf0, 0x20ffffb4c161bcaf, 0x3101dff54795be46, 0xc548f75bf3cdb407, 0x3b5959374c273b8d,
  0xcc1edff51e572ba5, 0x8a05315efbf51f06, 0xa30b2c4522cd3ad0, 0xe7576e60a3a909af, 0xc75ea25d8c7a33d4,
  0x451a523886c6abc6, 0x91c37b2fa598b848, 0x94b3c8a22aa36089, 0x955acfe2af9ddc54, 0x46ba2a0e6f236bcb,
  0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb6313, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x9c975e792bf73433, 0x0000000000004c13,
};

// m32hvb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32hvb_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x4306927e06c8c6d0, 0x68394ee9f12e2061,
  0xec1385e1cdcb5f99, 0xf06d7737a8f8ddb0, 0xaff3f7c114239227, 0xc15400370f8510c4, 0x11c910caaeef77cd,
  0x073c26df7150865a, 0x6f2bc84b6f495ff4, 0xbe45e1ffec2f3058, 0xb49dde1dc5f5464e, 0x6c2445f71258f3cd,
  0xaa2c93fd47c25f88, 0xadcdcdd33c5dc6e0, 0x0f6ffa8f2b95d29d, 0x0298af7dfa8f8366, 0x85962291669d6845,
  0xabb73051d484d7d1, 0xaf512ec63d19ea73, 0x8d291c436355e363, 0xe1bd97d2cc5c2422, 0x59e4511551b044c8,
  0xad67f157ceee2a4a, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e, 0xec68b1be2e4d5c1e,
  0x539fa9d599bf83f6, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000004004b82b54e,
};

// m32hvb_swio12_dual_ee_hw
static const uint64_t ur_m32hvb_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0xd24fc0d918da0644, 0x19dd3e25c40c2860, 0x4700b5318ffe6574,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0xc80b5fed7ee60b0d, 0x795dba9aad68ff77, 0x6fd47c1b3061efd4, 0x8b34eb422877c57a,
  0xb9a426be8c2cb114, 0x9ea73ab4bb055c54, 0xad743af512ec63d1, 0xe121146948e21b1a, 0x047eb70decbe9662,
  0xe2a4a0164511551b, 0x5e5caad67f157cee, 0x54aa35d15073791b, 0x4e576a96fabb39d4, 0xb97a5fd1c89ae040,
  0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920, 0xb1b8f3612e65f36d,
  0x0f7bca1854e7ea0b, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x5768ad5453c95fb9,
};

// m32hvb_swio12_dual_ee_ce_hw
static const uint64_t ur_m32hvb_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0x3f03646368191292, 0x74f8971030a18349, 0x3104cd77f995d067,
  0xf26f51f4d6c1fe1c, 0xf7c114239227f07f, 0x00370f8510c4aff3, 0x10caaeef77cdc5c1, 0x2690f150865a0c15,
  0xc84b6e6b7ff4073c, 0x20ff6bf730586f2b, 0x3101dff54795be46, 0xe654341ff3cdb407, 0x9dacac9ba6139dc6,
  0x660f6ffa8f2b95d2, 0x450298af7dfa8f83, 0xd185962291669d68, 0x73abb73051d484d7, 0x63af512ec63d19ea,
  0x228d291c436355e3, 0xc8e1bd97d2cc5c24, 0x4a59e4511551b044, 0xcaad67f157ceee2a, 0xa35d15073791b5e5,
  0x76a96fabb39d454a, 0xa5fd1c89ae0404e5, 0xdaad115e57212b97, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6db189, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25, 0x9ca29e4afdcd0ccb,
  0x000000000001134f,
};

// m32hvb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0x8c6d032252521966, 0xe20614306927e06c, 0xb5f99626b4ee9f12,
  0x8ddb0ec1385e1cdc, 0x39227f06d7737a8f, 0x510c4aff3f7c1142, 0xf77cdc15400370f8, 0x0865a11c910caaee,
  0x95ff4073c26df715, 0x930586f2bc84b6f4, 0x5193af91787ffd53, 0xcf2beb039787717d, 0x7e21b09117dc4963,
  0x1b816467aff51f09, 0x4a76b737374cf177, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75,
  0xa9ceaedcc1475213, 0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1,
  0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5e97f47226b81013, 0xcf6ab445795c84ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0xdc79b09732f9b6c6, 0xbde50c2a73f505d8,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xcf430be9e4afdcd0,
  0x0000000000003aeb,
};

// m32hvb_swio13_noled_pr_ce_u4
static const uint64_t ur_m32hvb_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x4aeff35ef3fb3a60, 0xa9defbb8bebb7fe4, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0x46d7972ab57d6e07, 0x75152a8d74541cde, 0xce576a96faa9bece, 0xc84ab57bd7d1c89a, 0xe2d75cf6ab445795,
  0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x5f36c6431dbd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0375e3ebc43f3c95,
};

static const uint64_t ur_m32hvb_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652fe47fc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x2a0e6f236bcb955a, 0x54df673a8a9546ba,
  0xe8e44d672bb54b7d, 0xa22bcae4255abdeb, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6,
  0x1b09732f9b63218e, 0x1f943458f38b9357, 0xcf4c2b93f75663c8, 0x4a5b2c944e32c970, 0x7e792bf734332c3a,
  0x000000029a673e88,
};

static const uint64_t ur_m32hvb_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3be435, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0xe46d7972ab52cfa4,
  0xe75152a8d74541cd, 0xace576a96faa9bec, 0x5c84ab57bd7d1c89, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x00000027e7d9e975,
};

// m32hvb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f677c8, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3791b5e5caad4b3e,
  0xb39d454aa35d1507, 0x26b395daa5beaa6f, 0xe57212ad5ef5f472, 0xbcf8b5d73daad115, 0x881077536294f0d3,
  0xaa8b4b689c6378ce, 0xb997cdb190c76f62, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x0000000280becf51,
};

// m32hvb_swio13_lednop_pr_ce_u4
static const uint64_t ur_m32hvb_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x469bff35ef3e35a6, 0x4a9deceb8bebb7fe, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0x46d7972ab5b87207, 0x75152a8d74541cde, 0x4e576a96faa9bece, 0x5c925fd1c89ae040, 0xeb9ed5688af2b909,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x917c43f3c95fb9a1, 0x0000000000001bae,
};

static const uint64_t ur_m32hvb_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5fc84db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x541cde46d7972ab5, 0xa9bece75152a8d74,
  0x9ae0404e576a96fa, 0xf2b9095c925fd1c8, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x65f36d028c76f62a, 0x8b1e71726ae3612e, 0x727eeacc7903f286, 0x9289c6592e19e985, 0x7ee6866587494b65,
  0x00a698bf710fcf25,
};

static const uint64_t ur_m32hvb_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3be40a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xf236bcb955a96622,
  0x73a8a9546ba2a0e6, 0x0272bb54b7d54df6, 0x4ae492fe8e44d702, 0xd75cf6ab445795c8, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x681463b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f07abcbaf3c95,
};

// m32hvb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x40a4ff61ff3e6b73, 0x070525c5f547b3be, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x839bc8daf2e556a5,
  0x37d9cea2a551ae8a, 0x5c0809caed52df55, 0x57212b924bfa3913, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6da0518edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000014043d5e8a79,
};

// m32hvb_swio13_dual_pr             m32hvb_swio13_dual_pr_u4
static const uint64_t ur_m32hvb_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7287, 0x2cf7fc8fddffff69, 0x9fc1c1ff51f6f9df, 0x01541e64ad1ee38e, 0x8033b6948e21398b,
  0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x76a96faa9bece751,
  0x25fd1c89ae0404e5, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0xc79b09732f9b6815, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0xd79f4baf3c95fb9a, 0x0000000000000524,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x805a98c7ff32ba0c,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84c1ee2a10cb417d,
  0x79096de76ffe80e7, 0x74fffffda60b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c, 0x9a75a1143be2bd9d,
  0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab, 0x1fadc37b2fa598b8,
  0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xb54b7d54df673a8a, 0x2fe8e44d7020272b,
  0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x3cd84b997cdb40a8,
  0xbf83bb8d165abc6e, 0x8d2861539fa9d599, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x005641d165d79e4a,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x60d24fc0d918da06, 0x7419dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xb9d1f006e1f0a218, 0x423da21955ddeef9, 0x4073c269122a10cb,
  0x86f2bc84b6f3b7ff, 0xf7f23a7ffffed305, 0xf51e578126ab5a35, 0xacbafa8f83660fba, 0x2291669d68450ef8,
  0x84173484d7d18596, 0xa472f8e75697f9cb, 0x8d56ba1d7b589db4, 0x3170908a131463e5, 0xae2d6fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd74541cde46d7972, 0x6faa9bece75152a8, 0x1c89ae0404e576a9, 0x88af2b9095c925fd,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x6378ce88139f4502, 0xdc79b09732f9b69c, 0x666fe0eee3458df0,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x592054baf3c95fb9, 0x0000000000000001,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x06927e06c8c6d032, 0xa0cee9f12e206143, 0x72381c19babff32b,
  0xe0e574dea3eced84, 0x5fe7ef822847244f, 0x8089006e1f0a2189, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0x6f2bc84b6fff3fe8, 0x6f904ebfffed3058, 0xcdb4073abee2fac0, 0x886c2445f71258f3, 0xdc24aca8fd47c25f,
  0x3dcb19f52e678bb8, 0x38e9fc188bea3c89, 0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f,
  0xfe2af9ddc5497025, 0xa0e6f236bcb955ac, 0x4df673a8a9546ba2, 0xd7020272bb54b7d5, 0x95c84ae492fe8e44,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b681463b7b155, 0xa2ce9f0dc79b0973,
  0x73f53ab337f07771, 0x5ce32fcc4fe50c2a, 0x8e7bff82687993fc, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x0d24324baf3c95fb,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xa183493f03646368, 0x95d06774f8971030, 0x61bece1a6e68adf9,
  0x13f8328737a8f95b, 0x6257f9fbe08a11c9, 0xf3719c801b87c288, 0x96804f4432abbbdd, 0xfe80e784d38c5421,
  0x0586f2bc84b6e16b, 0xd4caf91b3bfffed3, 0x63cf36d01c8ad717, 0x097e21b09117dc49, 0x2ee37092b2a3f51f,
  0xe804f72c6787199e, 0x3a88e3a7f064d7a8, 0xa6e47914e62c057f, 0xf371cb19e3af22dd, 0x7f157ceee2a4a3a1,
  0x5073791b5e5caad6, 0xa6fb39d454aa35d1, 0x6b8101395daa5bea, 0xcae42572497f4722, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000692042e5d7,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x862099aeff32ba0c,
  0xfe4dea3e9ad83fc3, 0x7ef822847244fe0f, 0x4006e1f0a21895fe, 0xa21955ddeef9b816, 0x84d21e2a10cb4182,
  0x79096def0ffe80e7, 0x56fffffda60b0de5, 0xe56f9dff5472bbe4, 0xb97437547e79b680, 0xa76b2b26e984e771,
  0x6cc1995ea3caf7dc, 0x08a05315dbaf51f0, 0xfa30b2c4522cd3ad, 0x0e7576e53c3a909a, 0x363af512ecfe23ea,
  0x42283d51fc96355e, 0x4c8e1bd97d2cc5c2, 0x5252cc7cded51b04, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0xd52df5537d9cea2a, 0xbfa39135c0809cae, 0xaad115e57212b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xe6c25ccbe6da0518, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964,
  0x74baf3c95fb9a199, 0x000000000009822a,
};

static const uint64_t ur_m32hvb_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0a183493f0364636, 0xcb41ca774f897103,
  0x87609c2f0e6e5afc, 0x3f836bb9bd47c6ed, 0x257f9fbe08a11c91, 0xdc4e3c01b87c2886, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6e495ff, 0xbfe44c37fec2f305, 0xb693b986b8bea8fa, 0x0d8488bee24b1e79,
  0x9c7f71ffa8f84bf1, 0x6b737374cf1771b8, 0xc1995ea3caf7dca7, 0xa05315dbaf51f06c, 0x30b2c4522cd3ad08,
  0x7576e53c3a909afa, 0x3af512ecfe23ea0e, 0x283d51fc96355e36, 0x8e1bd97d2cc5c242, 0x52cc7cded51b044c,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0x2df5537d9cea2a55, 0xa39135c0809caed5, 0xd115e57212b924bf,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6da0518ed, 0xc68b1be2e4d5c1e6,
  0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000020027c1354e4,
};

static const uint64_t ur_m32hvb_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x493f036463681912, 0x6774f8971030a183, 0x1c02d4c63ff995d0,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xeb00370f8510c4af, 0xed10caaeef77cdce, 0x3c260f7150865a0b,
  0x2bc84b6f3b7ff407, 0x8e9fff6bf730586f, 0x95e9b9aad68dc9fc, 0xbd47c1b3071efd47, 0xb34eb422877c57b3,
  0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5, 0x23f5b86f65f4b317,
  0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x76a96faa9bece751, 0x25fd1c89ae0404e5,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0xf2861539fa97ab8d, 0x3cc9fe2e7197e627, 0x30ae4fc73dffc134, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000005768745a2,
};

static const uint64_t ur_m32hvb_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x24fc0d918da0644a, 0x9dd3e25c40c2860d, 0x70c41335dfe65741,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0xc800dc3e144312bf, 0x54432abbbddf3702, 0xf09a43c542196830,
  0xaf212dbde1ffd01c, 0x2b7ffdafdcc161bc, 0x72b7ceffaa395df2, 0x6e747d493f3cdb40, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xb54b7d54df673a8a, 0x2fe8e44d7020272b, 0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0x0cf4c2b93f3fb0dc, 0x3a4a5b3e04e32c97, 0x3a8a792bf734332c,
  0x00000000001134d5,
};

static const uint64_t ur_m32hvb_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x3646368191292917, 0x8971030a183493f0, 0x6e5afccb135a774f,
  0x47c6ed87609c2f0e, 0xa11c913f836bb9bd, 0x7c2886257f9fbe08, 0xeef77cdc4e3c01b8, 0x150865a11c910caa,
  0xe495ff4073c26df7, 0x53930586f2bc84b6, 0xfaa3eaff9130dffd, 0xc79e57d607261ae2, 0x12fc4361222fb892,
  0xdc6e70ff1f77ea3e, 0xf729dadcdcdd33c5, 0x7c1b306657a8f2bd, 0xeb422814c576ebd4, 0x26be8c2cb1148b34,
  0xfa839d5db94f0ea4, 0x578d8ebd44bb3f88, 0x70908a0f547f258d, 0xc1132386f65f4b31, 0xdc5494b31f37b546,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x2bb54b7d54df673a, 0x492fe8e44d702027, 0xcf6ab445795c84ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x463b7b15545a4829, 0xdc79b09732f9b681, 0xbde50c2a73f505d8,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x47930be9e4afdcd0,
  0x0000000000003aea,
};

// m32hvb_swio14_noled_pr_ce_u4
static const uint64_t ur_m32hvb_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x8cadfe6bde7f4dcc, 0x4a9dcaeb8bebdd7c, 0xd8488bee24b1e780, 0xc87495fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0x236bcb955aa11303, 0x3a8a9546ba2a0e6f, 0xd674dcaed52df567, 0xcae4256c7efe8e44, 0x79f16bae7b55a22b,
  0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x997cdb61098edec5, 0x637c5c9ab83cd84b, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x000dd779b710fcf2,
};

static const uint64_t ur_m32hvb_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff9af79f4db9827c, 0xd9dff5465d7e40cd, 0x72e8ffe7804a9d8c, 0x5958f7cc273b8dc6,
  0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845, 0xabb73931d484d7d1, 0xd79d3763d51fc873,
  0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132, 0x15073791b5e5caad, 0x96fab39d454aa35d,
  0x7f47226b3a6e576a, 0xaad115e57212b63f, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x5c6c25ccbe6db084, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25, 0x21f9e4afdcd0ccb0,
  0x0000000029a69f5e,
};

static const uint64_t ur_m32hvb_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff904acf8a4982, 0xadfb8bea8f4dfc8a, 0x17dc4963cf36d01c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0x6f236bcb955a967d,
  0x673a8a9546ba2a0e, 0x44d674dcaed52df5, 0x2bcae4256c7efe8e, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x5d79e4afdcd0ccb0, 0x0000000009f86e42,
};

// m32hvb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x2b7ffd87fcf8a498, 0x72b7ee2faa3d37f2, 0x445f71258f3cdb40, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0x73791b5e5caad4b3,
  0xab39d454aa35d150, 0x7226b3a6e576a96f, 0x115e57212b63f7f4, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xc25ccbe6db084c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x28a792bf734332c3, 0x00000000014046e4,
};

// m32hvb_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32hvb_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x16ebfcd7bcfc7298, 0x953bd37717d7baf9, 0xb09117dc4963cf00, 0x92b2a3f51f097e21,
  0xcb19fac99e2ee370, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0x1b5e5caad65da81e, 0xd454aa35d1507379, 0x13a6e576a96fab39, 0x2b97d8f47226b810, 0x5d73daad115e5721,
  0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xb1898edec5551692, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0xeaca887e792bf734, 0x0000000000000375,
};

static const uint64_t ur_m32hvb_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff35ef3eff2609f, 0x341dff5465d7e406, 0x6838227f3c0254ec, 0xb5958f7cc273b8dc,
  0x60f4af51e5652e53, 0x50298aca1fa8f836, 0x185962291669d684, 0x3abb73a51d484d7d, 0x1d79d3769111cdc7,
  0x142f88e32b1aaf1b, 0x2386f65b2e62e121, 0xd4b3b589e546c113, 0xd15073791b5e5caa, 0xa96fab39d454aa35,
  0x7226b81013a6e576, 0x115e57212b97d8f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6db1898ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929,
  0x000014d3b1fe21f9,
};

static const uint64_t ur_m32hvb_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfe412b3fd83304, 0x0fae2faa3d37f210, 0x5f71258f3cdb4071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x791b5e5caad4b3b5,
  0x39d454aa35d15073, 0x1013a6e576a96fab, 0x212b97d8f47226b8, 0x2b5d73daad115e57, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6db1898edec55516, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004fccb4b2ebcf2,
};

// m32hvb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x10fbfd87fcff60cc, 0x710fae2faa3d37f2, 0x445f71258f3cdb40, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0x73791b5e5caad4b3,
  0xab39d454aa35d150, 0xb81013a6e576a96f, 0x57212b97d8f47226, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xbe6db1898edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0000140596968a79,
};

// m32hvb_swio14_dual_pr             m32hvb_swio14_dual_pr_u4
static const uint64_t ur_m32hvb_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x860d24fc0d918da0, 0x57419dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x596bfc828bffff69, 0x4fe0f7bf51fba3be, 0x80aa0f33930f71c7, 0xc019d90046989cc5,
  0x78df5403ff6608eb, 0x15257cea07967b6f, 0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0x372bb54b7d59cea2,
  0xbec7a39135c0809d, 0x9ed5688af2b9095c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053,
  0xdc79b09732f9b6c6, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x4d071cbaf3c95fb9, 0x0000000000000052,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0x93f0364636819129, 0x774f8971030a1834, 0xc02d4c63ff995d06,
  0x15a6f51c9d6c12d1, 0x3f7c114239227f07, 0x180370f8510c4aff, 0xd10caaeef77cdcba, 0xc260f7150865a0be,
  0x5e425b7d35ff4073, 0x80b5ffff6982c379, 0x95dba9aad68ff77c, 0xfd47c1b3061efd47, 0xb34eb422877c57a6,
  0x9a426be8c2cb1148, 0xea73ab4bb055c54b, 0xd743af512ec63d19, 0x121146948e21b1aa, 0x47eb70decbe9662e,
  0x2a4a0164511551b0, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x7d8f47226b81013a,
  0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000ac856a975e79,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x3493f03646368191, 0x06774f8971030a18, 0x58e04ea64b5f995d,
  0x83df737a8f15b603, 0x7f9fbe08a11c913f, 0x32a001b87c288625, 0x47b4432abbbddf37, 0x0e784d2245421968,
  0x6f2bc84b6fa6bfe8, 0x6f9016bfffed3058, 0xa8f2b53d355ad1c0, 0x670fd47c1b307227, 0x148b34eb422877c5,
  0x20b9a426be8c2cb1, 0x1182873ab4ba565c, 0x355ae875ed627640, 0x8b848450f7a3c8b6, 0xe2e1fd6e1bd971f1,
  0xb59fc55f3bb8a92a, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc67440a2fa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x593a7a5d79e4afdc, 0x0000000000000001,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x37149001b87c2886, 0x6807b4432abbbddf, 0xd01cf09827c54219,
  0x61bcaf212db8cdff, 0x7f3e41c1ffffb4c1, 0xf3cdb40709d5c5f5, 0x5f886c2445f71258, 0xb8dca4a672fd47c2,
  0x9f3dcb19f52e678b, 0xfc71d3f83b5bd470, 0x046989cc580a5176, 0x3ff6678ebc019d90, 0xa81e5adcf78df540,
  0xcfe2af9ddc5495f3, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0x44d7020274dcaed5, 0x2bcae42572fb1e8e,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0xb8d1674f86e3cd84,
  0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x001a48bb25d79e4a,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x0df670d373456fcc,
  0x9fc19439bd47cadb, 0x12bfcfdf04508e48, 0x9b849400dc3e1443, 0xb4027a21955ddeef, 0xf4073c269c62a10c,
  0x586f2bc84b6f43ff, 0xedff91a6ffffed30, 0x79e6da039b3ae2fa, 0x2fc4361222fb892c, 0xdc6e5253397ea3e1,
  0x719ee58cf0e333c5, 0xeb1c74fe0c9ef51e, 0xf88e32398b014c79, 0xee39633c75e45bb2, 0xc55f3bb8a928eb22,
  0x1cde46d7972ab59f, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000001a4859cbaf,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x49f81b231b40c894, 0x3ba7c4b881850c1a, 0xe188266bbfccae83,
  0xff937a8fa6b60ff0, 0x9fbe08a11c913f83, 0x0801b87c2886257f, 0xa88655777bbe6e2e, 0xe134878a8432d060,
  0x5e425b735bffa039, 0x8c41ffff6982c379, 0x0e6203bfea8f2b7c, 0x1b8a91eeb7e79b68, 0x4a76b2b26e984e77,
  0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467,
  0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7,
  0xb95daa5beace7515, 0xf63d1c89ae0404e9, 0xf6ab445795c84ae5, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6c62, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x7392ebcf257ee686, 0x0000000000000982,
};

static const uint64_t ur_m32hvb_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x30a183493f036463, 0xccb41ca774f89710,
  0xd87609c2f0e6e5af, 0x13f836bb9bd47c6e, 0x6257f9fbe08a11c9, 0xe6e0aa001b87c288, 0x2d08e488655777bb,
  0xfa039e136fb8a843, 0x2c3795e425b7a4af, 0x275f22f0fff61798, 0xe6da4eef0ee2faa3, 0xc4361222fb892c79,
  0x70551649fea3e12f, 0x4ed6e6e6e99e2ee3, 0xb307b7fd4795cae9, 0x22814c57befd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db9828ea426b, 0xb1d7a897631e8cf5, 0x1146948e21b1aaf1, 0x6470decbe9662e12, 0x252cf2288aa8d822,
  0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36d8c4c, 0xb763458df1726ae0,
  0x0a9cfd4eaccdfc1f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x72792bf734332c3a, 0x00000020025c15aa,
};

static const uint64_t ur_m32hvb_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0xc1a49f81b231b40c, 0xe833ba7c4b881850, 0x968e016a631ffcca,
  0xf838ad37a8e4eb60, 0x57f9fbe08a11c913, 0xe5d0c01b87c28862, 0x05f688655777bbe6, 0x039e1307b8a8432d,
  0x1bcaf212dbe9affa, 0xef9016bfdafdcc16, 0xa8f2bb75355ad1fe, 0xf4dfa8f83660c3df, 0x291669d68450ef8a,
  0xa973484d7d185962, 0xa33d4e7569760ab8, 0x355ae875ea25d8c7, 0xc5c24228d291c436, 0x3608fd6e1bd97d2c,
  0xddc549402c8a22aa, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2, 0x274dcaed52df5673, 0x572fb1e8e44d7020,
  0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0aed15aa8a792bf7,
};

static const uint64_t ur_m32hvb_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x927e06c8c6d03225, 0xcee9f12e20614306, 0x3862099aeff32ba0,
  0xffe4dea3e9ad83fc, 0xe7ef822847244fe0, 0x82006e1f0a21895f, 0x2a21955ddeef9b8b, 0x784d21e2a10cb418,
  0x579096dcd6ffe80e, 0x8c41fed7ee60b0de, 0x0e6203bfea8f2b7c, 0x8dcca8683fe79b68, 0xa53b5959374c273b,
  0x06cc1edff51e572b, 0xd08a05315efbf51f, 0xafa30b2c4522cd3a, 0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33,
  0x48451a523886c6ab, 0x8991c37b2fa598b8, 0x5494b3c8a22aa360, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xdcaed52df5673a8a, 0xfb1e8e44d7020274, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xf39453c95fb9a199,
  0x0000000000002269,
};

static const uint64_t ur_m32hvb_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x364636819129290c, 0x8971030a183493f0, 0x6e5afccb135a774f,
  0x47c6ed87609c2f0e, 0xa11c913f836bb9bd, 0x7c2886257f9fbe08, 0x777bbe6e0aa001b8, 0x8a8432d08e488655,
  0x7a4affa039e136fb, 0xa9c982c3795e425b, 0xbea8c9d7c8bc3ffe, 0xb1e795f581cbc3b8, 0x84bf10d8488bee24,
  0xbb8dc0b233d7fa8f, 0x2ba53b5b9b9ba678, 0x1f06cc1edff51e57, 0x3ad08a05315efbf5, 0x09afa30b2c4522cd,
  0x33d4e7576e60a3a9, 0xabc6c75ea25d8c7a, 0xb848451a523886c6, 0x608991c37b2fa598, 0xdc5494b3c8a22aa3,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x74dcaed52df5673a, 0x72fb1e8e44d70202, 0xae7b55a22bcae425,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xc6e3cd84b997cdb6, 0x3def2861539fa82e,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x5e7a185f4f257ee6,
  0x00000000000001d7,
};

// m32hvb_swio15_noled_pr_ce_u4
static const uint64_t ur_m32hvb_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x4aeff35ef3fb3a60, 0xa9defbb8bebb7fe4, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0x46d7972ab57d6e07, 0x75152a8d74541cde, 0xce9b95daa5beaece, 0xe4255abfdfd1c89a, 0xf16bae7b55a22bca,
  0x20eea6c529e1a779, 0x1696d138c6f19d10, 0x2f9b63218edec555, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baf1f5e21f9e4a,
};

static const uint64_t ur_m32hvb_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652fe47fc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba,
  0xe8e44d674dcaed52, 0xd115e57212ad5fef, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x8d84b997cdb190c7, 0x0fca1a2c79c5c9ab, 0x67a615c9fbab31e4, 0x252d964a271964b8, 0x3f3c95fb9a19961d,
  0x000000014d339f44,
};

static const uint64_t ur_m32hvb_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3be435, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0xe46d7972ab52cfa4,
  0xe75152a8d74541cd, 0xace9b95daa5beaec, 0xae4255abfdfd1c89, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77,
  0x51696d138c6f19d1, 0x32f9b63218edec55, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x00000013f3ecf4ba,
};

// m32hvb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f677c8, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x3791b5e5caad4b3e,
  0xb39d454aa35d1507, 0x26b3a6e576a96fab, 0xf2b90956aff7f472, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0x5ccbe6d8c863b7b1, 0xa9cfd4176371e6c2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x00000001405f67a8,
};

// m32hvb_swio15_lednop_pr_ce_u4
static const uint64_t ur_m32hvb_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x469bff35ef3e35a6, 0x4a9deceb8bebb7fe, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0x46d7972ab5b87207, 0x75152a8d74541cde, 0x4e9b95daa5beaece, 0x572563d1c89ae040, 0xbae7b55a22bcae42,
  0x417296be74078e56, 0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xa45f10fcf257ee68, 0x00000000000006eb,
};

static const uint64_t ur_m32hvb_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5fc84db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x541cde46d7972ab5, 0xbeaece75152a8d74,
  0x9ae0404e9b95daa5, 0xbcae42572563d1c8, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x997cdb40a31dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x0029a62fdc43f3c9,
};

static const uint64_t ur_m32hvb_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3be40a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0xf236bcb955a96622,
  0x73a8a9546ba2a0e6, 0x0274dcaed52df576, 0x12b92b1e8e44d702, 0xb5d73daad115e572, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xda0518edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x004fc1eaf2ebcf25,
};

// m32hvb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvb_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x40a4ff61ff3e6b73, 0x070525c5f547b3be, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0x839bc8daf2e556a5,
  0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7, 0x95c84ae4ac7a3913, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x2f9b681463b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000005010f57a29e,
};

// m32hvb_swio15_dual_pr             m32hvb_swio15_dual_pr_u4
static const uint64_t ur_m32hvb_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x0c1a49f81b231b40, 0xae833ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7287, 0x2cf7fc8fddffff69, 0x9fc1c1ff51f6f9df, 0x01541e64ad1ee38e, 0x8033b6948e21398b,
  0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0xb95daa5beaece751,
  0x563d1c89ae0404e9, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e,
  0x71e6c25ccbe6da05, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x35e7d2ebcf257ee6, 0x0000000000000149,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x805a98c7ff32ba0c,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0xa21955ddeef9b9dd, 0x84c1ee2a10cb417d,
  0x79096de76ffe80e7, 0x74fffffda60b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c, 0x9a75a1143be2bd9d,
  0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab, 0x1fadc37b2fa598b8,
  0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a, 0xb1e8e44d7020274d,
  0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a,
  0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343cc9fe04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x001590745975e792,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0x60d24fc0d918da06, 0x7419dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xb9d1f006e1f0a218, 0x423da21955ddeef9, 0x4073c269122a10cb,
  0x86f2bc84b6f3b7ff, 0xf7f23a7ffffed305, 0xf51e578126ab5a35, 0xacbafa8f83660fba, 0x2291669d68450ef8,
  0x84173484d7d18596, 0xa472f8e75697f9cb, 0x8d56ba1d7b589db4, 0x3170908a131463e5, 0xae2d6fadc37b2e3e,
  0xab59fc55f3bb8a92, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0x1c89ae0404e9b95d, 0xa22bcae42572563d,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a204e7d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x5648152ebcf257ee,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x06927e06c8c6d032, 0xa0cee9f12e206143, 0x72381c19babff32b,
  0xe0e574dea3eced84, 0x5fe7ef822847244f, 0x8089006e1f0a2189, 0x03da21955ddeef9b, 0x0e784c13e2a10cb4,
  0x6f2bc84b6fff3fe8, 0x6f904ebfffed3058, 0xcdb4073abee2fac0, 0x886c2445f71258f3, 0xdc24aca8fd47c25f,
  0x3dcb19f52e678bb8, 0x38e9fc188bea3c89, 0x1c42731602fee32a, 0xfd99e3af00676d29, 0x03cb5b9318c9500f,
  0xfe2af9ddc5497025, 0xa0e6f236bcb955ac, 0xf57673a8a9546ba2, 0xd7020274dcaed52d, 0xe57212b92b1e8e44,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x68b3a7c371e6c25c,
  0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39effe09a1e64ff, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x03490c92ebcf257e,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xa183493f03646368, 0x95d06774f8971030, 0x61bece1a6e68adf9,
  0x13f8328737a8f95b, 0x6257f9fbe08a11c9, 0xf3719c801b87c288, 0x96804f4432abbbdd, 0xfe80e784d38c5421,
  0x0586f2bc84b6e16b, 0xd4caf91b3bfffed3, 0x63cf36d01c8ad717, 0x097e21b09117dc49, 0x2ee37092b2a3f51f,
  0xe804f72c6787199e, 0x3a88e3a7f064d7a8, 0xa6e47914e62c057f, 0xf371cb19e3af22dd, 0x7f157ceee2a4a3a1,
  0x5073791b5e5caad6, 0xfabb39d454aa35d1, 0x6b81013a6e576a96, 0xf2b9095c958f4722, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x0000001a4810b975,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0x27e06c8c6d032252, 0xee9f12e206143069, 0x862099aeff32ba0c,
  0xfe4dea3e9ad83fc3, 0x7ef822847244fe0f, 0x4006e1f0a21895fe, 0xa21955ddeef9b816, 0x84d21e2a10cb4182,
  0x79096def0ffe80e7, 0x56fffffda60b0de5, 0xe56f9dff5472bbe4, 0xb97437547e79b680, 0xa76b2b26e984e771,
  0x6cc1995ea3caf7dc, 0x08a05315dbaf51f0, 0xfa30b2c4522cd3ad, 0x0e7576e53c3a909a, 0x363af512ecfe23ea,
  0x42283d51fc96355e, 0x4c8e1bd97d2cc5c2, 0x5252cc7cded51b04, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0x2bb54b7d5d9cea2a, 0xc7a39135c0809d37, 0x6ab445795c84ae4a, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0x79b09732f9b68146, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x587494b67c09c659,
  0x9d2ebcf257ee6866, 0x000000000002608a,
};

static const uint64_t ur_m32hvb_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0a183493f0364636, 0xcb41ca774f897103,
  0x87609c2f0e6e5afc, 0x3f836bb9bd47c6ed, 0x257f9fbe08a11c91, 0xdc4e3c01b87c2886, 0xa11c910caaeef77c,
  0x4073c26df7150865, 0x86f2bc84b6e495ff, 0xbfe44c37fec2f305, 0xb693b986b8bea8fa, 0x0d8488bee24b1e79,
  0x9c7f71ffa8f84bf1, 0x6b737374cf1771b8, 0xc1995ea3caf7dca7, 0xa05315dbaf51f06c, 0x30b2c4522cd3ad08,
  0x7576e53c3a909afa, 0x3af512ecfe23ea0e, 0x283d51fc96355e36, 0x8e1bd97d2cc5c242, 0x52cc7cded51b044c,
  0x556b3f8abe777152, 0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xa39135c0809d372b, 0xb445795c84ae4ac7,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0xb1a2c6f8b9357079,
  0x4e7ea75666fe0fdb, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000008009f04d539,
};

static const uint64_t ur_m32hvb_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x493f036463681912, 0x6774f8971030a183, 0x1c02d4c63ff995d0,
  0x715a6f51c9d6c12d, 0xf3f7c114239227f0, 0xeb00370f8510c4af, 0xed10caaeef77cdce, 0x3c260f7150865a0b,
  0x2bc84b6f3b7ff407, 0x8e9fff6bf730586f, 0x95e9b9aad68dc9fc, 0xbd47c1b3071efd47, 0xb34eb422877c57b3,
  0x9a426be8c2cb1148, 0x5073ab4ba9e5c54b, 0x6ba1d7a89767f11f, 0x0908a0f547f258d5, 0x23f5b86f65f4b317,
  0x8a928043e6f6a8d8, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x563d1c89ae0404e9,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6da05,
  0xfca1854e7ea5eae3, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x000000015da1d168,
};

static const uint64_t ur_m32hvb_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x24fc0d918da0644a, 0x9dd3e25c40c2860d, 0x70c41335dfe65741,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0xc800dc3e144312bf, 0x54432abbbddf3702, 0xf09a43c542196830,
  0xaf212dbde1ffd01c, 0x2b7ffdafdcc161bc, 0x72b7ceffaa395df2, 0x6e747d493f3cdb40, 0x29dacac9ba6139dc,
  0x1b306657a8f2bdf7, 0x422814c576ebd47c, 0xbe8c2cb1148b34eb, 0x839d5db94f0ea426, 0x8d8ebd44bb3f88fa,
  0x908a0f547f258d57, 0x132386f65f4b3170, 0x5494b31f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xcaed52df57673a8a, 0xb1e8e44d7020274d, 0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6da051, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25, 0x4ea29e4afdcd0ccb,
  0x0000000000044d35,
};

static const uint64_t ur_m32hvb_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x3646368191292917, 0x8971030a183493f0, 0x6e5afccb135a774f,
  0x47c6ed87609c2f0e, 0xa11c913f836bb9bd, 0x7c2886257f9fbe08, 0xeef77cdc4e3c01b8, 0x150865a11c910caa,
  0xe495ff4073c26df7, 0x53930586f2bc84b6, 0xfaa3eaff9130dffd, 0xc79e57d607261ae2, 0x12fc4361222fb892,
  0xdc6e70ff1f77ea3e, 0xf729dadcdcdd33c5, 0x7c1b306657a8f2bd, 0xeb422814c576ebd4, 0x26be8c2cb1148b34,
  0xfa839d5db94f0ea4, 0x578d8ebd44bb3f88, 0x70908a0f547f258d, 0xc1132386f65f4b31, 0xdc5494b31f37b546,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x92b1e8e44d702027, 0x73daad115e57212b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0x371e6c25ccbe6da0, 0xef79430a9cfd4176,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x91e4c2fa792bf734,
  0x0000000000000eba,
};

static const uint64_t ur_m32hvbrevb_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x2410c5bbc9ddb1ec, 0xe80067e449827c60, 0x989df2c4d7c8d2bf, 0x491c72ac0c43fa8e, 0x9e398b016f74dd46,
  0x630475e2e761be8c, 0xbcb955a9584d6e39, 0xa9546ba2a0e6f236, 0x59caed52df5673a8, 0x5c84aa5f7afa3913,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2fe6d902455bd8aa, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000549f5cbaf3c,
};

// m32hvbrevb_swio10_noled_pr_u4
static const uint64_t ur_m32hvbrevb_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0xf7304f8c048218b7, 0x45f91dd7f927d9f8, 0xc0c9ef51e6e3be58, 0x16594c654e31c72a,
  0x1f3b3de8ed6398b0, 0xacf5403ff6608ebd, 0x56aab540f2cf6ee1, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551,
  0xa97debe8e44d672b, 0xd73daad115e57212, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0x6409156f62aa8b4b,
  0x26ae0f365118bf9b, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x10176b053c95fb9a, 0x0000000000001f26,
};

static const uint64_t ur_m32hvbrevb_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0xa609f180904316ef, 0xfe469bff24fb3e35, 0xa3cace1cd56b471e, 0x975f51f06cc19ebe,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x91c4273ab4bfee5c, 0x8d56ba1d79d376d2, 0x3170908a1314622d,
  0x46c11fadc37b2d97, 0xbcb955a8044d57f5, 0xa9546ba2a0e6f236, 0x59caed52df5673a8, 0x5c84aa5f7afa3913,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2fe6d902455bd8aa, 0xa7c5c9ab83cd9446,
  0x4eacc7903f2868b3, 0xcbf313f9430a9cfd, 0xffe09a1e44cf1738, 0x92e19e985727e39e, 0x6587494b67c09c65,
  0x4f5ac14f257ee686, 0x0000000000004ebf,
};

static const uint64_t ur_m32hvbrevb_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x6e609f180904316e, 0xebe4656ff24fb3fa, 0xf51e5695a6ab5a3e, 0x5fcef51f06cc1cbe,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0xa231f0e7569780cb, 0x8d56ba1d7aea6ec0, 0x62e1211464547d05,
  0x704d7d6e1bd970e4, 0x5073791b5e5caad5, 0x6fab39d454aa35d1, 0xbd7d1c89ace576a9, 0xb55a22bcae42552f,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13, 0xc1e6ca2317f36c81, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xed60a792bf734332, 0x00000000009d748b,
};

// m32hvbrevb_swio10_noled_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x0c5bbc9dd4149cba, 0xecfdba9827c60241, 0x17d644f91813fc93, 0x441e7804a5a4cad7, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x47c927b9633f5933, 0xe8148e39560782fd, 0xecf7a3b58e62c05e, 0xd500ffd99e3af47c,
  0xaab540f2d6eb86b3, 0x8a839bc8daf2e556, 0x4b7d59cea2a551ae, 0x7debe8e44d672bb5, 0x3daad115e57212a9,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x10c76f62aa8b4b68, 0x5c1e6ca2317f36c8, 0x903f2868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x2ad60a792bf73433, 0x00000000000dd7ab,
};

static const uint64_t ur_m32hvbrevb_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0x8689827c602410c5, 0x387f22c7ffc93ecf, 0x0129692c7ceffaa3, 0x39dcdae495951f9e,
  0xb74b29dacac7be61, 0xd47c1b306807a8f2, 0x34eb422814c5721f, 0xa426be8c2cb1148b, 0x48e2139d5dbbf70e,
  0x8d578d8ebce9bb69, 0x3170908a1314622d, 0xa3608991c37b2d97, 0x5e5caad4b326abfa, 0x54aa35d15073791b,
  0xace576a96fab39d4, 0xae42552fbd7d1c89, 0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1,
  0x2fe6d90218edec55, 0x2c79c5c9ab8d9446, 0xc9fbab31e40fca1a, 0x4a271964b867a615, 0xfb9a19961d252d96,
  0x0a69d8ff6b053c95,
};

static const uint64_t ur_m32hvbrevb_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0x87d304f8c048218b, 0xebe4620ff2a41f3e, 0xdb484b105c5f5476, 0x86c2445f71a20f3c,
  0xfa9cb82fd47c25f8, 0xb5b9b7be678bb9b5, 0x60d00f51e56e9653, 0x50298ae43fa8f836, 0x185962291669d684,
  0x3abb77ee1d484d7d, 0x1d79d376d291c427, 0x142628c45b1aaf1b, 0x2386f65b2e62e121, 0xa9664d57f546c113,
  0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0x5f7afa391359caed, 0xcf6ab445795c84aa, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x0431dbd8aaa2d2da, 0x0dc79b288c5fcdb2, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7,
  0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xf996971e873c95fb,
  0x0000000000000009,
};

static const uint64_t ur_m32hvbrevb_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0x62dde4eeb4efb5bb, 0x67c6b4c13e301208, 0x5a38f7f234dffd0a, 0x0cf5f51e5670e6ab, 0x0ef8acbafa8f8366,
  0x85962291669d6845, 0xff72e3593484d7d1, 0x9bb6948e2139d5a5, 0xa3116c6ab5d0ebce, 0xd96cb98b84845098,
  0x6abfaa3608fd6e1b, 0x3791b5e5caad4022, 0xb39d454aa35d1507, 0xd1c89ace576a96fa, 0xa22bcae42552fbd7,
  0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0x6ca2317f36c8122a, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c,
  0x00000000005be015,
};

// m32hvbrevb_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x2dde4eee7da01d44, 0xfa1f4c13e3012086, 0x476ebe4620ffa14c, 0xf3cdb484b105c5f5, 0x5f886c2445f71a20,
  0x6d7d507907fd47c2, 0x94ed6e6def99e2ee, 0x0d983403d4795ba5, 0xa1140a62b90fea3e, 0x5f4616588a459a75,
  0x09ceaeddfb875213, 0xc6c75e74ddb4a471, 0x4845098a3116c6ab, 0x44c8e1bd96cb98b8, 0x556a599355fd51b0,
  0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0x2a97debe8e44d672, 0x5d73daad115e5721, 0x7536294f0d3bcf8b,
  0xb689c6378ce88107, 0x6c810c76f62aa8b4, 0x176371e6ca2317f3, 0xde1ef79430a9cfd4, 0x226781fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x140596942fa792bf,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x120862dde4ee82f4, 0xf40033efe4c13e30, 0xf90ef9626be4195f, 0xef8e39560621fd47, 0xd01cc580b7ba63d5,
  0x58c11d78b9dad647, 0xaf2e556a5673db8e, 0x2a551ae8a839bc8d, 0x0272bb54b7d59cea, 0x2ad5d2fe8e44d702,
  0xad73daad115e5721, 0xd4b0b29b1674079f, 0x6c7f8a042d3573ab, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000002a41d4baf3c,
};

// m32hvbrevb_swio10_lednop_pr_u4
static const uint64_t ur_m32hvbrevb_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0x80d304f8c048218b, 0x08bf203dff927d9f, 0x58193dea3ce277cb, 0x05965318f3d638e5,
  0x8f9dbe44707ce62c, 0x7d02a01ffb30475e, 0xaad605681e59edef, 0x35d15073791b5e5c, 0x76a96fab39d454aa,
  0xa5fd1c89ae0404e5, 0xb55a22bcae4255ab, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x3cd94462fe6d9764, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f,
  0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xac14f257ee686658, 0x000000007c9bf545,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x609f180904316ef2, 0xc88e5fe49f67fabe, 0x7959439aad68e3df, 0x0bea3e0d9833d7d4,
  0x459a75a1143be2b6, 0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63,
  0x608fd6e1bd96cb98, 0xb955a80570d67aa3, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809,
  0xcf6ab445795c84ab, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0x7079b288c5fcdb2e,
  0x07e50d1674f8b935, 0x2861539fa9d598f2, 0xc899e2e7197e627f, 0x0ae4fc73dffc1343, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000004ebaecb5829,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0x1ca609f180904316, 0xeebe45baff24fb3f, 0xef51e5721e6ab5a3, 0x159c3f51f06cc1cb,
  0xc4522cd3ad08a1df, 0xb8a266909afa30b2, 0x80234c4e7569728a, 0x58d56ba1d7aea6ec, 0x23170908a1ef476b,
  0x57170feb70decb87, 0x15073791b5e5caad, 0x96fab39d454aa35d, 0xd1c89ae0404e576a, 0xa22bcae4255aba5f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6d976455b, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000009d7085dac1,
};

// m32hvbrevb_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xc5bbc9dd3ad1a848, 0xcfc569827c602410, 0x7d644f91beffc93e, 0x41e7804a5a4b7571, 0x84bf10d8488bee34,
  0x5dcdaf494ce5fa8f, 0x70527b9633f5933c, 0xd008e39560782fd4, 0x7c88e0f9cc580a1e, 0x403ff6678ebd1f3b,
  0x02b40f2d6edefa05, 0xa839bc8daf2e556b, 0xb7d59cea2a551ae8, 0x8e44d7020272bb54, 0x115e57212ad5d2fe,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x4462fe6d97618ede, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000001bae59dac14,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0x3b7304f8c048218b, 0xe1fc8ddaff24fb3f, 0x04a5a4dda3bfea8c, 0xcee6d7e8fa927e78,
  0x97594ed6563df309, 0xa3e0d983403d4795, 0xa75a1140a62b297e, 0x2135f4616588a459, 0x46be1ceaeddf3875,
  0xd578d8ebce9bb04f, 0x2e121146488c6fd8, 0x6c1132386f65b2e6, 0x972ab52cee1acf54, 0x2a8d74541cde46d7,
  0x395daa5beace7515, 0x6ae97f47226b8101, 0xb9ed5688af2b9095, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0xb0c76f62aa8b4905, 0x4d5c6ca2317f36cb, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x4b5829e4afdcd0cc, 0x0000000000534ce1,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfaf304f8c048218b, 0xebe4400ff2a41f3f, 0xdb484a005c5f5476, 0x86c2445f71a20f3c,
  0x85919ebfd47c25f8, 0x6b736f7ccf17736b, 0xc1a01ea3cacbaca7, 0xa0531594bf51f06c, 0x30b2c4522cd3ad08,
  0x7576ef9c3a909afa, 0x75e74dd827a35f0e, 0xa3244637ec6abc6c, 0x1c37b2d973170908, 0x96770d67aa360899,
  0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0xa39135c0809caed5, 0x445795c84ab574bf, 0xce80f1cad75cf6ab,
  0xce881085482e52d7, 0xb15545a4829c6378, 0x5118bf9b65d863b7, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3d0e792bf734332c,
  0x0000000013f2dc86,
};

static const uint64_t ur_m32hvbrevb_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x2dde4eeb6239da9c, 0xff57cc13e3012086, 0x471efe4472ffa14c, 0x9ebea3caca1cd56b, 0xdf15b05f51f06cc1,
  0xb2c4522cd3ad08a1, 0xce5c6b26909afa30, 0xec13d1af873ab4bf, 0x8dfb1aad743af3a6, 0xb65cc5c24228c911,
  0xb3d51b047eb70dec, 0x91b5e5caad402b86, 0x9d454aa35d150737, 0xe0404e576a96fab3, 0xe4255aba5fd1c89a,
  0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6d976455bd8aaa2, 0xa82ec6e3cd94462f,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x0016f9ac105f4f25,
};

// m32hvbrevb_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0x16ef277475d35f7b, 0x7ff5e609f1809043, 0xa3b75f22007fd0a6, 0x79e6da425002e2fa, 0x2fc4361222fb8d10,
  0x9b5c291f397ea3e1, 0x653b5b9b7be678bb, 0x83660d00f51e565d, 0x68450298aca5fa8f, 0xd7d185962291669d,
  0xf873abb77ce1d484, 0xe363af3a6ec13d1a, 0x4845192231bf6355, 0x44c8e1bd96cb98b8, 0xaad4b3b86b3d51b0,
  0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xa5fd1c89ae0404e5, 0xb55a22bcae4255ab, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb2ec3, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x900be9e4afdcd0cc, 0x000000000005015b,
};

// m32hvbrevb_swio10_dual_pr         m32hvbrevb_swio10_dual_pr_u4
static const uint64_t ur_m32hvbrevb_swio10_dual[] = {
  0xc7bbbbbb4486c541, 0xf83e9b4c45393075, 0x6c5f76e0f4e7ae34, 0x4a6efc8eca57c52b, 0x3167c5a8056eae33,
  0x2823bac11fc355ea, 0x304f8c048218b779, 0x31008c87a0d21523, 0x881850c1a49f81b2, 0x6584a89ad3ba7c4b,
  0xd82fb3814599c9fe, 0x90ab0332a6f51dfc, 0x86257f9fbe08a11c, 0xf8bbeb7c01b87c28, 0xb42324432abb105e,
  0xf4073c26b5a2a10c, 0x2c3795e425b72ebf, 0x0f9f22a57fbcd398, 0x58188bea3c8877cb, 0x0aa0f37ee32a38e5,
  0x019da7146f79cc58, 0xc1f5403ff6608ebc, 0x496ff0c0f2cf6d6b, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc,
  0xcaed52df5673a8a9, 0x574bfa39135c0809, 0xcf6ab445795c84ab, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0xc8ab7b15545a4829, 0xdc79b288c5fcdb2e, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x641cb1e873c95fb9, 0x0000000000000292,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ee[] = {
  0xd86ddddddd435032, 0x2783e9b58ed08583, 0xf5a7b74e72be6676, 0x4e47676abbd35f7e, 0x5e1f5cedb7416c33,
  0xbaaf6d1febdf7638, 0x180904316ef265db, 0x321e83485d16609f, 0x4306927e06c8c402, 0xa26b4ee9f12e2061,
  0x1c02d4c63ff99612, 0x715a6f51c9d6c12d, 0xf3f7c11423921560, 0x4880370f8510c4af, 0x10caaec417be2ef5,
  0x260f7150865a0bed, 0xc84b6e9b7ff4073c, 0x1fff79a730586f2b, 0xefb9aad68ca2fc8a, 0xa3e0d98332bd4795,
  0xa75a1143be2bb75e, 0x2135f4616588a459, 0x39d5a5ca1ae2a5cd, 0xa1d7a89768f68f4a, 0x08a1004698d8d56b,
  0xf5b86f65f4b31709, 0x92805195aca8d823, 0x72ab59fc55f3bb8a, 0xa8d74541cde46d79, 0x95daa5beace75152,
  0xae97f47226b81013, 0x9ed5688af2b90956, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x9156f62aa8b49053,
  0xb8f365118bf9b65d, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5, 0xccb0e9296cf8138c, 0x17d8f439e4afdcd0,
  0x000000000000c851,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x0fa6d63b42160f61, 0x8fcd39caf999d89e, 0xced577a6befdb4f6, 0xb9db6e82d8669c8e,
  0xf5babd87d770bc3e, 0x18b77932edddf5f7, 0xa42e8b304f8c0482, 0x3f03646201190f41, 0x74f8971030a18349,
  0x31ffccb0946c85e7, 0x8e4eb60968e016a6, 0xa11c90ab038ad37a, 0x7c2886257f9fbe08, 0x20bdf177aa4401b8,
  0x8432d05f68865576, 0xdbffa039e1307b8a, 0x8982c3795e425b74, 0xd1945f9143ffe866, 0x6657a8f2bdf7355a,
  0x77c576ebd47c1b30, 0x2cb1148b34eb4228, 0x435c54b9a426be8c, 0xed1ed1e9473ab4b9, 0xd31b1aad743af512,
  0xbe9662e121142008, 0xb5951b047eb70dec, 0x8abe777152500a32, 0x39bc8daf2e556b3f, 0xd59cea2a551ae8a8,
  0x44d7020272bb54b7, 0x5e57212ad5d2fe8e, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0x317f36cbb22adec5, 0xb1be2e4d5c1e6ca2, 0xa9d599bf83f6ec68, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x2b27b13cac83cf25,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ce[] = {
  0xeddddddec121a5fb, 0xf07d36b31eed8394, 0x41f6eabe6c513919, 0xa8e2d3913eabfaef, 0x9932bbf7ef74a71b,
  0x99bba591aeb36855, 0x09f180904316ef26, 0x402321e834888c66, 0x0614306927e06c8c, 0x612a26b4ee9f12e2,
  0x2391c0e0cdd5ff99, 0x56072ba6f51f676c, 0x4aff3f7c11423921, 0xef68380370f8510c, 0x1ed10caaec417be2,
  0x73c2609f150865a0, 0xf2bc84b6f63fff40, 0xe40d6ff79a730586, 0xb69091c1b8bea63f, 0x0d8488bee3441e79,
  0xecf9d67fa8f84bf1, 0xe58cfa9733c5dcda, 0xe5581dc3f51fa89e, 0xde731602d4aeea38, 0x99e3af006769c51b,
  0x2d6e5af07d500ffd, 0xaf9ddc5496ff0c0f, 0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x35c0809caed52df5,
  0x95c84ab574bfa391, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b65d863b7b155,
  0x4596af1b8f365118, 0xe7ea75666fe0eee3, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xe3d0e792bf734332, 0x0000000000d247ad,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ce_u4[] = {
  0xd89dddddda2432db, 0x77c1f4dacc6c5d83, 0x5a9afbad89d90919, 0x89323e44dd69624e, 0xf8ce947ee7157eed,
  0x779247ddc7045580, 0xd7d304f8c048218b, 0x3646201190f41a41, 0x8971030a183493f0, 0x6fccb095135a774f,
  0xcadb0df670d37345, 0x8e4855819439bd47, 0x144312bfcfdf0450, 0x2f7c5dfd6600dc3e, 0x0cb4027a21955d88,
  0xfff4073c269c62a1, 0x30586f2bc84b6e63, 0xf5eebe4472ff79a7, 0x20f3cdb484982dc5, 0xc25f886c2445f71a,
  0x5dcdaecdf4a8fd47, 0xc149ee58cf0e333c, 0xc9238e5581acff51, 0x9151c1f398b017ba, 0x9b8e58cf1d7916ed,
  0xf8abe77715251d74, 0x839bc8daf2e556b3, 0x7d59cea2a551ae8a, 0xe44d7020272bb54b, 0x15e57212ad5d2fe8,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0xbc67440d8fe63042, 0x79b288c5fcdb4e31, 0x6fe0eee3458df0dc,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x2cf1e873c95fb9a1, 0x0000000000000d24,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ee_ce[] = {
  0x7fb5bbbbbba86f97, 0xd3b83e9b5e947e30, 0xfdebdeed8bc6a014, 0x9c4539395a083e44, 0x097d7aefc2960fda,
  0x5dcf046752c8a756, 0xf8c048218b779264, 0x2321e83483927304, 0x14306927e06c8c40, 0x2a26b4ee9f12e206,
  0xa0e1a6a67f9f9961, 0x07d3f37a8fff3601, 0xff3f7c1142392156, 0xaeb80370f8510c4a, 0xa21955d882f7c5de,
  0x84ce4e2a10cb40e1, 0x79096dd0fbfe80e7, 0x9b7fef34e60b0de5, 0x49b677fd5194bf90, 0xbb41c113f9e6da42,
  0x76b2b221984e7736, 0xcc19ebea3caca1ca, 0x8a05315b05f51f06, 0xa30b2c4522cd3ad0, 0xe7576e90e3a909af,
  0x8ebdac4eddd23050, 0x144dc8f22d8d578d, 0x2386f65c7c62e121, 0x57ceee2a4b8c6323, 0x3791b5e5caad67f1,
  0xb39d454aa35d1507, 0x9ae0404e576a96fa, 0xcae4255aba5fd1c8, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x5fcdb2ec31dbd8aa, 0x68b1e70dc79b288c, 0x5727eeaccdfc1ddc, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00004c139cc7a1cf,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x7d36a17bf8583957, 0x69a9af55e5a93970, 0x6b8bebdda0eb2b6b, 0xfde4e2afcfbfb4eb,
  0x48e6683821e1df5c, 0x25053baae3ec000d, 0xe609f180904316ef, 0x31008c87a0d21966, 0x881850c1a49f81b2,
  0x584a3642f3ba7c4b, 0x3b04e1787372d7e6, 0x581b5dcdea3e376c, 0x2bfcfdf04508e485, 0x7c46200dc3e14431,
  0xe4886557620bdf17, 0x9e136fb8a8432d08, 0x95e425b7b91ffa03, 0x06b7fe8668982c37, 0x486b7717d519c1f9,
  0x88bee3441e79b68b, 0x71ffa8f84bf10d84, 0xcdd33c5dcdaf118a, 0x7a8f2bcad29dadcd, 0x572bbd47c1b307dd,
  0x1148b34eb422814c, 0x8a18ea426be8c2cb, 0x9768f68f4a39d5db, 0x8d31b1aaf1b1d7a8, 0xcbe9662e12114200,
  0x95aca8d8226470de, 0xfc55f3bb8a929671, 0x41cde46d7972ab59, 0xbeace75152a8d745, 0x7226b8101395daa5,
  0x8af2b90956ae97f4, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2317f36cbb0c76f6,
  0x8b1be2e4d5c1e6ca, 0xfa9d599bf83f6ec6, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x020027e08ac83cf2,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_ee_hw[] = {
  0x36eeeee87ad0cf68, 0xc1f4dac76842c1ec, 0xd3dba7395f333b13, 0x23b3b55de9afbf7a, 0x0fae76dba0b619a7,
  0x77347d4eb5bb1c2f, 0xe30120862dde4cbb, 0x4643d0690ba2cc13, 0x2860d24fc0d91880, 0x544d69dd3e25c40c,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847242ac, 0xa91006e1f0a21895, 0xa21955d882f7c5de,
  0x84c1ee2a10cb417d, 0x79096dd36ffe80e7, 0x50fff9da260b0de5, 0xaf7dcd56b46517e4, 0xf51f06cc1995ea3c,
  0xcd3ad08a1df15dba, 0x6909afa30b2c4522, 0x51cead2e50d7152e, 0x5d0ebd44bb47b47a, 0x4845080234c6c6ab,
  0x1fadc37b2fa598b8, 0x5494028cad6546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0x9caed52df5673a8a,
  0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xec8ab7b15545a482,
  0x8dc79b288c5fcdb2, 0x27f2861539fa97ab, 0x343c899e2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0xbe9e4afdcd0ccb0e, 0x000000002bb48be0,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_ee_ce_hw[] = {
  0xa72ddddddd43359b, 0x2b83e9b5e96c1183, 0xb793dd1d74fb1ec8, 0x39a733e19cc89ae3, 0xbccd937852c14e47,
  0xcee1e198535aebd7, 0x7c602410c5bbc90d, 0x1190f41a465b4982, 0x0a183493f0364620, 0x95135a774f897103,
  0xf0e188266bbfccb0, 0x03ff937a8fa6b60f, 0x7f9fbe08a11c90ab, 0x76ec01b87c288625, 0x510caaec417be2ef,
  0xc2690f150865a0c1, 0xbc84b6fd83ff4073, 0x2d6ffced130586f2, 0x4ad6ceffaa3c09f2, 0x6bb39747ff3cdb48,
  0xa76b2b26e984e773, 0x6cc1f75ea3caf2b4, 0x08a05315caef51f0, 0xfa30b2c4522cd3ad, 0x8e7576e2863a909a,
  0x6c75ea25da3da3d2, 0x845080234c6c6abc, 0x991c37b2fa598b84, 0xa4a59c656b2a3608, 0x5caad67f157ceee2,
  0xaa35d15073791b5e, 0xe576a96fab39d454, 0xaba5fd1c89ae0404, 0xe7b55a22bcae4255, 0x7296be74078e56ba,
  0xe31bc67440842a41, 0xc31dbd8aaa2d2414, 0xdc79b288c5fcdb2e, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c,
  0x0082fa792bf73433, 0x00000000000044d3,
};

static const uint64_t ur_m32hvbrevb_swio10_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d172df, 0x0fa6d42f7f0b072a, 0x2b7535eabcb5272e, 0x4eb6b8bebdda0eeb, 0xf5cfde4e2afcfbfb,
  0xa8356865a3821e1d, 0x218b7792829ddb5a, 0x690cb37304f8c048, 0x4fc0d918804643d0, 0xdd3e25c40c2860d2,
  0xb96bf32c251a6689, 0x1f1bb61d8270bc39, 0x847242ac0daee6f5, 0xf0a21895fe7ef822, 0x05ef8bbe231006e1,
  0x219684724432abb1, 0x8ffd01cf09b7dc54, 0xcc161bcaf212dbdc, 0x8ce0fc835bffde1d, 0x795f5a1235bb8bea,
  0xf10d8488bee3441e, 0xd75c170fffa8f84b, 0x4ed6e6e6e99e2ee6, 0xd983eebd4795e569, 0x1140a62b95dea3e0,
  0xf4616588a459a75a, 0x1ceaedc50c752135, 0xd8ebd44bb47b47a5, 0x08a1004698d8d578, 0x32386f65f4b31709,
  0x494b38cad6546c11, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809,
  0xcf6ab445795c84ab, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x863b7b15545a4829, 0xb8f365118bf9b65d,
  0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x668d0173c95fb9a1, 0x000000000003aeac,
};

// m32hvbrevb_swio12_noled
static const uint64_t ur_m32hvbrevb_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x10c5bbc9ddcc490d, 0x00cfc7b9827c6024, 0x3be5ba0f91dd7fd0, 0x38e5581d7ff51d31, 0x731602dee99001f2,
  0x0475e2e76e91193c, 0x72ab52b043ee3963, 0xa8d74541cde46d79, 0x5daa5beaece75152, 0x256c6f5f47226b39,
  0xf5ae7b55a22bcae4, 0x53a9c0594a9f4ef3, 0x047978a042d2c2e7, 0x62fe6da718de33a2, 0x615c9f9fd86ed944,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x0000002a4b74baf3,
};

// m32hvbrevb_swio11_noled_pr_u4     m32hvbrevb_swio12_noled_pr        m32hvbrevb_swio12_noled_pr_u4
static const uint64_t ur_m32hvbrevb_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x3e609f180904316e, 0xefe46dfff24fb3e6, 0x0326bd47050ef96d, 0xb2ca60f680471cab,
  0xf9d93146229cc580, 0x4f2a01ffb30475e8, 0xad508981e59eddac, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3,
  0xb1bd7d1c89ace576, 0xb9ed5688af2b9095, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc218ab7b15545a5b,
  0x6ae0f365118bf9b6, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133,
  0x64b867a617c68f45, 0x9961d252d9f02719, 0xe0b6b053c95fb9a1, 0x000000000001f26a,
};

// m32hvbrevb_swio12_noled_pr_ee
static const uint64_t ur_m32hvbrevb_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x609f180904316ef2, 0xe46ceff24fb3e706, 0x3cacbacd56b4663f, 0x4bf51f06cc1f51ea,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8,
  0x6c11fadc37b2d973, 0xe5caad402e839e54, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x9095b1bd7d1c89ac,
  0xc5aeb9ed5688af2b, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xf9b6c218ab7b1554, 0xf1726ae0f365118b,
  0xab31e40fca1a2ce9, 0xfcc4fe50c2a73f53, 0xf826879133c5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964,
  0x56b053c95fb9a199, 0x000000000009d781,
};

// m32hvbrevb_swio12_noled_pr_ee_u4
static const uint64_t ur_m32hvbrevb_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x304f8c048218b779, 0xf22577f927d9fd9d, 0x1e57f3a6ab5a3dbf, 0xd2fa8f83660e71f5,
  0x91669d68450ef8ad, 0x133484d7d1859622, 0x35ae73ab4bafb5c5, 0xad743af5d4dda5f2, 0xe121140f88fa4b1a,
  0xd07d6e1bd970e462, 0x73791b5e5caad571, 0xbb39d454aa35d150, 0xd1c89ace576a96fa, 0x688af2b9095b1bd7,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x365118bf9b6c218a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x053c95fb9a19961d, 0x0000000275d3416b,
};

// m32hvbrevb_swio11_noled_pr_ce_u4  m32hvbrevb_swio12_noled_pr_ce     m32hvbrevb_swio12_noled_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xe9b9827c602410c5, 0x7baf9195bfc93ecf, 0xe7804a5a495d717d, 0xbf10d8488bee3441,
  0xcdaec87495fa8f84, 0xf27b9633f5933c5d, 0xe8e395606b3fd475, 0x28c45398b0176fcb, 0x3ff6678ebd1f3b26,
  0x4c0f2d6eb589e540, 0x39bc8daf2e556a84, 0x5d9cea2a551ae8a8, 0xe8e44d672bb54b7d, 0xb445795c84ad8deb,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x365118bf9b6c2131, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x053c95fb9a19961d, 0x00000006eba45f6b,
};

// m32hvbrevb_swio12_noled_pr_ee_ce
static const uint64_t ur_m32hvbrevb_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xe609f180904316ef, 0xf90337fe49f67d36, 0x4b4833677fd51975, 0xcdaece5d1ffcf009,
  0xf29dacac7be6139d, 0xc1b307a57a8f2b90, 0xb422814c5670fd47, 0x6be8c2cb1148b34e, 0xe439d5db9c98ea42,
  0x78d8ebce9bb1ea8f, 0x0908a22147bdd8d5, 0x08991c37b2d97317, 0xe556a59f41cf2a36, 0x51ae8a839bc8daf2,
  0xbb54b7d5d9cea2a5, 0x4ad8debe8e44d672, 0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041,
  0xb6c2131dbd8aaa2d, 0x71726ae365118bf9, 0xeacc7903f2868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0x62fddac14f257ee6, 0x000000000000029a,
};

// m32hvbrevb_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x9304f8c048218b77, 0xe456fff9520f9f14, 0x90956fdc5f547a6f, 0x8488bee3441e79b6,
  0xec2c9fa8f84bf10d, 0xe6def99e2ee6d776, 0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x6588a459a75a1140,
  0xedce4c752135f461, 0xe74dd8f547f21cea, 0x10a3deec6abc6c75, 0x1bd96cb98b848451, 0xcfa0e7951b044c8e,
  0x41cde46d7972ab52, 0xeaece75152a8d745, 0x5f47226b395daa5b, 0x55a22bcae4256c6f, 0x29e1a779f16bae7b,
  0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x79b288c5fcdb6109, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xd5f1e873c95fb9a1,
  0x0000000000009f83,
};

// m32hvbrevb_swio12_noled_ee_hw
static const uint64_t ur_m32hvbrevb_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x2dde4eed86d95a93, 0x7ce0cc13e3012086, 0xa331ff23677fd0a6, 0xfa8f51e565d66ab5, 0xef8aca5fa8f83660,
  0x5962291669d68450, 0xc9ae3593484d7d18, 0xbb1ea8fe439d5a5d, 0x3deec6ab5d0ebce9, 0x96cb98b84845110a,
  0x1cf2a3608fd6e1bd, 0xbc8daf2e556a0174, 0x9cea2a551ae8a839, 0xe44d672bb54b7d5d, 0x45795c84ad8debe8,
  0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x288c5fcdb610c55b, 0xc2a73f505d8dc79b,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e,
  0x000000002dffcd30,
};

/*
 * m32hvbrevb_swio11_noled_ee_ce_u4_hw m32hvbrevb_swio12_noled_ee_ce_hw
 * m32hvbrevb_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32hvbrevb_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0xdde4ee957a27e858, 0xc524c13e30120862, 0x7a6fe456fffd0a67, 0x79b690956fdc5f54, 0xf10d8488bee3441e,
  0xae6dd8523fa8f84b, 0x9dadcdbdf33c5dcd, 0xb307a57a8f2b90f2, 0x22814c5670fd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db9c98ea426b, 0xd8ebce9bb1ea8fe4, 0x08a22147bdd8d578, 0x991c37b2d9731709, 0x56a59f41cf2a3608,
  0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551, 0xd8debe8e44d672bb, 0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x021eae17d3c95fb9, 0x000000000000000a,
};

// m32hvbrevb_swio12_lednop
static const uint64_t ur_m32hvbrevb_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x410c5bbc9ddb1ec8, 0x000cfc069827c602, 0x877cb741f203dffd, 0xc71cab03affea3e4, 0x0e62c05bdd375098,
  0x608ebc5cec22a3e9, 0x2e556a5660bdc72c, 0x551ae8a839bc8daf, 0x2bb54b7d5d9cea2a, 0xbd2fe8e44d702027,
  0x9ed5688af2b9095c, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0x9b69c6378ce88145, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x001527d72ebcf257,
};

// m32hvbrevb_swio11_lednop_pr_u4    m32hvbrevb_swio12_lednop_pr       m32hvbrevb_swio12_lednop_pr_u4
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0x7304f8c048218b77, 0x7f223dff927d9f5f, 0x1935ea3a0077cb6f, 0xcb299fcea238e558,
  0xced92231be731602, 0x91500ffd9823af47, 0xd65da81e59edc1fe, 0xd15073791b5e5caa, 0x96fabb39d454aa35,
  0xd1c89ae0404e576a, 0xd115e57212b97a5f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0xca2317f36d8c62ad, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f226781fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000007c99c87ed60,
};

// m32hvbrevb_swio12_lednop_pr_ee
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x4c13e30120862dde, 0xfc81adfe49f67d2d, 0x4795b059aad68cc7, 0x53dea3e0d983ea3d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x239b8e7569774ab8, 0x1aad743af3a6ed22, 0x62e121142f88e32b,
  0x8d823f5b86f65b2e, 0xbcb955a8056b13ca, 0xa9546ba2a0e6f236, 0x9caed52df57673a8, 0x72f4bfa39135c080,
  0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241, 0xab83cd94462fe6db,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e44cf1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000009d7325ac1,
};

// m32hvbrevb_swio12_lednop_pr_ee_u4
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x6a609f180904316e, 0x7fe40d6ff24fb3e9, 0xea3cae43cd56b47b, 0x5feef51f06cc1ce3,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x2234c4e7569780cb, 0x8d56ba1d7aea6ed9, 0x62e1211441f476b5,
  0xe305fd6e1bd970e4, 0xa0e6f236bcb955aa, 0xf57673a8a9546ba2, 0x9135c0809caed52d, 0x2bcae42572f4bfa3,
  0xce80f3f5ae7b55a2, 0xa6ae757a96165362, 0xde33a20517d14085, 0x3cd94462fe6da718, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xac14f257ee686658, 0x0000000013ae917d,
};

// m32hvbrevb_swio11_lednop_pr_ce_u4 m32hvbrevb_swio12_lednop_pr_ce    m32hvbrevb_swio12_lednop_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x5bbc9dd57ccfa0d9, 0xfc729827c602410c, 0xd7baf916ebfc93ec, 0x1e7804a5a4d37717, 0x4bf10d8488bee344,
  0xdcdae495951fa8f8, 0x2fa7b9633f5933c5, 0x951c72ac0d67fa8f, 0x9118df398b0163de, 0x07feccf1d7a3e76c,
  0xb503cb5ba0ff48a8, 0x0e6f236bcb955acb, 0x57673a8a9546ba2a, 0x135c0809caed52df, 0xbcae42572f4bfa39,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xc5fcdb63131dbd8a, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x001bae10bb5829e4,
};

// m32hvbrevb_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0x2609f180904316ef, 0x7e4068ff24fb3eff, 0x29690341dff5465d, 0x736bb41c113f9e01,
  0x5ca76b2b1ef984e7, 0xf06cc1e95ea3caca, 0xad08a05315943f51, 0x9afa30b2c4522cd3, 0x9b8e7576e74a3a90,
  0x5e363af3a6ed2223, 0xc242285f11c65635, 0x8226470decb65cc5, 0xb955a9676b13ca8d, 0x546ba2a0e6f236bc,
  0xaed52df57673a8a9, 0xf4bfa39135c0809c, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0x571b288c5fcdb631, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0xd60a792bf734332c, 0x0000000014d36e3e,
};

// m32hvbrevb_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x6609f180904316ef, 0x9087dfe5483e7fb0, 0x42487d717d51e9bf, 0x1222fb8d1079e6da,
  0xf1f77ea3e12fc436, 0x36f7ccf17736bf0f, 0x95ea3caca5ca76b7, 0x315943f51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e74a3a909afa30b, 0x3a6ed22239b8e757, 0xf11c656355e363af, 0xdecb65cc5c242285, 0x76b13ca8d8226470,
  0x0e6f236bcb955a96, 0x57673a8a9546ba2a, 0x135c0809caed52df, 0xbcae42572f4bfa39, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0xc5fcdb63131dbd8a, 0xe3458df0dc79b288, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2,
  0x0000013f2353b1e8,
};

// m32hvbrevb_swio12_lednop_ee_hw
static const uint64_t ur_m32hvbrevb_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0x16ef277505272d08, 0x3e96a609f1809043, 0xd198ff9035bfe853, 0x7d47a8f2b60b355a, 0x77c56a7bd47c1b30,
  0x2cb1148b34eb4228, 0xe9571ac9a426be8c, 0xdda4447371cead2e, 0x1c656355ae875e74, 0xcb65cc5c242285f1,
  0x627951b047eb70de, 0xde46d7972ab500ad, 0xce75152a8d74541c, 0xb8101395daa5beae, 0x5c84ae5e97f47226,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0xf505d8dc79b288c5,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0002df1a9c0be9e4,
};

/*
 * m32hvbrevb_swio11_lednop_ee_ce_u4_hw m32hvbrevb_swio12_lednop_ee_ce_hw
 * m32hvbrevb_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32hvbrevb_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xec19827c602410c5, 0xe9bf9087dff4299f, 0xe6da42487d717d51, 0xc4361222fb8d1079,
  0xbabae30bfea3e12f, 0x76b736f7ccf17736, 0xcc1e95ea3caca5ca, 0x8a05315943f51f06, 0xa30b2c4522cd3ad0,
  0xe7576e74a3a909af, 0x63af3a6ed22239b8, 0x2285f11c656355e3, 0x6470decb65cc5c24, 0x5a9676b13ca8d822,
  0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xfa39135c0809caed, 0x5a22bcae42572f4b, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb288c5fcdb63131d, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x000000000a028d4e,
};

/*
 * m32hvbrevb_swio11_dual_pr         m32hvbrevb_swio11_dual_pr_u4      m32hvbrevb_swio12_dual
 * m32hvbrevb_swio12_dual_pr         m32hvbrevb_swio12_dual_pr_u4
 */
static const uint64_t ur_m32hvbrevb_swio11_dual[] = {
  0x34bbbbbb44869a4e, 0x1f4da62210d83fd3, 0xf7ba8ce5dbd71a7c, 0x377c95264e2765b9, 0x9628d4d8b77e99a5,
  0x23bb8fea3151f1e1, 0x4f8c048218b77928, 0x008c87a0d22e8730, 0x1850c1a49f81b231, 0x84a89ad3ba7c4b88,
  0x2fb3814599c9fe65, 0xab0332a6f51dfcd8, 0x257f9fbe08a11c90, 0xbbdaec01b87c2886, 0x2324432abb105ef8,
  0x073c26b5a2a10cb4, 0x3795e425b7297ff4, 0xff20a2ffbcd3982c, 0x3defd47ee8ef965a, 0x83cce4c3dc71cab0,
  0x764011a62731602a, 0xd500ffd9823af006, 0x5f3a81e59edbde37, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9,
  0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0x5bd8aaa2d2414e31, 0xcd94462fe6db18c5, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x0b8f439e4afdcd0c, 0x00000000001493de,
};

// m32hvbrevb_swio12_dual_pr_ee
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ee[] = {
  0x534edddddd43573e, 0xf07d36b1d936c1c0, 0x47e6ea729c4ccec4, 0x391d8f6d9beec75f, 0x00faabf6dd05014d,
  0x72e2fbb0af7acaf7, 0x30120862dde4cbb7, 0x643d0690e9d4c13e, 0x860d24fc0d918804, 0x44d69dd3e25c40c2,
  0x3805a98c7ff32c25, 0xe2b4dea393ad825a, 0xe7ef822847242ac0, 0x43006e1f0a21895f, 0x21955d882f7c5df7,
  0x4c1ee2a10cb417da, 0xc84b6fa6bfe80e78, 0x5aff79a730586f2b, 0xedd4d56b47fbbe40, 0xa3e0d9830f7ea3ca,
  0xa75a1143be2bd37e, 0x2135f4616588a459, 0x39d5a5d82ae2a5cd, 0xa1d7a897631e8cf5, 0x08a34a4710d8d56b,
  0xf5b86f65f4b31709, 0x2500b2288aa8d823, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5,
  0xd2fe8e44d7020272, 0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0x8f365118bf9b6c63, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb, 0xff8f439e4afdcd0c,
  0x0000000000190a58,
};

// m32hvbrevb_swio12_dual_pr_ee_u4
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ee_u4[] = {
  0x3b777768adbb3202, 0xf4dac764db07014d, 0x39a9ca71333b13c1, 0x3db66fbb1d71f9a3, 0xafdb74140534e476,
  0xf5d717d35bdc03ea, 0xc5bbc9976ee1a741, 0x21d3a9827c602410, 0xf81b231008c87a0d, 0xa7c4b881850c1a49,
  0x8ffe6584a3642f3b, 0x7275b04b4700b531, 0x08e485581c569bd4, 0xe144312bfcfdf045, 0x05ef8bbee8600dc3,
  0x219682fb4432abb1, 0xd7fd01cf0983dc54, 0x260b0de579096df4, 0xa3fddf202d7fa19a, 0x87bf51e576ea6ab5,
  0xdf15e9bf51f06cc1, 0xb2c4522cd3ad08a1, 0x157152e6909afa30, 0xb18f467a9cead2ec, 0x886c6ab5d0ebd44b,
  0xfa598b848451a523, 0x45546c11fadc37b2, 0x55f3bb8a92805914, 0xcde46d7972ab59fc, 0xece75152a8d74541,
  0x6b8101395daa5bea, 0x95c84ae5e97f4722, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x5fcdb6318ab7b155, 0x6f8b9357079b288c, 0x75666fe0fdbb1a2c, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0xb225b42b20f3c95f, 0x0000000000000002,
};

// m32hvbrevb_swio12_dual_pr_ce
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ce[] = {
  0x375bbbbbd82432db, 0x0fa6d6635c58394a, 0x0bdd9c482a27233e, 0x471b0c1651f4fbd7, 0x843b363afba528dd,
  0xcddc704559608674, 0x4f8c048218b77934, 0x008c87a0d2055130, 0x1850c1a49f81b231, 0x84a89ad3ba7c4b88,
  0x8e4703833757fe65, 0x581cae9bd47d9db0, 0x2bfcfdf04508e485, 0xdea4800dc3e14431, 0x3da21955d882f7c5,
  0xe784c13e2a10cb40, 0xe579096dc66ffe80, 0xc8383fef34e60b0d, 0xb690913ab8beafe7, 0x0d8488bee3441e79,
  0xd9be951fa8f84bf1, 0xcb19f52e678bb9b5, 0xcab03b5bd4709f3d, 0x89cc580a5176fc71, 0x678ebc019d900469,
  0x5adcf78df5403ff6, 0xaf9ddc5495f3a81e, 0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x5c0809caed52df57,
  0xae42572f4bfa3913, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa,
  0x2cb578dc79b288c5, 0x3f53ab337f07771a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x1e873c95fb9a1996, 0x00000000069215ab,
};

// m32hvbrevb_swio12_dual_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ce_u4[] = {
  0xb323bbbbb4486f97, 0xc1f4dacc73ed83c0, 0xf77ba829eb091977, 0x991f2253b7aec21e, 0xa74806abf7ef7605,
  0x9247ddcf04674e16, 0x3304f8c048218b77, 0x46201190f41a4446, 0x71030a183493f036, 0xccb095135a774f89,
  0xdb0df670d373456f, 0x4855819439bd47ca, 0x4312bfcfdf04508e, 0x7c5de95000dc3e14, 0xb4027a21955d882f,
  0xf4073c269c62a10c, 0x586f2bc84b6f63ff, 0xb7fe40d6ff79a730, 0xe79b690929eb8beb, 0xbf10d8488bee3441,
  0xcdafd66c87fa8f84, 0xe9ee58cf0e333c5d, 0x238e558193dea3cb, 0x231be731602edf5f, 0x8e58cf1d7916ec3e,
  0x57ceee2a4a3ab87b, 0x3791b5e5caad67f1, 0xb39d454aa35d1507, 0xae0404e576a96fab, 0x57212b97a5fd1c89,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x3a20517c63042d35, 0x94462fe6da718de3, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x8f439e4afdcd0ccb, 0x0000000003490217,
};

// m32hvbrevb_swio12_dual_pr_ee_ce
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ee_ce[] = {
  0x9538b7777750cf68, 0x707d36bd28ce307d, 0x57bddcfb67c029a7, 0x229c10f225c2c2da, 0xcda6cde14b07654e,
  0xcd1f53a3826ece3f, 0xc048218b7792645d, 0x21e834823d7304f8, 0x306927e06c8c4023, 0x26b4ee9f12e20614,
  0xe1a6a67f9f99612a, 0xd3f37a8fff3601a0, 0x3f7c114239215607, 0x900370f8510c4aff, 0x0caaec417be2eff3,
  0x6727150865a070d1, 0x425b7149ff4073c2, 0xd7fbcd3982c3795e, 0xa68effaa3287f234, 0xd4939bff9e6da425,
  0xb595910cc273b9b5, 0x60fa8f51e56c1653, 0x50298ad4f7a8f836, 0x185962291669d684, 0x3abb71c31d484d7d,
  0xd7b589db6fa397c7, 0x40288c7cb1aaf1b1, 0x386f65c7c62e1211, 0xf9ddc549718e4532, 0xf236bcb955acfe2a,
  0x73a8a9546ba2a0e6, 0xc0809caed52df576, 0xe42572f4bfa39135, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0xb1e70dc79b288c5f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0130454ec7a1cf25,
};

// m32hvbrevb_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32hvbrevb_swio11_dual_pr_ee_ce_u4[] = {
  0xdeeeeed15b77d8be, 0x36a17a8c583efde7, 0xef76a3e5a939707d, 0xc995ef226b69be6b, 0xde4edfbcfbfb55ab,
  0xfb2a71e0a5926d0f, 0x25053ba8356668fa, 0x2609f180904316ef, 0x18804643d06917aa, 0xc40c2860d24fc0d9,
  0x2c251b2179dd3e25, 0x1d8270bc39b96bf3, 0xac0daee6f51f1bb6, 0x95fe7ef822847242, 0xde2a8006e1f0a218,
  0x39221955d882f7c5, 0xe784dbee2a10cb42, 0xe579096de92bfe80, 0x45e1ffa19a260b0d, 0xd25e1dc5f5464ebe,
  0x222fb8d1079e6da2, 0x649fea3e12fc4361, 0xb9ba678bb9b5c551, 0xff51e572ba53b5b9, 0x15efbf51f06cc1ed,
  0xc4522cd3ad08a053, 0xe60a3a909afa30b2, 0x25d8c7a33d4e7576, 0x23886c6abc6c75ea, 0xb2fa598b848451a5,
  0x8a22aa3608991c37, 0xfe2af9ddc5494b3c, 0xa0e6f236bcb955ac, 0xf57673a8a9546ba2, 0x9135c0809caed52d,
  0x2bcae42572f4bfa3, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb63131dbd8,
  0x2c6f8b9357079b28, 0xea75666fe0fdbb1a, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866,
  0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0800080b2b20f3c9,
};

// m32hvbrevb_swio12_dual_ee_hw
static const uint64_t ur_m32hvbrevb_swio11_dual_ee_hw[] = {
  0x9a76eeee87ad0c86, 0x83e9b58ec9b60e02, 0x3f375394e2667627, 0xc8ec7b6cdf763afa, 0x07d55fb6e8280a69,
  0x6eeeec6ecde62fb8, 0x7c602410c5bbc997, 0x08c87a0d21d3a982, 0x850c1a49f81b2310, 0x4a89ad3ba7c4b881,
  0xb4700b5318ffe658, 0x81c569bd47275b04, 0xbfcfdf04508e4855, 0xee8600dc3e144312, 0xb4432abb105ef8bb,
  0xf0983dc54219682f, 0x579096df4d7fd01c, 0x202d7f9da260b0de, 0xe576ea6ab5a3fddf, 0xbf51f06cc187bf51,
  0x2cd3ad08a1df15e9, 0xe6909afa30b2c452, 0x7a9cead2ec157152, 0xb5d0ebd44bb18f46, 0x848451a523886c6a,
  0x11fadc37b2fa598b, 0x8a9280591445546c, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x395daa5beaece751,
  0xe5e97f47226b8101, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482,
  0x8dc79b288c5fcdb6, 0x27f2861539fa97ab, 0x343c899e2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0xbe9e4afdcd0ccb0e, 0x00000000576ac7f0,
};

// m32hvbrevb_swio12_dual_ee_ce_hw
static const uint64_t ur_m32hvbrevb_swio11_dual_ee_ce_hw[] = {
  0x0ce76eeeeea1a5fb, 0xc1f4daf4bc7f60e1, 0x21eed17d8b8f6415, 0x4e2c57d769eaefd7, 0x5f0fb0a58210ce73,
  0xd2c8d75d2ac2bdfd, 0xc048218b77921b9d, 0x43d06907b3d304f8, 0x60d24fc0d9188046, 0x4d69dd3e25c40c28,
  0x862099aeff32c254, 0xfe4dea3e9ad83fc3, 0x7ef822847242ac0f, 0x2006e1f0a21895fe, 0x1955d882f7c5deb8,
  0xd21e2a10cb4182a2, 0x096dcd6ffe80e784, 0x07f9da260b0de579, 0x880effaa3cadf231, 0xf2a1a0ff9e6da425,
  0xb5959374c273b9b5, 0xc1edff51e572ba53, 0xa05315efbf51f06c, 0x30b2c4522cd3ad08, 0x7576e60a3a909afa,
  0x75ea25d8c7a33d4e, 0x51a523886c6abc6c, 0x1c37b2fa598b8484, 0x4b3c8a22aa360899, 0x55acfe2af9ddc549,
  0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x9b288c5fcdb63131, 0xcf4c2b93f3fb0dc7, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x0000000022698e2c,
};

// m32hvbrevb_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio11_dual_ee_ce_u4_hw[] = {
  0x7deeeeed14682541, 0xd36a17a8c583efde, 0x6ef76a3e5a939707, 0x56af2657bc89dada, 0xb43f793b7ef3efed,
  0xc32d6ed3e7829649, 0x218b7792829dd538, 0x348bd51304f8c048, 0x27e06c8c402321e8, 0xee9f12e206143069,
  0xdcb5f996128d3344, 0x8f8ddb0ec1385e1c, 0x4239215606d7737a, 0xf8510c4aff3f7c11, 0x417be2ef15400370,
  0x0865a11c910caaec, 0x95ff4073c26df715, 0x730586f2bc84b6f4, 0xa3275f22f0fff787, 0x9e57d684af0ee2fa,
  0xfc4361222fb8d107, 0xb5c2c8cf5fea3e12, 0x53b5b9b9ba678bb9, 0x6cc1edff51e572ba, 0x08a05315efbf51f0,
  0xfa30b2c4522cd3ad, 0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d, 0x8451a523886c6abc, 0x991c37b2fa598b84,
  0x494b3c8a22aa3608, 0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xf4bfa39135c0809c,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xc79b288c5fcdb631,
  0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x37680b9e4afdcd0c, 0x00000000001d759a,
};

static const uint64_t ur_m32hvbrevb_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x120862dde4eec2f5, 0xe80067cc7cc13e30, 0x213be5ba4f91b7ff, 0xaf1c72ac0f9ef51e, 0x34731602dee9b4a5,
  0xc608ebc5ced70d19, 0xf2e556a5657fdc72, 0xa551ae8a839bc8da, 0xed52df5537d9cea2, 0x56af7afa391359ca,
  0x6b9ed5688af2b909, 0xea701652a7d3bcfd, 0x17ee2810b4b0b9d4, 0xbf9b69c6378ce881, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x00000a91712ebcf2,
};

// m32hvbrevb_swio13_noled_pr_u4
static const uint64_t ur_m32hvbrevb_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0x7f2609f180904316, 0x41ff90657f927d9f, 0xb03e83d4797c77cb, 0x0b2ca68f7a5471ca,
  0x8f9da2147bd9cc58, 0xa4d2a01ffb30475e, 0xaad5f5b81e59ed88, 0x35d15073791b5e5c, 0x5beaa6fb39d454aa,
  0xef5f47226b395daa, 0xdaad115e57212ad5, 0x294f0d3bcf8b5d73, 0xc6378ce881077536, 0x9156f62aa8b4b689,
  0xb83cd94462fe6d8c, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xb5ac14f257ee6866, 0x00000000007c9aa6,
};

static const uint64_t ur_m32hvbrevb_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x609f180904316ef2, 0xe4456ff24fb3e4ea, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x2a8d74541cde46d7, 0x6a96faa9bece7515, 0xb57bd7d1c89ace57,
  0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x632455bd8aaa2d2d, 0x26ae0f365118bf9b,
  0x1e40fca1a2ce9f17, 0x4fe50c2a73f53ab3, 0x6879133c5ce32fcc, 0x7a615c9f8e7bff82, 0x252d9f0271964b86,
  0x053c95fb9a19961d, 0x000000009d7c636b,
};

static const uint64_t ur_m32hvbrevb_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x69827c602410c5bb, 0xaf91beffc93ecfc5, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0x41cde46d7972ab55, 0x9bece75152a8d745, 0x1c89ace576a96faa, 0x45795c84ab57bd7d,
  0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x65118bf9b632455b, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x00000004eb9676b0,
};

// m32hvbrevb_swio13_noled_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x16ef27747b16a8e3, 0x3fb3a609f1809043, 0xebb7fe44aeff24fb, 0x0f3c0252d26fbb8b, 0x25f886c2445f71a2,
  0xee6d7b9124afd47c, 0xcdd3dcb19fac99e2, 0x9c638e558193dea3, 0x4428f7b398b014ca, 0x403ff6678ebd1f3b,
  0xfadc0f2d6e1149a5, 0xa839bc8daf2e556a, 0x537d9cea2a551ae8, 0xa391359caed52df5, 0x88af2b90956af7af,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xd94462fe6d8c863b, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x0000000dd74d05ac,
};

static const uint64_t ur_m32hvbrevb_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0x4d4c13e30120862d, 0xa5fc8ff9fe49f67f, 0x0252d27fc3bfea8c, 0xe7736be54341ff3c,
  0xce1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0xd3ad08a05315975f, 0x909afa30b2c4522c, 0x23c90e7576e4ac3a,
  0x355e363af3a6edd4, 0x8b848451f22383f6, 0x1b044c8e1bd96cb9, 0xf2e556a59f4982d5, 0xa551ae8a839bc8da,
  0xed52df5537d9cea2, 0x56af7afa391359ca, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b,
  0xd8c863b7b15545a5, 0xc5c9ab8d94462fe6, 0xab31e40fca1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0x8f2f6b053c95fb9a, 0x0000000000000a69,
};

static const uint64_t ur_m32hvbrevb_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x374c13e30120862d, 0xdf21aeffca907cfe, 0xb4849aeee2faa3d9, 0x6c2445f71a20f3cd,
  0xe0b87ffd47c25f88, 0xb736f7ccf17736ba, 0x19ebea3cace1ca76, 0x05315975f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e4ac3a909afa3, 0xaf3a6edd423c90e7, 0x1f22383f6355e363, 0xe1bd96cb98b84845, 0x59f4982d51b044c8,
  0xa839bc8daf2e556a, 0x537d9cea2a551ae8, 0xa391359caed52df5, 0x88af2b90956af7af, 0x869de7c5aeb9ed56,
  0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xd94462fe6d8c863b, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x98f439e4afdcd0cc,
  0x00000000004fc193,
};

static const uint64_t ur_m32hvbrevb_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x2dde4ee80a499a73, 0x7c9d4c13e3012086, 0xd1bf9f222b7fd0a6, 0xc27fa8f2b297355a, 0xef8aca1fa8f83660,
  0x5962291669d68450, 0x2b2e3593484d7d18, 0xbb7508f2439d5a5d, 0x707ec6ab5d0ebce9, 0x2d973170908a3e44,
  0x60b546c11fadc37b, 0xf236bcb955a805d2, 0x73a8a9546ba2a0e6, 0xd672bb54b7d54df6, 0xae4255abdebe8e44,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0xc5fcdb1922adec55, 0x73f505d8dc79b288,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002dffc930be9,
};

// m32hvbrevb_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0x16ef27777ec2da9a, 0x7f1ba609f1809043, 0x47b3be435dffd0a6, 0xe79b690935ddc5f5, 0xbf10d8488bee3441,
  0xdafc83abaffa8f84, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x422814c565d7d47c, 0xbe8c2cb1148b34eb,
  0x439d5db92b0ea426, 0x8d8ebce9bb7508f2, 0x21147c88e0fd8d57, 0x132386f65b2e62e1, 0x55a967d260b546c1,
  0x6ba2a0e6f236bcb9, 0xb7d54df673a8a954, 0xdebe8e44d672bb54, 0xb55a22bcae4255ab, 0x529e1a779f16bae7,
  0x8c6f19d1020eea6c, 0x18edec5551696d13, 0xb8f365118bf9b632, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x193817d3c95fb9a1, 0x0000000000000a02,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0904316ef2776c7b, 0xf40033f01a609f18, 0x921df2dd27c80f7f, 0x318e395607cf7a8f, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x497f47226b810139,
  0x7b55a22bcae42572, 0xa5af29c05ce80f2e, 0xbe8a042d2b08985e, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0002a4fae5d79e4a,
};

// m32hvbrevb_swio13_lednop_pr_u4
static const uint64_t ur_m32hvbrevb_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xa95304f8c048218b, 0x83ff20c7ff927d9f, 0xb03e83d47d28ef96, 0x16594d01827c71ca,
  0x1f3b2f88e32398b0, 0xdc35403ff6608ebd, 0x56b70e40f2cf6c6f, 0xae8a839bc8daf2e5, 0xdf5537d9cea2a551,
  0x39135c0809caed52, 0x115e57212b924bfa, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0xa2317f36d02a2ade, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00003e4ffaa2d60a,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0x9827c602410c5bbc, 0xf20e0ff927d9fa1f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395,
  0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x3cd94462fe6da054,
  0xf2868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e6879133c09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0xbe10dac14f257ee6, 0x000000000000004e,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x5bbc9dd1ec5aa38c, 0xfa1f9827c602410c, 0x1995f20e0ff927d9, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0x9135c0809caed52d, 0x15e57212b924bfa3,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d10273e8a042, 0x1e6ca2317f36d38c, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xd60a792bf734332c, 0x0000000004eba682,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0xdde4eea0a4e57042, 0xc6b4c13e30120862, 0x76ffc8d37fe49f67, 0xe7804a5a4d9d717d, 0xbf10d8488bee3441,
  0xcdae951723fa8f84, 0xc67b9633f5933c5d, 0xac71cab0327bd479, 0xe238c8e62c0531e7, 0x0ffd99e3af47cecb,
  0xe40f2d6e1bf70d50, 0x39bc8daf2e556b70, 0x7d9cea2a551ae8a8, 0xc0809caed52df553, 0x7212b924bfa39135,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xc5c9ab83cd94462f,
  0xacc7903f2868b3a7, 0xf313f9430a9cfd4e, 0xe09a1e44cf1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0x5ac14f257ee68665, 0x00000000006ebf4f,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x16ef277505272e9c, 0x3f6ea609f1809043, 0xf53d7e4604ff24fb, 0x079e01296932b5c5, 0x12fc4361222fb8d1,
  0x7736ba545c8fea3e, 0xc927b9633f19ccf1, 0x148e39560621fd47, 0xf7a3b58e62c05ee8, 0x5dc72c678ebc5cec,
  0x6f236bcb955a8e84, 0x673a8a9546ba2a0e, 0x20272bb54b7d54df, 0x84ae492fe8e44d70, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x726ae0f365118bf9, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0xbd5956b053c95fb9, 0x000000000000006e,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xb5b9827c602410c5, 0x52fe426dff927d9f, 0x0252d226d9dff546, 0xe7736ba92737ff3c,
  0xca1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0xd3ad08a05315b05f, 0x909afa30b2c4522c, 0x23050e7576e90e3a,
  0x355e363af3a6eddd, 0x8b8484513723c8b6, 0x1b044c8e1bd96cb9, 0x7972ab52cc452695, 0x52a8d74541cde46d,
  0x76a96faa9bece751, 0x25fd1c89ae0404e5, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x5c6ca2317f36d028, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0x5829e4afdcd0ccb0, 0x000000000534f1bb,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x6b7304f8c048218b, 0x3be40a4ff2a41f3e, 0xdb4848525c5f547b, 0x86c2445f71a20f3c,
  0x67afd6afd47c25f8, 0xd6e6def99e2ee6d7, 0x833d7d479594394e, 0x40a62b60bea3e0d9, 0x616588a459a75a11,
  0xeaedd21c752135f4, 0x75e74ddbba460a1c, 0xa26e47916c6abc6c, 0x1c37b2d973170908, 0xa5988a4d2a360899,
  0x8a839bc8daf2e556, 0x5537d9cea2a551ae, 0x135c0809caed52df, 0x5e57212b924bfa39, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6da0518edec5, 0x71a2c6f86e3cd944, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9,
  0x0000009f80f278f4,
};

static const uint64_t ur_m32hvbrevb_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x8b7793ba76821e96, 0x3f43f304f8c04821, 0x68dfcf90707fe853, 0x613fd4795a9e9aad, 0x77c57813d47c1b30,
  0x2cb1148b34eb4228, 0x21d71ac9a426be8c, 0xddbba460a1cead2f, 0x3c8b6355ae875e74, 0x96cb98b848451372,
  0xa4d2a3608fd6e1bd, 0xbc8daf2e556a0108, 0x9cea2a551ae8a839, 0x809caed52df5537d, 0x12b924bfa39135c0,
  0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169, 0x176371e6ca2317f3,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x0b7e6a702fa792bf,
};

// m32hvbrevb_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x5bbc9dd75bae3b5d, 0xf35b9827c602410c, 0x8f677c8149ff4299, 0xe79b69090a4b8bea, 0xbf10d8488bee3441,
  0x36bf9cba9dfa8f84, 0xca76b736f7ccf177, 0x06cc19ebea3caca1, 0xd08a05315b05f51f, 0xafa30b2c4522cd3a,
  0x50e7576e90e3a909, 0xe363af3a6eddd230, 0x484513723c8b6355, 0x44c8e1bd96cb98b8, 0x2ab52cc4526951b0,
  0x8d74541cde46d797, 0x96faa9bece75152a, 0xd1c89ae0404e576a, 0x688af2b9095c925f, 0xf9d01e395aeb9ed5,
  0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d028c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x0000000028081e4c,
};

// m32hvbrevb_swio13_dual_pr         m32hvbrevb_swio13_dual_pr_u4
static const uint64_t ur_m32hvbrevb_swio13_dual[] = {
  0x13bbbbbb448664d6, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056e9893,
  0x2823bb3363c34032, 0x304f8c048218b779, 0x31008c87a0d23bad, 0x881850c1a49f81b2, 0x6584a89ad3ba7c4b,
  0xd82fb3814599c9fe, 0x90ab0332a6f51dfc, 0x86257f9fbe08a11c, 0x7c5df00001b87c28, 0x5a119221955d882f,
  0xfa039e135ad15086, 0x161bcaf212db943f, 0x9eff91fbbfde69cc, 0xb0383fea3edf3be5, 0x2a83cc95a3dc71ca,
  0x0676d291c4273160, 0x8c9500ffd9823af0, 0x525c0940f2cf6d31, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0xd52df5537d9cea2a, 0xbfa39135c0809cae, 0xaad115e57212b924, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xadec55516920a718, 0xe6ca2317f36d02a2, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x02c7a1cf257ee686, 0x00000000000a49bf,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ee[] = {
  0xb62ddddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd056c4,
  0xbaf27acaabdd6d2d, 0x180904316ef265db, 0x643d0691bcfa609f, 0x860d24fc0d918804, 0x44d69dd3e25c40c2,
  0x3805a98c7ff32c25, 0xe2b4dea393ad825a, 0xe7ef822847242ac0, 0xd6006e1f0a21895f, 0x21955d882f7c5dfd,
  0x4c1ee2a10cb417da, 0x9096de76ffe80e78, 0x3ffef34e60b0de57, 0xd37355ad1b93f91d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0x52df5537d9cea2a5,
  0xfa39135c0809caed, 0xad115e57212b924b, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0x6ca2317f36d02a2a, 0xf07771a2c79c371e, 0x867a615c9fbab337, 0x1d252d9f0271964b, 0x1e873c95fb9a1996,
  0x00000000321417ef,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x1f4dac7787cc1db1, 0xfafa10fed333b13c, 0x9d6c995c68bc6736, 0x47f6dd056c4d391d,
  0x35af2734ead05c2d, 0x62dde4cbb77093fd, 0x2379f4c13e301208, 0xf81b231008c87a0d, 0xa7c4b881850c1a49,
  0x8ffe6584a3642f3b, 0x7275b04b4700b531, 0x08e485581c569bd4, 0xe144312bfcfdf045, 0x05ef8bbfbac00dc3,
  0x219682fb4432abb1, 0xdffd01cf0983dc54, 0x4c161bcaf212dbce, 0x8dc9fc8e9fff4334, 0x1efd4795e9b9aad6,
  0x7c57b3bd47c1b307, 0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897,
  0xf4b3170908a0f547, 0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0xcde46d7972ab59fc, 0xece75152a8d74541,
  0x0404e576a96faa9b, 0x9095c925fd1c89ae, 0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b6815156f62aa8b, 0x1726ae0f365118bf, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde,
  0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xcfc25641e792bf73, 0x0000000000001593,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ce[] = {
  0xcb777777b0486f97, 0xf07d36b31aef60ee, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xe89bc9945fbaec8d,
  0xd33773c119d71fd4, 0xc13e30120862dde4, 0x8804643d06909c7c, 0x40c2860d24fc0d91, 0x2c2544d69dd3e25c,
  0x8472381c19babff3, 0x2ac0e574dea3eced, 0x895fe7ef82284724, 0x5de089006e1f0a21, 0x03da21955d882f7c,
  0x0e784c13e2a10cb4, 0x6f2bc84b6fff3fe8, 0xbe413aff79a73058, 0x36d212eafb8beb01, 0x21b09117dc6883cf,
  0x5facd90ff51f097e, 0xdcb19f52e678bb9b, 0x8e558188bea3c893, 0xc42731602fee32a3, 0xd99e3af00676d291,
  0x3cb5b9318c9500ff, 0xe2af9ddc54970250, 0x0e6f236bcb955acf, 0xdf673a8a9546ba2a, 0x7020272bb54b7d54,
  0x5c84ae492fe8e44d, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b681463b7b1554,
  0x596af1b8f365118b, 0x7ea75666fe0eee34, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97,
  0x3d0e792bf734332c, 0x000000001a483a2e,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ce_u4[] = {
  0xccf777776890cf68, 0xdf07d36b312af60e, 0xb6b8ee9da69c2465, 0xccc8f91295a9f65a, 0x0dd889ea3e3afbac,
  0x79247ddcd1f53af7, 0x51304f8c048218b7, 0xb231008c87a0d205, 0x4b881850c1a49f81, 0x7e6584a89ad3ba7c,
  0x56d86fb3869b9a2b, 0x7242ac0ca1cdea3e, 0xa21895fe7ef82284, 0x7be2ef643006e1f0, 0x65a013d10caaec41,
  0xffa039e134e31508, 0x82c3795e425b719b, 0xa995f20e0ffbcd39, 0x079e6da425812e2f, 0x12fc4361222fb8d1,
  0x7736ba545c8fea3e, 0x9c67b9633c38ccf1, 0x37471cab0326bd47, 0xb5d1c64731602995, 0xdb8e58cf1d7916ec,
  0xf8abe77715251d5a, 0x839bc8daf2e556b3, 0x37d9cea2a551ae8a, 0x5c0809caed52df55, 0x57212b924bfa3913,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x3a204e7c63042d35, 0x94462fe6da718de3, 0x07771a2c6f86e3cd,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x8f439e4afdcd0ccb, 0x0000000001a49d3d,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ee_ce[] = {
  0x0e93377777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0526,
  0x2eeeec6ec782e62e, 0x7c602410c5bbc932, 0x1190f41a479eb982, 0x0a183493f0364620, 0x95135a774f897103,
  0xd070d3533fcfccb0, 0x03e9f9bd47ff9b00, 0x7f9fbe08a11c90ab, 0x185c01b87c288625, 0xd10caaec417be2ef,
  0xc26727150865a070, 0xbc84b6f8ddff4073, 0x9dbff79a730586f2, 0x29db3bfea8d82fc8, 0x5c112601fcf36d21,
  0x3b595910cc273b9b, 0xcc184ff51e56a7a5, 0x8a05315e04f51f06, 0xa30b2c4522cd3ad0, 0xe7576e2ea3a909af,
  0x8ebdac4ec65239c4, 0x2897c8d6bd8d578d, 0x470decb8f8c5c242, 0xaf9ddc5497188f86, 0x6f236bcb955acfe2,
  0x673a8a9546ba2a0e, 0x20272bb54b7d54df, 0x84ae492fe8e44d70, 0xad75cf6ab445795c, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb681463b7b15545a, 0x3ce1b8f365118bf9, 0xfdd599bf83bb8d16, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x4c100e58f439e4af,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xfa6d42f1e1b071d7, 0x9bdae2804b5272e0, 0x9c8757b69ef35f45, 0xfde4e1d7cfbfb573,
  0x9d2117b47ce0ac10, 0x92829dc196b2a706, 0xf304f8c048218b77, 0x31008c87a0d23e20, 0x881850c1a49f81b2,
  0x584a3642f3ba7c4b, 0x3b04e1787372d7e6, 0x581b5dcdea3e376c, 0x2bfcfdf04508e485, 0x7a71e00dc3e14431,
  0xe4886557620bdf17, 0x9e136fb8a8432d08, 0x95e425b724affa03, 0x130dfe8668982c37, 0x9261ae2faa3eaff9,
  0x117dc6883cf36d16, 0xe3ff51f097e21b09, 0x9ba678bb9b5d38fe, 0xf51e57bee53b5b9b, 0xaedd7a8f83660cca,
  0x2291669d68450298, 0x29e1d484d7d18596, 0x9767f11f5073abb7, 0x8fe4b1aaf1b1d7a8, 0xcbe9662e121141ea,
  0xe6f6a8d8226470de, 0xfc55f3bb8a929663, 0x41cde46d7972ab59, 0x9bece75152a8d745, 0xae0404e576a96faa,
  0x2b9095c925fd1c89, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x7f36d028c76f62aa,
  0xbe2e4d5c1e6ca231, 0xd599bf83f6ec68b1, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x015c14ac83cf257e, 0x0000000000000020,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_ee_hw[] = {
  0x16eeeeeea0a1a5fb, 0xc1f4dac7787cc1db, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e82b6269,
  0xbba591aeba559682, 0xf180904316ef265d, 0x4643d0691bcfa609, 0x2860d24fc0d91880, 0x544d69dd3e25c40c,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847242ac, 0xdd6006e1f0a21895, 0xa21955d882f7c5df,
  0x84c1ee2a10cb417d, 0x79096de76ffe80e7, 0x74fff9da260b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c,
  0x9a75a1143be2bd9d, 0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab,
  0x1fadc37b2fa598b8, 0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xb54b7d54df673a8a,
  0x2fe8e44d7020272b, 0x6ab445795c84ae49, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6,
  0x79b288c5fcdb40a8, 0x50c2a73f5361d8dc, 0x80f9a1e44cf0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0xaed0bf617d3c95fb,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_ee_ce_hw[] = {
  0x396addddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04b51,
  0xdcee3822acd33aab, 0x27c602410c5bbc90, 0x04643d0691c79398, 0xc2860d24fc0d9188, 0x2544d69dd3e25c40,
  0xfc3862099aeff32c, 0xc0ffe4dea3e9ad83, 0x5fe7ef822847242a, 0xe164006e1f0a2189, 0x2a21955d882f7c5d,
  0x784d21e2a10cb418, 0x579096def0ffe80e, 0x456fff9da260b0de, 0x0956f9dff5472bbe, 0x6d7e8fa927e79b69,
  0x94ed6564dd309cee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e, 0x5f4616588a459a75, 0x41ceaedca7875213,
  0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8, 0x2a4a598f9bdaa360, 0xe5caad67f157ceee,
  0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395, 0xb55a22bcae425724, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb40a3, 0x0cf4c2b93f3fb0dc, 0x3a4a5b3e04e32c97,
  0xc2fa792bf734332c, 0x00000000044d3d38,
};

static const uint64_t ur_m32hvbrevb_swio13_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d06c4f, 0x0fa6d42f1e1b071d, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793875f3efe,
  0x36d3ed0b68d1f382, 0x04316ef25053bb48, 0x1a47c41e609f1809, 0x93f03646201190f4, 0x774f8971030a1834,
  0x6e5afccb094699a2, 0x47c6ed87609c2f0e, 0xa11c90ab036bb9bd, 0x7c2886257f9fbe08, 0x417be2ef4e3c01b8,
  0x0865a11c910caaec, 0x95ff4073c26df715, 0x730586f2bc84b6e4, 0x47d5ff2261bff787, 0x3cafad094c35c5f5,
  0xf886c2445f71a20f, 0xd7e1fe3eefd47c25, 0x4ed6e6e6e99e2ee6, 0xd98332bd4795efb9, 0x1140a62bb75ea3e0,
  0xf4616588a459a75a, 0x1ceaedca78752135, 0x6c75ea25d9fc47d4, 0x84507aa3f92c6abc, 0x991c37b2fa598b84,
  0xa4a598f9bdaa3608, 0x5caad67f157ceee2, 0xaa35d15073791b5e, 0xaa5beaa6fb39d454, 0x7f47226b8101395d,
  0x55a22bcae4257249, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x9b288c5fcdb40a31,
  0x50c2a73f505d8dc7, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x680b9e4afdcd0ccb, 0x000000003aebc8b2,
};

static const uint64_t ur_m32hvbrevb_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x2410c5bbc9ddcc49, 0xd000cfc7b9827c60, 0x313be5ba0f91dd7f, 0xf238e5581d7ff51d, 0x3c731602dee99001,
  0x630475e2e76e9119, 0x7972ab52b043ee39, 0x52a8d74541cde46d, 0x9b95daa5beace751, 0x84ad8fdfd1c89ace,
  0x7eb5cf6ab445795c, 0xea75380b2953e9de, 0x408f2f14085a585c, 0x8c5fcdb4e31bc674, 0x4c2b93f3fb0ddb28,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000005496e975e,
};

// m32hvbrevb_swio14_noled_pr_u4
static const uint64_t ur_m32hvbrevb_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0xdde4eec718178bd9, 0xcc7cc13e30120862, 0xdbdfc8dbffe49f67, 0x56064d7a8e0a1df2, 0x016594c1ed008e39,
  0xd1f3b2628c45398b, 0x589e5403ff6608eb, 0x955aa11303cb3dbb, 0x46ba2a0e6f236bcb, 0xaed52df5673a8a95,
  0x6c7efe8e44d674dc, 0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb0862adec5551696,
  0x9ab83cd94462fe6d, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xb82dac14f257ee68, 0x0000000000007c9a,
};

static const uint64_t ur_m32hvbrevb_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x19827c602410c5bb, 0xff91b3bfc93ecf9c, 0xa8f2b2eb355ad198, 0x652fd47c1b307d47,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x547f21cead2ee4d7, 0x6355ae875e74dd8f, 0xcc5c242288851ef7,
  0x51b047eb70decb65, 0xd7972ab500ba0e79, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xc84ad8fdfd1c89ac,
  0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0xfcdb610c55bd8aaa, 0xf8b9357079b288c5,
  0xd598f207e50d1674, 0x7e627f2861539fa9, 0xfc1343c899e2e719, 0x5c33d30ae4fc73df, 0xb0e9296cf8138cb2,
  0xab5829e4afdcd0cc, 0x000000000004ebc0,
};

static const uint64_t ur_m32hvbrevb_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x9d304f8c048218b7, 0xbff22577f927d9fd, 0xf51e57f3a6ab5a3d, 0xadd2fa8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xf235ae73ab4bafb5, 0x1aad743af5d4dda5, 0x62e121140f88fa4b,
  0x71d07d6e1bd970e4, 0x5073791b5e5caad5, 0x6fab39d454aa35d1, 0xf47226b3a6e576a9, 0xad115e57212b63f7,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0xe6ca2317f36d8431, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x60a792bf734332c3, 0x000000004eba682d,
};

// m32hvbrevb_swio14_noled_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x8b7793ba76821cbb, 0x9fd37304f8c04821, 0xfaf75f232b7f927d, 0x83cf0094b492bae2, 0x097e21b09117dc68,
  0xbb9b5d90e92bf51f, 0xebe4f72c67eb2678, 0x97d1c72ac0d67fa8, 0x4c5188a731602edf, 0x807feccf1d7a3e76,
  0x08981e5add6b13ca, 0x5073791b5e5caad5, 0x6fab39d454aa35d1, 0xf47226b3a6e576a9, 0xad115e57212b63f7,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6, 0xcd94462fe6db084c, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0xc14f257ee6866587, 0x00000001bae917da,
};

static const uint64_t ur_m32hvbrevb_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0x9b7304f8c048218b, 0xbafc819bff24fb3e, 0x04a5a419b3bfea8c, 0xcee6d7672e8ffe78,
  0xc8794ed6563df309, 0xa3e0d983d2bd4795, 0xa75a1140a62b387e, 0x2135f4616588a459, 0x47f21ceaedce4c75,
  0x6abc6c75e74dd8f5, 0x8b84845110a3deec, 0x1b044c8e1bd96cb9, 0x7972ab52cfa0e795, 0x52a8d74541cde46d,
  0x9b95daa5beace751, 0x84ad8fdfd1c89ace, 0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204,
  0x9b6c2131dbd8aaa2, 0xe71726ae365118bf, 0xeeacc7903f2868b1, 0x9c6592e19e985727, 0x6866587494b65928,
  0xa62fddac14f257ee, 0x0000000000000029,
};

static const uint64_t ur_m32hvbrevb_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x524c13e30120862d, 0xbf915bffe5483e7c, 0xda4255bf717d51e9, 0x361222fb8d1079e6,
  0xdbb0b27ea3e12fc4, 0x5b9b7be678bb9b5d, 0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845,
  0xabb73931d484d7d1, 0xd79d3763d51fc873, 0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132,
  0x15073791b5e5caad, 0x96fab39d454aa35d, 0x7f47226b3a6e576a, 0xaad115e57212b63f, 0x94f0d3bcf8b5d73d,
  0x6378ce8810775362, 0xc76f62aa8b4b689c, 0x3cd94462fe6db084, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xeaf8f439e4afdcd0,
  0x0000000000004fc1,
};

static const uint64_t ur_m32hvbrevb_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0x18b7793bb61b656a, 0x99f383304f8c0482, 0xd68cc7fc8d9dff42, 0x83ea3d47959759aa, 0x43be2b297ea3e0d9,
  0x616588a459a75a11, 0x7726b8d64d2135f4, 0xa6ec7aa3f90e7569, 0x28f7bb1aad743af3, 0xf65b2e62e1211444,
  0xd073ca8d823f5b86, 0xe6f236bcb955a805, 0x5673a8a9546ba2a0, 0xe44d674dcaed52df, 0x22bcae4256c7efe8,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0x94462fe6db0862ad, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x0000000016ffe698,
};

// m32hvbrevb_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x8b7793ba55e89fa1, 0x9f149304f8c04821, 0x51e9bf915bfff429, 0x79e6da4255bf717d, 0x2fc4361222fb8d10,
  0x36b9b76148fea3e1, 0xca76b736f7ccf177, 0x06cc1e95ea3cae43, 0xd08a053159c3f51f, 0xafa30b2c4522cd3a,
  0x90e7576e7263a909, 0xe363af3a6ec7aa3f, 0x242288851ef76355, 0x226470decb65cc5c, 0x955a967d073ca8d8,
  0x46ba2a0e6f236bcb, 0xaed52df5673a8a95, 0x6c7efe8e44d674dc, 0xae7b55a22bcae425, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x010f570be9e4afdc, 0x0000000000000005,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x02410c5bbc9ddb1e, 0xfd000cfc069827c6, 0xe4877cb741f203df, 0x98c71cab03affea3, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551ae8a839bc8d, 0xd372bb54b7d59cea, 0xcbec7a39135c0809,
  0xb9ed5688af2b9095, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xf9b69c6378ce8814, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001527d72ebcf25,
};

// m32hvbrevb_swio14_lednop_pr_u4
static const uint64_t ur_m32hvbrevb_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xbee609f180904316, 0xdefe447bff24fb3e, 0xb0326bd47400ef96, 0x0596533f9d4471ca,
  0x8f9db244637ce62c, 0xfd22a01ffb30475e, 0x55acbb503cb3db83, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954,
  0xe8e44d7020274dca, 0x5a22bcae42572fb1, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xd94462fe6db18c55, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000f93390fdac,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0xb5304f8c048218b7, 0x1ff206b7f927d9f4, 0xf51e56c166ab5a33, 0xad4f7a8f83660fa8,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x888e6e39d5a5dd2a, 0xac6ab5d0ebce9bb4, 0xb98b848450be238c,
  0x2a3608fd6e1bd96c, 0xdaf2e556a015ac4f, 0xa2a551ae8a839bc8, 0x9d372bb54b7d59ce, 0x5cbec7a39135c080,
  0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0x6ae0f365118bf9b6,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x0000000275cc96b0,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0x6ef2774ed0439765, 0xe96a609f18090431, 0x7b7fe40d6ff24fb3, 0xe3ea3cae43cd56b4, 0xf15feef51f06cc1c,
  0x2c4522cd3ad08a1d, 0xcb8a266909afa30b, 0xd92234c4e7569780, 0xb58d56ba1d7aea6e, 0xe462e1211441f476,
  0xaae305fd6e1bd970, 0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xe44d7020274dcaed, 0x22bcae42572fb1e8,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0x83cd94462fe6da71, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xdac14f257ee68665, 0x00000000013ae917,
};

// m32hvbrevb_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x18b7793baaf99f41, 0xd9f8e5304f8c0482, 0x2faf75f22dd7f927, 0x883cf0094b49a6ee, 0xf097e21b09117dc6,
  0x8bb9b5c92b2a3f51, 0x1e5f4f72c67eb267, 0xbd2a38e5581acff5, 0xd92231be731602c7, 0x500ffd99e3af47ce,
  0x976a0796b741fe91, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x89ae0404e9b95daa, 0x5795c84ae5f63d1c,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x18bf9b6c6263b7b1, 0x58df1726ae0f3651,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000375c2176b053c,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0x7f9304f8c048218b, 0x2ebf20347f927d9f, 0x0094b481a0effaa3, 0x73b9b5da0e089fcf,
  0x652e53b5958f7cc2, 0xa8f83660f4af51e5, 0x69d68450298aca1f, 0x484d7d1859622916, 0x11cdc73abb73a51d,
  0x1aaf1b1d79d37691, 0x62e121142f88e32b, 0x46c1132386f65b2e, 0x5e5caad4b3b589e5, 0x54aa35d15073791b,
  0xa6e576a96fab39d4, 0x97d8f47226b81013, 0x73daad115e57212b, 0xb94b5f3a03c72b5d, 0x718de33a20421520,
  0x898edec55516920a, 0x9ab8d94462fe6db1, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0xf6b053c95fb9a199, 0x0000000000a69b71,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xc19827c602410c5b, 0xfe421f7f9520f9fe, 0x690921f5c5f547a6, 0xd8488bee3441e79b,
  0x3fc7ddfa8f84bf10, 0xdcdbdf33c5dcdafc, 0x7a57a8f2b29729da, 0x14c5650fd47c1b30, 0x2cb1148b34eb4228,
  0x5db9d28ea426be8c, 0xbce9bb4888e6e39d, 0x17c471958d578d8e, 0xc37b2d973170908a, 0x59dac4f2a3608991,
  0xa839bc8daf2e556a, 0xb7d59cea2a551ae8, 0x135c0809d372bb54, 0xaf2b9095cbec7a39, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x317f36d8c4c76f62, 0xb8d1637c371e6ca2, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x1cf257ee68665874,
  0x0000004fc8d4ec7a,
};

static const uint64_t ur_m32hvbrevb_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x0c5bbc9dd4149cb4, 0x4cfa5a9827c60241, 0x6b4663fe40d6ffa1, 0xc1f51ea3cad82cd5, 0xa1df15a9ef51f06c,
  0x30b2c4522cd3ad08, 0xbba55c6b26909afa, 0xd3769111cdc73ab4, 0xc471958d56ba1d79, 0x7b2d973170908a17,
  0xb589e546c11fadc3, 0x73791b5e5caad402, 0xab39d454aa35d150, 0xb81013a6e576a96f, 0x57212b97d8f47226,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x7f36d8c62adec555, 0xfd4176371e6ca231,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000b7c6a702fa79,
};

// m32hvbrevb_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0x16ef27768bfbbdae, 0x7fb06609f1809043, 0x47a6fe421f7fd0a6, 0xe79b690921f5c5f5, 0xbf10d8488bee3441,
  0xdaeaeb8c2ffa8f84, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b297, 0x422814c5650fd47c, 0xbe8c2cb1148b34eb,
  0xe39d5db9d28ea426, 0x8d8ebce9bb4888e6, 0x908a17c471958d57, 0x8991c37b2d973170, 0x556a59dac4f2a360,
  0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0x7a39135c0809d372, 0x5688af2b9095cbec, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36d8c4c7, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c, 0x000000000280a353,
};

// m32hvbrevb_swio14_dual_pr         m32hvbrevb_swio14_dual_pr_u4
static const uint64_t ur_m32hvbrevb_swio14_dual[] = {
  0xc7bbbbbb44869a4e, 0xf83e9b4c4421b075, 0x73ef7519cbb7ae34, 0x4a6ef92a4c9c4ecb, 0xc32c51a9b16eae33,
  0x5047771fd462a3e3, 0x609f180904316ef2, 0x6201190f41a45d0e, 0x1030a183493f0364, 0xcb095135a774f897,
  0xb05f67028b3393fc, 0x215606654dea3bf9, 0x0c4aff3f7c114239, 0xf177b5d80370f851, 0x68464886557620bd,
  0xe80e784d6b454219, 0x586f2bc84b6e52ff, 0xb5fe4145ff79a730, 0x607bdfa8fdd1df2c, 0x550799c987b8e395,
  0x0cec80234c4e62c0, 0x6faa01ffb30475e0, 0x92be7503cb3db7bc, 0x72ab59fc55f3bb8a, 0xa8d74541cde46d79,
  0x95daa5beace75152, 0x63d1c89ae0404e9b, 0x6ab445795c84ae5f, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0xab7b15545a4829c6, 0x79b288c5fcdb6318, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xc171e873c95fb9a1, 0x000000000002927b,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ee[] = {
  0xd86ddddddd43573e, 0x89e0fa6d63b26d83, 0xbe8fcdd4e538999d, 0x9a723b1edb37dd8e, 0xee01f557edba0b61,
  0x6ee5c5f7615ef595, 0x7c602410c5bbc997, 0x08c87a0d21d3a982, 0x850c1a49f81b2310, 0x4a89ad3ba7c4b881,
  0xb4700b5318ffe658, 0x81c569bd47275b04, 0xbfcfdf04508e4855, 0xee8600dc3e144312, 0xb4432abb105ef8bb,
  0xf0983dc54219682f, 0x579096df4d7fd01c, 0x80b5fef34e60b0de, 0x95dba9aad68ff77c, 0xfd47c1b3061efd47,
  0xb34eb422877c57a6, 0x9a426be8c2cb1148, 0xea73ab4bb055c54b, 0xd743af512ec63d19, 0x121146948e21b1aa,
  0x47eb70decbe9662e, 0x2a4a0164511551b0, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x6e576a96fab39d45,
  0x7d8f47226b81013a, 0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7,
  0x71e6ca2317f36d8c, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719, 0x1ff1e873c95fb9a1,
  0x000000000003214b,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0x83e9b58ec9b60f61, 0x46735394e2667627, 0xec7b6cdf763ae3f3, 0xd55fb6e82d8669c8,
  0x83ebae2fa6b7b807, 0x218b77932eddc34e, 0x1a43a75304f8c048, 0x93f03646201190f4, 0x774f8971030a1834,
  0x631ffccb0946c85e, 0xa8e4eb60968e016a, 0x8a11c90ab038ad37, 0x87c2886257f9fbe0, 0x620bdf177dd0c01b,
  0xa8432d05f6886557, 0xe9affa039e1307b8, 0x344c161bcaf212db, 0x6b47fbbe405aff43, 0x830f7ea3caedd4d5,
  0x43be2bd37ea3e0d9, 0x616588a459a75a11, 0xd82ae2a5cd2135f4, 0x97631e8cf539d5a5, 0x4710d8d56ba1d7a8,
  0x65f4b3170908a34a, 0x288aa8d823f5b86f, 0xf8abe777152500b2, 0x839bc8daf2e556b3, 0x7d59cea2a551ae8a,
  0x35c0809d372bb54b, 0xf2b9095cbec7a391, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x8bf9b6c63156f62a, 0x8df1726ae0f36511, 0x4eaccdfc1fb76345, 0xfde1ef79430a9cfd, 0xf226781fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x5644b685641e792b,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x7c1f4dacc6b8b072, 0xae17bb3890544e46, 0xba8e36182ca3e9f7, 0xe908766c75f74a71,
  0x699bb8e08ab2c10c, 0x609f180904316ef2, 0x6201190f41a40aa2, 0x1030a183493f0364, 0xcb095135a774f897,
  0x611c8e07066eaffc, 0x0ab0395d37a8fb3b, 0x6257f9fbe08a11c9, 0x8bbd49001b87c288, 0x807b4432abb105ef,
  0x01cf09827c542196, 0x1bcaf212db8cdffd, 0xcf90707fde69cc16, 0xf36d212275717d5f, 0xe21b09117dc6883c,
  0x6bb37d2a3f51f097, 0x7b9633ea5ccf1773, 0xe3956076b7a8e13e, 0xd31398b014a2edf8, 0xeccf1d78033b2008,
  0x3cb5b9ef1bea807f, 0xc55f3bb8a92be750, 0x1cde46d7972ab59f, 0xeace75152a8d7454, 0xae0404e9b95daa5b,
  0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b6c6263b7b155,
  0x4596af1b8f365118, 0xe7ea75666fe0eee3, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0x63d0e792bf734332, 0x0000000000d242b5,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0xef83e9b598e7db07, 0x3deef75053d61232, 0x89323e44a76f5d84, 0x2d4e900d57efdeed,
  0xef248fbb9e08ce9c, 0x8c6609f180904316, 0x6c8c402321e83488, 0x12e20614306927e0, 0xdf99612a26b4ee9f,
  0x95b61bece1a6e68a, 0x1c90ab0328737a8f, 0x2886257f9fbe08a1, 0x5ef8bbd2a001b87c, 0x196804f4432abb10,
  0xffe80e784d38c542, 0x60b0de579096dec7, 0xd76ffc81adfef34e, 0x83cf36d21253d717, 0x097e21b09117dc68,
  0xbb9b5facd90ff51f, 0x97d3dcb19e1c6678, 0xbe471cab0327bd47, 0x7c4637ce62c05dbe, 0xf71cb19e3af22dd8,
  0xe2af9ddc54947570, 0x0e6f236bcb955acf, 0xf5673a8a9546ba2a, 0xd7020274dcaed52d, 0xcae42572fb1e8e44,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x67440a2f8c6085a6, 0xb288c5fcdb4e31bc, 0xe0eee3458df0dc79,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xf1e873c95fb9a199, 0x0000000000692042,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ee_ce[] = {
  0xff6b77777750cf68, 0x4ee0fa6d7a519c60, 0xb4af7bb9f6cf8053, 0x9c453821e44b8585, 0x7f9b4d9bc2960fda,
  0xbb9a3ea74704dd9c, 0xf180904316ef24c8, 0x4643d069047ae609, 0x2860d24fc0d91880, 0x544d69dd3e25c40c,
  0x41c34d4cff3f32c2, 0x0fa7e6f51ffe6c03, 0xfe7ef822847242ac, 0xe72006e1f0a21895, 0xa21955d882f7c5df,
  0x84ce4e2a10cb40e1, 0xbc84b6e293fe80e7, 0x69aff79a730586f2, 0x4b4d1dff54650fe4, 0x6ba92737ff3cdb48,
  0xa76b2b221984e773, 0x6cc1f51ea3cad82c, 0x08a05315a9ef51f0, 0xfa30b2c4522cd3ad, 0x8e7576e3863a909a,
  0x63af6b13b6df472f, 0x22805118f96355e3, 0x6470decb8f8c5c24, 0x55f3bb8a92e31c8a, 0xcde46d7972ab59fc,
  0xace75152a8d74541, 0xe0404e9b95daa5be, 0x5c84ae5f63d1c89a, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0x163ce1b8f365118b, 0xe4fdd599bf83bb8d, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x002608a9d8f439e4,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x7d36a17a8c583957, 0x6bef76a3e5a93970, 0xabc995ef226b69be, 0x0fde4e2afcfbfb55,
  0xfafb2a71e0a5926d, 0xef25053ba8356668, 0xaa2609f180904316, 0xd918804643d06917, 0x25c40c2860d24fc0,
  0xf32c251b2179dd3e, 0xb61d8270bc39b96b, 0x42ac0daee6f51f1b, 0x1895fe7ef8228472, 0xc5de2a8006e1f0a2,
  0x4239221955d882f7, 0x80e784dbee2a10cb, 0x0de579096de92bfe, 0xbe45e1ffa19a260b, 0xa2d25e1dc5f5464e,
  0x61222fb8d1079e6d, 0x51649fea3e12fc43, 0xb9b9ba678bb9b5c5, 0xedff51e572ba53b5, 0x5315efbf51f06cc1,
  0xb2c4522cd3ad08a0, 0x76e60a3a909afa30, 0xea25d8c7a33d4e75, 0xa523886c6abc6c75, 0x37b2fa598b848451,
  0x3c8a22aa3608991c, 0xacfe2af9ddc5494b, 0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xe44d7020274dcaed,
  0x22bcae42572fb1e8, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x88c5fcdb63131dbd,
  0xa2c6f8b9357079b2, 0x7ea75666fe0fdbb1, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00800080b2b20f3c,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x4f07d36b1d936c1e, 0xf47e6ea729c4ccec, 0xd391d8f6d9beec75, 0x700faabf6dd05b0c,
  0x2eddddd8dd9bcc5f, 0x04f8c048218b7793, 0x201190f41a43a753, 0x030a183493f03646, 0xb095135a774f8971,
  0x0968e016a631ffcc, 0xab038ad37a8e4eb6, 0x257f9fbe08a11c90, 0x77dd0c01b87c2886, 0x5f6886557620bdf1,
  0x39e1307b8a8432d0, 0xbcaf212dbe9affa0, 0xbe405aff3b44c161, 0xa3caedd4d56b47fb, 0xd37ea3e0d9830f7e,
  0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8cf539d5a5d82ae2, 0xd56ba1d7a897631e, 0x170908a34a4710d8,
  0xd823f5b86f65f4b3, 0x77152500b2288aa8, 0xdaf2e556b3f8abe7, 0xa2a551ae8a839bc8, 0x9d372bb54b7d59ce,
  0x5cbec7a39135c080, 0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490,
  0x71b8f365118bf9b6, 0xc4fe50c2a73f52f5, 0x26879133c5ce32fc, 0x67a615c9f8e7bff8, 0xd252d9f0271964b8,
  0x17d3c95fb9a19961, 0x000000000aed58fe,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_ee_ce_hw[] = {
  0xd396eeeeeea1a5fb, 0x2b83e9b5e978fec1, 0xae43dda2fb171ec8, 0xe69c58afaed3d5df, 0xfabe1f614b05391c,
  0x3ba591aeba55857b, 0xf180904316ef2437, 0x8c87a0d20f67a609, 0x50c1a49f81b23100, 0xa89ad3ba7c4b8818,
  0x870c41335dfe6584, 0x1ffc9bd47d35b07f, 0xfcfdf04508e48558, 0x70400dc3e144312b, 0x4432abb105ef8bbd,
  0x09a43c5421968305, 0xf212db9adffd01cf, 0x620ff3b44c161bca, 0x4b101dff54795be4, 0x6be54341ff3cdb48,
  0xa76b2b26e984e773, 0xd983dbfea3cae574, 0x1140a62bdf7ea3e0, 0xf4616588a459a75a, 0x9ceaedcc14752135,
  0xd8ebd44bb18f467a, 0x08a34a4710d8d578, 0x32386f65f4b31709, 0x9296791445546c11, 0x72ab59fc55f3bb8a,
  0xa8d74541cde46d79, 0x95daa5beace75152, 0x63d1c89ae0404e9b, 0x6ab445795c84ae5f, 0x2d7ce80f1cad75cf,
  0x378ce881085482e5, 0x3b7b15545a4829c6, 0xf365118bf9b6c626, 0x19e985727e7f61b8, 0x7494b67c09c6592e,
  0x85f4f257ee686658, 0x00000000044d31c5,
};

static const uint64_t ur_m32hvbrevb_swio14_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0x07d36a17a8c58395, 0xda6ef76a3e5a9397, 0xed56af2657bc89da, 0x49b43f7938abf3ef,
  0x38c32d6ed3e78296, 0x48218b7792829dd5, 0xe8348bd51304f8c0, 0x6927e06c8c402321, 0x44ee9f12e2061430,
  0x1cdcb5f996128d33, 0x7a8f8ddb0ec1385e, 0x114239215606d773, 0x70f8510c4aff3f7c, 0xec417be2ef154003,
  0x150865a11c910caa, 0xf495ff4073c26df7, 0x87730586f2bc84b6, 0xfaa3275f22f0fff7, 0x079e57d684af0ee2,
  0x12fc4361222fb8d1, 0xb9b5c2c8cf5fea3e, 0xba53b5b9b9ba678b, 0xf06cc1edff51e572, 0xad08a05315efbf51,
  0x9afa30b2c4522cd3, 0x3d4e7576e60a3a90, 0xbc6c75ea25d8c7a3, 0x848451a523886c6a, 0x08991c37b2fa598b,
  0xc5494b3c8a22aa36, 0xbcb955acfe2af9dd, 0xa9546ba2a0e6f236, 0x4dcaed52df5673a8, 0x2fb1e8e44d702027,
  0xe7b55a22bcae4257, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0xdc79b288c5fcdb63,
  0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xa37680b9e4afdcd0, 0x000000000001d759,
};

static const uint64_t ur_m32hvbrevb_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x048218b7793bb0bd, 0xfa0019f31f304f8c, 0x884ef96e93e46dff, 0x6bc71cab03e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0xa9546ba2a0e6f236, 0xdcaed52df57673a8, 0x2ad5fefe8e44d674,
  0xad73daad115e5721, 0x9d4e02ca54fa779f, 0x22fdc5021696173a, 0x17f36d38c6f19d10, 0x0ae4fcfec376ca23,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000001522e25d79e,
};

// m32hvbrevb_swio15_noled_pr_u4
static const uint64_t ur_m32hvbrevb_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0x7f2609f180904316, 0x41ff90657f927d9f, 0xb03e83d4797c77cb, 0x0b2ca68f7a5471ca,
  0x8f9da2147bd9cc58, 0xa4d2a01ffb30475e, 0xaad5f5b81e59ed88, 0x35d15073791b5e5c, 0x6a96fabb39d454aa,
  0xff7f47226b3a6e57, 0xed5688af2b90956a, 0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44,
  0x5c1e6ca2317f36c6, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x5ad60a792bf73433, 0x00000000003e4d53,
};

static const uint64_t ur_m32hvbrevb_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x609f180904316ef2, 0xe4456ff24fb3e4ea, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5abfdfd1c89ace9b,
  0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb1922adec5551696, 0x9357079b288c5fcd,
  0x8f207e50d1674f8b, 0x27f2861539fa9d59, 0x343c899e2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0x829e4afdcd0ccb0e, 0x000000004ebe31b5,
};

static const uint64_t ur_m32hvbrevb_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x69827c602410c5bb, 0xaf91beffc93ecfc5, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0x41cde46d7972ab55, 0xeaece75152a8d745, 0x1c89ace9b95daa5b, 0x22bcae4255abfdfd,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xb288c5fcdb1922ad, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x29e4afdcd0ccb0e9, 0x0000000275cb3b58,
};

// m32hvbrevb_swio15_noled_pr_ce_u4
static const uint64_t ur_m32hvbrevb_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xc5bbc9dd1ec5aa38, 0xcfece9827c602410, 0xfaedff912bbfc93e, 0x83cf0094b49beee2, 0x097e21b09117dc68,
  0xbb9b5ee4492bf51f, 0xf374f72c67eb2678, 0xa718e3956064f7a8, 0xd10a3dece62c0532, 0x500ffd99e3af47ce,
  0xbeb703cb5b845269, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0xe8e44d674dcaed52, 0xd115e57212ad5fef,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x9b288c5fcdb190c7, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x829e4afdcd0ccb0e, 0x00000001bae9a0b5,
};

static const uint64_t ur_m32hvbrevb_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0x4d4c13e30120862d, 0xa5fc8ff9fe49f67f, 0x0252d27fc3bfea8c, 0xe7736be54341ff3c,
  0xce1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0xd3ad08a05315975f, 0x909afa30b2c4522c, 0x23c90e7576e4ac3a,
  0x355e363af3a6edd4, 0x8b848451f22383f6, 0x1b044c8e1bd96cb9, 0xf2e556a59f4982d5, 0xa551ae8a839bc8da,
  0x72bb54b7d5d9cea2, 0xab57fbfa391359d3, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d,
  0x6c6431dbd8aaa2d2, 0xe2e4d5c6ca2317f3, 0xd598f207e50d163c, 0x8cb25c33d30ae4fd, 0x0ccb0e9296cb2513,
  0xc797b5829e4afdcd, 0x0000000000000534,
};

static const uint64_t ur_m32hvbrevb_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x374c13e30120862d, 0xdf21aeffca907cfe, 0xb4849aeee2faa3d9, 0x6c2445f71a20f3cd,
  0xe0b87ffd47c25f88, 0xb736f7ccf17736ba, 0x19ebea3cace1ca76, 0x05315975f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e4ac3a909afa3, 0xaf3a6edd423c90e7, 0x1f22383f6355e363, 0xe1bd96cb98b84845, 0x59f4982d51b044c8,
  0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xa391359d372bb54b, 0x445795c84ab57fbf, 0xc34ef3e2d75cf6ab,
  0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6ca2317f36c6431d, 0xf83bb8d1637c371e, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xcc7a1cf257ee6866,
  0x000000000027e0c9,
};

static const uint64_t ur_m32hvbrevb_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x2dde4ee80a499a73, 0x7c9d4c13e3012086, 0xd1bf9f222b7fd0a6, 0xc27fa8f2b297355a, 0xef8aca1fa8f83660,
  0x5962291669d68450, 0x2b2e3593484d7d18, 0xbb7508f2439d5a5d, 0x707ec6ab5d0ebce9, 0x2d973170908a3e44,
  0x60b546c11fadc37b, 0xf236bcb955a805d2, 0x73a8a9546ba2a0e6, 0xd674dcaed52df576, 0x57212ad5fefe8e44,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x62fe6d8c9156f62a, 0x39fa82ec6e3cd944,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x0000016ffe4985f4,
};

// m32hvbrevb_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0x16ef27777ec2da9a, 0x7f1ba609f1809043, 0x47b3be435dffd0a6, 0xe79b690935ddc5f5, 0xbf10d8488bee3441,
  0xdafc83abaffa8f84, 0x29dadcdbdf33c5dc, 0x1b3067afa8f2b387, 0x422814c565d7d47c, 0xbe8c2cb1148b34eb,
  0x439d5db92b0ea426, 0x8d8ebce9bb7508f2, 0x21147c88e0fd8d57, 0x132386f65b2e62e1, 0x55a967d260b546c1,
  0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xfefe8e44d674dcae, 0xdaad115e57212ad5, 0x294f0d3bcf8b5d73,
  0xc6378ce881077536, 0x0c76f62aa8b4b689, 0xdc79b288c5fcdb19, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x0c9c0be9e4afdcd0, 0x0000000000000501,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x02410c5bbc9ddb1e, 0xfd000cfc069827c6, 0xe4877cb749f203df, 0x4c638e5581f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d74541cde46, 0x9b95daa5beaece75, 0x2563d1c89ae0404e,
  0xe7b55a22bcae4257, 0xea5af29c05ce80f2, 0x8be8a042d2b08985, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a4fae5d79e4,
};

// m32hvbrevb_swio15_lednop_pr_u4
static const uint64_t ur_m32hvbrevb_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xa95304f8c048218b, 0x83ff20c7ff927d9f, 0xb03e83d47d28ef96, 0x16594d01827c71ca,
  0x1f3b2f88e32398b0, 0xdc35403ff6608ebd, 0x56b70e40f2cf6c6f, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551,
  0x39135c0809d372bb, 0x445795c84ae4ac7a, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x288c5fcdb40a8ab7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000f93fea8b582,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0x9827c602410c5bbc, 0xf20e0ff927d9fa1f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x58f47226b81013a6,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0x0f365118bf9b6815,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xaf8436b053c95fb9, 0x0000000000000013,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x5bbc9dd1ec5aa38c, 0xfa1f9827c602410c, 0x1995f20e0ff927d9, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0x9135c0809d372bb5, 0x45795c84ae4ac7a3,
  0x59d01e7eb5cf6ab4, 0xb4d5ceaf52c2ca6c, 0x1bc674409cfa2810, 0x079b288c5fcdb4e3, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xb5829e4afdcd0ccb, 0x00000000013ae9a0,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0xb7793ba829395c10, 0xf1ad304f8c048218, 0x5dbff234dff927d9, 0x79e0129693675c5f, 0x2fc4361222fb8d10,
  0x736ba545c8fea3e1, 0x719ee58cfd64cf17, 0xeb1c72ac0c9ef51e, 0xf88e32398b014c79, 0x03ff6678ebd1f3b2,
  0x3903cb5b86fdc354, 0x0e6f236bcb955adc, 0x57673a8a9546ba2a, 0x7020274dcaed52df, 0x57212b92b1e8e44d,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6da0518edec555, 0x7c5c9ab83cd94462,
  0xeacc7903f2868b3a, 0xbf313f9430a9cfd4, 0xfe09a1e44cf1738c, 0x2e19e985727e39ef, 0x587494b67c09c659,
  0xf5ac14f257ee6866, 0x000000000006ebf4,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x16ef277505272e9c, 0x3f6ea609f1809043, 0xf53d7e4604ff24fb, 0x079e01296932b5c5, 0x12fc4361222fb8d1,
  0x7736ba545c8fea3e, 0xc927b9633f19ccf1, 0x148e39560621fd47, 0xf7a3b58e62c05ee8, 0x5dc72c678ebc5cec,
  0x6f236bcb955a8e84, 0x673a8a9546ba2a0e, 0x20274dcaed52df57, 0x212b92b1e8e44d70, 0x2b5d73daad115e57,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516, 0x5c9ab83cd94462fe, 0x598f207e50d1637c,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xaf5655ac14f257ee, 0x000000000000001b,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xb5b9827c602410c5, 0x52fe426dff927d9f, 0x0252d226d9dff546, 0xe7736ba92737ff3c,
  0xca1ca76b2b1ef984, 0x51f06cc19ebea3ca, 0xd3ad08a05315b05f, 0x909afa30b2c4522c, 0x23050e7576e90e3a,
  0x355e363af3a6eddd, 0x8b8484513723c8b6, 0x1b044c8e1bd96cb9, 0x7972ab52cc452695, 0x52a8d74541cde46d,
  0xb95daa5beaece751, 0x563d1c89ae0404e9, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0x571b288c5fcdb40a, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0xd60a792bf734332c, 0x00000000014d3c6e,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x6b7304f8c048218b, 0x3be40a4ff2a41f3e, 0xdb4848525c5f547b, 0x86c2445f71a20f3c,
  0x67afd6afd47c25f8, 0xd6e6def99e2ee6d7, 0x833d7d479594394e, 0x40a62b60bea3e0d9, 0x616588a459a75a11,
  0xeaedd21c752135f4, 0x75e74ddbba460a1c, 0xa26e47916c6abc6c, 0x1c37b2d973170908, 0xa5988a4d2a360899,
  0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0x135c0809d372bb54, 0x5795c84ae4ac7a39, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x18bf9b681463b7b1, 0xdc68b1be1b8f3651, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x0e792bf734332c3a,
  0x00000027e03c9e3d,
};

static const uint64_t ur_m32hvbrevb_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x8b7793ba76821e96, 0x3f43f304f8c04821, 0x68dfcf90707fe853, 0x613fd4795a9e9aad, 0x77c57813d47c1b30,
  0x2cb1148b34eb4228, 0x21d71ac9a426be8c, 0xddbba460a1cead2f, 0x3c8b6355ae875e74, 0x96cb98b848451372,
  0xa4d2a3608fd6e1bd, 0xbc8daf2e556a0108, 0x9cea2a551ae8a839, 0x809d372bb54b7d5d, 0x84ae4ac7a39135c0,
  0xad75cf6ab445795c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0x05d8dc79b288c5fc,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x02df9a9c0be9e4af,
};

// m32hvbrevb_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m32hvbrevb_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x5bbc9dd75bae3b5d, 0xf35b9827c602410c, 0x8f677c8149ff4299, 0xe79b69090a4b8bea, 0xbf10d8488bee3441,
  0x36bf9cba9dfa8f84, 0xca76b736f7ccf177, 0x06cc19ebea3caca1, 0xd08a05315b05f51f, 0xafa30b2c4522cd3a,
  0x50e7576e90e3a909, 0xe363af3a6eddd230, 0x484513723c8b6355, 0x44c8e1bd96cb98b8, 0x2ab52cc4526951b0,
  0x8d74541cde46d797, 0xdaa5beaece75152a, 0xd1c89ae0404e9b95, 0x5a22bcae42572563, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb288c5fcdb40a31d, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x000000000a020793,
};

// m32hvbrevb_swio15_dual_pr         m32hvbrevb_swio15_dual_pr_u4
static const uint64_t ur_m32hvbrevb_swio15_dual[] = {
  0xa7bbbbbb448664d6, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056efd33,
  0x2823bb3363c34032, 0x304f8c048218b779, 0x31008c87a0d23bad, 0x881850c1a49f81b2, 0x6584a89ad3ba7c4b,
  0xd82fb3814599c9fe, 0x90ab0332a6f51dfc, 0x86257f9fbe08a11c, 0x7c5df00001b87c28, 0x5a119221955d882f,
  0xfa039e135ad15086, 0x161bcaf212db943f, 0x9eff91fbbfde69cc, 0xb0383fea3edf3be5, 0x2a83cc95a3dc71ca,
  0x0676d291c4273160, 0x8c9500ffd9823af0, 0x525c0940f2cf6d31, 0x2e556b3f8abe7771, 0x551ae8a839bc8daf,
  0x2bb54b7d5d9cea2a, 0xc7a39135c0809d37, 0x6ab445795c84ae4a, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0xab7b15545a4829c6, 0x79b288c5fcdb40a8, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xc0b1e873c95fb9a1, 0x000000000002926f,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ee[] = {
  0x80addddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd05014,
  0xbaf27acaabdd6d2d, 0x180904316ef265db, 0x643d0691bcfa609f, 0x860d24fc0d918804, 0x44d69dd3e25c40c2,
  0x3805a98c7ff32c25, 0xe2b4dea393ad825a, 0xe7ef822847242ac0, 0xd6006e1f0a21895f, 0x21955d882f7c5dfd,
  0x4c1ee2a10cb417da, 0x9096de76ffe80e78, 0x3ffef34e60b0de57, 0xd37355ad1b93f91d, 0x8f83660e3dfa8f2b,
  0x9d68450ef8af677a, 0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7,
  0xeb70decbe9662e12, 0x250087cded51b047, 0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5,
  0x7a39135c0809d372, 0xab445795c84ae4ac, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0x9b288c5fcdb40a8a, 0xfc1ddc68b1e70dc7, 0xe19e985727eeaccd, 0x87494b67c09c6592, 0xc7a1cf257ee68665,
  0x000000000c8505fb,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x1f4dac7787cc1c05, 0xfafa10fed333b13c, 0x9d6c995c68bc6736, 0x47f6dd05014d391d,
  0x35af2734ead05c2d, 0x62dde4cbb77093fd, 0x2379f4c13e301208, 0xf81b231008c87a0d, 0xa7c4b881850c1a49,
  0x8ffe6584a3642f3b, 0x7275b04b4700b531, 0x08e485581c569bd4, 0xe144312bfcfdf045, 0x05ef8bbfbac00dc3,
  0x219682fb4432abb1, 0xdffd01cf0983dc54, 0x4c161bcaf212dbce, 0x8dc9fc8e9fff4334, 0x1efd4795e9b9aad6,
  0x7c57b3bd47c1b307, 0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897,
  0xf4b3170908a0f547, 0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0xcde46d7972ab59fc, 0xece75152a8d74541,
  0x0404e9b95daa5bea, 0xe42572563d1c89ae, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6da05455bd8aaa2, 0xc5c9ab83cd94462f, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xf3f0959079e4afdc, 0x0000000000000564,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ce[] = {
  0x2b777777b0486f97, 0xf07d36b31aef60e5, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xe89bc9945fba528d,
  0xd33773c119d71fd4, 0xc13e30120862dde4, 0x8804643d06909c7c, 0x40c2860d24fc0d91, 0x2c2544d69dd3e25c,
  0x8472381c19babff3, 0x2ac0e574dea3eced, 0x895fe7ef82284724, 0x5de089006e1f0a21, 0x03da21955d882f7c,
  0x0e784c13e2a10cb4, 0x6f2bc84b6fff3fe8, 0xbe413aff79a73058, 0x36d212eafb8beb01, 0x21b09117dc6883cf,
  0x5facd90ff51f097e, 0xdcb19f52e678bb9b, 0x8e558188bea3c893, 0xc42731602fee32a3, 0xd99e3af00676d291,
  0x3cb5b9318c9500ff, 0xe2af9ddc54970250, 0x0e6f236bcb955acf, 0x57673a8a9546ba2a, 0x7020274dcaed52df,
  0x57212b92b1e8e44d, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6da0518edec555,
  0x165abc6e3cd94462, 0x9fa9d599bf83bb8d, 0xf22678138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x8f439e4afdcd0ccb, 0x0000000006920e8b,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ce_u4[] = {
  0x02f777776890cf68, 0xdf07d36b312af60f, 0xb6b8ee9da69c2465, 0x2cc8f91295a9f65a, 0x0dd889ea3e3afbb0,
  0x79247ddcd1f53af7, 0x51304f8c048218b7, 0xb231008c87a0d205, 0x4b881850c1a49f81, 0x7e6584a89ad3ba7c,
  0x56d86fb3869b9a2b, 0x7242ac0ca1cdea3e, 0xa21895fe7ef82284, 0x7be2ef643006e1f0, 0x65a013d10caaec41,
  0xffa039e134e31508, 0x82c3795e425b719b, 0xa995f20e0ffbcd39, 0x079e6da425812e2f, 0x12fc4361222fb8d1,
  0x7736ba545c8fea3e, 0x9c67b9633c38ccf1, 0x37471cab0326bd47, 0xb5d1c64731602995, 0xdb8e58cf1d7916ec,
  0xf8abe77715251d5a, 0x839bc8daf2e556b3, 0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7, 0x95c84ae4ac7a3913,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0xce88139f18c10b4d, 0x65118bf9b69c6378, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x63d0e792bf734332, 0x000000000069274f,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ee_ce[] = {
  0x0fb2b77777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0765,
  0x2eeeec6ec782e62e, 0x7c602410c5bbc932, 0x1190f41a479eb982, 0x0a183493f0364620, 0x95135a774f897103,
  0xd070d3533fcfccb0, 0x03e9f9bd47ff9b00, 0x7f9fbe08a11c90ab, 0x185c01b87c288625, 0xd10caaec417be2ef,
  0xc26727150865a070, 0xbc84b6f8ddff4073, 0x9dbff79a730586f2, 0x29db3bfea8d82fc8, 0x5c112601fcf36d21,
  0x3b595910cc273b9b, 0xcc184ff51e56a7a5, 0x8a05315e04f51f06, 0xa30b2c4522cd3ad0, 0xe7576e2ea3a909af,
  0x8ebdac4ec65239c4, 0x2897c8d6bd8d578d, 0x470decb8f8c5c242, 0xaf9ddc5497188f86, 0x6f236bcb955acfe2,
  0x673a8a9546ba2a0e, 0x20274dcaed52df57, 0x212b92b1e8e44d70, 0x2b5d73daad115e57, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6da0518edec55516, 0x8f386e3cd94462fe, 0x3f75666fe0eee345, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x130403963d0e792b,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xfa6d42f1e1b07dfb, 0x9bdae2804b5272e0, 0x9c8757b69ef35f45, 0xfde4edfbcfbfb573,
  0x9d2117b47ce0ac10, 0x92829dc196b2a706, 0xf304f8c048218b77, 0x31008c87a0d23e20, 0x881850c1a49f81b2,
  0x584a3642f3ba7c4b, 0x3b04e1787372d7e6, 0x581b5dcdea3e376c, 0x2bfcfdf04508e485, 0x7a71e00dc3e14431,
  0xe4886557620bdf17, 0x9e136fb8a8432d08, 0x95e425b724affa03, 0x130dfe8668982c37, 0x9261ae2faa3eaff9,
  0x117dc6883cf36d16, 0xe3ff51f097e21b09, 0x9ba678bb9b5d38fe, 0xf51e57bee53b5b9b, 0xaedd7a8f83660cca,
  0x2291669d68450298, 0x29e1d484d7d18596, 0x9767f11f5073abb7, 0x8fe4b1aaf1b1d7a8, 0xcbe9662e121141ea,
  0xe6f6a8d8226470de, 0xfc55f3bb8a929663, 0x41cde46d7972ab59, 0xeaece75152a8d745, 0xae0404e9b95daa5b,
  0xcae42572563d1c89, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x5fcdb40a31dbd8aa,
  0x6f8b9357079b288c, 0x75666fe0fdbb1a2c, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x0057052b20f3c95f, 0x0000000000000008,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_ee_hw[] = {
  0x56eeeeeea0a1a5fb, 0xc1f4dac7787cc1c0, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e8280a69,
  0xbba591aeba559682, 0xf180904316ef265d, 0x4643d0691bcfa609, 0x2860d24fc0d91880, 0x544d69dd3e25c40c,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847242ac, 0xdd6006e1f0a21895, 0xa21955d882f7c5df,
  0x84c1ee2a10cb417d, 0x79096de76ffe80e7, 0x74fff9da260b0de5, 0xaf4dcd56b46e4fe4, 0xea3e0d9838f7ea3c,
  0x9a75a1143be2bd9d, 0xd2135f4616588a45, 0x839d5a5d4f2e2a5c, 0x5d0ebd44bb3f88fa, 0x484507aa3f92c6ab,
  0x1fadc37b2fa598b8, 0x5494021f37b546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a,
  0xb1e8e44d7020274d, 0xdaad115e57212b92, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x1e6ca2317f36d02a, 0x9430a9cfd4d87637, 0xe03e6879133c09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x2bb42fd85f4f257e,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_ee_ce_hw[] = {
  0x3843ddddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04219,
  0xdcee3822acd33aab, 0x27c602410c5bbc90, 0x04643d0691c79398, 0xc2860d24fc0d9188, 0x2544d69dd3e25c40,
  0xfc3862099aeff32c, 0xc0ffe4dea3e9ad83, 0x5fe7ef822847242a, 0xe164006e1f0a2189, 0x2a21955d882f7c5d,
  0x784d21e2a10cb418, 0x579096def0ffe80e, 0x456fff9da260b0de, 0x0956f9dff5472bbe, 0x6d7e8fa927e79b69,
  0x94ed6564dd309cee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e, 0x5f4616588a459a75, 0x41ceaedca7875213,
  0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8, 0x2a4a598f9bdaa360, 0xe5caad67f157ceee,
  0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x58f47226b81013a6, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9,
  0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d028, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25,
  0x30be9e4afdcd0ccb, 0x0000000001134f4e,
};

static const uint64_t ur_m32hvbrevb_swio15_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d06c4f, 0x0fa6d42f1e1b07df, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793b7ef3efe,
  0x36d3ed0b68d1f382, 0x04316ef25053bb48, 0x1a47c41e609f1809, 0x93f03646201190f4, 0x774f8971030a1834,
  0x6e5afccb094699a2, 0x47c6ed87609c2f0e, 0xa11c90ab036bb9bd, 0x7c2886257f9fbe08, 0x417be2ef4e3c01b8,
  0x0865a11c910caaec, 0x95ff4073c26df715, 0x730586f2bc84b6e4, 0x47d5ff2261bff787, 0x3cafad094c35c5f5,
  0xf886c2445f71a20f, 0xd7e1fe3eefd47c25, 0x4ed6e6e6e99e2ee6, 0xd98332bd4795efb9, 0x1140a62bb75ea3e0,
  0xf4616588a459a75a, 0x1ceaedca78752135, 0x6c75ea25d9fc47d4, 0x84507aa3f92c6abc, 0x991c37b2fa598b84,
  0xa4a598f9bdaa3608, 0x5caad67f157ceee2, 0xaa35d15073791b5e, 0x576a96fabb39d454, 0x8f47226b81013a6e,
  0xd5688af2b9095c95, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xe6ca2317f36d028c,
  0x9430a9cfd4176371, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x9a02e792bf734332, 0x000000000ebaf22c,
};

// m32u2_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m32u2_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x1ff9af79fcad304f, 0xa45aa0440a9f048a, 0x0afd549afe45f80b, 0xe2fae490da37b547, 0xc4963cf00953b7f2,
  0x51f097e21b09117d, 0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316,
  0xb33ca807feccf1d7, 0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000002375c92710f,
};

static const uint64_t ur_m32u2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0xde7c66e609f193ba, 0x1102a7c120b5fe6b, 0x26bf917e02e916a8, 0xe4368ded51c2bf55, 0x0254ef021dff546f,
  0x9cee373acd90ff3c, 0xafa894ed6563df30, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f, 0x52135f4616588a45,
  0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97, 0x189ddfb0b3a254d2,
  0x603bf77e73936df8, 0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x1e6c25ccbe6d8921,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0x22204887e792bf73, 0x0000000000000008,
};

static const uint64_t ur_m32u2_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xe412b3f5bf304f8c, 0xaa0440a9f04a76ff, 0xd549afe45f80ba45, 0x390f0da37b5470af, 0x9e6da038706e2faa,
  0xfc4361222fb892c7, 0x8dce8fa927ea3e12, 0x253b5b9b7be678bb, 0x83660d6bfa8f2bea, 0x68450298ac27fa8f,
  0xd7d185962291669d, 0x0b39d5dba711d484, 0xf1b1d79d376ded1e, 0x24228e791871b1aa, 0x226470decb65cc5c,
  0x77ec2ce89534a8d8, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e, 0x67440aeaa72f29b1, 0xb15545a585ce31bc,
  0x09732f9b624863b7, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f,
  0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xcbaf3c95fb9a1996, 0x0000000008221844,
};

// m32u2_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u2_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x4ff35ef3f6ea609f, 0x48b54088153e0960, 0x15faa935fc8bf017, 0xc5f5c921b46f6a8e, 0x1258f3c0254eea55,
  0x47c25f886c2445f7, 0x33c5dc6e56fc00fd, 0x3d47e927b9633f59, 0x153111638e9fc1eb, 0x7cecb3d1a43398b0,
  0x691500ffd99e3af4, 0x7ec82b40f2d6e416, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x598f207e50d1637c, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x75daf710fcf257ee,
  0x0000000000000023,
};

static const uint64_t ur_m32u2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x7bcf8689827c64ee, 0x0440a9f04ac7ffcd, 0x49afe45f80ba45aa, 0xf90da37b5470afd5, 0x00953bdf677fd51b,
  0x273b8dcb9124afcf, 0x2beea53b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x062777ec2cc7d99e,
  0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1,
  0xb2d5e5c9ab83cd84, 0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x10fcf257ee686658, 0x0000000008220e8b,
};

static const uint64_t ur_m32u2_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xf20959f43e9827c6, 0x6a81102a7c12c41f, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe79b680e25ab8bea,
  0xbf10d8488bee24b1, 0xc6e0224c03fa8f84, 0x529dadcdbdf33c5d, 0xc1b306b5fd4795f7, 0xb422814c57b7fd47,
  0x6be8c2cb1148b34e, 0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317,
  0xbbf61663eccf2a36, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026, 0xd3574e31bc67440e,
  0xe6db9c31dbd8aaa2, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00010443d512ebcf,
};

// m32u2_autobaud_uart0_dual_pr      m32u2_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m32u2_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x604384ae9add7e65, 0xfe0ce1cdea3b05d8,
  0x95fe7ef822847244, 0x6e3fc006e1f0a218, 0x6869488655777bbe, 0xe80e784d37454219, 0x586f2bc84b6ee97f,
  0x2a7c127f3fffed30, 0xf917e02e916a8110, 0x68ded51c2bf5526b, 0x7f51f229df2c4d43, 0x9a717be38e9fc188,
  0xd6475fce62c05507, 0x03ff6608ebc019da, 0x740f2cf6c43a4354, 0x93f8abe777152552, 0x809c9b6fc0c4eefd,
  0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xf86e3cd84b997cdb,
  0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0xb829c87e5d79e4af, 0x0000000000000000,
};

static const uint64_t ur_m32u2_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0xd77321f7e657419d, 0x137a8eff361880e0,
  0xbe08a11c913f830d, 0x01b87c2886257f9f, 0x8655777bbe6e0224, 0x31758a8432d0c088, 0x212dbffcffa039e1,
  0x3affffb4c161bcaf, 0x748b54088153e091, 0xe15faa935fc8bf01, 0xab5a39121b46f6a8, 0x660c14f51e56bee6,
  0x450ef8aea57a8f83, 0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7,
  0x6f65f4b3170908a0, 0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d, 0xeaccdfc1ddc68b3a,
  0xbf313f9430a9cfd4, 0xfe09a1e64ff1738c, 0x2e19e985727e39ef, 0x587494b67c09c659, 0xc92ebcf257ee6866,
  0x0000000000014a90,
};

static const uint64_t ur_m32u2_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0x4606eeb681912929, 0xdd3e25c40c2860da, 0x83fc9b107e657419, 0x8fcdea3868d869a3,
  0xfdf04508e489fc1d, 0x000dc3e144312bfc, 0xa21955ddeef9b995, 0x84df3a2a10cb40a5, 0x79096dfa7ffe80e7,
  0xa2b7fffda60b0de5, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0x355ad1e950da37b5, 0x1b307f27a8f2b8f7,
  0x422877c5663fd47c, 0xbe8c2cb1148b34eb, 0xb4b84f5c20b9a426, 0xed62761f11f4873a, 0xd023a976355ae875,
  0x1bd971f18b848451, 0x3bb8a92ae04ffd6e, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x83bb8d1637c371e6, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xd2ebcf257ee68665,
  0x0000000000a549d3,
};

// m32u2_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u2_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x860da4606eeb6819, 0x57419dd3e25c40c2, 0x136ce13b735adfe6, 0xfc198fcdea3eed6c,
  0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x40baa21955ddeef9, 0x80e784c95a2a10cb, 0x86f2bc84b6e16bfe,
  0x4f825b3bfffed305, 0x22fc05d22d502205, 0x1bdaa3857eaa4d7f, 0x01c74b717d50086d, 0x09117dc4963cf36d,
  0x93f5ff51f097e21b, 0x633ea5ccf1771b82, 0xfe0ea5fa8e37e7b9, 0x9cc580a0a0f91c74, 0xf1d78033b5ac8ebf,
  0xb7087486a807fecc, 0xf3bb8a92a93a0796, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x94e804df9bcd9141,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x2e5d79e4afdcd0cc,
  0x000000000056bd84,
};

static const uint64_t ur_m32u2_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x3ace6643fccae833, 0x79bd47986d833e1c,
  0xbe08a11c913f83fd, 0x01b87c2886257f9f, 0x8655777bbe6e79c8, 0x34728a8432d04b48, 0x212db8a4ffa039e1,
  0x9affffb4c161bcaf, 0x748b54088153e096, 0xe15faa935fc8bf01, 0xff546e4e1b46f6a8, 0x96bf3cdb40706b1d,
  0x64dd309cee372f0f, 0xf9ea3cadfc94ed65, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05, 0xb71943a909afa30b,
  0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470, 0xc9fc55f3bb8a9296,
  0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0x73863b7b15545a6a,
  0x386e3cd84b997cdb, 0x75666fe0eee3458f, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04, 0x441b8f975e792bf7,
  0x000000000000000c,
};

static const uint64_t ur_m32u2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x850c1b48c0ddd6d0, 0x65a0e53ba7c4b881, 0x0e8f9c14926e6ffe,
  0x7f06c8737a8ece5b, 0x4aff3f7c11423922, 0xb972500370f8510c, 0x826da21955ddeef9, 0x039e1358fc542196,
  0x3795e425b7eb3ffa, 0xf04b1bbff617982c, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x66ee2faa353d0da3,
  0x2fb892c79e6da4ec, 0x3fea3e12fc436122, 0xdd33c5dc6e6a83c8, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x0fdbb1a2c6f8b935, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xd5393c95fb9a1996,
  0x00000001fab71a9c,
};

// m32u4_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m32u2_autobaud_uart0_dual_ee_hw[] = {
  0x66eeeeeed121a5fb, 0xeeeeeefaf2b689ea, 0x2aabdd6e356a10ee, 0x5ec5da9d33dd2948, 0xca591aeba5595c53,
  0x481544c13e326c4d, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x706bb990fbf32ba0, 0x8689bd477f9b0c40,
  0xcfdf04508e489fc1, 0x1200dc3e144312bf, 0x44432abbbddf3701, 0xf098bac542196860, 0x579096dffe7fd01c,
  0x2275fed7ee60b0de, 0x02e916a81102a7c1, 0x51c2bf5526bf917e, 0xcd56b47224368ded, 0x06cc1829ea3cad7d,
  0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743,
  0x70decbe9662e1211, 0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3,
  0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x82ec6e3cd84b997c, 0xfbc3def2861539fa,
  0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x000b07232514f257,
};

// m32u4_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_m32u2_autobaud_uart0_dual_ee_ce_hw[] = {
  0x377777775050cf68, 0xbbbbbbebe17fb853, 0x561f64cb9db609bb, 0x890b1fbc9dbbf6a3, 0x7268fa9d6b760fcc,
  0x483927304f8c9415, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x70eb39990ff32ba0, 0xf5e6f51e61b60cf8,
  0x7ef822847244fe0f, 0x2006e1f0a21895fe, 0x221955ddeef9b9e7, 0x84d1ca2a10cb412d, 0xbc84b6e293fe80e7,
  0x69aff6bf730586f2, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0xdff546e4e1b46f6a, 0xd90ff3cdb40706b1,
  0x564dd309cee373ac, 0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30,
  0x7a89768851ef673a, 0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929,
  0x0404e4db7e062777, 0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6,
  0x0ec6e3cd84b997cd, 0x8138d2861539fa9b, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002134db8fa29,
};

// m32u4_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d0d8be, 0xdddddf5eb4666d4c, 0x9b41f9b37afe1ddd, 0x0f9a2bd6ddebba2f, 0x5a41b4beb55efaf6,
  0x5cc13e325395c9e7, 0xbbada0644a4a458f, 0x8971030a18369181, 0xdcdffccb135a774f, 0x1d9cb61d1f382924,
  0x847244fe0d90e6f5, 0xf0a21895fe7ef822, 0xbbddf372e4a006e1, 0xa8432d04db4432ab, 0xd67ff4073c26b1f8,
  0x3930586f2bc84b6f, 0x22054f8258ddffd5, 0x4d7f22fc05d22d50, 0xe86d1bdaa3857eaa, 0xeb038337717d51a9,
  0xb09117dc4963cf2b, 0x92737ff51f097e21, 0xadcdcdd33c5dc6e2, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9,
  0x616588a459a75a11, 0x7576e328752135f4, 0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242,
  0x52cc4feb151b044c, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b,
  0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x2134c3b900be9e4a,
};

static const uint64_t ur_m32u2_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0x605dd7f8343cfc7b, 0xd7a4ae2dfda64c6f, 0x5fcf00940e26277f, 0xc67309cee3724397, 0xe33f51c43cf72c05,
  0xc05b8627e38e9fc1, 0xe2e76905478cce62, 0xb074e9ee39633c75, 0x7e73936df8189ddf, 0x4df9bcb750603bf7,
  0x9bd575539794d8ce, 0xbc67440b9b318216, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x2473759e4afdcd0c, 0x0000000000005ba9,
};

static const uint64_t ur_m32u2_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xff35ef3ff3a609f1, 0x8b7f69931bd81145, 0x12a76fe5c5f5c92b, 0x361222fb892c79e0, 0x8ff3107ea3e12fc4,
  0xee58cfd64cf1771b, 0xe3a7f07acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0xdb7e062777ec1c7c, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0x624863b7b15545a5,
  0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd015a21f9e4afdcd, 0x0000000000000375,
};

static const uint64_t ur_m32u2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0xc98dec082d7f9af7, 0xe2faa390f5c5bfb4, 0x892c79e012a76706, 0xa3e12fc4361222fb,
  0x33c5dc6e759b21fe, 0x795f5129dadcdbdf, 0x3fd47c1b306b5fd4, 0x8b34eb422814c561, 0x8ea426be8c2cb114,
  0x6f68f059ceaedd38, 0x8d8d578d8ebce9bb, 0x2e62e1211473c8c3, 0xa546c1132386f65b, 0xf0313bbf616744a9,
  0xa0c077eefce726db, 0x794d8ce4df9bc03e, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x04fc40910fcf257e,
};

static const uint64_t ur_m32u2_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xe6bde7ffe4c13e32, 0xdfda64c6f605d3ff, 0xbc09717d51b93ae2, 0x117dc4963cf00953, 0x92bf51f097e21b09,
  0x6e3299e2ee372e44, 0xbfea3cae7194ed6e, 0x315e49ea3e0d9831, 0x2c4522cd3ad08a05, 0xb74423a909afa30b,
  0xd4ddb9e46d7c73ab, 0x233496355e363af5, 0xb2e1c8c5c24228d6, 0x777ecc62e9991c37, 0xefddf9ce4db7e062,
  0x633937e6f2dd4180, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x085c43f3c95fb9a1, 0x00000000000004fc,
};

// m32u2_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u2_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xff35ef3e70e609f1, 0x8b7f69931bd81256, 0x254eea55c5f5c92b, 0x6c2445f71258f3c0, 0x56fc00fd47c25f88,
  0xb9633f5933c5dc6e, 0x8e9fc1eb3d47e927, 0xa43398b015311163, 0xd99e3af47cecb3d1, 0xf2d6e416691500ff,
  0xb7e062777ec82b40, 0x80efddf9e0404e4d, 0x94e804df9bcd9141, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xd84b997cdb73863b, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xfcf257ee68665874, 0x0000000dd75e7d10,
};

static const uint64_t ur_m32u2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0xf3e1a2609f193baa, 0x32637b02b1fff35e, 0xb8bea8e43d716fed, 0xe24b1e7804a9da5a, 0xa8f84bf10d8488be,
  0xccf1771b9722495f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45,
  0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b, 0x3ca8d8226470decb, 0xfc0c4eefd8598fb3,
  0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x1621f9e4afdcd0cc, 0x000000000004fc1d,
};

static const uint64_t ur_m32u2_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xf904acfeed4c13e3, 0x6fed32637b0231ff, 0xe656b8bea8dc9d71, 0x88bee24b1e79b680, 0x495fa8f84bf10d84,
  0x37194cf1771b8c87, 0xdff51e56804a76b7, 0x98ad7cf51f06cc18, 0x962291669d684502, 0xdbbe41d484d7d185,
  0xea6ed82d188739d5, 0xa3905b1aaf1b1d7a, 0xcb8723170908a038, 0xbbf66315346470de, 0xcf0202726dbf0313,
  0xe804df9bcc077eef, 0x953e02d4e48a5abc, 0x78ce88197f318216, 0x79b09732f9b69c63, 0x6fe0eee3458df0dc,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x02b4baf3c95fb9a1, 0x00000000000013f0,
};

// m32u2_u1x8_uart0_dual_pr
static const uint64_t ur_m32u2_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0x2860da4606eeb681, 0xcac049dd3e25c40c, 0xb05f67028b3393fc, 0x227f06654dea3bf9,
  0x0c4aff3f7c114239, 0xdf3722b00370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1, 0x982c3795e425b78f,
  0x64c6f605a57fac3b, 0xac77cb57fae2dfda, 0x0471d3f83487ea3d, 0x19cc580bf8733dfd, 0x608ebc8b76a968d2,
  0xdc5494ac905dc72c, 0x0313bbf64fe2af9d, 0x7eefcf0202726dbf, 0x74026fcde0e4ac07, 0x3c315953b8b29cbe,
  0xde33a207eb8a042d, 0x1e6c25ccbe6da718, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x9296cf8138cb25c3,
  0x1f9e4afdcd0ccb0e, 0x000000000310e722,
};

static const uint64_t ur_m32u2_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x256383a598e1fe65, 0xfe0e034dea3feed8,
  0x95fe7ef822847244, 0xdce9f006e1f0a218, 0xd04c510caaeef77c, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0xc6f6047affffda60, 0x3be589aae2dfda64, 0x71d3f8310fea3e45, 0xcc580aa0f34e2f7c, 0x1d78033b5ac8ebf9,
  0xd887486a807fecc1, 0xeee2a4aa4e81e59e, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x4baf3c95fb9a1996,
  0x000000000a498835,
};

// m32u2_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u2_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0x6eeb6819129290b8, 0xe25c40c2860da460, 0xc98347e657419dd3, 0x7a8fd3fb0b1f387f,
  0x114239227f07d5f3, 0x70f8510c4aff3f7c, 0x55777bbe6e254003, 0xfb8a8432d04ac886, 0x2db9c1ffa039e132,
  0xffffb4c161bcaf21, 0x8b7f69931bd81656, 0xe56bee6ab5a3912b, 0x57a8f83660c14f51, 0x1669d68450ef8aea,
  0x73484d7d18596229, 0xef673ab4b994b8a9, 0x56ba1d7a89768851, 0x70908a04547cf58d, 0x823f5b86f65f4b31,
  0xb8a9280427f58a8d, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x00000000564bab72,
};

// m32u2_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u2_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x3805a98c7ff32ba0, 0xe2b4dea393ad825a,
  0xe7ef822847244fe0, 0x86006e1f0a21895f, 0xed10caaeef77cdc9, 0x3c260f7150865a0b, 0x95e425b7d37ff407,
  0x02297ffff6982c37, 0xa805716fed32637b, 0x1e79b680e3a5b8be, 0x4bf10d8488bee24b, 0xbb8dc149faffa8f8,
  0x1bf3dcb19f52e678, 0x7c8e3a7f0752fd47, 0xd6475fce62c05050, 0x03ff6678ebc019da, 0x9d03cb5b843a4354,
  0x64fe2af9ddc54954, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x0d24d1c52ebcf257,
};

static const uint64_t ur_m32u2_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x3775b40c894948ee, 0xf12e20614306d230, 0x49bf5ff32ba0cee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xffff6982c3795e42, 0x2dfda64c6f60543f, 0x1c1ac77fd51b93ae, 0x1b9950d07fcf36d0, 0x4a76b2b26e984e77,
  0x83660d7cf51e56fe, 0x68450298ae037a8f, 0xd7d185962291669d, 0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f,
  0x0908a04547cf58d5, 0x1132386f65f4b317, 0xc5494b313fac546c, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0,
  0x026fcde6c8a0c077, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xccbe6db9c31dbd8a, 0xc68b2d5e371e6c25,
  0xa9cfd4eaccdfc1dd, 0x687993fc09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65, 0xeb72ebcf257ee686,
  0x0000000000002001,
};

static const uint64_t ur_m32u2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x1850c1b48c0ddd6d, 0xe65a0e53ba7c4b88, 0x6c19f0e1d673321f,
  0x89fc1febcdea3cc3, 0x312bfcfdf04508e4, 0xf373ce400dc3e144, 0x96825a4432abbbdd, 0xfd01cf09a3945421,
  0x0b0de579096dc527, 0x31bd8169affd85e6, 0x5f546a7ab8b7f699, 0x258f3cdb49d8cddc, 0x7c25f886c2445f71,
  0x8bb8dcd507907fd4, 0xb7f253b5b9b9ba67, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b,
  0x147bd9ceaedc650e, 0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de,
  0x612e65f36dce18ed, 0x63458df1726ae0f3, 0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00004005c41daa72,
};

// m32u4_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m32u2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeead44860aac, 0xeeeefafc7655ea66, 0x9f6cf8eb6a8feeee, 0x499b6e82eea3b0dc, 0xf57964d38275b1d7,
  0x2e0a609f1932eee5, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x1ff260d1f995d067, 0x7cdea3f4fec2c7ce,
  0xdf04508e489fc1f5, 0x00dc3e144312bfcf, 0x21955ddeef9b8950, 0x4cbee2a10cb412b2, 0xc84b6e707fe80e78,
  0x56ff6bf730586f2b, 0x2b8b7f69931bd816, 0x51e56bee6ab5a391, 0xea57a8f83660c14f, 0x291669d68450ef8a,
  0xa973484d7d185962, 0x51ef673ab4b994b8, 0x8d56ba1d7a897688, 0x3170908a04547cf5, 0x8d823f5b86f65f4b,
  0x3bb8a9280427f58a, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xc25ccbe6db9c8ab7, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xe8a792bf734332c3, 0x0000000002bb5756,
};

// m32u4_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m32u2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbbab76090cf68, 0xddddf5f0bfdc299b, 0x0fb265cedb04dddd, 0x858fde4eddfb51ab, 0x347d4eb5bb07e644,
  0x1c939827c64a0ab9, 0x181bbada0644a4a4, 0x74f8971030a18369, 0x759ccc87f995d067, 0xf37a8f30db067c38,
  0x7c114239227f07fa, 0x0370f8510c4aff3f, 0x0caaeef77cdcf390, 0x68e5150865a09691, 0x425b7149ff4073c2,
  0xd7fb5fb982c3795e, 0x5c5bfb4c98dec0b4, 0x407066ee2faa353d, 0xc2445f71258f3cdb, 0xb3643fd47c25f886,
  0x5b9b9ba678bb8dce, 0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422, 0xeaedc650ea426be8,
  0x75ea25da2147bd9c, 0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899, 0xdfb27f157ceee2a4,
  0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x6c3b1b8f3612e65f, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4,
  0x00000001d756e3e8,
};

// m32u4_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xcddddddd5a890c86, 0xddddddf5f0bd47d4, 0x639db5a2afd70bdd, 0x3b3689e7ef276e8f, 0x75cbbb1bb3798a84,
  0x25213cbcc13e325a, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0xd9c261a667cfccae, 0x1c009bd47fd7d81a,
  0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xd64432abbbddf372, 0xcf09add454219680, 0xcaf212dba1f7fd01,
  0x0936ffdafdcc161b, 0x2eb5c5bfb4c98dec, 0xe6da03915ae2faa3, 0xc4361222fb892c79, 0x6e2545c8fea3e12f,
  0x29dadcdc4333c5dc, 0x0d9834c7d4795f75, 0xd08a05315e95ea3e, 0xafa30b2c4522cd3a, 0x3473abb74e23a909,
  0x8d8ebdac4ed70d19, 0x8450d7c8ded58d57, 0x0c8e1bd971f18b84, 0x8abe7771525c6269, 0xc9b6fc0c4eefd93f,
  0x6f301dfbbf3c0809, 0x5392296af3a0137e, 0x65fcc6085a54f80b, 0xcbe6da718de33a20, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000000eba95aa8a7,
};

static const uint64_t ur_m32u2_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x9775fe0d0f3f1ee6, 0xba4ff6d4feedd3e0, 0x1c5ae77fd7a486d1, 0xc6e7ce90ff9e0128, 0xb9ee580b8ce6139d,
  0xc71d3f83c67ea3d4, 0x8d41ce62c05e8121, 0x1cb19e3af173b512, 0xf0313bbf60ebf0f7, 0xbcc077eefce726db,
  0x83536253f7ce4df9, 0xd102103182169c91, 0x12e65f36d38c6f19, 0x81a3f8d163ce1bb6, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xdd6792bf734332c3, 0x0000000016ea491c,
};

static const uint64_t ur_m32u2_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xe6bde7e43cc13e32, 0xda9fddba7c12727f, 0xe2fae490da3749fe, 0xc4963cf00953b7f2, 0x51f097e21b09117d,
  0x2678bb8dc7f9883f, 0x67a8e4f4f72c67eb, 0x028f9d2471d3f83d, 0xa3e76afe8f587316, 0xb33ca807feccf1d7,
  0xbbf60e3e0796b70f, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8, 0xd8aaa2d2c2e718de,
  0x84b997cdb12431db, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000000dd741c710f,
};

static const uint64_t ur_m32u2_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0xba7c1231fff35ef3, 0xf0da3749feda9fdd, 0x12a76706e2faa390, 0x361222fb892c79e0,
  0x759b21fea3e12fc4, 0xdadcdbdf33c5dc6e, 0x306b5fd4795f5129, 0x2814c5613fd47c1b, 0x8c2cb1148b34eb42,
  0xceaedd388ea426be, 0x8ebce9bb6f68f059, 0x1473c8c38d8d578d, 0x2386f65b2e62e121, 0x616744a9a546c113,
  0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4, 0xaa2d2c2e718de33a, 0x997cdb12431dbd8a,
  0x2d5e5c9ab83cd84b, 0xd4eacc7903f2868b, 0x93fc09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0x0fcf257ee6866587, 0x0000000013f0ad51,
};

static const uint64_t ur_m32u2_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0xd7bcfffc9827c64e, 0xa7f76e9f04ba7ffc, 0xa8dc9c368dd27fb6, 0x1e7804a9db05b8be, 0x4bf10d8488bee24b,
  0x771b8951723fa8f8, 0x0a4a76b737194cf1, 0x1f06cc18dff51e56, 0x9d68450298ae21f5, 0x84d7d18596229166,
  0x189f39d5db9ef1d4, 0xaf1b1d7aea6ec21d, 0x0908a24151e33b1a, 0x866470decb872317, 0xdb7e062777ecc63f,
  0xbf37980efddf9ce4, 0x92306a6c4a7ef9c9, 0xe33a2042063042d3, 0xe6c25ccbe6da718d, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x87e792bf734332c3, 0x0000000009f810b8,
};

// m32u2_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u2_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xf35ef3e52e609f19, 0x6d4feedd3e093a5f, 0x717d72486d1ba4ff, 0xc4963cf00953ba95, 0x51f097e21b09117d,
  0x4cf1771b95bf003f, 0xcf51fa49ee58cfd6, 0x054c4458e3a7f07a, 0x1f3b2cf4690ce62c, 0x9a45403ff6678ebd,
  0xdfb20ad03cb5b905, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077,
  0x36dce18edec55516, 0x1726ae0f3612e65f, 0x5663c81f943458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x75d69f443f3c95fb, 0x0000000000000003,
};

static const uint64_t ur_m32u2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xedd3e091c1ff35ef, 0xfc86d1ba4ff6d4fe, 0x804a9defb3bfea8d, 0x139dc6e5c89257e7,
  0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148, 0x32464d1ceaedc7a8,
  0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x0313bbf61663eccf, 0x7eefcf0202726dbf,
  0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x5ccbe6db9c31dbd8, 0x596af2e4d5c1e6c2,
  0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x887e792bf734332c,
  0x000000000027e40a,
};

static const uint64_t ur_m32u2_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x2b3fa6a609f193ba, 0xfbb74f825ff3fe41, 0x721e1b46e93fdb53, 0x3cdb40712d5c5f54, 0xf886c2445f71258f,
  0x370112601fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e, 0x5f4616588a459a75,
  0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8, 0xdfb0b31f667951b0,
  0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fcb2df975e79,
};

static const uint64_t ur_m32u2_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x0c1b48c0ddd6d032, 0x58093ba7c4b88185, 0x0514e0e4e6f9df99, 0x3f838f737a8ebef6,
  0x257f9fbe08a11c91, 0x9b896801b87c2886, 0x5a03e221955ddeef, 0xfa039e136f715086, 0x0b0de579096dccaf,
  0xdd3e094e3feb0ee6, 0xf86d1ba4ff6d4fee, 0x3487ea388a77cb57, 0xf0e6c906fc71d3f8, 0x762791bda398b017,
  0x09fdc72c608ebc8b, 0x27f157ceee2a4a56, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x357079b09732f9b6, 0x867a615c9f9fd8b9, 0x1d252d9f0271964b,
  0xc43f3c95fb9a1996, 0x00000000065bfa71,
};

static const uint64_t ur_m32u2_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x850c1b48c0ddd6d0, 0xccae833ba7c4b881, 0x7b028a7072737cef, 0x489fc1c7b9bd475f,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d01f110caaeef, 0x7ffd01cf09b7b8a8, 0xa60b0de579096dcc,
  0xfbb74f8247affffd, 0xd5fe1b46e93fdb53, 0xfc1a43f51ee19df2, 0x0bf8732d726a38e9, 0x8b7613e8d059cc58,
  0x561a4dc72c608ebc, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x026fcde603bf77e7, 0x9f016a72452d5e74,
  0x33a2065fe2810b4a, 0x6c25ccbe6da718de, 0xf07771a2c79c371e, 0x867a615c9fbab337, 0x1d252d9f0271964b,
  0x4baf3c95fb9a1996, 0x0000000000c4026b,
};

static const uint64_t ur_m32u2_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0x4a70387314bfccae, 0xc1d4a9bd474adb07,
  0xbfcfdf04508e489f, 0x963e00dc3e144312, 0x1f2221955ddeef9b, 0x039e130f9150865a, 0x1bcaf212dbc06ffa,
  0x3e0904fffffb4c16, 0x6d1ba4ff6d4feedd, 0x0fea3e453be589a8, 0xf34e2f7c71d3f831, 0x5ac8ebf9cc580aa0,
  0x807fecc11d78033b, 0x4e81e59ed887486a, 0xb27f157ceee2a4aa, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0524e7c14baf3c95,
};

// m32u2_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u2_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xeeb6819129291c3f, 0x25c40c2860da4606, 0x9b4d7e657419dd3e, 0xd47b1fd87fc38068,
  0x8a11c913f83a1f9b, 0x87c2886257f9fbe0, 0xabbbddf372e4401b, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xfffb4c161bcaf212, 0x6d4feedd3e096fbf, 0xad68e4486d1ba4ff, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea,
  0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x0ac8917cbaf3c95f,
};

// m32u2_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u2_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0x2303775b40c89494, 0xee9f12e20614306d, 0x031f9866ff32ba0c, 0xd69bd474b5b00b47,
  0xfdf04508e489fc18, 0x800dc3e144312bfc, 0xa21955ddeef9b8cf, 0x84c63e2a10cb40a2, 0xbc84b6f15bfe80e7,
  0x4c17fffed30586f2, 0xe93fdb53fbb74f82, 0x71d2dc5f54021b46, 0x445f71258f3cdb40, 0xfd7fd47c25f886c2,
  0xcfa9733c5dc6e0a4, 0x83a97ea38df9ee58, 0x316028283e471d3f, 0x75e00ced6b23afe7, 0xc21d21aa01ffb33c,
  0xeee2a4aa4e81e5ad, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x12e65f36dce18ede, 0x1ddc68b1be1b8f36, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x975e792bf734332c, 0x0000000006926d7b,
};

static const uint64_t ur_m32u2_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0x775b40c89494874e, 0x12e20614306d2303, 0x98d6ff32ba0cee9f, 0xd47801b014870fd7,
  0x8a11c913f83b5b9b, 0x87c2886257f9fbe0, 0x5777bbe6e775801b, 0x48a8432d0d368865, 0xb79dbffa039e1360,
  0xfff6982c3795e425, 0xb53fbb74f825d3ff, 0xf546e4e1b46e93fd, 0x1ff3cdb40706b1df, 0x9ba6139dc6e65434,
  0x3d4795bf929dacac, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6, 0xe328752135f46165, 0x12ed10a3dece7576,
  0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc, 0x09c9b6fc0c4eefd9,
  0xb228301dfbbf3c08, 0xea53929d009bf379, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000010003a2cbaf3,
};

static const uint64_t ur_m32u2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x4306d2303775b40c, 0x68394ee9f12e2061, 0xeb338321cd495f99,
  0xf066b737a8ecf9b0, 0xaff3f7c114239227, 0xcea700370f8510c4, 0x016910caaeef77cd, 0x073c26383150865a,
  0x6f2bc84b6ffafff4, 0xf049fe7fec2f3058, 0x68dd27fb6a7f76e9, 0x3b19bb8bea8d4f43, 0x488bee24b1e79b69,
  0xf20ffa8f84bf10d8, 0x37374cf1771b9aa0, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d, 0x962291669d684502,
  0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238,
  0x64fe2af9ddc5494b, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x54354e4f257ee686, 0x000000000002000f,
};

// m32u4_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m32u2_u1x12_uart0_dual_ee_hw[] = {
  0x774daf13448687e1, 0x777d7d931d753377, 0x7d7738b513f77777, 0x2802a2eee4e29d9f, 0xdbc16b47ee73ada7,
  0xff304f8c9123722b, 0x1bbada0644a4a470, 0xf8971030a1836918, 0xa26d35f995d06774, 0x6f51ec7f61ff0e01,
  0x822847244fe0e87e, 0x6e1f0a21895fe7ef, 0xcaaeef77cdcb9100, 0x28b150865a0e9510, 0x4b6fd5fff4073c26,
  0xff6bf730586f2bc8, 0xf6d4feedd3e096fb, 0xaad68e4486d1ba4f, 0xd983053d4795afb9, 0x1143be2ba95ea3e0,
  0xf4616588a459a75a, 0xd2e652e2a5cd2135, 0xea25da2147bd9cea, 0x1151f3d6355ae875, 0x1bd97d2cc5c24228,
  0x109fd62a3608fd6e, 0xb27f157ceee2a4a0, 0x1013936df8189ddf, 0xf36450603bf77e78, 0x9bd4a7253a0137e6,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x5d8dc79b09732f9b, 0x787bde50c2a73f50, 0xc9fe07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x0576922fa29e4afd,
};

// m32u4_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m32u2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41437089, 0xbbebc99d77a99bbb, 0xa01b17df71bbbbbb, 0xd68977ba02a7126b, 0x7acadada1379328b,
  0xd4c13e324a75caf2, 0x6eeb6819129290e9, 0xe25c40c2860da460, 0xf31adfe657419dd3, 0x7a8f00360290e1fa,
  0x114239227f076b73, 0x70f8510c4aff3f7c, 0xaaeef77cdceeb003, 0x09150865a1a6d10c, 0xb6f3b7ff4073c26c,
  0xf6bf730586f2bc84, 0xda9fddba7c12e9ff, 0xfaa37270da3749fe, 0x87f9e6da038358ef, 0x26e984e771b9d66c,
  0xcf51e56fe4a76b2b, 0x8ae037a8f83660d7, 0x62291669d6845029, 0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d,
  0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386, 0x4fe2af9ddc5494b3, 0x02726dbf0313bbf6,
  0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0x6371e6c25ccbe6db,
  0x9c69430a9cfd4d87, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00003aea3a2d14f2,
};

// m32u4_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468ce4a, 0xddf5f63f2254cddd, 0x936a3fb99bdddddd, 0xb4bb13ba930b1385, 0x159be95f7d71f9dd,
  0xeb9827c648f6b973, 0x1bbada0644a4a479, 0xf8971030a1836918, 0xe6a4afccb135a774, 0xd4767cd87599c190,
  0x8a11c913f8335b9b, 0x87c2886257f9fbe0, 0x5777bbe6e753801b, 0x18a8432d00b48865, 0xb7fd7ffa039e131c,
  0xea9c982c3795e425, 0xd4feedd3e093fcff, 0xd51a9e86d1ba4ff6, 0x3cf2beb038337717, 0x97e21b09117dc496,
  0xdc6e292737ff51f0, 0xf929dadcdcdd33c5, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x9732f9b6e70c76f6, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9, 0x0000003aea1a7c0b,
};

static const uint64_t ur_m32u2_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x04bbaff06879f8f7, 0x68ded51ca4df6e9f, 0x940e2d73bfebd243, 0xcee373e7487fcf00, 0xea5cf72c05c67309,
  0x90e38e9fc1e33f51, 0x8946a0e731602f40, 0x7b8e58cf1d78b9da, 0x6df8189ddfb075f8, 0xfcde603bf77e7393,
  0x48c1a9b129fbe726, 0x8ce8810818c10b4e, 0xdb09732f9b69c637, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x8e6eb3c95fb9a199, 0x00000000000b7524,
};

static const uint64_t ur_m32u2_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xff35ef3f21e609f1, 0xa3949bedd3e09393, 0xf9717d72486d1bda, 0xbee24b1e7804a9db, 0x1fa8f84bf10d8488,
  0xf5933c5dc6e3fcc4, 0x1eb3d4727a7b9633, 0x8b0147ce9238e9fc, 0xebd1f3b57f47ac39, 0x87d99e5403ff6678,
  0x89ddfb071f03cb5b, 0x03bf77e73936df81, 0x6c6726fcde01f506, 0x6f19d102baa9cbca, 0xedec55516961738c,
  0xe6c25ccbe6d89218, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x87e792bf734332c3, 0x000000006eba0e38,
};

static const uint64_t ur_m32u2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xedd3e0918fff9af7, 0xc8786d1bdaa3949b, 0xf00953b383717d51, 0xe21b09117dc4963c,
  0x373acd90ff51f097, 0x94ed6e6def99e2ee, 0x0d9835afea3cafa8, 0xa1140a62b09fea3e, 0x5f4616588a459a75,
  0x2ce7576e9c475213, 0xc6c75e74ddb7b478, 0x908a39e461c6c6ab, 0x8991c37b2d973170, 0xdfb0b3a254d2a360,
  0xf77e73936df8189d, 0x726fcde01f50603b, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x25ccbe6d89218ede,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0xa887e792bf734332, 0x000000000009f856,
};

static const uint64_t ur_m32u2_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xe6bde7ffe4c13e32, 0xe526fb74f825d3ff, 0x5f546e4e1b46f6a8, 0x258f3c0254ed82dc, 0x7c25f886c2445f71,
  0x78bb8dc4a8b91fd4, 0x2b05253b5b9b8ca6, 0xfa8f83660c6ffa8f, 0xb34eb422814c5710, 0xea426be8c2cb1148,
  0x0e8c4f9ceaedcf78, 0x8d578d8ebd753761, 0x8b84845120a8f19d, 0x1fc332386f65c391, 0x726dbf0313bbf663,
  0xe4df9bcc077eefce, 0x69c9183536253f7c, 0xc6f19d1021031821, 0xe0f3612e65f36d38, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x5c43f3c95fb9a199, 0x000000000004fc08,
};

// m32u2_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u2_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff9af79f297304f8, 0x51ca4df6e9f049d2, 0x4ab8beb924368ded, 0xbee24b1e7804a9dd, 0x1fa8f84bf10d8488,
  0xeb2678bb8dcadf80, 0x3d67a8fd24f72c67, 0x1602a6222c71d3f8, 0x5e8f9d967a348673, 0x82cd22a01ffb33c7,
  0x4eefd905681e5adc, 0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x01baeb4fa21f9e4a,
};

static const uint64_t ur_m32u2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0x79fa1f9827c64eeb, 0xdf6e9f048e0ff9af, 0x46fe4368ded51ca4, 0xf3c0254ef7d9dff5, 0xf309cee372e4492b,
  0xa3cafba94ed6563d, 0xdbfea3e0d9835afe, 0xa459a75a1140a62b, 0xd4752135f4616588, 0xed1923268e7576e3,
  0x7b56355e363af3a6, 0x6cb98b8484504f23, 0x67951b044c8e1bd9, 0xdf8189ddfb0b31f6, 0x03bf77e781013936,
  0x53a0137e6f364506, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x1a2cb579726ae0f3,
  0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x05443f3c95fb9a19,
  0x00000000000013f2,
};

static const uint64_t ur_m32u2_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x0959fd35304f8c9d, 0x937dba7c12ff9ff2, 0xaa390f0da37b5472, 0xc79e6da03896ae2f, 0x12fc4361222fb892,
  0x771b8089300fea3e, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5, 0x09afa30b2c4522cd,
  0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc, 0x4eefd8598fb33ca8,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2f9b6e70c76f62aa,
  0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000027e596fcbaf,
};

static const uint64_t ur_m32u2_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x0a18369181bbada0, 0x32b012774f897103, 0xec0a29c1c9cdf3bf, 0x227f071ee6f51d7d,
  0x0c4aff3f7c114239, 0xdf3712d00370f851, 0x0cb407c4432abbbd, 0x5ff4073c26dee2a1, 0xcc161bcaf212db99,
  0x7dba7c129c7fd61d, 0x6aff0da37b547293, 0x7f0690fd47114ef9, 0x02fe1cd920df8e3a, 0x916ec4f237b47316,
  0x4ac13fb8e58c11d7, 0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0x1726ae0f3612e65f, 0xc970cf4c2b93f3fb, 0x32c3a4a5b3e04e32,
  0x4e3887e792bf7343, 0x000000000000cb7f,
};

static const uint64_t ur_m32u2_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x030a18369181bbad, 0xdf995d06774f8971, 0xbef60514e0e4e6f9, 0x1c913f838f737a8e,
  0x2886257f9fbe08a1, 0xdeef9b91c801b87c, 0x50865a03e221955d, 0x98fffa039e136f71, 0xfb4c161bcaf212db,
  0xa4df6e9f048f5fff, 0xbe5abfc368ded51c, 0x1d3f83487ea3dc33, 0x8b017f0e65ae4d47, 0xd7916ec27d1a0b39,
  0x494ac349b8e58c11, 0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0xce804df9bcc077ee, 0x6953e02d4e48a5ab,
  0x1bc67440cbfc5021, 0xe3cd84b997cdb4e3, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x4d6975e792bf7343, 0x0000000000001880,
};

static const uint64_t ur_m32u2_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x18369181bbada064, 0x5d06774f8971030a, 0x0e94e070e6297f99, 0x3f83a9537a8e95b6,
  0x257f9fbe08a11c91, 0x372c7c01b87c2886, 0xb43e44432abbbddf, 0xf4073c261f22a10c, 0x2c3795e425b780df,
  0xba7c1209fffff698, 0x350da37b5472937d, 0x0621fd47c8a77cb1, 0x541e69c5ef8e3a7f, 0x676b591d7f398b01,
  0x0d500ffd9823af00, 0x9549d03cb3db10e9, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef,
  0xf9537a94e4a74026, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000a49cf82975e7,
};

// m32u2_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u2_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x0ddd6d0322525238, 0x7c4b881850c1b48c, 0xd1369afccae833ba, 0x37a8f63fb0ff8700,
  0xc114239227f0743f, 0x370f8510c4aff3f7, 0x655777bbe6e5c880, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0x7ffff6982c3795e4, 0x5472937dba7c12df, 0x7355ad1c890da37b, 0xc1b3060a7a8f2b5f, 0xb422877c5752bd47,
  0x6be8c2cb1148b34e, 0xd5a5cca5c54b9a42, 0xebd44bb4428f7b39, 0x5022a3e7ac6ab5d0, 0xdc37b2fa598b8484,
  0x40213fac546c11fa, 0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f,
  0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000159122f975e79,
};

// m32u2_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u2_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0xda4606eeb6819129, 0x19dd3e25c40c2860, 0x8e063f30cdfe6574, 0x31ad37a8e96b6016,
  0xf9fbe08a11c913f8, 0x9f001b87c2886257, 0x454432abbbddf371, 0xcf098c7c54219681, 0xe579096de2b7fd01,
  0x04982ffffda60b0d, 0x68ded51ca4df6e9f, 0x680e3a5b8bea8043, 0xd8488bee24b1e79b, 0x149faffa8f84bf10,
  0xcb19f52e678bb8dc, 0xa7f0752fd471bf3d, 0xfce62c050507c8e3, 0x678ebc019dad6475, 0xb5b843a435403ff6,
  0xaf9ddc549549d03c, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31, 0xbf83bb8d1637c371, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xaf72ebcf257ee686, 0x000000000000d24d,
};

static const uint64_t ur_m32u2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x06eeb6819129290e, 0x3e25c40c2860da46, 0xaf31adfe657419dd, 0x37a8f00360290e1f,
  0xc114239227f076b7, 0x370f8510c4aff3f7, 0xcaaeef77cdceeb00, 0xc09150865a1a6d10, 0x4b6f3b7ff4073c26,
  0xffffed30586f2bc8, 0x51ca4df6e9f04ba7, 0x3bfea8dc9c368ded, 0x8683fe79b680e0d6, 0x959374c273b8dcca,
  0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c, 0x5ea25da2147bd9ce,
  0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0xfb27f157ceee2a4a, 0x81013936df8189dd,
  0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0x6af1b8f3612e65f3,
  0xa75666fe0eee3459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c, 0x5e792bf734332c3a,
  0x0000000200074597,
};

static const uint64_t ur_m32u2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0xc2860da4606eeb68, 0x32d0729dd3e25c40, 0x61d66706439a92bf,
  0x4fe0cd6e6f51d9f3, 0x895fe7ef82284724, 0x9b9d4e006e1f0a21, 0xb402d221955ddeef, 0xe80e784c7062a10c,
  0xb0de579096dff5ff, 0xd3e093fcffd85e60, 0xe86d1bdaa3949bed, 0x6d276337717d51a9, 0x1b09117dc4963cf3,
  0x541e41ff51f097e2, 0xd6e6e6e99e2ee373, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7,
  0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x01ea86a9c9e4afdc, 0x0000000000000040,
};

// m32u4_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m32u2_u2x8_uart0_dual_ee_hw[] = {
  0xeeeee9b5448687e1, 0xeeeefafb263aea66, 0x3efaee716a27eeee, 0x4e500545ddc9c53b, 0x57b782d68fdce75b,
  0xe1fe609f192246e4, 0x303775b40c894948, 0xe9f12e20614306d2, 0x0344da6bf32ba0ce, 0xfcdea3d8fec3fe1c,
  0xdf04508e489fc1d0, 0x00dc3e144312bfcf, 0x21955ddeef9b9722, 0x4c5162a10cb41d2a, 0x9096dfabffe80e78,
  0xf7fed7ee60b0de57, 0xb5472937dba7c12d, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5, 0xeb422877c5752bd4,
  0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d, 0xadc37b2fa598b848,
  0x940213fac546c11f, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000aed245f453c9,
};

// m32u4_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_m32u2_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77774dad41437089, 0x7777d7933aef5337, 0xd740362fbee37777, 0x17ad12ef74054e24, 0xe4f595b5b426f265,
  0xd3a9827c6494eb95, 0xc0ddd6d032252521, 0xa7c4b881850c1b48, 0xf5e635bfccae833b, 0xe6f51e006c0521c3,
  0xf822847244fe0ed6, 0x06e1f0a21895fe7e, 0x1955ddeef9b9dd60, 0xd8122a10cb434da2, 0x096de76ffe80e784,
  0xffed7ee60b0de579, 0xa8e526fb74f825d3, 0x1dff546e4e1b46f6, 0xcd90ff3cdb40706b, 0x6564dd309cee373a,
  0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3, 0xd7a89768851ef673,
  0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277,
  0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0xb0ec6e3cd84b997c,
  0xf8138d2861539fa9, 0x30ae4fc07cd0f327, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000000075d4745a2,
};

// m32u4_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xbbbba6d51468ce4a, 0xbbbbebec7e44a99b, 0x0b26d47f7337bbbb, 0xbb69762775261627, 0xe62b37d2befae3f3,
  0xf3d7304f8c91ed72, 0x303775b40c894948, 0xe9f12e20614306d2, 0x21cd495f99626b4e, 0x37a8ecf9b0eb3383,
  0xc114239227f066b7, 0x370f8510c4aff3f7, 0xcaaeef77cdcea700, 0x383150865a016910, 0x4b6ffafff4073c26,
  0xffd53930586f2bc8, 0x472937dba7c127f9, 0xe2faa353d0da37b5, 0x92c79e57d607066e, 0x3e12fc4361222fb8,
  0x78bb8dc524e6ffea, 0x2b7f253b5b9b9ba6, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148,
  0x2147bd9ceaedc650, 0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6,
  0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7, 0xdec555169aba718d,
  0x3612e65f36dce18e, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x817d3c95fb9a1996, 0x00000000075d434f,
};

// m32u2_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m32u2_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xe6bde7cbacc13e32, 0xda9f55ba7c12f9df, 0x2486d1bdaa3949fc, 0xe7804a9dbf9717d7, 0xbf10d8488bee24b1,
  0xdc6e3fcc41fa8f84, 0x27a7b9633f5933c5, 0xe9238e9fc1eb3d47, 0x57f47ac398b0147c, 0x403ff6678ebd1f3b,
  0x71f03cb5b87d99e5, 0x73936df8189ddfb0, 0xcde01f50603bf77e, 0x2baa9cbca6c6726f, 0x16961738c6f19d10,
  0xbe6d89218edec555, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x06eba65a887e792b,
};

static const uint64_t ur_m32u2_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0x6e9f0486b7f9af79, 0x6f6a8e527f36a7d5, 0x7810effaa37f21b4, 0xb9d66c87f9e012a7,
  0xa76b2b1ef984e771, 0x6cc1ad7f51e57d44, 0x08a0531584ff51f0, 0xfa30b2c4522cd3ad, 0x673abb74e23a909a,
  0x363af3a6edbda3c1, 0x8451cf230e36355e, 0x4c8e1bd96cb98b84, 0xfd859d12a6951b04, 0xbbf39c9b6fc0c4ee,
  0x937e6f00fa8301df, 0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x2e65f36c490c76f6, 0x2cb579726ae0f361,
  0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b, 0x443f3c95fb9a1996,
  0x000000000027e74f,
};

static const uint64_t ur_m32u2_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0xb3e9b7304f8c9dd8, 0x56e9f04866ffe412, 0x46f6a8e527f36a7d, 0x70e0dc5f54721e1b, 0x445f71258f3cdb40,
  0x524fd47c25f886c2, 0x36f7ccf1771b9d1f, 0xd7f51e57d44a76b7, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb74e23a909afa30b, 0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1,
  0xc9b6fc0c4eefd859, 0xf00fa8301dfbbf39, 0xd54e5e53633937e6, 0x4b0b9c6378ce8815, 0x36c490c76f62aa8b,
  0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0004fc1f82975e79,
};

// m32u2_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u2_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xe6bde7d82cc13e32, 0xda9f55ba7c12387f, 0x2486d1bdaa3949fc, 0xcf00953ba95717d7, 0x7e21b09117dc4963,
  0x71b95bf003f51f09, 0xa49ee58cfd64cf17, 0x458e3a7f07acf51f, 0xcf4690ce62c054c4, 0x03ff6678ebd1f3b2,
  0xad03cb5b9059a454, 0x3936df8189ddfb20, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0xe0f3612e65f36dce, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x2c43f3c95fb9a199, 0x0000000000375f78,
};

static const uint64_t ur_m32u2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0xba7c12eafff35ef3, 0xbdaa3949fcda9f55, 0xefb3bfea8dfc86d1, 0xe5c89257e7804a9d,
  0x9dacac7be6139dc6, 0xb306b5fd4795f752, 0x22814c57b7fd47c1, 0xe8c2cb1148b34eb4, 0x1ceaedc7a8ea426b,
  0x6c75e74dda32464d, 0x08a09e46f6ac6abc, 0x991c37b2d9731709, 0xf61663eccf2a3608, 0x0202726dbf0313bb,
  0xde6c8a0c077eefcf, 0x537a94e4a74026fc, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xe4d5c1e6c25ccbe6,
  0x63c81f9434596af2, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000027e2ec887e79,
};

static const uint64_t ur_m32u2_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0xacfbfc9827c64eef, 0xaadd3e09068ff904, 0x68ded51ca4fe6d4f, 0x0e25ab8bea8e43c3, 0x488bee24b1e79b68,
  0x4c03fa8f84bf10d8, 0xcdbdf33c5dc6e022, 0xb5fd4795f7529dad, 0x4c57b7fd47c1b306, 0xcb1148b34eb42281,
  0xedc7a8ea426be8c2, 0xe74dda32464d1cea, 0x9e46f6ac6abc6c75, 0x37b2d973170908a0, 0x63eccf2a3608991c,
  0x726dbf0313bbf616, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xc4b692ebcf257ee6, 0x000000000000004f,
};

static const uint64_t ur_m32u2_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0xa18369181bbada06, 0x2b012774f8971030, 0xc1c99c3e74d21ff3, 0x13f837f26f51ca2e,
  0x6257f9fbe08a11c9, 0xf373abc01b87c288, 0xcb41ef4432abbbdd, 0xfe80e784c37e2a10, 0x0586f2bc84b6f52b,
  0x6e9f04bbaff58773, 0x6f6a8e527f36a7d5, 0xa8e229df2d5fe1b4, 0x98f491c74fe0d21f, 0x237b4731602fe1cc,
  0x39630475e45bb35f, 0xbe77715252b07dee, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0xe4a74026fcde5ba8,
  0x2169c05ef9537a94, 0x9c6378ce8811d450, 0x357079b09732f9b6, 0x867a615c9f9fd8b9, 0x1d252d9f0271964b,
  0xc43f3c95fb9a1996, 0x00000000032df1c5,
};

// m32u2_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m32u2_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x9c0a5ccc17f32ba0, 0x7fba6f51dd2ec0e1,
  0xf3f7c114239227f0, 0xfe00370f8510c4af, 0x7c4432abbbddf373, 0x73c267be2a10cb41, 0x795e425b7a95ff40,
  0xe09775ffff6982c3, 0x51ca4fe6d4faadd3, 0x229df2c4d4368ded, 0xbe38e9fc1887f51f, 0xfce62c055079a717,
  0x608ebc019dad6475, 0xcf6c43a435403ff6, 0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9,
  0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0xcd84b997cdb73915, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x96a5d79e4afdcd0c, 0x00000000000524f5,
};

// m32u2_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u2_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x1bbada0644a4a447, 0xf8971030a1836918, 0x6a67f9f995d06774, 0x37a8fff3601a0e1a,
  0xc114239227f07d3f, 0x370f8510c4aff3f7, 0x655777bbe6e12500, 0x3938a8432d038688, 0x25b7a1fffa039e13,
  0x7ffff6982c3795e4, 0xfcda9f55ba7c12d3, 0x8e4486d1bdaa3949, 0x053d4795afb9aad6, 0xbe2ba95ea3e0d983,
  0x6588a459a75a1143, 0x52e2a5cd2135f461, 0xda2147bd9cead2e6, 0xf3d6355ae875ea25, 0x7d2cc5c242281151,
  0xd62a3608fd6e1bd9, 0x157ceee2a4a0109f, 0x936df8189ddfb27f, 0x50603bf77e781013, 0xa7253a0137e6f364,
  0x8de33a2077ca9bd4, 0x2adec555169aba71, 0xc79b09732f9b6e72, 0x66fe0eee3458df0d, 0xf7bca1854e7ea756,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0xc859cbaf3c95fb9a,
  0x000000000000000a,
};

// m32u2_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u2_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x81bbada0644a4a43, 0x4f8971030a183691, 0xcdcdbb5f995d0677, 0x9bd470b5b031f380,
  0xf04508e489fc193a, 0x0dc3e144312bfcfd, 0x1955ddeef9b9d660, 0xd01a2a10cb41c9a2, 0x84b6e35bfe80e784,
  0x13fffed30586f2bc, 0x3f9b53eab74f8258, 0xfaa010da37b54729, 0x2c79e6da038e96e2, 0xe12fc4361222fb89,
  0xe2ee370527ebfea3, 0x1c6fcf72c67d4b99, 0x41f238e9fc1d4bf5, 0x6b591d7f398b0141, 0x500ffd99e3af0067,
  0x52740f2d6e10e90d, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0034923ebcbaf3c9,
};

static const uint64_t ur_m32u2_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x0ddd6d032252520c, 0x7c4b881850c1b48c, 0x6e6986fccae833ba, 0xdea38a4d87eb9c0d,
  0x04508e489fc1d6fc, 0xdc3e144312bfcfdf, 0x2abbbddf37000000, 0x5745421968456443, 0x2dbdadffd01cf09a,
  0xffffb4c161bcaf21, 0xcda9f55ba7c12b1f, 0xb9386d1bdaa3949f, 0xf36d01c1ac77fd51, 0x84e771b9950d07fc,
  0xe56fe4a76b2b26e9, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229, 0x4428f7b39d5db8ca,
  0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa, 0x6dbf0313bbf64fe2,
  0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0xe6c25ccbe6db9c31,
  0xfc1ddc68b2d5e371, 0x69430a9cfd4eaccd, 0x7e03e687993fc09c, 0x09c6592e19e98572, 0xee6866587494b67c,
  0x02000e7d2ebcf257,
};

static const uint64_t ur_m32u2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0x2860da4606eeb681, 0x2d0729dd3e25c40c, 0x0c8670a4a999cbf3,
  0xfe0e61a6f51facf6, 0x95fe7ef822847244, 0xb8b82006e1f0a218, 0x818fa21955ddeef9, 0x039e13757c542196,
  0x3795e425b735bffa, 0xf825883ff617982c, 0x547293f9b53eab74, 0xee2faa353d0da37b, 0xb892c79e6da4ec66,
  0xea3e12fc4361222f, 0x33c5dc6e6a83c83f, 0x795bf929dadcdcdd, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8,
  0x8752135f4616588a, 0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97,
  0xabe77715252cc4fe, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xdbb1a2c6f8b93570, 0x854e7ea75666fe0f, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x393c95fb9a19961d, 0x0000000800fb3cd5,
};

// m32u4_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m32u2_u2x12_uart0_dual_ee_hw[] = {
  0xbba6d789a243573e, 0xdddf5f853ada99bb, 0xdd8becad4d7ddddd, 0x554368bbb625d96f, 0x2fbb37594a3f738b,
  0xee9827c64dc1b92e, 0x0ddd6d0322525223, 0x7c4b881850c1b48c, 0x3533fcfccae833ba, 0x9bd47ff9b00d070d,
  0xe08a11c913f83e9f, 0x1b87c2886257f9fb, 0x32abbbddf3709280, 0x9c9c54219681c344, 0x12dbd0fffd01cf09,
  0xffdafdcc161bcaf2, 0xf9b53eab74f825a6, 0x1c890da37b547293, 0x0a7a8f2b5f7355ad, 0x7c5752bd47c1b306,
  0xcb1148b34eb42287, 0xa5c54b9a426be8c2, 0xb4428f7b39d5a5cc, 0xe7ac6ab5d0ebd44b, 0xfa598b84845022a3,
  0xac546c11fadc37b2, 0x2af9ddc54940213f, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x8f3612e65f36dce4, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xd167453c95fb9a19, 0x00000000000000ae,
};

// m32u4_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_m32u2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xba6d789d41436f02, 0xddf5e36f26299bbb, 0x2162afdc89dddddd, 0xd32024775056caae, 0xc3e6be8b360f89ba,
  0xf5cc13e325d95c9f, 0x1bbada0644a4a418, 0xf8971030a1836918, 0xdcd30df995d06774, 0xbd47149b0fd7381a,
  0x08a11c913f83adf9, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0xae8a8432d08ac886, 0x5b7b5bffa039e134,
  0xfb5fb982c3795e42, 0x6d4faadd3e0958ff, 0xc9c368ded51ca4fe, 0x9b680e0d63bfea8d, 0x139dc6e759b21fe7,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0x0c2a73f5361d8dc7, 0x0f9a1e64ff0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027, 0x75d4e7d453c95fb9,
};

// m32u4_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdd36bc4d1468a0ae, 0xeefafc763f14cddd, 0x83e44fdebdeeeeee, 0xa16ccf753927dda0, 0x5bd0faf6097d7aef,
  0x09f192afae5f5f7f, 0xb681912929196d26, 0xc40c2860da4606ee, 0xcbf32c4d69dd3e25, 0xacf60c8670a4a999,
  0x7244fe0e61a6f51f, 0xa21895fe7ef82284, 0xeef9b8b82006e1f0, 0x2196818fa21955dd, 0xbffa039e13757c54,
  0x982c3795e425b735, 0xadd3e09620ffea9c, 0x8ded51ca4fe6d4fa, 0xc19bb8bea8d4f436, 0x8bee24b1e795f581,
  0xbffa8f84bf10d848, 0xe6e99e2ee3714939, 0x9ea3cadfc94ed6e6, 0x15c06f51f06cc1af, 0xc4522cd3ad08a053,
  0x71943a909afa30b2, 0x89768851ef673abb, 0xa8f9eb1aaf1b1d7a, 0xecbe9662e1211408, 0x27f58a8d8226470d,
  0x9fc55f3bb8a92966, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xc6e3cd84b997cdb7, 0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0xa73c985f4f257ee6, 0x00000000000003ae,
};

// m32u2_swio10_noled_pr_ce_u4
static const uint64_t ur_m32u2_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x3813fcd7bcfdba98, 0x953bcad717d64492, 0xb09117dc4963cf00, 0x2a2e47f51f097e21,
  0xcb19fac99e2ee371, 0xd3f83c17ea3e493d, 0xac731602f740a471, 0xccf1d7a3e767bd1d, 0x96b75c359ea807fe,
  0xfed7972ab555aa07, 0xea2a551ae84e39e4, 0xd4d672bb54b7d59c, 0x7962d2552fbd7d22, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0xb997cdb20431dbd8, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000dd7daf710fcf,
};

static const uint64_t ur_m32u2_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfe6bde7c344c13e3, 0xe77fd519c392363f, 0x01b77f9e012a7763, 0x958f7cc273b8dc00,
  0xd00f51e56e9653b5, 0x298ae43fa8f83660, 0x5962291669d68450, 0xbb77ee1d484d7d18, 0x79d376d291c4273a,
  0x2628c45b1aaf1b1d, 0x86f65b2e62e12114, 0x664d57f546c11323, 0x71cf27f6bcb955a9, 0xbeace75152a8d742,
  0xebe916a6b395daa5, 0x55a22bcb1692a97d, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x8edec5551696d138,
  0x1e6c25ccbe6d9021, 0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0xf0745887e792bf73, 0x0000000000000013,
};

static const uint64_t ur_m32u2_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x83fe412b3e87d304, 0xc41717d51dba9238, 0x17dc4963cf36d01c, 0x0bf51f097e21b091,
  0x7be678bb8dcea72e, 0xf51e56e9653b5b9b, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0xf27f6bcb955a9664,
  0xce75152a8d74271c, 0x916a6b395daa5bea, 0x22bcb1692a97debe, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0xc25ccbe6d90218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x12ebcf257ee68665, 0x00000000004fc3d5,
};

// m32u2_swio10_noled_ee_ce_u4_hw    m32u4_swio10_noled_ee_ce_hw       m32u4_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio10_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x02e5a58d9cb83587, 0x2eb33dd066b45438, 0xd3c7630908e2b06a, 0xec9c8ed71d27cc9b,
  0x827c64ee962ad6dc, 0x47107fb0ff9f43e9, 0x039882e2faa3b752, 0x1222fb892c79e6da, 0x3c83fea3e12fc436,
  0xcdbdf33c5dc6e6a8, 0x807a8f2b74b29dad, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f48b5359caed52d, 0xad115e58b4954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xf3612e65f36c810c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xd51453c95fb9a199, 0x000000000000a023,
};

// m32u2_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32u2_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0xefbff35ef3f15a60, 0x54eedd5c5f591248, 0xc2445f71258f3c02, 0x4a672fd47c25f886,
  0x2c67eb2678bb8dca, 0x4fe0f05fa8e0a4f7, 0xf398b0143da011c7, 0xcf1d7a3e76f911c1, 0x5addbdf40a807fec,
  0xfb5e5caad605681e, 0xa8a9546ba138e793, 0x0809caed52df5673, 0x4956ae97f48b535c, 0xb5d73daad115e58b,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xd97618edec555169, 0xe4d5c1e6c25ccbe6, 0xcc7903f2868b1be2,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xbdd5b887e792bf73, 0x000000000000006e,
};

static const uint64_t ur_m32u2_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0xbfcd7bcfcedcc13e, 0x68effaa338724776, 0x47d493f3c0254ef7, 0xacac7be6139dc6e7,
  0x06807a8f2b2eb29d, 0x814c5652fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbe70ea426be8, 0xd79d37609e8d7c39,
  0x8c9118dfb1aaf1b1, 0x70decb65cc5c2422, 0x59dc359ea8d82264, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0,
  0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36cbb0c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000534d17d10fcf,
};

static const uint64_t ur_m32u2_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x01ff20959ffd7982, 0x400b8bea8edd4918, 0x8bee24b1e79b680e, 0xd7fa8f84bf10d848,
  0x7be678bb8dc0b233, 0xf51e565d653b5b9b, 0xaca5fa8f83660d00, 0x2291669d68450298, 0x7ce1d484d7d18596,
  0x6ec13d1af873abb7, 0x31bf6355e363af3a, 0x96cb98b848451922, 0x6b3d51b044c8e1bd, 0x93fb5e5caad4b3b8,
  0x73a8a9546ba138e7, 0x5c0809caed52df56, 0x8b4956ae97f48b53, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6d97618edec5551, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00004fc09ad2ebcf,
};

// m32u2_swio10_lednop_ee_ce_u4_hw   m32u4_swio10_lednop_ee_ce_hw      m32u4_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio10_lednop_ee_ce_hw[] = {
  0xd3dddddda243304a, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0x0c0b3234ce93e64d,
  0x13e32776c5d47f50, 0x3003fd87fcffebcc, 0x1c801717d51dba92, 0x9117dc4963cf36d0, 0xf9cbf51f097e21b0,
  0x36f7ccf1771b8148, 0x01ea3cacbaca76b7, 0x31594bf51f06cc1a, 0x2c4522cd3ad08a05, 0x6ef9c3a909afa30b,
  0x74dd827a35f0e757, 0x44637ec6abc6c75e, 0x7b2d973170908a32, 0x70d67aa3608991c3, 0xcf27f6bcb955a967,
  0xace75152a8d74271, 0xa6b8101395daa5be, 0xcb1692ad5d2fe916, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb2ec31dbd8aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00000280826b514f,
};

// m32u2_swio10_dual_pr              m32u2_swio10_dual_pr_u4
static const uint64_t ur_m32u2_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0xef9b95be00dc3e14, 0x865a119221955dde, 0x5ffa039e135ad150,
  0x4c161bcaf212db97, 0xf961f248d4affffb, 0x1d3f83117d47910e, 0x8b01541e6fdc6547, 0xd78033b4e28def39,
  0xad783ea807fecc11, 0xb8a92dfe181e59ed, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0x0272bb54b7d59cea,
  0x55aba5fd22d4d702, 0x75cf6ab4457962d2, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x2ec8ab7b15545a48,
  0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x2926b5aa5d79e4af,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x700b5318ffe65741,
  0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0xb4432abbbddf3715, 0xf0983dc54219682f,
  0xaf212dba6dffd01c, 0x1a1fffffb4c161bc, 0x95efb9aad68ca2c9, 0x5ea3e0d98332bd47, 0x59a75a1143be2bb7,
  0xcd2135f4616588a4, 0x4a39d5a5ca1ae2a5, 0x6ba1d7a89768f68f, 0x0908a1004698d8d5, 0x23f5b86f65f4b317,
  0x8a92805195aca8d8, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed, 0x272bb54b7d59cea2, 0x5aba5fd22d4d7020,
  0x5cf6ab4457962d25, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xec8ab7b15545a482, 0xc6e3cd84b997cdb2,
  0x599bf83bb8d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f327f, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002b23d6e5d79,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x01ac70275325afcc,
  0x9fc1efb9bd478adb, 0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6e9b7f, 0xbf924687ffffed30, 0x7fa8f2b60b355ad1, 0x8ae43fa8f83660c2, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x38a39b8e75697726, 0xac6ab5d0ebdac4ed, 0xe3170908a16ba38c, 0x2ae3a4fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xbb54b7d59cea2a55, 0xa5fd22d4d7020272, 0x6ab4457962d255ab,
  0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0x69c6378ce881b1fe, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x00564085cbaf3c95,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0x71a0e00dc3e14431, 0x807b4432abbbddf3, 0x01cf09827c542196,
  0x1bcaf212dbd8fffd, 0x3e488d6ffffb4c16, 0x79b680e1c1b8bea6, 0xf10d8488bee24b1e, 0x1b9722495fa8f84b,
  0x27b9633ea5ccf177, 0x8e3a7f0770fd47ea, 0x46f79cc580b52bba, 0xff6678ebc019da71, 0x03cb5b96bc1f5403,
  0xf8abe7771525bfc3, 0xc73c9fdaf2e556b3, 0xfab39d454aa35d09, 0x5a9ae0404e576a96, 0xaf2c5a4ab574bfa4,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36cbb0c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x00692631975e792b,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e52500370f851, 0x32d009e88655777b, 0x7fd01cf09a718a84,
  0x60b0de579096dd2d, 0xfaf75246dd7fffda, 0x2c79e6da039a6ee2, 0xe12fc4361222fb89, 0xc5dc6e5c89257ea3,
  0x3cbe9ee58cf0e333, 0x7a5471d3f8359fea, 0xb244637ce62c058f, 0xcb71cb19e3af22dd, 0x7f157ceee2a4a3a8,
  0x38e793fb5e5caad6, 0xdf5673a8a9546ba1, 0x8b535c0809caed52, 0x15e58b4956ae97f4, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6d97618edec, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587,
  0x0000000034913412,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0xf0e188266bbfccae,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x76ec01b87c288625, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6fd83ff40, 0x246d6ffffed30586, 0x4072d6ceffaa3c09, 0xb8dc300dd0ff3cdb, 0x5a53b5959374c273,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x04e576a96fab39d4, 0xab574bfa45a9ae04, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xbb0c76f62aa8b490, 0xe1b8f3612e65f36c, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813,
  0x04e93a5d79e4afdc, 0x0000000000000013,
};

static const uint64_t ur_m32u2_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x20614306d2303775, 0x5f9968394ee9f12e,
  0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0xef9b911880370f85, 0x0cb4239221955dde,
  0x7fe80e784dbee2a1, 0x60b0de579096dee4, 0x8ce0c9135bffd85e, 0xe79b693b35bb8bea, 0xbf10d8488bee24b1,
  0x1b9118a71ffa8f84, 0x4a76b737374cf177, 0x06cc1f75ea3caf2b, 0xd08a05315caef51f, 0xafa30b2c4522cd3a,
  0x28e7576e2863a909, 0xc6c75ea25da3da3d, 0x4845080234c6c6ab, 0x8991c37b2fa598b8, 0x2a4a59c656b2a360,
  0xe5caad67f157ceee, 0x9546ba138e793fb5, 0x9caed52df5673a8a, 0x6ae97f48b535c080, 0x73daad115e58b495,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x618edec55516920a, 0x5c1e6c25ccbe6d97, 0x83f6ec68b1be2e4d,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x354e4f257ee68665, 0x0000000004000835,
};

// m32u4_swio10_dual_ee_hw
static const uint64_t ur_m32u2_swio10_dual_ee_hw[] = {
  0x53b777776890cf68, 0x33d5b7d7e63dda98, 0xde83edd57cd8a272, 0x3751c5a7227d57f5, 0x995dfbf6ebe1994e,
  0x4cee4d1f53ad6ecc, 0x94948ee3e609f193, 0x306d2303775b40c8, 0xba0cee9f12e20614, 0x25a3805a98c7ff32,
  0xfe0e2b4dea393ad8, 0x95fe7ef822847244, 0xb8a91006e1f0a218, 0x417da21955ddeef9, 0x80e784c1ee2a10cb,
  0x0de579096dd36ffe, 0x592343ffed7ee60b, 0xa8f2bdf7355ad194, 0x76ebd47c1b306657, 0x148b34eb422877c5,
  0x54b9a426be8c2cb1, 0xd1e9473ab4b9435c, 0x1aad743af512ed1e, 0x62e121142008d31b, 0x1b047eb70decbe96,
  0x777152500a32b595, 0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x0404e576a96fab39, 0xa4ab574bfa45a9ae,
  0x5aeb9ed5688af2c5, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002bb4f5ba29e4af,
};

// m32u4_swio10_dual_ee_ce_hw
static const uint64_t ur_m32u2_swio10_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0xd6d5b7d7d68d3ca6, 0x77eafba9f65aac33, 0xaf8dd1cef7187c80, 0x683395c5a9fd39c4,
  0x4eb92e2fbb375953, 0xa4a41f3e9827c64e, 0x8369181bbada0644, 0xd06774f8971030a1, 0xfe1c3104cd77f995,
  0xf07ff26f51f4d6c1, 0xaff3f7c114239227, 0x8edd80370f8510c4, 0x182a21955ddeef9b, 0x0e784d21e2a10cb4,
  0xde579096dfb07fe8, 0x9236b7fed7ee60b0, 0xa0396b677fd51e04, 0xee3719cba3ff9e6d, 0x5694ed6564dd309c,
  0x3e0d983eebd4795e, 0x75a1140a62b95dea, 0x135f4616588a459a, 0x7a51ceaedc50c752, 0x578d8ebd44bb47b4,
  0x70908a1004698d8d, 0xc1132386f65f4b31, 0xdc5494b38cad6546, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x01395daa5beace75, 0x2ad5d2fe916a6b81, 0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a,
  0x2ec31dbd8aaa2d24, 0xd86e3cd84b997cdb, 0x964b867a615c9f9f, 0x19961d252d9f0271, 0x69f49d453c95fb9a,
  0x0000000000000022,
};

// m32u4_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio10_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0xd5b7d7c0057b530b, 0x59376abc75f654e2, 0x3b59f799b9b426f6, 0xc5da09b106cb133e,
  0x457c80bda462e435, 0x35c16609f192f5ae, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x787372d7e6589ad3,
  0xcdea3e376c3b04e1, 0xf04508e489fc1b5d, 0x0dc3e144312bfcfd, 0x655777bbe6e44620, 0x6fb8a8432d08e488,
  0x25b7b91ffa039e13, 0xffea9c982c3795e4, 0xbb8bea8ce0c9135b, 0xe24b1e795f581c35, 0xa8f84bf10d8488be,
  0x678bb8dc5c170fff, 0xe5795a53b5b9b9ba, 0x77a8f83660fbaf51, 0x1669d68450298ae5, 0x1d484d7d18596229,
  0x1ed1e9473abb7143, 0x36355e363af512ed, 0x2cc5c242284011a6, 0x951b044c8e1bd97d, 0xbe77715252ce32b5,
  0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0xae0404e576a96fab, 0xc5a4ab574bfa45a9, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36cbb0c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0075d6717c17d3c9,
};

// m32u2_swio11_noled_pr_ce_u4       m32u2_swio12_noled_pr_ce          m32u2_swio12_noled_pr_ce_u4
static const uint64_t ur_m32u2_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0x56ff35ef3fa6e609, 0x4ee575c5f5eea48e, 0x2445f71258f3c025, 0x3a4afd47c25f886c,
  0xc67eb2678bb8dc64, 0xfe0d67fa8ebe4f72, 0x731602edf97d1c74, 0xf1d7a3e764c5188a, 0xadd6b13ca807fecc,
  0xb5e5caad508981e5, 0x8a9546ba138e793f, 0x59caed52df57673a, 0x62d256c6f5f48b53, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2f9b6c2131dbd8aa, 0x6f8b9357079b0973, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x01baef36e21f9e4a,
};

// m32u2_swio12_noled_pr_ee_ce
static const uint64_t ur_m32u2_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x35ef3e9b7304f8c9, 0xbfea8cbac9119bff, 0xd1ffcf00953b19b3, 0xb1ef984e771b8ce5,
  0x95ea3cae43ca76b2, 0x3159c3f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e7263a909afa30b, 0x3a6ec7aa3f90e757,
  0x851ef76355e363af, 0xdecb65cc5c242288, 0x7d073ca8d8226470, 0x1cf27f6bcb955a96, 0xaece75152a8d7427,
  0xe916a6b395daa5be, 0x688af2c5a4ad8deb, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0x3612e65f36d84263, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1, 0xfcf257ee68665874,
  0x00000014d34faf10,
};

// m32u2_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32u2_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffc82567c524c13e, 0xfdc5f547a6e48d6f, 0xee24b1e79b680e56, 0xfa8f84bf10d8488b,
  0xe678bb8dc76ec2c9, 0x1e5721e53b5b9b7b, 0xe1fa8f83660f4af5, 0x91669d68450298ac, 0x31d484d7d1859622,
  0x63d51fc873abb739, 0x7bb1aaf1b1d79d37, 0xb2e62e121144428f, 0x9e546c1132386f65, 0x3fb5e5caad4b3e83,
  0x3a8a9546ba138e79, 0x5359caed52df5767, 0x7962d256c6f5f48b, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34,
  0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xaf3c95fb9a19961d, 0x000000013f0dc84b,
};

/*
 * m32u2_swio11_noled_ee_ce_u4_hw    m32u2_swio12_noled_ee_ce_hw       m32u2_swio12_noled_ee_ce_u4_hw
 * m32u4_swio11_noled_ee_ce_hw       m32u4_swio11_noled_ee_ce_u4_hw    m32u4_swio12_noled_ee_ce_hw
 * m32u4_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m32u2_swio11_noled_ee_ce_hw[] = {
  0xc77bbbbb44864c7f, 0x72d2c6ce233ac593, 0x4376ee2f412a1c01, 0xe3b18b4091e9d647, 0x9189df4e93e64ec9,
  0xe32777aeee76d579, 0xbffec3fe7c524c13, 0x5bf717d51e9b9235, 0x2fb892c79e6da039, 0x8fea3e12fc436122,
  0xdf33c5dc6e1b7614, 0xa8f2b90f29dadcdb, 0x670fd47c1b307a57, 0x148b34eb422814c5, 0xc98ea426be8c2cb1,
  0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0x2d973170908a2214, 0x1cf2a3608991c37b, 0xc9fdaf2e556a59f4,
  0x39d454aa35d09c73, 0x5a9ace576a96fabb, 0x2bcb1692b637afa4, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x14f257ee68665874, 0x000000002808dc85,
};

// m32u2_swio11_lednop_pr_ce_u4      m32u2_swio12_lednop_pr_ce         m32u2_swio12_lednop_pr_ce_u4
static const uint64_t ur_m32u2_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0x75fe6bde7e394c13, 0x9de9bb8bebdd491b, 0x488bee24b1e7804a, 0x5951fa8f84bf10d8,
  0x8cfd64cf1771b849, 0xf8359fea3cbe9ee5, 0xe62c058f7a5471d3, 0xc75e8f9db244637c, 0x6e83fd22a01ffb33,
  0xaf2e556b2ed40f2d, 0x54aa35d09c73c9fd, 0x4e576a96fabb39d4, 0x72f4bfa45a9ae040, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x57079b09732f9b6c, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xb2a21f9e4afdcd0c, 0x000000000000dd7a,
};

// m32u2_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32u2_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xe6bde7dfe4c13e32, 0x3bfea8cbac910d1f, 0x7044fe7804a9d868, 0x2b1ef984e771b8d0,
  0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e74a3a909afa30, 0xf3a6ed22239b8e75,
  0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647, 0x71cf27f6bcb955a9, 0xeaece75152a8d742,
  0x6a6b8101395daa5b, 0x5e58b495cbd2fe91, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0xccbe6db1898edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0014d3b1fe21f9e4,
};

// m32u2_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32u2_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0xff20959fec19827c, 0xd717d51e9b92287d, 0xb892c79e6da03887, 0xea3e12fc4361222f,
  0x33c5dc6e70ff1f77, 0xf2b29729dadcdbdf, 0x0fd47c1b307a57a8, 0x8b34eb422814c565, 0x8ea426be8c2cb114,
  0x4888e6e39d5db9d2, 0x958d578d8ebce9bb, 0x973170908a17c471, 0xf2a3608991c37b2d, 0xfdaf2e556a59dac4,
  0xd454aa35d09c73c9, 0x404e576a96fabb39, 0x2572f4bfa45a9ae0, 0xd75cf6ab4457962d, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x6c6263b7b15545a4, 0xdf0dc79b09732f9b, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x013f32d2cbaf3c95,
};

/*
 * m32u2_swio11_lednop_ee_ce_u4_hw   m32u2_swio12_lednop_ee_ce_hw      m32u2_swio12_lednop_ee_ce_u4_hw
 * m32u4_swio11_lednop_ee_ce_hw      m32u4_swio11_lednop_ee_ce_u4_hw   m32u4_swio12_lednop_ee_ce_hw
 * m32u4_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m32u2_swio11_lednop_ee_ce_hw[] = {
  0xe3bddddda243173e, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0xf193bb9f6807513d, 0x7dfec3fe7fb06609, 0x87d717d51e9b9228, 0x2fb892c79e6da038, 0xbfea3e12fc436122,
  0xdf33c5dc6e2bae30, 0xa8f2b29729dadcdb, 0x650fd47c1b307a57, 0x148b34eb422814c5, 0xd28ea426be8c2cb1,
  0xbb4888e6e39d5db9, 0x71958d578d8ebce9, 0x2d973170908a17c4, 0xc4f2a3608991c37b, 0xc9fdaf2e556a59da,
  0x39d454aa35d09c73, 0xe0404e576a96fabb, 0x2d2572f4bfa45a9a, 0xcad75cf6ab445796, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0x505d8dc79b09732f, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x00050165a5a29e4a,
};

/*
 * m32u2_swio11_dual_pr              m32u2_swio11_dual_pr_u4           m32u2_swio12_dual
 * m32u2_swio12_dual_pr              m32u2_swio12_dual_pr_u4
 */
static const uint64_t ur_m32u2_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x860da4606eeb6819, 0x57419dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x596bc9128bffff69, 0x4fe0f7bf51fba3be, 0x80aa0f33930f71c7, 0xc019d90046989cc5,
  0x78df5403ff6608eb, 0x15257cea07967b6f, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45,
  0x2f4bfa45a9ae0404, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0x6e3cd84b997cdb63, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x26838e5d79e4afdc, 0x0000000000000029,
};

// m32u2_swio12_dual_pr_ee
static const uint64_t ur_m32u2_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0x2303775b40c89494, 0xee9f12e20614306d, 0x805a98c7ff32ba0c,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x216bfffed30586f2, 0x2bb75355ad1fee92, 0xfa8f83660c3dfa8f, 0x669d68450ef8af4d,
  0x3484d7d185962291, 0xd4e7569760ab8a97, 0xae875ea25d8c7a33, 0x24228d291c436355, 0x8fd6e1bd97d2cc5c,
  0x549402c8a22aa360, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe916a6b81013,
  0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7, 0xb8f3612e65f36d8c,
  0x66fe0eee34596af1, 0x4e34a1854e7ea756, 0xb93f01f343cc9fe0, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0000ac856a975e79,
};

// m32u2_swio12_dual_pr_ee_u4
static const uint64_t ur_m32u2_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x6d2303775b40c894, 0x0cee9f12e2061430, 0xb1c09d4c96bf32ba,
  0x07bee6f51e2b6c06, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x8f688655777bbe6e, 0x1cf09a448a8432d0,
  0xde579096df4d7fd0, 0xd2442d7fffda60b0, 0x51e56a7a6ab5a380, 0xce1fa8f83660e44f, 0x291669d68450ef8a,
  0x4173484d7d185962, 0x23050e756974acb8, 0x6ab5d0ebdac4ec80, 0x170908a1ef47916c, 0xc5c3fadc37b2e3e3,
  0x6b3f8abe77715255, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa45a9ae0404e576a, 0x4457962d2572f4bf,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc67440a2fa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x593a7a5d79e4afdc, 0x0000000000000001,
};

// m32u2_swio12_dual_pr_ce
static const uint64_t ur_m32u2_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x18369181bbada064, 0x5d06774f8971030a, 0x2391c0e0cdd5ff99,
  0x7f072ba6f51f676c, 0x4aff3f7c11423922, 0x6e29200370f8510c, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0xc3795e425b719bff, 0xfe491383ffff6982, 0xe79b680e13ab8bea, 0xbf10d8488bee24b1, 0x71b9494ce5fa8f84,
  0x3e7b9633ea5ccf17, 0xf8e3a7f076b7a8e1, 0x08d31398b014a2ed, 0x7feccf1d78033b20, 0x503cb5b9ef1bea80,
  0x9fc55f3bb8a92be7, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x2d4d7020272bb54b, 0x2bcb1692b97a5fd2,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0xb8d1674f86e3cd84,
  0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x4fc73dffc1343cc9, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf,
  0x001a48bb25d79e4a,
};

// m32u2_swio12_dual_pr_ce_u4
static const uint64_t ur_m32u2_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x18369181bbada064, 0x5d06774f8971030a, 0x1bece1a6e68adf99,
  0x3f8328737a8f95b6, 0x257f9fbe08a11c91, 0x37092801b87c2886, 0x6804f4432abbbddf, 0xe80e784d38c54219,
  0xb0de579096de87ff, 0xdbf2474dffffda60, 0xf3cdb4073675c5f5, 0x5f886c2445f71258, 0xb8dca4a672fd47c2,
  0xe33dcb19e1c6678b, 0xd638e9fc193dea3c, 0xf11c6473160298f3, 0xdc72c678ebc8b765, 0x8abe77715251d645,
  0x73c9fdaf2e556b3f, 0xbb39d454aa35d09c, 0x9ae0404e576a96fa, 0x962d2572f4bfa45a, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000001a4859cbaf,
};

// m32u2_swio12_dual_pr_ee_ce
static const uint64_t ur_m32u2_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0x9181bbada0644a4a, 0x774f8971030a1836, 0xc3104cd77f995d06,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0x3883fffed30586f2, 0x1cc4077fd51e5692, 0x371523dd6fcf36d0, 0x94ed6564dd309cee,
  0x1b307b7fd4795cae, 0x422814c57befd47c, 0xbe8c2cb1148b34eb, 0x539d5db9828ea426, 0x1b1d7a897631e8cf,
  0x21146948e21b1aaf, 0x26470decbe9662e1, 0x5252cf2288aa8d82, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf,
  0x576a96fabb39d454, 0xf4bfa45a9ae0404e, 0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xc79b09732f9b6c62, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x7392ebcf257ee686, 0x0000000000000982,
};

// m32u2_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32u2_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x850c1b48c0ddd6d0, 0x65a0e53ba7c4b881,
  0xc3b04e1787372d7e, 0x9fc1b5dcdea3e376, 0x12bfcfdf04508e48, 0x37055000dc3e1443, 0x684724432abbbddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbd257f, 0x3a923787ffb0bcc1, 0x36d277787717d519, 0x21b09117dc4963cf,
  0x82a8b24ff51f097e, 0x76b737374cf1771b, 0x983dbfea3cae574a, 0x140a62bdf7ea3e0d, 0x4616588a459a75a1,
  0xceaedcc14752135f, 0x8ebd44bb18f467a9, 0x8a34a4710d8d578d, 0x2386f65f4b317090, 0x296791445546c113,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x5fd22d4d7020272b, 0x55a22bcb1692b97a,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131, 0xdd8d1637c5c9ab83,
  0x2a73f53ab337f07e, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xc9e4afdcd0ccb0e9, 0x00000080097056a9,
};

// m32u2_swio12_dual_ee_hw           m32u4_swio11_dual_ee_hw           m32u4_swio12_dual_ee_hw
static const uint64_t ur_m32u2_swio11_dual_ee_hw[] = {
  0x946eb77776890c86, 0x3d5b7d7e635c54c2, 0xd70bdd9c482a2723, 0xdd471b0c1651f4fb, 0x0ecd8ebbaf866528,
  0x6772eec6ecde62a1, 0xa4a42e8b304f8c9a, 0x8369181bbada0644, 0xd06774f8971030a1, 0x2d1c02d4c63ff995,
  0xf0715a6f51c9d6c1, 0xaff3f7c114239227, 0xcba180370f8510c4, 0x0bed10caaeef77cd, 0x073c260f7150865a,
  0x3795e425b7d35ff4, 0xd2442d7fb5fb982c, 0x51e576ea6ab5a3fd, 0xe9bf51f06cc187bf, 0x522cd3ad08a1df15,
  0x52e6909afa30b2c4, 0x467a9cead2ec1571, 0x6ab5d0ebd44bb18f, 0x8b848451a523886c, 0x6c11fadc37b2fa59,
  0xbb8a928059144554, 0xed7972ab59fc55f3, 0xa2a551ae84e39e4f, 0x0272bb54b7d5d9ce, 0x2b97a5fd22d4d702,
  0xbae7b55a22bcb169, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24, 0x76371e6c25ccbe6d,
  0xe1ef79430a9cfd41, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x0aed15aa8a792bf7,
};

// m32u2_swio12_dual_ee_ce_hw        m32u4_swio11_dual_ee_ce_hw        m32u4_swio12_dual_ee_ce_hw
static const uint64_t ur_m32u2_swio11_dual_ee_ce_hw[] = {
  0xd2bedddddd437089, 0xb56df5f5a0fc533e, 0xebdeed8bc6ab0cf5, 0xc6e9395a083e44fd, 0xfaf5ded4fe9fda57,
  0xe5793d656d6d2c12, 0x9196d2609f19393a, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x70c41335dfe65741,
  0xffc9bd47d35b07f8, 0xcfdf04508e489fc1, 0x0400dc3e144312bf, 0x54432abbbddf3717, 0xf09a43c542196830,
  0xaf212db9adffd01c, 0x3883fdafdcc161bc, 0x1cc4077fd51e5692, 0x1b9950d07fcf36d0, 0x4a76b2b26e984e77,
  0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467,
  0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7,
  0x2bb54b7d5d9cea2a, 0x7a5fd22d4d702027, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xf39453c95fb9a199,
  0x0000000000002269,
};

// m32u2_swio12_dual_ee_ce_u4_hw     m32u4_swio11_dual_ee_ce_u4_hw     m32u4_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio11_dual_ee_ce_u4_hw[] = {
  0x9f6eeeed1468b202, 0xb7d7c0157b533aed, 0xb7547e8bf654e2d5, 0x157fd5ec130fb4e0, 0x224d8837d76cf8ed,
  0xe918ef0727f0de4f, 0xe609f192f5ae5fd6, 0xdd6d032252521966, 0x4b881850c1b48c0d, 0x72d7e6589ad3ba7c,
  0x3e376c3b04e17873, 0x08e489fc1b5dcdea, 0xe144312bfcfdf045, 0xbbddf37055000dc3, 0x54219684724432ab,
  0xd257fd01cf09b7dc, 0x4e4c161bcaf212db, 0xf5464ea48de1fff5, 0x8f3cafac0e5e1dc5, 0x25f886c2445f7125,
  0xdc6e05919ebfd47c, 0x5d29dadcdcdd33c5, 0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669,
  0x9ea73abb73051d48, 0x5e363af512ec63d1, 0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b,
  0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x9caed52df57673a8, 0xe5e97f48b535c080, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0x1b8f3612e65f36d8, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x79e8617d3c95fb9a,
  0x000000000000075d,
};

// m32u2_swio13_noled_pr_ce_u4
static const uint64_t ur_m32u2_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0xcaeff35ef3fb3a60, 0xa9defbb8bebb7e48, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x692ad5ef5f48b535, 0x16bae7b55a22bcb1,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf9b63218edec5551, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x1baf1f5e21f9e4af,
};

static const uint64_t ur_m32u2_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652e48ffc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xa9bece75152a8d74,
  0xa45a9ace576a96fa, 0x115e58b4956af7af, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xd84b997cdb190c76, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x00000014d339f443,
};

static const uint64_t ur_m32u2_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59caed52df5537d9, 0x1692ad5ef5f48b53, 0xf16bae7b55a22bcb, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0x2f9b63218edec555, 0x3458df0dc79b0973, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000013f3ecf4baf,
};

// m32u2_swio13_noled_ee_ce_u4_hw    m32u4_swio13_noled_ee_ce_hw       m32u4_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio13_noled_ee_ce_hw[] = {
  0x37bbbbbb4486cc7f, 0x02e5a58d9c477585, 0x2e9badd376c85438, 0x9bc7631048372eda, 0xfb13938c4d27cc9a,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d672bb54b7d54df, 0x2c5a4ab57bd7d22d, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d,
  0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0x9cfd4176371e6c25, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000001405f67a8a,
};

// m32u2_swio13_lednop_pr_ce_u4
static const uint64_t ur_m32u2_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x8e9bff35ef3e35a6, 0x4a9deceb8bebb7e4, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9caed52df5537d9c, 0x72497f48b535c080, 0x5cf6ab4457962d25,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x57079b09732f9b68, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x8be21f9e4afdcd0c, 0x000000000000dd74,
};

static const uint64_t ur_m32u2_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5c914db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8,
  0x35c0809caed52df5, 0x962d2572497f48b5, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x2f9b681463b7b155, 0x58f38b93571b0973, 0x93f75663c81f9434, 0x944e32c970cf4c2b, 0xf734332c3a4a5b2c,
  0x0534c5fb887e792b,
};

static const uint64_t ur_m32u2_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e576a96faa9bec, 0x2b924bfa45a9ae04, 0xbae7b55a22bcb169, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x09f83d5e5d79e4af,
};

// m32u2_swio13_lednop_ee_ce_u4_hw   m32u4_swio13_lednop_ee_ce_hw      m32u4_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio13_lednop_ee_ce_hw[] = {
  0x4deeeeeed1219f68, 0x00b96963670c8d61, 0x8f5d96ec332b750e, 0x4de3b188223b836b, 0xb06e817c9693e64d,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0xc5a4ae492fe916a6, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a021eaf453c9,
};

// m32u2_swio13_dual_pr              m32u2_swio13_dual_pr_u4
static const uint64_t ur_m32u2_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0x7cb3df247f77fffd, 0x3a7f0707fd47dbe7, 0x2c05507992b47b8e, 0x5e00ceda523884e6,
  0xa63192a01ffb3047, 0xee2a4b81281e59ed, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x2bb54b7d54df673a,
  0x925fd22d4d702027, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7,
  0xb8f3612e65f36d02, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x9af3e975e792bf73, 0x00000000000000a4,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x8e016a631ffccae8,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x23d3fffff6982c37, 0xf2bd37355ad1b939, 0x77a8f83660e3dfa8, 0x1669d68450ef8af6,
  0x73484d7d18596229, 0xea0e7569753cb8a9, 0xad743af512ecfe23, 0xe121141ea8fe4b1a, 0x047eb70decbe9662,
  0x715250087cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x5daa5beaa6fb39d4, 0x92fe916a6b810139,
  0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x000ac83a2cbaf3c9,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x95d06774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0xd7dc91e9fffffb4c, 0xebd4795e049aad68, 0xe2b2ebea3e0d983e, 0x588a459a75a1143b,
  0x2e105cd2135f4616, 0xd291cbe39d5a5fe7, 0x96355ae875ed6276, 0xf8c5c242284c518f, 0x4ab8b5beb70decb8,
  0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0x4b7d54df673a8a95, 0xd22d4d7020272bb5, 0xd115e58b495c925f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x2b240a975e792bf7,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x01a4893affffb4c1, 0xcf36d01ceafb8beb, 0x7e21b09117dc4963, 0xe37092b2a3f51f09,
  0x24f72c67d4b99e2e, 0xa8e3a7f0622fa8f2, 0xa47109cc580bfb8c, 0x3ff6678ebc019db4, 0x940f2d6e4c632540,
  0xb3f8abe7771525c0, 0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d, 0xa6b8101395daa5be, 0xf2c5a4ae492fe916,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0x3459d3e1b8f3612e,
  0x4e7ea75666fe0eee, 0x8b9c65f989fca185, 0xf1cf7ff04d0f327f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x01a4864975e792bf,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe657419dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x5f532a48eceffffb, 0x258f3cdb40722b5c, 0x7c25f886c2445f71, 0x78bb8dc24aca8fd4,
  0xa3a013dcb19e1c66, 0xfcea238e9fc1935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x84e39e4fed7972ab, 0x5537d9cea2a551ae, 0x535c0809caed52df, 0x7962d2572497f48b, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2,
  0x0000000d24085cba,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x0e188266bbfccae8,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x235bfffff6982c37, 0x0395be77fd51cae9, 0xc6e5d0dd51f9e6da, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0x76a96faa9bece751, 0x4bfa45a9ae0404e5, 0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x4e975e792bf73433, 0x0000000000013045,
};

static const uint64_t ur_m32u2_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d0729dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xeaf92330dffb0bcc, 0xe6da4ee61ae2faa3, 0xc4361222fb892c79,
  0xe271fdc7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb306657a8f2bdf72, 0x22814c576ebd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db94f0ea426b, 0xd8ebd44bb3f88fa8, 0x08a0f547f258d578, 0x32386f65f4b31709, 0x494b31f37b546c11,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0xa96faa9bece75152, 0xfa45a9ae0404e576, 0x5a22bcb1692b924b,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000004004f826a9c,
};

// m32u4_swio13_dual_ee_hw
static const uint64_t ur_m32u2_swio13_dual_ee_hw[] = {
  0x2dddddd0f5a1a5fb, 0xd5b7d7e635dea63b, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cdd91b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x0da4606eeb681912, 0x419dd3e25c40c286, 0xb4700b5318ffe657,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x247a7ffdafdcc161, 0x1e57a6e6ab5a3727, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x2bb54b7d54df673a, 0x925fd22d4d702027,
  0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7, 0xb8f3612e65f36d02,
  0xfe50c2a73f52f571, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000000aed0e8b4,
};

// m32u4_swio13_dual_ee_ce_hw
static const uint64_t ur_m32u2_swio13_dual_ee_ce_hw[] = {
  0x6caddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9eca,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x369181bbada0644a, 0x06774f8971030a18, 0xe1c3104cd77f995d,
  0x07ff26f51f4d6c1f, 0xff3f7c114239227f, 0x0b200370f8510c4a, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6f787ff40, 0x91adfff6bf730586, 0x01cadf3bfea8e574, 0x71b9d1f524fcf36d, 0xdca76b2b26e984e7,
  0xf06cc1995ea3caf7, 0xad08a05315dbaf51, 0x9afa30b2c4522cd3, 0xea0e7576e53c3a90, 0x5e363af512ecfe23,
  0xc242283d51fc9635, 0x044c8e1bd97d2cc5, 0x715252cc7cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x5daa5beaa6fb39d4, 0x92fe916a6b810139, 0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d028, 0xe19e985727e7f61b, 0x87494b67c09c6592, 0xa7514f257ee68665,
  0x000000000002269a,
};

// m32u4_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a627, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d88369f6cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x06eeb68191292917, 0x3e25c40c2860da46, 0x39b96bf32c4d69dd,
  0xf51f1bb61d8270bc, 0x22847244fe0daee6, 0xe1f0a21895fe7ef8, 0xabbbddf37138f006, 0xdc54219684724432,
  0xdb9257fd01cf09b7, 0xf54e4c161bcaf212, 0x8bea8fabe48cc37f, 0x4b1e795f581c986b, 0xf84bf10d8488bee2,
  0x1771b9c3fc7ddfa8, 0xf7dca76b737374cf, 0x51f06cc1995ea3ca, 0xd3ad08a05315dbaf, 0x909afa30b2c4522c,
  0x23ea0e7576e53c3a, 0x355e363af512ecfe, 0xc5c242283d51fc96, 0x1b044c8e1bd97d2c, 0x77715252cc7cded5,
  0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x395daa5beaa6fb39, 0xe492fe916a6b8101, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x48f2617d3c95fb9a,
  0x000000000000075d,
};

// m32u2_swio14_noled_pr_ce_u4
static const uint64_t ur_m32u2_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x1cadfe6bde7f4dcc, 0x4a9dcaeb8bebdd49, 0xd8488bee24b1e780, 0xc87495fa8f84bf10,
  0xe58cfd64cf1771b8, 0xe9fc1acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0x7f6bcb955aa11303, 0x75152a8d74271cf2, 0xace9b95daa5beace, 0x58b495b1fbfa45a9, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0x1be2e4d5c1e6c25c, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x006ebbcdb887e792,
};

static const uint64_t ur_m32u2_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff9af79f4db9827c, 0xd9dff5465d6488cd, 0x72e8ffe7804a9d8c, 0x5958f7cc273b8dc6,
  0x0f4af51e5721e53b, 0x0298ace1fa8f8366, 0x85962291669d6845, 0xabb73931d484d7d1, 0xd79d3763d51fc873,
  0x44428f7bb1aaf1b1, 0x386f65b2e62e1211, 0x4b3e839e546c1132, 0x138e793fb5e5caad, 0x2df5673a8a9546ba,
  0xfd22d4d674dcaed5, 0x5688af2c5a4ad8fd, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3,
  0xe3612e65f36d8426, 0x03f2868b1e71726a, 0x19e985727eeacc79, 0x494b659289c6592e, 0x0fcf257ee6866587,
  0x000000014d34faf1,
};

static const uint64_t ur_m32u2_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xdfff904acf8a4982, 0xadfb8bea8f4dc91a, 0x17dc4963cf36d01c, 0x93f51f097e21b091,
  0xf7ccf1771b8edd85, 0xea3cae43ca76b736, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0xf27f6bcb955a967d,
  0xce75152a8d74271c, 0xa9ace9b95daa5bea, 0x5e58b495b1fbfa45, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xebcf257ee6866587, 0x000000004fc37212,
};

// m32u2_swio14_noled_ee_ce_u4_hw    m32u4_swio14_noled_ee_ce_hw       m32u4_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x02e5a58d9c467587, 0x8e86eddc5e825438, 0xd3c763168123d3ac, 0xf32313be9d27cc9b,
  0x27c64eef5ddcedaa, 0x6b7ffd87fcf8a498, 0x72b7ee2faa3d3724, 0x445f71258f3cdb40, 0x291fd47c25f886c2,
  0xb7be678bb8dc36ec, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029, 0x73931d484d7d1859,
  0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x2d4d674dcaed52df, 0x8af2c5a4ad8fdfd2, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0x12e65f36d84263b7, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a023721,
};

// m32u2_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32u2_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x36ebfcd7bcfc7298, 0x953bd37717d7ba92, 0xb09117dc4963cf00, 0x92b2a3f51f097e21,
  0xcb19fac99e2ee370, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0xfb5e5caad65da81e, 0xa8a9546ba138e793, 0x274dcaed52df5673, 0xae5f63d22d4d7020, 0xeb9ed5688af2c5a4,
  0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0x6ae0f3612e65f36d, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x565443f3c95fb9a1, 0x0000000000001baf,
};

static const uint64_t ur_m32u2_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x8ff35ef3eff2609f, 0x341dff5465d64886, 0x6838227f3c0254ec, 0xb5958f7cc273b8dc,
  0x60f4af51e5652e53, 0x50298aca1fa8f836, 0x185962291669d684, 0x3abb73a51d484d7d, 0x1d79d3769111cdc7,
  0x142f88e32b1aaf1b, 0x2386f65b2e62e121, 0xd4b3b589e546c113, 0xa138e793fb5e5caa, 0x52df5673a8a9546b,
  0x2d4d7020274dcaed, 0x8af2c5a4ae5f63d2, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x2e65f36d8c4c76f6, 0x868b1e71726ae361, 0x85727eeacc7903f2, 0x659289c6592e19e9, 0x257ee6866587494b,
  0x0000a69d8ff10fcf,
};

static const uint64_t ur_m32u2_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0xfbfe412b3fd83304, 0x0fae2faa3d372450, 0x5f71258f3cdb4071, 0xefd47c25f886c244,
  0xbe678bb8dce1fe3e, 0x51e5652e53b5b9b7, 0xca1fa8f83660f4af, 0x291669d68450298a, 0xa51d484d7d185962,
  0x769111cdc73abb73, 0xe32b1aaf1b1d79d3, 0x5b2e62e121142f88, 0x89e546c1132386f6, 0x93fb5e5caad4b3b5,
  0x73a8a9546ba138e7, 0x20274dcaed52df56, 0xa4ae5f63d22d4d70, 0x5aeb9ed5688af2c5, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x1be1b8f3612e65f3, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0027e65a5975e792,
};

// m32u2_swio14_lednop_ee_ce_u4_hw   m32u4_swio14_lednop_ee_ce_hw      m32u4_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio14_lednop_ee_ce_hw[] = {
  0xd3dddddda243173e, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x7b33b13e4693e64d,
  0x13e327773ed00ea2, 0x50fbfd87fcff60cc, 0x710fae2faa3d3724, 0x445f71258f3cdb40, 0x617fd47c25f886c2,
  0xb7be678bb8dc575c, 0xaf51e5652e53b5b9, 0x8aca1fa8f83660f4, 0x62291669d6845029, 0x73a51d484d7d1859,
  0xd3769111cdc73abb, 0x88e32b1aaf1b1d79, 0xf65b2e62e121142f, 0xb589e546c1132386, 0xe793fb5e5caad4b3,
  0x5673a8a9546ba138, 0x7020274dcaed52df, 0xc5a4ae5f63d22d4d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xea0bb1b8f3612e65, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4,
  0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x0000a02cb4b453c9,
};

// m32u2_swio14_dual_pr              m32u2_swio14_dual_pr_u4
static const uint64_t ur_m32u2_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x0a18369181bbada0, 0x995d06774f897103, 0x360bece05166727f,
  0x244fe0cca9bd477f, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d08c910caaeef, 0x5ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf965af244a2ffffd, 0x1d3f83defd47ee8e, 0x1602a83cce4c3dc7, 0xaf006764011a6273,
  0xbde37d500ffd9823, 0xdc5495f3a81e59ed, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0xe9b95daa5beace75,
  0xcbec7a45a9ae0404, 0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a,
  0x1b8f3612e65f36d8, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x49a0e3975e792bf7, 0x000000000000000a,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0xda4606eeb6819129, 0x19dd3e25c40c2860, 0x4700b5318ffe6574,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x2442d7fffda60b0d, 0x1e576ea6ab5a3fdd, 0x9bf51f06cc187bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x67a9cead2ec15715, 0xab5d0ebd44bb18f4, 0xb848451a523886c6, 0xc11fadc37b2fa598,
  0xb8a9280591445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea, 0x97d8f48b535c0809,
  0xe7b55a22bcb1692b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x8c55bd8aaa2d2414, 0x371e6c25ccbe6db1,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001590ad52ebcf,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x01a4885affffb4c1, 0x9ea3cad4f4d56b47, 0x159c3f51f06cc1c8, 0xc4522cd3ad08a1df,
  0x7082e6909afa30b2, 0x00460a1cead2e959, 0xd8d56ba1d7b589d9, 0xc62e121143de8f22, 0xab8b87f5b86f65c7,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0xd22d4d7020274dca, 0x688af2c5a4ae5f63,
  0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88145f450, 0x0dc79b09732f9b69, 0x5666fe0eee3458df,
  0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x2b274f4baf3c95fb,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0xd8472381c19babff,
  0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0x7cdc524006e1f0a2, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x0586f2bc84b6e337, 0xd5fc922707fffed3, 0x63cf36d01c275717, 0x097e21b09117dc49, 0x2ee3729299cbf51f,
  0xc27cf72c67d4b99e, 0xdbf1c74fe0ed6f51, 0x4011a62731602945, 0x00ffd99e3af00676, 0xcea0796b73de37d5,
  0x6b3f8abe77715257, 0xd09c73c9fdaf2e55, 0xa96fab39d454aa35, 0x16a6b81013a6e576, 0x457962d2572fb1e9,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b6c6263b7b, 0x771a2ce9f0dc79b0,
  0xc2a73f53ab337f07, 0x3fc5ce32fcc4fe50, 0xc9f8e7bff8268799, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0003491764baf3c9,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e12500370f851, 0x32d009e88655777b, 0xffd01cf09a718a84,
  0xc161bcaf212dbd0f, 0xebb7e48e9bffffb4, 0xb1e79b680e6ceb8b, 0x84bf10d8488bee24, 0x1771b9494ce5fa8f,
  0x79c67b9633c38ccf, 0xe7ac71d3f8327bd4, 0xcbe238c8e62c0531, 0x8bb8e58cf1d7916e, 0x7f157ceee2a4a3ac,
  0x38e793fb5e5caad6, 0xdf5673a8a9546ba1, 0x4d7020274dcaed52, 0xf2c5a4ae5f63d22d, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d8c4c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4,
  0x00000003490b3975,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x6d2303775b40c894, 0x0cee9f12e2061430, 0xc3862099aeff32ba,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0x247107fffda60b0d, 0xa039880effaa3cad, 0xdc6e2a47badf9e6d, 0x5d29dacac9ba6139,
  0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669, 0x9ea73abb73051d48, 0x5e363af512ec63d1,
  0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b, 0x5e5caad67f157cee, 0xa9546ba138e793fb,
  0x4dcaed52df5673a8, 0x5f63d22d4d702027, 0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x4c76f62aa8b49053, 0xb8f3612e65f36d8c, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5, 0xccb0e9296cf8138c,
  0x4e725d79e4afdcd0, 0x0000000000000130,
};

static const uint64_t ur_m32u2_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x40c2860da4606eeb, 0xbf32d0729dd3e25c,
  0xbb61d8270bc39b96, 0x244fe0daee6f51f1, 0x21895fe7ef822847, 0xef9b82a8006e1f0a, 0x0cb4239221955dde,
  0xbfe80e784dbee2a1, 0x60b0de579096de92, 0x8c9d491bc3ffd85e, 0xe79b693bbc3b8bea, 0xbf10d8488bee24b1,
  0x8dc1545927fa8f84, 0xa53b5b9b9ba678bb, 0x06cc1edff51e572b, 0xd08a05315efbf51f, 0xafa30b2c4522cd3a,
  0xd4e7576e60a3a909, 0xc6c75ea25d8c7a33, 0x48451a523886c6ab, 0x8991c37b2fa598b8, 0x5494b3c8a22aa360,
  0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0xb95daa5beace7515, 0xec7a45a9ae0404e9, 0xdaad115e58b495cb,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6db189, 0xf6ec68b1be2e4d5c,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x4e4f257ee6866587, 0x00000004004b82b5,
};

// m32u4_swio14_dual_ee_hw
static const uint64_t ur_m32u2_swio14_dual_ee_hw[] = {
  0x853b777776890c86, 0x467ab6fafcc6b8a9, 0xf7ae17bb3890544e, 0x71ba8e36182ca3e9, 0x421d9b1d775f0cca,
  0x34cee5dd8dd9bcc5, 0x8949485d16609f19, 0x4306d2303775b40c, 0x2ba0cee9f12e2061, 0x825a3805a98c7ff3,
  0x4fe0e2b4dea393ad, 0x895fe7ef82284724, 0x9b9743006e1f0a21, 0xb417da21955ddeef, 0xe80e784c1ee2a10c,
  0x586f2bc84b6fa6bf, 0xfba4885aff6bf730, 0x7ea3caedd4d56b47, 0x2bd37ea3e0d9830f, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x1e8cf539d5a5d82a, 0xd8d56ba1d7a89763, 0xb3170908a34a4710, 0xa8d823f5b86f65f4,
  0xe777152500b2288a, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c, 0x013a6e576a96fab3, 0x2572fb1e916a6b81,
  0xd75cf6ab4457962d, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4, 0x2ec6e3cd84b997cd,
  0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x015da2b5514f257e,
};

// m32u4_swio14_dual_ee_ce_hw
static const uint64_t ur_m32u2_swio14_dual_ee_ce_hw[] = {
  0x4e2ddddddd437089, 0xeb6adbebeb41f8a6, 0xfbd7bddb178d5619, 0xaf8dd272b4107c89, 0x25f5ebbda9fd39c4,
  0x75caf27acadada58, 0x25232da4c13e3272, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0xf0e188266bbfccae,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x2e0801b87c288625, 0x60a88655777bbe6e, 0x39e134878a8432d0,
  0x795e425b735bffa0, 0x247107fb5fb982c3, 0xa039880effaa3cad, 0xee3732a1a0ff9e6d, 0xae94ed6564dd309c,
  0x7c1b307b7fd4795c, 0xeb422814c57befd4, 0x26be8c2cb1148b34, 0xcf539d5db9828ea4, 0xaf1b1d7a897631e8,
  0xe121146948e21b1a, 0x8226470decbe9662, 0x715252cf2288aa8d, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0xa6e576a96fab39d4, 0x2fb1e916a6b81013, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x263b7b15545a4829, 0xdc79b09732f9b6c6, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c, 0x3e728a792bf73433,
  0x000000000000044d,
};

// m32u4_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio14_dual_ee_ce_u4_hw[] = {
  0x16eeeeed1468b202, 0xd5b7d7c0157b530b, 0xe0b7547e8bf654e2, 0xed157fd5ec130fb4, 0x279126c41b2c4cf8,
  0xeb748c778393f86f, 0xb37304f8c97ad72f, 0x06eeb6819129290c, 0x3e25c40c2860da46, 0x39b96bf32c4d69dd,
  0xf51f1bb61d8270bc, 0x22847244fe0daee6, 0xe1f0a21895fe7ef8, 0x55ddeef9b82a8006, 0xee2a10cb42392219,
  0x6de92bfe80e784db, 0xfaa7260b0de57909, 0xe2faa3275246f0ff, 0x92c79e57d6072f0e, 0x3e12fc4361222fb8,
  0xe2ee3702c8cf5fea, 0x5cae94ed6e6e6e99, 0xd47c1b307b7fd479, 0x34eb422814c57bef, 0xa426be8c2cb1148b,
  0xe8cf539d5db9828e, 0x1aaf1b1d7a897631, 0x62e121146948e21b, 0x8d8226470decbe96, 0x77715252cf2288aa,
  0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x13a6e576a96fab39, 0x572fb1e916a6b810, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xebcf430be9e4afdc,
  0x000000000000003a,
};

// m32u2_swio15_noled_pr_ce_u4
static const uint64_t ur_m32u2_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0xcaeff35ef3fb3a60, 0xa9defbb8bebb7e48, 0x8488bee24b1e7804, 0x22495fa8f84bf10d,
  0x58cfd64cf1771b97, 0x4fe0c9ef51e6e9ee, 0xd9cc580a654e31c7, 0x33c75e8f9da2147b, 0x96b708a4d2a01ffb,
  0xfed7972ab57d6e07, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0xb4956aff7f48b535, 0x8b5d73daad115e58,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7cdb190c76f62aa8, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0dd78faf10fcf257,
};

static const uint64_t ur_m32u2_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xff35ef3fa6a609f1, 0xe1dff54652e48ffc, 0x54341ff3c0254eff, 0xacac7be6139dc6e6,
  0x067afa8f2b38729d, 0x814c565d7d47c1b3, 0xc2cb1148b34eb422, 0xd5db92b0ea426be8, 0xebce9bb7508f2439,
  0x47c88e0fd8d578d8, 0x386f65b2e62e1211, 0x967d260b546c1132, 0x271cf27f6bcb955a, 0xbeaece75152a8d74,
  0xa45a9ace9b95daa5, 0x88af2c5a4ab57fbf, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b,
  0x6c25ccbe6d8c863b, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9,
  0x0000000a699cfa21,
};

static const uint64_t ur_m32u2_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0xdffc82567f1ba609, 0x5ddc5f547b3a48b5, 0xbee24b1e79b680e3, 0xffa8f84bf10d8488,
  0xbe678bb8dc5c170f, 0x51e5670e53b5b9b7, 0xcbafa8f83660cf5f, 0x291669d68450298a, 0x561d484d7d185962,
  0x76ea11e4873abb72, 0xc1fb1aaf1b1d79d3, 0xb65cc5c24228f911, 0xc16a8d8226470dec, 0x4fed7972ab52cfa4,
  0xcea2a551ae84e39e, 0x59d372bb54b7d5d9, 0x8b4956aff7f48b53, 0xf8b5d73daad115e5, 0x1077536294f0d3bc,
  0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000009f9f67a5d7,
};

// m32u2_swio15_noled_ee_ce_u4_hw    m32u4_swio15_noled_ee_ce_hw       m32u4_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio15_noled_ee_ce_hw[] = {
  0x27bbbbbb4486cc7f, 0x02e5a58d9c47758b, 0x2e9badd376c85438, 0x93c7631048372eda, 0xfb13938c4d27cc9d,
  0x4f8c9dd4fbaafd51, 0x6bbff61ff3f8dd30, 0xc6bbb8bea8f67491, 0x117dc4963cf36d01, 0x75ff51f097e21b09,
  0xdef99e2ee3739075, 0x7d47959c394ed6e6, 0x2b2ebea3e0d9833d, 0x88a459a75a1140a6, 0xc958752135f46165,
  0x4ddba847921ceaed, 0x4707ec6abc6c75e7, 0xb2d973170908a3e4, 0x9305aa3608991c37, 0x793fb5e5caad4b3e,
  0x673a8a9546ba138e, 0x4d674dcaed52df57, 0x962d255abfdfd22d, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e,
  0xaa2d2da2718de33a, 0xe65f36c6431dbd8a, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000000a02fb3d45,
};

// m32u2_swio15_lednop_pr_ce_u4
static const uint64_t ur_m32u2_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x8e9bff35ef3e35a6, 0x4a9deceb8bebb7e4, 0xd8488bee24b1e780, 0x9cba3ffa8f84bf10,
  0xcb19fac99e2ee371, 0xe9fc193dea3ce33d, 0x6473160298f3d638, 0xccf1d7a3e765f11c, 0x96b70dfb86a807fe,
  0xfed7972ab5b87207, 0xea2a551ae84e39e4, 0x9d372bb54b7d5d9c, 0x5c958f48b535c080, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x22f887e792bf7343, 0x000000000000375d,
};

static const uint64_t ur_m32u2_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xff35ef3f6b7304f8, 0xb3bfea8ca5c914db, 0x49cdffcf00953b4d, 0xb2b1ef984e771b8a,
  0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3, 0xaf3a6eddd23050e7,
  0x13723c8b6355e363, 0xe1bd96cb98b84845, 0x2cc4526951b044c8, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8,
  0x35c0809d372bb54b, 0xe58b495c958f48b5, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0xcbe6da0518edec55, 0x163ce2e4d5c6c25c, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x014d317ee21f9e4a,
};

static const uint64_t ur_m32u2_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x4ff904acf9adcc13, 0x525c5f547b3a488a, 0x5f71258f3cdb4070, 0xafd47c25f886c244,
  0xbe678bb8dc67afd6, 0x51e5650e53b5b9b7, 0xd82fa8f83660cf5f, 0x291669d68450298a, 0x871d484d7d185962,
  0x76ee9182873abb74, 0xe45b1aaf1b1d79d3, 0xb65cc5c242289b91, 0x934a8d8226470dec, 0x27f6bcb955a96622,
  0xe75152a8d74271cf, 0x04e9b95daa5beaec, 0x4ae4ac7a45a9ae04, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x027e0f57975e792b,
};

// m32u2_swio15_lednop_ee_ce_u4_hw   m32u4_swio15_lednop_ee_ce_hw      m32u4_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio15_lednop_ee_ce_hw[] = {
  0xc9eeeeeed1219f68, 0x00b96963670c8d62, 0x8f5d96ec332b750e, 0xc9e3b188223b836b, 0xb06e817c9693e64e,
  0x04f8c9dd2af44fd0, 0x88a4ff61ff3e6b73, 0x070525c5f547b3a4, 0x2445f71258f3cdb4, 0x5d4efd47c25f886c,
  0xe6def99e2ee373ce, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140, 0xedd21c752135f461,
  0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c, 0xc73c9fdaf2e556a5,
  0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xb1692b92b1e916a6, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0x7cdb40a31dbd8aaa, 0xfa82ec6e3cd84b99, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x000028087abd14f2,
};

// m32u2_swio15_dual_pr              m32u2_swio15_dual_pr_u4
static const uint64_t ur_m32u2_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0x7cb3df247f77fffd, 0x3a7f0707fd47dbe7, 0x2c05507992b47b8e, 0x5e00ceda523884e6,
  0xa63192a01ffb3047, 0xee2a4b81281e59ed, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x4dcaed52df57673a,
  0x2563d22d4d702027, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829,
  0x6e3cd84b997cdb40, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x26bcfa5d79e4afdc, 0x0000000000000029,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x8e016a631ffccae8,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x23d3fffff6982c37, 0xf2bd37355ad1b939, 0x77a8f83660e3dfa8, 0x1669d68450ef8af6,
  0x73484d7d18596229, 0xea0e7569753cb8a9, 0xad743af512ecfe23, 0xe121141ea8fe4b1a, 0x047eb70decbe9662,
  0x715250087cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2b1e916a6b81013a,
  0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x71e6c25ccbe6da05,
  0xcdfc1ddc68b2d5e3, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0002b20e8b2ebcf2,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x95d06774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0xd7dc91e9fffffb4c, 0xebd4795e049aad68, 0xe2b2ebea3e0d983e, 0x588a459a75a1143b,
  0x2e105cd2135f4616, 0xd291cbe39d5a5fe7, 0x96355ae875ed6276, 0xf8c5c242284c518f, 0x4ab8b5beb70decb8,
  0xcaad67f157ceee2a, 0x46ba138e793fb5e5, 0xed52df57673a8a95, 0xd22d4d7020274dca, 0xb4457962d2572563,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc674409cfa28, 0x86e3cd84b997cdb4, 0xab337f07771a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x0ac902a5d79e4afd,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x01a4893affffb4c1, 0xcf36d01ceafb8beb, 0x7e21b09117dc4963, 0xe37092b2a3f51f09,
  0x24f72c67d4b99e2e, 0xa8e3a7f0622fa8f2, 0xa47109cc580bfb8c, 0x3ff6678ebc019db4, 0x940f2d6e4c632540,
  0xb3f8abe7771525c0, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0xa6b81013a6e576a9, 0xbcb1692b92b1e916,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x8d1674f86e3cd84b,
  0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x006921925d79e4af,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe657419dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x5f532a48eceffffb, 0x258f3cdb40722b5c, 0x7c25f886c2445f71, 0x78bb8dc24aca8fd4,
  0xa3a013dcb19e1c66, 0xfcea238e9fc1935e, 0x769b91e45398b015, 0x87cdc72c678ebc8b, 0x59fc55f3bb8a928e,
  0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae, 0x535c0809d372bb54, 0x5e58b495c958f48b, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6da0518edec5, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xbcf257ee68665874,
  0x000000034902172e,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x0e188266bbfccae8,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x235bfffff6982c37, 0x0395be77fd51cae9, 0xc6e5d0dd51f9e6da, 0x729dacac9ba6139d,
  0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f,
  0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0xb95daa5beaece751, 0xac7a45a9ae0404e9, 0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x8f3612e65f36d028, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0x53a5d79e4afdcd0c, 0x0000000000004c11,
};

static const uint64_t ur_m32u2_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d0729dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xeaf92330dffb0bcc, 0xe6da4ee61ae2faa3, 0xc4361222fb892c79,
  0xe271fdc7fea3e12f, 0x9dadcdcdd33c5dc6, 0xb306657a8f2bdf72, 0x22814c576ebd47c1, 0xe8c2cb1148b34eb4,
  0x39d5db94f0ea426b, 0xd8ebd44bb3f88fa8, 0x08a0f547f258d578, 0x32386f65f4b31709, 0x494b31f37b546c11,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x7a45a9ae0404e9b9, 0x5688af2c5a4ae4ac,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x3612e65f36d028c7, 0x763458df1726ae0f,
  0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x0000010013e09aa7,
};

// m32u4_swio15_dual_ee_hw
static const uint64_t ur_m32u2_swio15_dual_ee_hw[] = {
  0xadddddd0f5a1a5fb, 0xd5b7d7e635dea614, 0xfb8ddfb476a27233, 0xa8e202935d00d8be, 0xe4ca2f75f0cca51b,
  0x9dca591aeba5584d, 0x9290e9d4c13e3269, 0x0da4606eeb681912, 0x419dd3e25c40c286, 0xb4700b5318ffe657,
  0xc1c569bd47275b04, 0xbfcfdf04508e489f, 0x3bac00dc3e144312, 0x2fb4432abbbddf37, 0x1cf0983dc5421968,
  0xbcaf212dbcedffd0, 0x247a7ffdafdcc161, 0x1e57a6e6ab5a3727, 0xcef51f06cc1c7bf5, 0x22cd3ad08a1df15e,
  0x2e6909afa30b2c45, 0x7d41cead2ea79715, 0x55ae875ea25d9fc4, 0x5c242283d51fc963, 0x608fd6e1bd97d2cc,
  0xee2a4a010f9bdaa3, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x4dcaed52df57673a, 0x2563d22d4d702027,
  0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829, 0x6e3cd84b997cdb40,
  0x3f9430a9cfd4bd5c, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19, 0x14f257ee68665874,
  0x000000002bb43a2d,
};

// m32u4_swio15_dual_ee_ce_hw
static const uint64_t ur_m32u2_swio15_dual_ee_ce_hw[] = {
  0x7daddddddd435202, 0xd6d5b7d7d68338a6, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0xff369b36d4fe9fda,
  0x75c9c875b4df35f8, 0x4a41ecf4c13e3272, 0x369181bbada0644a, 0x06774f8971030a18, 0xe1c3104cd77f995d,
  0x07ff26f51f4d6c1f, 0xff3f7c114239227f, 0x0b200370f8510c4a, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6f787ff40, 0x91adfff6bf730586, 0x01cadf3bfea8e574, 0x71b9d1f524fcf36d, 0xdca76b2b26e984e7,
  0xf06cc1995ea3caf7, 0xad08a05315dbaf51, 0x9afa30b2c4522cd3, 0xea0e7576e53c3a90, 0x5e363af512ecfe23,
  0xc242283d51fc9635, 0x044c8e1bd97d2cc5, 0x715252cc7cded51b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x6e576a96fabb39d4, 0x2b1e916a6b81013a, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb40a, 0xb867a615c9f9fd86, 0x61d252d9f0271964, 0xa9d453c95fb9a199,
  0x00000000000089a6,
};

// m32u4_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m32u2_swio15_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed1468a812, 0xab6faf801716a675, 0xe0b7500badeca9c5, 0xed6fdf5ef8fe0fb5, 0x0da78d8837d76cf8,
  0xf5f8396ff68518b9, 0xaa2609f192f5ae41, 0x06eeb68191292917, 0x3e25c40c2860da46, 0x39b96bf32c4d69dd,
  0xf51f1bb61d8270bc, 0x22847244fe0daee6, 0xe1f0a21895fe7ef8, 0xabbbddf37138f006, 0xdc54219684724432,
  0xdb9257fd01cf09b7, 0xf54e4c161bcaf212, 0x8bea8fabe48cc37f, 0x4b1e795f581c986b, 0xf84bf10d8488bee2,
  0x1771b9c3fc7ddfa8, 0xf7dca76b737374cf, 0x51f06cc1995ea3ca, 0xd3ad08a05315dbaf, 0x909afa30b2c4522c,
  0x23ea0e7576e53c3a, 0x355e363af512ecfe, 0xc5c242283d51fc96, 0x1b044c8e1bd97d2c, 0x77715252cc7cded5,
  0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x3a6e576a96fabb39, 0xb92b1e916a6b8101, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0xc6e3cd84b997cdb4, 0x3def2861539fa82e,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x523c985f4f257ee6,
  0x00000000000001d7,
};

// m32u4_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m32u4_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2447e4a, 0xbbbbbba584f5b215, 0xd090b270034bd1a7, 0xc5e56e17eeeef37a, 0x8c9dd29475971abe,
  0x3ff07239fcad304f, 0x48b54088153e0914, 0x15faa935fc8bf017, 0xc5f5c921b46f6a8e, 0x892c79e012a76fe5,
  0xa3e12fc4361222fb, 0x4cf1771b8ff3107e, 0xcf51c9e9ee58cfd6, 0x051f3a48e3a7f07a, 0x47ced5fd1eb0e62c,
  0x6679500ffd99e3af, 0x77ec1c7c0f2d6e1f, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e, 0x67440aeaa72f29b1,
  0xb15545a585ce31bc, 0x09732f9b624863b7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000008dd7249969f,
};

static const uint64_t ur_m32u4_autobaud_uart0_noled_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0xb23414d8e9db2ef7, 0x9fb17f79374b8b53, 0x76821d892d54cfe9,
  0x8e7c66e609f193ba, 0x22054f82416bfc1c, 0x4d7f22fc05d22d50, 0xc86d1bdaa3857eaa, 0x04a9de043bfea8df,
  0x39dc6e759b21fe78, 0x5f5129dacac7be61, 0xd47c1b306b5fd479, 0x34eb422814c5613f, 0xa426be8c2cb1148b,
  0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e, 0x313bbf616744a9a5,
  0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0, 0x8de33a2057553979, 0x1dbd8aaa2d2c2e71, 0x3cd84b997cdb1243,
  0xf2868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0x88810b4fcf257ee6, 0x0000000000000020,
};

static const uint64_t ur_m32u4_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0xbbbbbba58cd68e35, 0x9b0b0699bd7d323b, 0x9c1b68be163376c9, 0x9ddcfb402f5913d1,
  0xf08533f5bf304f8c, 0x6a81102a7c129dbf, 0xf5526bf917e02e91, 0x8e43c368ded51c2b, 0xe79b680e1c1b8bea,
  0xbf10d8488bee24b1, 0xe373a3ea49fa8f84, 0x894ed6e6def99e2e, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xddfb0b3a254d2a36, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c, 0xec55516961738c6f,
  0xc25ccbe6d89218ed, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x61a1cf257ee68665, 0x0000000004110c22,
};

// m32u4_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u4_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2446f43, 0x7777774b09eb0675, 0xa3204878f7afb417, 0x0ccddb53dddde6f5, 0x193bad3bed533d95,
  0x9fe0e473f6ea609f, 0x916a81102a7c12c0, 0x2bf5526bf917e02e, 0x8beb924368ded51c, 0x24b1e7804a9dd4ab,
  0x8f84bf10d8488bee, 0x678bb8dcadf801fa, 0x7a8fd24f72c67eb2, 0x2a6222c71d3f83d6, 0xf9d967a348673160,
  0xd22a01ffb33c75e8, 0xfd905681e5adc82c, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xd76bd969f9e4afdc,
  0x000000000000008d,
};

static const uint64_t ur_m32u4_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x8dddddddd4144511, 0xeeeeee9602173135, 0xcd2d91c5e24760de, 0x234c5fde4dd2e2d4, 0xabe67c1b8b12c1f2,
  0x91cf8689827c64ee, 0x088153e0958fff83, 0x935fc8bf01748b54, 0xf21b46f6a8e15faa, 0x012a77beceffaa37,
  0x4e771b9722495f9e, 0x57dd4a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x0c4eefd8598fb33c,
  0xfbbf3c0809c9b6fc, 0x009bf379b228301d, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62,
  0x65abcb9357079b09, 0xfa9d598f207e50d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0x69f9e4afdcd0ccb0, 0x0000000020883a29,
};

static const uint64_t ur_m32u4_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda2431bc1, 0xbbbbbba58cd6b835, 0x9b11c560d45d667b, 0x723b5c7e163376c9, 0x4ee8eba6b80aeef2,
  0xf84299f43e9827c6, 0x5aa0440a9f04b107, 0xfd549afe45f80ba4, 0xa390f0da37b5470a, 0x79e6da03896ae2fa,
  0x2fc4361222fb892c, 0x71b8089300fea3e1, 0xd4a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a05315edff51,
  0x9afa30b2c4522cd3, 0x93473abb71ea3a90, 0xaf1b1d79d3768c91, 0xc242282791bdab1a, 0x8226470decb65cc5,
  0xeefd8598fb33ca8d, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00008221ea886873,
};

// m32u4_autobaud_uart0_dual_pr      m32u4_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m32u4_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0xa772f7199bcfbfab,
  0x29290a49304f8c91, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x604384ae9add7e65, 0xfe0ce1cdea3b05d8,
  0x95fe7ef822847244, 0x6e3fc006e1f0a218, 0x6869488655777bbe, 0xe80e784d37454219, 0x586f2bc84b6ee97f,
  0xa9f049fcffc06530, 0xe45f80ba45aa0440, 0xa37b5470afd549af, 0xfd47c8a77cb1350d, 0x69c5ef8e3a7f0621,
  0x591d7f398b01541e, 0x0ffd9823af00676b, 0xd03cb3db10e90d50, 0x4fe2af9ddc549549, 0x02726dbf0313bbf6,
  0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xe1b8f3612e65f36d,
  0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0xc14e43f0d0e792bf, 0x0000000000000005,
};

static const uint64_t ur_m32u4_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0x777777d795b44f53, 0x555eeb71ab508777, 0xf62ed4e99ee94a41, 0xc119d0fc53aae29a,
  0x2a89827c64d89b93, 0x606eeb6819129290, 0xd3e25c40c2860da4, 0xd77321f7e657419d, 0x137a8eff361880e0,
  0xbe08a11c913f830d, 0x01b87c2886257f9f, 0x8655777bbe6e0224, 0x31758a8432d0c088, 0x212dbffcffa039e1,
  0xebff0194c161bcaf, 0xd22d5022054f8244, 0x857eaa4d7f22fc05, 0xad68e4486d1bdaa3, 0x983053d4795afb9a,
  0x143be2ba95ea3e0d, 0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e,
  0xbd97d2cc5c242281, 0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781,
  0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xe722adec555169ab, 0xf0dc79b09732f9b6, 0xab337f07771a2ce9,
  0xfcc4fe50c2a73f53, 0xf82687993fc5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964, 0x486873c95fb9a199,
  0x00000000000a5486,
};

static const uint64_t ur_m32u4_autobaud_uart0_dual_pr_ee_u4[] = {
  0x337777776890cf68, 0xbbbbbbbebcaddce5, 0xa75179579cedae3b, 0x47d9f353a67baccd, 0x9a3ea75ee1bb113d,
  0x17254c13e3251ddc, 0x4606eeb681912929, 0xdd3e25c40c2860da, 0x83fc9b107e657419, 0x8fcdea3868d869a3,
  0xfdf04508e489fc1d, 0x000dc3e144312bfc, 0xa21955ddeef9b995, 0x84df3a2a10cb40a5, 0x79096dfa7ffe80e7,
  0x8adff80ca60b0de5, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xd56b47a54368ded5, 0x6cc1fc9ea3cae3dc,
  0x08a1df1598ff51f0, 0xfa30b2c4522cd3ad, 0xd2e13d7082e6909a, 0xb589d87c47d21cea, 0x408ea5d8d56ba1d7,
  0x6f65c7c62e121147, 0xeee2a4ab813ff5b8, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x86873c95fb9a1996,
  0x00000000052a4e9e,
};

// m32u4_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u4_autobaud_uart0_dual_pr_ce[] = {
  0x99bbbbbbb4486f97, 0xbbbbbbbbebc90ad2, 0x6f5875f3ed266f77, 0xe900d57c6adddd81, 0x519dc9e08ce9c2d4,
  0x129291eb54c13e32, 0x860da4606eeb6819, 0x57419dd3e25c40c2, 0x136ce13b735adfe6, 0xfc198fcdea3eed6c,
  0x2bfcfdf04508e489, 0xb8ce400dc3e14431, 0x40baa21955ddeef9, 0x80e784c95a2a10cb, 0x86f2bc84b6e16bfe,
  0x3e096ceffc065305, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0x071d2dc5f54021b4, 0x2445f71258f3cdb4,
  0x4fd7fd47c25f886c, 0x8cfa9733c5dc6e0a, 0xf83a97ea38df9ee5, 0x7316028283e471d3, 0xc75e00ced6b23afe,
  0xdc21d21aa01ffb33, 0xceee2a4aa4e81e5a, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x70d0e792bf734332,
  0x0000000002b5ec21,
};

static const uint64_t ur_m32u4_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd431f02, 0xeeeeeeefaf85fee1, 0x8d587d932e76d826, 0x32242c7ef276efda, 0x94622cdb90cc283f,
  0x0e49cc13e325055c, 0x8c0ddd6d03225252, 0xba7c4b881850c1b4, 0x3ace6643fccae833, 0x79bd47986d833e1c,
  0xbe08a11c913f83fd, 0x01b87c2886257f9f, 0x8655777bbe6e79c8, 0x34728a8432d04b48, 0x212db8a4ffa039e1,
  0x6bff0194c161bcaf, 0xd22d5022054f825a, 0x857eaa4d7f22fc05, 0xfd51b9386d1bdaa3, 0x5afcf36d01c1ac77,
  0x9374c273b8dcbc3e, 0xe7a8f2b7f253b595, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c,
  0xa25da2147bd9ceae, 0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59,
  0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0xe1b8f3612e65f36d, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd, 0xd0ccb0e9296cf813, 0x20dc7c3439e4afdc,
  0x0000000000000062,
};

static const uint64_t ur_m32u4_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbb2541, 0x77777d7ad199b533, 0x0fcd9b7f0ea8c777, 0xd15eb6ef5dd17cda, 0xb37b4faaf7d7b07c,
  0x1929cae5538c32d0, 0x32252522c7ae609f, 0x850c1b48c0ddd6d0, 0x65a0e53ba7c4b881, 0x0e8f9c14926e6ffe,
  0x7f06c8737a8ece5b, 0x4aff3f7c11423922, 0xb972500370f8510c, 0x826da21955ddeef9, 0x039e1358fc542196,
  0x3795e425b7eb3ffa, 0x04b1bbfda907982c, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0x6ee2faa353d0da37,
  0xfb892c79e6da4ec6, 0xfea3e12fc4361222, 0xd33c5dc6e6a83c83, 0x4795bf929dadcdcd, 0x80dea3e0d9835f3d,
  0xa459a75a1140a62b, 0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151,
  0xeb151b044c8e1bd9, 0x8abe77715252cc4f, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809, 0x53929d009bf379b2,
  0xc6f19d103be54dea, 0xc76f62aa8b4d5d38, 0x079b09732f9b6e70, 0xfdbb1a2c6f8b9357, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20f3c95fb9a19961,
  0x0000007eadc6a779,
};

static const uint64_t ur_m32u4_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a737a, 0x888913bc1f56d19b, 0x79b0ebc6becfdddd, 0x9827c64eed8f6421,
  0xc0bbafff375cfc7b, 0xaf495c5bfb4c98de, 0xbf9e01281c4c4eff, 0x8ce6139dc6e4872e, 0xc67ea38879ee580b,
  0x80b70c4fc71d3f83, 0xc5ced20a8f199cc5, 0x60e9d3dc72c678eb, 0xfce726dbf0313bbf, 0x9bf3796ea0c077ee,
  0x37aaeaa72f29b19c, 0x78ce88173663042d, 0xddb09732f9b69c63, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x961d252d964a2719, 0x921e0b3c95fb9a19, 0x0000000000002dd4,
};

static const uint64_t ur_m32u4_u1x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeedca89112d7b, 0xddddd2c7a9d8fac6, 0xe625c6b45a3504dd, 0x4f1dfa5dddd53383, 0x93ba8eca50d37656,
  0xfe0e473ff3a609f1, 0x16fed32637b0228b, 0x254edfcb8beb9257, 0x6c2445f71258f3c0, 0x1fe620fd47c25f88,
  0xdcb19fac99e2ee37, 0xc74fe0f59ea393d3, 0x3d61cc580a3e7491, 0xfb33c75e8f9dabfa, 0x1e5adc3eccf2a01f,
  0xb6fc0c4eefd838f8, 0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b,
  0x26ae0f3612e65f36, 0x63c81f943458df17, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x40562d3f3c95fb9a, 0x0000000000000dd7,
};

static const uint64_t ur_m32u4_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb72ec1222582, 0xdddd2c042e696b1b, 0x8d05363a76cbbddd, 0xec5fde4dd2e2d4ec, 0xa087624b5533fa67,
  0x9f19b9827c64ee9d, 0x931bd8105aff0723, 0xc5f54721eb8b7f69, 0x1258f3c0254ece0d, 0x47c25f886c2445f7,
  0x678bb8dceb3643fd, 0xf2bea253b5b9b7be, 0x7fa8f83660d6bfa8, 0x1669d68450298ac2, 0x1d484d7d18596229,
  0xded1e0b39d5dba71, 0x1b1aaf1b1d79d376, 0x5cc5c24228e79187, 0x4a8d8226470decb6, 0xe062777ec2ce8953,
  0x4180efddf9ce4db7, 0xf29b19c9bf37807d, 0xe31bc67440aeaa72, 0x863b7b15545a585c, 0x7079b09732f9b624,
  0x07e50d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x13f102169f9e4afd,
};

static const uint64_t ur_m32u4_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e6eeb, 0x98e95b24171efd3d, 0x8410cc5fde4dd267, 0x7755f33e83658ac8,
  0xc1c8e7ffe4c13e32, 0xbfb4c98dec0ba7ff, 0x7812e2faa37275c5, 0x22fb892c79e012a7, 0x257ea3e12fc43612,
  0xdc6533c5dc6e5c89, 0x7fd4795ce329dadc, 0x62bc93d47c1b3063, 0x588a459a75a1140a, 0x6e884752135f4616,
  0xa9bb73c8daf8e757, 0x46692c6abc6c75eb, 0x65c3918b848451ac, 0xeefd98c5d332386f, 0xdfbbf39c9b6fc0c4,
  0xc6726fcde5ba8301, 0x10b4deabaa9cbca6, 0x718de33a205cd98c, 0xd5c1e6c25ccbe6da, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x2165a7e792bf7343, 0x00000000000013f0,
};

// m32u4_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u4_u1x8_uart0_lednop_pr_ce[] = {
  0x777776e54488d562, 0xeeeee963d4de9d63, 0xb1f98baf3634adee, 0x829bdb7bbbaa6707, 0x93ba645a7505b0c4,
  0xfe0e473e70e609f1, 0x16fed32637b024ad, 0x4a9dd4ab8beb9257, 0xd8488bee24b1e780, 0xadf801fa8f84bf10,
  0x72c67eb2678bb8dc, 0x1d3f83d67a8fd24f, 0x486731602a6222c7, 0xb33c75e8f9d967a3, 0xe5adc82cd22a01ff,
  0x6fc0c4eefd905681, 0x01dfbbf3c0809c9b, 0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f,
  0xb09732f9b6e70c76, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xf9e4afdcd0ccb0e9, 0x000000375d79f169,
};

static const uint64_t ur_m32u4_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e5d8244511, 0xbbbba58085cc4d63, 0x4b64717891d837bb, 0xd317f79374b8b533, 0xf99f06e2c4b07c88,
  0x73e1a2609f193baa, 0x64c6f60563ffe0e4, 0x717d51c87ae2dfda, 0xc4963cf00953b4b5, 0x51f097e21b09117d,
  0x99e2ee372e4492bf, 0x3cafba94ed6e6def, 0xbfea3e0d9835afea, 0x459a75a1140a62bd, 0x4752135f4616588a,
  0xd1923268e7576e3d, 0xb56355e363af3a6e, 0xcb98b8484504f237, 0x7951b044c8e1bd96, 0xf8189ddfb0b31f66,
  0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x12e65f36dce18ede,
  0xa2cb579726ae0f36, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964,
  0x52d3f3c95fb9a199, 0x000000000013f074,
};

static const uint64_t ur_m32u4_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeedca890d2a8, 0x777774b010b9fbac, 0x3cc7419ad1bf4f77, 0x2d456962fef26e93, 0x2774eb46a122cf9a,
  0xfc214cfeed4c13e3, 0x5bfb4c98dec08c7f, 0x3995ae2faa37275c, 0x222fb892c79e6da0, 0xd257ea3e12fc4361,
  0xcdc6533c5dc6e321, 0x37fd4795a0129dad, 0xa62b5f3d47c1b306, 0x6588a459a75a1140, 0x76ef90752135f461,
  0xba9bb60b4621ce75, 0x28e416c6abc6c75e, 0xb2e1c8c5c242280e, 0xeefd98c54d191c37, 0xf3c0809c9b6fc0c4,
  0x3a0137e6f301dfbb, 0xa54f80b5392296af, 0xde33a2065fcc6085, 0x1e6c25ccbe6da718, 0x9bf83bb8d1637c37,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x015a1a1cf257ee68, 0x00000000000009f8,
};

// m32u4_u1x8_uart0_dual_pr
static const uint64_t ur_m32u4_u1x8_uart0_dual[] = {
  0x3377777756d44511, 0xbbbbbbbebd88cbb5, 0x867bc95719bad29d, 0x1589c9c247777590, 0x4d93b92be67c3d8b,
  0x9129290cdf9827c6, 0x2860da4606eeb681, 0xcac049dd3e25c40c, 0xb05f67028b3393fc, 0x227f06654dea3bf9,
  0x0c4aff3f7c114239, 0xdf3722b00370f851, 0x0cb42324432abbbd, 0x7ff4073c26b5a2a1, 0x982c3795e425b78f,
  0x4c6f605a57fbd7e1, 0xc77cb57fae2dfda6, 0x471d3f83487ea3da, 0x9cc580bf8733dfd0, 0x08ebc8b76a968d21,
  0xc5494ac905dc72c6, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x4026fcde0e4ac077, 0xc315953b8b29cbe7,
  0xe33a207eb8a042d3, 0xe6c25ccbe6da718d, 0xe50d163ce2e4d5c1, 0xd30ae4fdd598f207, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000000621ce169,
};

static const uint64_t ur_m32u4_u1x8_uart0_dual_pr_u4[] = {
  0xeeeeeead4486bd5b, 0x77777d7b1129ca66, 0x599991583a82b777, 0x39d941bdddd37741, 0x12e5ddfb839d682d,
  0x29291d67304f8c94, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x256383a598e1fe65, 0xfe0e034dea3feed8,
  0x95fe7ef822847244, 0xdce9f006e1f0a218, 0xd04c510caaeef77c, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0x1bd811ebff80ca60, 0xef9626ab8b7f6993, 0xc74fe0c43fa8f914, 0x31602a83cd38bdf1, 0x75e00ced6b23afe7,
  0x621d21aa01ffb304, 0xbb8a92a93a07967b, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x25ccbe6db9c8ab7b, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x1a1cf257ee686658,
  0x00000000524c41aa,
};

// m32u4_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u4_u1x8_uart0_dual_pr_ee[] = {
  0x77777756a2436f02, 0x77777d7e3b2af533, 0x4fb67c75b547f777, 0xa4cdb7417751d86e, 0x7cd7c982cdbad8eb,
  0x29827c64cbbb93f8, 0x6eeb6819129290b8, 0xe25c40c2860da460, 0xc98347e657419dd3, 0x7a8fd3fb0b1f387f,
  0x114239227f07d5f3, 0x70f8510c4aff3f7c, 0x55777bbe6e254003, 0xfb8a8432d04ac886, 0x2db9c1ffa039e132,
  0xff0194c161bcaf21, 0x2dfda64c6f60595b, 0x95afb9aad68e44ae, 0x5ea3e0d983053d47, 0x59a75a1143be2ba9,
  0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635, 0x08fd6e1bd97d2cc5,
  0xe2a4a0109fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0x732f9b6e722adec5, 0xee3458df0dc79b09, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x00000002b25d5b86,
};

// m32u4_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u4_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeead448687e1, 0xbbbbbebf312c4a66, 0x8b51ce015b45fbbb, 0xda7d9d6dddd8e393, 0xe457b7824d768fe7,
  0x48575e609f1934ce, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x3805a98c7ff32ba0, 0xe2b4dea393ad825a,
  0xe7ef822847244fe0, 0x86006e1f0a21895f, 0xed10caaeef77cdc9, 0x3c260f7150865a0b, 0x95e425b7d37ff407,
  0x08a5ffe032982c37, 0xa015c5bfb4c98dec, 0x79e6da038e96e2fa, 0x2fc4361222fb892c, 0xee370527ebfea3e1,
  0x6fcf72c67d4b99e2, 0xf238e9fc1d4bf51c, 0x591d7f398b014141, 0x0ffd99e3af00676b, 0x740f2d6e10e90d50,
  0x93f8abe777152552, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x69268e286873c95f,
};

static const uint64_t ur_m32u4_u1x8_uart0_dual_pr_ee_ce[] = {
  0xbbbbbab6a0a1a5fb, 0xeeeefaff4bdda99b, 0x13eabfaef41f6eee, 0xbf7852c1dd69c759, 0x8d759b42acc995df,
  0x3e609f1921bae52c, 0x3775b40c894948ee, 0xf12e20614306d230, 0x49bf5ff32ba0cee9, 0xbd47adfd8400380a,
  0x08a11c913f839db9, 0xb87c2886257f9fbe, 0x55777bbe6e2a4401, 0x058a8432d0df6886, 0x5b74dbffa039e133,
  0xfe032982c3795e42, 0xb7f69931bd8150ff, 0x706b1dff546e4eb8, 0x6e654341ff3cdb40, 0x29dacac9ba6139dc,
  0x0d9835f3d4795bf9, 0xa1140a62b80dea3e, 0x5f4616588a459a75, 0xece7576e32875213, 0xe363af512ed10a3d,
  0x242281151f3d6355, 0x44c8e1bd97d2cc5c, 0x15252cc4feb151b0, 0xc4eefd93f8abe777, 0xbbf3c0809c9b6fc0,
  0x09bf379b228301df, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0x1a2cb578dc79b097,
  0xa73f53ab337f0777, 0xa1e64ff0271a50c2, 0x4b867a615c9f80f9, 0x961d252d9f027196, 0x5b86873c95fb9a19,
  0x000000000001000f,
};

static const uint64_t ur_m32u4_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbbab515b771107, 0xdddf5f0bfdc299bb, 0x4cb9d609bc7fdddd, 0xfbc9dbbf6a3561f6, 0xa8c74830fcc890b1,
  0xe325055c9bfdaa71, 0x032252520e49cc13, 0x1850c1b48c0ddd6d, 0xe65a0e53ba7c4b88, 0x6c19f0e1d673321f,
  0x89fc1febcdea3cc3, 0x312bfcfdf04508e4, 0xf373ce400dc3e144, 0x96825a4432abbbdd, 0xfd01cf09a3945421,
  0x0b0de579096dc527, 0x1bd8169aff6a41e6, 0xf546a7ab8b7f6993, 0x58f3cdb49d8cddc5, 0xc25f886c2445f712,
  0xbb8dcd507907fd47, 0x7f253b5b9b9ba678, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x12e65f36dce18ede, 0x3458df1726ae0f36, 0xcfd4eaccdfc1fb76, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0010017107f241e7,
};

static const uint64_t ur_m32u4_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e72e6f58, 0xbbc2f783eada3377, 0x6c3af1afb3f77767, 0x09f193bb63d9085e,
  0x2eebffcdd73f1ee6, 0x749feda9fddba7c1, 0x38b5ceffaf490da3, 0x8dcf9d21ff3c0250, 0x73dcb01719cc273b,
  0x8e3a7f078cfd47a9, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xe062777ec1d7e1ee, 0x7980efddf9ce4db7,
  0x06a6c4a7ef9c9bf3, 0xa2042063042d3923, 0x25ccbe6da718de33, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x82cf257ee6866587, 0x000000000b752487,
};

static const uint64_t ur_m32u4_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488a80b, 0xdddd2c4c263bac6e, 0xbfc7f1f6434d8ddd, 0xb264cf777756dde0, 0x777273d67aed3b0a,
  0xc1c8e7e43cc13e32, 0xb53fbb74f824e4ff, 0xc5f5c921b46e93fd, 0x892c79e012a76fe5, 0xa3e12fc4361222fb,
  0x4cf1771b8ff3107e, 0xcf51c9e9ee58cfd6, 0x051f3a48e3a7f07a, 0x47ced5fd1eb0e62c, 0x6679500ffd99e3af,
  0x77ec1c7c0f2d6e1f, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e, 0x67440aeaa72f29b1, 0xb15545a585ce31bc,
  0x09732f9b624863b7, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000375d071969f,
};

static const uint64_t ur_m32u4_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77624eeec12232a8, 0xddd2c4e27e9d6377, 0xa8a0ce38e891dddd, 0xea42f7bbe3de991f, 0x1a999b3ee4b4cda5,
  0xfbb5304f8c9dd3ad, 0x74f82463ffe0e473, 0xe1b46e93fdb53fbb, 0x254ece0dc5f54721, 0x6c2445f71258f3c0,
  0xeb3643fd47c25f88, 0xb5b9b7be678bb8dc, 0x60d6bfa8f2bea253, 0x50298ac27fa8f836, 0x185962291669d684,
  0x9d5dba711d484d7d, 0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242, 0xc2ce89534a8d8226,
  0xf9ce4db7e062777e, 0xbf37807d4180efdd, 0x40aeaa72f29b19c9, 0x545a585ce31bc674, 0x32f9b624863b7b15,
  0x5abcb9357079b097, 0xa9d598f207e50d16, 0x27f8138d2861539f, 0x3d30ae4fc07cd0f3, 0x9296cf8138cb25c3,
  0x9f9e4afdcd0ccb0e, 0x000000004fc2b516,
};

static const uint64_t ur_m32u4_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24ddd63, 0x7e95b24171efd3dd, 0x8219ea42f7ba36c1, 0xeabe67d06cb15910,
  0x391cfffc9827c64e, 0x4feedd3e0974fff8, 0x51b9386d1ba4ff6d, 0x3cf00953b60b717d, 0x97e21b09117dc496,
  0xee3712a2e47f51f0, 0x1494ed6e6e3299e2, 0x3e0d9831bfea3cac, 0x3ad08a05315c43ea, 0x09afa30b2c4522cd,
  0x313e73abb73de3a9, 0x5e363af5d4dd843a, 0x12114482a3c67635, 0x0cc8e1bd970e462e, 0xb6fc0c4eefd98c7f,
  0x7e6f301dfbbf39c9, 0x2460d4d894fdf393, 0xc67440840c6085a7, 0xcd84b997cdb4e31b, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x4fcf257ee6866587, 0x0000000027e042cb,
};

// m32u4_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u4_u1x12_uart0_lednop_pr_ce[] = {
  0x777624eea2444375, 0xeeee9626114dd637, 0xd82ff4a0cf717eee, 0x121006eeeeadbbf1, 0x3bb02c055456c482,
  0xe0e473e52e609f19, 0xda9fddba7c1274bf, 0xe2fae490da3749fe, 0x892c79e012a7752a, 0xa3e12fc4361222fb,
  0x99e2ee372b7e007e, 0x9ea3f493dcb19fac, 0x0a9888b1c74fe0f5, 0x3e7659e8d219cc58, 0x348a807feccf1d7a,
  0xbf6415a0796b720b, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef,
  0x6db9c31dbd8aaa2d, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xd75a7c5a7e792bf7, 0x000000000000000d,
};

static const uint64_t ur_m32u4_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41446f43, 0x7774b020c1056377, 0x70cf0a313b4cf777, 0x8cd660fbaebe00a1, 0xdf6919eca23f644d,
  0x3f43f304f8c9dd69, 0xdba7c12383fe0e47, 0xf90da3749feda9fd, 0x00953bdf677fd51b, 0x273b8dcb9124afcf,
  0x2beea53b5958f7cc, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291, 0x648c9a39d5db8f51,
  0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x062777ec2cc7d99e, 0xfddf9e0404e4db7e,
  0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb997cdb73863b7b1, 0xb2d5e5c9ab83cd84,
  0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e, 0xb4fcf257ee686658,
  0x00000000009f9028,
};

static const uint64_t ur_m32u4_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44863d5b, 0xbbba589c4f91ac6e, 0xf4c8f9fbdb83bbbb, 0x7afa90bdeef8f7a7, 0xcf9d6c3756a5dac1,
  0x533fa6a609f193ba, 0xfeedd3e097fcff08, 0x1c8786d1ba4ff6d4, 0xcf36d01c4b5717d5, 0x7e21b09117dc4963,
  0x8dc0449807f51f09, 0xa53b5b9b7be678bb, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d,
  0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0x77ec2cc7d99e546c,
  0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00027e596fc3439e,
};

static const uint64_t ur_m32u4_u1x12_uart0_dual[] = {
  0xdddd36bc4ea232a8, 0xeeeeefaf18ccd4cd, 0xc8a3ba6761b4056e, 0x8dd4bbdddd2b634c, 0x855c8eb46ad67c52,
  0x25252396a609f193, 0x0c1b48c0ddd6d032, 0x58093ba7c4b88185, 0x0514e0e4e6f9df99, 0x3f838f737a8ebef6,
  0x257f9fbe08a11c91, 0x9b896801b87c2886, 0x5a03e221955ddeef, 0xfa039e136f715086, 0x0b0de579096dccaf,
  0xd3e094e3fef5f866, 0x86d1ba4ff6d4feed, 0x487ea388a77cb57f, 0x0e6c906fc71d3f83, 0x62791bda398b017f,
  0x9fdc72c608ebc8b7, 0x7f157ceee2a4a560, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x57079b09732f9b6e, 0x67a615c9f9fd8b93, 0xd252d9f0271964b8,
  0xd3f3c95fb9a19961, 0x00000000cb7f4e32,
};

static const uint64_t ur_m32u4_u1x12_uart0_dual_pr[] = {
  0xeeee9b5e2750d2a8, 0x777777d78c8e2a66, 0xc69eac1fa7a53b77, 0xfa05991837bbba56, 0x93855c8eb46a3b4c,
  0x32252523ace609f1, 0x850c1b48c0ddd6d0, 0xccae833ba7c4b881, 0x7b028a7072737cef, 0x489fc1c7b9bd475f,
  0x4312bfcfdf04508e, 0x77cdc8e400dc3e14, 0x432d01f110caaeef, 0x7ffd01cf09b7b8a8, 0xa60b0de579096dcc,
  0xeedd3e091ebff80c, 0x57f86d1ba4ff6d4f, 0xf0690fd47b8677cb, 0x2fe1ccb5c9a8e3a7, 0x2dd84fa341673160,
  0x5869371cb1823af2, 0xec9fc55f3bb8a929, 0x0404e4db7e062777, 0x09bf37980efddf9e, 0x7c05a9c914b579d0,
  0xce88197f8a042d2a, 0xb09732f9b69c6378, 0xc1ddc68b1e70dc79, 0x19e985727eeaccdf, 0x7494b67c09c6592e,
  0x1a1cf257ee686658, 0x000000000620135a,
};

static const uint64_t ur_m32u4_u1x12_uart0_dual_pr_u4[] = {
  0xbba6d789a24343ee, 0xddddf5e31d9299bb, 0x37502e5de8f6dddd, 0xa69c8cf777619d45, 0x5cabbf22421b4f00,
  0x252190e609f1926c, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0x4a70387314bfccae, 0xc1d4a9bd474adb07,
  0xbfcfdf04508e489f, 0x963e00dc3e144312, 0x1f2221955ddeef9b, 0x039e130f9150865a, 0x1bcaf212dbc06ffa,
  0xf82413fff0194c16, 0xb46e93fdb53fbb74, 0x3fa8f914ef9626a1, 0xcd38bdf1c74fe0c4, 0x6b23afe731602a83,
  0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e, 0xcd914180efddf9e0,
  0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x29273e0a1a1cf257,
};

// m32u4_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u4_u1x12_uart0_dual_pr_ee[] = {
  0xbba6d789a243359b, 0xbbbebec98eba99bb, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x61426daeb739d6d3,
  0xcc13e32448dc8786, 0xeeb6819129291c3f, 0x25c40c2860da4606, 0x9b4d7e657419dd3e, 0xd47b1fd87fc38068,
  0x8a11c913f83a1f9b, 0x87c2886257f9fbe0, 0xabbbddf372e4401b, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf0194c161bcaf212, 0xb53fbb74f825beff, 0xb5a39121b46e93fd, 0x60c14f51e56bee6a, 0x50ef8aea57a8f836,
  0x185962291669d684, 0xb994b8a973484d7d, 0x89768851ef673ab4, 0x547cf58d56ba1d7a, 0xf65f4b3170908a04,
  0x27f58a8d823f5b86, 0x9fc55f3bb8a92804, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x56448be1a1cf257e,
};

// m32u4_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u4_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789a243573e, 0xbbbebc17a7da99bb, 0x3e08682b6b5bbbbb, 0xcfb9c5bbbb06ec4b, 0x4b8beecae3acadfb,
  0x8185e609f193c96e, 0x2303775b40c89494, 0xee9f12e20614306d, 0x031f9866ff32ba0c, 0xd69bd474b5b00b47,
  0xfdf04508e489fc18, 0x800dc3e144312bfc, 0xa21955ddeef9b8cf, 0x84c63e2a10cb40a2, 0xbc84b6f15bfe80e7,
  0x305ffc06530586f2, 0xa4ff6d4feedd3e09, 0xc74b717d50086d1b, 0x117dc4963cf36d01, 0xf5ff51f097e21b09,
  0x3ea5ccf1771b8293, 0x0ea5fa8e37e7b963, 0xc580a0a0f91c74fe, 0xd78033b5ac8ebf9c, 0x087486a807feccf1,
  0xbb8a92a93a0796b7, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x4b997cdb73863b7b, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3439e4afdcd0ccb0, 0x0000000034936bdc,
};

static const uint64_t ur_m32u4_u1x12_uart0_dual_pr_ee_ce[] = {
  0x774daf13a8286f97, 0x777d7933aef53377, 0x740362fbee377777, 0x7ad12ef74054e24d, 0x675c7f53a26f2651,
  0xa609f19253ae4f04, 0x775b40c89494874e, 0x12e20614306d2303, 0x98d6ff32ba0cee9f, 0xd47801b014870fd7,
  0x8a11c913f83b5b9b, 0x87c2886257f9fbe0, 0x5777bbe6e775801b, 0x48a8432d0d368865, 0xb79dbffa039e1360,
  0xe032982c3795e425, 0xd4feedd3e0974fff, 0xd51b9386d1ba4ff6, 0x7fcf36d01c1ac77f, 0x6e984e771b9950d0,
  0xf51e56fe4a76b2b2, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x2726dbf0313bbf64,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x371e6c25ccbe6db9,
  0xccdfc1ddc68b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00008001d161a1cf,
};

static const uint64_t ur_m32u4_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd36bc4d15b7672df, 0xdf5f63f2254cdddd, 0x47f337bf57dddddd, 0x627752616270b26d, 0x95806fae3f3bb697,
  0x91ed7267d72fad2c, 0x894948f3d7304f8c, 0x4306d2303775b40c, 0x68394ee9f12e2061, 0xeb338321cd495f99,
  0xf066b737a8ecf9b0, 0xaff3f7c114239227, 0xcea700370f8510c4, 0x016910caaeef77cd, 0x073c26383150865a,
  0x6f2bc84b6ffafff4, 0x049fe7fb520f3058, 0x8dd27fb6a7f76e9f, 0xb19bb8bea8d4f436, 0x88bee24b1e79b693,
  0x20ffa8f84bf10d84, 0x7374cf1771b9aa0f, 0xcf51e56fe4a76b73, 0x8ae037a8f83660d7, 0x62291669d6845029,
  0xb8ca1d484d7d1859, 0x44bb4428f7b39d5d, 0x547cf58d578d8ebd, 0xf65f4b3170908a04, 0x13fac546c1132386,
  0x4fe2af9ddc5494b3, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0xd5c1e6c25ccbe6db, 0xf83f6ec68b1be2e4, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x1e483cf257ee6866, 0x00000000008003d5,
};

static const uint64_t ur_m32u4_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739737a, 0x3dde17bc1f56d19b, 0xf361d78d7d9fbbbb, 0x304f8c9ddb1ec842,
  0x09775ffe6eb9f8f7, 0xd1bdaa3949bedd3e, 0x281c5ae77fd7a486, 0x9dc6e7ce90ff9e01, 0xd4b9ee580b8ce613,
  0x21c71d3f83c67ea3, 0x128d41ce62c05e81, 0xf71cb19e3af173b5, 0xdbf0313bbf60ebf0, 0xf9bcc077eefce726,
  0x9183536253f7ce4d, 0x19d102103182169c, 0xb612e65f36d38c6f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x43c16792bf734332, 0x000000000005ba92,
};

static const uint64_t ur_m32u4_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776254488a80b, 0xeeeee9626131dd63, 0x05fe3f8fb21a6c6e, 0x5593267bbbbab6ef, 0x93bb939eb3d769d8,
  0xfe0e473f21e609f1, 0x472937dba7c12727, 0xf2e2fae490da37b5, 0x7dc4963cf00953b7, 0x3f51f097e21b0911,
  0xeb2678bb8dc7f988, 0x3d67a8e4f4f72c67, 0x16028f9d2471d3f8, 0xd7a3e76afe8f5873, 0x0fb33ca807feccf1,
  0x13bbf60e3e0796b7, 0x077eefce726dbf03, 0xd8ce4df9bc03ea0c, 0xde33a20575539794, 0xdbd8aaa2d2c2e718,
  0xcd84b997cdb12431, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x4fcf257ee6866587, 0x00000001bae838cb,
};

static const uint64_t ur_m32u4_u2x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbb12ec12232a8, 0xeeee962713f4eb1b, 0xfd450671c7448eee, 0x2f5217bddf1ef4c8, 0x68d4ccd9f725a66d,
  0x9fdda9827c64ee9d, 0xdba7c1231fff0723, 0x90f0da37b5472937, 0xe012a76706e2faa3, 0xc4361222fb892c79,
  0x6e759b21fea3e12f, 0x29dadcdbdf33c5dc, 0x1b306b5fd4795f51, 0x422814c5613fd47c, 0xbe8c2cb1148b34eb,
  0x59ceaedd388ea426, 0x8d8ebce9bb6f68f0, 0x211473c8c38d8d57, 0x132386f65b2e62e1, 0xbf616744a9a546c1,
  0xeefce726dbf0313b, 0xe4df9bc03ea0c077, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x4b997cdb12431dbd,
  0x8b2d5e5c9ab83cd8, 0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0x8b4fcf257ee68665, 0x000000000027e15a,
};

static const uint64_t ur_m32u4_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627126eeb, 0x0bf4ad920b8f7e9e, 0x8410cf5217bdd1b6, 0x7755f33e83658ac8,
  0xc1c8e7ffe4c13e32, 0xca4df6e9f04ba7ff, 0xbea8dc9c368ded51, 0x4b1e7804a9db05b8, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x560a4a76b737194c, 0xf51f06cc18dff51e, 0x669d68450298ae21, 0xd484d7d185962291,
  0x1d189f39d5db9ef1, 0x1aaf1b1d7aea6ec2, 0x170908a24151e33b, 0x3f866470decb8723, 0xe4db7e062777ecc6,
  0xc9bf37980efddf9c, 0xd392306a6c4a7ef9, 0x8de33a2042063042, 0xc1e6c25ccbe6da71, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x65a7e792bf734332, 0x000000000013f021,
};

// m32u4_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u4_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbb12a2444375, 0x777774b1308a6eb1, 0x8ec17fa5067b8bf7, 0x1090803777756ddf, 0xc9dd81602aa2b624,
  0xff07239f297304f8, 0xa3949bedd3e093a5, 0x95717d72486d1bda, 0x7dc4963cf00953ba, 0x3f51f097e21b0911,
  0xd64cf1771b95bf00, 0x7acf51fa49ee58cf, 0x2c054c4458e3a7f0, 0xbd1f3b2cf4690ce6, 0x059a45403ff6678e,
  0x9ddfb20ad03cb5b9, 0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20,
  0x5f36dce18edec555, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x06ebad3e2d3f3c95,
};

static const uint64_t ur_m32u4_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb12d41446f43, 0xbbbba58106082b1b, 0x0b86785189da67bb, 0x6c66b307dd75f005, 0x4efb48cf6511fb22,
  0x39fa1f9827c64eeb, 0xbedd3e091c1ff072, 0x8dfc86d1bdaa3949, 0xe7804a9defb3bfea, 0xe6139dc6e5c89257,
  0x4795f7529dacac7b, 0xb7fd47c1b306b5fd, 0x48b34eb422814c57, 0xa8ea426be8c2cb11, 0xda32464d1ceaedc7,
  0xf6ac6abc6c75e74d, 0xd973170908a09e46, 0xcf2a3608991c37b2, 0xbf0313bbf61663ec, 0x077eefcf0202726d,
  0xa74026fcde6c8a0c, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xc25ccbe6db9c31db, 0x34596af2e4d5c1e6,
  0x4e7ea75663c81f94, 0x43cc9fe04e34a185, 0x970cf4c2b93f01f3, 0x2c3a4a5b3e04e32c, 0x145a7e792bf73433,
  0x0000000000004fc8,
};

static const uint64_t ur_m32u4_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777762544863d5b, 0xddddd2c4e27c8d63, 0x3fa647cfdedc1ddd, 0x0bd7d485ef77c7bd, 0xd67ceb61bab52ed6,
  0x4299fd35304f8c9d, 0xa4df6e9f04bfe7f8, 0xea8e43c368ded51c, 0xb1e79b680e25ab8b, 0x84bf10d8488bee24,
  0x5dc6e0224c03fa8f, 0xf7529dadcdbdf33c, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x13bbf61663eccf2a,
  0xefcf0202726dbf03, 0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0xcbe6db9c31dbd8aa,
  0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000013f2cb7e1a1,
};

static const uint64_t ur_m32u4_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a232a8, 0xdddddddf5e3199a9, 0x99914774cec3680a, 0xa51ba977bbba56c6, 0x270ab91d68d5acf8,
  0x644a4a472d4c13e3, 0x0a18369181bbada0, 0x32b012774f897103, 0xec0a29c1c9cdf3bf, 0x227f071ee6f51d7d,
  0x0c4aff3f7c114239, 0xdf3712d00370f851, 0x0cb407c4432abbbd, 0x5ff4073c26dee2a1, 0xcc161bcaf212db99,
  0xdba7c129c7fdebf0, 0xaff0da37b5472937, 0xf0690fd47114ef96, 0x2fe1cd920df8e3a7, 0x16ec4f237b473160,
  0xac13fb8e58c11d79, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x726ae0f3612e65f3, 0x970cf4c2b93f3fb1, 0x2c3a4a5b3e04e32c,
  0xc65a7e792bf73433, 0x0000000000196fe9,
};

static const uint64_t ur_m32u4_u2x8_uart0_dual_pr[] = {
  0xcdddddd36b50d2a8, 0xeeeeeeefaf191c54, 0xad8d3d583f4f4a76, 0x99f40b32306f7774, 0xe3270ab91d68d476,
  0xa0644a4a4759cc13, 0x030a18369181bbad, 0xdf995d06774f8971, 0xbef60514e0e4e6f9, 0x1c913f838f737a8e,
  0x2886257f9fbe08a1, 0xdeef9b91c801b87c, 0x50865a03e221955d, 0x98fffa039e136f71, 0x194c161bcaf212db,
  0x937dba7c123d7ff0, 0xf96aff0da37b5472, 0x74fe0d21fa8f70ce, 0x2c05fc3996b9351c, 0x5e45bb09f4682ce6,
  0x252b0d26e3963047, 0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0x3a0137e6f301dfbb, 0xa54f80b5392296af,
  0x6f19d1032ff14085, 0x8f3612e65f36d38c, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59, 0xcb0e9296cf8138cb,
  0x6b43439e4afdcd0c, 0x000000000000c402,
};

static const uint64_t ur_m32u4_u2x8_uart0_dual_pr_u4[] = {
  0x777774daa24343ee, 0xbbbbbbebc63b2533, 0x8a6ea05cbbd1edbb, 0x014d3919eeeec33a, 0xd8b9577e4484369e,
  0x4a4a4321cc13e324, 0x18369181bbada064, 0x5d06774f8971030a, 0x0e94e070e6297f99, 0x3f83a9537a8e95b6,
  0x257f9fbe08a11c91, 0x372c7c01b87c2886, 0xb43e44432abbbddf, 0xf4073c261f22a10c, 0x2c3795e425b780df,
  0xe9f04827ffe03298, 0xd4368ded51ca4df6, 0x1887f51f229df2c4, 0x5079a717be38e9fc, 0x9dad6475fce62c05,
  0x35403ff6608ebc01, 0x552740f2cf6c43a4, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf,
  0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000524e7c143439e,
};

// m32u4_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u4_u2x8_uart0_dual_pr_ee[] = {
  0x777774daa243359b, 0x77777d7d931d7533, 0x9f7d7738b513f777, 0xa72802a2eee4e29d, 0x0cc284db5d6e73ad,
  0x7f9827c64891b90f, 0x0ddd6d0322525238, 0x7c4b881850c1b48c, 0xd1369afccae833ba, 0x37a8f63fb0ff8700,
  0xc114239227f0743f, 0x370f8510c4aff3f7, 0x655777bbe6e5c880, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xffe032982c3795e4, 0x51ca4df6e9f04b7d, 0xcd56b47224368ded, 0x06cc1829ea3cad7d, 0xd08a1df15d4af51f,
  0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743, 0x70decbe9662e1211,
  0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x000ac8917c3439e4,
};

// m32u4_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u4_u2x8_uart0_dual_pr_ce[] = {
  0x777774daa243573e, 0x77777d782f4fb533, 0x967c10d056d6b777, 0xf79f738b77760dd8, 0xdc9717dd95c7595b,
  0x29030bcc13e32792, 0xda4606eeb6819129, 0x19dd3e25c40c2860, 0x8e063f30cdfe6574, 0x31ad37a8e96b6016,
  0xf9fbe08a11c913f8, 0x9f001b87c2886257, 0x454432abbbddf371, 0xcf098c7c54219681, 0xe579096de2b7fd01,
  0x1260bff80ca60b0d, 0xa37b5472937dba7c, 0xa038e96e2faa010d, 0x61222fb892c79e6d, 0x527ebfea3e12fc43,
  0x2c67d4b99e2ee370, 0x9fc1d4bf51c6fcf7, 0xf398b014141f238e, 0x9e3af00676b591d7, 0xd6e10e90d500ffd9,
  0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x7b86873c95fb9a19, 0x000000000006926d,
};

static const uint64_t ur_m32u4_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeee9b5a8286f97, 0xeeeefaf2675dea66, 0x9ae806c5f7dc6eee, 0xa2f5a25dee80a9c4, 0x08ceb8fea744de4c,
  0x9d4c13e324a75c9e, 0x06eeb6819129290e, 0x3e25c40c2860da46, 0xaf31adfe657419dd, 0x37a8f00360290e1f,
  0xc114239227f076b7, 0x370f8510c4aff3f7, 0xcaaeef77cdceeb00, 0xc09150865a1a6d10, 0x4b6f3b7ff4073c26,
  0xffc06530586f2bc8, 0x472937dba7c12e9f, 0xeffaa37270da37b5, 0x1a0ff9e6da038358, 0x564dd309cee3732a,
  0xaf9ea3cadfc94ed6, 0x5315c06f51f06cc1, 0xb2c4522cd3ad08a0, 0xbb71943a909afa30, 0x7a89768851ef673a,
  0x08a8f9eb1aaf1b1d, 0x0decbe9662e12114, 0x6627f58a8d822647, 0xec9fc55f3bb8a929, 0x0404e4db7e062777,
  0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xabc6e3cd84b997cd,
  0x9d599bf83bb8d165, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33, 0x39e4afdcd0ccb0e9,
  0x00000010003a2c34,
};

static const uint64_t ur_m32u4_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbba6d515b7672df, 0xbbbebec7e44a99bb, 0xda8fe66f7eafbbbb, 0x2ec4eea4c2c4e164, 0x592b00df5c7e776d,
  0x1923dae4cfae5f5a, 0x19129291e7ae609f, 0xc2860da4606eeb68, 0x32d0729dd3e25c40, 0x61d66706439a92bf,
  0x4fe0cd6e6f51d9f3, 0x895fe7ef82284724, 0x9b9d4e006e1f0a21, 0xb402d221955ddeef, 0xe80e784c7062a10c,
  0xb0de579096dff5ff, 0x3e093fcff6a41e60, 0x86d1bdaa3949bedd, 0xd276337717d51a9e, 0xb09117dc4963cf36,
  0x41e41ff51f097e21, 0x6e6e6e99e2ee3735, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71943a909afa3, 0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0xdb73863b7b15545a, 0x5c9ab83cd84b997c, 0x337f07edd8d1637c, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x7aa3c9079e4afdcd, 0x0000000000001000,
};

// m32u4_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m32u4_u2x12_uart0_noled_pr_ce[] = {
  0xeeec49dd4488ba31, 0xdddd2c70bd93ac6e, 0x385ec44ade833ddd, 0x850dbdddd36922b5, 0x776c4d86080052d1,
  0xc1c8e7cbacc13e32, 0xb53eab74f825f3bf, 0x490da37b547293f9, 0xcf00953b7f2e2fae, 0x7e21b09117dc4963,
  0xb8dc7f9883f51f09, 0x4f4f72c67eb2678b, 0xd2471d3f83d67a8e, 0xafe8f587316028f9, 0x807feccf1d7a3e76,
  0xe3e0796b70fb33ca, 0xe726dbf0313bbf60, 0x9bc03ea0c077eefc, 0x575539794d8ce4df, 0x2d2c2e718de33a20,
  0x7cdb12431dbd8aaa, 0x7c5c9ab83cd84b99, 0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x1bae9968b4fcf257,
};

static const uint64_t ur_m32u4_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77624eed414477d6, 0xddd2c5c0a82d6377, 0x3f6a6fe9e989dddd, 0x910e0fbbe96a18d3, 0x38ae0fda68b51590,
  0xf4b5304f8c9dd7ad, 0xdd3e090d6ff07239, 0xded51ca4fe6d4faa, 0xf021dff546fe4368, 0x73acd90ff3c0254e,
  0x4ed6563df309cee3, 0xd9835afea3cafa89, 0x1140a62b09fea3e0, 0xf4616588a459a75a, 0xce7576e9c4752135,
  0x6c75e74ddb7b4782, 0x08a39e461c6c6abc, 0x991c37b2d9731709, 0xfb0b3a254d2a3608, 0x77e73936df8189dd,
  0x26fcde01f50603bf, 0xd102baa9cbca6c67, 0x55516961738c6f19, 0x5ccbe6d89218edec, 0x596af2e4d5c1e6c2,
  0x7ea75663c81f9434, 0xcc9fe04e34a1854e, 0x0cf4c2b93f01f343, 0x3a4a5b3e04e32c97, 0x5a7e792bf734332c,
  0x00000000009f9d3c,
};

static const uint64_t ur_m32u4_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xeeec49dd44867f3e, 0xbbba588d0533ac6e, 0xb8da29bbd837bbbb, 0xa165955a6ec2f536, 0xd545eccdd6fa7725,
  0x33e9b7304f8c9dd8, 0x55ba7c1219bff085, 0xd1bdaa3949fcda9f, 0x1c383717d51c8786, 0x9117dc4963cf36d0,
  0xd493f51f097e21b0, 0xcdbdf33c5dc6e747, 0xb5fd4795f5129dad, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00027e0fc143439e,
};

// m32u4_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m32u4_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4488a493, 0xeeee96385c90ac6e, 0x9b532666ef4fdeee, 0x412a1eeee9b4916c, 0x7743720a68a768d8,
  0xc1c8e7d82cc13e32, 0xb53eab74f82470ff, 0x490da37b547293f9, 0x9e012a7752ae2fae, 0xfc4361222fb892c7,
  0xe372b7e007ea3e12, 0x493dcb19fac99e2e, 0x8b1c74fe0f59ea3f, 0x9e8d219cc580a988, 0x07feccf1d7a3e765,
  0x5a0796b720b348a8, 0x726dbf0313bbf641, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0xc1e6c25ccbe6db9c, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xa5a7e792bf734332, 0x0000000000dd7de0,
};

static const uint64_t ur_m32u4_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x77624eed41445541, 0xddd2c5c0ac8d6377, 0x8d35a3c8ef25dddd, 0xc88707ddf4b50e82, 0x932271ce5c647c19,
  0xfd3f304f8c9dd014, 0x74f825d5ffe0e473, 0x7b547293f9b53eab, 0xdf677fd51bf90da3, 0xcb9124afcf00953b,
  0x3b5958f7cc273b8d, 0x660d6bfa8f2beea5, 0x450298af6ffa8f83, 0xd185962291669d68, 0x39d5db8f51d484d7,
  0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12, 0xec2cc7d99e546c11, 0x0404e4db7e062777,
  0xbcd914180efddf9e, 0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xc9ab83cd84b997cd,
  0xc7903f2868b2d5e5, 0x9c69430a9cfd4eac, 0x727e03e687993fc0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00009f8bb0b4fcf2,
};

static const uint64_t ur_m32u4_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeeec49dd44864c7f, 0xbbba588d02c1ac6e, 0x4cd71b4bd477bbbb, 0x8405955a6ec2f537, 0x5ddce29d55e2465d,
  0x4cfbfc9827c64eef, 0xeab74f8241a3fc21, 0xda37b547293f9b53, 0x03896ae2faa390f0, 0x1222fb892c79e6da,
  0x9300fea3e12fc436, 0x736f7ccf1771b808, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647,
  0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xdc79b09732f9b6e7, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0x45fe07efd8668799,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0xe25b486873c95fb9, 0x0000000000000027,
};

static const uint64_t ur_m32u4_u2x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeefafdb68cd4cd, 0xe891e4ad3b6c36ee, 0x706e89dbbbb8bdeb, 0x568b90f62d5b1a8a,
  0x44a4a45254c13e32, 0xa18369181bbada06, 0x2b012774f8971030, 0xc1c99c3e74d21ff3, 0x13f837f26f51ca2e,
  0x6257f9fbe08a11c9, 0xf373abc01b87c288, 0xcb41ef4432abbbdd, 0xfe80e784c37e2a10, 0x0586f2bc84b6f52b,
  0xe9f04bbaff7afc33, 0xf6a8e527f36a7d56, 0x8e229df2d5fe1b46, 0x8f491c74fe0d21fa, 0x37b4731602fe1cc9,
  0x9630475e45bb35f2, 0xe77715252b07dee3, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0x4a74026fcde5ba83,
  0x169c05ef9537a94e, 0xc6378ce8811d4502, 0x57079b09732f9b69, 0x67a615c9f9fd8b93, 0xd252d9f0271964b8,
  0xd3f3c95fb9a19961, 0x0000000065be38b2,
};

// m32u4_u2x12_uart0_dual_pr_u4
static const uint64_t ur_m32u4_u2x12_uart0_dual_pr[] = {
  0xdd36bc4d1218022f, 0xeefafdb6d394cddd, 0xa0dc24755f6eeeee, 0x0a89dbbba34da294, 0x964c1f91a8671050,
  0x48a4a9827c64833b, 0xd2303775b40c8949, 0xcee9f12e20614306, 0x9c0a5ccc17f32ba0, 0x7fba6f51dd2ec0e1,
  0xf3f7c114239227f0, 0xfe00370f8510c4af, 0x7c4432abbbddf373, 0x73c267be2a10cb41, 0x795e425b7a95ff40,
  0x825dd7fe032982c3, 0x47293f9b53eab74f, 0x8a77cb1350da37b5, 0xf8e3a7f0621fd47c, 0xf398b01541e69c5e,
  0x823af00676b591d7, 0x3db10e90d500ffd9, 0xf9ddc549549d03cb, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726,
  0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x3612e65f36dce455, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xb50d0e792bf73433, 0x00000000002927ac,
};

// m32u4_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m32u4_u2x12_uart0_dual_pr_ee[] = {
  0xbbba6d789a2432db, 0xddddf5f853ada99b, 0xfdd8becad4d7dddd, 0xb554368bbb625d96, 0x22ac07c674a3f738,
  0xdd304f8c9b837238, 0x1bbada0644a4a447, 0xf8971030a1836918, 0x6a67f9f995d06774, 0x37a8fff3601a0e1a,
  0xc114239227f07d3f, 0x370f8510c4aff3f7, 0x655777bbe6e12500, 0x3938a8432d038688, 0x25b7a1fffa039e13,
  0xffe032982c3795e4, 0xf36a7d56e9f04b4d, 0x39121b46f6a8e527, 0x14f51e56bee6ab5a, 0xf8aea57a8f83660c,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x4db7e062777ec9fc, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x1e6c25ccbe6db9c8, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x42ce1a1cf257ee68,
  0x0000000000000056,
};

// m32u4_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m32u4_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789a2435202, 0xbbbebda9e7da99bb, 0xdc6a1edb55fbbbbb, 0xfbd95bbba8cd99f5, 0x21d6d366fcd7a2fd,
  0xb77304f8c9e9d727, 0x81bbada0644a4a43, 0x4f8971030a183691, 0xcdcdbb5f995d0677, 0x9bd470b5b031f380,
  0xf04508e489fc193a, 0x0dc3e144312bfcfd, 0x1955ddeef9b9d660, 0xd01a2a10cb41c9a2, 0x84b6e35bfe80e784,
  0x4ffc06530586f2bc, 0xfe6d4faadd3e0960, 0xea804368ded51ca4, 0xb1e79b680e3a5b8b, 0x84bf10d8488bee24,
  0x8bb8dc149faffa8f, 0x71bf3dcb19f52e67, 0x07c8e3a7f0752fd4, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x01a491f5e1a1cf25,
};

static const uint64_t ur_m32u4_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeee9b5e275050c86, 0x7777d78dbc98a66e, 0xb8858abf72277777, 0xeb4c8091dd415b2a, 0xd8dd9f57e6283e26,
  0x7ae609f192ecae5d, 0x0ddd6d032252520c, 0x7c4b881850c1b48c, 0x6e6986fccae833ba, 0xdea38a4d87eb9c0d,
  0x04508e489fc1d6fc, 0xdc3e144312bfcfdf, 0x2abbbddf37000000, 0x5745421968456443, 0x2dbdadffd01cf09a,
  0xff0194c161bcaf21, 0x36a7d56e9f04ac7f, 0xe4e1b46f6a8e527f, 0xcdb40706b1dff546, 0x139dc6e654341ff3,
  0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a,
  0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7,
  0xf07771a2cb578dc7, 0xa50c2a73f53ab337, 0xf80f9a1e64ff0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x100073e86873c95f,
};

static const uint64_t ur_m32u4_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xe9b5e268adbb2906, 0x77d7e3b1f8a66eee, 0x44febde95ef77777, 0xccf753927dda083e, 0xa4636097d7aefa16,
  0x92afae457c80b782, 0x912929196d2609f1, 0x2860da4606eeb681, 0x2d0729dd3e25c40c, 0x0c8670a4a999cbf3,
  0xfe0e61a6f51facf6, 0x95fe7ef822847244, 0xb8b82006e1f0a218, 0x818fa21955ddeef9, 0x039e13757c542196,
  0x3795e425b735bffa, 0x825883fda907982c, 0x47293f9b53eab74f, 0xe2faa353d0da37b5, 0x892c79e6da4ec66e,
  0xa3e12fc4361222fb, 0x3c5dc6e6a83c83fe, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x9b09732f9b6e70c7, 0xbb1a2c6f8b935707, 0x54e7ea75666fe0fd, 0xfcc4ffef0f7bca18,
  0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0xf3c95fb9a19961d2, 0x000002003ecf7920,
};

// m32u4_swio10_noled_pr_ce_u4
static const uint64_t ur_m32u4_swio10_noled_pr_ce[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xd7da0bbc7e847ede, 0x930e279190243c7b, 0x65433376d4f77779,
  0x27c64eeb4efb54cf, 0x7027f8391cfdba98, 0x2a7795ae2fac8924, 0x61222fb892c79e01, 0x545c8fea3e12fc43,
  0x9633f5933c5dc6e2, 0xa7f0782fd47c927b, 0x58e62c05ee8148e3, 0x99e3af47cecf7a3b, 0x2d6eb86b3d500ffd,
  0xfdaf2e556aab540f, 0xd454aa35d09c73c9, 0xa9ace576a96fab39, 0xf2c5a4aa5f7afa45, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x732f9b640863b7b1, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x000375f6bd969f9e,
};

static const uint64_t ur_m32u4_swio10_noled_pr_ee_ce[] = {
  0x00ddddddd4144511, 0xa5cb4b1c85cc4d62, 0x23b06f5e9c2fe3f5, 0xb6f2662696c8e2f1, 0x0f911a7c2f87e001,
  0x27755f33e0dc5896, 0xfc1c8e7c344c13e3, 0xceffaa3387246c7f, 0x036eff3c0254eec7, 0x2b1ef984e771b800,
  0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb2c4522cd3ad08a0, 0x76efdc3a909afa30, 0xf3a6eda523884e75,
  0x4c5188b6355e363a, 0x0decb65cc5c24228, 0xcc9aafea8d822647, 0xe39e4fed7972ab52, 0x7d59cea2a551ae84,
  0xd7d22d4d672bb54b, 0xab4457962d2552fb, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x3cd84b997cdb2043, 0xf2868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e687993fc09c694, 0x6592e19e985727e0,
  0x866587494b67c09c, 0xc1d14b4fcf257ee6, 0x000000000000004f,
};

static const uint64_t ur_m32u4_swio10_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2431bc1, 0x0172d2c6ce5c1ac3, 0x17599ee8335a2a1c, 0xe9e3b18484715835, 0xde4e476b8e93e64d,
  0xf8c9dd1d74d7015d, 0x20ff08533e87d304, 0x3105c5f5476ea48e, 0x45f71258f3cdb407, 0x82fd47c25f886c24,
  0xdef99e2ee373a9cb, 0x3d4795ba594ed6e6, 0x2b90fea3e0d98340, 0x88a459a75a1140a6, 0xdfb8752135f46165,
  0x4ddb4a47109ceaed, 0xa3116c6abc6c75e7, 0xd96cb98b84845098, 0x355fd51b044c8e1b, 0x3c9fdaf2e556a599,
  0xb39d454aa35d09c7, 0xa45a9ace576a96fa, 0x88af2c5a4aa5f7af, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7,
  0x7b15545a5b44e31b, 0xb09732f9b640863b, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x886873c95fb9a199, 0x000000000027e1ea,
};

// m32u4_swio10_lednop_pr_ce_u4
static const uint64_t ur_m32u4_swio10_lednop_pr_ce[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x8bb647588f8b7ede, 0x4c389e4066c802fa, 0xe542da5d93dddde6,
  0x9f193bad88e72c14, 0xdf7fe0e473f15a60, 0xa9ddbab8beb22491, 0x8488bee24b1e7804, 0x94ce5fa8f84bf10d,
  0x58cfd64cf1771b94, 0x9fc1e0bf51c149ee, 0xe73160287b40238e, 0x9e3af47cedf22383, 0xb5bb7be81500ffd9,
  0xf6bcb955ac0ad03c, 0x5152a8d74271cf27, 0x101395daa5beace7, 0x92ad5d2fe916a6b8, 0x6bae7b55a22bcb16,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb2ec31dbd8aaa2d2, 0xc9ab83cd84b997cd, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xf756cb4fcf257ee6, 0x00000000000001ba,
};

static const uint64_t ur_m32u4_swio10_lednop_pr_ee_ce[] = {
  0x200ddddddd447768, 0x5a5cb4b1c85f92d6, 0xb83a8cf54dd8fe3f, 0x1b6f2662624d2c33, 0x38f4ea0bc2f87e00,
  0x32775d92be29d38a, 0x7f8391cfcedcc13e, 0xd1dff54670e48eed, 0x8fa927e7804a9dee, 0x5958f7cc273b8dce,
  0x0d00f51e565d653b, 0x0298aca5fa8f8366, 0x85962291669d6845, 0xabb77ce1d484d7d1, 0xaf3a6ec13d1af873,
  0x192231bf6355e363, 0xe1bd96cb98b84845, 0xb3b86b3d51b044c8, 0x38e793fb5e5caad4, 0xdf5673a8a9546ba1,
  0x8b535c0809caed52, 0x15e58b4956ae97f4, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x5ccbe6d97618edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x00014d345f169f9e,
};

static const uint64_t ur_m32u4_swio10_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2431000, 0x0172d2c6ce44eac3, 0x7f4a76e9bb642a1c, 0xe9e3b18485c18e24, 0xdc0b3234ce93e64d,
  0x7c64eed6abbced6c, 0x007f84299ffd7982, 0x9002e2faa3b75246, 0x22fb892c79e6da03, 0xf5fea3e12fc43612,
  0xdef99e2ee3702c8c, 0x3d479597594ed6e6, 0x2b297ea3e0d98340, 0x88a459a75a1140a6, 0xdf38752135f46165,
  0x9bb04f46be1ceaed, 0x8c6fd8d578d8ebce, 0x65b2e62e12114648, 0x1acf546c1132386f, 0xe4fed7972ab52cee,
  0x9cea2a551ae84e39, 0xd7020272bb54b7d5, 0x62d255aba5fd22d4, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0x458df0dc79b09732, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000027e04d686873,
};

// m32u4_swio10_dual_pr              m32u4_swio10_dual_pr_u4
static const uint64_t ur_m32u4_swio10_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff173894ca, 0xd8d5bbd38c49fbc5, 0x0819034a3d9b140b, 0x57b39db28a56ed45,
  0x26c9dc9a78af63af, 0xc894948300cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0xef9b95be00dc3e14, 0x865a119221955dde, 0x5ffa039e135ad150,
  0x4c161bcaf212db97, 0xe587c92352bff019, 0x74fe0c45f51e443b, 0x2c055079bf71951c, 0x5e00ced38a37bce6,
  0xb5e0faa01ffb3047, 0xe2a4b7f8607967b6, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x09caed52df5673a8,
  0x56ae97f48b535c08, 0xd73daad115e58b49, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0xbb22adec55516920,
  0xe1b8f3612e65f36c, 0xeaccdfc1ddc68b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x4935ad50d0e792bf, 0x0000000000000001,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0xca591aeb36855993, 0x91dc7cc13e32699d, 0xa4606eeb68191292, 0x9dd3e25c40c2860d, 0x700b5318ffe65741,
  0xc569bd47275b04b4, 0xcfdf04508e489fc1, 0x2200dc3e144312bf, 0xb4432abbbddf3715, 0xf0983dc54219682f,
  0xaf212dba6dffd01c, 0x687fff0194c161bc, 0x57bee6ab5a328b24, 0x7a8f83660ccaf51e, 0x669d68450ef8aedd,
  0x3484d7d185962291, 0x28e75697286b8a97, 0xae875ea25da3da3d, 0x242284011a636355, 0x8fd6e1bd97d2cc5c,
  0x2a4a014656b2a360, 0xe5caad67f157ceee, 0x9546ba138e793fb5, 0x9caed52df5673a8a, 0x6ae97f48b535c080,
  0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xb22adec55516920a, 0x1b8f3612e65f36cb,
  0x666fe0eee34596af, 0x04e34a1854e7ea75, 0x2b93f01f343cc9fe, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00001591eb70d0e7,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0xe3ab6fafcc73ed4c, 0x1ef77ba829eb41b8, 0x05d89e4a53b7aec2, 0xd201aafdfb75f0ce,
  0x9a5b93c119d385a9, 0x252523b8f9827c64, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x01ac70275325afcc,
  0x9fc1efb9bd478adb, 0x12bfcfdf04508e48, 0x9b8ce400dc3e1443, 0xb423da21955ddeef, 0xf4073c269122a10c,
  0x586f2bc84b6e9b7f, 0xfe491a1fffc06530, 0xfea3cad82cd56b46, 0x2b90fea3e0d98309, 0x88a459a75a1143be,
  0xe105cd2135f46165, 0xe28e6e39d5a5dc9a, 0xb1aad743af6b13b4, 0x8c5c242285ae8e32, 0xab8e93eb70decb8f,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f48b535c0809ca, 0xaad115e58b4956ae,
  0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xa718de33a206c7f8, 0x7c371e6c25ccbe6d, 0x9d599bf83bb8d163,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x02b2042e1a1cf257,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ce[] = {
  0x9dddddd0f5a1a5fb, 0xab6faf1b6a3ea658, 0xb37bad89d9091977, 0x8f913755a1d7087b, 0x89ae89fd77bb624c,
  0x8fdca591aeb91255, 0x2929075f4c13e324, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x8e4703833757fe65,
  0xfc1cae9bd47d9db0, 0x2bfcfdf04508e489, 0x71a0e00dc3e14431, 0x807b4432abbbddf3, 0x01cf09827c542196,
  0x1bcaf212dbd8fffd, 0xf92235bff0194c16, 0xe6da038706e2fa98, 0xc4361222fb892c79, 0x6e5c89257ea3e12f,
  0x9ee58cfa9733c5dc, 0x38e9fc1dc3f51fa8, 0x1bde731602d4aeea, 0xfd99e3af006769c5, 0x0f2d6e5af07d500f,
  0xe2af9ddc5496ff0c, 0x1cf27f6bcb955acf, 0xeace75152a8d7427, 0x6a6b8101395daa5b, 0xbcb1692ad5d2fe91,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb2ec31dbd8a, 0x8d1674f86e3cd84b,
  0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73dffc1343cc9f, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x0349318c3439e4af,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ce_u4[] = {
  0x19eeeeeed121a5fb, 0x3d5b7d78dba2f531, 0x5a16dd764ccf92d3, 0x704d29912af4fbfb, 0x2acaafad043dd467,
  0x93416e52c8d75c3e, 0xc89494867ae609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e52500370f851, 0x32d009e88655777b, 0x7fd01cf09a718a84,
  0x60b0de579096dd2d, 0xebdd491b75ff80ca, 0xb1e79b680e69bb8b, 0x84bf10d8488bee24, 0x1771b9722495fa8f,
  0xf2fa7b9633c38ccf, 0xe951c74fe0d67fa8, 0xc9118df398b0163d, 0x2dc72c678ebc8b76, 0xfc55f3bb8a928ea3,
  0xe39e4fed7972ab59, 0x7d59cea2a551ae84, 0x2d4d7020272bb54b, 0x57962d255aba5fd2, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b65d863b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d,
  0x00000001a489a086,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ee_ce[] = {
  0x64e2ddddddd432db, 0x3d6d5b7d7d68d3ca, 0x077eafba9f65aac3, 0x4af8dd1cef7187c8, 0x3683395c5a9fd39c,
  0x75c8e08ab0786675, 0x2520f9f4c13e3272, 0x1b48c0ddd6d03225, 0x833ba7c4b881850c, 0xf0e188266bbfccae,
  0x83ff937a8fa6b60f, 0x7f9fbe08a11c913f, 0x76ec01b87c288625, 0xc1510caaeef77cdc, 0x73c2690f150865a0,
  0xf2bc84b6fd83ff40, 0x91b5bffc06530586, 0x01cb5b3bfea8f024, 0xe370c03743fcf36d, 0x694ed6564dd309ce,
  0xe0d983eebd4795e5, 0x5a1140a62b95dea3, 0x35f4616588a459a7, 0xa51ceaedc50c7521, 0x78d8ebd44bb47b47,
  0x0908a1004698d8d5, 0x1132386f65f4b317, 0xc5494b38cad6546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6,
  0x1395daa5beace751, 0xad5d2fe916a6b810, 0xae7b55a22bcb1692, 0x17296be74078e56b, 0x4e31bc67440842a4,
  0xec31dbd8aaa2d241, 0x86e3cd84b997cdb2, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0x2749d0d0e792bf73, 0x0000000000000098,
};

static const uint64_t ur_m32u4_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76f2df, 0x5b7d7c0057b530b1, 0xe0b6abc75f654e2d, 0x9f799b9b426e5934, 0xa09b106cb133e3b5,
  0x08559cf2ee435c5d, 0x27c64bd6b9560108, 0xb40c894948d70598, 0x20614306d2303775, 0x5f9968394ee9f12e,
  0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0xef9b911880370f85, 0x0cb4239221955dde,
  0x7fe80e784dbee2a1, 0x60b0de579096dee4, 0xce0c9135bff6a41e, 0x79b693b35bb8bea8, 0xf10d8488bee24b1e,
  0xb9118a71ffa8f84b, 0xa76b737374cf1771, 0x6cc1f75ea3caf2b4, 0x08a05315caef51f0, 0xfa30b2c4522cd3ad,
  0x8e7576e2863a909a, 0x6c75ea25da3da3d2, 0x845080234c6c6abc, 0x991c37b2fa598b84, 0xa4a59c656b2a3608,
  0x5caad67f157ceee2, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0xae97f48b535c0809, 0x3daad115e58b4956,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0xc1e6c25ccbe6d976, 0x3f6ec68b1be2e4d5,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x483cf257ee686658, 0x0000000100020d5e,
};

// m32u4_swio11_noled_pr_ce_u4       m32u4_swio12_noled_pr_ce          m32u4_swio12_noled_pr_ce_u4
static const uint64_t ur_m32u4_swio11_noled_pr_ce[] = {
  0x993ddddda2447705, 0x72d2c5c0b17d639b, 0xe841aebcbdbf6f5f, 0xc38a8436168cc682, 0x8d2cfde3bdde6e64,
  0xf193bb61b6579149, 0xadfe0e473fa6e609, 0x9dcaeb8bebdd491c, 0x488bee24b1e7804a, 0x7495fa8f84bf10d8,
  0x8cfd64cf1771b8c8, 0xfc1acff51d7c9ee5, 0xe62c05dbf2fa38e9, 0xe3af47cec98a3114, 0x5bad6279500ffd99,
  0x6bcb955aa11303cb, 0x152a8d74271cf27f, 0xb395daa5beaece75, 0xc5a4ad8debe916a6, 0x7c5aeb9ed5688af2,
  0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x5f36d84263b7b155, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x06ebbcdb2d3f3c95,
};

// m32u4_swio12_noled_pr_ee_ce
static const uint64_t ur_m32u4_swio11_noled_pr_ee_ce[] = {
  0x88dbdddddd4458e2, 0x5cb4b1c85e99d60b, 0x3b06f6c982fe3f5a, 0xde485eb8da29bb12, 0xc9685f0be1f2e236,
  0xdd29c3d8371d6e9d, 0x0e473e9b7304f8c9, 0x7fd51975922337fe, 0xa3ff9e012a763367, 0x63df309cee3719cb,
  0x2bd4795c8794ed65, 0x62b387ea3e0d983d, 0x588a459a75a1140a, 0xdce4c752135f4616, 0x74dd8f547f21ceae,
  0x0a3deec6abc6c75e, 0xbd96cb98b8484511, 0xfa0e7951b044c8e1, 0x39e4fed7972ab52c, 0x5d9cea2a551ae84e,
  0xd22d4d672bb54b7d, 0xd115e58b495b1bd7, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x6c25ccbe6db084c7, 0x7e50d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3, 0xf9e4afdcd0ccb0e9,
  0x000000534d3eb969,
};

// m32u4_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m32u4_swio11_noled_pr_ee_ce_u4[] = {
  0xe3bddddda2435f41, 0xb9696367119d62c9, 0xa1bb7717a0950e00, 0xf1d8c5a048f4eb23, 0xc8c4efa749f32764,
  0x327768bfbb6c55c4, 0xffe10a67c524c13e, 0xbf717d51e9b9235b, 0xfb892c79e6da0395, 0x7ea3e12fc4361222,
  0xf99e2ee371dbb0b2, 0x4795c8794ed6e6de, 0x387ea3e0d983d2bd, 0xa459a75a1140a62b, 0x4c752135f4616588,
  0xd8f547f21ceaedce, 0xdeec6abc6c75e74d, 0x6cb98b84845110a3, 0xe7951b044c8e1bd9, 0x4fed7972ab52cfa0,
  0xcea2a551ae84e39e, 0xd4d672bb54b7d5d9, 0x5e58b495b1bd7d22, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x5ccbe6db084c76f6, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa1cf257ee6866587, 0x000000009f86e421,
};

// m32u4_swio11_lednop_pr_ce_u4      m32u4_swio12_lednop_pr_ce         m32u4_swio12_lednop_pr_ce_u4
static const uint64_t ur_m32u4_swio11_lednop_pr_ce[] = {
  0xcc9eeeeed1222044, 0xb96962e050ceb1cd, 0x75a2efa5ad1fb7af, 0x8715098bcd8b1f64, 0xdeb8d3537bbcdcc9,
  0xe3277505272e9c10, 0xebfc1c8e7e394c13, 0x3bd37717d7ba9236, 0x9117dc4963cf0095, 0xb2a3f51f097e21b0,
  0x19fac99e2ee37092, 0xf06b3fd4797d3dcb, 0xcc580b1ef4a8e3a7, 0x8ebd1f3b6488c6f9, 0xdd07fa45403ff667,
  0x5e5caad65da81e5a, 0xa9546ba138e793fb, 0x9caed52df57673a8, 0xe5e97f48b535c080, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0xae0f3612e65f36d8, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0xca2d3f3c95fb9a19, 0x00000000000375ea,
};

// m32u4_swio12_lednop_pr_ee_ce
static const uint64_t ur_m32u4_swio11_lednop_pr_ee_ce[] = {
  0x88dbdddddd4477d6, 0x5cb4b1c85d60d60b, 0x3d477b85353e3f5a, 0x6f242fa66b8da5a3, 0xcbb08385f0f9711b,
  0x775eb4e2295f6848, 0xc1c8e7dfe4c13e32, 0x77fd519759221a3f, 0xe089fcf00953b0d0, 0x563df309cee371a0,
  0xd2bd479594b94ed6, 0xa62b287ea3e0d983, 0x6588a459a75a1140, 0xedce94752135f461, 0xe74dda4447371cea,
  0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e, 0xe39e4fed7972ab52, 0xd5d9cea2a551ae84,
  0xd4d7020272bb54b7, 0xbcb1692b97a5fd22, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x997cdb63131dbd8a, 0xa2c79c5c9ab8d84b, 0x5c9fbab31e40fca1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x00534ec7f2d3f3c9,
};

// m32u4_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m32u4_swio11_lednop_pr_ee_ce_u4[] = {
  0xe3bddddda2436d3a, 0xb9696367327562c9, 0xa52b74fd9b150e00, 0xf1d8c5a11989134b, 0x99d89f2349f32764,
  0x64eedced9b1ed931, 0x7f84299fec19827c, 0xf5c5f547a6e48a1f, 0xee24b1e79b680e21, 0xfa8f84bf10d8488b,
  0xccf1771b9c3fc7dd, 0x3caca5ca76b736f7, 0x43f51f06cc1e95ea, 0x22cd3ad08a053159, 0xa3a909afa30b2c45,
  0xd22239b8e7576e74, 0x656355e363af3a6e, 0x65cc5c242285f11c, 0x3ca8d8226470decb, 0x7f6bcb955a9676b1,
  0x75152a8d74271cf2, 0x101395daa5beaece, 0x495cbd2fe916a6b8, 0xb5d73daad115e58b, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x009f996961a1cf25,
};

/*
 * m32u4_swio11_dual_pr              m32u4_swio11_dual_pr_u4           m32u4_swio12_dual
 * m32u4_swio12_dual_pr              m32u4_swio12_dual_pr_u4
 */
static const uint64_t ur_m32u4_swio11_dual[] = {
  0x841bbbbb4486dd9e, 0xadbebfc5fda532c8, 0x9f6ecbba667ef17e, 0x0641719d6414ccf5, 0x2d3924c765bb6442,
  0xd93b90fcabdd17ae, 0x129290a919827c64, 0x860da4606eeb6819, 0x57419dd3e25c40c2, 0x82fb3814599c9fe6,
  0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x82c3795e425b7297, 0x65af244a2ffe0329, 0x3f83defd47ee8ef9, 0x02a83cce4c3dc71d, 0x006764011a627316,
  0xe37d500ffd9823af, 0x5495f3a81e59edbd, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x95daa5beaece7515,
  0xbd2fe916a6b81013, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x62adec55516920a7,
  0xb8f3612e65f36d8c, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x341c70d0e792bf73, 0x0000000000000149,
};

// m32u4_swio12_dual_pr_ee
static const uint64_t ur_m32u4_swio11_dual_pr_ee[] = {
  0x1badddddd41432db, 0x56df5f98d71530a5, 0xc2f767120a89c8cf, 0x51c6c305947d3ef5, 0xb363aeebe1994a37,
  0x4704559608674843, 0x85d16609f1934cee, 0x2303775b40c89494, 0xee9f12e20614306d, 0x805a98c7ff32ba0c,
  0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0xa21955ddeef9b974, 0x84c1ee2a10cb417d,
  0xbc84b6fa6bfe80e7, 0x85affc06530586f2, 0xaedd4d56b47fba48, 0xea3e0d9830f7ea3c, 0x9a75a1143be2bd37,
  0xd2135f4616588a45, 0x539d5a5d82ae2a5c, 0xba1d7a897631e8cf, 0x908a34a4710d8d56, 0x3f5b86f65f4b3170,
  0x52500b2288aa8d82, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0x576a96fabb39d454, 0xf4bfa45a9ae0404e,
  0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb631,
  0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c,
  0x0005642b543439e4,
};

// m32u4_swio12_dual_pr_ee_u4
static const uint64_t ur_m32u4_swio11_dual_pr_ee_u4[] = {
  0x762777776890cf68, 0xab6fafcc4abd4c66, 0xae3ba769a741b8e3, 0xb13c94a56a7d96ad, 0x9ea3e3aeebe19b33,
  0x6e4d1f53af70dd88, 0x9485d16609f19269, 0x6d2303775b40c894, 0x0cee9f12e2061430, 0xb1c09d4c96bf32ba,
  0x07bee6f51e2b6c06, 0xff3f7c114239227f, 0x65400370f8510c4a, 0x8f688655777bbe6e, 0x1cf09a448a8432d0,
  0xde579096df4d7fd0, 0x4910b5ff80ca60b0, 0x4795a9e9aad68e03, 0x387ea3e0d983913d, 0xa459a75a1143be2b,
  0x05cd2135f4616588, 0x8c1439d5a5d2b2e1, 0xaad743af6b13b200, 0x5c242287bd1e45b1, 0x170feb70decb8f8c,
  0xacfe2af9ddc54957, 0x4271cf27f6bcb955, 0x5beaece75152a8d7, 0x916a6b8101395daa, 0x115e58b495cbd2fe,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0xc6f19d1028be8a04, 0xb8f3612e65f36d38, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xc9d3d0d0e792bf73, 0x000000000000000a,
};

// m32u4_swio12_dual_pr_ce
static const uint64_t ur_m32u4_swio11_dual_pr_ce[] = {
  0x323bbbba1eb432db, 0x5b7d78db402a640b, 0x4cdd414f5848cbbd, 0xf9129d73a8bcb56e, 0xaeec2c9f7bb02cc8,
  0x23f723822ac69e33, 0x4a4a44463304f8c9, 0x18369181bbada064, 0x5d06774f8971030a, 0x2391c0e0cdd5ff99,
  0x7f072ba6f51f676c, 0x4aff3f7c11423922, 0x6e29200370f8510c, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0xc3795e425b719bff, 0xf9244e0ffe032982, 0x9e6da0384eae2fab, 0xfc4361222fb892c7, 0xc6e5253397ea3e12,
  0xf9ee58cfa9733c5d, 0xe38e9fc1dadea384, 0x234c4e62c0528bb7, 0xffb33c75e00cec80, 0x40f2d6e7bc6faa01,
  0x7f157ceee2a4af9d, 0x38e793fb5e5caad6, 0xf57673a8a9546ba1, 0xb535c0809caed52d, 0xaf2c5a4ae5e97f48,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d8c4c76f62, 0xe3459d3e1b8f3612,
  0x54e7ea75666fe0ee, 0xf8b9c65f989fca18, 0x3f1cf7ff04d0f327, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x00d245d90d0e792b,
};

// m32u4_swio12_dual_pr_ce_u4
static const uint64_t ur_m32u4_swio11_dual_pr_ce_u4[] = {
  0xddc1ddddda2432db, 0xd5b7d78db75b5311, 0x4d7dd7ac1bb92d33, 0x2696c4efdd8becad, 0x4a3f738b56ea3bb8,
  0xa0b723822ac07c67, 0x4a4a447dd304f8c9, 0x18369181bbada064, 0x5d06774f8971030a, 0x1bece1a6e68adf99,
  0x3f8328737a8f95b6, 0x257f9fbe08a11c91, 0x37092801b87c2886, 0x6804f4432abbbddf, 0xe80e784d38c54219,
  0xb0de579096de87ff, 0x6fc91d37ff80ca60, 0xcf36d01cd9d717d7, 0x7e21b09117dc4963, 0xe3729299cbf51f09,
  0x8cf72c6787199e2e, 0x58e3a7f064f7a8f3, 0xc47191cc580a63cf, 0x71cb19e3af22dd97, 0x2af9ddc549475917,
  0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x6b8101395daa5bea, 0x58b495cbd2fe916a, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6db1898edec555, 0xd1637c371e6c25cc, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000000d242ce1a1c,
};

// m32u4_swio12_dual_pr_ee_ce
static const uint64_t ur_m32u4_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xb6adbebeb41f8a67, 0xbd7bddb178d5619e, 0xf8dd272b4107c89f, 0x5f5ebbda9fd3fb4a,
  0x93c119d4b229d582, 0x465b49827c64e4eb, 0x9181bbada0644a4a, 0x774f8971030a1836, 0xc3104cd77f995d06,
  0xff26f51f4d6c1fe1, 0x3f7c114239227f07, 0x100370f8510c4aff, 0x510caaeef77cdc5c, 0xc2690f150865a0c1,
  0xbc84b6e6b7ff4073, 0xe20ffc06530586f2, 0x73101dff54795a48, 0xdc548f75bf3cdb40, 0x53b5959374c273b8,
  0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad, 0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d,
  0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc,
  0x5daa5beaece75152, 0xd2fe916a6b810139, 0xdaad115e58b495cb, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x8edec55516920a71, 0x1e6c25ccbe6db189, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0x9c86873c95fb9a19, 0x0000000000004c13,
};

// m32u4_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m32u4_swio11_dual_pr_ee_ce_u4[] = {
  0x7dbbbbb456ddb69f, 0xdf5f0055ed4cebb6, 0x2d51fa2fd9538b56, 0xff57b04c3e382d78, 0x3620df5db3e3b455,
  0xce8438dfc3793c89, 0x192f5ae5202f9e5c, 0x32252521966e609f, 0x850c1b48c0ddd6d0, 0x65a0e53ba7c4b881,
  0xc3b04e1787372d7e, 0x9fc1b5dcdea3e376, 0x12bfcfdf04508e48, 0x37055000dc3e1443, 0x684724432abbbddf,
  0xd01cf09b7dc54219, 0x61bcaf212dbd257f, 0xa923787fed483cc1, 0x6d277787717d5193, 0x1b09117dc4963cf3,
  0x2a8b24ff51f097e2, 0x6b737374cf1771b8, 0x83dbfea3cae574a7, 0x40a62bdf7ea3e0d9, 0x616588a459a75a11,
  0xeaedcc14752135f4, 0xebd44bb18f467a9c, 0xa34a4710d8d578d8, 0x386f65f4b3170908, 0x96791445546c1132,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xfd22d4d7020272bb, 0x5a22bcb1692b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0xd8d1637c5c9ab83c,
  0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000020025c17c907,
};

// m32u4_swio13_noled_pr_ce_u4
static const uint64_t ur_m32u4_swio13_noled_pr_ce[] = {
  0x45dddddda2445541, 0xbee5a58b811bbac2, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dd48a6,
  0x9f193ba029267253, 0x95dfe0e473fb3a60, 0x53bdf7717d76fc91, 0x09117dc4963cf009, 0x4492bf51f097e21b,
  0xb19fac99e2ee372e, 0x9fc193dea3cdd3dc, 0xb398b014ca9c638e, 0x678ebd1f3b4428f7, 0x2d6e1149a5403ff6,
  0xfdaf2e556afadc0f, 0xd454aa35d09c73c9, 0x395daa5beaa6fb39, 0xd255abdebe916a6b, 0x2d75cf6ab4457962,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xf36c6431dbd8aaa2, 0xf1726ae0f3612e65, 0x75663c81f943458d,
  0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x6ebc7d72d3f3c95f,
};

static const uint64_t ur_m32u4_swio13_noled_pr_ee_ce[] = {
  0x543ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3f50c,
  0x93ba528eb1ba57d2, 0xfe0e473fa6a609f1, 0xc3bfea8ca5c91ff9, 0xa8683fe7804a9dff, 0x5958f7cc273b8dcc,
  0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1, 0xd79d376ea11e4873,
  0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8,
  0x48b5359caed52df5, 0x22bcb1692ad5ef5f, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f,
  0xb09732f9b63218ed, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c, 0xe792bf734332c3a4,
  0x000000534ce7c5a7,
};

static const uint64_t ur_m32u4_swio13_noled_pr_ee_ce_u4[] = {
  0x9bdddddda243704a, 0x0172d2c6ce23bac2, 0x174dd6e9bb642a1c, 0x4de3b188241b976d, 0x7d89c9c62693e64d,
  0xf193baeb75c50557, 0x77fe10a67f1ba609, 0xd77717d51ece922d, 0x2fb892c79e6da038, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0x93fb5e5caad4b3e9,
  0x73a8a9546ba138e7, 0xd672bb54b7d54df6, 0xc5a4ab57bd7d22d4, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x45a5b44e31bc6744, 0xcbe6d8c863b7b155, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000009f9f67a1a1,
};

// m32u4_swio13_lednop_pr_ce_u4
static const uint64_t ur_m32u4_swio13_lednop_pr_ce[] = {
  0x22eeeeeed1222582, 0x5f72d2c5c09a5d61, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15ba914,
  0x09f193ba76821cbb, 0x1d37fe0e473e35a6, 0x953bd9d717d76fc9, 0xb09117dc4963cf00, 0x39747ff51f097e21,
  0x9633f5933c5dc6e3, 0xd3f8327bd479c67b, 0xc8e62c0531e7ac71, 0x99e3af47cecbe238, 0x2d6e1bf70d500ffd,
  0xfdaf2e556b70e40f, 0xd454aa35d09c73c9, 0x395daa5beaa6fb39, 0xe492fe916a6b8101, 0xb9ed5688af2c5a4a,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0xae0f3612e65f36d0, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x2f2d3f3c95fb9a19, 0x00000000000375d2,
};

static const uint64_t ur_m32u4_swio13_lednop_pr_ee_ce[] = {
  0x543ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1fa86,
  0xc9dd69df69d96ca8, 0xfe0e473f6b7304f8, 0x677fd5194b9229b7, 0x939bff9e012a769b, 0x6563df309cee3714,
  0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46, 0x5e74ddbba460a1ce,
  0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0x9c73c9fdaf2e556a, 0xa6fb39d454aa35d0,
  0x6b8101395daa5bea, 0x2c5a4ae492fe916a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0x5f36d028c76f62aa, 0xb1e71726ae3612e6, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x14d317ecb4fcf257,
};

static const uint64_t ur_m32u4_swio13_lednop_pr_ee_ce_u4[] = {
  0x9bdddddda243306a, 0x0172d2c6ce191ac2, 0x1ebb2dd86656ea1c, 0x9bc76310447706d7, 0x10dd02f92d27cc9a,
  0xe32776abf261d642, 0x93fc214cf9adcc13, 0x149717d51ece9222, 0x17dc4963cf36d01c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xc9fdaf2e556a5988,
  0x39d454aa35d09c73, 0x01395daa5beaa6fb, 0x4ae492fe916a6b81, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04fc1eaf0d0e792b,
};

// m32u4_swio13_dual_pr              m32u4_swio13_dual_pr_u4
static const uint64_t ur_m32u4_swio13_dual[] = {
  0x8bbbbbbb44865c93, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6eb45,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf2cf7c91fddff80c, 0xe9fc1c1ff51f6f9d, 0xb01541e64ad1ee38, 0x78033b6948e21398,
  0x98c64a807fecc11d, 0xb8a92e04a07967b6, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xaed52df5537d9cea,
  0x497f48b535c0809c, 0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c,
  0xe3cd84b997cdb40a, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x2ff03f7ec3343cc9,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xd79f43439e4afdcd, 0x0000000000000524,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ee[] = {
  0x65bbbbbba8286f97, 0x7ab6fafcc6bbd4c7, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe19bb23,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x8e016a631ffccae8,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x8f4fffe032982c37, 0xcaf4dcd56b46e4e4, 0xdea3e0d9838f7ea3, 0x59a75a1143be2bd9,
  0xcd2135f4616588a4, 0xa839d5a5d4f2e2a5, 0xb5d0ebd44bb3f88f, 0x8484507aa3f92c6a, 0x11fadc37b2fa598b,
  0xc5494021f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x4bfa45a9ae0404e5,
  0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054,
  0xdfc1ddc68b2d5e37, 0xc69430a9cfd4eacc, 0x27e03e687993fc09, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x005641d161a1cf25,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ee_u4[] = {
  0x81bb777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0x1bac4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x95d06774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0x5f7247a7fff0194c, 0xaf51e578126ab5a3, 0x8acbafa8f83660fb, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x4a472f8e75697f9c, 0x58d56ba1d7b589db, 0xe3170908a131463e, 0x2ae2d6fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0x2df5537d9cea2a55, 0x48b535c0809caed5, 0x4457962d2572497f,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc674409cfa281, 0x6e3cd84b997cdb4e, 0xb337f07771a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x5920543439e4afdc, 0x0000000000000001,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ce[] = {
  0xcf7777743d686f97, 0xeadbebc6da27a98c, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f759999,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x069224ebff0194c1, 0x3cdb4073abee2fac, 0xf886c2445f71258f, 0x8dc24aca8fd47c25,
  0x93dcb19f52e678bb, 0xa38e9fc188bea3c8, 0x91c42731602fee32, 0xffd99e3af00676d2, 0x503cb5b9318c9500,
  0xcfe2af9ddc549702, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xcb1692b924bfa45a,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb40a31dbd8aa, 0xd1674f86e3cd84b9,
  0x39fa9d599bf83bb8, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x0d243243439e4afd,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0xd704d2c0b1d7cfb4, 0xd4e900d57c6add89,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe657419dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x7d4ca923b3bff019, 0x963cf36d01c8ad71, 0xf097e21b09117dc4, 0xe2ee37092b2a3f51,
  0x8e804f72c6787199, 0xf3a88e3a7f064d7a, 0xda6e47914e62c057, 0x1f371cb19e3af22d, 0x67f157ceee2a4a3a,
  0x138e793fb5e5caad, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0xe58b495c925fd22d, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x000000692042e1a1,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7b2,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x0e188266bbfccae8,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x8d6fffe032982c37, 0x0e56f9dff5472ba4, 0x1b97437547e79b68, 0xca76b2b26e984e77,
  0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a, 0xa0e7576e53c3a909, 0xe363af512ecfe23e,
  0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda,
  0xdaa5beaa6fb39d45, 0x2fe916a6b8101395, 0xd5688af2c5a4ae49, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x76f62aa8b490538c, 0xf3612e65f36d028c, 0xbf83bb8d163ce1b8, 0x5c33d30ae4fdd599, 0xb0e9296cf8138cb2,
  0x743439e4afdcd0cc, 0x000000000009822a,
};

static const uint64_t ur_m32u4_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a627d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106d3ed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d0729dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xaf92330dfed483cc, 0x6da4ee61ae2faa3e, 0x4361222fb892c79e,
  0x271fdc7fea3e12fc, 0xdadcdcdd33c5dc6e, 0x306657a8f2bdf729, 0x2814c576ebd47c1b, 0x8c2cb1148b34eb42,
  0x9d5db94f0ea426be, 0x8ebd44bb3f88fa83, 0x8a0f547f258d578d, 0x2386f65f4b317090, 0x94b31f37b546c113,
  0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xa45a9ae0404e576a, 0xa22bcb1692b924bf,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb40a31db, 0x8d1637c5c9ab83cd,
  0x73f53ab337f07edd, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00010013e0bc9079,
};

// m32u4_swio14_noled_pr_ce_u4
static const uint64_t ur_m32u4_swio14_noled_pr_ce[] = {
  0xefdddddda2447705, 0xbee5a58b8162fac6, 0x05d0835d797b7ede, 0xc98715086c2d198d, 0x931a59fbc77bbbbc,
  0x13e32776c36caf22, 0x395bfc1c8e7f4dcc, 0x953b95d717d7ba92, 0xb09117dc4963cf00, 0x90e92bf51f097e21,
  0xcb19fac99e2ee371, 0xd3f8359fea3af93d, 0x29cc580bb7e5f471, 0x33c75e8f9d931462, 0x96b75ac4f2a01ffb,
  0xfed7972ab5422607, 0xea2a551ae84e39e4, 0x59d372bb54b7d59c, 0xb1692b63f7f48b53, 0x9f16bae7b55a22bc,
  0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x97cdb61098edec55, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x01baef36cb4fcf25,
};

static const uint64_t ur_m32u4_swio14_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0x5a5cb4b1c85e99d6, 0x123b06f6c982fe3f, 0x36de485eb8da29bb, 0x4ee4b42f85f0fc00,
  0x64ee94e1ec1b8eb7, 0xff07239f4db9827c, 0xb3bfea8cbac9119b, 0xe5d1ffcf00953b19, 0xb2b1ef984e771b8c,
  0x1e95ea3cae43ca76, 0x053159c3f51f06cc, 0x0b2c4522cd3ad08a, 0x576e7263a909afa3, 0xaf3a6ec7aa3f90e7,
  0x88851ef76355e363, 0x70decb65cc5c2422, 0x967d073ca8d82264, 0x271cf27f6bcb955a, 0x5beace75152a8d74,
  0xfa45a9ace9b95daa, 0xad115e58b495b1fb, 0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6,
  0xc6c25ccbe6db084c, 0x07e50d163ce2e4d5, 0x33d30ae4fdd598f2, 0x9296cb25138cb25c, 0x9f9e4afdcd0ccb0e,
  0x0000000534d3eb96,
};

static const uint64_t ur_m32u4_swio14_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2435f41, 0x0172d2c6ce233ac3, 0x474376ee2f412a1c, 0xe9e3b18b4091e9d6, 0x899189df4e93e64d,
  0x7c64eed17f76d8ab, 0xb7ffc214cf8a4982, 0x2b7ee2faa3d37246, 0x45f71258f3cdb407, 0x64fd47c25f886c24,
  0xbdf33c5dc6e3b761, 0x7a8f2b90f29dadcd, 0x5670fd47c1b307a5, 0x1148b34eb422814c, 0x9c98ea426be8c2cb,
  0x9bb1ea8fe439d5db, 0x47bdd8d578d8ebce, 0xb2d973170908a221, 0x41cf2a3608991c37, 0x3c9fdaf2e556a59f,
  0xb39d454aa35d09c7, 0x6a6b3a6e576a96fa, 0x57962d256c7efe91, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3,
  0x8aaa2d2da2718de3, 0x9732f9b6c2131dbd, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x6873c95fb9a19961, 0x0000000027e1b908,
};

// m32u4_swio14_lednop_pr_ce_u4
static const uint64_t ur_m32u4_swio14_lednop_pr_ce[] = {
  0x77eeeeeed1222044, 0x5f72d2c5c0a19d63, 0xc8eb45df4b5a3f6f, 0x930e2a13179b163e, 0x21bd71a6a6f77779,
  0x27c64eea0a4e5d38, 0x6dd7f8391cfc7298, 0x2a77a6ee2faf7524, 0x61222fb892c79e01, 0x256547ea3e12fc43,
  0x9633f5933c5dc6e1, 0x4fe0d67fa8f2fa7b, 0xf398b0163de951c7, 0xcf1d7a3e76c9118d, 0xb5ba0ff48a807fec,
  0xf6bcb955acbb503c, 0x5152a8d74271cf27, 0x4e9b95daa5beace7, 0x5cbec7a45a9ae040, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x5945a7e792bf7343, 0x0000000000006ebd,
};

static const uint64_t ur_m32u4_swio14_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0x5a5cb4b1c85d60d6, 0xa33d477b85353e3f, 0x1b6f242fa66b8da5, 0x2465d841c2f87e00,
  0x193baf5a7114afb4, 0x1fe0e473eff2609f, 0x683bfea8cbac910d, 0xd07044fe7804a9d8, 0x6b2b1ef984e771b8,
  0xc1e95ea3caca5ca7, 0xa05315943f51f06c, 0x30b2c4522cd3ad08, 0x7576e74a3a909afa, 0x3af3a6ed22239b8e,
  0x285f11c656355e36, 0x470decb65cc5c242, 0xa9676b13ca8d8226, 0x4271cf27f6bcb955, 0xa5beace75152a8d7,
  0x5a9ae0404e9b95da, 0x15e58b495cbec7a4, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x5ccbe6db1898edec, 0x0d163ce2e4d5c6c2, 0x0ae4fdd598f207e5, 0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296,
  0x00029a763f969f9e,
};

static const uint64_t ur_m32u4_swio14_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda2436d3a, 0x0172d2c6ce64eac3, 0x974a56e9fb362a1c, 0xe9e3b18b42331226, 0x6333b13e4693e64d,
  0xf8c9ddb9db363db2, 0x3eff08533fd83304, 0x43eb8bea8f4dc914, 0x17dc4963cf36d01c, 0xbbf51f097e21b091,
  0xef99e2ee37387f8f, 0xd479594b94ed6e6d, 0xb287ea3e0d983d2b, 0x8a459a75a1140a62, 0xe94752135f461658,
  0xdda4447371ceaedc, 0x38cac6abc6c75e74, 0x96cb98b848450be2, 0x627951b044c8e1bd, 0xe4fed7972ab52ced,
  0x9cea2a551ae84e39, 0x0809d372bb54b7d5, 0x692b97d8f48b535c, 0x56bae7b55a22bcb1, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x0013f32d2c3439e4,
};

// m32u4_swio14_dual_pr              m32u4_swio14_dual_pr_u4
static const uint64_t ur_m32u4_swio14_dual[] = {
  0x8bbbbbbb4486dd9e, 0xfab6faff17f694ca, 0xd67dbb2ee999fbc5, 0x081905c675905333, 0xb8b4e4931d96ed45,
  0x9364ee43f2af745e, 0x644a4a42a46609f1, 0x0a18369181bbada0, 0x995d06774f897103, 0x360bece05166727f,
  0x244fe0cca9bd477f, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d08c910caaeef, 0x5ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xe596bc9128bff80c, 0x74fe0f7bf51fba3b, 0x580aa0f33930f71c, 0xbc019d90046989cc,
  0xf78df5403ff6608e, 0x715257cea07967b6, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0xa6e576a96fab39d4,
  0x2fb1e916a6b81013, 0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0x6e3cd84b997cdb63, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x4d071c3439e4afdc, 0x0000000000000052,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ee[] = {
  0x4eddddddd41432db, 0x9eadbebf31ae2a61, 0xeb85eece24151391, 0x6ea38d860b28fa7d, 0x8766c75dd7c3329c,
  0xdc8e08ab2c10ce90, 0x290ba2cc13e32699, 0xda4606eeb6819129, 0x19dd3e25c40c2860, 0x4700b5318ffe6574,
  0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0xfb4432abbbddf372, 0xcf0983dc54219682,
  0xe579096df4d7fd01, 0x910b5ff80ca60b0d, 0x795dba9aad68ff74, 0x6fd47c1b3061efd4, 0x8b34eb422877c57a,
  0xb9a426be8c2cb114, 0x9ea73ab4bb055c54, 0xad743af512ec63d1, 0xe121146948e21b1a, 0x047eb70decbe9662,
  0xe2a4a0164511551b, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x4dcaed52df5673a8, 0x5f63d22d4d702027,
  0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053, 0xdc79b09732f9b6c6,
  0x337f07771a2cb578, 0x271a50c2a73f53ab, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0000ac856a86873c,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ee_u4[] = {
  0x02f777776890cf68, 0xc756df5f98957a99, 0x5b5c774ed34e8371, 0x176279294ad4fb2d, 0x113d47c75dd7c338,
  0xd2dc9a3ea75ee1bb, 0x29290ba2cc13e324, 0x60da4606eeb68191, 0x7419dd3e25c40c28, 0x0d63813a992d7e65,
  0xfe0f7dcdea3c56d8, 0x95fe7ef822847244, 0xdcca8006e1f0a218, 0xa11ed10caaeef77c, 0xa039e13489150865,
  0x61bcaf212dbe9aff, 0x0692216bff0194c1, 0x7a8f2b53d355ad1c, 0x5670fd47c1b30722, 0x1148b34eb422877c,
  0xc20b9a426be8c2cb, 0x01182873ab4ba565, 0x6355ae875ed62764, 0x18b848450f7a3c8b, 0xae2e1fd6e1bd971f,
  0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x48b535c0809d372b, 0xa22bcb1692b97d8f,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a20517d140, 0x371e6c25ccbe6da7, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x593a7a1a1cf257ee, 0x0000000000000001,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ce[] = {
  0x13bbbbba1eb432db, 0x7ab6faf1b68054cb, 0xdc99ba829eb09197, 0x91f2253ae751796a, 0x675dd8593ef76c49,
  0x9247ee4704558d3c, 0xc89494888c6609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0xd8472381c19babff,
  0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0x7cdc524006e1f0a2, 0x65a01ed10caaeef7, 0xff4073c2609f1508,
  0x0586f2bc84b6e337, 0x57f2489c1ffc0653, 0x8f3cdb40709d5c5f, 0x25f886c2445f7125, 0xbb8dca4a672fd47c,
  0x09f3dcb19f52e678, 0x6fc71d3f83b5bd47, 0x0046989cc580a517, 0x03ff6678ebc019d9, 0x3a81e5adcf78df54,
  0xacfe2af9ddc5495f, 0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0x5a9ae0404e9b95da, 0x15e58b495cbec7a4,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5ccbe6db1898edec, 0xdc68b3a7c371e6c2,
  0x0a9cfd4eaccdfc1d, 0xff1738cbf313f943, 0x27e39effe09a1e64, 0xc09c6592e19e9857, 0x7ee6866587494b67,
  0x001a48bb21a1cf25,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ce_u4[] = {
  0x233dddddda2432db, 0x67ab6faf1b6eb6a6, 0x5a9afbaf5837725a, 0x704d2d89dfbb17d9, 0xce947ee716add467,
  0x93416e47045580f8, 0xc8949488fba609f1, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c37d9c34dcd15bf,
  0x227f0650e6f51f2b, 0x0c4aff3f7c114239, 0xbe6e12500370f851, 0x32d009e88655777b, 0xffd01cf09a718a84,
  0xc161bcaf212dbd0f, 0xaedf923a6fff0194, 0xc79e6da039b3ae2f, 0x12fc4361222fb892, 0x5dc6e5253397ea3e,
  0xe719ee58cf0e333c, 0x9eb1c74fe0c9ef51, 0x2f88e32398b014c7, 0x2ee39633c75e45bb, 0xfc55f3bb8a928eb2,
  0xe39e4fed7972ab59, 0x7d59cea2a551ae84, 0x35c0809d372bb54b, 0xcb1692b97d8f48b5, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb63131dbd8aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000001a4859c343,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ee_ce[] = {
  0xc9c5bbbbbba86f97, 0x3d6d5b7d7d683f14, 0x3f7af7bb62f1aac3, 0x95f1ba4e56820f91, 0x04bebd77b53fa738,
  0xd7278233a96453ab, 0x948cb69304f8c9c9, 0x6d2303775b40c894, 0x0cee9f12e2061430, 0xc3862099aeff32ba,
  0x0ffe4dea3e9ad83f, 0xfe7ef822847244fe, 0xb82006e1f0a21895, 0x82a21955ddeef9b8, 0xe784d21e2a10cb41,
  0xe579096dcd6ffe80, 0x91c41ff80ca60b0d, 0x80e6203bfea8f2b4, 0x71b8a91eeb7e79b6, 0x74a76b2b26e984e7,
  0xe0d983dbfea3cae5, 0x5a1140a62bdf7ea3, 0x35f4616588a459a7, 0x7a9ceaedcc147521, 0x78d8ebd44bb18f46,
  0x0908a34a4710d8d5, 0x1132386f65f4b317, 0x8a9296791445546c, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0x372bb54b7d59cea2, 0x7d8f48b535c0809d, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xe3cd84b997cdb631, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0x7390d0e792bf7343, 0x0000000000000982,
};

static const uint64_t ur_m32u4_swio14_dual_pr_ee_ce_u4[] = {
  0x5bbbbbb456ddb69f, 0x56df5f0055ed4c2c, 0x782d51fa2fd9538b, 0x55ff57b04c3e382d, 0x449b106cb133e3b4,
  0x2e67421c6fe1bc9e, 0x4f8c97ad729017cf, 0x6819129290cb3730, 0x40c2860da4606eeb, 0xbf32d0729dd3e25c,
  0xbb61d8270bc39b96, 0x244fe0daee6f51f1, 0x21895fe7ef822847, 0xef9b82a8006e1f0a, 0x0cb4239221955dde,
  0xbfe80e784dbee2a1, 0x60b0de579096de92, 0xc9d491bc3ff6a41e, 0x79b693bbc3b8bea8, 0xf10d8488bee24b1e,
  0xdc1545927fa8f84b, 0x53b5b9b9ba678bb8, 0x6cc1edff51e572ba, 0x08a05315efbf51f0, 0xfa30b2c4522cd3ad,
  0x4e7576e60a3a909a, 0x6c75ea25d8c7a33d, 0x8451a523886c6abc, 0x991c37b2fa598b84, 0x494b3c8a22aa3608,
  0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0xc7a45a9ae0404e9b, 0xaad115e58b495cbe,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xe6c25ccbe6db1898, 0x6ec68b1be2e4d5c1,
  0x1539fa9d599bf83f, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x3cf257ee68665874, 0x0000010012e0be48,
};

// m32u4_swio15_noled_pr_ce_u4
static const uint64_t ur_m32u4_swio15_noled_pr_ce[] = {
  0x37dddddda2445541, 0xbee5a58b811bbac7, 0x41b517588f8b7ede, 0x4c388bd95b412178, 0x9c34e19bd3dde6e6,
  0x9f193ba029267253, 0x95dfe0e473fb3a60, 0x53bdf7717d76fc91, 0x09117dc4963cf009, 0x4492bf51f097e21b,
  0xb19fac99e2ee372e, 0x9fc193dea3cdd3dc, 0xb398b014ca9c638e, 0x678ebd1f3b4428f7, 0x2d6e1149a5403ff6,
  0xfdaf2e556afadc0f, 0xd454aa35d09c73c9, 0x3a6e576a96fabb39, 0x692ad5fefe916a6b, 0x16bae7b55a22bcb1,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xf9b63218edec5551, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x375e3eb969f9e4af,
};

static const uint64_t ur_m32u4_swio15_noled_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xb4b9696390bf91ac, 0x06f6e0ea9bb1fc7e, 0x6dbc80bfe991f3f7, 0xed60bd7e17c3e5c4,
  0x93ba528eb1ba57d2, 0xfe0e473fa6a609f1, 0xc3bfea8ca5c91ff9, 0xa8683fe7804a9dff, 0x5958f7cc273b8dcc,
  0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1, 0xd79d376ea11e4873,
  0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8,
  0x48b5359d372bb54b, 0x115e58b4956aff7f, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xd84b997cdb190c76, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86, 0xf3c95fb9a19961d2,
  0x00000029a673e2d3,
};

static const uint64_t ur_m32u4_swio15_noled_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x0172d2c6ce23bac5, 0x174dd6e9bb642a1c, 0xc9e3b188241b976d, 0x7d89c9c62693e64e,
  0xf193baeb75c50557, 0x77fe10a67f1ba609, 0xd77717d51ece922d, 0x2fb892c79e6da038, 0xffea3e12fc436122,
  0xef99e2ee371705c3, 0xd47959c394ed6e6d, 0xb2ebea3e0d9833d7, 0x8a459a75a1140a62, 0x958752135f461658,
  0xddba847921ceaedc, 0x707ec6abc6c75e74, 0x2d973170908a3e44, 0x305aa3608991c37b, 0x93fb5e5caad4b3e9,
  0x73a8a9546ba138e7, 0xd674dcaed52df576, 0x62d255abfdfd22d4, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000004fcfb3d0d0,
};

// m32u4_swio15_lednop_pr_ce_u4
static const uint64_t ur_m32u4_swio15_lednop_pr_ce[] = {
  0x9beeeeeed1222582, 0x5f72d2c5c09a5d63, 0xb45d23fa306bbf6f, 0xc987117b37656da9, 0x2d541685e15bbcdc,
  0x09f193ba76821cbb, 0x1d37fe0e473e35a6, 0x953bd9d717d76fc9, 0xb09117dc4963cf00, 0x39747ff51f097e21,
  0x9633f5933c5dc6e3, 0xd3f8327bd479c67b, 0xc8e62c0531e7ac71, 0x99e3af47cecbe238, 0x2d6e1bf70d500ffd,
  0xfdaf2e556b70e40f, 0xd454aa35d09c73c9, 0x3a6e576a96fabb39, 0xb92b1e916a6b8101, 0xae7b55a22bcb1692,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0xab83cd84b997cdb4, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x8bcb4fcf257ee686, 0x000000000000dd74,
};

static const uint64_t ur_m32u4_swio15_lednop_pr_ee_ce[] = {
  0x171ddddddd446f43, 0xb4b9696390bf4eac, 0x477b13b490c77c7e, 0x36de405fe47e98d3, 0x371c6a2f0be1f2e2,
  0xc9dd69df69d96ca8, 0xfe0e473f6b7304f8, 0x677fd5194b9229b7, 0x939bff9e012a769b, 0x6563df309cee3714,
  0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46, 0x5e74ddbba460a1ce,
  0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0,
  0x6b81013a6e576a96, 0xcb1692b92b1e916a, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0x97cdb40a31dbd8aa, 0x2c79c5c9ab8d84b9, 0xc9fbab31e40fca1a, 0x4a271964b867a615, 0xfb9a19961d252d96,
  0x0534c5fb2d3f3c95,
};

static const uint64_t ur_m32u4_swio15_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243306a, 0x0172d2c6ce191ac5, 0x1ebb2dd86656ea1c, 0x93c76310447706d7, 0x10dd02f92d27cc9d,
  0xe32776abf261d642, 0x93fc214cf9adcc13, 0x149717d51ece9222, 0x17dc4963cf36d01c, 0xabf51f097e21b091,
  0xef99e2ee3719ebf5, 0xd479594394ed6e6d, 0xb60bea3e0d9833d7, 0x8a459a75a1140a62, 0x21c752135f461658,
  0xddbba460a1ceaedd, 0x7916c6abc6c75e74, 0x2d973170908a26e4, 0xa4d2a3608991c37b, 0xc9fdaf2e556a5988,
  0x39d454aa35d09c73, 0x013a6e576a96fabb, 0x92b92b1e916a6b81, 0x6bae7b55a22bcb16, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb40a31dbd8aaa2d2, 0x6f86e3cd84b997cd, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x013f07abc3439e4a,
};

// m32u4_swio15_dual_pr              m32u4_swio15_dual_pr_u4
static const uint64_t ur_m32u4_swio15_dual[] = {
  0x23bbbbbb44865c93, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x793086739eb6ed91,
  0x26c9dc8671716eb7, 0xc894948ba1cc13e3, 0x14306d2303775b40, 0x32ba0cee9f12e206, 0x6c17d9c0a2cce4ff,
  0x489fc199537a8efe, 0x4312bfcfdf04508e, 0x77cdc80000dc3e14, 0x432d08c910caaeef, 0x1ffd01cf09ad68a8,
  0xa60b0de579096dca, 0xf2cf7c91fddff80c, 0xe9fc1c1ff51f6f9d, 0xb01541e64ad1ee38, 0x78033b6948e21398,
  0x98c64a807fecc11d, 0xb8a92e04a07967b6, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0x372bb54b7d5d9cea,
  0x958f48b535c0809d, 0x3daad115e58b495c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7,
  0xb8f3612e65f36d02, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x35e7d0d0e792bf73, 0x0000000000000149,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ee[] = {
  0x95bbbbbba8286f97, 0x7ab6fafcc6bbd4c2, 0xdf71bbf68ed44e46, 0x751c40526ba01b17, 0xbc9945eebe1994a3,
  0xb93c119d71fd4e89, 0x521d3a9827c64d33, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x8e016a631ffccae8,
  0x38ad37a8e4eb6096, 0xf9fbe08a11c913f8, 0x75801b87c2886257, 0xf688655777bbe6e7, 0x9e1307b8a8432d05,
  0x95e425b79dbffa03, 0x8f4fffe032982c37, 0xcaf4dcd56b46e4e4, 0xdea3e0d9838f7ea3, 0x59a75a1143be2bd9,
  0xcd2135f4616588a4, 0xa839d5a5d4f2e2a5, 0xb5d0ebd44bb3f88f, 0x8484507aa3f92c6a, 0x11fadc37b2fa598b,
  0xc5494021f37b546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0xb95daa5beaece751, 0xac7a45a9ae0404e9,
  0xed5688af2c5a4ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0xc79b09732f9b6815,
  0x37f07771a2cb578d, 0x71a50c2a73f53ab3, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x00159074586873c9,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ee_u4[] = {
  0x8ccf777776890c86, 0x1c756df5f98efda9, 0xab6bbf747b586837, 0xccec4f25765b62f1, 0x6285900d17baf866,
  0x934b72eec6ecb41e, 0x44a4a43a75304f8c, 0xa18369181bbada06, 0x95d06774f8971030, 0x60358e04ea64b5f9,
  0x13f83df737a8f15b, 0x6257f9fbe08a11c9, 0xe6e747c01b87c288, 0x2d08f688655777bb, 0xfd01cf09a448a843,
  0x161bcaf212dbcedf, 0x5f7247a7fff0194c, 0xaf51e578126ab5a3, 0x8acbafa8f83660fb, 0x62291669d68450ef,
  0xb84173484d7d1859, 0x4a472f8e75697f9c, 0x58d56ba1d7b589db, 0xe3170908a131463e, 0x2ae2d6fadc37b2e3,
  0x2ab59fc55f3bb8a9, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x48b535c0809d372b, 0xd115e58b495c958f,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x8c6f19d10273e8a0, 0x1b8f3612e65f36d3, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x5648150d0e792bf7,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ce[] = {
  0x2f7777743d686f97, 0xeadbebc6da27a990, 0xa10ee9da69c2465d, 0x1f2252aabdd6e356, 0x55c535ec5f760599,
  0x23f7278233a1f8a7, 0x252520551304f8c9, 0x0c1b48c0ddd6d032, 0xae833ba7c4b88185, 0x11c8e07066eaffcc,
  0x3f8395d37a8fb3b6, 0x257f9fbe08a11c91, 0x6e022401b87c2886, 0xd00f688655777bbe, 0xa039e1304f8a8432,
  0x61bcaf212dbffcff, 0x069224ebff0194c1, 0x3cdb4073abee2fac, 0xf886c2445f71258f, 0x8dc24aca8fd47c25,
  0x93dcb19f52e678bb, 0xa38e9fc188bea3c8, 0x91c42731602fee32, 0xffd99e3af00676d2, 0x503cb5b9318c9500,
  0xcfe2af9ddc549702, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xf2c5a4ae4ac7a45a,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d028c76f62a, 0x3459d3e1b8f3612e,
  0x4e7ea75666fe0eee, 0x8b9c65f989fca185, 0xf1cf7ff04d0f327f, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x03490c90d0e792bf,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ce_u4[] = {
  0x477bbbbbb4486f97, 0x99eadbebc6dd694c, 0x99bddeeb4e375c96, 0x7704d2c0b1d7cfb4, 0xd4e900d57c6add47,
  0x32682dc9e08ce9c2, 0x19129291eb54c13e, 0xc2860da4606eeb68, 0xe657419dd3e25c40, 0x6d86fb3869b9a2b7,
  0x244fe0ca1cdea3e5, 0x21895fe7ef822847, 0x77cdc672006e1f0a, 0x865a013d10caaeef, 0xaffa039e134e3150,
  0x4c161bcaf212db85, 0x7d4ca923b3bff019, 0x963cf36d01c8ad71, 0xf097e21b09117dc4, 0xe2ee37092b2a3f51,
  0x8e804f72c6787199, 0xf3a88e3a7f064d7a, 0xda6e47914e62c057, 0x1f371cb19e3af22d, 0x67f157ceee2a4a3a,
  0x138e793fb5e5caad, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x7962d2572563d22d, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x73c95fb9a19961d2,
  0x0000001a4810b868,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ee_ce[] = {
  0x9f6b77777750cf68, 0xf5b56df5f5a0ce29, 0x6d2bdeee7db3eb0c, 0x95f1ba087912e161, 0x3fcda6cdb53fa7f6,
  0xae4d1f53a3826ece, 0x520f67a609f19393, 0xb48c0ddd6d032252, 0x33ba7c4b881850c1, 0x0e188266bbfccae8,
  0x3ff937a8fa6b60ff, 0xf9fbe08a11c913f8, 0x59001b87c2886257, 0x0a88655777bbe6e0, 0x9e134878a8432d06,
  0x95e425b7bc3ffa03, 0x8d6fffe032982c37, 0x0e56f9dff5472ba4, 0x1b97437547e79b68, 0xca76b2b26e984e77,
  0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a, 0xa0e7576e53c3a909, 0xe363af512ecfe23e,
  0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda,
  0xe576a96fabb39d45, 0xb1e916a6b81013a6, 0xb55a22bcb1692b92, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x3cd84b997cdb40a3, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c,
  0x9d0d0e792bf73433, 0x000000000002608a,
};

static const uint64_t ur_m32u4_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xb6faf801716a675d, 0x47f500badeca9c5a, 0xfbebdf1fc1f3c16b, 0xf1b106faed9f1dad,
  0xd4e9598aa31721b4, 0xf192f5ae548c4438, 0x8191292917aa2609, 0x0c2860da4606eeb6, 0xf32d0729dd3e25c4,
  0xb61d8270bc39b96b, 0x44fe0daee6f51f1b, 0x1895fe7ef8228472, 0xf37138f006e1f0a2, 0x9684724432abbbdd,
  0xfd01cf09b7dc5421, 0x161bcaf212db9257, 0xaf92330dfed483cc, 0x6da4ee61ae2faa3e, 0x4361222fb892c79e,
  0x271fdc7fea3e12fc, 0xdadcdcdd33c5dc6e, 0x306657a8f2bdf729, 0x2814c576ebd47c1b, 0x8c2cb1148b34eb42,
  0x9d5db94f0ea426be, 0x8ebd44bb3f88fa83, 0x8a0f547f258d578d, 0x2386f65f4b317090, 0x94b31f37b546c113,
  0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa45a9ae0404e9b95, 0x688af2c5a4ae4ac7,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x63458df1726ae0f3,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00004004f82f241e,
};

// m64_autobaud_uart0_noled_pr       m64a_autobaud_uart0_noled         m64a_autobaud_uart0_noled_pr
static const uint64_t ur_m64_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55e610bd, 0x10da6cfddea66b11, 0x4138fd68c1f77774, 0x82bbc9dd85eb478f,
  0x73f38cc13e301209, 0xbad408812f9fe150, 0x5442ebe487fc05d0, 0x3e2d3b424e0932bf, 0x0c7dfa8f5fcef961,
  0x2ca61179ea487124, 0x760e28ccf1cc580b, 0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a,
  0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xda5fe2adfef5545a, 0x4589f70dca5a97e6, 0xe4fdd598f2068fe3,
  0x87138cb25c33d30a, 0x66bcce62dfa4a5b3, 0x1cb11ba79382e731, 0x0000000000038880,
};

// m64a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m64_autobaud_uart0_noled_pr_u4[] = {
  0x5bbbbbbb4486eff6, 0xeeeeeeaaf3085ee2, 0x6d367eef533588ee, 0x7c7eb460fbbbba08, 0x7793ba34d71f8ffa,
  0xe719827c60241305, 0xd408812f9ff85767, 0x42ebe487fc05d0ba, 0x2d3b424e0932bf54, 0x7dfa8f5fcef9613e,
  0xa61179ea4871240c, 0x0e28ccf1cc580b2c, 0x807fecc11d7a3e76, 0x9503cb3db535f86a, 0x8e8c527969d28a15,
  0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0x5fe2adfef5545a54, 0x8b900dca5a97e6da, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2, 0x59af3398b7e9296c,
  0x8f276689e4e0b9cc, 0x000000000000461a,
};

// m64_autobaud_uart0_noled_pr_ee_u4 m64a_autobaud_uart0_noled_pr_ee   m64a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m64_autobaud_uart0_noled_pr_ee[] = {
  0x2ddddddda2431202, 0xbbbbbbaabb60a091, 0x311c29e9971d377b, 0x336017a1deadbb5a, 0x4eed89b0d5140503,
  0x6609f180904c15de, 0x8811c3ffc2bb3ec1, 0xbe487fc05d0bad40, 0xb424e0932bf5442e, 0x5ce3355ad1cdc2d3,
  0xea3e0d9831f3d479, 0xc3afb169bbe2b97d, 0x09afa5b1971c270d, 0x39d5a5d315c6b269, 0x43af3a6ecb3d189f,
  0x5a682d1e33b1aad7, 0xdc37b2d97ce038ec, 0x017e1806546c11fa, 0x9a3a3149e5a74a28, 0x9794deb9f8a3cdec,
  0x53e9e8754e047f52, 0x697f8ab7fbd55169, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x05347db0e3f8cbf3, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0x771a1d9a279382e7,
  0x000000000000026a,
};

// m64_autobaud_uart0_noled_pr_ce_u4 m64a_autobaud_uart0_noled_pr_ce   m64a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m64_autobaud_uart0_noled_pr_ce[] = {
  0x5bbbbbbb4486d38b, 0xdddddd55d3d78ee2, 0x4202ff1ec47568dd, 0xac2ac98dbdddde6f, 0xbbc9dd8361ba199b,
  0xfe74c13e30120982, 0xa8110228bff85767, 0x85d7c90ff80ba175, 0x5a76849c12657ea8, 0xf373b3d6317eab5c,
  0xf10d8488bace1e78, 0x70fd5f43ffa8f84b, 0x5f4f72ceafac9931, 0xe921c4903349ea3b, 0x46678e62c05b8621,
  0xff6678ebd1f3b071, 0x0796b729afc35403, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca,
  0x31dbfdeaa8b4a9f4, 0x4037296a5f9b697f, 0xd599bf83bb8d162e, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0xd59a279382e73166, 0x000000000237502e,
};

/*
 * m64_autobaud_uart0_noled_pr_ee_ce_u4 m64a_autobaud_uart0_noled_pr_ee_ce
 * m64a_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb7777776890c1107, 0xdddddd55f35be9c4, 0x6823f514ddef4edd, 0x699d0bf0b19bb64d, 0xeea4cb17c9d9f7c9,
  0x609f180904c15de4, 0x020b5ff85767c66e, 0xc90ff80ba175a811, 0x849c12657ea885d7, 0x0918bf547fb85a76,
  0x88bace1e78f373bc, 0xcf9fa8f84bf10d84, 0x5841ef993170f30c, 0x07197a8f2b05253b, 0x98a62b9bbd47c1b3,
  0x1971c270dc3afb16, 0xbb72623a909afa5b, 0xe74dd967a313e73a, 0x0b478cec6abc6c75, 0xecb65f380e3b169a,
  0xc300ca8d8226470d, 0x46293cb4e9450b3f, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2, 0xcc76ff7aaa2d2a7d,
  0x900dca5a97e6da5f, 0x75666fe0eee3458b, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0xd1e8bfc0fdffc14d,
  0xc4e32c970cf4c2f8, 0xaf3398b7e9296ce1, 0xc76689e4e0b9cc59, 0x0000000000411129,
};

// m64a_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m64_autobaud_uart0_noled_ee_hw[] = {
  0x6eeeeeed1468d38b, 0xdddddd55db050489, 0x88e14f4cb8e9bbdd, 0x9b00bd0ef56ddad1, 0xe4eec1b0dda6e819,
  0x16609f180904c15d, 0x04408e1fff5933ec, 0x75f243fe02e85d6a, 0x9da12704995faa21, 0xcae719aad68e6e16,
  0xef51f06cc18f9ea3, 0x6e1d7d8b4ddf15cb, 0x484d7d2d8cb8e138, 0xf9cead2e98ae3593, 0xba1d79d37659e8c4,
  0x62d34168f19d8d56, 0xd6e1bd96cbe701c7, 0x400bf0c032a3608f, 0x64d1d18a4f2d3a51, 0x94bca6f5cfc51e6f,
  0x4a9f4f43aa7023fa, 0xdb4bfc55bfdeaa8b, 0x7ea7bc11b94b52fc, 0x4ffef0f7bca1854e, 0x14d1f6c38fe32fcc,
  0x2f8d1e8bfc0fdffc, 0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x9e34d6a29e4e0b9c, 0x0000000000000058,
};

/*
 * m64_autobaud_uart0_noled_ee_ce_u4_hw m64a_autobaud_uart0_noled_ee_ce_hw
 * m64a_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart0_noled_ee_ce_hw[] = {
  0x2ddddddda28d12a8, 0x777777557cd6fa71, 0x5a08fd45377bd3b7, 0x5a6742fc2c66ed93, 0xbc9dd3b410f4b572,
  0xcdcc13e30120982b, 0x811020b5ffd64cf8, 0x5d7c90ff80ba175a, 0xa76849c12657ea88, 0x3bc0918bf547fb85,
  0xb0911759c3cf3c87, 0x0fb1bbf51f097e21, 0xa76b083df3262e1d, 0x3660e32f51e560a4, 0x62d314c57377a8f8,
  0x4b632e384e1b875f, 0xe7576e4c4752135f, 0x8ebce9bb2cf4627c, 0xd34168f19d8d578d, 0xe1bd96cbe701c762,
  0x67f8601951b044c8, 0x68e8c527969d28a1, 0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5,
  0xa7bc11b94b52fcdb, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f,
  0x9af3398b7e9296ce, 0x03eea29e4e0b9cc5, 0x0000000000004a92,
};

// m64_autobaud_uart0_lednop_pr      m64a_autobaud_uart0_lednop        m64a_autobaud_uart0_lednop_pr
static const uint64_t ur_m64_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdfc4f, 0x7777777557984792, 0xcb2b9bf07c3fbc7f, 0x215a17bbf377745f, 0x15de4eef8fc28b89,
  0x9f052609f180904c, 0xd6a0440be4ff0a83, 0xa2175f243fe02e85, 0xc169da12704995fa, 0x333dea3b5f1df2da,
  0xba6b8621e921c490, 0xc3ed1eb11cc580b7, 0x9adc72c608ebc5ce, 0xc0809e5a74a28562, 0x81c51e7c49a3a314,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xb94b52fcdb2e22ad, 0x1e40d1fc68b13ee1, 0x4b867a615c9fbab3,
  0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x00000e221ce62374,
};

// m64a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m64_autobaud_uart0_lednop_pr_u4[] = {
  0x4b7777776890c743, 0xddddddd55e6106bc, 0x0da17bd9f7e6933d, 0x8fa575e64f777741, 0x5de4eed05a660bfc,
  0xf3d6609f180904c1, 0x6a0440a5f7fe15d9, 0x2175f243fe02e85d, 0x169da12704995faa, 0x3efd4759e77cb09f,
  0xa61be4f524389206, 0x7b48cd21cc580b2c, 0x807fecc11d7a3e76, 0x8281e59ed99e534a, 0x2981013cb4e94515,
  0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x037296a5f9b65c45, 0x599bf83bb8d162e4,
  0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871,
  0x59a279382e73166b, 0x0000000011865c5f,
};

/*
 * m64_autobaud_uart0_lednop_pr_ee_u4 m64a_autobaud_uart0_lednop_pr_ee
 * m64a_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m64_autobaud_uart0_lednop_pr_ee[] = {
  0x96eeeeeed12198e2, 0xbbbbbbaabb6095b8, 0x8c4504c2b31d697b, 0xde2fc76877ab6ed6, 0x27743720a23e768f,
  0xd304f8c048260aef, 0x4408a1ffe15d9fca, 0x5f243fe02e85d6a0, 0xda12704995faa217, 0xacf59aad68e6e169,
  0xf51f06cc18f9ea3c, 0x70ebec5a6ef8af4a, 0x426be96c65c709c3, 0xce75697c9171ac9a, 0xe875e74ddba04621,
  0x16989f4720b6355a, 0xb70decb65f380e3b, 0x004a6bf0d51b047e, 0x8c5302027969d28a, 0x633a071479f1268e,
  0xa1d53815d54e5e53, 0x8ab7fbd55169b167, 0xc806e52d4bf36cb8, 0x3ab337f07771a2c5, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c, 0xd799cc5bf494b670, 0x5bb344f2705ce62c,
  0x00000000004d4e3f,
};

/*
 * m64_autobaud_uart0_lednop_pr_ce_u4 m64a_autobaud_uart0_lednop_pr_ce
 * m64a_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart0_lednop_pr_ce[] = {
  0x2ddddddda243280b, 0xeeeeeeaae9eb5371, 0xa131d82f267a6c6e, 0xc904242a1eeeef37, 0xaef27751d94aa16e,
  0xf387304f8c048260, 0x6a044092b7fe15d9, 0x2175f243fe02e85d, 0x169da12704995faa, 0x3cdcee448c5faad7,
  0xfc4361222eb3879e, 0x2e1c2d18ffea3e12, 0xf9e9ee59d5f59326, 0x17490e24819a4f51, 0x6919a4398b0177bc,
  0x0ffd99e3af47cecf, 0x140f2d6e33ca6950, 0x4c0809e5a74a28ac, 0xe81c51e7c49a3a31, 0x54e0575539794d8c,
  0xdfef5545a6c59e87, 0x37296a5f9b65c18e, 0x99bf83bb8d162e40, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc,
  0xa2ff03f7ff05347d, 0x8cb25c33d30be347, 0xce62dfa4a5b38713, 0x9a279382e73166bc, 0x000000011ba8d525,
};

/*
 * m64_autobaud_uart0_lednop_pr_ee_ce_u4 m64a_autobaud_uart0_lednop_pr_ee_ce
 * m64a_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x5bbbbbbb44867f3e, 0xeeeeeeaaf9ade462, 0xb47d323ed2f448ee, 0xb582107858cddb26, 0x3ba10f7ee058ebcb,
  0x9827c60241305779, 0x40ac7fff0aecf868, 0xf243fe02e85d6a04, 0xa12704995faa2175, 0x7dc62fd51fee169d,
  0x222eb3879e3cdcef, 0xa547ea3e12fc4361, 0xac20f7cc98b8766f, 0x838cbd4795a0129d, 0x4c5315ce3ea3e0d9,
  0x8cb8e1386e1d7d8b, 0x5dbb241d484d7d2d, 0x79d376e81188739d, 0x4fa3905b1aaf1b1d, 0xf65b2f9c071d8b4c,
  0x9afc3546c1132386, 0xc0809e5a74a2859a, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875,
  0x7296a5f9b65c18ed, 0x9bf83bb8d162e403, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0x2ff03f7ff05347db,
  0xcb25c33d30be347a, 0xe62dfa4a5b387138, 0xa279382e73166bcc, 0x0000000822596fd9,
};

// m64a_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m64_autobaud_uart0_lednop_ee_hw[] = {
  0xb77777768a34280b, 0xdddddd55db04adc4, 0x6228261598eb4bdd, 0xf17e3b43bd5b76b4, 0xf27751d94ad7647e,
  0xad304f8c048260ae, 0x0220450fffac99fc, 0xbaf921ff01742eb5, 0x4ed093824cafd510, 0xe567acd56b47370b,
  0x57a8f83660c7cf51, 0x1b875f62d377c57a, 0xd2135f4b632e384e, 0x0e73ab4be48b8d64, 0xd743af3a6edd0231,
  0xd8b4c4fa3905b1aa, 0xf5b86f65b2f9c071, 0x5002535f86a8d823, 0x7462981013cb4e94, 0x9b19d038a3cf8934,
  0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0xf78237296a5f9b65, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0xcb5453c9c17398b3, 0x00000000000b13ee,
};

/*
 * m64_autobaud_uart0_lednop_ee_ce_u4_hw m64a_autobaud_uart0_lednop_ee_ce_hw
 * m64a_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeeed146824d6, 0xbbbbbaabe6b79189, 0xd1f4c8fb4bd123bb, 0xd60841e163376c9a, 0xf27755f33ed2c52e,
  0xd1304f8c048260ae, 0x0440ac7fffac99f0, 0x75f243fe02e85d6a, 0x9da12704995faa21, 0xef7dc62fd51fee16,
  0xc2445d670f3cf21c, 0xd735bfd47c25f886, 0x9dac20f7cc98b87f, 0xd9838cbd4795a012, 0x8b4c5315ce3ea3e0,
  0x2d8cb8e1386e1d7d, 0x9d5dbb241d484d7d, 0x1d79d376e8118873, 0x4c4fa3905b1aaf1b, 0x86f65b2f9c071d8b,
  0x9a9afc3546c11323, 0x14c0809e5a74a285, 0xce81c51e7c49a3a3, 0x754e0575539794d8, 0xedfef5545a6c59e8,
  0x237296a5f9b65c18, 0xef79430a9cfd4f78, 0x871fc65f989ffde1, 0x17f81fbff829a3ed, 0x6592e19e985f1a3d,
  0x7316fd252d9c389c, 0x453c9c17398b35e6, 0x000000004a907549,
};

/*
 * m64_autobaud_uart0_dual_pr        m64_autobaud_uart0_dual_pr_u4     m64a_autobaud_uart0_dual
 * m64a_autobaud_uart0_dual_pr       m64a_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m64_autobaud_uart0_dual[] = {
  0x9bbbbbbb4486d0e3, 0xeeeeeeead0bdd95f, 0x719ba8162475056e, 0x00534e89dbbbb645, 0xa16ee4d770b39dee,
  0xc13e30120982bbc9, 0xbafb26460aa4759c, 0xe20614327da45acf, 0x56fcca0253ba7dcb, 0x72ebb02867053d36,
  0x524482481fce9bd4, 0x0a21895fe7ef8228, 0x397a67287c4fae1f, 0x8a8432d09c510cab, 0x6efe7fd01cf09b24,
  0xbacc16156662e72f, 0x42eb502205d47fcd, 0xfd510baf921ff017, 0xdcf0b4ed093824ca, 0x481bdaf51ee19df2,
  0x2eb14cf7dad490e2, 0xa9dabfa341673160, 0x25500ffd9823af01, 0x6638f81e59ed8fba, 0x4e94527f33e8e665,
  0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0x8d162e4037296a5f,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0xff05347db0e3f8cb, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x5c167c159a279382, 0x0000000000000000,
};

// m64_autobaud_uart0_dual_pr_ee_u4  m64a_autobaud_uart0_dual_pr_ee    m64a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m64_autobaud_uart0_dual_pr_ee[] = {
  0xcddddddda2431f02, 0xeeeeeeeac0cc75ef, 0x1b3efaef656a8fee, 0xb65ab1df91dd2956, 0x90eb69933cd7b9ce,
  0x0904c15de4c0b773, 0x460aa42e0a609f18, 0x327da45acfbafb26, 0x0253ba7dcbe20614, 0xed9c2d6e6adffcca,
  0x0319b9bd474dbd84, 0xfcfdf0450a489049, 0x6f89f5c3e144312b, 0x3054432ace5e99c6, 0x1cf09a43c5421968,
  0xccc5ce5edc9d7fd0, 0x14aeff9b75982c2a, 0x487fc05d0bad4088, 0x24e0932bf5442ebe, 0xbf355ad1e942d3b4,
  0x7c1b307f27a8f2bd, 0xafb169bbe2beebd4, 0xafa5b1971c270dc3, 0x56979c57027e6909, 0x5ec66edbda3278e7,
  0x7cf234876355ae87, 0x6f65deece038ec5a, 0x512a0ea8d823f5b8, 0x527f33e8e6656601, 0x7462981013cb4e94,
  0x9b19d038a3cf8934, 0x3d0ea9c0aeaa72f2, 0xc455bfdeaa8b4d8b, 0x2e4037296a5f9b65, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3,
  0x917d9a279382e731, 0x000000000000a548,
};

// m64_autobaud_uart0_dual_pr_ce_u4  m64a_autobaud_uart0_dual_pr_ce    m64a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m64_autobaud_uart0_dual_pr_ce[] = {
  0x9bbbbbbb448618be, 0x777777756c28b15f, 0x3716a39c82b77ef7, 0xcfb4fb9c5bbba644, 0x0bbb3363c344f964,
  0x4f8c048260aef26e, 0xfb26460aa4720f30, 0x0614327da45acfba, 0xfcca0253ba7dcbe2, 0x7f6163e70ff93068,
  0x241240fabe6f51fa, 0x0c4aff3f7c114292, 0xd339fae27d70f851, 0x432d0f9c886559cb, 0xaffa039e1354a8a8,
  0x05855998b9cbdbdb, 0xa811022ebff36eb3, 0x85d7c90ff80ba175, 0x5a76849c12657ea8, 0xf373b8f718bf5c90,
  0xf10d8488bace1e78, 0x5c3ffc0d1fa8f84b, 0xd04f72ceae27e64c, 0x4a4871240d05fa8f, 0xf4682ce62c051f3a,
  0xffb33c75e0353b57, 0xc0f2d6e1f744aa01, 0x93f99f47332b31c7, 0xa314c0809e5a74a2, 0xd8ce81c51e7c49a3,
  0xe8754e0575539794, 0x18edfef5545a6c59, 0xe4037296a5f9b65c, 0x9d599bf83bb8d162, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0x347a2ff03f7ff053, 0x7138cb25c33d30be, 0x6bcce62dfa4a5b38, 0x7159a279382e7316,
  0x00000000002b5ef4,
};

// m64a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m64_autobaud_uart0_dual_pr_ee_ce[] = {
  0x6eeeeeeea0a1a5fb, 0xbbbbbbab42fae37e, 0x382ca3f9f7b87dbb, 0x6dd6cfde4edd9c47, 0xc459bbeb98510876,
  0x904c15de4a0a7728, 0xc1548b24e609f180, 0x4fb48b59f75f64c8, 0x4a774fb97c40c286, 0xb384c34ccf9f9940,
  0x380137a8ffafb035, 0xcfdf0450a4890490, 0x489f5c3e144312bf, 0xc14432ace5e99c04, 0xcf09b4dc54219681,
  0x98b9cbdba6dffd01, 0x43fff36eb3058559, 0x1ff01742eb502205, 0x3824cafd510baf92, 0x58fea8e030b4ed09,
  0xb730df9e3cdced4f, 0x3b58157c99ceb0e6, 0xb30698fa8f2b9125, 0x2d314c5613fd47c1, 0xb632e384e1b875f6,
  0x7576e9c4752135f4, 0x75ec66edbda3278e, 0x4f9e4690ec6abc6c, 0x0decbbdd9c071d8b, 0x9d12a0ea8d822647,
  0x4527f33e8e665665, 0x47462981013cb4e9, 0x29b19d038a3cf893, 0xb3d0ea9c0aeaa72f, 0xb831dbfdeaa8b4d8,
  0x545906e52d4bf36c, 0x53ab337f07771a2c, 0xdb0e271a50c2a73f, 0x0cf4c2b93f7c1347, 0xe9296ce1c4e32c97,
  0xe0b9cc59af3398b7, 0x003f56cad56689e4,
};

// m64a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150ff880b, 0xdddddd5890f717e6, 0xc3ec98a3fb7d7ddd, 0xf77645d96eb3eb17, 0xfd6d7161f5c7e644,
  0x4c15de49ce777d7d, 0x520b316609f18090, 0xd22d67dd7d932305, 0xdd3ee5f1030a193e, 0x092a6ca8fccac049,
  0xa9bd474a8d85c89c, 0xf0450a48904903e5, 0xf5c3e144312bfcfd, 0x86559cbd3386dd89, 0xd43f150865a03368,
  0xe5edd0fbfe80e784, 0xd1164982c2accc5c, 0x2e85d6a0440936ff, 0x95faa2175f243fe0, 0x51c87169da127049,
  0xe79f00cee39462fd, 0x84bf10d8488bace1, 0x93170f494ce5fa8f, 0xf2b91253b58417c9, 0x3fd47c1b30698fa8,
  0x1b875f62d314c561, 0x52135f4b632e384e, 0xda3278e7576e9c47, 0xc6abc6c75ec66edb, 0xc071d8b4f9e4690e,
  0xd8226470decbbdd9, 0xe6656659d12a0ea8, 0x13cb4e94527f33e8, 0xa3cf893474629810, 0xaeaa72f29b19d038,
  0xaa8b4d8b3d0ea9c0, 0xd4bf36cb831dbfde, 0x347f1a2c5c806e52, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x3f7ff05347db0e3f, 0xc33d30be347a2ff0, 0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x0fd5b94592aa9279,
};

// m64a_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m64_autobaud_uart0_dual_ee_hw[] = {
  0x6eeeeeed146818be, 0x777777560663af7e, 0xd9f7d77b2b547f77, 0xb2d58efc8ee94ab0, 0xd99b1e1ecb25ce75,
  0x60241305779302dd, 0x99182a90b829827c, 0x50c9f6916b3eebec, 0x2ba0cee9f72f8818, 0x13b670b5b9ab7ff3,
  0x240c66e6f51d36f6, 0xaff3f7c114292241, 0x19be27d70f8510c4, 0xa0c1510cab397a67, 0x4073c2690f150865,
  0xab3317397b7275ff, 0x10295dfe756e60b0, 0x7c90ff80ba175a81, 0x6849c12657ea885d, 0x7b7e6ab5a3d285a7,
  0xa8f83660fe4f51e5, 0x875f62d377c57dd7, 0x135f4b632e384e1b, 0xcead2f38ae04fcd2, 0x0ebd8cddb7b464f1,
  0xb4f9e4690ec6ab5d, 0x70decbbdd9c071d8, 0x02a2541d51b047eb, 0x28a4fe67d1cccacc, 0x68e8c5302027969d,
  0xe53633a071479f12, 0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0xa9ef046e52d4bf36, 0xffbc3def2861539f,
  0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0x8f4ea8a79382e731,
  0x00000000000160e5,
};

/*
 * m64_autobaud_uart0_dual_ee_ce_u4_hw m64a_autobaud_uart0_dual_ee_ce_hw
 * m64a_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart0_dual_ee_ce_hw[] = {
  0x77777768a3475164, 0xeeeeeeac487b8bf3, 0xe1f64c51fdbebeee, 0x7bbb22ecb759f58b, 0xbafff0ef89e3f322,
  0x120982bbc939cee6, 0x60aa41662cc13e30, 0x27da45acfbafb264, 0x833ba7dcbe206143, 0x89c092a6ca8fccae,
  0x3e5a9bd474a8d85c, 0xcfdf0450a4890490, 0xd89f5c3e144312bf, 0x36886559cbd3386d, 0x784d43f150865a03,
  0xc5ce5edd0fbfe80e, 0x6dff9d5b982c2acc, 0x7fc05d0bad408812, 0xe0932bf5442ebe48, 0xc5faa390e2d3b424,
  0xace1e79e439dc728, 0xfa8f84bf10d8488b, 0x2f93262e1f9699bf, 0x1f51e57224a76b08, 0x8ac27fa8f83660d3,
  0x709c370ebec5a629, 0x388ea426be96c65c, 0xddb7b464f1ceaedd, 0xd21d8d578d8ebd8c, 0x7bb380e3b169f3c8,
  0x1d51b044c8e1bd97, 0x67d1cccaccb3a254, 0x302027969d28a4fe, 0xa071479f1268e8c5, 0x53815d54e5e53633,
  0x7fbd55169b167a1d, 0xdca5a97e6d97063b, 0xde50c2a73f53de08, 0xc7f197e627ff787b, 0xfe07effe0a68fb61,
  0x64b867a617c68f45, 0xc5bf494b670e2719, 0x4f2705ce62cd799c, 0x000002134e290a51,
};

// m64_autobaud_uart1_noled_pr       m64a_autobaud_uart1_noled         m64a_autobaud_uart1_noled_pr
static const uint64_t ur_m64_autobaud_uart1_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xea41b4d3277e6b11, 0x8f4138fd68f26eee, 0x0982bbc9dd85eb47,
  0xa0e7f6fcc13e3012, 0x1102a7f69fea3fc2, 0x7e90ff80ba421fe8, 0xa3668c63857ea86d, 0xd47e78ef964879c7,
  0x1b5f524389206693, 0x3c66731602dee9ae, 0xcb1823af173b482a, 0x031205fb0ac74f71, 0x301de05f9ceccdbf,
  0x94d8ceccfcde5ba8, 0xc502169bd5755397, 0x5f9b69e8754e05cd, 0x3f8d1627dc37296a, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x220072c46e9e4e0b, 0x000000000000000e,
};

// m64a_autobaud_uart1_noled_pr_u4
static const uint64_t ur_m64_autobaud_uart1_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbbaabf0b8c8, 0x4e1f75f5a193da87, 0x1c600db6f26eeedc, 0x0aef27748fcbbb27,
  0x9fdbf304f8c04826, 0x054fed3fd47fe15d, 0x21ff0174843fd022, 0xcd18c70afd50dafd, 0xfd01df2c21f38f46,
  0xa4a4871240d05fa8, 0xd61cc580b2ca61f3, 0x6608ebd1f3b35f23, 0x2cf6cd219e5403ff, 0x818902fd8d3c9c0f,
  0x180ef02fce7666df, 0x29b19d99f9bcf894, 0xb3d0ea9c0aeaa72f, 0xc5c55bfdeaa8b4d8, 0x2e4037296a5f9b61,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b,
  0x66bcce62dfa4a5b3, 0x40959a279382e731, 0x00000000000230c9,
};

// m64_autobaud_uart1_noled_pr_ee_u4 m64a_autobaud_uart1_noled_pr_ee   m64a_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_m64_autobaud_uart1_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bfc338, 0xc6de2f3631de841b, 0x71a6484191b5bbc7, 0x4eebd69c54cfed3d,
  0xa609f180904c15de, 0xb4fcaeffc2bb3fb3, 0x05d210ff4088153f, 0x1c2bf5436bf487fc, 0xd68e71ce3d1b3463,
  0xc1a63ea3cae449aa, 0x4ddf1584ff51f06c, 0x8cb8e1386e1d7d8b, 0x0a2e3593484d7d2d, 0xbb5ac8f059cead2e,
  0x61c6c6ab5d0ebce9, 0x65f380e3b1698874, 0x6951b047eb70decb, 0xf031205fb00233ca, 0x8301de05f9ceccdb,
  0xe53633b33f379f12, 0x167a1d53815d54e5, 0x38b8ab7fbd55169b, 0xc5c806e52d4bf36c, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0xa68fb61c7f197e62, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6,
  0xc21fb344f2705ce6, 0x0000000000009a9d,
};

// m64_autobaud_uart1_noled_pr_ce_u4 m64a_autobaud_uart1_noled_pr_ce   m64a_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_m64_autobaud_uart1_noled_pr_ce[] = {
  0x2ddddddda2432493, 0xbbbbbbaab8c23211, 0xf1f242c9d43d3f7b, 0x162f2b763f777767, 0x5de4eec0b015645b,
  0xea7a609f180904c1, 0x53fb4f975ffc2bb3, 0x7fc05d210ff40881, 0x4631c2bf5436bf48, 0x5462fd621ce3d1b3,
  0x11759c3cf1e6e766, 0xff3f51f097e21b09, 0xceafac993170f63f, 0x4903d67a8e4f4f72, 0x398b0163226a921c,
  0xf1d7a3e766be47ac, 0xb71a433ca807fecc, 0xc4817ec69e4e0796, 0x077817e73b336fc0, 0xd8ceccfcde7c4a0c,
  0xe8754e0575539794, 0x98edfef5545a6c59, 0x4037296a5f9b61c5, 0xd599bf83bb8d162e, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x759a279382e73166,
  0x00000000011ba86a,
};

/*
 * m64_autobaud_uart1_noled_pr_ee_ce_u4 m64a_autobaud_uart1_noled_pr_ee_ce
 * m64a_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart1_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108e31, 0x066b0699841b13b7, 0xc1b34a683b6f770a, 0xddebbb9c52aabd19,
  0xc13e30120982bbc9, 0x7d36fff0aecfdadc, 0xe9087fa0440a9fda, 0x15faa1b5fa43fe02, 0x8fe7671e8d9a318e,
  0xcf1e6e77b3a317ea, 0x097e21b0911759c3, 0x262e1d90e92bf51f, 0xe57d44a76b083df3, 0x5f51f06cc1ad7f51,
  0x370ebec5a6298acf, 0xa426be96c65c709c, 0xc8f059ceaedc0a0e, 0x8d578d8ebce9bb5a, 0x01c762d310e8c38d,
  0xb044c8e1bd96cbe7, 0x205fb0b333ca6951, 0xde05f9ceccdbf031, 0x33b33f379f128301, 0x1d53815d54e5e536,
  0x3b7fbd55169b167a, 0x0dca5a97e6d87166, 0x666fe0eee3458b90, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef,
  0xe8bfc0fdffc14d1f, 0xe32c970cf4c2f8d1, 0x3398b7e9296ce1c4, 0x6689e4e0b9cc59af, 0x0000000020886113,
};

// m64a_autobaud_uart1_noled_ee_hw
static const uint64_t ur_m64_autobaud_uart1_noled_ee_hw[] = {
  0xb77777768a342493, 0xdddddd55c5fe19c4, 0x36f179b18ef420dd, 0x8d32420c8dadde3e, 0xe4eec0b015ad89eb,
  0x3a609f180904c15d, 0xfda7e577ff5933fb, 0xe02e9087fa0440a9, 0x18e15faa1b5fa43f, 0x56b4738e71e8d9a3,
  0x660d31f51e57224d, 0x5a6ef8ac27fa8f83, 0x6c65c709c370ebec, 0x705171ac9a426be9, 0x4ddad64782ce7569,
  0xa30e36355ae875e7, 0x5b2f9c071d8b4c43, 0x534a8d823f5b86f6, 0xdf818902fd80119e, 0x94180ef02fce7666,
  0x2f29b19d99f9bcf8, 0xd8b3d0ea9c0aeaa7, 0x61c5c55bfdeaa8b4, 0xd4f78237296a5f9b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0x0cf2f453c9c17398,
  0x000000000000589e,
};

/*
 * m64_autobaud_uart1_noled_ee_ce_u4_hw m64a_autobaud_uart1_noled_ee_ce_hw
 * m64a_autobaud_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed146807e1, 0xbbbbbaabc8847189, 0x335834cc20d89dbb, 0x0d9a5341db7bb850, 0x9dd39d9f7a55e8ce,
  0xcc13e30120982bbc, 0xd3e9b7ffd64cfdad, 0x174843fd022054fe, 0x70afd50dafd21ff0, 0x547f3b38f46cd18c,
  0x3cf3c873bd9d18bf, 0xf097e21b0911759c, 0x3262e1ef0f96bf51, 0x1e57d44a76b083df, 0xf5f51f06cc1ad7f5,
  0xc370ebec5a6298ac, 0xea426be96c65c709, 0xac8f059ceaedc0a0, 0xd8d578d8ebce9bb5, 0x701c762d310e8c38,
  0x1b044c8e1bd96cbe, 0x1205fb0b333ca695, 0x1de05f9ceccdbf03, 0x633b33f379f12830, 0xa1d53815d54e5e53,
  0x63b7fbd55169b167, 0x08dca5a97e6d8716, 0x7bde50c2a73f53de, 0x61c7f197e627ff78, 0x45fe07effe0a68fb,
  0x1964b867a617c68f, 0x9cc5bf494b670e27, 0xd14f2705ce62cd79, 0x000000002549463f,
};

// m64a_autobaud_uart1_lednop
static const uint64_t ur_m64_autobaud_uart1_lednop[] = {
  0x12dddddddd66ef3a, 0x7777777557e17623, 0x836835cbdf89d803, 0xad1b6c6245ddddd4, 0x04c15de4eee62486,
  0xa839f912609f1809, 0x0440a9fda7f4aff0, 0x5fa43fe02e9087fa, 0xe8d9a318e15faa1b, 0xf51c9e3be5921e71,
  0x19135490e24819a4, 0xa3905398b016f74d, 0x8e58c11d78b9d84f, 0xf031205fb0ac349b, 0xde05f9e0404eccdb,
  0xa0333f378e528301, 0x4e077ca9bd4a7253, 0xfef5545a4179e875, 0x94b52fcdb01ca2ad, 0x67a615c9fbe7931b,
  0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x01acc55c62374f27,
};

// m64_autobaud_uart1_lednop_pr_u4   m64a_autobaud_uart1_lednop_pr     m64a_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_m64_autobaud_uart1_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e171b7, 0x1387c63af48bb0bf, 0x707c7971f17bbbb7, 0x057793bbf4e0d921,
  0xcfc7b9827c602413, 0x02a7f69feebff0ae, 0x90ff80ba421fe811, 0x668c63857ea86d7e, 0x7b58ef9610f9c7a3,
  0x22d2438920682fd4, 0x90ce62c059653262, 0xb30475e8f9db9e46, 0xe59edeb0d22a01ff, 0xf031205fb3638981,
  0xde05f9e0404eccdb, 0xa0333f378e528301, 0x4e077ca9bd4a7253, 0xfef5545a4179e875, 0x94b52fcdb01ca2ad,
  0xdfc1ddc68b17201b, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x7f81fbff829a3ed8, 0x592e19e985f1a3d1,
  0x316fd252d9c389c6, 0x13c9c17398b35e67, 0x0000008c354e2ecd,
};

/*
 * m64_autobaud_uart1_lednop_pr_ee_u4 m64a_autobaud_uart1_lednop_pr_ee
 * m64a_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m64_autobaud_uart1_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe85c, 0x8db8678bd4deb45d, 0xb4159083236b778f, 0x9dd014931609cea8,
  0x4c13e30120982bbc, 0x69fd37ff85767c6b, 0x0ba421fe81102a7f, 0x3857ea86d7e90ff8, 0xad1ce39c7a3668c6,
  0x834c7d4795995355, 0x9bbe2bdbfea3e0d9, 0x1971c270dc3afb16, 0x005c6b26909afa5b, 0x7683e8c9a39d5a5d,
  0xded58d56ba1d79d3, 0xcbe701c762d3c168, 0xf2a3608fd6e1bd96, 0xe06240bf6004690c, 0xbc0bf3c0809d99b7,
  0x40667e6f1ca50603, 0x9c0ef9537a94e4a7, 0xfdeaa8b482f3d0ea, 0x296a5f9b6039455b, 0xbf83bb8d162e4037,
  0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0xff03f7ff05347db0, 0xb25c33d30be347a2, 0x62dfa4a5b387138c,
  0x279382e73166bcce, 0x0000026a76662d9a,
};

/*
 * m64_autobaud_uart1_lednop_pr_ce_u4 m64a_autobaud_uart1_lednop_pr_ce
 * m64a_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart1_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c20338, 0xf8fb204842fd1a7b, 0xda199bb7a7bbbbb3, 0xaef2774dd1da34a3,
  0xf95d304f8c048260, 0xa9fda7d82ffe15d9, 0x3fe02e9087fa0440, 0xa318e15faa1b5fa4, 0x3e317eb10e71e8d9,
  0x11759c3cf1e6e766, 0x36ff51f097e21b09, 0x9d5f593262e1f769, 0x9207acf51fa49ee5, 0xcc580ab5ee1d2438,
  0x8ebd1f3b73c8d219, 0x6ed61a45403ff667, 0x8902fd9b1c4c0f2d, 0x2fcf02027666df81, 0x99f9bc7294180ef0,
  0x3be54dea53929d01, 0xaaa2d20bcf43aa70, 0x52fcdb01c8c76ff7, 0x1ddc68b17201b94b, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0x1fbff829a3ed871f, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316,
  0x0011ba98e26cd13c,
};

/*
 * m64_autobaud_uart1_lednop_pr_ee_ce_u4 m64a_autobaud_uart1_lednop_pr_ee_ce
 * m64a_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x777777557910b831, 0x0ce38ac168bb6277, 0x476624d076deee14, 0xbb9f6805a7227e4e,
  0x827c602413057793, 0x7dfe7fe15d9f6bb9, 0xe9087fa0440a9fda, 0x15faa1b5fa43fe02, 0x8fe7671e8d9a318e,
  0xcf1e6e7635a317ea, 0x097e21b0911759c3, 0x262e1c92b2a3f51f, 0xe57dd4a76b083df3, 0x4f51f06cc1ad7f51,
  0x370ebec5a6298ae4, 0xa426be96c65c709c, 0xf464d1ceaedc800e, 0x8d578d8ebce9bb41, 0x01c762d3c168ded5,
  0xb044c8e1bd96cbe7, 0x205fb0b334867951, 0xf9e0404eccdbf031, 0x3f378e528301de05, 0x7ca9bd4a7253a033,
  0x545a4179e8754e07, 0x5f9b603918edfef5, 0xbb8d162e4037296a, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xf7ff05347db0e3f8, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x004110f5459a2793,
};

// m64a_autobaud_uart1_lednop_ee_hw
static const uint64_t ur_m64_autobaud_uart1_lednop_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2ff42e2, 0x6dc33c5ea6f5a2ee, 0xa0ac84191b5bbc7c, 0xc9dd37476b47b545,
  0xb4c13e30120982bb, 0xfb4fe9bffeb267c6, 0xc05d210ff4088153, 0x31c2bf5436bf487f, 0xad68e71ce3d1b346,
  0xcc1a63ea3cacca9a, 0xb4ddf15edff51f06, 0xd8cb8e1386e1d7d8, 0xe802e3593484d7d2, 0x9bb41f464d1cead2,
  0x46f6ac6ab5d0ebce, 0xb65f380e3b169e0b, 0x67951b047eb70dec, 0xbf031205fb002348, 0x1de05f9e0404eccd,
  0x3a0333f378e52830, 0x54e077ca9bd4a725, 0xdfef5545a4179e87, 0xb94b52fcdb01ca2a, 0xbca1854e7ea7bc11,
  0x8fe32fcc4ffef0f7, 0xfc0fdffc14d1f6c3, 0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339,
  0x000000b13f559ba2,
};

/*
 * m64_autobaud_uart1_lednop_ee_ce_u4_hw m64a_autobaud_uart1_lednop_ee_ce_hw
 * m64a_autobaud_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x6eeeeeed14683d5b, 0xbbbbbaabc885c189, 0x671c560b45db13bb, 0x3b312683b6f770a0, 0x3ba5a875f68bf272,
  0x9827c60241305779, 0xd3eff3ffac99f6bb, 0x174843fd022054fe, 0x70afd50dafd21ff0, 0x547f3b38f46cd18c,
  0x3cf3c873b1ad18bf, 0xf097e21b0911759c, 0x3262e1d9f3acff51, 0x1e57dd4a76b083df, 0x44f51f06cc1ad7f5,
  0xc370ebec5a6298ae, 0xea426be96c65c709, 0x1f464d1ceaedc800, 0x58d578d8ebce9bb4, 0x701c762d3c168ded,
  0x1b044c8e1bd96cbe, 0x1205fb0b33486795, 0x5f9e0404eccdbf03, 0x33f378e528301de0, 0x77ca9bd4a7253a03,
  0x5545a4179e8754e0, 0xa5f9b603918edfef, 0x0a9cfd4f78237296, 0x5f989ffde1ef7943, 0xbff829a3ed871fc6,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x17398b35e67316fd, 0x00952122c9453c9c,
};

/*
 * m64_autobaud_uart1_dual_pr        m64_autobaud_uart1_dual_pr_u4     m64a_autobaud_uart1_dual
 * m64a_autobaud_uart1_dual_pr       m64a_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m64_autobaud_uart1_dual[] = {
  0x6eeeeeed121a559b, 0xbbbbbbab58f1ed7e, 0x4ad89a7589d499bb, 0xfb4af8a76eee91fe, 0x0aeec3e9b44fbb04,
  0x13e30120982bbc9a, 0x5f64c8c1548e8fcc, 0x40c2864fb48b59f7, 0x7f99404a774fb97c, 0x50f60a78e195a6df,
  0x4890490390f37a8e, 0x44312bfcfdf0450a, 0x97a6703409f5c3e1, 0xa8432d0d2910cab3, 0xfe77fd01cf09a6e8,
  0x5982c2accc5ce5ed, 0x8153fb4f98fff9b7, 0x487fc05d210ff408, 0xb34631c2bf5436bf, 0x1e323be589ece3d1,
  0x916921c49036bef5, 0x439cc580bac534dd, 0x30475e0353b7408c, 0x67b627d05aa01ffb, 0xe8e665663641e079,
  0xdbf031205fb27f33, 0x01de05f9e0404ecc, 0x53a0333f378e5283, 0x754e077ca9bd4a72, 0xadfef5545a4179e8,
  0x1b94b52fcdb01ca2, 0xccdfc1ddc68b1720, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0xd17f81fbff829a3e,
  0xc6592e19e985f1a3, 0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x00000000b829c87e,
};

// m64a_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m64_autobaud_uart1_dual_pr_ee[] = {
  0x9bbbbbba1eb432db, 0xddddddd58dda27df, 0xb557bad962dd9bdd, 0xb957d93583baf587, 0xc330a644b5d6b8a6,
  0x24130577921b9dc3, 0x305520ebe9827c60, 0x93ed22d67dd7d932, 0x129dd3ee5f1030a1, 0xb670adf9a007e650,
  0x0f76a6f51e76f616, 0xf3f7c11429224124, 0x5027d70f8510c4af, 0xc08886559cbd3399, 0x39e131758a8432d0,
  0x3317397b719bffa0, 0xe707fe6dd660b0ab, 0x4843fd022054fed3, 0xafd50dafd21ff017, 0x613f38f46cd18c70,
  0xddea3cae034d56b4, 0xf8adfcf51f06cc1c, 0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xae8c4539d5a5e445,
  0xb1aad743af633765, 0x701c762d3e911d7f, 0x6c11fadc37b2ef76, 0x7332b3009058fb54, 0xf818902fd93f99f4,
  0xef02fcf02027666d, 0xd0199f9bc7294180, 0xa703be54dea53929, 0xff7aaa2d20bcf43a, 0xca5a97e6d80e5156,
  0xf83bb8d16594090d, 0xf2861539fa9d599b, 0x68fb61ee7197e627, 0x9e985727e39efd86, 0x252d9c389c6592e1,
  0x17398b35e67316fd, 0x002952192cd13c9c,
};

// m64a_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m64_autobaud_uart1_dual_pr_ee_u4[] = {
  0xf9bbbbbbb4486f97, 0xeeeeeeeeac6eee75, 0x02a8bcabc21ea6be, 0x47faeec9ac1dd374, 0xa591aea0f8ab113d,
  0xc048260aef24c8bb, 0x6460aa447dd304f8, 0x4327da45acfbafb2, 0xa0253ba7dcbe2061, 0x26d9c276e6b5bfcc,
  0x90331f9bd47ddad8, 0xbfcfdf0450a48904, 0x5c889f5c3e144312, 0x40a5a2195672f4ce, 0x80e784df3a2a10cb,
  0x56662e72f6e16bfe, 0xa7f677fcdbacc161, 0x2e9087fa0440a9fd, 0xe15faa1b5fa43fe0, 0xb4680671e8d9a318,
  0x1c43ea3cac3dcd56, 0x6ef8accaf51f06cc, 0x65c709c370ebec5a, 0xa5c0719a426be96c, 0x61be8fa039d5a5f4,
  0x9fb1aad743af29a7, 0x4ce038ec5a6b3d18, 0x9ae105fd6e1bd96e, 0x817ec9fccfa39995, 0xe781013b336fc0c4,
  0xfcde394a0c077817, 0xf2a6f529c94e80cc, 0x516905e7a1d5381d, 0xbf36c0728ab7fbd5, 0x771a2c5c806e52d4,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0xeffe0a68fb61c7f1, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0x05ce62cd799cc5bf, 0x0052a4e9eb344f27,
};

// m64_autobaud_uart1_dual_pr_ce_u4  m64a_autobaud_uart1_dual_pr_ce    m64a_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m64_autobaud_uart1_dual_pr_ce[] = {
  0xcddddddda243359b, 0x7777777565a28bef, 0xd62af4fb499a8077, 0xeabeb51ab777605b, 0xb773f87cd7421166,
  0x9f180904c15de4a3, 0xfb26460aa4059260, 0x0614327da45acfba, 0xfcca0253ba7dcbe2, 0x3fb0ff8700d1369a,
  0x120920743f37a8f6, 0x86257f9fbe08a149, 0xe99ceb313eb87c28, 0x219684874432ace5, 0x7ffd01cf09bf7454,
  0x05855998b9cbdbf5, 0xa7f69fdf7ff36eb3, 0xff80ba421fe81102, 0x8c63857ea86d7e90, 0x58c5fa8299c7a366,
  0x45d670f3c79b9d94, 0x20fd47c25f886c24, 0x75713f3262e1dfe6, 0x40c4ffa8f07e7b96, 0xc580b920dfa48712,
  0x5e0353b7408c439c, 0x27d05aa01ffb33c7, 0x99598d90781e5adc, 0x0c4817ec9fccfa39, 0x817e781013b336fc,
  0x0ccfcde394a0c077, 0x81df2a6f529c94e8, 0xbd5516905e7a1d53, 0x5a97e6d80e463b7f, 0xe0eee3458b900dca,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xc0fdffc14d1f6c38, 0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c,
  0xe4e0b9cc59af3398, 0x00002b5ed3416689,
};

// m64a_autobaud_uart1_dual_pr_ee_ce
static const uint64_t ur_m64_autobaud_uart1_dual_pr_ee_ce[] = {
  0xfcdddddddd436f02, 0xeeeeeeeead63dc2e, 0x67c4decdd57e8ce6, 0x6829aed2ec4eeeca, 0x793d6555eeb68d3d,
  0x024130577923d9dd, 0x8c15489aa49827c6, 0x64fb48b59f75f64c, 0x04a774fb97c40c28, 0x863833e4dd67f994,
  0x0314937a8e6b7b09, 0xfcfdf0450a489049, 0xa089f5c3e144312b, 0xd5e886559cbd339a, 0x73c268ad150865a1,
  0x3317397b7801ff40, 0xe1a3fe6dd660b0ab, 0x4843fd022054fed3, 0xafd50dafd21ff017, 0x651738f46cd18c70,
  0xcf1e6e77a6ec7f54, 0xbe4ce758743ec6ef, 0x7a8f2b31f29dac0a, 0x571efd47c1b30792, 0x84e1b875f62d314c,
  0x10752135f4b632e3, 0xd96ba3114e7576e9, 0xbfd8d578d8ebd8cd, 0xbb380e3b169f488e, 0xd51b044c8e1bd977,
  0x7d1cccaccb34163e, 0x9b7e06240bf64fe6, 0x603bc0bf3c0809d9, 0x4a740667e6f1ca50, 0x0ea9c0ef9537a94e,
  0x1dbfdeaa8b482f3d, 0x86e52d4bf36c0723, 0xb337f07771a2c4fb, 0x964b867a615c9fba, 0xcc5bf494b670e271,
  0x44f2705ce62cd799, 0x0000000c440e14b3,
};

// m64a_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m64_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0x77777768a87fb202, 0xdddddd5904b04bf3, 0x339913b37b57bddd, 0x1f11f69dbbd7745e, 0x00bc1480bebde66c,
  0x305779210ddccdeb, 0x91c7939827c60241, 0x916b3eebec99182a, 0xe9f72f881850c9f6, 0x2a26683fe656024e,
  0x9bd47b91d81251c3, 0x08a1491209206cdf, 0xb87c2886257f9fbe, 0x6559cbd338b8213e, 0xd3f150865a1bb488,
  0x5edf96bfe80e784d, 0x1164982c2accc5ce, 0x022054fed3f003fd, 0xafd21ff0174843fd, 0xf46cd18c70afd50d,
  0x743f18bf54652f38, 0x2445d670f3cf8067, 0x9cdffd47c25f886c, 0xb58417c993170ea4, 0x60f24f51e5663e53,
  0xa6298ae3dfa8f836, 0xc65c709c370ebec5, 0xaedd220ea426be96, 0x7b19bb2d746229ce, 0xe911d7fb1aaf1b1d,
  0x7b2ef76701c762d3, 0x82c7daa3608991c3, 0xc9fccfa399959966, 0x013b336fc0c4817e, 0x394a0c077817e781,
  0xf529c94e80ccfcde, 0x05e7a1d5381df2a6, 0x80e463b7fbd55169, 0x58b900dca5a97e6d, 0xf53ab337f068fe34,
  0x7ff787bde50c2a73, 0xa68fb61c7f197e62, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6,
  0x72555524f2705ce6, 0x00000000000fd5ba,
};

// m64a_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m64_autobaud_uart1_dual_ee_hw[] = {
  0x377777768a34359b, 0xbbbbbbab1bb44fbf, 0x6aaf75b2c5bb37bb, 0x72afb26b0775eb0f, 0x7f0f9afa2cdd714d,
  0x0120982bbc90dcee, 0x9182a9075f4c13e3, 0x0c9f6916b3eebec9, 0xba0cee9f72f88185, 0xb5b3856fcd003f32,
  0x207bb537a8f3b7b0, 0x7f9fbe08a1491209, 0xca813eb87c288625, 0x86044432ace5e99c, 0x01cf098bac542196,
  0x5998b9cbdb8cdffd, 0x4f9c1ff3ab730585, 0x5d210ff4088153fb, 0xc2bf5436bf487fc0, 0xd184fce3d1b34631,
  0x7377a8f2b80d355a, 0xbbe2b7f3d47c1b30, 0x971c270dc3afb169, 0x17027e6909afa5b1, 0x96ba3114e7569791,
  0xfec6ab5d0ebd8cdd, 0xd9c071d8b4fa4475, 0x51b047eb70decbbd, 0xd1cccacc024163ed, 0xb7e06240bf64fe67,
  0x03bc0bf3c0809d99, 0xa740667e6f1ca506, 0xea9c0ef9537a94e4, 0x5bfdeaa8b482f3d0, 0x37296a5f9b603945,
  0xf79430a9cfd4f782, 0x71fc65f989ffde1e, 0x7f81fbff829a3ed8, 0x592e19e985f1a3d1, 0x316fd252d9c389c6,
  0x53c9c17398b35e67, 0x000002c1c8d24634,
};

/*
 * m64_autobaud_uart1_dual_ee_ce_u4_hw m64a_autobaud_uart1_dual_ee_ce_hw
 * m64a_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m64_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d19231, 0x77777756412c12fc, 0x8ce644ecded5ef77, 0x07c47da76ef5dd17, 0xa0fafbd35baf799b,
  0x04c15de4843770d3, 0xaa471e4e609f1809, 0xda45acfbafb26460, 0x3ba7dcbe20614327, 0x86544cd07fccae83,
  0xbf37a8f723b024a3, 0x7c114292241240d9, 0x7d70f8510c4aff3f, 0x10cab397a6717042, 0x9ba7e2a10cb43769,
  0x9cbdbf2d7fd01cf0, 0xff3ab7305855998b, 0xff4088153fb4fc00, 0x436bf487fc05d210, 0xce3d1b34631c2bf5,
  0x39dd0fc62fd5194b, 0x0d8488bace1e79e4, 0xf722495fa8f84bf1, 0xe53b58417c993170, 0x83660f24f51e5663,
  0xec5a6298ae3dfa8f, 0xe96c65c709c370eb, 0x9ceaedd220ea426b, 0xb1d7b19bb2d74622, 0x2d3e911d7fb1aaf1,
  0x1c37b2ef76701c76, 0x96682c7daa360899, 0x17ec9fccfa399959, 0x781013b336fc0c48, 0xcde394a0c077817e,
  0x2a6f529c94e80ccf, 0x16905e7a1d5381df, 0xe6d80e463b7fbd55, 0x73f53de08dca5a97, 0x627ff787bde50c2a,
  0xe0a68fb61c7f197e, 0x617c68f45fe07eff, 0xb670e271964b867a, 0xe62cd799cc5bf494, 0x34e590bd14f2705c,
  0x0000000000000021,
};

// m64_u1x8_uart0_noled_pr           m64a_u1x8_uart0_noled             m64a_u1x8_uart0_noled_pr
static const uint64_t ur_m64_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66faca, 0xdddddd55dce4c1e2, 0xb2d5bd7c71ea45dd, 0xefe0e1c5bbbb49f0, 0xe4eefa585eebc17e,
  0x5e609f180904c15d, 0xdb021bffe15073eb, 0xfe77cb09f169da2e, 0x5243892063efd47a, 0x8e62c05965308bcf,
  0x08ebd1f3b0714667, 0xeda9afc35403ff66, 0xcb4e9450aca81e59, 0xf1479bd934746293, 0x9c08fea52f29bd73,
  0xf7aaa2d2a7d3d0ea, 0x52d4bf36d2ff156f, 0x90347f1a2c4fb86e, 0xe19e985727eeacc7, 0xfd252d9c389c6592,
  0x9c17398b35e67316, 0x0007c858ff88dd3c,
};

// m64a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m64_u1x8_uart0_noled_pr_u4[] = {
  0x777775dd448610e3, 0xbbbbaabb9c983c4b, 0x5ab7af8e3d48bbbb, 0xfc1c38b777693e16, 0x4eea0834dd7d0bdd,
  0xe609f180904c15de, 0xd810dfffc2bb3eb5, 0xf3be584f8b4ed176, 0x921c49031f7ea3d7, 0x731602cb29845e7a,
  0x475e8f9d838a333c, 0x6d4d7e1aa01ffb30, 0x5a74a2856540f2cf, 0x8a3cdec9a3a3149e, 0xe047f529794deb9f,
  0xbd5516953e9e8754, 0x96a5f9b697f8ab7f, 0xf83bb8d162e40372, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0xf03f7ff05347db0e, 0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x00007c99940959a2,
};

// m64_u1x8_uart0_noled_pr_ee_u4     m64a_u1x8_uart0_noled_pr_ee       m64a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart0_noled_pr_ee[] = {
  0x777775dd448690e3, 0xddddd55de4017c4b, 0x2f8f8006bea9bddd, 0x5319b38913bbc1d2, 0x765dd89c5f02de9b,
  0x04f8c048260aef27, 0x0a037fe15d9ffdd3, 0xb5a39b85a768bb6c, 0x3063e7a8f2b9c66a, 0xd377c572fbd47c1b,
  0x632e384e1b875f62, 0xa62b8d64d2135f4b, 0xdd967a313e73ab4b, 0x3c676355ae875e74, 0xb2f9c071d8b4d05a,
  0x0ca8d823f5b86f65, 0x93cb4e945002fc30, 0x73f1479bd9347462, 0xea9c08fea52f29bd, 0x6ff7aaa2d2a7d3d0,
  0x6e52d4bf36d2ff15, 0x337f07771a2c5c80, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0x45fe07effe0a68fb,
  0x1964b867a617c68f, 0x9cc5bf494b670e27, 0x344f2705ce62cd79, 0x0000000275ce907b,
};

// m64a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_m64_u1x8_uart0_noled_pr_ce[] = {
  0xb777775ddacdc49f, 0xeeeeeaaf5a7f67c4, 0x1eeff1287346beee, 0xe2e84d5b77775247, 0xde4eed4353700615,
  0x9ba609f180904c15, 0xbb6c0a21ff0a839f, 0x63e58feab3c5a768, 0x1ea57eefcf370ee7, 0x5cf72cbac67339d6,
  0x921c4903d62f51d0, 0xe1a8e62c0559e90e, 0xcb19e3af173b5128, 0x7969d28a0ebf0f71, 0x7e28f37b268e8c52,
  0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x94b52fcdb4bf98ed, 0xe40d1fc68b13ee1b, 0xb867a615c9fbab31,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00016ebd2762374f,
};

// m64a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart0_noled_pr_ce_u4[] = {
  0x5bbbbbaeea243762, 0xeeeeeeaafea636e2, 0x86d0c75e917617ee, 0xc1f1e5c7c5eeeea9, 0x15de4eefd3836485,
  0x3f1ee609f180904c, 0x68bb6c0bbaffc2bb, 0x3b3d6317eab5c5a7, 0xd8488bace1e78f37, 0xd5f43ffa8f84bf10,
  0xf72ceafac993170f, 0x1c4903349ea3b5f4, 0x78e62c05b8621e92, 0x678ebd1f3b071466, 0x6b729afc35403ff6,
  0x4f2d3a5142b2a079, 0xcfc51e6f64d1d18a, 0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43, 0x7296a5f9b697f31d,
  0x9bf83bb8d162e403, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0x2ff03f7ff05347db, 0xcb25c33d30be347a,
  0xe62dfa4a5b387138, 0xa279382e73166bcc, 0x0000000dd7a9c5d9,
};

// m64_u1x8_uart0_noled_pr_ee_ce_u4  m64a_u1x8_uart0_noled_pr_ee_ce    m64a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart0_noled_pr_ee_ce[] = {
  0x6eeeeebba890c044, 0xeeeeeaae10bd0b89, 0x7c33c5ea6f5a2eee, 0x0ac80bfbc9ba5c61, 0xe80a498b04e7545a,
  0x09f180904c15de4e, 0x169bffc2bb3e35a6, 0xea8ff70b4ed176d8, 0xc3cf1e6e77812317, 0x1f097e21b0911759,
  0xf3262e1e6199f3f5, 0x51e560a4a76b083d, 0x7377a8f83660e32f, 0x4e1b875f62d314c5, 0x4752135f4b632e38,
  0x2cf4627ce7576e4c, 0x9d8d578d8ebce9bb, 0xe701c762d34168f1, 0x51b044c8e1bd96cb, 0x969d28a167f86019,
  0xe28f37b268e8c527, 0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0x4b52fcdb4bf98edf, 0xfc1ddc68b17201b9,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x0000013f33316cd1,
};

// m64a_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m64_u1x8_uart0_noled_ee_hw[] = {
  0x6eeeeebba8a34762, 0xbbbbbaabbc802f89, 0x45f1f000d7d537bb, 0x6a6336712277783a, 0xc9ddfa706f6e0bd3,
  0x74c13e30120982bb, 0x6d81406ffeb267ff, 0xcd56b47370b4ed17, 0x83660c7cf51e5738, 0xec5a6ef8ae5f7a8f,
  0xe96c65c709c370eb, 0x6974c571ac9a426b, 0xce9bb2cf4627ce75, 0x0b478cec6ab5d0eb, 0xecb65f380e3b169a,
  0x8601951b047eb70d, 0x8c527969d28a005f, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0xe2adfef5545a54fa,
  0xe08dca5a97e6da5f, 0x87bde50c2a73f53d, 0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68,
  0x99cc5bf494b670e2, 0xa514f2705ce62cd7, 0x00000000016fda90,
};

// m64_u1x8_uart0_noled_ee_ce_u4_hw  m64a_u1x8_uart0_noled_ee_ce_hw    m64a_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd451a3e4a, 0x7777557085e85c4b, 0xe19e2f537ad17777, 0x56405fde4dd2e30b, 0xee9ba3b5a3daa2d0,
  0x609f180904c15de4, 0xc0b4dfff5933e35a, 0xbf547fb85a768bb6, 0x9c3cf3c873bc0918, 0x51f097e21b091175,
  0xdf3262e1d0fb1bbf, 0xf51e560a4a76b083, 0x57377a8f83660e32, 0x84e1b875f62d314c, 0xc4752135f4b632e3,
  0xb2cf4627ce7576e4, 0x19d8d578d8ebce9b, 0xbe701c762d34168f, 0x951b044c8e1bd96c, 0x7969d28a167f8601,
  0x7e28f37b268e8c52, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x94b52fcdb4bf98ed, 0xca1854e7ea7bc11b,
  0xfe32fcc4ffef0f7b, 0xc0fdffc14d1f6c38, 0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398,
  0x00000280b559ba29,
};

// m64_u1x8_uart0_lednop_pr          m64a_u1x8_uart0_lednop            m64a_u1x8_uart0_lednop_pr
static const uint64_t ur_m64_u1x8_uart0_lednop[] = {
  0x2dddddd776b372ac, 0xeeeeeeaaee723271, 0x2c983eac369b426e, 0xd9fcdf0feeeed27c, 0xbbc9dddb6d4c663b,
  0xf10cc13e30120982, 0x176d810f9fe15073, 0x3acf3be584f8b4ed, 0x27a921c49031f7ea, 0x690e62c0596530df,
  0x6608ebd1f3b3da46, 0x2cf6ccf29a5403ff, 0x09e5a74a28ac140f, 0x51e7c49a3a314c08, 0x575539794d8ce81c,
  0x5545a6c59e8754e0, 0xb52fcdb2e22adfef, 0x0d1fc68b13ee1b94, 0x67a615c9fbab31e4, 0x494b670e271964b8,
  0x05ce62cd799cc5bf, 0x01f2070a62374f27,
};

// m64a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m64_u1x8_uart0_lednop_pr_u4[] = {
  0x777775dd4486422f, 0xbbbbaabb9c8c9c4b, 0x260fab0da6d09bbb, 0x7f37c3fbbbb49f0b, 0x793ba56e828c0836,
  0x219827c602413057, 0x76d810f9ff85767e, 0xacf3be584f8b4ed1, 0x7a921c49031f7ea3, 0x90e62c0596530df2,
  0x608ebd1f3b3da466, 0xcf6ccf29a5403ff6, 0x9e5a74a28ac140f2, 0x1e7c49a3a314c080, 0x75539794d8ce81c5,
  0x545a6c59e8754e05, 0x52fcdb2e22adfef5, 0x1ddc68b17201b94b, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0x1fbff829a3ed871f, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316, 0x000f93b9e4ecd13c,
};

// m64_u1x8_uart0_lednop_pr_ee_u4    m64a_u1x8_uart0_lednop_pr_ee      m64a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart0_lednop_pr_ee[] = {
  0x777775dd4486d38b, 0xddddd55de431dc4b, 0x282ff1ec47568ddd, 0x31b7b38913bbc1d2, 0xb06c374333758559,
  0x27c602413057793b, 0x4517ff0aecffce98, 0xad1cdc2d3b45db60, 0x831f3d47959eb355, 0x4ddf15e95ea3e0d9,
  0x8cb8e1386e1d7d8b, 0x922e3593484d7d2d, 0xbb7408c439cead2f, 0xe416c6ab5d0ebce9, 0xcbe701c762d313e8,
  0x1aa3608fd6e1bd96, 0x4f2d3a5140094d7e, 0x8f3e24d1d18a6040, 0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702,
  0xa97e6d971156ff7a, 0x0eee3458b900dca5, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x0fdffc14d1f6c38f,
  0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b, 0x000275c0bb56689e,
};

// m64a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_m64_u1x8_uart0_lednop_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xdddddd55eb4f97b8, 0x71ecfddea66b11dd, 0x38fd68c1f7777524, 0xbbc9dd85eb478f41,
  0xf38cc13e30120982, 0x176d812f9fe15073, 0xed31b1fd5678b4ed, 0xc3b93f9df9e6e1dc, 0x9f9ee59758ce673a,
  0xd24389207ac5ea38, 0x8f588e62c05e82a5, 0x39633c75e2e761f6, 0x27969d28a0e94d6e, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0xa97e6d97063b7fbd, 0x68fe34589f70dca5, 0x3d30ae4fdd598f20,
  0x4a5b387138cb25c3, 0x2e73166bcce62dfa, 0x05ba81cb11ba7938,
};

// m64a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777775dd4486c056, 0xddddd55fd4ea1c4b, 0x6d0db19426b53ddd, 0x702fcc78feeeea98, 0xaef2777c8a3b6422,
  0xf80d304f8c048260, 0x8bb6c083dffe15d9, 0xb912317eab5c5a76, 0x8488bace1e78f373, 0xb463ffa8f84bf10d,
  0xb96757d64c98b870, 0x389206693d47e7a7, 0x90e62c05def05d24, 0x678ebd1f3b3da466, 0xb5b8cf29a5403ff6,
  0x27969d28a2b0503c, 0x479f1268e8c53020, 0x5d54e5e53633a071, 0x55169b167a1d5381, 0xa97e6d97063b7fbd,
  0x0eee3458b900dca5, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x0fdffc14d1f6c38f, 0x70cf4c2f8d1e8bfc,
  0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b, 0x000375c4cd16689e,
};

// m64_u1x8_uart0_lednop_pr_ee_ce_u4 m64a_u1x8_uart0_lednop_pr_ee_ce   m64a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeebba890d2a8, 0x77777557085c2089, 0x5f42e19ad1ab8f77, 0x910662fef26e9718, 0x74ed0438e25a88fd,
  0x04f8c048260aef27, 0x1472ffc2bb3fd5f3, 0xea8ff70b4ed176d8, 0xc3cf1e6e77bee317, 0x1f097e21b0911759,
  0xe64c5c3b37d2a3f5, 0xa3cad0094ed6107b, 0xe71f51f06cc1c65e, 0x9c370ebec5a6298a, 0x0ea426be96c65c70,
  0x7408c439ceaedd92, 0x2d8d578d8ebce9bb, 0xce038ec5a627d1c8, 0xa3608991c37b2d97, 0x2d3a5142cd4d7e1a,
  0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xfcdb2e0c76ff7aaa, 0xdc68b17201b94b52,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xbff829a3ed871fc6, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x17398b35e67316fd, 0x013f3f34ecd13c9c,
};

// m64a_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m64_u1x8_uart0_lednop_ee_hw[] = {
  0xddddd7751468c056, 0x7777557790c7712d, 0xa0bfc7b11d5a3777, 0xc6dece244eef0748, 0xddf228ef62761564,
  0xc13e30120982bbc9, 0x81145ffeb267fe74, 0x56b47370b4ed176d, 0x660c7cf51e567acd, 0x2d377c57a57a8f83,
  0xb632e384e1b875f6, 0xbe48b8d64d2135f4, 0xa6edd02310e73ab4, 0xa3905b1aad743af3, 0x5b2f9c071d8b4c4f,
  0xf86a8d823f5b86f6, 0x013cb4e945002535, 0x8a3cf89347462981, 0x0aeaa72f29b19d03, 0xeaa8b4d8b3d0ea9c,
  0x96a5f9b65c455bfd, 0x430a9cfd4f782372, 0xc65f989ffde1ef79, 0x1fbff829a3ed871f, 0xe19e985f1a3d17f8,
  0xfd252d9c389c6592, 0x9c17398b35e67316, 0x00005be6ffc3453c,
};

// m64_u1x8_uart0_lednop_ee_ce_u4_hw m64a_u1x8_uart0_lednop_ee_ce_hw   m64a_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd451a2f43, 0xbbbbaab842e1044b, 0xfa170cd68d5c7bbb, 0x883317f79374b8c2, 0x775d92bed9c447ec,
  0x304f8c048260aef2, 0xc0a397ff5933fd5f, 0xbf547fb85a768bb6, 0x9c3cf3c873bdf718, 0x51f097e21b091175,
  0xdf3262e1ff5cd6ff, 0xf51e56804a76b083, 0x5738fa8f83660e32, 0x84e1b875f62d314c, 0x90752135f4b632e3,
  0xdba04621ce7576ec, 0x416c6abc6c75e74d, 0xbe701c762d313e8e, 0xd51b044c8e1bd96c, 0x7969d28a166a6bf0,
  0x79f1268e8c530202, 0xd54e5e53633a0714, 0x5169b167a1d53815, 0x97e6d97063b7fbd5, 0x2a73f53de08dca5a,
  0x7e627ff787bde50c, 0xffe0a68fb61c7f19, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4,
  0x00a02e825514f270,
};

/*
 * m64_u1x8_uart0_dual_pr            m64_u1x8_uart0_dual_pr_u4         m64a_u1x8_uart0_dual
 * m64a_u1x8_uart0_dual_pr           m64a_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m64_u1x8_uart0_dual[] = {
  0xeeeeeb07a243704a, 0xbbbbbab7a589d7e6, 0x770638ae3d0ddbbb, 0x1664792eeee9bb1a, 0x41dc3ae9aed8bbb8,
  0x13e30120982bbc96, 0xd7d932305520524c, 0x1030a193ed22d67d, 0x77e650129dd3ee5f, 0xafbd8145383939be,
  0x92241240e3dcdea3, 0x510c4aff3f7c1142, 0xe5e99cb7427d70f8, 0x54219682d74432ac, 0xe7affd01cf09a0fc,
  0xacc16156662e72f6, 0x3b45db605f27fcdb, 0xbd47b8677cb73c2d, 0x3df6b524389206f6, 0xe8d059cc580bac53,
  0xff6608ebc06a76af, 0x07967b63ee895403, 0x9fccfa3999598e3e, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0x900dca5a97e6d971, 0x75666fe0eee3458b, 0xef0f7bca1854e7ea,
  0x1f6c38fe32fcc4ff, 0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8, 0xaf3398b7e9296ce1, 0xad6689e4e0b9cc59,
  0x0000000000149309,
};

// m64_u1x8_uart0_dual_pr_ee_u4      m64a_u1x8_uart0_dual_pr_ee        m64a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart0_dual_pr_ee[] = {
  0xddddd60f44869a4e, 0x77777567a65aafcd, 0x9cefb561b6c5f777, 0xc3d86d841ba8eec4, 0xd1c8755efe1ebb67,
  0x48260aef2638bba6, 0x305520001304f8c0, 0x93ed22d67dd7d932, 0x129dd3ee5f1030a1, 0x68e063f30cdfe650,
  0x031ad37a8e96b601, 0xfcfdf0450a489049, 0x1f09f5c3e144312b, 0x3f722195672f4ce2, 0x073c267f22a10cb4,
  0xb3317397b7cadff4, 0x04e97fe6dd660b0a, 0x5ad1e942d3b45db6, 0x307f27a8f2bdbf35, 0x69bbe2beebd47c1b,
  0xb1971c270dc3afb1, 0x9c57027e6909afa5, 0x6edbda3278e75697, 0x34876355ae875ec6, 0xdeece038ec5a7cf2,
  0x0ea8d823f5b86f65, 0x33e8e6656601512a, 0x981013cb4e94527f, 0xd038a3cf89347462, 0xa9c0aeaa72f29b19,
  0xbfdeaa8b4d8b3d0e, 0x37296a5f9b65c455, 0x99bf83bb8d162e40, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc,
  0xa2ff03f7ff05347d, 0x8cb25c33d30be347, 0xce62dfa4a5b38713, 0x9a279382e73166bc, 0x000000001591f815,
};

// m64_u1x8_uart0_dual_pr_ce_u4      m64a_u1x8_uart0_dual_pr_ce        m64a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart0_dual_pr_ce[] = {
  0xbbbbac1e890d365a, 0xeeeeeade3e715f9b, 0x8f66c41bb421eeee, 0x76ca7adbbbbd3a0d, 0x777b8ccd957fd5ce,
  0xf180904c15de4989, 0xb26460aa40226609, 0x614327da45acfbaf, 0xcca0253ba7dcbe20, 0xb611c8e07066eaff,
  0x90490395d37a8fb3, 0x312bfcfdf0450a48, 0x4ce4ed89f5c3e144, 0x0cb423da2195672f, 0x7ff4073c269122a1,
  0x0b0ab3317397b738, 0x5db604beffe6dd66, 0xc7b8c5fae482d3b4, 0x2445d670f3c79b9d, 0xe068fd47c25f886c,
  0x9675713f3262e1ff, 0x8920682fd47e827b, 0x67316028f9d25243, 0xe3af01a9dabfa341, 0xb70fba25500ffd99,
  0xfa3999598e3e0796, 0x0404f2d3a5149fcc, 0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa,
  0x94b52fcdb2e0c76f, 0xdfc1ddc68b17201b, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x7f81fbff829a3ed8,
  0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x13c9c17398b35e67, 0x0000001a48b5aacd,
};

// m64a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m64_u1x8_uart0_dual_pr_ee_ce[] = {
  0x7777758387ad0c86, 0x77777756cc7bbbf3, 0xc44faafb17d26f77, 0xfa2f37713b755f24, 0xc119d0ce29d64cae,
  0x0904c15de4b62773, 0x8c15484e3e609f18, 0x64fb48b59f75f64c, 0x04a774fb97c40c28, 0xc1385e1cdcb5f994,
  0x06d7737a8f8ddb0e, 0xf9fbe08a14912092, 0x2413eb87c2886257, 0x0d64432ace5e99c5, 0x1cf09add45421968,
  0xccc5ce5edc347fd0, 0x125aff9b75982c2a, 0xea8e438b4ed176d8, 0xc3cf1e6e771ca317, 0x1f097e21b0911759,
  0x264c5c3b37d2a3f5, 0xa3cae4494ed6105f, 0x84ff51f06cc1a63e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0x6f68c9e39d5dba71, 0x3b1aaf1b1d7b19bb, 0x6701c762d3e791a4, 0xa3608991c37b2ef7, 0xa39995996744a83a,
  0x404f2d3a5149fccf, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7, 0x4b52fcdb2e0c76ff,
  0x07771a2cb28121b9, 0x50c2a73f53ab337f, 0x1f6c3dce32fcc4fe, 0xd30ae4fc73dfb0cd, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x08007add9a279382,
};

// m64a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddd60f4486f97, 0x77777756cc475efc, 0x57db9f6cfb535f77, 0xa3eeb66ee276ea0a, 0xd2c8d7507c55889e,
  0x602413057792f59d, 0x32305522c939827c, 0xa193ed22d67dd7d9, 0x50129dd3ee5f1030, 0x10f8e18dd3760fe6,
  0x240dfe4dea3b5dec, 0xaff3f7c114292241, 0x972227d70f8510c4, 0xd0d36886559cbd33, 0xa039e136048a8432,
  0xab3317397b74dbff, 0xc0a87ffe6dd660b0, 0xbf546e4c5a768bb6, 0xce1e78f373bc0918, 0xa8f84bf10d8488ba,
  0x633262e1f9699bff, 0xf51e57a54a76b082, 0xae6ef51f06cc1e45, 0x09c370ebec5a6298, 0x08ea426be96c65c7,
  0x659e8ebf9ceaedd1, 0xf76355e363af29a7, 0x99c071d8b4d05a31, 0xf18eb1191c37b2dc, 0xd28a4fe67d1cccac,
  0xa68e8c5302027969, 0x9794d8ce81c51e5b, 0x573182169bd57553, 0xa97e6da7a1d53817, 0x0eee3458b900dca5,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x0fdffc14d1f6c38f, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9,
  0x4e0b9cc59af3398b, 0x00001001d3d6689e,
};

// m64a_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m64_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeb07a28d1365a, 0xbbbbab3d32d57e6e, 0xe77dab0db62fbbbb, 0x1ec36c20dd477624, 0xf7199bdfabf5db3e,
  0x0120982bbc98e2ee, 0xc8c15480004c13e3, 0x864fb48b59f75f64, 0x5d06774fb97c40c2, 0x05a3818fcc337f99,
  0x240c6b4dea3a5ad8, 0xaff3f7c114292241, 0x887c27d70f8510c4, 0xd0fdc886559cbd33, 0xd01cf099fc8a8432,
  0x2accc5ce5edf2b7f, 0x6c09d2ff9d5b982c, 0x6ab5a3d285a768bb, 0x3660fe4f51e57b7e, 0x62d377c57dd7a8f8,
  0x4b632e384e1b875f, 0x2f38ae04fcd2135f, 0x8cddb7b464f1cead, 0xe4690ec6ab5d0ebd, 0xcbbdd9c071d8b4f9,
  0x541d51b047eb70de, 0xfe67d1cccacc02a2, 0xc5302027969d28a4, 0x33a071479f1268e8, 0x1d53815d54e5e536,
  0xab7fbd55169b167a, 0x046e52d4bf36cb88, 0x3def2861539fa9ef, 0xb0e3f8cbf313ffbc, 0xa2ff03f7ff05347d,
  0x8cb25c33d30be347, 0xce62dfa4a5b38713, 0x28a79382e73166bc, 0x000000005768669f,
};

// m64_u1x8_uart0_dual_ee_ce_u4_hw   m64a_u1x8_uart0_dual_ee_ce_hw     m64a_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart0_dual_ee_ce_hw[] = {
  0x77777583d1468f97, 0x77777756cc7bbbf3, 0xc44faafb17d26f77, 0xfa2f37713b755f24, 0xe9646bae95664cae,
  0x30120982bbc96c4e, 0x99182a909c7cc13e, 0x50c9f6916b3eebec, 0x2ba0cee9f72f8818, 0x1d8270bc39b96bf3,
  0x240daee6f51f1bb6, 0xaff3f7c114292241, 0x8a4827d70f8510c4, 0xd01ac886559cbd33, 0xa039e135ba8a8432,
  0x55998b9cbdb868ff, 0xd8125aff3ab73058, 0x17ea8e438b4ed176, 0xb3879e790e771ca3, 0xea3e12fc4361222e,
  0xbe4c98b87e5a66ff, 0x7d4795c8929dac20, 0x2b09fea3e0d9834c, 0xc270dc3afb1698a6, 0xe23a909afa5b1971,
  0x76ded193c73abb74, 0x4876355e363af633, 0xeece038ec5a7cf23, 0x7546c1132386f65d, 0x9f47332b32ce8950,
  0xc0809e5a74a293f9, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875, 0x7296a5f9b65c18ed,
  0x79430a9cfd4f7823, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x000000ebaecf2745,
};

// m64_u1x8_uart1_noled_pr           m64a_u1x8_uart1_noled             m64a_u1x8_uart1_noled_pr
static const uint64_t ur_m64_u1x8_uart1_noled[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaaec38f244, 0x65737e0f87f78fee, 0x2b42f77e6eee9101, 0xbbc9ddf1f8517124,
  0xe0a4c13e30120982, 0x45bd817c9fe15073, 0x1df2c21ec4b7f686, 0x4871240d05fa8fd0, 0xcc580b2ca61f3a4a,
  0x8ebd1f3b35f23d61, 0x6cd219e5403ff660, 0x902fd8d3c9c0f2cf, 0xef02fce7666df818, 0x19d99f9bcf894180,
  0x0ea9c0aeaa72f29b, 0x55bfdeaa8b4d8b3d, 0xc37296a5f9b61c5c, 0x663c81a3f8d1627d, 0x2c970cf4c2b93f75,
  0x98b7e9296ce1c4e3, 0xe9e4e0b9cc59af33, 0x00000003e439cc46,
};

// m64a_u1x8_uart1_noled_pr_u4
static const uint64_t ur_m64_u1x8_uart1_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xeeeeeaaec38f244b, 0x5737e0f87f78feee, 0xb42f77e6eee91016, 0xf27761991f2e2696,
  0x29304f8c048260ae, 0xb7b02f93ff0aecf8, 0xbe5843d896fed0c8, 0x0e2481a0bf51fa03, 0x8b016594c3e74949,
  0xd7a3e766be47ac39, 0x9a433ca807fecc11, 0x05fb1a79381e59ed, 0xe05f9ceccdbf0312, 0x3b33f379f128301d,
  0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0x6e52d4bf36c38b8a, 0x337f07771a2c5c80, 0x7bde50c2a73f53ab,
  0x61c7f197e627ff78, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27, 0x344f2705ce62cd79,
  0x00000001f276cc5b,
};

// m64_u1x8_uart1_noled_pr_ee_u4     m64a_u1x8_uart1_noled_pr_ee       m64a_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart1_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9024225, 0x5d936a636f419eee, 0x4cc4e0be17bbbbfc, 0xdc9cf5a82b4e3610,
  0x13e30120982bbc9d, 0x274bff85767ca5cc, 0x38d896fed0c8b7b0, 0x1f51e57224d56b47, 0x8ac27fa8f83660d3,
  0x709c370ebec5a6ef, 0x1ac9a426be96c65c, 0x64782ce756970517, 0x6355ae875e74ddad, 0xc071d8b4c43a30e3,
  0xd823f5b86f65b2f9, 0x902fd80119e534a8, 0xef02fce7666df818, 0x19d99f9bcf894180, 0x0ea9c0aeaa72f29b,
  0x55bfdeaa8b4d8b3d, 0x037296a5f9b61c5c, 0x599bf83bb8d162e4, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871, 0xd9a279382e73166b, 0x0000000004ebde49,
};

// m64a_u1x8_uart1_noled_pr_ce
static const uint64_t ur_m64_u1x8_uart1_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x941c5a64efcd623b, 0xd04e3f5a3c9bbba5, 0x60aef277617ad1e3,
  0x39fdbf304f8c0482, 0x4322dec0ba8ff0a8, 0x8f963faf41625bfb, 0x728ae4ff3cdc3b9d, 0x73dcb2eb19cce758,
  0x243892078cfd47a9, 0xd41ce62c0527921d, 0xcb19e3af173b5128, 0x06240bf60ebf0f71, 0x603bc0bf39d99b7e,
  0x536253f7ceccfcde, 0x02103182169c9183, 0x94b52fcdb4f43aa7, 0xe40d1fc68b13ee1b, 0xb867a615c9fbab31,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x0000b7503962374f,
};

// m64a_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart1_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e612c7c4b, 0xbf312e3c7f70addd, 0xb278ec99eeeeeadb, 0xbc9dd8e302cddb33,
  0xc9cc13e30120982b, 0xb7b025f7ff85767d, 0x17eb10d896fed0c8, 0xace1e78f373b32a3, 0xfa8f84bf10d8488b,
  0x7d64c98b87b1fff9, 0x1eb3d4727a7b9675, 0x580b19135490e248, 0xbd1f3b35f23d61cc, 0xd219e5403ff6678e,
  0x0bf634f2703cb5b8, 0xc0bf39d99b7e0624, 0x7667e6f3e250603b, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43,
  0xb94b52fcdb0e2cc7, 0xcdfc1ddc68b17201, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0x17f81fbff829a3ed,
  0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0xd13c9c17398b35e6, 0x00000006ebeea92c,
};

// m64_u1x8_uart1_noled_pr_ee_ce_u4  m64a_u1x8_uart1_noled_pr_ee_ce    m64a_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart1_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce24d2c4b, 0x764682833de4bbbb, 0x3697a90bdeef8f7a, 0xfb5d768ed3ee99fd,
  0x3e30120982bbc9dd, 0x96bff0aecf98fcc1, 0xeb12dfda1916f604, 0xcdcef67462fd51fc, 0xc4361222eb3879e3,
  0xc3b21d257ea3e12f, 0xa894ed6107be64c5, 0x3e0d9835afea3caf, 0xd7d8b4c53159ebea, 0xd7d2d8cb8e1386e1,
  0x0b39d5db8141d484, 0xf1b1d79d376b591e, 0xec5a621d1871b1aa, 0x991c37b2d97ce038, 0xf61666794d2a3608,
  0xbf39d99b7e06240b, 0x67e6f3e250603bc0, 0x702baa9cbca6c676, 0xf7aaa2d362cf43aa, 0x4b52fcdb0e2cc76f,
  0xfc1ddc68b17201b9, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17,
  0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x0000027e082bacd1,
};

// m64a_u1x8_uart1_noled_ee_hw
static const uint64_t ur_m64_u1x8_uart1_noled_ee_hw[] = {
  0xddddd77514680cc5, 0x77775575c812112d, 0xec9b531b7a0cf777, 0x662705f0bddddfe2, 0xdd8e302f5999b082,
  0xc13e30120982bbc9, 0x813a5ffeb267ca5c, 0x39c6c4b7f68645bd, 0x98fa8f2b9126ab5a, 0x7c5613fd47c1b306,
  0xe384e1b875f62d37, 0xb8d64d2135f4b632, 0x6b23c1673ab4b828, 0x1b1aad743af3a6ed, 0xce038ec5a621d187,
  0x46c11fadc37b2d97, 0xc4817ec008cf29a5, 0x077817e73b336fc0, 0xd8ceccfcde7c4a0c, 0xe8754e0575539794,
  0xe2adfef5545a6c59, 0xc11b94b52fcdb0e2, 0x0f7bca1854e7ea7b, 0x6c38fe32fcc4ffef, 0xe8bfc0fdffc14d1f,
  0xe32c970cf4c2f8d1, 0x3398b7e9296ce1c4, 0xfa29e4e0b9cc59af, 0x0000000000b7c8c7,
};

// m64_u1x8_uart1_noled_ee_ce_u4_hw  m64a_u1x8_uart1_noled_ee_ce_hw    m64a_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart1_noled_ee_ce_hw[] = {
  0xbbbbbaeea28d0582, 0xddddd55e71269625, 0x3b2341419ef25ddd, 0x9b4bd485ef77c7bd, 0x775b11ced4e54cfe,
  0x304f8c048260aef2, 0xc092d7ff5933e63f, 0x3f9d625bfb4322de, 0x79e439dece8c5faa, 0x4bf10d8488bace1e,
  0x3170f787cb5fa8f8, 0x2bea253b5841ef99, 0xfa8f83660d6bfa8f, 0xb875f62d314c567a, 0x2135f4b632e384e1,
  0x4782ce7576e05075, 0x6abc6c75e74ddad6, 0x0e3b169887461c6c, 0x8226470decb65f38, 0x02fd85999e534a8d,
  0xf02fce7666df8189, 0x9d99f9bcf894180e, 0xea9c0aeaa72f29b1, 0xdbfdeaa8b4d8b3d0, 0x6e52d4bf36c38b31,
  0xef2861539fa9ef04, 0xe3f8cbf313ffbc3d, 0xff03f7ff05347db0, 0xb25c33d30be347a2, 0x62dfa4a5b387138c,
  0xa79382e73166bcce, 0x0000000a023566e8,
};

// m64_u1x8_uart1_lednop_pr          m64a_u1x8_uart1_lednop            m64a_u1x8_uart1_lednop_pr
static const uint64_t ur_m64_u1x8_uart1_lednop[] = {
  0xb777775ddacdfebe, 0xdddddd55d87122c4, 0xb2326c1cd076b4dd, 0x2f6f23f6ddddcd60, 0xbc9dd2e364c6da9b,
  0xbe4c13e30120982b, 0x5bd81263fe15073e, 0xdf2c90ec4b7f6864, 0x871240cd27a8e4f1, 0xc580b7ba68c89aa4,
  0xebc5cec27d1c829c, 0xfd8561a4dc72c608, 0x02027666df818902, 0xbc7294180ef02fcf, 0x4dea53929d0199f9,
  0xd20bcf43aa703be5, 0x6d80e5156ff7aaa2, 0x34589f70dca5a97e, 0xae4fdd598f2068fe, 0x387138cb25c33d30,
  0x166bcce62dfa4a5b, 0x1a7311ba79382e73, 0x00000000000001f2,
};

// m64a_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_m64_u1x8_uart1_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d873c5c4b, 0x53c9cddfb6fa5ddd, 0x5e35fc4eeee91016, 0xe4eed0bfa7989897,
  0x02609f180904c15d, 0x6f605377fe15d9f4, 0x7cb087b12dfda191, 0x1c4903417ea3dac7, 0x1602cb2993111692,
  0xaf47cedcf2348673, 0xf58691500ffd9823, 0x02fd9b1c4c0f2cf6, 0xcf02027666df8189, 0xf9bc7294180ef02f,
  0xe54dea53929d0199, 0xa2d20bcf43aa703b, 0x7e6d80e5156ff7aa, 0xee3458b900dca5a9, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xdffc14d1f6c38fe3, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x0b9cc59af3398b7e,
  0x03e4fecb56689e4e,
};

// m64_u1x8_uart1_lednop_pr_ee_u4    m64a_u1x8_uart1_lednop_pr_ee      m64a_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart1_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xeeeeeaaeb9064225, 0x2c90b2750f4fdeee, 0xbb1e705f0bddddfe, 0x60580ab22d8b1795,
  0x4f8c048260aef277, 0x8baffe15d9f53d30, 0xe3625bfb4322dec0, 0x7d4795995355ad1c, 0x2bdbfea3e0d9834c,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0xe8c9a39d5a5d005c, 0x8d56ba1d79d37683, 0x01c762d3c168ded5,
  0x608fd6e1bd96cbe7, 0x40bf6004690cf2a3, 0xf3c0809d99b7e062, 0x7e6f1ca50603bc0b, 0xf9537a94e4a74066,
  0xa8b482f3d0ea9c0e, 0x5f9b6039455bfdea, 0xbb8d162e4037296a, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xf7ff05347db0e3f8, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x004eb86a759a2793,
};

// m64_u1x8_uart1_lednop_pr_ce_u4    m64a_u1x8_uart1_lednop_pr_ce      m64a_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart1_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e611e9c4b, 0xbec7e63e97504ddd, 0x890537006eeeeadb, 0xef2776e09ba69653,
  0x74b304f8c048260a, 0x2dec0bf77fe15d9f, 0xc5fac43625bfb432, 0xd670f3c79b9d98f8, 0xfd47c25f886c2445,
  0x7d64c98b87dda4db, 0x1eb3d47e927b9675, 0x602ad7b87490e248, 0xf47cedcf23486731, 0x58691500ffd99e3a,
  0x0bf66c71303cb5bb, 0x3c0809d99b7e0624, 0xe6f1ca50603bc0bf, 0x9537a94e4a740667, 0x8b482f3d0ea9c0ef,
  0xf36c07231dbfdeaa, 0x71a2c5c806e52d4b, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xffe0a68fb61c7f19,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4, 0x1baf05dab344f270,
};

// m64_u1x8_uart1_lednop_pr_ee_ce_u4 m64a_u1x8_uart1_lednop_pr_ee_ce   m64a_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce24c4c4b, 0x6696c89fbd977bbb, 0x17afa90bdeef8f7a, 0x39d9f6644abd60f9,
  0x3e30120982bbc9dd, 0xd3fff85767ffe4c1, 0xeb12dfda1916f605, 0xcdcec6b462fd51fc, 0xc4361222eb3879e3,
  0xc39256547ea3e12f, 0xba94ed6107be64c5, 0x3e0d9835afea3caf, 0xd7d8b4c5315c89ea, 0xd7d2d8cb8e1386e1,
  0x9a39d5db9001d484, 0xf1b1d79d37683e8c, 0xec5a782d1bdab1aa, 0x991c37b2d97ce038, 0xf6166690cf2a3608,
  0x0809d99b7e06240b, 0xf1ca50603bc0bf3c, 0x37a94e4a740667e6, 0x482f3d0ea9c0ef95, 0x6c07231dbfdeaa8b,
  0xa2c5c806e52d4bf3, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xe0a68fb61c7f197e, 0x617c68f45fe07eff,
  0xb670e271964b867a, 0xe62cd799cc5bf494, 0xf87aa4b344f2705c, 0x0000000000000009,
};

// m64a_u1x8_uart1_lednop_ee_hw
static const uint64_t ur_m64_u1x8_uart1_lednop_ee_hw[] = {
  0xddddd77514682d7b, 0x77775575c832112d, 0x648593a87a7ef777, 0xd8f382f85eeeeff1, 0x76e09bad29d8bcad,
  0x04f8c048260aef27, 0x045d7ffac99f53d3, 0xe71b12dfda1916f6, 0x63ea3cacca9aad68, 0xf15edff51f06cc1a,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x1f464d1cead2e802, 0xac6ab5d0ebce9bb4, 0x380e3b169e0b46f6,
  0x1b047eb70decb65f, 0x1205fb0023486795, 0x5f9e0404eccdbf03, 0x33f378e528301de0, 0x77ca9bd4a7253a03,
  0x5545a4179e8754e0, 0x52fcdb01ca2adfef, 0x854e7ea7bc11b94b, 0x2fcc4ffef0f7bca1, 0xdffc14d1f6c38fe3,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x0b9cc59af3398b7e, 0x000b7fa907a29e4e,
};

// m64_u1x8_uart1_lednop_ee_ce_u4_hw m64a_u1x8_uart1_lednop_ee_ce_hw   m64a_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xb777775dd451a111, 0xbbbbbaabce24c4c4, 0xa6696c89fbd977bb, 0x917afa90bdeef8f7, 0x4ee8f62d5b1a960f,
  0x2609f180904c15de, 0xd8174ffff5933fff, 0x47f3ac4b7f68645b, 0xcf3c873b1ad18bf5, 0x097e21b0911759c3,
  0x262e1d9f3acff51f, 0xe57dd4a76b083df3, 0x4f51f06cc1ad7f51, 0x370ebec5a6298ae4, 0xa426be96c65c709c,
  0xf464d1ceaedc800e, 0x8d578d8ebce9bb41, 0x01c762d3c168ded5, 0xb044c8e1bd96cbe7, 0x205fb0b334867951,
  0xf9e0404eccdbf031, 0x3f378e528301de05, 0x7ca9bd4a7253a033, 0x545a4179e8754e07, 0x5f9b603918edfef5,
  0xa9cfd4f78237296a, 0xf989ffde1ef79430, 0xff829a3ed871fc65, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0x7398b35e67316fd2, 0x050152fc3453c9c1,
};

/*
 * m64_u1x8_uart1_dual_pr            m64_u1x8_uart1_dual_pr_u4         m64a_u1x8_uart1_dual
 * m64a_u1x8_uart1_dual_pr           m64a_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m64_u1x8_uart1_dual[] = {
  0xddddd60f44861a4e, 0x777775626653afcd, 0x599991977a02b777, 0x39d9233dddd86751, 0xb77227e1f6ca07cd,
  0x9f180904c15de495, 0x7d9323055219f260, 0x030a193ed22d67dd, 0xfe650129dd3ee5f1, 0x45d8393387ce9a43,
  0x91209206fe4dea39, 0x886257f9fbe08a14, 0x5e99ceaf13eb87c2, 0xa10cb41314432ace, 0x8f7ff4073c268ca2,
  0x660b0ab3317397b7, 0x0c8b7b02d2bfe6dd, 0x191df2c4f5896fed, 0xb490e2481b5f7a8f, 0xce62c05d629a6ec8,
  0x23af01a9dba04621, 0xdb13e82d500ffd98, 0x7332b31b20f03cb3, 0xf818902fd93f99f4, 0xef02fcf02027666d,
  0xd0199f9bc7294180, 0xa703be54dea53929, 0xff7aaa2d20bcf43a, 0xca5a97e6d80e5156, 0x6fe0eee3458b900d,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0xbfc0fdffc14d1f6c, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3,
  0x89e4e0b9cc59af33, 0x000000292620d566,
};

// m64_u1x8_uart1_dual_pr_ee_u4      m64a_u1x8_uart1_dual_pr_ee        m64a_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m64_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeeb07a2435202, 0x777775653655f7e6, 0x27db3e9c5b73b777, 0xd39171b23bb938a7, 0x5f76577eb29d6c75,
  0x20982bbc9836ee5c, 0xc1548ea74c13e301, 0x4fb48b59f75f64c8, 0x4a774fb97c40c286, 0xf380cdcdbb5f9940,
  0x193a9bd470b5b031, 0xe7ef822852448248, 0x684fae1f0a21895f, 0x95910cab397a6739, 0x73c265f7150865a0,
  0x3317397b71adff40, 0x5813fe6dd660b0ab, 0x4fb12dfda1916f60, 0x7a8f2b80d355ad18, 0x2b7f3d47c1b30737,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0xa3114e7569791170, 0x6ab5d0ebd8cdd96b, 0x071d8b4fa4475fec,
  0x047eb70decbbdd9c, 0xccacc024163ed51b, 0x06240bf64fe67d1c, 0xc0bf3c0809d99b7e, 0x0667e6f1ca50603b,
  0xc0ef9537a94e4a74, 0xdeaa8b482f3d0ea9, 0x96a5f9b6039455bf, 0xf83bb8d162e40372, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xf03f7ff05347db0e, 0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6,
  0x000001592eadd9a2,
};

// m64_u1x8_uart1_dual_pr_ce_u4      m64a_u1x8_uart1_dual_pr_ce        m64a_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m64_u1x8_uart1_dual_pr_ce[] = {
  0xddddd60f448664d6, 0x777775685f1aafcd, 0x272d9402b73ef777, 0xd9623adbbbb1c727, 0xdd608fe151f518a7,
  0xc602413057793e45, 0x9323055235419827, 0x0a193ed22d67dd7d, 0x650129dd3ee5f103, 0x60704e1d5f350ffe,
  0x04903b7537a8f1cb, 0x12bfcfdf0450a489, 0x6705209f5c3e1443, 0x32d07f110cab397a, 0xffa039e136df8a84,
  0x5855998b9cbdbcae, 0xb7b0290fff36eb30, 0x17ea0a5896fed0c8, 0x59c3cf1e6e765163, 0xf51f097e21b09117,
  0xc4fcc98b877f9883, 0x13fea3c1f9ee59d5, 0x02e4837e921c4903, 0x0d4edd02310e7316, 0x416a807feccf1d78,
  0x663641e0796b709f, 0x205fb27f33e8e665, 0xf9e0404eccdbf031, 0x3f378e528301de05, 0x7ca9bd4a7253a033,
  0x545a4179e8754e07, 0x5f9b603918edfef5, 0xbb8d162e4037296a, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xf7ff05347db0e3f8, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x00349054e59a2793,
};

// m64a_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m64_u1x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeb07d41431f02, 0x7777562669af7e6e, 0x037393ef50877777, 0xebad12ef76c32be4, 0xada0fcf35f66eb88,
  0x13057792539dce43, 0x2a902a89827c6024, 0xf6916b3eebec9918, 0x4ee9f72f881850c9, 0x9c2004c293f32809,
  0x4db9bd47b5bd856f, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0xe4432ace5e99c683, 0xf098a1c54219684a,
  0x8b9cbdbeed7fd01c, 0x5fff36eb30585599, 0xb12dfda1916f605d, 0x9b9de9bb1fd51945, 0x39d61facd90ff3c7,
  0xcacc7ca76b02af93, 0xbf51f06cc1e49ea3, 0x6e1d7d8b4c5315c7, 0x484d7d2d8cb8e138, 0xe8c4539d5dba441d,
  0x355e363af633765a, 0x038ec5a7d223aff6, 0xc1132386f65deece, 0x332b32cd058fb546, 0x818902fd93f99f47,
  0xf02fcf02027666df, 0x0199f9bc7294180e, 0x703be54dea53929d, 0xf7aaa2d20bcf43aa, 0x4b52fcdb01c8c76f,
  0xc1ddc68b151641b9, 0x9430a9cfd4eaccdf, 0x4fdf04d1f6c389c6, 0x7138cb25c33d30ae, 0x6bcce62dfa4a5b38,
  0x0259a279382e7316, 0x0000000000002001,
};

// m64a_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87fa0ae, 0xeeeeac0bc1f5f9bb, 0x435df73b47e6eeee, 0x2d0ccc8eefda8d48, 0x2b372bd95f913ee0,
  0x20982bbc93b4eee6, 0x2a90b90fcc13e301, 0xf6916b3eebec9918, 0x4ee9f72f881850c9, 0xc396a666ffe65602,
  0x3e9bd47ec1d85e19, 0xdf0450a489049034, 0x9f5c3e144312bfcf, 0x4432ace5e99c0000, 0x09b674542196813a,
  0xb9cbdbb5dffd01cf, 0x7fa22c9305855998, 0x4b7f68645bd816ed, 0x7743f18bf54652ec, 0xc2445d670f3cf806,
  0x49cdffd47c25f886, 0x3b58417c993170ea, 0x660f24f51e5663e5, 0x5a6298ae3dfa8f83, 0x6c65c709c370ebec,
  0xeaedd220ea426be9, 0xd7b19bb2d746229c, 0x3e911d7fb1aaf1b1, 0x37b2ef76701c762d, 0x682c7daa3608991c,
  0xec9fccfa39995996, 0x1013b336fc0c4817, 0xe394a0c077817e78, 0x6f529c94e80ccfcd, 0x905e7a1d5381df2a,
  0xd80e463b7fbd5516, 0x458b900dca5a97e6, 0x3f53ab337f068fe3, 0x27ff787bde50c2a7, 0x0a68fb61c7f197e6,
  0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0x590bd5524f2705ce, 0x0000000000002001,
};

// m64a_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m64_u1x8_uart1_dual_ee_hw[] = {
  0x7777583d146864d6, 0xbbbbab29b2afbf37, 0x3ed9f4e2db9dbbbb, 0x9c8b8d91ddc9c539, 0x823f875462eb63ae,
  0x0904c15de4c1b775, 0x460aa4753a609f18, 0x327da45acfbafb26, 0xe833ba7dcbe20614, 0x8f9c066e6ddafcca,
  0x40c9d4dea385ad81, 0xff3f7c1142922412, 0xcb427d70f8510c4a, 0x04ac886559cbd339, 0x039e132fb8a8432d,
  0x5998b9cbdb8d6ffa, 0x81604ff3ab730585, 0x613ec4b7f68645bd, 0xddea3cae034d56b4, 0xf8adfcf51f06cc1c,
  0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xae8c4539d5a5e445, 0xb1aad743af633765, 0x701c762d3e911d7f,
  0x6c11fadc37b2ef76, 0x7332b3009058fb54, 0xf818902fd93f99f4, 0xef02fcf02027666d, 0xd0199f9bc7294180,
  0xa703be54dea53929, 0xff7aaa2d20bcf43a, 0xca5a97e6d80e5156, 0xe50c2a73f53de08d, 0x7f197e627ff787bd,
  0xe07effe0a68fb61c, 0x4b867a617c68f45f, 0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x00000aed633cbd14,
};

// m64_u1x8_uart1_dual_ee_ce_u4_hw   m64a_u1x8_uart1_dual_ee_ce_hw     m64a_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbac1e8a34204d3, 0xeeeeac0bc1f5f9bb, 0x435df73b47e6eeee, 0x2d0ccc8eefda8d48, 0x6c69d6893f913ee0,
  0x20982bbc93b4ee16, 0x2a90b90fcc13e301, 0xf6916b3eebec9918, 0xcee9f72f881850c9, 0xe1cb53337ff32ba0,
  0x1f4dea3f60ec2f0c, 0xef8228524482481a, 0x4fae1f0a21895fe7, 0x22195672f4ce0000, 0x84db3a2a10cb409d,
  0x5ce5eddaeffe80e7, 0xd7f9d5b982c2accc, 0xc4b7f68645bd816e, 0xe7743f18bf54652e, 0x361222eb3879e790,
  0xdc89257ea3e12fc4, 0x94ed6105f264c5c3, 0x0d983c93d479598f, 0xb1698a62b8f7ea3e, 0xa5b1971c270dc3af,
  0x73abb74883a909af, 0xc75ec66ecb5d188a, 0xb4fa4475fec6abc6, 0x70decbbdd9c071d8, 0x59a0b1f6a8d82264,
  0x5fb27f33e8e66566, 0xe0404eccdbf03120, 0x378e528301de05f9, 0xa9bd4a7253a0333f, 0x5a4179e8754e077c,
  0x9b603918edfef554, 0xcfd4f78237296a5f, 0x89ffde1ef79430a9, 0x829a3ed871fc65f9, 0x85f1a3d17f81fbff,
  0xd9c389c6592e19e9, 0x98b35e67316fd252, 0x75a7a75453c9c173, 0x000000000000001d,
};

// m64_u1x12_uart0_noled_pr          m64a_u1x12_uart0_noled            m64a_u1x12_uart0_noled_pr
static const uint64_t ur_m64_u1x12_uart0_noled[] = {
  0xeeebbb405eb372ac, 0x777557b81193896e, 0xc1f561b4da137777, 0xf9be1fdddd6c1d48, 0x93bbb6da98cc77b3,
  0x19827c6024130577, 0xb7fe1f3fc2a0e7e2, 0x9f169da2ed84425d, 0x063efd47afe77cb0, 0x965308bcf5243892,
  0x3b07146678e62c05, 0x35403ff6608ebd1f, 0x0aca81e59eda9afc, 0x934746293cb4e945, 0x52f29bd73f1479bd,
  0x2a7d3d0ea9c08fea, 0x6d2ff156ff7aaa2d, 0xa2c4fb86e52d4bf3, 0x727eeacc790347f1, 0xc389c6592e19e985,
  0xb35e67316fd252d9, 0xc2988dd3c9c17398, 0x0000000000007c81,
};

// m64a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m64_u1x12_uart0_noled_pr_u4[] = {
  0xbaeed0174486422f, 0xdd55ee0464e25bbb, 0x7d586d3684dddddd, 0x6f87f7775b075230, 0x774add0518106cfe,
  0x304f8c048260aef2, 0x7fe1f3ff0aecfc43, 0xf169da2ed84425db, 0x63efd47afe77cb09, 0x65308bcf52438920,
  0xb07146678e62c059, 0x5403ff6608ebd1f3, 0xaca81e59eda9afc3, 0x34746293cb4e9450, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xd2ff156ff7aaa2d2, 0x2c5c806e52d4bf36, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x0a68fb61c7f197e6, 0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0xee793b344f2705ce,
  0x00000000000003e4,
};

// m64_u1x12_uart0_noled_pr_ee_u4    m64a_u1x12_uart0_noled_pr_ee      m64a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart0_noled_pr_ee[] = {
  0xbaeed0174486d38b, 0xdd55d3d78ee25bbb, 0xff1ec47568dddddd, 0xb8440e2dde6f4202, 0x61ba199bac2ac98d,
  0x30120982bbc9dd83, 0xbff85767fe74c13e, 0xa2ed84425db7fe28, 0xe719aad68e6e169d, 0x51f06cc18f9ea3ca,
  0x1d7d8b4ddf15cbef, 0x4d7d2d8cb8e1386e, 0xcead2e98ae359348, 0x1d79d37659e8c4f9, 0xd34168f19d8d56ba,
  0xe1bd96cbe701c762, 0x0bf0c032a3608fd6, 0xd1d18a4f2d3a5140, 0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94,
  0x4bfc55bfdeaa8b4a, 0xb17201b94b52fcdb, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x29a3ed871fc65f98,
  0x5f1a3d17f81fbff8, 0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x8176acd13c9c1739, 0x00000000000004eb,
};

// m64a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_m64_u1x12_uart0_noled_pr_ce[] = {
  0x7775dda02f59bb37, 0xdddd55d870bdc4b7, 0x6cfddea66b11dddd, 0xfd68c1f7777410da, 0xc9dd85eb478f4138,
  0x8cc13e30120982bb, 0xdbff2f9fe15073f3, 0x678b4ed176c2212e, 0x9e6e1dcec7cb1fd5, 0x8ce673ac3d4afddf,
  0xac5ea3a0b9ee5975, 0x0ab3d21d24389207, 0x2e76a251c351cc58, 0x1d7e1ee39633c75e, 0x4d1d18a4f2d3a514,
  0x4bca6f5cfc51e6f6, 0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4, 0x1627dc37296a5f9b, 0x93f75663c81a3f8d,
  0x1c4e32c970cf4c2b, 0x9af3398b7e9296ce, 0x72c46e9e4e0b9cc5, 0x0000000000016ea0,
};

// m64a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart0_noled_pr_ce_u4[] = {
  0xbaeed0174486c056, 0xdd55e71350e25bbb, 0xdb19426b53dddddd, 0xf98f1fddddbf3838, 0x4eef91476c844e05,
  0xa609f180904c15de, 0xbff07bffc2bb3f01, 0xb8b4ed176c2212ed, 0xf1e6e767ac62fd56, 0x97e21b0911759c3c,
  0x62e1fabe87ff51f0, 0x76be9ee59d5f5932, 0x43d24389206693d4, 0xe28ccf1cc580b70c, 0x07feccf1d7a3e760,
  0x540f2d6e535f86a8, 0x3a3149e5a74a2856, 0x94deb9f8a3cdec9a, 0xe9e8754e047f5297, 0xfe63b7fbd5516953,
  0x5c806e52d4bf36d2, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0xc68f45fe07effe0a,
  0x0e271964b867a617, 0xcd799cc5bf494b67, 0x668b344f2705ce62, 0x000000000001bae2,
};

// m64_u1x12_uart0_noled_pr_ee_ce_u4 m64a_u1x12_uart0_noled_pr_ee_ce   m64a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u1x12_uart0_noled_pr_ee_ce[] = {
  0x775dda02e890d2a8, 0xeeeaafc2e1044b77, 0x85c335a3571eeeee, 0x0ce7bbc5eee62d4e, 0xda0871c4b511fb22,
  0xf180904c15de4ee9, 0xe5ff85767fabe609, 0xda2ed84425db7fe8, 0xf02462fd51fee169, 0x1222eb3879e3cdce,
  0x333e7ea3e12fc436, 0xed6107be64c5c3cc, 0xcc1c65ea3cac1494, 0x5a6298ae6ef51f06, 0x6c65c709c370ebec,
  0xeaedc988ea426be9, 0xd79d37659e8c4f9c, 0x682d1e33b1aaf1b1, 0x37b2d97ce038ec5a, 0xff0c032a3608991c,
  0x1d18a4f2d3a5142c, 0xca6f5cfc51e6f64d, 0xf4f43aa7023fa94b, 0x7f31dbfdeaa8b4a9, 0x2e4037296a5f9b69,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b,
  0x66bcce62dfa4a5b3, 0xe69d9a279382e731, 0x00000000000027e7,
};

// m64a_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m64_u1x12_uart0_noled_ee_hw[] = {
  0xebbb405d1468c056, 0x75574f5e3b896eee, 0xfc7b11d5a3777777, 0xe11038b779bd080b, 0x91477b13b0ab2636,
  0xf180904c15de4eef, 0xa2fff5933ff3a609, 0x768bb6110976dff8, 0x2b9c66ab5a39b85a, 0xbd47c1b3063e7a8f,
  0xb875f62d377c572f, 0x2135f4b632e384e1, 0xe73ab4ba62b8d64d, 0xe875e74dd967a313, 0x8b4d05a3c676355a,
  0x5b86f65b2f9c071d, 0x002fc300ca8d823f, 0x934746293cb4e945, 0x52f29bd73f1479bd, 0x2a7d3d0ea9c08fea,
  0x6d2ff156ff7aaa2d, 0xfa9ef046e52d4bf3, 0x3ffbc3def2861539, 0x5347db0e3f8cbf31, 0xbe347a2ff03f7ff0,
  0x387138cb25c33d30, 0x166bcce62dfa4a5b, 0xcdff868a79382e73, 0x00000000000000b7,
};

// m64_u1x12_uart0_noled_ee_ce_u4_hw m64a_u1x12_uart0_noled_ee_ce_hw   m64a_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbaeed017451a2f43, 0x77557e1708225bbb, 0x2e19ad1ab8f77777, 0x673dde2f77316a74, 0xbb257db3888fd910,
  0x9f180904c15de4ee, 0x472ffeb267fabe60, 0x4ed176c2212edbff, 0x77812317ea8ff70b, 0x61222eb3879e790e,
  0x1f6377ea3e12fc43, 0x4ed6107be64c5c3a, 0x6cc1c65ea3cac149, 0xc5a6298ae6ef51f0, 0x96c65c709c370ebe,
  0xceaedc988ea426be, 0x1d79d37659e8c4f9, 0xa682d1e33b1aaf1b, 0xc37b2d97ce038ec5, 0xcff0c032a3608991,
  0xd1d18a4f2d3a5142, 0xbca6f5cfc51e6f64, 0x9f4f43aa7023fa94, 0x97f31dbfdeaa8b4a, 0x4f78237296a5f9b6,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0x1a3d17f81fbff829, 0x389c6592e19e985f, 0x35e67316fd252d9c,
  0xa095453c9c17398b, 0x000000000000280b,
};

// m64_u1x12_uart0_lednop_pr         m64a_u1x12_uart0_lednop           m64a_u1x12_uart0_lednop_pr
static const uint64_t ur_m64_u1x12_uart0_lednop[] = {
  0xbbaeed017acdfebe, 0xddd55ee0491625bb, 0x26c1cd076b4ddddd, 0x791fb6eeeb60ea43, 0xee971b2636d4d97b,
  0x609f180904c15de4, 0xff931ff0a839f5f2, 0xc5a768bb6110976d, 0x8fbf51d679df2c27, 0x2986f93d490e2481,
  0x9ed23348731602cb, 0xa01ffb30475e8f9d, 0x60a07967b66794d2, 0x8a60404f2d3a5145, 0x6740e28f3e24d1d1,
  0x3aa702baa9cbca6c, 0x56ff7aaa2d362cf4, 0x70dca5a97e6d9711, 0x598f2068fe34589f, 0xcb25c33d30ae4fdd,
  0xe62dfa4a5b387138, 0xba79382e73166bcc, 0x00000001f21a7311,
};

// m64a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m64_u1x12_uart0_lednop_pr_u4[] = {
  0xbaeed01744862a9c, 0xdd55ee0491625bbb, 0x6c1cd076b4dddddd, 0x91fb6eeeb60ea432, 0xe9bbb2236da297b7,
  0x09f180904c15de4e, 0xfc98ffe15d9f5f26, 0x2d3b45db0884bb6f, 0x7dfa8eb3cef9613e, 0x4c37c9ea4871240c,
  0xf6919a4398b01659, 0x00ffd9823af47cec, 0x0503cb3db33ca695, 0x5302027969d28a2b, 0x3a071479f1268e8c,
  0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0x06e52d4bf36cb88a, 0xb337f07771a2c5c8, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0xb344f2705ce62cd7,
  0x000000001f27c668,
};

// m64_u1x12_uart0_lednop_pr_ee_u4   m64a_u1x12_uart0_lednop_pr_ee     m64a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart0_lednop_pr_ee[] = {
  0xdd77680ba243280b, 0xeeaae9eb53712ddd, 0xd82f267a6c6eeeee, 0x1c220716ef37a131, 0xd94aa16ec904242a,
  0x8c048260aef27751, 0xb7fe15d9f387304f, 0x68bb6110976dff92, 0xb3d66ab5a39b85a7, 0xd47c1b3063e7a8f2,
  0xc3afb169bbe2bd2b, 0x09afa5b1971c270d, 0x39d5a5f245c6b269, 0xa1d79d376e811887, 0x5a627d1c82d8d56b,
  0xdc37b2d97ce038ec, 0x0129afc3546c11fa, 0x314c0809e5a74a28, 0x8ce81c51e7c49a3a, 0x8754e0575539794d,
  0x2adfef5545a6c59e, 0x201b94b52fcdb2e2, 0xeaccdfc1ddc68b17, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0x92cd13c9c17398b3, 0x0000000000275c6a,
};

// m64a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_m64_u1x12_uart0_lednop_pr_ce[] = {
  0x7775dda02f59bb37, 0xdddd55d87122c4b7, 0xb4d3277e6b11dddd, 0x38fd68f26eeee821, 0xbbc9dd85eb478f41,
  0xf6fcc13e30120982, 0x5db7feea3fc2a0e7, 0xaacf169da2ed8442, 0x7e79b8773bc8b63f, 0xd63399ceb0f52bf7,
  0x1eb17a8e27e7b965, 0x602acf417490e248, 0xf173b63347ac4731, 0x50752cb71cb19e3a, 0x7462981013cb4e94,
  0xa6c6740e28f2dd34, 0x8c10b4deabaa9cbc, 0xf36d3d0ea9c0bab9, 0xf1a2c4fb86e52d4b, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0x98b35e67316fd252, 0xd40e588dd3c9c173, 0x000000000000002d,
};

// m64a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xdd77680ba2432f02, 0xeeaaf38985f12ddd, 0x18dbad36c9eeeeee, 0x63fd2eeeedf9c1ea, 0xdde9c64419d89c77,
  0xc13e30120982bbc9, 0xff3f9ff85767ca2c, 0x8b4ed176c2212edb, 0x1e6e7722462fd56b, 0x7e21b0911759c3cf,
  0x170e168c7ff51f09, 0xfcf4f72ceafac993, 0x0ba4871240cd27a8, 0xb48cd21cc580bbde, 0x07feccf1d7a3e767,
  0x0a0796b719e534a8, 0xa60404f2d3a51456, 0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43,
  0x1b94b52fcdb2e0c7, 0xccdfc1ddc68b1720, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0xd17f81fbff829a3e,
  0xc6592e19e985f1a3, 0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x00000000dd7da41e,
};

/*
 * m64_u1x12_uart0_lednop_pr_ee_ce_u4 m64a_u1x12_uart0_lednop_pr_ee_ce
 * m64a_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeed017448624d6, 0xeeaafc2ed1625bbb, 0x050b363699eeeeee, 0xf73dde2f77316a61, 0xf33eb8258be99a53,
  0x8c048260aef27755, 0xd7fe15d9f0b5304f, 0x68bb6110976dff89, 0xdf718bf547fb85a7, 0x488bace1e78f373b,
  0xe951fa8f84bf10d8, 0x6b083df3262e1d9b, 0x60e32f51e56804a7, 0xd314c5738fa8f836, 0x632e384e1b875f62,
  0x576ec90752135f4b, 0x5e74ddba04621ce7, 0x13e8e416c6abc6c7, 0xbd96cbe701c762d3, 0xa6bf0d51b044c8e1,
  0x302027969d28a166, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d, 0xdca5a97e6d97063b,
  0x66fe0eee3458b900, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e,
  0x398b7e9296ce1c4e, 0x689e4e0b9cc59af3, 0x000000009f835396,
};

// m64a_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m64_u1x12_uart0_lednop_ee_hw[] = {
  0x75dda02e8a342f02, 0xbaaba7ad4dc4b777, 0x60bc99e9b1bbbbbb, 0x70881c5bbcde84c7, 0xd38c8ed8941090a8,
  0x7c602413057793bb, 0x4adffd64cf9c3982, 0x9da2ed84425db7fe, 0xcacf59aad68e6e16, 0xaf51f06cc18f9ea3,
  0x370ebec5a6ef8af4, 0xa426be96c65c709c, 0x1ce75697c9171ac9, 0xae875e74ddba0462, 0xb16989f4720b6355,
  0xeb70decb65f380e3, 0xa004a6bf0d51b047, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0xef046e52d4bf36cb, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534,
  0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x4ea8a79382e73166, 0x000000000005be0f,
};

/*
 * m64_u1x12_uart0_lednop_ee_ce_u4_hw m64a_u1x12_uart0_lednop_ee_ce_hw
 * m64a_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbaeed017451a3032, 0xeeaafc2ed1625bbb, 0x050b363699eeeeee, 0xf73dde2f77316a61, 0xd86d95a933e99a53,
  0x9f180904c15de4ee, 0x89d7ff5933e16a60, 0xa768bb6110976dff, 0x3bdf718bf547fb85, 0xb0911759c3cf3c87,
  0xf5cd6ff51f097e21, 0xa76b083df3262e1f, 0x3660e32f51e56804, 0x62d314c5738fa8f8, 0x4b632e384e1b875f,
  0xe7576ec90752135f, 0xc75e74ddba04621c, 0xd313e8e416c6abc6, 0xe1bd96cbe701c762, 0x66a6bf0d51b044c8,
  0xc5302027969d28a1, 0x33a071479f1268e8, 0x1d53815d54e5e536, 0x3b7fbd55169b167a, 0x08dca5a97e6d9706,
  0x7bde50c2a73f53de, 0x61c7f197e627ff78, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27,
  0xd14f2705ce62cd79, 0x000000001405c117,
};

/*
 * m64_u1x12_uart0_dual_pr           m64_u1x12_uart0_dual_pr_u4        m64a_u1x12_uart0_dual
 * m64a_u1x12_uart0_dual_pr          m64a_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m64_u1x12_uart0_dual[] = {
  0x77583993a243306a, 0xdddd5b6dd89bf377, 0x9d70699e94addddd, 0x6672ef7775a5d058, 0x7756abbc7b6cd9ba,
  0xf180904c15de4833, 0xd932305523b06609, 0x30a193ed22d67dd7, 0xe650129dd3ee5f10, 0xed8256383a598e1f,
  0x241240e034dea3fe, 0x0c4aff3f7c114292, 0xe99c8ac27d70f851, 0x10cb42214432ace5, 0x13fe80e784d9162a,
  0x60b0ab3317397b79, 0x25db7fe9bbfe6dd6, 0xe5b9e169da2ed844, 0xc49037b5ea3dc33b, 0xc05d6299efb5a921,
  0x0353b57f4682ce62, 0x744aa01ffb30475e, 0xcacc71f03cb3db1f, 0x969d28a4fe67d1cc, 0x9f1268e8c5302027,
  0x54e5e53633a07147, 0x169b167a1d53815d, 0xbf36cb88ab7fbd55, 0x771a2c5c806e52d4, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0xeffe0a68fb61c7f1, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf,
  0x00a498c9cb344f27,
};

// m64_u1x12_uart0_dual_pr_ee_u4     m64a_u1x12_uart0_dual_pr_ee       m64a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart0_dual_pr_ee[] = {
  0xeeb07327448618be, 0xdddd5b0a2c57e6ee, 0xa8e720addfbddddd, 0xc550da2ee9910dc5, 0x3c344f964cfb4fb9,
  0x260aef26e0bbb336, 0xaa4720f304f8c048, 0xda45acfbafb26460, 0x3ba7dcbe20614327, 0x70ff93068fcca025,
  0xabe6f51fa7f6163e, 0xf7c114292241240f, 0x27d70f8510c4aff3, 0xc886559cbd339fae, 0xe1354a8a8432d0f9,
  0x8b9cbdbdbaffa039, 0xebff36eb30585599, 0xda2ed84425db7fe2, 0x5edf9aad68f4a169, 0xea3e0d983f93d479,
  0xe1d7d8b4ddf15f75, 0x84d7d2d8cb8e1386, 0x73ab4bce2b813f34, 0x43af63376ded193c, 0x2d3e791a43b1aad7,
  0xdc37b2ef76701c76, 0x00a89507546c11fa, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4,
  0xc59e8754e0575539, 0xb2e22adfef5545a6, 0x8b17201b94b52fcd, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9,
  0x829a3ed871fc65f9, 0x85f1a3d17f81fbff, 0xd9c389c6592e19e9, 0x98b35e67316fd252, 0xc9a38acd13c9c173,
  0x000000000000000a,
};

// m64_u1x12_uart0_dual_pr_ce_u4     m64a_u1x12_uart0_dual_pr_ce       m64a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart0_dual_pr_ce[] = {
  0xeeb0732744865c93, 0xbbbab02f4997e6ee, 0x887b14ad67dbbbbb, 0x9c8056eee8914773, 0x9a78af745f57b2d4,
  0xc048260aef2792bb, 0x32305521523304f8, 0xa193ed22d67dd7d9, 0x50129dd3ee5f1030, 0x813a3825a982d7e6,
  0x1240f4dcdea38d6d, 0x4aff3f7c11429224, 0x9cc4027d70f8510c, 0x9684064432ace5e9, 0xfe80e784c6545421,
  0x6156662e72f6e50f, 0x6dffbf77fcdbacc1, 0xc905a768bb611097, 0xe78f373b8f718bf5, 0x84bf10d8488bace1,
  0x64c5c3ffc0d1fa8f, 0xa8fd04f72ceae27e, 0xf3a4a4871240d05f, 0xb57f4682ce62c051, 0xa01ffb33c75e0353,
  0x1c7c0f2d6e1f744a, 0x4a293f99f47332b3, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4, 0xc59e8754e0575539,
  0x65c18edfef5545a6, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x05347db0e3f8cbf3,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0x9132d59a279382e7, 0x0000000000000034,
};

// m64a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m64_u1x12_uart0_dual_pr_ee_ce[] = {
  0xdd60e64fb0486f97, 0xeeead63f66efcddd, 0xa27efdeb85eeeeee, 0xcd2ec4eeeca087dd, 0x75b042acc3e421b9,
  0x30577923d9dd2c8d, 0x5217459827c60241, 0xd22d67dd7d932305, 0xdd3ee5f1030a193e, 0x0cf93759fe650129,
  0x24dea39adec2618e, 0x7c114292241240c5, 0x7d70f8510c4aff3f, 0x10cab397a670c022, 0x4d15a2a10cb43abd,
  0xce5ede76ffe80e78, 0xff9b75982c2accc5, 0x2ed84425db7fee9f, 0x9462fd51c87169da, 0x22eb3879e3cdcee3,
  0xc37ea3e12fc43612, 0x6105f264c5c39adc, 0x1a63ea3cae4494ed, 0xc531584ff51f06cc, 0xcb8e1386e1d7d8b4,
  0xdba711d484d7d2d8, 0xb19bb6f68c9e39d5, 0x791a43b1aaf1b1d7, 0xb2ef76701c762d3e, 0x4a83aa3608991c37,
  0x9fccfa3999599674, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf,
  0x641b94b52fcdb2e0, 0xaccdfc1ddc68b151, 0x389c69430a9cfd4e, 0xd30ae4fdf04d1f6c, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x20013ebd9a279382,
};

// m64a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xdddd60e64e890c86, 0xeeeeead63dd6efcd, 0x2b77efaef6b8eeee, 0x9f739a5d89dd3adb, 0x78233af70a749ae8,
  0x0120982bbc9014ee, 0x9182a90ba2cc13e3, 0x0c9f6916b3eebec9, 0x8094ee9f72f88185, 0xfae7035b9a61bf32,
  0x2075bf37a8e29361, 0x7f9fbe08a1491209, 0x24a13eb87c288625, 0x84724432ace5e99c, 0x01cf09b7dc542196,
  0x5998b9cbdbcedffd, 0xfdd3fff36eb30585, 0x2d3b45db0884bb6f, 0xb9da9e8c5faa3726, 0x86c2445d670f3c79,
  0x798667cfd47c25f8, 0x129dac2098cc98b8, 0xc1b307917d4795a0, 0xfb1698a62b5f3d47, 0xfa5b1971c270dc3a,
  0xe73abb72623a909a, 0xd8ebca69db05a310, 0x5a61c51c82d8d578, 0x8e1bd96e4ce038ec, 0x9f47332b3c62a68c,
  0xc0809e5a74a293f9, 0xe81c51e39f87a314, 0xc5fcdba96ae5297c, 0xa9c0a6173182169d, 0x06e52d4bf36d3d0e,
  0xb337f07771a2c5c8, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68,
  0x99cc5bf494b670e2, 0xb344f2705ce62cd7, 0x0000000000400631,
};

// m64a_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m64_u1x12_uart0_dual_ee_hw[] = {
  0xbac1cc9d14685c93, 0x77756c28b15f9bbb, 0xa39c82b77ef77777, 0x154368bba6443716, 0xe2bded5ef3ed3ee7,
  0x20982bbc9b82ee69, 0x82a91c83cc13e301, 0x9f6916b3eebec991, 0x0cee9f72f881850c, 0xf9c3fe4c1a3f32ba,
  0x3eaf9bd47e9fd858, 0xcfdf0450a4890490, 0xb89f5c3e144312bf, 0xe722195672f4ce7e, 0xe784d52a2a10cb43,
  0x662e72f6f6ebfe80, 0xc5d7fceadcc16156, 0xd3b45db0884bb6ff, 0xf2bdbf355ad1e942, 0xebd47c1b307f27a8,
  0x0dc3afb169bbe2be, 0x6909afa5b1971c27, 0x78e756979c57027e, 0xae875ec66edbda32, 0xec5a7cf234876355,
  0xf5b86f65deece038, 0x6601512a0ea8d823, 0x4e94527f33e8e665, 0x89347462981013cb, 0x72f29b19d038a3cf,
  0x4d8b3d0ea9c0aeaa, 0x9b65c455bfdeaa8b, 0xcfd4f78237296a5f, 0x89ffde1ef79430a9, 0x829a3ed871fc65f9,
  0x85f1a3d17f81fbff, 0xd9c389c6592e19e9, 0x98b35e67316fd252, 0xd2ac713453c9c173, 0x00000000000000ae,
};

// m64_u1x12_uart0_dual_ee_ce_u4_hw  m64a_u1x12_uart0_dual_ee_ce_hw    m64a_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u1x12_uart0_dual_ee_ce_hw[] = {
  0xeb07327451a3a668, 0x7756b1fb377e6eee, 0x13f7ef5c2f777777, 0x6976277765043eed, 0xa9d6b7661f210dce,
  0x0982bbc91ecee68f, 0x2a90ba2cc13e3012, 0xf6916b3eebec9918, 0xcee9f72f881850c9, 0x7067c9bacff32ba0,
  0x2926f51cd6f6130c, 0xfbe08a1491209206, 0x13eb87c2886257f9, 0xe886559cbd338601, 0xc268ad150865a1d5,
  0x2e72f6f3b7ff4073, 0x7ffceadcc1615666, 0x68bb6110976dffba, 0x8e518bf54721c5a7, 0x911759c3cf3c873b,
  0x337ff51f097e21b0, 0xd6105f264c5c3f2d, 0xc1a63ea3cae4494e, 0x4c531584ff51f06c, 0x8cb8e1386e1d7d8b,
  0x5dba711d484d7d2d, 0x7b19bb6f68c9e39d, 0xe791a43b1aaf1b1d, 0x7b2ef76701c762d3, 0x44a83aa3608991c3,
  0x49fccfa399959967, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c,
  0xbc11b94b52fcdb2e, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d,
  0xf3398b7e9296ce1c, 0x07a29e4e0b9cc59a, 0x000000000075d569,
};

// m64_u1x12_uart1_noled_pr          m64a_u1x12_uart1_noled            m64a_u1x12_uart1_noled_pr
static const uint64_t ur_m64_u1x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0xbbbaabece17b896e, 0xd9fbbd4cd623bbbb, 0xf5a307dddd0b28e3, 0x277617ad1e3d04e3,
  0x3304f8c048260aef, 0xed3ebe7f8541cfce, 0xa370dfeded5bb74f, 0xd47e80ef9610f9c7, 0xf9d252438920682f,
  0x91eb0e62c0596530, 0xffb30475e8f9d9af, 0x07967b6690cf2a01, 0x6fc0c4817ec69e4e, 0x4a0c077817e73b33,
  0x9794d8ceccfcde7c, 0x6c59e8754e057553, 0xb0e2e2adfef5545a, 0x8b13ee1b94b52fcd, 0xc9fbab31e40d1fc6,
  0x0e271964b867a615, 0xcd799cc5bf494b67, 0x3962374f2705ce62, 0x000000000000f900,
};

// m64a_u1x12_uart1_noled_pr_u4
static const uint64_t ur_m64_u1x12_uart1_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xdd55f670bdc4b777, 0xfddea66b11dddddd, 0xd183eeee859471ec, 0xe8d35c7e3fe9f1fa,
  0x09f180904c15de4e, 0x3ebe7fe15d9f9c66, 0x70dfeded5bb74fed, 0x7e80ef9610f9c7a3, 0xd252438920682fd4,
  0xeb0e62c0596530f9, 0xb30475e8f9d9af91, 0x967b6690cf2a01ff, 0xc0c4817ec69e4e07, 0x0c077817e73b336f,
  0x94d8ceccfcde7c4a, 0x59e8754e05755397, 0xe2e2adfef5545a6c, 0x17201b94b52fcdb0, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9,
  0x1e4ecd13c9c17398, 0x0000000000007c9d,
};

// m64_u1x12_uart1_noled_pr_ee_u4    m64a_u1x12_uart1_noled_pr_ee      m64a_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd641225bbb, 0x53d32e3a6ef77777, 0x7fa99a0eea451af8, 0x9b0d514050333601,
  0x180904c15de4eed8, 0x3ffc2bb3ec16609f, 0xfb7b56edd3fb4f9c, 0x56b4738e71e8dc37, 0x660d31f51e57224d,
  0x5a6ef8ac27fa8f83, 0x6c65c709c370ebec, 0x705171ac9a426be9, 0x4ddad64782ce7569, 0xa30e36355ae875e7,
  0x5b2f9c071d8b4c43, 0x534a8d823f5b86f6, 0xdf818902fd80119e, 0x94180ef02fce7666, 0x2f29b19d99f9bcf8,
  0xd8b3d0ea9c0aeaa7, 0x61c5c55bfdeaa8b4, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x05347db0e3f8cbf3, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xbf1a1d9a279382e7,
  0x000000000000004e,
};

// m64_u1x12_uart1_noled_pr_ce_u4    m64a_u1x12_uart1_noled_pr_ce      m64a_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart1_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85f1dc4b777, 0xff1ec47568dddddd, 0xc98dbdddd3692282, 0xdd8361ba199bac2a,
  0xc13e30120982bbc9, 0x9f28bff85767fe74, 0xb86ff6f6addba7f6, 0x665462fd621ce3d1, 0x0911759c3cf1e6e7,
  0x3fff3f51f097e21b, 0x72ceafac993170f6, 0x1c4903d67a8e4f4f, 0xac398b0163226a92, 0xccf1d7a3e766be47,
  0x96b71a433ca807fe, 0xc0c4817ec69e4e07, 0x0c077817e73b336f, 0x94d8ceccfcde7c4a, 0x59e8754e05755397,
  0xc598edfef5545a6c, 0x2e4037296a5f9b61, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0x2ed59a279382e731, 0x000000000000dd70,
};

// m64_u1x12_uart1_noled_pr_ee_ce_u4 m64a_u1x12_uart1_noled_pr_ee_ce   m64a_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d07d3896eee, 0xd45377bd3b777777, 0xcb2ab4dd85ea6c8f, 0xc5f2767df25a6742,
  0x02413057793ba932, 0xfe15d9f19b9827c6, 0xbdab76e9fda7c2d7, 0x547f3b38f46e1bfd, 0x1e78f373bd9d18bf,
  0xf84bf10d8488bace, 0x993170ec87495fa8, 0x8f2bea253b5841ef, 0x7afa8f83660d6bfa, 0xe1b875f62d314c56,
  0x752135f4b632e384, 0xd64782ce7576e050, 0x6c6abc6c75e74dda, 0x380e3b169887461c, 0x8d8226470decb65f,
  0x8902fd85999e534a, 0x0ef02fce7666df81, 0xb19d99f9bcf89418, 0xd0ea9c0aeaa72f29, 0x31dbfdeaa8b4d8b3,
  0x806e52d4bf36c38b, 0xab337f07771a2c5c, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x8f45fe07effe0a68,
  0x271964b867a617c6, 0x799cc5bf494b670e, 0x3b344f2705ce62cd, 0x00000000009f894e,
};

// m64a_u1x12_uart1_noled_ee_hw
static const uint64_t ur_m64_u1x12_uart1_noled_ee_hw[] = {
  0xdb435e0d1468d38b, 0xbaabe6b20912dddd, 0x9e9971d377bbbbbb, 0xfd4cd0775228d7c2, 0x1b0dda6e8199b00b,
  0xf180904c15de4eec, 0xe1fff5933ec16609, 0xbfdbdab76e9fda7c, 0x6ab5a39c738f46e1, 0x1b30698fa8f2b912,
  0x62d377c5613fd47c, 0x4b632e384e1b875f, 0x4b828b8d64d2135f, 0x3a6ed6b23c1673ab, 0x1d1871b1aad743af,
  0xb2d97ce038ec5a62, 0xf29a546c11fadc37, 0x36fc0c4817ec008c, 0xc4a0c077817e73b3, 0x39794d8ceccfcde7,
  0xa6c59e8754e05755, 0xdb0e2e2adfef5545, 0x7ea7bc11b94b52fc, 0x4ffef0f7bca1854e, 0x14d1f6c38fe32fcc,
  0x2f8d1e8bfc0fdffc, 0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0xbe34d6a29e4e0b9c, 0x0000000000000005,
};

// m64_u1x12_uart1_noled_ee_ce_u4_hw m64a_u1x12_uart1_noled_ee_ce_hw   m64a_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbb686bc1a28d12a8, 0xdd55e341f4e25bbb, 0xf514ddef4edddddd, 0xb2caad37617a9b23, 0xed043d2d5c9699d0,
  0xf8c048260aef2774, 0x2d7ff5933e337304, 0xbfdbdab76e9fda7c, 0x8bf547f3b38f46e1, 0x59c3cf3c873bd9d1,
  0xf51f097e21b09117, 0x3df3262e1ef0f96b, 0x7f51e57d44a76b08, 0x8acf5f51f06cc1ad, 0x709c370ebec5a629,
  0x0a0ea426be96c65c, 0xbb5ac8f059ceaedc, 0xc38d8d578d8ebce9, 0xcbe701c762d310e8, 0x6951b044c8e1bd96,
  0xf031205fb0b333ca, 0x8301de05f9ceccdb, 0xe53633b33f379f12, 0x167a1d53815d54e5, 0x71663b7fbd55169b,
  0x3de08dca5a97e6d8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0x1f7514f2705ce62c, 0x0000000000014050,
};

// m64_u1x12_uart1_lednop_pr         m64a_u1x12_uart1_lednop           m64a_u1x12_uart1_lednop_pr
static const uint64_t ur_m64_u1x12_uart1_lednop[] = {
  0x776d0d783acdfc4f, 0xeeeaafb38f244b77, 0x37e0f87f78feeeee, 0x17bbf37776442227, 0x4eef8fc28b89215a,
  0x2609f180904c15de, 0xda7fe4ff0a839f05, 0x46e1bfdbdab76e9f, 0xa8e4f1df2c90f38f, 0xc89aa4871240cd27,
  0x1c829cc580b7ba68, 0x72c608ebc5cec27d, 0x818902fd8561a4dc, 0xf02fcf02027666df, 0x0199f9bc7294180e,
  0x703be54dea53929d, 0xf7aaa2d20bcf43aa, 0xa5a97e6d80e5156f, 0x2068fe34589f70dc, 0xc33d30ae4fdd598f,
  0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x0000f90e7311ba79,
};

// m64a_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_m64_u1x12_uart1_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece0d7896ee, 0xf7b3efcd267bbbbb, 0xd7993dddd0b28e32, 0xbb4169982ff23e95,
  0x827c602413057793, 0x9f97dff85767cf59, 0xb86ff6f6addba7f6, 0x3dac77cb087ce3d1, 0x116921c4903417ea,
  0x486731602cb29931, 0xd9823af47cedcf23, 0xf2cf6f58691500ff, 0xf818902fd9b1c4c0, 0xef02fcf02027666d,
  0xd0199f9bc7294180, 0xa703be54dea53929, 0xff7aaa2d20bcf43a, 0xca5a97e6d80e5156, 0x6fe0eee3458b900d,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0xbfc0fdffc14d1f6c, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3,
  0x89e4e0b9cc59af33, 0x0000003e4d717d66,
};

// m64_u1x12_uart1_lednop_pr_ee_u4   m64a_u1x12_uart1_lednop_pr_ee     m64a_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd62b712ddd, 0x0985663ad2f77777, 0x77ea6683ba9146ba, 0x720a23e768fde2fc,
  0x8c048260aef27743, 0x1ffe15d9fcad304f, 0xfdbdab76e9fda7ca, 0xab5a39c738f46e1b, 0xb30698fa8f2b32a6,
  0x2d377c57b7fd47c1, 0xb632e384e1b875f6, 0xba00b8d64d2135f4, 0xa6ed07d193473ab4, 0xd1bdab1aad743af3,
  0x2d97ce038ec5a782, 0x19e546c11fadc37b, 0x6fc0c4817ec008d2, 0x077817e781013b33, 0x4e80ccfcde394a0c,
  0xd5381df2a6f529c9, 0xb7fbd5516905e7a1, 0x6e52d4bf36c0728a, 0x337f07771a2c5c80, 0x7bde50c2a73f53ab,
  0x61c7f197e627ff78, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27, 0x344f2705ce62cd79,
  0x000000009d73f5bb,
};

// m64_u1x12_uart1_lednop_pr_ce_u4   m64a_u1x12_uart1_lednop_pr_ce     m64a_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0xeeaafc2ea6e25bbb, 0xd82f267a6c6eeeee, 0x242a1eeee9b49171, 0x7751d94aa16ec904,
  0x304f8c048260aef2, 0xa7d2b7fe15d9f387, 0x6e1bfdbdab76e9fd, 0xb31f18bf588738f4, 0x8488bace1e78f373,
  0xb49b7fa8f84bf10d, 0x72ceafac993170fb, 0x1c4903d67a8fd24f, 0x0ce62c055af70e92, 0x33c75e8f9db9e469,
  0x96b76b0d22a01ffb, 0xc0c4817ecd8e2607, 0x7817e781013b336f, 0x80ccfcde394a0c07, 0x381df2a6f529c94e,
  0xfbd5516905e7a1d5, 0xa5a97e6d80e463b7, 0xfe0eee3458b900dc, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7,
  0xfc0fdffc14d1f6c3, 0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000001bae3549668,
};

/*
 * m64_u1x12_uart1_lednop_pr_ee_ce_u4 m64a_u1x12_uart1_lednop_pr_ee_ce
 * m64a_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc683c8c4b777, 0xc8fb4bd123bbbbbb, 0x05955a6ec2f537f4, 0xdfb8163af2ed6084,
  0x80904c15de4ee843, 0xffc2bb3e1a2609f1, 0x6f6addba7f69fb1f, 0xd51fcece3d1b86ff, 0x879e3cdcec6b462f,
  0x3e12fc4361222eb3, 0xe64c5c39256547ea, 0xa3cafba94ed6107b, 0xc89ea3e0d9835afe, 0x386e1d7d8b4c5315,
  0x1d484d7d2d8cb8e1, 0x83e8c9a39d5db900, 0xab1aaf1b1d79d376, 0xce038ec5a782d1bd, 0xa3608991c37b2d97,
  0x6240bf6166690cf2, 0x0bf3c0809d99b7e0, 0x667e6f1ca50603bc, 0x0ef9537a94e4a740, 0xeaa8b482f3d0ea9c,
  0xd4bf36c07231dbfd, 0x07771a2c5c806e52, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x07effe0a68fb61c7,
  0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00004fcb2dfb344f,
};

// m64a_u1x12_uart1_lednop_ee_hw
static const uint64_t ur_m64_u1x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a34280b, 0xbaabe6b15b896eee, 0x4c2b31d697bbbbbb, 0xbf53341dd48a35d0, 0x1d94ad7647ef17e3,
  0xf8c048260aef2775, 0x50fffac99fcad304, 0xdfeded5bb74fed3e, 0x355ad1ce39c7a370, 0x0d9834c7d4795995,
  0xb169bbe2bdbfea3e, 0xa5b1971c270dc3af, 0xa5d005c6b26909af, 0x9d37683e8c9a39d5, 0x168ded58d56ba1d7,
  0xd96cbe701c762d3c, 0x90cf2a3608fd6e1b, 0x9b7e06240bf60046, 0x603bc0bf3c0809d9, 0x4a740667e6f1ca50,
  0x0ea9c0ef9537a94e, 0x55bfdeaa8b482f3d, 0x237296a5f9b60394, 0xef79430a9cfd4f78, 0x871fc65f989ffde1,
  0x17f81fbff829a3ed, 0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0x453c9c17398b35e6, 0x000000000b7eecb5,
};

/*
 * m64_u1x12_uart1_lednop_ee_ce_u4_hw m64a_u1x12_uart1_lednop_ee_ce_hw
 * m64a_u1x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d146824d6, 0xeaaf1a0f2312dddd, 0x23ed2f448eeeeeee, 0x165569bb0bd4dfd3, 0x7ccfb4b14bb58210,
  0xe30120982bbc9dd5, 0x1fffeb267c344c13, 0xff6f6addba7f69fb, 0x2fd51fcece3d1b86, 0x670f3cf21cec6b46,
  0xd47c25f886c2445d, 0xf7cc98b8767ceb3f, 0xfd4795f7529dac20, 0x2b913d47c1b306b5, 0xc270dc3afb1698a6,
  0x003a909afa5b1971, 0xed07d193473abb72, 0x7b56355e363af3a6, 0x2f9c071d8b4f05a3, 0xe546c1132386f65b,
  0xc0c4817ec2ccd219, 0x7817e781013b336f, 0x80ccfcde394a0c07, 0x381df2a6f529c94e, 0xfbd5516905e7a1d5,
  0xa5a97e6d80e463b7, 0x50c2a73f53de08dc, 0xf197e627ff787bde, 0x07effe0a68fb61c7, 0xb867a617c68f45fe,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00000a021d52514f,
};

/*
 * m64_u1x12_uart1_dual_pr           m64_u1x12_uart1_dual_pr_u4        m64a_u1x12_uart1_dual
 * m64a_u1x12_uart1_dual_pr          m64a_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m64_u1x12_uart1_dual[] = {
  0xeef07ddf4486d0e3, 0xbbbab0db7657e6ee, 0xea05891d415bbbbb, 0xd3a276eee8d368a6, 0xb935dc2ce77b8014,
  0x8c048260aef2717b, 0xc99182a91d67304f, 0x850c9f6916b3eebe, 0x328094ee9f72f881, 0xec3e71c243cc5d7f,
  0x209206bee6f51dc9, 0x6257f9fbe08a1491, 0x99ca1f13eb87c288, 0x0cb43e44432ace5e, 0x9ff4073c261f22a1,
  0x05855998b9cbdbbf, 0xd3fb4ff51ff36eb3, 0x71e8dc37fb7b56ed, 0x5f7a8f191df2c4f6, 0x9a6ec8b490e2481b,
  0xa04621ce62c05d62, 0x0ffd9823af01a9db, 0xf03cb3db13e82d50, 0x3f99f47332b31b20, 0x27666df818902fd9,
  0x294180ef02fcf020, 0xa53929d0199f9bc7, 0xbcf43aa703be54de, 0x0e5156ff7aaa2d20, 0x8b900dca5a97e6d8,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2,
  0x59af3398b7e9296c, 0x9f056689e4e0b9cc, 0x0000000000001493,
};

// m64_u1x12_uart1_dual_pr_ee_u4     m64a_u1x12_uart1_dual_pr_ee       m64a_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m64_u1x12_uart1_dual_pr_ee[] = {
  0x77783eefa2431f02, 0xdddd58901d7bf377, 0xdf5decad51fddddd, 0x578f23fbb625d967, 0x6d32679af739d6cb,
  0x982bbc9466ee721d, 0x5485c14c13e30120, 0xb48b59f75f64c8c1, 0x774fb97c40c2864f, 0x86ed4c9b7f99404a,
  0xb537a8e63fb019b3, 0xdf0450a489049034, 0x9f5c3e144312bfcf, 0x4432ace5e99c66f8, 0x098a2c54219683a5,
  0x5ce5edc9d7fd01cf, 0xeff9b75982c2accc, 0xfb7b56edd3fb4fca, 0xad68c27e71e8dc37, 0x9839bbd4795c069a,
  0xb4ddf15bf9ea3e0d, 0xd8cb8e1386e1d7d8, 0xc88b813f3484d7d2, 0x6ecb5d188a73ab4b, 0x3aff6355ae875ec6,
  0xdeece038ec5a7d22, 0xf6a8d823f5b86f65, 0x33e8e665660120b1, 0xccdbf031205fb27f, 0x8301de05f9e0404e,
  0x7253a0333f378e52, 0xe8754e077ca9bd4a, 0xa2adfef5545a4179, 0x201b94b52fcdb01c, 0xeaccdfc1ddc68b17,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3,
  0xbecd13c9c17398b3, 0x0000000000056448,
};

// m64_u1x12_uart1_dual_pr_ce_u4     m64a_u1x12_uart1_dual_pr_ce       m64a_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m64_u1x12_uart1_dual_pr_ce[] = {
  0xeef07ddf448618be, 0xbbbab58f2c57e6ee, 0x51ce415bbf7bbbbb, 0x7dce2dddd837624b, 0x99b1e1a27cb267da,
  0x02413057792b05dd, 0x23055239079827c6, 0x193ed22d67dd7d93, 0x0129dd3ee5f1030a, 0xabce143f374ffe65,
  0x207b3a6f51ce0ec3, 0x7f9fbe08a1491209, 0xfd713eb87c288625, 0x82fb4432ace5e99c, 0x01cf0983dc542196,
  0xaccc5ce5ededd7fd, 0x4f975ff9b75982c2, 0xdc37fb7b56edd3fb, 0x6516317ea0a671e8, 0x0911759c3cf1e6e7,
  0xf9883f51f097e21b, 0xe59d5c4fcc98b877, 0xc490313fea3c1f9e, 0xe731602e4837e921, 0xf1d780d4edd02310,
  0xb709f416a807fecc, 0x8e665663641e0796, 0xbf031205fb27f33e, 0x1de05f9e0404eccd, 0x3a0333f378e52830,
  0x54e077ca9bd4a725, 0xdfef5545a4179e87, 0x7296a5f9b603918e, 0x9bf83bb8d162e403, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0x2ff03f7ff05347db, 0xcb25c33d30be347a, 0xe62dfa4a5b387138, 0xa279382e73166bcc,
  0x0000000349347159,
};

// m64a_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m64_u1x12_uart1_dual_pr_ee_ce[] = {
  0xbbc1f77ea0a1a5fb, 0xeeeac36eb8df9bbb, 0x28fe7dee1f6eeeee, 0xdb2024775b17da0b, 0x377d730a210ecdba,
  0x82bbc9764ee5188b, 0x91649cc13e301209, 0x916b3eebec99182a, 0xe9f72f881850c9f6, 0x0a49bf5ff328094e,
  0xb9bd47adfd840038, 0xf0450a489049039d, 0xf5c3e144312bfcfd, 0x432ace5e99c04489, 0x994f454219685ba4,
  0x9cbdba6dffd01cf0, 0xff36eb305855998b, 0xded5bb74fed3f43f, 0xaa328b9c7a370dfe, 0x1fe78f373bd3763f,
  0x055f2673ac3f59b2, 0xc93d479598f94ed6, 0xa62b8f7ea3e0d983, 0x71c270dc3afb1698, 0x74883a909afa5b19,
  0x66ecb5d188a73abb, 0x475fec6abc6c75ec, 0xbbdd9c071d8b4fa4, 0x1f6a8d8226470dec, 0xf33e8e6656659a0b,
  0xeccdbf031205fb27, 0x28301de05f9e0404, 0xa7253a0333f378e5, 0x9e8754e077ca9bd4, 0x918edfef5545a417,
  0x2c837296a5f9b603, 0xd599bf83bb8d162a, 0x87138d2861539fa9, 0x7a615c9fbe09a3ed, 0x94b670e271964b86,
  0x5ce62cd799cc5bf4, 0x0100056ab344f270,
};

// m64a_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff880b, 0xeeacd4fdc5f9bbbb, 0x4c51fdbebeeeeeee, 0xd3817ba930b161f6, 0x5c587d71f9913dd8,
  0x7792759ddf5f7f5b, 0xcc59827c60241305, 0x59f75f64c8c15482, 0xb97c40c2864fb48b, 0x992a3f32b012774f,
  0xa3de1ec3968e0cdf, 0x8524482481e374de, 0xf0a21895fe7ef822, 0xce5e99c36ec4fae1, 0x4542196825a4432a,
  0xba1f7fd01cf09a39, 0xc9305855998b9cbd, 0xedd3fb4fa6dffa22, 0x5e71e8dc37fb7b56, 0x00cee87e317ea8ca,
  0x10d8488bace1e79f, 0x1d4939bffa8f84bf, 0x7ca76b082f93262e, 0xf06cc1e49ea3cacc, 0x7d8b4c5315c7bf51,
  0x7d2d8cb8e1386e1d, 0x539d5dba441d484d, 0x363af633765ae8c4, 0xc5a7d223aff6355e, 0x2386f65deece038e,
  0x32cd058fb546c113, 0x02fd93f99f47332b, 0xcf02027666df8189, 0xf9bc7294180ef02f, 0xe54dea53929d0199,
  0xa2d20bcf43aa703b, 0xfcdb01c8c76ff7aa, 0xfc68b17201b94b52, 0x54e7ea75666fe0d1, 0xfcc4ffef0f7bca18,
  0xffc14d1f6c38fe32, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xb9cc59af3398b7e9, 0x0025164aaa49e4e0,
  0x0000000000000002,
};

// m64a_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m64_u1x12_uart1_dual_ee_hw[] = {
  0xbbc1f77d146818be, 0xeeeac480ebdf9bbb, 0xfaef656a8feeeeee, 0xbc791fddb12ecb3e, 0x63c3d964b9ceb65a,
  0x8260aef2519bbb33, 0x05521705304f8c04, 0x3ed22d67dd7d9323, 0x19dd3ee5f1030a19, 0xce1bb5326dfe6574,
  0xd2d4dea398fec066, 0x3f7c114292241240, 0xe27d70f8510c4aff, 0x9510cab397a6719b, 0x3c2628b150865a0e,
  0x317397b7275ff407, 0x95dfe756e60b0ab3, 0x6ff6f6addba7f69f, 0x355ad184fce3d1b8, 0x1b307377a8f2b80d,
  0xb169bbe2b7f3d47c, 0xa5b1971c270dc3af, 0x979117027e6909af, 0x8cdd96ba3114e756, 0x4475fec6ab5d0ebd,
  0xcbbdd9c071d8b4fa, 0x63ed51b047eb70de, 0xfe67d1cccacc0241, 0x9d99b7e06240bf64, 0xa50603bc0bf3c080,
  0x94e4a740667e6f1c, 0xf3d0ea9c0ef9537a, 0x39455bfdeaa8b482, 0xf78237296a5f9b60, 0xde1ef79430a9cfd4,
  0x3ed871fc65f989ff, 0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0xa75453c9c17398b3,
  0x000000000015dac7,
};

// m64_u1x12_uart1_dual_ee_ce_u4_hw  m64a_u1x12_uart1_dual_ee_ce_hw    m64a_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u1x12_uart1_dual_ee_ce_hw[] = {
  0xde0fbbe8a3475164, 0x77566a7ee2fcdddd, 0x2628fedf5f777777, 0x69c0bdd49858b0fb, 0xfc3be278fcc89eec,
  0x60aef24eb3b9aebf, 0x90598b304f8c0482, 0x916b3eebec99182a, 0xe9f72f881850c9f6, 0xcdf992a3f32ba0ce,
  0x4dea3de1ec3968e0, 0x8228524482481e37, 0xae1f0a21895fe7ef, 0x32ace5e99c36ec4f, 0xa394542196825a44,
  0xcbdba1f7fd01cf09, 0xf3ab7305855998b9, 0xf6addba7f69f4dbf, 0x5194bce3d1b86ff6, 0xe79e439dd0fc62fd,
  0x84bf10d8488bace1, 0x93170f722495fa8f, 0xe5663e53b58417c9, 0xdfa8f83660f24f51, 0x370ebec5a6298ae3,
  0xa426be96c65c709c, 0x746229ceaedd220e, 0x1aaf1b1d7b19bb2d, 0x01c762d3e911d7fb, 0x608991c37b2ef767,
  0x9995996682c7daa3, 0xc0c4817ec9fccfa3, 0x7817e781013b336f, 0x80ccfcde394a0c07, 0x381df2a6f529c94e,
  0xfbd5516905e7a1d5, 0xa5a97e6d80e463b7, 0x50c2a73f53de08dc, 0xf197e627ff787bde, 0x07effe0a68fb61c7,
  0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x000075d6290a514f,
};

// m64_u2x8_uart0_noled_pr           m64a_u2x8_uart0_noled             m64a_u2x8_uart0_noled_pr
static const uint64_t ur_m64_u2x8_uart0_noled[] = {
  0x5bbbbbaeed66e614, 0xeeeeeeaaec39c1e2, 0x110da7ec913af26e, 0xd22eef439bbba441, 0xef277499d8ff4ad4,
  0xa63304f8c048260a, 0xedeab322ff8541cf, 0xb09f169da127049a, 0x92063efd47afe77c, 0x05965308bcf52438,
  0x1f3b07146678e62c, 0xfc35403ff6608ebd, 0x450aca81e59eda9a, 0xbd934746293cb4e9, 0xea52f29bd73f1479,
  0x2d2a7d3d0ea9c08f, 0xf36d2ff156ff7aaa, 0xf1a2c4fb86e52d4b, 0x85727eeacc790347, 0xd9c389c6592e19e9,
  0x98b35e67316fd252, 0x80f2f88dd3c9c173, 0x000000000000007c,
};

// m64a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m64_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbbaeea2436668, 0xeeeeeaaec39c1e25, 0x10da7ec913af26ee, 0x22eef439bbba4411, 0x793ba6c3d7f4b415,
  0x319827c602413057, 0xb7aacc8bff85767d, 0xc27c5a76849c126b, 0x4818fbf51ebf9df2, 0x16594c22f3d490e2,
  0x7cec1c5199e398b0, 0xf0d500ffd9823af4, 0x142b2a07967b6a6b, 0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6,
  0xb4a9f4f43aa7023f, 0xcdb4bfc55bfdeaa8, 0xc68b17201b94b52f, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xff829a3ed871fc65, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x7398b35e67316fd2, 0xf26ac85ecd13c9c1,
  0x0000000000000001,
};

// m64_u2x8_uart0_noled_pr_ee_u4     m64a_u2x8_uart0_noled_pr_ee       m64a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart0_noled_pr_ee[] = {
  0x777775dd4486fc3b, 0xbbbbaabae41a9c4b, 0x485f50dd7e921bbb, 0x7b6ce0be17bbbbde, 0x8916667ec3729b7a,
  0x9f180904c15de4ee, 0x54affc2bb3e95a60, 0xd3b424e0935dbd56, 0x795ce3355ad1cdc2, 0x7dea3e0d9831f3d4,
  0x0dc3afb169bbe2b9, 0x6909afa5b1971c27, 0x9f39d5a5d315c6b2, 0xd743af3a6ecb3d18, 0xec5a682d1e33b1aa,
  0xfadc37b2d97ce038, 0x28017e1806546c11, 0xec9a3a3149e5a74a, 0x529794deb9f8a3cd, 0x6953e9e8754e047f,
  0x9b697f8ab7fbd551, 0x8d162e4037296a5f, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0xff05347db0e3f8cb,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4, 0x9d74ab159a279382,
};

// m64a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_m64_u2x8_uart0_noled_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0x777777557106a122, 0x22522993f5faebf7, 0x06bf8b36b7774b29, 0x5de4eee62485435a,
  0xf2fa609f180904c1, 0x5dbd56649fe15073, 0xf559e2d3b424e093, 0x77e79b8773b1f2c7, 0x5d63399ceb0f52bf,
  0x81eb17a8e82e7b96, 0x1602acf487490e24, 0xd78b9da89470d473, 0x45075f87b8e58cf1, 0xbd934746293cb4e9,
  0xea52f29bd73f1479, 0x2d2a7d3d0ea9c08f, 0xe6da5fcc76ff7aaa, 0xe34589f70dca5a97, 0x0ae4fdd598f2068f,
  0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xd553b11ba79382e7, 0x000000000000002d,
};

// m64a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeebba890ce59b, 0xbbbbaabcc2171896, 0x9db7e95e4db1fbbb, 0x17f8f1afbbbbab78, 0x793bb4cd19a088ee,
  0xfc9827c602413057, 0xdbd56195ff85767d, 0x55ae2d3b424e0935, 0x0f3c79b9d9eb18bf, 0x7c25f886c2445d67,
  0x4c98b87eafa1ffd4, 0xf51dafa7b96757d6, 0xc310f490e24819a4, 0xd838a333c731602d, 0xaa01ffb33c75e8f9,
  0x159503cb5b94d7e1, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4, 0xb4bf98edfef5545a,
  0x8b17201b94b52fcd, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x829a3ed871fc65f9, 0x85f1a3d17f81fbff,
  0xd9c389c6592e19e9, 0x98b35e67316fd252, 0xba566ecd13c9c173, 0x000000000000006e,
};

// m64_u2x8_uart0_noled_pr_ee_ce_u4  m64a_u2x8_uart0_noled_pr_ee_ce    m64a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart0_noled_pr_ee_ce[] = {
  0x6eeeeebba890ca20, 0x777775579c4d0589, 0x1e34cfd921a69777, 0x452b7a90bdeef8fb, 0x750527297610da2d,
  0x04f8c048260aef27, 0xb22b7fe15d9f2753, 0x169da127049aedea, 0xdcef02462fd51fee, 0x4361222eb3879e3c,
  0x3cc333e7ea3e12fc, 0x494ed6107be64c5c, 0xf06cc1c65ea3cac1, 0xbec5a6298ae6ef51, 0xbe96c65c709c370e,
  0xf9ceaedc988ea426, 0x1b1d79d37659e8c4, 0xc5a682d1e33b1aaf, 0x91c37b2d97ce038e, 0x42cff0c032a36089,
  0x64d1d18a4f2d3a51, 0x94bca6f5cfc51e6f, 0x4a9f4f43aa7023fa, 0xb697f31dbfdeaa8b, 0xd162e4037296a5f9,
  0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xf05347db0e3f8cbf, 0x30be347a2ff03f7f, 0x5b387138cb25c33d,
  0x73166bcce62dfa4a, 0x3f002b59a279382e, 0x0000000000000001,
};

// m64a_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m64_u2x8_uart0_noled_ee_hw[] = {
  0xbbbbaeea28d0e59b, 0xdddd55d720d4e25b, 0x42fa86ebf490dddd, 0xdb6705f0bddddef2, 0xed33467a8ed4dbd3,
  0x09f180904c15de4e, 0xb2a57ff5933e95a6, 0x169da127049aedea, 0xa3cae719aad68e6e, 0xcbef51f06cc18f9e,
  0x386e1d7d8b4ddf15, 0x93484d7d2d8cb8e1, 0xc4f9cead2e98ae35, 0x56ba1d79d37659e8, 0xc762d34168f19d8d,
  0x8fd6e1bd96cbe701, 0x51400bf0c032a360, 0x6f64d1d18a4f2d3a, 0xfa94bca6f5cfc51e, 0x8b4a9f4f43aa7023,
  0xfcdb4bfc55bfdeaa, 0x4e7ea7bc11b94b52, 0xcc4ffef0f7bca185, 0xfc14d1f6c38fe32f, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x16fbd164a29e4e0b,
};

// m64_u2x8_uart0_noled_ee_ce_u4_hw  m64a_u2x8_uart0_noled_ee_ce_hw    m64a_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd451a37d6, 0xbbbbaabce2682c4b, 0xf1a67ec90d34bbbb, 0x295bd485ef77c7d8, 0x774a51d6d57cd16a,
  0x304f8c048260aef2, 0x55915bffac99f275, 0x70b4ed093824d76f, 0x90e77812317ea8ff, 0xc4361222eb3879e7,
  0xc3a1f6377ea3e12f, 0x1494ed6107be64c5, 0x1f06cc1c65ea3cac, 0xebec5a6298ae6ef5, 0x6be96c65c709c370,
  0x4f9ceaedc988ea42, 0xf1b1d79d37659e8c, 0xec5a682d1e33b1aa, 0x991c37b2d97ce038, 0x142cff0c032a3608,
  0xf64d1d18a4f2d3a5, 0xa94bca6f5cfc51e6, 0xb4a9f4f43aa7023f, 0x9b697f31dbfdeaa8, 0xcfd4f78237296a5f,
  0x89ffde1ef79430a9, 0x829a3ed871fc65f9, 0x85f1a3d17f81fbff, 0xd9c389c6592e19e9, 0x98b35e67316fd252,
  0x80a69ad453c9c173, 0x0000000000000002,
};

// m64_u2x8_uart0_lednop_pr          m64a_u2x8_uart0_lednop            m64a_u2x8_uart0_lednop_pr
static const uint64_t ur_m64_u2x8_uart0_lednop[] = {
  0x5bbbbbaeed66fcc5, 0xeeeeeeaaec39cde2, 0x2270736838b7c5ee, 0x7426cf5337774882, 0xbbc9dd801e9edbb2,
  0xf924c13e30120982, 0x5dbd563dffe15073, 0x9613e2d3b424e093, 0x1240c7dfa8eb3cef, 0x016594c37c9ea487,
  0x47cecf6919a4398b, 0xca69500ffd9823af, 0x28a2b0503cb3db33, 0x68e8c5302027969d, 0xe53633a071479f12,
  0x167a1d53815d54e5, 0xcb88ab7fbd55169b, 0x2c4fb86e52d4bf36, 0x27eeacc790347f1a, 0x389c6592e19e9857,
  0x35e67316fd252d9c, 0x3788dd3c9c17398b, 0x0000000000007c86,
};

// m64a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m64_u2x8_uart0_lednop_pr_u4[] = {
  0xbbbbbaeea2432d3a, 0xeeeeeaaec39cde25, 0x270736838b7c5eee, 0x426cf53377748822, 0x793bb8bea2edbb23,
  0x249827c602413057, 0xdbd563dfff85767f, 0x613e2d3b424e0935, 0x240c7dfa8eb3cef9, 0x16594c37c9ea4871,
  0x7cecf6919a4398b0, 0xa69500ffd9823af4, 0x8a2b0503cb3db33c, 0x8e8c5302027969d2, 0x53633a071479f126,
  0x67a1d53815d54e5e, 0xb88ab7fbd55169b1, 0xc5c806e52d4bf36c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0xa68fb61c7f197e62, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0x1562b344f2705ce6,
  0x0000000000001f27,
};

// m64_u2x8_uart0_lednop_pr_ee_u4    m64a_u2x8_uart0_lednop_pr_ee      m64a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart0_lednop_pr_ee[] = {
  0x777775dd448651eb, 0xbbbbaabae42c9c4b, 0xe46a70bc66b21bbb, 0x145c4e0be17bbbbd, 0xba8cca70d3294b46,
  0x827c602413057793, 0x58e4fff0aecfc879, 0x0b4ed093824d76f5, 0x51e567acd56b4737, 0x7a57a8f83660c7cf,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x310e73ab4be48b8d, 0xaad743af3a6edd02, 0x71d8b4c4fa3905b1,
  0x23f5b86f65b2f9c0, 0x945002535f86a8d8, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72,
  0x65c455bfdeaa8b4d, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x05347db0e3f8cbf3,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0x7610fd9a279382e7, 0x000000000000009d,
};

// m64a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_m64_u2x8_uart0_lednop_pr_ce[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaae20dcde2, 0x5244ef07d5b5d7ee, 0x681afe2f67eeee96, 0x057793bb9892150d,
  0xe7fba9827c602413, 0x26bb7aac3d7fc2a0, 0x8feab3c5a76849c1, 0xfddf9e6e1dcef22d, 0x59758ce673ac3d4a,
  0x9207ac5ea389f9ee, 0xcc580ab3d05d2438, 0x8ebc5ced8cd1eb11, 0xa5141d4b2dc72c67, 0x4d1d18a60404f2d3,
  0x2f29b19d038a3cb7, 0xae63042d37aaeaa7, 0x52fcdb4f43aa702e, 0xd1fc68b13ee1b94b, 0x7a615c9fbab31e40,
  0x94b670e271964b86, 0x5ce62cd799cc5bf4, 0x05baaa762374f270,
};

// m64a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x777775dd4486259b, 0xeeeeeaaf30998c4b, 0x4971db7e2f5e9eee, 0xd4c17b11ddddd5bc, 0x793bab072715b322,
  0x4a9827c602413057, 0x6f55863fff0aecfd, 0x56b8b4ed093824d7, 0x3cf1e6e7722462fd, 0xf097e21b0911759c,
  0x993170e168c7ff51, 0x7a8fcf4f72ceafac, 0xbde0ba4871240cd2, 0x767b48cd21cc580b, 0x4a807feccf1d7a3e,
  0x4560a0796b719e53, 0xd18a60404f2d3a51, 0x6c6740e28f3e24d1, 0xf43aa702baa9cbca, 0x0c76ff7aaa2d362c,
  0x7201b94b52fcdb2e, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0x1a3d17f81fbff829,
  0x389c6592e19e985f, 0x35e67316fd252d9c, 0xf86cd13c9c17398b, 0x00000000000dd715,
};

// m64_u2x8_uart0_lednop_pr_ee_ce_u4 m64a_u2x8_uart0_lednop_pr_ee_ce   m64a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dd4486bf3e, 0xbbbbaabce26c8c4b, 0xfa0a34d90d313bbb, 0xf9bbd485ef77c7d8, 0xa75a3541b67cb8c8,
  0x27c602413057793b, 0x0e0ffe15d9fa1f98, 0x69da127049aedeab, 0xcef7dc62fd51fee1, 0x361222eb3879e3cd,
  0x66fa547ea3e12fc4, 0x29dac20f7cc98b87, 0x0d9838cbd4795a01, 0xd8b4c5315ce3ea3e, 0xd2d8cb8e1386e1d7,
  0x39d5dbb241d484d7, 0xb1d79d376e811887, 0xb4c4fa3905b1aaf1, 0x386f65b2f9c071d8, 0x59a9afc3546c1132,
  0x314c0809e5a74a28, 0x8ce81c51e7c49a3a, 0x8754e0575539794d, 0x8edfef5545a6c59e, 0x4037296a5f9b65c1,
  0xd599bf83bb8d162e, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3,
  0xbcce62dfa4a5b387, 0x159a279382e73166, 0x000000000027e1ac,
};

// m64a_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m64_u2x8_uart0_lednop_ee_hw[] = {
  0xddddd7751468259b, 0xeeeeaaeb90b2712d, 0x91a9c2f19ac86eee, 0x5171382f85eeeef7, 0x9dd58393b4c8ad18,
  0xcc13e30120982bbc, 0xd56393ffeb267e43, 0xdc2d3b424e0935db, 0x3d47959eb355ad1c, 0x15e95ea3e0d9831f,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0x08c439cead2f922e, 0xc6ab5d0ebce9bb74, 0x01c762d313e8e416,
  0x608fd6e1bd96cbe7, 0x3a5140094d7e1aa3, 0x24d1d18a60404f2d, 0xcbca6c6740e28f3e, 0x362cf43aa702baa9,
  0x6d971156ff7aaa2d, 0x3f53de08dca5a97e, 0x27ff787bde50c2a7, 0x0a68fb61c7f197e6, 0x17c68f45fe07effe,
  0x670e271964b867a6, 0x62cd799cc5bf494b, 0x7febf0d14f2705ce, 0x000000000000000b,
};

// m64_u2x8_uart0_lednop_ee_ce_u4_hw m64a_u2x8_uart0_lednop_ee_ce_hw   m64a_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd451a1541, 0xbbbbaabce26c8c4b, 0xfa0a34d90d313bbb, 0xf9bbd485ef77c7d8, 0x775a77dadd94b8c8,
  0x304f8c048260aef2, 0xab0e0fff5933f43f, 0xe169da127049aede, 0x21cef7dc62fd51fe, 0x886c2445d670f3cf,
  0x87fd735bfd47c25f, 0x0129dac20f7cc98b, 0x3e0d9838cbd4795a, 0xd7d8b4c5315ce3ea, 0xd7d2d8cb8e1386e1,
  0x8739d5dbb241d484, 0xf1b1d79d376e8118, 0xd8b4c4fa3905b1aa, 0x32386f65b2f9c071, 0x2859a9afc3546c11,
  0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979, 0xc18edfef5545a6c5, 0xf78237296a5f9b65,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3,
  0x20f453c9c17398b3, 0x000000000005010d,
};

/*
 * m64_u2x8_uart0_dual_pr            m64_u2x8_uart0_dual_pr_u4         m64a_u2x8_uart0_dual
 * m64a_u2x8_uart0_dual_pr           m64a_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m64_u2x8_uart0_dual[] = {
  0xeeeeeb07a2436d3a, 0xbbbbbab1333237e6, 0xe8ee0d989d29dbbb, 0xdd02fa76eeec337a, 0xdbb9d6eb89daaef0,
  0x4f8c048260aef24a, 0xbec99182a91faf30, 0x81850c9f6916b3ee, 0xff328094ee9f72f8, 0xa2ec1c99c3e74d21,
  0x489049037f26f51c, 0x44312bfcfdf0450a, 0x97a6736709f5c3e1, 0xa8432d04c510cab3, 0xc27ffd01cf09a328,
  0x5982c2accc5ce5ed, 0x49aedeab17cff9b7, 0x3be5b9e169da1270, 0x21c49037b5ea3dc3, 0x62c05d6299efb5a9,
  0x5e0353b57f4682ce, 0x1f744aa01ffb3047, 0xcccacc71f03cb3db, 0x27969d28a4fe67d1, 0x479f1268e8c53020,
  0x5d54e5e53633a071, 0x55169b167a1d5381, 0xd4bf36cb88ab7fbd, 0x07771a2c5c806e52, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x07effe0a68fb61c7, 0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5,
  0x0000a498f57b344f,
};

// m64_u2x8_uart0_dual_pr_ee_u4      m64a_u2x8_uart0_dual_pr_ee        m64a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart0_dual_pr_ee[] = {
  0xddddd60f44860aac, 0x7777756536cfafcd, 0x843498d8b4abf777, 0xd5f171b23bb93999, 0xfa8c5008f0ec5fae,
  0x20982bbc9836eee3, 0x82a906ddcc13e301, 0x9f6916b3eebec991, 0x94ee9f72f881850c, 0xe7019b9b76bf3280,
  0x327537a8e16b6063, 0xcfdf0450a4890490, 0x709f5c3e144312bf, 0x2b22195672f4ce63, 0xe784cbee2a10cb41,
  0x662e72f6fbeffe80, 0x0e1ffcdbacc16156, 0x69da127049aedeab, 0x795edf9aad68f4a1, 0x75ea3e0d983f93d4,
  0x86e1d7d8b4ddf15f, 0x3484d7d2d8cb8e13, 0x3c73ab4bce2b813f, 0xd743af63376ded19, 0x762d3e791a43b1aa,
  0xfadc37b2ef76701c, 0xb300a89507546c11, 0xa74a293f99f47332, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xc68b17201b94b52f, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xff829a3ed871fc65, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x7398b35e67316fd2, 0x0ac9924ecd13c9c1,
};

// m64_u2x8_uart0_dual_pr_ce_u4      m64a_u2x8_uart0_dual_pr_ce        m64a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart0_dual_pr_ce[] = {
  0xddddd60f4486dd9e, 0x777775685fb2afcd, 0xd5f1da29db1ab777, 0x0ce7586dddd8e28c, 0x77644f5ec75caf61,
  0xf180904c15de4f91, 0xb26460aa41806609, 0x614327da45acfbaf, 0xcca0253ba7dcbe20, 0x6c0e09c3abe6a1ff,
  0x2092076ea6f51e39, 0x6257f9fbe08a1491, 0x99cb5b13eb87c288, 0x0cb41fc4432ace5e, 0xffe80e784db7e2a1,
  0x16156662e72f6e52, 0xedeab0a2ffcdbacc, 0xd724169da127049a, 0x879e3cdcee3dc62f, 0x3e12fc4361222eb3,
  0xf993170fff0347ea, 0x7ea3f413dcb3ab89, 0x47ce92921c490341, 0x4ed5fd1a0b398b01, 0x2a807feccf1d780d,
  0xcc71f03cb5b87dd1, 0x9d28a4fe67d1ccca, 0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54,
  0x6d97063b7fbd5516, 0x3458b900dca5a97e, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfc14d1f6c38fe32f,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0xd245e7d6689e4e0b,
};

// m64a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m64_u2x8_uart0_dual_pr_ee_ce[] = {
  0xddddd60fd82432db, 0xeeeeeac0bebbefcd, 0x9ae804abf41f6eee, 0x2b50ccc8eefda4e4, 0x866149b46ba93793,
  0x48260aef24ed3b87, 0x60aa4771f304f8c0, 0x27da45acfbafb264, 0x253ba7dcbe206143, 0x33872d4ccdffcca0,
  0x687d37a8fd83b0bc, 0x9fbe08a149120920, 0xf13eb87c2886257f, 0x74886559cbd339cd, 0x9e136ce8a8432d02,
  0x98b9cbdbe9affa03, 0x0b5ff36eb3058559, 0xa76849c126bb7aac, 0x3b8e518bf54721c5, 0xd8488bace1e78f37,
  0x6b730dfa8f84bf10, 0x53b58417c993170e, 0x1b30698fa8f2b912, 0x62d314c5613fd47c, 0x4b632e384e1b875f,
  0xe7576e9c4752135f, 0xc75ec66edbda3278, 0xb4f9e4690ec6abc6, 0x70decbbdd9c071d8, 0x59d12a0ea8d82264,
  0x94527f33e8e66566, 0x347462981013cb4e, 0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0xcb831dbfdeaa8b4d,
  0xc545906e52d4bf36, 0xf53ab337f07771a2, 0x7db0e271a50c2a73, 0x70cf4c2b93f7c134, 0x7e9296ce1c4e32c9,
  0x4e0b9cc59af3398b, 0x00004000e8b6689e,
};

// m64a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x9bbbbbac1e890c86, 0xddddddd5817baddf, 0xbed6efdf5ded71dd, 0xd13ee7433323ba3d, 0xdcf04675ee14e935,
  0xc602413057793619, 0x9323055217459827, 0x0a193ed22d67dd7d, 0x650129dd3ee5f103, 0xc31b8e1d8335e1fe,
  0x1240f104dea3a1f6, 0x4aff3f7c11429224, 0x3849427d70f8510c, 0x2d08ac886559cbd3, 0xfa039e134ae8a843,
  0x0ab3317397b79dbf, 0xeab3a7ffe6dd660b, 0x93169da127049aed, 0x3cdcef02462fd51b, 0xfc4361222eb3879e,
  0xb87e5a66ffea3e12, 0xe9529dac2098cc98, 0x47c1b307917d4795, 0x3afb1698a62b9bbd, 0x9afa5b1971c270dc,
  0xafe73abb74423a90, 0x78d8ebca69d967a3, 0x762d34168c7dd8d5, 0x46470decb726701c, 0xf99f47332b3c63ac,
  0x14c0809e5a74a293, 0x33a0714796e9a3a3, 0x85a6f55d54e5e536, 0x69e8754e05d5cc60, 0x162e4037296a5f9b,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x05347db0e3f8cbf3, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3,
  0x3166bcce62dfa4a5, 0x00318d9a279382e7, 0x0000000000000002,
};

// m64a_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m64_u2x8_uart0_dual_ee_hw[] = {
  0x7777583d1468dd9e, 0xddddd594db3ebf37, 0x10d26362d2afdddd, 0x57c5c6c8eee4e666, 0x227af7a57bb17ebb,
  0x048260aef260dbbb, 0x460aa41b77304f8c, 0x327da45acfbafb26, 0xe833ba7dcbe20614, 0x8f9c066e6ddafcca,
  0x40c9d4dea385ad81, 0xff3f7c1142922412, 0x8dc27d70f8510c4a, 0x04ac886559cbd339, 0x039e132fb8a8432d,
  0x5998b9cbdbefbffa, 0x561c3ff3ab730585, 0x42d3b424e0935dbd, 0xa8f2bdbf355ad1e9, 0xbeebd47c1b307f27,
  0x270dc3afb169bbe2, 0x7e6909afa5b1971c, 0x3278e756979c5702, 0x55ae875ec66edbda, 0x38ec5a7cf2348763,
  0x23f5b86f65deece0, 0x656601512a0ea8d8, 0xcb4e94527f33e8e6, 0xcf89347462981013, 0xaa72f29b19d038a3,
  0x8b4d8b3d0ea9c0ae, 0x5f9b65c455bfdeaa, 0xa9cfd4f78237296a, 0xf989ffde1ef79430, 0xff829a3ed871fc65,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x7398b35e67316fd2, 0x2bb50cf2f453c9c1,
};

// m64_u2x8_uart0_dual_ee_ce_u4_hw   m64a_u2x8_uart0_dual_ee_ce_hw     m64a_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart0_dual_ee_ce_hw[] = {
  0x6eeeeeb07a28d086, 0x7777775605f5df7e, 0x24d740255fa0fb77, 0x995a86664777ed27, 0x3b9e08ceb54e89bc,
  0xf8c048260aef24ed, 0xb26460aa4771f304, 0x614327da45acfbaf, 0xccae833ba7dcbe20, 0xb0bc33872d4ccdff,
  0x0920687d37a8fd83, 0x257f9fbe08a14912, 0x39cdf13eb87c2886, 0x2d0274886559cbd3, 0xfa039e136ce8a843,
  0x855998b9cbdbe9af, 0xbd5605aff3ab7305, 0x90e2d3b424e0935d, 0x9e439dc728c5faa3, 0xbf10d8488bace1e7,
  0x2e1f9699bffa8f84, 0x7224a76b082f9326, 0xa8f83660d31f51e5, 0x0ebec5a6298ac27f, 0x26be96c65c709c37,
  0x64f1ceaedd388ea4, 0x578d8ebd8cddb7b4, 0xe3b169f3c8d21d8d, 0x44c8e1bd977bb380, 0xcaccb3a2541d51b0,
  0x969d28a4fe67d1cc, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d, 0x7e6d97063b7fbd55,
  0xa73f53de08dca5a9, 0xe627ff787bde50c2, 0xfe0a68fb61c7f197, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0xce62cd799cc5bf49, 0x3aeb48b2514f2705,
};

// m64_u2x8_uart1_noled_pr           m64a_u2x8_uart1_noled             m64a_u2x8_uart1_noled_pr
static const uint64_t ur_m64_u2x8_uart1_noled[] = {
  0xb777776d0f59bb37, 0xdddddd55f670bdc4, 0x71ecfddea66b11dd, 0x71fad183eeee8594, 0x7793bb0bd68f1e82,
  0xe719827c60241305, 0xa7f69f5f3fc2a0e7, 0x8f46cd18c721b7db, 0x5fa8fd01df2c21f3, 0x61f3a4a4871240d0,
  0x5f23d61cc580b2ca, 0x03ff6608ebd1f3b3, 0x9c0f2cf6cd219e54, 0x66df818902fd8d3c, 0xf894180ef02fce76,
  0xa72f29b19d99f9bc, 0xb4d8b3d0ea9c0aea, 0x9b61c5c55bfdeaa8, 0x8d1627dc37296a5f, 0x2b93f75663c81a3f,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x0072c46e9e4e0b9c, 0x00000000000001f2,
};

// m64a_u2x8_uart1_noled_pr_u4
static const uint64_t ur_m64_u2x8_uart1_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0xeeeeaafb385ee25b, 0xf67eef533588eeee, 0xfd68c1f77742ca38, 0x277469ae3f1ff4f8,
  0x3304f8c048260aef, 0xf69f5f3ff0aecfce, 0x46cd18c721b7dba7, 0xa8fd01df2c21f38f, 0xf3a4a4871240d05f,
  0x23d61cc580b2ca61, 0xff6608ebd1f3b35f, 0x0f2cf6cd219e5403, 0xdf818902fd8d3c9c, 0x94180ef02fce7666,
  0x2f29b19d99f9bcf8, 0xd8b3d0ea9c0aeaa7, 0x61c5c55bfdeaa8b4, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0x05347db0e3f8cbf3, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5,
  0x3a3c9d9a279382e7, 0x00000000000000f9,
};

// m64_u2x8_uart1_noled_pr_ee_u4     m64a_u2x8_uart1_noled_pr_ee       m64a_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart1_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b20912d, 0x7c29e9971d377bbb, 0x00bfd4cd0775228d, 0x6c4d86a8a028199b,
  0x4f8c048260aef277, 0xce1ffe15d9f60b30, 0x4631c86df6e9fda7, 0x9aad68e71ce3d1b3, 0x06cc1a63ea3cae44,
  0xd8b4ddf1584ff51f, 0xd2d8cb8e1386e1d7, 0xd2e0a2e3593484d7, 0xce9bb5ac8f059cea, 0x87461c6c6ab5d0eb,
  0xecb65f380e3b1698, 0x3ca6951b047eb70d, 0xcdbf031205fb0023, 0xf128301de05f9cec, 0x4e5e53633b33f379,
  0x69b167a1d53815d5, 0x36c38b8ab7fbd551, 0x1a2c5c806e52d4bf, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xfe0a68fb61c7f197, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xce62cd799cc5bf49, 0x9d7e343b344f2705,
};

// m64_u2x8_uart1_noled_pr_ce_u4     m64a_u2x8_uart1_noled_pr_ce       m64a_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart1_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f8ee25b, 0x417f8f623ab46eee, 0x1564c6deeee9b491, 0xe4eec1b0dd0ccdd6,
  0x3a609f180904c15d, 0xfb4f945ffc2bb3ff, 0xa3668c6390dbedd3, 0xcecca8c5fac439c7, 0x361222eb3879e3cd,
  0xec7ffe7ea3e12fc4, 0x9ee59d5f593262e1, 0x24389207acf51c9e, 0x8f58731602c644d5, 0xfd99e3af47cecd7c,
  0x0f2d6e348679500f, 0xdf818902fd8d3c9c, 0x94180ef02fce7666, 0x2f29b19d99f9bcf8, 0xd8b3d0ea9c0aeaa7,
  0xc38b31dbfdeaa8b4, 0x2c5c806e52d4bf36, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x0a68fb61c7f197e6,
  0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0xe05dab344f2705ce, 0x00000000000001ba,
};

// m64_u2x8_uart1_noled_pr_ee_ce_u4  m64a_u2x8_uart1_noled_pr_ee_ce    m64a_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart1_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc683e9c4b7, 0x47ea29bbde9dbbbb, 0xa165955a6ec2f536, 0x9962f93b3ef92d33,
  0xe30120982bbc9dd4, 0x6bff0aecf8cdcc13, 0x18e436fb74fed3e1, 0x7ea8fe7671e8d9a3, 0x9c3cf1e6e77b3a31,
  0x51f097e21b091175, 0xdf3262e1d90e92bf, 0xf51e57d44a76b083, 0xacf5f51f06cc1ad7, 0x09c370ebec5a6298,
  0xa0ea426be96c65c7, 0xb5ac8f059ceaedc0, 0x38d8d578d8ebce9b, 0xbe701c762d310e8c, 0x951b044c8e1bd96c,
  0x031205fb0b333ca6, 0x301de05f9ceccdbf, 0x53633b33f379f128, 0x67a1d53815d54e5e, 0x1663b7fbd55169b1,
  0xb900dca5a97e6d87, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14,
  0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0x9c76689e4e0b9cc5, 0x0000000000013f12,
};

// m64a_u2x8_uart1_noled_ee_hw
static const uint64_t ur_m64_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeda1d1468d38b, 0xdddd55f35904896e, 0xe14f4cb8e9bbdddd, 0x05fea6683ba9146b, 0x760d86ed3740ccd8,
  0x04f8c048260aef27, 0x3e70fffac99f60b3, 0x9a318e436fb74fed, 0x24d56b4738e71e8d, 0xf83660d31f51e572,
  0xbec5a6ef8ac27fa8, 0xbe96c65c709c370e, 0x569705171ac9a426, 0x5e74ddad64782ce7, 0xc43a30e36355ae87,
  0x6f65b2f9c071d8b4, 0x19e534a8d823f5b8, 0x666df818902fd801, 0xcf894180ef02fce7, 0xaa72f29b19d99f9b,
  0x8b4d8b3d0ea9c0ae, 0xf9b61c5c55bfdeaa, 0x9cfd4f78237296a5, 0x989ffde1ef79430a, 0xf829a3ed871fc65f,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x398b35e67316fd25, 0x0b7c69ad453c9c17,
};

// m64_u2x8_uart1_noled_ee_ce_u4_hw  m64a_u2x8_uart1_noled_ee_ce_hw    m64a_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb43a28d12a8, 0xeeeeaaf1a0fa712d, 0x91fa8a6ef7a76eee, 0xe85965569bb0bd4d, 0xba76821e96ae4b4c,
  0x827c602413057793, 0x3e16bffac99f19b9, 0x9a318e436fb74fed, 0xa317ea8fe7671e8d, 0x2eb3879e790e77b3,
  0xd7ea3e12fc436122, 0x107be64c5c3de1f2, 0x5afea3cafa894ed6, 0x53159ebea3e0d983, 0xb8e1386e1d7d8b4c,
  0xb8141d484d7d2d8c, 0xd376b591e0b39d5d, 0xd1871b1aaf1b1d79, 0x2d97ce038ec5a621, 0x94d2a3608991c37b,
  0xb7e06240bf616667, 0x250603bc0bf39d99, 0xcbca6c67667e6f3e, 0x362cf43aa702baa9, 0xb0e2cc76ff7aaa2d,
  0xea7bc11b94b52fcd, 0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2,
  0x59af3398b7e9296c, 0xa03eea29e4e0b9cc, 0x0000000000000280,
};

// m64_u2x8_uart1_lednop_pr          m64a_u2x8_uart1_lednop            m64a_u2x8_uart1_lednop_pr
static const uint64_t ur_m64_u2x8_uart1_lednop[] = {
  0xbbbbbb687acdfc4f, 0x77777557d9c79225, 0x139bf07c3fbc7f77, 0xad0bddf9bbbb2211, 0xef2777c7e145c490,
  0x829304f8c048260a, 0x4fed3ff27f8541cf, 0x1e8d9a318e436fb7, 0x4f51c9e3be5921e7, 0xd19135490e24819a,
  0xfa3905398b016f74, 0xb8e58c11d78b9d84, 0xbf031205fb0ac349, 0x1de05f9e0404eccd, 0x3a0333f378e52830,
  0x54e077ca9bd4a725, 0xdfef5545a4179e87, 0xb94b52fcdb01ca2a, 0x1e40d1fc68b13ee1, 0x4b867a615c9fbab3,
  0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x000001f21ce62374,
};

// m64a_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_m64_u2x8_uart1_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f6706bc4b, 0x197bd9f7e6933ddd, 0x4aebcc9eeee85947, 0xc9dda0b4cc17f91f,
  0xacc13e30120982bb, 0xfb4fcbeffc2bb3e7, 0xa3668c6390dbedd3, 0xd47b58ef9610f9c7, 0x6222d2438920682f,
  0x4690ce62c0596532, 0xffb30475e8f9db9e, 0x81e59edeb0d22a01, 0xdbf031205fb36389, 0x01de05f9e0404ecc,
  0x53a0333f378e5283, 0x754e077ca9bd4a72, 0xadfef5545a4179e8, 0x1b94b52fcdb01ca2, 0xccdfc1ddc68b1720,
  0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3, 0x67316fd252d9c389,
  0xcd13c9c17398b35e, 0x000000007c9ae2fa,
};

// m64_u2x8_uart1_lednop_pr_ee_u4    m64a_u2x8_uart1_lednop_pr_ee      m64a_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart1_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b15b896, 0x5d04c2b31d697bbb, 0x7e3bf53341dd48a3, 0xa1b90511f3b47ef1,
  0x27c602413057793b, 0xe50fff0aecfe5698, 0xa318e436fb74fed3, 0x4d56b4738e71e8d9, 0x83660d31f51e5665,
  0xec5a6ef8af6ffa8f, 0xe96c65c709c370eb, 0x69740171ac9a426b, 0xe74dda0fa3268e75, 0x05a37b56355ae875,
  0xf65b2f9c071d8b4f, 0xa433ca8d823f5b86, 0x66df818902fd8011, 0x180ef02fcf020276, 0x929d0199f9bc7294,
  0x43aa703be54dea53, 0x156ff7aaa2d20bcf, 0x00dca5a97e6d80e5, 0x5666fe0eee3458b9, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d, 0xf3398b7e9296ce1c, 0x76689e4e0b9cc59a,
  0x00000000013ae7eb,
};

// m64_u2x8_uart1_lednop_pr_ce_u4    m64a_u2x8_uart1_lednop_pr_ce      m64a_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0x7777557e1753712d, 0xb8ec17933d363777, 0x8212150f7774da48, 0x793ba8eca550b764,
  0xc39827c602413057, 0xfed3e95bff0aecf9, 0xe8d9a318e436fb74, 0xe7663e317eb10e71, 0x1b0911759c3cf1e6,
  0xf76936ff51f097e2, 0x9ee59d5f593262e1, 0x24389207acf51fa4, 0xd219cc580ab5ee1d, 0xf6678ebd1f3b73c8,
  0x0f2d6ed61a45403f, 0xdf818902fd9b1c4c, 0x0ef02fcf02027666, 0x9d0199f9bc729418, 0xaa703be54dea5392,
  0x6ff7aaa2d20bcf43, 0xb94b52fcdb01c8c7, 0xcdfc1ddc68b17201, 0xef79430a9cfd4eac, 0x871fc65f989ffde1,
  0x17f81fbff829a3ed, 0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0xd13c9c17398b35e6, 0x0000000375c6a92c,
};

// m64_u2x8_uart1_lednop_pr_ee_ce_u4 m64a_u2x8_uart1_lednop_pr_ee_ce   m64a_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e341e4625b, 0xfa647da5e891dddd, 0x4202caad37617a9b, 0x21efdc0b1d7976b0,
  0xf8c048260aef2774, 0x8fffe15d9f0d1304, 0xc6390dbedd3fb4fd, 0x5faa3f9d9c7a3668, 0x670f3c79b9d8d68c,
  0xd47c25f886c2445d, 0xf7cc98b8724aca8f, 0xfd4795f7529dac20, 0x2b913d47c1b306b5, 0xc270dc3afb1698a6,
  0x003a909afa5b1971, 0xed07d193473abb72, 0x7b56355e363af3a6, 0x2f9c071d8b4f05a3, 0xe546c1132386f65b,
  0xc0c4817ec2ccd219, 0x7817e781013b336f, 0x80ccfcde394a0c07, 0x381df2a6f529c94e, 0xfbd5516905e7a1d5,
  0xa5a97e6d80e463b7, 0xfe0eee3458b900dc, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xfc0fdffc14d1f6c3,
  0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x0000009f965bf668,
};

// m64a_u2x8_uart1_lednop_ee_hw
static const uint64_t ur_m64_u2x8_uart1_lednop_ee_hw[] = {
  0x77776d0e8a34280b, 0xdddd55f358adc4b7, 0xe8261598eb4bdddd, 0xf1dfa99a0eea451a, 0xba8eca56bb23f78b,
  0x827c602413057793, 0x9f287ffd64cfe569, 0xcd18c721b7dba7f6, 0x2a6ab5a39c738f46, 0x7c1b30698fa8f2b3,
  0x5f62d377c57b7fd4, 0x5f4b632e384e1b87, 0xab4ba00b8d64d213, 0xaf3a6ed07d193473, 0x782d1bdab1aad743,
  0x37b2d97ce038ec5a, 0x8d219e546c11fadc, 0xb336fc0c4817ec00, 0xa0c077817e781013, 0x9c94e80ccfcde394,
  0x7a1d5381df2a6f52, 0x28ab7fbd5516905e, 0xf046e52d4bf36c07, 0xc3def2861539fa9e, 0xdb0e3f8cbf313ffb,
  0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871, 0x6a8a79382e73166b, 0x000000000016fdd9,
};

// m64_u2x8_uart1_lednop_ee_ce_u4_hw m64a_u2x8_uart1_lednop_ee_ce_hw   m64a_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xeeeeda1d146824d6, 0x7775578d0791896e, 0xe991f697a2477777, 0x080b2ab4dd85ea6f, 0xeabe67da58a5dac1,
  0x09f180904c15de4e, 0xfd8ffff5933e1a26, 0x68c6390dbedd3fb4, 0x8c5faa3f9d9c7a36, 0xbace1e79e439d8d6,
  0x7fa8f84bf10d8488, 0x41ef993170ecf9d6, 0x6bfa8f2beea53b58, 0x4c57227a8f83660d, 0xe384e1b875f62d31,
  0xe400752135f4b632, 0x4dda0fa3268e7576, 0x46f6ac6abc6c75e7, 0xb65f380e3b169e0b, 0x33ca8d8226470dec,
  0xdf818902fd8599a4, 0x0ef02fcf02027666, 0x9d0199f9bc729418, 0xaa703be54dea5392, 0x6ff7aaa2d20bcf43,
  0xb94b52fcdb01c8c7, 0xbca1854e7ea7bc11, 0x8fe32fcc4ffef0f7, 0xfc0fdffc14d1f6c3, 0xc970cf4c2f8d1e8b,
  0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x00000014043aa4a2,
};

/*
 * m64_u2x8_uart1_dual_pr            m64_u2x8_uart1_dual_pr_u4         m64a_u2x8_uart1_dual
 * m64a_u2x8_uart1_dual_pr           m64a_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m64_u2x8_uart1_dual[] = {
  0xddddde0f4486d0e3, 0x77777561b6ecafcd, 0x4dd40b123a82b777, 0x29a744edddd1a6d1, 0xf7726bb859cef700,
  0x9f180904c15de4e2, 0x7d932305523ace60, 0x030a193ed22d67dd, 0xfe650129dd3ee5f1, 0x93d87ce3848798ba,
  0x2241240d7dcdea3b, 0x10c4aff3f7c11429, 0xbd33943e27d70f85, 0x4219687c8886559c, 0x7f3fe80e784c3e45,
  0x660b0ab3317397b7, 0xdba7f69fea3fe6dd, 0xb38f46cd18c721b7, 0xdafbd478c8ef9627, 0x14d37645a4871240,
  0xdd02310e731602eb, 0x807fecc11d780d4e, 0x0781e59ed89f416a, 0xc9fccfa3999598d9, 0x013b336fc0c4817e,
  0x394a0c077817e781, 0xf529c94e80ccfcde, 0x05e7a1d5381df2a6, 0xc0728ab7fbd55169, 0x2c5c806e52d4bf36,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x0a68fb61c7f197e6, 0x17c68f45fe07effe, 0x670e271964b867a6,
  0x62cd799cc5bf494b, 0x9cf82b344f2705ce, 0x00000000000000a4,
};

// m64_u2x8_uart1_dual_pr_ee_u4      m64a_u2x8_uart1_dual_pr_ee        m64a_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m64_u2x8_uart1_dual_pr_ee[] = {
  0xeeeeef07a2431f02, 0xbbbbbab1203af7e6, 0xcfbebbd95aa3fbbb, 0x96af1e47f76c4bb2, 0x3ada64cf35ee73ad,
  0x4130577928cddce4, 0x82a90b829827c602, 0x9f6916b3eebec991, 0x94ee9f72f881850c, 0x670dda9936ff3280,
  0x696a6f51cc7f6033, 0x9fbe08a149120920, 0xf13eb87c2886257f, 0x4a886559cbd338cd, 0x9e131458a8432d07,
  0x98b9cbdb93affa03, 0x95dff36eb3058559, 0x18c721b7dba7f69f, 0xd56b4613f38f46cd, 0x6cc1cddea3cae034,
  0xc5a6ef8adfcf51f0, 0x96c65c709c370ebe, 0x5e445c09f9a426be, 0x33765ae8c4539d5a, 0x11d7fb1aad743af6,
  0x2ef76701c762d3e9, 0x8fb546c11fadc37b, 0xf99f47332b300905, 0x7666df818902fd93, 0x94180ef02fcf0202,
  0x53929d0199f9bc72, 0xcf43aa703be54dea, 0xe5156ff7aaa2d20b, 0xb900dca5a97e6d80, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce,
  0x45f6689e4e0b9cc5, 0x0000000000002b22,
};

// m64_u2x8_uart1_dual_pr_ce_u4      m64a_u2x8_uart1_dual_pr_ce        m64a_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m64_u2x8_uart1_dual_pr_ce[] = {
  0xddddde0f448618be, 0x7777756b1e58afcd, 0x96a39c82b77ef777, 0xb4fb9c5bbbb06ec4, 0xbb3363c344f964cf,
  0x8c048260aef2560b, 0x26460aa4720f304f, 0x14327da45acfbafb, 0xca0253ba7dcbe206, 0x87579c287e6e9ffc,
  0x1240f674dea39c1d, 0x4aff3f7c11429224, 0x39fae27d70f8510c, 0x2d05f6886559cbd3, 0xfa039e1307b8a843,
  0x855998b9cbdbdbaf, 0xf69f2ebff36eb305, 0x46cd18c721b7dba7, 0x3b28b18bf505338f, 0xd8488bace1e78f37,
  0xbfcc41fa8f84bf10, 0xf72ceae27e64c5c3, 0x0e248189ff51e0fc, 0x87398b017241bf49, 0x678ebc06a76e8118,
  0xb5b84fa0b5403ff6, 0xf47332b31b20f03c, 0x6df818902fd93f99, 0x80ef02fcf0202766, 0x29d0199f9bc72941,
  0x3aa703be54dea539, 0x76ff7aaa2d20bcf4, 0x1b94b52fcdb01c8c, 0xccdfc1ddc68b1720, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3, 0x67316fd252d9c389, 0xcd13c9c17398b35e,
  0x000000001a49a38a,
};

// m64a_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m64_u2x8_uart1_dual_pr_ee_ce[] = {
  0x7777783ea0a1a5fb, 0xddddd586dd71bf37, 0x1651fcfbdc3edddd, 0x75b64048eeb62fb4, 0x166efae614421d9b,
  0x13057792ec9dca31, 0x5522c939827c6024, 0xed22d67dd7d93230, 0x9dd3ee5f1030a193, 0x7014937ebfe65012,
  0x3b737a8f5bfb0800, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0x4886559cbd338089, 0xe1329e8a8432d0b7,
  0x17397b74dbffa039, 0x7ffe6dd660b0ab33, 0x31c86df6e9fda7e8, 0xfd51945ce3d1b346, 0x90ff3c79b9de9bb1,
  0xb02af9339d61facd, 0x1e49ea3cacc7ca76, 0xc5315c7bf51f06cc, 0xcb8e1386e1d7d8b4, 0xdba441d484d7d2d8,
  0x633765ae8c4539d5, 0x223aff6355e363af, 0x65deece038ec5a7d, 0x58fb546c1132386f, 0x3f99f47332b32cd0,
  0x27666df818902fd9, 0x294180ef02fcf020, 0xa53929d0199f9bc7, 0xbcf43aa703be54de, 0x1c8c76ff7aaa2d20,
  0x51641b94b52fcdb0, 0x4eaccdfc1ddc68b1, 0x6c389c69430a9cfd, 0x33d30ae4fdf04d1f, 0xa4a5b387138cb25c,
  0x82e73166bcce62df, 0x0008002b559a2793,
};

// m64a_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0x777783d150ff880b, 0xdddd59a9fb8bf377, 0xec98a3fb7d7ddddd, 0xb1a702f7526162c3, 0xb6b8b0fae3f3227b,
  0x0aef24eb3bbebefe, 0x0598b304f8c04826, 0x16b3eebec99182a9, 0x9f72f881850c9f69, 0xbf32547e656024ee,
  0xbd47bc3d872d1c19, 0x450a48904903c6e9, 0xc3e144312bfcfdf0, 0x559cbd3386dd89f5, 0x728a8432d04b4886,
  0x7b743effa039e134, 0x459260b0ab331739, 0xb7dba7f69f4dbff4, 0x52f38f46cd18c721, 0xf8067743f18bf546,
  0xf886c2445d670f3c, 0x70ea49cdffd47c25, 0x63e53b58417c9931, 0x8f83660f24f51e56, 0xebec5a6298ae3dfa,
  0x6be96c65c709c370, 0x229ceaedd220ea42, 0xf1b1d7b19bb2d746, 0x762d3e911d7fb1aa, 0x991c37b2ef76701c,
  0x5996682c7daa3608, 0x4817ec9fccfa3999, 0x7e781013b336fc0c, 0xcfcde394a0c07781, 0xdf2a6f529c94e80c,
  0x5516905e7a1d5381, 0x97e6d80e463b7fbd, 0x8fe3458b900dca5a, 0xc2a73f53ab337f06, 0x97e627ff787bde50,
  0xeffe0a68fb61c7f1, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x100128b255524f27,
};

// m64a_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m64_u2x8_uart1_dual_ee_hw[] = {
  0x7777783d146818be, 0xddddd58901d7bf37, 0x7df5decad51fdddd, 0xb578f23fbb625d96, 0x66c787b2c9739d6c,
  0x0904c15de4a33776, 0x460aa42e0a609f18, 0x327da45acfbafb26, 0xe833ba7dcbe20614, 0xcd9c376a64dbfcca,
  0x81a5a9bd4731fd80, 0xfe7ef82285244824, 0x37c4fae1f0a21895, 0x1d2a2195672f4ce3, 0x0e784c5162a10cb4,
  0x6662e72f6e4ebfe8, 0x3f2bbfceadcc1615, 0x9a318e436fb74fed, 0x69aad68c27e71e8d, 0xe0d9839bbd4795c0,
  0x7d8b4ddf15bf9ea3, 0x7d2d8cb8e1386e1d, 0xb4bc88b813f3484d, 0xec66ecb5d188a73a, 0xd223aff6355ae875,
  0xf65deece038ec5a7, 0x0b1f6a8d823f5b86, 0x27f33e8e66566012, 0x04eccdbf031205fb, 0xe528301de05f9e04,
  0xd4a7253a0333f378, 0x179e8754e077ca9b, 0x01ca2adfef5545a4, 0xa7bc11b94b52fcdb, 0xfef0f7bca1854e7e,
  0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0x3d3aa29e4e0b9cc5,
  0x000000000000aed6,
};

// m64_u2x8_uart1_dual_ee_ce_u4_hw   m64a_u2x8_uart1_dual_ee_ce_hw     m64a_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbc1e8a3475164, 0xeeeeacd4fdc5f9bb, 0xf64c51fdbebeeeee, 0xd8d3817ba930b161, 0x7ff877c4f1f9913d,
  0x04c15de49d67735d, 0x5520b316609f1809, 0xed22d67dd7d93230, 0x9dd3ee5f1030a193, 0xc19bf32547e65741,
  0x6e9bd47bc3d872d1, 0xdf0450a48904903c, 0x9f5c3e144312bfcf, 0x886559cbd3386dd8, 0x134728a8432d04b4,
  0x7397b743effa039e, 0x7fe756e60b0ab331, 0x8e436fb74fed3e9b, 0xea8ca5e71e8d9a31, 0x0f3cf21cee87e317,
  0x7c25f886c2445d67, 0x4c98b87b9124afd4, 0x8f2b31f29dac20be, 0x1efd47c1b307927a, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x6ba3114e7576e910, 0xd8d578d8ebd8cdd9, 0x380e3b169f488ebf, 0x1b044c8e1bd977bb,
  0x1cccaccb34163ed5, 0x7e06240bf64fe67d, 0x3bc0bf3c0809d99b, 0x740667e6f1ca5060, 0xa9c0ef9537a94e4a,
  0xbfdeaa8b482f3d0e, 0xe52d4bf36c07231d, 0xf2861539fa9ef046, 0x3f8cbf313ffbc3de, 0xf03f7ff05347db0e,
  0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x000003aeb148528a,
};

// m64_u2x12_uart0_noled_pr          m64a_u2x12_uart0_noled            m64a_u2x12_uart0_noled_pr
static const uint64_t ur_m64_u2x12_uart0_noled[] = {
  0xddd77680bd66fcc5, 0xbbaabf582e6f12dd, 0x1cda0e2df17bbbbb, 0x67a99bbba2fe595c, 0xeec00f4f6dd93a13,
  0x609f180904c15de4, 0x13defff0a839fc92, 0xe0935dbcd04bb6f3, 0xfcef9613e2d3b424, 0xa4871240c7dfa8f5,
  0x1cc580b2ca61179e, 0x11d7a3e760e28ccf, 0xdb535f86a807fecc, 0x969d28a159503cb3, 0xe28f37b268e8c527,
  0x3811fd4a5e537ae7, 0xef5545a54fa7a1d5, 0xa5a97e6da5fe2adf, 0x2068fe34589f70dc, 0xc33d30ae4fdd598f,
  0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x0000f90c6f11ba79,
};

// m64a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m64_u2x12_uart0_noled_pr_u4[] = {
  0xdd77680ba2432d3a, 0xbaabf582e6f12ddd, 0xcda0e2df17bbbbbb, 0x7a99bbba2fe595c1, 0xdc5f5176dd91a136,
  0x13e30120982bbc9d, 0x3defffc2bb3f924c, 0x0935dbcd04bb6f31, 0xcef9613e2d3b424e, 0x4871240c7dfa8f5f,
  0xcc580b2ca61179ea, 0x1d7a3e760e28ccf1, 0xb535f86a807fecc1, 0x69d28a159503cb3d, 0x28f37b268e8c5279,
  0x811fd4a5e537ae7e, 0xf5545a54fa7a1d53, 0x5a97e6da5fe2adfe, 0xe0eee3458b900dca, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0xc0fdffc14d1f6c38, 0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398,
  0x00003e4e2ac56689,
};

// m64_u2x12_uart0_noled_pr_ee_u4    m64a_u2x12_uart0_noled_pr_ee      m64a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart0_noled_pr_ee[] = {
  0xbaeed017448651eb, 0xeeaae30964e25bbb, 0xa9c2f19ac86eeeee, 0xe210ba1cddd9fe2d, 0x665386994a5a30a2,
  0xe30120982bbc9dd4, 0x27ff85767e43cc13, 0xd76f3412edbcc4f7, 0xb47370b4ed093824, 0x0c7cf51e5738cd56,
  0x6ef8ae5f7a8f8366, 0x65c709c370ebec5a, 0xc571ac9a426be96c, 0xb2cf4627ce756974, 0x8cec6ab5d0ebce9b,
  0x5f380e3b169a0b47, 0x951b047eb70decb6, 0x7969d28a005f8601, 0x7e28f37b268e8c52, 0x53811fd4a5e537ae,
  0xfef5545a54fa7a1d, 0xca5a97e6da5fe2ad, 0x6fe0eee3458b900d, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0xbfc0fdffc14d1f6c, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x89e4e0b9cc59af33, 0x000000275d843f66,
};

// m64a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_m64_u2x12_uart0_noled_pr_ce[] = {
  0xddd77680bd66ef3a, 0x777557d9ce6f12dd, 0x8b783eadaebf7777, 0xd7f17b3f7776e243, 0xbc9ddcc490a86b40,
  0xdd4c13e30120982b, 0xde6279ebfe15073f, 0x849c126bb79a0976, 0xee0fd8feab3c5a76, 0x61dfc5f7f9e6e1dc,
  0x05cf72cbac67339d, 0xe921c4903d62f51d, 0x8e1a8e62c05afe3e, 0x72c678ebc5cedac4, 0x3cb4e94507406adc,
  0xe7e28f2dd3474629, 0x5a72f1fd4a5e537a, 0x7a1d53819d4cc608, 0x89f70dca5a97e6da, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xbcce62dfa4a5b387, 0xb11ba79382e73166, 0x00000000002dd553,
};

// m64a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart0_noled_pr_ce_u4[] = {
  0xbaeed0174486259b, 0xeeaaf1a0cc625bbb, 0x1db7e2f5e9eeeeee, 0x2f623bbbac1f7797, 0x7560e4e2b6645a98,
  0x04f8c048260aef27, 0x3cc7ffe15d9fa953, 0x0935dbcd04bb6f31, 0x18bf55ae2d3b424e, 0x5d670f3c79b9d9eb,
  0xffd47c25f886c244, 0x57d64c98b87eafa1, 0x19a4f51dafa7b967, 0x602dc310f490e248, 0xe8f9d838a333c731,
  0xd7e1aa01ffb33c75, 0xd28a159503cb5b94, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28, 0x545a54fa7a1d5381,
  0x2fcdb4bf98edfef5, 0xddc68b17201b94b5, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0xfbff829a3ed871fc,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xc17398b35e67316f, 0x00dd715f86cd13c9,
};

// m64_u2x12_uart0_noled_pr_ee_ce_u4 m64a_u2x12_uart0_noled_pr_ee_ce   m64a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u2x12_uart0_noled_pr_ee_ce[] = {
  0xbaeed0174486bf3e, 0xeeaae87764625bbb, 0x28d36434c4eeeeee, 0xef410d7dd05ef4e8, 0x68d506d9f2e323e6,
  0x180904c15de4ee9d, 0x3ff85767e87e609f, 0x76f3412edbcc4f38, 0x8ff70b4ed093824d, 0xcf1e6e77812317ea,
  0x097e21b0911759c3, 0x262e1e6199f3f51f, 0xe560a4a76b083df3, 0x77a8f83660e32f51, 0x1b875f62d314c573,
  0x52135f4b632e384e, 0xf4627ce7576e4c47, 0x8d578d8ebce9bb2c, 0x01c762d34168f19d, 0xb044c8e1bd96cbe7,
  0x9d28a167f8601951, 0x8f37b268e8c52796, 0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0x52fcdb4bf98edfef,
  0x1ddc68b17201b94b, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x1fbff829a3ed871f, 0xe19e985f1a3d17f8,
  0xfd252d9c389c6592, 0x9c17398b35e67316, 0x00013f0d60acd13c,
};

// m64a_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m64_u2x12_uart0_noled_ee_hw[] = {
  0xebbb405d1468259b, 0xbaab8c2593896eee, 0xa70bc66b21bbbbbb, 0x8842e8737767f8b6, 0xac1c9da64568c28b,
  0x9f180904c15de4ee, 0xdc9fff5933f21e60, 0x935dbcd04bb6f313, 0x5ad1cdc2d3b424e0, 0x9831f3d4795ce335,
  0x69bbe2b97dea3e0d, 0xb1971c270dc3afb1, 0xd315c6b26909afa5, 0x6ecb3d189f39d5a5, 0x1e33b1aad743af3a,
  0xd97ce038ec5a682d, 0x06546c11fadc37b2, 0x49e5a74a28017e18, 0xb9f8a3cdec9a3a31, 0x754e047f529794de,
  0xb7fbd5516953e9e8, 0x37296a5f9b697f8a, 0xf79430a9cfd4f782, 0x71fc65f989ffde1e, 0x7f81fbff829a3ed8,
  0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x53c9c17398b35e67, 0x00000002dffafc34,
};

// m64_u2x12_uart0_noled_ee_ce_u4_hw m64a_u2x12_uart0_noled_ee_ce_hw   m64a_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u2x12_uart0_noled_ee_ce_hw[] = {
  0xbaeed017451a1541, 0xeeaae87764625bbb, 0x28d36434c4eeeeee, 0xef410d7dd05ef4e8, 0x69df6b7652e323e6,
  0x3e30120982bbc9dd, 0x383ffd64cfd0fcc1, 0x4d76f3412edbcc4f, 0xea8ff70b4ed09382, 0x879e790e77812317,
  0x3e12fc4361222eb3, 0xe64c5c3a1f6377ea, 0xa3cac1494ed6107b, 0xe6ef51f06cc1c65e, 0x9c370ebec5a6298a,
  0x8ea426be96c65c70, 0x59e8c4f9ceaedc98, 0x3b1aaf1b1d79d376, 0xce038ec5a682d1e3, 0xa3608991c37b2d97,
  0x2d3a5142cff0c032, 0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x96a5f9b697f31dbf,
  0x430a9cfd4f782372, 0xc65f989ffde1ef79, 0x1fbff829a3ed871f, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592,
  0x9c17398b35e67316, 0x00005010d20f453c,
};

// m64_u2x12_uart0_lednop_pr         m64a_u2x12_uart0_lednop           m64a_u2x12_uart0_lednop_pr
static const uint64_t ur_m64_u2x12_uart0_lednop[] = {
  0xbbaeed017acdfc4f, 0xbbaabf58279225bb, 0xdf83e1fde3fbbbbb, 0xbddf9bbba2fe595c, 0x777c7e145c490ad0,
  0x304f8c048260aef2, 0x89ff27f8541cf829, 0x7049aede6825db79, 0x9e77cb09f169da12, 0x5243892063efd475,
  0x1cc580b2ca61be4f, 0x11d7a3e767b48cd2, 0xed99e534a807fecc, 0xcb4e945158281e59, 0xcf89347462981013,
  0xaa72f29b19d038a3, 0x8b4d8b3d0ea9c0ae, 0x5f9b65c455bfdeaa, 0x3f8d1627dc37296a, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x3e439cc46e9e4e0b,
};

// m64a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m64_u2x12_uart0_lednop_pr_u4[] = {
  0xbaeed0174486bd3a, 0xbaabf58279225bbb, 0xf83e1fde3fbbbbbb, 0xddf9bbba2fe595cd, 0xd86647cb89a5ad0b,
  0x13e30120982bbc9d, 0x3fe4ffc2bb3e0a4c, 0x0935dbcd04bb6f31, 0xcef9613e2d3b424e, 0x4871240c7dfa8eb3,
  0x98b016594c37c9ea, 0x3af47cecf6919a43, 0xb33ca69500ffd982, 0x69d28a2b0503cb3d, 0xf1268e8c53020279,
  0x4e5e53633a071479, 0x69b167a1d53815d5, 0xf36cb88ab7fbd551, 0x71a2c5c806e52d4b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xffe0a68fb61c7f19, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4,
  0x1f276cc5b344f270,
};

// m64_u2x12_uart0_lednop_pr_ee_u4   m64a_u2x12_uart0_lednop_pr_ee     m64a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart0_lednop_pr_ee[] = {
  0xdd77680ba2433a31, 0xbbaab8c212112ddd, 0x4da98dbd067bbbbb, 0x1085d0e6eecff176, 0x73d6a0ad38d84133,
  0x8c048260aef27772, 0x2ffe15d9f297304f, 0x5dbcd04bb6f313dd, 0xd1cdc2d3b424e093, 0x31f3d47959eb355a,
  0xddf15e95ea3e0d98, 0xcb8e1386e1d7d8b4, 0x22e3593484d7d2d8, 0xb7408c439cead2f9, 0x416c6ab5d0ebce9b,
  0xbe701c762d313e8e, 0xaa3608fd6e1bd96c, 0xf2d3a5140094d7e1, 0xf3e24d1d18a60404, 0xaa9cbca6c6740e28,
  0xa2d362cf43aa702b, 0x97e6d971156ff7aa, 0xeee3458b900dca5a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xfdffc14d1f6c38fe, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x0013af79276689e4,
};

// m64a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_m64_u2x12_uart0_lednop_pr_ce[] = {
  0x7775dda02f59bb37, 0xdddd55f67122c4b7, 0xe2d3277e6b11dddd, 0x71fad1e4ddddb890, 0x7793bb0bd68f1e82,
  0xedf9827c60241305, 0xb7989fd47f8541cf, 0xa127049aede6825d, 0x3b1bf63faacf169d, 0xb0f01aa57e79b877,
  0x90e7b965d63399ce, 0x9490e2481eb17a8e, 0x3a374ce62c05e7b5, 0x71cb19e3af173b28, 0x013cb4e94507401b,
  0x7ce81c51e7462981, 0x2169c9183536253f, 0x6d3d0ea9c083b318, 0xa2c4fb86e52d4bf3, 0x727eeacc790347f1,
  0xc389c6592e19e985, 0xb35e67316fd252d9, 0x0e588dd3c9c17398, 0x0000000000002dd4,
};

// m64a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xbaeed01744860cc5, 0xdd55e34163e25bbb, 0x12e3c7f70adddddd, 0x1d933dddd60fbbf3, 0xbb1c6059bb66764f,
  0x827c602413057793, 0x9ebefff0aecfb939, 0x049aede6825db798, 0x8c5faad7169da127, 0x2eb3879e3cdcee44,
  0xffea3e12fc436122, 0xd5f593262e1c2d18, 0x819a4f51f9e9ee59, 0x8b0177bc17490e24, 0xaf47cecf6919a439,
  0x33ca69500ffd99e3, 0xa74a28ac140f2d6e, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755,
  0x9b65c18edfef5545, 0x8d162e4037296a5f, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0xff05347db0e3f8cb,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4, 0xdd7dd5259a279382,
};

/*
 * m64_u2x12_uart0_lednop_pr_ee_ce_u4 m64a_u2x12_uart0_lednop_pr_ee_ce
 * m64a_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xbaeed01744864aa4, 0xeeaae87669625bbb, 0x1a0a0cf792eeeeee, 0x5e821afba0bde9d9, 0x75da3b4fba67f4da,
  0xc048260aef2777ed, 0xffc2bb3e63f304f8, 0xb79a0976de627a5a, 0x7fb85a76849c126b, 0x78f373bdf718bf54,
  0x4bf10d8488bace1e, 0x62e1d9be951fa8f8, 0x56804a76b083df32, 0xfa8f83660e32f51e, 0xb875f62d314c5738,
  0x2135f4b632e384e1, 0x4621ce7576ec9075, 0x6abc6c75e74ddba0, 0x1c762d313e8e416c, 0x044c8e1bd96cbe70,
  0xd28a166a6bf0d51b, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e, 0xd97063b7fbd55169,
  0x458b900dca5a97e6, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xc14d1f6c38fe32fc, 0xc2f8d1e8bfc0fdff,
  0x6ce1c4e32c970cf4, 0xcc59af3398b7e929, 0xf0415d6689e4e0b9, 0x0000000000000013,
};

// m64a_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m64_u2x12_uart0_lednop_ee_hw[] = {
  0xebbb405d14680cc5, 0xdd55c61090896eee, 0x6d4c6de833dddddd, 0x842e8737767f8bb2, 0x38c0bd6666c20998,
  0xf8c048260aef2776, 0xe97ffac99f297304, 0x9aede6825db7989e, 0xd68e6e169da12704, 0xc18f9ea3cacf59aa,
  0xa6ef8af4af51f06c, 0xc65c709c370ebec5, 0xc9171ac9a426be96, 0xddba04621ce75697, 0x720b6355ae875e74,
  0x65f380e3b16989f4, 0x0d51b047eb70decb, 0x27969d28a004a6bf, 0x479f1268e8c53020, 0x5d54e5e53633a071,
  0x55169b167a1d5381, 0xd4bf36cb88ab7fbd, 0x61539fa9ef046e52, 0xcbf313ffbc3def28, 0xf7ff05347db0e3f8,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x0002df231fe8a793,
};

/*
 * m64_u2x12_uart0_lednop_ee_ce_u4_hw m64a_u2x12_uart0_lednop_ee_ce_hw
 * m64a_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xdd77680ba28d0582, 0x7755743b34b12ddd, 0x8d05067bc9777777, 0x2f410d7dd05ef4ec, 0x6c473b539533fa6d,
  0x3e30120982bbc9dd, 0x4b5ffd64cf98fcc1, 0x4d76f3412edbcc4f, 0xea8ff70b4ed09382, 0x879e790e77bee317,
  0x3e12fc4361222eb3, 0xe64c5c3feb9adfea, 0xa3cad0094ed6107b, 0xe71f51f06cc1c65e, 0x9c370ebec5a6298a,
  0x0ea426be96c65c70, 0x7408c439ceaedd92, 0x2d8d578d8ebce9bb, 0xce038ec5a627d1c8, 0xa3608991c37b2d97,
  0x2d3a5142cd4d7e1a, 0x3e24d1d18a60404f, 0xa9cbca6c6740e28f, 0x2d362cf43aa702ba, 0xfcdb2e0c76ff7aaa,
  0x4e7ea7bc11b94b52, 0xcc4ffef0f7bca185, 0xfc14d1f6c38fe32f, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf,
  0x9cc59af3398b7e92, 0x2808d59ba29e4e0b,
};

/*
 * m64_u2x12_uart0_dual_pr           m64_u2x12_uart0_dual_pr_u4        m64a_u2x12_uart0_dual
 * m64a_u2x12_uart0_dual_pr          m64a_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m64_u2x12_uart0_dual[] = {
  0xeeb0732744864541, 0xdddd5a006677e6ee, 0x228ef92ebd6ddddd, 0x374247777685d453, 0xdd55f9315f21094a,
  0xc6024130577926ed, 0x64c8c1548bc39827, 0xc2864fb48b59f75f, 0x99404a774fb97c40, 0xb60e94e070e6297f,
  0x904903a9537a8e95, 0x312bfcfdf0450a48, 0xa6706b09f5c3e144, 0x432d0c9110cab397, 0xfffa039e132d78a8,
  0x05855998b9cbdbed, 0xdbcc4f97dff36eb3, 0xd093824d76f3412e, 0x51ee19df2dcf0b4e, 0x7dad490e2481bdaf,
  0x3416731602eb14cf, 0xd9823af01a9dabfa, 0xe59ed8fba25500ff, 0xf33e8e6656638f81, 0x2981013cb4e94527,
  0x9d038a3cf8934746, 0xea9c0aeaa72f29b1, 0x5bfdeaa8b4d8b3d0, 0x037296a5f9b65c45, 0x599bf83bb8d162e4,
  0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871,
  0x59a279382e73166b, 0x000000000a49c6a7,
};

// m64_u2x12_uart0_dual_pr_ee_u4     m64a_u2x12_uart0_dual_pr_ee       m64a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart0_dual_pr_ee[] = {
  0x77583993a2435032, 0xdddd59684fbbf377, 0xf8218f6da2fddddd, 0xcacc4d2eec0b29cc, 0x9c126bbc16fde7de,
  0x0982bbc9476eeebd, 0x2a90aebcc13e3012, 0xf6916b3eebec9918, 0x4ee9f72f881850c9, 0x1c0344da6bf32809,
  0xd0fcdea3d8fec3fe, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0x1d10cab397a670d6, 0x3c26fdd150865a12,
  0x317397b7d9dff407, 0x50ffe6dd660b0ab3, 0x9aede6825db7989e, 0xd68f4a169da12704, 0x83f93d4795edf9aa,
  0x4ddf15f75ea3e0d9, 0x8cb8e1386e1d7d8b, 0xe2b813f3484d7d2d, 0x76ded193c73ab4bc, 0xa43b1aad743af633,
  0xf76701c762d3e791, 0x7546c11fadc37b2e, 0x9f47332b300a8950, 0xc0809e5a74a293f9, 0x81c51e7c49a3a314,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xb94b52fcdb2e22ad, 0xcdfc1ddc68b17201, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0x17f81fbff829a3ed, 0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0xd13c9c17398b35e6,
  0x00000000ac9b5eec,
};

// m64_u2x12_uart0_dual_pr_ce_u4     m64a_u2x12_uart0_dual_pr_ce       m64a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart0_dual_pr_ce[] = {
  0xeeeeb073274486f9, 0xbbbbbab3534e57e6, 0xb652be7adbd77bbb, 0xf8b520addddb8393, 0xcee19c5c5d6af26c,
  0x3e30120982bbc9e9, 0xf64c8c1548eeb4c1, 0x0c2864fb48b59f75, 0xf99404a774fb97c4, 0xd6c12d1c02d4c63f,
  0x120920715a6f51c9, 0x86257f9fbe08a149, 0xe99c6bb13eb87c28, 0x2196854a4432ace5, 0xf7fd01cf09a3dc54,
  0x82c2accc5ce5edd4, 0x6de627a56ff9b759, 0x6849c126bb79a097, 0x3b8f718bf5c905a7, 0xd8488bace1e78f37,
  0xffc0d1fa8f84bf10, 0xf72ceae27e64c5c3, 0x871240d05fa8fd04, 0x82ce62c051f3a4a4, 0x33c75e0353b57f46,
  0x2d6e1f744aa01ffb, 0x99f47332b31c7c0f, 0x4c0809e5a74a293f, 0xe81c51e7c49a3a31, 0x54e0575539794d8c,
  0xdfef5545a6c59e87, 0x37296a5f9b65c18e, 0x99bf83bb8d162e40, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc,
  0xa2ff03f7ff05347d, 0x8cb25c33d30be347, 0xce62dfa4a5b38713, 0x9a279382e73166bc, 0x0000000034908395,
};

// m64a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m64_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbbac1cc9f6090c86, 0xdddd5b1da10df9bb, 0xf4d7a2fdb41ddddd, 0xfa16ccf74e746aae, 0x7599b53a70bc3e51,
  0x3057792af9dcf046, 0xa46f3e9827c60241, 0xa45acfbafb26460a, 0xba7dcbe20614327d, 0x3ace6643fcca0253,
  0x79bd47986d833e1c, 0xf0450a48904903fd, 0xf5c3e144312bfcfd, 0x432ace5e99cba189, 0x30d68a8432d0a1f4,
  0x397b7b5bffa039e1, 0xfe6dd660b0ab3317, 0xbcd04bb6f313ec7f, 0x90e2d3b424e0935d, 0xc79b9dc728c5faa3,
  0x5f886c2445d670f3, 0x8b8735b986fd47c2, 0x5c8929dac20be4c9, 0xea3e0d9834c7d479, 0xc3afb1698a62b09f,
  0x09afa5b1971c270d, 0x193c73abb74e23a9, 0x55e363af63376ded, 0x38ec5a7cf2348763, 0x1132386f65deece0,
  0x32b32ce89507546c, 0xe5a74a293f99f473, 0xe7c49a3a314c0809, 0x5539794d8ce81c51, 0x45a6c59e8754e057,
  0x5f9b65c18edfef55, 0xb8d162a2c837296a, 0x1539fa9d599bf83b, 0xe09a3ed87138d286, 0x1964b867a615c9fb,
  0x9cc5bf494b670e27, 0x344f2705ce62cd79, 0x0000000010008beb,
};

// m64a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xac1cc9d150fed4d6, 0xdd5b1da10df9bbbb, 0xd7a2fdb41ddddddd, 0x16ccf74e746aaef4, 0x336f3a70bc3e51fa,
  0xef255f3b8ce9bfdb, 0xe7d304f8c048260a, 0x59f75f64c8c1548d, 0xb97c40c2864fb48b, 0x9990ff32b012774f,
  0x51e61b60cf870eb3, 0x4292241240ff5e6f, 0xf8510c4aff3f7c11, 0xb397a672e8627d70, 0xa2a10cb4287d10ca,
  0xded6ffe80e784c35, 0x64982c2accc5ce5e, 0x4bb6f313ec7ffd11, 0xd3b424e0935dbcd0, 0x9dc728c5faa390e2,
  0xb0911759c3cf3e01, 0x9299cbf51f097e21, 0xa76b082f93262e1e, 0x3660d31f51e57224, 0xc5a6298ac27fa8f8,
  0x96c65c709c370ebe, 0xceaedd388ea426be, 0x8ebd8cddb7b464f1, 0x69f3c8d21d8d578d, 0xe1bd977bb380e3b1,
  0xb3a2541d51b044c8, 0x28a4fe67d1cccacc, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0x97063b7fbd55169b, 0x58b900dca5a97e6d, 0xf53ab337f068fe34, 0x7ff787bde50c2a73, 0xa68fb61c7f197e62,
  0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0xe9d55524f2705ce6, 0x0000000000020019,
};

// m64a_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m64_u2x12_uart0_dual_ee_hw[] = {
  0xbbbac1cc9d1468f9, 0xeeeeeacb427ddf9b, 0x67c10c7b6d17eeee, 0xf65662697760594e, 0x19c5c5ede4f7ef3e,
  0x0120982bbc9476ee, 0x9182a90aebcc13e3, 0x0c9f6916b3eebec9, 0xba0cee9f72f88185, 0x3fe1c0344da6bf32,
  0x481d0fcdea3d8fec, 0x5fe7ef8228524482, 0x0d6c4fae1f0a2189, 0xa121d10cab397a67, 0x4073c26fdd150865,
  0xab3317397b7d9dff, 0xc4f287fe756e60b0, 0x3824d76f3412edbc, 0xcd56b47a50b4ed09, 0x06cc1fc9ea3caf6f,
  0xec5a6ef8afbaf51f, 0xe96c65c709c370eb, 0xa5e715c09f9a426b, 0xb19bb6f68c9e39d5, 0x3c8d21d8d56ba1d7,
  0xd977bb380e3b169f, 0x4a83aa3608fd6e1b, 0x9fccfa3999598054, 0x18a60404f2d3a514, 0xc6740e28f3e24d1d,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0xe08dca5a97e6d971, 0x87bde50c2a73f53d, 0xb61c7f197e627ff7,
  0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0x4d14f2705ce62cd7, 0x000000002bb5ab1c,
};

// m64_u2x12_uart0_dual_ee_ce_u4_hw  m64a_u2x12_uart0_dual_ee_ce_hw    m64a_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u2x12_uart0_dual_ee_ce_hw[] = {
  0xd60e64e8a34404d3, 0xeead8ed086fcdddd, 0x6bd17eda0eeeeeee, 0x0b667ba73a35577a, 0x174d48b85e1f28fd,
  0x82bbc957ceed6573, 0x2379f4c13e301209, 0x22d67dd7d9323055, 0xd3ee5f1030a193ed, 0xd673321fe657419d,
  0xcdea3cc36c19f0e1, 0x8228524482481feb, 0xae1f0a21895fe7ef, 0x195672f4ce5d0c4f, 0x86b4542196850fa2,
  0xcbdbdadffd01cf09, 0xf3ab7305855998b9, 0xf3412edbcc4fb1ff, 0x438b4ed093824d76, 0x790e771ca317ea8e,
  0xfc4361222eb3879e, 0xb87e5a66ffea3e12, 0xc8929dac20be4c98, 0xa3e0d9834c7d4795, 0x3afb1698a62b09fe,
  0x9afa5b1971c270dc, 0x93c73abb74e23a90, 0x5e363af63376ded1, 0x8ec5a7cf23487635, 0x132386f65deece03,
  0x2b32ce89507546c1, 0x5a74a293f99f4733, 0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575,
  0xf9b65c18edfef554, 0x9cfd4f78237296a5, 0x989ffde1ef79430a, 0xf829a3ed871fc65f, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x398b35e67316fd25, 0xebab22c9453c9c17,
};

// m64_u2x12_uart1_noled_pr          m64a_u2x12_uart1_noled            m64a_u2x12_uart1_noled_pr
static const uint64_t ur_m64_u2x12_uart1_noled[] = {
  0x776d0d783acdc49f, 0xbbaab9c1767c4b77, 0xbfc4a1cd1afbbbbb, 0x426adbbba7833ddb, 0x776a1a9b8030af17,
  0x304f8c048260aef2, 0xd3f10ff8541cfcdd, 0x390dfcded4ab74fe, 0xf964879c7a3668c6, 0x389206693d47e78e,
  0x580b7ba6def05d24, 0x5e2e764168f199cc, 0xec2b0cf6e3963047, 0x7e73b336fc0c4817, 0xcfcde7c4a0c07781,
  0xe0575539794d8cec, 0xef5545a6c59e8754, 0x4b52fcdb0e2e2adf, 0x40d1fc68b13ee1b9, 0x867a615c9fbab31e,
  0xf494b670e271964b, 0x705ce62cd799cc5b, 0x001f21d2762374f2,
};

// m64a_u2x12_uart1_noled_pr_u4
static const uint64_t ur_m64_u2x12_uart1_noled_pr_u4[] = {
  0x76d0d78344861391, 0xdd55ce0b5a44b777, 0x8448bab68cdddddd, 0xf1fe0fbbbb111226, 0x775eb98985f4cd88,
  0x304f8c048260aef2, 0x69f053ff0aecfe95, 0x1c86fe6f6a55ba7f, 0x7cb087ce3d1b3463, 0x1c4903417ea3f407,
  0x1602cb2987ce9292, 0xaf47cecd7c8f5873, 0x348679500ffd9823, 0x0bf634f2703cb3db, 0xc0bf39d99b7e0624,
  0x7667e6f3e250603b, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0xdca5a97e6d871715, 0x66fe0eee3458b900,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e,
  0x689e4e0b9cc59af3, 0x00000003e4e9c956,
};

// m64_u2x12_uart1_noled_pr_ee_u4    m64a_u2x12_uart1_noled_pr_ee      m64a_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0x7755791036225bbb, 0x429bf1fb0cf77777, 0xa730987f75e475eb, 0x9b6268a828dd8336,
  0x8c048260aef27759, 0x5ffe15d9fc09304f, 0xf9bda956e9fda7ca, 0xc738f46cd18c721b, 0xfa8f2b9126ab5a39,
  0x5613fd47c1b30698, 0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0x23c1673ab4b828b8, 0x1aad743af3a6ed6b,
  0x038ec5a621d1871b, 0xc11fadc37b2d97ce, 0x817ec008cf29a546, 0x7817e73b336fc0c4, 0xceccfcde7c4a0c07,
  0x754e0575539794d8, 0xadfef5545a6c59e8, 0x1b94b52fcdb0e2e2, 0xccdfc1ddc68b1720, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3, 0x67316fd252d9c389, 0xcd13c9c17398b35e,
  0x00000000275f2ab2,
};

// m64_u2x12_uart1_noled_pr_ce_u4    m64a_u2x12_uart1_noled_pr_ce      m64a_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart1_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xdd55d0eec9c4b777, 0x5385e33590dddddd, 0x185171ddddf12f23, 0x4eea3329c34ca52d,
  0xe609f180904c15de, 0xb4fb93ffc2bb3f21, 0x8e437f37b52add3f, 0x17eb10e71e8d9a31, 0xace1e78f373b32a3,
  0xfa8f84bf10d8488b, 0x7d64c98b87b1fff9, 0x1eb3d4727a7b9675, 0x580b19135490e248, 0xbd1f3b35f23d61cc,
  0xd219e5403ff6678e, 0x0bf634f2703cb5b8, 0xc0bf39d99b7e0624, 0x7667e6f3e250603b, 0xaa702baa9cbca6c6,
  0x6ff7aaa2d362cf43, 0xb94b52fcdb0e2cc7, 0xcdfc1ddc68b17201, 0xef79430a9cfd4eac, 0x871fc65f989ffde1,
  0x17f81fbff829a3ed, 0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0xd13c9c17398b35e6, 0x00000006ebb087ec,
};

// m64_u2x12_uart1_noled_pr_ee_ce_u4 m64a_u2x12_uart1_noled_pr_ee_ce   m64a_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m64_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8533896eee, 0xda2c33d8e3bbbbbb, 0xb1c7c7f76c7920b8, 0x55f6277efa7725a0,
  0x0120982bbc9dd4e4, 0xff0aecfeed4c13e3, 0xbda956e9fda7cc7f, 0x38f46cd18c721bf9, 0x73bd9d18bf547f3b,
  0x0d8488bace1e78f3, 0xec87495fa8f84bf1, 0x253b5841ef993170, 0x83660d6bfa8f2bea, 0xf62d314c567afa8f,
  0xf4b632e384e1b875, 0xce7576e050752135, 0x6c75e74ddad64782, 0x169887461c6c6abc, 0x470decb65f380e3b,
  0x85999e534a8d8226, 0xce7666df818902fd, 0xf9bcf894180ef02f, 0x0aeaa72f29b19d99, 0xeaa8b4d8b3d0ea9c,
  0xd4bf36c38b31dbfd, 0x07771a2c5c806e52, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x07effe0a68fb61c7,
  0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00004fc1f82b344f,
};

// m64a_u2x12_uart1_noled_ee_hw
static const uint64_t ur_m64_u2x12_uart1_noled_ee_hw[] = {
  0xdb435e0d146851eb, 0xbaabc881b112dddd, 0x14df8fd867bbbbbb, 0x3984c3fbaf23af5a, 0x1994ed2946ec19b5,
  0xf8c048260aef2775, 0x52fffac99fc09304, 0xdfcded4ab74fed3e, 0xce39c7a3668c6390, 0xc7d4795c89355ad1,
  0xe2b09fea3e0d9834, 0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0x591e0b39d5a5c145, 0xd8d56ba1d79d376b,
  0x701c762d310e8c38, 0x3608fd6e1bd96cbe, 0x240bf60046794d2a, 0x3bc0bf39d99b7e06, 0xc67667e6f3e25060,
  0x43aa702baa9cbca6, 0x156ff7aaa2d362cf, 0x08dca5a97e6d8717, 0x7bde50c2a73f53de, 0x61c7f197e627ff78,
  0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27, 0xd14f2705ce62cd79, 0x0000000005bf4117,
};

// m64_u2x12_uart1_noled_ee_ce_u4_hw m64a_u2x12_uart1_noled_ee_ce_hw   m64a_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m64_u2x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d1468bf3e, 0x7557790a6712dddd, 0xb45867b1c7777777, 0x638f8feed8f24171, 0xad1ab59f74ee4b41,
  0xe30120982bbc9dd3, 0x3fffd64cfeed4c13, 0xfcded4ab74fed3e6, 0x9d9c7a3668c6390d, 0xe439dece8c5faa3f,
  0xf10d8488bace1e79, 0x70f787cb5fa8f84b, 0xea253b5841ef9931, 0x8f83660d6bfa8f2b, 0x75f62d314c567afa,
  0x35f4b632e384e1b8, 0x82ce7576e0507521, 0xbc6c75e74ddad647, 0x3b169887461c6c6a, 0x26470decb65f380e,
  0xfd85999e534a8d82, 0x2fce7666df818902, 0x99f9bcf894180ef0, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea,
  0x52d4bf36c38b31db, 0x2861539fa9ef046e, 0xf8cbf313ffbc3def, 0x03f7ff05347db0e3, 0x5c33d30be347a2ff,
  0xdfa4a5b387138cb2, 0x9382e73166bcce62, 0x00000a024c0028a7,
};

// m64_u2x12_uart1_lednop_pr         m64a_u2x12_uart1_lednop           m64a_u2x12_uart1_lednop_pr
static const uint64_t ur_m64_u2x12_uart1_lednop[] = {
  0xeeeda1af0759bb37, 0x77755738297b896e, 0xb3f77a99ac477777, 0xeb460fbbba7833dd, 0x4eec2f5a3c7a09c7,
  0x6609f180904c15de, 0xda7d7cff0a839f9c, 0xc721bf9bda956e9f, 0xdf2c90f38f46cd18, 0x871240cd27a8e4f1,
  0xc580b7ba68c89aa4, 0xebc5cec27d1c829c, 0xfd8561a4dc72c608, 0x02027666df818902, 0xbc7294180ef02fcf,
  0x4dea53929d0199f9, 0xd20bcf43aa703be5, 0x6d80e5156ff7aaa2, 0x34589f70dca5a97e, 0xae4fdd598f2068fe,
  0x387138cb25c33d30, 0x166bcce62dfa4a5b, 0x01cb11ba79382e73, 0x00000000000007c8,
};

// m64a_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_m64_u2x12_uart1_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0aebe25bbb, 0x4a1183e8dbdddddd, 0xa5e6fbbbb111226b, 0x76a2f256a6b0499f,
  0x04f8c048260aef27, 0x3e807fe15d9f09f3, 0x90dfcded4ab74fed, 0x9610f9c7a3668c63, 0x8920682fd47b58ef,
  0xc05965326222d243, 0xe8f9db9e4690ce62, 0xb0d22a01ffb30475, 0x5fb3638981e59ede, 0xe0404eccdbf03120,
  0x378e528301de05f9, 0xa9bd4a7253a0333f, 0x5a4179e8754e077c, 0xcdb01ca2adfef554, 0xc68b17201b94b52f,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xff829a3ed871fc65, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0x7398b35e67316fd2, 0x7c9b1e4ecd13c9c1,
};

// m64_u2x12_uart1_lednop_pr_ee_u4   m64a_u2x12_uart1_lednop_pr_ee     m64a_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x77557910c5f12ddd, 0x616805fb42f77777, 0x93984c3fbaf23af3, 0x387b2e33acd2cfdd,
  0xc602413057793ba5, 0x7bff0aecfefb9827, 0xfcded4ab74fed3ea, 0xe39c7a3668c6390d, 0x7d4795995355ad1c,
  0x2bdbfea3e0d9834c, 0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0xe8c9a39d5a5d005c, 0x8d56ba1d79d37683,
  0x01c762d3c168ded5, 0x608fd6e1bd96cbe7, 0x40bf6004690cf2a3, 0xf3c0809d99b7e062, 0x7e6f1ca50603bc0b,
  0xf9537a94e4a74066, 0xa8b482f3d0ea9c0e, 0x5f9b6039455bfdea, 0xbb8d162e4037296a, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xf7ff05347db0e3f8, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df,
  0x004eb983959a2793,
};

// m64_u2x12_uart1_lednop_pr_ce_u4   m64a_u2x12_uart1_lednop_pr_ce     m64a_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b24225bbb, 0x9b531b7a0cf77777, 0x20998eeeef89792c, 0x3bb939eb50569c6c,
  0x9827c60241305779, 0xd3ee97ff0aecf94b, 0x390dfcded4ab74fe, 0x5fac439c7a3668c6, 0x670f3c79b9d98f8c,
  0xd47c25f886c2445d, 0xd64c98b87dda4dbf, 0xeb3d47e927b96757, 0x02ad7b87490e2481, 0x47cedcf234867316,
  0x8691500ffd99e3af, 0xbf66c71303cb5bb5, 0xc0809d99b7e06240, 0x6f1ca50603bc0bf3, 0x537a94e4a740667e,
  0xb482f3d0ea9c0ef9, 0x36c07231dbfdeaa8, 0x1a2c5c806e52d4bf, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xfe0a68fb61c7f197, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xce62cd799cc5bf49, 0xdd7bc93b344f2705,
};

/*
 * m64_u2x12_uart1_lednop_pr_ee_ce_u4 m64a_u2x12_uart1_lednop_pr_ee_ce
 * m64a_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de4160c4b777, 0x6b8e85edc1dddddd, 0x18e3e3fbb63c90a6, 0xa2f0dceb62465dd9,
  0x80904c15de4eec6a, 0xffc2bb3fa6a609f1, 0x37b52add3fb4fffc, 0x671e8d9a318e437f, 0x6e7635a317ea8fe7,
  0x21b0911759c3cf1e, 0x1c92b2a3f51f097e, 0xd4a76b083df3262e, 0xf06cc1ad7f51e57d, 0xbec5a6298ae44f51,
  0xbe96c65c709c370e, 0xd1ceaedc800ea426, 0x8d8ebce9bb41f464, 0x62d3c168ded58d57, 0xc8e1bd96cbe701c7,
  0xb0b334867951b044, 0x404eccdbf031205f, 0x8e528301de05f9e0, 0xbd4a7253a0333f37, 0x4179e8754e077ca9,
  0x603918edfef5545a, 0x162e4037296a5f9b, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x05347db0e3f8cbf3,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xf12da59a279382e7, 0x0000000000000013,
};

// m64a_u2x12_uart1_lednop_ee_hw
static const uint64_t ur_m64_u2x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a343a31, 0xbaabc8862f896eee, 0x0b402fda17bbbbbb, 0x9cc261fdd791d79b, 0x939eb6b4e6967eec,
  0x7c602413057793bb, 0x53dffd64cfefb982, 0x6fe6f6a55ba7f69f, 0xe71ce3d1b34631c8, 0x63ea3cacca9aad68,
  0xf15edff51f06cc1a, 0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x1f464d1cead2e802, 0xac6ab5d0ebce9bb4,
  0x380e3b169e0b46f6, 0x1b047eb70decb65f, 0x1205fb0023486795, 0x5f9e0404eccdbf03, 0x33f378e528301de0,
  0x77ca9bd4a7253a03, 0x5545a4179e8754e0, 0x52fcdb01ca2adfef, 0x854e7ea7bc11b94b, 0x2fcc4ffef0f7bca1,
  0xdffc14d1f6c38fe3, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x0b9cc59af3398b7e, 0x000b7d822fa29e4e,
};

/*
 * m64_u2x12_uart1_lednop_ee_ce_u4_hw m64a_u2x12_uart1_lednop_ee_ce_hw
 * m64a_u2x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d14684aa4, 0x755779058312dddd, 0xae3a17b707777777, 0x638f8feed8f24299, 0xd75dea7d89197764,
  0x8c048260aef2777e, 0xf3ffac99fd35304f, 0xfcded4ab74fed3ff, 0x9d9c7a3668c6390d, 0xe439d8d68c5faa3f,
  0xf10d8488bace1e79, 0x70ecf9d67fa8f84b, 0xeea53b5841ef9931, 0x8f83660d6bfa8f2b, 0x75f62d314c57227a,
  0x35f4b632e384e1b8, 0x268e7576e4007521, 0xbc6c75e74dda0fa3, 0x3b169e0b46f6ac6a, 0x26470decb65f380e,
  0xfd8599a433ca8d82, 0x02027666df818902, 0xbc7294180ef02fcf, 0x4dea53929d0199f9, 0xd20bcf43aa703be5,
  0xdb01c8c76ff7aaa2, 0x7ea7bc11b94b52fc, 0x4ffef0f7bca1854e, 0x14d1f6c38fe32fcc, 0x2f8d1e8bfc0fdffc,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x0438bea29e4e0b9c, 0x0000000000000014,
};

/*
 * m64_u2x12_uart1_dual_pr           m64_u2x12_uart1_dual_pr_u4        m64a_u2x12_uart1_dual
 * m64a_u2x12_uart1_dual_pr          m64a_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m64_u2x12_uart1_dual[] = {
  0xeeef07ddf4486e7c, 0xbbbbab17169d7e6e, 0x528375c1d1edbbbb, 0x4028c8eeeebd734a, 0xbbab8da0843c8941,
  0xf8c048260aef24fd, 0xec99182a90c87304, 0x1850c9f6916b3eeb, 0xf328094ee9f72f88, 0x76c2439c0bacc50f,
  0x12092065166f51fe, 0x86257f9fbe08a149, 0xe99ce9f13eb87c28, 0x10cb417c4432ace5, 0xf7ff4073c267be2a,
  0x60b0ab3317397b75, 0xba7f69f913fe6dd6, 0x34631c86fe6f6a55, 0xe323be589ece3d1b, 0x16921c49036bef51,
  0x39cc580bac534dd9, 0x0475e0353b7408c4, 0x7b627d05aa01ffb3, 0x8e665663641e0796, 0xbf031205fb27f33e,
  0x1de05f9e0404eccd, 0x3a0333f378e52830, 0x54e077ca9bd4a725, 0xdfef5545a4179e87, 0xb94b52fcdb01ca2a,
  0xcdfc1ddc68b17201, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0x17f81fbff829a3ed, 0x6592e19e985f1a3d,
  0x7316fd252d9c389c, 0xd13c9c17398b35e6, 0x0000000524f596ac,
};

// m64_u2x12_uart1_dual_pr_ee_u4     m64a_u2x12_uart1_dual_pr_ee       m64a_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m64_u2x12_uart1_dual_pr_ee[] = {
  0xbbbc1f77d121a5fb, 0xeeeeac823addf9bb, 0xeec5ce76a27eeeee, 0xfa17ae3dd666d3b7, 0x2cd93661451fb9cc,
  0x260aef26273b9462, 0xaa470ff304f8c048, 0xda45acfbafb26460, 0x3ba7dcbe20614327, 0xc136e69dbfcca025,
  0x5a9bd4719bd86ed1, 0xef82285244824818, 0x4fae1f0a21895fe7, 0xd10cab397a6712a0, 0xc26727150865a070,
  0x17397b74b5ff4073, 0xebfe6dd660b0ab33, 0xfcded4ab74fed3f6, 0x9f9c7a3668c6390d, 0xf51e5701a6ab5a30,
  0x56fe7a8f83660e6e, 0x84e1b875f62d377c, 0x4fcd2135f4b632e3, 0x46229cead2f222e0, 0xd56ba1d7b19bb2d7,
  0x0e3b169f488ebfd8, 0x08fd6e1bd977bb38, 0x995980482c7daa36, 0x0c4817ec9fccfa39, 0x817e781013b336fc,
  0x0ccfcde394a0c077, 0x81df2a6f529c94e8, 0xbd5516905e7a1d53, 0x2d4bf36c0728ab7f, 0xf07771a2c5c806e5,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0xe07effe0a68fb61c, 0x4b867a617c68f45f, 0x5bf494b670e27196,
  0xf2705ce62cd799cc, 0x0000001590b3b344,
};

// m64_u2x12_uart1_dual_pr_ce_u4     m64a_u2x12_uart1_dual_pr_ce       m64a_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m64_u2x12_uart1_dual_pr_ce[] = {
  0x77783eefa2435032, 0xbbbab63b4fbbf377, 0xf0431edb45fbbbbb, 0x7decadddd466ccd9, 0xebd9c126bbc16fde,
  0x0120982bbc9976ee, 0x9182a90aebcc13e3, 0x0c9f6916b3eebec9, 0x8094ee9f72f88185, 0x43e70e9f9ac7ff32,
  0x2071ca6f51fabf61, 0x7f9fbe08a1491209, 0x35b13eb87c288625, 0x81454432ace5e99c, 0x01cf098c7c542196,
  0xaccc5ce5edf677fd, 0x4f943ff9b75982c2, 0xe437f37b52add3fb, 0x7ea0a671e8d9a318, 0x9c3cf1e6e7651631,
  0x51f097e21b091175, 0x4fcc98b877f9883f, 0x3fea3c1f9ee59d5c, 0x2e4837e921c49031, 0xd4edd02310e73160,
  0x16a807feccf1d780, 0x63641e0796b709f4, 0x05fb27f33e8e6656, 0x9e0404eccdbf0312, 0xf378e528301de05f,
  0xca9bd4a7253a0333, 0x45a4179e8754e077, 0xf9b603918edfef55, 0xb8d162e4037296a5, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0x7ff05347db0e3f8c, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x2e73166bcce62dfa,
  0x034936bdd9a27938,
};

// m64a_u2x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m64_u2x12_uart1_dual_pr_ee_ce[] = {
  0xeef07ddfa8286f97, 0x777562e3b377e6ee, 0xd13f7ef5c2f77777, 0xe2b770774ed24cee, 0xbad8215661f210dc,
  0x982bbc969cee9646, 0xa90ba2cc13e30120, 0x6916b3eebec99182, 0xee9f72f881850c9f, 0x0fd798d6ff328094,
  0x5b9bd47801b01487, 0xdf0450a48904903b, 0x9f5c3e144312bfcf, 0x4432ace5e99c3008, 0x09b2b454219686ce,
  0xb9cbdbcedffd01cf, 0xfff36eb305855998, 0xcded4ab74fed3fd3, 0xb9c7a3668c6390df, 0xf373bd3763faa328,
  0x673ac3f59b21fe78, 0x79598f94ed6055f2, 0xf7ea3e0d983c93d4, 0x0dc3afb1698a62b8, 0xa909afa5b1971c27,
  0x5d188a73abb74883, 0xc6abc6c75ec66ecb, 0xc071d8b4fa4475fe, 0xd8226470decbbdd9, 0xe6656659a0b1f6a8,
  0xf031205fb27f33e8, 0xde05f9e0404eccdb, 0xa0333f378e528301, 0x4e077ca9bd4a7253, 0xfef5545a4179e875,
  0x296a5f9b603918ed, 0xf83bb8d162a2c837, 0xd2861539fa9d599b, 0xc9fbe09a3ed87138, 0x0e271964b867a615,
  0xcd799cc5bf494b67, 0x7d7b344f2705ce62, 0x0000000000004002,
};

// m64a_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m64_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150fe8f43, 0xdd59e9e44df9bbbb, 0x9b44fdb04ddddddd, 0xd70ddba9c93edc2c, 0x90e69d5f5c7e577b,
  0xbc99c4ee127fa6b3, 0x49cc13e30120982b, 0x67dd7d932305520e, 0xe5f1030a193ed22d, 0x6b91fccac049dd3e,
  0x8fcb5b066f9c12a2, 0x1491209207d8337a, 0xc2886257f9fbe08a, 0x397a67029113eb87, 0x150865a016910cab,
  0xf8ddff4073c26383, 0x24c16156662e72f6, 0xb74fed3f3b7fe88b, 0x668c6390dfcded4a, 0xf8c5faa32979c7a3,
  0x2eb3879e7c033ba1, 0xffea3e12fc436122, 0x20be4c98b87524e6, 0x927a8f2b31f29dac, 0x4c571efd47c1b307,
  0xe384e1b875f62d31, 0xe910752135f4b632, 0xcdd96ba3114e7576, 0x8ebfd8d578d8ebd8, 0x77bb380e3b169f48,
  0x3ed51b044c8e1bd9, 0xe67d1cccaccb3416, 0xd99b7e06240bf64f, 0x50603bc0bf3c0809, 0x4e4a740667e6f1ca,
  0x3d0ea9c0ef9537a9, 0x231dbfdeaa8b482f, 0xc806e52d4bf36c07, 0xd599bf8347f1a2c5, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x2aa9279382e73166,
  0x000000000400719a,
};

// m64a_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m64_u2x12_uart1_dual_ee_hw[] = {
  0xdde0fbbe8a345032, 0x77756411d6efcddd, 0x762e73b513f77777, 0xd0bd71eeb3369dbf, 0xd9c16bc128fdce67,
  0x20982bbc989ceeeb, 0x82a91c3fcc13e301, 0x9f6916b3eebec991, 0x0cee9f72f881850c, 0x4704db9a76ff32ba,
  0x616a6f51c66f61bb, 0x9fbe08a149120920, 0x813eb87c2886257f, 0xc34432ace5e99c4a, 0xcf099c9c54219681,
  0xcc5ce5edd2d7fd01, 0xedd7f9d5b982c2ac, 0x1bf9bda956e9fda7, 0x613f38f46cd18c72, 0xddea3cae034d56b4,
  0xf8adfcf51f06cc1c, 0xc709c370ebec5a6e, 0xc09f9a426be96c65, 0xae8c4539d5a5e445, 0xb1aad743af633765,
  0x701c762d3e911d7f, 0x6c11fadc37b2ef76, 0x7332b3009058fb54, 0xf818902fd93f99f4, 0xef02fcf02027666d,
  0xd0199f9bc7294180, 0xa703be54dea53929, 0xff7aaa2d20bcf43a, 0xca5a97e6d80e5156, 0xe50c2a73f53de08d,
  0x7f197e627ff787bd, 0xe07effe0a68fb61c, 0x4b867a617c68f45f, 0x5bf494b670e27196, 0xf2705ce62cd799cc,
  0x000015dad4918d14,
};

// m64_u2x12_uart1_dual_ee_ce_u4_hw  m64a_u2x12_uart1_dual_ee_ce_hw    m64a_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m64_u2x12_uart1_dual_ee_ce_hw[] = {
  0x7783eefa28d0d4d6, 0xbbab3d3c89bf3777, 0x93689fb609bbbbbb, 0x7ae1bb753927db85, 0xfedaf3abeb8fcaef,
  0x3057793389dc674d, 0xa41c939827c60241, 0xa45acfbafb26460a, 0xba7dcbe20614327d, 0x12a26b91fccae833,
  0x337a8fcb5b066f9c, 0xe08a1491209207d8, 0xeb87c2886257f9fb, 0x0cab397a67029113, 0x6383150865a01691,
  0x72f6f8ddff4073c2, 0xfceadcc16156662e, 0xbda956e9fda7e76f, 0x38f46cd18c721bf9, 0xe7743f18bf54652f,
  0x361222eb3879e790, 0xdc89257ea3e12fc4, 0x94ed6105f264c5c3, 0x0d983c93d479598f, 0xb1698a62b8f7ea3e,
  0xa5b1971c270dc3af, 0x73abb74883a909af, 0xc75ec66ecb5d188a, 0xb4fa4475fec6abc6, 0x70decbbdd9c071d8,
  0x59a0b1f6a8d82264, 0x5fb27f33e8e66566, 0xe0404eccdbf03120, 0x378e528301de05f9, 0xa9bd4a7253a0333f,
  0x5a4179e8754e077c, 0x9b603918edfef554, 0xcfd4f78237296a5f, 0x89ffde1ef79430a9, 0x829a3ed871fc65f9,
  0x85f1a3d17f81fbff, 0xd9c389c6592e19e9, 0x98b35e67316fd252, 0x5d434f9453c9c173, 0x0000000000000007,
};

// m64a_swio10_noled
static const uint64_t ur_m64_swio10_noled[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a31189, 0x9d8037438a38c611, 0x17f43bd0435cbdf8, 0x3568db63122eec44,
  0x48260aef27773124, 0x8541cfc89304f8c0, 0xc4ef9626bc29a57f, 0xd2438920621fd474, 0x8e62c05bdd369510,
  0x608ebc5cedbda327, 0x2e556a562cfdc72c, 0x46ba4091cf8e2daf, 0xaed52df5673a8a95, 0x552fbd7d0bad359c,
  0xd73daad115e52eb2, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x6d8ad5156ff7aaa2, 0x4fdf3c98dca5a97e,
  0x7138cb25c33d30ae, 0x6bcce62dfa4a5b38, 0xe311ba79382e7316, 0x0000000000001522,
};

// m64_swio10_noled_pr_u4            m64a_swio10_noled_pr              m64a_swio10_noled_pr_u4
static const uint64_t ur_m64_swio10_noled_pr[] = {
  0x8e3dddddda243762, 0xf05ddaab9141b712, 0x2ec2fdd530389b04, 0x1e82cd6f0b18ebd2, 0x85c1f1e5c7c5eec7,
  0x4c15de4eefd38364, 0xbb3f1ee609f18090, 0xdf2c22f853baffc2, 0x43892064f7a8f371, 0x62c0596537740a52,
  0x3af47cec3e23b58e, 0xdf40b3d500ffd982, 0x972ab5104a81e59e, 0xa35d2048e7c716d7, 0x576a96fab39d454a,
  0x2a97debe85d69ace, 0xeb9ed5688af29759, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36c56a8ab7fbd551,
  0x1a2c5c806e52d4bf, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfe0a68fb61c7f197, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0xce62cd799cc5bf49, 0xf27538bb344f2705, 0x0000000000000001,
};

// m64_swio10_noled_pr_ee_u4         m64a_swio10_noled_pr_ee           m64a_swio10_noled_pr_ee_u4
static const uint64_t ur_m64_swio10_noled_pr_ee[] = {
  0x35f777776890c044, 0x93776aafc2f42e24, 0x4deb45dd2e2339b9, 0x6bd686d7a58678bd, 0x9d51682b2020da08,
  0x57793ba029262c13, 0xf8d69827c6024130, 0x71efc29a6fff0aec, 0xebea3cace1cd56b4, 0xf15c87f51f06cc19,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0xe28e2139d5a5ea52, 0x6c6ab5d0ebce9bb4, 0x9c071d8b4d6ba311,
  0x8d823f5b86f65b2f, 0xf2e556a012cfafea, 0x546ba4091cf8e2da, 0xcaed52df5673a8a9, 0x2552fbd7d0bad359,
  0x5d73daad115e52eb, 0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xe6d8ad5156ff7aaa, 0xe3458b900dca5a97,
  0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xffc14d1f6c38fe32, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0xb9cc59af3398b7e9, 0x13af998b6689e4e0,
};

// m64_swio10_noled_pr_ce_u4         m64a_swio10_noled_pr_ce           m64a_swio10_noled_pr_ce_u4
static const uint64_t ur_m64_swio10_noled_pr_ce[] = {
  0x22eeeeeed121be4a, 0x6776aafd60819c49, 0xf469eeb11f177e3f, 0x79ba1c2f6c81210b, 0xa3da199bb7a7ba91,
  0x60aef2774dd1da34, 0xd9f95d304f8c0482, 0x7ebd4785182ffe15, 0x9c3cf1e6e7650e31, 0x51f097e21b091175,
  0x593262e1fb06f0ff, 0x0bf51f249ee59d5f, 0x1427af9490e2481e, 0x1f3b0f88ed6398b0, 0x2cf5403ff6678ebd,
  0xab5104a81e5addd0, 0xd2048e7c716d7972, 0xa96fab39d454aa35, 0x7debe85d69ace576, 0xed5688af297592a9,
  0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0xad463b7fbd551698, 0x8b900dca5a97e6d8, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2, 0x59af3398b7e9296c,
  0xc7136689e4e0b9cc, 0x000000000000375c,
};

// m64_swio10_noled_pr_ee_ce_u4      m64a_swio10_noled_pr_ee_ce        m64a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m64_swio10_noled_pr_ee_ce[] = {
  0x9bdddddda2436812, 0x1bbb557382dc1892, 0x5db13ba6ed90cc6a, 0x764f6da091c560b4, 0xc9c8ecc491073753,
  0xf27773ed00b4e44f, 0x77304f8c048260ae, 0xef0a3fcffc2bb3ed, 0xcdcef4d462fd51ca, 0xc4361222eb3879e3,
  0x39b76148fea3e12f, 0x594ed6107be64c5c, 0xe0d983403d4795ba, 0xfb1698a62bf9dea3, 0xfa5b1971c270dc3a,
  0x4e7576ea943a909a, 0x363af3a6ed38a388, 0xc5a6b5d188b6355e, 0x91c37b2d97ce038e, 0xa966b3ebfaa36089,
  0x02473e38b6bcb955, 0xb7d59cea2a551ae9, 0xf5f42eb4d672bb54, 0xab445794bac954be, 0x53c34ef1dfd75cf6,
  0x9e8754e041dd4d8a, 0xa31dbfdeaa8b4c32, 0xc806e52d4bf36c56, 0x3ab337f07771a2c5, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c, 0xd799cc5bf494b670, 0xa8b344f2705ce62c,
  0x0000000000027e1e,
};

// m64a_swio10_noled_ee_hw
static const uint64_t ur_m64_swio10_noled_ee_hw[] = {
  0xafbbbbbb451a3e4a, 0x9bbb557e17a17121, 0x6f5a2ee97119cdcc, 0x5eb436bd2c33c5ea, 0x6a8b41590106d043,
  0x057793ba6e8ed68f, 0xcf8d69827c602413, 0xa38f7e14d37ffd64, 0xcf5f51e5670e6ab5, 0xef8ae43fa8f83660,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0xa7147109cead2f52, 0x8b6355ae875e74dd, 0x7ce038ec5a6b5d18,
  0x546c11fadc37b2d9, 0xd7972ab500967d7f, 0x4aa35d2048e7c716, 0xce576a96fab39d45, 0x592a97debe85d69a,
  0xfaeb9ed5688af297, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0xbf36c56a8ab7fbd5, 0x539fa9ef046e52d4,
  0xf313ffbc3def2861, 0xff05347db0e3f8cb, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4,
  0x02dfd566e8a79382,
};

// m64_swio10_noled_ee_ce_u4_hw      m64a_swio10_noled_ee_ce_hw        m64a_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m64_swio10_noled_ee_ce_hw[] = {
  0xdeeeeeed14683d5b, 0xdddaab9c16e0c494, 0xed89dd376c866350, 0xb27b6d048e2b05a2, 0x4e4766248839ba9b,
  0xef2774b50ebed17e, 0xd77304f8c048260a, 0x577851fe7ff5933e, 0x790e77a6a317ea8e, 0xfc4361222eb3879e,
  0x70e601ba1fea3e12, 0xe9653b5841ef9931, 0x8f83660d00f51e56, 0xebec5a6298afe77a, 0x6be96c65c709c370,
  0x2139d5dbaa50ea42, 0x78d8ebce9bb4e28e, 0x3b169ad74622d8d5, 0x26470decb65f380e, 0x56a59acfafea8d82,
  0xa4091cf8e2daf2e5, 0x52df5673a8a9546b, 0xfbd7d0bad359caed, 0xdaad115e52eb2552, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0x5a8c76ff7aaa2d30, 0x7bc11b94b52fcdb1, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8, 0xaf3398b7e9296ce1, 0x164a29e4e0b9cc59, 0x0000000000028089,
};

// m64a_swio10_lednop
static const uint64_t ur_m64_swio10_lednop[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab914f1712, 0x7a36f750e2448c22, 0x882fe877a0b5e432, 0x569204cfd28d7dd8,
  0x120982bbc9ddf1f8, 0xe15073efe4c13e30, 0xe43be589af0a195f, 0xf490e2481887f51f, 0x0398b016f74c803d,
  0x1823af173b5ac8fa, 0xe5caad4ace7b71cb, 0xa8d7481239f1c5b5, 0x95daa5beace75152, 0x74bfa175a6b81013,
  0xb55a22bca5d64ab5, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xf36d3d0ea9c0d8ff, 0x727ef9e4c6e52d4b,
  0xc389c6592e19e985, 0xb35e67316fd252d9, 0x2dd88dd3c9c17398, 0x00000000000000a9,
};

// m64_swio10_lednop_pr_u4           m64a_swio10_lednop_pr             m64a_swio10_lednop_pr_u4
static const uint64_t ur_m64_swio10_lednop_pr[] = {
  0xc7bbbbbb4486c056, 0x0bbb55722950e251, 0x6b53ddd590e3609e, 0xf4166b7858db1942, 0x113817e63c7f7638,
  0x3057793bbe451db2, 0xecfc069827c60241, 0xf96117c281efff0a, 0x1c490327bd479c4e, 0x2c05965307b40292,
  0x5e8f9d9314707ce6, 0xdadd02a01ffb3047, 0x5caad508981e59ed, 0x8d7481239f1c5b5e, 0x5daa5beace75152a,
  0x4bfa175a6b810139, 0x55a22bca5d64ab57, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7,
  0x00dca5a97e6db086, 0x5666fe0eee3458b9, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0x1e8bfc0fdffc14d1,
  0x4e32c970cf4c2f8d, 0xf3398b7e9296ce1c, 0x16689e4e0b9cc59a, 0x0000000003e4c4cd,
};

// m64_swio10_lednop_pr_ee_u4        m64a_swio10_lednop_pr_ee          m64a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m64_swio10_lednop_pr_ee[] = {
  0x35f777776890d2a8, 0xc9bbb557e1708224, 0xa3571eef8fdb7cdc, 0xaf5a1b5e9685c335, 0xa23f644198836821,
  0xbbc9dd3b410e3896, 0xf57cc13e30120982, 0x1efc291cbff0aecf, 0xbea3caca1cd56b47, 0x1594bf51f06cc19e,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0xa8d7c39d5a5dc9ae, 0xc6ab5d0ebce9bb1e, 0xc071d8b4e214637e,
  0xd823f5b86f65b2f9, 0x972ab500ba059ea8, 0xa35d2048e7c716d7, 0x576a96fab39d454a, 0xd2fe85d69ae0404e,
  0xd5688af297592ad5, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9, 0x4037296a5f9b6c21,
  0xd599bf83bb8d162e, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3,
  0xbcce62dfa4a5b387, 0x9d9a279382e73166, 0x00000000004ebfe6,
};

// m64_swio10_lednop_pr_ce_u4        m64a_swio10_lednop_pr_ce          m64a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m64_swio10_lednop_pr_ce[] = {
  0x22eeeeeed121af43, 0x6776aafd608fdc49, 0x4f682ee8c1af7e3f, 0x2f374385ec19b20d, 0x1338a85b4bc2b752,
  0x260aef2775d92be3, 0x5d9fd37304f8c048, 0x17ebd478532b7fe1, 0x59c3cf1e6e778123, 0xf51f097e21b09117,
  0xf593262e1e6199f3, 0xe0bf51c149ee59d5, 0x02edf97d490e2481, 0x47cec98a383e7316, 0x6e81500ffd99e3af,
  0x955aa11303cb5bad, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x7f42eb4d7020272b, 0xb445794bac956ae9,
  0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x37296a5f9b6c2131, 0x99bf83bb8d162e40,
  0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0xa2ff03f7ff05347d, 0x8cb25c33d30be347, 0xce62dfa4a5b38713,
  0x9a279382e73166bc, 0x000000006eb98225,
};

// m64_swio10_lednop_pr_ee_ce_u4     m64a_swio10_lednop_pr_ee_ce       m64a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_swio10_lednop_pr_ee_ce[] = {
  0x9bdddddda243704a, 0x1bbb557382c4e892, 0x7a1bb761995bcc6a, 0xec9edb412e0c715c, 0x02cc8f25220e6ea6,
  0xf277475d35db1777, 0x49304f8c048260ae, 0xef0a56fffe15d9f1, 0x9b9ddadc62fd51ca, 0x886c2445d670f3c7,
  0x7575c617fd47c25f, 0xb29dac20f7cc98b8, 0xc1b306807a8f2b2e, 0xf62d314c5670fd47, 0xf4b632e384e1b875,
  0x1ceaedce4c752135, 0x6c75e74dd8f546be, 0x8b4e214637ec6abc, 0x2386f65b2f9c071d, 0xa967d02cf546c113,
  0x02473e38b6bcb955, 0xb7d59cea2a551ae9, 0x2eb4d7020272bb54, 0x5794bac956ae97f4, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x96a5f9b6c2131dbf, 0xf83bb8d162e40372, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xf03f7ff05347db0e, 0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6,
  0x0000013f026b59a2,
};

// m64a_swio10_lednop_ee_hw
static const uint64_t ur_m64_swio10_lednop_ee_hw[] = {
  0xafbbbbbb451a2f43, 0x4dddaabf0b841121, 0x1ab8f77c7edbe6e6, 0x7ad0daf4b42e19ad, 0x11fb220cc41b410d,
  0x2bbc9dd764afb671, 0xff57cc13e3012098, 0x38f7e148e5ffd64c, 0xf5f51e5650e6ab5a, 0xf8aca5fa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0xf546be1cead2ee4d, 0xf6355ae875e74dd8, 0xce038ec5a710a31b,
  0x46c11fadc37b2d97, 0xbcb955a805d02cf5, 0x551ae902473e38b6, 0x72bb54b7d59cea2a, 0xae97f42eb4d70202,
  0xf6ab445794bac956, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x0c55bfdeaa8b48ed, 0xbc11b94b52fcdb61,
  0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d, 0xf3398b7e9296ce1c,
  0x4aa29e4e0b9cc59a, 0x000000000005bfd0,
};

// m64_swio10_lednop_ee_ce_u4_hw     m64a_swio10_lednop_ee_ce_hw       m64a_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_swio10_lednop_ee_ce_hw[] = {
  0xdeeeeeed1468cc7f, 0xdddaab9c16274494, 0xd0ddbb0ccade6350, 0x64f6da0970638ae3, 0x1664792910737537,
  0x5de4ee962ad6dce8, 0xe292609f180904c1, 0xcaef0a56ffff5933, 0x9e439ddadc62fd51, 0xbf10d8488bace1e7,
  0x5c3f758001fa8f84, 0x97594ed6107be64c, 0xa3e0d983403d4795, 0x3afb1698a62b387e, 0x9afa5b1971c270dc,
  0x5f0e7576e7263a90, 0x5e363af3a6ec7aa3, 0x8ec5a710a31bf635, 0x8991c37b2d97ce03, 0xaad4b3e8167aa360,
  0x7481239f1c5b5e5c, 0xaa5beace75152a8d, 0xfa175a6b8101395d, 0xa22bca5d64ab574b, 0xce80f37b6bae7b55,
  0xd5381085482e52d7, 0xdfef5545a476e7a1, 0xb94b52fcdb61098e, 0xbca1854e7ea7bc11, 0x8fe32fcc4ffef0f7,
  0xfc0fdffc14d1f6c3, 0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000000280becc5a2,
};

/*
 * m64_swio10_dual_pr                m64_swio10_dual_pr_u4             m64a_swio10_dual
 * m64a_swio10_dual_pr               m64a_swio10_dual_pr_u4
 */
static const uint64_t ur_m64_swio10_dual[] = {
  0x17777776890d365a, 0xd83eeadc7e715f8d, 0xa10f7638f916967e, 0x912b7f4c7b3620dd, 0xab9ced94f5b75a2d,
  0x4920eef7199b2aff, 0x6609f180904c15de, 0xfbafb26460aa4022, 0xbe20614327da45ac, 0x7eefcca0253ba7dc,
  0x4731fb080c70a953, 0x8524482481edf9bd, 0xf0a21895fe7ef822, 0xb397a67276c4fae1, 0x68a8432d08c910ca,
  0xedce1ffd01cf09ad, 0xb75982c2accc5ce5, 0x77cb645f0a2fbff9, 0x21c4903b5bd4709e, 0xc580bac532fb9129,
  0x5e0353b4dc8d6b9c, 0xc65bdaa01ffb3047, 0x332b33ea881e59ed, 0xdaf2e556b3f99f47, 0xa9546ba4091cf8e2,
  0x09caed52df5673a8, 0x5aba5fd0bad35c08, 0x73daad115e52eb25, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41,
  0x843156ff7aaa2d23, 0xc5c806e52d4bf36d, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0xa68fb61c7f197e62,
  0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0xad6ab344f2705ce6, 0x0000000000000a49,
};

// m64a_swio10_dual_pr_ee
static const uint64_t ur_m64_swio10_dual_pr_ee[] = {
  0xd96eeeee87ad0c86, 0x3983eead63fbbbf1, 0x7d26f77ed1da3231, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x05dcf04674338a75, 0x27c602413057792b, 0x7d93230552138f98, 0x030a193ed22d67dd, 0xfe650129dd3ee5f1,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xe99c52413eb87c28, 0x219682fb4432ace5,
  0x47fd01cf0983dc54, 0x82c2accc5ce5edc3, 0xd4af0a25aff9b759, 0xffa8f2b95d355ad1, 0x8af2b7a8f83660f6,
  0x709c370ebec5a6ef, 0x09f9a426be96c65c, 0xd1a0073ab4b9c35c, 0x355ae875ec66edb7, 0x01c762d30511bdf6,
  0xc11fadc37b2ef767, 0x99959805bddc3546, 0x6d7972ab59fccfa3, 0x54aa35d2048e7c71, 0x04e576a96fab39d4,
  0xad5d2fe85d69ae04, 0xb9ed5688af297592, 0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0xc218ab7fbd551691,
  0x6502437296a5f9b6, 0xa75666fe0eee3459, 0x65f989fca1854e7e, 0xe7bf619a3ed87b9c, 0x1964b867a615c9f8,
  0x9cc5bf494b670e27, 0x344f2705ce62cd79, 0x000000000ac8f5bb,
};

// m64a_swio10_dual_pr_ee_u4
static const uint64_t ur_m64_swio10_dual_pr_ee_u4[] = {
  0x06edddddda2432db, 0x36c1f756b1fbf77e, 0xab42dba3dac32338, 0x1b999f4e765b62f1, 0x5d500d57d178ca16,
  0x2625dc3c330a61f3, 0x9827c60241305779, 0xdd7d93230552138f, 0xf1030a193ed22d67, 0x57fe650129dd3ee5,
  0x7d9db08e47038337, 0x524482481cae9bd4, 0x0a21895fe7ef8228, 0x397a67190c4fae1f, 0x150865a11ed10cab,
  0xb868ffa039e13489, 0xeb305855998b9cbd, 0x5a331fe144b5ff36, 0x0fa8f51e5650e6ab, 0x6ef8add2fa8f8366,
  0x65c709c370ebec5a, 0xa5c0719a426be96c, 0xd2f91af873ab4bd4, 0xbf6355ae875e534e, 0x4ce038ec5a63e231,
  0xcd71d07d6e1bd96e, 0xb955acfe67d1ccca, 0x1ae902473e38b6bc, 0xbb54b7d59cea2a55, 0x97f42eb4d7020272,
  0xab445794bac956ae, 0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x6da7a1d5381b1fe2, 0x3458b900dca5a97e,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfc14d1f6c38fe32f, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf,
  0x9cc59af3398b7e92, 0x15902176689e4e0b,
};

// m64_swio10_dual_pr_ce_u4          m64a_swio10_dual_pr_ce            m64a_swio10_dual_pr_ce_u4
static const uint64_t ur_m64_swio10_dual_pr_ce[] = {
  0xb13bbbbbb4486f97, 0xbb60fbab40173afc, 0x3d4d7dd6c4ec848c, 0x323e44dd51795784, 0x56227a8ff5deed89,
  0x49a5774b235d41f1, 0xa609f180904c15de, 0xf75f64c8c15488fb, 0x7c40c2864fb48b59, 0x1adf99404a774fb9,
  0x8fbef61a6ce115a6, 0x0a4890490353d37a, 0xe144312bfcfdf045, 0x672f4ce5c889f5c3, 0x62a10cb436fa2195,
  0xb70b5ff4073c263d, 0xdd660b0ab3317397, 0x8bf532bc29b3bfe6, 0xace1e78f373bd371, 0xfa8f84bf10d8488b,
  0x89f993170e951723, 0xf49ea39eb3dcb3ab, 0x80afe751490e2481, 0x0353b4dc8d6b9cc5, 0x5bdaa01ffb33c75e,
  0xcaccfaa20796b746, 0xbcb955acfe67d1cc, 0x551ae902473e38b6, 0x72bb54b7d59cea2a, 0xae97f42eb4d70202,
  0xf6ab445794bac956, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x131dbfdeaa8b48ed, 0xe4037296a5f9b6c2,
  0x9d599bf83bb8d162, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0x347a2ff03f7ff053, 0x7138cb25c33d30be,
  0x6bcce62dfa4a5b38, 0x4f59a279382e7316, 0x0000000000006927,
};

// m64a_swio10_dual_pr_ee_ce
static const uint64_t ur_m64_swio10_dual_pr_ee_ce[] = {
  0x3ed6eeeeeea1a5fb, 0x4e60fbab71fc89bf, 0xfb609bb62f1a8053, 0x9c45393938593689, 0xd71f95def4e99fda,
  0xb94622cdb90cc297, 0x8c048260aef26c4b, 0x4c8c15483927304f, 0x2864fb48b59f75f6, 0x9404a774fb97c40c,
  0x61a68e0ff26c41f9, 0x0920763f37a8e1a3, 0x257f9fbe08a14912, 0x7029113eb87c2886, 0x5a050d10cab397a6,
  0xf4073c2674b15086, 0x156662e72f6f8ddf, 0xf0a4edffcdbacc16, 0x373b4dbb1fd51b05, 0xe7587ca8683fe78f,
  0x2bc0929dac0abe4c, 0xbd47c1b307227a8f, 0xb875f62d314c56a7, 0x2135f4b632e384e1, 0x46801ceaedc70c75,
  0xaaf1b1d7b19bb6df, 0x0e3b1698288defb1, 0x044c8e1bd977bb38, 0x6656659ef770d51b, 0xb5e5caad67f33e8e,
  0x52a8d7481239f1c5, 0x1395daa5beace751, 0xb574bfa175a6b810, 0xe7b55a22bca5d64a, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x1098edfef5545a47, 0x13ee1b94b52fcdb6, 0x7eeaccdfc1ddc68b, 0x89c6592e19e98572,
  0x5e67316fd252d9c3, 0x72cd13c9c17398b3, 0x000000000002609a,
};

// m64a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m64_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150ffac4f, 0x1f7562e3f57bf0b1, 0x1eed578ebeca9c4c, 0x6b3eec106709bd72, 0x768256ee096267c7,
  0x8396b2bfb42e2caf, 0x3057792d39dc1f5f, 0x90f1eb9827c60241, 0x916b3eebec99182a, 0xe9f72f881850c9f6,
  0xfaf31adfe656024e, 0x737a8f00360290e1, 0xe08a14912092076b, 0xeb87c2886257f9fb, 0x0cab397a6719eb13,
  0x6cad150865a1b391, 0x72f6fd67ff4073c2, 0xe88b24c16156662e, 0x8bf54715bc298ddf, 0x670f3cf8067687d1,
  0xd47c25f886c2445d, 0xf264c5c3ae0b87ff, 0xd4795e0494ed6105, 0xb53dea3e0d983913, 0x270dc3afb1698a62,
  0x63a909afa5b1971c, 0xb6fa3400e7576e38, 0x7d8d578d8ebd8cdd, 0xd9c071d8b4c1446f, 0xa8d8226470decbbd,
  0xf47332b32cf7bb86, 0x8e2daf2e556b3f99, 0x3a8a9546ba4091cf, 0xc0809caed52df567, 0xb255aba5fd0bad35,
  0xb5d73daad115e52e, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x6db084c76ff7aaa2, 0x3458b900dca5a97e,
  0x73f53ab337f068fe, 0x627ff787bde50c2a, 0xe0a68fb61c7f197e, 0x617c68f45fe07eff, 0xb670e271964b867a,
  0xe62cd799cc5bf494, 0x063c9d5524f2705c, 0x0000000000000080,
};

// m64a_swio10_dual_ee_hw
static const uint64_t ur_m64_swio10_dual_ee_hw[] = {
  0xd96eeeeed1468f97, 0x3983eead63fbbbf1, 0x7d26f77ed1da3231, 0x52a0d80a44faafb1, 0x932bbe8bc650b764,
  0x560bba591aeba559, 0x304f8c048260aef2, 0xbafb26460aa4271f, 0xe20614327da45acf, 0x9ffccae833ba7dcb,
  0x9c1d87579c287e6e, 0x92241240f674dea3, 0x510c4aff3f7c1142, 0xcbd338a4827d70f8, 0xa8432d05f6886559,
  0x868ffa039e1307b8, 0x7305855998b9cbdb, 0xd1d4af0a25aff3ab, 0xf6ffa8f2b95d355a, 0xef8af2b7a8f83660,
  0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0xb7d1a0073ab4b9c3, 0xf6355ae875ec66ed, 0x6701c762d30511bd,
  0x46c11fadc37b2ef7, 0xa399959805bddc35, 0x716d7972ab59fccf, 0xd454aa35d2048e7c, 0x0404e576a96fab39,
  0x92ad5d2fe85d69ae, 0xaeb9ed5688af2975, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb6c218ab7fbd5516,
  0xfd4f78237296a5f9, 0x9ffde1ef79430a9c, 0x29a3ed871fc65f98, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98,
  0x8b35e67316fd252d, 0xd6cf27453c9c1739, 0x00000000000000ae,
};

// m64_swio10_dual_ee_ce_u4_hw       m64a_swio10_dual_ee_ce_hw         m64a_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m64_swio10_dual_ee_ce_hw[] = {
  0x2dddddda28d0d8be, 0x83eeac5c7eaf7e16, 0x43ddaaf1d7d95389, 0xed67dd820ce137ae, 0xeed04addc12c4cf8,
  0x13f6b56d4e35c595, 0x120982bbc969ceef, 0xc154878f5cc13e30, 0x4fb48b59f75f64c8, 0x06774fb97c40c286,
  0x4387ebcc6b7f995d, 0x1dadcdea3c00d80a, 0xe7ef822852448248, 0xac4fae1f0a21895f, 0xce4432ace5e99c67,
  0xcf09b2b454219686, 0x98b9cbdbf59ffd01, 0xc6eff3ab73058559, 0x43e8c5faa38ade14, 0x911759c3cf3c873b,
  0x575ff51f097e21b0, 0xb082f93262e1f907, 0x1c89ea3caf024a76, 0xc5315a9ef51f06cc, 0xcb8e1386e1d7d8b4,
  0xb71c31d484d7d2d8, 0xc66edb7d1a0073ab, 0xa237bec6abc6c75e, 0x65deece038ec5a60, 0xddc3546c1132386f,
  0x9fccfa399959967b, 0x48e7c716d7972ab5, 0xfab39d454aa35d20, 0xd69ae0404e576a96, 0xf297592ad5d2fe85,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0xd4bf36d84263b7fb, 0x61539fa9ef046e52,
  0xcbf313ffbc3def28, 0xf7ff05347db0e3f8, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df,
  0x001d7536dd68a793,
};

// m64_swio12_noled                  m64a_swio11_noled                 m64a_swio12_noled
static const uint64_t ur_m64_swio11_noled[] = {
  0x905ff7777759bb37, 0x5bbb557229e9625a, 0x971dd341b891844f, 0xf43b8e3e3fe2f83e, 0x41b64cf67eeea417,
  0xc15de4eec2f5a350, 0x39feea609f180904, 0xf2dd07850f5ff0a8, 0x71240ebffa8f109d, 0x580b7ba63d7e4a48,
  0xaf173b41f464d1cc, 0xad4ac27b71cb1823, 0x481239f1c5b5e5ca, 0x5beaece75152a8d7, 0x7afa175a6b395daa,
  0xd5688af297592b63, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x5b8ab7fbd5516986, 0x9e4c6e52d4bf36cf,
  0x6592e19e985727ef, 0x7316fd252d9c389c, 0xdd3c9c17398b35e6, 0x000000000a907588,
};

/*
 * m64_swio11_noled_pr_u4            m64_swio12_noled_pr               m64_swio12_noled_pr_u4
 * m64a_swio11_noled_pr              m64a_swio11_noled_pr_u4           m64a_swio12_noled_pr
 * m64a_swio12_noled_pr_u4
 */
static const uint64_t ur_m64_swio11_noled_pr[] = {
  0xe82ddddda2432aac, 0x776aae45200895c4, 0x17eebf63416c13c1, 0x66b071133623b3f4, 0x798d43ad376e2741,
  0xbbc9dd3137056846, 0xcc7cc13e30120982, 0x6f7e14dbfff85767, 0x481935ea382877cb, 0x596536df97d490e2,
  0xf9d96ba3114e62c0, 0x4f2a01ffb30475e8, 0x5ab3ee81e59edf48, 0x902473e38b6bcb95, 0xb7d5d9cea2a551ae,
  0xf5f42eb4d672bb54, 0xaad115e52eb256c6, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0xb7156ff7aaa2d30c,
  0xb900dca5a97e6d9e, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14,
  0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0xb376689e4e0b9cc5, 0x000000000007c9ba,
};

/*
 * m64_swio11_noled_pr_ee_u4         m64_swio12_noled_pr_ee            m64_swio12_noled_pr_ee_u4
 * m64a_swio11_noled_pr_ee           m64a_swio11_noled_pr_ee_u4        m64a_swio12_noled_pr_ee
 * m64a_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m64_swio11_noled_pr_ee[] = {
  0xfad377776890c582, 0xdddaabf0bbd78971, 0xa47f76a1933e6e64, 0xfad0da18d2cdde15, 0x56442036041b4171,
  0x7793bad88e774e4e, 0x9c19827c60241305, 0x63fc29b3bff0aecf, 0x1ea3cacbacd56b46, 0x159c3f51f06cc1f5,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0x08fe439d5a5ca2ae, 0xc6ab5d0ebce9bb20, 0xe038ec5a6f7a3dee,
  0x6c11fadc37b2d97c, 0xe5caad40227b9e54, 0xa8d7481239f1c5b5, 0x5daa5beaece75152, 0x2b637afa175a6b39,
  0xeb9ed5688af29759, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x36cf5b8ab7fbd551, 0x1a2c5c806e52d4bf,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfe0a68fb61c7f197, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0xce62cd799cc5bf49, 0x9d7ef82b344f2705,
};

/*
 * m64_swio11_noled_pr_ce_u4         m64_swio12_noled_pr_ce            m64_swio12_noled_pr_ce_u4
 * m64a_swio11_noled_pr_ce           m64a_swio11_noled_pr_ce_u4        m64a_swio12_noled_pr_ce
 * m64a_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m64_swio11_noled_pr_ce[] = {
  0xf9beeeeed121b768, 0xbb557eb058be25b3, 0xa17bbe96b4bf1fb3, 0x6e873c59b0b402fd, 0xd66967eec9eeecfe,
  0x2bbc9dd29c3d9719, 0x7f7dcc13e3012098, 0x509fe1453dff8576, 0x1e78f373b60b18bf, 0xf84bf10d8488bace,
  0x993170e6b730dfa8, 0xfa8ebe4f72ceafac, 0x9126ea4871240d67, 0x9d96ba3114e62c05, 0xf2a01ffb33c75e8f,
  0x6acfba0796b77484, 0x4091cf8e2daf2e55, 0xdf57673a8a9546ba, 0xd7d0bad359caed52, 0xab445794bac95b1b,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xb31dbfdeaa8b4c32, 0xc806e52d4bf36cf5, 0x3ab337f07771a2c5,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c, 0xd799cc5bf494b670,
  0x72b344f2705ce62c, 0x00000000000dd730,
};

/*
 * m64_swio11_noled_pr_ee_ce_u4      m64_swio12_noled_pr_ee_ce         m64_swio12_noled_pr_ee_ce_u4
 * m64a_swio11_noled_pr_ee_ce        m64a_swio11_noled_pr_ee_ce_u4     m64a_swio12_noled_pr_ee_ce
 * m64a_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m64_swio11_noled_pr_ee_ce[] = {
  0x593ddddda2431bc1, 0xeed55ce0a8ce2585, 0x605ee9fb36331a86, 0x93db6c8091e9c47f, 0x4627533220e6f855,
  0x93ba55e89f6182c6, 0x09827c6024130577, 0xf852d6fff0aecfc0, 0xdcee76e317ea8f7d, 0x4361222eb3879e3c,
  0xf20eaebfea3e12fc, 0x94ed6107be64c5c3, 0x0d983d2bd4795c87, 0xb1698a62b74bea3e, 0xa5b1971c270dc3af,
  0xe7576e28a3a909af, 0x63af3a6ec8023f90, 0x2d37bd1ef76355e3, 0x8e1bd96cbe701c76, 0x52cc9ee7951b044c,
  0x048e7c716d7972ab, 0xfabb39d454aa35d2, 0xbe85d69ace576a96, 0x5a22bca5d64ad8de, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x98edfef5545a6194, 0x4037296a5f9b67ad, 0xd599bf83bb8d162e, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x859a279382e73166,
  0x000000000013f0dc,
};

// m64_swio12_noled_ee_hw            m64a_swio11_noled_ee_hw           m64a_swio12_noled_ee_hw
static const uint64_t ur_m64_swio11_noled_ee_hw[] = {
  0xd69bbbbb451a3768, 0xeed55f85debc4b8f, 0x23fbb50c99f37326, 0xd686d0c6966ef0ad, 0xb22101b020da0b8f,
  0x57793ba5387b69d6, 0xf9c19827c6024130, 0x331fe14d9dffd64c, 0xa8f51e565d66ab5a, 0xf8ace1fa8f83660f,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x0047f21cead2e515, 0x76355ae875e74dd9, 0xe701c762d37bd1ef,
  0xa3608fd6e1bd96cb, 0xaf2e556a0113dcf2, 0x9546ba4091cf8e2d, 0xcaed52df57673a8a, 0xc95b1bd7d0bad359,
  0xd75cf6ab445794ba, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xf9b67adc55bfdeaa, 0x9cfd4f78237296a5,
  0x989ffde1ef79430a, 0xf829a3ed871fc65f, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x398b35e67316fd25,
  0x16f8cf27453c9c17,
};

/*
 * m64_swio11_noled_ee_ce_u4_hw      m64_swio12_noled_ee_ce_hw         m64_swio12_noled_ee_ce_u4_hw
 * m64a_swio11_noled_ee_ce_hw        m64a_swio11_noled_ee_ce_u4_hw     m64a_swio12_noled_ee_ce_hw
 * m64a_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m64_swio11_noled_ee_ce_hw[] = {
  0xc9eeeeed14683375, 0x76aae70546712c2a, 0x02f74fd9b198d437, 0x9edb64048f4e23fb, 0x313a99910737c2ac,
  0xe4eec6aa2fd75b32, 0x02609f180904c15d, 0xbf0a5adfff5933f0, 0x439dcedc62fd51ef, 0x10d8488bace1e79e,
  0x3aa47badfa8f84bf, 0x794ed6107be64c5c, 0xe0d983d2bd4795c8, 0xfb1698a62b74bea3, 0xfa5b1971c270dc3a,
  0x0e7576e28a3a909a, 0x363af3a6ec8023f9, 0x62d37bd1ef76355e, 0xc8e1bd96cbe701c7, 0xb52cc9ee7951b044,
  0x2048e7c716d7972a, 0x6fabb39d454aa35d, 0xebe85d69ace576a9, 0x55a22bca5d64ad8d, 0x29e1a778efebae7b,
  0x4f43aa7020eea6c5, 0xd98edfef5545a619, 0x78237296a5f9b67a, 0xe1ef79430a9cfd4f, 0xed871fc65f989ffd,
  0x3d17f81fbff829a3, 0x9c6592e19e985f1a, 0xe67316fd252d9c38, 0x25453c9c17398b35, 0x0000000000501050,
};

// m64_swio12_lednop                 m64a_swio11_lednop                m64a_swio12_lednop
static const uint64_t ur_m64_swio11_lednop[] = {
  0x417fdddddd66ef3a, 0xb776aae452b4896a, 0x600ddc3e3683089e, 0x0bfa1dc71ed09bbf, 0x1ab46db19c7f7752,
  0x2413057793bb9892, 0x8541cfc069827c60, 0x21df2dd078503dff, 0xa4871240ebffa8f9, 0x1cc580b7ba6d2931,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0x8d7481239f1c5b5e, 0xdaa5beaece75152a, 0xbfa175a6b8101395,
  0xad115e52eb2572f4, 0x9b1674079fad73da, 0x042d3573abd4b0b2, 0xdb4f43aa7028be8a, 0x9fbe7931b94b52fc,
  0xe271964b867a615c, 0xd799cc5bf494b670, 0xc62374f2705ce62c, 0x0000000000002a45,
};

/*
 * m64_swio11_lednop_pr_u4           m64_swio12_lednop_pr              m64_swio12_lednop_pr_u4
 * m64a_swio11_lednop_pr             m64a_swio11_lednop_pr_u4          m64a_swio12_lednop_pr
 * m64a_swio12_lednop_pr_u4
 */
static const uint64_t ur_m64_swio11_lednop_pr[] = {
  0xd05bbbbb44869391, 0xddaab914f1f12b89, 0x1deedf987db04f05, 0xb35838a002665ef7, 0xac7c2f75fbb713a0,
  0x7793bbc96271b193, 0xafb9827c60241305, 0xdefc291efff0aecf, 0x90326bd47400ef96, 0x5965347bd2a921c4,
  0xf9da214637ce62c0, 0xd22a01ffb30475e8, 0xad5f5b81e59ed88b, 0x481239f1c5b5e5ca, 0x5beaece75152a8d7,
  0x175a6b8101395daa, 0x15e52eb2572f4bfa, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea,
  0xca5a97e6d8c9156f, 0x6fe0eee3458b900d, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0xbfc0fdffc14d1f6c,
  0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x89e4e0b9cc59af33, 0x0000003e4e4cd166,
};

/*
 * m64_swio11_lednop_pr_ee_u4        m64_swio12_lednop_pr_ee           m64_swio12_lednop_pr_ee_u4
 * m64a_swio11_lednop_pr_ee          m64a_swio11_lednop_pr_ee_u4       m64a_swio12_lednop_pr_ee
 * m64a_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m64_swio11_lednop_pr_ee[] = {
  0x3f5a6eeeed121911, 0x9bbb557e17a8b12e, 0x9bf4f77311b7cdcc, 0x1fad0da18f5da5a0, 0x51a568b8bc41b417,
  0x5de4ee8f62d42463, 0xe96a609f180904c1, 0x98ff0a0d6ffc2bb3, 0x47a8f2b60b355ad1, 0xc5650fd47c1b307d,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x4239b8e756974acb, 0xb1aad743af3a6edd, 0x380e3b169fc88e32,
  0x1b047eb70decb65f, 0x7972ab500ba42795, 0xaa35d2048e7c716d, 0x576a96fabb39d454, 0xd2fe85d69ae0404e,
  0x6ab445794bac95cb, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x455bfdeaa8b48edc, 0xe4037296a5f9b632,
  0x9d599bf83bb8d162, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0x347a2ff03f7ff053, 0x7138cb25c33d30be,
  0x6bcce62dfa4a5b38, 0x49d9a279382e7316, 0x000000000004ebfe,
};

/*
 * m64_swio11_lednop_pr_ce_u4        m64_swio12_lednop_pr_ce           m64_swio12_lednop_pr_ce_u4
 * m64a_swio11_lednop_pr_ce          m64a_swio11_lednop_pr_ce_u4       m64a_swio12_lednop_pr_ce
 * m64a_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m64_swio11_lednop_pr_ce[] = {
  0xf9beeeeed121b705, 0xbb557eb050ce25b3, 0x0837499f1fbf1fb3, 0xdd0e78bc5e6c63bd, 0xda7ae34c90ddd9fc,
  0x2bbc9dd7ad38a99f, 0x7f674c13e3012098, 0x509fe1495dff8576, 0x1e78f373bcad18bf, 0xf84bf10d8488bace,
  0x3262e1f9699bffa8, 0xea3cbe9ee59d5f59, 0xca9c6921c490359f, 0x7688518df398b014, 0x8a807feccf1d7a3e,
  0xd5f5b81e5adc22f4, 0x81239f1c5b5e5caa, 0xbeaece75152a8d74, 0x75a6b8101395daa5, 0x5e52eb2572f4bfa1,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x4b52fcdb190c76ff, 0xfc1ddc68b17201b9,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x000006ebf087ecd1,
};

/*
 * m64_swio11_lednop_pr_ee_ce_u4     m64_swio12_lednop_pr_ee_ce        m64_swio12_lednop_pr_ee_ce_u4
 * m64a_swio11_lednop_pr_ee_ce       m64a_swio11_lednop_pr_ee_ce_u4    m64a_swio12_lednop_pr_ee_ce
 * m64a_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64_swio11_lednop_pr_ee_ce[] = {
  0x593ddddda2431000, 0xeed55ce0b93a2585, 0x9badd6960cf31a86, 0x27b6d90466247e9e, 0x9d89582441cdf0ab,
  0x27768bfbb4155c59, 0xd304f8c048260aef, 0xe146bbffc2bb3f8d, 0xb9de208c5faa3df7, 0x86c2445d670f3c79,
  0xfce5d4efd47c25f8, 0xca76b083df3262e1, 0x06cc1e95ea3caca5, 0xd8b4c5315975f51f, 0xd2d8cb8e1386e1d7,
  0x73abb72561d484d7, 0xb1d79d376ea11cdc, 0x169fc88e32b1aaf1, 0x470decb65f380e3b, 0xa967d213ca8d8226,
  0x02473e38b6bcb955, 0x7d5d9cea2a551ae9, 0xeb4d7020272bb54b, 0xbca5d64ae5e97f42, 0x0f37b6bae7b55a22,
  0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x96a5f9b63218edfe, 0xf83bb8d162e40372, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xf03f7ff05347db0e, 0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6,
  0x0000013f32d2d9a2,
};

// m64_swio12_lednop_ee_hw           m64a_swio11_lednop_ee_hw          m64a_swio12_lednop_ee_hw
static const uint64_t ur_m64_swio11_lednop_ee_hw[] = {
  0xd69bbbbb451a3705, 0xeed55f85ea2c4b8f, 0xfd3ddcc46df37326, 0xeb436863d7696826, 0x695a2e2f106d05c7,
  0xaef2775eb4e2dfb4, 0xf4b5304f8c048260, 0x663fc2835bffac99, 0x51ea3cad82cd56b4, 0xf15943f51f06cc1f,
  0x8e1386e1d7d8b4dd, 0xe3593484d7d2d8cb, 0x508e6e39d5a5d2b2, 0xac6ab5d0ebce9bb7, 0xce038ec5a7f2238c,
  0x46c11fadc37b2d97, 0x5e5caad402e909e5, 0x2a8d7481239f1c5b, 0x95daa5beaece7515, 0xf4bfa175a6b81013,
  0xdaad115e52eb2572, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x9156ff7aaa2d23b7, 0xde08dca5a97e6d8c,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x8f45fe07effe0a68, 0x271964b867a617c6, 0x799cc5bf494b670e,
  0x34514f2705ce62cd, 0x000000000002df23,
};

/*
 * m64_swio11_lednop_ee_ce_u4_hw     m64_swio12_lednop_ee_ce_hw        m64_swio12_lednop_ee_ce_u4_hw
 * m64a_swio11_lednop_ee_ce_hw       m64a_swio11_lednop_ee_ce_u4_hw    m64a_swio12_lednop_ee_ce_hw
 * m64a_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64_swio11_lednop_ee_ce_hw[] = {
  0x64f777768a34304a, 0xbb557382e4e89615, 0x6eb75a5833cc6a1b, 0x9edb64119891fa7a, 0x762560910737c2ac,
  0xe4eef5ddcedaaf66, 0xba609f180904c15d, 0x7e146bbffeb267f1, 0x439de208c5faa3df, 0x10d8488bace1e79e,
  0x77546a83fa8f84bf, 0x729dac20f7cc98b8, 0xc1b307a57a8f2b29, 0xf62d314c565d7d47, 0xf4b632e384e1b875,
  0x1ceaedc958752135, 0x6c75e74ddba84737, 0xc5a7f2238cac6abc, 0x91c37b2d97ce038e, 0x6a59f484f2a36089,
  0x4091cf8e2daf2e55, 0xdf57673a8a9546ba, 0xbad35c0809caed52, 0xaf297592b97a5fd0, 0x03cdedaeb9ed5688,
  0xe0421520b94b5f3a, 0xbd551691db9e8754, 0xa5a97e6d8c863b7f, 0x50c2a73f53de08dc, 0xf197e627ff787bde,
  0x07effe0a68fb61c7, 0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00002809990bd14f,
};

/*
 * m64_swio11_dual_pr                m64_swio11_dual_pr_u4             m64_swio12_dual
 * m64_swio12_dual_pr                m64_swio12_dual_pr_u4             m64a_swio11_dual
 * m64a_swio11_dual_pr               m64a_swio11_dual_pr_u4            m64a_swio12_dual
 * m64a_swio12_dual_pr               m64a_swio12_dual_pr_u4
 */
static const uint64_t ur_m64_swio11_dual[] = {
  0xb23bbbbb4486ff3e, 0x0fbab71ffb57e11f, 0x6add123c95a59fb6, 0x4ad9893ac828dd69, 0x69c92634edd23f64,
  0x90775a0fd5f7efaf, 0x04f8c048260aef24, 0xd7d9323055239bf3, 0x1030a193ed22d67d, 0x77e650129dd3ee5f,
  0x98fd84063854a9bf, 0x92241240f6fcdea3, 0x510c4aff3f7c1142, 0xe5e99c7f827d70f8, 0x2a10cb42324432ac,
  0x72ebff4073c26b5a, 0xd660b0ab3317397b, 0xf961f3c2952bfe6d, 0x1c4903117d47910e, 0x580bac5354aeea92,
  0xf01a9d81446f79cc, 0x8b07d500ffd9823a, 0x6566521703cb3dbc, 0x5e5caad67f33e8e6, 0x2a8d7481239f1c5b,
  0x95daa5beaece7515, 0xf4bfa175a6b81013, 0xdaad115e52eb2572, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172,
  0x9156ff7aaa2d23b7, 0xb900dca5a97e6d8c, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0x1c76689e4e0b9cc5, 0x0000000000014934,
};

// m64_swio12_dual_pr_ee             m64a_swio11_dual_pr_ee            m64a_swio12_dual_pr_ee
static const uint64_t ur_m64_swio11_dual_pr_ee[] = {
  0xa56eeeeea0a1a5fb, 0x3eead63eb8df8f58, 0xfb77650f63231398, 0x06db105947f3ef70, 0xb36eb63285bd6295,
  0x4622cddf5cc28843, 0x048260aef2560bb9, 0x460aa45927304f8c, 0x327da45acfbafb26, 0x0253ba7dcbe20614,
  0x579c287e6e9ffcca, 0x40f674dea39c1d87, 0xff3f7c1142922412, 0x11227d70f8510c4a, 0x0bed10cab397a670,
  0x073c260f7150865a, 0x6662e72f6e9b7ff4, 0xa50fffcdbacc1615, 0x2bdf7355ad1945f0, 0xbd47c1b306657a8f,
  0xb875f62d377c572b, 0x2135f4b632e384e1, 0x39d5a5cbaae04fcd, 0xa1d7b19bb1948f4a, 0x169cbe4698d8d56b,
  0x6e1bd977bb380e3b, 0xc0283f6b2a3608fd, 0x955acfe67d1cccac, 0xae902473e38b6bcb, 0x54b7d5d9cea2a551,
  0xf42eb4d7020272bb, 0xa22bca5d64ae5e97, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1,
  0x1b94b52fcdb1922a, 0xcdfc1ddc68b15164, 0x9c69430a9cfd4eac, 0x0ae4fdf04d1f6c38, 0xb387138cb25c33d3,
  0x3166bcce62dfa4a5, 0x642b559a279382e7, 0x0000000000000005,
};

// m64_swio12_dual_pr_ee_u4          m64a_swio11_dual_pr_ee_u4         m64a_swio12_dual_pr_ee_u4
static const uint64_t ur_m64_swio11_dual_pr_ee_u4[] = {
  0xa667bbbbb4486f97, 0xc1f756b1e3af7e1b, 0x9afba75805233836, 0xccfa73d6dcfb67da, 0x13d47dd6c650b374,
  0x4bba591aea0f8ab1, 0x4f8c048260aef24c, 0xfb26460aa4592730, 0x0614327da45acfba, 0xfcca0253ba7dcbe2,
  0x3b611c8e07066eaf, 0x890490395d37a8fb, 0x4312bfcfdf0450a4, 0xf4ce5c889f5c3e14, 0x10cb423da2195672,
  0xb7ff4073c269122a, 0xc16156662e72f6e9, 0xdfcf0a50fffcdbac, 0x3fd4795b059aad68, 0xc5721fd47c1b3061,
  0x384e1b875f62d377, 0x038cd2135f4b632e, 0x28e6e39d5a5ca2ae, 0x8d56ba1d794d3b4e, 0x80e3b169ad747195,
  0xc749f5b86f65b933, 0x56b3f99f47332b35, 0xa4091cf8e2daf2e5, 0x2df57673a8a9546b, 0x0bad35c0809caed5,
  0x8af297592b97a5fd, 0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x7a1d538145f45021, 0x8b900dca5a97e6da,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2,
  0x59af3398b7e9296c, 0x9d3d6689e4e0b9cc, 0x00000000000000ac,
};

/*
 * m64_swio11_dual_pr_ce_u4          m64_swio12_dual_pr_ce             m64_swio12_dual_pr_ce_u4
 * m64a_swio11_dual_pr_ce            m64a_swio11_dual_pr_ce_u4         m64a_swio12_dual_pr_ce
 * m64a_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m64_swio11_dual_pr_ce[] = {
  0x664777776890cf68, 0xc1f756802abefc81, 0xf77ba829eb091976, 0x1f22539d6f7ecb56, 0xe82c8053ef760599,
  0x4d2bb8e08ab1c2cc, 0x304f8c048260aef2, 0xbafb26460aa47ad5, 0xe20614327da45acf, 0xd6fcca0253ba7dcb,
  0x7df7b0d36708ad30, 0x524482481a9e9bd4, 0x0a21895fe7ef8228, 0x397a6729284fae1f, 0x150865a1b7d10cab,
  0x7e9fffa039e131eb, 0xd660b0ab3317397b, 0x7ea1efc2915bfe6d, 0x9c3cf1e6e77b3a31, 0x51f097e21b091175,
  0x3f3262e1d90e92bf, 0x0fd47ea27b967571, 0xb01827d243892077, 0xa9d81446f79cc580, 0x7d500ffd99e3af01,
  0x99485c0f2d6ec8b0, 0x72ab59fccfa39995, 0x35d2048e7c716d79, 0x6a96fabb39d454aa, 0xfe85d69ae0404e57,
  0xb445794bac95cbd2, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0x06e52d4bf36c6431,
  0xb337f07771a2c5c8, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68,
  0x99cc5bf494b670e2, 0xb344f2705ce62cd7, 0x000000000069240a,
};

// m64_swio12_dual_pr_ee_ce          m64a_swio11_dual_pr_ee_ce         m64a_swio12_dual_pr_ee_ce
static const uint64_t ur_m64_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xe60fbab71f69ebf3, 0x78ffbb9f6cf80534, 0xe229c10fdc61f05b, 0x419cd9b7a74cf654,
  0xe1e19851fc2d759b, 0x30120982bbc9b12e, 0x323055208f5cc13e, 0xa193ed22d67dd7d9, 0x50129dd3ee5f1030,
  0x869a383fc9b107e6, 0x2481d8fcdea3868d, 0x95fe7ef822852448, 0xc575c4fae1f0a218, 0x681434432ace5e99,
  0xd01cf099d2c54219, 0x55998b9cbdbfebff, 0xe147f9ff36eb3058, 0x373bd3563faa353d, 0xe7587e8fa927e78f,
  0x2bcad29dac0abe4c, 0x3d47c1b307dd7a8f, 0xb875f62d314c5781, 0x2135f4b632e384e1, 0x47a51ceaedc5d475,
  0xd578d8ebd8cdd8ca, 0x0e3b169cbe4698d8, 0x044c8e1bd977bb38, 0x6656659c1fb5951b, 0xb5e5caad67f33e8e,
  0x52a8d7481239f1c5, 0x395daa5beaece751, 0x2f4bfa175a6b8101, 0x3daad115e52eb257, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0x90c76ff7aaa2d23b, 0x13ee1b94b52fcdb1, 0x7eeaccdfc1ddc68b, 0x89c6592e19e98572,
  0x5e67316fd252d9c3, 0x3acd13c9c17398b3, 0x00000000001304e9,
};

// m64_swio12_dual_pr_ee_ce_u4       m64a_swio11_dual_pr_ee_ce_u4      m64a_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m64_swio11_dual_pr_ee_ce_u4[] = {
  0xf6eeeed150ff72df, 0x7562e3d7bbf3aed9, 0xea8fd17eca9c4c1f, 0xbf8ff7d7c3ed7f0e, 0x4addc1ebb67c768a,
  0x5b4ab8fbc9d5ef22, 0xde4b4e7774d6fed1, 0x7ae609f180904c15, 0x67dd7d932305522c, 0xe5f1030a193ed22d,
  0x635bfccac049dd3e, 0x51e006c0521c3f5e, 0x4292241240ed6e6f, 0xf8510c4aff3f7c11, 0x672f4ce47dc27d70,
  0xa2a10cb436722195, 0xdd2a3fe80e784d95, 0x64982c2accc5ce5e, 0xa8e397853f5ffd11, 0xf3cf80676292317e,
  0xc25f886c2445d670, 0x4c5c385919ebfd47, 0x95e5694ed6105f26, 0x9ea3e0d983eebd47, 0xdc3afb1698a62bc0,
  0x909afa5b1971c270, 0x23d28e7576e2ea3a, 0x6abc6c75ec66ec65, 0x071d8b4e5f234c6c, 0x8226470decbbdd9c,
  0x332b32ce0fdaca8d, 0xdaf2e556b3f99f47, 0xa9546ba4091cf8e2, 0x9caed52df57673a8, 0x97a5fd0bad35c080,
  0x9ed5688af297592b, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xc863b7fbd551691d, 0x8b900dca5a97e6d8,
  0x53ab337f068fe345, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0xc68f45fe07effe0a, 0x0e271964b867a617,
  0xcd799cc5bf494b67, 0xed55524f2705ce62, 0x00000000001000a2,
};

// m64_swio12_dual_ee_hw             m64a_swio11_dual_ee_hw            m64a_swio12_dual_ee_hw
static const uint64_t ur_m64_swio11_dual_ee_hw[] = {
  0x14addddda28d0f68, 0x07dd5ac7d71bf1eb, 0x1f6eeca1ec646273, 0xa0db620b28fe7dee, 0x766dd6c650b7ac52,
  0x0bb8e08ab34ce908, 0x4f8c048260aef256, 0xfb26460aa4592730, 0x0614327da45acfba, 0xfccae833ba7dcbe2,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa67011227d70f851, 0x865a0bed10cab397,
  0x7ff4073c260f7150, 0x16156662e72f6e9b, 0xa2f85287ffceadcc, 0xbd4795efb9aad68c, 0x2b95dea3e0d98332,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0x47a51cead2e5d570, 0x6ab5d0ebd8cdd8ca, 0x071d8b4e5f234c6c,
  0x047eb70decbbdd9c, 0x665660141fb5951b, 0xb5e5caad67f33e8e, 0x52a8d7481239f1c5, 0x395daa5beaece751,
  0x2f4bfa175a6b8101, 0x3daad115e52eb257, 0x296be74079bdb5d7, 0x73d0ea9c0842a417, 0xc9156ff7aaa2d23b,
  0x3de08dca5a97e6d8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0xb2d514f2705ce62c, 0x0000000000015da7,
};

/*
 * m64_swio11_dual_ee_ce_u4_hw       m64_swio12_dual_ee_ce_hw          m64_swio12_dual_ee_ce_u4_hw
 * m64a_swio11_dual_ee_ce_hw         m64a_swio11_dual_ee_ce_u4_hw      m64a_swio12_dual_ee_ce_hw
 * m64a_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m64_swio11_dual_ee_ce_hw[] = {
  0x3eddddda28d072df, 0xeeac5c7af77e75db, 0xdd51fa2fd9538983, 0x57f1fefaf87dafe1, 0x495bb83d76cf8ed1,
  0x4e3dd20d793abde4, 0xc15de4b4e7737fb5, 0x22c7ae609f180904, 0x22d67dd7d9323055, 0xd3ee5f1030a193ed,
  0xfaf31adfe657419d, 0x737a8f00360290e1, 0xe08a14912092076b, 0xeb87c2886257f9fb, 0x0cab397a6723ee13,
  0x6cad150865a1b391, 0x72f6e951ff4073c2, 0xfceadcc16156662e, 0x317ea8e397853f5f, 0xeb3879e790e76292,
  0x7ea3e12fc4361222, 0x2f93262e1c291f39, 0x5ea3caf2b4a76b08, 0x15e04f51f06cc1f7, 0xe1386e1d7d8b4c53,
  0x751d484d7d2d8cb8, 0x763291e9473abb71, 0xa636355e363af633, 0xeece038ec5a72f91, 0x6546c1132386f65d,
  0xcfa39995996707ed, 0x7c716d7972ab59fc, 0x39d454aa35d2048e, 0xe0404e576a96fabb, 0xac95cbd2fe85d69a,
  0x6d75cf6ab445794b, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0x39fa9ef046e52d4b,
  0x313ffbc3def28615, 0xf05347db0e3f8cbf, 0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a,
  0xd75b566e8a79382e, 0x0000000000000001,
};

// m64a_swio13_noled
static const uint64_t ur_m64_swio13_noled[] = {
  0x3ddbbbbbbacdc49f, 0xf5bbb5572285ee25, 0xf76deea1c4891844, 0xe17f43bb89dd9fc1, 0x6f70a18c46b4dd9e,
  0x120982bbc9dda86a, 0xc2a0e7cc7cc13e30, 0x84ef96e93c29b7ff, 0xe921c4903e7bd478, 0x8e62c05bdd34e2b5,
  0xc11d78b9dae1a326, 0x5caad4acaffb8e58, 0x8d7481239f1c5b5e, 0x96faa9bece75152a, 0xdebe85d69ace576a,
  0xaad115e52eb255ab, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xcdb4f43aa7022fdc, 0xc9fbe7931b94b52f,
  0x0e271964b867a615, 0xcd799cc5bf494b67, 0x71e2374f2705ce62, 0x000000000000549a,
};

// m64_swio13_noled_pr_u4            m64a_swio13_noled_pr              m64a_swio13_noled_pr_u4
static const uint64_t ur_m64_swio13_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae450b8c492, 0xdb1fbbab21c6c13c, 0x82cd6341db7e95e4, 0x3b85fe3c6beea44e,
  0x15de4eed33466822, 0x9f7f2609f180904c, 0x2d07fc28657fe15d, 0x1240fa0f51e5f1df, 0x80b2ca632a71a487,
  0xe8f9d9ef47bd9cc5, 0x864d2a01ffb30475, 0x955aaad503cb3dbb, 0xae902473e38b6bcb, 0xdf5537d9cea2a551,
  0xd7d0bad359caed52, 0x5a22bca5d64ab57b, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x22adfef5545a6194,
  0xc806e52d4bf36c81, 0x3ab337f07771a2c5, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0x68f45fe07effe0a6,
  0xe271964b867a617c, 0xd799cc5bf494b670, 0x9bb344f2705ce62c, 0x00000000001f2695,
};

// m64_swio13_noled_pr_ee_u4         m64a_swio13_noled_pr_ee           m64a_swio13_noled_pr_ee_u4
static const uint64_t ur_m64_swio13_noled_pr_ee[] = {
  0xebf777776890ca20, 0x93776aafc2f41624, 0x869a5ddf1fb6f9b9, 0xbeb4368998d33f64, 0x6d16a295b106d04e,
  0x7793ba829394bb08, 0x93a9827c60241305, 0x7f3c2915bff0aecf, 0xff51e5652e6ab5a3, 0x15975f51f06cc184,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0x48f2439d5a5ff72e, 0xc6ab5d0ebce9bb69, 0xc071d8b4d314707e,
  0xd823f5b86f65b2f9, 0x972ab50089ac16a8, 0xa35d2048e7c716d7, 0xa5beaa6fb39d454a, 0xf7afa175a6b395da,
  0x6ab445794bac956a, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3, 0x8b900dca5a97e6d9,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2,
  0x59af3398b7e9296c, 0x00ad6689e4e0b9cc, 0x00000000000009d7,
};

// m64_swio13_noled_pr_ce_u4         m64a_swio13_noled_pr_ce           m64a_swio13_noled_pr_ce_u4
static const uint64_t ur_m64_swio13_noled_pr_ce[] = {
  0xf26eeeeed121b7d6, 0xb3bb557eb046ee24, 0x1faf5f7460d7bf1f, 0xc9cdd0e56856d04b, 0xe9abe1a70cd4deeb,
  0x0982bbc9dd29475b, 0x5767edd4c13e3012, 0xc5fac89e14c09ff8, 0xd670f3c79b9da9e8, 0xfd47c25f886c2445,
  0x7d64c98b87bc3e5a, 0x327bd479ba7b9675, 0xb017ba052921c490, 0xbd1f3b3de8f7b398, 0x70c9a5403ff6678e,
  0x5caad556a81e5add, 0x8d7481239f1c5b5e, 0x96faa9bece75152a, 0xdebe85d69ace576a, 0xaad115e52eb255ab,
  0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0x10c76ff7aaa2d30c, 0x5c806e52d4bf36c8, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0xc68f45fe07effe0a, 0x0e271964b867a617, 0xcd799cc5bf494b67,
  0xf82b344f2705ce62, 0x000000000000dd76,
};

// m64_swio13_noled_pr_ee_ce_u4      m64a_swio13_noled_pr_ee_ce        m64a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m64_swio13_noled_pr_ee_ce[] = {
  0x90dddddda2435f41, 0x0dddaab9c151dc48, 0x5d667bb0ccade635, 0x164f6d9b106e5d9a, 0xd89c9de448839b92,
  0xde4eeefd8580526b, 0x0fa609f180904c15, 0x75e14c41ff85767d, 0x79b9dbfc8c5faa3b, 0xf886c2445d670f3c,
  0xc38523e72fd47c25, 0xc394ed6107be64c5, 0x3e0d9833d7d47959, 0xafb1698a62b90fea, 0xafa5b1971c270dc3,
  0x90e7576efdc3a909, 0xe363af3a6eda523c, 0xec5a698a383f6355, 0x991c37b2d97ce038, 0xad4b326b05aa3608,
  0x481239f1c5b5e5ca, 0xaa9bece75152a8d7, 0xe85d69ace576a96f, 0x115e52eb255abdeb, 0x0d3bc77f5d73daad,
  0x1d5381077536294f, 0x76ff7aaa2d30ca7a, 0x06e52d4bf36c810c, 0xb337f07771a2c5c8, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0xb344f2705ce62cd7,
  0x00000000027e7d9e,
};

// m64a_swio13_noled_ee_hw
static const uint64_t ur_m64_swio13_noled_ee_hw[] = {
  0x5fbbbbbb451a37d6, 0x9bbb557e17a0b127, 0x34d2eef8fdb7cdcc, 0xf5a1b44cc699fb24, 0x68b514ad88368275,
  0x57793ba528eb6abe, 0xf93a9827c6024130, 0x1bf9e148adffd64c, 0x27fa8f2b297355ad, 0xf8acbafa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x4a47921cead2ffb9, 0xf6355ae875e74ddb, 0xce038ec5a698a383,
  0x46c11fadc37b2d97, 0xbcb955a8044d60b5, 0x551ae902473e38b6, 0xd52df5537d9cea2a, 0x57bd7d0bad359cae,
  0x7b55a22bca5d64ab, 0xc529e1a778efebae, 0x194f43aa7020eea6, 0xc8122adfef5545a6, 0xa9ef046e52d4bf36,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3,
  0xcd35a8a79382e731, 0x000000000000016f,
};

// m64_swio13_noled_ee_ce_u4_hw      m64a_swio13_noled_ee_ce_hw        m64a_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m64_swio13_noled_ee_ce_hw[] = {
  0x86eeeeed14684c7f, 0x6eed55ce0a8ee244, 0xeb33dd86656f31a8, 0xb27b6cd88372ecd2, 0xc4e4ef22441cdc90,
  0xaef27759f3aded6a, 0xe87d304f8c048260, 0xedd7853107ff5933, 0xe790e76ff2317ea8, 0x2fc4361222eb3879,
  0x170f7437547ea3e1, 0x670e53b5841ef993, 0xa8f83660cf5f51e5, 0x0ebec5a6298ae43f, 0x26be96c65c709c37,
  0xf2439d5dbbf70ea4, 0x578d8ebce9bb6948, 0xe3b169a628e0fd8d, 0x226470decb65f380, 0x2ab52cc9ac16a8d8,
  0x5d2048e7c716d797, 0xbeaa6fb39d454aa3, 0xafa175a6b395daa5, 0xb445794bac956af7, 0x3c34ef1dfd75cf6a,
  0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329, 0xc11b94b52fcdb204, 0x0f7bca1854e7ea7b, 0x6c38fe32fcc4ffef,
  0xe8bfc0fdffc14d1f, 0xe32c970cf4c2f8d1, 0x3398b7e9296ce1c4, 0x4a29e4e0b9cc59af, 0x00000000014053aa,
};

// m64a_swio13_lednop
static const uint64_t ur_m64_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x9eb776aae4506bc4, 0xbe971ddf5fe16308, 0xdc2fe877713a5ef9, 0x8d4106d93375fbb3,
  0x2413057793bb0bd6, 0x8541cfafb9827c60, 0xe1df2dd278523dff, 0xd24389207cf7a8eb, 0xce62c05bdd31eb10,
  0xc11d78b9db7b4770, 0x5caad4ac59fb8e58, 0x8d7481239f1c5b5e, 0x96faa9bece75152a, 0x85d69ae0404e576a,
  0x22bca5d64ae492fe, 0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x9e8754e04e7d1408, 0x7cf2637296a5f9b6,
  0xe32c970cf4c2b93f, 0x3398b7e9296ce1c4, 0x46e9e4e0b9cc59af, 0x00000000005483ac,
};

// m64_swio13_lednop_pr_u4           m64a_swio13_lednop_pr             m64a_swio13_lednop_pr_u4
static const uint64_t ur_m64_swio13_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x05ddaab914cc6249, 0xf5e9ee9b5ebdb04f, 0x4166b1a0971db7e2, 0xc8b5305ec4775227,
  0x15de4eeac1c9c56c, 0x3f52a609f180904c, 0xb41ff0a18fffc2bb, 0x2481f41ea3e9477c, 0x02cb298c79eb490e,
  0xa3e76f911c647316, 0xbb86a807fecc11d7, 0x556b02b40f2cf6f7, 0xba4091cf8e2daf2e, 0x7d54df673a8a9546,
  0xeb4d7020272bb54b, 0x5e52eb2572497f42, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x96a5f9b65d9156ff, 0xf83bb8d162e40372, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xf03f7ff05347db0e,
  0x25c33d30be347a2f, 0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x00001f262bf0d9a2,
};

// m64_swio13_lednop_pr_ee_u4        m64a_swio13_lednop_pr_ee          m64a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m64_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb4486bf3e, 0x9bbb557e17b23127, 0x1a6277617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b413a,
  0xde4ee9d68d506d9f, 0x87e609f180904c15, 0xf9e14383ff85767e, 0xfa8f2b53d355ad1b, 0xad82fa8f83660c27,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x460a1cead2ff3971, 0x6ab5d0ebce9bb04f, 0x071d8b4f2447916c,
  0x823f5b86f65b2f9c, 0x72ab500ae1934a8d, 0x35d2048e7c716d79, 0x5beaa6fb39d454aa, 0x175a6b8101395daa,
  0x8af297592b924bfa, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x94b52fcdb2ec8ab7,
  0xdfc1ddc68b17201b, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x7f81fbff829a3ed8, 0x592e19e985f1a3d1,
  0x316fd252d9c389c6, 0x13c9c17398b35e67, 0x000000275cd60acd,
};

// m64_swio13_lednop_pr_ce_u4        m64a_swio13_lednop_pr_ce          m64a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m64_swio13_lednop_pr_ce[] = {
  0xf26eeeeed1219541, 0xb3bb557eb04d2e24, 0x7b517776dbafbf1f, 0x39ba1cad0dd95b7a, 0x8ecaa0b42d68dd79,
  0x982bbc9dd69df6bc, 0x767e2b4c13e30120, 0x5fac89e14df7ff85, 0x670f3c79b9dcae8c, 0xd47c25f886c2445d,
  0xd64c98b8767ceb3f, 0x27bd479c67b96757, 0x0287b402921c4903, 0xa3e76f911c647316, 0xbb86a807feccf1d7,
  0x955ac0ad03cb5bb7, 0xae902473e38b6bcb, 0xdf5537d9cea2a551, 0xbad35c0809caed52, 0x5794bac95c925fd0,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b52fcdb2ec31dbf, 0xfc1ddc68b17201b9,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x00000375c9f86cd1,
};

// m64_swio13_lednop_pr_ee_ce_u4     m64a_swio13_lednop_pr_ee_ce       m64a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_swio13_lednop_pr_ee_ce[] = {
  0x90dddddda2436d3a, 0x0dddaab9c14c8c48, 0x9d29dba34f17e635, 0x164f6d9b08ee0d98, 0x86e817d388839b92,
  0x793baeb75c4ed577, 0xd79827c602413057, 0xd7852007fe15d9ff, 0xcdceeb7e317ea8ed, 0xc4361222eb3879e3,
  0x38c2eeddfea3e12f, 0x394ed6107be64c5c, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0x02473e38b6bcb955, 0x537d9cea2a551ae9, 0x35c0809caed52df5, 0x4bac95c925fd0bad, 0x6f6d75cf6ab44579,
  0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0x2fcdb2ec31dbfdea, 0xddc68b17201b94b5, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0xfbff829a3ed871fc, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xc17398b35e67316f,
  0x0009f83d5ecd13c9,
};

// m64a_swio13_lednop_ee_hw
static const uint64_t ur_m64_swio13_lednop_ee_hw[] = {
  0x5fbbbbbb451a1541, 0x9bbb557e17b23127, 0x1a6277617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b413a,
  0x2bbc9dd69df6b765, 0xfd0fcc13e3012098, 0x1bf9e14383ffd64c, 0x27fa8f2b53d355ad, 0xf8ad82fa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x4f460a1cead2ff39, 0x6c6ab5d0ebce9bb0, 0x9c071d8b4f244791,
  0x8d823f5b86f65b2f, 0x7972ab500ae1934a, 0xaa35d2048e7c716d, 0xaa5beaa6fb39d454, 0xfa175a6b8101395d,
  0x688af297592b924b, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x1b94b52fcdb2ec8a,
  0x7bca1854e7ea7bc1, 0x38fe32fcc4ffef0f, 0xbfc0fdffc14d1f6c, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3,
  0x29e4e0b9cc59af33, 0x00000000b7c6907a,
};

// m64_swio13_lednop_ee_ce_u4_hw     m64a_swio13_lednop_ee_ce_hw       m64a_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_swio13_lednop_ee_ce_hw[] = {
  0x437777768a34173e, 0x3776aae705323122, 0x74a76e8d3c5f98d4, 0x593db66c23b83662, 0x1ba05f4e220e6e48,
  0x7793ba9f755faa3e, 0xfd79827c60241305, 0x6ebc29003ffac99f, 0x790e775bf18bf547, 0xfc4361222eb3879e,
  0xe1c0006ddfea3e12, 0xa1ca76b083df3262, 0x1f06cc19ebea3cac, 0xd7d8b4c531594bf5, 0xd7d2d8cb8e1386e1,
  0x2873abb77ce1d484, 0xe363af3a6ec13d18, 0xec5a79223c8b6355, 0x991c37b2d97ce038, 0xad4b3b864d2a3608,
  0x481239f1c5b5e5ca, 0xaa9bece75152a8d7, 0x69ae0404e576a96f, 0xca5d64ae492fe85d, 0xf37b6bae7b55a22b,
  0x1085482e52d7ce80, 0x5545a476e7a1d538, 0xa97e6d97618edfef, 0xc2a73f53de08dca5, 0x97e627ff787bde50,
  0xeffe0a68fb61c7f1, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x00140533c9d14f27,
};

/*
 * m64_swio13_dual_pr                m64_swio13_dual_pr_u4             m64a_swio13_dual
 * m64a_swio13_dual_pr               m64a_swio13_dual_pr_u4
 */
static const uint64_t ur_m64_swio13_dual[] = {
  0x4bbbbbbb4486dd9e, 0x6c1f756e3fb2afc3, 0xd8d5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba696,
  0x4920eec89ebd8eb9, 0x6609f180904c15de, 0xfbafb26460aa4180, 0xbe20614327da45ac, 0x7eefcca0253ba7dc,
  0x4731fb080c70a953, 0x8524482481edf9bd, 0xf0a21895fe7ef822, 0xb397a672d6c4fae1, 0x68a8432d08c910ca,
  0xedca5ffd01cf09ad, 0xb75982c2accc5ce5, 0x77cb2d7f0a145ff9, 0x90e2481ef7ea3f74, 0xc580bac53145dbf4,
  0x5e0353b4be46989c, 0x1f06faa01ffb3047, 0x6656629c703cb3db, 0xb5e5caad67f33e8e, 0x52a8d7481239f1c5,
  0x76a96faa9bece751, 0x2fe85d69ae0404e5, 0x55a22bca5d64ae49, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52,
  0x2adfef5545a476e7, 0x806e52d4bf36cbb2, 0xab337f07771a2c5c, 0x787bde50c2a73f53, 0xfb61c7f197e627ff,
  0x8f45fe07effe0a68, 0x271964b867a617c6, 0x799cc5bf494b670e, 0xeb344f2705ce62cd, 0x0000000000a49af3,
};

// m64a_swio13_dual_pr_ee
static const uint64_t ur_m64_swio13_dual_pr_ee[] = {
  0x4eddddddd41432db, 0xcc1f756b1f5df7e3, 0xd07dba930eb19189, 0x9506d0526ba012af, 0x937932b43285b4e2,
  0x0bb87866149b46ba, 0x4f8c048260aef256, 0xfb26460aa4771f30, 0x0614327da45acfba, 0xfcca0253ba7dcbe2,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa6739be27d70f851, 0x865a0bed10cab397,
  0x5ff4073c260f7150, 0x0b0ab3317397b7d3, 0xfbbc2816bfe6dd66, 0x7ea3caedd4d56b47, 0x2bdf7ea3e0d9830f,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0x467a9cead2e52d70, 0xd56ba1d7b19bb07b, 0x071d8b4e714710d8,
  0x047eb70decbbdd9c, 0x66566010df11551b, 0xb5e5caad67f33e8e, 0x52a8d7481239f1c5, 0x76a96faa9bece751,
  0x2fe85d69ae0404e5, 0x55a22bca5d64ae49, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52, 0x2adfef5545a476e7,
  0x906e52d4bf36cbb2, 0xb337f07771a2c545, 0xe271a50c2a73f53a, 0x4c2b93f7c1347db0, 0x96ce1c4e32c970cf,
  0x9cc59af3398b7e92, 0x2b20e8b6689e4e0b,
};

// m64a_swio13_dual_pr_ee_u4
static const uint64_t ur_m64_swio13_dual_pr_ee_u4[] = {
  0x53b777776890cf68, 0xdb07dd5ac7d17df8, 0x5bddeeabe6c48ce0, 0x9cccfa734ed2af2c, 0x99d05900d68650b2,
  0xe4989771c1156385, 0x3e609f180904c15d, 0x9f75f64c8c1548ee, 0x97c40c2864fb48b5, 0xdd5ff99404a774fb,
  0x51f676c2391c0e0c, 0xa14912092072ba6f, 0x7c2886257f9fbe08, 0xace5e99ca4a13eb8, 0x24542196847b4432,
  0xf6fa6bfe80e784d2, 0xdbacc16156662e72, 0xad68e0378502d7fc, 0x983913d4795a9e9a, 0x69bbe2b387ea3e0d,
  0xb1971c270dc3afb1, 0xfb9701c66909afa5, 0x9d900460a1cead2f, 0x7916c6ab5d0ebca6, 0xdc99c071d8b4def4,
  0x2b35c5c3fadc37b2, 0xf2e556b3f99f4733, 0x546ba4091cf8e2da, 0x54b7d54df673a8a9, 0xf42eb4d7020272bb,
  0xd115e52eb2572497, 0xb1674079fad73daa, 0x42d3573abd4b0b29, 0xb4f43aa70273e8a0, 0x8b17201b94b52fcd,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x829a3ed871fc65f9, 0x85f1a3d17f81fbff, 0xd9c389c6592e19e9,
  0x98b35e67316fd252, 0xac902acd13c9c173, 0x0000000000000000,
};

// m64_swio13_dual_pr_ce_u4          m64a_swio13_dual_pr_ce            m64a_swio13_dual_pr_ce_u4
static const uint64_t ur_m64_swio13_dual_pr_ce[] = {
  0x8ccf777776890c86, 0x2ed83eead0028fdf, 0xd5b5c774ed34e123, 0xccc8f912955a1d78, 0x0a749ae89f62fbac,
  0xbc934aee78233af7, 0x254c13e30120982b, 0xb3eebec99182a917, 0x72f881850c9f6916, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x2ace5e99c24a13eb, 0x7ac54219686df443,
  0x5edcc7ffe80e784c, 0x9b75982c2accc5ce, 0x8c5fac7bf0a472ff, 0x5d670f3c79b9dc56, 0xafd47c25f886c244,
  0x5c4fcc98b87b9124, 0x1dadea384f9ee59d, 0xb0157dc89490e248, 0xc06a7697c8d31398, 0xe0df5403ff6678eb,
  0x32b314e381e5adc3, 0xaf2e556b3f99f473, 0x9546ba4091cf8e2d, 0xb54b7d54df673a8a, 0x7f42eb4d7020272b,
  0xad115e52eb257249, 0xbe74079bdb5d73da, 0x0ea9c0842a417296, 0x76ff7aaa2d23b73d, 0x06e52d4bf36cbb0c,
  0xb337f07771a2c5c8, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0xf45fe07effe0a68f, 0x71964b867a617c68,
  0x99cc5bf494b670e2, 0xb344f2705ce62cd7, 0x0000000000692631,
};

// m64a_swio13_dual_pr_ee_ce
static const uint64_t ur_m64_swio13_dual_pr_ee_ce[] = {
  0xc499bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbee66f74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cd26,
  0xbba591aeaa312acb, 0xf8c048260aef26c4, 0x64c8c1548f3d7304, 0xc2864fb48b59f75f, 0x99404a774fb97c40,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x339e7213eb87c288, 0x32d0286886559cbd,
  0xffa039e133a58a84, 0xb0ab3317397b7ec1, 0x27852d6ffe6dd660, 0x79b9dcedd8fea8f0, 0xce75876838227f3c,
  0xf2b95d29dac0abe4, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2, 0xa426be96c65c709c, 0x68cf539d5db8a58e,
  0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767, 0xcccaccb31be22aa3, 0xb6bcb955acfe67d1,
  0x2a551ae902473e38, 0xaed52df5537d9cea, 0x25fd0bad35c0809c, 0x6ab445794bac95c9, 0x5af9d01e6f6d75cf,
  0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0xee1b94b52fcdb2ec, 0xeaccdfc1ddc68b13, 0xc6592e19e985727e,
  0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x0000000001304e72,
};

// m64a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m64_swio13_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x1f7562e257bbf13e, 0xc77500badeca9c4c, 0xd6fde66e6d01f6a8, 0xb4f15bb829f6cf8e,
  0xe3fcd7a0d4e435c5, 0x057792d39dd34eaa, 0x8a7e19827c602413, 0x8b59f75f64c8c154, 0x4fb97c40c2864fb4,
  0xd798d6ff32b01277, 0x9bd47801b014870f, 0x0450a48904903b5b, 0x5c3e144312bfcfdf, 0x6559cbd339eb509f,
  0x6568a8432d0d9c88, 0x97b7643ffa039e13, 0x4459260b0ab33173, 0x5faa31ade14ec1ff, 0x3879e7c033bc6e8c,
  0xa3e12fc4361222eb, 0x264c5c3f0ff1f77e, 0x4795cae94ed6105f, 0x95bd47c1b307b7fd, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x7b467a9ceaedc52c, 0xb1aaf1b1d7b19bb0, 0x380e3b169ce28e21, 0x1b044c8e1bd977bb,
  0x8e66566598df1155, 0xc5b5e5caad67f33e, 0x5152a8d7481239f1, 0xe576a96faa9bece7, 0x492fe85d69ae0404,
  0x7b55a22bca5d64ae, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x618edfef5545a476, 0xb900dca5a97e6d97,
  0x3ab337f068fe3458, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0xd55524f2705ce62c, 0x0000000001001a2e,
};

// m64a_swio13_dual_ee_hw
static const uint64_t ur_m64_swio13_dual_ee_hw[] = {
  0x34edddddda28d086, 0x9cc1f756b1f5df7e, 0xfd07dba930eb1918, 0x29506d0526ba012a, 0xd137932b43285b4e,
  0xe4ac1773c119d6a9, 0x3e609f180904c15d, 0x9f75f64c8c1548ee, 0x97c40c2864fb48b5, 0xdd3ff995d06774fb,
  0x47383b0eaf3850fc, 0x8524482481ece9bd, 0xf0a21895fe7ef822, 0x672f4ce737c4fae1, 0xe2a10cb417da2195,
  0x6fa6bfe80e784c1e, 0xadcc16156662e72f, 0x6b47fbbc2816bfce, 0x830f7ea3caedd4d5, 0x9bbe2bdf7ea3e0d9,
  0x1971c270dc3afb16, 0x2d7027e6909afa5b, 0xb07b467a9cead2e5, 0x10d8d56ba1d7b19b, 0xdd9c071d8b4e7147,
  0x551b047eb70decbb, 0x3e8e66566010df11, 0xf1c5b5e5caad67f3, 0xe75152a8d7481239, 0x04e576a96faa9bec,
  0xae492fe85d69ae04, 0xae7b55a22bca5d64, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0xcbb22adfef5545a4,
  0xa9ef046e52d4bf36, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b,
  0x66bcce62dfa4a5b3, 0xa45928a79382e731, 0x00000000000015da,
};

// m64_swio13_dual_ee_ce_u4_hw       m64a_swio13_dual_ee_ce_hw         m64a_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m64_swio13_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0x07dd58b895eefc4f, 0x31dd402eb7b2a713, 0xb5bf799b9b407daa, 0x6d3c56ee0a7db3e3,
  0x75a41b4beb390d71, 0x48260aef25a73b9e, 0x82a914fc3304f8c0, 0x9f6916b3eebec991, 0x0cee9f72f881850c,
  0x870fd798d6ff32ba, 0x3b5b9bd47801b014, 0xcfdf0450a4890490, 0x509f5c3e144312bf, 0x9c886559cbd339eb,
  0x9e136568a8432d0d, 0x317397b7643ffa03, 0xd83fe756e60b0ab3, 0x8dd18bf54635bc29, 0x222eb3879e790e77,
  0x30bfea3e12fc4361, 0x6105f264c5c3abae, 0x7b7fd4795cae94ed, 0x14c5795bd47c1b30, 0x2e384e1b875f62d3,
  0xdc52c752135f4b63, 0x19bb07b467a9ceae, 0x28e21b1aaf1b1d7b, 0x977bb380e3b169ce, 0xf11551b044c8e1bd,
  0x7f33e8e66566598d, 0x239f1c5b5e5caad6, 0xbece75152a8d7481, 0xe0404e576a96faa9, 0xd64ae492fe85d69a,
  0xb6bae7b55a22bca5, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xe6d97618edfef554, 0x73f53de08dca5a97,
  0x627ff787bde50c2a, 0xe0a68fb61c7f197e, 0x617c68f45fe07eff, 0xb670e271964b867a, 0xe62cd799cc5bf494,
  0xd759c5f514f2705c, 0x0000000000000001,
};

// m64a_swio14_noled
static const uint64_t ur_m64_swio14_noled[] = {
  0x511377777759bb37, 0x4f5bbb557229e962, 0x3e971dd341b89184, 0x17f43b8e3e3fe2f8, 0x5041b64cf67eec44,
  0x04c15de4eec2f5a3, 0xa839feea609f1809, 0x9df2dd07850f5ff0, 0x4871240ebffa8f10, 0xcc580b7ba63d7e4a,
  0x23af173b41f464d1, 0xcaad4ac27b71cb18, 0xd7481239f1c5b5e5, 0xdaa5beace75152a8, 0x7efe85d69ace9b95,
  0xdaad115e52eb256c, 0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xeb7156ff7aaa2d30, 0xf3c98dca5a97e6d9,
  0x8cb25c33d30ae4fd, 0xce62dfa4a5b38713, 0x1ba79382e73166bc, 0x0000000001520eb1,
};

// m64_swio14_noled_pr_u4            m64a_swio14_noled_pr              m64a_swio14_noled_pr_u4
static const uint64_t ur_m64_swio14_noled_pr[] = {
  0xe3dddddda2432aac, 0x82eed55c8a401128, 0xe82fdd7ec682d827, 0x82cd60e2266c4767, 0x8cf31a875a6ec71e,
  0x057793ba626e0ad0, 0xcf98f9827c602413, 0x96defc29b7fff0ae, 0xc490326bd47050ef, 0x80b2ca6dbf2fa921,
  0xd1f3b2d746229cc5, 0x909e5403ff6608eb, 0x2ab567dd03cb3dbe, 0x5d2048e7c716d797, 0x6a96fab39d454aa3,
  0xfbfa175a6b3a6e57, 0x6ab445794bac95b1, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0xadc55bfdeaa8b4c3,
  0x2e4037296a5f9b67, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xe347a2ff03f7ff05,
  0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0xacdd9a279382e731, 0x000000000001f26e,
};

// m64_swio14_noled_pr_ee_u4         m64a_swio14_noled_pr_ee           m64a_swio14_noled_pr_ee_u4
static const uint64_t ur_m64_swio14_noled_pr_ee[] = {
  0x35f777776890c582, 0x93776aafc2ef5e24, 0x5691fdda864cf9b9, 0x35eb4368634b3778, 0x39591080d8106d04,
  0x15de4eeb6239dd39, 0x3e706609f180904c, 0x198ff0a6ceffc2bb, 0xd47a8f2b2eb355ad, 0x7c5670fd47c1b307,
  0xe384e1b875f62d37, 0xb8d64d2135f4b632, 0x8023f90e7569728a, 0xbb1aad743af3a6ec, 0xf380e3b169bde8f7,
  0x51b047eb70decb65, 0xd7972ab50089ee79, 0x4aa35d2048e7c716, 0x6e576a96fab39d45, 0x95b1fbfa175a6b3a,
  0x75cf6ab445794bac, 0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d, 0x9b67adc55bfdeaa8, 0x8d162e4037296a5f,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0xff05347db0e3f8cb, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x4ebf7c159a279382,
};

// m64_swio14_noled_pr_ce_u4         m64a_swio14_noled_pr_ce           m64a_swio14_noled_pr_ce_u4
static const uint64_t ur_m64_swio14_noled_pr_ce[] = {
  0x22eeeeeed121b768, 0x6776aafd60b17c49, 0xfb42f77d2d697e3f, 0xbcdd0e78b3616805, 0x33acd2cfdd93dd48,
  0x3057793ba5387b2e, 0xecfefb9827c60241, 0x7ea13fc28a7bff0a, 0x9c3cf1e6e76c1631, 0x51f097e21b091175,
  0x593262e1cd6e61bf, 0xcff51d7c9ee59d5f, 0x0b224dd490e2481a, 0x1f3b2d746229cc58, 0x09e5403ff6678ebd,
  0xaad59f740f2d6ee9, 0x7481239f1c5b5e5c, 0xaa5beace75152a8d, 0xefe85d69ace9b95d, 0xaad115e52eb256c7,
  0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0x6cc76ff7aaa2d30c, 0x7201b94b52fcdb3d, 0x4eaccdfc1ddc68b1,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0x1a3d17f81fbff829, 0x389c6592e19e985f, 0x35e67316fd252d9c,
  0x1cacd13c9c17398b, 0x00000000000375cc,
};

// m64_swio14_noled_pr_ee_ce_u4      m64a_swio14_noled_pr_ee_ce        m64a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m64_swio14_noled_pr_ee_ce[] = {
  0x9bdddddda2431bc1, 0x1bbb557382a33892, 0xfd817ba7ecd8cc6a, 0x764f6db20247a711, 0x32313a9991073753,
  0xbc9dd2af44fb0c16, 0x004c13e30120982b, 0xefc296b7ff85767e, 0xe6e773b718bf547b, 0xe21b0911759c3cf1,
  0x1f907575ff51f097, 0x3ca76b083df3262e, 0xf06cc1e95ea3cae4, 0x7d8b4c5315ba5f51, 0x7d2d8cb8e1386e1d,
  0x873abb71451d484d, 0x1b1d79d3764011fc, 0xb169bde8f7bb1aaf, 0x6470decb65f380e3, 0x5a9664f73ca8d822,
  0x902473e38b6bcb95, 0x4b7d59cea2a551ae, 0xfd0bad359d372bb5, 0x5a22bca5d64ad8fd, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x98edfef5545a6194, 0x4037296a5f9b67ad, 0xd599bf83bb8d162e, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x859a279382e73166,
  0x000000000013f0dc,
};

// m64a_swio14_noled_ee_hw
static const uint64_t ur_m64_swio14_noled_ee_hw[] = {
  0xafbbbbbb451a3768, 0x9bbb557e177af121, 0xb48feed43267cdcc, 0xaf5a1b431a59bbc2, 0x5ac88406c0836821,
  0xc15de4ee94e1eda7, 0x33e706609f180904, 0x68cc7f853677ff59, 0x3ea3d47959759aad, 0xbbe2b387ea3e0d98,
  0x971c270dc3afb169, 0x55c6b26909afa5b1, 0x64011fc873ab4b94, 0xbdd8d56ba1d79d37, 0x2f9c071d8b4def47,
  0xca8d823f5b86f65b, 0xb6bcb955a8044f73, 0x2a551ae902473e38, 0xd372bb54b7d59cea, 0x64ad8fdfd0bad359,
  0xebae7b55a22bca5d, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0xfcdb3d6e2adfef55, 0x4e7ea7bc11b94b52,
  0xcc4ffef0f7bca185, 0xfc14d1f6c38fe32f, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9cc59af3398b7e92,
  0x0b7c6793a29e4e0b,
};

// m64_swio14_noled_ee_ce_u4_hw      m64a_swio14_noled_ee_ce_hw        m64a_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m64_swio14_noled_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xdddaab9c1519c494, 0xec0bdd3f66c66350, 0xb27b6d90123d388f, 0x9189d4cc8839ba9b,
  0xef277635517ebad9, 0x801304f8c048260a, 0x7df852d6fffac99f, 0xf21cee76e317ea8f, 0xf886c2445d670f3c,
  0xe1d523dd6fd47c25, 0x43ca76b083df3262, 0x1f06cc1e95ea3cae, 0xd7d8b4c5315ba5f5, 0xd7d2d8cb8e1386e1,
  0xc873abb71451d484, 0xf1b1d79d3764011f, 0x3b169bde8f7bb1aa, 0x26470decb65f380e, 0x55a9664f73ca8d82,
  0xe902473e38b6bcb9, 0x54b7d59cea2a551a, 0xdfd0bad359d372bb, 0x55a22bca5d64ad8f, 0x29e1a778efebae7b,
  0x4f43aa7020eea6c5, 0xd98edfef5545a619, 0x78237296a5f9b67a, 0xe1ef79430a9cfd4f, 0xed871fc65f989ffd,
  0x3d17f81fbff829a3, 0x9c6592e19e985f1a, 0xe67316fd252d9c38, 0x25453c9c17398b35, 0x0000000000501050,
};

// m64a_swio14_lednop
static const uint64_t ur_m64_swio14_lednop[] = {
  0x444ddddddd66ef3a, 0x9eb776aae452b489, 0xbf600ddc3e368308, 0x220bfa1dc71ed09b, 0x921ab46db19c7f76,
  0x602413057793bb98, 0xff8541cfc069827c, 0xf921df2dd078503d, 0x31a4871240ebffa8, 0xd21cc580b7ba6d29,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x2a8d7481239f1c5b, 0xb95daa5beace7515, 0xb1e85d69ae0404e9,
  0xaad115e52eb2572f, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xcdb4f43aa7028be8, 0xc9fbe7931b94b52f,
  0x0e271964b867a615, 0xcd799cc5bf494b67, 0x5c62374f2705ce62, 0x00000000000002a4,
};

// m64_swio14_lednop_pr_u4           m64a_swio14_lednop_pr             m64a_swio14_lednop_pr_u4
static const uint64_t ur_m64_swio14_lednop_pr[] = {
  0xc7bbbbbb44869391, 0x0bbb557229e3e251, 0xee3bddbf30fb609e, 0x4166b0714004ccbd, 0x2758f85eebf7638f,
  0x0aef277792c4e363, 0x9f5f7304f8c04826, 0x2dbdf8523dffe15d, 0x892064d7a8e801df, 0x80b2ca68f7a55243,
  0xd1f3b4428c6f9cc5, 0x17a45403ff6608eb, 0x955abeb703cb3db1, 0xae902473e38b6bcb, 0xb54b7d59cea2a551,
  0x0bad35c0809d372b, 0x22bca5d64ae5f63d, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0xb94b52fcdb1922ad, 0xcdfc1ddc68b17201, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0x17f81fbff829a3ed,
  0x6592e19e985f1a3d, 0x7316fd252d9c389c, 0xd13c9c17398b35e6, 0x00000007c9c99a2c,
};

// m64_swio14_lednop_pr_ee_u4        m64a_swio14_lednop_pr_ee          m64a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m64_swio14_lednop_pr_ee[] = {
  0x86beeeeeed121911, 0x326eed55f85ea2c4, 0x826fd3ddcc46df37, 0x435eb436863d7696, 0x8d4695a2e2f106d0,
  0x057793ba3d8b5091, 0xcfa5a9827c602413, 0x4663fc2835bff0ae, 0xf51ea3cad82cd56b, 0xdf15943f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x2e3593484d7d2d8c, 0x7508e6e39d5a5d2b, 0xcac6ab5d0ebce9bb, 0x7ce038ec5a7f2238,
  0x546c11fadc37b2d9, 0xb5e5caad402e909e, 0x52a8d7481239f1c5, 0x9b95daa5beace751, 0xfb1e85d69ae0404e,
  0xdaad115e52eb2572, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x9156ff7aaa2d23b7, 0xb900dca5a97e6d8c,
  0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f,
  0x9af3398b7e9296ce, 0x9276689e4e0b9cc5, 0x0000000000013aff,
};

// m64_swio14_lednop_pr_ce_u4        m64a_swio14_lednop_pr_ce          m64a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m64_swio14_lednop_pr_ce[] = {
  0x22eeeeeed121b705, 0x6776aafd60a19c49, 0x7a106e933e3f7e3f, 0x79ba1cf178bcd8c7, 0x3fb4f5c69921ba91,
  0x3057793baf5a7153, 0xecfece9827c60241, 0x7ea13fc292bbff0a, 0x9c3cf1e6e7795a31, 0x51f097e21b091175,
  0xb264c5c3f2d337ff, 0x3fd4797d3dcb3abe, 0x299538d24389206b, 0x7ced10a31be73160, 0xe91500ffd99e3af4,
  0x55abeb703cb5b845, 0xe902473e38b6bcb9, 0x54b7d59cea2a551a, 0xbad35c0809d372bb, 0x2bca5d64ae5f63d0,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x296a5f9b63218edf, 0xbf83bb8d162e4037,
  0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0xff03f7ff05347db0, 0xb25c33d30be347a2, 0x62dfa4a5b387138c,
  0x279382e73166bcce, 0x000000dd7e10fd9a,
};

// m64_swio14_lednop_pr_ee_ce_u4     m64a_swio14_lednop_pr_ee_ce       m64a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_swio14_lednop_pr_ee_ce[] = {
  0x9bdddddda2431000, 0x1bbb557382e4e892, 0x7a6eb75a5833cc6a, 0xec9edb64119891fa, 0xccec4ac1220e6ea6,
  0x793bb45fdda0aae2, 0x6e9827c602413057, 0xbf0a35dffe15d9fc, 0xcdcef10462fd51ef, 0xc4361222eb3879e3,
  0x0fe72ea77ea3e12f, 0x2e53b5841ef99317, 0xf83660f4af51e565, 0xbec5a6298acbafa8, 0xbe96c65c709c370e,
  0xe39d5db92b0ea426, 0x8d8ebce9bb7508e6, 0xd8b4fe4471958d57, 0x32386f65b2f9c071, 0xad4b3e909e546c11,
  0x481239f1c5b5e5ca, 0xa5beace75152a8d7, 0xd69ae0404e9b95da, 0x5e52eb2572fb1e85, 0x079bdb5d73daad11,
  0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x4b52fcdb190c76ff, 0xfc1ddc68b17201b9, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65, 0x3c9c17398b35e673,
  0x0000009f99696cd1,
};

// m64a_swio14_lednop_ee_hw
static const uint64_t ur_m64_swio14_lednop_ee_hw[] = {
  0xafbbbbbb451a3705, 0x9bbb557e17a8b121, 0x9bf4f77311b7cdcc, 0xd7ad0da18f5da5a0, 0xd1a568b8bc41b410,
  0x82bbc9dd7ad38b7e, 0x67d2d4c13e301209, 0xd198ff0a0d6ffeb2, 0x7d47a8f2b60b355a, 0x77c5650fd47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0xdd4239b8e756974a, 0x32b1aad743af3a6e, 0x5f380e3b169fc88e,
  0x951b047eb70decb6, 0x6d7972ab500ba427, 0x54aa35d2048e7c71, 0xa6e576a96fab39d4, 0xbec7a175a6b81013,
  0xf6ab445794bac95c, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x2455bfdeaa8b48ed, 0xf78237296a5f9b63,
  0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3,
  0xcd1453c9c17398b3, 0x000000000000b7c8,
};

// m64_swio14_lednop_ee_ce_u4_hw     m64a_swio14_lednop_ee_ce_hw       m64a_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_swio14_lednop_ee_ce_hw[] = {
  0x6f7777768a34304a, 0x6eed55ce0b93a24a, 0xe9badd6960cf31a8, 0xb27b6d90466247e9, 0x33b12b048839ba9b,
  0xef2777aeee76d57b, 0x8dd304f8c048260a, 0xfbf0a35dfff5933f, 0xf21cef10462fd51e, 0xf886c2445d670f3c,
  0xc3baa3541fd47c25, 0x4b94ed6107be64c5, 0x3e0d983d2bd47959, 0xafb1698a62b2ebea, 0xafa5b1971c270dc3,
  0xb8e7576e4ac3a909, 0xe363af3a6edd4239, 0x762d3f911c656355, 0x4c8e1bd96cbe701c, 0xab52cfa427951b04,
  0xd2048e7c716d7972, 0xa96fab39d454aa35, 0x75a6b81013a6e576, 0x5794bac95cbec7a1, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x52d4bf36c6431dbf, 0x2861539fa9ef046e, 0xf8cbf313ffbc3def,
  0x03f7ff05347db0e3, 0x5c33d30be347a2ff, 0xdfa4a5b387138cb2, 0x9382e73166bcce62, 0x00001404cc85e8a7,
};

/*
 * m64_swio14_dual_pr                m64_swio14_dual_pr_u4             m64a_swio14_dual
 * m64a_swio14_dual_pr               m64a_swio14_dual_pr_u4
 */
static const uint64_t ur_m64_swio14_dual[] = {
  0x8bbbbbbb4486ff3e, 0x6c1f756e3ff6afc6, 0xd2d5ba24792b4b3f, 0xc895b312759051ba, 0x5ed3924c69dbad16,
  0x4920eeb41fabefdf, 0xe609f180904c15de, 0xfbafb26460aa4737, 0xbe20614327da45ac, 0x7eefcca0253ba7dc,
  0x4731fb080c70a953, 0x8524482481edf9bd, 0xf0a21895fe7ef822, 0x59cbd338ff04fae1, 0xb454219684648865,
  0xf6e5d7fe80e784d6, 0xdbacc16156662e72, 0x1df2c3e7852a57fc, 0x2438920622fa8f22, 0x98b01758a6a95dd5,
  0x75e0353b0288def3, 0x79160faa01ffb304, 0xcccacca42e07967b, 0xb6bcb955acfe67d1, 0x2a551ae902473e38,
  0xd372bb54b7d59cea, 0x5f63d0bad35c0809, 0x7b55a22bca5d64ae, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e,
  0x922adfef5545a476, 0x17201b94b52fcdb1, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0x838ecd13c9c17398, 0x0000000000002926,
};

// m64a_swio14_dual_pr_ee
static const uint64_t ur_m64_swio14_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x307dd5ac7d71bf1d, 0xe1f6eeca1ec64627, 0x2a0db620b28fe7de, 0x8766dd6c650b7645,
  0x728c459bbeb98510, 0x180904c15de4ac17, 0x4c8c1548b24e609f, 0x2864fb48b59f75f6, 0x9404a774fb97c40c,
  0x0eaf3850fcdd3ff9, 0x2481ece9bd47383b, 0x95fe7ef822852448, 0xe02244fae1f0a218, 0xb417da2195672f4c,
  0xe80e784c1ee2a10c, 0x2accc5ce5edd36ff, 0xe14a1fff9b75982c, 0x1e57bee6ab5a328b, 0x577a8f83660ccaf5,
  0xc370ebec5a6ef8ae, 0x9a426be96c65c709, 0x9473ab4b9755c09f, 0xd743af633763291e, 0x762d397c8d31b1aa,
  0xfadc37b2ef76701c, 0x5980507ed6546c11, 0x972ab59fccfa3999, 0xa35d2048e7c716d7, 0x576a96fab39d454a,
  0x7a175a6b81013a6e, 0xb445794bac95cbec, 0xf9d01e6f6d75cf6a, 0x3aa70210a905ca5a, 0x5bfdeaa8b48edcf4,
  0x837296a5f9b63245, 0x99bf83bb8d162a2c, 0x138d2861539fa9d5, 0x615c9fbe09a3ed87, 0xb670e271964b867a,
  0xe62cd799cc5bf494, 0xac856ab344f2705c, 0x0000000000000000,
};

// m64a_swio14_dual_pr_ee_u4
static const uint64_t ur_m64_swio14_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6d83eead63c75efc, 0xb535f74eb00a4670, 0xb999f4e7adb9f6cf, 0x6227a8fbad8ca161,
  0x989774b235d41f15, 0x609f180904c15de4, 0x75f64c8c1548b24e, 0xc40c2864fb48b59f, 0x5ff99404a774fb97,
  0xf676c2391c0e0cdd, 0x4912092072ba6f51, 0x2886257f9fbe08a1, 0xe5e99cb9113eb87c, 0x542196847b4432ac,
  0xd36ffe80e784d224, 0x5982c2accc5ce5ed, 0xd1bf9e14a1fff9b7, 0xc27fa8f2b60b355a, 0xef8ae43fa8f83660,
  0x5c709c370ebec5a6, 0x5c0719a426be96c6, 0x9c51cdc73ab4b945, 0x2b1aad743af29a76, 0x6701c762d35ae8e3,
  0x6b8e93eb70decb72, 0xcaad67f33e8e6656, 0xd7481239f1c5b5e5, 0xdaa5beace75152a8, 0x85d69ae0404e9b95,
  0x115e52eb2572fb1e, 0x1674079fad73daad, 0x2d3573abd4b0b29b, 0x4f43aa7028be8a04, 0xb17201b94b52fcdb,
  0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x29a3ed871fc65f98, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98,
  0x8b35e67316fd252d, 0x93a7acd13c9c1739, 0x0000000000000015,
};

// m64_swio14_dual_pr_ce_u4          m64a_swio14_dual_pr_ce            m64a_swio14_dual_pr_ce_u4
static const uint64_t ur_m64_swio14_dual_pr_ce[] = {
  0x627777776890cf68, 0xed83eead00557df9, 0xadeef75053d61232, 0x323e44a73adefd96, 0x99d05900a7deed89,
  0xe49a5771c1156385, 0xaa609f180904c15d, 0x9f75f64c8c1548f5, 0x97c40c2864fb48b5, 0x61adf99404a774fb,
  0xa8fbef61a6ce115a, 0x50a4890490353d37, 0x3e144312bfcfdf04, 0x5672f4ce52509f5c, 0xd62a10cb436fa219,
  0xf6fd3fff4073c263, 0xdbacc16156662e72, 0x62fd43df8522b7fc, 0xeb3879e3cdcef674, 0x7ea3e12fc4361222,
  0xe27e64c5c3b21d25, 0xee1fa8fd44f72cea, 0x0160304fa4871240, 0x0353b0288def398b, 0x60faa01ffb33c75e,
  0x2b3290b81e5add91, 0xf2e556b3f99f4733, 0x546ba4091cf8e2da, 0xcaed52df5673a8a9, 0x8f42eb4d7020274d,
  0x5688af297592b97d, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b, 0x3b7fbd551691db9e, 0x00dca5a97e6d8c86,
  0x5666fe0eee3458b9, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d,
  0xf3398b7e9296ce1c, 0x56689e4e0b9cc59a, 0x00000000000d2481,
};

// m64a_swio14_dual_pr_ee_ce
static const uint64_t ur_m64_swio14_dual_pr_ee_ce[] = {
  0xe7daddddddd432db, 0x69cc1f756e3ed3d7, 0xb6f1ff773ed9f00a, 0xa9c453821fb8c3e0, 0x368339b36f4e99fd,
  0x5dc3c330a3f85aeb, 0x7c60241305779362, 0xb26460aa411eb982, 0x614327da45acfbaf, 0xcca0253ba7dcbe20,
  0x1b0d34707f93620f, 0x904903b1f9bd470d, 0x312bfcfdf0450a48, 0x338aeb89f5c3e144, 0x32d0286886559cbd,
  0xffa039e133a58a84, 0xb0ab3317397b7fd7, 0x7bc28ff3fe6dd660, 0x1e6e77a6ac7f546a, 0x99ceb0fd1f524fcf,
  0x1e5795a53b58157c, 0x027a8f83660fbaf5, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x948f4a39d5db8ba8,
  0xb1aaf1b1d7b19bb1, 0x701c762d397c8d31, 0x3608991c37b2ef76, 0x1cccaccb383f6b2a, 0x8b6bcb955acfe67d,
  0xa2a551ae902473e3, 0x9d372bb54b7d59ce, 0xe5f63d0bad35c080, 0xe7b55a22bca5d64a, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x3218edfef5545a47, 0x627dc37296a5f9b6, 0x4fdd599bf83bb8d1, 0x7138cb25c33d30ae,
  0x6bcce62dfa4a5b38, 0x2759a279382e7316, 0x000000000002609d,
};

// m64a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m64_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150ff72df, 0x1f7562e3d7bbf0b1, 0x0eea8fd17eca9c4c, 0x8abf8ff7d7c3ed7f, 0x91256ee096267c76,
  0x68ada55c7de4eaf7, 0x0aef25a73bba6b7f, 0x163d7304f8c04826, 0x16b3eebec99182a9, 0x9f72f881850c9f69,
  0xaf31adfe656024ee, 0x37a8f00360290e1f, 0x08a14912092076b7, 0xb87c2886257f9fbe, 0xcab397a6723ee13e,
  0xcad150865a1b3910, 0x2f6e951ff4073c26, 0x88b24c16156662e7, 0xbf5471cbc29faffe, 0x3879e7c033b14918,
  0xa3e12fc4361222eb, 0x93262e1c2c8cf5fe, 0xa3caf2b4a76b082f, 0xe04f51f06cc1f75e, 0x386e1d7d8b4c5315,
  0x1d484d7d2d8cb8e1, 0x3291e9473abb7175, 0x36355e363af63376, 0xce038ec5a72f91a6, 0x46c1132386f65dee,
  0xa39995996707ed65, 0x716d7972ab59fccf, 0xd454aa35d2048e7c, 0x13a6e576a96fab39, 0x5cbec7a175a6b810,
  0x5cf6ab445794bac9, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90, 0xc6431dbfdeaa8b48, 0x2c5c806e52d4bf36,
  0xfa9d599bf8347f1a, 0x3ffbc3def2861539, 0x5347db0e3f8cbf31, 0xbe347a2ff03f7ff0, 0x387138cb25c33d30,
  0x166bcce62dfa4a5b, 0x176aaa9279382e73, 0x0000000000008005,
};

// m64a_swio14_dual_ee_hw
static const uint64_t ur_m64_swio14_dual_ee_hw[] = {
  0xb2dddddda28d0f68, 0xe60fbab58fae37e3, 0xdc3eddd943d8c8c4, 0xa541b6c41651fcfb, 0x10ecdbad8ca16ec8,
  0xac1771c1156699d2, 0x609f180904c15de4, 0x75f64c8c1548b24e, 0xc40c2864fb48b59f, 0x3ff995d06774fb97,
  0x383b0eaf3850fcdd, 0x24482481ece9bd47, 0xa21895fe7ef82285, 0x2f4ce02244fae1f0, 0xa10cb417da219567,
  0x36ffe80e784c1ee2, 0x982c2accc5ce5edd, 0x1945f0a50fff9d5b, 0x657a8f2bdf7355ad, 0x7c572bbd47c1b306,
  0xe384e1b875f62d37, 0xe04fcd2135f4b632, 0x948f4a39d5a5cbaa, 0xd8d56ba1d7b19bb1, 0x380e3b169cbe4698,
  0x3608fd6e1bd977bb, 0x1cccacc0283f6b2a, 0x8b6bcb955acfe67d, 0xa2a551ae902473e3, 0x9d372bb54b7d59ce,
  0xe5f63d0bad35c080, 0xe7b55a22bca5d64a, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482, 0x1922adfef5545a47,
  0xa7bc11b94b52fcdb, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f,
  0x9af3398b7e9296ce, 0xf65aa29e4e0b9cc5, 0x0000000000002bb4,
};

// m64_swio14_dual_ee_ce_u4_hw       m64a_swio14_dual_ee_ce_hw         m64a_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m64_swio14_dual_ee_ce_hw[] = {
  0x2dddddda28d072df, 0x83eeac5c7af77e16, 0xe1dd51fa2fd95389, 0xd157f1fefaf87daf, 0xf224addc12c4cf8e,
  0xdaa71ee906bc9d5e, 0x8260aef25a73b9bf, 0x2a9163d7304f8c04, 0xf6916b3eebec9918, 0xcee9f72f881850c9,
  0x70fd798d6ff32ba0, 0xb5b9bd47801b0148, 0xfdf0450a48904903, 0x09f5c3e144312bfc, 0xc886559cbd3391f7,
  0xe136568a8432d0d9, 0x17397b74a8ffa039, 0xaffe756e60b0ab33, 0x4918bf5471cbc29f, 0x11759c3cf3c873b1,
  0x9cbf51f097e21b09, 0x8417c993170e148f, 0xfbaf51e5795a53b5, 0x298af027a8f83660, 0x5c709c370ebec5a6,
  0xb8ba8ea426be96c6, 0x19bb1948f4a39d5d, 0xc8d31b1aaf1b1d7b, 0x2ef76701c762d397, 0xf6b2a3608991c37b,
  0xfe67d1cccaccb383, 0x473e38b6bcb955ac, 0xd59cea2a551ae902, 0x5c0809d372bb54b7, 0x5d64ae5f63d0bad3,
  0x7b6bae7b55a22bca, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x5f9b63218edfef55, 0xa9cfd4f78237296a,
  0xf989ffde1ef79430, 0xff829a3ed871fc65, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x7398b35e67316fd2,
  0x0ebadab37453c9c1,
};

// m64a_swio15_noled
static const uint64_t ur_m64_swio15_noled[] = {
  0xd49bbbbbbacdc49f, 0x7adddaab9142f712, 0xfbb6f750e2448c22, 0x20bfa1ddc4eecfe0, 0x9bdc286311ad3775,
  0x048260aef2776a1a, 0xf0a839f31f304f8c, 0x213be5ba4f0a6dff, 0x7a4871240f9ef51e, 0xa398b016f74d38ad,
  0x30475e2e76b868c9, 0x972ab52b2bfee396, 0xa35d2048e7c716d7, 0x76a96fabb39d454a, 0x7fbfa175a6b3a6e5,
  0xb55a22bca5d64ab5, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xf9b69e8754e045fb, 0xb93f7cf2637296a5,
  0xe1c4e32c970cf4c2, 0x59af3398b7e9296c, 0x4e3c46e9e4e0b9cc, 0x0000000000000a93,
};

// m64_swio15_noled_pr_u4            m64a_swio15_noled_pr              m64a_swio15_noled_pr_u4
static const uint64_t ur_m64_swio15_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae450b8c4ae, 0xdb1fbbab21c6c13c, 0x82cd6341db7e95e4, 0x3b85fe3c6beedc4e,
  0x15de4eed33466822, 0x9f7f2609f180904c, 0x2d07fc28657fe15d, 0x1240fa0f51e5f1df, 0x80b2ca632a71a487,
  0xe8f9d9ef47bd9cc5, 0x864d2a01ffb30475, 0x955aaad503cb3dbb, 0xae902473e38b6bcb, 0x54b7d5d9cea2a551,
  0xdfd0bad359d372bb, 0xad115e52eb255abf, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x9156ff7aaa2d30ca,
  0xe4037296a5f9b640, 0x9d599bf83bb8d162, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0x347a2ff03f7ff053,
  0x7138cb25c33d30be, 0x6bcce62dfa4a5b38, 0xcdd9a279382e7316, 0x00000000000f934a,
};

// m64_swio15_noled_pr_ee_u4         m64a_swio15_noled_pr_ee           m64a_swio15_noled_pr_ee_u4
static const uint64_t ur_m64_swio15_noled_pr_ee[] = {
  0xc7f777776890ca20, 0x93776aafc2f41625, 0x869a5ddf1fb6f9b9, 0x7eb4368998d33f64, 0x6d16a295b106d05c,
  0x7793ba829394bb08, 0x93a9827c60241305, 0x7f3c2915bff0aecf, 0xff51e5652e6ab5a3, 0x15975f51f06cc184,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0x48f2439d5a5ff72e, 0xc6ab5d0ebce9bb69, 0xc071d8b4d314707e,
  0xd823f5b86f65b2f9, 0x972ab50089ac16a8, 0xa35d2048e7c716d7, 0x76a96fabb39d454a, 0x7fbfa175a6b3a6e5,
  0xb55a22bca5d64ab5, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61, 0xc5c806e52d4bf36c,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0xa68fb61c7f197e62, 0x7c68f45fe07effe0, 0x70e271964b867a61,
  0x2cd799cc5bf494b6, 0x8056b344f2705ce6, 0x00000000000004eb,
};

// m64_swio15_noled_pr_ce_u4         m64a_swio15_noled_pr_ce           m64a_swio15_noled_pr_ce_u4
static const uint64_t ur_m64_swio15_noled_pr_ce[] = {
  0x67eeeeeed121b7d6, 0x6776aafd608ddc4b, 0x3f5ebee8c1af7e3f, 0x3f9ba1cad0ada096, 0xa6af869c33537bbb,
  0x260aef2774a51d6f, 0x5d9fb75304f8c048, 0x17eb227853027fe1, 0x59c3cf1e6e76a7a3, 0xf51f097e21b09117,
  0xf593262e1ef0f96b, 0xc9ef51e6e9ee59d5, 0xc05ee814a4871240, 0xf47cecf7a3dece62, 0xc3269500ffd99e3a,
  0x72ab555aa0796b75, 0x35d2048e7c716d79, 0x6a96fabb39d454aa, 0xfbfa175a6b3a6e57, 0x55a22bca5d64ab57,
  0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x218edfef5545a619, 0xb900dca5a97e6d90, 0xa75666fe0eee3458,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce,
  0xf056689e4e0b9cc5, 0x000000000001baed,
};

// m64_swio15_noled_pr_ee_ce_u4      m64a_swio15_noled_pr_ee_ce        m64a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m64_swio15_noled_pr_ee_ce[] = {
  0x0adddddda2435f41, 0x0dddaab9c151dc4b, 0x5d667bb0ccade635, 0x564f6d9b106e5d9a, 0xd89c9de448839be1,
  0xde4eeefd8580526b, 0x0fa609f180904c15, 0x75e14c41ff85767d, 0x79b9dbfc8c5faa3b, 0xf886c2445d670f3c,
  0xc38523e72fd47c25, 0xc394ed6107be64c5, 0x3e0d9833d7d47959, 0xafb1698a62b90fea, 0xafa5b1971c270dc3,
  0x90e7576efdc3a909, 0xe363af3a6eda523c, 0xec5a698a383f6355, 0x991c37b2d97ce038, 0xad4b326b05aa3608,
  0x481239f1c5b5e5ca, 0x5beaece75152a8d7, 0xe85d69ace9b95daa, 0x88af297592ad5fef, 0x869de3bfaeb9ed56,
  0x0ea9c083ba9b14a7, 0x3b7fbd551698653d, 0x037296a5f9b64086, 0x599bf83bb8d162e4, 0xc3def2861539fa9d,
  0xdb0e3f8cbf313ffb, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871, 0x59a279382e73166b,
  0x00000000013f3ecf,
};

// m64a_swio15_noled_ee_hw
static const uint64_t ur_m64_swio15_noled_ee_hw[] = {
  0x3fbbbbbb451a37d6, 0x9bbb557e17a0b12e, 0x34d2eef8fdb7cdcc, 0xf5a1b44cc699fb24, 0x68b514ad883682e3,
  0x57793ba528eb6abe, 0xf93a9827c6024130, 0x1bf9e148adffd64c, 0x27fa8f2b297355ad, 0xf8acbafa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x4a47921cead2ffb9, 0xf6355ae875e74ddb, 0xce038ec5a698a383,
  0x46c11fadc37b2d97, 0xbcb955a8044d60b5, 0x551ae902473e38b6, 0x2bb54b7d5d9cea2a, 0xabfdfd0bad359d37,
  0x3daad115e52eb255, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x6409156ff7aaa2d3, 0xd4f78237296a5f9b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9,
  0xe69ad453c9c17398, 0x00000000000000b7,
};

// m64_swio15_noled_ee_ce_u4_hw      m64a_swio15_noled_ee_ce_hw        m64a_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m64_swio15_noled_ee_ce_hw[] = {
  0x56eeeeed14684c7f, 0x6eed55ce0a8ee258, 0xeb33dd86656f31a8, 0xb27b6cd88372ecd2, 0xc4e4ef22441cdf0a,
  0xaef27759f3aded6a, 0xe87d304f8c048260, 0xedd7853107ff5933, 0xe790e76ff2317ea8, 0x2fc4361222eb3879,
  0x170f7437547ea3e1, 0x670e53b5841ef993, 0xa8f83660cf5f51e5, 0x0ebec5a6298ae43f, 0x26be96c65c709c37,
  0xf2439d5dbbf70ea4, 0x578d8ebce9bb6948, 0xe3b169a628e0fd8d, 0x226470decb65f380, 0x2ab52cc9ac16a8d8,
  0x5d2048e7c716d797, 0xa96fabb39d454aa3, 0xbfa175a6b3a6e576, 0x5a22bca5d64ab57f, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x18edfef5545a6194, 0xe08dca5a97e6d902, 0x87bde50c2a73f53d, 0xb61c7f197e627ff7,
  0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0x2514f2705ce62cd7, 0x0000000000a029d5,
};

// m64a_swio15_lednop
static const uint64_t ur_m64_swio15_lednop[] = {
  0x5a9377777759bb37, 0x4f5bbb55722835e2, 0xdf4b8eefaff0b184, 0xa417f43bb89d2f7c, 0xa35041b64cdd7eee,
  0x0904c15de4eec2f5, 0xe15073ebee609f18, 0xf877cb749e148f7f, 0x3490e2481f3dea3a, 0x3398b016f74c7ac4,
  0x30475e2e76ded1dc, 0x972ab52b167ee396, 0xa35d2048e7c716d7, 0x76a96fabb39d454a, 0xa175a6b81013a6e5,
  0xa22bca5d64ae4ac7, 0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x69e8754e04e7d140, 0xf7cf2637296a5f9b,
  0x4e32c970cf4c2b93, 0xf3398b7e9296ce1c, 0xc46e9e4e0b9cc59a, 0x000000000005483a,
};

// m64_swio15_lednop_pr_u4           m64a_swio15_lednop_pr             m64a_swio15_lednop_pr_u4
static const uint64_t ur_m64_swio15_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x05ddaab914cc6257, 0xf5e9ee9b5ebdb04f, 0x4166b1a0971db7e2, 0xc8b5305ec4776e27,
  0x15de4eeac1c9c56c, 0x3f52a609f180904c, 0xb41ff0a18fffc2bb, 0x2481f41ea3e9477c, 0x02cb298c79eb490e,
  0xa3e76f911c647316, 0xbb86a807fecc11d7, 0x556b02b40f2cf6f7, 0xba4091cf8e2daf2e, 0x52df57673a8a9546,
  0xeb4d7020274dcaed, 0x5794bac95c958f42, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa,
  0xa5a97e6d976455bf, 0xfe0eee3458b900dc, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xfc0fdffc14d1f6c3,
  0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000007c98afc3668,
};

// m64_swio15_lednop_pr_ee_u4        m64a_swio15_lednop_pr_ee          m64a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m64_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb4486bf3e, 0x9bbb557e17b2312e, 0x1a6277617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b4171,
  0xde4ee9d68d506d9f, 0x87e609f180904c15, 0xf9e14383ff85767e, 0xfa8f2b53d355ad1b, 0xad82fa8f83660c27,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x460a1cead2ff3971, 0x6ab5d0ebce9bb04f, 0x071d8b4f2447916c,
  0x823f5b86f65b2f9c, 0x72ab500ae1934a8d, 0x35d2048e7c716d79, 0x6a96fabb39d454aa, 0x175a6b81013a6e57,
  0x22bca5d64ae4ac7a, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xe52d4bf36cbb22ad,
  0x37f07771a2c5c806, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x5fe07effe0a68fb6, 0x964b867a617c68f4,
  0xcc5bf494b670e271, 0x44f2705ce62cd799, 0x00000009d73582b3,
};

// m64_swio15_lednop_pr_ce_u4        m64a_swio15_lednop_pr_ce          m64a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m64_swio15_lednop_pr_ce[] = {
  0x67eeeeeed1219541, 0x6776aafd609a5c4b, 0xf6a2eeedb75f7e3f, 0xf374395a1bb2b6f4, 0x3b2a82d0b5a37767,
  0x60aef2775a77daf2, 0xd9f8ad304f8c0482, 0x7eb2278537dffe15, 0x9c3cf1e6e772ba31, 0x51f097e21b091175,
  0x593262e1d9f3acff, 0x9ef51e719ee59d5f, 0x0a1ed00a4871240c, 0x8f9dbe447191cc58, 0xee1aa01ffb33c75e,
  0x556b02b40f2d6ede, 0xba4091cf8e2daf2e, 0x52df57673a8a9546, 0xeb4d7020274dcaed, 0x5794bac95c958f42,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4b52fcdb2ec31dbf, 0xfc1ddc68b17201b9,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xf81fbff829a3ed87, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x00000375c9f86cd1,
};

// m64_swio15_lednop_pr_ee_ce_u4     m64a_swio15_lednop_pr_ee_ce       m64a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m64_swio15_lednop_pr_ee_ce[] = {
  0x0adddddda2436d3a, 0x0dddaab9c14c8c4b, 0x9d29dba34f17e635, 0x564f6d9b08ee0d98, 0x86e817d388839be1,
  0x793baeb75c4ed577, 0xd79827c602413057, 0xd7852007fe15d9ff, 0xcdceeb7e317ea8ed, 0xc4361222eb3879e3,
  0x38c2eeddfea3e12f, 0x394ed6107be64c5c, 0xe0d9833d7d479594, 0xfb1698a62b297ea3, 0xfa5b1971c270dc3a,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a305, 0x8b4f2447916c6abc, 0x2386f65b2f9c071d, 0xa96770c9a546c113,
  0x02473e38b6bcb955, 0x7d5d9cea2a551ae9, 0x35c0809d372bb54b, 0x52eb2572563d0bad, 0x9bdb5d73daad115e,
  0x842a417296be7407, 0xaa2d23b73d0ea9c0, 0x4bf36cbb0c76ff7a, 0x7771a2c5c806e52d, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0x7effe0a68fb61c7f, 0x867a617c68f45fe0, 0xf494b670e271964b, 0x705ce62cd799cc5b,
  0x00027e0f57b344f2,
};

// m64a_swio15_lednop_ee_hw
static const uint64_t ur_m64_swio15_lednop_ee_hw[] = {
  0x3fbbbbbb451a1541, 0x9bbb557e17b2312e, 0x1a6277617c01cdcc, 0xfad0da26741469b2, 0x2e323e6ec41b4171,
  0x2bbc9dd69df6b765, 0xfd0fcc13e3012098, 0x1bf9e14383ffd64c, 0x27fa8f2b53d355ad, 0xf8ad82fa8f83660c,
  0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0x4f460a1cead2ff39, 0x6c6ab5d0ebce9bb0, 0x9c071d8b4f244791,
  0x8d823f5b86f65b2f, 0x7972ab500ae1934a, 0xaa35d2048e7c716d, 0x576a96fabb39d454, 0x7a175a6b81013a6e,
  0x5a22bca5d64ae4ac, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d, 0xadfef5545a476e7a, 0x46e52d4bf36cbb22,
  0xdef2861539fa9ef0, 0x0e3f8cbf313ffbc3, 0x2ff03f7ff05347db, 0xcb25c33d30be347a, 0xe62dfa4a5b387138,
  0x8a79382e73166bcc, 0x000000002df1a41e,
};

// m64_swio15_lednop_ee_ce_u4_hw     m64a_swio15_lednop_ee_ce_hw       m64a_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m64_swio15_lednop_ee_ce_hw[] = {
  0x2b7777768a34173e, 0x3776aae70532312c, 0x74a76e8d3c5f98d4, 0x593db66c23b83662, 0x1ba05f4e220e6f85,
  0x7793ba9f755faa3e, 0xfd79827c60241305, 0x6ebc29003ffac99f, 0x790e775bf18bf547, 0xfc4361222eb3879e,
  0xe1c0006ddfea3e12, 0xa1ca76b083df3262, 0x1f06cc19ebea3cac, 0xd7d8b4c531594bf5, 0xd7d2d8cb8e1386e1,
  0x2873abb77ce1d484, 0xe363af3a6ec13d18, 0xec5a79223c8b6355, 0x991c37b2d97ce038, 0xad4b3b864d2a3608,
  0x481239f1c5b5e5ca, 0x5beaece75152a8d7, 0x69ae0404e9b95daa, 0xf297592b92b1e85d, 0x3cdedaeb9ed5688a,
  0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x6a5f9b65d863b7fb, 0x30a9cfd4f7823729, 0x65f989ffde1ef794,
  0xfbff829a3ed871fc, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xc17398b35e67316f, 0x0005014cf27453c9,
};

/*
 * m64_swio15_dual_pr                m64_swio15_dual_pr_u4             m64a_swio15_dual
 * m64a_swio15_dual_pr               m64a_swio15_dual_pr_u4
 */
static const uint64_t ur_m64_swio15_dual[] = {
  0x3fbbbbbb4486dd9e, 0x6c1f756e3fb2afc2, 0xd8d5bb06d60b4b3f, 0xc895ba66af8ed14e, 0x5ec219ceb0dba47e,
  0x4920eec89ebd8eb9, 0x6609f180904c15de, 0xfbafb26460aa4180, 0xbe20614327da45ac, 0x7eefcca0253ba7dc,
  0x4731fb080c70a953, 0x8524482481edf9bd, 0xf0a21895fe7ef822, 0xb397a672d6c4fae1, 0x68a8432d08c910ca,
  0xedca5ffd01cf09ad, 0xb75982c2accc5ce5, 0x77cb2d7f0a145ff9, 0x90e2481ef7ea3f74, 0xc580bac53145dbf4,
  0x5e0353b4be46989c, 0x1f06faa01ffb3047, 0x6656629c703cb3db, 0xb5e5caad67f33e8e, 0x52a8d7481239f1c5,
  0xb95daa5beaece751, 0xb1e85d69ae0404e9, 0xd5688af297592b92, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94,
  0x8ab7fbd551691db9, 0x201b94b52fcdb2ec, 0xeaccdfc1ddc68b17, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0xfacd13c9c17398b3, 0x00000000002926bc,
};

// m64a_swio15_dual_pr_ee
static const uint64_t ur_m64_swio15_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xcc1f756b1f5df7e3, 0xd07dba930eb19189, 0x9506d0526ba012af, 0x937932b43285bd62,
  0x0bb87866149b46ba, 0x4f8c048260aef256, 0xfb26460aa4771f30, 0x0614327da45acfba, 0xfcca0253ba7dcbe2,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa6739be27d70f851, 0x865a0bed10cab397,
  0x5ff4073c260f7150, 0x0b0ab3317397b7d3, 0xfbbc2816bfe6dd66, 0x7ea3caedd4d56b47, 0x2bdf7ea3e0d9830f,
  0xc270dc3afb169bbe, 0x27e6909afa5b1971, 0x467a9cead2e52d70, 0xd56ba1d7b19bb07b, 0x071d8b4e714710d8,
  0x047eb70decbbdd9c, 0x66566010df11551b, 0xb5e5caad67f33e8e, 0x52a8d7481239f1c5, 0xb95daa5beaece751,
  0xb1e85d69ae0404e9, 0xd5688af297592b92, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9,
  0x641b94b52fcdb2ec, 0xaccdfc1ddc68b151, 0x389c69430a9cfd4e, 0xd30ae4fdf04d1f6c, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x0ac83a2d9a279382,
};

// m64a_swio15_dual_pr_ee_u4
static const uint64_t ur_m64_swio15_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0xdb07dd5ac7d17df8, 0x5bddeeabe6c48ce0, 0x74ccfa734ed2af2c, 0x99d05900d68650b3,
  0xe4989771c1156385, 0x3e609f180904c15d, 0x9f75f64c8c1548ee, 0x97c40c2864fb48b5, 0xdd5ff99404a774fb,
  0x51f676c2391c0e0c, 0xa14912092072ba6f, 0x7c2886257f9fbe08, 0xace5e99ca4a13eb8, 0x24542196847b4432,
  0xf6fa6bfe80e784d2, 0xdbacc16156662e72, 0xad68e0378502d7fc, 0x983913d4795a9e9a, 0x69bbe2b387ea3e0d,
  0xb1971c270dc3afb1, 0xfb9701c66909afa5, 0x9d900460a1cead2f, 0x7916c6ab5d0ebca6, 0xdc99c071d8b4def4,
  0x2b35c5c3fadc37b2, 0xf2e556b3f99f4733, 0x546ba4091cf8e2da, 0xaed52df57673a8a9, 0xf42eb4d7020274dc,
  0xb445794bac95c958, 0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0x6d3d0ea9c09cfa28, 0xa2c5c806e52d4bf3,
  0x73f53ab337f07771, 0x627ff787bde50c2a, 0xe0a68fb61c7f197e, 0x617c68f45fe07eff, 0xb670e271964b867a,
  0xe62cd799cc5bf494, 0x2b240ab344f2705c,
};

// m64_swio15_dual_pr_ce_u4          m64a_swio15_dual_pr_ce            m64a_swio15_dual_pr_ce_u4
static const uint64_t ur_m64_swio15_dual_pr_ce[] = {
  0x902f777776890c86, 0x2ed83eead0028fdf, 0xd5b5c774ed34e123, 0x2cc8f912955a1d78, 0x0a749ae89f62fbb0,
  0xbc934aee78233af7, 0x254c13e30120982b, 0xb3eebec99182a917, 0x72f881850c9f6916, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x2ace5e99c24a13eb, 0x7ac54219686df443,
  0x5edcc7ffe80e784c, 0x9b75982c2accc5ce, 0x8c5fac7bf0a472ff, 0x5d670f3c79b9dc56, 0xafd47c25f886c244,
  0x5c4fcc98b87b9124, 0x1dadea384f9ee59d, 0xb0157dc89490e248, 0xc06a7697c8d31398, 0xe0df5403ff6678eb,
  0x32b314e381e5adc3, 0xaf2e556b3f99f473, 0x9546ba4091cf8e2d, 0xcaed52df57673a8a, 0x8f42eb4d7020274d,
  0xab445794bac95c95, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x01b94b52fcdb2ec3,
  0xaccdfc1ddc68b172, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0x3d17f81fbff829a3, 0x9c6592e19e985f1a,
  0xe67316fd252d9c38, 0x6cd13c9c17398b35, 0x00000000001a498c,
};

// m64a_swio15_dual_pr_ee_ce
static const uint64_t ur_m64_swio15_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0x69cc1f756e3e3f2f, 0xbee66f74abcb100a, 0x4e229c5aad041f26, 0x04bebe4c7a74cf65,
  0xbba591aeaa312acb, 0xf8c048260aef26c4, 0x64c8c1548f3d7304, 0xc2864fb48b59f75f, 0x99404a774fb97c40,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x339e7213eb87c288, 0x32d0286886559cbd,
  0xffa039e133a58a84, 0xb0ab3317397b7ec1, 0x27852d6ffe6dd660, 0x79b9dcedd8fea8f0, 0xce75876838227f3c,
  0xf2b95d29dac0abe4, 0xb7a8f83660f6ffa8, 0x370ebec5a6298af2, 0xa426be96c65c709c, 0x68cf539d5db8a58e,
  0x355e363af633760f, 0x01c762d39c51c436, 0x608991c37b2ef767, 0xcccaccb31be22aa3, 0xb6bcb955acfe67d1,
  0x2a551ae902473e38, 0x372bb54b7d5d9cea, 0x563d0bad35c0809d, 0xdaad115e52eb2572, 0x96be74079bdb5d73,
  0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0xfb86e52d4bf36cbb, 0xbab337f07771a2c4, 0x71964b867a615c9f,
  0x99cc5bf494b670e2, 0xb344f2705ce62cd7, 0x00000000004c139c,
};

// m64a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m64_swio15_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x1f7562e257bbf3ae, 0xc77500badeca9c4c, 0xd6fde66e6d01f6a8, 0xb4f15bb83d76cf8e,
  0xe3fcd7a0d4e435c5, 0x057792d39dd34eaa, 0x8a7e19827c602413, 0x8b59f75f64c8c154, 0x4fb97c40c2864fb4,
  0xd798d6ff32b01277, 0x9bd47801b014870f, 0x0450a48904903b5b, 0x5c3e144312bfcfdf, 0x6559cbd339eb509f,
  0x6568a8432d0d9c88, 0x97b7643ffa039e13, 0x4459260b0ab33173, 0x5faa31ade14ec1ff, 0x3879e7c033bc6e8c,
  0xa3e12fc4361222eb, 0x264c5c3f0ff1f77e, 0x4795cae94ed6105f, 0x95bd47c1b307b7fd, 0xe1b875f62d314c57,
  0x752135f4b632e384, 0x7b467a9ceaedc52c, 0xb1aaf1b1d7b19bb0, 0x380e3b169ce28e21, 0x1b044c8e1bd977bb,
  0x8e66566598df1155, 0xc5b5e5caad67f33e, 0x5152a8d7481239f1, 0xe9b95daa5beaece7, 0x92b1e85d69ae0404,
  0x9ed5688af297592b, 0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0xd863b7fbd551691d, 0x2e4037296a5f9b65,
  0x4eaccdfc1a3f8d16, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0x1a3d17f81fbff829, 0x389c6592e19e985f,
  0x35e67316fd252d9c, 0xb555493c9c17398b, 0x000000000040068b,
};

// m64a_swio15_dual_ee_hw
static const uint64_t ur_m64_swio15_dual_ee_hw[] = {
  0x3d6dddddda28d086, 0x9cc1f756b1f5df7e, 0xfd07dba930eb1918, 0x29506d0526ba012a, 0xd137932b43285bd6,
  0xe4ac1773c119d6a9, 0x3e609f180904c15d, 0x9f75f64c8c1548ee, 0x97c40c2864fb48b5, 0xdd3ff995d06774fb,
  0x47383b0eaf3850fc, 0x8524482481ece9bd, 0xf0a21895fe7ef822, 0x672f4ce737c4fae1, 0xe2a10cb417da2195,
  0x6fa6bfe80e784c1e, 0xadcc16156662e72f, 0x6b47fbbc2816bfce, 0x830f7ea3caedd4d5, 0x9bbe2bdf7ea3e0d9,
  0x1971c270dc3afb16, 0x2d7027e6909afa5b, 0xb07b467a9cead2e5, 0x10d8d56ba1d7b19b, 0xdd9c071d8b4e7147,
  0x551b047eb70decbb, 0x3e8e66566010df11, 0xf1c5b5e5caad67f3, 0xe75152a8d7481239, 0x04e9b95daa5beaec,
  0x2b92b1e85d69ae04, 0xeb9ed5688af29759, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xb2ec8ab7fbd55169,
  0xea7bc11b94b52fcd, 0xffef0f7bca1854e7, 0x4d1f6c38fe32fcc4, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2,
  0x59af3398b7e9296c, 0xa9164a29e4e0b9cc, 0x0000000000000576,
};

// m64_swio15_dual_ee_ce_u4_hw       m64a_swio15_dual_ee_ce_hw         m64a_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m64_swio15_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0x07dd58b895eefceb, 0x31dd402eb7b2a713, 0xb5bf799b9b407daa, 0x6d3c56ee0f5db3e3,
  0x75a41b4beb390d71, 0x48260aef25a73b9e, 0x82a914fc3304f8c0, 0x9f6916b3eebec991, 0x0cee9f72f881850c,
  0x870fd798d6ff32ba, 0x3b5b9bd47801b014, 0xcfdf0450a4890490, 0x509f5c3e144312bf, 0x9c886559cbd339eb,
  0x9e136568a8432d0d, 0x317397b7643ffa03, 0xd83fe756e60b0ab3, 0x8dd18bf54635bc29, 0x222eb3879e790e77,
  0x30bfea3e12fc4361, 0x6105f264c5c3abae, 0x7b7fd4795cae94ed, 0x14c5795bd47c1b30, 0x2e384e1b875f62d3,
  0xdc52c752135f4b63, 0x19bb07b467a9ceae, 0x28e21b1aaf1b1d7b, 0x977bb380e3b169ce, 0xf11551b044c8e1bd,
  0x7f33e8e66566598d, 0x239f1c5b5e5caad6, 0xaece75152a8d7481, 0xe0404e9b95daa5be, 0x7592b92b1e85d69a,
  0xedaeb9ed5688af29, 0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0xf9b65d863b7fbd55, 0x9cfd4f78237296a5,
  0x989ffde1ef79430a, 0xf829a3ed871fc65f, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x398b35e67316fd25,
  0x75d6717d453c9c17,
};

// m64c1_autobaud_uart0_noled_pr     m64m1_autobaud_uart0_noled        m64m1_autobaud_uart0_noled_pr
static const uint64_t ur_m64c1_autobaud_uart0_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x4a5f7fbf3acf9eb3, 0x140881526ff869f0, 0xa53ebf68c7017435, 0xef96487b5452257e, 0x4389206693d47e78,
  0xc580b7ba61be4f52, 0x75e2e767b48f199c, 0x1f615944ee396304, 0x3e73fb86fc0948d7, 0x6f00f9a7d83291ae,
  0xbaa9cbca6c67f71e, 0x6961738c6f19d102, 0xf36c4922adec5551, 0xfe3458f386e52d4b, 0x30ae4fdd598f2068,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000038881249d1ba,
};

// m64m1_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m64c1_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0xea3fd3d5f3fb7e60, 0x0220549bfe1a7c12, 0x4fafda31c05d0d45, 0xe5843ed514895fa9, 0xe2481a0bf51fa03b,
  0xb016594cf7dad490, 0xbd1f3b57f47ac398, 0x7d99e5403ff6608e, 0xae3ec1c7c0f2cf6c, 0x5c7ce7f70df81291,
  0x3cde01f34fb06523, 0x0575539794d8cfee, 0xa2d2c2e718de33a2, 0x97e6d892455bd8aa, 0x3bb8d164498dca5a,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x400ca792bf734332, 0x0000000008c328bb,
};

/*
 * m64c1_autobaud_uart0_noled_pr_ee_u4 m64m1_autobaud_uart0_noled_pr_ee
 * m64m1_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xe9eaf9fd9d304f8c, 0x549bfe1a7c1295df, 0xda31c05d0d450220, 0x8ed514895fa94faf, 0xf51e57224d56b473,
  0x57dd7a8f83660d31, 0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x7b4782ce756979c5, 0x36355ae875e74ddb,
  0xb98b848451cf230e, 0x2a3608fd6e1bd96c, 0x4a46b8fb002a254d, 0x948d71f39fdc37e0, 0x3fb8f37807cd3ec1,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x296a5f9b6249156f, 0x6fe0eee345912637, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x37c100329e4afdcd,
  0x00000000000026a7,
};

/*
 * m64c1_autobaud_uart0_noled_pr_ce_u4 m64m1_autobaud_uart0_noled_pr_ce
 * m64m1_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x5d7fd3d5f3ea7a60, 0x0440a937fc34f824, 0x9f5fb46380ba1a8a, 0xfd621daa2912bf52, 0x3879e3cdcee3dc62,
  0xa3e12fc4361222eb, 0xac993170fff0347e, 0xd67a8e4f4f72ceaf, 0x0147ce92921c4903, 0xd1f3b57f47ac398b,
  0xd99e5403ff6678eb, 0xb8fb071f03cb5b87, 0x71f39fdc37e04a46, 0xf37807cd3ec1948d, 0x15d54e5e53633fb8,
  0x8b4b0b9c6378ce88, 0xbf36c490c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x00653c95fb9a1996, 0x0000000046eab46e,
};

/*
 * m64c1_autobaud_uart0_noled_pr_ee_ce_u4 m64m1_autobaud_uart0_noled_pr_ee_ce
 * m64m1_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0x9eaf9fb5b9827c64, 0x937fc34f8249b7fe, 0x46380ba1a8a0440a, 0xdaa2912bf529f5fb, 0xdcee39462fd51fce,
  0x4361222eb3879e3c, 0x3d253397ea3e12fc, 0x894ed6107be64c5c, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3,
  0x35f4616588a459a7, 0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317,
  0xb8fb0b3a254d2a36, 0x71f39fdc37e04a46, 0xf37807cd3ec1948d, 0x15d54e5e53633fb8, 0x8b4b0b9c6378ce88,
  0xbf36c490c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x00653c95fb9a1996, 0x000000002089e7e1,
};

// m64m1_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m64c1_autobaud_uart0_noled_ee_hw[] = {
  0x377777768a345562, 0xeeeeee960f04ddd6, 0xe94ada090bf5ebee, 0x866f4f85d4cdd2f7, 0xc9dd322d3b6c30d3,
  0xbfcac59fd9d304f8, 0x40a937fc34f8252b, 0x5fb46380ba1a8a04, 0xe71daa2912bf529f, 0x63ea3cae449aad68,
  0xf8afbaf51f06cc1a, 0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b,
  0xd973170908a39e46, 0x9a546c11fadc37b2, 0xc0948d71f600544a, 0x83291ae3e73fb86f, 0xc67f71e6f00f9a7d,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0x6e52d4bf36c4922a, 0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x7c3d3aa29e4afdcd, 0x0000000000000162,
};

/*
 * m64c1_autobaud_uart0_noled_ee_ce_u4_hw m64m1_autobaud_uart0_noled_ee_ce_hw
 * m64m1_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed1468b044, 0xbbbbba585c874eac, 0x09e47e98d3d467bb, 0x71a8a912c47771da, 0x3bbb293ef6c5e0dc,
  0xf2b167ed6e609f19, 0x549bfe1a7c124dbf, 0xda31c05d0d450220, 0x76d514895fa94faf, 0x90e771ca317ea8fe,
  0xc4361222eb3879e7, 0x87e5a66ffea3e12f, 0x5129dac20f7cc98b, 0x7c1b306b5fd4795f, 0xeb422814c5613fd4,
  0x26be8c2cb1148b34, 0xf059ceaedd388ea4, 0x578d8ebce9bb6f68, 0xe1211473c8c38d8d, 0xc1132386f65b2e62,
  0xd71f616744a9a546, 0xae3e73fb86fc0948, 0x1e6f00f9a7d83291, 0x02baa9cbca6c67f7, 0x516961738c6f19d1,
  0x97e6d89218edec55, 0x0a9cfd42718dca5a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xd453c95fb9a19961, 0x000000000952207d,
};

// m64c1_autobaud_uart0_lednop_pr    m64m1_autobaud_uart0_lednop       m64m1_autobaud_uart0_lednop_pr
static const uint64_t ur_m64c1_autobaud_uart0_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0xc12eebfdf9d67e3d, 0xd450220549bfe1a7, 0xfa94fafda31c05d0, 0xe3be5921ed514895, 0x490e24819a4f51c9,
  0x731602dee986ff3d, 0x23af173b0714720a, 0xe3ec2b141f71cb18, 0x02027f70df81291a, 0xb734fb065235c7cf,
  0xea53929d03dc79bc, 0x514085a7017be54d, 0xe6da718de33a2047, 0xfc68b1e70dca5a97, 0x615c9fbab31e40d1,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000071102493a374,
};

// m64m1_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m64c1_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0xd7fa7abe7e3dcc13, 0x440a937fc34f825d, 0xf5fb46380ba1a8a0, 0xb087daa2912bf529, 0x4903417ea3dac77c,
  0x0596537c907e921c, 0x1f3b2cf4690ce62c, 0x9a45403ff6608ebd, 0x3ec82b40f2cf6d05, 0x2027f70df81291ae,
  0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x0230db4d600653c9,
};

/*
 * m64c1_autobaud_uart0_lednop_pr_ee_u4 m64m1_autobaud_uart0_lednop_pr_ee
 * m64m1_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xe9eaf9f1ad304f8c, 0x549bfe1a7c12d37f, 0xda31c05d0d450220, 0x8ed514895fa94faf, 0xf51e56654d56b473,
  0xac3dfa8f83660d31, 0x2291669d68450ef8, 0xe3593484d7d18596, 0x32464d1cead2e7aa, 0x56355ae875e74dda,
  0xb98b8484504f237b, 0x2a3608fd6e1bd96c, 0x948d71f60043eccf, 0xe3e781013fb86fc0, 0xf379b21a7d83291a,
  0xca9bd4a7253a07b8, 0x9aba718de33a2077, 0x9b6e722adec55516, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x329e4afdcd0ccb0e,
  0x00000026a713f080,
};

/*
 * m64c1_autobaud_uart0_lednop_pr_ce_u4 m64m1_autobaud_uart0_lednop_pr_ce
 * m64m1_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x82ffa7abe7e574c1, 0x0881526ff869f049, 0x3ebf68c701743514, 0xfac43b5452257ea5, 0x70f3c79b9dc068c5,
  0x47c25f886c2445d6, 0x64c98b874db9dbfd, 0xb3d47e927b96757d, 0x0a9888b490e2481e, 0x3e7659e8d219cc58,
  0x348a807feccf1d7a, 0x1f6415a0796b720b, 0x1013fb86fc0948d7, 0x21a7d83291ae3e78, 0x4a7253a07b8f379b,
  0x18de33a2077ca9bd, 0x18edec555169aba7, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x02375caac00653c9,
};

/*
 * m64c1_autobaud_uart0_lednop_pr_ee_ce_u4 m64m1_autobaud_uart0_lednop_pr_ee_ce
 * m64m1_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0xeaf9f6bb9827c64e, 0x9bfe1a7c127f9fe9, 0x31c05d0d45022054, 0xd514895fa94fafda, 0xe764ea317ea8fe76,
  0x1b0911759c3cf1e6, 0xe54341ff51f097e2, 0x94ed6107be64c5c3, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e,
  0x5f4616588a459a75, 0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8,
  0x8fb0b31f667951b0, 0x0809fdc37e04a46b, 0x90d3ec1948d71f3c, 0xa53929d03dc79bcd, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x01044b88380329e4,
};

// m64m1_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m64c1_autobaud_uart0_lednop_ee_hw[] = {
  0x377777768a341202, 0xeeeeee960f05a5d6, 0xd29bb2b6d4f6a2ee, 0xa178570ba99ba5ef, 0xc9dd666d8b505505,
  0xffcac59f1ad304f8, 0x40a937fc34f825a6, 0x5fb46380ba1a8a04, 0xe71daa2912bf529f, 0x63ea3cacca9aad68,
  0xf1587bf51f06cc1a, 0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b,
  0xd973170908a09e46, 0x9e546c11fadc37b2, 0x81291ae3ec0087d9, 0x35c7cf02027f70df, 0x71e6f36434fb0652,
  0xef9537a94e4a740f, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000b13e3000,
};

/*
 * m64c1_autobaud_uart0_lednop_ee_ce_u4_hw m64m1_autobaud_uart0_lednop_ee_ce_hw
 * m64m1_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xddddddda28d01107, 0x777774b0b9012358, 0x13a7791a0bb93b77, 0x8247d22588eee3b4, 0x77539157eefda3bb,
  0xe562cfb5dcc13e32, 0x549bfe1a7c127f9f, 0xda31c05d0d450220, 0x76d514895fa94faf, 0x90e764ea317ea8fe,
  0xc4361222eb3879e7, 0xc3f59b21fea3e12f, 0xba94ed6107be64c5, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea,
  0x135f4616588a459a, 0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98,
  0x6b8fb0b31f667951, 0x3c0809fdc37e04a4, 0xcd90d3ec1948d71f, 0xdea53929d03dc79b, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x000254822ed514f2,
};

/*
 * m64c1_autobaud_uart0_dual_pr      m64c1_autobaud_uart0_dual_pr_u4   m64m1_autobaud_uart0_dual
 * m64m1_autobaud_uart0_dual_pr      m64m1_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_dual[] = {
  0x6eeeeeed121a559b, 0x777775fb02f57dab, 0x94ed00ab13a9cb77, 0x933ed14edddd23fc, 0x7b9385f1ff3ef336,
  0x2a91cdf9827c64bd, 0x59e92213b0532179, 0x7c4b881850c1ab3c, 0xf7369bfcca0253ba, 0x9bd4753db0cac70d,
  0x8228524482481975, 0xae1f0a21895fe7ef, 0x0cab397a672d6c4f, 0x34be8a8432d0ea11, 0x012db9c3ffa039e1,
  0xb982c3795e5ab7cd, 0xbfe1a7c127f3fcd7, 0x1c05d0d450220549, 0x514895fa94fafda3, 0x7f51f229df2c4d6d,
  0xd38bdf490e248188, 0xb23afe731602a83c, 0x1ffb30475e00ced6, 0xa07967b621d21aa0, 0x9fc55f3bb8a92a93,
  0x7f70df81291ae3ec, 0xfb065235c7cf0202, 0x4a740f71e6f36434, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0x6e52d4bf36dce455, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x05405600653c95fb, 0x0000000000000017,
};

// m64m1_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m64c1_autobaud_uart0_dual_pr_ee[] = {
  0xdbbbbbba1eb432db, 0xbbbbbafdb17a6bea, 0xd900dce2c5a843bb, 0xc4abde9f25dd7ac3, 0x3822ac1f8675b375,
  0x5927304f8c966772, 0x4884ec14c85e4aa4, 0xe20614306acf167a, 0x293f328094ee9f12, 0x7b5bd856f9c2004c,
  0xa489049034db9bd4, 0x144312bfcfdf0450, 0xe5e99ce6f89f5c3e, 0x54219684ae4432ac, 0xc347fd01cf098a1c,
  0x1bcaf2d5be68096d, 0x7c12275fe6bdcc16, 0x0d450220549bfe1a, 0x5fa94fafda31c05d, 0xcd56b47226d51489,
  0x06cc1829ea3cad7d, 0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7,
  0x408a8f9eb1aad743, 0x70decbe9662e1211, 0x0084feb151b047eb, 0x7d93f8abe7771525, 0x404fee1bf025235c,
  0x869f60ca46b8f9e0, 0x29c94e81ee3cde6c, 0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0xe08dca5a97e6db9c,
  0xeaccdfc1ddc68b3d, 0xbf313f9430a9cfd4, 0xdffc1347db0f738c, 0xb25c33d30ae4fc73, 0x32c3a4a5b387138c,
  0x40800ca792bf7343, 0x00000000000052a4,
};

// m64m1_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m64c1_autobaud_uart0_dual_pr_ee_u4[] = {
  0xadbbbbbbb4486f97, 0xbbbbbbafdb17a8fe, 0x00aad0eb843dae3b, 0x44febb7a7c9774dd, 0x93c119d7b853a4d7,
  0x20ebe9827c64e4eb, 0xd2442760a642f255, 0x971030a1835678b3, 0xd5bff99404a774f8, 0x8e9b7b09db385adc,
  0x149120920633737a, 0xc2886257f9fbe08a, 0x9cbd339d1f13eb87, 0x8a8432d060a88655, 0x7b1fffa039e13487,
  0x86f2bcb56f9a025b, 0x9f04a2b7f9af7305, 0x435140881526ff86, 0x57ea53ebf68c7017, 0x7355ad1e95b54522,
  0xc1b307f27a8f2b8f, 0xb422877c5663fd47, 0x6be8c2cb1148b34e, 0xab4b84f5c20b9a42, 0x5ed62761f11f4873,
  0x1d023a976355ae87, 0xe1bd971f18b84845, 0xf3bb8a92ae04ffd6, 0xf81291ae3ec9fc55, 0x235c7cf02027f70d,
  0xf71e6f36434fb065, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x100653c95fb9a199, 0x0000000000295263,
};

/*
 * m64c1_autobaud_uart0_dual_pr_ce_u4 m64m1_autobaud_uart0_dual_pr_ce
 * m64m1_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_m64c1_autobaud_uart0_dual_pr_ce[] = {
  0x6ddddddda243359b, 0xddddddd7ec4856b5, 0xbd61d7cfb499a16d, 0x540355f1ab777605, 0x33b90f0cc2987cd7,
  0x25523d6a9827c64a, 0x8b3d2442760a642f, 0x4f8971030a183567, 0xa6a67f9f99404a77, 0xf37a8fff3601a0e1,
  0xe08a1491209207d3, 0xeb87c2886257f9fb, 0x432ace5e99c24a13, 0x992b454219681754, 0x8096dc2d7fd01cf0,
  0xdcc161bcaf2d5be6, 0xbfe1a7c12b75fe6b, 0x1c05d0d450220549, 0x514895fa94fafda3, 0xdced2b462fd65f6d,
  0x4361222eb3879e3c, 0x1eb7e007ea3e12fc, 0xe7b96757a973262e, 0x4871240ea5fa8e37, 0x75fce62c050507ca,
  0xf6678ebc019dad64, 0x3cb5b843a435403f, 0xe2af9ddc549549d0, 0xb86fc0948d71f64f, 0x83291ae3e781013f,
  0x3a07b8f379b21a7d, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x52d4bf36dce18ede, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0x610b00653c95fb9a, 0x00000000000015af,
};

// m64m1_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m64c1_autobaud_uart0_dual_pr_ee_ce[] = {
  0x56dddddddd436f02, 0xddddddd7ec0bed07, 0x9f03e421aafd9b4d, 0x4f26bc33323bbb29, 0xe1f35ef262cd8ce3,
  0x7ae609f19276ae4f, 0x213b05321792a904, 0x81850c1ab3c59e92, 0x3fcca0253ba7c4b8, 0x86d833e1c3ace664,
  0x8904903fd79bd479, 0x4312bfcfdf0450a4, 0xe99cf3909f5c3e14, 0x432d0a1f4432ace5, 0xeffa039e130d68a8,
  0x2bcb56f9a025b7c6, 0x926dff9af730586f, 0x281102a4dff0d3e0, 0x4a7d7ed18e02e86a, 0xf547fbb6a8a44afd,
  0x5bfcf1e6e771cac7, 0xc0b374ce7587fd73, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0x7d93f8abe7771525, 0x404fee1bf025235c, 0x869f60ca46b8f9e0, 0x29c94e81ee3cde6c, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0xce1b94b52fcdb738, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0x34332c3a4a5b3871,
  0x88863600ca792bf7, 0x0000000000000001,
};

// m64m1_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768a87fb202, 0x77775fb2d199bd5b, 0x6d07e6cdede4f777, 0x3e68af5b77aee8be, 0x31eece0e557bebd8,
  0x13e325395cbfadd2, 0x14c85e4aa458f5cc, 0x306acf167a4884ec, 0x6024ee9f12e20614, 0xa838341e6044fe65,
  0x0695137a8e495b0c, 0xf9fbe08a14912092, 0x6a13eb87c2886257, 0x36d10cab397a673d, 0xcf09ac7e2a10cb41,
  0x7cd012dbf59ffd01, 0xaf82982c3795e5ab, 0x49bfe1a7c1243eff, 0xa31c05d0d4502205, 0xed514895fa94fafd,
  0x0cecc7e317ea8ca1, 0x0d8488bace1e79f0, 0x9806e87fa8f84bf1, 0x94ed6109ba64c5c3, 0x06cc1af9ea3cadfc,
  0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909, 0xf1b1d7a89768851e, 0x1211408a8f9eb1aa,
  0x226470decbe9662e, 0x8a9296627f58a8d8, 0x91ae3ec9fc55f3bb, 0x7cf02027f70df812, 0x6f36434fb065235c,
  0x537a94e4a740f71e, 0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd164498dca5a97e6, 0xcfd4eaccdfc1a3f8,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0003f56f97e1d559,
};

// m64m1_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m64c1_autobaud_uart0_dual_ee_hw[] = {
  0xb77777768a34359b, 0x777775fb62f4d7d5, 0xb201b9c58b508777, 0x8957bd3e4bbaf587, 0x43c330a6b5d766eb,
  0x8b24e609f192ccee, 0x49109d82990bc954, 0x5c40c2860d59e2cf, 0x8527e657419dd3e2, 0x8f6b7b0adf384009,
  0x14912092069b737a, 0xc2886257f9fbe08a, 0x9cbd339cdf13eb87, 0x8a8432d095c88655, 0xb868ffa039e13143,
  0xc3795e5ab7cd012d, 0x7c12275ffd46e982, 0x0d450220549bfe1a, 0x5fa94fafda31c05d, 0xcd56b47226d51489,
  0x06cc1829ea3cad7d, 0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7,
  0x408a8f9eb1aad743, 0x70decbe9662e1211, 0x0084feb151b047eb, 0x7d93f8abe7771525, 0x404fee1bf025235c,
  0x869f60ca46b8f9e0, 0x29c94e81ee3cde6c, 0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x718dca5a97e6db9c,
  0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x583948bb5453c95f,
};

/*
 * m64c1_autobaud_uart0_dual_ee_ce_u4_hw m64m1_autobaud_uart0_dual_ee_ce_hw
 * m64m1_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d19231, 0xddddd7ecb4666f56, 0x9b41f9b37b793ddd, 0x0f9a2bd6ddebba2f, 0x334eb76b555efaf6,
  0xe609f1929cae5ffc, 0x760a642f25522c7a, 0x0a1835678b3d2442, 0x995d06774f897103, 0xc32a0e0d0798113f,
  0x2481a544dea39256, 0x95fe7ef822852448, 0xcf5a84fae1f0a218, 0xd04db4432ace5e99, 0x4073c26b1f8a8432,
  0x6adf3404b6fd67ff, 0x7ff51ba60b0de579, 0x02a4dff0d3e0921f, 0x7ed18e02e86a2811, 0x50f6a8a44afd4a7d,
  0x790e7663f18bf546, 0xfc4361222eb3879e, 0xb87672e8ffea3e12, 0xbf929dac21374c98, 0xa3e0d9835f3d4795,
  0xa75a1140a62b80de, 0x2135f4616588a459, 0xa3dece7576e32875, 0x355e363af512ed10, 0xc5c242281151f3d6,
  0x1b044c8e1bd97d2c, 0x77715252cc4feb15, 0x025235c7d93f8abe, 0x6b8f9e0404fee1bf, 0xe3cde6c869f60ca4,
  0xdf2a6f529c94e81e, 0x5a6ae9c6378ce881, 0xfcdb73863b7b1554, 0x539fa84e31b94b52, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x000000084d30ee42,
};

// m64c1_lin_uart0_noled_pr          m64m1_lin_uart0_noled             m64m1_lin_uart0_noled_pr
static const uint64_t ur_m64c1_lin_uart0_noled[] = {
  0xec49ddbbbacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x3fdf9d67e719827c, 0x72349e391a7c125f, 0xbe5843ed5148a9f8, 0x0e2481a0bf51fa03, 0x8b016594cf7dad49,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x1ae3ec1c7c0f2cf6, 0x35c7ce7f70df8129, 0xe3cde01f34fb0652,
  0x20575539794d8cfe, 0xaa2d2c2e718de33a, 0xa97e6d892455bd8a, 0x0d1fc68b1e70dca5, 0x67a615c9fbab31e4,
  0x494b670e271964b8, 0x374f257ee6866587, 0x000000007c87393a,
};

// m64m1_lin_uart0_noled_pr_u4
static const uint64_t ur_m64c1_lin_uart0_noled_pr_u4[] = {
  0xc49ddbbb44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xe9eaf9f9c6609f19, 0x1a4f1c8d3e092f9f, 0x2c21f6a8a454fc39, 0x1240d05fa8fd01df, 0x80b2ca67bed6a487,
  0xe8f9dabfa3d61cc5, 0xeccf2a01ffb30475, 0x71f60e3e07967b63, 0xe3e73fb86fc0948d, 0xe6f00f9a7d83291a,
  0x2baa9cbca6c67f71, 0x16961738c6f19d10, 0xbf36c4922adec555, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x00653c95fb9a1996,
  0x000000001f276cc5,
};

// m64c1_lin_uart0_noled_pr_ee_u4    m64m1_lin_uart0_noled_pr_ee       m64m1_lin_uart0_noled_pr_ee_u4
static const uint64_t ur_m64c1_lin_uart0_noled_pr_ee[] = {
  0x624eeddda243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0xabe7d82cc13e3277, 0x78e469f048e1ffa7, 0xe3b54522a7e1c8d2, 0x7d4795c89355ad1c, 0x15f75ea3e0d9834c,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0xded1e0b39d5a5e71, 0x8d8d56ba1d79d376, 0x2e62e1211473c8c3,
  0x4a8d823f5b86f65b, 0x1291ae3ec00a8953, 0x65235c7ce7f70df8, 0xcfee3cde01f34fb0, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xf792600ca792bf73, 0x000000000000013a,
};

// m64m1_lin_uart0_noled_pr_ce
static const uint64_t ur_m64c1_lin_uart0_noled_pr_ce[] = {
  0xdd893bb77759bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x2dbffefceb3e63e6, 0x9f872349e391a7c1, 0xf7d8febd06d5148a, 0xfe7487fcf370ee76, 0xcf72cbac67339d61,
  0x90e2481e33f51c43, 0xc66731602dc313f4, 0xb19e3af173b482a3, 0x5235c7d83a74f71c, 0xa46b8f9cfee1bf02,
  0x3fb8f3796e69f60c, 0x5a6f55d54e5e5363, 0xc6f19d102e6cc608, 0xf386e52d4bf36d38, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xdd4029d1ba792bf7, 0x0000000000000002,
};

// m64m1_lin_uart0_noled_pr_ce_u4
static const uint64_t ur_m64c1_lin_uart0_noled_pr_ce_u4[] = {
  0x624eeddda2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0xffa7abe7fe74c13e, 0xc8d278e469f048a2, 0x5fac43b54522a7e1, 0x670f3c79b9dc7b8c, 0xd47c25f886c2445d,
  0xf593262e1ffe068f, 0x7acf51c9e9ee59d5, 0x6028f9d252438920, 0x7a3e76afe8f58731, 0xfb33ca807feccf1d,
  0xd71f60e3e0796b70, 0xae3e73fb86fc0948, 0x1e6f00f9a7d83291, 0x02baa9cbca6c67f7, 0x516961738c6f19d1,
  0x97e6d89218edec55, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x800ca792bf734332, 0x000000000375f754,
};

// m64c1_lin_uart0_noled_pr_ee_ce_u4 m64m1_lin_uart0_noled_pr_ee_ce    m64m1_lin_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m64c1_lin_uart0_noled_pr_ee_ce[] = {
  0xc49ddbbb448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xf3e337304f8c9ddf, 0x7234f82416bfd3d5, 0xdaa29153f0e4693c, 0xdcee39462fd51fce, 0x4361222eb3879e3c,
  0x3d253397ea3e12fc, 0x894ed6107be64c5c, 0xe0d9835afea3cafa, 0x5a1140a62b09fea3, 0x35f4616588a459a7,
  0x82ce7576e9c47521, 0xbc6c75e74ddb7b47, 0x0908a39e461c6c6a, 0x08991c37b2d97317, 0xb8fb0b3a254d2a36,
  0x71f39fdc37e04a46, 0xf37807cd3ec1948d, 0x15d54e5e53633fb8, 0x8b4b0b9c6378ce88, 0xbf36c490c76f62aa,
  0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0x00653c95fb9a1996, 0x0000000009f820ae,
};

// m64m1_lin_uart0_noled_ee_hw
static const uint64_t ur_m64c1_lin_uart0_noled_ee_hw[] = {
  0x893bb7768a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0xd278e469f048e1ff, 0x1ce3b54522a7e1c8, 0x4c7d4795c89355ad, 0xdf15f75ea3e0d983,
  0xb2c4522cd3ad08a1, 0x715c6b26909afa30, 0x76ded1e0b39d5a5e, 0xc38d8d56ba1d79d3, 0x5b2e62e1211473c8,
  0x534a8d823f5b86f6, 0xf81291ae3ec00a89, 0xb065235c7ce7f70d, 0xd8cfee3cde01f34f, 0xde33a20575539794,
  0x5bd8aaa2d2c2e718, 0x8dca5a97e6d89245, 0xef79430a9cfd4271, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x6f918ff453c95fb9, 0x0000000000000001,
};

// m64c1_lin_uart0_noled_ee_ce_u4_hw m64m1_lin_uart0_noled_ee_ce_hw    m64m1_lin_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64c1_lin_uart0_noled_ee_ce_hw[] = {
  0xc49ddbbb451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0x93c7234f82416bfc, 0xfcedaa29153f0e46, 0xcf21cee39462fd51, 0x5f886c2445d670f3,
  0x170fcb4cdffd47c2, 0xbea253b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x91ae3ec2ce89534a,
  0x235c7ce7f70df812, 0xee3cde01f34fb065, 0xa20575539794d8cf, 0xaaa2d2c2e718de33, 0xb52fcdb12431dbd8,
  0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x66e8a792bf734332, 0x00000000000a0235,
};

// m64c1_lin_uart0_lednop_pr         m64m1_lin_uart0_lednop            m64m1_lin_uart0_lednop_pr
static const uint64_t ur_m64c1_lin_uart0_lednop[] = {
  0x7624eedddd66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xf7fbf3acf9eb304f, 0x1c8d278e469f04a5, 0xef9610fb54522a7e, 0x438920682fd47b58, 0xc580b2ca6f920fd2,
  0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x35c7d905681e59ed, 0x9e0404fee1bf0252, 0xe6c869f60ca46b8f,
  0x6f529c94e81ee3cd, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x8b1e70dca5a97e6d, 0xc9fbab31e40d1fc6,
  0x0e271964b867a615, 0x7ee6866587494b67, 0x00f902493a374f25,
};

// m64m1_lin_uart0_lednop_pr_u4
static const uint64_t ur_m64c1_lin_uart0_lednop_pr_u4[] = {
  0xc49ddbbb4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xfa7abe7cf59827c6, 0x8d278e469f04a5f7, 0x9610fb54522a7e1c, 0x8920682fd47b58ef, 0x80b2ca6f920fd243,
  0xa3e7659e8d219cc5, 0xb348a807fecc11d7, 0xc7d905681e59eda0, 0x0404fee1bf025235, 0xc869f60ca46b8f9e,
  0x529c94e81ee3cde6, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x003e4fecb400ca79,
};

// m64c1_lin_uart0_lednop_pr_ee_u4   m64m1_lin_uart0_lednop_pr_ee      m64m1_lin_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64c1_lin_uart0_lednop_pr_ee[] = {
  0xb12776eed1218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0xd5f3f95a609f193b, 0x3c7234f82450ffd3, 0x71daa29153f0e469, 0x3ea3cacca9aad68e, 0x1587bf51f06cc1a6,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x4648c9a39d5a5cf5, 0x6ac6ab5d0ebce9bb, 0x973170908a09e46f,
  0xe546c11fadc37b2d, 0x1291ae3ec0087d99, 0x5c7cf02027f70df8, 0x1e6f36434fb06523, 0xf9537a94e4a740f7,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x0653c95fb9a19961, 0x000000009d70d4e0,
};

// m64c1_lin_uart0_lednop_pr_ce_u4   m64m1_lin_uart0_lednop_pr_ce      m64m1_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64c1_lin_uart0_lednop_pr_ce[] = {
  0xc49ddbbb4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xff4f57cf9c39827c, 0x91a4f1c8d3e09256, 0xbf58876a8a454fc3, 0xce1e78f373b80d18, 0xa8f84bf10d8488ba,
  0xac993170e9b73b7f, 0xd67a8fd24f72ceaf, 0x01531116921c4903, 0x47cecb3d1a43398b, 0x6691500ffd99e3af,
  0xe3ec82b40f2d6e41, 0x02027f70df81291a, 0x6434fb065235c7cf, 0xa94e4a740f71e6f3, 0xe31bc67440ef9537,
  0xc31dbd8aaa2d3574, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00375e0bb400ca79,
};

/*
 * m64c1_lin_uart0_lednop_pr_ee_ce_u4 m64m1_lin_uart0_lednop_pr_ee_ce
 * m64m1_lin_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64c1_lin_uart0_lednop_pr_ee_ce[] = {
  0xc49ddbbb4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xf3e1a2609f193ba7, 0xe469f04ac7ffd3d5, 0xb54522a7e1c8d278, 0xb9d93a8c5faa3f9d, 0x86c2445d670f3c79,
  0xf950d07fd47c25f8, 0xa53b5841ef993170, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d,
  0x9a39d5db8f51d484, 0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0xe3ec2cc7d99e546c,
  0x02027f70df81291a, 0x6434fb065235c7cf, 0xa94e4a740f71e6f3, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0013f0f54800ca79,
};

// m64m1_lin_uart0_lednop_ee_hw
static const uint64_t ur_m64c1_lin_uart0_lednop_ee_hw[] = {
  0x12776eed1468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0xa4f1c8d3e09143ff, 0x39c76a8a454fc391, 0x98fa8f2b32a6ab5a, 0x7c561efd47c1b306,
  0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6, 0xb65cc5c242282791,
  0x67951b047eb70dec, 0xe04a46b8fb0021f6, 0x8d71f3c0809fdc37, 0xdc79bcd90d3ec194, 0x3be54dea53929d03,
  0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xe8a792bf734332c3, 0x0000000002dfea41,
};

/*
 * m64c1_lin_uart0_lednop_ee_ce_u4_hw m64m1_lin_uart0_lednop_ee_ce_hw
 * m64m1_lin_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_lin_uart0_lednop_ee_ce_hw[] = {
  0x624eeddda28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0x93c7234f82563ffe, 0xfcedaa29153f0e46, 0xcf21cec9d462fd51, 0x5f886c2445d670f3,
  0x8b87eb3643fd47c2, 0x5f7529dac20f7cc9, 0xd47c1b306b5fd479, 0x34eb422814c57b7f, 0xa426be8c2cb1148b,
  0x2464d1ceaedc7a8e, 0xc6abc6c75e74dda3, 0x3170908a09e46f6a, 0xa3608991c37b2d97, 0x48d71f61663eccf2,
  0x3e781013fb86fc09, 0x379b21a7d83291ae, 0xa9bd4a7253a07b8f, 0xaba718de33a2077c, 0x6dce18edec555169,
  0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x00000280a97e1a29,
};

/*
 * m64c1_lin_uart0_dual_pr           m64c1_lin_uart0_dual_pr_u4        m64m1_lin_uart0_dual
 * m64m1_lin_uart0_dual_pr           m64m1_lin_uart0_dual_pr_u4
 */
static const uint64_t ur_m64c1_lin_uart0_dual[] = {
  0x89327bbb4486d0e3, 0x775fb6db69dab6ef, 0x506e123a3db77777, 0x0544edddd1a6d14a, 0x9571b41087912828,
  0x48a4a9827c64833b, 0xf49109d82990bc95, 0x25c40c2860d59e2c, 0x98a1fe650129dd3e, 0xea3fced848738175,
  0x14292241240ca2cd, 0x0f8510c4aff3f7c1, 0x559cbd33833627d7, 0xf7c54219682f8886, 0x4b6f52bfe80e784c,
  0x60b0de5796adf340, 0xc8d3e0904fff35ee, 0x6a8a454fc391a4f1, 0x43fa8f914ef9626b, 0xe69c5efa4871240c,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x13fb86fc0948d71f,
  0xa7d83291ae3e7810, 0x7253a07b8f379b21, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722,
  0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0xa49eb2d00329e4af,
};

// m64c1_lin_uart0_dual_pr_ee_u4     m64m1_lin_uart0_dual_pr_ee        m64m1_lin_uart0_dual_pr_ee_u4
static const uint64_t ur_m64c1_lin_uart0_dual_pr_ee[] = {
  0xc4993ddda2431f02, 0xbbafdb0a75bd5b77, 0xbb17d95a89fbbbbb, 0xaa86d1776c4bb2df, 0xb364d985147ee716,
  0x304f8c9b83725188, 0xec14c85e4aa447dd, 0x14306acf167a4884, 0x328094ee9f12e206, 0x61bb4704db9a76ff,
  0x0920616a6f51c66f, 0x257f9fbe08a14912, 0x9ca4a13eb87c2886, 0x9681c34432ace5e9, 0xfd01cf099c9c5421,
  0xe5ab7cd012dbd0ff, 0xbeffcd7b982c3795, 0xf0e4693c7234f825, 0xaad68e44daa29153, 0xd983053d4795afb9,
  0x1143be2ba95ea3e0, 0xf4616588a459a75a, 0xd2e652e2a5cd2135, 0xea25da2147bd9cea, 0x1151f3d6355ae875,
  0x1bd97d2cc5c24228, 0x109fd62a3608fd6e, 0xb27f157ceee2a4a0, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08,
  0x3929d03dc79bcd90, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0xab337f07771a2c89,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x005642cc0194f257,
};

// m64c1_lin_uart0_dual_pr_ce_u4     m64m1_lin_uart0_dual_pr_ce        m64m1_lin_uart0_dual_pr_ce_u4
static const uint64_t ur_m64c1_lin_uart0_dual_pr_ce[] = {
  0x89327bbb448618be, 0xeebf605e9f7ab6ef, 0xc10d056d17eeeeee, 0xf738b77760dd8967, 0xaf67049aef05bf79,
  0x30bcc13e32792dcb, 0x2213b05321792a90, 0x881850c1ab3c59e9, 0x1ffcca0253ba7c4b, 0xeafd850f9c3a7e6b,
  0x24482481c729bd47, 0xa21895fe7ef82285, 0x97a6739684fae1f0, 0x50865a051510cab3, 0x8adff4073c2631f1,
  0x6f2bcb56f9a025b7, 0xf048a5ff9af73058, 0x22a7e1c8d278e469, 0xb4ad18bf597db545, 0x8488bace1e78f373,
  0xdf801fa8f84bf10d, 0xe59d5ea5cc98b87a, 0xc4903a97ea38df9e, 0xf398b014141f2921, 0x9e3af00676b591d7,
  0xd6e10e90d500ffd9, 0xbe777152552740f2, 0xbf025235c7d93f8a, 0xa46b8f9e0404fee1, 0x1ee3cde6c869f60c,
  0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x52fcdb73863b7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xec0194f257ee6866,
  0x00000000001a49b5,
};

// m64m1_lin_uart0_dual_pr_ee_ce
static const uint64_t ur_m64c1_lin_uart0_dual_pr_ee_ce[] = {
  0x24c9eeeea0a1a5fb, 0xbafdb6decdeadbbe, 0x89f9f7ae17bbbbbb, 0xd048e3bad8bed776, 0xd6c10ab30f9085d6,
  0x827c6494ab94b235, 0xc14c85e4aa46f3e9, 0x4306acf167a4884e, 0x28094ee9f12e2061, 0x014870fd798d6ff3,
  0x4903b5b9bd47801b, 0x2bfcfdf0450a4890, 0xceeb09f5c3e14431, 0x686ce4432ace5e99, 0xd01cf09b2b454219,
  0x2d5be68096ddfe7f, 0xb5fe6bdcc161bcaf, 0x872349e391a7c120, 0xfea8ff76d5148a9f, 0x495f9e3cdcee3958,
  0x58166e99ceb0f722, 0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422, 0xeaedc650ea426be8,
  0x75ea25da2147bd9c, 0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899, 0x8fb27f157ceee2a4,
  0x0809fdc37e04a46b, 0x90d3ec1948d71f3c, 0xa53929d03dc79bcd, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xe8637296a5f9b6e7, 0x75666fe0eee34581, 0x61c4e34a1854e7ea, 0x9e985727e03e68fb, 0x252d9c389c6592e1,
  0x653c95fb9a19961d, 0x000000040027d700,
};

// m64m1_lin_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_lin_uart0_dual_pr_ee_ce_u4[] = {
  0x4c9eeed150ff880b, 0xafdac7e44eadbbe2, 0x36a3fb609bbbbbbb, 0x4bb13ba930b13859, 0xe439a757d71f9ddb,
  0xe3247b5c849fe9ac, 0x642f25523cf5cc13, 0x35678b3d2442760a, 0x12774f8971030a18, 0xe704a89ae47f32b0,
  0xf60cdea3f2d6c19b, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0xa4432ace5e99c185, 0xf098e0c542196805,
  0xcd012dbfebffd01c, 0xf82982c3795e5ab7, 0x4f1c8d3e0969affa, 0x50f6a8a454fc391a, 0xf8067663f18bf546,
  0xf886c2445d670f3c, 0xe1cc03743fd47c25, 0xfe4a76b084dd3262, 0x8f83660d7cf51e56, 0x9d68450298ae037a,
  0x84d7d18596229166, 0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58, 0x6c1132386f65f4b3,
  0xddc5494b313fac54, 0x0948d71f64fe2af9, 0xae3e781013fb86fc, 0x8f379b21a7d83291, 0x7ca9bd4a7253a07b,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xfc68b224c6e52d4b, 0x54e7ea75666fe0d1, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xac9e4afdcd0ccb0e, 0x0000000800e3346a,
};

// m64m1_lin_uart0_dual_ee_hw
static const uint64_t ur_m64c1_lin_uart0_dual_ee_hw[] = {
  0x24c9eeed146818be, 0xdd7ed853adeadbbe, 0xd8becad44fdddddd, 0x54368bbb625d96fd, 0x6705af04a3f738b5,
  0x74c13e326e0dcbaf, 0x13b05321792a911f, 0x1850c1ab3c59e922, 0xfccae833ba7c4b88, 0xbd86ed1c136e69db,
  0x48248185a9bd4719, 0x1895fe7ef8228524, 0xa6729284fae1f0a2, 0x865a070d10cab397, 0xfff4073c26727150,
  0x5796adf3404b6f43, 0xb7dfff51ba60b0de, 0x7e1c8d278e469f04, 0x355ad1c89b54522a, 0x1b3060a7a8f2b5f7,
  0x422877c5752bd47c, 0xbe8c2cb1148b34eb, 0x5a5cca5c54b9a426, 0xbd44bb4428f7b39d, 0x022a3e7ac6ab5d0e,
  0xc37b2fa598b84845, 0x0213fac546c11fad, 0xf64fe2af9ddc5494, 0x013fb86fc0948d71, 0x1a7d83291ae3e781,
  0xa7253a07b8f379b2, 0x8de33a2077ca9bd4, 0x2adec555169aba71, 0xc637296a5f9b6e72, 0x87bde50c2a73f509,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x5dad4918d14f257e,
  0x0000000000000001,
};

// m64c1_lin_uart0_dual_ee_ce_u4_hw  m64m1_lin_uart0_dual_ee_ce_hw     m64m1_lin_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64c1_lin_uart0_dual_ee_ce_hw[] = {
  0x264f7768a3475164, 0xd7ed63f22756ddf1, 0x9b51fdb04ddddddd, 0xa5d89dd498589c2c, 0xfedaf3abeb8fceed,
  0x609f1923dae4674d, 0xb05321792a91e7ae, 0x50c1ab3c59e92213, 0xcae833ba7c4b8818, 0x066f9c12a26b91fc,
  0x9207d8337a8fcb5b, 0x57f9fbe08a149120, 0x061713eb87c28862, 0xa016910cab397a67, 0x4073c26383150865,
  0x6adf3404b6ffafff, 0x7ff51ba60b0de579, 0xc8d278e469f04b4d, 0xaa3287b54522a7e1, 0x3cf3c873b31f8c5f,
  0xf097e21b0911759c, 0x64c5c3b39747ff51, 0x3cadfc94ed6109ba, 0x06f51f06cc1af9ea, 0x22cd3ad08a05315c,
  0x43a909afa30b2c45, 0x68851ef673abb719, 0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f, 0x58a8d8226470decb,
  0x55f3bb8a9296627f, 0x0df81291ae3ec9fc, 0x65235c7cf02027f7, 0x40f71e6f36434fb0, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x5a97e6db9c31dbd8, 0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x4f9453c95fb9a199, 0x0000000000075d43,
};

// m64c1_swio10_noled_pr             m64m1_swio10_noled                m64m1_swio10_noled_pr
static const uint64_t ur_m64c1_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdac4776e27524192, 0x80f06612226f897e, 0x8f4138fd68917748,
  0x7304f8c9dd85eb47, 0x524644ff7e759f0f, 0x310fea3bde77cb13, 0xdd34e3916921c490, 0xdba046b3ce62c05b,
  0xd7db8e58c11d78b9, 0xcf27f6bcb955a958, 0xace75152a8d74271, 0xe86a26b395daa5be, 0xa22bca6a12a97deb,
  0x4a9f4ef3f5ae7b55, 0x42d2c2e753a9c059, 0x18de33a204e148a0, 0x1e70dca5a97e6da7, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0xe6866587494b670e, 0xe400e53a374f257e, 0x0000000000000003,
};

// m64m1_swio10_noled_pr_u4
static const uint64_t ur_m64c1_swio10_noled_pr_u4[] = {
  0xa4dddddda24328ae, 0xad72d2c42b133ac6, 0xdf1fba6837132219, 0x88f211c6c446bf07, 0x912e236f67eeea48,
  0x4f8c9dd34b1c54d8, 0xf75fe9eaf9f8f730, 0xbd479b8ef9611648, 0x8ca9c6921c490327, 0xbd1dac731602cb29,
  0x07fecc11d7a3e767, 0xa81e59eddc359ea8, 0xe793fb5e5caad556, 0x5673a8a9546ba138, 0xf4351359caed52df,
  0xd115e5350954bef5, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x37296a5f9b640915,
  0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x93da6b00329e4afd, 0x000000000000000f,
};

// m64c1_swio10_noled_pr_ee_u4       m64m1_swio10_noled_pr_ee          m64m1_swio10_noled_pr_ee_u4
static const uint64_t ur_m64c1_swio10_noled_pr_ee[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea6d2eb1, 0xa7b5177499f1ff12, 0x08f229835cdd95b6, 0x9541685e14452225,
  0x9f193bad3bed791d, 0xa6ffd3d5f3e35a60, 0xb387355ad1c7b923, 0xd47c1b3067afa8f2, 0x34eb422877c565d7,
  0xa426be8c2cb1148b, 0x09cead2ffb971ac9, 0xae875e74ddb4a471, 0x242284c5188b6355, 0x47eb70decb65cc5c,
  0x556a011355fd51b0, 0x35d09c73c9fdaf2e, 0x76a96fab39d454aa, 0xaa5f7afa1a89ace5, 0xeb9ed5688af29a84,
  0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0xb2048ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749,
  0x00000275c9f84019,
};

// m64c1_swio10_noled_pr_ce_u4       m64m1_swio10_noled_pr_ce          m64m1_swio10_noled_pr_ce_u4
static const uint64_t ur_m64c1_swio10_noled_pr_ce[] = {
  0x07dddddda2431202, 0x1cb96960418d8ac7, 0xc7619eed69b3fd7a, 0x7f12368915685365, 0x2a0a3760cc17eef0,
  0x304f8c9dd666d89a, 0x9160bfe9eaf9f95d, 0xe6e76a7a317ebd44, 0xe21b0911759c3cf1, 0xe1ef0f96bf51f097,
  0x249ee59d5f593262, 0x9490e2481e0bf51f, 0xf476b1cc580bdd02, 0x1ffb33c75e8f9d9e, 0xa81e5add70d67aa0,
  0xe793fb5e5caad556, 0x5673a8a9546ba138, 0xf4351359caed52df, 0xd115e5350954bef5, 0xf0d3bcf8b5d73daa,
  0x78ce881077536294, 0x6f62aa8b4b689c63, 0x6e52d4bf36c810c7, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xd7caac00653c95fb,
  0x000000000000000d,
};

// m64c1_swio10_noled_pr_ee_ce_u4    m64m1_swio10_noled_pr_ee_ce       m64m1_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio10_noled_pr_ee_ce[] = {
  0xa7bbbbbb4486cc7f, 0x6ee5a5861c123586, 0x177276e9b185401b, 0x3b1ec454df4ef234, 0xa3bb8247c613c4b5,
  0x327753eeabdd928f, 0xff4f57cfb5dcc13e, 0x918bf5472ba48bfc, 0x8bace1e78f373b7f, 0xe5fa8f84bf10d848,
  0x20f7cc98b870a47c, 0x807a8f2b74b29dac, 0x4c5721fd47c1b306, 0xcb1148b34eb42281, 0xdbbf70ea426be8c2,
  0xce9bb6948e2139d5, 0x314622d8d578d8eb, 0x37b2d973170908a1, 0x326abfaa3608991c, 0x8e793fb5e5caad4b,
  0xf5673a8a9546ba13, 0x5f4351359caed52d, 0xad115e5350954bef, 0x4f0d3bcf8b5d73da, 0x378ce88107753629,
  0x76f62aa8b4b689c6, 0xc6e52d4bf36c810c, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x9f9710700653c95f,
};

// m64m1_swio10_noled_ee_hw
static const uint64_t ur_m64c1_swio10_noled_ee_hw[] = {
  0x137777768a341202, 0x6ae5a58f5369758a, 0x3da8bba4cf8ff893, 0x47914c1ae6ecadb5, 0xaa0b42f0a2291128,
  0x09f193baccdb16a0, 0x474dff958b3e35a6, 0xe5670e6ab5a38f72, 0xafa8f83660cf5f51, 0x1669d68450ef8acb,
  0x93484d7d18596229, 0xe2139d5a5ff72e35, 0xab5d0ebce9bb6948, 0xb84845098a3116c6, 0x608fd6e1bd96cb98,
  0x5caad40226abfaa3, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0x0954bef5f4351359, 0xb5d73daad115e535,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b, 0x73f509c637296a5f, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000005bf180051,
};

// m64c1_swio10_noled_ee_ce_u4_hw    m64m1_swio10_noled_ee_ce_hw       m64m1_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio10_noled_ee_ce_hw[] = {
  0x3dddddda28d01107, 0x772d2c30e091ac35, 0xbb93b74d8c2a00db, 0xd8f622a6fa7791a0, 0x1ddc123e309e25a9,
  0xf193ba9c8abf77ed, 0xfcff2b167daee609, 0x7f918bf5472ba48b, 0x911759c3cf3c873b, 0xbaa3f51f097e21b0,
  0xac20f7cc98b87ba1, 0x06807a8f2b74b29d, 0x814c5721fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbf70ea426be8,
  0xebce9bb6948e2139, 0xa1314622d8d578d8, 0x1c37b2d973170908, 0x4b326abfaa360899, 0x138e793fb5e5caad,
  0x2df5673a8a9546ba, 0xef5f4351359caed5, 0xdaad115e5350954b, 0x294f0d3bcf8b5d73, 0xc6378ce881077536,
  0x0c76f62aa8b4b689, 0x38c6e52d4bf36c81, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0280845daa29e4af,
};

// m64c1_swio10_lednop_pr            m64m1_swio10_lednop               m64m1_swio10_lednop_pr
static const uint64_t ur_m64c1_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x9101e0cc2444d327, 0x085e6c311e3ef26e,
  0x63e609f193bb63d9, 0x4d491dbffefceb3e, 0x40c43fa8f109df2c, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0xe39e4fed7972ab52, 0x7d59cea2a551ae84, 0xd44d7020272bb54b, 0x5794d4255aba5fd0,
  0x80b9d01e5cf6ab44, 0x5a561130bd4b5e53, 0x1bc674408bf71408, 0xce1b94b52fcdb4e3, 0x75663c81a3f8d163,
  0xe32c970cf4c2b93f, 0xd0ccb0e9296ce1c4, 0x9000a746e9e4afdc, 0x000000000000000f,
};

// m64m1_swio10_lednop_pr_u4
static const uint64_t ur_m64c1_swio10_lednop_pr_u4[] = {
  0x526eeeeed121ad4e, 0x6b5cb4b10ad00563, 0xfa0bf770f8da4886, 0x111e4238c99b11e6, 0x233cc6a197bddd49,
  0x827c64ee989b82b4, 0x887bff4f57cfc069, 0x7bd479c4ef961164, 0x318f3d6921c49032, 0xe44707ce62c05965,
  0x01ffb30475e8f9db, 0x5681e59edef7d02a, 0x8e793fb5e5caad60, 0xf5673a8a9546ba13, 0x5135c0809caed52d,
  0x5e5350956ae97f43, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xd4bf36cbb22adec5,
  0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x9b00653c95fb9a19, 0x00000000003e4dd5,
};

// m64c1_swio10_lednop_pr_ee_u4      m64m1_swio10_lednop_pr_ee         m64m1_swio10_lednop_pr_ee_u4
static const uint64_t ur_m64c1_swio10_lednop_pr_ee[] = {
  0x426eeeeed121b032, 0x6d5cb4b1ea6f5eb1, 0x27a47f746db11f12, 0x08f229835da59bbb, 0x72b2210208452225,
  0x4f8c9dd6c473ba72, 0x1cbfd3d5f3fd5f30, 0xb287355ad1c7b923, 0xd47c1b3067afa8f2, 0x34eb422877c56c17,
  0xa426be8c2cb1148b, 0xe1cead2ff3971ac9, 0x5d0ebce9bb04f46b, 0x908a3244637ec6ab, 0x1fadc37b2d973170,
  0xab500ae1acf546c1, 0xae84e39e4fed7972, 0xb54b7d59cea2a551, 0x5fd0d44d7020272b, 0xab445794d4255aba,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x1b94b52fcdb2ec8a, 0xb337f07771a2c893,
  0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x75fbe080194f257e, 0x0000000000000002,
};

// m64c1_swio10_lednop_pr_ce_u4      m64m1_swio10_lednop_pr_ce         m64m1_swio10_lednop_pr_ce_u4
static const uint64_t ur_m64c1_swio10_lednop_pr_ce[] = {
  0x83eeeeeed12198e2, 0x1cb9696041b17d63, 0xc7685eef1fa13d7a, 0x1fc48da24536168c, 0xc6759a59fbc77bbc,
  0xcc13e32774a70f65, 0x2472b7fa7abe7f4d, 0x79b9dcae8c5faf51, 0xf886c2445d670f3c, 0xb8767ceb3fd47c25,
  0x0527b96757d64c98, 0x052438920782fd47, 0x44707ce62c050f68, 0x1ffb33c75e8f9dbe, 0x5a0796b76f7d02a0,
  0x39e4fed7972ab581, 0xd59cea2a551ae84e, 0x44d7020272bb54b7, 0x794d4255aba5fd0d, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xa5f9b65d863b7b15, 0x0eee345912637296, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x900329e4afdcd0cc,
  0x00000000006eb983,
};

// m64c1_swio10_lednop_pr_ee_ce_u4   m64m1_swio10_lednop_pr_ee_ce      m64m1_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio10_lednop_pr_ee_ce[] = {
  0xa9eeeeeed1219f68, 0xdbb9696187119d61, 0x23b02f7419ad1006, 0x9d8f622a6c48f4eb, 0x8c8c4efa6309e25a,
  0xe32774abd13ec305, 0xfffa7abe7c524c13, 0xbf18bf5472ba48d6, 0x11759c3cf1e6e775, 0x6eff51f097e21b09,
  0x083df3262e1c6177, 0xa01ea3cacbaca76b, 0x531594bf51f06cc1, 0xb2c4522cd3ad08a0, 0x76ef9c3a909afa30,
  0xe74dd827a35f0e75, 0x244637ec6abc6c75, 0x37b2d973170908a3, 0x770d67aa3608991c, 0x1cf27f6bcb955a96,
  0xeace75152a8d7427, 0xa26b8101395daa5b, 0xbca6a12ad5d2fe86, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb2ec31dbd8a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x400194f257ee6866, 0x000000000009f86e,
};

// m64m1_swio10_lednop_ee_hw
static const uint64_t ur_m64c1_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a18e2, 0xb572d2c7a9bd7ac5, 0x9e91fdd1b6c47c49, 0x23c8a60d76966eec, 0x5ac8840821148894,
  0x827c64ee94e1eda7, 0x231cbfcac59feaf9, 0xf2b287355ad1c7b9, 0x17d47c1b3067afa8, 0x8b34eb422877c56c,
  0xc9a426be8c2cb114, 0x6be1cead2ff3971a, 0xab5d0ebce9bb04f4, 0x70908a3244637ec6, 0xc11fadc37b2d9731,
  0x72ab500ae1acf546, 0x51ae84e39e4fed79, 0x2bb54b7d59cea2a5, 0xba5fd0d44d702027, 0xf6ab445794d4255a,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe31b94b52fcdb2ec, 0xc3def2861539fa84,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x02df19e4e8a792bf,
};

// m64c1_swio10_lednop_ee_ce_u4_hw   m64m1_swio10_lednop_ee_ce_hw      m64m1_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio10_lednop_ee_ce_hw[] = {
  0x9eeeeeed14687f3e, 0xbb9696187119d61a, 0x3b02f7419ad1006d, 0xd8f622a6c48f4eb2, 0xc8c4efa6309e25a9,
  0xf193bb1aa8bf5d6c, 0x6fff958b3e292609, 0x5bf18bf5472ba48d, 0x222eb3879e790e77, 0x6ddfea3e12fc4361,
  0xb083df3262e1c000, 0x1a01ea3cacbaca76, 0x0531594bf51f06cc, 0x0b2c4522cd3ad08a, 0x576ef9c3a909afa3,
  0x5e74dd827a35f0e7, 0x3244637ec6abc6c7, 0xc37b2d973170908a, 0x6770d67aa3608991, 0x71cf27f6bcb955a9,
  0xbeace75152a8d742, 0x6a26b8101395daa5, 0x2bca6a12ad5d2fe8, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xaaa2d2414e31bc67, 0xb52fcdb2ec31dbd8, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x04a8a792bf734332, 0x00000000000a020a,
};

/*
 * m64c1_swio10_dual_pr              m64c1_swio10_dual_pr_u4           m64m1_swio10_dual
 * m64m1_swio10_dual_pr              m64m1_swio10_dual_pr_u4
 */
static const uint64_t ur_m64c1_swio10_dual[] = {
  0x17777776890d365a, 0xcdad7ec35f656acd, 0xb1ab7638f916967e, 0x912b7f4d5f1da0dd, 0xbd84339cf5b75a2d,
  0x9c2ae5913d7b1d72, 0x2f25522e87304f8c, 0x678b3d2442760a64, 0x774f8971030a1835, 0xe1fba64adf99404a,
  0x0f737a8f01b61528, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0xe22195672f4ce35d, 0x9e136f7150865a03,
  0x7cd012db943ffa03, 0xcd7b982c3795e5ab, 0x443be587c92352bf, 0xaa4871240c45f51e, 0xe731602a83cdfb8c,
  0x823af006769c51bd, 0x3db5af07d500ffd9, 0xe7771525bfc303cb, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c,
  0xe0404e576a96fab3, 0xa84ab574bfa1a89a, 0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b65d9156f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x329e4afdcd0ccb0e, 0x0000000524d79f00,
};

// m64m1_swio10_dual_pr_ee
static const uint64_t ur_m64c1_swio10_dual_pr_ee[] = {
  0xd96eeeee87ad0c86, 0xe36b5fb02faefd59, 0xe83eddfb4768c8c4, 0x4a83602935d00d8b, 0xde4ca2ff4a34dd91,
  0xdcbbb1bb26d398a4, 0xa90e9d4c13e32792, 0x9e92213b05321792, 0xc4b881850c1ab3c5, 0xe6b1ffcca0253ba7,
  0xd47eafd850f9c3a7, 0x28524482481c729b, 0x1f0a21895fe7ef82, 0x5672f4ce5d0c4fae, 0x3e2a10cb40a2a219,
  0x6de76ffe80e784c6, 0x161bcaf2d5be6809, 0x94592343ffe6bdcc, 0x57a8f2bdf7355ad1, 0xc576ebd47c1b3066,
  0xb1148b34eb422877, 0x5c54b9a426be8c2c, 0x1ed1e9473ab4b943, 0x1b1aad743af512ed, 0x9662e121142008d3,
  0x951b047eb70decbe, 0xbe777152500a32b5, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0xae0404e576a96fab,
  0x9a84ab574bfa1a89, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8,
  0x71a2cf78237296a5, 0x2a73f53ab337f077, 0xc3dce32fcc4fe50c, 0xb93f1cf7ff04d1f6, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x000ac83a280329e4,
};

// m64m1_swio10_dual_pr_ee_u4
static const uint64_t ur_m64c1_swio10_dual_pr_ee_u4[] = {
  0x06edddddda2432db, 0x366d6bf605fbf7ab, 0x56f77ba3dac32338, 0x37333e9cecb6c5e3, 0x3a0b201a2ff4a34c,
  0x9fa7723822ac70b3, 0x5e4aa43a75304f8c, 0xcf167a4884ec14c8, 0xee9f12e20614306a, 0x0eaf9a87ff328094,
  0xba9bd478e5b03827, 0xef8228524482481d, 0x4fae1f0a21895fe7, 0x110cab397a6732a0, 0xe136df8a8432d07f,
  0x9a025b79dbffa039, 0xaf730586f2bcb56f, 0xab5a37f248d0fff9, 0xcc184ff51e56c166, 0x8a1df15c87f51f06,
  0xa30b2c4522cd3ad0, 0x2ee4d7082e6909af, 0x589da7147371cead, 0x7471958d56ba1d7b, 0xf65c7c62e121142d,
  0x7715255c749f5b86, 0xdaf2e556b3f8abe7, 0x454aa35d09c73c9f, 0x404e576a96fab39d, 0x4ab574bfa1a89ae0,
  0xd6b9ed5688af29a8, 0xea58594d8b3a03cf, 0x363fc502169ab9d5, 0x4bf36d38c6f19d10, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xa00653c95fb9a199, 0x000000000002b240,
};

// m64c1_swio10_dual_pr_ce_u4        m64m1_swio10_dual_pr_ce           m64m1_swio10_dual_pr_ce_u4
static const uint64_t ur_m64c1_swio10_dual_pr_ce[] = {
  0xb13bbbbbb4486f97, 0xecdad7ec36d47f56, 0x7b5c775b13b21232, 0x4c8f913755a1d708, 0xa749ae89fd77bb62,
  0xc923f7278233af70, 0x85e4aa41d7d304f8, 0xacf167a4884ec14c, 0x4ee9f12e20614306, 0x1c06b4c4ebf32809,
  0x795a6f51f4dec22b, 0x9fbe08a149120920, 0xf13eb87c2886257f, 0xf6886559cbd339d1, 0x9e1304f8a8432d00,
  0xf9a025b7b1fffa03, 0x9af730586f2bcb56, 0x518bf50f72462b7f, 0x8bace1e78f373b8e, 0xe5fa8f84bf10d848,
  0xabd4b993170f494c, 0x03b87ea3f513dcb3, 0x1602d4aeea921c49, 0xaf006769c51bde73, 0x5af07d500ffd99e3,
  0xdc5496ff0c0f2d6e, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0x01395daa5beace75, 0x2ad5d2fe86a26b81,
  0xbae7b55a22bca6a1, 0x417296be74078e56, 0x14e31bc67440842a, 0x2ec31dbd8aaa2d24, 0x2c8931b94b52fcdb,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a,
  0xf257ee6866587494, 0x000001a498c40194,
};

// m64m1_swio10_dual_pr_ee_ce
static const uint64_t ur_m64c1_swio10_dual_pr_ee_ce[] = {
  0xbed6eeeeeea1a5fb, 0xa71b5afd86b8fcd5, 0xfb99bddb178d4029, 0x388a7272b4107c89, 0x25f5ebbf1d989fb5,
  0xe52c8d7551895658, 0x9196d2609f192646, 0xe92213b05321792a, 0x4b881850c1ab3c59, 0x66bbfcca0253ba7c,
  0xa8fa6b60ff0e1882, 0x50a48904903ff937, 0x3e144312bfcfdf04, 0x59cbd338edd89f5c, 0x38a8432d053c8865,
  0xb735bffa039e131c, 0x586f2bcb56f9a025, 0x53d245fe7f9af730, 0x78f373b7f963faa3, 0x74ce7587524e6ffe,
  0xa8f2bcad29dac0b3, 0x72bbd47c1b307dd7, 0x148b34eb422814c5, 0xa18ea426be8c2cb1, 0x768f68f4a39d5db8,
  0xd31b1aaf1b1d7a89, 0xbe9662e121142008, 0x5aca8d8226470dec, 0xc55f3bb8a9296719, 0x39e4fed7972ab59f,
  0xd59cea2a551ae84e, 0x44d7020272bb54b7, 0x794d4255aba5fd0d, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0xa5f9b65d863b7b15, 0x07771a2c79c37296, 0x67a615c9fbab337f, 0x494b670e271964b8,
  0x194f257ee6866587, 0x000000001304e700,
};

// m64m1_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150ffac4f, 0x6b5fb40057bd58b1, 0xc776abc75f654e23, 0x6b3ef3373684dea8, 0xbb413620d96267c7,
  0x5c7f9af41a9c86b8, 0xc13e325eb5ca69d5, 0xc14c85e4aa46b82c, 0x4306acf167a4884e, 0x56024ee9f12e2061,
  0x3f5ce06b734c37e6, 0x240eb7e6f51c526c, 0xaff3f7c114292241, 0x1d7c27d70f8510c4, 0x423922195672f4ce,
  0x80e784dbee2a10cb, 0xd5be68096dee47fe, 0xffd7c14c161bcaf2, 0xf18bf5471ca48feb, 0x5d670f3cf80677fa,
  0xafd47c25f886c244, 0x1374c98b8767afd6, 0xd7a8f2bcad29dac2, 0xc572bbd47c1b307d, 0xb1148b34eb422814,
  0xb8a18ea426be8c2c, 0x89768f68f4a39d5d, 0x08d31b1aaf1b1d7a, 0xecbe9662e1211420, 0x195aca8d8226470d,
  0x9fc55f3bb8a92967, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x0d44d7020272bb54, 0x45794d4255aba5fd,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x96a5f9b65d863b7b, 0xf068fe3459126372,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x76b5564f257ee686, 0x00000000000800d1,
};

// m64m1_swio10_dual_ee_hw
static const uint64_t ur_m64c1_swio10_dual_ee_hw[] = {
  0xd96eeeeed1468f97, 0xe36b5fb02faefd59, 0xe83eddfb4768c8c4, 0x4a83602935d00d8b, 0xde4ca2ff4a34dd91,
  0xc96e4f04675aa744, 0xc954874ea609f193, 0xe2cf49109d82990b, 0xd3e25c40c2860d59, 0xd3f358ffe657419d,
  0x4dea3f57ec287ce1, 0xc114292241240e39, 0xd70f8510c4aff3f7, 0x0cab397a672e8627, 0x631f150865a05151,
  0x04b6f3b7ff4073c2, 0xa60b0de5796adf34, 0x4651648d0ffff51b, 0x995ea3caf7dcd56b, 0xdf15dbaf51f06cc1,
  0xb2c4522cd3ad08a1, 0x0d7152e6909afa30, 0xb47b47a51cead2e5, 0x4c6c6ab5d0ebd44b, 0xfa598b8484508023,
  0xd6546c11fadc37b2, 0x2af9ddc5494028ca, 0xcf27f6bcb955acfe, 0xace75152a8d74271, 0x26b8101395daa5be,
  0xca6a12ad5d2fe86a, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97e6d976455bd8aa,
  0x0a9cfd42718dca5a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0x9453c95fb9a19961, 0x000000000aed522c,
};

// m64c1_swio10_dual_ee_ce_u4_hw     m64m1_swio10_dual_ee_ce_hw        m64m1_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio10_dual_ee_ce_hw[] = {
  0x2dddddda28d0d8be, 0x6d6bf6800af7ab16, 0x18eed578ebeca9c4, 0xed67de66e6d09bd5, 0x176826c41b2c4cf8,
  0xe75a41b4beb390d7, 0xb82cc13e325eb5c9, 0x884ec14c85e4aa46, 0x20614306acf167a4, 0x1bf32ba0cee9f12e,
  0x29361fae7035b9a6, 0x912092075bf37a8e, 0x886257f9fbe08a14, 0x7a670ebe13eb87c2, 0x0865a11c910cab39,
  0x23ff4073c26df715, 0xe5796adf3404b6f7, 0x8febfff51ba60b0d, 0x77faf18bf5471ca4, 0x61222eb3879e790e,
  0x72ea77ea3e12fc43, 0x3b58426e993170fe, 0x660fbaf51e5795a5, 0x450298ae577a8f83, 0xd185962291669d68,
  0x73abb71431d484d7, 0x63af512ed1ed1e94, 0x2284011a636355e3, 0xc8e1bd97d2cc5c24, 0x252ce32b5951b044,
  0xe556b3f8abe77715, 0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x74bfa1a89ae0404e, 0xed5688af29a84ab5,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x8c6e52d4bf36cbb0, 0x0f7bca1854e7ea13,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3aeb38bea29e4afd,
};

/*
 * m64c1_swio11_noled_pr             m64c1_swio12_noled                m64c1_swio12_noled_pr
 * m64m1_swio11_noled                m64m1_swio11_noled_pr             m64m1_swio12_noled
 * m64m1_swio12_noled_pr
 */
static const uint64_t ur_m64c1_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xe97752267ba0c90e, 0x783309a93783eadb, 0x641d78d7d9fbad82,
  0x827c64ee82f41331, 0x23dd7fbf3acfc7b9, 0x7ff51d313be5ba09, 0x4c800f9490e2481d, 0x7488c9e398b016f7,
  0x1f71cb1823af173b, 0xf27f6bcb955a9582, 0xce75152a8d74271c, 0x6a26b395daa5beae, 0x8af29a84ad8debe8,
  0xa7d3bcfd6b9ed568, 0xb4b0b9d4ea701652, 0x378ce8811e5e2810, 0x9c37296a5f9b69c6, 0xeacc790347f1a2c7,
  0xc6592e19e985727e, 0xa19961d252d9c389, 0x40924e8dd3c95fb9, 0x000000000000003e,
};

// m64c1_swio12_noled_pr_u4          m64m1_swio11_noled_pr_u4          m64m1_swio12_noled_pr_u4
static const uint64_t ur_m64c1_swio11_noled_pr_u4[] = {
  0xa226eeeed121bf82, 0xb9696215b6dd627b, 0x98eea1c489910cd6, 0x1e42e27d2f1f327b, 0xba87003c9bb3dd11,
  0x7c64eeae31238541, 0xdfff4f57cf98f982, 0xd47050ef96dee48e, 0x7b402921c490326b, 0xa3114e62c0596530,
  0xffd9823af47cec98, 0xc0f2cf6ed6279500, 0x3c9fdaf2e556a844, 0xb39d454aa35d09c7, 0x1a89ace576a96fab,
  0x22bca6a12b637afa, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xca5a97e6db0862ad,
  0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0xd34f800ca792bf73, 0x00000000000003e4,
};

/*
 * m64c1_swio11_noled_pr_ee_u4       m64c1_swio12_noled_pr_ee          m64c1_swio12_noled_pr_ee_u4
 * m64m1_swio11_noled_pr_ee          m64m1_swio11_noled_pr_ee_u4       m64m1_swio12_noled_pr_ee
 * m64m1_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m64c1_swio11_noled_pr_ee[] = {
  0x6f26eeeed121b705, 0xae5a58f531a7582f, 0xdb23bbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x8c9ddb0db2b92a4c, 0xdfe9eaf9f383304f, 0x759aad68cc7c91d9, 0x3e0d983ea3d47959, 0x75a1143be2b297ea,
  0x135f4616588a459a, 0xe75697726b8d64d2, 0x43af3a6ec7aa3f90, 0x1144428f7bb1aad7, 0xf5b86f65b2e62e12,
  0x5a805d073ca8d823, 0x74271cf27f6bcb95, 0xa5beaece75152a8d, 0x8debe86a26b395da, 0x9ed5688af29a84ad,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4, 0x912637296a5f9b6c, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x0004ebbe4980329e,
};

/*
 * m64c1_swio11_noled_pr_ce_u4       m64c1_swio12_noled_pr_ce          m64c1_swio12_noled_pr_ce_u4
 * m64m1_swio11_noled_pr_ce          m64m1_swio11_noled_pr_ce_u4       m64m1_swio12_noled_pr_ce
 * m64m1_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m64c1_swio11_noled_pr_ce[] = {
  0xf89ddddda2432493, 0xb96960418add60c9, 0x5a5ee8d7793d7a1c, 0x891b4d9e8261550f, 0xed1fbc5f63f74c9f,
  0x27c64ee86e41447c, 0xa9eff4f57cfefb98, 0xe77812317ea13e48, 0x1b0911759c3cf1e6, 0xe6199f3f51f097e2,
  0x9ee59d5f593262e1, 0x90e2481acff51d7c, 0x88a731602edf97d4, 0xeccf1d7a3e764c51, 0x1e5add6b13ca807f,
  0x93fb5e5caad50898, 0x73a8a9546ba138e7, 0x51359caed52df576, 0x5794d4256c6f5f43, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x96a5f9b6c2131dbd, 0xfe0eee3459126372, 0xbca1854e7ea75666,
  0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xfad80329e4afdcd0,
  0x0000000000006eb9,
};

/*
 * m64c1_swio11_noled_pr_ee_ce_u4    m64c1_swio12_noled_pr_ee_ce       m64c1_swio12_noled_pr_ee_ce_u4
 * m64m1_swio11_noled_pr_ee_ce       m64m1_swio11_noled_pr_ee_ce_u4    m64m1_swio12_noled_pr_ee_ce
 * m64m1_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m64c1_swio11_noled_pr_ee_ce[] = {
  0xd8fddddda243304a, 0xb969618720dd631d, 0xa64774ad921006db, 0x63d88e152ef92841, 0x9c8ccd28c2789c77,
  0x2776c5d47deb2018, 0xfa7abe7e004c13e3, 0x18bf547bee48dadf, 0x759c3cf1e6e776b7, 0xff51f097e21b0911,
  0x3df3262e1d5d7185, 0x5ea3cae43ca76b08, 0x159c3f51f06cc1e9, 0xc4522cd3ad08a053, 0xe7263a909afa30b2,
  0xa6ec7aa3f90e7576, 0x51ef76355e363af3, 0xecb65cc5c2422888, 0xd073ca8d8226470d, 0xcf27f6bcb955a967,
  0xece75152a8d74271, 0x86a26b395daa5bea, 0x88af29a84ad8debe, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7,
  0x7b15545a5b44e31b, 0xe52d4bf36d84263b, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1,
  0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xc98be00653c95fb9, 0x000000000000004f,
};

// m64c1_swio12_noled_ee_hw          m64m1_swio11_noled_ee_hw          m64m1_swio12_noled_ee_hw
static const uint64_t ur_m64c1_swio11_noled_ee_hw[] = {
  0x793777768a342493, 0x72d2c7a98d3ac17b, 0xd91dddb6ebfc49b5, 0xc8a671f3f60cf1de, 0x40f5c90229110bdb,
  0xf8c9dd0dc82b4ed0, 0xb3bfcac59f383304, 0xb2eb355ad198f923, 0xd47c1b307d47a8f2, 0x34eb422877c5652f,
  0xa426be8c2cb1148b, 0x21cead2ee4d71ac9, 0xae875e74dd8f547f, 0x242288851ef76355, 0x47eb70decb65cc5c,
  0x2ab500ba0e7951b0, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x5b1bd7d0d44d672b, 0xd73daad115e53509,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd843156f62aa8b4b, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7,
  0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000b7f85daa29e,
};

/*
 * m64c1_swio11_noled_ee_ce_u4_hw    m64c1_swio12_noled_ee_ce_hw       m64c1_swio12_noled_ee_ce_u4_hw
 * m64m1_swio11_noled_ee_ce_hw       m64m1_swio11_noled_ee_ce_u4_hw    m64m1_swio12_noled_ee_ce_hw
 * m64m1_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_swio11_noled_ee_ce_hw[] = {
  0xc7eeeeed146807e1, 0xcb4b0c3906eb18ee, 0x323ba56c908036dd, 0x1ec470a977c9420d, 0xe466694613c4e3bb,
  0x3277421efde8ebc4, 0xbff2b167e004c13e, 0x6e317ea8f7dc91b5, 0x45d670f3cf21ceed, 0x00fd47c25f886c24,
  0x083df3262e1fbac0, 0xe95ea3cae43ca76b, 0x53159c3f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e7263a909afa30,
  0xf3a6ec7aa3f90e75, 0x8851ef76355e363a, 0x0decb65cc5c24228, 0x67d073ca8d822647, 0x71cf27f6bcb955a9,
  0xeaece75152a8d742, 0xbe86a26b395daa5b, 0x5688af29a84ad8de, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14,
  0x3b7b15545a5b44e3, 0xc6e52d4bf36d8426, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x4044e4aa29e4afdc, 0x0000000000000001,
};

// m64c1_swio12_lednop               m64m1_swio11_lednop               m64m1_swio12_lednop
static const uint64_t ur_m64c1_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xeee5a5885619586c, 0xda87bbe17a0a0c90, 0xe0cc26a475f5a789, 0xc8401b6d22eeb609,
  0xcc13e3277417a09a, 0x491913fdf9d67c3d, 0xebffa8ebe1df2dd0, 0xe9b6fcbea4871240, 0x96ba3b86731602de,
  0xadb8e58c11d78b9d, 0x3c9fdaf2e556a565, 0xb39d454aa35d09c7, 0xae0404e576a96fab, 0x4d42572f4bfa1a89,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0x85727e7f61b94b52,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00000549f5ce8dd3,
};

/*
 * m64c1_swio11_lednop_pr_u4         m64c1_swio12_lednop_pr            m64c1_swio12_lednop_pr_u4
 * m64m1_swio11_lednop_pr            m64m1_swio11_lednop_pr_u4         m64m1_swio12_lednop_pr
 * m64m1_swio12_lednop_pr_u4
 */
static const uint64_t ur_m64c1_swio11_lednop_pr[] = {
  0x7444ddddda243762, 0xd72d2c42b171ac4f, 0xd8fddf5fe172219a, 0x4790b89db7e9522e, 0xb85fe3fc5eecf744,
  0x7c64eed334668223, 0x7bff4f57cfafb982, 0xd47400ef96dee48c, 0xfcea2921c490326b, 0x231be731602cb299,
  0xffd9823af47ced92, 0x81e59edc1fe91500, 0x793fb5e5caad65da, 0x673a8a9546ba138e, 0x5c0809caed52df57,
  0x9a84ae5e97f43513, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8,
  0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x0329e4afdcd0ccb0, 0x00000000f934acd8,
};

/*
 * m64c1_swio11_lednop_pr_ee_u4      m64c1_swio12_lednop_pr_ee         m64c1_swio12_lednop_pr_ee_u4
 * m64m1_swio11_lednop_pr_ee         m64m1_swio11_lednop_pr_ee_u4      m64m1_swio12_lednop_pr_ee
 * m64m1_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m64c1_swio11_lednop_pr_ee[] = {
  0xb79377776890c044, 0x572d2c7a9d05ac17, 0xf4d2eec01e97c49b, 0xde45338f8d33f6a6, 0xb45a8ac81148885e,
  0xc64eea0a4e52ec21, 0x6ff4f57cfa5a9827, 0x82cd56b4663e488d, 0x1f06cc1f51ea3cad, 0x3ad08a1df15a9ef5,
  0x09afa30b2c4522cd, 0x73ab4bba55c6b269, 0xa1d79d3769111cdc, 0x08a17c471958d56b, 0xfadc37b2d9731709,
  0xad402b589e546c11, 0xba138e793fb5e5ca, 0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x7296a5f9b6c63156, 0x66fe0eee34591263,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x5c02b00329e4afdc, 0x0000000000000027,
};

/*
 * m64c1_swio11_lednop_pr_ce_u4      m64c1_swio12_lednop_pr_ce         m64c1_swio12_lednop_pr_ce_u4
 * m64m1_swio11_lednop_pr_ce         m64m1_swio11_lednop_pr_ce_u4      m64m1_swio12_lednop_pr_ce
 * m64m1_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m64c1_swio11_lednop_pr_ce[] = {
  0xfc4eeeeed121be4a, 0x5cb4b020c6eeb064, 0x5ebeebaf2f7ebd0e, 0x12369b3cada090bf, 0xbe1a70cde9ee993f,
  0x4f8c9dd29475be9a, 0x95dfe9eaf9fd9d30, 0xcef7dc62fd427c91, 0x361222eb3879e3cd, 0x66fa547ea3e12fc4,
  0x7b96757d64c98b87, 0x871240d67fa8f2fa, 0x6f9cc580b1ef4aa4, 0x6678ebd1f3b6488c, 0xe5add07fa45403ff,
  0x3fb5e5caad65da81, 0x3a8a9546ba138e79, 0x0809caed52df5767, 0x84ae5e97f435135c, 0x5aeb9ed5688af29a,
  0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d8c4c76f62aa8b4, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2,
  0x000000dd76f82006,
};

/*
 * m64c1_swio11_lednop_pr_ee_ce_u4   m64c1_swio12_lednop_pr_ee_ce      m64c1_swio12_lednop_pr_ee_ce_u4
 * m64m1_swio11_lednop_pr_ee_ce      m64m1_swio11_lednop_pr_ee_ce_u4   m64m1_swio12_lednop_pr_ee_ce
 * m64m1_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m64c1_swio11_lednop_pr_ee_ce[] = {
  0xd8fddddda2436812, 0xb969618711dd631d, 0xaccf7717a09006db, 0xc7b11c2a0dcbb68b, 0x2727189184f138ee,
  0x93bbbf6160149af6, 0xfa7abe7f1ba609f1, 0x18bf547bee48b5df, 0x759c3cf1e6e76d77, 0xbf51f097e21b0911,
  0x0f7cc98b87ea72e0, 0x57a8f2b29729dac2, 0xc5650fd47c1b307a, 0xb1148b34eb422814, 0xb9d28ea426be8c2c,
  0xe9bb4888e6e39d5d, 0xc471958d578d8ebc, 0x7b2d973170908a17, 0xdac4f2a3608991c3, 0x73c9fdaf2e556a59,
  0xbb39d454aa35d09c, 0x9ae0404e576a96fa, 0x94d42572f4bfa1a8, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x5f9b6c6263b7b155, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x00329e4afdcd0ccb, 0x00000000013f3ecf,
};

// m64c1_swio12_lednop_ee_hw         m64m1_swio11_lednop_ee_hw         m64m1_swio12_lednop_ee_hw
static const uint64_t ur_m64c1_swio11_lednop_ee_hw[] = {
  0xbc9bbbbb451a3e4a, 0xb96963d4e82d60bd, 0xa6977600f4be24da, 0xf2299c7c699fb537, 0xa2d456408a4442f6,
  0x7c64ee94a3adaaf9, 0x1adfe562cfa5a982, 0x5b059aad68cc7c91, 0xea3e0d983ea3d479, 0x9a75a1143be2b53d,
  0xd2135f4616588a45, 0xb8e7569774ab8d64, 0xd743af3a6ed22239, 0x121142f88e32b1aa, 0x23f5b86f65b2e62e,
  0x955a8056b13ca8d8, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0x2fe86a26b8101395, 0xaad115e535095cbd,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36d8c62, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x5bf34d6a29e4afdc,
  0x0000000000000000,
};

/*
 * m64c1_swio11_lednop_ee_ce_u4_hw   m64c1_swio12_lednop_ee_ce_hw      m64c1_swio12_lednop_ee_ce_u4_hw
 * m64m1_swio11_lednop_ee_ce_hw      m64m1_swio11_lednop_ee_ce_u4_hw   m64m1_swio12_lednop_ee_ce_hw
 * m64m1_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_swio11_lednop_ee_ce_hw[] = {
  0xc7eeeeed14683d5b, 0xcb4b0c388eeb18ee, 0x667bb8bd048036dd, 0x3d88e1506e5db45d, 0x3938c48c2789c776,
  0x8c9dd67ceb7b5ab1, 0xdff958b3f8dd304f, 0x7718bf547bee48b5, 0x22eb3879e790e76d, 0x83fea3e12fc43612,
  0x107be64c5c3ea83c, 0xd2bd479594b94ed6, 0xa62b287ea3e0d983, 0x6588a459a75a1140, 0xedce94752135f461,
  0xe74dda4447371cea, 0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e, 0xe39e4fed7972ab52,
  0xd5d9cea2a551ae84, 0x44d7020272bb54b7, 0xbca6a12b97a5fd0d, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb63131dbd8a, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x928a792bf734332c, 0x00000000005014ea,
};

/*
 * m64c1_swio11_dual_pr              m64c1_swio11_dual_pr_u4           m64c1_swio12_dual
 * m64c1_swio12_dual_pr              m64c1_swio12_dual_pr_u4           m64m1_swio11_dual
 * m64m1_swio11_dual_pr              m64m1_swio11_dual_pr_u4           m64m1_swio12_dual
 * m64m1_swio12_dual_pr              m64m1_swio12_dual_pr_u4
 */
static const uint64_t ur_m64c1_swio11_dual[] = {
  0xb23bbbbb4486ff3e, 0x6b5fb0d7499ab11f, 0x3edd123c95a59fb3, 0x4ad9899c43d8dd6b, 0x65a93934edd23f64,
  0x0ab934f15ee8beaf, 0xc9548eeb4c13e327, 0xe2cf49109d82990b, 0xd3e25c40c2860d59, 0x7ee992b7e650129d,
  0xdcdea3c06d854a38, 0x7c114292241240c3, 0x7d70f8510c4aff3f, 0x4432ace5e99c8002, 0xc26dee2a10cb407c,
  0x9a025b760bff4073, 0xaf730586f2bcb56f, 0x8ef965af244a2ff9, 0x921c4903defd47ee, 0x98b01541e67261ee,
  0x1d78033b2008d313, 0x6def1bea807fecc1, 0xeee2a4af9d40f2cf, 0xfb5e5caad67f157c, 0xa8a9546ba138e793,
  0x809caed52df57673, 0x4ae5e97f435135c0, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6c63156f62aa8b49, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000524d32d0032,
};

// m64c1_swio12_dual_pr_ee           m64m1_swio11_dual_pr_ee           m64m1_swio12_dual_pr_ee
static const uint64_t ur_m64c1_swio11_dual_pr_ee[] = {
  0xa56eeeeea0a1a5fb, 0x5afd817ecdeacf58, 0x5eeeca1ec646271b, 0x1b6c5dda27e7deb8, 0x0badfa51a6f58a54,
  0x646bad8215661f21, 0xe7d304f8c9e4b729, 0x109d82990bc9548d, 0x40c2860d59e2cf49, 0xffe650129dd3e25c,
  0x57ec287ce1d3f358, 0x2241240e394dea3f, 0x10c4aff3f7c11429, 0x7a673bac27d70f85, 0x0865a051510cab39,
  0xf9ff4073c2631f15, 0xf2bcb56f9a025b77, 0x2442d7f9af730586, 0x1e576ea6ab5a3fdd, 0x9bf51f06cc187bf5,
  0x22cd3ad08a1df15e, 0x2e6909afa30b2c45, 0x67a9cead2ec15715, 0xab5d0ebd44bb18f4, 0xb848451a523886c6,
  0xc11fadc37b2fa598, 0xb8a9280591445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0x272bb54b7d5d9cea,
  0xb97a5fd0d44d7020, 0xae7b55a22bca6a12, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241,
  0x07a18dca5a97e6db, 0xa9d599bf83bb8d16, 0xed87138d2861539f, 0x867a615c9f80f9a3, 0x7494b670e271964b,
  0x0194f257ee686658, 0x000000000ac89f5c,
};

// m64c1_swio12_dual_pr_ee_u4        m64m1_swio11_dual_pr_ee_u4        m64m1_swio12_dual_pr_ee_u4
static const uint64_t ur_m64c1_swio11_dual_pr_ee_u4[] = {
  0xa667bbbbb4486f97, 0x6d6bf605e3afab1b, 0xae3ba75805233836, 0x667d39eb6e7db3ed, 0xae89eeb7e94699ba,
  0x77278233af70a749, 0x548de7d304f8c9fa, 0xcf49109d82990bc9, 0xe25c40c2860d59e2, 0xf350ffe650129dd3,
  0x7a8f1cb60704e1d5, 0x450a48904903b753, 0xc3e144312bfcfdf0, 0x2ace5e99ce8f89f5, 0xb7e2a10cb41fc443,
  0x4b6eff3fe80e784d, 0x60b0de5796adf340, 0x4701a4885aff35ee, 0xc89ea3cad4f4d56b, 0xdf159c3f51f06cc1,
  0xb2c4522cd3ad08a1, 0x597082e6909afa30, 0xd900460a1cead2e9, 0x22d8d56ba1d7b589, 0xc7c62e121143de8f,
  0xa4ab8b87f5b86f65, 0x5caad67f157ceee2, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0xe97f435135c0809c,
  0xed5688af29a84ae5, 0x594d8b3a03cfd6b9, 0x4502169ab9d5ea58, 0xb69c6378ce88145f, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x29e4afdcd0ccb0e9, 0x0000000159318803,
};

/*
 * m64c1_swio11_dual_pr_ce_u4        m64c1_swio12_dual_pr_ce           m64c1_swio12_dual_pr_ce_u4
 * m64m1_swio11_dual_pr_ce           m64m1_swio11_dual_pr_ce_u4        m64m1_swio12_dual_pr_ce
 * m64m1_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_m64c1_swio11_dual_pr_ce[] = {
  0x664777776890cf68, 0x6d6bf61b68075681, 0x5dfba829eb091976, 0x3e44a75cea2f2d5b, 0xb3bb0b27deec0b32,
  0x91fb9347d4ead05b, 0xf255222319827c64, 0x78b3d2442760a642, 0x74f8971030a18356, 0x035a6275f99404a7,
  0xad37a8fa6f61158e, 0xdf0450a48904903c, 0x9f5c3e144312bfcf, 0x4432ace5e99c6838, 0x09827c542196807b,
  0xd012db8cdffd01cf, 0x7b982c3795e5ab7c, 0xc5fac7b9231cbfcd, 0xd670f3c79b9d8d68, 0xfd47c25f886c2445,
  0xea5cc98b8724aca8, 0xdadea384f9ee59d5, 0x02945dbf490e2481, 0x006764011a627316, 0xe37d500ffd99e3af,
  0x15257cea0796b73d, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45, 0x2f4bfa1a89ae0404,
  0xcf6ab445794d4257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0x12637296a5f9b6c6,
  0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x00034917600329e4,
};

// m64c1_swio12_dual_pr_ee_ce        m64m1_swio11_dual_pr_ee_ce        m64m1_swio12_dual_pr_ee_ce
static const uint64_t ur_m64c1_swio11_dual_pr_ee_ce[] = {
  0x654e2dddddd432db, 0xe36b5fb0d719cd5b, 0x7eafbb9f6cf80534, 0xc453821e44b8585b, 0xf369b378ecc4eca9,
  0x91c11560f0cceb8f, 0x83d9e9827c64991b, 0x49109d82990bc954, 0x5c40c2860d59e2cf, 0x35dfe650129dd3e2,
  0x47d35b07f870c413, 0x8524482481ffc9bd, 0xf0a21895fe7ef822, 0x672f4ce2e084fae1, 0xe2a10cb414f22195,
  0xdef0ffe80e784c70, 0x61bcaf2d5be68096, 0x049236b7fe6bdcc1, 0x8f373bb5bb1fd51e, 0x99ceb0e089300fe7,
  0x1e572ba53b58166e, 0xfbf51f06cc1edff5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45, 0x8c7a33d4e7576e60,
  0x86c6abc6c75ea25d, 0xa598b848451a5238, 0x2aa3608991c37b2f, 0xaf9ddc5494b3c8a2, 0xf27f6bcb955acfe2,
  0xce75152a8d74271c, 0xb8101395daa5beae, 0x35095cbd2fe86a26, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6db1898edec5551, 0xdc68b1e70dca5a97, 0x985727eeaccdfc1d, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x00000130454e0065,
};

// m64c1_swio12_dual_pr_ee_ce_u4     m64m1_swio11_dual_pr_ee_ce_u4     m64m1_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio11_dual_pr_ee_ce_u4[] = {
  0xf6eeeed150ff72df, 0x5fb40157bd5baed9, 0x7547e8bf654e236b, 0xaffabd8261f68f0f, 0x49b106faed9f1da2,
  0x859b0cb4fe1bc9e4, 0xf8c97ad72dad541a, 0x321792a90cb37304, 0x1ab3c59e92213b05, 0x093ba7c4b881850c,
  0x7381adcd30df9958, 0x3adf9bd47149b0fd, 0xcfdf0450a4890490, 0x889f5c3e144312bf, 0xe4886559cbd33911,
  0x9e136fb8a8432d08, 0xf9a025b7a4affa03, 0x5f0530586f2bcb56, 0x2fd518d6923d83ff, 0x9c3cf3e019df60c6,
  0x51f097e21b091175, 0xd3262e1e3eeb92bf, 0xa3cae574a76b084d, 0xdf7ea3e0d983dbfe, 0xa459a75a1140a62b,
  0x14752135f4616588, 0xb18f467a9ceaedcc, 0x10d8d578d8ebd44b, 0xf4b3170908a34a47, 0x45546c1132386f65,
  0x55f3bb8a92967914, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0xd7020272bb54b7d5, 0xa6a12b97a5fd0d44,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x7f1a2c8931b94b52,
  0x1539fa9d599bf834, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0xab2792bf734332c3, 0x000000040025025a,
};

// m64c1_swio12_dual_ee_hw           m64m1_swio11_dual_ee_hw           m64m1_swio12_dual_ee_hw
static const uint64_t ur_m64c1_swio11_dual_ee_hw[] = {
  0x14addddda28d0f68, 0x6b5fb02fd9bd59eb, 0x0bddd943d8c8c4e3, 0x836d8bbb44fcfbd7, 0x2175bf4a34deb14a,
  0xe4d1f53ad6ecc3e4, 0x91bcfa609f193c96, 0xe92213b05321792a, 0x4b881850c1ab3c59, 0x6b1ffccae833ba7c,
  0x47eafd850f9c3a7e, 0x8524482481c729bd, 0xf0a21895fe7ef822, 0x672f4ce77584fae1, 0xe2a10cb40a2a2195,
  0x6eff3fe80e784c63, 0xb0de5796adf3404b, 0xdd2442d7ff51ba60, 0xf51e576ea6ab5a3f, 0x5e9bf51f06cc187b,
  0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0xf467a9cead2ec157, 0xc6ab5d0ebd44bb18, 0x98b848451a523886,
  0x46c11fadc37b2fa5, 0x3bb8a92805914455, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x20272bb54b7d5d9c,
  0x12b97a5fd0d44d70, 0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xfd42718dca5a97e6, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00000aed2d20f453,
};

/*
 * m64c1_swio11_dual_ee_ce_u4_hw     m64c1_swio12_dual_ee_ce_hw        m64c1_swio12_dual_ee_ce_u4_hw
 * m64m1_swio11_dual_ee_ce_hw        m64m1_swio11_dual_ee_ce_u4_hw     m64m1_swio12_dual_ee_ce_hw
 * m64m1_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m64c1_swio11_dual_ee_ce_hw[] = {
  0x3eddddda28d072df, 0x6bf6802af7ab75db, 0xeea8fd17eca9c46d, 0x55ff57b04c3ed1e1, 0x893620df5db3e3b4,
  0x2fadb5805fc3793c, 0x304f8c97ad7267d7, 0xb05321792a90cb37, 0x50c1ab3c59e92213, 0xcae833ba7c4b8818,
  0x87eb9c0d6e6986fc, 0x2481d6fcdea38a4d, 0x95fe7ef822852448, 0xc88c44fae1f0a218, 0x684724432ace5e99,
  0xd01cf09b7dc54219, 0x5ab7cd012dbd257f, 0x3ffd46e982c3795e, 0x0c62fd518d6923d8, 0x8bace1e79e439df6,
  0x77fa8f84bf10d848, 0x426e993170e30bbb, 0xdff51e572ba53b58, 0x315efbf51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e60a3a909afa30b, 0xa25d8c7a33d4e757, 0x523886c6abc6c75e, 0x7b2fa598b848451a, 0xc8a22aa3608991c3,
  0xcfe2af9ddc5494b3, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x6a26b8101395daa5, 0x15e535095cbd2fe8,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x5a97e6db1898edec, 0x430a9cfd42718dca,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xe87453c95fb9a199,
  0x0000000000075d79,
};

// m64c1_swio13_noled_pr             m64m1_swio13_noled                m64m1_swio13_noled_pr
static const uint64_t ur_m64c1_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x0b23c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa4923b7ffdf9d67c, 0x40f9ef51e213be5b, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0xe39e4fed7972ab52, 0x37d9cea2a551ae84, 0x351359caed52df55, 0x2bca6a12ad5ef5f4,
  0x9f4ef3f5ae7b55a2, 0xd2c2e753a9c0594a, 0xde33a2045fb8a042, 0x70dca5a97e6da718, 0xab31e40d1fc68b1e,
  0x1964b867a615c9fb, 0x866587494b670e27, 0x80053a374f257ee6, 0x000000000000007c,
};

// m64m1_swio13_noled_pr_u4
static const uint64_t ur_m64c1_swio13_noled_pr_u4[] = {
  0x656eeeeed121b562, 0xad72d2c42b0dbac1, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426e965,
  0xc13e32777e9c1b24, 0x9132bfd3d5f3efe4, 0x41ea3cbe3be5a0fc, 0x9a3de95490e2481f, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0xe39e4fed7972ab57, 0x37d9cea2a551ae84, 0x351359caed52df55,
  0x2bca6a12ad5ef5f4, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x94b52fcdb1922ade,
  0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f,
  0x866587494b670e27, 0xd4e2c0194f257ee6, 0x00000000000007c9,
};

// m64c1_swio13_noled_pr_ee_u4       m64m1_swio13_noled_pr_ee          m64m1_swio13_noled_pr_ee_u4
static const uint64_t ur_m64c1_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1219541, 0xdab96963d4e85d63, 0x4f5a2ee8db623e24, 0x2de4531d7c33c5ef, 0x7545a0ab4114889e,
  0x7c64ee80a498b04e, 0x56ff4f57cf93a982, 0x652e6ab5a37f248c, 0x51f06cc184ff51e5, 0xd3ad08a1df15943f,
  0x909afa30b2c4522c, 0x873ab4ba565c6b26, 0xba1d79d376ea11e4, 0x21147c88e0fd8d56, 0x3f5b86f65b2e62e1,
  0xab500ba4c16a8d82, 0xae84e39e4fed7972, 0xdf5537d9cea2a551, 0xf5f4351359caed52, 0x55a22bca6a12ad5e,
  0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x2adec5551696d138, 0x931b94b52fcdb192, 0x3ab337f07771a2c8,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x0275f33140194f25,
};

// m64c1_swio13_noled_pr_ce_u4       m64m1_swio13_noled_pr_ce          m64m1_swio13_noled_pr_ce_u4
static const uint64_t ur_m64c1_swio13_noled_pr_ce[] = {
  0xefdddddda2431768, 0x3972d2c083033ac6, 0x7e8d3dde3f427af4, 0x7f891b479190243c, 0x947b433376d4f777,
  0x9827c64ee9ba3b46, 0x48e04ff4f57cfdba, 0xf373bcad18bf5912, 0xf10d8488bace1e78, 0xe1f9699bffa8f84b,
  0x6e9ee59d5f593262, 0x1a4871240c9ef51e, 0x0a3dece62c0532a7, 0x0ffd99e3af47ced1, 0xb703cb5b84526950,
  0x1cf27f6bcb955abe, 0xbece75152a8d7427, 0xa89ace576a96faa9, 0x5e5350956af7afa1, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x4b52fcdb190c76f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x8e240194f257ee68,
  0x0000000000006eb9,
};

// m64c1_swio13_noled_pr_ee_ce_u4    m64m1_swio13_noled_pr_ee_ce       m64m1_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio13_noled_pr_ee_ce[] = {
  0xd3dddddda243173e, 0xb772d2c30e5c1ac3, 0x176c4ee8335a200d, 0x9d8f622484715835, 0xf2723b5c6309e25e,
  0x8c9ddcfb402d3913, 0x3fd3d5f3e87d304f, 0x0462fd51dba92388, 0x22eb3879e3cdcef1, 0xa77ea3e12fc43612,
  0x841ef993170fe72e, 0xcf5f51e5670e53b5, 0x298acbafa8f83660, 0x5962291669d68450, 0xbb72561d484d7d18,
  0x79d376ea11e4873a, 0xf911c1fb1aaf1b1d, 0x0decb65cc5c24228, 0xcfa4c16a8d822647, 0xe39e4fed7972ab52,
  0x37d9cea2a551ae84, 0x351359caed52df55, 0x2bca6a12ad5ef5f4, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x296a5f9b63218ede, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x0f5400329e4afdcd, 0x000000000000013f,
};

// m64m1_swio13_noled_ee_hw
static const uint64_t ur_m64c1_swio13_noled_ee_hw[] = {
  0x2f7777768a341768, 0xd5cb4b1ea742eb1e, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a444f1,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0xcaca5cd56b46fe49, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a, 0xbdebe86a26b395da, 0xf6ab445794d4255a,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2, 0x09c637296a5f9b63, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x0005bfaacdd14f25,
};

// m64c1_swio13_noled_ee_ce_u4_hw    m64m1_swio13_noled_ee_ce_hw       m64m1_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio13_noled_ee_ce_hw[] = {
  0x3dddddda28d0ac4f, 0x772d2c30e5c1ac3d, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e25e9,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476ea48e, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5,
  0x537d9cea2a551ae8, 0x4351359caed52df5, 0x22bca6a12ad5ef5f, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0x7296a5f9b63218ed, 0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61,
  0x964b867a617c68f4, 0x66587494b670e271, 0x448b2514f257ee68, 0x0000000000000140,
};

// m64m1_swio13_lednop
static const uint64_t ur_m64c1_swio13_lednop[] = {
  0x02cb77777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd0b2,
  0x7304f8c9ddb1ec86, 0x9247baff7e759f8f, 0x1f3dea3cdc77cb74, 0xf74c654e3490e248, 0x3b3de8ed6398b016,
  0xc11771cb1823af17, 0x8e793fb5e5caad4a, 0xdf673a8a9546ba13, 0x7020272bb54b7d54, 0x35095c925fd0d44d,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551, 0x15c9f9fd86e52d4b,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00005492ff3a374f,
};

// m64c1_swio13_lednop_pr_u4         m64m1_swio13_lednop_pr            m64m1_swio13_lednop_pr_u4
static const uint64_t ur_m64c1_swio13_lednop_pr[] = {
  0xcadddddda2432aac, 0x5ae5a58856a87582, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6e965,
  0x609f193bbe451db2, 0x2263ffd3d5f3f52a, 0x41ea3e9477cb41f9, 0x340609f490e2481f, 0xbe238c8e62c05965,
  0x00ffd9823af47cec, 0x3903cb3db1bf70d5, 0x1cf27f6bcb955adc, 0xbece75152a8d7427, 0xe0404e576a96faa9,
  0x6a12b924bfa1a89a, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2,
  0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0x0ca792bf734332c3, 0x00000003e4c4cd00,
};

// m64c1_swio13_lednop_pr_ee_u4      m64m1_swio13_lednop_pr_ee         m64m1_swio13_lednop_pr_ee_u4
static const uint64_t ur_m64c1_swio13_lednop_pr_ee[] = {
  0xe2f777776890c582, 0x36ae5a58f53082b1, 0xf0ad5c7ba5c46789, 0x3c5bc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x2707fd3d5f3f43f3, 0x95a9e9aad68dfc92, 0x3d47c1b30613fd47, 0xb34eb422877c5781,
  0x9a426be8c2cb1148, 0x0a1cead2f21d71ac, 0x5ae875e74ddbba46, 0x8484513723c8b635, 0x08fd6e1bd96cb98b,
  0xe556a0108a4d2a36, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a, 0xe86a26b8101395da, 0x688af29a84ae492f,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x7296a5f9b6815156, 0x66fe0eee34591263,
  0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0xbfe6980329e4afdc, 0x000000000000004e,
};

// m64c1_swio13_lednop_pr_ce_u4      m64m1_swio13_lednop_pr_ce         m64m1_swio13_lednop_pr_ce_u4
static const uint64_t ur_m64c1_swio13_lednop_pr_ce[] = {
  0x77eeeeeed121b768, 0x1cb96960418fdd63, 0x7ed05dd623e2fd7a, 0xff12368f20336401, 0x4ce2a16d2ec9eeee,
  0x304f8c9dd764af8c, 0x91df7fe9eaf9f8ad, 0xe6e776ea317eb224, 0xe21b0911759c3cf1, 0xe1facd90ff51f097,
  0x719ee59d5f593262, 0x5a4871240c9ef51e, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0xe793fb5e5caad6e1, 0xf673a8a9546ba138, 0x020272bb54b7d54d, 0x5095c925fd0d44d7, 0x2b5d73daad115e53,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516, 0x8d164498dca5a97e, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xca792bf734332c3a,
  0x0000001bae608800,
};

// m64c1_swio13_lednop_pr_ee_ce_u4   m64m1_swio13_lednop_pr_ee_ce      m64m1_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio13_lednop_pr_ee_ce[] = {
  0xd3dddddda2431bc1, 0xb772d2c30e44eac3, 0x7f4376e9bb64200d, 0x9d8f622485c18e24, 0xe05991a66309e25e,
  0xc64ee8eba6bb62ee, 0x1fe9eaf9ffd79827, 0x02317ea8edd49180, 0x11759c3cf1e6e770, 0x593f51f097e21b09,
  0x841ef993170eedd8, 0xcf5f51e5650e53b5, 0x298ad82fa8f83660, 0x5962291669d68450, 0xbb74871d484d7d18,
  0x79d376ee9182873a, 0x9b91e45b1aaf1b1d, 0x0decb65cc5c24228, 0x6622934a8d822647, 0x71cf27f6bcb955a9,
  0x9bece75152a8d742, 0xae0404e576a96faa, 0xa6a12b924bfa1a89, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb40a31dbd8aaa, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x0194f257ee686658, 0x0000000009f81358,
};

// m64m1_swio13_lednop_ee_hw
static const uint64_t ur_m64c1_swio13_lednop_ee_hw[] = {
  0x17bbbbbb451a3768, 0xb572d2c7a984158f, 0x856ae3dd2e233c49, 0xe2de4531d7d0b867, 0x7111fb226c114889,
  0x304f8c9dd764afb6, 0x244e0ff958b3f43f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd0d44d7020272b, 0xaad115e535095c92,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36d02a2, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x5bfd04aa29e4afdc,
  0x0000000000000000,
};

// m64c1_swio13_lednop_ee_ce_u4_hw   m64m1_swio13_lednop_ee_ce_hw      m64m1_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio13_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683375, 0xbb9696187227561e, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f12f4,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xdc008c5faa3b7524, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0x4271cf27f6bcb955,
  0xaa9bece75152a8d7, 0x89ae0404e576a96f, 0xbca6a12b924bfa1a, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb40a31dbd8a, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x168a792bf734332c, 0x0000000000a02fb3,
};

/*
 * m64c1_swio13_dual_pr              m64c1_swio13_dual_pr_u4           m64m1_swio13_dual
 * m64m1_swio13_dual_pr              m64m1_swio13_dual_pr_u4
 */
static const uint64_t ur_m64c1_swio13_dual[] = {
  0x4bbbbbbb4486dd9e, 0x66d6bf61ae73b563, 0xd2c5bb06d60b4b3f, 0xc895ba67f68eb14e, 0xe2e35043b0dba696,
  0x270ab90fcabdbada, 0x0bc95487544c13e3, 0x59e2cf49109d8299, 0x9dd3e25c40c2860d, 0x387ee992b7e65012,
  0xc3dcdea3c06d854a, 0x3f7c114292241240, 0xc27d70f8510c4aff, 0xf8886559cbd33887, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xf35ee60b0de5796a, 0xb7cef967be48feef, 0xba4871240e0ffa8f, 0x4e62c05507992b47,
  0x0475e00ceda52388, 0x9eda63192a01ffb3, 0x7ceee2a4b81281e5, 0x93fb5e5caad67f15, 0x73a8a9546ba138e7,
  0x0272bb54b7d54df6, 0x95c925fd0d44d702, 0x5d73daad115e5350, 0x20b94b5f3a03c72b, 0x0a718de33a204215,
  0xd02a2adec5551692, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00000a49ad3e0065,
};

// m64m1_swio13_dual_pr_ee
static const uint64_t ur_m64c1_swio13_dual_pr_ee[] = {
  0x4eddddddd41432db, 0xe36b5fb02fc99ab3, 0xefb8dd498758c8c4, 0x29506d055710b157, 0x03e26eb5e9469b4e,
  0x4b723822ace3f99d, 0x2a9063d7304f8c9e, 0x59e92213b0532179, 0x7c4b881850c1ab3c, 0x7e6b1ffcca0253ba,
  0xbd47eafd850f9c3a, 0x228524482481c729, 0xe1f0a21895fe7ef8, 0x95672f4ce3aa04fa, 0x63e2a10cb40a2a21,
  0x96ded6ffe80e784c, 0xc161bcaf2d5be680, 0x1b93923d3ffe6bdc, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3c9fdaf2e556b3f8, 0xb39d454aa35d09c7, 0x101395daa5beaa6f,
  0x84ae492fe86a26b8, 0x5aeb9ed5688af29a, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4,
  0x4581e8637296a5f9, 0xe7ea75666fe0eee3, 0x68fb61c4e34a1854, 0x92e19e985727e03e, 0x961d252d9c389c65,
  0x3e00653c95fb9a19, 0x000000000000ac87,
};

// m64m1_swio13_dual_pr_ee_u4
static const uint64_t ur_m64c1_swio13_dual_pr_ee_u4[] = {
  0x53b777776890cf68, 0xd9b5afd817d17eac, 0x6d77eeabe6c48ce0, 0x7333e9cd3b4abcb1, 0xeceec2d5af4a34ca,
  0x3f4ee4d1f53ab416, 0xf25520c7ae609f19, 0x78b3d2442760a642, 0x74f8971030a18356, 0x757cd43ff99404a7,
  0xd4dea3c72d81c138, 0x7c114292241240ed, 0x7d70f8510c4aff3f, 0x10cab397a671a0e2, 0x136df8a8432d07f1,
  0xa025b7b5bffa039e, 0xf730586f2bcb56f9, 0x6b46bee48f4fff9a, 0xc1f75ea3caf024d5, 0xa1df15975f51f06c,
  0x30b2c4522cd3ad08, 0xff397082e6909afa, 0x13b6948e5f1cead2, 0x8c7cb1aad743af6b, 0x65c7c62e12114262,
  0x715255c5adf5b86f, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x5daa5beaa6fb39d4, 0x92fe86a26b810139,
  0xed5688af29a84ae4, 0x594d8b3a03cfd6b9, 0x4502169ab9d5ea58, 0xb69c6378ce88139f, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x29e4afdcd0ccb0e9, 0x0000000159176003,
};

// m64c1_swio13_dual_pr_ce_u4        m64m1_swio13_dual_pr_ce           m64m1_swio13_dual_pr_ce_u4
static const uint64_t ur_m64c1_swio13_dual_pr_ce[] = {
  0xcccf777776890c86, 0x5d9b5afd86da27ea, 0x56ecdee9da69c246, 0x991f2252aabdd6e3, 0x98b5c535ec5f7599,
  0x248fdcbbb1bb3227, 0x0bc95481544c13e3, 0x59e2cf49109d8299, 0x9dd3e25c40c2860d, 0x380d6989d7e65012,
  0xf2b4dea3e9bd8456, 0x3f7c114292241240, 0x827d70f8510c4aff, 0xf6886559cbd338a4, 0x9e1304f8a8432d00,
  0x7cd012dbffcffa03, 0xcd7b982c3795e5ab, 0x18c5fa98f92235bf, 0x45d670f3c79b9d9c, 0x1ffd47c25f886c24,
  0xabd4b993170ece5d, 0x8188bea3c893dcb3, 0x8b017f7195490e24, 0xd78033b6948e2139, 0xc98c64a807feccf1,
  0xeee2a4b81281e5ad, 0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x72bb54b7d54df673, 0xc925fd0d44d70202,
  0x73daad115e535095, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0x4498dca5a97e6da0,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x00003490c800ca79,
};

// m64m1_swio13_dual_pr_ee_ce
static const uint64_t ur_m64c1_swio13_dual_pr_ee_ce[] = {
  0x6499bbbbbba86f97, 0xa71b5afd86bdf5f5, 0xfbd7bdd2af2c4029, 0x388a716a69ef709a, 0x376099331d989499,
  0xdc9e08cea5914eb3, 0x48e3c9cc13e324c8, 0xf49109d82990bc95, 0x25c40c2860d59e2c, 0x335dfe650129dd3e,
  0xd47d35b07f870c41, 0x28524482481ffc9b, 0x1f0a21895fe7ef82, 0x5672f4ce05904fae, 0x0e2a10cb414f2219,
  0x6de61bfe80e784c7, 0x161bcaf2d5be6809, 0xf2b491c41fe6bdcc, 0x9e3cdcef1058fea8, 0xba673ac3f37d523f,
  0xd4795efb94ed6059, 0xbb75ea3e0d98332b, 0x8a459a75a1140a62, 0xa78752135f461658, 0x5d9fc47d41ceaedc,
  0x3f92c6abc6c75ea2, 0x2fa598b8484507aa, 0x9bdaa3608991c37b, 0xf157ceee2a4a598f, 0x8e793fb5e5caad67,
  0xdf673a8a9546ba13, 0x7020272bb54b7d54, 0x35095c925fd0d44d, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6da0518edec5551, 0xdc68b1e70dca5a97, 0x985727eeaccdfc1d, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x0000026080720065,
};

// m64m1_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio13_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x6b5fb400b8bd593e, 0xc9ba805d6f654e23, 0x6b7efaf7c7f07db2, 0x6d3c6c41b4fb67c7,
  0x32d185369f28c5c8, 0x609f192f5ae5538c, 0xb05321792a917aa2, 0x50c1ab3c59e92213, 0x958093ba7c4b8818,
  0x0fd7381adcd30df9, 0x4903adf9bd47149b, 0x2bfcfdf0450a4890, 0xc15409f5c3e14431, 0x684724432ace5e99,
  0xd01cf09b7dc54219, 0x5ab7cd012db9257f, 0xbffaf82982c3795e, 0x6e317ea8ce0c9135, 0x8bace1e79f00cecd,
  0x03fa8f84bf10d848, 0x426e993170feb53c, 0xcaf51e57bee53b58, 0x98aedd7a8f83660c, 0x962291669d684502,
  0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141, 0x63e6f6a8d8226470,
  0x59fc55f3bb8a9296, 0x84e39e4fed7972ab, 0x5537d9cea2a551ae, 0x135c0809caed52df, 0x794d42572497f435,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xa5f9b681463b7b15, 0x68fe345912637296,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0xb5564f257ee68665, 0x0000000004006d35,
};

// m64m1_swio13_dual_ee_hw
static const uint64_t ur_m64c1_swio13_dual_ee_hw[] = {
  0x34edddddda28d086, 0x4e36b5fb02fc99ab, 0x7efb8dd498758c8c, 0xe29506d055710b15, 0x283e26eb5e9469b4,
  0xc9e4b72eec6ecde6, 0x1792a9063d7304f8, 0xb3c59e92213b0532, 0x3ba7c4b881850c1a, 0xc3a7e6b1ffccae83,
  0x729bd47eafd850f9, 0xef8228524482481c, 0x4fae1f0a21895fe7, 0xa2195672f4ce3aa0, 0x84c63e2a10cb40a2,
  0x68096ded6ffe80e7, 0x374c161bcaf2d5be, 0xd68dc9c91e9fffea, 0x071efd4795e9b9aa, 0x877c57b3bd47c1b3,
  0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8, 0x65f4b3170908a0f5,
  0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0xe39e4fed7972ab59, 0x37d9cea2a551ae84, 0x5c0809caed52df55,
  0x4d42572497f43513, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb40a8ab7b1554,
  0x539fa84e31b94b52, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x8a792bf734332c3a, 0x00000002bb44f4ea,
};

// m64c1_swio13_dual_ee_ce_u4_hw     m64m1_swio13_dual_ee_ce_hw        m64m1_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio13_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0xdad7ed002e2f564f, 0xb26ea0175bd95388, 0xdadfbebdf1fc1f6c, 0x1b4f1b106d3ed9f1,
  0x9bd601d9016a3172, 0xf544c13e325eb5c9, 0x442760a642f25522, 0x1030a1835678b3d2, 0x0df995d06774f897,
  0x149b0fd7381adcd3, 0x48904903adf9bd47, 0x44312bfcfdf0450a, 0x5e99c15409f5c3e1, 0x4219684724432ace,
  0x257fd01cf09b7dc5, 0x795e5ab7cd012db9, 0x226b7ffd46e982c3, 0x9d9adc62fd519c19, 0xd8488bace1e79e43,
  0x539705fa8f84bf10, 0x4ed6109ba64c5c3f, 0xd98332bd4795efb9, 0x1140a62bb75ea3e0, 0xf4616588a459a75a,
  0x1ceaedca78752135, 0x6c75ea25d9fc47d4, 0x84507aa3f92c6abc, 0x991c37b2fa598b84, 0xa4a598f9bdaa3608,
  0x5caad67f157ceee2, 0x546ba138e793fb5e, 0x54b7d54df673a8a9, 0xfd0d44d7020272bb, 0xad115e535095c925,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xdca5a97e6da0518e, 0xf79430a9cfd42718,
  0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xd48f27453c95fb9a,
  0x0000000000000075,
};

// m64c1_swio14_noled_pr             m64m1_swio14_noled                m64m1_swio14_noled_pr
static const uint64_t ur_m64c1_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdbe97752267ba0c9, 0x40783309a93783ea, 0x31641d78d7d9fba4,
  0xb9827c64ee82f413, 0x0923dd7fbf3acfc7, 0x1d7ff51d313be5ba, 0xf74c800f9490e248, 0x3b7488c9e398b016,
  0x821f71cb1823af17, 0x1cf27f6bcb955a95, 0xeace75152a8d7427, 0x1a89ace9b95daa5b, 0x115e535095b1fbfa,
  0x54fa779fad73daad, 0x1696173a9d4e02ca, 0xc6f19d1023cbc502, 0xf386e52d4bf36d38, 0xdd598f2068fe3458,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xc81249d1ba792bf7, 0x0000000000000007,
};

// m64m1_swio14_noled_pr_u4
static const uint64_t ur_m64c1_swio14_noled_pr_u4[] = {
  0x526eeeeed121bf82, 0xd6b9696215b6dd63, 0x7b98eea1c489910c, 0x111e42e27d2f1f32, 0xa0dd43801e4ddd49,
  0xc13e3277571891c2, 0x476fffa7abe7cc7c, 0x35ea382877cb6f72, 0x983da01490e24819, 0x4c5188a731602cb2,
  0x807fecc11d7a3e76, 0x22607967b76b13ca, 0xe39e4fed7972ab54, 0x7d59cea2a551ae84, 0x4351359d372bb54b,
  0xa22bca6a12b63f7f, 0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0xdca5a97e6db0862a,
  0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0x4d34f800ca792bf7, 0x000000000000003e,
};

// m64c1_swio14_noled_pr_ee_u4       m64m1_swio14_noled_pr_ee          m64m1_swio14_noled_pr_ee_u4
static const uint64_t ur_m64c1_swio14_noled_pr_ee[] = {
  0x426eeeeed121b705, 0x6d5cb4b1ea634eb1, 0x77b647776dbaff12, 0x08f2299c7cfd833c, 0x4c081eb920452225,
  0x4f8c9ddb0db2b92a, 0xd9dfe9eaf9f38330, 0x59759aad68cc7c91, 0xea3e0d983ea3d479, 0x9a75a1143be2b297,
  0xd2135f4616588a45, 0x90e75697726b8d64, 0xd743af3a6ec7aa3f, 0x121144428f7bb1aa, 0x23f5b86f65b2e62e,
  0x955a805d073ca8d8, 0x8d74271cf27f6bcb, 0x5daa5beace75152a, 0xb1fbfa1a89ace9b9, 0x73daad115e535095,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00009d77c9300653,
};

// m64c1_swio14_noled_pr_ce_u4       m64m1_swio14_noled_pr_ce          m64m1_swio14_noled_pr_ce_u4
static const uint64_t ur_m64c1_swio14_noled_pr_ce[] = {
  0x07dddddda2432493, 0x3972d2c08315bac7, 0x1eb4bdd1aef27af4, 0x7f12369b3d04c2aa, 0xf9da3f78bec7eef0,
  0x304f8c9dd0dc8288, 0x9153dfe9eaf9fdf7, 0xcdcef02462fd427c, 0xc4361222eb3879e3, 0xc3cc333e7ea3e12f,
  0xf93dcb3abeb264c5, 0xa921c490359fea3a, 0xa3114e62c05dbf2f, 0xffd99e3af47cec98, 0x303cb5bad6279500,
  0xcf27f6bcb955aa11, 0xace75152a8d74271, 0xa89ace9b95daa5be, 0x15e535095b1fbfa1, 0xd3bcf8b5d73daad1,
  0xce881077536294f0, 0x62aa8b4b689c6378, 0xa5a97e6db084c76f, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x7eb600ca792bf734,
  0x0000000000001bae,
};

// m64c1_swio14_noled_pr_ee_ce_u4    m64m1_swio14_noled_pr_ee_ce       m64m1_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio14_noled_pr_ee_ce[] = {
  0x53dddddda243304a, 0xb772d2c30e41bac3, 0x834c8ee95b24200d, 0x4ec7b11c2a5df250, 0x3139199a5184f12d,
  0xc64eed8ba8fbd640, 0xbff4f57cfc009827, 0x6e317ea8f7dc91b5, 0x22eb3879e3cdceed, 0x0bfea3e12fc43612,
  0x107be64c5c3abae3, 0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x6588a459a75a1140, 0xedce4c752135f461,
  0xe74dd8f547f21cea, 0x10a3deec6abc6c75, 0x1bd96cb98b848451, 0xcfa0e7951b044c8e, 0xe39e4fed7972ab52,
  0x7d59cea2a551ae84, 0x4351359d372bb54b, 0xa22bca6a12b63f7f, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0xb94b52fcdb61098e, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xf262f80194f257ee, 0x0000000000000013,
};

// m64m1_swio14_noled_ee_hw
static const uint64_t ur_m64c1_swio14_noled_ee_hw[] = {
  0x137777768a342493, 0x6ae5a58f531a758a, 0xbdb23bbb6dd7f893, 0x47914ce3e7ec19e3, 0xd040f5c902291128,
  0x04f8c9dd0dc82b4e, 0x23b3bfcac59f3833, 0xf2b2eb355ad198f9, 0x2fd47c1b307d47a8, 0x8b34eb422877c565,
  0xc9a426be8c2cb114, 0x7f21cead2ee4d71a, 0x55ae875e74dd8f54, 0x5c242288851ef763, 0xb047eb70decb65cc,
  0x972ab500ba0e7951, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0x2b63f7f4351359d3, 0xbae7b55a22bca6a1,
  0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xdb0862adec555169, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000016ff0bb5453,
};

// m64c1_swio14_noled_ee_ce_u4_hw    m64m1_swio14_noled_ee_ce_hw       m64m1_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio14_noled_ee_ce_hw[] = {
  0x9eeeeeed146807e1, 0xbb969618720dd61a, 0x1a64774ad921006d, 0x763d88e152ef9284, 0x89c8ccd28c27896a,
  0x7c64ee843dfbd1d7, 0x6b7fe562cfc00982, 0xdadc62fd51efb923, 0x488bace1e79e439d, 0x8001fa8f84bf10d8,
  0xd6107be64c5c3f75, 0x83d2bd4795c8794e, 0x40a62b387ea3e0d9, 0x616588a459a75a11, 0xeaedce4c752135f4,
  0x75e74dd8f547f21c, 0x5110a3deec6abc6c, 0x8e1bd96cb98b8484, 0x52cfa0e7951b044c, 0x84e39e4fed7972ab,
  0x4b7d59cea2a551ae, 0x7f4351359d372bb5, 0x55a22bca6a12b63f, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x31b94b52fcdb6109, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5011392a8a792bf7,
};

// m64m1_swio14_lednop
static const uint64_t ur_m64c1_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x90eee5a588561958, 0x89da87bbe17a0a0c, 0x01e0cc26a475f5a7, 0x9ac8401b6d22ee91,
  0x3dcc13e3277417a0, 0xd0491913fdf9d67c, 0x40ebffa8ebe1df2d, 0xdee9b6fcbea48712, 0x9d96ba3b86731602,
  0x65adb8e58c11d78b, 0xc73c9fdaf2e556a5, 0xfab39d454aa35d09, 0x6b81013a6e576a96, 0x94d42572fb1e86a2,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2fcdb6318ab7b155, 0x985727e7f61b94b5,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000000549f5ce8dd,
};

// m64c1_swio14_lednop_pr_u4         m64m1_swio14_lednop_pr            m64m1_swio14_lednop_pr_u4
static const uint64_t ur_m64c1_swio14_lednop_pr[] = {
  0x6a4dddddda243762, 0x9ad72d2c42b171ac, 0x2ed8fddf5fe17221, 0x444790b89db7e952, 0x11dc2ff1fe2f7752,
  0xc13e3277699a3341, 0x463dffa7abe7d7dc, 0x35ea3a0077cb6f72, 0x4cfe751490e24819, 0xc9118df398b01659,
  0x807fecc11d7a3e76, 0xed40f2cf6e0ff48a, 0xc73c9fdaf2e556b2, 0xfab39d454aa35d09, 0x6b81013a6e576a96,
  0x94d42572fb1e86a2, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2fcdb6318ab7b155,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0xc0194f257ee68665, 0x0000000007c9a566,
};

// m64c1_swio14_lednop_pr_ee_u4      m64m1_swio14_lednop_pr_ee         m64m1_swio14_lednop_pr_ee_u4
static const uint64_t ur_m64c1_swio14_lednop_pr_ee[] = {
  0xa13777776890c044, 0x36ae5a58f53a0b58, 0x4de9a5dd803d2f89, 0x423c8a671f1a67ed, 0x21b45a8ac8114889,
  0x27c64eea0a4e52ec, 0x8d6ff4f57cfa5a98, 0xad82cd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15a9e,
  0x6909afa30b2c4522, 0xdc73ab4bba55c6b2, 0x6ba1d79d3769111c, 0x0908a17c471958d5, 0x11fadc37b2d97317,
  0xcaad402b589e546c, 0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0x3d0d44d7020274dc, 0x5688af29a84ae5f6,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x37296a5f9b6c6315, 0x666fe0eee3459126,
  0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c,
  0x75c02b00329e4afd, 0x0000000000000002,
};

// m64c1_swio14_lednop_pr_ce_u4      m64m1_swio14_lednop_pr_ce         m64m1_swio14_lednop_pr_ce_u4
static const uint64_t ur_m64c1_swio14_lednop_pr_ce[] = {
  0x83eeeeeed121be4a, 0x1cb96960418ddd63, 0x7ebd7dd75e5efd7a, 0xfe246d36795b4121, 0x357c34e19bd3dde0,
  0x609f193ba528eb7d, 0x232bbfd3d5f3fb3a, 0x9b9defb8c5fa84f9, 0x886c2445d670f3c7, 0x0ecdf4a8fd47c25f,
  0xf4f72ceafac99317, 0x490e2481acff51e5, 0x18df398b0163de95, 0xfeccf1d7a3e76c91, 0x03cb5ba0ff48a807,
  0xf27f6bcb955acbb5, 0xce75152a8d74271c, 0x0404e9b95daa5bea, 0x5095cbec7a1a89ae, 0x2b5d73daad115e53,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6db1898edec55516, 0x8d164498dca5a97e, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xca792bf734332c3a,
  0x0000001baedf0400,
};

// m64c1_swio14_lednop_pr_ee_ce_u4   m64m1_swio14_lednop_pr_ee_ce      m64m1_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio14_lednop_pr_ee_ce[] = {
  0x53dddddda2436812, 0xb772d2c30e23bac3, 0x17599eee2f41200d, 0x9d8f6238541b976d, 0xec4e4e312309e25a,
  0xe327777ec2c02935, 0xbff4f57cfe374c13, 0xee317ea8f7dc916b, 0x22eb3879e3cdceda, 0xc17ea3e12fc43612,
  0x841ef993170fd4e5, 0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450, 0xbb73a51d484d7d18,
  0x79d3769111cdc73a, 0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323, 0x38e793fb5e5caad4,
  0xdf5673a8a9546ba1, 0x4d7020274dcaed52, 0xf29a84ae5f63d0d4, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0,
  0xa8b490538c6f19d1, 0x4bf36d8c4c76f62a, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0xe00653c95fb9a199, 0x000000000027e7d9,
};

// m64m1_swio14_lednop_ee_hw
static const uint64_t ur_m64c1_swio14_lednop_ee_hw[] = {
  0x09bbbbbb451a3e4a, 0xb572d2c7a9d05ac5, 0x6f4d2eec01e97c49, 0x11e45338f8d33f6a, 0xf9a2d456408a444a,
  0x827c64ee94a3adaa, 0x911adfe562cfa5a9, 0x795b059aad68cc7c, 0x3dea3e0d983ea3d4, 0x459a75a1143be2b5,
  0x64d2135f4616588a, 0x39b8e7569774ab8d, 0xaad743af3a6ed222, 0x2e121142f88e32b1, 0xd823f5b86f65b2e6,
  0xcb955a8056b13ca8, 0x2a8d74271cf27f6b, 0xb95daa5beace7515, 0xec7a1a89ae0404e9, 0xdaad115e535095cb,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8c6e52d4bf36d8c6, 0x0f7bca1854e7ea13,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x05bf34d6a29e4afd,
};

// m64c1_swio14_lednop_ee_ce_u4_hw   m64m1_swio14_lednop_ee_ce_hw      m64m1_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio14_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683d5b, 0xbb969618711dd61a, 0xbaccf7717a09006d, 0xec7b11c2a0dcbb68, 0x62727189184f12d4,
  0x9f193bacf9d6f6b5, 0x6bbff2b167f1ba60, 0xdaee317ea8f7dc91, 0x2445d670f3cf21ce, 0x7907fd47c25f886c,
  0xac20f7cc98b87d50, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9d28ea426be8,
  0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899, 0x09c73c9fdaf2e556,
  0x96fab39d454aa35d, 0xa26b81013a6e576a, 0x5794d42572fb1e86, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x6a5f9b6c6263b7b1, 0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x52514f257ee68665, 0x00000000000a029d,
};

/*
 * m64c1_swio14_dual_pr              m64c1_swio14_dual_pr_u4           m64m1_swio14_dual
 * m64m1_swio14_dual_pr              m64m1_swio14_dual_pr_u4
 */
static const uint64_t ur_m64c1_swio14_dual[] = {
  0x8bbbbbbb4486ff3e, 0x66d6bf61ae933566, 0xd67dba24792b4b3f, 0xc895b3133887b1ba, 0x5ecb527269dbad16,
  0x4e157269e2bdd17d, 0x1792a91dd69827c6, 0xb3c59e92213b0532, 0x3ba7c4b881850c1a, 0x70fdd3256fcca025,
  0x87b9bd4780db0a94, 0x7ef8228524482481, 0x04fae1f0a21895fe, 0xf8886559cbd33900, 0xe784dbdc54219680,
  0xdf3404b6ec17fe80, 0xf35ee60b0de5796a, 0xdd1df2cb5e48945f, 0xdd24389207bdfa8f, 0x2731602a83cce4c3,
  0x823af006764011a6, 0x9edbde37d500ffd9, 0xf9ddc5495f3a81e5, 0x27f6bcb955acfe2a, 0xe75152a8d74271cf,
  0x404e9b95daa5beac, 0x095cbec7a1a89ae0, 0xb5d73daad115e535, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0x6d8c62adec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x000000a49a65a006,
};

// m64m1_swio14_dual_pr_ee
static const uint64_t ur_m64c1_swio14_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0x36b5fb02fd9bd59d, 0x70bddd943d8c8c4e, 0xa836d8bbb44fcfbd, 0x42175bf4a34dd914,
  0x52c8d75b042acc3e, 0x1bcfa609f193c96e, 0x92213b05321792a9, 0xb881850c1ab3c59e, 0xb1ffcca0253ba7c4,
  0x7eafd850f9c3a7e6, 0x524482481c729bd4, 0x0a21895fe7ef8228, 0x72f4ce77584fae1f, 0x2a10cb40a2a21956,
  0xeff3fe80e784c63e, 0x0de5796adf3404b6, 0xba4885aff35ee60b, 0xea3caedd4d56b47f, 0xbd37ea3e0d9830f7,
  0x8a459a75a1143be2, 0x2a5cd2135f461658, 0xe8cf539d5a5d82ae, 0x8d56ba1d7a897631, 0x3170908a34a4710d,
  0x8d823f5b86f65f4b, 0x777152500b2288aa, 0xfdaf2e556b3f8abe, 0xd454aa35d09c73c9, 0x13a6e576a96fab39,
  0x572fb1e86a26b810, 0x75cf6ab445794d42, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48,
  0xc0f431b94b52fcdb, 0xf53ab337f07771a2, 0x7db0e271a50c2a73, 0x70cf4c2b93f01f34, 0x0e9296ce1c4e32c9,
  0x80329e4afdcd0ccb, 0x00000000015913eb,
};

// m64m1_swio14_dual_pr_ee_u4
static const uint64_t ur_m64c1_swio14_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0x6cdad7ec0bc75f56, 0xdb5c774eb00a4670, 0xdcccfa73d6dcfb67, 0x935d13dd6fd28d30,
  0xf4ee4f04675ee14e, 0x92a91bcfa609f193, 0xc59e92213b053217, 0xa7c4b881850c1ab3, 0xabe6a1ffcca0253b,
  0xa6f51e396c0e09c3, 0xe08a14912092076e, 0xeb87c2886257f9fb, 0x86559cbd339d1f13, 0x9b6fc54219683f88,
  0x8096ddfe7fd01cf0, 0xdcc161bcaf2d5be6, 0xd68e034910b5fe6b, 0x83913d4795a9e9aa, 0x43be2b387ea3e0d9,
  0x616588a459a75a11, 0xd2b2e105cd2135f4, 0x13b2008c1439d5a5, 0x1e45b1aad743af6b, 0xcb8f8c5c242287bd,
  0xc54957170feb70de, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0x9b95daa5beace751, 0xbec7a1a89ae0404e,
  0x3daad115e535095c, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0xc68b224c6e52d4bf,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x653c95fb9a19961d, 0x000000002b263100,
};

// m64c1_swio14_dual_pr_ce_u4        m64m1_swio14_dual_pr_ce           m64m1_swio14_dual_pr_ce_u4
static const uint64_t ur_m64c1_swio14_dual_pr_ce[] = {
  0x627777776890cf68, 0xecdad7ec36d00ead, 0xb6bbf75053d61232, 0x647c894eb9d45e5a, 0xb76776164fbddb12,
  0xc923f7268fa9d5a0, 0x85e4aa44463304f8, 0xacf167a4884ec14c, 0x4ee9f12e20614306, 0x1c06b4c4ebf32809,
  0x795a6f51f4dec22b, 0x9fbe08a149120920, 0x713eb87c2886257f, 0xf6886559cbd338d0, 0x9e1304f8a8432d00,
  0xf9a025b719bffa03, 0x9af730586f2bcb56, 0xd18bf58f7246397f, 0x8bace1e78f373b1a, 0x51fa8f84bf10d848,
  0xabd4b993170e4959, 0x03b5bd4709f3dcb3, 0x2c0528bb7e921c49, 0x5e00cec80234c4e6, 0x7bc6faa01ffb33c7,
  0xee2a4af9d40f2d6e, 0xb5e5caad67f157ce, 0x8a9546ba138e793f, 0x74dcaed52df5673a, 0xe5f63d0d44d70202,
  0xb9ed5688af29a84a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0x224c6e52d4bf36d8,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00006922ec00653c,
};

// m64m1_swio14_dual_pr_ee_ce
static const uint64_t ur_m64c1_swio14_dual_pr_ee_ce[] = {
  0xb7daddddddd432db, 0x69c6d6bf61ae339a, 0xb6fd5f773ed9f00a, 0x5388a7043c8970b0, 0x1fe6d366f1d989fb,
  0x3723822ac1e199d7, 0xa907b3d304f8c932, 0x9e92213b05321792, 0xc4b881850c1ab3c5, 0x266bbfcca0253ba7,
  0x7a8fa6b60ff0e188, 0x450a48904903ff93, 0xc3e144312bfcfdf0, 0x2ace5e99c5c109f5, 0xe1c542196829e443,
  0x2dbde1ffd01cf098, 0x82c3795e5ab7cd01, 0x3c09246d6ffcd7b9, 0xcf1e6e776b763faa, 0xdd339d61c112601f,
  0xea3cae574a76b02c, 0xbdf7ea3e0d983dbf, 0x8a459a75a1140a62, 0xc14752135f461658, 0xbb18f467a9ceaedc,
  0x710d8d578d8ebd44, 0x5f4b3170908a34a4, 0x445546c1132386f6, 0xc55f3bb8a9296791, 0x39e4fed7972ab59f,
  0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0xbb8d163ce1b94b52, 0xd30ae4fdd599bf83, 0xa5b387138cb25c33,
  0xa792bf734332c3a4, 0x0000002608a9c00c,
};

// m64m1_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150ff72df, 0x6b5fb40157bd58b1, 0x0f7547e8bf654e23, 0xa2affabd8261f68f, 0xf224d88365899f1d,
  0x0d42cd865a7f0de4, 0x827c64bd6b96d6aa, 0x82990bc9548659b9, 0x860d59e2cf49109d, 0xac049dd3e25c40c2,
  0x7eb9c0d6e6986fcc, 0x481d6fcdea38a4d8, 0x5fe7ef8228524482, 0x88c44fae1f0a2189, 0x84724432ace5e99c,
  0x01cf09b7dc542196, 0xab7cd012dbd257fd, 0xffaf82982c3795e5, 0x6317ea8c6b491ec1, 0xbace1e79f00cefb0,
  0x5fa8f84bf10d8488, 0x26e993170f1f75c9, 0xff51e572ba53b584, 0x15efbf51f06cc1ed, 0xc4522cd3ad08a053,
  0xe60a3a909afa30b2, 0x25d8c7a33d4e7576, 0x23886c6abc6c75ea, 0xb2fa598b848451a5, 0x8a22aa3608991c37,
  0xfe2af9ddc5494b3c, 0x71cf27f6bcb955ac, 0xbeace75152a8d742, 0x9ae0404e9b95daa5, 0xe535095cbec7a1a8,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x97e6db1898edec55, 0xa3f8d164498dca5a,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0xd5593c95fb9a1996, 0x0000000020012812,
};

// m64m1_swio14_dual_ee_hw
static const uint64_t ur_m64c1_swio14_dual_ee_hw[] = {
  0xb2dddddda28d0f68, 0xc6d6bf605fb37ab3, 0xae17bbb287b19189, 0x9506db177689f9f7, 0xc842eb7e9469bb22,
  0x2dc9a3ea75add987, 0x552379f4c13e3279, 0xb3d2442760a642f2, 0xf8971030a1835678, 0xfcd63ff995d06774,
  0x7a8fd5fb0a1f3874, 0x450a489049038e53, 0xc3e144312bfcfdf0, 0x2ace5e99ceeb09f5, 0xc7c5421968145443,
  0x96ddfe7fd01cf098, 0xc161bcaf2d5be680, 0x7fba4885affea374, 0xf7ea3caedd4d56b4, 0xe2bd37ea3e0d9830,
  0x588a459a75a1143b, 0xae2a5cd2135f4616, 0x31e8cf539d5a5d82, 0x0d8d56ba1d7a8976, 0x4b3170908a34a471,
  0xaa8d823f5b86f65f, 0xbe777152500b2288, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0x1013a6e576a96fab,
  0x42572fb1e86a26b8, 0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a,
  0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000015da5a41e8a,
};

// m64c1_swio14_dual_ee_ce_u4_hw     m64m1_swio14_dual_ee_ce_hw        m64m1_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio14_dual_ee_ce_hw[] = {
  0x2dddddda28d072df, 0x6d6bf6802af7ab16, 0xe1eea8fd17eca9c4, 0xb455ff57b04c3ed1, 0x9e449b106cb133e3,
  0xeb97d6dac02fe1bc, 0x9b9827c64bd6b933, 0x09d82990bc954865, 0x0c2860d59e2cf491, 0x7e657419dd3e25c4,
  0x26c3f5ce06b734c3, 0x241240eb7e6f51c5, 0x0c4aff3f7c114292, 0x4ce446227d70f851, 0x0cb423922195672f,
  0xbfe80e784dbee2a1, 0xaf2d5be68096de92, 0xec1ffea374c161bc, 0xfb06317ea8c6b491, 0x2445d670f3cf21ce,
  0xddbbfd47c25f886c, 0xac21374c98b87185, 0x0f6ffa8f2b95d29d, 0x0298af7dfa8f8366, 0x85962291669d6845,
  0xabb73051d484d7d1, 0xaf512ec63d19ea73, 0x8d291c436355e363, 0xe1bd97d2cc5c2422, 0x59e4511551b044c8,
  0xad67f157ceee2a4a, 0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x0d44d7020274dcae, 0x88af29a84ae5f63d,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d8c4c76f, 0xca1854e7ea138c6e,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xcf43a29e4afdcd0c,
  0x0000000000003aeb,
};

// m64c1_swio15_noled_pr             m64m1_swio15_noled                m64m1_swio15_noled_pr
static const uint64_t ur_m64c1_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x6c13c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0xa4923b7ffdf9d67c, 0x40f9ef51e213be5b, 0x6f74da52d7a48712, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0xe39e4fed7972ab52, 0xd5d9cea2a551ae84, 0x351359d372bb54b7, 0x15e5350956aff7f4,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0x6f19d1022fdc5021, 0x386e52d4bf36d38c, 0xd598f2068fe3458f,
  0x8cb25c33d30ae4fd, 0x4332c3a4a5b38713, 0x40029d1ba792bf73, 0x000000000000003e,
};

// m64m1_swio15_noled_pr_u4
static const uint64_t ur_m64c1_swio15_noled_pr_u4[] = {
  0xf76eeeeed121b562, 0xad72d2c42b0dbac4, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426ecf7,
  0xc13e32777e9c1b24, 0x9132bfd3d5f3efe4, 0x41ea3cbe3be5a0fc, 0x9a3de95490e2481f, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0xe39e4fed7972ab57, 0xd5d9cea2a551ae84, 0x351359d372bb54b7,
  0x15e5350956aff7f4, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0xca5a97e6d8c9156f,
  0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0xea71600ca792bf73, 0x00000000000003e4,
};

// m64c1_swio15_noled_pr_ee_u4       m64m1_swio15_noled_pr_ee          m64m1_swio15_noled_pr_ee_u4
static const uint64_t ur_m64c1_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1219541, 0xdab96963d4e85d60, 0x4f5a2ee8db623e24, 0xede4531d7c33c5ef, 0x7545a0ab41148885,
  0x7c64ee80a498b04e, 0x56ff4f57cf93a982, 0x652e6ab5a37f248c, 0x51f06cc184ff51e5, 0xd3ad08a1df15943f,
  0x909afa30b2c4522c, 0x873ab4ba565c6b26, 0xba1d79d376ea11e4, 0x21147c88e0fd8d56, 0x3f5b86f65b2e62e1,
  0xab500ba4c16a8d82, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xf7f4351359d372bb, 0xaad115e5350956af,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x498dca5a97e6d8c9, 0x9d599bf83bb8d164,
  0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x013af998a00ca792,
};

// m64c1_swio15_noled_pr_ce_u4       m64m1_swio15_noled_pr_ce          m64m1_swio15_noled_pr_ce_u4
static const uint64_t ur_m64c1_swio15_noled_pr_ce[] = {
  0x93dddddda2431768, 0x3972d2c083033ac1, 0x7e8d3dde3f427af4, 0x9f891b479190243c, 0x947b433376d4f74c,
  0x9827c64ee9ba3b46, 0x48e04ff4f57cfdba, 0xf373bcad18bf5912, 0xf10d8488bace1e78, 0xe1f9699bffa8f84b,
  0x6e9ee59d5f593262, 0x1a4871240c9ef51e, 0x0a3dece62c0532a7, 0x0ffd99e3af47ced1, 0xb703cb5b84526950,
  0x1cf27f6bcb955abe, 0xaece75152a8d7427, 0xa89ace9b95daa5be, 0xaf29a84ab57fbfa1, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0xa5a97e6d8c863b7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xc71200ca792bf734,
  0x000000000000375c,
};

// m64c1_swio15_noled_pr_ee_ce_u4    m64m1_swio15_noled_pr_ee_ce       m64m1_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio15_noled_pr_ee_ce[] = {
  0x3bdddddda243173e, 0xb772d2c30e5c1ac6, 0x176c4ee8335a200d, 0xdd8f622484715835, 0xf2723b5c6309e271,
  0x8c9ddcfb402d3913, 0x3fd3d5f3e87d304f, 0x0462fd51dba92388, 0x22eb3879e3cdcef1, 0xa77ea3e12fc43612,
  0x841ef993170fe72e, 0xcf5f51e5670e53b5, 0x298acbafa8f83660, 0x5962291669d68450, 0xbb72561d484d7d18,
  0x79d376ea11e4873a, 0xf911c1fb1aaf1b1d, 0x0decb65cc5c24228, 0xcfa4c16a8d822647, 0xe39e4fed7972ab52,
  0xd5d9cea2a551ae84, 0x351359d372bb54b7, 0x15e5350956aff7f4, 0xd3bcf8b5d73daad1, 0xce881077536294f0,
  0x62aa8b4b689c6378, 0x94b52fcdb190c76f, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x87aa00194f257ee6, 0x000000000000009f,
};

// m64m1_swio15_noled_ee_hw
static const uint64_t ur_m64c1_swio15_noled_ee_hw[] = {
  0xef7777768a341768, 0xd5cb4b1ea742eb05, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a4442f,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0xcaca5cd56b46fe49, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a, 0x5fefe86a26b3a6e5, 0x7b55a22bca6a12ad,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x922adec5551696d1, 0x84e31b94b52fcdb1, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0002dfd566e8a792,
};

// m64c1_swio15_noled_ee_ce_u4_hw    m64m1_swio15_noled_ee_ce_hw       m64m1_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio15_noled_ee_ce_hw[] = {
  0xbdddddda28d0ac4f, 0x772d2c30e5c1ac63, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e271d,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476ea48e, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5,
  0x7d5d9cea2a551ae8, 0x4351359d372bb54b, 0x115e5350956aff7f, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xb94b52fcdb190c76, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x2245928a792bf734, 0x00000000000000a0,
};

// m64m1_swio15_lednop
static const uint64_t ur_m64c1_swio15_lednop[] = {
  0x1b0777777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd6c1,
  0x7304f8c9ddb1ec86, 0x9247baff7e759f8f, 0x1f3dea3cdc77cb74, 0xf74c654e3490e248, 0x3b3de8ed6398b016,
  0xc11771cb1823af17, 0x8e793fb5e5caad4a, 0x57673a8a9546ba13, 0x7020274dcaed52df, 0x4d42572563d0d44d,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb40a8ab7b1554, 0x85727e7f61b94b52,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00001524bfce8dd3,
};

// m64c1_swio15_lednop_pr_u4         m64m1_swio15_lednop_pr            m64m1_swio15_lednop_pr_u4
static const uint64_t ur_m64c1_swio15_lednop_pr[] = {
  0xeedddddda2432aac, 0x5ae5a58856a87589, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6ecf7,
  0x609f193bbe451db2, 0x2263ffd3d5f3f52a, 0x41ea3e9477cb41f9, 0x340609f490e2481f, 0xbe238c8e62c05965,
  0x00ffd9823af47cec, 0x3903cb3db1bf70d5, 0x1cf27f6bcb955adc, 0xaece75152a8d7427, 0xe0404e9b95daa5be,
  0x9a84ae4ac7a1a89a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x0329e4afdcd0ccb0, 0x00000000f9313340,
};

// m64c1_swio15_lednop_pr_ee_u4      m64m1_swio15_lednop_pr_ee         m64m1_swio15_lednop_pr_ee_u4
static const uint64_t ur_m64c1_swio15_lednop_pr_ee[] = {
  0x5ef777776890c582, 0x36ae5a58f53082b0, 0xf0ad5c7ba5c46789, 0x0bdbc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x2707fd3d5f3f43f3, 0x95a9e9aad68dfc92, 0x3d47c1b30613fd47, 0xb34eb422877c5781,
  0x9a426be8c2cb1148, 0x0a1cead2f21d71ac, 0x5ae875e74ddbba46, 0x8484513723c8b635, 0x08fd6e1bd96cb98b,
  0xe556a0108a4d2a36, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a, 0xe86a26b81013a6e5, 0x5a22bca6a12b92b1,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xdca5a97e6da05455, 0x99bf83bb8d164498,
  0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0xaff9a600ca792bf7, 0x0000000000000013,
};

// m64c1_swio15_lednop_pr_ce_u4      m64m1_swio15_lednop_pr_ce         m64m1_swio15_lednop_pr_ce_u4
static const uint64_t ur_m64c1_swio15_lednop_pr_ce[] = {
  0xc9eeeeeed121b768, 0x1cb96960418fdd60, 0x7ed05dd623e2fd7a, 0x3f12368f20336401, 0x4ce2a16d2ec9ee99,
  0x304f8c9dd764af8c, 0x91df7fe9eaf9f8ad, 0xe6e776ea317eb224, 0xe21b0911759c3cf1, 0xe1facd90ff51f097,
  0x719ee59d5f593262, 0x5a4871240c9ef51e, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97, 0xc81e5adc37ee1aa0,
  0xe793fb5e5caad6e1, 0x7673a8a9546ba138, 0x020274dcaed52df5, 0xd42572563d0d44d7, 0xcad75cf6ab445794,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x329e4afdcd0ccb0e,
  0x00000006eb982200,
};

// m64c1_swio15_lednop_pr_ee_ce_u4   m64m1_swio15_lednop_pr_ee_ce      m64m1_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio15_lednop_pr_ee_ce[] = {
  0x3bdddddda2431bc1, 0xb772d2c30e44eac6, 0x7f4376e9bb64200d, 0xdd8f622485c18e24, 0xe05991a66309e271,
  0xc64ee8eba6bb62ee, 0x1fe9eaf9ffd79827, 0x02317ea8edd49180, 0x11759c3cf1e6e770, 0x593f51f097e21b09,
  0x841ef993170eedd8, 0xcf5f51e5650e53b5, 0x298ad82fa8f83660, 0x5962291669d68450, 0xbb74871d484d7d18,
  0x79d376ee9182873a, 0x9b91e45b1aaf1b1d, 0x0decb65cc5c24228, 0x6622934a8d822647, 0x71cf27f6bcb955a9,
  0xeaece75152a8d742, 0xae0404e9b95daa5b, 0x29a84ae4ac7a1a89, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x00653c95fb9a1996, 0x00000000027e04d6,
};

// m64m1_swio15_lednop_ee_hw
static const uint64_t ur_m64c1_swio15_lednop_ee_hw[] = {
  0xf7bbbbbb451a3768, 0xb572d2c7a9841582, 0x856ae3dd2e233c49, 0x5ede4531d7d0b867, 0x7111fb226c114888,
  0x304f8c9dd764afb6, 0x244e0ff958b3f43f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d0d44d7020274d, 0x6ab445794d425725,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x31b94b52fcdb40a8, 0x3def2861539fa84e,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x16ff412a8a792bf7,
};

// m64c1_swio15_lednop_ee_ce_u4_hw   m64m1_swio15_lednop_ee_ce_hw      m64m1_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio15_lednop_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xbb96961872275631, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f138e,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xdc008c5faa3b7524, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0x4271cf27f6bcb955,
  0x5beaece75152a8d7, 0x89ae0404e9b95daa, 0xaf29a84ae4ac7a1a, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0xd4bf36d028c76f62, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xc5a29e4afdcd0ccb, 0x0000000000280bec,
};

/*
 * m64c1_swio15_dual_pr              m64c1_swio15_dual_pr_u4           m64m1_swio15_dual
 * m64m1_swio15_dual_pr              m64m1_swio15_dual_pr_u4
 */
static const uint64_t ur_m64c1_swio15_dual[] = {
  0x3fbbbbbb4486dd9e, 0x66d6bf61ae73b562, 0xd2c5bb06d60b4b3f, 0xc895ba67f68eb14e, 0xe2e35043b0dba47e,
  0x270ab90fcabdbada, 0x0bc95487544c13e3, 0x59e2cf49109d8299, 0x9dd3e25c40c2860d, 0x387ee992b7e65012,
  0xc3dcdea3c06d854a, 0x3f7c114292241240, 0xc27d70f8510c4aff, 0xf8886559cbd33887, 0xe784dbdc54219680,
  0xdf3404b6ea7bfe80, 0xf35ee60b0de5796a, 0xb7cef967be48feef, 0xba4871240e0ffa8f, 0x4e62c05507992b47,
  0x0475e00ceda52388, 0x9eda63192a01ffb3, 0x7ceee2a4b81281e5, 0x93fb5e5caad67f15, 0x73a8a9546ba138e7,
  0x0274dcaed52df576, 0x2572563d0d44d702, 0xd75cf6ab445794d4, 0x482e52d7ce80f1ca, 0x829c6378ce881085,
  0xb40a8ab7b15545a4, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xd8668fb61c7f197e,
  0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x000002926b4f8019,
};

// m64m1_swio15_dual_pr_ee
static const uint64_t ur_m64c1_swio15_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xe36b5fb02fc99ab3, 0xefb8dd498758c8c4, 0x29506d055710b157, 0x03e26eb5e9469bd6,
  0x4b723822ace3f99d, 0x2a9063d7304f8c9e, 0x59e92213b0532179, 0x7c4b881850c1ab3c, 0x7e6b1ffcca0253ba,
  0xbd47eafd850f9c3a, 0x228524482481c729, 0xe1f0a21895fe7ef8, 0x95672f4ce3aa04fa, 0x63e2a10cb40a2a21,
  0x96ded6ffe80e784c, 0xc161bcaf2d5be680, 0x1b93923d3ffe6bdc, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3c9fdaf2e556b3f8, 0xb39d454aa35d09c7, 0x1013a6e576a96fab,
  0xa12b92b1e86a26b8, 0x56bae7b55a22bca6, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d,
  0xd1607a18dca5a97e, 0x39fa9d599bf83bb8, 0x9a3ed87138d28615, 0x64b867a615c9f80f, 0x6587494b670e2719,
  0xcf80194f257ee686, 0x0000000000002b21,
};

// m64m1_swio15_dual_pr_ee_u4
static const uint64_t ur_m64c1_swio15_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0xd9b5afd817d17eac, 0x6d77eeabe6c48ce0, 0xd333e9cd3b4abcb1, 0xeceec2d5af4a34cd,
  0x3f4ee4d1f53ab416, 0xf25520c7ae609f19, 0x78b3d2442760a642, 0x74f8971030a18356, 0x757cd43ff99404a7,
  0xd4dea3c72d81c138, 0x7c114292241240ed, 0x7d70f8510c4aff3f, 0x10cab397a671a0e2, 0x136df8a8432d07f1,
  0xa025b7b5bffa039e, 0xf730586f2bcb56f9, 0x6b46bee48f4fff9a, 0xc1f75ea3caf024d5, 0xa1df15975f51f06c,
  0x30b2c4522cd3ad08, 0xff397082e6909afa, 0x13b6948e5f1cead2, 0x8c7cb1aad743af6b, 0x65c7c62e12114262,
  0x715255c5adf5b86f, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2b1e86a26b81013a,
  0x7b55a22bca6a12b9, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x6da718de33a204e7, 0x8d164498dca5a97e,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0xca792bf734332c3a, 0x000000005645d800,
};

// m64c1_swio15_dual_pr_ce_u4        m64m1_swio15_dual_pr_ce           m64m1_swio15_dual_pr_ce_u4
static const uint64_t ur_m64c1_swio15_dual_pr_ce[] = {
  0xd02f777776890c86, 0x5d9b5afd86da27ea, 0x56ecdee9da69c246, 0x991f2252aabdd6e3, 0x98b5c535ec5f7605,
  0x248fdcbbb1bb3227, 0x0bc95481544c13e3, 0x59e2cf49109d8299, 0x9dd3e25c40c2860d, 0x380d6989d7e65012,
  0xf2b4dea3e9bd8456, 0x3f7c114292241240, 0x827d70f8510c4aff, 0xf6886559cbd338a4, 0x9e1304f8a8432d00,
  0x7cd012dbffcffa03, 0xcd7b982c3795e5ab, 0x18c5fa98f92235bf, 0x45d670f3c79b9d9c, 0x1ffd47c25f886c24,
  0xabd4b993170ece5d, 0x8188bea3c893dcb3, 0x8b017f7195490e24, 0xd78033b6948e2139, 0xc98c64a807feccf1,
  0xeee2a4b81281e5ad, 0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x74dcaed52df57673, 0x72563d0d44d70202,
  0x5cf6ab445794d425, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x912637296a5f9b68,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00000d243200329e,
};

// m64m1_swio15_dual_pr_ee_ce
static const uint64_t ur_m64c1_swio15_dual_pr_ee_ce[] = {
  0x6d95bbbbbba86f97, 0xa71b5afd86bdf5f5, 0xfbd7bdd2af2c4029, 0x388a716a69ef709a, 0x376099331d989d95,
  0xdc9e08cea5914eb3, 0x48e3c9cc13e324c8, 0xf49109d82990bc95, 0x25c40c2860d59e2c, 0x335dfe650129dd3e,
  0xd47d35b07f870c41, 0x28524482481ffc9b, 0x1f0a21895fe7ef82, 0x5672f4ce05904fae, 0x0e2a10cb414f2219,
  0x6de61bfe80e784c7, 0x161bcaf2d5be6809, 0xf2b491c41fe6bdcc, 0x9e3cdcef1058fea8, 0xba673ac3f37d523f,
  0xd4795efb94ed6059, 0xbb75ea3e0d98332b, 0x8a459a75a1140a62, 0xa78752135f461658, 0x5d9fc47d41ceaedc,
  0x3f92c6abc6c75ea2, 0x2fa598b8484507aa, 0x9bdaa3608991c37b, 0xf157ceee2a4a598f, 0x8e793fb5e5caad67,
  0x57673a8a9546ba13, 0x7020274dcaed52df, 0x4d42572563d0d44d, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b681463b7b1554, 0x771a2c79c37296a5, 0xa615c9fbab337f07, 0x4b670e271964b867,
  0x4f257ee686658749, 0x00000098201c8019,
};

// m64m1_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m64c1_swio15_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x6b5fb400b8bd5bae, 0xc9ba805d6f654e23, 0x6b7efaf7c7f07db2, 0x6d3c6c41bebb67c7,
  0x32d185369f28c5c8, 0x609f192f5ae5538c, 0xb05321792a917aa2, 0x50c1ab3c59e92213, 0x958093ba7c4b8818,
  0x0fd7381adcd30df9, 0x4903adf9bd47149b, 0x2bfcfdf0450a4890, 0xc15409f5c3e14431, 0x684724432ace5e99,
  0xd01cf09b7dc54219, 0x5ab7cd012db9257f, 0xbffaf82982c3795e, 0x6e317ea8ce0c9135, 0x8bace1e79f00cecd,
  0x03fa8f84bf10d848, 0x426e993170feb53c, 0xcaf51e57bee53b58, 0x98aedd7a8f83660c, 0x962291669d684502,
  0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141, 0x63e6f6a8d8226470,
  0x59fc55f3bb8a9296, 0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae, 0x135c0809d372bb54, 0x5e535095c958f435,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xa97e6da0518edec5, 0x1a3f8d164498dca5,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x6d5593c95fb9a199, 0x0000000001001b4d,
};

// m64m1_swio15_dual_ee_hw
static const uint64_t ur_m64c1_swio15_dual_ee_hw[] = {
  0x3d6dddddda28d086, 0x4e36b5fb02fc99ab, 0x7efb8dd498758c8c, 0x629506d055710b15, 0x283e26eb5e9469bd,
  0xc9e4b72eec6ecde6, 0x1792a9063d7304f8, 0xb3c59e92213b0532, 0x3ba7c4b881850c1a, 0xc3a7e6b1ffccae83,
  0x729bd47eafd850f9, 0xef8228524482481c, 0x4fae1f0a21895fe7, 0xa2195672f4ce3aa0, 0x84c63e2a10cb40a2,
  0x68096ded6ffe80e7, 0x374c161bcaf2d5be, 0xd68dc9c91e9fffea, 0x071efd4795e9b9aa, 0x877c57b3bd47c1b3,
  0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8, 0x65f4b3170908a0f5,
  0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0xe39e4fed7972ab59, 0xd5d9cea2a551ae84, 0x5c0809d372bb54b7,
  0x535095c958f43513, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xbf36d02a2adec555,
  0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0xa29e4afdcd0ccb0e, 0x00000000aed13d3a,
};

// m64c1_swio15_dual_ee_ce_u4_hw     m64m1_swio15_dual_ee_ce_hw        m64m1_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m64c1_swio15_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0xdad7ed002e2f56eb, 0xb26ea0175bd95388, 0xdadfbebdf1fc1f6c, 0x1b4f1b106faed9f1,
  0x9bd601d9016a3172, 0xf544c13e325eb5c9, 0x442760a642f25522, 0x1030a1835678b3d2, 0x0df995d06774f897,
  0x149b0fd7381adcd3, 0x48904903adf9bd47, 0x44312bfcfdf0450a, 0x5e99c15409f5c3e1, 0x4219684724432ace,
  0x257fd01cf09b7dc5, 0x795e5ab7cd012db9, 0x226b7ffd46e982c3, 0x9d9adc62fd519c19, 0xd8488bace1e79e43,
  0x539705fa8f84bf10, 0x4ed6109ba64c5c3f, 0xd98332bd4795efb9, 0x1140a62bb75ea3e0, 0xf4616588a459a75a,
  0x1ceaedca78752135, 0x6c75ea25d9fc47d4, 0x84507aa3f92c6abc, 0x991c37b2fa598b84, 0xa4a598f9bdaa3608,
  0x5caad67f157ceee2, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0x3d0d44d7020274dc, 0xab445794d4257256,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b681463, 0xbde50c2a73f509c6,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x7523c9d14f257ee6,
  0x000000000000001d,
};

// m64hve2_autobaud_uart0_noled_pr
static const uint64_t ur_m64hve2_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x8260aef2776c7b21,
  0x5dacff75304f8c04, 0x4dff0d3e123d7fe8, 0x0b0174ce2e81102a, 0x514895fa94fafb7e, 0x9ea3d7f3be5921ed,
  0x6b5aa5c71d3f8334, 0x488ccf1cc580b7ba, 0x6e39630475e2e763, 0xf0252373bd856435, 0xc1948dcef39ebbdb,
  0xa5f3d77f9bc89231, 0x5a7717f36ea5ab94, 0x31bc6744099f1408, 0x386ed84b997cdb4e, 0xd598f2068fe3458f,
  0x8cb25c33d30ae4fd, 0x0ccb0e9296cb2513, 0x049085da9e4afdcd, 0x0000000000000e22,
};

static const uint64_t ur_m64hve2_autobaud_uart0_noled_pr_u4[] = {
  0x6eeeeeed1222e59b, 0xbbbbbaabf0bedb89, 0xf4bc7cc982fdb1fb, 0x1c00f26eeedc4e1f, 0x93bbc962732193aa,
  0xf9827c6024130577, 0xf84ba8ff1b75cfed, 0x38ba0440a937fc34, 0xea53ebedf82c05d3, 0x0ef9610fb5452257,
  0x8e3a7f0682fd47e8, 0x1cc580b2ca67bed6, 0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x948dcef60e3e0796,
  0x52373bce7aef6fc0, 0xebbfcde01f34fb06, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x4b997cdb1248ab7b,
  0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00008c35f5411a1c,
};

// m64hve2_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_m64hve2_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x09f180904c15de4e, 0x52bbfc6dd73fb3a6, 0xd0220549bfe1a7c2, 0x9f5f6fc1602e99c5, 0x68e71daa2912bf52,
  0x1a63ea3cae449aad, 0x0ef8afbaf51f06cc, 0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2,
  0x461c6c6ab5d0ebce, 0xb2d973170908a39e, 0x4a9a546c11fadc37, 0x6fc0948dcef60054, 0xfb0652373bce7aef,
  0x9b19ebbfcde01f34, 0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x3cd84b997cdb1248, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x1a1cf257ee686658, 0x000000004d4e4d01,
};

// m64hve2_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_m64hve2_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x2b4c13e30120982b, 0x4f848a1ff8dbae7f, 0x338ba0440a937fc3, 0x7ea53ebedf82c05d, 0xf2e2fae49b545225,
  0xee24b1e79b8773b7, 0xfa8f84bf10d8488b, 0x5933c5dc6e3fcc41, 0xeb3d4727a7b9633f, 0xb0147ce9238e9fc1,
  0xbd1f3b57f47ac398, 0x7d99e5403ff6678e, 0x6e77b071f03cb5b8, 0xb9de73d77b7e04a4, 0xfe6f00f9a7d83291,
  0x0575539794d8cf5d, 0xa2d2c2e718de33a2, 0x97cdb12431dbd8aa, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x08dd5e6d91a1cf25,
};

static const uint64_t ur_m64hve2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x09f180904c15de4e, 0x82d7f8dbae7c66e6, 0xa0440a937fc34f84, 0x3ebedf82c05d338b, 0x51bf9b5452257ea5,
  0xe79b8773bc0877fd, 0xe6139dc6e35da1f7, 0x4795f5129dacac7b, 0x13fd47c1b306b5fd, 0x48b34eb422814c56,
  0x88ea426be8c2cb11, 0xb6f68f059ceaedd3, 0x38d8d578d8ebce9b, 0xb2e62e1211473c8c, 0x9a546c1132386f65,
  0xc0948dcef616744a, 0x0652373bce7aef6f, 0x19ebbfcde01f34fb, 0xc67440aeaa72f29b, 0x7b15545a585ce31b,
  0xb09732f9b624863b, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c, 0xe792bf734332c3a4,
  0x000002b369f5c8d0,
};

static const uint64_t ur_m64hve2_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x2ddddddda2435f41, 0x7777775573c14671, 0x6ec48f4eb23a1bb7, 0x6277d3c3f006ead0, 0x3bb45fddb62ae264,
  0x9827c60241305779, 0x94edffb0bb59fadf, 0x740881526ff869f0, 0xa7d7dbf0580ba671, 0x54721f6a8a44afd4,
  0x8f3c79b070e0dc5f, 0x25f886c2445f7125, 0x771b9d1f524fd47c, 0xd44a76b736f7ccf1, 0x1f06cc1ad7f51e57,
  0x3ad08a0531584ff5, 0x09afa30b2c4522cd, 0x3c1673abb74e23a9, 0x55e363af3a6edbda, 0xb848451cf230e363,
  0xb044c8e1bd96cb98, 0x373bd859d12a6951, 0xdcef39ebbdbf0252, 0xff37807cd3ec1948, 0x02baa9cbca6c67ae,
  0x516961738c6f19d1, 0xcbe6d89218edec55, 0x8d1637c371e6c25c, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000004110dc82556,
};

static const uint64_t ur_m64hve2_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2fe34e2, 0x6d9fb0678ef48fee, 0x7ae484191b5bbc7c, 0xe4ee94a3adaaf820,
  0x3a609f180904c15d, 0x4f84a577ff5933fb, 0x338ba0440a937fc3, 0x7ea53ebedf82c05d, 0x355ad1ce3b545225,
  0x0d9834c7d4795c89, 0xd08a1df15f75ea3e, 0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39,
  0x473c8c38d8d56ba1, 0xb86f65b2e62e1211, 0x00a89534a8d823f5, 0xf5dedf81291b9dec, 0x3e69f60ca46e779c,
  0xe5e53633d77f9bc0, 0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0xd8dc79b09732f9b6, 0x87bde50c2a73f505,
  0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x3f85da0be9e4afdc,
  0x00000000000000b1,
};

// m64hve2_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed14684c7f, 0xbbbbbaab9e0a3389, 0x76247a7591d0ddbb, 0x13be9e1f80375683, 0x4eef5ddcedaaf323,
  0xe609f180904c15de, 0xe129dbffeb267eb7, 0xe2e81102a4dff0d3, 0xa94fafb7e0b0174c, 0xbea8e43ed514895f,
  0x963cf3c860e1c1b8, 0xf097e21b09117dc4, 0xe2ee3712a2e47f51, 0xafa894ed6e6def99, 0xea3e0d9835afea3c,
  0x9a75a1140a62b09f, 0x52135f4616588a45, 0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6,
  0xa3608991c37b2d97, 0xa46e77b0b3a254d2, 0x91b9de73d77b7e04, 0x5dfe6f00f9a7d832, 0xa20575539794d8cf,
  0xaaa2d2c2e718de33, 0xb997cdb12431dbd8, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000002548140905f,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x413057793bb63d90,
  0x2ed67e449827c602, 0x26ff869f09695ff4, 0x0580ba6717408815, 0xa8a44afd4a7d7dbf, 0x27a8e4f1df2c90f6,
  0x4c3e7491c74fe0cd, 0x5f23905398b016f7, 0xf71cb1823af173b3, 0xfc0948dcef61583e, 0x2373bcf02027aef6,
  0x5dfe6f36434fb065, 0x1df2a6f529c94e81, 0x45a6ae9c6378ce88, 0xcbe6db9c8ab7b155, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x001acc5fac85da9e,
};

// m64hve2_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr[] = {
  0xb77777768911259b, 0xdddddd55f85cb8c4, 0xedbf4a9171debd3d, 0xff1fe2f7776e270f, 0x4eecbbb120ce05c2,
  0xe609f180904c15de, 0xe12eebfc6dd73f1e, 0xe2e81102a4dff0d3, 0xa94fafb7e0b0174c, 0x3be5843ed514895f,
  0x38e9fc1a0bf51ed6, 0xe62c0596537c907e, 0x8ebd1f3b2cf4690c, 0x6d059a45403ff660, 0x91b9dec82b40f2cf,
  0x79e0404f5dedf812, 0xde6c869f60ca46e7, 0x4dea53929d02bbfc, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d,
  0xc9ab83cd84b997cd, 0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x040591a1cf257ee6, 0x00000000000008c3,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr_ee[] = {
  0xddddddd0f5a22044, 0x7777755717fa0b12, 0x34cfda9bfa7a6277, 0xb210646d6ef1f1b6, 0x829395c1086d16a2,
  0x7c602413057793ba, 0x9bff1b75cf8d6982, 0x0881526ff869f096, 0xd7dbf0580ba67174, 0x39c76a8a44afd4a7,
  0x98fa8f2b32a6ab5a, 0x7c561efd47c1b306, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973,
  0xbdab1aad743af3a6, 0xb65cc5c242282791, 0x67951b047eb70dec, 0xe04a46e77b0021f6, 0x1b9de781013d77b7,
  0xeff379b21a7d8329, 0xef9537a94e4a740a, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0x9f1726ae0f3612e6,
  0x3ab31e40fca1a2ce, 0x2fcc4fe50c2a73f5, 0xff82687993fc5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196,
  0x3c46873c95fb9a19, 0x000000000009a9dd,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x13e30120982bbc9d, 0xb2b7f8dbae7f4dcc, 0xa0440a937fc34f84, 0x3ebedf82c05d338b, 0xd1af9b5452257ea5,
  0xf22fa8f2b09f355a, 0x77c57227a8f83660, 0x2cb1148b34eb4228, 0x5f2e2899a426be8c, 0xbb08a8f9e39d5a5e,
  0xf596355ae875eba9, 0xe1c8c5c24228afe8, 0xdec5c0fbfadc37b2, 0x404f5dedf81291b9, 0x869f60ca46e779e0,
  0x53929d02bbfcde6c, 0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x83cd84b997cdb739, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x91a1cf257ee68665, 0x0000000009a9c917,
};

// m64hve2_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0x75304f8c048260ae, 0x3e12c09fe36eb9fb, 0xce2e81102a4dff0d, 0xfa94fafb7e0b0174, 0xab8beb926d514895,
  0x71258f3cdc3b9dd4, 0xd47c25f886c2445f, 0x933c5dc6e56fc00f, 0xb3d47e927b9633f5, 0x0153111638e9fc1e,
  0x47cecb3d1a43398b, 0x6691500ffd99e3af, 0x9dec82b40f2d6e41, 0x0404f5dedf81291b, 0xc869f60ca46e779e,
  0xa53929d02bbfcde6, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x7079b09732f9b6e7, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xa23439e4afdcd0cc, 0x00000000008dd6ac,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x04f8c048260aef27, 0x563ffe36eb9f0d13, 0xd0220549bfe1a7c2, 0x9f5f6fc1602e99c5, 0xa8dfcdaa2912bf52,
  0xf3cdc3b9defb3bfe, 0xf984e771b8293f5f, 0x51e57dd4a76b2b1e, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315,
  0xea3a909afa30b2c4, 0x768c9193473abb71, 0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec,
  0xf0252373bd8598fb, 0x8dcef3c0809ebbdb, 0x77f9bcd90d3ec194, 0x77ca9bd4a7253a05, 0x169aba718de33a20,
  0x5f36dce18edec555, 0xb1e71726ae3612e6, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x2b3763f91a1cf257, 0x0000000000000000,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x2ddddddda2436d3a, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0x776e76cd8f6c98cc,
  0x304f8c048260aef2, 0x9620ff6176b3e87d, 0x740881526ff869f0, 0xa7d7dbf0580ba671, 0x54721f6a8a44afd4,
  0x8f3c79b0712d5c5f, 0x25f886c2445f7125, 0xee370112601fd47c, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf,
  0x75a1140a62bdbfea, 0x135f4616588a459a, 0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563,
  0xb044c8e1bd96cb98, 0x6e77b0b31f667951, 0x781013d77b7e04a4, 0x9b21a7d83291b9de, 0x7a94e4a740aeff37,
  0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x1132d2a5564f257e,
  0x0000000000000004,
};

static const uint64_t ur_m64hve2_autobaud_uart0_lednop_ee_hw[] = {
  0x5bbbbbbb451a2f43, 0xeeeeeeaae2ff4162, 0x6d8d33f6a6f7e9ee, 0xa8ac84191b5bbc7c, 0xc9dd69df6b765345,
  0xb4c13e30120982bb, 0x9f0969bffeb267c6, 0x671740881526ff86, 0xfd4a7d7dbf0580ba, 0x6ab5a39c76a8a44a,
  0x1b30698fa8f2b32a, 0x422877c561efd47c, 0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7,
  0x82791bdab1aad743, 0x70decb65cc5c2422, 0x021f667951b047eb, 0xd77b7e04a46e77b0, 0xd83291b9de781013,
  0xa740aeff379b21a7, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961,
  0x00000000b13e69ac,
};

// m64hve2_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xb77777768a34173e, 0xdddddd55cf072744, 0xbb466244d2e94add, 0xb13e470fc01bab41, 0x27773ed00ea27b33,
  0xd304f8c048260aef, 0xf84b107ff5933e87, 0x38ba0440a937fc34, 0xea53ebedf82c05d3, 0x2faa390fb5452257,
  0x258f3cf2183896ae, 0x7c25f886c2445f71, 0x78bb8dca4a672fd4, 0x2beea53b5b9b7be6, 0xfa8f83660d6bfa8f,
  0x669d68450298af6f, 0xd484d7d185962291, 0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded,
  0x546c1132386f65b2, 0x291b9dec2cc7d99e, 0x779e0404f5dedf81, 0xcde6c869f60ca46e, 0x54dea53929d02bbf,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x952332170be9e4af, 0x0000000000000000,
};

// m64hve2_autobaud_uart0_dual_pr    m64hve2_autobaud_uart0_dual_pr_u4
static const uint64_t ur_m64hve2_autobaud_uart0_dual[] = {
  0xfbbbbbbb44865c93, 0xdddddd36b1deca60, 0xbb57c768376962dd, 0x84339cf5b7777e9c, 0x15dc338b8b75bbc9,
  0x27c6024130577935, 0x804643d069008998, 0x0c2860d24fc0d918, 0x584a7419dd3e25c4, 0x8604384ae9add7e6,
  0x4fe0ce1cdea3b05d, 0x895fe7ef82284724, 0xe6e3fc006e1f0a21, 0xd0d2910caaec417b, 0xd01cf09a6e8a8432,
  0xb0de579096ddd2ff, 0xa7c24fe7f93d0e60, 0x99c5d0220549bfe1, 0xbf529f5f6fc1602e, 0x453be589adaa2912,
  0x7c71d3f8310fea3e, 0xf9cc580aa0f34e2f, 0xc11d78033b5ac8eb, 0x9ed887486a807fec, 0x7ceee2a4aa4e81e5,
  0x7e04a46e77b27f15, 0x91b9de781013d77b, 0xaeff379b21a7d832, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0x65f36dce455bd8aa, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4, 0x000002e0abcf92ab,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ee[] = {
  0xfbbbbbbba8286f97, 0xbbbbba6d433aef60, 0x126ba01b17df71bb, 0x328bf0a977ba02a7, 0x78233ae3fa9d1379,
  0x0120982bbc929cee, 0x43d06909c7cc13e3, 0x60d24fc0d9188046, 0x7419dd3e25c40c28, 0xe0d77321f7e6584a,
  0x0d137a8eff361880, 0x9fbe08a11c913f83, 0x2401b87c2886257f, 0x10caaec417be6e02, 0x262eb150865a1811,
  0xe425b7ff9ff4073c, 0x75fe4f43982c3795, 0x1102a4dff0d3e122, 0xafb7e0b0174ce2e8, 0x7226d514895fa94f,
  0x29ea3cad7dcd56b4, 0xf15d4af51f06cc18, 0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732,
  0x9eb1aad743af512e, 0xe9662e1211408a8f, 0xb151b047eb70decb, 0xabe77715250084fe, 0xdbf0252373bd93f8,
  0x948dcef3c0809ebb, 0x0577f9bcd90d3ec1, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x732f9b6e722adec5,
  0x71a2cb578dc79b09, 0x2a73f53ab337f077, 0x9a1e64ff0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719,
  0xe8a95593c95fb9a1, 0x0000000000029520,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ee_u4[] = {
  0xc1f7777776890c86, 0x77777774da867bf6, 0xb23b5b62f1ab6bbf, 0x0b201a2fc2a5deeb, 0x2ddddd8dd9683cc5,
  0x27c6024130577930, 0x008c87a0d2138f98, 0x1850c1a49f81b231, 0xb094e833ba7c4b88, 0x0d34707f93620fcc,
  0x3f83b1f9bd470d1b, 0x257f9fbe08a11c91, 0x372e4401b87c2886, 0x0296886557620bdf, 0x039e137ce8a8432d,
  0x1bcaf212dbffcffa, 0xf0913aff27a1cc16, 0x71740881526ff869, 0xd4a7d7dbf0580ba6, 0xab5a3d2b6a8a44af,
  0x660fe4f51e561ee6, 0x450ef8ac27fa8f83, 0xd185962291669d68, 0x4ba00b84173484d7, 0xd6276b591f4073ab,
  0x3a313f6355ae875e, 0x7b2e3e3170908a04, 0xee2a4ab8905fadc3, 0x4a46e77b27f157ce, 0x9de781013d77b7e0,
  0xff3791246383291b, 0x953b8b29cbe740ae, 0x207eb8a042d3c315, 0x5ccbe6da718de33a, 0xbb8d1637c371e6c2,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x564f257ee6866587, 0x000000014a920525,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ce[] = {
  0xf77777743d686f97, 0x777774da2b689ec1, 0x555eeb71ab508777, 0x8a6bd8beeee94a41, 0x5dcf046743f14eab,
  0x7c60241305779362, 0x08c87a0d22e4a982, 0x850c1a49f81b2310, 0x094e833ba7c4b881, 0x6d9c276e6b5bfccb,
  0x8331f9bd47ddad82, 0x7f9fbe08a11c913f, 0x19c801b87c288625, 0xea886557620bdf37, 0x9e132568a8432d02,
  0xcaf212db85affa03, 0x96ceff27a1cc161b, 0x740881526ff869f0, 0xa7d7dbf0580ba671, 0x5f54036a8a44afd4,
  0x258f3c79b071d2dc, 0x7c25f886c2445f71, 0x3c5dc6e6206bbfd4, 0xa38df9ee58cfa973, 0x283e471d3f83a97e,
  0xed6b23afe7316028, 0xaa01ffb33c75e00c, 0xaa4e81e5adc21d21, 0x77b27f157ceee2a4, 0x1013d77b7e04a46e,
  0x21a7d83291b9de78, 0x94e4a740aeff379b, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0x71e6c25ccbe6db9c,
  0xcdfc1ddc68b3a7c3, 0x13f9430a9cfd4eac, 0x9a1e64ff1738cbf3, 0x9e985727e39effe0, 0x494b67c09c6592e1,
  0x564f257ee6866587, 0x00000000ad7b3225,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ce_u4[] = {
  0x0fbbbbbbb4486f97, 0x77777774da2b75a6, 0xdeb0ebe7da4cdeef, 0xd201aaf8d5bbbb02, 0xa33773c119d385a9,
  0x609f180904c15de4, 0x6201190f41a40592, 0x1030a183493f0364, 0x996129d06774f897, 0xec2c7ce1ff260d1f,
  0x89fc1f57cdea3f4f, 0x312bfcfdf04508e4, 0xf9b895000dc3e144, 0x682564432abb105e, 0xd01cf0997dc54219,
  0xb0de579096dce0ff, 0x4f84b2b7f93d0e60, 0x338ba0440a937fc3, 0x7ea53ebedf82c05d, 0x16e2faaf9b545225,
  0xfb892c79e3cd8385, 0xfea3e12fc4361222, 0x7199e2ee3731035d, 0x71f51ee1cf72c678, 0x01621dee38e9fc18,
  0xc8b762791bda398b, 0x51d09fdc72c678eb, 0x3bd93f8abe777152, 0x0809ebbdbf025237, 0x90d3ec1948dcef3c,
  0x4a7253a0577f9bcd, 0x18de33a2077ca9bd, 0x18edec555169aba7, 0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xd842d2ab2792bf73, 0x000000000000056b,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ee_ce[] = {
  0xc1f777777750cf68, 0x77777774da7a6338, 0xb17c8970b0b695ef, 0x369b36f5c376e843, 0x347d4e8e09bb38ff,
  0x80904c15de4ce277, 0x43d069047ae609f1, 0x60d24fc0d9188046, 0x7419dd3e25c40c28, 0xe1d673321fe6584a,
  0xebcdea3cc36c19f0, 0xfdf04508e489fc1f, 0x400dc3e144312bfc, 0x86557620bdf373ce, 0x34728a8432d04b48,
  0x212db8a4ffa039e1, 0xaff27a1cc161bcaf, 0x881526ff869f0969, 0x7dbf0580ba671740, 0xe4f6a8a44afd4a7d,
  0xc79b0706b1dff546, 0x09cee372f0f96bf3, 0xcadfc94ed6564dd3, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0,
  0x3a909afa30b2c452, 0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe,
  0x5f3bb8a9296627f5, 0xdf81291b9dec9fc5, 0xa46e779e0404f5de, 0x2bbfcde6c869f60c, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0xc68b1e70dc79b097, 0x85727eeaccdfc1dd, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000018882a725564,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76da9c, 0xdddd36819ae2d83e, 0xc7f07cf05ad1fddd, 0x1282b777ed47faf7, 0xd2b315462e4369e3,
  0x24b13ba9188871a9, 0x3304f8c048260aef, 0x18804643d06914fc, 0xc40c2860d24fc0d9, 0x32c2550729dd3e25,
  0x8747ce0a493737ff, 0x3f836439bd47672d, 0x257f9fbe08a11c91, 0xdcb92801b87c2886, 0x26da21955d882f7c,
  0x39e1358fc5421968, 0x795e425b7eb3ffa0, 0x4b1bbfe1164982c3, 0xba0440a937fc34f8, 0x53ebedf82c05d338,
  0xaa353db5452257ea, 0xc79e3cdcec66ee2f, 0x12fc4361222fb892, 0xdc6e6a83c83fea3e, 0xf929dadcdcdd33c5,
  0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a, 0x3dece7576e328752, 0x55e363af512ed10a,
  0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151, 0x252373bd93f8abe7, 0xcef3c0809ebbdbf0,
  0xf9bcd90d3ec1948d, 0xca9bd4a7253a0577, 0x9aba718de33a2077, 0x36dce18edec55516, 0x1726ae0f3612e65f,
  0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xcf82bea92792bf73, 0x0000000000007ead,
};

static const uint64_t ur_m64hve2_autobaud_uart0_dual_ee_hw[] = {
  0xbbbbbbb451a3a668, 0xbbbba6d433aef60f, 0x26ba01b17df71bbb, 0x28bf0a977ba02a71, 0xd6573174d4893793,
  0x0120982bbc929cee, 0x43d06909c7cc13e3, 0x60d24fc0d9188046, 0x4d69dd3e25c40c28, 0x06bb990fbf32c254,
  0x689bd477f9b0c407, 0xfdf04508e489fc18, 0x200dc3e144312bfc, 0x86557620bdf37011, 0x31758a8432d0c088,
  0x212dbffcffa039e1, 0xaffde1dcc161bcaf, 0x881526ff869f0913, 0x7dbf0580ba671740, 0x9136a8a44afd4a7d,
  0x4f51e56bee6ab5a3, 0x8aea57a8f83660c1, 0x62291669d68450ef, 0xb8a973484d7d1859, 0x8851ef673ab4b994,
  0xf58d56ba1d7a8976, 0x4b3170908a04547c, 0x8a8d823f5b86f65f, 0x5f3bb8a9280427f5, 0xdf81291b9dec9fc5,
  0xa46e779e0404f5de, 0x2bbfcde6c869f60c, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a,
  0x39fa82ec6e3cd84b, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000160e548b205f4,
};

// m64hve2_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_autobaud_uart0_dual_ee_ce_hw[] = {
  0xeeeeeeed1468a812, 0xddddd36819ae2d83, 0xd7be3f83ed782ddd, 0x4f189415bbbf6a3f, 0xf072dfed0a31721b,
  0x260aef24b13b83eb, 0x6914fc3304f8c048, 0x4fc0d918804643d0, 0xdd3e25c40c2860d2, 0x3737ff32c2544d69,
  0x47672d8747ce0a49, 0xa11c913f836439bd, 0x7c2886257f9fbe08, 0x882f7cdcb92801b8, 0x42196826da21955d,
  0xb3ffa039e1358fc5, 0xb982c3795e425b7e, 0xfe1a7c258ddffbc3, 0x02e99c5d0220549b, 0x912bf529f5f6fc16,
  0x337717d51a9edaa2, 0x5f71258f3cf21838, 0xffd47c25f886c244, 0x374cf1771b8a49cd, 0xf51e56fe4a76b737,
  0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4,
  0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0xaef6fc0948dcef64, 0xb0652373bcf02027,
  0x4e815dfe6f36434f, 0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x84b997cdb73863b7, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x000000084d323c98,
};

// m64hve2_lin_uart0_noled_pr
static const uint64_t ur_m64hve2_lin_uart0_noled[] = {
  0xd0d783bbbacdfebe, 0xddd55f67367c4b76, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x9827c60241305779, 0x093dfff42ed67f24, 0x2a7e1c8d278e469f, 0x7e78ef96487b5452, 0xc9e8e3a7f06693d4,
  0xe33398b016f74c37, 0x2c608ebc5cecf691, 0x291b9dec2b289dc7, 0xa46e779cf5dedf81, 0xd77f9bc03e69f60c,
  0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x9732f9b6249156f6, 0x0d1fc68b1e70ddb0, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0xb53c95fb9a19961d, 0x0000001f21d2710b,
};

static const uint64_t ur_m64hve2_lin_uart0_noled_pr_u4[] = {
  0x0d783bbb4488da91, 0xeeaafb395a44b76d, 0x22a99b6f46deeeee, 0xb07dddd0b28e3a11, 0xd17a763b976c478f,
  0x7c602413057793ba, 0xbe7f8dbae7e71982, 0xf872349e391a7c24, 0x03be5843ed5148a9, 0xa38e9fc1a0bf51fa,
  0x8731602cb299efb5, 0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0x252373bd838f81e5, 0x948dcef39ebbdbf0,
  0x7aeff37807cd3ec1, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x12e65f36c4922ade, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000f9319384687,
};

// m64hve2_lin_uart0_noled_pr_ee_u4
static const uint64_t ur_m64hve2_lin_uart0_noled_pr_ee[] = {
  0x86bc1ddda2447768, 0x77557cd636225bb6, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0904c15de4eebb25, 0xc6dd73ec16609f18, 0x349e391a7c2470ff, 0x4738ed5148a9f872, 0xd31f51e57224d56b,
  0x77c57dd7a8f83660, 0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74,
  0x96cb98b848451cf2, 0x54d2a3608fd6e1bd, 0x7e04a46e77b002a2, 0xd83291b9de73d77b, 0xd8cf5dfe6f00f9a7,
  0xde33a20575539794, 0x5bd8aaa2d2c2e718, 0xe6c25ccbe6d89245, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903,
  0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xd0e792bf734332c3,
  0x000000013afa3888,
};

// m64hve2_lin_uart0_noled_pr_ce_u4
static const uint64_t ur_m64hve2_lin_uart0_noled_pr_ce[] = {
  0x0d783bbb44889202, 0xeeaae8778544b76d, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x04f8c048260aef27, 0x2727fe36eb9f90f3, 0x4fc391a4f1c8d3e1, 0xfe5c5f5c936a8a45, 0x7dc4963cf370ee76,
  0x3f51f097e21b0911, 0xeb2678bb8dc7f988, 0x3d67a8e4f4f72c67, 0x16028f9d2471d3f8, 0xd7a3e76afe8f5873,
  0x0fb33ca807feccf1, 0x8dcef60e3e0796b7, 0x373bce7aef6fc094, 0xbfcde01f34fb0652, 0x40aeaa72f29b19eb,
  0x545a585ce31bc674, 0x32f9b624863b7b15, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x006eb907223439e4,
};

static const uint64_t ur_m64hve2_lin_uart0_noled_pr_ee_ce[] = {
  0x6bc1dddd41447705, 0x557eb0551625bb68, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x413057793bb61b65, 0xb75cf93a9827c602, 0x278e469f09456ff1, 0xbf9b54522a7e1c8d, 0x9b8773bc0877fd51,
  0x139dc6e759b21fe7, 0x95f5129dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x948dcef616744a9a,
  0x52373bce7aef6fc0, 0xebbfcde01f34fb06, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b,
  0x165abcb9357079b0, 0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0x23439e4afdcd0ccb, 0x000000000027e631,
};

static const uint64_t ur_m64hve2_lin_uart0_noled_pr_ee_ce_u4[] = {
  0x0d783bbb44863375, 0xdd55de4392c4b76d, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x2ad1bab9d1c7a750,
  0x180904c15de4ee96, 0xfec2ed67f76a609f, 0x2349e391a7c2463f, 0xa8e43ed5148a9f87, 0x1e78f360e1c1b8be,
  0x4bf10d8488bee24b, 0xee373a3ea49fa8f8, 0xa894ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62b09fea,
  0x135f4616588a459a, 0x782ce7576e9c4752, 0xabc6c75e74ddb7b4, 0x70908a39e461c6c6, 0x608991c37b2d9731,
  0x6e77b0b3a254d2a3, 0xb9de73d77b7e04a4, 0xfe6f00f9a7d83291, 0x0575539794d8cf5d, 0xa2d2c2e718de33a2,
  0x97cdb12431dbd8aa, 0x1a2c6f86e3cd84b9, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000009f9ec4f4aac,
};

static const uint64_t ur_m64hve2_lin_uart0_noled_ee_hw[] = {
  0x1af077768a34280b, 0xdd55f358d8896eda, 0x0a6cb8e8d3dddddd, 0xfea6683ba9146bad, 0x4e7adad38dd83305,
  0xf180904c15de4eee, 0xe1fff5933ec16609, 0xf0e4693c7234f848, 0xaad68e71daa29153, 0x6cc1a63ea3cae449,
  0x8450ef8afbaf51f0, 0x7d185962291669d6, 0xad2f38ae3593484d, 0xbce9bb6f68f059ce, 0x39e461c6c6ab5d0e,
  0xc37b2d973170908a, 0x0544a9a546c11fad, 0xaef6fc0948dcef60, 0xf34fb0652373bce7, 0x2f29b19ebbfcde01,
  0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xc6e3cd84b997cdb1, 0x3def2861539fa82e, 0xff03f8cbf313ffbc,
  0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xf411785f4f257ee6, 0x000000000000005b,
};

// m64hve2_lin_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_lin_uart0_noled_ee_ce_hw[] = {
  0x35e0eeed14684aa4, 0x7557790e4b12ddb4, 0x9a5867a8cf777777, 0x638f8feed8f240c4, 0x658bee7dc71e9d41,
  0x8c048260aef27752, 0xffff5933fbb5304f, 0x1c8d278e469f0918, 0xfaa390fb54522a7e, 0x58f3cf21838706e2,
  0xc25f886c2445f712, 0x8bb8dc4a8b91fd47, 0xbea253b5b9b7be67, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f,
  0x484d7d1859622916, 0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c,
  0x91b9dec2ce89534a, 0x46e779cf5dedf812, 0x77f9bc03e69f60ca, 0x8815d54e5e53633d, 0xaa8b4b0b9c6378ce,
  0xe65f36c490c76f62, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000a0247a7417d,
};

// m64hve2_lin_uart0_lednop_pr
static const uint64_t ur_m64hve2_lin_uart0_lednop[] = {
  0x686bc1dddd66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x9304f8c048260aef, 0xe12f93fe85dacf82, 0x454fc391a4f1c8d3, 0x8e4f1df2c90f6a8a, 0xe7491c74fe0cd27a,
  0x3905398b016f74c3, 0xcb1823af173b35f2, 0x948dcef61583ef71, 0x3bcf02027aef6fc0, 0xe6f36434fb065237,
  0x2a6f529c94e815df, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xa2c79c376c25ccbe, 0x727eeacc790347f1,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x03e400e442ed4f25,
};

static const uint64_t ur_m64hve2_lin_uart0_lednop_pr_u4[] = {
  0x86bc1ddda2447f82, 0xeeaafb38ebe25bb6, 0x425f85c76a1eeeee, 0x4c9eeee859471d69, 0x5c62454dc1b267e9,
  0x3e30120982bbc9dd, 0x2fbfc6dd73e7acc1, 0xf872349e391a7c25, 0x63be5843ed5148a9, 0xe38e9fc1a0bf51ed,
  0xce62c0596537c907, 0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x291b9dec82b40f2c, 0x779e0404f5dedf81,
  0xcde6c869f60ca46e, 0x54dea53929d02bbf, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c,
  0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0x983c991a1cf257ee, 0x000000000000007c,
};

// m64hve2_lin_uart0_lednop_pr_ee_u4
static const uint64_t ur_m64hve2_lin_uart0_lednop_pr_ee[] = {
  0x86bc1ddda2447705, 0xeeaaf9ad8be25bb6, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x02413057793bb61b, 0xf1b75cfe569827c6, 0x8d278e469f09143f, 0xd1ce3b54522a7e1c, 0x34c7d4795995355a,
  0x3be2b0f7ea3e0d98, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d,
  0x65b2e62e1211413c, 0xb33ca8d823f5b86f, 0xbf0252373bd8010f, 0x48dcef3c0809ebbd, 0x577f9bcd90d3ec19,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x32f9b6e722adec55, 0xc6f8b9357079b097, 0xf53ab31e40fca1a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x004ebbcdb23439e4,
};

// m64hve2_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_m64hve2_lin_uart0_lednop_pr_ce[] = {
  0x86bc1ddda24458e2, 0x7755743b41225bb6, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x13e30120982bbc9d, 0x9d2ff8dbae7ca5cc, 0x3f0e4693c7234f84, 0x95717d724daa2915, 0xee24b1e79b8773ba,
  0xfa8f84bf10d8488b, 0xb2678bb8dcadf801, 0xd67a8fd24f72c67e, 0x602a6222c71d3f83, 0xe8f9d967a3486731,
  0x2cd22a01ffb33c75, 0x73bd905681e5adc8, 0xc0809ebbdbf02523, 0xd90d3ec1948dcef3, 0xd4a7253a0577f9bc,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0xae0f3612e65f36dc, 0xc81f943458df1726, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x3846873c95fb9a19,
  0x00000000000dd715,
};

static const uint64_t ur_m64hve2_lin_uart0_lednop_pr_ee_ce[] = {
  0x35e0eeeea0a22044, 0xaabf58223f12ddb4, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x20982bbc9dd4149c, 0xb75cfd0fcc13e301, 0x278e469f091c1ff1, 0xbf9b54522a7e1c8d, 0x9b8773bdf677fd51,
  0x139dc6e5c89257e7, 0x95f7529dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7, 0xea426be8c2cb1148,
  0x32464d1ceaedc7a8, 0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9, 0x948dcef61663eccf,
  0x3bcf02027aef6fc0, 0xe6f36434fb065237, 0x2a6f529c94e815df, 0x6ae9c6378ce881df, 0xdb73863b7b15545a,
  0x5c9ab83cd84b997c, 0xcc7903f2868b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000027e61091a1cf,
};

static const uint64_t ur_m64hve2_lin_uart0_lednop_pr_ee_ce_u4[] = {
  0x86bc1ddda243304a, 0xeeaaef212ee25bb6, 0x531342f7276eeeee, 0x8c71f1fddb1e4872, 0xd47dd9201b82246c,
  0xc048260aef2776c5, 0xfb0bb59fd35304f8, 0x4693c7234f84bfe7, 0x51c87daa29153f0e, 0x3cf1e6c1c4b5717d,
  0x97e21b09117dc496, 0xb8dc0449807f51f0, 0xea53b5b9b7be678b, 0xf83660d6bfa8f2be, 0xd68450298af6ffa8,
  0x4d7d185962291669, 0xc9a39d5db8f51d48, 0x578d8ebce9bb4648, 0xe1211413c8ded58d, 0xc1132386f65b2e62,
  0xb9dec2cc7d99e546, 0xe0404f5dedf81291, 0x6c869f60ca46e779, 0xea53929d02bbfcde, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x0dc79b09732f9b6e, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7, 0x93fc0fe32fcc4ffe,
  0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0xf929ac95593c95fb, 0x0000000000000009,
};

static const uint64_t ur_m64hve2_lin_uart0_lednop_ee_hw[] = {
  0x0d783bbb451a0375, 0xdd55f35b17c4b76d, 0xc2d198ed05dddddd, 0xdfa99a0eea451ae6, 0x02c056b626967ef1,
  0x7c602413057793bb, 0x287ffd64cfe56982, 0xfc391a4f1c8d3e12, 0x6ab5a39c76a8a454, 0x1b30698fa8f2b32a,
  0x422877c561efd47c, 0xbe8c2cb1148b34eb, 0x56973d571ac9a426, 0xaf3a6ed1923268e7, 0x82791bdab1aad743,
  0x70decb65cc5c2422, 0x021f667951b047eb, 0xd77b7e04a46e77b0, 0xd83291b9de781013, 0xa740aeff379b21a7,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x0000000016fb045e,
};

// m64hve2_lin_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_lin_uart0_lednop_ee_ce_hw[] = {
  0x35e0eeed146807e1, 0x755779097712ddb4, 0x989a17b93b777777, 0x638f8feed8f24392, 0x1efde8ebdc112364,
  0x8c048260aef27742, 0xf3ffac99fd35304f, 0x872349e391a7c25f, 0xbea8e43ed5148a9f, 0x963cf3c860e25ab8,
  0xf097e21b09117dc4, 0xe2ee3729299cbf51, 0xafba94ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62bdbf,
  0x52135f4616588a45, 0x923268e7576e3d47, 0x6355e363af3a6ed1, 0x98b8484504f237b5, 0x51b044c8e1bd96cb,
  0xa46e77b0b31f6679, 0xde781013d77b7e04, 0x379b21a7d83291b9, 0x537a94e4a740aeff, 0x574e31bc67440ef9,
  0xdb9c31dbd8aaa2d3, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xa029a41c2fa792bf,
};

static const uint64_t ur_m64hve2_lin_uart0_dual[] = {
  0x7777a45dddd44511, 0xbbbba6d17189cc1f, 0xbb707a700ad6c5bb, 0x64538c8eeeec33a8, 0x9361dcaf99f69627,
  0xcc13e30120982bbc, 0x46201190f41a4321, 0x71030a183493f036, 0xf32c253012774f89, 0xdec0a29c1c9cdf3b,
  0x9227f071ee6f51d7, 0x10c4aff3f7c11423, 0xbdf3706b00370f85, 0x19680f8886557620, 0x3fe80e784dbdc542,
  0x982c3795e425b77f, 0x8d3e12ea3fe56389, 0xa8a454fc391a4f1c, 0x1fa8f6b1df2d5ff6, 0xccf7f411c74fe0d2,
  0xa5a3486731602fe1, 0x771cb1823af22dda, 0x8abe77715252b241, 0xbdbf0252373bd93f, 0x1948dcef3c0809eb,
  0x3a0577f9bc89231c, 0x9e18aca9dc594e5f, 0x6f19d103f5c50216, 0x0f3612e65f36d38c, 0x4c2b93f3fb1726ae,
  0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000000196fdb88d0,
};

// m64hve2_lin_uart0_dual_pr_u4
static const uint64_t ur_m64hve2_lin_uart0_dual_pr[] = {
  0xde917776890c5aa4, 0xee9b45c5b1307ddd, 0xe2948cf7656eeeee, 0xdab13bbbb41571b4, 0xb0fa6d3aeec10eb1,
  0xc048260aef24fdbb, 0x643d0691723304f8, 0x860d24fc0d918804, 0xa7419dd3e25c40c2, 0x5381c398a5fe6584,
  0x0ea54dea3a56d83a, 0xfe7ef822847244fe, 0xb1f006e1f0a21895, 0x2221955d882f7cdc, 0x9e130f9150865a1f,
  0xcaf212dbc06ffa03, 0x904fff27a1cc161b, 0xa7e1c8d278e469f0, 0xc8a77cb135b54522, 0xef8e3a7f0621fd47,
  0x7f398b01541e69c5, 0x9823af00676b591d, 0xb3db10e90d500ffd, 0xaf9ddc549549d03c, 0x6fc0948dcef64fe2,
  0x52373bcf02027aef, 0x15dfe6f36434fb06, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15,
  0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x64f257ee68665874, 0x000000a49ab82a55,
};

// m64hve2_lin_uart0_dual_pr_ee_u4
static const uint64_t ur_m64hve2_lin_uart0_dual_pr_ee[] = {
  0xddde917776890c86, 0xeeee9b482557b07d, 0xd6f7ed396d77eeee, 0x58a17ae3dd0dd619, 0xb1bb2d0798a16402,
  0x48260aef26273bbb, 0xf41a433d7304f8c0, 0x3493f03646201190, 0x06774f8971030a18, 0x01a26d35f996129d,
  0x7e6f51ec7f61ff0e, 0xef822847244fe0e8, 0x006e1f0a21895fe7, 0x1955d882f7cdcb91, 0xc5162a10cb41d2a2,
  0x096dfabffe80e784, 0xff93d0e60b0de579, 0xe4693c7234f84b7d, 0xd68e44daa29153f0, 0x83053d4795afb9aa,
  0x43be2ba95ea3e0d9, 0x616588a459a75a11, 0xe652e2a5cd2135f4, 0x25da2147bd9cead2, 0x51f3d6355ae875ea,
  0xd97d2cc5c2422811, 0x9fd62a3608fd6e1b, 0x7f157ceee2a4a010, 0xd77b7e04a46e77b2, 0xd83291b9de781013,
  0xa740aeff379b21a7, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0x612e65f36dce455b, 0xc1ddc68b1be1b8f3,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0x92ab2792bf734332, 0x00000000000ac902,
};

// m64hve2_lin_uart0_dual_pr_ce_u4
static const uint64_t ur_m64hve2_lin_uart0_dual_pr_ce[] = {
  0x77a45ddda243359b, 0x774dab263aec1f77, 0x7d7738b513f77777, 0x6d396eeee4e29d9f, 0x78661426daeb739d,
  0x048260aef2448bb8, 0x87a0d23a9d304f8c, 0xc1a49f81b231008c, 0xe833ba7c4b881850, 0xc0c7e619bfccb094,
  0x35a6f51d2d6c02d1, 0x3f7c114239227f06, 0xe00370f8510c4aff, 0x10caaec417be6e33, 0x2631f150865a0515,
  0xe425b78adff4073c, 0x0bfe4f43982c3795, 0xc391a4f1c8d3e126, 0xdc5f54036a8a454f, 0x71258f3c79b071d2,
  0xd47c25f886c2445f, 0x733c5dc6e0a4fd7f, 0x7ea38df9ee58cfa9, 0x28283e471d3f83a9, 0x0ced6b23afe73160,
  0x21aa01ffb33c75e0, 0xa4aa4e81e5adc21d, 0x6e77b27f157ceee2, 0x781013d77b7e04a4, 0x9b21a7d83291b9de,
  0x7a94e4a740aeff37, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0xc371e6c25ccbe6db, 0xd599bf83bb8d1637,
  0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0xa48917a5564f257e, 0x0000000000000001,
};

static const uint64_t ur_m64hve2_lin_uart0_dual_pr_ee_ce[] = {
  0x777a45dddd437089, 0x7774daa8787cc1f7, 0x995c68bf46737777, 0x1f0668cf74eb272c, 0xb2aaf75b4b4170b5,
  0x982bbc9b0ceebc9e, 0xd2379f4c13e30120, 0x9f81b231008c87a0, 0xba7c4b881850c1a4, 0xe635bfccb094e833,
  0xf51e006c0521c3f5, 0x22847244fe0ed6e6, 0xe1f0a21895fe7ef8, 0xbb105ef9b9dd6006, 0x4542196869b4432a,
  0xbcedffd01cf09b02, 0x7a1cc161bcaf212d, 0x4f1c8d3e12e9fff2, 0xe4f6a8a454fc391a, 0xc79b0706b1dff546,
  0x09cee372f0f96bf3, 0xcadfc94ed6564dd3, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0xdf81291b9dec9fc5, 0xa46e779e0404f5de, 0x2bbfcde6c869f60c, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0x32f9b6e70c76f62a, 0xc68b1e70dc79b097, 0x85727eeaccdfc1dd, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x000026082fda5564,
};

static const uint64_t ur_m64hve2_lin_uart0_dual_pr_ee_ce_u4[] = {
  0xd22eeed15b765f82, 0xa6d29b9b460fbbbb, 0xddae2f6f27bbbbbb, 0xa76ec6a2af1f9683, 0xae3feafc7f421080,
  0xb29ddd35bfb46b2a, 0x827c602413057793, 0x201190f41a41f3e9, 0x030a183493f03646, 0xb09541ca774f8971,
  0x7599c190e6a4afcc, 0xf8335b9bd4767cd8, 0x57f9fbe08a11c913, 0xe753801b87c28862, 0x16910caaec417be6,
  0x73c26383150865a0, 0xf2bc84b6ffafff40, 0x49fe7fc22c930586, 0x53f0e4693c7234f8, 0x7717d51a9edaa291,
  0xdc4963cf1e6e7633, 0xf51f097e21b09117, 0x99e2ee373541e41f, 0x3cadfc94ed6e6e6e, 0x06f51f06cc1af9ea,
  0x22cd3ad08a05315c, 0x43a909afa30b2c45, 0x68851ef673abb719, 0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f,
  0x58a8d8226470decb, 0x55f3bb8a9296627f, 0xedf81291b9dec9fc, 0xca46e779e0404f5d, 0x02bbfcde6c869f60,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x732f9b6e70c76f62, 0x2c6f8b9357079b09, 0xea75666fe0fdbb1a,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x020007abdf5493c9,
};

static const uint64_t ur_m64hve2_lin_uart0_dual_ee_hw[] = {
  0xde9177768a346f02, 0xee9b482557b07ddd, 0xf7ed396d77eeeeee, 0xa17ae3dd0dd619d6, 0x3e6be8b361640258,
  0x8260aef26273b9fc, 0x41a433d7304f8c04, 0x493f03646201190f, 0xa774f8971030a183, 0xd1369afccb095135,
  0x37a8f63fb0ff8700, 0xc114239227f0743f, 0x370f8510c4aff3f7, 0xaaec417be6e5c880, 0x8b150865a0e9510c,
  0xb6fd5fff4073c262, 0xf787730586f2bc84, 0x349e391a7c25beff, 0x47226d5148a9f872, 0x829ea3cad7dcd56b,
  0xdf15d4af51f06cc1, 0xb2c4522cd3ad08a1, 0x297152e6909afa30, 0xed10a3dece756973, 0xf9eb1aad743af512,
  0xbe9662e1211408a8, 0xeb151b047eb70dec, 0x8abe77715250084f, 0xbdbf0252373bd93f, 0x1948dcef3c0809eb,
  0xa0577f9bcd90d3ec, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0x2a73f505d8dc79b0,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9,
  0x000000aed052140b,
};

// m64hve2_lin_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_lin_uart0_dual_ee_ce_hw[] = {
  0x7a45ddda28d19231, 0x74da537368c1f777, 0x683ddeae2f777777, 0x080a76ec6a2af1f9, 0x75bb5abeafc7f421,
  0x2bbc9d94eeffe19a, 0x0f9f4c13e3012098, 0x81b231008c87a0d2, 0x7c4b881850c1a49f, 0x257e6584a89ad3ba,
  0xb3e6c3acce0c8735, 0x8e489fc19adcdea3, 0x144312bfcfdf0450, 0x0bdf373a9c00dc3e, 0x432d00b488655762,
  0x7ffa039e131c18a8, 0x982c3795e425b7fd, 0xc8d3e127f9ffbc3b, 0x6a8a454fc391a4f1, 0x60e0cddc5f546a7b,
  0x09117dc4963cf3c8, 0x2737ff51f097e21b, 0xdcdcdd33c5dc6e29, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98,
  0x16588a459a75a114, 0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422,
  0x2cc4feb151b044c8, 0xbd93f8abe7771525, 0x809ebbdbf0252373, 0x0d3ec1948dcef3c0, 0xa7253a0577f9bcd9,
  0x8de33a2077ca9bd4, 0x8edec555169aba71, 0x8f3612e65f36dce1, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x01617d3c95fb9a19, 0x00000000001d75d1,
};

static const uint64_t ur_m64hve2_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120982bbc9ddb1ec, 0xa176b3f224c13e30, 0x277cb13516974aff, 0x471d3f8310fea3a6, 0x8e62c05bdd375192,
  0xc11d78b9d86fa327, 0x2e556a56135b8e58, 0x1aea5a53985a5daf, 0xbb54b7d59cea2a55, 0xa97debe99c5cd672,
  0x73daad115e5ce2d2, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x409156f62aa8b4b6, 0x3fb0ddb09732f9b6,
  0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944, 0x93eb2176a792bf73, 0x000000000000000a,
};

// m64hve2_swio10_noled_pr_u4
static const uint64_t ur_m64hve2_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x7b9827c602413057, 0xb1697baff1b75cfc, 0x193dea3cdc77cb08, 0xcb298ca9c638e9fc,
  0xe767bd1dac731602, 0x9ea807fecc11d7a3, 0xd556a81e59eddc35, 0xb4a730b4bb5e5caa, 0x6fab39d454aa35d4,
  0xd7d338b9ace576a9, 0x5a22bcb9c5a552fb, 0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c,
  0xf3612e65f36c8122, 0xf943458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x6873c95fb9a19961, 0x00000001f2610164,
};

static const uint64_t ur_m64hve2_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0xd304f8c048260aef, 0x5a5d37fe36eb9f1a, 0x7959c39aad68e3dc, 0xebea3e0d9833d7d4,
  0x459a75a1143be2b2, 0x64d2135f4616588a, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x2e121142628c45b1,
  0xd823f5b86f65b2e6, 0x972ab50089aafea8, 0x8d752d29cc2d2ed7, 0x5daa5beace75152a, 0x54bef5f4ce2e6b39,
  0xb9ed5688af2e7169, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0x2048ab7b15545a5b, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x1cf257ee68665874, 0x00000004ebf4f11a,
};

static const uint64_t ur_m64hve2_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x37304f8c048260ae, 0x45a5cadfe36eb9fd, 0xa3cad2b4d56b47dd, 0xf9dea3e0d98397de,
  0xa459a75a1143be2b, 0x44cd2135f4616588, 0x463e1cead2f01971, 0xaad743af5d4dd814, 0x5c24228c8a8fa0b1,
  0x09afadc37b2e1c8c, 0xe616976bcb955aae, 0x673a8a9546ba9694, 0x6717359caed52df5, 0x579738b4aa5f7afa,
  0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x25ccbe6d902455bd, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000009d748bc8d0e,
};

// m64hve2_swio10_noled_pr_ce_u4
static const uint64_t ur_m64hve2_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x982bbc9dd4149cba, 0xae7edd4c13e30120, 0xfac891697027f8db, 0x63cf370ee7795ae2, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0x3e493dcb19fac99e, 0x40a471d3f83c17ea, 0x67bd1dac731602f7, 0xa807feccf1d7a3e7,
  0x55aa0796b75c359e, 0x29cc2d2ed7972ab5, 0xeace75152a8d752d, 0xf4ce2e6b395daa5b, 0x88af2e716954bef5,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xb09732f9b640863b, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x39e4afdcd0ccb0e9, 0x000000375eaca234,
};

static const uint64_t ur_m64hve2_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xc344c13e30120982, 0x0e2d2d8fff8dbae7, 0xc3b9dd8f9dff5467, 0xcee37092b2a3f3cd,
  0xba594ed6563df309, 0xa3e0d983403d4795, 0xa75a1140a62b90fe, 0x2135f4616588a459, 0x47109ceaeddfb875,
  0x6abc6c75e74ddb4a, 0x8b84845098a3116c, 0x1b044c8e1bd96cb9, 0xf2e556a599355fd5, 0x51aea5a53985a5da,
  0x2bb54b7d59cea2a5, 0x2a97debe99c5cd67, 0xd73daad115e5ce2d, 0x536294f0d3bcf8b5, 0x689c6378ce881077,
  0xc810c76f62aa8b4b, 0x1726ae3612e65f36, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0x63f91a1cf257ee68, 0x00000000000029a7,
};

static const uint64_t ur_m64hve2_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0x43e9827c60241305, 0x51697107fb0bb59f, 0xcd839882e2faa3b7, 0x361222fb892c79e3,
  0xd4e5c17ea3e12fc4, 0x6b736f7ccf1771b9, 0xc1a01ea3cadd2ca7, 0xa05315c87f51f06c, 0x30b2c4522cd3ad08,
  0x7576efdc3a909afa, 0x3af3a6eda523884e, 0x284c5188b6355e36, 0x470decb65cc5c242, 0x52cc9aafea8d8226,
  0xd29cc2d2ed7972ab, 0xbeace75152a8d752, 0x5f4ce2e6b395daa5, 0x688af2e716954bef, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x9b09732f9b640863, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x4a95593c95fb9a19,
  0x000000000004fccb,
};

static const uint64_t ur_m64hve2_swio10_noled_ee_hw[] = {
  0xafbbbbbb451a2f43, 0x9bbb557e17a0b121, 0x6f7e9ee97119cdcc, 0x5eb436bd28d33f6a, 0xa68b51590106d043,
  0x057793bad3bed6ec, 0xcf8d69827c602413, 0x8e3dc5a5d37ffd64, 0x3d7d47959c39aad6, 0xbe2b2ebea3e0d983,
  0x6588a459a75a1143, 0xdcb8d64d2135f461, 0xeda523884e75697f, 0xc45b1aad743af3a6, 0x5b2e62e121142628,
  0xafea8d823f5b86f6, 0xd2ed7972ab50089a, 0x5152a8d752d29cc2, 0xe6b395daa5beace7, 0xe716954bef5f4ce2,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x97cdb2048ab7b155, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00002df9a6b05f4f,
};

// m64hve2_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio10_noled_ee_ce_hw[] = {
  0x437777768a34173e, 0x8bbb557f53c9d122, 0xba52b761995b05f9, 0x0c2a003611989134, 0xd99d89f22165b3c9,
  0x57793bb9f6807513, 0xf43e9827c6024130, 0xdba8b4b883ffac99, 0xe790c1cc41717d51, 0xc4361222fb892c79,
  0xe6a83c83fea3e12f, 0x9dadcdbdf33c5dc6, 0xb306807a8f2b74b2, 0x22814c5721fd47c1, 0xe8c2cb1148b34eb4,
  0x39d5dbbf70ea426b, 0xd8ebce9bb6948e21, 0x08a1314622d8d578, 0x991c37b2d9731709, 0xad4b326abfaa3608,
  0x4b4a730b4bb5e5ca, 0x96fab39d454aa35d, 0xbd7d338b9ace576a, 0x55a22bcb9c5a552f, 0x29e1a779f16bae7b,
  0xc6f19d1020eea6c5, 0x8edec5551696d138, 0x1e6c25ccbe6d9021, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x85c2fa792bf73433, 0x00000000001404cc,
};

static const uint64_t ur_m64hve2_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0904c15de4ee82f4, 0xd0bb59f7f2609f18, 0x43be589a8b4a657f, 0xe38e9fc1887f51fe, 0x0731602dee98f57b,
  0x30475e2e76b591f4, 0xcb955a959cf6e396, 0x46ba9694e616976b, 0xaed52df5673a8a95, 0x4bfa671735c0809c,
  0xab44579738b4ab57, 0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x9c6378ce881b1fe2, 0x3fb0ddb09732f9b6,
  0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944, 0x483a2176a792bf73, 0x0000000000000005,
};

// m64hve2_swio10_lednop_pr_u4
static const uint64_t ur_m64hve2_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xc069827c60241305, 0x162d287bff1b75cf, 0x8327bd479c4ef961, 0xb2ca631e7ac71d3f,
  0xf3b7c88e0f9cc580, 0xa05403ff6608ebd1, 0x5ac0ad03cb3dbdef, 0x9694e616976bcb95, 0x2df5673a8a9546ba,
  0x671735c0809caed5, 0x579738b4ab574bfa, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0xb997cdb2ec8ab7b1, 0x1637c5c9ab83cd84, 0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0007c9bf5411a1cf,
};

static const uint64_t ur_m64hve2_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x304f8c048260aef2, 0x4b1cbfc6dd73fd5f, 0x2b287355ad1c7b8b, 0x7d47c1b3067afa8f,
  0xb34eb422877c56c1, 0x9a426be8c2cb1148, 0xbe1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x0908a3244637ec6a,
  0x11fadc37b2d97317, 0x2ab500ae1acf546c, 0x752d29cc2d2ed797, 0xaa5beace75152a8d, 0xf4ce2e6b8101395d,
  0x88af2e716956ae97, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b65d9156f,
  0xd1674f8b9357079b, 0x39fa9d598f207e50, 0x2e7197e627f28615, 0xc73dffc1343cc9fe, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x4ebaec23439e4afd,
};

static const uint64_t ur_m64hve2_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0x8e5304f8c048260a, 0xd45a5b75fe36eb9f, 0xea3cae43cd56b47d, 0xb387ea3e0d98397d,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x046989cead2e5157, 0x1aad743af5d4dd90, 0x62e121143de8ed6b,
  0xe2e1fd6e1bd970e4, 0x4e616976bcb955aa, 0x5673a8a9546ba969, 0x735c0809caed52df, 0x738b4ab574bfa671,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb2ec8ab7b1554, 0x7c5c9ab83cd84b99,
  0x9d598f207e50d163, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x09d708591a1cf257,
};

// m64hve2_swio10_lednop_pr_ce_u4
static const uint64_t ur_m64hve2_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0x82bbc9dd3ad1a848, 0xe7e2b4c13e301209, 0xac8916977dff8dba, 0x3cf370ee776eae2f, 0x97e21b09117dc496,
  0xee3729299cbf51f0, 0x8293dcb19fac99e2, 0x80471d3f83c17ea3, 0xe44707ce62c050f6, 0x01ffb33c75e8f9db,
  0x15a0796b76f7d02a, 0x9cc2d2ed7972ab58, 0xace75152a8d752d2, 0xe6b8101395daa5be, 0xe716956ae97f4ce2,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36cbb0c76f62aa8, 0xf1726ae0f3612e65,
  0x75663c81f943458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6,
  0xb9a19961d252d9f0, 0x06eb96646873c95f,
};

static const uint64_t ur_m64hve2_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0x9db9827c60241305, 0x38b4bbb5fe36eb9f, 0x0ee77bb477fd519c, 0x771b9d1f524fcf37,
  0xbaca76b2b1ef984e, 0x1f06cc1a01ea3cac, 0x3ad08a0531594bf5, 0x09afa30b2c4522cd, 0x35f0e7576ef9c3a9,
  0xabc6c75e74dd827a, 0x70908a3244637ec6, 0x608991c37b2d9731, 0xb955a96770d67aa3, 0x6ba9694e616976bc,
  0xed52df5673a8a954, 0xbfa671735c0809ca, 0xb44579738b4ab574, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d,
  0x7b15545a4829c637, 0xb09732f9b65d863b, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0xe792bf734332c3a4, 0x0000014d338508d0,
};

static const uint64_t ur_m64hve2_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfd79827c60241305, 0x51696007fb0bb59f, 0xcd839002e2faa3b7, 0x361222fb892c79e3,
  0x2c8cf5fea3e12fc4, 0xd6e6def99e2ee370, 0x83403d479597594e, 0x40a62b297ea3e0d9, 0x616588a459a75a11,
  0xeaeddf38752135f4, 0xebce9bb04f46be1c, 0x46488c6fd8d578d8, 0x386f65b2e62e1211, 0x2cee1acf546c1132,
  0x29cc2d2ed7972ab5, 0xeace75152a8d752d, 0x2e6b8101395daa5b, 0x2e716956ae97f4ce, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f36cbb0c76f62aa, 0x68b1be1b8f3612e6, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000009f96e412ab2,
};

static const uint64_t ur_m64hve2_swio10_lednop_ee_hw[] = {
  0xafbbbbbb451a3032, 0x9bbb557e17b23121, 0x37c8eef8fdb7cdcc, 0xf5a1b5e96828d35a, 0x5c647c198836821a,
  0x57793bad88e76a72, 0xfeaf9827c6024130, 0xc7b8b4b1cbffac99, 0xafa8f2b287355ad1, 0xc56c17d47c1b3067,
  0xb1148b34eb422877, 0x971ac9a426be8c2c, 0x04f46be1cead2ff3, 0x7ec6ab5d0ebce9bb, 0x973170908a324463,
  0xf546c11fadc37b2d, 0xed7972ab500ae1ac, 0x52a8d752d29cc2d2, 0x1395daa5beace751, 0x6ae97f4ce2e6b810,
  0x9ed5688af2e71695, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x9156f62aa8b49053, 0xdc79b09732f9b65d,
  0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x69070be9e4afdcd0, 0x0000000000000b7c,
};

// m64hve2_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio10_lednop_ee_ce_hw[] = {
  0x437777768a341bc1, 0x8bbb557f53817122, 0x3ad3b7469e2f05f9, 0x0c2a003632723331, 0xca706ee9c165b3c9,
  0x2bbc9dd1d74d7dee, 0xffebcc13e3012098, 0xedd45a5801ffd64c, 0xf3c860e400b8bea8, 0xe21b09117dc4963c,
  0xb8148f9cbf51f097, 0xa76b736f7ccf1771, 0x6cc1a01ea3cacbac, 0x08a0531594bf51f0, 0xfa30b2c4522cd3ad,
  0x0e7576ef9c3a909a, 0x6c75e74dd827a35f, 0x08a3244637ec6abc, 0x991c37b2d9731709, 0x5a96770d67aa3608,
  0x9694e616976bcb95, 0x2df5673a8a9546ba, 0x671735c0809caed5, 0x579738b4ab574bfa, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b65d863b7b1, 0xa73f505d8dc79b09, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000280b03ee0be,
};

// m64hve2_swio10_dual_pr            m64hve2_swio10_dual_pr_u4
static const uint64_t ur_m64hve2_swio10_dual[] = {
  0xc7bbbbbb4486c541, 0xf83e9b4c45393075, 0x6c5f76e0f4e7ae34, 0x4a6efc8eca57c52b, 0x3167c5a8056eae33,
  0x2823bac11fc355ea, 0x9827c60241305779, 0x18804643d0690a91, 0xc40c2860d24fc0d9, 0xe6584a7419dd3e25,
  0xcd82fb3814599c9f, 0xc913f8332a6f51df, 0x886257f9fbe08a11, 0xbdf372b7c01b87c2, 0x1968464886557620,
  0x7fe80e784d6b4542, 0x30586f2bc84b6e5d, 0x87c8b4b52bfc9e87, 0xfe0c45f51e443be5, 0x055079bf71951c74,
  0x00ced38a37bce62c, 0xe0faa01ffb30475e, 0xa4b7f8607967b6b5, 0x5caad67f157ceee2, 0x35d4b4a730b4bb5e,
  0x76a96fab39d454aa, 0x5fd338b9ae0404e5, 0x5a22bcb9c5a55aba, 0xbe74078e56bae7b5, 0xc67440842a417296,
  0xbd8aaa2d2414e31b, 0x6c25ccbe6d976455, 0xf83bb8d1637c371e, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x925564f257ee6866, 0x0000000000524c83,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ee[] = {
  0xd86ddddddd435032, 0x2783e9b58ed08583, 0xf5a7b74e72be6676, 0x4e47676abbd35f7e, 0x5e1f5cedb7416c33,
  0xbaaf6d1febdf7638, 0x8c048260aef265db, 0x190f41a42e8b304f, 0xa183493f03646201, 0x29d06774f8971030,
  0xd1c02d4c63ff9961, 0x0715a6f51c9d6c12, 0xff3f7c114239227f, 0x54880370f8510c4a, 0xda21955d882f7cdc,
  0x784c1ee2a10cb417, 0x579096dd36ffe80e, 0xd0fff93d0e60b0de, 0xf7dcd56b465162d2, 0x51f06cc1995ea3ca,
  0xd3ad08a1df15dbaf, 0x909afa30b2c4522c, 0x1cead2e50d7152e6, 0xd0ebd44bb47b47a5, 0x845080234c6c6ab5,
  0xfadc37b2fa598b84, 0x494028cad6546c11, 0xb955acfe2af9ddc5, 0x6ba9694e616976bc, 0xed52df5673a8a954,
  0xbfa671735c0809ca, 0xb44579738b4ab574, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xd84b997cdb2ec8ab, 0xe0eee3458f386e3c, 0x0cf4c2b93f75666f, 0x3a4a5b3e04e32c97, 0x2ab2792bf734332c,
  0x00000000190a22f9,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbba0ae, 0x0fa6d63b42160f61, 0x8fcd39caf999d89e, 0xced577a6befdb4f6, 0xb9db6e82d8669c8e,
  0xf5babd87d770bc3e, 0x30577932edddf5f7, 0xd217459827c60241, 0x9f81b231008c87a0, 0xba7c4b881850c1a4,
  0x318ffe6584aa0e53, 0xd47275b04b4700b5, 0x4508e489fc1c569b, 0xc3e144312bfcfdf0, 0x7620bdf37152200d,
  0x8a8432d05f688655, 0x74dbffa039e1307b, 0x164982c3795e425b, 0x5a328b169687ffe1, 0x0ccaf51e57bee6ab,
  0x0ef8aedd7a8f8366, 0x85962291669d6845, 0x286b8a973484d7d1, 0x5da3da3d28e75697, 0x1a636355ae875ea2,
  0x97d2cc5c24228401, 0x56b2a3608fd6e1bd, 0xf157ceee2a4a0146, 0x730b4bb5e5caad67, 0xb39d454aa35d4b4a,
  0x9ae0404e576a96fa, 0x9c5a55aba5fd338b, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6d976455bd8aaa2, 0xe2e4d5c1e6c25ccb, 0x599bf83f6ec68b1b, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb,
  0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x3d89f7d524f257ee, 0x0000000000000159,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ce[] = {
  0xeddddddec121a5fb, 0xf07d36b31eed8394, 0x41f6eabe6c513919, 0xa8e2d3913eabfaef, 0x9932bbf7ef74a71b,
  0x99bba591aeb36855, 0x04f8c048260aef26, 0x201190f41a444633, 0x030a183493f03646, 0x96129d06774f8971,
  0xc2391c0e0cdd5ff9, 0x27f072ba6f51f676, 0xc4aff3f7c1142392, 0xcdc68380370f8510, 0x403da21955d882f7,
  0x80e784c13e2a10cb, 0x0de579096dec7ffe, 0x16946b7f93d0e60b, 0x79b070e0dc5f531f, 0x86c2445f71258f3c,
  0xc67ceb3fd47c25f8, 0xdcb19f52e678bb8d, 0x1d3f83b87ea3f513, 0x7bce62c05a95dd47, 0xb33c75e00ced38a3,
  0xe5adcb5e0faa01ff, 0x55f3bb8a92dfe181, 0xc2d2ed7972ab59fc, 0xe75152a8d752d29c, 0xb8101395daa5beac,
  0x16956ae97f4ce2e6, 0x5aeb9ed5688af2e7, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6cbb0c76f62aa8b4,
  0x6af1b8f3612e65f3, 0xa75666fe0eee3459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c,
  0xb2792bf734332c3a, 0x00000006923d6d2a,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ce_u4[] = {
  0xd89dddddda2432db, 0x77c1f4dacc6c5d83, 0x5a9afbad89d90919, 0x89323e44dd69624e, 0xf8ce947ee7157eed,
  0x779247ddc7045580, 0xebe9827c60241305, 0x1b231008c87a0d20, 0xc4b881850c1a49f8, 0x56fccb094e833ba7,
  0x7cadb0df670d3734, 0x08e489fc19439bd4, 0xe144312bfcfdf045, 0x105ef9b9d6600dc3, 0x42196804f4432abb,
  0xc7ffe80e784d38c5, 0x0e60b0de579096dc, 0xfaf751696397f93d, 0x2c79e3cd838c16e2, 0xe12fc4361222fb89,
  0x8bb8dc66fa547ea3, 0x38293dcb19e1c667, 0x592471d3f8359fea, 0xb22a383e731602f7, 0x9371cb19e3af22dd,
  0x7f157ceee2a4a3ae, 0xa730b4bb5e5caad6, 0xab39d454aa35d4b4, 0xb9ae0404e576a96f, 0xb9c5a55aba5fd338,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0xe881b1fcc6085a6a, 0x09732f9b69c6378c, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x95593c95fb9a1996, 0x0000000000692166,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ee_ce[] = {
  0x7fb5bbbbbba86f97, 0xd3b83e9b5e947e30, 0xfdebdeed8bc6a014, 0x9c4539395a083e44, 0x097d7aefc2960fda,
  0x5dcf046752c8a756, 0x7c60241305779264, 0x1190f41a41c93982, 0x0a183493f0364620, 0x129d06774f897103,
  0x1a0e1a6a67f9f996, 0xf07d3f37a8fff360, 0xaff3f7c114239227, 0x8aeb80370f8510c4, 0xc34432abb105ef9b,
  0xcf099c9c54219681, 0xcaf212dba1f7fd01, 0x54dbff27a1cc161b, 0xc4db3bfea8ca5c5a, 0x71a0e089fcf1e6c1,
  0x4ed656443309cee3, 0xd9833d7d47959439, 0x1140a62b60bea3e0, 0xf4616588a459a75a, 0x1ceaedd21c752135,
  0xb1d7b589dbba460a, 0x2289b91e45b1aaf1, 0x6470decb8f8c5c24, 0x2af9ddc549718c64, 0x616976bcb955acfe,
  0x73a8a9546ba9694e, 0x5c0809caed52df56, 0x8b4ab574bfa67173, 0xad75cf6ab4457973, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb65d863b7b15545a, 0x1e70dc79b09732f9, 0x7eeaccdfc1ddc68b, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x02609ce25564f257,
};

static const uint64_t ur_m64hve2_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b770668, 0x7d36a17bf8583957, 0x69a9af55e5a93970, 0x6b8bebdda0eb2b6b, 0xfde4e2afcfbfb4eb,
  0x48e6683821e1df5c, 0x25053baae3ec000d, 0x7304f8c048260aef, 0x18804643d0690cb3, 0xc40c2860d24fc0d9,
  0x32c2550729dd3e25, 0x61d8270bc39b96bf, 0x4fe0daee6f51f1bb, 0x895fe7ef82284724, 0x372231006e1f0a21,
  0x08e4886557620bdf, 0x039e136fb8a8432d, 0x3795e425b7b91ffa, 0x694d6ffe1164982c, 0xcecd6ee2faa33831,
  0x1222fb892c79e3cd, 0x29c7fea3e12fc436, 0xcdcdd33c5dc6e446, 0xdd7a8f2bcad29dad, 0x4c572bbd47c1b307,
  0xcb1148b34eb42281, 0xdb8a18ea426be8c2, 0xa89768f68f4a39d5, 0x008d31b1aaf1b1d7, 0xdecbe9662e121142,
  0x7195aca8d8226470, 0x59fc55f3bb8a9296, 0xd29cc2d2ed7972ab, 0xbeace75152a8d752, 0xe2e6b8101395daa5,
  0xf2e716956ae97f4c, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36cbb0c76f62a,
  0x8df1726ae0f3612e, 0x4eaccdfc1fb76345, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x8009f82bea92792b,
};

static const uint64_t ur_m64hve2_swio10_dual_ee_hw[] = {
  0xdbbbbbb451a12793, 0x07d36b1da10b07b0, 0x4f6e9ce57cccec4f, 0x8eced577a6befdeb, 0x3eb9db6e82d8669c,
  0x0b3634eb449f70bc, 0x80904c15de4cbb77, 0x21e83485d16609f1, 0x306927e06c8c4023, 0x26b4ee9f12e20614,
  0xc02d4c63ff99612a, 0x15a6f51c9d6c12d1, 0x3f7c114239227f07, 0x880370f8510c4aff, 0x21955d882f7cdc54,
  0x4c1ee2a10cb417da, 0x9096dd36ffe80e78, 0xfffef0ee60b0de57, 0xdcd56b465162d2d0, 0xf06cc1995ea3caf7,
  0xad08a1df15dbaf51, 0x9afa30b2c4522cd3, 0xead2e50d7152e690, 0xebd44bb47b47a51c, 0x5080234c6c6ab5d0,
  0xdc37b2fa598b8484, 0x4028cad6546c11fa, 0x55acfe2af9ddc549, 0xa9694e616976bcb9, 0x52df5673a8a9546b,
  0xa671735c0809caed, 0x4579738b4ab574bf, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b997cdb2ec8ab7b, 0x1539fa82ec6e3cd8, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xf4f257ee68665874, 0x0000002bb4c8b205,
};

// m64hve2_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio10_dual_ee_ce_hw[] = {
  0xfdddddda28d172df, 0x0fa6d42f7f0b072a, 0x2b7535eabcb5272e, 0x4eb6b8bebdda0eeb, 0xf5cfde4e2afcfbfb,
  0xa8356865a3821e1d, 0x13057792829ddb5a, 0x348659b9827c6024, 0x27e06c8c402321e8, 0xee9f12e206143069,
  0xcdcb5f99612a26b4, 0xa8f8ddb0ec1385e1, 0x14239227f06d7737, 0x0f8510c4aff3f7c1, 0xb105ef9b91188037,
  0x54219684724432ab, 0xdc8ffd01cf09b7dc, 0x1dcc161bcaf212db, 0xa8ce0c5a535bffde, 0x79e790c1c35bb8be,
  0x2fc4361222fb892c, 0xe371705c3ffea3e1, 0x694ed6e6e6e99e2e, 0xe0d983eebd4795e5, 0x5a1140a62b95dea3,
  0x35f4616588a459a7, 0xa51ceaedc50c7521, 0x78d8ebd44bb47b47, 0x0908a1004698d8d5, 0x1132386f65f4b317,
  0xc5494b38cad6546c, 0xbcb955acfe2af9dd, 0x546ba9694e616976, 0xcaed52df5673a8a9, 0x74bfa671735c0809,
  0x6ab44579738b4ab5, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x79b09732f9b65d86,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x680be9e4afdcd0cc, 0x00000000003aeac6,
};

// m64hve2_swio12_noled
static const uint64_t ur_m64hve2_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0982bbc9ddcc490d, 0xed67e3dcc13e3012, 0xf96e822d2f75ff42, 0x3a7f075ffd474c4e, 0xc580b7ba64007c8e,
  0x1d78b9dba4464f1c, 0xaad4ac10fb8e58c1, 0xd4b4a730b4bb5e5c, 0x96fabb39d454aa35, 0xbd7d338b9ace576a,
  0xd5688af2e71695b1, 0x1652a7d3bcfd6b9e, 0x2810b4b0b9d4ea70, 0x69c6378ce8811e5e, 0xf3fb0ddb09732f9b,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0x5496e2176a792bf7, 0x0000000000000000,
};

// m64hve2_swio11_noled_pr_u4        m64hve2_swio12_noled_pr           m64hve2_swio12_noled_pr_u4
static const uint64_t ur_m64hve2_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x1f304f8c048260ae, 0xc5a5dbffe36eb9f3, 0x64d7a8e0a1df2dbd, 0x594c1ed008e3a7f0,
  0x3b2628c45398b016, 0xe5403ff6608ebd1f, 0xaa11303cb3dbb589, 0x694e616976bcb955, 0xf57673a8a9546ba9,
  0xfa6717359caed52d, 0xd115e5ce2d2b637a, 0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63,
  0x3612e65f36d84315, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x873c95fb9a19961d, 0x0000001f26ae0a46,
};

// m64hve2_swio12_noled_pr_ee
static const uint64_t ur_m64hve2_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x304f8c048260aef2, 0xa5d9dfe36eb9f383, 0x959759aad68cc7c5, 0x7ea3e0d983ea3d47,
  0x59a75a1143be2b29, 0x4d2135f4616588a4, 0xf90e75697726b8d6, 0xad743af3a6ec7aa3, 0xe121144428f7bb1a,
  0x823f5b86f65b2e62, 0xb955a805d073ca8d, 0x6ba9694e616976bc, 0xd52df57673a8a954, 0x637afa6717359cae,
  0x3daad115e5ce2d2b, 0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x43156f62aa8b4b68, 0xae0f3612e65f36d8,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000009d78144687,
};

// m64hve2_swio12_noled_pr_ee_u4
static const uint64_t ur_m64hve2_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x9827c60241305779, 0xd2caeff1b75cfece, 0xcafe74d56b47b7e2, 0x5f51f06cc1ce3ea3,
  0x2cd3ad08a1df15ba, 0x66909afa30b2c452, 0xb5ce756975f6b8a2, 0xae875eba9bb4be46, 0x242281f11f496355,
  0x0fadc37b2e1c8c5c, 0x16976bcb955aae3a, 0x3a8a9546ba9694e6, 0x7359caed52df5767, 0x5ce2d2b637afa671,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x65f36d843156f62a, 0x8df1726ae0f3612e,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00275d34046873c9,
};

// m64hve2_swio11_noled_pr_ce_u4     m64hve2_swio12_noled_pr_ce        m64hve2_swio12_noled_pr_ce_u4
static const uint64_t ur_m64hve2_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xf4dcc13e30120982, 0x7516972b7f8dbae7, 0xf370ee772bae2faf, 0xe21b09117dc4963c,
  0x37190e92bf51f097, 0x93dcb19fac99e2ee, 0x471d3f8359fea3af, 0x46229cc580bb7e5f, 0xffb33c75e8f9d931,
  0x60796b75ac4f2a01, 0xc2d2ed7972ab5422, 0xe75152a8d752d29c, 0x2e6b395daa5beaec, 0xcb9c5a56c6f5f4ce,
  0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x997cdb61098edec5, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x001bae91791a1cf2,
};

// m64hve2_swio12_noled_pr_ee_ce
static const uint64_t ur_m64hve2_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0x7304f8c048260aef, 0x69466ffc6dd73e9b, 0xcec66ceffaa32eb1, 0x3719cba3ff9e6e1d,
  0x94ed6563df309cee, 0x0d983d2bd4795c87, 0xa1140a62b387ea3e, 0x5f4616588a459a75, 0x21ceaedce4c75213,
  0xc6c75e74dd8f547f, 0x4845110a3deec6ab, 0x44c8e1bd96cb98b8, 0x2ab52cfa0e7951b0, 0x752d29cc2d2ed797,
  0xa5beaece75152a8d, 0x6f5f4ce2e6b395da, 0xb55a22bcb9c5a56c, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c,
  0x98edec5551696d13, 0xab8d84b997cdb610, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0x46873c95fb9a1996, 0x000000000a698bf6,
};

// m64hve2_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_m64hve2_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x49827c6024130577, 0x696b7ffd85dacf8a, 0x072b7ee2faa3d371, 0x2445f71258f3c79b,
  0x6164fd47c25f886c, 0xcdbdf33c5dc6e3b7, 0xa57a8f2b90f29dad, 0x4c5670fd47c1b307, 0xcb1148b34eb42281,
  0xdb9c98ea426be8c2, 0xce9bb1ea8fe439d5, 0x2147bdd8d578d8eb, 0x37b2d973170908a2, 0x9f41cf2a3608991c,
  0x3985a5daf2e556a5, 0xd9cea2a551aea5a5, 0x9c5cd672bb54b7d5, 0x579738b4ad8debe9, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x9732f9b6c2131dbd, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5593c95fb9a19961,
  0x000000004fc1eae9,
};

// m64hve2_swio12_noled_ee_hw
static const uint64_t ur_m64hve2_swio11_noled_ee_hw[] = {
  0xd69bbbbb451a3705, 0x776aafc2e1044b8f, 0x989dda864cf9b993, 0xeb4368650b867856, 0x23f644d8106d05c7,
  0x57793bb61b656a4c, 0xf9c19827c6024130, 0xcc7c5a5d9dffd64c, 0xa3d47959759aad68, 0xe2b297ea3e0d983e,
  0x588a459a75a1143b, 0x6b8d64d2135f4616, 0xc7aa3f90e7569772, 0x7bb1aad743af3a6e, 0xb2e62e121144428f,
  0x3ca8d823f5b86f65, 0x976bcb955a805d07, 0x8a9546ba9694e616, 0x59caed52df57673a, 0xe2d2b637afa67173,
  0x8b5d73daad115e5c, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36d843156f62aa8, 0xea0bb1b8f3612e65,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x000b7fa09417d3c9,
};

// m64hve2_swio11_noled_ee_ce_u4_hw  m64hve2_swio12_noled_ee_ce_hw     m64hve2_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio11_noled_ee_ce_hw[] = {
  0x615bbbbb451a1f68, 0x776aafea664624b4, 0x5d96eb4b0660bf31, 0x0a800ada3b836b8f, 0xdd02f928596cf5a3,
  0x7793ba55e89fa160, 0x8a49827c60241305, 0x9b8b4b5bfffd64cf, 0xf218395bf717d51e, 0x86c2445f71258f3c,
  0x36ec291fd47c25f8, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684,
  0x3abb73931d484d7d, 0x1d79d3763d51fc87, 0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113,
  0xb4a730b4bb5e5caa, 0xfabb39d454aa35d4, 0x7d338b9ace576a96, 0x688af2e71695b1bd, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x3612e65f36d84263, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x617d3c95fb9a1996, 0x0000000005014cf2,
};

// m64hve2_swio12_lednop
static const uint64_t ur_m64hve2_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20982bbc9ddb1ec8, 0x2ed67e034c13e301, 0xdf2dd045a50f7ff4, 0xc74fe0ebffa8f921, 0x98b016f74dd42631,
  0x23af173b08a8fa43, 0x955a95982f71cb18, 0xba9694e616976bcb, 0x52df57673a8a9546, 0xa671735c0809caed,
  0x22bcb9c5a572f4bf, 0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0xc376c25ccbe6da71,
  0xb25c33d30ae4fcfe, 0xcb0e9296cb25138c, 0xac85da9e4afdcd0c, 0x0000000000002a4f,
};

// m64hve2_swio11_lednop_pr_u4       m64hve2_swio12_lednop_pr          m64hve2_swio12_lednop_pr_u4
static const uint64_t ur_m64hve2_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xb9827c6024130577, 0x2d2c7bff1b75cfaf, 0x26bd47400ef96dee, 0x6533f9d4471d3f83,
  0xdb244637ce62c059, 0x2a01ffb30475e8f9, 0xcbb503cb3db83fd2, 0x94e616976bcb955a, 0x57673a8a9546ba96,
  0x735c0809caed52df, 0xb9c5a572f4bfa671, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0xbe6db18c55bd8aaa, 0xbe2e4d5c1e6c25cc, 0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f,
  0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x7c99c87c8d0e792b,
};

// m64hve2_swio12_lednop_pr_ee
static const uint64_t ur_m64hve2_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0xa609f180904c15de, 0xb4a35bfc6dd73e96, 0xf2b60b355ad198f8, 0x7bd47c1b307d47a8,
  0x8b34eb422877c56a, 0xc9a426be8c2cb114, 0x7371cead2ee9571a, 0x55ae875e74dda444, 0x5c242285f11c6563,
  0xb047eb70decb65cc, 0x972ab500ad627951, 0x8d752d29cc2d2ed7, 0xdaa5beaece75152a, 0x7f4ce2e6b8101395,
  0xb44579738b4ae5e9, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xd84b997cdb6318ab,
  0x868b3a7c5c9ab83c, 0xa9cfd4eacc7903f2, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x009d73211a1cf257,
};

// m64hve2_swio12_lednop_pr_ee_u4
static const uint64_t ur_m64hve2_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0xb5304f8c048260ae, 0xc5a51adfe36eb9f4, 0x4795c879aad68f6f, 0xfddea3e0d9839c7d,
  0xa459a75a1143be2b, 0x44cd2135f4616588, 0x46989cead2f01971, 0xaad743af5d4ddb24, 0x5c2422883e8ed6b1,
  0x60bfadc37b2e1c8c, 0xcc2d2ed7972ab55c, 0xce75152a8d752d29, 0xb8101395daa5beae, 0x8b4ae5e97f4ce2e6,
  0x7eb5cf6ab4457973, 0xaf52c2ca6c59d01e, 0x40a2fa2810b4d5ce, 0xb997cdb4e31bc674, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00013ae91791a1cf,
};

// m64hve2_swio11_lednop_pr_ce_u4    m64hve2_swio12_lednop_pr_ce       m64hve2_swio12_lednop_pr_ce_u4
static const uint64_t ur_m64hve2_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x7e394c13e3012098, 0xf751696dd7f8dbae, 0xcf370ee77a6ee2fa, 0x7e21b09117dc4963,
  0xe37092b2a3f51f09, 0x7d3dcb19fac99e2e, 0xa8e3a7f06b3fd479, 0x88c6f9cc580b1ef4, 0x3ff6678ebd1f3b64,
  0xa81e5add07fa4540, 0x30b4bb5e5caad65d, 0x39d454aa35d4b4a7, 0xe0404e576a96fabb, 0x2d2b97a5fd338b9a,
  0xb5d73daad115e5ce, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0xdb1898edec555169, 0xe4d5c1e6c25ccbe6,
  0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xb842c8d0e792bf73, 0x000000000000006e,
};

// m64hve2_swio12_lednop_pr_ee_ce
static const uint64_t ur_m64hve2_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0x9304f8c048260aef, 0x5a50d1fe36eb9f7f, 0xb9d8683bfea8cbac, 0x8dc6838227f3cdc3,
  0xe53b5958f7cc273b, 0x83660f4af51e5652, 0x68450298aca1fa8f, 0xd7d185962291669d, 0xdc73abb73a51d484,
  0xf1b1d79d3769111c, 0x121142f88e32b1aa, 0x1132386f65b2e62e, 0xcaad4b3b589e546c, 0x5d4b4a730b4bb5e5,
  0xa96fabb39d454aa3, 0xd338b9ae0404e576, 0x115e5ce2d2b97a5f, 0x3a03c72b5d73daad, 0x3a20421520b94b5f,
  0xc55516920a718de3, 0x25ccbe6db1898ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x0000534db8f23439,
};

// m64hve2_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_m64hve2_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x3304f8c048260aef, 0xa543eff6176b3fd8, 0x1c43eb8bea8f4dc5, 0x9117dc4963cf1e6c,
  0x8fbbf51f097e21b0, 0x6def99e2ee37387f, 0x2bd479594b94ed6e, 0x62b287ea3e0d983d, 0x588a459a75a1140a,
  0xdce94752135f4616, 0x74dda4447371ceae, 0xe238cac6abc6c75e, 0xbd96cb98b848450b, 0xed627951b044c8e1,
  0xcc2d2ed7972ab52c, 0xce75152a8d752d29, 0xb8101395daa5beae, 0x8b4ae5e97f4ce2e6, 0xad75cf6ab4457973,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb6c6263b7b15545a, 0x8df0dc79b09732f9, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9,
  0x009f91a9c95593c9,
};

// m64hve2_swio12_lednop_ee_hw
static const uint64_t ur_m64hve2_swio11_lednop_ee_hw[] = {
  0xeb4ddddda28d0044, 0x776aafc2ed1625c7, 0x792eee6236f9b993, 0xfad0da181050b413, 0xfd334b8bc41b4171,
  0x2bbc9dd4149cb421, 0x7d2d4c13e3012098, 0x663e2d28d6ffeb26, 0x51ea3cad82cd56b4, 0xf15a9ef51f06cc1f,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0x69111cdc73ab4bba, 0x1958d56ba1d79d37, 0xd973170908a17c47,
  0x9e546c11fadc37b2, 0x4bb5e5caad402b58, 0x454aa35d4b4a730b, 0x04e576a96fabb39d, 0xb97a5fd338b9ae04,
  0x73daad115e5ce2d2, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a, 0x1b8f3612e65f36d8,
  0xf7bca1854e7ea0bb, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xf045e17d3c95fb9a, 0x000000000000016f,
};

// m64hve2_swio11_lednop_ee_ce_u4_hw m64hve2_swio12_lednop_ee_ce_hw    m64hve2_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio11_lednop_ee_ce_hw[] = {
  0xc2b777768a345f41, 0xeed55fd4d99c4968, 0xd86dda166ec17e62, 0x150015b3228ee99e, 0x28dd4bb0b2d9eb46,
  0xef27768bfbbdae25, 0xd83304f8c048260a, 0x6e2d2a1f7ff5933f, 0xc860e21f5c5f547a, 0x1b09117dc4963cf3,
  0x5d7185ff51f097e2, 0xd6e6def99e2ee371, 0x83d2bd479594b94e, 0x40a62b287ea3e0d9, 0x616588a459a75a11,
  0xeaedce94752135f4, 0x75e74dda4447371c, 0x50be238cac6abc6c, 0x8e1bd96cb98b8484, 0x52ced627951b044c,
  0xd29cc2d2ed7972ab, 0xeaece75152a8d752, 0x2e6b8101395daa5b, 0x9738b4ae5e97f4ce, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00050107fe10be9e,
};

/*
 * m64hve2_swio11_dual_pr            m64hve2_swio11_dual_pr_u4         m64hve2_swio12_dual
 * m64hve2_swio12_dual_pr            m64hve2_swio12_dual_pr_u4
 */
static const uint64_t ur_m64hve2_swio11_dual[] = {
  0x34bbbbbb44869a4e, 0x1f4da62210d83fd3, 0xf7ba8ce5dbd71a7c, 0x377c95264e2765b9, 0x9628d4d8b77e99a5,
  0x23bb8fea3151f1e1, 0x27c6024130577928, 0x804643d069174398, 0x0c2860d24fc0d918, 0x584a7419dd3e25c4,
  0x82fb3814599c9fe6, 0x13f8332a6f51dfcd, 0x6257f9fbe08a11c9, 0xf371aec01b87c288, 0x68464886557620bd,
  0xe80e784d6b454219, 0x586f2bc84b6e52ff, 0x78b4a517fc9e8730, 0x1ef7ea3f7477cb2d, 0x41e67261ee38e9fc,
  0x3b2008d31398b015, 0xea807fecc11d7803, 0xaf9d40f2cf6def1b, 0xaad67f157ceee2a4, 0xd4b4a730b4bb5e5c,
  0x96fabb39d454aa35, 0x338b9ae0404e576a, 0x15e5ce2d2b97a5fd, 0xa03c72b5d73daad1, 0xa20421520b94b5f3,
  0x55516920a718de33, 0x2e65f36d8c62adec, 0xddc68b1be1b8f361, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0xab2792bf734332c3, 0x00000002927bc152,
};

// m64hve2_swio12_dual_pr_ee
static const uint64_t ur_m64hve2_swio11_dual_pr_ee[] = {
  0x534edddddd43573e, 0xf07d36b1d936c1c0, 0x47e6ea729c4ccec4, 0x391d8f6d9beec75f, 0x00faabf6dd05014d,
  0x72e2fbb0af7acaf7, 0x180904c15de4cbb7, 0x321e834874ea609f, 0x4306927e06c8c402, 0x53a0cee9f12e2061,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847244fe, 0x743006e1f0a21895, 0xb4432abb105ef9b9,
  0xf0983dc54219682f, 0x579096df4d7fd01c, 0x42d7f93d0e60b0de, 0x76ea6ab5a3fdd169, 0x51f06cc187bf51e5,
  0xd3ad08a1df15e9bf, 0x909afa30b2c4522c, 0x9cead2ec157152e6, 0xd0ebd44bb18f467a, 0x8451a523886c6ab5,
  0xfadc37b2fa598b84, 0x9280591445546c11, 0x72ab59fc55f3bb8a, 0xd752d29cc2d2ed79, 0xaa5beaece75152a8,
  0xf4ce2e6b8101395d, 0x44579738b4ae5e97, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb6318ab7, 0x0eee3458f386e3cd, 0xcf4c2b93f75666fe, 0xa4a5b3e04e32c970, 0xab2792bf734332c3,
  0x00000003214b1fd2,
};

// m64hve2_swio12_dual_pr_ee_u4
static const uint64_t ur_m64hve2_swio11_dual_pr_ee_u4[] = {
  0x3b777768adbb3202, 0xf4dac764db07014d, 0x39a9ca71333b13c1, 0x3db66fbb1d71f9a3, 0xafdb74140534e476,
  0xf5d717d35bdc03ea, 0x82bbc9976ee1a741, 0x90e9d4c13e301209, 0xfc0d918804643d06, 0xd3e25c40c2860d24,
  0x8c7ff32c2550729d, 0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0xb105ef9b9743006e,
  0x54219682fb4432ab, 0xf4d7fd01cf0983dc, 0x59260b0de579096d, 0xb47fba2d285aff84, 0x30f7ea3caedd4d56,
  0x3be2bd37ea3e0d98, 0x16588a459a75a114, 0x82ae2a5cd2135f46, 0x7631e8cf539d5a5d, 0x710d8d56ba1d7a89,
  0x5f4b3170908a34a4, 0x88aa8d823f5b86f6, 0x8abe777152500b22, 0x985a5daf2e556b3f, 0x9cea2a551aea5a53,
  0x7020272bb54b7d5d, 0x1695cbd2fe99c5cd, 0x5aeb9ed5688af2e7, 0xa905ca5af9d01e39, 0x90538c6f19d10210,
  0xb6c63156f62aa8b4, 0xb9357079b09732f9, 0x66fe0fdbb1a2c6f8, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0,
  0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x2da5f5493c95fb9a, 0x0000000000001591,
};

// m64hve2_swio12_dual_pr_ce
static const uint64_t ur_m64hve2_swio11_dual_pr_ce[] = {
  0x375bbbbbd82432db, 0x0fa6d6635c58394a, 0x0bdd9c482a27233e, 0x471b0c1651f4fbd7, 0x843b363afba528dd,
  0xcddc704559608674, 0x27c6024130577934, 0x804643d06902a898, 0x0c2860d24fc0d918, 0x584a7419dd3e25c4,
  0x08e4703833757fe6, 0x9fc1cae9bd47d9db, 0x12bfcfdf04508e48, 0x9b8a4800dc3e1443, 0x807b4432abb105ef,
  0x01cf09827c542196, 0x1bcaf212db8cdffd, 0x2d29c1ff27a1cc16, 0x79b0709d5c5f57f2, 0x86c2445f71258f3c,
  0x8cdf4a8fd47c25f8, 0xb9633ea5ccf1771b, 0x3a7f076b7a8e13e7, 0x31398b014a2edf8e, 0xccf1d78033b2008d,
  0xcb5b9ef1bea807fe, 0x55f3bb8a92be7503, 0xc2d2ed7972ab59fc, 0xe75152a8d752d29c, 0x8101395daa5beaec,
  0xb4ae5e97f4ce2e6b, 0xd75cf6ab44579738, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x6c6263b7b15545a4,
  0x578dc79b09732f9b, 0x3ab337f07771a2cb, 0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867,
  0x93c95fb9a19961d2, 0x0000003490ad4955,
};

// m64hve2_swio12_dual_pr_ce_u4
static const uint64_t ur_m64hve2_swio11_dual_pr_ce_u4[] = {
  0xb323bbbbb4486f97, 0xc1f4dacc73ed83c0, 0xf77ba829eb091977, 0x991f2253b7aec21e, 0xa74806abf7ef7605,
  0x9247ddcf04674e16, 0x19827c6024130577, 0x231008c87a0d2223, 0xb881850c1a49f81b, 0xfccb094e833ba7c4,
  0xadb0df670d373456, 0xe489fc19439bd47c, 0x44312bfcfdf04508, 0x5ef9b895000dc3e1, 0x196804f4432abb10,
  0xffe80e784d38c542, 0x60b0de579096dec7, 0xdbf16946b7f93d0e, 0xf3c79b0714f5c5f5, 0x5f886c2445f71258,
  0xb8dceb3643fd47c2, 0x7d3dcb19e1c6678b, 0xe471d3f8327bd479, 0xc4637ce62c05dbeb, 0x71cb19e3af22dd87,
  0x2af9ddc54947570f, 0x616976bcb955acfe, 0x73a8a9546ba9694e, 0xc0809caed52df576, 0x5a572f4bfa671735,
  0xf5ae7b55a22bcb9c, 0x7a96165362ce80f3, 0x0a2f8c6085a6ae75, 0x997cdb4e31bc6744, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xc9e4afdcd0ccb0e9, 0x0000001a4810b4aa,
};

// m64hve2_swio12_dual_pr_ee_ce
static const uint64_t ur_m64hve2_swio11_dual_pr_ee_ce[] = {
  0x9538b7777750cf68, 0x707d36bd28ce307d, 0x57bddcfb67c029a7, 0x229c10f225c2c2da, 0xcda6cde14b07654e,
  0xcd1f53a3826ece3f, 0x602413057792645d, 0x90f41a411eb9827c, 0x183493f036462011, 0x9d06774f8971030a,
  0x0e1a6a67f9f99612, 0x7d3f37a8fff3601a, 0xf3f7c114239227f0, 0x3900370f8510c4af, 0xa21955d882f7cdcf,
  0x84ce4e2a10cb40e1, 0xbc84b6e293fe80e7, 0xa6bfc9e8730586f2, 0xd3477fd519438b4b, 0x8a49cdffcf1e6c1c,
  0x76b2b221984e771b, 0xcc1f51ea3cad82ca, 0x8a05315a9ef51f06, 0xa30b2c4522cd3ad0, 0xe7576e3863a909af,
  0x3af6b13b6df472f8, 0x2805118f96355e36, 0x470decb8f8c5c242, 0x5f3bb8a92e31c8a6, 0x2d2ed7972ab59fc5,
  0x75152a8d752d29cc, 0x101395daa5beaece, 0x4ae5e97f4ce2e6b8, 0x75cf6ab44579738b, 0x82e52d7ce80f1cad,
  0x29c6378ce8810854, 0xc6263b7b15545a48, 0x70dc79b09732f9b6, 0xeaccdfc1ddc68b1e, 0xc6592e19e985727e,
  0x6866587494b67c09, 0x822a725564f257ee, 0x0000000000000009,
};

// m64hve2_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_m64hve2_swio11_dual_pr_ee_ce_u4[] = {
  0xdeeeeed15b77d8be, 0x36a17a8c583efde7, 0xef76a3e5a939707d, 0xc995ef226b69be6b, 0xde4edfbcfbfb55ab,
  0xfb2a71e0a5926d0f, 0x25053ba8356668fa, 0x1304f8c048260aef, 0x8c402321e8348bd5, 0xe20614306927e06c,
  0x99612a8394ee9f12, 0xb0ec1385e1cdcb5f, 0x27f06d7737a8f8dd, 0xc4aff3f7c1142392, 0xcdc15400370f8510,
  0x4239221955d882f7, 0x80e784dbee2a10cb, 0x0de579096de92bfe, 0x5a5bc3ff8459260b, 0x73bbc3b8bea8c9d4,
  0x8488bee24b1e78f3, 0x45927fa8f84bf10d, 0xb9b9ba678bb8dc15, 0xedff51e572ba53b5, 0x5315efbf51f06cc1,
  0xb2c4522cd3ad08a0, 0x76e60a3a909afa30, 0xea25d8c7a33d4e75, 0xa523886c6abc6c75, 0x37b2fa598b848451,
  0x3c8a22aa3608991c, 0xacfe2af9ddc5494b, 0x694e616976bcb955, 0xf57673a8a9546ba9, 0x1735c0809caed52d,
  0xcb9c5a572f4bfa67, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb63131dbd8aa,
  0x37c5c9ab83cd84b9, 0x3ab337f07edd8d16, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343,
  0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x000202efaa49e4af, 0x0000000000000002,
};

// m64hve2_swio12_dual_ee_hw
static const uint64_t ur_m64hve2_swio11_dual_ee_hw[] = {
  0x9dbbbbb451a3b46e, 0xfa6d63b26d8380a6, 0xcdd4e538999d89e0, 0x3b1edb37dd8ebe8f, 0xf557edba0a029a72,
  0x30a093fbffc3ee01, 0x0120982bbc9976ee, 0x43d0690e9d4c13e3, 0x60d24fc0d9188046, 0x4d69dd3e25c40c28,
  0x805a98c7ff32c254, 0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x3006e1f0a21895fe, 0x432abb105ef9b974,
  0x983dc54219682fb4, 0x9096df4d7fd01cf0, 0xd7fef0ee60b0de57, 0xea6ab5a3fdd16942, 0xf06cc187bf51e576,
  0xad08a1df15e9bf51, 0x9afa30b2c4522cd3, 0xead2ec157152e690, 0xebd44bb18f467a9c, 0x51a523886c6ab5d0,
  0xdc37b2fa598b8484, 0x80591445546c11fa, 0xab59fc55f3bb8a92, 0x52d29cc2d2ed7972, 0x5beaece75152a8d7,
  0xce2e6b8101395daa, 0x579738b4ae5e97f4, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0xb997cdb6318ab7b1, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0x4f257ee686658749, 0x00000aed7bff085f,
};

// m64hve2_swio11_dual_ee_ce_u4_hw   m64hve2_swio12_dual_ee_ce_hw      m64hve2_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio11_dual_ee_ce_hw[] = {
  0x7deeeeed14682541, 0xd36a17a8c583efde, 0x6ef76a3e5a939707, 0x56af2657bc89dada, 0xb43f793b7ef3efed,
  0xc32d6ed3e7829649, 0x13057792829dd538, 0x1a45ea89827c6024, 0x93f03646201190f4, 0x774f8971030a1834,
  0xe6e5afccb095135a, 0xd47c6ed87609c2f0, 0x8a11c913f836bb9b, 0x87c2886257f9fbe0, 0xec417be6e0aa001b,
  0x150865a11c910caa, 0xf495ff4073c26df7, 0x87730586f2bc84b6, 0xaa32751696f0fff7, 0x1e79e43072f0ee2f,
  0x4bf10d8488bee24b, 0xb8dc0b233d7fa8f8, 0xba53b5b9b9ba678b, 0xf06cc1edff51e572, 0xad08a05315efbf51,
  0x9afa30b2c4522cd3, 0x3d4e7576e60a3a90, 0xbc6c75ea25d8c7a3, 0x848451a523886c6a, 0x08991c37b2fa598b,
  0xc5494b3c8a22aa36, 0xbcb955acfe2af9dd, 0x546ba9694e616976, 0xaed52df57673a8a9, 0x4bfa671735c0809c,
  0x55a22bcb9c5a572f, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0xcd84b997cdb63131,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x705f4f257ee68665, 0x0000000001d759a3,
};

static const uint64_t ur_m64hve2_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0904c15de4eec2f5, 0xa176b3e63e609f18, 0x4ef96e922d2edfff, 0xc71d3f83e7bd4788, 0x1cc580b7ba6d296b,
  0x823af173b5c3464d, 0xb955a9595ff71cb1, 0x6ba9694e616976bc, 0xb7d54df673a8a954, 0xebe99c5cd672bb54,
  0x5a22bcb9c5a55abd, 0x94a9f4ef3f5ae7b5, 0x042d2c2e753a9c05, 0x718de33a2045fb8a, 0xfec376c25ccbe6da,
  0x8cb25c33d30ae4fc, 0x0ccb0e9296cb2513, 0x22e085da9e4afdcd, 0x0000000000000015,
};

// m64hve2_swio13_noled_pr_u4
static const uint64_t ur_m64hve2_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xbf9304f8c048260a, 0x3f1694caff1b75cf, 0x07d07a8f2f8ef968, 0x6594d1ef4a8e3a7f,
  0xf3b4428f7b398b01, 0x9a5403ff6608ebd1, 0x5abeb703cb3db114, 0x9694e616976bcb95, 0x54df673a8a9546ba,
  0x99c5cd672bb54b7d, 0x2bcb9c5a55abdebe, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1,
  0x84b997cdb1922ade, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x000007c9aa6b11a1,
};

static const uint64_t ur_m64hve2_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x304f8c048260aef2, 0xa58adfe36eb9f275, 0xcaca5cd56b46fe45, 0x7ea3e0d98309fea3,
  0x59a75a1143be2b28, 0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a,
  0x047eb70decb65cc5, 0xe556a0174982d51b, 0xaea5a53985a5daf2, 0xdf5537d9cea2a551, 0xafa6717359caed52,
  0x688af2e716956af7, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xf3612e65f36c648a,
  0xca1a2ce9f1726ae0, 0xc2a73f53ab31e40f, 0x3fc5ce32fcc4fe50, 0xc9f8e7bff8268799, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x0009d7c6246873c9,
};

static const uint64_t ur_m64hve2_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120982bb, 0x16977dff8dbae7e2, 0x8f2b74b355ad1995, 0x21fd47c1b306807a,
  0x48b34eb422877c57, 0x899a426be8c2cb11, 0x8def39d5a5ea52e2, 0x55ae875eba9bb4e2, 0x70908a16ba3b8763,
  0xe93eb70decb87231, 0x985a5daf2e556ab8, 0x9cea2a551aea5a53, 0x359caed52df5537d, 0x716956af7afa6717,
  0xc5aeb9ed5688af2e, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0x5f36c648ab7b1554, 0xdf1726ae0f3612e6,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x004eb96646873c95,
};

// m64hve2_swio13_noled_pr_ce_u4
static const uint64_t ur_m64hve2_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x0aef27747b16a8e3, 0x9fd9d304f8c04826, 0x76fc5a595dfe36eb, 0xe79b8773bdf7717d, 0xbf10d8488bee24b1,
  0x71b9722495fa8f84, 0x6e9ee58cfd64cf17, 0xe31c74fe0c9ef51e, 0x2147bd9cc580a654, 0x01ffb33c75e8f9da,
  0xd6e0796b708a4d2a, 0x9cc2d2ed7972ab57, 0xece75152a8d752d2, 0xb9ace576a96faa9b, 0x738b4ab57bd7d338,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0x8df1726ae0f3612e,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x00375d34046873c9,
};

static const uint64_t ur_m64hve2_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xa6a609f180904c15, 0xb8b4bff3fc6dd73f, 0x8773bff877fd5194, 0x3b8dcca8683fe79b,
  0x70e53b5958f7cc27, 0x8f83660cf5f51e56, 0x9d68450298acbafa, 0x84d7d18596229166, 0x1e4873abb72561d4,
  0xaaf1b1d79d376ea1, 0x5c24228f911c1fb1, 0xd8226470decb65cc, 0x972ab52cfa4c16a8, 0x8d752d29cc2d2ed7,
  0x96faa9bece75152a, 0xbd7d338b9ace576a, 0xab44579738b4ab57, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a,
  0x1dbd8aaa2d2da271, 0xae3612e65f36c643, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0x1a1cf257ee686658, 0x0000000029a63cb9,
};

static const uint64_t ur_m64hve2_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x1ba609f180904c15, 0x8b4ad77fec2ed67f, 0xd838d77717d51ece, 0x61222fb892c79e3c,
  0x05c3ffea3e12fc43, 0x6e6def99e2ee3717, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114,
  0xaedc958752135f46, 0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991,
  0xa730b4bb5e5caad4, 0xfb39d454aa35d4b4, 0x2e6b395daa5beaa6, 0x5ce2d2ad5ef5f4ce, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x997cdb190c76f62a, 0x71a2c6f86e3cd84b, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0xc9e4afdcd0ccb0e9,
  0x00000027e0c9c4aa,
};

static const uint64_t ur_m64hve2_swio13_noled_ee_hw[] = {
  0x5fbbbbbb451a1541, 0x9bbb557e17a8b127, 0x3699eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad88368275,
  0x57793ba0292669ce, 0xf93a9827c6024130, 0x6fe45a58adffd64c, 0x9fea3caca5cd56b4, 0xe2b287ea3e0d9830,
  0x588a459a75a1143b, 0xcb8d64d2135f4616, 0xdd423c90e756974a, 0x1fb1aad743af3a6e, 0x65cc5c24228f911c,
  0x2d51b047eb70decb, 0x5daf2e556a017498, 0x2a551aea5a53985a, 0xaed52df5537d9cea, 0x56af7afa6717359c,
  0xb9ed5688af2e7169, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc648ab7b15545a5b, 0xbb1b8f3612e65f36,
  0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xb7c8cd017d3c95fb, 0x0000000000000000,
};

// m64hve2_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio13_noled_ee_ce_hw[] = {
  0x137777768a346812, 0x8bbb557f53b13124, 0x7af5b7469e2f05f9, 0x9854000ce275c1fa, 0x9ba666b042cb67a0,
  0x2bbc9dddfb0b6a6b, 0xfe374c13e3012098, 0xece8b4ad77ffd64c, 0xcf21838d77717d51, 0x886c2445f71258f3,
  0xce41d5d7fd47c25f, 0x3b5b9b7be678bb8d, 0x660cf5f51e5670e5, 0x450298acbafa8f83, 0xd185962291669d68,
  0x73abb72561d484d7, 0xb1d79d376ea11e48, 0x228f911c1fb1aaf1, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822,
  0x2d29cc2d2ed7972a, 0xa9bece75152a8d75, 0x338b9ace576a96fa, 0x579738b4ab57bd7d, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x12e65f36c6431dbd, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x00000005012cf261,
};

static const uint64_t ur_m64hve2_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x048260aef2776c7b, 0xd0bb59f80d304f8c, 0x877cb74916943dff, 0x638e9fc1f3dea3e4, 0x8731602dee9ba84c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x8d752d29cc2d2ed7, 0x96faa9bece75152a, 0x338b9ae0404e576a,
  0x8af2e71695c925fd, 0x70173a03cb9ed568, 0x0b4ac22617a96bca, 0x31bc67440a2fa281, 0xd86ed84b997cdb4e,
  0x964b867a615c9f9f, 0x9961d252d964a271, 0xf590bb53c95fb9a1, 0x0000000000000549,
};

// m64hve2_swio13_lednop_pr_u4
static const uint64_t ur_m64hve2_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xd4a9827c60241305, 0x7e2d298fff1b75cf, 0x07d07a8fa51df2d0, 0xcb29a0304f8e3a7f,
  0xe765f11c64731602, 0x86a807fecc11d7a3, 0xd6e1c81e59ed8dfb, 0xb4a730b4bb5e5caa, 0xa6fb39d454aa35d4,
  0x6b8101395daa5bea, 0x9c5a572497f4ce2e, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6da05455bd8aaa2, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xe4ffaa08d0e792bf, 0x0000000000000003,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xcc13e30120982bbc, 0xd29c1ff1b75cfd0f, 0xe56a7a6ab5a37f22, 0x4f51f06cc184ff51,
  0x2cd3ad08a1df15e0, 0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d,
  0x823f5b86f65b2e62, 0xb955a80422934a8d, 0x6ba9694e616976bc, 0xb7d54df673a8a954, 0x9c5cd7020272bb54,
  0x579738b4ae492fe9, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb997cdb40a8ab7b1,
  0xb2d5e5c9ab83cd84, 0xfd4eacc7903f2868, 0x993fc09c69430a9c, 0x19e985727e03e687, 0x7494b67c09c6592e,
  0x1a1cf257ee686658, 0x0000000004ebe109,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e3012098, 0x32a2d29c1ff1b75c, 0x0f51e5670e6ab5a3, 0x8adc9fa8f83660d0,
  0x62291669d68450ef, 0x5c5133484d7d1859, 0x5f11c4273ab4bafb, 0x6c6ab5d0ebd75376, 0x23170908a06fa311,
  0x570b3feb70decb87, 0x4a730b4bb5e5caad, 0x6fb39d454aa35d4b, 0xb8101395daa5beaa, 0xc5a572497f4ce2e6,
  0x3f5ae7b55a22bcb9, 0x57a96165362ce80f, 0x204e7d14085a6ae7, 0x5ccbe6da718de33a, 0x8b1be2e4d5c1e6c2,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00004eba6808d0e7,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xe35a609f180904c1, 0xdf8b4ba6ffc6dd73, 0xf370ee77b3ae2fae, 0xe21b09117dc4963c,
  0x3712a2e47f51f097, 0x33dcb19fac99e2ee, 0x638e9fc193dea3ce, 0x11c6473160298f3d, 0x7feccf1d7a3e765f,
  0x20796b70dfb86a80, 0xc2d2ed7972ab5b87, 0xe75152a8d752d29c, 0x04e576a96faa9bec, 0x5c925fd338b9ae04,
  0xb9ed5688af2e7169, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0xae0f3612e65f36d0,
  0x40fca1a2ce9f1726, 0xe50c2a73f53ab31e, 0x7993fc5ce32fcc4f, 0x615c9f8e7bff8268, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000001bafd3c4687,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x0aef277505272e9c, 0x9fb75304f8c04826, 0xa7ac5a5c09fe36eb, 0xf3cdc3b9de56b8be, 0x5f886c2445f71258,
  0xb8dc4a8b91fd47c2, 0x493dcb19f8ce678b, 0xa471d3f8310fea3e, 0xbd1dac731602f740, 0xee39633c75e2e767,
  0xb4bb5e5caad47422, 0xd454aa35d4b4a730, 0x395daa5beaa6fb39, 0x2497f4ce2e6b8101, 0x7b55a22bcb9c5a57,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x83cd84b997cdb40a, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x11a1cf257ee68665, 0x0000000001baf565,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xdadcc13e30120982, 0x5c5a54dbff1b75cf, 0x8773b4db3bfea8ca, 0x3b8dc524e6ffe79b,
  0x50e53b5958f7cc27, 0x8f83660cf5f51e56, 0x9d68450298ad82fa, 0x84d7d18596229166, 0x182873abb74871d4,
  0xaaf1b1d79d376ee9, 0x5c242289b91e45b1, 0xd8226470decb65cc, 0xcb955a96622934a8, 0x46ba9694e616976b,
  0x4b7d54df673a8a95, 0x99c5cd7020272bb5, 0x4579738b4ae492fe, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c,
  0x15545a4829c6378c, 0x9732f9b681463b7b, 0x43458f38b93571b0, 0xc2b93f75663c81f9, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x000014d3c6c8d0e7,
};

static const uint64_t ur_m64hve2_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x35b9827c60241305, 0xd1694527fb0bb59f, 0xcd838292e2faa3d9, 0x361222fb892c79e3,
  0x3d7eb57ea3e12fc4, 0xadcdbdf33c5dc6e3, 0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422,
  0xd5dba438ea426be8, 0xebce9bb7748c1439, 0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132,
  0x4a730b4bb5e5caad, 0x6fb39d454aa35d4b, 0xb8101395daa5beaa, 0xc5a572497f4ce2e6, 0x56bae7b55a22bcb9,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x004fc07934aac9e4,
};

static const uint64_t ur_m64hve2_swio13_lednop_ee_hw[] = {
  0xafdddddda28d0582, 0x4dddaabf0b91f893, 0x0d583bb0be00e6e6, 0x7d686d133a8af5d9, 0x8c4ae337620da09d,
  0x15de4ee9da087a5a, 0x7e87e609f180904c, 0x37f22d29c1ffeb26, 0x4ff51e56a7a6ab5a, 0xf15e04f51f06cc18,
  0x2c4522cd3ad08a1d, 0x75c6b26909afa30b, 0x6ee9182873ab4bc8, 0x22d8d56ba1d79d37, 0xb2e62e121144dc8f,
  0x34a8d823f5b86f65, 0x976bcb955a804229, 0x8a9546ba9694e616, 0x2bb54b7d54df673a, 0x92fe99c5cd702027,
  0x6ab44579738b4ae4, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x3cd84b997cdb40a8,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x0b85f4f257ee6866, 0x00000000000b7e99,
};

// m64hve2_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio13_lednop_ee_ce_hw[] = {
  0x137777768a34704a, 0x8bbb557f530dd124, 0x3a02b75eb9fb05f9, 0x9854000cec4c4ef2, 0xbb229d1c42cb67a0,
  0xaef2775d6eb8ed77, 0xe6b7304f8c048260, 0xd9d1694527ff5933, 0xcf21838292e2faa3, 0x886c2445f71258f3,
  0x73ce5d4efd47c25f, 0x4ed6e6def99e2ee3, 0xd9833d7d47959439, 0x1140a62b60bea3e0, 0xf4616588a459a75a,
  0x1ceaedd21c752135, 0x6c75e74ddbba460a, 0x08a26e47916c6abc, 0x991c37b2d9731709, 0x56a5988a4d2a3608,
  0xa5a53985a5daf2e5, 0x5537d9cea2a551ae, 0x735c0809caed52df, 0x5ce2d2b924bfa671, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6da0518edec555, 0xfd4176371e6c25cc, 0x9ffde1ef79430a9c,
  0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000a0220fb82fa79,
};

// m64hve2_swio13_dual_pr            m64hve2_swio13_dual_pr_u4
static const uint64_t ur_m64hve2_swio13_dual[] = {
  0x13bbbbbb448664d6, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056e9893,
  0x2823bb3363c34032, 0x9827c60241305779, 0x18804643d0691dd6, 0xc40c2860d24fc0d9, 0xe6584a7419dd3e25,
  0xcd82fb3814599c9f, 0xc913f8332a6f51df, 0x886257f9fbe08a11, 0x5ef9b900001b87c2, 0x0cb42324432abb10,
  0x7ff4073c26b5a2a1, 0x982c3795e425b728, 0xcf7c5a5fddfe4f43, 0xfc1c1ff51f6f9df2, 0x1541e64ad1ee38e9,
  0x033b6948e21398b0, 0xc64a807fecc11d78, 0xa92e04a07967b698, 0x972ab59fc55f3bb8, 0x8d752d29cc2d2ed7,
  0x96faa9bece75152a, 0x338b9ae0404e576a, 0x8af2e71695c925fd, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0x2aa8b490538c6f19, 0x9732f9b6815156f6, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5593c95fb9a19961, 0x000000014937e049,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ee[] = {
  0xb62ddddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd056c4,
  0xbaf27acaabdd6d2d, 0x8c048260aef265db, 0x321e8348de7d304f, 0x4306927e06c8c402, 0x53a0cee9f12e2061,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847244fe, 0xdd6006e1f0a21895, 0xb4432abb105ef9b9,
  0xf0983dc54219682f, 0xaf212dbcedffd01c, 0xe9fff27a1cc161bc, 0xe9b9aad68dc9c5a5, 0x47c1b3071efd4795,
  0x4eb422877c57b3bd, 0x426be8c2cb1148b3, 0x73ab4ba9e5c54b9a, 0xa1d7a89767f11f50, 0x08a0f547f258d56b,
  0xf5b86f65f4b31709, 0x928043e6f6a8d823, 0x72ab59fc55f3bb8a, 0xd752d29cc2d2ed79, 0x6faa9bece75152a8,
  0x38b9ae0404e576a9, 0xaf2e71695c925fd3, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d,
  0x732f9b6815156f62, 0xdc68b1e70dc79b09, 0x985727eeaccdfc1d, 0x4b67c09c6592e19e, 0x4f257ee686658749,
  0x0000064282fda556,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x1f4dac7787cc1db1, 0xfafa10fed333b13c, 0x9d6c995c68bc6736, 0x47f6dd056c4d391d,
  0x35af2734ead05c2d, 0xc15de4cbb77093fd, 0x91bcfa609f180904, 0xfc0d918804643d06, 0xd3e25c40c2860d24,
  0x8c7ff32c2550729d, 0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0xb105ef9b9dd6006e,
  0x54219682fb4432ab, 0xcedffd01cf0983dc, 0xb24c161bcaf212db, 0xd1b938b4bd3fff08, 0xe3dfa8f2bd37355a,
  0xef8af677a8f83660, 0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512,
  0xbe9662e121141ea8, 0xded51b047eb70dec, 0x8abe77715250087c, 0x985a5daf2e556b3f, 0x9cea2a551aea5a53,
  0x809caed52df5537d, 0x2b924bfa671735c0, 0xd73daad115e5ce2d, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x02a2adec55516920, 0x6ae0f3612e65f36d, 0xfc1fb763458df172, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x1bea92792bf73433, 0x0000000000ac9e7e,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ce[] = {
  0xcb777777b0486f97, 0xf07d36b31aef60ee, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xe89bc9945fbaec8d,
  0xd33773c119d71fd4, 0x609f180904c15de4, 0xc402321e83484e3e, 0x20614306927e06c8, 0x32c253a0cee9f12e,
  0xd8472381c19babff, 0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0xf9b8089006e1f0a2, 0x6807b4432abb105e,
  0xd01cf09827c54219, 0xb0de579096dffe7f, 0xd16949d7f93d0e60, 0x8f360e757dc5f580, 0x10d8488bee24b1e7,
  0xb9d66c87fa8f84bf, 0x7b9633ea5ccf1771, 0x71d3f83117d47912, 0x3884e62c05fdc654, 0xfb33c75e00ceda52,
  0x0796b7263192a01f, 0xfc55f3bb8a92e04a, 0x9cc2d2ed7972ab59, 0xece75152a8d752d2, 0x0404e576a96faa9b,
  0x695c925fd338b9ae, 0xaeb9ed5688af2e71, 0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd028c76f62aa8b49,
  0xaf1b8f3612e65f36, 0x75666fe0eee34596, 0xfe04e34a1854e7ea, 0x4c2b93f01f343cc9, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x000000d241d152ab,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ce_u4[] = {
  0xccf777776890cf68, 0xdf07d36b312af60e, 0xb6b8ee9da69c2465, 0xccc8f91295a9f65a, 0x0dd889ea3e3afbac,
  0x79247ddcd1f53af7, 0xa89827c602413057, 0xd918804643d06902, 0x25c40c2860d24fc0, 0xb7e6584a7419dd3e,
  0xe56d86fb3869b9a2, 0x47244fe0ca1cdea3, 0x0a21895fe7ef8228, 0x82f7cdc643006e1f, 0x10cb4027a21955d8,
  0x37ff4073c269c62a, 0x730586f2bc84b6e3, 0xd4ca8b4a707fc9e8, 0x63cf1e6c1cc09717, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0xf38cf72c6787199e, 0xa6e8e3a7f064d7a8, 0x96ba38c8e62c0532, 0x5b71cb19e3af22dd,
  0x7f157ceee2a4a3ab, 0xa730b4bb5e5caad6, 0xfb39d454aa35d4b4, 0x8101395daa5beaa6, 0x5a572497f4ce2e6b,
  0xf5ae7b55a22bcb9c, 0x7a96165362ce80f3, 0x09cf8c6085a6ae75, 0x997cdb4e31bc6744, 0x71a2c6f86e3cd84b,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xc9e4afdcd0ccb0e9, 0x0000000d24e9e4aa,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ee_ce[] = {
  0x0e93377777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0526,
  0x2eeeec6ec782e62e, 0x3e30120982bbc932, 0x08c87a0d23cf5cc1, 0x850c1a49f81b2310, 0x094e833ba7c4b881,
  0x0d070d3533fcfccb, 0xf83e9f9bd47ff9b0, 0x57f9fbe08a11c913, 0xc185c01b87c28862, 0xe1a21955d882f7cd,
  0xe784ce4e2a10cb40, 0xe579096df1bbfe80, 0x2cedff93d0e60b0d, 0xe4ed9dff546c162d, 0xb8089300fe78f360,
  0xa76b2b221984e771, 0xd98309fea3cad4f4, 0x1140a62bc09ea3e0, 0xf4616588a459a75a, 0x9ceaedc5d4752135,
  0xb1d7b589d8ca4738, 0x4512f91ad7b1aaf1, 0xc8e1bd971f18b848, 0x55f3bb8a92e311f0, 0xc2d2ed7972ab59fc,
  0xe75152a8d752d29c, 0x04e576a96faa9bec, 0x5c925fd338b9ae04, 0xb9ed5688af2e7169, 0x5ca5af9d01e395ae,
  0x38c6f19d10210a90, 0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd,
  0x0ccb0e9296cf8138, 0x80724aac9e4afdcd, 0x0000000000000260,
};

static const uint64_t ur_m64hve2_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xfa6d42f1e1b071d7, 0x9bdae2804b5272e0, 0x9c8757b69ef35f45, 0xfde4e1d7cfbfb573,
  0x9d2117b47ce0ac10, 0x92829dc196b2a706, 0x79827c6024130577, 0x18804643d0691f10, 0xc40c2860d24fc0d9,
  0x32c2550729dd3e25, 0x61d8270bc39b96bf, 0x4fe0daee6f51f1bb, 0x895fe7ef82284724, 0x37138f006e1f0a21,
  0x08e4886557620bdf, 0x039e136fb8a8432d, 0x3795e425b724affa, 0x69661bfe1164982c, 0x9dcc35c5f547d5f1,
  0x2445f71258f3c79b, 0xfb8ffd47c25f886c, 0x9b9ba678bb8dc4e3, 0xcaf51e57bee53b5b, 0x98aedd7a8f83660c,
  0x962291669d684502, 0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141,
  0x63e6f6a8d8226470, 0x59fc55f3bb8a9296, 0xd29cc2d2ed7972ab, 0x9bece75152a8d752, 0xae0404e576a96faa,
  0x71695c925fd338b9, 0x95aeb9ed5688af2e, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b,
  0x1726ae0f3612e65f, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x5705bea92792bf73, 0x0000000000000800,
};

static const uint64_t ur_m64hve2_swio13_dual_ee_hw[] = {
  0xb7777768a34204d3, 0x0fa6d63bc3e60ed8, 0x9cdd087f6999d89e, 0x47675b26571a2fd1, 0x0b51fdb7415b134e,
  0x35d7ff877c4fb417, 0x80904c15de4cbb77, 0x43d0691bcfa609f1, 0x60d24fc0d9188046, 0x4d69dd3e25c40c28,
  0x805a98c7ff32c254, 0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0x432abb105ef9b9dd,
  0x983dc54219682fb4, 0x212dbcedffd01cf0, 0xfffde1dcc161bcaf, 0xb9aad68dc9c5a5e9, 0xc1b3071efd4795e9,
  0xb422877c57b3bd47, 0x6be8c2cb1148b34e, 0xab4ba9e5c54b9a42, 0xd7a89767f11f5073, 0xa0f547f258d56ba1,
  0xb86f65f4b3170908, 0x8043e6f6a8d823f5, 0xab59fc55f3bb8a92, 0x52d29cc2d2ed7972, 0xaa9bece75152a8d7,
  0xb9ae0404e576a96f, 0x2e71695c925fd338, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0x2f9b6815156f62aa, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000aed4880b0be9e,
};

// m64hve2_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio13_dual_ee_ce_hw[] = {
  0x7dddddda28d06c4f, 0x0fa6d42f1e1b071d, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793875f3efe,
  0x36d3ed0b68d1f382, 0x8260aef25053bb48, 0x0d23e20f304f8c04, 0x49f81b231008c87a, 0x3ba7c4b881850c1a,
  0x7372d7e6584a89ad, 0xea3e376c3b04e178, 0x4508e489fc1b5dcd, 0xc3e144312bfcfdf0, 0xec417be6e271e00d,
  0x150865a11c910caa, 0xe495ff4073c26df7, 0x87730586f2bc84b6, 0x547d5f169661bff7, 0x3cf3c860e4c35c5f,
  0x97e21b09117dc496, 0xe37387f8fbbf51f0, 0xb94ed6e6e6e99e2e, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3,
  0x35f4616588a459a7, 0xd41ceaedca787521, 0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b,
  0xe2a4a598f9bdaa36, 0x5e5caad67f157cee, 0xaa35d4b4a730b4bb, 0xaa5beaa6fb39d454, 0xf4ce2e6b8101395d,
  0xa22bcb9c5a572497, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb40a31db,
  0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x5f4f257ee6866587, 0x00000003aebc8b20,
};

static const uint64_t ur_m64hve2_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120982bbc9ddcc49, 0x42ed67e3dcc13e30, 0x4ef96e822d2f75ff, 0x8e3a7f075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0x35d4b4a730b4bb5e, 0x76a96fab39d454aa, 0x3f7f4ce2e6b3a6e5,
  0xdaad115e5ce2d2b6, 0x02ca54fa779fad73, 0xc5021696173a9d4e, 0x6d38c6f19d1023cb, 0x7e7f61bb612e65f3,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x0a92dc42ed4f257e,
};

// m64hve2_swio14_noled_pr_u4
static const uint64_t ur_m64hve2_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xe63e609f180904c1, 0x7b8b4bb7ffc6dd73, 0xe0c9af51c143be5b, 0x2cb2983da011c74f,
  0x3e764c5188a73160, 0x13ca807fecc11d7a, 0xab5422607967b76b, 0x52d29cc2d2ed7972, 0xa5beace75152a8d7,
  0xfd338b9ace9b95da, 0xb44579738b4ad8fd, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718,
  0xcd84b997cdb610c5, 0xe50d1637c5c9ab83, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8,
  0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa1cf257ee6866587, 0x00000007c9ab8291,
};

static const uint64_t ur_m64hve2_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x0cc13e30120982bb, 0x1697677f8dbae7ce, 0x1e565d66ab5a331f, 0xa5fa8f83660fa8f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8fe439d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x8b84845110a3deec,
  0x3608fd6e1bd96cb9, 0xf2e556a01741cf2a, 0x51aea5a53985a5da, 0x2bb54b7d59cea2a5, 0xb1fbfa6717359d37,
  0x9ed5688af2e71695, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4, 0x57079b09732f9b6c,
  0x207e50d1674f8b93, 0xf2861539fa9d598f, 0x3cc9fe2e7197e627, 0x30ae4fc73dffc134, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000004ebc0a2343,
};

static const uint64_t ur_m64hve2_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0xce9827c602413057, 0xe2d2caeff1b75cfe, 0xa3cafe74d56b47b7, 0xba5f51f06cc1ce3e,
  0x522cd3ad08a1df15, 0xa266909afa30b2c4, 0x46b5ce756975f6b8, 0x55ae875eba9bb4be, 0x5c242281f11f4963,
  0x3a0fadc37b2e1c8c, 0xe616976bcb955aae, 0x673a8a9546ba9694, 0x5cd674dcaed52df5, 0xcb9c5a56c7efe99c,
  0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0xccbe6db0862adec5, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0004eba6808d0e79,
};

// m64hve2_swio14_noled_pr_ce_u4
static const uint64_t ur_m64hve2_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x057793ba76821cbb, 0xcfe9b9827c602413, 0x5eea2d2e56ff1b75, 0x79e6e1dcee575c5f, 0x2fc4361222fb892c,
  0xdc6e321d257ea3e1, 0x5f27b9633f5933c5, 0xbe8e3a7f06b3fd47, 0x628c45398b0176fc, 0x03ff6678ebd1f3b2,
  0x44c0f2d6eb589e54, 0x3985a5daf2e556a8, 0x59cea2a551aea5a5, 0x17359d372bb54b7d, 0xf2e71695b1fbfa67,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0xe65f36d84263b7b1, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0006eba45e46873c,
};

static const uint64_t ur_m64hve2_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0x4db9827c60241305, 0x58b4a337fe36eb9f, 0x0ee7633677fd5197, 0x771b8ce5d1ffcf37,
  0x43ca76b2b1ef984e, 0x1f06cc1e95ea3cae, 0x3ad08a053159c3f5, 0x09afa30b2c4522cd, 0x3f90e7576e7263a9,
  0x55e363af3a6ec7aa, 0x5c242288851ef763, 0xd8226470decb65cc, 0xcb955a967d073ca8, 0x46ba9694e616976b,
  0xaed52df5673a8a95, 0xc7efe99c5cd674dc, 0x7b55a22bcb9c5a56, 0xc529e1a779f16bae, 0x38c6f19d1020eea6,
  0x098edec5551696d1, 0x9ab8d84b997cdb61, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0x646873c95fb9a199, 0x0000000000a698bf,
};

static const uint64_t ur_m64hve2_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x292609f180904c15, 0xc5a5adfff6176b3e, 0x6c1cadfb8bea8f4d, 0xb09117dc4963cf1e,
  0xdd8593f51f097e21, 0xb736f7ccf1771b8e, 0x1e95ea3cae43ca76, 0x053159c3f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e7263a909afa3, 0xaf3a6ec7aa3f90e7, 0x88851ef76355e363, 0x70decb65cc5c2422, 0x967d073ca8d82264,
  0x94e616976bcb955a, 0xf5673a8a9546ba96, 0x9c5cd674dcaed52d, 0x2bcb9c5a56c7efe9, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x4b997cdb61098ede, 0x7771a2c6f86e3cd8, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0xaac9e4afdcd0ccb0,
  0x0000000027e0f574,
};

static const uint64_t ur_m64hve2_swio14_noled_ee_hw[] = {
  0xafbbbbbb451a3705, 0x4dddaabf0b841121, 0x5a62776a1933e6e6, 0xd7ad0da1942e19e1, 0x308fd9136041b410,
  0xc15de4eed86d95a9, 0x33e706609f180904, 0xa331f1697677ff59, 0xfa8f51e565d66ab5, 0xef8aca5fa8f83660,
  0x5962291669d68450, 0xc9ae3593484d7d18, 0xbb1ea8fe439d5a5d, 0x3deec6ab5d0ebce9, 0x96cb98b84845110a,
  0x1cf2a3608fd6e1bd, 0x5a5daf2e556a0174, 0xea2a551aea5a5398, 0x59d372bb54b7d59c, 0x71695b1fbfa67173,
  0xc5aeb9ed5688af2e, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xf9b6c218ab7b1554, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0005bfd04a0be9e4,
};

// m64hve2_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio14_noled_ee_ce_hw[] = {
  0x21bbbbbb451a1f68, 0xc5ddaabfa9991891, 0x3d765bad2c1982fc, 0x0c2a002b68ee0dae, 0x83740be4a165b3c9,
  0x15de4ee957a27e85, 0x3e292609f180904c, 0x7a6e2d2d6ffff593, 0xf3c860e56fdc5f54, 0xe21b09117dc4963c,
  0x70dbb0a47f51f097, 0x4ed6e6def99e2ee3, 0xd983d2bd4795c879, 0x1140a62b387ea3e0, 0xf4616588a459a75a,
  0x1ceaedce4c752135, 0x6c75e74dd8f547f2, 0x845110a3deec6abc, 0x4c8e1bd96cb98b84, 0xab52cfa0e7951b04,
  0x52d29cc2d2ed7972, 0xa5beace75152a8d7, 0xfd338b9ace9b95da, 0xb44579738b4ad8fd, 0x3c34ef3e2d75cf6a,
  0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x9b09732f9b6c2131, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x30be9e4afdcd0ccb, 0x000000000280a679,
};

static const uint64_t ur_m64hve2_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120982bbc9ddb1e, 0xf42ed67e034c13e3, 0x21df2dd045a50f7f, 0x31c74fe0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x46ba9694e616976b, 0xaed52df5673a8a95, 0xe99c5cd7020274dc,
  0xa22bcb9c5a572fb1, 0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0x18de33a20517d140, 0xec376c25ccbe6da7,
  0xcb25c33d30ae4fcf, 0xccb0e9296cb25138, 0xfac85da9e4afdcd0, 0x00000000000002a4,
};

// m64hve2_swio14_lednop_pr_u4
static const uint64_t ur_m64hve2_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0x5f7304f8c048260a, 0xdc5a58f7fe36eb9f, 0x064d7a8e801df2db, 0xb2ca67f3a88e3a7f,
  0xf3b6488c6f9cc580, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0x2d29cc2d2ed7972a, 0x5beace75152a8d75,
  0xb9ae0404e9b95daa, 0x9738b4ae5f63d338, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88,
  0x97cdb6318ab7b155, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0f93390f91a1cf25,
};

static const uint64_t ur_m64hve2_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x5a9827c602413057, 0xe2d28d6ff1b75cfa, 0xa3cad82cd56b4663, 0xa9ef51f06cc1f51e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x11cdc73ab4bba55c, 0x8d56ba1d79d37691, 0x3170908a17c47195,
  0x46c11fadc37b2d97, 0x5e5caad402b589e5, 0xaa35d4b4a730b4bb, 0xe576a96fab39d454, 0x8f4ce2e6b81013a6,
  0xad115e5ce2d2b97d, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x3612e65f36d8c62a,
  0xa1a2ce9f1726ae0f, 0x2a73f53ab31e40fc, 0xfc5ce32fcc4fe50c, 0x9f8e7bff82687993, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x00275cc846873c95,
};

static const uint64_t ur_m64hve2_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xf4b5304f8c048260, 0x6fc5a51adfe36eb9, 0x7d4795c879aad68f, 0x2bfddea3e0d9839c,
  0x88a459a75a1143be, 0x7144cd2135f46165, 0x2446989cead2f019, 0xb1aad743af5d4ddb, 0x8c5c2422883e8ed6,
  0x5c60bfadc37b2e1c, 0x29cc2d2ed7972ab5, 0xeace75152a8d752d, 0xae0404e9b95daa5b, 0x38b4ae5f63d338b9,
  0xe7eb5cf6ab445797, 0xeaf52c2ca6c59d01, 0x440a2fa2810b4d5c, 0x4b997cdb4e31bc67, 0xd1637c5c9ab83cd8,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000013ae91791a1c,
};

// m64hve2_swio14_lednop_pr_ce_u4
static const uint64_t ur_m64hve2_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x3057793baaf99f41, 0x5cfc729827c60241, 0xf5eea2d2dbaff1b7, 0xc79e6e1dcef4ddc5, 0x12fc4361222fb892,
  0x5dc6e1256547ea3e, 0xf2fa7b9633f5933c, 0xe951c74fe0d67fa8, 0xc9118df398b0163d, 0x807feccf1d7a3e76,
  0xbb503cb5ba0ff48a, 0x4e616976bcb955ac, 0x5673a8a9546ba969, 0x7020274dcaed52df, 0xc5a572fb1e99c5cd,
  0x56bae7b55a22bcb9, 0x2a417296be74078e, 0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0x5c9ab83cd84b997c,
  0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xd708591a1cf257ee, 0x000000000000000d,
};

static const uint64_t ur_m64hve2_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xbfc9827c60241305, 0xd62d2868ff1b75cf, 0xe1dcec341dff5465, 0x9dc6e341c113f9e6,
  0x29729dacac7be613, 0x47c1b307a57a8f2b, 0x4eb422814c5650fd, 0x426be8c2cb1148b3, 0x8e6e39d5db9d28ea,
  0xd578d8ebce9bb488, 0x170908a17c471958, 0x3608991c37b2d973, 0xf2e556a59dac4f2a, 0x51aea5a53985a5da,
  0x2bb54b7d59cea2a5, 0x7a671735c0809d37, 0x688af2e71695cbec, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0x612e65f36d8c4c76, 0xf2868b1e71726ae3, 0xe985727eeacc7903, 0x4b659289c6592e19,
  0xcf257ee686658749, 0x0000029a6dc791a1,
};

static const uint64_t ur_m64hve2_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0x60cc13e30120982b, 0x16950fbfd85dacff, 0xb0710fae2faa3d37, 0xc2445f71258f3c79,
  0xfe3eefd47c25f886, 0xb9b7be678bb8dce1, 0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5962291669d68450,
  0xbb73a51d484d7d18, 0x79d3769111cdc73a, 0x2f88e32b1aaf1b1d, 0x86f65b2e62e12114, 0xb3b589e546c11323,
  0xa730b4bb5e5caad4, 0xab39d454aa35d4b4, 0xb81013a6e576a96f, 0xe2d2b97d8f4ce2e6, 0x2b5d73daad115e5c,
  0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6db1898edec55516, 0x637c371e6c25ccbe, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0027e46a725564f2,
};

static const uint64_t ur_m64hve2_swio14_lednop_ee_hw[] = {
  0xd7dddddda28d0044, 0x4dddaabf0bb45890, 0x4de4bbb988dbe6e6, 0x35eb4368604142d0, 0x87f4cd2e2f106d04,
  0x60aef277505272d0, 0x99f4b5304f8c0482, 0xd198f8b4a35bffac, 0x7d47a8f2b60b355a, 0x77c56a7bd47c1b30,
  0x2cb1148b34eb4228, 0xe9571ac9a426be8c, 0xdda4447371cead2e, 0x1c656355ae875e74, 0xcb65cc5c242285f1,
  0x627951b047eb70de, 0x2d2ed7972ab500ad, 0x75152a8d752d29cc, 0x04e9b95daa5beace, 0xae5f63d338b9ae04,
  0x5cf6ab44579738b4, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482, 0xc6e3cd84b997cdb6,
  0x3def2861539fa82e, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xfc11785f4f257ee6, 0x000000000000005b,
};

// m64hve2_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio14_lednop_ee_ce_hw[] = {
  0x437777768a345f41, 0x8bbb557f53667122, 0x7b61b76859bb05f9, 0x18540056cc8a3ba6, 0x94a3752ec2cb6792,
  0x2bbc9dda2feef6b8, 0xff60cc13e3012098, 0xe9b8b4a87dffd64c, 0xcf2183887d717d51, 0x886c2445f71258f3,
  0xc575c617fd47c25f, 0x3b5b9b7be678bb8d, 0x660f4af51e5652e5, 0x450298aca1fa8f83, 0xd185962291669d68,
  0x73abb73a51d484d7, 0xb1d79d3769111cdc, 0x1142f88e32b1aaf1, 0x32386f65b2e62e12, 0xad4b3b589e546c11,
  0x4b4a730b4bb5e5ca, 0x96fab39d454aa35d, 0x2e6b81013a6e576a, 0xe5ce2d2b97d8f4ce, 0x3c72b5d73daad115,
  0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6db1898edec55, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00014041ff842fa7,
};

// m64hve2_swio14_dual_pr            m64hve2_swio14_dual_pr_u4
static const uint64_t ur_m64hve2_swio14_dual[] = {
  0xc7bbbbbb44869a4e, 0xf83e9b4c4421b075, 0x73ef7519cbb7ae34, 0x4a6ef92a4c9c4ecb, 0xc32c51a9b16eae33,
  0x5047771fd462a3e3, 0x304f8c048260aef2, 0x31008c87a0d22e87, 0x881850c1a49f81b2, 0xccb094e833ba7c4b,
  0x9b05f67028b3393f, 0x9227f06654dea3bf, 0x10c4aff3f7c11423, 0x7be6e35d80370f85, 0x32d08c910caaec41,
  0xffd01cf09ad68a84, 0x60b0de579096dca5, 0x5af1694a2ff93d0e, 0xf83defd47ee8ef96, 0x2a83cce4c3dc71d3,
  0x06764011a6273160, 0x37d500ffd9823af0, 0x495f3a81e59edbde, 0xb955acfe2af9ddc5, 0x6ba9694e616976bc,
  0xed52df5673a8a954, 0x99c5cd7020274dca, 0x22bcb9c5a572fb1e, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x25ccbe6db18c55bd, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x5564f257ee686658, 0x00000000524f782a,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ee[] = {
  0xd86ddddddd43573e, 0x89e0fa6d63b26d83, 0xbe8fcdd4e538999d, 0x9a723b1edb37dd8e, 0xee01f557edba0b61,
  0x6ee5c5f7615ef595, 0x3e30120982bbc997, 0x04643d0690e9d4c1, 0xc2860d24fc0d9188, 0x84a7419dd3e25c40,
  0x4b4700b5318ffe65, 0xfc1c569bd47275b0, 0x2bfcfdf04508e489, 0x72e8600dc3e14431, 0x5f6886557620bdf3,
  0x39e1307b8a8432d0, 0xbcaf212dbe9affa0, 0xd285aff27a1cc161, 0xcaedd4d56b47fba2, 0x7ea3e0d9830f7ea3,
  0x59a75a1143be2bd3, 0xcd2135f4616588a4, 0xf539d5a5d82ae2a5, 0x6ba1d7a897631e8c, 0x0908a34a4710d8d5,
  0x23f5b86f65f4b317, 0x152500b2288aa8d8, 0xf2e556b3f8abe777, 0x51aea5a53985a5da, 0x2bb54b7d59cea2a5,
  0x7a671735c0809d37, 0x688af2e71695cbec, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6c63156, 0xc1ddc68b1e70dc79, 0x19e985727eeaccdf, 0x7494b67c09c6592e, 0x5564f257ee686658,
  0x00000000642963fa,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0x83e9b58ec9b60f61, 0x46735394e2667627, 0xec7b6cdf763ae3f3, 0xd55fb6e82d8669c8,
  0x83ebae2fa6b7b807, 0x130577932eddc34e, 0x0d21d3a9827c6024, 0x49f81b231008c87a, 0x3ba7c4b881850c1a,
  0x5318ffe6584aa0e5, 0xbd47275b04b4700b, 0x04508e489fc1c569, 0xdc3e144312bfcfdf, 0x57620bdf372e8600,
  0xb8a8432d05f68865, 0xdbe9affa039e1307, 0x08b24c161bcaf212, 0xad68ff745a50b5ff, 0x3061efd4795dba9a,
  0x2877c57a6fd47c1b, 0x8c2cb1148b34eb42, 0xbb055c54b9a426be, 0x12ec63d19ea73ab4, 0x48e21b1aad743af5,
  0xecbe9662e1211469, 0x4511551b047eb70d, 0x7f157ceee2a4a016, 0xa730b4bb5e5caad6, 0xab39d454aa35d4b4,
  0xb81013a6e576a96f, 0xe2d2b97d8f4ce2e6, 0x2b5d73daad115e5c, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36d8c62adec55516, 0x1726ae0f3612e65f, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x25b4bea92792bf73, 0x00000000000002b2,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ce[] = {
  0x9dbbbbbbd82432db, 0x7c1f4dacc6b8b072, 0xae17bb3890544e46, 0xba8e36182ca3e9f7, 0xe908766c75f74a71,
  0x699bb8e08ab2c10c, 0x304f8c048260aef2, 0x31008c87a0d20551, 0x881850c1a49f81b2, 0xccb094e833ba7c4b,
  0xb611c8e07066eaff, 0x913f8395d37a8fb3, 0x86257f9fbe08a11c, 0xdf37149001b87c28, 0x2d00f6886557620b,
  0xfa039e1304f8a843, 0x2c3795e425b719bf, 0xe45a5383fe4f4398, 0x78f360e13ab8beaf, 0xf10d8488bee24b1e,
  0x3719be951fa8f84b, 0xcf72c67d4b99e2ee, 0x1c74fe0ed6f51c27, 0x1a62731602945dbf, 0xfd99e3af00676401,
  0x0796b73de37d500f, 0xf8abe77715257cea, 0x3985a5daf2e556b3, 0x59cea2a551aea5a5, 0xc0809d372bb54b7d,
  0x1695cbec7a671735, 0x5aeb9ed5688af2e7, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0x6d8c4c76f62aa8b4,
  0x6af1b8f3612e65f3, 0xa75666fe0eee3459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c,
  0xb2792bf734332c3a, 0x000000069215a92a,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0xef83e9b598e7db07, 0x3deef75053d61232, 0x89323e44a76f5d84, 0x2d4e900d57efdeed,
  0xef248fbb9e08ce9c, 0x463304f8c048260a, 0x3646201190f41a44, 0x8971030a183493f0, 0xadf996129d06774f,
  0xf95b61bece1a6e68, 0x11c913f8328737a8, 0xc2886257f9fbe08a, 0x20bdf3712a001b87, 0x8432d009e8865576,
  0x8fffd01cf09a718a, 0x1cc161bcaf212dbd, 0xebb7e2d28d6ff27a, 0xb1e78f360e29eb8b, 0x84bf10d8488bee24,
  0x1771b9d66c87fa8f, 0xf2fa7b9633c38ccf, 0xd7c8e3a7f064f7a8, 0x0f88c6f9cc580bb7, 0x1ee39633c75e45bb,
  0xfc55f3bb8a928eae, 0x9cc2d2ed7972ab59, 0xace75152a8d752d2, 0xe0404e9b95daa5be, 0x8b4ae5f63d338b9a,
  0x7eb5cf6ab4457973, 0xaf52c2ca6c59d01e, 0x8145f18c10b4d5ce, 0x732f9b69c6378ce8, 0xee3458df0dc79b09,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x593c95fb9a19961d, 0x0000000349021695,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ee_ce[] = {
  0xff6b77777750cf68, 0x4ee0fa6d7a519c60, 0xb4af7bb9f6cf8053, 0x9c453821e44b8585, 0x7f9b4d9bc2960fda,
  0xbb9a3ea74704dd9c, 0xf8c048260aef24c8, 0x2321e834823d7304, 0x14306927e06c8c40, 0x253a0cee9f12e206,
  0x341c34d4cff3f32c, 0xe0fa7e6f51ffe6c0, 0x5fe7ef822847244f, 0x9e72006e1f0a2189, 0xc34432abb105ef9b,
  0xcf099c9c54219681, 0xe579096dc527fd01, 0x974d7f93d0e60b0d, 0x39a68effaa328716, 0x3714939bff9e3cd8,
  0x94ed656443309cee, 0x0d983ea3d4795b05, 0xa1140a62b53dea3e, 0x5f4616588a459a75, 0xf1ceaedc70c75213,
  0x6c75ed6276dbe8e5, 0x84500a231f2c6abc, 0x4c8e1bd971f18b84, 0x8abe7771525c6391, 0x985a5daf2e556b3f,
  0x9cea2a551aea5a53, 0x0809d372bb54b7d5, 0x695cbec7a671735c, 0xaeb9ed5688af2e71, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0xce1b8f3612e65f36, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x30454e4aac9e4afd, 0x0000000000000001,
};

static const uint64_t ur_m64hve2_swio14_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0x7d36a17a8c583957, 0x6bef76a3e5a93970, 0xabc995ef226b69be, 0x0fde4e2afcfbfb55,
  0xfafb2a71e0a5926d, 0xef25053ba8356668, 0xd51304f8c048260a, 0x6c8c402321e8348b, 0x12e20614306927e0,
  0x5f99612a8394ee9f, 0xddb0ec1385e1cdcb, 0x9227f06d7737a8f8, 0x10c4aff3f7c11423, 0xf7cdc15400370f85,
  0xcb4239221955d882, 0xfe80e784dbee2a10, 0x0b0de579096de92b, 0xd45a5bc3ff845926, 0xf373bbc3b8bea8c9,
  0x0d8488bee24b1e78, 0x1545927fa8f84bf1, 0xb5b9b9ba678bb8dc, 0xc1edff51e572ba53, 0xa05315efbf51f06c,
  0x30b2c4522cd3ad08, 0x7576e60a3a909afa, 0x75ea25d8c7a33d4e, 0x51a523886c6abc6c, 0x1c37b2fa598b8484,
  0x4b3c8a22aa360899, 0x55acfe2af9ddc549, 0xa9694e616976bcb9, 0x52df5673a8a9546b, 0xc5cd7020274dcaed,
  0xbcb9c5a572fb1e99, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb63131dbd8a,
  0x637c5c9ab83cd84b, 0x53ab337f07edd8d1, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x2000202efaa49e4a,
};

static const uint64_t ur_m64hve2_swio14_dual_ee_hw[] = {
  0xdbbbbbb451a3b46e, 0xc1f4dac764db07b0, 0x1f9ba9ca71333b13, 0xe4763db66fbb1d7d, 0x03eaafdb7416c334,
  0xdc614127f7ff87dc, 0xc6024130577932ed, 0x8c87a0d21d3a9827, 0x50c1a49f81b23100, 0xa89ad3ba7c4b8818,
  0x4700b5318ffe6584, 0x1c569bd47275b04b, 0xfcfdf04508e489fc, 0xe8600dc3e144312b, 0x6886557620bdf372,
  0xe1307b8a8432d05f, 0xaf212dbe9affa039, 0x85affde1dcc161bc, 0xedd4d56b47fba2d2, 0xa3e0d9830f7ea3ca,
  0xa75a1143be2bd37e, 0x2135f4616588a459, 0x39d5a5d82ae2a5cd, 0xa1d7a897631e8cf5, 0x08a34a4710d8d56b,
  0xf5b86f65f4b31709, 0x2500b2288aa8d823, 0xe556b3f8abe77715, 0xaea5a53985a5daf2, 0xb54b7d59cea2a551,
  0x671735c0809d372b, 0x8af2e71695cbec7a, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x9732f9b6c63156f6, 0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0xe9e4afdcd0ccb0e9, 0x0000015daf7fe10b,
};

// m64hve2_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio14_dual_ee_ce_hw[] = {
  0x7eeeeeed14682541, 0x07d36a17a8c58395, 0xda6ef76a3e5a9397, 0xed56af2657bc89da, 0x49b43f7938abf3ef,
  0x38c32d6ed3e78296, 0x2413057792829dd5, 0xf41a45ea89827c60, 0x3493f03646201190, 0x5a774f8971030a18,
  0xf0e6e5afccb09513, 0x9bd47c6ed87609c2, 0xe08a11c913f836bb, 0x1b87c2886257f9fb, 0xaaec417be6e0aa00,
  0xf7150865a11c910c, 0xb6f495ff4073c26d, 0xf787730586f2bc84, 0x2faa32751696f0ff, 0x4b1e79e43072f0ee,
  0xf84bf10d8488bee2, 0x8bb8dc0b233d7fa8, 0x72ba53b5b9b9ba67, 0x51f06cc1edff51e5, 0xd3ad08a05315efbf,
  0x909afa30b2c4522c, 0xa33d4e7576e60a3a, 0x6abc6c75ea25d8c7, 0x8b848451a523886c, 0x3608991c37b2fa59,
  0xddc5494b3c8a22aa, 0x76bcb955acfe2af9, 0xa9546ba9694e6169, 0x4dcaed52df5673a8, 0xfb1e99c5cd702027,
  0xb55a22bcb9c5a572, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x3cd84b997cdb6313,
  0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x3705f4f257ee6866, 0x00000000001d759a,
};

static const uint64_t ur_m64hve2_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02413057793bb0bd, 0xe85dacf98f9827c6, 0x13be5ba48b4bb7ff, 0xf1c74fe0f9ef51e2, 0x4731602dee9b4a5a,
  0x608ebc5ced70d193, 0x2e556a5657fdc72c, 0x1aea5a53985a5daf, 0xb54b7d5d9cea2a55, 0xfbfa6717359d372b,
  0xab44579738b4ab57, 0xb2953e9de7eb5cf6, 0x4085a585cea75380, 0x4e31bc674408bf71, 0x9fd86ed84b997cdb,
  0x71964b867a615c9f, 0xa19961d252d964a2, 0xa45c10bb53c95fb9, 0x0000000000000002,
};

// m64hve2_swio15_noled_pr_u4
static const uint64_t ur_m64hve2_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xbf9304f8c048260a, 0x3f1694caff1b75cf, 0x07d07a8f2f8ef968, 0x6594d1ef4a8e3a7f,
  0xf3b4428f7b398b01, 0x9a5403ff6608ebd1, 0x5abeb703cb3db114, 0x9694e616976bcb95, 0xdf57673a8a9546ba,
  0x99c5cd674dcaed52, 0x15e5ce2d2ad5fefe, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378,
  0xc25ccbe6d8c9156f, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000003e4d53588d0,
};

static const uint64_t ur_m64hve2_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x304f8c048260aef2, 0xa58adfe36eb9f275, 0xcaca5cd56b46fe45, 0x7ea3e0d98309fea3,
  0x59a75a1143be2b28, 0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a,
  0x047eb70decb65cc5, 0xe556a0174982d51b, 0xaea5a53985a5daf2, 0x54b7d5d9cea2a551, 0xbfa6717359d372bb,
  0xb44579738b4ab57f, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0x79b09732f9b63245,
  0xe50d1674f8b93570, 0x61539fa9d598f207, 0x9fe2e7197e627f28, 0xe4fc73dffc1343cc, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x0004ebe3123439e4,
};

static const uint64_t ur_m64hve2_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120982bb, 0x16977dff8dbae7e2, 0x8f2b74b355ad1995, 0x21fd47c1b306807a,
  0x48b34eb422877c57, 0x899a426be8c2cb11, 0x8def39d5a5ea52e2, 0x55ae875eba9bb4e2, 0x70908a16ba3b8763,
  0xe93eb70decb87231, 0x985a5daf2e556ab8, 0x9cea2a551aea5a53, 0x359d372bb54b7d5d, 0x38b4ab57fbfa6717,
  0xe2d75cf6ab445797, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0x2f9b632455bd8aaa, 0x6f8b9357079b0973,
  0x53ab31e40fca1a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x00275cb323439e4a,
};

// m64hve2_swio15_noled_pr_ce_u4
static const uint64_t ur_m64hve2_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0x82bbc9dd1ec5aa38, 0xe7f674c13e301209, 0x5dbf1696577f8dba, 0x79e6e1dcef7ddc5f, 0x2fc4361222fb892c,
  0xdc6e5c89257ea3e1, 0x9ba7b9633f5933c5, 0x38c71d3f8327bd47, 0x8851ef6731602995, 0x807feccf1d7a3e76,
  0xf5b81e5adc22934a, 0xa730b4bb5e5caad5, 0xbb39d454aa35d4b4, 0x2e6b3a6e576a96fa, 0x2e716956aff7f4ce,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0006eba6808d0e79,
};

static const uint64_t ur_m64hve2_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xa6a609f180904c15, 0xb8b4bff3fc6dd73f, 0x8773bff877fd5194, 0x3b8dcca8683fe79b,
  0x70e53b5958f7cc27, 0x8f83660cf5f51e56, 0x9d68450298acbafa, 0x84d7d18596229166, 0x1e4873abb72561d4,
  0xaaf1b1d79d376ea1, 0x5c24228f911c1fb1, 0xd8226470decb65cc, 0x972ab52cfa4c16a8, 0x8d752d29cc2d2ed7,
  0xdaa5beaece75152a, 0xfdfd338b9ace9b95, 0x55a22bcb9c5a55ab, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x571b09732f9b6321, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0x8d0e792bf734332c, 0x0000000014d31e5c,
};

static const uint64_t ur_m64hve2_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x1ba609f180904c15, 0x8b4ad77fec2ed67f, 0xd838d77717d51ece, 0x61222fb892c79e3c,
  0x05c3ffea3e12fc43, 0x6e6def99e2ee3717, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114,
  0xaedc958752135f46, 0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991,
  0xa730b4bb5e5caad4, 0xbb39d454aa35d4b4, 0x2e6b3a6e576a96fa, 0x2e716956aff7f4ce, 0xe7c5aeb9ed5688af,
  0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xccbe6d8c863b7b15, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x64f257ee68665874,
  0x00000013f064e255,
};

static const uint64_t ur_m64hve2_swio15_noled_ee_hw[] = {
  0x3fbbbbbb451a1541, 0x9bbb557e17a8b12e, 0x3699eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad883682e3,
  0x57793ba0292669ce, 0xf93a9827c6024130, 0x6fe45a58adffd64c, 0x9fea3caca5cd56b4, 0xe2b287ea3e0d9830,
  0x588a459a75a1143b, 0xcb8d64d2135f4616, 0xdd423c90e756974a, 0x1fb1aad743af3a6e, 0x65cc5c24228f911c,
  0x2d51b047eb70decb, 0x5daf2e556a017498, 0x2a551aea5a53985a, 0x372bb54b7d5d9cea, 0xab57fbfa6717359d,
  0x5cf6ab44579738b4, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x632455bd8aaa2d2d, 0x5d8dc79b09732f9b,
  0x787bde50c2a73f50, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x5be46680be9e4afd, 0x0000000000000000,
};

// m64hve2_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio15_noled_ee_ce_hw[] = {
  0xa37777768a346812, 0x8bbb557f53b13125, 0x7af5b7469e2f05f9, 0x1854000ce275c1fa, 0x9ba666b042cb67ad,
  0x2bbc9dddfb0b6a6b, 0xfe374c13e3012098, 0xece8b4ad77ffd64c, 0xcf21838d77717d51, 0x886c2445f71258f3,
  0xce41d5d7fd47c25f, 0x3b5b9b7be678bb8d, 0x660cf5f51e5670e5, 0x450298acbafa8f83, 0xd185962291669d68,
  0x73abb72561d484d7, 0xb1d79d376ea11e48, 0x228f911c1fb1aaf1, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822,
  0x2d29cc2d2ed7972a, 0xbeaece75152a8d75, 0x338b9ace9b95daa5, 0x2bcb9c5a55abfdfd, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x09732f9b63218ede, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x0000000280967930,
};

static const uint64_t ur_m64hve2_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120982bbc9ddb1e, 0xf42ed67e034c13e3, 0x21df2dd245a50f7f, 0x18e3a7f07cf7a8f9, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0xa35d4b4a730b4bb5, 0x76a96fabb39d454a, 0x4ce2e6b81013a6e5,
  0x88af2e71695c958f, 0xa70173a03cb9ed56, 0x10b4ac22617a96bc, 0xe31bc67440a2fa28, 0xfd86ed84b997cdb4,
  0x1964b867a615c9f9, 0x19961d252d964a27, 0x9f590bb53c95fb9a, 0x0000000000000054,
};

// m64hve2_swio15_lednop_pr_u4
static const uint64_t ur_m64hve2_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xd4a9827c60241305, 0x7e2d298fff1b75cf, 0x07d07a8fa51df2d0, 0xcb29a0304f8e3a7f,
  0xe765f11c64731602, 0x86a807fecc11d7a3, 0xd6e1c81e59ed8dfb, 0xb4a730b4bb5e5caa, 0xfabb39d454aa35d4,
  0x6b81013a6e576a96, 0xe71695c958f4ce2e, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf9b6815156f62aa8, 0xf8b9357079b09732, 0x3ab31e40fca1a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0xf93fea823439e4af,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xcc13e30120982bbc, 0xd29c1ff1b75cfd0f, 0xe56a7a6ab5a37f22, 0x4f51f06cc184ff51,
  0x2cd3ad08a1df15e0, 0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d,
  0x823f5b86f65b2e62, 0xb955a80422934a8d, 0x6ba9694e616976bc, 0xd52df57673a8a954, 0x9c5cd7020274dcae,
  0x15e5ce2d2b92b1e9, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36d02a2adec,
  0x2cb579726ae0f361, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x46873c95fb9a1996, 0x00000000013af842,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e3012098, 0x32a2d29c1ff1b75c, 0x0f51e5670e6ab5a3, 0x8adc9fa8f83660d0,
  0x62291669d68450ef, 0x5c5133484d7d1859, 0x5f11c4273ab4bafb, 0x6c6ab5d0ebd75376, 0x23170908a06fa311,
  0x570b3feb70decb87, 0x4a730b4bb5e5caad, 0xabb39d454aa35d4b, 0xb81013a6e576a96f, 0x71695c958f4ce2e6,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x88139f4502169ab9, 0x9732f9b69c6378ce, 0xa2c6f8b9357079b0,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000013ae9a023439,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0xf8d69827c6024130, 0xb7e2d2e9bff1b75c, 0x3cdc3b9deceb8beb, 0xf886c2445f71258f,
  0x8dc4a8b91fd47c25, 0x8cf72c67eb2678bb, 0x58e3a7f064f7a8f3, 0xc47191cc580a63cf, 0x1ffb33c75e8f9d97,
  0xc81e5adc37ee1aa0, 0x30b4bb5e5caad6e1, 0x39d454aa35d4b4a7, 0x013a6e576a96fabb, 0x95c958f4ce2e6b81,
  0xeb9ed5688af2e716, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x6ae0f3612e65f36d,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x87993fc5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x73c95fb9a19961d2, 0x0000001bafd3c468,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x0aef277505272e9c, 0x9fb75304f8c04826, 0xa7ac5a5c09fe36eb, 0xf3cdc3b9de56b8be, 0x5f886c2445f71258,
  0xb8dc4a8b91fd47c2, 0x493dcb19f8ce678b, 0xa471d3f8310fea3e, 0xbd1dac731602f740, 0xee39633c75e2e767,
  0xb4bb5e5caad47422, 0xd454aa35d4b4a730, 0x3a6e576a96fabb39, 0xc958f4ce2e6b8101, 0x9ed5688af2e71695,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0xe0f3612e65f36d02, 0x81f943458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x446873c95fb9a199, 0x00000000006ebd59,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xdadcc13e30120982, 0x5c5a54dbff1b75cf, 0x8773b4db3bfea8ca, 0x3b8dc524e6ffe79b,
  0x50e53b5958f7cc27, 0x8f83660cf5f51e56, 0x9d68450298ad82fa, 0x84d7d18596229166, 0x182873abb74871d4,
  0xaaf1b1d79d376ee9, 0x5c242289b91e45b1, 0xd8226470decb65cc, 0xcb955a96622934a8, 0x46ba9694e616976b,
  0xed52df57673a8a95, 0x99c5cd7020274dca, 0x115e5ce2d2b92b1e, 0x3a03c72b5d73daad, 0x3a20421520b94b5f,
  0xc55516920a718de3, 0x25ccbe6da0518ede, 0x50d163ce2e4d5c6c, 0x30ae4fdd598f207e, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x00000534f1b23439,
};

static const uint64_t ur_m64hve2_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x35b9827c60241305, 0xd1694527fb0bb59f, 0xcd838292e2faa3d9, 0x361222fb892c79e3,
  0x3d7eb57ea3e12fc4, 0xadcdbdf33c5dc6e3, 0x067afa8f2b28729d, 0x814c56c17d47c1b3, 0xc2cb1148b34eb422,
  0xd5dba438ea426be8, 0xebce9bb7748c1439, 0x44dc8f22d8d578d8, 0x386f65b2e62e1211, 0x4b31149a546c1132,
  0x4a730b4bb5e5caad, 0xabb39d454aa35d4b, 0xb81013a6e576a96f, 0x71695c958f4ce2e6, 0x95aeb9ed5688af2e,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0xb1be1b8f3612e65f, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0013f01e4d2ab279,
};

static const uint64_t ur_m64hve2_swio15_lednop_ee_hw[] = {
  0x1fdddddda28d0582, 0x4dddaabf0b91f897, 0x0d583bb0be00e6e6, 0xfd686d133a8af5d9, 0x8c4ae337620da0b8,
  0x15de4ee9da087a5a, 0x7e87e609f180904c, 0x37f22d29c1ffeb26, 0x4ff51e56a7a6ab5a, 0xf15e04f51f06cc18,
  0x2c4522cd3ad08a1d, 0x75c6b26909afa30b, 0x6ee9182873ab4bc8, 0x22d8d56ba1d79d37, 0xb2e62e121144dc8f,
  0x34a8d823f5b86f65, 0x976bcb955a804229, 0x8a9546ba9694e616, 0x4dcaed52df57673a, 0x2b1e99c5cd702027,
  0xdaad115e5ce2d2b9, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8f3612e65f36d02a,
  0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x42e17d3c95fb9a19, 0x000000000002dfa6,
};

// m64hve2_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio15_lednop_ee_ce_hw[] = {
  0xa37777768a34704a, 0x8bbb557f530dd125, 0x3a02b75eb9fb05f9, 0x1854000cec4c4ef2, 0xbb229d1c42cb67ad,
  0xaef2775d6eb8ed77, 0xe6b7304f8c048260, 0xd9d1694527ff5933, 0xcf21838292e2faa3, 0x886c2445f71258f3,
  0x73ce5d4efd47c25f, 0x4ed6e6def99e2ee3, 0xd9833d7d47959439, 0x1140a62b60bea3e0, 0xf4616588a459a75a,
  0x1ceaedd21c752135, 0x6c75e74ddbba460a, 0x08a26e47916c6abc, 0x991c37b2d9731709, 0x56a5988a4d2a3608,
  0xa5a53985a5daf2e5, 0xb7d5d9cea2a551ae, 0x735c0809d372bb54, 0x9738b4ae4ac7a671, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b681463b7b155, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000280883ee0be9e,
};

// m64hve2_swio15_dual_pr            m64hve2_swio15_dual_pr_u4
static const uint64_t ur_m64hve2_swio15_dual[] = {
  0xa7bbbbbb448664d6, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056efd33,
  0x2823bb3363c34032, 0x9827c60241305779, 0x18804643d0691dd6, 0xc40c2860d24fc0d9, 0xe6584a7419dd3e25,
  0xcd82fb3814599c9f, 0xc913f8332a6f51df, 0x886257f9fbe08a11, 0x5ef9b900001b87c2, 0x0cb42324432abb10,
  0x7ff4073c26b5a2a1, 0x982c3795e425b728, 0xcf7c5a5fddfe4f43, 0xfc1c1ff51f6f9df2, 0x1541e64ad1ee38e9,
  0x033b6948e21398b0, 0xc64a807fecc11d78, 0xa92e04a07967b698, 0x972ab59fc55f3bb8, 0x8d752d29cc2d2ed7,
  0xdaa5beaece75152a, 0x338b9ae0404e9b95, 0x22bcb9c5a572563d, 0x74078e56bae7b55a, 0x7440842a417296be,
  0x8aaa2d2414e31bc6, 0x25ccbe6da05455bd, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x5564f257ee686658, 0x00000000524df812,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ee[] = {
  0x80addddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd05014,
  0xbaf27acaabdd6d2d, 0x8c048260aef265db, 0x321e8348de7d304f, 0x4306927e06c8c402, 0x53a0cee9f12e2061,
  0xa3805a98c7ff32c2, 0x0e2b4dea393ad825, 0xfe7ef822847244fe, 0xdd6006e1f0a21895, 0xb4432abb105ef9b9,
  0xf0983dc54219682f, 0xaf212dbcedffd01c, 0xe9fff27a1cc161bc, 0xe9b9aad68dc9c5a5, 0x47c1b3071efd4795,
  0x4eb422877c57b3bd, 0x426be8c2cb1148b3, 0x73ab4ba9e5c54b9a, 0xa1d7a89767f11f50, 0x08a0f547f258d56b,
  0xf5b86f65f4b31709, 0x928043e6f6a8d823, 0x72ab59fc55f3bb8a, 0xd752d29cc2d2ed79, 0xaa5beaece75152a8,
  0x38b9ae0404e9b95d, 0x2bcb9c5a572563d3, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x5ccbe6da05455bd8, 0x771a2c79c371e6c2, 0xa615c9fbab337f07, 0x52d9f0271964b867, 0x93c95fb9a19961d2,
  0x00000190a0bf6955,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x1f4dac7787cc1c05, 0xfafa10fed333b13c, 0x9d6c995c68bc6736, 0x47f6dd05014d391d,
  0x35af2734ead05c2d, 0xc15de4cbb77093fd, 0x91bcfa609f180904, 0xfc0d918804643d06, 0xd3e25c40c2860d24,
  0x8c7ff32c2550729d, 0xa393ad825a3805a9, 0x2847244fe0e2b4de, 0x1f0a21895fe7ef82, 0xb105ef9b9dd6006e,
  0x54219682fb4432ab, 0xcedffd01cf0983dc, 0xb24c161bcaf212db, 0xd1b938b4bd3fff08, 0xe3dfa8f2bd37355a,
  0xef8af677a8f83660, 0x5962291669d68450, 0x3cb8a973484d7d18, 0xecfe23ea0e756975, 0xfe4b1aad743af512,
  0xbe9662e121141ea8, 0xded51b047eb70dec, 0x8abe77715250087c, 0x985a5daf2e556b3f, 0x9cea2a551aea5a53,
  0x809d372bb54b7d5d, 0x4ae4ac7a671735c0, 0x75cf6ab44579738b, 0x82e52d7ce80f1cad, 0x29c6378ce8810854,
  0x40a8ab7b15545a48, 0x9ab83cd84b997cdb, 0x7f07edd8d1637c5c, 0xde50c2a73f53ab33, 0x07f197e627ff787b,
  0xf03f7ec3343cc9fe, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x86faa49e4afdcd0c, 0x00000000002b279f,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ce[] = {
  0x2b777777b0486f97, 0xf07d36b31aef60e5, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xe89bc9945fba528d,
  0xd33773c119d71fd4, 0x609f180904c15de4, 0xc402321e83484e3e, 0x20614306927e06c8, 0x32c253a0cee9f12e,
  0xd8472381c19babff, 0x44fe0e574dea3ece, 0x1895fe7ef8228472, 0xf9b8089006e1f0a2, 0x6807b4432abb105e,
  0xd01cf09827c54219, 0xb0de579096dffe7f, 0xd16949d7f93d0e60, 0x8f360e757dc5f580, 0x10d8488bee24b1e7,
  0xb9d66c87fa8f84bf, 0x7b9633ea5ccf1771, 0x71d3f83117d47912, 0x3884e62c05fdc654, 0xfb33c75e00ceda52,
  0x0796b7263192a01f, 0xfc55f3bb8a92e04a, 0x9cc2d2ed7972ab59, 0xece75152a8d752d2, 0x0404e9b95daa5bea,
  0x5a572563d338b9ae, 0x6bae7b55a22bcb9c, 0xa417296be74078e5, 0x414e31bc67440842, 0xb40a31dbd8aaa2d2,
  0xabc6e3cd84b997cd, 0x9d599bf83bb8d165, 0x7f8138d2861539fa, 0xd30ae4fc07cd0f32, 0x296cf8138cb25c33,
  0xc9e4afdcd0ccb0e9, 0x00000034907454aa,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ce_u4[] = {
  0x02f777776890cf68, 0xdf07d36b312af60f, 0xb6b8ee9da69c2465, 0x2cc8f91295a9f65a, 0x0dd889ea3e3afbb0,
  0x79247ddcd1f53af7, 0xa89827c602413057, 0xd918804643d06902, 0x25c40c2860d24fc0, 0xb7e6584a7419dd3e,
  0xe56d86fb3869b9a2, 0x47244fe0ca1cdea3, 0x0a21895fe7ef8228, 0x82f7cdc643006e1f, 0x10cb4027a21955d8,
  0x37ff4073c269c62a, 0x730586f2bc84b6e3, 0xd4ca8b4a707fc9e8, 0x63cf1e6c1cc09717, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0xf38cf72c6787199e, 0xa6e8e3a7f064d7a8, 0x96ba38c8e62c0532, 0x5b71cb19e3af22dd,
  0x7f157ceee2a4a3ab, 0xa730b4bb5e5caad6, 0xbb39d454aa35d4b4, 0x81013a6e576a96fa, 0x1695c958f4ce2e6b,
  0xfd6b9ed5688af2e7, 0x5ea58594d8b3a03c, 0x0273e3182169ab9d, 0xe65f36d38c6f19d1, 0xdc68b1be1b8f3612,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xb2792bf734332c3a, 0x00000003493a792a,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ee_ce[] = {
  0x0fb2b77777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0765,
  0x2eeeec6ec782e62e, 0x3e30120982bbc932, 0x08c87a0d23cf5cc1, 0x850c1a49f81b2310, 0x094e833ba7c4b881,
  0x0d070d3533fcfccb, 0xf83e9f9bd47ff9b0, 0x57f9fbe08a11c913, 0xc185c01b87c28862, 0xe1a21955d882f7cd,
  0xe784ce4e2a10cb40, 0xe579096df1bbfe80, 0x2cedff93d0e60b0d, 0xe4ed9dff546c162d, 0xb8089300fe78f360,
  0xa76b2b221984e771, 0xd98309fea3cad4f4, 0x1140a62bc09ea3e0, 0xf4616588a459a75a, 0x9ceaedc5d4752135,
  0xb1d7b589d8ca4738, 0x4512f91ad7b1aaf1, 0xc8e1bd971f18b848, 0x55f3bb8a92e311f0, 0xc2d2ed7972ab59fc,
  0xe75152a8d752d29c, 0x04e9b95daa5beaec, 0x572563d338b9ae04, 0xae7b55a22bcb9c5a, 0x17296be74078e56b,
  0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0x86e3cd84b997cdb4, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7,
  0x4332c3a4a5b3e04e, 0x201c92ab2792bf73, 0x0000000000000098,
};

static const uint64_t ur_m64hve2_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xfa6d42f1e1b07dfb, 0x9bdae2804b5272e0, 0x9c8757b69ef35f45, 0xfde4edfbcfbfb573,
  0x9d2117b47ce0ac10, 0x92829dc196b2a706, 0x79827c6024130577, 0x18804643d0691f10, 0xc40c2860d24fc0d9,
  0x32c2550729dd3e25, 0x61d8270bc39b96bf, 0x4fe0daee6f51f1bb, 0x895fe7ef82284724, 0x37138f006e1f0a21,
  0x08e4886557620bdf, 0x039e136fb8a8432d, 0x3795e425b724affa, 0x69661bfe1164982c, 0x9dcc35c5f547d5f1,
  0x2445f71258f3c79b, 0xfb8ffd47c25f886c, 0x9b9ba678bb8dc4e3, 0xcaf51e57bee53b5b, 0x98aedd7a8f83660c,
  0x962291669d684502, 0xb729e1d484d7d185, 0xa89767f11f5073ab, 0xea8fe4b1aaf1b1d7, 0xdecbe9662e121141,
  0x63e6f6a8d8226470, 0x59fc55f3bb8a9296, 0xd29cc2d2ed7972ab, 0xeaece75152a8d752, 0xae0404e9b95daa5b,
  0x9c5a572563d338b9, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2,
  0xc5c9ab83cd84b997, 0xb337f07edd8d1637, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x15c16faa49e4afdc, 0x0000000000000200,
};

static const uint64_t ur_m64hve2_swio15_dual_ee_hw[] = {
  0xb7777768a34204d3, 0x0fa6d63bc3e60e02, 0x9cdd087f6999d89e, 0x47675b26571a2fd1, 0x0b51fdb74140534e,
  0x35d7ff877c4fb417, 0x80904c15de4cbb77, 0x43d0691bcfa609f1, 0x60d24fc0d9188046, 0x4d69dd3e25c40c28,
  0x805a98c7ff32c254, 0x2b4dea393ad825a3, 0x7ef822847244fe0e, 0x6006e1f0a21895fe, 0x432abb105ef9b9dd,
  0x983dc54219682fb4, 0x212dbcedffd01cf0, 0xfffde1dcc161bcaf, 0xb9aad68dc9c5a5e9, 0xc1b3071efd4795e9,
  0xb422877c57b3bd47, 0x6be8c2cb1148b34e, 0xab4ba9e5c54b9a42, 0xd7a89767f11f5073, 0xa0f547f258d56ba1,
  0xb86f65f4b3170908, 0x8043e6f6a8d823f5, 0xab59fc55f3bb8a92, 0x52d29cc2d2ed7972, 0x5beaece75152a8d7,
  0xb9ae0404e9b95daa, 0xcb9c5a572563d338, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0xcbe6da05455bd8aa, 0xcfd4176371e6c25c, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x0002bb52202c2fa7,
};

// m64hve2_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m64hve2_swio15_dual_ee_ce_hw[] = {
  0xbdddddda28d06c4f, 0x0fa6d42f1e1b07df, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793b7ef3efe,
  0x36d3ed0b68d1f382, 0x8260aef25053bb48, 0x0d23e20f304f8c04, 0x49f81b231008c87a, 0x3ba7c4b881850c1a,
  0x7372d7e6584a89ad, 0xea3e376c3b04e178, 0x4508e489fc1b5dcd, 0xc3e144312bfcfdf0, 0xec417be6e271e00d,
  0x150865a11c910caa, 0xe495ff4073c26df7, 0x87730586f2bc84b6, 0x547d5f169661bff7, 0x3cf3c860e4c35c5f,
  0x97e21b09117dc496, 0xe37387f8fbbf51f0, 0xb94ed6e6e6e99e2e, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3,
  0x35f4616588a459a7, 0xd41ceaedca787521, 0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b,
  0xe2a4a598f9bdaa36, 0x5e5caad67f157cee, 0xaa35d4b4a730b4bb, 0x576a96fabb39d454, 0xf4ce2e6b81013a6e,
  0x688af2e71695c958, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x17d3c95fb9a19961, 0x00000000ebaf22c8,
};

// m640_u1x8_uart2_noled_pr
static const uint64_t ur_m640_u1x8_uart2_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xe4ff2e3f3e0a4c13, 0xb85b7f69912dec0b, 0x82e391fa03be5843, 0x533df6b524389206, 0xd5fd1eb0e62c0596,
  0x500ffd9823af47ce, 0x71f03cb3db1f6679, 0xce3f1bf03101f7b0, 0x6f00fa8301dc1f79, 0xbaa9cbca6c671f9e,
  0x6961738c6f19d102, 0xf36c4922adec5551, 0xfe3458f386e52d4b, 0x30ae4fdd598f2068, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x000000f90d38792a,
};

static const uint64_t ur_m640_u1x8_uart2_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x9fe186cf829304f8, 0x0b6fed3225bd817c, 0x5c723f4077cb0877, 0x67bed6a4871240d0, 0xbfa3d61cc580b2ca,
  0x01ffb30475e8f9da, 0x3e07967b63eccf2a, 0xc7e37e06203ef60e, 0xe01f50603b83ef39, 0x5539794d8ce3f3cd,
  0x2c2e718de33a2057, 0x6d892455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x00000007c9f19a1c,
};

// m640_u1x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart2_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x186cf94b9827c64e, 0xfda644b7b0274bfe, 0xc89355ad1ce2e16d, 0x8f83660d318e4795, 0x3ad08a1df15f751c,
  0x09afa30b2c4522cd, 0x39d5a5e715c6b269, 0xa1d79d376ded1e0b, 0x11473c8c38d8d56b, 0xf5b86f65b2e62e12,
  0xec00a89534a8d823, 0xde738fc6fc0c407d, 0xe79bc03ea0c07707, 0x40aeaa72f29b19c7, 0x545a585ce31bc674,
  0x52fcdb1248ab7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x523824f257ee6866, 0x000000000004eb8d,
};

static const uint64_t ur_m640_u1x8_uart2_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x0a44ff2e3f3e1ee6, 0xd0385b7f69912dec, 0xcf370ee76f7d8feb, 0xc67339d61fe7487f, 0x8ce391c43cf72cba,
  0x0b70c4fd24389207, 0x5ced20a8f199cc58, 0x0e9d3dc72c678ebc, 0x39c7e37e06203ef6, 0x79bcb750603b83ef,
  0xaaeaa72f29b19c7e, 0xce88173663042d37, 0x7296a5f9b69c6378, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x723c953c95fb9a19, 0x0000000000016ea0,
};

static const uint64_t ur_m640_u1x8_uart2_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0x7fe186cfb939827c, 0x16dfda644b7b025f, 0x9b9dc7b8c5fac42e, 0x886c2445d670f3c7, 0xe1ffe068fd47c25f,
  0x9e9ee59d5f593262, 0x9490e2481eb2391c, 0xfa3d61cc580a3e74, 0x1ffb33c75e8f9dab, 0xf81e5adc3eccf2a0,
  0x1f8df81880fbd838, 0x807d4180ee0fbce7, 0x54e5e536338fcf37, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4,
  0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x0000006ebed20ee0,
};

// m640_u1x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u1x8_uart2_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xf0c367cc7e609f19, 0x6fed3225bd8125af, 0xe39462fd51fce70b, 0x1222eb3879e3cdce, 0x53397ea3e12fc436,
  0xed6107be64c5c3d2, 0x60d6bc723cafa894, 0x40a62b09f1c8f836, 0x616588a459a75a11, 0x7576e9c4752135f4,
  0x75e74ddb7b4782ce, 0xa39e461c6c6abc6c, 0x1c37b2d973170908, 0x0b3a254d2a360899, 0x9ce3f1bf03101f7b,
  0xe6f00fa8301dc1f7, 0x2baa9cbca6c671f9, 0x16961738c6f19d10, 0x7e6d89218edec555, 0xbb8d164498dca5a9,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x1c12792bf734332c, 0x00000000013f06a7,
};

static const uint64_t ur_m640_u1x8_uart2_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0x6fed3225bd813a5f, 0xae449aad68e7170b, 0xe47c1b30698c723c, 0x69d68450ef8afba8,
  0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab, 0x1fadc37b2d973170,
  0xef600544a9a546c1, 0x3ef39c7e37e06203, 0x3f3cde01f50603b8, 0xa20575539794d8ce, 0xaaa2d2c2e718de33,
  0x5a97e6d892455bd8, 0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0xa75453c95fb9a199, 0x000000000002df07,
};

// m640_u1x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart2_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0xb7f69912dec092d7, 0x71ca317ea8fe7385, 0x1222eb3879e790e7, 0xa66ffea3e12fc436,
  0xdac20f7cc98b87e5, 0xc1ad78e4795f5129, 0x814c5613e391f06c, 0xc2cb1148b34eb422, 0xeaedd388ea426be8,
  0xebce9bb6f68f059c, 0x473c8c38d8d578d8, 0x386f65b2e62e1211, 0x16744a9a546c1132, 0x39c7e37e06203ef6,
  0xcde01f50603b83ef, 0x575539794d8ce3f3, 0x2d2c2e718de33a20, 0xfcdb12431dbd8aaa, 0x539fa84e31b94b52,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a,
  0x00000000a02e08be,
};

// m640_u1x8_uart2_lednop_pr
static const uint64_t ur_m640_u1x8_uart2_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x9bbfcb8fcfa01304, 0xee16dfda644b7b02, 0xa0b8e47b58ef9610, 0x29be483f490e2481, 0x967a3486731602cb,
  0xa01ffb30475e8f9d, 0x15a07967b682cd22, 0x9c7e37e06203ef64, 0x450603b83ef3c080, 0x94e4a7401f9e6f36,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xf386e52d4bf36dce, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0xf20a9c792a792bf7, 0x0000000000000001,
};

static const uint64_t ur_m640_u1x8_uart2_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xdfe186cfa01304f8, 0x0b6fed3225bd814d, 0x5c723dac77cb0877, 0xdf241fa4871240d0, 0x3d1a43398b016594,
  0x0ffd9823af47cecb, 0xd03cb3db41669150, 0x3f1bf03101f7b20a, 0x8301dc1f79e0404e, 0x7253a00fcf379b22,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3e4d97e17049e4af,
};

// m640_u1x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart2_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x186cfa9e9827c64e, 0xfda644b7b022ebfe, 0x995355ad1ce2e16d, 0x8f83660d318e4795, 0x75a1143be2b0f71c,
  0x135f4616588a459a, 0x73ab4b9eab8d64d2, 0xa1d79d3768c91934, 0x11413c8ded58d56b, 0xf5b86f65b2e62e12,
  0xd8010fb33ca8d823, 0x20271f8df81880fb, 0xcd914180ee0fbcf0, 0xdea53929d007e79b, 0xd38c6f19d103be54,
  0x739156f62aa8b4d5, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x000009d75a373824,
};

static const uint64_t ur_m640_u1x8_uart2_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xd816dfff2e3f3e63, 0xd7a070b6fed3225b, 0xbf9e6e1dcee21b1f, 0x758ce673ac3c872e, 0x078ce391f9e9ee59,
  0x580a22b5f5243892, 0xd78b9db588cd21cc, 0x7b075ac5b8e58cf1, 0x0404e3f1bf03101f, 0x378392b01dc1f79e,
  0x9dc594e5f3a00fcf, 0x7eb3182169e18aca, 0x97e6da718de33a20, 0xd1fc68b1e70dca5a, 0x7a615c9fbab31e40,
  0x94b670e271964b86, 0x54f257ee68665874, 0x00000000b75008f2,
};

static const uint64_t ur_m640_u1x8_uart2_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xeeff0c367dd2cc13, 0x70b6fed3225bd817, 0x3cdcee03462fd621, 0xfc4361222eb3879e, 0x5c3a6dcedfea3e12,
  0xf493dcb3abeb264c, 0x16921c4903d64723, 0x3d1a43398b015311, 0x0ffd99e3af47cecb, 0xb40f2d6e41669150,
  0x8fc6fc0c407dec82, 0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x0dd74ab13824f257,
};

// m640_u1x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u1x8_uart2_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0xc367ffe4c13e3277, 0xda644b7b02e9fff0, 0xa8c5faa3f9ce16df, 0x45d670f3c79b9d93, 0x07fd47c25f886c24,
  0x841ef993170f950d, 0x5af1c8f2beea53b5, 0x98af6fc723e0d983, 0x962291669d684502, 0xdb8f51d484d7d185,
  0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238, 0x8fc6fc0c407dec2c,
  0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386,
  0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x09f96dbab824f257,
};

static const uint64_t ur_m640_u1x8_uart2_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xbfb4c896f6045d7f, 0xb32a6ab5a39c5c2d, 0x91f06cc1a631c8f2, 0x4eb422877c561ee3,
  0x426be8c2cb1148b3, 0x8e756973d571ac9a, 0x743af3a6ed192326, 0x42282791bdab1aad, 0x7eb70decb65cc5c2,
  0x7b0021f667951b04, 0x0404e3f1bf03101f, 0x79b228301dc1f79e, 0x9bd4a7253a00fcf3, 0xba718de33a2077ca,
  0x6e722adec555169a, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00000b7fe8b2514f,
};

// m640_u1x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart2_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0xb7f69912dec0ba7f, 0x64ea317ea8fe7385, 0x1222eb3879e790e7, 0x9b21fea3e12fc436,
  0xed6107be64c5c3f5, 0x60d6bc723cafba94, 0x40a62bdbf1c8f836, 0x616588a459a75a11, 0x7576e3d4752135f4,
  0x3af3a6ed1923268e, 0x504f237b56355e36, 0x8e1bd96cb98b8484, 0x0b31f667951b044c, 0x04e3f1bf03101f7b,
  0xb228301dc1f79e04, 0xd4a7253a00fcf379, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x138c6e52d4bf36dc,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x00501304d3a29e4a,
};

// m640_u1x8_uart2_dual_pr           m640_u1x8_uart2_dual_pr_u4
static const uint64_t ur_m640_u1x8_uart2_dual[] = {
  0xddddd7ed44864541, 0xddddc3eebcdd7afd, 0x81793b92ed86dddd, 0x6294247777717bd7, 0x8b920126fed61f3d,
  0x154866fcc13e3256, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0xc99c3e74d21ff328, 0x40dfc9a391ca2ec1,
  0x3f3f7c1142922412, 0x5a13eb87c288627c, 0x098a2195672f4ce0, 0x039e13465150865a, 0x1bcaf212db98fffa,
  0x7b023d7fc90a4c16, 0xcb134e16dfda644b, 0x24818878e47c8a77, 0x02a83cd38bdf490e, 0x00ced6b23afe7316,
  0xd21aa01ffb30475e, 0xa92a93a07967b621, 0x407dec9fc55f3bb8, 0xde7810138fc6fc0c, 0xf3cde6c8a0c07707,
  0xdf2a6f529c94e803, 0x5a6ae9c6378ce881, 0x7e6db9c8ab7b1554, 0xbb8d164498dca5a9, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x9c12792bf734332c,
  0x000000000524f792,
};

// m640_u1x8_uart2_dual_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart2_dual_pr_ee[] = {
  0xeeeeebf6a2435032, 0xddddc3ed4f3efd7e, 0xf5dc6a1edb5adddd, 0xf651337afba8cd99, 0xeda3f5c7bb28bf7e,
  0xbb9827c64f4eb955, 0x0ddd7d932305521d, 0x7c4b881850c1b48c, 0x6e6ddafcca0253ba, 0x472385ad818f9c06,
  0x450a489049032753, 0x1f0a2189f0fcfdf0, 0xab397a673acc4fae, 0xf7150865a095910c, 0x5b7383ff4073c265,
  0xf9214982c3795e42, 0xb7f69912dec0b2b7, 0xad7dcd56b4722385, 0xe47c1b3060a4723c, 0xd3ad08a1df15d4a8,
  0x909afa30b2c4522c, 0xce756973297152e6, 0x743af512ed10a3de, 0x211408a8f9eb1aad, 0x7eb70decbe9662e1,
  0x5250084feb151b04, 0x80fbd93f8abe7771, 0xbcf020271f8df818, 0xe79bcd914180ee0f, 0xbe54dea53929d007,
  0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xb824f257ee686658, 0x00000000015923eb,
};

// m640_u1x8_uart2_dual_pr_ce_u4
static const uint64_t ur_m640_u1x8_uart2_dual_pr_ce[] = {
  0xfdddddd7ed4486f9, 0xddddddc3e5c4b57a, 0x6673bed3d6db17dd, 0xd76cf9056eeeac14, 0x3b94da390eabdfc3,
  0x5520dbb9827c64ae, 0x1b48c0ddd7d93230, 0x253ba7c4b881850c, 0x09c3abe6a1ffcca0, 0x1dba9a391e396c0e,
  0xe7ef822852448248, 0x227d70f8510c4f87, 0xf8886559cbd339d8, 0xcf09b6fc54219683, 0xe579096df7dffd01,
  0x02387fe485260b0d, 0x97ce16dfda644b7b, 0xe78f373b4ad18bf5, 0x84bf10d8488bace1, 0xc98b87adf801fa8f,
  0x238df9ee59d5ea5c, 0x07ca4871240ea5c7, 0xad6475fce62c0505, 0x403ff6678ebc019d, 0x49d03cb5b843a435,
  0xf64fe2af9ddc5495, 0x0809c7e37e06203e, 0xf36450603b83ef3c, 0x37a94e4a7401f9e6, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3,
  0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000001a48fc09c12,
};

static const uint64_t ur_m640_u1x8_uart2_dual_pr_ee_ce[] = {
  0x777775fb76090c86, 0xeeeee1fa8787debf, 0x932b8d17eb4f6eee, 0xa3e0cd19ee9d64e5, 0x37675ef98b682e16,
  0x49827c64d86b9776, 0x775f64c8c15489aa, 0x12e20614306d2303, 0x3337ff328094ee9f, 0x23f60ec2f0ce1cb5,
  0x149120920687d347, 0x144313e1f9fbe08a, 0xcbd339c8389f5c3e, 0xa8432d0274886559, 0xc00ffa039e136ce8,
  0x0a4c161bcaf212db, 0xb4c896f6041a3fc9, 0xf18bf54650dc2dbf, 0x1759c3cf1e6e7663, 0x2bf51f097e21b091,
  0x084dd3262e1ee449, 0x5f2391e56fe4a76b, 0x98ae034723e0d983, 0x962291669d684502, 0xdb8ca1d484d7d185,
  0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238, 0x64fe2af9ddc5494b,
  0x809c7e37e06203ef, 0x36450603b83ef3c0, 0x7a94e4a7401f9e6f, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x07a18dca5a97e6db, 0xa9d599bf83bb8d16, 0xed87138d2861539f, 0x867a615c9f80f9a3, 0x7494b670e271964b,
  0xb824f257ee686658, 0x00000000010002fd,
};

static const uint64_t ur_m640_u1x8_uart2_dual_pr_ee_ce_u4[] = {
  0x7775fb5150fed4d6, 0xeee1fa8787debf77, 0x2b8d17eb4f6eeeee, 0xe0cd19ee9d64e593, 0xafd7b66f682e16a3,
  0x09f19361ae4dd8cf, 0x7d9323055226a926, 0x881850c1b48c0ddd, 0xbff9958093ba7c4b, 0xb076178670e5a999,
  0x890490343e9a391f, 0x189f0fcfdf0450a4, 0x99ce41c4fae1f0a2, 0x196813a4432ace5e, 0x7fd01cf09b674542,
  0x60b0de579096de00, 0x12dec08347fe19a2, 0x7ea8ca1b85b7f699, 0xe1e79f00cecc7e31, 0x8f84bf10d8488bac,
  0xa64c5c39806e87fa, 0x23cadfc94ed6109b, 0x068e47c1b306be47, 0x22cd3ad08a05315c, 0x43a909afa30b2c45,
  0x68851ef673abb719, 0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f, 0x58a8d8226470decb, 0x55f3bb8a9296627f,
  0xfc6fc0c407dec9fc, 0x0c07707de7810138, 0xc94e803f3cde6c8a, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0x1b94b52fcdb73863, 0x99bf8347f1a2c893, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x00a2c87f86792bf7, 0x0000000000000040,
};

static const uint64_t ur_m640_u1x8_uart2_dual_ee_hw[] = {
  0xf777775fb51468f9, 0xeeeeee1f6a79f7eb, 0xcfaee350f6dad6ee, 0xf7b2899bd7dd466c, 0x94da390f5fc345fb,
  0x21dbb9827c64f4eb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc066e6ddafccae83, 0x753472385ad818f9,
  0xdf0450a489049032, 0xfae1f0a2189f0fcf, 0x10cab397a673acc4, 0x265f7150865a0959, 0xe425b7383ff4073c,
  0x2b7ff2a4982c3795, 0x385b7f69912dec0b, 0x23cad7dcd56b4722, 0x4a8e47c1b3060a47, 0x22cd3ad08a1df15d,
  0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1, 0xb047eb70decbe966,
  0x7715250084feb151, 0x81880fbd93f8abe7, 0xe0fbcf020271f8df, 0x007e79bcd914180e, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0xb52fcdb739156f62, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xe5e8a792bf734332, 0x0000000000576919,
};

// m640_u1x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart2_dual_ee_ce_hw[] = {
  0xbbbafda8a34404d3, 0x7770fd43c3ef5fbb, 0x95c68bf5a7b77777, 0xf0668cf74eb272c9, 0xf5f68d3ab4170b51,
  0x9827c64d86b979af, 0x75f64c8c15489aa4, 0x2e20614306d23037, 0x337ff32ba0cee9f1, 0x3f60ec2f0ce1cb53,
  0x49120920687d3472, 0x44313e1f9fbe08a1, 0xbd339c8389f5c3e1, 0x8432d0274886559c, 0x00ffa039e136ce8a,
  0x24c161bcaf212dbc, 0x4c896f6041a3ff95, 0x18bf54650dc2dbfb, 0xeb3879e790e7663f, 0xfea3e12fc4361222,
  0x1374c98b87672e8f, 0xc8e4795bf929dac2, 0x2b80d1c8f83660d7, 0x88a459a75a1140a6, 0xe328752135f46165,
  0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b, 0x3f8abe77715252cc,
  0x271f8df81880fbd9, 0x914180ee0fbcf020, 0xa53929d007e79bcd, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x9c637296a5f9b6e7, 0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x075d64405d14f257,
};

// m640_u1x8_uart3_noled_pr
static const uint64_t ur_m640_u1x8_uart3_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0xe4ff2e3f3e0a4c13, 0x679bfb4b522dec0b, 0x71c8fd01df2c21d7, 0x9efb5a921c490341, 0xfe8f58731602cb29,
  0x07fecc11d7a3e76a, 0xf81e59ed8fb33ca8, 0xe1b7e0621d0fd838, 0x1f50603b9d0fce79, 0xe5e53633cf0fcde0,
  0xb9c6378ce8815d54, 0x249156f62aa8b4b0, 0x2c79c37296a5f9b6, 0x27eeacc790347f1a, 0x389c6592e19e9857,
  0xfb9a19961d252d9c, 0x007c869c3c953c95,
};

static const uint64_t ur_m640_u1x8_uart3_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x9fe186cf829304f8, 0xf37f696a45bd817c, 0x391fa03be5843aec, 0xdf6b52438920682e, 0xd1eb0e62c0596533,
  0xffd9823af47ced5f, 0x03cb3db1f6679500, 0x36fc0c43a1fb071f, 0xea0c0773a1f9cf3c, 0xbca6c679e1f9bc03,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0003e4f8cd0e093c,
};

// m640_u1x8_uart3_noled_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart3_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x186cf94b9827c64e, 0xed2d48b7b0274bfe, 0x49aad68e715d9e6f, 0xc1b30698c723cae4, 0x68450ef8afba8e47,
  0xd7d185962291669d, 0xead2f38ae3593484, 0xebce9bb6f68f059c, 0xa39e461c6c6ab5d0, 0xdc37b2d973170908,
  0x00544a9a546c11fa, 0x9e786df8188743f6, 0x7807d4180ee743f3, 0x5539794d8cf3c3f3, 0x2c2e718de33a2057,
  0x6d892455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x0000000275c6a91c,
};

static const uint64_t ur_m640_u1x8_uart3_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x0a44ff2e3f3e1ee6, 0x17679bfb4b522dec, 0x9b8773b7bec7f5e8, 0x399ceb0ff3a43fe7, 0x71c8e21e7b965d63,
  0xb8627e921c4903c6, 0x76905478cce62c05, 0x4e9ee39633c75e2e, 0x3c36fc0c43a1fb07, 0x96ea0c0773a1f9cf,
  0x539794d8cf3c3f37, 0x0b9b3182169bd575, 0x52fcdb4e31bc6744, 0x1a3f8d163ce1b94b, 0xcf4c2b93f75663c8,
  0x9296ce1c4e32c970, 0x4a9e4afdcd0ccb0e, 0x00000000b750391e,
};

static const uint64_t ur_m640_u1x8_uart3_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0x7fe186cfb939827c, 0xe6fed2d48b7b025f, 0xcee3dc62fd6215d9, 0x361222eb3879e3cd, 0xfff0347ea3e12fc4,
  0x4f72ceafac993170, 0x4871240f591c8e4f, 0x1eb0e62c051f3a4a, 0xfd99e3af47ced5fd, 0x0f2d6e1f6679500f,
  0xdbf0310e87ec1c7c, 0xa8301dce87e73cf0, 0xf29b19e787e6f00f, 0xe31bc67440aeaa72, 0x863b7b15545a585c,
  0x12637296a5f9b624, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00375f69077049e4,
};

// m640_u1x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u1x8_uart3_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xf0c367cc7e609f19, 0x7f696a45bd8125af, 0xca317ea8fe72ecf3, 0x11759c3cf1e6e771, 0x9cbf51f097e21b09,
  0xb083df3262e1e929, 0x6b5e391e57d44a76, 0x531584f8e47c1b30, 0xb2c4522cd3ad08a0, 0xbb74e23a909afa30,
  0xf3a6edbda3c1673a, 0xcf230e36355e363a, 0x1bd96cb98b848451, 0x9d12a6951b044c8e, 0x9e1b7e0621d0fd85,
  0x01f50603b9d0fce7, 0x4e5e53633cf0fcde, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0x8b224c6e52d4bf36,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x0000009f83538e09,
};

static const uint64_t ur_m640_u1x8_uart3_noled_ee_hw[] = {
  0xdddddb9514689391, 0x77774b11a053758d, 0xf8ec17fa5d363777, 0x10030e471eeb07d9, 0x777a7191db128212,
  0xf2b167ca5cc13e32, 0x7f696a45bd813a5f, 0x224d56b4738aecf3, 0x3e0d9834c6391e57, 0xeb422877c57dd472,
  0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae, 0xd6e1bd96cb98b848,
  0xb002a254d2a3608f, 0x9cf3c36fc0c43a1f, 0x9bc03ea0c0773a1f, 0xbaa9cbca6c679e1f, 0x6961738c6f19d102,
  0xf36c4922adec5551, 0x4e7ea138c6e52d4b, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x000000016f83d3aa,
};

// m640_u1x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart3_noled_ee_ce_hw[] = {
  0x777776e5451a3705, 0xeeeee962111a2d63, 0x5e1050b413699eee, 0x4b8bdb0522ee8db0, 0x9ddb0db2b5267d33,
  0xf958b3e63f304f8c, 0xbfb4b522dec092d7, 0xe518bf547f397679, 0x11759c3cf3c873b8, 0x37ff51f097e21b09,
  0x6107be64c5c3f2d3, 0xd6bc723cafa894ed, 0xa62b09f1c8f83660, 0x6588a459a75a1140, 0x76e9c4752135f461,
  0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3, 0x3a254d2a3608991c, 0x3c36fc0c43a1fb0b,
  0x03ea0c0773a1f9cf, 0x9cbca6c679e1f9bc, 0x1738c6f19d102baa, 0x89218edec5551696, 0xd42718dca5a97e6d,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x00005017045f453c,
};

// m640_u1x8_uart3_lednop_pr
static const uint64_t ur_m640_u1x8_uart3_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x9bbfcb8fcfa01304, 0xd9e6fed2d48b7b02, 0x5c723dac77cb0875, 0xdf241fa4871240d0, 0x3d1a43398b016594,
  0x0ffd9823af47cecb, 0xd03cb3db41669150, 0xc36fc0c43a1fb20a, 0xc0773a1f9e0404f3, 0x53a04f0fcde6c8a0,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x7296a5f9b6e722ad, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x4e3c953c95fb9a19, 0x000000000000f905,
};

static const uint64_t ur_m640_u1x8_uart3_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xdfe186cfa01304f8, 0xf37f696a45bd814d, 0x391ed63be5843aec, 0x920fd2438920682e, 0x8d219cc580b2ca6f,
  0xfecc11d7a3e7659e, 0x1e59eda0b348a807, 0xb7e0621d0fd90568, 0x3b9d0fcf020279e1, 0xd02787e6f3645060,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0xcbf0b824f257ee68,
  0x0000000000001f26,
};

// m640_u1x8_uart3_lednop_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart3_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x186cfa9e9827c64e, 0xed2d48b7b022ebfe, 0xa9aad68e715d9e6f, 0xc1b30698c723cacc, 0xd08a1df1587b8e47,
  0xafa30b2c4522cd3a, 0xd5a5cf55c6b26909, 0xebce9bb4648c9a39, 0xa09e46f6ac6ab5d0, 0xdc37b2d973170908,
  0x0087d99e546c11fa, 0x3cf0dbf0310e87ec, 0x28301dce87e78101, 0x9c94e813c3f379b2, 0x378ce881df2a6f52,
  0xab7b15545a6ae9c6, 0x98dca5a97e6db9c8, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x04ebad1b9c12792b,
};

static const uint64_t ur_m640_u1x8_uart3_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0xd816dfff2e3f3e63, 0xd02ecf37f696a45b, 0xcf370ee7710d8feb, 0xc67339d61e43975f, 0xc671c8fcf4f72cba,
  0x05115afa921c4903, 0xc5cedac46690e62c, 0x83ad62dc72c678eb, 0x279e1b7e0621d0fd, 0x725603b9d0fcf020,
  0xca72f9d02787e6f0, 0x8c10b4f0c5654ee2, 0x6d38c6f19d103f59, 0x3458f386e52d4bf3, 0xae4fdd598f2068fe,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00005ba804792a79,
};

static const uint64_t ur_m640_u1x8_uart3_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xeeff0c367dd2cc13, 0xcf37f696a45bd817, 0x6e7701a317eb10ae, 0x21b0911759c3cf1e, 0x1d36e76ff51f097e,
  0x49ee59d5f593262e, 0x490e2481eb2391fa, 0x8d219cc580a9888b, 0xfeccf1d7a3e7659e, 0x0796b720b348a807,
  0x6df8188743f6415a, 0x0ee743f3c0809e78, 0x7409e1f9bcd91418, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0xa5a97e6db9c31dbd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xa5589c12792bf734, 0x00000000000006eb,
};

// m640_u1x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u1x8_uart3_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0xc367ffe4c13e3277, 0xd2d48b7b02e9fff0, 0x62fd51fce5d9e6fe, 0xeb3879e3cdcec9d4, 0xfea3e12fc4361222,
  0x0f7cc98b87ca8683, 0x78e4795f7529dac2, 0x57b7e391f06cc1ad, 0x1148b34eb422814c, 0xc7a8ea426be8c2cb,
  0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37, 0x6df8188743f61663,
  0x0ee743f3c0809e78, 0x7409e1f9bcd91418, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd,
  0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0xb6dd5c12792bf734, 0x00000000000004fc,
};

static const uint64_t ur_m640_u1x8_uart3_lednop_ee_hw[] = {
  0xdddddb95146890e3, 0xbbbba588d02d158d, 0xea6f1dedbdc5fbbb, 0x3c7b0e471eeb07d9, 0xdd122ccf43715b64,
  0xcac59f53d304f8c9, 0xfda5a916f6045d7f, 0x95355ad1ce2bb3cd, 0xf83660d318e47959, 0x5a1143be2b0f71c8,
  0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba, 0x5b86f65b2e62e121,
  0x8010fb33ca8d823f, 0x279e1b7e0621d0fd, 0x450603b9d0fcf020, 0x53929d02787e6f36, 0xc6f19d103be54dea,
  0x156f62aa8b4d5d38, 0xe31b94b52fcdb739, 0xc3def2861539fa84, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x05bff45928a792bf,
};

// m640_u1x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart3_lednop_ee_ce_hw[] = {
  0xbbbbbb72a28d0044, 0x777774b1088b8eb1, 0x5ed14202b7ab0777, 0x130cdb0522ee8db0, 0x9dd4149cb421f913,
  0xfcac59fff9304f8c, 0xbfb4b522dec0ba7f, 0x7518bf547f397679, 0x11759c3cf3c873b2, 0x90ff51f097e21b09,
  0xb083df3262e1facd, 0x6b5e391e57dd4a76, 0x5315edf8e47c1b30, 0xb2c4522cd3ad08a0, 0xbb71ea3a909afa30,
  0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647, 0x9e1b7e0621d0fd85,
  0x0603b9d0fcf02027, 0x929d02787e6f3645, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x37296a5f9b6e70c7,
  0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x098269d14f257ee6, 0x0000000000000028,
};

// m640_u1x8_uart3_dual_pr           m640_u1x8_uart3_dual_pr_u4
static const uint64_t ur_m640_u1x8_uart3_dual[] = {
  0xddddd7ed44864541, 0xddddc3eebcdd7afd, 0x81793b92ed86dddd, 0x6294247777717bd7, 0x8b920126fed61f3d,
  0x154866fcc13e3256, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0xc99c3e74d21ff328, 0x40dfc9a391ca2ec1,
  0x3f3f7c1142922412, 0x5a13eb87c288627c, 0x098a2195672f4ce0, 0x039e13465150865a, 0x1bcaf212db98fffa,
  0x7b023d7fc90a4c16, 0x89a5d9e6fed2d48b, 0x40c43c723e453be5, 0x541e69c5efa48712, 0x676b591d7f398b01,
  0x0d500ffd9823af00, 0x9549d03cb3db10e9, 0x43f64fe2af9ddc54, 0xc0809e786df81887, 0xbcd914180ee743f3,
  0x37a94e4a7409e1f9, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x000002927bc94e09,
};

// m640_u1x8_uart3_dual_pr_ee_u4
static const uint64_t ur_m640_u1x8_uart3_dual_pr_ee[] = {
  0xeeeeebf6a2435032, 0xddddc3ed4f3efd7e, 0xf5dc6a1edb5adddd, 0xf651337afba8cd99, 0xeda3f5c7bb28bf7e,
  0xbb9827c64f4eb955, 0x0ddd7d932305521d, 0x7c4b881850c1b48c, 0x6e6ddafcca0253ba, 0x472385ad818f9c06,
  0x450a489049032753, 0x1f0a2189f0fcfdf0, 0xab397a673acc4fae, 0xf7150865a095910c, 0x5b7383ff4073c265,
  0xf9214982c3795e42, 0xbfb4b522dec0b2b7, 0xbee6ab5a39117679, 0x3e0d983052391e56, 0xd68450ef8aea5472,
  0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba, 0x5b86f65f4b317090,
  0x280427f58a8d823f, 0x87ec9fc55f3bb8a9, 0x81013cf0dbf0310e, 0x79b228301dce87e7, 0x6f529c94e813c3f3,
  0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000000ac91f5dc12,
};

// m640_u1x8_uart3_dual_pr_ce_u4
static const uint64_t ur_m640_u1x8_uart3_dual_pr_ce[] = {
  0xfdddddd7ed4486f9, 0xddddddc3e5c4b57a, 0x6673bed3d6db17dd, 0xd76cf9056eeeac14, 0x3b94da390eabdfc3,
  0x5520dbb9827c64ae, 0x1b48c0ddd7d93230, 0x253ba7c4b881850c, 0x09c3abe6a1ffcca0, 0x1dba9a391e396c0e,
  0xe7ef822852448248, 0x227d70f8510c4f87, 0xf8886559cbd339d8, 0xcf09b6fc54219683, 0xe579096df7dffd01,
  0x02387fe485260b0d, 0xe5d9e6fed2d48b7b, 0xc79b9da568c5facb, 0x5f886c2445d670f3, 0xc5c3d6fc00fd47c2,
  0xc6fcf72ceaf52e64, 0xe52438920752e391, 0xb23afe7316028283, 0x1ffb33c75e00ced6, 0xe81e5adc21d21aa0,
  0x27f157ceee2a4aa4, 0x4f3c36fc0c43a1fb, 0x8a0c0773a1f9e040, 0xa7253a04f0fcde6c, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x4c6e52d4bf36dce1, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x00d247e04e093c95,
};

static const uint64_t ur_m640_u1x8_uart3_dual_pr_ee_ce[] = {
  0x777775fb76090c86, 0xeeeee1fa8787debf, 0x932b8d17eb4f6eee, 0xa3e0cd19ee9d64e5, 0x37675ef98b682e16,
  0x49827c64d86b9776, 0x775f64c8c15489aa, 0x12e20614306d2303, 0x3337ff328094ee9f, 0x23f60ec2f0ce1cb5,
  0x149120920687d347, 0x144313e1f9fbe08a, 0xcbd339c8389f5c3e, 0xa8432d0274886559, 0xc00ffa039e136ce8,
  0x0a4c161bcaf212db, 0xa5a916f6041a3fc9, 0xc5faa3286bb3cdfd, 0xace1e78f373b31f8, 0xfa8f84bf10d8488b,
  0x26e993170f722495, 0x91c8f2b7f253b584, 0x5701a391f06cc1af, 0x1148b34eb422814c, 0xc650ea426be8c2cb,
  0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37, 0x7f157ceee2a4a598,
  0xf3c36fc0c43a1fb2, 0xa0c0773a1f9e0404, 0x7253a04f0fcde6c8, 0xde33a2077ca9bd4a, 0xedec555169aba718,
  0xc6e52d4bf36dce18, 0xccdfc1ddc68b03d0, 0x89c69430a9cfd4ea, 0x30ae4fc07cd1f6c3, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00000080017edc12,
};

static const uint64_t ur_m640_u1x8_uart3_dual_pr_ee_ce_u4[] = {
  0x7775fb5150fed4d6, 0xeee1fa8787debf77, 0x2b8d17eb4f6eeeee, 0xe0cd19ee9d64e593, 0xafd7b66f682e16a3,
  0x09f19361ae4dd8cf, 0x7d9323055226a926, 0x881850c1b48c0ddd, 0xbff9958093ba7c4b, 0xb076178670e5a999,
  0x890490343e9a391f, 0x189f0fcfdf0450a4, 0x99ce41c4fae1f0a2, 0x196813a4432ace5e, 0x7fd01cf09b674542,
  0x60b0de579096de00, 0x22dec08347fe19a2, 0x54650d7679bfb4b5, 0xf3cf8067663f18bf, 0xc25f886c2445d670,
  0x262e1cc03743fd47, 0xe56fe4a76b084dd3, 0x4723e0d9835f2391, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0xdf8188743f64fe2a, 0xee743f3c0809e786, 0x409e1f9bcd914180, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5a97e6db9c31dbd8, 0xc1a3f8d164498dca, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x643fc33c95fb9a19, 0x0000000000200051,
};

static const uint64_t ur_m640_u1x8_uart3_dual_ee_hw[] = {
  0xf777775fb51468f9, 0xeeeeee1f6a79f7eb, 0xcfaee350f6dad6ee, 0xf7b2899bd7dd466c, 0x94da390f5fc345fb,
  0x21dbb9827c64f4eb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc066e6ddafccae83, 0x753472385ad818f9,
  0xdf0450a489049032, 0xfae1f0a2189f0fcf, 0x10cab397a673acc4, 0x265f7150865a0959, 0xe425b7383ff4073c,
  0x2b7ff2a4982c3795, 0x679bfb4b522dec0b, 0xe56bee6ab5a39117, 0x4723e0d983052391, 0x669d68450ef8aea5,
  0x3484d7d185962291, 0xf673ab4b994b8a97, 0x6ba1d7a89768851e, 0x0908a04547cf58d5, 0x23f5b86f65f4b317,
  0x8a9280427f58a8d8, 0x10e87ec9fc55f3bb, 0x7e781013cf0dbf03, 0x3f379b228301dce8, 0xf2a6f529c94e813c,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x0000002bb48cf2f4,
};

// m640_u1x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u1x8_uart3_dual_ee_ce_hw[] = {
  0xbbbafda8a34404d3, 0x7770fd43c3ef5fbb, 0x95c68bf5a7b77777, 0xf0668cf74eb272c9, 0xf5f68d3ab4170b51,
  0x9827c64d86b979af, 0x75f64c8c15489aa4, 0x2e20614306d23037, 0x337ff32ba0cee9f1, 0x3f60ec2f0ce1cb53,
  0x49120920687d3472, 0x44313e1f9fbe08a1, 0xbd339c8389f5c3e1, 0x8432d0274886559c, 0x00ffa039e136ce8a,
  0x24c161bcaf212dbc, 0x5a916f6041a3ff95, 0x5faa3286bb3cdfda, 0x9c3cf3c873b31f8c, 0x51f097e21b091175,
  0xba64c5c3b39747ff, 0x723cadfc94ed6109, 0xc068e47c1b306be4, 0x522cd3ad08a05315, 0x943a909afa30b2c4,
  0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627,
  0xf0dbf0310e87ec9f, 0x301dce87e781013c, 0x94e813c3f379b228, 0x8ce881df2a6f529c, 0x7b15545a6ae9c637,
  0xb94b52fcdb73863b, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0xb2202e8a792bf734, 0x00000000000003ae,
};

// m640_u1x12_uart2_noled_pr
static const uint64_t ur_m640_u1x12_uart2_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x9fe5c7e7e719827c, 0xfb6a7f76e9ebe1af, 0x03be5843c368dd27, 0x2438920682e391fa, 0xe62c0596533df6b5,
  0x23af47ced5fd1eb0, 0xdb1f6679500ffd98, 0x3101f7b071f03cb3, 0x01dc1f79ce3f1bf0, 0x6c671f9e6f00fa83,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0x86e52d4bf36c4922, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0x332c3a4a5b387138, 0x8738792a792bf734, 0x000000000000007c,
};

static const uint64_t ur_m640_u1x12_uart2_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfc30d9f9c6609f19, 0x6d4feedd3d7c35f3, 0x77cb08786d1ba4ff, 0x871240d05c723f40, 0xc580b2ca67bed6a4,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x203ef60e3e07967b, 0x3b83ef39c7e37e06, 0x8ce3f3cde01f5060,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xdca5a97e6d892455, 0x99bf83bb8d164498, 0x3def2861539fa9d5,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xc9db315c12792bf7,
  0x0000000000000007,
};

// m640_u1x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart2_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0xc367d82cc13e3277, 0x7f76e9ebe19c3ff0, 0x4738c368dd27fb6a, 0x4c6391e57224d56b, 0x7c57dd4723e0d983,
  0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d, 0x6cb98b848451cf23,
  0x4d2a3608fd6e1bd9, 0xbf03101f7b002a25, 0xa8301dc1f79ce3f1, 0xbca6c671f9e6f00f, 0x38c6f19d102baa9c,
  0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00013af7926e093c,
};

static const uint64_t ur_m640_u1x12_uart2_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x1edfff2e3f3e63e6, 0xd27fb6a7f76e9ebe, 0x76f7d8febd04368d, 0x61fe7487fcf370ee, 0x43cf72cbac67339d,
  0xd243892078ce391c, 0x8f199cc580b70c4f, 0x72c678ebc5ced20a, 0xe06203ef60e9d3dc, 0x0603b83ef39c7e37,
  0xf29b19c7e79bcb75, 0x663042d37aaeaa72, 0x9b69c6378ce88173, 0xf1a2c79c37296a5f, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000002dd4023c953,
};

static const uint64_t ur_m640_u1x12_uart2_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0x5ff0c367fe74c13e, 0xfb6a7f76e9ebe194, 0xe317eb10c368dd27, 0x1759c3cf1e6e771e, 0xa3f51f097e21b091,
  0x757d64c98b87ff81, 0x207ac8e4727a7b96, 0x316028f9d2524389, 0x1d7a3e76afe8f587, 0x70fb33ca807feccf,
  0x6203ef60e3e0796b, 0x03b83ef39c7e37e0, 0xd8ce3f3cde01f506, 0xde33a20575539794, 0xdbd8aaa2d2c2e718,
  0x1b94b52fcdb12431, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f,
  0x271964b867a617c6, 0xe6866587494b670e, 0xdd7dd523824f257e,
};

// m640_u1x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u1x12_uart2_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xb3e337304f8c9ddf, 0xbb74f5f0c2d7f861, 0xf3a1b46e93fdb53f, 0x8f373b8e518bf547, 0xbf10d8488bace1e7,
  0x170f494ce5fa8f84, 0xbea253b5841ef993, 0x23e0d9835af1c8f2, 0x9d68450298ac27c7, 0x84d7d18596229166,
  0x1e0b39d5dba711d4, 0xaaf1b1d79d376ded, 0x5c24228e791871b1, 0xd8226470decb65cc, 0x407dec2ce89534a8,
  0x7707de738fc6fc0c, 0x19c7e79bc03ea0c0, 0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0x7296a5f9b624863b,
  0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0xf820ae7049e4afdc, 0x0000000000000009,
};

static const uint64_t ur_m640_u1x12_uart2_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0x53fbb74f5f0ce1ff, 0x5a39c61b46e93fdb, 0x1a631c8f2b9126ab, 0x3be2beea391f06cc,
  0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a, 0xcb65cc5c24228e79,
  0x2a6951b047eb70de, 0x8df81880fbd80151, 0x7d4180ee0fbce71f, 0xe5e536338fcf3780, 0xb9c6378ce8815d54,
  0x249156f62aa8b4b0, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x00005be463fd14f2,
};

// m640_u1x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart2_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0x9fddba7af8616bfc, 0xa3f9d0da3749feda, 0xe79e439dc728c5fa, 0x84bf10d8488bace1,
  0x262e1f9699bffa8f, 0xe57d44a76b083df3, 0x8e47c1b306b5e391, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x1880fbd859d12a69,
  0x80ee0fbce71f8df8, 0x36338fcf37807d41, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xc6e52d4bf36c490c,
  0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4,
  0x808d59ba29e4afdc, 0x0000000000000002,
};

// m640_u1x12_uart2_lednop_pr
static const uint64_t ur_m640_u1x12_uart2_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xfbfcb8fcf9eb304f, 0xfeda9fddba7af872, 0x58ef9610f0da3749, 0x490e2481a0b8e47b, 0x731602cb29be483f,
  0x475e8f9d967a3486, 0xb682cd22a01ffb30, 0x6203ef6415a07967, 0x3ef3c0809c7e37e0, 0x1f9e6f36450603b8,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x68fe3458f386e52d, 0x3d30ae4fdd598f20,
  0x4a5b387138cb25c3, 0x2a792bf734332c3a, 0x00000000f9024879,
};

static const uint64_t ur_m640_u1x12_uart2_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xff0c367cf59827c6, 0xb6a7f76e9ebe1cbe, 0x3be5843c368dd27f, 0x438920682e391ed6, 0xc580b2ca6f920fd2,
  0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x80fbd905681e59ed, 0xbcf020271f8df818, 0xe79bcd914180ee0f,
  0xbe54dea53929d007, 0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x771a2c8931b94b52, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x3824f257ee686658,
  0x000000000f93fb2d,
};

// m640_u1x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart2_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x61b3f95a609f193b, 0x3fbb74f5f0ca1ff8, 0xa39c61b46e93fdb5, 0xa631c8f2b32a6ab5, 0x7c561ee391f06cc1,
  0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0xed1923268e756973, 0xbdab1aad743af3a6, 0xb65cc5c242282791,
  0x67951b047eb70dec, 0xbf03101f7b0021f6, 0x1dc1f79e0404e3f1, 0x3a00fcf379b22830, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x296a5f9b6e722ade, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x70d4e7049e4afdcd, 0x000000000000009d,
};

// m640_u1x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m640_u1x12_uart2_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xdfe186cf9c39827c, 0xf6d4feedd3d7c34a, 0x462fd62186d1ba4f, 0x2eb3879e3cdcee03, 0xdfea3e12fc436122,
  0xabeb264c5c3a6dce, 0x03d64723f493dcb3, 0x8b01531116921c49, 0xaf47cecb3d1a4339, 0x416691500ffd99e3,
  0x407dec82b40f2d6e, 0xde7810138fc6fc0c, 0xf3cde6c8a0c07707, 0xdf2a6f529c94e803, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0x3824f257ee686658, 0x000000000dd782ed,
};

// m640_u1x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u1x12_uart2_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xb3e1a2609f193ba7, 0x76e9ebe1d8fff861, 0xe74368dd27fb6a7f, 0x1e6e764ea317ea8f, 0x7e21b0911759c3cf,
  0x5c3e54341ff51f09, 0xfba94ed6107be64c, 0x8f83660d6bc723ca, 0x75a1140a62bdbf1c, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x01f7b0b31f667951,
  0x79e0404e3f1bf031, 0xcf379b228301dc1f, 0x7ca9bd4a7253a00f, 0x69aba718de33a207, 0xf36dce18edec5551,
  0xdc68b224c6e52d4b, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x0000000013f0f548,
};

static const uint64_t ur_m640_u1x12_uart2_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0xa7f76e9ebe1943ff, 0xb4738c368dd27fb6, 0x34c6391e56654d56, 0xef8ac3dc723e0d98,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xdda32464d1cead2e, 0x37b56355ae875e74, 0x96cb98b8484504f2,
  0xccf2a3608fd6e1bd, 0x37e06203ef60043e, 0x03b83ef3c0809c7e, 0xa7401f9e6f364506, 0x67440ef9537a94e4,
  0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xfa907a29e4afdcd0, 0x00000000000000b7,
};

// m640_u1x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart2_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0x9fddba7af8763ffe, 0xa3f9d0da3749feda, 0xe79e439d93a8c5fa, 0x84bf10d8488bace1,
  0x93170fd66c87fa8f, 0xf2beea53b5841ef9, 0xc723e0d9835af1c8, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x0c407dec2cc7d99e,
  0x07de7810138fc6fc, 0x03f3cde6c8a0c077, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x52fcdb73863b7b15,
  0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x868a792bf734332c, 0x0000000000a02a5f,
};

// m640_u1x12_uart2_dual_pr          m640_u1x12_uart2_dual_pr_u4
static const uint64_t ur_m640_u1x12_uart2_dual[] = {
  0x776fc60f448650e3, 0x7770ffa5295ebf77, 0x7589e9dad8b77777, 0xf5ae0eeee9fb0803, 0xb90581f24c70bb0c,
  0xaa42544c13e32590, 0x369181bbafb26460, 0x4a774f8971030a18, 0x38e121e62ebf9940, 0x0d7dcd1c8ee4f61f,
  0xf3f7c11429224124, 0xf13eb87c288627c3, 0xe44432ace5e99c31, 0x73c261f22a10cb43, 0x795e425b780dff40,
  0xf0c27ff9214982c3, 0x6e93fdb53fbb74f5, 0xc8f914ef9626a1b4, 0x17be921c490310f1, 0x75fce62c055079a7,
  0xf6608ebc019dad64, 0xf2cf6c43a435403f, 0x8abe777152552740, 0x1f8df81880fbd93f, 0x4180ee0fbcf02027,
  0x3929d007e79bcd91, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0xab337f07771a2c89,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x0a49cb82b824f257,
};

// m640_u1x12_uart2_dual_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart2_dual_pr_ee[] = {
  0xbbb7e307a2437089, 0x7770fbd3dfbf5fbb, 0x72c4afb6abf77777, 0x70db08376271bab1, 0xacad9bada56a8bce,
  0x4c13e32638dcaf27, 0x775f64c8c15480b2, 0x12e20614306d2303, 0x9936ff328094ee9f, 0x91cc7f6033670dda,
  0x8524482481a5a9a3, 0x8510c4f87e7ef822, 0x9cbd338c8627d70f, 0x8a8432d074a88655, 0x7eafffa039e13145,
  0x214982c3795e425b, 0x3fbb74f5f0f7dff9, 0xa39121b46e93fdb5, 0x052391e56bee6ab5, 0xf8aea54723e0d983,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0xfc6fc0c407dec9fc, 0x0c07707de7810138, 0xc94e803f3cde6c8a,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0x599bf83bb8d16449, 0xc3def2861539fa9d,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x0564ab29c12792bf,
};

// m640_u1x12_uart2_dual_pr_ce_u4
static const uint64_t ur_m640_u1x12_uart2_dual_pr_ce[] = {
  0x776fc60f44869a4e, 0x7770ff8f67debf77, 0x349961b4abf77777, 0xbb1edbbbb2ee2704, 0x8fea314023c3b17e,
  0x148cc13e324c4dcb, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x43f374ffe650129d, 0x9a391ce0ec3abce1,
  0x8228524482481ece, 0x70f8510c4f87e7ef, 0x6559cbd33978627d, 0x07b8a8432d05f688, 0x12dbe9bffa039e13,
  0xffc90a4c161bcaf2, 0xeda9fddba7af8652, 0x18bf597d0da3749f, 0xbace1e78f373b4ad, 0x1fa8f84bf10d8488,
  0x5ea5cc98b87adf80, 0xea5c7238df9ee59d, 0xc050507ca4871240, 0xc019dad6475fce62, 0x3a435403ff6678eb,
  0xc549549d03cb5b84, 0x6203ef64fe2af9dd, 0x3ef3c0809c7e37e0, 0x1f9e6f36450603b8, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x97e6db9c31dbd8aa, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x4dc12792bf734332, 0x00000000001a4992,
};

static const uint64_t ur_m640_u1x12_uart2_dual_pr_ee_ce[] = {
  0xbb7e307d41436f02, 0xddc3fe97bbf5fbbb, 0xeabfaef49bdddddd, 0x7852c1dd69c75913, 0x5c67059bc995dfbf,
  0x09f1921bae4fe1f3, 0x5f64c8c1548ee3e6, 0xe20614306d230377, 0xf5ff328094ee9f12, 0x7adfd8400380a49b,
  0x92241240e76e68e4, 0x88627c3f3f7c1142, 0xbd338a9113eb87c2, 0x8432d0b74886559c, 0x9affa039e1329e8a,
  0xa4c161bcaf212dbe, 0xddba7af8616bfc90, 0xfdd0da3749feda9f, 0x78f373b8e563faa3, 0xba673ac3dc89257e,
  0x723cadfc94ed6059, 0xc068e47c1b306be4, 0x522cd3ad08a05315, 0x943a909afa30b2c4, 0x768851ef673abb71,
  0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627, 0x8fc6fc0c407dec9f,
  0xa0c07707de781013, 0x9c94e803f3cde6c8, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386,
  0xb337f07771a2c0f4, 0xe271a50c2a73f53a, 0x4c2b93f01f347db0, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000001000f5b704,
};

static const uint64_t ur_m640_u1x12_uart2_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87fbb90, 0xee1fcc5c2fd7eeee, 0xd9bad68ce6eeeeee, 0xcddc4edd9c45a89b, 0xeaf7fd6da7ad0513,
  0x27c64b62b91a912b, 0xfb26460aa4279798, 0x1030a18369181bba, 0xa3f32b012774f897, 0xe1ec3968e0cdf992,
  0x12092078dd34723d, 0x313e1f9fbe08a149, 0x338aeb89f5c3e144, 0x32d04b4886559cbd, 0xffa039e134728a84,
  0xc161bcaf212db8a4, 0xe9ebe1e9affc3344, 0xc368dd27fb6a7f76, 0x0cecc7e317ea8ca1, 0x0d8488bace1e79f0,
  0x9806e87fa8f84bf1, 0x94ed6109ba64c5c3, 0x1b306be4723cadfc, 0x08a05315c068e47c, 0xfa30b2c4522cd3ad,
  0x673abb71943a909a, 0x1b1d7a89768851ef, 0x211408a8f9eb1aaf, 0x26470decbe9662e1, 0xa9296627f58a8d82,
  0x407dec9fc55f3bb8, 0xde7810138fc6fc0c, 0xf3cde6c8a0c07707, 0xdf2a6f529c94e803, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0x7f1a2c8931b94b52, 0x1539fa9d599bf834, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xf86792bf734332c3, 0x00000004005cf267,
};

static const uint64_t ur_m640_u1x12_uart2_dual_ee_hw[] = {
  0xddbf183d14689a4e, 0xbb87de9efdfafddd, 0x96257db55fbbbbbb, 0x86d841bb138dd58b, 0xf518e8f0eb545e73,
  0x92609f1931c6e5c7, 0x1bbafb26460aa405, 0xf8971030a1836918, 0xd4c9b7f995d06774, 0x1c8e63fb019b386e,
  0x14292241240d2d4d, 0x7c288627c3f3f7c1, 0xace5e99c64313eb8, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf9524c161bcaf212, 0xa9fddba7af87beff, 0xad1c890da3749fed, 0x18291c8f2b5f7355, 0x77c5752a391f06cc,
  0x2cb1148b34eb4228, 0xca5c54b9a426be8c, 0xbb4428f7b39d5a5c, 0x3e7ac6ab5d0ebd44, 0x2fa598b84845022a,
  0xfac546c11fadc37b, 0xe2af9ddc54940213, 0xc7e37e06203ef64f, 0x50603b83ef3c0809, 0x4e4a7401f9e6f364,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x8c6e52d4bf36dce4, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xaed73217a29e4afd,
};

// m640_u1x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart2_dual_ee_ce_hw[] = {
  0x76fc60f451a3b46e, 0x770fe62e17ebf777, 0xecdd6b4673777777, 0xe6ee276ece22d44d, 0x93fbffc2d3d68289,
  0x304f8c96c57230a0, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x92a3f32ba0cee9f1, 0x3de1ec3968e0cdf9,
  0x4912092078dd3472, 0x44313e1f9fbe08a1, 0xbd338aeb89f5c3e1, 0x8432d04b4886559c, 0xa4ffa039e134728a,
  0x24c161bcaf212db8, 0xddba7af87a6bff95, 0x2870da3749feda9f, 0x3c873b31f8c5faa3, 0x7e21b0911759c3cf,
  0x5c3b39747ff51f09, 0xdfc94ed6109ba64c, 0x47c1b306be4723ca, 0x3ad08a05315c068e, 0x09afa30b2c4522cd,
  0x1ef673abb71943a9, 0xaaf1b1d7a8976885, 0x2e1211408a8f9eb1, 0xd8226470decbe966, 0xbb8a9296627f58a8,
  0xc0c407dec9fc55f3, 0x707de7810138fc6f, 0x803f3cde6c8a0c07, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce,
  0xb52fcdb73863b7b1, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0xfba8a792bf734332, 0x00000000001d75a0,
};

// m640_u1x12_uart3_noled_pr
static const uint64_t ur_m640_u1x12_uart3_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x9fe5c7e7e719827c, 0x6d4feed8e413902f, 0x77cb08786d1ba4ff, 0x871240d05c723f40, 0xc580b2ca67bed6a4,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x8743f60e3e07967b, 0xe743f39e786df818, 0xf3c3f37807d4180e,
  0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0xa5a97e6d892455bd, 0xe40d1fc68b1e70dc, 0xb867a615c9fbab31,
  0x87494b670e271964, 0x0f254f257ee68665, 0x00000000000f90e7,
};

static const uint64_t ur_m640_u1x12_uart3_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xfc30d9f9c6609f19, 0xa9fddb1c827205f3, 0xf9610f0da3749fed, 0xe2481a0b8e47e80e, 0xb016594cf7dad490,
  0xbd1f3b57f47ac398, 0x7d99e5403ff6608e, 0xe87ec1c7c0f2cf6c, 0xe87e73cf0dbf0310, 0x787e6f00fa8301dc,
  0x440aeaa72f29b19e, 0x5545a585ce31bc67, 0xb52fcdb1248ab7b1, 0xf07771a2c8931b94, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0x662b824f257ee686,
  0x000000000000f93b,
};

// m640_u1x12_uart3_noled_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart3_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0xc367d82cc13e3277, 0xeed8e413901c3ff0, 0xe7186d1ba4ff6d4f, 0x8c723cae449aad68, 0x8afba8e47c1b3069,
  0x62291669d68450ef, 0xae3593484d7d1859, 0x6f68f059cead2f38, 0xc6c6ab5d0ebce9bb, 0x973170908a39e461,
  0xa546c11fadc37b2d, 0x8188743f600544a9, 0x80ee743f39e786df, 0xd8cf3c3f37807d41, 0xde33a20575539794,
  0x5bd8aaa2d2c2e718, 0x8dca5a97e6d89245, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x275ef24dc12792bf,
};

static const uint64_t ur_m640_u1x12_uart3_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x06dfff2e3f3e63e6, 0x4ff6d4feed8e4139, 0xdefb1fd7a086d1ba, 0x3fce90ff9e6e1dce, 0x79ee59758ce673ac,
  0x4871240f19c72388, 0xe33398b016e189fa, 0x58cf1d78b9da4151, 0x310e87ec1d3a7b8e, 0x1dce87e73cf0dbf0,
  0x633cf0fcde5ba830, 0x085a6f55d54e5e53, 0x38c6f19d102e6cc6, 0x58f386e52d4bf36d, 0x4fdd598f2068fe34,
  0x7138cb25c33d30ae, 0xf734332c3a4a5b38, 0x005ba804792a792b,
};

static const uint64_t ur_m640_u1x12_uart3_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0x5ff0c367fe74c13e, 0x6d4feed8e4139014, 0x62fd62186d1ba4ff, 0xeb3879e3cdcee3dc, 0x7ea3e12fc4361222,
  0xafac993170fff034, 0x0f591c8e4f4f72ce, 0x2c051f3a4a487124, 0xaf47ced5fd1eb0e6, 0x1f6679500ffd99e3,
  0x0e87ec1c7c0f2d6e, 0xce87e73cf0dbf031, 0xe787e6f00fa8301d, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x96a5f9b624863b7b, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xbaa47049e4afdcd0, 0x0000000000001baf,
};

// m640_u1x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u1x12_uart3_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0xb3e337304f8c9ddf, 0x6c7209c802d7f861, 0x74368dd27fb6a7f7, 0xe6e771ca317ea8fe, 0xe21b0911759c3cf1,
  0xe1e9299cbf51f097, 0xd44a76b083df3262, 0x7c1b306b5e391e57, 0xad08a0531584f8e4, 0x9afa30b2c4522cd3,
  0xc1673abb74e23a90, 0x5e363af3a6edbda3, 0x848451cf230e3635, 0x044c8e1bd96cb98b, 0xd0fd859d12a6951b,
  0xd0fce79e1b7e0621, 0xf0fcde01f50603b9, 0x8815d54e5e53633c, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62,
  0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x15ce093c95fb9a19, 0x0000000000013f04,
};

static const uint64_t ur_m640_u1x12_uart3_noled_ee_hw[] = {
  0xddd893ba8a342f02, 0xdddd2c3c812158dd, 0xb26d4c99e833dddd, 0xa87b38913bbc1e84, 0xbb1c605eb3336104,
  0x958b3ec16609f193, 0x7f76c7209c80e1ff, 0x4738c368dd27fb6a, 0x4c6391e57224d56b, 0x7c57dd4723e0d983,
  0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d, 0x6cb98b848451cf23,
  0x4d2a3608fd6e1bd9, 0xfc0c43a1fb002a25, 0x0c0773a1f9cf3c36, 0xa6c679e1f9bc03ea, 0xc6f19d102baa9cbc,
  0x2adec55516961738, 0x8c6e52d4bf36c492, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x0b7c8c7fa29e4afd,
};

// m640_u1x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart3_noled_ee_ce_hw[] = {
  0xeeec49dd451a3032, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xeb6239da9ca99fd3,
  0xac59f19b9827c64e, 0xfbb63904e4016bfc, 0x7f3a1b46e93fdb53, 0xf3c873b8e518bf54, 0x97e21b0911759c3c,
  0xc5c3f2d337ff51f0, 0xafa894ed6107be64, 0xc8f83660d6bc723c, 0xa75a1140a62b09f1, 0x2135f4616588a459,
  0x4782ce7576e9c475, 0x6abc6c75e74ddb7b, 0x170908a39e461c6c, 0x3608991c37b2d973, 0x43a1fb0b3a254d2a,
  0x73a1f9cf3c36fc0c, 0x79e1f9bc03ea0c07, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0xa5a97e6d89218ede,
  0x9430a9cfd42718dc, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xab37453c95fb9a19, 0x0000000000005011,
};

// m640_u1x12_uart3_lednop_pr
static const uint64_t ur_m640_u1x12_uart3_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xfbfcb8fcf9eb304f, 0xdb53fbb63904e412, 0x1df2c21e1b46e93f, 0x21c49034171c8f6b, 0x62c0596537c907e9,
  0xebd1f3b2cf4690ce, 0xd059a45403ff6608, 0x0e87ec82b40f2cf6, 0xe781013cf0dbf031, 0xf379b228301dce87,
  0x2a6f529c94e813c3, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xc68b1e70dca5a97e, 0x15c9fbab31e40d1f,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00001f20490f254f,
};

static const uint64_t ur_m640_u1x12_uart3_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xff0c367cf59827c6, 0xd4feed8e413904be, 0x7cb08786d1ba4ff6, 0x71240d05c723dac7, 0xb016594df241fa48,
  0xf47cecb3d1a43398, 0x16691500ffd9823a, 0xa1fb20ad03cb3db4, 0xe0404f3c36fc0c43, 0xde6c8a0c0773a1f9,
  0x9bd4a7253a04f0fc, 0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000001f27f65a704,
};

// m640_u1x12_uart3_lednop_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart3_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x61b3f95a609f193b, 0xf76c7209c80a1ff8, 0x738c368dd27fb6a7, 0xc6391e56654d56b4, 0x8ac3dc723e0d9834,
  0x62291669d68450ef, 0xae3593484d7d1859, 0xa32464d1cead2e7a, 0xb56355ae875e74dd, 0xcb98b8484504f237,
  0xf2a3608fd6e1bd96, 0x8188743f60043ecc, 0x743f3c0809e786df, 0x9e1f9bcd914180ee, 0x0ef9537a94e4a740,
  0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79,
  0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x9ce093c95fb9a199, 0x000000000013ae1a,
};

// m640_u1x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m640_u1x12_uart3_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xdfe186cf9c39827c, 0xda9fddb1c827204a, 0xc5fac430da3749fe, 0xd670f3c79b9dc068, 0xfd47c25f886c2445,
  0x7d64c98b874db9db, 0x7ac8e47e927b9675, 0x602a6222d2438920, 0xe8f9d967a3486731, 0x2cd22a01ffb33c75,
  0xd0fd905681e5adc8, 0xf020279e1b7e0621, 0x6f36450603b9d0fc, 0x4dea53929d02787e, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000001baf05da704,
};

// m640_u1x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u1x12_uart3_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0xb3e1a2609f193ba7, 0xd8e4139058fff861, 0xe86d1ba4ff6d4fee, 0xcdcec9d462fd51fc, 0xc4361222eb3879e3,
  0x87ca8683fea3e12f, 0x7529dac20f7cc98b, 0xf06cc1ad78e4795f, 0xb422814c57b7e391, 0x6be8c2cb1148b34e,
  0x4d1ceaedc7a8ea42, 0xbc6c75e74dda3246, 0x0908a09e46f6ac6a, 0x08991c37b2d97317, 0x43f61663eccf2a36,
  0xc0809e786df81887, 0xbcd914180ee743f3, 0x37a94e4a7409e1f9, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000027e1ea91c12,
};

static const uint64_t ur_m640_u1x12_uart3_lednop_ee_hw[] = {
  0xbbb127751468fc3b, 0xbbba58790642b1bb, 0x12164e00d3f7bbbb, 0xc2fd9c489dde0f42, 0x76e09bad29d8bcad,
  0x2b167f2b4c13e327, 0xfeed8e41390143ff, 0x8e7186d1ba4ff6d4, 0x98c723cacca9aad6, 0xf1587b8e47c1b306,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b, 0xd973170908a09e46,
  0x9e546c11fadc37b2, 0xf0310e87ec0087d9, 0xce87e781013cf0db, 0x13c3f379b228301d, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0xa97e6db9c8ab7b15, 0x30a9cfd42718dca5, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x0f453c95fb9a1996, 0x000000000016ff52,
};

// m640_u1x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart3_lednop_ee_ce_hw[] = {
  0x777624eea28d0a20, 0xbbba58085cc4d637, 0x696c8e2fd977bbbb, 0x1a62fef26e9716a6, 0xe8f62d5b1a960f91,
  0x562cf8689827c64e, 0xfbb63904e4163ffe, 0x7f3a1b46e93fdb53, 0xf3c873b27518bf54, 0x97e21b0911759c3c,
  0x62e1facd90ff51f0, 0x57dd4a76b083df32, 0xe47c1b306b5e391e, 0xd3ad08a05315edf8, 0x909afa30b2c4522c,
  0x9193473abb71ea3a, 0x1aaf1b1d79d3768c, 0xc5c242282791bdab, 0x8d8226470decb65c, 0x21d0fd8598fb33ca,
  0xfcf020279e1b7e06, 0x7e6f36450603b9d0, 0xe54dea53929d0278, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x73f509c637296a5f, 0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0x4f257ee686658749, 0x00000014054bf0d1,
};

// m640_u1x12_uart3_dual_pr          m640_u1x12_uart3_dual_pr_u4
static const uint64_t ur_m640_u1x12_uart3_dual[] = {
  0x776fc60f448650e3, 0x7770ffa5295ebf77, 0x7589e9dad8b77777, 0xf5ae0eeee9fb0803, 0xb90581f24c70bb0c,
  0xaa42544c13e32590, 0x369181bbafb26460, 0x4a774f8971030a18, 0x38e121e62ebf9940, 0x0d7dcd1c8ee4f61f,
  0xf3f7c11429224124, 0xf13eb87c288627c3, 0xe44432ace5e99c31, 0x73c261f22a10cb43, 0x795e425b780dff40,
  0xc8027ff9214982c3, 0xd27fb6a7f76c7209, 0x1f229df2c4d4368d, 0xf7d2438920621e39, 0xbf9cc580aa0f34e2,
  0xcc11d78033b5ac8e, 0x59ed887486a807fe, 0x57ceee2a4aa4e81e, 0x36fc0c43a1fb27f1, 0x0773a1f9e0404f3c,
  0x3a04f0fcde6c8a0c, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x296a5f9b6e722ade, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0x397057049e4afdcd, 0x0000000000000149,
};

// m640_u1x12_uart3_dual_pr_ee_u4
static const uint64_t ur_m640_u1x12_uart3_dual_pr_ee[] = {
  0xbbb7e307a2437089, 0x7770fbd3dfbf5fbb, 0x72c4afb6abf77777, 0x70db08376271bab1, 0xacad9bada56a8bce,
  0x4c13e32638dcaf27, 0x775f64c8c15480b2, 0x12e20614306d2303, 0x9936ff328094ee9f, 0x91cc7f6033670dda,
  0x8524482481a5a9a3, 0x8510c4f87e7ef822, 0x9cbd338c8627d70f, 0x8a8432d074a88655, 0x7eafffa039e13145,
  0x214982c3795e425b, 0xf76c7209c837dff9, 0x7224368dd27fb6a7, 0xa4723cad7dcd56b4, 0x15d4a8e47c1b3060,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed, 0x9662e1211408a8f9,
  0x151b047eb70decbe, 0xbe77715250084feb, 0xb7e0621d0fd93f8a, 0x3b9d0fcf020279e1, 0xd02787e6f3645060,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x95653824f257ee68,
  0x00000000000000ac,
};

// m640_u1x12_uart3_dual_pr_ce_u4
static const uint64_t ur_m640_u1x12_uart3_dual_pr_ce[] = {
  0x776fc60f44869a4e, 0x7770ff8f67debf77, 0x349961b4abf77777, 0xbb1edbbbb2ee2704, 0x8fea314023c3b17e,
  0x148cc13e324c4dcb, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x43f374ffe650129d, 0x9a391ce0ec3abce1,
  0x8228524482481ece, 0x70f8510c4f87e7ef, 0x6559cbd33978627d, 0x07b8a8432d05f688, 0x12dbe9bffa039e13,
  0xffc90a4c161bcaf2, 0xb53fbb63904e4052, 0x17eb2fa1b46e93fd, 0x59c3cf1e6e7695a3, 0xf51f097e21b09117,
  0xd4b993170f5bf003, 0x4b8e471bf3dcb3ab, 0x0a0a0f9490e2481d, 0x033b5ac8ebf9cc58, 0x486a807feccf1d78,
  0xa92a93a0796b7087, 0x0e87ec9fc55f3bb8, 0xe781013cf0dbf031, 0xf379b228301dce87, 0x2a6f529c94e813c3,
  0x6ae9c6378ce881df, 0xdb73863b7b15545a, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x24f257ee68665874, 0x00000003493249b8,
};

static const uint64_t ur_m640_u1x12_uart3_dual_pr_ee_ce[] = {
  0xbb7e307d41436f02, 0xddc3fe97bbf5fbbb, 0xeabfaef49bdddddd, 0x7852c1dd69c75913, 0x5c67059bc995dfbf,
  0x09f1921bae4fe1f3, 0x5f64c8c1548ee3e6, 0xe20614306d230377, 0xf5ff328094ee9f12, 0x7adfd8400380a49b,
  0x92241240e76e68e4, 0x88627c3f3f7c1142, 0xbd338a9113eb87c2, 0x8432d0b74886559c, 0x9affa039e1329e8a,
  0xa4c161bcaf212dbe, 0xb63904e4016bfc90, 0xba1b46e93fdb53fb, 0x1e6e771cac7f547f, 0x4ce7587b9124afcf,
  0x4795bf929dac0b37, 0x0d1c8f83660d7c8e, 0x459a75a1140a62b8, 0x8752135f4616588a, 0xd10a3dece7576e32,
  0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97, 0xabe77715252cc4fe, 0x1b7e0621d0fd93f8,
  0x03b9d0fcf020279e, 0x9d02787e6f364506, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f,
  0xfe0eee34581e8637, 0x34a1854e7ea75666, 0x727e03e68fb61c4e, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0002001eb6e093c9,
};

static const uint64_t ur_m640_u1x12_uart3_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87fbb90, 0xee1fcc5c2fd7eeee, 0xd9bad68ce6eeeeee, 0xcddc4edd9c45a89b, 0xeaf7fd6da7ad0513,
  0x27c64b62b91a912b, 0xfb26460aa4279798, 0x1030a18369181bba, 0xa3f32b012774f897, 0xe1ec3968e0cdf992,
  0x12092078dd34723d, 0x313e1f9fbe08a149, 0x338aeb89f5c3e144, 0x32d04b4886559cbd, 0xffa039e134728a84,
  0xc161bcaf212db8a4, 0xe4139069affc3344, 0x6d1ba4ff6d4feed8, 0x9d98fc62fd519438, 0xb0911759c3cf3e01,
  0x00dd0ff51f097e21, 0x9dac21374c98b873, 0x660d7c8e4795bf92, 0x140a62b80d1c8f83, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0xd0fd93f8abe77715, 0xf020279e1b7e0621, 0x6f36450603b9d0fc, 0x4dea53929d02787e, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0x45912637296a5f9b, 0x3f53ab337f068fe3, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000800b9e4cff0c,
};

static const uint64_t ur_m640_u1x12_uart3_dual_ee_hw[] = {
  0xddbf183d14689a4e, 0xbb87de9efdfafddd, 0x96257db55fbbbbbb, 0x86d841bb138dd58b, 0xf518e8f0eb545e73,
  0x92609f1931c6e5c7, 0x1bbafb26460aa405, 0xf8971030a1836918, 0xd4c9b7f995d06774, 0x1c8e63fb019b386e,
  0x14292241240d2d4d, 0x7c288627c3f3f7c1, 0xace5e99c64313eb8, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xf9524c161bcaf212, 0x3fbb63904e41beff, 0xa39121b46e93fdb5, 0x052391e56bee6ab5, 0xf8aea54723e0d983,
  0x962291669d68450e, 0x4b8a973484d7d185, 0x68851ef673ab4b99, 0xcf58d56ba1d7a897, 0xf4b3170908a04547,
  0x58a8d823f5b86f65, 0x55f3bb8a9280427f, 0x0dbf0310e87ec9fc, 0x01dce87e781013cf, 0x4e813c3f379b2283,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xe642f453c95fb9a1, 0x00000000000015da,
};

// m640_u1x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u1x12_uart3_dual_ee_ce_hw[] = {
  0x76fc60f451a3b46e, 0x770fe62e17ebf777, 0xecdd6b4673777777, 0xe6ee276ece22d44d, 0x93fbffc2d3d68289,
  0x304f8c96c57230a0, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x92a3f32ba0cee9f1, 0x3de1ec3968e0cdf9,
  0x4912092078dd3472, 0x44313e1f9fbe08a1, 0xbd338aeb89f5c3e1, 0x8432d04b4886559c, 0xa4ffa039e134728a,
  0x24c161bcaf212db8, 0xb63904e41a6bff95, 0x0e1b46e93fdb53fb, 0x90e7663f18bf5465, 0xc4361222eb3879e7,
  0x87672e8ffea3e12f, 0xf929dac21374c98b, 0xf83660d7c8e4795b, 0x5a1140a62b80d1c8, 0x35f4616588a459a7,
  0xdece7576e3287521, 0x5e363af512ed10a3, 0xc242281151f3d635, 0x044c8e1bd97d2cc5, 0x715252cc4feb151b,
  0x621d0fd93f8abe77, 0x0fcf020279e1b7e0, 0x87e6f36450603b9d, 0xbe54dea53929d027, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x00000003aeb41f75,
};

// m640_u2x8_uart2_noled_pr
static const uint64_t ur_m640_u2x8_uart2_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0x7cff2e3f3f38cc13, 0x6a8e526fb74f5f0d, 0xfd01df2c21e1b46f, 0x5a921c49034171c8, 0x58731602cb299efb,
  0xcc11d7a3e76afe8f, 0x59ed8fb33ca807fe, 0xf81880fbd838f81e, 0x4180ee0fbce71f8d, 0xe536338fcf37807d,
  0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0x79c37296a5f9b624, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x9a19961d252d9c38, 0x3e439c3c953c95fb,
};

static const uint64_t ur_m640_u2x8_uart2_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x9fe186cfce3304f8, 0x51ca4df6e9ebe1af, 0xa03be5843c368ded, 0x52438920682e391f, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x03101f7b071f03cb, 0x301dc1f79ce3f1bf, 0xa6c671f9e6f00fa8,
  0xc6f19d102baa9cbc, 0x2adec55516961738, 0x4c6e52d4bf36c492, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4,
  0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x03e4ed98ae093c95,
};

// m640_u2x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart2_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0x861b3ec16609f193, 0x526fb74f5f0ce1ff, 0xb5a39c61b46f6a8e, 0xc1a631c8f2b9126a, 0x43be2beea391f06c,
  0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3, 0xecb65cc5c24228e7,
  0x12a6951b047eb70d, 0xf8df81880fbd8015, 0x07d4180ee0fbce71, 0x4e5e536338fcf378, 0x0b9c6378ce8815d5,
  0x6249156f62aa8b4b, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000009d7bc93704,
};

static const uint64_t ur_m640_u2x8_uart2_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0xf0f6fff971f9f31f, 0x46f6a8e526fb74f5, 0x773b7bec7f5e821b, 0xceb0ff3a43fe79b8, 0x8e21e7b965d63399,
  0x27e921c4903c671c, 0x05478cce62c05b86, 0xee39633c75e2e769, 0x1bf03101f7b074e9, 0xba8301dc1f79ce3f,
  0x39794d8ce3f3cde5, 0xb9b3182169bd5755, 0x2fcdb4e31bc67440, 0xa3f8d163ce1b94b5, 0xf4c2b93f75663c81,
  0x296ce1c4e32c970c, 0xa9e4afdcd0ccb0e9, 0x000000016ea011e4,
};

static const uint64_t ur_m640_u2x8_uart2_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0xa2ff861b3ff3a609, 0x6a8e526fb74f5f0c, 0x8f718bf58861b46f, 0x488bace1e78f373b, 0xc0d1fa8f84bf10d8,
  0xcb3abeb264c5c3ff, 0xc4903d6472393d3d, 0xc398b0147ce92921, 0x678ebd1f3b57f47a, 0xb5b87d99e5403ff6,
  0xf03101f7b071f03c, 0x8301dc1f79ce3f1b, 0xca6c671f9e6f00fa, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x498dca5a97e6d892, 0x9d599bf83bb8d164, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x006ebeea91c12792,
};

// m640_u2x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u2x8_uart2_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x0d9f19b9827c64ee, 0x37dba7af8616bfc3, 0xa3f9d0da37b54729, 0xf3c79b9dc728c5fa, 0xc25f886c2445d670,
  0xc98b87a4a672fd47, 0x795f5129dac20f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x06203ef616744a9a,
  0x603b83ef39c7e37e, 0x4d8ce3f3cde01f50, 0x8de33a2057553979, 0x1dbd8aaa2d2c2e71, 0x31b94b52fcdb1243,
  0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x04fc10573824f257,
};

static const uint64_t ur_m640_u2x8_uart2_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x72937dba7af8670f, 0x55ad1ce30da37b54, 0x660d318e4795c893, 0x8a1df15f751c8f83,
  0xa30b2c4522cd3ad0, 0xa5e715c6b26909af, 0x9d376ded1e0b39d5, 0x3c8c38d8d56ba1d7, 0x6f65b2e62e121147,
  0xa89534a8d823f5b8, 0x8fc6fc0c407dec00, 0xc03ea0c07707de73, 0xaa72f29b19c7e79b, 0x585ce31bc67440ae,
  0xdb1248ab7b15545a, 0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000002df231fe8a,
};

// m640_u2x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart2_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x949bedd3d7c30b5f, 0xfd51fce86d1bdaa3, 0x70f3cf21cee39462, 0x47c25f886c2445d6,
  0xf993170fcb4cdffd, 0xc8f2bea253b5841e, 0x27c723e0d9835af1, 0x91669d68450298ac, 0x11d484d7d1859622,
  0x6ded1e0b39d5dba7, 0x71b1aaf1b1d79d37, 0x65cc5c24228e7918, 0x34a8d8226470decb, 0xfc0c407dec2ce895,
  0xa0c07707de738fc6, 0xf29b19c7e79bc03e, 0xe31bc67440aeaa72, 0x863b7b15545a585c, 0x9c637296a5f9b624,
  0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x014046acdd14f257,
};

// m640_u2x8_uart2_lednop_pr
static const uint64_t ur_m640_u2x8_uart2_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x97dfe5c7e7cf5982, 0xdaa3949bedd3d7c3, 0x3dac77cb08786d1b, 0x1fa4871240d05c72, 0x43398b016594df24,
  0x9823af47cecb3d1a, 0xb3db416691500ffd, 0xf03101f7b20ad03c, 0xdc1f79e0404e3f1b, 0xa00fcf379b228301,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0x90347f1a2c79c372, 0xe19e985727eeacc7,
  0x1d252d9c389c6592, 0x3c953c95fb9a1996, 0x00000000007c8124,
};

static const uint64_t ur_m640_u2x8_uart2_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xf7f861b3e7acc13e, 0xa8e526fb74f5f0e5, 0x6b1df2c21e1b46f6, 0xe921c49034171c8f, 0xce62c0596537c907,
  0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x0c407dec82b40f2c, 0x07de7810138fc6fc, 0x03f3cde6c8a0c077,
  0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xa97e6db9c8ab7b15, 0x83bb8d164498dca5, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x969c12792bf73433,
  0x000000000007c9fd,
};

// m640_u2x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart2_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xc30d9fcad304f8c9, 0x2937dba7af8650ff, 0x5ad1ce30da37b547, 0x60d318e479599535, 0x43be2b0f71c8f836,
  0x616588a459a75a11, 0xb9eab8d64d2135f4, 0xd3768c9193473ab4, 0xc8ded58d56ba1d79, 0xf65b2e62e1211413,
  0xfb33ca8d823f5b86, 0xf8df81880fbd8010, 0x180ee0fbcf020271, 0x929d007e79bcd914, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x4eb86a73824f257e,
};

// m640_u2x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m640_u2x8_uart2_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0x56ff0c367ce1cc13, 0xd51ca4df6e9ebe1a, 0x01a317eb10c368de, 0x911759c3cf1e6e77, 0xe76ff51f097e21b0,
  0x59d5f593262e1d36, 0x2481eb2391fa49ee, 0x9cc580a9888b490e, 0xf1d7a3e7659e8d21, 0xb720b348a807fecc,
  0x06203ef6415a0796, 0x83ef3c0809c7e37e, 0x01f9e6f36450603b, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xa97e6db9c31dbd8a, 0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3,
  0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x769c12792bf73433, 0x000000000006ebc1,
};

// m640_u2x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u2x8_uart2_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x0d9f0d1304f8c9dd, 0x6fb74f5f0ec7ffc3, 0x47f3a1b46f6a8e52, 0xe78f373b27518bf5, 0x84bf10d8488bace1,
  0x262e1f2a1a0ffa8f, 0xe57dd4a76b083df3, 0x8e47c1b306b5e391, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x1880fbd8598fb33c,
  0x0fbcf020271f8df8, 0x07e79bcd914180ee, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xa5f9b6e70c76f62a,
  0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf,
  0xb0e9296ce1c4e32c, 0xa47049e4afdcd0cc, 0x000000000009f87a,
};

static const uint64_t ur_m640_u2x8_uart2_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0xe526fb74f5f0ca1f, 0xab5a39c61b46f6a8, 0xcc1a631c8f2b32a6, 0x2877c561ee391f06,
  0x8c2cb1148b34eb42, 0x973d571ac9a426be, 0x3a6ed1923268e756, 0x791bdab1aad743af, 0xdecb65cc5c242282,
  0x1f667951b047eb70, 0x3f1bf03101f7b002, 0x8301dc1f79e0404e, 0x7253a00fcf379b22, 0xde33a2077ca9bd4a,
  0xadec555169aba718, 0x637296a5f9b6e722, 0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0x5bfd483d14f257ee, 0x0000000000000000,
};

// m640_u2x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart2_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x949bedd3d7c3b1ff, 0xfd51fce86d1bdaa3, 0x70f3cf21cec9d462, 0x47c25f886c2445d6,
  0x7cc98b87eb3643fd, 0xe4795f7529dac20f, 0xb7e391f06cc1ad78, 0x48b34eb422814c57, 0xa8ea426be8c2cb11,
  0xda32464d1ceaedc7, 0xf6ac6abc6c75e74d, 0xd973170908a09e46, 0xcf2a3608991c37b2, 0x7e06203ef61663ec,
  0x3b83ef3c0809c7e3, 0x7401f9e6f3645060, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd,
  0x9430a9cfd42718dc, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x2fc3453c95fb9a19, 0x0000000000005015,
};

// m640_u2x8_uart2_dual_pr           m640_u2x8_uart2_dual_pr_u4
static const uint64_t ur_m640_u2x8_uart2_dual[] = {
  0xeeeeedf9448650e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b5b16eee, 0x19eb5c1dddd3f610, 0x21720b03e498e176,
  0xc15484a89827c64b, 0x306d2303775f64c8, 0x8094ee9f12e20614, 0x3e71c243cc5d7f32, 0x481afb9a391dc9ec,
  0x87e7ef8228524482, 0x63e27d70f8510c4f, 0x87c8886559cbd338, 0x80e784c3e4542196, 0x86f2bc84b6f01bfe,
  0xebe184fff2429305, 0x368ded51ca4df6e9, 0x1e391f229df2c4d4, 0x34e2f7d243892062, 0xac8ebf9cc580aa0f,
  0x07fecc11d78033b5, 0xe81e59ed887486a8, 0x27f157ceee2a4aa4, 0x04e3f1bf03101f7b, 0xb228301dc1f79e04,
  0xd4a7253a00fcf379, 0x718de33a2077ca9b, 0x722adec555169aba, 0x912637296a5f9b6e, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x000149397057049e,
};

// m640_u2x8_uart2_dual_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart2_dual_pr_ee[] = {
  0x777776fca2437089, 0xeeeee1f7a7bf7ebf, 0x62e5895f6d57eeee, 0x9ce1b6106ec4e375, 0x4f595b375b4ad517,
  0x649827c64c71b95e, 0x06eebec99182a901, 0x3e25c40c2860da46, 0xb5326dfe650129dd, 0x472398fec066ce1b,
  0x450a489049034b53, 0x1f0a2189f0fcfdf0, 0xab397a67190c4fae, 0x8b150865a0e9510c, 0xb6fd5fff4073c262,
  0xf242930586f2bc84, 0xca4df6e9ebe1efbf, 0x56b47224368ded51, 0x3060a4723cad7dcd, 0xa1df15d4a8e47c1b,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x271f8df81880fbd9, 0x914180ee0fbcf020, 0xa53929d007e79bcd,
  0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x8931b94b52fcdb73, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0000ac95653824f2,
};

// m640_u2x8_uart2_dual_pr_ce_u4
static const uint64_t ur_m640_u2x8_uart2_dual_pr_ce[] = {
  0xeeeeedf944869a4e, 0xeeeee1ff1ecfbd7e, 0x086932c36957eeee, 0xfd763db77765dc4e, 0x971fd46280478762,
  0x202919827c64989b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc287e6e9ffcca025, 0x9d347239c1d87579,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a672f0c4, 0x260f7150865a0bed, 0xe425b7d37ff4073c,
  0xa5ff9214982c3795, 0x6a8e526fb74f5f0c, 0x95a317eb2fa1b46f, 0x911759c3cf1e6e76, 0xf003f51f097e21b0,
  0xb3abd4b993170f5b, 0x481d4b8e471bf3dc, 0xcc580a0a0f9490e2, 0x1d78033b5ac8ebf9, 0x7087486a807feccf,
  0x3bb8a92a93a0796b, 0xfc0c407dec9fc55f, 0x7707de7810138fc6, 0xe803f3cde6c8a0c0, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0x4b52fcdb73863b7b, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33, 0xc7f197e627ff787b,
  0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x3249b824f257ee68, 0x0000000000000349,
};

static const uint64_t ur_m640_u2x8_uart2_dual_pr_ee_ce[] = {
  0x77776fcd41436f02, 0xbbbb87fd2f77ebf7, 0x27d57f5de937bbbb, 0x7ef0a583bad38eb2, 0xe6b8ce0b37932bbf,
  0xcc13e324375c9fc3, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x37ebfe650129dd3e, 0xc8f5bfb080070149,
  0x8524482481cedcd1, 0x8510c4f87e7ef822, 0x397a67152227d70f, 0x150865a16e910cab, 0x7d35ff4073c2653d,
  0x214982c3795e425b, 0x26fb74f5f0c2d7f9, 0x547fba1b46f6a8e5, 0xafcf1e6e771cac7f, 0x0b374ce7587b9124,
  0x7c8e4795bf929dac, 0x62b80d1c8f83660d, 0x588a459a75a1140a, 0x6e328752135f4616, 0x512ed10a3dece757,
  0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1, 0x93f8abe77715252c, 0x0271f8df81880fbd,
  0xd914180ee0fbcf02, 0xea53929d007e79bc, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d, 0x1e8637296a5f9b6e,
  0xa75666fe0eee3458, 0xb61c4e34a1854e7e, 0x19e985727e03e68f, 0xd252d9c389c6592e, 0xe093c95fb9a19961,
  0x0000000002001eb6,
};

static const uint64_t ur_m640_u2x8_uart2_dual_pr_ee_ce_u4[] = {
  0xddddbf28a87fbb90, 0xdddc3f98b85fafdd, 0x37b375ad19cddddd, 0x279bb89dbb388b51, 0x57d5effadb4f5a0a,
  0x304f8c96c5723522, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x2547e656024ee9f1, 0x7bc3d872d1c19bf3,
  0x92241240f1ba68e4, 0x88627c3f3f7c1142, 0x7a6715d713eb87c2, 0x0865a096910cab39, 0x49ff4073c268e515,
  0x8982c3795e425b71, 0xedd3d7c3d35ff866, 0x94386d1bdaa3949b, 0x3e019d98fc62fd51, 0x7e21b0911759c3cf,
  0xb87300dd0ff51f09, 0xbf929dac21374c98, 0x8f83660d7c8e4795, 0x75a1140a62b80d1c, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0x81880fbd93f8abe7, 0xe0fbcf020271f8df, 0x007e79bcd914180e, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d,
  0x6a5f9b6e70c76f62, 0x068fe34591263729, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x4cff0cf257ee6866, 0x0000000000800b9e,
};

static const uint64_t ur_m640_u2x8_uart2_dual_ee_hw[] = {
  0xbbbbb7e514689a4e, 0x77770fbd3dfbf5fb, 0x172c4afb6abf7777, 0xe70db08376271bab, 0x8fea31d1e1d6a8bc,
  0x0b24c13e32638dcb, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xdda9936ff32ba0ce, 0x9a391cc7f6033670,
  0x8228524482481a5a, 0x70f8510c4f87e7ef, 0x6559cbd338c8627d, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xfff2a4982c3795e4, 0x8e526fb74f5f0f7d, 0x6ab5a39121b46f6a, 0xd983052391e56bee, 0x450ef8aea54723e0,
  0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7, 0x6f65f4b3170908a0,
  0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x0138fc6fc0c407de, 0x6c8a0c07707de781, 0xf529c94e803f3cde,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x42718dca5a97e6db, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0015dae642f453c9,
};

// m640_u2x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart2_dual_ee_ce_hw[] = {
  0xeeeedf9451a3b46e, 0xeeee1fcc5c2fd7ee, 0x9bd9bad68ce6eeee, 0x13cddc4edd9c45a8, 0x4127f7ff85a7ad05,
  0x5e609f192d8ae461, 0x6eebec99182a909e, 0xe25c40c2860da460, 0xf32547e657419dd3, 0xe47bc3d872d1c19b,
  0x4292241240f1ba68, 0xc288627c3f3f7c11, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x2a4982c3795e425b, 0x26fb74f5f0f4d7ff, 0x54650e1b46f6a8e5, 0x79e790e7663f18bf, 0xe12fc4361222eb38,
  0xc98b87672e8ffea3, 0x795bf929dac21374, 0xd1c8f83660d7c8e4, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0x8df81880fbd93f8a, 0x80ee0fbcf020271f, 0x29d007e79bcd9141, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f,
  0x7296a5f9b6e70c76, 0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4,
  0x66587494b670e271, 0xb41f7514f257ee68, 0x00000000000003ae,
};

// m640_u2x8_uart3_noled_pr
static const uint64_t ur_m640_u2x8_uart3_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0x7cff2e3f3f38cc13, 0x51ca4df6c7209c81, 0xa03be5843c368ded, 0x52438920682e391f, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x0c43a1fb071f03cb, 0x0773a1f9cf3c36fc, 0xc679e1f9bc03ea0c,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0x6e52d4bf36c4922a, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0x738792a792bf7343, 0x00000000000007c8,
};

static const uint64_t ur_m640_u2x8_uart3_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x9fe186cfce3304f8, 0x3949bed8e413902f, 0x077cb08786d1bdaa, 0x4871240d05c723f4, 0xcc580b2ca67bed6a,
  0x475e8f9dabfa3d61, 0xb63eccf2a01ffb30, 0x88743f60e3e07967, 0xee743f39e786df81, 0xcf3c3f37807d4180,
  0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x9db315c12792bf73,
  0x000000000000007c,
};

// m640_u2x8_uart3_noled_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart3_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0x861b3ec16609f193, 0x4df6c7209c80e1ff, 0xb4738c368ded51ca, 0x34c6391e57224d56, 0x77c57dd4723e0d98,
  0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74, 0x96cb98b848451cf2,
  0x54d2a3608fd6e1bd, 0x6fc0c43a1fb002a2, 0xa0c0773a1f9cf3c3, 0xca6c679e1f9bc03e, 0x8c6f19d102baa9cb,
  0x22adec5551696173, 0x24c6e52d4bf36c49, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0013af7926e093c9,
};

static const uint64_t ur_m640_u2x8_uart3_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0xc836fff971f9f31f, 0xded51ca4df6c7209, 0xe76f7d8febd04368, 0xd61fe7487fcf370e, 0xc43cf72cbac67339,
  0xfd243892078ce391, 0xa8f199cc580b70c4, 0xc72c678ebc5ced20, 0xf8188743f60e9d3d, 0x180ee743f39e786d,
  0x29b19e787e6f2dd4, 0x63042d37aaeaa72f, 0xb69c6378ce881736, 0x1a2c79c37296a5f9, 0x5727eeacc790347f,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00002dd4023c953c,
};

static const uint64_t ur_m640_u2x8_uart3_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0xa2ff861b3ff3a609, 0x51ca4df6c7209c80, 0xee317eb10c368ded, 0x11759c3cf1e6e771, 0x1a3f51f097e21b09,
  0x6757d64c98b87ff8, 0x9207ac8e4727a7b9, 0x7316028f9d252438, 0xf1d7a3e76afe8f58, 0xb70fb33ca807fecc,
  0x188743f60e3e0796, 0x0ee743f39e786df8, 0x8cf3c3f37807d418, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d,
  0xb94b52fcdb12431d, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xd7dd523824f257ee, 0x000000000000000d,
};

// m640_u2x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u2x8_uart3_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x0d9f19b9827c64ee, 0xfb63904e4016bfc3, 0x7f3a1b46f6a8e526, 0x78f373b8e518bf54, 0x4bf10d8488bace1e,
  0x3170f494ce5fa8f8, 0x2bea253b5841ef99, 0x723e0d9835af1c8f, 0x69d68450298ac27c, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x10e87ec2ce89534a,
  0xdce87e73cf0dbf03, 0x9e787e6f00fa8301, 0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x296a5f9b624863b7,
  0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e,
  0x0ccb0e9296ce1c4e, 0x820ae7049e4afdcd, 0x000000000000009f,
};

static const uint64_t ur_m640_u2x8_uart3_noled_ee_hw[] = {
  0xeeeeec4a8a342f02, 0xeeeee961e4090ac6, 0x25936a64cf419eee, 0x2543d9c489dde0f4, 0x9dd8e302f5999b08,
  0xfcac59f60b304f8c, 0x526fb63904e4070f, 0xb5a39c61b46f6a8e, 0xc1a631c8f2b9126a, 0x43be2beea391f06c,
  0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3, 0xecb65cc5c24228e7,
  0x12a6951b047eb70d, 0x1b7e0621d0fd8015, 0xf50603b9d0fce79e, 0x5e53633cf0fcde01, 0x9c6378ce8815d54e,
  0x49156f62aa8b4b0b, 0x09c637296a5f9b62, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x0005be463fd14f25,
};

// m640_u2x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart3_noled_ee_ce_hw[] = {
  0x77777625451a3032, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0x775b11ced4e54cfe,
  0xe562cf8cdcc13e32, 0x937db1c827200b5f, 0xaa3f9d0da37b5472, 0x1e79e439dc728c5f, 0xf84bf10d8488bace,
  0x3262e1f9699bffa8, 0x1e57d44a76b083df, 0xf8e47c1b306b5e39, 0x2cd3ad08a0531584, 0x3a909afa30b2c452,
  0xbda3c1673abb74e2, 0x36355e363af3a6ed, 0xb98b848451cf230e, 0x951b044c8e1bd96c, 0x0621d0fd859d12a6,
  0x03b9d0fce79e1b7e, 0x633cf0fcde01f506, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x6e52d4bf36c490c7,
  0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0x08d59ba29e4afdcd, 0x0000000000000028,
};

// m640_u2x8_uart3_lednop_pr
static const uint64_t ur_m640_u2x8_uart3_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x97dfe5c7e7cf5982, 0x5472937db1c82720, 0xb58ef9610f0da37b, 0xf490e2481a0b8e47, 0x6731602cb29be483,
  0x0475e8f9d967a348, 0x7b682cd22a01ffb3, 0x188743f6415a0796, 0x43f3c0809e786df8, 0xe1f9bcd914180ee7,
  0xef9537a94e4a7409, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0x8fe3458f386e52d4, 0xd30ae4fdd598f206,
  0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x0000000f90248792,
};

static const uint64_t ur_m640_u2x8_uart3_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xf7f861b3e7acc13e, 0x1ca4df6c7209c825, 0x63be5843c368ded5, 0x2438920682e391ed, 0xcc580b2ca6f920fd,
  0x1d7a3e7659e8d219, 0xda0b348a807fecc1, 0x21d0fd905681e59e, 0xfcf020279e1b7e06, 0x7e6f36450603b9d0,
  0xe54dea53929d0278, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x71a2c8931b94b52f, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x824f257ee6866587,
  0x00000000f93fb2d3,
};

// m640_u2x8_uart3_lednop_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart3_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0xc30d9fcad304f8c9, 0x26fb63904e4050ff, 0x5a39c61b46f6a8e5, 0x1a631c8f2b32a6ab, 0x77c561ee391f06cc,
  0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0x6ed1923268e75697, 0x1bdab1aad743af3a, 0xcb65cc5c24228279,
  0x667951b047eb70de, 0x6fc0c43a1fb0021f, 0x773a1f9e0404f3c3, 0xa04f0fcde6c8a0c0, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x96a5f9b6e722adec, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7,
  0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x0d4e7049e4afdcd0, 0x00000000000009d7,
};

// m640_u2x8_uart3_lednop_pr_ce_u4
static const uint64_t ur_m640_u2x8_uart3_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0x56ff0c367ce1cc13, 0xa3949bed8e413902, 0x3462fd62186d1bda, 0x22eb3879e3cdcee0, 0xedfea3e12fc43612,
  0x3abeb264c5c3a6dc, 0x903d64723f493dcb, 0x98b01531116921c4, 0x3af47cecb3d1a433, 0xe416691500ffd99e,
  0x10e87ec82b40f2d6, 0x7e781013cf0dbf03, 0x3f379b228301dce8, 0xf2a6f529c94e813c, 0xa6ae9c6378ce881d,
  0xcdb73863b7b15545, 0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19,
  0x67a617c68f45fe07, 0x494b670e271964b8, 0x824f257ee6866587, 0x00000000dd782ed3,
};

// m640_u2x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u2x8_uart3_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x0d9f0d1304f8c9dd, 0xf6c7209c82c7ffc3, 0xfe74368ded51ca4d, 0xf1e6e764ea317ea8, 0x97e21b0911759c3c,
  0xc5c3e54341ff51f0, 0xafba94ed6107be64, 0xc8f83660d6bc723c, 0xa75a1140a62bdbf1, 0x2135f4616588a459,
  0x23268e7576e3d475, 0x355e363af3a6ed19, 0x8b8484504f237b56, 0x1b044c8e1bd96cb9, 0x43a1fb0b31f66795,
  0xf9e0404f3c36fc0c, 0xfcde6c8a0c0773a1, 0xca9bd4a7253a04f0, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x000000013f0f548e,
};

static const uint64_t ur_m640_u2x8_uart3_lednop_ee_hw[] = {
  0xddddd8951468fc3b, 0xddddd2c3c832158d, 0x1090b270069fbddd, 0x6e17ece244eef07a, 0x3bb704dd694ec5e5,
  0xf958b3f95a609f19, 0xa4df6c7209c80a1f, 0x6b4738c368ded51c, 0x834c6391e56654d5, 0x0ef8ac3dc723e0d9,
  0x85962291669d6845, 0xe7aae3593484d7d1, 0x4dda32464d1cead2, 0x237b56355ae875e7, 0xd96cb98b8484504f,
  0xeccf2a3608fd6e1b, 0x6df8188743f60043, 0x0ee743f3c0809e78, 0x7409e1f9bcd91418, 0x7440ef9537a94e4a,
  0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xa907a29e4afdcd0c, 0x0000000000000b7f,
};

// m640_u2x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart3_lednop_ee_ce_hw[] = {
  0xbbbbbb12a28d0a20, 0xddddd2c042e626b1, 0x334b64717ecbbddd, 0x88d317f79374b8b5, 0x7747b16ad8d4b07c,
  0xf2b167c344c13e32, 0x937db1c82720b1ff, 0xaa3f9d0da37b5472, 0x1e79e439d93a8c5f, 0xf84bf10d8488bace,
  0x993170fd66c87fa8, 0x8f2beea53b5841ef, 0xfc723e0d9835af1c, 0x1669d68450298af6, 0x1d484d7d18596229,
  0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b, 0x0310e87ec2cc7d99,
  0xe87e781013cf0dbf, 0x3c3f379b228301dc, 0x1df2a6f529c94e81, 0x45a6ae9c6378ce88, 0x2fcdb73863b7b155,
  0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0x68a792bf734332c3, 0x000000000a02a5f8,
};

// m640_u2x8_uart3_dual_pr           m640_u2x8_uart3_dual_pr_u4
static const uint64_t ur_m640_u2x8_uart3_dual[] = {
  0xeeeeedf9448650e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b5b16eee, 0x19eb5c1dddd3f610, 0x21720b03e498e176,
  0xc15484a89827c64b, 0x306d2303775f64c8, 0x8094ee9f12e20614, 0x3e71c243cc5d7f32, 0x481afb9a391dc9ec,
  0x87e7ef8228524482, 0x63e27d70f8510c4f, 0x87c8886559cbd338, 0x80e784c3e4542196, 0x86f2bc84b6f01bfe,
  0x139004fff2429305, 0xd1bdaa3949bed8e4, 0xc723e453be589a86, 0x9c5efa4871240c43, 0x91d7f398b01541e6,
  0xffd9823af00676b5, 0x03cb3db10e90d500, 0xfe2af9ddc549549d, 0xe786df8188743f64, 0x4180ee743f3c0809,
  0xe4a7409e1f9bcd91, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xc6e52d4bf36dce45, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x29272e0ae093c95f,
};

// m640_u2x8_uart3_dual_pr_ee_u4
static const uint64_t ur_m640_u2x8_uart3_dual_pr_ee[] = {
  0x777776fca2437089, 0xeeeee1f7a7bf7ebf, 0x62e5895f6d57eeee, 0x9ce1b6106ec4e375, 0x4f595b375b4ad517,
  0x649827c64c71b95e, 0x06eebec99182a901, 0x3e25c40c2860da46, 0xb5326dfe650129dd, 0x472398fec066ce1b,
  0x450a489049034b53, 0x1f0a2189f0fcfdf0, 0xab397a67190c4fae, 0x8b150865a0e9510c, 0xb6fd5fff4073c262,
  0xf242930586f2bc84, 0x49bed8e413906fbf, 0xd68e4486d1bdaa39, 0x0c148e4795afb9aa, 0x3be2ba951c8f8366,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x3c36fc0c43a1fb27, 0x0c0773a1f9e0404f, 0x253a04f0fcde6c8a,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x1592aca7049e4afd,
};

// m640_u2x8_uart3_dual_pr_ce_u4
static const uint64_t ur_m640_u2x8_uart3_dual_pr_ce[] = {
  0xeeeeedf944869a4e, 0xeeeee1ff1ecfbd7e, 0x086932c36957eeee, 0xfd763db77765dc4e, 0x971fd46280478762,
  0x202919827c64989b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc287e6e9ffcca025, 0x9d347239c1d87579,
  0xdf0450a48904903d, 0xfae1f0a2189f0fcf, 0x10cab397a672f0c4, 0x260f7150865a0bed, 0xe425b7d37ff4073c,
  0xa5ff9214982c3795, 0x51ca4df6c7209c80, 0xb462fd65f4368ded, 0x22eb3879e3cdced2, 0x007ea3e12fc43612,
  0x757a973262e1eb7e, 0x03a971c8e37e7b96, 0x8b014141f2921c49, 0xaf00676b591d7f39, 0x10e90d500ffd99e3,
  0x77152552740f2d6e, 0x0621d0fd93f8abe7, 0xd0fcf020279e1b7e, 0x787e6f36450603b9, 0x3be54dea53929d02,
  0x8b4d5d38c6f19d10, 0x5f9b6e70c76f62aa, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x37049e4afdcd0ccb, 0x0000000000692649,
};

static const uint64_t ur_m640_u2x8_uart3_dual_pr_ee_ce[] = {
  0x77776fcd41436f02, 0xbbbb87fd2f77ebf7, 0x27d57f5de937bbbb, 0x7ef0a583bad38eb2, 0xe6b8ce0b37932bbf,
  0xcc13e324375c9fc3, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x37ebfe650129dd3e, 0xc8f5bfb080070149,
  0x8524482481cedcd1, 0x8510c4f87e7ef822, 0x397a67152227d70f, 0x150865a16e910cab, 0x7d35ff4073c2653d,
  0x214982c3795e425b, 0xdf6c7209c802d7f9, 0x8ff74368ded51ca4, 0xf9e3cdcee3958fea, 0x66e99ceb0f722495,
  0x91c8f2b7f253b581, 0x5701a391f06cc1af, 0x1148b34eb422814c, 0xc650ea426be8c2cb, 0x25da2147bd9ceaed,
  0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37, 0x7f157ceee2a4a598, 0xf3c36fc0c43a1fb2,
  0xa0c0773a1f9e0404, 0x7253a04f0fcde6c8, 0xde33a2077ca9bd4a, 0xedec555169aba718, 0xc6e52d4bf36dce18,
  0xccdfc1ddc68b03d0, 0x89c69430a9cfd4ea, 0x30ae4fc07cd1f6c3, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x0000004003d6dc12,
};

static const uint64_t ur_m640_u2x8_uart3_dual_pr_ee_ce_u4[] = {
  0xddddbf28a87fbb90, 0xdddc3f98b85fafdd, 0x37b375ad19cddddd, 0x279bb89dbb388b51, 0x57d5effadb4f5a0a,
  0x304f8c96c5723522, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x2547e656024ee9f1, 0x7bc3d872d1c19bf3,
  0x92241240f1ba68e4, 0x88627c3f3f7c1142, 0x7a6715d713eb87c2, 0x0865a096910cab39, 0x49ff4073c268e515,
  0x8982c3795e425b71, 0xb1c82720d35ff866, 0x870da37b5472937d, 0xc033b31f8c5faa32, 0xc4361222eb3879e7,
  0x0e601ba1fea3e12f, 0xf253b58426e99317, 0xf06cc1af91c8f2b7, 0xb422814c5701a391, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0xc43a1fb27f157cee, 0x1f9e0404f3c36fc0, 0x0fcde6c8a0c0773a, 0x7ca9bd4a7253a04f, 0x69aba718de33a207,
  0xf36dce18edec5551, 0xfc68b224c6e52d4b, 0x54e7ea75666fe0d1, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xe19e4afdcd0ccb0e, 0x000000100173c99f,
};

static const uint64_t ur_m640_u2x8_uart3_dual_ee_hw[] = {
  0xbbbbb7e514689a4e, 0x77770fbd3dfbf5fb, 0x172c4afb6abf7777, 0xe70db08376271bab, 0x8fea31d1e1d6a8bc,
  0x0b24c13e32638dcb, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xdda9936ff32ba0ce, 0x9a391cc7f6033670,
  0x8228524482481a5a, 0x70f8510c4f87e7ef, 0x6559cbd338c8627d, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xfff2a4982c3795e4, 0xca4df6c7209c837d, 0x56b47224368ded51, 0x3060a4723cad7dcd, 0xa1df15d4a8e47c1b,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x79e1b7e0621d0fd9, 0x50603b9d0fcf0202, 0x3929d02787e6f364,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xbb5cc85e8a792bf7, 0x0000000000000002,
};

// m640_u2x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u2x8_uart3_dual_ee_ce_hw[] = {
  0xeeeedf9451a3b46e, 0xeeee1fcc5c2fd7ee, 0x9bd9bad68ce6eeee, 0x13cddc4edd9c45a8, 0x4127f7ff85a7ad05,
  0x5e609f192d8ae461, 0x6eebec99182a909e, 0xe25c40c2860da460, 0xf32547e657419dd3, 0xe47bc3d872d1c19b,
  0x4292241240f1ba68, 0xc288627c3f3f7c11, 0x397a6715d713eb87, 0x150865a096910cab, 0x7149ff4073c268e5,
  0x2a4982c3795e425b, 0xdf6c7209c834d7ff, 0x8ca1c368ded51ca4, 0x3cf21cecc7e317ea, 0x25f886c2445d670f,
  0x3170ece5d1ffd47c, 0x2b7f253b58426e99, 0x391f06cc1af91c8f, 0x34eb422814c5701a, 0xa426be8c2cb1148b,
  0x147bd9ceaedc650e, 0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62,
  0xfc0c43a1fb27f157, 0x73a1f9e0404f3c36, 0x04f0fcde6c8a0c07, 0x2077ca9bd4a7253a, 0x55169aba718de33a,
  0xd4bf36dce18edec5, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0xeea29e4afdcd0ccb, 0x000000000075d683,
};

// m640_u2x12_uart2_noled_pr
static const uint64_t ur_m640_u2x12_uart2_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0xa7f971f9fd2a609f, 0xfcda9f55ba7af860, 0xb08786d1bdaa3949, 0x240d05c723f4077c, 0x0b2ca67bed6a4871,
  0x8f9dabfa3d61cc58, 0xccf2a01ffb30475e, 0xef60e3e07967b63e, 0x3ef39c7e37e06203, 0x3f3cde01f50603b8,
  0xa20575539794d8ce, 0xaaa2d2c2e718de33, 0x5a97e6d892455bd8, 0x40d1fc68b1e70dca, 0x867a615c9fbab31e,
  0x7494b670e271964b, 0xf254f257ee686658, 0x0000000007c801c8,
};

static const uint64_t ur_m640_u2x12_uart2_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xff0c367f4a9827c6, 0x9b53eab74f5f0c14, 0x10f0da37b547293f, 0x81a0b8e47e80ef96, 0x6594cf7dad490e24,
  0xf3b57f47ac398b01, 0x9e5403ff6608ebd1, 0xec1c7c0f2cf6c7d9, 0xde738fc6fc0c407d, 0xe79bc03ea0c07707,
  0x40aeaa72f29b19c7, 0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xc9b824f257ee6866,
  0x00000000000f93a3,
};

// m640_u2x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart2_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x0d9fc09304f8c9dd, 0xf55ba7af8652ffc3, 0x6d1bdaa3949fcda9, 0x3cae449aad68e718, 0xa8e47c1b30698c72,
  0x1669d68450ef8afb, 0x93484d7d18596229, 0xf059cead2f38ae35, 0xab5d0ebce9bb6f68, 0x70908a39e461c6c6,
  0xc11fadc37b2d9731, 0x03ef600544a9a546, 0xb83ef39c7e37e062, 0xce3f3cde01f50603, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x5f8d0dc12792bf73, 0x0000000000000027,
};

static const uint64_t ur_m640_u2x12_uart2_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x87b7ffcb8fcf98f9, 0x949fcda9f55ba7af, 0xb1fd7a086d1bdaa3, 0x3f9df9e6e1dcec7c, 0xe59758ce673ac3b9,
  0x1240f19c723d4b9e, 0x9cc580bd0243a487, 0x3c75e2e76a251a83, 0x07dec1d7e1ee3963, 0x707de738fc6fc0c4,
  0x4a7ef9c7e79bcc07, 0x063042d392306a6c, 0xe6da718de33a2042, 0xfc68b1e70dca5a97, 0x615c9fbab31e40d1,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000000b75008f254,
};

static const uint64_t ur_m640_u2x12_uart2_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffc30d9f90f304f8, 0xcda9f55ba7af86e4, 0x62186d1bdaa3949f, 0x79e3cdcee3dc62fd, 0xe12fc4361222eb38,
  0x993170fff0347ea3, 0x1c8e4f4f72ceafac, 0x1f3a4a4871240f59, 0xced5fd1eb0e62c05, 0x79500ffd99e3af47,
  0xec1c7c0f2d6e1f66, 0xde738fc6fc0c407d, 0xe79bc03ea0c07707, 0x40aeaa72f29b19c7, 0x545a585ce31bc674,
  0xa5f9b624863b7b15, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xda7049e4afdcd0cc, 0x00000000001bae05,
};

// m640_u2x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u2x12_uart2_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xb3fbb5304f8c9dd4, 0x56e9ebe198fff861, 0x46f6a8e527f36a7d, 0xb8e518bf547f3a1b, 0x8488bace1e78f373,
  0x94ce5fa8f84bf10d, 0x3b5841ef993170f4, 0x9835af1c8f2bea25, 0x50298ac27c723e0d, 0x185962291669d684,
  0x9d5dba711d484d7d, 0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242, 0xc2ce89534a8d8226,
  0xe738fc6fc0c407de, 0x79bc03ea0c07707d, 0x0aeaa72f29b19c7e, 0x45a585ce31bc6744, 0x5f9b624863b7b155,
  0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0x37049e4afdcd0ccb, 0x00000000009f894e,
};

static const uint64_t ur_m640_u2x12_uart2_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0x9f55ba7af8652ffc, 0x86d1bdaa3949fcda, 0x23cae449aad68e71, 0xba8e47c1b30698c7,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8f059cead2f38ae3, 0x6ab5d0ebce9bb6f6, 0x170908a39e461c6c,
  0x6c11fadc37b2d973, 0x203ef600544a9a54, 0x3b83ef39c7e37e06, 0x8ce3f3cde01f5060, 0xe33a20575539794d,
  0xbd8aaa2d2c2e718d, 0xdca5a97e6d892455, 0xf79430a9cfd42718, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x7c69ad453c95fb9a, 0x000000000000000b,
};

// m640_u2x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart2_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0x9f55ba7af8663ffe, 0x86d1bdaa3949fcda, 0x1cee39462fd51fce, 0x86c2445d670f3cf2,
  0xfcb4cdffd47c25f8, 0x253b5841ef993170, 0x0d9835af1c8f2bea, 0x8450298ac27c723e, 0x7d185962291669d6,
  0xb39d5dba711d484d, 0x1b1d79d376ded1e0, 0x4228e791871b1aaf, 0x26470decb65cc5c2, 0xdec2ce89534a8d82,
  0x7de738fc6fc0c407, 0x7e79bc03ea0c0770, 0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x6a5f9b624863b7b1,
  0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0xf7514f257ee68665, 0x0000000000140501,
};

// m640_u2x12_uart2_lednop_pr
static const uint64_t ur_m640_u2x12_uart2_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0xcff2e3f3f38cc13e, 0xf9b53eab74f5f0d7, 0x64870da37b547293, 0x4819a48e47278ef9, 0x16f74c3e749490e2,
  0x73b35f23905398b0, 0x583ef71cb1823af1, 0x9c7e37e06203ef61, 0x450603b83ef3c080, 0x94e4a7401f9e6f36,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xf386e52d4bf36dce, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0x7c8738792a792bf7,
};

static const uint64_t ur_m640_u2x12_uart2_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xf861b3e13e609f19, 0xda9f55ba7af86807, 0x8786d1bdaa3949fc, 0x0d05c723dac77cb0, 0x594df241fa487124,
  0xecb3d1a43398b016, 0x1500ffd9823af47c, 0x20ad03cb3db41669, 0x04e3f1bf03101f7b, 0xb228301dc1f79e04,
  0xd4a7253a00fcf379, 0x718de33a2077ca9b, 0x722adec555169aba, 0x912637296a5f9b6e, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x0001f26b8be7049e,
};

// m640_u2x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart2_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0x367f7dcc13e32774, 0xd56e9ebe1a9eff0c, 0xb46f6a8e527f36a7, 0xf2b32a6ab5a39c61, 0xe391f06cc1a631c8,
  0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923, 0xc242282791bdab1a,
  0x047eb70decb65cc5, 0x1f7b0021f667951b, 0x9e0404e3f1bf0310, 0xf379b228301dc1f7, 0xca9bd4a7253a00fc,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x000000009d73f5b7,
};

// m640_u2x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m640_u2x12_uart2_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0x5ff0c367ca5cc13e, 0xf36a7d56e9ebe1ba, 0x58861b46f6a8e527, 0x1e78f373b80d18bf, 0xf84bf10d8488bace,
  0x993170e9b73b7fa8, 0x1c8fd24f72ceafac, 0x4c445a4871240f59, 0x3b2cf4690ce62c05, 0x45403ff6678ebd1f,
  0xb20ad03cb5b9059a, 0x404e3f1bf03101f7, 0x9b228301dc1f79e0, 0xbd4a7253a00fcf37, 0xa718de33a2077ca9,
  0xce18edec555169ab, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00001bae3548e093,
};

// m640_u2x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u2x12_uart2_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xd9fd35304f8c9dd0, 0x55ba7af87ff3fc30, 0xd1bdaa3949fcda9f, 0xec9d462fd51fce86, 0x61222eb3879e3cdc,
  0xa8683fea3e12fc43, 0x9dac20f7cc98b87c, 0xcc1ad78e4795f752, 0x2814c57b7e391f06, 0x8c2cb1148b34eb42,
  0xceaedc7a8ea426be, 0xc75e74dda32464d1, 0x8a09e46f6ac6abc6, 0x91c37b2d97317090, 0x61663eccf2a36089,
  0x809c7e37e06203ef, 0x36450603b83ef3c0, 0x7a94e4a7401f9e6f, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x64498dca5a97e6db, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000013f2cb7dc127,
};

static const uint64_t ur_m640_u2x12_uart2_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0x7d56e9ebe1a9eff2, 0x1b46f6a8e527f36a, 0x8f2b32a6ab5a39c6, 0xee391f06cc1a631c,
  0x8b34eb422877c561, 0xc9a426be8c2cb114, 0x3268e756973d571a, 0xaad743af3a6ed192, 0x5c242282791bdab1,
  0xb047eb70decb65cc, 0x01f7b0021f667951, 0x79e0404e3f1bf031, 0xcf379b228301dc1f, 0x7ca9bd4a7253a00f,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x000000002dfbb2d5,
};

// m640_u2x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart2_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0xd4faadd3d7c3ff9f, 0x74368ded51ca4fe6, 0x90e764ea317ea8fe, 0xc4361222eb3879e7,
  0xc3f59b21fea3e12f, 0xba94ed6107be64c5, 0xf83660d6bc723caf, 0x5a1140a62bdbf1c8, 0x35f4616588a459a7,
  0x268e7576e3d47521, 0x5e363af3a6ed1923, 0x8484504f237b5635, 0x044c8e1bd96cb98b, 0x1f7b0b31f667951b,
  0x9e0404e3f1bf0310, 0xf379b228301dc1f7, 0xca9bd4a7253a00fc, 0x9aba718de33a2077, 0x36dce18edec55516,
  0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x00000014043aa4a2,
};

// m640_u2x12_uart2_dual_pr          m640_u2x12_uart2_dual_pr_u4
static const uint64_t ur_m640_u2x12_uart2_dual[] = {
  0x776fc60f4486bd5b, 0x7770f9337adebf77, 0x73338e3a76b77777, 0xc323bdddd697644a, 0xe5ddfb84e5682d8a,
  0x522e46609f19256e, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0xe702eb3143fcca02, 0x651668e47f9db090,
  0x9fbe08a149120920, 0x89f5c3e144313e1f, 0xe22195672f4ce0cd, 0x9e133df150865a0b, 0xcaf212dbd4affa03,
  0xc3eebfc90a4c161b, 0xca4fe6d4faadd3d7, 0x9df2c4d4368ded51, 0x438920621e391f22, 0xc580aa0f34e2f7d2,
  0xd78033b5ac8ebf9c, 0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0x03101f7b27f157ce, 0xc1f79e0404e3f1bf,
  0x00fcf379b228301d, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0xea87049e4afdcd0c, 0x000000000001493b,
};

// m640_u2x12_uart2_dual_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart2_dual_pr_ee[] = {
  0xbbb7e307a2436f02, 0x7770fa9ba2ff5fbb, 0xf4fbfb5a80777777, 0x32e364774c894a2a, 0x35d08459baafad04,
  0x609f19306ee4fe1f, 0x75f64c8c154867ae, 0x2e20614306d23037, 0xa76ff328094ee9f1, 0x1c66f61bb4704db9,
  0x52448248185a9a39, 0x510c4f87e7ef8228, 0xcbd33949427d70f8, 0xa8432d0386886559, 0xa1fffa039e133938,
  0x14982c3795e425b7, 0xeab74f5f0f4dff92, 0xda37b547293f9b53, 0xf2b5f7355ad1c890, 0xa391f06cc18291c8,
  0xb34eb422877c5752, 0x9a426be8c2cb1148, 0x7b39d5a5cca5c54b, 0xb5d0ebd44bb4428f, 0x84845022a3e7ac6a,
  0x11fadc37b2fa598b, 0xc54940213fac546c, 0x6203ef64fe2af9dd, 0x3ef3c0809c7e37e0, 0x1f9e6f36450603b8,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x40e093c95fb9a199,
  0x0000000000015913,
};

// m640_u2x12_uart2_dual_pr_ce_u4
static const uint64_t ur_m640_u2x12_uart2_dual_pr_ce[] = {
  0x776fc60f44860aac, 0xeee1f85fd77ebf77, 0x49c9b168ebeeeeee, 0x2eafb7774489918d, 0x7d5e5902c70455f6,
  0x1e729827c64f91b9, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x1d3f358ffe650129, 0x534723f57ec287ce,
  0xf0450a489049038e, 0xae1f0a2189f0fcfd, 0x0cab397a6739684f, 0x631f150865a05151, 0x425b78adff4073c2,
  0x2ff9214982c3795e, 0xf9b53eab74f5f0d8, 0x597d0da37b547293, 0x1e78f373b4ad18bf, 0xf84bf10d8488bace,
  0xcc98b87adf801fa8, 0x7238df9ee59d5ea5, 0x507ca4871240ea5c, 0xdad6475fce62c050, 0x5403ff6678ebc019,
  0x549d03cb5b843a43, 0xef64fe2af9ddc549, 0xc0809c7e37e06203, 0x6f36450603b83ef3, 0x537a94e4a7401f9e,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8, 0x313ffbc3def28615,
  0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x0000001a484e2dc1,
};

static const uint64_t ur_m640_u2x12_uart2_dual_pr_ee_ce[] = {
  0xbb7e307d4143359b, 0x770f933aeff5fbbb, 0x40362fa0fb777777, 0xad12ef74054e24d7, 0x29368d7526f26517,
  0x827c6494eb90f0cc, 0xd7d932305521d3a9, 0xb881850c1b48c0dd, 0x35bfcca0253ba7c4, 0x1e006c0521c3f5e6,
  0xa48904903b5b9a39, 0xa2189f0fcfdf0450, 0x2f4ce77584fae1f0, 0xa10cb43672219567, 0xff3fe80e784d95a2,
  0x2930586f2bc84b6e, 0xaadd3d7c331fff24, 0x68ded51ca4fe6d4f, 0xcee3958fea8ff743, 0xeb0f722495f9e3cd,
  0xb7f253b58166e99c, 0x91f06cc1af91c8f2, 0x4eb422814c5701a3, 0x426be8c2cb1148b3, 0x47bd9ceaedc650ea,
  0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a, 0xf03101f7b27f157c,
  0xdc1f79e0404e3f1b, 0xa00fcf379b228301, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2d4bf36dce18edec,
  0xc1ddc68b03d0c6e5, 0x9430a9cfd4eaccdf, 0x4fc07cd1f6c389c6, 0x7138cb25c33d30ae, 0xf734332c3a4a5b38,
  0x008001d15c12792b,
};

static const uint64_t ur_m640_u2x12_uart2_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87f3202, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0xe4fa6b0ce34f26bc,
  0x19276ae434e83ebd, 0x99182a9047ae609f, 0xc2860da4606eebec, 0xccac049dd3e25c40, 0xb066f9c12a26b91f,
  0x2481f60cd1c8fcb5, 0xf87e7ef822852448, 0x0c2e27d70f8510c4, 0x402d22195672f4ce, 0x80e784c7062a10cb,
  0x0de579096dff5ffe, 0x5f0dfe7fe19a260b, 0x47293f9b53eab74f, 0xc5faa32870da37b5, 0xb3879e7c033b31f8,
  0xea3e12fc4361222e, 0x6e993170e601ba1f, 0x1c8f2b7f253b5842, 0x701a391f06cc1af9, 0x148b34eb422814c5,
  0x650ea426be8c2cb1, 0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b,
  0xf157ceee2a4a5989, 0xe3f1bf03101f7b27, 0x28301dc1f79e0404, 0xa7253a00fcf379b2, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x4c6e52d4bf36dce1, 0x5666fe0d1fc68b22, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x8008ab11fe19e4af,
};

static const uint64_t ur_m640_u2x12_uart2_dual_ee_hw[] = {
  0xddbf183d14680aac, 0xbb87d4dd17fafddd, 0xa7dfdad403bbbbbb, 0x971b23ba644a5157, 0xbcb269c1557d6821,
  0xd7304f8c983772fa, 0x1bbafb26460aa433, 0xf8971030a1836918, 0xdcd3b7f995d06774, 0x1c8e337b0dda3826,
  0x14292241240c2d4d, 0x7c288627c3f3f7c1, 0xace5e99ca4a13eb8, 0x9c54219681c34432, 0xdbd0fffd01cf099c,
  0xf9524c161bcaf212, 0xa9f55ba7af87a6ff, 0x486d1bdaa3949fcd, 0xe4795afb9aad68e4, 0xa951c8f83660c148,
  0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21, 0xc5c242281151f3d6,
  0x3608fd6e1bd97d2c, 0xeee2a4a0109fd62a, 0xf03101f7b27f157c, 0xdc1f79e0404e3f1b, 0xa00fcf379b228301,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0x50c2a73f509c6372, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x269d14f257ee6866, 0x00000000000576b8,
};

// m640_u2x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart2_dual_ee_ce_hw[] = {
  0xedf8c1e8a3457c3b, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0x7eb7fb0ce34f26bc,
  0x09f19276ae4559e2, 0xbec99182a9047ae6, 0xc40c2860da4606ee, 0xc8fe657419dd3e25, 0xe5ad8337ce095135,
  0x2241240fb0668e47, 0x8627c3f3f7c11429, 0xa67061713eb87c28, 0x865a016910cab397, 0xfff4073c26383150,
  0x30586f2bc84b6ffa, 0x6e9ebe1bfcffe549, 0x6f6a8e527f36a7d5, 0x63f18bf54650e1b4, 0x222eb3879e790e76,
  0xe8ffea3e12fc4361, 0xac21374c98b87672, 0x0d7c8e4795bf929d, 0x0a62b80d1c8f8366, 0x16588a459a75a114,
  0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8,
  0xbd93f8abe7771525, 0x020271f8df81880f, 0xbcd914180ee0fbcf, 0x4dea53929d007e79, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00001d75a334514f,
};

// m640_u2x12_uart3_noled_pr
static const uint64_t ur_m640_u2x12_uart3_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0xa7f971f9fd2a609f, 0x9b53eab63904e400, 0x10f0da37b547293f, 0x81a0b8e47e80ef96, 0x6594cf7dad490e24,
  0xf3b57f47ac398b01, 0x9e5403ff6608ebd1, 0xec1c7c0f2cf6c7d9, 0xe73cf0dbf0310e87, 0xe6f00fa8301dce87,
  0xaeaa72f29b19e787, 0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0x3f8d163ce1b94b52, 0x4c2b93f75663c81a,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000000f900391e4a,
};

static const uint64_t ur_m640_u2x12_uart3_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xff0c367f4a9827c6, 0x6a7d56c7209c8014, 0x1e1b46f6a8e527f3, 0x34171c8fd01df2c2, 0xb299efb5a921c490,
  0x76afe8f58731602c, 0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xe79e1b7e0621d0fd, 0xde01f50603b9d0fc,
  0xd54e5e53633cf0fc, 0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e,
  0x00000001f2747937,
};

// m640_u2x12_uart3_noled_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart3_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x0d9fc09304f8c9dd, 0xab63904e4052ffc3, 0xa37b547293f9b53e, 0x95c89355ad1ce30d, 0x1c8f83660d318e47,
  0xcd3ad08a1df15f75, 0x6909afa30b2c4522, 0x0b39d5a5e715c6b2, 0x6ba1d79d376ded1e, 0x1211473c8c38d8d5,
  0x23f5b86f65b2e62e, 0x87ec00a89534a8d8, 0x87e73cf0dbf0310e, 0x87e6f00fa8301dce, 0x40aeaa72f29b19e7,
  0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xa1b824f257ee6866, 0x000000000004ebf1,
};

static const uint64_t ur_m640_u2x12_uart3_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x41b7ffcb8fcf98f9, 0x93f9b53eab63904e, 0x3faf410da37b5472, 0xf3bf3cdc3b9d8f96, 0xb2eb19cce7587727,
  0x481e338e47a973dc, 0x98b017a0487490e2, 0x8ebc5ced44a35073, 0x0fd83afc3dc72c67, 0x0fce79e1b7e0621d,
  0xdf3cf0fcde603b9d, 0x085a72460d4d894f, 0x4e31bc67440840c6, 0x163ce1b94b52fcdb, 0x93f75663c81a3f8d,
  0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce, 0x0016ea011e4a9e4a,
};

static const uint64_t ur_m640_u2x12_uart3_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xffc30d9f90f304f8, 0xb53eab63904e40e4, 0x430da37b547293f9, 0x3c79b9dc7b8c5fac, 0x25f886c2445d670f,
  0x262e1ffe068fd47c, 0x91c9e9ee59d5f593, 0xe749490e2481eb23, 0xdabfa3d61cc580a3, 0x2a01ffb33c75e8f9,
  0x838f81e5adc3eccf, 0xe79e1b7e0621d0fd, 0xde01f50603b9d0fc, 0xd54e5e53633cf0fc, 0x4b0b9c6378ce8815,
  0x36c490c76f62aa8b, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d, 0x0000000375c0bb4e,
};

// m640_u2x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m640_u2x12_uart3_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0xb3fbb5304f8c9dd4, 0xd8e4139018fff861, 0xded51ca4fe6d4faa, 0x1ca317ea8fe74368, 0x911759c3cf1e6e77,
  0x99cbf51f097e21b0, 0x6b083df3262e1e92, 0x06b5e391e57d44a7, 0x0531584f8e47c1b3, 0x0b2c4522cd3ad08a,
  0xabb74e23a909afa3, 0xaf3a6edbda3c1673, 0x1cf230e36355e363, 0xe1bd96cb98b84845, 0x59d12a6951b044c8,
  0x79e1b7e0621d0fd8, 0xe01f50603b9d0fce, 0x54e5e53633cf0fcd, 0xb0b9c6378ce8815d, 0x6c490c76f62aa8b4,
  0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x00000013f129c6e0,
};

static const uint64_t ur_m640_u2x12_uart3_noled_ee_hw[] = {
  0xbbb1277514680cc5, 0x7774b0b90412b1bb, 0x853d31b7a6ef7777, 0x31382f85eeeeff17, 0xd8361bb4dd033363,
  0xac59fc09304f8c9d, 0xeab63904e4052ffc, 0xda37b547293f9b53, 0x795c89355ad1ce30, 0x51c8f83660d318e4,
  0x2cd3ad08a1df15f7, 0x26909afa30b2c452, 0xe0b39d5a5e715c6b, 0x56ba1d79d376ded1, 0xe1211473c8c38d8d,
  0x823f5b86f65b2e62, 0xe87ec00a89534a8d, 0xe87e73cf0dbf0310, 0x787e6f00fa8301dc, 0x440aeaa72f29b19e,
  0x5545a585ce31bc67, 0xb52fcdb1248ab7b1, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x35a8a792bf734332, 0x0000000000016f8d,
};

// m640_u2x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart3_noled_ee_ce_hw[] = {
  0x777624eea28d0582, 0xdddd2c4e27e9d637, 0x23f51419ef4edddd, 0xb4bd485ef77c7bd3, 0x74ed043d2d5c9699,
  0x562cfeed4c13e327, 0xeab63904e4063ffe, 0xda37b547293f9b53, 0x9dc728c5faa3f9d0, 0xd8488bace1e79e43,
  0x9699bffa8f84bf10, 0xa76b083df3262e1f, 0xb306b5e391e57d44, 0x8a0531584f8e47c1, 0xa30b2c4522cd3ad0,
  0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044,
  0xce79e1b7e0621d0f, 0xcde01f50603b9d0f, 0x5d54e5e53633cf0f, 0xb4b0b9c6378ce881, 0xf36c490c76f62aa8,
  0x4e7ea138c6e52d4b, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x29e4afdcd0ccb0e9, 0x0000000280a03eea,
};

// m640_u2x12_uart3_lednop_pr
static const uint64_t ur_m640_u2x12_uart3_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0xcff2e3f3f38cc13e, 0x36a7d56c7209c817, 0x90e1b46f6a8e527f, 0x033491c8e4f1df2c, 0xdee987ce92921c49,
  0x766be4720a731602, 0x07dee39630475e2e, 0xf0dbf0310e87ec2b, 0x301dce87e781013c, 0x94e813c3f379b228,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xdca5a97e6db9c8ab, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xe70f254f257ee686, 0x0000000000000f90,
};

static const uint64_t ur_m640_u2x12_uart3_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xf861b3e13e609f19, 0x53eab63904e40807, 0xf0da37b547293f9b, 0xa0b8e47b58ef9610, 0x29be483f490e2481,
  0x967a3486731602cb, 0xa01ffb30475e8f9d, 0x15a07967b682cd22, 0xe786df8188743f64, 0x4180ee743f3c0809,
  0xe4a7409e1f9bcd91, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xc6e52d4bf36dce45, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x3e4d717ce093c95f,
};

// m640_u2x12_uart3_lednop_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart3_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0x367f7dcc13e32774, 0xad8e4139029eff0c, 0x8ded51ca4fe6d4fa, 0x56654d56b4738c36, 0x723e0d9834c6391e,
  0x69d68450ef8ac3dc, 0x484d7d1859622916, 0xd1cead2e7aae3593, 0xae875e74dda32464, 0x484504f237b56355,
  0x8fd6e1bd96cb98b8, 0x3f60043eccf2a360, 0x0809e786df818874, 0xcd914180ee743f3c, 0x7a94e4a7409e1f9b,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000013ae7eb6e093,
};

// m640_u2x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m640_u2x12_uart3_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0x5ff0c367ca5cc13e, 0x6d4faad8e413903a, 0x10c368ded51ca4fe, 0xcf1e6e7701a317eb, 0x097e21b0911759c3,
  0x262e1d36e76ff51f, 0x91fa49ee59d5f593, 0x888b490e2481eb23, 0x659e8d219cc580a9, 0xa807feccf1d7a3e7,
  0x415a0796b720b348, 0x9e786df8188743f6, 0x14180ee743f3c080, 0x4e4a7409e1f9bcd9, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x98dca5a97e6db9c3, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0375c6a91c12792b,
};

// m640_u2x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m640_u2x12_uart3_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0xd9fd35304f8c9dd0, 0xb63904e41ff3fc30, 0x37b547293f9b53ea, 0x93a8c5faa3f9d0da, 0x2445d670f3c79b9d,
  0x0d07fd47c25f886c, 0xb5841ef993170f95, 0x835af1c8f2beea53, 0x0298af6fc723e0d9, 0x85962291669d6845,
  0xd5db8f51d484d7d1, 0xebce9bb4648c9a39, 0x413c8ded58d578d8, 0x386f65b2e62e1211, 0x2cc7d99e546c1132,
  0x3cf0dbf0310e87ec, 0x28301dce87e78101, 0x9c94e813c3f379b2, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6,
  0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x027e596fb824f257,
};

static const uint64_t ur_m640_u2x12_uart3_lednop_ee_hw[] = {
  0xbbb1277514682d7b, 0xeee96172056eb1bb, 0x8261550f5a5eeeee, 0x8f382f85eeeeff16, 0x51d94ad7647ef17d,
  0xb167f7dcc13e3277, 0xaad8e4139029eff2, 0x68ded51ca4fe6d4f, 0xe56654d56b4738c3, 0xc723e0d9834c6391,
  0x669d68450ef8ac3d, 0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246, 0x8484504f237b5635,
  0x08fd6e1bd96cb98b, 0x43f60043eccf2a36, 0xc0809e786df81887, 0xbcd914180ee743f3, 0x37a94e4a7409e1f9,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000005bf765aa29e,
};

// m640_u2x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart3_lednop_ee_ce_hw[] = {
  0xeeeec49dd451a111, 0xbbbba589c4f91ac6, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0xeeabe67da58a5dac,
  0xe562cfe9a9827c64, 0x9f55b1c82720ff9f, 0x86d1bdaa3949fcda, 0x1cec9d462fd51fce, 0x86c2445d670f3cf2,
  0x7eb3643fd47c25f8, 0x529dac20f7cc98b8, 0x06cc1ad78e4795f7, 0x422814c57b7e391f, 0xbe8c2cb1148b34eb,
  0xd1ceaedc7a8ea426, 0xc6c75e74dda32464, 0x908a09e46f6ac6ab, 0x8991c37b2d973170, 0x3f61663eccf2a360,
  0x0809e786df818874, 0xcd914180ee743f3c, 0x7a94e4a7409e1f9b, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357,
  0x42718dca5a97e6db, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x00028087549453c9,
};

// m640_u2x12_uart3_dual_pr          m640_u2x12_uart3_dual_pr_u4
static const uint64_t ur_m640_u2x12_uart3_dual[] = {
  0x776fc60f4486bd5b, 0x7770f9337adebf77, 0x73338e3a76b77777, 0xc323bdddd697644a, 0xe5ddfb84e5682d8a,
  0x522e46609f19256e, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0xe702eb3143fcca02, 0x651668e47f9db090,
  0x9fbe08a149120920, 0x89f5c3e144313e1f, 0xe22195672f4ce0cd, 0x9e133df150865a0b, 0xcaf212dbd4affa03,
  0x20eebfc90a4c161b, 0x49fcda9f55b1c827, 0xbe589a86d1bdaa39, 0x71240c43c723e453, 0xb01541e69c5efa48,
  0xf00676b591d7f398, 0x0e90d500ffd9823a, 0xc549549d03cb3db1, 0x88743f64fe2af9dd, 0x3f3c0809e786df81,
  0x1f9bcd914180ee74, 0xf9537a94e4a7409e, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xdc68b224c6e52d4b,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xe093c95fb9a19961, 0x0000000029277d50,
};

// m640_u2x12_uart3_dual_pr_ee_u4
static const uint64_t ur_m640_u2x12_uart3_dual_pr_ee[] = {
  0xbbb7e307a2436f02, 0x7770fa9ba2ff5fbb, 0xf4fbfb5a80777777, 0x32e364774c894a2a, 0x35d08459baafad04,
  0x609f19306ee4fe1f, 0x75f64c8c154867ae, 0x2e20614306d23037, 0xa76ff328094ee9f1, 0x1c66f61bb4704db9,
  0x52448248185a9a39, 0x510c4f87e7ef8228, 0xcbd33949427d70f8, 0xa8432d0386886559, 0xa1fffa039e133938,
  0x14982c3795e425b7, 0x56c7209c834dff92, 0x46f6a8e527f36a7d, 0x56bee6ab5a39121b, 0x723e0d983052391e,
  0x69d68450ef8aea54, 0x484d7d1859622916, 0x673ab4b994b8a973, 0xba1d7a89768851ef, 0x908a04547cf58d56,
  0x3f5b86f65f4b3170, 0xa9280427f58a8d82, 0x0e87ec9fc55f3bb8, 0xe781013cf0dbf031, 0xf379b228301dce87,
  0x2a6f529c94e813c3, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x8d164498dca5a97e, 0x539fa9d599bf83bb,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a,
  0x000000002b22681c,
};

// m640_u2x12_uart3_dual_pr_ce_u4
static const uint64_t ur_m640_u2x12_uart3_dual_pr_ce[] = {
  0x776fc60f44860aac, 0xeee1f85fd77ebf77, 0x49c9b168ebeeeeee, 0x2eafb7774489918d, 0x7d5e5902c70455f6,
  0x1e729827c64f91b9, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x1d3f358ffe650129, 0x534723f57ec287ce,
  0xf0450a489049038e, 0xae1f0a2189f0fcfd, 0x0cab397a6739684f, 0x631f150865a05151, 0x425b78adff4073c2,
  0x2ff9214982c3795e, 0x36a7d56c7209c818, 0x2fa1b46f6a8e527f, 0xcf1e6e7695a317eb, 0x097e21b0911759c3,
  0x93170f5bf003f51f, 0x471bf3dcb3abd4b9, 0x0f9490e2481d4b8e, 0x5ac8ebf9cc580a0a, 0x807feccf1d78033b,
  0x93a0796b7087486a, 0xec9fc55f3bb8a92a, 0x013cf0dbf0310e87, 0xb228301dce87e781, 0x529c94e813c3f379,
  0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0x8931b94b52fcdb73, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00034909c5b824f2,
};

static const uint64_t ur_m640_u2x12_uart3_dual_pr_ee_ce[] = {
  0xbb7e307d4143359b, 0x770f933aeff5fbbb, 0x40362fa0fb777777, 0xad12ef74054e24d7, 0x29368d7526f26517,
  0x827c6494eb90f0cc, 0xd7d932305521d3a9, 0xb881850c1b48c0dd, 0x35bfcca0253ba7c4, 0x1e006c0521c3f5e6,
  0xa48904903b5b9a39, 0xa2189f0fcfdf0450, 0x2f4ce77584fae1f0, 0xa10cb43672219567, 0xff3fe80e784d95a2,
  0x2930586f2bc84b6e, 0x5b1c8272031fff24, 0x1bdaa3949fcda9f5, 0xdc72b1fd51fee86d, 0x61ee4492bf3c79b9,
  0xfe4a76b02cdd339d, 0x3e0d9835f2391e56, 0xd68450298ae03472, 0x4d7d185962291669, 0xf7b39d5db8ca1d48,
  0x578d8ebd44bb4428, 0x70908a04547cf58d, 0xc1132386f65f4b31, 0xdc5494b313fac546, 0x188743f64fe2af9d,
  0x43f3c0809e786df8, 0xe1f9bcd914180ee7, 0xef9537a94e4a7409, 0x2d3574e31bc67440, 0x7e6db9c31dbd8aaa,
  0xb8d1607a18dca5a9, 0x1539fa9d599bf83b, 0x0f9a3ed87138d286, 0x1964b867a615c9f8, 0x866587494b670e27,
  0x003a2b824f257ee6, 0x0000000000000010,
};

static const uint64_t ur_m640_u2x12_uart3_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87f3202, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0xe4fa6b0ce34f26bc,
  0x19276ae434e83ebd, 0x99182a9047ae609f, 0xc2860da4606eebec, 0xccac049dd3e25c40, 0xb066f9c12a26b91f,
  0x2481f60cd1c8fcb5, 0xf87e7ef822852448, 0x0c2e27d70f8510c4, 0x402d22195672f4ce, 0x80e784c7062a10cb,
  0x0de579096dff5ffe, 0x9c81fe7fe19a260b, 0xe527f36a7d56c720, 0xbf54650e1b46f6a8, 0x70f3cf8067663f18,
  0x47c25f886c2445d6, 0xd3262e1cc03743fd, 0x91e56fe4a76b084d, 0x034723e0d9835f23, 0x91669d68450298ae,
  0xa1d484d7d1859622, 0xb4428f7b39d5db8c, 0xcf58d578d8ebd44b, 0xf4b3170908a04547, 0xac546c1132386f65,
  0x2af9ddc5494b313f, 0x86df8188743f64fe, 0x80ee743f3c0809e7, 0xa7409e1f9bcd9141, 0x67440ef9537a94e4,
  0xd8aaa2d3574e31bc, 0xca5a97e6db9c31db, 0xdfc1a3f8d164498d, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e,
  0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x15623fc33c95fb9a, 0x0000000000001001,
};

static const uint64_t ur_m640_u2x12_uart3_dual_ee_hw[] = {
  0xddbf183d14680aac, 0xbb87d4dd17fafddd, 0xa7dfdad403bbbbbb, 0x971b23ba644a5157, 0xbcb269c1557d6821,
  0xd7304f8c983772fa, 0x1bbafb26460aa433, 0xf8971030a1836918, 0xdcd3b7f995d06774, 0x1c8e337b0dda3826,
  0x14292241240c2d4d, 0x7c288627c3f3f7c1, 0xace5e99ca4a13eb8, 0x9c54219681c34432, 0xdbd0fffd01cf099c,
  0xf9524c161bcaf212, 0x3eab63904e41a6ff, 0x0da37b547293f9b5, 0x8f2b5f7355ad1c89, 0x2a391f06cc18291c,
  0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6,
  0xc11fadc37b2fa598, 0xdc54940213fac546, 0x188743f64fe2af9d, 0x43f3c0809e786df8, 0xe1f9bcd914180ee7,
  0xef9537a94e4a7409, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0x54e7ea138c6e52d4, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000aed704d3,
};

// m640_u2x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m640_u2x12_uart3_dual_ee_ce_hw[] = {
  0xedf8c1e8a3457c3b, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0x7eb7fb0ce34f26bc,
  0x09f19276ae4559e2, 0xbec99182a9047ae6, 0xc40c2860da4606ee, 0xc8fe657419dd3e25, 0xe5ad8337ce095135,
  0x2241240fb0668e47, 0x8627c3f3f7c11429, 0xa67061713eb87c28, 0x865a016910cab397, 0xfff4073c26383150,
  0x30586f2bc84b6ffa, 0x8e413903fcffe549, 0xed51ca4fe6d4faad, 0x7e317ea8ca1c368d, 0x45d670f3cf21cecc,
  0x1ffd47c25f886c24, 0x8426e993170ece5d, 0xaf91c8f2b7f253b5, 0x4c5701a391f06cc1, 0xcb1148b34eb42281,
  0xedc650ea426be8c2, 0xea25da2147bd9cea, 0x22a3e7ac6abc6c75, 0x37b2fa598b848450, 0x989fd62a3608991c,
  0xb27f157ceee2a4a5, 0x04f3c36fc0c43a1f, 0xc8a0c0773a1f9e04, 0x4a7253a04f0fcde6, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0x38c6e52d4bf36dce, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x03aeb4668a29e4af,
};

// m128_autobaud_uart0_noled_pr      m128a_autobaud_uart0_noled        m128a_autobaud_uart0_noled_pr
static const uint64_t ur_m128_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xd7dddddd55e61183, 0xf9656eac1c5b5a68, 0x8250891783eeee8b, 0x057793bb0bd68f1e,
  0xe7f4a9827c602413, 0x75a81102053fc2a0, 0xa885d7c90ff80ba1, 0xb05a76849c12657e, 0x0667bd477b477cb6,
  0x7ba626921d243892, 0xc26791c351cc580b, 0xa9ee39630475e2eb, 0x46293cb4e9450acb, 0x537ae7e28f2dd347,
  0xc5fcdba41abd4a5e, 0x54e0530bc502169d, 0x52d4bf2b6cce9e87, 0x886566cf0cc377c2, 0xcc790347f1a2cf7f,
  0x592e19e985727eea, 0x316fd252d9c389c6, 0xd3c9c17398b35e67, 0x000003888371f88d,
};

// m128a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_m128_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed121b562, 0xbdddddd55e612b48, 0x694224553376de8d, 0xe978ff07ddddd043, 0x793ba69638d93123,
  0x4a9827c602413057, 0x40881029ff85767f, 0x2ebe487fc05d0bad, 0xd3b424e0932bf544, 0xdfa8f5fcef9613e2,
  0x86facfa4871240c7, 0x1a333c731602cb29, 0xffd9823af47d7852, 0x03cb3db50774d500, 0xc527969d28a54f27,
  0xbd73f1478e5268e8, 0x7e6dd20d5ea52f29, 0xaa2d380b9e8754e0, 0xcadb33875156ff7a, 0x03c330ddf094b52f,
  0x83bb8d167bfc4372, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0x7ff05347d8cec38f, 0x3d30be347a2ff03f,
  0x4a5b387138cb25c3, 0x2e73166bcce62dfa, 0x1186a72559a27938,
};

/*
 * m128_autobaud_uart0_noled_pr_ee_u4 m128a_autobaud_uart0_noled_pr_ee
 * m128a_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_m128_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1219541, 0xbdddddd55db04d88, 0x45685365c7469ed0, 0x336a6877ab6ed68c, 0x75a77daa67b28fd8,
  0x04f8c048260aef27, 0x08a5ffe15d9fc093, 0x243fe02e85d6a044, 0x12704995faa2175f, 0x719aad68e6e169da,
  0x1f06cc18f9ea3cae, 0xebec5a6ef8ad00f5, 0x6be96c65c709c370, 0x75697c9171ac9a42, 0xaf3a77849a4627ce,
  0x6f691e33b1aad743, 0x37b2d97ce038ec5a, 0x4e9cb2546c11fadc, 0x8e8c527969d28a00, 0xf29bd73f1478e526,
  0x4e07e6dd20d5ea52, 0xf7aaa2d380b9e875, 0x52fcadb33875156f, 0x37203c330ddf094b, 0x9bf83bb8d167bfc4,
  0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0x03f7ff05347d8cec, 0x5c33d30be347a2ff, 0xdfa4a5b387138cb2,
  0x9382e73166bcce62, 0x00026a7655659a27,
};

/*
 * m128_autobaud_uart0_noled_pr_ce_u4 m128a_autobaud_uart0_noled_pr_ce
 * m128a_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart0_noled_pr_ce[] = {
  0x96eeeeeed121af43, 0xbdddddd55cf05048, 0x7f0a7a636f619eb4, 0xc5e6c02fdddd2f7c, 0xbc9dd764afbe9ce2,
  0x82cc13e30120982b, 0x81102387ff85767d, 0x5d7c90ff80ba175a, 0xa76849c12657ea88, 0x9b9d87b037f5c905,
  0x89ecb3879e7085b7, 0xfea3c2784bf10d84, 0x3db84889c3a6dced, 0x8ed7d3dcb7d7ac9b, 0xf9ea4871240cd27a,
  0xa4346678e62c05de, 0x01ffb33c75e8faf0, 0x9381e5adca0ee9aa, 0x746293cb4e9452a7, 0x94deb9f8a3c72934,
  0x703f36e906af5297, 0xbd55169c05cf43aa, 0x2fcadb3387463b7f, 0x7203c330ddf094b5, 0xbf83bb8d167bfc43,
  0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x3f7ff05347d8cec3, 0xc33d30be347a2ff0, 0xfa4a5b387138cb25,
  0x382e73166bcce62d, 0x0011baf1a1d9a279,
};

/*
 * m128_autobaud_uart0_noled_pr_ee_ce_u4 m128a_autobaud_uart0_noled_pr_ee_ce
 * m128a_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart0_noled_pr_ee_ce[] = {
  0x2ddddddda243704a, 0x7777775572209771, 0x7c94c4d0bdc9da64, 0x891ff5e5c7750406, 0x475d35c057768cc4,
  0x4f8c048260aef277, 0x8347fe15d9f7f930, 0x43fe02e85d6a0440, 0x2704995faa2175f2, 0x80dfd51c87169da1,
  0x1e79c216de6e7715, 0xe12fc4361227b2ce, 0x4e1f2a1a0ffa8f09, 0xdac74f7cd9edc244, 0x9838cbd479582929,
  0x698a62b97dea3e0d, 0xb1971c270dc3afb1, 0xabb76483a909afa5, 0x79d3bc24d2313e73, 0xf691e33b1aaf1b1d,
  0x7b2d97ce038ec5a6, 0x74e592a3608991c3, 0x746293cb4e9450b3, 0x94deb9f8a3c72934, 0x703f36e906af5297,
  0xbd55169c05cf43aa, 0x2fcadb3387463b7f, 0x7203c330ddf094b5, 0xbf83bb8d167bfc43, 0xbca1854895a9d599,
  0x8fe32fcc4ffef0f7, 0x3f7ff05347d8cec3, 0xc33d30be347a2ff0, 0xfa4a5b387138cb25, 0x382e73166bcce62d,
  0x0008224a6b59a279,
};

// m128a_autobaud_uart0_noled_ee_hw
static const uint64_t ur_m128_autobaud_uart0_noled_ee_hw[] = {
  0xb77777768a341202, 0xeeeeeeaaed826c44, 0x2b429b2e3a34f685, 0x9b5343bd5b76b462, 0x776c4d86d0147ec1,
  0x304f8c048260aef2, 0x20452fffac99fc09, 0xf921ff01742eb502, 0xd093824cafd510ba, 0x738cd56b47370b4e,
  0xa8f83660c7cf51e5, 0x875f62d377c56807, 0x135f4b632e384e1b, 0x73ab4be48b8d64d2, 0x1d79d3bc24d2313e,
  0xd37b48f19d8d56ba, 0xe1bd96cbe701c762, 0x0274e592a3608fd6, 0x34746293cb4e9450, 0x9794deb9f8a3c729,
  0xaa703f36e906af52, 0x7fbd55169c05cf43, 0x5a97e56d99c3a8ab, 0xd4e9f1e1986ef84a, 0xff787bde50c2a44a,
  0xec6761c7f197e627, 0x3d17f81fbff829a3, 0x9c6592e19e985f1a, 0xe67316fd252d9c38, 0x5f453c9c17398b35,
  0x0000000001627d04,
};

/*
 * m128_autobaud_uart0_noled_ee_ce_u4_hw m128a_autobaud_uart0_noled_ee_ce_hw
 * m128a_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed14683375, 0xbbbbbaab9104bb89, 0xe4a62685ee4ed323, 0x48ffaf2e3ba82033, 0xec6aa2fd75b46624,
  0x09f180904c15de4e, 0x08347ff5933eff26, 0x243fe02e85d6a044, 0x12704995faa2175f, 0x580dfd51c87169da,
  0xc3cf3842df90e771, 0x3c25f886c244f659, 0x44e1d9f3acff51e1, 0x9dac74f7cd9edc24, 0xd9838cbd47958292,
  0x1698a62b97dea3e0, 0x5b1971c270dc3afb, 0x3abb76483a909afa, 0xd79d3bc24d2313e7, 0x6f691e33b1aaf1b1,
  0x37b2d97ce038ec5a, 0x374e592a3608991c, 0x4746293cb4e9450b, 0x794deb9f8a3c7293, 0xa703f36e906af529,
  0xfbd55169c05cf43a, 0x52fcadb3387463b7, 0x9d3e3c330ddf094b, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0xa2ff03f7ff05347d, 0x8cb25c33d30be347, 0xce62dfa4a5b38713, 0xe8a79382e73166bc, 0x0000000012a49a41,
};

// m128a_autobaud_uart0_lednop
static const uint64_t ur_m128_autobaud_uart0_lednop[] = {
  0x25bbbbbbbacdc49f, 0x9eeeeeeaaf3085ee, 0xb2b67eefc3fa3349, 0x9d7d68c1f77745fc, 0x0aef2776a1a9bdc2,
  0xcfce3304f8c04826, 0xeb502204be7f8541, 0x510baf921ff01742, 0x60b4ed093824cafd, 0x199ef51daf8ef96d,
  0xf74dbdf3d490e248, 0x8438a3d62398b016, 0x07dc72c608ebc5d7, 0x81013cb4e9450ac5, 0x07147807d3474629,
  0x90dc5d4e5e53633a, 0xd2c2e7a1d53812b2, 0x6769c7156ff7aaa2, 0x61bbe1296a5f95b6, 0xf4c2b93f7cf26786,
  0x296ce1c4e32c970c, 0xb9cc59af3398b7e9, 0x598a072c46e9e4e0, 0x0000000000000003,
};

// m128_autobaud_uart0_lednop_pr_u4  m128a_autobaud_uart0_lednop_pr    m128a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_m128_autobaud_uart0_lednop_pr[] = {
  0x2ddddddda2432aac, 0xf7777755798475f1, 0xd2b4a12fcd2e3b50, 0x6dfa5e6fbbbba086, 0x793ba626e09208cf,
  0x4f9827c602413057, 0x81102403ff0aecf8, 0x5d7c90ff80ba175a, 0xa76849c12657ea88, 0xbf51d679df2c27c5,
  0xc3e741490e24818f, 0x2d19a4398b016594, 0x7fecc11d7a3ebc35, 0x81e59edd12a0ea80, 0x1013cb4e9451f46e,
  0x7147807d34746298, 0x0dc5d4e5e53633a0, 0x2c2e7a1d53812b29, 0x769c7156ff7aaa2d, 0x1bbe1296a5f95b66,
  0xa2cf7f886e407866, 0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0xc68f45fe07effe0a,
  0x0e271964b867a617, 0xcd799cc5bf494b67, 0x793b344f2705ce62, 0x00000000000230cc,
};

/*
 * m128_autobaud_uart0_lednop_pr_ee_u4 m128a_autobaud_uart0_lednop_pr_ee
 * m128a_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_m128_autobaud_uart0_lednop_pr_ee[] = {
  0x4b7777776890c582, 0x0dddddd55db0717c, 0x889b0b4663b41742, 0x3f764d0ef56ddad1, 0xeeb6239cb05390d3,
  0x609f180904c15de4, 0x8129effc2bb3fbee, 0xe487fc05d0bad408, 0x424e0932bf5442eb, 0x9eb355ad1cdc2d3b,
  0xa3e0d9831f3d4795, 0x1d7d8b4ddf15f51e, 0x4d7d2d8cb8e1386e, 0xcead2e0a2e359348, 0xebce9de1b868c439,
  0x6d7c8e416c6ab5d0, 0x37b2d97ce038ec5a, 0x941dd3546c11fadc, 0xa60404f2d3a51400, 0xe81c51e01f4d1d18,
  0xca43717539794d8c, 0x8b4b0b9e8754e04a, 0xd99da71c55bfdeaa, 0x1986ef84a5a97e56, 0xdc68b3dfe21b901e,
  0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x829a3ec6761c7f19, 0x85f1a3d17f81fbff, 0xd9c389c6592e19e9,
  0x98b35e67316fd252, 0x38c1cacd13c9c173, 0x0000000000000135,
};

/*
 * m128_autobaud_uart0_lednop_pr_ce_u4 m128a_autobaud_uart0_lednop_pr_ce
 * m128a_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed121b032, 0xfbbbbbaab9e095b8, 0x7d04c2aa1ed0bd7a, 0x0cf17e3bdddd2f7c, 0x793bb61b65791499,
  0x569827c602413057, 0x0220450fff0aecfe, 0xbaf921ff01742eb5, 0x4ed093824cafd510, 0x9b9dbf806feb920b,
  0x89ecb3879e7085b7, 0x7ea3c2784bf10d84, 0xcf6e122270eff310, 0xa8fcf4f72df5eb26, 0xc89ea4871240cd27,
  0x0d4b46690e62c058, 0xa01ffb33c75e8faf, 0x46e81e5add44a83a, 0x2981013cb4e9451f, 0x3a07147807d34746,
  0xb290dc5d4e5e5363, 0xa2d2c2e7a1d53812, 0x6cced38cc76ff7aa, 0x0cc377c252d4bf2b, 0xee3459eff10dc80f,
  0x152256a75666fe0e, 0xbf313ffbc3def286, 0xc14d1f633b0e3f8c, 0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4,
  0xcc59af3398b7e929, 0xea7eb76689e4e0b9, 0x0000000000000046,
};

/*
 * m128_autobaud_uart0_lednop_pr_ee_ce_u4 m128a_autobaud_uart0_lednop_pr_ee_ce
 * m128a_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x2ddddddda243306a, 0xf777775572208371, 0x3977c9420d817acc, 0xcfe9faf2e3ba8203, 0xdad5779dad9bc9c8,
  0x13e30120982bbc9d, 0xa76fff0aecfd6fcc, 0x43fe02e85d6a0440, 0x2704995faa2175f2, 0x40dfd51c87169da1,
  0x1e79c216de6e7670, 0xe12fc4361227b2ce, 0x4e1d4939bffa8f09, 0xdac74f7cd9edc244, 0x9838cbd4795a0129,
  0xb4c5315e95ea3e0d, 0xd8cb8e1386e1d7d8, 0xd5db8141d484d7d2, 0x79d3bc370d188739, 0x5f23905b1aaf1b1d,
  0xecb65f380e3b169b, 0x83ba6a8d8226470d, 0xc0809e5a74a2859a, 0x038a3c03e9a3a314, 0x486e2ea72f29b19d,
  0x696173d0ea9c0959, 0x6769c663b7fbd551, 0x61bbe1296a5f95b6, 0x1a2cf7f886e40786, 0x912b53ab337f0777,
  0x989ffde1ef79430a, 0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6,
  0x98beb344f2705ce6, 0x0000000000001044,
};

// m128a_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_m128_autobaud_uart0_lednop_ee_hw[] = {
  0x5bbbbbbb451a18e2, 0x6eeeeeaaed838be2, 0x44d85a331da0ba10, 0xfbb26877ab6ed68c, 0x4ee86e415a768699,
  0xe609f180904c15de, 0x44094f7ff5933fbe, 0x5f243fe02e85d6a0, 0xda12704995faa217, 0xacf59aad68e6e169,
  0xf51f06cc18f9ea3c, 0x70ebec5a6ef8afa8, 0x426be96c65c709c3, 0xce7569705171ac9a, 0x875e74ef0dc34621,
  0xd36be4720b6355ae, 0xe1bd96cbe701c762, 0x04a0ee9aa3608fd6, 0xc5302027969d28a0, 0x6740e28f00fa68e8,
  0x56521b8ba9cbca6c, 0x545a585cf43aa702, 0xb6cced38e2adfef5, 0xf0cc377c252d4bf2, 0xef286152256a74f8,
  0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b,
  0x0000b13d822fa29e,
};

/*
 * m128_autobaud_uart0_lednop_ee_ce_u4_hw m128a_autobaud_uart0_lednop_ee_ce_hw
 * m128a_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xb77777768a34304a, 0xdddddd55c8820dc4, 0xe5df25083605eb33, 0x3fa7ebcb8eea080c, 0xbbd7773b6abf2723,
  0x827c602413057793, 0x0a76fffac99fadf9, 0x243fe02e85d6a044, 0x12704995faa2175f, 0x040dfd51c87169da,
  0xc3cf3842df90e767, 0x3c25f886c244f659, 0x44e1d2a2e47f51e1, 0x9dac74f7cd9edc24, 0xd9838cbd4795a012,
  0x8b4c5315e95ea3e0, 0x2d8cb8e1386e1d7d, 0x9d5db8141d484d7d, 0xd79d3bc370d18873, 0xb5f23905b1aaf1b1,
  0xdecb65f380e3b169, 0xa83ba6a8d8226470, 0x4c0809e5a74a2859, 0xd038a3c03e9a3a31, 0x9486e2ea72f29b19,
  0x1696173d0ea9c095, 0x66769c663b7fbd55, 0x661bbe1296a5f95b, 0x9430a912b53a7c78, 0xfc65f989ffde1ef7,
  0xeffe0a68fb19d871, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x0012a42725514f27,
};

/*
 * m128_autobaud_uart0_dual_pr       m128_autobaud_uart0_dual_pr_u4    m128a_autobaud_uart0_dual
 * m128a_autobaud_uart0_dual_pr      m128a_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_m128_autobaud_uart0_dual[] = {
  0x9bbbbbbb44860aac, 0xf777775e44136550, 0xd5f1da0dda58b7ae, 0xa8e7586dddde9d06, 0xeee3fa8c547c7865,
  0xe30120982bbc9312, 0xa191b5148300cc13, 0x0a193ed22d67dd56, 0x4a0129dd3ee5f103, 0xc701adc5c9d7e658,
  0x1e569bd47d37b08a, 0x53e5c5e852448248, 0x510c4aff3f7c117e, 0x9f90f969a03770f8, 0x437cb8bbf92f97cb,
  0x684e28865ff2105a, 0xe80e784d92454219, 0x156662e72f6ebeff, 0x0881489fe49f4c16, 0xebe487fc05d0bad4,
  0x3b424e0932bf5442, 0xbd47b8677cb73c2d, 0x7c9bdd24389206f6, 0x68d059cc580bac53, 0xfb30475e0355e1c1,
  0xf2cf6c38c82aa01f, 0xe67d1cccacd357c0, 0x5302027969d28a4f, 0x740e28f00fa68e8c, 0x6521b8ba9cbca6c6,
  0x45a585cf43aa7025, 0x6cced38e2adfef55, 0x0cc377c252d4bf2b, 0xee3459eff10dc80f, 0x152256a75666fe0e,
  0xbf313ffbc3def286, 0xc14d1f633b0e3f8c, 0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4, 0xcc59af3398b7e929,
  0x055e7d6689e4e0b9, 0x0000000000000017,
};

// m128a_autobaud_uart0_dual_pr_ee
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ee[] = {
  0x84dddddddd435202, 0x0eeeeeebc9516bbe, 0x89ae806c5f7dc6da, 0x32b40ce276eabe49, 0xc5f7615ef59587d9,
  0x120982bbc96c4ee5, 0x36a291dc7cc13e30, 0x27da45acfbaad432, 0x253ba7dcbe206143, 0xadf17986fccb0940,
  0x9bd47149b0fd7381, 0x8bd0a48904903adf, 0x95fe7ef822fca7cb, 0xc9a0e06ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x09a43c5421968305, 0x5ce5edd2d7fd01cf, 0xebfc93e982c2accc, 0xff01742eb5022056,
  0x824cafd510baf921, 0xd56b47a50b4ed093, 0x6cc1fc9ea3caf6fc, 0xc5a6ef8accaf51f0, 0x96c65c709c370ebe,
  0x5cf55c09f9a426be, 0x9de11be8c9e39d5a, 0x8d21d8d56ba1d7b1, 0xef76701c762d359e, 0x33546c11fadc37b2,
  0x33e8e6656601482e, 0x981013cb4e94527f, 0xa07147807d347462, 0x290dc5d4e5e53633, 0x2d2c2e7a1d53812b,
  0x66769c7156ff7aaa, 0x661bbe1296a5f95b, 0x8d167bfc432b3678, 0x0ae4fdd599bf83bb, 0xb387138cb25c33d3,
  0x3166bcce62dfa4a5, 0x5e3a2d9a279382e7, 0x0000000000000104,
};

// m128a_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ee_u4[] = {
  0x77777768a87f3202, 0xbbbbaf2545aefa13, 0xba01b17df71b683b, 0xd03389dbaaf92626, 0x5795effade1f64ca,
  0x982bbc96c4ee3522, 0x291dc7cc13e30120, 0xa45acfbaad43236a, 0xba7dcbe20614327d, 0x2f30df9961298093,
  0x8e29361fae7035be, 0x14912092075bf37a, 0xcfdf045f94f9717a, 0x1c0ddc3e144312bf, 0xf92f97cb9f90f934,
  0x5ff2105a437cb8bb, 0x878a8432d060a886, 0xbdba5affa039e134, 0x29c7305855998b9c, 0x742eb5022056ebff,
  0xafd510baf921ff01, 0x47a50b4ed093824c, 0xfc9ea3caf6fcd56b, 0xef8accaf51f06cc1, 0x5c709c370ebec5a6,
  0x5c09f9a426be96c6, 0x1be8c9e39d5a5cf5, 0xd8d56ba1d7b19de1, 0x701c762d359e8d21, 0x6c11fadc37b2ef76,
  0xe6656601482e3354, 0x13cb4e94527f33e8, 0x47807d3474629810, 0xc5d4e5e53633a071, 0x2e7a1d53812b290d,
  0x9c7156ff7aaa2d2c, 0xbe1296a5f95b6676, 0xcf7f886e4078661b, 0xa9d599bf8347f1a2, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871, 0xaa9279382e73166b,
  0x0000000a54894852,
};

// m128a_autobaud_uart0_dual_pr_ce
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ce[] = {
  0xdddddddd41435202, 0xeeeeebc856e8be84, 0x57a7dfdad0b6a6be, 0xf5a8d5bbba539a71, 0x72e2fbb2d07594a3,
  0x180904c15de4d897, 0x0c8da8a40592609f, 0x50c9f6916b3eeab5, 0x50094ee9f72f8818, 0xe13b7c5ed6ff32c2,
  0x8fcdea3eed6c136c, 0xe5c5e85244824819, 0x0c4aff3f7c117e53, 0x21f2e5a03770f851, 0xf97177f25f2f973f,
  0x52910cbfe420b486, 0x73c268f7150865a1, 0x3317397b7cadff40, 0x13a5ff24fa60b0ab, 0x487fc05d0bad4088,
  0x24e0932bf5442ebe, 0xdf015df55ae2d3b4, 0xb7f9e7085b79b9de, 0x40aee122270fbb49, 0xa3f413dcb3db13f3,
  0x1b5a921c4903417e, 0x382d1a0b398b0153, 0x03ff6678ebc06abc, 0xbe0796b707190554, 0x527f33e8e665669a,
  0x7462981013cb4e94, 0x3633a07147807d34, 0x812b290dc5d4e5e5, 0x7aaa2d2c2e7a1d53, 0xf2b6cced38cc76ff,
  0x04f0cc377c252d4b, 0xc1ddc68b3dfe21ef, 0x50c2a44ad4eaccdf, 0xf04d1f633b0e271a, 0x8cb25c33d30ae4fd,
  0xce62dfa4a5b38713, 0x9a279382e73166bc, 0x00000000ad7b4d05,
};

// m128a_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ce_u4[] = {
  0x77777768a87fbb90, 0xeeeeebc9417bba13, 0x3eabfaef41f6b85e, 0xefa2fdddd1edf691, 0xec67d7fabb37421a,
  0x120982bbc9b0cee6, 0x36a2909c7cc13e30, 0x27da45acfbaad432, 0x093ba7dcbe206143, 0xd7e2e6b7f9961298,
  0x9bd47801b014870f, 0x8bd0a48904903b5b, 0x95fe7ef822fca7cb, 0xe595006ee1f0a218, 0xe2efe4be5f2e7e43,
  0xa2197fc841690df2, 0x84df3a2a10cb40a5, 0x2e72f6e4ebfe80e7, 0xeffca71cc1615666, 0xfc05d0bad408814a,
  0x0932bf5442ebe487, 0x01bface22d3b424e, 0xf3ce10b7f00ceff7, 0x097e21b0913d9670, 0x4e1e000a4fd4784f,
  0x96fac4fcd9edc244, 0x8920682fd47e827b, 0x6731602a636b5243, 0x1d780d578705a341, 0xe0e320aa807feccf,
  0x1cccacd357c0f2d6, 0x027969d28a4fe67d, 0x28f00fa68e8c5302, 0xb8ba9cbca6c6740e, 0x85cf43aa70256521,
  0xa7198edfef5545a5, 0xef84a5a97e56d99d, 0xb3dfe21b901e1986, 0x6a75666fe0d1fc68, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d, 0xf3398b7e9296ce1c, 0xaaa49e4e0b9cc59a,
  0x000000056bde7fe1,
};

// m128a_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ee_ce[] = {
  0xba13777777750c86, 0xe3feeeeeebc80cc9, 0xd957eecda01db04d, 0xcc8907c625056ef5, 0xee78233a96453a19,
  0xe30120982bbc9086, 0x191b5148e3c9cc13, 0xa193ed22d67dd56a, 0xa0129dd3ee5f1030, 0x8339717e8ffe6584,
  0xf937a8ec87b0a4a3, 0x9717a1491209206c, 0x312bfcfdf045f94f, 0x0f93aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x828865ff2105a437, 0x9e1369b8a8432d03, 0x317397b7adfffa03, 0x7fcff24fa60b0ab3, 0x87fc05d0bad40881,
  0x4e0932bf5442ebe4, 0x0aefaa380c2d3b42, 0xcf3842dbcdceca58, 0xbb84889c3e206bbf, 0x0094ed7e2298cd02,
  0x3e0d983c8bea3cad, 0xd7d8b4c5315829ea, 0xd7d2d8cb8e1386e1, 0x8739d5dbb241d484, 0x1b1d794d5e127918,
  0x8b4d21a3905b1aaf, 0x91c37b2dc99c071d, 0x67d1cccacf18a839, 0x302027969d28a4fe, 0x3a071478e7e1e8c5,
  0x0b4864aa5ab94a5f, 0x9c0840c6085a54f8, 0x5a97e56d99d3d0ea, 0x0cacd9e1986ef84a, 0x66fe0eee3459eff1,
  0xc970cf4c2b93f756, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000001888371f668,
};

// m128a_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m128_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda2a1fc746e, 0xeeeebc8103f8684d, 0xaf7683bacadada6e, 0x829cb7513eb8ae2f, 0x74845ef043c3b04b,
  0x935a77065aca9c1a, 0x79827c6024130577, 0xbaad43236a291f10, 0xe20614327da45acf, 0x9961298093ba7dcb,
  0x0007036ef8b8523f, 0x07cdf9bd47eeb6c0, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x3f21f278040ddc3e,
  0x86f97177f25f2f97, 0xa1a6910cbfe420b4, 0x80e784c337150865, 0xaccc5ce5ede61bfe, 0x04d77ff94e3982c2,
  0x921ff01742eb5022, 0x093824cafd510baf, 0xb406fea8d828b4ed, 0xc3cf3842dfc033b0, 0x3c25f886c244f659,
  0x1387ba1baa3f51e1, 0x76b1d2f9367b7091, 0x660d31f51e57224a, 0x2d314c57dd7a8f83, 0xb632e384e1b875f6,
  0x7576e3d4752135f4, 0x5ec677846fa3278e, 0xacf4690ec6abc6c7, 0xbd977bb380e3b169, 0x20b8cd51b044c8e1,
  0x49fccfa399959967, 0xd18a60404f2d3a51, 0xd8ce81c51e01f4d1, 0x04aca43717539794, 0xeaa8b4b0b9e8754e,
  0xcadb33b4e331dbfd, 0x03c330ddf094b52f, 0x1a3f8d167bfc4372, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xff829a3ec6761c7f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x7398b35e67316fd2, 0xadbab3755493c9c1,
  0x000000000000007e,
};

// m128a_autobaud_uart0_dual_ee_hw
static const uint64_t ur_m128_autobaud_uart0_dual_ee_hw[] = {
  0xbbbbbbb451a3b46e, 0xddddd792a2d77d09, 0x5d00d8befb8db41d, 0x6819c4edd57c9313, 0xbfd7da34eb0fb265,
  0x413057792d89dde6, 0xd4523b8f9827c602, 0xfb48b59f755a8646, 0x6774fb97c40c2864, 0xbe2f30df996129d0,
  0x7a8e29361fae7035, 0x7a14912092075bf3, 0xbfcfdf045f94f971, 0x341c0ddc3e144312, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x34878a8432d060a8, 0x9cbdba5affa039e1, 0xfe48dd305855998b, 0x80ba175a81102b75,
  0x2657ea885d7c90ff, 0xb5a3d285a76849c1, 0x60fe4f51e57b7e6a, 0xd377c56657a8f836, 0x632e384e1b875f62,
  0x7aae04fcd2135f4b, 0xf08df464f1cead2e, 0x90ec6ab5d0ebd8ce, 0xbb380e3b169acf46, 0xaa3608fd6e1bd977,
  0xf47332b300a41719, 0x0809e5a74a293f99, 0x38a3c03e9a3a314c, 0x86e2ea72f29b19d0, 0x96173d0ea9c09594,
  0x3b4e38ab7fbd5516, 0x0ddf094b52fcadb3, 0x1854895a9d3e3c33, 0x32fcc4ffef0f7bca, 0xff05347d8cec38fe,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4, 0xb072a45928a79382,
};

/*
 * m128_autobaud_uart0_dual_ee_ce_u4_hw m128a_autobaud_uart0_dual_ee_ce_hw
 * m128a_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d0f2df, 0xeeeeebc8103f8684, 0xfaf7683bacadada6, 0xb829cb7513eb8ae2, 0x3ed0b68f043c3b04,
  0x82bbc9ad3bb4836d, 0x8f883cc13e301209, 0x2d67dd56a191b514, 0x3ee5f1030a193ed2, 0x148fe6584a7419dd,
  0xadb00001c0dbbe2e, 0x482481f37e6f51fb, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7, 0xcbe5cfc87c9e0103,
  0x082d21be5c5dfc97, 0x42196869a4432ff9, 0x86ffa039e130cdc5, 0x60b0ab3317397b79, 0x6a04409aeffc91ba,
  0x2175f243fe02e85d, 0x169da12704995faa, 0x0e761680dfd51b05, 0x4f659c3cf3842df9, 0xf51e13c25f886c24,
  0xdb84889c3b39747f, 0xb91253b58e97c9b3, 0xd47c1b30698fa8f2, 0xc3afb1698a62beeb, 0x09afa5b1971c270d,
  0x193c73abb71ea3a9, 0x5e363af633bc237d, 0x1d8b4d67a3487635, 0x26470decbbdd9c07, 0xaccb3905c66a8d82,
  0x69d28a4fe67d1ccc, 0x0fa68e8c53020279, 0x9cbca6c6740e28f0, 0x43aa70256521b8ba, 0x8edfef5545a585cf,
  0xa5a97e56d99da719, 0xad4e9f1e1986ef84, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0xa3d17f81fbff829a,
  0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0xcd1453c9c17398b3, 0x00000000002134d8,
};

// m128a_autobaud_uart1_noled
static const uint64_t ur_m128_autobaud_uart1_noled[] = {
  0x12dddddddd66ef3a, 0xb7bbbbbaabf0bbc9, 0x41b4de6f7e6edbd1, 0x68f4bc7cbdeeeeea, 0x260aef2777312435,
  0x839f0f7304f8c048, 0x440a9fda7e44ff0a, 0xfa43fe02e9087fa0, 0x8d9a318e15faa1b5, 0x51f9e3be5921e71e,
  0xbaff490e24819a4f, 0x3c66731602dee9b7, 0xcb1823af175e1d62, 0x0c4817ec2b358b71, 0xc077817e73b336fc,
  0x53633b33f3796ea0, 0x7862b290dc5d4e5e, 0xd0ea9c0fd714085a, 0xf84a5a97e56d99d3, 0xae4fdf3c99e1986e,
  0x387138cb25c33d30, 0x166bcce62dfa4a5b, 0x500b11ba79382e73, 0x0000000000001acc,
};

// m128_autobaud_uart1_noled_pr_u4   m128a_autobaud_uart1_noled_pr     m128a_autobaud_uart1_noled_pr_u4
static const uint64_t ur_m128_autobaud_uart1_noled_pr[] = {
  0x2ddddddda2432f02, 0xf77777557e17db71, 0xfe978f993d05fb63, 0x1f0017bddddb89c3, 0xc9dde9c644add89f,
  0xdcc13e30120982bb, 0xfb4fc89ff85767c3, 0xc05d210ff4088153, 0x31c2bf5436bf487f, 0x77cb087ce3d1b346,
  0x21c4903417ea3f40, 0x31602cb29931b5a9, 0xebd1f5e1afe8f587, 0x63ee895403ff6608, 0x240bf60e3e07967b,
  0x3bc0bf39d99b7e06, 0x8ceccfcde01f5060, 0x4aca43717539794d, 0xaa8b4b0b9e8754e0, 0xcadb33892455bfde,
  0x03c330ddf094b52f, 0x83bb8d167bfc4372, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0x7ff05347d8cec38f,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x2e73166bcce62dfa, 0x11864d3e59a27938,
};

/*
 * m128_autobaud_uart1_noled_pr_ee_u4 m128a_autobaud_uart1_noled_pr_ee
 * m128a_autobaud_uart1_noled_pr_ee_u4
 */
static const uint64_t ur_m128_autobaud_uart1_noled_pr_ee[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaae2fe34e2, 0xcfd833c77a47f4d2, 0x74120c8dadde3e36, 0x55f33e83658aa2bd,
  0x4f8c048260aef277, 0xedd7fe15d9f8e530, 0x9087fa0440a9fda7, 0x5faa1b5fa43fe02e, 0x738e71e8d9a318e1,
  0x31f51e57224d56b4, 0x7c57dd7a8f83660d, 0xe384e1b875f62d37, 0xb8d64d2135f4b632, 0xbda3c1673ab4ba00,
  0xd8d56ba1d79d3bc3, 0x380e3b169f3c8c38, 0x1b047eb70decb65f, 0x1205fb002a2541d5, 0x1de05f9ceccdbf03,
  0xc67667e6f00fa830, 0x256521b8ba9cbca6, 0x5545a585cf43aa70, 0xe56d99c4922adfef, 0x01e1986ef84a5a97,
  0xc1ddc68b3dfe21b9, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xbff829a3ec6761c7, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x17398b35e67316fd, 0x13539f24ecd13c9c,
};

/*
 * m128_autobaud_uart1_noled_pr_ce_u4 m128a_autobaud_uart1_noled_pr_ce
 * m128a_autobaud_uart1_noled_pr_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart1_noled_pr_ce[] = {
  0x896eeeeeed121911, 0x8bbbbbbaabb60c33, 0x99e2f362c7ed91d6, 0xaa0a34c90ddddad0, 0xbbc9dd1ec5aa38c6,
  0xf674c13e30120982, 0xa7f69f95dff85767, 0xff80ba421fe81102, 0x8c63857ea86d7e90, 0x501bfa8299c7a366,
  0xc3cf3842dbcdceea, 0x3c25f886c244f659, 0x2270f5bf003f51e1, 0xf72df5eb26cf6e12, 0x21c4903d67a8e4f4,
  0xf58731602ad7e929, 0x6678ebd1f5e1afe8, 0xe5adc3ee895403ff, 0xdf818902fd838f81, 0xd4180ef02fce7666,
  0x5e53633b33f37807, 0xd53812b290dc5d4e, 0x6ff7aaa2d2c2e7a1, 0x5a97e56d99c490c7, 0x21b901e1986ef84a,
  0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0xf81fbff829a3ec67, 0x92e19e985f1a3d17,
  0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x000011baf087ecd1,
};

/*
 * m128_autobaud_uart1_noled_pr_ee_ce_u4 m128a_autobaud_uart1_noled_pr_ee_ce
 * m128a_autobaud_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart1_noled_pr_ee_ce[] = {
  0x5bbbbbbb44861a4e, 0x6eeeeeaae16593a2, 0xd1989134ba52b5d9, 0x9582fdbc7ee9b0d2, 0x44fc3efb40f83758,
  0x3e30120982bbc9dd, 0xaefff0aecfe374c1, 0x087fa0440a9fda7d, 0xfaa1b5fa43fe02e9, 0xa5e71e8d9a318e15,
  0x6f373b4b406fea8c, 0x0913d9670f3ce10b, 0x43fd4784f097e21b, 0xd9edc2444e1cc037, 0x795f5129dac74f7c,
  0x3fd47c1b306b5fd4, 0x1b875f62d314c561, 0x52135f4b632e384e, 0xb4782ce7576e4007, 0x355e363af3a77877,
  0x038ec5a7cf230e36, 0x608991c37b2d97ce, 0x40bf616744a83aa3, 0xbc0bf39d99b7e062, 0xceccfcde01f50603,
  0xaca43717539794d8, 0xa8b4b0b9e8754e04, 0x5b66712431dbfdea, 0x78661bbe1296a5f9, 0x7771a2cf7f886e40,
  0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfe0a68fb19d871fc, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0xce62cd799cc5bf49, 0x82265a5b344f2705, 0x0000000000000000,
};

// m128a_autobaud_uart1_noled_ee_hw
static const uint64_t ur_m128_autobaud_uart1_noled_ee_hw[] = {
  0x5bbbbbbb451a3705, 0xeeeeeeaae2fe34e2, 0xcfd833c77a47f4d2, 0x74120c8dadde3e36, 0xeebd69c5bf6aa2bd,
  0x609f180904c15de4, 0xa7edd7ff5933f1ca, 0x2e9087fa0440a9fd, 0xe15faa1b5fa43fe0, 0xb4738e71e8d9a318,
  0x0d31f51e57224d56, 0x377c57dd7a8f8366, 0x32e384e1b875f62d, 0x00b8d64d2135f4b6, 0xc3bda3c1673ab4ba,
  0x38d8d56ba1d79d3b, 0x5f380e3b169f3c8c, 0xd51b047eb70decb6, 0x031205fb002a2541, 0x301de05f9ceccdbf,
  0xa6c67667e6f00fa8, 0x70256521b8ba9cbc, 0xef5545a585cf43aa, 0x97e56d99c4922adf, 0xe9f1e1986ef84a5a,
  0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0x17f81fbff829a3ec, 0x6592e19e985f1a3d, 0x7316fd252d9c389c,
  0x453c9c17398b35e6, 0x00000001627f0bb5,
};

/*
 * m128_autobaud_uart1_noled_ee_ce_u4_hw m128a_autobaud_uart1_noled_ee_ce_hw
 * m128a_autobaud_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart1_noled_ee_ce_hw[] = {
  0xb77777768a345f41, 0xdddddd55c2cb2744, 0xa331226974a56bb2, 0x2b05fb78fdd361a5, 0xdddfb0b6a6b86eb1,
  0xc13e30120982bbc9, 0x3ed77ffd64cfe374, 0x74843fd022054fed, 0x0afd50dafd21ff01, 0x4652f38f46cd18c7,
  0x0b7e439da5a037f5, 0x1b0913d9670f3ce1, 0xa672fd4784f097e2, 0xdf367b70911387a4, 0xf51e57d44a76b1d3,
  0x584ff51f06cc1ad7, 0x1386e1d7d8b4c531, 0x01d484d7d2d8cb8e, 0x1ded1e0b39d5db90, 0x8d8d578d8ebce9de,
  0xf380e3b169f3c8c3, 0xa8d8226470decb65, 0x18902fd859d12a0e, 0x80ef02fce7666df8, 0x3633b33f37807d41,
  0x812b290dc5d4e5e5, 0x7aaa2d2c2e7a1d53, 0x7e56d99c490c76ff, 0x9f1e1986ef84a5a9, 0x87bde50c2a44ad4e,
  0x761c7f197e627ff7, 0x7f81fbff829a3ec6, 0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x53c9c17398b35e67,
  0x00000012a46642f4,
};

// m128a_autobaud_uart1_lednop
static const uint64_t ur_m128_autobaud_uart1_lednop[] = {
  0x44b777777759bb37, 0x006eeeeeaafc2f42, 0x48369a914dad1b7b, 0x6a0831d7f8bddddd, 0x20982bbc9dd85eb4,
  0x2a0e7e3dcc13e301, 0x81102a7f69feebfc, 0xd7e90ff80ba421fe, 0x7a3668c63857ea86, 0x7a8f82cef964879c,
  0x07f9ea4871240cd2, 0x28e89398b016f74d, 0x1cb1823af175e10e, 0xc0c4817ec2b141f7, 0x7817e781013b336f,
  0xb579d0199f9bcc07, 0x02f7ca42f5a9c914, 0x0ea9c08ea2810b4e, 0x84a5a97e56d99d3d, 0xe4fdf3c99e1986ef,
  0x87138cb25c33d30a, 0x66bcce62dfa4a5b3, 0xe2f11ba79382e731, 0x00000000000d6628,
};

// m128_autobaud_uart1_lednop_pr_u4  m128a_autobaud_uart1_lednop_pr    m128a_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_m128_autobaud_uart1_lednop_pr[] = {
  0x5bbbbbbb4486fc3b, 0xeeeeeeaafc2e5c62, 0xf6dfa548bb8ef5e9, 0x7f8f1afbbbb71387, 0x277448b333761b81,
  0x9304f8c048260aef, 0xf69f32bff0aecfbf, 0x80ba421fe81102a7, 0x63857ea86d7e90ff, 0xef9610f9c7a3668c,
  0x438920682fd47b58, 0xc580b2ca6c920fd2, 0xbd1f5e159e8d219c, 0x058fb5403ff6608e, 0x817ec82b40f2cf6d,
  0xe781013b336fc0c4, 0xfcde6c8a0c077817, 0x1aa6f529c94e80cc, 0xe9e8754e07c4690e, 0xe722adfef5545a6a,
  0x77c252d4bf2b6cce, 0x59eff10dc80f0cc3, 0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31,
  0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8, 0xaf3398b7e9296ce1, 0x376689e4e0b9cc59, 0x000000000046192b,
};

/*
 * m128_autobaud_uart1_lednop_pr_ee_u4 m128a_autobaud_uart1_lednop_pr_ee
 * m128a_autobaud_uart1_lednop_pr_ee_u4
 */
static const uint64_t ur_m128_autobaud_uart1_lednop_pr_ee[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaae2ff4162, 0xc699fb537bf4f4c4, 0xa56e0c8dadde3e36, 0xb293ed1dd8b91fa8,
  0x7c602413057793bb, 0x15bff0aecf93a982, 0x843fd022054fed3f, 0xfd50dafd21ff0174, 0x9c738f46cd18c70a,
  0x8fa8f2b32a6ab5a3, 0xc561efd47c1b3069, 0x384e1b875f62d377, 0x8d64d2135f4b632e, 0xc9193473ab4bf50b,
  0xc6ab5d0ebce9de18, 0xc071d8b4c9e46f6a, 0xd823f5b86f65b2f9, 0x4817ec0087dd12a8, 0x7e781013b336fc0c,
  0xcfcde6c8a0c07781, 0xe1aa6f529c94e80c, 0xae9e8754e07c4690, 0xee722adfef5545a6, 0x377c252d4bf2b6cc,
  0x459eff10dc80f0cc, 0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0x8d1e8bfc0fdffc14,
  0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0x0ad6689e4e0b9cc5, 0x000000000004d4e0,
};

/*
 * m128_autobaud_uart1_lednop_pr_ce_u4 m128a_autobaud_uart1_lednop_pr_ce
 * m128a_autobaud_uart1_lednop_pr_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart1_lednop_pr_ce[] = {
  0x5bbbbbbb4486b044, 0xeeeeeeaaed8342e2, 0xe19e2f7a7a697571, 0x91a0ac86eeed684c, 0xc9dd9c458ae0f5dd,
  0xb4c13e30120982bb, 0xf69fd37ff85767c6, 0x80ba421fe81102a7, 0x63857ea86d7e90ff, 0x1bfa8299c7a3668c,
  0xcf3842dbcdcedc98, 0x25f886c244f659c3, 0xe1d0fb1bbf51e13c, 0x5bebd64d9edc2444, 0x89207acf51fa49ee,
  0x6731602c4222d243, 0xe3af47d78567a348, 0x6e4163ed500ffd99, 0x0c4817ec82b40f2d, 0x817e781013b336fc,
  0x0ccfcde6c8a0c077, 0x90e1aa6f529c94e8, 0xa6ae9e8754e07c46, 0x99dce18edfef5545, 0x986ef84a5a97e56d,
  0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x73316cd13c9c1739, 0x00000000000008dd,
};

/*
 * m128_autobaud_uart1_lednop_pr_ee_ce_u4 m128a_autobaud_uart1_lednop_pr_ee_ce
 * m128a_autobaud_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x2ddddddda24343ee, 0xb777775570b28171, 0x793919989d69db61, 0x74717ede3f74d869, 0xbddfb839d6825283,
  0x27c602413057793b, 0xc527fe15d9f35b98, 0x9087fa0440a9fda7, 0x5faa1b5fa43fe02e, 0xca5e71e8d9a318e1,
  0x6de6e77d3e06fea8, 0x61227b2ce1e79c21, 0x001fa8f09e12fc43, 0x9b3db84889c3f758, 0x8f2beea53b58e9ef,
  0x6ffa8f83660d6bfa, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x32464d1ceaeddd40, 0x6355e363af3a7786,
  0xe038ec5a64f237b5, 0x3608991c37b2d97c, 0x1205fb0b31f744aa, 0x5f9e0404eccdbf03, 0x33f379b228301de0,
  0x386a9bd4a7253a03, 0xaba7a1d5381f11a4, 0x773863b7fbd55169, 0x1bbe1296a5f95b66, 0xa2cf7f886e407866,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0xc68f45fe07effe0a, 0x0e271964b867a617,
  0xcd799cc5bf494b67, 0xb90b344f2705ce62, 0x0000000000008225,
};

// m128a_autobaud_uart1_lednop_ee_hw
static const uint64_t ur_m128_autobaud_uart1_lednop_ee_hw[] = {
  0x2ddddddda28d0044, 0x77777755717fa0b1, 0x634cfda9bdfa7a62, 0x52b70646d6ef1f1b, 0xee80a499a7388fd4,
  0x609f180904c15de4, 0xa7e2b7ff5933e4ea, 0x2e9087fa0440a9fd, 0xe15faa1b5fa43fe0, 0xb4738e71e8d9a318,
  0x0d31f51e56654d56, 0x6ef8ac3dfa8f8366, 0x65c709c370ebec5a, 0xa171ac9a426be96c, 0xc31923268e75697e,
  0xed58d56ba1d79d3b, 0x5f380e3b16993c8d, 0x551b047eb70decb6, 0x818902fd8010fba2, 0xf02fcf02027666df,
  0x0199f9bcd914180e, 0xd21c354dea53929d, 0xb4d5d3d0ea9c0f88, 0xd99dce455bfdeaa8, 0x1986ef84a5a97e56,
  0xe50c2a44ad4e9f1e, 0x7f197e627ff787bd, 0xfbff829a3ec6761c, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xc17398b35e67316f, 0x000b13e69ad453c9,
};

/*
 * m128_autobaud_uart1_lednop_ee_ce_u4_hw m128a_autobaud_uart1_lednop_ee_ce_hw
 * m128a_autobaud_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart1_lednop_ee_ce_hw[] = {
  0xb77777768a346d3a, 0xdddddd55c2ca05c4, 0xe4e4666275a76d86, 0xd1c5fb78fdd361a5, 0x75d6eb8ed7794a0d,
  0x04f8c048260aef27, 0x7c527ff5933e6b73, 0xe9087fa0440a9fda, 0x15faa1b5fa43fe02, 0x8ca5e71e8d9a318e,
  0x2df90e77d3e06fea, 0x6c244f659c3cf384, 0x341ff51e13c25f88, 0xf9b3db84889c3e54, 0xa8f2beea53b58e9e,
  0xf6ffa8f83660d6bf, 0x9c370ebec5a6298a, 0x0ea426be96c65c70, 0x632464d1ceaeddd4, 0x56355e363af3a778,
  0xce038ec5a64f237b, 0xa3608991c37b2d97, 0x31205fb0b31f744a, 0x05f9e0404eccdbf0, 0x333f379b228301de,
  0x4386a9bd4a7253a0, 0x9aba7a1d5381f11a, 0x6773863b7fbd5516, 0x61bbe1296a5f95b6, 0x430a912b53a7c786,
  0xc65f989ffde1ef79, 0xffe0a68fb19d871f, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4,
  0x0254981f7514f270,
};

/*
 * m128_autobaud_uart1_dual_pr       m128_autobaud_uart1_dual_pr_u4    m128a_autobaud_uart1_dual
 * m128a_autobaud_uart1_dual_pr      m128a_autobaud_uart1_dual_pr_u4
 */
static const uint64_t ur_m128_autobaud_uart1_dual[] = {
  0x4ddddddda2431f02, 0x7bbbbbaf21b058a8, 0x8b51ce015b45faeb, 0x7a7dce2dddd8e393, 0x7390eb69b37e6b95,
  0x180904c15de4f917, 0x191b5148e41e609f, 0xa193ed22d67dd56a, 0xa0129dd3ee5f1030, 0x70275c5d2d7e6584,
  0xefb9bd478adb01ac, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf21f243e03770f85, 0x6f97177f25f2f973,
  0x0d2910cbfe420b48, 0x01cf09a6e8a8432d, 0xaccc5ce5ede43ffd, 0xd3f01bfc93e982c2, 0x174843fd022054fe,
  0x70afd50dafd21ff0, 0xf9627b38f46cd18c, 0x71240dafbd478c8e, 0x602eb14d38ad7a48, 0x0d5786e1a310e731,
  0x7b4a807fecc11d78, 0xcca71703cb3db6be, 0x40bf64fe67d1ccca, 0xf3c0809d99b7e062, 0x7e6f36450603bc0b,
  0x0d537a94e4a74066, 0x74f43aa703e23487, 0x739156ff7aaa2d35, 0xbbe1296a5f95b667, 0x2cf7f886e4078661,
  0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0xe2b344f2705ce62c, 0x00000000000b82e8,
};

// m128a_autobaud_uart1_dual_pr_ee
static const uint64_t ur_m128_autobaud_uart1_dual_pr_ee[] = {
  0x8a13777777750c86, 0xc7fdddddd791a2fb, 0x3561f64cb9db609b, 0x913dd9bb323bbf6a, 0xcf046752c8a74339,
  0x602413057792769d, 0x91b51482cc59827c, 0x193ed22d67dd56a1, 0x0129dd3ee5f1030a, 0x261b8bb3e7e6584a,
  0x09bd47fd7d81ad9c, 0x5c5e8524482481c0, 0xc4aff3f7c117e53e, 0x3e4ea803770f8510, 0x2e2efe4be5f2e7e4,
  0x222197fc841690df, 0x784c5d62a10cb430, 0xc5ce5edf76bfe80e, 0xabffc93e982c2acc, 0x087fa0440a9fda7f,
  0xfaa1b5fa43fe02e9, 0x27e71e8d9a318e15, 0xbd4795c069aad68c, 0x2b5f7ea3e0d9839b, 0xc270dc3afb169bbe,
  0x27e6909afa5b1971, 0xa3114e7569732970, 0xaad743af633bc298, 0x1c762d3b591d7fb1, 0x11fadc37b2ef7670,
  0x32b3009ed071546c, 0x18902fd93f99f473, 0x02fcf02027666df8, 0x199f9bcd914180ef, 0x21c354dea53929d0,
  0x4d5d3d0ea9c0f88d, 0x99dce455bfdeaa8b, 0x986ef84a5a97e56d, 0x3459eff10cacd9e1, 0x2b93f75666fe0eee,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x7b71f6689e4e0b9c, 0x0000000000000411,
};

// m128a_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_m128_autobaud_uart1_dual_pr_ee_u4[] = {
  0x77777768a87f2906, 0xddddd791a2fb8a13, 0xf64cb9db609bc7fd, 0xd9bb323bbf6a3561, 0xd6964ac02339913d,
  0x15de49da7733eb97, 0x0b316609f180904c, 0xb59f755a8646d452, 0xfb97c40c2864fb48, 0x9f3f32c253012774,
  0xebec0d6ce130dc5d, 0x2241240e004dea3f, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x5f2f973f21f27540,
  0xe420b486f97177f2, 0x150865a181110cbf, 0xfbb5ff4073c262eb, 0x1cc16156662e72f6, 0x02a7f69feafffca7,
  0x90ff80ba421fe811, 0x668c63857ea86d7e, 0x1a6ab5a309f9c7a3, 0xf83660e6ef51e570, 0xbec5a6ef8ad7dfa8,
  0xbe96c65c709c370e, 0x5a5cca5c09f9a426, 0xd8cef0a628c4539d, 0xd6475fec6ab5d0eb, 0xecbbdd9c071d8b4e,
  0xb41c551b047eb70d, 0x4fe67d1cccacc027, 0x09d99b7e06240bf6, 0x6450603bc0bf3c08, 0xa94e4a740667e6f3,
  0xaa703e234870d537, 0x6ff7aaa2d3574f43, 0x96a5f95b66773915, 0x886e4078661bbe12, 0x99bf8347f1a2cf7f,
  0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xf03f7ff05347d8ce, 0x25c33d30be347a2f, 0x2dfa4a5b387138cb,
  0x79382e73166bcce6, 0x00052a494592aa92,
};

// m128a_autobaud_uart1_dual_pr_ce
static const uint64_t ur_m128_autobaud_uart1_dual_pr_ce[] = {
  0x1377777775050c86, 0xfb777775e4c5e16a, 0xda51fad33ed26f70, 0xd9beef7ef7775d91, 0xcddcf04675c7f53a,
  0x27c602413057792c, 0x5a8646d452223198, 0x0c2864fb48b59f75, 0x612804a774fb97c4, 0xb670b5be2f5bff99,
  0x0c66e6f51d36f613, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0x9f90f912501bb87c, 0x437cb8bbf92f97cb,
  0xd0fdc8865ff2105a, 0xd01cf099fc8a8432, 0x2accc5ce5edc6b7f, 0xed3f813fc93e982c, 0x0174843fd022054f,
  0xc70afd50dafd21ff, 0x5df588738f46cd18, 0xe7085b79b9dc0601, 0xe122270f6b75bff9, 0xf3dcb3db13f340ae,
  0x2438920627fd4783, 0x621ce62c0505322d, 0x99e3af01aaf0dc34, 0x5adcd7cf69500ffd, 0x3e8e66566538b81e,
  0xcdbf031205fb27f3, 0x301de05f9e0404ec, 0x253a0333f379b228, 0x1f11a4386a9bd4a7, 0xd55169aba7a1d538,
  0xf95b66773863b7fb, 0x8278661bbe1296a5, 0xe0eee3459eff10f7, 0x286152256a75666f, 0xf8268fb19d87138d,
  0xc6592e19e985727e, 0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x000000002b5ef086,
};

// m128a_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_m128_autobaud_uart1_dual_pr_ce_u4[] = {
  0xeeeeeed150fe72df, 0xbbbbaf254507d426, 0x6bbdd6f6fafb369b, 0x7016dddd57c10d08, 0xb54e3518e90669ef,
  0x04c15de4b627737f, 0x1485c87e609f1809, 0xd22d67dd56a191b5, 0xdd3ee5f1030a193e, 0x17986fccb094c049,
  0x47149b0fd7381adf, 0x0a48904903adf9bd, 0xe7ef822fca7cb8bd, 0x8606ee1f0a21895f, 0xfc97cbe5cfc87cae,
  0x2ff9082d21be5c5d, 0x43c5421968305443, 0xbdb8cdffd01cf09a, 0x29c7305855998b9c, 0x022054fed3e707ff,
  0xafd21ff0174843fd, 0xf46cd18c70afd50d, 0x19d9c3037f53d738, 0x7b2ce1e79c216fe0, 0xa8f09e12fc436122,
  0x6e122270e6b730df, 0x83f3dcb7d627e6cf, 0x2d2438920627fd47, 0x34621ce62c050532, 0xfd99e3af01aaf0dc,
  0x1e5adcd7cf69500f, 0xf33e8e66566538b8, 0xeccdbf031205fb27, 0x28301de05f9e0404, 0xa7253a0333f379b2,
  0x381f11a4386a9bd4, 0xfbd55169aba7a1d5, 0xa5f95b66773863b7, 0x6e4078661bbe1296, 0xbf8347f1a2cf7f88,
  0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x3f7ff05347d8cec3, 0xc33d30be347a2ff0, 0xfa4a5b387138cb25,
  0x382e73166bcce62d, 0x15af6ac85eaa9279,
};

/*
 * m128_autobaud_uart1_dual_pr_ee_ce_u4 m128a_autobaud_uart1_dual_pr_ee_ce
 * m128a_autobaud_uart1_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m128_autobaud_uart1_dual_pr_ee_ce[] = {
  0xbbbbbb4543fad164, 0xbbbaf2591d65509b, 0xf0f8ffaa75add9bb, 0x3b2d5ba9ae4dbc10, 0xf9dc835d7cd7bc9a,
  0x6abddd60011fd04a, 0x304f8c048260aef2, 0x56a191b5148ca429, 0x030a193ed22d67dd, 0xb094c049dd3ee5f1,
  0xd9c0291e2fe72fcc, 0x548cdea38003606d, 0x7cb8bd0a48904903, 0x21895fe7ef822fca, 0x90f93a7406ee1f0a,
  0x7cb8bbf92f97cb9f, 0x7f88865ff2105a43, 0x73c26dda8a8432d0, 0x662e72f6f495ff40, 0xbc3ffca71cc16156,
  0x421fe81102a7f69f, 0x7ea86d7e90ff80ba, 0xcad9c7a3668c6385, 0xfe019deed01bfaa3, 0x1227b2ce1e79c216,
  0xaffa8f09e12fc436, 0xcf6e122270fc83ab, 0x9598f94ed63a5f26, 0x9ea3e0d983c93d47, 0x6e1d7d8b4c5315bf,
  0x484d7d2d8cb8e138, 0x28c4539d5db8ca1d, 0xd578d8ebd8cef0a6, 0x0e3b169dac8ebfd8, 0x044c8e1bd977bb38,
  0xccaccb37b41c551b, 0x06240bf64fe67d1c, 0xc0bf3c0809d99b7e, 0x0667e6f36450603b, 0x4870d537a94e4a74,
  0xd3574f43aa703e23, 0xccee70c76ff7aaa2, 0xcc377c252d4bf2b6, 0xe3459eff10dc80f0, 0x912b53ab337f068f,
  0x989ffde1ef79430a, 0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6,
  0xab155524f2705ce6, 0x00000000000fd5b4,
};

// m128a_autobaud_uart1_dual_ee_hw
static const uint64_t ur_m128_autobaud_uart1_dual_ee_hw[] = {
  0x6eeeeeed1468a0ae, 0xbbbbbaf2345f7142, 0x3ec9973b6c1378ff, 0xbb37664777ed46ac, 0xe62b37d2bc673227,
  0x0120982bbc93b4ee, 0x8da8a41662cc13e3, 0xc9f6916b3eeab50c, 0xa0cee9f72f881850, 0x30dc5d9f3f32c253,
  0x4dea3febec0d6ce1, 0xe2f4292241240e00, 0x257f9fbe08bf29f2, 0xf275401bb87c2886, 0x7177f25f2f973f21,
  0x110cbfe420b486f9, 0xc262eb150865a181, 0x2e72f6fbb5ff4073, 0x7ff92374c1615666, 0x0ff4088153fb4ff5,
  0x5436bf487fc05d21, 0xfce3d1b34631c2bf, 0xa8f2b80d355ad184, 0x6befd47c1b307377, 0x4e1b875f62d377c5,
  0xfcd2135f4b632e38, 0x6229cead2e652e04, 0x5ae875ec67785314, 0x8ec5a76b23aff635, 0x3f5b86f65deece03,
  0x566013da0e2a8d82, 0x1205fb27f33e8e66, 0x5f9e0404eccdbf03, 0x33f379b228301de0, 0x386a9bd4a7253a03,
  0xaba7a1d5381f11a4, 0x3b9c8ab7fbd55169, 0x0ddf094b52fcadb3, 0x1854895a9d3e3c33, 0x32fcc4ffef0f7bca,
  0xff05347d8cec38fe, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4, 0x60e5148528a79382,
  0x0000000000000001,
};

/*
 * m128_autobaud_uart1_dual_ee_ce_u4_hw m128a_autobaud_uart1_dual_ee_ce_hw
 * m128a_autobaud_uart1_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m128_autobaud_uart1_dual_ee_ce_hw[] = {
  0xbbbbbbb451a1022f, 0xbbbbaf2591d65509, 0x0f0f8ffaa75add9b, 0xa3b2d5ba9ae4dbc1, 0x46e54e35d7cd7bc9,
  0xaef26abddd41ab33, 0xa429304f8c048260, 0x67dd56a191b5148c, 0xe5f1030a193ed22d, 0x97e6584a7419dd3e,
  0xb036ece0148f17f3, 0x2481aa466f51c001, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xe5cfc87c9d3a0377,
  0x2d21be5c5dfc97cb, 0x19683fc4432ff908, 0xffa039e136ed4542, 0xb0ab3317397b7a4a, 0xfda7ef0ffc91ba60,
  0xe02e9087fa0440a9, 0x18e15faa1b5fa43f, 0xfea8f2b671e8d9a3, 0x3842df90e77bb406, 0xf886c244f659c3cf,
  0xe6faa47f51e13c25, 0xd2f9367b70911387, 0x49ea3cacc7ca76b1, 0x98adfcf51f06cc1e, 0xc709c370ebec5a62,
  0xc650ea426be96c65, 0x77853146229ceaed, 0x75fec6abc6c75ec6, 0xbdd9c071d8b4ed64, 0xe2a8d8226470decb,
  0x33e8e6656659bda0, 0xccdbf031205fb27f, 0x8301de05f9e0404e, 0x7253a0333f379b22, 0x81f11a4386a9bd4a,
  0xbd55169aba7a1d53, 0x5f95b66773863b7f, 0xa7c78661bbe1296a, 0xe1ef79430a912b53, 0x9d871fc65f989ffd,
  0x5fe07effe0a68fb1, 0x964b867a617c68f4, 0xcc5bf494b670e271, 0x14f2705ce62cd799, 0x00000109a66b1c4d,
};

// m128_u1x8_uart0_noled_pr          m128a_u1x8_uart0_noled            m128a_u1x8_uart0_noled_pr
static const uint64_t ur_m128_u1x8_uart0_noled[] = {
  0xb777775ddacdfc4f, 0xbbbbbaabb9cb83c4, 0x369fb471e97bdf17, 0xeef439bbbb49f0b2, 0x9ddf1f8517124367,
  0xcc13e30120982bbc, 0xb02c8bfe15073e98, 0xe77cb09f169da2ed, 0x243892063efd47af, 0x98b016594c37d67d,
  0xd7a3ebc290d199e3, 0xa83ba6a807fecc11, 0xe9452a79381e59ed, 0x3c72934746293cb4, 0x6af529794deb9f8a,
  0x5cf43aa703f36e90, 0x3a8ab7fbd55169c0, 0xef84a5a97e56d99c, 0x9eff10cacd9e1986, 0xfdd598f2068fe345,
  0x138cb25c33d30ae4, 0xbcce62dfa4a5b387, 0xf11ba79382e73166, 0x0000000000f901e5,
};

// m128a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_m128_u1x8_uart0_noled_pr_u4[] = {
  0x777775dd4486ff41, 0xbbbbaabb9cb83c4b, 0x69fb471e97bdf17b, 0xef439bbbb49f0b23, 0x75a59a52e2b8f67e,
  0x04f8c048260aef27, 0x05917ff0aecfa633, 0xef9613e2d3b45db6, 0x871240c7dfa8f5fc, 0x1602cb2986facfa4,
  0xf47d78521a333c73, 0x0774d500ffd9823a, 0x28a54f2703cb3db5, 0x8e5268e8c527969d, 0x5ea52f29bd73f147,
  0x9e8754e07e6dd20d, 0x5156ff7aaa2d380b, 0xf094b52fcadb3387, 0x7bfc437203c330dd, 0xa9d599bf83bb8d16,
  0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871,
  0xd9a279382e73166b, 0x000000003e4d590b,
};

// m128_u1x8_uart0_noled_pr_ee_u4    m128a_u1x8_uart0_noled_pr_ee      m128a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart0_noled_pr_ee[] = {
  0xdddddd7751218375, 0x777775577906a712, 0xc2fa8635f504d643, 0xdb7b38913bbc1d22, 0x645a7505b0d853d3,
  0x7c602413057793ba, 0x52bff0aecfa56982, 0xd1cdc2d3b45db605, 0x31f3d4795ce3355a, 0xddf15a01ea3e0d98,
  0xcb8e1386e1d7d8b4, 0x22e3593484d7d2d8, 0x09348c4f9cead2f9, 0x676355ae875e74ef, 0xf9c071d8b4ded23c,
  0xa8d823f5b86f65b2, 0xf2d3a514009d3964, 0x7e28f1ca4d1d18a4, 0xba41abd4a5e537ae, 0xa70173d0ea9c0fcd,
  0x6670ea2adfef5545, 0x661bbe1296a5f95b, 0x71a2cf7f886e4078, 0xa912b53ab337f077, 0xf989ffde1ef79430,
  0x0a68fb19d871fc65, 0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0xe9562b344f2705ce,
  0x000000000000013a,
};

// m128_u1x8_uart0_noled_pr_ce_u4    m128a_u1x8_uart0_noled_pr_ce      m128a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbbaeea2435562, 0xddddd55e3400be25, 0xf1f0078bd243568d, 0x936a633777583eef, 0xe4eec4e76542deb5,
  0xba609f180904c15d, 0x6d81406ffc2bb3ff, 0xf606feb920b4ed17, 0x70f3ce10b6f373b0, 0x4f097e21b0913d96,
  0x113874db9dbfd478, 0x7b96faf59367b709, 0x0e24819a4f51dafa, 0xcf1cc580bbdf3d49, 0x678ebd1f5e14868c,
  0xb5b941dd35403ff6, 0x7969d28a54f2703c, 0x3f1478e5268e8c52, 0xdd20d5ea52f29bd7, 0xd380b9e8754e07e6,
  0x6670e8c76ff7aaa2, 0x661bbe1296a5f95b, 0x71a2cf7f886e4078, 0xa912b53ab337f077, 0xf989ffde1ef79430,
  0x0a68fb19d871fc65, 0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0xce907b344f2705ce,
  0x0000000000000375,
};

// m128_u1x8_uart0_noled_pr_ee_ce_u4 m128a_u1x8_uart0_noled_pr_ee_ce   m128a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m128_u1x8_uart0_noled_pr_ee_ce[] = {
  0x777775dd44863d5b, 0xddddd55d0ec8fc4b, 0xa2bd7643560ef4ed, 0x0cf410d7dd05ef4e, 0xa875e05d17d335c7,
  0xc602413057793ba5, 0x7ffe15d9fe9f9827, 0xe438b4ed176d8175, 0xb6f373b8ac06fea8, 0xb0913d9670f3ce10,
  0xd07fd4784f097e21, 0xe6cf6e122270f950, 0xa3cac1494ed63a7b, 0xcbef51f06cc1c65e, 0x386e1d7d8b4c5315,
  0x1d484d7d2d8cb8e1, 0x269189f39d5dbb24, 0xd8d578d8ebce9de1, 0x701c762d37b48f19, 0x1b044c8e1bd96cbe,
  0x5a74a2859ba72c95, 0xc51e3949a3a3149e, 0x48357a94bca6f5cf, 0xe02e7a1d5381f9b7, 0x9c3a31dbfdeaa8b4,
  0x86ef84a5a97e56d9, 0x68b3dfe21b901e19, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0x6a72cd13c9c17398, 0x00000000000013f2,
};

// m128a_u1x8_uart0_noled_ee_hw
static const uint64_t ur_m128_u1x8_uart0_noled_ee_hw[] = {
  0xddddd775146890e3, 0x77775577906a712d, 0x2fa8635f504d6437, 0xb7b38913bbc1d22c, 0x65dd89d817853d3d,
  0x4f8c048260aef277, 0x552bffac99f4ad30, 0xad1cdc2d3b45db60, 0x831f3d4795ce3355, 0x4ddf15a01ea3e0d9,
  0x8cb8e1386e1d7d8b, 0x922e3593484d7d2d, 0xf09348c4f9cead2f, 0xc676355ae875e74e, 0x2f9c071d8b4ded23,
  0x4a8d823f5b86f65b, 0x4f2d3a514009d396, 0xe7e28f1ca4d1d18a, 0xdba41abd4a5e537a, 0x5a70173d0ea9c0fc,
  0xb6670ea2adfef554, 0x8661bbe1296a5f95, 0x79430a912b53a7c7, 0x1fc65f989ffde1ef, 0x7effe0a68fb19d87,
  0x867a617c68f45fe0, 0xf494b670e271964b, 0x705ce62cd799cc5b, 0x0000b7de8b2514f2,
};

// m128_u1x8_uart0_noled_ee_ce_u4_hw m128a_u1x8_uart0_noled_ee_ce_hw   m128a_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m128_u1x8_uart0_noled_ee_ce_hw[] = {
  0xddddd7751468bf3e, 0x777755743b23f12d, 0x8af5d90d583bd3b7, 0x33d0435f7417bd3a, 0x4eb46ad67d4cd71c,
  0x4f8c048260aef277, 0x757fff5933fd3f30, 0xa8e438b4ed176d81, 0x216fc873b8ac06fe, 0x4361227b2ce1e79c,
  0xf9d67fa8f09e12fc, 0x7be6cf6e122270ec, 0x5ea3cac1494ed63a, 0x15cbef51f06cc1c6, 0xe1386e1d7d8b4c53,
  0x241d484d7d2d8cb8, 0xe1269189f39d5dbb, 0x19d8d578d8ebce9d, 0xbe701c762d37b48f, 0x951b044c8e1bd96c,
  0x9e5a74a2859ba72c, 0xcfc51e3949a3a314, 0xb748357a94bca6f5, 0xb4e02e7a1d5381f9, 0xd99c3a31dbfdeaa8,
  0x1986ef84a5a97e56, 0xe50c2a44ad4e9f1e, 0x7f197e627ff787bd, 0xfbff829a3ec6761c, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xc17398b35e67316f, 0x000a02a642f453c9,
};

// m128_u1x8_uart0_lednop_pr         m128a_u1x8_uart0_lednop           m128a_u1x8_uart0_lednop_pr
static const uint64_t ur_m128_u1x8_uart0_lednop[] = {
  0xb777775ddacdfebe, 0xbbbbbaabb9c983c4, 0x356f5e595af26d09, 0xf838716eeeae4244, 0x3ba5c6c98db537cd,
  0x9827c60241305779, 0xc086fff8541cfad7, 0xc77cb6b05a768bb6, 0x4871240ccf7a8ed7, 0xcc580b7ba6def9ea,
  0x75e2ebc21c51eb11, 0xa2856283ee396304, 0xa3a314c0809e5a74, 0x29b19d038a3c03e9, 0x9c0959486e2ea72f,
  0xfbd551696173d0ea, 0x2fcadb33b4e38ab7, 0x59b3c330ddf094b5, 0x40d1fc68b3dfe219, 0x867a615c9fbab31e,
  0xf494b670e271964b, 0x705ce62cd799cc5b, 0x001f2163fe2374f2,
};

// m128a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_m128_u1x8_uart0_lednop_pr_u4[] = {
  0x777775dd44861391, 0xbbbbaabb9cb9bc4b, 0x0e6d0da68d7de3fb, 0x67a99bbbb49f0b2e, 0xdd7ae62731a665ef,
  0xc13e30120982bbc9, 0xc09efffc2bb3f924, 0x9df2c27c5a768bb6, 0x90e24818fbf51d67, 0x98b016594c3e7414,
  0xd7a3ebc352d19a43, 0xd12a0ea807fecc11, 0xe9451f46e81e59ed, 0xd347462981013cb4, 0x5e53633a07147807,
  0xd53812b290dc5d4e, 0x6ff7aaa2d2c2e7a1, 0x6a5f95b66769c715, 0x86e4078661bbe129, 0x337f07771a2cf7f8,
  0xef79430a912b53ab, 0x871fc65f989ffde1, 0xe07effe0a68fb19d, 0x4b867a617c68f45f, 0x5bf494b670e27196,
  0xf2705ce62cd799cc, 0x00001f271562b344,
};

// m128_u1x8_uart0_lednop_pr_ee_u4   m128a_u1x8_uart0_lednop_pr_ee     m128a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea2431768, 0xeeeeeaaef2164e25, 0xa9c2f623a56f419e, 0x71d9c489dde0e915, 0x336c564505209851,
  0xf180904c15de4eeb, 0x93ffc2bb3f21e609, 0x47370b4ed176d813, 0xc7cf51e567acd56b, 0x77c57d47a8f83660,
  0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0x6e1a310e73ab4b82, 0x5b1aad743af3a778, 0x380e3b169b5f2390,
  0x1b047eb70decb65f, 0xb4e94500250774d5, 0x07d347462981013c, 0x4e5e53633a071478, 0xa1d53812b290dc5d,
  0x156ff7aaa2d2c2e7, 0x296a5f95b66769c7, 0xf886e4078661bbe1, 0xab337f07771a2cf7, 0xe1ef79430a912b53,
  0x9d871fc65f989ffd, 0x5fe07effe0a68fb1, 0x964b867a617c68f4, 0xcc5bf494b670e271, 0x44f2705ce62cd799,
  0x00000013aec21fb3,
};

// m128_u1x8_uart0_lednop_pr_ce_u4   m128a_u1x8_uart0_lednop_pr_ce     m128a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart0_lednop_pr_ce[] = {
  0xbbbbbaeea2431202, 0xddddd55e3418ee25, 0x0bfc7f1fd6434d8d, 0x164c6deeeeb07dde, 0x2776c4d860800512,
  0xd304f8c048260aef, 0x6c08a2ffe15d9ff9, 0xc037f5c905a768bb, 0xc3cf3842dbcdcedf, 0x3c25f886c244f659,
  0x113877f9883f51e1, 0x7b96faf59367b709, 0x4389206693d47e7a, 0x348731602c644f52, 0x99e3af47d786a5a3,
  0x2d6ea2541d500ffd, 0x9e5a74a28fa3740f, 0x3c03e9a3a314c080, 0x2ea72f29b19d038a, 0x73d0ea9c0959486e,
  0xc663b7fbd5516961, 0xe1296a5f95b66769, 0xf7f886e4078661bb, 0x53ab337f07771a2c, 0xfde1ef79430a912b,
  0xb19d871fc65f989f, 0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0xb344f2705ce62cd7,
  0x000000001bae05da,
};

/*
 * m128_u1x8_uart0_lednop_pr_ee_ce_u4 m128a_u1x8_uart0_lednop_pr_ee_ce
 * m128a_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dd4486cc7f, 0xddddd55d0efe9c4b, 0x1fa8a0cf638e891d, 0x85e821afba0bde99, 0xb1568dd5ce5834ce,
  0xf8c048260aef2774, 0x5affc2bb3e337304, 0x8e438b4ed176d810, 0x0b6f373b38206fea, 0x1b0913d9670f3ce1,
  0x9cdffd4784f097e2, 0xbe6cf6e122270ea4, 0xea3cad0094ed63a7, 0xaf4af51f06cc1c65, 0x09c370ebec5a6298,
  0xa0ea426be96c65c7, 0x1b868c439ceaedc0, 0x2d8d578d8ebce9de, 0x9c071d8b4daf91c8, 0x46c1132386f65b2f,
  0x2d3a5142cd41dd35, 0x01f4d1d18a60404f, 0x539794d8ce81c51e, 0xe8754e04aca43717, 0x31dbfdeaa8b4b0b9,
  0x94b52fcadb33b4e3, 0xfc437203c330ddf0, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe,
  0x2ff03f7ff05347d8, 0xcb25c33d30be347a, 0xe62dfa4a5b387138, 0xa279382e73166bcc, 0x00000004fc4a71d9,
};

// m128a_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_m128_u1x8_uart0_lednop_ee_hw[] = {
  0xddddd7751468d38b, 0x7777557790b2712d, 0x4e17b11d2b7a0cf7, 0x8ece244eef0748ad, 0xc1b0dda6e904c28b,
  0x9f180904c15de4ee, 0x9c9fff5933f21e60, 0x5a39b85a768bb6c0, 0x063e7a8f2b3d66ab, 0x9bbe2bea3d47c1b3,
  0x1971c270dc3afb16, 0x145c6b26909afa5b, 0xc370d188739d5a5c, 0x82d8d56ba1d79d3b, 0xf9c071d8b4daf91c,
  0xa8d823f5b86f65b2, 0xe5a74a2801283ba6, 0xc03e9a3a314c0809, 0xea72f29b19d038a3, 0x3d0ea9c0959486e2,
  0x38ab7fbd55169617, 0x094b52fcadb33b4e, 0x895a9d3e3c330ddf, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc,
  0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0xf5f868a79382e731, 0x00000000000005bf,
};

/*
 * m128_u1x8_uart0_lednop_ee_ce_u4_hw m128a_u1x8_uart0_lednop_ee_ce_hw
 * m128a_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xddddd77514684aa4, 0x777755743bfa712d, 0x7ea2833d8e3a2477, 0x17a086bee82f7a64, 0xf6baef53ed60d33a,
  0x7c602413057793bb, 0x16bffac99f19b982, 0xa390e2d3b45db604, 0x85bf21cece081bfa, 0x0d8489ecb3879e70,
  0x45c8fea3c2784bf1, 0xef9b3db84889c3a5, 0x7a8f2b40253b58e9, 0x2bd2bd47c1b30719, 0xc270dc3afb1698a6,
  0x283a909afa5b1971, 0x86e1a310e73abb70, 0x0b6355e363af3a77, 0xe701c762d36be472, 0x51b044c8e1bd96cb,
  0xcb4e9450b350774d, 0x807d347462981013, 0xd4e5e53633a07147, 0x7a1d53812b290dc5, 0xcc76ff7aaa2d2c2e,
  0x252d4bf2b6cced38, 0x256a74f8f0cc377c, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0x8d1e8bfc0fdffc14,
  0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0x03eea29e4e0b9cc5, 0x000000000000280a,
};

/*
 * m128_u1x8_uart0_dual_pr           m128_u1x8_uart0_dual_pr_u4        m128a_u1x8_uart0_dual
 * m128a_u1x8_uart0_dual_pr          m128a_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m128_u1x8_uart0_dual[] = {
  0x77777c5d12190907, 0xdddd79017d86a137, 0x237506f6716fdadd, 0x62b13bbbad17e9bb, 0x70be3fd8be66c7b3,
  0x0120982bbc97aeee, 0xc8da8a45c8cc13e3, 0x0c9f6916b3eeab50, 0x0094ee9f72f88185, 0x829ee2f95bf32c25,
  0xe74dea3975d81433, 0xf2e2f4292241240f, 0x86257f9fbe08bf29, 0x90f950f81bb87c28, 0x7cb8bbf92f97cb9f,
  0x5ae8865ff2105a43, 0x39e1341f8a8432d0, 0x998b9cbdb84fffa0, 0x04be7f927d305855, 0x77cb73c2d3b45db6,
  0x4389206f6bd47b86, 0xc580bac537c9bdd2, 0xe0355e1c168d059c, 0x8c82aa01ffb30475, 0xcacd357c0f2cf6c3,
  0x969d28a4fe67d1cc, 0x00fa68e8c5302027, 0xa9cbca6c6740e28f, 0xf43aa70256521b8b, 0xe2adfef5545a585c,
  0x252d4bf2b6cced38, 0xff10dc80f0cc377c, 0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e, 0x689e4e0b9cc59af3, 0x000000029273f056,
};

// m128a_u1x8_uart0_dual_pr_ee
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ee[] = {
  0x77777c587ad0cf68, 0x77775e4c5f5aa137, 0x5f3ed266f77b5c77, 0x89e9f25dd7640287, 0x558d3c67489f55e5,
  0x13057792ccddc704, 0x45219eb9827c6024, 0xb48b59f755a8646d, 0x774fb97c40c2864f, 0xe2f5bff99612804a,
  0x51d36f613b670b5b, 0x4292241240c66e6f, 0xf9fbe08bf29f2e2f, 0x6f81bb87c2886257, 0x7f25f2f973f21f26,
  0xcbfe420b486f9717, 0x3f9150865a1fb910, 0xcbdbefbffa039e13, 0xf927d305855998b9, 0x285a768bb6c08e1f,
  0xf51e57b7e6ab5a3d, 0x56657a8f83660fe4, 0x84e1b875f62d377c, 0x4fcd2135f4b632e3, 0x464f1cead2e7aae0,
  0xab5d0ebd8cef08df, 0xe3b169acf4690ec6, 0x8fd6e1bd977bb380, 0x2b300a41719aa360, 0x5a74a293f99f4733,
  0x03e9a3a314c0809e, 0xa72f29b19d038a3c, 0xd0ea9c0959486e2e, 0x8ab7fbd551696173, 0x94b52fcadb33b4e3,
  0xff108933c330ddf0, 0x75666fe0eee3459e, 0x7e627f286152256a, 0x619a3ec6761ee719, 0xb867a615c9f8e7bf,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00000ac810bb344f,
};

// m128a_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ee_u4[] = {
  0x9bbbbbbe2e890c86, 0xdddddd79317efdd0, 0x62e5895f6a01d44f, 0x086f4f92ee86e765, 0x119d385a9d5cea2f,
  0x904c15de4e4e773c, 0xb514876ee609f180, 0x3ed22d67dd56a191, 0x29dd3ee5f1030a19, 0x6f8bcedfe6584a01,
  0xbd4719bd86ed1c13, 0x5e852448248185a9, 0xaff3f7c117e53e5c, 0x2bc303770f8510c4, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x13195150865a1019, 0xb9cbdba9effa039e, 0xb7f927d305855998, 0x30505a768bb6c092,
  0x6bfa8f2bea26ab5a, 0xf8ac27fa8f83660d, 0xc709c370ebec5a6e, 0xc0719a426be96c65, 0xb23afe73ab4bcbe5,
  0x1aad743af29abc36, 0x038ec5a621d18fbb, 0x482fd6e1bd96e4ce, 0x293f99f47332b35c, 0x3a314c0809e5a74a,
  0x9b19d038a3c03e9a, 0xc0959486e2ea72f2, 0xbd551696173d0ea9, 0xfcadb33b4e38ab7f, 0x203c330ddf094b52,
  0xf83bb8d167bfc437, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0xf7ff05347d8cec38, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x000ac956559a2793,
};

// m128a_u1x8_uart0_dual_pr_ce
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ce[] = {
  0xdddddf161eb432db, 0xeeeebc856e8be84d, 0x7a7dfdad0b6a6bee, 0x5a8d5bbba539a715, 0x1e19852d05aeaa3f,
  0x0120982bbc9b12ee, 0x91b51480b24c13e3, 0x193ed22d67dd56a1, 0x0129dd3ee5f1030a, 0x276f8bdadfe6584a,
  0xf9bd47ddad826d9c, 0xb8bd0a4890490331, 0x895fe7ef822fca7c, 0x3e5cb406ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x522197fc841690df, 0x784d1ee2a10cb42a, 0x62e72f6f95bfe80e, 0x74bfe49f4c161566, 0xfd671169da2edb02,
  0x9c216de6e77fb80d, 0xfc4361227b2ce1e7, 0x3bfcc41fa8f09e12, 0xf589f9b3db84889c, 0x40d05fa8fd04f72d,
  0x62c054c6d6a48712, 0xf01aaf0e0b4682ce, 0xc6415500ffd99e3a, 0x9959a6af81e5adc1, 0xf2d3a5149fccfa39,
  0xe01f4d1d18a60404, 0x7539794d8ce81c51, 0x9e8754e04aca4371, 0x331dbfdeaa8b4b0b, 0x094b52fcadb33b4e,
  0xeff108933c330ddf, 0xa75666fe0eee3459, 0x97e627f286152256, 0xf619a3ec6761ee71, 0x4b867a615c9f8e7b,
  0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x000001a489a0b344,
};

// m128a_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ce_u4[] = {
  0x6eeeeef8ba2432db, 0x777775e42b762f42, 0xb116a3b5b73b6abf, 0x957a4cddddb126e8, 0xe1e198509b6bad17,
  0x30120982bbc9466e, 0x191b5148f394c13e, 0xa193ed22d67dd56a, 0xa0129dd3ee5f1030, 0x70ff9c5c347e6584,
  0xabe6f51fa7f6163e, 0xf2e2f4292241240f, 0x86257f9fbe08bf29, 0x90f97eb81bb87c28, 0x7cb8bbf92f97cb9f,
  0x8f68865ff2105a43, 0x1cf09a448a8432d0, 0xccc5ce5edca5ffd0, 0x04517fc93e982c2a, 0x1bfae482d3b45db6,
  0xe79c216de6e76fe0, 0x12fc4361227b2ce1, 0x9c3bfcc41fa8f09e, 0xcb7d7ac9b3db8488, 0xc4903349ea3f3d3d,
  0x4398b0163227a921, 0xf1d7a3ebc352d19a, 0xccacc7520bb8e58c, 0x7969d28a4fe67d1c, 0xf00fa68e8c530202,
  0xba9cbca6c6740e28, 0xcf43aa70256521b8, 0x198edfef5545a585, 0x84a5a97e56d99da7, 0xdfe21b901e1986ef,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3,
  0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x000000001a48f36e,
};

// m128a_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ee_ce[] = {
  0x4ddddddf17a86f97, 0x3777775e47a60fa8, 0x10d77badedf5f66d, 0x0b3d70ddba9c99f2, 0x8d7551895634f7b8,
  0x413057793389dd2c, 0x4521721f9827c602, 0xb48b59f755a8646d, 0x774fb97c40c2864f, 0xe2ec87f99612804a,
  0x51e61b60cf870eb3, 0x4292241240ff5e6f, 0xf9fbe08bf29f2e2f, 0xa181bb87c2886257, 0x7f25f2f973f21f2b,
  0xcbfe420b486f9717, 0x53d150865a16e910, 0x2f6e337ff4073c26, 0xe49f4c16156662e7, 0xe169da2edb02383f,
  0x6e77a6c0577d51fe, 0xf60de1fe79c216de, 0x2be4d02bb84889c3, 0x3ea3cae4494ed7e2, 0x8afbaf51f06cc1a6,
  0x709c370ebec5a629, 0x7a8ea426be96c65c, 0xf08df464f1ceaedc, 0x21d8d578d8ebd8ce, 0x76701c762d359e8d,
  0xaa3608991c37b2ef, 0xf47332b32ce41719, 0x0809e5a74a293f99, 0x38a3c03e9a3a314c, 0x86e2ea72f29b19d0,
  0x96173d0ea9c09594, 0x769c663b7fbd5516, 0x1bbe1296a5f95b66, 0x167bfc432b367866, 0xe4fdd599bf83bb8d,
  0x87138cb25c33d30a, 0x66bcce62dfa4a5b3, 0x3cbd9a279382e731, 0x0000000000002608,
};

// m128a_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7777c5d150fe421f, 0xbbaf2033b04a1377, 0x26b8ede4f5c87bbb, 0x282b74abdd6c6732, 0xbda7c57bccd83e31,
  0x92c4eea9c6196859, 0xcc13e30120982bbc, 0xd56a191b5148e3c9, 0x1030a193ed22d67d, 0xcb094c049dd3ee5f,
  0xa3e70524e2fcdffc, 0x81b21cdea3b396c3, 0xe53e5c5e85244824, 0x8510c4aff3f7c117, 0xcfc87c861703770f,
  0x21be5c5dfc97cbe5, 0xd0a1f4432ff9082d, 0xa039e130d68a8432, 0xab3317397b7adfff, 0xc0bfe7fe538e60b0,
  0x7f546c145a768bb6, 0x9c216fe019d85a03, 0xfc4361227b2ce1e7, 0xdd0dd51fa8f09e12, 0xe97c9b3db84889c3,
  0x98fa8f2b91253b58, 0xa62beebd47c1b306, 0x71c270dc3afb1698, 0x71ea3a909afa5b19, 0x3bc237d193c73abb,
  0x34876355e363af63, 0xbdd9c071d8b4d67a, 0x66a8d8226470decb, 0x67d1cccaccb3905c, 0x302027969d28a4fe,
  0x40e28f00fa68e8c5, 0x521b8ba9cbca6c67, 0x5a585cf43aa70256, 0x99da7198edfef554, 0x986ef84a5a97e56d,
  0xc68b3dfe21b901e1, 0x2256a75666fe0d1f, 0x313ffbc3def28615, 0x4d1f633b0e3f8cbf, 0xf8d1e8bfc0fdffc1,
  0xe1c4e32c970cf4c2, 0x59af3398b7e9296c, 0xe4aaaa49e4e0b9cc, 0x0000000000010014,
};

// m128a_u1x8_uart0_dual_ee_hw
static const uint64_t ur_m128_u1x8_uart0_dual_ee_hw[] = {
  0xbbbbbe2e8a34359b, 0xbbbbaf262fad509b, 0xaf9f69337bbdae3b, 0xc4f4f92eebb20143, 0x1f35f459b44faaf2,
  0x413057792ccddcfe, 0xd45219eb9827c602, 0xfb48b59f755a8646, 0x6774fb97c40c2864, 0xbe2f5bff996129d0,
  0xf51d36f613b670b5, 0xf4292241240c66e6, 0x7f9fbe08bf29f2e2, 0x66f81bb87c288625, 0x77f25f2f973f21f2,
  0x0cbfe420b486f971, 0x33f9150865a1fb91, 0x9cbdbefbffa039e1, 0xfe48dd305855998b, 0x4a169da2edb02387,
  0x3d4795edf9aad68f, 0x15995ea3e0d983f9, 0xe1386e1d7d8b4ddf, 0x13f3484d7d2d8cb8, 0xd193c73ab4b9eab8,
  0xaad743af633bc237, 0x38ec5a6b3d1a43b1, 0x23f5b86f65deece0, 0xcacc02905c66a8d8, 0x969d28a4fe67d1cc,
  0x00fa68e8c5302027, 0xa9cbca6c6740e28f, 0xf43aa70256521b8b, 0xe2adfef5545a585c, 0x252d4bf2b6cced38,
  0x256a74f8f0cc377c, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f,
  0x9af3398b7e9296ce, 0x880ba29e4e0b9cc5, 0x000000000000aed0,
};

// m128_u1x8_uart0_dual_ee_ce_u4_hw  m128a_u1x8_uart0_dual_ee_ce_hw    m128a_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef8ba28d1bf5b, 0x7775e4067609426e, 0x44d71dbc9eb90f77, 0x25056e957bad8ce6, 0xda5f58af799b07c6,
  0x57792589dcf3ad20, 0xc7939827c6024130, 0xacfbaad43236a291, 0xdcbe20614327da45, 0xdffccb094e833ba7,
  0x96c3a3e70524e2fc, 0x482481b21cdea3b3, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7, 0xcbe5cfc87c861703,
  0x082d21be5c5dfc97, 0x8432d0a1f4432ff9, 0xdfffa039e130d68a, 0x60b0ab3317397b7a, 0x45db605ff3fc91ba,
  0x2d01bfaa360a2d3b, 0x3879e7085bf21cec, 0x2784bf10d8489ecb, 0x11387672e8ffea3c, 0xa76b1d2f9367b709,
  0x3660d31f51e57224, 0x62d314c57dd7a8f8, 0x4b632e384e1b875f, 0xe7576e3d4752135f, 0x75ec677846fa3278,
  0x9acf4690ec6abc6c, 0x1bd977bb380e3b16, 0x720b8cd51b044c8e, 0x149fccfa39995996, 0x1d18a60404f2d3a5,
  0x4d8ce81c51e01f4d, 0xe04aca4371753979, 0xdeaa8b4b0b9e8754, 0xfcadb33b4e331dbf, 0x3e3c330ddf094b52,
  0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0xff03f7ff05347d8c, 0xb25c33d30be347a2, 0x62dfa4a5b387138c,
  0xa79382e73166bcce, 0x0000003aeb2c85e8,
};

// m128_u1x8_uart1_noled_pr          m128a_u1x8_uart1_noled            m128a_u1x8_uart1_noled_pr
static const uint64_t ur_m128_u1x8_uart1_noled[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaaec397e44, 0x596a98369a5ef7c5, 0xd9fbbd83eeeee6b0, 0xef2777c7e145c490,
  0xce3304f8c048260a, 0x16f604be7f8541cf, 0x77cb243b12dfda19, 0x21c4903349ea3f3c, 0x62c05bdd36f75fe9,
  0x75e2ebc3ac478cce, 0xfd8566b16e396304, 0x2fce7666df818902, 0x667e6f2dd4180ef0, 0x521b8ba9cbca6c67,
  0x81fae2810b4f0c56, 0x52fcadb33a7a1d53, 0x959b3c330ddf094b, 0xe40d1fc68b3dfe21, 0xb867a615c9fbab31,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x0001f203cbe2374f,
};

// m128a_u1x8_uart1_noled_pr_u4
static const uint64_t ur_m128_u1x8_uart1_noled_pr_u4[] = {
  0xbbbbbaeea24328ae, 0xeeeeeaaec385ee25, 0xb67eefc3fa33499e, 0x7d68c1f7774880b2, 0x2775a2f4ec772edd,
  0x3304f8c048260aef, 0x7b025f3ff0aecfce, 0xe5843d896fed0c8b, 0xe2481a0bf51fa03b, 0xb016594c98dad490,
  0xe8faf0d7f47ac398, 0xf744aa01ffb30475, 0x05fb071f03cb3db1, 0xe05f9ceccdbf0312, 0x7667e6f00fa8301d,
  0x6521b8ba9cbca6c6, 0x45a585cf43aa7025, 0x6d99c4922adfef55, 0xe1986ef84a5a97e5, 0xddc68b3dfe21b901,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf829a3ec6761c7f1, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x398b35e67316fd25, 0xc9d1e4ecd13c9c17, 0x0000000000000007,
};

// m128_u1x8_uart1_noled_pr_ee_u4    m128a_u1x8_uart1_noled_pr_ee      m128a_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart1_noled_pr_ee[] = {
  0xdddddd775121af43, 0x777775575c820912, 0xc29e98dbd867ad2f, 0x179c17c2f7777f8b, 0xb257df4e7162f360,
  0xf180904c15de4eeb, 0xc3ffc2bb3ec16609, 0x6c4b7f68645bd811, 0xa8f2b9126ab5a39c, 0xbeebd47c1b30698f,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x1e0b39d5a5d005c6, 0xab5d0ebce9de1ded, 0x71d8b4f9e461c6c6,
  0x23f5b86f65b2f9c0, 0x2fd801512a0ea8d8, 0x02fce7666df81890, 0xb33f37807d4180ef, 0x290dc5d4e5e53633,
  0x2d2c2e7a1d53812b, 0x6cce249156ff7aaa, 0x0cc377c252d4bf2b, 0xee3459eff10dc80f, 0x152256a75666fe0e,
  0xbf313ffbc3def286, 0xc14d1f633b0e3f8c, 0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4, 0xcc59af3398b7e929,
  0xafc6876689e4e0b9, 0x0000000000000013,
};

// m128_u1x8_uart1_noled_pr_ce_u4    m128a_u1x8_uart1_noled_pr_ce      m128a_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart1_noled_pr_ce[] = {
  0xdddddd775121b768, 0xbbbbbaabbc812112, 0xb26d4c99e9bbd3f7, 0xb682663bbbbc1e84, 0xc9dd29c3d8d29d62,
  0x5cc13e30120982bb, 0x7b0274bff85767ca, 0xfea0a5896fed0c8b, 0xce10b6f373ba9406, 0x7e21b0913d9670f3,
  0x3d6fc00fd4784f09, 0x7d7ac9b3db84889c, 0x240f59ea393d3dcb, 0xcc580ab5fa4a4871, 0x3af47d786bfa3d61,
  0x70fba25500ffd99e, 0x6240bf60e3e0796b, 0x03bc0bf39d99b7e0, 0xd8ceccfcde01f506, 0x04aca43717539794,
  0xeaa8b4b0b9e8754e, 0xf95b66712431dbfd, 0x4078661bbe1296a5, 0xf07771a2cf7f886e, 0x9430a912b53ab337,
  0xfc65f989ffde1ef7, 0xeffe0a68fb19d871, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf,
  0x00dd7bc93b344f27,
};

// m128_u1x8_uart1_noled_pr_ee_ce_u4 m128a_u1x8_uart1_noled_pr_ee_ce   m128a_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m128_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbbaeea2431bc1, 0xeeeeeaaf064b0625, 0x99ae3697a8ef6276, 0x646e25d7eeb535a2, 0x57a27b4e0b41b977,
  0xf180904c15de4ee9, 0xfcffc2bb3fa6a609, 0xec4b7f68645bd817, 0x9b9da5a037f54652, 0x89ecb3879e7085b7,
  0xfea3c2784bf10d84, 0xf6e122270e601ba1, 0xafa894ed63a7be6c, 0xea3e0d9835afea3c, 0xc3afb1698a62b09f,
  0x09afa5b1971c270d, 0x3c1673abb72003a9, 0xaf1b1d79d3bc3bda, 0xc762d3e791871b1a, 0x44c8e1bd96cbe701,
  0x5fb0b3a2541d51b0, 0x05f9ceccdbf03120, 0x667e6f00fa8301de, 0x521b8ba9cbca6c67, 0x5a585cf43aa70256,
  0xb3389218edfef554, 0x330ddf094b52fcad, 0xb8d167bfc437203c, 0x54895a9d599bf83b, 0xfcc4ffef0f7bca18,
  0x05347d8cec38fe32, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xf12da59a279382e7,
  0x0000000000000013,
};

// m128a_u1x8_uart1_noled_ee_hw
static const uint64_t ur_m128_u1x8_uart1_noled_ee_hw[] = {
  0xeeeeebba8a343a31, 0xbbbbaabae4104896, 0x14f4c6dec33d697b, 0xbce0be17bbbbfc5e, 0xe4e7adad3b179b00,
  0x9f180904c15de4ee, 0x8e1fff5933ec1660, 0xe3625bfb4322dec0, 0x7d4795c89355ad1c, 0x15f75ea3e0d9834c,
  0xe1386e1d7d8b4ddf, 0x3593484d7d2d8cb8, 0x68f059cead2e802e, 0x355ae875e74ef0ef, 0x038ec5a7cf230e36,
  0xc11fadc37b2d97ce, 0x817ec00a89507546, 0x7817e73b336fc0c4, 0x9d99f9bc03ea0c07, 0x59486e2ea72f29b1,
  0x51696173d0ea9c09, 0x5b6671248ab7fbd5, 0x78661bbe1296a5f9, 0xf79430a912b53a7c, 0x71fc65f989ffde1e,
  0x07effe0a68fb19d8, 0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x000002df1a6b514f,
};

// m128_u1x8_uart1_noled_ee_ce_u4_hw m128a_u1x8_uart1_noled_ee_ce_hw   m128a_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m128_u1x8_uart1_noled_ee_ce_hw[] = {
  0xddddd77514687f3e, 0x777755783258312d, 0xcd71b4bd477b13b7, 0x23712ebf75a9ad14, 0x10f7ef475e0dcbbb,
  0x7c602413057793ba, 0xff9ffd64cfe9a982, 0x5d896fed0c8b7b02, 0xc873b4b406fea8ca, 0x227b2ce1e79c216f,
  0x5fa8f09e12fc4361, 0xcf6e122270f494ce, 0xcafa894ed63a7be6, 0xfea3e0d9835afea3, 0xdc3afb1698a62b09,
  0x909afa5b1971c270, 0xa3c1673abb72003a, 0xaaf1b1d79d3bc3bd, 0x1c762d3e791871b1, 0x044c8e1bd96cbe70,
  0x05fb0b3a2541d51b, 0xe05f9ceccdbf0312, 0x7667e6f00fa8301d, 0x6521b8ba9cbca6c6, 0x45a585cf43aa7025,
  0xdb3389218edfef55, 0xc330ddf094b52fca, 0xbca1854895a9d3e3, 0x8fe32fcc4ffef0f7, 0x3f7ff05347d8cec3,
  0xc33d30be347a2ff0, 0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x00005010e2fa8a79,
};

// m128_u1x8_uart1_lednop_pr         m128a_u1x8_uart1_lednop           m128a_u1x8_uart1_lednop_pr
static const uint64_t ur_m128_u1x8_uart1_lednop[] = {
  0x96eeeeebbb59bb37, 0xfbbbbbaabb0e3078, 0x0b2dd5838b6b4d1a, 0x4a1122f07ddddcd6, 0xaef277617ad1e3d0,
  0xfe95304f8c048260, 0x916f6040a7f8541c, 0xe77cb243b12dfda1, 0x24389206693d4759, 0x98b016f74c37f05d,
  0x75e2ebc282d19a43, 0x7ec2b0cf6e396304, 0x81013b336fc0c481, 0xcde0e4ac077817e7, 0xa77165397ce80ccf,
  0x042d362bdba414fa, 0x6674f43aa702b88a, 0x661bbe1296a5f95b, 0x8d167bfc432b3678, 0x2b93f75663c81a3f,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x1b8fc46e9e4e0b9c, 0x00000000000003e4,
};

// m128a_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_m128_u1x8_uart1_lednop_pr_u4[] = {
  0xdddddd775121ad4e, 0x7777755761c1af12, 0x2f7b3dfb68dbd803, 0x1d7993dddd2202ca, 0x93bab8c48a9b8363,
  0x59827c6024130577, 0x7b0297dff85767cf, 0xe5843d896fed0c8b, 0xe2481a0bf51ed63b, 0x602cb29b2483f490,
  0x47d78567a3486731, 0x63ed500ffd9823af, 0x5fb20ad03cb3db41, 0xe0404eccdbf03120, 0x379b228301de05f9,
  0xa9bd4a7253a0333f, 0x7a1d5381f11a4386, 0xc8ab7fbd55169aba, 0xf094b52fcadb33b9, 0x7bfc437203c330dd,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34,
  0xcce62dfa4a5b3871, 0x59a279382e73166b, 0x000000000f935c5f,
};

// m128_u1x8_uart1_lednop_pr_ee_u4   m128a_u1x8_uart1_lednop_pr_ee     m128a_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart1_lednop_pr_ee[] = {
  0xdddddd775121b032, 0xeeeeeaaeb902b712, 0x4130aa87b42f5ebe, 0x1d9c17c2f7777f8b, 0x0db2bc8a4c8678bf,
  0xe30120982bbc9ddb, 0x87ff85767f2b4c13, 0xd896fed0c8b7b022, 0x51e56654d56b4738, 0xc3dfa8f83660d31f,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x3268e75697ea171a, 0x56ba1d79d3bc3192, 0xe3b16993c8ded58d,
  0x47eb70decb65f380, 0x2fd8010fba2551b0, 0xf02027666df81890, 0x9bcd914180ef02fc, 0x54dea53929d0199f,
  0x3d0ea9c0f88d21c3, 0xe455bfdeaa8b4d5d, 0xf84a5a97e56d99dc, 0x3dfe21b901e1986e, 0xd4eaccdfc1ddc68b,
  0xff787bde50c2a44a, 0xec6761c7f197e627, 0x3d17f81fbff829a3, 0x9c6592e19e985f1a, 0xe67316fd252d9c38,
  0xecd13c9c17398b35, 0x000000000275cfd6,
};

// m128_u1x8_uart1_lednop_pr_ce_u4   m128a_u1x8_uart1_lednop_pr_ce     m128a_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart1_lednop_pr_ce[] = {
  0xdddddd775121b705, 0xbbbbbaabbc832112, 0x090b27006b4bd1a7, 0x7656ec7eeeef07a1, 0xc9dd7ad388c4fda3,
  0xf4c13e30120982bb, 0x7b022ebff85767d4, 0xfea0a5896fed0c8b, 0xce10b6f373b72606, 0x7e21b0913d9670f3,
  0x743ec6efd4784f09, 0xfaf59367b7091138, 0x481eb3d47e927b96, 0xcc580b1088b490e2, 0xebd1f5e159e8d219,
  0x9058fb5403ff6678, 0x1205fb20ad03cb5b, 0x5f9e0404eccdbf03, 0x33f379b228301de0, 0x386a9bd4a7253a03,
  0xaba7a1d5381f11a4, 0x773863b7fbd55169, 0x1bbe1296a5f95b66, 0xa2cf7f886e407866, 0x12b53ab337f07771,
  0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0xc68f45fe07effe0a, 0x0e271964b867a617, 0xcd799cc5bf494b67,
  0xd4eb344f2705ce62, 0x000000000000dd70,
};

/*
 * m128_u1x8_uart1_lednop_pr_ee_ce_u4 m128a_u1x8_uart1_lednop_pr_ee_ce
 * m128a_u1x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbaeea2431000, 0xeeeeeaaf0651c625, 0x60d337afa6476c4e, 0x696e25d7eeb535a1, 0x17f76d8ab8a3b836,
  0xf180904c15de4eed, 0xb7ff85767ed6e609, 0xb12dfda1916f6049, 0xdcefa7c0dfd5194b, 0x4f659c3cf3842dbc,
  0xf51e13c25f886c24, 0xb70911387eeb0003, 0x7dd4a76b1d3df367, 0x51f06cc1ad7f51e5, 0x1d7d8b4c5315edff,
  0x4d7d2d8cb8e1386e, 0xc9a39d5dbba81d48, 0xbc6c75e74ef0c648, 0x1d8b4c9e46f6ac6a, 0x132386f65b2f9c07,
  0xbf61663ee89546c1, 0xc0809d99b7e06240, 0x6f36450603bc0bf3, 0x537a94e4a740667e, 0xf43aa703e234870d,
  0x0c76ff7aaa2d3574, 0xc252d4bf2b6ccee7, 0xeff10dc80f0cc377, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0xe8bfc0fdffc14d1f, 0xe32c970cf4c2f8d1, 0x3398b7e9296ce1c4, 0x6689e4e0b9cc59af,
  0x0000000009f86113,
};

// m128a_u1x8_uart1_lednop_ee_hw
static const uint64_t ur_m128_u1x8_uart1_lednop_ee_hw[] = {
  0xeeeeebba8a342493, 0x77775575c815b896, 0x0985543da17af5f7, 0xece0be17bbbbfc5a, 0x81602b5b1433c5f8,
  0x3e30120982bbc9dd, 0x143ffeb267f2b4c1, 0xc6c4b7f68645bd81, 0xfa8f2b32a6ab5a39, 0x561efd47c1b30698,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0x9193473ab4bf50b8, 0x6ab5d0ebce9de18c, 0x071d8b4c9e46f6ac,
  0x823f5b86f65b2f9c, 0x817ec0087dd12a8d, 0xe781013b336fc0c4, 0xfcde6c8a0c077817, 0x1aa6f529c94e80cc,
  0xe9e8754e07c4690e, 0xe722adfef5545a6a, 0x77c252d4bf2b6cce, 0x152256a74f8f0cc3, 0xbf313ffbc3def286,
  0xc14d1f633b0e3f8c, 0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4, 0xcc59af3398b7e929, 0x5bf765aa29e4e0b9,
  0x0000000000000000,
};

/*
 * m128_u1x8_uart1_lednop_ee_ce_u4_hw m128a_u1x8_uart1_lednop_ee_ce_hw
 * m128a_u1x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xddddd77514684c7f, 0x77775578328e312d, 0x0699bd7d323b6277, 0x4b712ebf75a9ad0b, 0x59f3aded691dc1b3,
  0x4f8c048260aef277, 0x26dfff5933f6b730, 0x2ec4b7f68645bd81, 0xc873be9f037f5465, 0x227b2ce1e79c216f,
  0xffa8f09e12fc4361, 0x9edc2444e1f2a1a0, 0x95f7529dac74f7cd, 0xfd47c1b306b5fd47, 0xb875f62d314c57b7,
  0x2135f4b632e384e1, 0x23268e7576eea075, 0xaaf1b1d79d3bc319, 0x1c762d32791bdab1, 0x044c8e1bd96cbe70,
  0x02fd8598fba2551b, 0xcf02027666df8189, 0xf9bcd914180ef02f, 0x354dea53929d0199, 0xd3d0ea9c0f88d21c,
  0x9c31dbfdeaa8b4d5, 0xdf094b52fcadb33b, 0x54895a9d3e3c330d, 0xfcc4ffef0f7bca18, 0x05347d8cec38fe32,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0x02a31fe8a79382e7, 0x000000000000000a,
};

/*
 * m128_u1x8_uart1_dual_pr           m128_u1x8_uart1_dual_pr_u4        m128a_u1x8_uart1_dual
 * m128a_u1x8_uart1_dual_pr          m128a_u1x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m128_u1x8_uart1_dual[] = {
  0xdddddf1744869a4e, 0x77775e46a738a84d, 0xd9b140bd8d5acfb7, 0xb29eb6eee9a55823, 0xd368e43b9cfe14e5,
  0x30120982bbc9081d, 0x191b5148044cc13e, 0xa193ed22d67dd56a, 0xa0129dd3ee5f1030, 0x70cadc5f7dfe6584,
  0xc879bd47287b053c, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf90f906803770f85, 0x37cb8bbf92f97cb9,
  0x82628865ff2105a4, 0x80e784d194542196, 0xab3317397b77f3fe, 0xec0ba8ff24fa60b0, 0xcb13d625bfb4322d,
  0x89206d7dea3c6477, 0x01758a69c56bd243, 0x6abc370d1887398b, 0xda5403ff6608ebc0, 0x6538b81e59edb5f3,
  0x05fb27f33e8e6656, 0x9e0404eccdbf0312, 0xf379b228301de05f, 0x6a9bd4a7253a0333, 0xa7a1d5381f11a438,
  0x9c8ab7fbd55169ab, 0xdf094b52fcadb33b, 0x67bfc437203c330d, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387, 0x559a279382e73166,
  0x0000000000524d6b,
};

// m128a_u1x8_uart1_dual_pr_ee
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ee[] = {
  0x6eeeeef8bd43573e, 0xdddddd790fdf7742, 0x27d57f5de83ed70b, 0x17a9be9dbad38eb2, 0xf05f5768fa10d77d,
  0x260aef24dd3b8af6, 0x8a4271f304f8c048, 0x6916b3eeab50c8da, 0xee9f72f881850c9f, 0xe2f003f32c250094,
  0x51e76f616b670adf, 0x4292241240f76a6f, 0xf9fbe08bf29f2e2f, 0x5401bb87c2886257, 0xbf92f97cb9f90f96,
  0x65ff2105a437cb8b, 0x2fb8a8432d04ac88, 0xcbdb93affa039e13, 0xf927d305855998b9, 0x5bfb4322dec0a577,
  0x5701a6ab5a309f62, 0xfa8f83660e6ef51e, 0x70ebec5a6ef8ad7d, 0x426be96c65c709c3, 0x39d5a5cca5c09f9a,
  0x0ebd8cef0a628c45, 0xb4ed6475fec6ab5d, 0x70decbbdd9c071d8, 0x027b41c551b047eb, 0xbf64fe67d1cccacc,
  0xc0809d99b7e06240, 0x6f36450603bc0bf3, 0x537a94e4a740667e, 0xf43aa703e234870d, 0x9156ff7aaa2d3574,
  0xe1296a5f95b66773, 0xbfc432b3678661bb, 0xdd599bf83bb8d167, 0x38cb25c33d30ae4f, 0xcce62dfa4a5b3871,
  0xd9a279382e73166b, 0x00000000032147ad,
};

// m128a_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ee_u4[] = {
  0xbbbbe2e8a87fbb90, 0x7775e43f7ddd09bb, 0x55fd77a0fb5c2f77, 0xa6fa76eb4e3ac89f, 0xff5766e8435df45e,
  0x577926e9dcdd8cfa, 0x138f9827c6024130, 0xb59f755a8646d452, 0xfb97c40c2864fb48, 0x003f32c253012774,
  0x76f616b670adfe2f, 0x2241240f76a6f51e, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f, 0x2f97cb9f90f96540,
  0xf2105a437cb8bbf9, 0x8a8432d04ac8865f, 0xb93affa039e132fb, 0xc7305855998b9cbd, 0xa1916f6052bbff29,
  0xd355ad184fb12dfd, 0xc1b307377a8f2b80, 0xf62d377c56befd47, 0xf4b632e384e1b875, 0xd2e652e04fcd2135,
  0xc677853146229cea, 0xb23aff6355ae875e, 0x65deece038ec5a76, 0xa0e2a8d823f5b86f, 0x7f33e8e66566013d,
  0x4eccdbf031205fb2, 0x228301de05f9e040, 0x4a7253a0333f379b, 0x5381f11a4386a9bd, 0x7fbd55169aba7a1d,
  0xb52fcadb33b9c8ab, 0x437203c330ddf094, 0xcdfc1a3f8d167bfc, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0x81fbff829a3ec676, 0x2e19e985f1a3d17f, 0x6fd252d9c389c659, 0xc9c17398b35e6731, 0x000564cffc355493,
};

// m128a_u1x8_uart1_dual_pr_ce
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ce[] = {
  0x777777c5f6090c86, 0x777775e4c5e16a13, 0x51fad33ed26f70fb, 0xbeef7ef7775d91da, 0xdcf04675c7f53ad9,
  0xc602413057792ccd, 0x8646d45222319827, 0x2864fb48b59f755a, 0x2804a774fb97c40c, 0x70b5be2f5bff9961,
  0x66e6f51d36f613b6, 0xf2e2f4292241240c, 0x86257f9fbe08bf29, 0x90f912501bb87c28, 0x7cb8bbf92f97cb9f,
  0xfdc8865ff2105a43, 0x1cf099fc8a8432d0, 0xccc5ce5edc6b7fd0, 0x05813fc93e982c2a, 0x4f5b12dfda1916f6,
  0x216de6e7670c0dfd, 0x4361227b2ce1e79c, 0xb75bffa8f09e12fc, 0x27e6cf6e122270f6, 0x27fd4783f3dcb7d6,
  0x0505322d24389206, 0xaaf0dc34621ce62c, 0x69500ffd99e3af01, 0x6538b81e5adcd7cf, 0x05fb27f33e8e6656,
  0x9e0404eccdbf0312, 0xf379b228301de05f, 0x6a9bd4a7253a0333, 0xa7a1d5381f11a438, 0x3863b7fbd55169ab,
  0xbe1296a5f95b6677, 0x9eff10f78278661b, 0x6a75666fe0eee345, 0x9d87138d28615225, 0xe985727ef8268fb1,
  0x52d9c389c6592e19, 0x7398b35e67316fd2, 0x03493086cd13c9c1,
};

// m128a_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ce_u4[] = {
  0x9bbbbbbe2e890c86, 0xdddddd79317a7dd0, 0x9dacfb656a01d44f, 0xe7517e7deeeeb336, 0x73b9e08ce9c2d4ea,
  0x4f8c048260aef262, 0xb50c8da8a43c0330, 0x1850c9f6916b3eea, 0xc250094ee9f72f88, 0xfc38068e2fa6bf32,
  0x03a1f9bd47b1fd87, 0xca7cb8bd0a489049, 0x0a21895fe7ef822f, 0xe7e43e578606ee1f, 0x90df2e2efe4be5f2,
  0x5a0fe22197fc8416, 0xf4073c26dbf15086, 0x0ab3317397b78adf, 0xbd81305ff24fa60b, 0x7f5052c4b7f68645,
  0xf3842dbcdcedfc03, 0x5f886c244f659c3c, 0x1ed6eb7ff51e13c2, 0xbebd64d9edc2444e, 0x9207acf51c9a9ee5,
  0xe62c05c8a4f52438, 0x75e8faf0d4b461c4, 0x2b31d482ee39633c, 0x8902fd93f99f4733, 0x2fcf02027666df81,
  0xf3a0333f37980ef0, 0xef9485eb5392296a, 0xa7023a3182169c05, 0x96a5f95b6674f43a, 0x886e4078661bbe12,
  0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0xfe07effe0a68fb19, 0x64b867a617c68f45,
  0xc5bf494b670e2719, 0x4f2705ce62cd799c, 0x0000003492acab34,
};

// m128a_u1x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ee_ce[] = {
  0x9bbbbbbe2f50cf68, 0xdddddd7914da10d0, 0x2daef51fd9b4db04, 0x0e1f04053b752616, 0xc11560f0cce87e5a,
  0x0904c15de49d6771, 0x6d4520f67a609f18, 0x4fb48b59f755a864, 0x4a774fb97c40c286, 0x7ce2fd67f9961280,
  0x6f51cd6f6130c706, 0x17a1491209206292, 0x2bfcfdf045f94f97, 0x977580ddc3e14431, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x131438a8432d095c, 0xb9cbdbe20ffa039e, 0xdff927d305855998, 0xc4b7f68645bd810c,
  0x9defb015df546516, 0xae6b7f9e7085b79b, 0x63340aee122270ff, 0x51e57b7e53b5f88a, 0xc27fa8f83660deff,
  0x9c370ebec5a6298a, 0x0ea426be96c65c70, 0x77b47d01ceaedda5, 0xec6abc6c75e53578, 0x9c071d8b4f9e4627,
  0xe31d6191c37b2dc9, 0x17ec9fccfa399959, 0x781013b336fc0c48, 0xf3796ea0c077817e, 0x6a9bd4a7253a0333,
  0xc6085a5aff11a438, 0x6d99d3d0ea9c0db8, 0xe1986ef84a5a97e5, 0xee3459eff10cacd9, 0x4c2b93f75666fe0e,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x9821c296689e4e0b,
};

// m128a_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xeeef8ba2a1fc3000, 0xeebc86eef27426ee, 0xb70bd68fef766eee, 0x1edba3ae804af799, 0xccd12c8fe1bebf91,
  0xfb7755c7d8001a91, 0x13e30120982bbc94, 0xb50c8da8a432cdcc, 0x1850c9f6916b3eea, 0x84a6024ee9f72f88,
  0x870e6ff17548fe65, 0xd254dea3f47f60a4, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xc87cbd6a03770f85,
  0xbe5c5dfc97cbe5cf, 0xe9f4432ff9082d21, 0x39e1313a8a8432d0, 0x3317397b735bffa0, 0xb107fe538e60b0ab,
  0xad625bfb4322dec0, 0xe019deed01bfaa3c, 0x227b2ce1e79c216f, 0xffa8f09e12fc4361, 0xf6e122270fc83aba,
  0x598f94ed63a5f26c, 0xea3e0d983c93d479, 0xe1d7d8b4c5315bf9, 0x84d7d2d8cb8e1386, 0x8c4539d5db8ca1d4,
  0x578d8ebd8cef0a62, 0xe3b169dac8ebfd8d, 0x44c8e1bd977bb380, 0xcaccb37b41c551b0, 0x6240bf64fe67d1cc,
  0x0bf3c0809d99b7e0, 0x667e6f36450603bc, 0x870d537a94e4a740, 0x3574f43aa703e234, 0xcee70c76ff7aaa2d,
  0xc377c252d4bf2b6c, 0x3459eff10dc80f0c, 0x12b53ab337f068fe, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0xc68f45fe07effe0a, 0x0e271964b867a617, 0xcd799cc5bf494b67, 0x3e55524f2705ce62, 0x000000000008004d,
};

// m128a_u1x8_uart1_dual_ee_hw
static const uint64_t ur_m128_u1x8_uart1_dual_ee_hw[] = {
  0xbbbbe2e8a34404d3, 0x7775e43f7ddd09bb, 0x55fd77a0fb5c2f77, 0xa6fa76eb4e3ac89f, 0xc5d35228435df45e,
  0x60aef24dd3bb595c, 0xa4271f304f8c0482, 0x916b3eeab50c8da8, 0xe9f72f881850c9f6, 0x2f003f32c253a0ce,
  0x1e76f616b670adfe, 0x292241240f76a6f5, 0x9fbe08bf29f2e2f4, 0x401bb87c2886257f, 0xf92f97cb9f90f965,
  0x5ff2105a437cb8bb, 0xfb8a8432d04ac886, 0xbdb93affa039e132, 0x48dd305855998b9c, 0xfed0c8b7b0295dfe,
  0xc069aad68c27d896, 0xa3e0d9839bbd4795, 0x3afb169bbe2b5f7e, 0x9afa5b1971c270dc, 0x756973297027e690,
  0xaf633bc298a3114e, 0x3b591d7fb1aad743, 0x37b2ef76701c762d, 0x9ed071546c11fadc, 0xd93f99f47332b300,
  0x2027666df818902f, 0xcd914180ef02fcf0, 0xdea53929d0199f9b, 0x0ea9c0f88d21c354, 0x55bfdeaa8b4d5d3d,
  0x4a5a97e56d99dce4, 0x4ad4e9f1e1986ef8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0x1a3d17f81fbff829,
  0x389c6592e19e985f, 0x35e67316fd252d9c, 0xcf27453c9c17398b, 0x000000000000aed6,
};

// m128_u1x8_uart1_dual_ee_ce_u4_hw  m128a_u1x8_uart1_dual_ee_ce_hw    m128a_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeef8ba28d06c4f, 0xeeebc86eef27426e, 0x9b70bd68fef766ee, 0x11edba3ae804af79, 0xd0cb52c8fe1bebf9,
  0xde4a7dbbb6b5506a, 0x66e609f180904c15, 0x9f755a8646d45219, 0x97c40c2864fb48b5, 0x3f996129d06774fb,
  0xd82921c39bfc5d52, 0x0920749537a8fd1f, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xf973f21f2f5a80dd,
  0x0b486f97177f25f2, 0x0cb43a7d10cbfe42, 0xffe80e784c4ea2a1, 0x2c2accc5ce5edcd6, 0x5bd81620ff246e98,
  0xf54795ac4b7f6864, 0xc216fc873bdda037, 0xc4361227b2ce1e79, 0x37d523fa8f09e12f, 0x97c9b3db84889c3f,
  0x4f51e5663e53b58e, 0xc56fe7a8f83660f2, 0x384e1b875f62d314, 0x328752135f4b632e, 0xbc298a3114e7576e,
  0xaff6355e363af633, 0xeece038ec5a76b23, 0x1546c1132386f65d, 0x9f47332b32cded07, 0x66df818902fd93f9,
  0x180ef02fcf020276, 0x929d0199f9bcd914, 0x0f88d21c354dea53, 0xeaa8b4d5d3d0ea9c, 0xfcadb33b9c31dbfd,
  0x3e3c330ddf094b52, 0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0xff03f7ff05347d8c, 0xb25c33d30be347a2,
  0x62dfa4a5b387138c, 0xa79382e73166bcce, 0x0000001d758a04a8,
};

// m128_u1x12_uart0_noled_pr         m128a_u1x12_uart0_noled           m128a_u1x12_uart0_noled_pr
static const uint64_t ur_m128_u1x12_uart0_noled[] = {
  0xbbaeed017acdfebe, 0xddd55ee04c1e25bb, 0x7af2cad793684ddd, 0xe1c5bbba308441ab, 0x971b2636d4df37e0,
  0x9f180904c15de4ee, 0x1bffe15073eb5e60, 0x9da2ed84425db7fe, 0xef51ded1df2dac16, 0xb86d7d490e248199,
  0x51c351cc580b7ba6, 0x72c608ebc5d78641, 0x4f2d3a5142b1d3dc, 0xe7e28f1ca4d1d18a, 0xdba41abd4a5e537a,
  0x5a70173d0ea9c0fc, 0xb6670ea2adfef554, 0x8661bbe1296a5f95, 0xf8d167bfc432b367, 0xc2b93f75663c81a3,
  0x6ce1c4e32c970cf4, 0xcc59af3398b7e929, 0x42c7fc46e9e4e0b9, 0x000000000000003e,
};

// m128a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_m128_u1x12_uart0_noled_pr_u4[] = {
  0xbaeed01744861391, 0xdd55ee05cde25bbb, 0x686d346bef1fdddd, 0x5337775b07527073, 0xf5cc4e634ccbdecf,
  0x7c602413057793ba, 0x3dfff85767f24982, 0x4ed176c2212edbff, 0x7ea3d7f3be584f8b, 0x1beb3e921c49031f,
  0x68ccf1cc580b2ca6, 0xff6608ebd1f5e148, 0x0f2cf6d41dd35403, 0x149e5a74a2953c9c, 0xf5cfc51e3949a3a3,
  0xf9b748357a94bca6, 0xa8b4e02e7a1d5381, 0x2b6cce1d455bfdea, 0x0f0cc377c252d4bf, 0x0eee3459eff10dc8,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xffc14d1f633b0e3f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0xb9cc59af3398b7e9, 0x3e4e2ac56689e4e0,
};

// m128_u1x12_uart0_noled_pr_ee_u4   m128a_u1x12_uart0_noled_pr_ee     m128a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart0_noled_pr_ee[] = {
  0xdd77680ba2431768, 0xeeaae9ebb2712ddd, 0x2f623a56f419eeee, 0x220716ef37a11a9c, 0x62b2282904c28b8c,
  0x048260aef277599b, 0xfe15d9f90f304f8c, 0xbb6110976dff9c9f, 0xc66ab5a39b85a768, 0x7c1b3063e7a8f2b9,
  0xafb169bbe2b403d4, 0xafa5b1971c270dc3, 0xd5a5f245c6b26909, 0xbce9de1269189f39, 0xbda478cec6ab5d0e,
  0xdecb65f380e3b169, 0x3a72c951b047eb70, 0x3a3149e5a74a2801, 0xca6f5cfc51e3949a, 0x381f9b748357a94b,
  0xdeaa8b4e02e7a1d5, 0x4bf2b6cce1d455bf, 0xdc80f0cc377c252d, 0x6fe0eee3459eff10, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b,
  0x000275d843f6689e,
};

// m128_u1x12_uart0_noled_pr_ce_u4   m128a_u1x12_uart0_noled_pr_ce     m128a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart0_noled_pr_ce[] = {
  0xdd77680ba2431202, 0x77557832c7712ddd, 0xf1fc7f590d363777, 0x31b7bbba64f6782f, 0xdb13618200144859,
  0x13e30120982bbc9d, 0xe28bff85767fe74c, 0x69da2ed84425db7f, 0xe6e761ec0dfd7241, 0x227b2ce1e79c216d,
  0x7fa8f09e12fc4361, 0xcf6e122270e9b73b, 0xa3b5f4f72df5eb26, 0xbe7a921c4903349e, 0x290d199e398b0177,
  0x807feccf1d7a3ebc, 0xe4e0796b7283ba6a, 0x1d18a4f2d3a514a9, 0xe537ae7e28f1ca4d, 0x9c0fcdba41abd4a5,
  0xef5545a70173d0ea, 0x4bf2b6cce1d18edf, 0xdc80f0cc377c252d, 0x6fe0eee3459eff10, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b,
  0x000375c0bb56689e,
};

/*
 * m128_u1x12_uart0_noled_pr_ee_ce_u4 m128a_u1x12_uart0_noled_pr_ee_ce
 * m128a_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbaeed0174486cc7f, 0xdd55d721f4e25bbb, 0x8a0cf638e891dddd, 0x44b11ddc778511fa, 0x68dd5ce5834ce85a,
  0x048260aef2774b15, 0xfc2bb3e337304f8c, 0x76c2212edbff05af, 0xc06fea8e438b4ed1, 0x0f3ce10b6f373b8a,
  0xf097e21b0913d967, 0x270f950d07fd4784, 0xed63a7be6cf6e122, 0xcc1c65ea3cac1494, 0xb4c5315cbef51f06,
  0xd8cb8e1386e1d7d8, 0xd5dbb241d484d7d2, 0xbce9de1269189f39, 0x7b48f19d8d578d8e, 0xbd96cbe701c762d3,
  0xba72c951b044c8e1, 0x3a3149e5a74a2859, 0xca6f5cfc51e3949a, 0x381f9b748357a94b, 0xdeaa8b4e02e7a1d5,
  0x97e56d99c3a31dbf, 0xb901e1986ef84a5a, 0xdfc1ddc68b3dfe21, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b,
  0x1fbff829a3ec6761, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316, 0x00027e2538ecd13c,
};

// m128a_u1x12_uart0_noled_ee_hw
static const uint64_t ur_m128_u1x12_uart0_noled_ee_hw[] = {
  0xebbb405d1468d38b, 0x75574f5d93896eee, 0x7b11d2b7a0cf7777, 0x1038b779bd08d4e1, 0x86ed374826145c61,
  0xc048260aef27760d, 0xfffac99f90f304f8, 0x45db0884bb6ffce4, 0xce3355ad1cdc2d3b, 0xa3e0d9831f3d4795,
  0x1d7d8b4ddf15a01e, 0x4d7d2d8cb8e1386e, 0xcead2f922e359348, 0x75e74ef09348c4f9, 0x4ded23c676355ae8,
  0x86f65b2f9c071d8b, 0x09d3964a8d823f5b, 0xd1d18a4f2d3a5140, 0x5e537ae7e28f1ca4, 0xa9c0fcdba41abd4a,
  0xfef5545a70173d0e, 0x6a5f95b6670ea2ad, 0x53a7c78661bbe129, 0xfde1ef79430a912b, 0xb19d871fc65f989f,
  0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0x0d14f2705ce62cd7, 0x0000000000b7febf,
};

/*
 * m128_u1x12_uart0_noled_ee_ce_u4_hw m128a_u1x12_uart0_noled_ee_ce_hw
 * m128a_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x12_uart0_noled_ee_ce_hw[] = {
  0xebbb405d14684aa4, 0x75575c87d3896eee, 0x2833d8e3a2477777, 0x12c47771de1447ea, 0xaef53ed60d33a169,
  0x02413057793bbf6b, 0xffac99f19b9827c6, 0x5db0884bb6ffc16b, 0xb01bfaa390e2d3b4, 0x879e7085bf21cee2,
  0x784bf10d8489ecb3, 0x89c3b3e759fea3c2, 0x3b58e9ef9b3db848, 0xb307197a8f2b0525, 0x2d314c572fbd47c1,
  0xb632e384e1b875f6, 0x7576ec90752135f4, 0xaf3a77849a4627ce, 0xded23c676355e363, 0x6f65b2f9c071d8b4,
  0x6e9cb2546c113238, 0x8e8c527969d28a16, 0xf29bd73f1478e526, 0x4e07e6dd20d5ea52, 0xf7aaa2d380b9e875,
  0xa5f95b6670e8c76f, 0x3a7c78661bbe1296, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0x45fe07effe0a68fb,
  0x1964b867a617c68f, 0x9cc5bf494b670e27, 0x514f2705ce62cd79, 0x00000000140501f7,
};

// m128_u1x12_uart0_lednop_pr        m128a_u1x12_uart0_lednop          m128a_u1x12_uart0_lednop_pr
static const uint64_t ur_m128_u1x12_uart0_lednop[] = {
  0xddd77680bd66ef3a, 0xeeeaaf70232712dd, 0xf56b89df17b5a6ee, 0x7c3fbbba308440c1, 0x7731242a1ad0f273,
  0x04f8c048260aef27, 0xfc3e7f8541cfc433, 0x2d3b45db0884bb6f, 0x67bd476be3be5b58, 0xd36f7cf524389206,
  0x0e28f588e62c05bd, 0xf71cb1823af175e1, 0x404f2d3a5142b141, 0xc51e01f4d1d18a60, 0x3717539794d8ce81,
  0xb0b9e8754e04aca4, 0xda71c55bfdeaa8b4, 0x6ef84a5a97e56d99, 0x59eff10cacd9e198, 0x4fdd598f2068fe34,
  0x7138cb25c33d30ae, 0x6bcce62dfa4a5b38, 0x5311ba79382e7316, 0x00000000000f9038,
};

// m128a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_m128_u1x12_uart0_lednop_pr_u4[] = {
  0xdd77680ba2435a91, 0x77557b813c912ddd, 0x07341d623be97777, 0xdf9bbbad83a939bf, 0x51792d8f58235cbd,
  0x7c602413057793bb, 0x7c9ff85767c14982, 0x4ed176c2212edbff, 0x7ea3acf3be584f8b, 0x87ce82921c49031f,
  0x5a3348731602cb29, 0xffd9823af47d786a, 0x03cb3dba2541d500, 0x2027969d28a3e8dd, 0xe28f00fa68e8c530,
  0x1b8ba9cbca6c6740, 0x585cf43aa7025652, 0xed38e2adfef5545a, 0x377c252d4bf2b6cc, 0x459eff10dc80f0cc,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f,
  0x9af3398b7e9296ce, 0x98b6689e4e0b9cc5, 0x000000000003e4ed,
};

// m128_u1x12_uart0_lednop_pr_ee_u4  m128a_u1x12_uart0_lednop_pr_ee    m128a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart0_lednop_pr_ee[] = {
  0xeebbb405d121b768, 0xbbaaba7ac90896ee, 0xd4c99e9bbd3f7bbb, 0x0881c5bbcde84b26, 0x3d8d29d62b682663,
  0x0120982bbc9dd29c, 0xff85767ca5cc13e3, 0x2ed84425db7fe74b, 0xf59aad68e6e169da, 0x1f06cc18f9ea3cac,
  0xebec5a6ef8afa8f5, 0x6be96c65c709c370, 0x7569705171ac9a42, 0x5e74ef0dc34621ce, 0x6be4720b6355ae87,
  0xbd96cbe701c762d3, 0xa0ee9aa3608fd6e1, 0x302027969d28a004, 0x40e28f00fa68e8c5, 0x521b8ba9cbca6c67,
  0x5a585cf43aa70256, 0xcced38e2adfef554, 0xcc377c252d4bf2b6, 0xe3459eff10dc80f0, 0x52256a75666fe0ee,
  0xf313ffbc3def2861, 0x14d1f633b0e3f8cb, 0x2f8d1e8bfc0fdffc, 0xce1c4e32c970cf4c, 0xc59af3398b7e9296,
  0xf79276689e4e0b9c, 0x000000000000013a,
};

// m128_u1x12_uart0_lednop_pr_ce_u4  m128a_u1x12_uart0_lednop_pr_ce    m128a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart0_lednop_pr_ce[] = {
  0xeebbb405d12198e2, 0xbbaabc1929b896ee, 0x0bfd2e833dc5fbbb, 0x150f7774c9ecfc76, 0xa1b9053453b4c812,
  0x27c602413057793b, 0xc95bff0aecf9c398, 0xd3b45db0884bb6ff, 0xe6e76fe01bfae482, 0x227b2ce1e79c216d,
  0x1fa8f09e12fc4361, 0xb3db84889c3bfcc4, 0xea3f3d3dcb7d7ac9, 0x3227a921c4903349, 0xc352d19a4398b016,
  0xa807feccf1d7a3eb, 0xd1ba0796b7512a0e, 0x8a60404f2d3a5147, 0xce81c51e01f4d1d1, 0xaca43717539794d8,
  0xa8b4b0b9e8754e04, 0xdb33b4e331dbfdea, 0xc330ddf094b52fca, 0xbb8d167bfc437203, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xf05347d8cec38fe3, 0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a,
  0xeb8d5259a279382e, 0x0000000000000006,
};

/*
 * m128_u1x12_uart0_lednop_pr_ee_ce_u4 m128a_u1x12_uart0_lednop_pr_ee_ce
 * m128a_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeebbb405d1219f68, 0x775575c8791896ee, 0x8f9fbdb83a8cf777, 0x912c47771de15f4c, 0x8fbb24031c560840,
  0x0904c15de4eed8ba, 0xfc2bb3e1a2609f18, 0xed84425db7feb1ff, 0x40dfd51c87169da2, 0x1e79c216de6e7670,
  0xe12fc4361227b2ce, 0x4e1d4939bffa8f09, 0xdac74f7cd9edc244, 0x9838cbd4795a0129, 0xb4c5315e95ea3e0d,
  0xd8cb8e1386e1d7d8, 0xd5db8141d484d7d2, 0x79d3bc370d188739, 0x5f23905b1aaf1b1d, 0xecb65f380e3b169b,
  0x83ba6a8d8226470d, 0xc0809e5a74a2859a, 0x038a3c03e9a3a314, 0x486e2ea72f29b19d, 0x696173d0ea9c0959,
  0x6769c663b7fbd551, 0x61bbe1296a5f95b6, 0x1a2cf7f886e40786, 0x912b53ab337f0777, 0x989ffde1ef79430a,
  0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0xb2dfb344f2705ce6,
  0x00000000000004fc,
};

// m128a_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_m128_u1x12_uart0_lednop_ee_hw[] = {
  0x75dda02e8a34280b, 0xdd55d3d64844b777, 0xa64cf4dde9fbdddd, 0x440e2dde6f425936, 0x652b5d915b413318,
  0x30120982bbc9dd47, 0x5ffeb267ca5cc13e, 0xd176c2212edbff3a, 0x67acd56b47370b4e, 0xa8f83660c7cf51e5,
  0x875f62d377c57d47, 0x135f4b632e384e1b, 0x73ab4b828b8d64d2, 0x3af3a7786e1a310e, 0x9b5f23905b1aad74,
  0x0decb65f380e3b16, 0x250774d51b047eb7, 0x2981013cb4e94500, 0x3a07147807d34746, 0xb290dc5d4e5e5363,
  0xa2d2c2e7a1d53812, 0xb66769c7156ff7aa, 0x8661bbe1296a5f95, 0x79430a912b53a7c7, 0x1fc65f989ffde1ef,
  0x7effe0a68fb19d87, 0x867a617c68f45fe0, 0xf494b670e271964b, 0x705ce62cd799cc5b, 0x00005be463fd14f2,
};

/*
 * m128_u1x12_uart0_lednop_ee_ce_u4_hw m128a_u1x12_uart0_lednop_ee_ce_hw
 * m128a_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xebbb405d146807e1, 0x75575c8791896eee, 0xf9fbdb83a8cf7777, 0x12c47771de15f4c8, 0x9f7a55f1c5608409,
  0x0120982bbc9dd39d, 0xffeb267c344c13e3, 0x2ed84425db7feb1f, 0x040dfd51c87169da, 0xc3cf3842df90e767,
  0x3c25f886c244f659, 0x44e1d2a2e47f51e1, 0x9dac74f7cd9edc24, 0xd9838cbd4795a012, 0x8b4c5315e95ea3e0,
  0x2d8cb8e1386e1d7d, 0x9d5db8141d484d7d, 0xd79d3bc370d18873, 0xb5f23905b1aaf1b1, 0xdecb65f380e3b169,
  0xa83ba6a8d8226470, 0x4c0809e5a74a2859, 0xd038a3c03e9a3a31, 0x9486e2ea72f29b19, 0x1696173d0ea9c095,
  0x66769c663b7fbd55, 0x661bbe1296a5f95b, 0x9430a912b53a7c78, 0xfc65f989ffde1ef7, 0xeffe0a68fb19d871,
  0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x000a021d52514f27,
};

/*
 * m128_u1x12_uart0_dual_pr          m128_u1x12_uart0_dual_pr_u4       m128a_u1x12_uart0_dual
 * m128a_u1x12_uart0_dual_pr         m128a_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m128_u1x12_uart0_dual[] = {
  0xeef8be3f4486dd9e, 0xbbaf263b415426ee, 0xec91dea4cd39dbbb, 0xc1bb777571f91b0c, 0x13d7bdfb2bdce21e,
  0x2413057793515dd9, 0x1b51486729827c60, 0x93ed22d67dd56a19, 0x129dd3ee5f1030a1, 0x95dc5edd7e6584a0,
  0x39bd4760bb0c0870, 0x5c5e85244824819c, 0xc4aff3f7c117e53e, 0x1f231f03770f8510, 0x97177f25f2f973f2,
  0x8510cbfe420b486f, 0x9e136458a8432d08, 0x98b9cbdbedfffa03, 0xa5f7f927d3058559, 0xa768bb6110976dff,
  0xd7a8f70cef96e785, 0x6f937ba4871240de, 0x2d1a0b398b01758a, 0xff6608ebc06abc38, 0x1e59ed8719055403,
  0xfccfa399959a6af8, 0x8a60404f2d3a5149, 0xce81c51e01f4d1d1, 0xaca43717539794d8, 0xa8b4b0b9e8754e04,
  0x6d99da71c55bfdea, 0xe1986ef84a5a97e5, 0xddc68b3dfe21b901, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50,
  0xf829a3ec6761c7f1, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x398b35e67316fd25, 0x24d535acd13c9c17,
  0x0000000000000005,
};

// m128a_u1x12_uart0_dual_pr_ee
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ee[] = {
  0x777c5f1fd41432db, 0xbbaf243351fa1377, 0xeb843dd9bdc99bbb, 0xe152ef76c31daad0, 0xa5f5daebdda27d8b,
  0x057792539dc3c330, 0x22e4a9827c602413, 0x8b59f755a8646d45, 0x4fb97c40c2864fb4, 0xe87df99612804a77,
  0x77f9b0c40706bbe2, 0x5244824818689bd4, 0x3f7c117e53e5c5e8, 0x303770f8510c4aff, 0xf25f2f973f21f264,
  0xbfe420b486f97177, 0x95150865a1f3910c, 0x7b7d9dff4073c26a, 0x24fa60b0ab331739, 0x6c2212edbff143ff,
  0xcd56b47a50b4ed17, 0x06cc1fc9ea3caf6f, 0xec5a6ef8accaf51f, 0xe96c65c709c370eb, 0xa5cf55c09f9a426b,
  0x19de11be8c9e39d5, 0xe8d21d8d56ba1d7b, 0x2ef76701c762d359, 0xe33546c11fadc37b, 0xf33e8e6656601482,
  0x2981013cb4e94527, 0x3a07147807d34746, 0xb290dc5d4e5e5363, 0xa2d2c2e7a1d53812, 0xb66769c7156ff7aa,
  0x8661bbe1296a5f95, 0xee3459eff10f7827, 0x152256a75666fe0e, 0x68fb19d87138d286, 0x92e19e985727ef82,
  0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x0000000ac98c6cd1,
};

// m128a_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ee_u4[] = {
  0xddddf17c7e890c86, 0xeeeebc90cd3ee84d, 0xd67db2b500ea27ee, 0xe7de152ef74a5586, 0x08ce9c2d4eae7517,
  0x48260aef2605bb9e, 0xda8a43c03304f8c0, 0x9f6916b3eeab50c8, 0x94ee9f72f881850c, 0xfce2f883f32c2500,
  0xcdea3868d869a383, 0xc5e8524482481d8f, 0x4aff3f7c117e53e5, 0xf2bc303770f8510c, 0x7177f25f2f973f21,
  0x510cbfe420b486f9, 0xc2631f150865a051, 0x17397b78adff4073, 0x05ff24fa60b0ab33, 0xed176c2212edbff3,
  0x57d44d56b460a0b4, 0xf51f06cc1ad7f51e, 0x70ebec5a6ef8ad00, 0x426be96c65c709c3, 0x39d5a5d7c5c0719a,
  0x1d794d5e12691d7f, 0xd37b48c7dd8d56ba, 0x70decb726701c762, 0x7d1cccacd7067beb, 0x02027969d28a4fe6,
  0x81c51e5ba68e8c53, 0xa43717539794d8ce, 0x0267c502169e18ac, 0xa5f95b6674f43aa7, 0x6e4078661bbe1296,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0x07effe0a68fb19d8, 0xb867a617c68f45fe,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x00001592acab344f,
};

// m128a_u1x12_uart0_dual_pr_ce
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ce[] = {
  0xbbbe2f8f87ad0c86, 0xeeebc86eee7509bb, 0x55e73b6b8ed77eee, 0xf5deeeebd66c545e, 0xc119d0fc53a0b28f,
  0x0904c15de486e773, 0x1b51488fba609f18, 0x93ed22d67dd56a19, 0x129dd3ee5f1030a1, 0x8838bb5dfe6584a0,
  0x937a8fa6b60ff0e1, 0xb8bd0a48904903ff, 0x895fe7ef822fca7c, 0x3e5d6606ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x9a2197fc841690df, 0x784d01a2a10cb41c, 0x62e72f6f6ebfe80e, 0x2ebfe49f4c161566, 0x9da2ed84425db7fe,
  0x6e77fb80dfd67116, 0x27b2ce1e79c216de, 0xfa8f09e12fc43612, 0x3db84889c3bfcc41, 0x8fd04f72df589f9b,
  0x6d6a4871240d05fa, 0xe0b4682ce62c054c, 0x0ffd99e3af01aaf0, 0xf81e5adc1c641550, 0x49fccfa399959a6a,
  0xd18a60404f2d3a51, 0xd8ce81c51e01f4d1, 0x04aca43717539794, 0xeaa8b4b0b9e8754e, 0xcadb33b4e331dbfd,
  0x33c330ddf094b52f, 0xe0eee3459eff1089, 0x286152256a75666f, 0xc6761ee7197e627f, 0x15c9f8e7bf619a3e,
  0x670e271964b867a6, 0x62cd799cc5bf494b, 0x24e9eb344f2705ce, 0x000000000000000d,
};

// m128a_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ce_u4[] = {
  0xddddf17c7e890c86, 0xeeeebc86ef7ee84d, 0x72c4afb500ea27ee, 0x5e10f7774373b2b1, 0x78233a70b53ab9d4,
  0x0120982bbc9c9cee, 0x236a290eddcc13e3, 0x327da45acfbaad43, 0x0253ba7dcbe20614, 0x26df179dbfccb094,
  0x537a8e337b0dda38, 0xb8bd0a489049030b, 0x895fe7ef822fca7c, 0x3e578606ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x322197fc841690df, 0x3c2632a2a10cb420, 0x317397b753dff407, 0x256ff24fa60b0ab3, 0x4ed176c2212edbff,
  0x9b9dbf806feb920b, 0x89ecb3879e7085b7, 0x7ea3c2784bf10d84, 0xcf6e122270eff310, 0xa8fcf4f72df5eb26,
  0xc89ea4871240cd27, 0x0d4b46690e62c058, 0x2ee39633c75e8faf, 0x3f99f47332b31d48, 0x314c0809e5a74a29,
  0x19d038a3c03e9a3a, 0x959486e2ea72f29b, 0x551696173d0ea9c0, 0x5b66769c663b7fbd, 0x78661bbe1296a5f9,
  0x7771a2cf7f886e40, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfe0a68fb19d871fc, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0xce62cd799cc5bf49, 0x3492acab344f2705,
};

// m128a_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ee_ce[] = {
  0x77777c5f1fd432db, 0xddddd7930ac3ea13, 0xcae345fa339b7d7d, 0x7d45295ba73a3564, 0x28fe16bae44b85a2,
  0xc15de4abe770f0cc, 0x221e4e609f180904, 0x8b59f755a8646d45, 0x4fb97c40c2864fb4, 0xe951f99612804a77,
  0xde1ec3968e0cdfe2, 0x24482481e374dea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x4be5f2e7e43e4a91,
  0xfc841690df2e2efe, 0x62a10cb437da2197, 0xdec7ffe80e784cc1, 0x3e982c2accc5ce5e, 0x0884bb6ffc35bfc9,
  0xefaa380c2d3b45db, 0x3842dbcdcef2b00a, 0x091138743ec6efcf, 0x29dafc45319a0577, 0x1b307917d4795e95,
  0xb1698a62b3d7d47c, 0xa5b1971c270dc3af, 0xe7576e97c3a909af, 0x75e535786d6475fc, 0x9887463eec6abc6c,
  0x86f65b93380e3b16, 0xa399959e31905323, 0x404f2d3a5149fccf, 0xc51e01f4d1d18a60, 0x3717539794d8ce81,
  0xb0b9e8754e04aca4, 0xb4e331dbfdeaa8b4, 0xddf094b52fcadb33, 0xb3dfe21959b3c330, 0x27eeaccdfc1ddc68,
  0x389c6592e19e9857, 0x35e67316fd252d9c, 0x7eecd13c9c17398b, 0x0000000000013041,
};

// m128a_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbe2f8fd150feda9c, 0xaf21fbfabd09bbbb, 0x266a8c74787bbbbb, 0x5b768beabec10673, 0xe5ef2657bb41e4a7,
  0x2eeeac021010ab39, 0x27c6024130577936, 0xd43236a290f1eb98, 0x614327da45acfbaa, 0x1298093ba7dcbe20,
  0x9c0c03c5ee87f996, 0x92a6f51da0fb0044, 0xf2e2f4292241240c, 0x86257f9fbe08bf29, 0x21f25c101bb87c28,
  0xf97177f25f2f973f, 0xc7d10cbfe420b486, 0xcf09babe2a10cb40, 0x98b9cbdba1f7fd01, 0x36fff29c73058559,
  0x768bb6110976dff9, 0xd85a037f546c145a, 0x2ce1e79c216fe019, 0xf09e12fc4361227b, 0x4889c3dd0dd51fa8,
  0x253b58e97c9b3db8, 0xc1b30698fa8f2b91, 0xfb1698a62beebd47, 0xfa5b1971c270dc3a, 0xc73abb71ea3a909a,
  0x63af633bc237d193, 0xb4d67a34876355e3, 0x70decbbdd9c071d8, 0xb3905c66a8d82264, 0x28a4fe67d1cccacc,
  0x68e8c5302027969d, 0xca6c6740e28f00fa, 0xa70256521b8ba9cb, 0xfef5545a585cf43a, 0x97e56d99da7198ed,
  0xb901e1986ef84a5a, 0xfe0d1fc68b3dfe21, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0xfdffc14d1f633b0e,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x01000c793aaa49e4,
};

// m128a_u1x12_uart0_dual_ee_hw
static const uint64_t ur_m128_u1x12_uart0_dual_ee_hw[] = {
  0xbbbe2f8fd1468f97, 0xddd79219a8fd09bb, 0x75c21eecdee4cddd, 0xf0a977bb618ed568, 0x8d75d2aceed13ec5,
  0x413057792539dd2c, 0xd4522e4a9827c602, 0xfb48b59f755a8646, 0x6774fb97c40c2864, 0xbe2e87df996129d0,
  0xbd477f9b0c40706b, 0x5e85244824818689, 0xaff3f7c117e53e5c, 0x264303770f8510c4, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x26a95150865a1f39, 0x7397b7d9dff4073c, 0xffc91ba60b0ab331, 0x45db0884bb6ffc50,
  0xdbf355ad1e942d3b, 0x47c1b307f27a8f2b, 0x3afb169bbe2b32bd, 0x9afa5b1971c270dc, 0x756973d57027e690,
  0x5ec677846fa3278e, 0xd67a34876355ae87, 0xdecbbdd9c071d8b4, 0x20b8cd51b047eb70, 0x49fccfa399959805,
  0xd18a60404f2d3a51, 0xd8ce81c51e01f4d1, 0x04aca43717539794, 0xeaa8b4b0b9e8754e, 0xe56d99da71c55bfd,
  0xf1e1986ef84a5a97, 0x7bde50c2a44ad4e9, 0x61c7f197e627ff78, 0xf81fbff829a3ec67, 0x92e19e985f1a3d17,
  0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x000002bb5334f945,
};

// m128_u1x12_uart0_dual_ee_ce_u4_hw m128a_u1x12_uart0_dual_ee_ce_hw   m128a_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbbe2f8fd1468a812, 0xbaf21fbfabd09bbb, 0x3266a8c74787bbbb, 0x75b768beabec1067, 0x48c6f2657bb41e4a,
  0xde4d8bbb8af9017b, 0x7ae609f180904c15, 0x3eeab50c8da8a43c, 0x2f881850c9f6916b, 0xff32c253a0cee9f7,
  0x600893818078bdd0, 0x24819254dea3b41f, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e4b820377,
  0x1690df2e2efe4be5, 0x196818fa2197fc84, 0xffa039e13757c542, 0xb0ab3317397b743e, 0x6dff936ffc91ba60,
  0xc145a768bb611097, 0x7e439d85a037f546, 0x0913d9670f3ce10b, 0x1ffd4784f097e21b, 0x6cf6e122270ece5d,
  0x3cae4494ed63a5f2, 0xbaf51f06cc1a63ea, 0xc370ebec5a6298af, 0xea426be96c65c709, 0xdf464f1ceaedc7a8,
  0x8d578d8ebd8cef08, 0x01c762d359e8d21d, 0x608991c37b2ef767, 0x332b32ce41719aa3, 0x9e5a74a293f99f47,
  0x3c03e9a3a314c080, 0x2ea72f29b19d038a, 0x73d0ea9c0959486e, 0xc663b7fbd5516961, 0xe1296a5f95b66769,
  0x912b53a7c78661bb, 0x989ffde1ef79430a, 0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61,
  0x2cd799cc5bf494b6, 0xa6dbad14f2705ce6, 0x00000000000003ae,
};

// m128_u1x12_uart1_noled_pr         m128a_u1x12_uart1_noled           m128a_u1x12_uart1_noled_pr
static const uint64_t ur_m128_u1x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0xbbbaabece307896e, 0xdd5838b6b4d1afbb, 0x891783eeeec88444, 0x93bb0bd68f1e8250,
  0xa9827c6024130577, 0xf69f053fc2a0e7f4, 0xd1b86ff6f6addba7, 0xea3f3c77cb243ce3, 0xf75fe921c4903349,
  0x478cce62c05bdd36, 0x39630475e2ebc3ac, 0x818902fd8566b16e, 0x180ef02fce7666df, 0xca6c67667e6f2dd4,
  0x4f0c56521b8ba9cb, 0x7a1d5381fae2810b, 0xdf094b52fcadb33a, 0x3dfe21959b3c330d, 0xfbab31e40d1fc68b,
  0x271964b867a615c9, 0x799cc5bf494b670e, 0xe2374f2705ce62cd, 0x0000000001f20dc7,
};

// m128a_u1x12_uart1_noled_pr_u4
static const uint64_t ur_m128_u1x12_uart1_noled_pr_u4[] = {
  0xddb435e0d121b562, 0xbbaabece56912ddd, 0x48aa66edbd1b7bbb, 0xfc1f77742ca38e84, 0x9a58e364c48fa5e3,
  0x9f180904c15de4ee, 0xe0a7fe15d9fd2a60, 0x0dfeded5bb74fed3, 0xe80ef9610f9c7a37, 0xb52438920682fd47,
  0xb0e62c0596532636, 0xc11d7a3ebc35fd1e, 0xcf6c7dd12a807fec, 0xc0c4817ec1c7c0f2, 0x0c077817e73b336f,
  0x29b19d99f9bc03ea, 0x9c0959486e2ea72f, 0xfbd551696173d0ea, 0xa5f95b6671248ab7, 0x6e4078661bbe1296,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0x07effe0a68fb19d8, 0xb867a617c68f45fe,
  0xbf494b670e271964, 0x2705ce62cd799cc5, 0x0001f274e4ab344f,
};

// m128_u1x12_uart1_noled_pr_ee_u4   m128a_u1x12_uart1_noled_pr_ee     m128a_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart1_noled_pr_ee[] = {
  0xddb435e0d1219541, 0xbbaabe6b1b112ddd, 0xa6cb8e8d3da17bbb, 0xea6683ba9146bad0, 0xdaa67b28fd8336a7,
  0x048260aef2775a77, 0xfe15d9fc09304f8c, 0xbdab76e9fda7ca5f, 0x5a39c738f46e1bfd, 0x0698fa8f2b9126ab,
  0x9bbe2beebd47c1b3, 0x1971c270dc3afb16, 0x005c6b26909afa5b, 0xe1ded1e0b39d5a5d, 0x1c6c6ab5d0ebce9d,
  0x2f9c071d8b4f9e46, 0xea8d823f5b86f65b, 0x818902fd801512a0, 0x180ef02fce7666df, 0x53633b33f37807d4,
  0x3812b290dc5d4e5e, 0xf7aaa2d2c2e7a1d5, 0x4bf2b6cce249156f, 0xdc80f0cc377c252d, 0x6fe0eee3459eff10,
  0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9,
  0x4e0b9cc59af3398b, 0x00013af95596689e,
};

// m128_u1x12_uart1_noled_pr_ce_u4   m128a_u1x12_uart1_noled_pr_ce     m128a_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart1_noled_pr_ce[] = {
  0xddb435e0d121af43, 0x775575c820912ddd, 0xe98dbd867ad2f777, 0x00bf777777f8bc29, 0x5d92befa738b179b,
  0x4f8c048260aef277, 0xce1ffe15d9f60b30, 0x1bfdbdab76e9fda7, 0x4a037f505338f46e, 0x3879e7085b79b9dd,
  0x2784bf10d8489ecb, 0x444e1eb7e007ea3c, 0x9ee5bebd64d9edc2, 0x24389207acf51c9e, 0x1eb0e62c055afd25,
  0xeccf1d7a3ebc35fd, 0x3cb5b87dd12a807f, 0xdbf031205fb071f0, 0xfa8301de05f9cecc, 0xcbca6c67667e6f00,
  0x3aa70256521b8ba9, 0xedfef5545a585cf4, 0x4b52fcadb3389218, 0xc437203c330ddf09, 0x599bf83bb8d167bf,
  0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0xff03f7ff05347d8c, 0xb25c33d30be347a2, 0x62dfa4a5b387138c,
  0x279382e73166bcce, 0x0000006ebf1a1d9a,
};

/*
 * m128_u1x12_uart1_noled_pr_ee_ce_u4 m128a_u1x12_uart1_noled_pr_ee_ce
 * m128a_u1x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbb686bc1a243704a, 0xdd55d3d72ee25bbb, 0x1342f7276991dddd, 0xda7a5dd7a6c87253, 0xae02bbb4662448f8,
  0x2413057793ba3ae9, 0xf0aecfbfc9827c60, 0xed5bb74fed3e1a3f, 0xa32979c7a370dfed, 0x42dbcdced2d01bfa,
  0x86c244f659c3cf38, 0x0dd0ff51e13c25f8, 0xdf367b7091138730, 0xf51e57d44a76b1d3, 0x584ff51f06cc1ad7,
  0x1386e1d7d8b4c531, 0x01d484d7d2d8cb8e, 0x1ded1e0b39d5db90, 0x8d8d578d8ebce9de, 0xf380e3b169f3c8c3,
  0xa8d8226470decb65, 0x18902fd859d12a0e, 0x80ef02fce7666df8, 0x3633b33f37807d41, 0x812b290dc5d4e5e5,
  0x7aaa2d2c2e7a1d53, 0x7e56d99c490c76ff, 0x901e1986ef84a5a9, 0xfc1ddc68b3dfe21b, 0xe50c2a44ad4eaccd,
  0x7f197e627ff787bd, 0xfbff829a3ec6761c, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xc17398b35e67316f,
  0x0013f2535acd13c9,
};

// m128a_u1x12_uart1_noled_ee_hw
static const uint64_t ur_m128_u1x12_uart1_noled_ee_hw[] = {
  0xeda1af068a341202, 0xdd55f358d8896eee, 0x365c7469ed0bdddd, 0x53341dd48a35d685, 0xd86d0147ec19b53f,
  0xc048260aef2776c4, 0xfffac99fc09304f8, 0xeded5bb74fed3e52, 0x5ad1ce39c7a370df, 0x9834c7d4795c8935,
  0xb4ddf15f75ea3e0d, 0xd8cb8e1386e1d7d8, 0xe802e3593484d7d2, 0xef0ef68f059cead2, 0x30e36355ae875e74,
  0xd97ce038ec5a7cf2, 0x07546c11fadc37b2, 0xfc0c4817ec00a895, 0xa0c077817e73b336, 0xf29b19d99f9bc03e,
  0xa9c0959486e2ea72, 0x7fbd551696173d0e, 0x6a5f95b6671248ab, 0x53a7c78661bbe129, 0xfde1ef79430a912b,
  0xb19d871fc65f989f, 0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2, 0x7d14f2705ce62cd7,
  0x00000000005bf411,
};

/*
 * m128_u1x12_uart1_noled_ee_ce_u4_hw m128a_u1x12_uart1_noled_ee_ce_hw
 * m128a_u1x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d14683375, 0xeaae9eb97712dddd, 0x9a17b93b4c8eeeee, 0xd3d2eebd36439298, 0x17ebada3312247c6,
  0x048260aef2776355, 0xffac99f7f9304f8c, 0xded5bb74fed3e1a3, 0xaa32979c7a370dfe, 0x085bf21ced2d01bf,
  0x10d8489ecb3879e7, 0x253397ea3c2784bf, 0x9ef9b3db84889c3d, 0xbfa8f2bea253b58e, 0x8ac27fa8f83660d6,
  0x709c370ebec5a629, 0x800ea426be96c65c, 0xf0ef68f059ceaedc, 0x1c6c6abc6c75e74e, 0x2f9c071d8b4f9e46,
  0x7546c1132386f65b, 0xc0c4817ec2ce8950, 0x0c077817e73b336f, 0x29b19d99f9bc03ea, 0x9c0959486e2ea72f,
  0xfbd551696173d0ea, 0x4bf2b6cce24863b7, 0x74f8f0cc377c252d, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e, 0xa29e4e0b9cc59af3, 0x00000000280a6907,
};

// m128a_u1x12_uart1_lednop
static const uint64_t ur_m128_u1x12_uart1_lednop[] = {
  0x776d0d783acdc49f, 0xddd55f670bdc4b77, 0xfddf87f466933ddd, 0x68c1f7776442226c, 0x2776a1a9bdc29d7d,
  0x3304f8c048260aef, 0xed3ebe7f8541cfce, 0xa370dfeded5bb74f, 0xd47278ef964879c7, 0xafd2524389206693,
  0x1c829cc580b7ba65, 0x2c608ebc5d785af9, 0x18902fd8560fbdc7, 0x02fcf02027666df8, 0x199f9bcd914180ef,
  0x21c354dea53929d0, 0x4d5d3d0ea9c0f88d, 0x99dce455bfdeaa8b, 0x986ef84a5a97e56d, 0x3d30ae4fdf3c99e1,
  0x4a5b387138cb25c3, 0x2e73166bcce62dfa, 0x015201cb11ba7938,
};

// m128_u1x12_uart1_lednop_pr_u4     m128a_u1x12_uart1_lednop_pr       m128a_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_m128_u1x12_uart1_lednop_pr[] = {
  0xbb686bc1a2432aac, 0xeeaafb38ebe25bbb, 0x425f9a5c76a1eeee, 0x79beeee859471d69, 0x989b8248233db7e9,
  0x9f180904c15de4ee, 0xd00ffc2bb3e13e60, 0x1bfdbdab76e9fda7, 0x6b1df2c21f38f46e, 0xfa4871240d05fa8f,
  0x3398b016594d9241, 0x11d7a3ebc2b3d1a4, 0xeda0b1f6a807fecc, 0x18902fd905681e59, 0x02fcf02027666df8,
  0x199f9bcd914180ef, 0x21c354dea53929d0, 0x4d5d3d0ea9c0f88d, 0x99dce455bfdeaa8b, 0x986ef84a5a97e56d,
  0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0xb1e4ecd13c9c1739, 0x00000000000007c9,
};

// m128_u1x12_uart1_lednop_pr_ee_u4  m128a_u1x12_uart1_lednop_pr_ee    m128a_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart1_lednop_pr_ee[] = {
  0xeeda1af06890c582, 0xbbaabe6b62f896ee, 0x168cc7682e841bbb, 0xfd4cd0775228d736, 0x39cb05390d33f764,
  0x80904c15de4eeb62, 0xffc2bb3fbee609f1, 0xb7b56edd3fb4fa9e, 0x6b4738e71e8dc37f, 0x60d31f51e56654d5,
  0xa6ef8ac3dfa8f836, 0xc65c709c370ebec5, 0xea171ac9a426be96, 0xbc31923268e75697, 0xded58d56ba1d79d3,
  0x65f380e3b16993c8, 0x2551b047eb70decb, 0xf818902fd8010fba, 0xef02fcf02027666d, 0xd0199f9bcd914180,
  0x8d21c354dea53929, 0x8b4d5d3d0ea9c0f8, 0x6d99dce455bfdeaa, 0xe1986ef84a5a97e5, 0xddc68b3dfe21b901,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf829a3ec6761c7f1, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x398b35e67316fd25, 0x75cc1cacd13c9c17, 0x0000000000000002,
};

// m128_u1x12_uart1_lednop_pr_ce_u4  m128a_u1x12_uart1_lednop_pr_ce    m128a_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart1_lednop_pr_ce[] = {
  0xddb435e0d121b032, 0xeeaaeb902b712ddd, 0x0aa87b42f5ebeeee, 0xf8ef777777f8b413, 0xd86d95e4526433c5,
  0x9f180904c15de4ee, 0x943ffc2bb3f95a60, 0x37fb7b56edd3fb4f, 0x2606fea0a671e8dc, 0x70f3ce10b6f373b7,
  0x4f097e21b0913d96, 0x1138743ec6efd478, 0x7b96faf59367b709, 0x90e2481eb3d47e92, 0xd219cc580b1088b4,
  0x6678ebd1f5e159e8, 0xcb5b9058fb5403ff, 0xbf031205fb20ad03, 0x1de05f9e0404eccd, 0x3a0333f379b22830,
  0x11a4386a9bd4a725, 0x5169aba7a1d5381f, 0x5b66773863b7fbd5, 0x78661bbe1296a5f9, 0x7771a2cf7f886e40,
  0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfe0a68fb19d871fc, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0xce62cd799cc5bf49, 0xdd73f5bb344f2705,
};

/*
 * m128_u1x12_uart1_lednop_pr_ee_ce_u4 m128a_u1x12_uart1_lednop_pr_ee_ce
 * m128a_u1x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xbb686bc1a243306a, 0xdd55d3d706e25bbb, 0x25083605eb33dddd, 0x6d3d2eebd36425df, 0xbced6cde4e467f4c,
  0x0904c15de4eed6ab, 0xf85767eb7e609f18, 0xed5bb74fed3f3b7f, 0xa32979c7a370dfed, 0x85b79b9df4f81bfa,
  0x0d8489ecb3879e70, 0x60007ea3c2784bf1, 0xbe6cf6e122270fdd, 0xea3cafba94ed63a7, 0xbdbfea3e0d9835af,
  0x270dc3afb1698a62, 0x03a909afa5b1971c, 0x18c9193473abb775, 0xd58d578d8ebce9de, 0xf380e3b16993c8de,
  0xa8d8226470decb65, 0x0c4817ec2cc7dd12, 0x817e781013b336fc, 0x0ccfcde6c8a0c077, 0x90e1aa6f529c94e8,
  0xa6ae9e8754e07c46, 0x99dce18edfef5545, 0x986ef84a5a97e56d, 0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd,
  0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98, 0x8b35e67316fd252d,
  0x262facd13c9c1739, 0x000000000000013f,
};

// m128a_u1x12_uart1_lednop_ee_hw
static const uint64_t ur_m128_u1x12_uart1_lednop_ee_hw[] = {
  0x76d0d783451a18e2, 0xdd55f35b17c4b777, 0xb4663b417420dddd, 0xea6683ba9146b9b0, 0xe415a768699fbb27,
  0x180904c15de4ee86, 0xf7ff5933fbee609f, 0xfdbdab76e9fda7d4, 0xab5a39c738f46e1b, 0xb30698fa8f2b32a6,
  0x2d377c561efd47c1, 0xb632e384e1b875f6, 0xbf50b8d64d2135f4, 0x9de18c9193473ab4, 0x46f6ac6ab5d0ebce,
  0x5b2f9c071d8b4c9e, 0xd12a8d823f5b86f6, 0x6fc0c4817ec0087d, 0x077817e781013b33, 0x4e80ccfcde6c8a0c,
  0xc4690e1aa6f529c9, 0x545a6ae9e8754e07, 0x2b6ccee722adfef5, 0x8f0cc377c252d4bf, 0xdef286152256a74f,
  0x0e3f8cbf313ffbc3, 0xc0fdffc14d1f633b, 0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398,
  0x000000b7d822fa29,
};

/*
 * m128_u1x12_uart1_lednop_ee_ce_u4_hw m128a_u1x12_uart1_lednop_ee_ce_hw
 * m128a_u1x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xeda1af068a34304a, 0x75574f5c1b896eee, 0x9420d817accf7777, 0xb4f4bbaf4d90977c, 0xb9db55f93919fd31,
  0x0120982bbc9ddebb, 0xffd64cfd6fcc13e3, 0xded5bb74fed3f3b7, 0xaa32979c7a370dfe, 0x10b7e439df4f81bf,
  0x21b0913d9670f3ce, 0x50d07fd4784f097e, 0x7be6cf6e122270f9, 0xfea3cafba94ed63a, 0x2bdbfea3e0d9835a,
  0xc270dc3afb1698a6, 0x503a909afa5b1971, 0xe18c9193473abb77, 0xed58d578d8ebce9d, 0x5f380e3b16993c8d,
  0x2a8d8226470decb6, 0xc0c4817ec2cc7dd1, 0x7817e781013b336f, 0x80ccfcde6c8a0c07, 0x690e1aa6f529c94e,
  0x5a6ae9e8754e07c4, 0xd99dce18edfef554, 0x1986ef84a5a97e56, 0xe50c2a44ad4e9f1e, 0x7f197e627ff787bd,
  0xfbff829a3ec6761c, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xc17398b35e67316f, 0x00028089c95453c9,
};

/*
 * m128_u1x12_uart1_dual_pr          m128_u1x12_uart1_dual_pr_u4       m128a_u1x12_uart1_dual
 * m128a_u1x12_uart1_dual_pr         m128a_u1x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m128_u1x12_uart1_dual[] = {
  0xee8d775f44860aac, 0xbbaf23d3d95426ee, 0xed06ed2c5bd77bbb, 0xac36eeefd3976af8, 0xfd462a3e3c32d473,
  0x904c15de4d917771, 0xda8a41806609f180, 0x9f6916b3eeab50c8, 0x94ee9f72f881850c, 0xfbe2fa6ff32c2500,
  0xcdea3a9ed8656386, 0xe2f4292241240cba, 0x257f9fbe08bf29f2, 0x7cb4d01bb87c2886, 0x5c5dfc97cbe5cfc8,
  0x44432ff9082d21be, 0x3c261f22a10cb43e, 0x317397b75f7ff407, 0xe44ff24fa60b0ab3, 0x1bfdbdab76e9fda7,
  0x8c8ef9627b38f46e, 0x7a4871240dafbd47, 0xe731602eb14d38ad, 0x1d780d5786e1a310, 0xb6be7b4a807fecc1,
  0xcccacca71703cb3d, 0xe06240bf64fe67d1, 0xbc0bf3c0809d99b7, 0x40667e6f36450603, 0x34870d537a94e4a7,
  0x2d3574f43aa703e2, 0xb667739156ff7aaa, 0x8661bbe1296a5f95, 0x771a2cf7f886e407, 0x0a912b53ab337f07,
  0x5f989ffde1ef7943, 0xe0a68fb19d871fc6, 0x617c68f45fe07eff, 0xb670e271964b867a, 0xe62cd799cc5bf494,
  0x49af3eb344f2705c, 0x000000000000000a,
};

// m128a_u1x12_uart1_dual_pr_ee
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ee[] = {
  0x77746bbafd435202, 0xbbbaf234baefa137, 0xa01b17df71b683bb, 0x8908e3ba02a7126b, 0xec2bdeb2b0fb2656,
  0x3057792529dcb8be, 0x523b8f9827c60241, 0x48b59f755a8646d4, 0x74fb97c40c2864fb, 0x17149f99612804a7,
  0x47b5bd856f9c2007, 0x0a489049034db9bd, 0xe7ef822fca7cb8bd, 0x0e06ee1f0a21895f, 0xfc97cbe5cfc87c9a,
  0x2ff9082d21be5c5d, 0xa2c54219683a5443, 0x5edd2d7fd01cf098, 0xc93e982c2accc5ce, 0xed5bb74fed3f6ebf,
  0xa309f9c7a370dfed, 0xe6ef51e5701a6ab5, 0xef8ad7dfa8f83660, 0x5c709c370ebec5a6, 0x5c09f9a426be96c6,
  0xa628c4539d5a5cca, 0xec6ab5d0ebd8cef0, 0x9c071d8b4ed6475f, 0x1b047eb70decbbdd, 0x1cccacc027b41c55,
  0x7e06240bf64fe67d, 0x3bc0bf3c0809d99b, 0x740667e6f3645060, 0x234870d537a94e4a, 0xa2d3574f43aa703e,
  0x5b667739156ff7aa, 0x78661bbe1296a5f9, 0xbb8d167bfc432b36, 0xd30ae4fdd599bf83, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x64283a2d9a279382,
};

// m128a_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ee_u4[] = {
  0xd1aeebe8a87f3202, 0xebc8d2ebbe84dddd, 0x6c5f7dc6da0eeeee, 0x238ee80a9c49ae80, 0xbdff5bc3ec995a24,
  0x7792529dc6a44af2, 0xb8f9827c60241305, 0x59f755a8646d4523, 0xb97c40c2864fb48b, 0x93f32c253012774f,
  0xb7b0adf38400e2e2, 0x12092069b737a8f6, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0xf97cb9f90f9341c0,
  0x2105a437cb8bbf92, 0xa8432d074a8865ff, 0xa5affa039e131458, 0x7305855998b9cbdb, 0xb74fed3f6ebff29c,
  0xf9c7a370dfeded5b, 0x51e5701a6ab5a309, 0xd7dfa8f83660e6ef, 0x9c370ebec5a6ef8a, 0xf9a426be96c65c70,
  0xc4539d5a5cca5c09, 0xb5d0ebd8cef0a628, 0x1d8b4ed6475fec6a, 0x7eb70decbbdd9c07, 0xacc027b41c551b04,
  0x240bf64fe67d1ccc, 0xbf3c0809d99b7e06, 0x67e6f36450603bc0, 0x70d537a94e4a7406, 0x574f43aa703e2348,
  0x7739156ff7aaa2d3, 0x1bbe1296a5f95b66, 0xa2cf7f886e407866, 0x95a9d599bf8347f1, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0x347a2ff03f7ff053, 0x7138cb25c33d30be, 0x6bcce62dfa4a5b38, 0x52aa9279382e7316,
  0x0000000000ac8948,
};

// m128a_u1x12_uart1_dual_pr_ce
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ce[] = {
  0x746bbafd41435202, 0xdd7930aa2fa13777, 0xfbfb5a16d4d7dddd, 0x1ab7774c894a2af4, 0x5f765a0eb2947eb5,
  0x20982bbc9b82ee5c, 0xb51480b24c13e301, 0x3ed22d67dd56a191, 0x29dd3ee5f1030a19, 0x6f8beed7e6584a01,
  0xdea385ad818f9c06, 0x2f4292241240c9d4, 0x57f9fbe08bf29f2e, 0x972d01bb87c28862, 0x8bbf92f97cb9f90f,
  0x8865ff2105a437cb, 0x1304f8a8432d00f6, 0xb9cbdbe56ffa039e, 0x2ff927d305855998, 0xfdbdab76e9fda7dd,
  0x15df588738f46e1b, 0x9e7085b79b9dc060, 0xee122270f6b75bff, 0x3f3dcb3db13f340a, 0xd2438920627fd478,
  0x4621ce62c0505322, 0xd99e3af01aaf0dc3, 0xe5adcd7cf69500ff, 0x33e8e66566538b81, 0xccdbf031205fb27f,
  0x8301de05f9e0404e, 0x7253a0333f379b22, 0x81f11a4386a9bd4a, 0xbd55169aba7a1d53, 0x5f95b66773863b7f,
  0x78278661bbe1296a, 0xfe0eee3459eff10f, 0xd286152256a75666, 0xef8268fb19d87138, 0x9c6592e19e985727,
  0xe67316fd252d9c38, 0x2cd13c9c17398b35, 0x0000000000692268,
};

// m128a_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ce_u4[] = {
  0xd1aeebe8a87fbb90, 0xbaf21fbeee84dddd, 0xfebbd07dae17bbbb, 0xbf7775a71d644faa, 0xf5feaecdd086bbe8,
  0x60aef24dd3b9bb19, 0xa4271f304f8c0482, 0x916b3eeab50c8da8, 0xe9f72f881850c9f6, 0x5e007e6584a6024e,
  0x3cedec2d6ce15bfc, 0x524482481eed4dea, 0x3f7c117e53e5c5e8, 0x803770f8510c4aff, 0xf25f2f973f21f2ca,
  0xbfe420b486f97177, 0xf7150865a095910c, 0x7b7275ff4073c265, 0x538e60b0ab331739, 0xab76e9fda7e577fe,
  0x53d738f46e1bfdbd, 0x216fe019d9c3037f, 0x4361227b2ce1e79c, 0xb730dfa8f09e12fc, 0x27e6cf6e122270e6,
  0x27fd4783f3dcb7d6, 0x0505322d24389206, 0xaaf0dc34621ce62c, 0x69500ffd99e3af01, 0x6538b81e5adcd7cf,
  0x05fb27f33e8e6656, 0x9e0404eccdbf0312, 0xf379b228301de05f, 0x6a9bd4a7253a0333, 0xa7a1d5381f11a438,
  0x3863b7fbd55169ab, 0xbe1296a5f95b6677, 0xcf7f886e4078661b, 0xa9d599bf8347f1a2, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x7a2ff03f7ff05347, 0x38cb25c33d30be34, 0xcce62dfa4a5b3871, 0xaa9279382e73166b,
  0x00000001a499ff86,
};

// m128a_u1x12_uart1_dual_pr_ee_ce
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ee_ce[] = {
  0xddddd1aeebf50c86, 0xdddddd7909026e84, 0xbdd9b403b609bc7f, 0x907d645d96ea724f, 0x8233a96453a19cc8,
  0x120982bbc99c4ee7, 0xb5148e3c9cc13e30, 0x3ed22d67dd56a191, 0x29dd3ee5f1030a19, 0xcf8bb21fe6584a01,
  0xbd47986d833e1c3a, 0xbd0a48904903fd79, 0x5fe7ef822fca7cb8, 0x9d5006ee1f0a2189, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x994f454219685ba4, 0x9cbdbd6fffd01cf0, 0x7f927d305855998b, 0xdbdab76e9fda7ffe,
  0xf54651738f46e1bf, 0x085b79b9dcae015d, 0x22270f8ddd83f9e7, 0x3b5f88a63340aee1, 0xb306f7fa8f2beea5,
  0x1698a62bea3d47c1, 0x5b1971c270dc3afb, 0x3abb72003a909afa, 0xd794d5e111519347, 0x75fd1bdab1aaf1b1,
  0x1bd96e4ce038ec5a, 0x47332b3c623ecc8e, 0xdf818902fd93f99f, 0x0ef02fcf02027666, 0xf9d0199f9bc1c958,
  0xb74829f54ee2ca72, 0x9c0ae0c6085a6c57, 0x5a97e56d99d3d0ea, 0x0cacd9e1986ef84a, 0x66fe0eee3459eff1,
  0xc970cf4c2b93f756, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000000982371f668,
};

// m128a_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0x46bbafa2a1fc746e, 0x5e4866fe1a137777, 0x41dd656d6d377777, 0xf6ebad859717d7bb, 0x8bde08787608b055,
  0x6ee0cb5953834e90, 0x7c6024130577939f, 0x43236a291f107982, 0x14327da45acfbaad, 0x298093ba7dcbe206,
  0xc1523c5fbadf9961, 0xe537a8ea49b0e6f9, 0x9717a1491209206c, 0x312bfcfdf045f94f, 0x1f278040ddc3e144,
  0x97177f25f2f973f2, 0x7d10cbfe420b486f, 0x784c96a2a10cb42c, 0xc5ce5ede61bfe80e, 0x77ff94e3982c2acc,
  0xfeded5bb74fed3ed, 0xbfaa3cad9c7a370d, 0x9c216fe019deed01, 0xfc4361227b2ce1e7, 0xc83abaffa8f09e12,
  0xa5f26cf6e122270f, 0x93d479598f94ed63, 0x315bf9ea3e0d983c, 0x8e1386e1d7d8b4c5, 0x8ca1d484d7d2d8cb,
  0xef0a628c4539d5db, 0xebfd8d578d8ebd8c, 0x7bb380e3b169dac8, 0xc551b044c8e1bd97, 0x67d1cccaccb37b41,
  0x99b7e06240bf64fe, 0x0603bc0bf3c0809d, 0xe4a740667e6f3645, 0x03e234870d537a94, 0x7aaa2d3574f43aa7,
  0xbf2b6ccee70c76ff, 0xc80f0cc377c252d4, 0xf068fe3459eff10d, 0x9430a912b53ab337, 0xfc65f989ffde1ef7,
  0xeffe0a68fb19d871, 0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x1000eacdd5524f27,
};

// m128a_u1x12_uart1_dual_ee_hw
static const uint64_t ur_m128_u1x12_uart1_dual_ee_hw[] = {
  0xe8d775f451a3b46e, 0x75e46975df426eee, 0x362fbee36d077777, 0x11c774054e24d740, 0xfb469d61f64cad12,
  0x0aef24a53bbcd7fa, 0x4771f304f8c04826, 0x16b3eeab50c8da8a, 0x9f72f881850c9f69, 0xe293f32c253a0cee,
  0xf6b7b0adf38400e2, 0x4912092069b737a8, 0xfdf045f94f9717a1, 0xc0ddc3e144312bfc, 0x92f97cb9f90f9341,
  0xff2105a437cb8bbf, 0x58a8432d074a8865, 0xdba5affa039e1314, 0x8dd305855998b9cb, 0xaddba7f69fb75fe4,
  0x84fce3d1b86ff6f6, 0x77a8f2b80d355ad1, 0xc56befd47c1b3073, 0x384e1b875f62d377, 0x04fcd2135f4b632e,
  0x146229cead2e652e, 0x355ae875ec677853, 0x038ec5a76b23aff6, 0x823f5b86f65deece, 0x66566013da0e2a8d,
  0x031205fb27f33e8e, 0xe05f9e0404eccdbf, 0x0333f379b228301d, 0xa4386a9bd4a7253a, 0x69aba7a1d5381f11,
  0xb33b9c8ab7fbd551, 0x330ddf094b52fcad, 0xca1854895a9d3e3c, 0xfe32fcc4ffef0f7b, 0xf7ff05347d8cec38,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x0015daa45928a793,
};

// m128_u1x12_uart1_dual_ee_ce_u4_hw m128a_u1x12_uart1_dual_ee_ce_hw   m128a_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u1x12_uart1_dual_ee_ce_hw[] = {
  0x746bbafa28d0f2df, 0x75e4866fe1a13777, 0xb41dd656d6d37777, 0x5f6ebad859717d7b, 0x16d1e08787608b05,
  0xc9cfb776906da7da, 0x3cc13e30120982bb, 0xdd56a191b5148f88, 0xf1030a193ed22d67, 0xe6584a7419dd3ee5,
  0x39be70548f17eeb7, 0x481b394dea3a926c, 0x7e53e5c5e8524482, 0xf8510c4aff3f7c11, 0x5cfc87c9e0103770,
  0xd21be5c5dfc97cbe, 0x2d0b1f4432ff9082, 0xfa039e1325a8a843, 0x0ab3317397b7986f, 0xda7daeffc91ba60b,
  0x46e1bfdbdab76e9f, 0xdda037f54795b38f, 0xce1e79c216fc873b, 0x09e12fc4361227b2, 0x889c3f37d523fa8f,
  0x53b58e97c9b3db84, 0x3660f24f51e5663e, 0x62d314c56fe7a8f8, 0x4b632e384e1b875f, 0xe7576e328752135f,
  0x3af633bc298a3114, 0xa76b23aff6355e36, 0x86f65deece038ec5, 0xcded071546c11323, 0xfd93f99f47332b32,
  0x02027666df818902, 0xbcd914180ef02fcf, 0x4dea53929d0199f9, 0xd0ea9c0f88d21c35, 0x31dbfdeaa8b4d5d3,
  0x094b52fcadb33b9c, 0x895a9d3e3c330ddf, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xe347a2ff03f7ff05,
  0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0xb19a28a79382e731, 0x0000000000000eba,
};

// m128_u2x8_uart0_noled_pr          m128a_u2x8_uart0_noled            m128a_u2x8_uart0_noled_pr
static const uint64_t ur_m128_u2x8_uart0_noled[] = {
  0x96eeeeebbb59bb37, 0xfbbbbbaabb0e6ef8, 0x2789bf12276b4d1a, 0x8448bebf77748822, 0xbc9dd85eb478f412,
  0xf24c13e30120982b, 0xb7aac5affe15073f, 0xc27c5a76849c126b, 0x4818fbf51ebf9df2, 0x596530df59f490e2,
  0xaf0a4346678e62c0, 0x9aa01ffb30475e8f, 0xa9e4e07967b6a0ee, 0x4d1d18a4f2d3a514, 0xa5e537ae7e28f1ca,
  0xea9c0fcdba41abd4, 0xdfef5545a70173d0, 0x96a5f95b6670ea2a, 0x432b3678661bbe12, 0x63c81a3f8d167bfc,
  0xc970cf4c2b93f756, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000003e41b8fc46e,
};

// m128a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_m128_u2x8_uart0_noled_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d87377c4b, 0xc4df8913b5a68d7d, 0x245f5fbbba441113, 0x3bb42fe9f8f31342,
  0x9827c60241305779, 0xaac5afff85767fe4, 0x7c5a76849c126bb7, 0x18fbf51ebf9df2c2, 0x6530df59f490e248,
  0x0a4346678e62c059, 0xa01ffb30475e8faf, 0xe4e07967b6a0ee9a, 0x1d18a4f2d3a514a9, 0xe537ae7e28f1ca4d,
  0x9c0fcdba41abd4a5, 0xef5545a70173d0ea, 0xa5f95b6670ea2adf, 0x6e4078661bbe1296, 0x37f07771a2cf7f88,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0x07effe0a68fb19d8, 0xb867a617c68f45fe, 0xbf494b670e271964,
  0x2705ce62cd799cc5, 0x0003e4e5164b344f,
};

// m128_u2x8_uart0_noled_pr_ee_u4    m128a_u2x8_uart0_noled_pr_ee      m128a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d720f4e25, 0x63f3175fa6c695bd, 0x001c17c2f7777bc9, 0x0580aa8ad8968537,
  0xf8c048260aef2776, 0xf77fe15d9f74b304, 0x9da127049aedeab3, 0xcae719aad68e6e16, 0x0f51f06cc18f9ea3,
  0x370ebec5a6ef8ad0, 0xa426be96c65c709c, 0x7ce75697c9171ac9, 0x743af3a77849a462, 0xc5a6f691e33b1aad,
  0xadc37b2d97ce038e, 0xa004e9cb2546c11f, 0x5268e8c527969d28, 0xa52f29bd73f1478e, 0x8754e07e6dd20d5e,
  0x56ff7aaa2d380b9e, 0x94b52fcadb338751, 0xfc437203c330ddf0, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0x2ff03f7ff05347d8, 0xcb25c33d30be347a, 0xe62dfa4a5b387138, 0xa279382e73166bcc,
  0x00000009d782ed59,
};

// m128_u2x8_uart0_noled_pr_ce_u4    m128a_u2x8_uart0_noled_pr_ce      m128a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart0_noled_pr_ce[] = {
  0xdddddd7751218375, 0x777775577906a712, 0xc2fa8635f504d643, 0x53d3db7bbbbc1d22, 0x93ba645a7505b0d8,
  0x69827c6024130577, 0xf55952bff0aecfa5, 0x920b4ed093824d76, 0x0b6f373b0f606feb, 0x1b0913d9670f3ce1,
  0xb9dbfd4784f097e2, 0x59367b709113874d, 0xa4f51dafa7b96faf, 0x0bbdf3d490e24819, 0xf5e14868ccf1cc58,
  0xd35403ff6678ebd1, 0xa54f2703cb5b941d, 0x5268e8c527969d28, 0xa52f29bd73f1478e, 0x8754e07e6dd20d5e,
  0x76ff7aaa2d380b9e, 0x296a5f95b6670e8c, 0xf886e4078661bbe1, 0xab337f07771a2cf7, 0xe1ef79430a912b53,
  0x9d871fc65f989ffd, 0x5fe07effe0a68fb1, 0x964b867a617c68f4, 0xcc5bf494b670e271, 0x44f2705ce62cd799,
  0x0000001bae9562b3,
};

// m128_u2x8_uart0_noled_pr_ee_ce_u4 m128a_u2x8_uart0_noled_pr_ee_ce   m128a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_m128_u2x8_uart0_noled_pr_ee_ce[] = {
  0x777775dd44864c7f, 0xddddd55e0c971c4b, 0xa284056f65dec71d, 0x69dc4bafdd6a6a6d, 0x3e75b0dd5ae4a624,
  0xf180904c15de4eeb, 0x3fff85767ec7e609, 0xed093824d76f5594, 0xb8ac06fea8e438b4, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0x122270f950d07fd4, 0x494ed63a7be6cf6e, 0xf06cc1c65ea3cac1, 0x7d8b4c5315cbef51,
  0x7d2d8cb8e1386e1d, 0xf39d5dbb241d484d, 0xd8ebce9de1269189, 0x2d37b48f19d8d578, 0x8e1bd96cbe701c76,
  0x859ba72c951b044c, 0x49a3a3149e5a74a2, 0x94bca6f5cfc51e39, 0x1d5381f9b748357a, 0xdbfdeaa8b4e02e7a,
  0xa5a97e56d99c3a31, 0xe21b901e1986ef84, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7,
  0x7f81fbff829a3ec6, 0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x13c9c17398b35e67, 0x0000004fcb6dd6cd,
};

// m128a_u2x8_uart0_noled_ee_hw
static const uint64_t ur_m128_u2x8_uart0_noled_ee_hw[] = {
  0xddddd7751468fc3b, 0xeeeeaaeb907a712d, 0x1f98bafd3634adee, 0x00e0be17bbbbde4b, 0x448b33d0dcb429b8,
  0x4f8c048260aef277, 0x9fbbffac99f74b30, 0xb4ed093824d76f55, 0x1e5738cd56b47370, 0x807a8f83660c7cf5,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0x13e73ab4be48b8d6, 0x6ba1d79d3bc24d23, 0x762d37b48f19d8d5,
  0xfd6e1bd96cbe701c, 0x4500274e592a3608, 0x72934746293cb4e9, 0xf529794deb9f8a3c, 0xf43aa703f36e906a,
  0x8ab7fbd55169c05c, 0x84a5a97e56d99c3a, 0x44ad4e9f1e1986ef, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0xea429453c9c17398, 0x00000000000005be,
};

// m128_u2x8_uart0_noled_ee_ce_u4_hw m128a_u2x8_uart0_noled_ee_ce_hw   m128a_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_m128_u2x8_uart0_noled_ee_ce_hw[] = {
  0xddddd7751468b044, 0x77775578325c712d, 0x8a1015bd977b1c77, 0xa7712ebf75a9a9b6, 0x9c458b7aef929891,
  0x3e30120982bbc9dd, 0x43fffd64cfd8fcc1, 0x4ed093824d76f559, 0x3b8ac06fea8e438b, 0xb2ce1e79c216fc87,
  0x8f09e12fc4361227, 0xe122270ecf9d67fa, 0x1494ed63a7be6cf6, 0x1f06cc1c65ea3cac, 0xd7d8b4c5315cbef5,
  0xd7d2d8cb8e1386e1, 0x9f39d5dbb241d484, 0x8d8ebce9de126918, 0x62d37b48f19d8d57, 0xc8e1bd96cbe701c7,
  0x2859ba72c951b044, 0x949a3a3149e5a74a, 0xa94bca6f5cfc51e3, 0xa1d5381f9b748357, 0x1dbfdeaa8b4e02e7,
  0x4a5a97e56d99c3a3, 0x4ad4e9f1e1986ef8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0x1a3d17f81fbff829,
  0x389c6592e19e985f, 0x35e67316fd252d9c, 0x09a7453c9c17398b, 0x000000000000a026,
};

// m128_u2x8_uart0_lednop_pr         m128a_u2x8_uart0_lednop           m128a_u2x8_uart0_lednop_pr
static const uint64_t ur_m128_u2x8_uart0_lednop[] = {
  0xb777775ddacdfc4f, 0xdddddd55d87383c4, 0x9b4fda38f4bdef8b, 0xfbbd0e6eeee6b1e0, 0x2777c7e145c490d9,
  0x3304f8c048260aef, 0xeab322ff8541cfa6, 0xac169da127049aed, 0x0333dea3b5f1df2d, 0xdee9b7be7a921c49,
  0xf087147ac4731602, 0xa0fb8e58c11d78ba, 0x302027969d28a158, 0x40e28f00fa68e8c5, 0x521b8ba9cbca6c67,
  0x5a585cf43aa70256, 0xcced38e2adfef554, 0xcc377c252d4bf2b6, 0x1a2cf7f886566cf0, 0x5727eeacc790347f,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x0f2f88dd3c9c1739, 0x00000000000007c8,
};

// m128a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_m128_u2x8_uart0_lednop_pr_u4[] = {
  0x777775dd44863f3e, 0xddddd55d87367c4b, 0xdfe2438b5d7eb11d, 0x509ab6eee910444d, 0x9dd083c882fe4b5a,
  0x4c13e30120982bbc, 0xeab221ffc2bb3f37, 0x9f169da127049aed, 0x063efd4759e77cb0, 0x96530f9d05243892,
  0xf0d4b46690e62c05, 0xaa01ffb30475e8fa, 0xd1ba07967b744a83, 0x8a60404f2d3a5147, 0xce81c51e01f4d1d1,
  0xaca43717539794d8, 0xa8b4b0b9e8754e04, 0x6d99da71c55bfdea, 0xe1986ef84a5a97e5, 0xddc68b3dfe21b901,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf829a3ec6761c7f1, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x398b35e67316fd25, 0xc9c69f2cd13c9c17, 0x0000000000000007,
};

// m128_u2x8_uart0_lednop_pr_ee_u4   m128a_u2x8_uart0_lednop_pr_ee     m128a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd775121be4a, 0x777775575c861512, 0x8f4ec78cdc5fa6ef, 0x3c79c17c2f7777bc, 0x4dd1da23e3d8d85a,
  0x4f8c048260aef277, 0x3e77fe15d9f2eb30, 0x69da127049aedeab, 0x3cacf59aad68e6e1, 0xa8f51f06cc18f9ea,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x21ce7569705171ac, 0xae875e74ef0dc346, 0x62d36be4720b6355,
  0xd6e1bd96cbe701c7, 0xa004a0ee9aa3608f, 0xe8c5302027969d28, 0x6c6740e28f00fa68, 0x0256521b8ba9cbca,
  0xf5545a585cf43aa7, 0xf2b6cced38e2adfe, 0x80f0cc377c252d4b, 0xe0eee3459eff10dc, 0x286152256a75666f,
  0xf8cbf313ffbc3def, 0xdffc14d1f633b0e3, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x0b9cc59af3398b7e,
  0x04ebcafc36689e4e,
};

// m128_u2x8_uart0_lednop_pr_ce_u4   m128a_u2x8_uart0_lednop_pr_ce     m128a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbbaeea2431768, 0xeeeeeaaef2164e25, 0xa9c2f623a56f419e, 0x985171dddde0e915, 0x4eeb336c56450520,
  0xe609f180904c15de, 0xd56393ffc2bb3f21, 0x482d3b424e0935db, 0x16de6e76fe01bfae, 0x361227b2ce1e79c2,
  0xcc41fa8f09e12fc4, 0xac9b3db84889c3bf, 0x349ea3f3d3dcb7d7, 0x0163227a921c4903, 0x3ebc352d19a4398b,
  0xa0ea807feccf1d7a, 0x147d1ba0796b7512, 0x1d18a60404f2d3a5, 0x4d8ce81c51e01f4d, 0xe04aca4371753979,
  0xdeaa8b4b0b9e8754, 0xfcadb33b4e331dbf, 0x203c330ddf094b52, 0xf83bb8d167bfc437, 0xca1854895a9d599b,
  0xfe32fcc4ffef0f7b, 0xf7ff05347d8cec38, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df,
  0x00dd7610fd9a2793,
};

/*
 * m128_u2x8_uart0_lednop_pr_ee_ce_u4 m128a_u2x8_uart0_lednop_pr_ee_ce
 * m128a_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbaeea243173e, 0xeeeeeaaf0654ce25, 0x71b45377b06f6e0e, 0x82dc4bafdd6a6a6d, 0xdd5794a51f977c96,
  0x180904c15de4eea7, 0xfff85767f76a609f, 0xd093824d76f55863, 0x38206fea8e438b4e, 0x670f3ce10b6f373b,
  0x84f097e21b0913d9, 0x22270ea49cdffd47, 0x94ed63a7be6cf6e1, 0x06cc1c65ea3cad00, 0xec5a6298af4af51f,
  0xe96c65c709c370eb, 0x9ceaedc0a0ea426b, 0x8ebce9de1b868c43, 0x4daf91c82d8d578d, 0x86f65b2f9c071d8b,
  0xcd41dd3546c11323, 0x8a60404f2d3a5142, 0xce81c51e01f4d1d1, 0xaca43717539794d8, 0xa8b4b0b9e8754e04,
  0xdb33b4e331dbfdea, 0xc330ddf094b52fca, 0xbb8d167bfc437203, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xf05347d8cec38fe3, 0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a, 0x7e0fc159a279382e,
  0x0000000000000002,
};

// m128a_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_m128_u2x8_uart0_lednop_ee_hw[] = {
  0xddddd775146851eb, 0x77775575c861512d, 0xf4ec78cdc5fa6ef7, 0xc79c17c2f7777bc8, 0xea3329da528d85a3,
  0x09f180904c15de4e, 0xb3e77ff5933e5d66, 0x169da127049aedea, 0xa3cacf59aad68e6e, 0xfa8f51f06cc18f9e,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x621ce7569705171a, 0x5ae875e74ef0dc34, 0x762d36be4720b635,
  0xfd6e1bd96cbe701c, 0x8a004a0ee9aa3608, 0x8e8c5302027969d2, 0xa6c6740e28f00fa6, 0x70256521b8ba9cbc,
  0xef5545a585cf43aa, 0xbf2b6cced38e2adf, 0x4f8f0cc377c252d4, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb,
  0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x29e4e0b9cc59af33, 0x00000002dfb7fe1a,
};

/*
 * m128_u2x8_uart0_lednop_ee_ce_u4_hw m128a_u2x8_uart0_lednop_ee_ce_hw
 * m128a_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbaeea28d01107, 0xeeeeaaf0654ce25b, 0x1b45377b06f6e0ee, 0x2dc4bafdd6a6a6d7, 0x4cb17dcfb977c968,
  0xf180904c15de4eea, 0x1fffeb267f76a609, 0x76849c126bb7aac3, 0xd9c1037f54721c5a, 0x9670f3ce10b7e439,
  0x784f097e21b0913d, 0x09113874a8b91fd4, 0x04a76b1d3df367b7, 0xf83660e32f51e568, 0x5f62d314c57a57a8,
  0x5f4b632e384e1b87, 0x1ce7576e05075213, 0x6c75e74ef0dc3462, 0x5a6d7c8e416c6abc, 0x1c37b2d97ce038ec,
  0x166a0ee9aa360899, 0x8c5302027969d28a, 0xc6740e28f00fa68e, 0x256521b8ba9cbca6, 0x5545a585cf43aa70,
  0x56d99da7198edfef, 0x1e1986ef84a5a97e, 0xbde50c2a44ad4e9f, 0x1c7f197e627ff787, 0x81fbff829a3ec676,
  0x2e19e985f1a3d17f, 0x6fd252d9c389c659, 0xc9c17398b35e6731, 0x0000050126001453,
};

/*
 * m128_u2x8_uart0_dual_pr           m128_u2x8_uart0_dual_pr_u4        m128a_u2x8_uart0_dual
 * m128a_u2x8_uart0_dual_pr          m128a_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_m128_u2x8_uart0_dual[] = {
  0xdddddf174486ff3e, 0x77775e46a6d8a84d, 0x38a5233dd95a9337, 0x76999eeee9a5a66d, 0xad07eae55fd7b57c,
  0x602413057792103b, 0x191b514824a9827c, 0xa193ed22d67dd56a, 0xa0129dd3ee5f1030, 0x70cadc5f7dfe6584,
  0xc879bd47287b053c, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf21f2e9f03770f85, 0x6f97177f25f2f973,
  0x04c510cbfe420b48, 0x01cf09a328a8432d, 0x56662e72f6fdd7fd, 0xd56029fe49f4c161, 0x3c2d3b424e0935db,
  0x06f6bd47b8677cb7, 0xac537c9bdd243892, 0xe1c168d059cc580b, 0xa01ffb30475e0355, 0x57c0f2cf6c38c82a,
  0x8a4fe67d1cccacd3, 0x8e8c5302027969d2, 0xa6c6740e28f00fa6, 0x70256521b8ba9cbc, 0xef5545a585cf43aa,
  0xbf2b6cced38e2adf, 0xc80f0cc377c252d4, 0xfe0eee3459eff10d, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0xfdffc14d1f633b0e, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x002926ae0b6689e4,
};

// m128a_u2x8_uart0_dual_pr_ee
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ee[] = {
  0x77777c5ea0a1a5fb, 0xbbbaf21fbaafa137, 0xdfb4e5b5dfbb37bb, 0x537d3b75a720a75b, 0xb19c30a26ba014fb,
  0x15de49ba7728c459, 0x8f5aa609f180904c, 0x2d67dd56a191b514, 0x3ee5f1030a193ed2, 0xe007e6584a0129dd,
  0xcedec2d6ce15bfc5, 0x24482481eed4dea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x25f2f973f21f24a8,
  0xfe420b486f97177f, 0x7150865a095910cb, 0xb7d37ff4073c265f, 0x4fa60b0ab3317397, 0xe0935dbd5614bff2,
  0x355ad1e942d3b424, 0x1b307f27a8f2bdbf, 0xb169bbe2b32bd47c, 0xa5b1971c270dc3af, 0x973d57027e6909af,
  0x677846fa3278e756, 0xa34876355ae875ec, 0xbbdd9c071d8b4d67, 0x8cd51b047eb70dec, 0xccfa39995980520b,
  0xa60404f2d3a5149f, 0xe81c51e01f4d1d18, 0xca43717539794d8c, 0x8b4b0b9e8754e04a, 0xd99da71c55bfdeaa,
  0x1986ef84a5a97e56, 0xb8d167bfc43de09e, 0x54895a9d599bf83b, 0xa3ec6761c4e34a18, 0x4b867a615c9fbe09,
  0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x0000002b240ab344,
};

// m128a_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ee_u4[] = {
  0xbbbbbbe2e890cf68, 0xddddd790fdf5dd09, 0xdb1abed6a8fea01d, 0xf62ea6fa76e94e69, 0x7045580f8ceab43a,
  0x02413057793625dc, 0x46d4522e4a9827c6, 0x64fb48b59f755a86, 0x04a774fb97c40c28, 0x9dbe2f6b7f996128,
  0xe6f51f76b609b670, 0xe2f4292241240cc7, 0x257f9fbe08bf29f2, 0xf91ad81bb87c2886, 0xb8bbf92f97cb9f90,
  0x48865ff2105a437c, 0xe1347b8a8432d0a9, 0x8b9cbdbeceffa039, 0xa1ff927d30585599, 0x9da127049aedeab0,
  0xcafa89aad68c1416, 0x1ea3e0d9835afea3, 0x6e1d7d8b4ddf15a0, 0x484d7d2d8cb8e138, 0xe73ab4baf8b80e33,
  0x43af29abc24d23af, 0x5a6f6918fbb1aad7, 0x6e1bd96e4ce038ec, 0xcfa399959ae0cf7d, 0x60404f2d3a5149fc,
  0xd038a3cb74d1d18a, 0x9486e2ea72f29b19, 0xe04cf8a042d3c315, 0xd4bf2b6cce9e8754, 0x0dc80f0cc377c252,
  0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xc0fdffc14d1f633b, 0x970cf4c2f8d1e8bf,
  0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398, 0x00000564bab76689,
};

// m128a_u2x8_uart0_dual_pr_ce
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ce[] = {
  0x77777c587ad0cf68, 0x77775e4c5f5aa137, 0x5f3ed266f77b5c77, 0x57962dddd7640287, 0x1c115634f19d227d,
  0x80904c15de4b3377, 0x91b514867ae609f1, 0x193ed22d67dd56a1, 0x0129dd3ee5f1030a, 0x2d6f8bd6ffe6584a,
  0xb9bd474dbd84ed9c, 0xb8bd0a4890490319, 0x895fe7ef822fca7c, 0x7c99be06ee1f0a21, 0x5c5dfc97cbe5cfc8,
  0xe4432ff9082d21be, 0x784cfe454219687e, 0x62e72f6fbeffe80e, 0x387fe49f4c161566, 0xa76849c126bb7aac,
  0x9b9dfee037f59c45, 0x89ecb3879e7085b7, 0x7ea3c2784bf10d84, 0xcf6e122270eff310, 0xa3f413dcb7d627e6,
  0x1b5a921c4903417e, 0x382d1a0b398b0153, 0x03ff6678ebc06abc, 0xbe0796b707190554, 0x527f33e8e665669a,
  0x7462981013cb4e94, 0x3633a07147807d34, 0x812b290dc5d4e5e5, 0x7aaa2d2c2e7a1d53, 0xf2b6cced38cc76ff,
  0x4cf0cc377c252d4b, 0xf83bb8d167bfc422, 0xca1854895a9d599b, 0xb19d87b9c65f989f, 0x85727e39efd8668f,
  0xd9c389c6592e19e9, 0x98b35e67316fd252, 0x92042ecd13c9c173, 0x0000000000000006,
};

// m128a_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ce_u4[] = {
  0xbbbbbbe2e890cf68, 0xddddd79317957d09, 0xf6cf8eb6a8fea01d, 0x75d396eeeb332949, 0xb8e08ab01f19d568,
  0x8c048260aef26273, 0x8646d4523a9d304f, 0x2864fb48b59f755a, 0x2804a774fb97c40c, 0x1c034717d35f9961,
  0xd0fcdea3d8fec3fe, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf21f235b03770f85, 0x6f97177f25f2f973,
  0x07f110cbfe420b48, 0x039e136df8a8432d, 0x5998b9cbdbb05ffa, 0xab1c9ff927d30585, 0x4169da127049aede,
  0xb6f373b7f00dfd72, 0xb0913d9670f3ce10, 0x620fd4784f097e21, 0x64d9edc2444e1dfe, 0xa4f51f9e9ee5bebd,
  0x0b1913d490e24819, 0xf5e1a968cd21cc58, 0xa905dc72c678ebd1, 0x4527f33e8e665663, 0x47462981013cb4e9,
  0x53633a07147807d3, 0x3812b290dc5d4e5e, 0xf7aaa2d2c2e7a1d5, 0xbf2b6cced38cc76f, 0xc80f0cc377c252d4,
  0xfe0eee3459eff10d, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0xfdffc14d1f633b0e, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x000d24bab76689e4,
};

// m128a_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ee_ce[] = {
  0x09bbbbbbe2f50c86, 0xfeeeeeebc8a6fdc5, 0xf0fb265cedb04de3, 0x9eec2029dba5abae, 0x8233a96453a19cc8,
  0x120982bbc9d94ee7, 0xda8a41662cc13e30, 0x9f6916b3eeab50c8, 0x94ee9f72f881850c, 0x87c5e92bf32c2500,
  0xdea3b3e6c3acce0c, 0x5e85244824819adc, 0xaff3f7c117e53e5c, 0x4ea803770f8510c4, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x4d95a2a10cb43672, 0xce5edf76bfe80e78, 0xffc93e982c2accc5, 0xa127049aedeab3ab,
  0x6c0577d51fee169d, 0x1fe79c216de6e77a, 0x02bb84889c3f60de, 0xae4494ed7e22be4d, 0xf51f06cc1a63ea3c,
  0x70ebec5a6298afba, 0x426be96c65c709c3, 0x464f1ceaedc7a8ea, 0x578d8ebd8cef08df, 0xc762d359e8d21d8d,
  0x8991c37b2ef76701, 0x2b32ce41719aa360, 0x5a74a293f99f4733, 0x03e9a3a314c0809e, 0xa72f29b19d038a3c,
  0xd0ea9c0959486e2e, 0x63b7fbd551696173, 0x296a5f95b66769c6, 0xc432b3678661bbe1, 0x599bf83bb8d167bf,
  0xcb25c33d30ae4fdd, 0xe62dfa4a5b387138, 0xa279382e73166bcc, 0x00000002608dc7d9,
};

// m128a_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddf174543fb69f, 0xddd790dde66e84dd, 0xf366f5fc3aa31ddd, 0x88f6dd1d7b9d3683, 0xd42022e2faf7ee3c,
  0x253eddc5f582da35, 0xf304f8c048260aef, 0x755a8646d4521e20, 0xc40c2864fb48b59f, 0x32c253012774fb97,
  0x52438737f8baa47f, 0x40e92a6f51fa3fb0, 0xf29f2e2f42922412, 0xc2886257f9fbe08b, 0xe7e43e4edd81bb87,
  0x90df2e2efe4be5f2, 0x6874fa2197fc8416, 0xd01cf0989d454219, 0x2accc5ce5ede007f, 0xaac0d1ff94e3982c,
  0x145a76849c126bb7, 0xe019d85a037f546c, 0x227b2ce1e79c216f, 0x1fa8f09e12fc4361, 0x3db84889c3dd0dd5,
  0x2b91253b58e97c9b, 0xbd47c1b30698fa8f, 0xdc3afb1698a62bee, 0x909afa5b1971c270, 0xd193c73abb71ea3a,
  0x55e363af633bc237, 0x71d8b4d67a348763, 0x226470decbbdd9c0, 0xcaccb3905c66a8d8, 0x969d28a4fe67d1cc,
  0x00fa68e8c5302027, 0xa9cbca6c6740e28f, 0xf43aa70256521b8b, 0x98edfef5545a585c, 0x4a5a97e56d99da71,
  0xfe21b901e1986ef8, 0x5666fe0d1fc68b3d, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63,
  0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x49e4e0b9cc59af33, 0x00000200397e1aaa,
};

// m128a_u2x8_uart0_dual_ee_hw
static const uint64_t ur_m128_u2x8_uart0_dual_ee_hw[] = {
  0xbbbbbbe2e8a342db, 0xddddd790fdd57d09, 0xdefda72daefdd9bd, 0xda9be9dbad39053a, 0x330a6b5d535d00a7,
  0x4130577926e9dc3c, 0xd4523d6a9827c602, 0xfb48b59f755a8646, 0x6774fb97c40c2864, 0xff17801f996129d0,
  0x7a8f3b7b0b5b3856, 0x7a1491209207bb53, 0xbfcfdf045f94f971, 0x92a00ddc3e144312, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x997dc54219682564, 0xce5edf4dffd01cf0, 0xff246e982c2accc5, 0x424e0935dbd5614b,
  0xdbf355ad1e942d3b, 0x47c1b307f27a8f2b, 0x3afb169bbe2b32bd, 0x9afa5b1971c270dc, 0x756973d57027e690,
  0x5ec677846fa3278e, 0xd67a34876355ae87, 0xdecbbdd9c071d8b4, 0x20b8cd51b047eb70, 0x49fccfa399959805,
  0xd18a60404f2d3a51, 0xd8ce81c51e01f4d1, 0x04aca43717539794, 0xeaa8b4b0b9e8754e, 0xe56d99da71c55bfd,
  0xf1e1986ef84a5a97, 0x7bde50c2a44ad4e9, 0x61c7f197e627ff78, 0xf81fbff829a3ec67, 0x92e19e985f1a3d17,
  0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x0000015da0a42945,
};

// m128_u2x8_uart0_dual_ee_ce_u4_hw  m128a_u2x8_uart0_dual_ee_ce_hw    m128a_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u2x8_uart0_dual_ee_ce_hw[] = {
  0x77777c5d1468b202, 0x7775e437799ba137, 0xfcd9bd7f0ea8c777, 0x223db7475ee74da0, 0x1d9016b8bebdfb8f,
  0x15de4a7dbb99bd60, 0x3c41e609f180904c, 0x6b3eeab50c8da8a4, 0xf72f881850c9f691, 0xa47f32c253a0cee9,
  0x3fb052438737f8ba, 0x241240e92a6f51fa, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xe5f2e7e43e4edd81,
  0x841690df2e2efe4b, 0x42196874fa2197fc, 0x007fd01cf0989d45, 0x982c2accc5ce5ede, 0x35dbd56068ff246e,
  0xaa360a2d3b424e09, 0x085bf21cec2d01bf, 0x10d8489ecb3879e7, 0x72e8ffea3c2784bf, 0x2f9367b709113876,
  0x1f51e57224a76b1d, 0xc57dd7a8f83660d3, 0x384e1b875f62d314, 0x3d4752135f4b632e, 0x7846fa3278e7576e,
  0x90ec6abc6c75ec67, 0xbb380e3b169acf46, 0xd51b044c8e1bd977, 0xfa39995996720b8c, 0x0404f2d3a5149fcc,
  0x1c51e01f4d1d18a6, 0x43717539794d8ce8, 0x4b0b9e8754e04aca, 0x3b4e331dbfdeaa8b, 0x0ddf094b52fcadb3,
  0x1854895a9d3e3c33, 0x32fcc4ffef0f7bca, 0xff05347d8cec38fe, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x1d750ee428a79382,
};

// m128_u2x8_uart1_noled_pr          m128a_u2x8_uart1_noled            m128a_u2x8_uart1_noled_pr
static const uint64_t ur_m128_u2x8_uart1_noled[] = {
  0xb777776d0f59bb37, 0xdddddd55f67183c4, 0x226eac1c5b5a68d7, 0x28448bc1f7776442, 0xbbc9dd85eb478f41,
  0xfa54c13e30120982, 0xd3fb4f829fe15073, 0xc7a3668c6390dbed, 0x93d47e78ef964879, 0x6deebfd243892066,
  0x588f199cc580b7ba, 0xdc72c608ebc5d787, 0xbf031205fb0acd62, 0xa8301de05f9ceccd, 0x9794d8ceccfcde5b,
  0x169e18aca4371753, 0x74f43aa703f5c502, 0x1bbe1296a5f95b66, 0x167bfc432b367866, 0x93f75663c81a3f8d,
  0x1c4e32c970cf4c2b, 0x9af3398b7e9296ce, 0x8fc46e9e4e0b9cc5, 0x000000000003e41b,
};

// m128a_u2x8_uart1_noled_pr_u4
static const uint64_t ur_m128_u2x8_uart1_noled_pr_u4[] = {
  0xeeeeeda1d121b562, 0xddddd55f672b4896, 0x4224553376de8dbd, 0xf1fe0fbbba1651c7, 0x774d2c71b26247d2,
  0x304f8c048260aef2, 0x69f053ff0aecfe95, 0x6cd18c721b7dba7f, 0x8fd01df2c21f38f4, 0x6d6a4871240d05fa,
  0x3d61cc580b2ca64c, 0xd9823af47d786bfa, 0xe59ed8fba25500ff, 0xdf818902fd838f81, 0xd4180ef02fce7666,
  0x5e53633b33f37807, 0xd53812b290dc5d4e, 0x6ff7aaa2d2c2e7a1, 0x2d4bf2b6cce24915, 0x10dc80f0cc377c25,
  0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xfc0fdffc14d1f633, 0xc970cf4c2f8d1e8b,
  0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x000003e4e9c95668,
};

// m128_u2x8_uart1_noled_pr_ee_u4    m128a_u2x8_uart1_noled_pr_ee      m128a_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart1_noled_pr_ee[] = {
  0xeeeeeda1d1219541, 0xddddd55f358d8896, 0x685365c7469ed0bd, 0x53f53341dd48a35d, 0x3bed533d947ec19b,
  0xc602413057793bad, 0x2fff0aecfe049827, 0x18e436fb74fed3e5, 0x56b4738e71e8d9a3, 0x660d31f51e57224d,
  0x2d377c57dd7a8f83, 0xb632e384e1b875f6, 0xba00b8d64d2135f4, 0x3bc3bda3c1673ab4, 0x8c38d8d56ba1d79d,
  0xb65f380e3b169f3c, 0x41d51b047eb70dec, 0xbf031205fb002a25, 0xa8301de05f9ceccd, 0xbca6c67667e6f00f,
  0xaa70256521b8ba9c, 0xdfef5545a585cf43, 0x5a97e56d99c4922a, 0x21b901e1986ef84a, 0xccdfc1ddc68b3dfe,
  0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0xf81fbff829a3ec67, 0x92e19e985f1a3d17, 0x16fd252d9c389c65,
  0x3c9c17398b35e673, 0x00000275f2ab2cd1,
};

// m128_u2x8_uart1_noled_pr_ce_u4    m128a_u2x8_uart1_noled_pr_ce      m128a_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart1_noled_pr_ce[] = {
  0xeeeeeda1d121af43, 0xbbbbaabae4104896, 0x14f4c6dec33d697b, 0xcd805fbbbbbbfc5e, 0x3baec95f7d39c58b,
  0x9827c60241305779, 0xd3e70fff0aecfb05, 0xd9a318e436fb74fe, 0xba9406fea0a671e8, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0x84889c3d6fc00fd4, 0x3d3dcb7d7ac9b3db, 0x4a4871240f59ea39, 0xfa3d61cc580ab5fa,
  0xffd99e3af47d786b, 0xe0796b70fba25500, 0x99b7e06240bf60e3, 0x01f50603bc0bf39d, 0x539794d8ceccfcde,
  0xe8754e04aca43717, 0x31dbfdeaa8b4b0b9, 0x1296a5f95b667124, 0x7f886e4078661bbe, 0x3ab337f07771a2cf,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27,
  0x344f2705ce62cd79, 0x00000000dd7e343b,
};

// m128_u2x8_uart1_noled_pr_ee_ce_u4 m128a_u2x8_uart1_noled_pr_ee_ce   m128a_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_m128_u2x8_uart1_noled_pr_ee_ce[] = {
  0xdddddb43a243704a, 0xeeeeaae9eb97712d, 0x2989a17b93b4c8ee, 0x7c6d3d2eebd36439, 0x74d7015dda331224,
  0x30120982bbc9dd1d, 0x1ff85767dfe4c13e, 0xc721b7dba7f69f0d, 0xf54652f38f46cd18, 0x7085b79b9da5a037,
  0xf10d8489ecb3879e, 0x601ba1fea3c2784b, 0xa7be6cf6e122270e, 0xafea3cafa894ed63, 0x62b09fea3e0d9835,
  0x1c270dc3afb1698a, 0x2003a909afa5b197, 0xbc3bda3c1673abb7, 0x871b1aaf1b1d79d3, 0xcbe701c762d3e791,
  0x1d51b044c8e1bd96, 0xf031205fb0b3a254, 0x8301de05f9ceccdb, 0xca6c67667e6f00fa, 0xa70256521b8ba9cb,
  0xfef5545a585cf43a, 0x52fcadb3389218ed, 0x37203c330ddf094b, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0x03f7ff05347d8cec, 0x5c33d30be347a2ff, 0xdfa4a5b387138cb2, 0x9382e73166bcce62,
  0x000027e4a6b59a27,
};

// m128a_u2x8_uart1_noled_ee_hw
static const uint64_t ur_m128_u2x8_uart1_noled_ee_hw[] = {
  0x77776d0e8a341202, 0xeeeeaaf9ac6c44b7, 0x429b2e3a34f685ee, 0x9fa99a0eea451aeb, 0x626c3680a3f60cda,
  0x7c602413057793bb, 0x297ffd64cfe04982, 0x18c721b7dba7f69f, 0x6ab5a39c738f46cd, 0x1b30698fa8f2b912,
  0xb169bbe2beebd47c, 0xa5b1971c270dc3af, 0xa5d005c6b26909af, 0xe9de1ded1e0b39d5, 0xe461c6c6ab5d0ebc,
  0x65b2f9c071d8b4f9, 0x2a0ea8d823f5b86f, 0x6df818902fd80151, 0x7d4180ef02fce766, 0xe5e53633b33f3780,
  0x1d53812b290dc5d4, 0x56ff7aaa2d2c2e7a, 0x52d4bf2b6cce2491, 0x56a74f8f0cc377c2, 0x3ffbc3def2861522,
  0x1f633b0e3f8cbf31, 0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8, 0xaf3398b7e9296ce1, 0x22fa29e4e0b9cc59,
  0x000000000000b7e8,
};

// m128_u2x8_uart1_noled_ee_ce_u4_hw m128a_u2x8_uart1_noled_ee_ce_hw   m128a_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_m128_u2x8_uart1_noled_ee_ce_hw[] = {
  0xeeeeda1d14683375, 0x7775574f5cbb896e, 0x4c4d0bdc9da64777, 0xe369e9775e9b21c9, 0xaa8bf5d6d1989123,
  0xc602413057793bb1, 0xd1ffd64cfbfc9827, 0x8c721b7dba7f69f0, 0x7f54652f38f46cd1, 0xce10b7e439da5a03,
  0x7e21b0913d9670f3, 0x7a4a672fd4784f09, 0x1d3df367b7091138, 0xad7f51e57d44a76b, 0x531584ff51f06cc1,
  0xb8e1386e1d7d8b4c, 0xb9001d484d7d2d8c, 0x9de1ded1e0b39d5d, 0x8c38d8d578d8ebce, 0xb65f380e3b169f3c,
  0xa0ea8d8226470dec, 0xdf818902fd859d12, 0xd4180ef02fce7666, 0x5e53633b33f37807, 0xd53812b290dc5d4e,
  0x6ff7aaa2d2c2e7a1, 0x5a97e56d99c490c7, 0xd4e9f1e1986ef84a, 0xff787bde50c2a44a, 0xec6761c7f197e627,
  0x3d17f81fbff829a3, 0x9c6592e19e985f1a, 0xe67316fd252d9c38, 0x0f453c9c17398b35, 0x00000000005014d2,
};

// m128a_u2x8_uart1_lednop
static const uint64_t ur_m128_u2x8_uart1_lednop[] = {
  0xbbbbbb687acdc49f, 0xeeeeeaafb385ee25, 0x367eefc3fa33499e, 0xbeb460fbbbb22111, 0x7793bb50d4dee14e,
  0xe719827c60241305, 0xa7f69f5f3fc2a0e7, 0x8f46cd18c721b7db, 0x27a8e4f1df2c90f3, 0xcb5fa4a4871240cd,
  0xf23905398b016f74, 0x8e58c11d78baf0b5, 0xf031205fb0ac1f7b, 0xde05f9e0404eccdb, 0xa0333f379b228301,
  0x1a4386a9bd4a7253, 0x169aba7a1d5381f1, 0xdb33b9c8ab7fbd55, 0xc330ddf094b52fca, 0x867a615c9fbe7933,
  0xf494b670e271964b, 0x705ce62cd799cc5b, 0x0002a403962374f2,
};

// m128_u2x8_uart1_lednop_pr_u4      m128a_u2x8_uart1_lednop_pr        m128a_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_m128_u2x8_uart1_lednop_pr[] = {
  0xdddddb43a2432aac, 0x7777557d9c75f12d, 0xb4a12fcd2e3b50f7, 0xf4bcdf77742ca38e, 0x774c4dc124119edb,
  0x304f8c048260aef2, 0xd3e807fe15d9f09f, 0xd9a318e436fb74fe, 0x1ed63be5843e71e8, 0x83f490e2481a0bf5,
  0x486731602cb29b24, 0x9823af47d78567a3, 0xb3db4163ed500ffd, 0xf031205fb20ad03c, 0xde05f9e0404eccdb,
  0xa0333f379b228301, 0x1a4386a9bd4a7253, 0x169aba7a1d5381f1, 0xdb33b9c8ab7fbd55, 0xc330ddf094b52fca,
  0xbb8d167bfc437203, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xf05347d8cec38fe3, 0x30be347a2ff03f7f,
  0x5b387138cb25c33d, 0x73166bcce62dfa4a, 0x9363c9d9a279382e, 0x000000000000000f,
};

// m128_u2x8_uart1_lednop_pr_ee_u4   m128a_u2x8_uart1_lednop_pr_ee     m128a_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart1_lednop_pr_ee[] = {
  0x777776d0e890c582, 0xddddd55f35b17c4b, 0x9b0b4663b417420d, 0xb27ea6683ba9146b, 0xb11ce5829c8699fb,
  0xf8c048260aef2775, 0x4f7fe15d9fdf7304, 0x631c86df6e9fda7d, 0xaad68e71ce3d1b34, 0x6cc1a63ea3cacca9,
  0x8b4ddf1587bf51f0, 0x2d8cb8e1386e1d7d, 0x2fd42e3593484d7d, 0xa778632464d1cead, 0x91bdab1aad743af3,
  0x96cbe701c762d327, 0x744aa3608fd6e1bd, 0xdbf031205fb0021f, 0x01de05f9e0404ecc, 0x53a0333f379b2283,
  0xf11a4386a9bd4a72, 0x55169aba7a1d5381, 0xcadb33b9c8ab7fbd, 0x03c330ddf094b52f, 0x83bb8d167bfc4372,
  0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0x7ff05347d8cec38f, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x2e73166bcce62dfa, 0x04eb983959a27938,
};

// m128_u2x8_uart1_lednop_pr_ce_u4   m128a_u2x8_uart1_lednop_pr_ce     m128a_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart1_lednop_pr_ce[] = {
  0xeeeeeda1d121b032, 0x77775575c815b896, 0x0985543da17af5f7, 0xe2fc77bbbbbbfc5a, 0x776c36caf2293219,
  0x304f8c048260aef2, 0xa7ca1ffe15d9fcad, 0xb34631c86df6e9fd, 0x6e4c0dfd414ce3d1, 0x2ce1e79c216de6e7,
  0xf09e12fc4361227b, 0x122270e87d8ddfa8, 0x24f72df5eb26cf6e, 0x6921c4903d67a8fd, 0xd1a43398b0162111,
  0xfeccf1d7a3ebc2b3, 0x0796b720b1f6a807, 0x9b7e06240bf6415a, 0x603bc0bf3c0809d9, 0x4a740667e6f36450,
  0x3e234870d537a94e, 0xaaa2d3574f43aa70, 0xf2b6ccee70c76ff7, 0x80f0cc377c252d4b, 0xe0eee3459eff10dc,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xdffc14d1f633b0e3, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x0b9cc59af3398b7e, 0x01bae7eb76689e4e,
};

/*
 * m128_u2x8_uart1_lednop_pr_ee_ce_u4 m128a_u2x8_uart1_lednop_pr_ee_ce
 * m128a_u2x8_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xdddddb43a243306a, 0xeeeeaae9eb83712d, 0xef92841b02f599ee, 0xa6369e9775e9b212, 0x55de76b66f27233f,
  0x8c048260aef2776b, 0xbffc2bb3f5bf304f, 0xc721b7dba7f69f9d, 0xf54652f38f46cd18, 0xe10b6f373be9f037,
  0xe21b0913d9670f3c, 0xbac000fd4784f097, 0x4f7cd9edc2444e1f, 0x5fd4795f7529dac7, 0xc57b7fd47c1b306b,
  0x384e1b875f62d314, 0xea0752135f4b632e, 0xbc31923268e7576e, 0xbdab1aaf1b1d79d3, 0xcbe701c762d32791,
  0x2551b044c8e1bd96, 0xf818902fd8598fba, 0xef02fcf02027666d, 0xd0199f9bcd914180, 0x8d21c354dea53929,
  0x8b4d5d3d0ea9c0f8, 0xdb33b9c31dbfdeaa, 0xc330ddf094b52fca, 0xbb8d167bfc437203, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xf05347d8cec38fe3, 0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a,
  0x7e4c5f59a279382e, 0x0000000000000002,
};

// m128a_u2x8_uart1_lednop_ee_hw
static const uint64_t ur_m128_u2x8_uart1_lednop_ee_hw[] = {
  0xbbbbb687451a18e2, 0xeeeeaaf9ad8be25b, 0xd85a331da0ba106e, 0x93f53341dd48a35c, 0x43720ad3b434cfdd,
  0x4f8c048260aef277, 0xea7bffac99fdf730, 0xa318e436fb74fed3, 0x4d56b4738e71e8d9, 0x83660d31f51e5665,
  0xec5a6ef8ac3dfa8f, 0xe96c65c709c370eb, 0x697ea171ac9a426b, 0x9d3bc31923268e75, 0x3c8ded58d56ba1d7,
  0xecb65f380e3b1699, 0xfba2551b047eb70d, 0x66df818902fd8010, 0x180ef02fcf020276, 0x929d0199f9bcd914,
  0x0f88d21c354dea53, 0xeaa8b4d5d3d0ea9c, 0x7e56d99dce455bfd, 0x9f1e1986ef84a5a9, 0x87bde50c2a44ad4e,
  0x761c7f197e627ff7, 0x7f81fbff829a3ec6, 0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x53c9c17398b35e67,
  0x000000016fb045f4,
};

/*
 * m128_u2x8_uart1_lednop_ee_ce_u4_hw m128a_u2x8_uart1_lednop_ee_ce_hw
 * m128a_u2x8_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x8_uart1_lednop_ee_ce_hw[] = {
  0x77776d0e8a34304a, 0xbbbaaba7ae0dc4b7, 0xbe4a106c0bd667bb, 0x98da7a5dd7a6c84b, 0x5ddcedaafc9c8cfe,
  0xf180904c15de4eef, 0xdbffeb267eb7e609, 0x8c721b7dba7f69f9, 0x7f54652f38f46cd1, 0x9c216fc873be9f03,
  0xfc4361227b2ce1e7, 0xf2a1a0ffa8f09e12, 0x74f7cd9edc2444e1, 0xb5fd4795f7529dac, 0x4c57b7fd47c1b306,
  0xe384e1b875f62d31, 0xeea0752135f4b632, 0x3bc31923268e7576, 0x1bdab1aaf1b1d79d, 0x6cbe701c762d3279,
  0xa2551b044c8e1bd9, 0xdf818902fd8598fb, 0x0ef02fcf02027666, 0x9d0199f9bcd91418, 0x88d21c354dea5392,
  0xa8b4d5d3d0ea9c0f, 0xadb33b9c31dbfdea, 0x3c330ddf094b52fc, 0x7bca1854895a9d3e, 0x38fe32fcc4ffef0f,
  0x03f7ff05347d8cec, 0x5c33d30be347a2ff, 0xdfa4a5b387138cb2, 0x9382e73166bcce62, 0x000005011392a8a7,
};

/*
 * m128_u2x8_uart1_dual_pr           m128_u2x8_uart1_dual_pr_u4        m128a_u2x8_uart1_dual
 * m128a_u2x8_uart1_dual_pr          m128a_u2x8_uart1_dual_pr_u4
 */
static const uint64_t ur_m128_u2x8_uart1_dual[] = {
  0xddddd1af44860aac, 0x77775e47a7b2a84d, 0xf1da0dda58b7aef7, 0xe7586ddddfa72ed5, 0xe3fa8c547c7865a8,
  0x0120982bbc9b22ee, 0x91b5148300cc13e3, 0x193ed22d67dd56a1, 0x0129dd3ee5f1030a, 0x0df7c5f4dfe6584a,
  0x759bd4753db0cac7, 0xe5c5e85244824819, 0x0c4aff3f7c117e53, 0x90f969a03770f851, 0x7cb8bbf92f97cb9f,
  0x7c88865ff2105a43, 0x0e784c3e45421968, 0x6662e72f6ebeffe8, 0x4fc89fe49f4c1615, 0x668c6390dbedd3fb,
  0x3c6477cb13d9c7a3, 0x6bd24389206d7dea, 0x87398b01758a69c5, 0x08ebc06abc370d18, 0xedb5f3da5403ff66,
  0x8e66566538b81e59, 0xbf031205fb27f33e, 0x1de05f9e0404eccd, 0x3a0333f379b22830, 0x11a4386a9bd4a725,
  0x5169aba7a1d5381f, 0xadb33b9c8ab7fbd5, 0x3c330ddf094b52fc, 0x3bb8d167bfc43720, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0xff05347d8cec38fe, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe73166bcce62dfa4,
  0x524d79f59a279382,
};

// m128a_u2x8_uart1_dual_pr_ee
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ee[] = {
  0x6eeeee8d7d435202, 0x777775e46975df42, 0xd740362fbee36d07, 0xad1211c774054e24, 0x7dd857bd6561f64c,
  0x8260aef24a53b971, 0xa8a4771f304f8c04, 0xf6916b3eeab50c8d, 0x4ee9f72f881850c9, 0x0e2e293f32c25009,
  0x7a8f6b7b0adf3840, 0x7a14912092069b73, 0xbfcfdf045f94f971, 0x341c0ddc3e144312, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x31458a8432d074a8, 0x9cbdba5affa039e1, 0x7f927d305855998b, 0x1c86df6e9fda7edd,
  0xad184fce3d1b3463, 0x07377a8f2b80d355, 0x377c56befd47c1b3, 0x32e384e1b875f62d, 0x52e04fcd2135f4b6,
  0x853146229cead2e6, 0xff6355ae875ec677, 0xece038ec5a76b23a, 0xa8d823f5b86f65de, 0xe8e66566013da0e2,
  0xdbf031205fb27f33, 0x01de05f9e0404ecc, 0x53a0333f379b2283, 0xf11a4386a9bd4a72, 0x55169aba7a1d5381,
  0xcadb33b9c8ab7fbd, 0xb3c330ddf094b52f, 0x1ddc68b3dfe21959, 0x9e985727eeaccdfc, 0x252d9c389c6592e1,
  0x17398b35e67316fd, 0x032141d16cd13c9c,
};

// m128a_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ee_u4[] = {
  0xbbba35e8a87f3202, 0xddd791a5d77d09bb, 0x00d8befb8db41ddd, 0x48471dd01538935d, 0xe57bfeb787d932b4,
  0x0aef24a53b8d4895, 0x4771f304f8c04826, 0x16b3eeab50c8da8a, 0x9f72f881850c9f69, 0xc527e6584a6024ee,
  0xed6f615be70801c5, 0x92241240d36e6f51, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x25f2f973f21f2683,
  0xfe420b486f97177f, 0xb150865a0e9510cb, 0xb74b5ff4073c2628, 0x38e60b0ab3317397, 0xdf6e9fda7edd7fe5,
  0x4fce3d1b34631c86, 0x7a8f2b80d355ad18, 0x56befd47c1b30737, 0x84e1b875f62d377c, 0x4fcd2135f4b632e3,
  0x46229cead2e652e0, 0x55ae875ec6778531, 0x38ec5a76b23aff63, 0x23f5b86f65deece0, 0x6566013da0e2a8d8,
  0x31205fb27f33e8e6, 0x05f9e0404eccdbf0, 0x333f379b228301de, 0x4386a9bd4a7253a0, 0x9aba7a1d5381f11a,
  0x33b9c8ab7fbd5516, 0x30ddf094b52fcadb, 0x8d167bfc437203c3, 0x44ad4eaccdfc1a3f, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0x42955493c9c17398,
  0x000000000005644a,
};

// m128a_u2x8_uart1_dual_pr_ce
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ce[] = {
  0xeeee8d7d41435202, 0xbbbaf261545f426e, 0xe9f7f6b42da9afbb, 0x6a356eee99129455, 0xb8beecb41d6528fd,
  0x02413057793705dc, 0x236a2901649827c6, 0x327da45acfbaad43, 0x0253ba7dcbe20614, 0x0cdf17ddafccb094,
  0xa9bd470b5b031f38, 0x5c5e852448248193, 0xc4aff3f7c117e53e, 0x1f2e5a03770f8510, 0x97177f25f2f973f2,
  0xed10cbfe420b486f, 0x3c2609f150865a01, 0x317397b7cadff407, 0xba5ff24fa60b0ab3, 0x8c6390dbedd3fb4f,
  0x00aefac439c7a366, 0xfcf3842dbcdcee03, 0x5770911387b5badf, 0xc1f9ee59ed89f9a0, 0x16921c490313fea3,
  0x1a310e7316028299, 0xfeccf1d780d5786e, 0x0f2d6e6be7b4a807, 0xf99f47332b329c5c, 0x7666df818902fd93,
  0x14180ef02fcf0202, 0x53929d0199f9bcd9, 0x9c0f88d21c354dea, 0xfdeaa8b4d5d3d0ea, 0x52fcadb33b9c31db,
  0x7bc13c330ddf094b, 0x37f07771a2cf7f88, 0xc69430a912b53ab3, 0x3f7c1347d8cec389, 0xc4e32c970cf4c2b9,
  0xaf3398b7e9296ce1, 0x416689e4e0b9cc59, 0x0000000000034913,
};

// m128a_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ce_u4[] = {
  0xbbba35e8a87fbb90, 0x7775e43f7ddd09bb, 0x55fd77a0fb5c2f77, 0xd17eeeeb4e3ac89f, 0x33ebfd5d9ba10d77,
  0x04c15de49ba77376, 0x51484e3e609f1809, 0xed22d67dd56a191b, 0x9dd3ee5f1030a193, 0xf8bc00fccb094c04,
  0xd479dbd85ad9c2b7, 0xd0a48904903dda9b, 0xfe7ef822fca7cb8b, 0x95006ee1f0a21895, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xcbee2a10cb412b22, 0x72f6e4ebfe80e784, 0xfca71cc16156662e, 0x90dbedd3fb4fcaef,
  0xfa9eb9c7a3668c63, 0xe10b7f00cece181b, 0xe21b0913d9670f3c, 0x35b986fd4784f097, 0xb13f367b70911387,
  0x313fea3c1f9ee5be, 0x602829916921c490, 0x0d5786e1a310e731, 0x7b4a807feccf1d78, 0xb329c5c0f2d6e6be,
  0x902fd93f99f47332, 0xfcf02027666df818, 0x9f9bcd914180ef02, 0xc354dea53929d019, 0x5d3d0ea9c0f88d21,
  0xb9c31dbfdeaa8b4d, 0xddf094b52fcadb33, 0x167bfc437203c330, 0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44,
  0x3ec6761c7f197e62, 0xa3d17f81fbff829a, 0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0x355493c9c17398b3,
  0x000000000d24cffc,
};

// m128a_u2x8_uart1_dual_pr_ee_ce
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ee_ce[] = {
  0x09bbbbba35f50c86, 0xffbbbbbaf21204dd, 0x9f7bb368076c1378, 0x9120fac8bb2dd4e4, 0xcf046752c8a74339,
  0x602413057793389d, 0x236a291c7939827c, 0x327da45acfbaad43, 0x0253ba7dcbe20614, 0x759f17643fccb094,
  0xf37a8f30db067c38, 0x717a1491209207fa, 0x12bfcfdf045f94f9, 0xf93aa00ddc3e1443, 0xb8bbf92f97cb9f90,
  0x48865ff2105a437c, 0xe1329e8a8432d0b7, 0x17397b7adfffa039, 0xfcff24fa60b0ab33, 0xc6390dbedd3fb4ff,
  0xefaa328b9c7a3668, 0x3842dbcdcee5700a, 0x0911387c6eec1fcf, 0x29dafc45319a0577, 0x0d9837bfd4795f75,
  0xd8b4c5315f51ea3e, 0xd2d8cb8e1386e1d7, 0x39d5db9001d484d7, 0x8ebca6af088a8c9a, 0xd3afe8ded58d578d,
  0x70decb726701c762, 0xfa399959e311f664, 0x36fc0c4817ec9fcc, 0xc077817e781013b3, 0x97ce80ccfcde0e4a,
  0xbdba414faa771653, 0x54e057063042d362, 0x52d4bf2b6cce9e87, 0x886566cf0cc377c2, 0xb337f07771a2cf7f,
  0x964b867a615c9fba, 0xcc5bf494b670e271, 0x44f2705ce62cd799, 0x00000004c11b8fb3,
};

// m128a_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xeee8d7a2a1fc746e, 0xeebc90cdfc3426ee, 0x7683bacadada6eee, 0xabedd75b0b2e2faf, 0x2117bc10f0ec1160,
  0x3eddc196b2a7069d, 0x04f8c048260aef27, 0x5a8646d4523e20f3, 0x0c2864fb48b59f75, 0xc253012774fb97c4,
  0xf382a478bf75bf32, 0xd9ca6f51d49361cd, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xe43e4f0081bb87c2,
  0xdf2e2efe4be5f2e7, 0x58fa2197fc841690, 0x1cf0992d45421968, 0x998b9cbdbcc37fd0, 0xdaefff29c7305855,
  0x4631c86df6e9fda7, 0x0dfd51e56ce3d1b3, 0x3ce10b7f00cef768, 0x97e21b0913d9670f, 0x7e41d5d7fd4784f0,
  0x1d2f9367b7091138, 0xe49ea3cacc7ca76b, 0x298adfcf51f06cc1, 0x5c709c370ebec5a6, 0xdc650ea426be96c6,
  0x677853146229ceae, 0x475fec6abc6c75ec, 0xbbdd9c071d8b4ed6, 0x0e2a8d8226470dec, 0xf33e8e6656659bda,
  0xeccdbf031205fb27, 0x28301de05f9e0404, 0xa7253a0333f379b2, 0x381f11a4386a9bd4, 0xfbd55169aba7a1d5,
  0xa5f95b66773863b7, 0x6e4078661bbe1296, 0xbf8347f1a2cf7f88, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7,
  0x3f7ff05347d8cec3, 0xc33d30be347a2ff0, 0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x008007566eaa9279,
};

// m128a_u2x8_uart1_dual_ee_hw
static const uint64_t ur_m128_u2x8_uart1_dual_ee_hw[] = {
  0xdddd1af451a3b46e, 0xeeebc8d2ebbe84dd, 0x806c5f7dc6da0eee, 0x24238ee80a9c49ae, 0xf5f68d3ac3ec995a,
  0x4c15de494a7779af, 0x148ee3e609f18090, 0xd22d67dd56a191b5, 0xdd3ee5f1030a193e, 0xc5c527e6584a7419,
  0x51ed6f615be70801, 0x4292241240d36e6f, 0xf9fbe08bf29f2e2f, 0x8381bb87c2886257, 0x7f25f2f973f21f26,
  0xcbfe420b486f9717, 0x28b150865a0e9510, 0x97b74b5ff4073c26, 0xc91ba60b0ab33173, 0x436fb74fed3f6ebf,
  0x8c27e71e8d9a318e, 0x9bbd4795c069aad6, 0xbe2b5f7ea3e0d983, 0x71c270dc3afb169b, 0x7027e6909afa5b19,
  0x98a3114e75697329, 0xb1aad743af633bc2, 0x701c762d3b591d7f, 0x6c11fadc37b2ef76, 0x7332b3009ed07154,
  0xf818902fd93f99f4, 0xef02fcf02027666d, 0xd0199f9bcd914180, 0x8d21c354dea53929, 0x8b4d5d3d0ea9c0f8,
  0x6d99dce455bfdeaa, 0xe1986ef84a5a97e5, 0xde50c2a44ad4e9f1, 0xc7f197e627ff787b, 0x1fbff829a3ec6761,
  0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316, 0x0000aed522c9453c,
};

// m128_u2x8_uart1_dual_ee_ce_u4_hw  m128a_u2x8_uart1_dual_ee_ce_hw    m128a_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u2x8_uart1_dual_ee_ce_hw[] = {
  0xeeee8d7a28d0f2df, 0xeeebc90cdfc3426e, 0xf7683bacadada6ee, 0x0abedd75b0b2e2fa, 0xb42da3c10f0ec116,
  0x77939f6eed20db4f, 0x1079827c60241305, 0xcfbaad43236a291f, 0xcbe20614327da45a, 0x6fccb094e833ba7d,
  0xd8737ce0a91e2fdd, 0x049036729bd47524, 0x22fca7cb8bd0a489, 0xe1f0a21895fe7ef8, 0x7cb9f90f93c0206e,
  0x05a437cb8bbf92f9, 0x865a163e8865ff21, 0xdff4073c264b5150, 0x16156662e72f6f30, 0x3fb4fb5dff92374c,
  0x7a3668c6390dbedd, 0xdeed01bfaa3cad9c, 0x9670f3ce10b7e439, 0x784f097e21b0913d, 0x2444e1f9bea91fd4,
  0xf29dac74be4d9edc, 0xc1b307927a8f2b31, 0xfb1698a62b7f3d47, 0xfa5b1971c270dc3a, 0xa73abb71943a909a,
  0xb1d7b19de14c5188, 0x2d3b591d7fb1aaf1, 0x1c37b2ef76701c76, 0x966f6838aa360899, 0x17ec9fccfa399959,
  0x781013b336fc0c48, 0xcde6c8a0c077817e, 0xaa6f529c94e80ccf, 0x9e8754e07c4690e1, 0xe18edfef5545a6ae,
  0xf84a5a97e56d99dc, 0xa44ad4e9f1e1986e, 0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0xd58cd1453c9c1739, 0x0000000000000075,
};

// m128_u2x12_uart0_noled_pr         m128a_u2x12_uart0_noled           m128a_u2x12_uart0_noled_pr
static const uint64_t ur_m128_u2x12_uart0_noled[] = {
  0xbbaeed017acdfc4f, 0x77557eb05c1e25bb, 0xf68e3d2f7be2f777, 0x873777693e1646d3, 0xe3f0a2e2486cfdde,
  0x7c602413057793bb, 0x917fc2a0e7d31982, 0x9aede6825db7989f, 0xdf2dac169da12704, 0x0e248199ef51ded1,
  0x580b7ba6b86d7d49, 0xc5d7864151c351cc, 0x42b1d3dc72c608eb, 0xa4d1d18a4f2d3a51, 0x4a5e537ae7e28f1c,
  0x0ea9c0fcdba41abd, 0xadfef5545a70173d, 0x296a5f95b6670ea2, 0xc432b3678661bbe1, 0x663c81a3f8d167bf,
  0x2c970cf4c2b93f75, 0x98b7e9296ce1c4e3, 0xe9e4e0b9cc59af33, 0x0000003e40797c46,
};

// m128a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_m128_u2x12_uart0_noled_pr_u4[] = {
  0xbaeed01744863f3e, 0x7557eb05b3e25bbb, 0x90e2d75fac477777, 0x5b77745fcb2b77f8, 0x41e4417f25ad284d,
  0xf180904c15de4ee8, 0x10ffe15d9f9ba609, 0x9aede6825db7989f, 0x7cb09f169da12704, 0x3892063efd47afe7,
  0xb016594c37d67d24, 0xa3ebc290d199e398, 0x3ba6a807fecc11d7, 0x452a79381e59eda8, 0x72934746293cb4e9,
  0xf529794deb9f8a3c, 0xf43aa703f36e906a, 0x8ab7fbd55169c05c, 0x84a5a97e56d99c3a, 0xdfe21b901e1986ef,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3,
  0x67316fd252d9c389, 0xcd13c9c17398b35e, 0x000000007c9c69f2,
};

// m128_u2x12_uart0_noled_pr_ee_u4   m128a_u2x12_uart0_noled_pr_ee     m128a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart0_noled_pr_ee[] = {
  0xeebbb405d121be4a, 0xddd55c6130a896ee, 0x3b1e33717e9bbddd, 0xc217439bbb3fc5bd, 0x8ed11f1ec6c2d1e3,
  0x602413057793ba6e, 0xbff0aecf9759827c, 0xede6825db7989ff3, 0x8e6e169da127049a, 0x8f9ea3cae719aad6,
  0xef8ad00f51f06cc1, 0x5c709c370ebec5a6, 0x171ac9a426be96c6, 0x49a4627ce75697c9, 0x3b1aad743af3a778,
  0xce038ec5a6f691e3, 0x46c11fadc37b2d97, 0x969d28a004e9cb25, 0xf1478e5268e8c527, 0xd20d5ea52f29bd73,
  0x380b9e8754e07e6d, 0x33875156ff7aaa2d, 0x30ddf094b52fcadb, 0x8d167bfc437203c3, 0x4895a9d599bf83bb,
  0xcc4ffef0f7bca185, 0x5347d8cec38fe32f, 0xbe347a2ff03f7ff0, 0x387138cb25c33d30, 0x166bcce62dfa4a5b,
  0x2bf0d9a279382e73, 0x00000000000013af,
};

// m128_u2x12_uart0_noled_pr_ce_u4   m128a_u2x12_uart0_noled_pr_ce     m128a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart0_noled_pr_ce[] = {
  0xdd77680ba2431768, 0xeeaae9ebb2712ddd, 0x2f623a56f419eeee, 0x8b8eeeef37a11a9c, 0x599b62b2282904c2,
  0x4f8c048260aef277, 0xdc9ffe15d9f90f30, 0x935dbcd04bb6f313, 0x1bfae482d3b424e0, 0xcf3842dbcdcec3d8,
  0x25f886c244f659c3, 0xe1d36e76ff51e13c, 0x5bebd64d9edc2444, 0x9206693d476be9ee, 0x731602ef7cf52438,
  0x3af47d78521a333c, 0xe50774d500ffd99e, 0xa74a2953c9c0f2d6, 0x51e3949a3a3149e5, 0x8357a94bca6f5cfc,
  0x02e7a1d5381f9b74, 0xc3a31dbfdeaa8b4e, 0x6ef84a5a97e56d99, 0x8b3dfe21b901e198, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0x1a3d17f81fbff829, 0x389c6592e19e985f, 0x35e67316fd252d9c,
  0x87ecd13c9c17398b, 0x000000000006ebb0,
};

/*
 * m128_u2x12_uart0_noled_pr_ee_ce_u4 m128a_u2x12_uart0_noled_pr_ee_ce
 * m128a_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x12_uart0_noled_pr_ee_ce[] = {
  0xdd77680ba243173e, 0x77557cd6a6712ddd, 0xa29bbd837b707777, 0xbe163376c9ad0b8d, 0x55e52947e5df25a0,
  0x02413057793ba9f7, 0xfe15d9fdda9827c6, 0x79a0976de62798ff, 0x21c5a76849c126bb, 0xb79b9dc56037f547,
  0x8489ecb3879e7085, 0x83fea3c2784bf10d, 0x367b70911387ca86, 0x1e560a4a76b1d3df, 0x5f7a8f83660e32f5,
  0xc370ebec5a6298ae, 0xea426be96c65c709, 0x348c4f9ceaedd920, 0xc6abc6c75e74ef09, 0x80e3b169bda478ce,
  0xd8226470decb65f3, 0xd3a5142cdd3964a8, 0x28f1ca4d1d18a4f2, 0x41abd4a5e537ae7e, 0x0173d0ea9c0fcdba,
  0xe1d18edfef5545a7, 0x377c252d4bf2b6cc, 0x459eff10dc80f0cc, 0x256a75666fe0eee3, 0x13ffbc3def286152,
  0xd1f633b0e3f8cbf3, 0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0xf056689e4e0b9cc5,
  0x0000000000009f83,
};

// m128a_u2x12_uart0_noled_ee_hw
static const uint64_t ur_m128_u2x12_uart0_noled_ee_hw[] = {
  0xebbb405d146851eb, 0xdd55c6130a896eee, 0xb1e33717e9bbdddd, 0x217439bbb3fc5bd3, 0x994ed2946c2d1e3c,
  0x8c048260aef27751, 0x3bffac99f2eb304f, 0xaede6825db7989ff, 0x68e6e169da127049, 0x18f9ea3cae719aad,
  0x6ef8ad00f51f06cc, 0x65c709c370ebec5a, 0x9171ac9a426be96c, 0x849a4627ce75697c, 0x33b1aad743af3a77,
  0x7ce038ec5a6f691e, 0x546c11fadc37b2d9, 0x7969d28a004e9cb2, 0x3f1478e5268e8c52, 0xdd20d5ea52f29bd7,
  0xd380b9e8754e07e6, 0xb33875156ff7aaa2, 0x330ddf094b52fcad, 0xca1854895a9d3e3c, 0xfe32fcc4ffef0f7b,
  0xf7ff05347d8cec38, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x000b7edff868a793,
};

/*
 * m128_u2x12_uart0_noled_ee_ce_u4_hw m128a_u2x12_uart0_noled_ee_ce_hw
 * m128a_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x12_uart0_noled_ee_ce_hw[] = {
  0xd77680ba28d01107, 0x7557cd6a6712dddd, 0x29bbd837b7077777, 0xe163376c9ad0b8da, 0x2c5f73ee5df25a0b,
  0x602413057793ba93, 0xfffac99fdda9827c, 0xdbcd04bb6f313cc7, 0x390e2d3b424e0935, 0x5bf21cee2b01bfaa,
  0xd8489ecb3879e708, 0x759fea3c2784bf10, 0xf9b3db84889c3b3e, 0xa8f2b05253b58e9e, 0x72fbd47c1b307197,
  0x4e1b875f62d314c5, 0x0752135f4b632e38, 0x49a4627ce7576ec9, 0x76355e363af3a778, 0x9c071d8b4ded23c6,
  0x46c1132386f65b2f, 0x969d28a166e9cb25, 0xf1478e5268e8c527, 0xd20d5ea52f29bd73, 0x380b9e8754e07e6d,
  0x670e8c76ff7aaa2d, 0x61bbe1296a5f95b6, 0x430a912b53a7c786, 0xc65f989ffde1ef79, 0xffe0a68fb19d871f,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4, 0x014049800514f270,
};

// m128_u2x12_uart0_lednop_pr        m128a_u2x12_uart0_lednop          m128a_u2x12_uart0_lednop_pr
static const uint64_t ur_m128_u2x12_uart0_lednop[] = {
  0xbbaeed017acdfc4f, 0xbbaabf582bf225bb, 0xa60da697bdf17bbb, 0xdec1f777693e165a, 0xbbe3f0a2e2486cfd,
  0x827c602413057793, 0x4f5f3fc2a0e7e719, 0x824d76f3412edbcc, 0xf8ef96d60b4ed093, 0x490e248199ef51da,
  0xe62c05bdd35c3a97, 0x3af175e13488f588, 0x5142b21ab71cb182, 0xd1d18a60404f2d3a, 0xf29b19d038a3cb74,
  0xd3c3159486e2ea72, 0x9e8754e04cf8a042, 0x77c252d4bf2b6cce, 0xcf7f886566cf0cc3, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0x5e67316fd252d9c3, 0xf88dd3c9c17398b3, 0x00000000007c80f2,
};

// m128a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_m128_u2x12_uart0_lednop_pr_u4[] = {
  0xdd77680ba24328ae, 0xbaabf5822f712ddd, 0xbbf0fe8cd267bbbb, 0x307dddd17f2cad9f, 0x68bd3b1dcbb75f5a,
  0x3e30120982bbc9dd, 0xd7cffc2bb3f38cc1, 0x935dbcd04bb6f313, 0xef9613e2d3b424e0, 0x871240c7dfa8eb3c,
  0xc580b2ca61f3a0a4, 0xbd1f5e1a968cd21c, 0x895075403ff6608e, 0x4a28fa3740f2cf6e, 0x9a3a314c0809e5a7,
  0xf29b19d038a3c03e, 0xa9c0959486e2ea72, 0x7fbd551696173d0e, 0x52fcadb33b4e38ab, 0x37203c330ddf094b,
  0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0x03f7ff05347d8cec, 0x5c33d30be347a2ff,
  0xdfa4a5b387138cb2, 0x9382e73166bcce62, 0x0000f93a3c9d9a27,
};

// m128_u2x12_uart0_lednop_pr_ee_u4  m128a_u2x12_uart0_lednop_pr_ee    m128a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart0_lednop_pr_ee[] = {
  0xeebbb405d121af43, 0xddd55c61104896ee, 0x7a636f619eb4bddd, 0x10ba1cddd9fe2f0a, 0x5f7d39c58bcd805e,
  0x02413057793baec9, 0xff0aecfb059827c6, 0xde6825db7989e70f, 0xe6e169da127049ae, 0xf9ea3cacf59aad68,
  0xf8afa8f51f06cc18, 0xc709c370ebec5a6e, 0x71ac9a426be96c65, 0xc34621ce75697051, 0x6355ae875e74ef0d,
  0x01c762d36be4720b, 0x608fd6e1bd96cbe7, 0x9d28a004a0ee9aa3, 0xfa68e8c530202796, 0xcbca6c6740e28f00,
  0x3aa70256521b8ba9, 0xadfef5545a585cf4, 0x2d4bf2b6cced38e2, 0x10dc80f0cc377c25, 0x666fe0eee3459eff,
  0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xfc0fdffc14d1f633, 0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32,
  0x9e4e0b9cc59af339, 0x0000013afc687668,
};

// m128_u2x12_uart0_lednop_pr_ce_u4  m128a_u2x12_uart0_lednop_pr_ce    m128a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart0_lednop_pr_ce[] = {
  0xeebbb405d121b768, 0xbbaaba7ac90896ee, 0xd4c99e9bbd3f7bbb, 0x2663bbbbcde84b26, 0xd29c3d8d29d62b68,
  0x13e30120982bbc9d, 0xf74bff85767ca5cc, 0x24d76f3412edbcc4, 0x06feb920b4ed0938, 0x79e7085b79b9dbf8,
  0x84bf10d8489ecb38, 0x270eff3107ea3c27, 0x72df5eb26cf6e122, 0x71240cd27a8fcf4f, 0x90e62c058c89ea48,
  0x3c75e8faf0d4b466, 0xadd44a83aa01ffb3, 0xcb4e9451f46e81e5, 0x807d347462981013, 0xd4e5e53633a07147,
  0x7a1d53812b290dc5, 0xcc76ff7aaa2d2c2e, 0x252d4bf2b6cced38, 0xff10dc80f0cc377c, 0x75666fe0eee3459e,
  0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e,
  0x689e4e0b9cc59af3, 0x00000001baf79276,
};

/*
 * m128_u2x12_uart0_lednop_pr_ee_ce_u4 m128a_u2x12_uart0_lednop_pr_ee_ce
 * m128a_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdd77680ba2431bc1, 0x77557cd658312ddd, 0x71b4bd477b13b777, 0x3e163376c9ad14cd, 0xd13da705a0dcbbb2,
  0xc048260aef2774ab, 0x7fe15d9fd35304f8, 0xdbcd04bb6f313ffe, 0x390e2d3b424e0935, 0x2dbcdcece081bfaa,
  0x6c244f659c3cf384, 0x737ff51e13c25f88, 0xf9b3db84889c3a92, 0xa8f2b40253b58e9e, 0xbd2bd47c1b307197,
  0x270dc3afb1698a62, 0x83a909afa5b1971c, 0x6e1a310e73abb702, 0xb6355e363af3a778, 0x701c762d36be4720,
  0x1b044c8e1bd96cbe, 0xb4e9450b350774d5, 0x07d347462981013c, 0x4e5e53633a071478, 0xa1d53812b290dc5d,
  0xc76ff7aaa2d2c2e7, 0x52d4bf2b6cced38c, 0xf10dc80f0cc377c2, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x89e4e0b9cc59af33,
  0x00000004fc4b6966,
};

// m128a_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_m128_u2x12_uart0_lednop_ee_hw[] = {
  0x75dda02e8a343a31, 0xeeaae3088244b777, 0xd31b7b0cf5a5eeee, 0x85d0e6eecff17853, 0x9eb6b4ec5e6c02f0,
  0x602413057793bb93, 0x7ffd64cfb059827c, 0x76f3412edbcc4f38, 0x47370b4ed093824d, 0xc7cf51e567acd56b,
  0x77c57d47a8f83660, 0x2e384e1b875f62d3, 0x8b8d64d2135f4b63, 0x6e1a310e73ab4b82, 0x5b1aad743af3a778,
  0x380e3b169b5f2390, 0x1b047eb70decb65f, 0xb4e94500250774d5, 0x07d347462981013c, 0x4e5e53633a071478,
  0xa1d53812b290dc5d, 0x156ff7aaa2d2c2e7, 0x296a5f95b66769c7, 0x2b53a7c78661bbe1, 0x9ffde1ef79430a91,
  0x8fb19d871fc65f98, 0x68f45fe07effe0a6, 0xe271964b867a617c, 0xd799cc5bf494b670, 0xa6b514f2705ce62c,
  0x0000000000002df1,
};

/*
 * m128_u2x12_uart0_lednop_ee_ce_u4_hw m128a_u2x12_uart0_lednop_ee_ce_hw
 * m128a_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xebbb405d14687f3e, 0xbaabe6b2c1896eee, 0x8da5ea3bd89dbbbb, 0xf0b19bb64d68a66b, 0x7bf7a3af06e5dd91,
  0x30120982bbc9dd08, 0xcffeb267f4d4c13e, 0xbb79a0976de627ff, 0x4721c5a76849c126, 0x0b7e439d9c1037f5,
  0x1b0913d9670f3ce1, 0x8b91fd4784f097e2, 0xdf367b709113874a, 0xf51e56804a76b1d3, 0x57a57a8f83660e32,
  0x84e1b875f62d314c, 0x50752135f4b632e3, 0x0dc34621ce7576e0, 0x16c6abc6c75e74ef, 0xce038ec5a6d7c8e4,
  0xa3608991c37b2d97, 0x969d28a166a0ee9a, 0x00fa68e8c5302027, 0xa9cbca6c6740e28f, 0xf43aa70256521b8b,
  0x98edfef5545a585c, 0x4a5a97e56d99da71, 0x4ad4e9f1e1986ef8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0x1a3d17f81fbff829, 0x389c6592e19e985f, 0x35e67316fd252d9c, 0x717d453c9c17398b, 0x0000000000002808,
};

/*
 * m128_u2x12_uart0_dual_pr          m128_u2x12_uart0_dual_pr_u4       m128a_u2x12_uart0_dual
 * m128a_u2x12_uart0_dual_pr         m128a_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_m128_u2x12_uart0_dual[] = {
  0xddf17c7e890ddb75, 0x775e4b263da84ddd, 0xa764ed4e5a10f777, 0x8a76eee989582d89, 0xf2af745eb8bd94af,
  0x2413057792d15dc3, 0x36a291d1f9827c60, 0x27da45acfbaad432, 0x253ba7dcbe206143, 0x6eb8becefccb0940,
  0x737a8f813612b8e1, 0xb8bd0a4890490329, 0x895fe7ef822fca7c, 0x3e433606ee1f0a21, 0x2e2efe4be5f2e7e4,
  0x222197fc841690df, 0x3c265af150865a19, 0x317397b70f7ff407, 0xd00ff24fa60b0ab3, 0x935dbcd04bb6f313,
  0x77cb73c2d3b424e0, 0x4389206f6bd47b86, 0xc580bac537c9bdd2, 0xe0355e1c168d059c, 0x8c82aa01ffb30475,
  0xcacd357c0f2cf6c3, 0x969d28a4fe67d1cc, 0x00fa68e8c5302027, 0xa9cbca6c6740e28f, 0xf43aa70256521b8b,
  0xe2adfef5545a585c, 0x252d4bf2b6cced38, 0xff10dc80f0cc377c, 0x75666fe0eee3459e, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e, 0x689e4e0b9cc59af3,
  0x0000000524ce43f6,
};

// m128a_u2x12_uart0_dual_pr_ee
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ee[] = {
  0xddf17c7f5050cf68, 0xeebc834d13e84ddd, 0x5b8d5a843a4deeee, 0xd024775b11d6aaf7, 0x58219d577a6b957a,
  0x15de4bb2771c1156, 0x83afa609f180904c, 0x2d67dd56a191b514, 0x3ee5f1030a193ed2, 0xe377e6584a0129dd,
  0xe20d835d9c10fb8b, 0x92241240f4d4dea3, 0xfbe08bf29f2e2f42, 0x01bb87c2886257f9, 0x92f97cb9f90f9525,
  0xff2105a437cb8bbf, 0xe8a8432d090e8865, 0xdbc72ffa039e137e, 0x27d305855998b9cb, 0xd04bb6f313d4f7f9,
  0x42d3b424e0935dbc, 0xa8f2bdbf355ad1e9, 0xb32bd47c1b307f27, 0x270dc3afb169bbe2, 0x7e6909afa5b1971c,
  0x3278e756973d5702, 0x5ae875ec677846fa, 0x1d8b4d67a3487635, 0x7eb70decbbdd9c07, 0x5980520b8cd51b04,
  0xd3a5149fccfa3999, 0x1f4d1d18a60404f2, 0x39794d8ce81c51e0, 0x8754e04aca437175, 0x55bfdeaa8b4b0b9e,
  0xa5a97e56d99da71c, 0xc43de09e1986ef84, 0x599bf83bb8d167bf, 0xc4e34a1854895a9d, 0x5c9fbe09a3ec6761,
  0x70e271964b867a61, 0x2cd799cc5bf494b6, 0xc864b344f2705ce6, 0x000000000000000a,
};

// m128a_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ee_u4[] = {
  0xddddf17c7e890c86, 0xeeeebc834d3ee84d, 0xd67db2b500ea27ee, 0xe7dad024775eb362, 0x08ce9c2d4eae7517,
  0x48260aef24373b9e, 0xda8a43c03304f8c0, 0x9f6916b3eeab50c8, 0x94ee9f72f881850c, 0x41c5daeff32c2500,
  0x9bd47d35b07f870c, 0xc5e8524482481ffc, 0x4aff3f7c117e53e5, 0xf2bc303770f8510c, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0xc2680d150865a0e4, 0x17397b78adff4073, 0x05ff24fa60b0ab33, 0x6bb79a0976de627b,
  0x5a30505a76849c12, 0x0d6bfa8f2bd2a6ab, 0x6ef8ae5f7a8f8366, 0x65c709c370ebec5a, 0x45c0719a426be96c,
  0x567a36be39d5a5fe, 0x96355ae875e53578, 0x9c071d8b4d05a334, 0xb8d62fadc37b2dc9, 0x94527f33e8e66566,
  0x1e7462981013cb4e, 0x5f536253f7ce81c5, 0xbc502169bd575486, 0x56d99d3d0ea9c0ba, 0x1e1986ef84a5a97e,
  0x1ddc68b3dfe21b90, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xff829a3ec6761c7f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x7398b35e67316fd2, 0x0564ab2acd13c9c1,
};

// m128a_u2x12_uart0_dual_pr_ce
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ce[] = {
  0xeef8be3fd82432db, 0x775e4866a3f426ee, 0xd7087bb37b933777, 0xd8beeeed863b55a1, 0x330a5f5daebdda27,
  0x413057792539dc3c, 0xd4522e4a9827c602, 0xfb48b59f755a8646, 0xa774fb97c40c2864, 0xbe2e87df99612804,
  0xbd477f9b0c40706b, 0x5e85244824818689, 0xaff3f7c117e53e5c, 0x264303770f8510c4, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x26a95150865a1f39, 0x7397b7d9dff4073c, 0x3ff24fa60b0ab331, 0xbb79a0976de62794,
  0xf59c45a76849c126, 0x7085b79b9dfee037, 0xf10d8489ecb3879e, 0xeed26dfea3c2784b, 0x589f9b3db84889c3,
  0x0d05fa8fd04f72df, 0x2c054c6d6a487124, 0x01aaf0e0b4682ce6, 0x6415500ffd99e3af, 0x959a6af81e5adc1c,
  0x2d3a5149fccfa399, 0x01f4d1d18a60404f, 0x539794d8ce81c51e, 0xe8754e04aca43717, 0x31dbfdeaa8b4b0b9,
  0x94b52fcadb33b4e3, 0xf887bc13c330ddf0, 0xab337f07771a2cf7, 0x389c69430a912b53, 0x2b93f7c1347d8cec,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x24c636689e4e0b9c, 0x000000000000000d,
};

// m128a_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ce_u4[] = {
  0xdddf17c7e890cf68, 0xeeebc90cfaee84dd, 0x8d5f6b547f500eee, 0x75ec5f7774a734ed, 0xb8e08ab01f19d568,
  0x8c048260aef26c4b, 0x0c8da8a45c95304f, 0x50c9f6916b3eeab5, 0x50094ee9f72f8818, 0xe13b7c5ed6ff32c2,
  0x8fcdea3eed6c136c, 0xe5c5e85244824819, 0x0c4aff3f7c117e53, 0x21f235b03770f851, 0xf97177f25f2f973f,
  0x52910cbfe420b486, 0x73c268f7150865a1, 0x3317397b7d9dff40, 0x7943ff24fa60b0ab, 0x126bb79a0976de62,
  0x037f5c905a76849c, 0x3cf3842dbcdcecca, 0xc25f886c244f659c, 0x4e1d36e76ff51e13, 0xe5bebd64d9edc244,
  0xe24819a4f51f9e9e, 0x4398b0177baff490, 0xf1d7a3ebc282d19a, 0x665663a33db8e58c, 0x3cb4e94527f33e8e,
  0x8f2dd34746298101, 0x8ba9cbca6c6740e2, 0x98c10b4f0c56521b, 0x5b6674f43aa70267, 0x78661bbe1296a5f9,
  0x7771a2cf7f886e40, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfe0a68fb19d871fc, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0xce62cd799cc5bf49, 0x6925d5bb344f2705,
};

// m128a_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ee_ce[] = {
  0xddddf17c7f50cf68, 0x77775e45a1c2e84d, 0xdecdd6b66d36c137, 0xaed15eb6e8432c44, 0x5583c333a1f96829,
  0x13057793f69dc704, 0x1489aa49827c6024, 0xd22d67dd56a191b5, 0xdd3ee5f1030a193e, 0x8bdc8fe6584a0129,
  0x8fcb5b066f9c12a3, 0x1491209207d8337a, 0xcfdf045f94f9717a, 0x580ddc3e144312bf, 0xf92f97cb9f90f977,
  0x5ff2105a437cb8bb, 0x048a8432d0d36886, 0xbdbffcffa039e136, 0x927d305855998b9c, 0xcd04bb6f313c9d7f,
  0x0c2d3b424e0935db, 0xcdcef2b00aefaa38, 0x743ec6efcf3842db, 0x45319a0577091138, 0x17d4795e9529dafc,
  0x62b3d7d47c1b3079, 0x1c270dc3afb1698a, 0x97c3a909afa5b197, 0x786d6475fce7576e, 0x3eec6abc6c75e535,
  0x93380e3b16988746, 0x9e3190532386f65b, 0x3a5149fccfa39995, 0xf4d1d18a60404f2d, 0x9794d8ce81c51e01,
  0x754e04aca4371753, 0xdbfdeaa8b4b0b9e8, 0xb52fcadb33b4e331, 0x1959b3c330ddf094, 0xcdfc1ddc68b3dfe2,
  0x92e19e985727eeac, 0x16fd252d9c389c65, 0x3c9c17398b35e673, 0x0000013043852cd1,
};

// m128a_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0x7c5f1fa2a1fe022f, 0x5e469657ba137777, 0x26f65934e0b77777, 0x9c5bb5a40399b9b4, 0x598afe15c5b4f74e,
  0xabddd48c4438d4e9, 0x04f8c048260aef24, 0xad43236a2914fc33, 0x0614327da45acfba, 0x61298093ba7dcbe2,
  0x09c2e87c5dd51f99, 0xf2a26f51c113b030, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xe43e5c3f81bb87c2,
  0xdf2e2efe4be5f2e7, 0x0cda2197fc841690, 0x39e1350fc5421968, 0x3317397b7c6effa0, 0xcedffe538e60b0ab,
  0x26bb79a0976de627, 0xf546c145a76849c1, 0xc216fe019d85a037, 0xc4361227b2ce1e79, 0xd0dd51fa8f09e12f,
  0x97c9b3db84889c3d, 0x8fa8f2b91253b58e, 0x62beebd47c1b3069, 0x1c270dc3afb1698a, 0x1ea3a909afa5b197,
  0xbc237d193c73abb7, 0x4876355e363af633, 0xdd9c071d8b4d67a3, 0x6a8d8226470decbb, 0x7d1cccaccb3905c6,
  0x02027969d28a4fe6, 0x0e28f00fa68e8c53, 0x21b8ba9cbca6c674, 0xa585cf43aa702565, 0x9da7198edfef5545,
  0x86ef84a5a97e56d9, 0x68b3dfe21b901e19, 0x256a75666fe0d1fc, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3,
  0x8d1e8bfc0fdffc14, 0x1c4e32c970cf4c2f, 0x9af3398b7e9296ce, 0xdaaaa49e4e0b9cc5, 0x0000000000200345,
};

// m128a_u2x12_uart0_dual_ee_hw
static const uint64_t ur_m128_u2x12_uart0_dual_ee_hw[] = {
  0x7777c5f1fa28d086, 0xbbbaf20d344fa137, 0xdd6e356a10e937bb, 0xeb4091dd6c475aab, 0x4675aa755de9ae55,
  0x413057792ec9dcf0, 0xd4520ebe9827c602, 0xfb48b59f755a8646, 0x6774fb97c40c2864, 0xee2f8ddf996129d0,
  0x7a8f88360d767043, 0xbd0a48904903d353, 0x5fe7ef822fca7cb8, 0x549406ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x4dfba2a10cb4243a, 0xe72f6f1cbfe80e78, 0x7f92374c16156662, 0xdbcd04bb6f313d4f,
  0x1e942d3b424e0935, 0xf27a8f2bdbf355ad, 0xbe2b32bd47c1b307, 0x71c270dc3afb169b, 0x7027e6909afa5b19,
  0x6fa3278e756973d5, 0x6355ae875ec67784, 0xc071d8b4d67a3487, 0xb047eb70decbbdd9, 0x9995980520b8cd51,
  0x4f2d3a5149fccfa3, 0x1e01f4d1d18a6040, 0x17539794d8ce81c5, 0xb9e8754e04aca437, 0x71c55bfdeaa8b4b0,
  0xf84a5a97e56d99da, 0xa44ad4e9f1e1986e, 0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x8d2463453c9c1739, 0x0000000000000576,
};

// m128_u2x12_uart0_dual_ee_ce_u4_hw m128a_u2x12_uart0_dual_ee_ce_hw   m128a_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u2x12_uart0_dual_ee_ce_hw[] = {
  0x77c5f1fa28d1ac4f, 0x75e469657ba13777, 0x426f65934e0b7777, 0xe9c5bb5a40399b9b, 0xdfed0fe15c5b4f74,
  0xde4957bb83ebf072, 0xf86609f180904c15, 0x9f755a8646d45229, 0x97c40c2864fb48b5, 0x1f996129d06774fb,
  0xb03009c2e87c5dd5, 0x1240f2a26f51c113, 0x8bf29f2e2f429224, 0x87c2886257f9fbe0, 0xf2e7e43e5c3f81bb,
  0x1690df2e2efe4be5, 0x19680cda2197fc84, 0xffa039e1350fc542, 0xb0ab3317397b7c6e, 0xf313e76ffc91ba60,
  0x24e0935dbcd04bb6, 0xd01bfaa360a2d3b4, 0x879e7085bf21cec2, 0x784bf10d8489ecb3, 0x1387672e8ffea3c2,
  0x76b1d2f9367b7091, 0x660d31f51e57224a, 0x2d314c57dd7a8f83, 0xb632e384e1b875f6, 0x7576e3d4752135f4,
  0x5ec677846fa3278e, 0xacf4690ec6abc6c7, 0xbd977bb380e3b169, 0x20b8cd51b044c8e1, 0x49fccfa399959967,
  0xd18a60404f2d3a51, 0xd8ce81c51e01f4d1, 0x04aca43717539794, 0xeaa8b4b0b9e8754e, 0xcadb33b4e331dbfd,
  0xe3c330ddf094b52f, 0xf7bca1854895a9d3, 0xc38fe32fcc4ffef0, 0xf03f7ff05347d8ce, 0x25c33d30be347a2f,
  0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x000000ebace2fa8a,
};

// m128_u2x12_uart1_noled_pr         m128a_u2x12_uart1_noled           m128a_u2x12_uart1_noled_pr
static const uint64_t ur_m128_u2x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0x777557382b07896e, 0xbab0716d69a35f77, 0x245e0fbbba7833dd, 0x4eec2f5a3c7a0942,
  0xa609f180904c15de, 0xda7c14ff0a839fd2, 0xc721bf9bda956e9f, 0xdf2c90f38f46cd18, 0x0e24819a4f51c439,
  0x2c05bdd35acd7d49, 0xe2ebc320a8d41ce6, 0x6158e9ee39630475, 0xf39d99b7e06240bf, 0x7ceccfcde603bc0b,
  0xd5754865f536253f, 0x754e05cdc502169b, 0x252d4bf2b6cce9e8, 0xf886566cf0cc377c, 0xacc790347f1a2cf7,
  0x6592e19e985727ee, 0x7316fd252d9c389c, 0xdd3c9c17398b35e6, 0x00000007c8371f88,
};

// m128a_u2x12_uart1_noled_pr_u4
static const uint64_t ur_m128_u2x12_uart1_noled_pr_u4[] = {
  0xbbb686bc1a243762, 0xddd55ce0bc7e25bb, 0x6f26adb006971ddd, 0x4777eeeec44489f1, 0xefd3837855c1266c,
  0x09f180904c15de4e, 0x3f38ffe15d9fea26, 0x90dfcded4ab74fed, 0x9610f9c7a3668c63, 0x8920682fd47e80ef,
  0xc0596532636b5243, 0xa3ebc35fd1eb0e62, 0xdd12a807fecc11d7, 0x17ec1c7c0f2cf6c7, 0x817e73b336fc0c48,
  0xd99f9bc03ea0c077, 0x9486e2ea72f29b19, 0x1696173d0ea9c095, 0xb6671248ab7fbd55, 0x8661bbe1296a5f95,
  0x771a2cf7f886e407, 0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xe0a68fb19d871fc6, 0x617c68f45fe07eff,
  0xb670e271964b867a, 0xe62cd799cc5bf494, 0x4f97e1b344f2705c, 0x000000000000003e,
};

// m128_u2x12_uart1_noled_pr_ee_u4   m128a_u2x12_uart1_noled_pr_ee     m128a_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart1_noled_pr_ee[] = {
  0xeeda1af06890c044, 0xbbaabc88033896ee, 0x243c7ebd7da0bbbb, 0xe6130feebc8ebd90, 0x499c94e734b376f4,
  0x80904c15de4ee80a, 0xffc2bb3f2ba609f1, 0x37b52add3fb4fb05, 0xe71e8d9a318e437f, 0x51e57224d56b4738,
  0x7dd7a8f83660d31f, 0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3c1673ab4ba00b8d, 0x56ba1d79d3bc3bda,
  0xe3b169f3c8c38d8d, 0x47eb70decb65f380, 0x5fb002a2541d51b0, 0x05f9ceccdbf03120, 0x667e6f00fa8301de,
  0x521b8ba9cbca6c67, 0x5a585cf43aa70256, 0xd99c4922adfef554, 0x1986ef84a5a97e56, 0xdc68b3dfe21b901e,
  0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x829a3ec6761c7f19, 0x85f1a3d17f81fbff, 0xd9c389c6592e19e9,
  0x98b35e67316fd252, 0xb98e26cd13c9c173, 0x000000000000004e,
};

// m128_u2x12_uart1_noled_pr_ce_u4   m128a_u2x12_uart1_noled_pr_ce     m128a_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart1_noled_pr_ce[] = {
  0xddb435e0d1219541, 0xbbaabe6b1b112ddd, 0xa6cb8e8d3da17bbb, 0x36a7bbba9146bad0, 0x5a77daa67b28fd83,
  0x4f8c048260aef277, 0xca5ffe15d9fc0930, 0x1bf9bda956e9fda7, 0x505338f46cd18c72, 0x085b79b9dd4a037f,
  0x10d8489ecb3879e7, 0xb7e007ea3c2784bf, 0xbd64d9edc2444e1e, 0x07acf51c9e9ee5be, 0x2c055afd25243892,
  0x7a3ebc35fd1eb0e6, 0x7dd12a807feccf1d, 0x205fb071f03cb5b8, 0xde05f9ceccdbf031, 0x67667e6f00fa8301,
  0x56521b8ba9cbca6c, 0x545a585cf43aa702, 0xadb3389218edfef5, 0x3c330ddf094b52fc, 0x3bb8d167bfc43720,
  0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0xff05347d8cec38fe, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe73166bcce62dfa4, 0x6ebe55659a279382,
};

/*
 * m128_u2x12_uart1_noled_pr_ee_ce_u4 m128a_u2x12_uart1_noled_pr_ee_ce
 * m128a_u2x12_uart1_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x12_uart1_noled_pr_ee_ce[] = {
  0xbb686bc1a2436d3a, 0xeeaae30824625bbb, 0x91a0bb627605eeee, 0x71133dd53656fa77, 0x8a0aaef89d705718,
  0x48260aef2775d6eb, 0xe15d9fc41304f8c0, 0xda956e9fda7f4d7f, 0x8f46cd18c721bf9b, 0x9da5a037f54652f3,
  0xecb3879e7085b79b, 0xa3c2784bf10d8489, 0xe122270e601ba1fe, 0xa894ed63a7be6cf6, 0x3e0d9835afea3caf,
  0xafb1698a62b09fea, 0xafa5b1971c270dc3, 0x1673abb72003a909, 0x1b1d79d3bc3bda3c, 0x62d3e791871b1aaf,
  0xc8e1bd96cbe701c7, 0xb0b3a2541d51b044, 0xf9ceccdbf031205f, 0x7e6f00fa8301de05, 0x1b8ba9cbca6c6766,
  0x585cf43aa7025652, 0x389218edfef5545a, 0x0ddf094b52fcadb3, 0xd167bfc437203c33, 0x895a9d599bf83bb8,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3,
  0x883d9a279382e731, 0x0000000000004fcb,
};

// m128a_u2x12_uart1_noled_ee_hw
static const uint64_t ur_m128_u2x12_uart1_noled_ee_hw[] = {
  0xeda1af068a341768, 0xbaabc88033896eee, 0x43c7ebd7da0bbbbb, 0x6130feebc8ebd902, 0x6d8b50534b376f4e,
  0x30120982bbc9dd66, 0x5ffeb267e574c13e, 0xf37b52add3fb4fb0, 0x8e71e8d9a318e437, 0xf51e57224d56b473,
  0x57dd7a8f83660d31, 0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0xa3c1673ab4ba00b8, 0xd56ba1d79d3bc3bd,
  0x0e3b169f3c8c38d8, 0x047eb70decb65f38, 0x05fb002a2541d51b, 0xe05f9ceccdbf0312, 0x7667e6f00fa8301d,
  0x6521b8ba9cbca6c6, 0x45a585cf43aa7025, 0x6d99c4922adfef55, 0xe1986ef84a5a97e5, 0xde50c2a44ad4e9f1,
  0xc7f197e627ff787b, 0x1fbff829a3ec6761, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316,
  0x00002df209a7453c,
};

/*
 * m128_u2x12_uart1_noled_ee_ce_u4_hw m128a_u2x12_uart1_noled_ee_ce_hw
 * m128a_u2x12_uart1_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d1468cc7f, 0x755718412312dddd, 0x8d05db13b02f7777, 0x8899eea9b2b7d3bc, 0x56b6e744eb82b8c3,
  0xc048260aef2774b1, 0xbffac99fc41304f8, 0xcded4ab74fed3fa6, 0x79c7a3668c6390df, 0x21ced2d01bfaa329,
  0x89ecb3879e7085bf, 0x7ea3c2784bf10d84, 0x3db84889c3d25339, 0x2bea253b58e9ef9b, 0xfa8f83660d6bfa8f,
  0x70ebec5a6298ac27, 0x426be96c65c709c3, 0x8f059ceaedc800ea, 0xabc6c75e74ef0ef6, 0x71d8b4f9e461c6c6,
  0x1132386f65b2f9c0, 0x17ec2ce89507546c, 0x817e73b336fc0c48, 0xd99f9bc03ea0c077, 0x9486e2ea72f29b19,
  0x1696173d0ea9c095, 0x6cce24863b7fbd55, 0x0cc377c252d4bf2b, 0xf286152256a74f8f, 0x3f8cbf313ffbc3de,
  0xfdffc14d1f633b0e, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x000280845daa29e4,
};

// m128a_u2x12_uart1_lednop
static const uint64_t ur_m128_u2x12_uart1_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaae705ad225bb, 0x122a99bb6f46deee, 0xff07dddd3c19eea1, 0x4eee62486ad1e978,
  0xa609f180904c15de, 0xda7c14ff0a839fd2, 0xc721bf9bda956e9f, 0xdf2c90f38f46cd18, 0x871240cd27a8e4f1,
  0x8b016f74cb5fa4a4, 0x78baf0b5f2390539, 0xb0ac1f7b8e58c11d, 0x404eccdbf031205f, 0x9b228301de05f9e0,
  0xbd4a7253a0333f37, 0x1d5381f11a4386a9, 0xab7fbd55169aba7a, 0x94b52fcadb33b9c8, 0x9fbe7933c330ddf0,
  0xe271964b867a615c, 0xd799cc5bf494b670, 0x162374f2705ce62c, 0x0000000000005480,
};

// m128_u2x12_uart1_lednop_pr_u4     m128a_u2x12_uart1_lednop_pr       m128a_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_m128_u2x12_uart1_lednop_pr[] = {
  0x76d0d7834486c056, 0xbaab9c17d2c4b777, 0x16c1f7c7ee63bbbb, 0xb3f777622244f1ff, 0xe451da0913a00267,
  0x7c602413057793bb, 0x9ebff85767fba982, 0x37f37b52add3fb4f, 0x843e71e8d9a318e4, 0x481a0bf51ed63be5,
  0x2cb29b2483f490e2, 0xd78567a348673160, 0xed500ffd9823af47, 0xb20ad03cb3db4163, 0x404eccdbf031205f,
  0x9b228301de05f9e0, 0xbd4a7253a0333f37, 0x1d5381f11a4386a9, 0xab7fbd55169aba7a, 0x94b52fcadb33b9c8,
  0xfc437203c330ddf0, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0x2ff03f7ff05347d8,
  0xcb25c33d30be347a, 0xe62dfa4a5b387138, 0xa279382e73166bcc, 0x0000001f27a2ed59,
};

// m128_u2x12_uart1_lednop_pr_ee_u4  m128a_u2x12_uart1_lednop_pr_ee    m128a_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart1_lednop_pr_ee[] = {
  0xeeda1af06890d2a8, 0xbbaabc881fb896ee, 0x64017ed45db23bbb, 0x4c261fdd791d7833, 0x0872ecb53d769785,
  0x80904c15de4ee9da, 0xffc2bb3fa6e609f1, 0x37b52add3fb4fe56, 0xe71e8d9a318e437f, 0x51e56654d56b4738,
  0xc3dfa8f83660d31f, 0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x3268e75697ea171a, 0x56ba1d79d3bc3192,
  0xe3b16993c8ded58d, 0x47eb70decb65f380, 0x2fd8010fba2551b0, 0xf02027666df81890, 0x9bcd914180ef02fc,
  0x54dea53929d0199f, 0x3d0ea9c0f88d21c3, 0xe455bfdeaa8b4d5d, 0xf84a5a97e56d99dc, 0x3dfe21b901e1986e,
  0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0x3d17f81fbff829a3, 0x9c6592e19e985f1a,
  0xe67316fd252d9c38, 0x2cd13c9c17398b35, 0x000000000275cc11,
};

// m128_u2x12_uart1_lednop_pr_ce_u4  m128a_u2x12_uart1_lednop_pr_ce    m128a_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart1_lednop_pr_ce[] = {
  0xeeda1af06890c582, 0xbbaabe6b62f896ee, 0x168cc7682e841bbb, 0xf764f7775228d736, 0xeb6239cb05390d33,
  0x09f180904c15de4e, 0xfa9effc2bb3fbee6, 0x437f37b52add3fb4, 0xea0a671e8d9a318e, 0xe10b6f373b72606f,
  0xe21b0913d9670f3c, 0x43ec6efd4784f097, 0xaf59367b70911387, 0x81eb3d47e927b96f, 0xc580b1088b490e24,
  0xbd1f5e159e8d219c, 0x058fb5403ff6678e, 0x205fb20ad03cb5b9, 0xf9e0404eccdbf031, 0x3f379b228301de05,
  0x86a9bd4a7253a033, 0xba7a1d5381f11a43, 0x73863b7fbd55169a, 0xbbe1296a5f95b667, 0x2cf7f886e4078661,
  0x2b53ab337f07771a, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0x72b344f2705ce62c, 0x00000000000dd730,
};

/*
 * m128_u2x12_uart1_lednop_pr_ee_ce_u4 m128a_u2x12_uart1_lednop_pr_ee_ce
 * m128a_u2x12_uart1_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344864541, 0xdd55c61119c4b777, 0x9d64743769badddd, 0xe2267baa6cad891e, 0xc3ac843626275330,
  0x904c15de4eed57e4, 0xc2bb3f002609f180, 0x6a55ba7f69fb5bff, 0x3d1b34631c86fe6f, 0xefa7c0dfd5194bce,
  0x659c3cf3842dbcdc, 0x1e13c25f886c244f, 0x0911387eeb0003f5, 0xd4a76b1d3df367b7, 0xf06cc1ad7f51e57d,
  0x7d8b4c5315edff51, 0x7d2d8cb8e1386e1d, 0xa39d5dbba81d484d, 0x6c75e74ef0c648c9, 0x8b4c9e46f6ac6abc,
  0x2386f65b2f9c071d, 0x61663ee89546c113, 0x809d99b7e06240bf, 0x36450603bc0bf3c0, 0x7a94e4a740667e6f,
  0x3aa703e234870d53, 0x76ff7aaa2d3574f4, 0x52d4bf2b6ccee70c, 0xf10dc80f0cc377c2, 0x5666fe0eee3459ef,
  0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3,
  0x89e4e0b9cc59af33, 0x00000004fc372166,
};

// m128a_u2x12_uart1_lednop_ee_hw
static const uint64_t ur_m128_u2x12_uart1_lednop_ee_hw[] = {
  0x76d0d783451a3768, 0xdd55e440fdc4b777, 0x200bf6a2ed91dddd, 0x6130feebc8ebc19b, 0xe1eda759ebb4bc2a,
  0x180904c15de4ee94, 0xb7ff5933fa6e609f, 0xf9bda956e9fda7f2, 0xc738f46cd18c721b, 0xfa8f2b32a6ab5a39,
  0x561efd47c1b30698, 0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0x9193473ab4bf50b8, 0x6ab5d0ebce9de18c,
  0x071d8b4c9e46f6ac, 0x823f5b86f65b2f9c, 0x817ec0087dd12a8d, 0xe781013b336fc0c4, 0xfcde6c8a0c077817,
  0x1aa6f529c94e80cc, 0xe9e8754e07c4690e, 0xe722adfef5545a6a, 0x77c252d4bf2b6cce, 0x152256a74f8f0cc3,
  0xbf313ffbc3def286, 0xc14d1f633b0e3f8c, 0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4, 0xcc59af3398b7e929,
  0x6fd04d3a29e4e0b9, 0x0000000000000001,
};

/*
 * m128_u2x12_uart1_lednop_ee_ce_u4_hw m128a_u2x12_uart1_lednop_ee_ce_hw
 * m128a_u2x12_uart1_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_u2x12_uart1_lednop_ee_ce_hw[] = {
  0x76d0d783451a1f68, 0xdd55c61119c4b777, 0x9d64743769badddd, 0xe2267baa6cad891e, 0x51fd403626275330,
  0x0120982bbc9ddb17, 0xffeb267e004c13e3, 0x6f6a55ba7f69fb5b, 0xce3d1b34631c86fe, 0x1cefa7c0dfd5194b,
  0x9ecb3879e7085bf2, 0xea3c2784bf10d848, 0xb70911387ca8683f, 0x7dd4a76b1d3df367, 0x51f06cc1ad7f51e5,
  0x1d7d8b4c5315edff, 0x4d7d2d8cb8e1386e, 0xc9a39d5dbba81d48, 0xbc6c75e74ef0c648, 0x1d8b4c9e46f6ac6a,
  0x132386f65b2f9c07, 0xbf61663ee89546c1, 0xc0809d99b7e06240, 0x6f36450603bc0bf3, 0x537a94e4a740667e,
  0xf43aa703e234870d, 0x0c76ff7aaa2d3574, 0xc252d4bf2b6ccee7, 0x2256a74f8f0cc377, 0x313ffbc3def28615,
  0x4d1f633b0e3f8cbf, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2, 0x59af3398b7e9296c, 0x82812a29e4e0b9cc,
  0x0000000000000280,
};

/*
 * m128_u2x12_uart1_dual_pr          m128_u2x12_uart1_dual_pr_u4       m128a_u2x12_uart1_dual
 * m128a_u2x12_uart1_dual_pr         m128a_u2x12_uart1_dual_pr_u4
 */
static const uint64_t ur_m128_u2x12_uart1_dual[] = {
  0xee8d775f448687e1, 0xbbaf229b39d426ee, 0xd629da9f7b62fbbb, 0xb62dddda66247ed1, 0xaf2c889e704cf821,
  0x48260aef248fbbbe, 0x6d4522e87304f8c0, 0x4fb48b59f755a864, 0x4a774fb97c40c286, 0x4df178adf9961280,
  0xe6f51f2b6c37d9c3, 0x717a149120920650, 0x12bfcfdf045f94f9, 0x3e4ff00ddc3e1443, 0x2e2efe4be5f2e7e4,
  0xe22197fc841690df, 0x9e133df150865a0b, 0x98b9cbdb945ffa03, 0xf6fff927d3058559, 0x1bf9bda956e9fda7,
  0x627b38f46cd18c72, 0x240dafbd478c8ef9, 0x2eb14d38ad7a4871, 0x5786e1a310e73160, 0x4a807fecc11d780d,
  0xa71703cb3db6be7b, 0xbf64fe67d1cccacc, 0xc0809d99b7e06240, 0x6f36450603bc0bf3, 0x537a94e4a740667e,
  0xf43aa703e234870d, 0x9156ff7aaa2d3574, 0xe1296a5f95b66773, 0xf7f886e4078661bb, 0x53ab337f07771a2c,
  0xfde1ef79430a912b, 0xb19d871fc65f989f, 0xf45fe07effe0a68f, 0x71964b867a617c68, 0x99cc5bf494b670e2,
  0xb344f2705ce62cd7, 0x000000000a49ad3e,
};

// m128a_u2x12_uart1_dual_pr_ee
static const uint64_t ur_m128_u2x12_uart1_dual_pr_ee[] = {
  0x77746bbafd431f02, 0xdddd79285e4ca137, 0x2162afdc89d69edd, 0x7a0906f75056caae, 0xb45c5f9aee164dd5,
  0x60aef25eb3b9c875, 0xa43a75304f8c0482, 0x916b3eeab50c8da8, 0xe9f72f881850c9f6, 0x5ff5ff32c250094e,
  0x8f5bfb080070149c, 0x14912092073b737a, 0xcfdf045f94f9717a, 0x240ddc3e144312bf, 0xf92f97cb9f90f902,
  0x5ff2105a437cb8bb, 0x938a8432d0386886, 0xbdb85affa039e133, 0x927d305855998b9c, 0xda956e9fda7f677f,
  0x8f46cd18c721bf9b, 0xcae034d56b4613f3, 0xbf51f06cc1cddea3, 0x6e1d7d8b4ddf15af, 0x484d7d2d8cb8e138,
  0xa73ab4b994b813f3, 0xa1d7b19de14c5188, 0x169dac8ebfd8d56b, 0x6e1bd977bb380e3b, 0x804f6838aa3608fd,
  0x17ec9fccfa399959, 0x781013b336fc0c48, 0xcde6c8a0c077817e, 0xaa6f529c94e80ccf, 0x9e8754e07c4690e1,
  0x722adfef5545a6ae, 0x7c252d4bf2b6ccee, 0xf7f886566cf0cc37, 0xfbab337f07771a2c, 0x271964b867a615c9,
  0x799cc5bf494b670e, 0xeb344f2705ce62cd, 0x0000000000642873,
};

// m128a_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_m128_u2x12_uart1_dual_pr_ee_u4[] = {
  0xa35dd7d150ff9231, 0xebc942f26509bbbb, 0x157ee44eb4f6eeee, 0x4837ba82b655710b, 0xc5f4d670b26eabd0,
  0xf25eb3b869d07d75, 0x75304f8c048260ae, 0x3eeab50c8da8a43a, 0x2f881850c9f6916b, 0xfe6584a6024ee9f7,
  0xf61000e02938bfeb, 0x41240e76e6f51eb7, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x2f973f21f204481b,
  0x20b486f97177f25f, 0x0865a070d10cbfe4, 0xb5ff4073c2672715, 0x60b0ab3317397b70, 0xe9fda7f677fe538e,
  0xd18c721bf9bda956, 0x4d56b4613f38f46c, 0x06cc1cddea3cae03, 0xd8b4ddf15afbf51f, 0xd2d8cb8e1386e1d7,
  0x4b994b813f3484d7, 0x19de14c5188a73ab, 0xc8ebfd8d56ba1d7b, 0x977bb380e3b169da, 0x838aa3608fd6e1bd,
  0xfccfa399959804f6, 0x3b336fc0c4817ec9, 0x8a0c077817e78101, 0x29c94e80ccfcde6c, 0x4e07c4690e1aa6f5,
  0xfef5545a6ae9e875, 0xd4bf2b6ccee722ad, 0x0dc80f0cc377c252, 0x37f068fe3459eff1, 0xf79430a912b53ab3,
  0x71fc65f989ffde1e, 0x07effe0a68fb19d8, 0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5,
  0x00ac9eb1c4d5524f,
};

// m128a_u2x12_uart1_dual_pr_ce
static const uint64_t ur_m128_u2x12_uart1_dual_pr_ce[] = {
  0x746bbafd41431f02, 0xbbaf22d15aa13777, 0x9f69337bbdae3bbb, 0xcb16eeec0b7ac3af, 0x75b469ef35d13eab,
  0x8260aef251dbb9c8, 0xa8a433d7304f8c04, 0xf6916b3eeab50c8d, 0x4ee9f72f881850c9, 0x5c5d36ff32c25009,
  0xea398fec066ce1bb, 0xf4292241240d2d4d, 0x7f9fbe08bf29f2e2, 0x66f81bb87c288625, 0x77f25f2f973f21f2,
  0x0cbfe420b486f971, 0x3775150865a063d1, 0x9cbdbefbffa039e1, 0xff927d305855998b, 0x9bda956e9fda7ce1,
  0x738f46cd18c721bf, 0x79b9dc06015df588, 0x0f6b75bff9e7085b, 0xdb13f340aee12227, 0x0627fd4783f3dcb3,
  0x2c0505322d243892, 0x01aaf0dc34621ce6, 0xcf69500ffd99e3af, 0x566538b81e5adcd7, 0x1205fb27f33e8e66,
  0x5f9e0404eccdbf03, 0x33f379b228301de0, 0x386a9bd4a7253a03, 0xaba7a1d5381f11a4, 0x773863b7fbd55169,
  0x1bbe1296a5f95b66, 0x459eff10f7827866, 0x256a75666fe0eee3, 0xb19d87138d286152, 0x19e985727ef8268f,
  0xd252d9c389c6592e, 0xc17398b35e67316f, 0x000692042ecd13c9,
};

// m128a_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_m128_u2x12_uart1_dual_pr_ce_u4[] = {
  0xd1aeebe8a87f3202, 0xebc8d2ebbe84dddd, 0x6c5f7dc6da0eeeee, 0xd6eee80a9c49ae80, 0x5795effade1f64ca,
  0x982bbc9294ee3522, 0x291dc7cc13e30120, 0xa45acfbaad43236a, 0xba7dcbe20614327d, 0x17149f9961298093,
  0x47b5bd856f9c2007, 0x0a489049034db9bd, 0xe7ef822fca7cb8bd, 0x0e06ee1f0a21895f, 0xfc97cbe5cfc87c9a,
  0x2ff9082d21be5c5d, 0xa2c54219683a5443, 0x5edd2d7fd01cf098, 0x94e3982c2accc5ce, 0x6a55ba7f69fb75ff,
  0x3d1b34631c86fe6f, 0x067670c0dfd4f5ce, 0x9ecb3879e7085bf8, 0xea3c2784bf10d848, 0xdb84889c39adcc37,
  0xe0fcf72df589f9b3, 0x8b490e248189ff51, 0x0d1887398b01414c, 0xff6678ebc06abc37, 0x0796b735f3da5403,
  0xfccfa39995994e2e, 0x3b336fc0c4817ec9, 0x8a0c077817e78101, 0x29c94e80ccfcde6c, 0x4e07c4690e1aa6f5,
  0xfef5545a6ae9e875, 0xa97e56d99dce18ed, 0x1b901e1986ef84a5, 0x6fe0d1fc68b3dfe2, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0, 0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b,
  0x0069225214aaa49e,
};

// m128_u2x12_uart1_dual_pr_ee_ce_u4 m128a_u2x12_uart1_dual_pr_ee_ce   m128a_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_m128_u2x12_uart1_dual_pr_ee_ce[] = {
  0x35dd7d150fe49231, 0xf20d31e1d09bbbba, 0xdbe6be8b37bbbbba, 0xddb9dddb90eaf6d3, 0xa7761c1666e5dfda,
  0x705b495c7fff0e90, 0x30120982bbc9dfb7, 0x236a290f3c9cc13e, 0x327da45acfbaad43, 0x8093ba7dcbe20614,
  0xbadc5c001f996129, 0x6f51f9bfb05489c3, 0x5e8524482481f47e, 0xaff3f7c117e53e5c, 0xa23103770f8510c4,
  0x5dfc97cbe5cfc87c, 0x432ff9082d21be5c, 0x982d454219687fc4, 0x9cbdbb3e7fd01cf0, 0xff29c7305855998b,
  0xbda956e9fda7d0fb, 0x38f46cd18c721bf9, 0x33bdda037f54795b, 0xf659c3cf3842dfc0, 0x51e13c25f886c244,
  0xc2444e1f907575ff, 0x1f29dac74be4d9ed, 0x7c1b307927a8f2b3, 0xafb1698a62b7f3d4, 0xafa5b1971c270dc3,
  0x8a73abb71943a909, 0x1b1d7b19de14c518, 0x62d3b591d7fb1aaf, 0x91c37b2ef76701c7, 0x9966f6838aa36089,
  0x817ec9fccfa39995, 0xe781013b336fc0c4, 0xfcde6c8a0c077817, 0x1aa6f529c94e80cc, 0xe9e8754e07c4690e,
  0xce18edfef5545a6a, 0xef84a5a97e56d99d, 0xb3dfe21b901e1986, 0x6a75666fe0d1fc68, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0x1e8bfc0fdffc14d1, 0x4e32c970cf4c2f8d, 0xf3398b7e9296ce1c, 0xaaa49e4e0b9cc59a,
  0x0000000010002668,
};

// m128a_u2x12_uart1_dual_ee_hw
static const uint64_t ur_m128_u2x12_uart1_dual_ee_hw[] = {
  0xd1aeebe8a3457c3b, 0x75e4a1793284dddd, 0x8abf72275a7b7777, 0x241bdd415b2ab885, 0xfefff0b8593755e8,
  0x0aef25eb3b8c2824, 0x43a75304f8c04826, 0x16b3eeab50c8da8a, 0x9f72f881850c9f69, 0xff5ff32c253a0cee,
  0xf5bfb080070149c5, 0x4912092073b737a8, 0xfdf045f94f9717a1, 0x40ddc3e144312bfc, 0x92f97cb9f90f9022,
  0xff2105a437cb8bbf, 0x38a8432d03868865, 0xdb85affa039e1339, 0x8dd305855998b9cb, 0xa55ba7f69fd9dfe4,
  0xd1b34631c86fe6f6, 0xb80d355ad184fce3, 0xd47c1b307377a8f2, 0x875f62d377c56bef, 0x135f4b632e384e1b,
  0xcead2e652e04fcd2, 0x75ec677853146229, 0xa76b23aff6355ae8, 0x86f65deece038ec5, 0x13da0e2a8d823f5b,
  0xfb27f33e8e665660, 0x0404eccdbf031205, 0x79b228301de05f9e, 0x9bd4a7253a0333f3, 0xa1d5381f11a4386a,
  0x8ab7fbd55169aba7, 0x094b52fcadb33b9c, 0x895a9d3e3c330ddf, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc,
  0xe347a2ff03f7ff05, 0x87138cb25c33d30b, 0x66bcce62dfa4a5b3, 0x4f4ea8a79382e731, 0x0000000000002bb4,
};

// m128_u2x12_uart1_dual_ee_ce_u4_hw m128a_u2x12_uart1_dual_ee_ce_hw   m128a_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_m128_u2x12_uart1_dual_ee_ce_hw[] = {
  0x746bbafa28d0da9c, 0x75e41a63c3a13777, 0xa7b7cd7d166f7777, 0xb5bb73bbb721d5ed, 0x797eec382ccdcbbf,
  0x4efdbbab008404de, 0xe609f180904c15de, 0xd56a191b514879e4, 0x1030a193ed22d67d, 0x6584a7419dd3ee5f,
  0x52270eeb7170007e, 0x07d1f9bd47e6fec1, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x3f21f288c40ddc3e,
  0x86f97177f25f2f97, 0xa1ff110cbfe420b4, 0x4073c260b5150865, 0x56662e72f6ecf9ff, 0x4fa1f7f92374c161,
  0xe437f37b52add3fb, 0xa8f2b671e8d9a318, 0x42df90e77bb406fe, 0x86c244f659c3cf38, 0xfaa47f51e13c25f8,
  0xf9367b70911387e6, 0xea3cacc7ca76b1d2, 0xadfcf51f06cc1e49, 0x09c370ebec5a6298, 0x50ea426be96c65c7,
  0x853146229ceaedc6, 0xfec6abc6c75ec677, 0xd9c071d8b4ed6475, 0xa8d8226470decbbd, 0xe8e6656659bda0e2,
  0xdbf031205fb27f33, 0x01de05f9e0404ecc, 0x53a0333f379b2283, 0xf11a4386a9bd4a72, 0x55169aba7a1d5381,
  0x95b66773863b7fbd, 0xc78661bbe1296a5f, 0xef79430a912b53a7, 0x871fc65f989ffde1, 0xe07effe0a68fb19d,
  0x4b867a617c68f45f, 0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x000003aebc8b2514,
};

// m128a_swio10_noled
static const uint64_t ur_m128_swio10_noled[] = {
  0x511377777759bb37, 0x27adddaab914a122, 0xd1b7b000714718c2, 0x417f43bd05a914da, 0xa350418ebfc5eec4,
  0x0904c15de4eec2f5, 0xe15073f1ee609f18, 0xd73be589af0a775f, 0x2921c490310fea3a, 0x6731602dee9a711f,
  0x0475e2ebc3d223c1, 0x72ab52b043ee3963, 0x35d2048e7c716d79, 0x76a96fab39d454aa, 0xa97debe85d69ace5,
  0xb9ed5688af297592, 0x858b53c314deb3bc, 0xf2f14085a4170774, 0xe56d99d3d0ea9c08, 0x99e1986ef84a5a97,
  0x25c33d30ae4fdf3c, 0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x000001520e2f11ba,
};

// m128_swio10_noled_pr_u4           m128a_swio10_noled_pr             m128a_swio10_noled_pr_u4
static const uint64_t ur_m128_swio10_noled_pr[] = {
  0xc7bbbbbb4486fc3b, 0x0bbb5572285c6251, 0x3bd7a6a60713609e, 0xcd6f0bdb7e9522ee, 0x05fe3c6beec71e82,
  0xbc9dd122cccdd86e, 0xfe4c13e30120982b, 0x22f850caffc2bb3e, 0x2064f7a8f371df2c, 0xb2ca60f738d24389,
  0xd785ef476b1cc580, 0x69500ffd9823af47, 0xd556a81e59eddc32, 0x81239f1c5b5e5caa, 0x5beace75152a8d74,
  0x7afa175a6b395daa, 0x55a22bca5d64aa5f, 0x29e1a779f16bae7b, 0x9c0babd20c2ea6c5, 0xfbd551696d13d0ea,
  0xa5f95b6672048ab7, 0x6e4078661bbe1296, 0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e,
  0x07effe0a68fb19d8, 0xb867a617c68f45fe, 0xbf494b670e271964, 0x2705ce62cd799cc5, 0x0001f26959bb344f,
};

// m128_swio10_noled_pr_ee_u4        m128a_swio10_noled_pr_ee          m128a_swio10_noled_pr_ee_u4
static const uint64_t ur_m128_swio10_noled_pr_ee[] = {
  0xafbbbbbb4486a4d6, 0x9bbb557e17a0b121, 0xbf4f4c497119cdcc, 0x5a1b5e94699fb537, 0x3f514ad8836821af,
  0x27776527da3bb172, 0x5304f8c048260aef, 0xf8522b7fe15d9f27, 0x47959c39aad68e3d, 0x2ebea3e0d9833d7d,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0xc4273ab4bb935c6b, 0xb5d0ebce9de1d291, 0x8ec5a698a3116c6a,
  0x1fadc37b2d97ce03, 0x55a8044d60b546c1, 0xe902473e38b6bcb9, 0x54b7d59cea2a551a, 0xbef5f42eb4d672bb,
  0xf6ab445794bac954, 0x8a53c34ef3e2d75c, 0xd5381757a4185d4d, 0x6ff7aaa2d2da27a1, 0x2d4bf2b6cce40915,
  0x10dc80f0cc377c25, 0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xfc0fdffc14d1f633,
  0xc970cf4c2f8d1e8b, 0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x0000009d700ad668,
};

// m128_swio10_noled_pr_ce_u4        m128a_swio10_noled_pr_ce          m128a_swio10_noled_pr_ce_u4
static const uint64_t ur_m128_swio10_noled_pr_ce[] = {
  0x17bbbbbb4486b044, 0x4bbb557984a1712f, 0x6975718db62264fc, 0xdeacebe19e2f7a7a, 0x7764682b21bbe2cb,
  0xaef277671162b83d, 0xf1ad304f8c048260, 0xa6578534dffe15d9, 0x10b6f373bb7406fe, 0x21b0913d9670f3ce,
  0x4a672fd4784f097e, 0xf59367b70911387a, 0x782fd47c927b96fa, 0xc05dbe0a52438920, 0xa3ebc2f7a3b58e62,
  0x1934a807feccf1d7, 0x955aaad503cb5bae, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x4bef5f42eb4d672b,
  0xcf6ab445794bac95, 0xd8a53c34ef3e2d75, 0x1d5381757a4185d4, 0x76ff7aaa2d2da27a, 0xa5a97e56d99c810c,
  0xe21b901e1986ef84, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x7f81fbff829a3ec6,
  0x592e19e985f1a3d1, 0x316fd252d9c389c6, 0x13c9c17398b35e67, 0x000000375f3316cd,
};

// m128_swio10_noled_pr_ee_ce_u4     m128a_swio10_noled_pr_ee_ce       m128a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_m128_swio10_noled_pr_ee_ce[] = {
  0x90dddddda24343ee, 0x3dddaabce2605c49, 0x69db61a859bbc776, 0x278fc5f93919989d, 0x506e8e3a90bdb208,
  0x2777bbf7073ad04a, 0x7304f8c048260aef, 0xf0a0a4ffc2bb3e6b, 0x6e770000dfd51c56, 0x27b2ce1e79c216de,
  0xfa8f09e12fc43612, 0x6e122270ecf5fad5, 0xba594ed63a7be6cf, 0xa3e0d983403d4795, 0x3afb1698a62b90fe,
  0x9afa5b1971c270dc, 0x884e7576e7263a90, 0xf1b1d79d3bc3a523, 0x3b169a628c45b1aa, 0x26470decb65f380e,
  0xab52cc9ac16a8d82, 0xd2048e7c716d7972, 0xa96fab39d454aa35, 0x7debe85d69ace576, 0xed5688af297592a9,
  0x14a7869de7c5aeb9, 0xaa702eaf4830ba9b, 0xdfef5545a5b44f43, 0xb52fcadb3390218e, 0x437203c330ddf094,
  0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xf03f7ff05347d8ce, 0x25c33d30be347a2f,
  0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x0000013f2dc859a2,
};

// m128a_swio10_noled_ee_hw
static const uint64_t ur_m128_swio10_noled_ee_hw[] = {
  0xd7dddddda28d0044, 0x4dddaabf0bd05890, 0xdfa7a624b88ce6e6, 0xad0daf4a34cfda9b, 0x1fa8a56c41b410d7,
  0xbbc9dd0149334e71, 0xc9d4c13e30120982, 0xc7bf0a456ffeb267, 0xafa8f2b387355ad1, 0xc565d7d47c1b3067,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x523884e75697726b, 0x8d56ba1d79d3bc3a, 0xc071d8b4d314622d,
  0xd823f5b86f65b2f9, 0x972ab50089ac16a8, 0xa35d2048e7c716d7, 0x576a96fab39d454a, 0x2a97debe85d69ace,
  0xeb9ed5688af29759, 0xa9b14a7869de7c5a, 0xf43aa702eaf4830b, 0x22adfef5545a5b44, 0x84a5a97e56d99c81,
  0x44ad4e9f1e1986ef, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0xf1a3d17f81fbff82, 0xc389c6592e19e985,
  0xb35e67316fd252d9, 0xe69ad453c9c17398, 0x00000000000000b7,
};

// m128_swio10_noled_ee_ce_u4_hw     m128a_swio10_noled_ee_ce_hw       m128a_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_m128_swio10_noled_ee_ce_hw[] = {
  0x437777768a346d3a, 0xf776aaf389817126, 0xa76d86a166ef1dd8, 0x9e3f17e4e4666275, 0x41ba38ea42f6c820,
  0xe4eebadd71daef29, 0x6e609f180904c15d, 0x6f0a0a4ffeb267cd, 0x90e770000dfd51c5, 0x44f659c3cf3842df,
  0xbf51e13c25f886c2, 0xf6e122270e148f9c, 0x5ba594ed63a7be6c, 0xea3e0d983403d479, 0xc3afb1698a62b90f,
  0x09afa5b1971c270d, 0x3884e7576e7263a9, 0xaf1b1d79d3bc3a52, 0xe3b169a628c45b1a, 0x226470decb65f380,
  0x2ab52cc9ac16a8d8, 0x5d2048e7c716d797, 0x6a96fab39d454aa3, 0x97debe85d69ace57, 0x9ed5688af297592a,
  0xb14a7869de7c5aeb, 0x3aa702eaf4830ba9, 0xedfef5545a5b44f4, 0x4b52fcadb3390218, 0x5a9d3e3c330ddf09,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x47a2ff03f7ff0534, 0x138cb25c33d30be3, 0xbcce62dfa4a5b387,
  0xfba8a79382e73166, 0x00000000000a02c0,
};

/*
 * m128_swio10_lednop_pr             m128_swio10_lednop_pr_u4          m128a_swio10_lednop
 * m128a_swio10_lednop_pr            m128a_swio10_lednop_pr_u4
 */
static const uint64_t ur_m128_swio10_lednop[] = {
  0xc7bbbbbb448651eb, 0x05ddaab914cc6251, 0x537b856ac871b04f, 0x2cd6f0b2e3b6e84d, 0xac760bd88eec71e8,
  0xbbc9dd466539a594, 0xea54c13e30120982, 0x08be1431fff85767, 0x48193dea3ce277cb, 0x16594cfe1eb490e2,
  0xf5e1f911c1f398b0, 0xc35403ff6608ebd1, 0xb5815a07967b7bdd, 0x2048e7c716d7972a, 0x96fab39d454aa35d,
  0x85d69ae0404e576a, 0x8af297592ad5d2fe, 0xd01e395aeb9ed568, 0xba42aea905ca5af9, 0x8b49053d0ea9c0b9,
  0xdb33976455bfdeaa, 0xc330ddf094b52fca, 0xbb8d167bfc437203, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xf05347d8cec38fe3, 0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a, 0x262bf0d9a279382e,
  0x000000000000001f,
};

// m128_swio10_lednop_pr_ee_u4       m128a_swio10_lednop_pr_ee         m128a_swio10_lednop_pr_ee_u4
static const uint64_t ur_m128_swio10_lednop_pr_ee[] = {
  0x5f777776890cac4f, 0x3776aafc2f646243, 0xc8ef25f1fb6f9b99, 0xa1b5e96828d35a37, 0x647cdd8836821af5,
  0x77539157991dfbfa, 0x304f8c048260aef2, 0x0a1c1ffc2bb3f43f, 0xf2b287355ad1c7bf, 0x17d47c1b3067afa8,
  0x1b875f62d377c56c, 0xd2135f4b632e384e, 0xf0e7569774ab8d64, 0x743af3a778427a35, 0x62d3c9118dfb1aad,
  0xd6e1bd96cbe701c7, 0xd402b864d2a3608f, 0x81239f1c5b5e5caa, 0x5beace75152a8d74, 0x175a6b8101395daa,
  0x2bca5d64ab574bfa, 0x4078e56bae7b55a2, 0xe90abaa417296be7, 0x2d2414f43aa702e6, 0x6cce5d9156ff7aaa,
  0x0cc377c252d4bf2b, 0xee3459eff10dc80f, 0x152256a75666fe0e, 0xbf313ffbc3def286, 0xc14d1f633b0e3f8c,
  0xc2f8d1e8bfc0fdff, 0x6ce1c4e32c970cf4, 0xcc59af3398b7e929, 0xae6b056689e4e0b9, 0x0000000000000013,
};

// m128_swio10_lednop_pr_ce_u4       m128a_swio10_lednop_pr_ce         m128a_swio10_lednop_pr_ce_u4
static const uint64_t ur_m128_swio10_lednop_pr_ce[] = {
  0x2f777776890c1107, 0x4bbb55798408225e, 0xa6276999711864fc, 0x5ef5675f42e19e15, 0x9f6696c8833ddf16,
  0x15de4eea4cb1789d, 0x7fabe609f180904c, 0xa995e148e5ff8576, 0x842dbcdcee2b01bf, 0x886c244f659c3cf3,
  0x54341ff51e13c25f, 0x7ac9b3db84889c3e, 0x3c17ea38293dcb7d, 0x602c7b402921c490, 0xa3ebc3f22383e731,
  0xbb86a807feccf1d7, 0x955ac0ad03cb5bb7, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x7f42eb4d7020272b,
  0xb445794bac956ae9, 0x7ce80f1cad75cf6a, 0x5cdd21575482e52d, 0x5545a4829e8754e0, 0xcadb3397618edfef,
  0x03c330ddf094b52f, 0x83bb8d167bfc4372, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0x7ff05347d8cec38f,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x2e73166bcce62dfa, 0x06ebfe69d9a27938,
};

// m128_swio10_lednop_pr_ee_ce_u4    m128a_swio10_lednop_pr_ee_ce      m128a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_m128_swio10_lednop_pr_ee_ce[] = {
  0x86eeeeed121b9a7c, 0xeeed55e7126ea24c, 0x62d41541619e3bb1, 0x3c7e2f81793b92eb, 0x8a55c1d485ed9041,
  0xeeecdb4f16a1f8d3, 0x609f180904c15de4, 0x29d83ff85767f96a, 0x3bc6e037f54715bc, 0xd9670f3ce10b6f37,
  0x4784f097e21b0913, 0x0911387b928ebefd, 0xaca76b1d3df367b7, 0xf06cc1a01ea3cacb, 0x7d8b4c531594bf51,
  0x7d2d8cb8e1386e1d, 0x873abb73a51d484d, 0xb1d79d3bc213d1af, 0x2d3c9118dfb1aaf1, 0x8e1bd96cbe701c76,
  0xa59dc326951b044c, 0x091cf8e2daf2e556, 0xdf5673a8a9546ba4, 0xbad35c0809caed52, 0x5e52eb255aba5fd0,
  0x03c72b5d73daad11, 0x4855d520b94b5f3a, 0x6920a7a1d5381737, 0xcce5d863b7fbd551, 0xcc377c252d4bf2b6,
  0xe3459eff10dc80f0, 0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x14d1f633b0e3f8cb, 0x2f8d1e8bfc0fdffc,
  0xce1c4e32c970cf4c, 0xc59af3398b7e9296, 0x9bc956689e4e0b9c, 0x000000000000009f,
};

// m128a_swio10_lednop_ee_hw
static const uint64_t ur_m128_swio10_lednop_ee_hw[] = {
  0xd7dddddda28d12a8, 0x4dddaabf0bd91890, 0xf23bc97c7edbe6e6, 0x686d7a5a0a34d68d, 0x991f37620da086bd,
  0xde4ee9da087a5abe, 0x87e609f180904c15, 0x7bf0a1c1ffeb267e, 0xfa8f2b287355ad1c, 0x56c17d47c1b3067a,
  0x84e1b875f62d377c, 0xd64d2135f4b632e3, 0xa35f0e7569774ab8, 0xaad743af3a778427, 0x1c762d3c9118dfb1,
  0x08fd6e1bd96cbe70, 0xcaad402b864d2a36, 0xd7481239f1c5b5e5, 0xdaa5beace75152a8, 0xbfa175a6b8101395,
  0x5a22bca5d64ab574, 0xbe74078e56bae7b5, 0x2e6e90abaa417296, 0xaaa2d2414f43aa70, 0xf2b6cce5d9156ff7,
  0xf8f0cc377c252d4b, 0x3def286152256a74, 0xb0e3f8cbf313ffbc, 0xfc0fdffc14d1f633, 0xc970cf4c2f8d1e8b,
  0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x0000000b7c6907a2,
};

// m128_swio10_lednop_ee_ce_u4_hw    m128a_swio10_lednop_ee_ce_hw      m128a_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_m128_swio10_lednop_ee_ce_hw[] = {
  0x86eeeeed14684541, 0xeeed55e7126ea24c, 0x62d41541619e3bb1, 0x3c7e2f81793b92eb, 0x8a55c1d485ed9041,
  0xc9ddaafc99a842d3, 0xd4c13e30120982bb, 0xbc29d83ffd64cff2, 0x873bc6e037f54715, 0x27b2ce1e79c216fc,
  0xfa8f09e12fc43612, 0x6e122270e30bbb77, 0x97594ed63a7be6cf, 0xa3e0d983403d4795, 0x3afb1698a62b297e,
  0x9afa5b1971c270dc, 0x5f0e7576e74a3a90, 0xe363af3a778427a3, 0xec5a792231bf6355, 0x991c37b2d97ce038,
  0xad4b3b864d2a3608, 0x481239f1c5b5e5ca, 0xa5beace75152a8d7, 0xa175a6b8101395da, 0x22bca5d64ab574bf,
  0x74078e56bae7b55a, 0x6e90abaa417296be, 0xa2d2414f43aa702e, 0x6d99cbb0c76ff7aa, 0xe1986ef84a5a97e5,
  0xde50c2a44ad4e9f1, 0xc7f197e627ff787b, 0x1fbff829a3ec6761, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592,
  0x9c17398b35e67316, 0x000050166001453c,
};

/*
 * m128_swio10_dual_pr               m128_swio10_dual_pr_u4            m128a_swio10_dual
 * m128a_swio10_dual_pr              m128a_swio10_dual_pr_u4
 */
static const uint64_t ur_m128_swio10_dual[] = {
  0x4bbdddddda2432db, 0x3fe2f5e4f1f62f42, 0xb9db55ecce272e32, 0x3820b82588b51dad, 0xad17957a4cdd977d,
  0x696ee1e198509b6b, 0xc13e30120982bbc9, 0xd56a191b5148f394, 0x1030a193ed22d67d, 0x6584a0129dd3ee5f,
  0x038670297c5d82fe, 0x2481fee9bd4774bb, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf973f21f2fd70377,
  0x0b486f97177f25f2, 0x432d08c910cbfe42, 0x5ffd01cf09ad68a8, 0x82c2accc5ce5edca, 0xd917c28517fc93e9,
  0x240ed6f51c279df2, 0x5d629bf76dfa4871, 0xaf0cbe46b5ce62c0, 0xd500ffd9823af01a, 0x14e381e59ed8f837,
  0x556b3f99f47332b3, 0xba4091cf8e2daf2e, 0xd52df5673a8a9546, 0xfd0bad35c0809cae, 0xd115e52eb255aba5,
  0xf3a03c72b5d73daa, 0x7374855d520b94b5, 0x5516920a7a1d5381, 0x95b6672ec8ab7fbd, 0x078661bbe1296a5f,
  0x07771a2cf7f886e4, 0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xffe0a68fb19d871f, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x5ce62cd799cc5bf4, 0x0a49bcdbb344f270,
};

// m128a_swio10_dual_pr_ee
static const uint64_t ur_m128_swio10_dual_pr_ee[] = {
  0x876b77777750cf68, 0x6ebc5ebc86c385d0, 0x66d36c123524c294, 0x055899c44decdd6b, 0xe5a0a6bd8f312769,
  0x771c11560f0cce87, 0xf180904c15de4a33, 0x8646d45226a92609, 0x2864fb48b59f755a, 0x2804a774fb97c40c,
  0x9c3fe7170d1f9961, 0xeaf9bd47e9fd858f, 0x7cb8bd0a48904903, 0x21895fe7ef822fca, 0xc87cbbac06ee1f0a,
  0xbe5c5dfc97cbe5cf, 0x47b4432ff9082d21, 0x0e784d2245421968, 0x6662e72f6fff3fe8, 0x14275fe49f4c1615,
  0xe56c166ab5a331fe, 0xf7a8f83660fa8f51, 0x370ebec5a6ef8ad4, 0xa426be96c65c709c, 0xc73ab4bc875c0719,
  0xa1d794d5e19111cd, 0x8b4d7c471958d56b, 0xadc37b2dc99c071d, 0x99f47332b35c0dff, 0xcf8e2daf2e556b3f,
  0x673a8a9546ba4091, 0x35c0809caed52df5, 0x2eb255aba5fd0bad, 0x72b5d73daad115e5, 0x5d520b94b5f3a03c,
  0x0a7a1d5381737485, 0x2ec8ab7fbd551692, 0xbbe1296a5f95b667, 0x67bfc432b3678661, 0x4fdd599bf83bb8d1,
  0x7138cb25c33d30ae, 0x6bcce62dfa4a5b38, 0x0a59a279382e7316, 0x0000000000064287,
};

// m128a_swio10_dual_pr_ee_u4
static const uint64_t ur_m128_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed150fe5f82, 0x8bd790d869ea1271, 0xbd7b4fb2d5619eb7, 0x1cef7187c8077eaf, 0x66ec79899c4af8dd,
  0x8c5a3fc1cac10673, 0x82bbc9322eefeb74, 0x208f5cc13e301209, 0x8b59f755a8646d45, 0x4fb97c40c2864fb4,
  0xeff3f32c25301277, 0x3ffcd80683869ae2, 0x524482481f4fcdea, 0x3f7c117e53e5c5e8, 0xb03770f8510c4aff,
  0xc97cbe5cfc87c8db, 0xff9082d21be5c5df, 0xdc54219682fb4432, 0xedf4d7fd01cf0983, 0x4e3982c2accc5ce5,
  0xb5a3a95e140b5ff9, 0xc1edff51e572ba6a, 0x4ddf15efbf51f06c, 0x8cb8e1386e1d7d8b, 0x86b813f3484d7d2d,
  0x843da3400e756972, 0xdf6355ae875ec677, 0x76701c762d39c51b, 0x546c11fadc37b2ef, 0xfa39995980437c45,
  0xc716d7972ab59fcc, 0x9d454aa35d2048e7, 0xe0404e576a96fab3, 0x592ad5d2fe85d69a, 0x5aeb9ed5688af297,
  0xa905ca5af9d01e39, 0x3d0ea9c0b9ba42ae, 0x6455bfdeaa8b4905, 0xf094b52fcadb3397, 0x7bfc437203c330dd,
  0x4eaccdfc1a3f8d16, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3,
  0x67316fd252d9c389, 0x5493c9c17398b35e, 0x0000000159234f95,
};

// m128a_swio10_dual_pr_ce
static const uint64_t ur_m128_swio10_dual_pr_ce[] = {
  0x14addddddd437089, 0x3bf17af202fae342, 0xb85efb89c482b272, 0x3848d860b28fa7de, 0xb09bd9b75bdd2945,
  0xc95dd57b68ff5efb, 0x827c602413057793, 0x55a8646d4522c939, 0x40c2864fb48b59f7, 0x9612804a774fb97c,
  0x38270eafe2f43ff9, 0x481dba9bd478e5b0, 0x7e53e5c5e8524482, 0xf8510c4aff3f7c11, 0x2e7e43e5d1f03770,
  0x690df2e2efe4be5f, 0x65a07aa2197fc841, 0xffa039e130291508, 0xb0ab3317397b7eaf, 0xa8f0a6fbff24fa60,
  0x6de6e772b80577d7, 0x4e1c527ebfe79c21, 0x67b627e6815dc244, 0x4903e93d473d67b9, 0x731602d4a912921c,
  0xd780d57865f235ae, 0x87c1bea807feccf1, 0xe6656629c703cb5b, 0x5b5e5caad67f33e8, 0x152a8d7481239f1c,
  0x01395daa5beace75, 0xab574bfa175a6b81, 0xae7b55a22bca5d64, 0x17296be74078e56b, 0x3aa702e6e90abaa4,
  0x76ff7aaa2d2414f4, 0xa5a97e56d99cbb0c, 0x10cacd9e1986ef84, 0x666fe0eee3459eff, 0x2c970cf4c2b93f75,
  0x98b7e9296ce1c4e3, 0x89e4e0b9cc59af33, 0x0000000e7acad566,
};

// m128a_swio10_dual_pr_ce_u4
static const uint64_t ur_m128_swio10_dual_pr_ce_u4[] = {
  0xb7777768a87fb202, 0xc5ebc8825a0d0875, 0xee66cb12727ac52b, 0xf6503e421aafde3f, 0xda7ab8ee9d61eccc,
  0x66f5804e0a405df5, 0x0120982bbc989cee, 0x46d45213cbcc13e3, 0x64fb48b59f755a86, 0x012774fb97c40c28,
  0x068e2fa6bf32c253, 0xf9bd47b1fd87fc38, 0xb8bd0a48904903a1, 0x895fe7ef822fca7c, 0x7c800006ee1f0a21,
  0x5c5dfc97cbe5cfc8, 0xc4432ff9082d21be, 0x784db7e2a10cb41f, 0x62e72f6e1a3fe80e, 0x5affca71cc161566,
  0xdf5781bfac06f0a2, 0x2ce1e79c216fe019, 0xf09e12fc4361227b, 0x4889c3f37d523fa8, 0xcf72df589f9b3db8,
  0x24389207d27a8e7a, 0x6b5ce62c05a95225, 0x99e3af01aaf0cbe4, 0x96b70f837d500ffd, 0x67d1cccacc538e07,
  0x3e38b6bcb955acfe, 0x9cea2a551ae90247, 0xd7020272bb54b7d5, 0xbac956ae97f42eb4, 0xcad75cf6ab445794,
  0x75482e52d7ce80f1, 0x29e8754e05cdd215, 0x7618edfef5545a48, 0xdf094b52fcadb339, 0x67bfc437203c330d,
  0xd4eaccdfc1a3f8d1, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0x3d17f81fbff829a3, 0x9c6592e19e985f1a,
  0xe67316fd252d9c38, 0x55493c9c17398b35, 0x0000000034922ac5,
};

// m128_swio10_dual_pr_ee_ce_u4      m128a_swio10_dual_pr_ee_ce        m128a_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_m128_swio10_dual_pr_ee_ce[] = {
  0xddddda2a1ff96389, 0x7af23202cdd0816d, 0x5f7b8421a2fdfbf1, 0x594f05d7bd3523bf, 0x96c305913d3eebbf,
  0xc2acda9d35d54626, 0x2d4ee422fbd3ae9a, 0xc13e30120982bbc9, 0xb50c8da8a404918c, 0x1850c9f6916b3eea,
  0x84a6024ee9f72f88, 0xa38654717683fe65, 0xd9bf37a8f723b024, 0x9f2e2f4292241240, 0x886257f9fbe08bf2,
  0x90f943c981bb87c2, 0x7cb8bbf92f97cb9f, 0x2748865ff2105a43, 0x39e136ce8a8432d0, 0x3317397b7ca8ffa0,
  0x33e7fe538e60b0ab, 0xcc301bfaa3eaff0a, 0xce1e79c216fe019d, 0x09e12fc4361227b2, 0x2270e9c7f71ffa8f,
  0x4ed63a5f26cf6e12, 0xd983913d4795e049, 0x1698a62bcadea3e0, 0x5b1971c270dc3afb, 0x7576e2863a909afa,
  0x5ec677843da3400e, 0x738a37bec6abc6c7, 0x6f65deece038ec5a, 0x637c45546c113238, 0xb59fccfa39995996,
  0x2048e7c716d7972a, 0x96fab39d454aa35d, 0x85d69ae0404e576a, 0x8af297592ad5d2fe, 0xd01e395aeb9ed568,
  0xba42aea905ca5af9, 0x8b49053d0ea9c0b9, 0xb6672ec31dbfdeaa, 0x8661bbe1296a5f95, 0x7f1a2cf7f886e407,
  0x54895a9d599bf834, 0xfcc4ffef0f7bca18, 0x05347d8cec38fe32, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3,
  0x3166bcce62dfa4a5, 0x3087eaa9279382e7, 0x0000000000000400,
};

// m128a_swio10_dual_ee_hw
static const uint64_t ur_m128_swio10_dual_ee_hw[] = {
  0x2dddddda28d19231, 0xf17af21b0d3d424e, 0xf7af69f65aac33d6, 0xa39dee30f900efd5, 0x6cdd8f3133895f1b,
  0x741f5f7a6b5820ce, 0x20982bbc9322ee1a, 0xd45208f5cc13e301, 0xfb48b59f755a8646, 0x6774fb97c40c2864,
  0xd7177f9f996129d0, 0x6f51ffe6c0341c34, 0x2f4292241240fa7e, 0x57f9fbe08bf29f2e, 0x46dd81bb87c28862,
  0x2efe4be5f2e7e43e, 0x2197fc841690df2e, 0x4c1ee2a10cb417da, 0xe72f6fa6bfe80e78, 0x7f92374c16156662,
  0xe9aad68ea578502d, 0xc1b307b7fd4795ca, 0xf62d377c57befd47, 0xf4b632e384e1b875, 0xa5ca1ae04fcd2135,
  0x19de10f68d0039d5, 0x146f7d8d56ba1d7b, 0xcbbdd9c071d8b4e7, 0xf11551b047eb70de, 0x7f33e8e66566010d,
  0x239f1c5b5e5caad6, 0xeace75152a8d7481, 0x5a6b8101395daa5b, 0xca5d64ab574bfa17, 0x78e56bae7b55a22b,
  0x0abaa417296be740, 0x2414f43aa702e6e9, 0xce5d9156ff7aaa2d, 0xc377c252d4bf2b6c, 0x86152256a74f8f0c,
  0x8cbf313ffbc3def2, 0xffc14d1f633b0e3f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xb9cc59af3398b7e9,
  0x02bb4baa4a29e4e0,
};

// m128_swio10_dual_ee_ce_u4_hw      m128a_swio10_dual_ee_ce_hw        m128a_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_m128_swio10_dual_ee_ce_hw[] = {
  0xdddddda28d049231, 0x17af23202cdd0816, 0xf5f7b8421a2fdfbf, 0xf594f05d7bd3523b, 0x696c305913d3eebb,
  0x7ee90a29d35d5462, 0x5de496a7705b495c, 0x48c6609f180904c1, 0x9f755a8646d45202, 0x97c40c2864fb48b5,
  0xff996129d06774fb, 0xec0928e1951c5da0, 0x0490366fcdea3dc8, 0x22fca7cb8bd0a489, 0xe1f0a21895fe7ef8,
  0xf2e7e43e50f2606e, 0x1690df2e2efe4be5, 0x0cb409d22197fc84, 0x3fe80e784db3a2a1, 0x2c2accc5ce5edf2a,
  0x5fe1467cff246e98, 0xc873b986037f547d, 0x227b2ce1e79c216f, 0xdfa8f09e12fc4361, 0xf6e122270fc3fc7d,
  0x5e0494ed63a5f26c, 0xea3e0d983913d479, 0xc3afb1698a62bcad, 0x09afa5b1971c270d, 0x3400e7576e2863a9,
  0xbc6c75ec677843da, 0x8ec5a738a37bec6a, 0x132386f65deece03, 0x95996637c45546c1, 0x7972ab59fccfa399,
  0xaa35d2048e7c716d, 0xe576a96fab39d454, 0x5d2fe85d69ae0404, 0xed5688af297592ad, 0xa5af9d01e395aeb9,
  0x9c0b9ba42aea905c, 0xfdeaa8b49053d0ea, 0xa5f95b6672ec31db, 0x3a7c78661bbe1296, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27, 0x514f2705ce62cd79,
  0x000000003aeb1dc8,
};

/*
 * m128_swio11_noled_pr              m128_swio11_noled_pr_u4           m128_swio12_noled
 * m128_swio12_noled_pr              m128_swio12_noled_pr_u4           m128a_swio11_noled
 * m128a_swio11_noled_pr             m128a_swio11_noled_pr_u4          m128a_swio12_noled
 * m128a_swio12_noled_pr             m128a_swio12_noled_pr_u4
 */
static const uint64_t ur_m128_swio11_noled[] = {
  0xd05bbbbb4486d38b, 0xddaab914a8712b89, 0xdb26fd8d05b04f05, 0xd60e21b63367ebd3, 0x8fcc78feedc4e82c,
  0xe4eec1b0dc7ecdd5, 0x1a609f180904c15d, 0xbf0a07bffc2bb3f0, 0x0c9af51c143be5b7, 0x594d1ed00a487124,
  0xf0a628c45398b016, 0x2a01ffb30475e8fa, 0x508981e59eddadd0, 0x1239f1c5b5e5caad, 0xeaece75152a8d748,
  0xfa175a6b395daa5b, 0x688af297592b637a, 0x7869de7c5aeb9ed5, 0x02eaf4830ba9b14a, 0xf5545a5b44f43aa7,
  0xfcadb33b0862adfe, 0x203c330ddf094b52, 0xf83bb8d167bfc437, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b,
  0xf7ff05347d8cec38, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x82e73166bcce62df, 0x00f93133459a2793,
};

/*
 * m128_swio11_noled_pr_ee_u4        m128_swio12_noled_pr_ee           m128_swio12_noled_pr_ee_u4
 * m128a_swio11_noled_pr_ee          m128a_swio11_noled_pr_ee_u4       m128a_swio12_noled_pr_ee
 * m128a_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_m128_swio11_noled_pr_ee[] = {
  0xad377776890c1107, 0xeed55f85c208971f, 0x9da6750c99f37326, 0x4368650b86785698, 0x6c8833106d05c7eb,
  0xeea4cb1789d9f669, 0x609f180904c15de4, 0x148e5ff85767fabe, 0xe565d66ab5a331fe, 0x5fa8f83660fa8f51,
  0x370ebec5a6ef8aca, 0xa426be96c65c709c, 0x21cead2e95971ac9, 0x743af3a7784f547f, 0xb169c428f7bb1aad,
  0xeb70decb65f380e3, 0x6a01740b3d51b047, 0x4091cf8e2daf2e55, 0xdf57673a8a9546ba, 0xd7d0bad359caed52,
  0xab445794bac95b1b, 0x53c34ef3e2d75cf6, 0x381757a4185d4d8a, 0xf7aaa2d2da27a1d5, 0x97e56d99d843156f,
  0xb901e1986ef84a5a, 0xdfc1ddc68b3dfe21, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x1fbff829a3ec6761,
  0xe19e985f1a3d17f8, 0xfd252d9c389c6592, 0x9c17398b35e67316, 0x000275ff34ecd13c,
};

/*
 * m128_swio11_noled_pr_ce_u4        m128_swio12_noled_pr_ce           m128_swio12_noled_pr_ce_u4
 * m128a_swio11_noled_pr_ce          m128a_swio11_noled_pr_ce_u4       m128a_swio12_noled_pr_ce
 * m128a_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_m128_swio11_noled_pr_ce[] = {
  0x2f7bbbbb44864aa4, 0xeed55e611ebc4ab4, 0x1efd3803d2993f12, 0xd5988b4b37764f57, 0xb68a101b1bb5a17b,
  0xef2777ed75da334f, 0x383304f8c048260a, 0x3df853677fe15d9f, 0x16de6e77a6c0dfd4, 0x361227b2ce1e79c2,
  0x5951fa8f09e12fc4, 0xb26cf6e122270e49, 0x67fa8ebe4f72df5e, 0x0a654bea4871240d, 0x7d7853146229cc58,
  0xe81500ffd99e3af4, 0x55aa11303cb5bad6, 0xe902473e38b6bcb9, 0x4b7d5d9cea2a551a, 0x6f5f42eb4d672bb5,
  0xdaad115e52eb256c, 0x294f0d3bcf8b5d73, 0x54e05d5e90617536, 0xbfdeaa8b4b689e87, 0xd4bf2b6ccec2131d,
  0x0dc80f0cc377c252, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xc0fdffc14d1f633b,
  0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398, 0x00001bafdf056689,
};

/*
 * m128_swio11_noled_pr_ee_ce_u4     m128_swio12_noled_pr_ee_ce        m128_swio12_noled_pr_ee_ce_u4
 * m128a_swio11_noled_pr_ee_ce       m128a_swio11_noled_pr_ee_ce_u4    m128a_swio12_noled_pr_ee_ce
 * m128a_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_m128_swio11_noled_pr_ee_ce[] = {
  0xc209bbbbb4486e7c, 0xeeed55e712cce246, 0x86d014f5cfde3bb1, 0x3c79bb3228ee99ed, 0x8dd091d485ecd841,
  0xeed71b414e5912ec, 0x609f180904c15de4, 0x298ddff85767ef0e, 0x3b43e037f5471cbc, 0xd9670f3ce10b6f37,
  0x4784f097e21b0913, 0x09113878fbae4afd, 0x3ca76b1d3df367b7, 0xf06cc1e95ea3cae4, 0x7d8b4c53159c3f51,
  0x7d2d8cb8e1386e1d, 0x873abb72561d484d, 0xd8ebce9de13d51fc, 0x8b4e2147bdd8d578, 0x2386f65b2f9c071d,
  0xa967d02cf546c113, 0x02473e38b6bcb955, 0x7d5d9cea2a551ae9, 0x5f42eb4d672bb54b, 0xad115e52eb256c6f,
  0x4f0d3bcf8b5d73da, 0xe05d5e9061753629, 0xdeaa8b4b689e8754, 0xbf2b6ccec2131dbf, 0xc80f0cc377c252d4,
  0xfe0eee3459eff10d, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0xfdffc14d1f633b0e, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x0009f91a9d6689e4,
};

// m128_swio12_noled_ee_hw           m128a_swio11_noled_ee_hw          m128a_swio12_noled_ee_hw
static const uint64_t ur_m128_swio11_noled_ee_hw[] = {
  0xeb4ddddda28d0582, 0xbbb557e1708225c7, 0x27699d43267cdcc9, 0xd0da1942e19e15a6, 0x5b220cc41b4171fa,
  0xbc9dd6c473b5391a, 0x57cc13e30120982b, 0x1fe148e5ffd64cff, 0xf51e565d66ab5a33, 0xaca5fa8f83660fa8,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x47f21cead2e95971, 0xaad743af3a7784f5, 0x0e3b169c428f7bb1,
  0x047eb70decb65f38, 0xe556a01740b3d51b, 0x6ba4091cf8e2daf2, 0xd52df57673a8a954, 0xb1bd7d0bad359cae,
  0xcf6ab445794bac95, 0xd8a53c34ef3e2d75, 0x1d5381757a4185d4, 0x56ff7aaa2d2da27a, 0xa5a97e56d99d8431,
  0xad4e9f1e1986ef84, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0xa3d17f81fbff829a, 0x89c6592e19e985f1,
  0x5e67316fd252d9c3, 0x095453c9c17398b3, 0x000000000000b7fa,
};

/*
 * m128_swio11_noled_ee_ce_u4_hw     m128_swio12_noled_ee_ce_hw        m128_swio12_noled_ee_ce_u4_hw
 * m128a_swio11_noled_ee_ce_hw       m128a_swio11_noled_ee_ce_u4_hw    m128a_swio12_noled_ee_ce_hw
 * m128a_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_m128_swio11_noled_ee_ce_hw[] = {
  0x413777768a34306a, 0xddaabce2599c48d8, 0xda029eb9fbc7763d, 0x8f3766451dd33db0, 0xba123a90bd9b0827,
  0x4eed6abbf766dd91, 0xe609f180904c15de, 0xe14c6effeb267ef0, 0x39da1f01bfaa38e5, 0x3d9670f3ce10b7e4,
  0xd4784f097e21b091, 0x70911387575c617f, 0x43ca76b1d3df367b, 0x1f06cc1e95ea3cae, 0xd7d8b4c53159c3f5,
  0xd7d2d8cb8e1386e1, 0xc873abb72561d484, 0x8d8ebce9de13d51f, 0xd8b4e2147bdd8d57, 0x32386f65b2f9c071,
  0x5a967d02cf546c11, 0x902473e38b6bcb95, 0xb7d5d9cea2a551ae, 0xf5f42eb4d672bb54, 0xaad115e52eb256c6,
  0x94f0d3bcf8b5d73d, 0x4e05d5e906175362, 0xfdeaa8b4b689e875, 0x4bf2b6ccec2131db, 0x74f8f0cc377c252d,
  0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0x8bfc0fdffc14d1f6, 0x32c970cf4c2f8d1e, 0x398b7e9296ce1c4e,
  0xa29e4e0b9cc59af3, 0x0000000050107fe1,
};

/*
 * m128_swio11_lednop_pr             m128_swio11_lednop_pr_u4          m128_swio12_lednop
 * m128_swio12_lednop_pr             m128_swio12_lednop_pr_u4          m128a_swio11_lednop
 * m128a_swio11_lednop_pr            m128a_swio11_lednop_pr_u4         m128a_swio12_lednop
 * m128a_swio12_lednop_pr            m128a_swio12_lednop_pr_u4
 */
static const uint64_t ur_m128_swio11_lednop[] = {
  0xe82ddddda243280b, 0xeed55c8a42f895c4, 0xad242fcc3ed82782, 0x6b0715431b65ef70, 0xd3b1fe9776e27416,
  0xe4eea3b29434dd93, 0x16609f180904c15d, 0xdf851fcffc2bb3e5, 0x064d7a8e801df2db, 0x2ca680dd45243892,
  0xf0e488c6f9cc580b, 0x2a01ffb30475e8fa, 0xcbb503cb3db83f6b, 0x2473e38b6bcb955a, 0xd5d9cea2a551ae90,
  0xb4d7020272bb54b7, 0xca5d64ae5e97f42e, 0x78e56bae7b55a22b, 0x0abaa417296be740, 0x2414f43aa702e6e9,
  0xcec63156ff7aaa2d, 0xc377c252d4bf2b6c, 0x3459eff10dc80f0c, 0x2256a75666fe0eee, 0x313ffbc3def28615,
  0x4d1f633b0e3f8cbf, 0xf8d1e8bfc0fdffc1, 0xe1c4e32c970cf4c2, 0x59af3398b7e9296c, 0xd20f6689e4e0b9cc,
  0x0000000000007c9e,
};

/*
 * m128_swio11_lednop_pr_ee_u4       m128_swio12_lednop_pr_ee          m128_swio12_lednop_pr_ee_u4
 * m128a_swio11_lednop_pr_ee         m128a_swio11_lednop_pr_ee_u4      m128a_swio12_lednop_pr_ee
 * m128a_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_m128_swio11_lednop_pr_ee[] = {
  0xd69bbbbb44867f3e, 0xeed55f85da2c4b8f, 0x2eac1cc46df37326, 0xd0da181050b41379, 0x934a7ec41b4171fa,
  0x3ba10f7eec48eb98, 0x9827c60241305779, 0xc284ebff0aecf85a, 0x3cad82cd56b4663f, 0x9ef51f06cc1f51ea,
  0x86e1d7d8b4ddf15a, 0x3484d7d2d8cb8e13, 0x6e39d5a5e43ae359, 0xae875e74ef0c888e, 0x762d35f11c656355,
  0xfd6e1bd96cbe701c, 0x56a015add02a3608, 0xa4091cf8e2daf2e5, 0x2df57673a8a9546b, 0x0bad35c0809caed5,
  0x8af297592b97a5fd, 0xd01e395aeb9ed568, 0xba42aea905ca5af9, 0x8b49053d0ea9c0b9, 0xdb33b18c55bfdeaa,
  0xc330ddf094b52fca, 0xbb8d167bfc437203, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xf05347d8cec38fe3,
  0x30be347a2ff03f7f, 0x5b387138cb25c33d, 0x73166bcce62dfa4a, 0xeb8d4e59a279382e, 0x0000000000000004,
};

/*
 * m128_swio11_lednop_pr_ce_u4       m128_swio12_lednop_pr_ce          m128_swio12_lednop_pr_ce_u4
 * m128a_swio11_lednop_pr_ce         m128a_swio11_lednop_pr_ce_u4      m128a_swio12_lednop_pr_ce
 * m128a_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_m128_swio11_lednop_pr_ce[] = {
  0x2f7bbbbb448607e1, 0xeed55e612a2c4ab4, 0x3df2350c99993f12, 0xd5988bd7696486d3, 0xd71b45c5fbb5a17b,
  0xbc9dd39d9f7938ab, 0x2d4c13e30120982b, 0xf7e141adff85767d, 0x5b79b9dc72037f50, 0xd8489ecb3879e708,
  0xa927ea3c2784bf10, 0x9367b70911387e8f, 0x7fa8f2fa7b96faf5, 0xa63f4aa4871240d6, 0xaf0e488c6f9cc580,
  0xb2a01ffb33c75e8f, 0x6b2ed40f2d6e83f6, 0x4091cf8e2daf2e55, 0xdf57673a8a9546ba, 0xbad35c0809caed52,
  0xaf297592b97a5fd0, 0x01e395aeb9ed5688, 0xa42aea905ca5af9d, 0xb49053d0ea9c0b9b, 0x66763131dbfdeaa8,
  0x661bbe1296a5f95b, 0x71a2cf7f886e4078, 0xa912b53ab337f077, 0xf989ffde1ef79430, 0x0a68fb19d871fc65,
  0x17c68f45fe07effe, 0x670e271964b867a6, 0x62cd799cc5bf494b, 0x7fc93b344f2705ce, 0x00000000000000dd,
};

/*
 * m128_swio11_lednop_pr_ee_ce_u4    m128_swio12_lednop_pr_ee_ce       m128_swio12_lednop_pr_ee_ce_u4
 * m128a_swio11_lednop_pr_ee_ce      m128a_swio11_lednop_pr_ee_ce_u4   m128a_swio12_lednop_pr_ee_ce
 * m128a_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_m128_swio11_lednop_pr_ee_ce[] = {
  0x41377776890c365a, 0xddaabce24a7448d8, 0xad3b41034bc7763d, 0xc79bb66664560ea0, 0xd9233d485ecd8413,
  0x77260fc8d4339619, 0x04f8c048260aef27, 0x435bffc2bb3ecf93, 0xdfeb81bfaa38e5e1, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x4889c3bc03118fea, 0xe53b58e9ef9b3db8, 0x83660f4af51e5652, 0xec5a6298aca1fa8f,
  0xe96c65c709c370eb, 0x39d5dba438ea426b, 0xc75e74ef0c888e6e, 0x5a6be238cac6abc6, 0x1c37b2d97ce038ec,
  0xa59dadd02a360899, 0x091cf8e2daf2e556, 0xf57673a8a9546ba4, 0xad35c0809caed52d, 0xf297592b97a5fd0b,
  0x1e395aeb9ed5688a, 0x42aea905ca5af9d0, 0x49053d0ea9c0b9ba, 0x6763131dbfdeaa8b, 0x61bbe1296a5f95b6,
  0x1a2cf7f886e40786, 0x912b53ab337f0777, 0x989ffde1ef79430a, 0xa68fb19d871fc65f, 0x7c68f45fe07effe0,
  0x70e271964b867a61, 0x2cd799cc5bf494b6, 0x106ab344f2705ce6, 0x00000000000004fc,
};

// m128_swio12_lednop_ee_hw          m128a_swio11_lednop_ee_hw         m128a_swio12_lednop_ee_hw
static const uint64_t ur_m128_swio11_lednop_ee_hw[] = {
  0xfd69bbbbb451a111, 0x6eed55f85da2c4b8, 0x92eac1cc46df3732, 0xad0da181050b4137, 0x8934a7ec41b4171f,
  0xbbc9dd1ec5ab6351, 0xc2d4c13e30120982, 0x98ff0a13affeb267, 0x47a8f2b60b355ad1, 0xc56a7bd47c1b307d,
  0x384e1b875f62d377, 0x8d64d2135f4b632e, 0x2239b8e7569790eb, 0x8d56ba1d79d3bc32, 0xc071d8b4d7c47195,
  0xd823f5b86f65b2f9, 0xcb955a8056b740a8, 0x51ae902473e38b6b, 0xbb54b7d5d9cea2a5, 0x97f42eb4d7020272,
  0x55a22bca5d64ae5e, 0x6be74078e56bae7b, 0x02e6e90abaa41729, 0x7aaa2d2414f43aa7, 0xbf2b6ccec63156ff,
  0x4f8f0cc377c252d4, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8,
  0x98b7e9296ce1c4e3, 0x29e4e0b9cc59af33, 0x00000000b7f822fa,
};

/*
 * m128_swio11_lednop_ee_ce_u4_hw    m128_swio12_lednop_ee_ce_hw       m128_swio12_lednop_ee_ce_u4_hw
 * m128a_swio11_lednop_ee_ce_hw      m128a_swio11_lednop_ee_ce_u4_hw   m128a_swio12_lednop_ee_ce_hw
 * m128a_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_m128_swio11_lednop_ee_ce_hw[] = {
  0x826eeeed14687a31, 0xbb5579c494e891b0, 0x5a768206978eec7b, 0x8f376cccc8ac1d41, 0xb2467a90bd9b0827,
  0x9dd51f421d26ec33, 0x4c13e30120982bbc, 0xc286b7ffd64cfb3e, 0x73bfd7037f5471cb, 0x7b2ce1e79c216fc8,
  0xa8f09e12fc436122, 0xb84889c3f539705f, 0x52e53b58e9ef9b3d, 0x8f83660f4af51e56, 0xebec5a6298aca1fa,
  0x6be96c65c709c370, 0x6e39d5dba438ea42, 0xc6c75e74ef0c888e, 0xec5a6be238cac6ab, 0x991c37b2d97ce038,
  0x56a59dadd02a3608, 0xa4091cf8e2daf2e5, 0x2df57673a8a9546b, 0x0bad35c0809caed5, 0x8af297592b97a5fd,
  0xd01e395aeb9ed568, 0xba42aea905ca5af9, 0x8b49053d0ea9c0b9, 0xb66763131dbfdeaa, 0x8661bbe1296a5f95,
  0x79430a912b53a7c7, 0x1fc65f989ffde1ef, 0x7effe0a68fb19d87, 0x867a617c68f45fe0, 0xf494b670e271964b,
  0x705ce62cd799cc5b, 0x0005013bff0d14f2,
};

/*
 * m128_swio11_dual_pr               m128_swio11_dual_pr_u4            m128_swio12_dual
 * m128_swio12_dual_pr               m128_swio12_dual_pr_u4            m128a_swio11_dual
 * m128a_swio11_dual_pr              m128a_swio11_dual_pr_u4           m128a_swio12_dual
 * m128a_swio12_dual_pr              m128a_swio12_dual_pr_u4
 */
static const uint64_t ur_m128_swio11_dual[] = {
  0x1e9dbbbbb4486f97, 0xe2f5e4f1f9f74247, 0xfaa3e1bb272e323f, 0x8119f5dc6a1edb55, 0xb7bf673b7638f4e0,
  0xbba591aeb87c558e, 0xf8c048260aef25a5, 0x50c8da8a40c2f304, 0x850c9f6916b3eeab, 0x250094ee9f72f881,
  0x33814be2ec17f32c, 0x0ff74dea3ba5d81c, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0x9f90f976081bb87c,
  0x437cb8bbf92f97cb, 0x684648865ff2105a, 0xe80e784d6b454219, 0x156662e72f6e50ff, 0x9e14fddfe49f4c16,
  0x188bea3c8877cb0f, 0x6299c9995490e248, 0xc338a37bce62c05d, 0x403ff6608ebc06ab, 0xf8607967b6b5e325,
  0xad67f33e8e665677, 0x481239f1c5b5e5ca, 0x5beaece75152a8d7, 0x175a6b8101395daa, 0x15e52eb2572f4bfa,
  0xa03c72b5d73daad1, 0x74855d520b94b5f3, 0x16920a7a1d538173, 0xb6676318ab7fbd55, 0x8661bbe1296a5f95,
  0x771a2cf7f886e407, 0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xe0a68fb19d871fc6, 0x617c68f45fe07eff,
  0xb670e271964b867a, 0xe62cd799cc5bf494, 0x49c7d7b344f2705c, 0x000000000000000a,
};

// m128_swio12_dual_pr_ee            m128a_swio11_dual_pr_ee           m128a_swio12_dual_pr_ee
static const uint64_t ur_m128_swio11_dual_pr_ee[] = {
  0x1ec82b7777750c86, 0xbaf17af21b1ee284, 0x609bc7f67c738a51, 0x5627ed61f64cb9db, 0x644f7763cc48f641,
  0x73c119d4b229d0ce, 0x180904c15de4a337, 0x646d4520b316609f, 0x864fb48b59f755a8, 0x804a774fb97c40c2,
  0xc3fe7170d1f99612, 0xaf9bd47e9fd858f9, 0xcb8bd0a48904903e, 0x1895fe7ef822fca7, 0x87c9d5006ee1f0a2,
  0xe5c5dfc97cbe5cfc, 0x7b4432ff9082d21b, 0xe784d22454219684, 0xcc5ce5edf76bfe80, 0x3abffc93e982c2ac,
  0xad4f4d56b46fe785, 0xea3e0d98309fea3c, 0xc3afb169bbe2bc09, 0x09afa5b1971c270d, 0xcead2e70d701c669,
  0x75e535787ba460a1, 0xa73723c8b6355ae8, 0xe1bd96e4ce038ec5, 0x7d1cccacd71197d6, 0xe38b6bcb955acfe6,
  0xcea2a551ae902473, 0x020272bb54b7d5d9, 0x64ae5e97f42eb4d7, 0x6bae7b55a22bca5d, 0xa417296be74078e5,
  0xf43aa702e6e90aba, 0x3156ff7aaa2d2414, 0xc252d4bf2b6ccec6, 0x7f886566cf0cc377, 0xbab337f07771a2cf,
  0x71964b867a615c9f, 0x99cc5bf494b670e2, 0xb344f2705ce62cd7, 0x000000000c851b8f,
};

// m128_swio12_dual_pr_ee_u4         m128a_swio11_dual_pr_ee_u4        m128a_swio12_dual_pr_ee_u4
static const uint64_t ur_m128_swio11_dual_pr_ee_u4[] = {
  0xf6eeeed150ffac4f, 0xf5e43607e509f695, 0x5eec5e355867ade2, 0x95a083e44fdebde9, 0x963cc4fda57c6e93,
  0x5dd9fda38ff7d7c9, 0x5de49917707d7e0e, 0xe7ae609f180904c1, 0xacfbaad43236a291, 0xdcbe20614327da45,
  0xf9f9961298093ba7, 0xfe6c0341c34d7177, 0x2241240fa7e6f51f, 0xbe08bf29f2e2f429, 0x1bb87c2886257f9f,
  0xbe5f2e7e43e5c838, 0xc841690df2e2efe4, 0x2a10cb417da2197f, 0xe76ffe80e784c1ee, 0x3982c2accc5ce5ed,
  0x46517c29d3fff94e, 0x995ea3caf7dcd56b, 0xdf15dbaf51f06cc1, 0xb8e1386e1d7d8b4d, 0xb813f3484d7d2d8c,
  0x3da3d28e7569760a, 0x6355ae875ec67786, 0x701c762d34011a63, 0x6c11fadc37b2ef76, 0x1cccacc028cb7b54,
  0x8b6bcb955acfe67d, 0xa2a551ae902473e3, 0x0272bb54b7d5d9ce, 0xae5e97f42eb4d702, 0xae7b55a22bca5d64,
  0x17296be74078e56b, 0x3aa702e6e90abaa4, 0x56ff7aaa2d2414f4, 0x52d4bf2b6ccec631, 0xf10dc80f0cc377c2,
  0xb337f068fe3459ef, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0xfe07effe0a68fb19, 0x64b867a617c68f45,
  0xc5bf494b670e2719, 0x4f2705ce62cd799c, 0x00000564b662d552,
};

// m128_swio12_dual_pr_ce            m128a_swio11_dual_pr_ce           m128a_swio12_dual_pr_ce
static const uint64_t ur_m128_swio11_dual_pr_ce[] = {
  0x914edddddd435202, 0xf17af202faefa11d, 0x8db41fb476b2723b, 0x2202935d00d8befb, 0x0fb2656b75d914e1,
  0x5dcb8beec2bdeb2b, 0x7c602413057793c9, 0xa8646d4523b8f982, 0xc2864fb48b59f755, 0x12804a774fb97c40,
  0x270eafe2f43ff996, 0x1dba9bd478e5b038, 0x53e5c5e852448248, 0x510c4aff3f7c117e, 0x7e43e4d0703770f8,
  0x0df2e2efe4be5f2e, 0xa07aa2197fc84169, 0xa039e13029150865, 0x55998b9cbdba5aff, 0xf852dd7f927d3058,
  0xe6e77bec0577d427, 0x3e37760fe79c216d, 0x6c4fcd02bb84889c, 0x0ee1fa8fd44f72cf, 0x580a517baa487124,
  0x80d57867146f79cc, 0xbc64a807feccf1d7, 0x32b3bfc303cb5b96, 0xaf2e556b3f99f473, 0x9546ba4091cf8e2d,
  0xcaed52df57673a8a, 0x7a5fd0bad35c0809, 0xed5688af297592b9, 0xa5af9d01e395aeb9, 0x9c0b9ba42aea905c,
  0xfdeaa8b49053d0ea, 0xa5f95b66763131db, 0x2b3678661bbe1296, 0xbf83bb8d167bfc43, 0x5c33d30ae4fdd599,
  0xdfa4a5b387138cb2, 0x9382e73166bcce62, 0x000073d63a2d9a27,
};

// m128_swio12_dual_pr_ce_u4         m128a_swio11_dual_pr_ce_u4        m128a_swio12_dual_pr_ce_u4
static const uint64_t ur_m128_swio11_dual_pr_ce_u4[] = {
  0xdb777768a87fa812, 0xf5e44132268457c3, 0xd5faec21bd6295e2, 0x31c2c9b51fdccdef, 0xf2bbf755f0f66669,
  0x7c80b782a4633683, 0x2413057793139dc5, 0xda8a41c939827c60, 0x9f6916b3eeab50c8, 0x24ee9f72f881850c,
  0xd1c5f4d7e6584a60, 0x37a8f63fb0ff8700, 0x17a149120920743f, 0x2bfcfdf045f94f97, 0x2d5040ddc3e14431,
  0x177f25f2f973f21f, 0x10cbfe420b486f97, 0x136df8a8432d07f1, 0x7397b74dbffa039e, 0xffe538e60b0ab331,
  0x2d01bfaafbf0a50f, 0x70f3ce10b7f00ced, 0x4f097e21b0913d96, 0x44e1cc03743fd478, 0xb96fac4fcd9edc24,
  0x38920770fd47ea27, 0xbce62c0528bdd524, 0x78ebc06abc338a37, 0xadcb5e325403ff66, 0xfa399959dfe181e5,
  0xc716d7972ab59fcc, 0x9d454aa35d2048e7, 0x0404e576a96fabb3, 0xc95cbd2fe85d69ae, 0xd75cf6ab445794ba,
  0x482e52d7ce80f1ca, 0xe8754e05cdd21575, 0x98edfef5545a4829, 0x094b52fcadb33b18, 0xbfc437203c330ddf,
  0xeaccdfc1a3f8d167, 0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0x17f81fbff829a3ec, 0x6592e19e985f1a3d,
  0x7316fd252d9c389c, 0x493c9c17398b35e6, 0x00000034938cd155,
};

/*
 * m128_swio11_dual_pr_ee_ce_u4      m128_swio12_dual_pr_ee_ce         m128_swio12_dual_pr_ee_ce_u4
 * m128a_swio11_dual_pr_ee_ce        m128a_swio11_dual_pr_ee_ce_u4     m128a_swio12_dual_pr_ee_ce
 * m128a_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_m128_swio11_dual_pr_ee_ce[] = {
  0xf777768a87fd5214, 0xf2320614a1135d13, 0xad049ba2fdfbf17a, 0x8d1f2bdefd7da34e, 0x1935d13d3ef66eb6,
  0xe82dd85583c334b6, 0x774ae3c559b9a75f, 0xf180904c15de496a, 0x191b514855f86609, 0xa193ed22d67dd56a,
  0x4c049dd3ee5f1030, 0x0ca8e2ed07fccb09, 0x7e6f51ee47604947, 0x5c5e8524482481b3, 0xc4aff3f7c117e53e,
  0xc9721f03770f8510, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5, 0x09b674542196813a, 0x7397b7e8fffd01cf,
  0xffe538e60b0ab331, 0x01bfaa34b5e1466f, 0xe79c216fe019df2d, 0x12fc4361227b2ce1, 0x0f649ae8bfa8f09e,
  0x63a5f26cf6e12227, 0x3eebd4795e5694ed, 0x8a62b95dea3e0d98, 0x971c270dc3afb169, 0x6e60a3a909afa5b1,
  0x677863da3d28e757, 0x234c6c6abc6c75ec, 0x5deece038ec5a680, 0xb7b546c1132386f6, 0xfe67d1cccaccb38c,
  0x473e38b6bcb955ac, 0x5d9cea2a551ae902, 0x4d7020272bb54b7d, 0xa5d64ae5e97f42eb, 0x8e56bae7b55a22bc,
  0xabaa417296be7407, 0x414f43aa702e6e90, 0xd8c4c76ff7aaa2d2, 0x6ef84a5a97e56d99, 0x8b3dfe21b901e198,
  0x56a75666fe0d1fc6, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8,
  0xaf3398b7e9296ce1, 0x4aaa49e4e0b9cc59, 0x00000000008001aa,
};

// m128_swio12_dual_ee_hw            m128a_swio11_dual_ee_hw           m128a_swio12_dual_ee_hw
static const uint64_t ur_m128_swio11_dual_ee_hw[] = {
  0xbeddddda28d08f43, 0x5ebc86c0fca13ed2, 0x2bdd8bc6ab0cf5bc, 0x72b4107c89fbd7bd, 0x32c7989fb4af8dd2,
  0xd35b669d71fefaf9, 0x4c15de499177093f, 0x291e7ae609f18090, 0xa45acfbaad43236a, 0xba7dcbe20614327d,
  0x8bbfcfccb094e833, 0xa8fff3601a0e1a6b, 0xa1491209207d3f37, 0xfcfdf045f94f9717, 0x41c0ddc3e144312b,
  0x7f25f2f973f21f2e, 0xcbfe420b486f9717, 0x0f7150865a0bed10, 0x2f6f3b7ff4073c26, 0x92374c16156662e7,
  0x55ad1945f0a74fff, 0xb306657a8f2bdf73, 0x2d377c576ebd47c1, 0xb632e384e1b875f6, 0xd82ae04fcd2135f4,
  0xde18f68f4a39d5a5, 0x698d8d56ba1d7b19, 0xbdd9c071d8b4d004, 0xed51b047eb70decb, 0x99f47332b300a32d,
  0xcf8e2daf2e556b3f, 0x673a8a9546ba4091, 0x5c0809caed52df57, 0x7592b97a5fd0bad3, 0x95aeb9ed5688af29,
  0xea905ca5af9d01e3, 0x53d0ea9c0b9ba42a, 0x18c55bfdeaa8b490, 0xdf094b52fcadb33b, 0x54895a9d3e3c330d,
  0xfcc4ffef0f7bca18, 0x05347d8cec38fe32, 0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5,
  0xda39e4e8a79382e7, 0x0000000000000015,
};

/*
 * m128_swio11_dual_ee_ce_u4_hw      m128_swio12_dual_ee_ce_hw         m128_swio12_dual_ee_ce_u4_hw
 * m128a_swio11_dual_ee_ce_hw        m128a_swio11_dual_ee_ce_u4_hw     m128a_swio12_dual_ee_ce_hw
 * m128a_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_m128_swio11_dual_ee_ce_hw[] = {
  0x7eeeeed14685b217, 0x5e4640c294226ba2, 0xd5a093745fbf7e2f, 0xd1a3e57bdfafb469, 0xc326ba27a7decdd6,
  0xd1b9bb0ab0786696, 0x496a770404d214d6, 0x6609f180904c15de, 0xd56a191b514855f8, 0x1030a193ed22d67d,
  0x6584a7419dd3ee5f, 0x24a38654717683fe, 0x40d9bf37a8f723b0, 0xf29f2e2f42922412, 0xc2886257f9fbe08b,
  0x7e43e4b90f81bb87, 0x0df2e2efe4be5f2e, 0x409d22197fc84169, 0x80e784db3a2a10cb, 0x5998b9cbdbf47ffe,
  0x519bffe48dd30585, 0x77cb406fea8d2d78, 0x659c3cf3842df90e, 0x1e13c25f886c244f, 0x2444e1d9ebf5abf5,
  0xd29dac74be4d9edc, 0xc1b307dd7a8f2bca, 0xf62d314c572bbd47, 0xf4b632e384e1b875, 0x1ceaedcc14752135,
  0x8ebd8cef0c7b47a5, 0xb4d004698d8d578d, 0x70decbbdd9c071d8, 0x967196f6a8d82264, 0x2ab59fccfa399959,
  0x5d2048e7c716d797, 0xa96fabb39d454aa3, 0xe85d69ae0404e576, 0x445794bac95cbd2f, 0xce80f1cad75cf6ab,
  0xcdd21575482e52d7, 0x545a4829e8754e05, 0xadb33b1898edfef5, 0x3c330ddf094b52fc, 0x7bca1854895a9d3e,
  0x38fe32fcc4ffef0f, 0x03f7ff05347d8cec, 0x5c33d30be347a2ff, 0xdfa4a5b387138cb2, 0x9382e73166bcce62,
  0x00003aea9ff868a7,
};

/*
 * m128_swio13_noled_pr              m128_swio13_noled_pr_u4           m128a_swio13_noled
 * m128a_swio13_noled_pr             m128a_swio13_noled_pr_u4
 */
static const uint64_t ur_m128_swio13_noled[] = {
  0x13bbbbbb44862d7b, 0x0bbb557229e3e249, 0xc9ea9bd590e3609e, 0x59ac683001337936, 0xcd4e17bafdd489d0,
  0x7793bb704dd43329, 0xafb9827c60241305, 0x07fc291efff0aecf, 0x40fa0f51e5f1df2d, 0x6594c63f4aa48712,
  0xaf0c428f7b398b01, 0x22a01ffb30475e8f, 0xd5f5b81e59ed88bd, 0x81239f1c5b5e5caa, 0xa9bece75152a8d74,
  0x85d69ace576a96fa, 0x15e52eb255abdebe, 0xd3bcf8b5d73daad1, 0xd5e90617536294f0, 0xa8b4b689e8754e05,
  0x2b6cce32455bfdea, 0x0f0cc377c252d4bf, 0x0eee3459eff10dc8, 0x86152256a75666fe, 0x8cbf313ffbc3def2,
  0xffc14d1f633b0e3f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0xb9cc59af3398b7e9, 0x3e4e4cd16689e4e0,
};

// m128_swio13_noled_pr_ee_u4        m128a_swio13_noled_pr_ee          m128a_swio13_noled_pr_ee_u4
static const uint64_t ur_m128_swio13_noled_pr_ee[] = {
  0x5fbbbbbb448607e1, 0x9bbb557e17a8b127, 0x4cf7c8f8fdb7cdcc, 0xd0da266f5da5921b, 0x368b8bc41b413afa,
  0x3ba73b3ef27157ae, 0x9827c60241305779, 0xc2835bff0aecfa5a, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x2439d5a5fe72e359, 0xae875e74ef0f508f, 0xec5a7f22383f6355,
  0xfadc37b2d97ce038, 0xad402e909e546c11, 0x481239f1c5b5e5ca, 0xaa9bece75152a8d7, 0xe85d69ace576a96f,
  0x115e52eb255abdeb, 0x0d3bcf8b5d73daad, 0x5d5e90617536294f, 0xaa8b4b689e8754e0, 0xf2b6cce32455bfde,
  0x80f0cc377c252d4b, 0xe0eee3459eff10dc, 0x286152256a75666f, 0xf8cbf313ffbc3def, 0xdffc14d1f633b0e3,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x0b9cc59af3398b7e, 0x013aff9276689e4e,
};

// m128_swio13_noled_pr_ce_u4        m128a_swio13_noled_pr_ce          m128a_swio13_noled_pr_ce_u4
static const uint64_t ur_m128_swio13_noled_pr_ce[] = {
  0xafbbbbbb4486a4d6, 0x4bbb557984a0b121, 0xbf4f4c49711864fc, 0xbdeade94699fb537, 0xc5c8fd452b7ba35c,
  0x2bbc9ddd949f68ee, 0x7c9d4c13e3012098, 0x58f7e148adff8576, 0x085b79b9dece037f, 0x10d8489ecb3879e7,
  0x72e8ffea3c2784bf, 0xf59367b709113876, 0x327bd479ba7b96fa, 0x60287b9c6921c490, 0xd1f5e18851ef6731,
  0x17a45403ff6678eb, 0xe556afadc0f2d6e1, 0x6ba4091cf8e2daf2, 0xb7d54df673a8a954, 0xf5f42eb4d672bb54,
  0x5688af297592ad5e, 0xa7869de7c5aeb9ed, 0x702eaf4830ba9b14, 0xef5545a5b44f43aa, 0x4bf2b6cce3218edf,
  0xdc80f0cc377c252d, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0,
  0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b, 0x0000dd700ad6689e,
};

// m128_swio13_noled_pr_ee_ce_u4     m128a_swio13_noled_pr_ee_ce       m128a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_m128_swio13_noled_pr_ee_ce[] = {
  0xdeeeeeed1218022f, 0xdddaabce2437448a, 0x15ad8a82c33c7763, 0x78f3f762627791d0, 0x29d06f5217b2b682,
  0x76bbf22421b4f3d6, 0x04f8c048260aef27, 0x4fd7ffc2bb3f30d3, 0xec5201bfaa31ade1, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x2444e1fd6a7807f5, 0x729dac74f7cd9edc, 0xc1b3067afa8f2b38, 0xf62d314c565d7d47,
  0xf4b632e384e1b875, 0x1ceaeddf38752135, 0x63af3a7787a84792, 0x5a7f22383f6355e3, 0x1c37b2d97ce038ec,
  0xa59f484f2a360899, 0x091cf8e2daf2e556, 0x4df673a8a9546ba4, 0x2eb4d672bb54b7d5, 0xaf297592ad5ef5f4,
  0x9de7c5aeb9ed5688, 0xaf4830ba9b14a786, 0x45a5b44f43aa702e, 0xb6cce3218edfef55, 0xf0cc377c252d4bf2,
  0xeee3459eff10dc80, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfc14d1f633b0e3f8, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x9f80f276689e4e0b,
};

// m128a_swio13_noled_ee_hw
static const uint64_t ur_m128_swio13_noled_ee_hw[] = {
  0xafdddddda28d0a20, 0x4dddaabf0bd45893, 0xa67be47c7edbe6e6, 0x686d1337aed2c90d, 0x1b45c5e20da09d7d,
  0xde4eea0a4e5a10d7, 0x96a609f180904c15, 0xfe78506b7ff5933e, 0xfea3caca5cd56b46, 0x2b287ea3e0d98309,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x11e4873ab4bfce5c, 0x6ab5d0ebce9de1ea, 0x071d8b4fe44707ec,
  0x823f5b86f65b2f9c, 0xb955a805d213ca8d, 0x1ae902473e38b6bc, 0x2df5537d9cea2a55, 0xbd7d0bad359caed5,
  0x55a22bca5d64ab57, 0x29e1a779f16bae7b, 0x9c0babd20c2ea6c5, 0xfbd551696d13d0ea, 0xa97e56d99c648ab7,
  0x4e9f1e1986ef84a5, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0xd17f81fbff829a3e, 0xc6592e19e985f1a3,
  0x67316fd252d9c389, 0x1453c9c17398b35e, 0x0000000000b7c8cd,
};

// m128_swio13_noled_ee_ce_u4_hw     m128a_swio13_noled_ee_ce_hw       m128a_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_m128_swio13_noled_ee_ce_hw[] = {
  0xdeeeeeed146892df, 0xdddaabce2437448a, 0x15ad8a82c33c7763, 0x78f3f762627791d0, 0x29d06f5217b2b682,
  0x93bb73b66f7263d6, 0x69827c6024130577, 0x7853f5fffac99f98, 0x873b14806fea8c6b, 0x27b2ce1e79c216fc,
  0xfa8f09e12fc43612, 0xdb84889c3f9cba9d, 0x670e53b58e9ef9b3, 0xa8f83660cf5f51e5, 0x0ebec5a6298acbaf,
  0x26be96c65c709c37, 0xf2439d5dbbe70ea4, 0xbc6c75e74ef0f508, 0x1d8b4fe44707ec6a, 0x132386f65b2f9c07,
  0xaad4b3e909e546c1, 0x7481239f1c5b5e5c, 0xfaa9bece75152a8d, 0xbe85d69ace576a96, 0xd115e52eb255abde,
  0xf0d3bcf8b5d73daa, 0x05d5e90617536294, 0xeaa8b4b689e8754e, 0x7e56d99c6431dbfd, 0x9f1e1986ef84a5a9,
  0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x7f81fbff829a3ec6, 0x592e19e985f1a3d1, 0x316fd252d9c389c6,
  0x53c9c17398b35e67, 0x0000000501107dd4,
};

/*
 * m128_swio13_lednop_pr             m128_swio13_lednop_pr_u4          m128a_swio13_lednop
 * m128a_swio13_lednop_pr            m128a_swio13_lednop_pr_u4
 */
static const uint64_t ur_m128_swio13_lednop[] = {
  0x89dddddda2435562, 0x05ddaab91405f124, 0x921ab41b5ebdb04f, 0x166b1a0f8f803c5e, 0xeb5936a633752274,
  0x15de4eec4e76542d, 0x3ffba609f180904c, 0xb41ff0a406ffc2bb, 0x2481f41ea3e9477c, 0x0596532fb09f490e,
  0x3ebc2be238c8e62c, 0x88aa807fecc11d7a, 0x56b70e40f2cf6c6f, 0xa4091cf8e2daf2e5, 0xd54df673a8a9546b,
  0xb4d7020272bb54b7, 0xe52eb2572497f42e, 0x3c72b5d73daad115, 0x855d520b94b5f3a0, 0x920a7a1d53817374,
  0x6740a8ab7fbd5516, 0x61bbe1296a5f95b6, 0x1a2cf7f886e40786, 0x912b53ab337f0777, 0x989ffde1ef79430a,
  0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0xe907b344f2705ce6,
  0x0000000000003e4c,
};

// m128_swio13_lednop_pr_ee_u4       m128a_swio13_lednop_pr_ee         m128a_swio13_lednop_pr_ee_u4
static const uint64_t ur_m128_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb44863d5b, 0x9bbb557e1723f127, 0x583bd3a17c01cdcc, 0x686d133a8af5d90d, 0x9ae386620da09d7d,
  0x9dd2d43af02e8be9, 0xcc13e30120982bbc, 0x853abfff0aecff4f, 0x3cad4f4d56b46fe7, 0x09ea3e0d98309fea,
  0x0dc3afb169bbe2bc, 0x6909afa5b1971c27, 0x2873ab4b9c35c6b2, 0x5d0ebce9de1ee918, 0xd8b4e6e47916c6ab,
  0xf5b86f65b2f9c071, 0x5a80422f48a8d823, 0x902473e38b6bcb95, 0x5537d9cea2a551ae, 0xd35c0809caed52df,
  0x94bac95c925fd0ba, 0xf1cad75cf6ab4457, 0x1575482e52d7ce80, 0x4829e8754e05cdd2, 0x9d02a2adfef5545a,
  0x86ef84a5a97e56d9, 0x68b3dfe21b901e19, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e,
  0xf1a3d17f81fbff82, 0xc389c6592e19e985, 0xb35e67316fd252d9, 0x6a72cd13c9c17398, 0x000000000000275e,
};

// m128_swio13_lednop_pr_ce_u4       m128a_swio13_lednop_pr_ce         m128a_swio13_lednop_pr_ce_u4
static const uint64_t ur_m128_swio13_lednop_pr_ce[] = {
  0x5f777776890cac4f, 0x9776aaf309646243, 0xc8ef25f1fb6cc9f8, 0xdeade96828d35a37, 0xefe991f377ba35cb,
  0xbbc9dd4e455e6477, 0xd0fcc13e30120982, 0x1efc28707ff0aecf, 0x0b6f373b1ac06feb, 0x1b0913d9670f3ce1,
  0xe089fd4784f097e2, 0x64d9edc2444e1da0, 0x9ef51e719ee5bebd, 0x057f0f5a4871240c, 0x3ebc2be238c8e62c,
  0x88aa807feccf1d7a, 0x55adc3903cb5b86f, 0xe902473e38b6bcb9, 0xf5537d9cea2a551a, 0xad35c0809caed52d,
  0x794bac95c925fd0b, 0x0f1cad75cf6ab445, 0x21575482e52d7ce8, 0xa4829e8754e05cdd, 0x33a0518edfef5545,
  0x30ddf094b52fcadb, 0x8d167bfc437203c3, 0x4895a9d599bf83bb, 0xcc4ffef0f7bca185, 0x5347d8cec38fe32f,
  0xbe347a2ff03f7ff0, 0x387138cb25c33d30, 0x166bcce62dfa4a5b, 0x9ac159a279382e73, 0x00000000000006eb,
};

// m128_swio13_lednop_pr_ee_ce_u4    m128a_swio13_lednop_pr_ee_ce      m128a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_m128_swio13_lednop_pr_ee_ce[] = {
  0x6f777776890c5aa4, 0xeeed55e71252a245, 0xdad1ed51469e3bb1, 0x3c79fb0dd627a769, 0x3d6477a90bd95b41,
  0x750846719f5f5c05, 0x04f8c048260aef27, 0x9787ff85767d9bf3, 0xbec1037f54635bc2, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0x4889c39d7c2a8fd4, 0xe53b58e9ef9b3db8, 0x83660cf5f51e5650, 0xec5a6298ad82fa8f,
  0xe96c65c709c370eb, 0x39d5db8e18ea426b, 0xc75e74ef0f748c14, 0xb4e6e47916c6abc6, 0x386f65b2f9c071d8,
  0x4b3117a4546c1132, 0x1239f1c5b5e5caad, 0x9bece75152a8d748, 0xae0404e576a96faa, 0x5d64ae492fe85d69,
  0xe56bae7b55a22bca, 0xbaa417296be74078, 0x14f43aa702e6e90a, 0x028c76ff7aaa2d24, 0xef84a5a97e56d99d,
  0xb3dfe21b901e1986, 0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0xa3d17f81fbff829a,
  0x89c6592e19e985f1, 0x5e67316fd252d9c3, 0x16cd13c9c17398b3, 0x000000000013f25c,
};

// m128a_swio13_lednop_ee_hw
static const uint64_t ur_m128_swio13_lednop_ee_hw[] = {
  0x7eeeeeed1468bf3e, 0x6eed55f85c8fc49d, 0x60ef4e85f0073732, 0xa1b44cea2bd76435, 0x6b8e1988368275f5,
  0x793ba75a356b3ea6, 0x9f9827c602413057, 0xe7853abfffac99fe, 0xea3cad4f4d56b46f, 0xbc09ea3e0d98309f,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x182873ab4b9c35c6, 0xab5d0ebce9de1ee9, 0x71d8b4e6e47916c6,
  0x23f5b86f65b2f9c0, 0x955a80422f48a8d8, 0xae902473e38b6bcb, 0xdf5537d9cea2a551, 0xbad35c0809caed52,
  0x5794bac95c925fd0, 0x80f1cad75cf6ab44, 0xd21575482e52d7ce, 0x5a4829e8754e05cd, 0xd99d02a2adfef554,
  0x1986ef84a5a97e56, 0xe50c2a44ad4e9f1e, 0x7f197e627ff787bd, 0xfbff829a3ec6761c, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xc17398b35e67316f, 0x0002dfa642f453c9,
};

// m128_swio13_lednop_ee_ce_u4_hw    m128a_swio13_lednop_ee_ce_hw      m128a_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_m128_swio13_lednop_ee_ce_hw[] = {
  0xdeeeeeed146850e3, 0xdddaabce24a5448a, 0xb5a3daa28d3c7763, 0x78f3f61bac4f4ed3, 0x7ac8ef5217b2b682,
  0xc9dd4024dee1f00a, 0xfcc13e30120982bb, 0x7852f0fffac99f66, 0x0e77d8206fea8c6b, 0x4f659c3cf3842df9,
  0xf51e13c25f886c24, 0x6e122270eedd8593, 0x94394ed63a7be6cf, 0xa3e0d9833d7d4795, 0x3afb1698a62b60be,
  0x9afa5b1971c270dc, 0x050e7576e3863a90, 0xf1b1d79d3bc3dd23, 0x762d39b91e45b1aa, 0x4c8e1bd96cbe701c,
  0xab52cc45e9151b04, 0xd2048e7c716d7972, 0xeaa6fb39d454aa35, 0x5a6b8101395daa5b, 0xf297592b924bfa17,
  0x1e395aeb9ed5688a, 0x42aea905ca5af9d0, 0x49053d0ea9c0b9ba, 0x6740a31dbfdeaa8b, 0x61bbe1296a5f95b6,
  0x430a912b53a7c786, 0xc65f989ffde1ef79, 0xffe0a68fb19d871f, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x5ce62cd799cc5bf4, 0x05017a90a514f270,
};

/*
 * m128_swio13_dual_pr               m128_swio13_dual_pr_u4            m128a_swio13_dual
 * m128a_swio13_dual_pr              m128a_swio13_dual_pr_u4
 */
static const uint64_t ur_m128_swio13_dual[] = {
  0x247777776890cf68, 0xff8bd793c7957d08, 0x47f5009ba322b8c8, 0xc1023b4fb67c75b5, 0xd56875d396e891e9,
  0x5a5bb8e08ab01f19, 0x304f8c048260aef2, 0x755a8646d4523a9d, 0xc40c2864fb48b59f, 0x99612804a774fb97,
  0xc0e19c0a5f1760bf, 0x09207fba6f51dd2e, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xbe5cfc87c8d6c0dd,
  0x82d21be5c5dfc97c, 0x10cb42324432ff90, 0x0bff4073c26b5a2a, 0x60b0ab3317397b76, 0xb2d7f0a393ff24fa,
  0x2481ef7ea3f7477c, 0x0bac532560f7490e, 0xd57850046989cc58, 0x8aa807fecc11d780, 0x66f9d40f2cf6defc,
  0x5caad67f33e8e665, 0x8d7481239f1c5b5e, 0x96faa9bece75152a, 0x85d69ae0404e576a, 0x22bca5d64ae492fe,
  0x74078e56bae7b55a, 0x6e90abaa417296be, 0xa2d2414f43aa702e, 0xb6cce815156ff7aa, 0xf0cc377c252d4bf2,
  0xeee3459eff10dc80, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfc14d1f633b0e3f8, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x493bab76689e4e0b, 0x0000000000000001,
};

// m128a_swio13_dual_pr_ee
static const uint64_t ur_m128_swio13_dual_pr_ee[] = {
  0x21d6ddddddd432db, 0x1baf17af21b1b374, 0xa339b7d72c49c8a5, 0xb20ab13b2b7bbb9d, 0xc8970b421b1e624e,
  0x6ee1e19851fc2d75, 0x3e30120982bbc946, 0xa8646d4520f9f4c1, 0xc2864fb48b59f755, 0x12804a774fb97c40,
  0xf9c3fe7170d1f996, 0x3eaf9bd47e9fd858, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xfc87c952206ee1f0,
  0x1be5c5dfc97cbe5c, 0x847b4432ff9082d2, 0x80e784d224542196, 0x56662e72f6eff3fe, 0xc2863ffe49f4c161,
  0x3cad4f4d56b4701b, 0x4bf51f06cc1c89ea, 0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x50e75697f9cb80e3,
  0x743af29abc27aa30, 0x62d38851e45b1aad, 0xeb70decb726701c7, 0xf33e8e66566b8117, 0x39f1c5b5e5caad67,
  0xece75152a8d74812, 0x0404e576a96faa9b, 0x64ae492fe85d69ae, 0xf5ae7b55a22bca5d, 0x4a96165362ce80f3,
  0x2810b4c3233e9058, 0xb33a7a1d53811d16, 0x330ddf094b52fcad, 0xc68b3dfe21959b3c, 0x85727eeaccdfc1dd,
  0xd9c389c6592e19e9, 0x98b35e67316fd252, 0x1417eecd13c9c173, 0x0000000000000032,
};

// m128a_swio13_dual_pr_ee_u4
static const uint64_t ur_m128_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed150ff72df, 0x8bd790d819ca1365, 0xb57bcfb67d619eb7, 0x821e44b8585b4af7, 0x84363cc4eca57c6e,
  0xb46b2aae3f337368, 0x057792645ddd35bf, 0x41f3e9827c602413, 0x16b3eeab50c8da8a, 0x9f72f881850c9f69,
  0xdfe7e6584a6024ee, 0x7ff9b00d070d35c5, 0xa48904903e9f9bd4, 0x7ef822fca7cb8bd0, 0x206ee1f0a21895fe,
  0x92f97cb9f90f9052, 0xff2105a437cb8bbf, 0xb8a8432d05f68865, 0xdbbfcffa039e1307, 0x9c7305855998b9cb,
  0xd68ff77850c7fff2, 0x061efd4795dba9aa, 0x377c57a6fd47c1b3, 0x32e384e1b875f62d, 0xf2e04fcd2135f4b6,
  0x131e8cf539d5a5d4, 0x0d8d56ba1d7b19de, 0xd9c071d8b4f4a471, 0x51b047eb70decbbd, 0xd1cccacc02c8b07d,
  0x38b6bcb955acfe67, 0xea2a551ae902473e, 0x9caed52df5537d9c, 0xc925fd0bad35c080, 0xcf6ab445794bac95,
  0xe52d7ce80f1cad75, 0x54e05cdd21575482, 0xdfef5545a4829e87, 0x5a97e56d99d02a2a, 0x21b901e1986ef84a,
  0x66fe0d1fc68b3dfe, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xc0fdffc14d1f633b, 0x970cf4c2f8d1e8bf,
  0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398, 0x000159197e1aaa49,
};

// m128a_swio13_dual_pr_ce
static const uint64_t ur_m128_swio13_dual_pr_ce[] = {
  0x3d6ddddddd436f02, 0x77e2f5e405fb3742, 0x683b913b287b64e4, 0xc245b177689f9f7b, 0x80f9086e76ebd629,
  0x95dd793d6555eeb6, 0x27c602413057793c, 0x5a8646d452174598, 0x0c2864fb48b59f75, 0x612804a774fb97c4,
  0x8270eafe2f43ff99, 0x81dba9bd478e5b03, 0xe53e5c5e85244824, 0x8510c4aff3f7c117, 0x73f21f252403770f,
  0x486f97177f25f2f9, 0x2d03d510cbfe420b, 0xfd01cf098148a843, 0x855998b9cbdbd0ff, 0x278534dff927d305,
  0x6f373bb7402bbeb2, 0xe1ff5cd6ff3ce10b, 0x7b627e6815dc2444, 0x2076b7a8e13e7b96, 0xc580bfbb6fd24389,
  0x780d57850046989c, 0xefc8aa807feccf1d, 0x99959be7503cb5b9, 0x6d7972ab59fccfa3, 0x54aa35d2048e7c71,
  0x5daa5beaa6fb39d4, 0x4bfa175a6b810139, 0xd5688af297592b92, 0x5af9d01e395aeb9e, 0xc0b9ba42aea905ca,
  0xdeaa8b49053d0ea9, 0x5f95b66740a31dbf, 0xb3678661bbe1296a, 0xf83bb8d167bfc432, 0xc33d30ae4fdd599b,
  0xfa4a5b387138cb25, 0x382e73166bcce62d, 0x000e7ad3ebd9a279,
};

// m128a_swio13_dual_pr_ce_u4
static const uint64_t ur_m128_swio13_dual_pr_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x8bd7910469ea1271, 0xbd7b4fb2d4f58a57, 0x9cef7187c8077eaf, 0x19cd9bdd9c43d999,
  0xadd23168ff072b04, 0x48260aef26273bbf, 0xb514823d7304f8c0, 0x3ed22d67dd56a191, 0x49dd3ee5f1030a19,
  0xa38be9afccb094c0, 0x6f51ec7f61ff0e01, 0x2f4292241240e87e, 0x57f9fbe08bf29f2e, 0x46dd81bb87c28862,
  0x2efe4be5f2e7e43e, 0x2197fc841690df2e, 0x26dbf150865a0fe2, 0x7397b7d35ff4073c, 0x7fe538e60b0ab331,
  0x87c0dfd6a578502d, 0x70f3ce10b7f00cee, 0x4f097e21b0913d96, 0x44e1d523dd6fd478, 0xb96fac4fcd9edc24,
  0x3892076b7a8e13e7, 0x89cc580bfbb6fd24, 0xf1d780d578500469, 0x5b9efc8aa807fecc, 0xfa399959be7503cb,
  0xc716d7972ab59fcc, 0x9d454aa35d2048e7, 0x1395daa5beaa6fb3, 0xb924bfa175a6b810, 0xb9ed5688af297592,
  0x5ca5af9d01e395ae, 0xea9c0b9ba42aea90, 0xdbfdeaa8b49053d0, 0x96a5f95b66740a31, 0x886e4078661bbe12,
  0x99bf8347f1a2cf7f, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xf03f7ff05347d8ce, 0x25c33d30be347a2f,
  0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x0000692469f2aa92,
};

// m128_swio13_dual_pr_ee_ce_u4      m128a_swio13_dual_pr_ee_ce        m128a_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_m128_swio13_dual_pr_ee_ce[] = {
  0x7777768a87fd7fe1, 0x5ebc8c835d684eef, 0x27f2270fa8bf7efc, 0xcd7eecabde8d3ad1, 0x96c377689e9f7933,
  0x95485398a6752c86, 0x5a9dda429fe83b5a, 0x827c602413057792, 0xad43236a2917aa49, 0x0614327da45acfba,
  0x61298093ba7dcbe2, 0x28e1951c5da0ff99, 0x366fcdea3dc8ec09, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc,
  0xe43e5354806ee1f0, 0xdf2e2efe4be5f2e7, 0x09d22197fc841690, 0x0e784db3a2a10cb4, 0x998b9cbdbb41ffe8,
  0x3acfff29c7305855, 0xd9f00dfd51d0ff85, 0x670f3ce10b7f00ce, 0x84f097e21b0913d9, 0x11387ee3dd3afd47,
  0xa76b1d2f9367b709, 0xd983dbfea3cae574, 0x1698a62bdf7ea3e0, 0x5b1971c270dc3afb, 0x7576e53c3a909afa,
  0x5ec67784c7a33d4e, 0x7a523886c6abc6c7, 0x6f65deece038ec5a, 0xf22c1f546c113238, 0x6b3f99f47332b32c,
  0x4091cf8e2daf2e55, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x52eb2572497f42eb, 0xc72b5d73daad115e,
  0x55d520b94b5f3a03, 0x20a7a1d538173748, 0xe81463b7fbd55169, 0x377c252d4bf2b6cc, 0x459eff10dc80f0cc,
  0x2b53ab337f068fe3, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0x68f45fe07effe0a6, 0xe271964b867a617c,
  0xd799cc5bf494b670, 0x0d5524f2705ce62c, 0x00000000010012bf,
};

// m128a_swio13_dual_ee_hw
static const uint64_t ur_m128_swio13_dual_ee_hw[] = {
  0xadddddda28d11107, 0xf17af21b0339426c, 0xf6af79f6cfac33d6, 0xd043c8970b0b695e, 0x1086c7989d94af8d,
  0xc334eb76b5666e6d, 0x413057792645ddff, 0xa8a41f3e9827c602, 0xf6916b3eeab50c8d, 0xcee9f72f881850c9,
  0xae2eff3f32c253a0, 0xdea3ffcd80683869, 0x5e8524482481f4fc, 0xaff3f7c117e53e5c, 0x829103770f8510c4,
  0x5dfc97cbe5cfc87c, 0x432ff9082d21be5c, 0x983dc54219682fb4, 0xce5eddfe7fd01cf0, 0xff246e982c2accc5,
  0xa6ab5a3fdde1431f, 0x06cc187bf51e576e, 0xd8b4ddf15e9bf51f, 0xd2d8cb8e1386e1d7, 0x9753cb813f3484d7,
  0x67784c7a33d4e756, 0x91c436355ae875ec, 0x2ef76701c762d3d2, 0xc1f546c11fadc37b, 0xf99f47332b300b22,
  0x1cf8e2daf2e556b3, 0xf673a8a9546ba409, 0x020272bb54b7d54d, 0xb2572497f42eb4d7, 0xb5d73daad115e52e,
  0x520b94b5f3a03c72, 0x7a1d53817374855d, 0xa8ab7fbd5516920a, 0xe1296a5f95b66740, 0x912b53a7c78661bb,
  0x989ffde1ef79430a, 0xa68fb19d871fc65f, 0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6,
  0x94405d14f2705ce6, 0x0000000000000576,
};

// m128_swio13_dual_ee_ce_u4_hw      m128a_swio13_dual_ee_ce_hw        m128a_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_m128_swio13_dual_ee_ce_hw[] = {
  0xf7777768a344d164, 0xc5ebc8c835d684ee, 0x127f2270fa8bf7ef, 0x3cd7eecabde8d3ad, 0x696c377689e9f793,
  0xddab4eb98a6752c8, 0x5de496a7773cbb68, 0xea92609f180904c1, 0xb3eeab50c8da8a45, 0x72f881850c9f6916,
  0x1ff32c253a0cee9f, 0x1d81251c32a38bb4, 0x209206cdf9bd47b9, 0x045f94f9717a1491, 0xdc3e144312bfcfdf,
  0xbe5cfc87ca6a900d, 0x82d21be5c5dfc97c, 0x2196813a4432ff90, 0x3ffd01cf09b67454, 0x0b0ab3317397b768,
  0x0ff853acffc91ba6, 0xf21ced9f00dfd51d, 0x489ecb3879e7085b, 0x57ea3c2784bf10d8, 0x3db84889c3c7dd72,
  0x572ba53b58e97c9b, 0xf51f06cc1edff51e, 0xe1d7d8b4c5315efb, 0x84d7d2d8cb8e1386, 0x19ea73abb729e1d4,
  0x5e363af633bc263d, 0xc762d3d291c43635, 0x8991c37b2ef76701, 0x9599679160faa360, 0x7972ab59fccfa399,
  0xaa35d2048e7c716d, 0xaa5beaa6fb39d454, 0xfa175a6b8101395d, 0x688af297592b924b, 0xf9d01e395aeb9ed5,
  0xb9ba42aea905ca5a, 0xaa8b49053d0ea9c0, 0x95b66740a31dbfde, 0xc78661bbe1296a5f, 0xef79430a912b53a7,
  0x871fc65f989ffde1, 0xe07effe0a68fb19d, 0x4b867a617c68f45f, 0x5bf494b670e27196, 0xf2705ce62cd799cc,
  0x00001d750b1c4d14,
};

/*
 * m128_swio14_noled_pr              m128_swio14_noled_pr_u4           m128a_swio14_noled
 * m128a_swio14_noled_pr             m128a_swio14_noled_pr_u4
 */
static const uint64_t ur_m128_swio14_noled[] = {
  0xc7bbbbbb4486d38b, 0x0bbb55722950e251, 0xa7b64dfb1a0b609e, 0x59ac1c436c66cfd7, 0xab1f98f1fdd8e3d0,
  0xbbc9dd8361b8fd9b, 0xe034c13e30120982, 0x6f7e140f7ff85767, 0x481935ea382877cb, 0x2cb29a3da01490e2,
  0xf5e14c5188a73160, 0xa05403ff6608ebd1, 0x5aa11303cb3dbb5b, 0x902473e38b6bcb95, 0x4b7d59cea2a551ae,
  0xfd0bad359d372bb5, 0x5a22bca5d64ad8fd, 0x9e1a779f16bae7b5, 0xc0babd20c2ea6c52, 0xbd551696d13d0ea9,
  0xbf2b6ccec218ab7f, 0xc80f0cc377c252d4, 0xfe0eee3459eff10d, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0xfdffc14d1f633b0e, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xe0b9cc59af3398b7, 0x003e4c4cd16689e4,
};

// m128_swio14_noled_pr_ee_u4        m128a_swio14_noled_pr_ee          m128a_swio14_noled_pr_ee_u4
static const uint64_t ur_m128_swio14_noled_pr_ee[] = {
  0x5f777776890c1107, 0x9bbb557e17082243, 0x627699d43267cdcc, 0xad0da1942e19e15a, 0xa5b220cc41b410d7,
  0x93ba932c5e2767d9, 0xf9827c6024130577, 0xf852397fe15d9fea, 0x47959759aad68cc7, 0x297ea3e0d983ea3d,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0xfc873ab4ba565c6b, 0xb5d0ebce9de13d51, 0x8ec5a710a3deec6a,
  0x1fadc37b2d97ce03, 0x55a805d02cf546c1, 0xe902473e38b6bcb9, 0x54b7d59cea2a551a, 0xdfd0bad359d372bb,
  0x55a22bca5d64ad8f, 0x29e1a779f16bae7b, 0x9c0babd20c2ea6c5, 0xfbd551696d13d0ea, 0x4bf2b6ccec218ab7,
  0xdc80f0cc377c252d, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0x0fdffc14d1f633b0,
  0x70cf4c2f8d1e8bfc, 0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b, 0x00013aff9a76689e,
};

// m128_swio14_noled_pr_ce_u4        m128a_swio14_noled_pr_ce          m128a_swio14_noled_pr_ce_u4
static const uint64_t ur_m128_swio14_noled_pr_ce[] = {
  0x17bbbbbb44864aa4, 0x4bbb5579847af12f, 0x5c7bf4e00f4a64fc, 0xef56622d2cddd93d, 0x7db45080d8ddf165,
  0x57793bbf6baed19a, 0xf9c19827c6024130, 0xa1efc29b3bff0aec, 0x10b6f373bd3606fe, 0x21b0913d9670f3ce,
  0x4aca8fd4784f097e, 0xf59367b709113872, 0x6b3fd475f27b96fa, 0xc0532a5f52438920, 0xa3ebc298a3114e62,
  0xb740a807feccf1d7, 0xcaad508981e5add6, 0xd7481239f1c5b5e5, 0xdaa5beace75152a8, 0x7efe85d69ace9b95,
  0xdaad115e52eb256c, 0x294f0d3bcf8b5d73, 0x54e05d5e90617536, 0xbfdeaa8b4b689e87, 0xd4bf2b6ccec2131d,
  0x0dc80f0cc377c252, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xc0fdffc14d1f633b,
  0x970cf4c2f8d1e8bf, 0xb7e9296ce1c4e32c, 0xe4e0b9cc59af3398, 0x00001bafdf056689,
};

// m128_swio14_noled_pr_ee_ce_u4     m128a_swio14_noled_pr_ee_ce       m128a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_m128_swio14_noled_pr_ee_ce[] = {
  0x321bbbbbb4486e7c, 0xc7bbb5579c4b3389, 0xb61b4053d73f78ee, 0x04f1e6ecc8a3ba67, 0xb23742475217b641,
  0x93bb5c6d0539644b, 0x39827c6024130577, 0xf0a6377fe15d9fbc, 0xdced0f80dfd51c72, 0x4f659c3cf3842dbc,
  0xf51e13c25f886c24, 0xdc2444e1e3eeb92b, 0x90f29dac74f7cd9e, 0x47c1b307a57a8f2b, 0x75f62d314c5670fd,
  0x35f4b632e384e1b8, 0xf21ceaedc9587521, 0xe363af3a7784f547, 0x762d38851ef76355, 0x4c8e1bd96cbe701c,
  0x56a59f40b3d51b04, 0xa4091cf8e2daf2e5, 0x52df5673a8a9546b, 0x7f42eb4d674dcaed, 0x5688af297592b63f,
  0xa7869de7c5aeb9ed, 0x702eaf4830ba9b14, 0xef5545a5b44f43aa, 0x5f95b66761098edf, 0xe4078661bbe1296a,
  0x7f07771a2cf7f886, 0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x7effe0a68fb19d87, 0x867a617c68f45fe0,
  0xf494b670e271964b, 0x705ce62cd799cc5b, 0x0004fc8d4eb344f2,
};

// m128a_swio14_noled_ee_hw
static const uint64_t ur_m128_swio14_noled_ee_hw[] = {
  0xd7dddddda28d0582, 0x26eed55f85c20890, 0x989da6750c99f373, 0xeb4368650b867856, 0x696c8833106d0435,
  0xaef2775b11ced4e4, 0xfd5f304f8c048260, 0xcc7f852397ff5933, 0xa3d47959759aad68, 0xe2b297ea3e0d983e,
  0x1c270dc3afb169bb, 0xc6b26909afa5b197, 0xd51fc873ab4ba565, 0xc6ab5d0ebce9de13, 0xe038ec5a710a3dee,
  0x6c11fadc37b2d97c, 0xcb955a805d02cf54, 0x51ae902473e38b6b, 0x2bb54b7d59cea2a5, 0xd8fdfd0bad359d37,
  0xe7b55a22bca5d64a, 0x6c529e1a779f16ba, 0x0ea9c0babd20c2ea, 0xab7fbd551696d13d, 0x52d4bf2b6ccec218,
  0x56a74f8f0cc377c2, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0xd1e8bfc0fdffc14d, 0xc4e32c970cf4c2f8,
  0xaf3398b7e9296ce1, 0x04aa29e4e0b9cc59, 0x0000000000005bfd,
};

// m128_swio14_noled_ee_ce_u4_hw     m128a_swio14_noled_ee_ce_hw       m128a_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_m128_swio14_noled_ee_ce_hw[] = {
  0x437777768a34306a, 0xf776aaf389667126, 0xc3680a7ae7ef1dd8, 0x9e3cdd9914774cf6, 0x46e848ea42f6c820,
  0x793bb5aaefdd9b76, 0xc39827c602413057, 0x978531bbffac99fb, 0x90e7687c06fea8e3, 0x44f659c3cf3842df,
  0xff51e13c25f886c2, 0xedc2444e1d5d7185, 0xb90f29dac74f7cd9, 0xd47c1b307a57a8f2, 0x875f62d314c5670f,
  0x135f4b632e384e1b, 0x7f21ceaedc958752, 0x5e363af3a7784f54, 0xc762d38851ef7635, 0x44c8e1bd96cbe701,
  0x556a59f40b3d51b0, 0xba4091cf8e2daf2e, 0xd52df5673a8a9546, 0xf7f42eb4d674dcae, 0xd5688af297592b63,
  0x4a7869de7c5aeb9e, 0xa702eaf4830ba9b1, 0xfef5545a5b44f43a, 0xa5f95b66761098ed, 0x3a7c78661bbe1296,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0x45fe07effe0a68fb, 0x1964b867a617c68f, 0x9cc5bf494b670e27,
  0xd14f2705ce62cd79, 0x0000000028083ff0,
};

/*
 * m128_swio14_lednop_pr             m128_swio14_lednop_pr_u4          m128a_swio14_lednop
 * m128a_swio14_lednop_pr            m128a_swio14_lednop_pr_u4
 */
static const uint64_t ur_m128_swio14_lednop[] = {
  0xe3dddddda243280b, 0x05ddaab91485f128, 0xe15a485f987db04f, 0x2cd60e2a8636cbde, 0x27a763fd2eec71e8,
  0xbbc9dd47652869bb, 0xca2cc13e30120982, 0xb7bf0a3f9ff85767, 0x240c9af51d003be5, 0x16594d01ba8a4871,
  0xf5e1c9118df398b0, 0xd65403ff6608ebd1, 0xb5976a07967b707e, 0x2048e7c716d7972a, 0x96fab39d454aa35d,
  0x5a6b81013a6e576a, 0x794bac95cbec7a17, 0x0f1cad75cf6ab445, 0x21575482e52d7ce8, 0xa4829e8754e05cdd,
  0x99d8c62adfef5545, 0x986ef84a5a97e56d, 0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2,
  0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98, 0x8b35e67316fd252d, 0xda41ecd13c9c1739,
  0x0000000000000f93,
};

// m128_swio14_lednop_pr_ee_u4       m128a_swio14_lednop_pr_ee         m128a_swio14_lednop_pr_ee_u4
static const uint64_t ur_m128_swio14_lednop_pr_ee[] = {
  0xafbbbbbb44867f3e, 0x9bbb557e1768b121, 0xe4bab07311b7cdcc, 0xeb4368604142d04d, 0x624d29fb106d0435,
  0xe4ee843dfbb123ae, 0x6a609f180904c15d, 0xff0a13affc2bb3e1, 0xa8f2b60b355ad198, 0x6a7bd47c1b307d47,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x39b8e7569790eb8d, 0x56ba1d79d3bc3222, 0x71d8b4d7c471958d,
  0x23f5b86f65b2f9c0, 0x955a8056b740a8d8, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x0bad35c0809d372b,
  0x22bca5d64ae5f63d, 0x74078e56bae7b55a, 0x6e90abaa417296be, 0xa2d2414f43aa702e, 0xb6ccec63156ff7aa,
  0xf0cc377c252d4bf2, 0xeee3459eff10dc80, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfc14d1f633b0e3f8,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x3ae35396689e4e0b, 0x0000000000000001,
};

// m128_swio14_lednop_pr_ce_u4       m128a_swio14_lednop_pr_ce         m128a_swio14_lednop_pr_ce_u4
static const uint64_t ur_m128_swio14_lednop_pr_ce[] = {
  0x17bbbbbb448607e1, 0x4bbb557984a8b12f, 0x4cf7c8d4326664fc, 0xef56622f5da5921b, 0x5eb8da2e2fddf165,
  0x5de4ee9cecfbc9c5, 0xe96a609f180904c1, 0x87bf0a0d6ffc2bb3, 0x42dbcdcee3901bfa, 0x86c244f659c3cf38,
  0x7d493f51e13c25f8, 0xac9b3db84889c3f4, 0xb3fd4797d3dcb7d7, 0x0531fa5524389206, 0x7d787244637ce62c,
  0xb59500ffd99e3af4, 0xab5976a0796b741f, 0xd2048e7c716d7972, 0xa96fab39d454aa35, 0x75a6b81013a6e576,
  0x5794bac95cbec7a1, 0x80f1cad75cf6ab44, 0xd21575482e52d7ce, 0x5a4829e8754e05cd, 0xb33b1898edfef554,
  0x330ddf094b52fcad, 0xb8d167bfc437203c, 0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0x05347d8cec38fe32,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xbfe49d9a279382e7, 0x000000000000006e,
};

// m128_swio14_lednop_pr_ee_ce_u4    m128a_swio14_lednop_pr_ee_ce      m128a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_m128_swio14_lednop_pr_ee_ce[] = {
  0x43777776890c365a, 0xf776aaf38929d126, 0x82b4ed040d2f1dd8, 0x4f1e6ed99991583a, 0x67648cf5217b6410,
  0x9ddc983f2350ce58, 0x4c13e30120982bbc, 0x850d6fff0aecfb3e, 0xe77fae06fea8e397, 0x7b2ce1e79c216de6,
  0xa8f09e12fc436122, 0xe122270ef00c463f, 0x4b94ed63a7be6cf6, 0x3e0d983d2bd47959, 0xafb1698a62b287ea,
  0xafa5b1971c270dc3, 0xb8e7576e90e3a909, 0x1b1d79d3bc322239, 0xb169af88e32b1aaf, 0x6470decb65f380e3,
  0x5a9676b740a8d822, 0x902473e38b6bcb95, 0x4b7d59cea2a551ae, 0xad35c0809d372bb5, 0xbca5d64ae5f63d0b,
  0x078e56bae7b55a22, 0x90abaa417296be74, 0xd2414f43aa702e6e, 0x99d8c4c76ff7aaa2, 0x986ef84a5a97e56d,
  0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8,
  0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x041aacd13c9c1739, 0x000000000000013f,
};

// m128a_swio14_lednop_ee_hw
static const uint64_t ur_m128_swio14_lednop_ee_hw[] = {
  0x1afbbbbbb451a111, 0xc9bbb557e1768b12, 0xde4bab07311b7cdc, 0x5eb4368604142d04, 0x4624d29fb106d043,
  0x0aef27747b16ad8d, 0x9f0b5304f8c04826, 0x4663fc284ebffac9, 0xf51ea3cad82cd56b, 0xdf15a9ef51f06cc1,
  0xb8e1386e1d7d8b4d, 0xae3593484d7d2d8c, 0xc888e6e39d5a5e43, 0x56355ae875e74ef0, 0xe701c762d35f11c6,
  0xa3608fd6e1bd96cb, 0xaf2e556a015add02, 0x9546ba4091cf8e2d, 0xdcaed52df5673a8a, 0xd8f42eb4d7020274,
  0xd5688af297592b97, 0x5af9d01e395aeb9e, 0xc0b9ba42aea905ca, 0xdeaa8b49053d0ea9, 0x2fcadb33b18c55bf,
  0xd3e3c330ddf094b5, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0x2ff03f7ff05347d8, 0xcb25c33d30be347a,
  0xe62dfa4a5b387138, 0x8a79382e73166bcc, 0x000000002dfe08be,
};

// m128_swio14_lednop_ee_ce_u4_hw    m128a_swio14_lednop_ee_ce_hw      m128a_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_m128_swio14_lednop_ee_ce_hw[] = {
  0x86eeeeed14687a31, 0xeeed55e71253a24c, 0x0569da081a5e3bb1, 0x9e3cddb33322b075, 0xcec919ea42f6c820,
  0xf277547d08749bb0, 0xf9304f8c048260ae, 0x2f0a1adfff5933ec, 0x21ceff5c0dfd51c7, 0x89ecb3879e7085bf,
  0x7ea3c2784bf10d84, 0xf6e122270fd4e5c1, 0x594b94ed63a7be6c, 0xea3e0d983d2bd479, 0xc3afb1698a62b287,
  0x09afa5b1971c270d, 0x39b8e7576e90e3a9, 0xaf1b1d79d3bc3222, 0xe3b169af88e32b1a, 0x226470decb65f380,
  0x955a9676b740a8d8, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x0bad35c0809d372b, 0x22bca5d64ae5f63d,
  0x74078e56bae7b55a, 0x6e90abaa417296be, 0xa2d2414f43aa702e, 0x6d99d8c4c76ff7aa, 0xe1986ef84a5a97e5,
  0xde50c2a44ad4e9f1, 0xc7f197e627ff787b, 0x1fbff829a3ec6761, 0xe19e985f1a3d17f8, 0xfd252d9c389c6592,
  0x9c17398b35e67316, 0x0001404effc3453c,
};

/*
 * m128_swio14_dual_pr               m128_swio14_dual_pr_u4            m128a_swio14_dual
 * m128a_swio14_dual_pr              m128a_swio14_dual_pr_u4
 */
static const uint64_t ur_m128_swio14_dual[] = {
  0x977bbbbbb4486f97, 0x7fc5ebc9e3f3ee84, 0xabf547c3764e5c64, 0xc10233ebb8d43db6, 0x1d6f7ece76ecbbe9,
  0x4b774b235d70f8ab, 0x09f180904c15de4b, 0x56a191b5148185e6, 0x030a193ed22d67dd, 0x584a0129dd3ee5f1,
  0x38670297c5d82fe6, 0x481fee9bd4774bb0, 0x7e53e5c5e8524482, 0xf8510c4aff3f7c11, 0x973f21f2ec103770,
  0xb486f97177f25f2f, 0x32d08c910cbfe420, 0xffd01cf09ad68a84, 0x2c2accc5ce5edca1, 0x1f3c29fbbfc93e98,
  0x903117d47910ef96, 0xbac5339332a921c4, 0x57867146f79cc580, 0x4a807fecc11d780d, 0xeff0c0f2cf6d6bc6,
  0x955acfe67d1cccac, 0xae902473e38b6bcb, 0xb54b7d59cea2a551, 0x0bad35c0809d372b, 0x22bca5d64ae5f63d,
  0x74078e56bae7b55a, 0x6e90abaa417296be, 0xa2d2414f43aa702e, 0xb6ccec63156ff7aa, 0xf0cc377c252d4bf2,
  0xeee3459eff10dc80, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfc14d1f633b0e3f8, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9cc59af3398b7e92, 0x4938faf6689e4e0b, 0x0000000000000001,
};

// m128a_swio14_dual_pr_ee
static const uint64_t ur_m128_swio14_dual_pr_ee[] = {
  0x0876b77777750c86, 0xa375e2f5e4363dc5, 0xb6c1378fecf8e714, 0x82ac4fdac3ec9973, 0x9cc89eeec79893b4,
  0x6ee78233a96453a1, 0x3e30120982bbc946, 0x50c8da8a41662cc1, 0x850c9f6916b3eeab, 0x250094ee9f72f881,
  0xf387fce2e1a3f32c, 0x7d5f37a8fd3fb0b1, 0x4f9717a149120920, 0x44312bfcfdf045f9, 0xf90f93aa00ddc3e1,
  0x37cb8bbf92f97cb9, 0x08f68865ff2105a4, 0x01cf09a448a8432d, 0x5998b9cbdbeed7fd, 0x0a757ff927d30585,
  0x795a9e9aad68dfcf, 0x13d47c1b30613fd4, 0x1b875f62d377c578, 0xd2135f4b632e384e, 0x439d5a5ce1ae038c,
  0xd0ebca6af0f748c1, 0x8b4e6e47916c6ab5, 0xadc37b2dc99c071d, 0xccfa399959ae232f, 0xe7c716d7972ab59f,
  0xb39d454aa35d2048, 0x81013a6e576a96fa, 0xac95cbec7a175a6b, 0xad75cf6ab445794b, 0x5482e52d7ce80f1c,
  0x9e8754e05cdd2157, 0xc62adfef5545a482, 0xf84a5a97e56d99d8, 0xeff10cacd9e1986e, 0xf75666fe0eee3459,
  0x4e32c970cf4c2b93, 0xf3398b7e9296ce1c, 0xf6689e4e0b9cc59a, 0x000000000190a371,
};

// m128a_swio14_dual_pr_ee_u4
static const uint64_t ur_m128_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed150ffac4f, 0xc5ebc86c0fca1271, 0xd2bdd8bc6ab0cf5b, 0x272b4107c89fbd7b, 0x932c79899c4af8dd,
  0x1cbbb3fb471fefaf, 0x82bbc9322ee0fafc, 0x23cf5cc13e301209, 0x8b59f755a8646d45, 0x4fb97c40c2864fb4,
  0xeff3f32c25301277, 0x3ffcd80683869ae2, 0x524482481f4fcdea, 0x3f7c117e53e5c5e8, 0x703770f8510c4aff,
  0xc97cbe5cfc87cb90, 0xff9082d21be5c5df, 0xdc54219682fb4432, 0xdbcedffd01cf0983, 0x9c7305855998b9cb,
  0xd68ca2f853a7fff2, 0x8332bd4795efb9aa, 0x9bbe2bb75ea3e0d9, 0x1971c270dc3afb16, 0x157027e6909afa5b,
  0x0c7b47a51cead2ec, 0xc6c6ab5d0ebd8cef, 0xece038ec5a680234, 0xa8d823f5b86f65de, 0xfa399959805196f6,
  0xc716d7972ab59fcc, 0x9d454aa35d2048e7, 0x013a6e576a96fab3, 0x95cbec7a175a6b81, 0x75cf6ab445794bac,
  0x82e52d7ce80f1cad, 0x8754e05cdd215754, 0x2adfef5545a4829e, 0x4a5a97e56d99d8c6, 0xfe21b901e1986ef8,
  0x5666fe0d1fc68b3d, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8,
  0x98b7e9296ce1c4e3, 0x49e4e0b9cc59af33, 0x000000ac96cc5aaa,
};

// m128a_swio14_dual_pr_ce
static const uint64_t ur_m128_swio14_dual_pr_ce[] = {
  0x14addddddd435202, 0x77e2f5e405f5df42, 0xf71b683f68ed64e4, 0xc2440526ba01b17d, 0x561f64cad6e94a29,
  0x92bb9717dd857bd6, 0x04f8c048260aef27, 0xab50c8da8a4771f3, 0x81850c9f6916b3ee, 0x2c250094ee9f72f8,
  0x704e1d5fc5e87ff3, 0x903b7537a8f1cb60, 0xfca7cb8bd0a48904, 0xf0a21895fe7ef822, 0x5cfc87c9a0e06ee1,
  0xd21be5c5dfc97cbe, 0xcb40f54432ff9082, 0xff4073c260522a10, 0xb0ab3317397b74b5, 0x4ff0a5baff24fa60,
  0xdbcdcef7d80aefa8, 0x387c6eec1fcf3842, 0x9ed89f9a05770911, 0x481dc3f51fa89ee5, 0x98b014a2f75490e2,
  0xaf01aaf0ce28def3, 0x2d78c9500ffd99e3, 0xe665677f860796b7, 0x5b5e5caad67f33e8, 0x152a8d7481239f1c,
  0xe9b95daa5beace75, 0x2fb1e85d69ae0404, 0x3daad115e52eb257, 0x94b5f3a03c72b5d7, 0x53817374855d520b,
  0x7fbd5516920a7a1d, 0xd4bf2b6ccec6263b, 0x6566cf0cc377c252, 0x37f07771a2cf7f88, 0x4b867a615c9fbab3,
  0x5bf494b670e27196, 0xf2705ce62cd799cc, 0x00000e7ac745b344,
};

// m128a_swio14_dual_pr_ce_u4
static const uint64_t ur_m128_swio14_dual_pr_ce_u4[] = {
  0xb7777768a87fa812, 0xc5ebc882644d0875, 0xdfabf5d8437ac52b, 0xd26385936a3fb99b, 0x07e577ee9d61eccc,
  0x8af9016f0548c66d, 0xc048260aef26273b, 0x91b51483927304f8, 0x193ed22d67dd56a1, 0xc049dd3ee5f1030a,
  0x01a38be9afccb094, 0x7e6f51ec7f61ff0e, 0x2e2f4292241240e8, 0x6257f9fbe08bf29f, 0x3e5aa081bb87c288,
  0x2e2efe4be5f2e7e4, 0xe22197fc841690df, 0x3c26dbf150865a0f, 0x62e72f6e9b7ff407, 0x1fffca71cc161566,
  0xda5a037f55f7e14a, 0x2ce1e79c216fe019, 0xf09e12fc4361227b, 0x4889c39806e87fa8, 0x4f72df589f9b3db8,
  0x4871240ee1fa8fd4, 0x6f79cc580a517baa, 0xccf1d780d5786714, 0xcb5b96bc64a807fe, 0x99f47332b3bfc303,
  0xcf8e2daf2e556b3f, 0x673a8a9546ba4091, 0x020274dcaed52df5, 0x592b97d8f42eb4d7, 0x5aeb9ed5688af297,
  0xa905ca5af9d01e39, 0x3d0ea9c0b9ba42ae, 0x131dbfdeaa8b4905, 0xe1296a5f95b66763, 0xf7f886e4078661bb,
  0x9d599bf8347f1a2c, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0xa2ff03f7ff05347d, 0x8cb25c33d30be347,
  0xce62dfa4a5b38713, 0xa9279382e73166bc, 0x0000000692719a2a,
};

// m128_swio14_dual_pr_ee_ce_u4      m128a_swio14_dual_pr_ee_ce        m128a_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_m128_swio14_dual_pr_ee_ce[] = {
  0x7777768a87fd5214, 0x2f5e4640c294205b, 0x69d5a093745fbf7e, 0xd6d1a3e57bdfafb4, 0xd2d860b227a7decd,
  0x9d7fa0b761560f0c, 0x25a9dd2b8f1566e6, 0x9827c60241305779, 0x55a8646d452157e1, 0x40c2864fb48b59f7,
  0x2c253012774fb97c, 0x251c32a38bb41ff3, 0x06cdf9bd47b91d81, 0x94f9717a14912092, 0x144312bfcfdf045f,
  0xf21f25c87c0ddc3e, 0x6f97177f25f2f973, 0x04e910cbfe420b48, 0x073c26d9d150865a, 0xccc5ce5edfa3fff4,
  0x19bfff94e3982c2a, 0x7cb406fea8d2d785, 0xb3879e7085bf8067, 0xc2784bf10d8489ec, 0x889c3d926ba2fea3,
  0x53b58e97c9b3db84, 0x3660fbaf51e5795a, 0xc5a6298ae577a8f8, 0x96c65c709c370ebe, 0x9d5db9828ea426be,
  0xd7b19de18f68f4a3, 0x9a008d31b1aaf1b1, 0x1bd977bb380e3b16, 0xce32ded51b044c8e, 0x56b3f99f47332b32,
  0xa4091cf8e2daf2e5, 0x52df5673a8a9546b, 0xeb4d7020274dcaed, 0xaf297592b97d8f42, 0x01e395aeb9ed5688,
  0xa42aea905ca5af9d, 0xb49053d0ea9c0b9b, 0x66763131dbfdeaa8, 0x661bbe1296a5f95b, 0xf1a2cf7f886e4078,
  0x4895a9d599bf8347, 0xcc4ffef0f7bca185, 0x5347d8cec38fe32f, 0xbe347a2ff03f7ff0, 0x387138cb25c33d30,
  0x166bcce62dfa4a5b, 0x6a92aa9279382e73, 0x0000000000002000,
};

// m128a_swio14_dual_ee_hw
static const uint64_t ur_m128_swio14_dual_ee_hw[] = {
  0x2dddddda28d08f43, 0x78bd790d81f9424e, 0x7a57bb178d5619eb, 0xa4e56820f913f7af, 0xf2658f3133895f1b,
  0x7fa6b6cd3ae3fdf5, 0x20982bbc9322ee12, 0xd4523cf5cc13e301, 0xfb48b59f755a8646, 0x6774fb97c40c2864,
  0xd7177f9f996129d0, 0x6f51ffe6c0341c34, 0x2f4292241240fa7e, 0x57f9fbe08bf29f2e, 0x5c8381bb87c28862,
  0x2efe4be5f2e7e43e, 0x2197fc841690df2e, 0x4c1ee2a10cb417da, 0xce5ede76ffe80e78, 0xff246e982c2accc5,
  0xe6ab5a328be14e9f, 0x83660ccaf51e57be, 0xec5a6ef8aedd7a8f, 0xe96c65c709c370eb, 0x4bb055c09f9a426b,
  0x33bc31ed1e9473ab, 0x08d31b1aad743af6, 0x977bb380e3b169a0, 0x5bdaa3608fd6e1bd, 0x7f33e8e665660146,
  0x239f1c5b5e5caad6, 0xeace75152a8d7481, 0xae0404e9b95daa5b, 0x2eb2572fb1e85d69, 0x72b5d73daad115e5,
  0x5d520b94b5f3a03c, 0x0a7a1d5381737485, 0x6318ab7fbd551692, 0xbbe1296a5f95b667, 0x0a912b53a7c78661,
  0x5f989ffde1ef7943, 0xe0a68fb19d871fc6, 0x617c68f45fe07eff, 0xb670e271964b867a, 0xe62cd799cc5bf494,
  0xbb473c9d14f2705c, 0x0000000000000002,
};

// m128_swio14_dual_ee_ce_u4_hw      m128a_swio14_dual_ee_ce_hw        m128a_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_m128_swio14_dual_ee_ce_hw[] = {
  0x6eeeeed14685b217, 0xc5ebc8c81852840b, 0x8d3ab4126e8bf7ef, 0xbada347caf7bf5f6, 0x9a5b0c1644f4fbd9,
  0x535b46e6ec2ac1e1, 0x577925a9dc101348, 0x57e19827c6024130, 0x59f755a8646d4521, 0xb97c40c2864fb48b,
  0x0ff996129d06774f, 0x8ec0928e1951c5da, 0x90490366fcdea3dc, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef,
  0x7cb9f90f92e43e06, 0x05a437cb8bbf92f9, 0x432d02748865ff21, 0xfffa039e136ce8a8, 0x16156662e72f6fd1,
  0xb5e1466fff92374c, 0xe439df2d01bfaa34, 0x913d9670f3ce10b7, 0xafd4784f097e21b0, 0x7b7091138767afd6,
  0xaf2b4a76b1d2f936, 0xf51f06cc1f75ea3c, 0xe1d7d8b4c5315cae, 0x84d7d2d8cb8e1386, 0x1e9473abb73051d4,
  0x5e363af633bc31ed, 0xc762d34011a63635, 0x8991c37b2ef76701, 0x656659c65bdaa360, 0x5e5caad67f33e8e6,
  0x2a8d7481239f1c5b, 0xb95daa5beace7515, 0xb1e85d69ae0404e9, 0xaad115e52eb2572f, 0xb5f3a03c72b5d73d,
  0x817374855d520b94, 0xbd5516920a7a1d53, 0xbf2b6ccec6263b7f, 0x4f8f0cc377c252d4, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0xbfc0fdffc14d1f63, 0x2c970cf4c2f8d1e8, 0x98b7e9296ce1c4e3, 0x29e4e0b9cc59af33,
  0x0000000ebaa7fe1a,
};

/*
 * m128_swio15_noled_pr              m128_swio15_noled_pr_u4           m128a_swio15_noled
 * m128a_swio15_noled_pr             m128a_swio15_noled_pr_u4
 */
static const uint64_t ur_m128_swio15_noled[] = {
  0x13bbbbbb44862d7b, 0x0bbb557229e3e257, 0xc9ea9bd590e3609e, 0x59ac683001337936, 0xcd4e17bafddb89d0,
  0x7793bb704dd43329, 0xafb9827c60241305, 0x07fc291efff0aecf, 0x40fa0f51e5f1df2d, 0x6594c63f4aa48712,
  0xaf0c428f7b398b01, 0x22a01ffb30475e8f, 0xd5f5b81e59ed88bd, 0x81239f1c5b5e5caa, 0xbeaece75152a8d74,
  0x85d69ace9b95daa5, 0x8af297592ad5fefe, 0x69de7c5aeb9ed568, 0xeaf4830ba9b14a78, 0x545a5b44f43aa702,
  0x95b6671922adfef5, 0x078661bbe1296a5f, 0x07771a2cf7f886e4, 0x430a912b53ab337f, 0xc65f989ffde1ef79,
  0xffe0a68fb19d871f, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5ce62cd799cc5bf4, 0x1f272668b344f270,
};

// m128_swio15_noled_pr_ee_u4        m128a_swio15_noled_pr_ee          m128a_swio15_noled_pr_ee_u4
static const uint64_t ur_m128_swio15_noled_pr_ee[] = {
  0x3fbbbbbb448607e1, 0x9bbb557e17a8b12e, 0x4cf7c8f8fdb7cdcc, 0xd0da266f5da5921b, 0x368b8bc41b4171fa,
  0x3ba73b3ef27157ae, 0x9827c60241305779, 0xc2835bff0aecfa5a, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x2439d5a5fe72e359, 0xae875e74ef0f508f, 0xec5a7f22383f6355,
  0xfadc37b2d97ce038, 0xad402e909e546c11, 0x481239f1c5b5e5ca, 0x5beaece75152a8d7, 0xe85d69ace9b95daa,
  0x88af297592ad5fef, 0x869de7c5aeb9ed56, 0x2eaf4830ba9b14a7, 0x5545a5b44f43aa70, 0xf95b6671922adfef,
  0x4078661bbe1296a5, 0xf07771a2cf7f886e, 0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0xeffe0a68fb19d871,
  0x67a617c68f45fe07, 0x494b670e271964b8, 0x05ce62cd799cc5bf, 0x009d7fc93b344f27,
};

// m128_swio15_noled_pr_ce_u4        m128a_swio15_noled_pr_ce          m128a_swio15_noled_pr_ce_u4
static const uint64_t ur_m128_swio15_noled_pr_ce[] = {
  0x69bbbbbb4486a4d6, 0x25ddaabcc2505895, 0xdfa7a624b88c327e, 0x5ef56f4a34cfda9b, 0xb1723f514adeed68,
  0x0aef27776527da3b, 0x9f275304f8c04826, 0xd63df8522b7fe15d, 0xc216de6e77b380df, 0xc4361227b2ce1e79,
  0x9cba3ffa8f09e12f, 0xbd64d9edc2444e1d, 0x0c9ef51e6e9ee5be, 0x580a1ee71a487124, 0xf47d7862147bd9cc,
  0x45e91500ffd99e3a, 0xb955abeb703cb5b8, 0x1ae902473e38b6bc, 0xb54b7d5d9cea2a55, 0xfdfd0bad359d372b,
  0xaad115e52eb255ab, 0x94f0d3bcf8b5d73d, 0x4e05d5e906175362, 0xfdeaa8b4b689e875, 0xa97e56d99c6431db,
  0x1b901e1986ef84a5, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0x81fbff829a3ec676,
  0x2e19e985f1a3d17f, 0x6fd252d9c389c659, 0xc9c17398b35e6731, 0x00001bae015acd13,
};

// m128_swio15_noled_pr_ee_ce_u4     m128a_swio15_noled_pr_ee_ce       m128a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_m128_swio15_noled_pr_ee_ce[] = {
  0xc6eeeeed1218022f, 0xeeed55e7121ba246, 0x0ad6c541619e3bb1, 0x3c79fbb1313bc8e8, 0x8a741bd485ecd841,
  0xddaefc89086d3cf5, 0xc13e30120982bbc9, 0x53f5fff0aecfcc34, 0x3b14806fea8c6b78, 0xd9670f3ce10b6f37,
  0x4784f097e21b0913, 0x0911387f5a9e01fd, 0x1ca76b1d3df367b7, 0xf06cc19ebea3cace, 0x7d8b4c5315975f51,
  0x7d2d8cb8e1386e1d, 0x873abb77ce1d484d, 0xd8ebce9de1ea11e4, 0x169fc88e0fd8d578, 0x470decb65f380e3b,
  0xa967d213ca8d8226, 0x02473e38b6bcb955, 0x7d5d9cea2a551ae9, 0x0bad359d372bb54b, 0x15e52eb255abfdfd,
  0xd3bcf8b5d73daad1, 0xd5e90617536294f0, 0xa8b4b689e8754e05, 0x56d99c6431dbfdea, 0x1e1986ef84a5a97e,
  0x1ddc68b3dfe21b90, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xff829a3ec6761c7f, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x7398b35e67316fd2, 0x13f01e4ecd13c9c1,
};

// m128a_swio15_noled_ee_hw
static const uint64_t ur_m128_swio15_noled_ee_hw[] = {
  0x1fdddddda28d0a20, 0x4dddaabf0bd45897, 0xa67be47c7edbe6e6, 0x686d1337aed2c90d, 0x1b45c5e20da0b8fd,
  0xde4eea0a4e5a10d7, 0x96a609f180904c15, 0xfe78506b7ff5933e, 0xfea3caca5cd56b46, 0x2b287ea3e0d98309,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x11e4873ab4bfce5c, 0x6ab5d0ebce9de1ea, 0x071d8b4fe44707ec,
  0x823f5b86f65b2f9c, 0xb955a805d213ca8d, 0x1ae902473e38b6bc, 0xb54b7d5d9cea2a55, 0xfdfd0bad359d372b,
  0xaad115e52eb255ab, 0x94f0d3bcf8b5d73d, 0x4e05d5e906175362, 0xfdeaa8b4b689e875, 0xd4bf2b6cce32455b,
  0xa74f8f0cc377c252, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0xe8bfc0fdffc14d1f, 0xe32c970cf4c2f8d1,
  0x3398b7e9296ce1c4, 0x8a29e4e0b9cc59af, 0x00000000005be466,
};

// m128_swio15_noled_ee_ce_u4_hw     m128a_swio15_noled_ee_ce_hw       m128a_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_m128_swio15_noled_ee_ce_hw[] = {
  0xc6eeeeed146892df, 0xeeed55e7121ba246, 0x0ad6c541619e3bb1, 0x3c79fbb1313bc8e8, 0x8a741bd485ecd841,
  0xe4eedced9bdc98f5, 0x1a609f180904c15d, 0xde14fd7ffeb267e6, 0x21cec5201bfaa31a, 0x89ecb3879e7085bf,
  0x7ea3c2784bf10d84, 0xf6e122270fe72ea7, 0x59c394ed63a7be6c, 0xea3e0d9833d7d479, 0xc3afb1698a62b2eb,
  0x09afa5b1971c270d, 0x3c90e7576ef9c3a9, 0xaf1b1d79d3bc3d42, 0xc762d3f911c1fb1a, 0x44c8e1bd96cbe701,
  0x2ab52cfa427951b0, 0x5d2048e7c716d797, 0xa96fabb39d454aa3, 0xbfa175a6b3a6e576, 0x5a22bca5d64ab57f,
  0x9e1a779f16bae7b5, 0xc0babd20c2ea6c52, 0xbd551696d13d0ea9, 0x2fcadb338c863b7f, 0xd3e3c330ddf094b5,
  0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0x2ff03f7ff05347d8, 0xcb25c33d30be347a, 0xe62dfa4a5b387138,
  0x8a79382e73166bcc, 0x00000000a0220fba,
};

/*
 * m128_swio15_lednop_pr             m128_swio15_lednop_pr_u4          m128a_swio15_lednop
 * m128a_swio15_lednop_pr            m128a_swio15_lednop_pr_u4
 */
static const uint64_t ur_m128_swio15_lednop[] = {
  0x89dddddda2435562, 0x05ddaab91405f12b, 0x921ab41b5ebdb04f, 0x166b1a0f8f803c5e, 0xeb5936a63376e274,
  0x15de4eec4e76542d, 0x3ffba609f180904c, 0xb41ff0a406ffc2bb, 0x2481f41ea3e9477c, 0x0596532fb09f490e,
  0x3ebc2be238c8e62c, 0x88aa807fecc11d7a, 0x56b70e40f2cf6c6f, 0xa4091cf8e2daf2e5, 0x2df57673a8a9546b,
  0xb4d7020274dcaed5, 0x794bac95c958f42e, 0x0f1cad75cf6ab445, 0x21575482e52d7ce8, 0xa4829e8754e05cdd,
  0x99d02a2adfef5545, 0x986ef84a5a97e56d, 0xc68b3dfe21b901e1, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2,
  0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98, 0x8b35e67316fd252d, 0x3a41ecd13c9c1739,
  0x0000000000000f93,
};

// m128_swio15_lednop_pr_ee_u4       m128a_swio15_lednop_pr_ee         m128a_swio15_lednop_pr_ee_u4
static const uint64_t ur_m128_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb44863d5b, 0x9bbb557e1723f12e, 0x583bd3a17c01cdcc, 0x686d133a8af5d90d, 0x9ae386620da0b8fd,
  0x9dd2d43af02e8be9, 0xcc13e30120982bbc, 0x853abfff0aecff4f, 0x3cad4f4d56b46fe7, 0x09ea3e0d98309fea,
  0x0dc3afb169bbe2bc, 0x6909afa5b1971c27, 0x2873ab4b9c35c6b2, 0x5d0ebce9de1ee918, 0xd8b4e6e47916c6ab,
  0xf5b86f65b2f9c071, 0x5a80422f48a8d823, 0x902473e38b6bcb95, 0xb7d5d9cea2a551ae, 0xd35c0809d372bb54,
  0xe52eb2572563d0ba, 0x3c72b5d73daad115, 0x855d520b94b5f3a0, 0x920a7a1d53817374, 0x6740a8ab7fbd5516,
  0x61bbe1296a5f95b6, 0x1a2cf7f886e40786, 0x912b53ab337f0777, 0x989ffde1ef79430a, 0xa68fb19d871fc65f,
  0x7c68f45fe07effe0, 0x70e271964b867a61, 0x2cd799cc5bf494b6, 0x9a9cb344f2705ce6, 0x00000000000009d7,
};

// m128_swio15_lednop_pr_ce_u4       m128a_swio15_lednop_pr_ce         m128a_swio15_lednop_pr_ce_u4
static const uint64_t ur_m128_swio15_lednop_pr_ce[] = {
  0xd3777776890cac4f, 0x4bbb557984b2312a, 0xe47792f8fdb664fc, 0xef56f4b41469ad1b, 0xfbfa647cddeed685,
  0xaef277539157991d, 0xf43f304f8c048260, 0xc7bf0a1c1ffc2bb3, 0x42dbcdcec6b01bfa, 0x86c244f659c3cf38,
  0x38227f51e13c25f8, 0x59367b7091138768, 0x27bd479c67b96faf, 0x015fc3d6921c4903, 0x8faf0af88e32398b,
  0xe22aa01ffb33c75e, 0x556b70e40f2d6e1b, 0xba4091cf8e2daf2e, 0x52df57673a8a9546, 0xeb4d7020274dcaed,
  0x5794bac95c958f42, 0x80f1cad75cf6ab44, 0xd21575482e52d7ce, 0x5a4829e8754e05cd, 0xb33a0518edfef554,
  0x330ddf094b52fcad, 0xb8d167bfc437203c, 0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0x05347d8cec38fe32,
  0x0be347a2ff03f7ff, 0xb387138cb25c33d3, 0x3166bcce62dfa4a5, 0xb9ac159a279382e7, 0x000000000000006e,
};

// m128_swio15_lednop_pr_ee_ce_u4    m128a_swio15_lednop_pr_ee_ce      m128a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_m128_swio15_lednop_pr_ee_ce[] = {
  0x63777776890c5aa4, 0xf776aaf389295123, 0xed68f6a8a34f1dd8, 0x9e3cfd86eb13d3b4, 0x4f591dea42f66c20,
  0xdd42119c67d7d701, 0xc13e30120982bbc9, 0xa5e1ffe15d9f66fc, 0xefb040dfd518d6f0, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x122270e75f0aa3f5, 0x394ed63a7be6cf6e, 0xe0d9833d7d479594, 0xfb1698a62b60bea3,
  0xfa5b1971c270dc3a, 0x0e7576e3863a909a, 0xb1d79d3bc3dd2305, 0x2d39b91e45b1aaf1, 0x8e1bd96cbe701c76,
  0x52cc45e9151b044c, 0x048e7c716d7972ab, 0xfabb39d454aa35d2, 0x6b81013a6e576a96, 0xa5d64ae4ac7a175a,
  0x8e56bae7b55a22bc, 0xabaa417296be7407, 0x414f43aa702e6e90, 0xd028c76ff7aaa2d2, 0x6ef84a5a97e56d99,
  0x8b3dfe21b901e198, 0x4ad4eaccdfc1ddc6, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0x1a3d17f81fbff829,
  0x389c6592e19e985f, 0x35e67316fd252d9c, 0xc16cd13c9c17398b, 0x0000000000013f25,
};

// m128a_swio15_lednop_ee_hw
static const uint64_t ur_m128_swio15_lednop_ee_hw[] = {
  0xfeeeeeed1468bf3e, 0x6eed55f85c8fc4b8, 0x60ef4e85f0073732, 0xa1b44cea2bd76435, 0x6b8e19883682e3f5,
  0x793ba75a356b3ea6, 0x9f9827c602413057, 0xe7853abfffac99fe, 0xea3cad4f4d56b46f, 0xbc09ea3e0d98309f,
  0x270dc3afb169bbe2, 0xb26909afa5b1971c, 0x182873ab4b9c35c6, 0xab5d0ebce9de1ee9, 0x71d8b4e6e47916c6,
  0x23f5b86f65b2f9c0, 0x955a80422f48a8d8, 0xae902473e38b6bcb, 0x54b7d5d9cea2a551, 0xbad35c0809d372bb,
  0x15e52eb2572563d0, 0xa03c72b5d73daad1, 0x74855d520b94b5f3, 0x16920a7a1d538173, 0xb66740a8ab7fbd55,
  0x8661bbe1296a5f95, 0x79430a912b53a7c7, 0x1fc65f989ffde1ef, 0x7effe0a68fb19d87, 0x867a617c68f45fe0,
  0xf494b670e271964b, 0x705ce62cd799cc5b, 0x0000b7e990bd14f2,
};

// m128_swio15_lednop_ee_ce_u4_hw    m128a_swio15_lednop_ee_ce_hw      m128a_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_m128_swio15_lednop_ee_ce_hw[] = {
  0xc6eeeeed146850e3, 0xeeed55e71252a246, 0xdad1ed51469e3bb1, 0x3c79fb0dd627a769, 0x9eb23bd485ecd841,
  0xf277500937b87c02, 0xbf304f8c048260ae, 0xde14bc3ffeb267d9, 0x439df6081bfaa31a, 0x13d9670f3ce10b7e,
  0xfd4784f097e21b09, 0xdb84889c3bb76164, 0x650e53b58e9ef9b3, 0xa8f83660cf5f51e5, 0x0ebec5a6298ad82f,
  0x26be96c65c709c37, 0xc1439d5db8e18ea4, 0xbc6c75e74ef0f748, 0x1d8b4e6e47916c6a, 0x132386f65b2f9c07,
  0xaad4b3117a4546c1, 0x7481239f1c5b5e5c, 0xa5beaece75152a8d, 0xd69ae0404e9b95da, 0xaf297592b92b1e85,
  0x01e395aeb9ed5688, 0xa42aea905ca5af9d, 0xb49053d0ea9c0b9b, 0x66740a31dbfdeaa8, 0x661bbe1296a5f95b,
  0x9430a912b53a7c78, 0xfc65f989ffde1ef7, 0xeffe0a68fb19d871, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0x05ce62cd799cc5bf, 0x005017a90a514f27,
};

/*
 * m128_swio15_dual_pr               m128_swio15_dual_pr_u4            m128a_swio15_dual
 * m128a_swio15_dual_pr              m128a_swio15_dual_pr_u4
 */
static const uint64_t ur_m128_swio15_dual[] = {
  0x1c7777776890cf68, 0xff8bd793c7957d09, 0x47f5009ba322b8c8, 0xc1023b4fb67c75b5, 0xd56875d396ec71e9,
  0x5a5bb8e08ab01f19, 0x304f8c048260aef2, 0x755a8646d4523a9d, 0xc40c2864fb48b59f, 0x99612804a774fb97,
  0xc0e19c0a5f1760bf, 0x09207fba6f51dd2e, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xbe5cfc87c8d6c0dd,
  0x82d21be5c5dfc97c, 0x10cb42324432ff90, 0x0bff4073c26b5a2a, 0x60b0ab3317397b76, 0xb2d7f0a393ff24fa,
  0x2481ef7ea3f7477c, 0x0bac532560f7490e, 0xd57850046989cc58, 0x8aa807fecc11d780, 0x66f9d40f2cf6defc,
  0x5caad67f33e8e665, 0x8d7481239f1c5b5e, 0xdaa5beaece75152a, 0x85d69ae0404e9b95, 0x88af297592b92b1e,
  0x9d01e395aeb9ed56, 0x9ba42aea905ca5af, 0xa8b49053d0ea9c0b, 0xadb33a05455bfdea, 0x3c330ddf094b52fc,
  0x3bb8d167bfc43720, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0xff05347d8cec38fe, 0xd30be347a2ff03f7,
  0xa5b387138cb25c33, 0xe73166bcce62dfa4, 0x524eeadd9a279382,
};

// m128a_swio15_dual_pr_ee
static const uint64_t ur_m128_swio15_dual_pr_ee[] = {
  0x20f6ddddddd432db, 0x1baf17af21b1b374, 0xa339b7d72c49c8a5, 0xb20ab13b2b7bbb9d, 0xc8970b421b1e6247,
  0x6ee1e19851fc2d75, 0x3e30120982bbc946, 0xa8646d4520f9f4c1, 0xc2864fb48b59f755, 0x12804a774fb97c40,
  0xf9c3fe7170d1f996, 0x3eaf9bd47e9fd858, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc, 0xfc87c952206ee1f0,
  0x1be5c5dfc97cbe5c, 0x847b4432ff9082d2, 0x80e784d224542196, 0x56662e72f6eff3fe, 0xc2863ffe49f4c161,
  0x3cad4f4d56b4701b, 0x4bf51f06cc1c89ea, 0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x50e75697f9cb80e3,
  0x743af29abc27aa30, 0x62d38851e45b1aad, 0xeb70decb726701c7, 0xf33e8e66566b8117, 0x39f1c5b5e5caad67,
  0xece75152a8d74812, 0x0404e9b95daa5bea, 0x592b92b1e85d69ae, 0xfd6b9ed5688af297, 0x12a58594d8b3a03c,
  0x8a042d30c8cfa416, 0x6cce9e8754e04745, 0x0cc377c252d4bf2b, 0x71a2cf7f886566cf, 0x615c9fbab337f077,
  0xb670e271964b867a, 0xe62cd799cc5bf494, 0x8505fbb344f2705c, 0x000000000000000c,
};

// m128a_swio15_dual_pr_ee_u4
static const uint64_t ur_m128_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed150ff72df, 0x8bd790d819ca13ed, 0xb57bcfb67d619eb7, 0x821e44b8585b4af7, 0x84363cc4fda57c6e,
  0xb46b2aae3f337368, 0x057792645ddd35bf, 0x41f3e9827c602413, 0x16b3eeab50c8da8a, 0x9f72f881850c9f69,
  0xdfe7e6584a6024ee, 0x7ff9b00d070d35c5, 0xa48904903e9f9bd4, 0x7ef822fca7cb8bd0, 0x206ee1f0a21895fe,
  0x92f97cb9f90f9052, 0xff2105a437cb8bbf, 0xb8a8432d05f68865, 0xdbbfcffa039e1307, 0x9c7305855998b9cb,
  0xd68ff77850c7fff2, 0x061efd4795dba9aa, 0x377c57a6fd47c1b3, 0x32e384e1b875f62d, 0xf2e04fcd2135f4b6,
  0x131e8cf539d5a5d4, 0x0d8d56ba1d7b19de, 0xd9c071d8b4f4a471, 0x51b047eb70decbbd, 0xd1cccacc02c8b07d,
  0x38b6bcb955acfe67, 0xea2a551ae902473e, 0x9d372bb54b7d5d9c, 0x72563d0bad35c080, 0x73daad115e52eb25,
  0xb94b5f3a03c72b5d, 0xd53817374855d520, 0xb7fbd5516920a7a1, 0x96a5f95b66740a8a, 0x886e4078661bbe12,
  0x99bf8347f1a2cf7f, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xf03f7ff05347d8ce, 0x25c33d30be347a2f,
  0x2dfa4a5b387138cb, 0x79382e73166bcce6, 0x000056465f86aa92,
};

// m128a_swio15_dual_pr_ce
static const uint64_t ur_m128_swio15_dual_pr_ce[] = {
  0x3b2ddddddd436f02, 0x77e2f5e405fb3742, 0x683b913b287b64e4, 0xc245b177689f9f7b, 0x80f9086e76ebb229,
  0x95dd793d6555eeb6, 0x27c602413057793c, 0x5a8646d452174598, 0x0c2864fb48b59f75, 0x612804a774fb97c4,
  0x8270eafe2f43ff99, 0x81dba9bd478e5b03, 0xe53e5c5e85244824, 0x8510c4aff3f7c117, 0x73f21f252403770f,
  0x486f97177f25f2f9, 0x2d03d510cbfe420b, 0xfd01cf098148a843, 0x855998b9cbdbd0ff, 0x278534dff927d305,
  0x6f373bb7402bbeb2, 0xe1ff5cd6ff3ce10b, 0x7b627e6815dc2444, 0x2076b7a8e13e7b96, 0xc580bfbb6fd24389,
  0x780d57850046989c, 0xefc8aa807feccf1d, 0x99959be7503cb5b9, 0x6d7972ab59fccfa3, 0x54aa35d2048e7c71,
  0x6e576a96fabb39d4, 0xac7a175a6b81013a, 0xb55a22bca5d64ae4, 0x96be74078e56bae7, 0x702e6e90abaa4172,
  0xf7aaa2d2414f43aa, 0x97e56d99d028c76f, 0xacd9e1986ef84a5a, 0xfe0eee3459eff10c, 0x70cf4c2b93f75666,
  0x7e9296ce1c4e32c9, 0x4e0b9cc59af3398b, 0x00039eb4faf6689e,
};

// m128a_swio15_dual_pr_ce_u4
static const uint64_t ur_m128_swio15_dual_pr_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x8bd7910469ea115f, 0xbd7b4fb2d4f58a57, 0x9cef7187c8077eaf, 0x19cd9bdd57c3d999,
  0xadd23168ff072b04, 0x48260aef26273bbf, 0xb514823d7304f8c0, 0x3ed22d67dd56a191, 0x49dd3ee5f1030a19,
  0xa38be9afccb094c0, 0x6f51ec7f61ff0e01, 0x2f4292241240e87e, 0x57f9fbe08bf29f2e, 0x46dd81bb87c28862,
  0x2efe4be5f2e7e43e, 0x2197fc841690df2e, 0x26dbf150865a0fe2, 0x7397b7d35ff4073c, 0x7fe538e60b0ab331,
  0x87c0dfd6a578502d, 0x70f3ce10b7f00cee, 0x4f097e21b0913d96, 0x44e1d523dd6fd478, 0xb96fac4fcd9edc24,
  0x3892076b7a8e13e7, 0x89cc580bfbb6fd24, 0xf1d780d578500469, 0x5b9efc8aa807fecc, 0xfa399959be7503cb,
  0xc716d7972ab59fcc, 0x9d454aa35d2048e7, 0x13a6e576a96fabb3, 0xae4ac7a175a6b810, 0xae7b55a22bca5d64,
  0x17296be74078e56b, 0x3aa702e6e90abaa4, 0x76ff7aaa2d2414f4, 0xa5a97e56d99d028c, 0xe21b901e1986ef84,
  0x666fe0d1fc68b3df, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xfc0fdffc14d1f633, 0xc970cf4c2f8d1e8b,
  0x8b7e9296ce1c4e32, 0x9e4e0b9cc59af339, 0x00001a491a7caaa4,
};

// m128_swio15_dual_pr_ee_ce_u4      m128a_swio15_dual_pr_ee_ce        m128a_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_m128_swio15_dual_pr_ee_ce[] = {
  0x7777768a87fd7fe1, 0x7af2320d75a1135f, 0x9fc89c3ea2fdfbf1, 0x35fbb2af7a34eb44, 0x6c326ba27a7de4cf,
  0x5485398a6752c869, 0xa9dda429fe83b5a9, 0x27c6024130577925, 0xd43236a2917aa498, 0x614327da45acfbaa,
  0x1298093ba7dcbe20, 0x8e1951c5da0ff996, 0x66fcdea3dc8ec092, 0x7cb8bd0a48904903, 0x21895fe7ef822fca,
  0x43e5354806ee1f0a, 0xf2e2efe4be5f2e7e, 0x9d22197fc841690d, 0xe784db3a2a10cb40, 0x98b9cbdbb41ffe80,
  0xacfff29c73058559, 0x9f00dfd51d0ff853, 0x70f3ce10b7f00ced, 0x4f097e21b0913d96, 0x1387ee3dd3afd478,
  0x76b1d2f9367b7091, 0x983dbfea3cae574a, 0x698a62bdf7ea3e0d, 0xb1971c270dc3afb1, 0x576e53c3a909afa5,
  0xec67784c7a33d4e7, 0xa523886c6abc6c75, 0xf65deece038ec5a7, 0x22c1f546c1132386, 0xb3f99f47332b32cf,
  0x091cf8e2daf2e556, 0xf57673a8a9546ba4, 0xd7020274dcaed52d, 0x4bac95c958f42eb4, 0x1cad75cf6ab44579,
  0x575482e52d7ce80f, 0x829e8754e05cdd21, 0xa0518edfef5545a4, 0xddf094b52fcadb33, 0x167bfc437203c330,
  0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0xa3d17f81fbff829a, 0x89c6592e19e985f1,
  0x5e67316fd252d9c3, 0x355493c9c17398b3, 0x0000000004004afc,
};

// m128a_swio15_dual_ee_hw
static const uint64_t ur_m128_swio15_dual_ee_hw[] = {
  0xadddddda28d11107, 0xf17af21b0339427d, 0xf6af79f6cfac33d6, 0xd043c8970b0b695e, 0x1086c7989fb4af8d,
  0xc334eb76b5666e6d, 0x413057792645ddff, 0xa8a41f3e9827c602, 0xf6916b3eeab50c8d, 0xcee9f72f881850c9,
  0xae2eff3f32c253a0, 0xdea3ffcd80683869, 0x5e8524482481f4fc, 0xaff3f7c117e53e5c, 0x829103770f8510c4,
  0x5dfc97cbe5cfc87c, 0x432ff9082d21be5c, 0x983dc54219682fb4, 0xce5eddfe7fd01cf0, 0xff246e982c2accc5,
  0xa6ab5a3fdde1431f, 0x06cc187bf51e576e, 0xd8b4ddf15e9bf51f, 0xd2d8cb8e1386e1d7, 0x9753cb813f3484d7,
  0x67784c7a33d4e756, 0x91c436355ae875ec, 0x2ef76701c762d3d2, 0xc1f546c11fadc37b, 0xf99f47332b300b22,
  0x1cf8e2daf2e556b3, 0x7673a8a9546ba409, 0x020274dcaed52df5, 0xac95c958f42eb4d7, 0xad75cf6ab445794b,
  0x5482e52d7ce80f1c, 0x9e8754e05cdd2157, 0x2a2adfef5545a482, 0xf84a5a97e56d99d0, 0xa44ad4e9f1e1986e,
  0xe627ff787bde50c2, 0x29a3ec6761c7f197, 0x5f1a3d17f81fbff8, 0x9c389c6592e19e98, 0x8b35e67316fd252d,
  0xa51017453c9c1739, 0x000000000000015d,
};

// m128_swio15_dual_ee_ce_u4_hw      m128a_swio15_dual_ee_ce_hw        m128a_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_m128_swio15_dual_ee_ce_hw[] = {
  0xf7777768a344d164, 0x17af2320d75a1135, 0x49fc89c3ea2fdfbf, 0xf35fbb2af7a34eb4, 0x96c326ba27a7de4c,
  0xdab4eb98a6752c86, 0xde496a7773cbb68d, 0xa92609f180904c15, 0x3eeab50c8da8a45e, 0x2f881850c9f6916b,
  0xff32c253a0cee9f7, 0xd81251c32a38bb41, 0x09206cdf9bd47b91, 0x45f94f9717a14912, 0xc3e144312bfcfdf0,
  0xe5cfc87ca6a900dd, 0x2d21be5c5dfc97cb, 0x196813a4432ff908, 0xffd01cf09b674542, 0xb0ab3317397b7683,
  0xff853acffc91ba60, 0x21ced9f00dfd51d0, 0x89ecb3879e7085bf, 0x7ea3c2784bf10d84, 0xdb84889c3c7dd725,
  0x72ba53b58e97c9b3, 0x51f06cc1edff51e5, 0x1d7d8b4c5315efbf, 0x4d7d2d8cb8e1386e, 0x9ea73abb729e1d48,
  0xe363af633bc263d1, 0x762d3d291c436355, 0x991c37b2ef76701c, 0x599679160faa3608, 0x972ab59fccfa3999,
  0xa35d2048e7c716d7, 0x76a96fabb39d454a, 0xa175a6b81013a6e5, 0xa22bca5d64ae4ac7, 0xe74078e56bae7b55,
  0xe6e90abaa417296b, 0xaa2d2414f43aa702, 0x56d99d028c76ff7a, 0x1e1986ef84a5a97e, 0xbde50c2a44ad4e9f,
  0x1c7f197e627ff787, 0x81fbff829a3ec676, 0x2e19e985f1a3d17f, 0x6fd252d9c389c659, 0xc9c17398b35e6731,
  0x000075d42c713453,
};

// m1280_u1x8_uart2_noled_pr         m2560_u1x8_uart2_noled            m2560_u1x8_uart2_noled_pr
static const uint64_t ur_m1280_u1x8_uart2_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffcb8fcfe49304f8, 0x16dfda644b7b027b, 0x48e47e78ef96486e, 0xc3e741490e24819a, 0x2d1e33398b016f74,
  0xe39630475e2ebc35, 0xf81880fbd856482e, 0x4180ee0fbce71f8d, 0xe536338fcf379f05, 0xe8812b290dc5d4e5,
  0x5551695849c6378c, 0xfcadb33953a2adec, 0xee3c330ddf094b52, 0x81a3f8d167bfc413, 0x0cf4c2b93f75663c,
  0xe9296ce1c4e32c97, 0xe4a9e4afdcd0ccb0, 0x000000001f2070a1,
};

// m2560_u1x8_uart2_noled_pr_u4
static const uint64_t ur_m1280_u1x8_uart2_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfc30d9f9c6609f19, 0x6dfda644b7b025f3, 0x8e47e80ef9610ee1, 0xf26f7490e2481a0b, 0xb47ac398b016594d,
  0xffb30475e8faf0e0, 0x03cb3db0e344aa01, 0xc6fc0c407dec4d5f, 0x82a0c07707de738f, 0x72f29b19c7e79bcf,
  0xc67440959486e2ea, 0xf62aa8b4ac24e31b, 0xa97e56d99ca9d156, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8,
  0xef79430a912b53ab, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x662b824f257ee686, 0x000000000000f93b,
};

// m1280_u1x8_uart2_noled_pr_ee_u4   m2560_u1x8_uart2_noled_pr_ee      m2560_u1x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m1280_u1x8_uart2_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0x367d82cc13e32774, 0xd3225bd811c3ff0c, 0x49aad68e7170b6fe, 0xc1b30698c723cae4, 0x68450ef8acca8e47,
  0xd7d185962291669d, 0xead2e7aae3593484, 0xbce9de11be8f059c, 0x2cf461c6c6ab5d0e, 0x86f65b2e62e12114,
  0x520aa0ea8d823f5b, 0xc7e37e06203ef600, 0xe7c150603b83ef39, 0x7539794d8ce3f3cd, 0x8de33a204aca4371,
  0xab7b15545a561271, 0x52d4bf2b6cce54e8, 0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x5ef24dc12792bf73,
  0x0000000000000027,
};

// m1280_u1x8_uart2_noled_pr_ce_u4
static const uint64_t ur_m1280_u1x8_uart2_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x5b7f69912dec09d2, 0x373bfdc06fea0a38, 0x13d9670f3ce10b6f, 0xfd4784f097e21b09,
  0x9edc2444e1e000a4, 0x91c9e9ee5bebd64d, 0x8dad490e2481eb23, 0x8705a3d61cc580a9, 0x500ffd99e3af47d7,
  0x9abe0796b7071a25, 0xe71f8df81880fbd8, 0x379f054180ee0fbc, 0xc5d4e5e536338fcf, 0xc6378ce8812b290d,
  0x18edec5551695849, 0x1296a5f95b6672a7, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xbae3548e093c95fb,
  0x0000000000000001,
};

// m1280_u1x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x8_uart2_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0x4c896f605ff3fc30, 0x037f54652dc2dbfb, 0x79e7085b79b9d85a, 0x84bf10d8489ecb38,
  0x70f7437547ea3c27, 0xd63a7be6cf6e1222, 0x0d6bc723cafa894e, 0x05315f751c8f8366, 0x0b2c4522cd3ad08a,
  0xabb71ea3a909afa3, 0xf3a77846fa3c1673, 0x67a30e36355e363a, 0x37b2d973170908a1, 0xc82a83aa3608991c,
  0x1f8df81880fbd859, 0x9f054180ee0fbce7, 0xd4e5e536338fcf37, 0x378ce8812b290dc5, 0xedec5551695849c6,
  0x96a5f95b6672a718, 0xe205ec78661bbe12, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7,
  0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x965bee093c95fb9a, 0x000000000000009f,
};

// m2560_u1x8_uart2_noled_ee_hw
static const uint64_t ur_m1280_u1x8_uart2_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xda644b7b02387fe5, 0x89355ad1ce2e16df, 0xf83660d318e4795c, 0xad08a1df159951c8,
  0x9afa30b2c4522cd3, 0x9d5a5cf55c6b2690, 0xd79d3bc237d1e0b3, 0x859e8c38d8d56ba1, 0x70decb65cc5c2422,
  0x0a41541d51b047eb, 0x38fc6fc0c407dec0, 0xbcf82a0c07707de7, 0x2ea72f29b19c7e79, 0x31bc67440959486e,
  0x156f62aa8b4ac24e, 0x4a5a97e56d99ca9d, 0x12b505d9e1986ef8, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00005be463fd14f2,
};

// m1280_u1x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart2_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xb4c896f605ff3fca, 0xa037f54652dc2dbf, 0x0f3ce10b7e439d85, 0xf097e21b0913d967,
  0x270ece5d1ffd4784, 0xed63a7be6cf6e122, 0x60d6bc723cafa894, 0xa05315f751c8f836, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0xaf3a77846fa3c167, 0x167a30e36355e363, 0xc37b2d973170908a, 0x9c82a83aa3608991,
  0x71f8df81880fbd85, 0x79f054180ee0fbce, 0x5d4e5e536338fcf3, 0x6378ce8812b290dc, 0x8edec5551695849c,
  0x296a5f95b6672a71, 0x4ad417678661bbe1, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00028087549453c9,
};

// m1280_u1x8_uart2_lednop_pr        m2560_u1x8_uart2_lednop           m2560_u1x8_uart2_lednop_pr
static const uint64_t ur_m1280_u1x8_uart2_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x3fcb8fcf829304f8, 0x16dfda644b7b02f9, 0x48e47278ef96486e, 0xc98dad490e24819a, 0xfa3905398b016f74,
  0xc72c608ebc5d786b, 0xf81880fbd856071d, 0xee0fbcf020271f8d, 0x401f9e6f36914180, 0x34870d537a94e4a7,
  0x86538c6f19d103e2, 0x9da722adec555169, 0x86ef84a5a97e56d9, 0x68b3dfe209f71e19, 0x5c9fbab31e40d1fc,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x0001f21a70f254f2,
};

// m2560_u1x8_uart2_lednop_pr_u4
static const uint64_t ur_m1280_u1x8_uart2_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xff0c367cf59827c6, 0xb6fed3225bd814be, 0xc723dac77cb08770, 0x9ba32a4871240d05, 0x48d219cc580b2ca6,
  0xffb30475e8faf093, 0x07967b6f687daa01, 0x8df81880fbd9ee0a, 0x80ee0fbcf020271f, 0xa7401f9e6f369141,
  0xe234870d537a94e4, 0x6986538c6f19d103, 0xd99da722adec5551, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e,
  0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0x4f257ee686658749, 0x000000f93fb2d382,
};

// m1280_u1x8_uart2_lednop_pr_ee_u4  m2560_u1x8_uart2_lednop_pr_ee     m2560_u1x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m1280_u1x8_uart2_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0x367f2b4c13e32775, 0xd3225bd81143ff0c, 0xa9aad68e7170b6fe, 0xc1b30698c723cacc, 0xd08a1df1598f8e47,
  0xafa30b2c4522cd3a, 0xd5a5e445c6b26909, 0x5e74ef08f88c9a39, 0x1d0237b56355ae87, 0xe1bd96cb98b84845,
  0x020e344aa3608fd6, 0x4e3f1bf03101f7b0, 0x228301dc1f79e040, 0x29c94e803f3cde6d, 0xa207c4690e1aa6f5,
  0xaaa2d30ca718de33, 0xfcadb33b4e455bd8, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xe7049e4afdcd0ccb,
  0x00000000009d70d4,
};

// m1280_u1x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m1280_u1x8_uart2_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x85b7f69912dec08b, 0xf373bf9c06fea0a3, 0x913d9670f3ce10b6, 0x1fd4784f097e21b0,
  0x67b70911387c6eec, 0xe47e927b96faf593, 0x920fd24389207ac8, 0x849a4690ce62c05c, 0x500ffd99e3af47d7,
  0xdc140f2d6e7b43ed, 0x4e3f1bf03101f7b3, 0x228301dc1f79e040, 0x29c94e803f3cde6d, 0xa207c4690e1aa6f5,
  0xaaa2d30ca718de33, 0xf95b66769c31dbd8, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd,
  0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xce093c95fb9a1996,
  0x000000000375d68d,
};

// m1280_u1x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x8_uart2_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0x4c896f6049b7fe18, 0x037f54652dc2dbfb, 0xf3ce10b6f373bb1f, 0x097e21b0913d9670,
  0xc38000dbbfd4784f, 0x58e9ef9b3db84889, 0x35af1c8f2beea53b, 0x298ac3dc723e0d98, 0x5962291669d68450,
  0x5dba441d484d7d18, 0xe74ef08f88c9a39d, 0xa046f6ac6abc6c75, 0x37b2d973170908a3, 0x30e344aa3608991c,
  0xe3f1bf03101f7b0b, 0x28301dc1f79e0404, 0x9c94e803f3cde6d2, 0x207c4690e1aa6f52, 0xaa2d30ca718de33a,
  0x95b66769c31dbd8a, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x0000000013f3cfc2,
};

// m2560_u1x8_uart2_lednop_ee_hw
static const uint64_t ur_m1280_u1x8_uart2_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0xed3225bd81143ff2, 0xca9aad68e7170b6f, 0x7c1b30698c723cac, 0xad08a1df1598f8e4,
  0x9afa30b2c4522cd3, 0x9d5a5e445c6b2690, 0x75e74ef08f88c9a3, 0x51d0237b56355ae8, 0x6e1bd96cb98b8484,
  0x0020e344aa3608fd, 0x04e3f1bf03101f7b, 0xd228301dc1f79e04, 0x529c94e803f3cde6, 0x3a207c4690e1aa6f,
  0x8aaa2d30ca718de3, 0x2fcadb33b4e455bd, 0x0bb3c330ddf094b5, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xb7fa907a29e4afdc, 0x0000000000000000,
};

// m1280_u1x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart2_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xa644b7b024dbff2b, 0x81bfaa3296e16dfd, 0xf3ce10b7e439dd8f, 0x097e21b0913d9670,
  0xe1da0e089fd4784f, 0xac74f7cd9edc2444, 0x1ad78e4795f7529d, 0x14c561ee391f06cc, 0x2cb1148b34eb4228,
  0xaedd220ea426be8c, 0xf3a77847c464d1ce, 0xd0237b56355e363a, 0x1bd96cb98b848451, 0x9871a2551b044c8e,
  0x71f8df81880fbd85, 0x14180ee0fbcf0202, 0x4e4a7401f9e6f369, 0x103e234870d537a9, 0x5516986538c6f19d,
  0xcadb33b4e18edec5, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x903eea29e4afdcd0, 0x0000000000000280,
};

// m1280_u1x8_uart2_dual_pr          m1280_u1x8_uart2_dual_pr_u4
static const uint64_t ur_m1280_u1x8_uart2_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8befbfccb0940253, 0xc8e50f60a78e195b,
  0x4292241240e43cd1, 0xf9fbe08bf29f2e2f, 0x6c0ddc3e144313e1, 0xfc97cbe5cfc87ca7, 0x2ff9082d21be5c5d,
  0x8ca2a10cb4131443, 0x25b780dff4073c26, 0xfffa7c982c3795e4, 0x2dbfb4c896f60413, 0xf1c8f914ef96269c,
  0x8f5886921c490310, 0xb475fce62c055079, 0xffb30475e00d7877, 0x03cb3dbe784faa01, 0xfc55f3bb8a92c539,
  0x38fc6fc0c407dec9, 0x8a0c07707de78101, 0xa7253a00fcf379b4, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce,
  0xf2b6cced39156f62, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b,
  0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x9c12792bf734332c, 0x000000000524d015,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xf99612804a774f89, 0xb0b5b3856ff17801,
  0x2481eed4d1c8f3b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0xcb9f90f929201bb8, 0x5a437cb8bbf92f97,
  0x32d04ac8865ff210, 0xffa039e132fb8a84, 0x82c3795e425b7eaf, 0x896f605befffa7c9, 0xab5a3911c2dbfb4c,
  0x983052391e56bee6, 0x50ef8aff74723e0d, 0x185962291669d684, 0x731eb8a973484d7d, 0x9bc39223dece7569,
  0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de, 0xc55f3bb8a92804d7, 0x8fc6fc0c407dec9f,
  0xa0c07707de781013, 0x7253a00fcf379b48, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x2b6cced39156f62a,
  0xcf0cc377c252d4bf, 0x07771a2cf7f88138, 0x430a912b53ab337f, 0x1f347d8cec389c69, 0x32c970cf4c2b93f0,
  0x0ccb0e9296ce1c4e, 0xb22047049e4afdcd, 0x0000000000000002,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x5ed6ff32c250094e, 0x3eed6c136ce13b7c,
  0x49120920663f3472, 0xfdf045f94f9717a1, 0x06ee1f0a2189f0fc, 0x4be5f2e7e43e4950, 0xfc841690df2e2efe,
  0xe2a10cb42a522197, 0x6e4ebfe80e784d1e, 0xf4f930586f2bc84b, 0x7f69912dec0a577f, 0x6654d56b47a5385b,
  0x23e0d983f92391e5, 0x4eb422877c572247, 0x426be8c2cb1148b3, 0x39d5a5cf55c20b9a, 0x1d7b58af088a8c9a,
  0x28afe8ded58d56ba, 0xb70decb8f8c5c242, 0xaf9ddc5495703efe, 0xe37e06203ef64fe2, 0x603b83ef3c0809c7,
  0x48a5abce803f3cde, 0x5a7017be5217ad4e, 0x18de33a204751408, 0xf094b52fcadb33a7, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x00ac89a07049e4af,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xf5bff99612804a77, 0xd36f613b670b5be2,
  0x4890490319b9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0xbe5f2e7e43e5d1f0, 0xc841690df2e2efe4,
  0x2a10cb43f722197f, 0x7383ff4073c267f2, 0xa7c982c3795e425b, 0xfb4c896f60595bff, 0xd943037f5ea1c2db,
  0xcb3879e7085b79b9, 0x3c2784bf10d8489e, 0x84889c3b5da1f7ea, 0xfcf72df5d4b9b3db, 0x2438920752e391c6,
  0x3afe731602a00f7d, 0xd99e3af006bc3bda, 0x796b773c27d500ff, 0x8abe77715258a720, 0x1f8df81880fbd93f,
  0x4180ee0fbcf02027, 0xe4a7401f9e6f3691, 0x03e234870d537a94, 0x516986538c6f19d1, 0xadb33b4e18edec55,
  0x3c330ddf094b52fc, 0x1ddc68b3dfe204e3, 0x0c2a44ad4eaccdfc, 0x7cd1f633b0e271a5, 0xcb25c33d30ae4fc0,
  0x332c3a4a5b387138, 0x92191c12792bf734, 0x0000000000000006,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xa38be9afccb09402, 0xa391ec7f61ff0e01,
  0xbd0a48904903a1f9, 0x87e7ef822fca7cb8, 0xeb303770f8510c4f, 0x77f25f2f973f21f2, 0x0cbfe420b486f971,
  0x36df8a8432d07f11, 0x212db9c1ffa039e1, 0xadffd3e4c161bcaf, 0xe16dfda644b7b02c, 0x79b9dd4a037f597c,
  0x489ecb3879e7085b, 0x77ea3c2784bf10d8, 0xb3db84889c3a1f63, 0x91ee1cf72df58719, 0x3d25243892061c63,
  0x6bfa37b4731602c4, 0x3b8e58cf1d791778, 0xf157ceee2a4a3a0e, 0xe3f1bf03101f7b27, 0xa8301dc1f79e0404,
  0x29c94e803f3cde5b, 0x96bfc4690e1aa6f5, 0x6f19d1036e318216, 0x4a5a97e56d99d38c, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0xa48917b824f257ee, 0x0000000000000001,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xff32c250094ee9f1, 0xec2618e0cf9c5fac,
  0x04903149347239ad, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xe5cfc87c82910377, 0x2d21be5c5dfc97cb,
  0x19684ae4432ff908, 0x7fd01cf098a1c542, 0x60b0de579096df4d, 0x225bd8105affe9f2, 0x77d51fee70b6fed3,
  0x9c216de6e7670405, 0x84889c3b3e759fe7, 0x94ed7e2310cd02bb, 0x1b30698c723cacca, 0x08a0531598f8e47c,
  0xfa30b2c4522cd3ad, 0x0e7576edbe3a909a, 0xc75ed62bc2f7a3e9, 0x145c34752ec6abc6, 0x2386f65c7c62e121,
  0x5f3bb8a92e316be3, 0xc6fc0c407dec9fc5, 0xc07707de7810138f, 0x53a00fcf379b48a0, 0xf11a4386a9bd4a72,
  0xb4c329c6378ce881, 0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000000982636e09,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0x37f8baa47f32c253,
  0xa391fa3fb0524387, 0xbd0a48904903a4a9, 0x87e7ef822fca7cb8, 0xebe03770f8510c4f, 0xdfc97cbe5cfc87c8,
  0x32ff9082d21be5c5, 0x13a8a8432d0e9f44, 0x25b7bc3ffa039e13, 0xff9032982c3795e4, 0xb6fed3225bd8156f,
  0x77a680dfd51cae70, 0xcb3879e7085bf806, 0x3c2784bf10d8489e, 0x122270fe72ea77ea, 0xc94ed63a9ba6cf6e,
  0xc1b306be4723cadf, 0xd08a05315d4a8e47, 0xafa30b2c4522cd3a, 0xece7576e31e3a909, 0x1b1d7a89bc39223d,
  0x422883e8f9eb1aaf, 0x4c8e1bd97d2cc5c2, 0x92966d7c82d51b04, 0x07dec9fc55f3bb8a, 0xe7810138fc6fc0c4,
  0xf379b48a0c07707d, 0x6a9bd4a7253a00fc, 0x6378ce881f11a438, 0xc76f62aa8b4c329c, 0x4a5a97e56d99da70,
  0x7f8817b1e1986ef8, 0xd599bf8347f1a2cf, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x369ac7f86792bf73, 0x0000000000000200,
};

static const uint64_t ur_m1280_u1x8_uart2_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xf003f32c253a0cee, 0xe76f616b670adfe2,
  0x48904903dda9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f25240, 0xe420b486f97177f2,
  0x150865a095910cbf, 0xfd5fff4073c265f7, 0xcb530586f2bc84b6, 0xed3225bd816fbff8, 0xfb9aad68e4470b6f,
  0xf83660c148e4795a, 0x5a1143be2bfdd1c8, 0x35f4616588a459a7, 0xd5a5cc7ae2a5cd21, 0x5ea26f0e488f7b39,
  0x107d1f3d6355ae87, 0xc37b2fa598b84845, 0x135f20b546c11fad, 0xb27f157ceee2a4a0, 0x404e3f1bf03101f7,
  0x6d228301dc1f79e0, 0xf529c94e803f3cde, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de, 0x52fcadb33b4e455b,
  0xa0bb3c330ddf094b, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x576a45daa29e4afd,
};

// m1280_u1x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart2_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x438737f8baa47f32,
  0xa4a9a391fa3fb052, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x87c8ebe03770f851, 0xe5c5dfc97cbe5cfc,
  0x9f4432ff9082d21b, 0x9e1313a8a8432d0e, 0x95e425b7bc3ffa03, 0x156fffc65a982c37, 0xae70b6fed3225bd8,
  0xf90e77a680dfd51c, 0x244f659c3cf3842d, 0xa3f51e13c25f886c, 0x67b70911387ba1ba, 0xe56fe4a76b1d4dd3,
  0x4723e0d9835f2391, 0x669d68450298aea5, 0xd484d7d185962291, 0x911ef673abb718f1, 0x8d578d8ebd44de1c,
  0x62e1211441f47cf5, 0x8d8226470decbe96, 0xddc5494b36be416a, 0xe06203ef64fe2af9, 0xb83ef3c0809c7e37,
  0x007e79bcda450603, 0xd21c354dea53929d, 0x194e31bc67440f88, 0xed3863b7b15545a6, 0x377c252d4bf2b6cc,
  0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x8a792bf734332c3a, 0x00000000eba91e4e,
};

// m1280_u1x8_uart3_noled_pr         m2560_u1x8_uart3_noled            m2560_u1x8_uart3_noled_pr
static const uint64_t ur_m1280_u1x8_uart3_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xffcb8fcfe49304f8, 0xe6fed2d48b7b027b, 0x723f3c77cb2435d9, 0xf3a0a4871240cd24, 0x8f199cc580b7ba61,
  0xcb1823af175e1a96, 0x310e87ec2b241771, 0x1dce87e73cf0dbf0, 0x19e787e6f3e0a830, 0x959486e2ea72f29b,
  0xb4ac24e31bc67440, 0xd99ca9d156f62aa8, 0x1986ef84a5a97e56, 0xfc68b3dfe209f71e, 0x615c9fbab31e40d1,
  0xb670e271964b867a, 0xf257ee6866587494, 0x00000f903850f254,
};

// m2560_u1x8_uart3_noled_pr_u4
static const uint64_t ur_m1280_u1x8_uart3_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xfc30d9f9c6609f19, 0x6fed2d48b7b025f3, 0x23f4077cb0875d9e, 0x37ba4871240d05c7, 0x3d61cc580b2ca6f9,
  0xd9823af47d78705a, 0xe59ed871a25500ff, 0xf8188743f626af81, 0x180ee743f39e786d, 0x4d8cf3c3f379f054,
  0x204aca4371753979, 0x545a5612718de33a, 0x2b6cce54e8ab7b15, 0x8f0cc377c252d4bf, 0x83bb8d167bfc40bd,
  0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0xc12792bf734332c3, 0x000000007c9db315,
};

// m1280_u1x8_uart3_noled_pr_ee_u4   m2560_u1x8_uart3_noled_pr_ee      m2560_u1x8_uart3_noled_pr_ee_u4
static const uint64_t ur_m1280_u1x8_uart3_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0x367d82cc13e32774, 0x96a45bd811c3ff0c, 0xd56b4738aecf37f6, 0xd9834c6391e57224, 0x22877c56654723e0,
  0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0x74ef08df4782ce75, 0x7a30e36355ae875e, 0x7b2d973170908a16,
  0x05507546c11fadc3, 0x36fc0c43a1fb0029, 0x2a0c0773a1f9cf3c, 0xbca6c679e1f9bcf8, 0x9d10256521b8ba9c,
  0x8aaa2d2b0938c6f1, 0x5f95b6672a7455bd, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x26e093c95fb9a199,
  0x000000000013af79,
};

// m1280_u1x8_uart3_noled_pr_ce_u4
static const uint64_t ur_m1280_u1x8_uart3_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x9bfb4b522dec09d2, 0x9dfee037f5051767, 0xecb3879e7085b79b, 0xa3c2784bf10d8489,
  0x6e122270f000527e, 0xe4f4f72df5eb26cf, 0xd6a4871240f591c8, 0x82d1eb0e62c054c6, 0x07feccf1d7a3ebc3,
  0x5f03cb5b838d12a8, 0xf0dbf0310e87ec4d, 0xe0a8301dce87e73c, 0x72f29b19e787e6f3, 0xc67440959486e2ea,
  0xf62aa8b4ac24e31b, 0x52fcadb339538c76, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756,
  0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xaa47049e4afdcd0c,
  0x000000000000dd71,
};

// m1280_u1x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x8_uart3_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0x5a916f605ff3fc30, 0xbfaa3296bb3cdfda, 0xf3842dbcdcec2d01, 0x5f886c244f659c3c,
  0x7ba1baa3f51e13c2, 0x1d3df367b7091138, 0xb5e391e57d44a76b, 0x98afba8e47c1b306, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xd3bc237d1e0b39d5, 0xd1871b1aaf1b1d79, 0xd96cb98b848450b3, 0x1541d51b044c8e1b,
  0xdbf0310e87ec2ce4, 0xa8301dce87e73cf0, 0xf29b19e787e6f3e0, 0x7440959486e2ea72, 0x2aa8b4ac24e31bc6,
  0xfcadb339538c76f6, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xf7049e4afdcd0ccb, 0x00000000004fcb2d,
};

// m2560_u1x8_uart3_noled_ee_hw
static const uint64_t ur_m1280_u1x8_uart3_noled_ee_hw[] = {
  0xdddddb9514682d7b, 0xbbbba588d012158d, 0x26d4fd2e9bbd3f7b, 0x0d87238f7583ecfb, 0xa3b295aec8ada095,
  0x62cfb059827c64ee, 0xd2d48b7b02387fe5, 0x9aad68e715d9e6fe, 0x1b30698c723cae44, 0x8450ef8acca8e47c,
  0x7d185962291669d6, 0xad2e7aae3593484d, 0xce9de11be8f059ce, 0xcf461c6c6ab5d0eb, 0x6f65b2e62e121142,
  0x20aa0ea8d823f5b8, 0x86df8188743f6005, 0x054180ee743f39e7, 0x9794d8cf3c3f379f, 0x33a204aca4371753,
  0xb15545a5612718de, 0x4bf2b6cce54e8ab7, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x2df231fe8a792bf7, 0x0000000000000000,
};

// m1280_u1x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart3_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xa5a916f605ff3fca, 0x1bfaa3296bb3cdfd, 0x9e7085bf21cec2d0, 0x4bf10d8489ecb387,
  0x87672e8ffea3c278, 0xb1d3df367b709113, 0x6b5e391e57d44a76, 0x298afba8e47c1b30, 0x5962291669d68450,
  0x5db8f51d484d7d18, 0x9d3bc237d1e0b39d, 0x3d1871b1aaf1b1d7, 0xbd96cb98b848450b, 0x41541d51b044c8e1,
  0x0dbf0310e87ec2ce, 0x0a8301dce87e73cf, 0x2f29b19e787e6f3e, 0x67440959486e2ea7, 0x62aa8b4ac24e31bc,
  0x2fcadb339538c76f, 0x0bb3c330ddf094b5, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x4043aa4a29e4afdc, 0x0000000000000001,
};

// m1280_u1x8_uart3_lednop_pr        m2560_u1x8_uart3_lednop           m2560_u1x8_uart3_lednop_pr
static const uint64_t ur_m1280_u1x8_uart3_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0x3fcb8fcf829304f8, 0xe6fed2d48b7b02f9, 0x72393c77cb2435d9, 0xc6d6a4871240cd24, 0x1c829cc580b7ba64,
  0x9630475e2ebc35fd, 0x310e87ec2b038ee3, 0x87e781013cf0dbf0, 0x0fcde6d228301dce, 0x86a9bd4a7253a04f,
  0xc6378ce881f11a43, 0x9156f62aa8b4c329, 0xc252d4bf2b6cced3, 0xeff104fb8f0cc377, 0xdd598f2068fe3459,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xf90d38792a792bf7,
};

// m2560_u1x8_uart3_lednop_pr_u4
static const uint64_t ur_m1280_u1x8_uart3_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xff0c367cf59827c6, 0x37f696a45bd814be, 0x91ed63be5843aecf, 0xd1952438920682e3, 0x690ce62c0596534d,
  0xd9823af47d7849a4, 0xcb3db7b43ed500ff, 0xf0310e87ecf70503, 0xce87e781013cf0db, 0x4f0fcde6d228301d,
  0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xd39156f62aa8b4c3, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x007c9fd969c12792,
};

// m1280_u1x8_uart3_lednop_pr_ee_u4  m2560_u1x8_uart3_lednop_pr_ee     m2560_u1x8_uart3_lednop_pr_ee_u4
static const uint64_t ur_m1280_u1x8_uart3_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0x367f2b4c13e32775, 0x96a45bd81143ff0c, 0xd56b4738aecf37f6, 0xd9834c6391e56654, 0x450ef8acc7c723e0,
  0xd185962291669d68, 0xd2f222e3593484d7, 0x3a77847c464d1cea, 0x811bdab1aad743af, 0xdecb65cc5c24228e,
  0x071a2551b047eb70, 0xe1b7e0621d0fd801, 0x603b9d0fcf020279, 0xa7409e1f9bcda450, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xd99da722adec5551, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e, 0x0a912b53ab337f07,
  0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749,
  0x0000004eb86a7382,
};

// m1280_u1x8_uart3_lednop_pr_ce_u4
static const uint64_t ur_m1280_u1x8_uart3_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x79bfb4b522dec08b, 0xb9dfce037f505176, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0xdb84889c3e37760f, 0x3f493dcb7d7ac9b3, 0x07e921c4903d6472, 0x4d23486731602e49, 0x07feccf1d7a3ebc2,
  0x0a0796b73da1f6a8, 0xe1b7e0621d0fd9ee, 0x603b9d0fcf020279, 0xa7409e1f9bcda450, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad, 0xee3459eff102f63c, 0x152256a75666fe0e,
  0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000001baeb46e704,
};

// m1280_u1x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x8_uart3_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0x5a916f6049b7fe18, 0xbfaa3296bb3cdfda, 0xe7085b79b9dd8f81, 0xbf10d8489ecb3879,
  0xc0006ddfea3c2784, 0x74f7cd9edc2444e1, 0xd78e4795f7529dac, 0xc561ee391f06cc1a, 0xb1148b34eb422814,
  0xdd220ea426be8c2c, 0xa77847c464d1ceae, 0x237b56355e363af3, 0xd96cb98b848451d0, 0x71a2551b044c8e1b,
  0x1b7e0621d0fd8598, 0x03b9d0fcf020279e, 0x7409e1f9bcda4506, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x33b4e18edec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000009f9e7e17049,
};

// m2560_u1x8_uart3_lednop_ee_hw
static const uint64_t ur_m1280_u1x8_uart3_lednop_ee_hw[] = {
  0xeeeeedca8a345562, 0xddddd2c468190ac6, 0x90b27b6f5a5e8d3d, 0x2f61c8e3dd60fb3c, 0x4c8b4edb0c6ecadc,
  0xb167f2b4c13e3277, 0x696a45bd81143ff2, 0x4d56b4738aecf37f, 0x0d9834c6391e5665, 0x8450ef8acc7c723e,
  0x7d185962291669d6, 0xad2f222e3593484d, 0xf3a77847c464d1ce, 0xe811bdab1aad743a, 0x0decb65cc5c24228,
  0x1071a2551b047eb7, 0x9e1b7e0621d0fd80, 0x0603b9d0fcf02027, 0x4a7409e1f9bcda45, 0x3e234870d537a94e,
  0x16986538c6f19d10, 0x6d99da722adec555, 0xe1986ef84a5a97e5, 0xf79430a912b505d9, 0x71fc65f989ffde1e,
  0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196, 0x483d14f257ee6866, 0x0000000000005bfd,
};

// m1280_u1x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart3_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0x2d48b7b024dbff2b, 0xdfd5194b5d9e6fed, 0xe7085bf21ceec7c0, 0xbf10d8489ecb3879,
  0xed07044fea3c2784, 0x3a7be6cf6e122270, 0x6bc723cafba94ed6, 0x62b0f71c8f83660d, 0x588a459a75a1140a,
  0x6e910752135f4616, 0xd3bc23e23268e757, 0x11bdab1aaf1b1d79, 0xecb65cc5c24228e8, 0x38d12a8d8226470d,
  0x0dbf0310e87ec2cc, 0x01dce87e781013cf, 0x3a04f0fcde6d2283, 0x11a4386a9bd4a725, 0x4c329c6378ce881f,
  0x99da70c76f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0x7514f257ee686658, 0x000000000140481f,
};

// m1280_u1x8_uart3_dual_pr          m1280_u1x8_uart3_dual_pr_u4
static const uint64_t ur_m1280_u1x8_uart3_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8befbfccb0940253, 0xc8e50f60a78e195b,
  0x4292241240e43cd1, 0xf9fbe08bf29f2e2f, 0x6c0ddc3e144313e1, 0xfc97cbe5cfc87ca7, 0x2ff9082d21be5c5d,
  0x8ca2a10cb4131443, 0x25b780dff4073c26, 0xfffa7c982c3795e4, 0xcdfda5a916f60413, 0xe47c8a77cb134bb3,
  0xac43490e24818878, 0x3afe731602a83cc7, 0xd9823af006bc3bda, 0xe59edf3c27d500ff, 0x2af9ddc549629c81,
  0x86df8188743f64fe, 0x80ee743f3c0809e7, 0x9d02787e6f369141, 0x88d21c354dea5392, 0xa6194e31bc67440f,
  0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c,
  0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x00000292680ace09,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xf99612804a774f89, 0xb0b5b3856ff17801,
  0x2481eed4d1c8f3b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0xcb9f90f929201bb8, 0x5a437cb8bbf92f97,
  0x32d04ac8865ff210, 0xffa039e132fb8a84, 0x82c3795e425b7eaf, 0x916f605befffa7c9, 0xad1c88bb3cdfda5a,
  0x18291c8f2b5f7355, 0x77c57fba391f06cc, 0x2cb1148b34eb4228, 0x8f5c54b9a426be8c, 0xe1c911ef673ab4b9,
  0xe7ac6ab5d0ebd44d, 0xf4b3170908a20fa3, 0x16a8d823f5b86f65, 0xaf9ddc5494026be4, 0x6df8188743f64fe2,
  0x0ee743f3c0809e78, 0xd02787e6f3691418, 0x8d21c354dea53929, 0x6194e31bc67440f8, 0x6769c8ab7b15545a,
  0x61bbe1296a5f95b6, 0x8d167bfc409c6786, 0x4895a9d599bf83bb, 0x3ec6761c4e34a185, 0xb867a615c9f80f9a,
  0x87494b670e271964, 0x23824f257ee68665, 0x0000000000015910,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x5ed6ff32c250094e, 0x3eed6c136ce13b7c,
  0x49120920663f3472, 0xfdf045f94f9717a1, 0x06ee1f0a2189f0fc, 0x4be5f2e7e43e4950, 0xfc841690df2e2efe,
  0xe2a10cb42a522197, 0x6e4ebfe80e784d1e, 0xf4f930586f2bc84b, 0xfb4b522dec0a577f, 0x2a6ab5a3d297679b,
  0xf06cc1fc91c8f2b3, 0x5a1143be2b912391, 0x35f4616588a459a7, 0xead2e7aae105cd21, 0xbdac578445464d1c,
  0x57f46f6ac6ab5d0e, 0x86f65c7c62e12114, 0xceee2a4ab81f7f5b, 0xfc0c43a1fb27f157, 0x73a1f9e0404f3c36,
  0xd5e7409e1f9bcc07, 0x0bdf290bd6a72452, 0x19d1023a8a042d38, 0x5a97e56d99d38c6f, 0x8817b1e1986ef84a,
  0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4,
  0x66587494b670e271, 0x44d03824f257ee68, 0x0000000000000056,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xf5bff99612804a77, 0xd36f613b670b5be2,
  0x4890490319b9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0xbe5f2e7e43e5d1f0, 0xc841690df2e2efe4,
  0x2a10cb43f722197f, 0x7383ff4073c267f2, 0xa7c982c3795e425b, 0xda5a916f60595bff, 0xa181bfaf50bb3cdf,
  0x9c3cf3842dbcdcec, 0x13c25f886c244f65, 0x444e1daed0fbf51e, 0x7b96faea5cd9edc2, 0x1c4903a971c8e37e,
  0x7f398b015007be92, 0xcf1d78035e1ded1d, 0xb5bb9e13ea807fec, 0x5f3bb8a92c53903c, 0xdbf0310e87ec9fc5,
  0x1dce87e781013cf0, 0xa04f0fcde6d22830, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4,
  0x86ef84a5a97e56d9, 0x3459eff102719e19, 0x2256a75666fe0eee, 0xfb19d87138d28615, 0xe19e985727e03e68,
  0x1d252d9c389c6592, 0x8e093c95fb9a1996, 0x000000000003490c,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xa38be9afccb09402, 0xa391ec7f61ff0e01,
  0xbd0a48904903a1f9, 0x87e7ef822fca7cb8, 0xeb303770f8510c4f, 0x77f25f2f973f21f2, 0x0cbfe420b486f971,
  0x36df8a8432d07f11, 0x212db9c1ffa039e1, 0xadffd3e4c161bcaf, 0x9e6fed2d48b7b02c, 0xdceea501bfacbe5d,
  0x4f659c3cf3842dbc, 0xf51e13c25f886c24, 0xedc2444e1d0fb1bb, 0xf70e7b96fac38cd9, 0x92921c49030e31c8,
  0xfd1bda398b01621e, 0xc72c678ebc8bbc35, 0xabe77715251d071d, 0x1b7e0621d0fd93f8, 0x03b9d0fcf020279e,
  0xa7409e1f9bcb7506, 0xe234870d537a94e4, 0xe881b718c10b4b5f, 0x4bf2b6cce9c6378c, 0x0bd8f0cc377c252d,
  0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x8bdc12792bf73433, 0x000000000000d244,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xff32c250094ee9f1, 0xec2618e0cf9c5fac,
  0x04903149347239ad, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xe5cfc87c82910377, 0x2d21be5c5dfc97cb,
  0x19684ae4432ff908, 0x7fd01cf098a1c542, 0x60b0de579096df4d, 0xa45bd8105affe9f2, 0xea8ff72ecf37f696,
  0x10b6f373b38202bb, 0x444e1d9f3acff3ce, 0x76bf118866815dc2, 0x9834c6391e56654a, 0x50298acc7c723e0d,
  0x185962291669d684, 0x3abb76df1d484d7d, 0xaf6b15e17bd1f487, 0x2e1a3a976355e363, 0xc37b2e3e3170908a,
  0x9ddc549718b5f191, 0xf8188743f64fe2af, 0xe743f3c0809e786d, 0x2787e6f36914180e, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x59eff104fb8f0cc3, 0x93f75666fe0eee34,
  0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce, 0x0004c131b7049e4a,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0x37f8baa47f32c253,
  0xa391fa3fb0524387, 0xbd0a48904903a4a9, 0x87e7ef822fca7cb8, 0xebe03770f8510c4f, 0xdfc97cbe5cfc87c8,
  0x32ff9082d21be5c5, 0x13a8a8432d0e9f44, 0x25b7bc3ffa039e13, 0xff9032982c3795e4, 0x37f696a45bd8156f,
  0xd3406fea8e572ecf, 0x9c3cf3842dfc033b, 0x13c25f886c244f65, 0x11387f39753bf51e, 0xa76b1d4dd367b709,
  0xd9835f2391e56fe4, 0x450298aea54723e0, 0xd185962291669d68, 0x73abb718f1d484d7, 0x8ebd44de1c911ef6,
  0x1441f47cf58d578d, 0x470decbe9662e121, 0x4b36be416a8d8226, 0x3f64fe2af9ddc549, 0x0809e786df818874,
  0x36914180ee743f3c, 0xea53929d02787e6f, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0x4bf2b6cced3863b7,
  0x0bd8f0cc377c252d, 0xdfc1a3f8d167bfc4, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x63fc33c95fb9a199, 0x0000000001001b4d,
};

static const uint64_t ur_m1280_u1x8_uart3_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xf003f32c253a0cee, 0xe76f616b670adfe2,
  0x48904903dda9a391, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f25240, 0xe420b486f97177f2,
  0x150865a095910cbf, 0xfd5fff4073c265f7, 0xcb530586f2bc84b6, 0x696a45bd816fbff8, 0xcd56b47222ecf37f,
  0x1b3060a4723cad7d, 0x08a1df15fee8e47c, 0xfa30b2c4522cd3ad, 0xd2e63d7152e6909a, 0x5137872447bd9cea,
  0x3e8f9eb1aad743af, 0xbd97d2cc5c242288, 0xaf905aa3608fd6e1, 0x3f8abe7771525009, 0x79e1b7e0621d0fd9,
  0x50603b9d0fcf0202, 0xe4a7409e1f9bcda4, 0x03e234870d537a94, 0x516986538c6f19d1, 0x56d99da722adec55,
  0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x22ed514f257ee686, 0x0000000000002bb5,
};

// m1280_u1x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x8_uart3_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x438737f8baa47f32,
  0xa4a9a391fa3fb052, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x87c8ebe03770f851, 0xe5c5dfc97cbe5cfc,
  0x9f4432ff9082d21b, 0x9e1313a8a8432d0e, 0x95e425b7bc3ffa03, 0x156fffc65a982c37, 0x2ecf37f696a45bd8,
  0x873bd3406fea8e57, 0x27b2ce1e79c216fc, 0xfa8f09e12fc43612, 0xdb84889c3dd0dd51, 0xb7f253b58ea6e9b3,
  0x91f06cc1af91c8f2, 0x4eb422814c5752a3, 0x426be8c2cb1148b3, 0x8f7b39d5db8c78ea, 0xabc6c75ea26f0e48,
  0x70908a20fa3e7ac6, 0xc1132386f65f4b31, 0xe2a4a59b5f20b546, 0xc43a1fb27f157cee, 0x1f9e0404f3c36fc0,
  0x3f379b48a0c0773a, 0x1aa6f529c94e813c, 0x18de33a207c4690e, 0x31dbd8aaa2d30ca7, 0x1296a5f95b66769c,
  0x44ad417678661bbe, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x000075d48f27453c,
};

// m1280_u1x12_uart2_noled_pr        m2560_u1x12_uart2_noled           m2560_u1x12_uart2_noled_pr
static const uint64_t ur_m1280_u1x12_uart2_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xf2e3f3f374c13e32, 0xb53fbb74f5f0e21f, 0xdf2c90e1b46e93fd, 0x1c49033491c8fcf1, 0x1602dee987ce8292,
  0xbc5d786a5a3c6673, 0xb0ac905dc72c608e, 0x79ce3f1bf03101f7, 0x9e6f3e0a8301dc1f, 0x1b8ba9cbca6c671f,
  0x938c6f19d1025652, 0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0xcf7f8827dc78661b, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xb9a19961d252d9c3, 0x03e431b3c953c95f,
};

// m2560_u1x12_uart2_noled_pr_u4
static const uint64_t ur_m1280_u1x12_uart2_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xf0c367f4a9827c64, 0xb53fbb74f5f0c14f, 0xdf2c21e1b46e93fd, 0x1c49034171c8fd01, 0x1602cb29be4dee92,
  0xbd1f5e1c168f5873, 0x1c6895403ff6608e, 0x0fbd89abe07967b6, 0xe0fbce71f8df8188, 0x38fcf379f054180e,
  0xb290dc5d4e5e5363, 0x95849c6378ce8812, 0x33953a2adec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3,
  0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x00001f2747937049,
};

// m1280_u1x12_uart2_noled_pr_ee_u4  m2560_u1x12_uart2_noled_pr_ee     m2560_u1x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m1280_u1x12_uart2_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x6cfe049827c64eeb, 0xeedd3d7c3297fe18, 0xe7186d1ba4ff6d4f, 0x8c723cae449aad68, 0x8acca8e47c1b3069,
  0x62291669d68450ef, 0xae3593484d7d1859, 0x1be8f059cead2e7a, 0x6c6ab5d0ebce9de1, 0xe62e121142cf461c,
  0xa8d823f5b86f65b2, 0x6203ef600520aa0e, 0x03b83ef39c7e37e0, 0xd8ce3f3cde7c1506, 0x04aca43717539794,
  0x45a5612718de33a2, 0xb6cce54e8ab7b155, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a,
  0x0000000275f8d0dc,
};

// m1280_u1x12_uart2_noled_pr_ce_u4
static const uint64_t ur_m1280_u1x12_uart2_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0xd4feedd3d7c3387f, 0xdfd41486d1ba4ff6, 0x79c216de6e77fb80, 0x2fc4361227b2ce1e,
  0xc3c00149fa8f09e1, 0xb7d7ac9b3db84889, 0x4903d6472393d3dc, 0x398b01531b5a921c, 0xc75e8faf0e0b47ac,
  0x6e0e344aa01ffb33, 0x3101f7b1357c0f2d, 0x01dc1f79ce3f1bf0, 0x6c671f9e6f3e0a83, 0x0256521b8ba9cbca,
  0xa2d2b0938c6f19d1, 0xb6cce54e31dbd8aa, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a,
  0x0000000375ef24dc,
};

// m1280_u1x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x12_uart2_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xddba7af861a3fc30, 0x2970da3749feda9f, 0xdbcdcec2d01bfaa3, 0xc244f659c3cf3842,
  0xaa3f51e13c25f886, 0x367b70911387ba1b, 0x1e57d44a76b1d3df, 0xa8e47c1b306b5e39, 0x1669d68450298afb,
  0x1d484d7d18596229, 0x37d1e0b39d5db8f5, 0xb1aaf1b1d79d3bc2, 0x98b848450b3d1871, 0x51b044c8e1bd96cb,
  0xc407dec2ce41541d, 0x07707de738fc6fc0, 0xb19c7e79bcf82a0c, 0x0959486e2ea72f29, 0x8b4ac24e31bc6744,
  0xdb339538c76f62aa, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0, 0xcbf313ffbc3def28,
  0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x49e4afdcd0ccb0e9, 0x000000027e25b470,
};

// m2560_u1x12_uart2_noled_ee_hw
static const uint64_t ur_m1280_u1x12_uart2_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0xfeedd3d7c3297fe5, 0x8e7186d1ba4ff6d4, 0x98c723cae449aad6, 0xf8acca8e47c1b306,
  0x962291669d68450e, 0xaae3593484d7d185, 0x11be8f059cead2e7, 0xc6c6ab5d0ebce9de, 0x2e62e121142cf461,
  0xea8d823f5b86f65b, 0x06203ef600520aa0, 0x603b83ef39c7e37e, 0x4d8ce3f3cde7c150, 0x204aca4371753979,
  0x545a5612718de33a, 0x2b6cce54e8ab7b15, 0xcf0cc377c252d4bf, 0xf7bca1854895a82e, 0xc38fe32fcc4ffef0,
  0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x8d35a8a792bf7343, 0x000000000000016f,
};

// m1280_u1x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart2_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xeedd3d7c30d1fe56, 0x94b86d1ba4ff6d4f, 0xdf90e761680dfd51, 0xc244f659c3cf3842,
  0x47ff51e13c25f886, 0x9b3db84889c3b397, 0x8f2bea253b58e9ef, 0xd4723e0d9835af1c, 0x8b34eb422814c57d,
  0x8ea426be8c2cb114, 0x1be8f059ceaedc7a, 0xd8d578d8ebce9de1, 0xcc5c2422859e8c38, 0xa8d8226470decb65,
  0x6203ef616720aa0e, 0x03b83ef39c7e37e0, 0xd8ce3f3cde7c1506, 0x04aca43717539794, 0x45a5612718de33a2,
  0x6d99ca9c63b7b155, 0xe1986ef84a5a97e5, 0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8,
  0x4b867a617c68f45f, 0x587494b670e27196, 0xc5f514f257ee6866, 0x000000000000a021,
};

// m1280_u1x12_uart2_lednop_pr       m2560_u1x12_uart2_lednop          m2560_u1x12_uart2_lednop_pr
static const uint64_t ur_m1280_u1x12_uart2_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x3fcb8fcf84f9827c, 0xf6d4feedd3d7c340, 0xc77cb24386d1ba4f, 0x4871240cd2472393, 0x98b016f74c3e2cfa,
  0xebc5d78521a39053, 0xbd856633dc72c608, 0x020271f8df81880f, 0x6f2dd4180ee0fbcf, 0x537a94e4a7401f9e,
  0x810b4b5fe234870d, 0x74e31bc67440dba2, 0x1bbe1296a5f95b66, 0xa2cf7f8827dc7866, 0x727eeacc790347f1,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0003e431b3c953c9,
};

// m2560_u1x12_uart2_lednop_pr_u4
static const uint64_t ur_m1280_u1x12_uart2_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xf0c367c27cc13e32, 0xb53fbb74f5f0d00f, 0xdf2c21e1b46e93fd, 0x1c49034171c8f6b1, 0x1602cb29a6e8ca92,
  0x7a3ebc24d2348673, 0xda1f6a807fecc11d, 0x3ef67b8281e59edb, 0x3c0809c7e37e0620, 0x9bcda450603b83ef,
  0x54dea53929d007e7, 0x1bc67440f88d21c3, 0xab7b15545a6194e3, 0x296a5f95b66769c8, 0xfe205ec78661bbe1,
  0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3,
  0xa19961d252d9c389, 0x4d717ce093c95fb9, 0x000000000000003e,
};

// m1280_u1x12_uart2_lednop_pr_ee_u4 m2560_u1x12_uart2_lednop_pr_ee    m2560_u1x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m1280_u1x12_uart2_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xd9fdf7304f8c9ddb, 0xddba7af86a7bfc30, 0xce30da3749feda9f, 0x18e4795995355ad1, 0x2b31f1c8f83660d3,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x1f1193473ab4bc88, 0xac6ab5d0ebce9de1, 0x73170908a3a046f6,
  0x546c11fadc37b2d9, 0x06203ef60041c689, 0x83ef3c0809c7e37e, 0x07e79bcda450603b, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0x69c8ab7b15545a61, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0013ae7eb6e093c9,
};

// m1280_u1x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m1280_u1x12_uart2_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0xd4feedd3d7c3287f, 0xdfd41486d1ba4ff6, 0x79c216de6e77f380, 0x2fc4361227b2ce1e,
  0x0f8ddd83fa8f09e1, 0xdf5eb26cf6e12227, 0x240f591c8fd24f72, 0xcc580b9241fa4871, 0x75e8faf09348d219,
  0xcf687daa01ffb33c, 0x203ef67b8281e5ad, 0xef3c0809c7e37e06, 0xe79bcda450603b83, 0xc354dea53929d007,
  0xe31bc67440f88d21, 0x863b7b15545a6194, 0xc252d4bf2b6cced3, 0x7bfc40bd8f0cc377, 0xa9d599bf83bb8d16,
  0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x375c3539c12792bf,
};

// m1280_u1x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x12_uart2_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xdba7af873b7fe186, 0x970da3749feda9fd, 0x79b9dd8f81bfaa32, 0x489ecb3879e7085b,
  0xdfea3c2784bf10d8, 0x9edc2444e1c0006d, 0x95f7529dac74f7cd, 0x391f06cc1ad78e47, 0x34eb422814c561ee,
  0xa426be8c2cb1148b, 0xc464d1ceaedd220e, 0x355e363af3a77847, 0x8b848451d0237b56, 0x1b044c8e1bd96cb9,
  0x880fbd859871a255, 0xfbcf020271f8df81, 0xf9e6f36914180ee0, 0x70d537a94e4a7401, 0x38c6f19d103e2348,
  0xe18edec555169865, 0xf094b52fcadb33b4, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x04fc30897049e4af,
};

// m2560_u1x12_uart2_lednop_ee_hw
static const uint64_t ur_m1280_u1x12_uart2_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0xfeedd3d7c353dfe5, 0x8e7186d1ba4ff6d4, 0x98c723cacca9aad6, 0xf1598f8e47c1b306,
  0x2c4522cd3ad08a1d, 0x45c6b26909afa30b, 0x08f88c9a39d5a5e4, 0xb56355ae875e74ef, 0xcb98b848451d0237,
  0x4aa3608fd6e1bd96, 0xf03101f7b0020e34, 0xdc1f79e0404e3f1b, 0x803f3cde6d228301, 0x690e1aa6f529c94e,
  0x0ca718de33a207c4, 0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2,
  0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x0000000005bf765a,
};

// m1280_u1x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart2_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xeedd3d7c39dbff2b, 0x94b86d1ba4ff6d4f, 0xbf21ceec7c0dfd51, 0x8489ecb3879e7085,
  0x44fea3c2784bf10d, 0x6cf6e122270ed070, 0x3cafba94ed63a7be, 0x71c8f83660d6bc72, 0x59a75a1140a62b0f,
  0x752135f4616588a4, 0x3e23268e7576e910, 0xb1aaf1b1d79d3bc2, 0xcc5c24228e811bda, 0xa8d8226470decb65,
  0x0c407dec2cc38d12, 0x07de7810138fc6fc, 0x0fcf379b48a0c077, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a,
  0xa70c76f62aa8b4c3, 0xef84a5a97e56d99d, 0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6,
  0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000001405463fd1,
};

// m1280_u1x12_uart2_dual_pr         m1280_u1x12_uart2_dual_pr_u4
static const uint64_t ur_m1280_u1x12_uart2_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xe9bfccb0940253ba, 0xea7b61958e1bef8b,
  0x92241240cbacd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cad6c, 0xf9082d21be5c5dfc,
  0x22a10cb43e44432f, 0xb7a95ff4073c261f, 0xfa7c982c3795e425, 0xd4feedd3d7c3eebf, 0xbe589a86d1ba4ff6,
  0x71240c43c723e453, 0xb01541e63d621a48, 0x8035e1ded1d7f398, 0xe13ea807fecc11d7, 0x2a4b14e40f2cf6f9,
  0x101f7b27f157ceee, 0xf79e0404e3f1bf03, 0xf3cde6d228301dc1, 0xe1aa6f529c94e803, 0x718de33a207c4690,
  0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4, 0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225,
  0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0a49a0e37049e4af,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xfccb0940253ba7c4, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xdd3d7c3d37ffd3e4, 0x486d1ba4ff6d4fee,
  0xe4795afb9aad68e4, 0xfdd1c8f83660c148, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8f7b39d5a5cc7ae2,
  0x55ae875ea26f0e48, 0xb84845107d1f3d63, 0xc11fadc37b2fa598, 0xe2a4a0135f20b546, 0x3101f7b27f157cee,
  0x1f79e0404e3f1bf0, 0x3f3cde6d228301dc, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x4e455bd8aaa2d30c,
  0xdf094b52fcadb33b, 0x67bfc413ee3c330d, 0x4fdd599bf83bb8d1, 0x7138cb25c33d30ae, 0xf734332c3a4a5b38,
  0x0190a15a9c12792b,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x6584a6024ee9f12e, 0x15be70801c5c527e,
  0x9034db9a391ed6f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e5cdf03770f, 0x90df2e2efe4be5f2,
  0xb41d2a2197fc8416, 0xe80e784c5162a10c, 0xb0de579096de87ff, 0x3d7c3d37fe40ca60, 0x6d1ba4ff6d4feedd,
  0x795afb9aad68e448, 0xd1c8f83660c148e4, 0x59a75a1143be2bfd, 0xcd2135f4616588a4, 0x7b39d5a5cc7ae2a5,
  0xae875ea26f0e488f, 0x4845107d1f3d6355, 0x1fadc37b2fa598b8, 0xa4a0135f20b546c1, 0x01f7b27f157ceee2,
  0x79e0404e3f1bf031, 0x3cde6d228301dc1f, 0x1aa6f529c94e803f, 0x18de33a207c4690e, 0x455bd8aaa2d30ca7,
  0x094b52fcadb33b4e, 0xeff102f63c330ddf, 0x3ab337f068fe3459, 0xde1ef79430a912b5, 0x19d871fc65f989ff,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x22d358ff0cf257ee, 0x000000000000002b,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x03f32c250094ee9f, 0x6f616b670adfe2f0,
  0x904903dda9a391e7, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x2f973f21f2524037, 0x20b486f97177f25f,
  0x0865a095910cbfe4, 0x5fff4073c265f715, 0x930586f2bc84b6fd, 0xbb74f5f0f7dfff4f, 0xea21b46e93fdb53f,
  0x85b79b9d943037f5, 0x0d8489ecb3879e70, 0xda1f7ea3c2784bf1, 0x4b9b3db84889c3b5, 0x2e391c6fcf72df5d,
  0x2a00f7d243892075, 0x6bc3bda3afe73160, 0x7d500ffd99e3af00, 0x258a720796b773c2, 0x0fbd93f8abe77715,
  0xcf020271f8df8188, 0xe6f36914180ee0fb, 0xd537a94e4a7401f9, 0xc6f19d103e234870, 0x8edec55516986538,
  0x94b52fcadb33b4e1, 0xfe204e33c330ddf0, 0xeaccdfc1ddc68b3d, 0x0e271a50c2a44ad4, 0x0ae4fc07cd1f633b,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x000001a48811c127,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xae2eff3f32c25009, 0x4723ffcd80683869,
  0x7a1491209207d3f3, 0x0fcfdf045f94f971, 0x95006ee1f0a2189f, 0xefe4be5f2e7e43e4, 0x197fc841690df2e2,
  0xc1ee2a10cb417da2, 0x84b6e4ebfe80e784, 0x77ff4f930586f2bc, 0xfdb53fbb74f5f0e5, 0x606feb2fa1b46e93,
  0x0f3ce10b6f373b5f, 0xf097e21b0913d967, 0x44e1e000a4fd4784, 0xb96fac38cd9edc24, 0xe24818718e47e927,
  0x19cc580a98f41490, 0x3c75e45de110e8d2, 0xee2a4a3ad66e3963, 0x03101f7b27f157ce, 0xc1f79e0404e3f1bf,
  0xa00fcf378392b01d, 0x9053ea9dc594e5f3, 0x15c18c10b4d8af6e, 0x2b6cce9c6378ce88, 0x8f0cc377c252d4bf,
  0x83bb8d167bfc40bd, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xc12792bf734332c3, 0x0000000006922681,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x0ff32c250094ee9f, 0x36c19f0e1d67c5d9,
  0x209207faf34723cc, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0x7cb9f90f9720e06e, 0x05a437cb8bbf92f9,
  0x432d0b748865ff21, 0x0ffa039e1329e8a8, 0x4c161bcaf212dbc0, 0xedd3d7c30d1ffd3e, 0xee86d1ba4ff6d4fe,
  0xe6e776e80577d51f, 0x3de1f2d7e79c216d, 0x2310cd02bb84889c, 0x8c723cacca94ed7e, 0x8ae448e47c1b3069,
  0x62291669d6845029, 0x704f1d484d7d1859, 0x2bc307d1f4873abb, 0x752ec6abc6c75ed6, 0x5c7c62e1211460b4,
  0x54971887132386f6, 0x203ef64fe2af9ddc, 0xef3c0809c7e37e06, 0x7e79bcb750603b83, 0x1c354dea53929d00,
  0xdc63042d2d7f88d2, 0xdb33a718de33a206, 0xc330ddf094b52fca, 0xbb8d167bfc413ee3, 0xd30ae4fdd599bf83,
  0xa5b387138cb25c33, 0x2792bf734332c3a4, 0x00000013046e3dc1,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0x3c5fbadf99612980,
  0xc8ea49b0e6f9c152, 0x8524482481b394d1, 0xf3f7c117e53e5c5e, 0x401bb87c288627c3, 0xf25f2f973f21f215,
  0xbfe420b486f97177, 0x6a2a10cb42c7d10c, 0x6df96bfe80e784c9, 0xe40ca60b0de57909, 0xd4feedd3d7c3801f,
  0xd51cae86d1ba4ff6, 0x085bf80677a680df, 0x10d8489ecb3879e7, 0x72ea77ea3c2784bf, 0x9ba6cf6e122270fe,
  0x4723cadfc94ed63a, 0x5d4a8e47c1b306be, 0x4522cd3ad08a0531, 0x31e3a909afa30b2c, 0xbc39223dece7576e,
  0xf9eb1aaf1b1d7a89, 0x7d2cc5c2422883e8, 0x82d51b044c8e1bd9, 0x55f3bb8a92966d7c, 0xfc6fc0c407dec9fc,
  0x0c07707de7810138, 0x253a00fcf379b48a, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88, 0x6d99da70c76f62aa,
  0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000002002a7167f8,
};

static const uint64_t ur_m1280_u1x12_uart2_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0xe6584a7419dd3e25, 0x615be70801c5c527,
  0x49034db9a391ed6f, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e5cdf03770, 0x690df2e2efe4be5f,
  0xcb41d2a2197fc841, 0xfe80e784c5162a10, 0x0b0de579096de87f, 0xd3d7c3d37ff196a6, 0x86d1ba4ff6d4feed,
  0x4795afb9aad68e44, 0xdd1c8f83660c148e, 0x459a75a1143be2bf, 0x5cd2135f4616588a, 0xf7b39d5a5cc7ae2a,
  0x5ae875ea26f0e488, 0x84845107d1f3d635, 0x11fadc37b2fa598b, 0x2a4a0135f20b546c, 0x101f7b27f157ceee,
  0xf79e0404e3f1bf03, 0xf3cde6d228301dc1, 0xe1aa6f529c94e803, 0x718de33a207c4690, 0xe455bd8aaa2d30ca,
  0xf094b52fcadb33b4, 0x52256a0bb3c330dd, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000002bb4f65aa29,
};

// m1280_u1x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart2_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x29d06774f8971030, 0xc1523c5fbadf9961,
  0x94d1c8ea49b0e6f9, 0x5c5e8524482481b3, 0x27c3f3f7c117e53e, 0xf215401bb87c2886, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0x84c96a2a10cb42c7, 0x79096df96bfe80e7, 0x801ff196a60b0de5, 0x4ff6d4feedd3d7c3,
  0x80dfd51cae86d1ba, 0x3cf3842df90e77a6, 0xc25f886c244f659c, 0x387ba1baa3f51e13, 0x6b1d4dd367b70911,
  0x835f2391e56fe4a7, 0x0298aea54723e0d9, 0x85962291669d6845, 0xabb718f1d484d7d1, 0xbd44de1c911ef673,
  0x41f47cf58d578d8e, 0x0decbe9662e12114, 0x36be416a8d822647, 0x64fe2af9ddc5494b, 0x809c7e37e06203ef,
  0xda450603b83ef3c0, 0xea53929d007e79bc, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0x4bf2b6cced3863b7,
  0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0xeba8d1ba8a792bf7,
};

// m1280_u1x12_uart3_noled_pr        m2560_u1x12_uart3_noled           m2560_u1x12_uart3_noled_pr
static const uint64_t ur_m1280_u1x12_uart3_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xf2e3f3f374c13e32, 0xa7f76c7209c8221f, 0xe5921c368dd27fb6, 0x89206692391f9e3b, 0xc05bdd30f9d05243,
  0x8baf0d4b478cce62, 0x15920bb8e58c11d7, 0x9e786df8188743f6, 0x79f054180ee743f3, 0x7539794d8cf3c3f3,
  0x8de33a204aca4371, 0xab7b15545a561271, 0x52d4bf2b6cce54e8, 0xf104fb8f0cc377c2, 0x598f2068fe3459ef,
  0xcb25c33d30ae4fdd, 0x332c3a4a5b387138, 0x8636792a792bf734, 0x000000000000007c,
};

// m2560_u1x12_uart3_noled_pr_u4
static const uint64_t ur_m1280_u1x12_uart3_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xf0c367f4a9827c64, 0xa7f76c7209c8014f, 0xe5843c368dd27fb6, 0x8920682e391fa03b, 0xc0596537c9bdd243,
  0xa3ebc382d1eb0e62, 0x8d12a807fecc11d7, 0x1fb1357c0f2cf6c3, 0x1f9cf3c36fc0c43a, 0x1f9bcf82a0c0773a,
  0x1b8ba9cbca6c679e, 0x938c6f19d1025652, 0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x03e4e8f26e093c95,
};

// m1280_u1x12_uart3_noled_pr_ee_u4  m2560_u1x12_uart3_noled_pr_ee     m2560_u1x12_uart3_noled_pr_ee_u4
static const uint64_t ur_m1280_u1x12_uart3_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x6cfe049827c64eeb, 0xdb1c82720297fe18, 0xe30da3749feda9fd, 0x8e4795c89355ad1c, 0x59951c8f83660d31,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x7d1e0b39d5a5cf55, 0x8d56ba1d79d3bc23, 0xc5c2422859e8c38d,
  0x1b047eb70decb65c, 0x0e87ec00a41541d5, 0xce87e73cf0dbf031, 0xe787e6f3e0a8301d, 0x9486e2ea72f29b19,
  0xac24e31bc6744095, 0x9ca9d156f62aa8b4, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x00004ebf1a1b824f,
};

// m1280_u1x12_uart3_noled_pr_ce_u4
static const uint64_t ur_m1280_u1x12_uart3_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0x9fddb1c82720387f, 0xfa8290da3749feda, 0x3842dbcdceff701b, 0xf886c244f659c3cf,
  0x7800293f51e13c25, 0xfaf59367b7091138, 0x207ac8e4727a7b96, 0x31602a636b524389, 0xebd1f5e1c168f587,
  0xc1c6895403ff6678, 0x8743f626af81e5ad, 0xe743f39e786df818, 0xf3c3f379f054180e, 0xca43717539794d8c,
  0x5612718de33a204a, 0x9ca9c63b7b15545a, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x00006ebde49b824f,
};

// m1280_u1x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x12_uart3_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xb63904e401a3fc30, 0x2e1b46e93fdb53fb, 0x79b9d85a037f5465, 0x489ecb3879e7085b,
  0x47ea3c2784bf10d8, 0xcf6e122270f74375, 0xcafa894ed63a7be6, 0x1c8f83660d6bc723, 0xcd3ad08a05315f75,
  0xa909afa30b2c4522, 0xfa3c1673abb71ea3, 0x355e363af3a77846, 0x170908a167a30e36, 0x3608991c37b2d973,
  0x1d0fd859c82a83aa, 0x9d0fce79e1b7e062, 0xcf0fcde7c150603b, 0x290dc5d4e5e53633, 0x5849c6378ce8812b,
  0x72a718edec555169, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00004fc4b68e093c,
};

// m2560_u1x12_uart3_noled_ee_hw
static const uint64_t ur_m1280_u1x12_uart3_noled_ee_hw[] = {
  0xddd893ba8a34280b, 0xdddd2c3c820958dd, 0xa7a64cf619eb4bdd, 0x8ece244eef07a130, 0xe4e7adad3b179b19,
  0x62cfe049827c64ee, 0xddb1c82720297fe5, 0xce30da3749feda9f, 0x18e4795c89355ad1, 0x159951c8f83660d3,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x37d1e0b39d5a5cf5, 0xd8d56ba1d79d3bc2, 0xcc5c2422859e8c38,
  0x51b047eb70decb65, 0x10e87ec00a41541d, 0xdce87e73cf0dbf03, 0x9e787e6f3e0a8301, 0x59486e2ea72f29b1,
  0x4ac24e31bc674409, 0x99ca9d156f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xb514f257ee686658, 0x00000000002df1a6,
};

// m1280_u1x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart3_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xdb1c827200d1fe56, 0x970da3749feda9fd, 0xf21cec2d01bfaa32, 0x489ecb3879e7085b,
  0xffea3c2784bf10d8, 0x67b70911387672e8, 0xe57d44a76b1d3df3, 0x8e47c1b306b5e391, 0x669d68450298afba,
  0xd484d7d185962291, 0x7d1e0b39d5db8f51, 0x1aaf1b1d79d3bc23, 0x8b848450b3d1871b, 0x1b044c8e1bd96cb9,
  0x0e87ec2ce41541d5, 0xce87e73cf0dbf031, 0xe787e6f3e0a8301d, 0x9486e2ea72f29b19, 0xac24e31bc6744095,
  0x39538c76f62aa8b4, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000140438be,
};

// m1280_u1x12_uart3_lednop_pr       m2560_u1x12_uart3_lednop          m2560_u1x12_uart3_lednop_pr
static const uint64_t ur_m1280_u1x12_uart3_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0x3fcb8fcf84f9827c, 0xda9fddb1c8272040, 0xef964870da3749fe, 0x0e24819a48e47278, 0x1602dee987c59f49,
  0x78baf0a434720a73, 0xb0acc67b8e58c11d, 0x04f3c36fc0c43a1f, 0x6ea0c0773a1f9e04, 0x529c94e813c3f379,
  0x696bfc4690e1aa6f, 0x6378ce881b745021, 0xc252d4bf2b6cce9c, 0xeff104fb8f0cc377, 0xdd598f2068fe3459,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0x7c8636792a792bf7,
};

// m2560_u1x12_uart3_lednop_pr_u4
static const uint64_t ur_m1280_u1x12_uart3_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xf0c367c27cc13e32, 0xa7f76c7209c8100f, 0xe5843c368dd27fb6, 0x8920682e391ed63b, 0xc0596534dd195243,
  0x47d7849a4690ce62, 0x43ed500ffd9823af, 0x7ecf70503cb3db7b, 0x1013cf0dbf0310e8, 0x6d228301dce87e78,
  0xd4a7253a04f0fcde, 0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x4bf2b6cced39156f, 0x0bd8f0cc377c252d,
  0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x2f9c12792bf73433, 0x000000000007c9ae,
};

// m1280_u1x12_uart3_lednop_pr_ee_u4 m2560_u1x12_uart3_lednop_pr_ee    m2560_u1x12_uart3_lednop_pr_ee_u4
static const uint64_t ur_m1280_u1x12_uart3_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0xd9fdf7304f8c9ddb, 0xb63904e40a7bfc30, 0xc61b46e93fdb53fb, 0x1c8f2b32a6ab5a39, 0x663e391f06cc1a63,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xe23268e756979117, 0x8d56ba1d79d3bc23, 0x62e121147408ded5,
  0x8d823f5b86f65b2e, 0x10e87ec00838d12a, 0x7e781013cf0dbf03, 0xfcde6d228301dce8, 0x6a9bd4a7253a04f0,
  0x6378ce881f11a438, 0x156f62aa8b4c329c, 0x252d4bf2b6cced39, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x75cfd6dc12792bf7, 0x0000000000000002,
};

// m1280_u1x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m1280_u1x12_uart3_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0x9fddb1c82720287f, 0xfa8290da3749feda, 0x3842dbcdcefe701b, 0xf886c244f659c3cf,
  0xf1bbb07f51e13c25, 0xebd64d9edc2444e1, 0x81eb2391fa49ee5b, 0x8b0172483f490e24, 0xbd1f5e12691a4339,
  0xed0fb5403ff6678e, 0xe87ecf70503cb5b9, 0x781013cf0dbf0310, 0xde6d228301dce87e, 0x9bd4a7253a04f0fc,
  0x78ce881f11a4386a, 0x6f62aa8b4c329c63, 0x5a97e56d99da70c7, 0x8817b1e1986ef84a, 0xb337f07771a2cf7f,
  0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271,
  0x86a73824f257ee68, 0x00000000000006eb,
};

// m1280_u1x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u1x12_uart3_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0x63904e413b7fe186, 0xe1b46e93fdb53fbb, 0x373bb1f037f54652, 0x13d9670f3ce10b6f,
  0xfd4784f097e21b09, 0xdb84889c38000dbb, 0xbeea53b58e9ef9b3, 0x23e0d9835af1c8f2, 0x9d68450298ac3dc7,
  0x84d7d18596229166, 0x8c9a39d5dba441d4, 0xabc6c75e74ef08f8, 0x70908a3a046f6ac6, 0x608991c37b2d9731,
  0x3a1fb0b30e344aa3, 0x9e0404f3c36fc0c4, 0x379b48a0c0773a1f, 0xa6f529c94e813c3f, 0xde33a207c4690e1a,
  0xdbd8aaa2d30ca718, 0x96a5f95b66769c31, 0xe205ec78661bbe12, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e,
  0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x86112e093c95fb9a,
  0x000000000000009f,
};

// m2560_u1x12_uart3_lednop_ee_hw
static const uint64_t ur_m1280_u1x12_uart3_lednop_ee_hw[] = {
  0xeeec49dd451a0375, 0xdddd2c3c815bac6e, 0x130a803685ebd7dd, 0x1fb38913bbc1e844, 0xc0b015ad8a19e2fb,
  0x62cfefb9827c64ee, 0xddb1c8272053dfe5, 0xce30da3749feda9f, 0x18e4795995355ad1, 0x2b31f1c8f83660d3,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x1f1193473ab4bc88, 0xac6ab5d0ebce9de1, 0x73170908a3a046f6,
  0x546c11fadc37b2d9, 0x188743f60041c689, 0x43f3c0809e786df8, 0x87e6f36914180ee7, 0xc354dea53929d027,
  0xe31bc67440f88d21, 0xc8ab7b15545a6194, 0xe1296a5f95b66769, 0xa44ad417678661bb, 0xe627ff787bde50c2,
  0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000000b7eecb5453,
};

// m1280_u1x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart3_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xdb1c827209dbff2b, 0x970da3749feda9fd, 0xe439dd8f81bfaa32, 0x913d9670f3ce10b7,
  0x9fd4784f097e21b0, 0x9edc2444e1da0e08, 0x95f7529dac74f7cd, 0x391f06cc1ad78e47, 0x34eb422814c561ee,
  0xa426be8c2cb1148b, 0xc464d1ceaedd220e, 0x355e363af3a77847, 0x8b848451d0237b56, 0x1b044c8e1bd96cb9,
  0x21d0fd859871a255, 0xfcf020279e1b7e06, 0xf9bcda450603b9d0, 0xd537a94e4a7409e1, 0xc6f19d103e234870,
  0x8edec55516986538, 0x94b52fcadb33b4e1, 0x256a0bb3c330ddf0, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x000280a8c7fa29e4,
};

// m1280_u1x12_uart3_dual_pr         m1280_u1x12_uart3_dual_pr_u4
static const uint64_t ur_m1280_u1x12_uart3_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xe9bfccb0940253ba, 0xea7b61958e1bef8b,
  0x92241240cbacd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cad6c, 0xf9082d21be5c5dfc,
  0x22a10cb43e44432f, 0xb7a95ff4073c261f, 0xfa7c982c3795e425, 0x9fddb1c82720eebf, 0xcb1350da3749feda,
  0x24818878e47c8a77, 0x02a83cc7ac43490e, 0x06bc3bda3afe7316, 0x27d500ffd9823af0, 0x49629c81e59edf3c,
  0x743f64fe2af9ddc5, 0x3c0809e786df8188, 0x6f36914180ee743f, 0x4dea53929d02787e, 0xbc67440f88d21c35,
  0xb7b15545a6194e31, 0x96a5f95b66769c8a, 0xe205ec78661bbe12, 0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e,
  0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x341c6e093c95fb9a,
  0x0000000000000149,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xfccb0940253ba7c4, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0x1c82720d37ffd3e4, 0x0da3749feda9fddb,
  0x8f2b5f7355ad1c89, 0xba391f06cc18291c, 0x8b34eb422877c57f, 0xb9a426be8c2cb114, 0xef673ab4b98f5c54,
  0xb5d0ebd44de1c911, 0x0908a20fa3e7ac6a, 0x23f5b86f65f4b317, 0x5494026be416a8d8, 0x8743f64fe2af9ddc,
  0xf3c0809e786df818, 0xe6f36914180ee743, 0x54dea53929d02787, 0x1bc67440f88d21c3, 0xab7b15545a6194e3,
  0x296a5f95b66769c8, 0xf8827dc78661bbe1, 0xab337f07771a2cf7, 0x1964b867a615c9fb, 0x866587494b670e27,
  0x142b53824f257ee6, 0x0000000000000032,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x6584a6024ee9f12e, 0x15be70801c5c527e,
  0x9034db9a391ed6f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e5cdf03770f, 0x90df2e2efe4be5f2,
  0xb41d2a2197fc8416, 0xe80e784c5162a10c, 0xb0de579096de87ff, 0x82720d37fe40ca60, 0xa3749feda9fddb1c,
  0x2b5f7355ad1c890d, 0x391f06cc18291c8f, 0x34eb422877c57fba, 0xa426be8c2cb1148b, 0x673ab4b98f5c54b9,
  0xd0ebd44de1c911ef, 0x08a20fa3e7ac6ab5, 0xf5b86f65f4b31709, 0x94026be416a8d823, 0x43f64fe2af9ddc54,
  0xc0809e786df81887, 0xf36914180ee743f3, 0xdea53929d02787e6, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0x6a5f95b66769c8ab, 0x205ec78661bbe129, 0x66fe0d1fc68b3dfe, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x6b1fe19e4afdcd0c, 0x000000000005645a,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x03f32c250094ee9f, 0x6f616b670adfe2f0,
  0x904903dda9a391e7, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x2f973f21f2524037, 0x20b486f97177f25f,
  0x0865a095910cbfe4, 0x5fff4073c265f715, 0x930586f2bc84b6fd, 0x6c7209c837dfff4f, 0x44368dd27fb6a7f7,
  0xb6f373b28606febd, 0xb0913d9670f3ce10, 0x43efd4784f097e21, 0x7367b709113876bb, 0xc7238df9ee5beba9,
  0x401efa4871240ea5, 0x7877b475fce62c05, 0xaa01ffb33c75e00d, 0xb14e40f2d6ee784f, 0x1fb27f157ceee2a4,
  0x0404f3c36fc0c43a, 0x9b48a0c0773a1f9e, 0xf529c94e813c3f37, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0xa5f95b66769c31db, 0x09c678661bbe1296, 0x9bf83bb8d167bfc4, 0xe34a1854895a9d59, 0x9f80f9a3ec6761c4,
  0xe271964b867a615c, 0xee6866587494b670, 0x003491023824f257,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xae2eff3f32c25009, 0x4723ffcd80683869,
  0x7a1491209207d3f3, 0x0fcfdf045f94f971, 0x95006ee1f0a2189f, 0xefe4be5f2e7e43e4, 0x197fc841690df2e2,
  0xc1ee2a10cb417da2, 0x84b6e4ebfe80e784, 0x77ff4f930586f2bc, 0xb6a7f76c7209c825, 0x0dfd65f4368dd27f,
  0xe79c216de6e76bec, 0x12fc4361227b2ce1, 0x9c3c00149fa8f09e, 0x2df58719b3db8488, 0x49030e31c8fd24f7,
  0x398b01531e82921c, 0x8ebc8bbc221d1a43, 0xc549475acdc72c67, 0x88743f64fe2af9dd, 0x3f3c0809e786df81,
  0xe1f9bc1c9580ee74, 0x7d53b8b29cbe7409, 0x3182169b15edd20a, 0x99d38c6f19d102b8, 0x986ef84a5a97e56d,
  0x71a2cf7f8817b1e1, 0xa912b53ab337f077, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000000d244d03824,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x0ff32c250094ee9f, 0x36c19f0e1d67c5d9,
  0x209207faf34723cc, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0x7cb9f90f9720e06e, 0x05a437cb8bbf92f9,
  0x432d0b748865ff21, 0x0ffa039e1329e8a8, 0x4c161bcaf212dbc0, 0xb1c827200d1ffd3e, 0xd0da3749feda9fdd,
  0xdceedd00aefaa3fd, 0xbc3e5afcf3842dbc, 0x6219a05770911387, 0x8e479599529dafc4, 0x5c891c8f83660d31,
  0x4522cd3ad08a0531, 0x09e3a909afa30b2c, 0x7860fa3e90e7576e, 0xa5d8d578d8ebdac5, 0x8f8c5c24228c168e,
  0x92e310e26470decb, 0xe87ec9fc55f3bb8a, 0x781013cf0dbf0310, 0xcde5ba8301dce87e, 0xa9bd4a7253a04f0f,
  0x6085a5aff11a4386, 0x74e31bc67440db8c, 0x1bbe1296a5f95b66, 0xa2cf7f8827dc7866, 0x5c9fbab337f07771,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x0002608dc7b824f2,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0x3c5fbadf99612980,
  0xc8ea49b0e6f9c152, 0x8524482481b394d1, 0xf3f7c117e53e5c5e, 0x401bb87c288627c3, 0xf25f2f973f21f215,
  0xbfe420b486f97177, 0x6a2a10cb42c7d10c, 0x6df96bfe80e784c9, 0xe40ca60b0de57909, 0x9fddb1c82720801f,
  0xa395d0da3749feda, 0x0b7f00cef4d01bfa, 0x1b0913d9670f3ce1, 0x5d4efd4784f097e2, 0x74d9edc2444e1fce,
  0xe4795bf929dac753, 0xa951c8f83660d7c8, 0xa459a75a1140a62b, 0x3c752135f4616588, 0x872447bd9ceaedc6,
  0x3d6355e363af5137, 0xa598b84845107d1f, 0x5aa3608991c37b2f, 0xbe77715252cdaf90, 0xb7e0621d0fd93f8a,
  0x3b9d0fcf020279e1, 0x409e1f9bcda45060, 0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x3b4e18edec555169,
  0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x12b53ab337f068fe, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0040054e2cff0cf2,
};

static const uint64_t ur_m1280_u1x12_uart3_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0xe6584a7419dd3e25, 0x615be70801c5c527,
  0x49034db9a391ed6f, 0x2fca7cb8bd0a4890, 0xf8510c4f87e7ef82, 0x2e7e43e5cdf03770, 0x690df2e2efe4be5f,
  0xcb41d2a2197fc841, 0xfe80e784c5162a10, 0x0b0de579096de87f, 0xc82720d37ff196a6, 0xda3749feda9fddb1,
  0xf2b5f7355ad1c890, 0xa391f06cc18291c8, 0xb34eb422877c57fb, 0x9a426be8c2cb1148, 0xf673ab4b98f5c54b,
  0x5d0ebd44de1c911e, 0x908a20fa3e7ac6ab, 0x3f5b86f65f4b3170, 0x494026be416a8d82, 0x743f64fe2af9ddc5,
  0x3c0809e786df8188, 0x6f36914180ee743f, 0x4dea53929d02787e, 0xbc67440f88d21c35, 0xb7b15545a6194e31,
  0x96a5f95b66769c8a, 0xad417678661bbe12, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x005769ecb5453c95,
};

// m1280_u1x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u1x12_uart3_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x29d06774f8971030, 0xc1523c5fbadf9961,
  0x94d1c8ea49b0e6f9, 0x5c5e8524482481b3, 0x27c3f3f7c117e53e, 0xf215401bb87c2886, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0x84c96a2a10cb42c7, 0x79096df96bfe80e7, 0x801ff196a60b0de5, 0xfeda9fddb1c82720,
  0x1bfaa395d0da3749, 0x9e7085bf21cef4d0, 0x4bf10d8489ecb387, 0x0f7437547ea3c278, 0x63a9ba6cf6e12227,
  0x6be4723cadfc94ed, 0x5315d4a8e47c1b30, 0xb2c4522cd3ad08a0, 0x76e31e3a909afa30, 0xa89bc39223dece75,
  0x3e8f9eb1aaf1b1d7, 0xbd97d2cc5c242288, 0xd7c82d51b044c8e1, 0x9fc55f3bb8a92966, 0x3cf0dbf0310e87ec,
  0x28301dce87e78101, 0x7253a04f0fcde6d2, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x1a37514f257ee686, 0x0000000000001d75,
};

// m1280_u2x8_uart2_noled_pr         m2560_u2x8_uart2_noled            m2560_u2x8_uart2_noled_pr
static const uint64_t ur_m1280_u2x8_uart2_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff971f9f9ba609f1, 0x472937dba7af8710, 0x78ef964870da37b5, 0x490e24819a48e47e, 0x398b016f74c3e741,
  0x475e2ebc352d1e33, 0xfbd856482ee39630, 0x0fbce71f8df81880, 0x8fcf379f054180ee, 0x290dc5d4e5e53633,
  0x5849c6378ce8812b, 0x3953a2adec555169, 0x0ddf094b52fcadb3, 0xd167bfc413ee3c33, 0xb93f75663c81a3f8,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0001f218d9e4a9e4,
};

// m2560_u2x8_uart2_noled_pr_u4
static const uint64_t ur_m1280_u2x8_uart2_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0x7f861b3fa54c13e3, 0x472937dba7af860a, 0x80ef9610f0da37b5, 0x490e2481a0b8e47e, 0x398b016594df26f7,
  0x475e8faf0e0b47ac, 0xdb0e344aa01ffb30, 0xc407dec4d5f03cb3, 0x07707de738fc6fc0, 0xb19c7e79bcf82a0c,
  0x0959486e2ea72f29, 0x8b4ac24e31bc6744, 0x6d99ca9d156f62aa, 0xe1986ef84a5a97e5, 0x7771a2cf7f8817b1,
  0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x24f257ee68665874, 0x0000000f93a3c9b8,
};

// m1280_u2x8_uart2_noled_pr_ee_u4   m2560_u2x8_uart2_noled_pr_ee      m2560_u2x8_uart2_noled_pr_ee_u4
static const uint64_t ur_m1280_u2x8_uart2_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0xc367f024c13e3277, 0x4df6e9ebe194bff0, 0xb4738c368ded51ca, 0x34c6391e57224d56, 0x77c56654723e0d98,
  0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0xf08df4782ce75697, 0x0e36355ae875e74e, 0xd973170908a167a3,
  0x07546c11fadc37b2, 0xf03101f7b0029055, 0x8301dc1f79ce3f1b, 0xca6c671f9e6f3e0a, 0xd10256521b8ba9cb,
  0xaaa2d2b0938c6f19, 0xf95b6672a7455bd8, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd,
  0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x6e093c95fb9a1996,
  0x00000000013afc68,
};

// m1280_u2x8_uart2_noled_pr_ce_u4
static const uint64_t ur_m1280_u2x8_uart2_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x1ca4df6e9ebe19c3, 0xc06fea0a4368ded5, 0x0f3ce10b6f373bfd, 0xf097e21b0913d967,
  0x44e1e000a4fd4784, 0xee5bebd64d9edc24, 0x0e2481eb2391c9e9, 0xd61cc580a98dad49, 0x99e3af47d78705a3,
  0x96b7071a25500ffd, 0xf81880fbd89abe07, 0x4180ee0fbce71f8d, 0xe536338fcf379f05, 0xe8812b290dc5d4e5,
  0x5551695849c6378c, 0xf95b6672a718edec, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd,
  0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x6e093c95fb9a1996,
  0x0000000001baf792,
};

// m1280_u2x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x8_uart2_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x9bedd3d7c30d1fe1, 0x5194b86d1bdaa394, 0x216de6e761680dfd, 0x4361227b2ce1e79c,
  0x0dd51fa8f09e12fc, 0xef9b3db84889c3dd, 0x1c8f2bea253b58e9, 0x7dd4723e0d9835af, 0x148b34eb422814c5,
  0x7a8ea426be8c2cb1, 0xe11be8f059ceaedc, 0x38d8d578d8ebce9d, 0x65cc5c2422859e8c, 0x0ea8d8226470decb,
  0xe06203ef616720aa, 0x0603b83ef39c7e37, 0x94d8ce3f3cde7c15, 0xa204aca437175397, 0x5545a5612718de33,
  0xe56d99ca9c63b7b1, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x3824f257ee686658, 0x00000000013f12da,
};

// m2560_u2x8_uart2_noled_ee_hw
static const uint64_t ur_m1280_u2x8_uart2_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0xa4df6e9ebe194bff, 0x6b4738c368ded51c, 0x834c6391e57224d5, 0x877c56654723e0d9,
  0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xef08df4782ce7569, 0x30e36355ae875e74, 0x2d973170908a167a,
  0x507546c11fadc37b, 0xbf03101f7b002905, 0xa8301dc1f79ce3f1, 0xbca6c671f9e6f3e0, 0x9d10256521b8ba9c,
  0x8aaa2d2b0938c6f1, 0x5f95b6672a7455bd, 0x17678661bbe1296a, 0x787bde50c2a44ad4, 0x6761c7f197e627ff,
  0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xb7c69ad453c95fb9, 0x0000000000000000,
};

// m1280_u2x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart2_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0x4df6e9ebe1868ff2, 0xa8ca5c368ded51ca, 0x216fc873b0b406fe, 0x4361227b2ce1e79c,
  0xcba3ffa8f09e12fc, 0xf7cd9edc2444e1d9, 0x8e4795f5129dac74, 0xbeea391f06cc1ad7, 0x8a459a75a1140a62,
  0x3d4752135f461658, 0xf08df4782ce7576e, 0x1c6c6abc6c75e74e, 0xb2e62e121142cf46, 0x07546c1132386f65,
  0xf03101f7b0b39055, 0x8301dc1f79ce3f1b, 0xca6c671f9e6f3e0a, 0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19,
  0xf2b6cce54e31dbd8, 0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x10e2fa8a792bf734, 0x0000000000000050,
};

// m1280_u2x8_uart2_lednop_pr        m2560_u2x8_uart2_lednop           m2560_u2x8_uart2_lednop_pr
static const uint64_t ur_m1280_u2x8_uart2_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x01fe5c7e7c27cc13, 0xd51ca4df6e9ebe1a, 0xc9e3be5921c368de, 0x7d24389206692391, 0x29cc580b7ba61f16,
  0x0475e2ebc290d1c8, 0x07dec2b319ee3963, 0xe7810138fc6fc0c4, 0xcf3796ea0c07707d, 0x86a9bd4a7253a00f,
  0xd14085a5aff11a43, 0xb33a718de33a206d, 0x330ddf094b52fcad, 0xf8d167bfc413ee3c, 0xc2b93f75663c81a3,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000001f218d9e4a9,
};

// m2560_u2x8_uart2_lednop_pr_u4
static const uint64_t ur_m1280_u2x8_uart2_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0x7f861b3e13e609f1, 0x472937dba7af8680, 0x58ef9610f0da37b5, 0x490e2481a0b8e47b, 0x398b016594d37465,
  0x8ebd1f5e12691a43, 0x6ded0fb5403ff660, 0x101f7b3dc140f2cf, 0xf79e0404e3f1bf03, 0xf3cde6d228301dc1,
  0xe1aa6f529c94e803, 0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x1f26b8be7049e4af,
};

// m1280_u2x8_uart2_lednop_pr_ee_u4  m2560_u2x8_uart2_lednop_pr_ee     m2560_u2x8_uart2_lednop_pr_ee_u4
static const uint64_t ur_m1280_u2x8_uart2_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x86cfefb9827c64ee, 0x9bedd3d7c353dfe1, 0x68e7186d1bdaa394, 0x698c723cacca9aad, 0xdf1598f8e47c1b30,
  0xb2c4522cd3ad08a1, 0x445c6b26909afa30, 0xf08f88c9a39d5a5e, 0x7b56355ae875e74e, 0x6cb98b848451d023,
  0x44aa3608fd6e1bd9, 0xbf03101f7b0020e3, 0x1dc1f79e0404e3f1, 0xe803f3cde6d22830, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x33b4e455bd8aaa2d, 0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee,
  0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x000009d73f5b7049,
};

// m1280_u2x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m1280_u2x8_uart2_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x1ca4df6e9ebe1943, 0xc06fea0a4368ded5, 0x0f3ce10b6f373bf9, 0xf097e21b0913d967,
  0x1387c6eec1fd4784, 0xb96faf59367b7091, 0x389207ac8e47e927, 0x0ce62c05c920fd24, 0x9e3af47d7849a469,
  0xd6e7b43ed500ffd9, 0x03101f7b3dc140f2, 0xc1f79e0404e3f1bf, 0x03f3cde6d228301d, 0x90e1aa6f529c94e8,
  0xca718de33a207c46, 0x69c31dbd8aaa2d30, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x001bae1a9ce093c9,
};

// m1280_u2x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x8_uart2_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0xbedd3d7c39dbff0c, 0x194b86d1bdaa3949, 0x2dbcdceec7c0dfd5, 0x6c244f659c3cf384,
  0x36eff51e13c25f88, 0xe6cf6e122270e000, 0x23cafba94ed63a7b, 0xf71c8f83660d6bc7, 0x459a75a1140a62b0,
  0x0752135f4616588a, 0x23e23268e7576e91, 0xab1aaf1b1d79d3bc, 0x5cc5c24228e811bd, 0x2a8d8226470decb6,
  0xc0c407dec2cc38d1, 0x707de7810138fc6f, 0x00fcf379b48a0c07, 0xa4386a9bd4a7253a, 0x329c6378ce881f11,
  0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00027e1844b824f2,
};

// m2560_u2x8_uart2_lednop_ee_hw
static const uint64_t ur_m1280_u2x8_uart2_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0xa4df6e9ebe1a9eff, 0x6b4738c368ded51c, 0x834c6391e56654d5, 0x0ef8acc7c723e0d9,
  0x85962291669d6845, 0xf222e3593484d7d1, 0x77847c464d1cead2, 0x1bdab1aad743af3a, 0xcb65cc5c24228e81,
  0x1a2551b047eb70de, 0x8df81880fbd80107, 0x80ee0fbcf020271f, 0xa7401f9e6f369141, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xd99da722adec5551, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef,
  0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964, 0x2d514f257ee68665, 0x000000000002dfbb,
};

// m1280_u2x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart2_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0x4df6e9ebe1cedff9, 0xa8ca5c368ded51ca, 0x42df90e7763e06fe, 0x86c244f659c3cf38,
  0x38227f51e13c25f8, 0xdf367b7091138768, 0x391e57dd4a76b1d3, 0x87b8e47c1b306b5e, 0x522cd3ad08a05315,
  0x883a909afa30b2c4, 0xe11f1193473abb74, 0xed58d578d8ebce9d, 0xb2e62e121147408d, 0x89546c1132386f65,
  0x7e06203ef61661c6, 0x3b83ef3c0809c7e3, 0xd007e79bcda45060, 0x8d21c354dea53929, 0x6194e31bc67440f8,
  0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0xa1854895a82ecf0c, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xe8a792bf734332c3, 0x000000000a02a31f,
};

// m1280_u2x8_uart2_dual_pr          m1280_u2x8_uart2_dual_pr_u4
static const uint64_t ur_m1280_u2x8_uart2_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x17d37f99612804a7, 0x91d4f6c32b1c37df,
  0x85244824819759a3, 0xf3f7c117e53e5c5e, 0xd81bb87c288627c3, 0xf92f97cb9f90f95a, 0x5ff2105a437cb8bb,
  0x3e454219687c8886, 0x4b6f52bfe80e784c, 0x7ff4f930586f2bc8, 0x472937dba7af87dd, 0x8a77cb1350da37b5,
  0x490e24818878e47c, 0x731602a83cc7ac43, 0x3af006bc3bda3afe, 0xdf3c27d500ffd982, 0xddc549629c81e59e,
  0xe06203ef64fe2af9, 0xb83ef3c0809c7e37, 0x007e79bcda450603, 0xd21c354dea53929d, 0x194e31bc67440f88,
  0x769c8ab7b15545a6, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000149341c6e093c,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x49f99612804a774f, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0xc982c3795e425b7a, 0x7dba7af87a6fffa7, 0x1c890da37b547293,
  0x291c8f2b5f7355ad, 0xc57fba391f06cc18, 0xb1148b34eb422877, 0x5c54b9a426be8c2c, 0xc911ef673ab4b98f,
  0xac6ab5d0ebd44de1, 0xb3170908a20fa3e7, 0xa8d823f5b86f65f4, 0x9ddc5494026be416, 0x7e06203ef64fe2af,
  0x3b83ef3c0809c7e3, 0xd007e79bcda45060, 0x8d21c354dea53929, 0x6194e31bc67440f8, 0x6769c8ab7b15545a,
  0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x15c9fbab337f0777, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000032142b53824f,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0xba7af87a6ffc8194, 0x890da37b5472937d,
  0x1c8f2b5f7355ad1c, 0x7fba391f06cc1829, 0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x11ef673ab4b98f5c,
  0x6ab5d0ebd44de1c9, 0x170908a20fa3e7ac, 0xd823f5b86f65f4b3, 0xdc5494026be416a8, 0x06203ef64fe2af9d,
  0x83ef3c0809c7e37e, 0x07e79bcda450603b, 0x21c354dea53929d0, 0x94e31bc67440f88d, 0x69c8ab7b15545a61,
  0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x56a75666fe0d1fc6, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x05645a6b1fe19e4a,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xe007e6584a0129dd, 0xcedec2d6ce15bfc5,
  0x91209207bb534723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x9f260b0de579096d, 0x4df6e9ebe1efbffe, 0xfebd44368ded51ca,
  0xce10b6f373b28606, 0x7e21b0913d9670f3, 0x76bb43efd4784f09, 0xeba97367b7091138, 0x0ea5c7238df9ee5b,
  0x2c05401efa487124, 0xe00d7877b475fce6, 0x784faa01ffb33c75, 0xe2a4b14e40f2d6ee, 0x3101f7b27f157cee,
  0x1f79e0404e3f1bf0, 0x3f3cde6d228301dc, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c,
  0xbe1296a5f95b6676, 0x67bfc409c678661b, 0x5a9d599bf83bb8d1, 0x6761c4e34a185489, 0x7a615c9f80f9a3ec,
  0x94b670e271964b86, 0x24f257ee68665874, 0x0000000034910238,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0xd35c5dfe7e6584a0, 0xe68e47ff9b00d070,
  0xe2f4292241240fa7, 0x3e1f9fbe08bf29f2, 0xc92a00ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0x79096dc9d7fd01cf, 0xcaeffe9f260b0de5, 0xed51ca4df6e9ebe1, 0x6bec0dfd65f4368d,
  0x2ce1e79c216de6e7, 0xf09e12fc4361227b, 0x84889c3c00149fa8, 0x24f72df58719b3db, 0x921c49030e31c8fd,
  0x1a43398b01531e82, 0x2c678ebc8bbc221d, 0xf9ddc549475acdc7, 0x37e06203ef64fe2a, 0x03b83ef3c0809c7e,
  0xbe7401f9e6f07256, 0xedd20a7d53b8b29c, 0xd102b83182169b15, 0x97e56d99d38c6f19, 0x17b1e1986ef84a5a,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f,
  0x587494b670e27196, 0xd03824f257ee6866, 0x000000000000d244,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xb21fe6584a0129dd, 0x986d833e1c3acf8b,
  0x2241240ff5e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f2e41c0, 0x420b486f97177f25,
  0x50865a16e910cbfe, 0x801ff4073c2653d1, 0x7c982c3795e425b7, 0x37dba7af861a3ffa, 0xa3fdd0da37b54729,
  0x2dbcdceedd00aefa, 0x1387bc3e5afcf384, 0xafc46219a0577091, 0x0d318e479599529d, 0x05315c891c8f8366,
  0x0b2c4522cd3ad08a, 0x576e09e3a909afa3, 0xdac57860fa3e90e7, 0x168ea5d8d578d8eb, 0xdecb8f8c5c24228c,
  0xbb8a92e310e26470, 0xc0c407dec9fc55f3, 0x707de7810138fc6f, 0xa00fcf3796ea0c07, 0x1a4386a9bd4a7253,
  0x40db8c6085a5aff1, 0xf95b6674e31bc674, 0xdc78661bbe1296a5, 0xf07771a2cf7f8827, 0x867a615c9fbab337,
  0x7494b670e271964b, 0xb824f257ee686658, 0x0000000002608dc7,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0xa478bf75bf32c253,
  0xa391d49361cdf382, 0xbd0a489049036729, 0x87e7ef822fca7cb8, 0x2a803770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x92d4542196858fa2, 0x12dbf2d7fd01cf09, 0x3fc8194c161bcaf2, 0x472937dba7af8700,
  0x1bfaa395d0da37b5, 0x3ce10b7f00cef4d0, 0x97e21b0913d9670f, 0x1fce5d4efd4784f0, 0xc75374d9edc2444e,
  0xd7c8e4795bf929da, 0xa62ba951c8f83660, 0x6588a459a75a1140, 0xedc63c752135f461, 0x5137872447bd9cea,
  0x7d1f3d6355e363af, 0x7b2fa598b8484510, 0xaf905aa3608991c3, 0x3f8abe77715252cd, 0x271f8df81880fbd9,
  0x914180ee0fbcf020, 0x94e4a7401f9e6f36, 0xd103e234870d537a, 0x55516986538c6f19, 0xfcadb33b4e18edec,
  0xf63c330ddf094b52, 0xf068fe3459eff102, 0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xff0cf257ee686658, 0x0000000040054e2c,
};

static const uint64_t ur_m1280_u2x8_uart2_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x4fccb094e833ba7c, 0xdec2b7ce10038b8a,
  0x2092069b734723da, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0xbe5cfc87cb9be06e, 0x82d21be5c5dfc97c,
  0x219683a54432ff90, 0xfffd01cf098a2c54, 0x4c161bcaf212dbd0, 0xdba7af87a6ffe32d, 0xc890da37b5472937,
  0x91c8f2b5f7355ad1, 0x57fba391f06cc182, 0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x911ef673ab4b98f5,
  0xc6ab5d0ebd44de1c, 0x3170908a20fa3e7a, 0x8d823f5b86f65f4b, 0xddc5494026be416a, 0xe06203ef64fe2af9,
  0xb83ef3c0809c7e37, 0x007e79bcda450603, 0xd21c354dea53929d, 0x194e31bc67440f88, 0x769c8ab7b15545a6,
  0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000005769ecb5,
};

// m1280_u2x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart2_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0xc253a0cee9f12e20, 0xf382a478bf75bf32,
  0x6729a391d49361cd, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x43e42a803770f851, 0xf2e2efe4be5f2e7e,
  0x8fa2197fc841690d, 0xcf0992d454219685, 0xcaf212dbf2d7fd01, 0x87003fe32d4c161b, 0x37b5472937dba7af,
  0xf4d01bfaa395d0da, 0xb3879e7085bf21ce, 0xc2784bf10d8489ec, 0x22270f7437547ea3, 0x94ed63a9ba6cf6e1,
  0x1b306be4723cadfc, 0x08a05315d4a8e47c, 0xfa30b2c4522cd3ad, 0xce7576e31e3a909a, 0xb1d7a89bc39223de,
  0x22883e8f9eb1aaf1, 0xc8e1bd97d2cc5c24, 0x2966d7c82d51b044, 0x7dec9fc55f3bb8a9, 0x7810138fc6fc0c40,
  0x379b48a0c07707de, 0xa9bd4a7253a00fcf, 0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c,
  0x2b505d9e1986ef84, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x001d751a37514f25,
};

// m1280_u2x8_uart3_noled_pr         m2560_u2x8_uart3_noled            m2560_u2x8_uart3_noled_pr
static const uint64_t ur_m1280_u2x8_uart3_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xff971f9f9ba609f1, 0xe526fb63904e4110, 0x1df2c90e1b46f6a8, 0x21c49033491c8fcf, 0x31602dee987ce829,
  0xebc5d786a5a3c667, 0xfb0ac905dc72c608, 0xf9cf3c36fc0c43a1, 0xf9bcf82a0c0773a1, 0xb8ba9cbca6c679e1,
  0x38c6f19d10256521, 0x7455bd8aaa2d2b09, 0xe1296a5f95b6672a, 0xf7f8827dc78661bb, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0x3e431b3c953c95fb,
};

// m2560_u2x8_uart3_noled_pr_u4
static const uint64_t ur_m1280_u2x8_uart3_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0x7f861b3fa54c13e3, 0xe526fb63904e400a, 0x1df2c21e1b46f6a8, 0x21c49034171c8fd0, 0x31602cb29be4dee9,
  0xebd1f5e1c168f587, 0x61c6895403ff6608, 0x1d0fd89abe07967b, 0x9d0fce79e1b7e062, 0xcf0fcde7c150603b,
  0x290dc5d4e5e53633, 0x5849c6378ce8812b, 0x3953a2adec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33,
  0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x0001f2747937049e,
};

// m1280_u2x8_uart3_noled_pr_ee_u4   m2560_u2x8_uart3_noled_pr_ee      m2560_u2x8_uart3_noled_pr_ee_u4
static const uint64_t ur_m1280_u2x8_uart3_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0xc367f024c13e3277, 0xbed8e4139014bff0, 0x8e7186d1bdaa3949, 0x98c723cae449aad6, 0xf8acca8e47c1b306,
  0x962291669d68450e, 0xaae3593484d7d185, 0x11be8f059cead2e7, 0xc6c6ab5d0ebce9de, 0x2e62e121142cf461,
  0xea8d823f5b86f65b, 0x188743f600520aa0, 0x0ee743f39e786df8, 0x8cf3c3f379f05418, 0x4aca43717539794d,
  0x5a5612718de33a20, 0x6cce54e8ab7b1554, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4,
  0x000000275f8d0dc1,
};

// m1280_u2x8_uart3_noled_pr_ce_u4
static const uint64_t ur_m1280_u2x8_uart3_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x949bed8e413901c3, 0x0dfd41486d1bdaa3, 0xe79c216de6e77fb8, 0x12fc4361227b2ce1,
  0x9c3c00149fa8f09e, 0xcb7d7ac9b3db8488, 0xc4903d6472393d3d, 0xc398b01531b5a921, 0x3c75e8faf0e0b47a,
  0xd6e0e344aa01ffb3, 0x0c43a1fb1357c0f2, 0x0773a1f9cf3c36fc, 0xc679e1f9bcf82a0c, 0x256521b8ba9cbca6,
  0x2d2b0938c6f19d10, 0x6cce54e31dbd8aaa, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x2792bf734332c3a4,
  0x000000375ef24dc1,
};

// m1280_u2x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x8_uart3_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x7db1c827200d1fe1, 0x32970da37b547293, 0x2dbcdcec2d01bfaa, 0x6c244f659c3cf384,
  0xbaa3f51e13c25f88, 0xf367b70911387ba1, 0x91e57d44a76b1d3d, 0xba8e47c1b306b5e3, 0x91669d68450298af,
  0x51d484d7d1859622, 0x237d1e0b39d5db8f, 0x1b1aaf1b1d79d3bc, 0xb98b848450b3d187, 0xd51b044c8e1bd96c,
  0x310e87ec2ce41541, 0x1dce87e73cf0dbf0, 0x19e787e6f3e0a830, 0x959486e2ea72f29b, 0xb4ac24e31bc67440,
  0xb339538c76f62aa8, 0x330ddf094b52fcad, 0xee3459eff102f63c, 0x152256a75666fe0e, 0xbf313ffbc3def286,
  0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000027e25b4704,
};

// m2560_u2x8_uart3_noled_ee_hw
static const uint64_t ur_m1280_u2x8_uart3_noled_ee_hw[] = {
  0xeeeeec4a8a34280b, 0xeeeee961e4104ac6, 0x853d3267b0cf5a5e, 0xcc76712277783d09, 0x77273d6d69d8bcd8,
  0x2b167f024c13e327, 0x9bed8e4139014bff, 0x68e7186d1bdaa394, 0x698c723cae449aad, 0xef8acca8e47c1b30,
  0x5962291669d68450, 0x7aae3593484d7d18, 0xe11be8f059cead2e, 0x1c6c6ab5d0ebce9d, 0xb2e62e121142cf46,
  0x0ea8d823f5b86f65, 0x8188743f600520aa, 0x80ee743f39e786df, 0xd8cf3c3f379f0541, 0x04aca43717539794,
  0x45a5612718de33a2, 0xb6cce54e8ab7b155, 0xf0cc377c252d4bf2, 0x7bca1854895a82ec, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xd35a8a792bf73433, 0x00000000000016f8,
};

// m1280_u2x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart3_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0xbed8e41390068ff2, 0x194b86d1bdaa3949, 0x2df90e761680dfd5, 0x6c244f659c3cf384,
  0x747ff51e13c25f88, 0xf9b3db84889c3b39, 0xc8f2bea253b58e9e, 0xdd4723e0d9835af1, 0x48b34eb422814c57,
  0xa8ea426be8c2cb11, 0x11be8f059ceaedc7, 0x8d8d578d8ebce9de, 0x5cc5c2422859e8c3, 0xea8d8226470decb6,
  0x188743f616720aa0, 0x0ee743f39e786df8, 0x8cf3c3f379f05418, 0x4aca43717539794d, 0x5a5612718de33a20,
  0xd99ca9c63b7b1554, 0x1986ef84a5a97e56, 0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x5f514f257ee68665, 0x00000000000a021c,
};

// m1280_u2x8_uart3_lednop_pr        m2560_u2x8_uart3_lednop           m2560_u2x8_uart3_lednop_pr
static const uint64_t ur_m1280_u2x8_uart3_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x01fe5c7e7c27cc13, 0xa3949bed8e413902, 0x3c77cb24386d1bda, 0xa4871240cd247239, 0x398b016f74c3e2cf,
  0x8ebc5d78521a3905, 0x0fd856633dc72c60, 0x020279e1b7e0621d, 0xbcb750603b9d0fcf, 0x37a94e4a7409e1f9,
  0x10b4b5fe234870d5, 0x4e31bc67440dba28, 0xbbe1296a5f95b667, 0x2cf7f8827dc78661, 0x27eeacc790347f1a,
  0x389c6592e19e9857, 0xfb9a19961d252d9c, 0x003e431b3c953c95,
};

// m2560_u2x8_uart3_lednop_pr_u4
static const uint64_t ur_m1280_u2x8_uart3_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0x7f861b3e13e609f1, 0xe526fb63904e4080, 0x1df2c21e1b46f6a8, 0x21c49034171c8f6b, 0x31602cb29a6e8ca9,
  0xd7a3ebc24d234867, 0xbda1f6a807fecc11, 0x743f67b8281e59ed, 0x3c0809e786df8188, 0x6f36914180ee743f,
  0x4dea53929d02787e, 0xbc67440f88d21c35, 0xb7b15545a6194e31, 0x96a5f95b66769c8a, 0xe205ec78661bbe12,
  0xaccdfc1ddc68b3df, 0x87bde50c2a44ad4e, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d,
  0x19961d252d9c389c, 0xd717ce093c95fb9a, 0x00000000000003e4,
};

// m1280_u2x8_uart3_lednop_pr_ee_u4  m2560_u2x8_uart3_lednop_pr_ee     m2560_u2x8_uart3_lednop_pr_ee_u4
static const uint64_t ur_m1280_u2x8_uart3_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x86cfefb9827c64ee, 0x7db1c8272053dfe1, 0x1ce30da37b547293, 0x318e4795995355ad, 0xe2b31f1c8f83660d,
  0x588a459a75a1143b, 0x8b8d64d2135f4616, 0x11f1193473ab4bc8, 0x6ac6ab5d0ebce9de, 0x973170908a3a046f,
  0x9546c11fadc37b2d, 0x8188743f60041c68, 0x743f3c0809e786df, 0x787e6f36914180ee, 0x1c354dea53929d02,
  0x4e31bc67440f88d2, 0x9c8ab7b15545a619, 0xbe1296a5f95b6676, 0xb3dfe205ec78661b, 0xad4eaccdfc1ddc68,
  0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x013ae7eb6e093c95,
};

// m1280_u2x8_uart3_lednop_pr_ce_u4
static const uint64_t ur_m1280_u2x8_uart3_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x949bed8e41390143, 0x0dfd41486d1bdaa3, 0xe79c216de6e77f38, 0x12fc4361227b2ce1,
  0x70f8ddd83fa8f09e, 0x2df5eb26cf6e1222, 0x1240f591c8fd24f7, 0x9cc580b9241fa487, 0xc75e8faf09348d21,
  0xdcf687daa01ffb33, 0x88743f67b8281e5a, 0x3f3c0809e786df81, 0x7e6f36914180ee74, 0x354dea53929d0278,
  0x31bc67440f88d21c, 0x63b7b15545a6194e, 0x252d4bf2b6cced38, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x75c3539c12792bf7, 0x0000000000000003,
};

// m1280_u2x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x8_uart3_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0xdb1c827209dbff0c, 0x2970da37b5472937, 0xb79b9dd8f81bfaa3, 0x8489ecb3879e7085,
  0xddfea3c2784bf10d, 0xd9edc2444e1c0006, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c561e,
  0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5, 0x51b044c8e1bd96cb,
  0x621d0fd859871a25, 0x0fcf020279e1b7e0, 0x1f9bcda450603b9d, 0x0d537a94e4a7409e, 0x8c6f19d103e23487,
  0x18edec5551698653, 0x094b52fcadb33b4e, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x4fc30897049e4afd,
};

// m2560_u2x8_uart3_lednop_ee_hw
static const uint64_t ur_m1280_u2x8_uart3_lednop_ee_hw[] = {
  0x77777625451a0375, 0xeeeee961e40add63, 0x20985401b42f5ebe, 0xd8fd9c489dde0f42, 0x760580ad6c50cf17,
  0x2b167f7dcc13e327, 0x9bed8e4139029eff, 0x68e7186d1bdaa394, 0x698c723cacca9aad, 0xdf1598f8e47c1b30,
  0xb2c4522cd3ad08a1, 0x445c6b26909afa30, 0xf08f88c9a39d5a5e, 0x7b56355ae875e74e, 0x6cb98b848451d023,
  0x44aa3608fd6e1bd9, 0xfc0c43a1fb0020e3, 0x73a1f9e0404f3c36, 0x13c3f379b48a0c07, 0x90e1aa6f529c94e8,
  0xca718de33a207c46, 0xb4e455bd8aaa2d30, 0xddf094b52fcadb33, 0x6152256a0bb3c330, 0xcbf313ffbc3def28,
  0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x000000005bf765aa,
};

// m1280_u2x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart3_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0xbed8e413904edff9, 0x194b86d1bdaa3949, 0x5bf21ceec7c0dfd5, 0xd8489ecb3879e708,
  0x044fea3c2784bf10, 0xe6cf6e122270ed07, 0x23cafba94ed63a7b, 0xf71c8f83660d6bc7, 0x459a75a1140a62b0,
  0x0752135f4616588a, 0x23e23268e7576e91, 0xab1aaf1b1d79d3bc, 0x5cc5c24228e811bd, 0x2a8d8226470decb6,
  0x0310e87ec2cc38d1, 0xe87e781013cf0dbf, 0xf0fcde6d228301dc, 0x386a9bd4a7253a04, 0x9c6378ce881f11a4,
  0x70c76f62aa8b4c32, 0xf84a5a97e56d99da, 0xa912b505d9e1986e, 0xf989ffde1ef79430, 0x8668fb19d871fc65,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x000001405463fd14,
};

// m1280_u2x8_uart3_dual_pr          m1280_u2x8_uart3_dual_pr_u4
static const uint64_t ur_m1280_u2x8_uart3_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x17d37f99612804a7, 0x91d4f6c32b1c37df,
  0x85244824819759a3, 0xf3f7c117e53e5c5e, 0xd81bb87c288627c3, 0xf92f97cb9f90f95a, 0x5ff2105a437cb8bb,
  0x3e454219687c8886, 0x4b6f52bfe80e784c, 0x7ff4f930586f2bc8, 0xe526fb63904e41dd, 0x4ef9626a1b46f6a8,
  0x21c490310f1c8f91, 0x62c0550798f58869, 0x5e00d7877b475fce, 0xe784faa01ffb3047, 0xb8a92c53903cb3db,
  0x310e87ec9fc55f3b, 0x87e781013cf0dbf0, 0x0fcde6d228301dce, 0x86a9bd4a7253a04f, 0xc6378ce881f11a43,
  0x9156f62aa8b4c329, 0xc252d4bf2b6cced3, 0x7bfc40bd8f0cc377, 0xa9d599bf83bb8d16, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x2926838dc12792bf,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x49f99612804a774f, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0xc982c3795e425b7a, 0xb63904e41a6fffa7, 0x9121b46f6a8e526f,
  0x2391e56bee6ab5a3, 0xaff74723e0d98305, 0x2291669d68450ef8, 0x8a973484d7d18596, 0x223dece7569731eb,
  0x8d56ba1d7a89bc39, 0x62e1211441f47cf5, 0x1b047eb70decbe96, 0xbb8a92804d7c82d5, 0x0310e87ec9fc55f3,
  0xe87e781013cf0dbf, 0xf0fcde6d228301dc, 0x386a9bd4a7253a04, 0x9c6378ce881f11a4, 0x39156f62aa8b4c32,
  0x7c252d4bf2b6cced, 0x9eff104fb8f0cc37, 0x3f75666fe0eee345, 0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1,
  0x0642856a7049e4af,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xec2b7ce10038b8a4,
  0x092069b734723dad, 0x45f94f9717a14912, 0x1f0a2189f0fcfdf0, 0xe5cfc87cb9be06ee, 0x2d21be5c5dfc97cb,
  0x19683a54432ff908, 0xffd01cf098a2c542, 0xc161bcaf212dbd0f, 0x3904e41a6ffc8194, 0x21b46f6a8e526fb6,
  0x91e56bee6ab5a391, 0xf74723e0d9830523, 0x91669d68450ef8af, 0x973484d7d1859622, 0x3dece7569731eb8a,
  0x56ba1d7a89bc3922, 0xe1211441f47cf58d, 0x047eb70decbe9662, 0x8a92804d7c82d51b, 0x10e87ec9fc55f3bb,
  0x7e781013cf0dbf03, 0xfcde6d228301dce8, 0x6a9bd4a7253a04f0, 0x6378ce881f11a438, 0x156f62aa8b4c329c,
  0x252d4bf2b6cced39, 0xbfc40bd8f0cc377c, 0xeaccdfc1a3f8d167, 0x787bde50c2a44ad4, 0x6761c7f197e627ff,
  0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x8b4d63fc33c95fb9, 0x00000000000000ac,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xe007e6584a0129dd, 0xcedec2d6ce15bfc5,
  0x91209207bb534723, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xbe5f2e7e43e4a480, 0xc841690df2e2efe4,
  0x2a10cb412b22197f, 0xfabffe80e784cbee, 0x9f260b0de579096d, 0xbed8e413906fbffe, 0xd7a886d1bdaa3949,
  0xc216de6e7650c0df, 0xc4361227b2ce1e79, 0xd7687dfa8f09e12f, 0x752e6cf6e122270e, 0xd4b8e471bf3dcb7d,
  0x80a803df490e2481, 0x01af0ef68ebf9cc5, 0x09f5403ff6678ebc, 0x549629c81e5addcf, 0x8743f64fe2af9ddc,
  0xf3c0809e786df818, 0xe6f36914180ee743, 0x54dea53929d02787, 0x1bc67440f88d21c3, 0x3b7b15545a6194e3,
  0x52d4bf2b6cced386, 0xf88138cf0cc377c2, 0xab337f07771a2cf7, 0x389c69430a912b53, 0x2b93f01f347d8cec,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000006922047049e,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0xd35c5dfe7e6584a0, 0xe68e47ff9b00d070,
  0xe2f4292241240fa7, 0x3e1f9fbe08bf29f2, 0xc92a00ddc3e14431, 0xc5dfc97cbe5cfc87, 0x4432ff9082d21be5,
  0x0983dc54219682fb, 0x79096dc9d7fd01cf, 0x4aeffe9f260b0de5, 0xaa3949bed8e41390, 0x7d81bfacbe86d1bd,
  0x9c3cf3842dbcdced, 0x13c25f886c244f65, 0x911387800293f51e, 0x9ee5beb0e3367b70, 0x43892061c6391fa4,
  0x486731602a63d052, 0x8cf1d791778443a3, 0x3bb8a928eb59b8e5, 0xf0310e87ec9fc55f, 0xce87e781013cf0db,
  0x813c3f378392b01d, 0x414faa77165397ce, 0x57063042d362bdba, 0xadb33a718de33a20, 0x3c330ddf094b52fc,
  0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x000000001a489a07,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xb21fe6584a0129dd, 0x986d833e1c3acf8b,
  0x2241240ff5e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf2f973f21f2e41c0, 0x420b486f97177f25,
  0x50865a16e910cbfe, 0x801ff4073c2653d1, 0x7c982c3795e425b7, 0xfb63904e401a3ffa, 0x7fba1b46f6a8e526,
  0xb79b9ddba015df54, 0x70f787cb5f9e7085, 0xf88c43340aee1222, 0xa631c8f2b32a53b5, 0xa62b912391f06cc1,
  0x6588a459a75a1140, 0xedc13c752135f461, 0x58af0c1f47d21cea, 0xd1d4bb1aaf1b1d7b, 0xd971f18b84845182,
  0x71525c621c4c8e1b, 0x621d0fd93f8abe77, 0x0fcf020279e1b7e0, 0xe1f9bcb750603b9d, 0x70d537a94e4a7409,
  0x718c10b4b5fe2348, 0x6cce9c6378ce881b, 0x0cc377c252d4bf2b, 0xee3459eff104fb8f, 0x4c2b93f75666fe0e,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000004c11b8f704,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0xa478bf75bf32c253,
  0xa391d49361cdf382, 0xbd0a489049036729, 0x87e7ef822fca7cb8, 0x2a803770f8510c4f, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0x92d4542196858fa2, 0x12dbf2d7fd01cf09, 0x3fc8194c161bcaf2, 0xe526fb63904e4100,
  0x7f5472ba1b46f6a8, 0x9c216fe019de9a03, 0xfc4361227b2ce1e7, 0xf9cba9dfa8f09e12, 0xea6e9b3db84889c3,
  0xf91c8f2b7f253b58, 0xc5752a391f06cc1a, 0xb1148b34eb422814, 0xb8c78ea426be8c2c, 0x26f0e488f7b39d5d,
  0xa3e7ac6abc6c75ea, 0x65f4b3170908a20f, 0xf20b546c1132386f, 0xf157ceee2a4a59b5, 0x3c36fc0c43a1fb27,
  0x0c0773a1f9e0404f, 0x94e813c3f379b48a, 0x7c4690e1aa6f529c, 0x2d30ca718de33a20, 0xb66769c31dbd8aaa,
  0x8661bbe1296a5f95, 0x1fc68b3dfe205ec7, 0x152256a75666fe0d, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000800a9c59fe1,
};

static const uint64_t ur_m1280_u2x8_uart3_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x4fccb094e833ba7c, 0xdec2b7ce10038b8a,
  0x2092069b734723da, 0x045f94f9717a1491, 0xe1f0a2189f0fcfdf, 0xbe5cfc87cb9be06e, 0x82d21be5c5dfc97c,
  0x219683a54432ff90, 0xfffd01cf098a2c54, 0x4c161bcaf212dbd0, 0x63904e41a6ffe32d, 0x121b46f6a8e526fb,
  0x391e56bee6ab5a39, 0xff74723e0d983052, 0x291669d68450ef8a, 0xa973484d7d185962, 0x23dece7569731eb8,
  0xd56ba1d7a89bc392, 0x2e1211441f47cf58, 0xb047eb70decbe966, 0xb8a92804d7c82d51, 0x310e87ec9fc55f3b,
  0x87e781013cf0dbf0, 0x0fcde6d228301dce, 0x86a9bd4a7253a04f, 0xc6378ce881f11a43, 0x9156f62aa8b4c329,
  0xc252d4bf2b6cced3, 0x4895a82ecf0cc377, 0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00000aed3d96a8a7,
};

// m1280_u2x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x8_uart3_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0xc253a0cee9f12e20, 0xf382a478bf75bf32,
  0x6729a391d49361cd, 0x7cb8bd0a48904903, 0x0c4f87e7ef822fca, 0x43e42a803770f851, 0xf2e2efe4be5f2e7e,
  0x8fa2197fc841690d, 0xcf0992d454219685, 0xcaf212dbf2d7fd01, 0x41003fe32d4c161b, 0xf6a8e526fb63904e,
  0x9a037f5472ba1b46, 0x70f3ce10b7e439de, 0x4f097e21b0913d96, 0x44e1ee86ea8fd478, 0x9dac75374d9edc24,
  0x660d7c8e4795bf92, 0x140a62ba951c8f83, 0x4616588a459a75a1, 0xceaedc63c752135f, 0x3af5137872447bd9,
  0x5107d1f3d6355e36, 0x1c37b2fa598b8484, 0x2cdaf905aa360899, 0xfd93f8abe7771525, 0x20279e1b7e0621d0,
  0xda450603b9d0fcf0, 0xa94e4a7409e1f9bc, 0x9d103e234870d537, 0xc55516986538c6f1, 0x2fcadb33b4e18ede,
  0x0bb3c330ddf094b5, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0xaea346ea29e4afdc, 0x0000000000000003,
};

// m1280_u2x12_uart2_noled_pr        m2560_u2x12_uart2_noled           m2560_u2x12_uart2_noled_pr
static const uint64_t ur_m1280_u2x12_uart2_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0xc7fcb8fcff51304f, 0xfe6d4faadd3d7c39, 0x5921c368ded51ca4, 0x9206692391f9e3be, 0x16f74c37ebfd2438,
  0xbaf0eb11e33398b0, 0x59ac5b8e58c11d78, 0x9c7e37e06203ef61, 0x9bcb750603b83ef3, 0xe2ea72f29b19c7e7,
  0xb8a042d3c3159486, 0xb33a718de33a207e, 0x330ddf094b52fcad, 0xf8d167bfc413ee3c, 0xc2b93f75663c81a3,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00001f20dc79e4a9,
};

// m2560_u2x12_uart2_noled_pr_u4
static const uint64_t ur_m1280_u2x12_uart2_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xc30d9fea2609f193, 0xd4faadd3d7c39c7f, 0x3c368ded51ca4fe6, 0x682e391fa03be584, 0x6537c9bdd2438920,
  0xc382d1eb0e62c059, 0xa807fecc11d7a3eb, 0x357c0f2cf6c38d12, 0xce3f1bf03101f7b1, 0x6f3e0a8301dc1f79,
  0x8ba9cbca6c671f9e, 0x8c6f19d10256521b, 0x455bd8aaa2d2b093, 0x1296a5f95b6672a7, 0xdfe205ec78661bbe,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0xe4e9c94e093c95fb, 0x0000000000000003,
};

// m1280_u2x12_uart2_noled_pr_ee_u4  m2560_u2x12_uart2_noled_pr_ee     m2560_u2x12_uart2_noled_pr_ee_u4
static const uint64_t ur_m1280_u2x12_uart2_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0x5ba7af86c17fc30d, 0x1bdaa3949fcda9f5, 0xae449aad68e7186d, 0xe47c1b30698c723c,
  0x69d68450ef8acca8, 0x484d7d1859622916, 0x59cead2e7aae3593, 0xd0ebce9de11be8f0, 0x1142cf461c6c6ab5,
  0xf5b86f65b2e62e12, 0x600520aa0ea8d823, 0xf39c7e37e06203ef, 0x3cde7c150603b83e, 0x3717539794d8ce3f,
  0x2718de33a204aca4, 0x4e8ab7b15545a561, 0x7c252d4bf2b6cce5, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x0275f2ab1c12792b,
};

// m1280_u2x12_uart2_noled_pr_ce_u4
static const uint64_t ur_m1280_u2x12_uart2_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0x6d4faadd3d7c3297, 0x0a4368ded51ca4fe, 0x0b6f373bfdc06fea, 0x1b0913d9670f3ce1,
  0x00a4fd4784f097e2, 0xd64d9edc2444e1e0, 0xeb2391c9e9ee5beb, 0x80a98dad490e2481, 0x47d78705a3d61cc5,
  0x1a25500ffd99e3af, 0xfbd89abe0796b707, 0x0fbce71f8df81880, 0x8fcf379f054180ee, 0x290dc5d4e5e53633,
  0x5849c6378ce8812b, 0x72a718edec555169, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc,
  0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x0001bafc686e093c,
};

// m1280_u2x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x12_uart2_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x5ba7af87a6bfc30d, 0x1bdaa3949fcda9f5, 0x61680dfd5194b86d, 0x2ce1e79c216de6e7,
  0xf09e12fc4361227b, 0x4889c3dd0dd51fa8, 0x253b58e9ef9b3db8, 0x0d9835af1c8f2bea, 0x422814c57dd4723e,
  0xbe8c2cb1148b34eb, 0x59ceaedc7a8ea426, 0xd8ebce9de11be8f0, 0x22859e8c38d8d578, 0x6470decb65cc5c24,
  0x616720aa0ea8d822, 0xf39c7e37e06203ef, 0x3cde7c150603b83e, 0x3717539794d8ce3f, 0x2718de33a204aca4,
  0x9c63b7b15545a561, 0xf84a5a97e56d99ca, 0xcf7f8817b1e1986e, 0xb53ab337f07771a2, 0xffde1ef79430a912,
  0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x027e4a6b3824f257,
};

// m2560_u2x12_uart2_noled_ee_hw
static const uint64_t ur_m1280_u2x12_uart2_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0x55ba7af86c17fcac, 0xd1bdaa3949fcda9f, 0xcae449aad68e7186, 0x8e47c1b30698c723,
  0x669d68450ef8acca, 0x3484d7d185962291, 0x059cead2e7aae359, 0x5d0ebce9de11be8f, 0x21142cf461c6c6ab,
  0x3f5b86f65b2e62e1, 0xf600520aa0ea8d82, 0xef39c7e37e06203e, 0xf3cde7c150603b83, 0x43717539794d8ce3,
  0x12718de33a204aca, 0x54e8ab7b15545a56, 0x77c252d4bf2b6cce, 0x854895a82ecf0cc3, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00000002dfa08be8,
};

// m1280_u2x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart2_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xab74f5f0f4d7f958, 0xa37b547293f9b53e, 0xec2d01bfaa32970d, 0xcb3879e7085bf21c,
  0x3c2784bf10d8489e, 0x0911387672e8ffea, 0x44a76b1d3df367b7, 0xc1b306b5e391e57d, 0x68450298afba8e47,
  0xd7d185962291669d, 0x0b39d5db8f51d484, 0x1b1d79d3bc237d1e, 0x8450b3d1871b1aaf, 0x4c8e1bd96cb98b84,
  0xec2ce41541d51b04, 0xde738fc6fc0c407d, 0xe79bcf82a0c07707, 0x86e2ea72f29b19c7, 0x24e31bc674409594,
  0x538c76f62aa8b4ac, 0xdf094b52fcadb339, 0x152256a0bb3c330d, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000000280a6907a2,
};

// m1280_u2x12_uart2_lednop_pr       m2560_u2x12_uart2_lednop          m2560_u2x12_uart2_lednop_pr
static const uint64_t ur_m1280_u2x12_uart2_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x95fe5c7e7e449827, 0x7f36a7d56e9ebe1e, 0x2c90e1b46f6a8e52, 0x9206692391d679df, 0x16f74d91705d2438,
  0xebc282d19a4398b0, 0xb0cf6e39630475e2, 0x38fc6fc0c407dec2, 0xe4ac07707de78101, 0x65397ce803f3cde0,
  0x362bdba414faa771, 0x6f19d102b88a042d, 0x4a5a97e56d99d38c, 0xfe209f71e1986ef8, 0xab31e40d1fc68b3d,
  0x1964b867a615c9fb, 0x866587494b670e27, 0x21a70f254f257ee6, 0x000000000000001f,
};

// m2560_u2x12_uart2_lednop_pr_u4
static const uint64_t ur_m1280_u2x12_uart2_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xf0c367fba9827c64, 0xb53eab74f5f0cf5f, 0x0f0da37b547293f9, 0x1a0b8e47b58ef961, 0x594d37465490e248,
  0xe12691a43398b016, 0x5403ff6608ebd1f5, 0xdc140f2cf6ded0fb, 0x4e3f1bf03101f7b3, 0x228301dc1f79e040,
  0x29c94e803f3cde6d, 0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xfcadb33b4e455bd8, 0xf63c330ddf094b52,
  0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0x37049e4afdcd0ccb, 0x0000000001f26c79,
};

// m1280_u2x12_uart2_lednop_pr_ee_u4 m2560_u2x12_uart2_lednop_pr_ee    m2560_u2x12_uart2_lednop_pr_ee_u4
static const uint64_t ur_m1280_u2x12_uart2_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0xadd3d7c3cadfe186, 0x8ded51ca4fe6d4fa, 0x56654d56b4738c36, 0x723e0d9834c6391e,
  0x69d68450ef8acc7c, 0x484d7d1859622916, 0xd1cead2f222e3593, 0x743af3a77847c464, 0x4228e811bdab1aad,
  0x7eb70decb65cc5c2, 0xbd801071a2551b04, 0x020271f8df81880f, 0xf36914180ee0fbcf, 0x37a94e4a7401f9e6,
  0xf19d103e234870d5, 0xdec55516986538c6, 0x5a97e56d99da722a, 0x8817b1e1986ef84a, 0xb337f07771a2cf7f,
  0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271,
  0x98393824f257ee68, 0x00000000000004eb,
};

// m1280_u2x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m1280_u2x12_uart2_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0xda9f55ba7af86a7b, 0x1486d1bdaa3949fc, 0x16de6e77f380dfd4, 0x361227b2ce1e79c2,
  0xdd83fa8f09e12fc4, 0xb26cf6e122270f8d, 0x591c8fd24f72df5e, 0x0b9241fa4871240f, 0xfaf09348d219cc58,
  0x7daa01ffb33c75e8, 0xf67b8281e5adcf68, 0x0809c7e37e06203e, 0xcda450603b83ef3c, 0xdea53929d007e79b,
  0xc67440f88d21c354, 0x7b15545a6194e31b, 0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0x99bf83bb8d167bfc,
  0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0xfd6dc12792bf7343, 0x000000000000375c,
};

// m1280_u2x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x12_uart2_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x5ba7af876b7fe186, 0x1bdaa3949fcda9f5, 0xec7c0dfd5194b86d, 0x59c3cf3842dbcdce,
  0xe13c25f886c244f6, 0x22270e00036eff51, 0x94ed63a7be6cf6e1, 0x3660d6bc723cafba, 0x1140a62b0f71c8f8,
  0xf4616588a459a75a, 0x8e7576e910752135, 0xb1d79d3bc23e2326, 0x228e811bdab1aaf1, 0x6470decb65cc5c24,
  0xec2cc38d12a8d822, 0x10138fc6fc0c407d, 0x9b48a0c07707de78, 0xbd4a7253a00fcf37, 0x8ce881f11a4386a9,
  0xf62aa8b4c329c637, 0xa97e56d99da70c76, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xc5f3824f257ee686,
  0x00000000000027e4,
};

// m2560_u2x12_uart2_lednop_ee_hw
static const uint64_t ur_m1280_u2x12_uart2_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0xaadd3d7c3cadfe56, 0x68ded51ca4fe6d4f, 0xe56654d56b4738c3, 0xc723e0d9834c6391,
  0x669d68450ef8acc7, 0x3484d7d185962291, 0x4d1cead2f222e359, 0xd743af3a77847c46, 0x24228e811bdab1aa,
  0x47eb70decb65cc5c, 0xfbd801071a2551b0, 0xf020271f8df81880, 0x6f36914180ee0fbc, 0x537a94e4a7401f9e,
  0x6f19d103e234870d, 0xadec55516986538c, 0xa5a97e56d99da722, 0x2b505d9e1986ef84, 0x9ffde1ef79430a91,
  0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x0005bec117d14f25,
};

// m1280_u2x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart2_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0x56e9ebe1dadff958, 0x46f6a8e527f36a7d, 0xbb1f037f54652e1b, 0x2ce1e79c216fc873,
  0xf09e12fc4361227b, 0x4889c3b41c113fa8, 0xa53b58e9ef9b3db8, 0x0d9835af1c8f2bee, 0x8450298ac3dc723e,
  0x7d185962291669d6, 0xa39d5dba441d484d, 0x6c75e74ef08f88c9, 0x08a3a046f6ac6abc, 0x991c37b2d9731709,
  0x7b0b30e344aa3608, 0x0404e3f1bf03101f, 0xe6d228301dc1f79e, 0x6f529c94e803f3cd, 0xe33a207c4690e1aa,
  0xbd8aaa2d30ca718d, 0x6a5f95b66769c31d, 0xd417678661bbe129, 0xff787bde50c2a44a, 0xec6761c7f197e627,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x028089c95453c95f,
};

// m1280_u2x12_uart2_dual_pr         m1280_u2x12_uart2_dual_pr_u4
static const uint64_t ur_m1280_u2x12_uart2_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0xc56fccb0940253ba, 0xf95b61bece1a6f8b,
  0x92241240ca1cd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cab7c, 0xf9082d21be5c5dfc,
  0xe2a10cb417c4432f, 0xb7fddff4073c267b, 0xfa7c982c3795e425, 0xd4faadd3d7c332bf, 0xd4368ded51ca4fe6,
  0x621e391f229df2c4, 0x0f31eb10d2438920, 0x0ef68ebf9cc580aa, 0x403ff6608ebc01af, 0xa7207967b7cf09f5,
  0xd93f8abe77715258, 0x20271f8df81880fb, 0x36914180ee0fbcf0, 0x7a94e4a7401f9e6f, 0x19d103e234870d53,
  0xec55516986538c6f, 0xa97e56d99da722ad, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x32d3824f257ee686,
  0x000000000000524d,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x6584a0129dd3e25c, 0x1000e02938bfebfe,
  0x9039db9a391eb7f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e4a9103770f, 0x90df2e2efe4be5f2,
  0xb40e1a2197fc8416, 0xe80e784ce4e2a10c, 0xb0de579096dfa7ff, 0x9ebe1c56ffe9f260, 0x6a8e527f36a7d56e,
  0xee6ab5a39121b46f, 0xe0d983052391e56b, 0x68450ef8aff74723, 0xd7d185962291669d, 0x569731eb8a973484,
  0x7a89bc39223dece7, 0x41f47cf58d56ba1d, 0x0decbe9662e12114, 0x4d7c82d51b047eb7, 0xc9fc55f3bb8a9280,
  0x0138fc6fc0c407de, 0xb48a0c07707de781, 0xd4a7253a00fcf379, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x4bf2b6cced39156f, 0x4fb8f0cc377c252d, 0x6fe0eee3459eff10, 0x970cf4c2b93f7566, 0xb0e9296ce1c4e32c,
  0xd77049e4afdcd0cc, 0x0000000000190a27,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xa6024ee9f12e2061, 0xe02938bfebfe6584,
  0xdb9a391eb7f61000, 0xcb8bd0a489049039, 0xc4f87e7ef822fca7, 0x3e4a9103770f8510, 0x2e2efe4be5f2e7e4,
  0x1a2197fc841690df, 0x784ce4e2a10cb40e, 0x579096dfa7ffe80e, 0x38adfe40ca60b0de, 0xa4fe6d4faadd3d7c,
  0x6b47224368ded51c, 0x060a4723cad7dcd5, 0x1df15fee8e47c1b3, 0x0b2c4522cd3ad08a, 0x63d7152e6909afa3,
  0x7872447bd9cead2e, 0xf9eb1aad743af513, 0x7d2cc5c2422883e8, 0x05aa3608fd6e1bd9, 0xabe7771525009af9,
  0xf8df81880fbd93f8, 0x180ee0fbcf020271, 0x4a7401f9e6f36914, 0x3e234870d537a94e, 0x16986538c6f19d10,
  0x6d99da722adec555, 0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000002b2307dc7f8,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xbfccb0940253ba7c, 0xfb019b386ed7174d,
  0x41240d2d4d1c8e63, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c990c0dd, 0x82d21be5c5dfc97c,
  0x2196818f4432ff90, 0xebfe80e784ddd454, 0x930586f2bc84b6f6, 0xab74f5f0cbafff4f, 0xa37b547293f9b53e,
  0xceca280aefafc90d, 0xbb43efcf3842dbcd, 0x4b9a057709113876, 0x5c7238df9ee59edd, 0x5401efa4871240ea,
  0xd7877b475fce62c0, 0xfaa01ffb33c75e00, 0x4b14e40f2d6ee784, 0x1f7b27f157ceee2a, 0x9e0404e3f1bf0310,
  0xcde6d228301dc1f7, 0xaa6f529c94e803f3, 0x8de33a207c4690e1, 0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3,
  0xfc409c678661bbe1, 0xd599bf83bb8d167b, 0x1c4e34a1854895a9, 0x15c9f80f9a3ec676, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000001a4859b824f,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x49f9961298093ba7, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0x2982c3795e425b7a, 0xab74f5f0f4dff903, 0xa37b547293f9b53e,
  0x0ceca181bfaf510d, 0x3d9670f3ce10b7f0, 0xd4784f097e21b091, 0x6e122270fcb4cdff, 0x1bf3dcb7d752e6cf,
  0xf490e2481d4b8e47, 0x68ebf9cc580a803d, 0xff6678ebc01af0ef, 0x81e5addcf09f5403, 0xfe2af9ddc549629c,
  0x9c7e37e06203ef64, 0x450603b83ef3c080, 0x53929d007e79bcda, 0x440f88d21c354dea, 0x5545a6194e31bc67,
  0xf2b6cced3863b7b1, 0xd8f0cc377c252d4b, 0xc1a3f8d167bfc40b, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xfc33c95fb9a19961, 0x00000001a48b4d63,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x257e6584a0129dd3, 0x7cd87599c190f8bd,
  0x241240cd6e68e476, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2575c0d, 0x20b486f97177f25f,
  0x0865a1b3910cbfe4, 0x49ff4073c26cad15, 0xc982c3795e425b71, 0x55ba7af87a6bffa7, 0xd1bdaa3949fcda9f,
  0x76e80577d51fee86, 0xf2d7e79c216de6e7, 0xcd02bb84889c3de1, 0x3cacca94ed7e2310, 0x48e47c1b30698c72,
  0x1669d68450298ae4, 0x1d484d7d18596229, 0x07d1f4873abb704f, 0xc6abc6c75ed62bc3, 0x62e1211460b4752e,
  0x1887132386f65c7c, 0xf64fe2af9ddc5497, 0x0809c7e37e06203e, 0xbcb750603b83ef3c, 0x4dea53929d007e79,
  0x042d2d7f88d21c35, 0xa718de33a206dc63, 0xddf094b52fcadb33, 0x167bfc413ee3c330, 0xe4fdd599bf83bb8d,
  0x87138cb25c33d30a, 0xbf734332c3a4a5b3, 0x0002609a71c12792,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x5c001f9961298093,
  0xf9bfb05489c3badc, 0x91209207d1f9a391, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f959260,
  0x2105a437cb8bbf92, 0xa8432d0ff88865ff, 0xcdfffa039e1305a8, 0x6530586f2bc84b6e, 0xd56e9ebe18a4ff20,
  0xb46f6a8e527f36a7, 0x9de9a037f5472ba1, 0xb2ce1e79c216fe01, 0x8f09e12fc4361227, 0x84889c3f9cba9dfa,
  0xf253b58ea6e9b3db, 0xf06cc1af91c8f2b7, 0xb422814c5752a391, 0x6be8c2cb1148b34e, 0x7b39d5db8c78ea42,
  0xc6c75ea26f0e488f, 0x908a20fa3e7ac6ab, 0x132386f65f4b3170, 0xa4a59b5f20b546c1, 0x01f7b27f157ceee2,
  0x79e0404e3f1bf031, 0x3cde6d228301dc1f, 0x1aa6f529c94e803f, 0x18de33a207c4690e, 0x31dbd8aaa2d30ca7,
  0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x75666fe0d1fc68b3, 0xbc3def286152256a, 0x33b0e3f8cbf313ff,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x04acd9fe19e4afdc, 0x0000000000000080,
};

static const uint64_t ur_m1280_u2x12_uart2_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x584a7419dd3e25c4, 0x000e02938bfebfe6,
  0x039db9a391eb7f61, 0xca7cb8bd0a489049, 0x510c4f87e7ef822f, 0x7e43e4a9103770f8, 0x0df2e2efe4be5f2e,
  0x40e1a2197fc84169, 0x80e784ce4e2a10cb, 0x0de579096dfa7ffe, 0xd7c38adff196a60b, 0x51ca4fe6d4faadd3,
  0xcd56b47224368ded, 0x1b3060a4723cad7d, 0x08a1df15fee8e47c, 0xfa30b2c4522cd3ad, 0xd2e63d7152e6909a,
  0x5137872447bd9cea, 0x3e8f9eb1aad743af, 0xbd97d2cc5c242288, 0xaf905aa3608fd6e1, 0x3f8abe7771525009,
  0x271f8df81880fbd9, 0x914180ee0fbcf020, 0x94e4a7401f9e6f36, 0xd103e234870d537a, 0x55516986538c6f19,
  0x7e56d99da722adec, 0x5d9e1986ef84a5a9, 0xe1ef79430a912b50, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1,
  0x1964b867a617c68f, 0x866587494b670e27, 0xb4b483d14f257ee6, 0x000000000000002b,
};

// m1280_u2x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart2_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xeeb7170007e6584a,
  0x68e47e6fec152270, 0x5e8524482481f47e, 0xc3f3f7c117e53e5c, 0x64981bb87c288627, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc16a2a10cb43fe22, 0x12dbb37ffe80e784, 0x3fe32d4c161bcaf2, 0xcda9f55ba7af8629,
  0xcae86d1bdaa3949f, 0xdf90e77a680dfd51, 0xc244f659c3cf3842, 0xaa3f51e13c25f886, 0x367b70911387ba1b,
  0x1e56fe4a76b1d4dd, 0x54723e0d9835f239, 0x1669d68450298aea, 0x1d484d7d18596229, 0xc911ef673abb718f,
  0x58d578d8ebd44de1, 0x662e1211441f47cf, 0xa8d8226470decbe9, 0x9ddc5494b36be416, 0x7e06203ef64fe2af,
  0x3b83ef3c0809c7e3, 0xd007e79bcda45060, 0x8d21c354dea53929, 0x6194e31bc67440f8, 0xced3863b7b15545a,
  0xc377c252d4bf2b6c, 0xa1854895a82ecf0c, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xa8a792bf734332c3, 0x000000000ebacd1b,
};

// m1280_u2x12_uart3_noled_pr        m2560_u2x12_uart3_noled           m2560_u2x12_uart3_noled_pr
static const uint64_t ur_m1280_u2x12_uart3_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0xc7fcb8fcff51304f, 0xcda9f55b1c827209, 0x24386d1bdaa3949f, 0x40cd24723f3c77cb, 0xdee986fd7fa48712,
  0x5e1d623c66731602, 0x358b71cb1823af17, 0xf0dbf0310e87ec2b, 0x5ba8301dce87e73c, 0x4e5e53633cf0fcde,
  0x085a7862b290dc5d, 0x4e31bc67440fd714, 0xbbe1296a5f95b667, 0x2cf7f8827dc78661, 0x27eeacc790347f1a,
  0x389c6592e19e9857, 0xfb9a19961d252d9c, 0x03e41b8f3c953c95,
};

// m2560_u2x12_uart3_noled_pr_u4
static const uint64_t ur_m1280_u2x12_uart3_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0xc30d9fea2609f193, 0x9f55b1c827209c7f, 0x86d1bdaa3949fcda, 0x05c723f4077cb087, 0xa6f937ba4871240d,
  0x705a3d61cc580b2c, 0x00ffd9823af47d78, 0xaf81e59ed871a255, 0x786df8188743f626, 0xf054180ee743f39e,
  0x39794d8cf3c3f379, 0xe33a204aca437175, 0x7b15545a5612718d, 0xd4bf2b6cce54e8ab, 0x40bd8f0cc377c252,
  0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0x3929c12792bf7343, 0x0000000000007c9d,
};

// m1280_u2x12_uart3_noled_pr_ee_u4  m2560_u2x12_uart3_noled_pr_ee     m2560_u2x12_uart3_noled_pr_ee_u4
static const uint64_t ur_m1280_u2x12_uart3_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0x63904e40c17fc30d, 0x7b547293f9b53eab, 0xc89355ad1ce30da3, 0x8f83660d318e4795,
  0x3ad08a1df159951c, 0x09afa30b2c4522cd, 0x39d5a5cf55c6b269, 0x1d79d3bc237d1e0b, 0x2859e8c38d8d56ba,
  0xb70decb65cc5c242, 0x00a41541d51b047e, 0x3cf0dbf0310e87ec, 0xf3e0a8301dce87e7, 0xea72f29b19e787e6,
  0x1bc67440959486e2, 0x56f62aa8b4ac24e3, 0xa5a97e56d99ca9d1, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0xbe5563824f257ee6, 0x000000000000004e,
};

// m1280_u2x12_uart3_noled_pr_ce_u4
static const uint64_t ur_m1280_u2x12_uart3_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xa9f55b1c82720297, 0x486d1bdaa3949fcd, 0x6de6e77fb80dfd41, 0x61227b2ce1e79c21,
  0x149fa8f09e12fc43, 0xc9b3db84889c3c00, 0x6472393d3dcb7d7a, 0x1531b5a921c4903d, 0xfaf0e0b47ac398b0,
  0x44aa01ffb33c75e8, 0xfb1357c0f2d6e0e3, 0xf9cf3c36fc0c43a1, 0xf9bcf82a0c0773a1, 0xb8ba9cbca6c679e1,
  0x38c6f19d10256521, 0xe31dbd8aaa2d2b09, 0xc252d4bf2b6cce54, 0x7bfc40bd8f0cc377, 0xa9d599bf83bb8d16,
  0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x375f8d0dc12792bf,
};

// m1280_u2x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x12_uart3_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x63904e41a6bfc30d, 0x7b547293f9b53eab, 0x2d01bfaa32970da3, 0x9c3cf3842dbcdcec,
  0x13c25f886c244f65, 0x11387ba1baa3f51e, 0xa76b1d3df367b709, 0xb306b5e391e57d44, 0x450298afba8e47c1,
  0xd185962291669d68, 0x39d5db8f51d484d7, 0x1d79d3bc237d1e0b, 0x50b3d1871b1aaf1b, 0x8e1bd96cb98b8484,
  0x2ce41541d51b044c, 0x3cf0dbf0310e87ec, 0xf3e0a8301dce87e7, 0xea72f29b19e787e6, 0x1bc67440959486e2,
  0x76f62aa8b4ac24e3, 0x4b52fcadb339538c, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xc94d67049e4afdcd,
  0x000000000000004f,
};

// m2560_u2x12_uart3_noled_ee_hw
static const uint64_t ur_m1280_u2x12_uart3_noled_ee_hw[] = {
  0xddd893ba8a343a31, 0xbbba585c81b158dd, 0x0a6c6de8d3da17bb, 0xce0be17bbbbfc5ad, 0x1361b4051fb0660b,
  0x59f95d304f8c9ddb, 0xb63904e40c17fcac, 0x37b547293f9b53ea, 0x5c89355ad1ce30da, 0xc8f83660d318e479,
  0xd3ad08a1df159951, 0x909afa30b2c4522c, 0xb39d5a5cf55c6b26, 0xa1d79d3bc237d1e0, 0x22859e8c38d8d56b,
  0xeb70decb65cc5c24, 0xc00a41541d51b047, 0x73cf0dbf0310e87e, 0x6f3e0a8301dce87e, 0x2ea72f29b19e787e,
  0x31bc67440959486e, 0x156f62aa8b4ac24e, 0x4a5a97e56d99ca9d, 0x12b505d9e1986ef8, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x00005bf4117d14f2,
};

// m1280_u2x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart3_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0x6c7209c834d7f958, 0x6f6a8e527f36a7d5, 0x85a037f54652e1b4, 0x670f3ce10b7e439d,
  0x84f097e21b0913d9, 0x22270ece5d1ffd47, 0x94ed63a7be6cf6e1, 0x3660d6bc723cafa8, 0x08a05315f751c8f8,
  0xfa30b2c4522cd3ad, 0x673abb71ea3a909a, 0x63af3a77846fa3c1, 0x8a167a30e36355e3, 0x91c37b2d97317090,
  0x859c82a83aa36089, 0xe79e1b7e0621d0fd, 0xde7c150603b9d0fc, 0x5d4e5e53633cf0fc, 0x6378ce8812b290dc,
  0x8edec5551695849c, 0x296a5f95b6672a71, 0x4ad417678661bbe1, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0005014d20f453c9,
};

// m1280_u2x12_uart3_lednop_pr       m2560_u2x12_uart3_lednop          m2560_u2x12_uart3_lednop_pr
static const uint64_t ur_m1280_u2x12_uart3_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x95fe5c7e7e449827, 0xe6d4faad8e413906, 0x921c368ded51ca4f, 0x40cd24723acf3be5, 0xdee9b22e0ba48712,
  0x78505a3348731602, 0x19edc72c608ebc5d, 0xe1b7e0621d0fd856, 0x603b9d0fcf020279, 0x2f9d02787e6f0725,
  0x7b74829f54ee2ca7, 0x3a2057114085a6c5, 0x52fcadb33a718de3, 0x13ee3c330ddf094b, 0x3c81a3f8d167bfc4,
  0x970cf4c2b93f7566, 0xb0e9296ce1c4e32c, 0xe1e4a9e4afdcd0cc, 0x000000000003e434,
};

// m2560_u2x12_uart3_lednop_pr_u4
static const uint64_t ur_m1280_u2x12_uart3_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xf0c367fba9827c64, 0xa7d56c7209c80f5f, 0xe1b46f6a8e527f36, 0x4171c8f6b1df2c21, 0x29a6e8ca921c4903,
  0x24d23486731602cb, 0x807fecc11d7a3ebc, 0x8281e59edbda1f6a, 0x786df8188743f67b, 0x180ee743f3c0809e,
  0x29d02787e6f36914, 0xf88d21c354dea539, 0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x0000003e4d8f26e0,
};

// m1280_u2x12_uart3_lednop_pr_ee_u4 m2560_u2x12_uart3_lednop_pr_ee    m2560_u2x12_uart3_lednop_pr_ee_u4
static const uint64_t ur_m1280_u2x12_uart3_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0xb1c82720cadfe186, 0xbdaa3949fcda9f55, 0xcca9aad68e7186d1, 0x47c1b30698c723ca,
  0x3ad08a1df1598f8e, 0x09afa30b2c4522cd, 0x39d5a5e445c6b269, 0x875e74ef08f88c9a, 0x451d0237b56355ae,
  0xd6e1bd96cb98b848, 0xb0020e344aa3608f, 0x04f3c36fc0c43a1f, 0x48a0c0773a1f9e04, 0x29c94e813c3f379b,
  0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xfcadb33b4e455bd8, 0xf63c330ddf094b52, 0xfe0eee3459eff102,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x27049e4afdcd0ccb, 0x00000000009d7307,
};

// m1280_u2x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m1280_u2x12_uart3_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0x53eab63904e40a7b, 0x90da37b547293f9b, 0xdbcdcefe701bfa82, 0xc244f659c3cf3842,
  0xb07f51e13c25f886, 0x4d9edc2444e1f1bb, 0x2391fa49ee5bebd6, 0x72483f490e2481eb, 0x5e12691a43398b01,
  0xb5403ff6678ebd1f, 0xcf70503cb5b9ed0f, 0x13cf0dbf0310e87e, 0x228301dce87e7810, 0xa7253a04f0fcde6d,
  0x881f11a4386a9bd4, 0xaa8b4c329c6378ce, 0xe56d99da70c76f62, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817,
  0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0xb824f257ee686658, 0x0000000006eb9fad,
};

// m1280_u2x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m1280_u2x12_uart3_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x63904e416b7fe186, 0x7b547293f9b53eab, 0x8f81bfaa32970da3, 0x3879e7085b79b9dd,
  0x2784bf10d8489ecb, 0x44e1c0006ddfea3c, 0x9dac74f7cd9edc24, 0xcc1ad78e4795f752, 0x2814c561ee391f06,
  0x8c2cb1148b34eb42, 0xceaedd220ea426be, 0x3af3a77847c464d1, 0x51d0237b56355e36, 0x8e1bd96cb98b8484,
  0x859871a2551b044c, 0x279e1b7e0621d0fd, 0x450603b9d0fcf020, 0x4e4a7409e1f9bcda, 0x103e234870d537a9,
  0x5516986538c6f19d, 0xcadb33b4e18edec5, 0x63c330ddf094b52f, 0xe0eee3459eff102f, 0x286152256a75666f,
  0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0,
  0x0000000004fc98be,
};

// m2560_u2x12_uart3_lednop_ee_hw
static const uint64_t ur_m1280_u2x12_uart3_lednop_ee_hw[] = {
  0xddd893ba8a342493, 0x7774b0b90c5f58dd, 0x85a2a1ed05d08377, 0x6705f0bddddfe2cd, 0x6e415a768699fbc7,
  0x2cfe9b9827c64ee8, 0x5b1c82720cadfe56, 0x1bdaa3949fcda9f5, 0xacca9aad68e7186d, 0xe47c1b30698c723c,
  0xd3ad08a1df1598f8, 0x909afa30b2c4522c, 0xa39d5a5e445c6b26, 0xe875e74ef08f88c9, 0x8451d0237b56355a,
  0xfd6e1bd96cb98b84, 0xfb0020e344aa3608, 0x404f3c36fc0c43a1, 0xb48a0c0773a1f9e0, 0x529c94e813c3f379,
  0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x2fcadb33b4e455bd, 0x0bb3c330ddf094b5, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xb7d822fa29e4afdc,
  0x0000000000000000,
};

// m1280_u2x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart3_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xd8e413905adff958, 0xded51ca4fe6d4faa, 0x63e06fea8ca5c368, 0x9c3cf3842df90e77,
  0x13c25f886c244f65, 0x113876838227f51e, 0xa76b1d3df367b709, 0xb306b5e391e57dd4, 0x8a0531587b8e47c1,
  0xa30b2c4522cd3ad0, 0x73abb74883a909af, 0x8ebce9de11f11934, 0x147408ded58d578d, 0x2386f65b2e62e121,
  0x61661c689546c113, 0x09e786df8188743f, 0x914180ee743f3c08, 0x53929d02787e6f36, 0x440f88d21c354dea,
  0x5545a6194e31bc67, 0xf2b6cced3863b7b1, 0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef,
  0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x11392a8a792bf734, 0x0000000000000050,
};

// m1280_u2x12_uart3_dual_pr         m1280_u2x12_uart3_dual_pr_u4
static const uint64_t ur_m1280_u2x12_uart3_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0xc56fccb0940253ba, 0xf95b61bece1a6f8b,
  0x92241240ca1cd1c8, 0xfbe08bf29f2e2f42, 0x0ddc3e144313e1f9, 0x97cbe5cfc87cab7c, 0xf9082d21be5c5dfc,
  0xe2a10cb417c4432f, 0xb7fddff4073c267b, 0xfa7c982c3795e425, 0x9f55b1c8272032bf, 0x86d1bdaa3949fcda,
  0x43c723e453be589a, 0xe63d621a4871240c, 0xded1d7f398b01541, 0x07fecc11d78035e1, 0xe40f2cf6f9e13ea8,
  0x27f157ceee2a4b14, 0x4f3c36fc0c43a1fb, 0x8a0c0773a1f9e040, 0x9c94e813c3f379b4, 0x207c4690e1aa6f52,
  0xaa2d30ca718de33a, 0xcadb33b4e455bd8a, 0x63c330ddf094b52f, 0xe0eee3459eff102f, 0x286152256a75666f,
  0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0,
  0x000000000a49a65a,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x6584a0129dd3e25c, 0x1000e02938bfebfe,
  0x9039db9a391eb7f6, 0xfca7cb8bd0a48904, 0x8510c4f87e7ef822, 0xe7e43e4a9103770f, 0x90df2e2efe4be5f2,
  0xb40e1a2197fc8416, 0xe80e784ce4e2a10c, 0xb0de579096dfa7ff, 0x41390456ffe9f260, 0x51ca4fe6d4faad8e,
  0xcd56b47224368ded, 0x1b3060a4723cad7d, 0x08a1df15fee8e47c, 0xfa30b2c4522cd3ad, 0xd2e63d7152e6909a,
  0x5137872447bd9cea, 0x3e8f9eb1aad743af, 0xbd97d2cc5c242288, 0xaf905aa3608fd6e1, 0x3f8abe7771525009,
  0x79e1b7e0621d0fd9, 0x50603b9d0fcf0202, 0xe4a7409e1f9bcda4, 0x03e234870d537a94, 0x516986538c6f19d1,
  0x56d99da722adec55, 0x1e1986ef84a5a97e, 0x1ddc68b3dfe209f7, 0x9e985727eeaccdfc, 0x252d9c389c6592e1,
  0x093c95fb9a19961d, 0x000000032144faee,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xa6024ee9f12e2061, 0xe02938bfebfe6584,
  0xdb9a391eb7f61000, 0xcb8bd0a489049039, 0xc4f87e7ef822fca7, 0x3e4a9103770f8510, 0x2e2efe4be5f2e7e4,
  0x1a2197fc841690df, 0x784ce4e2a10cb40e, 0x579096dfa7ffe80e, 0x08adfe40ca60b0de, 0x9fcda9f55b1c8272,
  0x68e4486d1bdaa394, 0xc148e4795afb9aad, 0xbe2bfdd1c8f83660, 0x6588a459a75a1143, 0x7ae2a5cd2135f461,
  0x0e488f7b39d5a5cc, 0x3d6355ae875ea26f, 0xa598b84845107d1f, 0xb546c11fadc37b2f, 0x7ceee2a4a0135f20,
  0x6fc0c43a1fb27f15, 0x773a1f9e0404f3c3, 0x813c3f379b48a0c0, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x3b4e455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x12b53ab337f068fe, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0056460fb8ff0cf2,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xbfccb0940253ba7c, 0xfb019b386ed7174d,
  0x41240d2d4d1c8e63, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c990c0dd, 0x82d21be5c5dfc97c,
  0x2196818f4432ff90, 0xebfe80e784ddd454, 0x930586f2bc84b6f6, 0x6c7209c80bafff4f, 0x6f6a8e527f36a7d5,
  0xd945015df5f921b4, 0x687df9e7085b79b9, 0x7340aee122270ed7, 0x8e471bf3dcb3dba9, 0x803df490e2481d4b,
  0xf0ef68ebf9cc580a, 0x5403ff6678ebc01a, 0x629c81e5addcf09f, 0x3f64fe2af9ddc549, 0x0809e786df818874,
  0x36914180ee743f3c, 0xea53929d02787e6f, 0x67440f88d21c354d, 0xb15545a6194e31bc, 0x4bf2b6cced3863b7,
  0x138cf0cc377c252d, 0x37f07771a2cf7f88, 0xc69430a912b53ab3, 0x3f01f347d8cec389, 0xc4e32c970cf4c2b9,
  0xdcd0ccb0e9296ce1, 0x003490b37049e4af,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x49f9961298093ba7, 0x5bd856f9c2007171,
  0x241240d36e68e47b, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x97cb9f90f9737c0d, 0x105a437cb8bbf92f,
  0x8432d074a8865ff2, 0x1fffa039e131458a, 0x2982c3795e425b7a, 0x6c7209c834dff903, 0x6f6a8e527f36a7d5,
  0x9d943037f5ea21b4, 0xb2ce1e79c216fe01, 0x8f09e12fc4361227, 0xc2444e1f9699bffa, 0x7e7b96faea5cd9ed,
  0x921c4903a971c8e3, 0x1d7f398b015007be, 0xeccf1d78035e1ded, 0x3cb5bb9e13ea807f, 0xc55f3bb8a92c5390,
  0xf0dbf0310e87ec9f, 0x301dce87e781013c, 0x53a04f0fcde6d228, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0xd99da70c76f62aa8, 0x1986ef84a5a97e56, 0x7f1a2cf7f8817b1e, 0x54895a9d599bf834, 0xfcc4ffef0f7bca18,
  0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000349169ac7f86,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x257e6584a0129dd3, 0x7cd87599c190f8bd,
  0x241240cd6e68e476, 0xe08bf29f2e2f4292, 0xdc3e144313e1f9fb, 0x2f973f21f2575c0d, 0x20b486f97177f25f,
  0x0865a1b3910cbfe4, 0x49ff4073c26cad15, 0xc982c3795e425b71, 0xb63904e41a6bffa7, 0x37b547293f9b53ea,
  0xdd00aefaa3fdd0da, 0x5afcf3842dbcdcee, 0xa05770911387bc3e, 0x9599529dafc46219, 0x1c8f83660d318e47,
  0xcd3ad08a05315c89, 0xa909afa30b2c4522, 0xfa3e90e7576e09e3, 0xd578d8ebdac57860, 0x5c24228c168ea5d8,
  0x10e26470decb8f8c, 0xc9fc55f3bb8a92e3, 0x13cf0dbf0310e87e, 0xba8301dce87e7810, 0x4a7253a04f0fcde5,
  0xa5aff11a4386a9bd, 0x1bc67440db8c6085, 0x1296a5f95b6674e3, 0x7f8827dc78661bbe, 0xbab337f07771a2cf,
  0x71964b867a615c9f, 0x6866587494b670e2, 0x4c134e3824f257ee,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x5c001f9961298093,
  0xf9bfb05489c3badc, 0x91209207d1f9a391, 0xdf045f94f9717a14, 0x6ee1f0a2189f0fcf, 0xf97cb9f90f959260,
  0x2105a437cb8bbf92, 0xa8432d0ff88865ff, 0xcdfffa039e1305a8, 0x6530586f2bc84b6e, 0xad8e413900a4ff20,
  0x8ded51ca4fe6d4fa, 0xbd3406fea8e57436, 0x59c3cf3842dfc033, 0xe13c25f886c244f6, 0x911387f39753bf51,
  0x4a76b1d4dd367b70, 0x0d9835f2391e56fe, 0x8450298aea54723e, 0x7d185962291669d6, 0x673abb718f1d484d,
  0xd8ebd44de1c911ef, 0x11441f47cf58d578, 0x6470decbe9662e12, 0x94b36be416a8d822, 0x43f64fe2af9ddc54,
  0xc0809e786df81887, 0xf36914180ee743f3, 0xdea53929d02787e6, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0xcdfc1a3f8d167bfc, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x9b3fc33c95fb9a19, 0x0000000000100095,
};

static const uint64_t ur_m1280_u2x12_uart3_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x584a7419dd3e25c4, 0x000e02938bfebfe6,
  0x039db9a391eb7f61, 0xca7cb8bd0a489049, 0x510c4f87e7ef822f, 0x7e43e4a9103770f8, 0x0df2e2efe4be5f2e,
  0x40e1a2197fc84169, 0x80e784ce4e2a10cb, 0x0de579096dfa7ffe, 0x27208adff196a60b, 0x3949fcda9f55b1c8,
  0xaad68e4486d1bdaa, 0x660c148e4795afb9, 0x143be2bfdd1c8f83, 0x4616588a459a75a1, 0x5cc7ae2a5cd2135f,
  0x26f0e488f7b39d5a, 0xd1f3d6355ae875ea, 0xb2fa598b84845107, 0xf20b546c11fadc37, 0xf157ceee2a4a0135,
  0x3c36fc0c43a1fb27, 0x0c0773a1f9e0404f, 0x94e813c3f379b48a, 0x7c4690e1aa6f529c, 0x2d30ca718de33a20,
  0xdb33b4e455bd8aaa, 0xc330ddf094b52fca, 0xef286152256a0bb3, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x907a29e4afdcd0cc, 0x0000000000057696,
};

// m1280_u2x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m1280_u2x12_uart3_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xeeb7170007e6584a,
  0x68e47e6fec152270, 0x5e8524482481f47e, 0xc3f3f7c117e53e5c, 0x64981bb87c288627, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc16a2a10cb43fe22, 0x12dbb37ffe80e784, 0x3fe32d4c161bcaf2, 0xb53eab63904e4029,
  0x5d0da37b547293f9, 0xf21cef4d01bfaa39, 0x489ecb3879e7085b, 0x47ea3c2784bf10d8, 0xcf6e122270f74375,
  0xcadfc94ed63a9ba6, 0x8e47c1b306be4723, 0xcd3ad08a05315d4a, 0xa909afa30b2c4522, 0x223dece7576e31e3,
  0x1aaf1b1d7a89bc39, 0xc5c2422883e8f9eb, 0x1b044c8e1bd97d2c, 0xbb8a92966d7c82d5, 0x0310e87ec9fc55f3,
  0xe87e781013cf0dbf, 0xf0fcde6d228301dc, 0x386a9bd4a7253a04, 0x9c6378ce881f11a4, 0x70c76f62aa8b4c32,
  0xf84a5a97e56d99da, 0xa912b505d9e1986e, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000001d759a37514,
};

// m2560_u1x8_uart2_noled_pr_ce_u4
static const uint64_t ur_m2560_u1x8_uart2_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x5b7f69912dec09d2, 0x373bfdc06fea0a38, 0x7b2ce1e79c2527cf, 0xa8f09e12fc436122,
  0xdb84889c3c00149f, 0x393d3dcb7d7ac9b3, 0xb5a921c4903d6472, 0xe0b47ac398b01531, 0x01ffb33c75e8faf0,
  0x57c0f2d6e0e344aa, 0xe3f1bf03101f7b13, 0xf3e0a8301dc1f79c, 0xba9cbca6c671f9e6, 0xc6f19d10256521b8,
  0x1dbd8aaa2d2b0938, 0x52d4bf2b6cce54e3, 0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x5c6a91c12792bf73,
  0x0000000000000037,
};

// m2560_u1x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x8_uart2_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0x4c896f605ff3fc30, 0x037f54652dc2dbfb, 0x3ce1293e79b9d85a, 0x97e21b0913d9670f,
  0x1ee86ea8fd4784f0, 0xc74f7cd9edc2444e, 0xad78e4795f5129da, 0xa62beea391f06cc1, 0x6588a459a75a1140,
  0x76e3d4752135f461, 0x74ef08df4782ce75, 0xf461c6c6abc6c75e, 0xf65b2e62e121142c, 0x05507546c1132386,
  0xf1bf03101f7b0b39, 0xe0a8301dc1f79ce3, 0x9cbca6c671f9e6f3, 0xf19d10256521b8ba, 0xbd8aaa2d2b0938c6,
  0xd4bf2b6cce54e31d, 0x40bd8f0cc377c252, 0x99bf83bb8d167bfc, 0xf7bca1854895a9d5, 0xc38fe32fcc4ffef0,
  0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xcb7dc12792bf7343, 0x00000000000013f2,
};

// m2560_u1x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart2_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xb4c896f605ff3fca, 0xa037f54652dc2dbf, 0xe79c2527de439d85, 0x12fc4361227b2ce1,
  0xe1d9cba3ffa8f09e, 0xac74f7cd9edc2444, 0x1ad78e4795f5129d, 0x0a62beea391f06cc, 0x16588a459a75a114,
  0x576e3d4752135f46, 0xe74ef08df4782ce7, 0xcf461c6c6abc6c75, 0x6f65b2e62e121142, 0x905507546c113238,
  0x3f1bf03101f7b0b3, 0x3e0a8301dc1f79ce, 0xa9cbca6c671f9e6f, 0x6f19d10256521b8b, 0xdbd8aaa2d2b0938c,
  0x2d4bf2b6cce54e31, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x005010ea928a792b,
};

// m2560_u1x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m2560_u1x8_uart2_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x85b7f69912dec08b, 0xf373bf9c06fea0a3, 0x27b2ce1e79c2527c, 0xfa8f09e12fc43612,
  0xf6e122270f8ddd83, 0x8fd24f72df5eb26c, 0x41fa4871240f591c, 0x9348d219cc580b92, 0x01ffb33c75e8faf0,
  0x8281e5adcf687daa, 0xc7e37e06203ef67b, 0x50603b83ef3c0809, 0x3929d007e79bcda4, 0x40f88d21c354dea5,
  0x545a6194e31bc674, 0x2b6cced3863b7b15, 0x8f0cc377c252d4bf, 0x83bb8d167bfc40bd, 0xa1854895a9d599bf,
  0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc12792bf734332c3,
  0x000000006ebad1b9,
};

// m2560_u1x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x8_uart2_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0x4c896f6049b7fe18, 0x037f54652dc2dbfb, 0x79c2527cf373bb1f, 0x2fc4361227b2ce1e,
  0x70001b77fa8f09e1, 0x1d3df367b7091138, 0xb5e391e57dd4a76b, 0x31587b8e47c1b306, 0x2c4522cd3ad08a05,
  0xb74883a909afa30b, 0xe9de11f1193473ab, 0x08ded58d578d8ebc, 0xf65b2e62e1211474, 0x1c689546c1132386,
  0x7e37e06203ef6166, 0x0603b83ef3c0809c, 0x929d007e79bcda45, 0x0f88d21c354dea53, 0x45a6194e31bc6744,
  0xb6cced3863b7b155, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x000000027e79f85c,
};

// m2560_u1x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart2_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0xa644b7b024dbff2b, 0x81bfaa3296e16dfd, 0x79c2527de439dd8f, 0x2fc4361227b2ce1e,
  0x3b41c113fa8f09e1, 0x8e9ef9b3db84889c, 0x5af1c8f2beea53b5, 0x98ac3dc723e0d983, 0x962291669d684502,
  0xdba441d484d7d185, 0x74ef08f88c9a39d5, 0x046f6ac6abc6c75e, 0x7b2d973170908a3a, 0x0e344aa3608991c3,
  0x3f1bf03101f7b0b3, 0x8301dc1f79e0404e, 0xc94e803f3cde6d22, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2,
  0x5b66769c31dbd8aa, 0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787, 0xf81fbf619a3ec676,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x07dd453c95fb9a19, 0x0000000000005012,
};

// m2560_u1x8_uart2_dual_pr          m2560_u1x8_uart2_dual_pr_u4
static const uint64_t ur_m2560_u1x8_uart2_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x2fbeff32a5380253, 0x23943d829e38656e,
  0x0a4890490390f347, 0xe7ef822fca7cb8bd, 0xb03770f8510c4f87, 0xf25f2f973f21f29d, 0xbfe420b486f97177,
  0x328a8432d04c510c, 0x96de037fd01cf09a, 0xffe9f260b0de5790, 0xb6fed3225bd8104f, 0xc723e453be589a70,
  0x3d621a4871240c43, 0xd1d7f398b01541e6, 0xfecc11d78035e1de, 0x0f2cf6f9e13ea807, 0xf157ceee2a4b14e4,
  0xe3f1bf03101f7b27, 0x28301dc1f79e0404, 0x9c94e803f3cde6d2, 0x207c4690e1aa6f52, 0xaa2d30ca718de33a,
  0xcadb33b4e455bd8a, 0x63c330ddf094b52f, 0xe0eee3459eff102f, 0x286152256a75666f, 0xf8cbf313ffbc3def,
  0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7049e4afdcd0ccb0, 0x0000000014934056,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xe654a7004a774f89, 0xc2d6ce15bfc5e007,
  0x9207bb534723cede, 0x5f94f9717a149120, 0xf0a2189f0fcfdf04, 0x2e7e43e4a4806ee1, 0x690df2e2efe4be5f,
  0xcb412b22197fc841, 0xfe80e784cbee2a10, 0x0b0de579096dfabf, 0x25bd816fbffe9f26, 0xad68e4470b6fed32,
  0x60c148e4795afb9a, 0x43be2bfdd1c8f836, 0x616588a459a75a11, 0xcc7ae2a5cd2135f4, 0x6f0e488f7b39d5a5,
  0x1f3d6355ae875ea2, 0x2fa598b84845107d, 0x20b546c11fadc37b, 0x157ceee2a4a0135f, 0x3f1bf03101f7b27f,
  0x8301dc1f79e0404e, 0xc94e803f3cde6d22, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0xadb33b4e455bd8aa,
  0x3c330ddf094b52fc, 0x1ddc68b3dfe204e3, 0x0c2a44ad4eaccdfc, 0x7cd1f633b0e271a5, 0xcb25c33d30ae4fc0,
  0x332c3a4a5b387138, 0xc8811c12792bf734, 0x000000000000000a,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x7b5bfcca94e0094e, 0xfbb5b04db384edf1,
  0x2448248198fcd1c8, 0xf7c117e53e5c5e85, 0x1bb87c288627c3f3, 0x2f97cb9f90f92540, 0xf2105a437cb8bbf9,
  0x8a8432d0a948865f, 0xb93affa039e1347b, 0xd3e4c161bcaf212d, 0xfda644b7b0295dff, 0x995355ad1e94e16d,
  0x8f83660fe48e4795, 0x3ad08a1df15c891c, 0x09afa30b2c4522cd, 0xe756973d57082e69, 0x75ed62bc222a3268,
  0xa2bfa37b56355ae8, 0xdc37b2e3e3170908, 0xbe77715255c0fbfa, 0x8df81880fbd93f8a, 0x80ee0fbcf020271f,
  0x2296af3a00fcf379, 0x69c05ef9485eb539, 0x6378ce8811d45021, 0xc252d4bf2b6cce9c, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x02b22681c12792bf,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd6ffe654a7004a77, 0x4dbd84ed9c2d6f8b,
  0x2241240c66e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf97cb9f90f9747c0, 0x2105a437cb8bbf92,
  0xa8432d0fdc8865ff, 0xce0ffd01cf099fc8, 0x9f260b0de579096d, 0xed3225bd81656ffe, 0x650c0dfd7a870b6f,
  0x9c3cf384a4f9e6e7, 0x13c25f886c244f65, 0x444e1daed0fbf51e, 0x7b96faea5cd9edc2, 0x1c4903a971c8e37e,
  0x7f398b015007be92, 0xcf1d78035e1ded1d, 0xb5bb9e13ea807fec, 0x5f3bb8a92c53903c, 0xc6fc0c407dec9fc5,
  0xc07707de7810138f, 0x53a00fcf379b48a0, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0xd99da70c76f62aa8,
  0x1986ef84a5a97e56, 0xee3459eff102719e, 0x152256a75666fe0e, 0x68fb19d87138d286, 0x92e19e985727e03e,
  0x961d252d9c389c65, 0x0c8e093c95fb9a19, 0x0000000000000349,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x8e2fa6bf32a53802, 0x8e47b1fd87fc3806,
  0xf4292241240e87e6, 0x1f9fbe08bf29f2e2, 0xacc0ddc3e144313e, 0xdfc97cbe5cfc87cb, 0x32ff9082d21be5c5,
  0xdb7e2a10cb41fc44, 0x84b6e707fe80e784, 0xb7ff4f930586f2bc, 0x85b7f69912dec0b2, 0xe6e775280dfd65f3,
  0x4f659c3cf384a4f9, 0xf51e13c25f886c24, 0xedc2444e1d0fb1bb, 0xf70e7b96fac38cd9, 0x92921c49030e31c8,
  0xfd1bda398b01621e, 0xc72c678ebc8bbc35, 0xabe77715251d071d, 0xf8df81880fbd93f8, 0x180ee0fbcf020271,
  0xe4a7401f9e6f2dd4, 0x5fe234870d537a94, 0x8ce881b718c10b4b, 0x2d4bf2b6cce9c637, 0xc40bd8f0cc377c25,
  0x599bf83bb8d167bf, 0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0x448bdc12792bf734, 0x00000000000000d2,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xfcca94e0094ee9f1, 0xb09863833e717eb3,
  0x1240c524d1c8e6b7, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0x973f21f20a440ddc, 0xb486f97177f25f2f,
  0x65a12b910cbfe420, 0xff4073c262871508, 0x82c3795e425b7d35, 0x896f60416bffa7c9, 0xdf547fb9c2dbfb4c,
  0x1293e79b9d9c1015, 0x444e1d9f3acff3ce, 0x76bf118866815dc2, 0x9834c6391e56654a, 0x50298acc7c723e0d,
  0x185962291669d684, 0x3abb76df1d484d7d, 0xaf6b15e17bd1f487, 0x2e1a3a976355e363, 0xc37b2e3e3170908a,
  0x9ddc549718b5f191, 0x7e06203ef64fe2af, 0x3b83ef3c0809c7e3, 0xd007e79bcda45060, 0x8d21c354dea53929,
  0x6194e31bc67440f8, 0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x3459eff104fb8f0c, 0x2b93f75666fe0eee,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000004c131b7049e,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0xdfe2ea91fcca94e3,
  0x8e47e8fec1490e1c, 0xf4292241240e92a6, 0x1f9fbe08bf29f2e2, 0xaf80ddc3e144313e, 0x7f25f2f973f21f23,
  0xcbfe420b486f9717, 0x4ea2a10cb43a7d10, 0x96def0ffe80e784c, 0xfe40ca60b0de5790, 0xdbfb4c896f6055bf,
  0xde9a037f5472b9c2, 0x9c3cf384a4fbe019, 0x13c25f886c244f65, 0x11387f39753bf51e, 0xa76b1d4dd367b709,
  0xd9835f2391e56fe4, 0x450298aea54723e0, 0xd185962291669d68, 0x73abb718f1d484d7, 0x8ebd44de1c911ef6,
  0x1441f47cf58d578d, 0x470decbe9662e121, 0x4b36be416a8d8226, 0xef64fe2af9ddc549, 0xc0809c7e37e06203,
  0xbcda450603b83ef3, 0x4dea53929d007e79, 0xbc67440f88d21c35, 0xb7b15545a6194e31, 0x2d4bf2b6cced3863,
  0xc40bd8f0cc377c25, 0xccdfc1a3f8d167bf, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x4d63fc33c95fb9a1, 0x000000000001001b,
};

static const uint64_t ur_m2560_u1x8_uart2_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xc00fcca94e3a0cee, 0x9dbd85ad9c2b7f8b,
  0x2241240f76a68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0x7cbe5cfc87c94900, 0x9082d21be5c5dfc9,
  0x54219682564432ff, 0xf57ffd01cf0997dc, 0x2d4c161bcaf212db, 0xb4c896f605beffe3, 0xee6ab5a3911c2dbf,
  0xe0d983052391e56b, 0x68450ef8aff74723, 0xd7d185962291669d, 0x569731eb8a973484, 0x7a89bc39223dece7,
  0x41f47cf58d56ba1d, 0x0decbe9662e12114, 0x4d7c82d51b047eb7, 0xc9fc55f3bb8a9280, 0x0138fc6fc0c407de,
  0xb48a0c07707de781, 0xd4a7253a00fcf379, 0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x4bf2b6cced39156f,
  0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0x5da9176a8a792bf7, 0x0000000000000001,
};

// m2560_u1x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart2_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x0e1cdfe2ea91fcca,
  0x92a68e47e8fec149, 0xf2e2f4292241240e, 0x313e1f9fbe08bf29, 0x1f23af80ddc3e144, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c4ea2a10cb43a, 0x579096def0ffe80e, 0x55bfff196a60b0de, 0xb9c2dbfb4c896f60,
  0xe439de9a037f5472, 0x27b2ce1e79c2527d, 0xfa8f09e12fc43612, 0xdb84889c3dd0dd51, 0xb7f253b58ea6e9b3,
  0x91f06cc1af91c8f2, 0x4eb422814c5752a3, 0x426be8c2cb1148b3, 0x8f7b39d5db8c78ea, 0xabc6c75ea26f0e48,
  0x70908a20fa3e7ac6, 0xc1132386f65f4b31, 0xe2a4a59b5f20b546, 0x3101f7b27f157cee, 0x1f79e0404e3f1bf0,
  0x3f3cde6d228301dc, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c, 0xbe1296a5f95b6676,
  0x2a44ad417678661b, 0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x00000075d48f2745,
};

// m2560_u1x8_uart3_noled_pr_ce_u4
static const uint64_t ur_m2560_u1x8_uart3_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff861b3e52e609f1, 0x9bfb4b522dec09d2, 0x9dfee037f5051767, 0x9670f3ce1293e79b, 0x784f097e21b0913d,
  0xc2444e1e000a4fd4, 0x9e9ee5bebd64d9ed, 0xd490e2481eb2391c, 0x5a3d61cc580a98da, 0xffd99e3af47d7870,
  0xe0796b7071a25500, 0x1b7e0621d0fd89ab, 0x150603b9d0fce79e, 0x5e53633cf0fcde7c, 0xce8812b290dc5d4e,
  0xc5551695849c6378, 0x5f95b6672a718ede, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x48e093c95fb9a199,
  0x00000000001bae35,
};

// m2560_u1x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x8_uart3_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0xd9fd35304f8c9ddb, 0x5a916f605ff3fc30, 0xbfaa3296bb3cdfda, 0x70949f3cdcec2d01, 0xf10d8489ecb3879e,
  0x7437547ea3c2784b, 0xa7be6cf6e122270f, 0xbc723cafa894ed63, 0x15f751c8f83660d6, 0xc4522cd3ad08a053,
  0x71ea3a909afa30b2, 0x77846fa3c1673abb, 0x30e36355e363af3a, 0x2d973170908a167a, 0xa83aa3608991c37b,
  0x7e0621d0fd859c82, 0x0603b9d0fce79e1b, 0x53633cf0fcde7c15, 0x8812b290dc5d4e5e, 0x551695849c6378ce,
  0x95b6672a718edec5, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xe093c95fb9a19961, 0x0000000009f965be,
};

// m2560_u1x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart3_noled_ee_ce_hw[] = {
  0xdddddb951468a4d6, 0xbbbba58e17f2358d, 0xa647f17edc1d467b, 0xd79eef17bb98d93f, 0x39d9f7a55f1c560b,
  0xc59fd35304f8c9dd, 0xa5a916f605ff3fca, 0x1bfaa3296bb3cdfd, 0xce1293ef21cec2d0, 0x7e21b0913d9670f3,
  0xece5d1ffd4784f09, 0x3a7be6cf6e122270, 0x6bc723cafa894ed6, 0x315f751c8f83660d, 0x2c4522cd3ad08a05,
  0xb71ea3a909afa30b, 0xa77846fa3c1673ab, 0xa30e36355e363af3, 0xb2d973170908a167, 0x2a83aa3608991c37,
  0xb7e0621d0fd859c8, 0x50603b9d0fce79e1, 0xe53633cf0fcde7c1, 0xe8812b290dc5d4e5, 0x5551695849c6378c,
  0xf95b6672a718edec, 0x7678661bbe1296a5, 0x87bde50c2a44ad41, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x087549453c95fb9a, 0x0000000000000028,
};

// m2560_u1x8_uart3_lednop_pr_ce_u4
static const uint64_t ur_m2560_u1x8_uart3_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0xaff861b3ea7a609f, 0x79bfb4b522dec08b, 0xb9dfce037f505176, 0xd9670f3ce1293e79, 0x4784f097e21b0913,
  0x70911387c6eec1fd, 0xe927b96faf59367b, 0xfd24389207ac8e47, 0xa4690ce62c05c920, 0xffd99e3af47d7849,
  0x40f2d6e7b43ed500, 0x36fc0c43a1fb3dc1, 0x0773a1f9e0404f3c, 0xe813c3f379b48a0c, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd,
  0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x0000375d68dce093,
};

// m2560_u1x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x8_uart3_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x6cfdadcc13e32777, 0x5a916f6049b7fe18, 0xbfaa3296bb3cdfda, 0xe1293e79b9dd8f81, 0xe21b0913d9670f3c,
  0x000dbbfd4784f097, 0x9ef9b3db84889c38, 0xf1c8f2beea53b58e, 0xac3dc723e0d9835a, 0x2291669d68450298,
  0xa441d484d7d18596, 0xef08f88c9a39d5db, 0x6f6ac6abc6c75e74, 0x2d973170908a3a04, 0x344aa3608991c37b,
  0x6fc0c43a1fb0b30e, 0x773a1f9e0404f3c3, 0x813c3f379b48a0c0, 0x690e1aa6f529c94e, 0x0ca718de33a207c4,
  0x769c31dbd8aaa2d3, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00013f3cfc2e093c,
};

// m2560_u1x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart3_lednop_ee_ce_hw[] = {
  0xbbbbb72a28d0ac4f, 0x77774b1c2fd3ab1b, 0x47e9c33d89db93b7, 0x8b3dde2f7731b27e, 0x5a875f68bee0c71a,
  0x167ed6e609f193ba, 0x2d48b7b024dbff2b, 0xdfd5194b5d9e6fed, 0xe1293ef21ceec7c0, 0xe21b0913d9670f3c,
  0xa0e089fd4784f097, 0x4f7cd9edc2444e1d, 0x78e4795f7529dac7, 0x561ee391f06cc1ad, 0x1148b34eb422814c,
  0xd220ea426be8c2cb, 0x77847c464d1ceaed, 0x37b56355e363af3a, 0x96cb98b848451d02, 0x1a2551b044c8e1bd,
  0xb7e0621d0fd85987, 0x3b9d0fcf020279e1, 0x409e1f9bcda45060, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x3b4e18edec555169, 0x0ddf094b52fcadb3, 0x86152256a0bb3c33, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa29e4afdcd0ccb0e, 0x00000000280903ee,
};

// m2560_u1x8_uart3_dual_pr          m2560_u1x8_uart3_dual_pr_u4
static const uint64_t ur_m2560_u1x8_uart3_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x2fbeff32a5380253, 0x23943d829e38656e,
  0x0a4890490390f347, 0xe7ef822fca7cb8bd, 0xb03770f8510c4f87, 0xf25f2f973f21f29d, 0xbfe420b486f97177,
  0x328a8432d04c510c, 0x96de037fd01cf09a, 0xffe9f260b0de5790, 0x37f696a45bd8104f, 0x91f229df2c4d2ecf,
  0xb10d2438920621e3, 0xebf9cc580aa0f31e, 0x6608ebc01af0ef68, 0x967b7cf09f5403ff, 0xabe77715258a7207,
  0x1b7e0621d0fd93f8, 0x03b9d0fcf020279e, 0x7409e1f9bcda4506, 0x234870d537a94e4a, 0x986538c6f19d103e,
  0x99da722adec55516, 0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077, 0xf989ffde1ef79430,
  0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x00000a49a02b3824,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xe654a7004a774f89, 0xc2d6ce15bfc5e007,
  0x9207bb534723cede, 0x5f94f9717a149120, 0xf0a2189f0fcfdf04, 0x2e7e43e4a4806ee1, 0x690df2e2efe4be5f,
  0xcb412b22197fc841, 0xfe80e784cbee2a10, 0x0b0de579096dfabf, 0x45bd816fbffe9f26, 0xb47222ecf37f696a,
  0x60a4723cad7dcd56, 0xdf15fee8e47c1b30, 0xb2c4522cd3ad08a1, 0x3d7152e6909afa30, 0x872447bd9cead2e6,
  0x9eb1aad743af5137, 0xd2cc5c2422883e8f, 0x5aa3608fd6e1bd97, 0xbe7771525009af90, 0xb7e0621d0fd93f8a,
  0x3b9d0fcf020279e1, 0x409e1f9bcda45060, 0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x9da722adec555169,
  0x86ef84a5a97e56d9, 0x3459eff102719e19, 0x2256a75666fe0eee, 0xfb19d87138d28615, 0xe19e985727e03e68,
  0x1d252d9c389c6592, 0x8e093c95fb9a1996, 0x0000000000056440,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x7b5bfcca94e0094e, 0xfbb5b04db384edf1,
  0x2448248198fcd1c8, 0xf7c117e53e5c5e85, 0x1bb87c288627c3f3, 0x2f97cb9f90f92540, 0xf2105a437cb8bbf9,
  0x8a8432d0a948865f, 0xb93affa039e1347b, 0xd3e4c161bcaf212d, 0xed2d48b7b0295dff, 0xa9aad68f4a5d9e6f,
  0xc1b307f24723cacc, 0x68450ef8ae448e47, 0xd7d185962291669d, 0xab4b9eab84173484, 0xf6b15e1115193473,
  0x5fd1bdab1aad743a, 0x1bd971f18b848451, 0x3bb8a92ae07dfd6e, 0xf0310e87ec9fc55f, 0xce87e781013cf0db,
  0x579d02787e6f301d, 0x2f7ca42f5a9c914b, 0x674408ea2810b4e0, 0x6a5f95b6674e31bc, 0x205ec78661bbe129,
  0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1,
  0x9961d252d9c389c6, 0x1340e093c95fb9a1, 0x0000000000000159,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd6ffe654a7004a77, 0x4dbd84ed9c2d6f8b,
  0x2241240c66e68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0xf97cb9f90f9747c0, 0x2105a437cb8bbf92,
  0xa8432d0fdc8865ff, 0xce0ffd01cf099fc8, 0x9f260b0de579096d, 0x696a45bd81656ffe, 0x8606febd42ecf37f,
  0x1e79c2527cf373b2, 0xe12fc4361227b2ce, 0x270ed7687dfa8f09, 0xcb7d752e6cf6e122, 0x2481d4b8e471bf3d,
  0x9cc580a803df490e, 0x8ebc01af0ef68ebf, 0xddcf09f5403ff667, 0x9ddc549629c81e5a, 0xf8188743f64fe2af,
  0xe743f3c0809e786d, 0x2787e6f36914180e, 0x21c354dea53929d0, 0x94e31bc67440f88d, 0xd3863b7b15545a61,
  0x77c252d4bf2b6cce, 0x2cf7f88138cf0cc3, 0x2b53ab337f07771a, 0x8cec389c69430a91, 0xcf4c2b93f01f347d,
  0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x0000000001a48647,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x8e2fa6bf32a53802, 0x8e47b1fd87fc3806,
  0xf4292241240e87e6, 0x1f9fbe08bf29f2e2, 0xacc0ddc3e144313e, 0xdfc97cbe5cfc87cb, 0x32ff9082d21be5c5,
  0xdb7e2a10cb41fc44, 0x84b6e707fe80e784, 0xb7ff4f930586f2bc, 0x79bfb4b522dec0b2, 0x73ba9406feb2f976,
  0xb2ce1e79c2527cf3, 0x8f09e12fc4361227, 0xe122270e87d8ddfa, 0x873dcb7d61c66cf6, 0x490e24818718e47b,
  0x8ded1cc580b10f49, 0x9633c75e45de1afe, 0xf3bb8a928e838ee3, 0xbf0310e87ec9fc55, 0xdce87e781013cf0d,
  0xa04f0fcde5ba8301, 0x1a4386a9bd4a7253, 0x40db8c6085a5aff1, 0xf95b6674e31bc674, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xee093c95fb9a1996, 0x0000000000692245,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xfcca94e0094ee9f1, 0xb09863833e717eb3,
  0x1240c524d1c8e6b7, 0x8bf29f2e2f429224, 0x3e144313e1f9fbe0, 0x973f21f20a440ddc, 0xb486f97177f25f2f,
  0x65a12b910cbfe420, 0xff4073c262871508, 0x82c3795e425b7d35, 0x916f60416bffa7c9, 0xaa3fdcbb3cdfda5a,
  0x49f3cdcece080aef, 0x270ecf9d67f9e709, 0x5f88c43340aee122, 0x1a631c8f2b32a53b, 0x14c5663e391f06cc,
  0x2cb1148b34eb4228, 0x5dbb6f8ea426be8c, 0xb58af0bde8fa439d, 0x0d1d4bb1aaf1b1d7, 0xbd971f18b8484517,
  0xee2a4b8c5af8c8e1, 0x0c43a1fb27f157ce, 0xa1f9e0404f3c36fc, 0xc3f379b48a0c0773, 0xe1aa6f529c94e813,
  0x718de33a207c4690, 0xc31dbd8aaa2d30ca, 0xe1296a5f95b66769, 0xf7f8827dc78661bb, 0xfbab337f07771a2c,
  0x271964b867a615c9, 0xe6866587494b670e, 0x026098db824f257e,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0xdfe2ea91fcca94e3,
  0x8e47e8fec1490e1c, 0xf4292241240e92a6, 0x1f9fbe08bf29f2e2, 0xaf80ddc3e144313e, 0x7f25f2f973f21f23,
  0xcbfe420b486f9717, 0x4ea2a10cb43a7d10, 0x96def0ffe80e784c, 0xfe40ca60b0de5790, 0xdfda5a916f6055bf,
  0x4d01bfaa395cbb3c, 0x1e79c2527df00cef, 0xe12fc4361227b2ce, 0x9c3f9cba9dfa8f09, 0xb58ea6e9b3db8488,
  0xc1af91c8f2b7f253, 0x814c5752a391f06c, 0xc2cb1148b34eb422, 0xd5db8c78ea426be8, 0x5ea26f0e488f7b39,
  0x20fa3e7ac6abc6c7, 0x86f65f4b3170908a, 0x9b5f20b546c11323, 0xb27f157ceee2a4a5, 0x04f3c36fc0c43a1f,
  0x48a0c0773a1f9e04, 0x29c94e813c3f379b, 0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xf95b66769c31dbd8,
  0xec78661bbe1296a5, 0xe0d1fc68b3dfe205, 0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xfe19e4afdcd0ccb0, 0x00000000800da6b1,
};

static const uint64_t ur_m2560_u1x8_uart3_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xc00fcca94e3a0cee, 0x9dbd85ad9c2b7f8b,
  0x2241240f76a68e47, 0xbe08bf29f2e2f429, 0xddc3e144313e1f9f, 0x7cbe5cfc87c94900, 0x9082d21be5c5dfc9,
  0x54219682564432ff, 0xf57ffd01cf0997dc, 0x2d4c161bcaf212db, 0xa5a916f605beffe3, 0x355ad1c88bb3cdfd,
  0x6cc18291c8f2b5f7, 0x22877c57fba391f0, 0xe8c2cb1148b34eb4, 0x4b98f5c54b9a426b, 0x44de1c911ef673ab,
  0xfa3e7ac6ab5d0ebd, 0xf65f4b3170908a20, 0xbe416a8d823f5b86, 0xfe2af9ddc5494026, 0xe786df8188743f64,
  0x4180ee743f3c0809, 0x929d02787e6f3691, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155,
  0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0x8bb5453c95fb9a19, 0x000000000000aed4,
};

// m2560_u1x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x8_uart3_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0x0e1cdfe2ea91fcca,
  0x92a68e47e8fec149, 0xf2e2f4292241240e, 0x313e1f9fbe08bf29, 0x1f23af80ddc3e144, 0x97177f25f2f973f2,
  0x7d10cbfe420b486f, 0x784c4ea2a10cb43a, 0x579096def0ffe80e, 0x55bfff196a60b0de, 0xbb3cdfda5a916f60,
  0x1cef4d01bfaa395c, 0xd9670f3ce1293ef2, 0x4784f097e21b0913, 0xc2444e1ee86ea8fd, 0xf929dac75374d9ed,
  0xf83660d7c8e4795b, 0x5a1140a62ba951c8, 0x35f4616588a459a7, 0xbd9ceaedc63c7521, 0xe363af5137872447,
  0x4845107d1f3d6355, 0x8991c37b2fa598b8, 0x5252cdaf905aa360, 0x1d0fd93f8abe7771, 0xcf020279e1b7e062,
  0x9bcda450603b9d0f, 0x537a94e4a7409e1f, 0x6f19d103e234870d, 0xedec55516986538c, 0x4b52fcadb33b4e18,
  0x56a0bb3c330ddf09, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x003aea4793a29e4a,
};

// m2560_u1x12_uart2_noled_pr_ce_u4
static const uint64_t ur_m2560_u1x12_uart2_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0xd4feedd3d7c3387f, 0xdfd41486d1ba4ff6, 0x384a4f9e6e77fb80, 0xf886c244f659c3cf,
  0x7800293f51e13c25, 0xfaf59367b7091138, 0x207ac8e4727a7b96, 0x31602a636b524389, 0xebd1f5e1c168f587,
  0xc1c6895403ff6678, 0x203ef626af81e5ad, 0x3b83ef39c7e37e06, 0x8ce3f3cde7c15060, 0x4aca43717539794d,
  0x5a5612718de33a20, 0xd99ca9c63b7b1554, 0x1986ef84a5a97e56, 0x771a2cf7f8817b1e, 0x0a912b53ab337f07,
  0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749,
  0x0000006ebde49b82,
};

// m2560_u1x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x12_uart2_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xddba7af861a3fc30, 0x2970da3749feda9f, 0xf3cdcec2d01bfaa3, 0x489ecb3879e70949,
  0x47ea3c2784bf10d8, 0xcf6e122270f74375, 0xcafa894ed63a7be6, 0x1c8f83660d6bc723, 0xcd3ad08a05315f75,
  0xa909afa30b2c4522, 0xfa3c1673abb71ea3, 0x355e363af3a77846, 0x170908a167a30e36, 0x3608991c37b2d973,
  0x80fbd859c82a83aa, 0xee0fbce71f8df818, 0x338fcf379f054180, 0x2b290dc5d4e5e536, 0x695849c6378ce881,
  0x6672a718edec5551, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c,
  0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000004fc4b68e09,
};

// m2560_u1x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart2_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xeedd3d7c30d1fe56, 0x94b86d1ba4ff6d4f, 0xf790e761680dfd51, 0x489ecb3879e70949,
  0xffea3c2784bf10d8, 0x67b70911387672e8, 0xe57d44a76b1d3df3, 0x8e47c1b306b5e391, 0x669d68450298afba,
  0xd484d7d185962291, 0x7d1e0b39d5db8f51, 0x1aaf1b1d79d3bc23, 0x8b848450b3d1871b, 0x1b044c8e1bd96cb9,
  0x407dec2ce41541d5, 0x7707de738fc6fc0c, 0x19c7e79bcf82a0c0, 0x959486e2ea72f29b, 0xb4ac24e31bc67440,
  0xb339538c76f62aa8, 0x330ddf094b52fcad, 0xf286152256a0bb3c, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xbea29e4afdcd0ccb, 0x0000000000140438,
};

// m2560_u1x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m2560_u1x12_uart2_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0xd4feedd3d7c3287f, 0xdfd41486d1ba4ff6, 0x384a4f9e6e77f380, 0xf886c244f659c3cf,
  0xf1bbb07f51e13c25, 0xebd64d9edc2444e1, 0x81eb2391fa49ee5b, 0x8b0172483f490e24, 0xbd1f5e12691a4339,
  0xed0fb5403ff6678e, 0x07decf70503cb5b9, 0xe7810138fc6fc0c4, 0xf379b48a0c07707d, 0x6a9bd4a7253a00fc,
  0x6378ce881f11a438, 0xc76f62aa8b4c329c, 0x4a5a97e56d99da70, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0xeb86a73824f257ee, 0x0000000000000006,
};

// m2560_u1x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x12_uart2_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0xdba7af873b7fe186, 0x970da3749feda9fd, 0x79b9dd8f81bfaa32, 0x13d9670f3ce1293e,
  0xfd4784f097e21b09, 0xdb84889c38000dbb, 0xbeea53b58e9ef9b3, 0x23e0d9835af1c8f2, 0x9d68450298ac3dc7,
  0x84d7d18596229166, 0x8c9a39d5dba441d4, 0xabc6c75e74ef08f8, 0x70908a3a046f6ac6, 0x608991c37b2d9731,
  0x01f7b0b30e344aa3, 0x79e0404e3f1bf031, 0x3cde6d228301dc1f, 0x1aa6f529c94e803f, 0x18de33a207c4690e,
  0x31dbd8aaa2d30ca7, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x9f86112e093c95fb,
};

// m2560_u1x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart2_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xeedd3d7c39dbff2b, 0x94b86d1ba4ff6d4f, 0xef21ceec7c0dfd51, 0x913d9670f3ce1293,
  0x9fd4784f097e21b0, 0x9edc2444e1da0e08, 0x95f7529dac74f7cd, 0x391f06cc1ad78e47, 0x34eb422814c561ee,
  0xa426be8c2cb1148b, 0xc464d1ceaedd220e, 0x355e363af3a77847, 0x8b848451d0237b56, 0x1b044c8e1bd96cb9,
  0x880fbd859871a255, 0xfbcf020271f8df81, 0xf9e6f36914180ee0, 0x70d537a94e4a7401, 0x38c6f19d103e2348,
  0xe18edec555169865, 0xf094b52fcadb33b4, 0x52256a0bb3c330dd, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000280a8c7fa29,
};

// m2560_u1x12_uart2_dual_pr         m2560_u1x12_uart2_dual_pr_u4
static const uint64_t ur_m2560_u1x12_uart2_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xa6ff32a5380253ba, 0xa9ed8656386fbe2f,
  0x489049032eb34723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2b5b0, 0xe420b486f97177f2,
  0x8a8432d0f9110cbf, 0xdea57fd01cf0987c, 0xe9f260b0de579096, 0x53fbb74f5f0fbaff, 0xf9626a1b46e93fdb,
  0xc490310f1c8f914e, 0xc0550798f5886921, 0x00d7877b475fce62, 0x84faa01ffb30475e, 0xa92c53903cb3dbe7,
  0x407dec9fc55f3bb8, 0xde7810138fc6fc0c, 0xcf379b48a0c07707, 0x86a9bd4a7253a00f, 0xc6378ce881f11a43,
  0x9156f62aa8b4c329, 0xc252d4bf2b6cced3, 0x7bfc40bd8f0cc377, 0xa9d599bf83bb8d16, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x2926838dc12792bf,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xf32a5380253ba7c4, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0x74f5f0f4dfff4f93, 0x21b46e93fdb53fbb,
  0x91e56bee6ab5a391, 0xf74723e0d9830523, 0x91669d68450ef8af, 0x973484d7d1859622, 0x3dece7569731eb8a,
  0x56ba1d7a89bc3922, 0xe1211441f47cf58d, 0x047eb70decbe9662, 0x8a92804d7c82d51b, 0xc407dec9fc55f3bb,
  0x7de7810138fc6fc0, 0xfcf379b48a0c0770, 0x386a9bd4a7253a00, 0x9c6378ce881f11a4, 0x39156f62aa8b4c32,
  0x7c252d4bf2b6cced, 0x9eff104fb8f0cc37, 0x3f75666fe0eee345, 0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1,
  0x0642856a7049e4af,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x9529c6024ee9f12e, 0x56f9c200717149f9,
  0x40d36e68e47b5bd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f9737c0ddc3e, 0x437cb8bbf92f97cb,
  0xd074a8865ff2105a, 0xa039e131458a8432, 0xc3795e425b7a1fff, 0xf5f0f4dff9032982, 0xb46e93fdb53fbb74,
  0xe56bee6ab5a39121, 0x4723e0d983052391, 0x669d68450ef8aff7, 0x3484d7d185962291, 0xece7569731eb8a97,
  0xba1d7a89bc39223d, 0x211441f47cf58d56, 0x7eb70decbe9662e1, 0x92804d7c82d51b04, 0x07dec9fc55f3bb8a,
  0xe7810138fc6fc0c4, 0xf379b48a0c07707d, 0x6a9bd4a7253a00fc, 0x6378ce881f11a438, 0x156f62aa8b4c329c,
  0x252d4bf2b6cced39, 0xbfc40bd8f0cc377c, 0xeaccdfc1a3f8d167, 0x787bde50c2a44ad4, 0x6761c7f197e627ff,
  0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x8b4d63fc33c95fb9, 0x00000000000000ac,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x0fcca94e0094ee9f, 0xbd85ad9c2b7f8bc0,
  0x41240f76a68e479d, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c94900dd, 0x82d21be5c5dfc97c,
  0x219682564432ff90, 0x7ffd01cf0997dc54, 0x4c161bcaf212dbf5, 0xedd3d7c3df7ffd3e, 0xa886d1ba4ff6d4fe,
  0x4f9e6e7650c0dfd7, 0xc244f659c3cf384a, 0x0fbf51e13c25f886, 0xcd9edc2444e1daed, 0x1c8e37e7b96faea5,
  0x007be921c4903a97, 0xe1ded1d7f398b015, 0xa807feccf1d78035, 0xc53903cb5bb9e13e, 0xdec9fc55f3bb8a92,
  0x810138fc6fc0c407, 0x79b48a0c07707de7, 0x9bd4a7253a00fcf3, 0x78ce881f11a4386a, 0x6f62aa8b4c329c63,
  0x5a97e56d99da70c7, 0x102719e1986ef84a, 0x666fe0eee3459eff, 0x138d286152256a75, 0x727e03e68fb19d87,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0000d24408e093c9,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xb8bbfcfcca94e009, 0x1c8fff3601a0e1a6,
  0xe8524482481f4fcd, 0x3f3f7c117e53e5c5, 0x5401bb87c288627c, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x07b8a8432d05f688, 0x12db93affa039e13, 0xdffd3e4c161bcaf2, 0xf6d4feedd3d7c395, 0x81bfacbe86d1ba4f,
  0x9e70949f3cdced7d, 0x4bf10d8489ecb387, 0x70f000527ea3c278, 0xb7d61c66cf6e1222, 0x240c38c723f493dc,
  0xe62c054c7a0a4871, 0x3af22ef08874690c, 0x15251d6b371cb19e, 0x880fbd93f8abe777, 0xfbcf020271f8df81,
  0x07e79bc1c9580ee0, 0x29f54ee2ca72f9d0, 0xe0c6085a6c57b748, 0xb6674e31bc67440a, 0x8661bbe1296a5f95,
  0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x93c95fb9a19961d2, 0x00000003491340e0,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x3fcca94e0094ee9f, 0xdb067c38759f1764,
  0x82481febcd1c8f30, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf2e7e43e5c8381bb, 0x1690df2e2efe4be5,
  0x0cb42dd22197fc84, 0x3fe80e784ca7a2a1, 0x30586f2bc84b6f00, 0xb74f5f0c347ff4f9, 0xba1b46e93fdb53fb,
  0x9b9ddba015df547f, 0xf0f96bf3ce1293e7, 0x8866815dc2444e1e, 0x391e56654a76bf11, 0x7224723e0d9834c6,
  0x148b34eb422814c5, 0x278ea426be8c2cb1, 0xe183e8fa439d5db8, 0x976355e363af6b15, 0x3e3170908a305a3a,
  0x4b8c438991c37b2e, 0x1f7b27f157ceee2a, 0x9e0404e3f1bf0310, 0x3cde5ba8301dc1f7, 0x1aa6f529c94e803f,
  0x31821696bfc4690e, 0x99d38c6f19d1036e, 0x986ef84a5a97e56d, 0xc68b3dfe209f71e1, 0x85727eeaccdfc1dd,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00000982371ee093,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0xf17eeb7e654a7180,
  0x23a926c39be70548, 0x1491209206ce5347, 0xcfdf045f94f9717a, 0x006ee1f0a2189f0f, 0xc97cbe5cfc87c855,
  0xff9082d21be5c5df, 0xa8a8432d0b1f4432, 0xb7e5affa039e1325, 0x9032982c3795e425, 0x53fbb74f5f0e007f,
  0x5472ba1b46e93fdb, 0xa4fbe019de9a037f, 0x6c244f659c3cf384, 0x753bf51e13c25f88, 0xd367b70911387f39,
  0x91e56fe4a76b1d4d, 0xa54723e0d9835f23, 0x91669d68450298ae, 0xf1d484d7d1859622, 0x1c911ef673abb718,
  0xf58d578d8ebd44de, 0x9662e1211441f47c, 0x6a8d8226470decbe, 0xf9ddc5494b36be41, 0x37e06203ef64fe2a,
  0x03b83ef3c0809c7e, 0x9d007e79bcda4506, 0x88d21c354dea5392, 0xa6194e31bc67440f, 0xcced3863b7b15545,
  0xcc377c252d4bf2b6, 0xf8d167bfc40bd8f0, 0xa44ad4eaccdfc1a3, 0xe627ff787bde50c2, 0x19a3ec6761c7f197,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0001001538b3fc33,
};

static const uint64_t ur_m2560_u1x12_uart2_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0x99529c7419dd3e25, 0x856f9c200717149f,
  0x240d36e68e47b5bd, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0xb9f90f9737c0ddc3, 0xa437cb8bbf92f97c,
  0x2d074a8865ff2105, 0xfa039e131458a843, 0x2c3795e425b7a1ff, 0x4f5f0f4dffc65a98, 0x1b46e93fdb53fbb7,
  0x1e56bee6ab5a3912, 0x74723e0d98305239, 0x1669d68450ef8aff, 0x73484d7d18596229, 0xdece7569731eb8a9,
  0x6ba1d7a89bc39223, 0x1211441f47cf58d5, 0x47eb70decbe9662e, 0xa92804d7c82d51b0, 0x407dec9fc55f3bb8,
  0xde7810138fc6fc0c, 0xcf379b48a0c07707, 0x86a9bd4a7253a00f, 0xc6378ce881f11a43, 0x9156f62aa8b4c329,
  0xc252d4bf2b6cced3, 0x4895a82ecf0cc377, 0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00000aed3d96a8a7,
};

// m2560_u1x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart2_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x71d06774f8971030, 0x0548f17eeb7e654a,
  0x534723a926c39be7, 0x717a1491209206ce, 0x9f0fcfdf045f94f9, 0xc855006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x1325a8a8432d0b1f, 0xe425b7e5affa039e, 0x007fc65a982c3795, 0x3fdb53fbb74f5f0e,
  0x037f5472ba1b46e9, 0x79c2527de439de9a, 0x2fc4361227b2ce1e, 0x3dd0dd51fa8f09e1, 0x8ea6e9b3db84889c,
  0xaf91c8f2b7f253b5, 0x4c5752a391f06cc1, 0xcb1148b34eb42281, 0xdb8c78ea426be8c2, 0xa26f0e488f7b39d5,
  0xfa3e7ac6abc6c75e, 0xf65f4b3170908a20, 0x5f20b546c1132386, 0x7f157ceee2a4a59b, 0x4e3f1bf03101f7b2,
  0x228301dc1f79e040, 0x29c94e803f3cde6d, 0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xf95b66769c31dbd8,
  0x7678661bbe1296a5, 0x87bde50c2a44ad41, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d,
  0x19961d252d9c389c, 0xd468dd453c95fb9a, 0x0000000000000075,
};

// m2560_u1x12_uart3_noled_pr_ce_u4
static const uint64_t ur_m2560_u1x12_uart3_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xe186cfb059827c64, 0x9fddb1c82720387f, 0xfa8290da3749feda, 0x0949f3cdceff701b, 0x10d8489ecb3879e7,
  0x000527ea3c2784bf, 0x5eb26cf6e122270f, 0x0f591c8e4f4f72df, 0x2c054c6d6a487124, 0x7a3ebc382d1eb0e6,
  0x38d12a807feccf1d, 0xe87ec4d5f03cb5b8, 0xe87e73cf0dbf0310, 0x787e6f3e0a8301dc, 0x486e2ea72f29b19e,
  0xc24e31bc67440959, 0x9538c76f62aa8b4a, 0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3,
  0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x000dd7bc937049e4,
};

// m2560_u1x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x12_uart3_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0xd9f7f9304f8c9dd2, 0xb63904e401a3fc30, 0x2e1b46e93fdb53fb, 0x79b9d85a037f5465, 0x13d9670f3ce1293e,
  0xfd4784f097e21b09, 0xedc2444e1ee86ea8, 0x5f5129dac74f7cd9, 0x91f06cc1ad78e479, 0xa75a1140a62beea3,
  0x2135f4616588a459, 0x4782ce7576e3d475, 0xabc6c75e74ef08df, 0xe121142cf461c6c6, 0xc1132386f65b2e62,
  0xa1fb0b3905507546, 0xa1f9cf3c36fc0c43, 0xe1f9bcf82a0c0773, 0x21b8ba9cbca6c679, 0x0938c6f19d102565,
  0x54e31dbd8aaa2d2b, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0009f896d1c12792,
};

// m2560_u1x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart3_noled_ee_ce_hw[] = {
  0xbbb12775146807e1, 0x7774b0876b06b1bb, 0xd719fbd477b13b77, 0x0d0435f7417e154c, 0x43dfbd1d78372ec2,
  0x2cfbfc9827c64ee8, 0xdb1c827200d1fe56, 0x970da3749feda9fd, 0xf21cec2d01bfaa32, 0x13d9670f3ce1293e,
  0xfd4784f097e21b09, 0xf6e122270ece5d1f, 0xafa894ed63a7be6c, 0xc8f83660d6bc723c, 0xd3ad08a05315f751,
  0x909afa30b2c4522c, 0xa3c1673abb71ea3a, 0x55e363af3a77846f, 0x70908a167a30e363, 0x608991c37b2d9731,
  0xd0fd859c82a83aa3, 0xd0fce79e1b7e0621, 0xf0fcde7c150603b9, 0x90dc5d4e5e53633c, 0x849c6378ce8812b2,
  0x2a718edec5551695, 0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000002808717d4,
};

// m2560_u1x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m2560_u1x12_uart3_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xe186cfe569827c64, 0x9fddb1c82720287f, 0xfa8290da3749feda, 0x0949f3cdcefe701b, 0x10d8489ecb3879e7,
  0x37760fea3c2784bf, 0x7ac9b3db84889c3e, 0x3d64723f493dcb7d, 0x602e4907e921c490, 0xa3ebc24d23486731,
  0xa1f6a807feccf1d7, 0x0fd9ee0a0796b73d, 0x020279e1b7e0621d, 0xcda450603b9d0fcf, 0x7a94e4a7409e1f9b,
  0x19d103e234870d53, 0xec55516986538c6f, 0x52fcadb33b4e18ed, 0x02f63c330ddf094b, 0x66fe0eee3459eff1,
  0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0xd4e7049e4afdcd0c, 0x000000000000dd70,
};

// m2560_u1x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u1x12_uart3_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0x63904e413b7fe186, 0xe1b46e93fdb53fbb, 0x373bb1f037f54652, 0x7b2ce1e79c2527cf,
  0xa8f09e12fc436122, 0x709113870001b77f, 0xdd4a76b1d3df367b, 0x7c1b306b5e391e57, 0xad08a0531587b8e4,
  0x9afa30b2c4522cd3, 0x93473abb74883a90, 0x78d8ebce9de11f11, 0x121147408ded58d5, 0x1132386f65b2e62e,
  0x43f61661c689546c, 0xc0809e786df81887, 0xf36914180ee743f3, 0xdea53929d02787e6, 0xc67440f88d21c354,
  0x7b15545a6194e31b, 0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0x99bf83bb8d167bfc, 0xf7bca1854895a9d5,
  0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xc225c12792bf7343,
  0x00000000000013f0,
};

// m2560_u1x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart3_lednop_ee_ce_hw[] = {
  0xbbb1277514683d5b, 0x7774b08771c6b1bb, 0x6998d3d323b62777, 0x5d0435f7417e14b0, 0xcf9d6f6b48ee0db4,
  0x167eb7e609f193ba, 0xdb1c827209dbff2b, 0x970da3749feda9fd, 0xe439dd8f81bfaa32, 0x27b2ce1e79c2527d,
  0xfa8f09e12fc43612, 0xdb84889c3b41c113, 0xbeea53b58e9ef9b3, 0x23e0d9835af1c8f2, 0x9d68450298ac3dc7,
  0x84d7d18596229166, 0x8c9a39d5dba441d4, 0xabc6c75e74ef08f8, 0x70908a3a046f6ac6, 0x608991c37b2d9731,
  0x3a1fb0b30e344aa3, 0x9e0404f3c36fc0c4, 0x379b48a0c0773a1f, 0xa6f529c94e813c3f, 0xde33a207c4690e1a,
  0xdbd8aaa2d30ca718, 0x96a5f95b66769c31, 0xad417678661bbe12, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62,
  0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x00501518ff453c95,
};

// m2560_u1x12_uart3_dual_pr         m2560_u1x12_uart3_dual_pr_u4
static const uint64_t ur_m2560_u1x12_uart3_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xa6ff32a5380253ba, 0xa9ed8656386fbe2f,
  0x489049032eb34723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2b5b0, 0xe420b486f97177f2,
  0x8a8432d0f9110cbf, 0xdea57fd01cf0987c, 0xe9f260b0de579096, 0x7f76c7209c83baff, 0x2c4d4368dd27fb6a,
  0x920621e391f229df, 0x0aa0f31eb10d2438, 0x1af0ef68ebf9cc58, 0x9f5403ff6608ebc0, 0x258a7207967b7cf0,
  0xd0fd93f8abe77715, 0xf020279e1b7e0621, 0xbcda450603b9d0fc, 0x37a94e4a7409e1f9, 0xf19d103e234870d5,
  0xdec55516986538c6, 0x5a97e56d99da722a, 0x8817b1e1986ef84a, 0xb337f07771a2cf7f, 0x1ef79430a912b53a,
  0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0xd071b824f257ee68,
  0x0000000000000524,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xf32a5380253ba7c4, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0x7209c834dfff4f93, 0x368dd27fb6a7f76c,
  0x3cad7dcd56b47224, 0xe8e47c1b3060a472, 0x2cd3ad08a1df15fe, 0xe6909afa30b2c452, 0xbd9cead2e63d7152,
  0xd743af5137872447, 0x2422883e8f9eb1aa, 0x8fd6e1bd97d2cc5c, 0x525009af905aa360, 0x1d0fd93f8abe7771,
  0xcf020279e1b7e062, 0x9bcda450603b9d0f, 0x537a94e4a7409e1f, 0x6f19d103e234870d, 0xadec55516986538c,
  0xa5a97e56d99da722, 0xe209f71e1986ef84, 0xaccdfc1ddc68b3df, 0x6592e19e985727ee, 0x19961d252d9c389c,
  0x50ad4e093c95fb9a, 0x00000000000000c8,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x9529c6024ee9f12e, 0x56f9c200717149f9,
  0x40d36e68e47b5bd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f9737c0ddc3e, 0x437cb8bbf92f97cb,
  0xd074a8865ff2105a, 0xa039e131458a8432, 0xc3795e425b7a1fff, 0x09c834dff9032982, 0x8dd27fb6a7f76c72,
  0xad7dcd56b4722436, 0xe47c1b3060a4723c, 0xd3ad08a1df15fee8, 0x909afa30b2c4522c, 0x9cead2e63d7152e6,
  0x43af5137872447bd, 0x22883e8f9eb1aad7, 0xd6e1bd97d2cc5c24, 0x5009af905aa3608f, 0x0fd93f8abe777152,
  0x020279e1b7e0621d, 0xcda450603b9d0fcf, 0x7a94e4a7409e1f9b, 0x19d103e234870d53, 0xec55516986538c6f,
  0xa97e56d99da722ad, 0x817b1e1986ef84a5, 0x9bf8347f1a2cf7f8, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xac7f86792bf73433, 0x0000000000159169,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x0fcca94e0094ee9f, 0xbd85ad9c2b7f8bc0,
  0x41240f76a68e479d, 0x08bf29f2e2f42922, 0xc3e144313e1f9fbe, 0xbe5cfc87c94900dd, 0x82d21be5c5dfc97c,
  0x219682564432ff90, 0x7ffd01cf0997dc54, 0x4c161bcaf212dbf5, 0xb1c82720df7ffd3e, 0x10da3749feda9fdd,
  0xf3cdceca181bfaf5, 0x489ecb3879e70949, 0xf7ea3c2784bf10d8, 0xb3db84889c3b5da1, 0x91c6fcf72df5d4b9,
  0x0f7d2438920752e3, 0x3bda3afe731602a0, 0x00ffd99e3af006bc, 0xa720796b773c27d5, 0xd93f8abe77715258,
  0x0279e1b7e0621d0f, 0xa450603b9d0fcf02, 0x94e4a7409e1f9bcd, 0xd103e234870d537a, 0x55516986538c6f19,
  0xfcadb33b4e18edec, 0xe33c330ddf094b52, 0xfc1ddc68b3dfe204, 0xa50c2a44ad4eaccd, 0xc07cd1f633b0e271,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0x1a48811c12792bf7,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xb8bbfcfcca94e009, 0x1c8fff3601a0e1a6,
  0xe8524482481f4fcd, 0x3f3f7c117e53e5c5, 0x5401bb87c288627c, 0xbf92f97cb9f90f92, 0x65ff2105a437cb8b,
  0x07b8a8432d05f688, 0x12db93affa039e13, 0xdffd3e4c161bcaf2, 0xda9fddb1c8272095, 0x37f597d0da3749fe,
  0xce1293e79b9dafb0, 0x7e21b0913d9670f3, 0x1e000a4fd4784f09, 0xfac38cd9edc2444e, 0x818718e47e927b96,
  0xc580a98f41490e24, 0x5e45de110e8d219c, 0xa4a3ad66e39633c7, 0x3a1fb27f157ceee2, 0x9e0404f3c36fc0c4,
  0xfcde0e4ac0773a1f, 0xa9dc594e5f3a04f0, 0xc10b4d8af6e9053e, 0xe9c6378ce8815c18, 0x377c252d4bf2b6cc,
  0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00006922681c1279,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x3fcca94e0094ee9f, 0xdb067c38759f1764,
  0x82481febcd1c8f30, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf2e7e43e5c8381bb, 0x1690df2e2efe4be5,
  0x0cb42dd22197fc84, 0x3fe80e784ca7a2a1, 0x30586f2bc84b6f00, 0xc7209c80347ff4f9, 0x4368dd27fb6a7f76,
  0x73bb7402bbea8ff7, 0x1f2d7e79c2527cf3, 0x0cd02bb84889c3de, 0x23cacca94ed7e231, 0x448e47c1b30698c7,
  0x91669d68450298ae, 0xf1d484d7d1859622, 0x307d1f4873abb704, 0xec6abc6c75ed62bc, 0xc62e1211460b4752,
  0x71887132386f65c7, 0x3f64fe2af9ddc549, 0x0809e786df818874, 0xf2dd4180ee743f3c, 0xdea53929d02787e6,
  0x42d2d7f88d21c354, 0x718de33a206dc630, 0xdf094b52fcadb33a, 0x67bfc413ee3c330d, 0x4fdd599bf83bb8d1,
  0x7138cb25c33d30ae, 0xf734332c3a4a5b38, 0x013046e3dc12792b,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0xf17eeb7e654a7180,
  0x23a926c39be70548, 0x1491209206ce5347, 0xcfdf045f94f9717a, 0x006ee1f0a2189f0f, 0xc97cbe5cfc87c855,
  0xff9082d21be5c5df, 0xa8a8432d0b1f4432, 0xb7e5affa039e1325, 0x9032982c3795e425, 0x7f76c7209c82007f,
  0x8e574368dd27fb6a, 0x9f7c033bd3406fea, 0x8489ecb3879e7094, 0xa77ea3c2784bf10d, 0x6cf6e122270fe72e,
  0x3cadfc94ed63a9ba, 0xa8e47c1b306be472, 0x2cd3ad08a05315d4, 0x3a909afa30b2c452, 0x9223dece7576e31e,
  0xb1aaf1b1d7a89bc3, 0xcc5c2422883e8f9e, 0x51b044c8e1bd97d2, 0x3bb8a92966d7c82d, 0xf0310e87ec9fc55f,
  0xce87e781013cf0db, 0x4f0fcde6d228301d, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xa70c76f62aa8b4c3,
  0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x5a9d599bf8347f1a, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x2002a7167f86792b,
};

static const uint64_t ur_m2560_u1x12_uart3_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0x99529c7419dd3e25, 0x856f9c200717149f,
  0x240d36e68e47b5bd, 0xbf29f2e2f4292241, 0xe144313e1f9fbe08, 0xb9f90f9737c0ddc3, 0xa437cb8bbf92f97c,
  0x2d074a8865ff2105, 0xfa039e131458a843, 0x2c3795e425b7a1ff, 0x209c834dffc65a98, 0x68dd27fb6a7f76c7,
  0xcad7dcd56b472243, 0x8e47c1b3060a4723, 0xcd3ad08a1df15fee, 0x6909afa30b2c4522, 0xd9cead2e63d7152e,
  0x743af5137872447b, 0x422883e8f9eb1aad, 0xfd6e1bd97d2cc5c2, 0x25009af905aa3608, 0xd0fd93f8abe77715,
  0xf020279e1b7e0621, 0xbcda450603b9d0fc, 0x37a94e4a7409e1f9, 0xf19d103e234870d5, 0xdec55516986538c6,
  0x5a97e56d99da722a, 0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x015da7b2d514f257,
};

// m2560_u1x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u1x12_uart3_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x71d06774f8971030, 0x0548f17eeb7e654a,
  0x534723a926c39be7, 0x717a1491209206ce, 0x9f0fcfdf045f94f9, 0xc855006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x1325a8a8432d0b1f, 0xe425b7e5affa039e, 0x007fc65a982c3795, 0xfb6a7f76c7209c82,
  0x6fea8e574368dd27, 0x384a4fbc873bd340, 0xf886c244f659c3cf, 0xba1baa3f51e13c25, 0xd4dd367b70911387,
  0xf2391e56fe4a76b1, 0x8aea54723e0d9835, 0x62291669d6845029, 0x718f1d484d7d1859, 0x4de1c911ef673abb,
  0x47cf58d578d8ebd4, 0xcbe9662e1211441f, 0xe416a8d8226470de, 0xe2af9ddc5494b36b, 0x786df8188743f64f,
  0x180ee743f3c0809e, 0x29d02787e6f36914, 0xf88d21c354dea539, 0x5a6194e31bc67440, 0x6cced3863b7b1554,
  0x0cc377c252d4bf2b, 0xbca1854895a82ecf, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x1ba8a792bf734332, 0x00000000000eba8d,
};

// m2560_u2x8_uart2_noled_pr_ce_u4
static const uint64_t ur_m2560_u2x8_uart2_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x1ca4df6e9ebe19c3, 0xc06fea0a4368ded5, 0xe79c2527cf373bfd, 0x12fc4361227b2ce1,
  0x9c3c00149fa8f09e, 0xcb7d7ac9b3db8488, 0xc4903d6472393d3d, 0xc398b01531b5a921, 0x3c75e8faf0e0b47a,
  0xd6e0e344aa01ffb3, 0x03101f7b1357c0f2, 0x301dc1f79ce3f1bf, 0xa6c671f9e6f3e0a8, 0x10256521b8ba9cbc,
  0xaa2d2b0938c6f19d, 0x2b6cce54e31dbd8a, 0x8f0cc377c252d4bf, 0x83bb8d167bfc40bd, 0xa1854895a9d599bf,
  0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc12792bf734332c3,
  0x00000000375ef24d,
};

// m2560_u2x8_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x8_uart2_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x9bedd3d7c30d1fe1, 0x5194b86d1bdaa394, 0xa4f9e6e761680dfd, 0x6c244f659c3cf384,
  0xbaa3f51e13c25f88, 0xf367b70911387ba1, 0x91e57d44a76b1d3d, 0xba8e47c1b306b5e3, 0x91669d68450298af,
  0x51d484d7d1859622, 0x237d1e0b39d5db8f, 0x1b1aaf1b1d79d3bc, 0xb98b848450b3d187, 0xd51b044c8e1bd96c,
  0x0c407dec2ce41541, 0xc07707de738fc6fc, 0x9b19c7e79bcf82a0, 0x40959486e2ea72f2, 0xa8b4ac24e31bc674,
  0xadb339538c76f62a, 0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2,
  0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x049e4afdcd0ccb0e, 0x0000000027e25b47,
};

// m2560_u2x8_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart2_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0x4df6e9ebe1868ff2, 0xa8ca5c368ded51ca, 0xa4fbc873b0b406fe, 0x6c244f659c3cf384,
  0x747ff51e13c25f88, 0xf9b3db84889c3b39, 0xc8f2bea253b58e9e, 0xdd4723e0d9835af1, 0x48b34eb422814c57,
  0xa8ea426be8c2cb11, 0x11be8f059ceaedc7, 0x8d8d578d8ebce9de, 0x5cc5c2422859e8c3, 0xea8d8226470decb6,
  0x06203ef616720aa0, 0x603b83ef39c7e37e, 0x4d8ce3f3cde7c150, 0x204aca4371753979, 0x545a5612718de33a,
  0x56d99ca9c63b7b15, 0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d,
  0x64b867a617c68f45, 0x6587494b670e2719, 0x1c5f514f257ee686, 0x0000000000000a02,
};

// m2560_u2x8_uart2_lednop_pr_ce_u4
static const uint64_t ur_m2560_u2x8_uart2_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x1ca4df6e9ebe1943, 0xc06fea0a4368ded5, 0xe79c2527cf373bf9, 0x12fc4361227b2ce1,
  0x70f8ddd83fa8f09e, 0x2df5eb26cf6e1222, 0x1240f591c8fd24f7, 0x9cc580b9241fa487, 0xc75e8faf09348d21,
  0xdcf687daa01ffb33, 0x6203ef67b8281e5a, 0x3ef3c0809c7e37e0, 0x7e79bcda450603b8, 0x1c354dea53929d00,
  0x4e31bc67440f88d2, 0x3863b7b15545a619, 0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x0375c3539c12792b,
};

// m2560_u2x8_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x8_uart2_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0xbedd3d7c39dbff0c, 0x194b86d1bdaa3949, 0x9f3cdceec7c0dfd5, 0x8489ecb3879e7094,
  0xddfea3c2784bf10d, 0xd9edc2444e1c0006, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c561e,
  0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5, 0x51b044c8e1bd96cb,
  0x1880fbd859871a25, 0x0fbcf020271f8df8, 0x1f9e6f36914180ee, 0x870d537a94e4a740, 0x538c6f19d103e234,
  0x4e18edec55516986, 0xdf094b52fcadb33b, 0x59eff102f63c330d, 0x56a75666fe0eee34, 0x3ffbc3def2861522,
  0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x004fc30897049e4a,
};

// m2560_u2x8_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart2_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0x4df6e9ebe1cedff9, 0xa8ca5c368ded51ca, 0x49f790e7763e06fe, 0xd8489ecb3879e709,
  0x044fea3c2784bf10, 0xe6cf6e122270ed07, 0x23cafba94ed63a7b, 0xf71c8f83660d6bc7, 0x459a75a1140a62b0,
  0x0752135f4616588a, 0x23e23268e7576e91, 0xab1aaf1b1d79d3bc, 0x5cc5c24228e811bd, 0x2a8d8226470decb6,
  0xc0c407dec2cc38d1, 0x707de7810138fc6f, 0x00fcf379b48a0c07, 0xa4386a9bd4a7253a, 0x329c6378ce881f11,
  0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x00000001405463fd,
};

// m2560_u2x8_uart2_dual_pr          m2560_u2x8_uart2_dual_pr_u4
static const uint64_t ur_m2560_u2x8_uart2_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x5f4dfe654a7004a7, 0x4753db0cac70df7c,
  0x14912092065d668e, 0xcfdf045f94f9717a, 0x606ee1f0a2189f0f, 0xe4be5f2e7e43e56b, 0x7fc841690df2e2ef,
  0xf9150865a1f22219, 0x2dbd4affa039e130, 0xffd3e4c161bcaf21, 0x1ca4df6e9ebe1f75, 0x29df2c4d4368ded5,
  0x2438920621e391f2, 0xcc580aa0f31eb10d, 0xebc01af0ef68ebf9, 0x7cf09f5403ff6608, 0x7715258a7207967b,
  0x81880fbd93f8abe7, 0xe0fbcf020271f8df, 0x01f9e6f36914180e, 0x4870d537a94e4a74, 0x6538c6f19d103e23,
  0xda722adec5551698, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x000524d071b824f2,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x27e654a7004a774f, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0x260b0de579096de8, 0xf6e9ebe1e9bffe9f, 0x7224368ded51ca4d,
  0xa4723cad7dcd56b4, 0x15fee8e47c1b3060, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x2447bd9cead2e63d,
  0xb1aad743af513787, 0xcc5c2422883e8f9e, 0xa3608fd6e1bd97d2, 0x7771525009af905a, 0xf81880fbd93f8abe,
  0xee0fbcf020271f8d, 0x401f9e6f36914180, 0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x9da722adec555169,
  0x86ef84a5a97e56d9, 0x68b3dfe209f71e19, 0x5727eeaccdfc1ddc, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x0000c850ad4e093c,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0xe9ebe1e9bff20653, 0x24368ded51ca4df6,
  0x723cad7dcd56b472, 0xfee8e47c1b3060a4, 0x522cd3ad08a1df15, 0x52e6909afa30b2c4, 0x47bd9cead2e63d71,
  0xaad743af51378724, 0x5c2422883e8f9eb1, 0x608fd6e1bd97d2cc, 0x71525009af905aa3, 0x1880fbd93f8abe77,
  0x0fbcf020271f8df8, 0x1f9e6f36914180ee, 0x870d537a94e4a740, 0x538c6f19d103e234, 0xa722adec55516986,
  0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x5a9d599bf8347f1a, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x159169ac7f86792b,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0x801f99529c0129dd, 0x3b7b0b5b3856ff17,
  0x4482481eed4d1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xf97cb9f90f929201, 0x2105a437cb8bbf92,
  0xa8432d04ac8865ff, 0xeafffa039e132fb8, 0x7c982c3795e425b7, 0x37dba7af87befffa, 0xfaf510da37b54729,
  0x0949f3cdceca181b, 0x10d8489ecb3879e7, 0x5da1f7ea3c2784bf, 0xd4b9b3db84889c3b, 0x52e391c6fcf72df5,
  0x02a00f7d24389207, 0x06bc3bda3afe7316, 0x27d500ffd99e3af0, 0x5258a720796b773c, 0x80fbd93f8abe7771,
  0xbcf020271f8df818, 0x9e6f36914180ee0f, 0x0d537a94e4a7401f, 0x8c6f19d103e23487, 0x18edec5551698653,
  0x094b52fcadb33b4e, 0xdfe204e33c330ddf, 0x4eaccdfc1ddc68b3, 0xb0e271a50c2a44ad, 0x30ae4fc07cd1f633,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000001a48811c12,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0x4d7177f9f99529c0, 0x9a391ffe6c0341c3,
  0x8bd0a48904903e9f, 0xf87e7ef822fca7cb, 0x24a803770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x260f7150865a0bed, 0xe425b7275ff4073c, 0x2bbffa7c982c3795, 0xb5472937dba7af87, 0xafb037f597d0da37,
  0x70f3ce1293e79b9d, 0x4f097e21b0913d96, 0x444e1e000a4fd478, 0x7b96fac38cd9edc2, 0x0e24818718e47e92,
  0x219cc580a98f4149, 0x33c75e45de110e8d, 0xeee2a4a3ad66e396, 0xf03101f7b27f157c, 0xdc1f79e0404e3f1b,
  0x3a00fcf378392b01, 0xe9053ea9dc594e5f, 0x815c18c10b4d8af6, 0xf2b6cce9c6378ce8, 0xd8f0cc377c252d4b,
  0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x1c12792bf734332c, 0x0000000000692268,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xc87f99529c0129dd, 0x61b60cf870eb3e2e,
  0x8904903fd79a391e, 0xf822fca7cb8bd0a4, 0x770f8510c4f87e7e, 0xcbe5cfc87cb90703, 0x082d21be5c5dfc97,
  0x4219685ba4432ff9, 0x007fd01cf0994f45, 0xf260b0de579096de, 0xdf6e9ebe1868ffe9, 0x8ff74368ded51ca4,
  0x7cf373bb7402bbea, 0xc3de1f2d7e79c252, 0xe2310cd02bb84889, 0x98c723cacca94ed7, 0x98ae448e47c1b306,
  0x962291669d684502, 0xb704f1d484d7d185, 0x62bc307d1f4873ab, 0x4752ec6abc6c75ed, 0x65c7c62e1211460b,
  0xc54971887132386f, 0x6203ef64fe2af9dd, 0x3ef3c0809c7e37e0, 0x07e79bcb750603b8, 0x21c354dea53929d0,
  0x6dc63042d2d7f88d, 0xadb33a718de33a20, 0x3c330ddf094b52fc, 0x3bb8d167bfc413ee, 0x3d30ae4fdd599bf8,
  0x4a5b387138cb25c3, 0x12792bf734332c3a, 0x000000013046e3dc,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0x91e2fdd6fcca94e3,
  0x8e47524d8737ce0a, 0xf4292241240d9ca6, 0x1f9fbe08bf29f2e2, 0xaa00ddc3e144313e, 0xbf92f97cb9f90f90,
  0x65ff2105a437cb8b, 0x4b5150865a163e88, 0x4b6fcb5ff4073c26, 0xff206530586f2bc8, 0x1ca4df6e9ebe1c00,
  0x6fea8e574368ded5, 0x70949f7c033bd340, 0xf10d8489ecb3879e, 0xe72ea77ea3c2784b, 0xa9ba6cf6e122270f,
  0xe4723cadfc94ed63, 0x15d4a8e47c1b306b, 0xc4522cd3ad08a053, 0xe31e3a909afa30b2, 0x9bc39223dece7576,
  0x8f9eb1aaf1b1d7a8, 0x97d2cc5c2422883e, 0xc82d51b044c8e1bd, 0xc55f3bb8a92966d7, 0x8fc6fc0c407dec9f,
  0xa0c07707de781013, 0x7253a00fcf379b48, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x1e1986ef84a5a97e, 0x347f1a2cf7f8817b, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x86792bf734332c3a, 0x0000002002a7167f,
};

static const uint64_t ur_m2560_u2x8_uart2_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x3f32a538e833ba7c, 0x7b0adf38400e2e29,
  0x82481a6dcd1c8f6b, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf973f21f2e6f81bb, 0x0b486f97177f25f2,
  0x865a0e9510cbfe42, 0xfff4073c2628b150, 0x30586f2bc84b6f43, 0x6e9ebe1e9bff8cb5, 0x224368ded51ca4df,
  0x4723cad7dcd56b47, 0x5fee8e47c1b3060a, 0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0x447bd9cead2e63d7,
  0x1aad743af5137872, 0xc5c2422883e8f9eb, 0x3608fd6e1bd97d2c, 0x771525009af905aa, 0x81880fbd93f8abe7,
  0xe0fbcf020271f8df, 0x01f9e6f36914180e, 0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xda722adec5551698,
  0x6ef84a5a97e56d99, 0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x000000015da7b2d5,
};

// m2560_u2x8_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart2_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0xce0a91e2fdd6fcca,
  0x9ca68e47524d8737, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x0f90aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x3e8865ff2105a437, 0x3c264b5150865a16, 0x2bc84b6fcb5ff407, 0x1c00ff8cb530586f, 0xded51ca4df6e9ebe,
  0xd3406fea8e574368, 0xc3cf384a4fbc873b, 0x3c25f886c244f659, 0x1387ba1baa3f51e1, 0x76b1d4dd367b7091,
  0x9835f2391e56fe4a, 0x50298aea54723e0d, 0x185962291669d684, 0x3abb718f1d484d7d, 0xebd44de1c911ef67,
  0x441f47cf58d578d8, 0x70decbe9662e1211, 0xb36be416a8d82264, 0xf64fe2af9ddc5494, 0x0809c7e37e06203e,
  0xcda450603b83ef3c, 0xdea53929d007e79b, 0xc67440f88d21c354, 0x7b15545a6194e31b, 0xd4bf2b6cced3863b,
  0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x0eba8d1ba8a792bf,
};

// m2560_u2x8_uart3_noled_pr_ce_u4
static const uint64_t ur_m2560_u2x8_uart3_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xff0c367d82cc13e3, 0x949bed8e413901c3, 0x0dfd41486d1bdaa3, 0xf384a4f9e6e77fb8, 0x5f886c244f659c3c,
  0x87800293f51e13c2, 0x6faf59367b709113, 0x9207ac8e4727a7b9, 0x731602a636b52438, 0x8ebd1f5e1c168f58,
  0xdc1c6895403ff667, 0x88743f626af81e5a, 0xee743f39e786df81, 0xcf3c3f379f054180, 0xaca43717539794d8,
  0xa5612718de33a204, 0x99ca9c63b7b15545, 0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077,
  0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000006ebde49b824,
};

// m2560_u2x8_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x8_uart3_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x86cfbfc9827c64ee, 0x7db1c827200d1fe1, 0x32970da37b547293, 0x9f3cdcec2d01bfaa, 0x8489ecb3879e7094,
  0x547ea3c2784bf10d, 0x6cf6e122270f7437, 0x3cafa894ed63a7be, 0x51c8f83660d6bc72, 0x2cd3ad08a05315f7,
  0x3a909afa30b2c452, 0x6fa3c1673abb71ea, 0x6355e363af3a7784, 0x3170908a167a30e3, 0xa3608991c37b2d97,
  0x21d0fd859c82a83a, 0xb9d0fce79e1b7e06, 0x3cf0fcde7c150603, 0xb290dc5d4e5e5363, 0x95849c6378ce8812,
  0x672a718edec55516, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2,
  0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000004fc4b68e093,
};

// m2560_u2x8_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart3_noled_ee_ce_hw[] = {
  0xddddd895146807e1, 0xbbbba5843b58358d, 0x66b8cfdea3bd89db, 0x106821afba0bf0aa, 0x421efde8ebc1b976,
  0xb167dfe4c13e3277, 0xbed8e41390068ff2, 0x194b86d1bdaa3949, 0x9f790e761680dfd5, 0x8489ecb3879e7094,
  0x8ffea3c2784bf10d, 0x367b70911387672e, 0x1e57d44a76b1d3df, 0xa8e47c1b306b5e39, 0x1669d68450298afb,
  0x1d484d7d18596229, 0x37d1e0b39d5db8f5, 0xb1aaf1b1d79d3bc2, 0x98b848450b3d1871, 0x51b044c8e1bd96cb,
  0x10e87ec2ce41541d, 0xdce87e73cf0dbf03, 0x9e787e6f3e0a8301, 0x59486e2ea72f29b1, 0x4ac24e31bc674409,
  0x339538c76f62aa8b, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xea29e4afdcd0ccb0, 0x000000000140438b,
};

// m2560_u2x8_uart3_lednop_pr_ce_u4
static const uint64_t ur_m2560_u2x8_uart3_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xff0c367f2b4c13e3, 0x949bed8e41390143, 0x0dfd41486d1bdaa3, 0xf384a4f9e6e77f38, 0x5f886c244f659c3c,
  0x1f1bbb07f51e13c2, 0xbebd64d9edc2444e, 0x481eb2391fa49ee5, 0x98b0172483f490e2, 0xebd1f5e12691a433,
  0x9ed0fb5403ff6678, 0x0e87ecf70503cb5b, 0xe781013cf0dbf031, 0xcde6d228301dce87, 0xa9bd4a7253a04f0f,
  0x378ce881f11a4386, 0x76f62aa8b4c329c6, 0xa5a97e56d99da70c, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0xb86a73824f257ee6, 0x000000000000006e,
};

// m2560_u2x8_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x8_uart3_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0x367eb7e609f193bb, 0xdb1c827209dbff0c, 0x2970da37b5472937, 0xe79b9dd8f81bfaa3, 0x913d9670f3ce1293,
  0xbfd4784f097e21b0, 0x3db84889c38000db, 0x2beea53b58e9ef9b, 0x723e0d9835af1c8f, 0x69d68450298ac3dc,
  0x484d7d1859622916, 0x88c9a39d5dba441d, 0x6abc6c75e74ef08f, 0x170908a3a046f6ac, 0x3608991c37b2d973,
  0x43a1fb0b30e344aa, 0xf9e0404f3c36fc0c, 0xf379b48a0c0773a1, 0xaa6f529c94e813c3, 0x8de33a207c4690e1,
  0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3, 0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xf86112e093c95fb9,
  0x0000000000000009,
};

// m2560_u2x8_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart3_lednop_ee_ce_hw[] = {
  0xddddd89514683d5b, 0xbbbba5843b8e358d, 0x834cc69e991db13b, 0xa2e821afba0bf0a5, 0xd67ceb7b5a47706d,
  0x58b3f5bf304f8c9d, 0xbed8e413904edff9, 0x194b86d1bdaa3949, 0x3ef21ceec7c0dfd5, 0x0913d9670f3ce129,
  0x89fd4784f097e21b, 0xd9edc2444e1da0e0, 0x795f7529dac74f7c, 0xe391f06cc1ad78e4, 0xb34eb422814c561e,
  0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5, 0x51b044c8e1bd96cb,
  0x621d0fd859871a25, 0x0fcf020279e1b7e0, 0x1f9bcda450603b9d, 0x0d537a94e4a7409e, 0x8c6f19d103e23487,
  0x18edec5551698653, 0x094b52fcadb33b4e, 0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0000280a8c7fa29e,
};

// m2560_u2x8_uart3_dual_pr          m2560_u2x8_uart3_dual_pr_u4
static const uint64_t ur_m2560_u2x8_uart3_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x5f4dfe654a7004a7, 0x4753db0cac70df7c,
  0x14912092065d668e, 0xcfdf045f94f9717a, 0x606ee1f0a2189f0f, 0xe4be5f2e7e43e56b, 0x7fc841690df2e2ef,
  0xf9150865a1f22219, 0x2dbd4affa039e130, 0xffd3e4c161bcaf21, 0x949bed8e41390775, 0x3be589a86d1bdaa3,
  0x871240c43c723e45, 0x8b01541e63d621a4, 0x78035e1ded1d7f39, 0x9e13ea807fecc11d, 0xe2a4b14e40f2cf6f,
  0xc43a1fb27f157cee, 0x1f9e0404f3c36fc0, 0x3f379b48a0c0773a, 0x1aa6f529c94e813c, 0x18de33a207c4690e,
  0x455bd8aaa2d30ca7, 0x094b52fcadb33b4e, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xa49a0e37049e4afd,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x27e654a7004a774f, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0x260b0de579096de8, 0xd8e4139069bffe9f, 0x4486d1bdaa3949be,
  0x8e4795afb9aad68e, 0xbfdd1c8f83660c14, 0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x88f7b39d5a5cc7ae,
  0x355ae875ea26f0e4, 0x8b84845107d1f3d6, 0x6c11fadc37b2fa59, 0xee2a4a0135f20b54, 0x0c43a1fb27f157ce,
  0xa1f9e0404f3c36fc, 0xc3f379b48a0c0773, 0xe1aa6f529c94e813, 0x718de33a207c4690, 0xe455bd8aaa2d30ca,
  0xf094b52fcadb33b4, 0x7bfc413ee3c330dd, 0xfdd599bf83bb8d16, 0x138cb25c33d30ae4, 0x734332c3a4a5b387,
  0x190a15a9c12792bf,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xf32a538c049dd3e2, 0xb0adf38400e2e293,
  0x2481a6dcd1c8f6b7, 0x17e53e5c5e852448, 0x7c288627c3f3f7c1, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0xe4139069bff20653, 0x86d1bdaa3949bed8,
  0x4795afb9aad68e44, 0xdd1c8f83660c148e, 0x459a75a1143be2bf, 0x5cd2135f4616588a, 0xf7b39d5a5cc7ae2a,
  0x5ae875ea26f0e488, 0x84845107d1f3d635, 0x11fadc37b2fa598b, 0x2a4a0135f20b546c, 0x43a1fb27f157ceee,
  0xf9e0404f3c36fc0c, 0xf379b48a0c0773a1, 0xaa6f529c94e813c3, 0x8de33a207c4690e1, 0x55bd8aaa2d30ca71,
  0x94b52fcadb33b4e4, 0xff102f63c330ddf0, 0xab337f068fe3459e, 0xe1ef79430a912b53, 0x9d871fc65f989ffd,
  0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0x2d358ff0cf257ee6, 0x00000000000002b2,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0x801f99529c0129dd, 0x3b7b0b5b3856ff17,
  0x4482481eed4d1c8f, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xf97cb9f90f929201, 0x2105a437cb8bbf92,
  0xa8432d04ac8865ff, 0xeafffa039e132fb8, 0x7c982c3795e425b7, 0xfb63904e41befffa, 0x5ea21b46f6a8e526,
  0x293e79b9d943037f, 0x1b0913d9670f3ce1, 0xb43efd4784f097e2, 0x97367b709113876b, 0x5c7238df9ee5beba,
  0x5401efa4871240ea, 0xd7877b475fce62c0, 0xfaa01ffb33c75e00, 0x4b14e40f2d6ee784, 0xa1fb27f157ceee2a,
  0xe0404f3c36fc0c43, 0x79b48a0c0773a1f9, 0x6f529c94e813c3f3, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d,
  0x6a5f95b66769c31d, 0x409c678661bbe129, 0x99bf83bb8d167bfc, 0x4e34a1854895a9d5, 0xc9f80f9a3ec6761c,
  0x0e271964b867a615, 0x7ee6866587494b67, 0x0003491023824f25,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0x4d7177f9f99529c0, 0x9a391ffe6c0341c3,
  0x8bd0a48904903e9f, 0xf87e7ef822fca7cb, 0x24a803770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x260f7150865a0bed, 0xe425b7275ff4073c, 0x2bbffa7c982c3795, 0xa8e526fb63904e41, 0xf606feb2fa1b46f6,
  0x1e79c2527cf373b5, 0xe12fc4361227b2ce, 0x89c3c00149fa8f09, 0x72df58719b3db848, 0xc49030e31c8fd24f,
  0x3398b01531e82921, 0x78ebc8bbc221d1a4, 0xdc549475acdc72c6, 0x188743f64fe2af9d, 0x43f3c0809e786df8,
  0x9e1f9bc1c9580ee7, 0xa7d53b8b29cbe740, 0x83182169b15edd20, 0xd99d38c6f19d102b, 0x1986ef84a5a97e56,
  0x771a2cf7f8817b1e, 0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x0000000d244d0382,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xc87f99529c0129dd, 0x61b60cf870eb3e2e,
  0x8904903fd79a391e, 0xf822fca7cb8bd0a4, 0x770f8510c4f87e7e, 0xcbe5cfc87cb90703, 0x082d21be5c5dfc97,
  0x4219685ba4432ff9, 0x007fd01cf0994f45, 0xf260b0de579096de, 0xed8e41390068ffe9, 0xfee86d1bdaa3949b,
  0x9e6e776e80577d51, 0x7bc3e5afcf384a4f, 0x46219a0577091138, 0x18e479599529dafc, 0x15c891c8f83660d3,
  0xc4522cd3ad08a053, 0xe09e3a909afa30b2, 0x57860fa3e90e7576, 0xea5d8d578d8ebdac, 0xb8f8c5c24228c168,
  0xa92e310e26470dec, 0x0e87ec9fc55f3bb8, 0xe781013cf0dbf031, 0xfcde5ba8301dce87, 0x6a9bd4a7253a04f0,
  0xc6085a5aff11a438, 0x674e31bc67440db8, 0x61bbe1296a5f95b6, 0x1a2cf7f8827dc786, 0x15c9fbab337f0777,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00002608dc7b824f,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0x91e2fdd6fcca94e3,
  0x8e47524d8737ce0a, 0xf4292241240d9ca6, 0x1f9fbe08bf29f2e2, 0xaa00ddc3e144313e, 0xbf92f97cb9f90f90,
  0x65ff2105a437cb8b, 0x4b5150865a163e88, 0x4b6fcb5ff4073c26, 0xff206530586f2bc8, 0x949bed8e41390400,
  0xfd51cae86d1bdaa3, 0x1293ef80677a680d, 0x21b0913d9670f3ce, 0xe5d4efd4784f097e, 0x374d9edc2444e1fc,
  0x8e4795bf929dac75, 0xba951c8f83660d7c, 0x8a459a75a1140a62, 0x63c752135f461658, 0x7872447bd9ceaedc,
  0xf3d6355e363af513, 0xfa598b84845107d1, 0x05aa3608991c37b2, 0xabe77715252cdaf9, 0x1b7e0621d0fd93f8,
  0x03b9d0fcf020279e, 0x7409e1f9bcda4506, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x33b4e18edec55516,
  0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x912b53ab337f068f, 0x989ffde1ef79430a, 0x668fb19d871fc65f,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00040054e2cff0cf,
};

static const uint64_t ur_m2560_u2x8_uart3_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x3f32a538e833ba7c, 0x7b0adf38400e2e29,
  0x82481a6dcd1c8f6b, 0x117e53e5c5e85244, 0x87c288627c3f3f7c, 0xf973f21f2e6f81bb, 0x0b486f97177f25f2,
  0x865a0e9510cbfe42, 0xfff4073c2628b150, 0x30586f2bc84b6f43, 0x8e4139069bff8cb5, 0x486d1bdaa3949bed,
  0xe4795afb9aad68e4, 0xfdd1c8f83660c148, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x8f7b39d5a5cc7ae2,
  0x55ae875ea26f0e48, 0xb84845107d1f3d63, 0xc11fadc37b2fa598, 0xe2a4a0135f20b546, 0xc43a1fb27f157cee,
  0x1f9e0404f3c36fc0, 0x3f379b48a0c0773a, 0x1aa6f529c94e813c, 0x18de33a207c4690e, 0x455bd8aaa2d30ca7,
  0x094b52fcadb33b4e, 0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00002bb4f65aa29e,
};

// m2560_u2x8_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x8_uart3_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0x94e3a0cee9f12e20, 0xce0a91e2fdd6fcca,
  0x9ca68e47524d8737, 0xf2e2f4292241240d, 0x313e1f9fbe08bf29, 0x0f90aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x3e8865ff2105a437, 0x3c264b5150865a16, 0x2bc84b6fcb5ff407, 0x0400ff8cb530586f, 0xdaa3949bed8e4139,
  0x680dfd51cae86d1b, 0x79e70949f790e77a, 0x84bf10d8489ecb38, 0x70f7437547ea3c27, 0xd63a9ba6cf6e1222,
  0x06be4723cadfc94e, 0x05315d4a8e47c1b3, 0x0b2c4522cd3ad08a, 0x576e31e3a909afa3, 0x7a89bc39223dece7,
  0x83e8f9eb1aaf1b1d, 0x1bd97d2cc5c24228, 0x6d7c82d51b044c8e, 0xc9fc55f3bb8a9296, 0x13cf0dbf0310e87e,
  0x228301dce87e7810, 0xa7253a04f0fcde6d, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce, 0xe56d99da70c76f62,
  0xd9e1986ef84a5a97, 0x1ef79430a912b505, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4,
  0x66587494b670e271, 0x51a37514f257ee68, 0x00000000000001d7,
};

// m2560_u2x12_uart2_noled_pr_ce_u4
static const uint64_t ur_m2560_u2x12_uart2_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0x6d4faadd3d7c3297, 0x0a4368ded51ca4fe, 0x27cf373bfdc06fea, 0x61227b2ce1e79c25,
  0x149fa8f09e12fc43, 0xc9b3db84889c3c00, 0x6472393d3dcb7d7a, 0x1531b5a921c4903d, 0xfaf0e0b47ac398b0,
  0x44aa01ffb33c75e8, 0x7b1357c0f2d6e0e3, 0xf79ce3f1bf03101f, 0xf9e6f3e0a8301dc1, 0x21b8ba9cbca6c671,
  0x0938c6f19d102565, 0x54e31dbd8aaa2d2b, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x00375f8d0dc12792,
};

// m2560_u2x12_uart2_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x12_uart2_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x5ba7af87a6bfc30d, 0x1bdaa3949fcda9f5, 0x61680dfd5194b86d, 0x9c3cf384a4f9e6e7,
  0x13c25f886c244f65, 0x11387ba1baa3f51e, 0xa76b1d3df367b709, 0xb306b5e391e57d44, 0x450298afba8e47c1,
  0xd185962291669d68, 0x39d5db8f51d484d7, 0x1d79d3bc237d1e0b, 0x50b3d1871b1aaf1b, 0x8e1bd96cb98b8484,
  0x2ce41541d51b044c, 0x738fc6fc0c407dec, 0x9bcf82a0c07707de, 0xe2ea72f29b19c7e7, 0xe31bc67440959486,
  0x8c76f62aa8b4ac24, 0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x4fc94d67049e4afd,
};

// m2560_u2x12_uart2_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart2_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0xab74f5f0f4d7f958, 0xa37b547293f9b53e, 0xec2d01bfaa32970d, 0x670f3ce1293ef21c,
  0x84f097e21b0913d9, 0x22270ece5d1ffd47, 0x94ed63a7be6cf6e1, 0x3660d6bc723cafa8, 0x08a05315f751c8f8,
  0xfa30b2c4522cd3ad, 0x673abb71ea3a909a, 0x63af3a77846fa3c1, 0x8a167a30e36355e3, 0x91c37b2d97317090,
  0x859c82a83aa36089, 0xce71f8df81880fbd, 0xf379f054180ee0fb, 0xdc5d4e5e536338fc, 0x9c6378ce8812b290,
  0x718edec555169584, 0xe1296a5f95b6672a, 0xa44ad417678661bb, 0xe627ff787bde50c2, 0x19a3ec6761c7f197,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000005014d20f453,
};

// m2560_u2x12_uart2_lednop_pr_ce_u4
static const uint64_t ur_m2560_u2x12_uart2_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0xda9f55ba7af86a7b, 0x1486d1bdaa3949fc, 0x4f9e6e77f380dfd4, 0xc244f659c3cf384a,
  0xb07f51e13c25f886, 0x4d9edc2444e1f1bb, 0x2391fa49ee5bebd6, 0x72483f490e2481eb, 0x5e12691a43398b01,
  0xb5403ff6678ebd1f, 0xcf70503cb5b9ed0f, 0x0138fc6fc0c407de, 0xb48a0c07707de781, 0xd4a7253a00fcf379,
  0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xadb824f257ee6866, 0x000000000006eb9f,
};

// m2560_u2x12_uart2_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x12_uart2_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x5ba7af876b7fe186, 0x1bdaa3949fcda9f5, 0xec7c0dfd5194b86d, 0x3879e70949f3cdce,
  0x2784bf10d8489ecb, 0x44e1c0006ddfea3c, 0x9dac74f7cd9edc24, 0xcc1ad78e4795f752, 0x2814c561ee391f06,
  0x8c2cb1148b34eb42, 0xceaedd220ea426be, 0x3af3a77847c464d1, 0x51d0237b56355e36, 0x8e1bd96cb98b8484,
  0x859871a2551b044c, 0x0271f8df81880fbd, 0x6914180ee0fbcf02, 0xa94e4a7401f9e6f3, 0x9d103e234870d537,
  0xc55516986538c6f1, 0x2fcadb33b4e18ede, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566,
  0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xbe7049e4afdcd0cc,
  0x000000000004fc98,
};

// m2560_u2x12_uart2_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart2_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0x56e9ebe1dadff958, 0x46f6a8e527f36a7d, 0xbb1f037f54652e1b, 0x9c3cf384a4fbc873,
  0x13c25f886c244f65, 0x113876838227f51e, 0xa76b1d3df367b709, 0xb306b5e391e57dd4, 0x8a0531587b8e47c1,
  0xa30b2c4522cd3ad0, 0x73abb74883a909af, 0x8ebce9de11f11934, 0x147408ded58d578d, 0x2386f65b2e62e121,
  0x61661c689546c113, 0x809c7e37e06203ef, 0xda450603b83ef3c0, 0xea53929d007e79bc, 0x67440f88d21c354d,
  0xb15545a6194e31bc, 0x4bf2b6cced3863b7, 0x82ecf0cc377c252d, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5011392a8a792bf7,
};

// m2560_u2x12_uart2_dual_pr         m2560_u2x12_uart2_dual_pr_u4
static const uint64_t ur_m2560_u2x12_uart2_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0x15bf32a5380253ba, 0xe56d86fb3869be2f,
  0x4890490328734723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2adf0, 0xe420b486f97177f2,
  0x8a8432d05f110cbf, 0xdff77fd01cf099ef, 0xe9f260b0de579096, 0x53eab74f5f0ccaff, 0x50da37b547293f9b,
  0x8878e47c8a77cb13, 0x3cc7ac43490e2481, 0x3bda3afe731602a8, 0x00ffd9823af006bc, 0x9c81e59edf3c27d5,
  0x64fe2af9ddc54962, 0x809c7e37e06203ef, 0xda450603b83ef3c0, 0xea53929d007e79bc, 0x67440f88d21c354d,
  0xb15545a6194e31bc, 0xa5f95b66769c8ab7, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac,
  0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xcb4e093c95fb9a19,
  0x0000000000014934,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x9529c0129dd3e25c, 0x400380a4e2ffaff9,
  0x40e76e68e47adfd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f92a440ddc3e, 0x437cb8bbf92f97cb,
  0xd03868865ff2105a, 0xa039e133938a8432, 0xc3795e425b7e9fff, 0x7af8715bffa7c982, 0xaa3949fcda9f55ba,
  0xb9aad68e4486d1bd, 0x83660c148e4795af, 0xa1143be2bfdd1c8f, 0x5f4616588a459a75, 0x5a5cc7ae2a5cd213,
  0xea26f0e488f7b39d, 0x07d1f3d6355ae875, 0x37b2fa598b848451, 0x35f20b546c11fadc, 0x27f157ceee2a4a01,
  0x04e3f1bf03101f7b, 0xd228301dc1f79e04, 0x529c94e803f3cde6, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x2fcadb33b4e455bd, 0x3ee3c330ddf094b5, 0xbf83bb8d167bfc41, 0x5c33d30ae4fdd599, 0xc3a4a5b387138cb2,
  0x5dc12792bf734332, 0x000000000064289f,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xc6024ee9f12e2061, 0x80a4e2ffaff99529,
  0x6e68e47adfd84003, 0x2e2f4292241240e7, 0x13e1f9fbe08bf29f, 0xf92a440ddc3e1443, 0xb8bbf92f97cb9f90,
  0x68865ff2105a437c, 0xe133938a8432d038, 0x5e425b7e9fffa039, 0xe2b7f9032982c379, 0x93f9b53eab74f5f0,
  0xad1c890da37b5472, 0x18291c8f2b5f7355, 0x77c57fba391f06cc, 0x2cb1148b34eb4228, 0x8f5c54b9a426be8c,
  0xe1c911ef673ab4b9, 0xe7ac6ab5d0ebd44d, 0xf4b3170908a20fa3, 0x16a8d823f5b86f65, 0xaf9ddc5494026be4,
  0xe37e06203ef64fe2, 0x603b83ef3c0809c7, 0x29d007e79bcda450, 0xf88d21c354dea539, 0x5a6194e31bc67440,
  0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0x1fc68b3dfe205ec7, 0x152256a75666fe0d, 0xbf313ffbc3def286,
  0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000ac8c1f71fe1,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xff32a5380253ba7c, 0xec066ce1bb5c5d36,
  0x049034b53472398f, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xf973f21f26430377, 0x0b486f97177f25f2,
  0x865a063d10cbfe42, 0xaffa039e13775150, 0x4c161bcaf212dbdb, 0xadd3d7c32ebffd3e, 0x8ded51ca4fe6d4fa,
  0x3b28a02bbebf2436, 0xa1f7e79c2527cf37, 0xcd02bb84889c3b5d, 0x391c6fcf72cf6ea5, 0x00f7d2438920752e,
  0xc3bda3afe731602a, 0x500ffd99e3af006b, 0x8a720796b773c27d, 0xbd93f8abe7771525, 0x020271f8df81880f,
  0xf36914180ee0fbcf, 0x37a94e4a7401f9e6, 0xf19d103e234870d5, 0xdec55516986538c6, 0xb52fcadb33b4e18e,
  0x204e33c330ddf094, 0xccdfc1ddc68b3dfe, 0x271a50c2a44ad4ea, 0xe4fc07cd1f633b0e, 0x87138cb25c33d30a,
  0xbf734332c3a4a5b3, 0x0000d242cdc12792,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x27e654a718093ba7, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xa60b0de579096de8, 0xadd3d7c3d37fe40c, 0x8ded51ca4fe6d4fa,
  0x33b28606febd4436, 0xcb3879e70949f7c0, 0x3c2784bf10d8489e, 0x0911387e5a66ffea, 0xf9ee5beba97367b7,
  0x4871240ea5c7238d, 0x75fce62c05401efa, 0xb33c75e00d7877b4, 0xf2d6ee784faa01ff, 0x157ceee2a4b14e40,
  0x3f1bf03101f7b27f, 0x8301dc1f79e0404e, 0xc94e803f3cde6d22, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2,
  0x5b66769c31dbd8aa, 0x78661bbe1296a5f9, 0xd1fc68b3dfe205ec, 0x6152256a75666fe0, 0xcbf313ffbc3def28,
  0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x19e4afdcd0ccb0e9, 0x000000d245a6b1fe,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x95f99529c0129dd3, 0xf361d6670643e2f4,
  0x90490335b9a391d9, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c95d7037, 0x82d21be5c5dfc97c,
  0x219686ce4432ff90, 0x27fd01cf09b2b454, 0x260b0de579096dc5, 0x56e9ebe1e9affe9f, 0x46f6a8e527f36a7d,
  0xdba015df547fba1b, 0x6bf3ce1293e79b9d, 0x815dc2444e1ef0f9, 0x56654a76bf118866, 0x723e0d9834c6391e,
  0x34eb422814c57224, 0xa426be8c2cb1148b, 0xe8fa439d5db8278e, 0x55e363af6b15e183, 0x70908a305a3a9763,
  0x438991c37b2e3e31, 0x27f157ceee2a4b8c, 0x04e3f1bf03101f7b, 0x5ba8301dc1f79e04, 0xf529c94e803f3cde,
  0x1696bfc4690e1aa6, 0x8c6f19d1036e3182, 0xf84a5a97e56d99d3, 0x3dfe209f71e1986e, 0x7eeaccdfc1ddc68b,
  0x89c6592e19e98572, 0xb9a19961d252d9c3, 0x01304d38e093c95f,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x70007e654a718093,
  0xe6fec152270eeb71, 0x4482481f47e68e47, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xe5f2e7e43e564981,
  0x841690df2e2efe4b, 0xa10cb43fe22197fc, 0x37ffe80e784c16a2, 0x94c161bcaf212dbb, 0x55ba7af86293fc81,
  0xd1bdaa3949fcda9f, 0x77a680dfd51cae86, 0x670f3ce1293ef806, 0x84f097e21b0913d9, 0x444e1fce5d4efd47,
  0x29dac75374d9edc2, 0x3660d7c8e4795bf9, 0x1140a62ba951c8f8, 0xf4616588a459a75a, 0x9ceaedc63c752135,
  0x63af5137872447bd, 0x45107d1f3d6355e3, 0x91c37b2fa598b848, 0x52cdaf905aa36089, 0xfbd93f8abe777152,
  0xf020271f8df81880, 0x6f36914180ee0fbc, 0x537a94e4a7401f9e, 0x6f19d103e234870d, 0xedec55516986538c,
  0x4b52fcadb33b4e18, 0xf102f63c330ddf09, 0xb337f068fe3459ef, 0x1ef79430a912b53a, 0xd871fc65f989ffde,
  0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0x566cff0cf257ee68, 0x0000000000004002,
};

static const uint64_t ur_m2560_u2x12_uart2_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x529c7419dd3e25c4, 0x00380a4e2ffaff99,
  0x0e76e68e47adfd84, 0x29f2e2f429224124, 0x44313e1f9fbe08bf, 0xf90f92a440ddc3e1, 0x37cb8bbf92f97cb9,
  0x03868865ff2105a4, 0x039e133938a8432d, 0x3795e425b7e9fffa, 0x5f0e2b7fc65a982c, 0x47293f9b53eab74f,
  0x355ad1c890da37b5, 0x6cc18291c8f2b5f7, 0x22877c57fba391f0, 0xe8c2cb1148b34eb4, 0x4b98f5c54b9a426b,
  0x44de1c911ef673ab, 0xfa3e7ac6ab5d0ebd, 0xf65f4b3170908a20, 0xbe416a8d823f5b86, 0xfe2af9ddc5494026,
  0x9c7e37e06203ef64, 0x450603b83ef3c080, 0x53929d007e79bcda, 0x440f88d21c354dea, 0x5545a6194e31bc67,
  0xf95b66769c8ab7b1, 0x7678661bbe1296a5, 0x87bde50c2a44ad41, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xd2d20f453c95fb9a, 0x00000000000000ae,
};

// m2560_u2x12_uart2_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart2_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xbadc5c001f99529c,
  0xa391f9bfb05489c3, 0x7a1491209207d1f9, 0x0fcfdf045f94f971, 0x92606ee1f0a2189f, 0xbf92f97cb9f90f95,
  0x65ff2105a437cb8b, 0x05a8a8432d0ff888, 0x4b6ecdfffa039e13, 0xff8cb530586f2bc8, 0x36a7d56e9ebe18a4,
  0x2ba1b46f6a8e527f, 0xde439de9a037f547, 0x227b2ce1e79c2527, 0x1fa8f09e12fc4361, 0x3db84889c3dd0dd5,
  0x2b7f253b58ea6e9b, 0x391f06cc1af91c8f, 0x34eb422814c5752a, 0xa426be8c2cb1148b, 0x88f7b39d5db8c78e,
  0x6abc6c75ea26f0e4, 0x170908a20fa3e7ac, 0x6c1132386f65f4b3, 0xee2a4a59b5f20b54, 0x03101f7b27f157ce,
  0xc1f79e0404e3f1bf, 0x03f3cde6d228301d, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0x69c31dbd8aaa2d30,
  0xbbe1296a5f95b667, 0xc2a44ad417678661, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb,
  0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x000000075d668dd4,
};

// m2560_u2x12_uart3_noled_pr_ce_u4
static const uint64_t ur_m2560_u2x12_uart3_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfe186cfe049827c6, 0xa9f55b1c82720297, 0x486d1bdaa3949fcd, 0xf9e6e77fb80dfd41, 0x244f659c3cf384a4,
  0x93f51e13c25f886c, 0x367b709113878002, 0x8e4727a7b96faf59, 0xa636b524389207ac, 0x5e1c168f58731602,
  0x95403ff6678ebd1f, 0x626af81e5adc1c68, 0x39e786df8188743f, 0x379f054180ee743f, 0x17539794d8cf3c3f,
  0x18de33a204aca437, 0x63b7b15545a56127, 0x4a5a97e56d99ca9c, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0xebf1a1b824f257ee, 0x0000000000000006,
};

// m2560_u2x12_uart3_noled_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x12_uart3_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x63904e41a6bfc30d, 0x7b547293f9b53eab, 0x2d01bfaa32970da3, 0x879e70949f3cdcec,
  0x784bf10d8489ecb3, 0x270f7437547ea3c2, 0xed63a7be6cf6e122, 0x60d6bc723cafa894, 0xa05315f751c8f836,
  0x30b2c4522cd3ad08, 0x3abb71ea3a909afa, 0xaf3a77846fa3c167, 0x167a30e36355e363, 0xc37b2d973170908a,
  0x9c82a83aa3608991, 0x9e1b7e0621d0fd85, 0x7c150603b9d0fce7, 0x4e5e53633cf0fcde, 0x78ce8812b290dc5d,
  0xdec5551695849c63, 0x6a5f95b6672a718e, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x29ace093c95fb9a1,
  0x00000000000009f9,
};

// m2560_u2x12_uart3_noled_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart3_noled_ee_ce_hw[] = {
  0xbbb1277514687f3e, 0x7774b10652eeb1bb, 0x4c4b4bdc9da64777, 0x3712ebf75a9ad1c9, 0xaa8bf5d6d19891b2,
  0xb3f882609f193bb1, 0x6c7209c834d7f958, 0x6f6a8e527f36a7d5, 0x85a037f54652e1b4, 0xe1e79c2527de439d,
  0x9e12fc4361227b2c, 0x44e1d9cba3ffa8f0, 0x9dac74f7cd9edc24, 0xcc1ad78e4795f512, 0x140a62beea391f06,
  0x4616588a459a75a1, 0xe7576e3d4752135f, 0x75e74ef08df4782c, 0x42cf461c6c6abc6c, 0x386f65b2e62e1211,
  0xb3905507546c1132, 0xf3c36fc0c43a1fb0, 0xcf82a0c0773a1f9c, 0xa9cbca6c679e1f9b, 0x6f19d10256521b8b,
  0xdbd8aaa2d2b0938c, 0x2d4bf2b6cce54e31, 0x5a82ecf0cc377c25, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x00a029a41e8a792b,
};

// m2560_u2x12_uart3_lednop_pr_ce_u4
static const uint64_t ur_m2560_u2x12_uart3_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xfc30d9fdf7304f8c, 0x53eab63904e40a7b, 0x90da37b547293f9b, 0xf3cdcefe701bfa82, 0x489ecb3879e70949,
  0x0fea3c2784bf10d8, 0xb3db84889c3e3776, 0x723f493dcb7d7ac9, 0x4907e921c4903d64, 0xc24d23486731602e,
  0xa807feccf1d7a3eb, 0xee0a0796b73da1f6, 0x79e1b7e0621d0fd9, 0x50603b9d0fcf0202, 0xe4a7409e1f9bcda4,
  0x03e234870d537a94, 0x516986538c6f19d1, 0xadb33b4e18edec55, 0x3c330ddf094b52fc, 0x0eee3459eff102f6,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x049e4afdcd0ccb0e, 0x00000000dd73f5b7,
};

// m2560_u2x12_uart3_lednop_pr_ee_ce_u4
static const uint64_t ur_m2560_u2x12_uart3_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x63904e416b7fe186, 0x7b547293f9b53eab, 0x8f81bfaa32970da3, 0x0f3ce1293e79b9dd,
  0xf097e21b0913d967, 0x9c38000dbbfd4784, 0xb58e9ef9b3db8488, 0x835af1c8f2beea53, 0x0298ac3dc723e0d9,
  0x85962291669d6845, 0xd5dba441d484d7d1, 0x5e74ef08f88c9a39, 0x3a046f6ac6abc6c7, 0xc37b2d973170908a,
  0xb30e344aa3608991, 0xf3c36fc0c43a1fb0, 0xa0c0773a1f9e0404, 0xc94e813c3f379b48, 0x07c4690e1aa6f529,
  0xa2d30ca718de33a2, 0x5b66769c31dbd8aa, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x093c95fb9a19961d,
  0x000000009f9317ce,
};

// m2560_u2x12_uart3_lednop_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart3_lednop_ee_ce_hw[] = {
  0xbbb1277514684c7f, 0x7774b106506eb1bb, 0xf92bd7d817accf77, 0xb712ebf75a9ad12e, 0x7773b6abf2723334,
  0xb3f002609f193bbd, 0xd8e413905adff958, 0xded51ca4fe6d4faa, 0x63e06fea8ca5c368, 0x879e70949f790e77,
  0x784bf10d8489ecb3, 0x270ed07044fea3c2, 0xed63a7be6cf6e122, 0x60d6bc723cafba94, 0x40a62b0f71c8f836,
  0x616588a459a75a11, 0x7576e910752135f4, 0xd79d3bc23e23268e, 0x8e811bdab1aaf1b1, 0x70decb65cc5c2422,
  0x2cc38d12a8d82264, 0x3cf0dbf0310e87ec, 0x28301dce87e78101, 0x7253a04f0fcde6d2, 0x81f11a4386a9bd4a,
  0xa8b4c329c6378ce8, 0x56d99da70c76f62a, 0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x2725514f257ee686, 0x0000000000000a02,
};

// m2560_u2x12_uart3_dual_pr         m2560_u2x12_uart3_dual_pr_u4
static const uint64_t ur_m2560_u2x12_uart3_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0x15bf32a5380253ba, 0xe56d86fb3869be2f,
  0x4890490328734723, 0xef822fca7cb8bd0a, 0x3770f8510c4f87e7, 0x5f2f973f21f2adf0, 0xe420b486f97177f2,
  0x8a8432d05f110cbf, 0xdff77fd01cf099ef, 0xe9f260b0de579096, 0x7d56c7209c80caff, 0x1b46f6a8e527f36a,
  0x0f1c8f914ef9626a, 0x98f5886921c49031, 0x7b475fce62c05507, 0x1ffb30475e00d787, 0x903cb3dbe784faa0,
  0x9fc55f3bb8a92c53, 0x3cf0dbf0310e87ec, 0x28301dce87e78101, 0x7253a04f0fcde6d2, 0x81f11a4386a9bd4a,
  0xa8b4c329c6378ce8, 0x2b6cced39156f62a, 0x8f0cc377c252d4bf, 0x83bb8d167bfc40bd, 0xa1854895a9d599bf,
  0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc12792bf734332c3,
  0x0000000029269969,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x9529c0129dd3e25c, 0x400380a4e2ffaff9,
  0x40e76e68e47adfd8, 0xf29f2e2f42922412, 0x144313e1f9fbe08b, 0x9f90f92a440ddc3e, 0x437cb8bbf92f97cb,
  0xd03868865ff2105a, 0xa039e133938a8432, 0xc3795e425b7e9fff, 0x04e4115bffa7c982, 0x47293f9b53eab639,
  0x355ad1c890da37b5, 0x6cc18291c8f2b5f7, 0x22877c57fba391f0, 0xe8c2cb1148b34eb4, 0x4b98f5c54b9a426b,
  0x44de1c911ef673ab, 0xfa3e7ac6ab5d0ebd, 0xf65f4b3170908a20, 0xbe416a8d823f5b86, 0xfe2af9ddc5494026,
  0xe786df8188743f64, 0x4180ee743f3c0809, 0x929d02787e6f3691, 0x0f88d21c354dea53, 0x45a6194e31bc6744,
  0x5b66769c8ab7b155, 0x78661bbe1296a5f9, 0x7771a2cf7f8827dc, 0x7a615c9fbab337f0, 0x94b670e271964b86,
  0x24f257ee68665874, 0x0000000c8513ebb8,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xc6024ee9f12e2061, 0x80a4e2ffaff99529,
  0x6e68e47adfd84003, 0x2e2f4292241240e7, 0x13e1f9fbe08bf29f, 0xf92a440ddc3e1443, 0xb8bbf92f97cb9f90,
  0x68865ff2105a437c, 0xe133938a8432d038, 0x5e425b7e9fffa039, 0x22b7f9032982c379, 0x7f36a7d56c7209c8,
  0xa39121b46f6a8e52, 0x052391e56bee6ab5, 0xf8aff74723e0d983, 0x962291669d68450e, 0xeb8a973484d7d185,
  0x39223dece7569731, 0xf58d56ba1d7a89bc, 0x9662e1211441f47c, 0xd51b047eb70decbe, 0xf3bb8a92804d7c82,
  0xbf0310e87ec9fc55, 0xdce87e781013cf0d, 0x04f0fcde6d228301, 0xa4386a9bd4a7253a, 0x329c6378ce881f11,
  0xed39156f62aa8b4c, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x4ad4eaccdfc1a3f8, 0x27ff787bde50c2a4,
  0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0159183ee3fc33c9,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xff32a5380253ba7c, 0xec066ce1bb5c5d36,
  0x049034b53472398f, 0x22fca7cb8bd0a489, 0x0f8510c4f87e7ef8, 0xf973f21f26430377, 0x0b486f97177f25f2,
  0x865a063d10cbfe42, 0xaffa039e13775150, 0x4c161bcaf212dbdb, 0xb1c827202ebffd3e, 0xbdaa3949fcda9f55,
  0x65140577d7e486d1, 0x3efcf384a4f9e6e7, 0xa057709113876bb4, 0x238df9ee59edd4b9, 0x1efa4871240ea5c7,
  0x77b475fce62c0540, 0x01ffb33c75e00d78, 0x4e40f2d6ee784faa, 0xb27f157ceee2a4b1, 0x04f3c36fc0c43a1f,
  0x48a0c0773a1f9e04, 0x29c94e813c3f379b, 0xa207c4690e1aa6f5, 0xaaa2d30ca718de33, 0xf95b66769c31dbd8,
  0xc678661bbe1296a5, 0xf83bb8d167bfc409, 0x4a1854895a9d599b, 0x80f9a3ec6761c4e3, 0x71964b867a615c9f,
  0x6866587494b670e2, 0x1a4859b824f257ee,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x27e654a718093ba7, 0x6f615be70801c5c5,
  0x9049034db9a391ed, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xa60b0de579096de8, 0xb1c82720d37fe40c, 0xbdaa3949fcda9f55,
  0x7650c0dfd7a886d1, 0x670f3ce1293ef806, 0x84f097e21b0913d9, 0x22270fcb4cdffd47, 0x3dcb7d752e6cf6e1,
  0x0e2481d4b8e471bf, 0xbf9cc580a803df49, 0x678ebc01af0ef68e, 0x5addcf09f5403ff6, 0xaf9ddc549629c81e,
  0x6df8188743f64fe2, 0x0ee743f3c0809e78, 0xd02787e6f3691418, 0x8d21c354dea53929, 0x6194e31bc67440f8,
  0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x44ad4eaccdfc1a3f, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x001a48b4d63fc33c,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x95f99529c0129dd3, 0xf361d6670643e2f4,
  0x90490335b9a391d9, 0x822fca7cb8bd0a48, 0x70f8510c4f87e7ef, 0xbe5cfc87c95d7037, 0x82d21be5c5dfc97c,
  0x219686ce4432ff90, 0x27fd01cf09b2b454, 0x260b0de579096dc5, 0xd8e4139069affe9f, 0xded51ca4fe6d4faa,
  0x7402bbea8ff74368, 0x7e79c2527cf373bb, 0x2bb84889c3de1f2d, 0xcca94ed7e2310cd0, 0x47c1b30698c723ca,
  0x9d68450298ae448e, 0x84d7d18596229166, 0x1f4873abb704f1d4, 0xbc6c75ed62bc307d, 0x1211460b4752ec6a,
  0x7132386f65c7c62e, 0xfe2af9ddc5497188, 0xe786df8188743f64, 0x4180ee743f3c0809, 0x3929d02787e6f2dd,
  0xd7f88d21c354dea5, 0xe33a206dc63042d2, 0x4b52fcadb33a718d, 0xc413ee3c330ddf09, 0x599bf83bb8d167bf,
  0xcb25c33d30ae4fdd, 0x332c3a4a5b387138, 0x09a71c12792bf734, 0x0000000000000026,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x70007e654a718093,
  0xe6fec152270eeb71, 0x4482481f47e68e47, 0x7c117e53e5c5e852, 0xbb87c288627c3f3f, 0xe5f2e7e43e564981,
  0x841690df2e2efe4b, 0xa10cb43fe22197fc, 0x37ffe80e784c16a2, 0x94c161bcaf212dbb, 0xb63904e40293fc81,
  0x37b547293f9b53ea, 0xf4d01bfaa395d0da, 0xe1e79c2527df00ce, 0x9e12fc4361227b2c, 0x89c3f9cba9dfa8f0,
  0x3b58ea6e9b3db848, 0xcc1af91c8f2b7f25, 0x2814c5752a391f06, 0x8c2cb1148b34eb42, 0x9d5db8c78ea426be,
  0x75ea26f0e488f7b3, 0xa20fa3e7ac6abc6c, 0x386f65f4b3170908, 0x59b5f20b546c1132, 0xfb27f157ceee2a4a,
  0x404f3c36fc0c43a1, 0xb48a0c0773a1f9e0, 0x529c94e813c3f379, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x5f95b66769c31dbd, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x9fe19e4afdcd0ccb, 0x0000000008004acd,
};

static const uint64_t ur_m2560_u2x12_uart3_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x529c7419dd3e25c4, 0x00380a4e2ffaff99,
  0x0e76e68e47adfd84, 0x29f2e2f429224124, 0x44313e1f9fbe08bf, 0xf90f92a440ddc3e1, 0x37cb8bbf92f97cb9,
  0x03868865ff2105a4, 0x039e133938a8432d, 0x3795e425b7e9fffa, 0x9c822b7fc65a982c, 0xe527f36a7d56c720,
  0xab5a39121b46f6a8, 0x983052391e56bee6, 0x50ef8aff74723e0d, 0x185962291669d684, 0x731eb8a973484d7d,
  0x9bc39223dece7569, 0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de, 0xc55f3bb8a92804d7,
  0xf0dbf0310e87ec9f, 0x301dce87e781013c, 0x53a04f0fcde6d228, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x41e8a792bf734332, 0x000000000015da5a,
};

// m2560_u2x12_uart3_dual_ee_ce_u4_hw
static const uint64_t ur_m2560_u2x12_uart3_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xbadc5c001f99529c,
  0xa391f9bfb05489c3, 0x7a1491209207d1f9, 0x0fcfdf045f94f971, 0x92606ee1f0a2189f, 0xbf92f97cb9f90f95,
  0x65ff2105a437cb8b, 0x05a8a8432d0ff888, 0x4b6ecdfffa039e13, 0xff8cb530586f2bc8, 0xd4faad8e413900a4,
  0x74368ded51ca4fe6, 0xc873bd3406fea8e5, 0x4f659c3cf384a4fb, 0xf51e13c25f886c24, 0xb70911387ba1baa3,
  0x6fe4a76b1d4dd367, 0x23e0d9835f2391e5, 0x9d68450298aea547, 0x84d7d18596229166, 0x1ef673abb718f1d4,
  0x578d8ebd44de1c91, 0xe1211441f47cf58d, 0x8226470decbe9662, 0xc5494b36be416a8d, 0x88743f64fe2af9dd,
  0x3f3c0809e786df81, 0x7e6f36914180ee74, 0x354dea53929d0278, 0x31bc67440f88d21c, 0x63b7b15545a6194e,
  0x252d4bf2b6cced38, 0x895a82ecf0cc377c, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0000ebacd1ba8a79,
};

// t48_swio10_noled_pr
static const uint64_t ur_t48_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10adbbeb0, 0xdbe9776e27524192, 0x80f06612226f897e, 0x315a38fd68917748,
  0x1ee609f193ba0bf7, 0x26be4489fe06833e, 0x60621fd477bcef96, 0x16f74d38e458e395, 0x2e76e811acf398b0,
  0x5635f6e39630475e, 0xa839bc8daf2e556a, 0xb7d59cea2a551ae8, 0xdebe8e44d672bb54, 0xdaad115e57212a97,
  0x02ca54fa779fad73, 0x45021696173a9d4e, 0x6d38c6f19d10270a, 0x59a20376ca2317f3, 0x6fdd598f2068fe34,
  0x138cb3590cf4c2d0, 0x4afdcd0ccb0ecb25, 0x0001f20072e65a9e,
};

static const uint64_t ur_t48_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0x4f8c9ddf23a82233, 0x1dd7f9c039f8f730, 0xef51e6e3be5845f9, 0x4c654e31c72ac0c9, 0x3de8ed6398b01659,
  0x403ff6608ebd1f3b, 0xb540f2cf6ee1acf5, 0x839bc8daf2e556aa, 0x7d59cea2a551ae8a, 0xebe8e44d672bb54b,
  0xaad115e57212a97d, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x0f365118bf9b6409,
  0x76d0d1659d1726ae, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07,
  0xcb0ecf8138cb3590, 0x4f2f059e4afdcd0c, 0x0000000000007c9f,
};

static const uint64_t ur_t48_swio10_noled_pr_ee[] = {
  0x327bbbbbbbd8b562, 0x87ee5a588442b758, 0xc69ed0bd1aef2299, 0xf07f0bd9e8261550, 0xfde2fb1e4505fcc9,
  0x7c64eed33dfa7704, 0xa7bfce01cfefb982, 0xfee83fdad184ff90, 0xa3e0d9839bbd4795, 0xcd3ad080fe2b727e,
  0x9801afa30b2c4522, 0x539d5a5dfc1d6339, 0x743af006769b91e4, 0xc2428c919353daad, 0xa97fe017b2e1c8c5,
  0x6f236bcb955a8e89, 0x673a8a9546ba2a0e, 0xa391359caed52df5, 0x445795c84aa5f7af, 0xc34ef3e2d75cf6ab,
  0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0xd94462fe6d902455, 0xdb43459a205c9ab8, 0xd30b41bf75663c81,
  0x3b2c944e32cd6433, 0xbc16792bf734332c, 0x00000000014f8a9c,
};

static const uint64_t ur_t48_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda2447705, 0xad72d2c4221fbac6, 0xa8bb6477d2d686d6, 0x9170ff8b066c802f, 0x16d2ec991417fd9e,
  0xf193bad8b560a4ca, 0xfbffc5933f15a609, 0x74b07fb5a332be46, 0x47c1b306807a8f2b, 0x9a75a101fc5721fd,
  0x30035f4616588a45, 0x4e7569728a3a1f73, 0xd0ebd0d4ec80234c, 0x0909ef476b4f6ab5, 0x197fe017b2d97317,
  0xad47164d57f546c1, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x52fbd7d1c89ace57, 0xae7b55a22bcae425,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x4d5c1e6ca2317f36, 0x1e40fca1a2cb3a2e,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343c899, 0x6b219e98577d1ee4, 0x9a19961d9f027196,
  0xebdd5b77053c95fb, 0x0000000000000004,
};

static const uint64_t ur_t48_swio10_noled_pr_ce[] = {
  0x0feeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x09ac86993bf238cb, 0x705ff5605fe3f8fa, 0x89c2ac9933ddc3e8,
  0x609f193bb4176859, 0xe4393ff38073f21e, 0xbcb83895ac7f5c93, 0x4ce75dcdafff3f3c, 0x5fa8f924f72cbad6,
  0x0bdd0291c72ac0f0, 0x8f9d9ef476b1cc58, 0xd67aa01ffb33c75e, 0xaad556a81e5add70, 0x35d15073791b5e5c,
  0x76a96fab39d454aa, 0x552fbd7d1c89ace5, 0xbae7b55a22bcae42, 0xea6c529e1a779f16, 0x6d138c6f19d1020e,
  0xd90218edec555169, 0x05c9ab8d94462fe6, 0x5663c81db43459a2, 0x2cd6433d30b41bf7, 0x734332c3b2c944e3,
  0x2dd517cbc16792bf,
};

static const uint64_t ur_t48_swio10_noled_pr_ce_u4[] = {
  0x93dddddda2447e4a, 0x3f72d2c30e15bac1, 0x42f5ebe8d77914cc, 0x83f85ecf4130aa87, 0xaf8fde2fb1fba64f,
  0x9827c64eebd6d312, 0xf90a7bff164cfefb, 0xcbad2604aa8fa84f, 0x6c2445f71a20f3cb, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xc72ac0f05fa8f924, 0x76b1cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x1e5add70d67aa01f,
  0x791b5e5caad556a8, 0x39d454aa35d15073, 0x1c89ace576a96fab, 0x22bcae42552fbd7d, 0x1a779f16bae7b55a,
  0x19d1020eea6c529e, 0xec5551696d138c6f, 0x94462fe6d90218ed, 0x34596745c9ab83cd, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3, 0xe0a792bf734332c3,
  0x00000000dd72716e,
};

static const uint64_t ur_t48_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447032, 0x972d2c42b1a5ac13, 0x76cbbdb1f50fc5d0, 0xce6e5c6c8d05363a, 0x7f4cfdce24d04998,
  0x193ba76b6c4a72a6, 0x5ff8b267c66e609f, 0x2d58fea8fe77c80b, 0xb5ee87f9e5e5d690, 0x1bb58147c99cebb9,
  0xd98397dea3cad2b0, 0x6847202bf9dea3e0, 0xd7d185962291669d, 0x139d5ae0a2fd6c00, 0x383af4353b2008d3,
  0x0909ef476b4f6abd, 0x8a04e017b2d97317, 0xab5e9e26abfaa360, 0xd74541cde46d7972, 0xdaa5beace75152a8,
  0x54bef5f47226b395, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x640863b7b15545a5,
  0x26ae0f365118bf9b, 0x3c81f9434597ab97, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04, 0x0271966b219e985a,
  0x3c95fb9a19961d9f, 0x00000027e2047705,
};

static const uint64_t ur_t48_swio10_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e173e, 0x772d2c5c0a38d62c, 0x8ed89d6414d8db26, 0xeebec9ac1a66f5cc, 0x836d16443c4d8f05,
  0x27777ef6c3227a33, 0xfbcd3cfd6fcc13e3, 0x551f54795be44edf, 0x8d1079e5e5e773b7, 0x65e12fc4361222fb,
  0x99aa3b9b5c617fd1, 0x795a560376b33c7c, 0x3bd47c1b3072fbd4, 0x522cd3ad08e4057f, 0x5fad801afa30b2c4,
  0x64011a6273ab5c14, 0x69ed57a7075e86a7, 0x5b2e62e1213de8ed, 0x7f546c11409c02f6, 0x8daf2e556bd3c4d5,
  0xea2a551ae8a839bc, 0x44d672bb54b7d59c, 0x5e57212a97debe8e, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x2317f36c810c76f6, 0x2cb3a2e4d5c1e6ca, 0xfa9d598f20669f1a, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf, 0x0000027e1072dc93,
};

// t48_swio10_lednop_pr
static const uint64_t ur_t48_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0xd6edbdd1b42ca832, 0x101e0cc2444ddde6, 0xb1e6c7a575f426e9,
  0xdfc9827c64eee3bd, 0xc4d7c832bfc0d067, 0xac0c43fa8ff21df2, 0x016f74c7abdf1c72, 0xf173b5ac8fa0398b,
  0xd4ace7b71cb1823a, 0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xfd1c89ae0404e576, 0x5a22bcae4255aba5,
  0x362ce80f3f5ae7b5, 0x085a6ae757a96165, 0xe31bc67440d8ff14, 0x880ddb288c5fcdb4, 0x75663c81a3f8d166,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x07c80e2f996a792b,
};

static const uint64_t ur_t48_swio10_lednop_pr_u4[] = {
  0x41bbbbbb45d8bf82, 0xddcb4b10ade96b04, 0xfb98e8da16541921, 0x984889c7fc5b07f1, 0x36c99f37dd2203c1,
  0x9f193ba627490836, 0x027ff9c039f32a60, 0xfea3e4877cb135f2, 0x37740a471cab0310, 0x3e23e90e62c05bdd,
  0x3dc72c608ebc5cec, 0xbc8daf2e556a565c, 0x9cea2a551ae8a839, 0xd7020272bb54b7d5, 0x57212ad5d2fe8e44,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0x7f36cbb22adec555, 0x3a2e4d5c1e6ca231,
  0x3ab31e40eda1a2cb, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d,
  0x95fb9a19961d9f02, 0x00003e4cb35e0b3c,
};

static const uint64_t ur_t48_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0x87ee5a5884453758, 0xb4bd1a7aebcbda99, 0x4f83f85ecfdc7798, 0xb3760cc902282fe6,
  0x09f193ba627571c1, 0x46ceff38073e7066, 0x5695a0ff6b4613fe, 0xfa8f83660e6ef51e, 0x8b34eb4203f8ad7d,
  0xe66006be8c2cb114, 0x6b9cead2e63c758c, 0x6ba1d78033b4428d, 0x2e12108a8fa49ed5, 0xcf4bff00bd970e46,
  0x73791b5e5caad475, 0xab39d454aa35d150, 0x89ae0404e576a96f, 0xbcae4255aba5fd1c, 0xe80f3f5ae7b55a22,
  0x6ae757a96165362c, 0xc67440d8ff14085a, 0x1b288c5fcdb4e31b, 0x3b6868b3440b9357, 0x7a616837eeacc790,
  0x87659289c659ac86, 0x1782cf257ee68665, 0x00000000000a7ce7,
};

static const uint64_t ur_t48_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222044, 0x56b9696211069d63, 0x23fa697499f1f36b, 0x22e1ff167ec19e3b, 0x40f5c902282ffb3d,
  0xf8c9dd1edb1c4218, 0x677fe2c99f383304, 0x97583fdad1995f23, 0xa3e0d983403d4795, 0xcd3ad080fe2b297e,
  0x9801afa30b2c4522, 0x873ab4ba561d0fb9, 0xe875e86a76ea11e4, 0x090be44707e7b55a, 0x197fe017b2d97317,
  0x5a8e2ee1acf546c1, 0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0xbfa39135c0809cae, 0xab445795c84ab574,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b288c5fcdb2ec8a, 0x2868b2ce8b935707,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867,
  0x1dc14f257ee68665, 0x00000000004eba68,
};

static const uint64_t ur_t48_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833de6ec1e38cb, 0x82ffab63b05fe94a, 0x4a82121006ee1f43,
  0x609f193bb647420e, 0xe43a5ff38073e52e, 0xbcb83921ec7f5c93, 0x99cebb9b5d36ff3c, 0xbf51c149ee5975ac,
  0x287b40238e5581e0, 0x7cedf22383e73160, 0xe81500ffd99e3af4, 0x55ac0ad03cb5bb7b, 0x6ba2a0e6f236bcb9,
  0xed52df5673a8a954, 0x4bfa39135c0809ca, 0x6ab445795c84ab57, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0x3b7b15545a4829c6, 0xe365118bf9b65d86, 0x076d0d166881726a, 0xcf4c2d06fdd598f2, 0xb0ecb25138cb3590,
  0xbaf059e4afdcd0cc, 0x000000000016ea3c,
};

static const uint64_t ur_t48_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2446f43, 0x3f72d2c30e1bbac1, 0x106d45d75e5ed4cc, 0x07f0bd9e56d0485e, 0x650d3866f4f74c9f,
  0x304f8c9dd015bc97, 0xf22577fe2c99fd9d, 0x975a4df7551f509f, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51c149, 0x83e73160287b4023, 0xd99e3af47cedf223, 0x3cb5bb7be81500ff,
  0xf236bcb955ac0ad0, 0x73a8a9546ba2a0e6, 0x5c0809caed52df56, 0x5c84ab574bfa3913, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xf9b65d863b7b1554, 0xd1726ae0f365118b, 0xd598f207e50d1659,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813,
  0x00375e3ebbb829e4,
};

static const uint64_t ur_t48_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22a20, 0x4b96962158c4d609, 0x23b06f71de63e2e8, 0x67372e2696c8e2f1, 0x1f2234e7126824cc,
  0x8c9dd57da1ba352c, 0xfffe2c99f0d1304f, 0xc7ec7f547f3be458, 0xb5c001f9e5e5d692, 0x1bb58147c99cebb9,
  0xd98397dea3cae438, 0x6847202b387ea3e0, 0xd7d185962291669d, 0x439d5ae12b7d6c00, 0x383af4353b7508f2,
  0x1217c88e0fcf6abd, 0x1409c02f65b2e62e, 0xad7a7ae1acf546c1, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3,
  0x5fd1c89ae0404e57, 0x55a22bcae4255aba, 0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31,
  0x9b288c5fcdb2ec31, 0xa1a2cbd5cb935707, 0x2a73f53ab31e40fc, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1,
  0xcd0ccb0ecf8138cb, 0x9f83a2bb829e4afd,
};

static const uint64_t ur_t48_swio10_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e1bc1, 0x772d2c5c0ae0d62c, 0x9e86ed2b6480db26, 0xeebec9c715835159, 0x476b8e443c4d8f05,
  0xc9dd75bd415dde4e, 0xfef34f3e87d304f8, 0x2aa3ea8f2b7c8c41, 0xb8d1079e5e5e7788, 0x165e12fc4361222f,
  0xe4cd51dcdaeb82fd, 0xa3cae4381bb599e3, 0x387ea3e0d98397de, 0x2291669d6847202b, 0x2b7d6c00d7d18596,
  0x3b7508f2439d5ae1, 0x0fcf6abd383af435, 0x65b2e62e1217c88e, 0xacf546c11409c02f, 0x91b5e5caad7a7ae1,
  0x9d454aa35d150737, 0xe0404e576a96fab3, 0xe4255aba5fd1c89a, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb2ec31dbd8aaa2, 0x8b9357079b288c5f, 0x663c819a7c68b2ce, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3, 0x09f82a73724e792b,
};

static const uint64_t ur_t48_swio10_dual[] = {
  0x33ddddddde7cbf3e, 0x053350e5096270fc, 0xb5a3db571d454109, 0x9fb7a6f5f6270913, 0xf5dd867acccf7619,
  0x609f19398dcb656e, 0xa571164004a4341e, 0xb881850c195d606d, 0xc7fe65fe053ba7c4, 0x1e44d86df3807b98,
  0xa11c90ab03d2a6f5, 0x80370f815fe63408, 0x432bb8bddf1778cd, 0x2627a2a10cb42d64, 0xe425b790fff4073c,
  0x01bfce01982c3795, 0xea3cbe3be5b7bf91, 0x6df5f238e5581935, 0x247bd9cc580bf873, 0x71cb1823af22dda3,
  0x2af9ddc5494ace83, 0xe6f236bcb955acfe, 0x5673a8a9546ba2a0, 0x135c0809caed52df, 0x795c84ab574bfa39,
  0x0b9d01e5cf6ab445, 0xa561130bd4b5e538, 0xbc674408bf714085, 0x79b288c5fcdb4e31, 0xb41bf1f0ecb93570,
  0x3e04e32cd6433d30, 0x4e792bf734332c3b, 0x000000196f842f72,
};

static const uint64_t ur_t48_swio10_dual_pr[] = {
  0xddddddd41e7cd0e3, 0x3350e50875b0fd05, 0x96ade4ab8f1795b5, 0xa1a2a0ab0c64421e, 0xca9c46eb7682bd75,
  0xe3bb96cde8ebe44e, 0x0012900899827c64, 0x30657581b695c459, 0xf814ee9f12e20614, 0x7f0e0bee628bf997,
  0xac0fba9bd478f7b0, 0x057f98d022847242, 0xf77c5df5be00dc3e, 0x8432d08c910caee2, 0xbaffd01cf09ad68a,
  0x0660b0de579096dc, 0xef961f3e454aff38, 0x71cab03117d47910, 0x98b01541e6fdc654, 0x1d78033b4e28def3,
  0xdad783ea807fecc1, 0xbb8a92dfe181e59e, 0x6d7972ab59fc55f3, 0x5152a8d74541cde4, 0x101395daa5beace7,
  0x0956ae97f47226b8, 0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb65d9156f62aa8b4,
  0x726ae0f365118bf9, 0x1e40cd3e34597ab9, 0x71a50c2a73f53ab3, 0x06fdf11a1e44cf02, 0x8138cb3590cf4c2d,
  0x9e4afdcd0ccb0ecf, 0x00000524c745dc93,
};

static const uint64_t ur_t48_swio10_dual_pr_u4[] = {
  0x9eeeeeed173e43ee, 0x299a8728481787e1, 0x6d3adab8ea2a0848, 0xfdbd37afb93a0d8f, 0xa780534e0ddbb0cc,
  0x7c64e6372c99b1a9, 0xe22c800948524982, 0x030a1832bac0db4a, 0xfccbfc0a774f8971, 0x89b0dbe700f7318f,
  0x39215607a54dea3c, 0x6e1f02bfcc681142, 0x2bb8bddf177ffc00, 0x27a2a10cb42d6443, 0x25b7387ff4073c26,
  0xffce01982c3795e4, 0x1e713be5b7bf90be, 0x54dd1c72ac0c9af5, 0x383e731602fe1cc6, 0xcb1823af22ddb22a,
  0xf9ddc5494ace9371, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x5c0809caed52df56, 0x5c84ab574bfa3913,
  0x1e7eb5cf6ab44579, 0xceaf52c2ca6c59d0, 0xe881b1fe2810b4d5, 0x5118bf9b69c6378c, 0xd1659d1726ae0f36,
  0xcfd4eacc790334f8, 0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61,
  0x9cf257ee68665876, 0x0000000a49f4f6e4,
};

// t48_swio10_dual_pr_ee_u4
static const uint64_t ur_t48_swio10_dual_pr_ee[] = {
  0xf02f777776890c86, 0x38a99a870b8a01c3, 0xab7266ea0a7ad06e, 0x76279294eb9d45e5, 0xbdd8593ec6be2f81,
  0x49a5b956d35a7b98, 0x20025222319827c6, 0x860caeb036d2b88b, 0xe0e39dd3e25c40c2, 0x06b1c09d4c96bf32,
  0x5607bee6f51e2b6c, 0x02bfcc6811423921, 0xf77c5dfcdf006e1f, 0x8432d07f110caee2, 0xdaffa039e136df8a,
  0x4982c3795e425b7d, 0x5a35f7f23abfff16, 0x7dd7a8f2bcad07fb, 0x1fc572bbd47c1b30, 0x616588a459a75a10,
  0x2963a13f330035f4, 0xdd83da3400e75697, 0x6f7cf6ab5d0ebd8c, 0xf65f4b317090a714, 0x95aca8d8232ffc02,
  0xe2af9ddc54947171, 0x0e6f236bcb955acf, 0xf5673a8a9546ba2a, 0x9135c0809caed52d, 0x5795c84ab574bfa3,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x8c5fcdb2ec8ab7b1, 0xb8d1659d0dc79b28,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0xe3899e4afdcd0ccb, 0x00000000002b22ec,
};

static const uint64_t ur_t48_swio10_dual_pr_ce[] = {
  0x25ddddddde7cd0e3, 0x553350e3c858b0ff, 0xfd75bd323705a2d4, 0xd0b8e25a8e700aa2, 0xcfb4fb3adbbc97c8,
  0x4e2fb96cded71c89, 0x20025215d79827c6, 0x860caeb036d2b88b, 0xff029dd3e25c40c2, 0x0ba9c0a1cca7bf32,
  0x5606e4e6f51e43ec, 0x02bfcc6811423921, 0x7bbe2ef67c006e1f, 0x8432d097c8865771, 0x2b7fd01cf09be48a,
  0x0660b0de579096de, 0xc7f5403e4305ff38, 0xed77f9e5e5e76a7a, 0xcb2eaa5cce75dcda, 0xcab03b87ea3f513d,
  0xbce62c05a95dd471, 0x33c75e00ced38a37, 0x5adcb5e0faa01ffb, 0x5f3bb8a92dfe181e, 0xde46d7972ab59fc5,
  0xce75152a8d74541c, 0x6b8101395daa5bea, 0x2b90956ae97f4722, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x7f36cbb0c76f62aa, 0x102e4d5c1e6ca231, 0xd598f20669f1a2cd, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x00e7af9cdc939e4a,
};

static const uint64_t ur_t48_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0xc954cd43832b587e, 0x4cdeef75a71bae9d, 0xe477f4e058ebe7da, 0x6558806abe356ec4,
  0x9f193516e4f05ae1, 0xe22c800948f5aa60, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0xbb8bddf177f47c01, 0xa22a10cb40ca4432, 0xb6e63fff4073c26e,
  0xfe2c930586f2bc84, 0xad551f58f7f22397, 0xee3441e785806121, 0x459784bf10d8488b, 0x4b99aa3b9b5f2a3f,
  0x70fd47ea27b96085, 0x80b52bba8e395607, 0xc019da7146f79cc5, 0xbc1f5403ff6678eb, 0x1525bfc303cb5b96,
  0xf2e556b3f8abe777, 0xa551ae8a839bc8da, 0x272bb54b7d59cea2, 0xad5d2fe8e44d7020, 0xd73daad115e57212,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x7618edec55516920, 0x86e3cd94462fe6d9, 0xaccdfc1ddc68b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x00d24085f1c4cf25,
};

static const uint64_t ur_t48_swio10_dual_pr_ee_ce[] = {
  0xa0addddddd43573e, 0x6e53350e5080fb0f, 0x7b7d7dd2d5b28a70, 0xb119157c8435deeb, 0x13ee100c2f68a829,
  0x3772721eae2f5959, 0x1290598b304f8c98, 0x657581b695c45900, 0x1cee9f12e2061430, 0x3826dcd3b7f99707,
  0x0b537a8e337b0dda, 0xe63408a11c90ab03, 0x2eff3900370f815f, 0xd02ea88657717bbe, 0xa039e132568a8432,
  0x61bcaf212db8a4ff, 0xa1fc8d35ff8b24c1, 0x160184b4d58fea8c, 0x4ce75dcdaea49f9e, 0x1e56a780ddac0b92,
  0x04f51f06cc184ff5, 0x148b34eb4239015e, 0x2feb6006be8c2cb1, 0xb07b46801cead705, 0xbe7b55e9c1d7b19b,
  0x2fa598b848538a37, 0x6b2a3608a04e017b, 0x55f3bb8a92f4f465, 0xcde46d7972ab59fc, 0xace75152a8d74541,
  0x26b8101395daa5be, 0xf2b90956ae97f472, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x17f36cbb0c76f62a, 0x3459a20371e6ca23, 0xb41bf75666fe0eee, 0x3e04e32cd6433d30, 0x26792bf734332c3b,
  0x00000013041e5f8e,
};

static const uint64_t ur_t48_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed1369fa812, 0x66a1c26760987d39, 0x21e8eba7d8f6414a, 0x3e19cc89ae3793d7, 0x36b474e4e4739a73,
  0x5b5b4fed1d7bccd9, 0xf304f8c90dd729a7, 0xd2b88b2002521e20, 0x5c40c2860caeb036, 0xd7fccaecc59dd3e2,
  0xeb7f61000e02926f, 0x47242ac0e76e6f51, 0x0dc3e057f98d0228, 0x2bb8bddf177dc940, 0x024542196869b443,
  0x2dbf59ffd01cf09b, 0xfde69cc161bcaf21, 0xaa8faa38adf231bb, 0x3441e7858041cc6e, 0x9784bf10d8488bee,
  0x66a8ee6d7b92bf45, 0xe56a780ddaccfc92, 0x4f51f06cc184ff51, 0x48b34eb4239015e0, 0xfeb6006be8c2cb11,
  0x07b46801cead7052, 0xe7b55e9c1d7b19bb, 0xfa598b848538a37b, 0xb2a3608a04e017b2, 0x5f3bb8a92f4f4656,
  0xde46d7972ab59fc5, 0xce75152a8d74541c, 0x6b8101395daa5bea, 0x2b90956ae97f4722, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x7f36cbb0c76f62aa, 0x3a2e4d5c1e6ca231, 0xaccdfc1bf411a2cb,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x040047d75844cf25,
};

// t48_swio11_noled_pr               t48_swio12_noled                  t48_swio12_noled_pr
static const uint64_t ur_t48_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adcdeb0d8, 0x466ea44cf741921d, 0x4f06613526f07d5b, 0xe823af1afb3f75b0,
  0xb9827c64eed8fd85, 0x0f91dd7f81a0cfc7, 0x1d7ff51d313be5ba, 0xdee99001f238e558, 0xe76e91193c731602,
  0xb043ee39630475e2, 0x41cde46d7972ab52, 0xeaece75152a8d745, 0x5f47226b395daa5b, 0x55a22bcae4256c6f,
  0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xa718de33a2047978, 0x34406ed94462fe6d, 0xfbab31e40d1fc68b,
  0x71966b219e985a0d, 0x5fb9a19961d964a2, 0x000f90249ccb53c9,
};

// t48_swio12_noled_pr_u4
static const uint64_t ur_t48_swio11_noled_pr_u4[] = {
  0xd113777768bb1762, 0x5cb4b10adb6eb13d, 0xb63f50e244c8866b, 0x21713e978f99305f, 0x43801e4dd9ee888f,
  0x7c64eef25d6411dd, 0xb7ffce01cf98f982, 0xf51c143be5b7bf91, 0x83da011c72ac0c9a, 0xc5188a731602cb29,
  0x07fecc11d7a3e764, 0x2607967b76b13ca8, 0x1cde46d7972ab542, 0xaece75152a8d7454, 0xf47226b395daa5be,
  0x5a22bcae4256c6f5, 0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0xcd94462fe6db0862,
  0xb434596745c9ab83, 0x854e7ea75663c81d, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb,
  0xc3b3e04e32cd6433, 0x4bc16792bf734332, 0x00000000000f9381,
};

// t48_swio12_noled_pr_ee
static const uint64_t ur_t48_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8ad4e, 0xf72d2c422033ac6e, 0x2f5ebef1fa114cc3, 0x1fc2de464090f1f4, 0x66eda991417fddfc,
  0x193bbe474c4a3386, 0x4ff38073f6ea609f, 0x2707fb5a3913e460, 0x7c1b3060a7a8f2b7, 0xa75a101fc5695bd4,
  0x0035f4616588a459, 0xe7569780c3ac6733, 0x875e00cec0a231f0, 0x90b22a3e827b55ae, 0x5ff805ecb8723170,
  0xc8daf2e556a3ae82, 0xcea2a551ae8a839b, 0x44d672bb54b7d5d9, 0x5795c84ad8debe8e, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x88c5fcdb610c55bd, 0x868b3440b93571b2, 0x16837eeacc7903b6,
  0x59289c659ac867a6, 0x2cf257ee68665876, 0x000000053e01c978,
};

// t48_swio12_noled_pr_ee_u4
static const uint64_t ur_t48_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2445541, 0x5cb4b10890ceb0f2, 0x91d68ba306b9b5ab, 0x45c3f5a62f362c7d, 0x5c69a9b2282fef22,
  0xe32775056f4e39cf, 0x75ff8b267e394c13, 0x43c1fed68c3dfc8b, 0x1f06cc1e95ea3cae, 0x69d68407f159c3f5,
  0xc00d7d1859622916, 0x39d5a5ff70e87dcc, 0x43af4353b6948e21, 0x2424c5188b3daad7, 0x65ff805ecb65cc5c,
  0x5a8e2fa0e7951b04, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0x637afa391359caed, 0x73daad115e57212b,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xd5c1e6ca2317f36d, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x5eaca77053c95fb9, 0x0000000000000027,
};

// t48_swio12_noled_pr_ce
static const uint64_t ur_t48_swio11_noled_pr_ce[] = {
  0xd0e6eeeeef62eff6, 0x72d2c5938f4eb1eb, 0xd3637779b51c6595, 0x17fbf2c7e62ebd90, 0xc90537b6f77d7a1c,
  0x13e3277420d7af4c, 0x84adfe700e7ce1cc, 0x97073e758feabe7c, 0x39d7736beed7e797, 0xea3af93dcb2eb593,
  0xb7e5f471cab0359f, 0x9d93146229cc580b, 0xf2a01ffb33c75e8f, 0xb542260796b75ac4, 0x74541cde46d7972a,
  0xa5beaece75152a8d, 0xc6f5f47226b395da, 0xe7b55a22bcae4256, 0x6c529e1a779f16ba, 0x138c6f19d1020eea,
  0x1098edec5551696d, 0x93571b288c5fcdb6, 0xc7903b6868b3440b, 0xac867a616837eeac, 0x866587659289c659,
  0x5b1fd782cf257ee6, 0x00000000000000b7,
};

// t48_swio12_noled_pr_ce_u4
static const uint64_t ur_t48_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda2447768, 0xb9696187019d6377, 0xfb41778fd08a661f, 0xfe16f23204878f7a, 0x28666eda9eeeefe0,
  0x09f193bad3b699ce, 0x4604ffc5933f6ea6, 0x75a4cad551f5913e, 0x8488bee3441e7979, 0xd2a3f459784bf10d,
  0xe5821ac99aa3b9b5, 0xe5581acff51d7c9e, 0x14e62c05dbf2fa38, 0x99e3af47cec98a31, 0xcb5bad6279500ffd,
  0x236bcb955aa11303, 0x3a8a9546ba2a0e6f, 0x1359caed52df5767, 0x5e57212b637afa39, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x462fe6db084c76f6, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x000000dd7daf6ee0,
};

// t48_swio12_noled_pr_ee_ce
static const uint64_t ur_t48_swio11_noled_pr_ee_ce[] = {
  0xc66eeeeea0a22044, 0x5cb4b10acb8eb1b6, 0x7b1c75a9f8ff1742, 0x39bd4368a1015b97, 0x989867389341db63,
  0x64ee8f6d81610fc8, 0xfff164cfffc9827c, 0x3f63faa374bf23a7, 0xafdd6fcf2f2eb49d, 0xddac0a3e4ce75dcd,
  0x660e71f51e57f380, 0xa11c80add2fa8f83, 0x5f4616588a459a75, 0x4e756b8fddf5b003, 0xe0ebd0d4eda52388,
  0x2424c5188b3daaf4, 0x2813805ecb65cc5c, 0x56bd3dd073ca8d82, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551,
  0xd8debe8e44d672bb, 0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d,
  0x6ae0f365118bf9b6, 0xc81f9434597ab972, 0x34a1854e7ea75663, 0xdfbe2343c899e04e, 0x271966b219e985a0,
  0xc95fb9a19961d9f0, 0x000009f8f5b77053,
};

// t48_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t48_swio11_noled_pr_ee_ce_u4[] = {
  0x0bf777768b9f1f68, 0xcb4b1702123586a6, 0xd817a6c61436c99d, 0xd7a9be9de4682d89, 0x048fc887896a60bd,
  0x9dd1d7d014164777, 0xef34f3ed77304f8c, 0xaa3ea8e577c87f9f, 0x8d1079e5e5e76ff2, 0x65e12fc4361222fb,
  0x4cd51dcdafd4efd1, 0x3cafe701bb599e3e, 0xa5f51f06cc1ce3ea, 0x148b34eb4239015b, 0xbbeb6006be8c2cb1,
  0xdb4a47109cead71f, 0x167b55e9c1d7a1a9, 0x96cb98b848498a31, 0xe7951b04502700bd, 0x91b5e5caad7a7ba0,
  0x9d454aa35d150737, 0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688, 0x744083ba9b14a786,
  0x15545a5b44e31bc6, 0x2317f36d84263b7b, 0x2cb3a2e4d5c1e6ca, 0xfa9d598f20669f1a, 0x3ffbc3def2861539,
  0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf, 0x0000027e6f05dc93,
};

// t48_swio11_lednop_pr              t48_swio12_lednop                 t48_swio12_lednop_pr
static const uint64_t ur_t48_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215b67d61b, 0x76deef85e8283243, 0x4f06613526eef36b, 0xf363d2bafa1375b0,
  0xe4c13e327771ded8, 0x83e4195fe06833ef, 0x075ffd47f90ef96e, 0xb7ba63d5ef8e3956, 0xb9dad647d01cc580,
  0x5673db8e58c11d78, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xe44d7020272bb54b, 0x8af2b9095cbd2fe8,
  0x70173a03cb9ed568, 0x0b4ac22617a96bca, 0x6378ce881b1fe281, 0x01bb65118bf9b69c, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0xf901c5f32d4f257e,
};

// t48_swio12_lednop_pr_u4
static const uint64_t ur_t48_swio11_lednop_pr_u4[] = {
  0x783bbbbb45d8b562, 0xdcb4b10ac32b0d82, 0xb0bf7c2f4141921d, 0x613523afad3c4e63, 0x00db691775b04f06,
  0x3e3277699ead1706, 0x489fe700e7c3dcc1, 0xfd475f0ef96e83e4, 0xb6fcbe8e3956075f, 0xba3b86731602dee9,
  0xb8e58c11d78b9d96, 0xc8daf2e556a565ad, 0xcea2a551ae8a839b, 0x020272bb54b7d5d9, 0x9095cbd2fe8e44d7,
  0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b6c63156f62aa8b, 0x1726ae0f365118bf,
  0x598f2076d0d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x00f93085af059e4a,
};

// t48_swio12_lednop_pr_ee
static const uint64_t ur_t48_swio11_lednop_pr_ee[] = {
  0xfe0fbbbbbbd8b562, 0xfb969621130aac6e, 0x4f685eb11f16a661, 0xe0fe16f26bd385e3, 0xfde2f5a08a0bfeef,
  0x7c64eed33dfa7704, 0x15bfce01cf93a982, 0xfe741fed68e44f91, 0x51f06cc1829ea3ca, 0x669d68407f15d4af,
  0xcc00d7d185962291, 0x79cead2efe0eb19c, 0x5d0ebc019dbe446f, 0xe1216f68ee1cf6ab, 0x5cbff00bd970e462,
  0x6f236bcb955a8eb0, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913, 0x0f3f5ae7b55a22bc,
  0xe757a96165362ce8, 0x3a20517d14085a6a, 0x94462fe6da718de3, 0xb43459a205c9ab8d, 0x30b41bf75663c81d,
  0xb2c944e32cd6433d, 0xc16792bf734332c3, 0x0000000014f8a9cb,
};

// t48_swio12_lednop_pr_ee_u4
static const uint64_t ur_t48_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222582, 0xae5a58844a175879, 0x2eae3ddb6ebcdad5, 0x5c3f5a433c5ef4cd, 0xb415682282fef224,
  0x193ba75b44896aa8, 0x6ffc5933e4ea609f, 0x2e0ff6b461efe445, 0xf83660f4af51e565, 0x4eb4203f8aca1fa8,
  0x006be8c2cb1148b3, 0xcead2ff38743ee66, 0x3af4353b04f46be1, 0x8592231bf3daad74, 0xbff00bd96cb98b84,
  0x51c5dac4f2a3608c, 0x4541cde46d7972ab, 0x5beaece75152a8d7, 0x47226b8101395daa, 0x445795c84ae5e97f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x288c5fcdb6318ab7, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0xc14f257ee6866587, 0x0000000009d72cdd,
};

// t48_swio12_lednop_pr_ce
static const uint64_t ur_t48_swio11_lednop_pr_ce[] = {
  0x7a1cddddddec4743, 0x572d2c593985563d, 0xf717ea45f131c659, 0xc17fbf1e9d8f180c, 0x82c82d05c777d7a1,
  0xc13e32775a2ed455, 0xc890ffe700e7ca1c, 0x797070e1d8feabe7, 0x99cebb9b5f4d7e79, 0xfea3cbe9ee5975ac,
  0x58f7a5471cab0359, 0xf9db244637ce62c0, 0xd22a01ffb33c75e8, 0x56b2ed40f2d6e83f, 0xae8a839bc8daf2e5,
  0x54b7d5d9cea2a551, 0xfe8e44d7020272bb, 0x5688af2b9095cbd2, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5,
  0x6f62aa8b490538c6, 0x6ca2317f36d8c4c7, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x5e0b3c95fb9a1996, 0x0000000002dd4e14,
};

// t48_swio12_lednop_pr_ce_u4
static const uint64_t ur_t48_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda2447705, 0xb96961870fdd6377, 0x76c8eb11f16a661f, 0xf85bc80cd9005f51, 0x285b4bb27bbbbf83,
  0x27c64eeb62d58293, 0x1befff164cfc5698, 0xd692dd5547d644f9, 0x1222fb8d1079e5e5, 0xa4afd165e12fc436,
  0x96086b266a8ee6d7, 0x2ac0d67fa8f2fa7b, 0xf398b0163de951c7, 0xcf1d7a3e76c9118d, 0xb5ba0ff48a807fec,
  0x36bcb955acbb503c, 0xa8a9546ba2a0e6f2, 0x809caed52df57673, 0x2572f4bfa39135c0, 0x6bae7b55a22bcae4,
  0xa417296be74078e5, 0x414e31bc67440842, 0xb63131dbd8aaa2d2, 0x9357079b288c5fcd, 0xc7903f2868b2ce8b,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0xbaf756ddc14f257e, 0x0000000000000001,
};

// t48_swio12_lednop_pr_ee_ce
static const uint64_t ur_t48_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a232a8, 0x5cb4b10ad4ceb1b6, 0x7b7075e9c2ff1742, 0x737a86b8da29bb83, 0xe4b42e712683b6c6,
  0xc9dd9c5a6e99f74e, 0xffc5933e9b7304f8, 0xdd8fea8dd2fc819b, 0x7d507f3cbcbad20c, 0xed6051f2673aee6d,
  0x30738fa8f2b38606, 0x08e40565d7d47c1b, 0xfa30b2c4522cd3ad, 0x73ab5c7cefad801a, 0x0ebd0d4ec13d1af8,
  0x8592231bf3daaf4e, 0x02700bd96cb98b84, 0xd7a7ad627951b045, 0xd15073791b5e5caa, 0x96fabb39d454aa35,
  0xd1c89ae0404e576a, 0xd115e57212b97a5f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0x94462fe6db1898ed, 0xd165eae5c9ab83cd, 0x39fa9d598f207e50, 0x0f22678138d28615, 0xc867a616837ef88d,
  0x86658767c09c659a, 0x89f5ddc14f257ee6, 0x000000000000009f,
};

// t48_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t48_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e5f41, 0x96962e048ceb0d4c, 0x4dd68335a06d933b, 0x5ea6c48f4eb221bb, 0xefa7221e25a982f7,
  0x3bb5ad3b55c4c8c4, 0xef34f3e292609f19, 0x547d51caef915bff, 0x3441e797979dd6fd, 0x9784bf10d8488bee,
  0x33547736b8593f45, 0xf2b38606ed6678f9, 0xd7d47c1b30738fa8, 0x522cd3ad08e40565, 0xefad801afa30b2c4,
  0xc13d1af873ab5c7c, 0xf3daaf4e0ebd0d4e, 0x6cb98b848592231b, 0x7951b04502700bd9, 0x1b5e5caad7a7ad62,
  0xd454aa35d1507379, 0x404e576a96fabb39, 0x12b97a5fd1c89ae0, 0xb5d73daad115e572, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0xc9ab83cd94462fe6, 0x1e40cd3e34596745, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xfc0fdffc1343c899, 0x6b219e98577d1ee4, 0x9a19961d9f027196, 0xfcc927b9273c95fb,
  0x0000000000000004,
};

// t48_swio11_dual_pr                t48_swio12_dual                   t48_swio12_dual_pr
static const uint64_t ur_t48_swio11_dual[] = {
  0xbeeeeeea0f3e43ee, 0x6a1ca115f61f081e, 0xd5ab07e9e2f2b6a6, 0x11f3b402ac496ad8, 0xcfb453b74207aeb4,
  0x1ddcb266d17b4f24, 0x00948e6fcc13e327, 0x832bac0db4ae22c8, 0xc0a774f8971030a1, 0xf8705f73145fccbf,
  0x607dd4dea3c7bd83, 0x2bfcc68114239215, 0xbbe2ef6bb006e1f0, 0x2196846488657717, 0x2ffe80e784d6b454,
  0x330586f2bc84b6e5, 0xf965aff20a2ff9c0, 0x1cab03defd47ee8e, 0x1602a83cce4c3dc7, 0xaf006764011a6273,
  0xbde37d500ffd9823, 0xdc5495f3a81e59ed, 0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x09caed52df57673a,
  0x572f4bfa39135c08, 0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x9ab83cd94462fe6d, 0x90334f8d165eae5c, 0x69430a9cfd4eacc7, 0xbf7c46879133c09c, 0x4e32cd6433d30b41,
  0x92bf734332c3b3e0, 0x00029269f5f724e7,
};

// t48_swio12_dual_pr_u4
static const uint64_t ur_t48_swio11_dual_pr_u4[] = {
  0x9fbddddda2e7ce7c, 0x99a8728466787da5, 0xd57dbf4ec8a08482, 0xdbd3a0ba646e09d6, 0xf1b1586375bad2cf,
  0xc64e6372421d67c3, 0x4590012900899827, 0x61430657581b695c, 0x997f814ee9f12e20, 0x361b7ce01ee631ff,
  0x242ac0f4a9bd4791, 0xc3e057f98d022847, 0xee2f77c5dfbb400d, 0xe8a8432d0b5910ca, 0x6dcbaffd01cf0989,
  0xf380660b0de57909, 0x801df2d07fe454af, 0x148e395607d07a8e, 0xbe731602fe1cc1ec, 0x8c11d7916ec3e231,
  0xddc5494acb87b8e5, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2, 0x809caed52df57673, 0x2572f4bfa39135c0,
  0xf5ae7b55a22bcae4, 0x7a96165362ce80f3, 0x0517d14085a6ae75, 0x62fe6da718de33a2, 0x96745c9ab83cd944,
  0x53ab31e40cd3e345, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577,
  0xc95fb9a19961d9f0, 0x00001493815b9273,
};

// t48_swio12_dual_pr_ee
static const uint64_t ur_t48_swio11_dual_pr_ee[] = {
  0x89ddddd0f5a1a5fb, 0x6a1c2e289f87d99d, 0x3ba769a741b8e2a6, 0x294aaaf75b8d5a84, 0xec5c6be2f6676279,
  0x2782d1f85595c535, 0x20551304f8c934b7, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x09d4c96bf32e0e39,
  0xee6f51e2b6c06b1c, 0xc68114239215607b, 0xde601006e1f02bfc, 0x07f110caee2f77c5, 0x039e136df8a8432d,
  0x1bcaf212db868ffa, 0x57c84b5ff8b24c16, 0xa3cae5741fed68ea, 0xdf7ea3e0d983dbfe, 0x4522cd3ad080fe2b,
  0x09f99801afa30b2c, 0xd1e9473ab4b9431d, 0xb55ae875ec66ed1e, 0x598b848480234c67, 0x46c1197fe017b2fa,
  0xddc5494717914455, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2, 0x809caed52df57673, 0x2572f4bfa39135c0,
  0x6bae7b55a22bcae4, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2, 0x2ec6e3cd94462fe6,
  0xa75666fe0eee3458, 0x65f989fca1854e7e, 0x7e07cd0f22678b9c, 0xd6433d30b41bf1cf, 0x34332c3b3e04e32c,
  0x2b21938e26792bf7,
};

// t48_swio12_dual_pr_ee_u4
static const uint64_t ur_t48_swio11_dual_pr_ee_u4[] = {
  0x723bddddda2432db, 0x53350e171b9d87f2, 0xd71ddb0c53ba7725, 0xbfa6cce8bcabce76, 0xa8fb3e1af8bf2723,
  0x5b9347f7dc19d227, 0x2522e4a9827c64d4, 0xcaeb036d2b88b200, 0x39dd3e25c40c2860, 0x9c22b4c35bf32e0e,
  0x6a7a6f51f7dec34d, 0xfcc6811423921560, 0xc5ded07006e1f02b, 0x2d032910caee2f77, 0xfd01cf09ba88a843,
  0x161bcaf212dbd8ff, 0xcc7fc81adff8b24c, 0x1ea3cad82c1fed68, 0x15a9ef51f06cc1f5, 0x962291669d68407f,
  0x8e838ccc00d7d185, 0x7748c1439d5a5e43, 0x59ed56ba1d794d3b, 0xb8f8c5c2429b91e4, 0x494759165ff805ec,
  0xb955acfe2af9ddc5, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xf4bfa39135c0809c, 0x7b55a22bcae42572,
  0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e, 0xe3cd94462fe6db18, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x2b274f71c4cf257e,
};

// t48_swio12_dual_pr_ce
static const uint64_t ur_t48_swio11_dual_pr_ce[] = {
  0x7c8eeeeeef3e43ee, 0x99a871e4ebbc3eb0, 0xdad6d89466d16a2a, 0x0b1231a93936275b, 0xafb1757dbab07c8d,
  0xe2fb964cdaef69e2, 0x001291e729827c64, 0x30657581b695c459, 0xf814ee9f12e20614, 0x5d4e050e653df997,
  0xb0372737a8f21f60, 0x15fe63408a11c90a, 0xbbe2ef66f80370f8, 0x432d097c88657717, 0x97fd01cf09be48a8,
  0x660b0de579096de3, 0x7f5d2be429eff380, 0x801f9e5e5e77812c, 0x597552e673aee6d7, 0x5581dadea384f9ee,
  0x4e62c0528bb7e38e, 0x3c75e00cec80234c, 0xd6e7bc6faa01ffb3, 0x7ceee2a4af9d40f2, 0x791b5e5caad67f15,
  0x39d454aa35d15073, 0xe0404e576a96fabb, 0x7212b97a5fd1c89a, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6db1898edec5551, 0x05c9ab83cd94462f, 0xb31e40cd3e3459a2, 0x66b219e985a0dfba,
  0xb9a19961d9f02719, 0x73d6a9db9273c95f,
};

// t48_swio12_dual_pr_ce_u4
static const uint64_t ur_t48_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x553350e0cb9d87f2, 0x6d71ddb0c53ba772, 0x3bfa6cce8bcabce7, 0x7489ea3ecfb77272,
  0x193516e4d1fdf706, 0x2c800948b92a609f, 0x0a1832bac0db4ae2, 0xcb838e774f897103, 0xb0d36708ad30d6fc,
  0x85581a9e9bd47df7, 0x7c0aff31a04508e4, 0x8bddf177b41c01b8, 0x2a10cb40ca4432bb, 0xf63fff4073c26ea2,
  0x2c930586f2bc84b6, 0x551f531ff206b7fe, 0x3441e78580612383, 0x9784bf10d8488bee, 0x33547736bf47ff45,
  0xf51c27cf72c10a97, 0x945dbf1c72ac0ed6, 0x6764011a62731602, 0x7d500ffd99e3af00, 0x257cea0796b73de3,
  0xe556b3f8abe77715, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0xd2fe8e44d7020272, 0xed5688af2b9095cb,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d8c4, 0x6fe0eee345967437,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c,
  0x493a7b8e26792bf7, 0x0000000000000003,
};

// t48_swio12_dual_pr_ee_ce
static const uint64_t ur_t48_swio11_dual_pr_ee_ce[] = {
  0xd362dddddd437089, 0x53350e508e1787ce, 0x9b4dd8d4930a706e, 0xc464671137b375ad, 0xd68289f0bda29da6,
  0x7727f0ede4eb68d3, 0x9484f2f304f8c983, 0x2bac0db4ae22c800, 0xe774f8971030a183, 0xc136e69dbfccb838,
  0x5a9bd4719bd86ed1, 0x31a04508e4855818, 0xef185c01b87c0aff, 0x02ea88657717bbe2, 0x039e132568a8432d,
  0x3795e425b7c6effa, 0xbf2276fff164982c, 0x00c253b763faa360, 0xe75dcdae089fcf0b, 0x578100ddac0b924c,
  0x7a8f83660e44f51e, 0x459a75a11c80af2b, 0xf5b0035f4616588a, 0x3da3d28e756b8287, 0x3daaf4e0ebd8cdda,
  0xd2cc5c2424011a63, 0x551b04502700bd97, 0xf3bb8a92f4f64511, 0xe46d7972ab59fc55, 0xe75152a8d74541cd,
  0x8101395daa5beaec, 0xc84ae5e97f47226b, 0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810,
  0x9b6c6263b7b15545, 0xcd101b8f365118bf, 0xdfbab337f07771a2, 0x271966b219e985a0, 0xc95fb9a19961d9f0,
  0x00009821c29c7133,
};

// t48_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t48_swio11_dual_pr_ee_ce_u4[] = {
  0xeddddda26d3e5f82, 0x4384cf8ff87c219c, 0xda2fb171ec8294cd, 0xf5da7abbdc87afe1, 0xa3a704339cd38b15,
  0x5eae3caf7f57c3e5, 0x7c6486eb96d6adf3, 0x459001290f1eb982, 0x61430657581b695c, 0x657662cee9f12e20,
  0xb08007014937ebfe, 0x156073b737a8f5bf, 0xf02bfcc681142392, 0x5eef8bbde01006e1, 0xa10cb434da2195dc,
  0x2a3fe80e784d8122, 0x4e60b0de579096dd, 0xd51c72f91faffef3, 0xf3c2c020e7ebd547, 0x5f886c2445f71a20,
  0x7736bbc03fa2cbc2, 0x0806ed667e493354, 0x7c1b307227a8f2bc, 0xd3ad08e405795bd4, 0x801afa30b2c4522c,
  0x1e9473ab5c143fad, 0x57a7075ec66ed1ed, 0x62e1212008d319ed, 0xd822813805ecbe96, 0xdc5497a7b2288aa8,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x09caed52df57673a, 0x572f4bfa39135c08, 0xbae7b55a22bcae42,
  0x417296be74078e56, 0x14e31bc67440842a, 0x63131dbd8aaa2d24, 0x357079b288c5fcdb, 0xf06fd0468b2ce8b9,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0x756d61133c95fb9a, 0x0000000000001001,
};

// t48_swio13_noled_pr
static const uint64_t ur_t48_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0xc8f066127bb4c9df, 0x2f64188f1f793742,
  0xc7cc13e32775a9e8, 0xa4f91b7ffc0d067c, 0xc0f9ef51e213be5b, 0x2dee9b4a5af1c72a, 0x5ced70d193473160,
  0x5657fdc72c608ebc, 0xa839bc8daf2e556a, 0x537d9cea2a551ae8, 0xa391359caed52df5, 0x88af2b90956af7af,
  0x2a7d3bcfd6b9ed56, 0x0b4b0b9d4ea70165, 0x6378ce88117ee281, 0x01bb65118bf9b69c, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0x1f2001732d4f257e,
};

static const uint64_t ur_t48_swio13_noled_pr_u4[] = {
  0xcb7777768bb128ae, 0xbb9696215988d602, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf742c8f06,
  0x27c64eefd3dc2848, 0x8ea3fce01cfedf98, 0xf7a8ff21df2dd27c, 0xa69126e8e395607c, 0x64547d01cc580b7b,
  0x9371cb1823af173b, 0x3791b5e5caad4ace, 0xb39d454aa35d1507, 0x26b395daa5beaa6f, 0xe57212ad5ef5f472,
  0xbcf8b5d73daad115, 0x881077536294f0d3, 0xaa8b4b689c6378ce, 0x462fe6d8c9156f62, 0x596745c9ab83cd94,
  0x7ea75663c81db434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0x6792bf734332c3b3, 0x0000003e4d340bc1,
};

static const uint64_t ur_t48_swio13_noled_pr_ee[] = {
  0x1cdf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0xbf07f0ba10d85a33, 0xda59fbc764505ff9,
  0x27c64eef25da668e, 0x195bfce01cfe9b98, 0xad2b41fed68fbaf9, 0xea3e0d98397dea3c, 0x2cd3ad080fe2bf9d,
  0x99801afa30b2c452, 0xae73ab4bafb1d633, 0x5d0ebc019da5f235, 0x709087c47d24f6ab, 0x925ff805ecb87231,
  0x9bc8daf2e556a3ae, 0xd9cea2a551ae8a83, 0x1359caed52df5537, 0xf2b90956af7afa39, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x2317f36c648ab7b1, 0x1a2cd102e4d5c6ca, 0x5a0dfbab31e40eda,
  0x64a271966b219e98, 0xb3c95fb9a19961d9, 0x000000053e1245e0,
};

static const uint64_t ur_t48_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447032, 0x56b96962111a5d62, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417fa11,
  0xf8c9dd3b5b2ed395, 0x4dffe2c99f1ad304, 0x38707fb5a38f7f23, 0x47c1b3067afa8f2b, 0x9a75a101fc565d7d,
  0x30035f4616588a45, 0x0e756977263a1f73, 0xd0ebd0d4ec7aa3f9, 0x090a2147bdcf6ab5, 0x197fe017b2d97317,
  0xad4717d260b546c1, 0x5d15073791b5e5ca, 0xbeaa6fb39d454aa3, 0xf5f47226b395daa5, 0xaad115e57212ad5e,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x83cd94462fe6d8c9, 0x1f9434596745c9ab,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0x45eee0a792bf7343, 0x0000000000004eba,
};

static const uint64_t ur_t48_swio13_noled_pr_ce[] = {
  0xa66eeeeeef621c3b, 0x9572d2c593964eb0, 0x634adef3760f1c65, 0xe0bf9b4d4e17b113, 0xc8ad1850dbdd5310,
  0x304f8c9dda8bb417, 0xf23e77f9c039f2eb, 0x5e5c1c74b63facdd, 0x2673aee6d70d1f9e, 0x7bd479ba7b965d6b,
  0x0299538c71cab032, 0xa3e768851ef67316, 0x2934a807feccf1d7, 0xcaad5f5b81e5adc2, 0xa35d15073791b5e5,
  0xa5beaa6fb39d454a, 0x5ef5f47226b395da, 0x3daad115e57212ad, 0x6294f0d3bcf8b5d7, 0x9c6378ce88107753,
  0x90c76f62aa8b4b68, 0x93571b288c5fcdb1, 0xc7903b6868b3440b, 0xac867a616837eeac, 0x866587659289c659,
  0x517ed782cf257ee6, 0x00000000000000b7,
};

static const uint64_t ur_t48_swio13_noled_pr_ce_u4[] = {
  0x37dddddda24477d6, 0x3f72d2c30e62fac7, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deef37,
  0xe609f193bb61b7c8, 0xbe4656ffc5933fa6, 0x7975a495d551f5ee, 0x0d8488bee3441e79, 0xb5d90ff459784bf1,
  0x9ee5821ac99aa3b9, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcde46d7972ab57d6, 0xece75152a8d74541, 0x89ace576a96faa9b, 0x795c84ab57bd7d1c, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x2317f36c6431dbd8, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0x53c95fb9a19961d9,
  0x0000006ebbcdb770,
};

static const uint64_t ur_t48_swio13_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d606, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e71268236c,
  0x8c9dd3adacccb572, 0xfffc5933fbb5304f, 0x8fd8fea8e43fc831, 0x6bbaa3f3cbcbad21, 0x376b028f9339d773,
  0xd983403d4795ba50, 0x6847202b90fea3e0, 0xd7d185962291669d, 0x439d5ae1c9fd6c00, 0x383af4353b1ea8fe,
  0x090a2147bdcf6abd, 0x8a04e017b2d97317, 0xab5e9ee9305aa360, 0xd74541cde46d7972, 0x6faa9bece75152a8,
  0xbd7d1c89ace576a9, 0x6ab445795c84ab57, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27,
  0xc1e6ca2317f36c64, 0x3f2868b2f572e4d5, 0x430a9cfd4eacc790, 0x7c46879133c09c69, 0x32cd6433d30b41bf,
  0xbf734332c3b3e04e, 0x0013f0ad4ee0a792,
};

static const uint64_t ur_t48_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6812, 0x772d2c5c0a0dd631, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f138ec1,
  0xc9dda2fd6c49af13, 0xff79a79f801304f8, 0xeaa3ea8f7dfc8b5b, 0x71a20f3cbcbceed6, 0x2cbc25f886c2445f,
  0x933547736bbb77fa, 0x8f2b74a06ed6678f, 0x21fd47c1b306807a, 0x4522cd3ad08e4057, 0x93fad801afa30b2c,
  0x763d51fc873ab5c3, 0x7b9ed57a7075e86a, 0x65b2e62e1214428f, 0x60b546c11409c02f, 0xc8daf2e556bd3dd2,
  0xcea2a551ae8a839b, 0x59caed52df5537d9, 0xb90956af7afa3913, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x45a5b44e31bc6744, 0x2fe6d8c863b7b155, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0004fc7e05b9273c,
};

static const uint64_t ur_t48_swio13_lednop[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fba164,
  0x7b9827c64eeb53dd, 0xa4f91dd7f81a0cfc, 0xc0f9ef51e6e3be5b, 0x16f74c654e31c72a, 0x173b3de8ed6398b0,
  0x4ac11771cb1823af, 0x15073791b5e5caad, 0xaa6fb39d454aa35d, 0x26b8101395daa5be, 0xbcae42572497f472,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x62fe6da05455bd8a, 0xb41bf1f0ec6ed944,
  0xc944e32cd6433d30, 0xa792bf734332c3b2, 0x0000000a925ff996,
};

static const uint64_t ur_t48_swio13_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d60b2, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd2ca888,
  0x4f8c9ddf23b8bd19, 0x0c7ff9c039fa9530, 0x3d47d28ef9683ff2, 0xd01827c71cab03e8, 0xf88e32398b016594,
  0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x39bc8daf2e556b70, 0x7d9cea2a551ae8a8, 0xc0809caed52df553,
  0x7212b924bfa39135, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551,
  0xb2e4d5c1e6ca2317, 0xd598f2076d0d160b, 0x7e627f2861539fa9, 0x81f343c899e2e719, 0x90cf4c2d06fc73df,
  0x0ccb0ecf8138cb35, 0x9e10af059e4afdcd, 0x000000000000007c,
};

static const uint64_t ur_t48_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8ad4e, 0xddcb4b10ac4ceb01, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f742c8f06,
  0x7c64eef91d411199, 0xeebfce01cfc7b982, 0x7a8f371df2dd27c8, 0x632a718e395607cf, 0xef476b1cc580b7ba,
  0xbb8e58c11d78b9d9, 0xbc8daf2e556a5608, 0x9cea2a551ae8a839, 0x809caed52df5537d, 0x12b924bfa39135c0,
  0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169, 0xe4d5c1e6ca2317f3,
  0x31e40eda1a2cb3a2, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee,
  0xb9a19961d9f02719, 0x0f93e9e5e0b3c95f,
};

static const uint64_t ur_t48_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0x37e0fe17426d9305, 0xce199bb4108a0bff,
  0x827c64eef91d3128, 0x22397f9c039feaf9, 0x95ba583fdad1f75f, 0x7d47c1b3072fbd47, 0x459a75a101fc5651,
  0x7330035f4616588a, 0x4c4e7569780c3ac6, 0x5ae875e00ced9223, 0x17090a0fa3b5a7b5, 0xb3e5ff805ecb8723,
  0x73791b5e5caad474, 0xfb39d454aa35d150, 0x8101395daa5beaa6, 0xe42572497f47226b, 0xf3f5ae7b55a22bca,
  0x757a96165362ce80, 0xa204e7d14085a6ae, 0x4462fe6da718de33, 0x43459a205c9ab8d9, 0x0b41bf75663c81db,
  0x2c944e32cd6433d3, 0x16792bf734332c3b, 0x000000029f00e4bc,
};

static const uint64_t ur_t48_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xab5cb4b1088f5eb1, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfd08,
  0x3e327755f6c1b8d5, 0x1cbff164cff57cc1, 0x94383fdad1c7bf91, 0xa3e0d9833d7d4795, 0xcd3ad080fe2b60be,
  0x9801afa30b2c4522, 0xc73ab4bba51d0fb9, 0xe875e86a769111cd, 0x8484be238ca7b55a, 0x8cbff00bd96cb98b,
  0xab51c588a4d2a360, 0xd74541cde46d7972, 0x6faa9bece75152a8, 0x1c89ae0404e576a9, 0x88af2b9095c925fd,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x5118bf9b6815156f, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x829e4afdcd0ccb0e, 0x000000009d7085bb,
};

static const uint64_t ur_t48_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef623f3e, 0xcab96962c9c242b0, 0x5fa6ef767f078e32, 0xe0bf9b564da9933c, 0xa71b082543dd5310,
  0x304f8c9dd23fb647, 0xf20e1ff9c039f60b, 0x5e5c1c2eb63facdd, 0x4ce75dcdaf3b7f9e, 0xf7a8f38cf72cbad6,
  0x0a63cf58e3956064, 0x8f9d97c47191cc58, 0xee1aa01ffb33c75e, 0xaad6e1c81e5adc37, 0x35d15073791b5e5c,
  0x5beaa6fb39d454aa, 0x47226b8101395daa, 0xa22bcae42572497f, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0x288c5fcdb40a31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x82cf257ee6866587, 0x00000000b756e3d7,
};

static const uint64_t ur_t48_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2445541, 0x3f72d2c30e433ac7, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbcdf,
  0x9827c64eea0ade9c, 0xf916ebff164cfc72, 0xe5d6934dd547d7ba, 0x361222fb8d1079e5, 0xd724afd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c0531e7ac, 0xfd99e3af47cecbe2, 0x0f2d6e1bf70d500f,
  0xbc8daf2e556b70e4, 0x9cea2a551ae8a839, 0x809caed52df5537d, 0x12b924bfa39135c0, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xda0518edec555169, 0xc9ab83cd94462fe6, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0x6ebd594ee0a792bf,
};

static const uint64_t ur_t48_swio13_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac0, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a08db,
  0xe32777ed694e2c52, 0xf9ff8b267f4d4c13, 0x3fe58fea8e43fc8f, 0x36b9b77f9e5e5d69, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xd6847202b297ea3e, 0x0d7d185962291669, 0x6e39d5ae1d2fd6c0, 0xd383af4353b4888e,
  0x709097c47194f6ab, 0x08a04e017b2d9731, 0x955af4f08a4d2a36, 0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95,
  0xe8e44d7020272bb5, 0xb445795c84ae492f, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0x65118bf9b681463b, 0x34597ab9726ae0f3, 0x4e7ea75663c81f94, 0x43c899e04e34a185, 0xb219e985a0dfbe23,
  0xa19961d9f0271966, 0xf873e77053c95fb9, 0x0000000000000009,
};

static const uint64_t ur_t48_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e704a, 0x772d2c5c091dd631, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e271d82,
  0xc9ddb9da3dabbec4, 0xfef34f3f8dd304f8, 0xd547d51efbf90d77, 0xe3441e797979db5d, 0x59784bf10d8488be,
  0x266a8ee6d7e1fff4, 0x1e565d40ddaccf1f, 0xa5fa8f83660d00f5, 0x8a459a75a11c80ac, 0x4bf5b0035f461658,
  0xed22239b8e756b87, 0x653daaf4e0ebd0d4, 0xcb65cc5c2425f11c, 0x934a8d822813805e, 0xc8daf2e556bd3c22,
  0xcea2a551ae8a839b, 0x09caed52df5537d9, 0x2b924bfa39135c08, 0x5d73daad115e5721, 0x20b94b5f3a03c72b,
  0x0a718de33a204215, 0xa0518edec5551692, 0x9ab83cd94462fe6d, 0xe40cd3e34596745c, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966, 0xcd1c5b9273c95fb9,
  0x000000000000004f,
};

// t48_swio13_dual_pr
static const uint64_t ur_t48_swio13_dual[] = {
  0x5ddddddd41e7ce7c, 0x53350e50938b0fd4, 0x6b3ede9c6271795b, 0x5a0d28f66c502e35, 0x1ced9452b76a2bd7,
  0x271ddc90875d6c7e, 0xc800948300cc13e3, 0xa1832bac0db4ae22, 0xbfc0a774f8971030, 0x83f8705f73145fcc,
  0x15607dd4dea3c7bd, 0xf02bfcc681142392, 0x8bddf177c00006e1, 0x2a10cb42324432bb, 0x7287ff4073c26b5a,
  0xe01982c3795e425b, 0xf3be59eff91fbbfc, 0xc71cab0383fea3ed, 0x731602a83cc95a3d, 0x23af00676d291c42,
  0xf6d318c9500ffd98, 0xe7771525c0940f2c, 0xc8daf2e556b3f8ab, 0xcea2a551ae8a839b, 0x09caed52df5537d9,
  0x2b924bfa39135c08, 0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692,
  0x4d5c1e6ca2317f36, 0xc819a7c68b2f572e, 0x34a1854e7ea75663, 0xdfbe2343c899e04e, 0x271966b219e985a0,
  0xc95fb9a19961d9f0, 0x0000524ce7db9273,
};

static const uint64_t ur_t48_swio13_dual_pr_u4[] = {
  0xd3dddddda2e7ce7c, 0x053350e508ccf0f8, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375ba34,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xff997f814ee9f12e, 0x91361b7ce01ee631,
  0x47242ac0f4a9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5dfbb40, 0x89e8a8432d0b5910, 0x096dcbaffd01cf09,
  0xaff380660b0de579, 0x8e801df2c37fe454, 0xec148e395607d27a, 0x31be731602fe1cc1, 0xe58c11d7916ec3e2,
  0xf9ddc5494acb87b8, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x0272bb54b7d54df6, 0x4ae492fe8e44d702,
  0x1e5cf6ab445795c8, 0x30bd4b5e5380b9d0, 0x20517d14085a5611, 0x462fe6da718de33a, 0x596745c9ab83cd94,
  0xf53ab31e40cd3e34, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x000001493815b927,
};

static const uint64_t ur_t48_swio13_dual_pr_ee[] = {
  0xddbbbbba1eb432db, 0x153350e1710b61f0, 0xb49bdd1ed61a0dc7, 0x589e4aec947eb4cf, 0xbbfbbcfb1af8bc37,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x6b1c09d4c96bf32e,
  0x607bee6f51e2b6c0, 0x2bfcc68114239215, 0x77c5dea91006e1f0, 0x432d07f110caee2f, 0xbffa039e136df8a8,
  0x982c3795e425b74d, 0xa328bf2287fff164, 0x657a8f2bdf707fb5, 0xfc576ebd47c1b306, 0x16588a459a75a101,
  0x0a3a13f330035f46, 0xd8c7a33d4e756976, 0x10cf6ab5d0ebd8cd, 0x65f4b317090b4a47, 0x6f6a8d8232ffc02f,
  0x2af9ddc54947163e, 0xe6f236bcb955acfe, 0xf673a8a9546ba2a0, 0x020272bb54b7d54d, 0xc84ae492fe8e44d7,
  0xcad75cf6ab445795, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545, 0xb05d8dc79b288c5f,
  0xfd4eaccdfc1ddc68, 0x38cbf313f9430a9c, 0x9efc0f9a1e44cf17, 0x59ac867a616837e3, 0xee686658767c09c6,
  0x02b2610f1c4cf257,
};

static const uint64_t ur_t48_swio13_dual_pr_ee_u4[] = {
  0x323bbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bcc8a,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x4d9c22b4c35bf32e,
  0x606a7a6f51f7dec3, 0x2bfcc68114239215, 0xbbe2ef524006e1f0, 0x2196819488657717, 0x6ffe80e784dd4454,
  0x260b0de579096dc6, 0x5a37f3e41c1ffc59, 0xc27fa8f2b53d07fb, 0x3f8af027a8f83660, 0xc2cb1148b34eb420,
  0x70c741c666006be8, 0x76dbe8e5f1cead2e, 0x8f93daad743af29a, 0xecb8f8c5c2420511, 0xe2a4a3a1f25ff805,
  0x5e5caad67f157cee, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x497f47226b810139, 0x7b55a22bcae42572,
  0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0xe3cd94462fe6da05, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x15920571c4cf257e,
};

static const uint64_t ur_t48_swio13_dual_pr_ce[] = {
  0xf4eddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b77a77,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x65fe053ba7c4b881, 0xd817538143994f7e,
  0x42ac0dc9cdea3c87, 0x3e057f98d0228472, 0xe2f77c5dfd6600dc, 0x150865a12f910cae, 0xb8d6ffa039e137c9,
  0x700cc161bcaf212d, 0xb58fea7afc8c09fe, 0xb5d0fbf3cbcbcef2, 0x7b965d54b99cebb9, 0x71cab03117d47912,
  0x3884e62c05fdc654, 0xfb33c75e00ceda52, 0x0796b7263192a01f, 0xfc55f3bb8a92e04a, 0x41cde46d7972ab59,
  0x9bece75152a8d745, 0xae0404e576a96faa, 0x2b9095c925fd1c89, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0x7f36d028c76f62aa, 0x102e4d5c1e6ca231, 0xd598f20669f1a2cd, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x073d6072dc939e4a,
};

static const uint64_t ur_t48_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x2a741640258b74c8,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbd49001, 0x51150865a0652219, 0x5b719bffa039e137,
  0xff164982c3795e42, 0x9d5547d5fcf90707, 0xfb8d1079e1601848, 0xd165e12fc4361222, 0xa5ccd51dcdaed07f,
  0x88bea3c893dcb042, 0x602fee32a38e5581, 0xf00676d291c42731, 0x318c9500ffd99e3a, 0xdc549702503cb5b9,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x2bb54b7d54df673a, 0x492fe8e44d702027, 0xcf6ab445795c84ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x463b7b15545a4829, 0xb8f365118bf9b681, 0x337f07771a2cb3a1,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0x0d24815c7133c95f,
};

static const uint64_t ur_t48_swio13_dual_pr_ee_ce[] = {
  0x8f6ddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed147b,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xd1c136e69dbfccb8,
  0x185a9bd4719bd86e, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x9681754432bb8bdd, 0xfd01cf0992b45421,
  0x161bcaf212dbfebf, 0xd4f7c87f9ff8b24c, 0xe1601849fe58fea8, 0x499cebb9b5f9bff9, 0xa3caf2b01bb58172,
  0xcaef51f06cc1f75e, 0x1148b34eb4239015, 0xc17eb6006be8c2cb, 0xbb18f467a9cead70, 0x8867b55e9c1d7b19,
  0xb2fa598b8485a523, 0x9bdaa3608a04e017, 0xc55f3bb8a92f4f0f, 0x1cde46d7972ab59f, 0xbece75152a8d7454,
  0xe0404e576a96faa9, 0xb9095c925fd1c89a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d028c76f62aa8, 0x59a20371e6ca2317, 0x1bf75666fe0eee34, 0x04e32cd6433d30b4, 0x792bf734332c3b3e,
  0x000013046e3f8e26,
};

static const uint64_t ur_t48_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f96a, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a716a39cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x7fccaecc59dd3e25,
  0xb7f61000e02926fd, 0x7242ac0e76e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1779d7c00, 0x24542196869b4432,
  0xdbb21ffd01cf09b0, 0xde69cc161bcaf212, 0xa8faa31adf23b07f, 0x441e7858041cec1a, 0x784bf10d8488bee3,
  0x6a8ee6d73afbf459, 0x579580ddaccfc926, 0x7a8f83660fbaf51e, 0x459a75a11c80ae57, 0xf5b0035f4616588a,
  0xc7a33d4e756b860b, 0x3daaf4e0ebd8cdd8, 0xd2cc5c242d291c43, 0xd51b04502700bd97, 0xf9ddc5497a787cde,
  0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x0272bb54b7d54df6, 0x4ae492fe8e44d702, 0xd75cf6ab445795c8,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x681463b7b15545a4, 0x26ae0f365118bf9b, 0xfe0dfa08d1659d17,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x15652c226792bf73, 0x0000000000000100,
};

// t48_swio14_noled_pr
static const uint64_t ur_t48_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adcdeb0, 0x5b466ea44cf74192, 0x880f06613526f07d, 0x85e823af1afb3f74,
  0xc7b9827c64eed8fd, 0xba0f91dd7f81a0cf, 0x581d7ff51d313be5, 0x02dee99001f238e5, 0xe2e76e91193c7316,
  0x52b043ee39630475, 0x4541cde46d7972ab, 0xa5beace75152a8d7, 0xdfd1c89ace9b95da, 0x6ab445795c84ad8f,
  0x0b2953e9de7eb5cf, 0x14085a585cea7538, 0xb4e31bc674408f2f, 0x66880ddb288c5fcd, 0xbf75663c81a3f8d1,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0001f20493996a79,
};

static const uint64_t ur_t48_swio14_noled_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f50e244c886, 0x8f21713e978f9930, 0xeea1c00f26eea488,
  0xc13e3277792eb208, 0xc8dbffe700e7cc7c, 0x4d7a8e0a1df2dbdf, 0x94c1ed008e395606, 0xb2628c45398b0165,
  0x5403ff6608ebd1f3, 0xa11303cb3dbb589e, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0xfe8e44d674dcaed5,
  0x55a22bcae4256c7e, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x2adec5551696d138, 0x3cd94462fe6db086,
  0xdb434596745c9ab8, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f,
  0x2c3b3e04e32cd643, 0x14bc16792bf73433, 0x000000000000f938,
};

static const uint64_t ur_t48_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xe85ebd7de3f42299, 0xf83f85bc8c8121e3, 0x0ccddb532282fe64,
  0x3e32777c8e989467, 0xc09fe700e7edd4c1, 0x6e4e0ff6b47227c8, 0xa8f83660c14f51e5, 0xb34eb4203f8ad2b7,
  0x66006be8c2cb1148, 0xe1cead2f018758ce, 0x5d0ebc019d814463, 0xe12164547d04f6ab, 0x04bff00bd970e462,
  0x3791b5e5caad475d, 0xb39d454aa35d1507, 0x226b3a6e576a96fa, 0x15e57212b63f7f47, 0xd3bcf8b5d73daad1,
  0xce881077536294f0, 0x62aa8b4b689c6378, 0xa2317f36d843156f, 0xa1a2cd102e4d5c6c, 0x85a0dfbab31e40ed,
  0x964a271966b219e9, 0x0b3c95fb9a19961d, 0x000000014f80725e,
};

static const uint64_t ur_t48_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0xf6475a2e8c1ae6d6, 0xe9170fd698bcd8b1, 0x7ae34d4d91417fd9,
  0x9f193ba82b7a71ce, 0x5baffc5933f1ca60, 0x721e0ff6b461efe4, 0xa8f83660f4af51e5, 0xb34eb4203f8ace1f,
  0x66006be8c2cb1148, 0x09cead2ffb8743ee, 0xba1d7a1a9db4a471, 0xe1212628c459ed56, 0x232ffc02f65b2e62,
  0xaad4717d073ca8d8, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0x63f7f47226b3a6e5, 0x73daad115e57212b,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xd5c1e6ca2317f36d, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x5eaca77053c95fb9, 0x0000000000000027,
};

static const uint64_t ur_t48_swio14_noled_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x21a6c6eef36a38cb, 0x382ff7e58fcc5d7b, 0x99920a6f6deee1f4,
  0x9827c64ee841af5e, 0xf9095bfce01cf9c3, 0x2f2e0e7ceb1fd57c, 0x2673aee6d7ddafcf, 0x3fd475f27b965d6b,
  0x176fcbe8e395606b, 0x1f3b2628c45398b0, 0x89e5403ff6678ebd, 0x556a844c0f2d6eb5, 0x1ae8a839bc8daf2e,
  0xbb54b7d59cea2a55, 0xb1fbfa391359d372, 0xb9ed5688af2b9095, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba,
  0x84263b7b15545a5b, 0xe4d5c6ca2317f36d, 0x31e40eda1a2cd102, 0x6b219e985a0dfbab, 0xa19961d964a27196,
  0xd6c7f5e0b3c95fb9, 0x000000000000002d,
};

static const uint64_t ur_t48_swio14_noled_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xf5f682ef1fa114cc, 0xc1fc2de464090f1e, 0x9c50ccddb53dd327,
  0x4c13e32775a76d33, 0x7c8c09ff8b267edd, 0xf2eb4995aaa3eb22, 0x1b09117dc6883cf2, 0x6ba547e8b2f097e2,
  0x3dcb043593354773, 0x71cab0359fea3af9, 0x6229cc580bb7e5f4, 0xfb33c75e8f9d9314, 0x0796b75ac4f2a01f,
  0xde46d7972ab54226, 0xce75152a8d74541c, 0x89ace9b95daa5bea, 0x5795c84ad8fdfd1c, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x118bf9b6c2131dbd, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x29e4afdcd0ccb0ec,
  0x000000375f6bdbb8,
};

static const uint64_t ur_t48_swio14_noled_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0xef638eb53f1fe2e8, 0x6737a86d14202b72, 0x13130ce7126824cc,
  0x8c9dd1edb02c21f9, 0xfffe2c99fff9304f, 0xa7ec7f546e97e474, 0xb5fbadf9e5e5d693, 0x1bb58147c99cebb9,
  0x6cc1ce3ea3cafe70, 0xb4239015ba5f51f0, 0x6be8c2cb1148b34e, 0x09cead71fbbeb600, 0x9c1d7a1a9db4a471,
  0x848498a31167b55e, 0x4502700bd96cb98b, 0xaad7a7ba0e7951b0, 0x35d15073791b5e5c, 0x76a96fab39d454aa,
  0x63f7f47226b3a6e5, 0x73daad115e57212b, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x084c76f62aa8b4b6,
  0xab83cd94462fe6db, 0x207e50d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138, 0x9c659ac867a61683,
  0x257ee686658767c0, 0x000027e3d6ddc14f,
};

static const uint64_t ur_t48_swio14_noled_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x13b02f4d8c286d93, 0x7baf537d3bc8d05b, 0xee091f910f1363c1,
  0x193ba3afa0282c8e, 0x3fde69e7daee609f, 0xe5547d51caef90ff, 0xf71a20f3cbcbcedf, 0xa2cbc25f886c2445,
  0x7c99aa3b9b5fa9df, 0xd4795fce0376b33c, 0xb74bea3e0d9839c7, 0x62291669d6847202, 0x3f77d6c00d7d1859,
  0x53b6948e2139d5ae, 0x622cf6abd383af43, 0x7b2d973170909314, 0x41cf2a3608a04e01, 0x6f236bcb955af4f7,
  0x673a8a9546ba2a0e, 0x44d674dcaed52df5, 0x2bcae4256c7efe8e, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1,
  0xc5551696d138c6f1, 0x88c5fcdb61098ede, 0x8b2ce8b9357079b2, 0x7ea75663c819a7c6, 0x4ffef0f7bca1854e,
  0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xe792bf734332c3b3, 0x0000009f9bc17724,
};

// t48_swio14_lednop_pr
static const uint64_t ur_t48_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0x6b76deef85e82832, 0x880f06613526eef3, 0xd8f363d2bafa1374,
  0xefe4c13e327771de, 0x6e83e4195fe06833, 0x56075ffd47f90ef9, 0x80b7ba63d5ef8e39, 0x78b9dad647d01cc5,
  0x6a5673db8e58c11d, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0x39135c0809d372bb, 0x88af2b9095cbec7a,
  0xa70173a03cb9ed56, 0x10b4ac22617a96bc, 0xc6378ce881b1fe28, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x0f901c5f32d4f257,
};

static const uint64_t ur_t48_swio14_lednop_pr_u4[] = {
  0x41bbbbbb45d8b562, 0x1ddcb4b10ac32b04, 0x63b0bf7c2f414192, 0x06613523afad3c4e, 0x0600db691774880f,
  0xc13e3277699ead17, 0xe4489fe700e7c3dc, 0x5ffd475f0ef96e83, 0xe9b6fcbe8e395607, 0x96ba3b86731602de,
  0xadb8e58c11d78b9d, 0x9bc8daf2e556a565, 0x59cea2a551ae8a83, 0xc0809d372bb54b7d, 0xb9095cbec7a39135,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8, 0xd1726ae0f365118b,
  0xd598f2076d0d1659, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x000f93085af059e4,
};

static const uint64_t ur_t48_swio14_lednop_pr_ee[] = {
  0x327bbbbbbbd8b562, 0xc3f72d2c42261558, 0xc69ed0bd623e2d4c, 0x27c1fc2de4d7a70b, 0x09fbc5eb411417f3,
  0x04f8c9dda67bf4ee, 0x222b7f9c039f2753, 0x95fce83fdad1c89f, 0x5ea3e0d983053d47, 0x22cd3ad080fe2ba9,
  0x399801afa30b2c45, 0xdef39d5a5dfc1d63, 0x56ba1d78033b7c88, 0xc5c242ded1dc39ed, 0x60b97fe017b2e1c8,
  0x1cde46d7972ab51d, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0x01e7eb5cf6ab4457,
  0x5ceaf52c2ca6c59d, 0x67440a2fa2810b4d, 0xb288c5fcdb4e31bc, 0xb6868b3440b93571, 0xa616837eeacc7903,
  0x7659289c659ac867, 0x782cf257ee686658, 0x00000000029f1539,
};

static const uint64_t ur_t48_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x56b9696211285d63, 0x34bab8f76dbaf36b, 0x9170fd690cf17bd3, 0x45a0ab411417fd9e,
  0xf8c9dd3ada244b55, 0x2b7fe2c99f275304, 0x29707fb5a30f7f22, 0x47c1b307a57a8f2b, 0x9a75a101fc5650fd,
  0x30035f4616588a45, 0x0e75697f9c3a1f73, 0xa1d7a1a9d827a35f, 0x242c9118df9ed56b, 0x65ff805ecb65cc5c,
  0x5a8e2ed627951b04, 0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0x8e44d7020274dcae, 0xa22bcae42572fb1e,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6db18c55b, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0xe0a792bf734332c3, 0x0000000004eb966e,
};

static const uint64_t ur_t48_swio14_lednop_pr_ce[] = {
  0x61fdddddddec4743, 0xb2ae5a58b2730aac, 0x19ee2fd48be2638c, 0x4382ff7e3d3b1e30, 0xab05905a0b8eee1f,
  0x39827c64eeb45da8, 0xcf9121ffce01cf94, 0xf2f2e0e1c3b1fd57, 0x59339d7736be9afc, 0xb3fd4797d3dcb2eb,
  0x80b1ef4a8e395606, 0xd1f3b6488c6f9cc5, 0x7fa45403ff6678eb, 0xcaad65da81e5add0, 0xa35d15073791b5e5,
  0x576a96fab39d454a, 0x8f47226b81013a6e, 0xaad115e57212b97d, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0x8d94462fe6db1898, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0x8bc16792bf734332, 0x00000000005ba9c2,
};

static const uint64_t ur_t48_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda2447705, 0x3f72d2c30e1fbac1, 0xa2ed91d623e2d4cc, 0x07f0b79019b200be, 0x2650b69764f74c9f,
  0x304f8c9dd6c5ab05, 0xf237dffe2c99f8ad, 0xcbad25baaa8fac89, 0x6c2445f71a20f3cb, 0xaf495fa2cbc25f88,
  0xf72c10d64cd51dcd, 0x8e5581acff51e5f4, 0x1be731602c7bd2a3, 0xd99e3af47ced9223, 0x796b741fe91500ff,
  0xe46d7972ab5976a0, 0xe75152a8d74541cd, 0x404e9b95daa5beac, 0x84ae5f63d1c89ae0, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb6c6263b7b15545a, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x375eeadbb829e4af,
};

static const uint64_t ur_t48_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a232a8, 0x4b9696215a99d609, 0x6f6e0ebd385fe2e8, 0xce6f50d71b453770, 0xdc9685ce24d04998,
  0x193bb38b4dd33ee9, 0x7ff8b267d36e609f, 0x9bb1fd51ba5f9033, 0xafaa0fe797975a41, 0xddac0a3e4ce75dcd,
  0x660e71f51e5670c0, 0xa11c80acbafa8f83, 0x5f4616588a459a75, 0x0e756b8f9df5b003, 0xc1d7a1a9d827a35f,
  0x90b244637e7b55e9, 0xa04e017b2d973170, 0x5af4f5ac4f2a3608, 0xba2a0e6f236bcb95, 0xd52df5673a8a9546,
  0x8e44d7020274dcae, 0xa22bcae42572fb1e, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x288c5fcdb63131db, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x13ebbb829e4afdcd, 0x000000000000013f,
};

static const uint64_t ur_t48_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e5f41, 0x772d2c5c0919d62c, 0x769bad066b40db26, 0xeebd4d891e9d6443, 0x89df4e443c4d8f05,
  0x32776b5a76ab8991, 0xffde69e7c524c13e, 0xfaa8faa395df22b7, 0xdc6883cf2f2f3bad, 0x8b2f097e21b09117,
  0xf266a8ee6d70b27e, 0x51e5670c0ddaccf1, 0xcbafa8f83660e71f, 0x88a459a75a11c80a, 0xf9df5b0035f46165,
  0x9d827a35f0e756b8, 0x37e7b55e9c1d7a1a, 0xb2d97317090b2446, 0xc4f2a3608a04e017, 0xf236bcb955af4f5a,
  0x73a8a9546ba2a0e6, 0x20274dcaed52df56, 0x42572fb1e8e44d70, 0x56bae7b55a22bcae, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0xb9357079b288c5fc, 0x63c819a7c68b2ce8, 0xf7bca1854e7ea756,
  0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32, 0x9f9924f724e792bf,
};

// t48_swio14_dual_pr
static const uint64_t ur_t48_swio14_dual[] = {
  0xeeeeeeea0f3e43ee, 0x99a8728457d87e82, 0x6356ac1fa78bcada, 0xd047ced00ab125ab, 0x267da29dbb415eba,
  0x38eee593368bda79, 0x4004a4737e609f19, 0x0c195d606da57116, 0xfe053ba7c4b88185, 0x1fc382fb98a2fe65,
  0xab03eea6f51e3dec, 0x815fe63408a11c90, 0xbddf177b5d80370f, 0xa10cb42324432bb8, 0x297ff4073c26b5a2,
  0x01982c3795e425b7, 0x77cb2d7f90517fce, 0x38e5581ef7ea3f74, 0x98b01541e67261ee, 0x1d78033b2008d313,
  0x6def1bea807fecc1, 0xeee2a4af9d40f2cf, 0x1b5e5caad67f157c, 0xd454aa35d1507379, 0x13a6e576a96fab39,
  0x2b97d8f47226b810, 0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692,
  0x4d5c1e6ca2317f36, 0xc819a7c68b2f572e, 0x34a1854e7ea75663, 0xdfbe2343c899e04e, 0x271966b219e985a0,
  0xc95fb9a19961d9f0, 0x00014934fafb9273,
};

static const uint64_t ur_t48_swio14_dual_pr_u4[] = {
  0x33dddddda2e7ce7c, 0x053350e508ccf0fc, 0xadaafb7e9d914109, 0x9fb7a74174c8dc13, 0x87e362b0c6eb7619,
  0x4f8c9cc6e4843acf, 0xb88b200252011330, 0x40c2860caeb036d2, 0xff32ff029dd3e25c, 0x226c36f9c03dcc63,
  0x8e485581e9537a8f, 0x1b87c0aff31a0450, 0x95dc5eef8bbf7680, 0x13d150865a16b221, 0x12db975ffa039e13,
  0x5fe700cc161bcaf2, 0x1d003be5a0ffc8a9, 0xd8291c72ac0fa0f5, 0x637ce62c05fc3983, 0xcb1823af22dd87c4,
  0xf3bb8a9295970f71, 0xe46d7972ab59fc55, 0xe75152a8d74541cd, 0x404e9b95daa5beac, 0x84ae5f63d1c89ae0,
  0x7eb5cf6ab445795c, 0xaf52c2ca6c59d01e, 0x40a2fa2810b4d5ce, 0x8c5fcdb4e31bc674, 0xb2ce8b9357079b28,
  0xea75663c819a7c68, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x00000292702b724e,
};

static const uint64_t ur_t48_swio14_dual_pr_ee[] = {
  0xbdddddd0f5a1a5fb, 0x4cd4385c513f0fc0, 0x08774ed34e8371c5, 0xf2529555eeb71ab5, 0x6bd8b8d7c5f02ec4,
  0x6e4f05a3f0ab2b8a, 0x4a40aa2609f19269, 0x95d606da57116400, 0x73ba7c4b881850c1, 0x3813a992d7e65c1c,
  0xf7dcdea3c56d80d6, 0xf98d022847242ac0, 0x8bbcc0200dc3e057, 0x5a0fe22195dc5eef, 0xf4073c26dbf15086,
  0x2c3795e425b70d1f, 0xd4af9096bff16498, 0xfd4795cae83fdad1, 0x57befd47c1b307b7, 0x588a459a75a101fc,
  0x3a13f330035f4616, 0x3da3d28e75697286, 0xcf6ab5d0ebd8cdda, 0xf4b3170909004698, 0xaa8d8232ffc02f65,
  0xf3bb8a928e2f2288, 0xe46d7972ab59fc55, 0xe75152a8d74541cd, 0x404e9b95daa5beac, 0x84ae5f63d1c89ae0,
  0xad75cf6ab445795c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a, 0x05d8dc79b288c5fc,
  0xd4eaccdfc1ddc68b, 0x8cbf313f9430a9cf, 0xefc0f9a1e44cf173, 0x9ac867a616837e39, 0xe686658767c09c65,
  0x05643271c4cf257e,
};

static const uint64_t ur_t48_swio14_dual_pr_ee_u4[] = {
  0xc4edddddda2432db, 0x4aa66a1c2e373b0f, 0xedae3bb618a774ee, 0x477f4d99d179579c, 0x4f51f67c35f17c4e,
  0xa8b7268fefb833a4, 0x004a45c95304f8c9, 0xc195d606da571164, 0x1c73ba7c4b881850, 0x9b38456986b7e65c,
  0xc0d4f4dea3efbd86, 0x57f98d022847242a, 0xef8bbda0e00dc3e0, 0x865a06522195dc5e, 0xfffa039e13751150,
  0x982c3795e425b7b1, 0xd198ff9035bff164, 0xea3d4795b0583fda, 0xfe2b53dea3e0d983, 0x0b2c4522cd3ad080,
  0x871d07199801afa3, 0x76ee9182873ab4bc, 0xc8b3daad743af29a, 0xd971f18b84853723, 0x8a928eb22cbff00b,
  0x7972ab59fc55f3bb, 0x52a8d74541cde46d, 0x9b95daa5beace751, 0x5f63d1c89ae0404e, 0xcf6ab445795c84ae,
  0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829, 0xdc79b288c5fcdb63, 0x99bf83bb8d1659d0,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x0564e9ee3899e4af,
};

static const uint64_t ur_t48_swio14_dual_pr_ce[] = {
  0x92eeeeeeef3e43ee, 0x553350e3c9d7787f, 0xb7b5adb128cda2d4, 0x1a16246352726c4e, 0xc55f62eafb7792f9,
  0xc9c5f72c99b5ded3, 0xb2002523ce5304f8, 0x2860caeb036d2b88, 0x2ff029dd3e25c40c, 0xc0ba9c0a1cca7bf3,
  0x15606e4e6f51e43e, 0xf02bfcc681142392, 0x2f77c5decdf006e1, 0x50865a12f910caee, 0xc72ffa039e137c91,
  0x00cc161bcaf212db, 0x58feba57c853dfe7, 0xaf003f3cbcbcef02, 0xdcb2eaa5cce75dcd, 0x1cab03b5bd4709f3,
  0x989cc580a5176fc7, 0x6678ebc019d90046, 0xe5adcf78df5403ff, 0x2af9ddc5495f3a81, 0xe6f236bcb955acfe,
  0x5673a8a9546ba2a0, 0x7020274dcaed52df, 0xae42572fb1e8e44d, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x40b9357079b288c5, 0x5663c819a7c68b34, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x0e7ad53b724e792b,
};

static const uint64_t ur_t48_swio14_dual_pr_ce_u4[] = {
  0xc4edddddda2432db, 0xe4aa66a1c1973b0f, 0xcedae3bb618a774e, 0xe477f4d99d179579, 0x0ce913d47d9f6ec4,
  0x3e326a2dc9a3fbee, 0xc4590012917254c1, 0x061430657581b695, 0xf997071cee9f12e2, 0xef61a6ce115a61ad,
  0xc90ab0353d37a8fb, 0x70f815fe63408a11, 0x7717bbe2ef683803, 0x4454219681948865, 0x6dec7ffe80e784dd,
  0xfc59260b0de57909, 0x06aa3ea63fe40d6f, 0xdc6883cf0b00c247, 0x8b2f097e21b09117, 0x2e66a8ee6d7e8ffe,
  0xadea384f9ee58215, 0x0528bb7e38e5581d, 0x00cec80234c4e62c, 0xc6faa01ffb33c75e, 0x2a4af9d40f2d6e7b,
  0xe5caad67f157ceee, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x7d8f47226b81013a, 0x3daad115e57212b9,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x98edec55516920a7, 0xe3cd94462fe6db18, 0xcdfc1ddc68b2ce86,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65,
  0x69274f71c4cf257e,
};

static const uint64_t ur_t48_swio14_dual_pr_ee_ce[] = {
  0xa0addddddd437089, 0xdca66a1ca11c2f0f, 0x5b369bb1a92614e0, 0x4d88c8ce226f66eb, 0xa7ad0513e17b4541,
  0x06ee4fe1dbc9d6d1, 0x012909e5e609f193, 0x0657581b695c4590, 0x71cee9f12e206143, 0xa3826dcd3b7f9970,
  0x30b537a8e337b0dd, 0xfe63408a11c90ab0, 0xc5de30b80370f815, 0x5a05d510caee2f77, 0xf4073c264ad15086,
  0x586f2bc84b6f8ddf, 0xc17e44edffe2c930, 0x160184a76ec7f546, 0x99cebb9b5c113f9e, 0x3caf0201bb581724,
  0x56f51f06cc1c89ea, 0x148b34eb4239015e, 0x0feb6006be8c2cb1, 0xb47b47a51cead705, 0xc67b55e9c1d7b19b,
  0x2fa598b848480234, 0x22aa3608a04e017b, 0xabe7771525e9ec8a, 0x9bc8daf2e556b3f8, 0x59cea2a551ae8a83,
  0xc0809d372bb54b7d, 0xb9095cbec7a39135, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102,
  0xf36d8c4c76f62aa8, 0x59a20371e6ca2317, 0x1bf75666fe0eee34, 0x04e32cd6433d30b4, 0x792bf734332c3b3e,
  0x0000130438538e26,
};

static const uint64_t ur_t48_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e5f82, 0x9a87099f1ff0fa72, 0xc3b45f62e3d90529, 0x2bebb4f577b90f5f, 0xcb474e4e4739a716,
  0xe6bd5c795efeaf87, 0x04f8c90dd72dad5b, 0xb88b2002521e3d73, 0x40c2860caeb036d2, 0xfccaecc59dd3e25c,
  0x7f61000e02926fd7, 0x242ac0e76e6f51eb, 0xc3e057f98d022847, 0xb8bddf177bc0200d, 0x4542196869b4432b,
  0xba547fd01cf09b02, 0xe69cc161bcaf212d, 0x8faa38e5f23f5ffd, 0x41e7858041cfd7aa, 0x84bf10d8488bee34,
  0xa8ee6d77807f4597, 0x78100ddaccfc9266, 0xa8f83660e44f51e5, 0x59a75a11c80af2b7, 0x5b0035f4616588a4,
  0xda3d28e756b8287f, 0xdaaf4e0ebd8cdda3, 0x2cc5c2424011a633, 0x51b04502700bd97d, 0x3bb8a92f4f645115,
  0x46d7972ab59fc55f, 0x75152a8d74541cde, 0x04e9b95daa5beace, 0x4ae5f63d1c89ae04, 0xd75cf6ab445795c8,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x6c6263b7b15545a4, 0x26ae0f365118bf9b, 0xfe0dfa08d1659d17,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x2eadac226792bf73, 0x0000000000000200,
};

// t48_swio15_noled_pr
static const uint64_t ur_t48_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0x04f066127bb4c9df, 0x2f64188f1f79375b,
  0xc7cc13e32775a9e8, 0xa4f91b7ffc0d067c, 0xc0f9ef51e213be5b, 0x2dee9b4a5af1c72a, 0x5ced70d193473160,
  0x5657fdc72c608ebc, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xa391359d372bb54b, 0x445795c84ab57fbf,
  0x953e9de7eb5cf6ab, 0x85a585cea75380b2, 0x31bc674408bf7140, 0x80ddb288c5fcdb4e, 0x5663c81a3f8d1668,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0x0f9000b996a792bf,
};

static const uint64_t ur_t48_swio15_noled_pr_u4[] = {
  0x077777768bb128ae, 0xbb9696215988d61b, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf75b04f06,
  0x27c64eefd3dc2848, 0x8ea3fce01cfedf98, 0xf7a8ff21df2dd27c, 0xa69126e8e395607c, 0x64547d01cc580b7b,
  0x9371cb1823af173b, 0x3791b5e5caad4ace, 0xb39d454aa35d1507, 0x26b3a6e576a96fab, 0xf2b90956aff7f472,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x2317f36c648ab7b1, 0x2cb3a2e4d5c1e6ca,
  0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xb3c95fb9a19961d9, 0x0000001f269a05e0,
};

static const uint64_t ur_t48_swio15_noled_pr_ee[] = {
  0x1bbf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0x7f07f0ba10d85a33, 0xda59fbc764505ff7,
  0x27c64eef25da668e, 0x195bfce01cfe9b98, 0xad2b41fed68fbaf9, 0xea3e0d98397dea3c, 0x2cd3ad080fe2bf9d,
  0x99801afa30b2c452, 0xae73ab4bafb1d633, 0x5d0ebc019da5f235, 0x709087c47d24f6ab, 0x925ff805ecb87231,
  0x9bc8daf2e556a3ae, 0xd9cea2a551ae8a83, 0x1359d372bb54b7d5, 0x795c84ab57fbfa39, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x118bf9b632455bd8, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0x59e4afdcd0ccb0ec, 0x000000029f0922f0,
};

static const uint64_t ur_t48_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447032, 0x56b96962111a5d61, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417f791,
  0xf8c9dd3b5b2ed395, 0x4dffe2c99f1ad304, 0x38707fb5a38f7f23, 0x47c1b3067afa8f2b, 0x9a75a101fc565d7d,
  0x30035f4616588a45, 0x0e756977263a1f73, 0xd0ebd0d4ec7aa3f9, 0x090a2147bdcf6ab5, 0x197fe017b2d97317,
  0xad4717d260b546c1, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xf7f47226b3a6e576, 0xd5688af2b90956af,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0xc1e6ca2317f36c64, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x22f77053c95fb9a1, 0x000000000000275d,
};

static const uint64_t ur_t48_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bde6ec1e38cb, 0xc17f369a9c2f6226, 0x22b461436f77d7a1,
  0xc13e32776a2ed05f, 0xc8f9dfe700e7cbac, 0x797071d2d8feb377, 0x99cebb9b5c347e79, 0xef51e6e9ee5975ac,
  0x0a654e31c72ac0c9, 0x8f9da2147bd9cc58, 0xa4d2a01ffb33c75e, 0x2ab57d6e0796b708, 0x8d74541cde46d797,
  0xdaa5beaece75152a, 0xbfdfd1c89ace9b95, 0x7b55a22bcae4255a, 0xc529e1a779f16bae, 0x38c6f19d1020eea6,
  0x218edec5551696d1, 0x26ae365118bf9b63, 0x8f2076d0d1668817, 0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3,
  0xa2fdaf059e4afdcd, 0x000000000000016e,
};

static const uint64_t ur_t48_swio15_noled_pr_ce_u4[] = {
  0xefdddddda24477d6, 0x3f72d2c30e62fac6, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deeeef,
  0xe609f193bb61b7c8, 0xbe4656ffc5933fa6, 0x7975a495d551f5ee, 0x0d8488bee3441e79, 0xb5d90ff459784bf1,
  0x9ee5821ac99aa3b9, 0x1c72ac0c9ef51e6e, 0x47bd9cc580a654e3, 0xffb33c75e8f9da21, 0xe0796b708a4d2a01,
  0xcde46d7972ab57d6, 0xece75152a8d74541, 0x89ace9b95daa5bea, 0xbcae4255abfdfd1c, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x118bf9b63218edec, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x29e4afdcd0ccb0ec,
  0x000000375de6dbb8,
};

static const uint64_t ur_t48_swio15_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d636, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e712683b6c,
  0x8c9dd3adacccb572, 0xfffc5933fbb5304f, 0x8fd8fea8e43fc831, 0x6bbaa3f3cbcbad21, 0x376b028f9339d773,
  0xd983403d4795ba50, 0x6847202b90fea3e0, 0xd7d185962291669d, 0x439d5ae1c9fd6c00, 0x383af4353b1ea8fe,
  0x090a2147bdcf6abd, 0x8a04e017b2d97317, 0xab5e9ee9305aa360, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0xfdfd1c89ace9b95d, 0xb55a22bcae4255ab, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xe0f365118bf9b632, 0x1f9434597ab9726a, 0xa1854e7ea75663c8, 0xbe2343c899e04e34, 0x1966b219e985a0df,
  0x5fb9a19961d9f027, 0x0009f856a77053c9,
};

static const uint64_t ur_t48_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61a, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f12d4c1,
  0xc9dda2fd6c49af13, 0xff79a79f801304f8, 0xeaa3ea8f7dfc8b5b, 0x71a20f3cbcbceed6, 0x2cbc25f886c2445f,
  0x933547736bbb77fa, 0x8f2b74a06ed6678f, 0x21fd47c1b306807a, 0x4522cd3ad08e4057, 0x93fad801afa30b2c,
  0x763d51fc873ab5c3, 0x7b9ed57a7075e86a, 0x65b2e62e1214428f, 0x60b546c11409c02f, 0xc8daf2e556bd3dd2,
  0xcea2a551ae8a839b, 0x59d372bb54b7d5d9, 0x5c84ab57fbfa3913, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x17f36c6431dbd8aa, 0xb3a2e4d5c1e6ca23, 0x9d598f20669f1a2c, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x00027e3f02dc939e,
};

static const uint64_t ur_t48_swio15_lednop[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fbad82,
  0x7b9827c64eeb53dd, 0xa4f91dd7f81a0cfc, 0xc0f9ef51e6e3be5b, 0x16f74c654e31c72a, 0x173b3de8ed6398b0,
  0x4ac11771cb1823af, 0x15073791b5e5caad, 0x6fabb39d454aa35d, 0x26b81013a6e576a9, 0xaf2b9095c958f472,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x18bf9b6815156f62, 0x2d06fc7c3b1bb651,
  0xb25138cb3590cf4c, 0xa9e4afdcd0ccb0ec, 0x00000002a497fe65,
};

static const uint64_t ur_t48_swio15_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d627b, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd9ee888,
  0x4f8c9ddf23b8bd19, 0x0c7ff9c039fa9530, 0x3d47d28ef9683ff2, 0xd01827c71cab03e8, 0xf88e32398b016594,
  0x03ff6608ebd1f3b2, 0xe40f2cf6c6fdc354, 0x39bc8daf2e556b70, 0x5d9cea2a551ae8a8, 0xc0809d372bb54b7d,
  0x5c84ae4ac7a39135, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb40a8ab7b1554,
  0xecb9357079b288c5, 0x75663c81db434582, 0x5f989fca1854e7ea, 0xe07cd0f22678b9c6, 0x6433d30b41bf1cf7,
  0x4332c3b3e04e32cd, 0x27842bc16792bf73, 0x000000000000001f,
};

static const uint64_t ur_t48_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8ad4e, 0xddcb4b10ac4ceb0d, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f75b04f06,
  0x7c64eef91d411199, 0xeebfce01cfc7b982, 0x7a8f371df2dd27c8, 0x632a718e395607cf, 0xef476b1cc580b7ba,
  0xbb8e58c11d78b9d9, 0xbc8daf2e556a5608, 0x9cea2a551ae8a839, 0x809d372bb54b7d5d, 0x84ae4ac7a39135c0,
  0xad75cf6ab445795c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0xb9357079b288c5fc,
  0xcc7903b6868b2ce8, 0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b,
  0xee686658767c09c6, 0x03e4fa79782cf257,
};

static const uint64_t ur_t48_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0xefe0fe17426d9305, 0xce199bb4108a0bfe,
  0x827c64eef91d3128, 0x22397f9c039feaf9, 0x95ba583fdad1f75f, 0x7d47c1b3072fbd47, 0x459a75a101fc5651,
  0x7330035f4616588a, 0x4c4e7569780c3ac6, 0x5ae875e00ced9223, 0x17090a0fa3b5a7b5, 0xb3e5ff805ecb8723,
  0x73791b5e5caad474, 0xbb39d454aa35d150, 0x81013a6e576a96fa, 0xb9095c958f47226b, 0x3cfd6b9ed5688af2,
  0x9d5ea58594d8b3a0, 0xe88139f4502169ab, 0x5118bf9b69c6378c, 0xd0d166881726ae36, 0xc2d06fdd598f2076,
  0xcb25138cb3590cf4, 0x059e4afdcd0ccb0e, 0x00000000a7c0392f,
};

static const uint64_t ur_t48_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222a20, 0xab5cb4b1088f5eb0, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfbc8,
  0x3e327755f6c1b8d5, 0x1cbff164cff57cc1, 0x94383fdad1c7bf91, 0xa3e0d9833d7d4795, 0xcd3ad080fe2b60be,
  0x9801afa30b2c4522, 0xc73ab4bba51d0fb9, 0xe875e86a769111cd, 0x8484be238ca7b55a, 0x8cbff00bd96cb98b,
  0xab51c588a4d2a360, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0x1c89ae0404e9b95d, 0xa22bcae42572563d,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6da05455b, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0xe0a792bf734332c3, 0x00000000275c216e,
};

static const uint64_t ur_t48_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef623f3e, 0x9572d2c593848563, 0xbf4ddeecfe0f1c65, 0xc17f36ac9b532678, 0x9c6c20950f77d7a1,
  0xc13e327748fed91e, 0xc8387fe700e7d82c, 0x797070bad8feb377, 0x339d7736bcedfe79, 0xdea3ce33dcb2eb59,
  0x298f3d638e558193, 0x3e765f11c6473160, 0xb86a807feccf1d7a, 0xab5b8720796b70df, 0xd74541cde46d7972,
  0xaa5beaece75152a8, 0x1c89ae0404e9b95d, 0xa22bcae42572563d, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0x288c5fcdb40a31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x82cf257ee6866587, 0x00000000b756e3d7,
};

static const uint64_t ur_t48_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2445541, 0x3f72d2c30e433ac6, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbbbf,
  0x9827c64eea0ade9c, 0xf916ebff164cfc72, 0xe5d6934dd547d7ba, 0x361222fb8d1079e5, 0xd724afd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c0531e7ac, 0xfd99e3af47cecbe2, 0x0f2d6e1bf70d500f,
  0xbc8daf2e556b70e4, 0x9cea2a551ae8a839, 0x809d372bb54b7d5d, 0x84ae4ac7a39135c0, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x1baf5653b829e4af,
};

static const uint64_t ur_t48_swio15_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac6, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a0edb,
  0xe32777ed694e2c52, 0xf9ff8b267f4d4c13, 0x3fe58fea8e43fc8f, 0x36b9b77f9e5e5d69, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xd6847202b297ea3e, 0x0d7d185962291669, 0x6e39d5ae1d2fd6c0, 0xd383af4353b4888e,
  0x709097c47194f6ab, 0x08a04e017b2d9731, 0x955af4f08a4d2a36, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95,
  0xe8e44d7020274dca, 0xad115e57212b92b1, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d,
  0xd94462fe6da0518e, 0x0d165eae5c9ab83c, 0x539fa9d598f207e5, 0xd0f22678138d2861, 0xac867a616837ef88,
  0x686658767c09c659, 0x7e1cf9dc14f257ee, 0x0000000000000002,
};

static const uint64_t ur_t48_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61a, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e25a982,
  0xc9ddb9da3dabbec4, 0xfef34f3f8dd304f8, 0xd547d51efbf90d77, 0xe3441e797979db5d, 0x59784bf10d8488be,
  0x266a8ee6d7e1fff4, 0x1e565d40ddaccf1f, 0xa5fa8f83660d00f5, 0x8a459a75a11c80ac, 0x4bf5b0035f461658,
  0xed22239b8e756b87, 0x653daaf4e0ebd0d4, 0xcb65cc5c2425f11c, 0x934a8d822813805e, 0xc8daf2e556bd3c22,
  0xcea2a551ae8a839b, 0x09d372bb54b7d5d9, 0x4ae4ac7a39135c08, 0xd75cf6ab445795c8, 0x482e52d7ce80f1ca,
  0x829c6378ce881085, 0x681463b7b15545a4, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xf34716e49cf257ee,
  0x0000000000000013,
};

// t48_swio15_dual_pr
static const uint64_t ur_t48_swio15_dual[] = {
  0x0ddddddd41e7ce7c, 0xa99a872849c587c2, 0xb59f6f4e3138bcad, 0xad06947b3628171a, 0x873b6514add081eb,
  0xc9c7772421d75b1f, 0xb2002520c03304f8, 0x2860caeb036d2b88, 0x2ff029dd3e25c40c, 0x60fe1c17dcc517f3,
  0x85581f7537a8f1ef, 0x7c0aff31a04508e4, 0xe2f77c5df00001b8, 0x8a8432d08c910cae, 0xdca1ffd01cf09ad6,
  0x380660b0de579096, 0x7cef967bfe47eeff, 0x71c72ac0e0ffa8fb, 0x9cc580aa0f32568f, 0x08ebc019db4a4710,
  0x3db4c6325403ff66, 0xf9ddc549702503cb, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x0274dcaed52df576,
  0x12b92b1e8e44d702, 0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0xe4d5c1e6ca2317f3, 0x3c819a7c68b2f572, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04, 0x0271966b219e985a,
  0x3c95fb9a19961d9f, 0x00000524ce7db927,
};

static const uint64_t ur_t48_swio15_dual_pr_u4[] = {
  0x4bdddddda2e7ce7c, 0x053350e508ccf0fb, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375bad2,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xff997f814ee9f12e, 0x91361b7ce01ee631,
  0x47242ac0f4a9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5dfbb40, 0x89e8a8432d0b5910, 0x096dcbaffd01cf09,
  0xaff380660b0de579, 0x8e801df2c37fe454, 0xec148e395607d27a, 0x31be731602fe1cc1, 0xe58c11d7916ec3e2,
  0xf9ddc5494acb87b8, 0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x0274dcaed52df576, 0x12b92b1e8e44d702,
  0x07973daad115e572, 0x4c2f52d794e02e74, 0x88145f4502169584, 0x118bf9b69c6378ce, 0x1659d1726ae0f365,
  0xfd4eacc790334f8d, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0xcf257ee686658767, 0x000000524e056e49,
};

static const uint64_t ur_t48_swio15_dual_pr_ee[] = {
  0x67bbbbba1eb432db, 0x153350e1710b61f6, 0xb49bdd1ed61a0dc7, 0xd89e4aec947eb4cf, 0xbbfbbcfb1af8bd99,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x6b1c09d4c96bf32e,
  0x607bee6f51e2b6c0, 0x2bfcc68114239215, 0x77c5dea91006e1f0, 0x432d07f110caee2f, 0xbffa039e136df8a8,
  0x982c3795e425b74d, 0xa328bf2287fff164, 0x657a8f2bdf707fb5, 0xfc576ebd47c1b306, 0x16588a459a75a101,
  0x0a3a13f330035f46, 0xd8c7a33d4e756976, 0x10cf6ab5d0ebd8cd, 0x65f4b317090b4a47, 0x6f6a8d8232ffc02f,
  0x2af9ddc54947163e, 0xe6f236bcb955acfe, 0x7673a8a9546ba2a0, 0x020274dcaed52df5, 0x7212b92b1e8e44d7,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551, 0x2c176371e6ca2317,
  0x3f53ab337f07771a, 0xce32fcc4fe50c2a7, 0xe7bf03e6879133c5, 0x966b219e985a0df8, 0xfb9a19961d9f0271,
  0x00ac9843c7133c95,
};

static const uint64_t ur_t48_swio15_dual_pr_ee_u4[] = {
  0xc9dbbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bf272,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0x0e39dd3e25c40c28, 0x4d9c22b4c35bf32e,
  0x606a7a6f51f7dec3, 0x2bfcc68114239215, 0xbbe2ef524006e1f0, 0x2196819488657717, 0x6ffe80e784dd4454,
  0x260b0de579096dc6, 0x5a37f3e41c1ffc59, 0xc27fa8f2b53d07fb, 0x3f8af027a8f83660, 0xc2cb1148b34eb420,
  0x70c741c666006be8, 0x76dbe8e5f1cead2e, 0x8f93daad743af29a, 0xecb8f8c5c2420511, 0xe2a4a3a1f25ff805,
  0x5e5caad67f157cee, 0x54aa35d15073791b, 0x6e576a96fabb39d4, 0x958f47226b81013a, 0x9ed5688af2b9095c,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053, 0xb8f365118bf9b681, 0x337f07771a2cb3a1,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0x0564815c7133c95f,
};

static const uint64_t ur_t48_swio15_dual_pr_ce[] = {
  0xac1ddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b7560f,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x65fe053ba7c4b881, 0xd817538143994f7e,
  0x42ac0dc9cdea3c87, 0x3e057f98d0228472, 0xe2f77c5dfd6600dc, 0x150865a12f910cae, 0xb8d6ffa039e137c9,
  0x700cc161bcaf212d, 0xb58fea7afc8c09fe, 0xb5d0fbf3cbcbcef2, 0x7b965d54b99cebb9, 0x71cab03117d47912,
  0x3884e62c05fdc654, 0xfb33c75e00ceda52, 0x0796b7263192a01f, 0xfc55f3bb8a92e04a, 0x41cde46d7972ab59,
  0xeaece75152a8d745, 0xae0404e9b95daa5b, 0xcae42572563d1c89, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x5fcdb40a31dbd8aa, 0x440b9357079b288c, 0x75663c819a7c68b3, 0x32cd6433d30b41bf,
  0xbf734332c3b3e04e, 0x01cf581cb724e792,
};

static const uint64_t ur_t48_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x2a741640258b7727,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xfccb838e774f8971, 0xf7b0d36708ad30d6,
  0xe485581a9e9bd47d, 0xb87c0aff31a04508, 0x5dc5eef8bbd49001, 0x51150865a0652219, 0x5b719bffa039e137,
  0xff164982c3795e42, 0x9d5547d5fcf90707, 0xfb8d1079e1601848, 0xd165e12fc4361222, 0xa5ccd51dcdaed07f,
  0x88bea3c893dcb042, 0x602fee32a38e5581, 0xf00676d291c42731, 0x318c9500ffd99e3a, 0xdc549702503cb5b9,
  0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x92b1e8e44d702027, 0x73daad115e57212b,
  0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0x6e3cd94462fe6da0, 0xccdfc1ddc68b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x034920571c4cf257,
};

static const uint64_t ur_t48_swio15_dual_pr_ee_ce[] = {
  0x9daddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed14ed,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x38e774f8971030a1, 0xd1c136e69dbfccb8,
  0x185a9bd4719bd86e, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x9681754432bb8bdd, 0xfd01cf0992b45421,
  0x161bcaf212dbfebf, 0xd4f7c87f9ff8b24c, 0xe1601849fe58fea8, 0x499cebb9b5f9bff9, 0xa3caf2b01bb58172,
  0xcaef51f06cc1f75e, 0x1148b34eb4239015, 0xc17eb6006be8c2cb, 0xbb18f467a9cead70, 0x8867b55e9c1d7b19,
  0xb2fa598b8485a523, 0x9bdaa3608a04e017, 0xc55f3bb8a92f4f0f, 0x1cde46d7972ab59f, 0xaece75152a8d7454,
  0xe0404e9b95daa5be, 0xae42572563d1c89a, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440,
  0xfcdb40a31dbd8aaa, 0x166880dc79b288c5, 0x06fdd599bf83bb8d, 0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf,
  0x000004c11b8fe389,
};

static const uint64_t ur_t48_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f843, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a704339cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x7fccaecc59dd3e25,
  0xb7f61000e02926fd, 0x7242ac0e76e6f51e, 0xdc3e057f98d02284, 0xbb8bddf1779d7c00, 0x24542196869b4432,
  0xdbb21ffd01cf09b0, 0xde69cc161bcaf212, 0xa8faa31adf23b07f, 0x441e7858041cec1a, 0x784bf10d8488bee3,
  0x6a8ee6d73afbf459, 0x579580ddaccfc926, 0x7a8f83660fbaf51e, 0x459a75a11c80ae57, 0xf5b0035f4616588a,
  0xc7a33d4e756b860b, 0x3daaf4e0ebd8cdd8, 0xd2cc5c242d291c43, 0xd51b04502700bd97, 0xf9ddc5497a787cde,
  0xf236bcb955acfe2a, 0x73a8a9546ba2a0e6, 0x0274dcaed52df576, 0x12b92b1e8e44d702, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xda0518edec555169, 0xc9ab83cd94462fe6, 0xbf837e8234596745,
  0xef2861539fa9d599, 0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3,
  0x05594b0899e4afdc, 0x0000000000000040,
};

// t88_swio10_noled_pr
static const uint64_t ur_t88_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10adbbeb0, 0xdbe9776e27524192, 0x80f06612226f897e, 0x315a38fd68917748,
  0x1ee609f193ba0bf7, 0x6b6cf489fe06833e, 0x0621fd477bcef962, 0x6f74d38e458e3956, 0xe76e811acf398b01,
  0x635f6e39630475e2, 0x39ad9edaf2e556a5, 0x59cea2a551ae9d9e, 0x86cf4d672bb54b7d, 0x15e536792a97debe,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0x6f19d10270a45021, 0x376ca2317f36d38c, 0x98f2068fe3459a20,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0x20072e65a9e4afdc, 0x000000000000001f,
};

static const uint64_t ur_t88_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a5885626758d, 0xfa0bf4d06e264433, 0xf211c6c446bf0785, 0x2e236f67eeea4888,
  0x4f8c9ddf23a82233, 0xddd7f9c039f8f730, 0xf51e6e3be5845db3, 0xc654e31c72ac0c9e, 0xde8ed6398b016594,
  0x03ff6608ebd1f3b3, 0x540f2cf6ee1acf54, 0x9ad9edaf2e556aab, 0x9cea2a551ae9d9e3, 0x6cf4d672bb54b7d5,
  0x5e536792a97debe8, 0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x118bf9b6409156f6,
  0x1659d1726ae0f365, 0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0,
  0xf8138cb3590cf4c2, 0x59e4afdcd0ccb0ec, 0x00000007c9f4f2f0,
};

static const uint64_t ur_t88_swio10_noled_pr_ee[] = {
  0x327bbbbbbbd8b562, 0x87ee5a588442b758, 0xc69ed0bd1aef2299, 0xf07f0bd9e8261550, 0xfde2fb1e4505fcc9,
  0x7c64eed33dfa7704, 0xa7bfce01cfefb982, 0xee83fdad184fdb3c, 0x3e0d9839bbd4795f, 0xd3ad080fe2b727ea,
  0x801afa30b2c4522c, 0x39d5a5dfc1d63399, 0x43af006769b91e45, 0x2428c919353daad7, 0x97fe017b2e1c8c5c,
  0x67b6bcb955a8e89a, 0xa8a9546ba7678e6b, 0xd359caed52df5673, 0x4d9e4aa5f7afa1b3, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2fe6d902455bd8aa, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000014f8a9cbc167,
};

static const uint64_t ur_t88_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda2447705, 0xad72d2c4221fbac6, 0xa8bb6477d2d686d6, 0x9170ff8b066c802f, 0x16d2ec991417fd9e,
  0xf193bad8b560a4ca, 0xfbffc5933f15a609, 0x4b07fb5a332b6cf6, 0x7c1b306807a8f2b7, 0xa75a101fc5721fd4,
  0x0035f4616588a459, 0xe7569728a3a1f733, 0x0ebd0d4ec80234c4, 0x909ef476b4f6ab5d, 0x97fe017b2d973170,
  0xd47164d57f546c11, 0xb3c735b3db5e5caa, 0x6fab39d454aa35d3, 0xd7d0d9e9ace576a9, 0x5a22bca6cf2552fb,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xadec5551696d138c, 0xe6ca2317f36c8122, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xb77053c95fb9a199, 0x00000000004ebdd5,
};

static const uint64_t ur_t88_swio10_noled_pr_ce[] = {
  0x0feeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x09ac86993bf238cb, 0x705ff5605fe3f8fa, 0x89c2ac9933ddc3e8,
  0x609f193bb4176859, 0xcf393ff38073f21e, 0x0583895ac7f5c936, 0x673aee6d7ff9f9e0, 0xfd47c927b965d6b2,
  0x5ee8148e39560782, 0x7cecf7a3b58e62c0, 0xb3d500ffd99e3af4, 0x56aab540f2d6eb86, 0x9d9e39ad9edaf2e5,
  0x4b7d59cea2a551ae, 0xdebe86cf4d672bb5, 0xaad115e536792a97, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362,
  0xc76f62aa8b4b689c, 0x5c6ca2317f36c810, 0x40eda1a2cd102e4d, 0x19e985a0dfbab31e, 0x961d964a271966b2,
  0xbe5e0b3c95fb9a19, 0x0000000000016ea8,
};

static const uint64_t ur_t88_swio10_noled_pr_ce_u4[] = {
  0x93dddddda2447e4a, 0x3f72d2c30e15bac1, 0x42f5ebe8d77914cc, 0x83f85ecf4130aa87, 0xaf8fde2fb1fba64f,
  0x9827c64eebd6d312, 0xb3ca7bff164cfefb, 0x5ad2604aa8fa84fd, 0x61222fb8d1079e00, 0x7eb3fd165e12fc43,
  0xb96086b266a8ee6d, 0x39560782fd47c927, 0xb58e62c05ee8148e, 0xd99e3af47cecf7a3, 0xf2d6eb86b3d500ff,
  0x9edaf2e556aab540, 0xa2a551ae9d9e39ad, 0x4d672bb54b7d59ce, 0x36792a97debe86cf, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x7f36c810c76f62aa, 0x3a2e4d5c1e6ca231, 0x3ab31e40fca1a2cb,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02,
  0x0006eb938b77053c,
};

static const uint64_t ur_t88_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447032, 0x972d2c42b1a5ac13, 0x76cbbdb1f50fc5d0, 0xce6e5c6c8d05363a, 0x7f4cfdce24d04998,
  0x193ba76b6c4a72a6, 0x5ff8b267c66e609f, 0xd58fea8fe76d9e0b, 0xaf743fcf002d6902, 0xddac0a3e4ce75dcd,
  0xcc1cbef51e569580, 0x4239015fcef51f06, 0xbe8c2cb1148b34eb, 0x9cead70517eb6006, 0xc1d7a1a9d9004698,
  0x484f7a3b5a7b55e9, 0x502700bd96cb98b8, 0x5af4f1355fd51b04, 0x7678e6b67b6bcb95, 0x2df5673a8a9546ba,
  0x7afa1b3d359caed5, 0xab445794d9e4aa5f, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x79b288c5fcdb2043, 0xca1a2cbd5cb93570, 0xc2a73f53ab31e40f, 0x11a1e44cf0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x013f1023b829e4af,
};

static const uint64_t ur_t88_swio10_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e173e, 0x772d2c5c0a38d62c, 0x8ed89d6414d8db26, 0xeebec9ac1a66f5cc, 0x836d16443c4d8f05,
  0x27777ef6c3227a33, 0xfbcd3cfd6fcc13e3, 0x51f54795b6cf4edf, 0x6883cf002e773b75, 0x2f097e21b09117dc,
  0xcd51dcdae30bfe8b, 0xcad2b01bb599e3e4, 0xdea3e0d98397dea3, 0x91669d6847202bf9, 0xfd6c00d7d1859622,
  0x2008d3139d5ae0a2, 0x4f6abd383af4353b, 0xd973170909ef476b, 0xfaa3608a04e017b2, 0x6d7972ab5e9e26ab,
  0x52a8d74ecf1cd6cf, 0xb395daa5beace751, 0x3c954bef5f4367a6, 0x5aeb9ed5688af29b, 0x3ba9b14a7869de7c,
  0xa5b44e31bc674408, 0x9b640863b7b15545, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x13f08396e49cf257,
};

// t88_swio10_lednop_pr
static const uint64_t ur_t88_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0xd6edbdd1b42ca832, 0x101e0cc2444ddde6, 0xb1e6c7a575f426e9,
  0xdfc9827c64eee3bd, 0x4d6d9e32bfc0d067, 0xc0c43fa8ff21df2c, 0x16f74c7abdf1c72a, 0x173b5ac8fa0398b0,
  0x4ace7b71cb1823af, 0x3c735b3db5e5caad, 0xfab39d454aa35d3b, 0x9e9ae0404e576a96, 0xca6cf255aba5fd0d,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x67440d8ff14085a6, 0xb288c5fcdb4e31bc, 0xc81a3f8d166880dd,
  0x433d30b41bf75663, 0x32c3b2c944e32cd6, 0xe2f996a792bf7343, 0x0000000000007c80,
};

static const uint64_t ur_t88_swio10_lednop_pr_u4[] = {
  0x41bbbbbb45d8bf82, 0xddcb4b10ade96b04, 0xfb98e8da16541921, 0x984889c7fc5b07f1, 0x36c99f37dd2203c1,
  0x9f193ba627490836, 0x827ff9c039f32a60, 0xea3e4877cb135b67, 0x7740a471cab0310f, 0xe23e90e62c05bdd3,
  0xdc72c608ebc5cec3, 0x9edaf2e556a565c3, 0xa2a551ae9d9e39ad, 0x20272bb54b7d59ce, 0x2ad5d2fe86cf4d70,
  0xd73daad115e53679, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0xbb22adec55516920, 0xd5c1e6ca2317f36c,
  0xe40eda1a2cb3a2e4, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f,
  0xa19961d9f0271966, 0xe4cb35e0b3c95fb9, 0x0000000000000003,
};

static const uint64_t ur_t88_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0x87ee5a5884453758, 0xb4bd1a7aebcbda99, 0x4f83f85ecfdc7798, 0xb3760cc902282fe6,
  0x09f193ba627571c1, 0xf6ceff38073e7066, 0x695a0ff6b4613f6c, 0xa8f83660e6ef51e5, 0xb34eb4203f8ad7df,
  0x66006be8c2cb1148, 0xb9cead2e63c758ce, 0xba1d78033b4428d6, 0xe12108a8fa49ed56, 0xf4bff00bd970e462,
  0x5b3db5e5caad475c, 0x9d454aa35d3b3c73, 0xe0404e576a96fab3, 0xf255aba5fd0d9e9a, 0xf5ae7b55a22bca6c,
  0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0xc5fcdb4e31bc6744, 0x8b3440b93571b288, 0x837eeacc7903b686,
  0x289c659ac867a616, 0xf257ee6866587659, 0x000000a7ce71782c,
};

static const uint64_t ur_t88_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222044, 0x56b9696211069d63, 0x23fa697499f1f36b, 0x22e1ff167ec19e3b, 0x40f5c902282ffb3d,
  0xf8c9dd1edb1c4218, 0x677fe2c99f383304, 0x7583fdad1995b67b, 0x3e0d983403d47959, 0xd3ad080fe2b297ea,
  0x801afa30b2c4522c, 0x73ab4ba561d0fb99, 0x875e86a76ea11e48, 0x90be44707e7b55ae, 0x97fe017b2d973170,
  0xa8e2ee1acf546c11, 0x678e6b67b6bcb955, 0xdf5673a8a9546ba7, 0xb3d35c0809caed52, 0x794d9e4ab574bfa1,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xc5fcdb2ec8ab7b15, 0x2ce8b9357079b288,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d,
  0xf257ee686658767c, 0x000004eba681dc14,
};

static const uint64_t ur_t88_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833de6ec1e38cb, 0x82ffab63b05fe94a, 0x4a82121006ee1f43,
  0x609f193bb647420e, 0xcf3a5ff38073e52e, 0x0583921ec7f5c936, 0xce75dcdae9b7f9e0, 0xfa8e0a4f72cbad64,
  0x43da011c72ac0f05, 0xe76f911c1f398b01, 0x40a807feccf1d7a3, 0xad605681e5addbdf, 0x3b3c735b3db5e5ca,
  0x96fab39d454aa35d, 0x0d9e9ae0404e576a, 0x2bca6cf255aba5fd, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xaaa2d2414e31bc67, 0x8c5fcdb2ec31dbd8, 0x68b3440b93571b28, 0x6837eeacc7903b68, 0x9289c659ac867a61,
  0xcf257ee686658765, 0x000000b751e5d782,
};

static const uint64_t ur_t88_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2446f43, 0x3f72d2c30e1bbac1, 0x106d45d75e5ed4cc, 0x07f0bd9e56d0485e, 0x650d3866f4f74c9f,
  0x304f8c9dd015bc97, 0x67a577fe2c99fd9d, 0xb5a4df7551f509fb, 0xc2445f71a20f3c00, 0xf723fa2cbc25f886,
  0x72c10d64cd51dcda, 0x72ac0f05fa8e0a4f, 0x1f398b0143da011c, 0xccf1d7a3e76f911c, 0xe5addbdf40a807fe,
  0x3db5e5caad605681, 0x454aa35d3b3c735b, 0x404e576a96fab39d, 0x55aba5fd0d9e9ae0, 0xae7b55a22bca6cf2,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0xec31dbd8aaa2d241, 0x57079b288c5fcdb2, 0x903f2868b2ce8b93,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a,
  0xf1f5ddc14f257ee6, 0x00000000000001ba,
};

static const uint64_t ur_t88_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22a20, 0x4b96962158c4d609, 0x23b06f71de63e2e8, 0x67372e2696c8e2f1, 0x1f2234e7126824cc,
  0x8c9dd57da1ba352c, 0xfffe2c99f0d1304f, 0x7ec7f547f3b6cf58, 0xae000fcf002d692c, 0xddac0a3e4ce75dcd,
  0xcc1cbef51e5721c0, 0x42390159c3f51f06, 0xbe8c2cb1148b34eb, 0x1cead7095beb6006, 0xc1d7a1a9dba84792,
  0x90be44707e7b55e9, 0xa04e017b2d973170, 0x6bd3d70d67aa3608, 0xd9e39ad9edaf2e55, 0xb7d59cea2a551ae9,
  0x6cf4d7020272bb54, 0x5e536792ad5d2fe8, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a,
  0x62fe6d97618edec5, 0x5eae5c9ab83cd944, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x7a616837ef88d0f2,
  0x58767c09c659ac86, 0x15dc14f257ee6866, 0x000000000004fc1d,
};

static const uint64_t ur_t88_swio10_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e1bc1, 0x772d2c5c0ae0d62c, 0x9e86ed2b6480db26, 0xeebec9c715835159, 0x476b8e443c4d8f05,
  0xc9dd75bd415dde4e, 0xfef34f3e87d304f8, 0xaa3ea8f2b6d9ec41, 0xc6883cf002e77882, 0xb2f097e21b09117d,
  0x266a8ee6d75c17e8, 0x1e5721c0ddaccf1f, 0xc3f51f06cc1cbef5, 0x148b34eb42390159, 0x5beb6006be8c2cb1,
  0xdba847921cead709, 0x7e7b55e9c1d7a1a9, 0x2d97317090be4470, 0x67aa3608a04e017b, 0xedaf2e556bd3d70d,
  0x2a551ae9d9e39ad9, 0x0272bb54b7d59cea, 0xad5d2fe86cf4d702, 0x73daad115e536792, 0xb94b5f3a03c72b5d,
  0x718de33a20421520, 0x618edec55516920a, 0xb83cd94462fe6d97, 0x0cd3e34596745c9a, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2, 0x539b9273c95fb9a1,
  0x0000000000004fc1,
};

static const uint64_t ur_t88_swio10_dual[] = {
  0x33ddddddde7cbf3e, 0x053350e5096270fc, 0xb5a3db571d454109, 0x9fb7a6f5f6270913, 0xf5dd867acccf7619,
  0x609f19398dcb656e, 0xa571164004a4341e, 0xb881850c195d606d, 0x63ff329ad53ba7c4, 0x8f226c36f9c03dcc,
  0x508e485581e9537a, 0xc01b87c0aff31a04, 0x2195dc5eef8bbc66, 0x1313d150865a16b2, 0xf212dbc87ffa039e,
  0x80dfe700cc161bca, 0x51e5f1df2dbded9e, 0x6faf91c72ac0c9af, 0x23dece62c05fc39b, 0x8e58c11d7916ed19,
  0x57ceee2a4a56741b, 0x5b3db5e5caad67f1, 0x9d454aa35d3b3c73, 0xe0404e576a96fab3, 0xf255aba5fd0d9e9a,
  0x0f2e7b55a22bca6c, 0x985ea5af29c05ce8, 0x2045fb8a042d2b08, 0x462fe6da718de33a, 0x8f8765c9ab83cd94,
  0x1966b219e985a0df, 0x5fb9a19961d9f027, 0x00cb7c217b9273c9,
};

static const uint64_t ur_t88_swio10_dual_pr[] = {
  0xddddddd41e7cd0e3, 0x3350e50875b0fd05, 0x96ade4ab8f1795b5, 0xa1a2a0ab0c64421e, 0xca9c46eb7682bd75,
  0xe3bb96cde8ebe44e, 0x0012900899827c64, 0x30657581b695c459, 0x6b54ee9f12e20614, 0x3f8705f73145fcca,
  0x5607dd4dea3c7bd8, 0x02bfcc6811423921, 0x7bbe2efadf006e1f, 0x4219684648865771, 0x5d7fe80e784d6b45,
  0x0330586f2bc84b6e, 0x7cb0f9b67aa57f9c, 0x8e558188bea3c887, 0xc580aa0f37ee32a3, 0xebc019da7146f79c,
  0xd6bc1f5403ff6608, 0xdc5496ff0c0f2cf6, 0x6bcb955acfe2af9d, 0x9546ba7678e6b67b, 0x9caed52df5673a8a,
  0x574bfa1b3d35c080, 0xf6ab445794d9e4ab, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c,
  0x079b288c5fcdb2ec, 0x69f1a2cbd5cb9357, 0x61539fa9d598f206, 0x88d0f22678138d28, 0x59ac867a616837ef,
  0xee686658767c09c6, 0x29263a2ee49cf257,
};

static const uint64_t ur_t88_swio10_dual_pr_u4[] = {
  0x9eeeeeed173e43ee, 0x299a8728481787e1, 0x6d3adab8ea2a0848, 0xfdbd37afb93a0d8f, 0xa780534e0ddbb0cc,
  0x7c64e6372c99b1a9, 0xe22c800948524982, 0x030a1832bac0db4a, 0xfe6535aa774f8971, 0x44d86df3807b98c7,
  0x1c90ab03d2a6f51e, 0x370f815fe63408a1, 0x95dc5eef8bbffe00, 0x13d150865a16b221, 0x12db9c3ffa039e13,
  0x7fe700cc161bcaf2, 0xf389df2dbded9e5f, 0xa6e8e3956064d7a8, 0xc1f398b017f0e632, 0x58c11d7916ed9151,
  0xceee2a4a56749b8e, 0x3db5e5caad67f157, 0x454aa35d3b3c735b, 0x404e576a96fab39d, 0x55aba5fd0d9e9ae0,
  0xae7b55a22bca6cf2, 0x96165362ce80f3f5, 0x8ff14085a6ae757a, 0xfcdb4e31bc67440d, 0xe8b9357079b288c5,
  0x5663c819a7c68b2c, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x00524fa7b724e792,
};

// t88_swio10_dual_pr_ee_u4
static const uint64_t ur_t88_swio10_dual_pr_ee[] = {
  0xf02f777776890c86, 0x38a99a870b8a01c3, 0xab7266ea0a7ad06e, 0x76279294eb9d45e5, 0xbdd8593ec6be2f81,
  0x49a5b956d35a7b98, 0x20025222319827c6, 0x860caeb036d2b88b, 0x5d849dd3e25c40c2, 0x80d63813a992d7e6,
  0x2ac0f7dcdea3c56d, 0xe057f98d02284724, 0x5eef8bbf9be00dc3, 0x50865a0fe22195dc, 0xbb5ff4073c26dbf1,
  0xc930586f2bc84b6f, 0xb46bef6cf757ffe2, 0xfbaf51e5795a0ff6, 0x3f8ae577a8f83660, 0xc2cb1148b34eb420,
  0x52c7427e66006be8, 0xbb07b46801cead2e, 0xdef9ed56ba1d7b19, 0xecbe9662e1214e28, 0x2b5951b0465ff805,
  0xc55f3bb8a928e2e3, 0xcd6cf6d7972ab59f, 0xce75152a8d74ecf1, 0x6b8101395daa5bea, 0xb3c956ae97f4367a,
  0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b65d9156f62aa8b, 0xcb3a1b8f365118bf,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x0000005645d9c713,
};

static const uint64_t ur_t88_swio10_dual_pr_ce[] = {
  0x25ddddddde7cd0e3, 0x553350e3c858b0ff, 0xfd75bd323705a2d4, 0xd0b8e25a8e700aa2, 0xcfb4fb3adbbc97c8,
  0x4e2fb96cded71c89, 0x20025215d79827c6, 0x860caeb036d2b88b, 0x4d6a9dd3e25c40c2, 0x05d4e050e653df99,
  0xab0372737a8f21f6, 0x815fe63408a11c90, 0xbddf177b3e00370f, 0x4219684be4432bb8, 0x15bfe80e784df245,
  0x0330586f2bc84b6f, 0x3faa01b67982ff9c, 0xb5dfe780173b53d6, 0x2cbaa97339d7736b, 0x2ac0ee1fa8fd44f7,
  0xf398b016a57751c7, 0xcf1d78033b4e28de, 0x6b72d783ea807fec, 0x7ceee2a4b7f86079, 0xb3db5e5caad67f15,
  0xd454aa35d3b3c735, 0x0404e576a96fab39, 0x255aba5fd0d9e9ae, 0xbae7b55a22bca6cf, 0x417296be74078e56,
  0x14e31bc67440842a, 0x2ec31dbd8aaa2d24, 0x357079b288c5fcdb, 0xc819a7c68b3440b9, 0x433d30b41bf75663,
  0x332c3b3e04e32cd6, 0xbe73724e792bf734, 0x000000000000039e,
};

static const uint64_t ur_t88_swio10_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0xc954cd43832b587e, 0x4cdeef75a71bae9d, 0xe477f4e058ebe7da, 0x6558806abe356ec4,
  0x9f193516e4f05ae1, 0xe22c800948f5aa60, 0x030a1832bac0db4a, 0xdf997612774f8971, 0xbef61a6ce115a61a,
  0x1c90ab0353d37a8f, 0x370f815fe63408a1, 0x57717bbe2efe8f80, 0xd445421968194886, 0x96dcc7ffe80e784d,
  0xffc59260b0de5790, 0x5aaa3eb1ef6cf472, 0xfb8d1079e24e4243, 0xd165e12fc4361222, 0x52e66a8ee6d7ca8f,
  0xdc3f51fa89ee5821, 0x602d4aeea38e5581, 0xf006769c51bde731, 0xaf07d500ffd99e3a, 0xc5496ff0c0f2d6e5,
  0xbcb955acfe2af9dd, 0x546ba7678e6b67b6, 0xcaed52df5673a8a9, 0x74bfa1b3d35c0809, 0x6ab445794d9e4ab5,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0xf365118bf9b65d86, 0x7f07771a2cb3a1b8,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x90217c7133c95fb9, 0x0000000000000034,
};

static const uint64_t ur_t88_swio10_dual_pr_ee_ce[] = {
  0xa0addddddd43573e, 0x6e53350e5080fb0f, 0x7b7d7dd2d5b28a70, 0xb119157c8435deeb, 0x13ee100c2f68a829,
  0x3772721eae2f5959, 0x1290598b304f8c98, 0x657581b695c45900, 0x24ee9f12e2061430, 0x4704db9a76ff32ec,
  0x616a6f51c66f61bb, 0xfcc6811423921560, 0xc5dfe72006e1f02b, 0x5a05d510caee2f77, 0xf4073c264ad15086,
  0x2c3795e425b7149f, 0x43db3da6bff16498, 0x89390969ab1fd519, 0x9339d7736ba927e7, 0x4795a9e0376b02e4,
  0x813d47c1b30613fd, 0x4522cd3ad08e4057, 0x4bfad801afa30b2c, 0xec1ed1a0073ab5c1, 0xef9ed57a7075ec66,
  0xcbe9662e1214e28d, 0x5aca8d822813805e, 0x157ceee2a4bd3d19, 0x35b3db5e5caad67f, 0x39d454aa35d3b3c7,
  0xae0404e576a96fab, 0xcf255aba5fd0d9e9, 0x56bae7b55a22bca6, 0x2a417296be74078e, 0x2414e31bc6744084,
  0xdb2ec31dbd8aaa2d, 0x6880dc79b288c5fc, 0xfdd599bf83bb8d16, 0x38cb3590cf4c2d06, 0x4afdcd0ccb0ecf81,
  0x0004c10797e3899e,
};

static const uint64_t ur_t88_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed1369fa812, 0x66a1c26760987d39, 0x21e8eba7d8f6414a, 0x3e19cc89ae3793d7, 0x36b474e4e4739a73,
  0x5b5b4fed1d7bccd9, 0xf304f8c90dd729a7, 0xd2b88b2002521e20, 0x5c40c2860caeb036, 0xf5ff32bf689dd3e2,
  0x7adfd8400380a49b, 0x11c90ab039db9bd4, 0x0370f815fe63408a, 0xcaee2f77c5df7250, 0xc09150865a1a6d10,
  0x4b6fd67ff4073c26, 0xff79a730586f2bc8, 0xaa3ea8e2b6d9ec6e, 0x1a20f3c49c0731ba, 0xcbc25f886c2445f7,
  0x33547736bdc95fa2, 0xf2b53c06ed667e49, 0x27a8f83660c27fa8, 0xa459a75a11c80af0, 0x7f5b0035f4616588,
  0x83da3400e756b829, 0xf3daaf4e0ebd8cdd, 0x7d2cc5c2429c51bd, 0x5951b04502700bd9, 0xaf9ddc5497a7a32b,
  0xb67b6bcb955acfe2, 0x3a8a9546ba7678e6, 0xc0809caed52df567, 0xe4ab574bfa1b3d35, 0xd75cf6ab445794d9,
  0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x65d863b7b15545a4, 0x26ae0f365118bf9b, 0xfe0dfa08d1659d17,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x23ebac226792bf73, 0x0000000000000200,
};

// t88_swio11_noled_pr               t88_swio12_noled                  t88_swio12_noled_pr
static const uint64_t ur_t88_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adcdeb0d8, 0x466ea44cf741921d, 0x4f06613526f07d5b, 0xe823af1afb3f75b0,
  0xb9827c64eed8fd85, 0xdb3ddd7f81a0cfc7, 0xd7ff51d313be5ba0, 0xee99001f238e5581, 0x76e91193c731602d,
  0x043ee39630475e2e, 0xcd6cf6d7972ab52b, 0xce75152a8d74ecf1, 0x67a6b395daa5beae, 0xbca6cf256c6f5f43,
  0xf4ef3f5ae7b55a22, 0x2c2e753a9c0594a9, 0xe33a2047978a042d, 0xed94462fe6da718d, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x19961d964a271966, 0x0249ccb53c95fb9a, 0x00000000000000f9,
};

// t88_swio12_noled_pr_u4
static const uint64_t ur_t88_swio11_noled_pr_u4[] = {
  0xd113777768bb1762, 0x5cb4b10adb6eb13d, 0xb63f50e244c8866b, 0x21713e978f99305f, 0x43801e4dd9ee888f,
  0x7c64eef25d6411dd, 0xb7ffce01cf98f982, 0x51c143be5b7bdb3d, 0x3da011c72ac0c9af, 0x5188a731602cb298,
  0x7fecc11d7a3e764c, 0x607967b76b13ca80, 0xd6cf6d7972ab5422, 0xe75152a8d74ecf1c, 0x7a6b395daa5beaec,
  0xca6cf256c6f5f436, 0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0x62fe6db0862adec5,
  0x96745c9ab83cd944, 0xea75663c81db4345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xfa3dc9f81fbff826,
  0x04e32cd6433d30ae, 0x792bf734332c3b3e, 0x000000f93814bc16,
};

// t88_swio12_noled_pr_ee
static const uint64_t ur_t88_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8ad4e, 0xf72d2c422033ac6e, 0x2f5ebef1fa114cc3, 0x1fc2de464090f1f4, 0x66eda991417fddfc,
  0x193bbe474c4a3386, 0x4ff38073f6ea609f, 0x707fb5a39136cf60, 0xc1b3060a7a8f2b72, 0x75a101fc5695bd47,
  0x035f4616588a459a, 0x7569780c3ac67330, 0x75e00cec0a231f0e, 0x0b22a3e827b55ae8, 0xff805ecb87231709,
  0xedaf2e556a3ae825, 0x2a551ae9d9e39ad9, 0x672bb54b7d5d9cea, 0x9e4ad8debe86cf4d, 0x2d75cf6ab445794d,
  0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xcdb610c55bd8aaa2, 0x440b93571b288c5f, 0xeeacc7903b6868b3,
  0xc659ac867a616837, 0x7ee6866587659289, 0x0053e01c9782cf25,
};

// t88_swio12_noled_pr_ee_u4
static const uint64_t ur_t88_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2445541, 0x5cb4b10890ceb0f2, 0x91d68ba306b9b5ab, 0x45c3f5a62f362c7d, 0x5c69a9b2282fef22,
  0xe32775056f4e39cf, 0x75ff8b267e394c13, 0x3c1fed68c3ded9eb, 0xf06cc1e95ea3cae4, 0x9d68407f159c3f51,
  0x00d7d18596229166, 0x9d5a5ff70e87dccc, 0x3af4353b6948e213, 0x424c5188b3daad74, 0x5ff805ecb65cc5c2,
  0xa8e2fa0e7951b046, 0x678e6b67b6bcb955, 0xf57673a8a9546ba7, 0xfa1b3d359caed52d, 0xd115e536792b637a,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x6ca2317f36d84315, 0xa1a2cb3a2e4d5c1e,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc1343c899e07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0x77053c95fb9a1996, 0x000000000275eaca,
};

// t88_swio12_noled_pr_ce
static const uint64_t ur_t88_swio11_noled_pr_ce[] = {
  0xd0e6eeeeef62eff6, 0x72d2c5938f4eb1eb, 0xd3637779b51c6595, 0x17fbf2c7e62ebd90, 0xc90537b6f77d7a1c,
  0x13e3277420d7af4c, 0xe4adfe700e7ce1cc, 0xb073e758feabe6d9, 0xcebb9b5f76bf3c00, 0x51d7c9ee5975ac99,
  0xbf2fa38e5581acff, 0xec98a3114e62c05d, 0x9500ffd99e3af47c, 0xaa11303cb5bad627, 0x678e6b67b6bcb955,
  0xf57673a8a9546ba7, 0xfa1b3d359caed52d, 0xd115e536792b637a, 0xf0d3bcf8b5d73daa, 0x78ce881077536294,
  0x6f62aa8b4b689c63, 0xd94462fe6db084c7, 0xdb43459a205c9ab8, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xbc16792bf734332c, 0x0000000005bad8fe,
};

// t88_swio12_noled_pr_ce_u4
static const uint64_t ur_t88_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda2447768, 0xb9696187019d6377, 0xfb41778fd08a661f, 0xfe16f23204878f7a, 0x28666eda9eeeefe0,
  0x09f193bad3b699ce, 0xf604ffc5933f6ea6, 0x5a4cad551f59136c, 0x2445f71a20f3c00b, 0x951fa2cbc25f886c,
  0x2c10d64cd51dcdae, 0x2ac0d67fa8ebe4f7, 0xa731602edf97d1c7, 0xcf1d7a3e764c5188, 0x5add6b13ca807fec,
  0xdb5e5caad508981e, 0x54aa35d3b3c735b3, 0xce576a96fabb39d4, 0x3c95b1bd7d0d9e9a, 0x5aeb9ed5688af29b,
  0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0x36d84263b7b15545, 0x2e4d5c1e6ca2317f, 0xb31e40fca1a2cb3a,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e, 0xfb9a19961d9f0271,
  0x06ebed7b77053c95,
};

// t88_swio12_noled_pr_ee_ce
static const uint64_t ur_t88_swio11_noled_pr_ee_ce[] = {
  0xc66eeeeea0a22044, 0x5cb4b10acb8eb1b6, 0x7b1c75a9f8ff1742, 0x39bd4368a1015b97, 0x989867389341db63,
  0x64ee8f6d81610fc8, 0xfff164cfffc9827c, 0xf63faa374bb67ba7, 0x7eeb7e78016b49d3, 0xed6051f2673aee6d,
  0x30738fa8f2bf9c06, 0x08e4056e97d47c1b, 0xfa30b2c4522cd3ad, 0x73ab5c7eefad801a, 0x075e86a76d291c42,
  0x212628c459ed57a7, 0x409c02f65b2e62e1, 0xb5e9ee839e546c11, 0xecf1cd6cf6d7972a, 0xbeaece75152a8d74,
  0x5f4367a6b395daa5, 0x5a22bca6cf256c6f, 0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c,
  0x9b288c5fcdb61098, 0xa1a2cbd5cb935707, 0x2a73f53ab31e40fc, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1,
  0xcd0ccb0ecf8138cb, 0x4fc7adbb829e4afd,
};

// t88_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t88_swio11_noled_pr_ee_ce_u4[] = {
  0x0bf777768b9f1f68, 0xcb4b1702123586a6, 0xd817a6c61436c99d, 0xd7a9be9de4682d89, 0x048fc887896a60bd,
  0x9dd1d7d014164777, 0xef34f3ed77304f8c, 0xa3ea8e576d9e7f9f, 0x6883cf002e76ff2a, 0x2f097e21b09117dc,
  0x66a8ee6d7ea77e8b, 0xe57f380ddaccf1f2, 0x2fa8f83660e71f51, 0xa459a75a11c80add, 0xdf5b0035f4616588,
  0xda523884e756b8fd, 0xb3daaf4e0ebd0d4e, 0xb65cc5c2424c5188, 0x3ca8d822813805ec, 0xedaf2e556bd3dd07,
  0x2a551ae9d9e39ad9, 0x672bb54b7d5d9cea, 0x9e4ad8debe86cf4d, 0x2d75cf6ab445794d, 0x1dd4d8a53c34ef3e,
  0xd2da2718de33a204, 0x9b6c2131dbd8aaa2, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x13f3782ee49cf257,
};

// t88_swio11_lednop_pr              t88_swio12_lednop                 t88_swio12_lednop_pr
static const uint64_t ur_t88_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215b67d61b, 0x76deef85e8283243, 0x4f06613526eef36b, 0xf363d2bafa1375b0,
  0xe4c13e327771ded8, 0x36cf195fe06833ef, 0x75ffd47f90ef96e8, 0x7ba63d5ef8e39560, 0x9dad647d01cc580b,
  0x673db8e58c11d78b, 0x39ad9edaf2e556a5, 0xd9cea2a551ae9d9e, 0xd7020272bb54b7d5, 0xb3c95cbd2fe86cf4,
  0xa03cb9ed5688af29, 0x22617a96bca70173, 0xe881b1fe2810b4ac, 0x5118bf9b69c6378c, 0x0347f1a2cd101bb6,
  0x67a616837eeacc79, 0x587659289c659ac8, 0x5f32d4f257ee6866, 0x00000000000f901c,
};

// t88_swio12_lednop_pr_u4
static const uint64_t ur_t88_swio11_lednop_pr_u4[] = {
  0x783bbbbb45d8b562, 0xdcb4b10ac32b0d82, 0xb0bf7c2f4141921d, 0x613523afad3c4e63, 0x00db691775b04f06,
  0x3e3277699ead1706, 0x489fe700e7c3dcc1, 0xd475f0ef96e836cf, 0x6fcbe8e3956075ff, 0xa3b86731602dee9b,
  0x8e58c11d78b9d96b, 0xedaf2e556a565adb, 0x2a551ae9d9e39ad9, 0x272bb54b7d5d9cea, 0xcbd2fe86cf4d7020,
  0x9ed5688af29b3c95, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053, 0xe0f365118bf9b6c6,
  0x076d0d1659d1726a, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0,
  0xccb0ecf8138cb359, 0x085af059e4afdcd0, 0x0000000000000f93,
};

// t88_swio12_lednop_pr_ee
static const uint64_t ur_t88_swio11_lednop_pr_ee[] = {
  0xfe0fbbbbbbd8b562, 0xfb969621130aac6e, 0x4f685eb11f16a661, 0xe0fe16f26bd385e3, 0xfde2f5a08a0bfeef,
  0x7c64eed33dfa7704, 0x15bfce01cf93a982, 0xe741fed68e44db3d, 0x1f06cc1829ea3caf, 0x69d68407f15d4af5,
  0xc00d7d1859622916, 0x9cead2efe0eb19cc, 0xd0ebc019dbe446f7, 0x1216f68ee1cf6ab5, 0xcbff00bd970e462e,
  0x67b6bcb955a8eb05, 0xa8a9546ba7678e6b, 0x809caed52df57673, 0x572f4bfa1b3d35c0, 0xae7b55a22bca6cf2,
  0x96165362ce80f3f5, 0x17d14085a6ae757a, 0xfe6da718de33a205, 0x9a205c9ab8d94462, 0xbf75663c81db4345,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x00014f8a9cbc1679,
};

// t88_swio12_lednop_pr_ee_u4
static const uint64_t ur_t88_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222582, 0xae5a58844a175879, 0x2eae3ddb6ebcdad5, 0x5c3f5a433c5ef4cd, 0xb415682282fef224,
  0x193ba75b44896aa8, 0x6ffc5933e4ea609f, 0xe0ff6b461ef6cf45, 0x83660f4af51e5652, 0xeb4203f8aca1fa8f,
  0x06be8c2cb1148b34, 0xead2ff38743ee660, 0xaf4353b04f46be1c, 0x592231bf3daad743, 0xff00bd96cb98b848,
  0x1c5dac4f2a3608cb, 0xf1cd6cf6d7972ab5, 0xaece75152a8d74ec, 0xa6b8101395daa5be, 0x4d9e4ae5e97f4367,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0xe8b9357079b288c5,
  0xeacc7903f2868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x00009d72cddc14f2,
};

// t88_swio12_lednop_pr_ce
static const uint64_t ur_t88_swio11_lednop_pr_ce[] = {
  0x7a1cddddddec4743, 0x572d2c593985563d, 0xf717ea45f131c659, 0xc17fbf1e9d8f180c, 0x82c82d05c777d7a1,
  0xc13e32775a2ed455, 0x9e90ffe700e7ca1c, 0x0b070e1d8feabe6d, 0xce75dcdafa6bf3c0, 0xf51e5f4f72cbad64,
  0xc7bd2a38e5581acf, 0xced92231be731602, 0x91500ffd99e3af47, 0xb5976a0796b741fe, 0xecf1cd6cf6d7972a,
  0xbeaece75152a8d74, 0x67a6b8101395daa5, 0x794d9e4ae5e97f43, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x8bf9b6c6263b7b15, 0x166881726ae36511, 0x06fdd598f2076d0d, 0x5138cb3590cf4c2d,
  0xe4afdcd0ccb0ecb2, 0x000016ea70a2f059,
};

// t88_swio12_lednop_pr_ce_u4
static const uint64_t ur_t88_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda2447705, 0xb96961870fdd6377, 0x76c8eb11f16a661f, 0xf85bc80cd9005f51, 0x285b4bb27bbbbf83,
  0x27c64eeb62d58293, 0xdbefff164cfc5698, 0x692dd5547d644db3, 0x9117dc6883cf002d, 0x257e8b2f097e21b0,
  0xb0435933547736bd, 0x5606b3fd4797d3dc, 0x9cc580b1ef4a8e39, 0x78ebd1f3b6488c6f, 0xadd07fa45403ff66,
  0xb5e5caad65da81e5, 0x4aa35d3b3c735b3d, 0xe576a96fabb39d45, 0x7a5fd0d9e9ae0404, 0xdaad115e536792b9,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6db189, 0xf9434596745c9ab8,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643,
  0xb6ee0a792bf73433, 0x00000000000dd7ba,
};

// t88_swio12_lednop_pr_ee_ce
static const uint64_t ur_t88_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a232a8, 0x5cb4b10ad4ceb1b6, 0x7b7075e9c2ff1742, 0x737a86b8da29bb83, 0xe4b42e712683b6c6,
  0xc9dd9c5a6e99f74e, 0xffc5933e9b7304f8, 0xd8fea8dd2ed9e19b, 0xea83f9e005ad20cd, 0x6b028f9339d7736b,
  0x839c7d47959c3037, 0x47202b2ebea3e0d9, 0xd185962291669d68, 0x9d5ae3e77d6c00d7, 0x75e86a7609e8d7c3,
  0x2c9118df9ed57a70, 0x13805ecb65cc5c24, 0xbd3d6b13ca8d8228, 0x9e39ad9edaf2e556, 0xd5d9cea2a551ae9d,
  0xf4d7020272bb54b7, 0x29b3c95cbd2fe86c, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0x7f36d8c4c76f62aa, 0x572e4d5c1e6ca231, 0xeacc7903f2868b2f, 0x3c09c69430a9cfd4, 0x30b41bf7c4687913,
  0x3b3e04e32cd6433d, 0xee0a792bf734332c, 0x0000000004fc4fae,
};

// t88_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t88_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e5f41, 0x96962e048ceb0d4c, 0x4dd68335a06d933b, 0x5ea6c48f4eb221bb, 0xefa7221e25a982f7,
  0x3bb5ad3b55c4c8c4, 0xef34f3e292609f19, 0x47d51caedb3d5bff, 0xa20f3c00b9dd6fd5, 0xbc25f886c2445f71,
  0x9aa3b9b5c2c9fa2c, 0x959c30376b33c7c9, 0xbea3e0d9839c7d47, 0x91669d6847202b2e, 0x7d6c00d7d1859622,
  0x09e8d7c39d5ae3e7, 0x9ed57a7075e86a76, 0x65cc5c242c9118df, 0xca8d822813805ecb, 0xdaf2e556bd3d6b13,
  0xa551ae9d9e39ad9e, 0x72bb54b7d5d9cea2, 0xbd2fe86cf4d70202, 0xed5688af29b3c95c, 0xa5af9d01e395aeb9,
  0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d8c4, 0x69f1a2cb3a2e4d5c, 0x61539fa9d598f206,
  0xcbf313ffbc3def28, 0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0x3dc939e4afdcd0cc,
  0x000000000027e649,
};

// t88_swio11_dual_pr                t88_swio12_dual                   t88_swio12_dual_pr
static const uint64_t ur_t88_swio11_dual[] = {
  0xbeeeeeea0f3e43ee, 0x6a1ca115f61f081e, 0xd5ab07e9e2f2b6a6, 0x11f3b402ac496ad8, 0xcfb453b74207aeb4,
  0x1ddcb266d17b4f24, 0x00948e6fcc13e327, 0x832bac0db4ae22c8, 0x5aa774f8971030a1, 0xfc382fb98a2fe653,
  0xb03eea6f51e3dec1, 0x15fe63408a11c90a, 0xddf177b5d80370f8, 0x10cb42324432bb8b, 0x97ff4073c26b5a2a,
  0x1982c3795e425b72, 0xcb2d7db3c517fce0, 0xe5581ef7ea3f7477, 0xb01541e67261ee38, 0x78033b2008d31398,
  0xef1bea807fecc11d, 0xe2a4af9d40f2cf6d, 0x5e5caad67f157cee, 0xaa35d3b3c735b3db, 0x576a96fabb39d454,
  0xa5fd0d9e9ae0404e, 0xaad115e536792b97, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xe6ca2317f36d8c62, 0x7c68b2f572e4d5c1, 0x54e7ea75663c819a, 0x343c899e04e34a18, 0x6b219e985a0dfbe2,
  0x9a19961d9f027196, 0x934fafb9273c95fb, 0x0000000000000014,
};

// t88_swio12_dual_pr_u4
static const uint64_t ur_t88_swio11_dual_pr_u4[] = {
  0x9fbddddda2e7ce7c, 0x99a8728466787da5, 0xd57dbf4ec8a08482, 0xdbd3a0ba646e09d6, 0xf1b1586375bad2cf,
  0xc64e6372421d67c3, 0x4590012900899827, 0x61430657581b695c, 0xcca6b54ee9f12e20, 0x9b0dbe700f7318ff,
  0x9215607a54dea3c8, 0xe1f02bfcc6811423, 0x7717bbe2efdda006, 0xf454219685ac8865, 0xb6e5d7fe80e784c4,
  0xf9c0330586f2bc84, 0x00ef9683fb67aa57, 0xa471cab03e83d474, 0xf398b017f0e60f60, 0x608ebc8b761f118d,
  0xee2a4a565c3dc72c, 0xb5e5caad67f157ce, 0x4aa35d3b3c735b3d, 0xe576a96fabb39d45, 0x7a5fd0d9e9ae0404,
  0xdaad115e536792b9, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x6d38c6f19d1028be, 0xe4d5c1e6ca2317f3,
  0x8f20669f1a2cb3a2, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e44c, 0x3590cf4c2bbe8f72,
  0xcd0ccb0ecf8138cb, 0xa49c0adc939e4afd,
};

// t88_swio12_dual_pr_ee
static const uint64_t ur_t88_swio11_dual_pr_ee[] = {
  0x89ddddd0f5a1a5fb, 0x6a1c2e289f87d99d, 0x3ba769a741b8e2a6, 0x294aaaf75b8d5a84, 0xec5c6be2f6676279,
  0x2782d1f85595c535, 0x20551304f8c934b7, 0xeb036d2b88b20025, 0xdd3e25c40c2860ca, 0x813a992d7e65d849,
  0x7dcdea3c56d80d63, 0x98d022847242ac0f, 0xbbcc0200dc3e057f, 0xa0fe22195dc5eef8, 0x4073c26dbf150865,
  0xc3795e425b70d1ff, 0xadb3c96bff164982, 0x4795cae83fdad1d4, 0xbefd47c1b307b7fd, 0x8a459a75a101fc57,
  0x13f330035f461658, 0xa3d28e756972863a, 0x6ab5d0ebd8cdda3d, 0xb3170909004698cf, 0x8d8232ffc02f65f4,
  0xbb8a928e2f2288aa, 0x6d7972ab59fc55f3, 0x52a8d74ecf1cd6cf, 0x395daa5beaece751, 0x5e97f4367a6b8101,
  0xf6ab445794d9e4ae, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xc79b288c5fcdb631,
  0xcdfc1ddc68b05d8d, 0x13f9430a9cfd4eac, 0x9a1e44cf1738cbf3, 0x7a616837e39efc0f, 0x58767c09c659ac86,
  0x271c4cf257ee6866, 0x0000000000005643,
};

// t88_swio12_dual_pr_ee_u4
static const uint64_t ur_t88_swio11_dual_pr_ee_u4[] = {
  0x723bddddda2432db, 0x53350e171b9d87f2, 0xd71ddb0c53ba7725, 0xbfa6cce8bcabce76, 0xa8fb3e1af8bf2723,
  0x5b9347f7dc19d227, 0x2522e4a9827c64d4, 0xcaeb036d2b88b200, 0x49dd3e25c40c2860, 0xb38456986b7e65d8,
  0x0d4f4dea3efbd869, 0x7f98d022847242ac, 0xf8bbda0e00dc3e05, 0x65a06522195dc5ee, 0xffa039e137511508,
  0x82c3795e425b7b1f, 0x98fdb3c35bff1649, 0x3d4795b0583fdad1, 0x2b53dea3e0d983ea, 0x2c4522cd3ad080fe,
  0x1d07199801afa30b, 0xee9182873ab4bc87, 0xb3daad743af29a76, 0x71f18b84853723c8, 0x928eb22cbff00bd9,
  0x72ab59fc55f3bb8a, 0xd74ecf1cd6cf6d79, 0xaa5beaece75152a8, 0xf4367a6b8101395d, 0x445794d9e4ae5e97,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x288c5fcdb6318ab7, 0x3bb8d1659d0dc79b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0x9ee3899e4afdcd0c, 0x000000000000564e,
};

// t88_swio12_dual_pr_ce
static const uint64_t ur_t88_swio11_dual_pr_ce[] = {
  0x7c8eeeeeef3e43ee, 0x99a871e4ebbc3eb0, 0xdad6d89466d16a2a, 0x0b1231a93936275b, 0xafb1757dbab07c8d,
  0xe2fb964cdaef69e2, 0x001291e729827c64, 0x30657581b695c459, 0x6b54ee9f12e20614, 0x2ea70287329efcca,
  0x581b939bd4790fb0, 0x0aff31a04508e485, 0xddf177b37c01b87c, 0x219684be4432bb8b, 0xcbfe80e784df2454,
  0x330586f2bc84b6f1, 0xfae95b6794f7f9c0, 0x007e780173bc0963, 0x65d54b99cebb9b5e, 0x56076b7a8e13e7b9,
  0x398b014a2edf8e39, 0xf1d78033b2008d31, 0x5b9ef1bea807fecc, 0xf3bb8a92be7503cb, 0xcf6d7972ab59fc55,
  0x5152a8d74ecf1cd6, 0x01395daa5beaece7, 0xae5e97f4367a6b81, 0x5cf6ab445794d9e4, 0x2e52d7ce80f1cad7,
  0x9c6378ce88108548, 0x6263b7b15545a482, 0xae0f365118bf9b6c, 0x0334f8d166881726, 0x67a616837eeacc79,
  0x658767c09c659ac8, 0xa76e49cf257ee686, 0x000000000001cf5a,
};

// t88_swio12_dual_pr_ce_u4
static const uint64_t ur_t88_swio11_dual_pr_ce_u4[] = {
  0x723bddddda2432db, 0x553350e0cb9d87f2, 0x6d71ddb0c53ba772, 0x3bfa6cce8bcabce7, 0x7489ea3ecfb77272,
  0x193516e4d1fdf706, 0x2c800948b92a609f, 0x0a1832bac0db4ae2, 0x997612774f897103, 0xf61a6ce115a61adf,
  0x90ab0353d37a8fbe, 0x0f815fe63408a11c, 0x717bbe2ef6838037, 0x4542196819488657, 0xdec7ffe80e784dd4,
  0xc59260b0de579096, 0xaa3ea63f6cf0d6ff, 0x8d1079e24e424706, 0x65e12fc4361222fb, 0xccd51dcdafd1ffd1,
  0xbd4709f3dcb042a5, 0xa5176fc71cab03b5, 0x19d90046989cc580, 0xdf5403ff6678ebc0, 0x495f3a81e5adcf78,
  0xb955acfe2af9ddc5, 0x6ba7678e6b67b6bc, 0xd52df57673a8a954, 0xfa1b3d35c0809cae, 0xa22bca6cf2572f4b,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x288c5fcdb63131db, 0x3bb8d1659d0dc79b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0x9ee3899e4afdcd0c, 0x000000000000d24e,
};

// t88_swio12_dual_pr_ee_ce
static const uint64_t ur_t88_swio11_dual_pr_ee_ce[] = {
  0xd362dddddd437089, 0x53350e508e1787ce, 0x9b4dd8d4930a706e, 0xc464671137b375ad, 0xd68289f0bda29da6,
  0x7727f0ede4eb68d3, 0x9484f2f304f8c983, 0x2bac0db4ae22c800, 0x2774f8971030a183, 0x3826dcd3b7f99761,
  0x0b537a8e337b0dda, 0xe63408a11c90ab03, 0x5de30b80370f815f, 0xa05d510caee2f77c, 0x4073c264ad150865,
  0x86f2bc84b6f8ddff, 0x76cf4edffe2c9305, 0x9c84a76ec7f546c1, 0x39d7736b8227f3c4, 0x95e040376b02e493,
  0xdea3e0d983913d47, 0x91669d6847202bca, 0xfd6c00d7d1859622, 0x8f68f4a39d5ae0a1, 0xcf6abd383af63376,
  0xf4b3170909004698, 0x5546c11409c02f65, 0x7ceee2a4bd3d9144, 0xb3db5e5caad67f15, 0xd454aa35d3b3c735,
  0x404e576a96fabb39, 0x2b97a5fd0d9e9ae0, 0xd73daad115e53679, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x1898edec55516920, 0x06e3cd94462fe6db, 0xaccdfc1ddc68b344, 0x59ac867a616837ee, 0xee686658767c09c6,
  0x260870a71c4cf257,
};

// t88_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t88_swio11_dual_pr_ee_ce_u4[] = {
  0xeddddda26d3e5f82, 0x4384cf8ff87c219c, 0xda2fb171ec8294cd, 0xf5da7abbdc87afe1, 0xa3a704339cd38b15,
  0x5eae3caf7f57c3e5, 0x7c6486eb96d6adf3, 0x459001290f1eb982, 0x61430657581b695c, 0x995fb44ee9f12e20,
  0xec2001c0524dfaff, 0x85581cedcdea3d6f, 0x7c0aff31a04508e4, 0x17bbe2ef780401b8, 0xa8432d0d36886577,
  0x4a8ffa039e136048, 0xd3982c3795e425b7, 0x5471cb6cf7ebffbc, 0x79e24e039faf551f, 0x2fc4361222fb8d10,
  0x3b9b5de01fd165e1, 0x040376b33f2499aa, 0x3e0d983913d4795e, 0x69d6847202bcadea, 0xc00d7d1859622916,
  0x8f4a39d5ae0a1fd6, 0xabd383af633768f6, 0x3170909004698cf6, 0x6c11409c02f65f4b, 0xee2a4bd3d9144554,
  0xb5e5caad67f157ce, 0x4aa35d3b3c735b3d, 0xe576a96fabb39d45, 0x7a5fd0d9e9ae0404, 0xdaad115e536792b9,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6db189, 0xe8234596745c9ab8,
  0x1539fa9d599bf837, 0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0xb0899e4afdcd0ccb, 0x000000000800bab6,
};

// t88_swio13_noled_pr
static const uint64_t ur_t88_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0xc8f066127bb4c9df, 0x2f64188f1f793742,
  0xc7cc13e32775a9e8, 0x4db3db7ffc0d067c, 0x0f9ef51e213be5ba, 0xdee9b4a5af1c72ac, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x39ad9edaf2e556a5, 0xd9cea2a551ae9d9e, 0xd359caed52df5537, 0x9b3c956af7afa1b3,
  0xbcfd6b9ed5688af2, 0xb9d4ea701652a7d3, 0xe88117ee2810b4b0, 0x5118bf9b69c6378c, 0x0347f1a2cd101bb6,
  0x67a616837eeacc79, 0x587659289c659ac8, 0x1732d4f257ee6866, 0x000000000001f200,
};

static const uint64_t ur_t88_swio13_noled_pr_u4[] = {
  0xcb7777768bb128ae, 0xbb9696215988d602, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf742c8f06,
  0x27c64eefd3dc2848, 0xeea3fce01cfedf98, 0x7a8ff21df2dd26d9, 0x69126e8e395607cf, 0x4547d01cc580b7ba,
  0x371cb1823af173b6, 0xb3db5e5caad4ace9, 0xd454aa35d3b3c735, 0x395daa5beaa6fb39, 0x92ad5ef5f4367a6b,
  0x5d73daad115e5367, 0x7536294f0d3bcf8b, 0xb689c6378ce88107, 0x6d8c9156f62aa8b4, 0x5c9ab83cd94462fe,
  0x663c81db43459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x03e4d340bc16792b,
};

static const uint64_t ur_t88_swio13_noled_pr_ee[] = {
  0x1cdf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0xbf07f0ba10d85a33, 0xda59fbc764505ff9,
  0x27c64eef25da668e, 0xd95bfce01cfe9b98, 0xd2b41fed68fbadb3, 0xa3e0d98397dea3ca, 0xcd3ad080fe2bf9de,
  0x9801afa30b2c4522, 0xe73ab4bafb1d6339, 0xd0ebc019da5f235a, 0x09087c47d24f6ab5, 0x25ff805ecb872317,
  0xd9edaf2e556a3ae9, 0xea2a551ae9d9e39a, 0x9caed52df5537d9c, 0xc956af7afa1b3d35, 0xaeb9ed5688af29b3,
  0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0x36c648ab7b15545a, 0x102e4d5c6ca2317f, 0xbab31e40eda1a2cd,
  0x1966b219e985a0df, 0xfb9a19961d964a27, 0x0053e1245e0b3c95,
};

static const uint64_t ur_t88_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447032, 0x56b96962111a5d62, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417fa11,
  0xf8c9dd3b5b2ed395, 0x4dffe2c99f1ad304, 0x8707fb5a38f7b67b, 0x7c1b3067afa8f2b3, 0xa75a101fc565d7d4,
  0x0035f4616588a459, 0xe756977263a1f733, 0x0ebd0d4ec7aa3f90, 0x90a2147bdcf6ab5d, 0x97fe017b2d973170,
  0xd4717d260b546c11, 0xb3c735b3db5e5caa, 0xa6fb39d454aa35d3, 0x367a6b395daa5bea, 0x5e536792ad5ef5f4,
  0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x4462fe6d8c9156f6, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x0a792bf734332c3b, 0x00000004eba45eee,
};

static const uint64_t ur_t88_swio13_noled_pr_ce[] = {
  0xa66eeeeeef621c3b, 0x9572d2c593964eb0, 0x634adef3760f1c65, 0xe0bf9b4d4e17b113, 0xc8ad1850dbdd5310,
  0x304f8c9dda8bb417, 0x67be77f9c039f2eb, 0x02c1c74b63facddb, 0x339d7736b868fcf0, 0xdea3cdd3dcb2eb59,
  0x14ca9c638e558193, 0x1f3b4428f7b398b0, 0x49a5403ff6678ebd, 0x556afadc0f2d6e11, 0xe9d9e39ad9edaf2e,
  0xf5537d9cea2a551a, 0xfa1b3d359caed52d, 0x88af29b3c956af7a, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7,
  0x7b15545a5b44e31b, 0xd94462fe6d8c863b, 0xdb43459a205c9ab8, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xbc16792bf734332c, 0x0000000005ba8bf6,
};

static const uint64_t ur_t88_swio13_noled_pr_ce_u4[] = {
  0x37dddddda24477d6, 0x3f72d2c30e62fac7, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deef37,
  0xe609f193bb61b7c8, 0x6cf656ffc5933fa6, 0x0b5a495d551f5eeb, 0x6c2445f71a20f3c0, 0xaec87fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c0532a718, 0xfd99e3af47ced10a, 0x03cb5b845269500f,
  0xb67b6bcb955abeb7, 0x3a8a9546ba7678e6, 0x672bb54b7d54df67, 0xf255abdebe86cf4d, 0x6bae7b55a22bca6c,
  0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0x9b63218edec55516, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x0375de6dbb829e4a,
};

static const uint64_t ur_t88_swio13_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d606, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e71268236c,
  0x8c9dd3adacccb572, 0xfffc5933fbb5304f, 0xfd8fea8e43ed9e31, 0x5dd51f9e005ad218, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0x4239015c87f51f06, 0xbe8c2cb1148b34eb, 0x1cead70e4feb6006, 0xc1d7a1a9d8f547f2,
  0x48510a3dee7b55e9, 0x502700bd96cb98b8, 0x5af4f74982d51b04, 0x7678e6b67b6bcb95, 0x54df673a8a9546ba,
  0x86cf4d672bb54b7d, 0x2bca6cf255abdebe, 0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1,
  0x5118bf9b63218ede, 0x4597ab9726ae0f36, 0xe7ea75663c81f943, 0x3c899e04e34a1854, 0x219e985a0dfbe234,
  0x19961d9f0271966b, 0x856a77053c95fb9a, 0x000000000000009f,
};

static const uint64_t ur_t88_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6812, 0x772d2c5c0a0dd631, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f138ec1,
  0xc9dda2fd6c49af13, 0xff79a79f801304f8, 0xaa3ea8f7ded9eb5b, 0x8d1079e005ceed6e, 0x65e12fc4361222fb,
  0x99aa3b9b5ddbbfd1, 0x795ba50376b33c7c, 0x0fea3e0d983403d4, 0x291669d6847202b9, 0x9fd6c00d7d185962,
  0xb1ea8fe439d5ae1c, 0xdcf6abd383af4353, 0x2d97317090a2147b, 0x05aa3608a04e017b, 0xf6d7972ab5e9ee93,
  0x152a8d74ecf1cd6c, 0x576a96faa9bece75, 0xab57bd7d0d9e9ace, 0x5cf6ab445794d9e4, 0x4d8a53c34ef3e2d7,
  0xa2718de33a2041dd, 0xc6431dbd8aaa2d2d, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xe3f02dc939e4afdc,
  0x0000000000000027,
};

static const uint64_t ur_t88_swio13_lednop[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fba164,
  0x7b9827c64eeb53dd, 0x4db3ddd7f81a0cfc, 0x0f9ef51e6e3be5ba, 0x6f74c654e31c72ac, 0x73b3de8ed6398b01,
  0xac11771cb1823af1, 0xc735b3db5e5caad4, 0xfb39d454aa35d3b3, 0x8101395daa5beaa6, 0xf2572497f4367a6b,
  0x6bae7b55a22bca6c, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2, 0x1f0ec6ed94462fe6,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x00a925ff996a792b,
};

static const uint64_t ur_t88_swio13_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d60b2, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd2ca888,
  0x4f8c9ddf23b8bd19, 0x8c7ff9c039fa9530, 0xd47d28ef9683fb67, 0x01827c71cab03e83, 0x88e32398b016594d,
  0x3ff6608ebd1f3b2f, 0x40f2cf6c6fdc3540, 0xad9edaf2e556b70e, 0xcea2a551ae9d9e39, 0x09caed52df5537d9,
  0xb924bfa1b3d35c08, 0x73daad115e536792, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x2a2adec55516920a,
  0x5c1e6ca2317f36d0, 0x2076d0d160bb2e4d, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0xc2d06fc73df81f34,
  0xecf8138cb3590cf4, 0xf059e4afdcd0ccb0, 0x0000000007c9e10a,
};

static const uint64_t ur_t88_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8ad4e, 0xddcb4b10ac4ceb01, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f742c8f06,
  0x7c64eef91d411199, 0xeebfce01cfc7b982, 0xa8f371df2dd26d9e, 0x32a718e395607cf7, 0xf476b1cc580b7ba6,
  0xb8e58c11d78b9d9e, 0x9edaf2e556a5608b, 0xa2a551ae9d9e39ad, 0xcaed52df5537d9ce, 0x24bfa1b3d35c0809,
  0xdaad115e536792b9, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x1e6ca2317f36d02a,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x9e5e0b3c95fb9a19, 0x000000000000f93e,
};

static const uint64_t ur_t88_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0x37e0fe17426d9305, 0xce199bb4108a0bff,
  0x827c64eef91d3128, 0x7a397f9c039feaf9, 0x5ba583fdad1f75b6, 0xd47c1b3072fbd479, 0x59a75a101fc56517,
  0x330035f4616588a4, 0xc4e7569780c3ac67, 0xae875e00ced92234, 0x7090a0fa3b5a7b55, 0x3e5ff805ecb87231,
  0x5b3db5e5caad474b, 0x9d454aa35d3b3c73, 0x1395daa5beaa6fb3, 0x72497f4367a6b810, 0xe7b55a22bca6cf25,
  0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0xe6da718de33a204e, 0xa205c9ab8d94462f, 0xf75663c81db43459,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x0029f00e4bc16792,
};

static const uint64_t ur_t88_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xab5cb4b1088f5eb1, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfd08,
  0x3e327755f6c1b8d5, 0x1cbff164cff57cc1, 0x4383fdad1c7bdb3d, 0x3e0d9833d7d47959, 0xd3ad080fe2b60bea,
  0x801afa30b2c4522c, 0x73ab4bba51d0fb99, 0x875e86a769111cdc, 0x484be238ca7b55ae, 0xcbff00bd96cb98b8,
  0xb51c588a4d2a3608, 0xecf1cd6cf6d7972a, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0x9b3c95c925fd0d9e,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8, 0xd1726ae0f365118b,
  0xd598f207e50d1659, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x0009d7085bb829e4,
};

static const uint64_t ur_t88_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef623f3e, 0xcab96962c9c242b0, 0x5fa6ef767f078e32, 0xe0bf9b564da9933c, 0xa71b082543dd5310,
  0x304f8c9dd23fb647, 0x678e1ff9c039f60b, 0x02c1c2eb63facddb, 0x673aee6d79dbfcf0, 0xbd479c67b965d6b2,
  0x531e7ac71cab0327, 0x7cecbe238c8e62c0, 0x70d500ffd99e3af4, 0x56b70e40f2d6e1bf, 0x9d9e39ad9edaf2e5,
  0x5537d9cea2a551ae, 0xd35c0809caed52df, 0x536792b924bfa1b3, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xfe6da0518edec555, 0x9a205c9ab8d94462, 0xbf75663c81db4345, 0x4e32cd6433d30b41,
  0x2bf734332c3b2c94, 0x0005bab71ebc1679,
};

static const uint64_t ur_t88_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2445541, 0x3f72d2c30e433ac7, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbcdf,
  0x9827c64eea0ade9c, 0xb3d6ebff164cfc72, 0x2d6934dd547d7bad, 0xb09117dc6883cf00, 0xb9257e8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3ce33, 0xc6473160298f3d63, 0xeccf1d7a3e765f11, 0x796b70dfb86a807f,
  0xcf6d7972ab5b8720, 0x5152a8d74ecf1cd6, 0xe576a96faa9bece7, 0x925fd0d9e9ae0404, 0xed5688af29b3c95c,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d028, 0xfca1a2cb3a2e4d5c,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f, 0x961d9f0271966b21,
  0xca77053c95fb9a19, 0x00000000000375ea,
};

static const uint64_t ur_t88_swio13_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac0, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a08db,
  0xe32777ed694e2c52, 0xf9ff8b267f4d4c13, 0xfe58fea8e43ed9ef, 0xb5cdbbfcf002d693, 0x1bb58147c99cebb9,
  0x6cc1a01ea3cacba8, 0xb423901594bf51f0, 0x6be8c2cb1148b34e, 0x71cead70e97eb600, 0x9c1d7a1a9da44473,
  0x8484be238ca7b55e, 0x4502700bd96cb98b, 0xaad7a784526951b0, 0xd3b3c735b3db5e5c, 0xeaa6fb39d454aa35,
  0x7a6b8101395daa5b, 0xca6cf2572497f436, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0x5fcdb40a31dbd8aa, 0xd5cb9357079b288c, 0x3ab31e40fca1a2cb, 0xcf0271a50c2a73f5, 0x4c2d06fdf11a1e44,
  0x0ecf8138cb3590cf, 0x3b829e4afdcd0ccb, 0x00000000004fc39f,
};

static const uint64_t ur_t88_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e704a, 0x772d2c5c091dd631, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e271d82,
  0xc9ddb9da3dabbec4, 0xfef34f3f8dd304f8, 0x547d51efbdb3cd77, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0xf2b2ea06ed6678f9, 0x2fd47c1b306807a8, 0x522cd3ad08e40565, 0x5fad801afa30b2c4,
  0x69111cdc73ab5c3a, 0x29ed57a7075e86a7, 0x5b2e62e1212f88e3, 0x9a546c11409c02f6, 0xf6d7972ab5e9e114,
  0x152a8d74ecf1cd6c, 0x576a96faa9bece75, 0x25fd0d9e9ae0404e, 0xd5688af29b3c95c9, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xe6ca2317f36d028c, 0x9f1a2cb3a2e4d5c1, 0x1539fa9d598f2066,
  0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0xdc939e4afdcd0ccb,
  0x00000000027e68e2,
};

// t88_swio13_dual_pr
static const uint64_t ur_t88_swio13_dual[] = {
  0x5ddddddd41e7ce7c, 0x53350e50938b0fd4, 0x6b3ede9c6271795b, 0x5a0d28f66c502e35, 0x1ced9452b76a2bd7,
  0x271ddc90875d6c7e, 0xc800948300cc13e3, 0xa1832bac0db4ae22, 0x535aa774f8971030, 0xc1fc382fb98a2fe6,
  0x0ab03eea6f51e3de, 0xf815fe63408a11c9, 0xc5eef8bbe0000370, 0x150865a11922195d, 0xb943ffa039e135ad,
  0x700cc161bcaf212d, 0x9df2cf7ed9efddfe, 0x38e5581c1ff51f6f, 0x98b01541e64ad1ee, 0x1d78033b6948e213,
  0xb698c64a807fecc1, 0x3bb8a92e04a07967, 0xf6d7972ab59fc55f, 0x152a8d74ecf1cd6c, 0x576a96faa9bece75,
  0x25fd0d9e9ae0404e, 0xd5688af29b3c95c9, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0xf365118bf9b68151, 0x3e34597ab9726ae0, 0x2a73f53ab31e40cd, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1,
  0xcd0ccb0ecf8138cb, 0x92673edc939e4afd, 0x0000000000000002,
};

static const uint64_t ur_t88_swio13_dual_pr_u4[] = {
  0xd3dddddda2e7ce7c, 0x053350e508ccf0f8, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375ba34,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xffcca6b54ee9f12e, 0xc89b0dbe700f7318,
  0x239215607a54dea3, 0x06e1f02bfcc68114, 0x657717bbe2efdda0, 0xc4f454219685ac88, 0x84b6e5d7fe80e784,
  0x57f9c0330586f2bc, 0x7400ef961bfb67aa, 0x60a471cab03e93d4, 0x8df398b017f0e60f, 0x2c608ebc8b761f11,
  0xceee2a4a565c3dc7, 0x3db5e5caad67f157, 0x454aa35d3b3c735b, 0x95daa5beaa6fb39d, 0x497f4367a6b81013,
  0xb55a22bca6cf2572, 0x5af29c05ce80f2e7, 0xe8a042d2b08985ea, 0x36d38c6f19d1028b, 0x2e4d5c1e6ca2317f,
  0x98f20669f1a2cb3a, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x0a49c0adc939e4af,
};

static const uint64_t ur_t88_swio13_dual_pr_ee[] = {
  0xddbbbbba1eb432db, 0x153350e1710b61f0, 0xb49bdd1ed61a0dc7, 0x589e4aec947eb4cf, 0xbbfbbcfb1af8bc37,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x0d63813a992d7e65,
  0xac0f7dcdea3c56d8, 0x057f98d022847242, 0xeef8bbd52200dc3e, 0x0865a0fe22195dc5, 0xb7ff4073c26dbf15,
  0x930586f2bc84b6e9, 0x465176cf50fffe2c, 0xcaf51e57bee0ff6b, 0xf8aedd7a8f83660c, 0x2cb1148b34eb4203,
  0x147427e66006be8c, 0xb18f467a9cead2ec, 0x219ed56ba1d7b19b, 0xcbe9662e1216948e, 0xded51b0465ff805e,
  0x55f3bb8a928e2c7c, 0xd6cf6d7972ab59fc, 0xe75152a8d74ecf1c, 0x04e576a96faa9bec, 0x5c925fd0d9e9ae04,
  0xb9ed5688af29b3c9, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x15156f62aa8b4905, 0x1b8f365118bf9b68,
  0x599bf83bb8d160bb, 0xe627f2861539fa9d, 0x1f343c899e2e7197, 0x0cf4c2d06fc73df8, 0xccb0ecf8138cb359,
  0xc21e3899e4afdcd0, 0x0000000000000564,
};

static const uint64_t ur_t88_swio13_dual_pr_ee_u4[] = {
  0x323bbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bcc8a,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x69b38456986b7e65,
  0xac0d4f4dea3efbd8, 0x057f98d022847242, 0xf77c5dea4800dc3e, 0x8432d032910caee2, 0xcdffd01cf09ba88a,
  0x24c161bcaf212db8, 0xb46fe6d9e383ff8b, 0x84ff51e56a7a0ff6, 0x7f15e04f51f06cc1, 0x85962291669d6840,
  0xe18e838ccc00d7d1, 0xedb7d1cbe39d5a5c, 0x1f27b55ae875e534, 0xd971f18b84840a23, 0xc5494743e4bff00b,
  0xbcb955acfe2af9dd, 0x546ba7678e6b67b6, 0x54b7d54df673a8a9, 0xe86cf4d7020272bb, 0x445794d9e4ae492f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x288c5fcdb40a8ab7, 0x3bb8d1659d0dc79b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0x0ae3899e4afdcd0c, 0x0000000000002b24,
};

static const uint64_t ur_t88_swio13_dual_pr_ce[] = {
  0xf4eddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b77a77,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x329ad53ba7c4b881, 0xec0ba9c0a1cca7bf,
  0x215606e4e6f51e43, 0x1f02bfcc68114239, 0x717bbe2efeb3006e, 0x8a8432d097c88657, 0xdc6b7fd01cf09be4,
  0x380660b0de579096, 0xac7f53d76cf604ff, 0xd743efcf002e7795, 0xee597552e673aee6, 0xc72ac0c45f51e449,
  0xe21398b017f71951, 0xeccf1d78033b6948, 0x1e5adc98c64a807f, 0xf157ceee2a4b8128, 0x735b3db5e5caad67,
  0xb39d454aa35d3b3c, 0x101395daa5beaa6f, 0x2572497f4367a6b8, 0xbae7b55a22bca6cf, 0x417296be74078e56,
  0x14e31bc67440842a, 0x40a31dbd8aaa2d24, 0x357079b288c5fcdb, 0xc819a7c68b3440b9, 0x433d30b41bf75663,
  0x332c3b3e04e32cd6, 0x81cb724e792bf734, 0x0000000000001cf5,
};

static const uint64_t ur_t88_swio13_dual_pr_ce_u4[] = {
  0x323bbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x2a741640258b74c8,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xdf997612774f8971, 0xbef61a6ce115a61a,
  0x1c90ab0353d37a8f, 0x370f815fe63408a1, 0x2bb8bddf177a9200, 0xea22a10cb40ca443, 0x4b6e337ff4073c26,
  0xffe2c930586f2bc8, 0x3aaa8fabf9b678e0, 0xbee3441e78939091, 0xf459784bf10d8488, 0xa9733547736bb41f,
  0x622fa8f224f72c10, 0x580bfb8ca8e39560, 0xbc019db4a47109cc, 0x4c6325403ff6678e, 0x771525c0940f2d6e,
  0xdaf2e556b3f8abe7, 0xa551ae9d9e39ad9e, 0xed52df5537d9cea2, 0xbfa1b3d35c0809ca, 0xad115e536792b924,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6da0518e, 0xc1ddc68b2ce86e3c,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0x20571c4cf257ee68, 0x0000000000000349,
};

static const uint64_t ur_t88_swio13_dual_pr_ee_ce[] = {
  0x8f6ddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed147b,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0xda3826dcd3b7f997,
  0x030b537a8e337b0d, 0x5fe63408a11c90ab, 0xbe2efea700370f81, 0x32d02ea88657717b, 0xffa039e132568a84,
  0x82c3795e425b7fd7, 0xa9edb3cff3ff1649, 0x78939093fcb1fd51, 0x92673aee6d7e6ffe, 0xa8f2bcac06ed605c,
  0x72bbd47c1b307dd7, 0xc4522cd3ad08e405, 0x305fad801afa30b2, 0x6ec63d19ea73ab5c, 0xe219ed57a7075ec6,
  0xecbe9662e1216948, 0xe6f6a8d822813805, 0xf157ceee2a4bd3c3, 0x735b3db5e5caad67, 0xb39d454aa35d3b3c,
  0x101395daa5beaa6f, 0x2572497f4367a6b8, 0xbae7b55a22bca6cf, 0x417296be74078e56, 0x14e31bc67440842a,
  0x40a31dbd8aaa2d24, 0x80dc79b288c5fcdb, 0xd599bf83bb8d1668, 0xcb3590cf4c2d06fd, 0xfdcd0ccb0ecf8138,
  0x04c11b8fe3899e4a,
};

static const uint64_t ur_t88_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f96a, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a716a39cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x5ff32bf689dd3e25,
  0xadfd8400380a49bf, 0x1c90ab039db9bd47, 0x370f815fe63408a1, 0xaee2f77c5de75f00, 0x09150865a1a6d10c,
  0xb6ec87ff4073c26c, 0xf79a730586f2bc84, 0xa3ea8c6b6d9eec1f, 0xa20f3c49c073b06a, 0xbc25f886c2445f71,
  0x3547736b9d7dfa2c, 0x2bcac06ed667e493, 0xbd47c1b307dd7a8f, 0x22cd3ad08e40572b, 0xfad801afa30b2c45,
  0x63d19ea73ab5c305, 0x9ed57a7075ec66ec, 0xe9662e1216948e21, 0x6a8d822813805ecb, 0x7ceee2a4bd3c3e6f,
  0xb3db5e5caad67f15, 0xd454aa35d3b3c735, 0x395daa5beaa6fb39, 0x2497f4367a6b8101, 0x7b55a22bca6cf257,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb40a, 0xfd0468b2ce8b9357,
  0xc2a73f53ab337f06, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x961133c95fb9a199, 0x0000000000800ab2,
};

// t88_swio14_noled_pr
static const uint64_t ur_t88_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adcdeb0, 0x5b466ea44cf74192, 0x880f06613526f07d, 0x85e823af1afb3f74,
  0xc7b9827c64eed8fd, 0xa0db3ddd7f81a0cf, 0x81d7ff51d313be5b, 0x2dee99001f238e55, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0xf1cd6cf6d7972ab5, 0xeace75152a8d74ec, 0xd9e9ace9b95daa5b, 0x5794d9e4ad8fdfd0,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xbc674408f2f14085, 0xddb288c5fcdb4e31, 0x63c81a3f8d166880,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0x20493996a792bf73, 0x000000000000001f,
};

static const uint64_t ur_t88_swio14_noled_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f50e244c886, 0x8f21713e978f9930, 0xeea1c00f26eea488,
  0xc13e3277792eb208, 0x9edbffe700e7cc7c, 0xd7a8e0a1df2dbded, 0x4c1ed008e3956064, 0x2628c45398b01659,
  0x403ff6608ebd1f3b, 0x11303cb3dbb589e5, 0x8e6b67b6bcb955aa, 0x5673a8a9546ba767, 0xcf4d674dcaed52df,
  0xbca6cf256c7efe86, 0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x462fe6db0862adec,
  0x596745c9ab83cd94, 0x7ea75663c81db434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82,
  0xe04e32cd6433d30a, 0x6792bf734332c3b3, 0x0000000f93814bc1,
};

static const uint64_t ur_t88_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xe85ebd7de3f42299, 0xf83f85bc8c8121e3, 0x0ccddb532282fe64,
  0x3e32777c8e989467, 0xc09fe700e7edd4c1, 0xe4e0ff6b47226d9e, 0x8f83660c14f51e56, 0x34eb4203f8ad2b7a,
  0x6006be8c2cb1148b, 0x1cead2f018758ce6, 0xd0ebc019d814463e, 0x12164547d04f6ab5, 0x4bff00bd970e462e,
  0xb3db5e5caad475d0, 0xd454aa35d3b3c735, 0xb3a6e576a96fab39, 0x6792b63f7f4367a6, 0x8b5d73daad115e53,
  0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36d843156f62aa8, 0xd102e4d5c6ca2317, 0xfbab31e40eda1a2c,
  0x71966b219e985a0d, 0x5fb9a19961d964a2, 0x0014f80725e0b3c9,
};

static const uint64_t ur_t88_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0xf6475a2e8c1ae6d6, 0xe9170fd698bcd8b1, 0x7ae34d4d91417fd9,
  0x9f193ba82b7a71ce, 0x5baffc5933f1ca60, 0x21e0ff6b461ef6cf, 0x8f83660f4af51e57, 0x34eb4203f8ace1fa,
  0x6006be8c2cb1148b, 0x9cead2ffb8743ee6, 0xa1d7a1a9db4a4710, 0x1212628c459ed56b, 0x32ffc02f65b2e62e,
  0xad4717d073ca8d82, 0x3b3c735b3db5e5ca, 0x96fab39d454aa35d, 0xf4367a6b3a6e576a, 0xd115e536792b63f7,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x6ca2317f36d84315, 0xa1a2cb3a2e4d5c1e,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc1343c899e07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0x77053c95fb9a1996, 0x000000000275eaca,
};

static const uint64_t ur_t88_swio14_noled_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x21a6c6eef36a38cb, 0x382ff7e58fcc5d7b, 0x99920a6f6deee1f4,
  0x9827c64ee841af5e, 0xb3c95bfce01cf9c3, 0x0160e7ceb1fd57cd, 0x339d7736beed7e78, 0xfea3af93dcb2eb59,
  0xbb7e5f471cab0359, 0xf9d93146229cc580, 0x4f2a01ffb33c75e8, 0xab542260796b75ac, 0x4ecf1cd6cf6d7972,
  0xa5beace75152a8d7, 0xfd0d9e9ace9b95da, 0xb445794d9e4ad8fd, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5,
  0xdbd8aaa2d2da2718, 0x365118bf9b6c2131, 0x76d0d166881726ae, 0xf4c2d06fdd598f20, 0x0ecb25138cb3590c,
  0xaf059e4afdcd0ccb, 0x00000000016eb63f,
};

static const uint64_t ur_t88_swio14_noled_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xf5f682ef1fa114cc, 0xc1fc2de464090f1e, 0x9c50ccddb53dd327,
  0x4c13e32775a76d33, 0xd9ec09ff8b267edd, 0x16b4995aaa3eb226, 0xd8488bee3441e780, 0x5d2a3f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581acff51d7c9, 0x114e62c05dbf2fa3, 0xd99e3af47cec98a3, 0x3cb5bad6279500ff,
  0x67b6bcb955aa1130, 0xa8a9546ba7678e6b, 0x674dcaed52df5673, 0xcf256c7efe86cf4d, 0x16bae7b55a22bca6,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xcdb61098edec5551, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x01bafb5eddc14f25,
};

static const uint64_t ur_t88_swio14_noled_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0xef638eb53f1fe2e8, 0x6737a86d14202b72, 0x13130ce7126824cc,
  0x8c9dd1edb02c21f9, 0xfffe2c99fff9304f, 0x7ec7f546e976cf74, 0xafdd6fcf002d693a, 0xddac0a3e4ce75dcd,
  0x660e71f51e57f380, 0xa11c80add2fa8f83, 0x5f4616588a459a75, 0x4e756b8fddf5b003, 0xe0ebd0d4eda52388,
  0x2424c5188b3daaf4, 0x2813805ecb65cc5c, 0x56bd3dd073ca8d82, 0x9d9e39ad9edaf2e5, 0x4b7d59cea2a551ae,
  0xfa1b3d359d372bb5, 0x688af29b3c95b1fb, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31,
  0x6ca2317f36d84263, 0x868b2f572e4d5c1e, 0xa9cfd4eacc7903f2, 0x6879133c09c69430, 0xd6433d30b41bf7c4,
  0x34332c3b3e04e32c, 0x3f1eb6ee0a792bf7, 0x0000000000000001,
};

static const uint64_t ur_t88_swio14_noled_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x13b02f4d8c286d93, 0x7baf537d3bc8d05b, 0xee091f910f1363c1,
  0x193ba3afa0282c8e, 0x3fde69e7daee609f, 0x5547d51caedb3cff, 0xb8d1079e005cedfe, 0x165e12fc4361222f,
  0xe4cd51dcdafd4efd, 0xa3cafe701bb599e3, 0xba5f51f06cc1ce3e, 0x1148b34eb4239015, 0xfbbeb6006be8c2cb,
  0x9db4a47109cead71, 0x1167b55e9c1d7a1a, 0xd96cb98b848498a3, 0x0e7951b04502700b, 0xb3db5e5caad7a7ba,
  0xd454aa35d3b3c735, 0xb3a6e576a96fab39, 0x6792b63f7f4367a6, 0x8b5d73daad115e53, 0x077536294f0d3bcf,
  0xb4b689c6378ce881, 0xe6db084c76f62aa8, 0x45c9ab83cd94462f, 0xb31e40cd3e345967, 0x87bde50c2a73f53a,
  0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e, 0xfb9a19961d9f0271, 0x04fcde0bb9273c95,
};

// t88_swio14_lednop_pr
static const uint64_t ur_t88_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0x6b76deef85e82832, 0x880f06613526eef3, 0xd8f363d2bafa1374,
  0xefe4c13e327771de, 0xe836cf195fe06833, 0x6075ffd47f90ef96, 0x0b7ba63d5ef8e395, 0x8b9dad647d01cc58,
  0xa5673db8e58c11d7, 0x9e39ad9edaf2e556, 0x7d59cea2a551ae9d, 0x35c0809d372bb54b, 0x9b3c95cbec7a1b3d,
  0x3a03cb9ed5688af2, 0xc22617a96bca7017, 0xce881b1fe2810b4a, 0x65118bf9b69c6378, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0x6587659289c659ac, 0xc5f32d4f257ee686, 0x000000000000f901,
};

static const uint64_t ur_t88_swio14_lednop_pr_u4[] = {
  0x41bbbbbb45d8b562, 0x1ddcb4b10ac32b04, 0x63b0bf7c2f414192, 0x06613523afad3c4e, 0x0600db691774880f,
  0xc13e3277699ead17, 0xcf489fe700e7c3dc, 0xffd475f0ef96e836, 0x9b6fcbe8e3956075, 0x6ba3b86731602dee,
  0xdb8e58c11d78b9d9, 0xd9edaf2e556a565a, 0xea2a551ae9d9e39a, 0x09d372bb54b7d59c, 0x5cbec7a1b3d35c08,
  0xb9ed5688af29b3c9, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905, 0xae0f365118bf9b6c,
  0x2076d0d1659d1726, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e44cf0, 0x90cf4c2bbe8f727e,
  0x0ccb0ecf8138cb35, 0x3085af059e4afdcd, 0x00000000000000f9,
};

static const uint64_t ur_t88_swio14_lednop_pr_ee[] = {
  0x327bbbbbbbd8b562, 0xc3f72d2c42261558, 0xc69ed0bd623e2d4c, 0x27c1fc2de4d7a70b, 0x09fbc5eb411417f3,
  0x04f8c9dda67bf4ee, 0x7a2b7f9c039f2753, 0x5fce83fdad1c89b6, 0xea3e0d983053d479, 0x2cd3ad080fe2ba95,
  0x99801afa30b2c452, 0xef39d5a5dfc1d633, 0x6ba1d78033b7c88d, 0x5c242ded1dc39ed5, 0x0b97fe017b2e1c8c,
  0xd6cf6d7972ab51d6, 0xe75152a8d74ecf1c, 0x404e9b95daa5beac, 0x4ae5f63d0d9e9ae0, 0xb5cf6ab445794d9e,
  0x52c2ca6c59d01e7e, 0xa2fa2810b4d5ceaf, 0x5fcdb4e31bc67440, 0xb3440b93571b288c, 0x37eeacc7903b6868,
  0x89c659ac867a6168, 0x257ee68665876592, 0x000029f1539782cf,
};

static const uint64_t ur_t88_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x56b9696211285d63, 0x34bab8f76dbaf36b, 0x9170fd690cf17bd3, 0x45a0ab411417fd9e,
  0xf8c9dd3ada244b55, 0x2b7fe2c99f275304, 0x9707fb5a30f7b67a, 0x7c1b307a57a8f2b2, 0xa75a101fc5650fd4,
  0x0035f4616588a459, 0xe75697f9c3a1f733, 0x1d7a1a9d827a35f0, 0x42c9118df9ed56ba, 0x5ff805ecb65cc5c2,
  0xa8e2ed627951b046, 0x678e6b67b6bcb955, 0xdf5673a8a9546ba7, 0x4d7020274dcaed52, 0xa6cf2572fb1e86cf,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6db18c55bd8aaa, 0x745c9ab83cd94462,
  0x75663c81f9434596, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa,
  0x2bf734332c3b3e04, 0x00004eb966ee0a79,
};

static const uint64_t ur_t88_swio14_lednop_pr_ce[] = {
  0x61fdddddddec4743, 0xb2ae5a58b2730aac, 0x19ee2fd48be2638c, 0x4382ff7e3d3b1e30, 0xab05905a0b8eee1f,
  0x39827c64eeb45da8, 0xdb3d21ffce01cf94, 0x80160e1c3b1fd57c, 0xc99cebb9b5f4d7e7, 0x9fea3cbe9ee5975a,
  0x058f7a5471cab035, 0x8f9db244637ce62c, 0xfd22a01ffb33c75e, 0x556b2ed40f2d6e83, 0xe9d9e39ad9edaf2e,
  0x54b7d59cea2a551a, 0xb3d35c0809d372bb, 0xaf29b3c95cbec7a1, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0x317f36d8c4c76f62, 0xa2cd102e4d5c6ca2, 0xa0dfbab31e40eda1, 0x4a271966b219e985,
  0x3c95fb9a19961d96, 0x000002dd4e145e0b,
};

static const uint64_t ur_t88_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda2447705, 0x3f72d2c30e1fbac1, 0xa2ed91d623e2d4cc, 0x07f0b79019b200be, 0x2650b69764f74c9f,
  0x304f8c9dd6c5ab05, 0x67b7dffe2c99f8ad, 0x5ad25baaa8fac89b, 0x61222fb8d1079e00, 0x7a4afd165e12fc43,
  0xb96086b266a8ee6d, 0x72ac0d67fa8f2fa7, 0xdf398b0163de951c, 0xccf1d7a3e76c9118, 0xcb5ba0ff48a807fe,
  0x7b6bcb955acbb503, 0x8a9546ba7678e6b6, 0x74dcaed52df5673a, 0x2fb1e86cf4d70202, 0x7b55a22bca6cf257,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb631, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0x56ddc14f257ee686, 0x000000000001baf7,
};

static const uint64_t ur_t88_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a232a8, 0x4b9696215a99d609, 0x6f6e0ebd385fe2e8, 0xce6f50d71b453770, 0xdc9685ce24d04998,
  0x193bb38b4dd33ee9, 0x7ff8b267d36e609f, 0xbb1fd51ba5db3c33, 0x7d507f3c00b5a419, 0xed6051f2673aee6d,
  0x30738fa8f2b38606, 0x08e40565d7d47c1b, 0xfa30b2c4522cd3ad, 0x73ab5c7cefad801a, 0x0ebd0d4ec13d1af8,
  0x8592231bf3daaf4e, 0x02700bd96cb98b84, 0xd7a7ad627951b045, 0xb3c735b3db5e5caa, 0x6fab39d454aa35d3,
  0xa6b81013a6e576a9, 0x536792b97d8f4367, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20,
  0xfe6db1898edec555, 0xae5c9ab83cd94462, 0xd598f207e50d165e, 0x78138d2861539fa9, 0x616837ef88d0f226,
  0x767c09c659ac867a, 0xdc14f257ee686658, 0x0000000009f89f5d,
};

static const uint64_t ur_t88_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e5f41, 0x772d2c5c0919d62c, 0x769bad066b40db26, 0xeebd4d891e9d6443, 0x89df4e443c4d8f05,
  0x32776b5a76ab8991, 0xffde69e7c524c13e, 0xaa8faa395db67ab7, 0xe3441e780173badf, 0x59784bf10d8488be,
  0x933547736b8593f4, 0x8f2b38606ed6678f, 0x5d7d47c1b30738fa, 0x4522cd3ad08e4056, 0xcefad801afa30b2c,
  0xec13d1af873ab5c7, 0xbf3daaf4e0ebd0d4, 0x96cb98b848592231, 0x27951b04502700bd, 0x3db5e5caad7a7ad6,
  0x454aa35d3b3c735b, 0x3a6e576a96fab39d, 0x97d8f4367a6b8101, 0x3daad115e536792b, 0x94b5f3a03c72b5d7,
  0x18de33a20421520b, 0x98edec55516920a7, 0x83cd94462fe6db18, 0xcd3e34596745c9ab, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x27b9273c95fb9a19,
  0x000000000004fcc9,
};

// t88_swio14_dual_pr
static const uint64_t ur_t88_swio14_dual[] = {
  0xeeeeeeea0f3e43ee, 0x99a8728457d87e82, 0x6356ac1fa78bcada, 0xd047ced00ab125ab, 0x267da29dbb415eba,
  0x38eee593368bda79, 0x4004a4737e609f19, 0x0c195d606da57116, 0x9ad53ba7c4b88185, 0x0fe1c17dcc517f32,
  0x5581f7537a8f1ef6, 0xc0aff31a04508e48, 0x5eef8bbdaec01b87, 0x50865a11922195dc, 0x94bffa039e135ad1,
  0x00cc161bcaf212db, 0xbe596bed9e28bfe7, 0xc72ac0f7bf51fba3, 0xc580aa0f33930f71, 0xebc019d90046989c,
  0x6f78df5403ff6608, 0x7715257cea07967b, 0xdaf2e556b3f8abe7, 0xa551ae9d9e39ad9e, 0x372bb54b7d59cea2,
  0xec7a1b3d35c0809d, 0xd5688af29b3c95cb, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0xf365118bf9b6c631, 0x3e34597ab9726ae0, 0x2a73f53ab31e40cd, 0x1a1e44cf0271a50c, 0x3590cf4c2d06fdf1,
  0xcd0ccb0ecf8138cb, 0x49a7d7dc939e4afd, 0x000000000000000a,
};

static const uint64_t ur_t88_swio14_dual_pr_u4[] = {
  0x33dddddda2e7ce7c, 0x053350e508ccf0fc, 0xadaafb7e9d914109, 0x9fb7a74174c8dc13, 0x87e362b0c6eb7619,
  0x4f8c9cc6e4843acf, 0xb88b200252011330, 0x40c2860caeb036d2, 0xff994d6a9dd3e25c, 0x91361b7ce01ee631,
  0x47242ac0f4a9bd47, 0x0dc3e057f98d0228, 0xcaee2f77c5dfbb40, 0x89e8a8432d0b5910, 0x096dcbaffd01cf09,
  0xaff380660b0de579, 0xe801df2d07f6cf54, 0xc148e395607d07a8, 0x1be731602fe1cc1e, 0x58c11d7916ec3e23,
  0x9ddc5494acb87b8e, 0x7b6bcb955acfe2af, 0x8a9546ba7678e6b6, 0x74dcaed52df5673a, 0x2fb1e86cf4d70202,
  0x7b55a22bca6cf257, 0x165362ce80f3f5ae, 0xd14085a6ae757a96, 0x6da718de33a20517, 0x5c9ab83cd94462fe,
  0x31e40cd3e3459674, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee,
  0xb9a19961d9f02719, 0x1493815b9273c95f,
};

static const uint64_t ur_t88_swio14_dual_pr_ee[] = {
  0xbdddddd0f5a1a5fb, 0x4cd4385c513f0fc0, 0x08774ed34e8371c5, 0xf2529555eeb71ab5, 0x6bd8b8d7c5f02ec4,
  0x6e4f05a3f0ab2b8a, 0x4a40aa2609f19269, 0x95d606da57116400, 0x93ba7c4b881850c1, 0xc70275325afccbb0,
  0x1efb9bd478adb01a, 0xff31a04508e48558, 0xf177980401b87c0a, 0xcb41fc4432bb8bdd, 0xfe80e784db7e2a10,
  0x0586f2bc84b6e1a3, 0xa95b6792d7fe2c93, 0xfa8f2b95d07fb5a3, 0xaf7dfa8f83660f6f, 0xb1148b34eb4203f8,
  0x7427e66006be8c2c, 0x7b47a51cead2e50c, 0x9ed56ba1d7b19bb4, 0xe9662e1212008d31, 0x551b0465ff805ecb,
  0xe77715251c5e4511, 0x9edaf2e556b3f8ab, 0xa2a551ae9d9e39ad, 0x9d372bb54b7d59ce, 0xcbec7a1b3d35c080,
  0x9ed5688af29b3c95, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053, 0xb8f365118bf9b6c6,
  0x99bf83bb8d160bb1, 0x627f2861539fa9d5, 0xf343c899e2e7197e, 0xcf4c2d06fc73df81, 0xcb0ecf8138cb3590,
  0x64e3899e4afdcd0c, 0x0000000000000ac8,
};

static const uint64_t ur_t88_swio14_dual_pr_ee_u4[] = {
  0xc4edddddda2432db, 0x4aa66a1c2e373b0f, 0xedae3bb618a774ee, 0x477f4d99d179579c, 0x4f51f67c35f17c4e,
  0xa8b7268fefb833a4, 0x004a45c95304f8c9, 0xc195d606da571164, 0xb093ba7c4b881850, 0xd36708ad30d6fccb,
  0x581a9e9bd47df7b0, 0x0aff31a04508e485, 0xddf177b41c01b87c, 0x10cb40ca4432bb8b, 0x3fff4073c26ea22a,
  0x930586f2bc84b6f6, 0xa331fb6786b7fe2c, 0xd47a8f2b60b07fb5, 0xfc56a7bd47c1b307, 0x16588a459a75a101,
  0x0e3a0e3330035f46, 0xeddd23050e756979, 0x9167b55ae875e534, 0xb2e3e317090a6e47, 0x15251d64597fe017,
  0xf2e556b3f8abe777, 0x51ae9d9e39ad9eda, 0x2bb54b7d59cea2a5, 0x7a1b3d35c0809d37, 0x688af29b3c95cbec,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x65118bf9b6c63156, 0x07771a2cb3a1b8f3,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xd3dc7133c95fb9a1, 0x0000000000000ac9,
};

static const uint64_t ur_t88_swio14_dual_pr_ce[] = {
  0x92eeeeeeef3e43ee, 0x553350e3c9d7787f, 0xb7b5adb128cda2d4, 0x1a16246352726c4e, 0xc55f62eafb7792f9,
  0xc9c5f72c99b5ded3, 0xb2002523ce5304f8, 0x2860caeb036d2b88, 0x94d6a9dd3e25c40c, 0x605d4e050e653df9,
  0x0ab0372737a8f21f, 0xf815fe63408a11c9, 0x17bbe2ef66f80370, 0xa8432d097c886577, 0xe397fd01cf09be48,
  0x80660b0de579096d, 0xc7f5d2b6cf29eff3, 0xbc00fcf002e77812, 0x72cbaa97339d7736, 0x72ac0ed6f51c27cf,
  0x62731602945dbf1c, 0x99e3af006764011a, 0x96b73de37d500ffd, 0xabe77715257cea07, 0xad9edaf2e556b3f8,
  0xcea2a551ae9d9e39, 0x809d372bb54b7d59, 0x95cbec7a1b3d35c0, 0xeb9ed5688af29b3c, 0x05ca5af9d01e395a,
  0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xd5c1e6ca2317f36d, 0x20669f1a2cd102e4, 0x0cf4c2d06fdd598f,
  0xccb0ecf8138cb359, 0x54edc939e4afdcd0, 0x00000000000039eb,
};

static const uint64_t ur_t88_swio14_dual_pr_ce_u4[] = {
  0xc4edddddda2432db, 0xe4aa66a1c1973b0f, 0xcedae3bb618a774e, 0xe477f4d99d179579, 0x0ce913d47d9f6ec4,
  0x3e326a2dc9a3fbee, 0xc4590012917254c1, 0x061430657581b695, 0xbf32ec24ee9f12e2, 0x7dec34d9c22b4c35,
  0x39215606a7a6f51f, 0x6e1f02bfcc681142, 0xaee2f77c5ded0700, 0xa88a8432d032910c, 0x2dbd8fffd01cf09b,
  0xff8b24c161bcaf21, 0x0d547d4c7ed9e1ad, 0xf71a20f3c49c848e, 0xa2cbc25f886c2445, 0x4b99aa3b9b5fa3ff,
  0x6b7a8e13e7b96085, 0x014a2edf8e395607, 0x8033b2008d31398b, 0xf1bea807feccf1d7, 0x8a92be7503cb5b9e,
  0x7972ab59fc55f3bb, 0xa8d74ecf1cd6cf6d, 0x95daa5beace75152, 0x3d0d9e9ae0404e9b, 0xb445794d9e4ae5f6,
  0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0x65118bf9b6c6263b, 0x07771a2cb3a1b8f3,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xd3dc7133c95fb9a1, 0x0000000000001a49,
};

static const uint64_t ur_t88_swio14_dual_pr_ee_ce[] = {
  0xa0addddddd437089, 0xdca66a1ca11c2f0f, 0x5b369bb1a92614e0, 0x4d88c8ce226f66eb, 0xa7ad0513e17b4541,
  0x06ee4fe1dbc9d6d1, 0x012909e5e609f193, 0x0657581b695c4590, 0xc24ee9f12e206143, 0xb4704db9a76ff32e,
  0x0616a6f51c66f61b, 0xbfcc681142392156, 0xf8bbc617006e1f02, 0xcb40baa2195dc5ee, 0xfe80e784c95a2a10,
  0x0b0de579096df1bb, 0x82ed9e9dbffc5926, 0x8939094edd8fea8d, 0x2673aee6d7044fe7, 0x8f2bc0806ed605c9,
  0x95bd47c1b307227a, 0x4522cd3ad08e4057, 0x43fad801afa30b2c, 0xed1ed1e9473ab5c1, 0x319ed57a7075ec66,
  0xcbe9662e1212008d, 0x88aa8d822813805e, 0x2af9ddc5497a7b22, 0x6b67b6bcb955acfe, 0x73a8a9546ba7678e,
  0x20274dcaed52df56, 0x2572fb1e86cf4d70, 0xbae7b55a22bca6cf, 0x417296be74078e56, 0x14e31bc67440842a,
  0x63131dbd8aaa2d24, 0x80dc79b288c5fcdb, 0xd599bf83bb8d1668, 0xcb3590cf4c2d06fd, 0xfdcd0ccb0ecf8138,
  0x04c10e14e3899e4a,
};

static const uint64_t ur_t88_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e5f82, 0x9a87099f1ff0fa72, 0xc3b45f62e3d90529, 0x2bebb4f577b90f5f, 0xcb474e4e4739a716,
  0xe6bd5c795efeaf87, 0x04f8c90dd72dad5b, 0xb88b2002521e3d73, 0x40c2860caeb036d2, 0xff32bf689dd3e25c,
  0xdfd8400380a49bf5, 0xc90ab039db9bd47a, 0x70f815fe63408a11, 0xee2f77c5def00803, 0x9150865a1a6d10ca,
  0x6e951ff4073c26c0, 0x79a730586f2bc84b, 0x3ea8e396d9efd7ff, 0x20f3c49c073f5eaa, 0xc25f886c2445f71a,
  0x547736bbc03fa2cb, 0xbc0806ed667e4933, 0xd47c1b307227a8f2, 0x2cd3ad08e405795b, 0xad801afa30b2c452,
  0xed1e9473ab5c143f, 0xed57a7075ec66ed1, 0x9662e1212008d319, 0xa8d822813805ecbe, 0x9ddc5497a7b2288a,
  0x7b6bcb955acfe2af, 0x8a9546ba7678e6b6, 0x74dcaed52df5673a, 0x2fb1e86cf4d70202, 0x7b55a22bca6cf257,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb631, 0xfd0468b2ce8b9357,
  0xc2a73f53ab337f06, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xd61133c95fb9a199, 0x0000000001001756,
};

// t88_swio15_noled_pr
static const uint64_t ur_t88_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0x04f066127bb4c9df, 0x2f64188f1f79375b,
  0xc7cc13e32775a9e8, 0x4db3db7ffc0d067c, 0x0f9ef51e213be5ba, 0xdee9b4a5af1c72ac, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x39ad9edaf2e556a5, 0xd9cea2a551ae9d9e, 0xd359d372bb54b7d5, 0x4d9e4ab57fbfa1b3,
  0xde7eb5cf6ab44579, 0x5cea75380b2953e9, 0x74408bf714085a58, 0x288c5fcdb4e31bc6, 0x81a3f8d166880ddb,
  0x33d30b41bf75663c, 0x2c3b2c944e32cd64, 0x0b996a792bf73433, 0x000000000000f900,
};

static const uint64_t ur_t88_swio15_noled_pr_u4[] = {
  0x077777768bb128ae, 0xbb9696215988d61b, 0xef8fd1b42ca83243, 0x6127b86b97b36aa1, 0xedb19bbf75b04f06,
  0x27c64eefd3dc2848, 0xeea3fce01cfedf98, 0x7a8ff21df2dd26d9, 0x69126e8e395607cf, 0x4547d01cc580b7ba,
  0x371cb1823af173b6, 0xb3db5e5caad4ace9, 0xd454aa35d3b3c735, 0x3a6e576a96fabb39, 0xc956aff7f4367a6b,
  0xaeb9ed5688af29b3, 0xba9b14a7869de7c5, 0x5b44e31bc6744083, 0x36c648ab7b15545a, 0x2e4d5c1e6ca2317f,
  0xb31e40eda1a2cb3a, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e,
  0xfb9a19961d9f0271, 0x01f269a05e0b3c95,
};

static const uint64_t ur_t88_swio15_noled_pr_ee[] = {
  0x1bbf7777777b1762, 0x30fdcb4b10898beb, 0x17afb4175d797b53, 0x7f07f0ba10d85a33, 0xda59fbc764505ff7,
  0x27c64eef25da668e, 0xd95bfce01cfe9b98, 0xd2b41fed68fbadb3, 0xa3e0d98397dea3ca, 0xcd3ad080fe2bf9de,
  0x9801afa30b2c4522, 0xe73ab4bafb1d6339, 0xd0ebc019da5f235a, 0x09087c47d24f6ab5, 0x25ff805ecb872317,
  0xd9edaf2e556a3ae9, 0xea2a551ae9d9e39a, 0x9d372bb54b7d5d9c, 0xe4ab57fbfa1b3d35, 0xd75cf6ab445794d9,
  0xdd4d8a53c34ef3e2, 0x2da2718de33a2041, 0x9b632455bd8aaa2d, 0x881726ae365118bf, 0xdd598f2076d0d166,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x0029f0922f059e4a,
};

static const uint64_t ur_t88_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447032, 0x56b96962111a5d61, 0x68ba47f499f1f36b, 0x22e1f1ae6ecadb53, 0x05a178511417f791,
  0xf8c9dd3b5b2ed395, 0x4dffe2c99f1ad304, 0x8707fb5a38f7b67b, 0x7c1b3067afa8f2b3, 0xa75a101fc565d7d4,
  0x0035f4616588a459, 0xe756977263a1f733, 0x0ebd0d4ec7aa3f90, 0x90a2147bdcf6ab5d, 0x97fe017b2d973170,
  0xd4717d260b546c11, 0xb3c735b3db5e5caa, 0xfabb39d454aa35d3, 0x367a6b3a6e576a96, 0xaf29b3c956aff7f4,
  0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x15545a5b44e31bc6, 0xa2317f36c648ab7b, 0xa2cb3a2e4d5c1e6c,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0x053c95fb9a19961d, 0x0000000275d22f77,
};

static const uint64_t ur_t88_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bde6ec1e38cb, 0xc17f369a9c2f6226, 0x22b461436f77d7a1,
  0xc13e32776a2ed05f, 0x9ef9dfe700e7cbac, 0x0b071d2d8feb376d, 0xce75dcdae1a3f3c0, 0x7a8f374f72cbad64,
  0x532a718e3956064f, 0x7ced10a3dece62c0, 0x269500ffd99e3af4, 0x55abeb703cb5b845, 0xa7678e6b67b6bcb9,
  0x2df57673a8a9546b, 0xe86cf4d674dcaed5, 0x115e536792ad5fef, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xb288c5fcdb190c76, 0xb6868b3440b93571, 0xa616837eeacc7903, 0x7659289c659ac867,
  0x782cf257ee686658, 0x000000000b7517ed,
};

static const uint64_t ur_t88_swio15_noled_pr_ce_u4[] = {
  0xefdddddda24477d6, 0x3f72d2c30e62fac6, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deeeef,
  0xe609f193bb61b7c8, 0x6cf656ffc5933fa6, 0x0b5a495d551f5eeb, 0x6c2445f71a20f3c0, 0xaec87fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c0532a718, 0xfd99e3af47ced10a, 0x03cb5b845269500f,
  0xb67b6bcb955abeb7, 0x3a8a9546ba7678e6, 0x674dcaed52df5767, 0x792ad5fefe86cf4d, 0xb5d73daad115e536,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0xcdb190c76f62aa8b, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x01baef36ddc14f25,
};

static const uint64_t ur_t88_swio15_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0x4b9696215be9d636, 0xe3a24771de63e2e8, 0x6737f1e47ea28338, 0x5a66d2e712683b6c,
  0x8c9dd3adacccb572, 0xfffc5933fbb5304f, 0xfd8fea8e43ed9e31, 0x5dd51f9e005ad218, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0x4239015c87f51f06, 0xbe8c2cb1148b34eb, 0x1cead70e4feb6006, 0xc1d7a1a9d8f547f2,
  0x48510a3dee7b55e9, 0x502700bd96cb98b8, 0x5af4f74982d51b04, 0x7678e6b67b6bcb95, 0xdf57673a8a9546ba,
  0x86cf4d674dcaed52, 0x15e536792ad5fefe, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378,
  0x288c5fcdb190c76f, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0xc2b53b829e4afdcd, 0x000000000000004f,
};

static const uint64_t ur_t88_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61a, 0x5eb33d2b6480db26, 0x7bafc2a5df250820, 0x9199a5910f12d4c1,
  0xc9dda2fd6c49af13, 0xff79a79f801304f8, 0xaa3ea8f7ded9eb5b, 0x8d1079e005ceed6e, 0x65e12fc4361222fb,
  0x99aa3b9b5ddbbfd1, 0x795ba50376b33c7c, 0x0fea3e0d983403d4, 0x291669d6847202b9, 0x9fd6c00d7d185962,
  0xb1ea8fe439d5ae1c, 0xdcf6abd383af4353, 0x2d97317090a2147b, 0x05aa3608a04e017b, 0xf6d7972ab5e9ee93,
  0x152a8d74ecf1cd6c, 0x9b95daa5beaece75, 0x55abfdfd0d9e9ace, 0xae7b55a22bca6cf2, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x63218edec5551696, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xf1f816e49cf257ee,
  0x0000000000000013,
};

static const uint64_t ur_t88_swio15_lednop[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fbad82,
  0x7b9827c64eeb53dd, 0x4db3ddd7f81a0cfc, 0x0f9ef51e6e3be5ba, 0x6f74c654e31c72ac, 0x73b3de8ed6398b01,
  0xac11771cb1823af1, 0xc735b3db5e5caad4, 0xbb39d454aa35d3b3, 0x81013a6e576a96fa, 0x3c95c958f4367a6b,
  0x5aeb9ed5688af29b, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4, 0xc7c3b1bb65118bf9,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x002a497fe65a9e4a,
};

static const uint64_t ur_t88_swio15_lednop_pr[] = {
  0xb7777743d7d8ad4e, 0xb9696215aa1d627b, 0xb64f54c0e2910cd6, 0xf2091236c66cf7a7, 0x82fcc6b4dd9ee888,
  0x4f8c9ddf23b8bd19, 0x8c7ff9c039fa9530, 0xd47d28ef9683fb67, 0x01827c71cab03e83, 0x88e32398b016594d,
  0x3ff6608ebd1f3b2f, 0x40f2cf6c6fdc3540, 0xad9edaf2e556b70e, 0xcea2a551ae9d9e39, 0x09d372bb54b7d5d9,
  0xae4ac7a1b3d35c08, 0x5cf6ab445794d9e4, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x0a8ab7b15545a482,
  0x57079b288c5fcdb4, 0xc81db434582ecb93, 0xfca1854e7ea75663, 0x0f22678b9c65f989, 0x30b41bf1cf7e07cd,
  0x3b3e04e32cd6433d, 0xbc16792bf734332c, 0x0000000001f27842,
};

static const uint64_t ur_t88_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8ad4e, 0xddcb4b10ac4ceb0d, 0xf417e871471c1921, 0x6127b9888d7e0f0b, 0x711b7b3f75b04f06,
  0x7c64eef91d411199, 0xeebfce01cfc7b982, 0xa8f371df2dd26d9e, 0x32a718e395607cf7, 0xf476b1cc580b7ba6,
  0xb8e58c11d78b9d9e, 0x9edaf2e556a5608b, 0xa2a551ae9d9e39ad, 0xd372bb54b7d5d9ce, 0x4ac7a1b3d35c0809,
  0xf6ab445794d9e4ae, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0x079b288c5fcdb40a,
  0x3b6868b2ce8b9357, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03,
  0x658767c09c659ac8, 0xa79782cf257ee686, 0x0000000000003e4f,
};

static const uint64_t ur_t88_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8ad4e, 0xc3f72d2c42212158, 0xf42f5ebefa5ad14c, 0xefe0fe17426d9305, 0xce199bb4108a0bfe,
  0x827c64eef91d3128, 0x7a397f9c039feaf9, 0x5ba583fdad1f75b6, 0xd47c1b3072fbd479, 0x59a75a101fc56517,
  0x330035f4616588a4, 0xc4e7569780c3ac67, 0xae875e00ced92234, 0x7090a0fa3b5a7b55, 0x3e5ff805ecb87231,
  0x5b3db5e5caad474b, 0x9d454aa35d3b3c73, 0x13a6e576a96fabb3, 0x5c958f4367a6b810, 0xb9ed5688af29b3c9,
  0x58594d8b3a03cfd6, 0x9f4502169ab9d5ea, 0xf9b69c6378ce8813, 0x6881726ae365118b, 0xfdd598f2076d0d16,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x000a7c0392f059e4,
};

static const uint64_t ur_t88_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222a20, 0xab5cb4b1088f5eb0, 0xae3dfa7a36d889b5, 0x9170f8d76966eec9, 0x644204108a0bfbc8,
  0x3e327755f6c1b8d5, 0x1cbff164cff57cc1, 0x4383fdad1c7bdb3d, 0x3e0d9833d7d47959, 0xd3ad080fe2b60bea,
  0x801afa30b2c4522c, 0x73ab4bba51d0fb99, 0x875e86a769111cdc, 0x484be238ca7b55ae, 0xcbff00bd96cb98b8,
  0xb51c588a4d2a3608, 0xecf1cd6cf6d7972a, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xa6cf2572563d0d9e,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6da05455bd8aaa, 0x745c9ab83cd94462,
  0x75663c81f9434596, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa,
  0x2bf734332c3b3e04, 0x000275c216ee0a79,
};

static const uint64_t ur_t88_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef623f3e, 0x9572d2c593848563, 0xbf4ddeecfe0f1c65, 0xc17f36ac9b532678, 0x9c6c20950f77d7a1,
  0xc13e327748fed91e, 0x9e387fe700e7d82c, 0x0b070bad8feb376d, 0x9cebb9b5e76ff3c0, 0xf51e719ee5975ac9,
  0x4c79eb1c72ac0c9e, 0xf3b2f88e32398b01, 0xc35403ff6678ebd1, 0x5adc3903cb5b86fd, 0x7678e6b67b6bcb95,
  0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x536792b92b1e86cf, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0xfe6da0518edec555, 0x9a205c9ab8d94462, 0xbf75663c81db4345, 0x4e32cd6433d30b41,
  0x2bf734332c3b2c94, 0x0005bab71ebc1679,
};

static const uint64_t ur_t88_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2445541, 0x3f72d2c30e433ac6, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbbbf,
  0x9827c64eea0ade9c, 0xb3d6ebff164cfc72, 0x2d6934dd547d7bad, 0xb09117dc6883cf00, 0xb9257e8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3ce33, 0xc6473160298f3d63, 0xeccf1d7a3e765f11, 0x796b70dfb86a807f,
  0xcf6d7972ab5b8720, 0x5152a8d74ecf1cd6, 0xe9b95daa5beaece7, 0x2563d0d9e9ae0404, 0x7b55a22bca6cf257,
  0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x079b288c5fcdb40a, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0xb29dc14f257ee686, 0x000000000000dd7a,
};

static const uint64_t ur_t88_swio15_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x0972d2c42b791ac6, 0xe0ea33db260bfc5d, 0x19cdfc7fd323e7ee, 0xed60bd79c49a0edb,
  0xe32777ed694e2c52, 0xf9ff8b267f4d4c13, 0xfe58fea8e43ed9ef, 0xb5cdbbfcf002d693, 0x1bb58147c99cebb9,
  0x6cc1a01ea3cacba8, 0xb423901594bf51f0, 0x6be8c2cb1148b34e, 0x71cead70e97eb600, 0x9c1d7a1a9da44473,
  0x8484be238ca7b55e, 0x4502700bd96cb98b, 0xaad7a784526951b0, 0xd3b3c735b3db5e5c, 0x96fabb39d454aa35,
  0x7a6b81013a6e576a, 0xf29b3c95c958f436, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x17f36d028c76f62a, 0xf572e4d5c1e6ca23, 0x4eacc7903f2868b2, 0x33c09c69430a9cfd, 0xd30b41bf7c468791,
  0xc3b3e04e32cd6433, 0xcee0a792bf734332, 0x000000000013f0e7,
};

static const uint64_t ur_t88_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61a, 0xd694edc5e820db26, 0xf75f8541b976d14d, 0xe4e313221e25a982,
  0xc9ddb9da3dabbec4, 0xfef34f3f8dd304f8, 0x547d51efbdb3cd77, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0xf2b2ea06ed6678f9, 0x2fd47c1b306807a8, 0x522cd3ad08e40565, 0x5fad801afa30b2c4,
  0x69111cdc73ab5c3a, 0x29ed57a7075e86a7, 0x5b2e62e1212f88e3, 0x9a546c11409c02f6, 0xf6d7972ab5e9e114,
  0x152a8d74ecf1cd6c, 0x9b95daa5beaece75, 0x563d0d9e9ae0404e, 0xb55a22bca6cf2572, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb40a3, 0xa7c68b2ce8b93570, 0x854e7ea75663c819,
  0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0xb724e792bf734332,
  0x00000000009f9a38,
};

// t88_swio15_dual_pr
static const uint64_t ur_t88_swio15_dual[] = {
  0x0ddddddd41e7ce7c, 0xa99a872849c587c2, 0xb59f6f4e3138bcad, 0xad06947b3628171a, 0x873b6514add081eb,
  0xc9c7772421d75b1f, 0xb2002520c03304f8, 0x2860caeb036d2b88, 0x94d6a9dd3e25c40c, 0xb07f0e0bee628bf9,
  0x42ac0fba9bd478f7, 0x3e057f98d0228472, 0x717bbe2ef80000dc, 0x4542196846488657, 0x6e50ffe80e784d6b,
  0x9c0330586f2bc84b, 0xe77cb3dfb67bf77f, 0x8e39560707fd47db, 0xe62c05507992b47b, 0x475e00ceda523884,
  0xeda63192a01ffb30, 0xceee2a4b81281e59, 0x3db5e5caad67f157, 0x454aa35d3b3c735b, 0xa6e576a96fabb39d,
  0x958f4367a6b81013, 0xed5688af29b3c95c, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538,
  0x0f365118bf9b6815, 0xd3e34597ab9726ae, 0xc2a73f53ab31e40c, 0x11a1e44cf0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x292673edc939e4af,
};

static const uint64_t ur_t88_swio15_dual_pr_u4[] = {
  0x4bdddddda2e7ce7c, 0x053350e508ccf0fb, 0xadaafb4c4b454109, 0xcfdbd30834c8dc13, 0xc3f1b1586375bad2,
  0x27c64e6372421d67, 0x5c45900129008998, 0x2061430657581b69, 0xffcca6b54ee9f12e, 0xc89b0dbe700f7318,
  0x239215607a54dea3, 0x06e1f02bfcc68114, 0x657717bbe2efdda0, 0xc4f454219685ac88, 0x84b6e5d7fe80e784,
  0x57f9c0330586f2bc, 0x7400ef961bfb67aa, 0x60a471cab03e93d4, 0x8df398b017f0e60f, 0x2c608ebc8b761f11,
  0xceee2a4a565c3dc7, 0x3db5e5caad67f157, 0x454aa35d3b3c735b, 0xa6e576a96fabb39d, 0x958f4367a6b81013,
  0xed5688af29b3c95c, 0x96bca70173a03cb9, 0xfa2810b4ac22617a, 0xcdb4e31bc67440a2, 0x8b9357079b288c5f,
  0x663c819a7c68b2ce, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x0292702b724e792b,
};

static const uint64_t ur_t88_swio15_dual_pr_ee[] = {
  0x67bbbbba1eb432db, 0x153350e1710b61f6, 0xb49bdd1ed61a0dc7, 0xd89e4aec947eb4cf, 0xbbfbbcfb1af8bd99,
  0x9a5b9347f4670cea, 0x00252138f9827c64, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x0d63813a992d7e65,
  0xac0f7dcdea3c56d8, 0x057f98d022847242, 0xeef8bbd52200dc3e, 0x0865a0fe22195dc5, 0xb7ff4073c26dbf15,
  0x930586f2bc84b6e9, 0x465176cf50fffe2c, 0xcaf51e57bee0ff6b, 0xf8aedd7a8f83660c, 0x2cb1148b34eb4203,
  0x147427e66006be8c, 0xb18f467a9cead2ec, 0x219ed56ba1d7b19b, 0xcbe9662e1216948e, 0xded51b0465ff805e,
  0x55f3bb8a928e2c7c, 0xd6cf6d7972ab59fc, 0xe75152a8d74ecf1c, 0x04e9b95daa5beaec, 0x572563d0d9e9ae04,
  0xae7b55a22bca6cf2, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0xc6e3cd94462fe6da,
  0x5666fe0eee34582e, 0xf989fca1854e7ea7, 0x07cd0f22678b9c65, 0x433d30b41bf1cf7e, 0x332c3b3e04e32cd6,
  0x30878e26792bf734, 0x0000000000000159,
};

static const uint64_t ur_t88_swio15_dual_pr_ee_u4[] = {
  0xc9dbbbbbb4486f97, 0x2a99a870b8d57e1f, 0x6d77ee80a295d3b9, 0x3bfa61b9d6f7ed39, 0x59009621af8bf272,
  0xd45b97766da0a9d0, 0x002521e019827c64, 0x60caeb036d2b88b2, 0xd849dd3e25c40c28, 0x69b38456986b7e65,
  0xac0d4f4dea3efbd8, 0x057f98d022847242, 0xf77c5dea4800dc3e, 0x8432d032910caee2, 0xcdffd01cf09ba88a,
  0x24c161bcaf212db8, 0xb46fe6d9e383ff8b, 0x84ff51e56a7a0ff6, 0x7f15e04f51f06cc1, 0x85962291669d6840,
  0xe18e838ccc00d7d1, 0xedb7d1cbe39d5a5c, 0x1f27b55ae875e534, 0xd971f18b84840a23, 0xc5494743e4bff00b,
  0xbcb955acfe2af9dd, 0x546ba7678e6b67b6, 0xaed52df57673a8a9, 0xe86cf4d7020274dc, 0xd115e536792b92b1,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xca2317f36d02a2ad, 0x0eee3459674371e6,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0x02b8e26792bf7343, 0x0000000000000ac9,
};

static const uint64_t ur_t88_swio15_dual_pr_ce[] = {
  0xac1ddddddde7ce7c, 0x8aa66a1c7913ef0f, 0x5adb9db02d1db45a, 0x91a1706d9f043415, 0xf9bf79f738b7560f,
  0x8c9c5f72421dd9b1, 0x164004a40c2f304f, 0x850c195d606da571, 0x329ad53ba7c4b881, 0xec0ba9c0a1cca7bf,
  0x215606e4e6f51e43, 0x1f02bfcc68114239, 0x717bbe2efeb3006e, 0x8a8432d097c88657, 0xdc6b7fd01cf09be4,
  0x380660b0de579096, 0xac7f53d76cf604ff, 0xd743efcf002e7795, 0xee597552e673aee6, 0xc72ac0c45f51e449,
  0xe21398b017f71951, 0xeccf1d78033b6948, 0x1e5adc98c64a807f, 0xf157ceee2a4b8128, 0x735b3db5e5caad67,
  0xb39d454aa35d3b3c, 0x1013a6e576a96fab, 0xc95c958f4367a6b8, 0xaeb9ed5688af29b3, 0x905ca5af9d01e395,
  0x0538c6f19d10210a, 0xd028c76f62aa8b49, 0x4d5c1e6ca2317f36, 0xf20669f1a2cd102e, 0x90cf4c2d06fdd598,
  0x0ccb0ecf8138cb35, 0x6072dc939e4afdcd, 0x000000000000073d,
};

static const uint64_t ur_t88_swio15_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x2a741640258b7727,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x030a1832bac0db4a, 0xdf997612774f8971, 0xbef61a6ce115a61a,
  0x1c90ab0353d37a8f, 0x370f815fe63408a1, 0x2bb8bddf177a9200, 0xea22a10cb40ca443, 0x4b6e337ff4073c26,
  0xffe2c930586f2bc8, 0x3aaa8fabf9b678e0, 0xbee3441e78939091, 0xf459784bf10d8488, 0xa9733547736bb41f,
  0x622fa8f224f72c10, 0x580bfb8ca8e39560, 0xbc019db4a47109cc, 0x4c6325403ff6678e, 0x771525c0940f2d6e,
  0xdaf2e556b3f8abe7, 0xa551ae9d9e39ad9e, 0x72bb54b7d5d9cea2, 0xc7a1b3d35c0809d3, 0xab445794d9e4ae4a,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x365118bf9b681463, 0xf07771a2cb3a1b8f,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0x4815c7133c95fb9a, 0x00000000000000d2,
};

static const uint64_t ur_t88_swio15_dual_pr_ee_ce[] = {
  0x9daddddddd435202, 0x6e53350e509ee30f, 0xedb04dd67c738a70, 0x362323f6b0fb265c, 0x1f99121685ed14ed,
  0x83772518eb90fcd7, 0x009483927304f8c9, 0x832bac0db4ae22c8, 0x612774f8971030a1, 0xda3826dcd3b7f997,
  0x030b537a8e337b0d, 0x5fe63408a11c90ab, 0xbe2efea700370f81, 0x32d02ea88657717b, 0xffa039e132568a84,
  0x82c3795e425b7fd7, 0xa9edb3cff3ff1649, 0x78939093fcb1fd51, 0x92673aee6d7e6ffe, 0xa8f2bcac06ed605c,
  0x72bbd47c1b307dd7, 0xc4522cd3ad08e405, 0x305fad801afa30b2, 0x6ec63d19ea73ab5c, 0xe219ed57a7075ec6,
  0xecbe9662e1216948, 0xe6f6a8d822813805, 0xf157ceee2a4bd3c3, 0x735b3db5e5caad67, 0xb39d454aa35d3b3c,
  0x1013a6e576a96fab, 0xc95c958f4367a6b8, 0xaeb9ed5688af29b3, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0xd028c76f62aa8b49, 0x20371e6ca2317f36, 0x75666fe0eee3459a, 0x32cd6433d30b41bf, 0xbf734332c3b3e04e,
  0x013046e3f8e26792,
};

static const uint64_t ur_t88_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0x9a87099e66f0f843, 0x63aeb79f63d90529, 0xee6d07e6cdbf8754, 0xe5a3a704339cd3ba,
  0x459ba0d557bebd83, 0x609f1921bae5538f, 0x2b88b2002522c7ae, 0xc40c2860caeb036d, 0x5ff32bf689dd3e25,
  0xadfd8400380a49bf, 0x1c90ab039db9bd47, 0x370f815fe63408a1, 0xaee2f77c5de75f00, 0x09150865a1a6d10c,
  0xb6ec87ff4073c26c, 0xf79a730586f2bc84, 0xa3ea8c6b6d9eec1f, 0xa20f3c49c073b06a, 0xbc25f886c2445f71,
  0x3547736b9d7dfa2c, 0x2bcac06ed667e493, 0xbd47c1b307dd7a8f, 0x22cd3ad08e40572b, 0xfad801afa30b2c45,
  0x63d19ea73ab5c305, 0x9ed57a7075ec66ec, 0xe9662e1216948e21, 0x6a8d822813805ecb, 0x7ceee2a4bd3c3e6f,
  0xb3db5e5caad67f15, 0xd454aa35d3b3c735, 0x3a6e576a96fabb39, 0xc958f4367a6b8101, 0x9ed5688af29b3c95,
  0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0xc1e6ca2317f36d02, 0xbf411a2cb3a2e4d5,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x7ff04d0f226781fc, 0x7a615df47b93f03f, 0x58767c09c659ac86,
  0xa5844cf257ee6866, 0x00000000002002ac,
};

// t828_autobaud_uart0_noled_pr
static const uint64_t ur_t828_autobaud_uart0_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f532f7, 0x1d05b3f77fafdf4b, 0xc871fad0dadddd6c, 0x04f8c9dd05e82662,
  0x297dff504acf9eb3, 0x05d1b054088153e1, 0x1c2bf5526bfe90bc, 0xe3be5921c368ded5, 0xe38e55819a4f51f9,
  0x9cc580b7ba683eb3, 0x0475e2e764868f19, 0x2b5ec2b319ee3963, 0x1deb5e73859bf031, 0xd8ce16f378e52830,
  0x7d012fb975539794, 0xdd2f5545a5af9c63, 0xb65118bf9b600a2a, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0x36a92792bf734332, 0x0000000007110039,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb45d8bf82, 0x7777774b1ea6ebeb, 0x2eb4a10da2e3b50f, 0x33f4bbbf77767bbc, 0x64eeae3122a6e0d9,
  0x7f8343cfedf9827c, 0x360a81102a7c25d4, 0x7eaa4d7fd21780ba, 0xcb08786d1bdaa385, 0xcab03417ea3f4077,
  0xb016594cb5ee1c71, 0xbd1f3b08747ac398, 0x8299e5403ff6608e, 0xb5ec6aa481e59edc, 0xdeb5e73859bf0312,
  0x8ce16f378e528301, 0xd012fb975539794d, 0xd2f5545a5af9c637, 0x65118bf9b600a2ad, 0x43458df1726ae0f3,
  0x54e7ea75663c81db, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xb3c95fb9a19961d2, 0x0000008c3245f198,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ee[] = {
  0xd6377777777b1762, 0xbddddddd2c527cad, 0x75e82615e3c69ed0, 0xe2f6a7c2febf75e4, 0x77699a33fa68ecfd,
  0xc1a1e7edd4c13e32, 0x0a81102a7c25813f, 0xaa4d7fd21780ba36, 0xc1486d1bdaa3857e, 0x7f51e57d441fed68,
  0x8afa8f51f06cc1ad, 0xcb1148b34eb4203f, 0x0743ee66006be8c2, 0xd6b23e78e7569705, 0x64f6ab5d0ebd0d4e,
  0x2d97317090843a3d, 0x9a546c1197fe017b, 0xf81895af60e2f19a, 0x94180ef5af39c2cd, 0xcbca6c670b79bc72,
  0xce31be8097dcbaa9, 0x05156e97aaa2d2d7, 0x93571b288c5fcdb0, 0x63c81db43458f38b, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x3a3316792bf73433, 0x00000000000c41d5,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ee_u4[] = {
  0x8ddddddda24477d6, 0x7777774b149f2b75, 0x7a098578fa17af5f, 0xbda9f0bfafdd791d, 0xd7ad388c4fda3f78,
  0xfed9fb75304f8c9d, 0xa0440a9f09604ff5, 0x935ff485e02e8d82, 0x521b46f6a8e15faa, 0xd4795f5107fb5a30,
  0xbea3d47c1b306b5f, 0xc4522cd3ad080fe2, 0xd0fb99801afa30b2, 0xac8f9e39d5a5c141, 0x3daad743af4353b5,
  0x65cc5c24210e8f59, 0x951b0465ff805ecb, 0x06256bd838bc66a6, 0x0603bd6bce70b37e, 0xf29b19c2de6f1ca5,
  0x8c6fa025f72eaa72, 0x455ba5eaa8b4b5f3, 0xc1e6ca2317f36c01, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0xd9506792bf734332,
  0x0000000009a9c4e2,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ce[] = {
  0x37777777507b1762, 0xeeeeee963d4c17d6, 0x1fc7c015a121ab46, 0x7a6d4fd2eeeea99c, 0x8c9dda668cda5a3b,
  0x5ff06879ff9d304f, 0x8d82a0440a9f0914, 0x5faa935ff485e02e, 0xfeb07e1b46f6a8e1, 0xc7ff3c00b0734a3b,
  0x2eb26139dcdae168, 0x81eb3d4727a7b960, 0x31602e45e8238e55, 0x1d7a3e7610e8f587, 0xe90533ca807feccf,
  0x895af6355240f2d6, 0x80ef5af39c2cdf81, 0xa6c670b79bc72941, 0x1be8097dcbaa9cbc, 0x76e97aaa2d2d7ce3,
  0xf365118bf9b6008c, 0xda1a2cb579726ae0, 0xc2a73f53ab31e40e, 0xf9a1e44cf0271a50, 0x964b867a615c9f80,
  0x19961d252d9f0271, 0x8e8b198b3c95fb9a, 0x00000000000011ba,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ce_u4[] = {
  0x8ddddddda24458e2, 0xbbbbbba584f5a095, 0xd30a7a700433d697, 0x03336217eeeef37a, 0xc64ee94e1ec694eb,
  0x1ffaff6cfe569827, 0x46c15022054f848a, 0xafd549affa42f017, 0x2fae490da37b5470, 0x441e78016b4863ee,
  0xf84bf10d8488bee3, 0xc5dcdaf3b76b7fa8, 0x4727a7b9633f5933, 0x45e8238e5581eb3d, 0x7610e8f58731602e,
  0xca807feccf1d7a3e, 0x355240f2d6e90533, 0xf39c2cdf81895af6, 0xb79bc7294180ef5a, 0x7dcbaa9cbca6c670,
  0xaa2d2d7ce31be809, 0x8bf9b6008c76e97a, 0x8df1726ae0f36511, 0xea75663c81f94345, 0xffef0f7bca1854e7,
  0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x023751538ca833c9,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd41445541, 0xeeeee960217b2358, 0x41469a09e47792ee, 0x8bc5ff67ee8db05f, 0x0a499138e72e323f,
  0xd9f31f9827c64ee8, 0x440a9f0925aff5fe, 0x5ff485e02e8d82a0, 0x1b46f6a8e15faa93, 0xd690a19dff5471ee,
  0xcdafcb4cdffcf002, 0x80ddacac1f26139d, 0x83660f22fa8f2bd2, 0x3ad08e4057a57a8f, 0x01afa30b2c4522cd,
  0xf9e39d5ae014fad8, 0xbd383af4353b5ac8, 0x17090843a3d64f6a, 0x608a04e017b2d973, 0x56bd9d3d8cd4d2a3,
  0x3bd6bce70b37e062, 0xb19c2de6f1ca5060, 0xfa025f72eaa72f29, 0xba5eaa8b4b5f38c6, 0xd94462fe6d80231d,
  0x868b2d5e5c9ab83c, 0xa9cfd4eacc7903f2, 0x6879133c09c69430, 0x92e19e985727e03e, 0x6587494b67c09c65,
  0x7632a0cf257ee686, 0x0000000000004111,
};

static const uint64_t ur_t828_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e304a, 0xdddddd2c66b2c1ac, 0x5335c634d1dec4ed, 0xea2f85fa5ddc7682, 0xc5d47dd92011232e,
  0xbcfdadcc13e32776, 0x22054f84936ffcd7, 0xaffa42f01746c150, 0x0da37b5470afd549, 0x2e7715ae2faa3f9d,
  0xb09117dc6883cf00, 0x54341ff51f097e21, 0xb7363e4cf17736be, 0x3c8bea3caf4a0376, 0x39015e95ea3e0d98,
  0x8c2cb1148b34eb42, 0x756b8053eb6006be, 0xebd0d4ed6b23e78e, 0x210e8f593daaf4e0, 0x13805ecb65cc5c24,
  0x74f633534a8d8228, 0xf39c2cdf81895af6, 0xb79bc7294180ef5a, 0x7dcbaa9cbca6c670, 0xaa2d2d7ce31be809,
  0x8bf9b6008c76e97a, 0x8df1726ae0f36511, 0x53ab31e40cd3e345, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x10445e7dcf579e4a,
};

static const uint64_t ur_t828_autobaud_uart0_noled_hw[] = {
  0xb1bbbbbbbacdc49f, 0x77777774b1ea6ebe, 0xbbc2eb4a10dad803, 0xb4133f4bbbf77767, 0xe609f193bb98921a,
  0xf09751ff7c0b3fb7, 0x5e02e8d82a0440a9, 0x6a8e15faa935ff48, 0xfd01df2c21e1b46f, 0xb871c72ac0d05fa8,
  0xeb0e62c0596532d7, 0xd9823af47cec21d1, 0x967b720a679500ff, 0xfc0c4ad7b1aa9207, 0x4a0c077ad79ce166,
  0xe5e5363385bcde39, 0xe718df404bee5d54, 0x028ab74bd551696b, 0xfd86ed94462fe6d8, 0x1964b867a615c9f9,
  0x19961d252d964a27, 0xd96add453c95fb9a, 0x0000000000000006,
};

static const uint64_t ur_t828_autobaud_uart0_noled_ee_hw[] = {
  0x8ddddddda2435562, 0x7777774b149f2b75, 0x3af4130af1fb42f7, 0xf17b53e17f5fbaf2, 0x32774c8b4edb0c7e,
  0x9fec3fe7edd4c13e, 0x1b054088153e12c0, 0xbf5526bfe90bc05d, 0xb460a4368ded51c2, 0xd6bfa8f2bea20ff6,
  0x1fc57d47a8f83660, 0x616588a459a75a10, 0x8283a1f7330035f4, 0xa76b591f3c73ab4b, 0x1eb27b55ae875e86,
  0xbd96cb98b848421d, 0xcd4d2a3608cbff00, 0x66fc0c4ad7b07178, 0x394a0c077ad79ce1, 0x54e5e5363385bcde,
  0x6be718df404bee5d, 0xd8028ab74bd55169, 0x2ec6e3cd94462fe6, 0xbc3def2861539fa8, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x6279fad85f4f257e, 0x0000000000000001,
};

static const uint64_t ur_t828_autobaud_uart0_noled_ce_hw[] = {
  0xd63777777759bb37, 0xeeeeeeee963d4c6b, 0x438b56d2f7cdf7c7, 0x0d36200db6ebf777, 0xe4e609f193bb63d9,
  0x53e125f7ff7c0b3e, 0x90bc05d1b0540881, 0xded51c2bf5526bfe, 0x092d73bfebd24368, 0xe6d77f17dfe78017,
  0x5cf72c05c67309ce, 0xe38e5581e33f51ea, 0x46a0e73160293490, 0x8e58cf1d78b9da89, 0xfc0c4ad7b075f87b,
  0x9bcc077ad79ce166, 0x8c1a9b129fbe70b7, 0x04bee0818c10b4e4, 0x94462fe6da718df4, 0x67a615c9f9fd86ed,
  0x252d964a271964b8, 0x453c95fb9a19961d, 0x000000000cab17d7,
};

// t828_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_t828_autobaud_uart0_noled_ee_ce_hw[] = {
  0x1bbbbbbb4486a4d6, 0x7777774b19acb06b, 0x41299ae31a7a8ef7, 0x977517c2fd2eee3b, 0x2774e767de957891,
  0xfd87fcfdadcc13e3, 0xc15022054f84936f, 0xd549affa42f01746, 0x3f9d0da37b5470af, 0x9e24e42515ae2faa,
  0xfc4361222fb8d107, 0x36bb3e759fea3e12, 0x0376b7363e4cf177, 0x0d983c8bea3caf4a, 0xeb4239015e95ea3e,
  0x06be8c2cb1148b34, 0xe78e756b8053eb60, 0xf4e0ebd0d4ed6b23, 0x5c24210e8f593daa, 0x822813805ecb65cc,
  0x5af674f633534a8d, 0xef5af39c2cdf8189, 0xc670b79bc7294180, 0xe8097dcbaa9cbca6, 0xe97aaa2d2d7ce31b,
  0x65118bf9b6008c76, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07,
  0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x0000000012a44b68,
};

// t828_autobaud_uart0_lednop_pr
static const uint64_t ur_t828_autobaud_uart0_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0xc590e3f5a6cfdddd, 0xe609f193ba0bd04c,
  0xc25dd7fd412b3f1e, 0x780ba360a81102a7, 0xaa3857eaa4d7fd21, 0x93c77cb24386d1bd, 0xcf471cab03349ea3,
  0x829cc580b7ba683f, 0xc608ebc5cec1c51c, 0xc4ad7b0ac507dc72, 0xad79e0404e166fc0, 0x8016f3796ea0c077,
  0x80bdf2a6f529c94e, 0xe8097dc3a8a042d3, 0xdb288c5fcdb4e31b, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x9b5493c95fb9a199, 0x000000000388801c,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_u4[] = {
  0x6377777768bb1762, 0x7eeeeeee963d4c65, 0xf0b75f5a707cc761, 0xb8036decfdddd9ee, 0x7c64eed33466b423,
  0xdd7f8343cfc7b982, 0xba360a81102a7c25, 0x857eaa4d7fd21780, 0x77cb08786d1bdaa3, 0x71cab03417ea3dac,
  0xe62c059653443bdc, 0x8ebd1f3b60b4690c, 0x6c389a45403ff660, 0xc4ad7b1357c0f2cf, 0xad79e0404e166fc0,
  0x00b79bc03ea0c077, 0xf76f9537a94e4a74, 0xa2d2b0938c6fa025, 0x7f36ca9d156e97aa, 0xbe2e4d5c1e6ca231,
  0x4eacc7903b6868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x08c3042e3316792b,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xf7777774b149f362, 0x8b5a14dd43697a34, 0x33b1fc2febf7777f, 0x74c4dc15c68ccdd8,
  0x1a1e7f7dcc13e327, 0xa81102a7c24a7bfc, 0xa4d7fd21780ba360, 0xe486d1bdaa3857ea, 0xf51e567ac1fed68f,
  0xacf5f51f06cc18df, 0xb1148b34eb4203f8, 0x758ce66006be8c2c, 0xc3475fce756979b8, 0x9ed56ba1d78033b5,
  0x723170909af918fb, 0x0ea4165ff805ecb8, 0x809c2cdf81895af6, 0x807d4180ef5af3c0, 0x6f529c94e8016f37,
  0x2718df404beedf2a, 0x3a2add2f5545a561, 0x9ab8d94462fe6d95, 0x1e40eda1a2c79c5c, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x9198b3c95fb9a199, 0x00000000001883f3,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x8ddddddda2445541, 0x7777774b149f3775, 0x795b41017841b517, 0xcec9f0bfafdd791d, 0xd014933929ce1a70,
  0xfed9f8ad304f8c9d, 0xa0440a9f096fbff5, 0x935ff485e02e8d82, 0x521b46f6a8e15faa, 0xd4795f7507fb5a30,
  0xbeebd47c1b306b5f, 0xc4522cd3ad080fe2, 0xd0fb99801afa30b2, 0x3e8c9e39d5a5d001, 0x7b55ae875e86a768,
  0x2e62e12160b4690e, 0xa8d8232ffc02f65b, 0x6256bd838b90533c, 0xd6bcf020270b37e0, 0x005bcde01f50603b,
  0xfbb7ca9bd4a7253a, 0x51695849c637d012, 0xbf9b654e8ab74bd5, 0xdf1726ae0f365118, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x4d4e8faeca833c95,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c7a9e3ba, 0x0e0bfc7baf413590, 0x70ab27b6f77754ce, 0xe3277682d33a17e4,
  0x5bfc1a1e7ce1cc13, 0xa360a81102a7c249, 0x57eaa4d7fd21780b, 0xffac1f86d1bdaa38, 0x8adf9e00583813ce,
  0x0bac984e7736be9b, 0x607acf51fa49ee58, 0xe62c057bed68e395, 0x8ebd1f3b60b4690c, 0xb8389a45403ff667,
  0x312b5ec4d5f03cb5, 0xeb5e781013859bf0, 0x002de6f00fa8301d, 0x7ddbe54dea53929d, 0xa8b4ac24e31be809,
  0xbf9b654e31dba5ea, 0xb1e71726ae365118, 0x27eeacc7903b6868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x67e145f4662cf257, 0x0000000000000001,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x8ddddddda24477d6, 0x7777774b09eb2b75, 0xa2098578fa17af5f, 0x7ef17b53dddde6f5, 0x193baf5a71189fb4,
  0x9febfdb3f6ea609f, 0x1b054088153e12c0, 0xbf5526bfe90bc05d, 0xbeb924368ded51c2, 0x1079e005ad22fbb8,
  0xe12fc4361222fb8d, 0x8bb9b5f1035dfea3, 0x8fd24f72c67eb267, 0xdf6b471cab03d67a, 0xdb05a3486731602b,
  0x2a01ffb33c75e8f9, 0x26af81e5adc1c4d2, 0x809c2cdf81895af6, 0x807d4180ef5af3c0, 0x6f529c94e8016f37,
  0x2718df404beedf2a, 0x718edd2f5545a561, 0x7079b288c5fcdb2a, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xb65419e4afdcd0cc,
  0x00000000011ba938,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0x777774b010b9a5ac, 0x6468295be9db2ef7, 0x0cc5ff67ee8db05f, 0xda087624b5533fa7,
  0x6cfffc9827c64ee9, 0x440a9f0974fffaff, 0x5ff485e02e8d82a0, 0x1b46f6a8e15faa93, 0xd693021dff5471ee,
  0xe6d7eb3643fcf002, 0xe06ed6560f9309ce, 0x83660f22fa8f2b09, 0x75a11c80ac27fa8f, 0x035f4616588a459a,
  0x93c73ab5c201f5b0, 0xf4e0ebd0d4ed07d1, 0x7090b05a34873daa, 0x08a04e017b2d9731, 0xd7b3a7a414cf2a36,
  0x9e0404e166fc0c4a, 0x79bc03ea0c077ad7, 0xf9537a94e4a7400b, 0x2b0938c6fa025f76, 0xd9538c76e97aaa2d,
  0xc9ab83cd94462fe6, 0xc7903f2868b2d5e5, 0x9c69430a9cfd4eac, 0x727e03e6879133c0, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00041110232a0cf2,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x6eeeeeed173e6812, 0xdddddd2c66b471ac, 0x2c1a67414c8ed89d, 0xc8ff85fa5ddc7682, 0xdfb0b5864d746706,
  0xef3ed77304f8c9dd, 0x0440a9f093fcff35, 0x35ff485e02e8d82a, 0xa1b46f6a8e15faa9, 0x05cece0dc5f547f3,
  0x361222fb8d1079e0, 0x524e6ffea3e12fc4, 0xd6e6c7c99e2ee6d7, 0x0f22fa8f2b09e06e, 0x1c80ac27fa8f8366,
  0x4616588a459a75a1, 0x3ab5c201f5b0035f, 0xebd0d4ed07d193c7, 0xb05a34873daaf4e0, 0x4e017b2d97317090,
  0xa7a414cf2a3608a0, 0x04e166fc0c4ad7b3, 0x03ea0c077ad79e04, 0x7a94e4a7400b79bc, 0x38c6fa025f76f953,
  0x8c76e97aaa2d2b09, 0x83cd94462fe6d953, 0x334f8d1637c5c9ab, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79,
  0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3d5e792bf734332c, 0x0000000041108397,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_hw[] = {
  0x563777777759bb37, 0x7eeeeeeee963d4c6, 0x7bbc2dd7d69c1f7c, 0xd36200db7b3f7776, 0xee609f193bb63d90,
  0x9f09775ff7c0b3f1, 0x85e02e8d82a0440a, 0xf6a8e15faa935ff4, 0x8f6b1df2c21e1b46, 0x0ef71c72ac0d05fa,
  0x1a43398b016594d1, 0xfd9823af47ced82d, 0x3cb3db0e2691500f, 0x9bf0312b5ec4d5f0, 0x301deb5e78101385,
  0x929d002de6f00fa8, 0xe8097ddbe54dea53, 0xa5eaa8b4ac24e31b, 0x288c5fcdb2a7455b, 0xcf4c2b93f3fb0ddb,
  0x4a5b2c944e32c970, 0x8a792bf734332c3a, 0x000000001b65afae,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_ee_hw[] = {
  0x8ddddddda2431202, 0x7777774b149f3775, 0x3af2b68202fd0837, 0xe19d93e17f5fbaf2, 0x3277599b62d41434,
  0x7fec3fe7e2b4c13e, 0x1b054088153e12df, 0xbf5526bfe90bc05d, 0xb460a4368ded51c2, 0xd6bfa8f2beea0ff6,
  0x1fc57dd7a8f83660, 0x616588a459a75a10, 0xa003a1f7330035f4, 0x4ed07d193c73ab4b, 0xd21cf6ab5d0ebd0d,
  0xecb65cc5c242c168, 0xa67951b0465ff805, 0x6fc0c4ad7b071720, 0xc077ad79e0404e16, 0x4a7400b79bc03ea0,
  0xa025f76f9537a94e, 0x97aaa2d2b0938c6f, 0xa2317f36ca9d156e, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x0000000b13dbe082,
};

static const uint64_t ur_t828_autobaud_uart0_lednop_ce_hw[] = {
  0x8ddddddda2435562, 0x7777774b09eb2b75, 0xeb44130af1fb42f7, 0x18fde2f6a7bbbbcd, 0x827c64ee99169db6,
  0x25813fd87fcfdba9, 0x80ba360a81102a7c, 0xa3857eaa4d7fd217, 0xf7717d72486d1bda, 0x7dc6883cf1272125,
  0xbf51f097e21b0911, 0xb2678bb9b5c66f76, 0xd67a8fd24f72c67e, 0x602bdf6b471cab03, 0xe8f9db05a3486731,
  0xc4d22a01ffb33c75, 0x5af626af81e5adc1, 0xf3c0809c2cdf8189, 0x6f37807d4180ef5a, 0xdf2a6f529c94e801,
  0xa5612718df404bee, 0xdb2a718edd2f5545, 0x05d8dc79b288c5fc, 0xf787bde50c2a73f5, 0xc899e07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x746e3f5b0be9e4af, 0x0000000000000003,
};

// t828_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x37777776890cac4f, 0xeeeeee96335a38d6, 0x822c1a674174c8ee, 0x06c8ff85fa5ddc76, 0x4ee96a1d7da2f467,
  0xfb0ff9f6bb9827c6, 0xc15022054f849fe7, 0xd549affa42f01746, 0x3f9d0da37b5470af, 0x9e24e424706e2faa,
  0xfc4361222fb8d107, 0x36ba545c8fea3e12, 0x0376b7363e4cf177, 0x1b307917d479584f, 0xad08e405613fd47c,
  0x1afa30b2c4522cd3, 0x9e39d5ae100fad80, 0xa7075e86a7683e8c, 0x848582d1a439ed57, 0x4502700bd96cb98b,
  0xbd9d3d20a67951b0, 0xf020270b37e06256, 0xcde01f50603bd6bc, 0xca9bd4a7253a005b, 0x5849c637d012fbb7,
  0xca9c63b74bd55169, 0x76371e6ca2317f36, 0xe1ef79430a9cfd41, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xa90c2242fa792bf7, 0x0000000000000004,
};

// t828_autobaud_uart0_dual_pr
static const uint64_t ur_t828_autobaud_uart0_dual[] = {
  0xeeeeeeea0f3e43ee, 0x777754c85e3d9fb6, 0x89a71914e5a10f77, 0xaf8dd6eeeb45f22d, 0x2aefc89dfb69efb4,
  0x20113304f8c9a177, 0x0e277e1008c87a0d, 0xb881850b97eeb9c6, 0x6ebf329ad53ba7c4, 0x1d82ec3021c2574d,
  0x423921560670e6f5, 0x006e1f02bfcc6811, 0x8657717bbe2efb5b, 0x9a5f454219687508, 0x9096dce1ffd01cf0,
  0x82c11c49cbf34438, 0x8153e127f3fc9069, 0xfe90bc05d1b05408, 0x68ded51c2bf5526b, 0x7f51f229df2c4d43,
  0x697cb5e38e558188, 0x0d1d7f398b01541e, 0x1ffb30475e00ced7, 0xc0f2cf6daf921aa0, 0xf8abe777152529c5,
  0x270b37e06256bd93, 0x1f50603bd6bcf020, 0xd4a7253a005bcde0, 0xc637d012fbb7ca9b, 0x8ab74bd551695849,
  0x0f365118bf9b654e, 0x69f1a2cb579726ae, 0x61539fa9d598f206, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0x4ad5cf579e4afdcd, 0x00000000000005c1,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_u4[] = {
  0x6ddddddda2e7ce7c, 0xeeeeeea990be05bf, 0xd2ee4e83676b47b6, 0x2c33d60ddbbbaf5c, 0x37772d9b69e2d43f,
  0x3d0690a49304f8c9, 0x5ce30713bf080464, 0xd3e25c40c285cbf7, 0x50e653df994d6a9d, 0x737a8f21f605d4e0,
  0x3408a11c90ab0372, 0x7d8f80370f815fe6, 0x4be4432bb8bddf17, 0x0e784df245421968, 0xa21c484b6f21ffe8,
  0x4834c1608e24e5f9, 0x54088153e1231ffe, 0x526bfe90bc05d1b0, 0xbfc368ded51c2bf5, 0x81a43f51ed63be5a,
  0xbf8732d7e8238e55, 0xb76a968d219cc580, 0xc905dc72c608ebc8, 0x64fe2af9ddc5494a, 0x0809c2cdf81895af,
  0x9bc1c9580ef5af3c, 0x53b8b29cbe7400b7, 0xbbeb8a042d3c3159, 0x8bf9b69c637d012f, 0x8df1726ae0f36511,
  0x53ab31e40cd3e345, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x05c14217cf579e4a,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ee[] = {
  0xddddddd0f5a1a5fb, 0xddddd530ada8fbf6, 0x2ad0eb96add9bddd, 0xf4fbc774cf74a736, 0xc8d75c892ac4d744,
  0x8c6609f192646e52, 0x9df8402321e83488, 0x06142e5fbae71838, 0xff32ec24ee9f12e2, 0x9ad83fc3862099ae,
  0x7242ac0ffe4dea3e, 0xdc3e057f98d02284, 0xaee2f77c5dea4800, 0xeb150865a181110c, 0x5b7ff9ff4073c262,
  0x0471272fcd10e242, 0x9f090d6ff08c660b, 0x85e02e8d82a0440a, 0xf6a8e15faa935ff4, 0xf907fb5a3ea21b46,
  0x3e0d9835f3d4795b, 0x69d68407f15bf9ea, 0xc00d7d1859622916, 0x9cead2fdd0e84fcc, 0xd0ebd8cdd9ef4622,
  0x242b868ebfcf6ab5, 0xcbff00bd97d2cc5c, 0x251c5bdad62a3608, 0x56bd93f8abe77715, 0xbcf020270b37e062,
  0x5bcde01f50603bd6, 0xb7ca9bd4a7253a00, 0x695849c637d012fb, 0x9b654e8ab74bd551, 0x9d3e1b8f365118bf,
  0xea75666fe0eee345, 0xc65f989fca1854e7, 0xf7ff04d0f22678b9, 0x2c970cf4c2b93f1c, 0x332c3a4a5b3e04e3,
  0x3188ae3e792bf734, 0x00000000000014a9,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf6ddddddda2432db, 0xddddddd530adbadb, 0xeb6fdd8ba4cd4d7d, 0x73a3563ba67bb02d, 0x23822ac07c674a3f,
  0x47ad5304f8c94677, 0x1c4efc201190f41a, 0x71030a172fdd738c, 0x7f9f997612774f89, 0x8fff3601a0e1a6a6,
  0x4239215607d3f37a, 0x006e1f02bfcc6811, 0x8657717bbe2ef672, 0x37ce8a8432d02968, 0x425b7e9fffa039e1,
  0x0b0471272fcd10e2, 0x0a9f0969bff08c66, 0xf485e02e8d82a044, 0x46f6a8e15faa935f, 0x599507fb5a39c61b,
  0xea3e0d9834c7d479, 0x1669d68407f15995, 0xccc00d7d18596229, 0xd01cead2e7a8e838, 0xb5d0ebca69da3247,
  0x2e12113c8c4fcf6a, 0x7b52ffc02f65c7c6, 0x27f157ceee2a4a3a, 0x404e166fc0c4ad7b, 0xc03ea0c077ad79e0,
  0x37a94e4a7400b79b, 0x938c6fa025f76f95, 0x9d156e97aaa2d2b0, 0x371e6ca2317f36ca, 0x599bf83bb8d1637c,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xa90b315c7cf257ee, 0x0000000000000014,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ce[] = {
  0xf6dddddddde7ce7c, 0xeeeeeeea990bcb13, 0x12d4739b1517ebad, 0xf69f6afb77744899, 0x1b96cdb4f5711f99,
  0x0691e729827c64f9, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0x4c63ff994d6a9dd3, 0xf51c9d6c12d1c02d,
  0x11423921560715a6, 0x5a006e1f02bfcc68, 0xa88657717bbe2efe, 0xe1318f8a8432d028, 0x71212dbc56ffa039,
  0xd30582389397e688, 0x22054f848a5ff920, 0xaffa42f01746c150, 0x0da37b5470afd549, 0x002e771eceffabdf,
  0x9cee6d7eafa1ffcf, 0x1c6fcf72c05a9730, 0xd91638e5581d4bf5, 0xae1a3afe731602cd, 0x403ff6678ebc019d,
  0xe2e0796b735f2435, 0xc9fc55f3bb8a9294, 0x1013859bf0312b5e, 0xf00fa8301deb5e78, 0x4dea53929d002de6,
  0x24e31be8097ddbe5, 0x4e31dba5eaa8b4ac, 0xae0f365118bf9b65, 0x819a7c68b1e71726, 0x0cf4c2b93f75663c,
  0x3a4a5b3e04e32c97, 0x3d5e792bf734332c, 0x0000000014f27ce7,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ce_u4[] = {
  0xedbbbbbbb4486f97, 0xbbbbbbbaa62d15a7, 0x6d3875f3ece76f77, 0xe900d57b3edddd66, 0x51ddc9e08ce9c2d4,
  0x3d06917254c13e32, 0x5ce30713bf080464, 0xd3e25c40c285cbf7, 0x3b735adfe65d849d, 0xcdea3eed6c136ce1,
  0xa04508e48558198f, 0xf2a001b87c0aff31, 0xa1a2195dc5eef8bb, 0xe784ce962a10cb40, 0x4389096dcc7ffe80,
  0x31982c11c49cbf34, 0x81102a7c25b3bfc2, 0x4d7fd21780ba360a, 0x086d1bdaa3857eaa, 0xf127212f9d717d50,
  0xe21b09117dc6883c, 0xb5d0fb1bbf51f097, 0x3dcb19f52e678bb9, 0xe39560752fd471bf, 0xebf9cc580b376458,
  0xd99e3af00676b868, 0xe5adcd7c90d500ff, 0x57ceee2a4a538b81, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e,
  0x4e4a7400b79bc03e, 0x6fa025f76f9537a9, 0x6e97aaa2d2b0938c, 0xd94462fe6d9538c7, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x62b8f9e4afdcd0cc, 0x0000000002b5ec21,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ee_ce[] = {
  0xf6dddddddd435202, 0xeeeeeeea980bc1f3, 0x2d48435df5adbebe, 0xf7089f0cf276ece2, 0xe43ada2e2fcd7c89,
  0x9e5e609f192d8ae4, 0x13bf0804643d0690, 0x40c285cbf75ce307, 0x9fe65d849dd3e25c, 0xadec2618e0cf9375,
  0x7242ac0c524dea39, 0xdc3e057f98d02284, 0xbb8bddf177abae00, 0x94542196825a4432, 0x6dc527fd01cf09a3,
  0x11c49cbf34438909, 0x7c241a3fc231982c, 0x1780ba360a81102a, 0xdaa3857eaa4d7fd2, 0x9c77fd5194586d1b,
  0xfd735bfcf127212d, 0xd656649309cee6d7, 0x07f27a8f2b8f606e, 0x8e40571efd47c1b3, 0xa30b2c4522cd3ad0,
  0x9d5ae3bafad801af, 0x1d7b19bb3de8c453, 0x15c3475fe7b55e9c, 0x13805ecbe9662e12, 0xbd3cf6b58a8d8228,
  0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0x79bc03ea0c077ad7, 0xf9537a94e4a7400b, 0x2b0938c6fa025f76,
  0xd9538c76e97aaa2d, 0xf386e3cd94462fe6, 0xf75666fe0eee3458, 0x4e32c970cf4c2b93, 0x734332c3a4a5b3e0,
  0x2203cb8ae3e792bf, 0x0000000000000006,
};

static const uint64_t ur_t828_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3fac4f, 0xeeeea98825823f6d, 0x9135df793d721eee, 0x8fbd6dd2c43ae339, 0xda506aebde66f0f8,
  0x649ceb94d3aab8fa, 0x43d0690f1eb9827c, 0x75ce30713bf08046, 0xdd3e25c40c285cbf, 0xd1f99493f32bf689,
  0xcdea3d256c19c8e1, 0xa04508e485581f59, 0xf5a801b87c0aff31, 0xb688657717bbe2ef, 0x784d63f150865a09,
  0x389096dfacffe80e, 0x3982c11c49cbf344, 0x22054f8490fbfc75, 0xaffa42f01746c150, 0x0da37b5470afd549,
  0xc073a7ee2faa3287, 0xc2445f71a20f3c49, 0xac000fd47c25f886, 0xb9bc92678bb9b5fb, 0xfc9ea3cae3d81bb5,
  0x9015c7bf51f06cc1, 0xc2cb1148b34eb423, 0x56b8eebeb6006be8, 0x5ec66ecf7a3114e7, 0x70d1d7f9ed57a707,
  0xe017b2fa598b8485, 0x4f3dad62a3608a04, 0xec9fc55f3bb8a92f, 0x81013859bf0312b5, 0x6f00fa8301deb5e7,
  0x54dea53929d002de, 0xc24e31be8097ddbe, 0x54e31dba5eaa8b4a, 0x6ae0f365118bf9b6, 0xf837e823458df172,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xf2c83cf257ee6866, 0x000000001fab71f5,
};

static const uint64_t ur_t828_autobaud_uart0_dual_hw[] = {
  0xedbbbbbbb4486e7c, 0xddddddd532178f67, 0xf916c4d38c8ea72d, 0xe7da57c6eb7775a2, 0x32685dcb66da7b47,
  0x321e8348044cc13e, 0xfbae718389df8402, 0x4ee9f12e206142e5, 0x1c2574d6ebf32ec2, 0x670e6f51d82ec302,
  0xfcc6811423921560, 0xe2efb5b006e1f02b, 0x96875088657717bb, 0xfd01cf09a5f45421, 0xbf344389096dce1f,
  0xfff21f982c11c49c, 0x6c15022054f849fc, 0xfd549affa42f0174, 0xcb1350da37b5470a, 0x9560621fd47c8a77,
  0xc055079a5f2d78e3, 0x8033b5c3475fce62, 0xe486a807fecc11d7, 0x494a71703cb3db6b, 0x95af64fe2af9ddc5,
  0xaf3c0809c2cdf818, 0x16f37807d4180ef5, 0xedf2a6f529c94e80, 0x5a5612718df404be, 0xe6d953a2add2f554,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x0f46e390f85f4f25,
};

static const uint64_t ur_t828_autobaud_uart0_dual_ee_hw[] = {
  0x6ddddddda2431f02, 0xdddddd530ada8fbf, 0x62ad0eb96add9bdd, 0x4f4fbc774cf74a73, 0x25188b37a6144d74,
  0x44463304f8c93237, 0x1c4efc201190f41a, 0x71030a172fdd738c, 0xd77f997612774f89, 0x1f4d6c1fe1c3104c,
  0x4239215607ff26f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef524, 0x31758a8432d0c088, 0x212dbffcffa039e1,
  0x0582389397e68871, 0x153e121adffe43f3, 0xe90bc05d1b054088, 0x8ded51c2bf5526bf, 0xb7f20ff6b47d4436,
  0xd47c1b306be7a8f2, 0x2cd3ad080fe2b7f3, 0x99801afa30b2c452, 0x4539d5a5fba1d09f, 0x6ba1d7b19bb3de8c,
  0xb848570d1d7f9ed5, 0x1197fe017b2fa598, 0x2a4a38b7b5ac546c, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0,
  0x00b79bc03ea0c077, 0xf76f9537a94e4a74, 0xa2d2b0938c6fa025, 0x7f36ca9d156e97aa, 0xfd4176371e6ca231,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x000160e58c42fa79,
};

static const uint64_t ur_t828_autobaud_uart0_dual_ce_hw[] = {
  0x6ddddddda2437089, 0xddddddd53168ad3f, 0x69c3af9f673b7bbd, 0x8806abd9f6eeeb33, 0x947772bc9eb2b6b6,
  0x0f41a45c95304f8c, 0xd738c1c4efc20119, 0x74f8971030a172fd, 0x4edcd6b7f9976127, 0xf37a8fbb5b04db38,
  0x6811423921560663, 0xfca8006e1f02bfcc, 0x28688657717bbe2e, 0x39e133a58a8432d0, 0x10e2425b731fffa0,
  0x87e60b0471272fcd, 0x81102a7c25b3bffc, 0x4d7fd21780ba360a, 0x086d1bdaa3857eaa, 0xf127212f9d717d50,
  0xe21b09117dc6883c, 0xb5e76ed6ff51f097, 0x3dcb19f52e678bb9, 0xe39560752fd471bf, 0xebf9cc580b376458,
  0xd99e3af00676b868, 0xe5adcd7c90d500ff, 0x57ceee2a4a538b81, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e,
  0x4e4a7400b79bc03e, 0x6fa025f76f9537a9, 0x6e97aaa2d2b0938c, 0xd94462fe6d9538c7, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x85f4f257ee686658,
  0x000000002f46e085,
};

static const uint64_t ur_t828_autobaud_uart0_dual_ee_ce_hw[] = {
  0x6dddddddd41432db, 0xeeeeeea980bc1f3f, 0xd48435df5adbebee, 0x7089f0cf276ece22, 0x723822acd33ac89f,
  0x484f2f304f8c96c5, 0x8389df8402321e83, 0x2e206142e5fbae71, 0xbacff32ec24ee9f1, 0x1cd6f6130c7067c9,
  0x42392156062926f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbd5d7, 0xd1ca2a10cb412d22, 0x84b6e293fe80e784,
  0x1608e24e5f9a21c4, 0x54f848347ff90fcc, 0xa42f01746c150220, 0x37b5470afd549aff, 0x5b38effaa328b0da,
  0x5f9699bff9e24e42, 0xbb5959924c273b9b, 0xcc1fc9ea3cae3d81, 0x4239015c7bf51f06, 0xbe8c2cb1148b34eb,
  0x4e756b8eebeb6006, 0x7075ec66ecf7a311, 0x48570d1d7f9ed57a, 0xa04e017b2fa598b8, 0x92f4f3dad62a3608,
  0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x2de6f00fa8301deb, 0xdbe54dea53929d00, 0xb4ac24e31be8097d,
  0x9b654e31dba5eaa8, 0x6c3b1b8f365118bf, 0x9e04e34a1854e7ea, 0x4c2b93f01f343c89, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x00000084d31e5c2f,
};

static const uint64_t ur_t828_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d08f43, 0xeeeeea98825823f6, 0x19cc89aefdbc9eee, 0x87c47deb6e9621d7, 0xfb5ab6a71f5ef337,
  0xb9827c649ceb9789, 0xf0804643d0690f1e, 0x285cbf75ce30713b, 0x5906a9dd3e25c40c, 0x3391c3a3f32927e6,
  0xb03eb39bd47a4ad8, 0x15fe63408a11c90a, 0x77c5dfeb500370f8, 0x0cb4136d10caee2f, 0xffd01cf09ac7e2a1,
  0x97e68871212dbf59, 0x7fe22c9305823893, 0xd82a0440a9f0921f, 0xfaa935ff485e02e8, 0x4650e1b46f6a8e15,
  0x78b17d0974fdc5f5, 0xf10d8488bee3441e, 0xb5f2a1a0ffa8f84b, 0x1bb5b9bc92678bb9, 0x6cc1fc9ea3cae3d8,
  0xb4239015c7bf51f0, 0x6be8c2cb1148b34e, 0x14e756b8eebeb600, 0xa7075ec66ecf7a31, 0x848570d1d7f9ed57,
  0x8a04e017b2fa598b, 0xa92f4f3dad62a360, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x02de6f00fa8301de,
  0xddbe54dea53929d0, 0x8b4ac24e31be8097, 0xf9b654e31dba5eaa, 0xea0bb1b8f365118b, 0xffef0f7bca1854e7,
  0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x4269cb217d0173c9,
};

// t828_u1x8_uart0_noled_pr
static const uint64_t ur_t828_u1x8_uart0_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b1614e6f5, 0x2ffc1cdaf0bdad37, 0x7426cff5fbbba308, 0xf193ba5c6c98db53,
  0x93fea0959f052609, 0xdce6fed100b7b02f, 0xa0bf51fa03be5843, 0xca65af70e38e5581, 0xd843a3d61cc580b2,
  0x2a01ffb30475e8f9, 0x55240f2cf6e414cf, 0x39c2cdf81895af63, 0x79bc7294180ef5af, 0xdcbaa9cbca6c670b,
  0xa2d2d7ce31be8097, 0x5fcdb005156e97aa, 0xfc68b1e70ddb288c, 0x615c9fbab31e40d1, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x00000f90c6db5493,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_u4[] = {
  0xdddddb951762bd3a, 0x77774b1614e6f58d, 0x1cdaf0b1afbc7f77, 0xcff5fbbba3082ffc, 0xba34d71d43fa7426,
  0x06879f052609f193, 0xbfb4402dec0be4ff, 0xd47e80ef9610f739, 0x6bdc38e39560682f, 0xe8f58731602cb299,
  0x7fecc11d7a3e7610, 0x03cb3db90533ca80, 0xb37e06256bd8d549, 0x1ca50603bd6bce70, 0xaa72f29b19c2de6f,
  0xb5f38c6fa025f72e, 0x6c01455ba5eaa8b4, 0xe4d5c1e6ca2317f3, 0xcc7903b6868b1be2, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x6fc0a3316792bf73,
  0x00000000000001f2,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f621c3b, 0xbbbbba58e17c7758, 0xc17f8f75e826b21b, 0x7b6d873416edf9cd, 0x682d33a17e470ab2,
  0xa1e7ce1cc13e3277, 0xda2016f60495bfc1, 0x441fed68c14b9cdf, 0xf06cc1ad7f51e57d, 0x4eb4203f8afa8f51,
  0x006be8c2cb1148b3, 0xe75697050743ee66, 0x0ebd0d4ed6b23e78, 0x90843a3d64f6ab5d, 0x97fe017b2d973170,
  0x60e2f19a9a546c11, 0xaf39c2cdf81895af, 0x0b79bc7294180ef5, 0x97dcbaa9cbca6c67, 0xaaa2d2d7ce31be80,
  0x8c5fcdb005156e97, 0x3458f38b93571b28, 0x2b93f75663c81db4, 0x2c944e32c970cf4c, 0x2bf734332c3a4a5b,
  0x00053e22fa331679,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777776e54488a80b, 0xeeeee96385f1dd63, 0x05fe3dd7b21a6c6e, 0xedb61cd05bb7e737, 0xc9cf59ebb4ec2ac9,
  0xed9f387304f8c9dd, 0x68805bd81256ff5f, 0x107fb5a3052e737f, 0xc1b306b5fd4795f5, 0x3ad080fe2bea3d47,
  0x01afa30b2c4522cd, 0x9d5a5c141d0fb998, 0x3af4353b5ac8f9e3, 0x4210e8f593daad74, 0x5ff805ecb65cc5c2,
  0x838bc66a6951b046, 0xbce70b37e06256bd, 0x2de6f1ca50603bd6, 0x5f72eaa72f29b19c, 0xaa8b4b5f38c6fa02,
  0x317f36c01455ba5e, 0xb1be2e4d5c1e6ca2, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98,
  0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0013ae838d950679,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xeeeeee962c29cdeb, 0x2244ef07d5b7d2ee, 0x6438fd69b3f77762, 0x827c64ee82f41331,
  0x1775ff504acfc7b9, 0xe92e737f68805bd8, 0xf9e005c24989dff5, 0x3984e7736bba5387, 0x9fa8e21e7b9602e3,
  0x17a413f1c72ac0f1, 0xb9da4151e33398b0, 0x1d3a7b8e58cf1d78, 0xe73859bf0312b5ec, 0x5bcde5ba8301deb5,
  0x6f55d54e5e536338, 0xe8097dce6cc6085a, 0xdb288c5fcdb4e31b, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x61d252d964a27196, 0x9b5493c95fb9a199, 0x00000000005ba81c,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c7a98d7ac, 0xab697be6f98ec2fd, 0x7006db75fbbba1c5, 0xf8c9dda668cd6847,
  0xfbff06879f727304, 0xee737f68805bd812, 0xc00b07271b8beab5, 0x886c2445f71a20f3, 0x6b85a31ffd47c25f,
  0x7b9633f19ccf1773, 0xc72ac0f19fa8f52e, 0x507398b0149a4871, 0x2c678ebc5ced44a3, 0x06256bd83afc3dc7,
  0xe603bd6bce70b37e, 0x0d4d894fdf385bcd, 0x5f7040c6085a7246, 0x2317f36d38c6fa02, 0x8b1be2e4d5c1e6ca,
  0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00006eb842e33167,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xbbbbba58ad3e6c56, 0xad0a6ea1b4bd1a7b, 0xd8f5c86adbbb3f8f, 0x626e0ae34666ec19,
  0x0f3fbee609f193ba, 0xd100b7b0253dfe0d, 0x39dff547dd5ce6fe, 0x36e76ff3c00b0724, 0xb2b20fcc273b9b5d,
  0x1ef7ea3cac140376, 0x1c80ac14f51f06cc, 0x4616588a459a75a1, 0x3ab5c7c9f5b0035f, 0x75e00cec4d23a967,
  0x27b48e899ed57a70, 0x4e017b2e1c8c5c24, 0xf81895af619319a0, 0x94180ef5af39c2cd, 0xcbca6c670b79bc72,
  0xce31be8097dcbaa9, 0x08c76e97aaa2d2d7, 0x26ae365118bf9b60, 0xc7903b6868b1e717, 0x92e19e985727eeac,
  0x587494b659289c65, 0xe4662cf257ee6866, 0x0000000000029a7c,
};

static const uint64_t ur_t828_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042ef5eb, 0xb4b376a6d71efd3d, 0x19017fd9fbbe96a1, 0xabe67d06cb159108,
  0xf6cfa5a9827c64ee, 0xb4402dec086b7faf, 0xeee2faa328b739bf, 0xee3441e78016b49b, 0xfa8f84bf10d8488b,
  0xf33c5dcdaf722495, 0x1e560a01bb5b9b83, 0x0a7a8f83660f7bf5, 0x4522cd3ad08e4056, 0xe4fad801afa30b2c,
  0x762691d4b39d5ae3, 0x44cf6abd383af006, 0x970e462e1213da47, 0xd7b0c98cd02700bd, 0x7ad79ce166fc0c4a,
  0x3385bcde394a0c07, 0x404bee5d54e5e536, 0x4bd551696be718df, 0x288c5fcdb00463b7, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000009f810b6541,
};

static const uint64_t ur_t828_u1x8_uart0_noled_hw[] = {
  0xeeeeedcb5059bb37, 0xbbbba58b0a737ac6, 0xfc1cdaf0bd1afbbb, 0x26cff5fbbba3082f, 0xf8c9ddb1ec869b14,
  0xf27fdf02cf829304, 0x7b9cdfda2016f605, 0x3417ea3f4077cb08, 0x594cb5ee1c71cab0, 0x3b08747ac398b016,
  0xe5403ff6608ebd1f, 0x6aa481e59edc8299, 0xe73859bf0312b5ec, 0x6f378e528301deb5, 0xfb975539794d8ce1,
  0x545a5af9c637d012, 0x8bf9b600a2add2f5, 0x7ea6c3b1b8f36511, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343,
  0x3a4a5b3e04e32c97, 0x6e8a792bf734332c, 0x00000000001d107c,
};

static const uint64_t ur_t828_u1x8_uart0_noled_ee_hw[] = {
  0x777776e544869391, 0xeeeee96385f1dd63, 0xdc17f8f75fac86ee, 0x27b6d873416edf9c, 0x4eef4e323b6270ab,
  0xfd87fcf9c39827c6, 0xcdfda2016f60495b, 0x57d441fed68c14b9, 0xf51f06cc1ad7f51e, 0x8b34eb4203f8afa8,
  0xe66006be8c2cb114, 0xe78e75697050743e, 0xb5d0ebd0d4ed6b23, 0x17090843a3d64f6a, 0xc1197fe017b2d973,
  0x5af60e2f19a9a546, 0xef5af39c2cdf8189, 0xc670b79bc7294180, 0xe8097dcbaa9cbca6, 0xe97aaa2d2d7ce31b,
  0xb288c5fcdb005156, 0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x0000000005be05da,
};

static const uint64_t ur_t828_u1x8_uart0_noled_ce_hw[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbbba58b0a0ca, 0x1a1c75f5a707df1f, 0x6c401b6f67eeeec7, 0xcc13e32776c7b21a,
  0xb02eebfef8167e3d, 0xd60fdce6fed100b7, 0xafe780170969477f, 0xeb26139dcdaf21cb, 0x1eb3d4727a7b9602,
  0x1602e45e8238e558, 0xd7a3e7610e8f5873, 0x90533ca807feccf1, 0x95af6355240f2d6e, 0x0ef5af39c2cdf818,
  0x6c670b79bc729418, 0xbe8097dcbaa9cbca, 0x6e97aaa2d2d7ce31, 0xb65118bf9b6008c7, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0x5d14f257ee686658, 0x00000000000c429f,
};

// t828_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_t828_u1x8_uart0_noled_ee_ce_hw[] = {
  0xddddddb95121b032, 0xeeeee960217b2358, 0xbe828d34137c8eee, 0x7f178bfecfdd1b60, 0x3bad88e76a725c64,
  0xec3fe7cc7e609f19, 0x6fed100b7b024b5f, 0x9456b8bea8fe75ce, 0x88bee3441e789390, 0xd67fa8f84bf10d84,
  0xd8f933c5dcdaecf9, 0x2fa8f2bd280ddadc, 0x057a57a8f83660f2, 0xb2c4522cd3ad08e4, 0xae014fad801afa30,
  0x4353b5ac8f9e39d5, 0x3a3d64f6abd383af, 0x017b2d9731709084, 0xd8cd4d2a3608a04e, 0x70b37e06256bd9d3,
  0x6f1ca50603bd6bce, 0x2eaa72f29b19c2de, 0xb4b5f38c6fa025f7, 0xe6d80231dba5eaa8, 0xa82ec6e3cd94462f,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x005011ac105f4f25,
};

// t828_u1x8_uart0_lednop_pr
static const uint64_t ur_t828_u1x8_uart0_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c28f256, 0xbff37e0e8735d7ee, 0x2b42f7ab6eee8c20, 0x7c64eee62485435a,
  0x6effa82567d00982, 0xf739bfb4402dec0a, 0x682fd47b58ef9610, 0x2ca68877b8e39560, 0x76c168d219cc580b,
  0x8a807fecc11d7a3e, 0x26af81e59ed87134, 0x809c2cdf81895af6, 0x807d4180ef5af3c0, 0x6f529c94e8016f37,
  0x2718df404beedf2a, 0x3a2add2f5545a561, 0x386ed94462fe6d95, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x8738daa49e4afdcd, 0x000000000000007c,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddb9517621c3b, 0xbbbba58b0a3c958d, 0x6fc1d0e311df4bbb, 0x5ef56dddd18417fe, 0xeed05a670bfc8d68,
  0xc1a1e7d009827c64, 0x6fed100b7b029bbf, 0xf51ed63be5843dce, 0xa21dee38e5581a0b, 0x5a3486731602cb29,
  0x1ffb30475e8f9db0, 0xe07967b61c4d22a0, 0x0b37e06256bd89ab, 0x50603bd6bcf02027, 0xa7253a005bcde01f,
  0x37d012fbb7ca9bd4, 0xb74bd551695849c6, 0x365118bf9b654e8a, 0xb43458df1726ae0f, 0x854e7ea75663c81d,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x8b3c95fb9a19961d,
  0x0000000f93d1c519,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ee[] = {
  0xddddddb96f623f3e, 0xbbbbba58e1753758, 0x7c760bc615bd067b, 0x817161cd05bb7e73, 0x76c8ac1083a72084,
  0x1a1e7ca1cc13e327, 0xfda2016f60521ffc, 0xdd41fed68c14b9cd, 0x1f06cc1ad7f51e57, 0x34eb4203f8afbaf5,
  0x6006be8c2cb1148b, 0x8e75697400743ee6, 0xa1d7a1a9da0fa327, 0x48582d1a439ed56b, 0xcbff00bd96cb98b8,
  0x60e2e414cf2a3608, 0x0809c2cdf81895af, 0x7807d4180ef5af3c, 0xa6f529c94e8016f3, 0x12718df404beedf2,
  0x53a2add2f5545a56, 0xc9ab8d94462fe6d9, 0x31e40eda1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0x2f198b3c95fb9a19, 0x0000000000053e0f,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbb72a2444375, 0x777774b1c2ea6eb1, 0xf8ec178c067b8bf7, 0x02e2c39a0b76fce6, 0xd81602aa2b624109,
  0xfed9f287304f8c9d, 0xf68805bd81487ff5, 0x7507fb5a3052e737, 0x7c1b306b5fd4795f, 0xd3ad080fe2beebd4,
  0x801afa30b2c4522c, 0x39d5a5d001d0fb99, 0x875e86a7683e8c9e, 0x2160b4690e7b55ae, 0x2ffc02f65b2e62e1,
  0x838b90533ca8d823, 0x20270b37e06256bd, 0xe01f50603bd6bcf0, 0x9bd4a7253a005bcd, 0x49c637d012fbb7ca,
  0x4e8ab74bd5516958, 0xae0f365118bf9b65, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x7cca833c95fb9a19, 0x000000000009d75a,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xbbbbbba58b0a245a, 0x888913a64efcd19b, 0xbcd875e35de4dddd, 0xcc13e32776c7b210,
  0x816dfffa82567cc7, 0x5e92e737f68805bd, 0xbf9e005c25109dff, 0x33984e7736bc872e, 0x19fa8f5fe7b9602e,
  0x02dc3a971c72ac0f, 0xc5cec3ed1d127316, 0xc1d29adc72c678eb, 0x1013859bf0312b5e, 0x02de6f301deb5e78,
  0x7c05a9c914b579d0, 0x097dd2fe63042d2a, 0x288c5fcdb4e31be8, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x5493c95fb9a19961, 0x0000000016ea491b,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e54488a80b, 0xeeeee963d4f1dd63, 0x05fe3dd7b21a6c6e, 0x5593db7bbbaa6707, 0x93bb939eb3d769d8,
  0xfebfdb3e70e609f1, 0xe6fed100b7b024ad, 0x5ad22fbb8beb925c, 0x61222fb8d1079e00, 0x1035dfea3e12fc43,
  0x2c67eb2678bb9b5f, 0xcab03d67a8fd24f7, 0x86731602bdf6b471, 0x33c75e8f9db05a34, 0x5adc1c4d22a01ffb,
  0xf81895af626af81e, 0x0ef5af3c0809c2cd, 0x4e8016f37807d418, 0x04beedf2a6f529c9, 0xf5545a5612718df4,
  0x8c5fcdb2a718edd2, 0x2c6f8b9357079b28, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x0006eba0e365419e,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xbbbbba58ad3f8556, 0x3faf4e17b4bd1a7b, 0x335a1721ab6eecfe, 0x74c4dc15c68ccdd8,
  0x1a1e7c9d4c13e327, 0xfda2016f60515bfc, 0x7ce3bfea8fbab9cd, 0xba6dcedfe780160e, 0xed65641f984e7736,
  0x983defd4795a0006, 0x4239015af9ea3e0d, 0xbe8c2cb1148b34eb, 0xce756b8f93eb6006, 0xc1d78033b2cf475f,
  0x2120b463ee7b55e9, 0x02700bd970e462e1, 0xdf81895af619141d, 0x80ef5af3c0809c2c, 0x929d002de6f2dd41,
  0x85a7017be54dea53, 0x8c6fa025f70e8c60, 0x4d5c6ca2317f36d3, 0x8f2076d0d163ce2e, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0xc8cc59e4afdcd0cc, 0x00000000000534f9,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x1bbbbbb72a244511, 0xdddddd2c042e7eeb, 0xa1e8335a171efd3d, 0x1034b17fd9fbbe96, 0xdd57ccfa0d962b22,
  0xbfdb3fbb5304f8c9, 0xfda2016f60463ffe, 0xcad717d51945b9cd, 0x5f71a20f3c00b5a4, 0xafd47c25f886c244,
  0x1f99e2ee6d7b9124, 0xa8f2b4000ddadcdc, 0xb5f3d47c1b307bdf, 0x62291669d6847202, 0x1f27d6c00d7d1859,
  0x67659e8ebf9cead7, 0xc7dcf6abd383af00, 0xb2e1c8c5c2424168, 0xb5ec32283a04e017, 0xe781013859bf0312,
  0x5bcde5ba8301deb5, 0xf7ca9bd4a7253a00, 0x4bee1d18c10b4e02, 0x4462fe6da718df40, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000004fc085b2a0c,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_hw[] = {
  0x1bbbbbb72d66faca, 0x7777774b1614792b, 0x5ff9bf07439aebf7, 0x75a17bd5b7774610, 0x13e3277499d8fd6a,
  0x14ddff7c0b3e804c, 0x21ee737f68805bd8, 0xc0d05fa8f6b1df2c, 0x16594d10ef71c72a, 0x7ced82d1a43398b0,
  0x691500ffd9823af4, 0xec4d5f03cb3db0e2, 0x81013859bf0312b5, 0x6f00fa8301deb5e7, 0x54dea53929d002de,
  0xc24e31be8097ddbe, 0x2a7455ba5eaa8b4a, 0x3fb0ddb288c5fcdb, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x08e2e728a792bf73,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_ee_hw[] = {
  0x777776e5448690e3, 0xeeeee96385d4dd63, 0x9be3b05e33419eee, 0x240b8b0e682ddbf3, 0x64ee891667a1b904,
  0xffd87fcf9439827c, 0x9cdfda2016f60521, 0xe57dd41fed68c14b, 0xaf51f06cc1ad7f51, 0x48b34eb4203f8afb,
  0xee66006be8c2cb11, 0x3278e75697400743, 0x56ba1d7a1a9da0fa, 0x8b848582d1a439ed, 0x608cbff00bd96cb9,
  0x5af60e2e414cf2a3, 0xf3c0809c2cdf8189, 0x6f37807d4180ef5a, 0xdf2a6f529c94e801, 0xa5612718df404bee,
  0x6d953a2add2f5545, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x016f8d5205f4f257,
};

static const uint64_t ur_t828_u1x8_uart0_lednop_ce_hw[] = {
  0x3777776e5acdfc4f, 0xdddddd2c585188d6, 0x891ae5ed83e971dd, 0x4db6339beeeec444, 0x827c64eec2f5a350,
  0x0413ffef8167cca9, 0x7a4b9cdfda2016f6, 0xfe78017094e277fd, 0xce6139dcdaff3a43, 0x67ea3e0b9ee580b8,
  0x051be4f471cab03c, 0x2e76a968e414e62c, 0x1d482ee39633c75e, 0x013859bf0312b5ec, 0x00fa8301deb5e781,
  0xdea53929d002de6f, 0x4e31be8097ddbe54, 0xe31dba5eaa8b4ac2, 0x61bb65118bf9b654, 0x592e19e985727e7f,
  0x6587494b659289c6, 0x145c514f257ee686, 0x0000000000000062,
};

// t828_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeedca890ca20, 0x777774b010b9a5ac, 0xbec8d052b7bd3b77, 0x4e198bfecfdd1b60, 0x3ba3d8b56c6aa67f,
  0xf61ff3fff2609f19, 0x6fed100b7b02e9ff, 0x91c1b8bea8fe75ce, 0x88bee3441e789390, 0x723fa8f84bf10d84,
  0xd8f933c5dcdae951, 0x5f51e5613c0ddadc, 0x1584ff51f06cc1e4, 0xcb1148b34eb42390, 0xb8403eb6006be8c2,
  0x1a9da0fa3278e756, 0x4690e7b55e9c1d7a, 0x2f65b2e62e12160b, 0x8299e546c11409c0, 0x2cdf81895af674f4,
  0x4180ef5af3c0809c, 0x9c94e8016f37807d, 0xdf404beedf2a6f52, 0xdd2f5545a5612718, 0xb288c5fcdb2a718e,
  0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x0be9e4afdcd0ccb0, 0x00000000140420ae,
};

// t828_u1x8_uart0_dual_pr
static const uint64_t ur_t828_u1x8_uart0_dual[] = {
  0xdb777776fcd44511, 0xbbbbbbaa67a58e2f, 0x697ab07e99bad29d, 0x1589c9d06f7774d8, 0x4a9bb92be67c3d8b,
  0x21e8348eb39827c6, 0xbae718389df84023, 0xee9f12e206142e5f, 0x14599c9fe65dc5f4, 0x2a6f51dfcd82fb38,
  0x63408a11c90ab033, 0xbbe3900370f815fe, 0xa03e22195dc5eef8, 0xa039e136f7150865, 0xf344389096ddfcff,
  0xf2f82982c11c49cb, 0x9bfb4402dec0b4af, 0xfd47b58ef96aff73, 0xcb5fa08e39560690, 0x5a3486731602fe1c,
  0x71cb1823af22ddaa, 0xabe77715252b2417, 0x0b37e06256bd93f8, 0x25603bd6bcf02027, 0xca72f9d002de6f07,
  0x2810b4f0c5654ee2, 0xda718df404beefae, 0xc9ab83cd94462fe6, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab,
  0x9961d252d9f02719, 0x738ca833c95fb9a1, 0x0000000000000188,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_u4[] = {
  0xbbbbb7e5173e43ee, 0xdddd533d294e7edb, 0x3323d390569daddd, 0xd95c1dddd3f61033, 0x2aefc89086d3cd39,
  0x484a89827c64b217, 0x8389df8402321e83, 0x2e206142e5fbae71, 0x1c3fcca6b54ee9f1, 0x47fddb04ac7074b3,
  0x508e485581c069bd, 0xc01b87c0aff31a04, 0x2195dc5eef8bbcc7, 0x130f9150865a1f22, 0x1212dbc06ffa039e,
  0x30582389397e6887, 0x2016f6047aff920d, 0x453be589ab9cdfda, 0xbc71cab0310fea3e, 0xe731602a83cd2f96,
  0x08ebc019dae1a3af, 0xedb5f2435403ff66, 0xeee2a4a538b81e59, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0xa7400b79bc03ea0c, 0x025f76f9537a94e4, 0x7aaa2d2b0938c6fa, 0x2317f36ca9d156e9, 0x8b1be2e4d5c1e6ca,
  0x7ea75663c819a7c6, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00014932cf9eaf3c,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbb7e6f3e43ee, 0xddddd5331db3e7ed, 0x0d2600a1d7da2fdd, 0xac36e82eec71c9c1, 0xf227bb69eb17ebb3,
  0xbcc13e32699dcabb, 0xbf0804643d0690ae, 0xc285cbf75ce30713, 0x994d6a9dd3e25c40, 0xb0eaf3850fcdd3ff,
  0x85581ece9bd47383, 0x7c0aff31a04508e4, 0xc5eef8bbe61801b8, 0x2a10cb42a522195d, 0xfb3bfe80e784d1ee,
  0xe24e5f9a21c484b6, 0x022ebfe4834c1608, 0x738dce6fed100b7b, 0x8fa8f2b32a0ff6b4, 0xe2b32bd47c1b3069,
  0xb2c4522cd3ad080f, 0x51d07199801afa30, 0xb4648fa039d5a5cf, 0x9f9ed56ba1d794d3, 0xcb8f8c5c24227918,
  0x549474f6a5ff805e, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x016f37807d4180ef, 0xeedf2a6f529c94e8,
  0x45a5612718df404b, 0xfe6d953a2add2f55, 0x9c5c9ab83cd94462, 0xd598f20669f1a2c7, 0x8cb25c33d30ae4fd,
  0xd0ccb0e9296cf813, 0xa749dcf579e4afdc, 0x0000000000000190,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ee_u4[] = {
  0x777776fca2437089, 0x777754cc7762efdb, 0xcb116a1edb73b777, 0xfb286dd05dd466cc, 0x9eb2abbeb683ae55,
  0x77304f8c9e9d72bc, 0xefc201190f41a43b, 0x30a172fdd738c1c4, 0xf997612774f89710, 0xfd874f9c2c7e6ff9,
  0x4855819c19bd47a1, 0x87c0aff31a04508e, 0xdc5eef8bbfacc01b, 0xe2a10cb412b22195, 0x6e707fe80e784cbe,
  0x8e24e5f9a21c484b, 0xb0253dfe118cc160, 0x47d45ce6fed100b7, 0xbe7a8f2b7f20ff6b, 0xfe2b7f3d47c1b306,
  0x0b2c4522cd3ad080, 0xba1d09f99801afa3, 0xbb3de8c4539d5a5f, 0xd7f9ed56ba1d7b19, 0xb2fa598b848570d1,
  0x5ac546c1197fe017, 0x157ceee2a4a38b7b, 0xe166fc0c4ad7b27f, 0xea0c077ad79e0404, 0x94e4a7400b79bc03,
  0xc6fa025f76f9537a, 0x56e97aaa2d2b0938, 0xe6ca2317f36ca9d1, 0xbf83bb8d1637c371, 0xef2861539fa9d599,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0xdb15c7cf257ee686,
  0x000000000002b23c,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ce[] = {
  0xbbbbbb7e6f3e6d3a, 0xddddd533d2ce27ed, 0xf66c4cce356b3edd, 0x6ca765bbbab8fa70, 0x72b9db36eb7930e7,
  0x690a919827c64841, 0x30713bf0804643d0, 0x25c40c285cbf75ce, 0x68adf994d6a9dd3e, 0xa8f95b61bece1a6e,
  0x8a11c90ab0328737, 0xd80370f815fe6340, 0x4432bb8bddf177b5, 0xc26d2a2a10cb43ba, 0xe2425b7287ff4073,
  0xa60b0471272fcd10, 0x8805bd8154aff241, 0x3d9dff57bee737f6, 0xfd5f43ff9e005cee, 0xe580b52e6139dcda,
  0xcab03a97ea38df9e, 0xfce62c059bb22c71, 0xcf1d78033b5c3475, 0xd6e6be486a807fec, 0xe777152529c5c0f2,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x253a005bcde01f50, 0xd012fbb7ca9bd4a7, 0x4bd551695849c637,
  0xa2317f36ca9c63b7, 0xd163ce2e4d5c1e6c, 0x727eeacc790334f8, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0073d673ee7abcf2,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeedf9448687e1, 0x777754c85e589fb6, 0x96a39cd8b68bf777, 0xb4fb57dbbba244c8, 0xc8af6f049aed1fcf,
  0x48f394c13e327c8d, 0x8389df8402321e83, 0x2e206142e5fbae71, 0x8c7ff32ec24ee9f1, 0xa393ad825a3805a9,
  0x2847242ac0e2b4de, 0x400dc3e057f98d02, 0x10caee2f77c5dfcb, 0x2631f150865a0515, 0x2425b78adff4073c,
  0x60b0471272fcd10e, 0x805bd8114bff08c6, 0x75c5f5402e737f68, 0xf71a20f3c49c84be, 0xfd47c25f886c2445,
  0xb99e2ee6d743ec6e, 0xbf51c6fcf72c67d4, 0x2cdd91638e5581d4, 0x19dae1a3afe73160, 0x435403ff6678ebc0,
  0x294e2e0796b735f2, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0xde6f00fa8301deb5, 0xbe54dea53929d002,
  0x4ac24e31be8097dd, 0xb654e31dba5eaa8b, 0x1be1b8f365118bf9, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x034934710ae3e792,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ee_ce[] = {
  0x77776fcd41431f02, 0xeeeeea98302cfdb7, 0xeca3f5a2c5a4deee, 0xbb2af24160eebd61, 0x4622cd8ce1852bbf,
  0x649cc13e32599dc9, 0x13bf0804643d0691, 0x40c285cbf75ce307, 0x27e65d849dd3e25c, 0x6b7b0adf38400985,
  0x392156069b737a8f, 0x6e1f02bfcc681142, 0xaee2f77c5de60100, 0x0b150865a1bed10c, 0xb6e9b7ff4073c266,
  0x08e24e5f9a21c484, 0xf605d5ffe118cc16, 0x51945b9cdfda2016, 0xfcf127212d9c77fd, 0x9309cee6d7a4a672,
  0x8f2b8f606ed65664, 0x1efd47c1b307f27a, 0x4522cd3ad08e4057, 0xbafad801afa30b2c, 0xbb3de8c4539d5ae3,
  0x5fe7b55e9c1d7b19, 0xcbe9662e1215c347, 0xb58a8d822813805e, 0x157ceee2a4bd3cf6, 0xe166fc0c4ad7b27f,
  0xea0c077ad79e0404, 0x94e4a7400b79bc03, 0xc6fa025f76f9537a, 0x76e97aaa2d2b0938, 0xcd94462fe6d9538c,
  0xf83bb8d165abc6e3, 0xd2861539fa9d599b, 0xfc07cd0f22678138, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x10018422b8f9e4af,
};

static const uint64_t ur_t828_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7776fca26d3f9231, 0xbbaa602f07cfdb77, 0x77d6afafb369bbbb, 0x33c9dbb388b5210d, 0xc87b5ab227dc227c,
  0x192d8ae5ffc334e9, 0x643d06909e5e609f, 0xf75ce30713bf0804, 0x9dd3e25c40c285cb, 0x067c9bacff32bf68,
  0x926f51cd6f6130c7, 0xc681142392156062, 0xbd5d7006e1f02bfc, 0x12d22195dc5eef8b, 0x0e784d1ca2a10cb4,
  0xa21c484b6e293fe8, 0x3a9cc1608e24e5f9, 0xfed100b7b020d1fe, 0xe9fb8bea8ca1dce6, 0x17dc6883cf12701c,
  0x03f51f097e21b091, 0x2499e2ee6d7eeb00, 0xa8f2b8f606ed6e6f, 0x71efd47c1b307f27, 0xc4522cd3ad08e405,
  0x3bafad801afa30b2, 0x9bb3de8c4539d5ae, 0x75fe7b55e9c1d7b1, 0xecbe9662e1215c34, 0x6b58a8d822813805,
  0xf157ceee2a4bd3cf, 0x4e166fc0c4ad7b27, 0x3ea0c077ad79e040, 0xa94e4a7400b79bc0, 0x8c6fa025f76f9537,
  0xc76e97aaa2d2b093, 0x3cd94462fe6d9538, 0xfa08d1637c5c9ab8, 0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1,
  0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x0f3c95fb9a19961d, 0x0000004002d3ecb2,
};

static const uint64_t ur_t828_u1x8_uart0_dual_hw[] = {
  0x777776fca2436d3a, 0xbbbbaa67a529cfdb, 0x0cccc8f4ed415bbb, 0x4e7657077774fd84, 0x9642e573b66f7263,
  0x43d0690951304f8c, 0x75ce30713bf08046, 0xdd3e25c40c285cbf, 0x83a598e1fe65d849, 0x034dea3feed82563,
  0x98d022847242ac0e, 0x5de63e00dc3e057f, 0xd0f9110caee2f77c, 0xd01cf0987c8a8432, 0xf344389096de037f,
  0xff21f982c11c49cb, 0x9bfb4402dec08f5f, 0xfd47c8a77cb13573, 0xa5f2d78e39560621, 0x3475fce62c055079,
  0x7fecc11d78033b5c, 0x03cb3db6be486a80, 0xe2af9ddc5494a717, 0x9c2cdf81895af64f, 0x7d4180ef5af3c080,
  0x529c94e8016f3780, 0x18df404beedf2a6f, 0x2add2f5545a56127, 0x3cd94462fe6d953a, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x3505f4f257ee6866,
  0x000000000031ba88,
};

static const uint64_t ur_t828_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeedf944869a4e, 0xeeeea998eec5dfb6, 0x9622d43db6e76eee, 0xf650dba0bba8cd99, 0xc7f518e8f0c75cab,
  0x76ee609f193d3ae5, 0x89df8402321e8348, 0x206142e5fbae7183, 0xf3f32ec24ee9f12e, 0x43fb0e9f3858fcdf,
  0x1c90ab0338337a8f, 0x370f815fe63408a1, 0x2bb8bddf177f5980, 0x7dc5421968256443, 0x96dce0ffd01cf099,
  0xc11c49cbf3443890, 0xbd8129efff21f982, 0x5a3ea2e737f68805, 0x35f3d4795bf907fb, 0x07f15bf9ea3e0d98,
  0x185962291669d684, 0xfdd0e84fccc00d7d, 0xcdd9ef46229cead2, 0x8ebfcf6ab5d0ebd8, 0xbd97d2cc5c242b86,
  0xdad62a3608cbff00, 0xf8abe77715251c5b, 0x270b37e06256bd93, 0x1f50603bd6bcf020, 0xd4a7253a005bcde0,
  0xc637d012fbb7ca9b, 0x8ab74bd551695849, 0x8f365118bf9b654e, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x9b617d3c95fb9a19, 0x0000000000015da7,
};

static const uint64_t ur_t828_u1x8_uart0_dual_ce_hw[] = {
  0xdddddbf2890ddb75, 0xeeeea990bcb13f6d, 0x2d4739b16d17eeee, 0x69f6afb777448991, 0x372bebde4f5c879f,
  0x0d23ce5304f8c9f2, 0xc60e277e1008c87a, 0xc4b881850b97eeb9, 0xa631ffccbb093ba7, 0x7a8e4eb60968e016,
  0x08a11c90ab038ad3, 0x2d00370f815fe634, 0x54432bb8bddf177f, 0xf098c7c542196814, 0x389096de2b7fd01c,
  0xf982c11c49cbf344, 0x8805bd8114bfff21, 0xe75c5f5402e737f6, 0x5f71a20f3c49c84b, 0xbfd47c25f886c244,
  0x4b99e2ee6d79dbb5, 0x4bf51c6fcf72c67d, 0x02cdd91638e5581d, 0x019dae1a3afe7316, 0x2435403ff6678ebc,
  0x9294e2e0796b735f, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x2de6f00fa8301deb, 0xdbe54dea53929d00,
  0xb4ac24e31be8097d, 0x9b654e31dba5eaa8, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x01375d1c417d3c95,
};

static const uint64_t ur_t828_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeedf9d82432db, 0x777754c05e0f9fb6, 0x421aefad6df5f777, 0x44f86793b767116a, 0x1c1156699d644fb8,
  0x27979827c64b62b9, 0xc4efc201190f41a4, 0x1030a172fdd738c1, 0x67f997612774f897, 0x6b7b09863833e4dd,
  0x1c90ab0314937a8e, 0x370f815fe63408a1, 0xaee2f77c5deaeb80, 0xe5150865a096910c, 0x5b7149ff4073c268,
  0x0471272fcd10e242, 0xf6041a3ffc87e60b, 0x51943b9cdfda2016, 0x79e24e425d3f717d, 0x2fc4361222fb8d10,
  0xe6d7e5a66ffea3e1, 0x606ed6e6f2499e2e, 0xc1b307f27a8f2b8f, 0x3ad08e40571efd47, 0x01afa30b2c4522cd,
  0xc4539d5ae3bafad8, 0x5e9c1d7b19bb3de8, 0x2e1215c3475fe7b5, 0x822813805ecbe966, 0xe2a4bd3cf6b58a8d,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0x400b79bc03ea0c07, 0x5f76f9537a94e4a7, 0xaa2d2b0938c6fa02,
  0x2fe6d9538c76e97a, 0xfa9b0ec6e3cd9446, 0x22678138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0x0be9e4afdcd0ccb0, 0x00000000075d4797,
};

static const uint64_t ur_t828_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x6ddddddbf2890c86, 0xeeeeeea980bd00bf, 0x49336e76fdeb85ee, 0x0ecd85a19e4edd3b, 0xad72eec6ecde62a1,
  0x83483927304f8c97, 0x718389df8402321e, 0xf12e206142e5fbae, 0xb9a61bf32ec24ee9, 0x7a8e29361fae7035,
  0x1142392156075bf3, 0xd6006e1f02bfcc68, 0x910caee2f77c5dfd, 0xc26b75150865a035, 0xc484b6f8ddff4073,
  0xcc1608e24e5f9a21, 0x805bd8126dfff90f, 0xc5f54721ee737f68, 0x1a20f3c49c84a2b5, 0x47c25f886c2445f7,
  0x9e2ee6d7eb3643fd, 0x95f7406ed6e6def9, 0xbd47c1b306b5fd47, 0x91669d6847202bd2, 0xfd6c00d7d1859622,
  0xad647d01cead7138, 0xf3daaf4e0ebca69d, 0xe3e317090843a313, 0x929907da04e017b2, 0x2b5ec9fc55f3bb8a,
  0x5e781013859bf031, 0x05bcde5ba8301deb, 0x2f7ca9bd4a7253a0, 0x04bee1d18c10b4e0, 0x94462fe6da718df4,
  0x61539fa82ec6e3cd, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x5f4f257ee6866587, 0x000000001d752b50,
};

// t828_u1x12_uart0_noled_pr
static const uint64_t ur_t828_u1x12_uart0_noled[] = {
  0xeeeec49ddacdfebe, 0xbbbba587396cfac6, 0x377f89341de3fbbb, 0x5d08fdb777693fa9, 0xc9ddf1f85171243c,
  0xff504acfce3304f8, 0xfb6a7f76e9f092f9, 0x03be5843c368dd27, 0xe38e5581a0bf51fa, 0x1cc580b2ca65af70,
  0x0475e8f9d843a3d6, 0xf6e414cf2a01ffb3, 0x1895af6355240f2c, 0x180ef5af39c2cdf8, 0xca6c670b79bc7294,
  0x31be8097dcbaa9cb, 0x156e97aaa2d2d7ce, 0x0ddb288c5fcdb005, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x939b5493c95fb9a1, 0x000000000000f90e,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_u4[] = {
  0xbbb127751762eff6, 0xeee961ce5b3eb1bb, 0xf12682ebf588eeee, 0x1fb6eeed27f526ef, 0x5eb989cc699f8ba1,
  0xd0f3f38cc13e3277, 0xa7f76e9f092f9fe0, 0xe5843c368dd27fb6, 0xe5581a0bf51fa03b, 0x580b2ca65af70e38,
  0x5e8f9d843a3d61cc, 0x414cf2a01ffb3047, 0x5af6355240f2cf6e, 0xef5af39c2cdf8189, 0xc670b79bc7294180,
  0xe8097dcbaa9cbca6, 0xe97aaa2d2d7ce31b, 0xb288c5fcdb005156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40ed,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x59e4afdcd0ccb0e9,
  0x0000007c9e4938cc,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ee[] = {
  0x7777624eedec4743, 0xeeeee9610eec9d63, 0xd4e17fa53634adee, 0x006ce5c4eeb07d9e, 0x51792d05582b4615,
  0x0f3e52e609f193bb, 0xfeedd3e1274bfe0d, 0x8c1486d1ba4ff6d4, 0xd7f51e57d441fed6, 0xf8afa8f51f06cc1a,
  0x2cb1148b34eb4203, 0x50743ee66006be8c, 0xed6b23e78e756970, 0xd64f6ab5d0ebd0d4, 0xb2d97317090843a3,
  0xa9a546c1197fe017, 0xdf81895af60e2f19, 0x294180ef5af39c2c, 0x9cbca6c670b79bc7, 0x7ce31be8097dcbaa,
  0x005156e97aaa2d2d, 0xb93571b288c5fcdb, 0x663c81db43458f38, 0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3,
  0x7ee3316792bf7343, 0x000000000000a7c1,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ee_u4[] = {
  0xeeec49dd4488ba31, 0xdddd2c21dd93ac6e, 0x385fe94ade833ddd, 0x1b39713bac1f67b5, 0x4d86080052d18540,
  0x67ca5cc13e32776c, 0xddba7c24e97fd7fb, 0x8290da3749feda9f, 0xfea3cafa883fdad1, 0x15f51ea3e0d9835a,
  0x962291669d68407f, 0x0e87dccc00d7d185, 0xad647cf1cead2e0a, 0xc9ed56ba1d7a1a9d, 0x5b2e62e12108747a,
  0x34a8d8232ffc02f6, 0xf0312b5ec1c5e335, 0x28301deb5e73859b, 0x9794d8ce16f378e5, 0x9c637d012fb97553,
  0x0a2add2f5545a5af, 0xae0f365118bf9b60, 0xc81f943458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xb4ca833c95fb9a19, 0x000000000009d74c,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0x777774b0e7248b58, 0xbbc2f4c9df9a3377, 0x361d78d779377767, 0x04f8c9ddb1ec842f,
  0x5b7ffea0959f31f3, 0x749feda9fddba7c2, 0x127bceffaf490da3, 0x9b5fe7487fcf002e, 0xd3dcb01719cc273b,
  0x1c72ac0f19fa8ed7, 0x199e398b017a07b5, 0x72c678ebc5cec691, 0xe06256bd83a86adc, 0x25603bd6bce70b37,
  0xd5ca52f9c2de6f07, 0x63042d3b8bf9b752, 0x6d38c6fa025f719e, 0x2c79c376ca2317f3, 0x27eeacc790347f1a,
  0x289c6592e19e9857, 0xee6866587494b659, 0x05ba9246d524f257,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ce_u4[] = {
  0xddd893ba891151eb, 0xbbba589846a758dd, 0x7d43e3e826b21bbb, 0xf4c99eeeeeadbbe1, 0xdd89ceca85bd6536,
  0x5fed9f90f304f8c9, 0x6a7f76e9f09393ff, 0x8beb924368dd27fb, 0xd1079e005ad218fb, 0x3e12fc4361222fb8,
  0xf17736bceddadfea, 0x51c9e9ee58cfd64c, 0x917a08e395607acf, 0x9d843a3d61cc580b, 0xf2a01ffb33c75e8f,
  0x8d54903cb5ba414c, 0xbce70b37e06256bd, 0x2de6f1ca50603bd6, 0x5f72eaa72f29b19c, 0xaa8b4b5f38c6fa02,
  0x62fe6d80231dba5e, 0x637c5c9ab83cd944, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00375d6b532a0cf2,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8b562, 0xddddd2c08329bac6, 0x8ee3bcc619eb4bdd, 0x5b243358dadda118, 0x77e9c1b34b707179,
  0x1a1e7ce0cc13e327, 0xa9fddba7c25b3bfc, 0xd51f750da3749fed, 0x8fcf002c1cfdc77f, 0x0fcc273b9b5ffe06,
  0xea3cac140376b2b2, 0xae21f51f06cc1ef7, 0x588a459a75a11c80, 0xc3dff5b0035f4616, 0x19dabfa3a9673ab5,
  0x1d133daaf4e0ebc0, 0xf65c3918b84843ed, 0x95af6191d3409c02, 0x0ef5af39c2cdf818, 0x9b19c2de6f2dd418,
  0x3042d37aaeaa72f2, 0xa718df404bee7366, 0x5c9ab8d94462fe6d, 0xb31e40eda1a2c79c, 0x964b867a615c9fba,
  0x9961d252d964a271, 0x49d198b3c95fb9a1, 0x000000000000a69f,
};

static const uint64_t ur_t828_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbb1277512232a8, 0xeeee9627126eeb1b, 0x74ad920697571eee, 0x2c33d49426e933cc, 0xa75a3509167d5168,
  0xfdb3fff2609f193b, 0x9fddba7c25d3ffeb, 0xa328b0da3749feda, 0xe78016b48c16e2fa, 0xbf10d8488bee3441,
  0xcdafd66c87fa8f84, 0x01bb5b9b83f33c5d, 0x83660f7bf51e560a, 0x3ad08e405710fa8f, 0x01afa30b2c4522cd,
  0xd4b39d5ae1effad8, 0x7a7075e00ced5fd1, 0x5c2421f68e899ed5, 0xe9a04e017b2e1c8c, 0xe166fc0c4ad7b0c8,
  0x3796ea0c077ad79c, 0x575539794d8ce16f, 0x25f739b3182169bd, 0xa2317f36d38c6fa0, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000004fc2cd9506,
};

static const uint64_t ur_t828_u1x12_uart0_noled_hw[] = {
  0x7777624eed66ed1f, 0xddddd2c39cb67d63, 0x9bbfc49a0ef1fddd, 0x2e847edbbbb49fd4, 0x3e32774602fdb1fe,
  0x2f9ff7c0b3f38cc1, 0xd27fb6a7f76e9f09, 0x1fa03be5843c368d, 0xf70e38e5581a0bf5, 0x3d61cc580b2ca65a,
  0xfb30475e8f9d843a, 0xf2cf6e414cf2a01f, 0xdf81895af6355240, 0x294180ef5af39c2c, 0x9cbca6c670b79bc7,
  0x7ce31be8097dcbaa, 0x005156e97aaa2d2d, 0x3fb0ddb288c5fcdb, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x8e2e93a8a792bf73, 0x0000000000000000,
};

static const uint64_t ur_t828_u1x12_uart0_noled_ee_hw[] = {
  0x777624eea2432f02, 0xeeee9610eec9d637, 0xb5385fe974adeeee, 0x401b39713bac1f67, 0xdd8e302f599ad185,
  0xb0ff9f297304f8c9, 0xb53fbb74f849d2ff, 0xb5a30521b46e93fd, 0x06b5fd4795f5107f, 0x80fe2bea3d47c1b3,
  0xa30b2c4522cd3ad0, 0x5c141d0fb99801af, 0x353b5ac8f9e39d5a, 0xe8f593daad743af4, 0x05ecb65cc5c24210,
  0xc66a6951b0465ff8, 0x0b37e06256bd838b, 0xf1ca50603bd6bce7, 0xeaa72f29b19c2de6, 0x4b5f38c6fa025f72,
  0x36c01455ba5eaa8b, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x016fb087c2fa792b,
};

static const uint64_t ur_t828_u1x12_uart0_noled_ce_hw[] = {
  0xeeeec49ddacdc49f, 0xbbbba587393afac6, 0x175a5086d6c01bbb, 0x99fa5ddfbbbb3dde, 0x4f8c9ddcc490d5a0,
  0xba8ffbe059fdbf30, 0xe93fdb53fbb74f84, 0x25371dff5e921b46, 0x36bfee4adf9e005c, 0xe7b9602e33984e77,
  0x1c72ac0f19fa8e21, 0x8f199cc580a22f3d, 0x39633c75e2e76486, 0xf81895af60eb19ee, 0x94180ef5af39c2cd,
  0xcbca6c670b79bc72, 0xce31be8097dcbaa9, 0x08c76e97aaa2d2d7, 0xf61bb65118bf9b60, 0x6592e19e985727e7,
  0x66587494b659289c, 0x214b7514f257ee68, 0x0000000000000006,
};

// t828_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_t828_u1x12_uart0_noled_ee_ce_hw[] = {
  0xdddd893ba890c582, 0x77774b138923f58d, 0x7515eb9b1ab07777, 0x19fbd49426e9716a, 0x774ed043d2d46257,
  0xd87fcf8cdcc13e32, 0xda9fddba7c2416bf, 0xfaa3f9d0da3749fe, 0x1079e24e42515ae2, 0xe12fc4361222fb8d,
  0x17736bb3e759fea3, 0xf4a0376b7363e4cf, 0xa3e0d983c8bea3ca, 0xb34eb4239015e95e, 0xb6006be8c2cb1148,
  0xb23e78e756b8053e, 0xdaaf4e0ebd0d4ed6, 0x5cc5c24210e8f593, 0xa8d822813805ecb6, 0x1895af674f633534,
  0x180ef5af39c2cdf8, 0xca6c670b79bc7294, 0x31be8097dcbaa9cb, 0xc76e97aaa2d2d7ce, 0x8f365118bf9b6008,
  0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x53817d3c95fb9a19, 0x0000000000014053,
};

// t828_u1x12_uart0_lednop_pr
static const uint64_t ur_t828_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39c8bdd63, 0x4d9fbbfd7efa5ddd, 0x1fad0dadddda4fea, 0x8c9dd05e82662c87,
  0xdff504acf9eb304f, 0xff6d4feedd3e1297, 0xac77cb08786d1ba4, 0xdc71cab03417ea3d, 0x0ce62c059653443b,
  0x608ebd1f3b60b469, 0xcf6c389a45403ff6, 0xc0c4ad7b1357c0f2, 0x77ad79e0404e166f, 0x7400b79bc03ea0c0,
  0x25f76f9537a94e4a, 0xaaa2d2b0938c6fa0, 0x317f36ca9d156e97, 0x47f1a2c79c376ca2, 0xe985727eeacc7903,
  0x4b659289c6592e19, 0x4f257ee686658749, 0x000001f200726d52,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_u4[] = {
  0x777624eea2ec4743, 0xdddd2c39c8bdd637, 0xcfddfebc66933ddd, 0xd686d6eeed27f526, 0x776a2f25b1eb078f,
  0xe0d0f3e7acc13e32, 0x6d4feedd3e1297df, 0x77cb08786d1ba4ff, 0x71cab03417ea3dac, 0xe62c059653443bdc,
  0x8ebd1f3b60b4690c, 0x6c389a45403ff660, 0xc4ad7b1357c0f2cf, 0xad79e0404e166fc0, 0x00b79bc03ea0c077,
  0xf76f9537a94e4a74, 0xa2d2b0938c6fa025, 0x7f36ca9d156e97aa, 0xbe2e4d5c1e6ca231, 0x4eacc7903b6868b1,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x1f27b5ee3316792b,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b087648563, 0x64da9edbc5fa6ef7, 0xc7ece5c4eeb07d9f, 0x8fcbbb231c4d8413,
  0x1e7d4f4c13e32774, 0xfddba7c245d7fc1a, 0x18290da3749feda9, 0xafea3cafba83fdad, 0xf15f75ea3e0d9835,
  0x5962291669d68407, 0x00e87dccc00d7d18, 0xb41f464f1cead2e8, 0x873daad743af4353, 0x2d97317090b05a34,
  0x9e546c1197fe017b, 0xf0312b5ec1c5c829, 0x1deb5e781013859b, 0x9d002de6f00fa830, 0x097ddbe54dea5392,
  0xeaa8b4ac24e31be8, 0x8c5fcdb2a7455ba5, 0x3458f38b93571b28, 0x2b93f75663c81db4, 0x2c944e32c970cf4c,
  0x2bf734332c3a4a5b, 0x000a7c6e3e331679,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xeeec49dd4488a493, 0xeeee9610ec90ac6e, 0x9b53db66ef4fdeee, 0xfd9cb89dd60fb3ec, 0xe414d14ed1b08278,
  0xcfa9e9827c64ee86, 0xbb74f848baffaff6, 0x0521b46e93fdb53f, 0xfd4795f7507fb5a3, 0x2beebd47c1b306b5,
  0x2c4522cd3ad080fe, 0x1d0fb99801afa30b, 0x83e8c9e39d5a5d00, 0xe7b55ae875e86a76, 0xb2e62e12160b4690,
  0xca8d8232ffc02f65, 0x06256bd838b90533, 0xbd6bcf020270b37e, 0xa005bcde01f50603, 0x2fbb7ca9bd4a7253,
  0x551695849c637d01, 0x8bf9b654e8ab74bd, 0x8df1726ae0f36511, 0xea75663c81f94345, 0xffef0f7bca1854e7,
  0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x009d7de0aca833c9,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ce[] = {
  0x77624eed41ec53c3, 0xddd2c39c8b8d6377, 0xf4bb3f1debd3dddd, 0xfad37775227d7edb, 0x48fcbb0671c617f8,
  0xa1e7ea54c13e3277, 0x9fddba7c2463ffc1, 0xf583f0da3749feda, 0xf3f3c00b070279df, 0xeb26139dcdaf63ff,
  0x1eb3d47e927b9602, 0x8b015efb5a38e558, 0xaf47ced82d1a4339, 0x0e2691500ffd99e3, 0x4ad7b1357c0f2d6e,
  0xd79e0404e166fc0c, 0x0b79bc03ea0c077a, 0x76f9537a94e4a740, 0x2d2b0938c6fa025f, 0xe6d9538c76e97aaa,
  0xe5c9ab83cd94462f, 0xacc7903b6868b2d5, 0xc09c69430a9cfd4e, 0x85727e03e6879133, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000000dd7324662c,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd4488ba31, 0xdddd2c4c2593ac6e, 0x385fe94ade833ddd, 0xc2a00ddddd5b77b5, 0x3bb626c304002968,
  0xebfdb3e52e609f19, 0x6d4feedd3e1274bf, 0x717d72486d1ba4ff, 0x1a20f3c00b5a45f7, 0x47c25f886c2445f7,
  0xcf17736be206bbfd, 0xf51fa49ee58cfd64, 0x57bed68e395607ac, 0xf3b60b4690ce62c0, 0xa45403ff6678ebd1,
  0xec4d5f03cb5b8389, 0x81013859bf0312b5, 0x6f00fa8301deb5e7, 0x54dea53929d002de, 0xc24e31be8097ddbe,
  0x54e31dba5eaa8b4a, 0x6ae0f365118bf9b6, 0x3c81f943458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xcb4ca833c95fb9a1, 0x000000000000dd74,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c08312158, 0x11db260bc69ed0bd, 0xc5e8266b1b5bb423, 0xeed33467f4d1d9fb,
  0x06879feaf9827c64, 0x6a7f76e9f09472ff, 0xf547dd4368dd27fb, 0x6bf3c00b0712b1df, 0x83f309cee6d70d1a,
  0xfa8f2b9c40ddacac, 0x2bc93d47c1b307bd, 0x962291669d684720, 0x7110fd6c00d7d185, 0x0676c168c439cead,
  0x1c82cf6abd383af0, 0xf65c3918b84841c5, 0x56bd864d62409c02, 0xbcf020270b37e062, 0x02de6f0725603bd6,
  0xc5654ee2ca72f9d0, 0x097ddf598c10b4f0, 0x288c5fcdb4e31be8, 0xb43458f38b93571b, 0x4c2b93f75663c81d,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000534d53a3316,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4e24fdd63, 0x8e8335a171efd3dd, 0x20697a9284dd2679, 0xbaaf99f41b2c5644,
  0x7fb67f76a609f193, 0x53fbb74f848c7ffd, 0x5465161b46e93fdb, 0x3cf002d6914f5c5f, 0x97e21b09117dc688,
  0xb9b5d2a2e47f51f0, 0xe0376b73707e678b, 0xe0d983defd4795cb, 0x4eb4239015fc9ea3, 0x006be8c2cb1148b3,
  0xdaf8e756b84c7eb6, 0x5e9c1d78033b73c8, 0x8b8485ac466927b5, 0x29a409c02f65c391, 0x3859bf0312b5ec32,
  0xe6f301deb5e78101, 0x5a9c914b579d002d, 0xdd2fe63042d2a7c0, 0xc5fcdb4e31be8097, 0xc6f8b9357079b288,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0009f810b65419e4,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_hw[] = {
  0x7777624eed66e614, 0xddddd2c39c8bdd63, 0x4d9fbbfd7efa5ddd, 0x1fad0dadddda4fea, 0xf8c9dd1b78ef5e9f,
  0x5f7fdf02cf9eb304, 0x93fdb53fbb74f84a, 0xf6b1df2c21e1b46e, 0xef71c72ac0d05fa8, 0xa43398b016594d10,
  0xd9823af47ced82d1, 0xcb3db0e2691500ff, 0xbf0312b5ec4d5f03, 0x01deb5e781013859, 0x29d002de6f00fa83,
  0x8097ddbe54dea539, 0x5eaa8b4ac24e31be, 0x88c5fcdb2a7455ba, 0xf4c2b93f3fb0ddb2, 0xa5b2c944e32c970c,
  0xa792bf734332c3a4, 0x0000000047101ca8,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd4486fc3b, 0xeeee9610ec90ac6e, 0xd936a7b6f4ddeeee, 0xf1fb39713bac1f67, 0xbb704dd694e36104,
  0x61ff3ea7a609f193, 0x6a7f76e9f09175ff, 0x6b460a4368dd27fb, 0x0d6bfa8f2beea0ff, 0x01fc57dd7a8f8366,
  0x4616588a459a75a1, 0xba003a1f7330035f, 0xd4ed07d193c73ab4, 0x8d21cf6ab5d0ebd0, 0x5ecb65cc5c242c16,
  0x0a67951b0465ff80, 0x66fc0c4ad7b07172, 0x0c077ad79e0404e1, 0xe4a7400b79bc03ea, 0xfa025f76f9537a94,
  0xe97aaa2d2b0938c6, 0xca2317f36ca9d156, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x000000000b7ef24c,
};

static const uint64_t ur_t828_u1x12_uart0_lednop_ce_hw[] = {
  0xddddd893bb59bb37, 0x7777774b0e721958, 0xe16ebeb4e0fbe3f7, 0x1006dbd9fbbbb3dd, 0x04f8c9ddb1ec869b,
  0x4bbaffbe059f8f73, 0x6e93fdb53fbb74f8, 0xc25389dff5e921b4, 0x736bfce90ff9e005, 0x2e7b9602e33984e7,
  0xd1c72ac0f19fa8f8, 0xa3905398b0146f93, 0x8e58cf1d78b9daa5, 0xfc0c4ad7b07520bb, 0x077ad79e0404e166,
  0xa7400b79bc03ea0c, 0x025f76f9537a94e4, 0x7aaa2d2b0938c6fa, 0x462fe6d9538c76e9, 0xa615c9f9fd86ed94,
  0x2d964a271964b867, 0x3c95fb9a19961d25, 0x0000000310a7d745,
};

// t828_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb12775121911, 0xeeeee962713f4eb1, 0x991fa8b8bf638eee, 0x6634f52509ba5c5a, 0x9dd57ccfb4b1725a,
  0xfb0ff9f0d1304f8c, 0xb6a7f76e9f0958ff, 0xbea8fe74368dd27f, 0x441e78939091c1b8, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x613c0ddadcd8f933, 0x51f06cc1e45f51e5, 0xb34eb423901584ff, 0xb6006be8c2cb1148,
  0xfa3278e756b8403e, 0xb55e9c1d7a1a9da0, 0xe62e12160b4690e7, 0x46c11409c02f65b2, 0x895af674f48299e5,
  0x5af3c0809c2cdf81, 0x016f37807d4180ef, 0xeedf2a6f529c94e8, 0x45a5612718df404b, 0xfcdb2a718edd2f55,
  0xf505d8dc79b288c5, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00140494e30be9e4,
};

static const uint64_t ur_t828_u1x12_uart0_dual[] = {
  0xbbbac1f83ea232a8, 0xdddd53099b337edb, 0x1477e46c3680addd, 0xba8e3bbba0ce8599, 0x0b91d68d5acf8a51,
  0x41a433e4c13e3249, 0x38c1c4efc201190f, 0xf8971030a172fdd7, 0xcdf3bf32ee2fa774, 0xf51d7dec0a29c1c9,
  0x1142392156071ee6, 0x1f006e1f02bfcc68, 0xe88657717bbe2efa, 0xf0986fc54219683d, 0x389096de3dffd01c,
  0x2982c11c49cbf344, 0xfbb74f84a71ff2f8, 0xd5fe1b46e93fdb53, 0xac0d21fa8e229df2, 0x05fc39be483f1c72,
  0x45bb2cf46f68e62c, 0x2b1ed6e39630475e, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xcde01f50603bd6bc,
  0xca9bd4a7253a005b, 0x5849c637d012fbb7, 0x654e8ab74bd55169, 0x26ae0f365118bf9b, 0x70cf4c2b93f3fb17,
  0xc3a4a5b3e04e32c9, 0xd9506792bf734332, 0x00000000032dfd38,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr[] = {
  0x77583f07de7cbf3e, 0xbbaa6133122fdb77, 0xd38c494ed295bbbb, 0x646e0eeee833a17b, 0xe5388b11d6ebb816,
  0x690951304f8c9242, 0x30713bf0804643d0, 0x25c40c285cbf75ce, 0x6f9df994d6a9dd3e, 0xa8ebef60514e0e4e,
  0x8a11c90ab038f737, 0xb00370f815fe6340, 0xa2195dc5eef8bbc6, 0xc261bf150865a0f7, 0xe2425b780dff4073,
  0xa60b0471272fcd10, 0xfbb74f848f5ff241, 0xd5fe1b46e93fdb53, 0x581a43f51ee19df2, 0x05fc3987c26a38e5,
  0x45bb09f4682ce62c, 0x2b0d26e39630475e, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xa005bcde603bd6bc,
  0x54f80b5392296af3, 0xe8097dd2ff14085a, 0x9b288c5fcdb4e31b, 0x3e3458f38b935707, 0x615c9fbab31e40cd,
  0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x000006204e2f9eaf,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_u4[] = {
  0x7583f07a2e7c1a4e, 0xbaa6133666fdb777, 0xefc8d86d015bbbbb, 0x1c7777419d0b3228, 0xaee16933dc14a375,
  0xcf9304f8c9242e49, 0x13bf0804643d0690, 0x40c285cbf75ce307, 0xdf994d6a9dd3e25c, 0xbef60514e0e4e6f9,
  0x1c90ab038f737a8e, 0x370f815fe63408a1, 0x2bb8bddf177d0f80, 0x37e2a10cb41ef443, 0x4b6f1effe80e784c,
  0x608e24e5f9a21c48, 0xe9f094e3fe4834c1, 0xc368dd27fb6a7f76, 0xa43f51c453be5abf, 0x8737c907e38e5581,
  0x659e8ded1cc580bf, 0xdadc72c608ebc8b7, 0x7f157ceee2a4a563, 0x04e166fc0c4ad7b2, 0x03ea0c077ad79e04,
  0x7a94e4a7400b79bc, 0x38c6fa025f76f953, 0xd156e97aaa2d2b09, 0xc1e6ca2317f36ca9, 0x19a7c68b1be2e4d5,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x9eaf3c95fb9a1996, 0x000000001493ab2b,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ee[] = {
  0x77583f07de7cd0e3, 0xbbaa6593498fdb77, 0xe2415bf7a3afbbbb, 0x9171a8bbb06ec4ec, 0x6829af9129f65893,
  0xf304f8c9e4b72ae3, 0xfc201190f41a470f, 0x0a172fdd738c1c4e, 0x6535aa774f897103, 0xc287ce1d3f358ffe,
  0x2ac0e394dea3f57e, 0xe057f98d02284724, 0x2f77c5df78600dc3, 0x50865a1fb910caee, 0xa5affa039e133f91,
  0x89397e68871212db, 0x4a577f920d305823, 0x6e93fdb53fbb74f8, 0x99507fb5a39c61b4, 0xa3e0d9834c7d4795,
  0x669d68407f15f51e, 0xcc00d7d185962291, 0x01cead2f388e838c, 0x5d0ebca69dad647d, 0xc24210e8c4fcf6ab,
  0xee5ff805ecb8f8c5, 0xfe2af9ddc5494743, 0x09c2cdf81895af64, 0x2dd4180ef5af3c08, 0xdea53929d002de6f,
  0x7514085a7017be54, 0xf9b69c637d012fb8, 0x71726ae0f365118b, 0x5663c819a7c68b1e, 0x32c970cf4c2b93f7,
  0x4332c3a4a5b3e04e, 0x534e73d5e792bf73, 0x00000000000000c8,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ee_u4[] = {
  0x77583f07a2436f02, 0x7754cb2655efdb77, 0xb67cafb547f77777, 0xe2e351776271ba4f, 0xd7c982cdbad8eb9c,
  0x827c64c71b93f87c, 0x0804643d06901649, 0x85cbf75ce30713bf, 0x5d849dd3e25c40c2, 0x0b1f387fc98347e6,
  0x5607d5f37a8fd3fb, 0x02bfcc6811423921, 0x7bbe2ef643006e1f, 0x8432d074a8865771, 0xafffa039e131458a,
  0x272fcd10e2425b7e, 0x656ff08c660b0471, 0xd27fb6a7f76e9f09, 0xf20ff6b47d44368d, 0x7c1b306be7a8f2b7,
  0xd3ad080fe2b7f3d4, 0x801afa30b2c4522c, 0x39d5a5fba1d09f99, 0xa1d7b19bb3de8c45, 0x48570d1d7f9ed56b,
  0x97fe017b2fa598b8, 0x4a38b7b5ac546c11, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0xb79bc03ea0c077ad,
  0x6f9537a94e4a7400, 0xd2b0938c6fa025f7, 0x36ca9d156e97aaa2, 0x637c371e6ca2317f, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x002b25d5b15c7cf2,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ce[] = {
  0x77583f07de7c92df, 0xbbaa6133d94fdb77, 0xed1ba2c5bd77bbbb, 0x9a76eee9898e2af8, 0xa3e8437389b08673,
  0x775a609f193646e4, 0xc4efc201190f41a4, 0x1030a172fdd738c1, 0xb7e6535aa774f897, 0xefbd869b38456986,
  0x47242ac0d4f4dea3, 0x0dc3e057f98d0228, 0xcaee2f77c5de87c0, 0xba88a8432d032910, 0x096dd4f7fd01cf09,
  0x2c11c49cbf344389, 0xba7c25fbbfc90698, 0xf0da3749feda9fdd, 0xf002e771eceffabd, 0x09cee6d7eafa1ffc,
  0x51c6fcf72c05a973, 0xdd91638e5581d4bf, 0xdae1a3afe731602c, 0x5403ff6678ebc019, 0x4e2e0796b735f243,
  0xec9fc55f3bb8a929, 0x81013859bf0312b5, 0x6f00fa8301deb5e7, 0x54dea53929d002de, 0xc24e31be8097ddbe,
  0x54e31dba5eaa8b4a, 0x6ae0f365118bf9b6, 0xc819a7c68b1e7172, 0x70cf4c2b93f75663, 0xc3a4a5b3e04e32c9,
  0xf3d5e792bf734332, 0x00000000073d763f,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ce_u4[] = {
  0x77583f07a243573e, 0x7754cb1e9f6fdb77, 0x7c10ced6d6b77777, 0x9f7f6b7776e0c0b6, 0x9717dd95c7595bf7,
  0x8ea74c13e32560dc, 0x389df8402321e834, 0xe206142e5fbae718, 0x66ff32ec24ee9f12, 0x74b5b00b47031f98,
  0x08e4855818d69bd4, 0x01b87c0aff31a045, 0x32bb8bddf177b37c, 0xa034542196839344, 0x096dc6b7fd01cf09,
  0x2c11c49cbf344389, 0xba7c24c17fc23198, 0x10da3749feda9fdd, 0xe24e425f3ae2faa0, 0xc4361222fb8d1079,
  0x6ba1f6377ea3e12f, 0x7b9633ea5ccf1773, 0xc72ac0ea5fa8e37e, 0xd7f398b0166ec8b1, 0xb33c75e00ced70d1,
  0xcb5b9af921aa01ff, 0xaf9ddc5494a71703, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x9c94e8016f37807d,
  0xdf404beedf2a6f52, 0xdd2f5545a5612718, 0xb288c5fcdb2a718e, 0xe0eee3458df0dc79, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0xc571f3c95fb9a199,
  0x0000000001a49b5e,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbac1f83ea0a1a5fb, 0xeea99b6fbb7edbbb, 0xeabd3ef41f6eeeee, 0xe824bbddb0caf913, 0x759b42acc995de3a,
  0x609f1926eae52c8d, 0x8402321e83485d16, 0x42e5fbae718389df, 0x2ec24ee9f12e2061, 0x8400380a49bf5ff3,
  0xab039db9bd47adfd, 0x815fe63408a11c90, 0x7bbe2efba180370f, 0x8432d0d368865771, 0xdbffa039e136048a,
  0x272fcd10e2425b79, 0xa1fff08c660b0471, 0xa4ff6d4feedd3e12, 0x9c77fd5194586d1b, 0xa4a672fcf127212d,
  0xd656649309cee6d7, 0x07f27a8f2b8f606e, 0x8e40571efd47c1b3, 0xa30b2c4522cd3ad0, 0x9d5ae3bafad801af,
  0x1d7b19bb3de8c453, 0x15c3475fe7b55e9c, 0x13805ecbe9662e12, 0xbd3cf6b58a8d8228, 0xd7b27f157ceee2a4,
  0x9e0404e166fc0c4a, 0x79bc03ea0c077ad7, 0xf9537a94e4a7400b, 0x2b0938c6fa025f76, 0xd9538c76e97aaa2d,
  0xabc6e3cd94462fe6, 0x9d599bf83bb8d165, 0x678138d2861539fa, 0xd30ae4fc07cd0f22, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x0000002001eb62b8,
};

static const uint64_t ur_t828_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0x583f07a26d3f1107, 0xaa6353f70fdb7777, 0xabec1378ffbbbbbb, 0xc4eeeca67d87d932, 0xe9061f99129ae34e,
  0x9dab937fb54e3518, 0xf41a411eb9827c64, 0x738c1c4efc201190, 0x4f8971030a172fdd, 0xce6643fccafda277,
  0xbd47986d833e1c3a, 0x08a11c90ab03fd79, 0x0b80370f815fe634, 0x910caee2f77c5de3, 0xc26383150865a016,
  0xc484b6ffafff4073, 0xcc1608e24e5f9a21, 0xeedd3e12d35fe3a9, 0x94386d1ba4ff6d4f, 0xe24e039d3f717d51,
  0xc4361222fb8d1079, 0xafdd60007ea3e12f, 0xddadcde4933c5dcd, 0x660fe4f51e571ec0, 0xa11c80ae3dfa8f83,
  0x5f4616588a459a75, 0xa73ab5c775f5b003, 0x383af633767bd188, 0x242b868ebfcf6abd, 0x502700bd97d2cc5c,
  0x497a79ed6b151b04, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x16f37807d4180ef5, 0xedf2a6f529c94e80,
  0x5a5612718df404be, 0xcdb2a718edd2f554, 0x8b9357079b288c5f, 0xccdfc1bf411a2c6f, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xde0b9641e792bf73,
  0x0000000000000800,
};

static const uint64_t ur_t828_u1x12_uart0_dual_hw[] = {
  0xeeb07e0f448692df, 0x7754c266ec9fb6ee, 0xd40b8e3a3db77777, 0xa723bdddd697644d, 0xbb928fa10e936029,
  0x8348b919827c6495, 0x718389df8402321e, 0xf12e206142e5fbae, 0x1cc52ff32ec24ee9, 0x6f51d2b6c1d29c0e,
  0x811423921560752a, 0x19b006e1f02bfcc6, 0xf888657717bbe2ef, 0xe784cf7c54219682, 0x21c484b6f52bfe80,
  0x0fcc1608e24e5f9a, 0x3fbb74f84827fff9, 0x9626a1b46e93fdb5, 0x2ac0c43fa8f914ef, 0x80aa0f34be5af1c7,
  0x00676b868ebf9cc5, 0xc90d500ffd9823af, 0x9294e2e07967b6d7, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031,
  0x2de6f00fa8301deb, 0xdbe54dea53929d00, 0xb4ac24e31be8097d, 0xcdb2a7455ba5eaa8, 0x505d8dc79b288c5f,
  0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf,
  0x031bacf820be9e4a,
};

static const uint64_t ur_t828_u1x12_uart0_dual_ee_hw[] = {
  0xeeb07e0f44860aac, 0xeea9964cabdfb6ee, 0x6cf95f6a8feeeeee, 0xc5c6a2eec4e3749f, 0x7964d38275b1d739,
  0x92609f1931c6e5f5, 0xefc201190f41a405, 0x30a172fdd738c1c4, 0xf997612774f89710, 0xfec2c7ce1ff260d1,
  0x485581f57cdea3f4, 0x87c0aff31a04508e, 0xdc5eef8bbd90c01b, 0x62a10cb41d2a2195, 0xdfabffe80e784c51,
  0x1c49cbf344389096, 0x09656fff21f982c1, 0x8dd27fb6a7f76e9f, 0xb7f20ff6b47d4436, 0xd47c1b306be7a8f2,
  0x2cd3ad080fe2b7f3, 0x99801afa30b2c452, 0x4539d5a5fba1d09f, 0x6ba1d7b19bb3de8c, 0xb848570d1d7f9ed5,
  0x1197fe017b2fa598, 0x2a4a38b7b5ac546c, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x00b79bc03ea0c077,
  0xf76f9537a94e4a74, 0xa2d2b0938c6fa025, 0x7f36ca9d156e97aa, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0002bb5756c2fa79,
};

static const uint64_t ur_t828_u1x12_uart0_dual_ce_hw[] = {
  0xeeb07e0f4486c541, 0xeea9963d3edfb6ee, 0xf8219dadad6eeeee, 0x3efed6eeedc1816c, 0x72b047f0ea8c77ef,
  0xd23a9d304f8c9583, 0x60e277e1008c87a0, 0x4b881850b97eeb9c, 0x619bfccbb093ba7c, 0x51d2d6c02d1c0c7e,
  0x1423921560635a6f, 0xf006e1f02bfcc681, 0x10caee2f77c5decd, 0x2680d150865a0e4d, 0x2425b71adff4073c,
  0x60b0471272fcd10e, 0xdba7c24c17ffc87e, 0x010da3749feda9fd, 0x9e24e425f3ae2faa, 0xfc4361222fb8d107,
  0x36bceddadfea3e12, 0xe7b9633ea5ccf177, 0x1c72ac0ea5fa8e37, 0x1d7f398b0166ec8b, 0xfb33c75e00ced70d,
  0x3cb5b9af921aa01f, 0x2af9ddc5494a7170, 0xc2cdf81895af64fe, 0xd4180ef5af3c0809, 0x29c94e8016f37807,
  0x8df404beedf2a6f5, 0xedd2f5545a561271, 0x9b288c5fcdb2a718, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xb0be9e4afdcd0ccb, 0x00000000009baed7,
};

static const uint64_t ur_t828_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbac1f83f6090cf68, 0xdd531a9fb87edbbb, 0x64caafdb04dddddd, 0x8d3b13bbb299f61f, 0xd4eb5bb07e644a6b,
  0xb9827c649dab9347, 0xfc201190f41a411e, 0x0a172fdd738c1c4e, 0x997612774f897103, 0xb067c38759ccc87f,
  0x15607faf37a8f30d, 0xf02bfcc681142392, 0x5eef8bbc617006e1, 0xa10cb402d22195dc, 0xf5ffe80e784c7062,
  0x49cbf344389096df, 0x69afff21f982c11c, 0xd27fb6a7f76e9f09, 0x9fb8bea8ca1c368d, 0x7dc6883cf127212e,
  0xff51f097e21b0911, 0x24cf17736bf2d337, 0x4795c7b0376b7379, 0x8f7ea3e0d983f93d, 0x2291669d6847202b,
  0xdd7d6c00d7d18596, 0xdd9ef46229cead71, 0xaff3daaf4e0ebd8c, 0x65f4b317090ae1a3, 0x5ac546c11409c02f,
  0x8abe7771525e9e7b, 0x70b37e06256bd93f, 0xf50603bd6bcf0202, 0x4a7253a005bcde01, 0x637d012fbb7ca9bd,
  0x3b74bd551695849c, 0xe6ca2317f36ca9c6, 0x430a9cfd4d876371, 0x03e6879133c09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0xaeadc785f4f257ee, 0x0000000000000003,
};

static const uint64_t ur_t828_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xdddd60fc1e890c86, 0xeeeea98d4d00bf6d, 0xcb6e76fdeb85eeee, 0xcd85869d89dd3ac9, 0x72eec6ecde62a10e,
  0x483927304f8c9b0d, 0x8389df8402321e83, 0x2e206142e5fbae71, 0x99f3f32ec24ee9f1, 0x1ff5f606b6709869,
  0x42392156070026f5, 0x006e1f02bfcc6811, 0x0caee2f77c5dfdd6, 0x6d9d150865a04e91, 0x84b6f8ddff4073c2,
  0x1608e24e5f9a21c4, 0xe9f0926dfff90fcc, 0xc368dd27fb6a7f76, 0x390969bb8bea8e43, 0xd8488bee3441e789,
  0xcf9d67fa8f84bf10, 0xadcdbdf33c5dcdae, 0x1ad7f51e5613c0dd, 0x1c80ae71f51f06cc, 0x4616588a459a75a1,
  0x3ab5c029f5b0035f, 0x3af29a76e91193c7, 0x2a968d21cf6abd38, 0x13805ecb8f8c5c24, 0x57ceee2a4a643488,
  0x166fc0c4ad7b27f1, 0xbcc077ad79e0404e, 0xa72452d5e7400b79, 0x4bf98c10b4a9f016, 0x7f36d38c6fa025f7,
  0xfd4176371e6ca231, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0000eba95a82fa79,
};

// t828_u2x8_uart0_noled_pr
static const uint64_t ur_t828_u2x8_uart0_noled[] = {
  0x377777625acdfebe, 0xdddddd2c39cb67d6, 0x49bbfc49a0ef1fdd, 0xe2e847edbbbb49fd, 0xc64eef8fc28b8921,
  0xcffa82567e719827, 0x6a8e526fb74f8497, 0xfd01df2c21e1b46f, 0xb871c72ac0d05fa8, 0xeb0e62c0596532d7,
  0xd9823af47cec21d1, 0x967b720a679500ff, 0xfc0c4ad7b1aa9207, 0x4a0c077ad79ce166, 0xe5e5363385bcde39,
  0xe718df404bee5d54, 0x028ab74bd551696b, 0xf386ed94462fe6d8, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x8749cdaa49e4afdc, 0x000000000000007c,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_u4[] = {
  0xddddd8951762eff6, 0x77774b0e72d9f58d, 0x7f8934175fac4777, 0x08fdb777693fa937, 0xbaf5cc4e634cfc5d,
  0x06879f9c6609f193, 0xe526fb74f8497cff, 0x1df2c21e1b46f6a8, 0x1c72ac0d05fa8fd0, 0xe62c0596532d7b87,
  0x23af47cec21d1eb0, 0xb720a679500ffd98, 0xc4ad7b1aa9207967, 0xc077ad79ce166fc0, 0x5363385bcde394a0,
  0x8df404bee5d54e5e, 0xab74bd551696be71, 0x3cd94462fe6d8028, 0x76d0d1637c5c9ab8, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x662cf257ee686658,
  0x000000003e4f249c,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ee[] = {
  0x1bbbbbb12dec4743, 0x7777774b087764eb, 0xf6a70bfd29b1a56f, 0xa803672e277583ec, 0xda8bc9682ac15a30,
  0x6879f297304f8c9d, 0xa4df6e9f093a5ff0, 0x6b460a4368ded51c, 0x0d6bfa8f2bea20ff, 0x01fc57d47a8f8366,
  0x4616588a459a75a1, 0xb8283a1f7330035f, 0x6a76b591f3c73ab4, 0xd1eb27b55ae875e8, 0x0bd96cb98b848421,
  0x8cd4d2a3608cbff0, 0x166fc0c4ad7b0717, 0xe394a0c077ad79ce, 0xd54e5e5363385bcd, 0x96be718df404bee5,
  0x6d8028ab74bd5516, 0x9c5c9ab8d94462fe, 0xbab31e40eda1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0xe0bf7198b3c95fb9, 0x0000000000000053,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ee_u4[] = {
  0x777776254488ba31, 0xeeeee9610eec9d63, 0xa9c2ff4a56f419ee, 0x00d9cb89dd60fb3d, 0x626c304002968c2a,
  0xdb3e52e609f193bb, 0x9bedd3e1274bfebf, 0x68c1486d1bdaa394, 0xad7f51e57d441fed, 0x3f8afa8f51f06cc1,
  0xc2cb1148b34eb420, 0x050743ee66006be8, 0x4ed6b23e78e75697, 0x3d64f6ab5d0ebd0d, 0x7b2d97317090843a,
  0x9a9a546c1197fe01, 0xcdf81895af60e2f1, 0x7294180ef5af39c2, 0xa9cbca6c670b79bc, 0xd7ce31be8097dcba,
  0xb005156e97aaa2d2, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xa65a65419e4afdcd, 0x00000000000004eb,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba58739245a, 0x3dde17a64efcd19b, 0x79b0ebc6bbc9bbbb, 0x9827c64eed8f6421,
  0x12dbfff504acf98f, 0xd1bdaa3949bedd3e, 0x17093de77fd7a486, 0x9dcdaff3a43fe780, 0x6be9ee580b8ce613,
  0xda8e3956078cfd47, 0x488ccf1cc580bd03, 0x6e39633c75e2e763, 0x9bf0312b5ec1d435, 0x8392b01deb5e7385,
  0xa96ae5297ce16f37, 0xcf3182169dc5fcdb, 0xf9b69c637d012fb8, 0x8d163ce1bb65118b, 0x2b93f75663c81a3f,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0002dd49236a9279,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ce_u4[] = {
  0xeeeeec4a891151eb, 0xddddd2c4c2353ac6, 0x0bea1f1f413590dd, 0xb7a64cf777756ddf, 0x4eec4e76542deb29,
  0xfaff6cfc879827c6, 0x8e526fb74f849c9f, 0x7dc5f5c921b46f6a, 0xdc6883cf002d690c, 0xf51f097e21b09117,
  0x2678bb9b5e76ed6f, 0x67a8e4f4f72c67eb, 0x05c8bd0471cab03d, 0x47cec21d1eb0e62c, 0xa679500ffd99e3af,
  0x5ec6aa481e5add20, 0xeb5e73859bf0312b, 0xce16f378e528301d, 0x012fb975539794d8, 0x2f5545a5af9c637d,
  0xa2317f36c0118edd, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00001baeb5a99506,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ee_ce[] = {
  0x377777625bd8b562, 0xeeeeee9604194dd6, 0xc4771de630cf5a5e, 0xcad9219ac6d6ed08, 0x3bbf4e0d9a5b838b,
  0xe0d0f3e706609f19, 0x3949bedd3e12d9df, 0xbfea8fba86d1bdaa, 0x0347e780160e7ee3, 0x5907e6139dcdafff,
  0x7bf51e560a01bb59, 0x405710fa8f83660f, 0x0b2c4522cd3ad08e, 0x5ae1effad801afa3, 0xe00ced5fd1d4b39d,
  0xf68e899ed57a7075, 0x017b2e1c8c5c2421, 0x0c4ad7b0c8e9a04e, 0x0c077ad79ce166fc, 0x794d8ce16f3796ea,
  0xb3182169bd575539, 0x36d38c6fa025f739, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x4fa4e8cc59e4afdc, 0x0000000000000053,
};

static const uint64_t ur_t828_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xdddddd89512232a8, 0x777774b138937758, 0x63a56c9034bab8f7, 0x41619ea4a137499e, 0xdd3ad1a848b3ea8b,
  0x5fed9fff9304f8c9, 0x949bedd3e12e9fff, 0x7d5194586d1bdaa3, 0x20f3c00b5a460b71, 0xc25f886c2445f71a,
  0x2ee6d7eb3643fd47, 0x0500ddadcdc1f99e, 0x47c1b307bdfa8f2b, 0x669d6847202b887d, 0x6c00d7d185962291,
  0xe8ea59cead70f7fd, 0x6abd383af00676af, 0x462e1210fb4744cf, 0x6474d02700bd970e, 0xce70b37e06256bd8,
  0xb79bcb750603bd6b, 0xdeabaa9cbca6c670, 0xd012fb9cd98c10b4, 0x365118bf9b69c637, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x833c95fb9a19961d, 0x0000000027e166ca,
};

static const uint64_t ur_t828_u2x8_uart0_noled_hw[] = {
  0x1bbbbbb12d66ed1f, 0xeeeeee961ce5b3eb, 0xa4ddfe24d0778fee, 0xf17423f6dddda4fe, 0x09f193ba3017ed8f,
  0x497cffbe059f9c66, 0x46f6a8e526fb74f8, 0xfa8fd01df2c21e1b, 0x2d7b871c72ac0d05, 0x1d1eb0e62c059653,
  0x0ffd9823af47cec2, 0x207967b720a67950, 0x166fc0c4ad7b1aa9, 0xe394a0c077ad79ce, 0xd54e5e5363385bcd,
  0x96be718df404bee5, 0x6d8028ab74bd5516, 0x9f9fd86ed94462fe, 0xa271964b867a615c, 0xb9a19961d252d964,
  0x00471749d453c95f,
};

static const uint64_t ur_t828_u2x8_uart0_noled_ee_hw[] = {
  0xbbbbbb12a2432f02, 0x777774b087764eb1, 0x3da9c2ff4ba56f77, 0x2a00d9cb89dd60fb, 0x4eec71817accd68c,
  0xfd87fcf94b9827c6, 0x472937dba7c24e97, 0x3fdad18290da37b5, 0xd9835afea3cafa88, 0x68407f15f51ea3e0,
  0xd7d185962291669d, 0xad2e0a0e87dccc00, 0x7a1a9dad647cf1ce, 0x08747ac9ed56ba1d, 0xfc02f65b2e62e121,
  0xc5e33534a8d8232f, 0x73859bf0312b5ec1, 0xf378e528301deb5e, 0xb975539794d8ce16, 0x45a5af9c637d012f,
  0xbf9b600a2add2f55, 0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0000b7d843e17d3c,
};

static const uint64_t ur_t828_u2x8_uart0_noled_ce_hw[] = {
  0x377777625acdc49f, 0xdddddd2c39c9d7d6, 0xf0bad28436b600dd, 0x04cfd2eefdddd9ee, 0x827c64eee62486ad,
  0x25d47fdf02cfedf9, 0xa37b5472937dba7c, 0x2e129b8effaf490d, 0x3b9b5ff7256fcf00, 0x10f3dcb01719cc27,
  0x9e8e3956078cfd47, 0x43478cce62c05117, 0xf71cb19e3af173b2, 0x66fc0c4ad7b0758c, 0x394a0c077ad79ce1,
  0x54e5e5363385bcde, 0x6be718df404bee5d, 0xb00463b74bd55169, 0xf3fb0ddb288c5fcd, 0x4e32c970cf4c2b93,
  0x34332c3a4a5b2c94, 0x0310a5ba8a792bf7,
};

// t828_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_t828_u2x8_uart0_noled_ee_ce_hw[] = {
  0x6eeeeec4a890c582, 0xbbbbba589c491fac, 0x53a8af5cd8d583bb, 0xb8cfdea4a1374b8b, 0x93ba76821e96a312,
  0xfec3fe7c66e609f1, 0xa3949bedd3e120b5, 0x717d51fce86d1bda, 0xc6883cf1272128ad, 0x51f097e21b09117d,
  0x678bb9b5d9f3acff, 0xe57a501bb5b9b1f2, 0xaf51f06cc1e45f51, 0xa459a75a11c80af4, 0x9f5b0035f4616588,
  0x6b591f3c73ab5c02, 0xc9ed57a7075e86a7, 0x5b2e62e12108747a, 0x9a546c11409c02f6, 0xfc0c4ad7b3a7b19a,
  0x4a0c077ad79ce166, 0xe5e5363385bcde39, 0xe718df404bee5d54, 0x0463b74bd551696b, 0x8dc79b288c5fcdb0,
  0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0x29a9c0be9e4afdcd, 0x00000000000000a0,
};

// t828_u2x8_uart0_lednop_pr
static const uint64_t ur_t828_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce45eeb, 0x526cfddfebf7d2ee, 0x38fd686d6eeed27f, 0x7c64ee82f4133164,
  0xbeffa82567cf5982, 0xed51ca4df6e9f094, 0x1ed63be5843c368d, 0x1dee38e5581a0bf5, 0x3486731602cb29a2,
  0xfb30475e8f9db05a, 0x7967b61c4d22a01f, 0x37e06256bd89abe0, 0x603bd6bcf020270b, 0x253a005bcde01f50,
  0xd012fbb7ca9bd4a7, 0x4bd551695849c637, 0x5118bf9b654e8ab7, 0x81a3f8d163ce1bb6, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0xa92792bf734332c3, 0x00000000f9003936,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_u4[] = {
  0xbbbbbb12a2ec4743, 0xeeeee961ce45eeb1, 0x367eeff5e33499ee, 0x7eb436b777693fa9, 0x93bb51792d8f583c,
  0xff06879f3d6609f1, 0x51ca4df6e9f094be, 0xd63be5843c368ded, 0xee38e5581a0bf51e, 0x86731602cb29a21d,
  0x30475e8f9db05a34, 0x67b61c4d22a01ffb, 0xe06256bd89abe079, 0x3bd6bcf020270b37, 0x3a005bcde01f5060,
  0x12fbb7ca9bd4a725, 0xd551695849c637d0, 0x18bf9b654e8ab74b, 0x58df1726ae0f3651, 0x7ea75663c81db434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000f93daf7198b3c,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ee[] = {
  0x1bbbbbb12dec53c3, 0xbbbbbba5843b242b, 0xfb26d4f6de2fd377, 0x9e3f672e277583ec, 0xa47e5dd918e26c20,
  0xd0f3ea7a609f193b, 0x49bedd3e122ebfe0, 0xd68c1486d1bdaa39, 0x1ad7f51e57dd41fe, 0x03f8afbaf51f06cc,
  0x8c2cb1148b34eb42, 0x7400743ee66006be, 0xa9da0fa3278e7569, 0x1a439ed56ba1d7a1, 0xbd96cb98b848582d,
  0x14cf2a3608cbff00, 0xcdf81895af60e2e4, 0x180ef5af3c0809c2, 0xc94e8016f37807d4, 0xf404beedf2a6f529,
  0xd2f5545a5612718d, 0x94462fe6d953a2ad, 0xda1a2c79c5c9ab8d, 0xa615c9fbab31e40e, 0x2d964a271964b867,
  0x3c95fb9a19961d25, 0x0000053e371f198b,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x777776254488a493, 0x777774b087648563, 0x64da9edb377a7ef7, 0xc7ece5c4eeb07d9f, 0x3720a68a768d8413,
  0xb67d4f4c13e32774, 0x37dba7c245d7fd7f, 0xd18290da37b54729, 0x5afea3cafba83fda, 0x7f15f75ea3e0d983,
  0x85962291669d6840, 0x800e87dccc00d7d1, 0x3b41f464f1cead2e, 0x4873daad743af435, 0xb2d97317090b05a3,
  0x99e546c1197fe017, 0xbf0312b5ec1c5c82, 0x01deb5e781013859, 0x29d002de6f00fa83, 0x8097ddbe54dea539,
  0x5eaa8b4ac24e31be, 0x88c5fcdb2a7455ba, 0xa2c6f8b9357079b2, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00004ebef0565419,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ce[] = {
  0xbbbbb12d41ec53c3, 0xeeee961ce45c6b1b, 0xdfa5d9f8ef5e9eee, 0xc7d69bbba913ebf6, 0xba47e5d8338e30bf,
  0x0d0f3f52a609f193, 0x949bedd3e1231ffe, 0xeffac1f86d1bdaa3, 0xfff9f9e00583813c, 0x01759309cee6d7b1,
  0xac0f59ea3f493dcb, 0x9cc580af7dad1c72, 0xf1d7a3e76c168d21, 0xb7071348a807fecc, 0x06256bd89abe0796,
  0xbd6bcf020270b37e, 0xa005bcde01f50603, 0x2fbb7ca9bd4a7253, 0x551695849c637d01, 0x17f36ca9c63b74bd,
  0x6af2e4d5c1e6ca23, 0xa75663c81db43459, 0x99e04e34a1854e7e, 0xf4c2b93f01f343c8, 0x4a5b3e04e32c970c,
  0x16792bf734332c3a, 0x000000006eb99233,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x777776254488ba31, 0xeeeee962612c9d63, 0xa9c2ff4a56f419ee, 0x4615006eeeeadbbd, 0xc9ddb1361820014b,
  0xff5fed9f297304f8, 0x51ca4df6e9f093a5, 0xfbb8beb924368ded, 0xfb8d1079e005ad22, 0xfea3e12fc4361222,
  0xb2678bb9b5f1035d, 0xd67a8fd24f72c67e, 0x602bdf6b471cab03, 0xe8f9db05a3486731, 0xc4d22a01ffb33c75,
  0x5af626af81e5adc1, 0xf3c0809c2cdf8189, 0x6f37807d4180ef5a, 0xdf2a6f529c94e801, 0xa5612718df404bee,
  0xdb2a718edd2f5545, 0xb9357079b288c5fc, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xba65a65419e4afdc, 0x000000000000006e,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xeeeeeee96041890a, 0x188ed9305e34f685, 0xde2f413358dadda1, 0x277699a33fa68ecf,
  0xf8343cff57cc13e3, 0x8e526fb74f84a397, 0xeffaa3eea1b46f6a, 0x8d35f9e005838958, 0x5641f984e7736b86,
  0xdefd4795ce206ed6, 0x9015e49ea3e0d983, 0xc2cb1148b34eb423, 0x56b8887eb6006be8, 0x78033b60b4621ce7,
  0xe28e4167b55e9c1d, 0x017b2e1c8c5c2420, 0x312b5ec326b1204e, 0xeb5e781013859bf0, 0xe8016f378392b01d,
  0x7862b2a77165397c, 0xf404beefacc6085a, 0x8d94462fe6da718d, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0x8b3c95fb9a19961d, 0x000000029a6a9d19,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x1bbbbbb12a244511, 0xeeeeee9627127eeb, 0xcc7419ad0b8f7e9e, 0x21034bd49426e933, 0x9dd57ccfa0d962b2,
  0xebfdb3fbb5304f8c, 0x72937dba7c2463ff, 0x2faa328b0da37b54, 0x441e78016b48a7ae, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0xe5f01bb5b9b83f33, 0x51f06cc1ef7ea3ca, 0x59a75a11c80afe4f, 0x5b0035f4616588a4,
  0xe46d7c73ab5c263f, 0xdaaf4e0ebc019db9, 0xc8c5c242d6233493, 0x1914d204e017b2e1, 0x809c2cdf81895af6,
  0x16f37980ef5af3c0, 0xe02d4e48a5abce80, 0x4bee97f318216953, 0x4462fe6da718df40, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000004fc085b2a0c,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_hw[] = {
  0x1bbbbbb12d66e614, 0xeeeeee961ce45eeb, 0x526cfddfebf7d2ee, 0xf8fd686d6eeed27f, 0x27c64ee8dbc77af4,
  0x52fbfef8167cf598, 0x37b5472937dba7c2, 0xd47b58ef9610f0da, 0x8877b8e39560682f, 0x68d219cc580b2ca6,
  0x7fecc11d7a3e76c1, 0x81e59ed871348a80, 0x2cdf81895af626af, 0x4180ef5af3c0809c, 0x9c94e8016f37807d,
  0xdf404beedf2a6f52, 0xdd2f5545a5612718, 0xd94462fe6d953a2a, 0x867a615c9f9fd86e, 0xd252d964a271964b,
  0x5453c95fb9a19961, 0x000000000023880e,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_ee_hw[] = {
  0x777776254486fc3b, 0x777774b087648563, 0x3ec9b53db7a6ef77, 0x278fd9cb89dd60fb, 0x9ddb826eb4a71b08,
  0xfb0ff9f53d304f8c, 0x8e526fb74f848baf, 0x7fb5a30521b46f6a, 0xb306b5fd4795f750, 0xd080fe2beebd47c1,
  0xafa30b2c4522cd3a, 0x5a5d001d0fb99801, 0xe86a7683e8c9e39d, 0x0b4690e7b55ae875, 0xc02f65b2e62e1216,
  0xb90533ca8d8232ff, 0x70b37e06256bd838, 0xf50603bd6bcf0202, 0x4a7253a005bcde01, 0x637d012fbb7ca9bd,
  0xab74bd551695849c, 0xf365118bf9b654e8, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x2617d3c95fb9a199, 0x000000000005bf79,
};

static const uint64_t ur_t828_u2x8_uart0_lednop_ce_hw[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbbba587390ca, 0xef0b75f5a707df1f, 0xd88036decfdddd9e, 0x9827c64eed8f6434,
  0xc25dd7fdf02cfc7b, 0xda37b5472937dba7, 0x02e129c4effaf490, 0x73b9b5fe7487fcf0, 0x7c173dcb01719cc2,
  0xc9e8e3956078cfd4, 0x52d1c829cc580a37, 0x5dc72c678ebc5ced, 0xb37e06256bd83a90, 0x0603bd6bcf020270,
  0x7253a005bcde01f5, 0x7d012fbb7ca9bd4a, 0x74bd551695849c63, 0xca2317f36ca9c63b, 0x33d30ae4fcfec376,
  0x9296cb25138cb25c, 0xa29e4afdcd0ccb0e, 0x00000000018853eb,
};

// t828_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x8dddddd895121911, 0x7777774b1389fa75, 0xd4c8fd45c5fb1c77, 0xd331a7a9284dd2e2, 0x64eeabe67da58b92,
  0xffd87fcf8689827c, 0xa8e526fb74f84ac7, 0xdc5f547f3a1b46f6, 0x71a20f3c49c848e0, 0xd47c25f886c2445f,
  0x99e2ee6d74a8b91f, 0xf2b09e06ed6e6c7c, 0x7fa8f83660f22fa8, 0xa459a75a11c80ac2, 0x1f5b0035f4616588,
  0xd07d193c73ab5c20, 0x73daaf4e0ebd0d4e, 0xd97317090b05a348, 0xf2a3608a04e017b2, 0xc0c4ad7b3a7a414c,
  0x77ad79e0404e166f, 0x7400b79bc03ea0c0, 0x25f76f9537a94e4a, 0xaaa2d2b0938c6fa0, 0x62fe6d9538c76e97,
  0x39fa82ec6e3cd944, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000a024a7185f4,
};

static const uint64_t ur_t828_u2x8_uart0_dual[] = {
  0xb77777583ea232a8, 0xbbbbbaa6133666fd, 0x3228efc8d86d015b, 0xa3751c7777419d0b, 0x921723ad1ab59f14,
  0x1e834867c9827c64, 0xae718389df840232, 0xe9f12e206142e5fb, 0x939be77e65dc5f4e, 0xcdea3afbd8145383,
  0xd022847242ac0e3d, 0xf43e00dc3e057f98, 0x7bd10caee2f77c5d, 0x39e130df8a8432d0, 0x8871212dbc7bffa0,
  0xf0530582389397e6, 0xa4df6e9f094e3fe5, 0xbe5abfc368ded51c, 0x8e5581a43f51c453, 0xc580bf8737c907e3,
  0xebc8b7659e8ded1c, 0xa4a563dadc72c608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x0b79bc03ea0c077a,
  0x76f9537a94e4a740, 0x2d2b0938c6fa025f, 0xf36ca9d156e97aaa, 0x62e4d5c1e6ca2317, 0x592e19e985727e7f,
  0x66587494b67c09c6, 0xa71b2a0cf257ee68, 0x00000000000065bf,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr[] = {
  0xeeeeeb07de7cbf3e, 0x777754c266245fb6, 0xf7a718929da52b77, 0x2cc8dc1dddd06742, 0x85ca711623add770,
  0xa0d212a2609f1924, 0x9c60e277e1008c87, 0x7c4b881850b97eeb, 0x9cdf3bf329ad53ba, 0x6f51d7dec0a29c1c,
  0x81142392156071ee, 0x8d6006e1f02bfcc6, 0xef4432bb8bddf177, 0xe784c37e2a10cb41, 0x21c484b6f01bfe80,
  0x834c1608e24e5f9a, 0xa4df6e9f091ebfe4, 0xbe5abfc368ded51c, 0x1cab03487ea3dc33, 0xc580bf8730f84d47,
  0xebc8b7613e8d059c, 0xa4a561a4dc72c608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x5e7400b79bcc077a,
  0x0b4a9f016a72452d, 0x637d012fba5fe281, 0xe0f365118bf9b69c, 0x19a7c68b1e71726a, 0xcf4c2b93f75663c8,
  0xa4a5b3e04e32c970, 0xd5e792bf734332c3, 0x00000000c409c5f3,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeb07a2e7c1a4e, 0x77754c266ccdfb6e, 0x51df91b0da02b777, 0xea38eeee833a1664, 0x935dc2d267b82946,
  0x219f2609f192485c, 0x0e277e1008c87a0d, 0xb881850b97eeb9c6, 0xf3bf329ad53ba7c4, 0x1d7dec0a29c1c9cd,
  0x42392156071ee6f5, 0x006e1f02bfcc6811, 0x8657717bbe2efa1f, 0x986fc54219683de8, 0x9096de3dffd01cf0,
  0x82c11c49cbf34438, 0xedd3e129c7fc9069, 0x57f86d1bdaa3949b, 0xb03487ea388a77cb, 0x17f0e6f920fc71ca,
  0x16ecb3d1bda398b0, 0xac7b5b8e58c11d79, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x37807d4180ef5af3,
  0x2a6f529c94e8016f, 0x612718df404beedf, 0x953a2add2f5545a5, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x6573d5e792bf7343, 0x0000000000029275,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ee[] = {
  0xeeeeeb07de7cd0e3, 0x777754cb26931fb6, 0xd9c482b7ef475f77, 0x2722e3517760dd89, 0xc6d0535f2253ecb1,
  0x1fe609f193c96e55, 0x9df8402321e8348e, 0x06142e5fbae71838, 0xfcca6b54ee9f12e2, 0xfd850f9c3a7e6b1f,
  0x485581c729bd47ea, 0x87c0aff31a04508e, 0xdc5eef8bbef0c01b, 0x22a10cb43f722195, 0xb74b5ff4073c267f,
  0x471272fcd10e2425, 0xf094aeff241a60b0, 0x368ded51ca4df6e9, 0xf2b32a0ff6b4738c, 0xa3d47c1b30698fa8,
  0x522cd3ad080fe2be, 0x7199801afa30b2c4, 0x8fa039d5a5e711d0, 0xd56ba1d794d3b5ac, 0x18b848421d189f9e,
  0xe87dcbff00bd971f, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0xcde5ba8301deb5e7, 0xca9bd4a7253a005b,
  0xf70ea2810b4e02f7, 0x317f36d38c6fa025, 0x63ce2e4d5c1e6ca2, 0x7eeacc790334f8d1, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x190a69ce7abcf257,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ee_u4[] = {
  0xeeeeeb07a2436f02, 0xeeeea9964cabdfb6, 0x9f6cf95f6a8feeee, 0x39c5c6a2eec4e374, 0xf9af93059b75b1d7,
  0x9304f8c98e3727f0, 0x7e1008c87a0d202c, 0x850b97eeb9c60e27, 0xccbb093ba7c4b881, 0xf6163e70ff93068f,
  0x42ac0fabe6f51fa7, 0x3e057f98d0228472, 0xe2f77c5dec8600dc, 0x150865a0e9510cae, 0xfd5fff4073c2628b,
  0xe24e5f9a21c484b6, 0x12cadfe118cc1608, 0xd1bdaa3949bedd3e, 0x56fe41fed68fa886, 0x7a8f83660d7cf51e,
  0x459a75a101fc56fe, 0xf330035f4616588a, 0x88a73ab4bf743a13, 0xad743af633767bd1, 0x17090ae1a3aff3da,
  0x8232ffc02f65f4b3, 0xc5494716f6b58a8d, 0x1895af64fe2af9dd, 0xf5af3c0809c2cdf8, 0x8016f37807d4180e,
  0xbeedf2a6f529c94e, 0x545a5612718df404, 0x2fe6d953a2add2f5, 0x1a2c6f86e3cd9446, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000564bab62b8f,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeeb07de7c92df, 0x777754c267b29fb6, 0xf1da37458b7aef77, 0xe734edddd3131c55, 0xc947d086e713610c,
  0x48eeb4c13e326c8d, 0x8389df8402321e83, 0x2e206142e5fbae71, 0x0d6fcca6b54ee9f1, 0x47df7b0d36708ad3,
  0x508e485581a9e9bd, 0x801b87c0aff31a04, 0x2195dc5eef8bbd0f, 0x13751150865a0652, 0x1212dba9effa039e,
  0x30582389397e6887, 0xfb74f84bf77f920d, 0x57be1b46f6a8e526, 0xff9e005cee3d9dff, 0x2e6139dcdafd5f43,
  0x97ea38df9ee580b5, 0x059bb22c71cab03a, 0x033b5c3475fce62c, 0x486a807feccf1d78, 0x2529c5c0f2d6e6be,
  0x56bd93f8abe77715, 0xbcf020270b37e062, 0x5bcde01f50603bd6, 0xb7ca9bd4a7253a00, 0x695849c637d012fb,
  0x36ca9c63b74bd551, 0x2e4d5c1e6ca2317f, 0xcc790334f8d163ce, 0x592e19e985727eea, 0x66587494b67c09c6,
  0xc7fe7abcf257ee68, 0x000000000000e7ae,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeeb07a243573e, 0xeeeea9963d3edfb6, 0x6cf8219dadad6eee, 0xef3efed6eeedc181, 0xb92e2fbb2b8eb2b7,
  0x691d4e9827c64ac1, 0x30713bf0804643d0, 0x25c40c285cbf75ce, 0x30cdfe65d849dd3e, 0xa8e96b60168e063f,
  0x8a11c90ab031ad37, 0xf80370f815fe6340, 0x88657717bbe2ef66, 0x134068a8432d0726, 0x1212db8d6ffa039e,
  0x30582389397e6887, 0xfb74f84982ff8463, 0x54021b46f6a8e526, 0x0f3c49c84be75c5f, 0x25f886c2445f71a2,
  0xee6d743ec6efd47c, 0x6fcf72c67d4b99e2, 0x1638e5581d4bf51c, 0x1a3afe731602cdd9, 0x3ff6678ebc019dae,
  0xe0796b735f243540, 0xfc55f3bb8a9294e2, 0x13859bf0312b5ec9, 0x0fa8301deb5e7810, 0xea53929d002de6f0,
  0xe31be8097ddbe54d, 0x31dba5eaa8b4ac24, 0x8f365118bf9b654e, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x6bd8ae3e792bf734,
  0x0000000000003493,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ee_ce[] = {
  0x7777583ea0a1a5fb, 0xdddd5336df76fdb7, 0x27d57a7de83edddd, 0x75d04977bb6195f2, 0x1aeb368559932bbc,
  0x2cc13e324dd5ca59, 0xbf0804643d0690ba, 0xc285cbf75ce30713, 0xe65d849dd3e25c40, 0xfb08007014937ebf,
  0x2156073b737a8f5b, 0x1f02bfcc68114239, 0xe2f77c5df743006e, 0x150865a1a6d10cae, 0xf3b7ff4073c26c09,
  0xe24e5f9a21c484b6, 0x2543ffe118cc1608, 0xa37b5472937dba7c, 0x25b38effaa328b0d, 0xdaf494ce5f9e24e4,
  0x0ddacacc926139dc, 0x3660fe4f51e571ec, 0x5a11c80ae3dfa8f8, 0x35f4616588a459a7, 0x8a73ab5c775f5b00,
  0xd383af633767bd18, 0xc242b868ebfcf6ab, 0x4502700bd97d2cc5, 0x5497a79ed6b151b0, 0x895af64fe2af9ddc,
  0x5af3c0809c2cdf81, 0x016f37807d4180ef, 0xeedf2a6f529c94e8, 0x45a5612718df404b, 0xfcdb2a718edd2f55,
  0x2cb578dc79b288c5, 0x3f53ab337f07771a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x571f3c95fb9a1996, 0x0000000004003d6c,
};

static const uint64_t ur_t828_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeb07a26d3f1107, 0x7754c6a7ee1fb6ee, 0x6557d826f1ff7777, 0x9d89ddd94cfb0fb2, 0x31d20c3f322535c6,
  0xc93b5726ff6a9c6a, 0x21e834823d7304f8, 0xbae718389df84023, 0xee9f12e206142e5f, 0x759ccc87f995fb44,
  0xf37a8f30db067c38, 0x68114239215607fa, 0xc617006e1f02bfcc, 0x2d22195dc5eef8bb, 0xe784c7062a10cb40,
  0x4389096dff5ffe80, 0x53982c11c49cbf34, 0x937dba7c25a6bfc7, 0xaa32870da37b5472, 0x0f3c49c073a7ee2f,
  0x25f886c2445f71a2, 0xb9b5fbac000fd47c, 0xd81bb5b9bc92678b, 0xf06cc1fc9ea3cae3, 0x4eb4239015c7bf51,
  0x006be8c2cb1148b3, 0x3114e756b8eebeb6, 0x57a7075ec66ecf7a, 0x8b848570d1d7f9ed, 0x608a04e017b2fa59,
  0xb8a92f4f3dad62a3, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0xd002de6f00fa8301, 0x97ddbe54dea53929,
  0xaa8b4ac24e31be80, 0x8bf9b654e31dba5e, 0x8df1726ae0f36511, 0x9d599bf837e82345, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x001bc172c83cf257,
  0x0000000000000001,
};

static const uint64_t ur_t828_u2x8_uart0_dual_hw[] = {
  0xddddd60f448692df, 0xeeeea984cdd93f6d, 0x9ba8171c747b6eee, 0x534e477bbbad2ec8, 0x2b77251f421d26c0,
  0x3d0691723304f8c9, 0x5ce30713bf080464, 0xd3e25c40c285cbf7, 0x1c398a5fe65d849d, 0x54dea3a56d83a538,
  0x8d022847242ac0ea, 0xde33600dc3e057f9, 0x05f110caee2f77c5, 0x01cf099ef8a8432d, 0x344389096dea57fd,
  0xf21f982c11c49cbf, 0xca4df6e9f0904fff, 0x9df2c4d4368ded51, 0x38e5581887f51f22, 0x98b01541e697cb5e,
  0x75e00ced70d1d7f3, 0xdaf921aa01ffb304, 0x7152529c5c0f2cf6, 0x06256bd93f8abe77, 0xbd6bcf020270b37e,
  0xa005bcde01f50603, 0x2fbb7ca9bd4a7253, 0x551695849c637d01, 0x8bf9b654e8ab74bd, 0xe7ea0bb1b8f36511,
  0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000063759f0417d3,
};

static const uint64_t ur_t828_u2x8_uart0_dual_ee_hw[] = {
  0xddddd60f44860aac, 0xdddd532c9957bf6d, 0x3ed9f2bed51fdddd, 0x738b8d45dd89c6e9, 0xeaf2c9a704eb63ae,
  0x0b24c13e32638dcb, 0x89df8402321e8348, 0x206142e5fbae7183, 0xa3f32ec24ee9f12e, 0xe9fd858f9c3fe4c1,
  0x1c90ab03eaf9bd47, 0x370f815fe63408a1, 0x2bb8bddf177b2180, 0xa2c54219683a5443, 0x2dbf57ffd01cf098,
  0x82389397e6887121, 0x3e12cadffe43f305, 0x86d1bdaa3949bedd, 0x1e56fe41fed68fa8, 0xfe7a8f83660d7cf5,
  0x8a459a75a101fc56, 0x13f330035f461658, 0xd188a73ab4bf743a, 0xdaad743af633767b, 0xb317090ae1a3aff3,
  0x8d8232ffc02f65f4, 0xddc5494716f6b58a, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0x4e8016f37807d418,
  0x04beedf2a6f529c9, 0xf5545a5612718df4, 0x462fe6d953a2add2, 0x539fa82ec6e3cd94, 0xf313ffbc3def2861,
  0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000576aead85f,
};

static const uint64_t ur_t828_u2x8_uart0_dual_ce_hw[] = {
  0xddddd60f4486c541, 0xdddd532c7a7dbf6d, 0xd9f0433b5b5adddd, 0xde7dfdaddddb8302, 0x06e5608fe1d518ef,
  0x41a4753a609f192b, 0x38c1c4efc201190f, 0xf8971030a172fdd7, 0xfcc337f997612774, 0xdea3a5ad805a3818,
  0x022847242ac0c6b4, 0x9be00dc3e057f98d, 0x9a2195dc5eef8bbd, 0x784d01a2a10cb41c, 0x1c484b6e35bfe80e,
  0xfcc1608e24e5f9a2, 0x6fb74f84982fff90, 0xf54021b46f6a8e52, 0x20f3c49c84be75c5, 0xc25f886c2445f71a,
  0x2ee6d79dbb5bfd47, 0xc6fcf72c67d4b99e, 0x91638e5581d4bf51, 0xe1a3afe731602cdd, 0x03ff6678ebc019da,
  0x2e0796b735f24354, 0x9fc55f3bb8a9294e, 0x013859bf0312b5ec, 0x00fa8301deb5e781, 0xdea53929d002de6f,
  0x4e31be8097ddbe54, 0xe31dba5eaa8b4ac2, 0xb8f365118bf9b654, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xdaf617d3c95fb9a1, 0x0000000000001375,
};

static const uint64_t ur_t828_u2x8_uart0_dual_ee_ce_hw[] = {
  0x7777583f6090cf68, 0xbbbaa6353f70fdb7, 0x3ec9955fb609bbbb, 0xd71a7627776533ec, 0x8fa9d6b760fcc894,
  0x3d7304f8c93b5726, 0x9df8402321e83482, 0x06142e5fbae71838, 0xff32ec24ee9f12e2, 0x1b60cf870eb39990,
  0x242ac0ff5e6f51e6, 0xc3e057f98d022847, 0xb8bddf1778c2e00d, 0xc542196805a4432b, 0xbfebffd01cf098e0,
  0x389397e68871212d, 0x12d35ffe43f30582, 0xd1bdaa3949bedd3e, 0x25d3f717d5194386, 0x222fb8d1079e24e4,
  0x66ffea3e12fc4361, 0x6f2499e2ee6d7e5a, 0x27a8f2b8f606ed6e, 0x0571efd47c1b307f, 0xb2c4522cd3ad08e4,
  0xae3bafad801afa30, 0xb19bb3de8c4539d5, 0x3475fe7b55e9c1d7, 0x05ecbe9662e1215c, 0xcf6b58a8d8228138,
  0x27f157ceee2a4bd3, 0x404e166fc0c4ad7b, 0xc03ea0c077ad79e0, 0x37a94e4a7400b79b, 0x938c6fa025f76f95,
  0x38c76e97aaa2d2b0, 0x6e3cd94462fe6d95, 0x8d2861539fa9b0ec, 0x4fc07cd0f2267813, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x0075d5b8f0be9e4a,
};

static const uint64_t ur_t828_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xdbbbbbac1e890c86, 0xdddddd531a9a017e, 0x9396dcedfbd70bdd, 0x1d9b0b0d3b13ba75, 0x1ae5dd8dd9bcc542,
  0x0690724e609f1936, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0xd333e7e65d849dd3, 0xea3febec0d6ce130,
  0x22847242ac0e004d, 0xac00dc3e057f98d0, 0x22195dc5eef8bbfb, 0x84db3a2a10cb409d, 0x89096df1bbfe80e7,
  0x982c11c49cbf3443, 0xedd3e124dbfff21f, 0xc8786d1bdaa3949b, 0xf127212d37717d51, 0xe21b09117dc6883c,
  0xb5d9f3acff51f097, 0x1bb5b9b7be678bb9, 0xd9835afea3cac278, 0xb4239015ce3ea3e0, 0x6be8c2cb1148b34e,
  0x78e756b8053eb600, 0xa7075e534edd2232, 0x848552d1a439ed57, 0x9102700bd971f18b, 0xfe2af9ddc5494c86,
  0x09c2cdf81895af64, 0x6f37980ef5af3c08, 0x02d4e48a5abce801, 0xbee97f318216953e, 0x462fe6da718df404,
  0x539fa82ec6e3cd94, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000001d752b505f,
};

// t828_u2x12_uart0_noled_pr
static const uint64_t ur_t828_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee96187284ac6, 0x524532787f588eee, 0xd7f177e6eee91016, 0x193bb0bd68f1e820,
  0x3fea0959fd2a609f, 0xfe6d4faadd3e1205, 0x5843c368ded51ca4, 0x5581a0bf51fa03be, 0x80b2ca65af70e38e,
  0xe8f9d843a3d61cc5, 0x14cf2a01ffb30475, 0xaf6355240f2cf6e4, 0xf5af39c2cdf81895, 0x670b79bc7294180e,
  0x8097dcbaa9cbca6c, 0x97aaa2d2d7ce31be, 0x288c5fcdb005156e, 0x40d1fc68b1e70ddb, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x5493c95fb9a19961, 0x000000003e41539b,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_u4[] = {
  0xbbb1277517621391, 0xbbba5861ca12b1bb, 0x8a64f0ffa5d19bbb, 0xe2efcdddd2202ca4, 0xee841e4417f251af,
  0xc1a1e7f4a9827c64, 0x6d4faadd3e12053f, 0x43c368ded51ca4fe, 0x81a0bf51fa03be58, 0xb2ca65af70e38e55,
  0xf9d843a3d61cc580, 0xcf2a01ffb30475e8, 0x6355240f2cf6e414, 0xaf39c2cdf81895af, 0x0b79bc7294180ef5,
  0x97dcbaa9cbca6c67, 0xaaa2d2d7ce31be80, 0x8c5fcdb005156e97, 0x2c6f8b9357079b28, 0x3f53ab31e40eda1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0007c9938b8cc59e,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ee[] = {
  0xdddd893bb7b15a91, 0xddddd2c41961558d, 0xd3b1e4cc19ee2fdd, 0x867051b4dde0f423, 0x8bd3aa2cbb64168a,
  0x79f60b304f8c9dd6, 0xd56e9f091c3ff068, 0xb46f6a8e527f36a7, 0x95f5107fb5a30521, 0x3d47c1b306b5fd47,
  0x22cd3ad080fe2bea, 0xb99801afa30b2c45, 0xf9e39d5a5c141d0f, 0xad743af4353b5ac8, 0xc5c24210e8f593da,
  0xb0465ff805ecb65c, 0x56bd838bc66a6951, 0x3bd6bce70b37e062, 0xb19c2de6f1ca5060, 0xfa025f72eaa72f29,
  0xba5eaa8b4b5f38c6, 0x6ca2317f36c01455, 0x76d0d163ce2e4d5c, 0x3d30ae4fdd598f20, 0x296cb25138cb25c3,
  0x59e4afdcd0ccb0e9, 0x00000029f0e148cc,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ee_u4[] = {
  0xeeec49dd44889202, 0xeeee9620cb0aac6e, 0x9d8f2678bf4ddeee, 0x33828da6ef07a11e, 0x36c564505320b454,
  0xcfb059827c64eeb3, 0xab74f848e1ffaff6, 0xa37b547293f9b53e, 0xafa883fdad18290d, 0xea3e0d9835afea3c,
  0x1669d68407f15f51, 0xccc00d7d18596229, 0xcf1cead2e0a0e87d, 0x6ba1d7a1a9dad647, 0x2e12108747ac9ed5,
  0x8232ffc02f65b2e6, 0xb5ec1c5e33534a8d, 0xdeb5e73859bf0312, 0x8ce16f378e528301, 0xd012fb975539794d,
  0xd2f5545a5af9c637, 0x65118bf9b600a2ad, 0x43458df1726ae0f3, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18,
  0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x33c95fb9a19961d2, 0x0000009d720e4ca8,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ce[] = {
  0xdd893bb507b15a91, 0xddd2c30e40158ddd, 0x622915a9ee3bdddd, 0x7e2f7777c2dfb133, 0x5a2f4e2b72ef31a8,
  0xa1e7d7dcc13e3277, 0x9f55ba7c251effc1, 0x86d1bdaa3949fcda, 0x002c1cd28effac1f, 0x4e7736b85a31ffcf,
  0x51c9e9ee580bac98, 0x917a08e395607acf, 0x9d843a3d61cc580b, 0xf2a01ffb33c75e8f, 0x8d54903cb5ba414c,
  0xbce70b37e06256bd, 0x2de6f1ca50603bd6, 0x5f72eaa72f29b19c, 0xaa8b4b5f38c6fa02, 0x62fe6d80231dba5e,
  0x2d5e5c9ab83cd944, 0xd4eacc7903b6868b, 0x133c09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0x62cf257ee6866587, 0x00000000375d7646,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd4488d562, 0xdddd2c70bbd3ac6e, 0x3f316226c695bddd, 0x53636f7774da48b6, 0x774c8b4ea0b61890,
  0xd7fb67cbacc13e32, 0xda9f55ba7c25f3bf, 0x2486d1bdaa3949fc, 0x3c00b5a431f717d7, 0xf886c2445f71a20f,
  0x6d79dbb5bfd47c25, 0xd3dcb19fac99e2ee, 0x11c72ac0f59ea393, 0x747ac398b01722f4, 0x3ff6678ebd1f3b08,
  0x20796b748299e540, 0x166fc0c4ad7b1aa9, 0xe394a0c077ad79ce, 0xd54e5e5363385bcd, 0x96be718df404bee5,
  0xdb00463b74bd5516, 0xb9357079b288c5fc, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xbaf3e65419e4afdc, 0x000000000000006e,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba58b8112158, 0x19b64c178d3da17b, 0xe2f412443c4eef8b, 0x77699a33fa68ecfd,
  0x8343cff57cc13e32, 0xb53eab74f84a397f, 0x750da37b547293f9, 0x002c1cfdc77fd51f, 0x273b9b5ffe068fcf,
  0xac140376b2b20fcc, 0xf51f06cc1ef7ea3c, 0x459a75a11c80ae21, 0xf5b0035f4616588a, 0xbfa3a9673ab5c3df,
  0x3daaf4e0ebc019da, 0x3918b84843ed1d13, 0x6191d3409c02f65c, 0xaf39c2cdf81895af, 0xc2de6f2dd4180ef5,
  0xd37aaeaa72f29b19, 0xdf404bee73663042, 0xb8d94462fe6da718, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x98b3c95fb9a19961, 0x0000000029a6a9d1,
};

static const uint64_t ur_t828_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7777624eea244511, 0xddddd2c4680fdd63, 0x7e8335a171efd3dd, 0x034b2caf17ba36c1, 0xd57ccfa0d962b221,
  0xfdb3fbb5304f8c9d, 0x9f55ba7c2463ffeb, 0x86d1bdaa3949fcda, 0xb5a4287717d51945, 0xc2445f71a20f3c00,
  0xdf4a8fd47c25f886, 0xb9b83f33c5dcdaec, 0xf7bf51e573701bb5, 0xe405698fa8f83660, 0x30b2c4522cd3ad08,
  0xab5c2d7fad801afa, 0xbc019d843a313e73, 0x82a3c673daaf4e0e, 0x00bd970e462e1214, 0x1895af61921a9027,
  0x580ef5af39c2cdf8, 0x7294be70b79bc1c9, 0xc10b4ee2fe6dd4b5, 0x4e31be8097dc6798, 0x357079b288c5fcdb,
  0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2,
  0xccb0e9296cf8138c, 0x10b65419e4afdcd0, 0x00000000000009f8,
};

static const uint64_t ur_t828_u2x12_uart0_noled_hw[] = {
  0xeeeec49ddacdfcd7, 0xeeeee96187284ac6, 0x524532787f588eee, 0xd7f177e6eee91016, 0xf8c9dddb6d4f71d8,
  0x0a7fdf02cfe95304, 0x49fcda9f55ba7c24, 0x7cb08786d1bdaa39, 0x1cab03417ea3f407, 0x8b016594cb5ee1c7,
  0xebd1f3b08747ac39, 0xc8299e5403ff6608, 0x2b5ec6aa481e59ed, 0x1deb5e73859bf031, 0xd8ce16f378e52830,
  0x7d012fb975539794, 0xdd2f5545a5af9c63, 0xb65118bf9b600a2a, 0xe19e985727e7f61b, 0x7494b659289c6592,
  0x7514f257ee686658, 0x000000000004712a,
};

static const uint64_t ur_t828_u2x12_uart0_noled_ee_hw[] = {
  0xeeec49dd44860cc5, 0xeeee9620cb0aac6e, 0x3d3b1e4cf717eeee, 0xa867051b4dde0f42, 0xbb06c3769ba64168,
  0x61ff3ec16609f193, 0x6a7d56e9f091c3ff, 0x521b46f6a8e527f3, 0xd4795f5107fb5a30, 0xbea3d47c1b306b5f,
  0xc4522cd3ad080fe2, 0xd0fb99801afa30b2, 0xac8f9e39d5a5c141, 0x3daad743af4353b5, 0x65cc5c24210e8f59,
  0x951b0465ff805ecb, 0x06256bd838bc66a6, 0x0603bd6bce70b37e, 0xf29b19c2de6f1ca5, 0x8c6fa025f72eaa72,
  0x455ba5eaa8b4b5f3, 0x71e6ca2317f36c01, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x5f842fa792bf7343, 0x0000000000002df9,
};

static const uint64_t ur_t828_u2x12_uart0_noled_ce_hw[] = {
  0x7777624eed66ef3a, 0xeeeee961873d2d63, 0x0f1ff17e276a1eee, 0xdb2669177777411a, 0x3e3277417a09ac80,
  0x913fef8167c3dcc1, 0xa4fe6d4faadd3e12, 0xbfebd24368ded51c, 0xc95bf3c00b84a6e3, 0x05c67309cee6d7fd,
  0x81e33f51c43cf72c, 0x98b01445e7a38e55, 0x8ebc5cec90d1e333, 0xb5ec1d633dc72c67, 0xdeb5e73859bf0312,
  0x8ce16f378e528301, 0xd012fb975539794d, 0xd2f5545a5af9c637, 0xca2317f36c0118ed, 0x33d30ae4fcfec376,
  0x9296cb25138cb25c, 0xa29e4afdcd0ccb0e, 0x0000000000c4283a,
};

// t828_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_t828_u2x12_uart0_noled_ee_ce_hw[] = {
  0xdddd893ba890d2a8, 0x77774b11a05c758d, 0x6d1420067b2ef777, 0x2d2cb2bc5eef8f7a, 0xdd3ad1ab59f79131,
  0x61ff3fbb5304f8c9, 0xd4faadd3e1231fff, 0x74368ded51ca4fe6, 0x93909456b8bea8fe, 0x0d8488bee3441e78,
  0xecf9d67fa8f84bf1, 0xdadcd8f933c5dcda, 0x60f22fa8f2bd280d, 0x08e4057a57a8f836, 0xfa30b2c4522cd3ad,
  0x39d5ae014fad801a, 0x83af4353b5ac8f9e, 0x90843a3d64f6abd3, 0xa04e017b2d973170, 0xd9d3d8cd4d2a3608,
  0x6bce70b37e06256b, 0xc2de6f1ca50603bd, 0x25f72eaa72f29b19, 0xeaa8b4b5f38c6fa0, 0x462fe6d80231dba5,
  0x539fa82ec6e3cd94, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000014056dba85f,
};

// t828_u2x12_uart0_lednop_pr
static const uint64_t ur_t828_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdfebe, 0xddddd2c30e6cfac6, 0x5bbfc49a0ef1fddd, 0x2e847edbbbb9ac16, 0x64eef8fc28b8921e,
  0xffa82567e719827c, 0xf9b53eab74f8497c, 0x64870da37b547293, 0x5606693d47278ef9, 0x016f74d917a08e39,
  0x8b9daa5a3905398b, 0x15920bb8e58c11d7, 0x809c2cdf81895af6, 0x807d4180ef5af3c0, 0x6f529c94e8016f37,
  0x2718df404beedf2a, 0x3a2add2f5545a561, 0x386ed94462fe6d95, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x749cdaa49e4afdcd, 0x00000000000007c8,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_u4[] = {
  0xddd893ba8bb15a91, 0xdddd2c30e56958dd, 0x448afdb6de8dbddd, 0x3fe277774880b2a8, 0xeb45e9d8ee5db11e,
  0x343cf84f9827c64e, 0xa9f55ba7c24807f8, 0x786d1bdaa3949fcd, 0x3417ea3dac77cb08, 0x9653443bdc71cab0,
  0x3b60b4690ce62c05, 0x45403ff6608ebd1f, 0x1357c0f2cf6c389a, 0x404e166fc0c4ad7b, 0xc03ea0c077ad79e0,
  0x37a94e4a7400b79b, 0x938c6fa025f76f95, 0x9d156e97aaa2d2b0, 0x5c1e6ca2317f36ca, 0x903b6868b1be2e4d,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x5e3316792bf73433, 0x00000000001f271f,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ee[] = {
  0xeeeec49ddbd8bf82, 0xeeeee9620c904ac6, 0xc29e9c007ef619ee, 0x0bce0a369bbc1e84, 0x7189123f06c199b1,
  0x1e7f2b4c13e32775, 0xf55ba7c2450ffc1a, 0x6d1bdaa3949fcda9, 0xe57dd41fed68c148, 0xaf51f06cc1ad7f51,
  0x48b34eb4203f8afb, 0xee66006be8c2cb11, 0x3278e75697400743, 0x56ba1d7a1a9da0fa, 0x8b848582d1a439ed,
  0x608cbff00bd96cb9, 0x5af60e2e414cf2a3, 0xf3c0809c2cdf8189, 0x6f37807d4180ef5a, 0xdf2a6f529c94e801,
  0xa5612718df404bee, 0x6d953a2add2f5545, 0x9c5c9ab8d94462fe, 0xbab31e40eda1a2c7, 0x71964b867a615c9f,
  0xa19961d252d964a2, 0x7cd39198b3c95fb9, 0x000000000000000a,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ee_u4[] = {
  0x777624eea24458e2, 0x77774b1064825637, 0x14f4e00867ad2f77, 0x5e7051b4dde0f426, 0x387b1a53ac0ccd88,
  0xb3f95a609f193ba5, 0xaadd3e12287febfd, 0x68ded51ca4fe6d4f, 0x2beea0ff6b460a43, 0x7a8f83660d6bfa8f,
  0x459a75a101fc57dd, 0x7330035f4616588a, 0x93c73ab4ba003a1f, 0xb5d0ebd0d4ed07d1, 0x5c242c168d21cf6a,
  0x0465ff805ecb65cc, 0xd7b071720a67951b, 0x9e0404e166fc0c4a, 0x79bc03ea0c077ad7, 0xf9537a94e4a7400b,
  0x2b0938c6fa025f76, 0x6ca9d156e97aaa2d, 0xe4d5c1e6ca2317f3, 0xcc7903f2868b1be2, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xe2a719506792bf73,
  0x000000000000013a,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ce[] = {
  0xeec49dda83d8bf82, 0xddd2c30e78fac6ee, 0x133a12c9ea9bdddd, 0x7f1fddddf0b7ed00, 0xab8c489bb83763e1,
  0xd0f3ffba609f193b, 0x4faadd3e1280dfe0, 0xc368ded51ca4fe6d, 0x002c1c09e77fd60f, 0x4e7736bd8fffcfcf,
  0x51fa49ee580bac98, 0x7bed68e395607acf, 0x3b60b4690ce62c05, 0x45403ff6678ebd1f, 0xc4d5f03cb5b8389a,
  0x1013859bf0312b5e, 0xf00fa8301deb5e78, 0x4dea53929d002de6, 0x24e31be8097ddbe5, 0x4e31dba5eaa8b4ac,
  0xae0f365118bf9b65, 0x40eda1a2cb579726, 0xa50c2a73f53ab31e, 0xf80f9a1e44cf0271, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x0dd7409198b3c95f,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeeec49dd44889202, 0xeeee96385f0aac6e, 0x9d8f2678bf4ddeee, 0x5a2a1eeee9b4915e, 0x77599b62b2282990,
  0xd7fb67d82cc13e32, 0xda9f55ba7c2470ff, 0x2486d1bdaa3949fc, 0x3c00b5a45f7717d7, 0xf886c2445f71a20f,
  0x36be206bbfd47c25, 0x49ee58cfd64cf177, 0x68e395607acf51fa, 0xb4690ce62c057bed, 0x3ff6678ebd1f3b60,
  0xf03cb5b8389a4540, 0x859bf0312b5ec4d5, 0xa8301deb5e781013, 0x53929d002de6f00f, 0x1be8097ddbe54dea,
  0xdba5eaa8b4ac24e3, 0x365118bf9b654e31, 0x943458df1726ae0f, 0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1,
  0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x833c95fb9a19961d, 0x0000000dd720e4ca,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xddddd2c5c0968ac6, 0xcd53763e85ebd7dd, 0xddb21221e2777c58, 0xbbe451d98989d0cc,
  0xbfdb3e96a609f193, 0xd4faadd3e121adfe, 0xd4368ded51ca4fe6, 0x02d691c99dff547d, 0xcee6d7dda4dbfcf0,
  0x2f80ddacac83f309, 0x8f83660f7bf51e57, 0xcd3ad08e4057f27a, 0xd801afa30b2c4522, 0x236be39d5ae131fa,
  0xd57a7075e00cedcf, 0x462e1216b119a49e, 0xc8a6902700bd970e, 0x04e166fc0c4ad7b0, 0xb79bcc077ad79e04,
  0x016a72452d5e7400, 0x5f74bf98c10b4a9f, 0x2317f36d38c6fa02, 0x0d163ce2e4d5c6ca, 0x0ae4fdd598f207e5,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x000a69ed7b65419e,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0x77624eea2e7c3375, 0xddd2c468299d6377, 0x68a7ee0dedc1dddd, 0x2caf17bbe3de9ae3, 0xad1bab9dd3b92bd7,
  0xfe9a9827c64ee962, 0x5ba7c25ff3fcd7bc, 0x1bdaa3949fcda9f5, 0xb383717d51fce86d, 0x88bee3441e780173,
  0x9bffa8f84bf10d84, 0xb1f2678bb9b5d493, 0xbea3cac2781bb5b9, 0x2b09fea3e0d983c8, 0x962291669d684720,
  0x70807d6c00d7d185, 0x353b41f464f1cead, 0x8d21cf6abd383af4, 0x5ecb65cc5c242c16, 0x0533ca8d82281380,
  0x59bf0312b5ece9e9, 0x8301deb5e7810138, 0x3929d002de6f00fa, 0xbe8097ddbe54dea5, 0xba5eaa8b4ac24e31,
  0x65118bf9b654e31d, 0xe3458df1726ae0f3, 0xa73f53ab31e40cd3, 0xe627ff787bde50c2, 0xc3343c899e07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x000009f880adcf57,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_hw[] = {
  0xbbbbb12776b3753a, 0xbbbbba5861cad2b1, 0xcaa1122bf6d267bb, 0xc478ff89dddd2202, 0x3e32774b8d93d536,
  0x403fef8167c27cc1, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e5581a0bf51ed63, 0x31602cb29a21dee3,
  0x75e8f9db05a34867, 0x61c4d22a01ffb304, 0x256bd89abe07967b, 0x6bcf020270b37e06, 0x05bcde01f50603bd,
  0xbb7ca9bd4a7253a0, 0x1695849c637d012f, 0xf9b654e8ab74bd55, 0x727e7f61bb65118b, 0x9289c6592e19e985,
  0x7ee6866587494b65, 0x000011c401514f25,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_ee_hw[] = {
  0xeeec49dd44862d7b, 0xeeee9620c904ac6e, 0x9853d3803619eeee, 0x2179c146d37783d0, 0xdd47652b5d903336,
  0xb0ff9fcad304f8c9, 0xb53eab74f848a1ff, 0x290da37b547293f9, 0xea3cafba83fdad18, 0x5f75ea3e0d9835af,
  0x62291669d68407f1, 0xe87dccc00d7d1859, 0x1f464f1cead2e800, 0x3daad743af4353b4, 0x97317090b05a3487,
  0x546c1197fe017b2d, 0x312b5ec1c5c8299e, 0xeb5e781013859bf0, 0x002de6f00fa8301d, 0x7ddbe54dea53929d,
  0xa8b4ac24e31be809, 0x5fcdb2a7455ba5ea, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7, 0x343c899e07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00002dfe3430be9e,
};

static const uint64_t ur_t828_u2x12_uart0_lednop_ce_hw[] = {
  0x7777624eed66ef3a, 0x777774b0c395a563, 0x8d07684ddfb50f77, 0x406d933e3fbbbba0, 0x609f193ba0bd04d6,
  0x1280dff7c0b3ffba, 0x1ca4fe6d4faadd3e, 0x43bfebd24368ded5, 0xfdc95bf3c00b84b2, 0x2c05c67309cee6d7,
  0x5581e33f51f05cf7, 0xa73160288a21e38e, 0x9e3af173b0714720, 0x95af60e941f71cb1, 0xaf3c0809c2cdf818,
  0x02de6f2dd4180ef5, 0x17be54dea53929d0, 0x025f70e8c6085a70, 0xca2317f36d38c6fa, 0x33d30ae4fcfec376,
  0x9296cb25138cb25c, 0xa29e4afdcd0ccb0e, 0x0000000000c4283a,
};

// t828_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xeeec49dd448624d6, 0xbbba588d0533ac6e, 0xb8da29fbd837bbbb, 0xf5cb2bc5eef8f7a6, 0x7ed75dea7df4ee4a,
  0x3fe7f4d4c13e3277, 0x4faadd3e12ff9fec, 0x4368ded51ca4fe6d, 0x39091c1b8bea8fe7, 0xd8488bee3441e789,
  0x951723fa8f84bf10, 0xadcd8f933c5dcdae, 0x1e45f51e5613c0dd, 0x3901584ff51f06cc, 0x8c2cb1148b34eb42,
  0x756b8403eb6006be, 0xd7a1a9da0fa3278e, 0x60b4690e7b55e9c1, 0x9c02f65b2e62e121, 0x4f48299e546c1140,
  0x09c2cdf81895af67, 0x07d4180ef5af3c08, 0xf529c94e8016f378, 0x718df404beedf2a6, 0x18edd2f5545a5612,
  0xc79b288c5fcdb2a7, 0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0xf820be9e4afdcd0c, 0x000000000000a021,
};

static const uint64_t ur_t828_u2x12_uart0_dual[] = {
  0xbbbac1f83ea22a20, 0xdddd5306da3b7edb, 0xd836b05a76d86ddd, 0xe0dd93b7774ddd05, 0xa09721ec5ab63514,
  0x1e834824a9827c64, 0xae718389df840232, 0xe9f12e206142e5fb, 0xce9a43fe65dc5f4e, 0x4dea3945d8393387,
  0x68114239215606fe, 0x7a5a006e1f02bfcc, 0x2214432bb8bddf17, 0x0e784d9162a10cb4, 0xa21c484b6ffbbfe8,
  0x7c14c1608e24e5f9, 0xa9f55ba7c25dd7f9, 0xf86d1bdaa3949fcd, 0x3487ea388a77cb57, 0xf8733dfd2471cab0,
  0xecd7c8ded1cc580b, 0x1f7b8e58c11d7916, 0x4fe2af9ddc5494ac, 0x809c2cdf81895af6, 0xf2dd4180ef5af3c0,
  0x4dea53929d002de6, 0x87514085a7017be5, 0xbf9b69c637d012fb, 0xfb1726ae0f365118, 0x32c970cf4c2b93f3,
  0x4332c3a4a5b3e04e, 0xf8e2d9506792bf73, 0x0000000000000196,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr[] = {
  0xb07e0e1ebe7cd0e3, 0x54c1b6d39fb6eeee, 0x41b57db38b777777, 0x76eeed0b23e52837, 0xda0962c8941402b2,
  0x54c13e32717dcab8, 0xefc201190f41a412, 0x30a172fdd738c1c4, 0xe6535aa774f89710, 0x5d81c33814b9982f,
  0x242ac0ff74dea3ba, 0xc3e057f98d022847, 0xee2f77c5dfbb400d, 0x18a8432d005110ca, 0x6dff77fd01cf09a2,
  0x11c49cbf34438909, 0x3e12eebfc906982c, 0xd51ca4fe6d4faadd, 0xf229df2c4d4368de, 0xb5e38e5581887f51,
  0x7f398b01541e697c, 0x30475e00ced70d1d, 0xcf6daf921aa01ffb, 0xe777152529c5c0f2, 0x37e06256bd93f8ab,
  0x603bd6bcf020270b, 0x253a005bcde01f50, 0xd012fbb7ca9bd4a7, 0x4bd551695849c637, 0x5118bf9b654e8ab7,
  0xa2ce9f1726ae0f36, 0x9fa9d598f20669f1, 0xe7197e627f286153, 0x73dffc1343c899e2, 0x8cb25c33d30ae4fc,
  0xd0ccb0e9296cf813, 0x93c63cf579e4afdc, 0x0000000000000014,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_u4[] = {
  0x7583f07a2e7cd0e3, 0xbaa60db374fdb777, 0x3960b62d415bbbbb, 0x06f7774ddd058179, 0xc6d0539644bd6295,
  0xd67304f8c9412e55, 0x13bf0804643d0691, 0x40c285cbf75ce307, 0xff994d6a9dd3e25c, 0x51760e4ce1f3a690,
  0x8e485581bf937a8e, 0x1b87c0aff31a0450, 0x95dc5eef8bbfa7c0, 0xc8b150865a110a21, 0x12dbbf9ff4073c26,
  0x582389397e688712, 0xba7c25a57f920d30, 0xbdaa3949fcda9f55, 0xa388a77cb57f86d1, 0x920fc71cab03487e,
  0x1bda398b017f0e6f, 0xe58c11d7916ecb3d, 0xf9ddc5494ac7b5b8, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2,
  0xc94e8016f37807d4, 0xf404beedf2a6f529, 0xd2f5545a5612718d, 0x94462fe6d953a2ad, 0x8d1637c5c9ab83cd,
  0x9cfd4eacc790334f, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000014934d073d5e,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ee[] = {
  0x777583f07de7ce7c, 0xdddd5330a4e4fdb7, 0x7650f6a2fd75bddd, 0x5abc7b45dd466ccf, 0xdb4f5711f99f69f6,
  0xee9827c64f4eb96c, 0x77e1008c87a0d223, 0x1850b97eeb9c60e2, 0xf329ad53ba7c4b88, 0xfb0e9f3858fcdff3,
  0x90ab0338337a8f43, 0x0f815fe63408a11c, 0xb8bddf177f2d0037, 0xc54219682564432b, 0xdc2d7fd01cf0997d,
  0x1c49cbf344389096, 0xc256ebfc906982c1, 0xa3949fcda9f55ba7, 0x1fed68e7186d1bda, 0x3660d31f51e56654,
  0x5a101fc57d47a8f8, 0x35f4616588a459a7, 0xab4bce23a0e33300, 0xaf29a76b591f4073, 0x843a313f3daad743,
  0xfe017b2e3e317090, 0xbe77715251d0fb97, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x4e4a7400b79bcb75,
  0x02169c05ef9537a9, 0xa718df404bee1d45, 0x9ab83cd94462fe6d, 0xf20669f1a2c79c5c, 0x5c33d30ae4fdd598,
  0xb0e9296cf8138cb2, 0x9cf579e4afdcd0cc, 0x0000000000190a73,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ee_u4[] = {
  0x77583f07a243359b, 0xbbaa66143aefdb77, 0xbebbfb5a89fbbbbb, 0x3f1ed1774c894acf, 0xc284db5d6e73ad84,
  0x9827c64c1bb90f0c, 0xe1008c87a0d219eb, 0x50b97eeb9c60e277, 0xcbb093ba7c4b8818, 0xb0ff8700d1369afc,
  0x1560743f37a8f63f, 0xf02bfcc681142392, 0x17bbe2efa4a006e1, 0xa8432d0386886577, 0xa1fffa039e133938,
  0x1272fcd10e2425b7, 0x96fbff08c660b047, 0xe527f36a7d56e9f0, 0xfb5a3ea21b46f6a8, 0x9835f3d4795bf907,
  0x8407f15bf9ea3e0d, 0x7d185962291669d6, 0xd2fdd0e84fccc00d, 0xd8cdd9ef46229cea, 0x868ebfcf6ab5d0eb,
  0x00bd97d2cc5c242b, 0x5bdad62a3608cbff, 0x93f8abe77715251c, 0x20270b37e06256bd, 0xe01f50603bd6bcf0,
  0x9bd4a7253a005bcd, 0x49c637d012fbb7ca, 0x4e8ab74bd5516958, 0x1b8f365118bf9b65, 0xaccdfc1ddc68b1be,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xc89178ae3e792bf7, 0x000000000000000a,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ce[] = {
  0x77583f07de7c7a31, 0xbbaa60db39cfdb77, 0xd62949f7b62fbbbb, 0x80addddf2306fed1, 0x4fc3e51f07d1a821,
  0x001304f8c923f724, 0x277e1008c87a0d20, 0x81850b97eeb9c60e, 0xbf329ad53ba7c4b8, 0x4dec22b1c06b4c4e,
  0x3921560795a6f51f, 0x6e1f02bfcc681142, 0x57717bbe2efc6e00, 0x448a8432d08f6886, 0x96df2b7fd01cf09a,
  0xc11c49cbf3443890, 0xa7c2495bfc906982, 0xdaa3949fcda9f55b, 0xb8f677fd5ef86d1b, 0x6bf57d0ffe780173,
  0x7b9602d4b984e773, 0xc72ac0ea5fa8e37e, 0xd7f398b0166ec8b1, 0xb33c75e00ced70d1, 0xcb5b9af921aa01ff,
  0xaf9ddc5494a71703, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x9c94e8016f37807d, 0xdf404beedf2a6f52,
  0xdd2f5545a5612718, 0xb288c5fcdb2a718e, 0xe3458f38b9357079, 0x15c9fbab31e40cd3, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00039eb1e5f9eaf3,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ce_u4[] = {
  0x77583f07a2435202, 0x7754cc779f6fdb77, 0xb8d475b6abf77777, 0xf693377751d86eeb, 0x43ada6cdf9af45fb,
  0xe0a609f1932eee4e, 0x4efc201190f41a42, 0x030a172fdd738c1c, 0x5f997612774f8971, 0xb5b031f380cdcdbb,
  0xe48558193a9bd470, 0xb87c0aff31a04508, 0x5dc5eef8bbd2a001, 0x2a2a10cb43e72219, 0xb6e4ebfe80e784d5,
  0x08e24e5f9a21c484, 0x3e12c09fe118cc16, 0xd51ca4fe6d4faadd, 0x7ceb8bea804368de, 0x8bee3441e7893909,
  0xddfa8f84bf10d848, 0xa9733c5dcdae87d8, 0xa97ea38df9ee58cf, 0xc059bb22c71cab03, 0x8033b5c3475fce62,
  0xe486a807feccf1d7, 0x52529c5c0f2d6e6b, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x05bcde01f50603bd,
  0xbb7ca9bd4a7253a0, 0x1695849c637d012f, 0xf36ca9c63b74bd55, 0x1637c371e6ca2317, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00069247d715c7cf,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeb07e0fa8286f97, 0x7754c802bbdfb6ee, 0x74039f7bee377777, 0xd9b024775b17da4d, 0x675c7f53a26f263a,
  0xa609f19252ae4f04, 0xf0804643d0691bcf, 0x285cbf75ce30713b, 0x65d849dd3e25c40c, 0x60290e1faf31adfe,
  0x156076b737a8f003, 0xf02bfcc681142392, 0x2f77c5deea8006e1, 0x50865a115910caee, 0x6b7ff4073c2695d1,
  0x24e5f9a21c484b6f, 0x5d3ffe118cc1608e, 0x949fcda9f55ba7c2, 0xfd5194586d1bdaa3, 0x72fcf127212d9c77,
  0x649309cee6d7a4a6, 0x7a8f2b8f606ed656, 0x571efd47c1b307f2, 0x2c4522cd3ad08e40, 0xe3bafad801afa30b,
  0x19bb3de8c4539d5a, 0x475fe7b55e9c1d7b, 0x5ecbe9662e1215c3, 0xf6b58a8d82281380, 0x7f157ceee2a4bd3c,
  0x04e166fc0c4ad7b2, 0x03ea0c077ad79e04, 0x7a94e4a7400b79bc, 0x38c6fa025f76f953, 0x8c76e97aaa2d2b09,
  0xe3cd94462fe6d953, 0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f226781, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x004000e8a2b8f9e4,
};

static const uint64_t ur_t828_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0x583f07a26d3e72df, 0x54c7a7912fdb7777, 0x01ccdefd5f777777, 0x33dd39dd76e164da, 0xac037d71f95c5ebb,
  0x9d6b933eb97d6964, 0xf41a41f3e9827c64, 0x738c1c4efc201190, 0x4f8971030a172fdd, 0x0e6a4afccafda277,
  0xbd4767cd87599c19, 0x08a11c90ab0335b9, 0xdd80370f815fe634, 0xd10caee2f77c5dee, 0x09babe2a10cb40c7,
  0x1212db9adffd01cf, 0x30582389397e6887, 0xab74f849fe7f8ea7, 0xa37b547293f9b53e, 0x73a7ee2faa32870d,
  0x445f71a20f3c49c0, 0x000fd47c25f886c2, 0xbc92678bb9b5fbac, 0x9ea3cae3d81bb5b9, 0x15c7bf51f06cc1fc,
  0xcb1148b34eb42390, 0xb8eebeb6006be8c2, 0xc66ecf7a3114e756, 0xd1d7f9ed57a7075e, 0x17b2fa598b848570,
  0x3dad62a3608a04e0, 0x9fc55f3bb8a92f4f, 0x013859bf0312b5ec, 0x00fa8301deb5e781, 0xdea53929d002de6f,
  0x4e31be8097ddbe54, 0xe31dba5eaa8b4ac2, 0xe0f365118bf9b654, 0x37e823458df1726a, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xc83cf257ee686658,
  0x000000010002a732,
};

static const uint64_t ur_t828_u2x12_uart0_dual_hw[] = {
  0xeeb07e0f44867a31, 0x7754c1b6d39fb6ee, 0x506e837aafb77777, 0x0564edddda1647ca, 0xf7244fc3ed07c828,
  0x0690495304f8c9c5, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0xb9982fe65d849dd3, 0xdea3ba5d81c33814,
  0x022847242ac0ff74, 0xbb400dc3e057f98d, 0x5110caee2f77c5df, 0xcf09a218a8432d00, 0x4389096dff77fd01,
  0x1f982c11c49cbf34, 0x3eab74f84bbafff2, 0x0da37b547293f9b5, 0x21fd47c8a77cb135, 0x79a5f2d78e395606,
  0x5c3475fce62c0550, 0x807fecc11d78033b, 0x1703cb3db6be486a, 0x4fe2af9ddc5494a7, 0x809c2cdf81895af6,
  0x807d4180ef5af3c0, 0x6f529c94e8016f37, 0x2718df404beedf2a, 0x3a2add2f5545a561, 0x6e3cd94462fe6d95,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xeb2d05f4f257ee68, 0x00000000000031ba,
};

static const uint64_t ur_t828_u2x12_uart0_dual_ee_hw[] = {
  0xeeb07e0f448687e1, 0x7754cc2875dfb6ee, 0x7d77f6b513f77777, 0x7e3da2ee9912959f, 0xb782d68fdce75b08,
  0xae609f19306ee457, 0xdf8402321e834867, 0x6142e5fbae718389, 0xf32ec24ee9f12e20, 0xfec3fe1c0344da6b,
  0x485581d0fcdea3d8, 0x87c0aff31a04508e, 0xdc5eef8bbe92801b, 0xe2a10cb40e1a2195, 0xde87ffe80e784ce4,
  0x1c49cbf344389096, 0x096fbfff21f982c1, 0x8e527f36a7d56e9f, 0x7fb5a3ea21b46f6a, 0xd9835f3d4795bf90,
  0x68407f15bf9ea3e0, 0xd7d185962291669d, 0xad2fdd0e84fccc00, 0xbd8cdd9ef46229ce, 0xb868ebfcf6ab5d0e,
  0xf00bd97d2cc5c242, 0xc5bdad62a3608cbf, 0xd93f8abe77715251, 0x020270b37e06256b, 0xde01f50603bd6bcf,
  0xa9bd4a7253a005bc, 0x849c637d012fbb7c, 0x54e8ab74bd551695, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b,
  0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xed245e17d3c95fb9,
  0x000000000000000a,
};

static const uint64_t ur_t828_u2x12_uart0_dual_ce_hw[] = {
  0xeeb07e0f448664d6, 0xeea998ef3edfb6ee, 0x71a8eb6d57eeeeee, 0xed266eeea3b0ddd7, 0x2ccd8f0f65928bf7,
  0x21705304f8c99777, 0x0e277e1008c87a0d, 0xb881850b97eeb9c6, 0xddafccbb093ba7c4, 0x385ad818f9c066e6,
  0x847242ac0c9d4dea, 0x00dc3e057f98d022, 0x0caee2f77c5de950, 0x6a95150865a1f391, 0x425b7275ff4073c2,
  0x0b0471272fcd10e2, 0xba7c25813ffc87e6, 0xbdaa3949fcda9f55, 0x12f9d717d50086d1, 0x9117dc6883cf1272,
  0xed6ff51f097e21b0, 0x9f52e678bb9b5e76, 0x0752fd471bf3dcb1, 0xc580b376458e3956, 0xaf00676b868ebf9c,
  0xd7c90d500ffd99e3, 0xe2a4a538b81e5adc, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0x400b79bc03ea0c07,
  0x5f76f9537a94e4a7, 0xaa2d2b0938c6fa02, 0x2fe6d9538c76e97a, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x00004dd63eb85f4f,
};

static const uint64_t ur_t828_u2x12_uart0_dual_ee_ce_hw[] = {
  0x7583f07d41437089, 0xbaa64015defdb777, 0xa01cfbdf71bbbbbb, 0xcd8123bad8bed26b, 0x7acadada137931d6,
  0xf4c13e324a55caf2, 0x7e1008c87a0d2379, 0x850b97eeb9c60e27, 0xccbb093ba7c4b881, 0x6c0521c3f5e635bf,
  0x42ac0ed6e6f51e00, 0x3e057f98d0228472, 0xc5eef8bbdd5000dc, 0x2a10cb422b22195d, 0xed6ffe80e784d2ba,
  0xc49cbf344389096d, 0x2e9ffff21f982c11, 0xca4fe6d4faadd3e1, 0xfea8ca2c368ded51, 0x6ffe78939096ce3b,
  0x649309cee6d7e5a6, 0x7a8f2b8f606ed656, 0x571efd47c1b307f2, 0x2c4522cd3ad08e40, 0xe3bafad801afa30b,
  0x19bb3de8c4539d5a, 0x475fe7b55e9c1d7b, 0x5ecbe9662e1215c3, 0xf6b58a8d82281380, 0x7f157ceee2a4bd3c,
  0x04e166fc0c4ad7b2, 0x03ea0c077ad79e04, 0x7a94e4a7400b79bc, 0x38c6fa025f76f953, 0x8c76e97aaa2d2b09,
  0xe3cd94462fe6d953, 0xd2861539fa9b0ec6, 0xfc07cd0f22678138, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x075d47450be9e4af,
};

static const uint64_t ur_t828_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xbac1f83d1468ce4a, 0xbaa63d3c897edbbb, 0x9368077337bbbbbb, 0x7aeccf74e775db85, 0x566fa57df5c7e571,
  0xfa609f19275ae5cc, 0xbf0804643d06907c, 0xc285cbf75ce30713, 0x65906a9dd3e25c40, 0xc3acce0c8735257e,
  0x55819adcdea3b3e6, 0xc0aff31a04508e48, 0x7bbe2ef76ec01b87, 0x0865a063e8865771, 0x6ffe80e784dd5f15,
  0x9cbf344389096dcd, 0xf3ff1164982c11c4, 0x9fcda9f55ba7c24f, 0x5194386d1bdaa394, 0x9e2c5f425d3f717d,
  0xfc4361222fb8d107, 0x6d7ca8683fea3e12, 0x06ed6e6f2499e2ee, 0x1b307f27a8f2b8f6, 0xad08e40571efd47c,
  0x1afa30b2c4522cd3, 0x4539d5ae3bafad80, 0xe9c1d7b19bb3de8c, 0xe1215c3475fe7b55, 0x22813805ecbe9662,
  0x2a4bd3cf6b58a8d8, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x00b79bc03ea0c077, 0xf76f9537a94e4a74,
  0xa2d2b0938c6fa025, 0xfe6d9538c76e97aa, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00eba869f3405cf2,
};

// t828_swio10_noled_pr
static const uint64_t ur_t828_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdac4776e27524192, 0x80f06612226f897e, 0x1e820d7f16917748,
  0xe609f193bb0bd68f, 0x609227fd412b3e1e, 0x43fa8ef79df2c4d4, 0xd34bec8b1c72ac0c, 0xba046b3ce62c05bd,
  0x7db8e58c11d78b9d, 0x0c136bcb955a958d, 0x39d454aa35d92273, 0xd829ace576a96fab, 0xaf2b6092a97debe8,
  0x7d3bcfd6b9ed5688, 0x4b0b9d4ea701652a, 0xf404bee38522810b, 0xed94462fe6da718d, 0x8f2068fe3458f386,
  0x25c33d30ae4fdd59, 0xb0e9296cb25138cb, 0xcdaa49e4afdcd0cc, 0x00000000001f20a9,
};

static const uint64_t ur_t828_swio10_noled_pr_u4[] = {
  0xa937777768bb1762, 0x66b5cb4b10ac32b1, 0xcc7617e9a0dc4c88, 0x447908e375f5a707, 0x8ee00db7b3f77524,
  0x09f193bb4cd19ad0, 0x2775fe0d0f3f1ee6, 0xdea3cdc77cb08b18, 0x6dbf2fa38e558193, 0xd7476b1cc580b2ca,
  0x03ff6608ebd1f3b2, 0xba07967b7d22cf54, 0xcc304daf2e556acf, 0xace75152a8d76489, 0xa360a6b395daa5be,
  0x22bcad824aa5f7af, 0x34ef37b6bae7b55a, 0x012fb81dd4d8a53c, 0xd55169690b9c637d, 0x317f36cf5b8ab74b,
  0xb1be2e4d5c1e6ca2, 0xfd4eacc7903b6868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0007c9842e331679,
};

static const uint64_t ur_t828_swio10_noled_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0xc3f72d2c4221b158, 0x6d2f469e8d77914c, 0xf07f0bd9eb429ba8, 0xdd833b1e4505fcc9,
  0x32774c4dc15c68cc, 0xbfc1a1e7f7dcc13e, 0x41fed68c27c608a7, 0x06cc1cddea3caff7, 0xd68407f15feef51f,
  0x0d7d185962291669, 0xd5a5cc78eb19ccc0, 0xaf006765f11e4539, 0x437d19353daad743, 0xfc02f65c3918b848,
  0x6d7972ab51d13d2f, 0x8a9546bb244e6182, 0x359caed52df5673a, 0x6c12552fbd7d1b05, 0xbdb5d73daad115e5,
  0xc0eea6c529e1a779, 0x4b485ce31be8097d, 0xb67adc55ba5eaa8b, 0x71726ae365118bf9, 0xeacc7903b6868b1e,
  0xc6592e19e985727e, 0x866587494b659289, 0xf9ce4662cf257ee6, 0x0000000000000014,
};

static const uint64_t ur_t828_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c4221bbac6, 0x841b5177d2d686d6, 0x48b87fc595b41017, 0xd386764c8a0bfecf,
  0x64ee80a499c94e70, 0xffaff6cfc569827c, 0xc1fed68cca8c137d, 0x06cc1a01ea3cadd2, 0xd68407f15ba5f51f,
  0x0d7d185962291669, 0xd5a5ea50e87dccc0, 0xaf4353b4e28d3139, 0x4b5d1dad3daad743, 0xff00bd96cb98b848,
  0x38b27abfaa3608cb, 0x89cc304daf2e556a, 0xbeace75152a8d764, 0xafa360a6b395daa5, 0x5a22bcad824aa5f7,
  0x3c34ef37b6bae7b5, 0x7d012fb81dd4d8a5, 0x4bd55169690b9c63, 0xa2317f36cf5b8ab7, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000013af1f5d9506,
};

static const uint64_t ur_t828_swio10_noled_pr_ce[] = {
  0xd7eeeeeeef621c3b, 0x82b9696215b1dd63, 0x413590ddde6d5c4e, 0x87e225f80bfc7baf, 0xf91c2ac9edbddf5f,
  0x04f8c9dda0b4ce85, 0x2256ff06879f3873, 0x5838958effaaf918, 0x7736bffc0d1f9e00, 0xf249ee580bac984e,
  0x9ba38e5581e0bf51, 0x5ae8ed6398b01644, 0x807feccf1d7a3e76, 0x7dd03cb5bba459ea, 0x4e61826d7972ab56,
  0xf5673a8a9546bb24, 0x7d1b05359caed52d, 0xd115e56c12552fbd, 0xe1a779bdb5d73daa, 0xe8097dc0eea6c529,
  0x5eaa8b4b485ce31b, 0x2317f36cf5b31dba, 0x0d163ce2e4d5c6ca, 0x0ae4fdd598f2076d, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x00016ea8be8cc59e,
};

static const uint64_t ur_t828_swio10_noled_pr_ce_u4[] = {
  0xefdddddda24477d6, 0xbee5a58b8115bac6, 0x0bd7afbc7e847ede, 0x930e279104c2bc7d, 0xed1fbc5ed4f77779,
  0x27c64eebd69c4627, 0x3027faff6cfdba98, 0x5a4c09717d6448c1, 0x2445f71a20f3c00b, 0x3643fd47c25f886c,
  0x19fac99e2ee6d7eb, 0xb03c17ea3e493dcb, 0x731602c8937471ca, 0xe3af47cecb5d1dac, 0xb7748b3d500ffd99,
  0xaf2e556acfba0796, 0x52a8d76489cc304d, 0xb395daa5beace751, 0x824aa5f7afa360a6, 0xb6bae7b55a22bcad,
  0x1dd4d8a53c34ef37, 0x690b9c637d012fb8, 0x9eb663b74bd55169, 0x9ab83cd94462fe6d, 0x8f207e50d1637c5c,
  0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0x9c5b2a0cf257ee68, 0x000000000000375c,
};

static const uint64_t ur_t828_swio10_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0xdcb4b1c85cd2d636, 0xdb2ef5a9f8fad0bd, 0xa45a876468295be9, 0xe9c33e17439b6c99,
  0xba76821d892d54cf, 0xbfdb3fff2609f193, 0xfea8dd2c609d3ffe, 0x51f9e005ad205a3b, 0x7c984e7736bdd0dd,
  0xd4795a560376b2b0, 0x695bd47c1b3072fb, 0xc4522cd3ad08e405, 0x54afad801afa30b2, 0xa769c51a6273ab5c,
  0xed69ed57a7075e86, 0xecb65cc5c2425ae8, 0xeafea8d822813805, 0x609b5e5caad7a789, 0xcea2a551aec91398,
  0xc14d672bb54b7d59, 0x795b04954bef5f46, 0xde6f6d75cf6ab445, 0x5f703ba9b14a7869, 0xa2d2d21738c6fa02,
  0xfcdb3d6cc76e97aa, 0xbcb9357079b288c5, 0xd598f207e50d165a, 0x78138d2861539fa9, 0x30ae4fc07cd0f226,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000027e2046541,
};

static const uint64_t ur_t828_swio10_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0xbb9696367238d61a, 0x91db13a6c615006d, 0x3d88a9b5834ce829, 0xe0d91fa4ff076a76,
  0x3bbbf616b0c9ae8c, 0xe6bde7daee609f19, 0xc5f5472ba3047f9f, 0x1a20f3c00b9dcedd, 0x47c25f886c2445f7,
  0xe2ee6d7185ddbbfd, 0xb4ac06ed6e6c7c99, 0xa8f83660e5f7a8f2, 0x59a75a11c80ad2b7, 0x5b0035f4616588a4,
  0x8a34c4e756b8a95f, 0xdaaf4e0ebd0d4ed3, 0xb98b8484b5d1dad3, 0x51b04502700bd96c, 0xbcb955af4f13d5fd,
  0x4aa35d922730c136, 0xce576a96fab39d45, 0x092a97debe8d829a, 0xdaeb9ed5688af2b6, 0x77536294f0d3bcde,
  0xa42e718df404bee0, 0x7ad98edd2f5545a5, 0x6ae0f365118bf9b6, 0xe40cd3e3458df172, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xe5cf579e4afdcd0c,
  0x000000000004fc20,
};

static const uint64_t ur_t828_swio10_noled_hw[] = {
  0x1a9377777759bb37, 0x866b5cb4b10ac32b, 0xc1f7c7ee9a0dc4c8, 0x49111e4238dd7d69, 0x434d88036decfddd,
  0xc7b9827c64eed8f6, 0x22c609dd7fdf02cf, 0x6064f7a8f371df2c, 0x2cb29b6fcbe8e395, 0x7cecb5d1dac73160,
  0xb3d500ffd9823af4, 0x5ab3ee81e59edf48, 0xd922730c136bcb95, 0xa96fab39d454aa35, 0x7debe8d829ace576,
  0xed5688af2b6092a9, 0x294f0d3bcdedaeb9, 0x18df404bee077536, 0xadd2f5545a5a42e7, 0xdb288c5fcdb3d6e2,
  0x70cf4c2b93f3fb0d, 0x3a4a5b2c944e32c9, 0xae8a792bf734332c, 0x0000000000008e2f,
};

static const uint64_t ur_t828_swio10_noled_ee_hw[] = {
  0xcfdddddda2431202, 0xad72d2c4221bbac6, 0x2fd08377d2d686d6, 0x9e9170ff8b2b6820, 0xa1a70cec991417fd,
  0x09f193baccdb16a0, 0x26fbff61ff3f15a6, 0x5ba583fdad199518, 0xea3e0d983403d479, 0x2cd3ad080fe2b74b,
  0x99801afa30b2c452, 0x6273ab4bd4a1d0fb, 0xae875e86a769c51a, 0x709096ba3b5a7b55, 0x1197fe017b2d9731,
  0xaad47164f57f546c, 0xaec91398609b5e5c, 0xb54b7d59cea2a551, 0x4bef5f46c14d672b, 0xcf6ab445795b0495,
  0xb14a7869de6f6d75, 0x38c6fa025f703ba9, 0x156e97aaa2d2d217, 0x3cd94462fe6d9eb7, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xc105f4f257ee6866,
  0x0000000000016fb7,
};

static const uint64_t ur_t828_swio10_noled_ce_hw[] = {
  0xefdddddda2435562, 0xbee5a58b8115bac6, 0xfda17bbc7e847ede, 0xf3261c4f22098578, 0x6d863f78bda9eeee,
  0xea609f193ba645a7, 0x9182604ff61ff3f6, 0xe24e425812e2fac8, 0xc4361222fb8d1079, 0x6be37760fea3e12f,
  0x9ee58cfd64cf1773, 0x38e5581e0bf51f24, 0x8ed6398b016449ba, 0xfeccf1d7a3e765ae, 0x03cb5bba459ea807,
  0x1826d7972ab567dd, 0x73a8a9546bb244e6, 0xb05359caed52df56, 0x5e56c12552fbd7d1, 0x779bdb5d73daad11,
  0x97dc0eea6c529e1a, 0xa8b4b485ce31be80, 0x7f36cf5b31dba5ea, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x001d66cfd6c2fa79,
};

// t828_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_t828_swio10_noled_ee_ce_hw[] = {
  0x4f777776890cac4f, 0xddcb4b1b391c6b0d, 0x2e991dd3630a8036, 0x763d88a9b5834ce8, 0x8ce0d91fa4ff076a,
  0xf8c9dd2d43afb45e, 0xfcff61ff3ed77304, 0x76ee2faa395d1823, 0x5f71a20f3c49c84a, 0x0fd47c25f886c244,
  0xf2678bb9b5fbac00, 0xa3cad2b01bb5b9b1, 0x4adea3e0d98397de, 0x2291669d6847202b, 0xa57d6c00d7d18596,
  0x3b4e28d3139d5ae2, 0x6b4f6abd383af435, 0x65b2e62e1212d747, 0x57f546c11409c02f, 0x04daf2e556bd3c4f,
  0x75152a8d76489cc3, 0x0a6b395daa5beace, 0xcad824aa5f7afa36, 0xf37b6bae7b55a22b, 0xfb81dd4d8a53c34e,
  0x169690b9c637d012, 0xe6d9eb663b74bd55, 0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00501184485f4f25,
};

// t828_swio10_lednop_pr
static const uint64_t ur_t828_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x9101e0cc2444d327, 0x085e6c3af1aef26e,
  0x63e609f193bb63d9, 0xa8c136fffd412b3e, 0x1887f51e213be589, 0xbdd3200b5e38e558, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0x398609b5e5caad4a, 0xd59cea2a551aec91, 0x14d7020272bb54b7, 0x95b04956ae97f46c,
  0xb9d01e5cf6ab4457, 0x561130bd4b5e5380, 0xa025f70bf714085a, 0x6ca2317f36d38c6f, 0x790347f1a2c79c37,
  0x2e19e985727eeacc, 0x87494b659289c659, 0x6d524f257ee68665, 0x00000000007c8124,
};

static const uint64_t ur_t828_swio10_lednop_pr_u4[] = {
  0x41bbbbbb45d8b562, 0xddcb4b10acc46b04, 0xf7c7e8da16541921, 0x3091106b97b60f50, 0x76d8ce6fba440783,
  0xf193bbf4e0de1570, 0x4fff06879f32a609, 0xa3e4877cb1351820, 0x8937471cab0310fe, 0xa3e90e62c05bdd34,
  0x8e58c11d78b9db22, 0x4daf2e556a56749b, 0x5152a8d76489cc30, 0x101395daa5beace7, 0x4ab574bfa360a6b8,
  0xbae7b55a22bcad82, 0x417296be74079f16, 0xf38c6fa025f7042a, 0x2455ba5eaa8b4a42, 0xae0f365118bf9b63,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x41198b3c95fb9a19, 0x000000000003e4d3,
};

static const uint64_t ur_t828_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8b562, 0x87ee5a5884453758, 0xc33d697aebcbda99, 0x4f83f85ecfdc7798, 0x1c5e56c902282fe6,
  0xf8c9ddfa706cd2dc, 0xceff06879f383304, 0xad07fb5a309f1826, 0x7c1b307377a8f2b4, 0xa75a101fc56befd4,
  0x0035f4616588a459, 0xe756978f63ac6733, 0x0ebc019da2146b5c, 0x9084547d24f6ab5d, 0x5ff805ecb8723170,
  0x04daf2e556a3ae7a, 0x75152a8d76489cc3, 0x8101395daa5beace, 0x24ab574bfa360a6b, 0xf5ae7b55a22bcad8,
  0x7a96165362ce80f3, 0x758ff14085a6ae75, 0x17f36d38c6fa025f, 0x163ce2e4d5c6ca23, 0xe4fdd598f2076d0d,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x029f3a4e8cc59e4a,
};

static const uint64_t ur_t828_swio10_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222582, 0x56b96962111a5d63, 0x68ba47f499f1f36b, 0x22e1ff166ecade3b, 0x0b42c902282ffb3d,
  0xc9dd3b410e5d96aa, 0xff5fed9f383304f8, 0x83fdad19951826ce, 0x0d983403d4795975, 0xad080fe2b2ebea3e,
  0x1afa30b2c4522cd3, 0xab4bb931d0fb9980, 0x5e86a763d51e4873, 0xa214707e7b55ae87, 0xfe017b2d97317090,
  0x717d22cf546c1197, 0x1398609b5e5caad4, 0x7d59cea2a551aec9, 0xc14d7020272bb54b, 0x795b04956ae97f46,
  0x0f3e2d75cf6ab445, 0xee085482e52d7ce8, 0x169485e718df404b, 0x7f36c648ab74bd55, 0xbe2e4d5c1e6ca231,
  0x4eacc7903f2868b1, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x09d748bd9506792b,
};

static const uint64_t ur_t828_swio10_lednop_pr_ce[] = {
  0xd7eeeeeeef623f3e, 0x82b969621594dd63, 0x5bd067a917c4dc4e, 0xc3f112fcc760bc61, 0x1d3904240b8eefaf,
  0x609f193bb6456084, 0x0490ffe0d0f3e50e, 0x0b072439dff55f23, 0x3b9b5d36e76ff3c0, 0xe0a4f72c05d64c27,
  0x4e31c72ac0f05fa8, 0x4428e0f9cc580a65, 0x403ff6678ebd1f3b, 0xfadc0f2d6e117a05, 0x89cc304daf2e556a,
  0xbeace75152a8d764, 0x60a6b8101395daa5, 0xbcad824ab574bfa3, 0x079f16bae7b55a22, 0xf7042a417296be74,
  0x8b4a42f38c6fa025, 0x7f36c6431dba5eaa, 0x63ce2e4d5c6ca231, 0x4fdd598f2076d0d1, 0x5138cb25c33d30ae,
  0xdcd0ccb0e9296cb2, 0x2dd47978cc59e4af,
};

static const uint64_t ur_t828_swio10_lednop_pr_ce_u4[] = {
  0xefdddddda2445541, 0xbee5a58b811bbac6, 0x41b517588f8b7ede, 0x261c4f215b410178, 0xce1a70cec9eeeef3,
  0x4f8c9dd014933929, 0x6fbff5fed9f8ad30, 0xb49beee2fac89182, 0x488bee3441e78016, 0x2495fa8f84bf10d8,
  0x33f5933c5dcdaf72, 0x60782fd470527b96, 0xe62c0532a718e395, 0xc75e8f9da214707c, 0xb708bd02a01ffb33,
  0xd7972ab57d6e0796, 0xa9546bb244e61826, 0x09caed52df5673a8, 0x5aba5fd1b0535c08, 0x73daad115e56c125,
  0xb94b5f3a03cf8b5d, 0xc637d012fb821520, 0x8edd2f5545a52179, 0x0f365118bf9b6321, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xca833c95fb9a1996, 0x000000000dd78fae,
};

static const uint64_t ur_t828_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0xbb9696390b989ac6, 0x4760debd385f5a17, 0x348b50cd2d913762, 0xf91a17c2e8736d93,
  0x7755f33e0dc58960, 0xaff6cfa6dcc13e32, 0xffaa374b1820cdff, 0xbbfcf002d692c7ce, 0x7c984e7736b8000d,
  0xd4795c870376b2b0, 0x721fd47c1b3072fb, 0xc4522cd3ad08e405, 0x393fad801afa30b2, 0xa763d51e4873ab5c,
  0xc1f9ed57a7075e86, 0xecb65cc5c2428851, 0x459ea8d822813805, 0x609b5e5caad7a7ba, 0xcea2a551aec91398,
  0x7020272bb54b7d59, 0x04956ae97f46c14d, 0x2d75cf6ab445795b, 0x5482e52d7ce80f3e, 0x85e718df404bee08,
  0x8c863b74bd551694, 0x9ab83cd94462fe6d, 0x7903f2868b2d5e5c, 0xc69430a9cfd4eacc, 0x27e03e6879133c09,
  0xc09c6592e19e9857, 0x7ee6866587494b67, 0x009f83a2b2a0cf25,
};

static const uint64_t ur_t828_swio10_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0xbb96963672e0d61a, 0x67a1bb419ad1006d, 0x7b115371c560d916, 0x23bfa749fe0ed4ec,
  0xdd75bae282abbf27, 0x9af79f149304f8c9, 0x2faa395d18256fff, 0x6883cf002e77882e, 0x1f097e21b09117dc,
  0xc5dcdaeb82e1fff5, 0x721c0ddadcd8f933, 0x51f06cc1cbef51e5, 0xb34eb4239015c87f, 0xb6006be8c2cb1148,
  0x547921cead70e4fe, 0xb55e9c1d7a1a9d8f, 0x7317090a214707e7, 0xa3608a04e017b2d9, 0x7972ab5e9ee9167a,
  0x9546bb244e61826d, 0x9caed52df5673a8a, 0xaba5fd1b0535c080, 0x3daad115e56c1255, 0x94b5f3a03cf8b5d7,
  0x637d012fb821520b, 0xedd2f5545a52179c, 0xf365118bf9b63218, 0xd3e3458df1726ae0, 0xc2a73f53ab31e40c,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x579e4afdcd0ccb0e,
  0x00000004fc1539cf,
};

static const uint64_t ur_t828_swio10_lednop_hw[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10acc46b0, 0xf4b8ee8da1654192, 0xf06612220d72f6c1, 0xa826db19cdf74880,
  0x54c13e3277617ad1, 0xa30409fff7c0b3e6, 0x621fd47c90ef9626, 0x7ba69126e8e39560, 0x3b64547d21cc580b,
  0xce9371cb1823af17, 0x398609b5e5caad4a, 0xd59cea2a551aec91, 0x14d7020272bb54b7, 0x95b04956ae97f46c,
  0xf3e2d75cf6ab4457, 0xe085482e52d7ce80, 0x69485e718df404be, 0xf36c648ab74bd551, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000011c4b8a29e4a,
};

static const uint64_t ur_t828_swio10_lednop_ee_hw[] = {
  0x67eeeeeed12198e2, 0x56b96962111a5d63, 0x77ad177499f1f36b, 0x7a45c3fe2cdd95bc, 0xd416859204505ff6,
  0x13e32774a70f6d3a, 0x4d9dfec3fe7ce0cc, 0xb2eb07fb5a332a30, 0xd47c1b306807a8f2, 0x59a75a101fc565d7,
  0x330035f4616588a4, 0x90e756977263a1f7, 0x5d0ebd0d4ec7aa3c, 0xe1214428e0fcf6ab, 0x232ffc02f65b2e62,
  0x55a8e2fa459ea8d8, 0x5d922730c136bcb9, 0x6a96fab39d454aa3, 0xfe8d829ae0404e57, 0x688af2b6092ad5d2,
  0xf9d01e7c5aeb9ed5, 0x8097dc10a905ca5a, 0x7aaa2d290bce31be, 0x4462fe6d8c9156e9, 0x1539fa82ec6e3cd9,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874,
  0x000000016f93f085,
};

static const uint64_t ur_t828_swio10_lednop_ce_hw[] = {
  0xefdddddda2431202, 0xbee5a58b811bbac6, 0xfd0837588f8b7ede, 0xe64c389e42b68202, 0xd41434e19d93dddd,
  0xb4c13e3277599b62, 0x2304df7fec3fe7e2, 0xc49c84b7ddc5f591, 0x886c2445f71a20f3, 0xd735b986fd47c25f,
  0x3dcb19fac99e2ee6, 0x71cab03c17ea3829, 0x383e73160299538c, 0xfd99e3af47ced10a, 0x03cb5b845e81500f,
  0x0c136bcb955abeb7, 0x39d454aa35d92273, 0xae0404e576a96fab, 0x6092ad5d2fe8d829, 0xc5aeb9ed5688af2b,
  0x0a905ca5af9d01e7, 0x90bce31be8097dc1, 0xb190c76e97aaa2d2, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x59b6f820be9e4afd,
  0x0000000000000007,
};

// t828_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_swio10_lednop_ee_ce_hw[] = {
  0xa7bbbbbb44863375, 0x6ee5a58d9cb83586, 0x8eb33dd066b4401b, 0x763d88a9b8e2b06c, 0x9391dfd3a4ff076a,
  0x4f8c9dd2c55adb9d, 0x56fffb0ff9f14930, 0x5882e2faa395d182, 0x22fb8d1079e24e42, 0x83fea3e12fc43612,
  0x3e4cf17736bea83c, 0xd4795c870376b736, 0x721fd47c1b3072fb, 0xc4522cd3ad08e405, 0x393fad801afa30b2,
  0xa763d51e4873ab5c, 0xc1f9ed57a7075e86, 0xecb65cc5c2428851, 0x459ea8d822813805, 0x609b5e5caad7a7ba,
  0xcea2a551aec91398, 0x7020272bb54b7d59, 0x04956ae97f46c14d, 0x2d75cf6ab445795b, 0x5482e52d7ce80f3e,
  0x85e718df404bee08, 0x8c863b74bd551694, 0xec6e3cd94462fe6d, 0xc3def2861539fa82, 0x4cf03f8cbf313ffb,
  0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x808f5405f4f257ee, 0x0000000000000002,
};

// t828_swio10_dual_pr
static const uint64_t ur_t828_swio10_dual[] = {
  0xc8eeeeeeef3e6d3a, 0xeefcd532b49c4fda, 0xd5acfb65dd338666, 0x14d85c63d9b13338, 0x9873b653b2ddb235,
  0x4a9bb95ced9b75bc, 0x43d0690a919827c6, 0x75ce30713bf08046, 0xdd3e25c40c285cbf, 0x05166727f994d6a9,
  0xca9bd477f360bece, 0x98d022847242ac0c, 0x5ded7600dc3e057f, 0xd01f110caee2f77c, 0xd01cf09b7b8a8432,
  0xf344389096dca1ff, 0xfc906982c11c49cb, 0x221df2c3e460952b, 0xdf8e39560622fa8f, 0xbce62c0550798a2e,
  0x608ebc019da5f237, 0x67b63e41f5403ff6, 0xf9ddc5494538e079, 0xc136bcb955acfe2a, 0x9d454aa35d922730,
  0xe0404e576a96fab3, 0x092ad5d2fe8d829a, 0x5aeb9ed5688af2b6, 0xa905ca5af9d01e7c, 0x0bce31be8097dc10,
  0x8c9156e97aaa2d29, 0x9ab83cd94462fe6d, 0xf20669f1a2c79c5c, 0x5c33d30ae4fdd598, 0xb0e9296cf8138cb2,
  0xdcf579e4afdcd0cc, 0x00000000000c40e7,
};

static const uint64_t ur_t828_swio10_dual_pr_u4[] = {
  0x23bbbbbb4486ff3e, 0xbbf354cad2713f6b, 0xec6add9774ce199b, 0xa8a6c2e31ecd8999, 0x57b39db29d96ed91,
  0x254ddc9a78af63af, 0x21e8348548cc13e3, 0xbae718389df84023, 0xee9f12e206142e5f, 0xc0a2cce4ff32ec24,
  0x99537a8efe6c17d9, 0xf31a04508e485581, 0x8bbdaec01b87c0af, 0x5a03e22195dc5eef, 0xfa039e136f715086,
  0x7e68871212db943f, 0x7f84633058238939, 0xe443be587c8c12a5, 0xdbf1c72ac0c45f51, 0xf79cc580aa0f3145,
  0xcc11d78033b4be46, 0x2cf6c7c83ea807fe, 0x5f3bb8a928a71c0f, 0x1826d7972ab59fc5, 0x73a8a9546bb244e6,
  0x5c0809caed52df56, 0xc1255aba5fd1b053, 0x8b5d73daad115e56, 0x1520b94b5f3a03cf, 0x2179c637d012fb82,
  0xb1922add2f5545a5, 0xdf0dc79b288c5fcd, 0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x2926b5a8571f3c95,
};

static const uint64_t ur_t828_swio10_dual_pr_ee[] = {
  0xd6eeeee87ad0cf68, 0x1bf354ccc42cfd8d, 0xb49bdd3ac0291ddc, 0x06e976f5947eb458, 0xbbfbb2af6230ccdd,
  0x9b9347d4e8671bb2, 0x0d22c939827c6498, 0xc60e277e1008c87a, 0xc4b881850b97eeb9, 0x5305afccbb093ba7,
  0xbd471adb0274704b, 0x04508e485581e9b9, 0x80401b87c0aff31a, 0xb4432bb8bddf1779, 0xf0983dc54219682f,
  0x71212dba6dffd01c, 0x330582389397e688, 0xa35f7182757ff846, 0xdd7a8f2bcad07fb5, 0xfc5795bd47c1b307,
  0x16588a459a75a101, 0xea3a13f330035f46, 0xec6523400e756972, 0x7be7b55ae875ec66, 0x65f4b317090a5f23,
  0xdaca8d8232ffc02f, 0x55f3bb8a928e2c6f, 0x61826d7972ab59fc, 0x673a8a9546bb244e, 0x35c0809caed52df5,
  0x6c1255aba5fd1b05, 0xf8b5d73daad115e5, 0x21520b94b5f3a03c, 0x52179c637d012fb8, 0xdb1922add2f5545a,
  0xe9f0dc79b288c5fc, 0x53ab337f07771a2c, 0x32fcc4fe50c2a73f, 0xbff826879133c5ce, 0x64b867a615c9f8e7,
  0x9961d252d9f02719, 0x084571f3c95fb9a1, 0x0000000000001593,
};

static const uint64_t ur_t828_swio10_dual_pr_ee_u4[] = {
  0xd627777776890c86, 0x2eefcd53331aaf7e, 0x0f6bbf75b13b2123, 0x4c8f91374eb7bf61, 0x85900f5db1186762,
  0x3f72eec6ecb41e62, 0x41a41d7d304f8c92, 0x38c1c4efc201190f, 0xf8971030a172fdd7, 0x5a6275f997612774,
  0x37a8fa6f61158e03, 0x408a11c90ab03cad, 0x68380370f815fe63, 0xf688657717bbe2ef, 0xcf09a448a8432d08,
  0x871212db8cdffd01, 0x6330582389397e68, 0xad1c7b8c12397f84, 0x33d7d479594383fd, 0x0fe2b287ea3e0d98,
  0x30b2c4522cd3ad08, 0xfce1d07199801afa, 0x4ec13d1cdc73ab4b, 0x38ca7b55ae875e53, 0xbd971f18b8485922,
  0xb8a928e86fcbff00, 0xd7972ab59fc55f3b, 0xa9546bb244e61826, 0x09caed52df5673a8, 0x5aba5fd1b0535c08,
  0x73daad115e56c125, 0xb94b5f3a03cf8b5d, 0xc637d012fb821520, 0x2add2f5545a52179, 0xc79b288c5fcdb192,
  0x66fe0eee3458df0d, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4,
  0x19961d252d9f0271, 0x9028571f3c95fb9a, 0x00000000000000ac,
};

static const uint64_t ur_t828_swio10_dual_pr_ce[] = {
  0x91ddddddde7cd0e3, 0x05f9aa65691a9fb7, 0xef475f72741bb221, 0x634e5da72d9561b7, 0x29f65887b6ef91a6,
  0x06772ae36829af91, 0xf41a40523304f8c9, 0x738c1c4efc201190, 0x4f8971030a172fdd, 0x7598a1fe6535aa77,
  0xcdea3fced8487381, 0xd022847242ac0ca2, 0xf78600dc3e057f98, 0x9b910caee2f77c5d, 0x1cf099318a8432d0,
  0x44389096df4dffd0, 0x906982c11c49cbf3, 0x3bfeb37460870ffc, 0x6ed6ff3c00b9d9c3, 0x01438cc273b9b5e7,
  0x606b3fd4797d3dcb, 0xcc580a1ed008e395, 0xc75e45bb7c88c6f9, 0x8a928e86fee39633, 0x7972ab59fc55f3bb,
  0x9546bb244e61826d, 0x9caed52df5673a8a, 0xaba5fd1b0535c080, 0x3daad115e56c1255, 0x94b5f3a03cf8b5d7,
  0x637d012fb821520b, 0xedd2f5545a52179c, 0xf365118bf9b63218, 0xa7c68b1e71726ae0, 0x4c2b93f75663c819,
  0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x000000e7af4e73d5,
};

static const uint64_t ur_t828_swio10_dual_pr_ce_u4[] = {
  0x1deeeeeed121a5fb, 0x8df9aa640145efd9, 0xad0b6ebd60dcb07c, 0x466b8ec4957a7dec, 0x156557d68b56ea3b,
  0x64841729646bae1f, 0xc87a0d223ee9827c, 0xeeb9c60e277e1008, 0x3ba7c4b881850b97, 0x70d373456fccbb09,
  0x9439bd47cadb0df6, 0xf31a04508e485581, 0x8bbc92801b87c0af, 0x5a1dd22195dc5eef, 0xfa039e1369515086,
  0x7e68871212db85af, 0x7f84633058238939, 0xb75717d7ba8c12dd, 0x17dc6883cf127212, 0x2bf51f097e21b091,
  0x1c6678bb9b5d90e9, 0xb3fd4797d3dcb19e, 0x80a1ed008e395606, 0xe45bb7c88c6f9cc5, 0x28e86fee39633c75,
  0x2ab59fc55f3bb8a9, 0x6bb244e61826d797, 0xed52df5673a8a954, 0x5fd1b0535c0809ca, 0xad115e56c1255aba,
  0x5f3a03cf8b5d73da, 0xd012fb821520b94b, 0x2f5545a52179c637, 0x5118bf9b63218edd, 0x1ddc68b1be1b8f36,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xae3e792bf734332c, 0x000000000d244d00,
};

static const uint64_t ur_t828_swio10_dual_pr_ee_ce[] = {
  0x2beddddddd43359b, 0x657e6a9835ed05fb, 0xef1ff77aec21b4e7, 0xd60dc9301f210a8f, 0x71a7bbbc77f4d5f1,
  0xc87866147f0b5d46, 0x23cf5cc13e326275, 0x0e277e1008c87a0d, 0xb881850b97eeb9c6, 0x620fccbb093ba7c4,
  0x470d1b0d34707f93, 0xa11c90ab03b1f9bd, 0x00370f815fe63408, 0x8657717bbe2efea7, 0x34878a8432d060a8,
  0x425b7ec1ffa039e1, 0x0b0471272fcd10e2, 0xc163049dbff08c66, 0xc49c84b4d1dff546, 0x4e7736ba92737ff3,
  0x5a9e0376b2b32498, 0xd47c1b30613fd479, 0x2cd3ad08e4056a7b, 0xad801afa30b2c452, 0x291a0073ab5c175f,
  0xf6abd383af633763, 0x9662e1214be46f7c, 0xa8d822813805ecbe, 0x9ddc5497a786fdac, 0x136bcb955acfe2af,
  0xd454aa35d922730c, 0x0404e576a96fab39, 0x92ad5d2fe8d829ae, 0xaeb9ed5688af2b60, 0x905ca5af9d01e7c5,
  0xbce31be8097dc10a, 0x90c76e97aaa2d290, 0x0dc79b288c5fcdb1, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee,
  0x866587494b67c09c, 0x131b15c7cf257ee6, 0x000000000000004c,
};

static const uint64_t ur_t828_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xcd530b8fd5dfb33e, 0xe1edcedfbfb4afaf, 0x2f608338842a31d1, 0x82b706d9f46a4156,
  0xc6140b68b8b2bdfb, 0x7c64bb2b96906da7, 0x2321e8348bd9e982, 0x5fbae718389df840, 0x44ee9f12e206142e,
  0x38760cd787f995fb, 0xc4137a8e87db0c6e, 0xe63408a11c90ab03, 0x5de75f00370f815f, 0xa11c910caee2f77c,
  0x4073c26df7150865, 0x9a21c484b6f723ff, 0xe3a9cc1608e24e5f, 0x8bea8e394609faff, 0x6883cf12701cc6eb,
  0x1f097e21b09117dc, 0x8bb9b5ee4a3afbf5, 0xd4f01bb5b9bc9267, 0xa3e0d98309fea3ca, 0x669d6847202b53de,
  0x6c00d7d185962291, 0x48d0039d5ae0bafd, 0xb55e9c1d7b19bb19, 0xb317090a5f237be7, 0x46c11409c02f65f4,
  0xeee2a4bd3c37ed65, 0x9b5e5caad67f157c, 0xa2a551aec9139860, 0x20272bb54b7d59ce, 0x956ae97f46c14d70,
  0x75cf6ab445795b04, 0x82e52d7ce80f3e2d, 0xe718df404bee0854, 0x863b74bd55169485, 0xb83cd94462fe6d8c,
  0x0dfa08d1637c5c9a, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0xb20f3c95fb9a1996, 0x00000000200122fc,
};

static const uint64_t ur_t828_swio10_dual_hw[] = {
  0x47777776890c365a, 0x77e6a995a4e27ed6, 0xd8d5bb2ee99c3337, 0x514d85c63d9b1333, 0x36873b653b2ddb23,
  0xf8c95377226efafb, 0x08c87a0d21523304, 0x97eeb9c60e277e10, 0x093ba7c4b881850b, 0xf67028b3393fccbb,
  0x606654dea3bf9b05, 0x2bfcc68114239215, 0xbbe2ef6bb006e1f0, 0x219680f888657717, 0x0ffe80e784dbdc54,
  0x4e5f9a21c484b6e5, 0xa57ff90fcc1608e2, 0x51e443be587c8c12, 0x45dbf1c72ac0c45f, 0x46f79cc580aa0f31,
  0xfecc11d78033b4be, 0x0f2cf6c7c83ea807, 0xc55f3bb8a928a71c, 0xe61826d7972ab59f, 0x5673a8a9546bb244,
  0x535c0809caed52df, 0x56c1255aba5fd1b0, 0xcf8b5d73daad115e, 0x821520b94b5f3a03, 0xa52179c637d012fb,
  0xcdb1922add2f5545, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334,
  0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x031baad6a0be9e4a,
};

static const uint64_t ur_t828_swio10_dual_ee_hw[] = {
  0x1badddddda2432db, 0xb837e6a9998859fb, 0xb16937ba7580523b, 0xba0dd2edeb28fd68, 0xd577f7655ec46199,
  0x64989b91c1156699, 0xc87a0d22c939827c, 0xeeb9c60e277e1008, 0x3ba7c4b881850b97, 0x704b5305afccbb09,
  0xe9b9bd471adb0274, 0xf31a04508e485581, 0x177980401b87c0af, 0x682fb4432bb8bddf, 0xd01cf0983dc54219,
  0xe68871212dba6dff, 0xfe43f30582389397, 0xfed68d7dc609d5ff, 0xcc1f75ea3caf2b41, 0x8407f15e56f51f06,
  0x7d185962291669d6, 0xa5cba8e84fccc00d, 0xb19bb1948d0039d5, 0x7c8def9ed56ba1d7, 0x00bd97d2cc5c2429,
  0xb1bf6b2a3608cbff, 0x67f157ceee2a4a38, 0x91398609b5e5caad, 0xb7d59cea2a551aec, 0x6c14d7020272bb54,
  0x5795b04956ae97f4, 0x80f3e2d75cf6ab44, 0xbee085482e52d7ce, 0x5169485e718df404, 0x17f36c648ab74bd5,
  0xcfd4176371e6ca23, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00000576b0842fa7,
};

static const uint64_t ur_t828_swio10_dual_ce_hw[] = {
  0x0bdddddda2431f02, 0x1bf354c80147dfb4, 0xdd9bdd414f5a0dc7, 0x6279294ead0eb96a, 0x144d744f4fbdd817,
  0xc934b725188b37a6, 0x90f41a44463304f8, 0xdd738c1c4efc2011, 0x774f8971030a172f, 0xc0e0cdd5ff997612,
  0x2ba6f51f676c2391, 0xcc68114239215607, 0x2ef524006e1f02bf, 0xd031e88657717bbe, 0xd01cf09bba8a8432,
  0xf344389096dffe7f, 0xff21f982c11c49cb, 0xb5c5f531f1820d6f, 0xf71a20f3c49c8486, 0xfd47c25f886c2445,
  0xb99e2ee6d7eb3643, 0x1fa8fd44f72c67d4, 0x157dc891c72ac0ee, 0x067697c8def398b0, 0x07d500ffd99e3af0,
  0x494538e0796b70f9, 0xb955acfe2af9ddc5, 0xa35d922730c136bc, 0x576a96fab39d454a, 0xd2fe8d829ae0404e,
  0xd5688af2b6092ad5, 0x5af9d01e7c5aeb9e, 0xbe8097dc10a905ca, 0xe97aaa2d290bce31, 0xb288c5fcdb190c76,
  0x0c2a73f505d8dc79, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x0be9e4afdcd0ccb0, 0x00000000009bae31,
};

static const uint64_t ur_t828_swio10_dual_ee_ce_hw[] = {
  0xafb7777775050c86, 0x95f9aa60d7b417ec, 0xbc7fddebb086d39d, 0x583724c07c842a3f, 0xc69eeef1dfd357c7,
  0x3ae5dd8dd9bcc519, 0x0691e7ae609f1931, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0xc9b107e65d849dd3,
  0xdea3868d869a383f, 0x04508e485581d8fc, 0x53801b87c0aff31a, 0x54432bb8bddf177f, 0xf09a43c542196830,
  0x71212dbf60ffd01c, 0xf30582389397e688, 0x8d82c6093b7ffe43, 0xe789390969a3bfea, 0x6139dcdaf7437547,
  0xe56a780ddacacc92, 0xef51f06cc184ff51, 0x48b34eb4239015a9, 0x7eb6006be8c2cb11, 0x8ca46801cead705d,
  0xf3daaf4e0ebd8cdd, 0xfa598b84852f91bd, 0xb2a3608a04e017b2, 0xbe7771525e9e1bf6, 0x304daf2e556b3f8a,
  0xe75152a8d76489cc, 0xb8101395daa5beac, 0x824ab574bfa360a6, 0x16bae7b55a22bcad, 0x2a417296be74079f,
  0x42f38c6fa025f704, 0xc6431dba5eaa8b4a, 0x76371e6ca2317f36, 0x09c69430a9cfd4d8, 0x5727e03e6879133c,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x000003aeb8d85f4f,
};

static const uint64_t ur_t828_swio10_dual_ee_ce_u4_hw[] = {
  0xedddddda28d072df, 0xfcd530b8fd5dfb33, 0x18eedcedfbfb4afa, 0x0ab17b0419c421d5, 0xefdc15b836cfa352,
  0xf5cbeb6d6015c595, 0xcf4c13e325d95c99, 0xefc201190f41a45e, 0x30a172fdd738c1c4, 0x99641aa774f89710,
  0xb0c6e38760cd787f, 0x0ab03c4137a8e87d, 0xf815fe63408a11c9, 0x2f77c5de75f00370, 0x50865a11c910caee,
  0x723ff4073c26df71, 0x24e5f9a21c484b6f, 0xfafff88b24c1608e, 0xc6eb8bea8e394609, 0x7dc6883cf162fa12,
  0xff51f097e21b0911, 0x2678bb9b5c61776e, 0x3cad4f01bb5b9bc9, 0x3dea3e0d98309fea, 0x291669d6847202b5,
  0xafd6c00d7d185962, 0xb1948d0039d5ae0b, 0xbe7b55e9c1d7b19b, 0x5f4b317090a5f237, 0xd6546c11409c02f6,
  0x57ceee2a4bd3c37e, 0x8609b5e5caad67f1, 0x9cea2a551aec9139, 0xd7020272bb54b7d5, 0xb04956ae97f46c14,
  0xe2d75cf6ab445795, 0x85482e52d7ce80f3, 0x485e718df404bee0, 0xd8c863b74bd55169, 0x2ec6e3cd94462fe6,
  0xbc3def2861539fa8, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x7536dd7405cf257e, 0x000000000000001d,
};

// t828_swio11_noled_pr              t828_swio12_noled                 t828_swio12_noled_pr
static const uint64_t ur_t828_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xe97752267ba0c90e, 0x783309a93783eadb, 0xb21c7eb4d9fbad82,
  0xc13e3277417a0998, 0x13baffa82567e3dc, 0xff51d313be5ba08c, 0x9a711f238e5581d7, 0xe91193c731602dee,
  0x3ee39630475e2e76, 0x1826d7972ab52b04, 0x73a8a9546bb244e6, 0x05359caed52df576, 0x795b0495b1bd7d1b,
  0xe9de7eb5cf6ab445, 0x585cea75380b2953, 0xa025f70f2f14085a, 0x6ca2317f36d38c6f, 0x790347f1a2c79c37,
  0x2e19e985727eeacc, 0x87494b659289c659, 0x6d524f257ee68665, 0x0000000001f20072,
};

// t828_swio12_noled_pr_u4
static const uint64_t ur_t828_swio11_noled_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215b8fd61b04, 0x71d4899ee83243bb, 0x26a4f16f25f90069, 0x8c44c9eeb609e0cc,
  0xc9dd34b1c6c98911, 0xff8343cff75304f8, 0xf109df2dd046087a, 0x6491c72ac0ebffa8, 0xc9a398b016f74dd4,
  0x9630475e2e761be8, 0x6bcb955a9584d6e3, 0x54aa35d922730c13, 0xce576a96fabb39d4, 0x824ad8debe8d829a,
  0xb6bae7b55a22bcad, 0x1dd4d8a53c34ef37, 0x690b9c637d012fb8, 0xb2048ab74bd55169, 0x9357079b288c5fcd,
  0x31e40eda1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0xeaca8cc59e4afdcd, 0x00000000000003e4,
};

// t828_swio12_noled_pr_ee
static const uint64_t ur_t828_swio11_noled_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a588442b758d, 0x69ed0bde3f422998, 0x83f85bc882615e3c, 0xef17b532282ffbbf,
  0x93bb4cd19fd34767, 0xfe0d0f3f6ea609f1, 0x07fb5a3912304c09, 0x1b3060a7a8f2b727, 0x5a101fc56e4fd47c,
  0x35f4616588a459a7, 0xab4bbf83ac673300, 0xaf006769b918f873, 0x28c91f413daad743, 0xfe017b2e1c8c5c24,
  0x36bcb955a8e89a97, 0x454aa35d922730c1, 0xace576a96fabb39d, 0xd824ad8debe8d829, 0x7b6bae7b55a22bca,
  0x81dd4d8a53c34ef3, 0x9690b9c637d012fb, 0xdb2048ab74bd5516, 0x38b93571b288c5fc, 0x75663c81db43458f,
  0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944, 0xf153a3316792bf73, 0x0000000000000029,
};

// t828_swio12_noled_pr_ee_u4
static const uint64_t ur_t828_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b10887eeb0f2, 0x45db23a306b9b5ab, 0x45c3f5a033642c7d, 0x2da5a9b2282fef22,
  0x93bad88e72c14e54, 0xfebfdb3f1ca609f1, 0x0ff6b461ee304b75, 0x3660f4af51e5721e, 0xb4203f8ae43fa8f8,
  0x6be8c2cb1148b34e, 0xad2e514743ee6600, 0x7a1a9d90047109ce, 0x3de8c459ed56ba1d, 0xfc02f65b2e62e121,
  0x7164d73ca8d8232f, 0x1398609b5e5caad4, 0xd5d9cea2a551aec9, 0xf46c14d672bb54b7, 0xd115e56c1256c6f5,
  0xe1a779bdb5d73daa, 0xe8097dc0eea6c529, 0x5eaa8b4b485ce31b, 0x4462fe6d902455ba, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000275eeadb2a0c,
};

// t828_swio12_noled_pr_ce
static const uint64_t ur_t828_swio11_noled_pr_ce[] = {
  0x30feeeeeef621391, 0xae5a588567a75853, 0x1a6c6f3760f713a0, 0xf8886d58fcc588b2, 0x4a4829b1b7baa661,
  0x4f8c9dd083c8bd7e, 0x7ceff06879f2eb30, 0x839f38effacdd182, 0xcdafbb49b7f9e005, 0xf27b9602eb26139d,
  0x48e395606b3fd475, 0x7a3114e62c05ee81, 0x0ffd99e3af47cecf, 0xaa0796b75c327950, 0xe61826d7972ab555,
  0x7673a8a9546bb244, 0x1b05359caed52df5, 0x45795b0495b1bd7d, 0x69de6f6d75cf6ab4, 0x025f703ba9b14a78,
  0xaaa2d2d21738c6fa, 0x317f36c810c76e97, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x002dd6c7f8cc59e4,
};

// t828_swio12_noled_pr_ce_u4
static const uint64_t ur_t828_swio11_noled_pr_ce_u4[] = {
  0x993ddddda2446f43, 0x72d2c5c0819d639b, 0xda0baebcbdbf6f5f, 0x871508c812198bd7, 0xa199bbc77bbcdcc9,
  0xe32775a77daa67b2, 0x5bfd7fb67f4dcc13, 0x2656b8bebdd46099, 0x22fb8d1079e005ad, 0xc8fea3e12fc43612,
  0xfd64cf17736ba545, 0x1acff51d7c9ee58c, 0x8b017ba05238e558, 0xebd1f3b3de8c4539, 0xd70c9e5403ff6678,
  0xe5caad556a81e5ad, 0x551aec91398609b5, 0x2bb54b7d5d9cea2a, 0x256c6f5f46c14d67, 0x5d73daad115e56c1,
  0xea6c529e1a779bdb, 0x85ce31be8097dc0e, 0x0431dba5eaa8b4b4, 0x57079b288c5fcdb2, 0xe40fca1a2c6f8b93,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x7b65419e4afdcd0c, 0x000000000006ebed,
};

// t828_swio12_noled_pr_ee_ce
static const uint64_t ur_t828_swio11_noled_pr_ee_ce[] = {
  0x99eeeeeea0a22a20, 0x5a58e42eb8eb036c, 0xc71dc7798d685eee, 0x8be3da28400ce5de, 0x9697c2e8706d9334,
  0x47b16a8171abc898, 0xf6cfeed4c13e3277, 0xaa390f18218fffaf, 0xfcf002d693a7ceff, 0x4c273b9b5fbac000,
  0x3cafe701bb59583e, 0xcef51f06cc1ce3ea, 0x148b34eb4239015f, 0x17eb6006be8c2cb1, 0xd90047109cead705,
  0x167b55e9c1d7a1a9, 0x96cb98b8484f7a31, 0xe7951b04502700bd, 0x09b5e5caad7a789a, 0xea2a551aec913986,
  0x4d672bb54b7d5d9c, 0x56c1256c6f5f46c1, 0x9bdb5d73daad115e, 0xdc0eea6c529e1a77, 0xb4b485ce31be8097,
  0xcdb20431dba5eaa8, 0xcb9357079b288c5f, 0x598f207e50d165ab, 0x8138d2861539fa9d, 0x0ae4fc07cd0f2267,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000009f8f5b65419,
};

// t828_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t828_swio11_noled_pr_ee_ce_u4[] = {
  0xc7eeeeed173e1bc1, 0xcb4b1b38246b18ee, 0xd817a56c908036dd, 0x6238574ef2210589, 0x8269693fc1f1dd8f,
  0xd1d74d7015dda3bb, 0xaf79f801304f8c9d, 0xfaa3df71825adff9, 0x883cf002e76ff2e2, 0xf097e21b09117dc6,
  0x2ee6d7ea72e0bf51, 0xf9c06ed6e6c7c99e, 0x47c1b30738fa8f2b, 0xcd3ad08e4057f3bd, 0xd801afa30b2c4522,
  0x11c4273ab5c145fa, 0xd57a7075e86a7640, 0xe62e1213de8c459e, 0x46c11409c02f65b2, 0x7972ab5e9e26b9e5,
  0x9546bb244e61826d, 0xcaed52df57673a8a, 0x495b1bd7d1b05359, 0xd75cf6ab445795b0, 0xba9b14a7869de6f6,
  0x21738c6fa025f703, 0x810c76e97aaa2d2d, 0xd5c1e6ca2317f36c, 0xc819a7c68b1be2e4, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x179eaf3c95fb9a19,
  0x000000000009f9bc,
};

// t828_swio12_noled_hw
static const uint64_t ur_t828_swio11_noled_hw[] = {
  0x2783bbbbbacdfebe, 0xdcb4b10adc7eb0d8, 0x6deea44cf741921d, 0x1984d49e2de4bf34, 0x203188993dd6c13c,
  0x304f8c9ddf1f8569, 0x6087affdf02cff75, 0xbffa8f109df2dd04, 0x74dd46491c72ac0e, 0x61be8c9a398b016f,
  0x4d6e39630475e2e7, 0x30c136bcb955a958, 0xb39d454aa35d9227, 0xd829ace576a96fab, 0x2bcad824ad8debe8,
  0x4ef37b6bae7b55a2, 0x12fb81dd4d8a53c3, 0x55169690b9c637d0, 0xc5fcdb2048ab74bd, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x0000008e2d38e8a7,
};

// t828_swio12_noled_ee_hw
static const uint64_t ur_t828_swio11_noled_ee_hw[] = {
  0x245ddddda2432493, 0x5cb4b10887eeb0f2, 0xfda8bba306b9b5ab, 0x448b87eb4066c858, 0xa85b4b5364505fde,
  0x27c64ee86e415a76, 0x96ebfd87fcfc7298, 0xe43c1fed68c3dc60, 0x51f06cc1e95ea3ca, 0x669d68407f15c87f,
  0xcc00d7d185962291, 0x139d5a5ca28e87dc, 0x743af4353b2008e2, 0xc2427bd188b3daad, 0x465ff805ecb65cc5,
  0x55a8e2c9ae7951b0, 0x5d922730c136bcb9, 0xa96fabb39d454aa3, 0x8debe8d829ace576, 0x7b55a22bcad824ad,
  0x8a53c34ef37b6bae, 0xc637d012fb81dd4d, 0xab74bd55169690b9, 0x79b288c5fcdb2048, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x440be9e4afdcd0cc,
  0x000000000002df30,
};

// t828_swio12_noled_ce_hw
static const uint64_t ur_t828_swio11_noled_ce_hw[] = {
  0x993ddddda2433a31, 0x72d2c5c0819d639b, 0x7afbaebcbdbf6f5f, 0x930e2a119024331d, 0x054333778ef779b9,
  0x304f8c9ddb1361b4, 0xc132b7fb0ff9fd37, 0x27212cad717d7ba8, 0x1b09117dc6883cf1, 0xff5cd6ff51f097e2,
  0x72c67eb2678bb9b5, 0x72ac0d67fa8ebe4f, 0x229cc580bdd0291c, 0xb33c75e8f9d9ef46, 0xf2d6eb864f2a01ff,
  0x04daf2e556aab540, 0x75152a8d76489cc3, 0xa6b395daa5beaece, 0x2b6092b637afa360, 0xcdedaeb9ed5688af,
  0xee077536294f0d3b, 0x5a5a42e718df404b, 0xe6d90218edd2f554, 0xa82ec6e3cd94462f, 0xffbc3def2861539f,
  0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0759b31c485f4f25,
};

// t828_swio11_noled_ee_ce_u4_hw     t828_swio12_noled_ee_ce_hw        t828_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_t828_swio11_noled_ee_ce_hw[] = {
  0xb1fbbbbb44867f3e, 0x72d2c6ce091ac63b, 0x6c4ee95b24200db7, 0xc7b11c2ba7791083, 0xddc134b49fe0f8ee,
  0x193bb1aa8bf5d6d1, 0xbff61ff3f002609f, 0xe5c5f547bee304b5, 0xf71a20f3c49c849f, 0xfd47c25f886c2445,
  0x4cf17736bbaa3541, 0x795fce0376b7363e, 0x9dea3e0d9839c7d4, 0x291669d6847202bf, 0x2fd6c00d7d185962,
  0xb2008e2139d5ae0a, 0x2cf6abd383af4353, 0x2d973170909ef462, 0xcf2a3608a04e017b, 0x136bcb955af4f135,
  0xd454aa35d922730c, 0x9ace576a96fabb39, 0xad824ad8debe8d82, 0x37b6bae7b55a22bc, 0xb81dd4d8a53c34ef,
  0x69690b9c637d012f, 0x9b640863b74bd551, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0280ae20e17d3c95,
};

// t828_swio12_lednop
static const uint64_t ur_t828_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xee5a58856f4b586c, 0xa87bbe17a0a0c90e, 0x1984d49c7fc5f89d, 0x036c99a45dd6c13c,
  0x04f8c9dd05e826b2, 0x4913fea0959f0f73, 0xfd475f0ef96e8230, 0x6ee8148e3956075f, 0xf88ee19cc580b7ba,
  0xf71cb1823af173b0, 0xc136bcb955a95970, 0x9d454aa35d922730, 0x0404e576a96fabb3, 0x495cbd2fe8d829ae,
  0xd75cf6ab445795b0, 0x482e52d7ce80f3e2, 0x5e718df404bee085, 0xec8ab74bd5516948, 0xfb0ddb288c5fcdb2,
  0x32c970cf4c2b93f3, 0x332c3a4a5b2c944e, 0x41d36a92792bf734, 0x000000000000002a,
};

// t828_swio12_lednop_pr
static const uint64_t ur_t828_swio11_lednop_pr[] = {
  0x13777743d7d8ad4e, 0x5a58856802b13dd1, 0x77bebfc2e44335ae, 0xb89266c4522b53dc, 0x50fc5eecf7444790,
  0xee989b8256d19e63, 0x8343cfafb9827c64, 0x03be5b7b8c123dff, 0xb1c72ac0c9af51d0, 0xe731602cb298c79e,
  0x823af47cedf2231b, 0xcf6f7be91500ffd9, 0xdaf2e556b02b40f2, 0x152a8d76489cc304, 0x1395daa5beaece75,
  0x72f4bfa360a6b810, 0x73daad115e56c125, 0xb94b5f3a03cf8b5d, 0xc637d012fb821520, 0x2add2f5545a52179,
  0x1e6ca2317f36cbb2, 0xdb43459d3e2e4d5c, 0x1854e7ea75663c81, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x0001f26bb2331679,
};

// t828_swio12_lednop_pr_u4
static const uint64_t ur_t828_swio11_lednop_pr_u4[] = {
  0x783bbbbb45d8ad4e, 0xcb4b10ade96b0d82, 0xcc77c2f4141921dd, 0x26a4e3fe2fc4f8fd, 0x64cd22eeb609e0cc,
  0x4ee989b82482331b, 0xf8343cf87b9827c6, 0xbe1df2dd04609227, 0x291c72ac0ebffa8e, 0xc3398b016f74ddd0,
  0x630475e2e761f11d, 0x7972ab52b2e1ee39, 0x9546bb244e61826d, 0xcaed52df57673a8a, 0x7a5fd1b0535c0809,
  0xed5688af2b6092b9, 0xa5af9d01e7c5aeb9, 0x1be8097dc10a905c, 0x6e97aaa2d290bce3, 0x365118bf9b65d915,
  0xb43458df1726ae0f, 0x854e7ea75663c81d, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x8b3c95fb9a19961d, 0x000000007c996719,
};

// t828_swio12_lednop_pr_ee
static const uint64_t ur_t828_swio11_lednop_pr_ee[] = {
  0xfe0fbbbbbbd8ad4e, 0xfb969621130aac6e, 0x2f469eb11f16a661, 0xe0fe16f26bd385ed, 0xdd8335a08a0bfeef,
  0x32774c4dc15c68cc, 0xbfc1a1e7c9d4c13e, 0xa0ff6b4722460915, 0x83660c14f51e57f3, 0xeb4203f8aea57a8f,
  0x06be8c2cb1148b34, 0xead2e63c758ce660, 0xebc019dbe446f79c, 0x16f68ee1cf6ab5d0, 0xff00bd970e462e12,
  0x36bcb955a8eb05cb, 0x454aa35d922730c1, 0x04e576a96fabb39d, 0x5cbd2fe8d829ae04, 0x5cf6ab445795b049,
  0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0xf36d38c6fa025f72, 0x3ce2e4d5c6ca2317, 0xfdd598f2076d0d16,
  0x138cb25c33d30ae4, 0xcd0ccb0e9296cb25, 0x29f39c8cc59e4afd,
};

// t828_swio12_lednop_pr_ee_u4
static const uint64_t ur_t828_swio11_lednop_pr_ee_u4[] = {
  0x122eeeeed1222a20, 0xae5a588441a75879, 0xfe9a5ddb6ebcdad5, 0x5c3f5a1fb066f4c8, 0x0f5d682282fef224,
  0x4ee8f62d51c63504, 0xfaff6cf93a9827c6, 0x3fdad187b8c122b7, 0xd983d2bd479594b8, 0xd080fe2b297ea3e0,
  0xafa30b2c4522cd3a, 0xb4ba561d0fb99801, 0xe86a76ea11af873a, 0xe44637e7b55ae875, 0xe017b2d97317090b,
  0x1770c9e546c1197f, 0x398609b5e5caad47, 0x5d9cea2a551aec91, 0x4d7020272bb54b7d, 0xad824ae5e97f46c1,
  0x9f16bae7b55a22bc, 0x042a417296be7407, 0x4a42f38c6fa025f7, 0x6d976455ba5eaa8b, 0x5c9ab83cd94462fe,
  0x598f207e50d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xd74d032a0cf257ee, 0x0000000000000009,
};

// t828_swio12_lednop_pr_ce
static const uint64_t ur_t828_swio11_lednop_pr_ce[] = {
  0x987f777777b15a91, 0x2b9696215b0aac29, 0x3dc5fbb3f83dc4e8, 0xf110da7a763c9983, 0x76c82d150f754cc3,
  0x9f193bad17a75459, 0x387fe0d0f3ec1660, 0x070e19dff59ba304, 0xe6d7d34ff3f3c00b, 0x7d3dcb01759309ce,
  0x08e395606b3fd479, 0x88c6f9cc580a1ed0, 0x3ff6678ebd1f3b7c, 0xb40f2d6edefa4540, 0xcc304daf2e556b02,
  0xece75152a8d76489, 0x6b8101395daa5bea, 0x6c12572f4bfa360a, 0xf8b5d73daad115e5, 0x21520b94b5f3a03c,
  0x52179c637d012fb8, 0xd97618edd2f5545a, 0xc5c9ab8d94462fe6, 0xab31e40eda1a2c79, 0x1964b867a615c9fb,
  0x19961d252d964a27, 0x9c29198b3c95fb9a, 0x00000000000005ba,
};

// t828_swio12_lednop_pr_ce_u4
static const uint64_t ur_t828_swio11_lednop_pr_ce_u4[] = {
  0x993ddddda2447032, 0x72d2c5c08fdd639b, 0xed91df4b5a3f6f5f, 0x0e2a1019b2163ea2, 0x50b696a6f779b993,
  0xc64eeb6239cb0539, 0xd7faff6cfc729827, 0x4b75717d7ba8c12d, 0x45f71a20f3c00b5a, 0x72fd47c25f886c24,
  0xfac99e2ee6d7a4a6, 0x6b3fd4797d3dcb19, 0x580a1ed008e39560, 0xbd1f3b7c88c6f9cc, 0xdefa45403ff6678e,
  0x2e556b02b40f2d6e, 0xa8d76489cc304daf, 0x5daa5beaece75152, 0x4bfa360a6b810139, 0xaad115e56c12572f,
  0xb5f3a03cf8b5d73d, 0x7d012fb821520b94, 0xd2f5545a52179c63, 0x94462fe6d97618ed, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x00000375eeadb2a0,
};

// t828_swio12_lednop_pr_ee_ce
static const uint64_t ur_t828_swio11_lednop_pr_ee_ce[] = {
  0xd933dddddd4458e2, 0xdcb4b1c85e99d606, 0x3b06f6c982fad0bd, 0xa45f1eb8da29fb12, 0x92bd7e1743836c99,
  0xba5387b06e3add3b, 0xbfdb3fa6a609f193, 0xff54721e304ff9fe, 0x3ff9e005ad20cd9d, 0x3e4c273b9b5d9cba,
  0xea3cace181bb5958, 0x59c3f51f06cc1ce3, 0xb1148b34eb423901, 0x095beb6006be8c2c, 0xa9dba846be1cead7,
  0x637e7b55e9c1d7a1, 0x7b2d97317090be44, 0x864f2a3608a04e01, 0x1826d7972ab5e9eb, 0x73a8a9546bb244e6,
  0xc0809caed52df576, 0x092b97a5fd1b0535, 0x5aeb9ed5688af2b6, 0xa905ca5af9d01e7c, 0x0bce31be8097dc10,
  0xbb0c76e97aaa2d29, 0xe4d5c6ca2317f36c, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0xd765419e4afdcd0c, 0x00000000000a69a7,
};

// t828_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t828_swio11_lednop_pr_ee_ce_u4[] = {
  0xc7eeeeed173e1000, 0xcb4b1b388ceb18ee, 0xd375b8bd048036dd, 0xc470a123d39a286e, 0x38c4d27f83e3bb1e,
  0xdad5779dad9b3231, 0x5ef3f8dd304f8c9d, 0xf547bee3046bbff3, 0x20f3c00b9dd6fdc5, 0xc25f886c2445f71a,
  0x7736b85919ebfd47, 0xc30376b7363e4cf1, 0x3e0d9839c7d47959, 0x69d6847202b387ea, 0xc00d7d1859622916,
  0x8d7c39d5ae12b7d6, 0xabd383af4353b750, 0x62e1217c88c6fcf6, 0x6c11409c02f65b2e, 0x2e556bd3d70c9e54,
  0xa8d76489cc304daf, 0x5daa5beaece75152, 0x4bfa360a6b810139, 0xaad115e56c12572f, 0xb5f3a03cf8b5d73d,
  0x7d012fb821520b94, 0xd2f5545a52179c63, 0x94462fe6d97618ed, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000013f3249f3d5e,
};

// t828_swio12_lednop_hw
static const uint64_t ur_t828_swio11_lednop_hw[] = {
  0x13c1dddddd66ef3a, 0xee5a58856f4b586c, 0xa87bbe17a0a0c90e, 0x1984d49c7fc5f89d, 0x036c99a45dd6c13c,
  0x04f8c9dd05e826b2, 0x1244ffbe059f0f73, 0xff51d7c3be5ba08c, 0x9bba05238e5581d7, 0x3e23b86731602dee,
  0x3dc72c608ebc5cec, 0x304daf2e556a565c, 0xe75152a8d76489cc, 0x8101395daa5beaec, 0x12572f4bfa360a6b,
  0xb5d73daad115e56c, 0x520b94b5f3a03cf8, 0x179c637d012fb821, 0xbb22add2f5545a52, 0xfec376ca2317f36c,
  0x8cb25c33d30ae4fc, 0x0ccb0e9296cb2513, 0x11c43aa29e4afdcd,
};

// t828_swio12_lednop_ee_hw
static const uint64_t ur_t828_swio11_lednop_ee_hw[] = {
  0x122eeeeed121be4a, 0xae5a588441a75879, 0xe91fdddb6ebcdad5, 0x48b87eb43f60cde9, 0x081ebad04505fde4,
  0x9f193ba528eb6abe, 0x456ff61ff3e4ea60, 0x29707fb5a30f7182, 0x47c1b307a57a8f2b, 0x9a75a101fc5652fd,
  0x30035f4616588a45, 0x0e756974ac3a1f73, 0xd0ebd0d4edd4235f, 0x1217c88c6fcf6ab5, 0x32ffc02f65b2e62e,
  0x5a8e2ee193ca8d82, 0xd922730c136bcb95, 0x96fabb39d454aa35, 0x8d829ae0404e576a, 0x45795b0495cbd2fe,
  0xe80f3e2d75cf6ab4, 0x4bee085482e52d7c, 0x55169485e718df40, 0xc5fcdb2ec8ab74bd, 0x73f505d8dc79b288,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000002df7c930be9,
};

// t828_swio12_lednop_ce_hw
static const uint64_t ur_t828_swio11_lednop_ce_hw[] = {
  0x993ddddda2432493, 0x72d2c5c08fdd639b, 0xd45ddf4b5a3f6f5f, 0x261c542033642c7e, 0xdaa16d2d4deef373,
  0x609f193ba1b90569, 0x825baff61ff3f1ca, 0x4e4256eae2faf751, 0x361222fb8d1079e2, 0xde1f2d7ea3e12fc4,
  0xe58cfd64cf17736b, 0xcab0359fea3cbe9e, 0x7ce62c050f680471, 0x33c75e8f9dbe4463, 0x96b76f7d22a01ffb,
  0x26d7972ab5815a07, 0xa8a9546bb244e618, 0x809caed52df57673, 0x2b97a5fd1b0535c0, 0xeb9ed5688af2b609,
  0x05ca5af9d01e7c5a, 0xce31be8097dc10a9, 0x0c76e97aaa2d290b, 0x71e6ca2317f36cbb, 0xf79430a9cfd41763,
  0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc1102fa792bf7343,
  0x000000000001d66c,
};

// t828_swio11_lednop_ee_ce_u4_hw    t828_swio12_lednop_ee_ce_hw       t828_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_swio11_lednop_ee_ce_hw[] = {
  0xb1fbbbbb44864c7f, 0x72d2c6ce233ac63b, 0x4376ee2f41200db7, 0x8f62385091e9cd17, 0x189c62693fc1f1dd,
  0x32777aeee76d5799, 0xffd87fcfe374c13e, 0xf717d51efb8c11ae, 0xb8d1079e24e4255b, 0xea3e12fc4361222f,
  0xcf17736b9b76148f, 0x959c30376b7363e4, 0x7ea3e0d9839c7d47, 0x91669d6847202b38, 0x7d6c00d7d1859622,
  0x7508d7c39d5ae12b, 0xcf6abd383af4353b, 0xb2e62e1217c88c6f, 0xe546c11409c02f65, 0xdaf2e556bd3d70c9,
  0x152a8d76489cc304, 0x1395daa5beaece75, 0x72f4bfa360a6b810, 0x73daad115e56c125, 0xb94b5f3a03cf8b5d,
  0xc637d012fb821520, 0x8edd2f5545a52179, 0x3cd94462fe6d9761, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xc805f4f257ee6866, 0x000000000002808d,
};

// t828_swio11_dual_pr               t828_swio12_dual                  t828_swio12_dual_pr
static const uint64_t ur_t828_swio11_dual[] = {
  0x6a2eeeeeef3e306a, 0x7e6a995a7da7ecd1, 0xd2c5b1c7c8c33377, 0x6c7d33ac8283733e, 0x4e4931eb6eb45a8a,
  0x53772aafc995a421, 0x7a0d22e87304f8c9, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0xa2cce4ff329ad53b,
  0x537a8efe6c17d9c0, 0x1a04508e48558199, 0xdf00001b87c0aff3, 0x01f110caee2f77c5, 0x01cf09b7b8a8432d,
  0x344389096dd82ffd, 0xc906982c11c49cbf, 0xa3be596bc608517f, 0x51c72ac0f7bf51fb, 0x4e62c055079bf719,
  0x0475e00ced38a34c, 0x7b6b5c6faa01ffb3, 0xceee2a4b7f860796, 0x09b5e5caad67f157, 0xea2a551aec913986,
  0x20272bb54b7d5d9c, 0x4ae5e97f46c14d70, 0xbae7b55a22bcad82, 0x417296be74079f16, 0xf38c6fa025f7042a,
  0x6455ba5eaa8b4a42, 0xb83cd94462fe6d97, 0x0669f1a2c79c5c9a, 0x33d30ae4fdd598f2, 0xe9296cf8138cb25c,
  0xf579e4afdcd0ccb0, 0x000000000c4117dc,
};

// t828_swio12_dual_pr_u4
static const uint64_t ur_t828_swio11_dual_pr_u4[] = {
  0xa8bbbbbb4486dd9e, 0xf9aa6569f69fb345, 0x9f6ec71f230ccddd, 0x5363e99d64141bb5, 0x5a72498f5b75a2d4,
  0x537721f957ba2f5c, 0x7a0d22e87304f8c9, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0x28b3393fccbb093b,
  0x54dea3bf9b05f670, 0xc681142392156066, 0x77c00006e1f02bfc, 0x407c4432bb8bddf1, 0x4073c26dee2a10cb,
  0xcd10e2425b760bff, 0xf08c660b0471272f, 0xe8ef965af182145f, 0x5471cab03defd47e, 0x1398b01541e6fdc6,
  0xc11d78033b4e28d3, 0x9edad71bea807fec, 0xf3bb8a92dfe181e5, 0x826d7972ab59fc55, 0x3a8a9546bb244e61,
  0x0809caed52df5767, 0x92b97a5fd1b0535c, 0xaeb9ed5688af2b60, 0x905ca5af9d01e7c5, 0xbce31be8097dc10a,
  0xd9156e97aaa2d290, 0x1b8f365118bf9b65, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x4d0718ae3e792bf7, 0x0000000000000052,
};

// t828_swio12_dual_pr_ee
static const uint64_t ur_t828_swio11_dual_pr_ee[] = {
  0x8376eeee87ad0c86, 0xfcd533314d77ec53, 0x0fb755f362477706, 0xa5db4e40373baef7, 0x5c77ed88c3329c1b,
  0x7763765f5f98bb37, 0x3b8f9827c64989b9, 0xe277e1008c87a0d2, 0x881850b97eeb9c60, 0x5afccbb093ba7c4b,
  0x71adb0274704b530, 0x08e485581e9b9bd4, 0x01b87c0aff31a045, 0x32bb8bddf177aa44, 0x83dc54219682fb44,
  0x096df4d7fd01cf09, 0x2c11c49cbf344389, 0xa5460896bfc23198, 0xea3cae5741fed68e, 0xb95dea3e0d983dbf,
  0xc4522cd3ad080fe2, 0xd09f99801afa30b2, 0xed1e9473ab4b94b1, 0x7b55ae875ec66ec1, 0xa598b848538a34c6,
  0x546c1197fe017b2f, 0xceee2a4a38b8c845, 0x09b5e5caad67f157, 0xea2a551aec913986, 0x20272bb54b7d5d9c,
  0x4ae5e97f46c14d70, 0xbae7b55a22bcad82, 0x417296be74079f16, 0xf38c6fa025f7042a, 0x6455ba5eaa8b4a42,
  0x6e3cd94462fe6d97, 0x99bf83bb8d1674f8, 0x627f2861539fa9d5, 0x1343c899e2e7197e, 0x33d30ae4fc73dffc,
  0xe9296cf8138cb25c, 0xb8f9e4afdcd0ccb0, 0x0000000005644082,
};

// t828_swio12_dual_pr_ee_u4
static const uint64_t ur_t828_swio11_dual_pr_ee_u4[] = {
  0x5991ddddda2432db, 0xdf9aa66639f6fda0, 0xa6beea0a7ac2465d, 0x991f2253b7aec21e, 0x8fdcedfb6230ce05,
  0xfdc8e08ab01f19d2, 0x0691dc7cc13e3248, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0x6989d7e65d849dd3,
  0xdea3e9bd8456380d, 0x022847242ac0f2b4, 0xce400dc3e057f98d, 0xed10caee2f77c5de, 0x9e13489150865a11,
  0x871212dbe9affa03, 0x6330582389397e68, 0xad198f8c112d7f84, 0x3ea3d479594383fd, 0x0fe2b74bea3e0d98,
  0x30b2c4522cd3ad08, 0xfee1d07199801afa, 0xa769c51cdc73ab4b, 0x1c653daad743af29, 0xbd971f18b8484b5d,
  0xb8a928eae1cbff00, 0xd7972ab59fc55f3b, 0xa9546bb244e61826, 0x9caed52df57673a8, 0x97a5fd1b0535c080,
  0x9ed5688af2b6092b, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0x6da718df404bee45, 0xc6f86e3cd94462fe,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0002b21662b8f9e4,
};

// t828_swio12_dual_pr_ce
static const uint64_t ur_t828_swio11_dual_pr_ce[] = {
  0x699eeeeeef3e43ee, 0x7e6a995a33e7edc9, 0xda2fd323706c8841, 0xd38e210d2600a1d7, 0x17ebb3adbbc96998,
  0x9dcabbf227bb69eb, 0x0690aebcc13e3241, 0xe30713bf0804643d, 0xe25c40c285cbf75c, 0x66287f994d6a9dd3,
  0x7a8ff3b6121ce05d, 0x08a11c90ab0328b3, 0xc300370f815fe634, 0xe4432bb8bddf177c, 0x3c264c62a10cb426,
  0x0e2425b7d9dff407, 0x1a60b0471272fcd1, 0xffa829182175ff24, 0x620fcf002e765d4e, 0x1438cc273b9b5dfe,
  0x8193dea3ce33dcb0, 0x31602c7bd2a38e55, 0x8ebc8b76c911c647, 0x8a928ea32dc72c67, 0x7972ab59fc55f3bb,
  0x9546bb244e61826d, 0xcaed52df57673a8a, 0x7a5fd1b0535c0809, 0xed5688af2b6092b9, 0xa5af9d01e7c5aeb9,
  0x1be8097dc10a905c, 0x6e97aaa2d290bce3, 0x6ca2317f36cbb0c7, 0xf8d163ce2e4d5c1e, 0x85727eeacc790334,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000e7afa4ee7abc,
};

// t828_swio12_dual_pr_ce_u4
static const uint64_t ur_t828_swio11_dual_pr_ce_u4[] = {
  0x7233ddddda2432db, 0xdf9aa6400eb6fda2, 0xa6beeb4e374b07c8, 0x35c702f7eec5d266, 0xa51fb9d1ab762723,
  0x420b91c115603e33, 0x3d0691eb54c13e32, 0x5ce30713bf080464, 0xd3e25c40c285cbf7, 0x69b9a2b7e65d849d,
  0x1cdea3e56d86fb38, 0x8d022847242ac0ca, 0xdece400dc3e057f9, 0x0ee910caee2f77c5, 0x01cf09b4a8a8432d,
  0x68871212dbf4fffd, 0x846330582389397e, 0xee2faedf8c134dff, 0xb8d1079e24e425a6, 0xea3e12fc4361222f,
  0xccf17736bdc89257, 0xbd479c67b9633c38, 0x58f7a5471cab0327, 0x16ed92238c8e62c0, 0x1d465b8e58cf1d79,
  0x56b3f8abe7771525, 0x76489cc304daf2e5, 0xa5beaece75152a8d, 0xa360a6b8101395da, 0x115e56c12572f4bf,
  0x3a03cf8b5d73daad, 0x12fb821520b94b5f, 0x5545a52179c637d0, 0x62fe6d97618edd2f, 0x71a2c6f86e3cd944,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000006921662b8,
};

// t828_swio12_dual_pr_ee_ce
static const uint64_t ur_t828_swio11_dual_pr_ee_ce[] = {
  0x88eb6eeeeea1a5fb, 0x5f9aa60d7c897ed3, 0x99bdd4fb2d4d39d9, 0x60dc739c2c9b403b, 0xc7e571c77f4e711d,
  0x52c8d755189565f5, 0x07cfa609f19313ae, 0x713bf0804643d069, 0xc40c285cbf75ce30, 0x107e65d849dd3e25,
  0x3868d869a383fc9b, 0x08e485581d8fcdea, 0x01b87c0aff31a045, 0x657717bbe2ef76ec, 0x4878a8432d060a88,
  0x25b735bffa039e13, 0xb0471272fcd10e24, 0x3d1823fcff08c660, 0x49c84a76ceffaa35, 0xcee6d70449807f3c,
  0xc0806ed656649309, 0x47c1b307227a8f2b, 0xcd3ad08e4057813d, 0xd801afa30b2c4522, 0xd1e9473ab5c14bfa,
  0xd57a7075ec66ec1e, 0x662e1214e28d319e, 0x8d822813805ecbe9, 0xeee2a4bd3d1908aa, 0x9b5e5caad67f157c,
  0xa2a551aec9139860, 0x0272bb54b7d5d9ce, 0xae5e97f46c14d702, 0xae7b55a22bcad824, 0x17296be74079f16b,
  0x38c6fa025f7042a4, 0x31dba5eaa8b4a42f, 0xc79b288c5fcdb2ec, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac,
  0x6587494b67c09c65, 0x9c15c7cf257ee686, 0x0000000000009826,
};

// t828_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t828_swio11_dual_pr_ee_ce_u4[] = {
  0xaddddda26d3e421f, 0xa985c7af6fd8b146, 0x6d578ebfda57d7e6, 0xe3fdf5c9b1e1ecb2, 0x5b83658a3520acfb,
  0x750809793abdda09, 0x64bb2b917d60b68d, 0x21e8348d7059827c, 0xbae718389df84023, 0xee9f12e206142e5f,
  0x760cd787f995fb44, 0x137a8e87db0c6e38, 0x3408a11c90ab03c4, 0xf11880370f815fe6, 0x1c910caee2f77c5d,
  0x73c26df7150865a1, 0x21c484b6f495ff40, 0xa9cc1608e24e5f9a, 0xea8c6b4609d83fe3, 0x83cf12701cfd7b8b,
  0x097e21b09117dc68, 0xb9b5de0188c7f51f, 0x201bb5b9bc92678b, 0xf06cc1c89ea3caf0, 0x4eb4239015e04f51,
  0x006be8c2cb1148b3, 0x7a51cead7052feb6, 0x5e9c1d7b19bb07b4, 0x8b848538a34c67b5, 0x608a04e017b2fa59,
  0xb8a92f4f46422aa3, 0xd7972ab59fc55f3b, 0xa9546bb244e61826, 0x9caed52df57673a8, 0x97a5fd1b0535c080,
  0x9ed5688af2b6092b, 0xca5af9d01e7c5aeb, 0x31be8097dc10a905, 0x76e97aaa2d290bce, 0xe6ca2317f36cbb0c,
  0xd0468b1be2e4d5c1, 0x2a73f53ab337f06f, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7,
  0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x0000008004d06590,
};

// t828_swio12_dual_hw
static const uint64_t ur_t828_swio11_dual_hw[] = {
  0x51777776890c5aa4, 0xf354cad3ed3f668b, 0x3edd8e3e46199bbb, 0xa6c7d33ac828376b, 0x44e4931eb6eb45a8,
  0xc953772c3e9b4db0, 0xc87a0d22e87304f8, 0xeeb9c60e277e1008, 0x3ba7c4b881850b97, 0x7028b3393fccbb09,
  0x6654dea3bf9b05f6, 0xfcc6811423921560, 0xf177c00006e1f02b, 0xcb407c4432bb8bdd, 0xff4073c26dee2a10,
  0x2fcd10e2425b760b, 0x7ffc87e60b047127, 0xfba3be596bc60851, 0x1951c72ac0f7bf51, 0x4c4e62c055079bf7,
  0xb30475e00ced38a3, 0x967b6b5c6faa01ff, 0x57ceee2a4b7f8607, 0x8609b5e5caad67f1, 0x9cea2a551aec9139,
  0x7020272bb54b7d5d, 0x824ae5e97f46c14d, 0x16bae7b55a22bcad, 0x2a417296be74079f, 0x42f38c6fa025f704,
  0x976455ba5eaa8b4a, 0xec6e3cd94462fe6d, 0xc3def2861539fa82, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0xdd507185f4f257ee, 0x0000000000000018,
};

// t828_swio12_dual_ee_hw
static const uint64_t ur_t828_swio11_dual_ee_hw[] = {
  0xe0ddbbbbb4486f97, 0xbf354ccc535dfb14, 0xc3edd57cd891ddc1, 0xe976d3900dceebbd, 0xd71dfb6230cca706,
  0x9b93c119d6a9d6cd, 0x0d23b8f9827c6498, 0xc60e277e1008c87a, 0xc4b881850b97eeb9, 0x5305afccbb093ba7,
  0xbd471adb0274704b, 0x04508e485581e9b9, 0xa4401b87c0aff31a, 0xb4432bb8bddf177a, 0xf0983dc54219682f,
  0x389096df4d7fd01c, 0xf982c11c49cbf344, 0xa3a9518225afff21, 0x6ffa8f2b95d07fb5, 0xf8ae577a8f83660f,
  0x2cb1148b34eb4203, 0x2c7427e66006be8c, 0xb07b47a51cead2e5, 0x319ed56ba1d7b19b, 0xcbe9662e1214e28d,
  0x11551b0465ff805e, 0x55f3bb8a928e2e32, 0x61826d7972ab59fc, 0x673a8a9546bb244e, 0x5c0809caed52df57,
  0x6092b97a5fd1b053, 0xc5aeb9ed5688af2b, 0x0a905ca5af9d01e7, 0x90bce31be8097dc1, 0x65d9156e97aaa2d2,
  0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0x15da40817d3c95fb,
};

// t828_swio12_dual_ce_hw
static const uint64_t ur_t828_swio11_dual_ce_hw[] = {
  0xd89ddddda243359b, 0xfcd53200402fd999, 0x93374ed34e8371c6, 0x3c94a55cea2f8d5b, 0xd7bb0b58beeb33b1,
  0x92696e43c330a6b5, 0x90f41a40aa2609f1, 0xdd738c1c4efc2011, 0x774f8971030a172f, 0xc0e0cdd5ff997612,
  0x2ba6f51f676c2391, 0xcc68114239215607, 0x5de089006e1f02bf, 0xa063d10caee2f77c, 0xa039e13775150865,
  0xcd10e2425b7ddaff, 0xfc87e60b0471272f, 0x1b8beafe4608707f, 0xee3441e78939091c, 0xfa8f84bf10d8488b,
  0x733c5dcdae951723, 0xdea384f9ee58cfa9, 0x2d4aeea38e5581da, 0x06769c51a6273160, 0x37d500ffd99e3af0,
  0x496ff0c0f2d6e5ae, 0xb955acfe2af9ddc5, 0xa35d922730c136bc, 0x76a96fabb39d454a, 0x2fe8d829ae0404e5,
  0xab445795b0495cbd, 0xd7ce80f3e2d75cf6, 0xf404bee085482e52, 0x4bd55169485e718d, 0x5118bf9b65d863b7,
  0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x7d3c95fb9a19961d, 0x0000000013755d81,
};

// t828_swio12_dual_ee_ce_hw
static const uint64_t ur_t828_swio11_dual_ee_ce_hw[] = {
  0x11d6dddddd435032, 0xbf354c1af912fda7, 0x337ba9f65a9a73b2, 0xc1b8e73859368077, 0x8fcae38efe9ce23a,
  0x5caaf6d1fdeecbeb, 0xd20f9f4c13e32627, 0x60e277e1008c87a0, 0x4b881850b97eeb9c, 0x3620fccbb093ba7c,
  0xd470d1b0d34707f9, 0x8a11c90ab03b1f9b, 0xd80370f815fe6340, 0x10caee2f77c5deed, 0x2690f150865a0c15,
  0x484b6e6b7ff4073c, 0xc1608e24e5f9a21c, 0xa9e8c11fe7ff90fc, 0xe24e4253b677fd51, 0x139dcdaf494ce5f9,
  0x578100ddacacc926, 0x7a8f83660e44f51e, 0x459a75a11c80af02, 0xf5b0035f4616588a, 0x3da3d28e756b8297,
  0x3daaf4e0ebd8cdd8, 0xd2cc5c2429c51a63, 0x551b04502700bd97, 0xf9ddc5497a7a3211, 0xc136bcb955acfe2a,
  0x9d454aa35d922730, 0x0404e576a96fabb3, 0x495cbd2fe8d829ae, 0xd75cf6ab445795b0, 0x482e52d7ce80f3e2,
  0x5e718df404bee085, 0xd863b74bd5516948, 0x1b8f365118bf9b65, 0x92e19e985727e7f6, 0x6587494b67c09c65,
  0xf4e05f4f257ee686, 0x0000000000001134,
};

// t828_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_t828_swio11_dual_ee_ce_u4_hw[] = {
  0x6addddda28d1bf5b, 0x6a985c7af6fd8b14, 0xeed578ebfda57d7e, 0xcfbe3fdf5c9bd1e1, 0xa095b83658a3520a,
  0xd601d9017793abdd, 0x2cc13e325d95c99b, 0xfc201190f41a46b8, 0x0a172fdd738c1c4e, 0x9641aa774f897103,
  0x0c6e38760cd787f9, 0xab03c4137a8e87db, 0x815fe63408a11c90, 0xf77c5df11880370f, 0x0865a11c910caee2,
  0x95ff4073c26df715, 0x4e5f9a21c484b6f4, 0x83ff88b24c1608e2, 0xd7b8bea8c6b4609d, 0xdc6883cf162fa12f,
  0xf51f097e21b09117, 0x99e2ee6d7ea72e0b, 0xf2bc0806ed6e6f24, 0x13d47c1b307227a8, 0x522cd3ad08e40578,
  0xbfad801afa30b2c4, 0xc1ed1e9473ab5c14, 0x19ed57a7075ec66e, 0xbe9662e1214e28d3, 0x8aa8d822813805ec,
  0x57ceee2a4bd3d190, 0x8609b5e5caad67f1, 0x9cea2a551aec9139, 0x7020272bb54b7d5d, 0x824ae5e97f46c14d,
  0x16bae7b55a22bcad, 0x2a417296be74079f, 0x42f38c6fa025f704, 0x2ec31dba5eaa8b4a, 0xd8dc79b288c5fcdb,
  0x87bde50c2a73f505, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xb6acde80b9e4afdc, 0x00000000000003ae,
};

// t828_swio13_noled_pr
static const uint64_t ur_t828_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x0b23c19849eed327, 0x10bcd875e35de4dd,
  0xc7cc13e32776c7b2, 0x91826dfffa82567c, 0x1f3dea3c4277cb74, 0xbdd3200b5e38e558, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0x398609b5e5caad4a, 0x7d9cea2a551aec91, 0x05359caed52df553, 0xcad824ab57bd7d1b,
  0x4ef3f5ae7b55a22b, 0xc2e753a9c0594a9f, 0x012fb85fb8a042d2, 0x65118bf9b69c637d, 0xc81a3f8d163ce1bb,
  0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9, 0x6a92792bf734332c, 0x0000000003e40923,
};

static const uint64_t ur_t828_swio13_noled_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10acebeb01, 0x76a1e8da16541921, 0xcc24f7569421b45c, 0x267e9777ee8591e0,
  0x8c9dd5c62454dc1b, 0x8ff06879fdbf304f, 0x1fe43be5ba48c13a, 0x7af91c72ac0f9ef5, 0x1f40731602dee982,
  0x39630475e2e768c9, 0x36bcb955a959d06e, 0x454aa35d922730c1, 0x95daa5beaa6fb39d, 0x956af7afa360a6b3,
  0x75cf6ab445795b04, 0xa9b14a7869de6f6d, 0x1738c6fa025f703b, 0x43156e97aaa2d2d2, 0x5c1e6ca2317f36d8,
  0x903b6868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf,
  0x2c3a4a5b3e04e32c, 0xbe3316792bf73433, 0x00000000000f9348,
};

static const uint64_t ur_t828_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0x87ee5a58844b2758, 0x9fbd867aebcbda99, 0xdf83f85d09ad4fc7, 0xd8333630a2282ffc,
  0x7c64eeae312247e0, 0x4dff8343cf8d6982, 0xc9c1fed68fba8c13, 0x3e0d98397dea3cad, 0xd3ad080fe2b80dea,
  0x801afa30b2c4522c, 0x73ab4b87b1d63399, 0x43af006764c518f8, 0x242b591f413daad7, 0x97fe017b2e1c8c5c,
  0x826d7972ab51d57f, 0x3a8a9546bb244e61, 0x672bb54b7d54df67, 0x092ad5ef5f46c14d, 0xfd6b9ed5688af2b6,
  0xd4ea701652a7d3bc, 0xee17ee2810b4b0b9, 0x62fe6da718df404b, 0xa2c79c5c9ab8d944, 0x5c9fbab31e40eda1,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000a7cd39198b3c9,
};

static const uint64_t ur_t828_swio13_noled_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b10890ceb1, 0xd91d68ba4cf8f9b5, 0x48b87c6be2f361a9, 0xf5c69e144505fe84,
  0x193ba8293974e086, 0x7febfdb3e35a609f, 0xe0ff6b471ee304d3, 0x83660cf5f51e5670, 0xeb4203f8ace1fa8f,
  0x06be8c2cb1148b34, 0xead2ffb8743ee660, 0xd7a1a9db4a47f21c, 0x12628f7b9ed56ba1, 0xffc02f65b2e62e12,
  0x8e2fa0c16a8d8232, 0x22730c136bcb955a, 0xa6fb39d454aa35d9, 0x360a6b395daa5bea, 0x5795b04956af7afa,
  0x9de6f6d75cf6ab44, 0x25f703ba9b14a786, 0xaa2d2d21738c6fa0, 0x17f36d843156e97a, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x009d7ab299506792,
};

static const uint64_t ur_t828_swio13_noled_pr_ce[] = {
  0x3f6dddddddec4743, 0xd0572d2c42b593ac, 0x9b1a56f522f89b89, 0x87e223076a70bfd2, 0xab0568c2a00dd7ed,
  0xc13e32776a2f25a0, 0x08e97fc1a1e7ca5c, 0x160e3a53bfea0a46, 0x9dcdae1a34d7e780, 0x79ba7b9602eb2613,
  0xe5f471cab0327bd4, 0x93147bd9cc580bb7, 0xa01ffb33c75e8f9d, 0x42260796b75ac4d2, 0x44e61826d7972ab5,
  0x4df673a8a9546bb2, 0x6c14d672bb54b7d5, 0xaf2b6092ad5ef5f4, 0x3bcdedaeb9ed5688, 0x4bee077536294f0d,
  0x545a5a42e718df40, 0x5fcdb61098edd2f5, 0x58f38b93571b288c, 0x93f75663c81db434, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x0b7517ee3316792b,
};

static const uint64_t ur_t828_swio13_noled_pr_ce_u4[] = {
  0x45dddddda2447705, 0xbee5a58b8162fac2, 0x05d083588f8b7ede, 0x261c45ecd85a217d, 0x4c6967ede9eea453,
  0x4f8c9ddb0db2bc8a, 0x4aeff5fed9fd9d30, 0x692575c5f5dbf182, 0x9117dc6883cf002d, 0xe92bf51f097e21b0,
  0x67eb2678bb9b5d90, 0x6064f7a8f374f72c, 0x98b0176fcbe8e395, 0x8ebd1f3b2628f7b3, 0x6eb589a5403ff667,
  0xaf2e556a844c0f2d, 0x52a8d76489cc304d, 0x76a96faa9bece751, 0x5abdebe8d829ace5, 0x73daad115e56c125,
  0x6c529e1a779bdb5d, 0xce31be8097dc0eea, 0x31dba5eaa8b4b485, 0x0f365118bf9b6c21, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xca833c95fb9a1996, 0x000000000dd779b6,
};

static const uint64_t ur_t828_swio13_noled_pr_ee_ce[] = {
  0x06eeeeeea0a232a8, 0xee5a58e42ff4eb10, 0x1d123af4e17d685e, 0x69173123f51717c7, 0xd331a7c2e8720026,
  0x774eb46a666cfb92, 0xd7fb67c344c13e32, 0x7fd519c38c12c7ff, 0xa0fe78016b4863e7, 0x3e4c273b9b5dd51a,
  0xea3cadd281bb5958, 0x5ba5f51f06cc1a01, 0xb1148b34eb423901, 0x1fbbeb6006be8c2c, 0xa9db4a47f21cead7,
  0x3dee7b55e9c1d7a1, 0xbd96cb98b848498a, 0x4182d51b04502700, 0x0c136bcb955af4f7, 0x39d454aa35d92273,
  0x6b395daa5beaa6fb, 0xb04956af7afa360a, 0xf6d75cf6ab445795, 0x03ba9b14a7869de6, 0x2d21738c6fa025f7,
  0xdb084c76e97aaa2d, 0xc9ab83cd94462fe6, 0xc7903f2868b2d5e5, 0x9c69430a9cfd4eac, 0x727e03e6879133c0,
  0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0004fc2b532a0cf2,
};

static const uint64_t ur_t828_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e5f41, 0xbb969636720dd61e, 0x17accf419ad1006d, 0x3d889212ef92d458, 0x919ae3a4ff077a76,
  0x3bb45fddb62ae313, 0xe6bde7d0fa609f19, 0xc5f5476ea304c41f, 0x1a20f3c00b9ddadd, 0x47c25f886c2445f7,
  0xf17736bbb76164fd, 0x5ba50376b7363e4c, 0xea3e0d983403d479, 0x1669d6847202b74b, 0xd6c00d7d18596229,
  0x948fe439d5ae3f77, 0xf6abd383af4353b6, 0x9731709093147bdc, 0xaa3608a04e017b2d, 0xd7972ab5e9ee8305,
  0xa9546bb244e61826, 0xbb54b7d54df673a8, 0xad5ef5f46c14d672, 0xb9ed5688af2b6092, 0x36294f0d3bcdedae,
  0xe718df404bee0775, 0x98edd2f5545a5a42, 0x079b288c5fcdb610, 0x669f1a2c6f8b9357, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x7abcf257ee686658,
  0x0000000027e3f02e,
};

static const uint64_t ur_t828_swio13_noled_hw[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10acebeb0, 0x5b006e8da1654192, 0x1e0cc24f7569421b, 0x568267e9777ee859,
  0xfcc13e3277731243, 0x2304ea3fef8167f6, 0x3e7bd47f90ef96e9, 0x7ba609ebe471cab0, 0x9da3247d01cc580b,
  0x6741b8e58c11d78b, 0x9cc304daf2e556a5, 0xbece75152a8d7648, 0x829ace576a96faa9, 0xe56c1255abdebe8d,
  0x79bdb5d73daad115, 0x7dc0eea6c529e1a7, 0x8b4b485ce31be809, 0xfcdb610c55ba5eaa, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x000004715ba8a792,
};

static const uint64_t ur_t828_swio13_noled_ee_hw[] = {
  0x84dddddda2431768, 0x56b9696211219d62, 0xa7b6477499f1f36b, 0x1122e1f1af8bcd86, 0xb3d71a78511417fa,
  0x04f8c9dd37476b47, 0x134dffb0ff9f1ad3, 0x59c383fdad1c7b8c, 0xea3e0d9833d7d479, 0x2cd3ad080fe2b387,
  0x99801afa30b2c452, 0xc873ab4bfee1d0fb, 0xae875e86a76d291f, 0xb848498a3dee7b55, 0x08cbff00bd96cb98,
  0x556a38be8305aa36, 0xd76489cc304daf2e, 0x6faa9bece75152a8, 0xebe8d829ace576a9, 0xad115e56c1255abd,
  0x9e1a779bdb5d73da, 0xbe8097dc0eea6c52, 0xa5eaa8b4b485ce31, 0x288c5fcdb610c55b, 0xc2a73f505d8dc79b,
  0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e,
  0x000000005bfc21f0,
};

static const uint64_t ur_t828_swio13_noled_ce_hw[] = {
  0x22eeeeeed1218375, 0x5f72d2c5c0b17d61, 0xfda0bbac47c5bf6f, 0xa64c388bd9b0b442, 0xd6c4d2cfdbd3dd48,
  0x74c13e327760580a, 0xe30495dfec3fe7f6, 0x8939094aeb8bebb7, 0x10d8488bee3441e7, 0xafd83787fa8f84bf,
  0x7b9633f5933c5dcd, 0x71cab0327bd479ba, 0x7bd9cc580bb7e5f4, 0xfb33c75e8f9d9314, 0x0796b75ac4d2a01f,
  0x1826d7972ab54226, 0x73a8a9546bb244e6, 0xd672bb54b7d54df6, 0x6092ad5ef5f46c14, 0xedaeb9ed5688af2b,
  0x077536294f0d3bcd, 0x5a42e718df404bee, 0xb61098edd2f5545a, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50,
  0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x59b30720be9e4afd,
  0x0000000000000007,
};

// t828_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_t828_swio13_noled_ee_ce_hw[] = {
  0xa7bbbbbb44863d5b, 0x6ee5a58d9c837587, 0x2ec0bdd066b4401b, 0x3b1ec4490977c96a, 0x89c8cd71d27f83bd,
  0x4f8c9dd67ceb7b5a, 0x620ff61ff3e87d30, 0xad6ee2faa3b75182, 0x45f71a20f3c49c84, 0xbbfd47c25f886c24,
  0x3e4cf17736b8000d, 0xd4795ba50376b736, 0xb74bea3e0d983403, 0x62291669d6847202, 0x3f77d6c00d7d1859,
  0x53b6948fe439d5ae, 0x7bdcf6abd383af43, 0x7b2d973170909314, 0x8305aa3608a04e01, 0x1826d7972ab5e9ee,
  0x73a8a9546bb244e6, 0xd672bb54b7d54df6, 0x6092ad5ef5f46c14, 0xedaeb9ed5688af2b, 0x077536294f0d3bcd,
  0x5a42e718df404bee, 0xb61098edd2f5545a, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50, 0x899e07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0xa0298be0be9e4afd,
};

static const uint64_t ur_t828_swio13_lednop[] = {
  0x02cb77777759bb37, 0x243bb96962158656, 0x83ef8fdd0e28e383, 0x91e0cc24f73afad3, 0x1a6c401b6f67ee85,
  0x3dcc13e32776c7b2, 0x48c13baffa82567e, 0x0f9ef51e6e3be5ba, 0xbdd36df97d1c72ac, 0x9d96ba3b58e62c05,
  0x65adb8e58c11d78b, 0x9cc304daf2e556a5, 0xbece75152a8d7648, 0xe0404e576a96faa9, 0x824ae492fe8d829a,
  0x16bae7b55a22bcad, 0x2a417296be74079f, 0x42f38c6fa025f704, 0xb18c55ba5eaa8b4a, 0x9fd86ed94462fe6d,
  0x71964b867a615c9f, 0xa19961d252d964a2, 0xa4fadb5493c95fb9, 0x0000000000000002,
};

static const uint64_t ur_t828_swio13_lednop_pr[] = {
  0x56eeeee87afb1762, 0xd72d2c42b171ac16, 0xf5e9ea981c52219a, 0xe412276dfa5d9f8e, 0x0bfc7d69ba595111,
  0x193bb4cd19833477, 0xffe0d0f3f52a609f, 0xfa51df2d07e30431, 0x3a88e395607d07a8, 0x7191cc580b2ca67f,
  0xfb30475e8f9db244, 0x7967b707ee1aa01f, 0x826d7972ab5976a0, 0x3a8a9546bb244e61, 0x272bb54b7d54df67,
  0x72497f46c14d7020, 0x73daad115e56c125, 0xb94b5f3a03cf8b5d, 0xc637d012fb821520, 0x2add2f5545a52179,
  0x1e6ca2317f36d8c6, 0xdb43459d3e2e4d5c, 0x1854e7ea75663c81, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2,
  0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x00007c9992331679,
};

static const uint64_t ur_t828_swio13_lednop_pr_u4[] = {
  0x2cb7777768bb1762, 0x43bb969621586560, 0x98ec2fd0e28e3832, 0x833093dcebeb4e0f, 0x77006dbd9fba1647,
  0x4f8c9dda668cd684, 0x3baff06879f8f730, 0xf51e6e3be5ba48c1, 0x6df97d1c72ac0f9e, 0xba3b58e62c05bdd3,
  0xb8e58c11d78b9d96, 0x04daf2e556a565ad, 0x75152a8d76489cc3, 0x4e576a96faa9bece, 0xe492fe8d829ae040,
  0xe7b55a22bcad824a, 0x7296be74079f16ba, 0x8c6fa025f7042a41, 0x55ba5eaa8b4a42f3, 0x3cd94462fe6db18c,
  0x76d0d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81,
  0x7494b67c09c6592e, 0x662cf257ee686658, 0x000000000f93085c,
};

static const uint64_t ur_t828_swio13_lednop_pr_ee[] = {
  0x1cdf7777777b1762, 0x987ee5a58844242b, 0xbc69ed0bdf4b5a29, 0xe6fc1fc2e84db260, 0x1d9fbc5e8211417f,
  0x27c64eed33467f4d, 0x472ff06879feaf98, 0xba583fdad1f75182, 0x47c1b3072fbd4795, 0x9a75a101fc56517d,
  0x30035f4616588a45, 0x273ab4bbf83ac673, 0x743af00676c911a6, 0x848507d1dad3daad, 0xf2ffc02f65c3918b,
  0x304daf2e556a3a59, 0xe75152a8d76489cc, 0x04e576a96faa9bec, 0xae492fe8d829ae04, 0xae7b55a22bcad824,
  0x96165362ce80f3f5, 0xe7d14085a6ae757a, 0xf9b69c637d012fb8, 0x1e71726ae365118b, 0x7eeacc7903b6868b,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x53e2a74662cf257e,
};

static const uint64_t ur_t828_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed12232a8, 0xab5cb4b108942eb1, 0x9a5d5c7a36d889b5, 0x9170f8d78678bec9, 0xa2d054108a0bfd08,
  0x32774eb46a122cfa, 0x7faff6cff57cc13e, 0x83fdad1c7b8c1239, 0x0d9833d7d4795943, 0xad080fe2b287ea3e,
  0x1afa30b2c4522cd3, 0xab4bfce1d0fb9980, 0xbd0d4ec13d1cdc73, 0xb2447194f6ab5d0e, 0xfe017b2d97317090,
  0x38bb589a546c1197, 0x89cc304daf2e556a, 0x9bece75152a8d764, 0xae0404e576a96faa, 0xd824ae492fe8d829,
  0xf16bae7b55a22bca, 0x42a417296be74079, 0xa42f38c6fa025f70, 0xdb18c55ba5eaa8b4, 0xc9ab83cd94462fe6,
  0x98f207e50d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xae59b2a0cf257ee6, 0x0000000000000013,
};

static const uint64_t ur_t828_swio13_lednop_pr_ce[] = {
  0x3f6dddddddec53c3, 0xe82b9696215890ac, 0xf17e9bbd790c9dc4, 0xc3f11183d936a7b6, 0x31c4d8413c7eebf6,
  0xc13e327748fcbbb2, 0x085d7fc1a1e7d4f4, 0x160e1753bfea0a46, 0x7736bceddadfe780, 0xe719ee580bac984e,
  0xe951c72ac0c9ef51, 0x6488e32398b0163d, 0x403ff6678ebd1f3b, 0xbb503cb5ba0fdc35, 0x2730c136bcb955ac,
  0x6fb39d454aa35d92, 0xb8101395daa5beaa, 0x6092b924bfa360a6, 0xc5aeb9ed5688af2b, 0x0a905ca5af9d01e7,
  0x90bce31be8097dc1, 0xd8c4c76e97aaa2d2, 0x2e4d5c6ca2317f36, 0x598f2076d0d163ce, 0xcb25c33d30ae4fdd,
  0xccb0e9296cb25138, 0xb8f8cc59e4afdcd0, 0x0000000000002dd5,
};

static const uint64_t ur_t828_swio13_lednop_pr_ce_u4[] = {
  0x22eeeeeed1222044, 0x5f72d2c5c0a19d61, 0xd91d68ba306bbf6f, 0x64c388bde2f361a9, 0x0437ae34f0add48a,
  0x04f8c9dd4149cba7, 0x269bff5fed9f1ad3, 0xd6934ddc5f5dbf18, 0x09117dc6883cf002, 0x2b2a3f51f097e21b,
  0xc67eb2678bb9b5c9, 0x56064f7a8f38cf72, 0x1cc580b1ef4a8e39, 0x3c75e8f9db244719, 0xadd07ee1aa01ffb3,
  0xb5e5caad65da81e5, 0x2a551aec91398609, 0xaed52df5537d9cea, 0x25fd1b0535c0809c, 0x6ab445795b0495c9,
  0x2d7ce80f3e2d75cf, 0xdf404bee085482e5, 0x74bd55169485e718, 0x65118bf9b6c6263b, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x33c95fb9a19961d2, 0x0000006ebd594ca8,
};

static const uint64_t ur_t828_swio13_lednop_pr_ee_ce[] = {
  0x200ddddddd447e4a, 0xbddcb4b1c85fc8d6, 0x837b70754dd8fad0, 0x4cd22e63f4c8fc33, 0xbb58341785d0e400,
  0x64ee94a3ac6e95f4, 0xff5fed9f9db9827c, 0x1dff54670e304dda, 0x0d07fcf002d693fe, 0xac1f26139dcdaf95,
  0x00f51e565d40ddac, 0x80acbafa8f83660d, 0x16588a459a75a11c, 0x6b8f9df5b0035f46, 0xa1a9d827a39b8e75,
  0x2238ca7b55e9c1d7, 0x00bd96cb98b84859, 0x7ad626951b045027, 0x398609b5e5caad7a, 0x7d9cea2a551aec91,
  0xc0809caed52df553, 0x0495c925fd1b0535, 0x2d75cf6ab445795b, 0x5482e52d7ce80f3e, 0x85e718df404bee08,
  0xc6263b74bd551694, 0x726ae365118bf9b6, 0xcc7903f2868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0x9f32a0cf257ee686, 0x0000000000014d33,
};

static const uint64_t ur_t828_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6d3a, 0xbb969636711dd61e, 0x75a53b4ddb21006d, 0x3d8892106e5d91f3, 0x727533a4ff077a76,
  0x776e76cd8f6c9962, 0xcd7bcffebcc13e32, 0x8bea8edd4609003f, 0x3441e780173b6bbb, 0x8f84bf10d8488bee,
  0xc5dcdafc3fc7ddfa, 0x65d40ddadcd8f933, 0xa8f83660d00f51e5, 0x59a75a11c80acbaf, 0x5b0035f4616588a4,
  0x7a39b8e756b8f9df, 0xb55e9c1d7a1a9d82, 0xb98b848592238ca7, 0x51b04502700bd96c, 0x5e5caad7a7ad6269,
  0xa551aec91398609b, 0xed52df5537d9cea2, 0x5fd1b0535c0809ca, 0xab445795b0495c92, 0xd7ce80f3e2d75cf6,
  0xf404bee085482e52, 0x4bd55169485e718d, 0x5118bf9b6c6263b7, 0x3458df1726ae0f36, 0x73f53ab31e40cd3e,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00004fcd1c5cf579,
};

static const uint64_t ur_t828_swio13_lednop_hw[] = {
  0x02cb77777759bb37, 0x243bb96962158656, 0x83ef8fdd0e28e383, 0x91e0cc24f73afad3, 0x1a6c401b6f67ee85,
  0x3dcc13e32776c7b2, 0x92304eebfef8167e, 0x03e7bd479b8ef96e, 0x6f74db7e5f471cab, 0xe765ae8ed6398b01,
  0x596b6e39630475e2, 0x2730c136bcb955a9, 0x6fb39d454aa35d92, 0xb8101395daa5beaa, 0x6092b924bfa360a6,
  0xc5aeb9ed5688af2b, 0x0a905ca5af9d01e7, 0x90bce31be8097dc1, 0x6c63156e97aaa2d2, 0xe7f61bb65118bf9b,
  0x9c6592e19e985727, 0x6866587494b65928, 0x011c5f5d14f257ee,
};

static const uint64_t ur_t828_swio13_lednop_ee_hw[] = {
  0x426eeeeed121b768, 0xab5cb4b108942eb1, 0x93d34bba36d889b5, 0x1122e1f1af0cf17d, 0x1545a0a8211417fa,
  0x04f8c9dd764afb67, 0x2472ff61ff3fd5f3, 0xb28707fb5a38f718, 0xd47c1b3067afa8f2, 0x59a75a101fc5650f,
  0x330035f4616588a4, 0xb8e75697f9c3a1f7, 0xba1d7a1a9d827a39, 0xe1216488e329ed56, 0x232ffc02f65b2e62,
  0xaad47176b134a8d8, 0xaec91398609b5e5c, 0xdf5537d9cea2a551, 0xb0535c0809caed52, 0x5795b0495c925fd1,
  0x80f3e2d75cf6ab44, 0xbee085482e52d7ce, 0x5169485e718df404, 0x5fcdb6318ab74bd5, 0x3f505d8dc79b288c,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00002dfccc50be9e,
};

static const uint64_t ur_t828_swio13_lednop_ce_hw[] = {
  0x45dddddda2431768, 0xbee5a58b81433ac2, 0xa7b6477460d77ede, 0x29930e22f78bcd86, 0x5a3d9eb8d3c2b752,
  0xd69827c64ee9ba3b, 0xfc609a6ffd87fcf8, 0xf127212d37717d76, 0xe21b09117dc6883c, 0xb5e6199f3f51f097,
  0xcf72c67eb2678bb9, 0x8e3956064f7a8f38, 0x47191cc580b1ef4a, 0xffb33c75e8f9db24, 0x81e5add07ee1aa01,
  0x8609b5e5caad65da, 0x9cea2a551aec9139, 0x809caed52df5537d, 0x95c925fd1b0535c0, 0x75cf6ab445795b04,
  0x82e52d7ce80f3e2d, 0xe718df404bee0854, 0x263b74bd55169485, 0xb8f365118bf9b6c6, 0x7bca1854e7ea0bb1,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x843e17d3c95fb9a1,
  0x000000000001d66f,
};

// t828_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_swio13_lednop_ee_ce_hw[] = {
  0xa7bbbbbb4486cc7f, 0x6ee5a58d9c477587, 0xfe9badd376c8401b, 0x3b1ec44908372ec8, 0xb1393a99d27f83bd,
  0xf8c9dd4fbaafd51f, 0x00ff61ff3ffaf304, 0xaeee2faa3b751824, 0x5f71a20f3c49c849, 0x7fd47c25f886c244,
  0xc99e2ee6d7e41d5d, 0x8f2b2ea06ed6e6c7, 0x5d7d47c1b306807a, 0x4522cd3ad08e4056, 0xcefad801afa30b2c,
  0xec13d1cdc73ab5c7, 0x653daaf4e0ebd0d4, 0xcb65cc5c242c911c, 0x134a8d822813805e, 0x04daf2e556bd3d6b,
  0x75152a8d76489cc3, 0x4e576a96faa9bece, 0xe492fe8d829ae040, 0xe7b55a22bcad824a, 0x7296be74079f16ba,
  0x8c6fa025f7042a41, 0x1dba5eaa8b4a42f3, 0x79b288c5fcdb6313, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x9e0be9e4afdcd0cc, 0x000000000005017d,
};

// t828_swio13_dual_pr
static const uint64_t ur_t828_swio13_dual[] = {
  0x1fddddddde7c92df, 0xddf9aa6569b29fb1, 0x16f5de891e4b0ccd, 0x5360c4abe3b46e8b, 0xd84339cd3b748fd4,
  0x95377251f421b9c4, 0x87a0d23bad304f8c, 0xeb9c60e277e1008c, 0xba7c4b881850b97e, 0x0a2cce4ff329ad53,
  0x9537a8efe6c17d9c, 0x31a04508e4855819, 0xbbd0f801b87c0aff, 0xa03e22195dc5eef8, 0xa039e136f7150865,
  0xe68871212dba9eff, 0xf920d30582389397, 0xdf3be59ef8c13f77, 0xdc71cab0383fea3e, 0x2731602a83cce4c3,
  0x823af006764011c4, 0xcf6def8c9500ffd9, 0x7ceee2a4af9d40f2, 0x609b5e5caad67f15, 0xcea2a551aec91398,
  0x09caed52df5537d9, 0x5c925fd1b0535c08, 0x5cf6ab445795b049, 0x2e52d7ce80f3e2d7, 0x718df404bee08548,
  0x8ab74bd55169485e, 0x079b288c5fcdb631, 0xcd3e3458f38b9357, 0x7a615c9fbab31e40, 0x252d9f0271964b86,
  0xaf3c95fb9a19961d, 0x0000000310b1ff9e,
};

static const uint64_t ur_t828_swio13_dual_pr_u4[] = {
  0x3fbbbbbb44865c93, 0xbbf354cad3653f62, 0x6962dd123c96199b, 0xa8a6c18957c768dd, 0x793086739a76e91f,
  0x254ddc8671716eb7, 0x21e8348eeb4c13e3, 0xbae718389df84023, 0xee9f12e206142e5f, 0xc0a2cce4ff32ec24,
  0x99537a8efe6c17d9, 0xf31a04508e485581, 0x8bbd0f801b87c0af, 0x5a03e22195dc5eef, 0xfa039e136f715086,
  0x7e68871212dba9ef, 0x7f84633058238939, 0xedf3be59ef8c13f7, 0x3dc71cab0383fea3, 0x42731602a83cce4c,
  0x9823af006764011c, 0x2cf6def8c9500ffd, 0x57ceee2a4af9d40f, 0x8609b5e5caad67f1, 0x9cea2a551aec9139,
  0x809caed52df5537d, 0x95c925fd1b0535c0, 0x75cf6ab445795b04, 0x82e52d7ce80f3e2d, 0xe718df404bee0854,
  0x18ab74bd55169485, 0xdc79b288c5fcdb63, 0x666fe0eee3458df0, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x6bcf8571f3c95fb9, 0x0000000000000292,
};

static const uint64_t ur_t828_swio13_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0x37e6a9998f76fd8a, 0xd07dbb3890523bb8, 0xba5dd8644faaf4fb, 0x2bbc75d88c332941,
  0xca591aeb36855993, 0x90ba2cc13e324c4d, 0x0713bf0804643d06, 0x5c40c285cbf75ce3, 0x82d7e65d849dd3e2,
  0xa38d6d813a3825a9, 0x2847242ac0f4dcde, 0x600dc3e057f98d02, 0x2195dc5eef8bbee8, 0x4c1ee2a10cb417da,
  0x9096de76ffe80e78, 0x82c11c49cbf34438, 0x9458c1287ffc2319, 0xbd4795efb83fdad1, 0x2bdf7ea3e0d98332,
  0x2c4522cd3ad080fe, 0x1d09f99801afa30b, 0x1ed19ea73ab4b943, 0x67b55ae875ec66ed, 0xfa598b8484802388,
  0xb546c1197fe017b2, 0xf9ddc54947179177, 0xc136bcb955acfe2a, 0x9d454aa35d922730, 0x1395daa5beaa6fb3,
  0xb924bfa360a6b810, 0xb9ed5688af2b6092, 0x5ca5af9d01e7c5ae, 0xe31be8097dc10a90, 0x156e97aaa2d290bc,
  0x8f365118bf9b6c63, 0x6fe0eee34596af1b, 0xe34a1854e7ea7566, 0x93f01f343c899e04, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x005647ad8ae3e792,
};

static const uint64_t ur_t828_swio13_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0x777e6a9998957bf6, 0x56f77ba769a70919, 0x99991f2252b53ecb, 0xd201aaf1d76230cd,
  0x91fb93c119d385a9, 0x7a0d217459827c64, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0x1ad313afccbb093b,
  0x69bd47d37b08ac70, 0x1a04508e485581e5, 0xbf2a001b87c0aff3, 0x23da2195dc5eef8b, 0x073c269122a10cb4,
  0xa21c484b6f3b7ff4, 0x118cc1608e24e5f9, 0xf6b46fe460943ffe, 0xc184ff51e56c160f, 0x407f15c87f51f06c,
  0xd185962291669d68, 0x5dc98e838ccc00d7, 0x4d3b2008c1439d5a, 0xd1e459ed56ba1d79, 0x05ecb8f8c5c2427b,
  0xeee2a4a3ab5a5ff8, 0x9b5e5caad67f157c, 0xa2a551aec9139860, 0xcaed52df5537d9ce, 0x925fd1b0535c0809,
  0xf6ab445795b0495c, 0x2ca6c59d01e7eb5c, 0xa2810b4d5ceaf52c, 0x6d38c6fa025f71cf, 0x37c371e6ca2317f3,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00ac810b15c7cf25,
};

static const uint64_t ur_t828_swio13_dual_pr_ce[] = {
  0x2c1ddddddde7ce7c, 0x105f9aa6568589fb, 0x8bf5d6f6c4a33b22, 0x6634c4896a39cd8a, 0xf33ed3ed5f6eac1a,
  0x906772d9b69eae23, 0x87a0d23ce5304f8c, 0xeb9c60e277e1008c, 0xba7c4b881850b97e, 0x0bacc50ff329ad53,
  0x166f51fe76c2439c, 0xc681142392156065, 0xefe5a006e1f02bfc, 0x84dc88657717bbe2, 0x80e784c98c542196,
  0x9a21c484b6f15bfe, 0xe4834c1608e24e5f, 0xb3bfeb2fa304297f, 0xd6eb7ff3c00b9d94, 0xb01438cc273b9b5e,
  0x5581935ea3a013dc, 0xa73160298f3d638e, 0xcf1d7916ecbe23c8, 0xee2a4a3ac8bb8e58, 0xb5e5caad67f157ce,
  0x2a551aec91398609, 0xaed52df5537d9cea, 0x25fd1b0535c0809c, 0x6ab445795b0495c9, 0x2d7ce80f3e2d75cf,
  0xdf404bee085482e5, 0x74bd55169485e718, 0x65118bf9b6c6263b, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000073d7ce73d5e7,
};

static const uint64_t ur_t828_swio13_dual_pr_ce_u4[] = {
  0xc9dbbbbbb4486f97, 0xe46fcd53200ad3f6, 0xcedeef76c314e583, 0xe466b8d998ebe7d9, 0x6a74806abd9f6ee4,
  0x8c9082e4f04674e1, 0x190f41a45c95304f, 0xfdd738c1c4efc201, 0x2774f8971030a172, 0xce1a6e68adf99761,
  0x328737a8f95b61be, 0xfe63408a11c90ab0, 0xf177e5400370f815, 0xcb43ba4432bb8bdd, 0xff4073c26d2a2a10,
  0x5f9a21c484b6e63f, 0xdfe118cc1608e24e, 0xb675c5f532a304d9, 0x45f71a20f3c49c84, 0x72fd47c25f886c24,
  0x87199e2ee6d7a4a6, 0x64d7a8e804f72c67, 0x580a63cf58e39560, 0x5e45bb2f88f229cc, 0x928eb22ee39633c7,
  0x72ab59fc55f3bb8a, 0x46bb244e61826d79, 0x4b7d54df673a8a95, 0x46c14d7020272bb5, 0x115e56c12572497f,
  0x3a03cf8b5d73daad, 0x12fb821520b94b5f, 0x5545a52179c637d0, 0x62fe6db1898edd2f, 0x71a2c6f86e3cd944,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xf9e4afdcd0ccb0e9, 0x00000034902162b8,
};

static const uint64_t ur_t828_swio13_dual_pr_ee_ce[] = {
  0xb7daddddddd432db, 0x7657e6a9835da79f, 0x7efd5f76c5e3534e, 0x1d60dc9cbdc61f22, 0xb419caefc77f4fed,
  0xae47045583c333a9, 0x69196d2609f19313, 0x30713bf0804643d0, 0x25c40c285cbf75ce, 0x9b107e65d849dd3e,
  0xea3868d869a383fc, 0x4508e485581d8fcd, 0x0801b87c0aff31a0, 0x4432bb8bddf177ae, 0x09a43c5421968305,
  0x1212dbde1ffd01cf, 0x30582389397e6887, 0x3c091825adff8463, 0x9e24e424ff0effaa, 0x84e7736bf37d523f,
  0x95e560376b2b3249, 0xdea3e0d983eebd47, 0x91669d6847202bca, 0xfd6c00d7d1859622, 0x8f68cf539d5ae0a1,
  0xcf6abd383af63376, 0xf4b3170909004710, 0xb546c11409c02f65, 0x7ceee2a4bd3d9177, 0x609b5e5caad67f15,
  0xcea2a551aec91398, 0x09caed52df5537d9, 0x5c925fd1b0535c08, 0x5cf6ab445795b049, 0x2e52d7ce80f3e2d7,
  0x718df404bee08548, 0x63b74bd55169485e, 0x8f365118bf9b6c62, 0x9bf83bb8d163ce1b, 0x25c33d30ae4fdd59,
  0xcb0e9296cf8138cb, 0x9c2b8f9e4afdcd0c, 0x0000000000098274,
};

static const uint64_t ur_t828_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x9aa61712bdbf6ebb, 0x05aa3f45ff695f5f, 0xbf33736987d2c9a7, 0x4adc1bebb8d4828a,
  0x2ace797721ae2f22, 0xe325d95cab008404, 0x190f41a432cdcc13, 0xfdd738c1c4efc201, 0x2774f8971030a172,
  0xc3b066bc3fccafda, 0x209bd4743ed86371, 0x31a04508e485581e, 0x778aa001b87c0aff, 0x84724432bb8bddf1,
  0x01cf09b7dc542196, 0x68871212db9257fd, 0x8ea730582389397e, 0x2faa33831821adff, 0xa20f3c49c073b06e,
  0x7c25f886c2445f71, 0x17736b9d7c2a8fd4, 0xe560376b737924cf, 0xa3e0d983eebd4795, 0x669d6847202bcade,
  0x6c00d7d185962291, 0x68cf539d5ae0a1fd, 0x6abd383af633768f, 0xb3170909004710cf, 0x46c11409c02f65f4,
  0xeee2a4bd3d9177b5, 0x9b5e5caad67f157c, 0xa2a551aec9139860, 0xcaed52df5537d9ce, 0x925fd1b0535c0809,
  0xf6ab445795b0495c, 0x52d7ce80f3e2d75c, 0x8df404bee085482e, 0xb74bd55169485e71, 0x365118bf9b6c6263,
  0x823458df1726ae0f, 0x539fa9d599bf837e, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000008002cf2c83,
};

static const uint64_t ur_t828_swio13_dual_hw[] = {
  0x7f777776890c0668, 0x77e6a995a6ca7ec4, 0xd2c5ba24792c3337, 0x514d8312af8ed1ba, 0x8fe10ce734edd23f,
  0xf192a6ee40fac137, 0x1190f41a4775a609, 0x2fdd738c1c4efc20, 0x12774f8971030a17, 0xece05166727f9976,
  0xc0cca9bd477f360b, 0x57f98d022847242a, 0x77c5de87c00dc3e0, 0x432d01f110caee2f, 0xf7fd01cf09b7b8a8,
  0x9cbf344389096dd4, 0xeefff21f982c11c4, 0x47dbe77cb3df1827, 0x987b8e39560707fd, 0x3884e62c0550799c,
  0xfb30475e00cec802, 0x1e59edbdf192a01f, 0xe2af9ddc5495f3a8, 0x730c136bcb955acf, 0xfb39d454aa35d922,
  0x8101395daa5beaa6, 0x092b924bfa360a6b, 0x5aeb9ed5688af2b6, 0xa905ca5af9d01e7c, 0x0bce31be8097dc10,
  0xc63156e97aaa2d29, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x755e7c17d3c95fb9, 0x0000000000000063,
};

static const uint64_t ur_t828_swio13_dual_ee_hw[] = {
  0x52b777776890cf68, 0xc1bf354ccc7bb7ec, 0xde83edd9c48291dd, 0x0dd2eec3227d57a7, 0x995de3aec461994a,
  0x626e4d1f53ad6ecc, 0xe83485d16609f192, 0xe718389df8402321, 0x9f12e206142e5fba, 0x2d4c16bf32ec24ee,
  0xe6f51c6b6c09d1c1, 0x68114239215607a6, 0xf743006e1f02bfcc, 0xbed10caee2f77c5d, 0x73c260f7150865a0,
  0x21c484b6f3b7ff40, 0x0fcc1608e24e5f9a, 0x5a328b18250ffff9, 0x6657a8f2bdf707fb, 0x1fc57befd47c1b30,
  0x616588a459a75a10, 0x2863a13f330035f4, 0xdda3da33d4e75697, 0x710cf6ab5d0ebd8c, 0xf65f4b3170909004,
  0x2ef6a8d8232ffc02, 0xc55f3bb8a928e2f2, 0xe61826d7972ab59f, 0xf673a8a9546bb244, 0x020272bb54b7d54d,
  0x12572497f46c14d7, 0xb5d73daad115e56c, 0x520b94b5f3a03cf8, 0x179c637d012fb821, 0x8c62add2f5545a52,
  0x6371e6ca2317f36d, 0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xed3d6c2fa792bf73, 0x000000000000000a,
};

static const uint64_t ur_t828_swio13_dual_ce_hw[] = {
  0x376eeeeed121a5fb, 0x8df9aa640089efd8, 0x6a10ee8f6b0d06e3, 0x89e4aecaabdd6d9f, 0x595c535f3ef74375,
  0x324d2dca591aeba5, 0x643d06909c7cc13e, 0xf75ce30713bf0804, 0x9dd3e25c40c285cb, 0x703833757fe65d84,
  0xcae9bd47d9db08e4, 0xf31a04508e485581, 0x177f37c01b87c0af, 0x6818f4432bb8bddf, 0xe80e784ddd454219,
  0xf9a21c484b6e1a3f, 0xff90fcc1608e24e5, 0xeae2fac068c109d7, 0xfb8d1079e24e4244, 0x7ea3e12fc4361222,
  0x5ccf17736bb21d25, 0x17d479127b9633ea, 0x0a5176fc71cab031, 0x019d90047109cc58, 0xe325403ff6678ebc,
  0x2a4af9d40f2d6e7b, 0xe5caad67f157ceee, 0x551aec91398609b5, 0xd52df5537d9cea2a, 0xfd1b0535c0809cae,
  0xb445795b0495c925, 0x7ce80f3e2d75cf6a, 0x404bee085482e52d, 0xbd55169485e718df, 0x118bf9b6c6263b74,
  0x54e7ea0bb1b8f365, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xd3c95fb9a19961d2, 0x000000004dd4c817,
};

static const uint64_t ur_t828_swio13_dual_ee_ce_hw[] = {
  0x7daddddddd43573e, 0x657e6a9835da79fb, 0xefd5f76c5e3534e7, 0xd60dc9cbdc61f227, 0x419caefc77f4fed1,
  0x75c9717dd9baca9b, 0x0d232da4c13e3262, 0xc60e277e1008c87a, 0xc4b881850b97eeb9, 0x93620fccbb093ba7,
  0xbd470d1b0d34707f, 0x08a11c90ab03b1f9, 0xc100370f815fe634, 0xa88657717bbe2ef5, 0xe134878a8432d060,
  0xe2425b7bc3ffa039, 0xe60b0471272fcd10, 0x1e048c12d6fffc87, 0xcf1272127f877fd5, 0x309cee6d724aca8f,
  0xf2bcac06ed656649, 0x5bd47c1b307dd7a8, 0x522cd3ad08e40579, 0x3fad801afa30b2c4, 0xd1ed19ea73ab5c14,
  0x19ed57a7075ec66e, 0xbe9662e1212008e2, 0xf6a8d822813805ec, 0xaf9ddc5497a7b22e, 0x0c136bcb955acfe2,
  0x39d454aa35d92273, 0x01395daa5beaa6fb, 0x2b924bfa360a6b81, 0xeb9ed5688af2b609, 0x05ca5af9d01e7c5a,
  0xce31be8097dc10a9, 0x4c76e97aaa2d290b, 0x71e6ca2317f36d8c, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2,
  0x4e0be9e4afdcd0cc, 0x00000000001134fa,
};

static const uint64_t ur_t828_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682906, 0xfcd530b895edfb75, 0x64dd51fa2ffb4afa, 0x1455f99b9b4c3ed9, 0x791256e0df5dc6a4,
  0x5f202f6918b90d71, 0x59b9827c64bb2b91, 0x9df8402321e83486, 0x06142e5fbae71838, 0xf32c8354ee9f12e2,
  0xb618dc70ec19af0f, 0x2156078826f51d0f, 0x1f02bfcc68114239, 0xe2f77c5de2a8006e, 0x150865a11c910cae,
  0xe495ff4073c26df7, 0xe24e5f9a21c484b6, 0x86b7ff88b24c1608, 0x2ec1b8bea8ce0c60, 0x17dc6883cf162fa1,
  0x93f51f097e21b091, 0x4933c5dcdaeedd85, 0x51e579580ddadcde, 0xf2b7a8f83660fbaf, 0x88a459a75a11c80a,
  0x287f5b0035f46165, 0xdda3da33d4e756b8, 0xc433daaf4e0ebd8c, 0xd97d2cc5c2424011, 0x5ded51b04502700b,
  0xc55f3bb8a92f4f64, 0xe61826d7972ab59f, 0xf673a8a9546bb244, 0x020272bb54b7d54d, 0x12572497f46c14d7,
  0xb5d73daad115e56c, 0x520b94b5f3a03cf8, 0x179c637d012fb821, 0x1898edd2f5545a52, 0xc6e3cd94462fe6db,
  0x3def2861539fa82e, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0xce2fb405cf257ee6, 0x0000000000000eba,
};

// t828_swio14_noled_pr
static const uint64_t ur_t828_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdbe97752267ba0c9, 0x40783309a93783ea, 0x98b21c7eb4d9fba4,
  0xdcc13e3277417a09, 0x8c13baffa82567e3, 0xd7ff51d313be5ba0, 0xee9a711f238e5581, 0x76e91193c731602d,
  0x043ee39630475e2e, 0xe61826d7972ab52b, 0x5673a8a9546bb244, 0xc14d674dcaed52df, 0xaf2b6092b63f7f46,
  0x7d3bcfd6b9ed5688, 0x4b0b9d4ea701652a, 0xf404bee1e5e2810b, 0xed94462fe6da718d, 0x8f2068fe3458f386,
  0x25c33d30ae4fdd59, 0xb0e9296cb25138cb, 0x4daa49e4afdcd0cc, 0x00000000003e400e,
};

static const uint64_t ur_t828_swio14_noled_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215b8fd608, 0x6971d4899ee83243, 0xcc26a4f16f25f900, 0x118c44c9ee9101e0,
  0xf8c9dd34b1c6c989, 0x7aff8343cff75304, 0xa8f109df2dd04608, 0xd46491c72ac0ebff, 0xe8c9a398b016f74d,
  0xe39630475e2e761b, 0x136bcb955a9584d6, 0xd454aa35d922730c, 0xb3a6e576a96fab39, 0xb0495b1fbfa360a6,
  0xf6d75cf6ab445795, 0x03ba9b14a7869de6, 0x2d21738c6fa025f7, 0xb6409156e97aaa2d, 0x726ae0f365118bf9,
  0x663c81db43458df1, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x9d595198b3c95fb9, 0x000000000000007c,
};

static const uint64_t ur_t828_swio14_noled_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b108856eb, 0x78d3da17bc7e8453, 0x9f07f0b79104c2bc, 0xcfde2f6a64505fcc,
  0xe3277699a33fa68e, 0x13fc1a1e7edd4c13, 0x4e0ff6b472246098, 0xf83660c14f51e56e, 0x4eb4203f8adc9fa8,
  0x006be8c2cb1148b3, 0xe756977f0758ce66, 0x875e00ced37231f0, 0x4851923e827b55ae, 0x2ffc02f65c3918b8,
  0x826d7972ab51d135, 0x3a8a9546bb244e61, 0xd674dcaed52df567, 0xb6092b63f7f46c14, 0xdedaeb9ed5688af2,
  0xe077536294f0d3bc, 0xa5a42e718df404be, 0x36c8122add2f5545, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0x7c54e8cc59e4afdc, 0x000000000000000a,
};

static const uint64_t ur_t828_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c4221fbac6, 0xf5176c8e8c1ae6d6, 0xe9170fd680cd90b1, 0xa16d2d4d91417fd9,
  0x8c9dd6c473960a72, 0xaff5fed9f8e5304f, 0xf07fb5a30f71825b, 0xc1b307a57a8f2b90, 0x75a101fc5721fd47,
  0x035f4616588a459a, 0x7569728a3a1f7330, 0xebd0d4ec8023884e, 0x09ef4622cf6ab5d0, 0x7fe017b2d9731709,
  0xa38b26b9e546c119, 0x489cc304daf2e556, 0x5beace75152a8d76, 0xe8d829ace9b95daa, 0xd115e56c1256c7ef,
  0xe1a779bdb5d73daa, 0xe8097dc0eea6c529, 0x5eaa8b4b485ce31b, 0x4462fe6d902455ba, 0xd1637c5c9ab83cd9,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000275eeadb2a0c,
};

static const uint64_t ur_t828_swio14_noled_pr_ce[] = {
  0xd7eeeeeeef621391, 0x82b96962159e9d63, 0xc869b1bcdd83dc4e, 0x87e221b563f31622, 0xf252414d8dbddf5f,
  0x827c64ee841e45eb, 0x13e77f8343cf9759, 0x2c1cf9c77fd66e8c, 0xee6d7dda4dbfcf00, 0xaf93dcb01759309c,
  0x0a471cab0359fea3, 0x7bd188a731602f74, 0x807feccf1d7a3e76, 0xad503cb5bae193ca, 0x2730c136bcb955aa,
  0xfab39d454aa35d92, 0x360a6b3a6e576a96, 0x45795b0495b1fbfa, 0x69de6f6d75cf6ab4, 0x025f703ba9b14a78,
  0xaaa2d2d21738c6fa, 0x317f36c810c76e97, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0, 0xb25138cb25c33d30,
  0xafdcd0ccb0e9296c, 0x002dd6c7f8cc59e4,
};

static const uint64_t ur_t828_swio14_noled_pr_ce_u4[] = {
  0xefdddddda2446f43, 0xbee5a58b81033ac6, 0xafb4175d797b7ede, 0x930e2a1190243317, 0x654333778ef77779,
  0x27c64eeb4efb54cf, 0x32b7faff6cfe9b98, 0x5a4cad717d7ba8c1, 0x2445f71a20f3c00b, 0x8b91fd47c25f886c,
  0x19fac99e2ee6d74a, 0xb0359fea3af93dcb, 0x731602f740a471ca, 0xf1d7a3e767bd188a, 0x5bae193ca807fecc,
  0x6bcb955aaad503cb, 0x54aa35d922730c13, 0xa6e576a96fab39d4, 0x495b1fbfa360a6b3, 0xd75cf6ab445795b0,
  0xba9b14a7869de6f6, 0x21738c6fa025f703, 0x810c76e97aaa2d2d, 0xd5c1e6ca2317f36c, 0x7903f2868b1be2e4,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x5ed9506792bf7343, 0x000000000001bafb,
};

static const uint64_t ur_t828_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xdcb4b1c85d71d636, 0xbd8e3b8ef31ad0bd, 0x6917c7b4508019cb, 0x312d2f85d0e6db26,
  0xee8f62d502e35791, 0x5fed9fdda9827c64, 0xff54721e30431fff, 0x01f9e005ad274f9d, 0x7c984e7736bf7580,
  0xd4795fce0376b2b0, 0xbf9dea3e0d9839c7, 0x62291669d6847202, 0x0a2fd6c00d7d1859, 0x53b2008e2139d5ae,
  0x622cf6abd383af43, 0x7b2d973170909ef4, 0x35cf2a3608a04e01, 0x0c136bcb955af4f1, 0x39d454aa35d92273,
  0xa6b3a6e576a96fab, 0x95b0495b1fbfa360, 0xe6f6d75cf6ab4457, 0xf703ba9b14a7869d, 0x2d2d21738c6fa025,
  0xf36c810c76e97aaa, 0xf2e4d5c1e6ca2317, 0x5663c81f9434596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343c899,
  0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x0000027e3d6d9506,
};

static const uint64_t ur_t828_swio14_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0xbb9696367048d61a, 0x13b02f4ad921006d, 0x1ec470ae9de4420b, 0x7704d2d27f83b53b,
  0x3ba3ae9ae02bbb47, 0xf35ef3f002609f19, 0xc5f547bee304b5bf, 0x8d1079e005cedfe5, 0xa3e12fc4361222fb,
  0x3c5dcdafd4e5c17e, 0x57f380ddadcd8f93, 0x7a8f83660e71f51e, 0x459a75a11c80afe7, 0xf5b0035f4616588a,
  0x8023884e756b828b, 0x3daaf4e0ebd0d4ec, 0x65cc5c2427bd188b, 0xca8d822813805ecb, 0xdaf2e556bd3c4d73,
  0x152a8d76489cc304, 0xe9b95daa5beace75, 0x1256c7efe8d829ac, 0xb5d73daad115e56c, 0xeea6c529e1a779bd,
  0x485ce31be8097dc0, 0x20431dba5eaa8b4b, 0x357079b288c5fcdb, 0xf20669f1a2c6f8b9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x05e7abcf257ee686,
  0x0000000000027e6f,
};

static const uint64_t ur_t828_swio14_noled_hw[] = {
  0x441bbbbbbacdfebe, 0x1ddcb4b10adc7eb0, 0x346deea44cf74192, 0x3c1984d49e2de4bf, 0x69203188993dd220,
  0x75304f8c9ddf1f85, 0x046087affdf02cff, 0x0ebffa8f109df2dd, 0x6f74dd46491c72ac, 0xe761be8c9a398b01,
  0x584d6e39630475e2, 0x2730c136bcb955a9, 0xfab39d454aa35d92, 0x360a6b3a6e576a96, 0x45795b0495b1fbfa,
  0x69de6f6d75cf6ab4, 0x025f703ba9b14a78, 0xaaa2d2d21738c6fa, 0x18bf9b6409156e97, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x00000011c5a71d14,
};

static const uint64_t ur_t828_swio14_noled_ee_hw[] = {
  0xcfdddddda2432493, 0xad72d2c4221fbac6, 0x63f6a2ee8c1ae6d6, 0xb3d22e1fad019b21, 0xb542da5a9b2282ff,
  0xc13e327743720ad3, 0x04b75fec3fe7e394, 0x5721e0ff6b461ee3, 0xfa8f83660f4af51e, 0x8b34eb4203f8ae43,
  0xe66006be8c2cb114, 0x109cead2e514743e, 0x6ba1d7a1a9d90047, 0x2e1213de8c459ed5, 0x8232ffc02f65b2e6,
  0xcaad47164d73ca8d, 0x1aec91398609b5e5, 0xbb54b7d59cea2a55, 0x8fdfd1b05359d372, 0x7b55a22bcad824ad,
  0x8a53c34ef37b6bae, 0xc637d012fb81dd4d, 0xab74bd55169690b9, 0x79b288c5fcdb2048, 0xe50c2a73f505d8dc,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x440be9e4afdcd0cc,
  0x000000000002df30,
};

static const uint64_t ur_t828_swio14_noled_ce_hw[] = {
  0xefdddddda2433a31, 0xbee5a58b81033ac6, 0x3af5f75d797b7ede, 0xf3261c5423204866, 0x680a8666ef1deeee,
  0x6e609f193bb626c3, 0x5182656ff61ff3fa, 0xe24e42595ae2faf7, 0xc4361222fb8d1079, 0x6bfeb9adfea3e12f,
  0x9ee58cfd64cf1773, 0x38e5581acff51d7c, 0x8c45398b017ba052, 0xff6678ebd1f3b3de, 0x81e5add70c9e5403,
  0x8609b5e5caad556a, 0x9cea2a551aec9139, 0x5359d372bb54b7d5, 0xcad824ad8fdfd1b0, 0xf37b6bae7b55a22b,
  0xfb81dd4d8a53c34e, 0x169690b9c637d012, 0xf9b640863b74bd55, 0xea0bb1b8f365118b, 0xffef0f7bca1854e7,
  0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x01d66cc71217d3c9,
};

// t828_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_t828_swio14_noled_ee_ce_hw[] = {
  0xa7bbbbbb44867f3e, 0x6ee5a58d9c123586, 0x06d89dd2b648401b, 0x9d8f6238574ef221, 0xa3bb8269693fc1da,
  0x3e3277635517ebad, 0x6b7fec3fe7e004c1, 0x3fcb8bea8f7dc609, 0x8bee3441e7893909, 0x83fa8f84bf10d848,
  0x7c99e2ee6d77546a, 0xa8f2bf9c06ed6e6c, 0x7f3bd47c1b30738f, 0xc4522cd3ad08e405, 0x145fad801afa30b2,
  0xa764011c4273ab5c, 0xc459ed57a7075e86, 0xf65b2e62e1213de8, 0x6b9e546c11409c02, 0x1826d7972ab5e9e2,
  0x73a8a9546bb244e6, 0x4d674dcaed52df56, 0x2b6092b63f7f46c1, 0xcdedaeb9ed5688af, 0xee077536294f0d3b,
  0x5a5a42e718df404b, 0xe6d90218edd2f554, 0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313,
  0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x00a02b88385f4f25,
};

static const uint64_t ur_t828_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0x9da87bbe17a0a0c9, 0x3c1984d49c7fc5f8, 0xb2036c99a45dd220,
  0x7304f8c9dd05e826, 0x304913fea0959f0f, 0x5ffd475f0ef96e82, 0xba6ee8148e395607, 0xb0f88ee19cc580b7,
  0x70f71cb1823af173, 0x30c136bcb955a959, 0xb39d454aa35d9227, 0x81013a6e576a96fa, 0x0495cbec7a360a6b,
  0x2d75cf6ab445795b, 0x5482e52d7ce80f3e, 0x85e718df404bee08, 0x2ec8ab74bd551694, 0x3fb0ddb288c5fcdb,
  0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944, 0xa41d36a92792bf73, 0x0000000000000002,
};

static const uint64_t ur_t828_swio14_lednop_pr[] = {
  0x37777743d7d8ad4e, 0xae5a58856802b1a9, 0xdc77bebfc2e44335, 0x90b89266c4522b53, 0x31a87e2f77524447,
  0x32774c4dc12b68cf, 0xffc1a1e7d7dcc13e, 0xe801df2dbdc6091e, 0xcf58e3956064d7a8, 0x8df398b016594c63,
  0xecc11d7a3e76f911, 0x7967b7bdf48a807f, 0x826d7972ab5815a0, 0x3a8a9546bb244e61, 0x0274dcaed52df567,
  0x2b97d8f46c14d702, 0xeb9ed5688af2b609, 0x05ca5af9d01e7c5a, 0xce31be8097dc10a9, 0x9156e97aaa2d290b,
  0xe0f365118bf9b65d, 0x0eda1a2ce9f1726a, 0x50c2a73f53ab31e4, 0x9133c5ce32fcc4fe, 0x15c9f8e7bff82687,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00000f935d9198b3,
};

static const uint64_t ur_t828_swio14_lednop_pr_u4[] = {
  0x41bbbbbb45d8ad4e, 0xddcb4b10ade96b04, 0xfdcc77c2f4141921, 0xcc26a4e3fe2fc4f8, 0x1b64cd22ee9101e0,
  0xc64ee989b8248233, 0x27f8343cf87b9827, 0x8ebe1df2dd046092, 0xd0291c72ac0ebffa, 0x1dc3398b016f74dd,
  0x39630475e2e761f1, 0x6d7972ab52b2e1ee, 0x8a9546bb244e6182, 0x74dcaed52df5673a, 0x97d8f46c14d70202,
  0x9ed5688af2b6092b, 0xca5af9d01e7c5aeb, 0x31be8097dc10a905, 0x56e97aaa2d290bce, 0xf365118bf9b65d91,
  0xdb43458df1726ae0, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07,
  0xd252d9f0271964b8, 0x98b3c95fb9a19961, 0x0000000007c99671,
};

static const uint64_t ur_t828_swio14_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0xc3f72d2c42261558, 0xda5e8d3d623e2d4c, 0x27c1fc2de4d7a70b, 0x99bb066b411417f3,
  0x7c64ee989b82b8d1, 0x2b7f8343cf93a982, 0xe741fed68e448c12, 0x1f06cc1829ea3caf, 0x69d68407f15d4af5,
  0xc00d7d1859622916, 0x39d5a5cc78eb19cc, 0xa1d78033b7c88def, 0x242ded1dc39ed56b, 0x97fe017b2e1c8c5c,
  0x826d7972ab51d60b, 0x3a8a9546bb244e61, 0x0274dcaed52df567, 0x2b97d8f46c14d702, 0x6b9ed5688af2b609,
  0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0xfe6da718df404bee, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x053e739198b3c95f,
};

static const uint64_t ur_t828_swio14_lednop_pr_ee_u4[] = {
  0x67eeeeeed1222a20, 0x56b9696211069d63, 0x23fa69776dbaf36b, 0x9170fd687ec19bd3, 0x207aeb411417fd9e,
  0x327747b16a8e31a8, 0xbfd7fb67c9d4c13e, 0xc1fed68c3dc60915, 0x06cc1e95ea3caca5, 0xd68407f1594bf51f,
  0x0d7d185962291669, 0xd5a5d2b0e87dccc0, 0xaf4353b7508d7c39, 0x5f2231bf3daad743, 0xff00bd96cb98b848,
  0x38bb864f2a3608cb, 0x89cc304daf2e556a, 0xbeace75152a8d764, 0x9ae0404e9b95daa5, 0x56c12572fb1e8d82,
  0xcf8b5d73daad115e, 0x821520b94b5f3a03, 0xa52179c637d012fb, 0x36cbb22add2f5545, 0x2e4d5c1e6ca2317f,
  0xacc7903f2868b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1,
  0x34332c3a4a5b3e04, 0xeba6819506792bf7, 0x0000000000000004,
};

static const uint64_t ur_t828_swio14_lednop_pr_ce[] = {
  0xebf7777777b15a91, 0xa0ae5a58856c2ab1, 0x0cf717eecfe0f713, 0x0fc44369e9d8f266, 0xcbb64168a87bbebf,
  0x04f8c9dd68bd3aa2, 0x21c3ff06879f60b3, 0x583870ceffacdd18, 0x7736be9a7f9f9e00, 0xcbe9ee580bac984e,
  0x80471cab0359fea3, 0xe44637ce62c050f6, 0x01ffb33c75e8f9db, 0x15a0796b76f7d22a, 0x4e61826d7972ab58,
  0xf5673a8a9546bb24, 0xd7020274dcaed52d, 0xb6092b97d8f46c14, 0x7c5aeb9ed5688af2, 0x10a905ca5af9d01e,
  0x290bce31be8097dc, 0x6cbb0c76e97aaa2d, 0xe2e4d5c6ca2317f3, 0xd598f2076d0d163c, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x4e148cc59e4afdcd, 0x00000000000002dd,
};

static const uint64_t ur_t828_swio14_lednop_pr_ce_u4[] = {
  0xefdddddda2447032, 0xbee5a58b811fbac6, 0x45db23be96b47ede, 0x261c542033642c7d, 0x72a16d2d4deeeef3,
  0x4f8c9dd6c473960a, 0x5baff5fed9f8e530, 0xb496eae2faf75182, 0x488bee3441e78016, 0x4ce5fa8f84bf10d8,
  0x33f5933c5dcdaf49, 0xc0d67fa8f2fa7b96, 0x98b0143da011c72a, 0x1d7a3e76f9118df3, 0xddbdf48a807feccf,
  0x5e5caad605681e5a, 0xa551aec91398609b, 0x372bb54b7d59cea2, 0xf63d1b0535c0809d, 0xb55a22bcad824ae5,
  0x96be74079f16bae7, 0x6fa025f7042a4172, 0xba5eaa8b4a42f38c, 0xb288c5fcdb2ec31d, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x19e4afdcd0ccb0e9, 0x0000006ebdd5b654,
};

static const uint64_t ur_t828_swio14_lednop_pr_ee_ce[] = {
  0x6dbddddddd4458e2, 0x7bb9696390bd33ac, 0x24760ded9305f5a1, 0x3348be3d71b453f6, 0x77257afc2e8736d9,
  0x2774a70f60dc75ba, 0xfd7fb67f4d4c13e3, 0x3bfea8e43c609ff3, 0x747ff3c00b5a419b, 0xb07c984e7736bb39,
  0xc7d47959c30376b2, 0x02b387ea3e0d9839, 0x5962291669d68472, 0xae12b7d6c00d7d18, 0x4353b7508d7c39d5,
  0x88c6fcf6abd383af, 0x02f65b2e62e1217c, 0xd70c9e546c11409c, 0xcc304daf2e556bd3, 0xace75152a8d76489,
  0xe0404e9b95daa5be, 0xc12572fb1e8d829a, 0x8b5d73daad115e56, 0x1520b94b5f3a03cf, 0x2179c637d012fb82,
  0x97618edd2f5545a5, 0x5c9ab8d94462fe6d, 0xb31e40fca1a2c79c, 0x964b867a615c9fba, 0x9961d252d964a271,
  0xfaeca833c95fb9a1, 0x0000000000014d34,
};

static const uint64_t ur_t828_swio14_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1000, 0xbb9696367119d61a, 0xdda6eb717a09006d, 0x3d88e14247a73450, 0x627189a4ff076a76,
  0x3bb5aaef3b5b3664, 0xe6bde7f1ba609f19, 0x8bea8f7dc608d77f, 0x3441e780173badfb, 0x8f84bf10d8488bee,
  0xe2ee6d70b233d7fa, 0xb38606ed6e6c7c99, 0xd47c1b30738fa8f2, 0x2cd3ad08e405670f, 0xad801afa30b2c452,
  0xa11af873ab5c256f, 0xed57a7075e86a76e, 0x5cc5c242f9118df9, 0xa8d822813805ecb6, 0x5e5caad7a7ae193c,
  0xa551aec91398609b, 0x372bb54b7d59cea2, 0xf63d1b0535c0809d, 0xb55a22bcad824ae5, 0x96be74079f16bae7,
  0x6fa025f7042a4172, 0xba5eaa8b4a42f38c, 0xb288c5fcdb2ec31d, 0xf1a2c6f8b9357079, 0x539fa9d598f20669,
  0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x0000027e6493e7ab,
};

static const uint64_t ur_t828_swio14_lednop_hw[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856f4b58, 0x9da87bbe17a0a0c9, 0x3c1984d49c7fc5f8, 0xb2036c99a45dd220,
  0x7304f8c9dd05e826, 0x8c1244ffbe059f0f, 0xd7ff51d7c3be5ba0, 0xee9bba05238e5581, 0xec3e23b86731602d,
  0x5c3dc72c608ebc5c, 0xcc304daf2e556a56, 0xace75152a8d76489, 0xe0404e9b95daa5be, 0xc12572fb1e8d829a,
  0x8b5d73daad115e56, 0x1520b94b5f3a03cf, 0x2179c637d012fb82, 0xcbb22add2f5545a5, 0xcfec376ca2317f36,
  0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251, 0x011c43aa29e4afdc,
};

static const uint64_t ur_t828_swio14_lednop_ee_hw[] = {
  0x67eeeeeed121be4a, 0x56b9696211069d63, 0xa7a47f776dbaf36b, 0x3d22e1fad0fd8337, 0xf040f5d682282ffb,
  0x04f8c9dd29475b55, 0x122b7fb0ff9f2753, 0x594b83fdad187b8c, 0xea3e0d983d2bd479, 0x2cd3ad080fe2b297,
  0x99801afa30b2c452, 0xf873ab4ba561d0fb, 0xae875e86a76ea11a, 0x7090be44637e7b55, 0x1197fe017b2d9731,
  0xaad471770c9e546c, 0xaec91398609b5e5c, 0xb54b7d59cea2a551, 0x1b0535c0809d372b, 0x22bcad824ae5f63d,
  0x74079f16bae7b55a, 0x25f7042a417296be, 0xaa8b4a42f38c6fa0, 0x62fe6d976455ba5e, 0x39fa82ec6e3cd944,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x0000016fbe4985f4,
};

static const uint64_t ur_t828_swio14_lednop_ce_hw[] = {
  0xefdddddda2432493, 0xbee5a58b811fbac6, 0xfda8bbbe96b47ede, 0xe64c38a84066c858, 0xd3b542da5a9bdddd,
  0x94c13e327743720a, 0xa304b75fec3fe7e3, 0xc49c84add5c5f5ee, 0x886c2445f71a20f3, 0xd7bc3e5afd47c25f,
  0x3dcb19fac99e2ee6, 0xe395606b3fd4797d, 0xc6f9cc580a1ed008, 0xf6678ebd1f3b7c88, 0x0f2d6edefa45403f,
  0x304daf2e556b02b4, 0xe75152a8d76489cc, 0x404e9b95daa5beac, 0x2572fb1e8d829ae0, 0x5d73daad115e56c1,
  0x20b94b5f3a03cf8b, 0x79c637d012fb8215, 0x618edd2f5545a521, 0x6e3cd94462fe6d97, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x982205f4f257ee68,
  0x0000000000003acd,
};

// t828_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_swio14_lednop_ee_ce_hw[] = {
  0xa7bbbbbb44864c7f, 0x6ee5a58d9c467586, 0x2e86eddc5e82401b, 0x3b1ec470a123d39a, 0x323138c4d27f83b5,
  0x7c64eef5ddcedaaf, 0x5dffb0ff9fc6e982, 0xb7ee2faa3df71823, 0x5f71a20f3c49c84a, 0x1fd47c25f886c244,
  0xc99e2ee6d736ec29, 0x8f2b38606ed6e6c7, 0x70fd47c1b30738fa, 0x4522cd3ad08e4056, 0x56fad801afa30b2c,
  0x76ea11af873ab5c2, 0xdf9ed57a7075e86a, 0xcb65cc5c242f9118, 0x93ca8d822813805e, 0x09b5e5caad7a7ae1,
  0xea2a551aec913986, 0x09d372bb54b7d59c, 0xae5f63d1b0535c08, 0xae7b55a22bcad824, 0x17296be74079f16b,
  0x38c6fa025f7042a4, 0x31dba5eaa8b4a42f, 0xc79b288c5fcdb2ec, 0xde50c2a73f505d8d, 0x07f197e627ff787b,
  0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xb900be9e4afdcd0c, 0x0000000000005011,
};

// t828_swio14_dual_pr
static const uint64_t ur_t828_swio14_dual[] = {
  0xc8eeeeeeef3e306a, 0xeefcd532b4fb4fda, 0x7da58b638f918666, 0x14d8fa67590506e6, 0x429c9263d6ddb235,
  0x92a6ee555f932b48, 0x90f41a45d0e609f1, 0xdd738c1c4efc2011, 0x774f8971030a172f, 0x814599c9fe6535aa,
  0x32a6f51dfcd82fb3, 0xe63408a11c90ab03, 0x8bbe0000370f815f, 0x5a03e22195dc5eef, 0xfa039e136f715086,
  0x7e68871212dbb05f, 0xff920d3058238939, 0xf7477cb2d78c10a2, 0x32a38e5581ef7ea3, 0x989cc580aa0f37ee,
  0x6608ebc019da7146, 0x2cf6d6b8df5403ff, 0xaf9ddc5496ff0c0f, 0x0c136bcb955acfe2, 0x39d454aa35d92273,
  0x1013a6e576a96fab, 0x495cbec7a360a6b8, 0xd75cf6ab445795b0, 0x482e52d7ce80f3e2, 0x5e718df404bee085,
  0xec8ab74bd5516948, 0x57079b288c5fcdb2, 0x40cd3e3458f38b93, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x9eaf3c95fb9a1996, 0x00000000018822fb,
};

static const uint64_t ur_t828_swio14_dual_pr_u4[] = {
  0x23bbbbbb4486dd9e, 0xbbf354cad3ed3f6b, 0x6b3edd8e3e46199b, 0xa8a6c7d33ac82837, 0xb8b4e4931eb6ed91,
  0x92a6ee43f2af745e, 0x90f41a45d0e609f1, 0xdd738c1c4efc2011, 0x774f8971030a172f, 0xe05166727f997612,
  0xcca9bd477f360bec, 0xf98d022847242ac0, 0xe2ef80000dc3e057, 0x9680f888657717bb, 0xfe80e784dbdc5421,
  0x5f9a21c484b6ec17, 0xbfe118cc1608e24e, 0xfdd1df2cb5e30428, 0x8ca8e395607bdfa8, 0xa62731602a83cdfb,
  0xd9823af006769c51, 0xcb3db5ae37d500ff, 0xabe7771525bfc303, 0xc304daf2e556b3f8, 0xce75152a8d76489c,
  0x0404e9b95daa5bea, 0x12572fb1e8d829ae, 0xb5d73daad115e56c, 0x520b94b5f3a03cf8, 0x179c637d012fb821,
  0xbb22add2f5545a52, 0xc371e6ca2317f36c, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x49a0e315c7cf257e, 0x000000000000000a,
};

static const uint64_t ur_t828_swio14_dual_pr_ee[] = {
  0xdd6eeeee87ad0c86, 0x0df9aa66629aefd8, 0xee1f6eabe6c48eee, 0x374bb69c806e775d, 0x6eb8efdb118666e8,
  0x72eec6ecbebf3176, 0xa4771f304f8c9313, 0xc1c4efc201190f41, 0x971030a172fdd738, 0x60b5f997612774f8,
  0xa8e35b604e8e096a, 0x8a11c90ab03d3737, 0x880370f815fe6340, 0x88657717bbe2ef54, 0x1307b8a8432d05f6,
  0x1212dbe9affa039e, 0x30582389397e6887, 0x1d4a8c112d7f8463, 0x7fd4795cae83fdad, 0xc572bbd47c1b307b,
  0x6588a459a75a101f, 0x63a13f330035f461, 0x83da3d28e7569729, 0x8cf6ab5d0ebd8cdd, 0x5f4b317090a71469,
  0x8aa8d8232ffc02f6, 0xaf9ddc5494717190, 0x0c136bcb955acfe2, 0x39d454aa35d92273, 0x1013a6e576a96fab,
  0x495cbec7a360a6b8, 0xd75cf6ab445795b0, 0x482e52d7ce80f3e2, 0x5e718df404bee085, 0xec8ab74bd5516948,
  0x0dc79b288c5fcdb2, 0xb337f07771a2ce9f, 0xcc4fe50c2a73f53a, 0x826879133c5ce32f, 0x867a615c9f8e7bff,
  0x1d252d9f0271964b, 0x571f3c95fb9a1996, 0x0000000000ac8810,
};

static const uint64_t ur_t828_swio14_dual_pr_ee_u4[] = {
  0x589dddddda2432db, 0xbbbf354ccc73edfb, 0x3d4d7dd414f5848c, 0x89323e44a76f5d84, 0xa51fb9dbf6c4619d,
  0x91fb91c115603e33, 0x7a0d23b8f9827c64, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0x1ad313afccbb093b,
  0x69bd47d37b08ac70, 0x1a04508e485581e5, 0xbd9c801b87c0aff3, 0x23da2195dc5eef8b, 0x073c269122a10cb4,
  0xd10e2425b7d35ff4, 0x08c660b0471272fc, 0xfb5a331f18225aff, 0x307d47a8f2b28707, 0x101fc56e97d47c1b,
  0xf4616588a459a75a, 0x97fdc3a0e3330035, 0x534ed38a39b8e756, 0xba38ca7b55ae875e, 0x017b2e3e31709096,
  0x77715251d5c397fe, 0x4daf2e556b3f8abe, 0x5152a8d76489cc30, 0x4e9b95daa5beace7, 0x72fb1e8d829ae040,
  0x73daad115e56c125, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xcdb4e31be8097dc8, 0x58df0dc79b288c5f,
  0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00005642cc571f3c,
};

static const uint64_t ur_t828_swio14_dual_pr_ce[] = {
  0xc8eeeeeeef3e43ee, 0x82fcd532b467cfdb, 0xafb45fa646e0d910, 0x31a71c421a4c0143, 0xd62fd7675b77c8d3,
  0x833b9577e44f76d3, 0x7a0d215d79827c64, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0xbacc50ff329ad53b,
  0x66f51fe76c2439c0, 0x6811423921560651, 0xf986006e1f02bfcc, 0x4dc88657717bbe2e, 0x0e784c98c5421968,
  0xa21c484b6fb3bfe8, 0x4834c1608e24e5f9, 0x9dff50523042ebfe, 0xfcc41f9e005cecba, 0x602871984e7736bb,
  0xab0327bd479c67b9, 0x8e62c058f7a5471c, 0xcf1d7916ed92238c, 0x7715251d465b8e58, 0xdaf2e556b3f8abe7,
  0x152a8d76489cc304, 0xe9b95daa5beace75, 0x2fb1e8d829ae0404, 0x3daad115e56c1257, 0x94b5f3a03cf8b5d7,
  0x637d012fb821520b, 0xedd2f5545a52179c, 0xcd94462fe6d97618, 0x9f1a2c79c5c9ab83, 0x30ae4fdd598f2066,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00001cf5f49dcf57,
};

static const uint64_t ur_t828_swio14_dual_pr_ce_u4[] = {
  0x23bdddddda2432db, 0x91bf354c801d6dfb, 0xcd4d7dd69c6e960f, 0x466b8e05efdd8ba4, 0x674a3f73a356ea3b,
  0x64841723822ac07c, 0xc87a0d23d6a9827c, 0xeeb9c60e277e1008, 0x3ba7c4b881850b97, 0x70d373456fccbb09,
  0x9439bd47cadb0df6, 0xf31a04508e485581, 0x8bbd9c801b87c0af, 0x5a1dd22195dc5eef, 0xfa039e1369515086,
  0xfcd10e2425b7e9ff, 0xff08c660b0471272, 0x4ddc5f5dbf18269b, 0x5f71a20f3c49c84b, 0xafd47c25f886c244,
  0x7199e2ee6d7b9124, 0x4f7a8f38cf72c678, 0x80b1ef4a8e395606, 0xf22ddb2447191cc5, 0x4a3a8cb71cb19e3a,
  0xcaad67f157ceee2a, 0x1aec91398609b5e5, 0xbb54b7d59cea2a55, 0xd1b0535c0809d372, 0xa22bcad824ae5f63,
  0xe74079f16bae7b55, 0x025f7042a417296b, 0xeaa8b4a42f38c6fa, 0x8c5fcdb2ec31dba5, 0xee3458df0dc79b28,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x1f3c95fb9a19961d, 0x00000000d242cc57,
};

static const uint64_t ur_t828_swio14_dual_pr_ee_ce[] = {
  0x95f6eeeeeea1a5fb, 0xb2bf354c1af912fd, 0x77337ba9f65a9a73, 0x3ac1b8e738593680, 0xeb8fcae38efe9abe,
  0x5ca591aeaa312acb, 0xd20f9f4c13e32627, 0x60e277e1008c87a0, 0x4b881850b97eeb9c, 0x3620fccbb093ba7c,
  0xd470d1b0d34707f9, 0x8a11c90ab03b1f9b, 0xd80370f815fe6340, 0x10caee2f77c5deed, 0x2690f150865a0c15,
  0x484b6e6b7ff4073c, 0xc1608e24e5f9a21c, 0x6a7a3047f9fe118c, 0x78939094ed9dff54, 0x139dcdae089300fe,
  0x578100ddacacc926, 0x7a8f83660e44f51e, 0x459a75a11c80af02, 0xf5b0035f4616588a, 0x3da3d28e756b8297,
  0x3daaf4e0ebd8cdd8, 0xd2cc5c2429c51a63, 0x551b04502700bd97, 0xf9ddc5497a7a3211, 0xc136bcb955acfe2a,
  0x9d454aa35d922730, 0x013a6e576a96fab3, 0x95cbec7a360a6b81, 0x75cf6ab445795b04, 0x82e52d7ce80f3e2d,
  0xe718df404bee0854, 0x863b74bd55169485, 0xb8f365118bf9b65d, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5,
  0xccb0e9296cf8138c, 0xd382b8f9e4afdcd0, 0x0000000000001304,
};

static const uint64_t ur_t828_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xcd530b8f5edfb33e, 0x64daaf1d7fb4afaf, 0xf7c7fbeb9363c3d9, 0x12b706d9f46a4159,
  0x1aea1012f2757bb4, 0xf8c9765722fac16d, 0x4643d0691ae0b304, 0xbf75ce30713bf080, 0x89dd3e25c40c285c,
  0x70ec19af0ff32bf6, 0x8826f51d0fb618dc, 0xcc68114239215607, 0xbbe231006e1f02bf, 0x423922195dc5eef8,
  0x80e784dbee2a10cb, 0x344389096de92bfe, 0xc753982c11c49cbf, 0x17d518d68c13b07f, 0xd1079e24e039faf7,
  0x3e12fc4361222fb8, 0x17736bbc03118fea, 0xe040376b737924cf, 0xa3e0d983913d4795, 0x669d6847202bc09e,
  0x6c00d7d185962291, 0x68f4a39d5ae0a5fd, 0x6abd383af633760f, 0xb317090a714698cf, 0x46c11409c02f65f4,
  0x7771525e9e8c8455, 0x4daf2e556b3f8abe, 0x5152a8d76489cc30, 0x4e9b95daa5beace7, 0x72fb1e8d829ae040,
  0x73daad115e56c125, 0xb94b5f3a03cf8b5d, 0xc637d012fb821520, 0x8edd2f5545a52179, 0x3cd94462fe6d9761,
  0xfa08d1637c5c9ab8, 0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x0f3c95fb9a19961d, 0x00000010009a0cb2,
};

static const uint64_t ur_t828_swio14_dual_hw[] = {
  0x47777776890c5aa4, 0x77e6a995a7da7ed6, 0xd67dbb1c7c8c3337, 0x514d8fa67590506e, 0x6089c9263d6ddb23,
  0xf192a6ee587d369b, 0x1190f41a45d0e609, 0x2fdd738c1c4efc20, 0x12774f8971030a17, 0xece05166727f9976,
  0xc0cca9bd477f360b, 0x57f98d022847242a, 0xbbe2ef80000dc3e0, 0x219680f888657717, 0x17fe80e784dbdc54,
  0x4e5f9a21c484b6ec, 0xa2fff90fcc1608e2, 0xa3f7477cb2d78c10, 0xee32a38e5581ef7e, 0x46989cc580aa0f37,
  0xff6608ebc019da71, 0x0f2cf6d6b8df5403, 0xe2af9ddc5496ff0c, 0x730c136bcb955acf, 0xab39d454aa35d922,
  0xb81013a6e576a96f, 0xb0495cbec7a360a6, 0xe2d75cf6ab445795, 0x85482e52d7ce80f3, 0x485e718df404bee0,
  0xb2ec8ab74bd55169, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c,
  0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x1baa0e30be9e4afd, 0x0000000000000003,
};

static const uint64_t ur_t828_swio14_dual_ee_hw[] = {
  0x375bbbbbb4486f97, 0x837e6a9998a6bbf6, 0x7b87dbaaf9b123bb, 0x0dd2eda7201b9dd7, 0x9bae3bf6c46199ba,
  0x3137278233ad53ad, 0xf41a4771f304f8c9, 0x738c1c4efc201190, 0x4f8971030a172fdd, 0x96a60b5f99761277,
  0x737a8e35b604e8e0, 0x3408a11c90ab03d3, 0xf54880370f815fe6, 0x5f688657717bbe2e, 0x39e1307b8a8432d0,
  0x8871212dbe9affa0, 0x43f30582389397e6, 0x6b4752a3044b5ffe, 0x1edff51e572ba0ff, 0x07f15caef51f06cc,
  0x185962291669d684, 0xca58e84fccc00d7d, 0x3760f68f4a39d5a5, 0x1a633daad743af63, 0xbd97d2cc5c2429c5,
  0x6422aa3608cbff00, 0xf8abe77715251c5c, 0x9cc304daf2e556b3, 0xeace75152a8d7648, 0xae0404e9b95daa5b,
  0x6c12572fb1e8d829, 0xf8b5d73daad115e5, 0x21520b94b5f3a03c, 0x52179c637d012fb8, 0x6cbb22add2f5545a,
  0x176371e6ca2317f3, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x02bb48102fa792bf,
};

static const uint64_t ur_t828_swio14_dual_ce_hw[] = {
  0x0bdddddda243359b, 0x8df9aa6400805fb4, 0xb7266e9da69d06e3, 0x6279294ab9d45f1a, 0x6baf7616b17dd817,
  0xe324d2dc8786614d, 0x2321e83481544c13, 0x5fbae718389df840, 0x24ee9f12e206142e, 0x2381c19babff32ec,
  0x0e574dea3eced847, 0x7f98d022847242ac, 0xf8bbc11200dc3e05, 0xcb40c7a2195dc5ee, 0xff4073c26eea2a10,
  0x5f9a21c484b6fbb5, 0xfff90fcc1608e24e, 0x383717d5fc8c10e0, 0x17dc6883cf127212, 0x47f51f097e21b091,
  0x52e678bb9b5d2a2e, 0xb5bd4709f3dcb19f, 0xc05a95dd471cab03, 0xe00ced38a34c4e62, 0x5c6faa01ffb33c75,
  0x8a92dfe181e5adcb, 0x7972ab59fc55f3bb, 0x9546bb244e61826d, 0xdcaed52df5673a8a, 0xd8f46c14d7020274,
  0xd5688af2b6092b97, 0x5af9d01e7c5aeb9e, 0xbe8097dc10a905ca, 0xe97aaa2d290bce31, 0xca2317f36cbb0c76,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x00000000026eabb0,
};

static const uint64_t ur_t828_swio14_dual_ee_ce_hw[] = {
  0x2beddddddd435032, 0x657e6a9835f225fb, 0xee66f753ecb534e7, 0x758371ce70b26d00, 0xd71f95c71dfd357c,
  0x4eb955eda3fbdd97, 0x41a41f3e9827c64c, 0x38c1c4efc201190f, 0xf8971030a172fdd7, 0xf26c41f997612774,
  0x37a8e1a361a68e0f, 0x811423921560763f, 0xdbb006e1f02bfcc6, 0x2a2195dc5eef8bbd, 0x784d21e2a10cb418,
  0x389096dcd6ffe80e, 0xf982c11c49cbf344, 0xa353d1823fcfff21, 0xf3c49c84a76ceffa, 0x4c273b9b5e9299cb,
  0x3caf0201bb595992, 0x04f51f06cc1c89ea, 0x148b34eb4239015e, 0x2feb6006be8c2cb1, 0xb07b47a51cead705,
  0xc67b55e9c1d7b19b, 0x2fa598b848538a34, 0x22aa3608a04e017b, 0x55f3bb8a92f4f464, 0x61826d7972ab59fc,
  0x673a8a9546bb244e, 0x020274dcaed52df5, 0x092b97d8f46c14d7, 0x5aeb9ed5688af2b6, 0xa905ca5af9d01e7c,
  0x0bce31be8097dc10, 0xbb0c76e97aaa2d29, 0xc371e6ca2317f36c, 0xb25c33d30ae4fcfe, 0xccb0e9296cf8138c,
  0x9e9c0be9e4afdcd0, 0x0000000000000226,
};

static const uint64_t ur_t828_swio14_dual_ee_ce_u4_hw[] = {
  0xedddddda28d1bf5b, 0xfcd530b8f5edfb33, 0xc3ddaaf1d7fb4afa, 0x159f7c7fbeb937a3, 0xbb412b706d9f46a4,
  0x37ac03b202ef2757, 0x7059827c64bb2b93, 0x9df8402321e8348d, 0x06142e5fbae71838, 0xf32c8354ee9f12e2,
  0xb618dc70ec19af0f, 0x2156078826f51d0f, 0x1f02bfcc68114239, 0xc5eef8bbe231006e, 0x2a10cb423922195d,
  0xe92bfe80e784dbee, 0xc49cbf344389096d, 0x3b07ff1164982c11, 0x5faf717d518d68c1, 0x2fb8d1079e2c5f42,
  0x17ea3e12fc436122, 0x4933c5dcdafd4e5c, 0x51e578100ddadcde, 0xf027a8f83660e44f, 0x88a459a75a11c80a,
  0x297f5b0035f46165, 0xdd83da3d28e756b8, 0xa633daaf4e0ebd8c, 0xd97d2cc5c2429c51, 0x211551b04502700b,
  0xe2af9ddc5497a7a3, 0x730c136bcb955acf, 0xab39d454aa35d922, 0xb81013a6e576a96f, 0xb0495cbec7a360a6,
  0xe2d75cf6ab445795, 0x85482e52d7ce80f3, 0x485e718df404bee0, 0x65d863b74bd55169, 0xbb1b8f365118bf9b,
  0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xd6d59bd0173c95fb, 0x0000000000000075,
};

// t828_swio15_noled_pr
static const uint64_t ur_t828_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x6c13c19849eed327, 0x10bcd875e35de4dd,
  0xc7cc13e32776c7b2, 0x91826dfffa82567c, 0x1f3dea3c4277cb74, 0xbdd3200b5e38e558, 0x9dae1a3268e62c05,
  0xcaffb8e58c11d78b, 0x398609b5e5caad4a, 0x5d9cea2a551aec91, 0x05359d372bb54b7d, 0xe56c1255abfdfd1b,
  0xa779fad73daad115, 0x6173a9d4e02ca54f, 0x8097dc2fdc502169, 0xb288c5fcdb4e31be, 0xe40d1fc68b1e70dd,
  0xb867a615c9fbab31, 0x1d252d964a271964, 0xb5493c95fb9a1996, 0x0000000001f20491,
};

static const uint64_t ur_t828_swio15_noled_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10acebeb0d, 0x76a1e8da16541921, 0xcc24f7569421b45c, 0x267e9777eeb609e0,
  0x8c9dd5c62454dc1b, 0x8ff06879fdbf304f, 0x1fe43be5ba48c13a, 0x7af91c72ac0f9ef5, 0x1f40731602dee982,
  0x39630475e2e768c9, 0x36bcb955a959d06e, 0x454aa35d922730c1, 0xa6e576a96fabb39d, 0x4ab57fbfa360a6b3,
  0xbae7b55a22bcad82, 0xd4d8a53c34ef37b6, 0x0b9c637d012fb81d, 0x218ab74bd5516969, 0xae0f365118bf9b6c,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x5f198b3c95fb9a19, 0x000000000007c9a4,
};

static const uint64_t ur_t828_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0x87ee5a58844b2758, 0x9fbd867aebcbda99, 0xbf83f85d09ad4fc7, 0xd8333630a2282ffb,
  0x7c64eeae312247e0, 0x4dff8343cf8d6982, 0xc9c1fed68fba8c13, 0x3e0d98397dea3cad, 0xd3ad080fe2b80dea,
  0x801afa30b2c4522c, 0x73ab4b87b1d63399, 0x43af006764c518f8, 0x242b591f413daad7, 0x97fe017b2e1c8c5c,
  0x826d7972ab51d57f, 0x3a8a9546bb244e61, 0x674dcaed52df5767, 0x04956aff7f46c14d, 0x7eb5cf6ab445795b,
  0xea75380b2953e9de, 0xf70bf714085a585c, 0x317f36d38c6fa025, 0xd163ce2e4d5c6ca2, 0xae4fdd598f2076d0,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00053e69c8cc59e4,
};

static const uint64_t ur_t828_swio15_noled_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b10890ceb0, 0xd91d68ba4cf8f9b5, 0x48b87c6be2f361a9, 0xf5c69e144505fde4,
  0x193ba8293974e086, 0x7febfdb3e35a609f, 0xe0ff6b471ee304d3, 0x83660cf5f51e5670, 0xeb4203f8ace1fa8f,
  0x06be8c2cb1148b34, 0xead2ffb8743ee660, 0xd7a1a9db4a47f21c, 0x12628f7b9ed56ba1, 0xffc02f65b2e62e12,
  0x8e2fa0c16a8d8232, 0x22730c136bcb955a, 0xfabb39d454aa35d9, 0x360a6b3a6e576a96, 0x2bcad824ab57fbfa,
  0x4ef37b6bae7b55a2, 0x12fb81dd4d8a53c3, 0x55169690b9c637d0, 0x8bf9b6c218ab74bd, 0x8df1726ae0f36511,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x004ebd594ca833c9,
};

static const uint64_t ur_t828_swio15_noled_pr_ce[] = {
  0x14cdddddddec4743, 0xe82b9696215ac9d6, 0x4d8d2b7a917c4dc4, 0xc3f11183b5385fe9, 0x2ac15a30a803754c,
  0x304f8c9dda8bc968, 0x823a5ff06879f297, 0x05838e94effa8291, 0xe7736b868d35f9e0, 0x1e6e9ee580bac984,
  0xf97d1c72ac0c9ef5, 0x64c51ef6731602ed, 0xa807feccf1d7a3e7, 0x508981e5add6b134, 0x91398609b5e5caad,
  0x7d5d9cea2a551aec, 0x1b05359d372bb54b, 0x15e56c1255abfdfd, 0xa779bdb5d73daad1, 0x097dc0eea6c529e1,
  0xaa8b4b485ce31be8, 0x8bf9b6c2131dba5e, 0x8b1e71726ae36511, 0x727eeacc7903b686, 0x9289c6592e19e985,
  0x7ee6866587494b65, 0x016ea2fdc662cf25,
};

static const uint64_t ur_t828_swio15_noled_pr_ce_u4[] = {
  0x37dddddda2447705, 0xbee5a58b8162fac7, 0x05d083588f8b7ede, 0x261c45ecd85a217d, 0x4c6967ede9eef373,
  0x4f8c9ddb0db2bc8a, 0x4aeff5fed9fd9d30, 0x692575c5f5dbf182, 0x9117dc6883cf002d, 0xe92bf51f097e21b0,
  0x67eb2678bb9b5d90, 0x6064f7a8f374f72c, 0x98b0176fcbe8e395, 0x8ebd1f3b2628f7b3, 0x6eb589a5403ff667,
  0xaf2e556a844c0f2d, 0x52a8d76489cc304d, 0xb95daa5beaece751, 0xad5fefe8d829ace9, 0xb9ed5688af2b6092,
  0x36294f0d3bcdedae, 0xe718df404bee0775, 0x98edd2f5545a5a42, 0x079b288c5fcdb610, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x65419e4afdcd0ccb, 0x0000000006ebbcdb,
};

static const uint64_t ur_t828_swio15_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xdcb4b1c85fe9d606, 0x3a2475e9c2fad0bd, 0xd22e6247ea2e2f8e, 0x4cc69f0ba1c1b64c,
  0xdd3ad1a999b3ee4b, 0x5fed9f0d1304f8c9, 0xff54670e304b1fff, 0x83f9e005ad218f9d, 0xf9309cee6d77546a,
  0xa8f2b74a06ed6560, 0x6e97d47c1b306807, 0xc4522cd3ad08e405, 0x7eefad801afa30b2, 0xa76d291fc873ab5c,
  0xf7b9ed57a7075e86, 0xf65b2e62e1212628, 0x060b546c11409c02, 0x304daf2e556bd3dd, 0xe75152a8d76489cc,
  0xace9b95daa5beaec, 0x6092ad5fefe8d829, 0xedaeb9ed5688af2b, 0x077536294f0d3bcd, 0x5a42e718df404bee,
  0xb61098edd2f5545a, 0x9357079b288c5fcd, 0x8f207e50d165abcb, 0x38d2861539fa9d59, 0xe4fc07cd0f226781,
  0xf8138cb25c33d30a, 0xafdcd0ccb0e9296c, 0x0009f856a65419e4,
};

static const uint64_t ur_t828_swio15_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e5f41, 0xbb969636720dd631, 0x17accf419ad1006d, 0x3d889212ef92d458, 0x919ae3a4ff07c776,
  0x3bb45fddb62ae313, 0xe6bde7d0fa609f19, 0xc5f5476ea304c41f, 0x1a20f3c00b9ddadd, 0x47c25f886c2445f7,
  0xf17736bbb76164fd, 0x5ba50376b7363e4c, 0xea3e0d983403d479, 0x1669d6847202b74b, 0xd6c00d7d18596229,
  0x948fe439d5ae3f77, 0xf6abd383af4353b6, 0x9731709093147bdc, 0xaa3608a04e017b2d, 0xd7972ab5e9ee8305,
  0xa9546bb244e61826, 0xdcaed52df57673a8, 0x56aff7f46c14d674, 0x5cf6ab445795b049, 0x9b14a7869de6f6d7,
  0x738c6fa025f703ba, 0x4c76e97aaa2d2d21, 0x83cd94462fe6db08, 0x334f8d1637c5c9ab, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3d5e792bf734332c,
  0x0000000013f1f817,
};

static const uint64_t ur_t828_swio15_noled_hw[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10acebeb0, 0x5b006e8da1654192, 0x9e0cc24f7569421b, 0x568267e9777eeb60,
  0xfcc13e3277731243, 0x2304ea3fef8167f6, 0x3e7bd47f90ef96e9, 0x7ba609ebe471cab0, 0x9da3247d01cc580b,
  0x6741b8e58c11d78b, 0x9cc304daf2e556a5, 0xaece75152a8d7648, 0x829ace9b95daa5be, 0xf2b6092ad5fefe8d,
  0xbcdedaeb9ed5688a, 0xbee077536294f0d3, 0x45a5a42e718df404, 0xfe6db0862add2f55, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00000238add453c9,
};

static const uint64_t ur_t828_swio15_noled_ee_hw[] = {
  0xe4dddddda2431768, 0x56b9696211219d61, 0xa7b6477499f1f36b, 0x9122e1f1af8bcd86, 0xb3d71a78511417f7,
  0x04f8c9dd37476b47, 0x134dffb0ff9f1ad3, 0x59c383fdad1c7b8c, 0xea3e0d9833d7d479, 0x2cd3ad080fe2b387,
  0x99801afa30b2c452, 0xc873ab4bfee1d0fb, 0xae875e86a76d291f, 0xb848498a3dee7b55, 0x08cbff00bd96cb98,
  0x556a38be8305aa36, 0xd76489cc304daf2e, 0xaa5beaece75152a8, 0xefe8d829ace9b95d, 0x5688af2b6092ad5f,
  0x4f0d3bcdedaeb9ed, 0xdf404bee07753629, 0xd2f5545a5a42e718, 0x94462fe6db0862ad, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x000000002dfe10f8,
};

static const uint64_t ur_t828_swio15_noled_ce_hw[] = {
  0x9beeeeeed1218375, 0x5f72d2c5c0b17d63, 0xfda0bbac47c5bf6f, 0xe64c388bd9b0b442, 0xd6c4d2cfdbd3dde6,
  0x74c13e327760580a, 0xe30495dfec3fe7f6, 0x8939094aeb8bebb7, 0x10d8488bee3441e7, 0xafd83787fa8f84bf,
  0x7b9633f5933c5dcd, 0x71cab0327bd479ba, 0x7bd9cc580bb7e5f4, 0xfb33c75e8f9d9314, 0x0796b75ac4d2a01f,
  0x1826d7972ab54226, 0x73a8a9546bb244e6, 0xd674dcaed52df576, 0xb04956aff7f46c14, 0xf6d75cf6ab445795,
  0x03ba9b14a7869de6, 0x2d21738c6fa025f7, 0xdb084c76e97aaa2d, 0x2ec6e3cd94462fe6, 0xbc3def2861539fa8,
  0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xacd983905f4f257e,
  0x0000000000000003,
};

// t828_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_t828_swio15_noled_ee_ce_hw[] = {
  0x77bbbbbb44863d5b, 0x6ee5a58d9c83758c, 0x2ec0bdd066b4401b, 0xbb1ec4490977c96a, 0x89c8cd71d27f83e3,
  0x4f8c9dd67ceb7b5a, 0x620ff61ff3e87d30, 0xad6ee2faa3b75182, 0x45f71a20f3c49c84, 0xbbfd47c25f886c24,
  0x3e4cf17736b8000d, 0xd4795ba50376b736, 0xb74bea3e0d983403, 0x62291669d6847202, 0x3f77d6c00d7d1859,
  0x53b6948fe439d5ae, 0x7bdcf6abd383af43, 0x7b2d973170909314, 0x8305aa3608a04e01, 0x1826d7972ab5e9ee,
  0x73a8a9546bb244e6, 0xd674dcaed52df576, 0xb04956aff7f46c14, 0xf6d75cf6ab445795, 0x03ba9b14a7869de6,
  0x2d21738c6fa025f7, 0xdb084c76e97aaa2d, 0x2ec6e3cd94462fe6, 0xbc3def2861539fa8, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x5014c5f05f4f257e,
};

static const uint64_t ur_t828_swio15_lednop[] = {
  0x1b0777777759bb37, 0x243bb96962158656, 0x83ef8fdd0e28e383, 0x09e0cc24f73afad3, 0x1a6c401b6f67eeb6,
  0x3dcc13e32776c7b2, 0x48c13baffa82567e, 0x0f9ef51e6e3be5ba, 0xbdd36df97d1c72ac, 0x9d96ba3b58e62c05,
  0x65adb8e58c11d78b, 0x9cc304daf2e556a5, 0xaece75152a8d7648, 0xe0404e9b95daa5be, 0x6092b92b1e8d829a,
  0xc5aeb9ed5688af2b, 0x0a905ca5af9d01e7, 0x90bce31be8097dc1, 0x6c63156e97aaa2d2, 0xe7f61bb65118bf9b,
  0x9c6592e19e985727, 0x6866587494b65928, 0xa93eb6d524f257ee, 0x0000000000000000,
};

static const uint64_t ur_t828_swio15_lednop_pr[] = {
  0x76eeeee87afb1762, 0xd72d2c42b171ac4f, 0xf5e9ea981c52219a, 0xe412276dfa5d9f8e, 0x0bfc7d69bb3dd111,
  0x193bb4cd19833477, 0xffe0d0f3f52a609f, 0xfa51df2d07e30431, 0x3a88e395607d07a8, 0x7191cc580b2ca67f,
  0xfb30475e8f9db244, 0x7967b707ee1aa01f, 0x826d7972ab5976a0, 0x3a8a9546bb244e61, 0x274dcaed52df5767,
  0x5c958f46c14d7020, 0x5cf6ab445795b049, 0x2e52d7ce80f3e2d7, 0x718df404bee08548, 0x8ab74bd55169485e,
  0x079b288c5fcdb631, 0x76d0d1674f8b9357, 0x861539fa9d598f20, 0x899e2e7197e627f2, 0xae4fc73dffc1343c,
  0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00001f26648cc59e,
};

static const uint64_t ur_t828_swio15_lednop_pr_u4[] = {
  0xb077777768bb1762, 0x43bb969621586561, 0x98ec2fd0e28e3832, 0x833093dcebeb4e0f, 0x77006dbd9fbad827,
  0x4f8c9dda668cd684, 0x3baff06879f8f730, 0xf51e6e3be5ba48c1, 0x6df97d1c72ac0f9e, 0xba3b58e62c05bdd3,
  0xb8e58c11d78b9d96, 0x04daf2e556a565ad, 0x75152a8d76489cc3, 0x4e9b95daa5beaece, 0xb92b1e8d829ae040,
  0xb9ed5688af2b6092, 0x5ca5af9d01e7c5ae, 0xe31be8097dc10a90, 0x156e97aaa2d290bc, 0x0f365118bf9b6c63,
  0x1db43458df1726ae, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0,
  0x1d252d9f0271964b, 0x198b3c95fb9a1996, 0x0000000003e4c217,
};

static const uint64_t ur_t828_swio15_lednop_pr_ee[] = {
  0x1bbf7777777b1762, 0x987ee5a58844242b, 0xbc69ed0bdf4b5a29, 0xddfc1fc2e84db260, 0x1d9fbc5e8211417f,
  0x27c64eed33467f4d, 0x472ff06879feaf98, 0xba583fdad1f75182, 0x47c1b3072fbd4795, 0x9a75a101fc56517d,
  0x30035f4616588a45, 0x273ab4bbf83ac673, 0x743af00676c911a6, 0x848507d1dad3daad, 0xf2ffc02f65c3918b,
  0x304daf2e556a3a59, 0xe75152a8d76489cc, 0x04e9b95daa5beaec, 0x2b92b1e8d829ae04, 0x6b9ed5688af2b609,
  0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0xfe6da718df404bee, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x14f8a9d198b3c95f,
};

static const uint64_t ur_t828_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed12232a8, 0xab5cb4b108942eb0, 0x9a5d5c7a36d889b5, 0x9170f8d78678bec9, 0xa2d054108a0bfbc8,
  0x32774eb46a122cfa, 0x7faff6cff57cc13e, 0x83fdad1c7b8c1239, 0x0d9833d7d4795943, 0xad080fe2b287ea3e,
  0x1afa30b2c4522cd3, 0xab4bfce1d0fb9980, 0xbd0d4ec13d1cdc73, 0xb2447194f6ab5d0e, 0xfe017b2d97317090,
  0x38bb589a546c1197, 0x89cc304daf2e556a, 0xeaece75152a8d764, 0xae0404e9b95daa5b, 0xb6092b92b1e8d829,
  0x7c5aeb9ed5688af2, 0x10a905ca5af9d01e, 0x290bce31be8097dc, 0xb6c63156e97aaa2d, 0x726ae0f365118bf9,
  0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0xeb966ca833c95fb9, 0x0000000000000004,
};

static const uint64_t ur_t828_swio15_lednop_pr_ce[] = {
  0x14cdddddddec53c3, 0x7415cb4b10ac4856, 0x78bf4ddebc864ee2, 0x61f888c1ec9b53db, 0x8c7136104f1fbaa6,
  0x304f8c9dd23f2eec, 0x82175ff06879f53d, 0x058385d4effa8291, 0x9dcdaf3b76b7f9e0, 0x79c67b9602eb2613,
  0x7a5471cab0327bd4, 0xd92238c8e62c058f, 0x500ffd99e3af47ce, 0x2ed40f2d6e83f70d, 0x89cc304daf2e556b,
  0xeaece75152a8d764, 0xae0404e9b95daa5b, 0xb6092b92b1e8d829, 0x7c5aeb9ed5688af2, 0x10a905ca5af9d01e,
  0x290bce31be8097dc, 0x6d8c4c76e97aaa2d, 0xe2e4d5c6ca2317f3, 0xd598f2076d0d163c, 0x8cb25c33d30ae4fd,
  0x0ccb0e9296cb2513, 0x5b8f8cc59e4afdcd, 0x00000000000002dd,
};

static const uint64_t ur_t828_swio15_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x5f72d2c5c0a19d63, 0xd91d68ba306bbf6f, 0x64c388bde2f361a9, 0x0437ae34f0adde6e,
  0x04f8c9dd4149cba7, 0x269bff5fed9f1ad3, 0xd6934ddc5f5dbf18, 0x09117dc6883cf002, 0x2b2a3f51f097e21b,
  0xc67eb2678bb9b5c9, 0x56064f7a8f38cf72, 0x1cc580b1ef4a8e39, 0x3c75e8f9db244719, 0xadd07ee1aa01ffb3,
  0xb5e5caad65da81e5, 0x2a551aec91398609, 0x372bb54b7d5d9cea, 0x563d1b0535c0809d, 0xdaad115e56c12572,
  0x4b5f3a03cf8b5d73, 0x37d012fb821520b9, 0xdd2f5545a52179c6, 0xd94462fe6db1898e, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x0cf257ee68665874, 0x0000001baf56532a,
};

static const uint64_t ur_t828_swio15_lednop_pr_ee_ce[] = {
  0x0dbddddddd447e4a, 0x7bb9696390bf91ac, 0x06f6e0ea9bb1f5a1, 0x99a45cc7e991f867, 0xed60d05e1743836c,
  0x93ba528eb1ba57d2, 0xfd7fb67e76e609f1, 0x77fd519c38c1376b, 0x341ff3c00b5a4ff8, 0xb07c984e7736be54,
  0x03d47959750376b2, 0x02b2ebea3e0d9834, 0x5962291669d68472, 0xae3e77d6c00d7d18, 0x86a7609e8e6e39d5,
  0x88e329ed57a7075e, 0x02f65b2e62e12164, 0xeb589a546c11409c, 0xe61826d7972ab5e9, 0x7673a8a9546bb244,
  0x020274dcaed52df5, 0x0495c958f46c14d7, 0x2d75cf6ab445795b, 0x5482e52d7ce80f3e, 0x85e718df404bee08,
  0xc6263b74bd551694, 0x726ae365118bf9b6, 0xcc7903f2868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0x9f32a0cf257ee686, 0x0000000000014d33,
};

static const uint64_t ur_t828_swio15_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e6d3a, 0xbb969636711dd631, 0x75a53b4ddb21006d, 0x3d8892106e5d91f3, 0x727533a4ff07c776,
  0x776e76cd8f6c9962, 0xcd7bcffebcc13e32, 0x8bea8edd4609003f, 0x3441e780173b6bbb, 0x8f84bf10d8488bee,
  0xc5dcdafc3fc7ddfa, 0x65d40ddadcd8f933, 0xa8f83660d00f51e5, 0x59a75a11c80acbaf, 0x5b0035f4616588a4,
  0x7a39b8e756b8f9df, 0xb55e9c1d7a1a9d82, 0xb98b848592238ca7, 0x51b04502700bd96c, 0x5e5caad7a7ad6269,
  0xa551aec91398609b, 0x72bb54b7d5d9cea2, 0x63d1b0535c0809d3, 0xaad115e56c125725, 0xb5f3a03cf8b5d73d,
  0x7d012fb821520b94, 0xd2f5545a52179c63, 0x94462fe6db1898ed, 0x8d1637c5c9ab83cd, 0x9cfd4eacc790334f,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000013f347173d5e,
};

static const uint64_t ur_t828_swio15_lednop_hw[] = {
  0x1b0777777759bb37, 0x243bb96962158656, 0x83ef8fdd0e28e383, 0x09e0cc24f73afad3, 0x1a6c401b6f67eeb6,
  0x3dcc13e32776c7b2, 0x92304eebfef8167e, 0x03e7bd479b8ef96e, 0x6f74db7e5f471cab, 0xe765ae8ed6398b01,
  0x596b6e39630475e2, 0x2730c136bcb955a9, 0xabb39d454aa35d92, 0xb81013a6e576a96f, 0xd824ae4ac7a360a6,
  0xf16bae7b55a22bca, 0x42a417296be74079, 0xa42f38c6fa025f70, 0xdb18c55ba5eaa8b4, 0xf9fd86ed94462fe6,
  0x271964b867a615c9, 0x9a19961d252d964a, 0x004717d7453c95fb,
};

static const uint64_t ur_t828_swio15_lednop_ee_hw[] = {
  0xf26eeeeed121b768, 0xab5cb4b108942eb0, 0x93d34bba36d889b5, 0x9122e1f1af0cf17d, 0x1545a0a8211417f7,
  0x04f8c9dd764afb67, 0x2472ff61ff3fd5f3, 0xb28707fb5a38f718, 0xd47c1b3067afa8f2, 0x59a75a101fc5650f,
  0x330035f4616588a4, 0xb8e75697f9c3a1f7, 0xba1d7a1a9d827a39, 0xe1216488e329ed56, 0x232ffc02f65b2e62,
  0xaad47176b134a8d8, 0xaec91398609b5e5c, 0x54b7d5d9cea2a551, 0xb0535c0809d372bb, 0x15e56c12572563d1,
  0xa03cf8b5d73daad1, 0x2fb821520b94b5f3, 0x545a52179c637d01, 0x17f36d8c62add2f5, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000b7f33142fa7,
};

static const uint64_t ur_t828_swio15_lednop_ce_hw[] = {
  0x37dddddda2431768, 0xbee5a58b81433ac7, 0xa7b6477460d77ede, 0xb9930e22f78bcd86, 0x5a3d9eb8d3c2b779,
  0xd69827c64ee9ba3b, 0xfc609a6ffd87fcf8, 0xf127212d37717d76, 0xe21b09117dc6883c, 0xb5e6199f3f51f097,
  0xcf72c67eb2678bb9, 0x8e3956064f7a8f38, 0x47191cc580b1ef4a, 0xffb33c75e8f9db24, 0x81e5add07ee1aa01,
  0x8609b5e5caad65da, 0x9cea2a551aec9139, 0x809d372bb54b7d5d, 0x2572563d1b0535c0, 0x5d73daad115e56c1,
  0x20b94b5f3a03cf8b, 0x79c637d012fb8215, 0x898edd2f5545a521, 0x6e3cd94462fe6db1, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xe10f85f4f257ee68,
  0x000000000000759b,
};

// t828_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_t828_swio15_lednop_ee_ce_hw[] = {
  0x77bbbbbb4486cc7f, 0x6ee5a58d9c47758c, 0xfe9badd376c8401b, 0xbb1ec44908372ec8, 0xb1393a99d27f83e3,
  0xf8c9dd4fbaafd51f, 0x00ff61ff3ffaf304, 0xaeee2faa3b751824, 0x5f71a20f3c49c849, 0x7fd47c25f886c244,
  0xc99e2ee6d7e41d5d, 0x8f2b2ea06ed6e6c7, 0x5d7d47c1b306807a, 0x4522cd3ad08e4056, 0xcefad801afa30b2c,
  0xec13d1cdc73ab5c7, 0x653daaf4e0ebd0d4, 0xcb65cc5c242c911c, 0x134a8d822813805e, 0x04daf2e556bd3d6b,
  0x75152a8d76489cc3, 0x4e9b95daa5beaece, 0xb92b1e8d829ae040, 0xb9ed5688af2b6092, 0x5ca5af9d01e7c5ae,
  0xe31be8097dc10a90, 0xc76e97aaa2d290bc, 0x1e6ca2317f36d8c4, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x6782fa792bf73433, 0x000000000001405f,
};

// t828_swio15_dual_pr
static const uint64_t ur_t828_swio15_dual[] = {
  0x45ddddddde7c92df, 0xddf9aa6569b29fb3, 0x16f5de891e4b0ccd, 0x5360c4abe3b46e8b, 0xd84339cd3b75a2d4,
  0x95377251f421b9c4, 0x87a0d23bad304f8c, 0xeb9c60e277e1008c, 0xba7c4b881850b97e, 0x0a2cce4ff329ad53,
  0x9537a8efe6c17d9c, 0x31a04508e4855819, 0xbbd0f801b87c0aff, 0xa03e22195dc5eef8, 0xa039e136f7150865,
  0xe68871212dba9eff, 0xf920d30582389397, 0xdf3be59ef8c13f77, 0xdc71cab0383fea3e, 0x2731602a83cce4c3,
  0x823af006764011c4, 0xcf6def8c9500ffd9, 0x7ceee2a4af9d40f2, 0x609b5e5caad67f15, 0xcea2a551aec91398,
  0x09d372bb54b7d5d9, 0x572563d1b0535c08, 0xd73daad115e56c12, 0x0b94b5f3a03cf8b5, 0x9c637d012fb82152,
  0x62add2f5545a5217, 0xc1e6ca2317f36d8c, 0x334f8d163ce2e4d5, 0x9e985727eeacc790, 0x494b67c09c6592e1,
  0xabcf257ee6866587, 0x00000000c42c7fe7,
};

static const uint64_t ur_t828_swio15_dual_pr_u4[] = {
  0x8bbbbbbb44865c93, 0xbbf354cad3653f66, 0x6962dd123c96199b, 0xa8a6c18957c768dd, 0x793086739a76eb45,
  0x254ddc8671716eb7, 0x21e8348eeb4c13e3, 0xbae718389df84023, 0xee9f12e206142e5f, 0xc0a2cce4ff32ec24,
  0x99537a8efe6c17d9, 0xf31a04508e485581, 0x8bbd0f801b87c0af, 0x5a03e22195dc5eef, 0xfa039e136f715086,
  0x7e68871212dba9ef, 0x7f84633058238939, 0xedf3be59ef8c13f7, 0x3dc71cab0383fea3, 0x42731602a83cce4c,
  0x9823af006764011c, 0x2cf6def8c9500ffd, 0x57ceee2a4af9d40f, 0x8609b5e5caad67f1, 0x9cea2a551aec9139,
  0x809d372bb54b7d5d, 0x2572563d1b0535c0, 0x5d73daad115e56c1, 0x20b94b5f3a03cf8b, 0x79c637d012fb8215,
  0xc62add2f5545a521, 0x371e6ca2317f36d8, 0x599bf83bb8d1637c, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb,
  0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x9af3e15c7cf257ee, 0x00000000000000a4,
};

static const uint64_t ur_t828_swio15_dual_pr_ee[] = {
  0x76eeeeeea0a1a5fb, 0x37e6a9998f76fd8a, 0xd07dbb3890523bb8, 0xba5dd8644faaf4fb, 0x2bbc75d88c3329c1,
  0xca591aeb36855993, 0x90ba2cc13e324c4d, 0x0713bf0804643d06, 0x5c40c285cbf75ce3, 0x82d7e65d849dd3e2,
  0xa38d6d813a3825a9, 0x2847242ac0f4dcde, 0x600dc3e057f98d02, 0x2195dc5eef8bbee8, 0x4c1ee2a10cb417da,
  0x9096de76ffe80e78, 0x82c11c49cbf34438, 0x9458c1287ffc2319, 0xbd4795efb83fdad1, 0x2bdf7ea3e0d98332,
  0x2c4522cd3ad080fe, 0x1d09f99801afa30b, 0x1ed19ea73ab4b943, 0x67b55ae875ec66ed, 0xfa598b8484802388,
  0xb546c1197fe017b2, 0xf9ddc54947179177, 0xc136bcb955acfe2a, 0x9d454aa35d922730, 0x13a6e576a96fabb3,
  0xae4ac7a360a6b810, 0xae7b55a22bcad824, 0x17296be74079f16b, 0x38c6fa025f7042a4, 0xc55ba5eaa8b4a42f,
  0xe3cd94462fe6db18, 0x9bf83bb8d165abc6, 0x38d2861539fa9d59, 0xe4fc07cd0f226781, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x001591eb62b8f9e4,
};

static const uint64_t ur_t828_swio15_dual_pr_ee_u4[] = {
  0x817bbbbbb4486f97, 0x777e6a9998957bf6, 0x56f77ba769a70919, 0x05991f2252b53ecb, 0xd201aaf1d76230ce,
  0x91fb93c119d385a9, 0x7a0d217459827c64, 0xb9c60e277e1008c8, 0xa7c4b881850b97ee, 0x1ad313afccbb093b,
  0x69bd47d37b08ac70, 0x1a04508e485581e5, 0xbf2a001b87c0aff3, 0x23da2195dc5eef8b, 0x073c269122a10cb4,
  0xa21c484b6f3b7ff4, 0x118cc1608e24e5f9, 0xf6b46fe460943ffe, 0xc184ff51e56c160f, 0x407f15c87f51f06c,
  0xd185962291669d68, 0x5dc98e838ccc00d7, 0x4d3b2008c1439d5a, 0xd1e459ed56ba1d79, 0x05ecb8f8c5c2427b,
  0xeee2a4a3ab5a5ff8, 0x9b5e5caad67f157c, 0xa2a551aec9139860, 0xd372bb54b7d5d9ce, 0x2563d1b0535c0809,
  0x3daad115e56c1257, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0xdb4e31be8097dc73, 0x8df0dc79b288c5fc,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x002b2042c571f3c9,
};

static const uint64_t ur_t828_swio15_dual_pr_ce[] = {
  0x725ddddddde7ce7c, 0x105f9aa6568589fb, 0x8bf5d6f6c4a33b22, 0x6634c4896a39cd8a, 0xf33ed3ed5f6ef25a,
  0x906772d9b69eae23, 0x87a0d23ce5304f8c, 0xeb9c60e277e1008c, 0xba7c4b881850b97e, 0x0bacc50ff329ad53,
  0x166f51fe76c2439c, 0xc681142392156065, 0xefe5a006e1f02bfc, 0x84dc88657717bbe2, 0x80e784c98c542196,
  0x9a21c484b6f15bfe, 0xe4834c1608e24e5f, 0xb3bfeb2fa304297f, 0xd6eb7ff3c00b9d94, 0xb01438cc273b9b5e,
  0x5581935ea3a013dc, 0xa73160298f3d638e, 0xcf1d7916ecbe23c8, 0xee2a4a3ac8bb8e58, 0xb5e5caad67f157ce,
  0x2a551aec91398609, 0x372bb54b7d5d9cea, 0x563d1b0535c0809d, 0xdaad115e56c12572, 0x4b5f3a03cf8b5d73,
  0x37d012fb821520b9, 0xdd2f5545a52179c6, 0xd94462fe6db1898e, 0xf1a2c79c5c9ab83c, 0x0ae4fdd598f20669,
  0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x00001cf5f39cf579,
};

static const uint64_t ur_t828_swio15_dual_pr_ce_u4[] = {
  0x89dbbbbbb4486f97, 0xe46fcd53200ad3f6, 0xcedeef76c314e583, 0xe466b8d998ebe7d9, 0x6a74806abd9f6ec4,
  0x8c9082e4f04674e1, 0x190f41a45c95304f, 0xfdd738c1c4efc201, 0x2774f8971030a172, 0xce1a6e68adf99761,
  0x328737a8f95b61be, 0xfe63408a11c90ab0, 0xf177e5400370f815, 0xcb43ba4432bb8bdd, 0xff4073c26d2a2a10,
  0x5f9a21c484b6e63f, 0xdfe118cc1608e24e, 0xb675c5f532a304d9, 0x45f71a20f3c49c84, 0x72fd47c25f886c24,
  0x87199e2ee6d7a4a6, 0x64d7a8e804f72c67, 0x580a63cf58e39560, 0x5e45bb2f88f229cc, 0x928eb22ee39633c7,
  0x72ab59fc55f3bb8a, 0x46bb244e61826d79, 0xed52df57673a8a95, 0x46c14d7020274dca, 0x445795b0495c958f,
  0xce80f3e2d75cf6ab, 0x04bee085482e52d7, 0xd55169485e718df4, 0x18bf9b6c6263b74b, 0xdc68b1be1b8f3651,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x3e792bf734332c3a, 0x0000000d240858ae,
};

static const uint64_t ur_t828_swio15_dual_pr_ee_ce[] = {
  0xb4e2ddddddd432db, 0x7657e6a9835da79f, 0x7efd5f76c5e3534e, 0x1d60dc9cbdc61f22, 0xb419caefc77f4e71,
  0xae47045583c333a9, 0x69196d2609f19313, 0x30713bf0804643d0, 0x25c40c285cbf75ce, 0x9b107e65d849dd3e,
  0xea3868d869a383fc, 0x4508e485581d8fcd, 0x0801b87c0aff31a0, 0x4432bb8bddf177ae, 0x09a43c5421968305,
  0x1212dbde1ffd01cf, 0x30582389397e6887, 0x3c091825adff8463, 0x9e24e424ff0effaa, 0x84e7736bf37d523f,
  0x95e560376b2b3249, 0xdea3e0d983eebd47, 0x91669d6847202bca, 0xfd6c00d7d1859622, 0x8f68cf539d5ae0a1,
  0xcf6abd383af63376, 0xf4b3170909004710, 0xb546c11409c02f65, 0x7ceee2a4bd3d9177, 0x609b5e5caad67f15,
  0xcea2a551aec91398, 0x09d372bb54b7d5d9, 0x572563d1b0535c08, 0xd73daad115e56c12, 0x0b94b5f3a03cf8b5,
  0x9c637d012fb82152, 0x98edd2f5545a5217, 0xe3cd94462fe6db18, 0x66fe0eee3458f386, 0xc970cf4c2b93f756,
  0x32c3a4a5b3e04e32, 0x270ae3e792bf7343, 0x000000000002609d,
};

static const uint64_t ur_t828_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0xcd530b895edfb162, 0x82d51fa2ffb4afaf, 0x5f99b9b4c3e964d3, 0x92b706cb146a4145,
  0x0ab39e5dc86b8bc8, 0xf8c976572ac02101, 0x4643d0690cb37304, 0xbf75ce30713bf080, 0x89dd3e25c40c285c,
  0x70ec19af0ff32bf6, 0x8826f51d0fb618dc, 0xcc68114239215607, 0x5de2a8006e1f02bf, 0xa11c910caee2f77c,
  0x4073c26df7150865, 0x9a21c484b6e495ff, 0xe3a9cc1608e24e5f, 0x8bea8ce0c6086b7f, 0x6883cf12701cec1b,
  0x1f097e21b09117dc, 0xc5dcdae75f0aa3f5, 0x79580ddadcde4933, 0xa8f83660fbaf51e5, 0x59a75a11c80af2b7,
  0x5b0035f4616588a4, 0xda33d4e756b8287f, 0xdaaf4e0ebd8cdda3, 0x2cc5c2424011c433, 0x51b04502700bd97d,
  0x3bb8a92f4f645ded, 0x26d7972ab59fc55f, 0xa8a9546bb244e618, 0x74dcaed52df57673, 0xc958f46c14d70202,
  0xcf6ab445795b0495, 0xe52d7ce80f3e2d75, 0x18df404bee085482, 0x3b74bd55169485e7, 0xf365118bf9b6c626,
  0xe823458df1726ae0, 0x1539fa9d599bf837, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0x3cf257ee68665874, 0x00000008002cf2c8,
};

static const uint64_t ur_t828_swio15_dual_hw[] = {
  0x17777776890c0668, 0x77e6a995a6ca7ecd, 0xd2c5ba24792c3337, 0x514d8312af8ed1ba, 0x8fe10ce734edd68b,
  0xf192a6ee40fac137, 0x1190f41a4775a609, 0x2fdd738c1c4efc20, 0x12774f8971030a17, 0xece05166727f9976,
  0xc0cca9bd477f360b, 0x57f98d022847242a, 0x77c5de87c00dc3e0, 0x432d01f110caee2f, 0xf7fd01cf09b7b8a8,
  0x9cbf344389096dd4, 0xeefff21f982c11c4, 0x47dbe77cb3df1827, 0x987b8e39560707fd, 0x3884e62c0550799c,
  0xfb30475e00cec802, 0x1e59edbdf192a01f, 0xe2af9ddc5495f3a8, 0x730c136bcb955acf, 0xbb39d454aa35d922,
  0x81013a6e576a96fa, 0x824ae4ac7a360a6b, 0x16bae7b55a22bcad, 0x2a417296be74079f, 0x42f38c6fa025f704,
  0xb18c55ba5eaa8b4a, 0xec6e3cd94462fe6d, 0xc3def2861539fa82, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4,
  0xc6592e19e985f1a3, 0x6866587494b67c09, 0xdd579f05f4f257ee, 0x0000000000000018,
};

static const uint64_t ur_t828_swio15_dual_ee_hw[] = {
  0x53b777776890cf68, 0xc1bf354ccc7bb7ec, 0xde83edd9c48291dd, 0x0dd2eec3227d57a7, 0x995de3aec461994e,
  0x626e4d1f53ad6ecc, 0xe83485d16609f192, 0xe718389df8402321, 0x9f12e206142e5fba, 0x2d4c16bf32ec24ee,
  0xe6f51c6b6c09d1c1, 0x68114239215607a6, 0xf743006e1f02bfcc, 0xbed10caee2f77c5d, 0x73c260f7150865a0,
  0x21c484b6f3b7ff40, 0x0fcc1608e24e5f9a, 0x5a328b18250ffff9, 0x6657a8f2bdf707fb, 0x1fc57befd47c1b30,
  0x616588a459a75a10, 0x2863a13f330035f4, 0xdda3da33d4e75697, 0x710cf6ab5d0ebd8c, 0xf65f4b3170909004,
  0x2ef6a8d8232ffc02, 0xc55f3bb8a928e2f2, 0xe61826d7972ab59f, 0x7673a8a9546bb244, 0x020274dcaed52df5,
  0x0495c958f46c14d7, 0x2d75cf6ab445795b, 0x5482e52d7ce80f3e, 0x85e718df404bee08, 0x6318ab74bd551694,
  0xd8dc79b288c5fcdb, 0x87bde50c2a73f505, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0xbb4f5b0be9e4afdc, 0x0000000000000002,
};

static const uint64_t ur_t828_swio15_dual_ce_hw[] = {
  0x99eeeeeed121a5fb, 0x8df9aa640089efd9, 0x6a10ee8f6b0d06e3, 0x89e4aecaabdd6d9f, 0x595c535f3ef7599d,
  0x324d2dca591aeba5, 0x643d06909c7cc13e, 0xf75ce30713bf0804, 0x9dd3e25c40c285cb, 0x703833757fe65d84,
  0xcae9bd47d9db08e4, 0xf31a04508e485581, 0x177f37c01b87c0af, 0x6818f4432bb8bddf, 0xe80e784ddd454219,
  0xf9a21c484b6e1a3f, 0xff90fcc1608e24e5, 0xeae2fac068c109d7, 0xfb8d1079e24e4244, 0x7ea3e12fc4361222,
  0x5ccf17736bb21d25, 0x17d479127b9633ea, 0x0a5176fc71cab031, 0x019d90047109cc58, 0xe325403ff6678ebc,
  0x2a4af9d40f2d6e7b, 0xe5caad67f157ceee, 0x551aec91398609b5, 0x2bb54b7d5d9cea2a, 0x3d1b0535c0809d37,
  0xad115e56c1257256, 0x5f3a03cf8b5d73da, 0xd012fb821520b94b, 0x2f5545a52179c637, 0x4462fe6db1898edd,
  0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0xf4f257ee68665874, 0x0000000013753205,
};

static const uint64_t ur_t828_swio15_dual_ee_ce_hw[] = {
  0x4e2ddddddd43573e, 0x657e6a9835da79fb, 0xefd5f76c5e3534e7, 0xd60dc9cbdc61f227, 0x419caefc77f4e711,
  0x75c9717dd9baca9b, 0x0d232da4c13e3262, 0xc60e277e1008c87a, 0xc4b881850b97eeb9, 0x93620fccbb093ba7,
  0xbd470d1b0d34707f, 0x08a11c90ab03b1f9, 0xc100370f815fe634, 0xa88657717bbe2ef5, 0xe134878a8432d060,
  0xe2425b7bc3ffa039, 0xe60b0471272fcd10, 0x1e048c12d6fffc87, 0xcf1272127f877fd5, 0x309cee6d724aca8f,
  0xf2bcac06ed656649, 0x5bd47c1b307dd7a8, 0x522cd3ad08e40579, 0x3fad801afa30b2c4, 0xd1ed19ea73ab5c14,
  0x19ed57a7075ec66e, 0xbe9662e1212008e2, 0xf6a8d822813805ec, 0xaf9ddc5497a7b22e, 0x0c136bcb955acfe2,
  0x39d454aa35d92273, 0x013a6e576a96fabb, 0x4ae4ac7a360a6b81, 0xbae7b55a22bcad82, 0x417296be74079f16,
  0xf38c6fa025f7042a, 0x131dba5eaa8b4a42, 0xdc79b288c5fcdb63, 0x970cf4c2b93f3fb0, 0x2c3a4a5b3e04e32c,
  0x9382fa792bf73433, 0x0000000000044d3e,
};

static const uint64_t ur_t828_swio15_dual_ee_ce_u4_hw[] = {
  0x16eeeeed14682906, 0x7e6a985c4af6fd8b, 0xb26ea8fd17fda57d, 0x0a2afccdcda61f6c, 0x5e4495b83658a352,
  0x57c80bda462e435c, 0x966e609f192ecae4, 0x277e1008c87a0d21, 0x81850b97eeb9c60e, 0xfccb20d53ba7c4b8,
  0xed86371c3b066bc3, 0x485581e209bd4743, 0x87c0aff31a04508e, 0xb8bddf1778aa001b, 0xc54219684724432b,
  0xb9257fd01cf09b7d, 0x389397e68871212d, 0x21adffe22c930582, 0x4bb06e2faa338318, 0x45f71a20f3c58be8,
  0x64fd47c25f886c24, 0x924cf17736bbb761, 0xd4795e560376b737, 0xbcadea3e0d983eeb, 0x62291669d6847202,
  0x0a1fd6c00d7d1859, 0x3768f68cf539d5ae, 0x710cf6abd383af63, 0xf65f4b3170909004, 0x177b546c11409c02,
  0xf157ceee2a4bd3d9, 0x398609b5e5caad67, 0x5d9cea2a551aec91, 0xc0809d372bb54b7d, 0xc12572563d1b0535,
  0x8b5d73daad115e56, 0x1520b94b5f3a03cf, 0x2179c637d012fb82, 0xb1898edd2f5545a5, 0xec6e3cd94462fe6d,
  0xc3def2861539fa82, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0xace2fb405cf257ee, 0x00000000000000eb,
};

// t87_autobaud_uart0_noled_pr       a6616c_autobaud_uart0_noled       a6616c_autobaud_uart0_noled_pr
static const uint64_t ur_t87_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7e2e, 0xc1d04f2737f5fa33, 0xd0475e35cdadddd6, 0xb304f8c9ddb1fb0b,
  0xe094beff965acf9e, 0x87281102a4dff0d3, 0xd4a7d7dd21780ba7, 0x1df2c90f6a8a44af, 0x1c74fe0cd27a8fcf,
  0x731602dee986f93d, 0x11d78b9d9ed23c66, 0x5c7d856513b8e58c, 0xb8f9cfee1bf02523, 0x79bc03e69f60ca46,
  0x0aeaa72f29b19fdc, 0x45a585ce31bc6744, 0x97cdb1248ab7b155, 0xfc68b34406ed84b9, 0x85a0dfbab31e40d1,
  0x964a271966b219e9, 0xc33c95fb9a19961d, 0x0000000e220490cf,
};

// a6616c_autobaud_uart0_noled_pr_u4
static const uint64_t ur_t87_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb4488a8ae, 0x7777774b1ea6c46b, 0xb1ae5ecdaa87be3f, 0xb6c66efdddd9eef0, 0x9f193bbf4f70a123,
  0xba8ff2e3f3fb7e60, 0x40881526ff869f04, 0x3ebee90bc05d3c39, 0x9610fb5452257ea5, 0xa7f0682fd47e80ef,
  0x580b2ca67bed68e3, 0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb3047, 0xd71f60e3e07967b6, 0xae3e73fb86fc0948,
  0x1e6f00f9a7d83291, 0x02baa9cbca6c67f7, 0x516961738c6f19d1, 0x65f36c4922adec55, 0x59d1726ae0f3612e,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x00008c36f2568ae9,
};

/*
 * t87_autobaud_uart0_noled_pr_ee_u4 a6616c_autobaud_uart0_noled_pr_ee
 * a6616c_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_t87_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2446f43, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0x9dd015bc97650d38,
  0xf971f9fd9d304f8c, 0x1526ff869f04a577, 0xe90bc05d3c394088, 0x3b5452257ea53ebe, 0xd4795c89355ad1ce,
  0x5f75ea3e0d9834c7, 0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0xed1e0b39d5a5e715, 0xd8d56ba1d79d376d,
  0xe62e1211473c8c38, 0xa8d823f5b86f65b2, 0x291ae3ec00a89534, 0x5235c7ce7f70df81, 0xfee3cde01f34fb06,
  0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x1343cc9fe07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98, 0x5d3c95fb9a19961d,
  0x00000026a747d7d1,
};

/*
 * t87_autobaud_uart0_noled_pr_ce_u4 a6616c_autobaud_uart0_noled_pr_ce
 * a6616c_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_t87_autobaud_uart0_noled_pr_ce[] = {
  0x1bbbbbbb4488a493, 0x7777774b0b90412b, 0xbc29e98db867ad2f, 0x0ccd8cc7777777f8, 0x3e32774a769a53b4,
  0x297fe5c7e7f024c1, 0x0220549bfe1a7c12, 0xfafba42f0174f0e5, 0xebf26d514895fa94, 0x63cf002e7663eaa3,
  0x097e21b09117dc49, 0xd51dc6e4edfe8b2f, 0xa8e4f4f72c10d64c, 0x8f9d2471d3f83d67, 0xe76afe8f58731602,
  0x3ca807feccf1d7a3, 0xf60e3e0796b70fb3, 0xe73fb86fc0948d71, 0xf00f9a7d83291ae3, 0xaa9cbca6c67f71e6,
  0x961738c6f19d102b, 0x6d89218edec55516, 0x2e4d5c1e6c25ccbe, 0xb31e40fca1a2cb3a, 0x87bde50c2a73f53a,
  0x9fe07f197e627ff7, 0xe4fc0fdffc1343cc, 0x966b219e98577d1e, 0xfb9a19961d9f0271, 0x11ba8a9cd15d3c95,
};

// a6616c_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_t87_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd41445541, 0xbbbbba58f5323f58, 0xd457aec82c1de9db, 0xcdd8596cfdd802c7, 0xba82b4c89ce312b8,
  0x5c7e7ec7e609f193, 0x937fc34f82543ffe, 0x85e02e9e1ca0440a, 0xaa2912bf529f5f74, 0xb9da9eb1fd5198fd,
  0xe75dc6e337ff3c00, 0x95f5129dac0af7cc, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x948d71f616744a9a,
  0x291ae3e73fb86fc0, 0x7f71e6f00f9a7d83, 0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x25ccbe6d89218ede,
  0x8b2f572e4d5c1e6c, 0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0x433d30b41bf7c468, 0x332c3b3e04e32cd6,
  0x9843a2ba792bf734, 0x0000000000000208,
};

// a6616c_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t87_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbbb44864c7f, 0xeeeeee9613d72eeb, 0xc872531342f7276e, 0x246c88da7a5dd7a6, 0x4eed8bebb2aafb82,
  0xe6cc5cfe209827c6, 0x549bfe1a7c12d35f, 0xa42f0174f0e50220, 0xed514895fa94fafb, 0xe03835aaa3ea8dd2,
  0x61222fb892c79e24, 0xcca8fd165e12fc43, 0x76b33def99aa3b8d, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06,
  0xa30b2c4522cd3ad0, 0x73abb74e23a909af, 0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848,
  0xd859d12a6951b044, 0x9cfee1bf025235c7, 0xc03e69f60ca46b8f, 0xaa72f29b19fdc79b, 0x585ce31bc67440ae,
  0xb624863b7b15545a, 0x59d0dc79b09732f9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313,
  0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x00008224a6b18ae9,
};

// t87_autobaud_uart0_lednop_pr      a6616c_autobaud_uart0_lednop      a6616c_autobaud_uart0_lednop_pr
static const uint64_t ur_t87_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7cde, 0xad83a0b783eada33, 0x2f411d78d7d9fbbb, 0x3dcc13e32776c7ec,
  0x4f825dd7fcb2d67e, 0x9e1ca0440a937fc3, 0xbf529f5f7485e02e, 0x3c77cb243daa2912, 0xf471d3f83349ea39,
  0x29cc580b7ba61bfc, 0x608ebc5cec1c51c8, 0x6b8fb0ac507dc72c, 0x3c0809fdc37e04a4, 0xf2dcd3ec1948d71f,
  0x37a94e4a740f71e6, 0x1d4502169c05ef95, 0x2f9b69c6378ce881, 0xf8d166880ddb0973, 0x0b41bf75663c81a3,
  0x2c944e32cd6433d3, 0x86792bf734332c3b, 0x0000001c4409219f,
};

// a6616c_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_t87_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda2446d4e, 0xbbbbbba58f532675, 0xb62235f83c2fd05f, 0xc46decfdddd9eef0, 0xf193bbe475044665,
  0xbaff2e3f3f1ee609, 0x0881526ff869f04b, 0xebee90bc05d3c394, 0x610fb5452257ea53, 0x7f0682fd47b58ef9,
  0x016594df241f8e3a, 0x47cecb3d1a43398b, 0x6691500ffd9823af, 0x8fb20ad03cb3db41, 0x0809fdc37e04a46b,
  0x90d3ec1948d71f3c, 0xa53929d03dc79bcd, 0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0xb83cd84b997cdb73,
  0x81f9434596745c9a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82687993fc0, 0x433d30aefa3dc9f8,
  0x332c3b3e04e32cd6, 0x9f05a2ba792bf734, 0x0000000000001186,
};

/*
 * t87_autobaud_uart0_lednop_pr_ee_u4 a6616c_autobaud_uart0_lednop_pr_ee
 * a6616c_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_t87_autobaud_uart0_lednop_pr_ee[] = {
  0x8ddddddda2447032, 0xbbbbbba583c16975, 0x537656da9b45d23f, 0x2f0ae1753374bdfa, 0x3ba76b65da72a0b4,
  0xf2e3f3e35a609f19, 0x2a4dff0d3e0969bf, 0xd21780ba78728110, 0x76a8a44afd4a7d7d, 0xa8f2b32a6ab5a39c,
  0x61efd47c1b30698f, 0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x923268e756973d57, 0xb1aad743af3a6ed1,
  0xcc5c242282791bda, 0x51b047eb70decb65, 0xa46b8fb0021f6679, 0x1f3c0809fdc37e04, 0x9bcd90d3ec1948d7,
  0x54dea53929d03dc7, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x5c9ab83cd84b997c, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef, 0xc9f81fbff8268799, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x26a7245fa2ba792b,
};

/*
 * t87_autobaud_uart0_lednop_pr_ce_u4 a6616c_autobaud_uart0_lednop_pr_ce
 * a6616c_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_t87_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2447e4a, 0x7777774b0b902b75, 0x5a0985543a17af5f, 0xfde2fb1fbbbbbbfc, 0x7c64eebd6d312af8,
  0xa7bfcb8fcfefb982, 0x0440a937fc34f824, 0xf5f7485e02e9e1ca, 0xd7e4daa2912bf529, 0xc79e005ced7dd547,
  0x12fc4361222fb892, 0xd51dc6e620fd165e, 0xa8fd24f72c10d64c, 0xa6222c71d3f83d67, 0x9d967a3486731602,
  0x22a01ffb33c75e8f, 0xd905681e5adc82cd, 0x04fee1bf025235c7, 0x69f60ca46b8f9e04, 0x9c94e81ee3cde6c8,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0xf9434596745c9ab8, 0x1854e7ea75663c81,
  0x32fcc4ffef0f7bca, 0xbff82687993fc0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643, 0x17a2ba792bf73433,
  0x0000000000237527,
};

// a6616c_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_t87_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0xdddddd2c7a9fd3ac, 0x91fa8a0ce38e891d, 0xda58596cfdd802c7, 0xba75b59996ae4b4c,
  0x5c7e7f76a609f193, 0x937fc34f82463ffe, 0x85e02e9e1ca0440a, 0xaa2912bf529f5f74, 0xb9dcaeb1fd5198fd,
  0x73aee37190ff3c00, 0xcafba94ed6057be6, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb, 0x752135f4616588a4,
  0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c, 0x4a46b8fb0b31f667,
  0x71f3c0809fdc37e0, 0x79bcd90d3ec1948d, 0xe54dea53929d03dc, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0xcb9357079b09732f, 0xb31e40fca1a2cbd5, 0x0271a50c2a73f53a, 0x2d06fdf11a1e64ff, 0xcf8138cb3590cf4c,
  0xae9e4afdcd0ccb0e, 0x000000010442b568,
};

// a6616c_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0x7777774b09eb8375, 0xb212ef92841b02f7, 0x23334a369e9775e9, 0x93bbbf7b61913e27,
  0xf9b3173f002609f1, 0x2a4dff0d3e095adf, 0xd21780ba78728110, 0x76a8a44afd4a7d7d, 0xe039d5f551f546e9,
  0x61222fb892c79e24, 0xc524fd165e12fc43, 0x76b33def99aa3b8d, 0xcc1ad7f51e57dd4a, 0x8a05315edff51f06,
  0xa30b2c4522cd3ad0, 0x73abb71ea3a909af, 0xb1d79d3768c91934, 0x2282791bdab1aaf1, 0x6470decb65cc5c24,
  0xd8598fb33ca8d822, 0x04fee1bf025235c7, 0x69f60ca46b8f9e04, 0x9c94e81ee3cde6c8, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0xdfc1ddc68b2ce86e, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xf03f7ff04d0f327f, 0xac867a615df47b93, 0x686658767c09c659, 0x1262f8c574f257ee, 0x0000000000000041,
};

// a6616c_autobaud_uart0_dual
static const uint64_t ur_t87_autobaud_uart0_dual[] = {
  0xe1fdddddddd44511, 0xaddddddd43950cc8, 0x5d91d4771c50569d, 0xb134e76502f7775a, 0x09f19256ee5f6b74,
  0xf71164004a4747e6, 0x0a1c04927d617821, 0xbcf4ea774f897103, 0x090e702eb3143fcc, 0x9fc19459bd47f9db,
  0xc0aff31a04508e48, 0x8bddf372c7c01b87, 0x2a10cb426e4432bb, 0x774bff4073c264c6, 0x982c0087f9abc25b,
  0xf869f049fcff965a, 0x05d3c3940881526f, 0x2257ea53ebee90bc, 0x47114ef96affb545, 0xc7a48e3a7f0690fd,
  0x1bda398b017f0e64, 0xcb1823af22dd9af9, 0xf3bb8a929583ef71, 0xf81291ae3ec9fc55, 0x235c7cf02027f70d,
  0x3dc79bcb734fb065, 0x17be54dea53929d0, 0x33a2047514085a70, 0x6c25ccbe6da718de, 0x06fc7c3b2e4d5c1e,
  0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf, 0x00000327931d68ae,
};

// t87_autobaud_uart0_dual_pr_u4     a6616c_autobaud_uart0_dual_pr     a6616c_autobaud_uart0_dual_pr_u4
static const uint64_t ur_t87_autobaud_uart0_dual_pr[] = {
  0xf7777776890c365a, 0x7777750e54341587, 0x4ec33b2477a93377, 0x57c3da05eeee841f, 0x4c33b903ed4fb9b4,
  0x9001291d1f9827c6, 0x1249f585e087dc45, 0x59dd3e25c40c2870, 0x9c3024d2bbf32a74, 0x6e966f51ca5ec182,
  0xfcc68114239227f0, 0xbe6e3fc006e1f02b, 0x196869488657717b, 0x7fe80e784d374542, 0x8010ff35784b6ee9,
  0x4f824fe7f971f305, 0x9e1ca0440a937fc3, 0xbf529f5f7485e02e, 0x453be589adaa2912, 0x7c71d3f8310fea3e,
  0xf9cc580aa0f34e2f, 0xc11d78033b5ac8eb, 0x9ed887486a807fec, 0x7ceee2a4aa4e81e5, 0x7e04a46b8fb27f15,
  0x48d71f3c0809fdc3, 0x3dc79bcd90d3ec19, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x997cdb739156f62a,
  0xc68b2ce86e3cd84b, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f,
  0x767c09c659ac867a, 0xc574f257ee686658, 0x000000005c155358,
};

/*
 * t87_autobaud_uart0_dual_pr_ee_u4  a6616c_autobaud_uart0_dual_pr_ee
 * a6616c_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_t87_autobaud_uart0_dual_pr_ee[] = {
  0x7f7777776890cf68, 0x77777750e320a3f8, 0x02ab43ae10f766f7, 0x13faec17fd3dd374, 0xb96b2b7225bb135d,
  0x520ebe9827c64e4e, 0xeb0bc10fb88b2002, 0x7c4b881850e02493, 0x1335dfe654e8b3ba, 0xbd47d35b07f870c4,
  0x04508e489fc1ffc9, 0x22401b87c0aff31a, 0x0888657717bbe6e0, 0x9e131758a8432d0c, 0xcd5e12dbffcffa03,
  0x75fe5c7cc160043f, 0x220549bfe1a7c122, 0xafba42f0174f0e50, 0x7226d514895fa94f, 0x29ea3cad7dcd56b4,
  0xf15d4af51f06cc18, 0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e,
  0xe9662e1211408a8f, 0xb151b047eb70decb, 0xabe77715250084fe, 0x1bf025235c7d93f8, 0xca46b8f9e0404fee,
  0x81ee3cde6c869f60, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0xee3459674371e6c2,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0x262ba792bf734332, 0x000000000052a4c6,
};

/*
 * t87_autobaud_uart0_dual_pr_ce_u4  a6616c_autobaud_uart0_dual_pr_ce
 * a6616c_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_t87_autobaud_uart0_dual_pr_ce[] = {
  0xfddddddda2436f02, 0xbbbbba872c98ebe1, 0xecfbebb9c5a89fbb, 0x9ceb69cb77772714, 0x246e43c3d26c59bb,
  0x00948e1fe609f192, 0x24fac2f043ee22c8, 0xee9f12e206143809, 0x01a26d35f9953a2c, 0x7e6f51ec7f61ff0e,
  0x8d022847244fe0e8, 0xb849400dc3e057f9, 0x40e1a2195dc5eef9, 0x80e784ce4e2a10cb, 0x1fe6af096de87ffe,
  0x969bff2e3e60b002, 0x281102a4dff0d3e0, 0xa7d7dd21780ba787, 0x1f59c76a8a44afd4, 0x963cf12701cf9d55,
  0xf097e21b09117dc4, 0xcd51dc6e21f7e8b2, 0xd471bf3dcb042a5c, 0x0507c8e3a7f0752f, 0x9dad6475fce62c05,
  0x35403ff6678ebc01, 0x9549d03cb5b843a4, 0x71f64fe2af9ddc54, 0x81013fb86fc0948d, 0xb21a7d83291ae3e7,
  0xd4a7253a07b8f379, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x1b8f3612e65f36dc, 0xb337f07771a2cb3a,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xe4fc0fdffc1343cc, 0x966b219e98577d1e, 0xfb9a19961d9f0271,
  0x2b5ed22f315d3c95,
};

// a6616c_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_t87_autobaud_uart0_dual_pr_ee_ce[] = {
  0x1fdddddddd435032, 0xbbbbbba872a1e1f6, 0x3964cae345fa339b, 0x85a8f833467ba759, 0xe5793dabdf765a0b,
  0x226a92609f19361a, 0xb0bc10fb88b20025, 0xc4b881850e02493e, 0x666ffe654e8b3ba7, 0x47ec1d85e19c396a,
  0xa11c913f8343e9bd, 0x80370f815fe63408, 0x2195dc5eef9b8aeb, 0x9a2b45421968757a, 0xe12dba1f7fd01cf0,
  0xe5c7cc160043fcd5, 0xa937fc34f8249b7f, 0x485e02e9e1ca0440, 0xdaa2912bf529f5f7, 0x380e472b1fd51fee,
  0xce75dc6e1adfe789, 0x795bf929dac0b374, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8, 0x8752135f4616588a,
  0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97, 0xabe77715252cc4fe,
  0x1bf025235c7d93f8, 0xca46b8f9e0404fee, 0x81ee3cde6c869f60, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce,
  0xb997cdb73863b7b1, 0xdc68b34406e3cd84, 0x616837eeaccdfc1d, 0x767c09c659ac867a, 0xc574f257ee686658,
  0x00000000311017ec,
};

// a6616c_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t87_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768adbbb202, 0xeeeea1c53736987f, 0x5a0f76b8bdbc9eee, 0x42029dbb1a8abc7e, 0xd657072fabf1fd08,
  0x827c64ecab974d6d, 0xdc45900129027939, 0x28701249f585e087, 0x78c7f9dd3e25c40c, 0x49470ca899a0ff99,
  0xc1b37e6f51ee4760, 0xaff31a04508e489f, 0x77cdcf5a801b87c0, 0x865a01a110caee2f, 0xffe80e784c63f150,
  0x0043fcd5e12dbb37, 0xe090a4ff3662cc16, 0x87281102a4dff0d3, 0xd4a7d7dd21780ba7, 0x1f546c176a8a44af,
  0x963cf12727763f55, 0xf097e21b09117dc4, 0x9aa3b8dc0007e8b2, 0xe56fe4a76b33e6e9, 0x37a8f83660d7cf51,
  0x1669d68450298ae0, 0x1d484d7d18596229, 0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c,
  0xc546c1132386f65f, 0xaf9ddc5494b313fa, 0x6fc0948d71f64fe2, 0x291ae3e781013fb8, 0x07b8f379b21a7d83,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0xe65f36dce18edec5, 0x659d1726ae0f3612, 0x53ab337f07edd8d1,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0,
  0x000fd5b1eafcfaf3,
};

// t87_lin_uart0_noled_pr            a6616c_lin_uart0_noled            a6616c_lin_uart0_noled_pr
static const uint64_t ur_t87_lin_uart0_noled[] = {
  0x7624eedddd66fcc5, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0x7c64eee63b50f0aa,
  0xbe7fcb2d67e71982, 0xf0e4693c7234f824, 0x077cb087daa29153, 0x471d3f83417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x4a46b8fb071f03cb, 0x948d71f39fdc37e0, 0x3fb8f37807cd3ec1,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x09732f9b6249156f, 0x81a3f8d166880ddb, 0x33d30b41bf75663c,
  0x2c3b2c944e32cd64, 0xe19f86792bf73433, 0x000000000001f21c,
};

// a6616c_lin_uart0_noled_pr_u4
static const uint64_t ur_t87_lin_uart0_noled_pr_u4[] = {
  0x893bb7768911ff41, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0x77682ec2f3135a17,
  0xf2e3f3f38cc13e32, 0x8d278e469f0497cf, 0x9610fb54522a7e1c, 0xa7f0682fd47e80ef, 0x580b2ca67bed68e3,
  0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb3047, 0xd71f60e3e07967b6, 0xae3e73fb86fc0948, 0x1e6f00f9a7d83291,
  0x02baa9cbca6c67f7, 0x516961738c6f19d1, 0x65f36c4922adec55, 0x59d1726ae0f3612e, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8,
  0x00003e4fecf68ae9,
};

// t87_lin_uart0_noled_pr_ee_u4      a6616c_lin_uart0_noled_pr_ee      a6616c_lin_uart0_noled_pr_ee_u4
static const uint64_t ur_t87_lin_uart0_noled_pr_ee[] = {
  0x624eeddda2444375, 0x77774b0f20485637, 0x4da9933377a7ef77, 0x0f6712277783d096, 0x4376b456c46c2095,
  0xc7e7d82cc13e3277, 0x9e391a7c12387fe5, 0x38ed5148a9f87234, 0x1f51e57224d56b47, 0xc57dd7a8f83660d3,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xb7b4782ce756979c, 0xe36355ae875e74dd, 0xcb98b848451cf230,
  0xd2a3608fd6e1bd96, 0x04a46b8fb002a254, 0x1948d71f39fdc37e, 0x33fb8f37807cd3ec, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0xb09732f9b6249156, 0x868b2ce8b9357079, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430,
  0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a, 0x4574f257ee686658, 0x0000000013afbc17,
};

// a6616c_lin_uart0_noled_pr_ce
static const uint64_t ur_t87_lin_uart0_noled_pr_ce[] = {
  0x7624eedddd66ef3a, 0x77774b15a7d22d63, 0x6d34c9df9a4cf777, 0x0c478fbc9bbbba90, 0x09f193bad4f417b2,
  0x5b7ffe596b3e63e6, 0x3f0e4693c7234f82, 0xefb1fd7a0daa2915, 0x71b8e97f3c00b071, 0x3cf72cbac67339d7,
  0xe38e9fc1e33f51c4, 0x478cce62c05b8627, 0x39633c75e2e76905, 0x04a46b8fb074e9ee, 0x1948d71f39fdc37e,
  0xc67f71e6f2dcd3ec, 0x10b4deabaa9cbca6, 0x718de33a205cd98c, 0xa20376c25ccbe6da, 0xdd598f2068fe3459,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x005ba80467e19e4a,
};

// a6616c_lin_uart0_noled_pr_ce_u4
static const uint64_t ur_t87_lin_uart0_noled_pr_ce_u4[] = {
  0x893bb7768911d38b, 0xeee9602176a758dd, 0xf50c6ba09ac86eee, 0x7a6337775fb19385, 0xc9dd89db42ca529b,
  0x7f971f9f74b304f8, 0xc8d278e469f04bf7, 0x8fafc9b54522a7e1, 0x258f3c00b9d98faa, 0xbc25f886c2445f71,
  0x3354771b93b7fa2c, 0x9ea393d3dcb04359, 0x0a3e7491c74fe0f5, 0x8f9dabfa3d61cc58, 0xccf2a01ffb33c75e,
  0xc7d838f81e5adc3e, 0x8f9cfee1bf025235, 0x9bc03e69f60ca46b, 0xaeaa72f29b19fdc7, 0x5a585ce31bc67440,
  0xf9b624863b7b1554, 0xe8b9357079b09732, 0xeacc7903f2868b2c, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x001baeb5ab4574f2,
};

// a6616c_lin_uart0_noled_pr_ee_ce
static const uint64_t ur_t87_lin_uart0_noled_pr_ee_ce[] = {
  0x24eedddec1222044, 0xeee96261171d6376, 0x4202b72ef638eeee, 0x3889426ed43c76d1, 0x7b6c0b087e44c4c3,
  0x7e7ffe4c13e32774, 0xc7234f825d3ffe5c, 0x5daa29153f0e4693, 0x05cec6b5547d51ba, 0x361222fb892c79e0,
  0xb8cdffd165e12fc4, 0x4ed667bdf3354771, 0xd9835afea3cafa89, 0x1140a62b09fea3e0, 0xf4616588a459a75a,
  0xce7576e9c4752135, 0x6c75e74ddb7b4782, 0x08a39e461c6c6abc, 0x991c37b2d9731709, 0xfb0b3a254d2a3608,
  0xf39fdc37e04a46b8, 0x7807cd3ec1948d71, 0xd54e5e53633fb8f3, 0x4b0b9c6378ce8815, 0x36c490c76f62aa8b,
  0x9726ae0f3612e65f, 0x663c81f9434597ab, 0x04e34a1854e7ea75, 0x5a0dfbe2343cc9fe, 0x9f0271966b219e98,
  0x5d3c95fb9a19961d, 0x000000009f8f5bd1,
};

// a6616c_lin_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t87_lin_uart0_noled_pr_ee_ce_u4[] = {
  0xb12776eed12232a8, 0x77774b13087eeb1b, 0xfa0cd68fa7a62777, 0x2b4b889426eedb85, 0x776716dc167cd16a,
  0xcb8fcfeed4c13e32, 0xd278e469f048c7ff, 0x3fddb54522a7e1c8, 0x3c00b9da9eaa8faa, 0xf886c2445f71258f,
  0x771b8c87fa2cbc25, 0x7194ed667c653354, 0x3e0d9831bfea3cae, 0x3ad08a05315e49ea, 0x09afa30b2c4522cd,
  0x6d7c73abb74423a9, 0x5e363af5d4ddb9e4, 0xc24228d623349635, 0xe9991c37b2e1c8c5, 0x0df81291ae3ecc62,
  0x4fb065235c7ce7f7, 0xf29b19fdc79bcb73, 0x663042d37aaeaa72, 0x9b69c6378ce88173, 0x8b9357079b09732f,
  0xacc7903f2868b2ce, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xb93f03f7ff04d0f3, 0x659ac867a615df47,
  0x7ee686658767c09c, 0x0013f3a7b4574f25,
};

// t87_lin_uart0_lednop_pr           a6616c_lin_uart0_lednop           a6616c_lin_uart0_lednop_pr
static const uint64_t ur_t87_lin_uart0_lednop[] = {
  0xec49ddbbbacdfc4f, 0xbbbba5873978bac6, 0xa47939bfafd19bbb, 0x75e35cdadddda4fe, 0x4f8c9ddb1fb0bd04,
  0x4beff965acf9eb30, 0xfc391a4f1c8d3e09, 0xb1df2c21f6a8a454, 0xf1c74fe0d05fa8f6, 0x6731602cb29be483,
  0x0475e8f9d967a348, 0x7b682cd22a01ffb3, 0x948d71f6415a0796, 0xe3e781013fb86fc0, 0xf379b21a7d83291a,
  0xca9bd4a7253a07b8, 0x9aba718de33a2077, 0x9b6e722adec55516, 0xd166880ddb09732f, 0x41bf75663c81a3f8,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x000003e409219f86,
};

// a6616c_lin_uart0_lednop_pr_u4
static const uint64_t ur_t87_lin_uart0_lednop_pr_u4[] = {
  0x893bb77689111391, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0x3bb6475a9f2575e3,
  0xf971f9f3d6609f19, 0x8d278e469f04a5f7, 0x9610fb54522a7e1c, 0xa7f0682fd47b58ef, 0xb016594df241f8e3,
  0xf47cecb3d1a43398, 0x16691500ffd9823a, 0xb8fb20ad03cb3db4, 0xc0809fdc37e04a46, 0xd90d3ec1948d71f3,
  0xea53929d03dc79bc, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x31eafa2ba792bf73, 0x00000000000000f9,
};

// t87_lin_uart0_lednop_pr_ee_u4     a6616c_lin_uart0_lednop_pr_ee     a6616c_lin_uart0_lednop_pr_ee_u4
static const uint64_t ur_t87_lin_uart0_lednop_pr_ee[] = {
  0xc49ddbbb44889768, 0xeeee961e4190ac6e, 0x42c9c00d2f469eee, 0x5fb38913bbc1e842, 0x94ad5c63db1795b8,
  0x8fcfe569827c64ee, 0x3c7234f82450ffcb, 0x71daa29153f0e469, 0x3ea3cacca9aad68e, 0x1587bf51f06cc1a6,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x4648c9a39d5a5cf5, 0x6ac6ab5d0ebce9bb, 0x973170908a09e46f,
  0xe546c11fadc37b2d, 0x1291ae3ec0087d99, 0x5c7cf02027f70df8, 0x1e6f36434fb06523, 0xf9537a94e4a740f7,
  0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xd1726ae0f3612e65, 0xd598f207e50d1659, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813, 0x00275f249e8ae9e4,
};

// a6616c_lin_uart0_lednop_pr_ce
static const uint64_t ur_t87_lin_uart0_lednop_pr_ce[] = {
  0xdd893bb77759bb37, 0xddddd2c569fd9f58, 0x1b4ddde6d6edbddd, 0xc7a575f426eeeea4, 0x827c64eee3bdb1e6,
  0x24657fcb2d67dfc9, 0x53f0e4693c7234f8, 0x131b1fd7a0daa291, 0x771b921ff3c00b07, 0xbfcf72cbac67339d,
  0x2e38e9fc1e33f51e, 0xed1d12731602dad5, 0xdc72c678ebc5cec3, 0xf81291ae3ec1d29a, 0x235c7cf02027f70d,
  0xd5e740f71e6f3065, 0x10b4a9f016a72452, 0xe31bc67440cbf98c, 0x4406ed84b997cdb4, 0xbab31e40d1fc68b3,
  0x1966b219e985a0df, 0xfb9a19961d964a27, 0x05ba8e2ccfc33c95,
};

// a6616c_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_t87_lin_uart0_lednop_pr_ce_u4[] = {
  0xc49ddbbb4488a80b, 0x7774b010bd93ac6e, 0xe17b112b7a0cf777, 0x286deeeebf6326d4, 0x2776c4e840d3968c,
  0xfe5c7e7cbacc13e3, 0x2349e391a7c12f9d, 0x3ebf26d5148a9f87, 0x963cf002e76beeaa, 0xf097e21b09117dc4,
  0x66a8ee373107e8b2, 0x3d47e927b96086b2, 0x153111638e9fc1eb, 0x7cecb3d1a43398b0, 0x691500ffd99e3af4,
  0x3ec82b40f2d6e416, 0x2027f70df81291ae, 0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0xc1e6c25ccbe6db9c, 0x0fca1a2cb3a2e4d5, 0x50c2a73f53ab31e4, 0xf197e627ff787bde,
  0xfdffc1343cc9fe07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2, 0x65ad15d3c95fb9a1, 0x0000000000006eba,
};

// a6616c_lin_uart0_lednop_pr_ee_ce
static const uint64_t ur_t87_lin_uart0_lednop_pr_ee_ce[] = {
  0x24eedddec12232a8, 0xeee96261299d6376, 0xb4537706f6e0eeee, 0x711284dda878ed71, 0xe2d374cfba7725a1,
  0xf9f4db9827c64eec, 0x1c8d3e090cdff971, 0x76a8a454fc391a4f, 0x2e77d5f551f546e9, 0xb09117dc4963cf00,
  0xe321fe8b2f097e21, 0x3b599ef7ccd51dc6, 0x660d6bfa8f2beea5, 0x450298af6ffa8f83, 0xd185962291669d68,
  0x39d5db8f51d484d7, 0xd8ebce9bb4648c9a, 0x11413c8ded58d578, 0x32386f65b2e62e12, 0xec2cc7d99e546c11,
  0x027f70df81291ae3, 0x34fb065235c7cf02, 0x4e4a740f71e6f364, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3,
  0x1e6c25ccbe6db9c3, 0xf2868b2f572e4d5c, 0x30a9cfd4eacc7903, 0xc4687993fc09c694, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x04fc4fafa2ba792b,
};

// a6616c_lin_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_lin_uart0_lednop_pr_ee_ce_u4[] = {
  0x7624eeddda244511, 0xeeeee96261219d63, 0xbf717a08627699ee, 0x911a711284dddb70, 0x4eefdad4665888fd,
  0xfcb8fcf8689827c6, 0x8d278e469f04ac7f, 0xa3fddb54522a7e1c, 0xf3c00b9de04aa8fa, 0x5f886c2445f71258,
  0x4771b9723fa2cbc2, 0xd0094ed667c65335, 0xa3e0d9831bfea3ca, 0xd3ad08a05315af9e, 0x909afa30b2c4522c,
  0xa310e73abb77c83a, 0x55e363af5d4ddb05, 0xe121140714720b63, 0xa68c8e1bd970e462, 0x0df81291ae3ecc62,
  0x65235c7cf02027f7, 0x52d5e740f71e6f30, 0x8c10b4a9f016a724, 0xb4e31bc67440cbf9, 0xc9ab83cd84b997cd,
  0x63c81f9434596745, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993, 0xcd6433d30aefa3dc,
  0x734332c3b3e04e32, 0x04fc815a2ba792bf,
};

// t87_lin_uart0_dual_pr             a6616c_lin_uart0_dual             a6616c_lin_uart0_dual_pr
static const uint64_t ur_t87_lin_uart0_dual[] = {
  0xeeac6d6eeea232a8, 0xeeeea1c6231c70fe, 0xeac1fa653b4a56ee, 0x2cc8c1bdddd64219, 0x6c9dca7169d667d0,
  0x4004a4759cc13e32, 0x4927d617821f7116, 0xa774f8971030a1c0, 0x028b3393fccbcf4e, 0x654dea3bf9b05f67,
  0xcc68114239227f06, 0xe6e1c1006e1f02bf, 0x9680f888657717bb, 0xfe80e784dbdc5421, 0x010ff35784b6f01b,
  0xc1209fff2cb53058, 0x8a9f872349e391a7, 0x1c453be5abfed514, 0x1e9238e9fc1a43f5, 0x6f68e62c05fc3993,
  0x2c608ebc8b766be4, 0xceee2a4a560fbdc7, 0xe04a46b8fb27f157, 0x8d71f3c0809fdc37, 0xf71e6f2dcd3ec194,
  0x5ef9537a94e4a740, 0xce8811d4502169c0, 0xb09732f9b69c6378, 0x868b3440b9357079, 0x16837eeacc7903f2,
  0x67c09c659ac867a6, 0x574f257ee6866587, 0x000000000c4153b4,
};

// a6616c_lin_uart0_dual_pr_u4
static const uint64_t ur_t87_lin_uart0_dual_pr_u4[] = {
  0xab1b5bbb448650e3, 0xbba8718894ec3fbb, 0xccc8ac1d415bbbbb, 0xeca0deeee9bba0ac, 0x12e5dde9ce70b69c,
  0x01291d67304f8c94, 0x49f585e087dc4590, 0xdd3e25c40c287012, 0x1d2cc70ff32a7459, 0x1a6f51ff76c12b1c,
  0xc68114239227f070, 0xdcb1f006e1f02bfc, 0xd0f9110caee2f77c, 0xd01cf0987c8a8432, 0x21fe6af096de037f,
  0x0904fff2e3e60b00, 0x54fc391a4f1c8d3e, 0xf914ef9626b6a8a4, 0xbdf1c74fe0c43fa8, 0xafe731602a83cd38,
  0xb30475e00ced6b23, 0x967b621d21aa01ff, 0x55f3bb8a92a93a07, 0x0df81291ae3ec9fc, 0x65235c7cf02027f7,
  0x40f71e6f36434fb0, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2e65f36dce455bd8, 0x771a2cb3a1b8f361,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0xffc1343cc9fe07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xa315d3c95fb9a199, 0x0000000001493106,
};

// t87_lin_uart0_dual_pr_ee_u4       a6616c_lin_uart0_dual_pr_ee       a6616c_lin_uart0_dual_pr_ee_u4
static const uint64_t ur_t87_lin_uart0_dual_pr_ee[] = {
  0xd58daddda2437089, 0xbba8731d957e1fdd, 0xdb3e3adaa3fbbbbb, 0x66dba0bba8ec3727, 0x8772656d1d6c75d2,
  0x829827c64cbbb93f, 0xe087dc459001290b, 0xc40c28701249f585, 0xa3f32a7459dd3e25, 0xe9fd858f9c3fe4c1,
  0x1c913f83eaf9bd47, 0x370f815fe63408a1, 0x657717bbe6e5c880, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xb8f982c0087f9abc, 0x93c7234f825beffc, 0xe44daa29153f0e46, 0x53d4795afb9aad68, 0xe2ba95ea3e0d9830,
  0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0xa2147bd9cead2e65, 0x3d6355ae875ea25d, 0xd2cc5c242281151f,
  0x62a3608fd6e1bd97, 0x57ceee2a4a0109fd, 0x37e04a46b8fb27f1, 0x948d71f3c0809fdc, 0x03dc79bcd90d3ec1,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb997cdb739156f62, 0xdc68b2ce86e3cd84, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xff04d0f327f81fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867, 0xcc574f257ee68665,
  0x0000000000ac9756,
};

// t87_lin_uart0_dual_pr_ce_u4       a6616c_lin_uart0_dual_pr_ce       a6616c_lin_uart0_dual_pr_ce_u4
static const uint64_t ur_t87_lin_uart0_dual_pr_ce[] = {
  0xab1b5bbb448664d6, 0xbba873c7b3ec3fbb, 0x1a4cb0da3afbbbbb, 0x5d8f6dddd9771382, 0x6e5d7bd0b4b258bf,
  0x9480a46609f19262, 0xfac2f043ee22c800, 0x9f12e20614380924, 0xfcdd3ff9953a2cee, 0xbd47383b0eaf3850,
  0x04508e489fc1ece9, 0x96801b87c0aff31a, 0x4a4432bb8bddf373, 0xcf09a3dc54219685, 0xe6af096df677fd01,
  0x43ff2e3e60b0021f, 0xc391a4f1c8d3e091, 0x551f59c76a8a454f, 0xc4963cf12701cf9d, 0xb2f097e21b09117d,
  0x5ccd51dc6e21f7e8, 0x2fd471bf3dcb042a, 0x050507c8e3a7f075, 0x019dad6475fce62c, 0xa435403ff6678ebc,
  0x549549d03cb5b843, 0x8d71f64fe2af9ddc, 0xe781013fb86fc094, 0x79b21a7d83291ae3, 0x9bd4a7253a07b8f3,
  0xba718de33a2077ca, 0xdce18edec555169a, 0x3a1b8f3612e65f36, 0x3ab337f07771a2cb, 0xf787bde50c2a73f5,
  0xcc9fe07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0006926493315d3c,
};

// a6616c_lin_uart0_dual_pr_ee_ce
static const uint64_t ur_t87_lin_uart0_dual_pr_ee_ce[] = {
  0x58dadddd41436f02, 0xba87188a6be1fddd, 0xdce2c5b87dbbbbbb, 0xd4df25dd7ac3d900, 0xdbeb8b37b375c4ab,
  0xe609f192ccee43c3, 0x43ee22c800948b24, 0x0614380924fac2f0, 0xf9953a2cee9f12e2, 0x1b06bb3821f4d8dd,
  0x489fc1e9a9bd47c4, 0x87c0aff31a04508e, 0x7717bbe6e5d0c01b, 0xe8a8432d0b748865, 0xdbe9affa039e1329,
  0x7cc160043fcd5e12, 0xe391a7c120b5fe5c, 0x76d5148a9f872349, 0x49c0723958fea8ff, 0xa673aee3719cbf3c,
  0xa3cadfc94ed6059b, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315, 0x943a909afa30b2c4, 0x768851ef673abb71,
  0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627, 0x70df81291ae3ec9f,
  0x065235c7cf02027f, 0x740f71e6f36434fb, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x25ccbe6db9c31dbd,
  0xbb8d165eae371e6c, 0x61539fa9d599bf83, 0x88d0f327f8138d28, 0x59ac867a616837ef, 0xee686658767c09c6,
  0x01000810c574f257,
};

// a6616c_lin_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t87_lin_uart0_dual_pr_ee_ce_u4[] = {
  0xc6d6eed15b77880b, 0xea1ccc5c2f0feeea, 0xbad4da6d826eeeee, 0xdc4edd9c45a89bd9, 0xc334e9a7ad0513cd,
  0x4f8c96c572f13f5f, 0xe22c8009484f2f30, 0x4380924fac2f043e, 0xc63fcee9f12e2061, 0x5a38337e64a8fccb,
  0x078dd37a8f787b0e, 0xbfcc68114239227f, 0xdf370617006e1f02, 0x32d0a1f4432bb8bd, 0xffa039e130d68a84,
  0x0087f9abc25b7c6e, 0x8253b7fe6cc5982c, 0x153f0e4693c7234f, 0xfd547d51b05daa29, 0xf71258f3c49c9dd8,
  0xa2cbc25f886c2445, 0x9ba66a8ee370001f, 0x3d4795bf929daccf, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6,
  0xe328752135f46165, 0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b,
  0x3f8abe77715252cc, 0xfee1bf025235c7d9, 0xf60ca46b8f9e0404, 0x94e81ee3cde6c869, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xd84b997cdb73863b, 0x634596745c9ab83c, 0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a,
  0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6, 0xebcf257ee6866587, 0x00000004001844f3,
};

// t87_swio10_noled_pr               a6616c_swio10_noled               a6616c_swio10_noled_pr
static const uint64_t ur_t87_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10adbbeb0, 0xdbe9776e27524192, 0x80f06612226f897e, 0x315a38fd68917748,
  0x1ee609f193ba0bf7, 0x69110913fe596b3e, 0x0621fd477bcef962, 0x6f74d38e458e3a7f, 0xe76e811acf398b01,
  0x635f6e39630475e2, 0x1ce1a0daf2e556a5, 0xab39d454aa35df0a, 0xe9e1c9ace576a96f, 0x88af2f8712a97deb,
  0x2a7d3bcfd6b9ed56, 0x0b4b0b9d4ea70165, 0x6378ce8813852281, 0x80ddb09732f9b69c, 0x5663c81a3f8d1668,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0xf9003919f86792bf,
};

// a6616c_swio10_noled_pr_u4
static const uint64_t ur_t87_swio10_noled_pr_u4[] = {
  0xa4dddddda2446d4e, 0xad72d2c42b133ac6, 0xfd05fa6837132219, 0x7908e362235f83c2, 0x9711b7b3f7752444,
  0x27c64eef91d41119, 0x0eebfcb8fcfc7b98, 0xbd479b8ef9611511, 0x319538c71d3f8327, 0xf7a3b58e62c05965,
  0x00ffd9823af47cec, 0xd503cb3dbb86b3d5, 0x7386836bcb955aaa, 0xace75152a8d77c28, 0xa78726b395daa5be,
  0x22bcbe1c4aa5f7af, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0x612e65f36c8122ad,
  0x0d1659d1726ae0f3, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0xe09a1e64ff03f8cb, 0xc2bbe8f727e07eff,
  0xecf8138cb3590cf4, 0x8ae9e4afdcd0ccb0, 0x000000003e4e7c16,
};

// t87_swio10_noled_pr_ee_u4         a6616c_swio10_noled_pr_ee         a6616c_swio10_noled_pr_ee_u4
static const uint64_t ur_t87_swio10_noled_pr_ee[] = {
  0x84dddddda2447032, 0xdab96963d4da5d62, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x41685e1445222508,
  0x3e32774ed6cbb4e5, 0xd37fe5c7e7c6b4c1, 0xce1cd56b471ed110, 0x51f06cc19ebea3ca, 0xd3ad08a1df15975f,
  0x909afa30b2c4522c, 0x273ab4bfee5c6b26, 0xba1d79d376d291c4, 0x908a1314622d8d56, 0x1fadc37b2d973170,
  0x55a8044d57f546c1, 0x77c287386836bcb9, 0xaa5beace75152a8d, 0x5f7afa78726b395d, 0x7b55a22bcbe1c4aa,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x122adec5551696d1, 0xae0f3612e65f36c8, 0x207e50d1659d1726,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35,
  0xe917e8ae9e4afdcd, 0x000000000000013a,
};

// t87_swio10_noled_pr_ce_u4         a6616c_swio10_noled_pr_ce         a6616c_swio10_noled_pr_ce_u4
static const uint64_t ur_t87_swio10_noled_pr_ce[] = {
  0x93dddddda2447e4a, 0x3f72d2c30e15bac1, 0x42f5ebe8d77914cc, 0x83f85ecf4130aa87, 0xaf8fde2fb1fba64f,
  0x9827c64eebd6d312, 0x220a7bfcb8fcfefb, 0x05cef025547d427a, 0x361222fb892c79e0, 0xdceb3fd165e12fc4,
  0x9ee5821ac99aa3b8, 0x38e9fc1e0bf51f24, 0x8ed6398b017ba052, 0xff6678ebd1f3b3de, 0x03cb5bae1acf5403,
  0x86836bcb955aaad5, 0xe75152a8d77c2873, 0x8726b395daa5beac, 0xbcbe1c4aa5f7afa7, 0x779f16bae7b55a22,
  0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5ccbe6d90218edec, 0x2cb3a2e4d5c1e6c2, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xd3c95fb9a19961d9,
  0x0000006eb938bd15,
};

// a6616c_swio10_noled_pr_ee_ce
static const uint64_t ur_t87_swio10_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0xbb9696215be9d606, 0xc7448ee3bcc46bf8, 0xbd9fe3c8fd450671, 0xa66d2e7128706ded,
  0xc9dd3adacccb5725, 0xff2e3f3fbb5304f8, 0xec7f54721d11031f, 0x71d51f9e005cecc7, 0x4ed6057be673aee3,
  0xd983403d4795ba59, 0x1140a62b90fea3e0, 0xf4616588a459a75a, 0x9ceaeddfb8752135, 0x6c75e74ddb4a4710,
  0x845098a3116c6abc, 0x4c8e1bd96cb98b84, 0x56a599355fd51b04, 0xdf0a1ce1a0daf2e5, 0xa96fab39d454aa35,
  0x7debe9e1c9ace576, 0xed5688af2f8712a9, 0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x863b7b15545a5b44,
  0x7079b09732f9b640, 0x0fca1a2cbd5cb935, 0x50c2a73f53ab31e4, 0xdf11a1e64ff0271a, 0x8cb3590cf4c2d06f,
  0xafdcd0ccb0ecf813, 0x0004fc2b568ae9e4,
};

// a6616c_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t87_swio10_noled_pr_ee_ce_u4[] = {
  0x3bdddddda243173e, 0x6ee5a58b8141bac6, 0x0d817ba56c902e23, 0xb6a7e970a977c942, 0xc4e46669644383e3,
  0x3e327777ef6c3227, 0x5bff3662e7e004c1, 0xb7551f547bed110b, 0xfb892c79e24e0396, 0xd165e12fc4361222,
  0x7be66a8ee370617f, 0x7a8f2b74b29daccf, 0x5721fd47c1b30680, 0x1148b34eb422814c, 0xbf70ea426be8c2cb,
  0x9bb6948e2139d5db, 0x4622d8d578d8ebce, 0xb2d973170908a131, 0x6abfaa3608991c37, 0xc341b5e5caad4b32,
  0x73a8a9546bbe1439, 0xc39359caed52df56, 0x5e5f0e2552fbd7d3, 0x3bcf8b5d73daad11, 0xe881077536294f0d,
  0x2aa8b4b689c6378c, 0x2e65f36c810c76f6, 0x771a2cb3a1b8f361, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0xffc1343cc9fe07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219, 0xe315d3c95fb9a199, 0x00000000004fc98b,
};

// t87_swio10_lednop_pr              a6616c_swio10_lednop              a6616c_swio10_lednop_pr
static const uint64_t ur_t87_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0xd6edbdd1b42ca832, 0x101e0cc2444ddde6, 0xb1e6c7a575f426e9,
  0xdfc9827c64eee3bd, 0x4d2220657fcb2d67, 0xe0c43fa8ff21df2c, 0x16f74c7abdf1c74f, 0x173b5ac8fa0398b0,
  0x4ace7b71cb1823af, 0x1439c341b5e5caad, 0xdf5673a8a9546bbe, 0xc3935c0809caed52, 0x5e5f0e255aba5fd3,
  0x74079fad73daad11, 0x3573abd4b0b29b16, 0xe33a206c7f8a042d, 0x76c25ccbe6da718d, 0x8f2068fe3459a203,
  0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3, 0x071667e19e4afdcd, 0x00000000000003e4,
};

// a6616c_swio10_lednop_pr_u4
static const uint64_t ur_t87_swio10_lednop_pr_u4[] = {
  0x26eeeeed1222e59b, 0xb5cb4b10ad005635, 0x7b8ef70f8da48866, 0xf211c64cd88f376a, 0x66350cbdeeea4888,
  0x4f8c9dde9da56f27, 0x03dff971f9f80d30, 0xf51e713be5845444, 0x8c79eb1c74fe0c9e, 0x22383e731602cb29,
  0x0ffd9823af47cedf, 0xb40f2cf6f7be8150, 0xce1a0daf2e556b02, 0xb39d454aa35df0a1, 0x9ae0404e576a96fa,
  0xf8712ad5d2fe9e1c, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b65d9156f62aa8,
  0xe8b9357079b09732, 0xeacc7903f2868b2c, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x7b93f03f7ff04d0f,
  0xc659ac867a615df4, 0x57ee686658767c09, 0x003e4e7e0b4574f2,
};

// t87_swio10_lednop_pr_ee_u4        a6616c_swio10_lednop_pr_ee        a6616c_swio10_lednop_pr_ee_u4
static const uint64_t ur_t87_swio10_lednop_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea6f5eb1, 0x5c7bf4f46db11f12, 0x7914c1aed2cddd93, 0x5910810422911284,
  0x4f8c9dd57db06e35, 0x472ff2e3f3fd5f30, 0x650e6ab5a38f6888, 0xa8f83660cf5f51e5, 0x69d68450ef8ad82f,
  0x484d7d1859622916, 0xc39d5a5fe72e3593, 0xba1d79d37609e8d7, 0x21146488c6fd8d56, 0x3f5b86f65b2e62e1,
  0x56a015c359ea8d82, 0xdf0a1ce1a0daf2e5, 0xa96fab39d454aa35, 0xe9e1c9ae0404e576, 0x88af2f8712ad5d2f,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b65d9156f, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x574f257ee6866587, 0x000000004eb842f4,
};

// t87_swio10_lednop_pr_ce_u4        a6616c_swio10_lednop_pr_ce        a6616c_swio10_lednop_pr_ce_u4
static const uint64_t ur_t87_swio10_lednop_pr_ce[] = {
  0x93dddddda2446f43, 0x3f72d2c30e1bbac1, 0x106d45d75e5ed4cc, 0x07f0bd9e56d0485e, 0x650d3866f4f74c9f,
  0x304f8c9dd015bc97, 0x442577f971f9fd9d, 0x0b9defbaa8fa84f4, 0x6c2445f71258f3c0, 0xb9723fa2cbc25f88,
  0x3dcb043593354771, 0x71d3f83c17ea3829, 0x707ce62c050f6804, 0xfb33c75e8f9dbe44, 0x0796b76f7d02a01f,
  0x0d06d7972ab5815a, 0xcea2a551aef850e7, 0x7020272bb54b7d59, 0x38956ae97f4f0e4d, 0xad75cf6ab445797c,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb65d863b7b15545a, 0xb9357079b09732f9, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x93f03f7ff04d0f32, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x1baf1f5f4574f257,
};

// a6616c_swio10_lednop_pr_ee_ce
static const uint64_t ur_t87_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x1772d2c42b791ac0, 0xc1d467b64c178d7f, 0x6f67f8ffa647cfdd, 0xd60bd79c4a1c1b7b,
  0x32777ed694e2c52e, 0x9fe5c7e7f4d4c13e, 0xf2c7f54721d110ff, 0x370dbbfcf002e77f, 0x94ed6057be673aee,
  0x0d983403d4795975, 0xa1140a62b297ea3e, 0x5f4616588a459a75, 0xe1ceaeddf3875213, 0x8d8ebce9bb04f46b,
  0x21146488c6fd8d57, 0x132386f65b2e62e1, 0xab52cee1acf546c1, 0xef850e70d06d7972, 0x54b7d59cea2a551a,
  0xf4f0e4d7020272bb, 0x445797c38956ae97, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x09732f9b65d863b7, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e64ff0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0xc39f68ae9e4afdcd, 0x000000000000004f,
};

// a6616c_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_swio10_lednop_pr_ee_ce_u4[] = {
  0x3bdddddda2431bc1, 0x6ee5a58b8123bac6, 0x5d375bb8bd042e23, 0x6d4fd2e1506e5db4, 0xb13938c4c88707c7,
  0x9f193baeb7a82bbb, 0xbbff3662e7f1ba60, 0x77551f547bed1106, 0xfb892c79e24e038d, 0xd165e12fc4361222,
  0xbdf3354771b8b82f, 0x3d479597594ed667, 0x2b297ea3e0d98340, 0x88a459a75a1140a6, 0xdf38752135f46165,
  0x9bb04f46be1ceaed, 0x8c6fd8d578d8ebce, 0x65b2e62e12114648, 0x1acf546c1132386f, 0x0d06d7972ab52cee,
  0xcea2a551aef850e7, 0x7020272bb54b7d59, 0x38956ae97f4f0e4d, 0xad75cf6ab445797c, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb65d863b7b15545a, 0x59d0dc79b09732f9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x000013f3ecf18ae9,
};

// a6616c_swio10_dual
static const uint64_t ur_t87_swio10_dual[] = {
  0xf0cf77777750d2a8, 0x2414cd43942589c3, 0x48e9dadd5c751504, 0xb0ccfdbd37afb138, 0xc5bacfac33d6667b,
  0xd079827c64e63729, 0x5e087dc459001290, 0x5c40c28701249f58, 0x63ff32a7459dd3e2, 0x8f226c36f9c03dcc,
  0x508e489fc1e9537a, 0xc01b87c0aff31a04, 0x4432bb8bddf37066, 0xc2627a2a10cb42d6, 0xabc25b790fff4073,
  0xbfcb8f982c0087f9, 0xe5f1df2dbda22101, 0xaf91c74fe0c9af51, 0xdece62c05fc39b6f, 0x58c11d7916ed1923,
  0xceee2a4a56741b8e, 0x41b5e5caad67f157, 0xa8a9546bbe1439c3, 0x0809caed52df5673, 0x255aba5fd3c3935c,
  0x7973daad115e5f0e, 0xc2f52d794e02e740, 0x022fdc5021695844, 0xe65f36d38c6f19d1, 0x06fc7c3b1b8f3612,
  0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf, 0x0000196fcb8298ae,
};

// t87_swio10_dual_pr_u4             a6616c_swio10_dual_pr             a6616c_swio10_dual_pr_u4
static const uint64_t ur_t87_swio10_dual_pr[] = {
  0x2eeeeeed121a559b, 0xa99a872843ad87e8, 0x421eef255c78bcad, 0xd75a1a2a0ab0c647, 0xcdeca9c46eb7682b,
  0x8c9c7772b41d2afc, 0x8b2002520113304f, 0xe02493eb0bc10fb8, 0xe8b3ba7c4b881850, 0xfc382fb98a2fe654,
  0xf83eea6f51e3dec1, 0x15fe63408a11c913, 0x7bbe6e56f80370f8, 0x4219684648865771, 0x5d7fe80e784d6b45,
  0x058010ff35784b6e, 0x87c4442a57f971f3, 0xfe0c45f51e443be5, 0x055079bf71951c74, 0x00ced38a37bce62c,
  0xe0faa01ffb30475e, 0xa4b7f8607967b6b5, 0x5caad67f157ceee2, 0x46bbe1439c341b5e, 0xaed52df5673a8a95,
  0xa5fd3c3935c0809c, 0xaad115e5f0e255ab, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xf3612e65f36cbb22, 0x7f07771a2cb3a1b8, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe,
  0xb219e98577d1ee4f, 0xa19961d9f0271966, 0x3fea8315d3c95fb9, 0x0000000000000149,
};

// a6616c_swio10_dual_pr_ee
static const uint64_t ur_t87_swio10_dual_pr_ee[] = {
  0xddbbbbba1eb432db, 0xb53350e5430b61f0, 0xb49bdd1ed61919c1, 0x333e9cec947eb4cf, 0xbbfbbcfb1ae6ec37,
  0xfd3b9347f4670cea, 0x00252138f9827c64, 0x493eb0bc10fb88b2, 0x3ba7c4b881850e02, 0x825a982d7e654e8b,
  0x4dcdea38d6d813a3, 0x98d022847244fe0f, 0x37152200dc3e057f, 0x682fb4432bb8bddf, 0xd01cf0983dc54219,
  0x43fcd5e12dba6dff, 0x2143ffe5c7cc1600, 0x95efb9aad68ca2a2, 0x5ea3e0d98332bd47, 0x59a75a1143be2bb7,
  0xcd2135f4616588a4, 0x4a39d5a5ca1ae2a5, 0x6ba1d7a89768f68f, 0x0908a1004698d8d5, 0x23f5b86f65f4b317,
  0x8a92805195aca8d8, 0x7972ab59fc55f3bb, 0x551aef850e70d06d, 0x72bb54b7d59cea2a, 0xae97f4f0e4d70202,
  0xf6ab445797c38956, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe3cd84b997cdb2ec,
  0x66fe0eee34582ec6, 0x89fca1854e7ea756, 0xcd0f327f8b9c65f9, 0x3d30b41bf1cf7e07, 0x2c3b3e04e32cd643,
  0x4262ba792bf73433, 0x000000000000ac98,
};

// a6616c_swio10_dual_pr_ee_u4
static const uint64_t ur_t87_swio10_dual_pr_ee_u4[] = {
  0x323bbbbbb4486f97, 0x7299a872a1d57e1f, 0x6d77ee80a2951c7a, 0x4ea661b9d6f7ed39, 0x59009621ae6ecc8e,
  0xb45b97766da0a9d0, 0x002521e019827c64, 0x493eb0bc10fb88b2, 0x3ba7c4b881850e02, 0x80d6989d7e654e8b,
  0x2b4dea3e9bd84563, 0x98d022847244fe0f, 0x9b8a4800dc3e057f, 0xb423da2195dc5eef, 0xf4073c269122a10c,
  0x10ff35784b6e337f, 0x440e0ff971f30580, 0x795a9e9aad68dfc4, 0x13d47c1b30613fd4, 0x8b34eb422877c578,
  0xb9a426be8c2cb114, 0x82873ab4bc875c20, 0x5ae875ed6276ee91, 0x8484513723c8b635, 0x197d6e1bd971f18b,
  0xcfe2af9ddc549571, 0x287386836bcb955a, 0xbeace75152a8d77c, 0x8726b8101395daa5, 0xbcbe1c4ab574bfa7,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0xccbe6d976455bd8a, 0xe3459674371e6c25,
  0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xf82687993fc0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d,
  0x62ba792bf734332c, 0x0000000000564814,
};

// t87_swio10_dual_pr_ce_u4          a6616c_swio10_dual_pr_ce          a6616c_swio10_dual_pr_ce_u4
static const uint64_t ur_t87_swio10_dual_pr_ce[] = {
  0x276eeeeed121a5fb, 0xc954cd43832b587e, 0x4cdeef75a71bae9d, 0xe477f4e058ebe7da, 0x6558806abe356ec4,
  0x9f193516e4f05ae1, 0xe22c800948f5aa60, 0x4380924fac2f043e, 0x53a2cee9f12e2061, 0x1a6ce115a61adf99,
  0x3f8353d37a8fbef6, 0x815fe63408a11c91, 0x2f77cdce8f80370f, 0xa8432d032910caee, 0x98fffd01cf09ba88,
  0xc160043fcd5e12db, 0xb1ed1108e5fe5c7c, 0x79e24e03835aaa3e, 0x2fc4361222fb892c, 0xa3b8dcca8fd165e1,
  0x7ea27b960854b99a, 0xbba8e3a7f0770fd4, 0xa7146f79cc580b52, 0x403ff6678ebc019d, 0xfc303cb5b96bc1f5,
  0x6b3f8abe7771525b, 0xf0a1ce1a0daf2e55, 0x96fab39d454aa35d, 0x9e1c9ae0404e576a, 0x8af2f8712ad5d2fe,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36cbb0c76f6, 0x771a2cb3a1b8f361,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0xffc1343cc9fe07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xb315d3c95fb9a199, 0x00000000001a4810,
};

// a6616c_swio10_dual_pr_ee_ce
static const uint64_t ur_t87_swio10_dual_pr_ee_ce[] = {
  0x8f6ddddddd435202, 0x4e53350e509ee30f, 0xedb04dd67c739d91, 0x1da817f6b0fb265c, 0x1f99121685e47c7b,
  0x46772518eb90fcd7, 0x009483927304f8c9, 0x24fac2f043ee22c8, 0xee9f12e206143809, 0x4edcd6b7f9953a2c,
  0xf37a8fbb5b04db38, 0x68114239227f0663, 0x9d4e006e1f02bfcc, 0x0a1a2195dc5eef9b, 0x0e784ce962a10cb4,
  0xfe6af096dff5ffe8, 0x3fcff2e3e60b0021, 0xc7f963faa353c888, 0x771b9cdffcf12701, 0x2b4a76b02cdd339d,
  0x1f06cc1f75ea3caf, 0x3ad08a05315caef5, 0x09afa30b2c4522cd, 0x3d28e7576e2863a9, 0xabc6c75ea25da3da,
  0xb84845080234c6c6, 0x608991c37b2fa598, 0xee2a4a59c656b2a3, 0xb5e5caad67f157ce, 0xa9546bbe1439c341,
  0x09caed52df5673a8, 0x5aba5fd3c3935c08, 0x73daad115e5f0e25, 0xb94b5f3a03c72b5d, 0x718de33a20421520,
  0x618edec55516920a, 0x371e6c25ccbe6d97, 0x666fe0eee3459a20, 0xcd6433d30b41bf75, 0x734332c3b3e04e32,
  0x982371e62ba792bf,
};

// a6616c_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_t87_swio10_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b77ac4f, 0xcd4384cf33787cb5, 0x31d75bcfb57c3d94, 0x773683f366dfc3aa, 0xf2d12ecb5043015d,
  0xa2cdd06aabdf5ec1, 0x304f8c929d72a9c7, 0x7dc45900129163d7, 0xc28701249f585e08, 0x978c7f9dd3e25c40,
  0x80a4387ebcc6b7f9, 0x9fc1dadcdea3c00d, 0xc0aff31a04508e48, 0x2f77cdc3af801b87, 0x50865a115910caee,
  0xc87ff4073c2695d1, 0x058010ff35784b6e, 0xd64443b07fcd98b3, 0x49c9df60d547d518, 0x86c2445f71258f3c,
  0x6e1d7dfa2cbc25f8, 0x53b599f374cd51dc, 0x3660fbaf51e5795a, 0x8450298ae577a8f8, 0x7d185962291669d6,
  0x473abb71431d484d, 0x363af512ed1ed1e9, 0x42284011a636355e, 0x4c8e1bd97d2cc5c2, 0x5252ce32b5951b04,
  0x2e556b3f8abe7771, 0xa35df0a1ce1a0daf, 0x576a96fab39d454a, 0xd2fe9e1c9ae0404e, 0xd5688af2f8712ad5,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36cbb0c, 0xdd8d1659d1726ae0,
  0x2a73f53ab337f07e, 0x7e627ff787bde50c, 0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0xcfaf3c95fb9a1996, 0x0000000010011a9d,
};

/*
 * t87_swio11_noled_pr               t87_swio12_noled                  t87_swio12_noled_pr
 * a6616c_swio11_noled               a6616c_swio11_noled_pr            a6616c_swio12_noled
 * a6616c_swio12_noled_pr
 */
static const uint64_t ur_t87_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adcdeb0d8, 0x466ea44cf741921d, 0x4f06613526f07d5b, 0xe823af1afb3f75b0,
  0xb9827c64eed8fd85, 0x4443baff965acfc7, 0xd7ff51d313be5ba0, 0xee99001f238e9fc1, 0x76e91193c731602d,
  0x043ee39630475e2e, 0xe70d06d7972ab52b, 0xd9cea2a551aef850, 0xf0e4d672bb54b7d5, 0x15e5f0e256c6f5f4,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0x6f19d1023cbc5021, 0x1bb612e65f36d38c, 0xcc790347f1a2cd10,
  0x9ac867a616837eea, 0x6866587659289c65, 0xc812433f0cf257ee, 0x0000000000000007,
};

// t87_swio12_noled_pr_u4            a6616c_swio11_noled_pr_u4         a6616c_swio12_noled_pr_u4
static const uint64_t ur_t87_swio11_noled_pr_u4[] = {
  0xe889bbbbb4488f62, 0xae5a58856db7589e, 0xdb1fa87122644335, 0x90b89f4bc7cc982f, 0xa1c00f26ecf74447,
  0x3e3277792eb208ee, 0xdbffe5c7e7cc7cc1, 0xd47050ef96ded110, 0x0f680471d3f8326b, 0x146229cc580b2ca6,
  0x1ffb30475e8f9d93, 0x981e59eddac4f2a0, 0x9c341b5e5caad508, 0x673a8a9546bbe143, 0xc39359caed52df57,
  0x5797c3895b1bd7d3, 0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x4b997cdb610c55bd,
  0x4596745c9ab83cd8, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8,
  0x3e04e32cd6433d30, 0xba792bf734332c3b, 0x0000001f277d51a2,
};

/*
 * t87_swio11_noled_pr_ee_u4         t87_swio12_noled_pr_ee            t87_swio12_noled_pr_ee_u4
 * a6616c_swio11_noled_pr_ee         a6616c_swio11_noled_pr_ee_u4      a6616c_swio12_noled_pr_ee
 * a6616c_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_t87_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222044, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x8c9dd1edb1c42184, 0x77f971f9f383304f, 0xeb355ad198f44436, 0x7c1b307d47a8f2b2, 0xeb422877c5652fd4,
  0x26be8c2cb1148b34, 0xcead2ee4d71ac9a4, 0x875e74dd8f547f21, 0x2288851ef76355ae, 0xeb70decb65cc5c24,
  0xb500ba0e7951b047, 0xf850e70d06d7972a, 0xb7d5d9cea2a551ae, 0xf5f4f0e4d672bb54, 0xaad115e5f0e256c6,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x0f3612e65f36d843, 0x7e50d1659d1726ae,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e64ff03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0xd068ae9e4afdcd0c, 0x0000000000009d74,
};

/*
 * t87_swio11_noled_pr_ce_u4         t87_swio12_noled_pr_ce            t87_swio12_noled_pr_ce_u4
 * a6616c_swio11_noled_pr_ce         a6616c_swio11_noled_pr_ce_u4      a6616c_swio12_noled_pr_ce
 * a6616c_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_t87_swio11_noled_pr_ce[] = {
  0xf07ddddda2447768, 0xb9696187019d6377, 0xfb41778fd08a661f, 0xfe16f23204878f7a, 0x28666eda9eeeefe0,
  0x09f193bad3b699ce, 0x8604ff2e3f3f6ea6, 0xb9de56aa8fac8888, 0xc2445f71258f3c00, 0x8951fa2cbc25f886,
  0xdcb043593354771b, 0x1d3f8359fea3af93, 0x229cc580bb7e5f47, 0xb33c75e8f9d93146, 0x796b75ac4f2a01ff,
  0xd06d7972ab542260, 0xea2a551aef850e70, 0x4d672bb54b7d5d9c, 0x5f0e256c6f5f4f0e, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0xb3a2e4d5c1e6c25c, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0,
  0x00006ebed7bd15d3,
};

// t87_swio12_noled_pr_ee_ce         a6616c_swio11_noled_pr_ee_ce      a6616c_swio12_noled_pr_ee_ce
static const uint64_t ur_t87_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22a20, 0xe5a5885631358803, 0xb06f5e9c2f1afe2e, 0x67e62696c8e2f123, 0x4469ce250e401b6f,
  0x3baafb43746a583e, 0xf2e3f3e1a2609f19, 0xc7f54670d110b1ff, 0x0001f9e005ceec7e, 0xed6057be673aee37,
  0x983d2bd4795c8794, 0x140a62b387ea3e0d, 0x4616588a459a75a1, 0xceaedce4c752135f, 0xc75e74dd8f547f21,
  0x45110a3deec6abc6, 0xc8e1bd96cb98b848, 0xb52cfa0e7951b044, 0xf850e70d06d7972a, 0xb7d5d9cea2a551ae,
  0xf5f4f0e4d672bb54, 0xaad115e5f0e256c6, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x1e6c25ccbe6db084, 0xf2868b2f572e4d5c, 0x30a9cfd4eacc7903, 0xc4687993fc09c694, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x027e0e8ba2ba792b,
};

// t87_swio12_noled_pr_ee_ce_u4      a6616c_swio11_noled_pr_ee_ce_u4   a6616c_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t87_swio11_noled_pr_ee_ce_u4[] = {
  0xda9eeeeed1219f68, 0xb96962e05706b0f4, 0x599ee8335a0b88db, 0x53f4a48471583517, 0x723b5c7221c1de9b,
  0xe3277475f40505b2, 0x1fe6cc5cfa1f4c13, 0x1551f5476e9110c4, 0xdc4963cf12701cc4, 0x8b2f097e21b09117,
  0xef99aa3b8dcea77e, 0xea3cae43ca76b33d, 0x59c3f51f06cc1e95, 0x4522cd3ad08a0531, 0x7263a909afa30b2c,
  0x6ec7aa3f90e7576e, 0x1ef76355e363af3a, 0xcb65cc5c24228885, 0x073ca8d8226470de, 0x86836bcb955a967d,
  0xe75152a8d77c2873, 0x726b395daa5beaec, 0xf2f8712b637afa78, 0xde7c5aeb9ed5688a, 0x44083ba9b14a7869,
  0x5545a5b44e31bc67, 0xe65f36d84263b7b1, 0x71a2cb3a1b8f3612, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e, 0x315d3c95fb9a1996, 0x00000000027e1ea8,
};

/*
 * t87_swio11_lednop_pr              t87_swio12_lednop                 t87_swio12_lednop_pr
 * a6616c_swio11_lednop              a6616c_swio11_lednop_pr           a6616c_swio12_lednop
 * a6616c_swio12_lednop_pr
 */
static const uint64_t ur_t87_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215b67d61b, 0x76deef85e8283243, 0x4f06613526eef36b, 0xf363d2bafa1375b0,
  0xe4c13e327771ded8, 0x111032bfe596b3ef, 0x75ffd47f90ef96e8, 0x7ba63d5ef8e3a7f0, 0x9dad647d01cc580b,
  0x673db8e58c11d78b, 0x1ce1a0daf2e556a5, 0xbb39d454aa35df0a, 0x9ae0404e576a96fa, 0x7c3895cbd2fe9e1c,
  0x9d01e5cf6ab44579, 0x61130bd4b5e5380b, 0x67440d8ff14085a5, 0xd84b997cdb4e31bc, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x9961d964a271966b, 0xe2ccfc33c95fb9a1, 0x0000000000007c80,
};

// t87_swio12_lednop_pr_u4           a6616c_swio11_lednop_pr_u4        a6616c_swio12_lednop_pr_u4
static const uint64_t ur_t87_swio11_lednop_pr_u4[] = {
  0x113777768911c056, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x327765de8333230b, 0x7fe5c7e7d7dcc13e, 0x7400ef96ded1108f, 0x9d4471d3f8326bd4, 0x637ce62c0596533f,
  0xfb30475e8f9db244, 0x3cb3db83fd22a01f, 0x6836bcb955acbb50, 0x75152a8d77c28738, 0x101395daa5beaece,
  0x2572f4bfa78726b8, 0x5d73daad115e5f0e, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd8c62adec5551692,
  0x26ae0f3612e65f36, 0x8f207e50d1659d17, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f,
  0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xc98405e8ae9e4afd, 0x0000000000000007,
};

/*
 * t87_swio11_lednop_pr_ee_u4        t87_swio12_lednop_pr_ee           t87_swio12_lednop_pr_ee_u4
 * a6616c_swio11_lednop_pr_ee        a6616c_swio11_lednop_pr_ee_u4     a6616c_swio12_lednop_pr_ee
 * a6616c_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_t87_swio11_lednop_pr_ee[] = {
  0x6f26eeeed12232a8, 0xae5a58f53a0b582f, 0x9e989d803d2f8936, 0x45338f8d33f6a6fe, 0x5a8ac81148885ede,
  0x8c9dd9c5b7059f34, 0xb7f971f9f4b5304f, 0x0b355ad198f44406, 0x7c1b307d47a8f2b6, 0xeb422877c56a7bd4,
  0x26be8c2cb1148b34, 0xcead2ee9571ac9a4, 0x875e74dda4447371, 0x2285f11c656355ae, 0xeb70decb65cc5c24,
  0xb500ad627951b047, 0xf850e70d06d7972a, 0xb7d5d9cea2a551ae, 0xf0e4d7020272bb54, 0x2bcbe1c4ae5e97f4,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5ccbe6db18c55bd8, 0x2cb3a2e4d5c1e6c2,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xd3c95fb9a19961d9, 0x00000009d7e9ed15,
};

/*
 * t87_swio11_lednop_pr_ce_u4        t87_swio12_lednop_pr_ce           t87_swio12_lednop_pr_ce_u4
 * a6616c_swio11_lednop_pr_ce        a6616c_swio11_lednop_pr_ce_u4     a6616c_swio12_lednop_pr_ce
 * a6616c_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_t87_swio11_lednop_pr_ce[] = {
  0xf07ddddda2447705, 0xb96961870fdd6377, 0x76c8eb11f16a661f, 0xf85bc80cd9005f51, 0x285b4bb27bbbbf83,
  0x27c64eeb62d58293, 0x1beffcb8fcfc5698, 0xe776eaaa3eb22222, 0x09117dc4963cf002, 0x5257e8b2f097e21b,
  0x72c10d64cd51dc6e, 0xe9fc1acff51e5f4f, 0xbe731602c7bd2a38, 0x99e3af47ced92231, 0x96b741fe91500ffd,
  0x06d7972ab5976a07, 0xa2a551aef850e70d, 0x0272bb54b7d5d9ce, 0xae5e97f4f0e4d702, 0xae7b55a22bcbe1c4,
  0x17296be74078e56b, 0x4e31bc67440842a4, 0x3131dbd8aaa2d241, 0xab83cd84b997cdb6, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x7bab7a2ba792bf73, 0x00000000000000dd,
};

// t87_swio12_lednop_pr_ee_ce        a6616c_swio11_lednop_pr_ee_ce     a6616c_swio12_lednop_pr_ee_ce
static const uint64_t ur_t87_swio11_lednop_pr_ee_ce[] = {
  0x06dbdddddd4458e2, 0x5dcb4b10adc96b10, 0x07519ea9bb1e35fc, 0xdecfcc4c49a58677, 0x7a75059c4a1c8036,
  0x32775d9694e3ad1c, 0xbfcb8fcfcedcc13e, 0xab1fd519c3444376, 0xdce8ffe780173bdd, 0x53b5815ef99cebb8,
  0x3660f4af51e5652e, 0x8450298aca1fa8f8, 0x7d185962291669d6, 0xc73abb73a51d484d, 0x1b1d79d3769111cd,
  0x21142f88e32b1aaf, 0x132386f65b2e62e1, 0xaad4b3b589e546c1, 0xbbe1439c341b5e5c, 0x52df57673a8a9546,
  0xd3c3935c0809caed, 0x88af2f8712b97a5f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x12e65f36d8c4c76f, 0x50d166881726ae36, 0xc2d06fdd598f207e, 0xcb25138cb3590cf4, 0xae9e4afdcd0ccb0e,
  0x000000014d345f68,
};

// t87_swio12_lednop_pr_ee_ce_u4     a6616c_swio11_lednop_pr_ee_ce_u4  a6616c_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_swio11_lednop_pr_ee_ce_u4[] = {
  0xb53ddddda2435f41, 0x72d2c5c0a27561e9, 0x94edd376c81711b7, 0xa7e9490b831c48fe, 0xb3234ce44383bd36,
  0xe32776b5a76ab8c0, 0x1fe6cc5cffebcc13, 0x1551f5476e911080, 0xdc4963cf12701c80, 0x8b2f097e21b09117,
  0xef99aa3b8dc0b27e, 0xea3caca5ca76b33d, 0x5943f51f06cc1e95, 0x4522cd3ad08a0531, 0x74a3a909afa30b2c,
  0x6ed22239b8e7576e, 0x1c656355e363af3a, 0xcb65cc5c242285f1, 0xb13ca8d8226470de, 0x86836bcb955a9676,
  0xe75152a8d77c2873, 0x8101395daa5beaec, 0xe2572f4bfa78726b, 0xb5d73daad115e5f0, 0x520b94b5f3a03c72,
  0x20a718de33a20421, 0xdb1898edec555169, 0x674371e6c25ccbe6, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x92bf734332c3b3e0, 0x00004fc09ac62ba7,
};

/*
 * t87_swio11_dual_pr                t87_swio11_dual_pr_u4             t87_swio12_dual
 * t87_swio12_dual_pr                t87_swio12_dual_pr_u4             a6616c_swio11_dual
 * a6616c_swio11_dual_pr             a6616c_swio11_dual_pr_u4          a6616c_swio12_dual
 * a6616c_swio12_dual_pr             a6616c_swio12_dual_pr_u4
 */
static const uint64_t ur_t87_swio11_dual[] = {
  0xf5f77776890d7f41, 0x3350e508afb0f840, 0x6add583f4f1795b5, 0xeb411f3b402ac4e9, 0xba4cfb453b74207a,
  0xc9c7772c89ddfbfa, 0xb20025239bf304f8, 0x02493eb0bc10fb88, 0x8b3ba7c4b881850e, 0xc382fb98a2fe654e,
  0x83eea6f51e3dec1f, 0x5fe63408a11c913f, 0xbbe6e35d80370f81, 0x2196846488657717, 0x2ffe80e784d6b454,
  0x58010ff35784b6e5, 0xd74440a2ff971f30, 0xc1ef7ea3f7477cb2, 0x541e67261ee38e9f, 0x33b2008d31398b01,
  0xbea807fecc11d780, 0x4af9d40f2cf6def1, 0xcaad67f157ceee2a, 0x6bbe1439c341b5e5, 0xd52df57673a8a954,
  0xfd3c3935c0809cae, 0x688af2f8712b97a5, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6c63156, 0x83bb8d1659d0dc79, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0x7effe09a1e64ff03,
  0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0x02b18ae9e4afdcd0, 0x000000000000a49a,
};

// t87_swio12_dual_pr_ee             a6616c_swio11_dual_pr_ee          a6616c_swio12_dual_pr_ee
static const uint64_t ur_t87_swio11_dual_pr_ee[] = {
  0xccf777743d686f97, 0x9a872a1a6be1f374, 0xf6e9d60148ce0da9, 0xa73d6403738b16e1, 0xc4abc6b9bb374ccf,
  0xcbbb36faea75b375, 0x91649cc13e327e9d, 0x585e087dc4590012, 0xe25c40c28701249f, 0x4c16bf32a7459dd3,
  0xf51c6b6c09d1c12d, 0x114239227f07a6e6, 0x43006e1f02bfcc68, 0xda2195dc5eef9b97, 0x784c1ee2a10cb417,
  0x35784b6fa6bfe80e, 0xd7f971f3058010ff, 0x75355ad1fee44402, 0xf83660c3dfa8f2bb, 0xd68450ef8af4dfa8,
  0x4d7d185962291669, 0x7569760ab8a97348, 0x75ea25d8c7a33d4e, 0x28d291c436355ae8, 0x6e1bd97d2cc5c242,
  0x402c8a22aa3608fd, 0x55acfe2af9ddc549, 0x77c287386836bcb9, 0xa5beaece75152a8d, 0xa78726b8101395da,
  0x115e5f0e2572f4bf, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d8c62ade,
  0x3bb8d160bb1b8f36, 0x861539fa9d599bf8, 0xc9fe2e7197e627f2, 0xd06fc73df81f343c, 0xf8138cb3590cf4c2,
  0xe9e4afdcd0ccb0ec, 0x000000015910218a,
};

// t87_swio12_dual_pr_ee_u4          a6616c_swio11_dual_pr_ee_u4       a6616c_swio12_dual_pr_ee_u4
static const uint64_t ur_t87_swio11_dual_pr_ee_u4[] = {
  0x393b77776890cf68, 0x99a872a1a8fe1fb1, 0xcdeeb627651c7a72, 0xd4ccdd56875c21ee, 0x89fd7635cddd89c9,
  0xdcb595b912dd89ae, 0x29075f4c13e325a2, 0xf585e087dc459001, 0x3e25c40c28701249, 0xb4c4ebf32a7459dd,
  0x6f51f4dec22b1c06, 0x8114239227f0795a, 0x089006e1f02bfcc6, 0x3da2195dc5eef9b8, 0x73c269122a10cb42,
  0xf9abc25b7ff9ff40, 0x4ebfcb8f982c0087, 0xe049aad68e032220, 0xa3e0d983913d4795, 0xa75a1143be2bcade,
  0x2135f4616588a459, 0x39d5a5ce1ae105cd, 0x0ebdac4edb7d1cbe, 0x4500a231f2c6ab5d, 0xd6e1bd971f18b848,
  0x55f3bb8a92ae322f, 0x70d06d7972ab59fc, 0x9cea2a551aef850e, 0x7020272bb54b7d5d, 0x1c4ae5e97f4f0e4d,
  0x56bae7b55a22bcbe, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d, 0x9674371e6c25ccbe,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000000564c6262ba,
};

/*
 * t87_swio11_dual_pr_ce_u4          t87_swio12_dual_pr_ce             t87_swio12_dual_pr_ce_u4
 * a6616c_swio11_dual_pr_ce          a6616c_swio11_dual_pr_ce_u4       a6616c_swio12_dual_pr_ce
 * a6616c_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_t87_swio11_dual_pr_ce[] = {
  0x723bddddda2432db, 0x553350e0cb9d87f2, 0x6d71ddb0c53ba772, 0x3bfa6cce8bcabce7, 0x7489ea3ecfb77272,
  0x193516e4d1fdf706, 0x2c800948b92a609f, 0x80924fac2f043ee2, 0xa2cee9f12e206143, 0x6ce115a61adf9953,
  0x8353d37a8fbef61a, 0x5fe63408a11c913f, 0x77cdc68380370f81, 0x432d032910caee2f, 0xfffd01cf09ba88a8,
  0x60043fcd5e12dbd8, 0x3d1101adfe5c7cc1, 0xe24e038706aa3ea6, 0xc4361222fb892c79, 0x71b9d1ffd165e12f,
  0x7cf72c10a9733547, 0xf1c74fe0ed6f51c2, 0x11a62731602945db, 0xffd99e3af0067640, 0xa0796b73de37d500,
  0x3f8abe77715257ce, 0xa1ce1a0daf2e556b, 0xabb39d454aa35df0, 0xc9ae0404e576a96f, 0x97c3895cbd2fe9e1,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b6c6263b7b155, 0xd1659d0dc79b0973,
  0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0xae9e4afdcd0ccb0e, 0x0000000069274f18,
};

// t87_swio12_dual_pr_ee_ce          a6616c_swio11_dual_pr_ee_ce       a6616c_swio12_dual_pr_ee_ce
static const uint64_t ur_t87_swio11_dual_pr_ee_ce[] = {
  0xb1dadddddd436f02, 0x53350e50968387ce, 0xc7fdd2c49c9d914e, 0xa05eca07c84355fb, 0xa7935e1791f3ac76,
  0xc8787afe1166c671, 0x208f5cc13e32519d, 0xb0bc10fb88b20025, 0xc4b881850e02493e, 0x35adfe654e8b3ba7,
  0xa3eed6c136ce13b7, 0x508e489fc198fcde, 0xc01b87c0aff31a04, 0x10caee2f77cdc76e, 0x2674b150865a050d,
  0x784b6fd83ff4073c, 0xf971f3058010ff35, 0x63faa3c088885adf, 0x0c03f9e24e0396b7, 0xed6059ba673aee37,
  0x307b7fd4795cae94, 0x2814c57befd47c1b, 0x8c2cb1148b34eb42, 0x9d5db9828ea426be, 0x1d7a897631e8cf53,
  0x146948e21b1aaf1b, 0x470decbe9662e121, 0x52cf2288aa8d8226, 0x556b3f8abe777152, 0x5df0a1ce1a0daf2e,
  0xa96fabb39d454aa3, 0xe9e1c9ae0404e576, 0x445797c3895cbd2f, 0xce80f1cad75cf6ab, 0xce881085482e52d7,
  0xb15545a4829c6378, 0x09732f9b6c6263b7, 0x3bb8d166880dc79b, 0xf4c2d06fdd599bf8, 0xb0ecf8138cb3590c,
  0xd98ae9e4afdcd0cc, 0x0000000000026098,
};

// t87_swio12_dual_pr_ee_ce_u4       a6616c_swio11_dual_pr_ee_ce_u4    a6616c_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t87_swio11_dual_pr_ee_ce_u4[] = {
  0x1eeeeed15b7772df, 0xa1c267f57c3f1a82, 0x3dad157abe1eca66, 0x7608339931463a3c, 0xad12ee350430149f,
  0x6140cb4b8b2bdb85, 0x04f8c929d72d20da, 0xdc4590012914fc33, 0x28701249f585e087, 0x78c7f9dd3e25c40c,
  0x0a4387ebcc6b7f99, 0xfc1dadcdea3c00d8, 0x0aff31a04508e489, 0xf77cdc88c401b87c, 0x0865a115910caee2,
  0x23ff4073c2695d15, 0x58010ff35784b6f7, 0x14440d6ffcd98b30, 0x9c9d9add547d519c, 0x6c2445f71258f3c4,
  0xe4463fa2cbc25f88, 0x3b599f374cd51dc6, 0xcc1edff51e572ba5, 0x8a05315efbf51f06, 0xa30b2c4522cd3ad0,
  0xe7576e60a3a909af, 0xc75ea25d8c7a33d4, 0x451a523886c6abc6, 0x91c37b2fa598b848, 0x94b3c8a22aa36089,
  0x955acfe2af9ddc54, 0xd77c287386836bcb, 0xaa5beaece75152a8, 0xfa78726b8101395d, 0xd115e5f0e2572f4b,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6db1898ed, 0x1a2cb3a2e4d5c1e6,
  0xe7ea75666fe0fdbb, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x5e792bf734332c3b, 0x00000020001e4f9f,
};

// t87_swio13_noled_pr               a6616c_swio13_noled               a6616c_swio13_noled_pr
static const uint64_t ur_t87_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0xc8f066127bb4c9df, 0x2f64188f1f793742,
  0xc7cc13e32775a9e8, 0x444436fffcb2d67c, 0x0f9ef51e213be5ba, 0xdee9b4a5af1c74fe, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x1ce1a0daf2e556a5, 0xfb39d454aa35df0a, 0x726b395daa5beaa6, 0x97c38956af7afa78,
  0x9de7eb5cf6ab4457, 0x85cea75380b2953e, 0x674408bf714085a5, 0xd84b997cdb4e31bc, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x9961d964a271966b, 0x008cfc33c95fb9a1, 0x0000000000000f90,
};

// a6616c_swio13_noled_pr_u4
static const uint64_t ur_t87_swio13_noled_pr_u4[] = {
  0x95bbbbbb4488aaac, 0xb5cb4b10ac36eb05, 0xfad4f70f8da48866, 0x8f2091231d7eefb1, 0xef1e5c684dd2ca88,
  0x04f8c9dd583a6c44, 0x1032bfcb8fcfbf93, 0x0f51e5f1df2d07d1, 0x9a3de951c74fe0fa, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0x0e70d06d7972ab57, 0x7d9cea2a551aef85, 0x39359caed52df553,
  0xcbe1c4ab57bd7d3c, 0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0xb997cdb1922adec5,
  0x596745c9ab83cd84, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xefa3dc9f81fbff82,
  0xe04e32cd6433d30a, 0xa792bf734332c3b3, 0x000001f27acb5a2b,
};

// t87_swio13_noled_pr_ee_u4         a6616c_swio13_noled_pr_ee         a6616c_swio13_noled_pr_ee_u4
static const uint64_t ur_t87_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1222582, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x7c64ee9d6d1225aa, 0x15bfcb8fcf93a982, 0xca5cd56b46fe2221, 0xa3e0d98309fea3ca, 0xa75a1143be2b287e,
  0x2135f4616588a459, 0x0e756974acb8d64d, 0x743af3a6edd423c9, 0x4228f911c1fb1aad, 0x7eb70decb65cc5c2,
  0x56a0174982d51b04, 0xdf0a1ce1a0daf2e5, 0xeaa6fb39d454aa35, 0xfa78726b395daa5b, 0x445797c38956af7a,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x9b09732f9b632455, 0x2868b2ce8b935707,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xff04d0f327f81fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867,
  0xf4574f257ee68665, 0x000000000009d72c,
};

// t87_swio13_noled_pr_ce_u4         a6616c_swio13_noled_pr_ce         a6616c_swio13_noled_pr_ce_u4
static const uint64_t ur_t87_swio13_noled_pr_ce[] = {
  0x37dddddda24477d6, 0x3f72d2c30e62fac7, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deef37,
  0xe609f193bb61b7c8, 0x888656ff2e3f3fa6, 0x00b9dcaeaa8faf74, 0x86c2445f71258f3c, 0x1b8c87fa2cbc25f8,
  0xd3dcb04359335477, 0x638e9fc193dea3cd, 0x28f7b398b014ca9c, 0x3ff6678ebd1f3b44, 0xdc0f2d6e1149a540,
  0xce1a0daf2e556afa, 0xb39d454aa35df0a1, 0x26b395daa5beaa6f, 0x7c38956af7afa787, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x65f36c6431dbd8aa, 0x59d1726ae0f3612e, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8,
  0x0000375de6de8ae9,
};

// a6616c_swio13_noled_pr_ee_ce
static const uint64_t ur_t87_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a232a8, 0xbb9696215a99d60b, 0xdedc1db260bc6bf8, 0x7b3e17ae368a6ee0, 0xc9685ce250e171db,
  0x93bb38b4dd33ee9d, 0xfe5c7e7d36e609f1, 0xd8fea8cbaa220337, 0xcd507f3c00b9d8cd, 0x3b5815ef99cebb8d,
  0x660cf5f51e5670e5, 0x450298acbafa8f83, 0xd185962291669d68, 0x73abb72561d484d7, 0xb1d79d376ea11e48,
  0x228f911c1fb1aaf1, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822, 0xf850e70d06d7972a, 0x5537d9cea2a551ae,
  0xd3c39359caed52df, 0x22bcbe1c4ab57bd7, 0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f,
  0xb09732f9b63218ed, 0x1a2cbd5cb9357079, 0xa73f53ab31e40fca, 0xa1e64ff0271a50c2, 0x590cf4c2d06fdf11,
  0xd0ccb0ecf8138cb3, 0xf13ebe8ae9e4afdc, 0x0000000000000013,
};

// a6616c_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t87_swio13_noled_pr_ee_ce_u4[] = {
  0x93dddddda2436812, 0x6ee5a58b81233ac5, 0x1d0ddbb8bd042e23, 0x6d4fd2ad0247a759, 0x32313be9c88707b2,
  0x7c64eed17eb624d7, 0xbffe6cc5cf8a4982, 0x7eaa3ea8f4da2215, 0xf71258f3c49c072b, 0xa2cbc25f886c2445,
  0xf7ccd51dc6e3b77f, 0xf51e5670e53b599e, 0xacbafa8f83660cf5, 0x2291669d68450298, 0x2561d484d7d18596,
  0x376ea11e4873abb7, 0x1c1fb1aaf1b1d79d, 0xcb65cc5c24228f91, 0x4c16a8d8226470de, 0x0d06d7972ab52cfa,
  0xcea2a551aef850e7, 0x59caed52df5537d9, 0x1c4ab57bd7d3c393, 0x16bae7b55a22bcbe, 0x0eea6c529e1a779f,
  0x696d138c6f19d102, 0xf9b63218edec5551, 0x1659d0dc79b09732, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec, 0x00000013f0dc818a,
};

// a6616c_swio13_lednop
static const uint64_t ur_t87_swio13_lednop[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fba164,
  0x7b9827c64eeb53dd, 0x44443baff965acfc, 0x0f9ef51e6e3be5ba, 0x6f74c654e31c74fe, 0x73b3de8ed6398b01,
  0xac11771cb1823af1, 0x439c341b5e5caad4, 0xdf673a8a9546bbe1, 0x7020272bb54b7d54, 0x0e2572497f4f0e4d,
  0x2b5d73daad115e5f, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0xfc7c3b1bb612e65f,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x0005492fe67e19e4,
};

// t87_swio13_lednop_pr_u4           a6616c_swio13_lednop_pr           a6616c_swio13_lednop_pr_u4
static const uint64_t ur_t87_swio13_lednop_pr[] = {
  0x2b77777689119391, 0x6b9696215aa1d60b, 0x7b64f54c0e2910cd, 0x8f2091236c66cf7a, 0x482fcc6b4dd2ca88,
  0x04f8c9dd8e3b8bec, 0x40c7ff971f9fa953, 0x1ea3e9477cb41f44, 0x680c13e38e9fc1f4, 0x7c47191cc580b2ca,
  0x01ffb30475e8f9d9, 0x7207967b637ee1aa, 0xe70d06d7972ab5b8, 0xd9cea2a551aef850, 0x0809caed52df5537,
  0x895c925fd3c3935c, 0xd75cf6ab445797c3, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4,
  0xc9ab83cd84b997cd, 0x63c81f9434596745, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993,
  0xcd6433d30aefa3dc, 0x734332c3b3e04e32, 0xf26ae0ba2ba792bf, 0x0000000000000001,
};

// t87_swio13_lednop_pr_ee_u4        a6616c_swio13_lednop_pr_ee        a6616c_swio13_lednop_pr_ee_u4
static const uint64_t ur_t87_swio13_lednop_pr_ee[] = {
  0x78bdddddda244511, 0x4dab96963d4c20ac, 0x14627699e97119e2, 0x8b7914c75f42e19e, 0xc447ec89b0452227,
  0xc13e32777ed6a332, 0x20707fcb8fcfd0fc, 0xcad4f4d56b46fe22, 0x9ea3e0d98309fea3, 0x59a75a1143be2bc0,
  0x4d2135f4616588a4, 0x050e7569790eb8d6, 0xad743af3a6eddd23, 0xc242289b91e45b1a, 0x047eb70decb65cc5,
  0x72ab50084526951b, 0x1aef850e70d06d79, 0x2df5537d9cea2a55, 0x3c3935c0809caed5, 0x45797c3895c925fd,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x4596745c9ab83cd8,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xba792bf734332c3b, 0x000000009d7815a2,
};

// t87_swio13_lednop_pr_ce_u4        a6616c_swio13_lednop_pr_ce        a6616c_swio13_lednop_pr_ce_u4
static const uint64_t ur_t87_swio13_lednop_pr_ce[] = {
  0x37dddddda2445541, 0x3f72d2c30e433ac7, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbcdf,
  0x9827c64eea0ade9c, 0x2216ebfcb8fcfc72, 0x02e77a6eaa3ebdd2, 0x1b09117dc4963cf0, 0x6e1257e8b2f097e2,
  0xcf72c10d64cd51dc, 0x8e3a7f064f7a8f38, 0x47191cc580a63cf5, 0xffb33c75e8f9d97c, 0x81e5adc37ee1aa01,
  0xc341b5e5caad6e1c, 0x73a8a9546bbe1439, 0x0272bb54b7d54df6, 0x572497f4f0e4d702, 0xd73daad115e5f0e2,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x5eacad15d3c95fb9, 0x0000000000000037,
};

// a6616c_swio13_lednop_pr_ee_ce
static const uint64_t ur_t87_swio13_lednop_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xf1772d2c42b2c1ac, 0xd19ea3bdc29a98d7, 0xdb7b3e17d335c6d2, 0x91976104e250e171,
  0xf8c9dd7ada5295f0, 0x347f971f9f7f9304, 0x868b1fd519754440, 0xdc6e341ff3c00b9d, 0x8729dac0af7cce75,
  0x7c1b3067afa8f2b2, 0xeb422814c56c17d4, 0x26be8c2cb1148b34, 0xc1439d5dba438ea4, 0x578d8ebce9bb7748,
  0xe121144dc8f22d8d, 0xc1132386f65b2e62, 0x5caad4b31149a546, 0x46bbe1439c341b5e, 0x4b7d54df673a8a95,
  0x4f0e4d7020272bb5, 0x115e5f0e2572497f, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6da0518ede, 0xa1a2cd102e4d5c6c, 0x85a0dfbab31e40fc, 0x964a271966b219e9, 0x5d3c95fb9a19961d,
  0x0000000534ec7fd1,
};

// a6616c_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_swio13_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x6ee5a58b8164eac5, 0x5d295ba7ecd82e23, 0x6d4fd2ad08cc489a, 0x667627c8c88707b2,
  0x3e32776e768f6aef, 0x7dfe6cc5cff60cc1, 0xfaaa3ea8f4da2208, 0xf71258f3c49c0710, 0xa2cbc25f886c2445,
  0xf7ccd51dc6e70fff, 0xf51e5650e53b599e, 0xad82fa8f83660cf5, 0x2291669d68450298, 0x4871d484d7d18596,
  0x376ee9182873abb7, 0x1e45b1aaf1b1d79d, 0xcb65cc5c242289b9, 0x2934a8d8226470de, 0x86836bcb955a9662,
  0xe75152a8d77c2873, 0x04e576a96faa9bec, 0xae492fe9e1c9ae04, 0xae7b55a22bcbe1c4, 0x17296be74078e56b,
  0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0x86e3cd84b997cdb4, 0xaccdfc1ddc68b2ce, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xb93f03f7ff04d0f3, 0x659ac867a615df47, 0x7ee686658767c09c, 0x009f99694c574f25,
};

/*
 * t87_swio13_dual_pr                t87_swio13_dual_pr_u4             a6616c_swio13_dual
 * a6616c_swio13_dual_pr             a6616c_swio13_dual_pr_u4
 */
static const uint64_t ur_t87_swio13_dual[] = {
  0x2eeeeeed12190907, 0xa99a872849c587ea, 0x6356ef4e3138bcad, 0xd75a0d28f66c502f, 0xbd9ced9452b76a2b,
  0x8c9c777269ed1d7e, 0x8b2002520c03304f, 0xe02493eb0bc10fb8, 0xe8b3ba7c4b881850, 0xfc382fb98a2fe654,
  0xf83eea6f51e3dec1, 0x15fe63408a11c913, 0xbddf3720000370f8, 0xa10cb42324432bb8, 0x287ff4073c26b5a2,
  0x82c0087f9abc25b7, 0xcf7a221fbbfcb8f9, 0xfc1c1ff51f6f9df2, 0x1541e64ad1ee38e9, 0x033b6948e21398b0,
  0xc64a807fecc11d78, 0xa92e04a07967b698, 0x972ab59fc55f3bb8, 0x51aef850e70d06d7, 0x52df5537d9cea2a5,
  0xd3c3935c0809caed, 0x445797c3895c925f, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb40a8ab7, 0x1ddc68b2ce86e3cd, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0xf7ff04d0f327f81f,
  0x67a615df47b93f03, 0x658767c09c659ac8, 0x5a8c574f257ee686, 0x000000000002926b,
};

// a6616c_swio13_dual_pr_ee
static const uint64_t ur_t87_swio13_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xa99a872a1f7787ca, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6eca733,
  0x772d656cda37664c, 0x4a4771f304f8c9fa, 0x7d617821f7116400, 0x4f8971030a1c0492, 0xb5305afcca9d1677,
  0x9bd471adb0274704, 0xa04508e489fc1e9b, 0x775801b87c0aff31, 0x5f688657717bbe6e, 0x39e1307b8a8432d0,
  0xf9abc25b79dbffa0, 0xa7ffcb8f982c0087, 0xd37355ad1b934443, 0x8f83660e3dfa8f2b, 0x9d68450ef8af677a,
  0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7, 0xeb70decbe9662e12,
  0x250087cded51b047, 0xe556b3f8abe77715, 0x35df0a1ce1a0daf2, 0x5beaa6fb39d454aa, 0x78726b8101395daa,
  0x8af2f8712b924bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6815156f6,
  0xddc68b05d8dc79b0, 0x30a9cfd4eaccdfc1, 0x4ff1738cbf313f94, 0x837e39efc0f9a1e6, 0xc09c659ac867a616,
  0x4f257ee686658767, 0x0000002b23d6cc57,
};

// a6616c_swio13_dual_pr_ee_u4
static const uint64_t ur_t87_swio13_dual_pr_ee_u4[] = {
  0xf02f777776890c86, 0xa7299a872a1a01c3, 0xab7266ea0a7ad1c7, 0x793a9994eb9d45e5, 0xbdd8593ec6b9bb81,
  0x4b45b956d35a7b98, 0x20025222319827c6, 0x2493eb0bc10fb88b, 0xb3ba7c4b881850e0, 0x380d6989d7e654e8,
  0xf2b4dea3e9bd8456, 0xf98d022847244fe0, 0xf3739be00dc3e057, 0x96847b4432bb8bdd, 0xfe80e784d2245421,
  0x021fe6af096df76b, 0x110eafff2e3e60b0, 0x3caf2b4d56b46bed, 0xaef51f06cc1f75ea, 0x22cd3ad08a1df15c,
  0x2e6909afa30b2c45, 0x7389cead2e5d5708, 0x56ba1d7b589d8ca4, 0xc2422897c8d6bd8d, 0x1f3eb70decb8f8c5,
  0x67f157ceee2a4ab8, 0x1439c341b5e5caad, 0x4df673a8a9546bbe, 0xd7020272bb54b7d5, 0xf0e2572497f4f0e4,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d02a2adec5551, 0x2cb3a1b8f3612e65,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xd3c95fb9a19961d9, 0x00000002b22ec315,
};

// t87_swio13_dual_pr_ce_u4          a6616c_swio13_dual_pr_ce          a6616c_swio13_dual_pr_ce_u4
static const uint64_t ur_t87_swio13_dual_pr_ce[] = {
  0x323bbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0xa3bfa61b9d6f7ed3, 0x2a741640258b74c8,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x4380924fac2f043e, 0x53a2cee9f12e2061, 0x1a6ce115a61adf99,
  0x3f8353d37a8fbef6, 0x815fe63408a11c91, 0x17bbe6e29200370f, 0x5421968194886577, 0xc66ffe80e784dd44,
  0x60b0021fe6af096d, 0xabf88881c1ff2e3e, 0x1e789380e13aaa8f, 0x4bf10d8488bee24b, 0x51dc6e341ff45978,
  0x3c893dcb042a5ccd, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x77c287386836bcb9, 0xfaa9bece75152a8d, 0x1c9ae0404e576a96, 0xbcbe1c4ae492fe9e,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0xc68b2ce86e3cd84b,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0xc574f257ee686658, 0x0000000001a49028,
};

// a6616c_swio13_dual_pr_ee_ce
static const uint64_t ur_t87_swio13_dual_pr_ee_ce[] = {
  0xabeddddddd431f02, 0x9ca66a1ca132270f, 0xee66f77aec21bb22, 0xed40b498e164da8f, 0xd71f9ddc2f23eaf8,
  0x33b94b26a8c4c297, 0x04a479eb9827c64a, 0x27d617821f711640, 0x74f8971030a1c049, 0x76e6b5bfcca9d167,
  0x9bd47ddad826d9c2, 0x408a11c913f8331f, 0x5c100370f815fe63, 0x50d10caee2f77cdc, 0x73c2674b150865a0,
  0xf35784b6e6b7ff40, 0x107f971f3058010f, 0x620b1fd51e564443, 0xb8dc548fe789380e, 0xee53b58166e99ceb,
  0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669, 0xf5073abb729e1d48, 0xaf1b1d7a89767f11,
  0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d, 0xd7972ab59fc55f3b, 0xa551aef850e70d06,
  0xed52df5537d9cea2, 0x5fd3c3935c0809ca, 0xab445797c3895c92, 0xd7ce80f1cad75cf6, 0x78ce881085482e52,
  0xb7b15545a4829c63, 0x9b09732f9b681463, 0xf83bb8d166880dc7, 0x0cf4c2d06fdd599b, 0xccb0ecf8138cb359,
  0x34e18ae9e4afdcd0, 0x00000000000004c1,
};

// a6616c_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_t87_swio13_dual_pr_ee_ce_u4[] = {
  0xb7777768adbb2541, 0x66a1c267d7bc3ecf, 0x5936e76fdabe1eca, 0x2fc7fbeba108f0f6, 0xc2d12ed9f0430156,
  0xd6baed3ebc9d5efd, 0x9827c6494eb917d6, 0x3ee22c800948bd9e, 0x614380924fac2f04, 0xcbc63fcee9f12e20,
  0xc0521c3f5e635bfc, 0x4fe0ed6e6f51e006, 0xe057f98d02284724, 0x8bddf37055000dc3, 0x54219684564432bb,
  0xd257fd01cf09a574, 0xc160043fcd5e12db, 0x4e9110bc3ff3662c, 0x127277787551f546, 0x21b09117dc4963cf,
  0x8dc1547e8b2f097e, 0xca76b33e6e99aa3b, 0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a,
  0xa0e7576e53c3a909, 0xe363af512ecfe23e, 0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0,
  0xf2e556b3f8abe777, 0xaa35df0a1ce1a0da, 0xaa5beaa6fb39d454, 0xfa78726b8101395d, 0x688af2f8712b924b,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0x612e65f36d028c76, 0x8d1659d1726ae0f3,
  0x73f53ab337f07edd, 0x627ff787bde50c2a, 0x1343cc9fe07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0xaf3c95fb9a19961d, 0x0000001001bc95cf,
};

// t87_swio14_noled_pr               a6616c_swio14_noled               a6616c_swio14_noled_pr
static const uint64_t ur_t87_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adcdeb0, 0x5b466ea44cf74192, 0x880f06613526f07d, 0x85e823af1afb3f74,
  0xc7b9827c64eed8fd, 0xa04443baff965acf, 0xc1d7ff51d313be5b, 0x2dee99001f238e9f, 0x2e76e91193c73160,
  0x2b043ee39630475e, 0x50e70d06d7972ab5, 0x7d59cea2a551aef8, 0x3c39359d372bb54b, 0x22bcbe1c4ad8fdfd,
  0xa9f4ef3f5ae7b55a, 0x2d2c2e753a9c0594, 0x8de33a2047978a04, 0x0376c25ccbe6da71, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0xf9024867e19e4afd,
};

// a6616c_swio14_noled_pr_u4
static const uint64_t ur_t87_swio14_noled_pr_u4[] = {
  0xd49bbbbbb4488f62, 0x35ae5a58856db758, 0x2fdb1fa871226443, 0x4790b89f4bc7cc98, 0x7750e00793775244,
  0x609f193bbc975904, 0x886dfff2e3f3e63e, 0x35ea382877cb6f68, 0x5307b40238e9fc19, 0xc98a3114e62c0596,
  0x500ffd9823af47ce, 0x844c0f2cf6ed6279, 0xa1ce1a0daf2e556a, 0xfab39d454aa35df0, 0x78726b3a6e576a96,
  0x45797c3895b1fbfa, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x84b997cdb610c55b,
  0x34596745c9ab83cd, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff,
  0xb3e04e32cd6433d3, 0x2ba792bf734332c3, 0x00000001f277d51a,
};

// t87_swio14_noled_pr_ee_u4         a6616c_swio14_noled_pr_ee         a6616c_swio14_noled_pr_ee_u4
static const uint64_t ur_t87_swio14_noled_pr_ee[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x840f5c9022911284,
  0x4f8c9dd1edb1c421, 0x3677f971f9f38330, 0xb2eb355ad198f444, 0xd47c1b307d47a8f2, 0x34eb422877c5652f,
  0xa426be8c2cb1148b, 0x21cead2ee4d71ac9, 0xae875e74dd8f547f, 0x242288851ef76355, 0x47eb70decb65cc5c,
  0x2ab500ba0e7951b0, 0xaef850e70d06d797, 0xb54b7d59cea2a551, 0xfdfd3c39359d372b, 0xb55a22bcbe1c4ad8,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x62adec5551696d13, 0xc1e6c25ccbe6db08, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343cc9fe07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x9a0d15d3c95fb9a1, 0x00000000000013ae,
};

// t87_swio14_noled_pr_ce_u4         a6616c_swio14_noled_pr_ce         a6616c_swio14_noled_pr_ce_u4
static const uint64_t ur_t87_swio14_noled_pr_ce[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xf5f682ef1fa114cc, 0xc1fc2de464090f1e, 0x9c50ccddb53dd327,
  0x4c13e32775a76d33, 0x110c09fe5c7e7edd, 0x0173bcad551f5911, 0x0d8488bee24b1e78, 0x3712a3f459784bf1,
  0x27b96086b266a8ee, 0x8e3a7f06b3fd475f, 0x8c45398b0176fcbe, 0xff6678ebd1f3b262, 0xc0f2d6eb589e5403,
  0xe1a0daf2e556a844, 0x39d454aa35df0a1c, 0x26b3a6e576a96fab, 0x97c3895b1fbfa787, 0xf3e2d75cf6ab4457,
  0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x32f9b6c2131dbd8a, 0x2ce8b9357079b097, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d, 0xf257ee686658767c,
  0x00001bafb5ef4574,
};

// a6616c_swio14_noled_pr_ee_ce
static const uint64_t ur_t87_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bd7a70bc6bf8, 0xbd9f989a5b238bc4, 0xf2234e7128706ded,
  0xc9dd57da1ba352c1, 0xff971f9f0d1304f8, 0xf63faa338688858f, 0xb8000fcf002e7763, 0xa76b02bdf339d771,
  0x6cc1e95ea3cae43c, 0x08a053159c3f51f0, 0xfa30b2c4522cd3ad, 0x0e7576e7263a909a, 0x363af3a6ec7aa3f9,
  0x42288851ef76355e, 0x26470decb65cc5c2, 0x55a967d073ca8d82, 0x77c287386836bcb9, 0xaa5beace75152a8d,
  0xefe9e1c9ace9b95d, 0xaad115e5f0e256c7, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c,
  0x1e6c25ccbe6db084, 0xf2868b2f572e4d5c, 0x30a9cfd4eacc7903, 0xc4687993fc09c694, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x027e0e8ba2ba792b,
};

// a6616c_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t87_swio14_noled_pr_ee_ce_u4[] = {
  0x1deeeeeed1219f68, 0xb772d2c5c0ae0d63, 0x2eb33dd066b41711, 0xb6a7e94908e2b06a, 0x64e476b8e44383e3,
  0x27c64ee8ebe80a0b, 0x883fcd98b9f43e98, 0x882aa3ea8edd2221, 0x2fb892c79e24e039, 0xfd165e12fc436122,
  0x7bdf3354771b9d4e, 0x2bd4795c8794ed66, 0x62b387ea3e0d983d, 0x588a459a75a1140a, 0xdce4c752135f4616,
  0x74dd8f547f21ceae, 0x0a3deec6abc6c75e, 0xbd96cb98b8484511, 0xfa0e7951b044c8e1, 0xe70d06d7972ab52c,
  0x59cea2a551aef850, 0x39359d372bb54b7d, 0xbcbe1c4ad8fdfd3c, 0x779f16bae7b55a22, 0xd1020eea6c529e1a,
  0x5551696d138c6f19, 0xb997cdb61098edec, 0xdc68b2ce86e3cd84, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xff04d0f327f81fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867, 0x0c574f257ee68665, 0x00000000009f87aa,
};

// t87_swio14_lednop_pr              a6616c_swio14_lednop              a6616c_swio14_lednop_pr
static const uint64_t ur_t87_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0x6b76deef85e82832, 0x880f06613526eef3, 0xd8f363d2bafa1374,
  0xefe4c13e327771de, 0xe8111032bfe596b3, 0xf075ffd47f90ef96, 0x0b7ba63d5ef8e3a7, 0x8b9dad647d01cc58,
  0xa5673db8e58c11d7, 0x0a1ce1a0daf2e556, 0x6fab39d454aa35df, 0x26b81013a6e576a9, 0x97c3895cbec7a787,
  0xb9d01e5cf6ab4457, 0x561130bd4b5e5380, 0xc67440d8ff14085a, 0xed84b997cdb4e31b, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x19961d964a271966, 0x0e2ccfc33c95fb9a, 0x00000000000007c8,
};

// a6616c_swio14_lednop_pr_u4
static const uint64_t ur_t87_swio14_lednop_pr_u4[] = {
  0x937777768911c056, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x9f193bb2ef419991, 0x47bff2e3f3ebee60, 0xea3a0077cb6f6888, 0x9fcea238e9fc1935, 0x2231be731602cb29,
  0x0ffd9823af47ced9, 0xa81e59edc1fe9150, 0x9c341b5e5caad65d, 0x673a8a9546bbe143, 0x020274dcaed52df5,
  0x712b97d8f4f0e4d7, 0x5aeb9ed5688af2f8, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4,
  0xb9357079b09732f9, 0xcc7903f2868b2ce8, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x93f03f7ff04d0f32,
  0x59ac867a615df47b, 0xee686658767c09c6, 0x3e4c202f4574f257,
};

// t87_swio14_lednop_pr_ee_u4        a6616c_swio14_lednop_pr_ee        a6616c_swio14_lednop_pr_ee_u4
static const uint64_t ur_t87_swio14_lednop_pr_ee[] = {
  0x426eeeeed12232a8, 0x6d5cb4b1ea7416b1, 0xfd3d313b007a5f12, 0x3c8a671f1a67ed4d, 0x345a8ac811488942,
  0x4f8c9dd9c5b7059f, 0x06b7f971f9f4b530, 0xb60b355ad198f444, 0xd47c1b307d47a8f2, 0x34eb422877c56a7b,
  0xa426be8c2cb1148b, 0x71cead2ee9571ac9, 0xae875e74dda44473, 0x242285f11c656355, 0x47eb70decb65cc5c,
  0x2ab500ad627951b0, 0xaef850e70d06d797, 0xb54b7d59cea2a551, 0x3c3935c0809d372b, 0x22bcbe1c4ae5f63d,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6db18c55bd, 0xa2cb3a2e4d5c1e6c,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x1343cc9fe07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0x5d3c95fb9a19961d, 0x000000009d7e9ed1,
};

// t87_swio14_lednop_pr_ce_u4        a6616c_swio14_lednop_pr_ce        a6616c_swio14_lednop_pr_ce_u4
static const uint64_t ur_t87_swio14_lednop_pr_ce[] = {
  0x93dddddda2447705, 0x3f72d2c30e1fbac1, 0xa2ed91d623e2d4cc, 0x07f0b79019b200be, 0x2650b69764f74c9f,
  0x304f8c9dd6c5ab05, 0x4437dff971f9f8ad, 0x05ceedd5547d6444, 0x361222fb892c79e0, 0xdca4afd165e12fc4,
  0x9ee5821ac99aa3b8, 0x71d3f8359fea3cbe, 0x637ce62c058f7a54, 0xfb33c75e8f9db244, 0x0f2d6e83fd22a01f,
  0x1a0daf2e556b2ed4, 0x9d454aa35df0a1ce, 0x013a6e576a96fab3, 0x95cbec7a78726b81, 0x75cf6ab445797c38,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0xc6263b7b15545a48, 0x357079b09732f9b6, 0x7903f2868b2ce8b9,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xf03f7ff04d0f327f, 0xac867a615df47b93, 0x686658767c09c659,
  0xaf756f4574f257ee, 0x000000000000001b,
};

// a6616c_swio14_lednop_pr_ee_ce
static const uint64_t ur_t87_swio14_lednop_pr_ee_ce[] = {
  0x0dbddddddd4458e2, 0xf1772d2c42b725ac, 0xdc1d467aa6ec78d7, 0xdb7b3f3131269619, 0xe3d3a82ce250e0db,
  0xf193baecb4a71d68, 0xb5fe5c7e7e76e609, 0xed58fea8ce1a221b, 0xc6e747ff3c00b9de, 0x729dac0af7cce75d,
  0xc1b307a57a8f2b29, 0xb422814c5650fd47, 0x6be8c2cb1148b34e, 0x6e39d5db9d28ea42, 0x78d8ebce9bb4888e,
  0x0908a17c471958d5, 0x08991c37b2d97317, 0xe556a59dac4f2a36, 0x35df0a1ce1a0daf2, 0x76a96fab39d454aa,
  0xa78726b81013a6e5, 0x445797c3895cbec7, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x09732f9b6c6263b7, 0x2868b3440b93571b, 0x616837eeacc7903f, 0x659289c659ac867a, 0x574f257ee6866587,
  0x00000000a69a2fb4,
};

// a6616c_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_swio14_lednop_pr_ee_ce_u4[] = {
  0x3bdddddda2435f41, 0x6ee5a58b8144eac6, 0xfd29dba6ed902e23, 0x6d4fd29217063891, 0x81664699c88707c7,
  0x27c64eed6b4ed571, 0x003fcd98b9ffd798, 0x002aa3ea8edd2221, 0x2fb892c79e24e039, 0xfd165e12fc436122,
  0x7bdf3354771b8164, 0x2bd479594b94ed66, 0x62b287ea3e0d983d, 0x588a459a75a1140a, 0xdce94752135f4616,
  0x74dda4447371ceae, 0xe238cac6abc6c75e, 0xbd96cb98b848450b, 0xed627951b044c8e1, 0xe70d06d7972ab52c,
  0x59cea2a551aef850, 0xc0809d372bb54b7d, 0x1c4ae5f63d3c3935, 0x56bae7b55a22bcbe, 0x2a417296be74078e,
  0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0x2ce86e3cd84b997c, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d, 0xf257ee686658767c, 0x000009f81358c574,
};

/*
 * t87_swio14_dual_pr                t87_swio14_dual_pr_u4             a6616c_swio14_dual
 * a6616c_swio14_dual_pr             a6616c_swio14_dual_pr_u4
 */
static const uint64_t ur_t87_swio14_dual[] = {
  0x17777776890d7f41, 0xd4cd439422bec3f4, 0xa5ab7560fd3c5e56, 0xebad047ced00ab13, 0xd5d267da29dbb415,
  0xc64e3bb9644eefdf, 0x459001291cdf9827, 0x701249f585e087dc, 0x7459dd3e25c40c28, 0xfe1c17dcc517f32a,
  0xfc1f7537a8f1ef60, 0x0aff31a04508e489, 0xbddf371aec01b87c, 0xa10cb42324432bb8, 0x297ff4073c26b5a2,
  0x82c0087f9abc25b7, 0x96ba220517fcb8f9, 0xfe0f7bf51fba3be5, 0x0aa0f33930f71c74, 0x019d90046989cc58,
  0x8df5403ff6608ebc, 0x5257cea07967b6f7, 0x2e556b3f8abe7771, 0xa35df0a1ce1a0daf, 0x576a96fab39d454a,
  0x7a78726b81013a6e, 0xb445797c3895cbec, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xd84b997cdb6318ab, 0xc1ddc68b2ce86e3c, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x3f7ff04d0f327f81,
  0x867a615df47b93f0, 0x6658767c09c659ac, 0x0158c574f257ee68, 0x000000000000524d,
};

// a6616c_swio14_dual_pr_ee
static const uint64_t ur_t87_swio14_dual_pr_ee[] = {
  0xbb7777743d686f97, 0x53350e5434d7c3e1, 0xc3edd3ac02919c1b, 0x9f4e7ac806e7162d, 0xeb89578d73761b99,
  0x3b97766df5d4eb66, 0x2522c939827c64fd, 0x3eb0bc10fb88b200, 0xa7c4b881850e0249, 0x5a982d7e654e8b3b,
  0xcdea38d6d813a382, 0xd022847244fe0f4d, 0x2e8600dc3e057f98, 0x2fb4432bb8bddf37, 0x1cf0983dc5421968,
  0xfe6af096df4d7fd0, 0x05aff2e3e60b0021, 0x76ea6ab5a3fdc888, 0x51f06cc187bf51e5, 0xd3ad08a1df15e9bf,
  0x909afa30b2c4522c, 0x9cead2ec157152e6, 0xd0ebd44bb18f467a, 0x8451a523886c6ab5, 0xfadc37b2fa598b84,
  0x9280591445546c11, 0x72ab59fc55f3bb8a, 0x1aef850e70d06d79, 0xbb54b7d59cea2a55, 0xd3c3935c0809d372,
  0xa22bcbe1c4ae5f63, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0xc25ccbe6db18c55b,
  0x07771a2c176371e6, 0x50c2a73f53ab337f, 0x993fc5ce32fcc4fe, 0x5a0df8e7bf03e687, 0x9f0271966b219e98,
  0x5d3c95fb9a19961d, 0x000000002b220431,
};

// a6616c_swio14_dual_pr_ee_u4
static const uint64_t ur_t87_swio14_dual_pr_ee_u4[] = {
  0x647777776890cf68, 0xe53350e54351fc3e, 0xdd9bdd6c4eca38f4, 0x93a999baad0eb843, 0x5d13faec6b9bb323,
  0x45b96b2b7225bb13, 0x02520ebe9827c64b, 0x93eb0bc10fb88b20, 0xba7c4b881850e024, 0x0d6989d7e654e8b3,
  0xb4dea3e9bd845638, 0x8d022847244fe0f2, 0x7011200dc3e057f9, 0x847b4432bb8bddf3, 0x80e784d224542196,
  0x0ff35784b6fff3fe, 0x409d7f971f305801, 0x2bc09355ad1c0644, 0xbd47c1b307227a8f, 0xb34eb422877c5795,
  0x9a426be8c2cb1148, 0x7c73ab4b9c35c20b, 0xba1d7b589db6fa39, 0x908a014463e58d56, 0x5fadc37b2e3e3170,
  0xf8abe77715255c64, 0x1ce1a0daf2e556b3, 0xab39d454aa35df0a, 0xb81013a6e576a96f, 0xc3895cbec7a78726,
  0xcad75cf6ab445797, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb6318ab7b15545, 0xb2ce86e3cd84b997,
  0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x0000000ac98c4c57,
};

// t87_swio14_dual_pr_ce_u4          a6616c_swio14_dual_pr_ce          a6616c_swio14_dual_pr_ce_u4
static const uint64_t ur_t87_swio14_dual_pr_ce[] = {
  0xc4edddddda2432db, 0xe4aa66a1c1973b0f, 0xcedae3bb618a774e, 0xe477f4d99d179579, 0x0ce913d47d9f6ec4,
  0x3e326a2dc9a3fbee, 0xc4590012917254c1, 0x8701249f585e087d, 0xa7459dd3e25c40c2, 0x34d9c22b4c35bf32,
  0x7f06a7a6f51f7dec, 0x02bfcc6811423922, 0x5eef9b8d07006e1f, 0x50865a06522195dc, 0xb1fffa039e137511,
  0x82c0087f9abc25b7, 0x4c7a22035bfcb8f9, 0xf3c49c070e0d547d, 0x5f886c2445f71258, 0x8ee373a3ffa2cbc2,
  0x84f9ee582152e66a, 0xb7e38e9fc1dadea3, 0x80234c4e62c0528b, 0x01ffb33c75e00cec, 0x9d40f2d6e7bc6faa,
  0xd67f157ceee2a4af, 0xe1439c341b5e5caa, 0x2df5673a8a9546bb, 0xe4d7020274dcaed5, 0xf2f8712b97d8f4f0,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x65f36d8c4c76f62a, 0x1a2cb3a1b8f3612e,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc1343cc9fe07f197, 0x8577d1ee4fc0fdff, 0xd9f0271966b219e9,
  0x15d3c95fb9a19961, 0x000000000d24e9e3,
};

// a6616c_swio14_dual_pr_ee_ce
static const uint64_t ur_t87_swio14_dual_pr_ee_ce[] = {
  0x8f6ddddddd436f02, 0x9ca66a1ca12d070f, 0xf78ffba589393b22, 0xed40bd940f9086ab, 0xe34f26bc2f23e3d8,
  0x3b90f0f5fc22cd8c, 0x4a411eb9827c64a3, 0x7d617821f7116400, 0x4f8971030a1c0492, 0x6e6b5bfcca9d1677,
  0xbd47ddad826d9c27, 0x08a11c913f8331f9, 0xdd80370f815fe634, 0x1a2195dc5eef9b8e, 0x784ce962a10cb40a,
  0x6af096dfb07fe80e, 0xbff2e3e60b0021fe, 0x6ec7f547811110b5, 0x6e1807f3c49c072d, 0x29dac0b374ce75dc,
  0x3660f6ffa8f2b95d, 0x8450298af7dfa8f8, 0x7d185962291669d6, 0xa73abb73051d484d, 0x363af512ec63d19e,
  0x4228d291c436355e, 0x4c8e1bd97d2cc5c2, 0xa4a59e4511551b04, 0x5caad67f157ceee2, 0x46bbe1439c341b5e,
  0xaed52df5673a8a95, 0xf4f0e4d7020274dc, 0x688af2f8712b97d8, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0x612e65f36d8c4c76, 0x07771a2cd101b8f3, 0x9e985a0dfbab337f, 0x961d9f0271966b21,
  0x1b315d3c95fb9a19, 0x0000000000004c13,
};

// a6616c_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_t87_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b7772df, 0xcd4384cfeaf87cb5, 0x787b5a2af57c3d94, 0x3eec106732628c74, 0x0b5a25d96a086029,
  0xb4c28196971657b7, 0x6609f19253ae5a41, 0x0fb88b20025229f8, 0x1850e02493eb0bc1, 0x32f18ff3ba7c4b88,
  0xb014870fd798d6ff, 0x13f83b5b9bd47801, 0xf815fe63408a11c9, 0xc5eef9b911880370, 0x2a10cb422b22195d,
  0xee47fe80e784d2ba, 0x60b0021fe6af096d, 0x3828881adff9b316, 0x89393b35baa8faa3, 0x10d8488bee24b1e7,
  0x8dc88c7f459784bf, 0x4a76b33e6e99aa3b, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75,
  0xa9ceaedcc1475213, 0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1,
  0x972ab59fc55f3bb8, 0x51aef850e70d06d7, 0x2bb54b7d59cea2a5, 0x3d3c3935c0809d37, 0x5a22bcbe1c4ae5f6,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb63131d, 0x634596745c9ab83c,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0xebcf257ee6866587, 0x000000040003c9f3,
};

// t87_swio15_noled_pr               a6616c_swio15_noled               a6616c_swio15_noled_pr
static const uint64_t ur_t87_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0x04f066127bb4c9df, 0x2f64188f1f79375b,
  0xc7cc13e32775a9e8, 0x444436fffcb2d67c, 0x0f9ef51e213be5ba, 0xdee9b4a5af1c74fe, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x1ce1a0daf2e556a5, 0xbb39d454aa35df0a, 0x726b3a6e576a96fa, 0xcbe1c4ab57fbfa78,
  0x4ef3f5ae7b55a22b, 0xc2e753a9c0594a9f, 0x33a2045fb8a042d2, 0x6c25ccbe6da718de, 0xf2068fe3459a2037,
  0x90cf4c2d06fdd598, 0xccb0ecb25138cb35, 0x00467e19e4afdcd0, 0x00000000000007c8,
};

// a6616c_swio15_noled_pr_u4
static const uint64_t ur_t87_swio15_noled_pr_u4[] = {
  0xddbbbbbb4488aaac, 0xb5cb4b10ac36eb13, 0xfad4f70f8da48866, 0x8f2091231d7eefb1, 0xef1e5c684dd9ee88,
  0x04f8c9dd583a6c44, 0x1032bfcb8fcfbf93, 0x0f51e5f1df2d07d1, 0x9a3de951c74fe0fa, 0x8851ef6731602cb2,
  0x807fecc11d7a3e76, 0xd6e07967b622934a, 0x0e70d06d7972ab57, 0x5d9cea2a551aef85, 0x39359d372bb54b7d,
  0xe5f0e255abfdfd3c, 0xbcf8b5d73daad115, 0x881077536294f0d3, 0xaa8b4b689c6378ce, 0x5ccbe6d8c9156f62,
  0x2cb3a2e4d5c1e6c2, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1,
  0xf0271966b219e985, 0xd3c95fb9a19961d9, 0x000000f93d65ad15,
};

// t87_swio15_noled_pr_ee_u4         a6616c_swio15_noled_pr_ee         a6616c_swio15_noled_pr_ee_u4
static const uint64_t ur_t87_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1222582, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x7c64ee9d6d1225aa, 0x15bfcb8fcf93a982, 0xca5cd56b46fe2221, 0xa3e0d98309fea3ca, 0xa75a1143be2b287e,
  0x2135f4616588a459, 0x0e756974acb8d64d, 0x743af3a6edd423c9, 0x4228f911c1fb1aad, 0x7eb70decb65cc5c2,
  0x56a0174982d51b04, 0xdf0a1ce1a0daf2e5, 0x96fabb39d454aa35, 0xfa78726b3a6e576a, 0xa22bcbe1c4ab57fb,
  0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0xcd84b997cdb1922a, 0x9434596745c9ab83,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0x7a2ba792bf734332, 0x000000000004eb96,
};

// t87_swio15_noled_pr_ce_u4         a6616c_swio15_noled_pr_ce         a6616c_swio15_noled_pr_ce_u4
static const uint64_t ur_t87_swio15_noled_pr_ce[] = {
  0xefdddddda24477d6, 0x3f72d2c30e62fac6, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deeeef,
  0xe609f193bb61b7c8, 0x888656ff2e3f3fa6, 0x00b9dcaeaa8faf74, 0x86c2445f71258f3c, 0x1b8c87fa2cbc25f8,
  0xd3dcb04359335477, 0x638e9fc193dea3cd, 0x28f7b398b014ca9c, 0x3ff6678ebd1f3b44, 0xdc0f2d6e1149a540,
  0xce1a0daf2e556afa, 0xb39d454aa35df0a1, 0x26b3a6e576a96fab, 0xbe1c4ab57fbfa787, 0x9f16bae7b55a22bc,
  0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x32f9b63218edec55, 0x2ce8b9357079b097, 0xd4eacc7903f2868b,
  0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d, 0xf257ee686658767c,
  0x00001baef36f4574,
};

// a6616c_swio15_noled_pr_ee_ce
static const uint64_t ur_t87_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a232a8, 0x5dcb4b10ad4ceb10, 0x6f6e0ed9305e35fc, 0xbd9f0bd71b453770, 0x725a17389439006d,
  0x64eece2d374cfba7, 0xff971f9f4db9827c, 0x763faa32ea8880cd, 0x73541fcf002e7633, 0x4ed6057be673aee3,
  0xd9833d7d47959c39, 0x1140a62b2ebea3e0, 0xf4616588a459a75a, 0x1ceaedc958752135, 0x6c75e74ddba84792,
  0x08a3e44707ec6abc, 0x991c37b2d9731709, 0xad4b3e9305aa3608, 0xbe1439c341b5e5ca, 0x2df57673a8a9546b,
  0xf4f0e4d674dcaed5, 0x445797c38956aff7, 0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d,
  0x3612e65f36c6431d, 0x434597ab9726ae0f, 0x54e7ea75663c81f9, 0x343cc9fe04e34a18, 0x6b219e985a0dfbe2,
  0x9a19961d9f027196, 0x7e27d7d15d3c95fb, 0x0000000000000002,
};

// a6616c_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t87_swio15_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2436812, 0x6ee5a58b81233ac3, 0x1d0ddbb8bd042e23, 0x6d4fd2ad0247a759, 0x32313be9c887077a,
  0x7c64eed17eb624d7, 0xbffe6cc5cf8a4982, 0x7eaa3ea8f4da2215, 0xf71258f3c49c072b, 0xa2cbc25f886c2445,
  0xf7ccd51dc6e3b77f, 0xf51e5670e53b599e, 0xacbafa8f83660cf5, 0x2291669d68450298, 0x2561d484d7d18596,
  0x376ea11e4873abb7, 0x1c1fb1aaf1b1d79d, 0xcb65cc5c24228f91, 0x4c16a8d8226470de, 0x0d06d7972ab52cfa,
  0xcea2a551aef850e7, 0x59d372bb54b7d5d9, 0x0e255abfdfd3c393, 0x8b5d73daad115e5f, 0x077536294f0d3bcf,
  0xb4b689c6378ce881, 0x7cdb190c76f62aa8, 0x8b2ce86e3cd84b99, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9,
  0x4d0f327f81fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61, 0x74f257ee68665876, 0x00000009f86e40c5,
};

// a6616c_swio15_lednop
static const uint64_t ur_t87_swio15_lednop[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fbad82,
  0x7b9827c64eeb53dd, 0x44443baff965acfc, 0x0f9ef51e6e3be5ba, 0x6f74c654e31c74fe, 0x73b3de8ed6398b01,
  0xac11771cb1823af1, 0x439c341b5e5caad4, 0x57673a8a9546bbe1, 0x7020274dcaed52df, 0xc3895c958f4f0e4d,
  0xcad75cf6ab445797, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb40a8ab7b15545, 0xbf1f0ec6ed84b997,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0001524bf99f8679,
};

// t87_swio15_lednop_pr_u4           a6616c_swio15_lednop_pr           a6616c_swio15_lednop_pr_u4
static const uint64_t ur_t87_swio15_lednop_pr[] = {
  0xbb77777689119391, 0x6b9696215aa1d627, 0x7b64f54c0e2910cd, 0x8f2091236c66cf7a, 0x482fcc6b4dd9ee88,
  0x04f8c9dd8e3b8bec, 0x40c7ff971f9fa953, 0x1ea3e9477cb41f44, 0x680c13e38e9fc1f4, 0x7c47191cc580b2ca,
  0x01ffb30475e8f9d9, 0x7207967b637ee1aa, 0xe70d06d7972ab5b8, 0xd9cea2a551aef850, 0x0809d372bb54b7d5,
  0xe2572563d3c3935c, 0xb5d73daad115e5f0, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0x726ae0f3612e65f3, 0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x27e07effe09a1e64,
  0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c, 0x7c9ab82e8ae9e4af,
};

// t87_swio15_lednop_pr_ee_u4        a6616c_swio15_lednop_pr_ee        a6616c_swio15_lednop_pr_ee_u4
static const uint64_t ur_t87_swio15_lednop_pr_ee[] = {
  0x17bdddddda244511, 0x4dab96963d4c20ac, 0x14627699e97119e2, 0x7b7914c75f42e19e, 0xc447ec89b0452221,
  0xc13e32777ed6a332, 0x20707fcb8fcfd0fc, 0xcad4f4d56b46fe22, 0x9ea3e0d98309fea3, 0x59a75a1143be2bc0,
  0x4d2135f4616588a4, 0x050e7569790eb8d6, 0xad743af3a6eddd23, 0xc242289b91e45b1a, 0x047eb70decb65cc5,
  0x72ab50084526951b, 0x1aef850e70d06d79, 0xb54b7d5d9cea2a55, 0x3c3935c0809d372b, 0x115e5f0e2572563d,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x12e65f36d02a2ade, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0xae9e4afdcd0ccb0e, 0x00000000275e0568,
};

// t87_swio15_lednop_pr_ce_u4        a6616c_swio15_lednop_pr_ce        a6616c_swio15_lednop_pr_ce_u4
static const uint64_t ur_t87_swio15_lednop_pr_ce[] = {
  0xefdddddda2445541, 0x3f72d2c30e433ac6, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbbbf,
  0x9827c64eea0ade9c, 0x2216ebfcb8fcfc72, 0x02e77a6eaa3ebdd2, 0x1b09117dc4963cf0, 0x6e1257e8b2f097e2,
  0xcf72c10d64cd51dc, 0x8e3a7f064f7a8f38, 0x47191cc580a63cf5, 0xffb33c75e8f9d97c, 0x81e5adc37ee1aa01,
  0xc341b5e5caad6e1c, 0x73a8a9546bbe1439, 0x0274dcaed52df576, 0x95c958f4f0e4d702, 0x75cf6ab445797c38,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x357079b09732f9b6, 0x7903f2868b2ce8b9,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xf03f7ff04d0f327f, 0xac867a615df47b93, 0x686658767c09c659,
  0xd7ab2b4574f257ee, 0x000000000000000d,
};

// a6616c_swio15_lednop_pr_ee_ce
static const uint64_t ur_t87_swio15_lednop_pr_ee_ce[] = {
  0x200ddddddd447e4a, 0xf8bb9696215960d6, 0x68cf51dee14d4c6b, 0x6dbd9f0be99ae369, 0x2465d84138943900,
  0x3e32775eb694a57c, 0x0d1fe5c7e7dfe4c1, 0x61a2c7f5465d5110, 0x771b8d07fcf002e7, 0xa1ca76b02bdf339d,
  0x1f06cc19ebea3cac, 0x3ad08a05315b05f5, 0x09afa30b2c4522cd, 0x3050e7576e90e3a9, 0x55e363af3a6eddd2,
  0xb8484513723c8b63, 0xb044c8e1bd96cb98, 0x972ab52cc4526951, 0x51aef850e70d06d7, 0xbb54b7d5d9cea2a5,
  0xd3c3935c0809d372, 0xd115e5f0e2572563, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0xc25ccbe6da0518ed, 0xca1a2cd102e4d5c6, 0x985a0dfbab31e40f, 0xd964a271966b219e, 0x15d3c95fb9a19961,
  0x00000000534ec7fd,
};

// a6616c_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t87_swio15_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda243704a, 0x6ee5a58b8164eac3, 0x5d295ba7ecd82e23, 0x6d4fd2ad08cc489a, 0x667627c8c887077a,
  0x3e32776e768f6aef, 0x7dfe6cc5cff60cc1, 0xfaaa3ea8f4da2208, 0xf71258f3c49c0710, 0xa2cbc25f886c2445,
  0xf7ccd51dc6e70fff, 0xf51e5650e53b599e, 0xad82fa8f83660cf5, 0x2291669d68450298, 0x4871d484d7d18596,
  0x376ee9182873abb7, 0x1e45b1aaf1b1d79d, 0xcb65cc5c242289b9, 0x2934a8d8226470de, 0x86836bcb955a9662,
  0xe75152a8d77c2873, 0x04e9b95daa5beaec, 0x2b92b1e9e1c9ae04, 0xeb9ed5688af2f871, 0x05ca5af9d01e395a,
  0x538c6f19d10210a9, 0x028c76f62aa8b490, 0xa1b8f3612e65f36d, 0xab337f07771a2cb3, 0x787bde50c2a73f53,
  0xc9fe07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x0027e65a5315d3c9,
};

/*
 * t87_swio15_dual_pr                t87_swio15_dual_pr_u4             a6616c_swio15_dual
 * a6616c_swio15_dual_pr             a6616c_swio15_dual_pr_u4
 */
static const uint64_t ur_t87_swio15_dual[] = {
  0x06eeeeed12190907, 0xd4cd439424e2c3e1, 0xb1ab77a7189c5e56, 0xebad06947b362817, 0xaf673b6514add081,
  0xe3271ddc9a7b475f, 0x22c800948300cc13, 0x380924fac2f043ee, 0x3a2cee9f12e20614, 0x7f0e0bee628bf995,
  0xfe0fba9bd478f7b0, 0x057f98d022847244, 0x2f77cdc80000dc3e, 0xa8432d08c910caee, 0xca1ffd01cf09ad68,
  0x60b0021fe6af096d, 0xb3de8887eeff2e3e, 0x7f0707fd47dbe77c, 0x05507992b47b8e3a, 0x00ceda523884e62c,
  0x3192a01ffb30475e, 0x2a4b81281e59eda6, 0xe5caad67f157ceee, 0x546bbe1439c341b5, 0xaed52df57673a8a9,
  0xf4f0e4d7020274dc, 0xb445797c3895c958, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xd84b997cdb40a8ab, 0xc1ddc68b2ce86e3c, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0x3f7ff04d0f327f81,
  0x867a615df47b93f0, 0x6658767c09c659ac, 0xb5a8c574f257ee68, 0x0000000000002926,
};

// a6616c_swio15_dual_pr_ee
static const uint64_t ur_t87_swio15_dual_pr_ee[] = {
  0xd6eeeee87ad0cf68, 0xa99a872a1f7787cd, 0x41f6eabe6c48ce0d, 0x3e9cd3913eabfaef, 0xaefdfb1ae6ecdd33,
  0x772d656cda37664c, 0x4a4771f304f8c9fa, 0x7d617821f7116400, 0x4f8971030a1c0492, 0xb5305afcca9d1677,
  0x9bd471adb0274704, 0xa04508e489fc1e9b, 0x775801b87c0aff31, 0x5f688657717bbe6e, 0x39e1307b8a8432d0,
  0xf9abc25b79dbffa0, 0xa7ffcb8f982c0087, 0xd37355ad1b934443, 0x8f83660e3dfa8f2b, 0x9d68450ef8af677a,
  0x84d7d18596229166, 0xe7569753cb8a9734, 0x43af512ecfe23ea0, 0x1141ea8fe4b1aad7, 0xeb70decbe9662e12,
  0x250087cded51b047, 0xe556b3f8abe77715, 0x35df0a1ce1a0daf2, 0x6a96fabb39d454aa, 0x78726b81013a6e57,
  0x22bcbe1c4ae4ac7a, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6da05455bd,
  0x7771a2c176371e6c, 0x0c2a73f53ab337f0, 0x93fc5ce32fcc4fe5, 0xa0df8e7bf03e6879, 0xf0271966b219e985,
  0xd3c95fb9a19961d9, 0x0000000ac8f5b315,
};

// a6616c_swio15_dual_pr_ee_u4
static const uint64_t ur_t87_swio15_dual_pr_ee_u4[] = {
  0xf627777776890c86, 0xa7299a872a1a01c3, 0xab7266ea0a7ad1c7, 0x393a9994eb9d45e5, 0xbdd8593ec6b9bbb1,
  0x4b45b956d35a7b98, 0x20025222319827c6, 0x2493eb0bc10fb88b, 0xb3ba7c4b881850e0, 0x380d6989d7e654e8,
  0xf2b4dea3e9bd8456, 0xf98d022847244fe0, 0xf3739be00dc3e057, 0x96847b4432bb8bdd, 0xfe80e784d2245421,
  0x021fe6af096df76b, 0x110eafff2e3e60b0, 0x3caf2b4d56b46bed, 0xaef51f06cc1f75ea, 0x22cd3ad08a1df15c,
  0x2e6909afa30b2c45, 0x7389cead2e5d5708, 0x56ba1d7b589d8ca4, 0xc2422897c8d6bd8d, 0x1f3eb70decb8f8c5,
  0x67f157ceee2a4ab8, 0x1439c341b5e5caad, 0xf57673a8a9546bbe, 0xd7020274dcaed52d, 0x7c3895c958f4f0e4,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0x7cdb40a8ab7b1554, 0x8b2ce86e3cd84b99,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x4d0f327f81fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61,
  0x74f257ee68665876, 0x00000000ac8bb0c5,
};

// t87_swio15_dual_pr_ce_u4          a6616c_swio15_dual_pr_ce          a6616c_swio15_dual_pr_ce_u4
static const uint64_t ur_t87_swio15_dual_pr_ce[] = {
  0xc9dbbbbbb4486f97, 0x92a99a8706557e1f, 0x96d77ee80a295d3b, 0x23bfa61b9d6f7ed3, 0x2a741640258b7727,
  0x9f193516e5dd9b68, 0xe22c800948780660, 0x4380924fac2f043e, 0x53a2cee9f12e2061, 0x1a6ce115a61adf99,
  0x3f8353d37a8fbef6, 0x815fe63408a11c91, 0x17bbe6e29200370f, 0x5421968194886577, 0xc66ffe80e784dd44,
  0x60b0021fe6af096d, 0xabf88881c1ff2e3e, 0x1e789380e13aaa8f, 0x4bf10d8488bee24b, 0x51dc6e341ff45978,
  0x3c893dcb042a5ccd, 0xe32a38e9fc188bea, 0x6d291c42731602fe, 0x500ffd99e3af0067, 0x702503cb5b9318c9,
  0x55acfe2af9ddc549, 0x77c287386836bcb9, 0xa5beaece75152a8d, 0x1c9ae0404e9b95da, 0xaf2f8712b92b1e9e,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d028c76f62, 0x71a2cb3a1b8f3612,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0x315d3c95fb9a1996, 0x000000000069240a,
};

// a6616c_swio15_dual_pr_ee_ce
static const uint64_t ur_t87_swio15_dual_pr_ee_ce[] = {
  0x9d6ddddddd431f02, 0x9ca66a1ca132270f, 0xee66f77aec21bb22, 0xed40b498e164da8f, 0xd71f9ddc2f23e758,
  0x33b94b26a8c4c297, 0x04a479eb9827c64a, 0x27d617821f711640, 0x74f8971030a1c049, 0x76e6b5bfcca9d167,
  0x9bd47ddad826d9c2, 0x408a11c913f8331f, 0x5c100370f815fe63, 0x50d10caee2f77cdc, 0x73c2674b150865a0,
  0xf35784b6e6b7ff40, 0x107f971f3058010f, 0x620b1fd51e564443, 0xb8dc548fe789380e, 0xee53b58166e99ceb,
  0xf83660ccaf51e57b, 0xd68450298aedd7a8, 0x4d7d185962291669, 0xf5073abb729e1d48, 0xaf1b1d7a89767f11,
  0xe121141ea8fe4b1a, 0x8226470decbe9662, 0xb8a929663e6f6a8d, 0xd7972ab59fc55f3b, 0xa551aef850e70d06,
  0x72bb54b7d5d9cea2, 0x63d3c3935c0809d3, 0xaad115e5f0e25725, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xedec55516920a718, 0xe6c25ccbe6da0518, 0xfe0eee3459a20371, 0x433d30b41bf75666, 0x332c3b3e04e32cd6,
  0x4d3862ba792bf734, 0x0000000000000130,
};

// a6616c_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_t87_swio15_dual_pr_ee_ce_u4[] = {
  0xb7777768adbb2541, 0x66a1c267d7bc3f1a, 0x5936e76fdabe1eca, 0x2fc7fbeba108f0f6, 0xc2d12ee350430156,
  0xd6baed3ebc9d5efd, 0x9827c6494eb917d6, 0x3ee22c800948bd9e, 0x614380924fac2f04, 0xcbc63fcee9f12e20,
  0xc0521c3f5e635bfc, 0x4fe0ed6e6f51e006, 0xe057f98d02284724, 0x8bddf37055000dc3, 0x54219684564432bb,
  0xd257fd01cf09a574, 0xc160043fcd5e12db, 0x4e9110bc3ff3662c, 0x127277787551f546, 0x21b09117dc4963cf,
  0x8dc1547e8b2f097e, 0xca76b33e6e99aa3b, 0x06cc1995ea3caf7d, 0xd08a05315dbaf51f, 0xafa30b2c4522cd3a,
  0xa0e7576e53c3a909, 0xe363af512ecfe23e, 0x242283d51fc96355, 0x44c8e1bd97d2cc5c, 0x15252cc7cded51b0,
  0xf2e556b3f8abe777, 0xaa35df0a1ce1a0da, 0x576a96fabb39d454, 0x7a78726b81013a6e, 0x5a22bcbe1c4ae4ac,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xd84b997cdb40a31d, 0x634596745c9ab83c,
  0x9cfd4eaccdfc1fb7, 0x989ffde1ef79430a, 0x04d0f327f81fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0xebcf257ee6866587, 0x00000004006f2573,
};

/*
 * t167_autobaud_uart0_noled_pr      a5505_autobaud_uart0_noled        a5505_autobaud_uart0_noled_pr
 * a6617c_autobaud_uart0_noled       a6617c_autobaud_uart0_noled_pr    a664251_autobaud_uart0_noled
 * a664251_autobaud_uart0_noled_pr
 */
static const uint64_t ur_t167_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7e2e, 0xc1d04f2737f5fa33, 0xd0475e35cdadddd6, 0xb304f8c9ddb1fb0b,
  0x8252fbfc97e1cf9e, 0x1ca0440a937fc34f, 0x529f5f7485e02e9e, 0x77cb243daa2912bf, 0x71d3f83349ea3f3c,
  0xcc580b7ba61be4f4, 0x475e2e767b48f199, 0x71f615944ee39630, 0xe3e73fb86fc0948d, 0xe6f00f9a7d83291a,
  0x2baa9cbca6c67f71, 0x16961738c6f19d10, 0x5f36c4922adec555, 0xf1a2cd101bb612e6, 0x16837eeacc790347,
  0x59289c659ac867a6, 0x0cf257ee68665876, 0x000000388812433f,
};

// a5505_autobaud_uart0_noled_pr_u4  a6617c_autobaud_uart0_noled_pr_u4 a664251_autobaud_uart0_noled_pr_u4
static const uint64_t ur_t167_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb4488a8ae, 0x7777774b1ea6c46b, 0xb1ae5ecdaa87be3f, 0xb6c66efdddd9eef0, 0x9f193bbf4f70a123,
  0xea3fc535b3fb7e60, 0x0220549bfe1a7c12, 0xfafba42f0174f0e5, 0x5843ed514895fa94, 0x9fc1a0bf51fa03be,
  0x602cb299efb5a38e, 0x7a3e76afe8f58731, 0xfb33ca807fecc11d, 0x5c7d838f81e59ed8, 0xb8f9cfee1bf02523,
  0x79bc03e69f60ca46, 0x0aeaa72f29b19fdc, 0x45a585ce31bc6744, 0x97cdb1248ab7b155, 0x6745c9ab83cd84b9,
  0xa75663c81f943459, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef,
  0x92bf734332c3b3e0, 0x000230dbc95a2ba7,
};

/*
 * t167_autobaud_uart0_noled_pr_ee_u4 a5505_autobaud_uart0_noled_pr_ee
 * a5505_autobaud_uart0_noled_pr_ee_u4 a6617c_autobaud_uart0_noled_pr_ee
 * a6617c_autobaud_uart0_noled_pr_ee_u4 a664251_autobaud_uart0_noled_pr_ee
 * a664251_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_t167_autobaud_uart0_noled_pr_ee[] = {
  0x8ddddddda2446f43, 0xbbbbbba583c13775, 0x94ada090bc20da8b, 0x66f4f85d4cdd2f7e, 0x9dd015bc97650d38,
  0xe29ad9fd9d304f8c, 0x549bfe1a7c1295df, 0xa42f0174f0e50220, 0xed514895fa94fafb, 0x51e57224d56b4738,
  0x7dd7a8f83660d31f, 0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xb4782ce756979c57, 0x6355ae875e74ddb7,
  0x98b848451cf230e3, 0xa3608fd6e1bd96cb, 0xa46b8fb002a254d2, 0x48d71f39fdc37e04, 0xfb8f37807cd3ec19,
  0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x9732f9b6249156f6, 0x8b2ce8b9357079b0, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0x4d0f327f81fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61, 0x74f257ee68665876,
  0x0000009a9d1f5f45,
};

/*
 * t167_autobaud_uart0_noled_pr_ce_u4 a5505_autobaud_uart0_noled_pr_ce
 * a5505_autobaud_uart0_noled_pr_ce_u4 a6617c_autobaud_uart0_noled_pr_ce
 * a6617c_autobaud_uart0_noled_pr_ce_u4 a664251_autobaud_uart0_noled_pr_ce
 * a664251_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_noled_pr_ce[] = {
  0x1bbbbbbb4488a493, 0x7777774b0b90412b, 0xbc29e98db867ad2f, 0x0ccd8cc7777777f8, 0x3e32774a769a53b4,
  0xa5ff8a6b67f024c1, 0x0881526ff869f048, 0xebee90bc05d3c394, 0xafc9b5452257ea53, 0x8f3c64a9d98faa8f,
  0x25f886c2445f7125, 0x54771b93b7fa2cbc, 0xa393d3dcb0435933, 0x3e7491c74fe0f59e, 0x9dabfa3d61cc580a,
  0xf2a01ffb33c75e8f, 0xd838f81e5adc3ecc, 0x9cfee1bf025235c7, 0xc03e69f60ca46b8f, 0xaa72f29b19fdc79b,
  0x585ce31bc67440ae, 0xb624863b7b15545a, 0xb9357079b09732f9, 0xcc7903f2868b2ce8, 0x1ef79430a9cfd4ea,
  0x7f81fc65f989ffde, 0x93f03f7ff04d0f32, 0x59ac867a615df47b, 0xee686658767c09c6, 0x46ea2a734574f257,
};

/*
 * a5505_autobaud_uart0_noled_pr_ee_ce a6617c_autobaud_uart0_noled_pr_ee_ce
 * a664251_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_t167_autobaud_uart0_noled_pr_ee_ce[] = {
  0xdddddddd41445541, 0xbbbbba58f5323f58, 0xd457aec82c1de9db, 0xcdd8596cfdd802c7, 0xba82b4c89ce312b8,
  0xa6b67ec7e609f193, 0x4dff0d3e0950fff8, 0x1780ba787281102a, 0xa8a44afd4a7d7dd2, 0xa76a7ac7f54663f6,
  0x9d771b8cdffcf192, 0x57d44a76b02bdf33, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x5235c7d859d12a69,
  0xa46b8f9cfee1bf02, 0xfdc79bc03e69f60c, 0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x9732f9b624863b7b,
  0x2cbd5cb9357079b0, 0x3f53ab31e40fca1a, 0xe64ff0271a50c2a7, 0x0cf4c2d06fdf11a1, 0xccb0ecf8138cb359,
  0x610e8ae9e4afdcd0, 0x0000000000000822,
};

/*
 * a5505_autobaud_uart0_noled_pr_ee_ce_u4 a6617c_autobaud_uart0_noled_pr_ee_ce_u4
 * a664251_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x1bbbbbbb44864c7f, 0xeeeeee9613d72eeb, 0xc872531342f7276e, 0x246c88da7a5dd7a6, 0x4eed8bebb2aafb82,
  0xc1164cfe209827c6, 0xa937fc34f825a6bf, 0x485e02e9e1ca0440, 0xdaa2912bf529f5f7, 0x70706b5547d51ba5,
  0xc2445f71258f3ca1, 0x9951fa2cbc25f886, 0xed667bdf3354771b, 0x9835afea3cafa894, 0x140a62b09fea3e0d,
  0x4616588a459a75a1, 0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090,
  0xb0b3a254d2a36089, 0x39fdc37e04a46b8f, 0x807cd3ec1948d71f, 0x54e5e53633fb8f37, 0xb0b9c6378ce8815d,
  0x6c490c76f62aa8b4, 0xb3a1b8f3612e65f3, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x3cc9fe07f197e627,
  0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0, 0x000104494d6315d3,
};

/*
 * t167_autobaud_uart0_lednop_pr     a5505_autobaud_uart0_lednop       a5505_autobaud_uart0_lednop_pr
 * a6617c_autobaud_uart0_lednop      a6617c_autobaud_uart0_lednop_pr   a664251_autobaud_uart0_lednop
 * a664251_autobaud_uart0_lednop_pr
 */
static const uint64_t ur_t167_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b1ea7cde, 0xad83a0b783eada33, 0x2f411d78d7d9fbbb, 0x3dcc13e32776c7ec,
  0x3e09775fe4bf0e7e, 0x787281102a4dff0d, 0xfd4a7d7dd21780ba, 0xf1df2c90f6a8a44a, 0xd1c74fe0cd27a8e4,
  0xa731602dee986ff3, 0x823af173b0714720, 0xae3ec2b141f71cb1, 0xf02027f70df81291, 0xcb734fb065235c7c,
  0xdea53929d03dc79b, 0x7514085a7017be54, 0xbe6da718de33a204, 0xe3459a20376c25cc, 0x2d06fdd598f2068f,
  0xb25138cb3590cf4c, 0x19e4afdcd0ccb0ec, 0x000000711024867e,
};

/*
 * a5505_autobaud_uart0_lednop_pr_u4 a6617c_autobaud_uart0_lednop_pr_u4
 * a664251_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_t167_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda2446d4e, 0xbbbbbba58f532675, 0xb62235f83c2fd05f, 0xc46decfdddd9eef0, 0xf193bbe475044665,
  0xebfc535b3f1ee609, 0x220549bfe1a7c12e, 0xafba42f0174f0e50, 0x843ed514895fa94f, 0xfc1a0bf51ed63be5,
  0x0596537c907e38e9, 0x1f3b2cf4690ce62c, 0x9a45403ff6608ebd, 0x3ec82b40f2cf6d05, 0x2027f70df81291ae,
  0x434fb065235c7cf0, 0x94e4a740f71e6f36, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xe0f3612e65f36dce,
  0x07e50d1659d1726a, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x7effe09a1e64ff03, 0x0cf4c2bbe8f727e0,
  0xccb0ecf8138cb359, 0x7c168ae9e4afdcd0, 0x000000000000461a,
};

/*
 * t167_autobaud_uart0_lednop_pr_ee_u4 a5505_autobaud_uart0_lednop_pr_ee
 * a5505_autobaud_uart0_lednop_pr_ee_u4 a6617c_autobaud_uart0_lednop_pr_ee
 * a6617c_autobaud_uart0_lednop_pr_ee_u4 a664251_autobaud_uart0_lednop_pr_ee
 * a664251_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_autobaud_uart0_lednop_pr_ee[] = {
  0x8ddddddda2447032, 0xbbbbbba583c16975, 0x537656da9b45d23f, 0x2f0ae1753374bdfa, 0x3ba76b65da72a0b4,
  0xc535b3e35a609f19, 0xa937fc34f825a6ff, 0x485e02e9e1ca0440, 0xdaa2912bf529f5f7, 0xa3cacca9aad68e71,
  0x87bf51f06cc1a63e, 0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x48c9a39d5a5cf55c, 0xc6ab5d0ebce9bb46,
  0x3170908a09e46f6a, 0x46c11fadc37b2d97, 0x91ae3ec0087d99e5, 0x7cf02027f70df812, 0x6f36434fb065235c,
  0x537a94e4a740f71e, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x726ae0f3612e65f3, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x27e07effe09a1e64, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x9a9c917e8ae9e4af,
};

/*
 * t167_autobaud_uart0_lednop_pr_ce_u4 a5505_autobaud_uart0_lednop_pr_ce
 * a5505_autobaud_uart0_lednop_pr_ce_u4 a6617c_autobaud_uart0_lednop_pr_ce
 * a6617c_autobaud_uart0_lednop_pr_ce_u4 a664251_autobaud_uart0_lednop_pr_ce
 * a664251_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2447e4a, 0x7777774b0b902b75, 0x5a0985543a17af5f, 0xfde2fb1fbbbbbbfc, 0x7c64eebd6d312af8,
  0x9eff14d6cfefb982, 0x1102a4dff0d3e092, 0xd7dd21780ba78728, 0x5f936a8a44afd4a7, 0x1e78c953b5f7551f,
  0x4bf10d8488bee24b, 0x54771b9883f45978, 0xa3f493dcb0435933, 0x9888b1c74fe0f59e, 0x7659e8d219cc580a,
  0x8a807feccf1d7a3e, 0x6415a0796b720b34, 0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21,
  0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18, 0xe50d1659d1726ae0, 0x61539fa9d598f207,
  0xcbf313ffbc3def28, 0xffe09a1e64ff03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0x5e8ae9e4afdcd0cc,
  0x00000000008dd49c,
};

/*
 * a5505_autobaud_uart0_lednop_pr_ee_ce a6617c_autobaud_uart0_lednop_pr_ee_ce
 * a664251_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_t167_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeeeea0a22582, 0xdddddd2c7a9fd3ac, 0x91fa8a0ce38e891d, 0xda58596cfdd802c7, 0xba75b59996ae4b4c,
  0xa6b67f76a609f193, 0x4dff0d3e0918fff8, 0x1780ba787281102a, 0xa8a44afd4a7d7dd2, 0xa772bac7f54663f6,
  0xcebb8dc643fcf192, 0x2beea53b5815ef99, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x291ae3ec2cc7d99e,
  0xc7cf02027f70df81, 0xe6f36434fb065235, 0x9537a94e4a740f71, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0x2e4d5c1e6c25ccbe, 0xcc7903f2868b2f57, 0x09c69430a9cfd4ea, 0xb41bf7c4687993fc, 0x3e04e32cd6433d30,
  0xba792bf734332c3b, 0x00000004110ad5a2,
};

/*
 * a5505_autobaud_uart0_lednop_pr_ee_ce_u4 a6617c_autobaud_uart0_lednop_pr_ee_ce_u4
 * a664251_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x8ddddddda243173e, 0x7777774b09eb8375, 0xb212ef92841b02f7, 0x23334a369e9775e9, 0x93bbbf7b61913e27,
  0xf045933f002609f1, 0x549bfe1a7c12b5bf, 0xa42f0174f0e50220, 0xed514895fa94fafb, 0x7073abeaa3ea8dd2,
  0xc2445f71258f3ca1, 0x8a49fa2cbc25f886, 0xed667bdf3354771b, 0x9835afea3cafba94, 0x140a62bdbfea3e0d,
  0x4616588a459a75a1, 0xe7576e3d4752135f, 0x63af3a6ed1923268, 0x4504f237b56355e3, 0xc8e1bd96cb98b848,
  0xb0b31f667951b044, 0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x79b09732f9b6e70c, 0xbf83bb8d1659d0dc, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xe07effe09a1e64ff, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0x24c5f18ae9e4afdc, 0x0000000000000082,
};

// a5505_autobaud_uart0_dual         a6617c_autobaud_uart0_dual        a664251_autobaud_uart0_dual
static const uint64_t ur_t167_autobaud_uart0_dual[] = {
  0x54cdddddddd44511, 0x6b7777777d7e6264, 0x1647f51dc71415a7, 0x2c4d39d940bdddda, 0x827c64e2fb97dadd,
  0x3f6819129291d1f9, 0x614380924fac2f04, 0x32b8f5cee9f12e20, 0xec0ba9c0a1cca7bf, 0x227f06e4e6f51e43,
  0x0c4aff3f7c114239, 0xbe6e74f80370f851, 0x19684dc88655777b, 0xbfe80e784c98c542, 0x8010ff35784b6e95,
  0xf04a3dffbf549305, 0xc3940881526ff869, 0xea53ebee90bc05d3, 0xcef96affb5452257, 0x1c74fe0d21fa8f70,
  0xe62c05fc3996b935, 0x475e45bb09f4682c, 0x15252b0d26e39630, 0x235c7d93f8abe777, 0xf9e0404fee1bf025,
  0x81ee3cde60ca46b8, 0x53e02d4e48a5abce, 0xc67440cbfc502169, 0xcd84b997cdb4e31b, 0xa0df8f8765c9ab83,
  0xf0271966b219e985, 0xd3c95fb9a19961d9, 0x00000064f263ad15,
};

/*
 * t167_autobaud_uart0_dual_pr_u4    a5505_autobaud_uart0_dual_pr      a5505_autobaud_uart0_dual_pr_u4
 * a6617c_autobaud_uart0_dual_pr     a6617c_autobaud_uart0_dual_pr_u4  a664251_autobaud_uart0_dual_pr
 * a664251_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_t167_autobaud_uart0_dual_pr[] = {
  0x37777776890c0668, 0xddddddf5f988f653, 0x336c4d3b276a72dd, 0xfda57c1bb7776c8d, 0x48d3b97b8dcfbe3f,
  0xc8949485249827c6, 0x04927d617821fb40, 0xee774f8971030a1c, 0x10e12ba6b75f9956, 0x8338737a8ec17618,
  0x7f9fbe08a11c913f, 0x8ff001b87c288625, 0x1a5221955ddeef9b, 0x039e134dd150865a, 0x3fcd5e12dbba5ffa,
  0x9fcff643fcc16004, 0x40881526ff869f04, 0x3ebee90bc05d3c39, 0xcb135b5452257ea5, 0xa7f0621fd47c8a77,
  0xb01541e69c5ef8e3, 0xf00676b591d7f398, 0x0e90d500ffd9823a, 0xc549549d03cb3db1, 0x48d71f64fe2af9dd,
  0x3e781013fb86fc09, 0x379b21a7d83291ae, 0xa9bd4a7253a07b8f, 0xaba718de33a2077c, 0xb6e722adec555169,
  0x59d0dc79b09732f9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a,
  0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x0001705390f98ae9,
};

// a5505_autobaud_uart0_dual_pr_ee   a6617c_autobaud_uart0_dual_pr_ee  a664251_autobaud_uart0_dual_pr_ee
static const uint64_t ur_t167_autobaud_uart0_dual_pr_ee[] = {
  0xddddddd0f5a1a5fb, 0xdddddf5e56d13d4c, 0x557badc6ad421ddd, 0xd8bb53a67ba52905, 0x4f05a3f0ab2b8a6b,
  0x40aa2609f193626e, 0xb0bc10fda0644a4a, 0xc4b881850e02493e, 0xe643efccab773ba7, 0xf51dfe6c3101c1ae,
  0x114239227f061a26, 0x70f8510c4aff3f7c, 0xaaeef77cdc044803, 0xeb150865a181110c, 0x5b7ff9ff4073c262,
  0x7f982c0087f9abc2, 0xbfe1a7c12275fec8, 0xf0174f0e50220549, 0x14895fa94fafba42, 0xad7dcd56b47226d5,
  0xf51f06cc1829ea3c, 0xcd3ad08a1df15d4a, 0x6909afa30b2c4522, 0xece756973297152e, 0xd743af512ed10a3d,
  0x1211408a8f9eb1aa, 0x47eb70decbe9662e, 0x15250084feb151b0, 0x235c7d93f8abe777, 0xf9e0404fee1bf025,
  0xde6c869f60ca46b8, 0xa6f529c94e81ee3c, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x176371e6c25ccbe6,
  0x53ab337f07771a2c, 0x32fcc4fe50c2a73f, 0xbf03e687993fc5ce, 0x6b219e985a0df8e7, 0x9a19961d9f027196,
  0xa54864315d3c95fb,
};

/*
 * a5505_autobaud_uart0_dual_pr_ee_u4 a6617c_autobaud_uart0_dual_pr_ee_u4
 * a664251_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_t167_autobaud_uart0_dual_pr_ee_u4[] = {
  0x4cddddddda2432db, 0xeeeeeeefaf2b7739, 0x69d45e55e73b6b8e, 0x51f67cd4e99eeb33, 0x77268fefb833a44f,
  0x4a45c95304f8c947, 0x3eb0bc10fda0644a, 0xa7c4b881850e0249, 0x7f93620fccab773b, 0xf9bd470d1b0d3470,
  0xbe08a11c913f83b1, 0x01b87c2886257f9f, 0x432abbbddf3732a0, 0x9be74542196814b4, 0xe12dbf4fffd01cf0,
  0x643fcc160043fcd5, 0xa4dff0d3e09456ff, 0x21780ba787281102, 0x6a8a44afd4a7d7dd, 0x1e571ee6ab5a3d2b,
  0xc7fa8f83660fe4f5, 0x91669d68450ef8ac, 0x173484d7d1859622, 0x3e90e7569709eb84, 0xab5d0ebdac4ec3e2,
  0x70908a3a04752ec6, 0x09ffadc37b2e3e31, 0x93f8abe77715255c, 0x4fee1bf025235c7d, 0x9f60ca46b8f9e040,
  0xc94e81ee3cde6c86, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xfe0eee3459674371,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0x81fbff82687993fc, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x49d3c62ba792bf73, 0x00000000000000a5,
};

/*
 * t167_autobaud_uart0_dual_pr_ce_u4 a5505_autobaud_uart0_dual_pr_ce   a5505_autobaud_uart0_dual_pr_ce_u4
 * a6617c_autobaud_uart0_dual_pr_ce  a6617c_autobaud_uart0_dual_pr_ce_u4
 * a664251_autobaud_uart0_dual_pr_ce a664251_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_dual_pr_ce[] = {
  0xcddddddda243359b, 0xeeeeeefafc29d6d4, 0xcb7eec5f656a6bee, 0x47ee716addddb12e, 0x6e0dc8e0b41f35d5,
  0x1292911f74c13e32, 0x924fac2f043f6819, 0xcee9f12e20614380, 0x1c34d4cff3f32add, 0xfa7e6f51ffe6c034,
  0xe7ef822847244fe0, 0x4a006e1f0a21895f, 0x0d10caaeef77cdc2, 0x3c26727150865a07, 0x35784b6f43fff407,
  0xffd90ff3058010ff, 0x40a937fc34f825a6, 0xf7485e02e9e1ca04, 0x71daa2912bf529f5, 0x3ca17073e75547d6,
  0xf886c2445f71258f, 0x771b887dfa2cbc25, 0x6fcf72c10a973354, 0xf238e9fc1d4bf51c, 0x591d7f398b014141,
  0x0ffd99e3af00676b, 0x740f2d6e10e90d50, 0x93f8abe777152552, 0x4fee1bf025235c7d, 0x9f60ca46b8f9e040,
  0xc94e81ee3cde6c86, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd84b997cdb73863, 0xfc1ddc68b2ce86e3,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x03f7ff04d0f327f8, 0xc867a615df47b93f, 0x86658767c09c659a,
  0x7b2ccc574f257ee6, 0x00000000000000ad,
};

/*
 * a5505_autobaud_uart0_dual_pr_ee_ce a6617c_autobaud_uart0_dual_pr_ee_ce
 * a664251_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_t167_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd437089, 0xeeeeeeefafcc5c2d, 0x45a89bd9bad6cda6, 0xad0513cddc4edd9c, 0xae4fe1dbc9d6d1a7,
  0x2909e5e609f192d8, 0xfac2f043f6819129, 0x9f12e20614380924, 0xdf992a3f32addcee, 0xdea3de1ec3968e0c,
  0x04508e489fc1e374, 0xdc3e144312bfcfdf, 0x55777bbe6e2bae00, 0xad150865a1d5e886, 0xb6e87dff4073c268,
  0xff3058010ff35784, 0xff869f04936ffd90, 0xc05d3c3940881526, 0x52257ea53ebee90b, 0xc8e563faa3fddb54,
  0xbb8dc35bfcf285c1, 0x7f253b58166e99ce, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0x04a46b8fb27f157c, 0xd71f3c0809fdc37e, 0xc79bcd90d3ec1948, 0xbe54dea53929d03d, 0xb4d5d38c6f19d103,
  0xf9b6e70c76f62aa8, 0x166880dc79b09732, 0x06fdd599bf83bb8d, 0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf,
  0x00000622070a18ae,
};

/*
 * a5505_autobaud_uart0_dual_pr_ee_ce_u4 a6617c_autobaud_uart0_dual_pr_ee_ce_u4
 * a664251_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_t167_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b765f82, 0xeeeefaf2438fea66, 0xd3d5dee43d7f0eee, 0x91765ba58875efae, 0xaf571e57bfabe1f5,
  0x3e324e75cb6b56f9, 0x40c89494878f5cc1, 0x1c04927d617821fb, 0x4b7e774f8971030a, 0x5070683cc089fccb,
  0x0d2a26f51c92b619, 0xfe7ef822847244fe, 0xd6a006e1f0a21895, 0x684432abbbddf373, 0x9e1318fc54219680,
  0x35784b6ecdfffa03, 0xfff8bb53058010ff, 0x02a4dff0d3e090a4, 0xdd21780ba7872811, 0x176a8a44afd4a7d7,
  0x85e7763f551f546c, 0x1b09117dc4963cf2, 0xdc0007e8b2f097e2, 0xa76b33e6e99aa3b8, 0x3660d7cf51e56fe4,
  0x8450298ae037a8f8, 0x7d185962291669d6, 0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7, 0x908a04547cf58d57,
  0x132386f65f4b3170, 0x5494b313fac546c1, 0x8d71f64fe2af9ddc, 0xe781013fb86fc094, 0x79b21a7d83291ae3,
  0x9bd4a7253a07b8f3, 0xba718de33a2077ca, 0xdce18edec555169a, 0x26ae0f3612e65f36, 0x7f07edd8d1659d17,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xbb721cfaf3c95fb9, 0x0000000000000fd5,
};

/*
 * t167_lin_uart0_noled_pr           a5505_lin_uart0_noled             a5505_lin_uart0_noled_pr
 * a6617c_lin_uart0_noled            a6617c_lin_uart0_noled_pr         a664251_lin_uart0_noled
 * a664251_lin_uart0_noled_pr
 */
static const uint64_t ur_t167_lin_uart0_noled[] = {
  0x7624eedddd66fcc5, 0xeeeee961ce4f2563, 0x4e6fc1cd075d7eee, 0xd0bdbf6dddda4fea, 0x7c64eee63b50f0aa,
  0xf9fe4bf0e7e71982, 0xc391a4f1c8d3e092, 0x1df2c21f6a8a454f, 0x1c74fe0d05fa8fd0, 0x398b016594cf7dad,
  0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x291ae3ec1c7c0f2c, 0x5235c7ce7f70df81, 0xfee3cde01f34fb06,
  0x3a20575539794d8c, 0x8aaa2d2c2e718de3, 0x25ccbe6d892455bd, 0x068fe3459a20376c, 0xcf4c2d06fdd598f2,
  0xb0ecb25138cb3590, 0x867e19e4afdcd0cc, 0x000000000007c873,
};

// a5505_lin_uart0_noled_pr_u4       a6617c_lin_uart0_noled_pr_u4      a664251_lin_uart0_noled_pr_u4
static const uint64_t ur_t167_lin_uart0_noled_pr_u4[] = {
  0x893bb7768911ff41, 0xbbba587393c958dd, 0xf839a0b11df4bbbb, 0xb7edbbbb49fd49cd, 0x77682ec2f3135a17,
  0xc535b3f38cc13e32, 0x349e391a7c125f3f, 0x5843ed5148a9f872, 0x9fc1a0bf51fa03be, 0x602cb299efb5a38e,
  0x7a3e76afe8f58731, 0xfb33ca807fecc11d, 0x5c7d838f81e59ed8, 0xb8f9cfee1bf02523, 0x79bc03e69f60ca46,
  0x0aeaa72f29b19fdc, 0x45a585ce31bc6744, 0x97cdb1248ab7b155, 0x6745c9ab83cd84b9, 0xa75663c81f943459,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x92bf734332c3b3e0,
  0x0000f93fb3da2ba7,
};

/*
 * t167_lin_uart0_noled_pr_ee_u4     a5505_lin_uart0_noled_pr_ee       a5505_lin_uart0_noled_pr_ee_u4
 * a6617c_lin_uart0_noled_pr_ee      a6617c_lin_uart0_noled_pr_ee_u4   a664251_lin_uart0_noled_pr_ee
 * a664251_lin_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_t167_lin_uart0_noled_pr_ee[] = {
  0x624eeddda2444375, 0x77774b0f20485637, 0x4da9933377a7ef77, 0x0f6712277783d096, 0x4376b456c46c2095,
  0x6b67d82cc13e3277, 0x78e469f048e1ff8a, 0xe3b54522a7e1c8d2, 0x7d4795c89355ad1c, 0x15f75ea3e0d9834c,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0xded1e0b39d5a5e71, 0x8d8d56ba1d79d376, 0x2e62e1211473c8c3,
  0x4a8d823f5b86f65b, 0x1291ae3ec00a8953, 0x65235c7ce7f70df8, 0xcfee3cde01f34fb0, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0xc25ccbe6d892455b, 0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc1343cc9fe07f197, 0x8577d1ee4fc0fdff, 0xd9f0271966b219e9, 0x15d3c95fb9a19961, 0x000000004ebef05d,
};

// a5505_lin_uart0_noled_pr_ce       a6617c_lin_uart0_noled_pr_ce      a664251_lin_uart0_noled_pr_ce
static const uint64_t ur_t167_lin_uart0_noled_pr_ce[] = {
  0x7624eedddd66ef3a, 0x77774b15a7d22d63, 0x6d34c9df9a4cf777, 0x0c478fbc9bbbba90, 0x09f193bad4f417b2,
  0x6dfff25f873e63e6, 0xfc391a4f1c8d3e09, 0xbec7f5e836a8a454, 0xc6e3a5fcf19281c7, 0xf3dcb2eb19cce75d,
  0x8e3a7f078cfd4710, 0x1e33398b016e189f, 0xe58cf1d78b9da415, 0x1291ae3ec1d3a7b8, 0x65235c7ce7f70df8,
  0x19fdc79bcb734fb0, 0x42d37aaeaa72f29b, 0xc6378ce881736630, 0x880ddb09732f9b69, 0x75663c81a3f8d166,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x016ea0119f86792b,
};

// a5505_lin_uart0_noled_pr_ce_u4    a6617c_lin_uart0_noled_pr_ce_u4   a664251_lin_uart0_noled_pr_ce_u4
static const uint64_t ur_t167_lin_uart0_noled_pr_ce_u4[] = {
  0x893bb7768911d38b, 0xeee9602176a758dd, 0xf50c6ba09ac86eee, 0x7a6337775fb19385, 0xc9dd89db42ca529b,
  0xfe29ad9f74b304f8, 0x2349e391a7c12fdd, 0x3ebf26d5148a9f87, 0x963cf192a7663eaa, 0xf097e21b09117dc4,
  0xcd51dc6e4edfe8b2, 0x7a8e4f4f72c10d64, 0x28f9d2471d3f83d6, 0x3e76afe8f5873160, 0x33ca807feccf1d7a,
  0x1f60e3e0796b70fb, 0x3e73fb86fc0948d7, 0x6f00f9a7d83291ae, 0xbaa9cbca6c67f71e, 0x6961738c6f19d102,
  0xe6d89218edec5551, 0xa2e4d5c1e6c25ccb, 0xab31e40fca1a2cb3, 0x787bde50c2a73f53, 0xc9fe07f197e627ff,
  0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x006ebad6ad15d3c9,
};

// a5505_lin_uart0_noled_pr_ee_ce    a6617c_lin_uart0_noled_pr_ee_ce   a664251_lin_uart0_noled_pr_ee_ce
static const uint64_t ur_t167_lin_uart0_noled_pr_ee_ce[] = {
  0x24eedddec1222044, 0xeee96261171d6376, 0x4202b72ef638eeee, 0x3889426ed43c76d1, 0x7b6c0b087e44c4c3,
  0xb67ffe4c13e32774, 0x1c8d3e0974fff8a6, 0x76a8a454fc391a4f, 0x953b1ad551f546e9, 0xd8488bee24b1e78c,
  0xe337ff459784bf10, 0x3b599ef7ccd51dc6, 0x660d6bfa8f2bea25, 0x450298ac27fa8f83, 0xd185962291669d68,
  0x39d5dba711d484d7, 0xb1d79d376ded1e0b, 0x228e791871b1aaf1, 0x6470decb65cc5c24, 0xec2ce89534a8d822,
  0xce7f70df81291ae3, 0xe01f34fb065235c7, 0x5539794d8cfee3cd, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0x5c9ab83cd84b997c, 0x98f207e50d165eae, 0x138d2861539fa9d5, 0x6837ef88d0f327f8, 0x7c09c659ac867a61,
  0x74f257ee68665876, 0x000000027e3d6f45,
};

/*
 * a5505_lin_uart0_noled_pr_ee_ce_u4 a6617c_lin_uart0_noled_pr_ee_ce_u4
 * a664251_lin_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_t167_lin_uart0_noled_pr_ee_ce_u4[] = {
  0xb12776eed12232a8, 0x77774b13087eeb1b, 0xfa0cd68fa7a62777, 0x2b4b889426eedb85, 0x776716dc167cd16a,
  0x14d6cfeed4c13e32, 0x49e391a7c1231fff, 0xff76d5148a9f8723, 0xf192a76a7aaa3ea8, 0xe21b09117dc4963c,
  0xdc6e321fe8b2f097, 0xc653b599f194cd51, 0xf83660c6ffa8f2b9, 0xeb422814c57927a8, 0x26be8c2cb1148b34,
  0xb5f1ceaedd108ea4, 0x78d8ebd75376e791, 0x0908a3588cd258d5, 0xa66470decb872317, 0x37e04a46b8fb318b,
  0x3ec1948d71f39fdc, 0xca6c67f71e6f2dcd, 0x98c10b4deabaa9cb, 0x6da718de33a205cd, 0x2e4d5c1e6c25ccbe,
  0xb31e40fca1a2cb3a, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xe4fc0fdffc1343cc, 0x966b219e98577d1e,
  0xfb9a19961d9f0271, 0x004fce9ed15d3c95,
};

/*
 * t167_lin_uart0_lednop_pr          a5505_lin_uart0_lednop            a5505_lin_uart0_lednop_pr
 * a6617c_lin_uart0_lednop           a6617c_lin_uart0_lednop_pr        a664251_lin_uart0_lednop
 * a664251_lin_uart0_lednop_pr
 */
static const uint64_t ur_t167_lin_uart0_lednop[] = {
  0xec49ddbbbacdfc4f, 0xbbbba5873978bac6, 0xa47939bfafd19bbb, 0x75e35cdadddda4fe, 0x4f8c9ddb1fb0bd04,
  0x2fbfc97e1cf9eb30, 0xf0e4693c7234f825, 0xc77cb087daa29153, 0xc71d3f83417ea3da, 0x9cc580b2ca6f920f,
  0x11d7a3e7659e8d21, 0xeda0b348a807fecc, 0x5235c7d905681e59, 0x8f9e0404fee1bf02, 0xcde6c869f60ca46b,
  0x2a6f529c94e81ee3, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x459a20376c25ccbe, 0x06fdd598f2068fe3,
  0x5138cb3590cf4c2d, 0xe4afdcd0ccb0ecb2, 0x00000f9024867e19,
};

// a5505_lin_uart0_lednop_pr_u4      a6617c_lin_uart0_lednop_pr_u4     a664251_lin_uart0_lednop_pr_u4
static const uint64_t ur_t167_lin_uart0_lednop_pr_u4[] = {
  0x893bb77689111391, 0x7774b0e72f1758dd, 0x39bfaf267bb6f777, 0x5cdadddda4fea479, 0x3bb6475a9f2575e3,
  0xe29ad9f3d6609f19, 0x349e391a7c1297df, 0x5843ed5148a9f872, 0x9fc1a0bf51ed63be, 0xc0596537c907e38e,
  0xd1f3b2cf4690ce62, 0x59a45403ff6608eb, 0xe3ec82b40f2cf6d0, 0x02027f70df81291a, 0x6434fb065235c7cf,
  0xa94e4a740f71e6f3, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0xae0f3612e65f36dc, 0x207e50d1659d1726,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35,
  0xc7abe8ae9e4afdcd, 0x00000000000003e4,
};

/*
 * t167_lin_uart0_lednop_pr_ee_u4    a5505_lin_uart0_lednop_pr_ee      a5505_lin_uart0_lednop_pr_ee_u4
 * a6617c_lin_uart0_lednop_pr_ee     a6617c_lin_uart0_lednop_pr_ee_u4  a664251_lin_uart0_lednop_pr_ee
 * a664251_lin_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_lin_uart0_lednop_pr_ee[] = {
  0xc49ddbbb44889768, 0xeeee961e4190ac6e, 0x42c9c00d2f469eee, 0x5fb38913bbc1e842, 0x94ad5c63db1795b8,
  0xd6cfe569827c64ee, 0xf1c8d3e09143ff14, 0xc76a8a454fc391a4, 0xfa8f2b32a6ab5a39, 0x561efd47c1b30698,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x1923268e756973d5, 0xab1aad743af3a6ed, 0x5cc5c242282791bd,
  0x951b047eb70decb6, 0x4a46b8fb0021f667, 0x71f3c0809fdc37e0, 0x79bcd90d3ec1948d, 0xe54dea53929d03dc,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x45c9ab83cd84b997, 0x5663c81f94345967, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x009d7c927a2ba792,
};

// a5505_lin_uart0_lednop_pr_ce      a6617c_lin_uart0_lednop_pr_ce     a664251_lin_uart0_lednop_pr_ce
static const uint64_t ur_t167_lin_uart0_lednop_pr_ce[] = {
  0xdd893bb77759bb37, 0xddddd2c569fd9f58, 0x1b4ddde6d6edbddd, 0xc7a575f426eeeea4, 0x827c64eee3bdb1e6,
  0x9195fe4bf0e7dfc9, 0x4fc391a4f1c8d3e0, 0x4c6c7f5e836a8a45, 0xdc6e487fcf19281c, 0xff3dcb2eb19cce75,
  0xb8e3a7f078cfd47a, 0xb47449cc580b6b54, 0x71cb19e3af173b0f, 0xe04a46b8fb074a6b, 0x8d71f3c0809fdc37,
  0x579d03dc79bcc194, 0x42d2a7c05a9c914b, 0x8c6f19d1032fe630, 0x101bb612e65f36d3, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x16ea38b33f0cf257,
};

// a5505_lin_uart0_lednop_pr_ce_u4   a6617c_lin_uart0_lednop_pr_ce_u4  a664251_lin_uart0_lednop_pr_ce_u4
static const uint64_t ur_t167_lin_uart0_lednop_pr_ce_u4[] = {
  0xc49ddbbb4488a80b, 0x7774b010bd93ac6e, 0xe17b112b7a0cf777, 0x286deeeebf6326d4, 0x2776c4e840d3968c,
  0xf8a6b67cbacc13e3, 0x8d278e469f04be77, 0xfafc9b54522a7e1c, 0x58f3c64a9dafbaa8, 0xc25f886c2445f712,
  0x9aa3b8dcc41fa2cb, 0xf51fa49ee5821ac9, 0x54c4458e3a7f07ac, 0xf3b2cf4690ce62c0, 0xa45403ff6678ebd1,
  0xfb20ad03cb5b9059, 0x809fdc37e04a46b8, 0x0d3ec1948d71f3c0, 0x53929d03dc79bcd9, 0xc6f19d103be54dea,
  0xc76f62aa8b4d5d38, 0x079b09732f9b6e70, 0x3f2868b2ce8b9357, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79,
  0xf7ff04d0f327f81f, 0x67a615df47b93f03, 0x658767c09c659ac8, 0x96b4574f257ee686, 0x000000000001bae9,
};

// a5505_lin_uart0_lednop_pr_ee_ce   a6617c_lin_uart0_lednop_pr_ee_ce  a664251_lin_uart0_lednop_pr_ee_ce
static const uint64_t ur_t167_lin_uart0_lednop_pr_ee_ce[] = {
  0x24eedddec12232a8, 0xeee96261299d6376, 0xb4537706f6e0eeee, 0x711284dda878ed71, 0xe2d374cfba7725a1,
  0xd9f4db9827c64eec, 0x7234f824337fe29a, 0xdaa29153f0e4693c, 0xa9df57d547d51ba5, 0xc2445f71258f3c64,
  0x8c87fa2cbc25f886, 0xed667bdf3354771b, 0x9835afea3cafba94, 0x140a62bdbfea3e0d, 0x4616588a459a75a1,
  0xe7576e3d4752135f, 0x63af3a6ed1923268, 0x4504f237b56355e3, 0xc8e1bd96cb98b848, 0xb0b31f667951b044,
  0x09fdc37e04a46b8f, 0xd3ec1948d71f3c08, 0x3929d03dc79bcd90, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x79b09732f9b6e70c, 0xca1a2cbd5cb93570, 0xc2a73f53ab31e40f, 0x11a1e64ff0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x13f13ebe8ae9e4af,
};

/*
 * a5505_lin_uart0_lednop_pr_ee_ce_u4 a6617c_lin_uart0_lednop_pr_ee_ce_u4
 * a664251_lin_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_t167_lin_uart0_lednop_pr_ee_ce_u4[] = {
  0x7624eeddda244511, 0xeeeee96261219d63, 0xbf717a08627699ee, 0x911a711284dddb70, 0x4eefdad4665888fd,
  0xf14d6cf8689827c6, 0x349e391a7c12b1ff, 0x8ff76d5148a9f872, 0xcf192a77812aa3ea, 0x7e21b09117dc4963,
  0x1dc6e5c8fe8b2f09, 0x40253b599f194cd5, 0x8f83660c6ffa8f2b, 0x4eb422814c56be7a, 0x426be8c2cb1148b3,
  0x8c439ceaeddf20ea, 0x578d8ebd75376c16, 0x8484501c51c82d8d, 0x9a32386f65c3918b, 0x37e04a46b8fb318a,
  0x948d71f3c0809fdc, 0x4b579d03dc79bcc1, 0x3042d2a7c05a9c91, 0xd38c6f19d1032fe6, 0x26ae0f3612e65f36,
  0x8f207e50d1659d17, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f, 0x3590cf4c2bbe8f72,
  0xcd0ccb0ecf8138cb, 0x13f20568ae9e4afd,
};

/*
 * t167_lin_uart0_dual_pr            a5505_lin_uart0_dual              a5505_lin_uart0_dual_pr
 * a6617c_lin_uart0_dual             a6617c_lin_uart0_dual_pr          a664251_lin_uart0_dual
 * a664251_lin_uart0_dual_pr
 */
static const uint64_t ur_t167_lin_uart0_dual[] = {
  0xba6d789dddd44511, 0xddddddf5e3048a99, 0xd3de9c624a56bb2d, 0x333b137077774ad8, 0x64e1572fb5aaf8b1,
  0x0c8949484a89827c, 0xc04927d617821fb4, 0x7ae774f8971030a1, 0x14e0e4e6f9df995c, 0x838f737a8ebef605,
  0x7f9fbe08a11c913f, 0x835801b87c288625, 0x03e221955ddeef9b, 0x039e136f7150865a, 0x1fe6af096ddfcffa,
  0xba8ff7ea9260b002, 0x7e1c8d278e469f04, 0x58ef96affb54522a, 0x08e3a7f0690fd47b, 0x3398b017f0e67bfa,
  0xc11d7916ed52d1a4, 0xb8a9295920bb8e58, 0x291ae3ec9fc55f3b, 0xc7cf02027f70df81, 0x1e6f2248c7065235,
  0x953b8b29cbe740f7, 0x207eb8a042d3c315, 0x5ccbe6da718de33a, 0x2cd102e4d5c1e6c2, 0x0dfbab31e40fca1a,
  0x0271966b219e985a, 0x3c95fb9a19961d9f, 0x000000620072d15d,
};

// a5505_lin_uart0_dual_pr_u4        a6617c_lin_uart0_dual_pr_u4       a664251_lin_uart0_dual_pr_u4
static const uint64_t ur_t167_lin_uart0_dual_pr_u4[] = {
  0xdaf13bbb4486bd5b, 0xbbbbebc63b253374, 0x6ea05cbbd1edbbbb, 0x4d3919eeeec33a8a, 0xd8b9577e843b4101,
  0x4a4a4321cc13e324, 0x493eb0bc10fda064, 0x3ba7c4b881850e02, 0x70387314bfccab77, 0xd4a9bd474adb074a,
  0xcfdf04508e489fc1, 0x3e00dc3e144312bf, 0x2221955ddeef9b96, 0x9e130f9150865a1f, 0xcd5e12dbc06ffa03,
  0xfff643fcc160043f, 0x391a4f1c8d3e0904, 0xef9626b6a8a454fc, 0xc74fe0c43fa8f914, 0x31602a83cd38bdf1,
  0x75e00ced6b23afe7, 0x621d21aa01ffb304, 0xbb8a92a93a07967b, 0x1291ae3ec9fc55f3, 0x5c7cf02027f70df8,
  0x1e6f36434fb06523, 0xf9537a94e4a740f7, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0x2cb3a1b8f3612e65,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xd3c95fb9a19961d9, 0x000000a49cf82315,
};

/*
 * t167_lin_uart0_dual_pr_ee_u4      a5505_lin_uart0_dual_pr_ee        a5505_lin_uart0_dual_pr_ee_u4
 * a6617c_lin_uart0_dual_pr_ee       a6617c_lin_uart0_dual_pr_ee_u4    a664251_lin_uart0_dual_pr_ee
 * a664251_lin_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_t167_lin_uart0_dual_pr_ee[] = {
  0x6d789ddda2436f02, 0xbbbebec98eba99ba, 0xbebb9c5a89fbbbbb, 0x9401517772714ecf, 0x87a4d8b37739d6d3,
  0x3fcc13e32448dc87, 0xf043f6819129291c, 0xe20614380924fac2, 0xa6bf32addcee9f12, 0x3d8fec3fe1c0344d,
  0x08e489fc1d0fcdea, 0xe144312bfcfdf045, 0xddeef9b972200dc3, 0x2a10cb41d2a21955, 0xfabffe80e784c516,
  0x60b0021fe6af096d, 0x469f04b7dffb21fe, 0x54522a7e1c8d278e, 0xf2b5f7355ad1c89b, 0x2bd47c1b3060a7a8,
  0x8b34eb422877c575, 0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6,
  0xc11fadc37b2fa598, 0xdc54940213fac546, 0x948d71f64fe2af9d, 0xe3e781013fb86fc0, 0xf379b21a7d83291a,
  0xca9bd4a7253a07b8, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x659d0dc79b09732f, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf,
  0x000000ac891798ae,
};

/*
 * t167_lin_uart0_dual_pr_ce_u4      a5505_lin_uart0_dual_pr_ce        a5505_lin_uart0_dual_pr_ce_u4
 * a6617c_lin_uart0_dual_pr_ce       a6617c_lin_uart0_dual_pr_ce_u4    a664251_lin_uart0_dual_pr_ce
 * a664251_lin_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_t167_lin_uart0_dual_pr_ce[] = {
  0xdaf13bbb448618be, 0x777d7c2febb53374, 0xa4e4d8b5d6f77777, 0x1757dbbba244c8c6, 0xb955ef7bb7822afb,
  0x291e729827c64f91, 0xfac2f043f6819129, 0x9f12e20614380924, 0x9f9ac7ff32addcee, 0x6f51fabf6143e70e,
  0xc114239227f071ca, 0x370f8510c4aff3f7, 0x655777bbe6e72d00, 0x47b8a8432d0a9488, 0x12dbeceffa039e13,
  0x43fcc160043fcd5e, 0x4f1c8d3e09143ff6, 0x9c76a8a454fc391a, 0xcf285c1cf9d551f5, 0x7e21b09117dc4963,
  0x1dc6e21f7e8b2f09, 0x1bf3dcb042a5ccd5, 0x7c8e3a7f0752fd47, 0xd6475fce62c05050, 0x03ff6678ebc019da,
  0x9d03cb5b843a4354, 0x64fe2af9ddc54954, 0x13fb86fc0948d71f, 0xa7d83291ae3e7810, 0x7253a07b8f379b21,
  0xde33a2077ca9bd4a, 0xedec555169aba718, 0xf3612e65f36dce18, 0x7f07771a2cb3a1b8, 0xde50c2a73f53ab33,
  0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966, 0x2138b315d3c95fb9,
  0x0000000000000069,
};

// a5505_lin_uart0_dual_pr_ee_ce     a6617c_lin_uart0_dual_pr_ee_ce    a664251_lin_uart0_dual_pr_ee_ce
static const uint64_t ur_t167_lin_uart0_dual_pr_ee_ce[] = {
  0xd789dddd4143359b, 0xdddf5e32b8a99ba6, 0x651f4fbd70bddddd, 0xd7243a76ed8657c1, 0x05b608d75421d9b1,
  0xd16609f1926eae47, 0x7821fb40c8949485, 0x71030a1c04927d61, 0xd83f9956ee774f89, 0xed77b043e386374d,
  0x11c913f837f937a8, 0xc2886257f9fbe08a, 0x77bbe6e5d0c01b87, 0xa8432d0b74886557, 0xe9affa039e1329e8,
  0xc160043fcd5e12db, 0x8d3e0905aff643fc, 0xa8a454fc391a4f1c, 0x8391cac7f547fbb6, 0x9d771b8ce5f9e50b,
  0x56fe4a76b02cdd33, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291, 0x428f7b39d5db8ca1,
  0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac, 0xfc0948d71f64fe2a,
  0x91ae3e781013fb86, 0x7b8f379b21a7d832, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x65f36dce18edec55,
  0x68b2f571b8f3612e, 0x9cfd4eaccdfc1ddc, 0x87993fc09c69430a, 0x6433d30b41bf7c46, 0x4332c3b3e04e32cd,
  0x00ad462ba792bf73, 0x0000000000000020,
};

// a5505_lin_uart0_dual_pr_ee_ce_u4  a6617c_lin_uart0_dual_pr_ee_ce_u4 a664251_lin_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t167_lin_uart0_dual_pr_ee_ce_u4[] = {
  0xbc4eeed15b768f43, 0xdf5e0bed054cdd36, 0xabf8ffb99bdddddd, 0xc8eeeca67c0f9086, 0xa9c6338d3c9af0cc,
  0xe324ed5c9e75a3c3, 0x0322525208f5cc13, 0x701249f585e087ed, 0x2df9dd3e25c40c28, 0xbe704a89ae47f32d,
  0x1f60cdea3f2d6c19, 0xfcfdf04508e489fc, 0xc2e00dc3e144312b, 0x3e88655777bbe6e0, 0x3c261ad150865a14,
  0x35784b6f8ddff407, 0xfff8bb53058010ff, 0x2349e391a7c129db, 0xa8d82ed5148a9f87, 0x79e50bceec7eaa3e,
  0x2fc4361222fb892c, 0x4771b8000fd165e1, 0xdfc94ed667cdd335, 0x51f06cc1af9ea3ca, 0xd3ad08a05315c06f,
  0x909afa30b2c4522c, 0x51ef673abb71943a, 0x1aaf1b1d7a897688, 0x62e1211408a8f9eb, 0x8d8226470decbe96,
  0x3bb8a9296627f58a, 0x81291ae3ec9fc55f, 0x35c7cf02027f70df, 0x71e6f36434fb0652, 0xef9537a94e4a740f,
  0x2d3574e31bc67440, 0xbe6db9c31dbd8aaa, 0x3a2e4d5c1e6c25cc, 0x5666fe0fdbb1a2cb, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x0200262fb9f5e792,
};

/*
 * t167_swio10_noled_pr              a5505_swio10_noled                a5505_swio10_noled_pr
 * a6617c_swio10_noled               a6617c_swio10_noled_pr            a664251_swio10_noled
 * a664251_swio10_noled_pr
 */
static const uint64_t ur_t167_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10adbbeb0, 0xdbe9776e27524192, 0x80f06612226f897e, 0x315a38fd68917748,
  0x1ee609f193ba0bf7, 0xa444244ff25f873e, 0x1887f51def3be589, 0xbdd34e391638e9fc, 0x9dba046b3ce62c05,
  0x8d7db8e58c11d78b, 0x7386836bcb955a95, 0xace75152a8d77c28, 0xa78726b395daa5be, 0x22bcbe1c4aa5f7af,
  0xa9f4ef3f5ae7b55a, 0x2d2c2e753a9c0594, 0x8de33a204e148a04, 0x0376c25ccbe6da71, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0xe400e467e19e4afd, 0x0000000000000003,
};

// a5505_swio10_noled_pr_u4          a6617c_swio10_noled_pr_u4         a664251_swio10_noled_pr_u4
static const uint64_t ur_t167_swio10_noled_pr_u4[] = {
  0xa4dddddda2446d4e, 0xad72d2c42b133ac6, 0xfd05fa6837132219, 0x7908e362235f83c2, 0x9711b7b3f7752444,
  0x27c64eef91d41119, 0x3baff14d6cfc7b98, 0xf51e6e3be5845444, 0xc654e31c74fe0c9e, 0xde8ed6398b016594,
  0x03ff6608ebd1f3b3, 0x540f2cf6ee1acf54, 0xce1a0daf2e556aab, 0xb39d454aa35df0a1, 0x9e1c9ace576a96fa,
  0x8af2f8712a97debe, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x84b997cdb2048ab7,
  0x34596745c9ab83cd, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f, 0x0aefa3dc9f81fbff,
  0xb3e04e32cd6433d3, 0x2ba792bf734332c3, 0x00000000f939f05a,
};

/*
 * t167_swio10_noled_pr_ee_u4        a5505_swio10_noled_pr_ee          a5505_swio10_noled_pr_ee_u4
 * a6617c_swio10_noled_pr_ee         a6617c_swio10_noled_pr_ee_u4      a664251_swio10_noled_pr_ee
 * a664251_swio10_noled_pr_ee_u4
 */
static const uint64_t ur_t167_swio10_noled_pr_ee[] = {
  0x84dddddda2447032, 0xdab96963d4da5d62, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x41685e1445222508,
  0x3e32774ed6cbb4e5, 0x4dff8a6b67c6b4c1, 0x387355ad1c7b4443, 0x47c1b3067afa8f2b, 0x4eb422877c565d7d,
  0x426be8c2cb1148b3, 0x9cead2ffb971ac9a, 0xe875e74ddb4a4710, 0x42284c5188b6355a, 0x7eb70decb65cc5c2,
  0x56a011355fd51b04, 0xdf0a1ce1a0daf2e5, 0xa96fab39d454aa35, 0x7debe9e1c9ace576, 0xed5688af2f8712a9,
  0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44, 0xb83cd84b997cdb20, 0x81f9434596745c9a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82687993fc0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6,
  0xa45fa2ba792bf734, 0x00000000000004eb,
};

/*
 * t167_swio10_noled_pr_ce_u4        a5505_swio10_noled_pr_ce          a5505_swio10_noled_pr_ce_u4
 * a6617c_swio10_noled_pr_ce         a6617c_swio10_noled_pr_ce_u4      a664251_swio10_noled_pr_ce
 * a664251_swio10_noled_pr_ce_u4
 */
static const uint64_t ur_t167_swio10_noled_pr_ce[] = {
  0x93dddddda2447e4a, 0x3f72d2c30e15bac1, 0x42f5ebe8d77914cc, 0x83f85ecf4130aa87, 0xaf8fde2fb1fba64f,
  0x9827c64eebd6d312, 0x8829eff14d6cfefb, 0x953bc09551f509e8, 0xd8488bee24b1e78c, 0x73acff459784bf10,
  0x7b96086b266a8ee3, 0xe3a7f0782fd47c92, 0x3b58e62c05ee8148, 0xfd99e3af47cecf7a, 0x0f2d6eb86b3d500f,
  0x1a0daf2e556aab54, 0x9d454aa35df0a1ce, 0x1c9ace576a96fab3, 0xf2f8712a97debe9e, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x732f9b640863b7b1, 0xb2ce8b9357079b09, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x000001bae4e2f457,
};

// a5505_swio10_noled_pr_ee_ce       a6617c_swio10_noled_pr_ee_ce      a664251_swio10_noled_pr_ee_ce
static const uint64_t ur_t167_swio10_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22582, 0xbb9696215be9d606, 0xc7448ee3bcc46bf8, 0xbd9fe3c8fd450671, 0xa66d2e7128706ded,
  0xc9dd3adacccb5725, 0xfc535b3fbb5304f8, 0xb1fd51c874440c7f, 0xc7547e78c953b31f, 0x3b5815ef99cebb8d,
  0x660d00f51e56e965, 0x450298ae43fa8f83, 0xd185962291669d68, 0x73abb77ee1d484d7, 0xb1d79d376d291c42,
  0x1142628c45b1aaf1, 0x32386f65b2e62e12, 0x5a9664d57f546c11, 0x7c287386836bcb95, 0xa5beace75152a8d7,
  0xf7afa78726b395da, 0xb55a22bcbe1c4aa5, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x18edec5551696d13,
  0xc1e6c25ccbe6d902, 0x3f2868b2f572e4d5, 0x430a9cfd4eacc790, 0x7c4687993fc09c69, 0x32cd6433d30b41bf,
  0xbf734332c3b3e04e, 0x0013f0ad5a2ba792,
};

// a5505_swio10_noled_pr_ee_ce_u4    a6617c_swio10_noled_pr_ee_ce_u4   a664251_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t167_swio10_noled_pr_ee_ce_u4[] = {
  0x3bdddddda243173e, 0x6ee5a58b8141bac6, 0x0d817ba56c902e23, 0xb6a7e970a977c942, 0xc4e46669644383e3,
  0x3e327777ef6c3227, 0xb7fe08b267e004c1, 0x6eaa3ea8f7da2216, 0xf71258f3ca17072d, 0xa2cbc25f886c2445,
  0xf7ccd51dc6e0c2ff, 0xf51e56e9653b599e, 0xae43fa8f83660d00, 0x2291669d68450298, 0x7ee1d484d7d18596,
  0x376d291c4273abb7, 0x8c45b1aaf1b1d79d, 0x65b2e62e12114262, 0xd57f546c1132386f, 0x86836bcb955a9664,
  0xe75152a8d77c2873, 0x8726b395daa5beac, 0xbcbe1c4aa5f7afa7, 0x779f16bae7b55a22, 0xd1020eea6c529e1a,
  0x5551696d138c6f19, 0x5ccbe6d90218edec, 0xee3459674371e6c2, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xff82687993fc0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0xc62ba792bf734332, 0x00000000009f9317,
};

/*
 * t167_swio10_lednop_pr             a5505_swio10_lednop               a5505_swio10_lednop_pr
 * a6617c_swio10_lednop              a6617c_swio10_lednop_pr           a664251_swio10_lednop
 * a664251_swio10_lednop_pr
 */
static const uint64_t ur_t167_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0xd6edbdd1b42ca832, 0x101e0cc2444ddde6, 0xb1e6c7a575f426e9,
  0xdfc9827c64eee3bd, 0x34888195fe4bf0e7, 0x8310fea3fc877cb1, 0x5bdd31eaf7c71d3f, 0x5ced6b23e80e62c0,
  0x2b39edc72c608ebc, 0x50e70d06d7972ab5, 0x7d59cea2a551aef8, 0x0e4d7020272bb54b, 0x797c38956ae97f4f,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x8ce881b1fe2810b4, 0xdb09732f9b69c637, 0x3c81a3f8d166880d,
  0x6433d30b41bf7566, 0x332c3b2c944e32cd, 0x1c599f86792bf734, 0x0000000000000f90,
};

// a5505_swio10_lednop_pr_u4         a6617c_swio10_lednop_pr_u4        a664251_swio10_lednop_pr_u4
static const uint64_t ur_t167_swio10_lednop_pr_u4[] = {
  0x26eeeeed1222e59b, 0xb5cb4b10ad005635, 0x7b8ef70f8da48866, 0xf211c64cd88f376a, 0x66350cbdeeea4888,
  0x4f8c9dde9da56f27, 0x0f7fe29ad9f80d30, 0xd479c4ef96115110, 0x31e7ac71d3f8327b, 0x88e0f9cc580b2ca6,
  0x3ff6608ebd1f3b7c, 0xd03cb3dbdefa0540, 0x386836bcb955ac0a, 0xce75152a8d77c287, 0x6b8101395daa5bea,
  0xe1c4ab574bfa7872, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6d976455bd8aaa2,
  0xa2e4d5c1e6c25ccb, 0xab31e40fca1a2cb3, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0xee4fc0fdffc1343c,
  0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x00f939f82d15d3c9,
};

/*
 * t167_swio10_lednop_pr_ee_u4       a5505_swio10_lednop_pr_ee         a5505_swio10_lednop_pr_ee_u4
 * a6617c_swio10_lednop_pr_ee        a6617c_swio10_lednop_pr_ee_u4     a664251_swio10_lednop_pr_ee
 * a664251_swio10_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_swio10_lednop_pr_ee[] = {
  0x426eeeeed1222a20, 0x6d5cb4b1ea6f5eb1, 0x5c7bf4f46db11f12, 0x7914c1aed2cddd93, 0x5910810422911284,
  0x4f8c9dd57db06e35, 0x1cbfc535b3fd5f30, 0x9439aad68e3da221, 0xa3e0d9833d7d4795, 0xa75a1143be2b60be,
  0x2135f4616588a459, 0x0e75697f9cb8d64d, 0xe875e74dd827a35f, 0x845192231bf6355a, 0xfd6e1bd96cb98b84,
  0x5a80570d67aa3608, 0x7c287386836bcb95, 0xa5beace75152a8d7, 0xa78726b8101395da, 0x22bcbe1c4ab574bf,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x25ccbe6d976455bd, 0xa2cb3a2e4d5c1e6c,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x1343cc9fe07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0x5d3c95fb9a19961d, 0x000000013ae10bd1,
};

/*
 * t167_swio10_lednop_pr_ce_u4       a5505_swio10_lednop_pr_ce         a5505_swio10_lednop_pr_ce_u4
 * a6617c_swio10_lednop_pr_ce        a6617c_swio10_lednop_pr_ce_u4     a664251_swio10_lednop_pr_ce
 * a664251_swio10_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_swio10_lednop_pr_ce[] = {
  0x93dddddda2446f43, 0x3f72d2c30e1bbac1, 0x106d45d75e5ed4cc, 0x07f0bd9e56d0485e, 0x650d3866f4f74c9f,
  0x304f8c9dd015bc97, 0x1095dfe29ad9fd9d, 0x2a77beeaa3ea13d1, 0xb09117dc4963cf19, 0xe5c8fe8b2f097e21,
  0xf72c10d64cd51dc6, 0xc74fe0f05fa8e0a4, 0xc1f398b0143da011, 0xeccf1d7a3e76f911, 0x1e5addbdf40a807f,
  0x341b5e5caad60568, 0x3a8a9546bbe1439c, 0xc0809caed52df567, 0xe255aba5fd3c3935, 0xb5d73daad115e5f0,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xd97618edec555169, 0xe4d5c1e6c25ccbe6, 0x31e40fca1a2cb3a2,
  0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x4fc0fdffc1343cc9, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0x6ebc7d7d15d3c95f,
};

// a5505_swio10_lednop_pr_ee_ce      a6617c_swio10_lednop_pr_ee_ce     a664251_swio10_lednop_pr_ee_ce
static const uint64_t ur_t167_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd4144511, 0x1772d2c42b791ac0, 0xc1d467b64c178d7f, 0x6f67f8ffa647cfdd, 0xd60bd79c4a1c1b7b,
  0x32777ed694e2c52e, 0x7f8a6b67f4d4c13e, 0xcb1fd51c874443fe, 0xdc36eff3c64a9dff, 0x53b5815ef99cebb8,
  0x3660d00f51e565d6, 0x8450298aca5fa8f8, 0x7d185962291669d6, 0x873abb77ce1d484d, 0x363af3a6ec13d1af,
  0x845192231bf6355e, 0x4c8e1bd96cb98b84, 0xad4b3b86b3d51b04, 0xbe1439c341b5e5ca, 0x52df5673a8a9546b,
  0xd3c3935c0809caed, 0x115e5f0e255aba5f, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6d97618ede, 0x8b2f572e4d5c1e6c, 0xcfd4eacc7903f286, 0x7993fc09c69430a9, 0x433d30b41bf7c468,
  0x332c3b3e04e32cd6, 0x0e7da2ba792bf734, 0x000000000000013f,
};

// a5505_swio10_lednop_pr_ee_ce_u4   a6617c_swio10_lednop_pr_ee_ce_u4  a664251_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t167_swio10_lednop_pr_ee_ce_u4[] = {
  0x3bdddddda2431bc1, 0x6ee5a58b8123bac6, 0x5d375bb8bd042e23, 0x6d4fd2e1506e5db4, 0xb13938c4c88707c7,
  0x9f193baeb7a82bbb, 0x77fe08b267f1ba60, 0xeeaa3ea8f7da220d, 0xf71258f3ca17071a, 0xa2cbc25f886c2445,
  0x7be66a8ee371705f, 0x7a8f2b2eb29daccf, 0x5652fd47c1b30680, 0x1148b34eb422814c, 0xbe70ea426be8c2cb,
  0x37609e8d7c39d5db, 0x18dfb1aaf1b1d79d, 0xcb65cc5c24228c91, 0x359ea8d8226470de, 0x1a0daf2e556a59dc,
  0x9d454aa35df0a1ce, 0xe0404e576a96fab3, 0x712ad5d2fe9e1c9a, 0x5aeb9ed5688af2f8, 0xa905ca5af9d01e39,
  0x90538c6f19d10210, 0x6cbb0c76f62aa8b4, 0xb3a1b8f3612e65f3, 0x53ab337f07771a2c, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0, 0x000027e7d9e315d3,
};

/*
 * t167_swio10_dual_pr               t167_swio10_dual_pr_u4            a5505_swio10_dual
 * a5505_swio10_dual_pr              a5505_swio10_dual_pr_u4           a6617c_swio10_dual
 * a6617c_swio10_dual_pr             a6617c_swio10_dual_pr_u4          a664251_swio10_dual
 * a664251_swio10_dual_pr            a664251_swio10_dual_pr_u4
 */
static const uint64_t ur_t167_swio10_dual[] = {
  0x2eeeeeed12190907, 0xeadbebfc5ce2532a, 0x6356ef4e3127ef17, 0x20640d28f66c502f, 0x5ece76ca295bb514,
  0xc64d93b934f68ebf, 0x8191292906019827, 0x380924fac2f043f6, 0xaddcee9f12e20614, 0x17d9c0a2cce4ff32,
  0x9fc199537a8efe6c, 0x12bfcfdf04508e48, 0x9b95be00dc3e1443, 0x5a119221955ddeef, 0xfa039e135ad15086,
  0x043fcd5e12db975f, 0x8854aff643fcc160, 0x8bea3c8877cb0f88, 0xf37ee32a38e9fc18, 0xa7146f79cc580aa0,
  0x403ff6608ebc019d, 0xf0c0f2cf6d6bc1f5, 0xacfe2af9ddc5496f, 0xc287386836bcb955, 0x5beace75152a8d77,
  0x78726b8101395daa, 0x2bcbe1c4ab574bfa, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67,
  0x5ccbe6d976455bd8, 0xee3459674371e6c2, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xff82687993fc0fe3,
  0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0x462ba792bf734332, 0x00000000014935ad,
};

// a5505_swio10_dual_pr_ee           a6617c_swio10_dual_pr_ee          a664251_swio10_dual_pr_ee
static const uint64_t ur_t167_swio10_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0x7ab6fafcc7bb530a, 0xd07dbaaf9b144e46, 0xea38b4e44faafebb, 0x2bbf7edd7c3329c6,
  0x9dcb595b368dd993, 0x9291dc7cc13e3269, 0x4fac2f043f681912, 0xe9f12e2061438092, 0x05a98c7ff32addce,
  0xb4dea393ad825a38, 0xef822847244fe0e2, 0x006e1f0a21895fe7, 0x21955ddeef9b8a91, 0x4c1ee2a10cb417da,
  0xf096dd36ffe80e78, 0xb21fe60b0021fe6a, 0xab5a328a88850fff, 0x660ccaf51e57bee6, 0x450ef8aedd7a8f83,
  0xd185962291669d68, 0x97286b8a973484d7, 0xa25da3da3d28e756, 0x011a636355ae875e, 0xbd97d2cc5c242284,
  0x4656b2a3608fd6e1, 0x67f157ceee2a4a01, 0x1439c341b5e5caad, 0xdf5673a8a9546bbe, 0xc3935c0809caed52,
  0x5e5f0e255aba5fd3, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xe65f36cbb22adec5,
  0xb8d160bb1b8f3612, 0x1539fa9d599bf83b, 0xfe2e7197e627f286, 0x6fc73df81f343cc9, 0x138cb3590cf4c2d0,
  0xe4afdcd0ccb0ecf8, 0x000005647ad98ae9,
};

// a5505_swio10_dual_pr_ee_u4        a6617c_swio10_dual_pr_ee_u4       a664251_swio10_dual_pr_ee_u4
static const uint64_t ur_t167_swio10_dual_pr_ee_u4[] = {
  0x902f777776890c86, 0x8e3ab6fafcc500a9, 0x6adc99ba829eb41b, 0x5d89e4a53ae75179, 0x2f76164fb75f0ce0,
  0x92696e55b4d69ee6, 0xc89494888c6609f1, 0x04927d617821fb40, 0xee774f8971030a1c, 0x58e04ea64b5f9956,
  0x83df737a8f15b603, 0x7f9fbe08a11c913f, 0x149001b87c288625, 0x47b4432abbbddf37, 0x0e784d2245421968,
  0xfe6af096dc66ffe8, 0xe0ffb21fe60b0021, 0xa9e9aad68dfc4440, 0x47c1b30613fd4795, 0x4eb422877c57813d,
  0x426be8c2cb1148b3, 0x73ab4bc875c20b9a, 0x875ed6276ee91828, 0x4513723c8b6355ae, 0xd6e1bd971f18b848,
  0x2af9ddc549571197, 0x386836bcb955acfe, 0xce75152a8d77c287, 0x6b8101395daa5bea, 0xe1c4ab574bfa7872,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6d976455bd8aaa2, 0x59674371e6c25ccb,
  0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x00000005645d862b,
};

/*
 * t167_swio10_dual_pr_ce_u4         a5505_swio10_dual_pr_ce           a5505_swio10_dual_pr_ce_u4
 * a6617c_swio10_dual_pr_ce          a6617c_swio10_dual_pr_ce_u4       a664251_swio10_dual_pr_ce
 * a664251_swio10_dual_pr_ce_u4
 */
static const uint64_t ur_t167_swio10_dual_pr_ce[] = {
  0x323bbbbbb4486f97, 0x3b56df5fb6eabd4c, 0xb6bbf740514a8e3d, 0x275330dceb7bf69c, 0x53a0b2012c5ba647,
  0xf8c968b72eecdb41, 0xa0644a4a43c03304, 0x0e02493eb0bc10fd, 0xab773ba7c4b88185, 0x08ac701ad313afcc,
  0x9fc1e569bd47d37b, 0x12bfcfdf04508e48, 0x373a3e00dc3e1443, 0xb40ca4432abbbddf, 0xf4073c26ea22a10c,
  0x10ff35784b6e63ff, 0x211cbfd90ff30580, 0x70706b5547d63da2, 0xc2445f71258f3ca1, 0x9951fa2cbc25f886,
  0x72c10a973354771b, 0x74fe0ee1fa8fd44f, 0xef398b016a57751c, 0xccf1d78033b4e28d, 0x96b72d783ea807fe,
  0x57ceee2a4b7f8607, 0xc341b5e5caad67f1, 0x73a8a9546bbe1439, 0x5c0809caed52df56, 0x0e255aba5fd3c393,
  0x2b5d73daad115e5f, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6d97618edec55516, 0x9674371e6c25ccbe,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000000d2481462ba,
};

// a5505_swio10_dual_pr_ee_ce        a6617c_swio10_dual_pr_ee_ce       a664251_swio10_dual_pr_ee_ce
static const uint64_t ur_t167_swio10_dual_pr_ee_ce[] = {
  0x2beddddddd431f02, 0x65ab6faff17912a6, 0xee66f77aec21b4e7, 0xeb06e498e164da8f, 0xd71f9ddd8f5c6af8,
  0x4eb94b26a8c4c297, 0xa4a479eb9827c64c, 0x93eb0bc10fda0644, 0xba7c4b881850e024, 0x2d6e6adffccab773,
  0xb9bd474dbd84ed9c, 0xbe08a11c913f8319, 0x01b87c2886257f9f, 0x8655777bbe6e7538, 0x33a58a8432d02868,
  0xc25b7fd7ffa039e1, 0xc87f982c0087f9ab, 0x7f546a791107f9fe, 0x9bff9e50b838ff2c, 0xd6059ba673aee373,
  0x83eebd4795e5694e, 0x40a62b95dea3e0d9, 0x616588a459a75a11, 0xeaedc50c752135f4, 0xebd44bb47b47a51c,
  0xa1004698d8d578d8, 0x386f65f4b3170908, 0x4b38cad6546c1132, 0x55acfe2af9ddc549, 0x77c287386836bcb9,
  0xaa5beace75152a8d, 0xfa78726b8101395d, 0xa22bcbe1c4ab574b, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0x84b997cdb2ec31db, 0x1ddc68b34406e3cd, 0x7a616837eeaccdfc, 0x58767c09c659ac86,
  0x70c574f257ee6866, 0x000000000002609a,
};

// a5505_swio10_dual_pr_ee_ce_u4     a6617c_swio10_dual_pr_ee_ce_u4    a664251_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_t167_swio10_dual_pr_ee_ce_u4[] = {
  0xb7777768adbb2541, 0x5b7d78dbebda98cf, 0x2c9b73b7efed2bed, 0x17e3fdf5d084787b, 0xe190122cfa3520ab,
  0x6b5d769f5e4eaf7e, 0x4c13e325d95c8beb, 0x0fda0644a4a45ecf, 0x1850e02493eb0bc1, 0xe65a5bf3ba7c4b88,
  0x6c3f5ce06b734c37, 0x44fe0eb7e6f51c52, 0x1895fe7ef8228472, 0xf370ebe006e1f0a2, 0x9684564432abbbdd,
  0xfd01cf09a5745421, 0x043fcd5e12dbb21f, 0x43b07ffe2ed4c160, 0xdf60d547d518d644, 0x445f71258f3ca179,
  0x7dfa2cbc25f886c2, 0x99f374cd51dc6e1d, 0xfbaf51e5795a53b5, 0x298ae577a8f83660, 0x5962291669d68450,
  0xbb71431d484d7d18, 0xf512ed1ed1e9473a, 0x4011a636355e363a, 0x1bd97d2cc5c24228, 0xce32b5951b044c8e,
  0x6b3f8abe77715252, 0xf0a1ce1a0daf2e55, 0x96fab39d454aa35d, 0x9e1c9ae0404e576a, 0x8af2f8712ad5d2fe,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2e65f36cbb0c76f6, 0x1659d1726ae0f361,
  0xf53ab337f07edd8d, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x00001001bc95cfaf,
};

/*
 * t167_swio11_noled_pr              t167_swio12_noled                 t167_swio12_noled_pr
 * a5505_swio11_noled                a5505_swio11_noled_pr             a5505_swio12_noled
 * a5505_swio12_noled_pr             a6617c_swio11_noled               a6617c_swio11_noled_pr
 * a6617c_swio12_noled               a6617c_swio12_noled_pr            a664251_swio11_noled
 * a664251_swio11_noled_pr           a664251_swio12_noled              a664251_swio12_noled_pr
 */
static const uint64_t ur_t167_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adcdeb0d8, 0x466ea44cf741921d, 0x4f06613526f07d5b, 0xe823af1afb3f75b0,
  0xb9827c64eed8fd85, 0x110eebfc97e1cfc7, 0x5ffd474c4ef96e81, 0xba64007c8e3a7f07, 0xdba4464f1cc580b7,
  0x10fb8e58c11d78b9, 0x9c341b5e5caad4ac, 0x673a8a9546bbe143, 0xc39359caed52df57, 0x5797c3895b1bd7d3,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xbc674408f2f14085, 0x6ed84b997cdb4e31, 0x31e40d1fc68b3440,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x20490cfc33c95fb9, 0x000000000000001f,
};

/*
 * t167_swio12_noled_pr_u4           a5505_swio11_noled_pr_u4          a5505_swio12_noled_pr_u4
 * a6617c_swio11_noled_pr_u4         a6617c_swio12_noled_pr_u4         a664251_swio11_noled_pr_u4
 * a664251_swio12_noled_pr_u4
 */
static const uint64_t ur_t167_swio11_noled_pr_u4[] = {
  0xe889bbbbb4488f62, 0xae5a58856db7589e, 0xdb1fa87122644335, 0x90b89f4bc7cc982f, 0xa1c00f26ecf74447,
  0x3e3277792eb208ee, 0x6fff8a6b67cc7cc1, 0x51c143be5b7b4443, 0x3da011c74fe0c9af, 0x5188a731602cb298,
  0x7fecc11d7a3e764c, 0x607967b76b13ca80, 0x70d06d7972ab5422, 0x9cea2a551aef850e, 0x0e4d672bb54b7d5d,
  0x5e5f0e256c6f5f4f, 0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x2e65f36d843156f6,
  0x1659d1726ae0f361, 0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0xbbe8f727e07effe0,
  0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec, 0x0000007c9df5468a,
};

/*
 * t167_swio11_noled_pr_ee_u4        t167_swio12_noled_pr_ee           t167_swio12_noled_pr_ee_u4
 * a5505_swio11_noled_pr_ee          a5505_swio11_noled_pr_ee_u4       a5505_swio12_noled_pr_ee
 * a5505_swio12_noled_pr_ee_u4       a6617c_swio11_noled_pr_ee         a6617c_swio11_noled_pr_ee_u4
 * a6617c_swio12_noled_pr_ee         a6617c_swio12_noled_pr_ee_u4      a664251_swio11_noled_pr_ee
 * a664251_swio11_noled_pr_ee_u4     a664251_swio12_noled_pr_ee        a664251_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_t167_swio11_noled_pr_ee[] = {
  0x6f26eeeed1222044, 0xae5a58f531a7582f, 0xfd34bbb6dd7f8936, 0x8a671f3f60cf1d91, 0x0f5c90229110bdbc,
  0x8c9dd1edb1c42184, 0xdfe29ad9f383304f, 0xacd56b4663d110d9, 0xf06cc1f51ea3cacb, 0xad08a1df1594bf51,
  0x9afa30b2c4522cd3, 0x3ab4bb935c6b2690, 0x1d79d3763d51fc87, 0x8a22147bdd8d56ba, 0xadc37b2d97317090,
  0xd402e839e546c11f, 0xe1439c341b5e5caa, 0xdf57673a8a9546bb, 0xd7d3c39359caed52, 0xab445797c3895b1b,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x55bd8aaa2d2da271, 0x3cd84b997cdb610c, 0xf9434596745c9ab8,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff82687993fc0fe, 0x3d30aefa3dc9f81f, 0x2c3b3e04e32cd643,
  0x41a2ba792bf73433, 0x00000000000275d3,
};

/*
 * t167_swio11_noled_pr_ce_u4        t167_swio12_noled_pr_ce           t167_swio12_noled_pr_ce_u4
 * a5505_swio11_noled_pr_ce          a5505_swio11_noled_pr_ce_u4       a5505_swio12_noled_pr_ce
 * a5505_swio12_noled_pr_ce_u4       a6617c_swio11_noled_pr_ce         a6617c_swio11_noled_pr_ce_u4
 * a6617c_swio12_noled_pr_ce         a6617c_swio12_noled_pr_ce_u4      a664251_swio11_noled_pr_ce
 * a664251_swio11_noled_pr_ce_u4     a664251_swio12_noled_pr_ce        a664251_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_t167_swio11_noled_pr_ce[] = {
  0xf07ddddda2447768, 0xb9696187019d6377, 0xfb41778fd08a661f, 0xfe16f23204878f7a, 0x28666eda9eeeefe0,
  0x09f193bad3b699ce, 0x1813fc535b3f6ea6, 0xa7795aaa3eb22222, 0x09117dc4963cf192, 0x2547e8b2f097e21b,
  0x72c10d64cd51dc6e, 0x74fe0d67fa8ebe4f, 0x8a731602edf97d1c, 0xccf1d7a3e764c518, 0xe5add6b13ca807fe,
  0x41b5e5caad508981, 0xa8a9546bbe1439c3, 0x359caed52df57673, 0x7c3895b1bd7d3c39, 0x3e2d75cf6ab44579,
  0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x2f9b6c2131dbd8aa, 0xce8b9357079b0973, 0x4eacc7903f2868b2,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0,
  0x0001bafb5ef4574f,
};

/*
 * t167_swio12_noled_pr_ee_ce        a5505_swio11_noled_pr_ee_ce       a5505_swio12_noled_pr_ee_ce
 * a6617c_swio11_noled_pr_ee_ce      a6617c_swio12_noled_pr_ee_ce      a664251_swio11_noled_pr_ee_ce
 * a664251_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_t167_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22a20, 0xe5a5885631358803, 0xb06f5e9c2f1afe2e, 0x67e62696c8e2f123, 0x4469ce250e401b6f,
  0x3baafb43746a583e, 0xc535b3e1a2609f19, 0x1fd519c34442c7ff, 0x0007e78c953bb1fb, 0xb5815ef99cebb8dc,
  0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684, 0x3abb73931d484d7d, 0x1d79d3763d51fc87,
  0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113, 0xe1439c341b5e5caa, 0xdf57673a8a9546bb,
  0xd7d3c39359caed52, 0xab445797c3895b1b, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x79b09732f9b6c213, 0xca1a2cbd5cb93570, 0xc2a73f53ab31e40f, 0x11a1e64ff0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x09f83a2e8ae9e4af,
};

/*
 * t167_swio12_noled_pr_ee_ce_u4     a5505_swio11_noled_pr_ee_ce_u4    a5505_swio12_noled_pr_ee_ce_u4
 * a6617c_swio11_noled_pr_ee_ce_u4   a6617c_swio12_noled_pr_ee_ce_u4   a664251_swio11_noled_pr_ee_ce_u4
 * a664251_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_t167_swio11_noled_pr_ee_ce_u4[] = {
  0xda9eeeeed1219f68, 0xb96962e05706b0f4, 0x599ee8335a0b88db, 0x53f4a48471583517, 0x723b5c7221c1de9b,
  0xe3277475f40505b2, 0x3fc1164cfa1f4c13, 0x2aa3ea8edd222188, 0xb892c79e50b83988, 0x165e12fc4361222f,
  0xdf3354771b9d4efd, 0xd4795c8794ed667b, 0xb387ea3e0d983d2b, 0x8a459a75a1140a62, 0xe4c752135f461658,
  0xdd8f547f21ceaedc, 0x3deec6abc6c75e74, 0x96cb98b84845110a, 0x0e7951b044c8e1bd, 0x0d06d7972ab52cfa,
  0xcea2a551aef850e7, 0xe4d672bb54b7d5d9, 0xe5f0e256c6f5f4f0, 0xbcf8b5d73daad115, 0x881077536294f0d3,
  0xaa8b4b689c6378ce, 0xccbe6db084c76f62, 0xe3459674371e6c25, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xf82687993fc0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d, 0x62ba792bf734332c, 0x0000000004fc3d50,
};

/*
 * t167_swio11_lednop_pr             t167_swio12_lednop                t167_swio12_lednop_pr
 * a5505_swio11_lednop               a5505_swio11_lednop_pr            a5505_swio12_lednop
 * a5505_swio12_lednop_pr            a6617c_swio11_lednop              a6617c_swio11_lednop_pr
 * a6617c_swio12_lednop              a6617c_swio12_lednop_pr           a664251_swio11_lednop
 * a664251_swio11_lednop_pr          a664251_swio12_lednop             a664251_swio12_lednop_pr
 */
static const uint64_t ur_t167_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215b67d61b, 0x76deef85e8283243, 0x4f06613526eef36b, 0xf363d2bafa1375b0,
  0xe4c13e327771ded8, 0x4440caff25f873ef, 0xd7ff51fe43be5ba0, 0xee98f57be38e9fc1, 0x76b591f40731602d,
  0x9cf6e39630475e2e, 0x7386836bcb955a95, 0xece75152a8d77c28, 0x6b8101395daa5bea, 0xf0e2572f4bfa7872,
  0x7407973daad115e5, 0x844c2f52d794e02e, 0x9d10363fc5021695, 0x612e65f36d38c6f1, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0x6587659289c659ac, 0x8b33f0cf257ee686, 0x000000000001f203,
};

/*
 * t167_swio12_lednop_pr_u4          a5505_swio11_lednop_pr_u4         a5505_swio12_lednop_pr_u4
 * a6617c_swio11_lednop_pr_u4        a6617c_swio12_lednop_pr_u4        a664251_swio11_lednop_pr_u4
 * a664251_swio12_lednop_pr_u4
 */
static const uint64_t ur_t167_swio11_lednop_pr_u4[] = {
  0x113777768911c056, 0xcb4b10ac5c6b13dd, 0xf4f7d7f85c8866b5, 0x1713b6fd2a45c77a, 0xfc7f8bdd9ee888f2,
  0x327765de8333230b, 0xff8a6b67d7dcc13e, 0xd003be5b7b44423d, 0x7511c74fe0c9af51, 0x8df398b016594cfe,
  0xecc11d7a3e76c911, 0xf2cf6e0ff48a807f, 0xa0daf2e556b2ed40, 0xd454aa35df0a1ce1, 0x404e576a96fabb39,
  0x95cbd2fe9e1c9ae0, 0x75cf6ab445797c38, 0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x6318ab7b15545a48,
  0x9ab83cd84b997cdb, 0x3c81f9434596745c, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xf81fbff82687993f,
  0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0x261017a2ba792bf7, 0x000000000000001f,
};

/*
 * t167_swio11_lednop_pr_ee_u4       t167_swio12_lednop_pr_ee          t167_swio12_lednop_pr_ee_u4
 * a5505_swio11_lednop_pr_ee         a5505_swio11_lednop_pr_ee_u4      a5505_swio12_lednop_pr_ee
 * a5505_swio12_lednop_pr_ee_u4      a6617c_swio11_lednop_pr_ee        a6617c_swio11_lednop_pr_ee_u4
 * a6617c_swio12_lednop_pr_ee        a6617c_swio12_lednop_pr_ee_u4     a664251_swio11_lednop_pr_ee
 * a664251_swio11_lednop_pr_ee_u4    a664251_swio12_lednop_pr_ee       a664251_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_swio11_lednop_pr_ee[] = {
  0x6f26eeeed12232a8, 0xae5a58f53a0b582f, 0x9e989d803d2f8936, 0x45338f8d33f6a6fe, 0x5a8ac81148885ede,
  0x8c9dd9c5b7059f34, 0xdfe29ad9f4b5304f, 0x2cd56b4663d1101a, 0xf06cc1f51ea3cad8, 0xad08a1df15a9ef51,
  0x9afa30b2c4522cd3, 0x3ab4bba55c6b2690, 0x1d79d3769111cdc7, 0x8a17c471958d56ba, 0xadc37b2d97317090,
  0xd402b589e546c11f, 0xe1439c341b5e5caa, 0xdf57673a8a9546bb, 0xc3935c0809caed52, 0xaf2f8712b97a5fd3,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x732f9b6c63156f62, 0xb2ce8b9357079b09,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x000000275fa7b457,
};

/*
 * t167_swio11_lednop_pr_ce_u4       t167_swio12_lednop_pr_ce          t167_swio12_lednop_pr_ce_u4
 * a5505_swio11_lednop_pr_ce         a5505_swio11_lednop_pr_ce_u4      a5505_swio12_lednop_pr_ce
 * a5505_swio12_lednop_pr_ce_u4      a6617c_swio11_lednop_pr_ce        a6617c_swio11_lednop_pr_ce_u4
 * a6617c_swio12_lednop_pr_ce        a6617c_swio12_lednop_pr_ce_u4     a664251_swio11_lednop_pr_ce
 * a664251_swio11_lednop_pr_ce_u4    a664251_swio12_lednop_pr_ce       a664251_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_swio11_lednop_pr_ce[] = {
  0xf07ddddda2447705, 0xb96961870fdd6377, 0x76c8eb11f16a661f, 0xf85bc80cd9005f51, 0x285b4bb27bbbbf83,
  0x27c64eeb62d58293, 0x6fbff14d6cfc5698, 0x9ddbaaa8fac88888, 0x2445f71258f3c64a, 0x495fa2cbc25f886c,
  0xcb043593354771b9, 0xa7f06b3fd4797d3d, 0xf9cc580b1ef4a8e3, 0x678ebd1f3b6488c6, 0x5add07fa45403ff6,
  0x1b5e5caad65da81e, 0x8a9546bbe1439c34, 0x09caed52df57673a, 0xb97a5fd3c3935c08, 0xb9ed5688af2f8712,
  0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0xc4c76f62aa8b4905, 0xae0f3612e65f36d8, 0x207e50d1659d1726,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e64ff0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35,
  0xeeade8ae9e4afdcd, 0x0000000000000375,
};

/*
 * t167_swio12_lednop_pr_ee_ce       a5505_swio11_lednop_pr_ee_ce      a5505_swio12_lednop_pr_ee_ce
 * a6617c_swio11_lednop_pr_ee_ce     a6617c_swio12_lednop_pr_ee_ce     a664251_swio11_lednop_pr_ee_ce
 * a664251_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_t167_swio11_lednop_pr_ee_ce[] = {
  0x06dbdddddd4458e2, 0x5dcb4b10adc96b10, 0x07519ea9bb1e35fc, 0xdecfcc4c49a58677, 0x7a75059c4a1c8036,
  0x32775d9694e3ad1c, 0xff14d6cfcedcc13e, 0xac7f54670d110dda, 0x73a3ff9e3254ef76, 0x4ed6057be673aee3,
  0xd983d2bd479594b9, 0x1140a62b287ea3e0, 0xf4616588a459a75a, 0x1ceaedce94752135, 0x6c75e74dda444737,
  0x8450be238cac6abc, 0x4c8e1bd96cb98b84, 0xab52ced627951b04, 0xef850e70d06d7972, 0x4b7d5d9cea2a551a,
  0x4f0e4d7020272bb5, 0x22bcbe1c4ae5e97f, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x4b997cdb63131dbd, 0x43459a205c9ab8d8, 0x0b41bf75663c81f9, 0x2c944e32cd6433d3, 0xba792bf734332c3b,
  0x0000000534d17da2,
};

/*
 * t167_swio12_lednop_pr_ee_ce_u4    a5505_swio11_lednop_pr_ee_ce_u4   a5505_swio12_lednop_pr_ee_ce_u4
 * a6617c_swio11_lednop_pr_ee_ce_u4  a6617c_swio12_lednop_pr_ee_ce_u4  a664251_swio11_lednop_pr_ee_ce_u4
 * a664251_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_t167_swio11_lednop_pr_ee_ce_u4[] = {
  0xb53ddddda2435f41, 0x72d2c5c0a27561e9, 0x94edd376c81711b7, 0xa7e9490b831c48fe, 0xb3234ce44383bd36,
  0xe32776b5a76ab8c0, 0x3fc1164cffebcc13, 0x2aa3ea8edd222100, 0xb892c79e50b83900, 0x165e12fc4361222f,
  0xdf3354771b8164fd, 0xd479594b94ed667b, 0xb287ea3e0d983d2b, 0x8a459a75a1140a62, 0xe94752135f461658,
  0xdda4447371ceaedc, 0x38cac6abc6c75e74, 0x96cb98b848450be2, 0x627951b044c8e1bd, 0x0d06d7972ab52ced,
  0xcea2a551aef850e7, 0x020272bb54b7d5d9, 0xc4ae5e97f4f0e4d7, 0x6bae7b55a22bcbe1, 0xa417296be74078e5,
  0x414e31bc67440842, 0xb63131dbd8aaa2d2, 0xce86e3cd84b997cd, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0, 0x00009f81358c574f,
};

/*
 * t167_swio11_dual_pr               t167_swio11_dual_pr_u4            t167_swio12_dual
 * t167_swio12_dual_pr               t167_swio12_dual_pr_u4            a5505_swio11_dual
 * a5505_swio11_dual_pr              a5505_swio11_dual_pr_u4           a5505_swio12_dual
 * a5505_swio12_dual_pr              a5505_swio12_dual_pr_u4           a6617c_swio11_dual
 * a6617c_swio11_dual_pr             a6617c_swio11_dual_pr_u4          a6617c_swio12_dual
 * a6617c_swio12_dual_pr             a6617c_swio12_dual_pr_u4          a664251_swio11_dual
 * a664251_swio11_dual_pr            a664251_swio11_dual_pr_u4         a664251_swio12_dual
 * a664251_swio12_dual_pr            a664251_swio12_dual_pr_u4
 */
static const uint64_t ur_t167_swio11_dual[] = {
  0x08377776890d365a, 0x5b7d7f8bfb4a6591, 0x3edd9774ccfde2fd, 0x0c82e33ac82999eb, 0xda72498ecb76c884,
  0x64d93b90fcda2f2b, 0x19129290a919827c, 0x80924fac2f043f68, 0xddcee9f12e206143, 0x7d9c0a2cce4ff32a,
  0xfc199537a8efe6c1, 0x2bfcfdf04508e489, 0xb8d7600dc3e14431, 0xa119221955ddeef9, 0xa039e135ad150865,
  0x43fcd5e12db94bff, 0x8145ff643fcc1600, 0xfd47ee8ef965ae88, 0xce4c3dc71d3f83de, 0x011a62731602a83c,
  0x0ffd9823af006764, 0xa81e59edbde37d50, 0xcfe2af9ddc5495f3, 0x287386836bcb955a, 0xeaece75152a8d77c,
  0x726b8101395daa5b, 0xe5f0e2572f4bfa78, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2,
  0x65f36d8c62adec55, 0x1a2cb3a1b8f3612e, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc1343cc9fe07f197,
  0x8577d1ee4fc0fdff, 0xd9f0271966b219e9, 0x15d3c95fb9a19961, 0x00000000a49a0e33,
};

/*
 * t167_swio12_dual_pr_ee            a5505_swio11_dual_pr_ee           a5505_swio12_dual_pr_ee
 * a6617c_swio11_dual_pr_ee          a6617c_swio12_dual_pr_ee          a664251_swio11_dual_pr_ee
 * a664251_swio12_dual_pr_ee
 */
static const uint64_t ur_t167_swio11_dual_pr_ee[] = {
  0x8dd6eeee87ad0c86, 0xab6fafcc6b8a9852, 0xe17bb3890544e467, 0xa8e36182ca3e9f7a, 0xd9b1d775f0cca51b,
  0xdcab69b609cc5421, 0x290ba2cc13e32699, 0xfac2f043f6819129, 0x9f12e20614380924, 0x5a98c7ff32addcee,
  0x4dea393ad825a380, 0xf822847244fe0e2b, 0x06e1f0a21895fe7e, 0x1955ddeef9b97430, 0xc1ee2a10cb417da2,
  0x84b6fa6bfe80e784, 0x90ff3058010ff357, 0xad68ff7222016bfd, 0x3061efd4795dba9a, 0x2877c57a6fd47c1b,
  0x8c2cb1148b34eb42, 0xbb055c54b9a426be, 0x12ec63d19ea73ab4, 0x48e21b1aad743af5, 0xecbe9662e1211469,
  0x4511551b047eb70d, 0x7f157ceee2a4a016, 0x439c341b5e5caad6, 0x57673a8a9546bbe1, 0x935c0809caed52df,
  0x2f8712b97a5fd3c3, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x2f9b6c63156f62aa,
  0x68b05d8dc79b0973, 0x9cfd4eaccdfc1ddc, 0x1738cbf313f9430a, 0xe39efc0f9a1e64ff, 0xc659ac867a616837,
  0x57ee686658767c09, 0x0002b215a8c574f2,
};

/*
 * t167_swio12_dual_pr_ee_u4         a5505_swio11_dual_pr_ee_u4        a5505_swio12_dual_pr_ee_u4
 * a6617c_swio11_dual_pr_ee_u4       a6617c_swio12_dual_pr_ee_u4       a664251_swio11_dual_pr_ee_u4
 * a664251_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_t167_swio11_dual_pr_ee_u4[] = {
  0x9d89ddddda2432db, 0xeadbebf312af5319, 0x6b8ee9da69d06e38, 0xec4f25295a9f65ab, 0x27a8f8ebbaf866cc,
  0x9a5b9347f7dc19d2, 0x2525217459827c64, 0x249f585e087ed032, 0x9dd3e25c40c28701, 0x3813a992d7e655bb,
  0xf7dcdea3c56d80d6, 0xe7ef822847244fe0, 0xa8006e1f0a21895f, 0xed10caaeef77cdcc, 0x9e13489150865a11,
  0xcd5e12dbe9affa03, 0xaff643fcc160043f, 0x7a6ab5a380c88805, 0xf83660e44f51e56a, 0xd68450ef8ace1fa8,
  0x4d7d185962291669, 0x756974acb8417348, 0xebdac4ec8023050e, 0xa1ef47916c6ab5d0, 0xdc37b2e3e3170908,
  0xbe77715255c5c3fa, 0x1a0daf2e556b3f8a, 0x9d454aa35df0a1ce, 0x0404e576a96fabb3, 0x895cbd2fe9e1c9ae,
  0xeb5cf6ab445797c3, 0xf52c2ca6c59d01e7, 0x0a2fa2810b4d5cea, 0x997cdb4e31bc6744, 0xc68b2ce86e3cd84b,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0xc574f257ee686658, 0x0000000001593a78,
};

/*
 * t167_swio11_dual_pr_ce_u4         t167_swio12_dual_pr_ce            t167_swio12_dual_pr_ce_u4
 * a5505_swio11_dual_pr_ce           a5505_swio11_dual_pr_ce_u4        a5505_swio12_dual_pr_ce
 * a5505_swio12_dual_pr_ce_u4        a6617c_swio11_dual_pr_ce          a6617c_swio11_dual_pr_ce_u4
 * a6617c_swio12_dual_pr_ce          a6617c_swio12_dual_pr_ce_u4       a664251_swio11_dual_pr_ce
 * a664251_swio11_dual_pr_ce_u4      a664251_swio12_dual_pr_ce         a664251_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_t167_swio11_dual_pr_ce[] = {
  0x393b77776890cf68, 0x56df5fb6d47d4cb1, 0x66f75b13b28e3d3b, 0xea666eab43ae10f7, 0x135d13faef76c4e4,
  0x4b45b96b2b7225bb, 0x2252520ebe9827c6, 0x1249f585e087ed03, 0xb9dd3e25c40c2870, 0x6380d6989d7e655b,
  0x0f2b4dea3e9bd845, 0xfe7ef822847244fe, 0xd07006e1f0a21895, 0x65221955ddeef9b8, 0x39e13751150865a0,
  0xf9abc25b7b1fffa0, 0xadfec87f982c0087, 0x8706aa3ea63d1101, 0x22fb892c79e50b83, 0xffd165e12fc43612,
  0x10a973354771b9d1, 0xe0ed6f51c27cf72c, 0x31602945dbf1c74f, 0x3af006764011a627, 0x73de37d500ffd99e,
  0x77715257cea0796b, 0x0daf2e556b3f8abe, 0x454aa35df0a1ce1a, 0x04e576a96fabb39d, 0x5cbd2fe9e1c9ae04,
  0x5cf6ab445797c389, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x0dc79b09732f9b6c,
  0x599bf83bb8d1659d, 0xc3def2861539fa9d, 0x4ff03f8cbf313ffb, 0x727e07effe09a1e6, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x0034931898ae9e4a,
};

/*
 * t167_swio12_dual_pr_ee_ce         a5505_swio11_dual_pr_ee_ce        a5505_swio12_dual_pr_ee_ce
 * a6617c_swio11_dual_pr_ee_ce       a6617c_swio12_dual_pr_ee_ce       a664251_swio11_dual_pr_ee_ce
 * a664251_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_t167_swio11_dual_pr_ee_ce[] = {
  0x11d6dddddd43359b, 0xd5b7d7f8b69e5327, 0xeafba9f65a9a73b2, 0x8371cef7187c8077, 0x3395c6c7ae39c475,
  0xb91c168f0daeb368, 0xa41f3e9827c64c4e, 0xeb0bc10fda0644a4, 0x7c4b881850e02493, 0x6e6adffccab773ba,
  0xbd474dbd84ed9c2d, 0x08a11c913f8319b9, 0xb87c2886257f9fbe, 0xaaeef77cdc76ec01, 0x4b150865a050d10c,
  0xb6fd83ff4073c267, 0xff3058010ff35784, 0x51e044442d6ffd90, 0xfcf285c1cb5bb1fd, 0x2cdd339d771b8601,
  0xbfea3cae574a76b0, 0x62bdf7ea3e0d983d, 0x588a459a75a1140a, 0xdcc14752135f4616, 0x44bb18f467a9ceae,
  0xa4710d8d578d8ebd, 0xf65f4b3170908a34, 0x91445546c1132386, 0x9fc55f3bb8a92967, 0x50e70d06d7972ab5,
  0xd5d9cea2a551aef8, 0xe4d7020272bb54b7, 0xcbe1c4ae5e97f4f0, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x97cdb63131dbd8aa, 0x68b34406e3cd84b9, 0x6837eeaccdfc1ddc, 0x7c09c659ac867a61,
  0x74f257ee68665876, 0x0000001304e938c5,
};

/*
 * t167_swio12_dual_pr_ee_ce_u4      a5505_swio11_dual_pr_ee_ce_u4     a5505_swio12_dual_pr_ee_ce_u4
 * a6617c_swio11_dual_pr_ee_ce_u4    a6617c_swio12_dual_pr_ee_ce_u4    a664251_swio11_dual_pr_ee_ce_u4
 * a664251_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_t167_swio11_dual_pr_ee_ce_u4[] = {
  0x56eeeed15b766c4f, 0x7d78db2bda9858a3, 0xb6abc75fed2bed5b, 0x799b9b426e5934e0, 0xb20244b146a4159f,
  0x2ac0b68e435c5da0, 0x827c64bb2b95601d, 0xfb40c894948d7059, 0x0a1c04927d617821, 0xcb4b7e774f897103,
  0x87eb9c0d6e6986fc, 0x9fc1d6fcdea38a4d, 0x12bfcfdf04508e48, 0x6e446200dc3e1443, 0xd08ac88655777bbe,
  0xa039e134ae8a8432, 0x87f9abc25b7b91ff, 0x1adfffc5da982c00, 0x35baa8faa3382888, 0x8bee24b1e7942f3b,
  0x7f459784bf10d848, 0x3e6e99aa3b8dc88c, 0xbfea3cae574a76b3, 0x62bdf7ea3e0d983d, 0x588a459a75a1140a,
  0xdcc14752135f4616, 0x44bb18f467a9ceae, 0xa4710d8d578d8ebd, 0xf65f4b3170908a34, 0x91445546c1132386,
  0x9fc55f3bb8a92967, 0x50e70d06d7972ab5, 0xd5d9cea2a551aef8, 0xe4d7020272bb54b7, 0xcbe1c4ae5e97f4f0,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97cdb63131dbd8aa, 0x6745c9ab83cd84b9,
  0xeaccdfc1fb763459, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x00400083573ebcf2,
};

/*
 * t167_swio13_noled_pr              a5505_swio13_noled                a5505_swio13_noled_pr
 * a6617c_swio13_noled               a6617c_swio13_noled_pr            a664251_swio13_noled
 * a664251_swio13_noled_pr
 */
static const uint64_t ur_t167_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0xc8f066127bb4c9df, 0x2f64188f1f793742,
  0xc7cc13e32775a9e8, 0x1110dbffe4bf0e7c, 0x3e7bd47884ef96e9, 0x7ba6d296bc71d3f8, 0x3b5c3464d1cc580b,
  0x95ff71cb1823af17, 0x7386836bcb955a95, 0xece75152a8d77c28, 0xc9ace576a96faa9b, 0x5f0e255abdebe9e1,
  0x779fad73daad115e, 0x173a9d4e02ca54fa, 0x9d1022fdc5021696, 0x612e65f36d38c6f1, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0x6587659289c659ac, 0x0233f0cf257ee686, 0x0000000000003e40,
};

// a5505_swio13_noled_pr_u4          a6617c_swio13_noled_pr_u4         a664251_swio13_noled_pr_u4
static const uint64_t ur_t167_swio13_noled_pr_u4[] = {
  0x95bbbbbb4488aaac, 0xb5cb4b10ac36eb05, 0xfad4f70f8da48866, 0x8f2091231d7eefb1, 0xef1e5c684dd2ca88,
  0x04f8c9dd583a6c44, 0x40caff14d6cfbf93, 0x3d4797c77cb41f44, 0x68f7a5471d3f83e8, 0x2147bd9cc580b2ca,
  0x01ffb30475e8f9da, 0x5b81e59ed88a4d2a, 0x39c341b5e5caad5f, 0xf673a8a9546bbe14, 0xe4d672bb54b7d54d,
  0x2f8712ad5ef5f4f0, 0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0xe65f36c648ab7b15,
  0x659d1726ae0f3612, 0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xbe8f727e07effe09,
  0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf, 0x000007c9eb2d68ae,
};

/*
 * t167_swio13_noled_pr_ee_u4        a5505_swio13_noled_pr_ee          a5505_swio13_noled_pr_ee_u4
 * a6617c_swio13_noled_pr_ee         a6617c_swio13_noled_pr_ee_u4      a664251_swio13_noled_pr_ee
 * a664251_swio13_noled_pr_ee_u4
 */
static const uint64_t ur_t167_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1222582, 0xdab96963d4e85d63, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a444f16,
  0x7c64ee9d6d1225aa, 0x56ff14d6cf93a982, 0x297355ad1bf88884, 0x8f83660c27fa8f2b, 0x9d68450ef8aca1fa,
  0x84d7d18596229166, 0x39d5a5d2b2e35934, 0xd0ebce9bb7508f24, 0x08a3e44707ec6ab5, 0xfadc37b2d9731709,
  0x5a805d260b546c11, 0x7c287386836bcb95, 0xaa9bece75152a8d7, 0xe9e1c9ace576a96f, 0x115e5f0e255abdeb,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0x6c25ccbe6d8c9156, 0xa1a2cb3a2e4d5c1e,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc1343cc9fe07f19, 0x98577d1ee4fc0fdf, 0x1d9f0271966b219e,
  0xd15d3c95fb9a1996, 0x0000000000275cb3,
};

/*
 * t167_swio13_noled_pr_ce_u4        a5505_swio13_noled_pr_ce          a5505_swio13_noled_pr_ce_u4
 * a6617c_swio13_noled_pr_ce         a6617c_swio13_noled_pr_ce_u4      a664251_swio13_noled_pr_ce
 * a664251_swio13_noled_pr_ce_u4
 */
static const uint64_t ur_t167_swio13_noled_pr_ce[] = {
  0x37dddddda24477d6, 0x3f72d2c30e62fac7, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deef37,
  0xe609f193bb61b7c8, 0x22195bfc535b3fa6, 0x92a772baaa3ebdd2, 0x1b09117dc4963cf1, 0x6e321fe8b2f097e2,
  0x4f72c10d64cd51dc, 0x8e3a7f064f7a8f37, 0xa3dece62c0532a71, 0xffd99e3af47ced10, 0x703cb5b845269500,
  0x386836bcb955abeb, 0xce75152a8d77c287, 0x9ace576a96faa9be, 0xf0e255abdebe9e1c, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x97cdb190c76f62aa, 0x6745c9ab83cd84b9, 0xa75663c81f943459,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x92bf734332c3b3e0,
  0x0000dd779b7a2ba7,
};

// a5505_swio13_noled_pr_ee_ce       a6617c_swio13_noled_pr_ee_ce      a664251_swio13_noled_pr_ee_ce
static const uint64_t ur_t167_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a232a8, 0xbb9696215a99d60b, 0xdedc1db260bc6bf8, 0x7b3e17ae368a6ee0, 0xc9685ce250e171db,
  0x93bb38b4dd33ee9d, 0xf8a6b67d36e609f1, 0x63faa32ea8880cdf, 0x3541fcf192a76337, 0xed6057be673aee37,
  0x9833d7d47959c394, 0x140a62b2ebea3e0d, 0x4616588a459a75a1, 0xceaedc958752135f, 0xc75e74ddba847921,
  0x8a3e44707ec6abc6, 0x91c37b2d97317090, 0xd4b3e9305aa36089, 0xe1439c341b5e5caa, 0x54df673a8a9546bb,
  0x4f0e4d672bb54b7d, 0x8af2f8712ad5ef5f, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc,
  0xc25ccbe6d8c863b7, 0x68b2f572e4d5c1e6, 0x9cfd4eacc7903f28, 0x87993fc09c69430a, 0x6433d30b41bf7c46,
  0x4332c3b3e04e32cd, 0xc4fafa2ba792bf73, 0x000000000000004f,
};

// a5505_swio13_noled_pr_ee_ce_u4    a6617c_swio13_noled_pr_ee_ce_u4   a664251_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t167_swio13_noled_pr_ee_ce_u4[] = {
  0x93dddddda2436812, 0x6ee5a58b81233ac5, 0x1d0ddbb8bd042e23, 0x6d4fd2ad0247a759, 0x32313be9c88707b2,
  0x7c64eed17eb624d7, 0x7ffc1164cf8a4982, 0xfd547d51e9b4442b, 0xee24b1e7942e0e56, 0x459784bf10d8488b,
  0xef99aa3b8dc76eff, 0xea3cace1ca76b33d, 0x5975f51f06cc19eb, 0x4522cd3ad08a0531, 0x4ac3a909afa30b2c,
  0x6edd423c90e7576e, 0x383f6355e363af3a, 0x96cb98b848451f22, 0x982d51b044c8e1bd, 0x1a0daf2e556a59f4,
  0x9d454aa35df0a1ce, 0xb395daa5beaa6fb3, 0x38956af7afa78726, 0x2d75cf6ab445797c, 0x1dd4d8a53c34ef3e,
  0xd2da2718de33a204, 0xf36c6431dbd8aaa2, 0x2cb3a1b8f3612e65, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xd3c95fb9a19961d9, 0x00000027e1b90315,
};

// a5505_swio13_lednop               a6617c_swio13_lednop              a664251_swio13_lednop
static const uint64_t ur_t167_swio13_lednop[] = {
  0x0b2ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fba164,
  0x7b9827c64eeb53dd, 0x1110eebfc97e1cfc, 0x3e7bd479b8ef96e9, 0xbdd319538c71d3f8, 0xcecf7a3b58e62c05,
  0xb045dc72c608ebc5, 0x0e70d06d7972ab52, 0x7d9cea2a551aef85, 0xc0809caed52df553, 0x3895c925fd3c3935,
  0xad75cf6ab445797c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a, 0xf1f0ec6ed84b997c,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x001524bf99f86792,
};

/*
 * t167_swio13_lednop_pr_u4          a5505_swio13_lednop_pr            a5505_swio13_lednop_pr_u4
 * a6617c_swio13_lednop_pr           a6617c_swio13_lednop_pr_u4        a664251_swio13_lednop_pr
 * a664251_swio13_lednop_pr_u4
 */
static const uint64_t ur_t167_swio13_lednop_pr[] = {
  0x2b77777689119391, 0x6b9696215aa1d60b, 0x7b64f54c0e2910cd, 0x8f2091236c66cf7a, 0x482fcc6b4dd2ca88,
  0x04f8c9dd8e3b8bec, 0x031ffe29ad9fa953, 0x7a8fa51df2d07d11, 0xa0304f8e3a7f07d0, 0xf11c64731602cb29,
  0x07fecc11d7a3e765, 0xc81e59ed8dfb86a8, 0x9c341b5e5caad6e1, 0x673a8a9546bbe143, 0x20272bb54b7d54df,
  0x2572497f4f0e4d70, 0x5d73daad115e5f0e, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692,
  0x26ae0f3612e65f36, 0x8f207e50d1659d17, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7e07effe09a1e64f,
  0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xc9ab82e8ae9e4afd, 0x0000000000000007,
};

/*
 * t167_swio13_lednop_pr_ee_u4       a5505_swio13_lednop_pr_ee         a5505_swio13_lednop_pr_ee_u4
 * a6617c_swio13_lednop_pr_ee        a6617c_swio13_lednop_pr_ee_u4     a664251_swio13_lednop_pr_ee
 * a664251_swio13_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_swio13_lednop_pr_ee[] = {
  0x78bdddddda244511, 0x4dab96963d4c20ac, 0x14627699e97119e2, 0x8b7914c75f42e19e, 0xc447ec89b0452227,
  0xc13e32777ed6a332, 0x81c1ff14d6cfd0fc, 0x2b53d355ad1bf888, 0x7a8f83660c27fa8f, 0x669d68450ef8af02,
  0x3484d7d185962291, 0x1439d5a5e43ae359, 0xb5d0ebce9bb7748c, 0x0908a26e47916c6a, 0x11fadc37b2d97317,
  0xcaad4021149a546c, 0x6bbe1439c341b5e5, 0xb7d54df673a8a954, 0xf0e4d7020272bb54, 0x15e5f0e2572497f4,
  0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x2e65f36d02a2adec, 0x1659d1726ae0f361,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0xe9e4afdcd0ccb0ec, 0x0000000275e0568a,
};

/*
 * t167_swio13_lednop_pr_ce_u4       a5505_swio13_lednop_pr_ce         a5505_swio13_lednop_pr_ce_u4
 * a6617c_swio13_lednop_pr_ce        a6617c_swio13_lednop_pr_ce_u4     a664251_swio13_lednop_pr_ce
 * a664251_swio13_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_swio13_lednop_pr_ce[] = {
  0x37dddddda2445541, 0x3f72d2c30e433ac7, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbcdf,
  0x9827c64eea0ade9c, 0x885baff14d6cfc72, 0x4a9de9baa8faf748, 0x6c2445f71258f3c6, 0xb8495fa2cbc25f88,
  0x3dcb043593354771, 0x38e9fc193dea3ce3, 0x1c6473160298f3d6, 0xfeccf1d7a3e765f1, 0x0796b70dfb86a807,
  0x0d06d7972ab5b872, 0xcea2a551aef850e7, 0x09caed52df5537d9, 0x5c925fd3c3935c08, 0x5cf6ab445797c389,
  0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x1463b7b15545a482, 0x57079b09732f9b68, 0x903f2868b2ce8b93,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d0f327f8, 0xc867a615df47b93f, 0x86658767c09c659a,
  0x7ab2b4574f257ee6, 0x00000000000000dd,
};

// a5505_swio13_lednop_pr_ee_ce      a6617c_swio13_lednop_pr_ee_ce     a664251_swio13_lednop_pr_ee_ce
static const uint64_t ur_t167_swio13_lednop_pr_ee_ce[] = {
  0x171ddddddd447e4a, 0xf1772d2c42b2c1ac, 0xd19ea3bdc29a98d7, 0xdb7b3e17d335c6d2, 0x91976104e250e171,
  0xf8c9dd7ada5295f0, 0xd1fe29ad9f7f9304, 0x1a2c7f5465d51100, 0x71b8d07fcf192a76, 0x1ca76b02bdf339d7,
  0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3, 0x050e7576e90e3a90, 0x5e363af3a6eddd23,
  0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b, 0x1aef850e70d06d79, 0x2df5537d9cea2a55,
  0x3c3935c0809caed5, 0x45797c3895c925fd, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x9732f9b681463b7b, 0x868b3440b93571b0, 0x16837eeacc7903f2, 0x59289c659ac867a6, 0x74f257ee68665876,
  0x00000014d3b1ff45,
};

// a5505_swio13_lednop_pr_ee_ce_u4   a6617c_swio13_lednop_pr_ee_ce_u4  a664251_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t167_swio13_lednop_pr_ee_ce_u4[] = {
  0x93dddddda243704a, 0x6ee5a58b8164eac5, 0x5d295ba7ecd82e23, 0x6d4fd2ad08cc489a, 0x667627c8c88707b2,
  0x3e32776e768f6aef, 0xfbfc1164cff60cc1, 0xf5547d51e9b44410, 0xee24b1e7942e0e21, 0x459784bf10d8488b,
  0xef99aa3b8dce1fff, 0xea3caca1ca76b33d, 0x5b05f51f06cc19eb, 0x4522cd3ad08a0531, 0x90e3a909afa30b2c,
  0x6eddd23050e7576e, 0x3c8b6355e363af3a, 0x96cb98b848451372, 0x526951b044c8e1bd, 0x0d06d7972ab52cc4,
  0xcea2a551aef850e7, 0x09caed52df5537d9, 0x5c925fd3c3935c08, 0x5cf6ab445797c389, 0x2e52d7ce80f1cad7,
  0x9c6378ce88108548, 0x1463b7b15545a482, 0x0dc79b09732f9b68, 0x599bf83bb8d1659d, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0x727e07effe09a1e6, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138, 0x013f32d298ae9e4a,
};

/*
 * t167_swio13_dual_pr               t167_swio13_dual_pr_u4            a5505_swio13_dual
 * a5505_swio13_dual_pr              a5505_swio13_dual_pr_u4           a6617c_swio13_dual
 * a6617c_swio13_dual_pr             a6617c_swio13_dual_pr_u4          a664251_swio13_dual
 * a664251_swio13_dual_pr            a664251_swio13_dual_pr_u4
 */
static const uint64_t ur_t167_swio13_dual[] = {
  0x8bbbbbbb4486ff3e, 0xfab6faff17b294c6, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x57b086739eb6eb45,
  0xf19364ee4339aeb7, 0xa0644a4a45d0e609, 0x0e02493eb0bc10fd, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x0087f9abc25b7287, 0x110fddfec87f982c, 0x0ffa8fb7cef967bd, 0xf32568f71c74fe0e, 0xb4a47109cc580aa0,
  0x403ff6608ebc019d, 0x02503cb3db4c6325, 0x5acfe2af9ddc5497, 0x7c287386836bcb95, 0xaa9bece75152a8d7,
  0xc9ae0404e576a96f, 0xcbe1c4ae492fe9e1, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0xcbe6da05455bd8aa, 0x3459674371e6c25c, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x82687993fc0fe32f,
  0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3, 0x2ba792bf734332c3, 0x000000014935e7c6,
};

// a5505_swio13_dual_pr_ee           a6617c_swio13_dual_pr_ee          a664251_swio13_dual_pr_ee
static const uint64_t ur_t167_swio13_dual_pr_ee[] = {
  0x96eeeeeea0a1a5fb, 0xeadbebf31aef531d, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xf26517baf866ec8d,
  0xcee4f05bc7f2ac26, 0x494874ea609f1934, 0x27d617821fb40c89, 0x74f8971030a1c049, 0x02d4c63ff9956ee7,
  0x5a6f51c9d6c12d1c, 0xf7c114239227f071, 0x00370f8510c4aff3, 0x10caaeef77cdceeb, 0x260f7150865a0bed,
  0x784b6f3b7ff4073c, 0xd90ff3058010ff35, 0x55ad1b934443a7ff, 0x660e3dfa8f2bd373, 0x450ef8af677a8f83,
  0xd185962291669d68, 0x9753cb8a973484d7, 0x512ecfe23ea0e756, 0xea8fe4b1aad743af, 0xdecbe9662e121141,
  0x87cded51b047eb70, 0xb3f8abe777152500, 0x0a1ce1a0daf2e556, 0xa6fb39d454aa35df, 0x6b8101395daa5bea,
  0xf8712b924bfa7872, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0x597ab8dc79b09732, 0x7ea75666fe0eee34, 0xcc9fe04e34a1854e, 0x19e985a0dfbe2343, 0x9961d9f0271966b2,
  0x745315d3c95fb9a1, 0x0000000000001590,
};

// a5505_swio13_dual_pr_ee_u4        a6617c_swio13_dual_pr_ee_u4       a664251_swio13_dual_pr_ee_u4
static const uint64_t ur_t167_swio13_dual_pr_ee_u4[] = {
  0x0ddbbbbbb4486f97, 0xe3ab6fafcc77ed4c, 0x5b5dfba3dac341b8, 0xdd62792bb2db178d, 0xe82c8068bdd7c330,
  0x324d2dcbbb36d054, 0x19129290e9d4c13e, 0x80924fac2f043f68, 0xddcee9f12e206143, 0x6b1c09d4c96bf32a,
  0xf07bee6f51e2b6c0, 0xaff3f7c114239227, 0xce8f80370f8510c4, 0x11ed10caaeef77cd, 0x039e13489150865a,
  0x7f9abc25b79dbffa, 0xd3ffec87f982c008, 0xe049aad68d7da221, 0xa3e0d983eebd4795, 0xa75a1143be2b2ebe,
  0x2135f4616588a459, 0x39d5a5fe72e105cd, 0x875ed6276d291cbe, 0x2284c518f96355ae, 0xeb70decb8f8c5c24,
  0x157ceee2a4ab8b5b, 0x9c341b5e5caad67f, 0x673a8a9546bbe143, 0x20272bb54b7d54df, 0x2572497f4f0e4d70,
  0xad73daad115e5f0e, 0xd4b0b29b1674079f, 0x273e8a042d3573ab, 0x65f36d38c6f19d10, 0x1a2cb3a1b8f3612e,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xc1343cc9fe07f197, 0x8577d1ee4fc0fdff, 0xd9f0271966b219e9,
  0x15d3c95fb9a19961, 0x0000000002b240a3,
};

/*
 * t167_swio13_dual_pr_ce_u4         a5505_swio13_dual_pr_ce           a5505_swio13_dual_pr_ce_u4
 * a6617c_swio13_dual_pr_ce          a6617c_swio13_dual_pr_ce_u4       a664251_swio13_dual_pr_ce
 * a664251_swio13_dual_pr_ce_u4
 */
static const uint64_t ur_t167_swio13_dual_pr_ce[] = {
  0x902f777776890c86, 0xd3b56df5fb6d00a9, 0xd5b93375053d68e3, 0xbc9d4cca75cea2f2, 0xf7317bb0b27deec0,
  0x4f8c968b72ada6b4, 0xda0644a4a4446330, 0x50e02493eb0bc10f, 0xcab773ba7c4b8818, 0xb08ac701ad313afc,
  0x89fc1e569bd47d37, 0x312bfcfdf04508e4, 0xf9b8a4800dc3e144, 0x65a065221955ddee, 0xffa039e137511508,
  0x0087f9abc25b719b, 0x110383fec87f982c, 0x85c1c275551f57f1, 0x1b09117dc4963cf2, 0xdc683fe8b2f097e2,
  0x7b960854b99aa3b8, 0x71d3f83117d47912, 0x3884e62c05fdc654, 0xfb33c75e00ceda52, 0x0796b7263192a01f,
  0xfc55f3bb8a92e04a, 0x0e70d06d7972ab59, 0x7d9cea2a551aef85, 0xc0809caed52df553, 0x3895c925fd3c3935,
  0xad75cf6ab445797c, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x59d0dc79b09732f9,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x0000034917618ae9,
};

// a5505_swio13_dual_pr_ee_ce        a6617c_swio13_dual_pr_ee_ce       a664251_swio13_dual_pr_ee_ce
static const uint64_t ur_t167_swio13_dual_pr_ee_ce[] = {
  0x3ed6eeeeeea1a5fb, 0xd96adbebfc58fc53, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae3fb4,
  0x4eb93c16cb215658, 0xa4a465b49827c64c, 0x93eb0bc10fda0644, 0xba7c4b881850e024, 0x2d6e6adffccab773,
  0xb9bd474dbd84ed9c, 0xbe08a11c913f8319, 0x01b87c2886257f9f, 0x8655777bbe6e2e08, 0x33a58a8432d02868,
  0xc25b735bffa039e1, 0xc87f982c0087f9ab, 0x7f547959110c41fe, 0x523f9e50b839882c, 0xd6059ba673aee371,
  0x8332bd4795efb94e, 0x40a62bb75ea3e0d9, 0x616588a459a75a11, 0xeaedca78752135f4, 0x75ea25d9fc47d41c,
  0x507aa3f92c6abc6c, 0x1c37b2fa598b8484, 0xa598f9bdaa360899, 0xaad67f157ceee2a4, 0xbbe1439c341b5e5c,
  0x7d54df673a8a9546, 0x0e4d7020272bb54b, 0x5e5f0e2572497f4f, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0xccbe6da0518edec5, 0xe3459a20371e6c25, 0x0b41bf75666fe0ee, 0xb3e04e32cd6433d3,
  0x2ba792bf734332c3, 0x0000000009827386,
};

// a5505_swio13_dual_pr_ee_ce_u4     a6617c_swio13_dual_pr_ee_ce_u4    a664251_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_t167_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b76421f, 0x6df5e36eaf6a675d, 0x82d51fa2ffb4afb5, 0x5ff57b04c3e382d7, 0x964048f5dc6a4145,
  0xa6741011fc3793c8, 0x304f8c9765729017, 0x3f6819129290cb37, 0x614380924fac2f04, 0x99696fcee9f12e20,
  0xb0fd7381adcd30df, 0x13f83adf9bd47149, 0x6257f9fbe08a11c9, 0xe6e0aa001b87c288, 0x2d08ac88655777bb,
  0xfa039e134ae8a843, 0x087f9abc25b7a4af, 0x85e1fffc5da982c0, 0xbbc3aa8faa327488, 0x88bee24b1e7942f3,
  0xa3f459784bf10d84, 0x99f374cd51dc6e0a, 0xccaf51e57bee53b5, 0x298aedd7a8f83660, 0x5962291669d68450,
  0xbb729e1d484d7d18, 0x7a89767f11f5073a, 0x1ea8fe4b1aaf1b1d, 0x0decbe9662e12114, 0x663e6f6a8d822647,
  0xb59fc55f3bb8a929, 0xf850e70d06d7972a, 0x5537d9cea2a551ae, 0x935c0809caed52df, 0x97c3895c925fd3c3,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x2f9b681463b7b155, 0xce8b9357079b0973,
  0xd599bf83f6ec68b2, 0xbc3def2861539fa9, 0x64ff03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x008009705e7d79e4,
};

/*
 * t167_swio14_noled_pr              a5505_swio14_noled                a5505_swio14_noled_pr
 * a6617c_swio14_noled               a6617c_swio14_noled_pr            a664251_swio14_noled
 * a664251_swio14_noled_pr
 */
static const uint64_t ur_t167_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adcdeb0, 0x5b466ea44cf74192, 0x880f06613526f07d, 0x85e823af1afb3f74,
  0xc7b9827c64eed8fd, 0x81110eebfc97e1cf, 0x075ffd474c4ef96e, 0xb7ba64007c8e3a7f, 0xb9dba4464f1cc580,
  0xac10fb8e58c11d78, 0x439c341b5e5caad4, 0xf5673a8a9546bbe1, 0xf0e4d674dcaed52d, 0x8af2f8712b63f7f4,
  0xa7d3bcfd6b9ed568, 0xb4b0b9d4ea701652, 0x378ce8811e5e2810, 0x0ddb09732f9b69c6, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xe409219f86792bf7, 0x0000000000000003,
};

// a5505_swio14_noled_pr_u4          a6617c_swio14_noled_pr_u4         a664251_swio14_noled_pr_u4
static const uint64_t ur_t167_swio14_noled_pr_u4[] = {
  0xd49bbbbbb4488f62, 0x35ae5a58856db758, 0x2fdb1fa871226443, 0x4790b89f4bc7cc98, 0x7750e00793775244,
  0x609f193bbc975904, 0x21b7ffc535b3e63e, 0xd7a8e0a1df2dbda2, 0x4c1ed008e3a7f064, 0x2628c45398b01659,
  0x403ff6608ebd1f3b, 0x11303cb3dbb589e5, 0x87386836bcb955aa, 0xeace75152a8d77c2, 0xe1c9ace9b95daa5b,
  0x15e5f0e256c7efe9, 0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x12e65f36d843156f,
  0xd1659d1726ae0f36, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e64ff03f8cbf, 0x2bbe8f727e07effe,
  0xcf8138cb3590cf4c, 0xae9e4afdcd0ccb0e, 0x00000007c9df5468,
};

/*
 * t167_swio14_noled_pr_ee_u4        a5505_swio14_noled_pr_ee          a5505_swio14_noled_pr_ee_u4
 * a6617c_swio14_noled_pr_ee         a6617c_swio14_noled_pr_ee_u4      a664251_swio14_noled_pr_ee
 * a664251_swio14_noled_pr_ee_u4
 */
static const uint64_t ur_t167_swio14_noled_pr_ee[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69776dbaff12, 0x7914ce3e7ec19e3b, 0x840f5c9022911284,
  0x4f8c9dd1edb1c421, 0xd9dfe29ad9f38330, 0xcbacd56b4663d110, 0x51f06cc1f51ea3ca, 0xd3ad08a1df1594bf,
  0x909afa30b2c4522c, 0x873ab4bb935c6b26, 0xba1d79d3763d51fc, 0x908a22147bdd8d56, 0x1fadc37b2d973170,
  0xaad402e839e546c1, 0xbbe1439c341b5e5c, 0xd52df5673a8a9546, 0xf7f4f0e4d674dcae, 0xd5688af2f8712b63,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0x079b09732f9b6c21, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f327f81f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0x6834574f257ee686, 0x0000000000004eba,
};

/*
 * t167_swio14_noled_pr_ce_u4        a5505_swio14_noled_pr_ce          a5505_swio14_noled_pr_ce_u4
 * a6617c_swio14_noled_pr_ce         a6617c_swio14_noled_pr_ce_u4      a664251_swio14_noled_pr_ce
 * a664251_swio14_noled_pr_ce_u4
 */
static const uint64_t ur_t167_swio14_noled_pr_ce[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xf5f682ef1fa114cc, 0xc1fc2de464090f1e, 0x9c50ccddb53dd327,
  0x4c13e32775a76d33, 0x443027f8a6b67edd, 0x254ef2b5547d6444, 0x361222fb892c79e3, 0xdc4a8fd165e12fc4,
  0x9ee5821ac99aa3b8, 0x38e9fc1acff51d7c, 0x3114e62c05dbf2fa, 0xfd99e3af47cec98a, 0x03cb5bad6279500f,
  0x86836bcb955aa113, 0xe75152a8d77c2873, 0x9ace9b95daa5beac, 0x5f0e256c7efe9e1c, 0xcf8b5d73daad115e,
  0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0xcbe6db084c76f62a, 0xb3a2e4d5c1e6c25c, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0,
  0x00006ebed7bd15d3,
};

// a5505_swio14_noled_pr_ee_ce       a6617c_swio14_noled_pr_ee_ce      a664251_swio14_noled_pr_ee_ce
static const uint64_t ur_t167_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bd7a70bc6bf8, 0xbd9f989a5b238bc4, 0xf2234e7128706ded,
  0xc9dd57da1ba352c1, 0xfe29ad9f0d1304f8, 0xd8fea8ce1a22163f, 0xe0003f3c64a9dd8f, 0x9dac0af7cce75dc6,
  0xb307a57a8f2b90f2, 0x22814c5670fd47c1, 0xe8c2cb1148b34eb4, 0x39d5db9c98ea426b, 0xd8ebce9bb1ea8fe4,
  0x08a22147bdd8d578, 0x991c37b2d9731709, 0x56a59f41cf2a3608, 0xdf0a1ce1a0daf2e5, 0xa96fab39d454aa35,
  0xbfa78726b3a6e576, 0xab445797c3895b1f, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271,
  0x79b09732f9b6c213, 0xca1a2cbd5cb93570, 0xc2a73f53ab31e40f, 0x11a1e64ff0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x09f83a2e8ae9e4af,
};

// a5505_swio14_noled_pr_ee_ce_u4    a6617c_swio14_noled_pr_ee_ce_u4   a664251_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t167_swio14_noled_pr_ee_ce_u4[] = {
  0x1deeeeeed1219f68, 0xb772d2c5c0ae0d63, 0x2eb33dd066b41711, 0xb6a7e94908e2b06a, 0x64e476b8e44383e3,
  0x27c64ee8ebe80a0b, 0x107f822c99f43e98, 0x105547d51dba4443, 0x5f71258f3ca17073, 0xfa2cbc25f886c244,
  0xf7be66a8ee373a9d, 0x57a8f2b90f29dacc, 0xc5670fd47c1b307a, 0xb1148b34eb422814, 0xb9c98ea426be8c2c,
  0xe9bb1ea8fe439d5d, 0x147bdd8d578d8ebc, 0x7b2d973170908a22, 0xf41cf2a3608991c3, 0xce1a0daf2e556a59,
  0xb39d454aa35df0a1, 0x726b3a6e576a96fa, 0x797c3895b1fbfa78, 0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34,
  0xaaa2d2da2718de33, 0x732f9b6c2131dbd8, 0xb8d1659d0dc79b09, 0x1539fa9d599bf83b, 0xbf313ffbc3def286,
  0xfe09a1e64ff03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x18ae9e4afdcd0ccb, 0x00000000013f0f54,
};

/*
 * t167_swio14_lednop_pr             a5505_swio14_lednop               a5505_swio14_lednop_pr
 * a6617c_swio14_lednop              a6617c_swio14_lednop_pr           a664251_swio14_lednop
 * a664251_swio14_lednop_pr
 */
static const uint64_t ur_t167_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215b67d6, 0x6b76deef85e82832, 0x880f06613526eef3, 0xd8f363d2bafa1374,
  0xefe4c13e327771de, 0xa04440caff25f873, 0xc1d7ff51fe43be5b, 0x2dee98f57be38e9f, 0x2e76b591f4073160,
  0x959cf6e39630475e, 0x287386836bcb955a, 0xbeace75152a8d77c, 0x9ae0404e9b95daa5, 0x5f0e2572fb1e9e1c,
  0xe7407973daad115e, 0x5844c2f52d794e02, 0x19d10363fc502169, 0xb612e65f36d38c6f, 0x790347f1a2cd101b,
  0xc867a616837eeacc, 0x66587659289c659a, 0x38b33f0cf257ee68, 0x0000000000001f20,
};

// a5505_swio14_lednop_pr_u4         a6617c_swio14_lednop_pr_u4        a664251_swio14_lednop_pr_u4
static const uint64_t ur_t167_swio14_lednop_pr_u4[] = {
  0x937777768911c056, 0xb5cb4b10ac5c6b1a, 0x7af4f7d7f85c8866, 0xf21713b6fd2a45c7, 0x85fe3fc5eeea4888,
  0x9f193bb2ef419991, 0x1effc535b3ebee60, 0xa8e801df2dbda221, 0x7f3a88e3a7f064d7, 0x88c6f9cc580b2ca6,
  0x3ff6608ebd1f3b64, 0xa07967b707fa4540, 0x70d06d7972ab5976, 0x9cea2a551aef850e, 0x0809d372bb54b7d5,
  0xc4ae5f63d3c3935c, 0x6bae7b55a22bcbe1, 0xa417296be74078e5, 0x414e31bc67440842, 0xdb18c55bd8aaa2d2,
  0xe4d5c1e6c25ccbe6, 0x31e40fca1a2cb3a2, 0x7bde50c2a73f53ab, 0xfe07f197e627ff78, 0x4fc0fdffc1343cc9,
  0x66b219e98577d1ee, 0xb9a19961d9f02719, 0xf93080bd15d3c95f,
};

/*
 * t167_swio14_lednop_pr_ee_u4       a5505_swio14_lednop_pr_ee         a5505_swio14_lednop_pr_ee_u4
 * a6617c_swio14_lednop_pr_ee        a6617c_swio14_lednop_pr_ee_u4     a664251_swio14_lednop_pr_ee
 * a664251_swio14_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_swio14_lednop_pr_ee[] = {
  0x426eeeeed12232a8, 0x6d5cb4b1ea7416b1, 0xfd3d313b007a5f12, 0x3c8a671f1a67ed4d, 0x345a8ac811488942,
  0x4f8c9dd9c5b7059f, 0x1adfe29ad9f4b530, 0xd82cd56b4663d110, 0x51f06cc1f51ea3ca, 0xd3ad08a1df15a9ef,
  0x909afa30b2c4522c, 0xc73ab4bba55c6b26, 0xba1d79d3769111cd, 0x908a17c471958d56, 0x1fadc37b2d973170,
  0xaad402b589e546c1, 0xbbe1439c341b5e5c, 0xd52df5673a8a9546, 0xf0e4d7020274dcae, 0x8af2f8712b97d8f4,
  0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x9732f9b6c63156f6, 0x8b2ce8b9357079b0,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0x4d0f327f81fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61,
  0x74f257ee68665876, 0x0000000275fa7b45,
};

/*
 * t167_swio14_lednop_pr_ce_u4       a5505_swio14_lednop_pr_ce         a5505_swio14_lednop_pr_ce_u4
 * a6617c_swio14_lednop_pr_ce        a6617c_swio14_lednop_pr_ce_u4     a664251_swio14_lednop_pr_ce
 * a664251_swio14_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_swio14_lednop_pr_ce[] = {
  0x93dddddda2447705, 0x3f72d2c30e1fbac1, 0xa2ed91d623e2d4cc, 0x07f0b79019b200be, 0x2650b69764f74c9f,
  0x304f8c9dd6c5ab05, 0x10df7fe29ad9f8ad, 0x953bb75551f59111, 0xd8488bee24b1e78c, 0x7292bf459784bf10,
  0x7b96086b266a8ee3, 0xc74fe0d67fa8f2fa, 0x8df398b0163de951, 0xeccf1d7a3e76c911, 0x3cb5ba0ff48a807f,
  0x6836bcb955acbb50, 0x75152a8d77c28738, 0x04e9b95daa5beace, 0x572fb1e9e1c9ae04, 0xd73daad115e5f0e2,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0xd5c1e6c25ccbe6db, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0xbdd5bd15d3c95fb9, 0x000000000000006e,
};

// a5505_swio14_lednop_pr_ee_ce      a6617c_swio14_lednop_pr_ee_ce     a664251_swio14_lednop_pr_ee_ce
static const uint64_t ur_t167_swio14_lednop_pr_ee_ce[] = {
  0x0dbddddddd4458e2, 0xf1772d2c42b725ac, 0xdc1d467aa6ec78d7, 0xdb7b3f3131269619, 0xe3d3a82ce250e0db,
  0xf193baecb4a71d68, 0xd7f8a6b67e76e609, 0xb563faa33868886e, 0x1b9d1ffcf192a77b, 0xca76b02bdf339d77,
  0x06cc1e95ea3caca5, 0xd08a05315943f51f, 0xafa30b2c4522cd3a, 0xb8e7576e74a3a909, 0xe363af3a6ed22239,
  0x242285f11c656355, 0x226470decb65cc5c, 0x955a9676b13ca8d8, 0xd77c287386836bcb, 0xdaa5beace75152a8,
  0x9e1c9ae0404e9b95, 0x115e5f0e2572fb1e, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x25ccbe6db1898ede, 0xa1a2cd102e4d5c6c, 0x85a0dfbab31e40fc, 0x964a271966b219e9, 0x5d3c95fb9a19961d,
  0x000000029a68bed1,
};

// a5505_swio14_lednop_pr_ee_ce_u4   a6617c_swio14_lednop_pr_ee_ce_u4  a664251_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t167_swio14_lednop_pr_ee_ce_u4[] = {
  0x3bdddddda2435f41, 0x6ee5a58b8144eac6, 0xfd29dba6ed902e23, 0x6d4fd29217063891, 0x81664699c88707c7,
  0x27c64eed6b4ed571, 0x007f822c99ffd798, 0x005547d51dba4442, 0x5f71258f3ca17072, 0xfa2cbc25f886c244,
  0xf7be66a8ee3702c9, 0x57a8f2b29729dacc, 0xc5650fd47c1b307a, 0xb1148b34eb422814, 0xb9d28ea426be8c2c,
  0xe9bb4888e6e39d5d, 0xc471958d578d8ebc, 0x7b2d973170908a17, 0xdac4f2a3608991c3, 0xce1a0daf2e556a59,
  0xb39d454aa35df0a1, 0x81013a6e576a96fa, 0x3895cbec7a78726b, 0xad75cf6ab445797c, 0x5482e52d7ce80f1c,
  0x4829c6378ce88108, 0xb6c6263b7b15545a, 0x59d0dc79b09732f9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x000013f026b18ae9,
};

/*
 * t167_swio14_dual_pr               t167_swio14_dual_pr_u4            a5505_swio14_dual
 * a5505_swio14_dual_pr              a5505_swio14_dual_pr_u4           a6617c_swio14_dual
 * a6617c_swio14_dual_pr             a6617c_swio14_dual_pr_u4          a664251_swio14_dual
 * a664251_swio14_dual_pr            a664251_swio14_dual_pr_u4
 */
static const uint64_t ur_t167_swio14_dual[] = {
  0x17777776890d365a, 0xf56df5fe2fed2995, 0xacfb765dd333f78b, 0x10320b8ceb20a667, 0xaf69c9263b2dda8a,
  0xf19364ee43f368bc, 0xa0644a4a42a46609, 0x0e02493eb0bc10fd, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xe6e35d80370f8510, 0x96846488655777bb, 0xfe80e784d6b45421,
  0x010ff35784b6e52f, 0x220517fd90ff3058, 0x7bf51fba3be596ba, 0xf33930f71c74fe0f, 0x90046989cc580aa0,
  0x403ff6608ebc019d, 0xcea07967b6f78df5, 0x6b3f8abe77715257, 0xf0a1ce1a0daf2e55, 0x96fab39d454aa35d,
  0x726b81013a6e576a, 0x797c3895cbec7a78, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8,
  0x997cdb6318ab7b15, 0xc68b2ce86e3cd84b, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65,
  0x615df47b93f03f7f, 0x767c09c659ac867a, 0xc574f257ee686658, 0x000000002926838c,
};

// a5505_swio14_dual_pr_ee           a6617c_swio14_dual_pr_ee          a664251_swio14_dual_pr_ee
static const uint64_t ur_t167_swio14_dual_pr_ee[] = {
  0xa76eeeee87ad0c86, 0xcf56df5f98d71530, 0xf5c2f767120a89c8, 0x3751c6c305947d3e, 0x43b363aeebe1994e,
  0x33b956d36c1398a8, 0x525217459827c64d, 0x49f585e087ed0322, 0xdd3e25c40c287012, 0x00b5318ffe655bb9,
  0x569bd47275b04b47, 0xfdf04508e489fc1c, 0x600dc3e144312bfc, 0x4432abbbddf372e8, 0x0983dc54219682fb,
  0xaf096df4d7fd01cf, 0xfb21fe60b0021fe6, 0x355ad1fee44402d7, 0x3660c3dfa8f2bb75, 0x8450ef8af4dfa8f8,
  0x7d185962291669d6, 0x69760ab8a973484d, 0xea25d8c7a33d4e75, 0xd291c436355ae875, 0x1bd97d2cc5c24228,
  0x2c8a22aa3608fd6e, 0xacfe2af9ddc54940, 0xc287386836bcb955, 0x5beace75152a8d77, 0xc9ae0404e9b95daa,
  0xe5f0e2572fb1e9e1, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x65f36d8c62adec55,
  0x8d160bb1b8f3612e, 0x539fa9d599bf83bb, 0xe2e7197e627f2861, 0xfc73df81f343cc9f, 0x38cb3590cf4c2d06,
  0x4afdcd0ccb0ecf81, 0x00005642b518ae9e,
};

// a5505_swio14_dual_pr_ee_u4        a6617c_swio14_dual_pr_ee_u4       a664251_swio14_dual_pr_ee_u4
static const uint64_t ur_t167_swio14_dual_pr_ee_u4[] = {
  0x40bdddddda2432db, 0x71d5b7d7e6255ea6, 0x56d71dd3b4d3a0dc, 0x05d89e4a52b53ecb, 0xa44f51f1d775f0ce,
  0xc934b7268fefb833, 0x644a4a42e8b304f8, 0x02493eb0bc10fda0, 0x773ba7c4b881850e, 0xac70275325afccab,
  0xc1efb9bd478adb01, 0xbfcfdf04508e489f, 0x995000dc3e144312, 0x23da21955ddeef9b, 0x073c269122a10cb4,
  0x7f9abc25b7d35ff4, 0x0b5fec87f982c008, 0xd4f4d56b47019110, 0x51f06cc1c89ea3ca, 0xd3ad08a1df159c3f,
  0x909afa30b2c4522c, 0x1cead2e9597082e6, 0xa1d7b589d900460a, 0x1143de8f22d8d56b, 0xf5b86f65c7c62e12,
  0x157ceee2a4ab8b87, 0x9c341b5e5caad67f, 0x673a8a9546bbe143, 0x020274dcaed52df5, 0x712b97d8f4f0e4d7,
  0xfd6b9ed5688af2f8, 0x5ea58594d8b3a03c, 0x8145f4502169ab9d, 0x732f9b69c6378ce8, 0xb8d1659d0dc79b09,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xfe09a1e64ff03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0x18ae9e4afdcd0ccb, 0x00000000002b274f,
};

/*
 * t167_swio14_dual_pr_ce_u4         a5505_swio14_dual_pr_ce           a5505_swio14_dual_pr_ce_u4
 * a6617c_swio14_dual_pr_ce          a6617c_swio14_dual_pr_ce_u4       a664251_swio14_dual_pr_ce
 * a664251_swio14_dual_pr_ce_u4
 */
static const uint64_t ur_t167_swio14_dual_pr_ce[] = {
  0x647777776890cf68, 0x76adbebf6da8fa98, 0xeecdeeb627651c7a, 0xc9d4ccdd56875c21, 0x7626ba27f5dee991,
  0x8c968b72d656e44b, 0x0644a4a41d7d304f, 0xe02493eb0bc10fda, 0xb773ba7c4b881850, 0x8ac701ad313afcca,
  0xfc1e569bd47d37b0, 0x2bfcfdf04508e489, 0x71a0e00dc3e14431, 0x40ca4432abbbddf3, 0x4073c26ea22a10cb,
  0x0ff35784b6f63fff, 0x035bfd90ff305801, 0x070e0d547d4c7a22, 0x2445f71258f3ca17, 0xa3ffa2cbc25f886c,
  0x582152e66a8ee373, 0x9fc1dadea384f9ee, 0x4e62c0528bb7e38e, 0x3c75e00cec80234c, 0xd6e7bc6faa01ffb3,
  0x7ceee2a4af9d40f2, 0x341b5e5caad67f15, 0x3a8a9546bbe1439c, 0x0274dcaed52df567, 0x2b97d8f4f0e4d702,
  0xeb9ed5688af2f871, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490, 0xa1b8f3612e65f36d,
  0xab337f07771a2cb3, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1,
  0x5fb9a19961d9f027, 0x000692631315d3c9,
};

// a5505_swio14_dual_pr_ee_ce        a6617c_swio14_dual_pr_ee_ce       a664251_swio14_dual_pr_ee_ce
static const uint64_t ur_t167_swio14_dual_pr_ee_ce[] = {
  0x2beddddddd43359b, 0x65ab6faff16d3ca6, 0xefd5f753ecb534e7, 0xeb06e39dee30f900, 0xd0672b8d8f5c6af8,
  0x9d72382d1e1b5d66, 0x49483e7d304f8c98, 0x27d617821fb40c89, 0x74f8971030a1c049, 0x5adcd5bff9956ee7,
  0x737a8e9b7b09db38, 0x7c114239227f0633, 0x0370f8510c4aff3f, 0x1955ddeef9b8edd8, 0xce962a10cb40a1a2,
  0x096dfb07fe80e784, 0x21fe60b0021fe6af, 0xfaa3c088885adffb, 0x03f9e50b8396b763, 0x6059ba673aee370c,
  0x7b7fd4795cae94ed, 0x14c57befd47c1b30, 0x2cb1148b34eb4228, 0x5db9828ea426be8c, 0x7a897631e8cf539d,
  0x6948e21b1aaf1b1d, 0x0decbe9662e12114, 0xcf2288aa8d822647, 0x6b3f8abe77715252, 0xf0a1ce1a0daf2e55,
  0x96fab39d454aa35d, 0x726b81013a6e576a, 0x797c3895cbec7a78, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x545a4829c6378ce8, 0x32f9b6c6263b7b15, 0x8d166880dc79b097, 0x2d06fdd599bf83bb, 0xcf8138cb3590cf4c,
  0xae9e4afdcd0ccb0e, 0x00000002609d2718,
};

// a5505_swio14_dual_pr_ee_ce_u4     a6617c_swio14_dual_pr_ee_ce_u4    a664251_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_t167_swio14_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b766c4f, 0xb6faf1b657b5319f, 0xc16d578ebfda57da, 0x3ef3373684dcb269, 0x4164048b3e8d482b,
  0x3a55816d1c86b8bb, 0xb304f8c976572ac0, 0x43f6819129291ae0, 0x0614380924fac2f0, 0xf99696fcee9f12e2,
  0x9b0fd7381adcd30d, 0x913f83adf9bd4714, 0x86257f9fbe08a11c, 0x7cdc88c401b87c28, 0x65a115910caaeef7,
  0xff4073c2695d1508, 0x010ff35784b6f723, 0x1035bfff8bb53058, 0x766b7551f5467051, 0x9117dc4963cf285e,
  0x18fe8b2f097e21b0, 0x667cdd3354771b91, 0x7b7fd4795cae94ed, 0x14c57befd47c1b30, 0x2cb1148b34eb4228,
  0x5db9828ea426be8c, 0x7a897631e8cf539d, 0x6948e21b1aaf1b1d, 0x0decbe9662e12114, 0xcf2288aa8d822647,
  0x6b3f8abe77715252, 0xf0a1ce1a0daf2e55, 0x96fab39d454aa35d, 0x726b81013a6e576a, 0x797c3895cbec7a78,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b6c6263b7b15, 0x2ce8b9357079b097,
  0x9d599bf83f6ec68b, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x000800106ae7d79e,
};

/*
 * t167_swio15_noled_pr              a5505_swio15_noled                a5505_swio15_noled_pr
 * a6617c_swio15_noled               a6617c_swio15_noled_pr            a664251_swio15_noled
 * a664251_swio15_noled_pr
 */
static const uint64_t ur_t167_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885648b58, 0x9a4cf746d0b2a0c9, 0x04f066127bb4c9df, 0x2f64188f1f79375b,
  0xc7cc13e32775a9e8, 0x1110dbffe4bf0e7c, 0x3e7bd47884ef96e9, 0x7ba6d296bc71d3f8, 0x3b5c3464d1cc580b,
  0x95ff71cb1823af17, 0x7386836bcb955a95, 0xece75152a8d77c28, 0xc9ace9b95daa5bea, 0x2f8712ad5fefe9e1,
  0x3bcfd6b9ed5688af, 0x0b9d4ea701652a7d, 0xce88117ee2810b4b, 0xb09732f9b69c6378, 0xc81a3f8d166880dd,
  0x433d30b41bf75663, 0x32c3b2c944e32cd6, 0x0119f86792bf7343, 0x0000000000001f20,
};

// a5505_swio15_noled_pr_u4          a6617c_swio15_noled_pr_u4         a664251_swio15_noled_pr_u4
static const uint64_t ur_t167_swio15_noled_pr_u4[] = {
  0xddbbbbbb4488aaac, 0xb5cb4b10ac36eb13, 0xfad4f70f8da48866, 0x8f2091231d7eefb1, 0xef1e5c684dd9ee88,
  0x04f8c9dd583a6c44, 0x40caff14d6cfbf93, 0x3d4797c77cb41f44, 0x68f7a5471d3f83e8, 0x2147bd9cc580b2ca,
  0x01ffb30475e8f9da, 0x5b81e59ed88a4d2a, 0x39c341b5e5caad5f, 0x7673a8a9546bbe14, 0xe4d674dcaed52df5,
  0x97c38956aff7f4f0, 0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x732f9b632455bd8a,
  0xb2ce8b9357079b09, 0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xdf47b93f03f7ff04,
  0xc09c659ac867a615, 0x4f257ee686658767, 0x000003e4f596b457,
};

/*
 * t167_swio15_noled_pr_ee_u4        a5505_swio15_noled_pr_ee          a5505_swio15_noled_pr_ee_u4
 * a6617c_swio15_noled_pr_ee         a6617c_swio15_noled_pr_ee_u4      a664251_swio15_noled_pr_ee
 * a664251_swio15_noled_pr_ee_u4
 */
static const uint64_t ur_t167_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1222582, 0xdab96963d4e85d60, 0x697571e8db623e24, 0xf2298ebe19e2f7a6, 0xa2d055a08a4442f6,
  0x7c64ee9d6d1225aa, 0x56ff14d6cf93a982, 0x297355ad1bf88884, 0x8f83660c27fa8f2b, 0x9d68450ef8aca1fa,
  0x84d7d18596229166, 0x39d5a5d2b2e35934, 0xd0ebce9bb7508f24, 0x08a3e44707ec6ab5, 0xfadc37b2d9731709,
  0x5a805d260b546c11, 0x7c287386836bcb95, 0x5beaece75152a8d7, 0xe9e1c9ace9b95daa, 0x88af2f8712ad5fef,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x3612e65f36c648ab, 0x50d1659d1726ae0f,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xfe09a1e64ff03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0xe8ae9e4afdcd0ccb, 0x000000000013ae59,
};

/*
 * t167_swio15_noled_pr_ce_u4        a5505_swio15_noled_pr_ce          a5505_swio15_noled_pr_ce_u4
 * a6617c_swio15_noled_pr_ce         a6617c_swio15_noled_pr_ce_u4      a664251_swio15_noled_pr_ce
 * a664251_swio15_noled_pr_ce_u4
 */
static const uint64_t ur_t167_swio15_noled_pr_ce[] = {
  0xefdddddda24477d6, 0x3f72d2c30e62fac6, 0x417420d75e5ed4cc, 0xe0fe17421b0b4663, 0xfda6967ef1deeeef,
  0xe609f193bb61b7c8, 0x22195bfc535b3fa6, 0x92a772baaa3ebdd2, 0x1b09117dc4963cf1, 0x6e321fe8b2f097e2,
  0x4f72c10d64cd51dc, 0x8e3a7f064f7a8f37, 0xa3dece62c0532a71, 0xffd99e3af47ced10, 0x703cb5b845269500,
  0x386836bcb955abeb, 0xce75152a8d77c287, 0x9ace9b95daa5beae, 0xf8712ad5fefe9e1c, 0x7c5aeb9ed5688af2,
  0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0xcbe6d8c863b7b155, 0xb3a2e4d5c1e6c25c, 0x53ab31e40fca1a2c,
  0xff787bde50c2a73f, 0x3cc9fe07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0,
  0x00006ebbcdbd15d3,
};

// a5505_swio15_noled_pr_ee_ce       a6617c_swio15_noled_pr_ee_ce      a664251_swio15_noled_pr_ee_ce
static const uint64_t ur_t167_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a232a8, 0x5dcb4b10ad4ceb10, 0x6f6e0ed9305e35fc, 0xbd9f0bd71b453770, 0x725a17389439006d,
  0x64eece2d374cfba7, 0xfe29ad9f4db9827c, 0xd8fea8cbaa220337, 0xcd507f3c64a9d8cd, 0x3b5815ef99cebb8d,
  0x660cf5f51e5670e5, 0x450298acbafa8f83, 0xd185962291669d68, 0x73abb72561d484d7, 0xb1d79d376ea11e48,
  0x228f911c1fb1aaf1, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822, 0xf850e70d06d7972a, 0xb7d5d9cea2a551ae,
  0xd3c39359d372bb54, 0x115e5f0e255abfdf, 0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637,
  0xd84b997cdb190c76, 0x0d165eae5c9ab83c, 0x539fa9d598f207e5, 0xd0f327f8138d2861, 0xac867a616837ef88,
  0x686658767c09c659, 0xf89f5f4574f257ee, 0x0000000000000009,
};

// a5505_swio15_noled_pr_ee_ce_u4    a6617c_swio15_noled_pr_ee_ce_u4   a664251_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t167_swio15_noled_pr_ee_ce_u4[] = {
  0xd3dddddda2436812, 0x6ee5a58b81233ac3, 0x1d0ddbb8bd042e23, 0x6d4fd2ad0247a759, 0x32313be9c887077a,
  0x7c64eed17eb624d7, 0x7ffc1164cf8a4982, 0xfd547d51e9b4442b, 0xee24b1e7942e0e56, 0x459784bf10d8488b,
  0xef99aa3b8dc76eff, 0xea3cace1ca76b33d, 0x5975f51f06cc19eb, 0x4522cd3ad08a0531, 0x4ac3a909afa30b2c,
  0x6edd423c90e7576e, 0x383f6355e363af3a, 0x96cb98b848451f22, 0x982d51b044c8e1bd, 0x1a0daf2e556a59f4,
  0x9d454aa35df0a1ce, 0xb3a6e576a96fabb3, 0x1c4ab57fbfa78726, 0x16bae7b55a22bcbe, 0x0eea6c529e1a779f,
  0x696d138c6f19d102, 0xf9b63218edec5551, 0x1659d0dc79b09732, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec, 0x00000013f0dc818a,
};

// a5505_swio15_lednop               a6617c_swio15_lednop              a664251_swio15_lednop
static const uint64_t ur_t167_swio15_lednop[] = {
  0x6c1ddddddd66ef3a, 0x0eee5a5885626758, 0x7dcc77438a38e0c9, 0x7833093dcc446bf0, 0x640b88dbd9fbad82,
  0x7b9827c64eeb53dd, 0x1110eebfc97e1cfc, 0x3e7bd479b8ef96e9, 0xbdd319538c71d3f8, 0xcecf7a3b58e62c05,
  0xb045dc72c608ebc5, 0x0e70d06d7972ab52, 0x5d9cea2a551aef85, 0xc0809d372bb54b7d, 0x0e2572563d3c3935,
  0x2b5d73daad115e5f, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x36d02a2adec55516, 0xfc7c3b1bb612e65f,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x0005492fe67e19e4,
};

/*
 * t167_swio15_lednop_pr_u4          a5505_swio15_lednop_pr            a5505_swio15_lednop_pr_u4
 * a6617c_swio15_lednop_pr           a6617c_swio15_lednop_pr_u4        a664251_swio15_lednop_pr
 * a664251_swio15_lednop_pr_u4
 */
static const uint64_t ur_t167_swio15_lednop_pr[] = {
  0xbb77777689119391, 0x6b9696215aa1d627, 0x7b64f54c0e2910cd, 0x8f2091236c66cf7a, 0x482fcc6b4dd9ee88,
  0x04f8c9dd8e3b8bec, 0x031ffe29ad9fa953, 0x7a8fa51df2d07d11, 0xa0304f8e3a7f07d0, 0xf11c64731602cb29,
  0x07fecc11d7a3e765, 0xc81e59ed8dfb86a8, 0x9c341b5e5caad6e1, 0x673a8a9546bbe143, 0x20274dcaed52df57,
  0x895c958f4f0e4d70, 0xd75cf6ab445797c3, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4,
  0xc9ab83cd84b997cd, 0x63c81f9434596745, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x9f81fbff82687993,
  0xcd6433d30aefa3dc, 0x734332c3b3e04e32, 0xf26ae0ba2ba792bf, 0x0000000000000001,
};

/*
 * t167_swio15_lednop_pr_ee_u4       a5505_swio15_lednop_pr_ee         a5505_swio15_lednop_pr_ee_u4
 * a6617c_swio15_lednop_pr_ee        a6617c_swio15_lednop_pr_ee_u4     a664251_swio15_lednop_pr_ee
 * a664251_swio15_lednop_pr_ee_u4
 */
static const uint64_t ur_t167_swio15_lednop_pr_ee[] = {
  0x17bdddddda244511, 0x4dab96963d4c20ac, 0x14627699e97119e2, 0x7b7914c75f42e19e, 0xc447ec89b0452221,
  0xc13e32777ed6a332, 0x81c1ff14d6cfd0fc, 0x2b53d355ad1bf888, 0x7a8f83660c27fa8f, 0x669d68450ef8af02,
  0x3484d7d185962291, 0x1439d5a5e43ae359, 0xb5d0ebce9bb7748c, 0x0908a26e47916c6a, 0x11fadc37b2d97317,
  0xcaad4021149a546c, 0x6bbe1439c341b5e5, 0xd52df57673a8a954, 0xf0e4d7020274dcae, 0x45797c3895c958f4,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b997cdb40a8ab7b, 0x4596745c9ab83cd8,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2687993fc0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xba792bf734332c3b, 0x000000009d7815a2,
};

/*
 * t167_swio15_lednop_pr_ce_u4       a5505_swio15_lednop_pr_ce         a5505_swio15_lednop_pr_ce_u4
 * a6617c_swio15_lednop_pr_ce        a6617c_swio15_lednop_pr_ce_u4     a664251_swio15_lednop_pr_ce
 * a664251_swio15_lednop_pr_ce_u4
 */
static const uint64_t ur_t167_swio15_lednop_pr_ce[] = {
  0xefdddddda2445541, 0x3f72d2c30e433ac6, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x739eb8d3537bbbbf,
  0x9827c64eea0ade9c, 0x885baff14d6cfc72, 0x4a9de9baa8faf748, 0x6c2445f71258f3c6, 0xb8495fa2cbc25f88,
  0x3dcb043593354771, 0x38e9fc193dea3ce3, 0x1c6473160298f3d6, 0xfeccf1d7a3e765f1, 0x0796b70dfb86a807,
  0x0d06d7972ab5b872, 0xcea2a551aef850e7, 0x09d372bb54b7d5d9, 0x572563d3c3935c08, 0xd73daad115e5f0e2,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0xd5c1e6c25ccbe6da, 0xe40fca1a2cb3a2e4,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343cc9fe, 0xb219e98577d1ee4f, 0xa19961d9f0271966,
  0x5eacad15d3c95fb9, 0x0000000000000037,
};

// a5505_swio15_lednop_pr_ee_ce      a6617c_swio15_lednop_pr_ee_ce     a664251_swio15_lednop_pr_ee_ce
static const uint64_t ur_t167_swio15_lednop_pr_ee_ce[] = {
  0x200ddddddd447e4a, 0xf8bb9696215960d6, 0x68cf51dee14d4c6b, 0x6dbd9f0be99ae369, 0x2465d84138943900,
  0x3e32775eb694a57c, 0x347f8a6b67dfe4c1, 0x868b1fd519754440, 0xdc6e341ff3c64a9d, 0x8729dac0af7cce75,
  0x7c1b3067afa8f2b2, 0xeb422814c56c17d4, 0x26be8c2cb1148b34, 0xc1439d5dba438ea4, 0x578d8ebce9bb7748,
  0xe121144dc8f22d8d, 0xc1132386f65b2e62, 0x5caad4b31149a546, 0x46bbe1439c341b5e, 0xed52df57673a8a95,
  0x4f0e4d7020274dca, 0x445797c3895c958f, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x09732f9b681463b7, 0x2868b3440b93571b, 0x616837eeacc7903f, 0x659289c659ac867a, 0x574f257ee6866587,
  0x000000014d3b1ff4,
};

// a5505_swio15_lednop_pr_ee_ce_u4   a6617c_swio15_lednop_pr_ee_ce_u4  a664251_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t167_swio15_lednop_pr_ee_ce_u4[] = {
  0xd3dddddda243704a, 0x6ee5a58b8164eac3, 0x5d295ba7ecd82e23, 0x6d4fd2ad08cc489a, 0x667627c8c887077a,
  0x3e32776e768f6aef, 0xfbfc1164cff60cc1, 0xf5547d51e9b44410, 0xee24b1e7942e0e21, 0x459784bf10d8488b,
  0xef99aa3b8dce1fff, 0xea3caca1ca76b33d, 0x5b05f51f06cc19eb, 0x4522cd3ad08a0531, 0x90e3a909afa30b2c,
  0x6eddd23050e7576e, 0x3c8b6355e363af3a, 0x96cb98b848451372, 0x526951b044c8e1bd, 0x0d06d7972ab52cc4,
  0xcea2a551aef850e7, 0x09d372bb54b7d5d9, 0x572563d3c3935c08, 0xd73daad115e5f0e2, 0x0b94b5f3a03c72b5,
  0xa718de33a2042152, 0x0518edec55516920, 0x4371e6c25ccbe6da, 0x5666fe0eee345967, 0xf0f7bca1854e7ea7,
  0x93fc0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x004fccb4a62ba792,
};

/*
 * t167_swio15_dual_pr               t167_swio15_dual_pr_u4            a5505_swio15_dual
 * a5505_swio15_dual_pr              a5505_swio15_dual_pr_u4           a6617c_swio15_dual
 * a6617c_swio15_dual_pr             a6617c_swio15_dual_pr_u4          a664251_swio15_dual
 * a664251_swio15_dual_pr            a664251_swio15_dual_pr_u4
 */
static const uint64_t ur_t167_swio15_dual[] = {
  0x23bbbbbb4486ff3e, 0xfab6faff17b294cb, 0xd2c5bb1c7c89fbc5, 0x08190fa6af8ed06e, 0x57b086739eb6ed91,
  0xf19364ee4339aeb7, 0xa0644a4a45d0e609, 0x0e02493eb0bc10fd, 0xab773ba7c4b88185, 0x05f67028b3393fcc,
  0x27f06654dea3bf9b, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb42324432abbbdd, 0xff4073c26b5a2a10,
  0x0087f9abc25b7287, 0x110fddfec87f982c, 0x0ffa8fb7cef967bd, 0xf32568f71c74fe0e, 0xb4a47109cc580aa0,
  0x403ff6608ebc019d, 0x02503cb3db4c6325, 0x5acfe2af9ddc5497, 0x7c287386836bcb95, 0x5beaece75152a8d7,
  0xc9ae0404e9b95daa, 0xf2f8712b92b1e9e1, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1,
  0x32f9b6815156f62a, 0x8d1659d0dc79b097, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0xe09a1e64ff03f8cb,
  0xc2bbe8f727e07eff, 0xecf8138cb3590cf4, 0x8ae9e4afdcd0ccb0, 0x00000000524d79f1,
};

// a5505_swio15_dual_pr_ee           a6617c_swio15_dual_pr_ee          a664251_swio15_dual_pr_ee
static const uint64_t ur_t167_swio15_dual_pr_ee[] = {
  0x56eeeeeea0a1a5fb, 0xeadbebf31aef530a, 0x7dc6efda3b513919, 0xd4710149ae806c5f, 0xf26517baf866528d,
  0xcee4f05bc7f2ac26, 0x494874ea609f1934, 0x27d617821fb40c89, 0x74f8971030a1c049, 0x02d4c63ff9956ee7,
  0x5a6f51c9d6c12d1c, 0xf7c114239227f071, 0x00370f8510c4aff3, 0x10caaeef77cdceeb, 0x260f7150865a0bed,
  0x784b6f3b7ff4073c, 0xd90ff3058010ff35, 0x55ad1b934443a7ff, 0x660e3dfa8f2bd373, 0x450ef8af677a8f83,
  0xd185962291669d68, 0x9753cb8a973484d7, 0x512ecfe23ea0e756, 0xea8fe4b1aad743af, 0xdecbe9662e121141,
  0x87cded51b047eb70, 0xb3f8abe777152500, 0x0a1ce1a0daf2e556, 0xfabb39d454aa35df, 0x6b81013a6e576a96,
  0xbe1c4ae4ac7a7872, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xbe6da05455bd8aaa,
  0x165eae371e6c25cc, 0x9fa9d599bf83bb8d, 0xf327f8138d286153, 0x867a616837ef88d0, 0x6658767c09c659ac,
  0x1d14c574f257ee68, 0x0000000000000564,
};

// a5505_swio15_dual_pr_ee_u4        a6617c_swio15_dual_pr_ee_u4       a664251_swio15_dual_pr_ee_u4
static const uint64_t ur_t167_swio15_dual_pr_ee_u4[] = {
  0x667bbbbbb4486f97, 0xe3ab6fafcc77ed4c, 0x5b5dfba3dac341b8, 0x6762792bb2db178d, 0xe82c8068bdd7c336,
  0x324d2dcbbb36d054, 0x19129290e9d4c13e, 0x80924fac2f043f68, 0xddcee9f12e206143, 0x6b1c09d4c96bf32a,
  0xf07bee6f51e2b6c0, 0xaff3f7c114239227, 0xce8f80370f8510c4, 0x11ed10caaeef77cd, 0x039e13489150865a,
  0x7f9abc25b79dbffa, 0xd3ffec87f982c008, 0xe049aad68d7da221, 0xa3e0d983eebd4795, 0xa75a1143be2b2ebe,
  0x2135f4616588a459, 0x39d5a5fe72e105cd, 0x875ed6276d291cbe, 0x2284c518f96355ae, 0xeb70decb8f8c5c24,
  0x157ceee2a4ab8b5b, 0x9c341b5e5caad67f, 0x673a8a9546bbe143, 0x20274dcaed52df57, 0x895c958f4f0e4d70,
  0xeb5cf6ab445797c3, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0x997cdb4e31bc6744, 0xc68b2ce86e3cd84b,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xf04d0f327f81fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0xc574f257ee686658, 0x0000000000ac9028,
};

/*
 * t167_swio15_dual_pr_ce_u4         a5505_swio15_dual_pr_ce           a5505_swio15_dual_pr_ce_u4
 * a6617c_swio15_dual_pr_ce          a6617c_swio15_dual_pr_ce_u4       a664251_swio15_dual_pr_ce
 * a664251_swio15_dual_pr_ce_u4
 */
static const uint64_t ur_t167_swio15_dual_pr_ce[] = {
  0x9627777776890c86, 0xd3b56df5fb6d00a9, 0xd5b93375053d68e3, 0x9c9d4cca75cea2f2, 0xf7317bb0b27deed8,
  0x4f8c968b72ada6b4, 0xda0644a4a4446330, 0x50e02493eb0bc10f, 0xcab773ba7c4b8818, 0xb08ac701ad313afc,
  0x89fc1e569bd47d37, 0x312bfcfdf04508e4, 0xf9b8a4800dc3e144, 0x65a065221955ddee, 0xffa039e137511508,
  0x0087f9abc25b719b, 0x110383fec87f982c, 0x85c1c275551f57f1, 0x1b09117dc4963cf2, 0xdc683fe8b2f097e2,
  0x7b960854b99aa3b8, 0x71d3f83117d47912, 0x3884e62c05fdc654, 0xfb33c75e00ceda52, 0x0796b7263192a01f,
  0xfc55f3bb8a92e04a, 0x0e70d06d7972ab59, 0x5d9cea2a551aef85, 0xc0809d372bb54b7d, 0x0e2572563d3c3935,
  0x2b5d73daad115e5f, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516, 0x9674371e6c25ccbe,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x87993fc0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000000d245d862ba,
};

// a5505_swio15_dual_pr_ee_ce        a6617c_swio15_dual_pr_ee_ce       a664251_swio15_dual_pr_ee_ce
static const uint64_t ur_t167_swio15_dual_pr_ee_ce[] = {
  0x2716eeeeeea1a5fb, 0xd96adbebfc58fc53, 0xfbd7bddb178d4d39, 0x75837272b4107c89, 0x25f5ebbec7ae39c4,
  0x4eb93c16cb215658, 0xa4a465b49827c64c, 0x93eb0bc10fda0644, 0xba7c4b881850e024, 0x2d6e6adffccab773,
  0xb9bd474dbd84ed9c, 0xbe08a11c913f8319, 0x01b87c2886257f9f, 0x8655777bbe6e2e08, 0x33a58a8432d02868,
  0xc25b735bffa039e1, 0xc87f982c0087f9ab, 0x7f547959110c41fe, 0x523f9e50b839882c, 0xd6059ba673aee371,
  0x8332bd4795efb94e, 0x40a62bb75ea3e0d9, 0x616588a459a75a11, 0xeaedca78752135f4, 0x75ea25d9fc47d41c,
  0x507aa3f92c6abc6c, 0x1c37b2fa598b8484, 0xa598f9bdaa360899, 0xaad67f157ceee2a4, 0xbbe1439c341b5e5c,
  0x52df57673a8a9546, 0x0e4d7020274dcaed, 0x5797c3895c958f4f, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x732f9b681463b7b1, 0xb8d166880dc79b09, 0xc2d06fdd599bf83b, 0xecf8138cb3590cf4,
  0x8ae9e4afdcd0ccb0, 0x0000000002609ce1,
};

// a5505_swio15_dual_pr_ee_ce_u4     a6617c_swio15_dual_pr_ee_ce_u4    a664251_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_t167_swio15_dual_pr_ee_ce_u4[] = {
  0x6eeeeed15b76421f, 0xb6faf1b757b530b1, 0xc16a8fd17fda57da, 0xaffabd8261f1c16b, 0x259012258a3520a2,
  0xe99d04047f0de4f2, 0xcc13e325d95ca405, 0x0fda0644a4a432cd, 0x1850e02493eb0bc1, 0xe65a5bf3ba7c4b88,
  0x6c3f5ce06b734c37, 0x44fe0eb7e6f51c52, 0x1895fe7ef8228472, 0xf9b82a8006e1f0a2, 0xcb422b221955ddee,
  0xfe80e784d2ba2a10, 0x021fe6af096de92b, 0x21787fff176a60b0, 0xeef0eaa3ea8c9d22, 0x222fb892c79e50bc,
  0xa8fd165e12fc4361, 0x667cdd3354771b82, 0x332bd4795efb94ed, 0x0a62bb75ea3e0d98, 0x16588a459a75a114,
  0xaedca78752135f46, 0x5ea25d9fc47d41ce, 0x07aa3f92c6abc6c7, 0xc37b2fa598b84845, 0x598f9bdaa3608991,
  0xad67f157ceee2a4a, 0xbe1439c341b5e5ca, 0x2df57673a8a9546b, 0xe4d7020274dcaed5, 0x797c3895c958f4f0,
  0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x32f9b681463b7b15, 0x2ce8b9357079b097,
  0x9d599bf83f6ec68b, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe,
  0x4afdcd0ccb0ecf81, 0x0008009705e7d79e,
};

// t25_swio10_noled_pr
static const uint64_t ur_t25_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x4909a57f851bb3f2, 0x3f900f726277cb13, 0xb4a8847b874fe0c4, 0xed193c731602dee9,
  0xee39630475e2e76d, 0x826d7972ab52b167, 0x9d454aa35dc8439f, 0x849ace576a96fab3, 0xaf28844aa5f7afa0,
  0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0x441337f36c56a8ab, 0x1a3f8d166880ddb1,
  0x3d30b41bf75663c8, 0x8767d144e32cd643, 0x8c83cf257ee68665, 0x0000000000f90008,
};

static const uint64_t ur_t25_swio10_noled_pr_u4[] = {
  0x06eeeeed17622a9c, 0x772d2c42b193ac11, 0xebafdb89d4906487, 0x06612226b075338f, 0x97c5d09cdf74880f,
  0x827c64ee8d3df1e6, 0x0813ffdfa1e7cca9, 0x201ee5ae77cb1349, 0xd190f70e9fc1887f, 0x782ce62c05bdd34d,
  0xe58c11d78b9d89a4, 0xb5e5caad4aca97b8, 0x152a8d77210e7e09, 0x6b395daa5beace75, 0xa2112a97debe8212,
  0x7acef2e7b55a22bc, 0x42d2d7f88d4f0c53, 0x69e8754e05b8f8a0, 0xc9ab8d8a2099bf9b, 0x8f2076d0d16115c5,
  0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de, 0x3590cf4c2bbe8f72, 0xa19961d9f45138cb,
  0xf249b120f3c95fb9, 0x00000000000003e4,
};

static const uint64_t ur_t25_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x4cb969602172b758, 0x1a7b42f5d797bd59, 0xeef341a1104c2b31, 0xef17e3bad3fa939b,
  0xe3277699efd3b827, 0x5bfdfa1e7f4dcc13, 0x59c575ad1f749099, 0xc9cf201ee0a72569, 0xf201eec1e4e039b9,
  0x0dc3afb007f15945, 0x9801afa5b1971c27, 0xa73ab4bc7bb76339, 0xe875e00ced9223c8, 0xc7620fa326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a59f, 0x3a8a9546bb90873f, 0x09359caed52df567, 0x5e5108954bef5f41,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x88266fe6d8ad5156, 0x0d166881726ae362,
  0x2d06fdd598f2076d, 0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x00000053e2a73120,
};

static const uint64_t ur_t25_swio10_noled_pr_ee_u4[] = {
  0xfbbbbbb441baba31, 0xb96960217b2758e6, 0x7a7ef5d797bd594c, 0xef341a135a9f8f37, 0xb6430aad3fa939be,
  0x8c9dd667ad140515, 0xbff58779f1ad304f, 0x3715d6b47dd24269, 0x273c807b829c95b9, 0xc807bb079380e6e7,
  0x370ebec01fc5663f, 0x6006be96c65c709c, 0x8e75697eeadd8ce6, 0xd0ebc019d96ba38c, 0xc763a4464f4f6ab5,
  0x2ffc02f65c396701, 0x09b5e5caad474d7d, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82,
  0xf4ef3f5ae7b55a22, 0x2c2e753a9c0594a9, 0x8754e04e148a042d, 0xb8d8a2099bf9b69e, 0xd1c88d16115c5c9a,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc13442bbd147f, 0x9e98577d1ee4fc0f, 0xc3b3e8a271966b21,
  0x8ea72792bf734332, 0x0000000000275f18,
};

static const uint64_t ur_t25_swio10_noled_pr_ce[] = {
  0x9ddddddd5a75f1eb, 0xe5a584a9c2e35848, 0x71deeac8705fdb06, 0x20683b6fd2bc8d4f, 0x7f8f1afba9137132,
  0xe3277717e95b0821, 0x3feec83e7ca2cc13, 0x231f3dfd47c4847f, 0xbbd17abff3cca721, 0xbcf72df36f19cde2,
  0x3a7f0752fc807b96, 0xf1cc580b38bde3dc, 0x8cf1d78b9db7b464, 0xf2e556a3a59fb8e5, 0x9546bb90873f04da,
  0x9caed52df5673a8a, 0x08954bef5f410935, 0x7f5d73daad115e51, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381,
  0xdfcdb15a8c76ff7a, 0xd102e4d5c6c5104c, 0xeacc79031f411a2c, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c,
  0x6ebd27519079e4af, 0x0000000000000001,
};

static const uint64_t ur_t25_swio10_noled_pr_ce_u4[] = {
  0x7dddddda20dd4375, 0xcb9696041904ac70, 0xef619ed69b3fd7a1, 0x91b448b853d32e27, 0x88199b00bf7783f8,
  0x827c64ee86ed23ed, 0x1182ffac3bcfcae9, 0x701c28718bf5ea12, 0x1222fb8a880f3cca, 0xbc3fd165e12fc436,
  0xdcb3abeb264c5f45, 0xfe0f05f900f76493, 0x3160284f5f07b874, 0x1d7a3e761f11dac7, 0xbba059ea807feccf,
  0xf2e556a209503cb5, 0x9546bb90873f04da, 0x9caed52df5673a8a, 0x08954bef5f410935, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0xdfcdb15a8c76ff7a, 0x8ae2e4d5c6c5104c, 0xd598f2068e4468b0,
  0xbc3def2861539fa9, 0x5de8a3f8cbf313ff, 0xf727e07effe09a21, 0x8cb3590cf4c2bbe8, 0xfb9a19961d9f4513,
  0x01baebb075393c95,
};

static const uint64_t ur_t25_swio10_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baa80b, 0xbb96962c9c23f58d, 0x97560eb53f1f5a17, 0x348b50ea2bd72b7c, 0xae3867c2e8736d93,
  0x64eed89dc9cd38c4, 0xffac3bcfffc9827c, 0xf9efea8dd2a4274f, 0x152a3f3cca701ca1, 0x3fdad74f7cde2bbd,
  0x3c807b829c95ba58, 0x0f760f2701cbe727, 0x0ebec1c80adc9f90, 0x06be96c65c709c37, 0x89ceaf4e35f6b860,
  0x1e3af4353b4be469, 0x3b03e23b5a7b55b7, 0x993805ecb65f380e, 0x5a966b3ebfaa3608, 0xee421cfc136bcb95,
  0x54b7d59cea2a551a, 0x2fbd7d0424d672bb, 0xcf6ab44579442255, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4,
  0xc56a31dbfdeaa8b4, 0x93571b1441337f36, 0xf2068e4468b3440b, 0x90cf4c2d06fdd598, 0x9961d9f45138cb35,
  0xe7075393c95fb9a1, 0x00000000000014d3,
};

static const uint64_t ur_t25_swio10_noled_pr_ee_ce_u4[] = {
  0xf77777689f684c7f, 0xdcb4b0c392eeb0d4, 0x76e4ed3630a8036d, 0xec454df253134162, 0x2448fd27f83b53b1,
  0x4eed8bebd6aafb82, 0x0642f9f6bb9827c6, 0x17ea8e572423fcff, 0x4079e6538b49a6a3, 0x097e21b09117dc54,
  0xc98be8a148fe8b2f, 0x95ba583fdac20f7c, 0xcbe7273c807b829c, 0xdc9f900f760f2701, 0x709c370ebec1c80a,
  0xf6b86006be96c65c, 0x4be46989ceaf4e35, 0x7b55b71e3af4353b, 0x5f380e3b03e23b5a, 0xaa3608993805ecb6,
  0x6bcb955a966b3ebf, 0x2a551aee421cfc13, 0xd672bb54b7d59cea, 0x4422552fbd7d0424, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x337f36c56a31dbfd, 0xc22b8b93571b1441, 0x4eacc79035a9c1a2,
  0xfde1ef79430a9cfd, 0x0aef451fc65f989f, 0x47b93f03f7ff04d1, 0x9c659ac867a615df, 0xafdcd0ccb0ecfa28,
  0x004fc085b19079e4,
};

// t25_swio10_lednop_pr
static const uint64_t ur_t25_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x134908657f851bb3, 0xc43f900f77c877cb, 0xe99007bc7b874fe0, 0x6b591f40731602de,
  0xcf6e39630475e2e7, 0xcfc136bcb955a959, 0x59cea2a551aee421, 0x4d7020272bb54b7d, 0x9442255aba5fd042,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0xd5381b1fe2810b4d, 0xb6288266fe6da7a1, 0x790347f1a2cd101b,
  0xc867a616837eeacc, 0xccb0ecfa289c659a, 0x92119079e4afdcd0, 0x0000000000003e40,
};

static const uint64_t ur_t25_swio10_lednop_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x5ae5a58856db758d, 0xfd05fb87c6d24433, 0x7908e3f4bc7f9bc2, 0x6a1c005ef7752444,
  0x13e3277699ea0970, 0x81effdfa1e7e034c, 0x00f74e277cb08a90, 0xa003dc3a7f064f79, 0x83e731602cb2983d,
  0xd9823af47cec98a3, 0xf2cf6ed6e81500ff, 0x04daf2e556a844c0, 0x3a8a9546bb90873f, 0xc0809caed52df567,
  0x08956ae97f410935, 0xdb5d73daad115e51, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36d843156ff7aaa,
  0xb8b93571b1441337, 0xab31e40eda1a2c22, 0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442,
  0x1966b219e98577d1, 0xf734332c3b3e8a27, 0x07c9c0a6241e792b,
};

static const uint64_t ur_t25_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xa65cb4b010b92158, 0xda5e8d3df4b5a6ac, 0x6fbbcd0684db260b, 0xcdd833412b4fea4e,
  0x27c64ee989d5c706, 0x472ff7e879feaf98, 0xba5715d6b47dd242, 0xe7273c807b829c95, 0xefc807bb079380e6,
  0x9c370ebec01fc56b, 0xe66006be96c65c70, 0x6b9cead2e1eedd8c, 0x6ba1d78033b4428d, 0x038ec08a8fa49ed5,
  0x7a5ff805ecb872ce, 0x3f04daf2e556a3ae, 0x673a8a9546bb9087, 0x35c0809caed52df5, 0x5108956ae97f4109,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x54e06c7f8a042d35, 0xd8a2099bf9b69e87, 0xdb43459a205c9ab8,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0x483cf257ee686658, 0x00000000053e738c,
};

static const uint64_t ur_t25_swio10_lednop_pr_ee_u4[] = {
  0x6fbbbbbb44889202, 0x65cb4b010be1558e, 0x19eb4bdf4b5a6aca, 0xfbbcd0684d7a70be, 0x1795b5a2b4fea4e6,
  0x7c64ee9bad34a82b, 0x56ff7391cf93a982, 0xce715d6b47dd2424, 0x7273c807b829c95f, 0xbc807bb079380e6e,
  0xc370ebec01fc5701, 0x66006be96c65c709, 0xf0e7569732add8ce, 0xae875e00cec98a31, 0x0e3b16b23e827b55,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d57, 0x39d454aa35dc8439, 0xae0404e576a96fab, 0x8844ab574bfa0849,
  0x3a03cb9ed5688af2, 0xc22617a96bca7017, 0xd538117ee2810b4a, 0x36288266fe6da7a1, 0xf9434584571726ae,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff82688577a28fe, 0x3d30aefa3dc9f81f, 0x8767d144e32cd643,
  0xd90bcf257ee68665, 0x00000000275f2499,
};

static const uint64_t ur_t25_swio10_lednop_pr_ce[] = {
  0x4eeeeeeead3ad214, 0xb969612a7331ac24, 0xd537a6d7af17f6c1, 0x103412e3b6fc5d93, 0x4c17b11dd489b899,
  0xe3277619e9bb68ad, 0xbfeec83e7d2b4c13, 0x4bee7bfa8f890952, 0xbbd142d7e7994e42, 0x0cf72df36f19cde2,
  0x1d3f83a97e403dd1, 0x90e62c053d7e41ee, 0xc678ebc5ced1923e, 0xbcb955a8eba0dc72, 0xa551aee421cfc136,
  0x272bb54b7d59cea2, 0x5aba5fd0424d7020, 0x5cf6ab4457944225, 0x5ca5af9d01e6f6d7, 0xedcf43aa70210a90,
  0xc2131dbfdeaa8b48, 0x9ab8d8a2099bf9b6, 0x2063e823459a205c, 0x0cf4c2d06fdd598f, 0x961d9f45138cb359,
  0x2a320f3c95fb9a19, 0x000000000016ea07,
};

static const uint64_t ur_t25_swio10_lednop_pr_ce_u4[] = {
  0xdbbbbbb441bad562, 0x9b9696041890ac6a, 0xfd377b426eff0b48, 0x165789b26d4c6de2, 0x18d841331ddd59fb,
  0x827c64eec0bdb236, 0x10a5ffac3bcfe049, 0xe0385d6317eb2f92, 0x2445f715101e7994, 0xd83fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0752fc807ba219e, 0xc580a7afc83dc3a7, 0x1d78b9da3247d21c, 0x2ab51d741b8e58cf,
  0x35dc8439f826d797, 0x76a96fab39d454aa, 0x4bfa0849ae0404e5, 0xd5688af28844ab57, 0xb5f3a03cdedaeb9e,
  0xe8754e0421520b94, 0x63b7fbd551691db9, 0x1b1441337f36d842, 0x3911a2c22b8b9357, 0x854e7ea75663c81a,
  0x2fcc4ffef0f7bca1, 0xff82688577a28fe3, 0xd30aefa3dc9f81fb, 0x767d144e32cd6433, 0xd4e4f257ee686658,
  0x0000000006ebc0a1,
};

static const uint64_t ur_t25_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd0dd4375, 0xddcb4b164e7d3ac6, 0x77b1c75e9c2fad0b, 0x9a45a8647ea29bb9, 0x699d0be17439b6c9,
  0x32774376c0b6c5c9, 0xffac3bcfa6dcc13e, 0xf9efea8dd2a420cd, 0x1692bf3cca701c31, 0x3fdad74f7cde2bbd,
  0x3c807b829c959758, 0x0f760f2701cbe727, 0x0ebec1c80add2f90, 0x06be96c65c709c37, 0x21ceaf4e3fdcb860,
  0x8f1d7a1a9db4a479, 0x3b098a383f3daadb, 0x993805ecb65f380e, 0xad4b3e8167aa3608, 0x77210e7e09b5e5ca,
  0xaa5beace75152a8d, 0xfe82126b8101395d, 0x5a22bca2112ad5d2, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d,
  0xedfef5545a476e7a, 0xc5104cdfcdb61098, 0x911a2cd102e4d5c6, 0x0b41bf75663c81a3, 0x7d144e32cd6433d3,
  0xe4f257ee68665876, 0x0000000a699241d4,
};

static const uint64_t ur_t25_swio10_lednop_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4173e, 0xee5a5861c837586a, 0x4ec0bd066b4401b6, 0xec454dcbbe4b646c, 0x8cfe9d27f83b53b1,
  0x4eeefde80a44f89c, 0x83217cf8a49827c6, 0x17ea8e5724256fff, 0x80f3cca71692d6e3, 0x12fc4361222fb8a8,
  0x9317d14617fd165e, 0x2b2eb07fb5841ef9, 0x97ce4e7900f70539, 0xba5f201eec1e4e03, 0xe1386e1d7d839015,
  0xb970c00d7d2d8cb8, 0x6948f2439d5e9c7f, 0x7b55b71e3af4353b, 0xbe701c761314707e, 0x546c1132700bd96c,
  0x6bcb955a967d02cf, 0x2a551aee421cfc13, 0x0272bb54b7d59cea, 0x55aba5fd0424d702, 0x75cf6ab445794422,
  0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0x6c2131dbfdeaa8b4, 0xc9ab8d8a2099bf9b, 0xc81ad4e0d16115c5,
  0xbca1854e7ea75663, 0x8fe32fcc4ffef0f7, 0x81fbff82688577a2, 0x6433d30aefa3dc9f, 0x6658767d144e32cd,
  0x8c58c83cf257ee68, 0x00000000000009f9,
};

// t25_swio11_noled_pr               t25_swio12_noled                  t25_swio12_noled_pr
static const uint64_t ur_t25_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x10f5ff0a3767fba9, 0x201ee884ef96e812, 0xbf20f70e9fc1d7ff, 0x3268e62c05bdd31e,
  0xe58c11d78b9da0fa, 0xdaf2e556a5613db8, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x99bf9b67adc55bfd, 0xfc68b34406ed8a20,
  0x85a0dfbab31e40d1, 0x3e8a271966b219e9, 0x1e792bf734332c3b, 0x0000003e40716464,
};

// t25_swio12_noled_pr_u4
static const uint64_t ur_t25_swio11_noled_pr_u4[] = {
  0x113777768bb128ae, 0x5cb4b10ac32b13dd, 0xdcc750e244c8866b, 0xc85c4bafad0c9f8f, 0x006db793767ba223,
  0x9f193bbf4f490123, 0xdbffefd0f3e63e60, 0x07b8143be5b7b484, 0xbe1ee1d3f8326bc8, 0x8a731602cb29b6fc,
  0x9823af47cecb5d18, 0x2cf6fa4279500ffd, 0x9b5e5caad59f740f, 0x5152a8d77210e7e0, 0x6b395daa5beaece7,
  0x28844ad8debe8212, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x1337f36cf5b8ab7f,
  0x2c22b8b93571b144, 0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x3442bbd147f197e6, 0x77d1ee4fc0fdffc1,
  0x8a271966b219e985, 0x792bf734332c3b3e, 0x00001f2610b6241e,
};

// t25_swio12_noled_pr_ee
static const uint64_t ur_t25_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x5cb4b010b833ac24, 0xbd7afac47c5eaca6, 0xe6825ed9024217d0, 0xbb7a75a7f52245dd,
  0x4eef91d3128ce199, 0xfbf43cfece9827c6, 0x15d6b47b7d212577, 0x3c807b829c95fce7, 0x07bb079380c14727,
  0x0ebec01fc57fbbc8, 0x06be96c65c709c37, 0xead2e63edd8ce660, 0xebc019d97c463e1c, 0xc0df47d04f6ab5d0,
  0xf805ecb872ce038e, 0xdaf2e556a3a27a5f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x99bf9b67adc55bfd, 0x59a205c9ab8d8a20,
  0x1bf75663c81db434, 0x44e32cd6433d30b4, 0x257ee686658767d1, 0x00029f00e4c483cf,
};

// t25_swio12_noled_pr_ee_u4
static const uint64_t ur_t25_swio11_noled_pr_ee_u4[] = {
  0xefddddda20dd4375, 0x5a58085d4dd6122e, 0xc33d623e2f56532e, 0xcd04bdee3bcc4fde, 0xd8242b4fea448bbb,
  0x277437691f6c40cc, 0xfd61de7ce0cc13e3, 0x8aeb5a3dbe909b3b, 0x9e403dc14e4ad2b3, 0x03dd83c9c060a393,
  0xc3afb007f15bf9e4, 0x01afa5b1971c270d, 0x3ab4bedfb7633998, 0x75e00cecf7a3c8a7, 0x62e1a326a7b55ae8,
  0xfc02f65c396701c7, 0xdaf2e556a3a10f2f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0xde7eb5cf6ab44579, 0x5cea75380b2953e9, 0xa9c08f2f14085a58, 0xb1441337f36d3d0e, 0x911a2c22b8b93571,
  0x54e7ea75663c81a3, 0xfcc4ffef0f7bca18, 0xf82688577a28fe32, 0x30aefa3dc9f81fbf, 0x67d144e32cd6433d,
  0x4e4f257ee6866587, 0x000000004ebaec1d,
};

// t25_swio12_noled_pr_ce
static const uint64_t ur_t25_swio11_noled_pr_ce[] = {
  0xe2777777569d6668, 0x69612a72a1d606d2, 0xa7b7e61f17f6c1b9, 0x410e0db194263bd7, 0x7e63c7f746d2e264,
  0xc64ee9bbd0675141, 0x7fdd907cffee9827, 0x9fc9efeab5d21203, 0x77a2a5afcf329c84, 0xf9ee5be6de339bc5,
  0x74fe0dafbc807b9e, 0xa398b015004c47b8, 0x33c75e2e7683e8c9, 0xe5caad4744f6e396, 0x2a8d77210e7e09b5,
  0x95daa5beaece7515, 0x44ad8debe82126b3, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08,
  0xfe6d9eb663b7fbd5, 0x881726ae36288266, 0x5663c818fa08d166, 0x2cd6433d30b41bf7, 0xe686658767d144e3,
  0xb75e728c83cf257e, 0x0000000000000000,
};

// t25_swio12_noled_pr_ce_u4
static const uint64_t ur_t25_swio11_noled_pr_ce_u4[] = {
  0xdb777768837551eb, 0x2d2c08329bac5f8f, 0x0cf5e4327e169137, 0xae0f8ec179332b7a, 0x1090a87bb7e3f62c,
  0xf8c9dd323a103d64, 0xc3ff58779f60b304, 0x3921e317eb38a421, 0x45f715101e7994e0, 0xdfa2cbc25f886c24,
  0x9d5f19cc98be8b8d, 0xdafbc807b9ef9ee5, 0x015004c47b874fe0, 0xe2e7683e8c9a398b, 0xd4744f6e39633c75,
  0x7210e7e09b5e5caa, 0x5beaece75152a8d7, 0xdebe82126b395daa, 0xed5688af28844ad8, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0xeb663b7fbd551698, 0x6ae36288266fe6d9, 0x0347223458457172, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac, 0x163a9c9e4afdcd0c,
  0x00000000000375c2,
};

// t25_swio12_noled_pr_ee_ce
static const uint64_t ur_t25_swio11_noled_pr_ee_ce[] = {
  0x267bbbbba1bad562, 0xcb4b164e1a5ac0db, 0xde9db8ef31ad0bdd, 0x22f8fb2341419ac1, 0x4da5f0ba1c1b64cd,
  0x3bb02f4c8d86a67f, 0xd61de7f76a609f19, 0xf7f54721d210c7ff, 0x643fcf329c0702d4, 0xf6b5d3df378aef45,
  0x201ee0a725721e0f, 0xeec1e4e039c5c9cf, 0xd7d839015a56f201, 0xd7d2d8cb8e1386e1, 0x39d5e9c752970c00,
  0xe3af4353b4e28e21, 0x616ba31167b55b71, 0x2700bd96cbe701c7, 0xd4b327b9e546c113, 0x7210e7e09b5e5caa,
  0x5beaece75152a8d7, 0xdebe82126b395daa, 0xed5688af28844ad8, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xeb663b7fbd551698, 0x6ae36288266fe6d9, 0x40d1c88d16688172, 0x19e985a0dfbab31e, 0x2c3b3e8a271966b2,
  0x70ea72792bf73433, 0x00000000000a69aa,
};

// t25_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t25_swio11_noled_pr_ee_ce_u4[] = {
  0x3f7777689f68cc7f, 0x5a5861c8e358c776, 0x991d2b648401b6ee, 0x11c2960d33083276, 0xb34b49fe0f8eec7b,
  0xbb9f7ad3947d19c1, 0xc85f3f002609f193, 0xfaa3df69096b7fe0, 0x3cf329c5a49db8c5, 0xbf10d8488bee2a20,
  0xc5f45575ff459784, 0xe43c1fed6107be64, 0x8b939e403dc14e4a, 0xade403dd83c9c073, 0x270dc3afb07202b4,
  0x2e1801afa5b1971c, 0xc51c4273abd38ea5, 0x6ab6e3c75e86a769, 0xce038ec2d74622cf, 0x8d82264e017b2d97,
  0xbcb955a9664f73ca, 0xa551aee421cfc136, 0x72bb54b7d5d9cea2, 0x0895b1bd7d0424d6, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0xdfcdb3d6cc76ff7a, 0x8ae2e4d5c6c5104c, 0xab31e40d6a7068b0,
  0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442, 0x1966b219e98577d1, 0xf734332c3b3e8a27,
  0x09f9d3cc641e792b,
};

// t25_swio11_lednop_pr              t25_swio12_lednop                 t25_swio12_lednop_pr
static const uint64_t ur_t25_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x2103dff851bb3f01, 0xf201eec90ef96e81, 0x94988f70e9fc1d7f, 0xa3e90e62c05bdd36,
  0xc72c608ebc5cec22, 0x4daf2e556a5660bd, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0,
  0xd6b9ed5688af2884, 0xea58594d8b3a03cf, 0x145f4502169ab9d5, 0x8266fe6da7a1d538, 0x47f1a2cd101bb628,
  0xa616837eeacc7903, 0xecfa289c659ac867, 0x9079e4afdcd0ccb0, 0x000000001f200111,
};

// t25_swio12_lednop_pr_u4
static const uint64_t ur_t25_swio11_lednop_pr_u4[] = {
  0x889bbbbb45d8ad4e, 0xe5a588561b7589ee, 0xb1fbebfc2e44335a, 0x90b8918ebd2282fd, 0x1e5c7c5eecf74447,
  0xf8c9ddf23ac8233f, 0x7bff7e879f5f7304, 0x3dc801df2dbda424, 0x50f70e9fc1935e40, 0xf9cc580b2ca68f7a,
  0x608ebd1f3b4428c6, 0xb3db117a45403ff6, 0x36bcb955abeb703c, 0xa2a551aee421cfc1, 0x0272bb54b7d5d9ce,
  0x2b97a5fd0424d702, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xdb1922adfef5545a,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0xf278c589079e4afd, 0x0000000000000001,
};

// t25_swio12_lednop_pr_ee
static const uint64_t ur_t25_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0x2e5a58085d68ac24, 0x69ed0bd1835f5653, 0x7779a097bd53763c, 0xfbc5ec8569fd4891,
  0xf8c9dda67bf4ee09, 0xd6ff7e879f4b5304, 0x0ee2bad68f6fa420, 0xe4e7900f705392b9, 0x7900f760f2701828,
  0x86e1d7d803f8aea5, 0xcc00d7d2d8cb8e13, 0xf39d5a5e3ddbb19c, 0xba1d78033b7c88de, 0x71d8ded1dc39ed56,
  0xcbff00bd970e59c0, 0xc136bcb955a8eb05, 0xcea2a551aee421cf, 0x020272bb54b7d5d9, 0x112b97a5fd0424d7,
  0x3f5ae7b55a22bca2, 0x57a96165362ce80f, 0xe0517d14085a6ae7, 0xa2099bf9b69e8754, 0x43459a205c9ab8d8,
  0x0b41bf75663c81db, 0x7d144e32cd6433d3, 0x3cf257ee68665876, 0x00000014f8a9cc48,
};

// t25_swio12_lednop_pr_ee_u4
static const uint64_t ur_t25_swio11_lednop_pr_ee_u4[] = {
  0xde4ddddda2447032, 0x72d2c042f42eb05e, 0xf4d2ec01e97c49b5, 0x299c7e19e2f53647, 0x05642b4fea42f6f2,
  0x4ee9dad8e29caa2d, 0xf7391cfa5a9827c6, 0x2bad68cc7a420d6f, 0x7900f705392b60ae, 0x0f760f2701e94e4e,
  0x1d7d803f8acbaf90, 0x0d7d2d8cb8e1386e, 0xd5a5dc9db87dccc0, 0xaf4353b1ea8d7c39, 0x110a31bf3daad743,
  0xf805ecb65f380e3b, 0xe2fa427951b0465f, 0x21cfc136bcb955a8, 0xd5d9cea2a551aee4, 0x24d7020272bb54b7,
  0xbca2112b97a5fd04, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x04cdfcdb1922adfe,
  0x8b08ae2e4d5c6c51, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0,
  0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x00000275cb33b217,
};

// t25_swio12_lednop_pr_ce
static const uint64_t ur_t25_swio11_lednop_pr_ce[] = {
  0xe2777777569d2d3a, 0x69612a7217d606d2, 0x15ac1d4c17f6c1b9, 0x0872a18dbad14dee, 0xd8ff4bba36971322,
  0x64eeb4bd3f647f1d, 0xfdd907cffce9827c, 0x4a9efeab5d210a2f, 0xe8bd3ff9e6539095, 0x7b96f9b78ce6f15d,
  0x3f836bef201eef92, 0xe62c05ea3241ee1d, 0xe3af173b6454770c, 0xe556a3ae9371cb19, 0x46bb90873f04daf2,
  0xed52df57673a8a95, 0x97f410935c0809ca, 0xd5688af28844ae5e, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94,
  0x63b7fbd551691db9, 0xe36288266fe6d8c8, 0x8fa08d166881726a, 0xd30b41bf75663c81, 0x767d144e32cd6433,
  0xc83cf257ee686658, 0x0000000016ea4928,
};

// t25_swio12_lednop_pr_ce_u4
static const uint64_t ur_t25_swio11_lednop_pr_ce_u4[] = {
  0xedbbbbb441baba31, 0xcb4b020cb4562fc7, 0x3f7a5ef9bf85a44d, 0x2b83a9bc77001bbd, 0x5b64217eedf8fd8b,
  0xf8c9dd667ad14051, 0x43ff58779fcad304, 0x3852e317eb38a421, 0x45f715101e7994e0, 0x7fa2cbc25f886c24,
  0x9d5f19cc98be8a6b, 0xdafbc807bbe49ee5, 0x017a8c907b874fe0, 0xc5ced9151dc3398b, 0xa8eba4dc72c678eb,
  0xe421cfc136bcb955, 0xb7d5d9cea2a551ae, 0x0424d7020272bb54, 0x22bca2112b97a5fd, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xa2099bf9b63218ed, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375f188ea7,
};

// t25_swio12_lednop_pr_ee_ce
static const uint64_t ur_t25_swio11_lednop_pr_ee_ce[] = {
  0x75fbbbbba1baa80b, 0xcb4b164e11fac7a5, 0xab076c7d4379122d, 0x071b7515eb95be4b, 0x1c33e17439e95d7f,
  0x776c4ee4e69c6257, 0xd61de7ffe4c13e32, 0xf7f546e4d213a7ff, 0x951f9e65380e50fc, 0xed6ba8ca6f15de8a,
  0x403dc14e4add2c1f, 0xdd83c9c06be3939e, 0xafb07202b727e403, 0xafa5b1971c270dc3, 0x73abd38d7dae1801,
  0xc75e00ced2f91a62, 0x607c476b4f6ab6e3, 0x9c02f65c396701c7, 0x36bcb955ae31e90c, 0xa2a551aee421cfc1,
  0x0272bb54b7d5d9ce, 0x2b97a5fd0424d702, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xb63218edfef5545a, 0x5c9ab8d8a2099bf9, 0xc790347223459a20, 0xac867a616837eeac, 0x0ccb0ecfa289c659,
  0x9f383a9c9e4afdcd, 0x00000000000000a6,
};

// t25_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t25_swio11_lednop_pr_ee_ce_u4[] = {
  0x8fddddda27da1f68, 0x96961872e0d631dd, 0xaccf717a09006dbb, 0x88e151c560b45817, 0xd989a4ff07c7763d,
  0x3ba3afad882d9391, 0x190be7f1ba609f19, 0xbf547bed211aeffc, 0x03cf329c5a4c4118, 0x4bf10d8488bee2a2,
  0x262fa2f53bf45978, 0x5652e0ff6b083df3, 0x9c5c9cf201ee0a72, 0xc87f201eec1e4e03, 0xe1386e1d7d839015,
  0x4d70c00d7d2d8cb8, 0x1ea8d7c39d5e9c6e, 0x7b55b71e3af4353b, 0xbe701c762214637e, 0x546c1132700bd96c,
  0xb5e5caad4b3e909e, 0x152a8d77210e7e09, 0x1395daa5beaece75, 0x5cbd2fe82126b810, 0xd73daad115e51089,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0xe4d5c6c5104cdfcd, 0xe40d6a7068b08ae2,
  0xde50c2a73f53ab31, 0x47f197e627ff787b, 0xc0fdffc13442bbd1, 0xb219e98577d1ee4f, 0x332c3b3e8a271966,
  0x5d8c641e792bf734, 0x00000000000004fc,
};

// t25_swio13_noled_pr
static const uint64_t ur_t25_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x912136fff851bb3e, 0x9ef201ee884ef96e, 0x34e2b5c7b874fe0f, 0xe1a3268e62c05bdd,
  0xfb8e58c11d78b9da, 0xe09b5e5caad4acaf, 0xe75152a8d77210e7, 0xace576a96faa9bec, 0x108956af7afa0849,
  0x79fad73daad115e5, 0x73a9d4e02ca54fa7, 0xa7022fdc50216961, 0xc5104cdfcdb4f43a, 0x2068fe3459a20376,
  0x0cf4c2d06fdd598f, 0x961d9f45138cb359, 0x22320f3c95fb9a19, 0x00000000001f2007,
};

static const uint64_t ur_t25_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8bf82, 0xb5cb4b10ac4ceb05, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426e965444,
  0x27c64ee989d5a20d, 0x432bfdfa1e7dfc98, 0x01ee97c77cb41f48, 0x9c47b874fe0fa0f2, 0xef6731602cb298ca,
  0xecc11d7a3e767bd1, 0xf2cf6ee1934a807f, 0x04daf2e556aab540, 0x3a8a9546bb90873f, 0x672bb54b7d54df67,
  0x844ab57bd7d0424d, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xcdfcdb2048ab7fbd,
  0x08ae2e4d5c6c5104, 0xd4eacc7903b6868b, 0xffde1ef79430a9cf, 0x10aef451fc65f989, 0xf47b93f03f7ff04d,
  0x89c659ac867a615d, 0x4afdcd0ccb0ecfa2, 0x0003e4fa7989079e,
};

static const uint64_t ur_t25_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xfbbcd07c59b0b402, 0x4b3f764eb4fea4d9,
  0xf8c9dde4bb4cd1db, 0xfbff7e879f8ad304, 0xa5715d6b46652426, 0x7273c807b829c95b, 0xf900f760f2701cbe,
  0x86e1d7d803f8adc9, 0xcc00d7d2d8cb8e13, 0xb9cead2efe5bb19c, 0xba1d78033b4dc8d6, 0x38ec4648fa49ed56,
  0xa5ff805ecb872ce0, 0xf04daf2e556a3a26, 0x73a8a9546bb90873, 0xd672bb54b7d54df6, 0x8844ab57bd7d0424,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x4cdfcdb2048ab7fb, 0x2cd102e4d5c6c510,
  0x0dfbab31e40eda1a, 0xa271966b219e985a, 0x92bf734332c3b3e8, 0x000053e1246241e7,
};

static const uint64_t ur_t25_swio13_noled_pr_ee_u4[] = {
  0xfdddddda20dd4375, 0x5cb4b010ba9bac6c, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea4d9f,
  0xe3277437691f6c40, 0x3bfd61de7ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x672bb54b7d54df67, 0x844ab57bd7d0424d,
  0xb3bcb9ed5688af28, 0xb4b5fe2353c314de, 0x7a1d53811e5e2810, 0x6ae36288266fe6da, 0x0347223458457172,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac,
  0xd83a9c9e4afdcd0c, 0x0000000000009d75,
};

static const uint64_t ur_t25_swio13_noled_pr_ce[] = {
  0x5eeeeeeead3a422f, 0x72d2c254e78fac78, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7eef85dc4c,
  0xf193ba7ef717d91b, 0x7ff7641f3ee4e609, 0x280d3dfd5ef4845f, 0xbbd1687ff3cca721, 0x8cf72df36f19cde2,
  0x1d3f8310fe403dc9, 0x80e62c05d2a211ee, 0x8cf1d78b9d86fa3e, 0x7972ab51d135b8e5, 0x4aa35dc8439f826d,
  0xdaa5beaa6fb39d45, 0x5abdebe82126b395, 0x5cf6ab4457944225, 0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd,
  0xdb20431dbfdeaa8b, 0x2e4d5c6c5104cdfc, 0xc79031f411a2cd10, 0xac867a616837eeac, 0x0ccb0ecfa289c659,
  0xaa7519079e4afdcd, 0x00000000000005ba,
};

static const uint64_t ur_t25_swio13_noled_pr_ce_u4[] = {
  0x5bbbbbb441baa80b, 0x9b9696041b0aac1b, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fdd369fb,
  0x04f8c9ddb13b515a, 0x2175ff58779f53d3, 0xe03870e317ea8024, 0x2445f715101e7994, 0xfaffa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807b9319e, 0xc580ba54423dc3a7, 0x3af173b0df47d01c, 0x556a3a26b71cb19e,
  0x6bb90873f04daf2e, 0xb7d54df673a8a954, 0xbd7d0424d672bb54, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0x0863b7fbd5516986, 0xab8d8a2099bf9b64, 0x0d1c88d16115c5c9, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0xfdffc13442bbd147, 0x19e98577d1ee4fc0, 0x2c3b3e8a271966b2, 0xf0ea72792bf73433,
  0x000000000006ebf4,
};

static const uint64_t ur_t25_swio13_noled_pr_ee_ce[] = {
  0x01bbbbbba1baba31, 0xddcb4b164e2e3ac4, 0x9db2ef5e9c2fad0b, 0x669173168a1062fe, 0x89891a7c2e872002,
  0xc64eeb33db1202bc, 0xfffac3bcf8689827, 0x9f9efea8ce1a4258, 0xd16e47f3cca701ce, 0x83fdad74f7cde2bb,
  0x73c807b829c959c3, 0x807bb079380d0072, 0xb875f60e4057f3bc, 0x0035f4b632e384e1, 0xf90e757a719455c3,
  0xdc78ebd0d4ec8023, 0x38ec3de8f7b9ed56, 0x2264e017b2d97ce0, 0x2ab52cc9ac16a8d8, 0x35dc8439f826d797,
  0x5beaa6fb39d454aa, 0xdebe82126b395daa, 0x6ab44579442255ab, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8,
  0x0431dbfdeaa8b4c3, 0xd5c6c5104cdfcdb2, 0x81a3911a2cd102e4, 0x33d30b41bf75663c, 0x58767d144e32cd64,
  0x21d4e4f257ee6866, 0x000000000029a607,
};

static const uint64_t ur_t25_swio13_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c123587a, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1de9d8,
  0x93ba55fb61900a3b, 0xc190be7d0fa609f1, 0xc5faa3b74909883f, 0x101e7994e2d23fc8, 0xc25f886c2445f715,
  0x99317d17ce5fa2cb, 0x92b38707fb5841ef, 0x1a00e4e7900f7053, 0xafe77900f760f270, 0xc709c370ebec1c80,
  0x28ab86006be96c65, 0xd90047f21ceaf4e3, 0x73daadb8f1d7a1a9, 0xb2f9c071d87bd1ef, 0x2d51b044c9c02f65,
  0x4daf2e556a599358, 0xa8a9546bb90873f0, 0x72bb54b7d54df673, 0x44ab57bd7d0424d6, 0xfaeb9ed5688af288,
  0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0xbf9b640863b7fbd5, 0x15c5c9ab8d8a2099, 0x5663c81ad4e0d161,
  0xf0f7bca1854e7ea7, 0x77a28fe32fcc4ffe, 0xdc9f81fbff826885, 0x32cd6433d30aefa3, 0xee686658767d144e,
  0x09f90298c83cf257,
};

// t25_swio13_lednop_pr
static const uint64_t ur_t25_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x912123dff851bb3e, 0x9ef201ee5f0ef96e, 0x98f58847b874fe0f, 0xbda3b86731602dee,
  0xfdc72c608ebc5ced, 0xf04daf2e556a562c, 0x73a8a9546bb90873, 0x0272bb54b7d54df6, 0x95c925fd0424d702,
  0xad73daad115e5108, 0xd4b0b29b1674079f, 0x273e8a042d3573ab, 0x04cdfcdb4f43aa70, 0x8fe3459a20376c51,
  0x4c2d06fdd598f206, 0xd9f45138cb3590cf, 0x20f3c95fb9a19961, 0x00000001f2038b23,
};

static const uint64_t ur_t25_swio13_lednop_pr_u4[] = {
  0xb2b7777768bb1762, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6e96544,
  0xc13e3277792e9b08, 0x0863ffdfa1e7ea54, 0x201eed28ef9683e9, 0xf3d47b874fe0fa0f, 0x38c8e62c05965318,
  0xfd9823af47cedf22, 0x1e59edef770d500f, 0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e576a96faa9bec,
  0x2b924bfa0849ae04, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0x6cbb22adfef5545a,
  0xb93571b1441337f3, 0x31e40eda1a2c22b8, 0x7bde50c2a73f53ab, 0xd147f197e627ff78, 0x4fc0fdffc13442bb,
  0x66b219e98577d1ee, 0x34332c3b3e8a2719, 0xc9aec6241e792bf7, 0x0000000000000007,
};

static const uint64_t ur_t25_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x3f779a0f8bdc29a9, 0xc333766c569fd49b,
  0x4f8c9ddf23a62519, 0x383fefd0f3f43f30, 0x386e2bad68cca484, 0xce4e7900f705392b, 0x5f201eec1e4e0397,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0x6273ab4b98fb7633, 0xd743af00676c911a, 0x0e3b107d1dad3daa,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d2c, 0x39d454aa35dc8439, 0x01395daa5beaa6fb, 0x4ae492fe82126b81,
  0xd6b9ed5688af2884, 0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x8266fe6da7a1d538, 0xd166881726ae3628,
  0xd06fdd598f2076d0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x00000a7c0393120f,
};

static const uint64_t ur_t25_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222044, 0x6ae5a58085debd63, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd49e2,
  0x7c64ee8f6d12210e, 0x83fee7239fa1f982, 0x3ce2bad68dfc4843, 0xe4e7900f705392b5, 0xf900f760f27019ea,
  0x86e1d7d803f8aca5, 0xcc00d7d2d8cb8e13, 0xe39d5a5d2b5b87dc, 0x743af4353b7508e6, 0x71d8f911c653daad,
  0x32ffc02f65b2f9c0, 0x5a8e2ee1934a8d82, 0xee421cfc136bcb95, 0xf5537d9cea2a551a, 0x0935c0809caed52d,
  0x5794422572497f41, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x8266fe6d976455bf,
  0x4584571726ae3628, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2688577a28fe32fc, 0xaefa3dc9f81fbff8,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000009d70859d90b,
};

static const uint64_t ur_t25_swio13_lednop_pr_ce[] = {
  0x2f777777569d6668, 0xb969612a736dd63c, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600ddf0bb8,
  0x04f8c9dd377a0cea, 0x3a5ffbb20f9f2973, 0x90918f9efeaf7a42, 0x78aef454b5f9e653, 0x77c93dcb7cdbc673,
  0x7b874fe0c43f900f, 0x1dc3398b015007bc, 0x39633c75e2e76ded, 0x36bcb955a8e967ee, 0xa2a551aee421cfc1,
  0xcaed52df5537d9ce, 0x2497f410935c0809, 0xcf6ab44579442257, 0xc2ca6c59d01e7eb5, 0xf18c10b4d5ceaf52,
  0x6fe6da7a1d538139, 0x6881726ae3628826, 0x75663c818fa08d16, 0x32cd6433d30b41bf, 0xee686658767d144e,
  0x0b75e728c83cf257,
};

static const uint64_t ur_t25_swio13_lednop_pr_ce_u4[] = {
  0xadddddda20dd4375, 0x4dcb4b020c82560d, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017ee9b4fd,
  0x04f8c9dd0dda47db, 0x2305ff58779f95d3, 0xe03850e317ea8024, 0x2445f715101e7994, 0x787fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807bb249e, 0x8b01427af83dc3a7, 0x3af173b0f88ed639, 0xaad47570f71cb19e,
  0xd77210e7e09b5e5c, 0x6faa9bece75152a8, 0x0849ae0404e576a9, 0x22bca2112b924bfa, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0x88266fe6d97618ed, 0x34584571726ae362, 0xcfd4eacc79034722,
  0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf,
  0x000000dd75d83a9c,
};

static const uint64_t ur_t25_swio13_lednop_pr_ee_ce[] = {
  0x19bbbbbba1bad562, 0x45b96962c9c34b58, 0xb077a76b53f1ef22, 0xd7f07802c8d05066, 0x4cfe9b4be1743831,
  0x3e3277605e991b0d, 0x8fffac3bcfeed4c1, 0x05a9efea8d2b2421, 0xde8ac87f9e65380e, 0x3c1fed6ba8ca6f15,
  0x939e403dc14e4ae4, 0xe403dd83c9c07373, 0x0dc3afb07202b4ad, 0x1801afa5b1971c27, 0x1c4273abd38ea52e,
  0x5b71e3af006769c5, 0x01c7616ba31167b5, 0x70cc9c02f65c3967, 0x9f826d7972ab5c63, 0xb39d454aa35dc843,
  0x101395daa5beaa6f, 0x44ae492fe82126b8, 0xdaeb9ed5688af288, 0x520b94b5f3a03cde, 0x691db9e8754e0421,
  0x9b65d863b7fbd551, 0x05c9ab8d8a2099bf, 0xcc790347223459a2, 0x9ac867a616837eea, 0xd0ccb0ecfa289c65,
  0xa6a9c3a9c9e4afdc, 0x0000000000000029,
};

static const uint64_t ur_t25_swio13_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b00b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1c17f,
  0x327773ef5a728fa3, 0xfc190be7e004c13e, 0x18bf547811212d6f, 0x44079e6538b493b7, 0xf097e21b09117dc5,
  0x4c98be8aaebfe8b2, 0xc95c8783fdac2119, 0x0e6e7273c807b829, 0x5695bc807bb07938, 0xe384e1b875f60e40,
  0xd4a5c30035f4b632, 0xed38a3884e757a71, 0x2cf6ab6e3c75e00c, 0x872ce038ec2d7462, 0x6b8c6e1993805ecb,
  0xb90873f04daf2e55, 0xd54df673a8a9546b, 0x24d7020272bb54b7, 0x5e510895c925fd04, 0x079bdb5d73daad11,
  0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x1337f36cbb0c76ff, 0x2c22b8b93571b144, 0xd4eacc79035a9c1a,
  0xffde1ef79430a9cf, 0x10aef451fc65f989, 0xf47b93f03f7ff04d, 0x89c659ac867a615d, 0x4afdcd0ccb0ecfa2,
  0x00027e74f319079e,
};

// t25_swio14_noled_pr
static const uint64_t ur_t25_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x1210f5ff0a3767fb, 0xff201ee884ef96e8, 0x1ebf20f70e9fc1d7, 0xfa3268e62c05bdd3,
  0xb8e58c11d78b9da0, 0x04daf2e556a5613d, 0x3a8a9546bb90873f, 0xd674dcaed52df567, 0x28844ad8fdfd0424,
  0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x1337f36cf5b8ab7f, 0x3f8d166880ddb144,
  0x30b41bf75663c81a, 0x67d144e32cd6433d, 0x83cf257ee6866587, 0x00000007c80e2c8c,
};

static const uint64_t ur_t25_swio14_noled_pr_u4[] = {
  0x937777768bb128ae, 0x6b5cb4b10ac32b1a, 0x8fdcc750e244c886, 0x23c85c4bafad0c9f, 0x918036dbc9bba922,
  0x304f8c9ddfa7a480, 0x426dfff7e879f31f, 0xe403dc0a1df2dbda, 0x7e5f0f70e9fc1935, 0x8c45398b016594db,
  0xfecc11d7a3e765ae, 0x07967b7d213ca807, 0xf04daf2e556acfba, 0x73a8a9546bb90873, 0x4d674dcaed52df56,
  0xf28844ad8fdfd042, 0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x41337f36cf5b8ab7,
  0xa2c22b8b93571b14, 0x73f53ab31e40eda1, 0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc,
  0xe8a271966b219e98, 0xe792bf734332c3b3, 0x000001f2610b6241,
};

static const uint64_t ur_t25_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x4cb9696021706758, 0xa17af5f588f8bd59, 0xbbcd04bdb204842f, 0x3376f4eb4fea4e6f,
  0x8c9ddf23a62519c3, 0xeff7e879fd9d304f, 0xce2bad68f6fa424a, 0x4e7900f705392bf9, 0x900f760f2701828e,
  0x6e1d7d803f8aff77, 0xc00d7d2d8cb8e138, 0x39d5a5cc7dbb19cc, 0xa1d78033b2f88c7c, 0x1d81be8fa09ed56b,
  0xbff00bd970e59c07, 0x09b5e5caad4744f4, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x0000a7c0393120f3,
};

static const uint64_t ur_t25_swio14_noled_pr_ee_u4[] = {
  0x7dddddda20dd4375, 0x5cb4b010ba9bac73, 0xbd867ac47c5eaca6, 0x779a097bdc77989f, 0x99b048569fd49cdf,
  0xc64ee86ed23ed881, 0x77fac3bcf9c19827, 0x6715d6b47b7d2136, 0x273c807b829c95a5, 0xc807bb079380c147,
  0x1b875f600fe2b7f3, 0x30035f4b632e384e, 0x4e75697dbf6ec673, 0xd0ebc019d9ef4791, 0x8ec5c3464d4f6ab5,
  0x5ff805ecb872ce03, 0x09b5e5caad47421e, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0x779fad73daad115e, 0x173a9d4e02ca54fa, 0xaa7023cbc5021696, 0x6c5104cdfcdb4f43, 0xe4468b08ae2e4d5c,
  0x1539fa9d598f2068, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c, 0x4c2bbe8f727e07ef, 0xd9f45138cb3590cf,
  0x5393c95fb9a19961, 0x0000000013aebb07,
};

static const uint64_t ur_t25_swio14_noled_pr_ce[] = {
  0x27777777569d6668, 0xb969612a72a1d612, 0xd7a7b7e61f17f6c1, 0x64410e0db194263b, 0x417e63c7f75226e2,
  0x27c64ee9bbd06751, 0x037fdd907cffee98, 0x849fc9efeab5d212, 0xc577a2a5afcf329c, 0x9ef9ee5be6de339b,
  0xb874fe0dafbc807b, 0xc9a398b015004c47, 0x9633c75e2e7683e8, 0xb5e5caad4744f6e3, 0x152a8d77210e7e09,
  0xe9b95daa5beace75, 0x0895b1fbfa0849ac, 0x7f5d73daad115e51, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381,
  0xdfcdb3d6cc76ff7a, 0xd102e4d5c6c5104c, 0xeacc79031f411a2c, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c,
  0x16ebce519079e4af,
};

static const uint64_t ur_t25_swio14_noled_pr_ce_u4[] = {
  0xb7777768837551eb, 0x6e5a5810653758d5, 0xf419ebc864fc2d22, 0x595c1f1d82f26656, 0xc8212150f77567ec,
  0x09f193ba6474207a, 0x4387feb0ef3ec166, 0xc07243c62fd67148, 0x488bee2a203cf329, 0x1bbf459784bf10d8,
  0xcb3abe3399317d17, 0xc1b5f7900f73df3d, 0x1602a00988f70e9f, 0xebc5ced07d193473, 0x55a8e89edc72c678,
  0xaee421cfc136bcb9, 0xb54b7d59cea2a551, 0x3f7f4109359d372b, 0x7b55a22bca2112b6, 0xc529e1a778efebae,
  0x194f43aa7020eea6, 0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x40d1c88d16115c5c, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b, 0x858ea72792bf7343,
  0x000000000000dd70,
};

static const uint64_t ur_t25_swio14_noled_pr_ee_ce[] = {
  0xb7bbbbbba1bad562, 0xbb96962c9c34b58d, 0x83bd3b71de635a17, 0x9a45f1f646828335, 0xfe9b4be17439b6c9,
  0x3277605e991b0d4c, 0xffac3bcfeed4c13e, 0xa9efea8e43a4218f, 0x8ac87f9e65380e05, 0x1fed6ba7be6f15de,
  0x9e403dc14e4ae43c, 0x03dd83c9c0738b93, 0xc3afb07202b4ade4, 0x01afa5b1971c270d, 0x4273abd38ea52e18,
  0xe3c75e86a769c51c, 0x8ec2d74622cf6ab6, 0x264e017b2d97ce03, 0x55a9664f73ca8d82, 0xaee421cfc136bcb9,
  0xb54b7d59cea2a551, 0x3f7f4109359d372b, 0x7b55a22bca2112b6, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x90347223459a205c, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x9c3a9c9e4afdcd0c, 0x0000000000029a6a,
};

static const uint64_t ur_t25_swio14_noled_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b0d4, 0xed323a56c908036d, 0xf623852c1a661064, 0x83669693fc1da9d8,
  0x27773ef5a728fa33, 0xc190be7e004c13e3, 0x8bf547bed212d6ff, 0x4079e6538b493b71, 0x097e21b09117dc54,
  0xc98be8aaebfe8b2f, 0x95c8783fdac20f7c, 0xe717273c807b829c, 0x695bc807bb079380, 0x384e1b875f60e405,
  0x4a5c30035f4b632e, 0xd38a3884e757a71d, 0x9ed56dc78ebd0d4e, 0x2f9c071d85ae8c45, 0x951b044c9c02f65b,
  0x6d7972ab52cc9ee7, 0x454aa35dc8439f82, 0x3a6e576a96fab39d, 0x42256c7efe82126b, 0xdfd75cf6ab445794,
  0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x37f36cf5b31dbfde, 0x22b8b93571b14413, 0xeacc79035a9c1a2c,
  0xde1ef79430a9cfd4, 0xaef451fc65f989ff, 0x7b93f03f7ff04d10, 0xc659ac867a615df4, 0xfdcd0ccb0ecfa289,
  0x027e74f319079e4a,
};

// t25_swio14_lednop_pr
static const uint64_t ur_t25_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x812103dff851bb3f, 0x7ff201eec90ef96e, 0x3694988f70e9fc1d, 0x22a3e90e62c05bdd,
  0xbdc72c608ebc5cec, 0xf04daf2e556a5660, 0x73a8a9546bb90873, 0x20274dcaed52df56, 0x44ae5f63d0424d70,
  0xfd6b9ed5688af288, 0x5ea58594d8b3a03c, 0x8145f4502169ab9d, 0x88266fe6da7a1d53, 0x347f1a2cd101bb62,
  0x7a616837eeacc790, 0x0ecfa289c659ac86, 0x19079e4afdcd0ccb, 0x0000000001f20011,
};

static const uint64_t ur_t25_swio14_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a588561b758d, 0xfdb1fbebfc2e4433, 0x4790b8918ebd2282, 0x9f8f2e3e2f775244,
  0x827c64eef91d6411, 0x123dffbf43cfafb9, 0x201ee400ef96ded2, 0xbd287b874fe0c9af, 0x637ce62c05965347,
  0xfb30475e8f9da214, 0x1e59ed88bd22a01f, 0xe09b5e5caad5f5b8, 0xe75152a8d77210e7, 0x404e9b95daa5beac,
  0x895cbec7a0849ae0, 0xb5d73daad115e510, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2,
  0x71726ae36288266f, 0x5663c81db4345845, 0xf0f7bca1854e7ea7, 0x77a28fe32fcc4ffe, 0xdc9f81fbff826885,
  0x32cd6433d30aefa3, 0xee686658767d144e, 0x0f93c62c483cf257,
};

static const uint64_t ur_t25_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0xa65cb4b010bad158, 0x78d3da17a306beac, 0x9beef3412f7aa6ec, 0x13f78bd90ad3fa93,
  0x09f193bb4cf7e9dc, 0x41adfefd0f3e96a6, 0x721dc575ad1edf48, 0x51c9cf201ee0a725, 0x4af201eec1e4e030,
  0x270dc3afb007f15d, 0x399801afa5b1971c, 0xbde73ab4bc7bb763, 0xad743af00676f911, 0x80e3b1bda3b873da,
  0x0b97fe017b2e1cb3, 0x9f826d7972ab51d6, 0xb39d454aa35dc843, 0x81013a6e576a96fa, 0x422572fb1e82126b,
  0xe7eb5cf6ab445794, 0xeaf52c2ca6c59d01, 0x9c0a2fa2810b4d5c, 0x1441337f36d3d0ea, 0x6868b3440b93571b,
  0x616837eeacc7903b, 0xcfa289c659ac867a, 0x079e4afdcd0ccb0e, 0x000000029f153989,
};

static const uint64_t ur_t25_swio14_lednop_pr_ee_u4[] = {
  0x84dddddda2447032, 0x6ae5a58085e85d62, 0x8fe9a5d803d2f893, 0xe45338fc33c5ea6c, 0x2d05642b4fea4a11,
  0xc64ee9dad8e29caa, 0x6ff7391cfa5a9827, 0xae2bad68cc7a420d, 0x4e7900f705392b60, 0x900f760f2701e94e,
  0x6e1d7d803f8acbaf, 0xc00d7d2d8cb8e138, 0x39d5a5dc9db87dcc, 0x43af4353b1ea8d7c, 0x3b110a31bf3daad7,
  0x5ff805ecb65f380e, 0xa8e2fa427951b046, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0x0935c0809d372bb5,
  0x2bca2112b97d8f41, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x104cdfcdb1922adf,
  0x68b08ae2e4d5c6c5, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff,
  0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x000000275cb33b21,
};

static const uint64_t ur_t25_swio14_lednop_pr_ce[] = {
  0x27777777569d2d3a, 0xb969612a7217d612, 0xee15ac1d4c17f6c1, 0x220872a18dbad14d, 0x1dd8ff4bba913713,
  0x7c64eeb4bd3f647f, 0x2ffdd907cffce982, 0x954a9efeab5d210a, 0x5de8bd3ff9e65390, 0x927b96f9b78ce6f1,
  0x1d3f836bef201eef, 0x0ce62c05ea3241ee, 0x19e3af173b645477, 0xf2e556a3ae9371cb, 0x9546bb90873f04da,
  0xdcaed52df5673a8a, 0xf63d0424d7020274, 0xed5688af28844ae5, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9,
  0x863b7fbd551691db, 0xae36288266fe6d8c, 0x18fa08d166881726, 0x3d30b41bf75663c8, 0x8767d144e32cd643,
  0x8c83cf257ee68665, 0x00000000016ea492,
};

static const uint64_t ur_t25_swio14_lednop_pr_ce_u4[] = {
  0xdbbbbbb441baba31, 0x9b9696041968ac6a, 0x7a7ef4bdf37f0b48, 0x1657075378ee0037, 0xa2b6c842fddd59fb,
  0x09f193baccf5a280, 0x4287feb0ef3f95a6, 0xc070a5c62fd67148, 0x488bee2a203cf329, 0xd6ff459784bf10d8,
  0xcb3abe3399317d14, 0xc1b5f7900f77c93d, 0x1602f51920f70e9f, 0xd78b9db22a3b8673, 0xab51d749b8e58cf1,
  0x5dc8439f826d7972, 0x6a96fab39d454aa3, 0x82126b81013a6e57, 0x445794422572fb1e, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x1441337f36c6431d, 0x11a2c22b8b93571b, 0x4e7ea75663c81a39,
  0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff, 0x7d144e32cd6433d3, 0xe4f257ee68665876,
  0x00000006ebe311d4,
};

static const uint64_t ur_t25_swio14_lednop_pr_ee_ce[] = {
  0x23bbbbbba1baa80b, 0x5b96962c9c23f586, 0x97560ed8fa86f224, 0xfe0e36ea2bd72b7c, 0xae3867c2e87188ba,
  0x64eed89dc9cd38c4, 0xffac3bcfffc9827c, 0xf9efea8dc9a4274f, 0x152a3f3cca701ca1, 0x3fdad75194de2bbd,
  0x3c807b829c95ba58, 0x07bb079380d7c727, 0x875f60e4056e4fc8, 0x035f4b632e384e1b, 0xc4e757a71afb5c30,
  0xc78ebc019da5f234, 0x8ec0f88ed69ed56d, 0x193805ecb872ce03, 0x826d7972ab5c63d2, 0x9d454aa35dc8439f,
  0x013a6e576a96fab3, 0x2572fb1e82126b81, 0xd75cf6ab44579442, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a,
  0x36c6431dbfdeaa8b, 0x0b93571b1441337f, 0x98f2068e4468b344, 0x3590cf4c2d06fdd5, 0xa19961d9f45138cb,
  0xd3e7075393c95fb9, 0x0000000000000014,
};

static const uint64_t ur_t25_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda27da1f68, 0x772d2c30e5c1ac35, 0x2f599ee2f41200db, 0x7b11c2a38ac168b0, 0x23b31349fe0ed4ec,
  0x3277475f5b105b27, 0xf83217cfe374c13e, 0x317ea8f7da4235df, 0x44079e6538b49882, 0xf097e21b09117dc5,
  0xe64c5f45ea77e8b2, 0xe4aca5c1fed6107b, 0x0738b939e403dc14, 0x2b90fe403dd83c9c, 0x71c270dc3afb0720,
  0xdc9ae1801afa5b19, 0x763d51af873abd38, 0xfcf6ab6e3c75e86a, 0xd97ce038ec4428c6, 0x3ca8d82264e017b2,
  0x136bcb955a967d21, 0xea2a551aee421cfc, 0x09d372bb54b7d59c, 0x2b97d8f410935c08, 0xbae7b55a22bca211,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xb63218edfef5545a, 0x5c9ab8d8a2099bf9, 0x3c81ad4e0d16115c,
  0x7bca1854e7ea7566, 0x28fe32fcc4ffef0f, 0xf81fbff82688577a, 0xd6433d30aefa3dc9, 0x86658767d144e32c,
  0x8bb18c83cf257ee6, 0x000000000000009f,
};

// t25_swio15_noled_pr
static const uint64_t ur_t25_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x912136fff851bb3e, 0x9ef201ee884ef96e, 0x34e2b5c7b874fe0f, 0xe1a3268e62c05bdd,
  0xfb8e58c11d78b9da, 0xe09b5e5caad4acaf, 0xe75152a8d77210e7, 0xace9b95daa5beaec, 0x8844ab57fbfa0849,
  0xbcfd6b9ed5688af2, 0xb9d4ea701652a7d3, 0x538117ee2810b4b0, 0x6288266fe6da7a1d, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0xcb0ecfa289c659ac, 0x9119079e4afdcd0c, 0x00000000000f9003,
};

static const uint64_t ur_t25_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8bf82, 0xb5cb4b10ac4ceb13, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426ecf7444,
  0x27c64ee989d5a20d, 0x432bfdfa1e7dfc98, 0x01ee97c77cb41f48, 0x9c47b874fe0fa0f2, 0xef6731602cb298ca,
  0xecc11d7a3e767bd1, 0xf2cf6ee1934a807f, 0x04daf2e556aab540, 0x3a8a9546bb90873f, 0x674dcaed52df5767,
  0x42255abfdfd0424d, 0xdfd75cf6ab445794, 0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x66fe6d902455bfde,
  0x84571726ae362882, 0xea75663c81db4345, 0xffef0f7bca1854e7, 0x88577a28fe32fcc4, 0xfa3dc9f81fbff826,
  0x44e32cd6433d30ae, 0x257ee686658767d1, 0x0001f27d3cc483cf,
};

static const uint64_t ur_t25_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xbbbcd07c59b0b402, 0x4b3f764eb4fea448,
  0xf8c9dde4bb4cd1db, 0xfbff7e879f8ad304, 0xa5715d6b46652426, 0x7273c807b829c95b, 0xf900f760f2701cbe,
  0x86e1d7d803f8adc9, 0xcc00d7d2d8cb8e13, 0xb9cead2efe5bb19c, 0xba1d78033b4dc8d6, 0x38ec4648fa49ed56,
  0xa5ff805ecb872ce0, 0xf04daf2e556a3a26, 0x73a8a9546bb90873, 0xd674dcaed52df576, 0x442255abfdfd0424,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x266fe6d902455bfd, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x000029f0923120f3,
};

static const uint64_t ur_t25_swio15_noled_pr_ee_u4[] = {
  0x5dddddda20dd4375, 0x5cb4b010ba9bac24, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea448b,
  0xe3277437691f6c40, 0x3bfd61de7ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x674dcaed52df5767, 0x42255abfdfd0424d,
  0x59de5cf6ab445794, 0x5a5aff11a9e18a6f, 0x3d0ea9c08f2f1408, 0x3571b1441337f36d, 0x81a3911a2c22b8b9,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82688577a28, 0x433d30aefa3dc9f8, 0x658767d144e32cd6,
  0xec1d4e4f257ee686, 0x0000000000004eba,
};

static const uint64_t ur_t25_swio15_noled_pr_ce[] = {
  0xa6eeeeeead3a422f, 0x72d2c254e78fac0d, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7ee8da5c4c,
  0xf193ba7ef717d91b, 0x7ff7641f3ee4e609, 0x280d3dfd5ef4845f, 0xbbd1687ff3cca721, 0x8cf72df36f19cde2,
  0x1d3f8310fe403dc9, 0x80e62c05d2a211ee, 0x8cf1d78b9d86fa3e, 0x7972ab51d135b8e5, 0x4aa35dc8439f826d,
  0xe576a96fabb39d45, 0xad5fefe82126b3a6, 0xae7b55a22bca2112, 0xa6c529e1a778efeb, 0xa6194f43aa7020ee,
  0x6d90218edfef5545, 0x1726ae36288266fe, 0x63c818fa08d16688, 0xd6433d30b41bf756, 0x86658767d144e32c,
  0x553a8c83cf257ee6, 0x00000000000002dd,
};

static const uint64_t ur_t25_swio15_noled_pr_ce_u4[] = {
  0x9bbbbbb441baa80b, 0x9b9696041b0aac5f, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fddbf1fb,
  0x04f8c9ddb13b515a, 0x2175ff58779f53d3, 0xe03870e317ea8024, 0x2445f715101e7994, 0xfaffa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807b9319e, 0xc580ba54423dc3a7, 0x3af173b0df47d01c, 0x556a3a26b71cb19e,
  0x6bb90873f04daf2e, 0xd52df57673a8a954, 0xfdfd0424d674dcae, 0x6ab44579442255ab, 0xa53c34ef1dfd75cf,
  0x29e8754e041dd4d8, 0x0431dbfdeaa8b4c3, 0xd5c6c5104cdfcdb2, 0x068e4468b08ae2e4, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x7effe09a215de8a3, 0x0cf4c2bbe8f727e0, 0x961d9f45138cb359, 0x7875393c95fb9a19,
  0x00000000000375fa,
};

static const uint64_t ur_t25_swio15_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baba31, 0xbb96962c9c5c7581, 0x3b65debd385f5a17, 0xcd22e62d1420c5fd, 0x262469f0ba1c1b64,
  0x193baccf6c480af2, 0xffeb0ef3e1a2609f, 0x7e7bfaa338690963, 0x45b91fcf329c073a, 0x0ff6b5d3df378aef,
  0xcf201ee0a725670e, 0x01eec1e4e03401c9, 0xe1d7d839015fcef2, 0x00d7d2d8cb8e1386, 0xe439d5e9c651570c,
  0x71e3af4353b2008f, 0xe3b0f7a3dee7b55b, 0x8993805ecb65f380, 0xaad4b326b05aa360, 0xd77210e7e09b5e5c,
  0xaa5beaece75152a8, 0xfbfa0849ace9b95d, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0x0863b7fbd5516986, 0xab8d8a2099bf9b64, 0x0347223459a205c9, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x43a9c9e4afdcd0cc, 0x0000000000534c0e,
};

static const uint64_t ur_t25_swio15_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c12358c7, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1f1dd8,
  0x93ba55fb61900a3b, 0xc190be7d0fa609f1, 0xc5faa3b74909883f, 0x101e7994e2d23fc8, 0xc25f886c2445f715,
  0x99317d17ce5fa2cb, 0x92b38707fb5841ef, 0x1a00e4e7900f7053, 0xafe77900f760f270, 0xc709c370ebec1c80,
  0x28ab86006be96c65, 0xd90047f21ceaf4e3, 0x73daadb8f1d7a1a9, 0xb2f9c071d87bd1ef, 0x2d51b044c9c02f65,
  0x4daf2e556a599358, 0xa8a9546bb90873f0, 0x74dcaed52df57673, 0x2255abfdfd0424d6, 0xfd75cf6ab4457944,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xdfcdb20431dbfdea, 0x8ae2e4d5c6c5104c, 0xab31e40d6a7068b0,
  0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442, 0x1966b219e98577d1, 0xf734332c3b3e8a27,
  0x04fc814c641e792b,
};

// t25_swio15_lednop_pr
static const uint64_t ur_t25_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x912123dff851bb3e, 0x9ef201ee5f0ef96e, 0x98f58847b874fe0f, 0xbda3b86731602dee,
  0xfdc72c608ebc5ced, 0xf04daf2e556a562c, 0x73a8a9546bb90873, 0x0274dcaed52df576, 0x2572563d0424d702,
  0xeb5cf6ab44579442, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0x41337f36d3d0ea9c, 0xa3f8d166880ddb14,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0xc83cf257ee686658, 0x000000007c80e2c8,
};

static const uint64_t ur_t25_swio15_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6ecf744,
  0xc13e3277792e9b08, 0x0863ffdfa1e7ea54, 0x201eed28ef9683e9, 0xf3d47b874fe0fa0f, 0x38c8e62c05965318,
  0xfd9823af47cedf22, 0x1e59edef770d500f, 0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e9b95daa5beaec,
  0x4ae4ac7a0849ae04, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xdb2ec8ab7fbd5516,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0xf26bb189079e4afd, 0x0000000000000001,
};

static const uint64_t ur_t25_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x17779a0f8bdc29a9, 0xc333766c569fd489,
  0x4f8c9ddf23a62519, 0x383fefd0f3f43f30, 0x386e2bad68cca484, 0xce4e7900f705392b, 0x5f201eec1e4e0397,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0x6273ab4b98fb7633, 0xd743af00676c911a, 0x0e3b107d1dad3daa,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d2c, 0x39d454aa35dc8439, 0x013a6e576a96fabb, 0x12b92b1e82126b81,
  0xf5ae7b55a22bca21, 0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x2099bf9b69e8754e, 0x3459a205c9ab8d8a,
  0xb41bf75663c81db4, 0xd144e32cd6433d30, 0xcf257ee686658767, 0x0000029f00e4c483,
};

static const uint64_t ur_t25_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222044, 0x6ae5a58085debd60, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd485e,
  0x7c64ee8f6d12210e, 0x83fee7239fa1f982, 0x3ce2bad68dfc4843, 0xe4e7900f705392b5, 0xf900f760f27019ea,
  0x86e1d7d803f8aca5, 0xcc00d7d2d8cb8e13, 0xe39d5a5d2b5b87dc, 0x743af4353b7508e6, 0x71d8f911c653daad,
  0x32ffc02f65b2f9c0, 0x5a8e2ee1934a8d82, 0xee421cfc136bcb95, 0x4b7d5d9cea2a551a, 0x0935c0809d372bb5,
  0x15e510895c958f41, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x2099bf9b65d9156f,
  0xd16115c5c9ab8d8a, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a215de8a3f8cbf, 0x2bbe8f727e07effe,
  0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x00000275c2167642,
};

static const uint64_t ur_t25_swio15_lednop_pr_ce[] = {
  0xd3777777569d6668, 0xb969612a736dd606, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600dd1b4b8,
  0x04f8c9dd377a0cea, 0x3a5ffbb20f9f2973, 0x90918f9efeaf7a42, 0x78aef454b5f9e653, 0x77c93dcb7cdbc673,
  0x7b874fe0c43f900f, 0x1dc3398b015007bc, 0x39633c75e2e76ded, 0x36bcb955a8e967ee, 0xa2a551aee421cfc1,
  0xd372bb54b7d5d9ce, 0xc958f410935c0809, 0x73daad115e510895, 0xb0b29b1674079fad, 0x7c63042d3573abd4,
  0x9bf9b69e8754e04e, 0x9a205c9ab8d8a209, 0xdd598f2063e82345, 0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513,
  0x02dd79ca320f3c95,
};

static const uint64_t ur_t25_swio15_lednop_pr_ce_u4[] = {
  0xcdddddda20dd4375, 0x4dcb4b020c82562f, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017eedf8fd,
  0x04f8c9dd0dda47db, 0x2305ff58779f95d3, 0xe03850e317ea8024, 0x2445f715101e7994, 0x787fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807bb249e, 0x8b01427af83dc3a7, 0x3af173b0f88ed639, 0xaad47570f71cb19e,
  0xd77210e7e09b5e5c, 0xaa5beaece75152a8, 0x0849ae0404e9b95d, 0x88af28844ae4ac7a, 0x3a03cdedaeb9ed56,
  0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xa2099bf9b65d863b, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375d760ea7,
};

static const uint64_t ur_t25_swio15_lednop_pr_ee_ce[] = {
  0x4bbbbbbba1bad562, 0x5b96962c9c34b58f, 0x077a76b53f1ef224, 0x7f07802c8d05066b, 0xfe9b4be17439e95d,
  0x3277605e991b0d4c, 0xffac3bcfeed4c13e, 0xa9efea8d2b24218f, 0x8ac87f9e65380e05, 0x1fed6ba8ca6f15de,
  0x9e403dc14e4ae43c, 0x03dd83c9c0737393, 0xc3afb07202b4ade4, 0x01afa5b1971c270d, 0x4273abd38ea52e18,
  0x71e3af006769c51c, 0xc7616ba31167b55b, 0xcc9c02f65c396701, 0x826d7972ab5c6370, 0x9d454aa35dc8439f,
  0x13a6e576a96fabb3, 0x2b92b1e82126b810, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xd97618edfef5545a, 0x726ae36288266fe6, 0x1e40d1c88d166881, 0xb219e985a0dfbab3, 0x332c3b3e8a271966,
  0xaa70ea72792bf734, 0x0000000000000a69,
};

static const uint64_t ur_t25_swio15_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b10b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1e17f,
  0x327773ef5a728fa3, 0xfc190be7e004c13e, 0x18bf547811212d6f, 0x44079e6538b493b7, 0xf097e21b09117dc5,
  0x4c98be8aaebfe8b2, 0xc95c8783fdac2119, 0x0e6e7273c807b829, 0x5695bc807bb07938, 0xe384e1b875f60e40,
  0xd4a5c30035f4b632, 0xed38a3884e757a71, 0x2cf6ab6e3c75e00c, 0x872ce038ec2d7462, 0x6b8c6e1993805ecb,
  0xb90873f04daf2e55, 0x2df57673a8a9546b, 0x24d7020274dcaed5, 0x5794422572563d04, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x04cdfcdb2ec31dbf, 0x8b08ae2e4d5c6c51, 0xf53ab31e40d6a706,
  0x7ff787bde50c2a73, 0x442bbd147f197e62, 0x7d1ee4fc0fdffc13, 0xa271966b219e9857, 0x92bf734332c3b3e8,
  0x00009f9d3cc641e7,
};

// t45_swio10_noled_pr
static const uint64_t ur_t45_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x4909a57f851bb3f2, 0x310fea3a6277cb13, 0xbdd369510c71cab0, 0xcedbda3278e62c05,
  0x62cfdc72c608ebc5, 0x873f04daf2e556a5, 0xf5673a8a9546bb90, 0x5f4109359caed52d, 0xad115e5108954bef,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x5156ff7aaa2d30ca, 0x06ed94462fe6d8ad, 0xb31e40d1fc68b344,
  0x66b219e985a0dfba, 0x9a19961d964a2719, 0xf20011120f3c95fb, 0x0000000000000001,
};

static const uint64_t ur_t45_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x9dd7fbf43cfc7b98, 0xdea3cdc77cb08a90, 0x9bba05238e558193, 0x1f11dac731602cb2,
  0x807fecc11d7a3e76, 0x2540f2cf6fa059ea, 0x1cfc136bcb955a88, 0xd59cea2a551aee42, 0x7d0424d672bb54b7,
  0xb445794422552fbd, 0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x455bfdeaa8b4c329, 0x0f365118bf9b62b5,
  0x76d0d1659d1726ae, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07,
  0xcb0ecf8138cb3590, 0xb3046e9e4afdcd0c, 0x0000000000003e4c,
};

static const uint64_t ur_t45_swio10_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x5ab5cb4b10898beb, 0xbdebed05df4b5a1b, 0x3d22e1ff166c2d00, 0x6d2cfdd932282ffb,
  0x13e3277792ed3347, 0x9beffdfa1e7e2b4c, 0x5ba583fdad199490, 0xea3e0d983403d479, 0x1b875f600fe2bf9d,
  0x30035f4b632e384e, 0x4e756975f63a1f73, 0xa1d7a1a9da5f234c, 0x8ec0f88ed69ed56b, 0x97fe017b2d97ce03,
  0xa8e2d67d7f546c11, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0xfbd7d0424d672bb5, 0xf6ab445794422552,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x2b5455bfdeaa8b4c, 0x726ae365118bf9b6, 0x98f2076d0d166881,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0x3e124046e9e4afdc, 0x0000000000000005,
};

static const uint64_t ur_t45_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda24477d6, 0xad72d2c42262fac6, 0xd05d0837d2d686d6, 0xa45c3fe2cd85a017, 0xa59fbb264505ff67,
  0x7c64eed86df23f69, 0xfbff7391cfc56982, 0xe960ff6b46652426, 0x8f83660d00f51e56, 0xe1d7d803f8afe77a,
  0x00d7d2d8cb8e1386, 0x9d5a5d7d8e87dccc, 0x75e86a7697c8d313, 0xb03e23b5a7b55ae8, 0xff805ecb65f380e3,
  0x38b59f5fd51b0465, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0xf5f4109359caed52, 0xaad115e5108954be,
  0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0xd5156ff7aaa2d30c, 0xb83cd94462fe6d8a, 0x81f9434596745c9a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6,
  0xf36e11ba792bf734, 0x00000000000013ae,
};

static const uint64_t ur_t45_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x1c9ffbf43cfc8798, 0xb839fbac7f5c9121, 0xe75dcdaf003f3cbc, 0xa8f924f72cbad64c,
  0x27af91c72ac0f05f, 0x3b0f88ed6398b014, 0xf5403ff6678ebd1f, 0x5104a81e5addd02c, 0xc8439f826d7972ab,
  0x96fab39d454aa35d, 0xf7afa0849ace576a, 0xed5688af28844aa5, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xad463b7fbd551698, 0xab83cd94462fe6d8, 0x2076d0d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138,
  0x9c659ac867a61683, 0x257ee686658767c0, 0x000375d3eb82374f,
};

static const uint64_t ur_t45_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x8453dfee7239fdf7, 0xbad2305aa8fa84f4, 0xc2445f71a20f3cbc, 0xecf9fa2cbc25f886,
  0x72c10d64cd51dcda, 0x72ac0f05fa8f924f, 0xd6398b01427af91c, 0x6678ebd1f3b0f88e, 0xe5addd02cf5403ff,
  0x26d7972ab5104a81, 0xd454aa35dc8439f8, 0x49ace576a96fab39, 0xf28844aa5f7afa08, 0xde3bfaeb9ed5688a,
  0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x4462fe6d8ad463b7, 0x4596745c9ab83cd9, 0xe7ea75663c81f943,
  0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30, 0xba792bf734332c3b,
  0x0000001baf924e11,
};

static const uint64_t ur_t45_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447705, 0x972d2c42b345ac13, 0x2eac1db1f50fc5d0, 0x67372e21050b3639, 0x334a7ee7126824cc,
  0x8c9dd6c5b939267d, 0xbfdce473e337304f, 0xb563faa3f9c90816, 0xd7300fe797975a44, 0x6ed6051f2673aee6,
  0x660e5f7a8f2b4ac0, 0xec1c80adc9fa8f83, 0xe96c65c709c370eb, 0xcead70befeb6006b, 0x3af4353b4be46989,
  0x607c476b4f6abd38, 0x2700bd96cbe701c7, 0xe9e59f5fd51b0450, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0x7afa0849ace576a9, 0xd5688af28844aa5f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0xd463b7fbd5516986,
  0xb83cd94462fe6d8a, 0x07e50d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d, 0xc659ac867a616837,
  0x57ee686658767c09, 0x00004fc3242374f2,
};

static const uint64_t ur_t45_swio10_noled_pr_ee_ce_u4[] = {
  0xfdddddda2e7ccc7f, 0xee5a58b8174eac58, 0xedc9dac829b1b64c, 0xdd7d93f23f4debc4, 0x1c5a2c88789b1e0b,
  0x4eee7debd651f837, 0xf9e059fadf9827c6, 0xaa3ea8f2b2424edf, 0x1a20f3cbcbced36e, 0xcbc25f886c2445f7,
  0x33547736babaffa2, 0xf2b4ac06ed6678f9, 0x9fa8f83660e5f7a8, 0x9c370ebec1c80adc, 0xeb6006be96c65c70,
  0xbe46989cead70bef, 0xf6abd383af4353b4, 0xbe701c7607c476b4, 0x51b04502700bd96c, 0x7972ab5e9e59f5fd,
  0x4aa35dc8439f826d, 0xce576a96fab39d45, 0x844aa5f7afa0849a, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3,
  0x551698653d0ea9c0, 0x2fe6d8ad463b7fbd, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0013f132d5120f3c,
};

// t45_swio10_lednop_pr
static const uint64_t ur_t45_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x134908657f851bb3, 0xb0310fea3fc877cb, 0x05bdd3200f7c71ca, 0xc5ced6b23e80e62c,
  0x52b39edc72c608eb, 0xc8439f826d7972ab, 0x96fab39d454aa35d, 0xa0849ae0404e576a, 0x88af28844ab574bf,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x4f43aa70363fc502, 0x6880ddb288c5fcdb, 0xf75663c81a3f8d16,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x007c81242241e792,
};

static const uint64_t ur_t45_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x103dffbf43cfc069, 0x7bd479c4ef961152, 0xa60f680471cab032, 0x2628e0f9cc580b2c,
  0x403ff6608ebd1f3b, 0x11303cb3dbb5ba05, 0x21cfc136bcb955aa, 0x7d59cea2a551aee4, 0x424d7020272bb54b,
  0x579442255aba5fd0, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x88c5fcdb610c55bf,
  0x8b2ce8b9357079b2, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0,
  0x7c09c659ac867a61, 0x74f257ee68665876, 0x00000003e4e05023,
};

static const uint64_t ur_t45_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xd0bd7afaebcbda99, 0xe0fe17b3d9024217, 0x33376f4c8a0bf993,
  0xf8c9ddf23a62519c, 0xaeff7e879fd9d304, 0xe741fed68c27a424, 0x1f06cc1cddea3caf, 0xc3afb007f15a56f5,
  0x01afa5b1971c270d, 0x3ab4bc061d633998, 0x3af006760511bde7, 0x6322a3b873daad74, 0xfc02f65c396701c7,
  0x6d7972ab51d7412f, 0x454aa35dc8439f82, 0x404e576a96fab39d, 0x4ab574bfa0849ae0, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb6c218ab7fbd5516, 0x81726ae365118bf9, 0xd598f2076d0d1668,
  0xcb3590cf4c2d06fd, 0xdcd0ccb0ecb25138, 0x14f8072046e9e4af,
};

static const uint64_t ur_t45_swio10_lednop_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0x6475a2e933e3e6d6, 0x22e1ff178bcd8c77, 0xae34c902282ffb3d,
  0xf193ba82b7a71ce7, 0x3bfdce473e706609, 0x7583fdad1994909b, 0x3e0d983403d47959, 0x875f600fe2b387ea,
  0x035f4b632e384e1b, 0x75697fdc3a1f7330, 0xebd0d4eda523c90e, 0xc2628e0fcf6ab5d0, 0xfe017b2d97ce038e,
  0x717d02cf546c1197, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x2126b8101395daa5, 0x2bca2112ad5d2fe8,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x4462fe6db0862adf, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xba792bf734332c3b, 0x00000009d7ab2a11,
};

static const uint64_t ur_t45_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x211d2ffbf43cf94b, 0xbcb839f3ac7f5c91, 0x99cebb9b5f76bf3c, 0xbf51c149ee5975ac,
  0x5dbf2fa38e5581e0, 0xf9d9314707ce62c0, 0xd02a01ffb33c75e8, 0xab542260796b75ad, 0x5dc8439f826d7972,
  0x6a96fab39d454aa3, 0xbfa0849ae0404e57, 0x5688af28844ab574, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0xc6ca2317f36d8426, 0x0eda1a2cd102e4d5, 0x9e985a0dfbab31e4, 0x61d964a271966b21,
  0xe08dd3c95fb9a199, 0x00000000005bad8f,
};

static const uint64_t ur_t45_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x8495dfee7239fd9d, 0xbad2656aa8fa84f4, 0xc2445f71a20f3cbc, 0xe951fa2cbc25f886,
  0x72c10d64cd51dcda, 0x72ac0f05fa8e0a4f, 0x3e731602edf97d1c, 0x99e3af47cec98a38, 0xcb5bad6e81500ffd,
  0x136bcb955aa11303, 0xea2a551aee421cfc, 0x020272bb54b7d59c, 0x2255aba5fd0424d7, 0x6d75cf6ab4457944,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0x9b6c2131dbfdeaa8, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x06ebed7b846e9e4a,
};

static const uint64_t ur_t45_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0x77b1c771de63e2e8, 0x339b97168a1062f9, 0x89891a7389341266,
  0xc64ee8f6d81610fc, 0xfff7391cf8689827, 0x9fb1fd51fce484b1, 0xd7eeb7e797975a4e, 0x6ed6051f2673aee6,
  0x660e5f7a8f2b90e0, 0xec1c80add2fa8f83, 0xe96c65c709c370eb, 0xcead71fbbeb6006b, 0x1d7a1a9db4a47921,
  0x61314707e7b55e9c, 0x2700bd96cbe701c7, 0xf4f740b3d51b0450, 0x421cfc136bcb955a, 0xb7d59cea2a551aee,
  0x0424d7020272bb54, 0x4579442255aba5fd, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x5118bf9b6c2131db, 0x4597ab9726ae0f36, 0xe7ea75663c81f943, 0x3c899e04e34a1854, 0x219e985a0dfbe234,
  0x19961d9f0271966b, 0x1eb708dd3c95fb9a, 0x000000000000013f,
};

static const uint64_t ur_t45_swio10_lednop_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x27605e95b2406d93, 0xf75f64fa7791a8b6, 0xdc15c7221e26c782,
  0x3277475f4050591d, 0x3fcf02cfa1f4c13e, 0xcaa8faa3cac90988, 0xee3441e797979dbf, 0x459784bf10d8488b,
  0xf933547736bf53bf, 0xa8f2b90e06ed6678, 0xdd2fa8f83660e5f7, 0x709c370ebec1c80a, 0xbbeb6006be96c65c,
  0xdb4a47921cead71f, 0x7e7b55e9c1d7a1a9, 0x6cbe701c76131470, 0x3d51b04502700bd9, 0x36bcb955af4f740b,
  0xa2a551aee421cfc1, 0x20272bb54b7d59ce, 0x255aba5fd0424d70, 0xd75cf6ab44579442, 0x905ca5af9d01e6f6,
  0x48edcf43aa70210a, 0xb6c2131dbfdeaa8b, 0x726ae0f365118bf9, 0xc790334f8d1659d1, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0xfcde0b4483cf257e,
  0x0000000000000004,
};

// t45_swio11_noled_pr               t45_swio12_noled                  t45_swio12_noled_pr
static const uint64_t ur_t45_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x10f5ff0a3767fba9, 0xffd47884ef96e812, 0xa63d7e48e3956075, 0x41f464d1cc580b7b,
  0x7b71cb1823af173b, 0x7e09b5e5caad4ac2, 0xce75152a8d77210e, 0x2126b395daa5beae, 0x8af28844ad8debe8,
  0x69de3bfaeb9ed568, 0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x6ca2317f36cf5b8a, 0xf2068fe3459a2037,
  0x90cf4c2d06fdd598, 0xccb0ecb25138cb35, 0xe2c89079e4afdcd0, 0x0000000000007c80,
};

// t45_swio12_noled_pr_u4
static const uint64_t ur_t45_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0x6dfff7e879f31f30, 0x7a8e0a1df2dbda42, 0xb6fcbe8e3956064d, 0x5d188a731602cb29,
  0x0ffd9823af47cecb, 0x740f2cf6fa427950, 0xe7e09b5e5caad59f, 0xece75152a8d77210, 0x82126b395daa5bea,
  0x88af28844ad8debe, 0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0xab7fbd551698653d, 0xe6ca2317f36cf5b8,
  0xda1a2cb3a2e4d5c1, 0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd,
  0x61d9f0271966b219, 0x608dd3c95fb9a199, 0x00000000003e4c21,
};

// t45_swio12_noled_pr_ee
static const uint64_t ur_t45_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xfb96962110d8ac6e, 0x97a34f78fd08a661, 0x1fc2de45a14df8f6, 0x60cda991417fddfc,
  0x193ba627571c1b37, 0x9fefd0f3f6ea609f, 0x9c1fed68e44484c0, 0xf06cc1829ea3cadc, 0x3afb007f15feef51,
  0x1afa5b1971c270dc, 0xab4b98f1d6339980, 0xaf006765f118f873, 0x037d1f413daad743, 0xe017b2e1cb380e3b,
  0x6bcb955a8e89e97f, 0x2a551aee421cfc13, 0x672bb54b7d5d9cea, 0x10895b1bd7d0424d, 0x77f5d73daad115e5,
  0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x62fe6d9eb7156ff7, 0x459a205c9ab8d944, 0x41bf75663c81db43,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x000000a7ce7011ba,
};

// t45_swio12_noled_pr_ee_u4
static const uint64_t ur_t45_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2446f43, 0x5cb4b10886eeb0f2, 0x20da8ba306b9b5ab, 0x22e1fad0ada0963c, 0xa70cd4d91417f791,
  0xf193ba02b792eca1, 0xebfdce473f1ca609, 0x0f07fb5a30f69096, 0x7c1b307a57a8f2b9, 0x0ebec01fc56e97d4,
  0x06be96c65c709c37, 0xead2f528743ee660, 0xd7a1a9da7147109c, 0x85ae8c459ed56ba1, 0xfc02f65b2f9c071d,
  0x7164f73ca8d8232f, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0xbe82126b395daa5b, 0x5688af28844ad8de,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0xb8ab7fbd55169865, 0xc1e6ca2317f36cf5, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xfaf08dd3c95fb9a1, 0x0000000000009d78,
};

// t45_swio12_noled_pr_ce
static const uint64_t ur_t45_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x56ff7e879f387304, 0x071c9d8feabe2422, 0xd7736ba1f7e79797, 0x3af93dcb2eb59339,
  0x937471cab0359fea, 0xcb5d188a731602c8, 0x500ffd99e3af47ce, 0x67dd03cb5bba4279, 0x8439f826d7972ab5,
  0xfabb39d454aa35dc, 0xafa0849ace576a96, 0x55a22bca2112b637, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5,
  0xd98edfef5545a619, 0xe0f365118bf9b67a, 0x1db434597ab9726a, 0xa1854e7ea75663c8, 0xbe2343c899e04e34,
  0x1966b219e985a0df, 0x5fb9a19961d9f027, 0x00375ce7c08dd3c9,
};

// t45_swio12_noled_pr_ce_u4
static const uint64_t ur_t45_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x9813fdce473f6ea6, 0xad229eaa8fac8890, 0x2445f71a20f3cbcb, 0x9bffa2cbc25f886c,
  0x5821ac99aa3b9b5d, 0x5581acff51d7c9ee, 0x5398b016449ba38e, 0xcf1d7a3e765ae8c4, 0x5addd213ca807fec,
  0x36bcb955ab3ee81e, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce, 0x510895b1bd7d0424, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x8c5fcdb3d6cc76ff, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x00000375f4714237,
};

// t45_swio12_noled_pr_ee_ce
static const uint64_t ur_t45_swio11_noled_pr_ee_ce[] = {
  0x8cdddddd41445541, 0xb969621588fd636d, 0x77a76b53f1fe2e84, 0xe6f50ea2bd72b6b0, 0xb8e19ce24d076d8c,
  0x93ba82b4c89ce312, 0xfdce473fff2609f1, 0xec7f546e95213a7f, 0xd523f9e5e5d69287, 0xb58147c99cebb9b5,
  0xc1ce3ea3cafe701b, 0x839015a56f51f06c, 0x2d8cb8e1386e1d7d, 0xd5ae2a57d6c00d7d, 0xaf4353b4e28e2139,
  0x2d74622cf6abd383, 0xe017b2d97ce038ec, 0x4f13dcf2a3608a04, 0x21cfc136bcb955af, 0xd5d9cea2a551aee4,
  0x7d0424d672bb54b7, 0xad115e510895b1bd, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0xcc76ff7aaa2d30ca,
  0x079b288c5fcdb3d6, 0xfca1a2cbd5cb9357, 0x0c2a73f53ab31e40, 0xf11a1e44cf0271a5, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x004fcc21846e9e4a,
};

// t45_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t45_swio11_noled_pr_ee_ce_u4[] = {
  0x17eeeeed173e304a, 0x96962e052eeb0d4c, 0xa6474d8c286d933b, 0xaf537c94c4d05c9d, 0x891f910f12d4c17b,
  0xee957eb4e4037044, 0x9e059f6bb9827c64, 0x51f5472b9211fe7f, 0x6883cf2f2f3bd355, 0x2f097e21b09117dc,
  0x66a8ee6d7f397e8b, 0xe57f380ddaccf1f2, 0xb7a8f83660e71f51, 0x9c370ebec1c80ad2, 0xeb6006be96c65c70,
  0x7147109cead7152b, 0x7b55e9c1d7a1a9da, 0xbe701c7616ba3116, 0x51b04502700bd96c, 0x5e5caad7a789ee79,
  0x52a8d77210e7e09b, 0x395daa5beaece751, 0x844ad8debe82126b, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3,
  0x551698653d0ea9c0, 0x2fe6d9eb663b7fbd, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0013f169f5120f3c,
};

// t45_swio11_lednop_pr              t45_swio12_lednop                 t45_swio12_lednop_pr
static const uint64_t ur_t45_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x2103dff851bb3f01, 0x5ffd47c90ef96e81, 0xba6d29318e395607, 0xd84547d21cc580b7,
  0xc17b8e58c11d78b9, 0xe7e09b5e5caad4ac, 0xece75152a8d77210, 0x6b8101395daa5bea, 0x510895cbd2fe8212,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0xaa7028be8a042d35, 0xddb288c5fcdb4f43, 0x63c81a3f8d166880,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0x40022241e792bf73, 0x000000000000003e,
};

// t45_swio12_lednop_pr_u4
static const uint64_t ur_t45_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x13fdfa1e7c3dcc13, 0x51d7c3be5ba04849, 0x449ba38e5581d7ff, 0xa3b86731602dee9a,
  0x8e58c11d78b9db22, 0x4daf2e556a56749b, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0,
  0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516, 0x2e4d5c1e6ca2317f,
  0xb31e40eda1a2cb3a, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e,
  0xfb9a19961d9f0271, 0x03e4d34008dd3c95,
};

// t45_swio12_lednop_pr_ee
static const uint64_t ur_t45_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a58844c5f58d, 0xd7da0bac47c5a998, 0x07f0b790d85a017b, 0x59fbb264505ff77f,
  0xc64eef25da668eda, 0xdffbf43cfc569827, 0x4b07fb5a39112137, 0x7c1b3060a7a8f2b7, 0x0ebec01fc57f3bd4,
  0x06be96c65c709c37, 0xead2ebec758ce660, 0xd78033b4be46989c, 0xc0f88ed69ed56ba1, 0xf805ecb872ce038e,
  0xdaf2e556a3ae925f, 0x8a9546bb90873f04, 0x09caed52df57673a, 0xae5e97f410935c08, 0xeb9ed5688af28844,
  0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0x6c648ab7fbd55169, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x0a7c24808dd3c95f,
};

// t45_swio12_lednop_pr_ee_u4
static const uint64_t ur_t45_swio11_lednop_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b1088d2eb0f2, 0x5d23fbb6dd79b5ab, 0xb87eb437656de9b4, 0x685ad04505fde448,
  0x32774ed6cbb4e541, 0x7fb9c8e7c9d4c13e, 0xe0ff6b461ed2122b, 0x83660f4af51e5652, 0xd7d803f8acbafa8f,
  0xd7d2d8cb8e1386e1, 0x5a5dc98e87dccc00, 0xf4353b1ea8d7c39d, 0x10a31bf3daad743a, 0x805ecb65f380e3b1,
  0x2fa427951b0465ff, 0x1cfc136bcb955a8e, 0x5d9cea2a551aee42, 0x4d7020272bb54b7d, 0xca2112b97a5fd042,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x8c5fcdb1922adfef, 0xb2ce8b9357079b28,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x0000013ae917c237,
};

// t45_swio12_lednop_pr_ce
static const uint64_t ur_t45_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x490ffefd0f3e50e6, 0x2e0e3a5b1fd57c48, 0x39d7736b868fcf2f, 0xd4797d3dcb2eb593,
  0x32a718e395606b3f, 0x9da214637ce62c05, 0x22a01ffb33c75e8f, 0xb57d6e0796b708bd, 0xdc8439f826d7972a,
  0x96fabb39d454aa35, 0xa0849ae0404e576a, 0x445794422572f4bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af,
  0xbfdeaa8b48edcf43, 0x6ca2317f36c6431d, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x08dd3c95fb9a1996, 0x0000000005ba8bf6,
};

// t45_swio12_lednop_pr_ce_u4
static const uint64_t ur_t45_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x9beffdce473f15a6, 0xad24aeaa8fac8890, 0x2445f71a20f3cbcb, 0xc87fa2cbc25f886c,
  0x2c10d64cd51dcdae, 0x5581acff51e5f4f7, 0xf398b014ca9c638e, 0xcf1d7a3e7688518d, 0x5adc22f48a807fec,
  0x9b5e5caad5f5b81e, 0x5152a8d77210e7e0, 0x01395daa5beaece7, 0x95cbd2fe82126b81, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x375de6dc2374f257,
};

// t45_swio12_lednop_pr_ee_ce
static const uint64_t ur_t45_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a22582, 0x5cb4b10adf4eb1b6, 0x3a2475e9c2ff1742, 0x737a8647ea29bb8e, 0xa6742e712683b6c6,
  0xc9dd3adacccb5725, 0xfdce473e9b7304f8, 0xec7f546e9521066f, 0xdd51f9e5e5d690c7, 0xb58147c99cebb9b5,
  0xc1ce3ea3cace181b, 0x839015c87f51f06c, 0x2d8cb8e1386e1d7d, 0xd5ae1c9fd6c00d7d, 0xaf4353b1ea8d7c39,
  0x4428c6fcf6abd383, 0xe017b2d97ce038ec, 0x4f7484f2a3608a04, 0x21cfc136bcb955af, 0xd5d9cea2a551aee4,
  0x24d7020272bb54b7, 0xbca2112b97a5fd04, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x118bf9b63218edfe, 0x597ab9726ae0f365, 0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0xad508dd3c95fb9a1, 0x00000000000013f0,
};

// t45_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t45_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e6812, 0x96962e0506eb0d4c, 0x599e8335a06d933b, 0x5ea6e5df25b2302f, 0x3fa7221e25a982f7,
  0xbb45fad8935e2723, 0x3c0b3e292609f193, 0x47d51cae484adfff, 0x441e797979ddadd5, 0x784bf10d8488bee3,
  0x6a8ee6d776eff459, 0x5670c0ddaccf1f26, 0xfa8f83660e71f51e, 0xc370ebec1c80ae43, 0xb6006be96c65c709,
  0x546be1cead70e4fe, 0xb55e9c1d7a1a9d8f, 0xe701c762214637e7, 0x1b04502700bd96cb, 0xe5caad7a7ba42795,
  0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0xbd2fe82126b81013, 0x3daad115e510895c, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0x90c76ff7aaa2d23b, 0x57079b288c5fcdb1, 0x819a7c68b2ce8b93, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6, 0xf02a241e792bf734,
  0x00000000000027e3,
};

// t45_swio13_noled_pr
static const uint64_t ur_t45_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x912136fff851bb3e, 0x03e7bd47884ef96e, 0xb7ba69c56bc71cab, 0x73b5c3464d1cc580,
  0x595ff71cb1823af1, 0x21cfc136bcb955a9, 0x37d9cea2a551aee4, 0x109359caed52df55, 0x2bca2112ad5ef5f4,
  0x9f4ef3f5ae7b55a2, 0xd2c2e753a9c0594a, 0xe8754e045fb8a042, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x3e400e44483cf257,
};

static const uint64_t ur_t45_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x8657fbf43cfbf930, 0x7a8f2f8ef9683e90, 0x632a718e395607d0, 0xef47bd9cc580b2ca,
  0x01ffb30475e8f9d9, 0xd503cb3dbb864d2a, 0x1cfc136bcb955aaa, 0x7d9cea2a551aee42, 0x09359caed52df553,
  0xbca2112ad5ef5f41, 0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0xca2317f36c8122ad,
  0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40eda, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0x8dd3c95fb9a19961, 0x000000001f27d3c0,
};

static const uint64_t ur_t45_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffcd,
  0x3e3277699efd3b82, 0x95bfdfa1e7f4dcc1, 0xa5683fdad1f74909, 0x47c1b3072fbd4795, 0x70ebec01fc56e4fd,
  0x006be96c65c709c3, 0xe756977f0758ce66, 0x0ebc019da6e46b5c, 0x7623247d24f6ab5d, 0xffc02f65c396701c,
  0x26d7972ab51d1352, 0xd454aa35dc8439f8, 0x395daa5beaa6fb39, 0x2255abdebe82126b, 0xfd75cf6ab4457944,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2fe6d902455bfdea, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000029f153811ba7,
};

static const uint64_t ur_t45_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0x56b96962110fdd62, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfd08,
  0x7c64eeb62d582932, 0x9bff7391cf8d6982, 0xe1c1fed68e3da426, 0x1f06cc19ebea3cac, 0xc3afb007f15c87f5,
  0x01afa5b1971c270d, 0x3ab4b9451d0fb998, 0x75e86a764011fc87, 0xb0f7a3dee7b55ae8, 0xff805ecb65f380e3,
  0x1c593582d51b0465, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x82126b395daa5bea, 0x4579442255abdebe,
  0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c, 0x5bfdeaa8b4c329e8, 0xcd94462fe6d90245, 0x9434596745c9ab83,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0xe11ba792bf734332, 0x00000000013af756,
};

static const uint64_t ur_t45_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x427ceff7e879f2eb, 0x7970712b58feb372, 0x99cebb9b5ffe7e79, 0xef51e6e9ee5975ac,
  0x0bdd0291c72ac0c9, 0x8f9d9ef47bd9cc58, 0x64d2a01ffb33c75e, 0x556aab540f2d6eb8, 0x6bb90873f04daf2e,
  0xb7d54df673a8a954, 0xbd7d0424d672bb54, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0x0863b7fbd5516986, 0x26ae365118bf9b64, 0x8f2076d0d1668817, 0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3,
  0xa8be046e9e4afdcd, 0x000000000000016e,
};

static const uint64_t ur_t45_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x2132b7fb9c8e7f4d, 0x975a4c09551f5ee9, 0xd8488bee3441e797, 0x5facff459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e6e9, 0x7bd9cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x0f2d6eb864d2a01f,
  0xf04daf2e556aab54, 0x73a8a9546bb90873, 0xd672bb54b7d54df6, 0x8844ab57bd7d0424, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x18bf9b640863b7fb, 0x659d1726ae0f3651, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf,
  0x000006eb938b846e,
};

static const uint64_t ur_t45_swio13_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac0d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d046d8,
  0x193ba76b6c4a72a6, 0xffb9c8e7f76a609f, 0xd58fea8e43a4218f, 0x5ee87f9e5e5d6902, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0xd839015fcef51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae0a2fd6c00d7, 0x3af4353b2008fe43,
  0x61ef47bdcf6abd38, 0x2700bd96cbe701c7, 0xf4f13582d51b0450, 0x421cfc136bcb955a, 0x537d9cea2a551aee,
  0x4109359caed52df5, 0x22bca2112ad5ef5f, 0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xedfef5545a6194f4,
  0xcd94462fe6d90218, 0x50d165eae5c9ab83, 0x1539fa9d598f207e, 0x8d0f22678138d286, 0x9ac867a616837ef8,
  0xe686658767c09c65, 0x13f10242374f257e,
};

static const uint64_t ur_t45_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f138ec1,
  0xc9dddfbdb0c89e8c, 0xff9e059f801304f8, 0xeaa3ea8f7da425ad, 0x71a20f3cbcbcee76, 0x2cbc25f886c2445f,
  0x933547736b8c2ffa, 0x8f2b74a06ed6678f, 0xf3bd47c1b306807a, 0x84e1b875f60e4057, 0xbf5b0035f4b632e3,
  0xc8023f90e756b828, 0x73daaf4e0ebd0d4e, 0xb2f9c071d87bd1ef, 0xb546c11409c02f65, 0xdaf2e556bd3c4d60,
  0x8a9546bb90873f04, 0x2bb54b7d54df673a, 0x4ab57bd7d0424d67, 0xaeb9ed5688af2884, 0xba9b14a7869de3bf,
  0x1698653d0ea9c083, 0xf9b640863b7fbd55, 0xd1726ae0f365118b, 0xacc790334f8d1659, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c, 0x04fc20e54483cf25,
};

// t45_swio13_lednop_pr
static const uint64_t ur_t45_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x912123dff851bb3e, 0x03e7bd475f0ef96e, 0x5bdd31eb10c71cab, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x10e7e09b5e5caad4, 0x9bece75152a8d772, 0xae0404e576a96faa, 0xa2112b924bfa0849,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x54e04e7d14085a6a, 0xbb65118bf9b69e87, 0xc790347f1a2cd101,
  0xac867a616837eeac, 0x866587659289c659, 0x07164483cf257ee6, 0x00000000000003e4,
};

static const uint64_t ur_t45_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0xeebfdfa1e7e3dcc1, 0xf51e6e3be5ba4484, 0xddd0291c72ac0f9e, 0xf88ed6398b016f74,
  0xf71cb1823af173b0, 0xc136bcb955a95970, 0xcea2a551aee421cf, 0x09caed52df5537d9, 0x572497f410935c08,
  0x75cf6ab445794422, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xd976455bfdeaa8b4, 0xc9ab83cd94462fe6,
  0x63c81db434596745, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc,
  0x734332c3b3e04e32, 0x0f932cc11ba792bf,
};

static const uint64_t ur_t45_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0x37e0fe17426d9305, 0x6cdd8334108a0bff,
  0x827c64ee989d5c70, 0x2472ff7e879feaf9, 0x56e960ff6b47dd24, 0xf51f06cc1cbef51e, 0x0dc3afb007f15945,
  0x9801afa5b1971c27, 0x273ab4b98f1d6339, 0x743af00676c911a6, 0xe3b107d1dad3daad, 0x97fe017b2e1cb380,
  0x826d7972ab51d2cf, 0x9d454aa35dc8439f, 0x1395daa5beaa6fb3, 0xae492fe82126b810, 0x6b9ed5688af28844,
  0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x462fe6da7a1d5381, 0x3459a205c9ab8d94, 0xb41bf75663c81db4,
  0xc944e32cd6433d30, 0xa792bf734332c3b2, 0x0000000a7ce7011b,
};

static const uint64_t ur_t45_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b108834eb1, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfd08,
  0x3e327747b6c71086, 0x72ff7391cff57cc1, 0xa1c1fed68e3da424, 0x1f06cc19ebea3cac, 0xc3afb007f1594bf5,
  0x01afa5b1971c270d, 0x3ab4ba561d0fb998, 0x75e86a76ea11cdc7, 0xb1f2238ca7b55ae8, 0xff805ecb65f380e3,
  0x1c5dc326951b0465, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x28844ae492fe8212,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xc5fcdb2ec8ab7fbd, 0x2ce8b9357079b288,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d,
  0xf257ee686658767c, 0x000009d74d042374,
};

static const uint64_t ur_t45_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x421c3ff7e879f60b, 0x79707243d8feb372, 0x339d7736ba6dfe79, 0xdea3ce33dcb2eb59,
  0x287b40238e558193, 0x3e76f911c6473160, 0xb86a807feccf1d7a, 0x55ac0ad03cb5bb7b, 0xaee421cfc136bcb9,
  0xdf5537d9cea2a551, 0x10935c0809caed52, 0x45794422572497f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x374f257ee6866587, 0x000000016ea3cb82,
};

static const uint64_t ur_t45_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x212dd7fb9c8e7e39, 0x975a4df7551f5ee9, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e719, 0xe32398b0143da011, 0xf6678ebd1f3b7c88, 0x1e5addbddc35403f,
  0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e576a96faa9bec, 0x2b924bfa0849ae04, 0xbae7b55a22bca211,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xd97618edfef5545a, 0xc9ab83cd94462fe6, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0xbaf1f5e11ba792bf, 0x0000000000000001,
};

static const uint64_t ur_t45_swio13_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d606, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d046d8,
  0x193baafb43746a58, 0x3fdce473fa6a609f, 0x3f63faa390e909ff, 0xae000fcf2f2eb496, 0xddac0a3e4ce75dcd,
  0x660d00f51e565d40, 0xec1c80ace1fa8f83, 0xe96c65c709c370eb, 0xcead7095beb6006b, 0x1d7a1a9dba847371,
  0xb1f2238ca7b55e9c, 0x13805ecb65f380e3, 0x7a7ae1934a8d8228, 0x210e7e09b5e5caad, 0xa9bece75152a8d77,
  0x9ae0404e576a96fa, 0xca2112b924bfa084, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538,
  0x62fe6d97618edfef, 0x5eae5c9ab83cd944, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x7a616837ef88d0f2,
  0x58767c09c659ac86, 0x2c2374f257ee6866, 0x000000000009f83a,
};

static const uint64_t ur_t45_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e271d82,
  0x64eebadea0aeef27, 0xff9e059fc6e9827c, 0x2aa3ea8f7da4235d, 0xb8d1079e5e5e7788, 0x165e12fc4361222f,
  0xe4cd51dcdaeb82fd, 0xa3cacba81bb599e3, 0x9c3f51f06cc1a01e, 0xe1386e1d7d839015, 0xb7d6c00d7d2d8cb8,
  0xb7508e6e39d5ae12, 0x94f6abd383af4353, 0x6cbe701c763e4471, 0x6951b04502700bd9, 0x36bcb955af4f5c32,
  0xa2a551aee421cfc1, 0xcaed52df5537d9ce, 0x2497f410935c0809, 0xcf6ab44579442257, 0xca5af9d01e6f6d75,
  0xdcf43aa70210a905, 0xec31dbfdeaa8b48e, 0x57079b288c5fcdb2, 0x819a7c68b2ce8b93, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6, 0xa9ca241e792bf734,
  0x00000000000027e0,
};

// t45_swio14_noled_pr
static const uint64_t ur_t45_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x1210f5ff0a3767fb, 0x75ffd47884ef96e8, 0x7ba63d7e48e39560, 0x3b41f464d1cc580b,
  0xc27b71cb1823af17, 0x0e7e09b5e5caad4a, 0xeace75152a8d7721, 0x0849ace9b95daa5b, 0x115e510895b1fbfa,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0xed94462fe6d9eb71, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x19961d964a271966, 0x1c59120f3c95fb9a, 0x0000000000000f90,
};

static const uint64_t ur_t45_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x2136fffbf43cf98f, 0x26bd47050ef96ded, 0x94db7e5f471cab03, 0x65ae8c45398b0165,
  0xa807fecc11d7a3e7, 0xcfba07967b7d213c, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0xd0424d674dcaed52,
  0x688af28844ad8fdf, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x8ab7fbd551698653, 0x1e6ca2317f36cf5b,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x1608dd3c95fb9a19, 0x000000000003e4c2,
};

static const uint64_t ur_t45_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0xc3f72d2c4221b158, 0xed2f469ef1fa114c, 0xf83f85bc8b429bf1, 0x6ec19b532282fe64,
  0x3e32774c4eae3836, 0x813fdfa1e7edd4c1, 0xb9383fdad1c88909, 0xa3e0d983053d4795, 0xb875f600fe2bfdde,
  0x0035f4b632e384e1, 0xe7569731e3ac6733, 0x875e00cecbe231f0, 0x7606fa3e827b55ae, 0xffc02f65c396701c,
  0x26d7972ab51d13d2, 0xd454aa35dc8439f8, 0xb3a6e576a96fab39, 0x442256c7efe82126, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x18bf9b67adc55bfd, 0xd166881726ae3651, 0xd06fdd598f2076d0,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x00000029f39c046e,
};

static const uint64_t ur_t45_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2446f43, 0xad72d2c4221bbac6, 0xf0836a2e8c1ae6d6, 0xf48b87eb42b68258, 0x0d3866a6c8a0bfec,
  0x4f8c9dd015bc9765, 0xb75fee7239f8e530, 0xc8783fdad187b484, 0xa3e0d983d2bd4795, 0xb875f600fe2b74be,
  0x0035f4b632e384e1, 0xe75697a943a1f733, 0x0ebd0d4ed38a3884, 0xec2d74622cf6ab5d, 0x7fe017b2d97ce038,
  0xa38b27b9e546c119, 0x90873f04daf2e556, 0x2df5673a8a9546bb, 0xfd0424d674dcaed5, 0x5688af28844ad8fd,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0xb8ab7fbd55169865, 0xc1e6ca2317f36cf5, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xfaf08dd3c95fb9a1, 0x0000000000009d78,
};

static const uint64_t ur_t45_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x44adfefd0f3e70e6, 0x2e0e393b1fd57c48, 0x73aee6d743efcf2f, 0xd475f27b965d6b26,
  0x9126e8e395606b3f, 0x9d96ba3114e62c05, 0xf2a01ffb33c75e8f, 0x6acfba0796b77484, 0xb90873f04daf2e55,
  0x52df5673a8a9546b, 0xdfd0424d674dcaed, 0xd5688af28844ad8f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0xb663b7fbd5516986, 0xb83cd94462fe6d9e, 0x076d0d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d,
  0xc659ac867a616837, 0x57ee686658767c09, 0x000dd739f02374f2,
};

static const uint64_t ur_t45_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x213027fb9c8e7edd, 0x975a453d551f5911, 0xd8488bee3441e797, 0xbb37ff459784bf10,
  0xdcb0435933547736, 0x1cab0359fea3af93, 0x88a731602c893747, 0xd99e3af47cecb5d1, 0x3cb5bba4279500ff,
  0x826d7972ab567dd0, 0x9d454aa35dc8439f, 0x6b3a6e576a96fab3, 0x9442256c7efe8212, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x2317f36cf5b31dbf, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xd3c95fb9a19961d9,
  0x000000dd7d1c508d,
};

static const uint64_t ur_t45_swio14_noled_pr_ee_ce[] = {
  0x3ddddddd41445541, 0x972d2c42b11fac13, 0x0ef4ed6a7e3fc5d0, 0x9cdea1d457ae56d6, 0x571c339c49a09331,
  0x3277505699139c62, 0xffb9c8e7ffe4c13e, 0xfd8fea8dd2a4274f, 0xbaa47f3cbcbad250, 0x76b028f9339d7736,
  0x9839c7d4795fce03, 0xb07202b4adea3e0d, 0xa5b1971c270dc3af, 0x3ab5c54afad801af, 0x75e86a769c51c427,
  0x85ae8c459ed57a70, 0x9c02f65b2f9c071d, 0xe9e27b9e546c1140, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0xe82126b3a6e576a9, 0xb44579442256c7ef, 0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329,
  0x1e6ca2317f36cf5b, 0xf2868b2f572e4d5c, 0x30a9cfd4eacc7903, 0xc46879133c09c694, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x013f308611ba792b,
};

static const uint64_t ur_t45_swio14_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e304a, 0x772d2c5c0a5dd62c, 0x3b4c8e9b1850db26, 0xf75ea6f92989a0b9, 0x89123f221e26c782,
  0xc9dd2afd69c806e0, 0xff3c0b3ed77304f8, 0xaaa3ea8e572423fc, 0xb8d1079e5e5e77a6, 0x165e12fc4361222f,
  0xe4cd51dcdafe72fd, 0xa3cafe701bb599e3, 0xa56f51f06cc1ce3e, 0xe1386e1d7d839015, 0x57d6c00d7d2d8cb8,
  0xb4e28e2139d5ae2a, 0x2cf6abd383af4353, 0xd97ce038ec2d7462, 0xf2a3608a04e017b2, 0x36bcb955af4f13dc,
  0xa2a551aee421cfc1, 0x9d372bb54b7d59ce, 0x2112b63f7f410935, 0xefebae7b55a22bca, 0x20eea6c529e1a778,
  0x5545a6194f43aa70, 0x8bf9b67ad98edfef, 0x59d1726ae0f36511, 0x4eacc790334f8d16, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0, 0x0004fc5a7d4483cf,
};

// t45_swio14_lednop_pr
static const uint64_t ur_t45_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x812103dff851bb3f, 0x075ffd47c90ef96e, 0xb7ba6d29318e3956, 0xb9d84547d21cc580,
  0xacc17b8e58c11d78, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x9ae0404e9b95daa5, 0xe510895cbec7a084,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x3aa7028be8a042d3, 0x0ddb288c5fcdb4f4, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xe40022241e792bf7, 0x0000000000000003,
};

static const uint64_t ur_t45_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x4913fdfa1e7c3dcc, 0xff51d7c3be5ba048, 0x9a449ba38e5581d7, 0x22a3b86731602dee,
  0x9b8e58c11d78b9db, 0xf04daf2e556a5674, 0x73a8a9546bb90873, 0x20274dcaed52df56, 0x44ae5f63d0424d70,
  0xdaeb9ed5688af288, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xf36c648ab7fbd551, 0xa2e4d5c1e6ca2317,
  0xab31e40eda1a2cb3, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1,
  0x5fb9a19961d9f027, 0x003e4d34008dd3c9,
};

static const uint64_t ur_t45_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b10898beb, 0xf7afb417588f8b53, 0x3e0fe16f21b0b402, 0xb4b3f764c8a0bf99,
  0x4f8c9dde4bb4cd1d, 0x6fbff7e879f8ad30, 0x6e960ff6b4722242, 0xa8f83660c14f51e5, 0x6e1d7d803f8afe77,
  0xc00d7d2d8cb8e138, 0x39d5a5d7d8eb19cc, 0x43af0067697c8d31, 0x1d81f11dad3daad7, 0xbff00bd970e59c07,
  0x09b5e5caad475d24, 0x75152a8d77210e7e, 0x04e9b95daa5beace, 0x95cbec7a0849ae04, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6d8c9156ff7aaa2d, 0x205c9ab8d94462fe, 0x75663c81db43459a,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x014f849011ba792b,
};

static const uint64_t ur_t45_swio14_lednop_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c42234bac6, 0xd1748feedb75e6d6, 0x22e1fad0dd95b7a6, 0x0b42d682282ffb3d,
  0xf193ba76b65da72a, 0x5bfdce473e4ea609, 0x9707fb5a30f69091, 0x7c1b307a57a8f2b2, 0x0ebec01fc565d7d4,
  0x06be96c65c709c37, 0xead2ee4c743ee660, 0xd7a1a9d8f546be1c, 0x888518df9ed56ba1, 0xfc02f65b2f9c071d,
  0x717d213ca8d8232f, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x9ae0404e9b95daa5, 0xe510895cbec7a084,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x462fe6d8c9156ff7, 0x596745c9ab83cd94,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x0000009d748be11b,
};

static const uint64_t ur_t45_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x90921ffdfa1e7ca1, 0x5e5c1c74b63faaf8, 0x2673aee6d70d1f9e, 0x7fa8f2fa7b965d6b,
  0x0a654e31c72ac0d6, 0x1f3b4428c6f9cc58, 0x7a45403ff6678ebd, 0x556afadc0f2d6e11, 0x6bb90873f04daf2e,
  0xed52df5673a8a954, 0xd0424d7020274dca, 0x688af28844ae5f63, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5,
  0xb7fbd551691db9e8, 0x8d94462fe6d8c863, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0xc11ba792bf734332, 0x0000000000b7517e,
};

static const uint64_t ur_t45_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x2137dffb9c8e7e2b, 0x975a495d551f5911, 0xd8488bee3441e797, 0x5d90ff459784bf10,
  0xee5821ac99aa3b9b, 0x1cab0359fea3cbe9, 0x1be73160299538c7, 0xd99e3af47ced10a3, 0x3cb5b845e91500ff,
  0xc136bcb955abeb70, 0xcea2a551aee421cf, 0x809d372bb54b7d59, 0x12b97d8f410935c0, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x9b63218edfef5545, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x06ebbcdb846e9e4a,
};

static const uint64_t ur_t45_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22582, 0x4b9696215be9d609, 0xc7448ebd385fe2e8, 0xce6f50c8fd453771, 0xb4ce85ce24d04998,
  0x193ba75b59996ae4, 0xffb9c8e7d36e609f, 0xfd8fea8dd2a420cd, 0xbbaa3f3cbcbad218, 0x76b028f9339d7736,
  0x9839c7d47959c303, 0xb07202b90fea3e0d, 0xa5b1971c270dc3af, 0x3ab5c393fad801af, 0x75e86a763d51af87,
  0x888518df9ed57a70, 0x9c02f65b2f9c071d, 0xe9ee909e546c1140, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0x26b81013a6e576a9, 0x794422572fb1e821, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x2317f36c6431dbfd, 0xb2f572e4d5c1e6ca, 0xfd4eacc7903f2868, 0x9133c09c69430a9c, 0x33d30b41bf7c4687,
  0x32c3b3e04e32cd64, 0x5aa11ba792bf7343, 0x00000000000027e1,
};

static const uint64_t ur_t45_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33d066b40db26, 0xeebd4dcbbe4b6460, 0x467f4e443c4d8f05,
  0x27768bf5b126bc4e, 0xfe78167c524c13e3, 0xaa8faa395c9095bf, 0xc6883cf2f2f3bb5b, 0xb2f097e21b09117d,
  0x4cd51dcdaeeddfe8, 0x3cace181bb599e3e, 0x87f51f06cc1ce3ea, 0x1386e1d7d839015c, 0xfd6c00d7d2d8cb8e,
  0x1ea8d7c39d5ae1c9, 0xcf6abd383af4353b, 0x97ce038ec4428c6f, 0x2a3608a04e017b2d, 0x6bcb955af4f7484f,
  0x2a551aee421cfc13, 0xd372bb54b7d59cea, 0x97d8f410935c0809, 0xe7b55a22bca2112b, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x3218edfef5545a47, 0x6ae0f365118bf9b6, 0x90334f8d1659d172, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a, 0x7e054483cf257ee6,
  0x00000000000004fc,
};

// t45_swio15_noled_pr
static const uint64_t ur_t45_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x912136fff851bb3e, 0x03e7bd47884ef96e, 0xb7ba69c56bc71cab, 0x73b5c3464d1cc580,
  0x595ff71cb1823af1, 0x21cfc136bcb955a9, 0xd5d9cea2a551aee4, 0x109359d372bb54b7, 0x15e5108956aff7f4,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0xf43aa7022fdc5021, 0x880ddb288c5fcdb4, 0x75663c81a3f8d166,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x1f200722241e792b,
};

static const uint64_t ur_t45_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x8657fbf43cfbf930, 0x7a8f2f8ef9683e90, 0x632a718e395607d0, 0xef47bd9cc580b2ca,
  0x01ffb30475e8f9d9, 0xd503cb3dbb864d2a, 0x1cfc136bcb955aaa, 0x5d9cea2a551aee42, 0x09359d372bb54b7d,
  0x5e5108956aff7f41, 0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x65118bf9b6409156,
  0x0d1659d1726ae0f3, 0x539fa9d598f2076d, 0xf313ffbc3def2861, 0xe09a1e44cf03f8cb, 0xc2bbe8f727e07eff,
  0xecf8138cb3590cf4, 0x46e9e4afdcd0ccb0, 0x000000000f93e9e0,
};

static const uint64_t ur_t45_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffbb,
  0x3e3277699efd3b82, 0x95bfdfa1e7f4dcc1, 0xa5683fdad1f74909, 0x47c1b3072fbd4795, 0x70ebec01fc56e4fd,
  0x006be96c65c709c3, 0xe756977f0758ce66, 0x0ebc019da6e46b5c, 0x7623247d24f6ab5d, 0xffc02f65c396701c,
  0x26d7972ab51d1352, 0xd454aa35dc8439f8, 0x3a6e576a96fabb39, 0x112ad5fefe82126b, 0xfebae7b55a22bca2,
  0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x17f36c8122adfef5, 0x2cd102e4d5c6ca23, 0x0dfbab31e40eda1a,
  0xa271966b219e985a, 0xc95fb9a19961d964, 0x000014f8a9c08dd3,
};

static const uint64_t ur_t45_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447705, 0x56b96962110fdd61, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfbc8,
  0x7c64eeb62d582932, 0x9bff7391cf8d6982, 0xe1c1fed68e3da426, 0x1f06cc19ebea3cac, 0xc3afb007f15c87f5,
  0x01afa5b1971c270d, 0x3ab4b9451d0fb998, 0x75e86a764011fc87, 0xb0f7a3dee7b55ae8, 0xff805ecb65f380e3,
  0x1c593582d51b0465, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x82126b3a6e576a96, 0x22bca2112ad5fefe,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xe6ca2317f36c8122, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x708dd3c95fb9a199, 0x00000000009d7bab,
};

static const uint64_t ur_t45_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x09f3bfdfa1e7cbac, 0xe5c1c4ad63facdc9, 0x673aee6d7ff9f9e5, 0xbd479ba7b965d6b2,
  0x2f740a471cab0327, 0x3e767bd1ef673160, 0x934a807feccf1d7a, 0x55aaad503cb5bae1, 0xaee421cfc136bcb9,
  0x54b7d5d9cea2a551, 0xf7f4109359d372bb, 0xaad115e5108956af, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362,
  0x10c76ff7aaa2d30c, 0x4d5c6ca2317f36c8, 0x1e40eda1a2cd102e, 0xb219e985a0dfbab3, 0x19961d964a271966,
  0x517c08dd3c95fb9a, 0x00000000000002dd,
};

static const uint64_t ur_t45_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x2132b7fb9c8e7f4d, 0x975a4c09551f5ee9, 0xd8488bee3441e797, 0x5facff459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e6e9, 0x7bd9cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x0f2d6eb864d2a01f,
  0xf04daf2e556aab54, 0x73a8a9546bb90873, 0xd674dcaed52df576, 0x442255abfdfd0424, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x8c5fcdb20431dbfd, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x00000375c9c5c237,
};

static const uint64_t ur_t45_swio15_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac6d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d076d8,
  0x193ba76b6c4a72a6, 0xffb9c8e7f76a609f, 0xd58fea8e43a4218f, 0x5ee87f9e5e5d6902, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0xd839015fcef51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae0a2fd6c00d7, 0x3af4353b2008fe43,
  0x61ef47bdcf6abd38, 0x2700bd96cbe701c7, 0xf4f13582d51b0450, 0x421cfc136bcb955a, 0x7d5d9cea2a551aee,
  0x4109359d372bb54b, 0x115e5108956aff7f, 0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x76ff7aaa2d30ca7a,
  0xe6ca2317f36c810c, 0x2868b2f572e4d5c1, 0x0a9cfd4eacc7903f, 0x46879133c09c6943, 0xcd6433d30b41bf7c,
  0x734332c3b3e04e32, 0x09f881211ba792bf,
};

static const uint64_t ur_t45_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e173e, 0x772d2c5c0a38d61a, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f12d4c1,
  0xc9dddfbdb0c89e8c, 0xff9e059f801304f8, 0xeaa3ea8f7da425ad, 0x71a20f3cbcbcee76, 0x2cbc25f886c2445f,
  0x933547736b8c2ffa, 0x8f2b74a06ed6678f, 0xf3bd47c1b306807a, 0x84e1b875f60e4057, 0xbf5b0035f4b632e3,
  0xc8023f90e756b828, 0x73daaf4e0ebd0d4e, 0xb2f9c071d87bd1ef, 0xb546c11409c02f65, 0xdaf2e556bd3c4d60,
  0x8a9546bb90873f04, 0x4dcaed52df57673a, 0x255abfdfd0424d67, 0xd75cf6ab44579442, 0xdd4d8a53c34ef1df,
  0x8b4c329e8754e041, 0xfcdb20431dbfdeaa, 0xe8b9357079b288c5, 0x5663c819a7c68b2c, 0xf0f7bca1854e7ea7,
  0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x027e1072a241e792,
};

// t45_swio15_lednop_pr
static const uint64_t ur_t45_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x912123dff851bb3e, 0x03e7bd475f0ef96e, 0x5bdd31eb10c71cab, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0xae0404e9b95daa5b, 0x28844ae4ac7a0849,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xd538139f4502169a, 0x6ed94462fe6da7a1, 0x31e40d1fc68b3440,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x01c59120f3c95fb9, 0x00000000000000f9,
};

static const uint64_t ur_t45_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0xeebfdfa1e7e3dcc1, 0xf51e6e3be5ba4484, 0xddd0291c72ac0f9e, 0xf88ed6398b016f74,
  0xf71cb1823af173b0, 0xc136bcb955a95970, 0xcea2a551aee421cf, 0x09d372bb54b7d5d9, 0x95c958f410935c08,
  0x5d73daad115e5108, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xb65d9156ff7aaa2d, 0x726ae0f365118bf9,
  0x98f2076d0d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x03e4cb3046e9e4af,
};

static const uint64_t ur_t45_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0xefe0fe17426d9305, 0x6cdd8334108a0bfe,
  0x827c64ee989d5c70, 0x2472ff7e879feaf9, 0x56e960ff6b47dd24, 0xf51f06cc1cbef51e, 0x0dc3afb007f15945,
  0x9801afa5b1971c27, 0x273ab4b98f1d6339, 0x743af00676c911a6, 0xe3b107d1dad3daad, 0x97fe017b2e1cb380,
  0x826d7972ab51d2cf, 0x9d454aa35dc8439f, 0x13a6e576a96fabb3, 0x2b92b1e82126b810, 0x5ae7b55a22bca211,
  0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x118bf9b69e8754e0, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0xe9e4afdcd0ccb0ec, 0x000000029f39c046,
};

static const uint64_t ur_t45_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b108834eb0, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfbc8,
  0x3e327747b6c71086, 0x72ff7391cff57cc1, 0xa1c1fed68e3da424, 0x1f06cc19ebea3cac, 0xc3afb007f1594bf5,
  0x01afa5b1971c270d, 0x3ab4ba561d0fb998, 0x75e86a76ea11cdc7, 0xb1f2238ca7b55ae8, 0xff805ecb65f380e3,
  0x1c5dc326951b0465, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xca2112b92b1e8212,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x317f36cbb22adfef, 0xcb3a2e4d5c1e6ca2,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x00000275d34108dd,
};

static const uint64_t ur_t45_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x0870ffdfa1e7d82c, 0xe5c1c90f63facdc9, 0xce75dcdae9b7f9e5, 0x7a8f38cf72cbad64,
  0xa1ed008e3956064f, 0xf9dbe447191cc580, 0xe1aa01ffb33c75e8, 0x56b02b40f2d6edee, 0xbb90873f04daf2e5,
  0x52df57673a8a9546, 0x424d7020274dcaed, 0x45794422572563d0, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x374f257ee6866587, 0x000000016ea3cb82,
};

static const uint64_t ur_t45_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x212dd7fb9c8e7e39, 0x975a4df7551f5ee9, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e719, 0xe32398b0143da011, 0xf6678ebd1f3b7c88, 0x1e5addbddc35403f,
  0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e9b95daa5beaec, 0x4ae4ac7a0849ae04, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb65d863b7fbd5516, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x6ebc7d7846e9e4af,
};

static const uint64_t ur_t45_swio15_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d636, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d076d8,
  0x193baafb43746a58, 0x3fdce473fa6a609f, 0x3f63faa390e909ff, 0xae000fcf2f2eb496, 0xddac0a3e4ce75dcd,
  0x660d00f51e565d40, 0xec1c80ace1fa8f83, 0xe96c65c709c370eb, 0xcead7095beb6006b, 0x1d7a1a9dba847371,
  0xb1f2238ca7b55e9c, 0x13805ecb65f380e3, 0x7a7ae1934a8d8228, 0x210e7e09b5e5caad, 0xbeaece75152a8d77,
  0x9ae0404e9b95daa5, 0xf28844ae4ac7a084, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0x18bf9b65d863b7fb, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0x8b08dd3c95fb9a19, 0x0000000000027e0e,
};

static const uint64_t ur_t45_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0x772d2c5c0ae0d61a, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e25a982,
  0x64eebadea0aeef27, 0xff9e059fc6e9827c, 0x2aa3ea8f7da4235d, 0xb8d1079e5e5e7788, 0x165e12fc4361222f,
  0xe4cd51dcdaeb82fd, 0xa3cacba81bb599e3, 0x9c3f51f06cc1a01e, 0xe1386e1d7d839015, 0xb7d6c00d7d2d8cb8,
  0xb7508e6e39d5ae12, 0x94f6abd383af4353, 0x6cbe701c763e4471, 0x6951b04502700bd9, 0x36bcb955af4f5c32,
  0xa2a551aee421cfc1, 0xd372bb54b7d5d9ce, 0xc958f410935c0809, 0x73daad115e510895, 0x7296be74079bdb5d,
  0xb73d0ea9c0842a41, 0xbb0c76ff7aaa2d23, 0xd5c1e6ca2317f36c, 0x20669f1a2cb3a2e4, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x07effe09a1e44cf0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35, 0x2a7289079e4afdcd,
  0x00000000000009f8,
};

// t85_swio10_noled_pr
static const uint64_t ur_t85_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x820fa57f851bb3f2, 0x10fea3a6277cb135, 0xdd369510c71cab03, 0xedbda3278e62c05b,
  0x2cfdc72c608ebc5c, 0x30107daf2e556a56, 0x73a8a9546ba420e7, 0xbf7359caed52df56, 0xe52bf6954bef5f42,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x4462fe6d8ad5156f, 0x0d1fc68b34406ed9,
  0x9e985a0dfbab31e4, 0x61d964a271966b21, 0x1120f3c95fb9a199, 0x00000000001f2001,
};

static const uint64_t ur_t85_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0xfdd7fbf43cfc7b98, 0xea3cdc77cb08b820, 0xbba05238e558193d, 0xf11dac731602cb29,
  0x07fecc11d7a3e761, 0x540f2cf6fa059ea8, 0xc041f6bcb955a882, 0xcea2a551ae90839c, 0xfdcd672bb54b7d59,
  0x94afda552fbd7d0a, 0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x118bf9b62b5455bf,
  0x1659d1726ae0f365, 0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0,
  0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec, 0x00000003e4cb3046,
};

static const uint64_t ur_t85_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f532b758, 0x469ed0bd75e5ef56, 0xfbbcd06844130acc, 0x9fbc5f8ec8a444e6,
  0x4f8c9dda67bf4ee0, 0xe56ff7e879fd3730, 0xd2b4d56b47dd6083, 0xa3e0d98397dea3ca, 0x3afb169bbe2b727e,
  0x9afa5b1971c270dc, 0x7569731eb8a26690, 0xd7aea6ecbe231f0e, 0x98df47d058d56ba1, 0x37b2e1cb380e3b16,
  0x7972ab55c2cffadc, 0xa35d2107398083ed, 0x576a96fab39d454a, 0xaa5f7afa15fb9ace, 0xb9ed5688af295fb4,
  0x9b14a7869de3bfae, 0x98653d0ea9c083ba, 0x6c56a8ab7fbd5516, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x14f8a9c08dd3c95f,
};

static const uint64_t ur_t85_swio10_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0xdab96963d4cfdd62, 0x5176c8e933e3fe24, 0x7914c1ae0cd906a7, 0xa16d2f0a22911284,
  0x9f193bad8b560a4c, 0xa6ffdce473e35a60, 0x70e6ab5a38f7820f, 0x8f83660cf5f51e56, 0xebec5a6ef8ae43fa,
  0x6be96c65c709c370, 0xead2f52971ac9a42, 0x75e74dda7147109c, 0xa6b5d188b6355ae8, 0xc37b2d97ce038ec5,
  0x0967d7f546c11fad, 0x398083ed7972ab50, 0xb39d454aa35d2107, 0x15fb9ace576a96fa, 0xaf295fb4aa5f7afa,
  0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0xca2317f36c56a8ab, 0x1a2cb3a2e4d5c1e6,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff, 0xd9f0271966b219e9,
  0x8dd3c95fb9a19961, 0x000000009d7bab70,
};

static const uint64_t ur_t85_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0xdc9ffbf43cfc8798, 0x839fbac7f5c93041, 0x3aee6d7801f9e005, 0x47c927b965d6b267,
  0x3d7c8e39560782fd, 0xd87c476b1cc580a1, 0xaa01ffb33c75e8f9, 0x882540f2d6ee8167, 0x39cc041f6bcb955a,
  0xd59cea2a551ae908, 0xd0afdcd672bb54b7, 0x45794afda552fbd7, 0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c,
  0xdbfdeaa8b4c329e8, 0x6ca2317f36c56a31, 0x868b2f572e4d5c1e, 0xa9cfd4eacc7903b6, 0x6879133c09c69430,
  0xd6433d30b41bf7c4, 0x34332c3b3e04e32c, 0xae9f5c11ba792bf7, 0x000000000000001b,
};

static const uint64_t ur_t85_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x0753dfee7239fdf7, 0xad2305aa8fa84fc1, 0x1222fb8d1079e005, 0x67cfd165e12fc436,
  0x96086b266a8ee6d7, 0x9560782fd47c927b, 0xb1cc580a13d7c8e3, 0x33c75e8f9d87c476, 0x2d6ee8167aa01ffb,
  0xf6bcb955a882540f, 0xa551ae90839cc041, 0x672bb54b7d59cea2, 0xda552fbd7d0afdcd, 0xd75cf6ab445794af,
  0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xf36c56a31dbfdeaa, 0xa2e4d5c1e6ca2317, 0xab31e40fca1a2cb3,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027,
  0x00dd7c92708dd3c9,
};

static const uint64_t ur_t85_swio10_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x772d2c42b1a5ac0d, 0x76cbbdc77988d7f1, 0x7b3fc7d91a0a0cfa, 0xf4da5ce250e0dbdb,
  0x93ba76b6c4a72a67, 0xfb9c8e7f76a609f1, 0x8fea8e43e08398ff, 0x743fcf002d6902d5, 0xac0af7cce75dcdaf,
  0x06807a8f2b74b29d, 0x314c57f3bd47c1b3, 0x32e384e1b875f62d, 0xedd528752135f4b6, 0xe74dda7147109cea,
  0x6ba3116c6abc6c75, 0xf65b2f9c071d8b4d, 0x67d7f546c1132386, 0x8083ed7972ab52cd, 0x9d454aa35d210739,
  0xfb9ace576a96fab3, 0x295fb4aa5f7afa15, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9,
  0x462fe6d8ad463b7f, 0x65eae5c9ab83cd94, 0xfa9d598f207e50d1, 0x22678138d2861539, 0x67a616837ef88d0f,
  0x658767c09c659ac8, 0x0242374f257ee686, 0x00000000000013f1,
};

static const uint64_t ur_t85_swio10_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6481711b, 0x9fa5c2960d33080c, 0xe0d9a5910e0f8eda,
  0xc9dddfbdb0c89e8c, 0xff9e059f801304f8, 0xaa3ea8f7de083dad, 0x8d1079e005cee76e, 0x65e12fc4361222fb,
  0x99aa3b9b5c617fd1, 0x3cadd2ca76b33def, 0xcef51f06cc1a01ea, 0x86e1d7d8b4c5315f, 0xd484d7d2d8cb8e13,
  0xc51c4273abb754a1, 0xb1aaf1b1d79d3769, 0x701c762d35ae8c45, 0x1b044c8e1bd96cbe, 0xe5caad4b359f5fd5,
  0x8d74841ce6020fb5, 0x5daa5beace75152a, 0xa97debe857ee6b39, 0xe7b55a22bca57ed2, 0x6c529e1a778efeba,
  0x6194f43aa7020eea, 0x62b518edfef5545a, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xc20e54483cf257ee,
  0x000000000000004f,
};

// t85_swio10_lednop_pr
static const uint64_t ur_t85_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x35820e657f851bb3, 0x0310fea3fc877cb1, 0x5bdd3200f7c71cab, 0x5ced6b23e80e62c0,
  0x2b39edc72c608ebc, 0x7398083ed7972ab5, 0xab39d454aa35d210, 0xb9ae0404e576a96f, 0x95fb4ab574bfa15f,
  0x3cfd6b9ed5688af2, 0x9d5ea58594d8b3a0, 0xa70363fc502169ab, 0xdb288c5fcdb4f43a, 0x3c81a3f8d166880d,
  0x6433d30b41bf7566, 0x332c3b2c944e32cd, 0x1242241e792bf734, 0x00000000000007c8,
};

static const uint64_t ur_t85_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x1c3dffbf43cfc069, 0xbd479c4ef9611704, 0x60f680471cab0327, 0x628e0f9cc580b2ca,
  0x03ff6608ebd1f3b2, 0x1303cb3dbb5ba054, 0xcc041f6bcb955aa1, 0x9cea2a551ae90839, 0xd7020272bb54b7d5,
  0xfda55aba5fd0afdc, 0x6d75cf6ab445794a, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xcdb610c55bfdeaa8,
  0x8b9357079b288c5f, 0xacc7903b6868b2ce, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2,
  0x659ac867a615df47, 0x7ee686658767c09c, 0x003e4e0502374f25,
};

static const uint64_t ur_t85_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0x29972d2c7a992158, 0xf697a34f7d2d69ab, 0x9beef341a136c982, 0x1b3760cd04229113,
  0x609f193ba627571c, 0x0f1cbfdfa1e7fabe, 0x2b74b355ad1f7582, 0xfa8f83660e5f7a8f, 0x70ebec5a6ef8aca2,
  0x426be96c65c709c3, 0x39d5a5e3dae2899a, 0x875eba9bb7c88def, 0x5a7bda3b876355ae, 0x70decb872ce038ec,
  0xdaf2e556ab8e7beb, 0x9546ba420e730107, 0x9caed52df5673a8a, 0xae97f42bf735c080, 0xdaad115e52bf6956,
  0xb29b1674079fad73, 0x8a042d3573abd4b0, 0xf9b69e8754e06c7f, 0x6881726ae365118b, 0xfdd598f2076d0d16,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x00029f39c046e9e4,
};

static const uint64_t ur_t85_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69746db11f12, 0x7914c1ae7ec19d93, 0x840f5d0422911284,
  0x4f8c9dd1edb1c421, 0x1cbfdce473fd5f30, 0x50e6ab5a38f7820f, 0x8f83660cf5f51e56, 0xebec5a6ef8aca5fa,
  0x6be96c65c709c370, 0xead2ee4d71ac9a42, 0x75e74dd8f546be1c, 0xa710a31bf6355ae8, 0xc37b2d97ce038ec5,
  0x05d02cf546c11fad, 0x9cc041f6bcb955a8, 0x59cea2a551ae9083, 0xcd7020272bb54b7d, 0xafda55aba5fd0afd,
  0xf6d75cf6ab445794, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xfcdb610c55bfdeaa, 0xe8b9357079b288c5,
  0xeacc7903f2868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x0009d74d042374f2,
};

static const uint64_t ur_t85_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x41dd2ffbf43cf94b, 0x05839f3ac7f5c930, 0xce75dcdafbb5f9e0, 0xfa8e0a4f72cbad64,
  0xedf97d1c72ac0f05, 0xcec98a383e731602, 0x81500ffd99e3af47, 0x5aa11303cb5bad6e, 0x0839cc041f6bcb95,
  0xb7d59cea2a551ae9, 0xafdcd7020272bb54, 0x794afda55aba5fd0, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0,
  0xeaa8b48edcf43aa7, 0x18bf9b6c2131dbfd, 0xd166881726ae3651, 0xd06fdd598f2076d0, 0x25138cb3590cf4c2,
  0x9e4afdcd0ccb0ecb, 0x000002dd6c7f046e,
};

static const uint64_t ur_t85_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x0795dfee7239fd9d, 0xad2656aa8fa84fc1, 0x1222fb8d1079e005, 0x4a8fd165e12fc436,
  0x96086b266a8ee6d7, 0x9560782fd470527b, 0xf398b0176fcbe8e3, 0xcf1d7a3e764c51c1, 0x5add6b740a807fec,
  0xfb5e5caad508981e, 0x52a8d74841ce6020, 0x1395daa5beace751, 0xd5d2fe857ee6b810, 0x7b55a22bca57ed2a,
  0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x098edfef5545a476, 0x7079b288c5fcdb61, 0x03f2868b2ce8b935,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0x6bdc2374f257ee68, 0x000000000000375f,
};

static const uint64_t ur_t85_swio10_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bdb260bc6bf8, 0x7b3fc79a5b227ec4, 0xe45ebce250e0dbdb,
  0x93baafb43746a583, 0xfdce473fa6a609f1, 0x63faa390f820fff3, 0x0007e78016b4963f, 0xd6057be673aee6d7,
  0x83403d479597594e, 0x98a62b387ea3e0d9, 0x1971c270dc3afb16, 0x76e7263a909afa5b, 0xf3a6ec7aa35f0e75,
  0x10a31bf6355e363a, 0x7b2d97ce038ec5a7, 0xe8167aa3608991c3, 0x6020fb5e5caad4b3, 0xe75152a8d74841ce,
  0xb8101395daa5beac, 0xed2ad5d2fe857ee6, 0x6bae7b55a22bca57, 0x482e52d7ce80f37b, 0xa476e7a1d5381085,
  0xdb61098edfef5545, 0xb9357079b288c5fc, 0x31e40fca1a2cbd5c, 0x271a50c2a73f53ab, 0xd06fdf11a1e44cf0,
  0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec, 0x00000013f0745846,
};

static const uint64_t ur_t85_swio10_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e821711b, 0x3f4b85471582d159, 0x23b313221c1f1db5,
  0x64eebadea0aeef27, 0xff9e059fc6e9827c, 0xaa3ea8f7de083b5d, 0xc6883cf002e77882, 0xb2f097e21b09117d,
  0xe66a8ee6d75c17e8, 0x8f2b2eb29daccf7b, 0x70fd47c1b306807a, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0xf546be1ceaedce4c, 0xec6abc6c75e74dd8, 0x9c071d8b4e214637, 0x46c1132386f65b2f, 0xbcb955a967d02cf5,
  0x51ae90839cc041f6, 0x2bb54b7d59cea2a5, 0xa5fd0afdcd702027, 0xab445794afda55ab, 0xaf9d01e6f6d75cf6,
  0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0xf365118bf9b6c213, 0x4f8d1659d1726ae0, 0x0a9cfd4eacc79033,
  0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867, 0x4483cf257ee68665,
  0x0000000004fc1539,
};

// t85_swio11_noled_pr               t85_swio12_noled                  t85_swio12_noled_pr
static const uint64_t ur_t85_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x1cf5ff0a3767fba9, 0xfd47884ef96e8304, 0x63d7e48e3956075f, 0x1f464d1cc580b7ba,
  0xb71cb1823af173b4, 0x20fb5e5caad4ac27, 0x5152a8d74841ce60, 0x6b395daa5beaece7, 0x5fb4ad8debe857ee,
  0xbfaeb9ed5688af29, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0x17f36cf5b8ab7fbd, 0xfe3459a20376ca23,
  0xc2d06fdd598f2068, 0xcb25138cb3590cf4, 0x079e4afdcd0ccb0e, 0x00000007c80e2c89,
};

// t85_swio12_noled_pr_u4
static const uint64_t ur_t85_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0xedfff7e879f31f30, 0xa8e0a1df2dbde083, 0x6fcbe8e3956064d7, 0xd188a731602cb29b,
  0xffd9823af47cecb5, 0x40f2cf6fa4279500, 0x020fb5e5caad59f7, 0x75152a8d74841ce6, 0xe6b395daa5beaece,
  0x95fb4ad8debe857e, 0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x317f36cf5b8ab7fb,
  0xcb3a2e4d5c1e6ca2, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13,
  0x0271966b219e9857, 0x3c95fb9a19961d9f, 0x000003e4c21608dd,
};

// t85_swio12_noled_pr_ee
static const uint64_t ur_t85_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9833ac24, 0x2f5ebeb11f17ab29, 0x79a097b6409085f4, 0x66ede99148889177,
  0x193bbe474c4a3386, 0xdfefd0f3fb3a609f, 0xd355ad1edfc10795, 0xc1b30738fa8f2bf9, 0xf62d377c5695bd47,
  0xf4b632e384e1b875, 0x6977f17144cd2135, 0x5d4dda6e46b5ce75, 0x648fa4b1aad743af, 0xb2e1cb380e3b169c,
  0xb955aae09efadc37, 0xae90839cc041f6bc, 0x54b7d5d9cea2a551, 0x1bd7d0afdcd672bb, 0xdaad115e52bf695b,
  0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xeb7156ff7aaa2d30, 0xc9ab8d94462fe6d9, 0x63c81db43459a205,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0xe01c811ba792bf73, 0x0000000000000053,
};

// t85_swio12_noled_pr_ee_u4
static const uint64_t ur_t85_swio11_noled_pr_ee_u4[] = {
  0xde4ddddda2445541, 0x5cb4b1ea70ceb05e, 0x3ad1776dbaff126d, 0x8a671fc5e6c63bb2, 0xe34c90229110bdbc,
  0x193ba82b7a71ce7a, 0xbfdce473e706609f, 0x66ab5a331f820fb3, 0x83660fa8f51e565d, 0xec5a6ef8ace1fa8f,
  0xe96c65c709c370eb, 0xd2e51571ac9a426b, 0xe74dd90047f21cea, 0x7bd1ef76355ae875, 0xbd96cbe701c762d3,
  0x13dcf2a3608fd6e1, 0x30107daf2e556a01, 0x73a8a9546ba420e7, 0xf7359caed52df576, 0x94afda56c6f5f42b,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x118bf9b67adc55bf, 0x1659d1726ae0f365,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0xe9e4afdcd0ccb0ec, 0x000000275eaca846,
};

// t85_swio12_noled_pr_ce
static const uint64_t ur_t85_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x56ff7e879f387304, 0x71c9d8feabe6083a, 0xbb9b5d0fbf3c00b0, 0xd7c9ee5975ac99ce,
  0x9ba38e5581acff51, 0x5ae8c45398b01644, 0x807feccf1d7a3e76, 0x3ee81e5addd213ca, 0x9cc041f6bcb955ab,
  0xd9cea2a551ae9083, 0xafdcd672bb54b7d5, 0x5e52bf695b1bd7d0, 0x3bc77f5d73daad11, 0x5381077536294f0d,
  0xff7aaa2d30ca7a1d, 0x288c5fcdb3d6cc76, 0xa2cbd5cb9357079b, 0x73f53ab31e40eda1, 0x1e44cf0271a50c2a,
  0x90cf4c2d06fdf11a, 0x0ccb0ecf8138cb35, 0xe73e046e9e4afdcd, 0x00000000000001ba,
};

// t85_swio12_noled_pr_ce_u4
static const uint64_t ur_t85_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0xf813fdce473f6ea6, 0xd229eaa8fac89820, 0x222fb8d1079e005a, 0xdffd165e12fc4361,
  0xc10d64cd51dcdaec, 0xac0d67fa8ebe4f72, 0x9cc580b224dd1c72, 0x78ebd1f3b2d74622, 0xd6ee909e5403ff66,
  0xb5e5caad59f740f2, 0x2a8d74841ce6020f, 0x95daa5beaece7515, 0x4ad8debe857ee6b3, 0xeb9ed5688af295fb,
  0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x6d9eb663b7fbd551, 0x5c9ab83cd94462fe, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x1bafa38a11ba792b,
};

// t85_swio12_noled_pr_ee_ce
static const uint64_t ur_t85_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22044, 0xe5a588565c758803, 0xb1c75e9c2f1afe2e, 0xb3f3168a1062f977, 0x1234e71287200db7,
  0x9dd1edb02c21f913, 0xee7239f0d1304f8c, 0x3faa3387820f63ff, 0xeb7e78016b49d3f6, 0x6057be673aee6d7e,
  0x3d2bd4795c8794ed, 0x8a62b74bea3e0d98, 0x971c270dc3afb169, 0x6e28a3a909afa5b1, 0x3a6ec8023f90e757,
  0xbd1ef76355e363af, 0xd96cbe701c762d37, 0x9ee7951b044c8e1b, 0x8083ed7972ab52cc, 0x9d454aa35d210739,
  0xb9ace576a96fabb3, 0xa57ed2b637afa15f, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7,
  0x18bf9b67ad98edfe, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0xb708dd3c95fb9a19, 0x0000000000013f1e,
};

// t85_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t85_swio11_noled_pr_ee_ce_u4[] = {
  0xd4f777768b9f1f68, 0xcb4b1702123587a6, 0xb02f419ad05c46dd, 0xd2921d3bc8d45b13, 0x0571c887077a6d4f,
  0x9dd1d7d014164777, 0xf3c0b3e87d304f8c, 0xa3ea8edd6083e20f, 0x6883cf002e76ff2a, 0x2f097e21b09117dc,
  0x66a8ee6d7ea77e8b, 0xf2b90f29daccf7be, 0x97d47c1b307a57a8, 0x1b875f62d314c56e, 0x52135f4b632e384e,
  0x047f21ceaedc5147, 0xc6abc6c75e74dd90, 0xe038ec5a6f7a3dee, 0x3608991c37b2d97c, 0xf2e556a5993dcf2a,
  0x46ba420e730107da, 0xed52df57673a8a95, 0x6c6f5f42bf7359ca, 0xcf6ab445794afda5, 0xd8a53c34ef1dfd75,
  0xc329e8754e041dd4, 0xcf5b31dbfdeaa8b4, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0x9bc1689079e4afdc,
  0x000000000000009f,
};

// t85_swio11_lednop_pr              t85_swio12_lednop                 t85_swio12_lednop_pr
static const uint64_t ur_t85_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x41c3dff851bb3f01, 0xffd47c90ef96e830, 0xa6d29318e3956075, 0x84547d21cc580b7b,
  0x17b8e58c11d78b9d, 0x020fb5e5caad4acc, 0x75152a8d74841ce6, 0x101395daa5beaece, 0x95cbd2fe857ee6b8,
  0xd73daad115e52bf6, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0x8c5fcdb4f43aa702, 0xa3f8d166880ddb28,
  0xd30b41bf75663c81, 0x3b2c944e32cd6433, 0x241e792bf734332c, 0x0000000003e40022,
};

// t85_swio12_lednop_pr_u4
static const uint64_t ur_t85_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x13fdfa1e7c3dcc13, 0x1d7c3be5ba0c1079, 0x49ba38e5581d7ff5, 0x3b86731602dee9a4,
  0xe58c11d78b9db22a, 0xdaf2e556a56749b8, 0x9546ba420e730107, 0xcaed52df57673a8a, 0xe97f42bf735c0809,
  0xd5688af295fb4ae5, 0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x8ab7fbd551691db9, 0xc1e6ca2317f36c64,
  0x0eda1a2cb3a2e4d5, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0,
  0x9961d9f0271966b2, 0x34008dd3c95fb9a1, 0x0000000000003e4d,
};

// t85_swio12_lednop_pr_ee
static const uint64_t ur_t85_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0xcb96963d4d68ac24, 0x1a7b42f460d7d594, 0x5dde6825ef54dd8f, 0x27ef17b204522224,
  0x13e3277699efd3b8, 0xe35bfdfa1e7d2d4c, 0x721e6ab5a3dbf820, 0xa8f83660e71f51e5, 0x0ebec5a6ef8aff77,
  0x26be96c65c709c37, 0x9d5a5cc7ae2899a4, 0x75eba9bb6488d313, 0xa707d1dad6355ae8, 0x0decb872ce038ec5,
  0x5e5caad57182feb7, 0xa8d74841ce6020fb, 0x5daa5beaece75152, 0x2fe857ee6b810139, 0xad115e52bf695cbd,
  0x9b1674079fad73da, 0x042d3573abd4b0b2, 0xdb4f43aa7028be8a, 0x40b93571b288c5fc, 0xeacc7903b6868b34,
  0x659ac867a616837e, 0xee6866587659289c, 0x053e2a702374f257,
};

// t85_swio12_lednop_pr_ee_u4
static const uint64_t ur_t85_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0xae5a58f53a17582f, 0x2eae3d803d2f8936, 0x45338fc33c5ea6cd, 0x5a0ac81148885ede,
  0x8c9dd3ada244b554, 0xdfee7239f4b5304f, 0xb355ad198fc1071a, 0xc1b307d47a8f2b60, 0xf62d377c5650fd47,
  0xf4b632e384e1b875, 0x6974acb8d64d2135, 0xf3a6edd4239b8e75, 0xfc88e32b1aad743a, 0xdecb65f380e3b169,
  0xba427951b047eb70, 0x98083ed7972ab500, 0x39d454aa35d21073, 0xe0404e576a96fabb, 0xda572f4bfa15fb9a,
  0xd75cf6ab445794af, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x9b632455bfdeaa8b, 0x1726ae0f365118bf,
  0x598f207e50d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x00275cb3846e9e4a,
};

// t85_swio12_lednop_pr_ce
static const uint64_t ur_t85_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x790ffefd0f3e50e6, 0x60e3a5b1fd57cc10, 0xcebb9b5c347e7801, 0xa3cbe9ee5975ac99,
  0x9538c71cab0359fe, 0xed10a31be7316029, 0x1500ffd99e3af47c, 0xabeb703cb5b845e9, 0x839cc041f6bcb955,
  0xd5d9cea2a551ae90, 0xdcd7020272bb54b7, 0xa57ed2b97a5fd0af, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f,
  0x545a476e7a1d5381, 0x8bf9b63218edfef5, 0x166881726ae36511, 0x06fdd598f2076d0d, 0x5138cb3590cf4c2d,
  0xe4afdcd0ccb0ecb2, 0x00002dd45fb046e9,
};

// t85_swio12_lednop_pr_ce_u4
static const uint64_t ur_t85_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0xfbeffdce473f15a6, 0xd24aeaa8fac89820, 0x222fb8d1079e005a, 0x43fd165e12fc4361,
  0x6086b266a8ee6d76, 0xac0d67fa8f2fa7b9, 0x9cc580a654e31c72, 0x78ebd1f3b4428c6f, 0xd6e117a45403ff66,
  0xdaf2e556afadc0f2, 0x9546ba420e730107, 0xcaed52df57673a8a, 0xe97f42bf735c0809, 0xd5688af295fb4ae5,
  0xb5f3a03cdedaeb9e, 0xe8754e0421520b94, 0x63b7fbd551691db9, 0x83cd94462fe6d8c8, 0x1f9434596745c9ab,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0x36e11ba792bf7343, 0x000000000001baef,
};

// t85_swio12_lednop_pr_ee_ce
static const uint64_t ur_t85_swio11_lednop_pr_ee_ce[] = {
  0x6deeeeeea0a232a8, 0xe5a58856a6758803, 0xb70754dd8f1afe2e, 0x67e62b8da2c33837, 0x9682ce250e401b6f,
  0x3bb38b4dd33ee9dc, 0xb9c8e7e76e609f19, 0xfea8ce1e083eed7f, 0x83f9e005ad20cdd8, 0x02bdf339d7736bea,
  0xe95ea3caca5ca76b, 0x5315975f51f06cc1, 0xb8e1386e1d7d8b4c, 0x72561d484d7d2d8c, 0xd376ea11cdc73abb,
  0x88e32b1aaf1b1d79, 0xcb65f380e3b169fc, 0x213ca8d8226470de, 0x041f6bcb955a967d, 0xea2a551ae90839cc,
  0x20272bb54b7d5d9c, 0x2b97a5fd0afdcd70, 0xae7b55a22bca57ed, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548,
  0x63218edfef5545a4, 0x26ae0f365118bf9b, 0x3c81f9434597ab97, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04,
  0x0271966b219e985a, 0x3c95fb9a19961d9f, 0x000004fc4faf08dd,
};

// t85_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t85_swio11_lednop_pr_ee_ce_u4[] = {
  0xa9eeeeed173e5f41, 0x96962e048ceb0f4d, 0x4dd69bb640b88dbb, 0xa524048f4e23e1bb, 0x7533910e0ef4da9f,
  0x9ddad69daae26462, 0xf3c0b3ffaf304f8c, 0xa3ea8edd6083c00f, 0xd1079e005ceeb7ea, 0x5e12fc4361222fb8,
  0xcd51dcdae164fd16, 0xe5652e53b599ef7c, 0xafa8f83660f4af51, 0x370ebec5a6298acb, 0xa426be96c65c709c,
  0x08e6e39d5db92b0e, 0x8d578d8ebce9bb75, 0xc071d8b4fe447195, 0x6c1132386f65b2f9, 0xe5caad4b3e909e54,
  0x8d74841ce6020fb5, 0xdaa5beaece75152a, 0xfe857ee6b8101395, 0xd115e52bf695cbd2, 0xe74079bdb5d73daa,
  0xea9c0842a417296b, 0x6ff7aaa2d23b73d0, 0x9b288c5fcdb190c7, 0x7c68b2ce8b935707, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xf826879133c0fe32, 0x30aefa3dc9f81fbf, 0x3b3e04e32cd6433d, 0x241e792bf734332c,
  0x0000000027e6493a,
};

// t85_swio13_noled_pr
static const uint64_t ur_t85_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x3041f6fff851bb3e, 0x3e7bd47884ef96e9, 0x7ba69c56bc71cab0, 0x3b5c3464d1cc580b,
  0x95ff71cb1823af17, 0xcc041f6bcb955a95, 0x9cea2a551ae90839, 0x359caed52df5537d, 0x7ed2ad5ef5f42bf7,
  0x3f5ae7b55a22bca5, 0x753a9c0594a9f4ef, 0xe045fb8a042d2c2e, 0x65118bf9b69e8754, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0x6587659289c659ac, 0xe44483cf257ee686, 0x000000000003e400,
};

static const uint64_t ur_t85_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0xe657fbf43cfbf930, 0xa8f2f8ef9683f820, 0x32a718e395607d07, 0xf47bd9cc580b2ca6,
  0x1ffb30475e8f9d9e, 0x503cb3dbb864d2a0, 0xc041f6bcb955aaad, 0xcea2a551ae90839c, 0x59caed52df5537d9,
  0xed2ad5ef5f42bf73, 0xebae7b55a22bca57, 0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x7f36c8122adfef55,
  0x3a2e4d5c1e6ca231, 0x3ab31e40eda1a2cb, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343,
  0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0001f27d3c08dd3c,
};

static const uint64_t ur_t85_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x7eef341f166c2d00, 0x6d2cfdd932291136,
  0x13e3277792ed3347, 0xfbeffdfa1e7e2b4c, 0xb74b355ad1995820, 0xd47c1b306807a8f2, 0x875f62d377c57f3b,
  0x135f4b632e384e1b, 0xcead2f0197144cd2, 0x3af5d4dd81446f79, 0xa79151dc3b1aad74, 0x0decb872ce038ec5,
  0xaf2e556ab826beb7, 0x546ba420e730107d, 0x54b7d54df673a8a9, 0x7bd7d0afdcd672bb, 0xd5688af295fb4ab5,
  0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x048ab7fbd5516986, 0x93571b288c5fcdb2, 0xc7903b6868b3440b,
  0xac867a616837eeac, 0x866587659289c659, 0xf09202374f257ee6, 0x0000000000000029,
};

static const uint64_t ur_t85_swio13_noled_pr_ee_u4[] = {
  0x8bdddddda2447032, 0xb572d2c7a9b4bac7, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b4114889e2d,
  0xf8c9dd3b5b2ed395, 0xadfee7239f275304, 0x4b9aad68dfcc1078, 0x7c1b30613fd47959, 0x5f62d377c565d7d4,
  0x5f4b632e384e1b87, 0x5697fdcb8d64d213, 0xaf3a6eda523c90e7, 0x34c51c1fb1aad743, 0x1bd96cbe701c762d,
  0x226b05aa3608fd6e, 0xe6020fb5e5caad40, 0xce75152a8d74841c, 0x9ace576a96faa9be, 0xbf6956af7afa15fb,
  0x7f5d73daad115e52, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x8bf9b6409156ff7a, 0x59d1726ae0f36511,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb,
  0xe4afdcd0ccb0ecf8, 0x0000275d22f846e9,
};

static const uint64_t ur_t85_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x83fceff7e879f2eb, 0x0b0712b58feb3760, 0xce75dcdafff3f3c0, 0x7a8f374f72cbad64,
  0x5ee8148e3956064f, 0x7cecf7a3dece62c0, 0x269500ffd99e3af4, 0xab555aa0796b75c3, 0x2107398083ed7972,
  0xaa6fb39d454aa35d, 0x857ee6b395daa5be, 0x5794afda55abdebe, 0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3,
  0xbfdeaa8b4c329e87, 0xb288c5fcdb20431d, 0xb6868b3440b93571, 0xa616837eeacc7903, 0x7659289c659ac867,
  0x2374f257ee686658, 0x000000000b7545f0,
};

static const uint64_t ur_t85_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x41f2b7fb9c8e7f4d, 0xb5a4c09551f5eeb0, 0xc2445f71a20f3c00, 0xfd67fa2cbc25f886,
  0x72c10d64cd51dcda, 0x3956064f7a8f374f, 0xdece62c05ee8148e, 0xd99e3af47cecf7a3, 0x796b75c3269500ff,
  0x83ed7972ab555aa0, 0x454aa35d21073980, 0x95daa5beaa6fb39d, 0x55abdebe857ee6b3, 0x5cf6ab445794afda,
  0x4d8a53c34ef1dfd7, 0x4c329e8754e041dd, 0xdb20431dbfdeaa8b, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x375c9c5c2374f257,
};

static const uint64_t ur_t85_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a22582, 0xbb9696215be9d60b, 0x8e891db260bc6bf8, 0x7b3e1791fa8a6ee3, 0x4ce85ce250e171db,
  0x93ba75b59996ae4b, 0xfb9c8e7d36e609f1, 0x8fea8cbae0838cdf, 0xd51f9e005ad218fd, 0x5815ef99cebb9b5d,
  0x0cf5f51e5670e53b, 0x6298ae43fa8f8366, 0x65c709c370ebec5a, 0xdbbf70ea426be96c, 0xce9bb6948f2439d5,
  0x628e0fd8d578d8eb, 0xecb65f380e3b169a, 0x9ac16a8d8226470d, 0x8083ed7972ab52cc, 0x9d454aa35d210739,
  0xb395daa5beaa6fb3, 0xda55abdebe857ee6, 0xd75cf6ab445794af, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041,
  0xfcdb20431dbfdeaa, 0x5cb9357079b288c5, 0xab31e40fca1a2cbd, 0xf0271a50c2a73f53, 0xc2d06fdf11a1e44c,
  0xecf8138cb3590cf4, 0x46e9e4afdcd0ccb0, 0x0000000009f856a8,
};

static const uint64_t ur_t85_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1ec9b5,
  0x93bb45fad8935e27, 0xff3c0b3e292609f1, 0x547d51e9bc107adf, 0x1a20f3c00b9ddadd, 0xcbc25f886c2445f7,
  0x33547736bbb77fa2, 0x7959c394ed667bdf, 0x0fea3e0d9833d7d4, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x523c90e7576efdc3, 0x6355e363af3a6eda, 0xe038ec5a698a383f, 0x3608991c37b2d97c, 0xe5caad4b326b05aa,
  0x8d74841ce6020fb5, 0x96faa9bece75152a, 0x7afa15fb9ace576a, 0xad115e52bf6956af, 0x4f0d3bc77f5d73da,
  0x7a1d538107753629, 0x0c76ff7aaa2d30ca, 0xc1e6ca2317f36c81, 0x669f1a2cb3a2e4d5, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590, 0x0a89079e4afdcd0c,
  0x000000000009f8fc,
};

// t85_swio13_lednop_pr
static const uint64_t ur_t85_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x3041e3dff851bb3e, 0x3e7bd475f0ef96e9, 0xbdd31eb10c71cab0, 0x9db7b4770ce62c05,
  0xc59fb8e58c11d78b, 0xe6020fb5e5caad4a, 0xce75152a8d74841c, 0x404e576a96faa9be, 0x2b924bfa15fb9ae0,
  0xae7b55a22bca57ed, 0x96165362ce80f3f5, 0xe7d14085a6ae757a, 0x18bf9b69e8754e04, 0x47f1a2cd101bb651,
  0xa616837eeacc7903, 0x7659289c659ac867, 0x483cf257ee686658, 0x000000003e407164,
};

static const uint64_t ur_t85_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0xeebfdfa1e7e3dcc1, 0x51e6e3be5ba4c107, 0xdd0291c72ac0f9ef, 0x88ed6398b016f74d,
  0x71cb1823af173b0f, 0x1f6bcb955a95970f, 0x2a551ae90839cc04, 0xaed52df5537d9cea, 0x97f42bf735c0809c,
  0xab445794afda5724, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5, 0x55bfdeaa8b48edcf, 0x3cd94462fe6d9764,
  0xdb434596745c9ab8, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f,
  0x2c3b3e04e32cd643, 0xcc11ba792bf73433, 0x000000000000f932,
};

static const uint64_t ur_t85_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0xcfdde683e2f70a6a, 0x670ccdd9b0452226,
  0xc13e32777c8e9894, 0x1ce0ffbf43cfd0fc, 0x5670e6ab5a332b04, 0xfa8f83660d00f51e, 0x70ebec5a6ef8adc9,
  0x426be96c65c709c3, 0x9cead2efe2e2899a, 0x43af5d4dd97c4710, 0x2d31be8c45b1aad7, 0xb86f65c396701c76,
  0xdaf2e556ab859ff5, 0x9546ba420e730107, 0xb54b7d54df673a8a, 0xfd0afdcd7020272b, 0xd115e52bf695c925,
  0xb1674079fad73daa, 0x42d3573abd4b0b29, 0xb4f43aa70273e8a0, 0x0b93571b288c5fcd, 0xacc7903b6868b344,
  0x59ac867a616837ee, 0xe6866587659289c6, 0xa7c03902374f257e, 0x0000000000000000,
};

static const uint64_t ur_t85_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xdab96963d4debd63, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522278,
  0x09f193baafb60dc6, 0xce0ffb9c8e7e87e6, 0x6a7a6ab5a37f3041, 0x51f06cc184ff51e5, 0x1d7d8b4ddf15b05f,
  0x4d7d2d8cb8e1386e, 0x9d5a5fe72e359348, 0x1d79d37609e8c143, 0x69e488f22d8d56ba, 0x70decb65f380e3b1,
  0x015c326951b047eb, 0xe730107daf2e556a, 0xf673a8a9546ba420, 0x020272bb54b7d54d, 0x695c925fd0afdcd7,
  0x5d73daad115e52bf, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xb65d9156ff7aaa2d, 0x726ae0f365118bf9,
  0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x13ae10b846e9e4af,
};

static const uint64_t ur_t85_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x839c3ff7e879f60b, 0x0b07243d8feb3760, 0x9cebb9b5d36ff3c0, 0xf51e719ee5975ac9,
  0x43da011c72ac0c9e, 0xf3b7c88e32398b01, 0xc35403ff6678ebd1, 0xad605681e5addbdd, 0x841ce6020fb5e5ca,
  0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0x57ed2b924bfa15fb, 0x7b6bae7b55a22bca, 0x85482e52d7ce80f3,
  0x45a476e7a1d53810, 0xfe6d97618edfef55, 0x9a205c9ab8d94462, 0xbf75663c81db4345, 0x4e32cd6433d30b41,
  0x2bf734332c3b2c94, 0x000b751e5c11ba79,
};

static const uint64_t ur_t85_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x41edd7fb9c8e7e39, 0xb5a4df7551f5eeb0, 0xc2445f71a20f3c00, 0xf723fa2cbc25f886,
  0x72c10d64cd51dcda, 0x3956064f7a8f38cf, 0x191cc580a1ed008e, 0xb33c75e8f9dbe447, 0xf2d6edeee1aa01ff,
  0x07daf2e556b02b40, 0x8a9546ba420e7301, 0x2bb54b7d54df673a, 0x25fd0afdcd702027, 0xaad115e52bf695c9,
  0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0x1e6ca2317f36cbb0, 0xfca1a2cb3a2e4d5c,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f, 0x961d9f0271966b21,
  0xaf08dd3c95fb9a19, 0x00000000000dd78f,
};

static const uint64_t ur_t85_swio13_lednop_pr_ee_ce[] = {
  0x71ddddddd4144511, 0x1772d2c42b791ac1, 0xe0ea33dc29a98d7f, 0xb7b3e17fd323ed2e, 0xb582104e250e171d,
  0x8c9ddfb5a538b14b, 0x1fee7239f7f9304f, 0xcb1fd51975c1070d, 0xb9b77f9e005ad27f, 0x76b02bdf339d7736,
  0xcc19ebea3caca1ca, 0xb4c531594bf51f06, 0xd8cb8e1386e1d7d8, 0xabb77ce1d484d7d2, 0xaf3a6ec13d182873,
  0x79223c8b6355e363, 0x37b2d97ce038ec5a, 0x3b864d2a3608991c, 0xe6020fb5e5caad4b, 0xce75152a8d74841c,
  0x404e576a96faa9be, 0x2b924bfa15fb9ae0, 0xae7b55a22bca57ed, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548,
  0x97618edfef5545a4, 0x9ab83cd94462fe6d, 0xf207e50d165eae5c, 0x8d2861539fa9d598, 0x37ef88d0f2267813,
  0x09c659ac867a6168, 0xf257ee686658767c, 0x000004fc39f42374,
};

static const uint64_t ur_t85_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd62c, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1ec9b5,
  0xc9ddb9da3dabbec4, 0xff3c0b3fd83304f8, 0x547d51e9bc10743e, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0x79594394ed667bdf, 0x97ea3e0d9833d7d4, 0x0dc3afb1698a62b2, 0xa909afa5b1971c27,
  0x7a3050e7576ef9c3, 0xc6abc6c75e74dd82, 0xc071d8b4f2447916, 0x6c1132386f65b2f9, 0xcb955a96770c9a54,
  0x1ae90839cc041f6b, 0x2df5537d9cea2a55, 0x2bf735c0809caed5, 0x5794afda572497f4, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x88c5fcdb2ec31dbf, 0x8b2ce8b9357079b2, 0x7ea75663c819a7c6,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xe792bf734332c3b3,
  0x0000027e68e2a241,
};

// t85_swio14_noled_pr
static const uint64_t ur_t85_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x041cf5ff0a3767fb, 0x5ffd47884ef96e83, 0xba63d7e48e395607, 0xb41f464d1cc580b7,
  0x27b71cb1823af173, 0x6020fb5e5caad4ac, 0xe75152a8d74841ce, 0x9ace9b95daa5beac, 0x2bf695b1fbfa15fb,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x62fe6d9eb7156ff7, 0x1fc68b34406ed944,
  0x985a0dfbab31e40d, 0xd964a271966b219e, 0x20f3c95fb9a19961, 0x00000000f901c591,
};

static const uint64_t ur_t85_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x41f6fffbf43cf98f, 0x6bd47050ef96def0, 0x4db7e5f471cab032, 0x5ae8c45398b01659,
  0x807fecc11d7a3e76, 0xfba07967b7d213ca, 0x730107daf2e556ac, 0x673a8a9546ba420e, 0xdcd674dcaed52df5,
  0x295fb4ad8fdfd0af, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x2317f36cf5b8ab7f,
  0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1,
  0xf0271966b219e985, 0xd3c95fb9a19961d9, 0x0000003e4c21608d,
};

static const uint64_t ur_t85_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5306758, 0xe85ebd7d623e2f56, 0xeef3412f6c81210b, 0x0ccddbd32291139b,
  0x3e32777c8e989467, 0x2bbfdfa1e7f674c1, 0xf3a6ab5a3dbf820f, 0x8f83660e71f51e57, 0xebec5a6ef8ad2b7a,
  0x6be96c65c709c370, 0xead2efe2e2899a42, 0x5eba9bb4dc8d6b9c, 0x38c91f496355ae87, 0x6f65c396701c762d,
  0x7972ab55c13df5b8, 0xa35d2107398083ed, 0x576a96fab39d454a, 0xc7efe857ee6b3a6e, 0xf6ab445794afda56,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x7adc55bfdeaa8b4c, 0x726ae365118bf9b6, 0x98f2076d0d166881,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0xf8072046e9e4afdc, 0x0000000000000014,
};

static const uint64_t ur_t85_swio14_noled_pr_ee_u4[] = {
  0x84dddddda2445541, 0xdab96963d4e19d62, 0x6475a2eedb75fe24, 0x7914ce3f8bcd8c77, 0x7ae34c9022911284,
  0x9f193ba82b7a71ce, 0xb3bfdce473e70660, 0x5d66ab5a331f820f, 0x8f83660fa8f51e56, 0xebec5a6ef8ace1fa,
  0x6be96c65c709c370, 0xead2e51571ac9a42, 0x75e74dd90047f21c, 0xd37bd1ef76355ae8, 0xe1bd96cbe701c762,
  0x0113dcf2a3608fd6, 0xe730107daf2e556a, 0x5673a8a9546ba420, 0xfdcd674dcaed52df, 0xf295fb4ad8fdfd0a,
  0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0xa2317f36cf5b8ab7, 0xa2cb3a2e4d5c1e6c,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0xdd3c95fb9a19961d, 0x00000004ebd59508,
};

static const uint64_t ur_t85_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x74adfefd0f3e70e6, 0x60e393b1fd57cc10, 0x9d7736ba1f7e7801, 0xa3af93dcb2eb5933,
  0x8937471cab0359fe, 0xecb5d188a731602c, 0x9500ffd99e3af47c, 0x567dd03cb5bba427, 0x07398083ed7972ab,
  0xfab39d454aa35d21, 0x57ee6b3a6e576a96, 0x5794afda56c7efe8, 0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3,
  0xbfdeaa8b4c329e87, 0xca2317f36cf5b31d, 0x68b2f572e4d5c1e6, 0x9cfd4eacc7903b68, 0x879133c09c69430a,
  0x6433d30b41bf7c46, 0x4332c3b3e04e32cd, 0xb9cf811ba792bf73, 0x000000000000006e,
};

static const uint64_t ur_t85_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x41f027fb9c8e7edd, 0xb5a453d551f59130, 0xc2445f71a20f3c00, 0xd9bffa2cbc25f886,
  0xe5821ac99aa3b9b5, 0xe5581acff51d7c9e, 0x45398b016449ba38, 0xccf1d7a3e765ae8c, 0xe5addd213ca807fe,
  0x1f6bcb955ab3ee81, 0x2a551ae90839cc04, 0xd372bb54b7d59cea, 0xd2b63f7f42bf7359, 0xbae7b55a22bca57e,
  0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0x9b67ad98edfef554, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x06ebe8e2846e9e4a,
};

static const uint64_t ur_t85_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22044, 0xbb9696215971d606, 0xdec71d7a70bc6bf8, 0xdecfcc5a28418be5, 0x9891a738943836f6,
  0x64ee8f6d81610fc8, 0xff7391cf8689827c, 0xb1fd519c3c107b1f, 0xf75bf3c00b5a4e9f, 0x6b02bdf339d7736b,
  0xc1e95ea3cae43ca7, 0x4c5315ba5f51f06c, 0x8cb8e1386e1d7d8b, 0xbb71451d484d7d2d, 0x79d3764011fc873a,
  0xbde8f7bb1aaf1b1d, 0xdecb65f380e3b169, 0x64f73ca8d8226470, 0xcc041f6bcb955a96, 0x9cea2a551ae90839,
  0x7359d372bb54b7d5, 0xa57ed2b63f7f42bf, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7,
  0x18bf9b67ad98edfe, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0xb708dd3c95fb9a19, 0x0000000000013f1e,
};

static const uint64_t ur_t85_swio14_noled_pr_ee_ce_u4[] = {
  0xef7777768b9f1f68, 0xbb96962e04246b18, 0x27605e8335a0b88d, 0x9fa5243a7791a8b6, 0xee0ae3910e0f8eda,
  0x193ba3afa0282c8e, 0x1fe78167d0fa609f, 0x5547d51dbac107c4, 0xb8d1079e005cedfe, 0x165e12fc4361222f,
  0x7ccd51dcdafd4efd, 0x51e5721e53b599ef, 0xdd2fa8f83660f4af, 0x9c370ebec5a6298a, 0x8ea426be96c65c70,
  0x2008fe439d5db8a2, 0xdd8d578d8ebce9bb, 0xf9c071d8b4def47b, 0x546c1132386f65b2, 0xb5e5caad4b327b9e,
  0x2a8d74841ce6020f, 0xb95daa5beace7515, 0x5b1fbfa15fb9ace9, 0x73daad115e52bf69, 0x36294f0d3bc77f5d,
  0x30ca7a1d53810775, 0xb3d6cc76ff7aaa2d, 0x9357079b288c5fcd, 0x3c819a7c68b2ce8b, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0xe6f05a241e792bf7,
  0x0000000000000027,
};

// t85_swio14_lednop_pr
static const uint64_t ur_t85_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x3041c3dff851bb3f, 0x75ffd47c90ef96e8, 0x7ba6d29318e39560, 0x9d84547d21cc580b,
  0xcc17b8e58c11d78b, 0xe6020fb5e5caad4a, 0xce75152a8d74841c, 0x0404e9b95daa5bea, 0x695cbec7a15fb9ae,
  0xad73daad115e52bf, 0xd4b0b29b1674079f, 0x28be8a042d3573ab, 0x88c5fcdb4f43aa70, 0x1a3f8d166880ddb2,
  0x3d30b41bf75663c8, 0xc3b2c944e32cd643, 0x2241e792bf734332, 0x00000000003e4002,
};

static const uint64_t ur_t85_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x7913fdfa1e7c3dcc, 0xf51d7c3be5ba0c10, 0xa449ba38e5581d7f, 0x2a3b86731602dee9,
  0xb8e58c11d78b9db2, 0x07daf2e556a56749, 0x8a9546ba420e7301, 0x74dcaed52df5673a, 0x5f63d0afdcd70202,
  0xed5688af295fb4ae, 0x4b5f3a03cdedaeb9, 0x9e8754e0421520b9, 0x48ab7fbd551691db, 0x5c1e6ca2317f36c6,
  0x40eda1a2cb3a2e4d, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc,
  0x19961d9f0271966b, 0xd34008dd3c95fb9a, 0x00000000000003e4,
};

static const uint64_t ur_t85_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x29972d2c7a9ad158, 0x1e34f685e8c1afab, 0xe6fbbcd04bdea9bb, 0x704fde2f6408a444,
  0x9827c64eed33dfa7, 0x41c6b7fbf43cfa5a, 0xcae43cd56b47b7f0, 0xef51f06cc1ce3ea3, 0x6e1d7d8b4ddf15fe,
  0x484d7d2d8cb8e138, 0x273ab4b98f5c5133, 0xd0ebd75376c911a6, 0x8b4e0fa3b5ac6ab5, 0x6e1bd970e59c071d,
  0xf6bcb955aae305fd, 0xa551ae90839cc041, 0x372bb54b7d59cea2, 0xd8f42bf735c0809d, 0x55a22bca57ed2b97,
  0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0x9b69e8754e0517d1, 0x881726ae365118bf, 0xdd598f2076d0d166,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x00a7c54e046e9e4a,
};

static const uint64_t ur_t85_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea742eb1, 0x9a5d5c7b007a5f12, 0x3c8a671f8678bd4d, 0x545a0ac811488942,
  0x4f8c9dd3ada244b5, 0x1adfee7239f4b530, 0x60b355ad198fc107, 0x47c1b307d47a8f2b, 0x75f62d377c5650fd,
  0x35f4b632e384e1b8, 0x756974acb8d64d21, 0x3af3a6edd4239b8e, 0x69fc88e32b1aad74, 0x70decb65f380e3b1,
  0x00ba427951b047eb, 0x7398083ed7972ab5, 0xab39d454aa35d210, 0xb81013a6e576a96f, 0xfda572fb1e857ee6,
  0x6d75cf6ab445794a, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf9b632455bfdeaa8, 0xd1726ae0f365118b,
  0xd598f207e50d1659, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x000275cb3846e9e4,
};

static const uint64_t ur_t85_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x20f21ffdfa1e7ca1, 0x02c1c74b63faaf98, 0x339d7736b868fcf0, 0xfd4797d3dcb2eb59,
  0x532a718e395606b3, 0xf9da214637ce62c0, 0xd22a01ffb33c75e8, 0xab57d6e0796b708b, 0x2107398083ed7972,
  0x96fab39d454aa35d, 0xee6b81013a6e576a, 0x94afda572fb1e857, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01,
  0xaa8b48edcf43aa70, 0x317f36c6431dbfde, 0xa2cd102e4d5c6ca2, 0xa0dfbab31e40eda1, 0x4a271966b219e985,
  0x3c95fb9a19961d96, 0x000005ba8bf608dd,
};

static const uint64_t ur_t85_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x41f7dffb9c8e7e2b, 0xb5a495d551f59130, 0xc2445f71a20f3c00, 0xec87fa2cbc25f886,
  0x72c10d64cd51dcda, 0xe5581acff51e5f4f, 0xdf398b014ca9c638, 0xccf1d7a3e7688518, 0xe5adc22f48a807fe,
  0x0fb5e5caad5f5b81, 0x152a8d74841ce602, 0xe9b95daa5beace75, 0xbec7a15fb9ae0404, 0xdaad115e52bf695c,
  0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x7079b288c5fcdb19, 0x03f2868b2ce8b935,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0xe6dc2374f257ee68, 0x000000000000375d,
};

static const uint64_t ur_t85_swio14_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xbb9696215a99d606, 0xdedc1d53763c6bf8, 0xbd9f98ae368b0ce0, 0xe4b4167128706ded,
  0xc9dd9c5a6e99f74e, 0xfdce473f3b7304f8, 0xc7f54670f041f76b, 0x541fcf002d69066e, 0x5815ef99cebb9b5f,
  0x0f4af51e5652e53b, 0x6298acbafa8f8366, 0x65c709c370ebec5a, 0xdb92b0ea426be96c, 0xce9bb7508e6e39d5,
  0xe4471958d578d8eb, 0xf65b2f9c071d8b4f, 0xe909e546c1132386, 0x6020fb5e5caad4b3, 0xe75152a8d74841ce,
  0x404e9b95daa5beac, 0x95cbec7a15fb9ae0, 0xd73daad115e52bf6, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4,
  0xb190c76ff7aaa2d2, 0x9357079b288c5fcd, 0x1e40fca1a2cbd5cb, 0x71a50c2a73f53ab3, 0x06fdf11a1e44cf02,
  0x8138cb3590cf4c2d, 0x9e4afdcd0ccb0ecf, 0x0000027e27d7846e,
};

static const uint64_t ur_t85_swio14_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e5f41, 0x772d2c5c0919d631, 0x769bad376c81711b, 0x3f4a48091e9c47c3, 0xc4ea67221c1f1db5,
  0x193bb5ad3b55c4c8, 0x1fe78167ff5e609f, 0xd547d51dbac10780, 0x71a20f3c00b9dd6f, 0x2cbc25f886c2445f,
  0xf99aa3b9b5c2c9fa, 0xa3caca5ca76b33de, 0x975f51f06cc1e95e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0xea11cdc73abb7256, 0x2b1aaf1b1d79d376, 0xf380e3b169fc88e3, 0xa8d8226470decb65, 0x6bcb955a967d213c,
  0x551ae90839cc041f, 0x72bb54b7d59cea2a, 0x8f42bf735c0809d3, 0x5a22bca57ed2b97d, 0x7ce80f37b6bae7b5,
  0x1d5381085482e52d, 0xedfef5545a476e7a, 0xf365118bf9b63218, 0x4f8d1659d1726ae0, 0x0a9cfd4eacc79033,
  0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867, 0x4483cf257ee68665,
  0x0000000004fcc927,
};

// t85_swio15_noled_pr
static const uint64_t ur_t85_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x3041f6fff851bb3e, 0x3e7bd47884ef96e9, 0x7ba69c56bc71cab0, 0x3b5c3464d1cc580b,
  0x95ff71cb1823af17, 0xcc041f6bcb955a95, 0x9cea2a551ae90839, 0x359d372bb54b7d5d, 0xbf6956aff7f42bf7,
  0x9fad73daad115e52, 0x3a9d4e02ca54fa77, 0x7022fdc502169617, 0xb288c5fcdb4f43aa, 0xc81a3f8d166880dd,
  0x433d30b41bf75663, 0x32c3b2c944e32cd6, 0x722241e792bf7343, 0x000000000001f200,
};

static const uint64_t ur_t85_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0xe657fbf43cfbf930, 0xa8f2f8ef9683f820, 0x32a718e395607d07, 0xf47bd9cc580b2ca6,
  0x1ffb30475e8f9d9e, 0x503cb3dbb864d2a0, 0xc041f6bcb955aaad, 0xcea2a551ae90839c, 0x59d372bb54b7d5d9,
  0xf6956aff7f42bf73, 0xf5d73daad115e52b, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbf9b6409156ff7aa,
  0x9d1726ae0f365118, 0x9d598f2076d0d165, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0x8f727e07effe09a1,
  0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x0000f93e9e046e9e,
};

static const uint64_t ur_t85_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x2eef341f166c2d00, 0x6d2cfdd932291112,
  0x13e3277792ed3347, 0xfbeffdfa1e7e2b4c, 0xb74b355ad1995820, 0xd47c1b306807a8f2, 0x875f62d377c57f3b,
  0x135f4b632e384e1b, 0xcead2f0197144cd2, 0x3af5d4dd81446f79, 0xa79151dc3b1aad74, 0x0decb872ce038ec5,
  0xaf2e556ab826beb7, 0x546ba420e730107d, 0xaed52df57673a8a9, 0xbfdfd0afdcd674dc, 0x6ab445794afda55a,
  0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x02455bfdeaa8b4c3, 0xc9ab8d94462fe6d9, 0x63c81db43459a205,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0xf849011ba792bf73, 0x0000000000000014,
};

static const uint64_t ur_t85_swio15_noled_pr_ee_u4[] = {
  0x7bdddddda2447032, 0xb572d2c7a9b4bac1, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b41148885ed,
  0xf8c9dd3b5b2ed395, 0xadfee7239f275304, 0x4b9aad68dfcc1078, 0x7c1b30613fd47959, 0x5f62d377c565d7d4,
  0x5f4b632e384e1b87, 0x5697fdcb8d64d213, 0xaf3a6eda523c90e7, 0x34c51c1fb1aad743, 0x1bd96cbe701c762d,
  0x226b05aa3608fd6e, 0xe6020fb5e5caad40, 0xce75152a8d74841c, 0x9ace9b95daa5beae, 0x5fb4ab57fbfa15fb,
  0xbfaeb9ed5688af29, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xc5fcdb2048ab7fbd, 0x2ce8b9357079b288,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d,
  0xf257ee686658767c, 0x000013ae917c2374,
};

static const uint64_t ur_t85_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x0ff3bfdfa1e7cbac, 0x2c1c4ad63facdd82, 0x39d7736bffcfcf00, 0xea3cdd3dcb2eb593,
  0x7ba05238e558193d, 0xf3b3de8f7b398b01, 0x9a5403ff6678ebd1, 0xad556a81e5add70c, 0x841ce6020fb5e5ca,
  0xbeaece75152a8d74, 0x15fb9ace9b95daa5, 0xaf295fb4ab57fbfa, 0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786,
  0x7fbd551698653d0e, 0x65118bf9b640863b, 0x6d0d166881726ae3, 0x4c2d06fdd598f207, 0xecb25138cb3590cf,
  0x46e9e4afdcd0ccb0, 0x0000000016ea8be0,
};

static const uint64_t ur_t85_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x41f2b7fb9c8e7f4d, 0xb5a4c09551f5eeb0, 0xc2445f71a20f3c00, 0xfd67fa2cbc25f886,
  0x72c10d64cd51dcda, 0x3956064f7a8f374f, 0xdece62c05ee8148e, 0xd99e3af47cecf7a3, 0x796b75c3269500ff,
  0x83ed7972ab555aa0, 0x454aa35d21073980, 0xa6e576a96fabb39d, 0x2ad5fefe857ee6b3, 0xae7b55a22bca57ed,
  0xa6c529e1a778efeb, 0xa6194f43aa7020ee, 0x6d90218edfef5545, 0x5c9ab83cd94462fe, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x1bae4e2e11ba792b,
};

static const uint64_t ur_t85_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a22582, 0x5dcb4b10adf4eb10, 0xc7448ed9305e35fc, 0xbd9f0bc8fd453771, 0xd33a17389439006d,
  0x64ee9d6d6665ab92, 0xfee7239f4db9827c, 0x63faa32eb820e337, 0x7547e78016b4863f, 0xd6057be673aee6d7,
  0x833d7d47959c394e, 0x98a62b90fea3e0d9, 0x1971c270dc3afb16, 0x76efdc3a909afa5b, 0xf3a6eda523c90e75,
  0x98a383f6355e363a, 0x7b2d97ce038ec5a6, 0x26b05aa3608991c3, 0x6020fb5e5caad4b3, 0xe75152a8d74841ce,
  0xace9b95daa5beaec, 0xfb4ab57fbfa15fb9, 0xfaeb9ed5688af295, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08,
  0xbf9b640863b7fbd5, 0xab9726ae0f365118, 0x75663c81f9434597, 0x9e04e34a1854e7ea, 0x985a0dfbe2343c89,
  0x1d9f0271966b219e, 0x08dd3c95fb9a1996, 0x00000000013f0ad5,
};

static const uint64_t ur_t85_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61e, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1de9b5,
  0x93bb45fad8935e27, 0xff3c0b3e292609f1, 0x547d51e9bc107adf, 0x1a20f3c00b9ddadd, 0xcbc25f886c2445f7,
  0x33547736bbb77fa2, 0x7959c394ed667bdf, 0x0fea3e0d9833d7d4, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x523c90e7576efdc3, 0x6355e363af3a6eda, 0xe038ec5a698a383f, 0x3608991c37b2d97c, 0xe5caad4b326b05aa,
  0x8d74841ce6020fb5, 0xdaa5beaece75152a, 0xfbfa15fb9ace9b95, 0x5688af295fb4ab57, 0xa7869de3bfaeb9ed,
  0x3d0ea9c083ba9b14, 0x863b7fbd55169865, 0xe0f365118bf9b640, 0x334f8d1659d1726a, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8, 0x054483cf257ee686,
  0x000000000004fc7e,
};

// t85_swio15_lednop_pr
static const uint64_t ur_t85_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x3041e3dff851bb3e, 0x3e7bd475f0ef96e9, 0xbdd31eb10c71cab0, 0x9db7b4770ce62c05,
  0xc59fb8e58c11d78b, 0xe6020fb5e5caad4a, 0xce75152a8d74841c, 0x404e9b95daa5beae, 0x4ae4ac7a15fb9ae0,
  0x6b9ed5688af295fb, 0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x462fe6da7a1d5381, 0xd1fc68b34406ed94,
  0xe985a0dfbab31e40, 0x1d964a271966b219, 0x120f3c95fb9a1996, 0x000000000f901c59,
};

static const uint64_t ur_t85_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0xeebfdfa1e7e3dcc1, 0x51e6e3be5ba4c107, 0xdd0291c72ac0f9ef, 0x88ed6398b016f74d,
  0x71cb1823af173b0f, 0x1f6bcb955a95970f, 0x2a551ae90839cc04, 0x372bb54b7d5d9cea, 0x58f42bf735c0809d,
  0xaad115e52bf695c9, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x0f365118bf9b65d9,
  0x76d0d1659d1726ae, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07,
  0xcb0ecf8138cb3590, 0xb3046e9e4afdcd0c, 0x0000000000003e4c,
};

static const uint64_t ur_t85_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0x45dde683e2f70a6a, 0x670ccdd9b0452222,
  0xc13e32777c8e9894, 0x1ce0ffbf43cfd0fc, 0x5670e6ab5a332b04, 0xfa8f83660d00f51e, 0x70ebec5a6ef8adc9,
  0x426be96c65c709c3, 0x9cead2efe2e2899a, 0x43af5d4dd97c4710, 0x2d31be8c45b1aad7, 0xb86f65c396701c76,
  0xdaf2e556ab859ff5, 0x9546ba420e730107, 0xcaed52df57673a8a, 0x3d0afdcd7020274d, 0xb445794afda57256,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0x6d3d0ea9c09cfa28, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x29f00e408dd3c95f,
};

static const uint64_t ur_t85_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xdab96963d4debd60, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522217,
  0x09f193baafb60dc6, 0xce0ffb9c8e7e87e6, 0x6a7a6ab5a37f3041, 0x51f06cc184ff51e5, 0x1d7d8b4ddf15b05f,
  0x4d7d2d8cb8e1386e, 0x9d5a5fe72e359348, 0x1d79d37609e8c143, 0x69e488f22d8d56ba, 0x70decb65f380e3b1,
  0x015c326951b047eb, 0xe730107daf2e556a, 0x7673a8a9546ba420, 0x020274dcaed52df5, 0xda572563d0afdcd7,
  0xd75cf6ab445794af, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x6d976455bfdeaa8b, 0x5c9ab83cd94462fe,
  0x663c81f943459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x04eb842e11ba792b,
};

static const uint64_t ur_t85_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x0e70ffdfa1e7d82c, 0x2c1c90f63facdd82, 0x73aee6d74dbfcf00, 0xd479c67b965d6b26,
  0x0f680471cab0327b, 0xcedf2238c8e62c05, 0x0d500ffd99e3af47, 0xb5815a0796b76f77, 0x107398083ed7972a,
  0xfabb39d454aa35d2, 0x6b81013a6e576a96, 0x57ed2b92b1e857ee, 0x7b6bae7b55a22bca, 0x85482e52d7ce80f3,
  0x45a476e7a1d53810, 0xfe6d97618edfef55, 0x9a205c9ab8d94462, 0xbf75663c81db4345, 0x4e32cd6433d30b41,
  0x2bf734332c3b2c94, 0x000b751e5c11ba79,
};

static const uint64_t ur_t85_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x41edd7fb9c8e7e39, 0xb5a4df7551f5eeb0, 0xc2445f71a20f3c00, 0xf723fa2cbc25f886,
  0x72c10d64cd51dcda, 0x3956064f7a8f38cf, 0x191cc580a1ed008e, 0xb33c75e8f9dbe447, 0xf2d6edeee1aa01ff,
  0x07daf2e556b02b40, 0x8a9546ba420e7301, 0x4dcaed52df57673a, 0x563d0afdcd702027, 0x6ab445794afda572,
  0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0x079b288c5fcdb2ec, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0xebc2374f257ee686, 0x00000000000375e3,
};

static const uint64_t ur_t85_swio15_lednop_pr_ee_ce[] = {
  0x00ddddddd4144511, 0x8bb9696215bc8d62, 0x707519ee14d4c6bf, 0xdbd9f0bfe991f697, 0xed60841389439006,
  0xe32777ed694e2c52, 0x47fb9c8e7dfe4c13, 0xf2c7f5465d7041c3, 0xae6ddfe78016b49f, 0x9dac0af7cce75dcd,
  0xb3067afa8f2b2872, 0x2d314c5652fd47c1, 0xb632e384e1b875f6, 0xeaeddf38752135f4, 0xebce9bb04f460a1c,
  0x9e488f22d8d578d8, 0x0decb65f380e3b16, 0xcee1934a8d822647, 0x398083ed7972ab52, 0xb39d454aa35d2107,
  0x1013a6e576a96fab, 0xd2b92b1e857ee6b8, 0xbae7b55a22bca57e, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xd97618edfef5545a, 0xc9ab83cd94462fe6, 0x8f207e50d165eae5, 0x38d2861539fa9d59, 0x837ef88d0f226781,
  0xc09c659ac867a616, 0x4f257ee686658767, 0x0000004fc39f4237,
};

static const uint64_t ur_t85_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61e, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1de9b5,
  0xc9ddb9da3dabbec4, 0xff3c0b3fd83304f8, 0x547d51e9bc10743e, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0x79594394ed667bdf, 0x97ea3e0d9833d7d4, 0x0dc3afb1698a62b2, 0xa909afa5b1971c27,
  0x7a3050e7576ef9c3, 0xc6abc6c75e74dd82, 0xc071d8b4f2447916, 0x6c1132386f65b2f9, 0xcb955a96770c9a54,
  0x1ae90839cc041f6b, 0xb54b7d5d9cea2a55, 0x2bf735c0809d372b, 0x15e52bf695c958f4, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0xa2317f36cbb0c76f, 0xa2cb3a2e4d5c1e6c, 0x9fa9d598f20669f1,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x79e4afdcd0ccb0ec,
  0x0000009f9a38a890,
};

// t24_swio10_noled_pr               t24a_swio10_noled                 t24a_swio10_noled_pr
static const uint64_t ur_t24_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0xd242695ffcfbb3f2, 0x0fe403dc989df2c4, 0x6d2a211ee1d3f831, 0x7b464f1cc580b7ba,
  0xfb8e58c11d78b9db, 0xe09b5e5caad4ac59, 0xe75152a8d77210e7, 0x2126b395daa5beac, 0x2bca2112a97debe8,
  0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0x5104cdfcdb15aa2a, 0x068fe3459a20376c,
  0xcf4c2d06fdd598f2, 0x61d9f45138cb3590, 0xb320f3c95fb9a199, 0x00000000003e4002,
};

// t24a_swio10_noled_pr_u4
static const uint64_t ur_t24_swio10_noled_pr_u4[] = {
  0x06eeeeed17622a9c, 0x772d2c42b193ac11, 0xebafdb89d4906487, 0x06612226b075338f, 0x97c5d09cdf74880f,
  0x827c64ee8d3df1e6, 0x4204fff6b267cca9, 0xc807b96b9df2c4d2, 0x74643dc3a7f0621f, 0x1e0b398b016f74d3,
  0x39630475e2e76269, 0x6d7972ab52b2a5ee, 0x454aa35dc8439f82, 0x9ace576a96fab39d, 0x28844aa5f7afa084,
  0xdeb3bcb9ed5688af, 0x10b4b5fe2353c314, 0xda7a1d53816e3e28, 0x726ae36288266fe6, 0x63c81db434584571,
  0xf7bca1854e7ea756, 0xa28fe32fcc4ffef0, 0x9f81fbff82688577, 0xcd6433d30aefa3dc, 0x686658767d144e32,
  0x3c926a483cf257ee, 0x00000000000000f9,
};

// t24a_swio10_noled_pr_ee
static const uint64_t ur_t24_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x4cb969602172b758, 0x1a7b42f5d797bd59, 0xeef341a1104c2b31, 0xef17e3bad3fa939b,
  0xe3277699efd3b827, 0x56ff6b267f4dcc13, 0x56715d6b47dd2426, 0x7273c807b829c95a, 0x7c807bb079380e6e,
  0xc370ebec01fc5651, 0x66006be96c65c709, 0x29cead2f1eedd8ce, 0xba1d78033b6488f2, 0x71d883e8c9a9ed56,
  0xcbff00bd970e59c0, 0xc136bcb955a8e967, 0xcea2a551aee421cf, 0x424d672bb54b7d59, 0x5794422552fbd7d0,
  0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xa2099bf9b62b5455, 0x43459a205c9ab8d8,
  0x0b41bf75663c81db, 0x7d144e32cd6433d3, 0x3cf257ee68665876, 0x00000014f8a9ca48,
};

// t24a_swio10_noled_pr_ee_u4
static const uint64_t ur_t24_swio10_noled_pr_ee_u4[] = {
  0xfbbbbbb441baba31, 0xb96960217b2758e6, 0x7a7ef5d797bd594c, 0xef341a135a9f8f37, 0xb6430aad3fa939be,
  0x8c9dd667ad140515, 0xbff6bf79f1ad304f, 0x3715d6b47dd24269, 0x273c807b829c95b9, 0xc807bb079380e6e7,
  0x370ebec01fc5663f, 0x6006be96c65c709c, 0x8e75697eeadd8ce6, 0xd0ebc019d96ba38c, 0xc763a4464f4f6ab5,
  0x2ffc02f65c396701, 0x09b5e5caad474d7d, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82,
  0xf4ef3f5ae7b55a22, 0x2c2e753a9c0594a9, 0x8754e04e148a042d, 0xb8d8a2099bf9b69e, 0xd1c88d16115c5c9a,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc13442bbd147f, 0x9e98577d1ee4fc0f, 0xc3b3e8a271966b21,
  0xaea72792bf734332, 0x0000000000275f18,
};

// t24a_swio10_noled_pr_ce
static const uint64_t ur_t24_swio10_noled_pr_ce[] = {
  0x9ddddddd5a75f1eb, 0xe5a584a9c2e35848, 0x71deeac8705fdb06, 0x20683b6fd2bc8d4f, 0x7f8f1afba9137132,
  0xe3277717e95b0821, 0x9fefd5267ca2cc13, 0x918f9efea3e2423f, 0x5de8bd5ff9e65390, 0x5e7b96f9b78ce6f1,
  0x1d3f83a97e403dcb, 0x78e62c059c5ef1ee, 0xc678ebc5cedbda32, 0x7972ab51d2cfdc72, 0x4aa35dc8439f826d,
  0xce576a96fab39d45, 0x844aa5f7afa0849a, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3, 0x551698653d0ea9c0,
  0x6fe6d8ad463b7fbd, 0x6881726ae3628826, 0x75663c818fa08d16, 0x32cd6433d30b41bf, 0xee686658767d144e,
  0xb75e939cc83cf257, 0x0000000000000000,
};

// t24a_swio10_noled_pr_ce_u4
static const uint64_t ur_t24_swio10_noled_pr_ce_u4[] = {
  0x7dddddda20dd4375, 0xcb9696041904ac70, 0xef619ed69b3fd7a1, 0x91b448b853d32e27, 0x88199b00bf7783f8,
  0x827c64ee86ed23ed, 0x1182ffb5fbcfcae9, 0x701c28718bf5ea12, 0x1222fb8a880f3cca, 0xbc3fd165e12fc436,
  0xdcb3abeb264c5f45, 0xfe0f05f900f76493, 0x3160284f5f07b874, 0x1d7a3e761f11dac7, 0xbba059ea807feccf,
  0xf2e556a209503cb5, 0x9546bb90873f04da, 0x9caed52df5673a8a, 0x08954bef5f410935, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0xdfcdb15a8c76ff7a, 0x8ae2e4d5c6c5104c, 0xd598f2068e4468b0,
  0xbc3def2861539fa9, 0x5de8a3f8cbf313ff, 0xf727e07effe09a21, 0x8cb3590cf4c2bbe8, 0xfb9a19961d9f4513,
  0x01baebb175393c95,
};

// t24a_swio10_noled_pr_ee_ce
static const uint64_t ur_t24_swio10_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baa80b, 0xbb96962c9c23f58d, 0x97560eb53f1f5a17, 0x348b50ea2bd72b7c, 0xae3867c2e8736d93,
  0x64eed89dc9cd38c4, 0xffb5fbcfffc9827c, 0xf9efea8dd2a4274f, 0x152a3f3cca701ca1, 0x3fdad74f7cde2bbd,
  0x3c807b829c95ba58, 0x0f760f2701cbe727, 0x0ebec1c80adc9f90, 0x06be96c65c709c37, 0x89ceaf4e35f6b860,
  0x1e3af4353b4be469, 0x3b03e23b5a7b55b7, 0x993805ecb65f380e, 0x5a966b3ebfaa3608, 0xee421cfc136bcb95,
  0x54b7d59cea2a551a, 0x2fbd7d0424d672bb, 0xcf6ab44579442255, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4,
  0xc56a31dbfdeaa8b4, 0x93571b1441337f36, 0xf2068e4468b3440b, 0x90cf4c2d06fdd598, 0x9961d9f45138cb35,
  0xe7175393c95fb9a1, 0x00000000000014d3,
};

// t24a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t24_swio10_noled_pr_ee_ce_u4[] = {
  0xf77777689f684c7f, 0xdcb4b0c392eeb0d4, 0x76e4ed3630a8036d, 0xec454df253134162, 0x2448fd27f83b53b1,
  0x4eed8bebd6aafb82, 0xd90ff9f6bb9827c6, 0xc5faa395c908ff3f, 0x101e7994e2d269a8, 0xc25f886c2445f715,
  0x3262fa28523fa2cb, 0x256e960ff6b083df, 0x72f9c9cf201ee0a7, 0xb727e403dd83c9c0, 0x1c270dc3afb07202,
  0x7dae1801afa5b197, 0xd2f91a6273abd38d, 0x9ed56dc78ebd0d4e, 0x97ce038ec0f88ed6, 0xea8d82264e017b2d,
  0xdaf2e556a59acfaf, 0x8a9546bb90873f04, 0x359caed52df5673a, 0x5108954bef5f4109, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x4cdfcdb15a8c76ff, 0xb08ae2e4d5c6c510, 0x53ab31e40d6a7068,
  0xff787bde50c2a73f, 0x42bbd147f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0x2bf734332c3b3e8a,
  0x0013f0217e641e79,
};

// t24_swio10_lednop_pr              t24a_swio10_lednop                t24a_swio10_lednop_pr
static const uint64_t ur_t24_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0xc4d242195ffcfbb3, 0x310fe403ddf21df2, 0xba6401ef1ee1d3f8, 0xdad647d01cc580b7,
  0x73db8e58c11d78b9, 0x73f04daf2e556a56, 0x5673a8a9546bb908, 0x935c0809caed52df, 0xe5108956ae97f410,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x754e06c7f8a042d3, 0xed8a2099bf9b69e8, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x332c3b3e8a271966, 0x2496641e792bf734, 0x0000000000000f90,
};

// t24a_swio10_lednop_pr_u4
static const uint64_t ur_t24_swio10_lednop_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x5ae5a58856db758d, 0xfd05fb87c6d24433, 0x7908e3f4bc7f9bc2, 0x6a1c005ef7752444,
  0x13e3277699ea0970, 0x207bff6b267e034c, 0x403dd389df2c22a4, 0x6800f70e9fc193de, 0xe0f9cc580b2ca60f,
  0xf6608ebd1f3b2628, 0x3cb3dbb5ba05403f, 0xc136bcb955aa1130, 0xcea2a551aee421cf, 0x7020272bb54b7d59,
  0x42255aba5fd0424d, 0xf6d75cf6ab445794, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xfcdb610c55bfdeaa,
  0xae2e4d5c6c5104cd, 0xeacc7903b6868b08, 0xde1ef79430a9cfd4, 0xaef451fc65f989ff, 0x7b93f03f7ff04d10,
  0xc659ac867a615df4, 0xfdcd0ccb0ecfa289, 0x01f2702949079e4a,
};

// t24a_swio10_lednop_pr_ee
static const uint64_t ur_t24_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xa65cb4b010b92158, 0xda5e8d3df4b5a6ac, 0x6fbbcd0684db260b, 0xcdd833412b4fea4e,
  0x27c64ee989d5c706, 0x91cbfdac99feaf98, 0x6e95c575ad1f7490, 0xb9c9cf201ee0a725, 0xfbf201eec1e4e039,
  0x270dc3afb007f15a, 0x399801afa5b1971c, 0x5ae73ab4b87bb763, 0x5ae875e00ced10a3, 0x80e3b022a3e927b5,
  0x9e97fe017b2e1cb3, 0xcfc136bcb955a8eb, 0x59cea2a551aee421, 0x4d7020272bb54b7d, 0x9442255aba5fd042,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0xd5381b1fe2810b4d, 0x36288266fe6da7a1, 0x76d0d166881726ae,
  0xf4c2d06fdd598f20, 0x1d9f45138cb3590c, 0x920f3c95fb9a1996, 0x00000000014f9ce2,
};

// t24a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t24_swio10_lednop_pr_ee_u4[] = {
  0x6fbbbbbb44889202, 0x65cb4b010be1558e, 0x19eb4bdf4b5a6aca, 0xfbbcd0684d7a70be, 0x1795b5a2b4fea4e6,
  0x7c64ee9bad34a82b, 0x15bfee01cf93a982, 0xf39c575ad1f74909, 0x9c9cf201ee0a7257, 0x6f201eec1e4e039b,
  0x70dc3afb007f15c0, 0x99801afa5b1971c2, 0x7c39d5a5ccab7633, 0x6ba1d78033b2628c, 0x038ec5ac8fa09ed5,
  0xfe5ff805ecb872ce, 0x7e09b5e5caad4755, 0xce75152a8d77210e, 0x6b8101395daa5bea, 0xa2112ad5d2fe8212,
  0xce80f2e7b55a22bc, 0xb08985ea5af29c05, 0x754e045fb8a042d2, 0x8d8a2099bf9b69e8, 0x7e50d16115c5c9ab,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a215de8a3f, 0xcf4c2bbe8f727e07, 0x61d9f45138cb3590,
  0xf642f3c95fb9a199, 0x0000000009d7c926,
};

// t24a_swio10_lednop_pr_ce
static const uint64_t ur_t24_swio10_lednop_pr_ce[] = {
  0x4eeeeeeead3ad214, 0xb969612a7331ac24, 0xd537a6d7af17f6c1, 0x103412e3b6fc5d93, 0x4c17b11dd489b899,
  0xe3277619e9bb68ad, 0x5fefd5267d2b4c13, 0x25f73dfd47c484a9, 0x5de8a16bf3cca721, 0x867b96f9b78ce6f1,
  0x0e9fc1d4bf201ee8, 0x487316029ebf20f7, 0x633c75e2e768c91f, 0x5e5caad475d06e39, 0x52a8d77210e7e09b,
  0x1395daa5beace751, 0xad5d2fe82126b810, 0xae7b55a22bca2112, 0x2e52d7ce80f37b6b, 0x76e7a1d538108548,
  0x61098edfef5545a4, 0x4d5c6c5104cdfcdb, 0x9031f411a2cd102e, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x9399079e4afdcd0c, 0x00000000000b7503,
};

// t24a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t24_swio10_lednop_pr_ce_u4[] = {
  0xdbbbbbb441bad562, 0x9b9696041890ac6a, 0xfd377b426eff0b48, 0x165789b26d4c6de2, 0x18d841331ddd59fb,
  0x827c64eec0bdb236, 0x10a5ffb5fbcfe049, 0xe0385d6317eb2f92, 0x2445f715101e7994, 0xd83fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0752fc807ba219e, 0xc580a7afc83dc3a7, 0x1d78b9da3247d21c, 0x2ab51d741b8e58cf,
  0x35dc8439f826d797, 0x76a96fab39d454aa, 0x4bfa0849ae0404e5, 0xd5688af28844ab57, 0xb5f3a03cdedaeb9e,
  0xe8754e0421520b94, 0x63b7fbd551691db9, 0x1b1441337f36d842, 0x3911a2c22b8b9357, 0x854e7ea75663c81a,
  0x2fcc4ffef0f7bca1, 0xff82688577a28fe3, 0xd30aefa3dc9f81fb, 0x767d144e32cd6433, 0xd4e4f257ee686658,
  0x0000000006ebc0a5,
};

// t24a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t24_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd0dd4375, 0xddcb4b164e7d3ac6, 0x77b1c75e9c2fad0b, 0x9a45a8647ea29bb9, 0x699d0be17439b6c9,
  0x32774376c0b6c5c9, 0xffb5fbcfa6dcc13e, 0xf9efea8dd2a420cd, 0x1692bf3cca701c31, 0x3fdad74f7cde2bbd,
  0x3c807b829c959758, 0x0f760f2701cbe727, 0x0ebec1c80add2f90, 0x06be96c65c709c37, 0x21ceaf4e3fdcb860,
  0x8f1d7a1a9db4a479, 0x3b098a383f3daadb, 0x993805ecb65f380e, 0xad4b3e8167aa3608, 0x77210e7e09b5e5ca,
  0xaa5beace75152a8d, 0xfe82126b8101395d, 0x5a22bca2112ad5d2, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d,
  0xedfef5545a476e7a, 0xc5104cdfcdb61098, 0x911a2cd102e4d5c6, 0x0b41bf75663c81a3, 0x7d144e32cd6433d3,
  0xe4f257ee68665876, 0x0000000a699245d4,
};

// t24a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t24_swio10_lednop_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4173e, 0xee5a5861c837586a, 0x4ec0bd066b4401b6, 0xec454dcbbe4b646c, 0x8cfe9d27f83b53b1,
  0x4eeefde80a44f89c, 0xec87fcf8a49827c6, 0xc5faa395c9095bff, 0x203cf329c5a4b5b8, 0x84bf10d8488bee2a,
  0x64c5f45185ff4597, 0x4acbac1fed6107be, 0xe5f3939e403dc14e, 0x6e97c807bb079380, 0x384e1b875f60e405,
  0xee5c30035f4b632e, 0xda523c90e757a71f, 0x9ed56dc78ebd0d4e, 0x2f9c071d84c51c1f, 0xd51b044c9c02f65b,
  0xdaf2e556a59f40b3, 0x8a9546bb90873f04, 0x809caed52df5673a, 0x956ae97f410935c0, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb084c76ff7aaa2d, 0x726ae36288266fe6, 0xf206b53834584571,
  0xef2861539fa9d598, 0xa3f8cbf313ffbc3d, 0xe07effe09a215de8, 0x590cf4c2bbe8f727, 0x19961d9f45138cb3,
  0x631f320f3c95fb9a, 0x000000000000027e,
};

/*
 * t24_swio11_noled_pr               t24_swio12_noled                  t24_swio12_noled_pr
 * t24a_swio11_noled                 t24a_swio11_noled_pr              t24a_swio12_noled
 * t24a_swio12_noled_pr
 */
static const uint64_t ur_t24_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x843d7ff9f767fba9, 0xc807ba213be5ba04, 0xafc83dc3a7f075ff, 0x8c9a398b016f74c7,
  0x39630475e2e7683e, 0x36bcb955a9584f6e, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce, 0x510895b1bd7d0424,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff, 0x7f1a2cd101bb6288,
  0x616837eeacc79034, 0xcfa289c659ac867a, 0x079e4afdcd0ccb0e, 0x0000000f901c5d99,
};

// t24_swio12_noled_pr_u4            t24a_swio11_noled_pr_u4           t24a_swio12_noled_pr_u4
static const uint64_t ur_t24_swio11_noled_pr_u4[] = {
  0x113777768bb128ae, 0x5cb4b10ac32b13dd, 0xdcc750e244c8866b, 0xc85c4bafad0c9f8f, 0x006db793767ba223,
  0x9f193bbf4f490123, 0x36fffb5933e63e60, 0x01ee050ef96ded21, 0x2f87b874fe0c9af2, 0x229cc580b2ca6dbf,
  0x6608ebd1f3b2d746, 0xcb3dbe909e5403ff, 0x26d7972ab567dd03, 0xd454aa35dc8439f8, 0x9ace576a96fabb39,
  0xca2112b637afa084, 0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x04cdfcdb3d6e2adf,
  0x8b08ae2e4d5c6c51, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0,
  0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x000007c9842d4907,
};

// t24_swio12_noled_pr_ee            t24a_swio11_noled_pr_ee           t24a_swio12_noled_pr_ee
static const uint64_t ur_t24_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x5cb4b010b833ac24, 0xbd7afac47c5eaca6, 0xe6825ed9024217d0, 0xbb7a75a7f52245dd,
  0x4eef91d3128ce199, 0xfed64cfece9827c6, 0xc575ad1edf48495d, 0xcf201ee0a7257f39, 0x01eec1e4e03051c9,
  0xc3afb007f15feef2, 0x01afa5b1971c270d, 0x3ab4b98fb7633998, 0x3af006765f118f87, 0xb037d1f413daad74,
  0xfe017b2e1cb380e3, 0x36bcb955a8e89e97, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce, 0x510895b1bd7d0424,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x0000a7c0392920f3,
};

// t24_swio12_noled_pr_ee_u4         t24a_swio11_noled_pr_ee_u4        t24a_swio12_noled_pr_ee_u4
static const uint64_t ur_t24_swio11_noled_pr_ee_u4[] = {
  0xefddddda20dd4375, 0x5a58085d4dd6122e, 0xc33d623e2f56532e, 0xcd04bdee3bcc4fde, 0xd8242b4fea448bbb,
  0x277437691f6c40cc, 0xfdafde7ce0cc13e3, 0x8aeb5a3dbe909b3b, 0x9e403dc14e4ad2b3, 0x03dd83c9c060a393,
  0xc3afb007f15bf9e4, 0x01afa5b1971c270d, 0x3ab4bedfb7633998, 0x75e00cecf7a3c8a7, 0x62e1a326a7b55ae8,
  0xfc02f65c396701c7, 0xdaf2e556a3a10f2f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0xde7eb5cf6ab44579, 0x5cea75380b2953e9, 0xa9c08f2f14085a58, 0xb1441337f36d3d0e, 0x911a2c22b8b93571,
  0x54e7ea75663c81a3, 0xfcc4ffef0f7bca18, 0xf82688577a28fe32, 0x30aefa3dc9f81fbf, 0x67d144e32cd6433d,
  0x4e4f257ee6866587, 0x000000004ebaec5d,
};

// t24_swio12_noled_pr_ce            t24a_swio11_noled_pr_ce           t24a_swio12_noled_pr_ce
static const uint64_t ur_t24_swio11_noled_pr_ce[] = {
  0xe2777777569d6668, 0x69612a72a1d606d2, 0xa7b7e61f17f6c1b9, 0x410e0db194263bd7, 0x7e63c7f746d2e264,
  0xc64ee9bbd0675141, 0xbfdfaa4cffee9827, 0x4fe4f7f55ae90901, 0xbbd152d7e7994e42, 0x7cf72df36f19cde2,
  0x3a7f06d7de403dcf, 0xd1cc580a802623dc, 0x19e3af173b41f464, 0xf2e556a3a27b71cb, 0x9546bb90873f04da,
  0xcaed52df57673a8a, 0x2256c6f5f4109359, 0xfd75cf6ab4457944, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04,
  0x7f36cf5b31dbfdea, 0x440b93571b144133, 0xab31e40c7d0468b3, 0x966b219e985a0dfb, 0x734332c3b3e8a271,
  0x5baf38e641e792bf,
};

// t24_swio12_noled_pr_ce_u4         t24a_swio11_noled_pr_ce_u4        t24a_swio12_noled_pr_ce_u4
static const uint64_t ur_t24_swio11_noled_pr_ce_u4[] = {
  0xdb777768837551eb, 0x2d2c08329bac5f8f, 0x0cf5e4327e169137, 0xae0f8ec179332b7a, 0x1090a87bb7e3f62c,
  0xf8c9dd323a103d64, 0xc3ff6bf79f60b304, 0x3921e317eb38a421, 0x45f715101e7994e0, 0xdfa2cbc25f886c24,
  0x9d5f19cc98be8b8d, 0xdafbc807b9ef9ee5, 0x015004c47b874fe0, 0xe2e7683e8c9a398b, 0xd4744f6e39633c75,
  0x7210e7e09b5e5caa, 0x5beaece75152a8d7, 0xdebe82126b395daa, 0xed5688af28844ad8, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0xeb663b7fbd551698, 0x6ae36288266fe6d9, 0x0347223458457172, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac, 0x16ba9c9e4afdcd0c,
  0x00000000000375c2,
};

// t24_swio12_noled_pr_ee_ce         t24a_swio11_noled_pr_ee_ce        t24a_swio12_noled_pr_ee_ce
static const uint64_t ur_t24_swio11_noled_pr_ee_ce[] = {
  0x267bbbbba1bad562, 0xcb4b164e1a5ac0db, 0xde9db8ef31ad0bdd, 0x22f8fb2341419ac1, 0x4da5f0ba1c1b64cd,
  0x3bb02f4c8d86a67f, 0xdafde7f76a609f19, 0xf7f54721d210c7ff, 0x643fcf329c0702d4, 0xf6b5d3df378aef45,
  0x201ee0a725721e0f, 0xeec1e4e039c5c9cf, 0xd7d839015a56f201, 0xd7d2d8cb8e1386e1, 0x39d5e9c752970c00,
  0xe3af4353b4e28e21, 0x616ba31167b55b71, 0x2700bd96cbe701c7, 0xd4b327b9e546c113, 0x7210e7e09b5e5caa,
  0x5beaece75152a8d7, 0xdebe82126b395daa, 0xed5688af28844ad8, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xeb663b7fbd551698, 0x6ae36288266fe6d9, 0x40d1c88d16688172, 0x19e985a0dfbab31e, 0x2c3b3e8a271966b2,
  0x72ea72792bf73433, 0x00000000000a69aa,
};

// t24_swio12_noled_pr_ee_ce_u4      t24a_swio11_noled_pr_ee_ce_u4     t24a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t24_swio11_noled_pr_ee_ce_u4[] = {
  0x3f7777689f68cc7f, 0x5a5861c8e358c776, 0x991d2b648401b6ee, 0x11c2960d33083276, 0xb34b49fe0f8eec7b,
  0xbb9f7ad3947d19c1, 0x21ff3f002609f193, 0x7ea8f7da425adffb, 0x0f3cca7169276e31, 0x2fc4361222fb8a88,
  0x317d155d7fd165e1, 0xb90f07fb5841ef99, 0xe2e4e7900f705392, 0x2b7900f760f2701c, 0x09c370ebec1c80ad,
  0x4b86006be96c65c7, 0x7147109ceaf4e3a9, 0xdaadb8f1d7a1a9da, 0xf380e3b0b5d188b3, 0xa3608993805ecb65,
  0xaf2e556a5993dcf2, 0xa9546bb90873f04d, 0x9caed52df57673a8, 0x42256c6f5f410935, 0xdfd75cf6ab445794,
  0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x37f36cf5b31dbfde, 0x22b8b93571b14413, 0xeacc79035a9c1a2c,
  0xde1ef79430a9cfd4, 0xaef451fc65f989ff, 0x7b93f03f7ff04d10, 0xc659ac867a615df4, 0xfdcd0ccb0ecfa289,
  0x027e74f799079e4a,
};

/*
 * t24_swio11_lednop_pr              t24_swio12_lednop                 t24_swio12_lednop_pr
 * t24a_swio11_lednop                t24a_swio11_lednop_pr             t24a_swio12_lednop
 * t24a_swio12_lednop_pr
 */
static const uint64_t ur_t24_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x4840f7ffcfbb3f01, 0xfc807bb243be5ba0, 0xa52623dc3a7f075f, 0xa8fa4398b016f74d,
  0x71cb1823af173b08, 0x136bcb955a95982f, 0xea2a551aee421cfc, 0x20272bb54b7d5d9c, 0x12b97a5fd0424d70,
  0xf5ae7b55a22bca21, 0x7a96165362ce80f3, 0x0517d14085a6ae75, 0x2099bf9b69e8754e, 0xd1fc68b34406ed8a,
  0xe985a0dfbab31e40, 0x3b3e8a271966b219, 0x641e792bf734332c, 0x0000000007c80056,
};

// t24_swio12_lednop_pr_u4           t24a_swio11_lednop_pr_u4          t24a_swio12_lednop_pr_u4
static const uint64_t ur_t24_swio11_lednop_pr_u4[] = {
  0x889bbbbb45d8ad4e, 0xe5a588561b7589ee, 0xb1fbebfc2e44335a, 0x90b8918ebd2282fd, 0x1e5c7c5eecf74447,
  0xf8c9ddf23ac8233f, 0x1effdac99f5f7304, 0x0f720077cb6f6909, 0x943dc3a7f064d790, 0xbe731602cb29a3de,
  0x9823af47ced10a31, 0x2cf6c45e91500ffd, 0x4daf2e556afadc0f, 0xa8a9546bb90873f0, 0x809caed52df57673,
  0x4ae5e97f410935c0, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516,
  0x8b93571b1441337f, 0xb31e40eda1a2c22b, 0x87bde50c2a73f53a, 0xbd147f197e627ff7, 0xe4fc0fdffc13442b,
  0x966b219e98577d1e, 0x734332c3b3e8a271, 0x7c9e315241e792bf,
};

// t24_swio12_lednop_pr_ee           t24a_swio11_lednop_pr_ee          t24a_swio12_lednop_pr_ee
static const uint64_t ur_t24_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0x2e5a58085d68ac24, 0x69ed0bd1835f5653, 0x7779a097bd53763c, 0xfbc5ec8569fd4891,
  0xf8c9dda67bf4ee09, 0x35bfdac99f4b5304, 0x43b8aeb5a3dbe908, 0x3939e403dc14e4ae, 0x5e403dd83c9c060a,
  0xe1b875f600fe2ba9, 0x330035f4b632e384, 0xbce756978f76ec67, 0xae875e00cedf2237, 0x1c7637b4770e7b55,
  0x72ffc02f65c39670, 0xf04daf2e556a3ac1, 0x73a8a9546bb90873, 0xc0809caed52df576, 0x844ae5e97f410935,
  0xcfd6b9ed5688af28, 0xd5ea58594d8b3a03, 0x38145f4502169ab9, 0x288266fe6da7a1d5, 0xd0d166881726ae36,
  0xc2d06fdd598f2076, 0x9f45138cb3590cf4, 0x0f3c95fb9a19961d, 0x000000053e2a7292,
};

// t24_swio12_lednop_pr_ee_u4        t24a_swio11_lednop_pr_ee_u4       t24a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t24_swio11_lednop_pr_ee_u4[] = {
  0xde4ddddda2447032, 0x72d2c042f42eb05e, 0xf4d2ec01e97c49b5, 0x299c7e19e2f53647, 0x05642b4fea42f6f2,
  0x4ee9dad8e29caa2d, 0xfee01cfa5a9827c6, 0x8aeb5a331e90835b, 0x9e403dc14e4ad82b, 0x03dd83c9c07a5393,
  0x875f600fe2b2ebe4, 0x035f4b632e384e1b, 0x756977276e1f7330, 0xebd0d4ec7aa35f0e, 0xc4428c6fcf6ab5d0,
  0xfe017b2d97ce038e, 0x38be909e546c1197, 0x0873f04daf2e556a, 0xf57673a8a9546bb9, 0x0935c0809caed52d,
  0xaf28844ae5e97f41, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x41337f36c648ab7f,
  0xa2c22b8b93571b14, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc,
  0xe8a271966b219e98, 0xe792bf734332c3b3, 0x0000009d72cdec85,
};

// t24_swio12_lednop_pr_ce           t24a_swio11_lednop_pr_ce          t24a_swio12_lednop_pr_ce
static const uint64_t ur_t24_swio11_lednop_pr_ce[] = {
  0xe2777777569d2d3a, 0x69612a7217d606d2, 0x15ac1d4c17f6c1b9, 0x0872a18dbad14dee, 0xd8ff4bba36971322,
  0x64eeb4bd3f647f1d, 0xfdfaa4cffce9827c, 0xa54f7f55ae908517, 0xf45e9ffcf329c84a, 0x3dcb7cdbc67378ae,
  0x9fc1b5f7900f77c9, 0x731602f51920f70e, 0xf1d78b9db22a3b86, 0x72ab51d749b8e58c, 0xa35dc8439f826d79,
  0x76a96fabb39d454a, 0x4bfa0849ae0404e5, 0x6ab445794422572f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca,
  0x31dbfdeaa8b48edc, 0x71b1441337f36c64, 0xc7d0468b3440b935, 0xe985a0dfbab31e40, 0x3b3e8a271966b219,
  0x641e792bf734332c, 0x000000000b75248e,
};

// t24_swio12_lednop_pr_ce_u4        t24a_swio11_lednop_pr_ce_u4       t24a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t24_swio11_lednop_pr_ce_u4[] = {
  0xedbbbbb441baba31, 0xcb4b020cb4562fc7, 0x3f7a5ef9bf85a44d, 0x2b83a9bc77001bbd, 0x5b64217eedf8fd8b,
  0xf8c9dd667ad14051, 0x43ff6bf79fcad304, 0x3852e317eb38a421, 0x45f715101e7994e0, 0x7fa2cbc25f886c24,
  0x9d5f19cc98be8a6b, 0xdafbc807bbe49ee5, 0x017a8c907b874fe0, 0xc5ced9151dc3398b, 0xa8eba4dc72c678eb,
  0xe421cfc136bcb955, 0xb7d5d9cea2a551ae, 0x0424d7020272bb54, 0x22bca2112b97a5fd, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xa2099bf9b63218ed, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375f18aea7,
};

// t24_swio12_lednop_pr_ee_ce        t24a_swio11_lednop_pr_ee_ce       t24a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t24_swio11_lednop_pr_ee_ce[] = {
  0x75fbbbbba1baa80b, 0xcb4b164e11fac7a5, 0xab076c7d4379122d, 0x071b7515eb95be4b, 0x1c33e17439e95d7f,
  0x776c4ee4e69c6257, 0xdafde7ffe4c13e32, 0xf7f546e4d213a7ff, 0x951f9e65380e50fc, 0xed6ba8ca6f15de8a,
  0x403dc14e4add2c1f, 0xdd83c9c06be3939e, 0xafb07202b727e403, 0xafa5b1971c270dc3, 0x73abd38d7dae1801,
  0xc75e00ced2f91a62, 0x607c476b4f6ab6e3, 0x9c02f65c396701c7, 0x36bcb955ae31e90c, 0xa2a551aee421cfc1,
  0x0272bb54b7d5d9ce, 0x2b97a5fd0424d702, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xb63218edfef5545a, 0x5c9ab8d8a2099bf9, 0xc790347223459a20, 0xac867a616837eeac, 0x0ccb0ecfa289c659,
  0x9f38ba9c9e4afdcd, 0x00000000000000a6,
};

// t24_swio12_lednop_pr_ee_ce_u4     t24a_swio11_lednop_pr_ee_ce_u4    t24a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t24_swio11_lednop_pr_ee_ce_u4[] = {
  0x8fddddda27da1f68, 0x96961872e0d631dd, 0xaccf717a09006dbb, 0x88e151c560b45817, 0xd989a4ff07c7763d,
  0x3ba3afad882d9391, 0x643fe7f1ba609f19, 0x2fd51efb4846bbff, 0x80f3cca716931046, 0x12fc4361222fb8a8,
  0xc98be8bd4efd165e, 0x9594b83fdac20f7c, 0xe717273c807b829c, 0x721fc807bb079380, 0x384e1b875f60e405,
  0x935c30035f4b632e, 0xc7aa35f0e757a71b, 0x9ed56dc78ebd0d4e, 0x2f9c071d888518df, 0x951b044c9c02f65b,
  0x6d7972ab52cfa427, 0x454aa35dc8439f82, 0x04e576a96fabb39d, 0x572f4bfa0849ae04, 0x75cf6ab445794422,
  0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0x6c6431dbfdeaa8b4, 0xb93571b1441337f3, 0x79035a9c1a2c22b8,
  0xf79430a9cfd4eacc, 0x51fc65f989ffde1e, 0xf03f7ff04d10aef4, 0xac867a615df47b93, 0x0ccb0ecfa289c659,
  0x176799079e4afdcd, 0x000000000000013f,
};

// t24_swio13_noled_pr               t24a_swio13_noled                 t24a_swio13_noled_pr
static const uint64_t ur_t24_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0xa4484dbfffcfbb3e, 0xe7bc807ba213be5b, 0x4d38ad71ee1d3f83, 0xb868c9a398b016f7,
  0xfee39630475e2e76, 0xf826d7972ab52b2b, 0x39d454aa35dc8439, 0x6b395daa5beaa6fb, 0x442255abdebe8212,
  0xde7eb5cf6ab44579, 0x5cea75380b2953e9, 0xa9c08bf714085a58, 0xb1441337f36d3d0e, 0xc81a3f8d166880dd,
  0x433d30b41bf75663, 0x658767d144e32cd6, 0xcacc83cf257ee686, 0x000000000007c801,
};

// t24a_swio13_noled_pr_u4
static const uint64_t ur_t24_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8bf82, 0xb5cb4b10ac4ceb05, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426e965444,
  0x27c64ee989d5a20d, 0x10caff6b267dfc98, 0x807ba5f1df2d07d2, 0xa711ee1d3f83e83c, 0x7bd9cc580b2ca632,
  0xfb30475e8f9d9ef4, 0x3cb3dbb864d2a01f, 0xc136bcb955aaad50, 0xcea2a551aee421cf, 0x59caed52df5537d9,
  0x2112ad5ef5f41093, 0xefebae7b55a22bca, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x337f36c8122adfef,
  0xc22b8b93571b1441, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x442bbd147f197e62, 0x7d1ee4fc0fdffc13,
  0xa271966b219e9857, 0x92bf734332c3b3e8, 0x0000f93e9e5241e7,
};

// t24a_swio13_noled_pr_ee
static const uint64_t ur_t24_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xfbbcd07c59b0b402, 0x4b3f764eb4fea4d9,
  0xf8c9dde4bb4cd1db, 0xbeffdac99f8ad304, 0xe95c575ad1994909, 0x9c9cf201ee0a7256, 0x7e403dd83c9c072f,
  0xe1b875f600fe2b72, 0x330035f4b632e384, 0xae73ab4bbf96ec67, 0xae875e00ced37235, 0x0e3b11923e927b55,
  0xa97fe017b2e1cb38, 0xfc136bcb955a8e89, 0x9cea2a551aee421c, 0x359caed52df5537d, 0xa2112ad5ef5f4109,
  0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x1337f36c8122adfe, 0x8b3440b93571b144,
  0x837eeacc7903b686, 0x289c659ac867a616, 0xe4afdcd0ccb0ecfa, 0x000014f849149079,
};

// t24a_swio13_noled_pr_ee_u4
static const uint64_t ur_t24_swio13_noled_pr_ee_u4[] = {
  0xfdddddda20dd4375, 0x5cb4b010ba9bac6c, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea4d9f,
  0xe3277437691f6c40, 0x3bfdafde7ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x672bb54b7d54df67, 0x844ab57bd7d0424d,
  0xb3bcb9ed5688af28, 0xb4b5fe2353c314de, 0x7a1d53811e5e2810, 0x6ae36288266fe6da, 0x0347223458457172,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac,
  0xd8ba9c9e4afdcd0c, 0x0000000000009d75,
};

// t24a_swio13_noled_pr_ce
static const uint64_t ur_t24_swio13_noled_pr_ce[] = {
  0x5eeeeeeead3a422f, 0x72d2c254e78fac78, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7eef85dc4c,
  0xf193ba7ef717d91b, 0xbff7ea933ee4e609, 0x94069efeaf7a422f, 0x5de8b43ff9e65390, 0xc67b96f9b78ce6f1,
  0x0e9fc1887f201ee4, 0x40731602e95108f7, 0xc678ebc5cec37d1f, 0xbcb955a8e89adc72, 0xa551aee421cfc136,
  0xed52df5537d9cea2, 0xad5ef5f4109359ca, 0xae7b55a22bca2112, 0xa6c529e1a778efeb, 0xa6194f43aa7020ee,
  0x6d90218edfef5545, 0x1726ae36288266fe, 0x63c818fa08d16688, 0xd6433d30b41bf756, 0x86658767d144e32c,
  0x5539cc83cf257ee6, 0x00000000000002dd,
};

// t24a_swio13_noled_pr_ce_u4
static const uint64_t ur_t24_swio13_noled_pr_ce_u4[] = {
  0x5bbbbbb441baa80b, 0x9b9696041b0aac1b, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fdd369fb,
  0x04f8c9ddb13b515a, 0x2175ff6bf79f53d3, 0xe03870e317ea8024, 0x2445f715101e7994, 0xfaffa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807b9319e, 0xc580ba54423dc3a7, 0x3af173b0df47d01c, 0x556a3a26b71cb19e,
  0x6bb90873f04daf2e, 0xb7d54df673a8a954, 0xbd7d0424d672bb54, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e,
  0x53d0ea9c083ba9b1, 0x0863b7fbd5516986, 0xab8d8a2099bf9b64, 0x0d1c88d16115c5c9, 0x50c2a73f53ab31e4,
  0xf197e627ff787bde, 0xfdffc13442bbd147, 0x19e98577d1ee4fc0, 0x2c3b3e8a271966b2, 0xf2ea72792bf73433,
  0x000000000006ebf4,
};

// t24a_swio13_noled_pr_ee_ce
static const uint64_t ur_t24_swio13_noled_pr_ee_ce[] = {
  0x01bbbbbba1baba31, 0xddcb4b164e2e3ac4, 0x9db2ef5e9c2fad0b, 0x669173168a1062fe, 0x89891a7c2e872002,
  0xc64eeb33db1202bc, 0xfffb5fbcf8689827, 0x9f9efea8ce1a4258, 0xd16e47f3cca701ce, 0x83fdad74f7cde2bb,
  0x73c807b829c959c3, 0x807bb079380d0072, 0xb875f60e4057f3bc, 0x0035f4b632e384e1, 0xf90e757a719455c3,
  0xdc78ebd0d4ec8023, 0x38ec3de8f7b9ed56, 0x2264e017b2d97ce0, 0x2ab52cc9ac16a8d8, 0x35dc8439f826d797,
  0x5beaa6fb39d454aa, 0xdebe82126b395daa, 0x6ab44579442255ab, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8,
  0x0431dbfdeaa8b4c3, 0xd5c6c5104cdfcdb2, 0x81a3911a2cd102e4, 0x33d30b41bf75663c, 0x58767d144e32cd64,
  0x25d4e4f257ee6866, 0x000000000029a607,
};

// t24a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t24_swio13_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c123587a, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1de9d8,
  0x93ba55fb61900a3b, 0xf643fe7d0fa609f1, 0x317ea8edd242620f, 0x44079e6538b48ff2, 0xf097e21b09117dc5,
  0xe64c5f45f397e8b2, 0xe4ace1c1fed6107b, 0x06803939e403dc14, 0x2bf9de403dd83c9c, 0x71c270dc3afb0720,
  0xca2ae1801afa5b19, 0x764011fc873abd38, 0xdcf6ab6e3c75e86a, 0x6cbe701c761ef47b, 0x0b546c1132700bd9,
  0x136bcb955a9664d6, 0xea2a551aee421cfc, 0x9caed52df5537d9c, 0x112ad5ef5f410935, 0xfebae7b55a22bca2,
  0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x6fe6d90218edfef5, 0x4571726ae3628826, 0xd598f206b5383458,
  0xbc3def2861539fa9, 0x5de8a3f8cbf313ff, 0xf727e07effe09a21, 0x8cb3590cf4c2bbe8, 0xfb9a19961d9f4513,
  0x027e40af320f3c95,
};

// t24_swio13_lednop_pr              t24a_swio13_lednop                t24a_swio13_lednop_pr
static const uint64_t ur_t24_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0xa44848f7ffcfbb3e, 0xe7bc807b97c3be5b, 0xa63d6211ee1d3f83, 0x6f68ee19cc580b7b,
  0x3f71cb1823af173b, 0xfc136bcb955a958b, 0x9cea2a551aee421c, 0x809caed52df5537d, 0x2572497f410935c0,
  0xeb5cf6ab44579442, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0x41337f36d3d0ea9c, 0xa3f8d166880ddb14,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0xc83cf257ee686658, 0x000000007c80e2ec,
};

// t24a_swio13_lednop_pr_u4
static const uint64_t ur_t24_swio13_lednop_pr_u4[] = {
  0xb2b7777768bb1762, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6e96544,
  0xc13e3277792e9b08, 0x4218fff6b267ea54, 0xc807bb4a3be5a0fa, 0x3cf51ee1d3f83e83, 0x8e32398b016594c6,
  0xff6608ebd1f3b7c8, 0x07967b7bddc35403, 0xf826d7972ab5815a, 0x39d454aa35dc8439, 0x01395daa5beaa6fb,
  0x4ae492fe82126b81, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xdb2ec8ab7fbd5516,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0xf26bb149079e4afd, 0x0000000000000001,
};

// t24a_swio13_lednop_pr_ee
static const uint64_t ur_t24_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x3f779a0f8bdc29a9, 0xc333766c569fd49b,
  0x4f8c9ddf23a62519, 0x0e0ffb5933f43f30, 0xce1b8aeb5a332921, 0xf3939e403dc14e4a, 0x17c807bb079380e5,
  0x9c370ebec01fc565, 0xe66006be96c65c70, 0x989cead2e63edd8c, 0xb5d0ebc019db2446, 0x038ec41f476b4f6a,
  0x3e5ff805ecb872ce, 0x7e09b5e5caad474b, 0xce75152a8d77210e, 0x404e576a96faa9be, 0x12b924bfa0849ae0,
  0xf5ae7b55a22bca21, 0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x2099bf9b69e8754e, 0x3459a205c9ab8d8a,
  0xb41bf75663c81db4, 0xd144e32cd6433d30, 0xcf257ee686658767, 0x0000029f00e4a483,
};

// t24a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t24_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222044, 0x6ae5a58085debd63, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd49e2,
  0x7c64ee8f6d12210e, 0xe0ffdc039fa1f982, 0x4f38aeb5a37f1210, 0xb939e403dc14e4ad, 0x7e403dd83c9c067a,
  0xe1b875f600fe2b29, 0x330035f4b632e384, 0xb8e756974ad6e1f7, 0x5d0ebd0d4edd4239, 0x1c763e447194f6ab,
  0x8cbff00bd96cbe70, 0x56a38bb864d2a360, 0xbb90873f04daf2e5, 0x7d54df673a8a9546, 0x424d7020272bb54b,
  0x15e510895c925fd0, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x2099bf9b65d9156f,
  0xd16115c5c9ab8d8a, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a215de8a3f8cbf, 0x2bbe8f727e07effe,
  0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x00000275c216f642,
};

// t24a_swio13_lednop_pr_ce
static const uint64_t ur_t24_swio13_lednop_pr_ce[] = {
  0x2f777777569d6668, 0xb969612a736dd63c, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600ddf0bb8,
  0x04f8c9dd377a0cea, 0x1d2ffbf5499f2973, 0xc848c7cf7f57bd21, 0xbc577a2a5afcf329, 0xbbe49ee5be6de339,
  0x3dc3a7f0621fc807, 0x8ee19cc580a803de, 0x1cb19e3af173b6f6, 0x9b5e5caad474b3f7, 0x5152a8d77210e7e0,
  0xe576a96faa9bece7, 0x924bfa0849ae0404, 0xe7b55a22bca2112b, 0x6165362ce80f3f5a, 0xf8c6085a6ae757a9,
  0x37f36d3d0ea9c09c, 0x3440b93571b14413, 0xbab31e40c7d0468b, 0x1966b219e985a0df, 0xf734332c3b3e8a27,
  0x05baf38e641e792b,
};

// t24a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t24_swio13_lednop_pr_ce_u4[] = {
  0xadddddda20dd4375, 0x4dcb4b020c82560d, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017ee9b4fd,
  0x04f8c9dd0dda47db, 0x2305ff6bf79f95d3, 0xe03850e317ea8024, 0x2445f715101e7994, 0x787fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807bb249e, 0x8b01427af83dc3a7, 0x3af173b0f88ed639, 0xaad47570f71cb19e,
  0xd77210e7e09b5e5c, 0x6faa9bece75152a8, 0x0849ae0404e576a9, 0x22bca2112b924bfa, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0x88266fe6d97618ed, 0x34584571726ae362, 0xcfd4eacc79034722,
  0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf,
  0x000000dd75d8ba9c,
};

// t24a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t24_swio13_lednop_pr_ee_ce[] = {
  0x19bbbbbba1bad562, 0x45b96962c9c34b58, 0xb077a76b53f1ef22, 0xd7f07802c8d05066, 0x4cfe9b4be1743831,
  0x3e3277605e991b0d, 0x8fffb5fbcfeed4c1, 0x05a9efea8d2b2421, 0xde8ac87f9e65380e, 0x3c1fed6ba8ca6f15,
  0x939e403dc14e4ae4, 0xe403dd83c9c07373, 0x0dc3afb07202b4ad, 0x1801afa5b1971c27, 0x1c4273abd38ea52e,
  0x5b71e3af006769c5, 0x01c7616ba31167b5, 0x70cc9c02f65c3967, 0x9f826d7972ab5c63, 0xb39d454aa35dc843,
  0x101395daa5beaa6f, 0x44ae492fe82126b8, 0xdaeb9ed5688af288, 0x520b94b5f3a03cde, 0x691db9e8754e0421,
  0x9b65d863b7fbd551, 0x05c9ab8d8a2099bf, 0xcc790347223459a2, 0x9ac867a616837eea, 0xd0ccb0ecfa289c65,
  0xa6a9cba9c9e4afdc, 0x0000000000000029,
};

// t24a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t24_swio13_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b00b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1c17f,
  0x327773ef5a728fa3, 0xff643fe7e004c13e, 0xc62fd51e04484b5b, 0x5101e7994e2d24ed, 0xbc25f886c2445f71,
  0x53262fa2abaffa2c, 0x725721e0ff6b0846, 0x039b9c9cf201ee0a, 0x15a56f201eec1e4e, 0xb8e1386e1d7d8390,
  0x752970c00d7d2d8c, 0x3b4e28e2139d5e9c, 0x8b3daadb8f1d7803, 0xe1cb380e3b0b5d18, 0x5ae31b8664e017b2,
  0xee421cfc136bcb95, 0xf5537d9cea2a551a, 0x0935c0809caed52d, 0x5794422572497f41, 0x01e6f6d75cf6ab44,
  0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x04cdfcdb2ec31dbf, 0x8b08ae2e4d5c6c51, 0xf53ab31e40d6a706,
  0x7ff787bde50c2a73, 0x442bbd147f197e62, 0x7d1ee4fc0fdffc13, 0xa271966b219e9857, 0x92bf734332c3b3e8,
  0x00009f9d3de641e7,
};

// t24_swio14_noled_pr               t24a_swio14_noled                 t24a_swio14_noled_pr
static const uint64_t ur_t24_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x04843d7ff9f767fb, 0xffc807ba213be5ba, 0xc7afc83dc3a7f075, 0x3e8c9a398b016f74,
  0x6e39630475e2e768, 0xc136bcb955a9584f, 0xcea2a551aee421cf, 0x359d372bb54b7d59, 0xca2112b63f7f4109,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x04cdfcdb3d6e2adf, 0x8fe3459a20376c51,
  0x4c2d06fdd598f206, 0xd9f45138cb3590cf, 0x20f3c95fb9a19961, 0x00000001f2038bb3,
};

// t24a_swio14_noled_pr_u4
static const uint64_t ur_t24_swio14_noled_pr_u4[] = {
  0x937777768bb128ae, 0x6b5cb4b10ac32b1a, 0x8fdcc750e244c886, 0x23c85c4bafad0c9f, 0x918036dbc9bba922,
  0x304f8c9ddfa7a480, 0x909b7ffdac99f31f, 0x7900f702877cb6f6, 0xdf97c3dc3a7f064d, 0xa3114e62c0596536,
  0xffb30475e8f9d96b, 0x81e59edf484f2a01, 0xfc136bcb955ab3ee, 0x9cea2a551aee421c, 0x9359d372bb54b7d5,
  0xbca2112b63f7f410, 0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x104cdfcdb3d6e2ad,
  0x68b08ae2e4d5c6c5, 0x9cfd4eacc7903b68, 0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff,
  0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x0000007c9842d490,
};

// t24a_swio14_noled_pr_ee
static const uint64_t ur_t24_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x4cb9696021706758, 0xa17af5f588f8bd59, 0xbbcd04bdb204842f, 0x3376f4eb4fea4e6f,
  0x8c9ddf23a62519c3, 0xbbfdac99fd9d304f, 0x738aeb5a3dbe9092, 0x939e403dc14e4afe, 0xe403dd83c9c060a3,
  0x1b875f600fe2bfdd, 0x30035f4b632e384e, 0x0e7569731f6ec673, 0xe875e00cecbe231f, 0xc7606fa3e827b55a,
  0x2ffc02f65c396701, 0x826d7972ab51d13d, 0x9d454aa35dc8439f, 0x6b3a6e576a96fab3, 0x9442256c7efe8212,
  0xf1dfd75cf6ab4457, 0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x099bf9b67adc55bf, 0x459a205c9ab8d8a2,
  0x41bf75663c81db43, 0x144e32cd6433d30b, 0xf257ee686658767d, 0x000029f00e4a483c,
};

// t24a_swio14_noled_pr_ee_u4
static const uint64_t ur_t24_swio14_noled_pr_ee_u4[] = {
  0x7dddddda20dd4375, 0x5cb4b010ba9bac73, 0xbd867ac47c5eaca6, 0x779a097bdc77989f, 0x99b048569fd49cdf,
  0xc64ee86ed23ed881, 0x77fb5fbcf9c19827, 0x6715d6b47b7d2136, 0x273c807b829c95a5, 0xc807bb079380c147,
  0x1b875f600fe2b7f3, 0x30035f4b632e384e, 0x4e75697dbf6ec673, 0xd0ebc019d9ef4791, 0x8ec5c3464d4f6ab5,
  0x5ff805ecb872ce03, 0x09b5e5caad47421e, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0x779fad73daad115e, 0x173a9d4e02ca54fa, 0xaa7023cbc5021696, 0x6c5104cdfcdb4f43, 0xe4468b08ae2e4d5c,
  0x1539fa9d598f2068, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c, 0x4c2bbe8f727e07ef, 0xd9f45138cb3590cf,
  0x5393c95fb9a19961, 0x0000000013aebb17,
};

// t24a_swio14_noled_pr_ce
static const uint64_t ur_t24_swio14_noled_pr_ce[] = {
  0x27777777569d6668, 0xb969612a72a1d612, 0xd7a7b7e61f17f6c1, 0x64410e0db194263b, 0x417e63c7f75226e2,
  0x27c64ee9bbd06751, 0x01bfdfaa4cffee98, 0x424fe4f7f55ae909, 0xe2bbd152d7e7994e, 0xcf7cf72df36f19cd,
  0xdc3a7f06d7de403d, 0x64d1cc580a802623, 0xcb19e3af173b41f4, 0xdaf2e556a3a27b71, 0x8a9546bb90873f04,
  0x74dcaed52df5673a, 0x844ad8fdfd0424d6, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3, 0x551698653d0ea9c0,
  0x6fe6d9eb663b7fbd, 0x6881726ae3628826, 0x75663c818fa08d16, 0x32cd6433d30b41bf, 0xee686658767d144e,
  0x0b75e71cc83cf257,
};

// t24a_swio14_noled_pr_ce_u4
static const uint64_t ur_t24_swio14_noled_pr_ce_u4[] = {
  0xb7777768837551eb, 0x6e5a5810653758d5, 0xf419ebc864fc2d22, 0x595c1f1d82f26656, 0xc8212150f77567ec,
  0x09f193ba6474207a, 0x4387fed7ef3ec166, 0xc07243c62fd67148, 0x488bee2a203cf329, 0x1bbf459784bf10d8,
  0xcb3abe3399317d17, 0xc1b5f7900f73df3d, 0x1602a00988f70e9f, 0xebc5ced07d193473, 0x55a8e89edc72c678,
  0xaee421cfc136bcb9, 0xb54b7d59cea2a551, 0x3f7f4109359d372b, 0x7b55a22bca2112b6, 0xc529e1a778efebae,
  0x194f43aa7020eea6, 0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x40d1c88d16115c5c, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b, 0x85aea72792bf7343,
  0x000000000000dd70,
};

// t24a_swio14_noled_pr_ee_ce
static const uint64_t ur_t24_swio14_noled_pr_ee_ce[] = {
  0xb7bbbbbba1bad562, 0xbb96962c9c34b58d, 0x83bd3b71de635a17, 0x9a45f1f646828335, 0xfe9b4be17439b6c9,
  0x3277605e991b0d4c, 0xffb5fbcfeed4c13e, 0xa9efea8e43a4218f, 0x8ac87f9e65380e05, 0x1fed6ba7be6f15de,
  0x9e403dc14e4ae43c, 0x03dd83c9c0738b93, 0xc3afb07202b4ade4, 0x01afa5b1971c270d, 0x4273abd38ea52e18,
  0xe3c75e86a769c51c, 0x8ec2d74622cf6ab6, 0x264e017b2d97ce03, 0x55a9664f73ca8d82, 0xaee421cfc136bcb9,
  0xb54b7d59cea2a551, 0x3f7f4109359d372b, 0x7b55a22bca2112b6, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x90347223459a205c, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x9cba9c9e4afdcd0c, 0x0000000000029a6a,
};

// t24a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t24_swio14_noled_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b0d4, 0xed323a56c908036d, 0xf623852c1a661064, 0x83669693fc1da9d8,
  0x27773ef5a728fa33, 0xf643fe7e004c13e3, 0x62fd51efb484b5bf, 0x101e7994e2d24edc, 0xc25f886c2445f715,
  0x3262fa2abaffa2cb, 0x25721e0ff6b083df, 0x39c5c9cf201ee0a7, 0x5a56f201eec1e4e0, 0x8e1386e1d7d83901,
  0x52970c00d7d2d8cb, 0xb4e28e2139d5e9c7, 0x67b55b71e3af4353, 0xcbe701c7616ba311, 0xe546c1132700bd96,
  0x9b5e5caad4b327b9, 0x5152a8d77210e7e0, 0xce9b95daa5beace7, 0x10895b1fbfa0849a, 0x77f5d73daad115e5,
  0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0xcdfcdb3d6cc76ff7, 0x08ae2e4d5c6c5104, 0x3ab31e40d6a7068b,
  0xf787bde50c2a73f5, 0x2bbd147f197e627f, 0x1ee4fc0fdffc1344, 0x71966b219e98577d, 0xbf734332c3b3e8a2,
  0x009f9d3de641e792,
};

// t24_swio14_lednop_pr              t24a_swio14_lednop                t24a_swio14_lednop_pr
static const uint64_t ur_t24_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0xa04840f7ffcfbb3f, 0x5ffc807bb243be5b, 0x4da52623dc3a7f07, 0x08a8fa4398b016f7,
  0x2f71cb1823af173b, 0xfc136bcb955a9598, 0x9cea2a551aee421c, 0x0809d372bb54b7d5, 0x112b97d8f410935c,
  0x3f5ae7b55a22bca2, 0x57a96165362ce80f, 0xe0517d14085a6ae7, 0xa2099bf9b69e8754, 0x0d1fc68b34406ed8,
  0x9e985a0dfbab31e4, 0xc3b3e8a271966b21, 0x6641e792bf734332, 0x00000000007c8005,
};

// t24a_swio14_lednop_pr_u4
static const uint64_t ur_t24_swio14_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a588561b758d, 0xfdb1fbebfc2e4433, 0x4790b8918ebd2282, 0x9f8f2e3e2f775244,
  0x827c64eef91d6411, 0x848f7fed64cfafb9, 0xc807b9003be5b7b4, 0xef4a1ee1d3f8326b, 0x18df398b016594d1,
  0xfecc11d7a3e76885, 0x07967b622f48a807, 0xf826d7972ab57d6e, 0x39d454aa35dc8439, 0x1013a6e576a96fab,
  0x22572fb1e82126b8, 0x6d75cf6ab4457944, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf9b632455bfdeaa8,
  0x5c5c9ab8d8a2099b, 0xd598f2076d0d1611, 0xbc3def2861539fa9, 0x5de8a3f8cbf313ff, 0xf727e07effe09a21,
  0x8cb3590cf4c2bbe8, 0xfb9a19961d9f4513, 0x03e4f18a920f3c95,
};

// t24a_swio14_lednop_pr_ee
static const uint64_t ur_t24_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0xa65cb4b010bad158, 0x78d3da17a306beac, 0x9beef3412f7aa6ec, 0x13f78bd90ad3fa93,
  0x09f193bb4cf7e9dc, 0x106b7fb5933e96a6, 0x5c87715d6b47b7d2, 0x147273c807b829c9, 0x52bc807bb079380c,
  0x09c370ebec01fc57, 0xce66006be96c65c7, 0x6f79cead2f1eedd8, 0xab5d0ebc019dbe44, 0xe038ec6f68ee1cf6,
  0x82e5ff805ecb872c, 0xe7e09b5e5caad475, 0xace75152a8d77210, 0xe0404e9b95daa5be, 0x10895cbec7a0849a,
  0x79fad73daad115e5, 0x3abd4b0b29b16740, 0xa7028be8a042d357, 0xc5104cdfcdb4f43a, 0xda1a2cd102e4d5c6,
  0x985a0dfbab31e40e, 0xb3e8a271966b219e, 0x41e792bf734332c3, 0x00000000a7c54e52,
};

// t24a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t24_swio14_lednop_pr_ee_u4[] = {
  0x84dddddda2447032, 0x6ae5a58085e85d62, 0x8fe9a5d803d2f893, 0xe45338fc33c5ea6c, 0x2d05642b4fea4a11,
  0xc64ee9dad8e29caa, 0x5bfee01cfa5a9827, 0x2b8aeb5a331e9083, 0x939e403dc14e4ad8, 0xe403dd83c9c07a53,
  0x1b875f600fe2b2eb, 0x30035f4b632e384e, 0x0e756977276e1f73, 0xd0ebd0d4ec7aa35f, 0x8ec4428c6fcf6ab5,
  0x97fe017b2d97ce03, 0x6a38be909e546c11, 0xb90873f04daf2e55, 0x52df5673a8a9546b, 0x424d7020274dcaed,
  0x8af28844ae5f63d0, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x441337f36c648ab7,
  0x1a2c22b8b93571b1, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc13442bbd147f197, 0x8577d1ee4fc0fdff,
  0x3e8a271966b219e9, 0x5e792bf734332c3b, 0x00000009d72cdec8,
};

// t24a_swio14_lednop_pr_ce
static const uint64_t ur_t24_swio14_lednop_pr_ce[] = {
  0x27777777569d2d3a, 0xb969612a7217d612, 0xee15ac1d4c17f6c1, 0x220872a18dbad14d, 0x1dd8ff4bba913713,
  0x7c64eeb4bd3f647f, 0x17fdfaa4cffce982, 0x4aa54f7f55ae9085, 0xaef45e9ffcf329c8, 0xc93dcb7cdbc67378,
  0x0e9fc1b5f7900f77, 0x86731602f51920f7, 0x8cf1d78b9db22a3b, 0x7972ab51d749b8e5, 0x4aa35dc8439f826d,
  0x6e576a96fab39d45, 0xfb1e82126b81013a, 0xf6ab445794422572, 0xa5af9d01e6f6d75c, 0xcf43aa70210a905c,
  0x431dbfdeaa8b48ed, 0x571b1441337f36c6, 0x0c7d0468b3440b93, 0x9e985a0dfbab31e4, 0xc3b3e8a271966b21,
  0xe641e792bf734332, 0x0000000000b75248,
};

// t24a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t24_swio14_lednop_pr_ce_u4[] = {
  0xdbbbbbb441baba31, 0x9b9696041968ac6a, 0x7a7ef4bdf37f0b48, 0x1657075378ee0037, 0xa2b6c842fddd59fb,
  0x09f193baccf5a280, 0x4287fed7ef3f95a6, 0xc070a5c62fd67148, 0x488bee2a203cf329, 0xd6ff459784bf10d8,
  0xcb3abe3399317d14, 0xc1b5f7900f77c93d, 0x1602f51920f70e9f, 0xd78b9db22a3b8673, 0xab51d749b8e58cf1,
  0x5dc8439f826d7972, 0x6a96fab39d454aa3, 0x82126b81013a6e57, 0x445794422572fb1e, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x1441337f36c6431d, 0x11a2c22b8b93571b, 0x4e7ea75663c81a39,
  0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff, 0x7d144e32cd6433d3, 0xe4f257ee68665876,
  0x00000006ebe315d4,
};

// t24a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t24_swio14_lednop_pr_ee_ce[] = {
  0x23bbbbbba1baa80b, 0x5b96962c9c23f586, 0x97560ed8fa86f224, 0xfe0e36ea2bd72b7c, 0xae3867c2e87188ba,
  0x64eed89dc9cd38c4, 0xffb5fbcfffc9827c, 0xf9efea8dc9a4274f, 0x152a3f3cca701ca1, 0x3fdad75194de2bbd,
  0x3c807b829c95ba58, 0x07bb079380d7c727, 0x875f60e4056e4fc8, 0x035f4b632e384e1b, 0xc4e757a71afb5c30,
  0xc78ebc019da5f234, 0x8ec0f88ed69ed56d, 0x193805ecb872ce03, 0x826d7972ab5c63d2, 0x9d454aa35dc8439f,
  0x013a6e576a96fab3, 0x2572fb1e82126b81, 0xd75cf6ab44579442, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a,
  0x36c6431dbfdeaa8b, 0x0b93571b1441337f, 0x98f2068e4468b344, 0x3590cf4c2d06fdd5, 0xa19961d9f45138cb,
  0xd3e7175393c95fb9, 0x0000000000000014,
};

// t24a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t24_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda27da1f68, 0x772d2c30e5c1ac35, 0x2f599ee2f41200db, 0x7b11c2a38ac168b0, 0x23b31349fe0ed4ec,
  0x3277475f5b105b27, 0xfec87fcfe374c13e, 0x8c5faa3df6908d77, 0x5101e7994e2d2620, 0xbc25f886c2445f71,
  0xf99317d17a9dfa2c, 0x392b29707fb5841e, 0x01ce2e4e7900f705, 0x0ae43f900f760f27, 0x5c709c370ebec1c8,
  0x3726b86006be96c6, 0x9d8f546be1ceaf4e, 0xbf3daadb8f1d7a1a, 0xb65f380e3b110a31, 0x4f2a3608993805ec,
  0x04daf2e556a59f48, 0x3a8a9546bb90873f, 0x0274dcaed52df567, 0x4ae5f63d0424d702, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0x1726ae36288266fe, 0x8f206b5383458457,
  0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de, 0x3590cf4c2bbe8f72, 0xa19961d9f45138cb,
  0xe2ecf320f3c95fb9, 0x0000000000000027,
};

// t24_swio15_noled_pr               t24a_swio15_noled                 t24a_swio15_noled_pr
static const uint64_t ur_t24_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0xa4484dbfffcfbb3e, 0xe7bc807ba213be5b, 0x4d38ad71ee1d3f83, 0xb868c9a398b016f7,
  0xfee39630475e2e76, 0xf826d7972ab52b2b, 0x39d454aa35dc8439, 0x6b3a6e576a96fabb, 0xa2112ad5fefe8212,
  0xef3f5ae7b55a22bc, 0x2e753a9c0594a9f4, 0x54e045fb8a042d2c, 0xd8a2099bf9b69e87, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x32c3b3e8a271966b, 0xe56641e792bf7343, 0x000000000003e400,
};

// t24a_swio15_noled_pr_u4
static const uint64_t ur_t24_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8bf82, 0xb5cb4b10ac4ceb13, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426ecf7444,
  0x27c64ee989d5a20d, 0x10caff6b267dfc98, 0x807ba5f1df2d07d2, 0xa711ee1d3f83e83c, 0x7bd9cc580b2ca632,
  0xfb30475e8f9d9ef4, 0x3cb3dbb864d2a01f, 0xc136bcb955aaad50, 0xcea2a551aee421cf, 0x59d372bb54b7d5d9,
  0x108956aff7f41093, 0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x99bf9b6409156ff7,
  0x6115c5c9ab8d8a20, 0xfa9d598f2076d0d1, 0x3ffbc3def2861539, 0xa215de8a3f8cbf31, 0xbe8f727e07effe09,
  0x5138cb3590cf4c2b, 0xc95fb9a19961d9f4, 0x00007c9f4f2920f3,
};

// t24a_swio15_noled_pr_ee
static const uint64_t ur_t24_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xbbbcd07c59b0b402, 0x4b3f764eb4fea448,
  0xf8c9dde4bb4cd1db, 0xbeffdac99f8ad304, 0xe95c575ad1994909, 0x9c9cf201ee0a7256, 0x7e403dd83c9c072f,
  0xe1b875f600fe2b72, 0x330035f4b632e384, 0xae73ab4bbf96ec67, 0xae875e00ced37235, 0x0e3b11923e927b55,
  0xa97fe017b2e1cb38, 0xfc136bcb955a8e89, 0x9cea2a551aee421c, 0x359d372bb54b7d5d, 0x5108956aff7f4109,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x099bf9b6409156ff, 0x459a205c9ab8d8a2,
  0x41bf75663c81db43, 0x144e32cd6433d30b, 0xf257ee686658767d, 0x00000a7c248a483c,
};

// t24a_swio15_noled_pr_ee_u4
static const uint64_t ur_t24_swio15_noled_pr_ee_u4[] = {
  0x5dddddda20dd4375, 0x5cb4b010ba9bac24, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea448b,
  0xe3277437691f6c40, 0x3bfdafde7ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x674dcaed52df5767, 0x42255abfdfd0424d,
  0x59de5cf6ab445794, 0x5a5aff11a9e18a6f, 0x3d0ea9c08f2f1408, 0x3571b1441337f36d, 0x81a3911a2c22b8b9,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82688577a28, 0x433d30aefa3dc9f8, 0x658767d144e32cd6,
  0xec5d4e4f257ee686, 0x0000000000004eba,
};

// t24a_swio15_noled_pr_ce
static const uint64_t ur_t24_swio15_noled_pr_ce[] = {
  0xa6eeeeeead3a422f, 0x72d2c254e78fac0d, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7ee8da5c4c,
  0xf193ba7ef717d91b, 0xbff7ea933ee4e609, 0x94069efeaf7a422f, 0x5de8b43ff9e65390, 0xc67b96f9b78ce6f1,
  0x0e9fc1887f201ee4, 0x40731602e95108f7, 0xc678ebc5cec37d1f, 0xbcb955a8e89adc72, 0xa551aee421cfc136,
  0x72bb54b7d5d9cea2, 0x56aff7f4109359d3, 0xd73daad115e51089, 0x536294f0d3bc77f5, 0xd30ca7a1d5381077,
  0x36c810c76ff7aaa2, 0x0b93571b1441337f, 0x31e40c7d0468b344, 0x6b219e985a0dfbab, 0x4332c3b3e8a27196,
  0xaa9ce641e792bf73, 0x000000000000016e,
};

// t24a_swio15_noled_pr_ce_u4
static const uint64_t ur_t24_swio15_noled_pr_ce_u4[] = {
  0x9bbbbbb441baa80b, 0x9b9696041b0aac5f, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fddbf1fb,
  0x04f8c9ddb13b515a, 0x2175ff6bf79f53d3, 0xe03870e317ea8024, 0x2445f715101e7994, 0xfaffa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807b9319e, 0xc580ba54423dc3a7, 0x3af173b0df47d01c, 0x556a3a26b71cb19e,
  0x6bb90873f04daf2e, 0xd52df57673a8a954, 0xfdfd0424d674dcae, 0x6ab44579442255ab, 0xa53c34ef1dfd75cf,
  0x29e8754e041dd4d8, 0x0431dbfdeaa8b4c3, 0xd5c6c5104cdfcdb2, 0x068e4468b08ae2e4, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x7effe09a215de8a3, 0x0cf4c2bbe8f727e0, 0x961d9f45138cb359, 0x7975393c95fb9a19,
  0x00000000000375fa,
};

// t24a_swio15_noled_pr_ee_ce
static const uint64_t ur_t24_swio15_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baba31, 0xbb96962c9c5c7581, 0x3b65debd385f5a17, 0xcd22e62d1420c5fd, 0x262469f0ba1c1b64,
  0x193baccf6c480af2, 0xffed7ef3e1a2609f, 0x7e7bfaa338690963, 0x45b91fcf329c073a, 0x0ff6b5d3df378aef,
  0xcf201ee0a725670e, 0x01eec1e4e03401c9, 0xe1d7d839015fcef2, 0x00d7d2d8cb8e1386, 0xe439d5e9c651570c,
  0x71e3af4353b2008f, 0xe3b0f7a3dee7b55b, 0x8993805ecb65f380, 0xaad4b326b05aa360, 0xd77210e7e09b5e5c,
  0xaa5beaece75152a8, 0xfbfa0849ace9b95d, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0x0863b7fbd5516986, 0xab8d8a2099bf9b64, 0x0347223459a205c9, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x4ba9c9e4afdcd0cc, 0x0000000000534c0e,
};

// t24a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t24_swio15_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c12358c7, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1f1dd8,
  0x93ba55fb61900a3b, 0xf643fe7d0fa609f1, 0x317ea8edd242620f, 0x44079e6538b48ff2, 0xf097e21b09117dc5,
  0xe64c5f45f397e8b2, 0xe4ace1c1fed6107b, 0x06803939e403dc14, 0x2bf9de403dd83c9c, 0x71c270dc3afb0720,
  0xca2ae1801afa5b19, 0x764011fc873abd38, 0xdcf6ab6e3c75e86a, 0x6cbe701c761ef47b, 0x0b546c1132700bd9,
  0x136bcb955a9664d6, 0xea2a551aee421cfc, 0x9d372bb54b7d5d9c, 0x08956aff7f410935, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x37f36c810c76ff7a, 0x22b8b93571b14413, 0xeacc79035a9c1a2c,
  0xde1ef79430a9cfd4, 0xaef451fc65f989ff, 0x7b93f03f7ff04d10, 0xc659ac867a615df4, 0xfdcd0ccb0ecfa289,
  0x013f205799079e4a,
};

// t24_swio15_lednop_pr              t24a_swio15_lednop                t24a_swio15_lednop_pr
static const uint64_t ur_t24_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0xa44848f7ffcfbb3e, 0xe7bc807b97c3be5b, 0xa63d6211ee1d3f83, 0x6f68ee19cc580b7b,
  0x3f71cb1823af173b, 0xfc136bcb955a958b, 0x9cea2a551aee421c, 0x809d372bb54b7d5d, 0x895c958f410935c0,
  0xfad73daad115e510, 0xbd4b0b29b1674079, 0x0273e8a042d3573a, 0x104cdfcdb4f43aa7, 0x68fe3459a20376c5,
  0xf4c2d06fdd598f20, 0x1d9f45138cb3590c, 0x320f3c95fb9a1996, 0x000000001f2038bb,
};

// t24a_swio15_lednop_pr_u4
static const uint64_t ur_t24_swio15_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6ecf744,
  0xc13e3277792e9b08, 0x4218fff6b267ea54, 0xc807bb4a3be5a0fa, 0x3cf51ee1d3f83e83, 0x8e32398b016594c6,
  0xff6608ebd1f3b7c8, 0x07967b7bddc35403, 0xf826d7972ab5815a, 0x39d454aa35dc8439, 0x013a6e576a96fabb,
  0x12b92b1e82126b81, 0x6bae7b55a22bca21, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x36cbb22adfef5545,
  0x8b93571b1441337f, 0xb31e40eda1a2c22b, 0x87bde50c2a73f53a, 0xbd147f197e627ff7, 0xe4fc0fdffc13442b,
  0x966b219e98577d1e, 0x734332c3b3e8a271, 0x7c9aec5241e792bf,
};

// t24a_swio15_lednop_pr_ee
static const uint64_t ur_t24_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x17779a0f8bdc29a9, 0xc333766c569fd489,
  0x4f8c9ddf23a62519, 0x0e0ffb5933f43f30, 0xce1b8aeb5a332921, 0xf3939e403dc14e4a, 0x17c807bb079380e5,
  0x9c370ebec01fc565, 0xe66006be96c65c70, 0x989cead2e63edd8c, 0xb5d0ebc019db2446, 0x038ec41f476b4f6a,
  0x3e5ff805ecb872ce, 0x7e09b5e5caad474b, 0xce75152a8d77210e, 0x404e9b95daa5beae, 0x44ae4ac7a0849ae0,
  0xfd6b9ed5688af288, 0x5ea58594d8b3a03c, 0x8139f4502169ab9d, 0x88266fe6da7a1d53, 0x0d166881726ae362,
  0x2d06fdd598f2076d, 0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x000000a7c0392920,
};

// t24a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t24_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222044, 0x6ae5a58085debd60, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd485e,
  0x7c64ee8f6d12210e, 0xe0ffdc039fa1f982, 0x4f38aeb5a37f1210, 0xb939e403dc14e4ad, 0x7e403dd83c9c067a,
  0xe1b875f600fe2b29, 0x330035f4b632e384, 0xb8e756974ad6e1f7, 0x5d0ebd0d4edd4239, 0x1c763e447194f6ab,
  0x8cbff00bd96cbe70, 0x56a38bb864d2a360, 0xbb90873f04daf2e5, 0x52df57673a8a9546, 0x424d7020274dcaed,
  0x45794422572563d0, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x88266fe6d976455b,
  0x34584571726ae362, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff,
  0x7d144e32cd6433d3, 0xbcf257ee68665876, 0x0000009d7085bd90,
};

// t24a_swio15_lednop_pr_ce
static const uint64_t ur_t24_swio15_lednop_pr_ce[] = {
  0xd3777777569d6668, 0xb969612a736dd606, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600dd1b4b8,
  0x04f8c9dd377a0cea, 0x1d2ffbf5499f2973, 0xc848c7cf7f57bd21, 0xbc577a2a5afcf329, 0xbbe49ee5be6de339,
  0x3dc3a7f0621fc807, 0x8ee19cc580a803de, 0x1cb19e3af173b6f6, 0x9b5e5caad474b3f7, 0x5152a8d77210e7e0,
  0xe9b95daa5beaece7, 0xe4ac7a0849ae0404, 0xb9ed5688af28844a, 0x58594d8b3a03cfd6, 0x3e3182169ab9d5ea,
  0xcdfcdb4f43aa7027, 0xcd102e4d5c6c5104, 0xeeacc79031f411a2, 0xc659ac867a616837, 0xfdcd0ccb0ecfa289,
  0x016ebce399079e4a,
};

// t24a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t24_swio15_lednop_pr_ce_u4[] = {
  0xcdddddda20dd4375, 0x4dcb4b020c82562f, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017eedf8fd,
  0x04f8c9dd0dda47db, 0x2305ff6bf79f95d3, 0xe03850e317ea8024, 0x2445f715101e7994, 0x787fa2cbc25f886c,
  0xe59d5f19cc98be8b, 0xf0621fc807bb249e, 0x8b01427af83dc3a7, 0x3af173b0f88ed639, 0xaad47570f71cb19e,
  0xd77210e7e09b5e5c, 0xaa5beaece75152a8, 0x0849ae0404e9b95d, 0x88af28844ae4ac7a, 0x3a03cdedaeb9ed56,
  0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xa2099bf9b65d863b, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375d762ea7,
};

// t24a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t24_swio15_lednop_pr_ee_ce[] = {
  0x4bbbbbbba1bad562, 0x5b96962c9c34b58f, 0x077a76b53f1ef224, 0x7f07802c8d05066b, 0xfe9b4be17439e95d,
  0x3277605e991b0d4c, 0xffb5fbcfeed4c13e, 0xa9efea8d2b24218f, 0x8ac87f9e65380e05, 0x1fed6ba8ca6f15de,
  0x9e403dc14e4ae43c, 0x03dd83c9c0737393, 0xc3afb07202b4ade4, 0x01afa5b1971c270d, 0x4273abd38ea52e18,
  0x71e3af006769c51c, 0xc7616ba31167b55b, 0xcc9c02f65c396701, 0x826d7972ab5c6370, 0x9d454aa35dc8439f,
  0x13a6e576a96fabb3, 0x2b92b1e82126b810, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xd97618edfef5545a, 0x726ae36288266fe6, 0x1e40d1c88d166881, 0xb219e985a0dfbab3, 0x332c3b3e8a271966,
  0xaa72ea72792bf734, 0x0000000000000a69,
};

// t24a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t24_swio15_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b10b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1e17f,
  0x327773ef5a728fa3, 0xff643fe7e004c13e, 0xc62fd51e04484b5b, 0x5101e7994e2d24ed, 0xbc25f886c2445f71,
  0x53262fa2abaffa2c, 0x725721e0ff6b0846, 0x039b9c9cf201ee0a, 0x15a56f201eec1e4e, 0xb8e1386e1d7d8390,
  0x752970c00d7d2d8c, 0x3b4e28e2139d5e9c, 0x8b3daadb8f1d7803, 0xe1cb380e3b0b5d18, 0x5ae31b8664e017b2,
  0xee421cfc136bcb95, 0x4b7d5d9cea2a551a, 0x0935c0809d372bb5, 0x15e510895c958f41, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x41337f36cbb0c76f, 0xa2c22b8b93571b14, 0xfd4eacc79035a9c1,
  0x9ffde1ef79430a9c, 0xd10aef451fc65f98, 0xdf47b93f03f7ff04, 0x289c659ac867a615, 0xe4afdcd0ccb0ecfa,
  0x000027e74f799079,
};

/*
 * t44_swio10_noled_pr               t44a_swio10_noled                 t44a_swio10_noled_pr
 * t84a_swio10_noled                 t84a_swio10_noled_pr
 */
static const uint64_t ur_t44_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0xd242695ffcfbb3f2, 0x0c43fa8e989df2c4, 0x6f74da54431c72ac, 0x73b6f68c9e398b01,
  0x58b3f71cb1823af1, 0x21cfc136bcb955a9, 0x7d59cea2a551aee4, 0xd7d0424d672bb54b, 0xab445794422552fb,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0x5455bfdeaa8b4c32, 0x01bb65118bf9b62b, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0x7c80052483cf257e,
};

// t44a_swio10_noled_pr_u4           t84a_swio10_noled_pr_u4
static const uint64_t ur_t44_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x2775fed64cfc7b98, 0xf7a8f371df2c22a4, 0xa6ee8148e3956064, 0x87c476b1cc580b2c,
  0xa01ffb30475e8f9d, 0x09503cb3dbe8167a, 0x873f04daf2e556a2, 0xf5673a8a9546bb90, 0x5f4109359caed52d,
  0xad115e5108954bef, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x5156ff7aaa2d30ca, 0x83cd94462fe6d8ad,
  0x1db434596745c9ab, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81,
  0x32c3b3e04e32cd64, 0x2cdd7ee792bf7343, 0x0000000000000f93,
};

// t44a_swio10_noled_pr_ee
static const uint64_t ur_t44_swio10_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x5ab5cb4b10898beb, 0xbdebed05df4b5a1b, 0x3d22e1ff166c2d00, 0x6d2cfdd932282ffb,
  0x13e3277792ed3347, 0x26fbff6b267e2b4c, 0x56e960ff6b466524, 0x7a8f83660d00f51e, 0x86e1d7d803f8afe7,
  0xcc00d7d2d8cb8e13, 0x139d5a5d7d8e87dc, 0xe875e86a7697c8d3, 0xe3b03e23b5a7b55a, 0x65ff805ecb65f380,
  0x6a38b59f5fd51b04, 0xb90873f04daf2e55, 0x52df5673a8a9546b, 0xbef5f4109359caed, 0x3daad115e5108954,
  0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x8ad5156ff7aaa2d3, 0x5c9ab8d94462fe6d, 0x663c81db43459a20,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0x4f8491d7ee792bf7, 0x0000000000000001,
};

// t44a_swio10_noled_pr_ee_u4
static const uint64_t ur_t44_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda24477d6, 0xad72d2c42262fac6, 0xd05d0837d2d686d6, 0xa45c3fe2cd85a017, 0xa59fbb264505ff67,
  0x7c64eed86df23f69, 0xbeffee01cfc56982, 0xba583fdad1994909, 0xa3e0d983403d4795, 0xb875f600fe2bf9de,
  0x0035f4b632e384e1, 0xe756975f63a1f733, 0x1d7a1a9da5f234c4, 0xec0f88ed69ed56ba, 0x7fe017b2d97ce038,
  0x8e2d67d7f546c119, 0x421cfc136bcb955a, 0xb7d59cea2a551aee, 0xbd7d0424d672bb54, 0x6ab445794422552f,
  0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0xb5455bfdeaa8b4c3, 0xae0f365118bf9b62, 0x207e50d1659d1726,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a1e44cf0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35,
  0xde6df0009e4afdcd, 0x0000000000000275,
};

// t44a_swio10_noled_pr_ce
static const uint64_t ur_t44_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x4727fed64cfc8798, 0x2e0e7eeb1fd72448, 0x39d7736bc00fcf2f, 0xea3e493dcb2eb593,
  0x09ebe471cab03c17, 0xcec3e23b58e62c05, 0x3d500ffd99e3af47, 0xd4412a0796b7740b, 0x7210e7e09b5e5caa,
  0xa5beace75152a8d7, 0x7debe82126b395da, 0x7b55a22bca2112a9, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x2b518edfef5545a6, 0x6ae0f365118bf9b6, 0xc81db434597ab972, 0x34a1854e7ea75663, 0xdfbe2343c899e04e,
  0x271966b219e985a0, 0xc95fb9a19961d9f0, 0x0000dd74faeebf73,
};

// t44a_swio10_noled_pr_ce_u4
static const uint64_t ur_t44_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x2114f7fdc039fdf7, 0x2eb48c16aa3ea13d, 0xb09117dc6883cf2f, 0xbb3e7e8b2f097e21,
  0xdcb0435933547736, 0x1cab03c17ea3e493, 0xb58e62c0509ebe47, 0xd99e3af47cec3e23, 0x796b7740b3d500ff,
  0x09b5e5caad4412a0, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82, 0x778efebae7b55a22,
  0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x5118bf9b62b518ed, 0xd1659d1726ae0f36, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0x009e4afdcd0ccb0e,
  0x0000000375f249f0,
};

// t44a_swio10_noled_pr_ee_ce
static const uint64_t ur_t44_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447705, 0x972d2c42b345ac13, 0x2eac1db1f50fc5d0, 0x67372e21050b3639, 0x334a7ee7126824cc,
  0x8c9dd6c5b939267d, 0xaffb8073e337304f, 0x2d58fea8fe724205, 0xb5cc03f9e5e5d691, 0x1bb58147c99cebb9,
  0xd98397dea3cad2b0, 0xfb07202b727ea3e0, 0xfa5b1971c270dc3a, 0x73ab5c2fbfad801a, 0x0ebd0d4ed2f91a62,
  0xd81f11dad3daaf4e, 0x09c02f65b2f9c071, 0x7a7967d7f546c114, 0x210e7e09b5e5caad, 0x5beace75152a8d77,
  0xdebe82126b395daa, 0xb55a22bca2112a97, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0xb518edfef5545a61,
  0xae0f365118bf9b62, 0x81f9434597ab9726, 0x4a1854e7ea75663c, 0xfbe2343c899e04e3, 0x71966b219e985a0d,
  0x95fb9a19961d9f02, 0x000009f864e0013c,
};

// t44a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t44_swio10_noled_pr_ee_ce_u4[] = {
  0xfdddddda2e7ccc7f, 0xee5a58b8174eac58, 0xedc9dac829b1b64c, 0xdd7d93f23f4debc4, 0x1c5a2c88789b1e0b,
  0x4eee7debd651f837, 0xfef879fadf9827c6, 0x547d51e564849dbf, 0x3441e797979da6dd, 0x9784bf10d8488bee,
  0x66a8ee6d7575ff45, 0xe569580ddaccf1f2, 0x3f51f06cc1cbef51, 0x386e1d7d839015b9, 0xd6c00d7d2d8cb8e1,
  0x7c8d3139d5ae17df, 0xed57a7075e86a769, 0x7ce038ec0f88ed69, 0xa3608a04e017b2d9, 0xf2e556bd3cb3ebfa,
  0x9546bb90873f04da, 0x9caed52df5673a8a, 0x08954bef5f410935, 0x7f5d73daad115e51, 0x077536294f0d3bc7,
  0xaa2d30ca7a1d5381, 0x5fcdb15a8c76ff7a, 0xce8b9357079b288c, 0x75663c819a7c68b2, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x0013f132d591ba79,
};

/*
 * t44_swio10_lednop_pr              t44a_swio10_lednop                t44a_swio10_lednop_pr
 * t84a_swio10_lednop                t84a_swio10_lednop_pr
 */
static const uint64_t ur_t44_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0xc4d242195ffcfbb3, 0xac0c43fa8ff21df2, 0x016f74c803df1c72, 0xf173b5ac8fa0398b,
  0xd4ace7b71cb1823a, 0x7210e7e09b5e5caa, 0xa5beace75152a8d7, 0xe82126b8101395da, 0xa22bca2112ad5d2f,
  0x62ce80f3f5ae7b55, 0x85a6ae757a961653, 0xd3d0ea9c0d8ff140, 0x9a20376ca2317f36, 0xfdd598f2068fe345,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x001f2049249079e4,
};

// t44a_swio10_lednop_pr_u4          t84a_swio10_lednop_pr_u4
static const uint64_t ur_t44_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x840f7fed64cfc069, 0x9ef51e713be58454, 0x2983da011c72ac0c, 0xc98a383e731602cb,
  0x500ffd9823af47ce, 0x844c0f2cf6ed6e81, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0x10935c0809caed52,
  0x15e5108956ae97f4, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0xa2317f36d843156f,
  0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40eda1, 0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc,
  0x9f0271966b219e98, 0xf73c95fb9a19961d, 0x00000000f93814eb,
};

// t44a_swio10_lednop_pr_ee
static const uint64_t ur_t44_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xd0bd7afaebcbda99, 0xe0fe17b3d9024217, 0x33376f4c8a0bf993,
  0xf8c9ddf23a62519c, 0x2bbfdac99fd9d304, 0xf9d07fb5a309e909, 0x47c1b307377a8f2b, 0x70ebec01fc5695bd,
  0x006be96c65c709c3, 0xcead2f018758ce66, 0x0ebc019d81446f79, 0xd8c8a8ee1cf6ab5d, 0xff00bd970e59c071,
  0x9b5e5caad475d04b, 0x5152a8d77210e7e0, 0x101395daa5beace7, 0x12ad5d2fe82126b8, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x6db0862adfef5545, 0x205c9ab8d94462fe, 0x75663c81db43459a,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x053e01c9d7ee792b,
};

// t44a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t44_swio10_lednop_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0x6475a2e933e3e6d6, 0x22e1ff178bcd8c77, 0xae34c902282ffb3d,
  0xf193ba82b7a71ce7, 0xceffb8073e706609, 0x5d60ff6b46652426, 0x8f83660d00f51e56, 0xe1d7d803f8ace1fa,
  0x00d7d2d8cb8e1386, 0x9d5a5ff70e87dccc, 0x3af4353b6948f243, 0xb098a383f3daad74, 0xff805ecb65f380e3,
  0x1c5f40b3d51b0465, 0x8439f826d7972ab5, 0x6fab39d454aa35dc, 0x0849ae0404e576a9, 0x8af28844ab574bfa,
  0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x5118bf9b6c218ab7, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x009e4afdcd0ccb0e, 0x000000013af56570,
};

// t44a_swio10_lednop_pr_ce
static const uint64_t ur_t44_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x48474bfed64cf94b, 0x2f2e0e7ceb1fd724, 0x2673aee6d7ddafcf, 0x2fd470527b965d6b,
  0x176fcbe8e3956078, 0x3e764c51c1f398b0, 0x740a807feccf1d7a, 0xaad508981e5add6b, 0xd77210e7e09b5e5c,
  0xdaa5beace75152a8, 0x2fe82126b8101395, 0x55a22bca2112ad5d, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52,
  0x8edfef5545a476e7, 0x71b288c5fcdb6109, 0x03b6868b3440b935, 0x67a616837eeacc79, 0x587659289c659ac8,
  0xfbafdcf257ee6866, 0x000000000016eb63,
};

// t44a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t44_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x212577fdc039fd9d, 0x2eb4995aaa3ea13d, 0xb09117dc6883cf2f, 0xba547e8b2f097e21,
  0xdcb0435933547736, 0x1cab03c17ea38293, 0x0f9cc580bb7e5f47, 0x6678ebd1f3b2628e, 0xf2d6eb5ba05403ff,
  0x04daf2e556a844c0, 0x3a8a9546bb90873f, 0xc0809caed52df567, 0x08956ae97f410935, 0xdb5d73daad115e51,
  0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xe6db084c76ff7aaa, 0x45c9ab83cd94462f, 0x5663c81f94345967,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e,
  0x00dd7daf7c002792,
};

// t44a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t44_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0x77b1c771de63e2e8, 0x339b97168a1062f9, 0x89891a7389341266,
  0xc64ee8f6d81610fc, 0x7ffee01cf8689827, 0xa7ec7f547f39212c, 0xb5fbadf9e5e5d693, 0x1bb58147c99cebb9,
  0xd98397dea3cae438, 0xfb07202b74bea3e0, 0xfa5b1971c270dc3a, 0x73ab5c7eefad801a, 0x075e86a76d291e48,
  0xd84c51c1f9ed57a7, 0x09c02f65b2f9c071, 0xbd3dd02cf546c114, 0x90873f04daf2e556, 0x2df5673a8a9546bb,
  0x410935c0809caed5, 0x115e5108956ae97f, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e,
  0x94462fe6db084c76, 0xd165eae5c9ab83cd, 0x39fa9d598f207e50, 0x0f22678138d28615, 0xc867a616837ef88d,
  0x86658767c09c659a, 0xe3d6f8004f257ee6, 0x0000000000000027,
};

// t44a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t44_swio10_lednop_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x27605e95b2406d93, 0xf75f64fa7791a8b6, 0xdc15c7221e26c782,
  0x3277475f4050591d, 0x7ff7c3cfa1f4c13e, 0x9551f54795921310, 0xdc6883cf2f2f3b7f, 0x8b2f097e21b09117,
  0xf266a8ee6d7ea77e, 0x51e5721c0ddaccf1, 0xba5f51f06cc1cbef, 0xe1386e1d7d839015, 0x77d6c00d7d2d8cb8,
  0xb6948f2439d5ae3f, 0xfcf6abd383af4353, 0xd97ce038ec2628e0, 0x7aa3608a04e017b2, 0x6d7972ab5e9ee816,
  0x454aa35dc8439f82, 0x404e576a96fab39d, 0x4ab574bfa0849ae0, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded,
  0x91db9e8754e04215, 0x6d84263b7fbd5516, 0xe4d5c1e6ca2317f3, 0x8f20669f1a2cb3a2, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7e07effe09a1e44c, 0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xfcde0b646e9e4afd,
  0x0000000000000004,
};

/*
 * t44_swio11_noled_pr               t44_swio12_noled                  t44_swio12_noled_pr
 * t44a_swio11_noled                 t44a_swio11_noled_pr              t44a_swio12_noled
 * t44a_swio12_noled_pr              t84a_swio11_noled                 t84a_swio11_noled_pr
 * t84a_swio12_noled                 t84a_swio12_noled_pr
 */
static const uint64_t ur_t44_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x843d7ff9f767fba9, 0x7ff51e213be5ba04, 0xe98f5f9238e5581d, 0xd07d1934731602de,
  0x9edc72c608ebc5ce, 0x9f826d7972ab52b0, 0xb39d454aa35dc843, 0x0849ace576a96fab, 0x22bca2112b637afa,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xdb288c5fcdb3d6e2, 0x3c81a3f8d166880d,
  0x6433d30b41bf7566, 0x332c3b2c944e32cd, 0x38b9241e792bf734, 0x0000000000001f20,
};

/*
 * t44_swio12_noled_pr_u4            t44a_swio11_noled_pr_u4           t44a_swio12_noled_pr_u4
 * t84a_swio11_noled_pr_u4           t84a_swio12_noled_pr_u4
 */
static const uint64_t ur_t44_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0x9b7ffdac99f31f30, 0x5ea382877cb6f690, 0x6dbf2fa38e558193, 0xd746229cc580b2ca,
  0x03ff6608ebd1f3b2, 0xdd03cb3dbe909e54, 0x39f826d7972ab567, 0xbb39d454aa35dc84, 0xa0849ace576a96fa,
  0xa22bca2112b637af, 0xe1a778efebae7b55, 0x43aa7020eea6c529, 0x2adfef5545a6194f, 0x79b288c5fcdb3d6e,
  0xb6868b2ce8b93570, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0x7ff04d0f226781fc, 0x7a615df47b93f03f,
  0x58767c09c659ac86, 0x5bafdcf257ee6866, 0x00000000000f9308,
};

// t44_swio12_noled_pr_ee            t44a_swio11_noled_pr_ee           t44a_swio12_noled_pr_ee
static const uint64_t ur_t44_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xfb96962110d8ac6e, 0x97a34f78fd08a661, 0x1fc2de45a14df8f6, 0x60cda991417fddfc,
  0x193ba627571c1b37, 0x27fb5933f6ea609f, 0x2707fb5a39112130, 0x7c1b3060a7a8f2b7, 0x0ebec01fc57fbbd4,
  0x06be96c65c709c37, 0xead2e63c758ce660, 0xebc019d97c463e1c, 0xc0df47d04f6ab5d0, 0xf805ecb872ce038e,
  0xdaf2e556a3a27a5f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x18bf9b67adc55bfd, 0xd166881726ae3651, 0xd06fdd598f2076d0,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x00000029f39c75fb,
};

// t44_swio12_noled_pr_ee_u4         t44a_swio11_noled_pr_ee_u4        t44a_swio12_noled_pr_ee_u4
static const uint64_t ur_t44_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2446f43, 0x5cb4b10886eeb0f2, 0x20da8ba306b9b5ab, 0x22e1fad0ada0963c, 0xa70cd4d91417f791,
  0xf193ba02b792eca1, 0xbaffb8073f1ca609, 0x43c1fed68c3da425, 0x1f06cc1e95ea3cae, 0xc3afb007f15ba5f5,
  0x01afa5b1971c270d, 0x3ab4bd4a1d0fb998, 0x75e86a769c51c427, 0x616ba31167b55ae8, 0xff00bd96cbe701c7,
  0x1c593dcf2a3608cb, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0xafa0849ace576a96, 0x55a22bca2112b637,
  0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d, 0x03f2868b2ce8b935,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0x1f5f8004f257ee68, 0x00000000000013af,
};

// t44_swio12_noled_pr_ce            t44a_swio11_noled_pr_ce           t44a_swio12_noled_pr_ce
static const uint64_t ur_t44_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x95bfdac99f387304, 0xc1c72763faaf8908, 0x75dcdae87df9e5e5, 0x8ebe4f72cbad64ce,
  0x24dd1c72ac0d67fa, 0xb2d746229cc580b2, 0x5403ff6678ebd1f3, 0x59f740f2d6ee909e, 0x210e7e09b5e5caad,
  0xbeaece75152a8d77, 0xebe82126b395daa5, 0xd5688af28844ad8d, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0xb663b7fbd5516986, 0xb83cd94462fe6d9e, 0x076d0d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d,
  0xc659ac867a616837, 0x57ee686658767c09, 0x000dd739f3afdcf2,
};

// t44_swio12_noled_pr_ce_u4         t44a_swio11_noled_pr_ce_u4        t44a_swio12_noled_pr_ce_u4
static const uint64_t ur_t44_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x2604ffb8073f6ea6, 0xeb48a7aaa3eb2224, 0x09117dc6883cf2f2, 0x66ffe8b2f097e21b,
  0x96086b266a8ee6d7, 0x95606b3fd475f27b, 0x14e62c059126e8e3, 0x33c75e8f9d96ba31, 0x96b77484f2a01ffb,
  0x4daf2e556acfba07, 0xa8a9546bb90873f0, 0x359caed52df57673, 0x9442256c6f5f4109, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x2317f36cf5b31dbf, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0x13c95fb9a19961d9,
  0x0000006ebe8e2e00,
};

// t44_swio12_noled_pr_ee_ce         t44a_swio11_noled_pr_ee_ce        t44a_swio12_noled_pr_ee_ce
static const uint64_t ur_t44_swio11_noled_pr_ee_ce[] = {
  0x8cdddddd41445541, 0xb969621588fd636d, 0x77a76b53f1fe2e84, 0xe6f50ea2bd72b6b0, 0xb8e19ce24d076d8c,
  0x93ba82b4c89ce312, 0xffb8073fff2609f1, 0xfb1fd51ba5484e9f, 0x7548fe797975a4a1, 0xed6051f2673aee6d,
  0x30738fa8f2bf9c06, 0x60e405695bd47c1b, 0x4b632e384e1b875f, 0x756b8a95f5b0035f, 0xebd0d4ed38a3884e,
  0x0b5d188b3daaf4e0, 0x3805ecb65f380e3b, 0xd3c4f73ca8d82281, 0x0873f04daf2e556b, 0xf57673a8a9546bb9,
  0x5f4109359caed52d, 0xab44579442256c6f, 0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xb31dbfdeaa8b4c32,
  0xc1e6ca2317f36cf5, 0x3f2868b2f572e4d5, 0x430a9cfd4eacc790, 0x7c46879133c09c69, 0x32cd6433d30b41bf,
  0xbf734332c3b3e04e, 0x0009f9843c002792,
};

// t44_swio12_noled_pr_ee_ce_u4      t44a_swio11_noled_pr_ee_ce_u4     t44a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t44_swio11_noled_pr_ee_ce_u4[] = {
  0x17eeeeed173e304a, 0x96962e052eeb0d4c, 0xa6474d8c286d933b, 0xaf537c94c4d05c9d, 0x891f910f12d4c17b,
  0xee957eb4e4037044, 0xef879f6bb9827c64, 0xa3ea8e572423fcff, 0xd1079e5e5e77a6aa, 0x5e12fc4361222fb8,
  0xcd51dcdafe72fd16, 0xcafe701bb599e3e4, 0x6f51f06cc1ce3ea3, 0x386e1d7d839015a5, 0xd6c00d7d2d8cb8e1,
  0xe28e2139d5ae2a57, 0xf6abd383af4353b4, 0x7ce038ec2d74622c, 0xa3608a04e017b2d9, 0xbcb955af4f13dcf2,
  0xa551aee421cfc136, 0x72bb54b7d5d9cea2, 0x0895b1bd7d0424d6, 0x7f5d73daad115e51, 0x077536294f0d3bc7,
  0xaa2d30ca7a1d5381, 0x5fcdb3d6cc76ff7a, 0xce8b9357079b288c, 0x75663c819a7c68b2, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x0013f169f591ba79,
};

/*
 * t44_swio11_lednop_pr              t44_swio12_lednop                 t44_swio12_lednop_pr
 * t44a_swio11_lednop                t44a_swio11_lednop_pr             t44a_swio12_lednop
 * t44a_swio12_lednop_pr             t84a_swio11_lednop                t84a_swio11_lednop_pr
 * t84a_swio12_lednop                t84a_swio12_lednop_pr
 */
static const uint64_t ur_t44_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x4840f7ffcfbb3f01, 0xd7ff51f243be5ba0, 0xee9b4a4c638e5581, 0x761151f48731602d,
  0x305ee39630475e2e, 0x39f826d7972ab52b, 0xbb39d454aa35dc84, 0x9ae0404e576a96fa, 0x94422572f4bfa084,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0xea9c0a2fa2810b4d, 0x376ca2317f36d3d0, 0x98f2068fe3459a20,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0x9000a49079e4afdc, 0x000000000000000f,
};

/*
 * t44_swio12_lednop_pr_u4           t44a_swio11_lednop_pr_u4          t44a_swio12_lednop_pr_u4
 * t84a_swio11_lednop_pr_u4          t84a_swio12_lednop_pr_u4
 */
static const uint64_t ur_t44_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x44ff6b267c3dcc13, 0xd475f0ef96e81212, 0x9126e8e3956075ff, 0xa8ee19cc580b7ba6,
  0xe39630475e2e76c8, 0x136bcb955a959d26, 0xea2a551aee421cfc, 0x20272bb54b7d5d9c, 0x12b97a5fd0424d70,
  0x6bae7b55a22bca21, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xcdb1922adfef5545, 0x8b9357079b288c5f,
  0xacc7903b6868b2ce, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47,
  0x7ee686658767c09c, 0x00f934d03afdcf25,
};

// t44_swio12_lednop_pr_ee           t44a_swio11_lednop_pr_ee          t44a_swio12_lednop_pr_ee
static const uint64_t ur_t44_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a58844c5f58d, 0xd7da0bac47c5a998, 0x07f0b790d85a017b, 0x59fbb264505ff77f,
  0xc64eef25da668eda, 0xf7fed64cfc569827, 0xd2c1fed68e44484d, 0x1f06cc1829ea3cad, 0xc3afb007f15fcef5,
  0x01afa5b1971c270d, 0x3ab4bafb1d633998, 0x75e00ced2f91a627, 0xb03e23b5a7b55ae8, 0xfe017b2e1cb380e3,
  0x36bcb955a8eba497, 0xa2a551aee421cfc1, 0x0272bb54b7d5d9ce, 0x2b97a5fd0424d702, 0xbae7b55a22bca211,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xdb1922adfef5545a, 0x40b93571b288c5fc, 0xeacc7903b6868b34,
  0x659ac867a616837e, 0xee6866587659289c, 0x029f0923afdcf257,
};

// t44_swio12_lednop_pr_ee_u4        t44a_swio11_lednop_pr_ee_u4       t44a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t44_swio11_lednop_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b1088d2eb0f2, 0x5d23fbb6dd79b5ab, 0xb87eb437656de9b4, 0x685ad04505fde448,
  0x32774ed6cbb4e541, 0xdff700e7c9d4c13e, 0xb83fdad187b4848a, 0xe0d983d2bd479594, 0x75f600fe2b2ebea3,
  0x35f4b632e384e1b8, 0x56977263a1f73300, 0xbd0d4ec7aa35f0e7, 0x4428c6fcf6ab5d0e, 0xe017b2d97ce038ec,
  0x8be909e546c1197f, 0x873f04daf2e556a3, 0x57673a8a9546bb90, 0x935c0809caed52df, 0xf28844ae5e97f410,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x2317f36c648ab7fb, 0x2cb3a2e4d5c1e6ca,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0x13c95fb9a19961d9, 0x000000275d22fe00,
};

// t44_swio12_lednop_pr_ce           t44a_swio11_lednop_pr_ce          t44a_swio12_lednop_pr_ce
static const uint64_t ur_t44_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x1243ffb5933e50e6, 0xcb838e96c7f55f12, 0xce75dcdae1a3f3cb, 0xf51e5f4f72cbad64,
  0x4ca9c638e5581acf, 0xe7688518df398b01, 0x48a807feccf1d7a3, 0xad5f5b81e5adc22f, 0x77210e7e09b5e5ca,
  0xa5beaece75152a8d, 0xe82126b8101395da, 0xd115e510895cbd2f, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x1b288c5fcdb190c7, 0x3b6868b3440b9357, 0x7a616837eeacc790, 0x87659289c659ac86,
  0xbafdcf257ee68665, 0x00000000016ea2fd,
};

// t44_swio12_lednop_pr_ce_u4        t44a_swio11_lednop_pr_ce_u4       t44a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t44_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x26fbffb8073f15a6, 0xeb492baaa3eb2224, 0x09117dc6883cf2f2, 0xb21fe8b2f097e21b,
  0xcb0435933547736b, 0x95606b3fd4797d3d, 0x7ce62c0532a718e3, 0x33c75e8f9da21463, 0x96b708bd22a01ffb,
  0x26d7972ab57d6e07, 0xd454aa35dc8439f8, 0x404e576a96fabb39, 0x2572f4bfa0849ae0, 0xd75cf6ab44579442,
  0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x36c6431dbfdeaa8b, 0x2e4d5c1e6ca2317f, 0xb31e40fca1a2cb3a,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e, 0xfb9a19961d9f0271,
  0x06ebbcdbe0013c95,
};

// t44_swio12_lednop_pr_ee_ce        t44a_swio11_lednop_pr_ee_ce       t44a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t44_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a22582, 0x5cb4b10adf4eb1b6, 0x3a2475e9c2ff1742, 0x737a8647ea29bb8e, 0xa6742e712683b6c6,
  0xc9dd3adacccb5725, 0xffb8073e9b7304f8, 0xfb1fd51ba548419b, 0x77547e797975a431, 0xed6051f2673aee6d,
  0x30738fa8f2b38606, 0x60e405721fd47c1b, 0x4b632e384e1b875f, 0x756b8727f5b0035f, 0xebd0d4ec7aa35f0e,
  0x110a31bf3daaf4e0, 0x3805ecb65f380e3b, 0xd3dd213ca8d82281, 0x0873f04daf2e556b, 0xf57673a8a9546bb9,
  0x0935c0809caed52d, 0xaf28844ae5e97f41, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754,
  0x4462fe6d8c863b7f, 0x165eae5c9ab83cd9, 0x9fa9d598f207e50d, 0xf22678138d286153, 0x867a616837ef88d0,
  0x6658767c09c659ac, 0x15ab8004f257ee68, 0x000000000000027e,
};

// t44_swio12_lednop_pr_ee_ce_u4     t44a_swio11_lednop_pr_ee_ce_u4    t44a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t44_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e6812, 0x96962e0506eb0d4c, 0x599e8335a06d933b, 0x5ea6e5df25b2302f, 0x3fa7221e25a982f7,
  0xbb45fad8935e2723, 0xdf0f3e292609f193, 0x8faa395c9095bfff, 0x883cf2f2f3bb5baa, 0xf097e21b09117dc6,
  0xd51dcdaeeddfe8b2, 0xace181bb599e3e4c, 0xf51f06cc1ce3ea3c, 0x86e1d7d839015c87, 0x6c00d7d2d8cb8e13,
  0xa8d7c39d5ae1c9fd, 0x6abd383af4353b1e, 0xce038ec4428c6fcf, 0x3608a04e017b2d97, 0xcb955af4f7484f2a,
  0x551aee421cfc136b, 0x2bb54b7d5d9cea2a, 0x7a5fd0424d702027, 0x7b55a22bca2112b9, 0x52d7ce80f37b6bae,
  0xe7a1d5381085482e, 0x218edfef5545a476, 0xae0f365118bf9b63, 0x0334f8d1659d1726, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac, 0xf02b2374f257ee68,
  0x00000000000027e3,
};

/*
 * t44_swio13_noled_pr               t44a_swio13_noled                 t44a_swio13_noled_pr
 * t84a_swio13_noled                 t84a_swio13_noled_pr
 */
static const uint64_t ur_t44_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0xa4484dbfffcfbb3e, 0xc0f9ef51e213be5b, 0x2dee9a715af1c72a, 0x5ced70d193473160,
  0x5657fdc72c608ebc, 0x0873f04daf2e556a, 0x4df673a8a9546bb9, 0x0424d672bb54b7d5, 0x8af28844ab57bd7d,
  0xa7d3bcfd6b9ed568, 0xb4b0b9d4ea701652, 0x7a1d538117ee2810, 0x4406ed94462fe6da, 0xbab31e40d1fc68b3,
  0x1966b219e985a0df, 0xfb9a19961d964a27, 0x0f900394920f3c95,
};

// t44a_swio13_noled_pr_u4           t84a_swio13_noled_pr_u4
static const uint64_t ur_t44_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x2195fed64cfbf930, 0x1ea3cbe3be5a0fa4, 0x98ca9c638e5581f4, 0x7bd1ef6731602cb2,
  0x807fecc11d7a3e76, 0xb540f2cf6ee1934a, 0x873f04daf2e556aa, 0xdf673a8a9546bb90, 0x424d672bb54b7d54,
  0xaf28844ab57bd7d0, 0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0xb288c5fcdb2048ab,
  0x868b2ce8b9357079, 0xa9cfd4eacc7903b6, 0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f,
  0x767c09c659ac867a, 0xafdcf257ee686658, 0x0000000007c9f4f3,
};

// t44a_swio13_noled_pr_ee
static const uint64_t ur_t44_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffcd,
  0x3e3277699efd3b82, 0x656ff6b267f4dcc1, 0x695a0ff6b47dd242, 0x51f06cc1cbef51e5, 0xdc3afb007f15b93f,
  0x801afa5b1971c270, 0x39d5a5dfc1d63399, 0x43af006769b91ad7, 0x1d88c91f493daad7, 0xbff00bd970e59c07,
  0x09b5e5caad4744d4, 0x75152a8d77210e7e, 0xce576a96faa9bece, 0x08956af7afa0849a, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x8bf9b6409156ff7a, 0x166881726ae36511, 0x06fdd598f2076d0d,
  0x5138cb3590cf4c2d, 0xe4afdcd0ccb0ecb2, 0x00000a7c54e75fb9,
};

// t44a_swio13_noled_pr_ee_u4
static const uint64_t ur_t44_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0x56b96962110fdd62, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfd08,
  0x7c64eeb62d582932, 0xa6ffee01cf8d6982, 0x38707fb5a38f6909, 0x47c1b3067afa8f2b, 0x70ebec01fc5721fd,
  0x006be96c65c709c3, 0xcead2e514743ee66, 0x1d7a1a9d90047f21, 0xec3de8f7b9ed56ba, 0x7fe017b2d97ce038,
  0x47164d60b546c119, 0x210e7e09b5e5caad, 0xa9bece75152a8d77, 0xa0849ace576a96fa, 0x115e5108956af7af,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0xf365118bf9b64091, 0xe50d1659d1726ae0,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c,
  0xdf0009e4afdcd0cc, 0x0000000000275eea,
};

// t44a_swio13_noled_pr_ce
static const uint64_t ur_t44_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x909f3bfdac99f2eb, 0x5e5c1c4ad63facdc, 0x2673aee6d7ff9f9e, 0x7bd479ba7b965d6b,
  0x02f740a471cab032, 0xa3e767bd1ef67316, 0x1934a807feccf1d7, 0x955aaad503cb5bae, 0x1aee421cfc136bcb,
  0x2df5537d9cea2a55, 0xef5f4109359caed5, 0xb55a22bca2112ad5, 0x529e1a778efebae7, 0x94f43aa7020eea6c,
  0x0218edfef5545a61, 0xc9ab8d94462fe6d9, 0x63c81db43459a205, 0xd6433d30b41bf756, 0x4332c3b2c944e32c,
  0xaa2f9d7ee792bf73, 0x000000000000005b,
};

// t44a_swio13_noled_pr_ce_u4
static const uint64_t ur_t44_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x484cadff700e7f4d, 0xe5d693025547d7ba, 0x361222fb8d1079e5, 0xd7eb3fd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479ba, 0x1ef6731602f740a4, 0xfeccf1d7a3e767bd, 0x03cb5bae1934a807,
  0xfc136bcb955aaad5, 0x9cea2a551aee421c, 0x359caed52df5537d, 0xa2112ad5ef5f4109, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x462fe6d90218edfe, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0x2792bf734332c3b3,
  0x000000dd72717c00,
};

// t44a_swio13_noled_pr_ee_ce
static const uint64_t ur_t44_swio13_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac0d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d046d8,
  0x193ba76b6c4a72a6, 0xfff700e7f76a609f, 0xb563faa390e90863, 0xd7ba1fe797975a40, 0x6ed6051f2673aee6,
  0xb306807a8f2b74a0, 0xf60e4057f3bd47c1, 0xf4b632e384e1b875, 0xe756b828bf5b0035, 0x0ebd0d4ec8023f90,
  0xd87bd1ef73daaf4e, 0x09c02f65b2f9c071, 0xbd3c4d60b546c114, 0x90873f04daf2e556, 0x54df673a8a9546bb,
  0xd0424d672bb54b7d, 0x88af28844ab57bd7, 0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0x3b7fbd551698653d,
  0xf365118bf9b64086, 0x9434597ab9726ae0, 0x854e7ea75663c81f, 0x2343c899e04e34a1, 0x66b219e985a0dfbe,
  0xb9a19961d9f02719, 0x027e204e0013c95f,
};

// t44a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t44_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f138ec1,
  0xc9dddfbdb0c89e8c, 0xffef879f801304f8, 0xd547d51efb484b5b, 0xe3441e797979dced, 0x59784bf10d8488be,
  0x266a8ee6d7185ff4, 0x1e56e940ddaccf1f, 0xe77a8f83660d00f5, 0x09c370ebec1c80af, 0x7eb6006be96c65c7,
  0x90047f21cead7051, 0xe7b55e9c1d7a1a9d, 0x65f380e3b0f7a3de, 0x6a8d822813805ecb, 0xb5e5caad7a789ac1,
  0x152a8d77210e7e09, 0x576a96faa9bece75, 0x956af7afa0849ace, 0x5d73daad115e5108, 0x7536294f0d3bc77f,
  0x2d30ca7a1d538107, 0xf36c810c76ff7aaa, 0xa2e4d5c1e6ca2317, 0x598f20669f1a2cb3, 0xc3def2861539fa9d,
  0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138, 0x04fc20e5646e9e4a,
};

/*
 * t44_swio13_lednop_pr              t44a_swio13_lednop                t44a_swio13_lednop_pr
 * t84a_swio13_lednop                t84a_swio13_lednop_pr
 */
static const uint64_t ur_t44_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0xa44848f7ffcfbb3e, 0xc0f9ef51d7c3be5b, 0x16f74c7ac431c72a, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x28844ae492fe8212,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xd538139f4502169a, 0x6ed94462fe6da7a1, 0x31e40d1fc68b3440,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x01c5c920f3c95fb9, 0x00000000000000f9,
};

// t44a_swio13_lednop_pr_u4          t84a_swio13_lednop_pr_u4
static const uint64_t ur_t44_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0x3baff6b267e3dcc1, 0xbd479b8ef96e9121, 0x37740a471cab03e7, 0x3e23b58e62c05bdd,
  0x3dc72c608ebc5cec, 0xf04daf2e556a565c, 0x73a8a9546bb90873, 0x0272bb54b7d54df6, 0x95c925fd0424d702,
  0x5d73daad115e5108, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xb65d9156ff7aaa2d, 0x726ae0f365118bf9,
  0x98f2076d0d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x03e4cb375fb9e4af,
};

// t44a_swio13_lednop_pr_ee
static const uint64_t ur_t44_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0x37e0fe17426d9305, 0x6cdd8334108a0bff,
  0x827c64ee989d5c70, 0x091cbfdac99feaf9, 0x95ba583fdad1f749, 0x7d47c1b3072fbd47, 0xc370ebec01fc5651,
  0x66006be96c65c709, 0x89cead2e63c758ce, 0x5d0ebc019db24469, 0x38ec41f476b4f6ab, 0xe5ff805ecb872ce0,
  0xe09b5e5caad474b3, 0xe75152a8d77210e7, 0x04e576a96faa9bec, 0x2b924bfa0849ae04, 0x5ae7b55a22bca211,
  0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x118bf9b69e8754e0, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0xb9e4afdcd0ccb0ec, 0x000000029f39c75f,
};

// t44a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t44_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b108834eb1, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfd08,
  0x3e327747b6c71086, 0x1cbfee01cff57cc1, 0x28707fb5a38f6909, 0x47c1b3067afa8f2b, 0x70ebec01fc5652fd,
  0x006be96c65c709c3, 0xcead2e958743ee66, 0x1d7a1a9dba847371, 0xec7c88e329ed56ba, 0x7fe017b2d97ce038,
  0x471770c9a546c119, 0x210e7e09b5e5caad, 0xa9bece75152a8d77, 0x9ae0404e576a96fa, 0xca2112b924bfa084,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x317f36cbb22adfef, 0xcb3a2e4d5c1e6ca2,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x0000013ae9a0e001,
};

// t44a_swio13_lednop_pr_ce
static const uint64_t ur_t44_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x90870ffdac99f60b, 0x5e5c1c90f63facdc, 0x4ce75dcdae9b7f9e, 0xf7a8f38cf72cbad6,
  0x0a1ed008e3956064, 0x8f9dbe447191cc58, 0xee1aa01ffb33c75e, 0x556b02b40f2d6ede, 0x6bb90873f04daf2e,
  0xb7d54df673a8a954, 0x0424d7020272bb54, 0x115e510895c925fd, 0x74079bdb5d73daad, 0xa9c0842a417296be,
  0xff7aaa2d23b73d0e, 0xca2317f36cbb0c76, 0xda1a2cd102e4d5c6, 0x985a0dfbab31e40e, 0xd964a271966b219e,
  0xbf73c95fb9a19961, 0x000000005ba8f2ee,
};

// t44a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t44_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x484b75ff700e7e39, 0xe5d6937dd547d7ba, 0x361222fb8d1079e5, 0xd7b91fd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c050f6804, 0xfd99e3af47cedf22, 0x0796b76f770d500f,
  0xf826d7972ab5815a, 0x39d454aa35dc8439, 0x01395daa5beaa6fb, 0x4ae492fe82126b81, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb65d863b7fbd5516, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x375e3ebf0009e4af,
};

// t44a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t44_swio13_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d606, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d046d8,
  0x193baafb43746a58, 0xcffb8073fa6a609f, 0x8fd8fea8e43a427f, 0x6b8003f3cbcbad25, 0x376b028f9339d773,
  0xd983403d47959750, 0xfb07202b387ea3e0, 0xfa5b1971c270dc3a, 0x73ab5c256fad801a, 0x075e86a76ea11cdc,
  0xec7c88e329ed57a7, 0x04e017b2d97ce038, 0x5e9eb864d2a3608a, 0xc8439f826d7972ab, 0xaa6fb39d454aa35d,
  0x26b8101395daa5be, 0xf28844ae492fe821, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0x18bf9b65d863b7fb, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0x45e0013c95fb9a19, 0x0000000000013f07,
};

// t44a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t44_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e271d82,
  0x64eebadea0aeef27, 0xffef879fc6e9827c, 0x5547d51efb4846bb, 0x71a20f3cbcbcef10, 0x2cbc25f886c2445f,
  0xc99aa3b9b5d705fa, 0x47959750376b33c7, 0x387ea3e0d983403d, 0xc270dc3afb07202b, 0x6fad801afa5b1971,
  0x6ea11cdc73ab5c25, 0x29ed57a7075e86a7, 0xd97ce038ec7c88e3, 0xd2a3608a04e017b2, 0x6d7972ab5e9eb864,
  0x454aa35dc8439f82, 0x95daa5beaa6fb39d, 0x492fe82126b81013, 0x9ed5688af28844ae, 0x94b5f3a03cdedaeb,
  0xb9e8754e0421520b, 0xd863b7fbd551691d, 0xae0f365118bf9b65, 0x0334f8d1659d1726, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac, 0xa9cb2374f257ee68,
  0x00000000000027e0,
};

/*
 * t44_swio14_noled_pr               t44a_swio14_noled                 t44a_swio14_noled_pr
 * t84a_swio14_noled                 t84a_swio14_noled_pr
 */
static const uint64_t ur_t44_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x04843d7ff9f767fb, 0x1d7ff51e213be5ba, 0xdee98f5f9238e558, 0xced07d1934731602,
  0xb09edc72c608ebc5, 0x439f826d7972ab52, 0xfab39d454aa35dc8, 0x82126b3a6e576a96, 0x44579442256c7efe,
  0xc34ef1dfd75cf6ab, 0x8754e041dd4d8a53, 0x55bfdeaa8b4c329e, 0xbb65118bf9b67adc, 0xc790347f1a2cd101,
  0xac867a616837eeac, 0x866587659289c659, 0x07172483cf257ee6, 0x00000000000003e4,
};

// t44a_swio14_noled_pr_u4           t84a_swio14_noled_pr_u4
static const uint64_t ur_t44_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x484dbffed64cf98f, 0xc9af51c143be5b7b, 0x6536df97d1c72ac0, 0xd96ba3114e62c059,
  0x2a01ffb30475e8f9, 0xb3ee81e59edf484f, 0x421cfc136bcb955a, 0xb7d59cea2a551aee, 0xf4109359d372bb54,
  0x5a22bca2112b63f7, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0xe2adfef5545a6194, 0x079b288c5fcdb3d6,
  0x3b6868b2ce8b9357, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03,
  0x658767c09c659ac8, 0x85bafdcf257ee686, 0x000000000000f930,
};

// t44a_swio14_noled_pr_ee
static const uint64_t ur_t44_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0xc3f72d2c4221b158, 0xed2f469ef1fa114c, 0xf83f85bc8b429bf1, 0x6ec19b532282fe64,
  0x3e32774c4eae3836, 0x604ff6b267edd4c1, 0x6e4e0ff6b4722242, 0xa8f83660c14f51e5, 0x6e1d7d803f8aff77,
  0xc00d7d2d8cb8e138, 0x39d5a5cc78eb19cc, 0xa1d78033b2f88c7c, 0x1d81be8fa09ed56b, 0xbff00bd970e59c07,
  0x09b5e5caad4744f4, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x462fe6d9eb7156ff, 0x3459a205c9ab8d94, 0xb41bf75663c81db4,
  0xc944e32cd6433d30, 0xe792bf734332c3b2, 0x0000000a7ce71d7e,
};

// t44a_swio14_noled_pr_ee_u4
static const uint64_t ur_t44_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2446f43, 0xad72d2c4221bbac6, 0xf0836a2e8c1ae6d6, 0xf48b87eb42b68258, 0x0d3866a6c8a0bfec,
  0x4f8c9dd015bc9765, 0x2dd7fdc039f8e530, 0x721e0ff6b461ed21, 0xa8f83660f4af51e5, 0x6e1d7d803f8add2f,
  0xc00d7d2d8cb8e138, 0x39d5a5ea50e87dcc, 0x43af4353b4e28e21, 0x3b0b5d188b3daad7, 0x5ff805ecb65f380e,
  0xa8e2c9ee7951b046, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0x7f4109359d372bb5, 0x55a22bca2112b63f,
  0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d, 0x03f2868b2ce8b935,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0x1f5f8004f257ee68, 0x00000000000013af,
};

// t44a_swio14_noled_pr_ce
static const uint64_t ur_t44_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x112b7fb5933e70e6, 0xcb838e4ec7f55f12, 0x9cebb9b5d0fbf3cb, 0xf51d7c9ee5975ac9,
  0x6449ba38e5581acf, 0xe765ae8c45398b01, 0x3ca807feccf1d7a3, 0x5ab3ee81e5addd21, 0xee421cfc136bcb95,
  0x54b7d59cea2a551a, 0xf7f4109359d372bb, 0xb55a22bca2112b63, 0x529e1a778efebae7, 0x94f43aa7020eea6c,
  0xad98edfef5545a61, 0xae0f365118bf9b67, 0x81db434597ab9726, 0x4a1854e7ea75663c, 0xfbe2343c899e04e3,
  0x71966b219e985a0d, 0x95fb9a19961d9f02, 0x000375ce7cebf73c,
};

// t44a_swio14_noled_pr_ce_u4
static const uint64_t ur_t44_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x484c09ff700e7edd, 0xe5d6914f5547d644, 0x361222fb8d1079e5, 0xaecdffd165e12fc4,
  0xf72c10d64cd51dcd, 0xc72ac0d67fa8ebe4, 0x6229cc580b224dd1, 0xf6678ebd1f3b2d74, 0x0f2d6ee909e5403f,
  0xe09b5e5caad59f74, 0xe75152a8d77210e7, 0x9ace9b95daa5beac, 0xe510895b1fbfa084, 0xbc77f5d73daad115,
  0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x88c5fcdb3d6cc76f, 0x8b2ce8b9357079b2, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61, 0x04f257ee68665876,
  0x0000001bafa38b80,
};

// t44a_swio14_noled_pr_ee_ce
static const uint64_t ur_t44_swio14_noled_pr_ee_ce[] = {
  0x3ddddddd41445541, 0x972d2c42b11fac13, 0x0ef4ed6a7e3fc5d0, 0x9cdea1d457ae56d6, 0x571c339c49a09331,
  0x3277505699139c62, 0xfff700e7ffe4c13e, 0x3f63faa374a909d3, 0xaea91fcf2f2eb494, 0xddac0a3e4ce75dcd,
  0x660e71f51e57f380, 0xec1c80ad2b7a8f83, 0xe96c65c709c370eb, 0xcead7152beb6006b, 0x1d7a1a9da7147109,
  0x616ba31167b55e9c, 0x2700bd96cbe701c7, 0x7a789ee7951b0450, 0x210e7e09b5e5caad, 0x5beace75152a8d77,
  0xfa0849ace9b95daa, 0xad115e510895b1fb, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0xcc76ff7aaa2d30ca,
  0x079b288c5fcdb3d6, 0xfca1a2cbd5cb9357, 0x0c2a73f53ab31e40, 0xf11a1e44cf0271a5, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x0027e610f0009e4a,
};

// t44a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t44_swio14_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e304a, 0x772d2c5c0a5dd62c, 0x3b4c8e9b1850db26, 0xf75ea6f92989a0b9, 0x89123f221e26c782,
  0xc9dd2afd69c806e0, 0xffdf0f3ed77304f8, 0x5547d51cae4847f9, 0x71a20f3cbcbcef4d, 0x2cbc25f886c2445f,
  0xc99aa3b9b5fce5fa, 0x4795fce0376b33c7, 0x4adea3e0d9839c7d, 0xc270dc3afb07202b, 0xafad801afa5b1971,
  0x69c51c4273ab5c54, 0x59ed57a7075e86a7, 0xb2f9c071d85ae8c4, 0xe546c11409c02f65, 0x6d7972ab5e9e27b9,
  0x454aa35dc8439f82, 0x3a6e576a96fab39d, 0x42256c7efe82126b, 0xdfd75cf6ab445794, 0x41dd4d8a53c34ef1,
  0xaa8b4c329e8754e0, 0x17f36cf5b31dbfde, 0xb3a2e4d5c1e6ca23, 0x9d598f20669f1a2c, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x0004fc5a7d646e9e,
};

/*
 * t44_swio14_lednop_pr              t44a_swio14_lednop                t44a_swio14_lednop_pr
 * t84a_swio14_lednop                t84a_swio14_lednop_pr
 */
static const uint64_t ur_t44_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0xa04840f7ffcfbb3f, 0x81d7ff51f243be5b, 0x2dee9b4a4c638e55, 0x2e761151f4873160,
  0x2b305ee39630475e, 0x8439f826d7972ab5, 0x6fab39d454aa35dc, 0x26b81013a6e576a9, 0x794422572fb1e821,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x0ea9c0a2fa2810b4, 0x0376ca2317f36d3d, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0xf9000a49079e4afd,
};

// t44a_swio14_lednop_pr_u4          t84a_swio14_lednop_pr_u4
static const uint64_t ur_t44_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x1244ff6b267c3dcc, 0xffd475f0ef96e812, 0xa69126e8e3956075, 0xc8a8ee19cc580b7b,
  0x26e39630475e2e76, 0xfc136bcb955a959d, 0x9cea2a551aee421c, 0x0809d372bb54b7d5, 0x112b97d8f410935c,
  0xb6bae7b55a22bca2, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xfcdb1922adfef554, 0xe8b9357079b288c5,
  0xeacc7903b6868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x000f934d03afdcf2,
};

// t44a_swio14_lednop_pr_ee
static const uint64_t ur_t44_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b10898beb, 0xf7afb417588f8b53, 0x3e0fe16f21b0b402, 0xb4b3f764c8a0bf99,
  0x4f8c9dde4bb4cd1d, 0x9beffdac99f8ad30, 0x5ba583fdad1c8890, 0xea3e0d983053d479, 0x1b875f600fe2bf9d,
  0x30035f4b632e384e, 0x4e756975f63ac673, 0xd0ebc019da5f234c, 0xc7607c476b4f6ab5, 0x2ffc02f65c396701,
  0x826d7972ab51d749, 0x9d454aa35dc8439f, 0x013a6e576a96fab3, 0x2572fb1e82126b81, 0xd75cf6ab44579442,
  0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x9b632455bfdeaa8b, 0x881726ae365118bf, 0xdd598f2076d0d166,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x0053e12475fb9e4a,
};

// t44a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t44_swio14_lednop_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c42234bac6, 0xd1748feedb75e6d6, 0x22e1fad0dd95b7a6, 0x0b42d682282ffb3d,
  0xf193ba76b65da72a, 0x56ffb8073e4ea609, 0xa5c1fed68c3da424, 0x1f06cc1e95ea3cac, 0xc3afb007f15975f5,
  0x01afa5b1971c270d, 0x3ab4bb931d0fb998, 0x75e86a763d51af87, 0x62214637e7b55ae8, 0xff00bd96cbe701c7,
  0x1c5f484f2a3608cb, 0x8439f826d7972ab5, 0x6fab39d454aa35dc, 0x26b81013a6e576a9, 0x794422572fb1e821,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x118bf9b632455bfd, 0x1659d1726ae0f365,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0x09e4afdcd0ccb0ec, 0x00000013ae917f00,
};

// t44a_swio14_lednop_pr_ce
static const uint64_t ur_t44_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x242487ff6b267ca1, 0x9797071d2d8feabe, 0xc99cebb9b5c347e7, 0x9fea3cbe9ee5975a,
  0x0299538c71cab035, 0x47ced10a31be7316, 0x5e91500ffd99e3af, 0x955abeb703cb5b84, 0x1aee421cfc136bcb,
  0xbb54b7d59cea2a55, 0xf410935c0809d372, 0x5a22bca2112b97d8, 0x7ce80f37b6bae7b5, 0x1d5381085482e52d,
  0xedfef5545a476e7a, 0xe365118bf9b63218, 0x076d0d166881726a, 0xcf4c2d06fdd598f2, 0xb0ecb25138cb3590,
  0xb75fb9e4afdcd0cc, 0x00000000002dd45f,
};

// t44a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t44_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x484df7ff700e7e2b, 0xe5d692575547d644, 0x361222fb8d1079e5, 0xd7643fd165e12fc4,
  0x7b96086b266a8ee6, 0xc72ac0d67fa8f2fa, 0xc6f9cc580a654e31, 0xf6678ebd1f3b4428, 0x0f2d6e117a45403f,
  0xf04daf2e556afadc, 0x73a8a9546bb90873, 0x20274dcaed52df56, 0x44ae5f63d0424d70, 0xdaeb9ed5688af288,
  0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xe6d8c863b7fbd551, 0x45c9ab83cd94462f, 0x5663c81f94345967,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e,
  0x00dd779b7c002792,
};

// t44a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t44_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22582, 0x4b9696215be9d609, 0xc7448ebd385fe2e8, 0xce6f50c8fd453771, 0xb4ce85ce24d04998,
  0x193ba75b59996ae4, 0x7ff700e7d36e609f, 0x3f63faa374a90833, 0xaeea8fcf2f2eb486, 0xddac0a3e4ce75dcd,
  0x660e71f51e5670c0, 0xec1c80ae43fa8f83, 0xe96c65c709c370eb, 0xcead70e4feb6006b, 0x1d7a1a9d8f546be1,
  0x62214637e7b55e9c, 0x2700bd96cbe701c7, 0x7a7ba427951b0450, 0x210e7e09b5e5caad, 0x5beace75152a8d77,
  0x49ae0404e9b95daa, 0x5e510895cbec7a08, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x88c5fcdb190c76ff, 0x2cbd5cb9357079b2, 0x3f53ab31e40fca1a, 0xe44cf0271a50c2a7, 0x0cf4c2d06fdf11a1,
  0xccb0ecf8138cb359, 0x2b570009e4afdcd0, 0x00000000000004fc,
};

// t44a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t44_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33d066b40db26, 0xeebd4dcbbe4b6460, 0x467f4e443c4d8f05,
  0x27768bf5b126bc4e, 0xffbe1e7c524c13e3, 0x551f5472b9212b7f, 0x8d1079e5e5e776b7, 0x65e12fc4361222fb,
  0x99aa3b9b5ddbbfd1, 0x7959c30376b33c7c, 0x0fea3e0d9839c7d4, 0x270dc3afb07202b9, 0xfad801afa5b1971c,
  0x3d51af873ab5c393, 0x9ed57a7075e86a76, 0x2f9c071d888518df, 0x546c11409c02f65b, 0xd7972ab5e9ee909e,
  0x54aa35dc8439f826, 0xa6e576a96fab39d4, 0x2fb1e82126b81013, 0xcf6ab44579442257, 0xca5af9d01e6f6d75,
  0xdcf43aa70210a905, 0x6431dbfdeaa8b48e, 0xd5c1e6ca2317f36c, 0x20669f1a2cb3a2e4, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x07effe09a1e44cf0, 0x90cf4c2bbe8f727e, 0x0ccb0ecf8138cb35, 0x7e05646e9e4afdcd,
  0x00000000000004fc,
};

/*
 * t44_swio15_noled_pr               t44a_swio15_noled                 t44a_swio15_noled_pr
 * t84a_swio15_noled                 t84a_swio15_noled_pr
 */
static const uint64_t ur_t44_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0xa4484dbfffcfbb3e, 0xc0f9ef51e213be5b, 0x2dee9a715af1c72a, 0x5ced70d193473160,
  0x5657fdc72c608ebc, 0x0873f04daf2e556a, 0xf57673a8a9546bb9, 0x0424d674dcaed52d, 0x4579442255abfdfd,
  0x53e9de7eb5cf6ab4, 0x5a585cea75380b29, 0x3d0ea9c08bf71408, 0xa20376ca2317f36d, 0xdd598f2068fe3459,
  0x8cb3590cf4c2d06f, 0xfdcd0ccb0ecb2513, 0x07c801ca49079e4a,
};

// t44a_swio15_noled_pr_u4           t84a_swio15_noled_pr_u4
static const uint64_t ur_t44_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x2195fed64cfbf930, 0x1ea3cbe3be5a0fa4, 0x98ca9c638e5581f4, 0x7bd1ef6731602cb2,
  0x807fecc11d7a3e76, 0xb540f2cf6ee1934a, 0x873f04daf2e556aa, 0x57673a8a9546bb90, 0x424d674dcaed52df,
  0x579442255abfdfd0, 0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3, 0xbfdeaa8b4c329e87, 0xd94462fe6d902455,
  0x434596745c9ab83c, 0x54e7ea75663c81db, 0xfcc4ffef0f7bca18, 0xf826879133c0fe32, 0x30aefa3dc9f81fbf,
  0x3b3e04e32cd6433d, 0xd7ee792bf734332c, 0x0000000003e4fa79,
};

// t44a_swio15_noled_pr_ee
static const uint64_t ur_t44_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffbb,
  0x3e3277699efd3b82, 0x656ff6b267f4dcc1, 0x695a0ff6b47dd242, 0x51f06cc1cbef51e5, 0xdc3afb007f15b93f,
  0x801afa5b1971c270, 0x39d5a5dfc1d63399, 0x43af006769b91ad7, 0x1d88c91f493daad7, 0xbff00bd970e59c07,
  0x09b5e5caad4744d4, 0x75152a8d77210e7e, 0xce9b95daa5beaece, 0x844ab57fbfa0849a, 0xbfaeb9ed5688af28,
  0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xc5fcdb2048ab7fbd, 0x8b3440b93571b288, 0x837eeacc7903b686,
  0x289c659ac867a616, 0xf257ee6866587659, 0x0000053e2a73afdc,
};

// t44a_swio15_noled_pr_ee_u4
static const uint64_t ur_t44_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447705, 0x56b96962110fdd61, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfbc8,
  0x7c64eeb62d582932, 0xa6ffee01cf8d6982, 0x38707fb5a38f6909, 0x47c1b3067afa8f2b, 0x70ebec01fc5721fd,
  0x006be96c65c709c3, 0xcead2e514743ee66, 0x1d7a1a9d90047f21, 0xec3de8f7b9ed56ba, 0x7fe017b2d97ce038,
  0x47164d60b546c119, 0x210e7e09b5e5caad, 0xbeaece75152a8d77, 0xa0849ace9b95daa5, 0x88af28844ab57fbf,
  0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0xab7fbd551698653d, 0x79b288c5fcdb2048, 0xf2868b2ce8b93570,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0x7ff04d0f226781fc, 0x7a615df47b93f03f, 0x58767c09c659ac86,
  0x6f8004f257ee6866, 0x000000000013af75,
};

// t44a_swio15_noled_pr_ce
static const uint64_t ur_t44_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x427ceff6b267cbac, 0x7970712b58feb372, 0x99cebb9b5ffe7e79, 0xef51e6e9ee5975ac,
  0x0bdd0291c72ac0c9, 0x8f9d9ef47bd9cc58, 0x64d2a01ffb33c75e, 0x556aab540f2d6eb8, 0x6bb90873f04daf2e,
  0xd52df57673a8a954, 0xfdfd0424d674dcae, 0x6ab44579442255ab, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8,
  0x0431dbfdeaa8b4c3, 0x93571b288c5fcdb2, 0xc7903b6868b3440b, 0xac867a616837eeac, 0x866587659289c659,
  0x545f3afdcf257ee6, 0x00000000000000b7,
};

// t44a_swio15_noled_pr_ce_u4
static const uint64_t ur_t44_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x484cadff700e7f4d, 0xe5d693025547d7ba, 0x361222fb8d1079e5, 0xd7eb3fd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479ba, 0x1ef6731602f740a4, 0xfeccf1d7a3e767bd, 0x03cb5bae1934a807,
  0xfc136bcb955aaad5, 0x9cea2a551aee421c, 0x359d372bb54b7d5d, 0x5108956aff7f4109, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x2317f36c810c76ff, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0x13c95fb9a19961d9,
  0x0000006eb938be00,
};

// t44a_swio15_noled_pr_ee_ce
static const uint64_t ur_t44_swio15_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac6d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d076d8,
  0x193ba76b6c4a72a6, 0xfff700e7f76a609f, 0xb563faa390e90863, 0xd7ba1fe797975a40, 0x6ed6051f2673aee6,
  0xb306807a8f2b74a0, 0xf60e4057f3bd47c1, 0xf4b632e384e1b875, 0xe756b828bf5b0035, 0x0ebd0d4ec8023f90,
  0xd87bd1ef73daaf4e, 0x09c02f65b2f9c071, 0xbd3c4d60b546c114, 0x90873f04daf2e556, 0xdf57673a8a9546bb,
  0xd0424d674dcaed52, 0x44579442255abfdf, 0xc34ef1dfd75cf6ab, 0x8754e041dd4d8a53, 0x1dbfdeaa8b4c329e,
  0x79b288c5fcdb2043, 0xca1a2cbd5cb93570, 0xc2a73f53ab31e40f, 0x11a1e44cf0271a50, 0xb3590cf4c2d06fdf,
  0xdcd0ccb0ecf8138c, 0x013f10270009e4af,
};

// t44a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t44_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e173e, 0x772d2c5c0a38d61a, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f12d4c1,
  0xc9dddfbdb0c89e8c, 0xffef879f801304f8, 0xd547d51efb484b5b, 0xe3441e797979dced, 0x59784bf10d8488be,
  0x266a8ee6d7185ff4, 0x1e56e940ddaccf1f, 0xe77a8f83660d00f5, 0x09c370ebec1c80af, 0x7eb6006be96c65c7,
  0x90047f21cead7051, 0xe7b55e9c1d7a1a9d, 0x65f380e3b0f7a3de, 0x6a8d822813805ecb, 0xb5e5caad7a789ac1,
  0x152a8d77210e7e09, 0x9b95daa5beaece75, 0x4ab57fbfa0849ace, 0xaeb9ed5688af2884, 0xba9b14a7869de3bf,
  0x1698653d0ea9c083, 0xf9b640863b7fbd55, 0xd1726ae0f365118b, 0xacc790334f8d1659, 0xe1ef79430a9cfd4e,
  0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c, 0x027e1072b2374f25,
};

/*
 * t44_swio15_lednop_pr              t44a_swio15_lednop                t44a_swio15_lednop_pr
 * t84a_swio15_lednop                t84a_swio15_lednop_pr
 */
static const uint64_t ur_t44_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0xa44848f7ffcfbb3e, 0xc0f9ef51d7c3be5b, 0x16f74c7ac431c72a, 0x2e76ded1dc3398b0,
  0x2b167ee39630475e, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xca2112b92b1e8212,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x754e04e7d14085a6, 0x1bb65118bf9b69e8, 0xcc790347f1a2cd10,
  0x9ac867a616837eea, 0x6866587659289c65, 0x407172483cf257ee, 0x000000000000003e,
};

// t44a_swio15_lednop_pr_u4          t84a_swio15_lednop_pr_u4
static const uint64_t ur_t44_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0x3baff6b267e3dcc1, 0xbd479b8ef96e9121, 0x37740a471cab03e7, 0x3e23b58e62c05bdd,
  0x3dc72c608ebc5cec, 0xf04daf2e556a565c, 0x73a8a9546bb90873, 0x0274dcaed52df576, 0x2572563d0424d702,
  0xd75cf6ab44579442, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x6d976455bfdeaa8b, 0x5c9ab83cd94462fe,
  0x663c81db43459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x00f932cdd7ee792b,
};

// t44a_swio15_lednop_pr_ee
static const uint64_t ur_t44_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0xefe0fe17426d9305, 0x6cdd8334108a0bfe,
  0x827c64ee989d5c70, 0x091cbfdac99feaf9, 0x95ba583fdad1f749, 0x7d47c1b3072fbd47, 0xc370ebec01fc5651,
  0x66006be96c65c709, 0x89cead2e63c758ce, 0x5d0ebc019db24469, 0x38ec41f476b4f6ab, 0xe5ff805ecb872ce0,
  0xe09b5e5caad474b3, 0xe75152a8d77210e7, 0x04e9b95daa5beaec, 0x4ae4ac7a0849ae04, 0xd6b9ed5688af2884,
  0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x4462fe6da7a1d538, 0x43459a205c9ab8d9, 0x0b41bf75663c81db,
  0x2c944e32cd6433d3, 0xee792bf734332c3b, 0x00000000a7ce71d7,
};

// t44a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t44_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b108834eb0, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfbc8,
  0x3e327747b6c71086, 0x1cbfee01cff57cc1, 0x28707fb5a38f6909, 0x47c1b3067afa8f2b, 0x70ebec01fc5652fd,
  0x006be96c65c709c3, 0xcead2e958743ee66, 0x1d7a1a9dba847371, 0xec7c88e329ed56ba, 0x7fe017b2d97ce038,
  0x471770c9a546c119, 0x210e7e09b5e5caad, 0xbeaece75152a8d77, 0x9ae0404e9b95daa5, 0xf28844ae4ac7a084,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x8c5fcdb2ec8ab7fb, 0xb2ce8b9357079b28,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x0000004eba683800,
};

// t44a_swio15_lednop_pr_ce
static const uint64_t ur_t44_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x421c3ff6b267d82c, 0x79707243d8feb372, 0x339d7736ba6dfe79, 0xdea3ce33dcb2eb59,
  0x287b40238e558193, 0x3e76f911c6473160, 0xb86a807feccf1d7a, 0x55ac0ad03cb5bb7b, 0xaee421cfc136bcb9,
  0x54b7d5d9cea2a551, 0x10935c0809d372bb, 0x115e510895c958f4, 0x74079bdb5d73daad, 0xa9c0842a417296be,
  0xff7aaa2d23b73d0e, 0xca2317f36cbb0c76, 0xda1a2cd102e4d5c6, 0x985a0dfbab31e40e, 0xd964a271966b219e,
  0xbf73c95fb9a19961, 0x000000005ba8f2ee,
};

// t44a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t44_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x484b75ff700e7e39, 0xe5d6937dd547d7ba, 0x361222fb8d1079e5, 0xd7b91fd165e12fc4,
  0x7b96086b266a8ee6, 0x71cab0327bd479c6, 0x38c8e62c050f6804, 0xfd99e3af47cedf22, 0x0796b76f770d500f,
  0xf826d7972ab5815a, 0x39d454aa35dc8439, 0x013a6e576a96fabb, 0x12b92b1e82126b81, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x6d97618edfef5545, 0x5c9ab83cd94462fe, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x0dd78fafc002792b,
};

// t44a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t44_swio15_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d636, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d076d8,
  0x193baafb43746a58, 0xcffb8073fa6a609f, 0x8fd8fea8e43a427f, 0x6b8003f3cbcbad25, 0x376b028f9339d773,
  0xd983403d47959750, 0xfb07202b387ea3e0, 0xfa5b1971c270dc3a, 0x73ab5c256fad801a, 0x075e86a76ea11cdc,
  0xec7c88e329ed57a7, 0x04e017b2d97ce038, 0x5e9eb864d2a3608a, 0xc8439f826d7972ab, 0x6fabb39d454aa35d,
  0x26b81013a6e576a9, 0xbca2112b92b1e821, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x462fe6d97618edfe, 0x65eae5c9ab83cd94, 0xfa9d598f207e50d1, 0x22678138d2861539, 0x67a616837ef88d0f,
  0x658767c09c659ac8, 0xd178004f257ee686, 0x0000000000004fc1,
};

// t44a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t44_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0x772d2c5c0ae0d61a, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e25a982,
  0x64eebadea0aeef27, 0xffef879fc6e9827c, 0x5547d51efb4846bb, 0x71a20f3cbcbcef10, 0x2cbc25f886c2445f,
  0xc99aa3b9b5d705fa, 0x47959750376b33c7, 0x387ea3e0d983403d, 0xc270dc3afb07202b, 0x6fad801afa5b1971,
  0x6ea11cdc73ab5c25, 0x29ed57a7075e86a7, 0xd97ce038ec7c88e3, 0xd2a3608a04e017b2, 0x6d7972ab5e9eb864,
  0x454aa35dc8439f82, 0xa6e576a96fabb39d, 0x92b1e82126b81013, 0xe7b55a22bca2112b, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x7618edfef5545a47, 0xab83cd94462fe6d9, 0x40cd3e34596745c9, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b, 0x2a72c8dd3c95fb9a,
  0x00000000000009f8,
};

// t84_swio10_noled_pr
static const uint64_t ur_t84_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x5083e95ffcfbb3f2, 0xc43fa8e989df2c4d, 0xf74da54431c72ac0, 0x3b6f68c9e398b016,
  0x8b3f71cb1823af17, 0xce041f6bcb955a95, 0x9cea2a551aeb0839, 0xafdcd672bb54b7d5, 0x796afda552fbd7d2,
  0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x5118bf9b62b5455b, 0x0347f1a2cd101bb6,
  0x67a616837eeacc79, 0x587659289c659ac8, 0x52483cf257ee6866, 0x000000000007c800,
};

static const uint64_t ur_t84_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x3f75fed64cfc7b98, 0x7a8f371df2c22d08, 0x6ee8148e3956064f, 0x7c476b1cc580b2ca,
  0x01ffb30475e8f9d8, 0x9503cb3dbe8167aa, 0x38107daf2e556a20, 0x73a8a9546bac20e7, 0xbf7359caed52df56,
  0xe5abf6954bef5f4a, 0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x4462fe6d8ad5156f,
  0x4596745c9ab83cd9, 0xe7ea75663c81db43, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8,
  0x3e04e32cd6433d30, 0xee792bf734332c3b, 0x00000000f932cdd7,
};

static const uint64_t ur_t84_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f532b758, 0x469ed0bd75e5ef56, 0xfbbcd06844130acc, 0x9fbc5f8ec8a444e6,
  0x4f8c9dda67bf4ee0, 0xf95bfdac99fd3730, 0xb4ad355ad1f75420, 0xa8f83660e5f7a8f2, 0x0ebec5a6ef8adc9f,
  0x26be96c65c709c37, 0x9d5a5cc7ae2899a4, 0x75eba9bb2f88c7c3, 0xa637d1f416355ae8, 0x0decb872ce038ec5,
  0x5e5caad570b3feb7, 0xa8d75841ce7020fb, 0x95daa5beace75152, 0x2a97debe957ee6b3, 0xae7b55a22bcb57ed,
  0xa6c529e1a778efeb, 0xa6194f43aa7020ee, 0xdb15aa2adfef5545, 0x40b93571b288c5fc, 0xeacc7903b6868b34,
  0x659ac867a616837e, 0xee6866587659289c, 0x053e2a73afdcf257,
};

static const uint64_t ur_t84_swio10_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0xdab96963d4cfdd62, 0x5176c8e933e3fe24, 0x7914c1ae0cd906a7, 0xa16d2f0a22911284,
  0x9f193bad8b560a4c, 0xe9bffb8073e35a60, 0x9c39aad68e3dd083, 0xa3e0d9833d7d4795, 0x3afb169bbe2b90fe,
  0x9afa5b1971c270dc, 0x3ab4bd4a5c6b2690, 0x1d79d3769c51c427, 0x69ad74622d8d56ba, 0x70decb65f380e3b1,
  0x0259f5fd51b047eb, 0xce7020fb5e5caad4, 0xace75152a8d75841, 0x957ee6b395daa5be, 0x2bcb57ed2a97debe,
  0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0xb288c5fcdb15aa2a, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0x8004f257ee686658, 0x0000000013af756f,
};

static const uint64_t ur_t84_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x7727fed64cfc8798, 0x60e7eeb1fd724a10, 0xcebb9b5e007e7801, 0x51f249ee5975ac99,
  0x4f5f238e5581e0bf, 0x761f11dac7316028, 0xea807feccf1d7a3e, 0xa209503cb5bba059, 0x0e738107daf2e556,
  0xf5673a8a9546bac2, 0xf4abf7359caed52d, 0x115e5abf6954bef5, 0x0d3bc77f5d73daad, 0x1d5381077536294f,
  0x76ff7aaa2d30ca7a, 0x9b288c5fcdb15a8c, 0xa1a2cbd5cb935707, 0x2a73f53ab31e40ed, 0x1a1e44cf0271a50c,
  0x3590cf4c2d06fdf1, 0xcd0ccb0ecf8138cb, 0xeba7d775fb9e4afd, 0x0000000000000006,
};

static const uint64_t ur_t84_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x41d4f7fdc039fdf7, 0x6b48c16aa3ea13e8, 0x8488bee3441e7801, 0xd9f3f459784bf10d,
  0xe5821ac99aa3b9b5, 0xe5581e0bf51f249e, 0xac73160284f5f238, 0xccf1d7a3e761f11d, 0xcb5bba059ea807fe,
  0x7daf2e556a209503, 0xa9546bac20e73810, 0x59caed52df5673a8, 0xf6954bef5f4abf73, 0xf5d73daad115e5ab,
  0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xfcdb15a8c76ff7aa, 0xe8b9357079b288c5, 0xeacc7903f2868b2c,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09,
  0x001baf924f8004f2,
};

static const uint64_t ur_t84_swio10_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x772d2c42b1a5ac0d, 0x76cbbdc77988d7f1, 0x7b3fc7d91a0a0cfa, 0xf4da5ce250e0dbdb,
  0x93ba76b6c4a72a67, 0xff700e7f76a609f1, 0x63faa390f420e63f, 0xdd0ff3c00b5a40b5, 0x6b02bdf339d7736b,
  0xc1a01ea3cadd2ca7, 0x4c5315fcef51f06c, 0x8cb8e1386e1d7d8b, 0xbb754a1d484d7d2d, 0x79d3769c51c4273a,
  0x5ae8c45b1aaf1b1d, 0xbd96cbe701c762d3, 0x59f5fd51b044c8e1, 0x7020fb5e5caad4b3, 0xe75152a8d75841ce,
  0x7ee6b395daa5beac, 0xcb57ed2a97debe95, 0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa,
  0x118bf9b62b518edf, 0x597ab9726ae0f365, 0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0x204e0013c95fb9a1, 0x000000000000027e,
};

static const uint64_t ur_t84_swio10_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6481711b, 0x9fa5c2960d33080c, 0xe0d9a5910e0f8eda,
  0xc9dddfbdb0c89e8c, 0xffef879f801304f8, 0x547d51efba107b5b, 0x1a20f3c00b9dcedd, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0x795ba594ed667bdf, 0x9dea3e0d983403d4, 0x0dc3afb1698a62bf, 0xa909afa5b1971c27,
  0x8a3884e7576ea943, 0x6355e363af3a6ed3, 0xe038ec5a6b5d188b, 0x3608991c37b2d97c, 0xcb955a966b3ebfaa,
  0x1aeb0839ce041f6b, 0xbb54b7d59cea2a55, 0x52fbd7d2afdcd672, 0xcf6ab445796afda5, 0xd8a53c34ef1dfd75,
  0xc329e8754e041dd4, 0xc56a31dbfdeaa8b4, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xc20e5646e9e4afdc,
  0x000000000000004f,
};

// t84_swio10_lednop_pr
static const uint64_t ur_t84_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x4d5083995ffcfbb3, 0xc0c43fa8ff21df2c, 0x16f74c803df1c72a, 0x173b5ac8fa0398b0,
  0x4ace7b71cb1823af, 0x1ce7020fb5e5caad, 0xeace75152a8d7584, 0xee6b8101395daa5b, 0xb57ed2ad5d2fe957,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0xa9c0d8ff14085a6a, 0x76ca2317f36d3d0e, 0x8f2068fe3459a203,
  0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3, 0x049249079e4afdcd, 0x00000000000001f2,
};

static const uint64_t ur_t84_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x070f7fed64cfc069, 0xef51e713be5845a1, 0x983da011c72ac0c9, 0x98a383e731602cb2,
  0x00ffd9823af47cec, 0x44c0f2cf6ed6e815, 0x738107daf2e556a8, 0x673a8a9546bac20e, 0x35c0809caed52df5,
  0xbf6956ae97f4abf7, 0xdb5d73daad115e5a, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36d843156ff7aaa,
  0xa2e4d5c1e6ca2317, 0xab31e40eda1a2cb3, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c,
  0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x000f93814ebf73c9,
};

static const uint64_t ur_t84_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0x29972d2c7a992158, 0xf697a34f7d2d69ab, 0x9beef341a136c982, 0x1b3760cd04229113,
  0x609f193ba627571c, 0x83c72ff6b267fabe, 0xcadd2cd56b47dd50, 0xbea3e0d98397dea3, 0xdc3afb169bbe2b28,
  0x909afa5b1971c270, 0xce756978f6b8a266, 0xa1d7aea6edf2237b, 0x169ef68ee1d8d56b, 0xdc37b2e1cb380e3b,
  0xf6bcb955aae39efa, 0xa551aeb0839ce041, 0x272bb54b7d59cea2, 0xaba5fd2afdcd7020, 0xf6ab445796afda55,
  0x2ca6c59d01e7eb5c, 0xe2810b4d5ceaf52c, 0xfe6da7a1d5381b1f, 0x9a205c9ab8d94462, 0xbf75663c81db4345,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0000a7ce71d7ee79,
};

static const uint64_t ur_t84_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69746db11f12, 0x7914c1ae7ec19d93, 0x840f5d0422911284,
  0x4f8c9dd1edb1c421, 0xc72ffb8073fd5f30, 0x9439aad68e3dd083, 0xa3e0d9833d7d4795, 0x3afb169bbe2b297e,
  0x9afa5b1971c270dc, 0x3ab4bb935c6b2690, 0x1d79d3763d51af87, 0x69c428c6fd8d56ba, 0x70decb65f380e3b1,
  0x01740b3d51b047eb, 0xe738107daf2e556a, 0x5673a8a9546bac20, 0x735c0809caed52df, 0xabf6956ae97f4abf,
  0xbdb5d73daad115e5, 0x42a417296be74079, 0xa2d23b73d0ea9c08, 0x7f36d843156ff7aa, 0x3a2e4d5c1e6ca231,
  0x3ab31e40fca1a2cb, 0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d,
  0x95fb9a19961d9f02, 0x00013ae9a0e0013c,
};

static const uint64_t ur_t84_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x10774bfed64cf94b, 0x0160e7ceb1fd724a, 0x339d7736beed7e78, 0x7ea38293dcb2eb59,
  0xbb7e5f471cab03c1, 0xf3b2628e0f9cc580, 0xa05403ff6678ebd1, 0x56a844c0f2d6eb5b, 0xc20e738107daf2e5,
  0x2df5673a8a9546ba, 0xabf735c0809caed5, 0x5e5abf6956ae97f4, 0x079bdb5d73daad11, 0xc0842a417296be74,
  0x7aaa2d23b73d0ea9, 0x462fe6db084c76ff, 0x3459a205c9ab8d94, 0xb41bf75663c81db4, 0xc944e32cd6433d30,
  0xe792bf734332c3b2, 0x000000b75b1fdd7e,
};

static const uint64_t ur_t84_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x41e577fdc039fd9d, 0x6b4995aaa3ea13e8, 0x8488bee3441e7801, 0xd2a3f459784bf10d,
  0xe5821ac99aa3b9b5, 0xe5581e0bf51c149e, 0x7ce62c05dbf2fa38, 0x33c75e8f9d931470, 0x96b75add02a01ffb,
  0x3ed7972ab5422607, 0x54aa35d610739c08, 0x04e576a96fab39d4, 0xb574bfa55fb9ae04, 0x9ed5688af2d5fb4a,
  0x94b5f3a03cdedaeb, 0xb9e8754e0421520b, 0x4263b7fbd551691d, 0x5c1e6ca2317f36d8, 0x40fca1a2cb3a2e4d,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0xed7be0013c95fb9a, 0x00000000000006eb,
};

static const uint64_t ur_t84_swio10_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bdb260bc6bf8, 0x7b3fc79a5b227ec4, 0xe45ebce250e0dbdb,
  0x93baafb43746a583, 0xffb8073fa6a609f1, 0xd8fea8e43d083ffc, 0xc001f9e005ad258f, 0xb5815ef99cebb9b5,
  0x60d00f51e565d653, 0xa6298ace1fa8f836, 0xc65c709c370ebec5, 0x5db9c98ea426be96, 0xbce9bb1ea8d7c39d,
  0xc428c6fd8d578d8e, 0xdecb65f380e3b169, 0xfa059ea8d8226470, 0x9c083ed7972ab52c, 0x39d454aa35d61073,
  0xae0404e576a96fab, 0xfb4ab574bfa55fb9, 0xdaeb9ed5688af2d5, 0x520b94b5f3a03cde, 0x691db9e8754e0421,
  0x36d84263b7fbd551, 0x2e4d5c1e6ca2317f, 0xcc7903f2868b2f57, 0x09c69430a9cfd4ea, 0xb41bf7c46879133c,
  0x3e04e32cd6433d30, 0x02792bf734332c3b, 0x000000027e0e8bc0,
};

static const uint64_t ur_t84_swio10_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e821711b, 0x3f4b85471582d159, 0x23b313221c1f1db5,
  0x64eebadea0aeef27, 0xffef879fc6e9827c, 0x547d51efba1076bb, 0x8d1079e005cef105, 0x65e12fc4361222fb,
  0xccd51dcdaeb82fd1, 0x1e565d653b599ef7, 0xe1fa8f83660d00f5, 0xc370ebec5a6298ac, 0xea426be96c65c709,
  0xea8d7c39d5db9c98, 0xd8d578d8ebce9bb1, 0x380e3b169c428c6f, 0x8d8226470decb65f, 0x7972ab52cfa059ea,
  0xa35d610739c083ed, 0x576a96fab39d454a, 0x4bfa55fb9ae0404e, 0x5688af2d5fb4ab57, 0x5f3a03cdedaeb9ed,
  0x8754e0421520b94b, 0x3b7fbd551691db9e, 0xe6ca2317f36d8426, 0x9f1a2cb3a2e4d5c1, 0x1539fa9d598f2066,
  0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x646e9e4afdcd0ccb,
  0x0000000004fc1539,
};

// t84_swio11_noled_pr               t84_swio12_noled                  t84_swio12_noled_pr
static const uint64_t ur_t84_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x073d7ff9f767fba9, 0xff51e213be5ba0a1, 0x98f5f9238e5581d7, 0x07d1934731602dee,
  0xedc72c608ebc5ced, 0x083ed7972ab52b09, 0xd454aa35d610739c, 0x9ace576a96fabb39, 0x57ed2b637afa55fb,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0xc5fcdb3d6e2adfef, 0x3f8d166880ddb288,
  0x30b41bf75663c81a, 0xb2c944e32cd6433d, 0x41e792bf734332c3, 0x00000001f2038b92,
};

// t84_swio12_noled_pr_u4
static const uint64_t ur_t84_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0xfb7ffdac99f31f30, 0xea382877cb6f7420, 0xdbf2fa38e5581935, 0x746229cc580b2ca6,
  0x3ff6608ebd1f3b2d, 0xd03cb3dbe909e540, 0xc083ed7972ab567d, 0x9d454aa35d610739, 0xb9ace576a96fabb3,
  0xb57ed2b637afa55f, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x8c5fcdb3d6e2adfe,
  0xb2ce8b9357079b28, 0xfd4eacc7903b6868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04,
  0xc09c659ac867a615, 0xcf257ee686658767, 0x000000f93085bafd,
};

// t84_swio12_noled_pr_ee
static const uint64_t ur_t84_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9833ac24, 0x2f5ebeb11f17ab29, 0x79a097b6409085f4, 0x66ede99148889177,
  0x193bbe474c4a3386, 0x77fb5933fb3a609f, 0x74d56b47b7e841e5, 0xf06cc1ce3ea3cafe, 0x7d8b4ddf15a56f51,
  0x7d2d8cb8e1386e1d, 0x5a5dfc5c5133484d, 0xd753769b91ad739d, 0x1923e92c6ab5d0eb, 0xecb872ce038ec5a7,
  0x2e556ab827beb70d, 0x6bac20e738107daf, 0xd52df57673a8a954, 0xc6f5f4abf7359cae, 0xf6ab445796afda56,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x7adc55bfdeaa8b4c, 0x726ae365118bf9b6, 0x98f2076d0d166881,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0xf807275fb9e4afdc, 0x0000000000000014,
};

// t84_swio12_noled_pr_ee_u4
static const uint64_t ur_t84_swio11_noled_pr_ee_u4[] = {
  0xde4ddddda2445541, 0x5cb4b1ea70ceb05e, 0x3ad1776dbaff126d, 0x8a671fc5e6c63bb2, 0xe34c90229110bdbc,
  0x193ba82b7a71ce7a, 0xeffb8073e706609f, 0x59aad68cc7d083ec, 0xe0d983ea3d479597, 0xfb169bbe2b387ea3,
  0xfa5b1971c270dc3a, 0xb4b9455c6b26909a, 0x79d3764011fc873a, 0xdef47bdd8d56ba1d, 0x6f65b2f9c071d8b4,
  0x44f73ca8d823f5b8, 0xce041f6bcb955a80, 0x9cea2a551aeb0839, 0xfdcd672bb54b7d5d, 0xe5abf695b1bd7d2a,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x4462fe6d9eb7156f, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x02792bf734332c3b, 0x00000004ebd595c0,
};

// t84_swio12_noled_pr_ce
static const uint64_t ur_t84_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x95bfdac99f387304, 0x1c72763faaf9420e, 0xaee6d743efcf002c, 0x75f27b965d6b2673,
  0x26e8e395606b3fd4, 0x96ba3114e62c0591, 0xa01ffb33c75e8f9d, 0xcfba0796b77484f2, 0xe738107daf2e556a,
  0x7673a8a9546bac20, 0xabf7359caed52df5, 0x5796afda56c6f5f4, 0x4ef1dfd75cf6ab44, 0x54e041dd4d8a53c3,
  0xbfdeaa8b4c329e87, 0xca2317f36cf5b31d, 0x68b2f572e4d5c1e6, 0x9cfd4eacc7903b68, 0x879133c09c69430a,
  0x6433d30b41bf7c46, 0x4332c3b3e04e32cd, 0xb9cf9d7ee792bf73, 0x000000000000006e,
};

// t84_swio12_noled_pr_ce_u4
static const uint64_t ur_t84_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x3e04ffb8073f6ea6, 0xb48a7aaa3eb22508, 0x488bee3441e78016, 0x37ff459784bf10d8,
  0xb0435933547736bb, 0xab0359fea3af93dc, 0xa731602c8937471c, 0x9e3af47cecb5d188, 0xb5bba4279500ffd9,
  0xed7972ab567dd03c, 0x4aa35d610739c083, 0xe576a96fabb39d45, 0xd2b637afa55fb9ac, 0xbae7b55a22bcb57e,
  0xea6c529e1a778efe, 0x5a6194f43aa7020e, 0x9b67ad98edfef554, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x0375f47170009e4a,
};

// t84_swio12_noled_pr_ee_ce
static const uint64_t ur_t84_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22044, 0xe5a588565c758803, 0xb1c75e9c2f1afe2e, 0xb3f3168a1062f977, 0x1234e71287200db7,
  0x9dd1edb02c21f913, 0xfdc039f0d1304f8c, 0x8fea8ce1d083d8ff, 0xbadf9e005ad274fd, 0x5815ef99cebb9b5f,
  0x0f4af51e5721e53b, 0x6298add2fa8f8366, 0x65c709c370ebec5a, 0xdb8a28ea426be96c, 0xce9bb2008fe439d5,
  0xef47bdd8d578d8eb, 0xf65b2f9c071d8b4d, 0x27b9e546c1132386, 0x7020fb5e5caad4b3, 0xe75152a8d75841ce,
  0xee6b395daa5beaec, 0x2d5fb4ad8debe957, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9,
  0x462fe6d9eb663b7f, 0x65eae5c9ab83cd94, 0xfa9d598f207e50d1, 0x22678138d2861539, 0x67a616837ef88d0f,
  0x658767c09c659ac8, 0xd6f8004f257ee686, 0x00000000000027e3,
};

// t84_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t84_swio11_noled_pr_ee_ce_u4[] = {
  0xd4f777768b9f1f68, 0xcb4b1702123587a6, 0xb02f419ad05c46dd, 0xd2921d3bc8d45b13, 0x0571c887077a6d4f,
  0x9dd1d7d014164777, 0xfdf0f3e87d304f8c, 0x47d51dbaa107c41f, 0xd1079e005cedfe55, 0x5e12fc4361222fb8,
  0xcd51dcdafd4efd16, 0xe5721e53b599ef7c, 0x2fa8f83660f4af51, 0x370ebec5a6298add, 0xa426be96c65c709c,
  0x08fe439d5db8a28e, 0x8d578d8ebce9bb20, 0xc071d8b4def47bdd, 0x6c1132386f65b2f9, 0xe5caad4b327b9e54,
  0x8d75841ce7020fb5, 0xdaa5beaece75152a, 0xd8debe957ee6b395, 0x9ed5688af2d5fb4a, 0xb14a7869de3bfaeb,
  0x8653d0ea9c083ba9, 0x9eb663b7fbd55169, 0x9ab83cd94462fe6d, 0xe40cd3e34596745c, 0xde50c2a73f53ab31,
  0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f, 0xa19961d9f0271966, 0x9bc16c8dd3c95fb9,
  0x000000000000009f,
};

// t84_swio11_lednop_pr              t84_swio12_lednop                 t84_swio12_lednop_pr
static const uint64_t ur_t84_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x1070f7ffcfbb3f01, 0x7ff51f243be5ba0a, 0xe9b4a4c638e5581d, 0x61151f48731602de,
  0x05ee39630475e2e7, 0xc083ed7972ab52b3, 0x9d454aa35d610739, 0x0404e576a96fabb3, 0xa572f4bfa55fb9ae,
  0xb5cf6ab445796afd, 0x52c2ca6c59d01e7e, 0xa2fa2810b4d5ceaf, 0x2317f36d3d0ea9c0, 0x68fe3459a20376ca,
  0xf4c2d06fdd598f20, 0x0ecb25138cb3590c, 0x49079e4afdcd0ccb, 0x0000000000f9000a,
};

// t84_swio12_lednop_pr_u4
static const uint64_t ur_t84_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x44ff6b267c3dcc13, 0x475f0ef96e82841e, 0x126e8e3956075ffd, 0x8ee19cc580b7ba69,
  0x39630475e2e76c8a, 0xf6bcb955a959d26e, 0xa551aeb0839ce041, 0x72bb54b7d5d9cea2, 0x7a5fd2afdcd70202,
  0xb55a22bcb57ed2b9, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x22adfef5545a476e, 0x7079b288c5fcdb19,
  0x03b6868b2ce8b935, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0,
  0x6658767c09c659ac, 0x4d03afdcf257ee68, 0x0000000000000f93,
};

// t84_swio12_lednop_pr_ee
static const uint64_t ur_t84_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0xcb96963d4d68ac24, 0x1a7b42f460d7d594, 0x5dde6825ef54dd8f, 0x27ef17b204522224,
  0x13e3277699efd3b8, 0x38d6ff6b267d2d4c, 0x5c879aad68f6fd08, 0xea3e0d9839c7d479, 0xc3afb169bbe2bfdd,
  0x09afa5b1971c270d, 0xe7569731eb8a2669, 0x1d7aea6ed92234c4, 0x69c1f476b58d56ba, 0xc37b2e1cb380e3b1,
  0xd7972ab55c60bfad, 0xaa35d610739c083e, 0x576a96fabb39d454, 0x4bfa55fb9ae0404e, 0xab445796afda572f,
  0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x36d3d0ea9c0a2fa2, 0x102e4d5c6ca2317f, 0xbab31e40eda1a2cd,
  0x1966b219e985a0df, 0xfb9a19961d964a27, 0x014f8a9cebf73c95,
};

// t84_swio12_lednop_pr_ee_u4
static const uint64_t ur_t84_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0xae5a58f53a17582f, 0x2eae3d803d2f8936, 0x45338fc33c5ea6cd, 0x5a0ac81148885ede,
  0x8c9dd3ada244b554, 0xb7fdc039f4b5304f, 0x2cd56b4663e841c6, 0xf06cc1f51ea3cad8, 0x7d8b4ddf15943f51,
  0x7d2d8cb8e1386e1d, 0x5a5d2b2e3593484d, 0xbce9bb7508e6e39d, 0x7f2238cac6ab5d0e, 0x37b2d97ce038ec5a,
  0x2e909e546c11fadc, 0xe7020fb5e5caad40, 0xce75152a8d75841c, 0xb8101395daa5beae, 0xf695cbd2fe957ee6,
  0xb5d73daad115e5ab, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2, 0x45c9ab83cd94462f,
  0x5663c81f94345967, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x0004eb967c002792,
};

// t84_swio12_lednop_pr_ce
static const uint64_t ur_t84_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x1e43ffb5933e50e6, 0x5838e96c7f55f284, 0x73aee6d70d1f9e00, 0xa8f2fa7b965d6b26,
  0x654e31c72ac0d67f, 0x3b4428c6f9cc580a, 0x45403ff6678ebd1f, 0x6afadc0f2d6e117a, 0x20e738107daf2e55,
  0xf57673a8a9546bac, 0xf735c0809caed52d, 0x2d5fb4ae5e97f4ab, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03,
  0x551691db9e8754e0, 0x62fe6d8c863b7fbd, 0x459a205c9ab8d944, 0x41bf75663c81db43, 0x944e32cd6433d30b,
  0x792bf734332c3b2c, 0x00000b7517edd7ee,
};

// t84_swio12_lednop_pr_ce_u4
static const uint64_t ur_t84_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x3efbffb8073f15a6, 0xb492baaa3eb22508, 0x488bee3441e78016, 0x90ff459784bf10d8,
  0x5821ac99aa3b9b5d, 0xab0359fea3cbe9ee, 0xe73160299538c71c, 0x9e3af47ced10a31b, 0xb5b845e91500ffd9,
  0xf6bcb955abeb703c, 0xa551aeb0839ce041, 0x72bb54b7d5d9cea2, 0x7a5fd2afdcd70202, 0xb55a22bcb57ed2b9,
  0x2d7ce80f37b6bae7, 0x7a1d5381085482e5, 0x18edfef5545a476e, 0xe0f365118bf9b632, 0x07e50d1659d1726a,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359,
  0xe6df0009e4afdcd0, 0x000000000000375d,
};

// t84_swio12_lednop_pr_ee_ce
static const uint64_t ur_t84_swio11_lednop_pr_ee_ce[] = {
  0x6deeeeeea0a232a8, 0xe5a58856a6758803, 0xb70754dd8f1afe2e, 0x67e62b8da2c33837, 0x9682ce250e401b6f,
  0x3bb38b4dd33ee9dc, 0xf700e7e76e609f19, 0x3faa3387420fbb5f, 0xa0fe78016b483376, 0xc0af7cce75dcdafa,
  0x7a57a8f2b29729da, 0x14c565d7d47c1b30, 0x2e384e1b875f62d3, 0xdc958752135f4b63, 0x74ddba847371ceae,
  0x2238cac6abc6c75e, 0xb2d97ce038ec5a7f, 0x484f2a3608991c37, 0x8107daf2e556a59f, 0x3a8a9546bac20e73,
  0x0809caed52df5767, 0x4ae5e97f4abf735c, 0xeb9ed5688af2d5fb, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152,
  0xd8c863b7fbd55169, 0xc9ab83cd94462fe6, 0x8f207e50d165eae5, 0x38d2861539fa9d59, 0x837ef88d0f226781,
  0xc09c659ac867a616, 0x4f257ee686658767, 0x0000009f89f5f800,
};

// t84_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t84_swio11_lednop_pr_ee_ce_u4[] = {
  0xa9eeeeed173e5f41, 0x96962e048ceb0f4d, 0x4dd69bb640b88dbb, 0xa524048f4e23e1bb, 0x7533910e0ef4da9f,
  0x9ddad69daae26462, 0xfdf0f3ffaf304f8c, 0x47d51dbaa107801f, 0xa20f3c00b9dd6fd5, 0xbc25f886c2445f71,
  0x9aa3b9b5c2c9fa2c, 0xcaca5ca76b33def9, 0x5f51f06cc1e95ea3, 0x6e1d7d8b4c531597, 0x484d7d2d8cb8e138,
  0x11cdc73abb72561d, 0x1aaf1b1d79d376ea, 0x80e3b169fc88e32b, 0xd8226470decb65f3, 0xcb955a967d213ca8,
  0x1aeb0839ce041f6b, 0xb54b7d5d9cea2a55, 0xfd2afdcd7020272b, 0xa22bcb57ed2b97a5, 0xce80f37b6bae7b55,
  0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x365118bf9b63218e, 0xf8d1659d1726ae0f, 0xa9cfd4eacc790334,
  0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a, 0x2374f257ee686658,
  0x0000000027e6493b,
};

// t84_swio13_noled_pr
static const uint64_t ur_t84_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x4a107dbfffcfbb3e, 0x0f9ef51e213be5ba, 0xdee9a715af1c72ac, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x738107daf2e556a5, 0x673a8a9546bac20e, 0xcd672bb54b7d54df, 0x5fb4ab57bd7d2afd,
  0xcfd6b9ed5688af2d, 0x9d4ea701652a7d3b, 0x38117ee2810b4b0b, 0xd94462fe6da7a1d5, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x9961d964a271966b, 0x394920f3c95fb9a1, 0x000000000000f900,
};

static const uint64_t ur_t84_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x3995fed64cfbf930, 0xea3cbe3be5a0fd08, 0x8ca9c638e5581f41, 0xbd1ef6731602cb29,
  0x07fecc11d7a3e767, 0x540f2cf6ee1934a8, 0x38107daf2e556aab, 0x73a8a9546bac20e7, 0xd672bb54b7d54df6,
  0xfb4ab57bd7d2afdc, 0xfaeb9ed5688af2d5, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x5fcdb2048ab7fbd5,
  0xce8b9357079b288c, 0x4eacc7903b6868b2, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0x47b93f03f7ff04d0,
  0x9c659ac867a615df, 0x257ee686658767c0, 0x00007c9f4f3afdcf,
};

static const uint64_t ur_t84_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x7eef341f166c2d00, 0x6d2cfdd932291136,
  0x13e3277792ed3347, 0x3efbff6b267e2b4c, 0xadd2cd56b4665508, 0xf51f06cc1a01ea3c, 0xe1d7d8b4ddf15fce,
  0x84d7d2d8cb8e1386, 0x73ab4bc065c51334, 0x0ebd753760511bde, 0x69e454770ec6ab5d, 0xc37b2e1cb380e3b1,
  0x6bcb955aae09afad, 0x551aeb0839ce041f, 0xd52df5537d9cea2a, 0x5ef5f4abf7359cae, 0xb55a22bcb57ed2ad,
  0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x8122adfef5545a61, 0xe4d5c6ca2317f36c, 0x31e40eda1a2cd102,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x7c248ebf73c95fb9, 0x000000000000000a,
};

static const uint64_t ur_t84_swio13_noled_pr_ee_u4[] = {
  0x8bdddddda2447032, 0xb572d2c7a9b4bac7, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b4114889e2d,
  0xf8c9dd3b5b2ed395, 0x2b7fdc039f275304, 0x52e6ab5a37f2841e, 0x1f06cc184ff51e56, 0xd7d8b4ddf15975f5,
  0xd7d2d8cb8e1386e1, 0xd5a5ff72e3593484, 0xebce9bb6948f2439, 0x4d314707ec6ab5d0, 0x86f65b2f9c071d8b,
  0x089ac16a8d823f5b, 0x39c083ed7972ab50, 0xb39d454aa35d6107, 0xe6b395daa5beaa6f, 0xafda55abdebe957e,
  0xdfd75cf6ab445796, 0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x62fe6d902455bfde, 0x96745c9ab83cd944,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000004eba45fc002,
};

static const uint64_t ur_t84_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x20ff3bfdac99f2eb, 0x02c1c4ad63facdd4, 0x339d7736bffcfcf0, 0xdea3cdd3dcb2eb59,
  0x17ba05238e558193, 0x1f3b3de8f7b398b0, 0xc9a5403ff6678ebd, 0xaad556a81e5add70, 0x5841ce7020fb5e5c,
  0xaa9bece75152a8d7, 0xa55fb9ace576a96f, 0x15e5abf6956af7af, 0xd3bc77f5d73daad1, 0xd5381077536294f0,
  0x6ff7aaa2d30ca7a1, 0x6ca2317f36c810c7, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0xebf73c95fb9a1996, 0x0000000002dd517c,
};

static const uint64_t ur_t84_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x107cadff700e7f4d, 0x2d693025547d7baa, 0xb09117dc6883cf00, 0xbf59fe8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3cdd3, 0xf7b398b017ba0523, 0xf6678ebd1f3b3de8, 0x1e5add70c9a5403f,
  0x20fb5e5caad556a8, 0x5152a8d75841ce70, 0xe576a96faa9bece7, 0x956af7afa55fb9ac, 0xd73daad115e5abf6,
  0x536294f0d3bc77f5, 0xd30ca7a1d5381077, 0x36c810c76ff7aaa2, 0x2e4d5c1e6ca2317f, 0xb31e40fca1a2cb3a,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e, 0xfb9a19961d9f0271,
  0x06eb938be0013c95,
};

static const uint64_t ur_t84_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a22582, 0xbb9696215be9d60b, 0x8e891db260bc6bf8, 0x7b3e1791fa8a6ee3, 0x4ce85ce250e171db,
  0x93ba75b59996ae4b, 0xff700e7d36e609f1, 0x63faa32eb420e337, 0x7547e78016b4863f, 0xd6057be673aee6d7,
  0x833d7d47959c394e, 0x98a62b90fea3e0d9, 0x1971c270dc3afb16, 0x76efdc3a909afa5b, 0xf3a6eda523c90e75,
  0x98a383f6355e363a, 0x7b2d97ce038ec5a6, 0x26b05aa3608991c3, 0x7020fb5e5caad4b3, 0xe75152a8d75841ce,
  0xace576a96faa9bec, 0xf6956af7afa55fb9, 0xf5d73daad115e5ab, 0x77536294f0d3bc77, 0xa2d30ca7a1d53810,
  0x7f36c810c76ff7aa, 0x572e4d5c1e6ca231, 0xeacc7903f2868b2f, 0x3c09c69430a9cfd4, 0x30b41bf7c4687913,
  0x3b3e04e32cd6433d, 0xc002792bf734332c, 0x00000000013f0ad5,
};

static const uint64_t ur_t84_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1ec9b5,
  0x93bb45fad8935e27, 0xffdf0f3e292609f1, 0xa8faa3d37420f5bf, 0x3441e780173bb5ba, 0x9784bf10d8488bee,
  0x66a8ee6d776eff45, 0xf2b38729daccf7be, 0x1fd47c1b3067afa8, 0x1b875f62d314c572, 0x52135f4b632e384e,
  0xa47921ceaeddfb87, 0xc6abc6c75e74ddb4, 0xc071d8b4d314707e, 0x6c1132386f65b2f9, 0xcb955a9664d60b54,
  0x1aeb0839ce041f6b, 0x2df5537d9cea2a55, 0xf5f4abf7359caed5, 0x5a22bcb57ed2ad5e, 0x9e1a778efebae7b5,
  0xf43aa7020eea6c52, 0x18edfef5545a6194, 0x83cd94462fe6d902, 0xcd3e34596745c9ab, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x0ac8dd3c95fb9a19,
  0x000000000009f8fc,
};

// t84_swio13_lednop_pr
static const uint64_t ur_t84_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x4a1078f7ffcfbb3e, 0x0f9ef51d7c3be5ba, 0x6f74c7ac431c72ac, 0xe76ded1dc3398b01,
  0xb167ee39630475e2, 0x39c083ed7972ab52, 0xb39d454aa35d6107, 0x101395daa5beaa6f, 0x4ae492fe957ee6b8,
  0x6b9ed5688af2d5fb, 0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x462fe6da7a1d5381, 0xd1fc68b34406ed94,
  0xe985a0dfbab31e40, 0x1d964a271966b219, 0x920f3c95fb9a1996, 0x000000000f901c5c,
};

static const uint64_t ur_t84_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0xfbaff6b267e3dcc1, 0xd479b8ef96e92841, 0x7740a471cab03e7b, 0xe23b58e62c05bdd3,
  0xdc72c608ebc5cec3, 0x07daf2e556a565c3, 0x8a9546bac20e7381, 0x2bb54b7d54df673a, 0x25fd2afdcd702027,
  0xaad115e5abf695c9, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729, 0x156ff7aaa2d23b73, 0x0f365118bf9b65d9,
  0x76d0d1659d1726ae, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07,
  0xcb0ecf8138cb3590, 0xb375fb9e4afdcd0c, 0x0000000000003e4c,
};

static const uint64_t ur_t84_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0xcfdde683e2f70a6a, 0x670ccdd9b0452226,
  0xc13e32777c8e9894, 0x07383fed64cfd0fc, 0x959c39aad68ccaa1, 0x7ea3e0d983403d47, 0xdc3afb169bbe2b72,
  0x909afa5b1971c270, 0x273ab4bbf8b8a266, 0xd0ebd753765f11c4, 0x8b4c6fa3116c6ab5, 0x6e1bd970e59c071d,
  0xf6bcb955aae167fd, 0xa551aeb0839ce041, 0xed52df5537d9cea2, 0x7f4abf735c0809ca, 0xb445796afda57249,
  0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0x6d3d0ea9c09cfa28, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x29f00e4ebf73c95f,
};

static const uint64_t ur_t84_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xdab96963d4debd63, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522278,
  0x09f193baafb60dc6, 0x7383ff700e7e87e6, 0x5a9e9aad68dfca10, 0xd47c1b30613fd479, 0x875f62d377c56c17,
  0x135f4b632e384e1b, 0xe75697f9cb8d64d2, 0x875e74dd827a3050, 0x5a79223c8b6355ae, 0xdc37b2d97ce038ec,
  0x80570c9a546c11fa, 0x39ce041f6bcb955a, 0x7d9cea2a551aeb08, 0xc0809caed52df553, 0xda572497f4abf735,
  0xd75cf6ab445796af, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0x6d976455bfdeaa8b, 0x5c9ab83cd94462fe,
  0x663c81f943459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x0275c217c002792b,
};

static const uint64_t ur_t84_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x20e70ffdac99f60b, 0x02c1c90f63facdd4, 0x673aee6d74dbfcf0, 0xbd479c67b965d6b2,
  0x50f680471cab0327, 0x7cedf2238c8e62c0, 0x70d500ffd99e3af4, 0xab5815a0796b76f7, 0x610739c083ed7972,
  0xaa6fb39d454aa35d, 0xe6b8101395daa5be, 0xd5fb4ae492fe957e, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c,
  0x51691db9e8754e04, 0xbf9b65d863b7fbd5, 0x66881726ae365118, 0x6fdd598f2076d0d1, 0x138cb3590cf4c2d0,
  0x4afdcd0ccb0ecb25, 0x0002dd479775fb9e,
};

static const uint64_t ur_t84_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x107b75ff700e7e39, 0x2d6937dd547d7baa, 0xb09117dc6883cf00, 0xbdc8fe8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3ce33, 0xc6473160287b4023, 0xeccf1d7a3e76f911, 0x3cb5bb7bb86a807f,
  0x41f6bcb955ac0ad0, 0xa2a551aeb0839ce0, 0xcaed52df5537d9ce, 0x497f4abf735c0809, 0x6ab445796afda572,
  0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x31dbfdeaa8b48edc, 0x079b288c5fcdb2ec, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0xf5f8004f257ee686, 0x000000000001baf1,
};

static const uint64_t ur_t84_swio13_lednop_pr_ee_ce[] = {
  0x71ddddddd4144511, 0x1772d2c42b791ac1, 0xe0ea33dc29a98d7f, 0xb7b3e17fd323ed2e, 0xb582104e250e171d,
  0x8c9ddfb5a538b14b, 0x47fdc039f7f9304f, 0xf2c7f5465d6841c3, 0xae6ddfe78016b49f, 0x9dac0af7cce75dcd,
  0xb3067afa8f2b2872, 0x2d314c5652fd47c1, 0xb632e384e1b875f6, 0xeaeddf38752135f4, 0xebce9bb04f460a1c,
  0x9e488f22d8d578d8, 0x0decb65f380e3b16, 0xcee1934a8d822647, 0x39c083ed7972ab52, 0xb39d454aa35d6107,
  0x101395daa5beaa6f, 0x4ae492fe957ee6b8, 0xeb9ed5688af2d5fb, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152,
  0x65d863b7fbd55169, 0x26ae0f365118bf9b, 0x3c81f9434597ab97, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04,
  0x0271966b219e985a, 0x3c95fb9a19961d9f, 0x0000009f873ee001,
};

static const uint64_t ur_t84_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd62c, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1ec9b5,
  0xc9ddb9da3dabbec4, 0xffdf0f3fd83304f8, 0xa8faa3d37420e87d, 0x3441e780173b6bba, 0x9784bf10d8488bee,
  0x66a8ee6d7e1fff45, 0xf2b28729daccf7be, 0x2fd47c1b3067afa8, 0x1b875f62d314c565, 0x52135f4b632e384e,
  0xf460a1ceaeddf387, 0x8d578d8ebce9bb04, 0x80e3b169e488f22d, 0xd8226470decb65f3, 0x972ab52cee1934a8,
  0x35d610739c083ed7, 0x5beaa6fb39d454aa, 0x57ee6b8101395daa, 0xaf2d5fb4ae492fe9, 0x03cdedaeb9ed5688,
  0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x118bf9b65d863b7f, 0x1659d1726ae0f365, 0xfd4eacc790334f8d,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x0000027e68e2b237,
};

// t84_swio14_noled_pr
static const uint64_t ur_t84_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0xa1073d7ff9f767fb, 0xd7ff51e213be5ba0, 0xee98f5f9238e5581, 0xed07d1934731602d,
  0x09edc72c608ebc5c, 0x9c083ed7972ab52b, 0x39d454aa35d61073, 0xe6b3a6e576a96fab, 0x6afda56c7efe957e,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x18bf9b67adc55bfd, 0x47f1a2cd101bb651,
  0xa616837eeacc7903, 0x7659289c659ac867, 0x483cf257ee686658, 0x000000003e407172,
};

static const uint64_t ur_t84_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x107dbffed64cf98f, 0x9af51c143be5b7ba, 0x536df97d1c72ac0c, 0x96ba3114e62c0596,
  0xa01ffb30475e8f9d, 0x3ee81e59edf484f2, 0x9ce041f6bcb955ab, 0x59cea2a551aeb083, 0xf7359d372bb54b7d,
  0xcb57ed2b63f7f4ab, 0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x88c5fcdb3d6e2adf,
  0x8b2ce8b9357079b2, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0,
  0x7c09c659ac867a61, 0xdcf257ee68665876, 0x0000000f93085baf,
};

static const uint64_t ur_t84_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5306758, 0xe85ebd7d623e2f56, 0xeef3412f6c81210b, 0x0ccddbd32291139b,
  0x3e32777c8e989467, 0xcaeff6b267f674c1, 0xfce9aad68f6fd083, 0xa3e0d9839c7d4795, 0x3afb169bbe2b4ade,
  0x9afa5b1971c270dc, 0x3ab4bbf8b8a26690, 0xd7aea6ed37235ae7, 0x4e3247d258d56ba1, 0x1bd970e59c071d8b,
  0x5e5caad5704f7d6e, 0xa8d75841ce7020fb, 0x95daa5beace75152, 0xb1fbfa55fb9ace9b, 0x3daad115e5abf695,
  0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x9eb7156ff7aaa2d3, 0x5c9ab8d94462fe6d, 0x663c81db43459a20,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0x3e01c9d7ee792bf7, 0x0000000000000005,
};

static const uint64_t ur_t84_swio14_noled_pr_ee_u4[] = {
  0x84dddddda2445541, 0xdab96963d4e19d62, 0x6475a2eedb75fe24, 0x7914ce3f8bcd8c77, 0x7ae34c9022911284,
  0x9f193ba82b7a71ce, 0xeceffb8073e70660, 0x9759aad68cc7d083, 0xa3e0d983ea3d4795, 0x3afb169bbe2b387e,
  0x9afa5b1971c270dc, 0x3ab4b9455c6b2690, 0x1d79d3764011fc87, 0xb4def47bdd8d56ba, 0xb86f65b2f9c071d8,
  0x8044f73ca8d823f5, 0x39ce041f6bcb955a, 0xd59cea2a551aeb08, 0xbf7359d372bb54b7, 0xbcb57ed2b63f7f4a,
  0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x288c5fcdb3d6e2ad, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x004f257ee6866587, 0x000000009d7ab2b8,
};

static const uint64_t ur_t84_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x1d2b7fb5933e70e6, 0x5838e4ec7f55f284, 0xe75dcdae87df9e00, 0xa8ebe4f72cbad64c,
  0x224dd1c72ac0d67f, 0x3b2d746229cc580b, 0xe5403ff6678ebd1f, 0xd59f740f2d6ee909, 0x41ce7020fb5e5caa,
  0xbeace75152a8d758, 0x55fb9ace9b95daa5, 0x15e5abf695b1fbfa, 0xd3bc77f5d73daad1, 0xd5381077536294f0,
  0x6ff7aaa2d30ca7a1, 0xb288c5fcdb3d6cc7, 0x1a2cbd5cb9357079, 0xa73f53ab31e40eda, 0xa1e44cf0271a50c2,
  0x590cf4c2d06fdf11, 0xd0ccb0ecf8138cb3, 0xae73e75fb9e4afdc, 0x000000000000001b,
};

static const uint64_t ur_t84_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x107c09ff700e7edd, 0x2d6914f5547d644a, 0xb09117dc6883cf00, 0x766ffe8b2f097e21,
  0xb96086b266a8ee6d, 0x395606b3fd475f27, 0x114e62c059126e8e, 0xb33c75e8f9d96ba3, 0x796b77484f2a01ff,
  0x07daf2e556acfba0, 0x8a9546bac20e7381, 0x74dcaed52df5673a, 0xb4ad8fdfd2afdcd6, 0xaeb9ed5688af2d5f,
  0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0xe6d9eb663b7fbd55, 0x45c9ab83cd94462f, 0x5663c81f94345967,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3, 0xbf734332c3b3e04e,
  0x00dd7d1c5c002792,
};

static const uint64_t ur_t84_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22044, 0xbb9696215971d606, 0xdec71d7a70bc6bf8, 0xdecfcc5a28418be5, 0x9891a738943836f6,
  0x64ee8f6d81610fc8, 0xffee01cf8689827c, 0xec7f54670e841ec7, 0xfdd6fcf002d693a7, 0xdac0af7cce75dcda,
  0x307a57a8f2b90f29, 0xd314c56e97d47c1b, 0x632e384e1b875f62, 0xaedc514752135f4b, 0x5e74dd90047f21ce,
  0x6f7a3deec6abc6c7, 0x37b2d97ce038ec5a, 0x993dcf2a3608991c, 0x738107daf2e556a5, 0x673a8a9546bac20e,
  0xdcd674dcaed52df5, 0x2d5fb4ad8fdfd2af, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9,
  0x462fe6d9eb663b7f, 0x65eae5c9ab83cd94, 0xfa9d598f207e50d1, 0x22678138d2861539, 0x67a616837ef88d0f,
  0x658767c09c659ac8, 0xd6f8004f257ee686, 0x00000000000027e3,
};

static const uint64_t ur_t84_swio14_noled_pr_ee_ce_u4[] = {
  0xef7777768b9f1f68, 0xbb96962e04246b18, 0x27605e8335a0b88d, 0x9fa5243a7791a8b6, 0xee0ae3910e0f8eda,
  0x193ba3afa0282c8e, 0x3ffbe1e7d0fa609f, 0xaa8faa3b75420f88, 0x71a20f3c00b9dbfc, 0x2cbc25f886c2445f,
  0xf99aa3b9b5fa9dfa, 0xa3cae43ca76b33de, 0xba5f51f06cc1e95e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0x4011fc873abb7145, 0xbb1aaf1b1d79d376, 0xf380e3b169bde8f7, 0xa8d8226470decb65, 0x6bcb955a9664f73c,
  0x551aeb0839ce041f, 0x72bb54b7d59cea2a, 0xb63f7f4abf7359d3, 0xe7b55a22bcb57ed2, 0x6c529e1a778efeba,
  0x6194f43aa7020eea, 0x67ad98edfef5545a, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xe6f05b2374f257ee,
  0x0000000000000027,
};

// t84_swio14_lednop_pr
static const uint64_t ur_t84_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x0a1070f7ffcfbb3f, 0x1d7ff51f243be5ba, 0xdee9b4a4c638e558, 0xe761151f48731602,
  0xb305ee39630475e2, 0x39c083ed7972ab52, 0xb39d454aa35d6107, 0x81013a6e576a96fa, 0xda572fb1e957ee6b,
  0xeb5cf6ab445796af, 0xf52c2ca6c59d01e7, 0x0a2fa2810b4d5cea, 0xa2317f36d3d0ea9c, 0x068fe3459a20376c,
  0xcf4c2d06fdd598f2, 0xb0ecb25138cb3590, 0xa49079e4afdcd0cc, 0x00000000000f9000,
};

static const uint64_t ur_t84_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x1e44ff6b267c3dcc, 0xfd475f0ef96e8284, 0x69126e8e3956075f, 0x8a8ee19cc580b7ba,
  0x6e39630475e2e76c, 0x41f6bcb955a959d2, 0xa2a551aeb0839ce0, 0x9d372bb54b7d59ce, 0x97d8f4abf735c080,
  0x7b55a22bcb57ed2b, 0x52d7ce80f37b6bae, 0xe7a1d5381085482e, 0x922adfef5545a476, 0x57079b288c5fcdb1,
  0x903b6868b2ce8b93, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f,
  0x86658767c09c659a, 0x34d03afdcf257ee6, 0x00000000000000f9,
};

static const uint64_t ur_t84_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x29972d2c7a9ad158, 0x1e34f685e8c1afab, 0xe6fbbcd04bdea9bb, 0x704fde2f6408a444,
  0x9827c64eed33dfa7, 0x1071adfed64cfa5a, 0xf2b90f355ad1edfa, 0xbbd47c1b30738fa8, 0x1b875f62d377c57f,
  0xd2135f4b632e384e, 0x89cead2e63d7144c, 0x743af5d4ddb24469, 0x62d383e8ed6b1aad, 0x5b86f65c396701c7,
  0x7daf2e556ab8c17f, 0xa9546bac20e73810, 0x4dcaed52df5673a8, 0xf63d2afdcd702027, 0xd5688af2d5fb4ae5,
  0x94d8b3a03cfd6b9e, 0x502169ab9d5ea585, 0xe6da7a1d538145f4, 0xa205c9ab8d94462f, 0xf75663c81db43459,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x0029f1539d7ee792,
};

static const uint64_t ur_t84_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea742eb1, 0x9a5d5c7b007a5f12, 0x3c8a671f8678bd4d, 0x545a0ac811488942,
  0x4f8c9dd3ada244b5, 0xc6b7fdc039f4b530, 0xd82cd56b4663e841, 0x51f06cc1f51ea3ca, 0x1d7d8b4ddf15943f,
  0x4d7d2d8cb8e1386e, 0x9d5a5d2b2e359348, 0x0ebce9bb7508e6e3, 0x5a7f2238cac6ab5d, 0xdc37b2d97ce038ec,
  0x402e909e546c11fa, 0x1ce7020fb5e5caad, 0xeace75152a8d7584, 0xae0404e9b95daa5b, 0xbf695cbec7a55fb9,
  0xdb5d73daad115e5a, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xfe6d8c9156ff7aaa, 0x745c9ab83cd94462,
  0x75663c81f9434596, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa,
  0x2bf734332c3b3e04, 0x00004eb967c00279,
};

static const uint64_t ur_t84_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x083c87ff6b267ca1, 0x00b071d2d8feabe5, 0x4ce75dcdae1a3f3c, 0xff51e5f4f72cbad6,
  0x14ca9c638e5581ac, 0x3e7688518df398b0, 0xf48a807feccf1d7a, 0xaad5f5b81e5adc22, 0x5841ce7020fb5e5c,
  0xa5beace75152a8d7, 0xfb9ae0404e9b95da, 0xe5abf695cbec7a55, 0x79bdb5d73daad115, 0x0842a417296be740,
  0xaaa2d23b73d0ea9c, 0x8c5fcdb190c76ff7, 0x68b3440b93571b28, 0x6837eeacc7903b68, 0x9289c659ac867a61,
  0xcf257ee686658765, 0x0000016ea2fdbafd,
};

static const uint64_t ur_t84_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x107df7ff700e7e2b, 0x2d692575547d644a, 0xb09117dc6883cf00, 0xbb21fe8b2f097e21,
  0xdcb0435933547736, 0x395606b3fd4797d3, 0x37ce62c0532a718e, 0xb33c75e8f9da2146, 0x796b708bd22a01ff,
  0x83ed7972ab57d6e0, 0x454aa35d610739c0, 0x3a6e576a96fab39d, 0x2fb1e957ee6b8101, 0xf6ab445796afda57,
  0xa5af9d01e6f6d75c, 0xcf43aa70210a905c, 0x431dbfdeaa8b48ed, 0x5c1e6ca2317f36c6, 0x40fca1a2cb3a2e4d,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0xbcdbe0013c95fb9a, 0x00000000000006eb,
};

static const uint64_t ur_t84_swio14_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xbb9696215a99d606, 0xdedc1d53763c6bf8, 0xbd9f98ae368b0ce0, 0xe4b4167128706ded,
  0xc9dd9c5a6e99f74e, 0xffb8073f3b7304f8, 0xb1fd519c3a107dda, 0xd507f3c00b5a419b, 0xd6057be673aee6d7,
  0x83d2bd479594b94e, 0x98a62b2ebea3e0d9, 0x1971c270dc3afb16, 0x76e4ac3a909afa5b, 0xf3a6edd4239b8e75,
  0xf911c656355e363a, 0xbd96cbe701c762d3, 0xfa427951b044c8e1, 0x9c083ed7972ab52c, 0x39d454aa35d61073,
  0x1013a6e576a96fab, 0xa572fb1e957ee6b8, 0x75cf6ab445796afd, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9,
  0x6c6431dbfdeaa8b4, 0xe4d5c1e6ca2317f3, 0xc7903f2868b2f572, 0x9c69430a9cfd4eac, 0x41bf7c46879133c0,
  0xe04e32cd6433d30b, 0x2792bf734332c3b3, 0x0000004fc4fafc00,
};

static const uint64_t ur_t84_swio14_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e5f41, 0x772d2c5c0919d631, 0x769bad376c81711b, 0x3f4a48091e9c47c3, 0xc4ea67221c1f1db5,
  0x193bb5ad3b55c4c8, 0x3ffbe1e7ff5e609f, 0xaa8faa3b75420f00, 0xe3441e780173badf, 0x59784bf10d8488be,
  0xf33547736b8593f4, 0x479594b94ed667bd, 0x2ebea3e0d983d2bd, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0xd4239b8e7576e4ac, 0x56355e363af3a6ed, 0xe701c762d3f911c6, 0x51b044c8e1bd96cb, 0xd7972ab52cfa4279,
  0xaa35d610739c083e, 0xe576a96fab39d454, 0x1e957ee6b81013a6, 0xb445796afda572fb, 0xf9d01e6f6d75cf6a,
  0x3aa70210a905ca5a, 0xdbfdeaa8b48edcf4, 0xe6ca2317f36c6431, 0x9f1a2cb3a2e4d5c1, 0x1539fa9d598f2066,
  0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf, 0x646e9e4afdcd0ccb,
  0x0000000004fcc927,
};

// t84_swio15_noled_pr
static const uint64_t ur_t84_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x4a107dbfffcfbb3e, 0x0f9ef51e213be5ba, 0xdee9a715af1c72ac, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0x738107daf2e556a5, 0x673a8a9546bac20e, 0xcd674dcaed52df57, 0xafda55abfdfd2afd,
  0xe7eb5cf6ab445796, 0xcea75380b2953e9d, 0x9c08bf714085a585, 0x6ca2317f36d3d0ea, 0xf2068fe3459a2037,
  0x90cf4c2d06fdd598, 0xccb0ecb25138cb35, 0x1ca49079e4afdcd0, 0x0000000000007c80,
};

static const uint64_t ur_t84_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x3995fed64cfbf930, 0xea3cbe3be5a0fd08, 0x8ca9c638e5581f41, 0xbd1ef6731602cb29,
  0x07fecc11d7a3e767, 0x540f2cf6ee1934a8, 0x38107daf2e556aab, 0x73a8a9546bac20e7, 0xd674dcaed52df576,
  0xfda55abfdfd2afdc, 0xfd75cf6ab445796a, 0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2fe6d902455bfdea,
  0x6745c9ab83cd9446, 0xa75663c81db43459, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0xa3dc9f81fbff8268,
  0x4e32cd6433d30aef, 0x92bf734332c3b3e0, 0x00003e4fa79d7ee7,
};

static const uint64_t ur_t84_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x2eef341f166c2d00, 0x6d2cfdd932291112,
  0x13e3277792ed3347, 0x3efbff6b267e2b4c, 0xadd2cd56b4665508, 0xf51f06cc1a01ea3c, 0xe1d7d8b4ddf15fce,
  0x84d7d2d8cb8e1386, 0x73ab4bc065c51334, 0x0ebd753760511bde, 0x69e454770ec6ab5d, 0xc37b2e1cb380e3b1,
  0x6bcb955aae09afad, 0x551aeb0839ce041f, 0x2bb54b7d5d9cea2a, 0xaff7f4abf7359d37, 0xdaad115e5abf6956,
  0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0x409156ff7aaa2d30, 0x726ae365118bf9b6, 0x98f2076d0d166881,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0x3e12475fb9e4afdc, 0x0000000000000005,
};

static const uint64_t ur_t84_swio15_noled_pr_ee_u4[] = {
  0x7bdddddda2447032, 0xb572d2c7a9b4bac1, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b41148885ed,
  0xf8c9dd3b5b2ed395, 0x2b7fdc039f275304, 0x52e6ab5a37f2841e, 0x1f06cc184ff51e56, 0xd7d8b4ddf15975f5,
  0xd7d2d8cb8e1386e1, 0xd5a5ff72e3593484, 0xebce9bb6948f2439, 0x4d314707ec6ab5d0, 0x86f65b2f9c071d8b,
  0x089ac16a8d823f5b, 0x39c083ed7972ab50, 0xb39d454aa35d6107, 0xe6b3a6e576a96fab, 0x57ed2ad5fefe957e,
  0xefebae7b55a22bcb, 0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x317f36c8122adfef, 0xcb3a2e4d5c1e6ca2,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x00000275d22fe001,
};

static const uint64_t ur_t84_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x83fceff6b267cbac, 0x0b0712b58feb3750, 0xce75dcdafff3f3c0, 0x7a8f374f72cbad64,
  0x5ee8148e3956064f, 0x7cecf7a3dece62c0, 0x269500ffd99e3af4, 0xab555aa0796b75c3, 0x610739c083ed7972,
  0x6fabb39d454aa35d, 0x957ee6b3a6e576a9, 0x2bcb57ed2ad5fefe, 0xa778efebae7b55a2, 0xaa7020eea6c529e1,
  0xdfef5545a6194f43, 0xd94462fe6d90218e, 0xdb43459a205c9ab8, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xd7ee792bf734332c, 0x0000000005baa2f9,
};

static const uint64_t ur_t84_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x107cadff700e7f4d, 0x2d693025547d7baa, 0xb09117dc6883cf00, 0xbf59fe8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3cdd3, 0xf7b398b017ba0523, 0xf6678ebd1f3b3de8, 0x1e5add70c9a5403f,
  0x20fb5e5caad556a8, 0x5152a8d75841ce70, 0xe9b95daa5beaece7, 0x4ab57fbfa55fb9ac, 0xeb9ed5688af2d5fb,
  0xa9b14a7869de3bfa, 0x698653d0ea9c083b, 0x9b640863b7fbd551, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x0375c9c5f0009e4a,
};

static const uint64_t ur_t84_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a22582, 0x5dcb4b10adf4eb10, 0xc7448ed9305e35fc, 0xbd9f0bc8fd453771, 0xd33a17389439006d,
  0x64ee9d6d6665ab92, 0xffdc039f4db9827c, 0xd8fea8cbad0838cd, 0xdd51f9e005ad218f, 0xb5815ef99cebb9b5,
  0x60cf5f51e5670e53, 0xa6298ae43fa8f836, 0xc65c709c370ebec5, 0x5dbbf70ea426be96, 0xbce9bb6948f2439d,
  0xa628e0fd8d578d8e, 0xdecb65f380e3b169, 0xc9ac16a8d8226470, 0x9c083ed7972ab52c, 0x39d454aa35d61073,
  0x6b3a6e576a96fabb, 0x7ed2ad5fefe957ee, 0xfebae7b55a22bcb5, 0x0eea6c529e1a778e, 0x545a6194f43aa702,
  0x2fe6d90218edfef5, 0xeae5c9ab83cd9446, 0x9d598f207e50d165, 0x678138d2861539fa, 0xa616837ef88d0f22,
  0x8767c09c659ac867, 0xb8004f257ee68665, 0x000000000027e15a,
};

static const uint64_t ur_t84_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61e, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1de9b5,
  0x93bb45fad8935e27, 0xffdf0f3e292609f1, 0xa8faa3d37420f5bf, 0x3441e780173bb5ba, 0x9784bf10d8488bee,
  0x66a8ee6d776eff45, 0xf2b38729daccf7be, 0x1fd47c1b3067afa8, 0x1b875f62d314c572, 0x52135f4b632e384e,
  0xa47921ceaeddfb87, 0xc6abc6c75e74ddb4, 0xc071d8b4d314707e, 0x6c1132386f65b2f9, 0xcb955a9664d60b54,
  0x1aeb0839ce041f6b, 0xb54b7d5d9cea2a55, 0xf7f4abf7359d372b, 0xad115e5abf6956af, 0x4f0d3bc77f5d73da,
  0x7a1d538107753629, 0x0c76ff7aaa2d30ca, 0xc1e6ca2317f36c81, 0x669f1a2cb3a2e4d5, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590, 0x05646e9e4afdcd0c,
  0x000000000004fc7e,
};

// t84_swio15_lednop_pr
static const uint64_t ur_t84_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x4a1078f7ffcfbb3e, 0x0f9ef51d7c3be5ba, 0x6f74c7ac431c72ac, 0xe76ded1dc3398b01,
  0xb167ee39630475e2, 0x39c083ed7972ab52, 0xb39d454aa35d6107, 0x1013a6e576a96fab, 0xd2b92b1e957ee6b8,
  0x5ae7b55a22bcb57e, 0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x118bf9b69e8754e0, 0x347f1a2cd101bb65,
  0x7a616837eeacc790, 0x87659289c659ac86, 0x2483cf257ee68665, 0x0000000003e40717,
};

static const uint64_t ur_t84_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0xfbaff6b267e3dcc1, 0xd479b8ef96e92841, 0x7740a471cab03e7b, 0xe23b58e62c05bdd3,
  0xdc72c608ebc5cec3, 0x07daf2e556a565c3, 0x8a9546bac20e7381, 0x4dcaed52df57673a, 0x563d2afdcd702027,
  0x6ab445796afda572, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca, 0x455bfdeaa8b48edc, 0x83cd94462fe6d976,
  0x1db434596745c9ab, 0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81,
  0x32c3b3e04e32cd64, 0x2cdd7ee792bf7343, 0x0000000000000f93,
};

static const uint64_t ur_t84_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0x45dde683e2f70a6a, 0x670ccdd9b0452222,
  0xc13e32777c8e9894, 0x07383fed64cfd0fc, 0x959c39aad68ccaa1, 0x7ea3e0d983403d47, 0xdc3afb169bbe2b72,
  0x909afa5b1971c270, 0x273ab4bbf8b8a266, 0xd0ebd753765f11c4, 0x8b4c6fa3116c6ab5, 0x6e1bd970e59c071d,
  0xf6bcb955aae167fd, 0xa551aeb0839ce041, 0x72bb54b7d5d9cea2, 0x8f4abf735c0809d3, 0xad115e5abf695c95,
  0x9b1674079fad73da, 0x042d3573abd4b0b2, 0xdb4f43aa70273e8a, 0x40b93571b288c5fc, 0xeacc7903b6868b34,
  0x659ac867a616837e, 0xee6866587659289c, 0x0a7c0393afdcf257,
};

static const uint64_t ur_t84_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xdab96963d4debd60, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522217,
  0x09f193baafb60dc6, 0x7383ff700e7e87e6, 0x5a9e9aad68dfca10, 0xd47c1b30613fd479, 0x875f62d377c56c17,
  0x135f4b632e384e1b, 0xe75697f9cb8d64d2, 0x875e74dd827a3050, 0x5a79223c8b6355ae, 0xdc37b2d97ce038ec,
  0x80570c9a546c11fa, 0x39ce041f6bcb955a, 0x5d9cea2a551aeb08, 0xc0809d372bb54b7d, 0xf695c958f4abf735,
  0xb5d73daad115e5ab, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x9b65d9156ff7aaa2, 0x1726ae0f365118bf,
  0x598f207e50d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x009d7085f0009e4a,
};

static const uint64_t ur_t84_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x839c3ff6b267d82c, 0x0b07243d8feb3750, 0x9cebb9b5d36ff3c0, 0xf51e719ee5975ac9,
  0x43da011c72ac0c9e, 0xf3b7c88e32398b01, 0xc35403ff6678ebd1, 0xad605681e5addbdd, 0x841ce7020fb5e5ca,
  0xbeaece75152a8d75, 0x9ae0404e9b95daa5, 0xd5fb4ae4ac7a55fb, 0xdedaeb9ed5688af2, 0x21520b94b5f3a03c,
  0x51691db9e8754e04, 0xbf9b65d863b7fbd5, 0x66881726ae365118, 0x6fdd598f2076d0d1, 0x138cb3590cf4c2d0,
  0x4afdcd0ccb0ecb25, 0x0002dd479775fb9e,
};

static const uint64_t ur_t84_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x107b75ff700e7e39, 0x2d6937dd547d7baa, 0xb09117dc6883cf00, 0xbdc8fe8b2f097e21,
  0xdcb0435933547736, 0x8e558193dea3ce33, 0xc6473160287b4023, 0xeccf1d7a3e76f911, 0x3cb5bb7bb86a807f,
  0x41f6bcb955ac0ad0, 0xa2a551aeb0839ce0, 0xd372bb54b7d5d9ce, 0x958f4abf735c0809, 0xdaad115e5abf695c,
  0x96be74079bdb5d73, 0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0xc1e6ca2317f36cbb, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x7d7e0013c95fb9a1, 0x0000000000006ebc,
};

static const uint64_t ur_t84_swio15_lednop_pr_ee_ce[] = {
  0x00ddddddd4144511, 0x8bb9696215bc8d62, 0x707519ee14d4c6bf, 0xdbd9f0bfe991f697, 0xed60841389439006,
  0xe32777ed694e2c52, 0xd1ff700e7dfe4c13, 0xfcb1fd51975a1070, 0x6b9b77f9e005ad27, 0xa76b02bdf339d773,
  0x6cc19ebea3caca1c, 0x8b4c531594bf51f0, 0x2d8cb8e1386e1d7d, 0x3abb77ce1d484d7d, 0x3af3a6ec13d18287,
  0xa79223c8b6355e36, 0xc37b2d97ce038ec5, 0xb3b864d2a3608991, 0xce7020fb5e5caad4, 0xece75152a8d75841,
  0x0404e9b95daa5bea, 0xb4ae4ac7a55fb9ae, 0xaeb9ed5688af2d5f, 0x20b94b5f3a03cded, 0x91db9e8754e04215,
  0xb65d863b7fbd5516, 0x726ae0f365118bf9, 0x63c81f9434597ab9, 0x4e34a1854e7ea756, 0xa0dfbe2343c899e0,
  0xf0271966b219e985, 0x13c95fb9a19961d9, 0x00000009f873ee00,
};

static const uint64_t ur_t84_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61e, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1de9b5,
  0xc9ddb9da3dabbec4, 0xffdf0f3fd83304f8, 0xa8faa3d37420e87d, 0x3441e780173b6bba, 0x9784bf10d8488bee,
  0x66a8ee6d7e1fff45, 0xf2b28729daccf7be, 0x2fd47c1b3067afa8, 0x1b875f62d314c565, 0x52135f4b632e384e,
  0xf460a1ceaeddf387, 0x8d578d8ebce9bb04, 0x80e3b169e488f22d, 0xd8226470decb65f3, 0x972ab52cee1934a8,
  0x35d610739c083ed7, 0x6a96fabb39d454aa, 0x57ee6b81013a6e57, 0x2bcb57ed2b92b1e9, 0x80f37b6bae7b55a2,
  0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x4462fe6d97618edf, 0x4596745c9ab83cd9, 0x3f53ab31e40cd3e3,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xd3c95fb9a19961d9,
  0x0000009f9a38ac8d,
};

static const uint64_t ur_t84a_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f532b758, 0x469ed0bd75e5ef56, 0xfbbcd06844130acc, 0x9fbc5f8ec8a444e6,
  0x4f8c9dda67bf4ee0, 0x995bfdac99fd3730, 0x2b4ad355ad1f7490, 0xfa8f83660e5f7a8f, 0x70ebec5a6ef8adc9,
  0x426be96c65c709c3, 0x39d5a5cc7ae2899a, 0x875eba9bb2f88c7c, 0x5a637d1f416355ae, 0x70decb872ce038ec,
  0xb5e5caad570b3feb, 0x152a8d77210e7e09, 0x6b395daa5beace75, 0xa2112a97debe8212, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x8c5fcdb15aa2adfe, 0x68b3440b93571b28, 0x6837eeacc7903b68,
  0x9289c659ac867a61, 0xcf257ee686658765, 0x00000053e2a73afd,
};

static const uint64_t ur_t84a_swio10_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0xdab96963d4cfdd62, 0x5176c8e933e3fe24, 0x7914c1ae0cd906a7, 0xa16d2f0a22911284,
  0x9f193bad8b560a4c, 0x69bffb8073e35a60, 0x59c39aad68e3da42, 0xea3e0d9833d7d479, 0xc3afb169bbe2b90f,
  0x09afa5b1971c270d, 0x73ab4bd4a5c6b269, 0xa1d79d3769c51c42, 0x169ad74622d8d56b, 0xb70decb65f380e3b,
  0x40259f5fd51b047e, 0x210e7e09b5e5caad, 0x5beace75152a8d77, 0xdebe82126b395daa, 0xb55a22bca2112a97,
  0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x5aa2adfef5545a61, 0x57079b288c5fcdb1, 0x903f2868b2ce8b93,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a,
  0xf756f8004f257ee6, 0x000000000000013a,
};

static const uint64_t ur_t84a_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x4727fed64cfc8798, 0x160e7eeb1fd72448, 0x9cebb9b5e007e780, 0xf51f249ee5975ac9,
  0x84f5f238e5581e0b, 0xe761f11dac731602, 0x9ea807feccf1d7a3, 0x6a209503cb5bba05, 0xb90873f04daf2e55,
  0x52df5673a8a9546b, 0xbef5f4109359caed, 0x3daad115e5108954, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753,
  0x15a8c76ff7aaa2d3, 0x357079b288c5fcdb, 0xe40eda1a2cbd5cb9, 0x1a50c2a73f53ab31, 0x6fdf11a1e44cf027,
  0x138cb3590cf4c2d0, 0xe4afdcd0ccb0ecf8, 0x00006eba7d775fb9,
};

static const uint64_t ur_t84a_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x2114f7fdc039fdf7, 0x16b48c16aa3ea13d, 0xd8488bee3441e780, 0x5d9f3f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51f249, 0xdac73160284f5f23, 0xeccf1d7a3e761f11, 0x3cb5bba059ea807f,
  0x04daf2e556a20950, 0x3a8a9546bb90873f, 0x09359caed52df567, 0x5e5108954bef5f41, 0x3bc77f5d73daad11,
  0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x288c5fcdb15a8c76, 0x68b2ce8b9357079b, 0x9cfd4eacc7903f28,
  0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6, 0x004f257ee6866587,
  0x00000001baf924f8,
};

static const uint64_t ur_t84a_swio10_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x772d2c42b1a5ac0d, 0x76cbbdc77988d7f1, 0x7b3fc7d91a0a0cfa, 0xf4da5ce250e0dbdb,
  0x93ba76b6c4a72a67, 0xff700e7f76a609f1, 0x563faa390e90863f, 0xbdd0ff3c00b5a40b, 0x76b02bdf339d7736,
  0xcc1a01ea3cadd2ca, 0xb4c5315fcef51f06, 0xd8cb8e1386e1d7d8, 0xabb754a1d484d7d2, 0xd79d3769c51c4273,
  0x35ae8c45b1aaf1b1, 0x1bd96cbe701c762d, 0x359f5fd51b044c8e, 0x0e7e09b5e5caad4b, 0xeace75152a8d7721,
  0xbe82126b395daa5b, 0x5a22bca2112a97de, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x18edfef5545a6194,
  0x0f365118bf9b62b5, 0xf9434597ab9726ae, 0x1854e7ea75663c81, 0xe2343c899e04e34a, 0x966b219e985a0dfb,
  0xfb9a19961d9f0271, 0x0027e204e0013c95,
};

static const uint64_t ur_t84a_swio10_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6481711b, 0x9fa5c2960d33080c, 0xe0d9a5910e0f8eda,
  0xc9dddfbdb0c89e8c, 0xffef879f801304f8, 0xd547d51efb484b5b, 0x71a20f3c00b9dced, 0x2cbc25f886c2445f,
  0xf33547736b8c2ffa, 0x4795ba594ed667bd, 0xf9dea3e0d983403d, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0x38a3884e7576ea94, 0xb6355e363af3a6ed, 0xce038ec5a6b5d188, 0xa3608991c37b2d97, 0xbcb955a966b3ebfa,
  0xa551aee421cfc136, 0x672bb54b7d59cea2, 0x422552fbd7d0424d, 0xdfd75cf6ab445794, 0x41dd4d8a53c34ef1,
  0xaa8b4c329e8754e0, 0x17f36c56a31dbfde, 0xb3a2e4d5c1e6ca23, 0x9d598f20669f1a2c, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0x8f727e07effe09a1, 0x38cb3590cf4c2bbe, 0x4afdcd0ccb0ecf81, 0x0004fc20e5646e9e,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0x29972d2c7a992158, 0xf697a34f7d2d69ab, 0x9beef341a136c982, 0x1b3760cd04229113,
  0x609f193ba627571c, 0x42472ff6b267fabe, 0x3cadd2cd56b47dd2, 0x8bea3e0d98397dea, 0x0dc3afb169bbe2b2,
  0x6909afa5b1971c27, 0xbce756978f6b8a26, 0xba1d7aea6edf2237, 0xb169ef68ee1d8d56, 0xadc37b2e1cb380e3,
  0x136bcb955aae39ef, 0xea2a551aee421cfc, 0x020272bb54b7d59c, 0x2255aba5fd0424d7, 0x7eb5cf6ab4457944,
  0xaf52c2ca6c59d01e, 0x81b1fe2810b4d5ce, 0x94462fe6da7a1d53, 0xb43459a205c9ab8d, 0x30b41bf75663c81d,
  0xb2c944e32cd6433d, 0x7ee792bf734332c3, 0x000000000a7ce71d,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69746db11f12, 0x7914c1ae7ec19d93, 0x840f5d0422911284,
  0x4f8c9dd1edb1c421, 0x472ffb8073fd5f30, 0x59439aad68e3da42, 0xea3e0d9833d7d479, 0xc3afb169bbe2b297,
  0x09afa5b1971c270d, 0x73ab4bb935c6b269, 0xa1d79d3763d51af8, 0x169c428c6fd8d56b, 0xb70decb65f380e3b,
  0xa01740b3d51b047e, 0x90873f04daf2e556, 0x2df5673a8a9546bb, 0x410935c0809caed5, 0x115e5108956ae97f,
  0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0xca2317f36d843156, 0x1a2cb3a2e4d5c1e6,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff, 0xd9f0271966b219e9,
  0x0013c95fb9a19961, 0x0000000013ae9a0e,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x48474bfed64cf94b, 0x80160e7ceb1fd724, 0x9339d7736beed7e7, 0x17ea38293dcb2eb5,
  0x0bb7e5f471cab03c, 0x1f3b2628e0f9cc58, 0xba05403ff6678ebd, 0x556a844c0f2d6eb5, 0x6bb90873f04daf2e,
  0xed52df5673a8a954, 0x97f410935c0809ca, 0xaad115e5108956ae, 0x6be74079bdb5d73d, 0xd0ea9c0842a41729,
  0xc76ff7aaa2d23b73, 0xb8d94462fe6db084, 0x81db43459a205c9a, 0x33d30b41bf75663c, 0x2c3b2c944e32cd64,
  0xfdd7ee792bf73433, 0x00000000000b75b1,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x212577fdc039fd9d, 0x16b4995aaa3ea13d, 0xd8488bee3441e780, 0x5d2a3f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51c149, 0x07ce62c05dbf2fa3, 0xb33c75e8f9d93147, 0x796b75add02a01ff,
  0x826d7972ab542260, 0x9d454aa35dc8439f, 0xe0404e576a96fab3, 0x844ab574bfa0849a, 0xedaeb9ed5688af28,
  0x1520b94b5f3a03cd, 0x1691db9e8754e042, 0xf36d84263b7fbd55, 0xa2e4d5c1e6ca2317, 0xab31e40fca1a2cb3,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027,
  0x006ebed7be0013c9,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bdb260bc6bf8, 0x7b3fc79a5b227ec4, 0xe45ebce250e0dbdb,
  0x93baafb43746a583, 0xffb8073fa6a609f1, 0xfd8fea8e43a427fc, 0x5c001f9e005ad258, 0x3b5815ef99cebb9b,
  0x660d00f51e565d65, 0x5a6298ace1fa8f83, 0x6c65c709c370ebec, 0xd5db9c98ea426be9, 0xebce9bb1ea8d7c39,
  0x9c428c6fd8d578d8, 0x0decb65f380e3b16, 0xcfa059ea8d822647, 0x439f826d7972ab52, 0xfab39d454aa35dc8,
  0x849ae0404e576a96, 0xaf28844ab574bfa0, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754,
  0x2317f36d84263b7f, 0xb2f572e4d5c1e6ca, 0xfd4eacc7903f2868, 0x9133c09c69430a9c, 0x33d30b41bf7c4687,
  0x32c3b3e04e32cd64, 0xe8bc002792bf7343, 0x00000000000027e0,
};

static const uint64_t ur_t84a_swio10_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e821711b, 0x3f4b85471582d159, 0x23b313221c1f1db5,
  0x64eebadea0aeef27, 0xffef879fc6e9827c, 0x5547d51efb4846bb, 0xb8d1079e005cef10, 0x165e12fc4361222f,
  0x7ccd51dcdaeb82fd, 0x51e565d653b599ef, 0xce1fa8f83660d00f, 0x9c370ebec5a6298a, 0x8ea426be96c65c70,
  0x1ea8d7c39d5db9c9, 0xfd8d578d8ebce9bb, 0xf380e3b169c428c6, 0xa8d8226470decb65, 0xd7972ab52cfa059e,
  0x54aa35dc8439f826, 0x04e576a96fab39d4, 0xab574bfa0849ae04, 0xeb9ed5688af28844, 0x0b94b5f3a03cdeda,
  0x1db9e8754e042152, 0xd84263b7fbd55169, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xc1539646e9e4afdc,
  0x000000000000004f,
};

// t84a_swio12_noled_pr_ee
static const uint64_t ur_t84a_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9833ac24, 0x2f5ebeb11f17ab29, 0x79a097b6409085f4, 0x66ede99148889177,
  0x193bbe474c4a3386, 0x77fb5933fb3a609f, 0xe74d56b47b7d2125, 0x1f06cc1ce3ea3caf, 0xd7d8b4ddf15a56f5,
  0xd7d2d8cb8e1386e1, 0xd5a5dfc5c5133484, 0xbd753769b91ad739, 0x71923e92c6ab5d0e, 0xdecb872ce038ec5a,
  0xf2e556ab827beb70, 0x9546bb90873f04da, 0xcaed52df57673a8a, 0x2256c6f5f4109359, 0xfd75cf6ab4457944,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0xbf9b67adc55bfdea, 0x66881726ae365118, 0x6fdd598f2076d0d1,
  0x138cb3590cf4c2d0, 0x4afdcd0ccb0ecb25, 0x00014f807275fb9e,
};

// t84a_swio12_noled_pr_ee_u4
static const uint64_t ur_t84a_swio11_noled_pr_ee_u4[] = {
  0xde4ddddda2445541, 0x5cb4b1ea70ceb05e, 0x3ad1776dbaff126d, 0x8a671fc5e6c63bb2, 0xe34c90229110bdbc,
  0x193ba82b7a71ce7a, 0xeffb8073e706609f, 0x759aad68cc7a426c, 0x3e0d983ea3d47959, 0xafb169bbe2b387ea,
  0xafa5b1971c270dc3, 0xab4b9455c6b26909, 0xd79d3764011fc873, 0x4def47bdd8d56ba1, 0x86f65b2f9c071d8b,
  0x044f73ca8d823f5b, 0x21cfc136bcb955a8, 0xd5d9cea2a551aee4, 0x7d0424d672bb54b7, 0xad115e510895b1bd,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x7156ff7aaa2d30ca, 0x83cd94462fe6d9eb, 0x1f9434596745c9ab,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0x595c002792bf7343, 0x0000000000004ebd,
};

// t84a_swio12_noled_pr_ce
static const uint64_t ur_t84a_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x95bfdac99f387304, 0xc1c72763faaf8908, 0x3aee6d743efcf002, 0x475f27b965d6b267,
  0x126e8e395606b3fd, 0xd96ba3114e62c059, 0x2a01ffb33c75e8f9, 0xacfba0796b77484f, 0x90873f04daf2e556,
  0xdf57673a8a9546bb, 0xf5f4109359caed52, 0x6ab44579442256c6, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8,
  0x5b31dbfdeaa8b4c3, 0x5c1e6ca2317f36cf, 0x03b6868b2f572e4d, 0x9430a9cfd4eacc79, 0xf7c46879133c09c6,
  0xe32cd6433d30b41b, 0x2bf734332c3b3e04, 0x0006eb9cf9d7ee79,
};

// t84a_swio12_noled_pr_ce_u4
static const uint64_t ur_t84a_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x2604ffb8073f6ea6, 0x6b48a7aaa3eb2224, 0x8488bee3441e7801, 0xb37ff459784bf10d,
  0xcb0435933547736b, 0xcab0359fea3af93d, 0x8a731602c8937471, 0x99e3af47cecb5d18, 0xcb5bba4279500ffd,
  0x26d7972ab567dd03, 0xd454aa35dc8439f8, 0x9ace576a96fabb39, 0xca2112b637afa084, 0x78efebae7b55a22b,
  0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x118bf9b67ad98edf, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x09e4afdcd0ccb0ec,
  0x000000375f471700,
};

// t84a_swio12_noled_pr_ee_ce
static const uint64_t ur_t84a_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22044, 0xe5a588565c758803, 0xb1c75e9c2f1afe2e, 0xb3f3168a1062f977, 0x1234e71287200db7,
  0x9dd1edb02c21f913, 0xfdc039f0d1304f8c, 0xd8fea8ce1a4258ff, 0xfbadf9e005ad274f, 0xb5815ef99cebb9b5,
  0x60f4af51e5721e53, 0xa6298add2fa8f836, 0xc65c709c370ebec5, 0x5db8a28ea426be96, 0xbce9bb2008fe439d,
  0xdef47bdd8d578d8e, 0x6f65b2f9c071d8b4, 0x327b9e546c113238, 0x0e7e09b5e5caad4b, 0xaece75152a8d7721,
  0xe82126b395daa5be, 0x688af28844ad8deb, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x63b7fbd551698653,
  0x3cd94462fe6d9eb6, 0xe50d165eae5c9ab8, 0x61539fa9d598f207, 0x88d0f22678138d28, 0x59ac867a616837ef,
  0xee686658767c09c6, 0x027e3d6f8004f257,
};

// t84a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t84a_swio11_noled_pr_ee_ce_u4[] = {
  0xd4f777768b9f1f68, 0xcb4b1702123587a6, 0xb02f419ad05c46dd, 0xd2921d3bc8d45b13, 0x0571c887077a6d4f,
  0x9dd1d7d014164777, 0xfdf0f3e87d304f8c, 0x547d51dba484c41f, 0x8d1079e005cedfe5, 0x65e12fc4361222fb,
  0xccd51dcdafd4efd1, 0x1e5721e53b599ef7, 0xd2fa8f83660f4af5, 0xc370ebec5a6298ad, 0xea426be96c65c709,
  0x008fe439d5db8a28, 0xd8d578d8ebce9bb2, 0x9c071d8b4def47bd, 0x46c1132386f65b2f, 0x5e5caad4b327b9e5,
  0x52a8d77210e7e09b, 0x395daa5beaece751, 0x844ad8debe82126b, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3,
  0x551698653d0ea9c0, 0x2fe6d9eb663b7fbd, 0x6745c9ab83cd9446, 0x3ab31e40cd3e3459, 0xf787bde50c2a73f5,
  0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02, 0x0009f9bc16c8dd3c,
};

// t84a_swio12_lednop_pr_ee
static const uint64_t ur_t84a_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0xcb96963d4d68ac24, 0x1a7b42f460d7d594, 0x5dde6825ef54dd8f, 0x27ef17b204522224,
  0x13e3277699efd3b8, 0x20d6ff6b267d2d4c, 0x95c879aad68f6fa4, 0xdea3e0d9839c7d47, 0xdc3afb169bbe2bfd,
  0x909afa5b1971c270, 0x4e7569731eb8a266, 0xa1d7aea6ed92234c, 0x169c1f476b58d56b, 0xdc37b2e1cb380e3b,
  0x6d7972ab55c60bfa, 0x454aa35dc8439f82, 0x04e576a96fabb39d, 0x572f4bfa0849ae04, 0xb5cf6ab445794422,
  0x52c2ca6c59d01e7e, 0xa2fa2810b4d5ceaf, 0x2317f36d3d0ea9c0, 0x1a2cd102e4d5c6ca, 0x5a0dfbab31e40eda,
  0x64a271966b219e98, 0x73c95fb9a19961d9, 0x00000014f8a9cebf,
};

// t84a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t84a_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0xae5a58f53a17582f, 0x2eae3d803d2f8936, 0x45338fc33c5ea6cd, 0x5a0ac81148885ede,
  0x8c9dd3ada244b554, 0xb7fdc039f4b5304f, 0x82cd56b4663d2106, 0x1f06cc1f51ea3cad, 0xd7d8b4ddf15943f5,
  0xd7d2d8cb8e1386e1, 0xd5a5d2b2e3593484, 0xebce9bb7508e6e39, 0xa7f2238cac6ab5d0, 0xc37b2d97ce038ec5,
  0x02e909e546c11fad, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0x126b8101395daa5b, 0x5e510895cbd2fe82,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x4462fe6d8c9156ff, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x02792bf734332c3b, 0x000000004eb967c0,
};

// t84a_swio12_lednop_pr_ce
static const uint64_t ur_t84a_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x1243ffb5933e50e6, 0x05838e96c7f55f12, 0x673aee6d70d1f9e0, 0xfa8f2fa7b965d6b2,
  0xa654e31c72ac0d67, 0xf3b4428c6f9cc580, 0xa45403ff6678ebd1, 0x56afadc0f2d6e117, 0xbb90873f04daf2e5,
  0x52df57673a8a9546, 0xf410935c0809caed, 0x688af28844ae5e97, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5,
  0xb7fbd551691db9e8, 0x8d94462fe6d8c863, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0xdd7ee792bf734332, 0x0000000000b7517e,
};

// t84a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t84a_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x26fbffb8073f15a6, 0x6b492baaa3eb2224, 0x8488bee3441e7801, 0xd90ff459784bf10d,
  0xe5821ac99aa3b9b5, 0xcab0359fea3cbe9e, 0xbe73160299538c71, 0x99e3af47ced10a31, 0xcb5b845e91500ffd,
  0x136bcb955abeb703, 0xea2a551aee421cfc, 0x20272bb54b7d5d9c, 0x12b97a5fd0424d70, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x9b63218edfef5545, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x0375de6df0009e4a,
};

// t84a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t84a_swio11_lednop_pr_ee_ce[] = {
  0x6deeeeeea0a232a8, 0xe5a58856a6758803, 0xb70754dd8f1afe2e, 0x67e62b8da2c33837, 0x9682ce250e401b6f,
  0x3bb38b4dd33ee9dc, 0xf700e7e76e609f19, 0x63faa3386909bb5f, 0xaa0fe78016b48337, 0xac0af7cce75dcdaf,
  0x07a57a8f2b29729d, 0x314c565d7d47c1b3, 0x32e384e1b875f62d, 0xedc958752135f4b6, 0xe74ddba847371cea,
  0xf2238cac6abc6c75, 0x7b2d97ce038ec5a7, 0xf484f2a3608991c3, 0x73f04daf2e556a59, 0x7673a8a9546bb908,
  0x35c0809caed52df5, 0x28844ae5e97f4109, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0,
  0x62fe6d8c863b7fbd, 0x5eae5c9ab83cd944, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x7a616837ef88d0f2,
  0x58767c09c659ac86, 0x5f8004f257ee6866, 0x000000000009f89f,
};

// t84a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t84a_swio11_lednop_pr_ee_ce_u4[] = {
  0xa9eeeeed173e5f41, 0x96962e048ceb0f4d, 0x4dd69bb640b88dbb, 0xa524048f4e23e1bb, 0x7533910e0ef4da9f,
  0x9ddad69daae26462, 0xfdf0f3ffaf304f8c, 0x547d51dba484801f, 0x1a20f3c00b9dd6fd, 0xcbc25f886c2445f7,
  0x99aa3b9b5c2c9fa2, 0x3caca5ca76b33def, 0x75f51f06cc1e95ea, 0x86e1d7d8b4c53159, 0xd484d7d2d8cb8e13,
  0xa11cdc73abb72561, 0xb1aaf1b1d79d376e, 0x380e3b169fc88e32, 0x8d8226470decb65f, 0xbcb955a967d213ca,
  0xa551aee421cfc136, 0x72bb54b7d5d9cea2, 0x97a5fd0424d70202, 0xe7b55a22bca2112b, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x3218edfef5545a47, 0x6ae0f365118bf9b6, 0x90334f8d1659d172, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a, 0x6493b2374f257ee6,
  0x000000000000027e,
};

static const uint64_t ur_t84a_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x7eef341f166c2d00, 0x6d2cfdd932291136,
  0x13e3277792ed3347, 0x26fbff6b267e2b4c, 0xcadd2cd56b466524, 0xef51f06cc1a01ea3, 0x6e1d7d8b4ddf15fc,
  0x484d7d2d8cb8e138, 0xe73ab4bc065c5133, 0xd0ebd753760511bd, 0x169e454770ec6ab5, 0xdc37b2e1cb380e3b,
  0x36bcb955aae09afa, 0xa2a551aee421cfc1, 0xcaed52df5537d9ce, 0x12ad5ef5f4109359, 0xebae7b55a22bca21,
  0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0x7f36c8122adfef55, 0xcd102e4d5c6ca231, 0xdfbab31e40eda1a2,
  0x271966b219e985a0, 0x95fb9a19961d964a, 0x0000a7c248ebf73c,
};

static const uint64_t ur_t84a_swio13_noled_pr_ee_u4[] = {
  0x8bdddddda2447032, 0xb572d2c7a9b4bac7, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b4114889e2d,
  0xf8c9dd3b5b2ed395, 0x2b7fdc039f275304, 0x652e6ab5a37f1212, 0x51f06cc184ff51e5, 0x1d7d8b4ddf15975f,
  0x4d7d2d8cb8e1386e, 0x9d5a5ff72e359348, 0x0ebce9bb6948f243, 0xb4d314707ec6ab5d, 0xb86f65b2f9c071d8,
  0x0089ac16a8d823f5, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x82126b395daa5bea, 0x4579442255abdebe,
  0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c, 0x5bfdeaa8b4c329e8, 0xcd94462fe6d90245, 0x9434596745c9ab83,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0xfc002792bf734332, 0x00000000004eba45,
};

static const uint64_t ur_t84a_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x909f3bfdac99f2eb, 0x002c1c4ad63facdc, 0x9339d7736bffcfcf, 0x3dea3cdd3dcb2eb5,
  0x017ba05238e55819, 0xd1f3b3de8f7b398b, 0x0c9a5403ff6678eb, 0xcaad556a81e5add7, 0x8d77210e7e09b5e5,
  0x96faa9bece75152a, 0xf7afa0849ace576a, 0xdaad115e5108956a, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0x810c76ff7aaa2d30, 0xe4d5c6ca2317f36c, 0x31e40eda1a2cd102, 0x6b219e985a0dfbab, 0xa19961d964a27196,
  0xd517cebf73c95fb9, 0x000000000000002d,
};

static const uint64_t ur_t84a_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x484cadff700e7f4d, 0x02d693025547d7ba, 0x1b09117dc6883cf0, 0x6bf59fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3cdd, 0x8f7b398b017ba052, 0xff6678ebd1f3b3de, 0x81e5add70c9a5403,
  0x7e09b5e5caad556a, 0xce75152a8d77210e, 0x9ace576a96faa9be, 0x5108956af7afa084, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x2317f36c810c76ff, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0x13c95fb9a19961d9,
  0x0000006eb938be00,
};

static const uint64_t ur_t84a_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a22582, 0xbb9696215be9d60b, 0x8e891db260bc6bf8, 0x7b3e1791fa8a6ee3, 0x4ce85ce250e171db,
  0x93ba75b59996ae4b, 0xff700e7d36e609f1, 0xf63faa32ea908337, 0x77547e78016b4863, 0xed6057be673aee6d,
  0x9833d7d47959c394, 0x698a62b90fea3e0d, 0xb1971c270dc3afb1, 0x576efdc3a909afa5, 0xaf3a6eda523c90e7,
  0x698a383f6355e363, 0x37b2d97ce038ec5a, 0x326b05aa3608991c, 0x0e7e09b5e5caad4b, 0xbece75152a8d7721,
  0x849ace576a96faa9, 0x5e5108956af7afa0, 0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d,
  0xca2317f36c810c76, 0x68b2f572e4d5c1e6, 0x9cfd4eacc7903f28, 0x879133c09c69430a, 0x6433d30b41bf7c46,
  0x4332c3b3e04e32cd, 0xf0ad5c002792bf73, 0x0000000000000013,
};

static const uint64_t ur_t84a_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1ec9b5,
  0x93bb45fad8935e27, 0xffdf0f3e292609f1, 0xaa8faa3d369095bf, 0xe3441e780173bb5b, 0x59784bf10d8488be,
  0xe66a8ee6d776eff4, 0x8f2b38729daccf7b, 0x21fd47c1b3067afa, 0xe1b875f62d314c57, 0x752135f4b632e384,
  0x4a47921ceaeddfb8, 0xec6abc6c75e74ddb, 0x9c071d8b4d314707, 0x46c1132386f65b2f, 0xbcb955a9664d60b5,
  0xa551aee421cfc136, 0xed52df5537d9cea2, 0xad5ef5f4109359ca, 0xae7b55a22bca2112, 0xa6c529e1a778efeb,
  0xa6194f43aa7020ee, 0x6d90218edfef5545, 0x5c9ab83cd94462fe, 0x31e40cd3e3459674, 0x7bde50c2a73f53ab,
  0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719, 0x9f8fc0ac8dd3c95f,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0xcfdde683e2f70a6a, 0x670ccdd9b0452226,
  0xc13e32777c8e9894, 0x84383fed64cfd0fc, 0x7959c39aad68cca4, 0x27ea3e0d983403d4, 0x0dc3afb169bbe2b7,
  0x6909afa5b1971c27, 0x4273ab4bbf8b8a26, 0x5d0ebd753765f11c, 0xd8b4c6fa3116c6ab, 0xd6e1bd970e59c071,
  0x136bcb955aae167f, 0xea2a551aee421cfc, 0x9caed52df5537d9c, 0x72497f410935c080, 0x5cf6ab4457944225,
  0x2c2ca6c59d01e7eb, 0xcfa2810b4d5ceaf5, 0x317f36d3d0ea9c09, 0xa2cd102e4d5c6ca2, 0xa0dfbab31e40eda1,
  0x4a271966b219e985, 0x3c95fb9a19961d96, 0x0000029f00e4ebf7,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xdab96963d4debd63, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522278,
  0x09f193baafb60dc6, 0x4383ff700e7e87e6, 0x95a9e9aad68dfc48, 0x7d47c1b30613fd47, 0xb875f62d377c56c1,
  0x2135f4b632e384e1, 0x0e75697f9cb8d64d, 0xe875e74dd827a305, 0xc5a79223c8b6355a, 0xadc37b2d97ce038e,
  0xa80570c9a546c11f, 0xe421cfc136bcb955, 0x5537d9cea2a551ae, 0x935c0809caed52df, 0x794422572497f410,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x462fe6d976455bfd, 0x596745c9ab83cd94,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0x2792bf734332c3b3, 0x000000275c217c00,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x90870ffdac99f60b, 0x002c1c90f63facdc, 0x2673aee6d74dbfcf, 0x7bd479c67b965d6b,
  0x050f680471cab032, 0x47cedf2238c8e62c, 0x770d500ffd99e3af, 0x2ab5815a0796b76f, 0x35dc8439f826d797,
  0x5beaa6fb39d454aa, 0x82126b8101395daa, 0x88af28844ae492fe, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f,
  0x7fbd551691db9e87, 0x65118bf9b65d863b, 0x6d0d166881726ae3, 0x4c2d06fdd598f207, 0xecb25138cb3590cf,
  0x5fb9e4afdcd0ccb0, 0x000000002dd47977,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x484b75ff700e7e39, 0x02d6937dd547d7ba, 0x1b09117dc6883cf0, 0x6bdc8fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3ce3, 0x1c6473160287b402, 0xfeccf1d7a3e76f91, 0x03cb5bb7bb86a807,
  0xfc136bcb955ac0ad, 0x9cea2a551aee421c, 0x809caed52df5537d, 0x2572497f410935c0, 0xd75cf6ab44579442,
  0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x1baf1f5f8004f257,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ee_ce[] = {
  0x71ddddddd4144511, 0x1772d2c42b791ac1, 0xe0ea33dc29a98d7f, 0xb7b3e17fd323ed2e, 0xb582104e250e171d,
  0x8c9ddfb5a538b14b, 0x47fdc039f7f9304f, 0xff2c7f5465d52103, 0xdae6ddfe78016b49, 0x29dac0af7cce75dc,
  0x1b3067afa8f2b287, 0x62d314c5652fd47c, 0x4b632e384e1b875f, 0xceaeddf38752135f, 0x8ebce9bb04f460a1,
  0x69e488f22d8d578d, 0x70decb65f380e3b1, 0x2cee1934a8d82264, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc,
  0x6b8101395daa5bea, 0x28844ae492fe8212, 0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0,
  0x8bf9b65d863b7fbd, 0x7ab9726ae0f36511, 0xa75663c81f943459, 0x99e04e34a1854e7e, 0xe985a0dfbe2343c8,
  0x61d9f0271966b219, 0xee0013c95fb9a199, 0x000000000009f873,
};

static const uint64_t ur_t84a_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd62c, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1ec9b5,
  0xc9ddb9da3dabbec4, 0xffdf0f3fd83304f8, 0xaa8faa3d3690887d, 0xe3441e780173b6bb, 0x59784bf10d8488be,
  0xe66a8ee6d7e1fff4, 0x8f2b28729daccf7b, 0x52fd47c1b3067afa, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0x4f460a1ceaeddf38, 0xd8d578d8ebce9bb0, 0x380e3b169e488f22, 0x8d8226470decb65f, 0x7972ab52cee1934a,
  0x4aa35dc8439f826d, 0xdaa5beaa6fb39d45, 0x2fe82126b8101395, 0xd5688af28844ae49, 0xb5f3a03cdedaeb9e,
  0xe8754e0421520b94, 0x63b7fbd551691db9, 0x0f365118bf9b65d8, 0x34f8d1659d1726ae, 0x30a9cfd4eacc7903,
  0x65f989ffde1ef794, 0x7ff04d0f226781fc, 0x7a615df47b93f03f, 0x58767c09c659ac86, 0x2b2374f257ee6866,
  0x000000000027e68e,
};

static const uint64_t ur_t84a_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5306758, 0xe85ebd7d623e2f56, 0xeef3412f6c81210b, 0x0ccddbd32291139b,
  0x3e32777c8e989467, 0x4aeff6b267f674c1, 0x5fce9aad68f6fa42, 0xea3e0d9839c7d479, 0xc3afb169bbe2b4ad,
  0x09afa5b1971c270d, 0x73ab4bbf8b8a2669, 0x1d7aea6ed37235ae, 0xb4e3247d258d56ba, 0xe1bd970e59c071d8,
  0xb5e5caad5704f7d6, 0x152a8d77210e7e09, 0xe9b95daa5beace75, 0x0895b1fbfa0849ac, 0x7f5d73daad115e51,
  0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x2fe6d9eb7156ff7a, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000053e01c9d7ee7,
};

static const uint64_t ur_t84a_swio14_noled_pr_ee_u4[] = {
  0x84dddddda2445541, 0xdab96963d4e19d62, 0x6475a2eedb75fe24, 0x7914ce3f8bcd8c77, 0x7ae34c9022911284,
  0x9f193ba82b7a71ce, 0x6ceffb8073e70660, 0x59759aad68cc7a42, 0xea3e0d983ea3d479, 0xc3afb169bbe2b387,
  0x09afa5b1971c270d, 0x73ab4b9455c6b269, 0xa1d79d3764011fc8, 0x8b4def47bdd8d56b, 0x5b86f65b2f9c071d,
  0xa8044f73ca8d823f, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0x7f4109359d372bb5, 0x55a22bca2112b63f,
  0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d, 0x03f2868b2ce8b935,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac,
  0xab2b8004f257ee68, 0x00000000000009d7,
};

static const uint64_t ur_t84a_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x112b7fb5933e70e6, 0x05838e4ec7f55f12, 0xce75dcdae87df9e0, 0xfa8ebe4f72cbad64,
  0xb224dd1c72ac0d67, 0xf3b2d746229cc580, 0x9e5403ff6678ebd1, 0xad59f740f2d6ee90, 0x77210e7e09b5e5ca,
  0xaa5beace75152a8d, 0xfbfa0849ace9b95d, 0xdaad115e510895b1, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0xd6cc76ff7aaa2d30, 0x57079b288c5fcdb3, 0x40eda1a2cbd5cb93, 0xa50c2a73f53ab31e, 0xfdf11a1e44cf0271,
  0x38cb3590cf4c2d06, 0x4afdcd0ccb0ecf81, 0x0001bae73e75fb9e,
};

static const uint64_t ur_t84a_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x484c09ff700e7edd, 0x02d6914f5547d644, 0x1b09117dc6883cf0, 0xd766ffe8b2f097e2,
  0x7b96086b266a8ee6, 0xe395606b3fd475f2, 0x3114e62c059126e8, 0xfb33c75e8f9d96ba, 0x0796b77484f2a01f,
  0xf04daf2e556acfba, 0x73a8a9546bb90873, 0x4d674dcaed52df56, 0xf28844ad8fdfd042, 0xde3bfaeb9ed5688a,
  0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x4462fe6d9eb663b7, 0x4596745c9ab83cd9, 0xe7ea75663c81f943,
  0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30, 0x02792bf734332c3b,
  0x0000000dd7d1c5c0,
};

static const uint64_t ur_t84a_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22044, 0xbb9696215971d606, 0xdec71d7a70bc6bf8, 0xdecfcc5a28418be5, 0x9891a738943836f6,
  0x64ee8f6d81610fc8, 0xffee01cf8689827c, 0x7ec7f54670d212c7, 0xafdd6fcf002d693a, 0x9dac0af7cce75dcd,
  0xb307a57a8f2b90f2, 0x2d314c56e97d47c1, 0xb632e384e1b875f6, 0xeaedc514752135f4, 0x75e74dd90047f21c,
  0xa6f7a3deec6abc6c, 0xc37b2d97ce038ec5, 0x5993dcf2a3608991, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9,
  0xd0424d674dcaed52, 0x688af28844ad8fdf, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x63b7fbd551698653,
  0x3cd94462fe6d9eb6, 0xe50d165eae5c9ab8, 0x61539fa9d598f207, 0x88d0f22678138d28, 0x59ac867a616837ef,
  0xee686658767c09c6, 0x027e3d6f8004f257,
};

static const uint64_t ur_t84a_swio14_noled_pr_ee_ce_u4[] = {
  0xef7777768b9f1f68, 0xbb96962e04246b18, 0x27605e8335a0b88d, 0x9fa5243a7791a8b6, 0xee0ae3910e0f8eda,
  0x193ba3afa0282c8e, 0x3ffbe1e7d0fa609f, 0xcaa8faa3b7490988, 0xf71a20f3c00b9dbf, 0xa2cbc25f886c2445,
  0xef99aa3b9b5fa9df, 0xea3cae43ca76b33d, 0x5ba5f51f06cc1e95, 0x1386e1d7d8b4c531, 0x51d484d7d2d8cb8e,
  0x64011fc873abb714, 0x7bb1aaf1b1d79d37, 0x5f380e3b169bde8f, 0xca8d8226470decb6, 0x36bcb955a9664f73,
  0xa2a551aee421cfc1, 0x9d372bb54b7d59ce, 0x2112b63f7f410935, 0xefebae7b55a22bca, 0x20eea6c529e1a778,
  0x5545a6194f43aa70, 0x8bf9b67ad98edfef, 0x59d1726ae0f36511, 0x4eacc790334f8d16, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df, 0x257ee686658767c0, 0x00027e6f05b2374f,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x29972d2c7a9ad158, 0x1e34f685e8c1afab, 0xe6fbbcd04bdea9bb, 0x704fde2f6408a444,
  0x9827c64eed33dfa7, 0x4841adfed64cfa5a, 0x8f2b90f355ad1edf, 0xfbbd47c1b30738fa, 0xe1b875f62d377c57,
  0xcd2135f4b632e384, 0x989cead2e63d7144, 0xd743af5d4ddb2446, 0x762d383e8ed6b1aa, 0xf5b86f65c396701c,
  0x04daf2e556ab8c17, 0x3a8a9546bb90873f, 0x0274dcaed52df567, 0x4ae5f63d0424d702, 0xd6b9ed5688af2884,
  0xea58594d8b3a03cf, 0x145f4502169ab9d5, 0x4462fe6da7a1d538, 0x43459a205c9ab8d9, 0x0b41bf75663c81db,
  0x2c944e32cd6433d3, 0xee792bf734332c3b, 0x000000029f1539d7,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea742eb1, 0x9a5d5c7b007a5f12, 0x3c8a671f8678bd4d, 0x545a0ac811488942,
  0x4f8c9dd3ada244b5, 0x06b7fdc039f4b530, 0xad82cd56b4663d21, 0xf51f06cc1f51ea3c, 0xe1d7d8b4ddf15943,
  0x84d7d2d8cb8e1386, 0x39d5a5d2b2e35934, 0xd0ebce9bb7508e6e, 0xc5a7f2238cac6ab5, 0xadc37b2d97ce038e,
  0xd402e909e546c11f, 0x7210e7e09b5e5caa, 0xa5beace75152a8d7, 0x849ae0404e9b95da, 0x15e510895cbec7a0,
  0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x94462fe6d8c9156f, 0x34596745c9ab83cd,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3,
  0x002792bf734332c3, 0x0000000004eb967c,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x242487ff6b267ca1, 0xc00b071d2d8feabe, 0x64ce75dcdae1a3f3, 0xcff51e5f4f72cbad,
  0x014ca9c638e5581a, 0xa3e7688518df398b, 0x2f48a807feccf1d7, 0xcaad5f5b81e5adc2, 0x8d77210e7e09b5e5,
  0x5daa5beace75152a, 0x7a0849ae0404e9b9, 0xad115e510895cbec, 0xbe74079bdb5d73da, 0x0ea9c0842a417296,
  0x76ff7aaa2d23b73d, 0x71b288c5fcdb190c, 0x03b6868b3440b935, 0x67a616837eeacc79, 0x587659289c659ac8,
  0xdbafdcf257ee6866, 0x000000000016ea2f,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x484df7ff700e7e2b, 0x02d692575547d644, 0x1b09117dc6883cf0, 0x6bb21fe8b2f097e2,
  0x3dcb043593354773, 0xe395606b3fd4797d, 0x637ce62c0532a718, 0xfb33c75e8f9da214, 0x0796b708bd22a01f,
  0xf826d7972ab57d6e, 0x39d454aa35dc8439, 0x1013a6e576a96fab, 0x22572fb1e82126b8, 0x6d75cf6ab4457944,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf36c6431dbfdeaa8, 0xa2e4d5c1e6ca2317, 0xab31e40fca1a2cb3,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027,
  0x006ebbcdbe0013c9,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xbb9696215a99d606, 0xdedc1d53763c6bf8, 0xbd9f98ae368b0ce0, 0xe4b4167128706ded,
  0xc9dd9c5a6e99f74e, 0xffb8073f3b7304f8, 0xbb1fd519c3484dda, 0x7d507f3c00b5a419, 0xed6057be673aee6d,
  0x983d2bd479594b94, 0x698a62b2ebea3e0d, 0xb1971c270dc3afb1, 0x576e4ac3a909afa5, 0xaf3a6edd4239b8e7,
  0x3f911c656355e363, 0x1bd96cbe701c762d, 0xcfa427951b044c8e, 0x439f826d7972ab52, 0xfab39d454aa35dc8,
  0x6b81013a6e576a96, 0x94422572fb1e8212, 0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70,
  0x317f36c6431dbfde, 0x2f572e4d5c1e6ca2, 0xd4eacc7903f2868b, 0x133c09c69430a9cf, 0x3d30b41bf7c46879,
  0x2c3b3e04e32cd643, 0xafc002792bf73433, 0x000000000004fc4f,
};

static const uint64_t ur_t84a_swio14_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e5f41, 0x772d2c5c0919d631, 0x769bad376c81711b, 0x3f4a48091e9c47c3, 0xc4ea67221c1f1db5,
  0x193bb5ad3b55c4c8, 0x3ffbe1e7ff5e609f, 0xfaa8faa3b7490900, 0xee3441e780173bad, 0x459784bf10d8488b,
  0xdf33547736b8593f, 0xd479594b94ed667b, 0xb2ebea3e0d983d2b, 0x270dc3afb1698a62, 0xc3a909afa5b1971c,
  0xdd4239b8e7576e4a, 0x656355e363af3a6e, 0xbe701c762d3f911c, 0x951b044c8e1bd96c, 0x6d7972ab52cfa427,
  0x454aa35dc8439f82, 0x3a6e576a96fab39d, 0x72fb1e82126b8101, 0x5cf6ab4457944225, 0x5ca5af9d01e6f6d7,
  0xedcf43aa70210a90, 0xc6431dbfdeaa8b48, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xcc927646e9e4afdc,
  0x000000000000004f,
};

static const uint64_t ur_t84a_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x2eef341f166c2d00, 0x6d2cfdd932291112,
  0x13e3277792ed3347, 0x26fbff6b267e2b4c, 0xcadd2cd56b466524, 0xef51f06cc1a01ea3, 0x6e1d7d8b4ddf15fc,
  0x484d7d2d8cb8e138, 0xe73ab4bc065c5133, 0xd0ebd753760511bd, 0x169e454770ec6ab5, 0xdc37b2e1cb380e3b,
  0x36bcb955aae09afa, 0xa2a551aee421cfc1, 0xd372bb54b7d5d9ce, 0x8956aff7f4109359, 0xf5d73daad115e510,
  0x77536294f0d3bc77, 0xa2d30ca7a1d53810, 0xbf9b6409156ff7aa, 0x66881726ae365118, 0x6fdd598f2076d0d1,
  0x138cb3590cf4c2d0, 0x4afdcd0ccb0ecb25, 0x000053e12475fb9e,
};

static const uint64_t ur_t84a_swio15_noled_pr_ee_u4[] = {
  0x7bdddddda2447032, 0xb572d2c7a9b4bac1, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b41148885ed,
  0xf8c9dd3b5b2ed395, 0x2b7fdc039f275304, 0x652e6ab5a37f1212, 0x51f06cc184ff51e5, 0x1d7d8b4ddf15975f,
  0x4d7d2d8cb8e1386e, 0x9d5a5ff72e359348, 0x0ebce9bb6948f243, 0xb4d314707ec6ab5d, 0xb86f65b2f9c071d8,
  0x0089ac16a8d823f5, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x82126b3a6e576a96, 0x22bca2112ad5fefe,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xe6ca2317f36c8122, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xfe0013c95fb9a199, 0x0000000000275d22,
};

static const uint64_t ur_t84a_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x427ceff6b267cbac, 0x00b0712b58feb372, 0x4ce75dcdafff3f3c, 0xf7a8f374f72cbad6,
  0x05ee8148e3956064, 0x47cecf7a3dece62c, 0x3269500ffd99e3af, 0x2ab555aa0796b75c, 0x35dc8439f826d797,
  0x6a96fabb39d454aa, 0xfefe82126b3a6e57, 0xb55a22bca2112ad5, 0x529e1a778efebae7, 0x94f43aa7020eea6c,
  0x0218edfef5545a61, 0xc9ab8d94462fe6d9, 0x63c81db43459a205, 0xd6433d30b41bf756, 0x4332c3b2c944e32c,
  0xaa2f9d7ee792bf73, 0x000000000000005b,
};

static const uint64_t ur_t84a_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x484cadff700e7f4d, 0x02d693025547d7ba, 0x1b09117dc6883cf0, 0x6bf59fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3cdd, 0x8f7b398b017ba052, 0xff6678ebd1f3b3de, 0x81e5add70c9a5403,
  0x7e09b5e5caad556a, 0xce75152a8d77210e, 0x9ace9b95daa5beae, 0x28844ab57fbfa084, 0xe3bfaeb9ed5688af,
  0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x118bf9b640863b7f, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x09e4afdcd0ccb0ec,
  0x000000375c9c5f00,
};

static const uint64_t ur_t84a_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a22582, 0x5dcb4b10adf4eb10, 0xc7448ed9305e35fc, 0xbd9f0bc8fd453771, 0xd33a17389439006d,
  0x64ee9d6d6665ab92, 0xffdc039f4db9827c, 0xfd8fea8cbaa420cd, 0x5dd51f9e005ad218, 0x3b5815ef99cebb9b,
  0x660cf5f51e5670e5, 0x5a6298ae43fa8f83, 0x6c65c709c370ebec, 0xd5dbbf70ea426be9, 0xebce9bb6948f2439,
  0x9a628e0fd8d578d8, 0x0decb65f380e3b16, 0xcc9ac16a8d822647, 0x439f826d7972ab52, 0xabb39d454aa35dc8,
  0x2126b3a6e576a96f, 0x2bca2112ad5fefe8, 0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43,
  0xd94462fe6d90218e, 0x0d165eae5c9ab83c, 0x539fa9d598f207e5, 0xd0f22678138d2861, 0xac867a616837ef88,
  0x686658767c09c659, 0x7e15ab8004f257ee, 0x0000000000000002,
};

static const uint64_t ur_t84a_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61e, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1de9b5,
  0x93bb45fad8935e27, 0xffdf0f3e292609f1, 0xaa8faa3d369095bf, 0xe3441e780173bb5b, 0x59784bf10d8488be,
  0xe66a8ee6d776eff4, 0x8f2b38729daccf7b, 0x21fd47c1b3067afa, 0xe1b875f62d314c57, 0x752135f4b632e384,
  0x4a47921ceaeddfb8, 0xec6abc6c75e74ddb, 0x9c071d8b4d314707, 0x46c1132386f65b2f, 0xbcb955a9664d60b5,
  0xa551aee421cfc136, 0x72bb54b7d5d9cea2, 0x56aff7f4109359d3, 0xd73daad115e51089, 0x536294f0d3bc77f5,
  0xd30ca7a1d5381077, 0x36c810c76ff7aaa2, 0x2e4d5c1e6ca2317f, 0x98f20669f1a2cb3a, 0x3def2861539fa9d5,
  0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c, 0x4fc7e05646e9e4af,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0x45dde683e2f70a6a, 0x670ccdd9b0452222,
  0xc13e32777c8e9894, 0x84383fed64cfd0fc, 0x7959c39aad68cca4, 0x27ea3e0d983403d4, 0x0dc3afb169bbe2b7,
  0x6909afa5b1971c27, 0x4273ab4bbf8b8a26, 0x5d0ebd753765f11c, 0xd8b4c6fa3116c6ab, 0xd6e1bd970e59c071,
  0x136bcb955aae167f, 0xea2a551aee421cfc, 0x9d372bb54b7d5d9c, 0x5c958f410935c080, 0xd73daad115e51089,
  0x4b0b29b1674079fa, 0x73e8a042d3573abd, 0x8c5fcdb4f43aa702, 0x68b3440b93571b28, 0x6837eeacc7903b68,
  0x9289c659ac867a61, 0xcf257ee686658765, 0x000000a7c0393afd,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xdab96963d4debd60, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522217,
  0x09f193baafb60dc6, 0x4383ff700e7e87e6, 0x95a9e9aad68dfc48, 0x7d47c1b30613fd47, 0xb875f62d377c56c1,
  0x2135f4b632e384e1, 0x0e75697f9cb8d64d, 0xe875e74dd827a305, 0xc5a79223c8b6355a, 0xadc37b2d97ce038e,
  0xa80570c9a546c11f, 0xe421cfc136bcb955, 0xb7d5d9cea2a551ae, 0x935c0809d372bb54, 0x5e510895c958f410,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x118bf9b65d9156ff, 0x1659d1726ae0f365,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0x09e4afdcd0ccb0ec, 0x00000009d7085f00,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x421c3ff6b267d82c, 0x00b07243d8feb372, 0x99cebb9b5d36ff3c, 0xef51e719ee5975ac,
  0x143da011c72ac0c9, 0x1f3b7c88e32398b0, 0xdc35403ff6678ebd, 0xaad605681e5addbd, 0xd77210e7e09b5e5c,
  0xaa5beaece75152a8, 0x0849ae0404e9b95d, 0x88af28844ae4ac7a, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f,
  0x7fbd551691db9e87, 0x65118bf9b65d863b, 0x6d0d166881726ae3, 0x4c2d06fdd598f207, 0xecb25138cb3590cf,
  0x5fb9e4afdcd0ccb0, 0x000000002dd47977,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x484b75ff700e7e39, 0x02d6937dd547d7ba, 0x1b09117dc6883cf0, 0x6bdc8fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3ce3, 0x1c6473160287b402, 0xfeccf1d7a3e76f91, 0x03cb5bb7bb86a807,
  0xfc136bcb955ac0ad, 0x9cea2a551aee421c, 0x809d372bb54b7d5d, 0x895c958f410935c0, 0xb5d73daad115e510,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x36cbb0c76ff7aaa2, 0x2e4d5c1e6ca2317f, 0xb31e40fca1a2cb3a,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e, 0xfb9a19961d9f0271,
  0x06ebc7d7e0013c95,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ee_ce[] = {
  0x00ddddddd4144511, 0x8bb9696215bc8d62, 0x707519ee14d4c6bf, 0xdbd9f0bfe991f697, 0xed60841389439006,
  0xe32777ed694e2c52, 0xd1ff700e7dfe4c13, 0x7fcb1fd519754840, 0x36b9b77f9e005ad2, 0xca76b02bdf339d77,
  0x06cc19ebea3caca1, 0xd8b4c531594bf51f, 0xd2d8cb8e1386e1d7, 0x73abb77ce1d484d7, 0x63af3a6ec13d1828,
  0x5a79223c8b6355e3, 0x1c37b2d97ce038ec, 0x4b3b864d2a360899, 0x210e7e09b5e5caad, 0xbeaece75152a8d77,
  0x9ae0404e9b95daa5, 0xf28844ae4ac7a084, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0x18bf9b65d863b7fb, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0x3ee0013c95fb9a19, 0x0000000000009f87,
};

static const uint64_t ur_t84a_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61e, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1de9b5,
  0xc9ddb9da3dabbec4, 0xffdf0f3fd83304f8, 0xaa8faa3d3690887d, 0xe3441e780173b6bb, 0x59784bf10d8488be,
  0xe66a8ee6d7e1fff4, 0x8f2b28729daccf7b, 0x52fd47c1b3067afa, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0x4f460a1ceaeddf38, 0xd8d578d8ebce9bb0, 0x380e3b169e488f22, 0x8d8226470decb65f, 0x7972ab52cee1934a,
  0x4aa35dc8439f826d, 0xe576a96fabb39d45, 0xb1e82126b81013a6, 0xb55a22bca2112b92, 0x2d7ce80f37b6bae7,
  0x7a1d5381085482e5, 0x18edfef5545a476e, 0x83cd94462fe6d976, 0xcd3e34596745c9ab, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f, 0x961d9f0271966b21, 0x8ac8dd3c95fb9a19,
  0x000000000009f9a3,
};

// t1634_autobaud_uart0_noled_pr     t1634_autobaud_uart0_noled_pr_u4
static const uint64_t ur_t1634_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x77777774b0705792, 0x238f9bf07c3faebf, 0x04ad0bddf9bbbb11, 0xf9b9f49ddb1fb50d,
  0x29ff40033fa54c3c, 0x8701746549408810, 0x2657eabafc2be75f, 0x6a97b107ed3b5481, 0xf083d67a8f82cef9,
  0x5965341f59f1c723, 0xf9d921a3a24e62c0, 0xe9aa01ffb30475e8, 0x7a9e4e07967b6a0e, 0xe620f3e697d88b10,
  0xdf3989e6f6502f9d, 0xee7d7dc60d4d894f, 0xfdeaa8b4f0d3cf3e, 0xa2099bf9b61d455b, 0x1a3f8d164d0c6ed8,
  0x1b442ef9f75663c8, 0x32cd6433d30b41bf, 0xee686658767d144e, 0x1c4439cf96fcf257,
};

// t1634_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_t1634_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbba88da91, 0xf7777774b0308a6e, 0x178ec179332b7a0c, 0x2150e6110e6ea45f, 0x93ba697420976821,
  0x3ecfb059879f373e, 0x195250220470ffc9, 0xaebf0af9d7e1c05d, 0x41fb4ed5204995fa, 0x2b9c60ff6b46be6c,
  0x7a8f83660f22fa8f, 0x86e1d7d803f8ae5f, 0xcc00d7d2d8cb8e13, 0x59cead2f108e87dc, 0x743af4353b13c8ea,
  0xe3b090d1d133daad, 0x65ff805ecb65f380, 0x071c5ba72c951b04, 0xde620f3e697d88b1, 0xfdf3989e6f6502f9,
  0xeee7d7dc60d4d894, 0xbfdeaa8b4f0d3cf3, 0x8a2099bf9b61d455, 0x2868b26865c9ab8d, 0x885df3eeacc7903f,
  0x9ac867a616837e36, 0xd0ccb0ecfa289c65, 0x3ad3ef5fb9e4afdc, 0x0000000000000188,
};

// t1634_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_t1634_autobaud_uart0_noled_pr_ce[] = {
  0xd63777777759bb37, 0x77777774b1d60922, 0x9128734c9df9be97, 0xc4d8e3f5a3c9bbba, 0x1e7cdcfa4eee3bdc,
  0x2dbfff40033e63e6, 0xbf0e02e8ca928110, 0x024cafd575f857ce, 0x7f527b620fda76a9, 0x28bf9e32503907ec,
  0x965d63399cebb8dc, 0xf841a83fa8e82e7b, 0x98b016bf8fb8e391, 0x3af173b6b12386a3, 0x1071d01ab71cb19e,
  0x9de620f3e697d88b, 0xde53ccf2f3989e2f, 0x6085a5abb33cbd4f, 0xe79f773ebee9d4cc, 0xc6ed8a2099bf9b69,
  0x663c81a3f8d164d0, 0xb41bf1b442ef9f75, 0xd144e32cd6433d30, 0xcf257ee686658767, 0x00002cfc2072f96f,
};

// t1634_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88af02, 0xeeeeeee960e0b0ce, 0xe38bcd8c775176c8, 0x8d324088377ee8c2, 0xa4eec1bd582ccdeb,
  0x4fb3e70661e7cdcf, 0x46549408816ceff2, 0xabafc2be75f87017, 0x107ed3b54812657e, 0x53bf9d63faa3dbfb,
  0x73aee3734d7e78c9, 0x9582806ed6051f26, 0xbd47c1b30637fd47, 0x70dc3afb07202b9b, 0xad801afa5b1971c2,
  0x791d4b39d5ae221f, 0xed57a7075e86a762, 0xf9c071d84868e899, 0x46c11409c02f65b2, 0xb11620fd3ce9cb25,
  0xa05f3bcc41e7cd2f, 0x9b129fbe7313cdec, 0xa79e7ddcfafb8c1a, 0x7463b7fbd55169e1, 0x6ae36288266fe6d8,
  0xe40fca1a2c9a1972, 0xdf8da2177cfbab31, 0x271966b219e985a0, 0x2bf734332c3b3e8a, 0x00159bab2bd7ee79,
};

// t1634_autobaud_uart0_lednop_pr    t1634_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_t1634_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfebe, 0xeeeeeee960e0a916, 0xc44326c1cd0746be, 0x817b791fb6eee9e0, 0xe6e7d277617ec004,
  0xe7fd000cfce330f3, 0x1c05d1952502204b, 0x995faaebf0af9d7e, 0x838ec41fb4ed5204, 0x083c67ea3d7f3be5,
  0x6f74c22f3d1c723f, 0xcec1c5199e398b01, 0xc507dc72c608ebc5, 0x404f9a5f622c41ca, 0xcf8940be779883e0,
  0x6a72452d5e740313, 0xd7cf3cfbb9f5f701, 0x69c7156ff7aaa2d2, 0x86376c5104cdfcdb, 0xab31e40d1fc68b26,
  0x85a0df8da2177cfb, 0x3e8a271966b219e9, 0x7e792bf734332c3b, 0x0000001c4434e7cb,
};

// t1634_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_t1634_autobaud_uart0_lednop_pr_ee[] = {
  0x58dddddddd447f82, 0xbddddddd2c0c22d1, 0xe2d4de3b800dde9f, 0x64217cc221cdd48b, 0x49dd313ad160d95b,
  0x9f67f2b4c3cf9b9f, 0x8ca9281102287fe4, 0x575f857cebf0e02e, 0x20fda76a9024cafd, 0x959eb07fb5a35f36,
  0xbd47c1b307917d47, 0xe1b875f600fe2bd2, 0x330035f4b632e384, 0xfe73ab4baf83a1f7, 0x5d0ebd0d4edd223a,
  0x71d8a968c7dcf6ab, 0x32ffc02f65b2f9c0, 0x071c5a83ba6a8d82, 0x0f81013e697d88b1, 0x0c4f3e2502f9de62,
  0xdc05a9c914b579d0, 0x8b4b5f3cf3eee7d7, 0xf36da71c55bfdeaa, 0x0cb93571b1441337, 0xd598f207e50d164d,
  0xc2d06fc6d10bbe7d, 0x9f45138cb3590cf4, 0xf73c95fb9a19961d, 0x00000031077e05eb,
};

// t1634_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_t1634_autobaud_uart0_lednop_pr_ce[] = {
  0x637777777511d214, 0x7777774b1d608b8d, 0x6db7e95e46a7b8ef, 0x17f8f1afbbba8735, 0xcfa4eec33d2b6d16,
  0xf24fb3e51661e7cd, 0x0ba32a4a04409fcf, 0xbf55d7e15f3afc38, 0x6d883f69daa40932, 0x3c64a9dcbeb1fd6d,
  0xb59339d771b92bbf, 0xe417d4759f3dcb2e, 0x051be4f471c8fc20, 0x1f3b54b463ece62c, 0x5075403ff6678ebd,
  0x83be8dd03cb5ba89, 0x07c0809f34bec458, 0x06279f12817cef31, 0xee02d4e48a5abce8, 0x45a5af9e79f773eb,
  0xf36da7198edfef55, 0x0cb93571b1441337, 0xd598f207e50d164d, 0xc2d06fc6d10bbe7d, 0x9f45138cb3590cf4,
  0xf73c95fb9a19961d, 0x000002cfc21017eb,
};

// t1634_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x637777777511fc3b, 0xddddddd2c1c1685d, 0x8c33c5ea6c8fe9a5, 0x41590220ddfba30b, 0x93ba8ef63894ea8b,
  0x3ecfa5a9879f373e, 0x195250220435bfc9, 0xaebf0af9d7e1c05d, 0x41fb4ed5204995fa, 0x4ece1d8fea8f6fec,
  0x9d771b96b7f9e325, 0xad000376b028f933, 0xea3e0d9831bfea3c, 0x86e1d7d839015ce3, 0x6c00d7d2d8cb8e13,
  0x88ebf9cead70be7d, 0x6abd383af4353b74, 0x9c071d8a968c7dcf, 0x6c11409c02f65b2f, 0x22c41fa7941dd354,
  0x79883e0404f9a5f6, 0xe740313cf8940be7, 0x9f5f7016a72452d5, 0x7aaa2d2d7cf3cfbb, 0x99bf9b6d38cc76ff,
  0xb26865c9ab8d8a20, 0xf3eeacc7903f2868, 0x67a616837e36885d, 0xb0ecfa289c659ac8, 0x3f5fb9e4afdcd0cc,
  0x00000000000566cb,
};

// t1634_autobaud_uart1_noled_pr     t1634_autobaud_uart1_noled_pr_u4
static const uint64_t ur_t1634_autobaud_uart1_noled[] = {
  0x58dddddddd66ef3a, 0xdddddddd2c7a9d09, 0x0e8248a64fd7eb11, 0xc80d7f166d6eeeb6, 0x7cdcfa4eeb53df1e,
  0xbeffa0019f3d661e, 0xbf0d022054f0bf0c, 0x50dafed7e1c05d16, 0x0d4fa3757b470afd, 0x0cd27a8fcf1df2c9,
  0xba6def05c71c8fc2, 0x64168f199cc580b7, 0xcf6e39630475e2e7, 0x686fc0c4c5fec2b0, 0x3e250603be2ff39d,
  0x54e5e53633ad1e6f, 0xc59e79f773ebee5d, 0x0e2e2adfef5545a6, 0x86376c5104cdfcdb, 0xab31e40d1fc68b26,
  0x85a0df8da2177cfb, 0x3e8a271966b219e9, 0x7e792bf734332c3b, 0x00000038882a77cb,
};

// t1634_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_t1634_autobaud_uart1_noled_pr_ee[] = {
  0x2b1bbbbbbba88f62, 0x4f7777774b149f36, 0x3af5a14df8f697a3, 0xc19b53e17f5fbaf2, 0xd277792eae34766e,
  0x27d9fb7530f3e6e7, 0x1102a785f87027f9, 0xf6bf0e02e8b5f868, 0x1babda3857ea86d7, 0xfa883fdad1828a7d,
  0xa3e0d9835afea3ca, 0xdc3afb007f159ebe, 0x801afa5b1971c270, 0x39d5a5e6e1d0fb99, 0x875e86a76b868f9e,
  0x761af91eb27b55ae, 0xbff00bd96cbe701c, 0x07166794d2a3608c, 0xce75a1bf031317fb, 0x79bcf894180ef8bf,
  0xb975539794d8ceb4, 0x169b1679e7ddcfaf, 0xf36c38b8ab7fbd55, 0x0cb93571b1441337, 0xd598f207e50d164d,
  0xc2d06fc6d10bbe7d, 0x9f45138cb3590cf4, 0xf73c95fb9a19961d, 0x0000003107d1c5eb,
};

// t1634_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_t1634_autobaud_uart1_noled_pr_ce[] = {
  0xc6eeeeeeea233b90, 0xeeeeeee96211331a, 0x24b8edbf1764f54d, 0xd4c17b11ddddf5fe, 0xe7d277685e9bb5c6,
  0xf927d9f4ad30f3e6, 0x681102a785f86a57, 0xd7f6bf0e02e8b5f8, 0x7d1babda3857ea86, 0x64a9dce363faef6a,
  0x9339d771b9beff3c, 0x59ea393d3dcb2eb5, 0x2c644d471c8fc20f, 0x7cecd7c8f5873160, 0x679500ffd99e3af4,
  0xd8d3c9c0f2d6e348, 0xfe73ad0df81898bf, 0xa3cde7c4a0c077c5, 0x7dcbaa9cbca6c675, 0xa8b4d8b3cf3eee7d,
  0x7f36c38b31dbfdea, 0xd0cb93571b144133, 0xdd598f207e50d164, 0x4c2d06fc6d10bbe7, 0xd9f45138cb3590cf,
  0xbf73c95fb9a19961, 0x0000002cfc2fd51e,
};

// t1634_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_autobaud_uart1_noled_pr_ee_ce[] = {
  0x63777777751151eb, 0x77777774b1ea6105, 0x2fa170cd68fa7a62, 0x91066164917776dc, 0x4ee991db82f588fd,
  0xf67fa7e61e7cdcfa, 0x8153c2fc3d5ffe49, 0x5f8701745afc3408, 0xd5ed1c2bf5436bfb, 0x75b1fd5187b53e8d,
  0x71b9883f3c64a9d9, 0xa0376b028f9339d7, 0xe0d983c8bea3caf4, 0x1d7d839015a01ea3, 0x0d7d2d8cb8e1386e,
  0xcf1cead71377d6c0, 0xd383af4353b5c347, 0x38ec35f23d64f6ab, 0x8a04e017b2d97ce0, 0xfd9d3c6794d2a360,
  0x5fe73ad0df81898b, 0x5a3cde7c4a0c077c, 0xd7dcbaa9cbca6c67, 0xaa8b4d8b3cf3eee7, 0x37f36c38b31dbfde,
  0x4d0cb93571b14413, 0x7dd598f207e50d16, 0xf4c2d06fc6d10bbe, 0x1d9f45138cb3590c, 0xebf73c95fb9a1996,
  0x000000000159b815,
};

// t1634_autobaud_uart1_lednop_pr    t1634_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_t1634_autobaud_uart1_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56d623, 0x7b2035fc5ecfdddd, 0x79f373e93bad4f7c,
  0x3dd7fd000cfc7b98, 0x5afc34088153c2fc, 0xf5436bfb5f870174, 0x24353e8dd5ed1c2b, 0x083349ea393c77cb,
  0x6f74dbdf3d1c723f, 0x9d838a3905398b01, 0x8a0fb8e58c11d78b, 0xeb437e06262ff615, 0xa8301df17f9e0404,
  0x94e4a7405a3cde5b, 0x502169c05ef9537a, 0x69e79f773ebee1d4, 0xd0c6ed8a2099bf9b, 0x75663c81a3f8d164,
  0x30b41bf1b442ef9f, 0x67d144e32cd6433d, 0x6fcf257ee6866587, 0x0000000711054ef9,
};

// t1634_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_t1634_autobaud_uart1_lednop_pr_ee[] = {
  0x637777777511c056, 0xddddddd2c527f17d, 0x5e6c2d00bdebed05, 0xfbb27c2febf75e47, 0x4eecbbda66645a59,
  0xfb3f15a61e7cdcfa, 0x2054f0bf0efbff24, 0xd7e1c05d16bf0d02, 0x757b470afd50dafe, 0x7507fb5a30514fa3,
  0x7c1b306b5fd4795f, 0x875f600fe2b913d4, 0x035f4b632e384e1b, 0x3ab4bce23a1f7330, 0x75e86a76ded193c7,
  0x639e4690e7b55ae8, 0xff00bd96cbe701c7, 0x716690cf2a3608cb, 0x275a1bf031317fb0, 0x294180ef8bfcf020,
  0x529c94e80b479bc7, 0x79f773ebeedf2a6f, 0x2adfef5545a4179e, 0x6c5104cdfcdb01ca, 0xf9434593432e4d5c,
  0xb442ef9f75663c81, 0x2cd6433d30b41bf1, 0xe686658767d144e3, 0x41de6dfafdcf257e, 0x000000000000000c,
};

// t1634_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_t1634_autobaud_uart1_lednop_pr_ce[] = {
  0x637777777511eff6, 0x6eeeeee962112c7d, 0xc4e625c78f921ab4, 0xec9e3b267bbbbebf, 0x6e7d277420d6974c,
  0xff927d9f90f30f3e, 0x8681102a785f85c9, 0x6d7f6bf0e02e8b5f, 0xa7d1babda3857ea8, 0xc64a9d9eb63faef6,
  0x59339d771b9b3bf3, 0xf59ea3f493dcb2eb, 0x0ab5ee1c71c8fc20, 0x1f3b73c8d219cc58, 0x1a45403ff6678ebd,
  0xfd9b1c4c0f2d6ed6, 0x81013ad0df81898b, 0xde394a0c077c5fe7, 0x537a94e4a7405a3c, 0xbcf3cfbb9f5f76f9,
  0x1c8c76ff7aaa2d20, 0xd5c6c5104cdfcdb0, 0xc81f9434593432e4, 0xbf1b442ef9f75663, 0x4e32cd6433d30b41,
  0x57ee686658767d14, 0x0b3f0a02b7afdcf2,
};

// t1634_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_autobaud_uart1_lednop_pr_ee_ce[] = {
  0xb1bbbbbbba88ba31, 0x77777774b1ea6d16, 0x1784142cd8f23bc9, 0xd29fb0b248bbbb6e, 0x277599ec4e015f4c,
  0xfb3e33730f3e6e7d, 0x2054f0bf085aff24, 0xd7e1c05d16bf0d02, 0x757b470afd50dafe, 0xc16c7f5461ed4fa3,
  0xdc6e400fcf192a76, 0x3c0ddac0a3e4ce75, 0xf06cc1e45f51e561, 0x0ebec1c80afa8f51, 0x06be96c65c709c37,
  0x278e756b89c7eb60, 0xf4e0ebd0d4edbda3, 0x0e3b1cf234873daa, 0x22813805ecb65f38, 0xff674f1a433ca8d8,
  0xe0404eb437e06262, 0x378e528301df17f9, 0x54dea53929d0168f, 0x2f3cf3eee7d7ddbe, 0x07231dbfdeaa8b48,
  0x3571b1441337f36c, 0xf207e50d164d0cb9, 0x6fc6d10bbe7dd598, 0x138cb3590cf4c2d0, 0x95fb9a19961d9f45,
  0x0000566cc9ebf73c,
};

// t1634_u1x8_uart0_noled_pr         t1634_u1x8_uart0_noled_pr_u4
static const uint64_t ur_t1634_u1x8_uart0_noled[] = {
  0x8ddddddb96b37382, 0x777774b1be1ddf95, 0x054c438595bcdf77, 0x1d838da6eeea7acf, 0x7d277499ef1f05fc,
  0xd000cfa6330f3e6e, 0x620fda50ec0b22ff, 0xacf51f059df2d52f, 0x683eb3e38e47e107, 0x4347449cc580b2ca,
  0x03ff6608ebd1f3b2, 0x9c0f2cf6d41dd354, 0xe7cd2fb11620f53c, 0x13cdeca05f3bcc41, 0xfb8c1a9b129fbe73,
  0x5169e1a79e7ddcfa, 0x37f36c3a8ab7fbd5, 0x1a2c9a18ddb14413, 0x5df3eeacc790347f, 0xc867a616837e3688,
  0xccb0ecfa289c659a, 0xe7df2df9e4afdcd0, 0x0000000000003e40,
};

// t1634_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t1634_u1x8_uart0_noled_pr_ee[] = {
  0x3777776e5a88ad3a, 0xeeeeee962612a1d6, 0x1236c65098ef5e9e, 0x8f1f7394f76ebf6f, 0x3bad2f41991f05f9,
  0xecffee9879f373e9, 0x7ed28760501bfc93, 0xe7183fdad1af9b10, 0xa3e0d983c8bea3ca, 0xb875f600fe2b97de,
  0x0035f4b632e384e1, 0x73ab4bc423a1f733, 0x0ebd0d4ec4f23a96, 0xec2434744cf6ab5d, 0x7fe017b2d97ce038,
  0xc716e9cb2546c119, 0x9883cf9a5f622c41, 0x7ce6279bd940be77, 0xb9f5f7183536253f, 0xf7aaa2d3c34f3cfb,
  0x88266fe6d875156f, 0x1a2c9a19726ae362, 0x177cfbab31e40fca, 0xb219e985a0df8da2, 0x332c3b3e8a271966,
  0x5c17d7ee792bf734, 0x00000000000029f1,
};

// t1634_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t1634_u1x8_uart0_noled_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeee962d33417ba, 0x2767eef5337d2eee, 0x8fd68c1f77767b92, 0x73e93bb8ef731363,
  0xfe80067fa89879f3, 0x6d883f6943b029c7, 0x3c64a0717cb1fd6d, 0xb59339d771b850ff, 0xe417d47aff3dcb2e,
  0x0288bcf471c8fc20, 0x47cec90d1d127316, 0x774d500ffd99e3af, 0x20f53c9c0f2d6e50, 0x3bcc41e7cd2fb116,
  0x9fbe7313cdeca05f, 0x7ddcfafb8c1a9b12, 0xb7fbd55169e1a79e, 0x6288266fe6d87463, 0x2068fe34593431bb,
  0xfc6d10bbe7dd598f, 0x38cb3590cf4c2d06, 0x5fb9a19961d9f451, 0x005ba81cbe5bf3c9,
};

// t1634_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5a88a8ae, 0xddddd2c6f8764856, 0x936a636f17e9bbdd, 0x98a1dfafdd7906bd, 0x77e9ed911226c209,
  0x9fc0930f3e6e7d27, 0xda50ec08a5ff927d, 0xf3ac7f547b7f620f, 0xdc6e69afcf192a77, 0x500ddac0a3e4ce75,
  0xf83660c6ffa8f2b0, 0x875f60e4057377a8, 0x035f4b632e384e1b, 0xa9673ab5c443f5b0, 0xf4e0ebd0d4ec4f23,
  0x0e3b090d1d133daa, 0x22813805ecb65f38, 0xc41fa79d3964a8d8, 0xe779883cf9a5f622, 0x53f7ce6279bd940b,
  0xcfbb9f5f71835362, 0x76ff7aaa2d3c34f3, 0x6c5104cdfcdb0e8c, 0xf9434593432e4d5c, 0xb442ef9f75663c81,
  0x2cd6433d30b41bf1, 0xe686658767d144e3, 0x34f782fafdcf257e, 0x0000000000000005,
};

// t1634_u1x8_uart0_lednop_pr        t1634_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_t1634_u1x8_uart0_lednop[] = {
  0x3777776e5acdfcd7, 0xbbbba58df0efc4d6, 0x0df8a65c4ebc9bbb, 0xb993341dddd4f59e, 0x7d277600df4b8ef9,
  0xd000cfe4930f3e6e, 0xb107ed287604f7ff, 0xeb3d47268ef96a97, 0x4d917a08e391f841, 0x52d18fb398b01659,
  0x00ffd9823af47ced, 0xdd03cb3dba2541d5, 0x09f34bec45883be8, 0xf12817cef3107c08, 0x4e48a5abce806279,
  0xf9e79f773ebee02d, 0x38e2adfef5545a5a, 0xc6ed8a2099bf9b6d, 0x663c81a3f8d164d0, 0xb41bf1b442ef9f75,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000003e405fbf96f,
};

// t1634_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t1634_u1x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb511bd3a, 0xdddddd2c4c242fac, 0x350c6dd68a6f70ad, 0xfa57394f76ebf6f1, 0x75ebe9fbfa78eec7,
  0x9ff9d30f3e6e7d27, 0xda50ec08a2ff927d, 0xeb07fb5a35f3620f, 0x7c1b307917d47959, 0x875f600fe2bd2bd4,
  0x035f4b632e384e1b, 0x3ab4baf83a1f7330, 0xebd0d4edd223afe7, 0x8a968c7dcf6ab5d0, 0xfc02f65b2f9c071d,
  0xc5a83ba6a8d8232f, 0x1013e697d88b1071, 0xf3e2502f9de620f8, 0x5a9c914b579d00c4, 0xb5f3cf3eee7d7dc0,
  0xda71c55bfdeaa8b4, 0x93571b1441337f36, 0x8f207e50d164d0cb, 0x06fc6d10bbe7dd59, 0x5138cb3590cf4c2d,
  0xc95fb9a19961d9f4, 0x00029f0e43febf73,
};

// t1634_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t1634_u1x8_uart0_lednop_pr_ce[] = {
  0x3777776e5acdfc4f, 0xbbbba58b4cd0f256, 0xdcdf83e1fd75fbbb, 0xd0bddf9bbbad833d, 0x9f49ddb1fb50d04a,
  0xf40033fa54c3cf9b, 0x6c41fb4a1d81029f, 0xe325039f258fea4f, 0x3399cebb8dc2ebf9, 0x07f51dafa7b965d6,
  0xdc310f1c723f0835, 0x9d838a333c731602, 0x4a0fb8e58cf1d78b, 0x404f9a5f622c41c7, 0xcf8940be779883e0,
  0x6a72452d5e740313, 0xd7cf3cfbb9f5f701, 0xd38cc76ff7aaa2d2, 0x0c6ed8a2099bf9b6, 0x5663c81a3f8d164d,
  0x0b41bf1b442ef9f7, 0x7d144e32cd6433d3, 0xfcf257ee68665876, 0x00000002dd79cf96,
};

// t1634_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbb72d446d4e, 0xeeeee9637c3b642b, 0x48593a870cf5a5ee, 0xb1e877ebf75e41ae, 0xef91d34a8cf1795b,
  0x3fbee61e7cdcfa4e, 0xb4a1d8129eff24fb, 0xe1d8fea8f6fec41f, 0x71b96b7f9e3254ec, 0x00376b028f9339d7,
  0xe0d9831bfea3cad0, 0x1d7d839015ce3ea3, 0x0d7d2d8cb8e1386e, 0xbf9cead70be7d6c0, 0xd383af4353b7488e,
  0x71d8a968c7dcf6ab, 0x1409c02f65b2f9c0, 0x41fa7941dd3546c1, 0x83e0404f9a5f622c, 0x0313cf8940be7798,
  0xf7016a72452d5e74, 0xa2d2d7cf3cfbb9f5, 0xf9b6d38cc76ff7aa, 0x865c9ab8d8a2099b, 0xeacc7903f2868b26,
  0x616837e36885df3e, 0xcfa289c659ac867a, 0xfb9e4afdcd0ccb0e, 0x0000000a69e493f5,
};

// t1634_u1x8_uart1_noled_pr         t1634_u1x8_uart1_noled_pr_u4
static const uint64_t ur_t1634_u1x8_uart1_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b1614ddf5, 0x5ffc4df9e17be2f7, 0xde448bebf7774610, 0xdcfa4eef8fddb6a6,
  0xffa0019f05261e7c, 0x66dfda208dec0be4, 0x17ea3f4077cb0870, 0xc3e7491c723f0834, 0xbe47ac398b016594,
  0x07fecc11d7a3e766, 0x381e59ed9a433ca8, 0xa1bf031317fb1a79, 0xf894180ef8bfce75, 0x539794d8ceb479bc,
  0x1679e7ddcfafb975, 0x38b8ab7fbd55169b, 0x18ddb1441337f36c, 0xacc790347f1a2c9a, 0x16837e36885df3ee,
  0xfa289c659ac867a6, 0xf9e4afdcd0ccb0ec, 0x0000007c8371ff2d,
};

// t1634_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t1634_u1x8_uart1_noled_pr_ee[] = {
  0x6eeeeedcb5111c3b, 0xdddddd2c70bb53ac, 0xf0bea1baf5a3504d, 0x3db6c39a0b76fce6, 0xeed45d1a7e454dbd,
  0xb3e70e61e7cdcfa4, 0x4411bd81256ff24f, 0x83fdad18280cdbfb, 0x0d9835afea3cafa8, 0xafb007f159ebea3e,
  0xafa5b1971c270dc3, 0x5a5e6e1d0fb99801, 0xe86a76b868f9e39d, 0xaf91eb27b55ae875, 0x00bd96cbe701c761,
  0x66794d2a3608cbff, 0x5a1bf031317fb071, 0xcf894180ef8bfce7, 0x5539794d8ceb479b, 0xb1679e7ddcfafb97,
  0xc38b8ab7fbd55169, 0x93571b1441337f36, 0x8f207e50d164d0cb, 0x06fc6d10bbe7dd59, 0x5138cb3590cf4c2d,
  0xc95fb9a19961d9f4, 0x0000a7c5ad5ebf73,
};

// t1634_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t1634_u1x8_uart1_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edaebf7, 0x825685ed22eeee8b, 0x7cdcfa4eed8fda86,
  0x89ff40033e1ee61e, 0x00cdbfb4411bd814, 0x78c940e3df63faf4, 0x8ce673aee37243fe, 0xc67ea38879ee5975,
  0x17a013f1c723f083, 0xb9da4151e33398b0, 0x1d3a7b8e58cf1d78, 0x39d686fc0c4c5fec, 0x79bcb750603be2ff,
  0xd575539794d8ceb4, 0x9f5f739b3182169b, 0x104cdfcdb4f3cfbb, 0xd1fc68b2686376c5, 0xda2177cfbab31e40,
  0x966b219e985a0df8, 0x734332c3b3e8a271, 0x16ebce7cb7e792bf,
};

// t1634_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x8_uart1_noled_pr_ee_ce[] = {
  0xddddddb96a22e59b, 0x777774b161406758, 0xb204842fa17af5f7, 0xbd38327edba5efd2, 0x77a76989c9d0ccdd,
  0x9fd9d30f3e6e7d27, 0x208dec0a577f927d, 0xb1fd5187b066dfda, 0xb9883f3c64a9d975, 0x376b028f9339d771,
  0xd983c8bea3caf4a0, 0x7d839015a01ea3e0, 0x7d2d8cb8e1386e1d, 0x1cead71377d6c00d, 0x83af4353b5c347cf,
  0xec35f23d64f6abd3, 0x04e017b2d97ce038, 0x9d3c6794d2a3608a, 0xe73ad0df81898bfd, 0x3cde7c4a0c077c5f,
  0xdcbaa9cbca6c675a, 0x8b4d8b3cf3eee7d7, 0xf36c38b31dbfdeaa, 0x0cb93571b1441337, 0xd598f207e50d164d,
  0xc2d06fc6d10bbe7d, 0x9f45138cb3590cf4, 0xf73c95fb9a19961d, 0x00000014d3daf7eb,
};

// t1634_u1x8_uart1_lednop_pr        t1634_u1x8_uart1_lednop_pr_u4
static const uint64_t ur_t1634_u1x8_uart1_lednop[] = {
  0x3777776e5acdc49f, 0xdddddd2c585367d6, 0x7fddfe250e6f1fdd, 0x78ba1356dddd1841, 0xdcfa4ee82fd2e2b4,
  0xffa0019f40261e7c, 0x66dfda208dec0a6e, 0x17ea3dac77cb0870, 0xc9888b1c723f0834, 0x791a43398b016594,
  0x07fecc11d7a3e76e, 0x2607967b7ac348a8, 0x686fc0c4c5fecd8e, 0x0603be2ff3c0809d, 0x7253a02d1e6f1ca5,
  0xddcfafbb7ca9bd4a, 0x7fbd5516905e79e7, 0x441337f36c0728ab, 0x347f1a2c9a18ddb1, 0x36885df3eeacc790,
  0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0x7c8749df2df9e4af,
};

// t1634_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t1634_u1x8_uart1_lednop_pr_ee[] = {
  0x6eeeeedcb5113f3e, 0xdddddd2c70bd93ac, 0xdda9c2f186c695bd, 0x145c5873416edf9c, 0x27748fed05e9cb46,
  0x7d9f28730f3e6e7d, 0xda208dec0a43ff92, 0xd41fed68c14066df, 0xf06cc1ad7f51e57d, 0x1d7d803f8ae44f51,
  0x0d7d2d8cb8e1386e, 0xead2f388e87dccc0, 0xd7a1a9db7b464f1c, 0x8e791a439ed56ba1, 0xfc02f65b2f9c071d,
  0xc59a433ca8d8232f, 0x9d686fc0c4c5fec1, 0xa50603be2ff3c080, 0x4a7253a02d1e6f1c, 0xe7ddcfafbb7ca9bd,
  0xab7fbd5516905e79, 0xb1441337f36c0728, 0xe50d164d0cb93571, 0xd10bbe7dd598f207, 0xb3590cf4c2d06fc6,
  0x9a19961d9f45138c, 0x7c4cb5ebf73c95fb, 0x000000000000000a,
};

// t1634_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t1634_u1x8_uart1_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0xbfdc4e993bf37d2e, 0x13638fd68f26eee8, 0x79f373e93bb8ef73,
  0xb6fffd000cf98f98, 0xa0066dfda208dec0, 0xf3c64a07221b1fd7, 0xac67339d771b85d7, 0x0f19fa8fcf4f72cb,
  0x016e1b5f471c8fc2, 0xf173b6b119a4398b, 0x60eb58b71cb19e3a, 0x404eb437e06262ff, 0x78392b01df17f9e0,
  0xee2ca72f9d0168f3, 0xf598c10b4f0c5654, 0xf36d3cf3eee7d7dd, 0x2c9a18ddb1441337, 0xf3eeacc790347f1a,
  0x67a616837e36885d, 0xb0ecfa289c659ac8, 0x5f2df9e4afdcd0cc, 0x00000000002dd40e,
};

// t1634_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x6eeeeedcb511259b, 0xbbbbba58b0a1fbac, 0x419b20d4c20da8bb, 0x7854193f6dd2f7e9, 0xdd123bc9605d0b69,
  0x67c6b4c3cf9b9f49, 0x88237b02d37fe49f, 0x6c7f5461ec19b7f6, 0x6e400fcf192a76c1, 0x0ddac0a3e4ce75dc,
  0x6cc1e45f51e5613c, 0xbec1c80afa8f51f0, 0xbe96c65c709c370e, 0x8e756b89c7eb6006, 0xe0ebd0d4edbda327,
  0x3b1cf234873daaf4, 0x813805ecb65f380e, 0x674f1a433ca8d822, 0x404eb437e06262ff, 0x8e528301df17f9e0,
  0xdea53929d0168f37, 0x3cf3eee7d7ddbe54, 0x231dbfdeaa8b482f, 0x71b1441337f36c07, 0x07e50d164d0cb935,
  0xc6d10bbe7dd598f2, 0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513, 0x14d3bab7ebf73c95,
};

// t1634_u1x12_uart0_noled_pr        t1634_u1x12_uart0_noled_pr_u4
static const uint64_t ur_t1634_u1x12_uart0_noled[] = {
  0x77776e512d66faca, 0xddddd2c585183d63, 0x1d5bd7c71eecfddd, 0x7f070e2dddd1846c, 0xfa4ee8dbd622d4f7,
  0xa0019ff9261e7cdc, 0x0e1109fd07f2d7ff, 0x59df2d52f620fda5, 0x38e47e107acf51f0, 0xcc580b2ca683eb3e,
  0x8ebd1f3b24347449, 0x6d41dd35403ff660, 0x11620f53c9c0f2cf, 0x05f3bcc41e7cd2fb, 0xb129fbe7313cdeca,
  0x79e7ddcfafb8c1a9, 0xa8ab7fbd55169e1a, 0x8ddb1441337f36c3, 0xcc790347f1a2c9a1, 0x6837e36885df3eea,
  0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x000007c858fff2df,
};

// t1634_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t1634_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb72896a233b90, 0xbbbba58e17cc6b1b, 0xe3b6fc5d93d537bb, 0x1161cd05bb7e1932, 0x685e9bb5c6d4c17b,
  0xf4ad30f3e6e7d277, 0x4fe83faa57f927d9, 0x1af9b107ed287088, 0x8bea3cae7183fdad, 0xe2b97dea3e0d983c,
  0x2e384e1b875f600f, 0x3a1f7330035f4b63, 0x4f23a9673ab4bc42, 0xcf6ab5d0ebd0d4ec, 0x97ce038ec2434744,
  0x546c1197fe017b2d, 0xf622c41c716e9cb2, 0x940be779883cf9a5, 0x536253f7ce6279bd, 0x34f3cfbb9f5f7183,
  0x875156ff7aaa2d3c, 0x26ae36288266fe6d, 0x1e40fca1a2c9a197, 0x0df8da2177cfbab3, 0xa271966b219e985a,
  0x92bf734332c3b3e8, 0x00029f1faa3d7ee7,
};

// t1634_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t1634_u1x12_uart0_noled_pr_ce[] = {
  0xeeeedca25acdc49f, 0xeeeee9608a6cfac6, 0x16eff1287378feee, 0xe2e84d5b77745ff4, 0x73e93ba0bf4b8ad1,
  0xfe80067d009879f3, 0x4a1c2213fa0fe9bb, 0x8f7d8fea4f6c41fb, 0xbb8dc74bf9e32503, 0xf6a7b965d63399ce,
  0x8e391f841a83fa8e, 0x8d4d1cc580a4d09f, 0x72c678ebc5ced20a, 0x4bec458838e9d3dc, 0x7b2817cef31079f3,
  0x06a6c4a7ef9cc4f3, 0x7869e79f773ebee3, 0xb61d18edfef5545a, 0x4d0c6ed8a2099bf9, 0xf75663c81a3f8d16,
  0xd30b41bf1b442ef9, 0x767d144e32cd6433, 0x96fcf257ee686658, 0x000000002dd7a4ef,
};

// t1634_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x12_uart0_noled_pr_ee_ce[] = {
  0x77776e512d447562, 0xeeeee962c2882563, 0x853d32e27ef619ee, 0x0be0c9fb6e97b75f, 0xed33d23f704199b0,
  0x3f2ba61e7cdcfa4e, 0x09fd07f305ff24fb, 0x47b7f620fda50e11, 0xfcf192a77f3ac7f5, 0x0a3e4ce75dc6e69a,
  0x6ffa8f2b0500ddac, 0x4057377a8f83660c, 0x32e384e1b875f60e, 0x5c443f5b0035f4b6, 0x0d4ec4f23a9673ab,
  0xd1d133daaf4e0ebd, 0x5ecb65f380e3b090, 0xd3964a8d82281380, 0xcf9a5f622c41fa79, 0x279bd940be779883,
  0xf7183536253f7ce6, 0xa2d3c34f3cfbb9f5, 0xdfcdb0e8c76ff7aa, 0x3432e4d5c6c5104c, 0xf75663c81f943459,
  0xd30b41bf1b442ef9, 0x767d144e32cd6433, 0xafdcf257ee686658, 0x00000000534c54e7,
};

// t1634_u1x12_uart0_lednop_pr       t1634_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_t1634_u1x12_uart0_lednop[] = {
  0xbbbbb72896b372ac, 0xeeeee962c2864eb1, 0x0b07d586d34bdeee, 0x9fcdf0feeee8c236, 0x3e93bb50f499d93d,
  0xe80067e6e9879f37, 0xa1c2213fa0fe887f, 0x9a3be5aa5ec41fb4, 0x238e47e107acf51c, 0xce62c059653645e8,
  0x08ebd1f3b54b463e, 0xf6e895075403ff66, 0xb11620efa3740f2c, 0x3bcc41f02027cd2f, 0xaf3a0189e7c4a05f,
  0xdcfafb80b5392296, 0xfbd551696be79e7d, 0x8266fe6db4e38ab7, 0x8fe34593431bb628, 0xd10bbe7dd598f206,
  0xb3590cf4c2d06fc6, 0x9a19961d9f45138c, 0x903853e5bf3c95fb, 0x000000000000000f,
};

// t1634_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t1634_u1x12_uart0_lednop_pr_ee[] = {
  0xddddb944b511eff6, 0xbbbba58e17b1f58d, 0x98971e3e486ad1bb, 0x266c39a0b76fc327, 0x7420d6974cec9e3b,
  0x9f90f30f3e6e7d27, 0x84fe83f9c9ff927d, 0xd1af9b107ed28708, 0xc8bea3cacf583fda, 0x7f15e95ea3e0d983,
  0x1971c270dc3afb00, 0xc1d0fb99801afa5b, 0x6e911d7f39d5a5d7, 0xee7b55ae875e86a7, 0xd97ce038ec54b463,
  0x3546c1197fe017b2, 0xbec458838e2d41dd, 0x7cef3107c0809f34, 0x5abce806279f1281, 0xf773ebee02d4e48a,
  0xdfef5545a5af9e79, 0xa2099bf9b6d38e2a, 0x868b26865c9ab8d8, 0x85df3eeacc7903f2, 0xac867a616837e368,
  0x0ccb0ecfa289c659, 0x4056f5fb9e4afdcd, 0x0000000000000a7c,
};

// t1634_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t1634_u1x12_uart0_lednop_pr_ce[] = {
  0xdddddb944b59bb37, 0xdddddd2c1142f758, 0x416cfddea66fa5dd, 0x38fd68c1f77745ff, 0x373e93bb8ef73136,
  0x7fe80067fa89879f, 0xb4a1c2213fa0fe9c, 0x39f258fea4f6c41f, 0xebb8dc2ebf9e3250, 0xdafa7b965d63399c,
  0xf1c723f083507f51, 0xa333c731602dc310, 0x8e58cf1d78b9d838, 0xa5f622c41c74a0fb, 0x0be779883e0404f9,
  0x52d5e740313cf894, 0xcfbb9f5f7016a724, 0x76ff7aaa2d2d7cf3, 0x8a2099bf9b6d38cc, 0x81a3f8d164d0c6ed,
  0xf1b442ef9f75663c, 0xe32cd6433d30b41b, 0x7ee686658767d144, 0x016ea072f96fcf25,
};

// t1634_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeedca25a88aaac, 0xbbbba58b0a15bac6, 0x82615988d3da17bb, 0x8ee0c9fb6e97b75e, 0xd583bf4e271fbc5f,
  0x7f4dcc3cf9b9f49d, 0x13fa0fecadfe49f6, 0x8f6fec41fb4a1c22, 0xf9e3254ece1d8fea, 0x28f9339d771b96b7,
  0xbfea3cad000376b0, 0x015ce3ea3e0d9831, 0xcb8e1386e1d7d839, 0x70be7d6c00d7d2d8, 0x353b7488ebf9cead,
  0x8c7dcf6abd383af4, 0xf65b2f9c071d8a96, 0x1dd3546c11409c02, 0xf9a5f622c41fa794, 0x940be779883e0404,
  0x2452d5e740313cf8, 0xf3cfbb9f5f7016a7, 0xcc76ff7aaa2d2d7c, 0x8d8a2099bf9b6d38, 0x3f2868b26865c9ab,
  0x36885df3eeacc790, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0xa69938bf5fb9e4af,
};

// t1634_u1x12_uart1_noled_pr        t1634_u1x12_uart1_noled_pr_u4
static const uint64_t ur_t1634_u1x12_uart1_noled[] = {
  0xeeeec49ddacdfebe, 0xbbbba58739245ac6, 0x0c9b07341d1afbbb, 0xdbc8fdb777693fa9, 0x3e93bb0bf600240b,
  0xe80067e719879f37, 0xe3f76e9e17e15f3f, 0x5843a9f46e1bfdbc, 0xf841a0bf51fa03be, 0x0b2ca61f3a48e391,
  0x1f3b35f23d61cc58, 0x19e5403ff6608ebd, 0xd8d3c9c0f2cf6cd2, 0xfe73ad0df81898bf, 0xa3cde7c4a0c077c5,
  0x7dcbaa9cbca6c675, 0xa8b4d8b3cf3eee7d, 0xbf9b61c5c55bfdea, 0xd164d0c6ed8a2099, 0xef9f75663c81a3f8,
  0x433d30b41bf1b442, 0x658767d144e32cd6, 0x9cf96fcf257ee686, 0x0000000000007c86,
};

// t1634_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t1634_u1x12_uart1_noled_pr_ee[] = {
  0xbbbbb12776a22743, 0x777774b0876f4eb1, 0xec7e63e9590d3637, 0xe00d9cb89dd60fb3, 0xdd68baf5d60920a6,
  0x67ca5cc3cf9b9f49, 0x6e9e17e174bfe49f, 0x29f46e1bfdbce3f7, 0x8f2bea20ff6b460a, 0x7afa8f83660d6bfa,
  0x09c370ebec01fc56, 0xee66006be96c65c7, 0x3e78e756979b8743, 0x56ba1d7a1a9dae1a, 0xc071d86be47ac9ed,
  0x8232ffc02f65b2f9, 0x5fec1c599e534a8d, 0xe2ff39d686fc0c4c, 0x3ad1e6f3e250603b, 0x3ebee5d54e5e5363,
  0xf5545a6c59e79f77, 0x4cdfcdb0e2e2adfe, 0x593432e4d5c6c510, 0xf9f75663c81f9434, 0x33d30b41bf1b442e,
  0x58767d144e32cd64, 0xf7afdcf257ee6866, 0x000000000029f179,
};

// t1634_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t1634_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x1b4d3277e6fa5ddd, 0x638fd68f26eeeea4, 0xf373e93bb8ef7313,
  0xfffd000cf98f9879, 0x6f38fddba785f876, 0x63faf40a7d1b86ff, 0x7243fe78c940e3df, 0xee59758ce673aee3,
  0x23f083c67ea38879, 0x3398b017a013f1c7, 0xcf1d78b9da4151e3, 0x4c5fec1d3a7b8e58, 0x3be2ff39d686fc0c,
  0xd8ceb479bcb75060, 0x82169bd575539794, 0xf3cfbb9f5f739b31, 0x6376c5104cdfcdb4, 0xb31e40d1fc68b268,
  0x5a0df8da2177cfba, 0xe8a271966b219e98, 0xe792bf734332c3b3, 0x000000b750397cb7,
};

// t1634_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x12_uart1_noled_pr_ee_ce[] = {
  0xdddd893bb5119391, 0x77774b0e7237758d, 0x5b412c7d05d08377, 0x4da7aefcddad0999, 0xb1c77c8d891a70cd,
  0xfc729879f373e93b, 0xd3c2fc36ebfc93ec, 0x3e8dc37fb79c7eed, 0xa9d975b1fd5187b5, 0x39d771b9883f3c64,
  0xcaf4a0376b028f93, 0x1ea3e0d983c8bea3, 0x386e1d7d839015a0, 0xd6c00d7d2d8cb8e1, 0xc347cf1cead71377,
  0xf6abd383af4353b5, 0x7ce038ec35f23d64, 0xa3608a04e017b2d9, 0x898bfd9d3c6794d2, 0x077c5fe73ad0df81,
  0x6c675a3cde7c4a0c, 0xeee7d7dcbaa9cbca, 0xbfdeaa8b4d8b3cf3, 0x441337f36c38b31d, 0x0d164d0cb93571b1,
  0x0bbe7dd598f207e5, 0x590cf4c2d06fc6d1, 0x19961d9f45138cb3, 0x8fafebf73c95fb9a, 0x00000000000014d3,
};

// t1634_u1x12_uart1_lednop_pr       t1634_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_t1634_u1x12_uart1_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce542563, 0x2245327ebf588eee, 0xd7f166d6eeed27f5, 0xcfa4eeb53df1ec80,
  0xfa0019f3d661e7cd, 0x71fbb74f0bf0cbef, 0x2c21d4fa370dfede, 0xfc20d05fa8f6b1df, 0x05965326222c71c8,
  0x8f9db9e4690ce62c, 0x0d22a01ffb30475e, 0xfb3638981e59edeb, 0x020275a1bf031317, 0xbc7294180ef8bfcf,
  0xa6f529c94e80b479, 0x79e79f773ebeedf2, 0x1ca2adfef5545a41, 0x6376c5104cdfcdb0, 0xb31e40d1fc68b268,
  0x5a0df8da2177cfba, 0xe8a271966b219e98, 0xe792bf734332c3b3, 0x0000007c82a77cb7,
};

// t1634_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t1634_u1x12_uart1_lednop_pr_ee[] = {
  0xbbbbb12776a233c3, 0xbbbbba5843bc2ab1, 0x7a763f6d833dc5fb, 0xe3f672e277583ecf, 0x7571ed458e2c82d1,
  0x9f53d30f3e6e7d27, 0xba785f84baff927d, 0xa7d1b86ff6f38fdd, 0x3cafba83fdad1828, 0x89ea3e0d9835afea,
  0x270dc3afb007f15c, 0xb99801afa5b1971c, 0xc9e39d5a5e711d0f, 0xad743af4353b6f68, 0x80e3b1cf234873da,
  0x0465ff805ecb65f3, 0xbfd838b34867951b, 0x781013ad0df81898, 0xcde394a0c077c5fe, 0x9537a94e4a7405a3,
  0x0bcf3cfbb9f5f76f, 0x80e5156ff7aaa2d2, 0x26ae36288266fe6d, 0x1e40fca1a2c9a197, 0x0df8da2177cfbab3,
  0xa271966b219e985a, 0x92bf734332c3b3e8, 0x00014f841cbd7ee7,
};

// t1634_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t1634_u1x12_uart1_lednop_pr_ce[] = {
  0xeeeec49dda88e668, 0xeeee962b4f8dbac6, 0x63af48a0bf6c7eee, 0x971f17bbbb71387c, 0xd2774ddeb21517c7,
  0x27d9f5f730f3e6e7, 0xfddba785f863dff9, 0xef6a7d1b86ff6f38, 0xbf3c64a9d9eb63fa, 0x2eb59339d771b9b3,
  0xc20f59ea3f493dcb, 0xc580ab5ee1c71c8f, 0xebd1f3b73c8d219c, 0xed61a45403ff6678, 0x98bfd9b1c4c0f2d6,
  0xfe781013ad0df818, 0xa3cde394a0c077c5, 0x6f9537a94e4a7405, 0xd20bcf3cfbb9f5f7, 0xdb01c8c76ff7aaa2,
  0x2e4d5c6c5104cdfc, 0x663c81f943459343, 0xb41bf1b442ef9f75, 0xd144e32cd6433d30, 0xcf257ee686658767,
  0x000005baeb2d7afd,
};

// t1634_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xdddd893bb51190e3, 0x77774b0e7269758d, 0xecadbd3b23ad1777, 0xd09ebbf376b42666, 0x6e0ef4e0dd41685a,
  0xf27530f3e6e7d277, 0xa785f862b7f927d9, 0x7d1b86ff6f38fddb, 0x53b60b63faa30f6a, 0x73aee372007e78c9,
  0x2b09e06ed6051f26, 0x7a8f83660f22fa8f, 0xe1b875f60e4057d4, 0x5b0035f4b632e384, 0xed193c73ab5c4e3f,
  0xed57a7075e86a76d, 0xf9c071d8e791a439, 0x46c11409c02f65b2, 0x1317fb3a78d219e5, 0xbfcf020275a1bf03,
  0xb479bc7294180ef8, 0xedf2a6f529c94e80, 0x5a4179e79f773ebe, 0x9b603918edfef554, 0x65c9ab8d8a2099bf,
  0xacc7903f2868b268, 0x16837e36885df3ee, 0xfa289c659ac867a6, 0xb9e4afdcd0ccb0ec, 0x000000534d22ff5f,
};

// t1634_u2x8_uart0_noled_pr         t1634_u2x8_uart0_noled_pr_u4
static const uint64_t ur_t1634_u2x8_uart0_noled[] = {
  0x1bbbbbb72d66faca, 0xeeeeee962c28c1eb, 0x60eadebe38f767ee, 0xbbf838716eee8c23, 0xe7d27746deb116a7,
  0xfd000cffc930f3e6, 0xb54812743eab16bf, 0x2cef96a97b107ed3, 0x1c723f083d67a8f8, 0xe62c05965341f59f,
  0x475e8f9d921a3a24, 0xb6a0ee9aa01ffb30, 0x88b107a9e4e07967, 0x02f9de620f3e697d, 0xd894fdf3989e6f65,
  0x3cf3eee7d7dc60d4, 0xd455bfdeaa8b4f0d, 0xc6ed8a2099bf9b61, 0x663c81a3f8d164d0, 0xb41bf1b442ef9f75,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000003e42c7ff96f,
};

// t1634_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t1634_u2x8_uart0_noled_pr_ee[] = {
  0xddddddb96a233b90, 0xdddddd2c70be6358, 0x971db7e2ec9ea9bd, 0xd88b0e682ddbf0c9, 0xbb42f4ddae36a60b,
  0xcfa569879f373e93, 0x93a1f55952bfc93e, 0x8d7cd883f69daa40, 0x45f51e5738c1fed6, 0xf15cbef51f06cc1e,
  0x971c270dc3afb007, 0x1d0fb99801afa5b1, 0x2791d4b39d5a5e21, 0x67b55ae875e86a76, 0xcbe701c76121a3a2,
  0x2a3608cbff00bd96, 0xfb11620e38b74e59, 0xca05f3bcc41e7cd2, 0xa9b129fbe7313cde, 0x1a79e7ddcfafb8c1,
  0xc3a8ab7fbd55169e, 0x93571b1441337f36, 0x8f207e50d164d0cb, 0x06fc6d10bbe7dd59, 0x5138cb3590cf4c2d,
  0xc95fb9a19961d9f4, 0x00014f8fd51ebf73,
};

// t1634_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t1634_u2x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdc49f, 0x7777774b045367d6, 0xa0b77f89439bc7f7, 0x8f17426adbbba2ff, 0x9b9f49dd05fa5c56,
  0xdff40033e804c3cf, 0xa76a9024e87d564d, 0xc7bec7f527b620fd, 0x5dc6e3a5fcf19281, 0x7b53dcb2eb19cce7,
  0xc71c8fc20d41fd47, 0x46a68e62c052684f, 0x39633c75e2e76905, 0xa5f622c41c74e9ee, 0xbd940be779883cf9,
  0x83536253f7ce6279, 0x3c34f3cfbb9f5f71, 0xdb0e8c76ff7aaa2d, 0x2686376c5104cdfc, 0xfbab31e40d1fc68b,
  0xe985a0df8da2177c, 0x3b3e8a271966b219, 0xcb7e792bf734332c, 0x0000000016ebd277,
};

// t1634_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x8_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbb72d447562, 0x7777774b1614412b, 0xfc29e99713f7b0cf, 0x805f064fdb74bdba, 0x77699e91fb820ccd,
  0xd9f95d30f3e6e7d2, 0x12743eab182ff927, 0xa3dbfb107ed3b548, 0x7e78c953bf9d63fa, 0x051f2673aee3734d,
  0x37fd479582806ed6, 0x202b9bbd47c1b306, 0x1971c270dc3afb07, 0xae221fad801afa5b, 0x86a762791d4b39d5,
  0x68e899ed57a7075e, 0x2f65b2f9c071d848, 0xe9cb2546c11409c0, 0xe7cd2fb11620fd3c, 0x13cdeca05f3bcc41,
  0xfb8c1a9b129fbe73, 0x5169e1a79e7ddcfa, 0x6fe6d87463b7fbd5, 0x9a19726ae3628826, 0xfbab31e40fca1a2c,
  0xe985a0df8da2177c, 0x3b3e8a271966b219, 0xd7ee792bf734332c, 0x0000000029a62a73,
};

// t1634_u2x8_uart0_lednop_pr        t1634_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_t1634_u2x8_uart0_lednop[] = {
  0x8ddddddb96b372ac, 0x7777774b16143275, 0xb0583eac369a5ef7, 0xecfe6f87f7774611, 0xb9f49dda87a4cec9,
  0xff40033f374c3cf9, 0x76a9024e87d56443, 0x4d1df2d52f620fda, 0x11c723f083d67a8e, 0x6731602cb29b22f4,
  0x0475e8f9daa5a31f, 0x7b744a83aa01ffb3, 0xd88b1077d1ba0796, 0x9de620f81013e697, 0x579d00c4f3e2502f,
  0xee7d7dc05a9c914b, 0xfdeaa8b4b5f3cf3e, 0x41337f36da71c55b, 0x47f1a2c9a18ddb14, 0x6885df3eeacc7903,
  0x59ac867a616837e3, 0xcd0ccb0ecfa289c6, 0xc81c29f2df9e4afd, 0x0000000000000007,
};

// t1634_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t1634_u2x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb511eff6, 0xdddddd2c70bd8fac, 0x3cc4b8f1f243568d, 0xd93361cd05bb7e19, 0x3ba106b4ba6764f1,
  0xecfc879879f373e9, 0x093a1f558e4ffc93, 0x68d7cd883f69daa4, 0xe45f51e567ac1fed, 0x3f8af4af51f06cc1,
  0x8cb8e1386e1d7d80, 0xe0e87dccc00d7d2d, 0xb7488ebf9cead2eb, 0xf73daad743af4353, 0x6cbe701c762a5a31,
  0x9aa3608cbff00bd9, 0x5f622c41c716a0ee, 0xbe779883e0404f9a, 0x2d5e740313cf8940, 0xfbb9f5f7016a7245,
  0x6ff7aaa2d2d7cf3c, 0x5104cdfcdb69c715, 0x434593432e4d5c6c, 0x42ef9f75663c81f9, 0xd6433d30b41bf1b4,
  0x86658767d144e32c, 0x202b7afdcf257ee6, 0x000000000000053e,
};

// t1634_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t1634_u2x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a17ba, 0xfa0b67eef5337d2e, 0xb1c7eb460fbbba2f, 0xf9b9f49ddc77b989,
  0xe3ff40033fd44c3c, 0xda76a9024e87d564, 0x1cf92c7f527b620f, 0x75dc6e175fcf1928, 0xed7d3dcb2eb19cce,
  0x78e391f841a83fa8, 0x5199e398b016e188, 0xc72c678ebc5cec1c, 0xd2fb11620e3a507d, 0x05f3bcc41f02027c,
  0x296af3a0189e7c4a, 0xe7ddcfafb80b5392, 0x3b7fbd551696be79, 0xc5104cdfcdb69c66, 0x40d1fc68b2686376,
  0xf8da2177cfbab31e, 0x71966b219e985a0d, 0xbf734332c3b3e8a2, 0x00b750397cb7e792,
};

// t1634_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x3777776e5a88aaac, 0xdddddd2c5850add6, 0xf4130acc469ed0bd, 0xfc77064fdb74bdba, 0xeeac1dfa7138fde2,
  0xb3fa6e61e7cdcfa4, 0x24e87d56656ff24f, 0x47b7f620fda76a90, 0xfcf192a7670ec7f5, 0x147c99cebb8dcb5b,
  0xdff51e568001bb58, 0x80ae71f51f06cc18, 0x65c709c370ebec1c, 0xb85f3eb6006be96c, 0x1a9dba4475fce756,
  0x463ee7b55e9c1d7a, 0x7b2d97ce038ec54b, 0x0ee9aa3608a04e01, 0x7cd2fb11620fd3ca, 0x4a05f3bcc41f0202,
  0x92296af3a0189e7c, 0x79e7ddcfafb80b53, 0x663b7fbd551696be, 0xc6c5104cdfcdb69c, 0x1f9434593432e4d5,
  0x1b442ef9f75663c8, 0x32cd6433d30b41bf, 0xee686658767d144e, 0x534c9c5fafdcf257,
};

// t1634_u2x8_uart1_noled_pr         t1634_u2x8_uart1_noled_pr_u4
static const uint64_t ur_t1634_u2x8_uart1_noled[] = {
  0x377777625acdfebe, 0xdddddd2c39c922d6, 0x4864d839a0e8d7dd, 0x5ede47edbbbb49fd, 0xb9f49dd85fb00120,
  0xff40033f38cc3cf9, 0xe436fb74f0bf0af9, 0xbe5843a9f46eaf68, 0x91f841a0bf51fa03, 0x580b2ca61f3a48e3,
  0xbd1f3b35f23d61cc, 0xd219e5403ff6608e, 0xbfd8d3c9c0f2cf6c, 0xc5fe73ad0df81898, 0x75a3cde7c4a0c077,
  0x7d7dcbaa9cbca6c6, 0xeaa8b4d8b3cf3eee, 0x99bf9b61c5c55bfd, 0xf8d164d0c6ed8a20, 0x42ef9f75663c81a3,
  0xd6433d30b41bf1b4, 0x86658767d144e32c, 0x869cf96fcf257ee6, 0x000000000000007c,
};

// t1634_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t1634_u2x8_uart1_noled_pr_ee[] = {
  0x8dddddd896a22743, 0xbbbbbba5843b7a75, 0x9f63f31f4ac869b1, 0x37006ce5c4eeb07d, 0x4eeb45d7aeb04905,
  0xfb3e52e61e7cdcfa, 0xfb74f0bf0ba5ff24, 0x0a29f46eaf68e436, 0xfa8f2bea20ff6b46, 0x567afa8f83660d6b,
  0xc709c370ebec01fc, 0x43ee66006be96c65, 0x1a3e78e756979b87, 0xed56ba1d7a1a9dae, 0xf9c071d86be47ac9,
  0x8d8232ffc02f65b2, 0x4c5fec1c599e534a, 0x3be2ff39d686fc0c, 0x633ad1e6f3e25060, 0x773ebee5d54e5e53,
  0xfef5545a6c59e79f, 0x104cdfcdb0e2e2ad, 0x34593432e4d5c6c5, 0x2ef9f75663c81f94, 0x6433d30b41bf1b44,
  0x6658767d144e32cd, 0x79f7afdcf257ee68, 0x00000000000029f1,
};

// t1634_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t1634_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x20da6993bf37d2ee, 0x9b1c7eb479377775, 0xcf9b9f49ddc77b98,
  0xb7ffe80067cc7cc3, 0xda390dbedd3c2fc3, 0xdf63faf40a7d1bab, 0xe37243fe78c940e3, 0x79ee59758ce673ae,
  0xc723f083c67ea388, 0xe33398b017a013f1, 0x58cf1d78b9da4151, 0x0c4c5fec1d3a7b8e, 0x603be2ff39d686fc,
  0x94d8ceb479bcb750, 0x3182169bd5755397, 0xb4f3cfbb9f5f739b, 0x686376c5104cdfcd, 0xbab31e40d1fc68b2,
  0x985a0df8da2177cf, 0xb3e8a271966b219e, 0xb7e792bf734332c3, 0x00000000b750397c,
};

// t1634_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x8_uart1_noled_pr_ee_ce[] = {
  0x6eeeeec4b5119391, 0xbbbbba587391bbac, 0xcada0963e82e841b, 0x6a6d3d77e6ed684c, 0xdd8e3be46c48d386,
  0x67e394c3cf9b9f49, 0x6e9e17e1b75fe49f, 0xb53e8dd5ed1c86df, 0x64a9d975b1fd5187, 0x9339d771b9883f3c,
  0xa3caf4a0376b028f, 0xa01ea3e0d983c8be, 0xe1386e1d7d839015, 0x77d6c00d7d2d8cb8, 0xb5c347cf1cead713,
  0x64f6abd383af4353, 0xd97ce038ec35f23d, 0xd2a3608a04e017b2, 0x81898bfd9d3c6794, 0x0c077c5fe73ad0df,
  0xca6c675a3cde7c4a, 0xf3eee7d7dcbaa9cb, 0x1dbfdeaa8b4d8b3c, 0xb1441337f36c38b3, 0xe50d164d0cb93571,
  0xd10bbe7dd598f207, 0xb3590cf4c2d06fc6, 0x9a19961d9f45138c, 0xd38fafebf73c95fb, 0x0000000000000014,
};

// t1634_u2x8_uart1_lednop_pr        t1634_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_t1634_u2x8_uart1_lednop[] = {
  0x1bbbbbb12d66ef3a, 0x7777774b0e72a12b, 0xa9122993f5fac477, 0x06bf8b36b777693f, 0x6e7d2775a9ef8f64,
  0x7fd000cf9eb30f3e, 0x721b7dba785f865f, 0xdf2c21d4fa3757b4, 0xc8fc20d05fa8f6b1, 0x2c05965326222c71,
  0x5e8f9db9e4690ce6, 0xeb0d22a01ffb3047, 0x17fb3638981e59ed, 0xcf020275a1bf0313, 0x79bc7294180ef8bf,
  0xf2a6f529c94e80b4, 0x4179e79f773ebeed, 0xb01ca2adfef5545a, 0x686376c5104cdfcd, 0xbab31e40d1fc68b2,
  0x985a0df8da2177cf, 0xb3e8a271966b219e, 0xb7e792bf734332c3, 0x000000007c82a77c,
};

// t1634_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t1634_u2x8_uart1_lednop_pr_ee[] = {
  0x8dddddd896a233c3, 0xddddddd2c21de155, 0x7bd3b1fb6c19ee2f, 0x8f1fb39713bac1f6, 0x3bab8f6a2c716416,
  0xecfa9e9879f373e9, 0xedd3c2fc25d7fc93, 0x28a7d1babda390db, 0xea3cafba83fdad18, 0x5c89ea3e0d9835af,
  0x1c270dc3afb007f1, 0x0fb99801afa5b197, 0x68c9e39d5a5e711d, 0xdaad743af4353b6f, 0xf380e3b1cf234873,
  0x1b0465ff805ecb65, 0x98bfd838b3486795, 0xfe781013ad0df818, 0xa3cde394a0c077c5, 0x6f9537a94e4a7405,
  0xd20bcf3cfbb9f5f7, 0x6d80e5156ff7aaa2, 0x9726ae36288266fe, 0xb31e40fca1a2c9a1, 0x5a0df8da2177cfba,
  0xe8a271966b219e98, 0xe792bf734332c3b3, 0x0000014f841cbd7e,
};

// t1634_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t1634_u2x8_uart1_lednop_pr_ce[] = {
  0x377777625a88e668, 0x777774b15a7c6dd6, 0xe31d7a4505fb63f7, 0x3cb8f8bddddb89c3, 0x3e93ba6ef590a8be,
  0xc93ecfafb9879f37, 0x0dbedd3c2fc31eff, 0xfaef6a7d1babda39, 0xb3bf3c64a9d9eb63, 0xcb2eb59339d771b9,
  0x8fc20f59ea3f493d, 0x9cc580ab5ee1c71c, 0x78ebd1f3b73c8d21, 0xd6ed61a45403ff66, 0x1898bfd9b1c4c0f2,
  0xc5fe781013ad0df8, 0x05a3cde394a0c077, 0xf76f9537a94e4a74, 0xa2d20bcf3cfbb9f5, 0xfcdb01c8c76ff7aa,
  0x432e4d5c6c5104cd, 0x75663c81f9434593, 0x30b41bf1b442ef9f, 0x67d144e32cd6433d, 0xfdcf257ee6866587,
  0x00000005baeb2d7a,
};

// t1634_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x8_uart1_lednop_pr_ee_ce[] = {
  0x6eeeeec4b51190e3, 0xbbbbba5873934bac, 0x37656de9d91d68bb, 0xd684f5df9bb5a133, 0xbb7077a706ea0b42,
  0xcf93a9879f373e93, 0xdd3c2fc315bfc93e, 0x6a7d1babda390dbe, 0xc953b60b63faa30f, 0x2673aee372007e78,
  0x8f2b09e06ed6051f, 0xd47a8f83660f22fa, 0x84e1b875f60e4057, 0x3f5b0035f4b632e3, 0x6ded193c73ab5c4e,
  0x39ed57a7075e86a7, 0xb2f9c071d8e791a4, 0xe546c11409c02f65, 0x031317fb3a78d219, 0xf8bfcf020275a1bf,
  0x80b479bc7294180e, 0xbeedf2a6f529c94e, 0x545a4179e79f773e, 0xbf9b603918edfef5, 0x6865c9ab8d8a2099,
  0xeeacc7903f2868b2, 0xa616837e36885df3, 0xecfa289c659ac867, 0x5fb9e4afdcd0ccb0, 0x00000000534d22ff,
};

// t1634_u2x12_uart0_noled_pr        t1634_u2x12_uart0_noled_pr_u4
static const uint64_t ur_t1634_u2x12_uart0_noled[] = {
  0x77776e512d66e614, 0xddddd2c39cb83d63, 0xf9b4fd9227684ddd, 0x1777a1cdddda4f8b, 0xe7d2774b8e8c7a69,
  0xfd000cfaf930f3e6, 0x1f3413fa0989e98f, 0xbd883f69daa4093a, 0x1eb3d47c1677cb54, 0x29a0facf8e391f84,
  0xc90d1d12731602cb, 0x500ffd9823af47ce, 0xf2703cb3db50774d, 0x079f34bec45883d4, 0xcc4f37b2817cef31,
  0xebee306a6c4a7ef9, 0x5545a7869e79f773, 0x4cdfcdb0ea2adfef, 0xfc68b2686376c510, 0x2177cfbab31e40d1,
  0x6b219e985a0df8da, 0x4332c3b3e8a27196, 0x03cbfcb7e792bf73, 0x00000000000001f2,
};

// t1634_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t1634_u2x12_uart0_noled_pr_ee[] = {
  0xddddb944b511ff41, 0xbbbba5843b05f58d, 0xe3e001af856921bb, 0xc66ce5c4eeb07e6f, 0xbb4176199897a6d4,
  0xcfba59879f373e93, 0x3fa0989ffbbfc93e, 0xf69daa4093a1f341, 0x38c1fed68d7cd883, 0x1f06cc1e45f51e57,
  0xc3afb007f15cbef5, 0x01afa5b1971c270d, 0x9d5a5e211d0fb998, 0x75e86a762791d4b3, 0x6121a3a267b55ae8,
  0xff00bd96cbe701c7, 0x38b74e592a3608cb, 0xc41e7cd2fb11620e, 0xe7313cdeca05f3bc, 0xcfafb8c1a9b129fb,
  0xbd55169e1a79e7dd, 0x41337f36c3a8ab7f, 0xd164d0cb93571b14, 0xbbe7dd598f207e50, 0x90cf4c2d06fc6d10,
  0x9961d9f45138cb35, 0xd51ebf73c95fb9a1, 0x0000000000014f9f,
};

// t1634_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t1634_u2x12_uart0_noled_pr_ce[] = {
  0x77776e512d66ef3a, 0xbbbba58ad3f42563, 0x2914c9fafd623bbb, 0xafe2cdaddddd4971, 0x9f49dd6a7be3d901,
  0xf40033e7acc3cf9b, 0xf9a09fd04c4f97df, 0x6c41fb4ed52049d0, 0xe325038f7d8fea4f, 0x3399cebb8dc74bf9,
  0x83fa8ef6a7b965d6, 0xa4d09f8e391f841a, 0xced20a8d4d1cc580, 0xe9d3dc72c678ebc5, 0x1079f34bec458838,
  0x9cc4f37b2817cef3, 0x3ebee306a6c4a7ef, 0xf5545a7869e79f77, 0x099bf9b61d18edfe, 0x3f8d164d0c6ed8a2,
  0x442ef9f75663c81a, 0xcd6433d30b41bf1b, 0x686658767d144e32, 0x7554ef96fcf257ee, 0x000000000000000b,
};

// t1634_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x12_uart0_noled_pr_ee_ce[] = {
  0x6eeeedca25a88f62, 0xdddddd2c39c8d8ac, 0x568537e3da5e8d3d, 0x6d4d3d77e6ed69e9, 0xdde4bab8d1d9bb06,
  0x67edd4c3cf9b9f49, 0x9fd04c4fc09fe49f, 0xfb4ed52049d0f9a0, 0xfe758fea8f6fec41, 0xbb8dcd35f9e3254e,
  0x0a01bb58147c99ce, 0x1f06cc18dff51e56, 0x70ebec1c80ae6ef5, 0x006be96c65c709c3, 0x752ce756b8887eb6,
  0x5e9c1d7a1a9d89e4, 0x01c76121a3a267b5, 0x04502700bd96cbe7, 0x5883f4f3a72c951b, 0x7cef31079f34bec4,
  0x4a7ef9cc4f37b281, 0x79f773ebee306a6c, 0x8edfef5545a7869e, 0x8d8a2099bf9b61d1, 0x3f2868b26865c9ab,
  0x36885df3eeacc790, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0xa69e8e2f5fb9e4af,
};

// t1634_u2x12_uart0_lednop_pr       t1634_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_t1634_u2x12_uart0_lednop[] = {
  0x77776e512d66fcc5, 0xddddd2c39cb9bd63, 0xff0736838b6b4ddd, 0x09b3d4cdddda4f8b, 0xe7d277731d1b7855,
  0xfa0019f97d30f3e6, 0x3e6827f41313f24f, 0x7b107ed3b5481274, 0x1eb3d47268ef96a9, 0x94d917a08e391f84,
  0xd52d18fb398b0165, 0x500ffd9823af47ce, 0x8dd03cb3dba2541d, 0x809f34bec45883be, 0x9f12817cef3107c0,
  0xd4e48a5abce80627, 0xaf9e79f773ebee02, 0xd38e2adfef5545a5, 0x0c6ed8a2099bf9b6, 0x5663c81a3f8d164d,
  0x0b41bf1b442ef9f7, 0x7d144e32cd6433d3, 0xfcf257ee68665876, 0x00000003e431bf96,
};

// t1634_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t1634_u2x12_uart0_lednop_pr_ee[] = {
  0xddddb944b5111391, 0xbbbba5843bc7758d, 0x17f8f622826b21bb, 0xdbd9cb89dd60fcdc, 0xb647685f25c2ac98,
  0xf9759879f373e93b, 0xfa0989ff3bfc93ec, 0x69daa4093a1f3413, 0xac1fed68d7cd883f, 0xf06cc1e45f51e567,
  0x1d7d803f8af4af51, 0x0d7d2d8cb8e1386e, 0xead2ebe0e87dccc0, 0xaf4353b7488ebf9c, 0x2a5a31f73daad743,
  0xf00bd96cbe701c76, 0x16a0ee9aa3608cbf, 0x404f9a5f622c41c7, 0xcf8940be779883e0, 0x6a72452d5e740313,
  0xd7cf3cfbb9f5f701, 0x69c7156ff7aaa2d2, 0x4d5c6c5104cdfcdb, 0x3c81f9434593432e, 0x1bf1b442ef9f7566,
  0x44e32cd6433d30b4, 0x257ee686658767d1, 0x00029f1071fafdcf,
};

// t1634_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t1634_u2x12_uart0_lednop_pr_ce[] = {
  0x77776e512d66ef3a, 0x77774b15a7f9bd63, 0xe27783eadac47777, 0x06bf8bd9fbbbba92, 0x6e7d2775a9ef8f64,
  0xffa0019f8f730f3e, 0x43e6827f41313fba, 0x3db107ed3b548127, 0xcf19281c5af63fa9, 0xb19cce75dc6e3a5f,
  0xa83fa8ed7d3dcb2e, 0x0a4d3da8e391f841, 0x2e763488ccf1cc58, 0x1d4356e39633c75e, 0x81013e697d88b107,
  0x13cb7502f9de620f, 0x016a72452d5e7403, 0xd7dc6798c10b4a9f, 0x1337f36d3cf3eee7, 0x7f1a2c9a18ddb144,
  0x885df3eeacc79034, 0x9ac867a616837e36, 0xd0ccb0ecfa289c65, 0xeaa9df2df9e4afdc, 0x0000000000000016,
};

// t1634_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xddddb944b511c056, 0x77774b0e72c5f58d, 0xb0b402f7afb41777, 0xc9a7aefcddad3d29, 0xb2ef6999916967ee,
  0xfc569879f373e93b, 0xfa0989fbeffc93ec, 0x69daa4093a1f3413, 0xc3b1fd51edfd883f, 0xe372d6ff3c64a9d9,
  0x006ed6051f2673ae, 0xc1b30637fd4795a0, 0x3afb07202b9c7d47, 0x1afa5b1971c270dc, 0x7f39d5ae17cfad80,
  0xa7075e86a76e911d, 0xe3b152d18fb9ed57, 0x2813805ecb65f380, 0x83f4f283ba6a8d82, 0x07c0809f34bec458,
  0x06279f12817cef31, 0xee02d4e48a5abce8, 0x45a5af9e79f773eb, 0xf36da7198edfef55, 0x0cb93571b1441337,
  0xd598f207e50d164d, 0xc2d06fc6d10bbe7d, 0x9f45138cb3590cf4, 0xf73c95fb9a19961d, 0x00000014d379b7eb,
};

// t1634_u2x12_uart1_noled_pr        t1634_u2x12_uart1_noled_pr_u4
static const uint64_t ur_t1634_u2x12_uart1_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961871e4ac6, 0x5737e0f87f5d7eee, 0xb42f77e6eee91016, 0xe7d2776c7ed43412,
  0xfd000cfe9530f3e6, 0x9c7aadd3c2fc20a7, 0x9f46eaf68e437f37, 0x0bf51fa03be5843a, 0x61f3a48e391f841a,
  0x5f23d61cc580b2ca, 0x03ff6608ebd1f3b3, 0x9c0f2cf6cd219e54, 0xd0df81898bfd8d3c, 0x7c4a0c077c5fe73a,
  0xa9cbca6c675a3cde, 0x8b3cf3eee7d7dcba, 0x1c5c55bfdeaa8b4d, 0x0c6ed8a2099bf9b6, 0x5663c81a3f8d164d,
  0x0b41bf1b442ef9f7, 0x7d144e32cd6433d3, 0xfcf257ee68665876, 0x00000003e439cf96,
};

// t1634_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t1634_u2x12_uart1_noled_pr_ee[] = {
  0xeeeec49dda88da91, 0xddddd2c41929bac6, 0x3b05e4ccade833dd, 0x867051b4dde0f426, 0xd34ba104bb41090a,
  0x7d82cc3cf9b9f49d, 0xe9e17e1387fe49f6, 0x7b4721bf9bce3d56, 0x07fb5a30514fa375, 0x1b306b5fd4795f51,
  0x5f600fe2b3d7d47c, 0x5f4b632e384e1b87, 0xb4bcdc3a1f733003, 0xd0d4ed70d1f3c73a, 0x5f23d64f6ab5d0eb,
  0x017b2d97ce038ec3, 0xccf29a546c1197fe, 0xb437e06262ff60e2, 0x9f128301df17f9ce, 0xaa72f29b19d68f37,
  0x62cf3cfbb9f5f72e, 0x8717156ff7aaa2d3, 0x26ae36288266fe6d, 0x1e40fca1a2c9a197, 0x0df8da2177cfbab3,
  0xa271966b219e985a, 0x92bf734332c3b3e8, 0x00014f8b4fbd7ee7,
};

// t1634_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t1634_u2x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x41c5a64efcdf4bbb, 0xd8e3f5a3c9bbba59, 0x7cdcfa4eee3bdcc4,
  0xbfff40033e63e61e, 0x9bce3d56e9e17e1d, 0x814fa3757b4721bf, 0xcf19281c1f2c7f5e, 0xb19cce75dc6e7cef,
  0x78cfd47a973dcb2e, 0x0293c90e38e47e10, 0x8b9da8946a0e7316, 0x075f87b8e58cf1d7, 0xce75a1bf031317fb,
  0xf9d68f37980ef8bf, 0x42d392306a6c4a7e, 0x9e7ddcfafb820630, 0x1bb6288266fe6da7, 0x98f2068fe3459343,
  0xd06fc6d10bbe7dd5, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x000005ba81cbe5bf,
};

// t1634_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeeeec49dda88af02, 0xddddd2c30e433ac6, 0x179b18eea2ed91dd, 0x480c2307dde3e36f, 0xd837ab0599bd71a6,
  0x7ce0cc3cf9b9f49d, 0xe9e17e1d9dfe49f6, 0x7b4721bf9bce3d56, 0x6c7f5461ed4fa375, 0x6e620fcf192a765d,
  0x0ddac0a3e4ce75dc, 0x3660f22fa8f2bd28, 0x5f60e4056807a8f8, 0x5f4b632e384e1b87, 0xc73ab5c4ddf5b003,
  0xe0ebd0d4ed70d1f3, 0x3b0d7c8f593daaf4, 0x813805ecb65f380e, 0x674f19e534a8d822, 0xf9ceb437e06262ff,
  0x8f379f128301df17, 0xf72eaa72f29b19d6, 0xa2d362cf3cfbb9f5, 0xfcdb0e2cc76ff7aa, 0x432e4d5c6c5104cd,
  0x75663c81f9434593, 0x30b41bf1b442ef9f, 0x67d144e32cd6433d, 0xfdcf257ee6866587, 0x000000029a75657a,
};

// t1634_u2x12_uart1_lednop_pr       t1634_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_t1634_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdfebe, 0xddddd2c30e245ac6, 0x464d839a0e8d7ddd, 0xede47edbbbb9ac16, 0x9f49dd85fb001205,
  0xf40033f38cc3cf9b, 0x71eab74f0bf0af9f, 0x7d1babda390dfcde, 0x93d47278ef96486a, 0xa3226a38e47e1066,
  0xf4720a731602dee9, 0x71cb1823af173b09, 0x7e06262ff6158693, 0x1df17f9e0404eb43, 0x9d0168f378e52830,
  0x7d7ddbe54dea5392, 0xeaa8b482f3cf3eee, 0x99bf9b6039455bfd, 0xf8d164d0c6ed8a20, 0x42ef9f75663c81a3,
  0xd6433d30b41bf1b4, 0x86658767d144e32c, 0x869cf96fcf257ee6, 0x000000000000007c,
};

// t1634_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t1634_u2x12_uart1_lednop_pr_ee[] = {
  0x7777624eed447f82, 0x777774b1064b4563, 0x5378ee00377a7ef7, 0x0bce0a369bbc1e84, 0xe989d68b06cadb21,
  0x3f95a61e7cdcfa4e, 0x74f0bf0943ff24fb, 0xbda390dfcde71eab, 0x83fdad1828a7d1ba, 0x0d9835afea3cafba,
  0xafb007f15c89ea3e, 0xafa5b1971c270dc3, 0x5a5e711d0fb99801, 0xf4353b6f68c9e39d, 0xcf234873daad743a,
  0x805ecb65f380e3b1, 0xb34867951b0465ff, 0xad0df81898bfd838, 0xa0c077c5fe781013, 0x4e4a7405a3cde394,
  0xfbb9f5f76f9537a9, 0x6ff7aaa2d20bcf3c, 0x288266fe6d80e515, 0xa1a2c9a19726ae36, 0x2177cfbab31e40fc,
  0x6b219e985a0df8da, 0x4332c3b3e8a27196, 0x8fc0bd7ee792bf73, 0x000000000000014f,
};

// t1634_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t1634_u2x12_uart1_lednop_pr_ce[] = {
  0xdddd893bb511d214, 0xbbbba581062e358d, 0xdbf4af2353dc77bb, 0xf8f1afbbba368a66, 0xa4eec33d2b6d1617,
  0x4fb3e51661e7cdcf, 0xf55ba785f85fcff2, 0x8dd5ed1c86fe6f38, 0x54ecf5b1fd77b53e, 0x9cebb8dcd9df9e32,
  0xf51fa49ee5975ac9, 0xaf70e38e47e107ac, 0xdb9e4690ce62c055, 0x2a01ffb33c75e8f9, 0xd8e260796b76b0d2,
  0x09d686fc0c4c5fec, 0xca50603be2ff3c08, 0xd4a7253a02d1e6f1, 0x9e7ddcfafbb7ca9b, 0x63b7fbd5516905e7,
  0x36288266fe6d80e4, 0xfca1a2c9a19726ae, 0xda2177cfbab31e40, 0x966b219e985a0df8, 0x734332c3b3e8a271,
  0xdd4202fd7ee792bf, 0x0000000000000002,
};

// t1634_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xdddd893bb511fc3b, 0xbbbba5861ca1758d, 0x678bd4d91fd34bbb, 0x20308c1f778f8db8, 0x51dec7129d51682b,
  0xf4b530f3e6e7d277, 0xa785f846b7f927d9, 0xed1c86fe6f38f55b, 0xb1fd5187b53e8dd5, 0xb9003f3c64a9db05,
  0x376b028f9339d771, 0xb307917d479584f0, 0xfb07202bea3d47c1, 0xfa5b1971c270dc3a, 0x39d5ae271fad801a,
  0x83af4353b6f68c9e, 0xec73c8d21cf6abd3, 0x04e017b2d97ce038, 0x9d3c690cf2a3608a, 0x013ad0df81898bfd,
  0x394a0c077c5fe781, 0x7a94e4a7405a3cde, 0xf3cfbb9f5f76f953, 0x8c76ff7aaa2d20bc, 0xc6c5104cdfcdb01c,
  0x1f9434593432e4d5, 0x1b442ef9f75663c8, 0x32cd6433d30b41bf, 0xee686658767d144e, 0x029a659fafdcf257,
};

// t1634_swio10_noled_pr             t1634_swio10_noled_pr_u4
static const uint64_t ur_t1634_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdaebf76e27524192, 0x80f06612226f897e, 0x43412b42f6917748,
  0x0f3e6e7d2776c7ed, 0xfe44ffa0019f0f73, 0xfa8ef79df2c4d221, 0x5322c71c8fc20c43, 0x8d679cc580b7ba60,
  0x1cb1823af173b740, 0xed7972ab52b1afb7, 0x2a8d7710fe73043f, 0x395daa5beace7515, 0x12a97debe8ca926b,
  0x5ae7b55a22bcaca9, 0x3a9c0594a9f4ef3f, 0x8e148a042d2c2e75, 0xfe6da79e7ddcfafb, 0x4593431bb6288266,
  0xbe7dd598f2068fe3, 0x0cf4c2d06fc6d10b, 0x961d9f45138cb359, 0x73e5bf3c95fb9a19, 0x000000000000f90e,
};

// t1634_swio10_noled_pr_ee_u4
static const uint64_t ur_t1634_swio10_noled_pr_ee[] = {
  0xb3f777777511c056, 0xab5cb4b10898beb1, 0xdebed05df4b5a1b5, 0xd22e1ff166c2d00b, 0xd2cfdd932282ffb3,
  0xe7d27765ded33322, 0xf927d9f8ad30f3e6, 0xff6b4665221ff7df, 0x660d00f51e56e960, 0xd803f8afe77a8f83,
  0xd2d8cb8e1386e1d7, 0x5d7d8e87dccc00d7, 0x6a7697c8d3139d5a, 0x23b5a7b55ae875e8, 0x5ecb65f380e3b03e,
  0x9f5fd51b0465ff80, 0x87fdaf2e556a38b5, 0xa2a551aee21fce60, 0x4d672bb54b7d59ce, 0x9522552fbd7d1952,
  0xdfd75cf6ab445795, 0x81dd4d8a53c34ef1, 0xd30ca79e7ddcfafb, 0x6d8ad5156ff7aaa2, 0x9726ae36288266fe,
  0xb31e40fca1a2c9a1, 0x5a0df8da2177cfba, 0xe8a271966b219e98, 0xe792bf734332c3b3, 0x0000014f8f36fd7e,
};

// t1634_swio10_noled_pr_ce_u4
static const uint64_t ur_t1634_swio10_noled_pr_ce[] = {
  0x87f777777511eff6, 0x9572d2c593963eb1, 0x90d5a34c9df91c65, 0x1c17fd5b312e3c7c, 0x99d93c764cf770fa,
  0x7cdcfa4ee841ad2e, 0x93ff24fb3f21e61e, 0xdfeeb1fd724443fb, 0xaee37376bf3c64a9, 0x7c927b965d6b2673,
  0xf238e47e10782fd4, 0xf11dac73160284f5, 0x07feccf1d7a3e761, 0x9503cb5bba059ea8, 0x6087fdaf2e556a20,
  0xcea2a551aee21fce, 0x524d672bb54b7d59, 0x959522552fbd7d19, 0xf1dfd75cf6ab4457, 0xfb81dd4d8a53c34e,
  0xa2d30ca79e7ddcfa, 0xfcdb15a8c76ff7aa, 0x432e4d5c6c5104cd, 0x75663c81f9434593, 0x30b41bf1b442ef9f,
  0x67d144e32cd6433d, 0xfdcf257ee6866587, 0x00000005baa02b7a,
};

// t1634_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_swio10_noled_pr_ee_ce[] = {
  0x267bbbbbba88ba31, 0xa12e5a5885668b58, 0x791de4bb63ea1f8b, 0x98ce6e5c420a166c, 0xfa6694fdce24d049,
  0x73e93baccf62700a, 0xf927d9f19b9879f3, 0x8fea8fe7221fc2d7, 0x9723f9e3254ed2d5, 0x76b028f9339d771b,
  0x3072fbd4795a5603, 0x60e4056e4fd47c1b, 0x4b632e384e1b875f, 0x756b85f7f5b0035f, 0xd7a1a9da5f234c4e,
  0x03e23b5a7b55e9c1, 0x3805ecb65f380e3b, 0x4f2cfafea8d82281, 0x39821ff6bcb955af, 0x673a8a9546bb887f,
  0x6549359caed52df5, 0x5e56548954bef5f4, 0x3bc77f5d73daad11, 0xebee077536294f0d, 0xaa8b4c329e79f773,
  0x37f36c56a31dbfde, 0x4d0cb93571b14413, 0x7dd598f207e50d16, 0xf4c2d06fc6d10bbe, 0x1d9f45138cb3590c,
  0xebf73c95fb9a1996, 0x0000000000534cc9,
};

// t1634_swio10_lednop_pr            t1634_swio10_lednop_pr_u4
static const uint64_t ur_t1634_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0xe6fa5dd1b42ca832, 0x101e0cc2444d3277, 0x7313638fd68f26e9,
  0x9879f373e93bb8ef, 0x1ff6fffd000cf98f, 0x3fa8f109df2c4d22, 0x9c56bc71c8fc20c4, 0x3464d1cc580b7ba6,
  0x71cb1823af173b5c, 0xff6bcb955a9595ff, 0xa9546bb887f39821, 0x09caed52df5673a8, 0x6ae97f4654935c08,
  0x3daad115e5654895, 0x52d794e02e740797, 0xfdc5021695844c2f, 0x36d3cf3eee7d7dc2, 0xc9a18ddb1441337f,
  0x3eeacc790347f1a2, 0x7a616837e36885df, 0x0ecfa289c659ac86, 0xf2df9e4afdcd0ccb, 0x0000000003e400e5,
};

// t1634_swio10_lednop_pr_ee_u4
static const uint64_t ur_t1634_swio10_lednop_pr_ee[] = {
  0xd9fbbbbbba88af02, 0xd5ae5a5884486758, 0xea2ed91d267c7cda, 0xa45c3fe2f179b18e, 0xf5c699204505ff67,
  0xe7d27760deac1666, 0xf927d9f38330f3e6, 0xff6b4665221ff677, 0x660d00f51e565d60, 0xd803f8ace1fa8f83,
  0xd2d8cb8e1386e1d7, 0x5ff70e87dccc00d7, 0x353b6948f2439d5a, 0xa383f3daad743af4, 0x5ecb65f380e3b098,
  0x40b3d51b0465ff80, 0x43fed7972ab51c5f, 0x5152a8d7710fe730, 0x101395daa5beace7, 0x2ad5d2fe8ca926b8,
  0xae7b55a22bcaca91, 0x2e52d7ce80f37b6b, 0xe79f773ebee08548, 0x8ab7fbd551691db9, 0x8d8a2099bf9b6c21,
  0x3f2868b26865c9ab, 0x36885df3eeacc790, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0x29f2acaf5fb9e4af,
};

// t1634_swio10_lednop_pr_ce_u4
static const uint64_t ur_t1634_swio10_lednop_pr_ce[] = {
  0x30feeeeeeea22743, 0xb2ae5a58b271e9d6, 0x6434d8de6ec1e38c, 0x8705ff56b1f98fa5, 0xd60920a6e00ddc3e,
  0xcf9b9f49dd68baf5, 0x74bfe49f67ca5cc3, 0x3bf9d63fae48887f, 0x3aee3734d7e78c95, 0x470527b965d6b267,
  0x2fa38e47e10782fd, 0x314707ce62c05dbf, 0x01ffb33c75e8f9d9, 0x2260796b75add02a, 0x73043fed7972ab54,
  0xce75152a8d7710fe, 0x6b8101395daa5bea, 0xa912ad5d2fe8ca92, 0xb6bae7b55a22bcac, 0x5482e52d7ce80f37,
  0xdb9e79f773ebee08, 0x84263b7fbd551691, 0x3571b1441337f36d, 0xf207e50d164d0cb9, 0x6fc6d10bbe7dd598,
  0x138cb3590cf4c2d0, 0x95fb9a19961d9f45, 0x000b755e7debf73c,
};

// t1634_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_swio10_lednop_pr_ee_ce[] = {
  0x267bbbbbba88a493, 0xa12e5a588565c758, 0xfa76cbbdc7798f8b, 0x98ce6e5c5a28418b, 0xf2262469ce24d049,
  0x73e93ba53b6c49da, 0xfc93ecf8689879f3, 0x8fea8fe7221fec7f, 0x19cbf3c64a9df4fd, 0xed6051f2673aee37,
  0x60e5f7a8f2b90e06, 0xc1c80add2fa8f836, 0x96c65c709c370ebe, 0xead71fbbeb6006be, 0xd7a1a9db4a47921c,
  0x1314707e7b55e9c1, 0x700bd96cbe701c76, 0x4f740b3d51b04502, 0x39821ff6bcb955af, 0x673a8a9546bb887f,
  0x35c0809caed52df5, 0x548956ae97f46549, 0xdb5d73daad115e56, 0x2a417296be74079b, 0xedcf3cfbb9f5f704,
  0xc2131dbfdeaa8b48, 0x9ab8d8a2099bf9b6, 0x7903f2868b26865c, 0x37e36885df3eeacc, 0x89c659ac867a6168,
  0x4afdcd0ccb0ecfa2, 0x00029a6f5bf5fb9e,
};

/*
 * t1634_swio11_noled_pr             t1634_swio11_noled_pr_u4          t1634_swio12_noled
 * t1634_swio12_noled_pr             t1634_swio12_noled_pr_u4
 */
static const uint64_t ur_t1634_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xc47752267ba0c90e, 0x783309a93783eada, 0x6406bf8bd9fbad82,
  0x3e6e7d2775a9ef8f, 0xbaffa0019f8f730f, 0x8e989df2dd0221ff, 0x3e471c8fc20ebffa, 0x4f1cc580b7ba697c,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0xa35dc43f9cc10ffb, 0x76a96fabb39d454a, 0xb637afa32a49ace5,
  0xe7b55a22bcaca912, 0x9c0594a9f4ef3f5a, 0x978a042d2c2e753a, 0x6da79e7ddcfafb87, 0x93431bb6288266fe,
  0x7dd598f2068fe345, 0xf4c2d06fc6d10bbe, 0x1d9f45138cb3590c, 0xe5bf3c95fb9a1996, 0x0000000003e4153b,
};

// t1634_swio11_noled_pr_ee_u4       t1634_swio12_noled_pr_ee          t1634_swio12_noled_pr_ee_u4
static const uint64_t ur_t1634_swio11_noled_pr_ee[] = {
  0x8917777775119391, 0xd72d2c4221bbac3c, 0xa0ba1068c1ae6d6a, 0x48b87eb42b68258f, 0x69c335364505fde4,
  0xcfa4eec71df23624, 0xf24fb3f1ca61e7cd, 0xfdad187b443fdbaf, 0x983d2bd4795c8783, 0x600fe2b74bea3e0d,
  0x4b632e384e1b875f, 0x7a943a1f7330035f, 0xd4ed38a3884e7569, 0x4622cf6ab5d0ebd0, 0x7b2d97ce038ec2d7,
  0x7b9e546c1197fe01, 0x87fdaf2e556a38b2, 0xa2a551aee21fce60, 0xd672bb54b7d5d9ce, 0x54895b1bd7d19524,
  0x7f5d73daad115e56, 0x077536294f0d3bc7, 0x4c329e79f773ebee, 0xb67adc55bfdeaa8b, 0x5c9ab8d8a2099bf9,
  0xcc7903f2868b2686, 0x6837e36885df3eea, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x0000053e47d7f5fb,
};

// t1634_swio11_noled_pr_ce_u4       t1634_swio12_noled_pr_ce          t1634_swio12_noled_pr_ce_u4
static const uint64_t ur_t1634_swio11_noled_pr_ce[] = {
  0xe873777775111c3b, 0xb96962c9c6a758f5, 0x6a09bbbcda8e32ca, 0x17fbf217d4375eb4, 0xa9b7a7b6f77d7a1c,
  0xb9f49dda8ba34fc8, 0xfe49f67ce1cc3cf9, 0x2763faaf8887f4ad, 0xe370347e78c953b7, 0xf27b965d6b2673ae,
  0x38e47e106b3fd475, 0x8c45398b016449ba, 0xfeccf1d7a3e765ae, 0x81e5addd213ca807, 0x21ff6bcb955ab3ee,
  0xa8a9546bb887f398, 0x359caed52df57673, 0x952256c6f5f46549, 0xdfd75cf6ab445795, 0x81dd4d8a53c34ef1,
  0xd30ca79e7ddcfafb, 0xdb3d6cc76ff7aaa2, 0x2e4d5c6c5104cdfc, 0x663c81f943459343, 0xb41bf1b442ef9f75,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000002dd56b57afd,
};

// t1634_swio11_noled_pr_ee_ce_u4    t1634_swio12_noled_pr_ee_ce       t1634_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_swio11_noled_pr_ee_ce[] = {
  0x6d8cdddddd444375, 0x84b969621588fd63, 0xc97560eb53f1fe2e, 0x8ce6f50ea2bd72b7, 0x12b8e19ce24d076d,
  0x3e93ba1bb7273623, 0xc93ecfffc9879f37, 0xfea8dd2a21ffa7ff, 0x92bf3c64a9dd0fd8, 0xd6051f2673aee372,
  0x0738fa8f2bf9c06e, 0x0e405695bd47c1b3, 0xb632e384e1b875f6, 0x56b8a95f5b0035f4, 0xbd0d4ed38a3884e7,
  0xb5d188b3daaf4e0e, 0x805ecb65f380e3b0, 0x3c4f73ca8d822813, 0xe6087fdaf2e556bd, 0x9cea2a551aee21fc,
  0x524d672bb54b7d5d, 0xe5654895b1bd7d19, 0xbc77f5d73daad115, 0xbee077536294f0d3, 0xa8b4c329e79f773e,
  0x7f36cf5b31dbfdea, 0xd0cb93571b144133, 0xdd598f207e50d164, 0x4c2d06fc6d10bbe7, 0xd9f45138cb3590cf,
  0xbf73c95fb9a19961, 0x0000000029a7843e,
};

// t1634_swio12_lednop
static const uint64_t ur_t1634_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xee5a58856623586c, 0x2e3bbe17a0a0c90e, 0x1984d4835cbdf89d, 0x21b6c6245dd6c13c,
  0xf3e6e7d2775a9eeb, 0xe44ffa0019f0f730, 0xa8ebe1df2dd0221f, 0x937471c8fc20ebff, 0x770ce62c05bdd348,
  0xcb1823af173b6454, 0xb5e5caad4ace9371, 0xaa35dc43f9cc10ff, 0x576a96fabb39d454, 0x4bfa32a49ae0404e,
  0xab4457959522572f, 0xaf9d01e6f6d75cf6, 0xee7d7dc10a905ca5, 0xf7aaa2d23b73cf3e, 0x88266fe6d8c9156f,
  0x10bbe7d17e11bb62, 0x3590cf4c2d06fc6d, 0xa19961d9f45138cb, 0x522e3e5bf3c95fb9, 0x0000000000000001,
};

// t1634_swio11_lednop_pr_u4         t1634_swio12_lednop_pr            t1634_swio12_lednop_pr_u4
static const uint64_t ur_t1634_swio11_lednop_pr[] = {
  0xe889bbbbba88e668, 0xae5a588561b7589e, 0xdb1fbebfc2e44335, 0x790b8918ebd2282f, 0xf1e5c7c5eecf7444,
  0xb9f49dd377ac8545, 0xfe49f67d7dcc3cf9, 0x0077cb6f6887f8f7, 0x8e391f841935ea3a, 0x398b016594d1ef4a,
  0x11d7a3e7688518df, 0x7b622f48a807fecc, 0xd7972ab57d6e0796, 0xa8d7710fe73043fe, 0x5daa5beaece75152,
  0x2fe8ca926b810139, 0xad115e5654895cbd, 0xbe74079bdb5d73da, 0xb9f5f7042a417296, 0xdeaa8b48edcf3cfb,
  0x2099bf9b632455bf, 0x68b26865c9ab8d8a, 0x5df3eeacc7903f28, 0xc867a616837e3688, 0xccb0ecfa289c659a,
  0x65af5fb9e4afdcd0, 0x000000000000f90d,
};

// t1634_swio11_lednop_pr_ee_u4      t1634_swio12_lednop_pr_ee         t1634_swio12_lednop_pr_ee_u4
static const uint64_t ur_t1634_swio11_lednop_pr_ee[] = {
  0x89177777751190e3, 0xd72d2c42234bac3c, 0x475a2eedb75e6d6a, 0x2e1fad0dd95b7a76, 0x5a16b411417f7912,
  0xf49ddb83bd383750, 0x49f67c9d4c3cf9b9, 0xb5a30f6887f8adfe, 0x07a57a8f2b29707f, 0x01fc565d7d47c1b3,
  0x6c65c709c370ebec, 0xe4c743ee66006be9, 0x9d8f546be1cead2e, 0x8df9ed56ba1d7a1a, 0x65b2f9c071d88851,
  0x13ca8d8232ffc02f, 0xffb5e5caad4717d2, 0x54aa35dc43f9cc10, 0x4e576a96fabb39d4, 0x2f4bfa32a49ae040,
  0xf6ab445795952257, 0xa5af9d01e6f6d75c, 0x3eee7d7dc10a905c, 0x6ff7aaa2d23b73cf, 0x6288266fe6d8c915,
  0xca1a2c9a19726ae3, 0xa2177cfbab31e40f, 0x66b219e985a0df8d, 0x34332c3b3e8a2719, 0x7c48bfd7ee792bf7,
  0x000000000000000a,
};

// t1634_swio11_lednop_pr_ce_u4      t1634_swio12_lednop_pr_ce         t1634_swio12_lednop_pr_ce_u4
static const uint64_t ur_t1634_swio11_lednop_pr_ce[] = {
  0xe873777775113f3e, 0xb96962c9cb2758f5, 0xa56f522f898e32ca, 0x05fefc6a70bc61b1, 0x72d185171ddf5e87,
  0x9b9f49dd23fb417a, 0xffe49f67ca1cc3cf, 0x74b63faaf8887f90, 0xdc6e4edfe78c953b, 0x5f4f72cbad64ce75,
  0x8e391f841acff51e, 0x4637ce62c0532a71, 0xffb33c75e8f9da21, 0xe0796b708bd22a01, 0x043fed7972ab57d6,
  0x75152a8d7710fe73, 0x101395daa5beaece, 0x95cbd2fe8ca926b8, 0xd73daad115e56548, 0x17296be74079bdb5,
  0xf3cfbb9f5f7042a4, 0x31dbfdeaa8b48edc, 0x71b1441337f36c64, 0x07e50d164d0cb935, 0xc6d10bbe7dd598f2,
  0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513, 0x0b754cb5ebf73c95,
};

// t1634_swio11_lednop_pr_ee_ce_u4   t1634_swio12_lednop_pr_ee_ce      t1634_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_swio11_lednop_pr_ee_ce[] = {
  0xdb19bbbbba889768, 0x0972d2c42b7d3ac6, 0x5dec71d7a70bfc5d, 0x19cdea191fa8a6ee, 0x9699d0b9c49a0edb,
  0x7d2774a56c0b1edc, 0x24fb3e9b730f3e6e, 0xfaa374a887f19bff, 0xa8fcf192a7663f63, 0x58147c99cebb8dcc,
  0x1ce3ea3cace181bb, 0x39015c87f51f06cc, 0xd8cb8e1386e1d7d8, 0x5ae1c9fd6c00d7d2, 0xf4353b1ea8d7c39d,
  0x428c6fcf6abd383a, 0x017b2d97ce038ec4, 0xf7484f2a3608a04e, 0x9821ff6bcb955af4, 0x73a8a9546bb887f3,
  0xc0809caed52df576, 0x44ae5e97f4654935, 0xaeb9ed5688af2b2a, 0x20b94b5f3a03cded, 0xe79e7ddcfafb8215,
  0x218edfef5545a476, 0xab8d8a2099bf9b63, 0x903f2868b26865c9, 0x7e36885df3eeacc7, 0x9c659ac867a61683,
  0xafdcd0ccb0ecfa28, 0x0029a656af5fb9e4,
};

// t1634_swio13_noled_pr             t1634_swio13_noled_pr_u4
static const uint64_t ur_t1634_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0xe6fa5dd1b42ca832, 0xb23c19849eed3277, 0xe626c71fad1e4dd0,
  0x30f3e6e7d27771de, 0x3fedfffa0019f31f, 0xef51e213be5ba444, 0x9c56bc71c8fc20f9, 0x3464d1cc580b7ba6,
  0x71cb1823af173b5c, 0xff6bcb955a9595ff, 0xa9546bb887f39821, 0xbb54b7d54df673a8, 0xb57bd7d19524d672,
  0x9ed5688af2b2a44a, 0x701652a7d3bcfd6b, 0xee2810b4b0b9d4ea, 0xb69e79f773ebee17, 0x4d0c6ed8a2099bf9,
  0xf75663c81a3f8d16, 0xd30b41bf1b442ef9, 0x767d144e32cd6433, 0x96fcf257ee686658, 0x000000001f20072f,
};

// t1634_swio13_noled_pr_ee_u4
static const uint64_t ur_t1634_swio13_noled_pr_ee[] = {
  0xa13777777511259b, 0xd5ae5a588443f758, 0x6106d45d267c7cda, 0x122e1f1ae0cd906a, 0xd0b6978511417fa1,
  0xb9f49dd123bc9605, 0xfe49f67c6b4c3cf9, 0x7fb5a38f6887fd37, 0xb3067afa8f2b3870, 0xec01fc5721fd47c1,
  0xe96c65c709c370eb, 0x2e514743ee66006b, 0x1a9d90047f21cead, 0xe8f7b9ed56ba1d7a, 0x17b2d97ce038ec3d,
  0x4d60b546c1197fe0, 0x10ffb5e5caad4716, 0xd454aa35dc43f9cc, 0x395daa5beaa6fb39, 0x255abdebe8ca926b,
  0x75cf6ab445795952, 0xd4d8a53c34ef1dfd, 0xca79e7ddcfafb81d, 0x409156ff7aaa2d30, 0x9ab8d8a2099bf9b6,
  0x7903f2868b26865c, 0x37e36885df3eeacc, 0x89c659ac867a6168, 0x4afdcd0ccb0ecfa2, 0x00053e5d5bf5fb9e,
};

// t1634_swio13_noled_pr_ce_u4
static const uint64_t ur_t1634_swio13_noled_pr_ce[] = {
  0x5337777775111391, 0xcab96962c9cc7758, 0x04d64379bb078e32, 0x382fe6d02ff1ec45, 0xc970ab2636f754c4,
  0x7cdcfa4eed91da17, 0xceff24fb3e5d661e, 0xda56b1fd66e443ff, 0xaee37136ff3c64a9, 0x79ba7b965d6b2673,
  0x291c723f08327bd4, 0xef47bd9cc580bdd0, 0x01ffb33c75e8f9d9, 0xb540f2d6eb864d2a, 0xe6087fdaf2e556aa,
  0x9cea2a551aee21fc, 0x359caed52df5537d, 0xa912ad5ef5f46549, 0xfebae7b55a22bcac, 0x0eea6c529e1a778e,
  0x98653cf3eee7d7dc, 0xb640863b7fbd5516, 0x5c9ab8d8a2099bf9, 0xcc7903f2868b2686, 0x6837e36885df3eea,
  0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x000005baa0e3f5fb,
};

// t1634_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_swio13_noled_pr_ee_ce[] = {
  0x1b7bbbbbba889202, 0xa12e5a5885634b58, 0xd60ef4edc7798f8b, 0xb19cdfc7d91a0a0c, 0x4cfe9b4b9c49a08d,
  0xe7d2774dd6991415, 0xf24fb3fbb530f3e6, 0x3faa390e887f31ff, 0x1257e78c953b0b56, 0xdac0a3e4ce75dc6e,
  0x60d00f51e56e940d, 0xc1c80afe77a8f836, 0x96c65c709c370ebe, 0xead70517eb6006be, 0xd7a1a9d90047f21c,
  0x0f7a3dee7b55e9c1, 0x3805ecb65f380e3b, 0xa789ac16a8d82281, 0x9cc10ffb5e5caad7, 0xb39d454aa35dc43f,
  0x26b395daa5beaa6f, 0x952255abdebe8ca9, 0xdfd75cf6ab445795, 0x81dd4d8a53c34ef1, 0xd30ca79e7ddcfafb,
  0x36c810c76ff7aaa2, 0xcb93571b1441337f, 0x598f207e50d164d0, 0x2d06fc6d10bbe7dd, 0xf45138cb3590cf4c,
  0x73c95fb9a19961d9, 0x00000014d3409ebf,
};

static const uint64_t ur_t1634_swio13_lednop[] = {
  0x02cb77777759bb37, 0x43bb9696215bd2d6, 0x3ed43dd0e28e3832, 0x3c19849eee3fe2f8, 0x9b036c99ecfdd0b2,
  0x0f3e6e7d27771dee, 0xffbaffa0019f8f73, 0x7a8f371df2dd2221, 0xba05238e47e107cf, 0x11dac731602dee9b,
  0xe39630475e2e761f, 0xfed7972ab52b2e1e, 0x52a8d7710fe73043, 0x76a96faa9bece751, 0xbfa32a49ae0404e5,
  0x5a22bcaca912b924, 0x7ce80f37b6bae7b5, 0x73ebee085482e52d, 0xbd551691db9e79f7, 0x04cdfcdb2ec8ab7f,
  0x177cfa2fc2376c51, 0xb219e985a0df8da2, 0x332c3b3e8a271966, 0x41d7cb7e792bf734, 0x000000000000002a,
};

// t1634_swio13_lednop_pr_u4
static const uint64_t ur_t1634_swio13_lednop_pr[] = {
  0xb2b777777511422f, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0x4731a875a6e96544,
  0xe6e7d2774fde9b16, 0x7ff927d9fa9530f3, 0xf4a3be5a0fa21fcc, 0xac71c8fc20fa0f51, 0x91cc580b2ca631e7,
  0x30475e8f9dbe4471, 0xb3dbdeee1aa01ffb, 0xf6bcb955ac0ad03c, 0x9546bb887f39821f, 0xb54b7d54df673a8a,
  0xfd19524d7020272b, 0xd115e5654895c925, 0xe74079bdb5d73daa, 0x9f5f7042a417296b, 0xeaa8b48edcf3cfbb,
  0x266fe6d976455bfd, 0x2c9a19726ae36288, 0x7cfbab31e40fca1a, 0x19e985a0df8da217, 0x2c3b3e8a271966b2,
  0x0bd7ee792bf73433, 0x00000000003e427e,
};

// t1634_swio13_lednop_pr_ee_u4
static const uint64_t ur_t1634_swio13_lednop_pr_ee[] = {
  0xa137777775110cc5, 0xd5ae5a588441a758, 0xda2e91fd1b6c44da, 0x48b87c6b9fb06764, 0x081eba084505fe84,
  0x73e93ba8cf65d9ba, 0xf927d9feaf9879f3, 0xfed68e3da21fe397, 0xcc19ebea3caca1c1, 0xb007f1594bf51f06,
  0xa5b1971c270dc3af, 0xba561d0fb99801af, 0x6a76ea11cdc73ab4, 0x238ca7b55ae875e8, 0x5ecb65f380e3b1f2,
  0xc326951b0465ff80, 0x43fed7972ab51c5d, 0x5152a8d7710fe730, 0xe576a96faa9bece7, 0x24bfa32a49ae0404,
  0xb55a22bcaca912b9, 0x2d7ce80f37b6bae7, 0xf773ebee085482e5, 0x7fbd551691db9e79, 0x5104cdfcdb2ec8ab,
  0x434593432e4d5c6c, 0x42ef9f75663c81f9, 0xd6433d30b41bf1b4, 0x86658767d144e32c, 0xc4d07afdcf257ee6,
  0x00000000000000a7,
};

// t1634_swio13_lednop_pr_ce_u4
static const uint64_t ur_t1634_swio13_lednop_pr_ce[] = {
  0x299bbbbbba88da91, 0x655cb4b164e29bac, 0x5bd067bb3f83c719, 0x705fcdac760bc999, 0x2ed04242a1eea988,
  0x3e6e7d2774d2e841, 0xe1ff927d9f60b30f, 0xee43d8feb37221fc, 0xebb8dc7f9f9e3254, 0x1e719ee5975ac99c,
  0x80471c8fc20c9ef5, 0xf2238c8e62c050f6, 0x00ffd99e3af47ced, 0x15a0796b76f770d5, 0x73043fed7972ab58,
  0xce75152a8d7710fe, 0x404e576a96faa9be, 0x2b924bfa32a49ae0, 0xae7b55a22bcaca91, 0x2e52d7ce80f37b6b,
  0xe79f773ebee08548, 0x63b7fbd551691db9, 0x8d8a2099bf9b65d8, 0x3f2868b26865c9ab, 0x36885df3eeacc790,
  0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0x5baad3ef5fb9e4af,
};

// t1634_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_swio13_lednop_pr_ee_ce[] = {
  0x0dbddddddd4458e2, 0xd0972d2c42b189ac, 0xe38e891db260bfc5, 0xb19cdfc79a5b227e, 0xb07c8bd79c49a08d,
  0xe7d2775d96b333ac, 0xf927d9fd3530f3e6, 0x8fea8e43a21fffe7, 0x747ff3c64a9dd8fd, 0xdac0a3e4ce75dc6e,
  0x60d00f51e565d40d, 0xc1c80ace1fa8f836, 0x96c65c709c370ebe, 0xead7095beb6006be, 0xd7a1a9dba847371c,
  0x1f2238ca7b55e9c1, 0x3805ecb65f380e3b, 0xa7ae1934a8d82281, 0x9cc10ffb5e5caad7, 0xb39d454aa35dc43f,
  0x101395daa5beaa6f, 0x4ae492fe8ca926b8, 0xeb9ed5688af2b2a4, 0x0b94b5f3a03cdeda, 0x79e7ddcfafb82152,
  0x18edfef5545a476e, 0xe36288266fe6d976, 0x0fca1a2c9a19726a, 0x8da2177cfbab31e4, 0x1966b219e985a0df,
  0xf734332c3b3e8a27, 0x14d31d17d7ee792b,
};

// t1634_swio14_noled_pr             t1634_swio14_noled_pr_u4
static const uint64_t ur_t1634_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdac47752267ba0c9, 0x40783309a93783ea, 0x8f6406bf8bd9fba4,
  0x0f3e6e7d2775a9ef, 0xffbaffa0019f8f73, 0xfa8e989df2dd0221, 0x7c3e471c8fc20ebf, 0x464f1cc580b7ba69,
  0x8e58c11d78b9dba4, 0xfb5e5caad4ac10fb, 0x4aa35dc43f9cc10f, 0x6e576a96fab39d45, 0x56c7efe8ca926b3a,
  0x5cf6ab4457959522, 0x5380b2953e9de7eb, 0xf2f14085a585cea7, 0xcdb4f3cfbb9f5f70, 0xb2686376c5104cdf,
  0xcfbab31e40d1fc68, 0x9e985a0df8da2177, 0xc3b3e8a271966b21, 0x7cb7e792bf734332, 0x00000000007c82a7,
};

// t1634_swio14_noled_pr_ee_u4
static const uint64_t ur_t1634_swio14_noled_pr_ee[] = {
  0xb3f7777775119391, 0xab5cb4b10886eeb1, 0x3e82e841a306b9b5, 0x3d22e1fad0ada096, 0x234e19a9b2282ffb,
  0x6e7d277638ef91b1, 0x7f927d9f8e530f3e, 0x1fed68c3da21fedd, 0x6cc1e95ea3cae43c, 0xfb007f15ba5f51f0,
  0xfa5b1971c270dc3a, 0x4bd4a1d0fb99801a, 0x86a769c51c4273ab, 0xba31167b55ae875e, 0x0bd96cbe701c7616,
  0x93dcf2a3608cbff0, 0x043fed7972ab51c5, 0x75152a8d7710fe73, 0xace9b95daa5beace, 0x54895b1fbfa32a49,
  0x7f5d73daad115e56, 0x077536294f0d3bc7, 0x4c329e79f773ebee, 0xb67adc55bfdeaa8b, 0x5c9ab8d8a2099bf9,
  0xcc7903f2868b2686, 0x6837e36885df3eea, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x0000053e47d7f5fb,
};

// t1634_swio14_noled_pr_ce_u4
static const uint64_t ur_t1634_swio14_noled_pr_ce[] = {
  0x87f7777775111c3b, 0x9572d2c5938d4eb1, 0x68d4137779b51c65, 0x382ff7e42fa86ebd, 0x91536f4f6deee1f4,
  0xf373e93bb517469f, 0x5bfc93ecf9c39879, 0x6e4ec7f55f110fe9, 0x5dc6e068fcf192a7, 0xebe4f72cbad64ce7,
  0x7471c8fc20d67fa8, 0x5d188a731602c893, 0x0ffd99e3af47cecb, 0xdd03cb5bba427950, 0x3043fed7972ab567,
  0xe75152a8d7710fe7, 0x9ace9b95daa5beac, 0x654895b1fbfa32a4, 0x77f5d73daad115e5, 0xe077536294f0d3bc,
  0xb4c329e79f773ebe, 0x36cf5b31dbfdeaa8, 0xcb93571b1441337f, 0x598f207e50d164d0, 0x2d06fc6d10bbe7dd,
  0xf45138cb3590cf4c, 0x73c95fb9a19961d9, 0x000000b755ad5ebf,
};

// t1634_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_swio14_noled_pr_ee_ce[] = {
  0x133ddddddd444375, 0xd0972d2c42b11fac, 0xf92eac1d6a7e3fc5, 0x319cdea1d457ae56, 0x62571c339c49a093,
  0xe7d2774376e4e6c4, 0xf927d9fff930f3e6, 0x1fd51ba5443ff4ff, 0x5257e78c953ba1fb, 0xdac0a3e4ce75dc6e,
  0x60e71f51e57f380d, 0xc1c80ad2b7a8f836, 0x96c65c709c370ebe, 0xead7152beb6006be, 0xd7a1a9da7147109c,
  0x16ba31167b55e9c1, 0x700bd96cbe701c76, 0xa789ee7951b04502, 0x9cc10ffb5e5caad7, 0xb39d454aa35dc43f,
  0x926b3a6e576a96fa, 0x95952256c7efe8ca, 0xf1dfd75cf6ab4457, 0xfb81dd4d8a53c34e, 0xa2d30ca79e7ddcfa,
  0xfcdb3d6cc76ff7aa, 0x432e4d5c6c5104cd, 0x75663c81f9434593, 0x30b41bf1b442ef9f, 0x67d144e32cd6433d,
  0xfdcf257ee6866587, 0x00000000a69e10fa,
};

static const uint64_t ur_t1634_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a5885662358, 0x9d2e3bbe17a0a0c9, 0x3c1984d4835cbdf8, 0xeb21b6c6245dd220,
  0x30f3e6e7d2775a9e, 0x1fe44ffa0019f0f7, 0xffa8ebe1df2dd022, 0x48937471c8fc20eb, 0x54770ce62c05bdd3,
  0x71cb1823af173b64, 0xffb5e5caad4ace93, 0x54aa35dc43f9cc10, 0xa6e576a96fab39d4, 0xfb1e8ca926b81013,
  0x6ab4457959522572, 0x5af9d01e6f6d75cf, 0xeee7d7dc10a905ca, 0xff7aaa2d23b73cf3, 0x288266fe6d8c9156,
  0xd10bbe7d17e11bb6, 0xb3590cf4c2d06fc6, 0x9a19961d9f45138c, 0x1522e3e5bf3c95fb,
};

// t1634_swio14_lednop_pr_u4
static const uint64_t ur_t1634_swio14_lednop_pr[] = {
  0xd49bbbbbba88e668, 0x35ae5a588561b758, 0x2fdb1fbebfc2e443, 0x44790b8918ebd228, 0xa2f8f2e3e2f77524,
  0x7cdcfa4ee9bbd642, 0x7bff24fb3ebee61e, 0x1d003be5b7b443fc, 0xa5471c8fc20c9af5, 0x6f9cc580b2ca68f7,
  0x6608ebd1f3b4428c, 0xcb3db117a45403ff, 0xff6bcb955abeb703, 0xa9546bb887f39821, 0x4dcaed52df5673a8,
  0xf63d19524d702027, 0xd5688af2b2a44ae5, 0xb5f3a03cdedaeb9e, 0xddcfafb821520b94, 0xfef5545a476e79e7,
  0x5104cdfcdb1922ad, 0x434593432e4d5c6c, 0x42ef9f75663c81f9, 0xd6433d30b41bf1b4, 0x86658767d144e32c,
  0x6b2d7afdcf257ee6, 0x00000000000007c8,
};

// t1634_swio14_lednop_pr_ee_u4
static const uint64_t ur_t1634_swio14_lednop_pr_ee[] = {
  0xb3f77777751190e3, 0xab5cb4b1088d2eb1, 0xd91d68bbb6dd79b5, 0x48b87eb437656de9, 0x82d0b5a08a0bfecf,
  0xcfa4eedc1de9c1ba, 0xf24fb3e4ea61e7cd, 0xfdad187b443fc56f, 0x983d2bd479594b83, 0x600fe2b2ebea3e0d,
  0x4b632e384e1b875f, 0x77263a1f7330035f, 0xd4ec7aa35f0e7569, 0x8c6fcf6ab5d0ebd0, 0x7b2d97ce038ec442,
  0x909e546c1197fe01, 0x87fdaf2e556a38be, 0xa2a551aee21fce60, 0x9d372bb54b7d59ce, 0x97d8f4654935c080,
  0x7b55a22bcaca912b, 0x52d7ce80f37b6bae, 0x9f773ebee085482e, 0xb7fbd551691db9e7, 0xb1441337f36c648a,
  0xe50d164d0cb93571, 0xd10bbe7dd598f207, 0xb3590cf4c2d06fc6, 0x9a19961d9f45138c, 0x3e245febf73c95fb,
  0x0000000000000005,
};

// t1634_swio14_lednop_pr_ce_u4
static const uint64_t ur_t1634_swio14_lednop_pr_ce[] = {
  0x87f7777775113f3e, 0x9572d2c593964eb1, 0x634adea45f131c65, 0x0e0bfdf8d4e178c3, 0xf4e5a30a2e3bb87d,
  0x9f373e93ba47f682, 0x21ffc93ecf943987, 0x76e96c7f55f110ff, 0xebb8dc9dbfcf192a, 0x3cbe9ee5975ac99c,
  0xe31c723f08359fea, 0x428c6f9cc580a654, 0x03ff6678ebd1f3b4, 0xadc0f2d6e117a454, 0xe6087fdaf2e556af,
  0x9cea2a551aee21fc, 0x0809d372bb54b7d5, 0x12b97d8f4654935c, 0xbae7b55a22bcaca9, 0x82e52d7ce80f37b6,
  0x9e79f773ebee0854, 0x863b7fbd551691db, 0xae36288266fe6d8c, 0x40fca1a2c9a19726, 0xf8da2177cfbab31e,
  0x71966b219e985a0d, 0xbf734332c3b3e8a2, 0x016ea996bd7ee792,
};

// t1634_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_swio14_lednop_pr_ee_ce[] = {
  0x267bbbbbba889768, 0xa12e5a58856fa758, 0xcbbd8e3af4e17f8b, 0x6339bd4323f514dd, 0x92d33a1738934126,
  0xcfa4ee94ad8163db, 0xe49f67d36e61e7cd, 0x7f546e9510fe337f, 0x951f9e3254ecc7ec, 0x6b028f9339d771b9,
  0x839c7d47959c3037, 0x07202b90fea3e0d9, 0x5b1971c270dc3afb, 0xab5c393fad801afa, 0x5e86a763d51af873,
  0x88518df9ed57a707, 0xc02f65b2f9c071d8, 0x9ee909e546c11409, 0x73043fed7972ab5e, 0xce75152a8d7710fe,
  0x0404e9b95daa5bea, 0x895cbec7a32a49ae, 0x5d73daad115e5654, 0x417296be74079bdb, 0xcf3cfbb9f5f7042a,
  0x431dbfdeaa8b48ed, 0x571b1441337f36c6, 0x207e50d164d0cb93, 0xfc6d10bbe7dd598f, 0x38cb3590cf4c2d06,
  0x5fb9a19961d9f451, 0x00534cad5ebf73c9,
};

// t1634_swio15_noled_pr             t1634_swio15_noled_pr_u4
static const uint64_t ur_t1634_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0xe6fa5dd1b42ca832, 0xc13c19849eed3277, 0xe626c71fad1e4dd6,
  0x30f3e6e7d27771de, 0x3fedfffa0019f31f, 0xef51e213be5ba444, 0x9c56bc71c8fc20f9, 0x3464d1cc580b7ba6,
  0x71cb1823af173b5c, 0xff6bcb955a9595ff, 0xa9546bb887f39821, 0xdcaed52df57673a8, 0x5abfdfd19524d674,
  0xcf6ab44579595225, 0x380b2953e9de7eb5, 0xf714085a585cea75, 0xdb4f3cfbb9f5f70b, 0x2686376c5104cdfc,
  0xfbab31e40d1fc68b, 0xe985a0df8da2177c, 0x3b3e8a271966b219, 0xcb7e792bf734332c, 0x000000000f900397,
};

// t1634_swio15_noled_pr_ee_u4
static const uint64_t ur_t1634_swio15_noled_pr_ee[] = {
  0x793777777511259b, 0xd5ae5a588443f758, 0x6106d45d267c7cda, 0x122e1f1ae0cd906a, 0xd0b6978511417f79,
  0xb9f49dd123bc9605, 0xfe49f67c6b4c3cf9, 0x7fb5a38f6887fd37, 0xb3067afa8f2b3870, 0xec01fc5721fd47c1,
  0xe96c65c709c370eb, 0x2e514743ee66006b, 0x1a9d90047f21cead, 0xe8f7b9ed56ba1d7a, 0x17b2d97ce038ec3d,
  0x4d60b546c1197fe0, 0x10ffb5e5caad4716, 0xd454aa35dc43f9cc, 0x3a6e576a96fabb39, 0x12ad5fefe8ca926b,
  0xbae7b55a22bcaca9, 0xea6c529e1a778efe, 0x653cf3eee7d7dc0e, 0x2048ab7fbd551698, 0x4d5c6c5104cdfcdb,
  0x3c81f9434593432e, 0x1bf1b442ef9f7566, 0x44e32cd6433d30b4, 0x257ee686658767d1, 0x00029f2eadfafdcf,
};

// t1634_swio15_noled_pr_ce_u4
static const uint64_t ur_t1634_swio15_noled_pr_ce[] = {
  0xebf7777775111391, 0x9572d2c59398eeb1, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0x25c2ac98dbddf5e8,
  0xf373e93bb647685f, 0x3bfc93ecf9759879, 0x695ac7f59b910fff, 0xbb8dc4dbfcf192a7, 0xe6e9ee5975ac99ce,
  0xa471c8fc20c9ef51, 0xbd1ef6731602f740, 0x07feccf1d7a3e767, 0xd503cb5bae1934a8, 0x9821ff6bcb955aaa,
  0x73a8a9546bb887f3, 0xd674dcaed52df576, 0x52255abfdfd19524, 0xfd75cf6ab4457959, 0x1dd4d8a53c34ef1d,
  0x30ca79e7ddcfafb8, 0x6c810c76ff7aaa2d, 0xb93571b1441337f3, 0x98f207e50d164d0c, 0xd06fc6d10bbe7dd5,
  0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x00000b7541c7ebf7,
};

// t1634_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t1634_swio15_noled_pr_ee_ce[] = {
  0xdb7bbbbbba889202, 0xa12e5a5885634b58, 0xd60ef4edc7798f8b, 0xb19cdfc7d91a0a0c, 0x4cfe9b4b9c49a0ed,
  0xe7d2774dd6991415, 0xf24fb3fbb530f3e6, 0x3faa390e887f31ff, 0x1257e78c953b0b56, 0xdac0a3e4ce75dc6e,
  0x60d00f51e56e940d, 0xc1c80afe77a8f836, 0x96c65c709c370ebe, 0xead70517eb6006be, 0xd7a1a9d90047f21c,
  0x0f7a3dee7b55e9c1, 0x3805ecb65f380e3b, 0xa789ac16a8d82281, 0x9cc10ffb5e5caad7, 0xb39d454aa35dc43f,
  0x26b3a6e576a96fab, 0xca912ad5fefe8ca9, 0xefebae7b55a22bca, 0xc0eea6c529e1a778, 0x698653cf3eee7d7d,
  0x9b640863b7fbd551, 0x65c9ab8d8a2099bf, 0xacc7903f2868b268, 0x16837e36885df3ee, 0xfa289c659ac867a6,
  0xb9e4afdcd0ccb0ec, 0x0000000a69a04f5f,
};

static const uint64_t ur_t1634_swio15_lednop[] = {
  0x1b0777777759bb37, 0x43bb9696215bd2d6, 0x3ed43dd0e28e3832, 0x3c19849eee3fe2f8, 0x9b036c99ecfdd6c1,
  0x0f3e6e7d27771dee, 0xffbaffa0019f8f73, 0x7a8f371df2dd2221, 0xba05238e47e107cf, 0x11dac731602dee9b,
  0xe39630475e2e761f, 0xfed7972ab52b2e1e, 0x52a8d7710fe73043, 0xb95daa5beaece751, 0xc7a32a49ae0404e9,
  0x5688af2b2a44ae4a, 0x5f3a03cdedaeb9ed, 0xdcfafb821520b94b, 0xef5545a476e79e7d, 0x41337f36cbb22adf,
  0x85df3e8bf08ddb14, 0xac867a616837e368, 0x0ccb0ecfa289c659, 0x9075f2df9e4afdcd, 0x000000000000000a,
};

// t1634_swio15_lednop_pr_u4
static const uint64_t ur_t1634_swio15_lednop_pr[] = {
  0x7bb777777511422f, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0x4731a875a6ecf744,
  0xe6e7d2774fde9b16, 0x7ff927d9fa9530f3, 0xf4a3be5a0fa21fcc, 0xac71c8fc20fa0f51, 0x91cc580b2ca631e7,
  0x30475e8f9dbe4471, 0xb3dbdeee1aa01ffb, 0xf6bcb955ac0ad03c, 0x9546bb887f39821f, 0xcaed52df57673a8a,
  0x3d19524d7020274d, 0xb445795952257256, 0xf9d01e6f6d75cf6a, 0xe7d7dc10a905ca5a, 0x7aaa2d23b73cf3ee,
  0x099bf9b65d9156ff, 0x8b26865c9ab8d8a2, 0xdf3eeacc7903f286, 0x867a616837e36885, 0xcb0ecfa289c659ac,
  0x82f5fb9e4afdcd0c, 0x00000000000f909f,
};

// t1634_swio15_lednop_pr_ee_u4
static const uint64_t ur_t1634_swio15_lednop_pr_ee[] = {
  0x7937777775110cc5, 0xd5ae5a588441a758, 0xda2e91fd1b6c44da, 0x48b87c6b9fb06764, 0x081eba084505fde4,
  0x73e93ba8cf65d9ba, 0xf927d9feaf9879f3, 0xfed68e3da21fe397, 0xcc19ebea3caca1c1, 0xb007f1594bf51f06,
  0xa5b1971c270dc3af, 0xba561d0fb99801af, 0x6a76ea11cdc73ab4, 0x238ca7b55ae875e8, 0x5ecb65f380e3b1f2,
  0xc326951b0465ff80, 0x43fed7972ab51c5d, 0x5152a8d7710fe730, 0xe9b95daa5beaece7, 0x4ac7a32a49ae0404,
  0xed5688af2b2a44ae, 0x4b5f3a03cdedaeb9, 0x7ddcfafb821520b9, 0xdfef5545a476e79e, 0x1441337f36cbb22a,
  0x50d164d0cb93571b, 0x10bbe7dd598f207e, 0x3590cf4c2d06fc6d, 0xa19961d9f45138cb, 0xf1341ebf73c95fb9,
  0x0000000000000029,
};

// t1634_swio15_lednop_pr_ce_u4
static const uint64_t ur_t1634_swio15_lednop_pr_ce[] = {
  0xf5fbbbbbba88da91, 0xcab96962c9c53758, 0xb7a0cf767f078e32, 0xe0bf9b58ec179332, 0xbb41090a87bbebd0,
  0xf9b9f49dd34ba104, 0x87fe49f67d82cc3c, 0xb90f63facdc887f3, 0xaee371fe7e78c953, 0x79c67b965d6b2673,
  0x011c723f08327bd4, 0xc88e32398b0143da, 0x03ff6678ebd1f3b7, 0x5681e5addbddc354, 0xcc10ffb5e5caad60,
  0x39d454aa35dc43f9, 0x013a6e576a96fabb, 0x2b92b1e8ca926b81, 0xae7b55a22bcaca91, 0x2e52d7ce80f37b6b,
  0xe79f773ebee08548, 0x63b7fbd551691db9, 0x8d8a2099bf9b65d8, 0x3f2868b26865c9ab, 0x36885df3eeacc790,
  0x659ac867a616837e, 0xdcd0ccb0ecfa289c, 0x5baad3ef5fb9e4af,
};

// t1634_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t1634_swio15_lednop_pr_ee_ce[] = {
  0x6dbddddddd4458e2, 0xd0972d2c42b189ac, 0xe38e891db260bfc5, 0xb19cdfc79a5b227e, 0xb07c8bd79c49a0ed,
  0xe7d2775d96b333ac, 0xf927d9fd3530f3e6, 0x8fea8e43a21fffe7, 0x747ff3c64a9dd8fd, 0xdac0a3e4ce75dc6e,
  0x60d00f51e565d40d, 0xc1c80ace1fa8f836, 0x96c65c709c370ebe, 0xead7095beb6006be, 0xd7a1a9dba847371c,
  0x1f2238ca7b55e9c1, 0x3805ecb65f380e3b, 0xa7ae1934a8d82281, 0x9cc10ffb5e5caad7, 0xb39d454aa35dc43f,
  0x1013a6e576a96fab, 0x12b92b1e8ca926b8, 0xbae7b55a22bcaca9, 0x82e52d7ce80f37b6, 0x9e79f773ebee0854,
  0x863b7fbd551691db, 0xb8d8a2099bf9b65d, 0x03f2868b26865c9a, 0xe36885df3eeacc79, 0xc659ac867a616837,
  0xfdcd0ccb0ecfa289, 0x0534c745f5fb9e4a,
};

// t13_swio10_noled_pr               t13a_swio10_noled                 t13a_swio10_noled_pr
static const uint64_t ur_t13_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x242695feb641f3f2, 0xfe403dc989df2c4d, 0xd2a211ee1d3f8310, 0xb464f1cc580b7ba6,
  0xb8e58c11d78b9db7, 0x09b5e5caad4ac59f, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82,
  0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x104cdfcdb15aa2ad, 0x68fe3459a20376c5,
  0xf4c2d06fdd598f20, 0x1d9f45138cb3590c, 0x320f3c95fb9a1996, 0x0000000003e40028,
};

// t13a_swio10_noled_pr_u4
static const uint64_t ur_t13_swio10_noled_pr_u4[] = {
  0x06eeeeed17622a9c, 0x772d2c42b193ac11, 0xebafdb89d4906487, 0x06612226b075338f, 0x97c5d09cdf74880f,
  0x827c64ee8d3df1e6, 0x0813ffd20267cca9, 0x201ee5ae77cb1349, 0xd190f70e9fc1887f, 0x782ce62c05bdd34d,
  0xe58c11d78b9d89a4, 0xb5e5caad4aca97b8, 0x152a8d77210e7e09, 0x6b395daa5beace75, 0xa2112a97debe8212,
  0x7acef2e7b55a22bc, 0x42d2d7f88d4f0c53, 0x69e8754e05b8f8a0, 0xc9ab8d8a2099bf9b, 0x8f2076d0d16115c5,
  0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de, 0x3590cf4c2bbe8f72, 0xa19961d9f45138cb,
  0xf249e120f3c95fb9, 0x00000000000003e4,
};

// t13a_swio10_noled_pr_ee
static const uint64_t ur_t13_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x4cb969602172b758, 0x1a7b42f5d797bd59, 0xeef341a1104c2b31, 0xef17e3bad3fa939b,
  0xe3277699efd3b827, 0x5bfd20267f4dcc13, 0x59c575ad1f749099, 0xc9cf201ee0a72569, 0xf201eec1e4e039b9,
  0x0dc3afb007f15945, 0x9801afa5b1971c27, 0xa73ab4bc7bb76339, 0xe875e00ced9223c8, 0xc7620fa326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a59f, 0x3a8a9546bb90873f, 0x09359caed52df567, 0x5e5108954bef5f41,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x88266fe6d8ad5156, 0x0d166881726ae362,
  0x2d06fdd598f2076d, 0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x00000053e2a76120,
};

// t13a_swio10_noled_pr_ee_u4
static const uint64_t ur_t13_swio10_noled_pr_ee_u4[] = {
  0xfbbbbbb441baba31, 0xb96960217b2758e6, 0x7a7ef5d797bd594c, 0xef341a135a9f8f37, 0xb6430aad3fa939be,
  0x8c9dd667ad140515, 0xbffa0019f1ad304f, 0x3715d6b47dd24269, 0x273c807b829c95b9, 0xc807bb079380e6e7,
  0x370ebec01fc5663f, 0x6006be96c65c709c, 0x8e75697eeadd8ce6, 0xd0ebc019d96ba38c, 0xc763a4464f4f6ab5,
  0x2ffc02f65c396701, 0x09b5e5caad474d7d, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82,
  0xf4ef3f5ae7b55a22, 0x2c2e753a9c0594a9, 0x8754e04e148a042d, 0xb8d8a2099bf9b69e, 0xd1c88d16115c5c9a,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc13442bbd147f, 0x9e98577d1ee4fc0f, 0xc3b3e8a271966b21,
  0xf6a72792bf734332, 0x0000000000275f18,
};

// t13a_swio10_noled_pr_ce
static const uint64_t ur_t13_swio10_noled_pr_ce[] = {
  0x9ddddddd5a75f1eb, 0xe5a584a9c2e35848, 0x71deeac8705fdb06, 0x20683b6fd2bc8d4f, 0x7f8f1afba9137132,
  0xe3277717e95b0821, 0x3fcec83e7ca2cc13, 0x231f3dfd47c4847f, 0xde8bd5ff9e0241e1, 0xe7b96f9b78ce6f15,
  0xd3f83a97e403dcb5, 0x8e62c059c5ef1ee1, 0x678ebc5cedbda327, 0x972ab51d2cfdc72c, 0xaa35dc8439f826d7,
  0xe576a96fab39d454, 0x44aa5f7afa0849ac, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08,
  0xfe6d8ad463b7fbd5, 0x881726ae36288266, 0x5663c818fa08d166, 0x2cd6433d30b41bf7, 0xe686658767d144e3,
  0x75e9390c83cf257e, 0x000000000000000b,
};

// t13a_swio10_noled_pr_ce_u4
static const uint64_t ur_t13_swio10_noled_pr_ce_u4[] = {
  0x7dddddda20dd4375, 0xcb9696041904ac70, 0xef619ed69b3fd7a1, 0x91b448b853d32e27, 0x88199b00bf7783f8,
  0x827c64ee86ed23ed, 0x1182ffd000cfcae9, 0x1c1c28718bf5ea12, 0x9117dc544079e024, 0xe1fe8b2f097e21b0,
  0xe59d5f593262fa2d, 0xf0782fc807bb249e, 0x8b01427af83dc3a7, 0xebd1f3b0f88ed639, 0xdd02cf5403ff6678,
  0x972ab5104a81e5ad, 0xaa35dc8439f826d7, 0xe576a96fab39d454, 0x44aa5f7afa0849ac, 0xfaeb9ed5688af288,
  0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0xfe6d8ad463b7fbd5, 0x571726ae36288266, 0xacc7903472234584,
  0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a, 0x659ac867a615df47, 0xdcd0ccb0ecfa289c,
  0x0dd75d9da9c9e4af,
};

// t13a_swio10_noled_pr_ee_ce
static const uint64_t ur_t13_swio10_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baa80b, 0xbb96962c9c23f58d, 0x97560eb53f1f5a17, 0x348b50ea2bd72b7c, 0xae3867c2e8736d93,
  0x64eed89dc9cd38c4, 0xffd000cfffc9827c, 0xf9efea8dd2a4274f, 0xa951f9e0241c1ca1, 0xfed6ba7be6f15de8,
  0xe403dc14e4add2c1, 0x7bb079380e5f3939, 0x75f60e4056e4fc80, 0x35f4b632e384e1b8, 0x4e757a71afb5c300,
  0xf1d7a1a9da5f234c, 0xd81f11dad3daadb8, 0xc9c02f65b2f9c071, 0xd4b359f5fd51b044, 0x7210e7e09b5e5caa,
  0xa5beace75152a8d7, 0x7debe82126b395da, 0x7b55a22bca2112a9, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x2b518edfef5545a6, 0x9ab8d8a2099bf9b6, 0x90347223459a205c, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x39da9c9e4afdcd0c, 0x000000000000a69f,
};

// t13a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t13_swio10_noled_pr_ee_ce_u4[] = {
  0xf77777689f684c7f, 0xdcb4b0c392eeb0d4, 0x76e4ed3630a8036d, 0xec454df253134162, 0x2448fd27f83b53b1,
  0x4eed8bebd6aafb82, 0xfb20f9f6bb9827c6, 0x17ea8e572423fcff, 0x03cf0120eb49a6a3, 0x4bf10d8488bee2a2,
  0x4c5f450a47f45978, 0xadd2c1fed6107be6, 0x5f3939e403dc14e4, 0xe4fc807bb079380e, 0x84e1b875f60e4056,
  0xb5c30035f4b632e3, 0x5f234c4e757a71af, 0xdaadb8f1d7a1a9da, 0xf9c071d81f11dad3, 0x51b044c9c02f65b2,
  0x5e5caad4b359f5fd, 0x52a8d77210e7e09b, 0xb395daa5beace751, 0x2112a97debe82126, 0xefebae7b55a22bca,
  0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x9bf9b62b518edfef, 0x115c5c9ab8d8a209, 0x75663c81ad4e0d16,
  0xef0f7bca1854e7ea, 0x577a28fe32fcc4ff, 0x3dc9f81fbff82688, 0xe32cd6433d30aefa, 0x7ee686658767d144,
  0x027e042f0c83cf25,
};

// t13_swio10_lednop_pr              t13a_swio10_lednop                t13a_swio10_lednop_pr
static const uint64_t ur_t13_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x4d242195feb641f3, 0x10fe403ddf21df2c, 0xa6401ef1ee1d3f83, 0xad647d01cc580b7b,
  0x3db8e58c11d78b9d, 0x3f04daf2e556a567, 0x673a8a9546bb9087, 0x35c0809caed52df5, 0x5108956ae97f4109,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x54e06c7f8a042d35, 0xd8a2099bf9b69e87, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x32c3b3e8a271966b, 0x490641e792bf7343, 0x000000000000f902,
};

// t13a_swio10_lednop_pr_u4
static const uint64_t ur_t13_swio10_lednop_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x5ae5a58856db758d, 0xfd05fb87c6d24433, 0x7908e3f4bc7f9bc2, 0x6a1c005ef7752444,
  0x13e3277699ea0970, 0x81effd20267e034c, 0x00f74e277cb08a90, 0xa003dc3a7f064f79, 0x83e731602cb2983d,
  0xd9823af47cec98a3, 0xf2cf6ed6e81500ff, 0x04daf2e556a844c0, 0x3a8a9546bb90873f, 0xc0809caed52df567,
  0x08956ae97f410935, 0xdb5d73daad115e51, 0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36d843156ff7aaa,
  0xb8b93571b1441337, 0xab31e40eda1a2c22, 0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442,
  0x1966b219e98577d1, 0xf734332c3b3e8a27, 0x07c9c0ac241e792b,
};

// t13a_swio10_lednop_pr_ee
static const uint64_t ur_t13_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xa65cb4b010b92158, 0xda5e8d3df4b5a6ac, 0x6fbbcd0684db260b, 0xcdd833412b4fea4e,
  0x27c64ee989d5c706, 0x472ff48099feaf98, 0xba5715d6b47dd242, 0xe7273c807b829c95, 0xefc807bb079380e6,
  0x9c370ebec01fc56b, 0xe66006be96c65c70, 0x6b9cead2e1eedd8c, 0x6ba1d78033b4428d, 0x038ec08a8fa49ed5,
  0x7a5ff805ecb872ce, 0x3f04daf2e556a3ae, 0x673a8a9546bb9087, 0x35c0809caed52df5, 0x5108956ae97f4109,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x54e06c7f8a042d35, 0xd8a2099bf9b69e87, 0xdb43459a205c9ab8,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0x483cf257ee686658, 0x00000000053e7398,
};

// t13a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t13_swio10_lednop_pr_ee_u4[] = {
  0x6fbbbbbb44889202, 0x65cb4b010be1558e, 0x19eb4bdf4b5a6aca, 0xfbbcd0684d7a70be, 0x1795b5a2b4fea4e6,
  0x7c64ee9bad34a82b, 0x2b7fc1a0cf93a982, 0xe738aeb5a3ee9212, 0x3939e403dc14e4af, 0xde403dd83c9c0737,
  0xe1b875f600fe2b80, 0x330035f4b632e384, 0xf873ab4b9956ec67, 0xd743af006764c518, 0x071d8b591f413daa,
  0xfcbff00bd970e59c, 0xfc136bcb955a8eab, 0x9cea2a551aee421c, 0xd7020272bb54b7d5, 0x442255aba5fd0424,
  0x9d01e5cf6ab44579, 0x61130bd4b5e5380b, 0xea9c08bf714085a5, 0x1b1441337f36d3d0, 0xfca1a2c22b8b9357,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc13442bbd147f, 0x9e98577d1ee4fc0f, 0xc3b3e8a271966b21,
  0x6c85e792bf734332, 0x0000000013af924f,
};

// t13a_swio10_lednop_pr_ce
static const uint64_t ur_t13_swio10_lednop_pr_ce[] = {
  0x4eeeeeeead3ad214, 0xb969612a7331ac24, 0xd537a6d7af17f6c1, 0x103412e3b6fc5d93, 0x4c17b11dd489b899,
  0xe3277619e9bb68ad, 0xbfcec83e7d2b4c13, 0x4bee7bfa8f890952, 0xde8a16bf3c0483c2, 0x67b96f9b78ce6f15,
  0xe9fc1d4bf201ee88, 0x87316029ebf20f70, 0x33c75e2e768c91f4, 0xe5caad475d06e396, 0x2a8d77210e7e09b5,
  0x395daa5beace7515, 0xd5d2fe82126b8101, 0xe7b55a22bca2112a, 0xe52d7ce80f37b6ba, 0x6e7a1d5381085482,
  0x1098edfef5545a47, 0xd5c6c5104cdfcdb6, 0x031f411a2cd102e4, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x219079e4afdcd0cc, 0x0000000000b75039,
};

// t13a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t13_swio10_lednop_pr_ce_u4[] = {
  0xdbbbbbb441bad562, 0x9b9696041890ac6a, 0xfd377b426eff0b48, 0x165789b26d4c6de2, 0x18d841331ddd59fb,
  0x827c64eec0bdb236, 0x10a5ffd000cfe049, 0x38385d6317eb2f92, 0x222fb8a880f3c048, 0xc1fd165e12fc4361,
  0x2ceaf8ce64c5f45e, 0x83a97e403dd10cf7, 0x2c053d7e41ee1d3f, 0xebc5ced1923e90e6, 0x55a8eba0dc72c678,
  0xaee421cfc136bcb9, 0xb54b7d59cea2a551, 0x5fd0424d7020272b, 0xab44579442255aba, 0xaf9d01e6f6d75cf6,
  0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0xd8a2099bf9b6c213, 0xc88d16115c5c9ab8, 0x2a73f53ab31e40d1,
  0x7e627ff787bde50c, 0xfc13442bbd147f19, 0x98577d1ee4fc0fdf, 0xb3e8a271966b219e, 0xa72792bf734332c3,
  0x00000000375e0576,
};

// t13a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t13_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd0dd4375, 0xddcb4b164e7d3ac6, 0x77b1c75e9c2fad0b, 0x9a45a8647ea29bb9, 0x699d0be17439b6c9,
  0x32774376c0b6c5c9, 0xffd000cfa6dcc13e, 0xf9efea8dd2a420cd, 0xb495f9e0241c1c31, 0xfed6ba7be6f15de8,
  0xe403dc14e4acbac1, 0x7bb079380e5f3939, 0x75f60e4056e97c80, 0x35f4b632e384e1b8, 0x0e757a71fee5c300,
  0x78ebd0d4eda523c9, 0xd84c51c1f9ed56dc, 0xc9c02f65b2f9c071, 0x6a59f40b3d51b044, 0xb90873f04daf2e55,
  0x52df5673a8a9546b, 0xf410935c0809caed, 0xd115e5108956ae97, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x288266fe6db084c7, 0x88d166881726ae36, 0x5a0dfbab31e40d1c, 0xe8a271966b219e98,
  0x2792bf734332c3b3, 0x000000534c9276a7,
};

// t13a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t13_swio10_lednop_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4173e, 0xee5a5861c837586a, 0x4ec0bd066b4401b6, 0xec454dcbbe4b646c, 0x8cfe9d27f83b53b1,
  0x4eeefde80a44f89c, 0xfd907cf8a49827c6, 0x17ea8e5724256fff, 0x079e0241d692d6e3, 0x97e21b09117dc544,
  0x98be8a30bfe8b2f0, 0x597583fdac20f7cc, 0xbe7273c807b829c9, 0xd2f900f760f2701c, 0x09c370ebec1c80ad,
  0xcb86006be96c65c7, 0x4a47921ceaf4e3fd, 0xdaadb8f1d7a1a9db, 0xf380e3b098a383f3, 0xa3608993805ecb65,
  0x5e5caad4b3e8167a, 0x52a8d77210e7e09b, 0x1395daa5beace751, 0xad5d2fe82126b810, 0xae7b55a22bca2112,
  0x2e52d7ce80f37b6b, 0x76e7a1d538108548, 0x61098edfef5545a4, 0x4d5c6c5104cdfcdb, 0x40d6a7068b08ae2e,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b,
  0x638641e792bf7343, 0x0000000000004fcc,
};

/*
 * t13_swio11_noled_pr               t13_swio12_noled                  t13_swio12_noled_pr
 * t13a_swio11_noled                 t13a_swio11_noled_pr              t13a_swio12_noled
 * t13a_swio12_noled_pr
 */
static const uint64_t ur_t13_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x43d7fd6c83e7fba9, 0x807ba213be5ba048, 0xfc83dc3a7f075ffc, 0xc9a398b016f74c7a,
  0x9630475e2e7683e8, 0x6bcb955a9584f6e3, 0x2a551aee421cfc13, 0x672bb54b7d5d9cea, 0x10895b1bd7d0424d,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x66fe6d9eb7156ff7, 0xf1a2cd101bb62882,
  0x16837eeacc790347, 0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x000000f901c5c190,
};

// t13_swio12_noled_pr_u4            t13a_swio11_noled_pr_u4           t13a_swio12_noled_pr_u4
static const uint64_t ur_t13_swio11_noled_pr_u4[] = {
  0x113777768bb128ae, 0x5cb4b10ac32b13dd, 0xdcc750e244c8866b, 0xc85c4bafad0c9f8f, 0x006db793767ba223,
  0x9f193bbf4f490123, 0xdbffe90133e63e60, 0x07b8143be5b7b484, 0xbe1ee1d3f8326bc8, 0x8a731602cb29b6fc,
  0x9823af47cecb5d18, 0x2cf6fa4279500ffd, 0x9b5e5caad59f740f, 0x5152a8d77210e7e0, 0x6b395daa5beaece7,
  0x28844ad8debe8212, 0xe3bfaeb9ed5688af, 0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x1337f36cf5b8ab7f,
  0x2c22b8b93571b144, 0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x3442bbd147f197e6, 0x77d1ee4fc0fdffc1,
  0x8a271966b219e985, 0x792bf734332c3b3e, 0x00001f2610bc241e,
};

// t13_swio12_noled_pr_ee            t13a_swio11_noled_pr_ee           t13a_swio12_noled_pr_ee
static const uint64_t ur_t13_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x5cb4b010b833ac24, 0xbd7afac47c5eaca6, 0xe6825ed9024217d0, 0xbb7a75a7f52245dd,
  0x4eef91d3128ce199, 0xfa404cfece9827c6, 0x15d6b47b7d212577, 0x3c807b829c95fce7, 0x07bb079380c14727,
  0x0ebec01fc57fbbc8, 0x06be96c65c709c37, 0xead2e63edd8ce660, 0xebc019d97c463e1c, 0xc0df47d04f6ab5d0,
  0xf805ecb872ce038e, 0xdaf2e556a3a27a5f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x99bf9b67adc55bfd, 0x59a205c9ab8d8a20,
  0x1bf75663c81db434, 0x44e32cd6433d30b4, 0x257ee686658767d1, 0x00029f00e58483cf,
};

// t13_swio12_noled_pr_ee_u4         t13a_swio11_noled_pr_ee_u4        t13a_swio12_noled_pr_ee_u4
static const uint64_t ur_t13_swio11_noled_pr_ee_u4[] = {
  0xefddddda20dd4375, 0x5a58085d4dd6122e, 0xc33d623e2f56532e, 0xcd04bdee3bcc4fde, 0xd8242b4fea448bbb,
  0x277437691f6c40cc, 0xfe80067ce0cc13e3, 0x8aeb5a3dbe909b3b, 0x9e403dc14e4ad2b3, 0x03dd83c9c060a393,
  0xc3afb007f15bf9e4, 0x01afa5b1971c270d, 0x3ab4bedfb7633998, 0x75e00cecf7a3c8a7, 0x62e1a326a7b55ae8,
  0xfc02f65c396701c7, 0xdaf2e556a3a10f2f, 0x8a9546bb90873f04, 0x59caed52df57673a, 0x442256c6f5f41093,
  0xde7eb5cf6ab44579, 0x5cea75380b2953e9, 0xa9c08f2f14085a58, 0xb1441337f36d3d0e, 0x911a2c22b8b93571,
  0x54e7ea75663c81a3, 0xfcc4ffef0f7bca18, 0xf82688577a28fe32, 0x30aefa3dc9f81fbf, 0x67d144e32cd6433d,
  0x4e4f257ee6866587, 0x000000004ebaeced,
};

// t13_swio12_noled_pr_ce            t13a_swio11_noled_pr_ce           t13a_swio12_noled_pr_ce
static const uint64_t ur_t13_swio11_noled_pr_ce[] = {
  0xe2777777569d6668, 0x69612a72a1d606d2, 0xa7b7e61f17f6c1b9, 0x410e0db194263bd7, 0x7e63c7f746d2e264,
  0xc64ee9bbd0675141, 0x7f9d907cffee9827, 0x9fc9efeab5d21203, 0xbd152d7e78090784, 0xcf72df36f19cde2b,
  0xa7f06d7de403dcf7, 0x1cc580a802623dc3, 0x9e3af173b41f464d, 0x2e556a3a27b71cb1, 0x546bb90873f04daf,
  0xaed52df57673a8a9, 0x256c6f5f4109359c, 0xd75cf6ab44579442, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041,
  0xf36cf5b31dbfdeaa, 0x40b93571b1441337, 0xb31e40c7d0468b34, 0x66b219e985a0dfba, 0x34332c3b3e8a2719,
  0xbaf388641e792bf7, 0x0000000000000005,
};

// t13_swio12_noled_pr_ce_u4         t13a_swio11_noled_pr_ce_u4        t13a_swio12_noled_pr_ce_u4
static const uint64_t ur_t13_swio11_noled_pr_ce_u4[] = {
  0xdb777768837551eb, 0x2d2c08329bac5f8f, 0x0cf5e4327e169137, 0xae0f8ec179332b7a, 0x1090a87bb7e3f62c,
  0xf8c9dd323a103d64, 0xc3ffa0019f60b304, 0x3921e317eb38a421, 0x2fb8a880f3c04838, 0xfd165e12fc436122,
  0xeaf8ce64c5f45c6e, 0xd7de403dcf7cf72c, 0x0a802623dc3a7f06, 0x173b41f464d1cc58, 0xa3a27b71cb19e3af,
  0x90873f04daf2e556, 0xdf57673a8a9546bb, 0xf5f4109359caed52, 0x6ab44579442256c6, 0xa53c34ef1dfd75cf,
  0x29e8754e041dd4d8, 0x5b31dbfdeaa8b4c3, 0x571b1441337f36cf, 0x1a3911a2c22b8b93, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0xfbff82688577a28f, 0x33d30aefa3dc9f81, 0x58767d144e32cd64, 0xbed4e4f257ee6866,
  0x00000000001bae10,
};

// t13_swio12_noled_pr_ee_ce         t13a_swio11_noled_pr_ee_ce        t13a_swio12_noled_pr_ee_ce
static const uint64_t ur_t13_swio11_noled_pr_ee_ce[] = {
  0x267bbbbba1bad562, 0xcb4b164e1a5ac0db, 0xde9db8ef31ad0bdd, 0x22f8fb2341419ac1, 0x4da5f0ba1c1b64cd,
  0x3bb02f4c8d86a67f, 0xe80067f76a609f19, 0xf7f54721d210c7ff, 0x21fe7809070702d4, 0xb5ae9ef9bc577a2b,
  0x00f705392b90f07f, 0x760f2701ce2e4e79, 0xbec1c80ad2b7900f, 0xbe96c65c709c370e, 0xceaf4e3a94b86006,
  0x1d7a1a9da7147109, 0x0b5d188b3daadb8f, 0x3805ecb65f380e3b, 0xa5993dcf2a360899, 0x90873f04daf2e556,
  0xdf57673a8a9546bb, 0xf5f4109359caed52, 0x6ab44579442256c6, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8,
  0x5b31dbfdeaa8b4c3, 0x571b1441337f36cf, 0x068e4468b3440b93, 0xcf4c2d06fdd598f2, 0x61d9f45138cb3590,
  0xbb5393c95fb9a199, 0x0000000000534d53,
};

// t13_swio12_noled_pr_ee_ce_u4      t13a_swio11_noled_pr_ee_ce_u4     t13a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t13_swio11_noled_pr_ee_ce_u4[] = {
  0x3f7777689f68cc7f, 0x5a5861c8e358c776, 0x991d2b648401b6ee, 0x11c2960d33083276, 0xb34b49fe0f8eec7b,
  0xbb9f7ad3947d19c1, 0x641f3f002609f193, 0xfaa3df69096b7fff, 0xe7809075a49db8c5, 0xf886c2445f715101,
  0x2fa2abaffa2cbc25, 0x21e0ff6b083df326, 0x5c9cf201ee0a7257, 0x6f201eec1e4e039c, 0x386e1d7d839015a5,
  0x70c00d7d2d8cb8e1, 0x28e2139d5e9c7529, 0x55b71e3af4353b4e, 0x701c7616ba31167b, 0x6c1132700bd96cbe,
  0xe5caad4b327b9e54, 0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0x44ad8debe82126b3, 0xfaeb9ed5688af288,
  0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0xfe6d9eb663b7fbd5, 0x571726ae36288266, 0x598f206b53834584,
  0xc3def2861539fa9d, 0xde8a3f8cbf313ffb, 0x727e07effe09a215, 0xcb3590cf4c2bbe8f, 0xb9a19961d9f45138,
  0x4fce9ec320f3c95f,
};

/*
 * t13_swio11_lednop_pr              t13_swio12_lednop                 t13_swio12_lednop_pr
 * t13a_swio11_lednop                t13a_swio11_lednop_pr             t13a_swio12_lednop
 * t13a_swio12_lednop_pr
 */
static const uint64_t ur_t13_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x840f7feb641f3f01, 0xc807bb243be5ba04, 0x52623dc3a7f075ff, 0x8fa4398b016f74da,
  0x1cb1823af173b08a, 0x36bcb955a95982f7, 0xa2a551aee421cfc1, 0x0272bb54b7d5d9ce, 0x2b97a5fd0424d702,
  0x5ae7b55a22bca211, 0xa96165362ce80f3f, 0x517d14085a6ae757, 0x099bf9b69e8754e0, 0x1fc68b34406ed8a2,
  0x985a0dfbab31e40d, 0xb3e8a271966b219e, 0x41e792bf734332c3, 0x000000007c800506,
};

// t13_swio12_lednop_pr_u4           t13a_swio11_lednop_pr_u4          t13a_swio12_lednop_pr_u4
static const uint64_t ur_t13_swio11_lednop_pr_u4[] = {
  0x889bbbbb45d8ad4e, 0xe5a588561b7589ee, 0xb1fbebfc2e44335a, 0x90b8918ebd2282fd, 0x1e5c7c5eecf74447,
  0xf8c9ddf23ac8233f, 0x7bff48099f5f7304, 0x3dc801df2dbda424, 0x50f70e9fc1935e40, 0xf9cc580b2ca68f7a,
  0x608ebd1f3b4428c6, 0xb3db117a45403ff6, 0x36bcb955abeb703c, 0xa2a551aee421cfc1, 0x0272bb54b7d5d9ce,
  0x2b97a5fd0424d702, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xdb1922adfef5545a,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0xf278c709079e4afd, 0x0000000000000001,
};

// t13_swio12_lednop_pr_ee           t13a_swio11_lednop_pr_ee          t13a_swio12_lednop_pr_ee
static const uint64_t ur_t13_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0x2e5a58085d68ac24, 0x69ed0bd1835f5653, 0x7779a097bd53763c, 0xfbc5ec8569fd4891,
  0xf8c9dda67bf4ee09, 0xd6ff48099f4b5304, 0x0ee2bad68f6fa420, 0xe4e7900f705392b9, 0x7900f760f2701828,
  0x86e1d7d803f8aea5, 0xcc00d7d2d8cb8e13, 0xf39d5a5e3ddbb19c, 0xba1d78033b7c88de, 0x71d8ded1dc39ed56,
  0xcbff00bd970e59c0, 0xc136bcb955a8eb05, 0xcea2a551aee421cf, 0x020272bb54b7d5d9, 0x112b97a5fd0424d7,
  0x3f5ae7b55a22bca2, 0x57a96165362ce80f, 0xe0517d14085a6ae7, 0xa2099bf9b69e8754, 0x43459a205c9ab8d8,
  0x0b41bf75663c81db, 0x7d144e32cd6433d3, 0x3cf257ee68665876, 0x00000014f8a9d848,
};

// t13_swio12_lednop_pr_ee_u4        t13a_swio11_lednop_pr_ee_u4       t13a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t13_swio11_lednop_pr_ee_u4[] = {
  0xde4ddddda2447032, 0x72d2c042f42eb05e, 0xf4d2ec01e97c49b5, 0x299c7e19e2f53647, 0x05642b4fea42f6f2,
  0x4ee9dad8e29caa2d, 0xfc1a0cfa5a9827c6, 0x15d6b4663d2106b7, 0x3c807b829c95b057, 0x07bb079380f4a727,
  0x0ebec01fc565d7c8, 0x06be96c65c709c37, 0xead2ee4edc3ee660, 0xd7a1a9d8f546be1c, 0x888518df9ed56ba1,
  0xfc02f65b2f9c071d, 0x717d213ca8d8232f, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0x126b8101395daa5b,
  0x5e510895cbd2fe82, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x8266fe6d8c9156ff,
  0x4584571726ae3628, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2688577a28fe32fc, 0xaefa3dc9f81fbff8,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x0000013ae59ed90b,
};

// t13_swio12_lednop_pr_ce           t13a_swio11_lednop_pr_ce          t13a_swio12_lednop_pr_ce
static const uint64_t ur_t13_swio11_lednop_pr_ce[] = {
  0xe2777777569d2d3a, 0x69612a7217d606d2, 0x15ac1d4c17f6c1b9, 0x0872a18dbad14dee, 0xd8ff4bba36971322,
  0x64eeb4bd3f647f1d, 0xf9d907cffce9827c, 0x4a9efeab5d210a2f, 0x45e9ffcf0120f095, 0xdcb7cdbc67378aef,
  0xfc1b5f7900f77c93, 0x31602f51920f70e9, 0x1d78b9db22a3b867, 0x2ab51d749b8e58cf, 0x35dc8439f826d797,
  0x6a96fabb39d454aa, 0xbfa0849ae0404e57, 0xab445794422572f4, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5,
  0x1dbfdeaa8b48edcf, 0x1b1441337f36c643, 0x7d0468b3440b9357, 0x985a0dfbab31e40c, 0xb3e8a271966b219e,
  0x41e792bf734332c3, 0x00000000b7524886,
};

// t13_swio12_lednop_pr_ce_u4        t13a_swio11_lednop_pr_ce_u4       t13a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t13_swio11_lednop_pr_ce_u4[] = {
  0xedbbbbb441baba31, 0xcb4b020cb4562fc7, 0x3f7a5ef9bf85a44d, 0x2b83a9bc77001bbd, 0x5b64217eedf8fd8b,
  0xf8c9dd667ad14051, 0x43ffa0019fcad304, 0x3852e317eb38a421, 0x2fb8a880f3c04838, 0xfd165e12fc436122,
  0xeaf8ce64c5f4535b, 0xd7de403ddf24f72c, 0x0bd46483dc3a7f06, 0x2e76c8a8ee19cc58, 0x475d26e39633c75e,
  0x210e7e09b5e5caad, 0xbeaece75152a8d77, 0x2126b8101395daa5, 0x15e510895cbd2fe8, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x104cdfcdb190c76f, 0x68b08ae2e4d5c6c5, 0x9fa9d598f2068e44,
  0x13ffbc3def286153, 0x9a215de8a3f8cbf3, 0xbbe8f727e07effe0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f,
  0x000001baf8c7b539,
};

// t13_swio12_lednop_pr_ee_ce        t13a_swio11_lednop_pr_ee_ce       t13a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t13_swio11_lednop_pr_ee_ce[] = {
  0x75fbbbbba1baa80b, 0xcb4b164e11fac7a5, 0xab076c7d4379122d, 0x071b7515eb95be4b, 0x1c33e17439e95d7f,
  0x776c4ee4e69c6257, 0xe80067ffe4c13e32, 0xf7f546e4d213a7ff, 0xa8fcf0120e0e50fc, 0x6b5d465378aef454,
  0x01ee0a7256e960ff, 0xec1e4e035f1c9cf2, 0x7d839015b93f201e, 0x7d2d8cb8e1386e1d, 0x9d5e9c6bed70c00d,
  0x3af0067697c8d313, 0x03e23b5a7b55b71e, 0xe017b2e1cb380e3b, 0xb5e5caad718f4864, 0x152a8d77210e7e09,
  0x1395daa5beaece75, 0x5cbd2fe82126b810, 0xd73daad115e51089, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4,
  0xb190c76ff7aaa2d2, 0xe4d5c6c5104cdfcd, 0x3c81a3911a2cd102, 0x6433d30b41bf7566, 0x6658767d144e32cd,
  0xf9ced4e4f257ee68, 0x0000000000000534,
};

// t13_swio12_lednop_pr_ee_ce_u4     t13a_swio11_lednop_pr_ee_ce_u4    t13a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t13_swio11_lednop_pr_ee_ce_u4[] = {
  0x8fddddda27da1f68, 0x96961872e0d631dd, 0xaccf717a09006dbb, 0x88e151c560b45817, 0xd989a4ff07c7763d,
  0x3ba3afad882d9391, 0xec83e7f1ba609f19, 0xbf547bed211aefff, 0x1e7809075a4c4118, 0x5f886c2445f71510,
  0x317d17a9dfa2cbc2, 0xb29707fb5841ef99, 0xe2e4e7900f705392, 0x43f900f760f2701c, 0x09c370ebec1c80ae,
  0x6b86006be96c65c7, 0xf546be1ceaf4e372, 0xdaadb8f1d7a1a9d8, 0xf380e3b110a31bf3, 0xa3608993805ecb65,
  0xaf2e556a59f484f2, 0xa9546bb90873f04d, 0x9caed52df57673a8, 0xe5e97f410935c080, 0xb9ed5688af28844a,
  0xb94b5f3a03cdedae, 0xdb9e8754e0421520, 0x8c863b7fbd551691, 0x26ae36288266fe6d, 0x206b538345845717,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a215de8a, 0x90cf4c2bbe8f727e, 0x9961d9f45138cb35,
  0xecc320f3c95fb9a1, 0x00000000000027e2,
};

// t13_swio13_noled_pr               t13a_swio13_noled                 t13a_swio13_noled_pr
static const uint64_t ur_t13_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x4484dbffeb641f3e, 0x7bc807ba213be5ba, 0xd38ad71ee1d3f83e, 0x868c9a398b016f74,
  0xee39630475e2e76b, 0x826d7972ab52b2bf, 0x9d454aa35dc8439f, 0xb395daa5beaa6fb3, 0x42255abdebe82126,
  0xe7eb5cf6ab445794, 0xcea75380b2953e9d, 0x9c08bf714085a585, 0x1441337f36d3d0ea, 0x81a3f8d166880ddb,
  0x33d30b41bf75663c, 0x58767d144e32cd64, 0xa0c83cf257ee6866, 0x00000000007c801c,
};

// t13a_swio13_noled_pr_u4
static const uint64_t ur_t13_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8bf82, 0xb5cb4b10ac4ceb05, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426e965444,
  0x27c64ee989d5a20d, 0x432bfd20267dfc98, 0x01ee97c77cb41f48, 0x9c47b874fe0fa0f2, 0xef6731602cb298ca,
  0xecc11d7a3e767bd1, 0xf2cf6ee1934a807f, 0x04daf2e556aab540, 0x3a8a9546bb90873f, 0x672bb54b7d54df67,
  0x844ab57bd7d0424d, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xcdfcdb2048ab7fbd,
  0x08ae2e4d5c6c5104, 0xd4eacc7903b6868b, 0xffde1ef79430a9cf, 0x10aef451fc65f989, 0xf47b93f03f7ff04d,
  0x89c659ac867a615d, 0x4afdcd0ccb0ecfa2, 0x0003e4fa7b09079e,
};

// t13a_swio13_noled_pr_ee
static const uint64_t ur_t13_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xfbbcd07c59b0b402, 0x4b3f764eb4fea4d9,
  0xf8c9dde4bb4cd1db, 0xfbff48099f8ad304, 0xa5715d6b46652426, 0x7273c807b829c95b, 0xf900f760f2701cbe,
  0x86e1d7d803f8adc9, 0xcc00d7d2d8cb8e13, 0xb9cead2efe5bb19c, 0xba1d78033b4dc8d6, 0x38ec4648fa49ed56,
  0xa5ff805ecb872ce0, 0xf04daf2e556a3a26, 0x73a8a9546bb90873, 0xd672bb54b7d54df6, 0x8844ab57bd7d0424,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x4cdfcdb2048ab7fb, 0x2cd102e4d5c6c510,
  0x0dfbab31e40eda1a, 0xa271966b219e985a, 0x92bf734332c3b3e8, 0x000053e124c241e7,
};

// t13a_swio13_noled_pr_ee_u4
static const uint64_t ur_t13_swio13_noled_pr_ee_u4[] = {
  0xfdddddda20dd4375, 0x5cb4b010ba9bac6c, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea4d9f,
  0xe3277437691f6c40, 0x3bfe80067ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x672bb54b7d54df67, 0x844ab57bd7d0424d,
  0xb3bcb9ed5688af28, 0xb4b5fe2353c314de, 0x7a1d53811e5e2810, 0x6ae36288266fe6da, 0x0347223458457172,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac,
  0xd9da9c9e4afdcd0c, 0x0000000000009d75,
};

// t13a_swio13_noled_pr_ce
static const uint64_t ur_t13_swio13_noled_pr_ce[] = {
  0x5eeeeeeead3a422f, 0x72d2c254e78fac78, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7eef85dc4c,
  0xf193ba7ef717d91b, 0x7fe7641f3ee4e609, 0x280d3dfd5ef4845f, 0xde8b43ff9e0241e1, 0x67b96f9b78ce6f15,
  0xe9fc1887f201ee4c, 0x0731602e95108f70, 0x678ebc5cec37d1f4, 0xcb955a8e89adc72c, 0x551aee421cfc136b,
  0xd52df5537d9cea2a, 0xd5ef5f4109359cae, 0xe7b55a22bca2112a, 0x6c529e1a778efeba, 0x6194f43aa7020eea,
  0xd90218edfef5545a, 0x726ae36288266fe6, 0x3c818fa08d166881, 0x6433d30b41bf7566, 0x6658767d144e32cd,
  0x5390c83cf257ee68, 0x0000000000002dd5,
};

// t13a_swio13_noled_pr_ce_u4
static const uint64_t ur_t13_swio13_noled_pr_ce_u4[] = {
  0x5bbbbbb441baa80b, 0x9b9696041b0aac1b, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fdd369fb,
  0x04f8c9ddb13b515a, 0x2175ffa0019f53d3, 0x383870e317ea8024, 0x222fb8a880f3c048, 0xd7fd165e12fc4361,
  0x2ceaf8ce64c5f45f, 0x8310fe403dc98cf7, 0x2c05d2a211ee1d3f, 0xd78b9d86fa3e80e6, 0xab51d135b8e58cf1,
  0x5dc8439f826d7972, 0xbeaa6fb39d454aa3, 0xebe82126b395daa5, 0xab44579442255abd, 0x53c34ef1dfd75cf6,
  0x9e8754e041dd4d8a, 0x431dbfdeaa8b4c32, 0x5c6c5104cdfcdb20, 0x68e4468b08ae2e4d, 0x861539fa9d598f20,
  0x8cbf313ffbc3def2, 0xeffe09a215de8a3f, 0xcf4c2bbe8f727e07, 0x61d9f45138cb3590, 0xbb5393c95fb9a199,
  0x0000000000375fa7,
};

// t13a_swio13_noled_pr_ee_ce
static const uint64_t ur_t13_swio13_noled_pr_ee_ce[] = {
  0x01bbbbbba1baba31, 0xddcb4b164e2e3ac4, 0x9db2ef5e9c2fad0b, 0x669173168a1062fe, 0x89891a7c2e872002,
  0xc64eeb33db1202bc, 0xfffd000cf8689827, 0x9f9efea8ce1a4258, 0x8b723f9e0241c1ce, 0x1fed6ba7be6f15de,
  0x9e403dc14e4ace1c, 0x03dd83c9c0680393, 0xc3afb07202bf9de4, 0x01afa5b1971c270d, 0xc873abd38ca2ae18,
  0xe3c75e86a764011f, 0xc761ef47bdcf6ab6, 0x132700bd96cbe701, 0x55a9664d60b546c1, 0xaee421cfc136bcb9,
  0xdf5537d9cea2a551, 0xf5f4109359caed52, 0x55a22bca2112ad5e, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5,
  0x218edfef5545a619, 0xae36288266fe6d90, 0x0d1c88d166881726, 0x9e985a0dfbab31e4, 0xc3b3e8a271966b21,
  0x76a72792bf734332, 0x00000000014d3039,
};

// t13a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t13_swio13_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c123587a, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1de9d8,
  0x93ba55fb61900a3b, 0xfec83e7d0fa609f1, 0xc5faa3b74909883f, 0x80f3c0483ad23fc8, 0x12fc4361222fb8a8,
  0xc98be8be72fd165e, 0x959c383fdac20f7c, 0xd007273c807b829c, 0x7f3bc807bb079380, 0x384e1b875f60e405,
  0x455c30035f4b632e, 0xc8023f90e757a719, 0x9ed56dc78ebd0d4e, 0x97ce038ec3de8f7b, 0x6a8d82264e017b2d,
  0x6d7972ab52cc9ac1, 0x454aa35dc8439f82, 0x95daa5beaa6fb39d, 0x255abdebe82126b3, 0xd75cf6ab44579442,
  0xdd4d8a53c34ef1df, 0x8b4c329e8754e041, 0xfcdb20431dbfdeaa, 0xae2e4d5c6c5104cd, 0xb31e40d6a7068b08,
  0x87bde50c2a73f53a, 0xbd147f197e627ff7, 0xe4fc0fdffc13442b, 0x966b219e98577d1e, 0x734332c3b3e8a271,
  0x4fc8158641e792bf,
};

// t13_swio13_lednop_pr              t13a_swio13_lednop                t13a_swio13_lednop_pr
static const uint64_t ur_t13_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x44848f7feb641f3e, 0x7bc807b97c3be5ba, 0x63d6211ee1d3f83e, 0xf68ee19cc580b7ba,
  0xf71cb1823af173b6, 0xc136bcb955a958b3, 0xcea2a551aee421cf, 0x09caed52df5537d9, 0x572497f410935c08,
  0xb5cf6ab445794422, 0x52c2ca6c59d01e7e, 0x9cfa2810b4d5ceaf, 0x1337f36d3d0ea9c0, 0x3f8d166880ddb144,
  0x30b41bf75663c81a, 0x67d144e32cd6433d, 0x83cf257ee6866587, 0x00000007c80e2e0c,
};

// t13a_swio13_lednop_pr_u4
static const uint64_t ur_t13_swio13_lednop_pr_u4[] = {
  0xb2b7777768bb1762, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6e96544,
  0xc13e3277792e9b08, 0x0863ffd20267ea54, 0x201eed28ef9683e9, 0xf3d47b874fe0fa0f, 0x38c8e62c05965318,
  0xfd9823af47cedf22, 0x1e59edef770d500f, 0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e576a96faa9bec,
  0x2b924bfa0849ae04, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0x6cbb22adfef5545a,
  0xb93571b1441337f3, 0x31e40eda1a2c22b8, 0x7bde50c2a73f53ab, 0xd147f197e627ff78, 0x4fc0fdffc13442bb,
  0x66b219e98577d1ee, 0x34332c3b3e8a2719, 0xc9aecc241e792bf7, 0x0000000000000007,
};

// t13a_swio13_lednop_pr_ee
static const uint64_t ur_t13_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x3f779a0f8bdc29a9, 0xc333766c569fd49b,
  0x4f8c9ddf23a62519, 0x383fe90133f43f30, 0x386e2bad68cca484, 0xce4e7900f705392b, 0x5f201eec1e4e0397,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0x6273ab4b98fb7633, 0xd743af00676c911a, 0x0e3b107d1dad3daa,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d2c, 0x39d454aa35dc8439, 0x01395daa5beaa6fb, 0x4ae492fe82126b81,
  0xd6b9ed5688af2884, 0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x8266fe6da7a1d538, 0xd166881726ae3628,
  0xd06fdd598f2076d0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x00000a7c0396120f,
};

// t13a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t13_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222044, 0x6ae5a58085debd63, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd49e2,
  0x7c64ee8f6d12210e, 0xc1ff83419fa1f982, 0x9e715d6b46fe2421, 0x7273c807b829c95a, 0xfc807bb079380cf5,
  0xc370ebec01fc5652, 0x66006be96c65c709, 0x71cead2e95adc3ee, 0xba1d7a1a9dba8473, 0x38ec7c88e329ed56,
  0x197fe017b2d97ce0, 0xad471770c9a546c1, 0x77210e7e09b5e5ca, 0xfaa9bece75152a8d, 0x849ae0404e576a96,
  0x2bca2112b924bfa0, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x41337f36cbb22adf,
  0xa2c22b8b93571b14, 0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc,
  0xe8a271966b219e98, 0xe792bf734332c3b3, 0x000004eb842f6c85,
};

// t13a_swio13_lednop_pr_ce
static const uint64_t ur_t13_swio13_lednop_pr_ce[] = {
  0x2f777777569d6668, 0xb969612a736dd63c, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600ddf0bb8,
  0x04f8c9dd377a0cea, 0x3a5ff3b20f9f2973, 0xf0918f9efeaf7a42, 0xc577a2a5afcf0120, 0xbe49ee5be6de339b,
  0xdc3a7f0621fc807b, 0xee19cc580a803de3, 0xcb19e3af173b6f68, 0xb5e5caad474b3f71, 0x152a8d77210e7e09,
  0x576a96faa9bece75, 0x24bfa0849ae0404e, 0x7b55a22bca2112b9, 0x165362ce80f3f5ae, 0x8c6085a6ae757a96,
  0x7f36d3d0ea9c09cf, 0x440b93571b144133, 0xab31e40c7d0468b3, 0x966b219e985a0dfb, 0x734332c3b3e8a271,
  0x5baf388641e792bf,
};

// t13a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t13_swio13_lednop_pr_ce_u4[] = {
  0xadddddda20dd4375, 0x4dcb4b020c82560d, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017ee9b4fd,
  0x04f8c9dd0dda47db, 0x2305ffa0019f95d3, 0x383850e317ea8024, 0x222fb8a880f3c048, 0xc3fd165e12fc4361,
  0x2ceaf8ce64c5f45b, 0x8310fe403dd924f7, 0x580a13d7c1ee1d3f, 0xd78b9d87c476b1cc, 0x56a3ab87b8e58cf1,
  0xbb90873f04daf2e5, 0x7d54df673a8a9546, 0x424d7020272bb54b, 0x15e510895c925fd0, 0x4079bdb5d73daad1,
  0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x41337f36cbb0c76f, 0xa2c22b8b93571b14, 0x7ea75663c81a3911,
  0x4ffef0f7bca1854e, 0x688577a28fe32fcc, 0xefa3dc9f81fbff82, 0x144e32cd6433d30a, 0xf257ee686658767d,
  0x000006ebaeced4e4,
};

// t13a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t13_swio13_lednop_pr_ee_ce[] = {
  0x19bbbbbba1bad562, 0x45b96962c9c34b58, 0xb077a76b53f1ef22, 0xd7f07802c8d05066, 0x4cfe9b4be1743831,
  0x3e3277605e991b0d, 0x8fffd000cfeed4c1, 0x05a9efea8d2b2421, 0xf45643fcf0120e0e, 0xe0ff6b5d465378ae,
  0x9cf201ee0a725721, 0x201eec1e4e039b9c, 0x6e1d7d839015a56f, 0xc00d7d2d8cb8e138, 0xe2139d5e9c752970,
  0xdb8f1d78033b4e28, 0x0e3b0b5d188b3daa, 0x8664e017b2e1cb38, 0xfc136bcb955ae31b, 0x9cea2a551aee421c,
  0x809caed52df5537d, 0x2572497f410935c0, 0xd75cf6ab44579442, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a,
  0xdb2ec31dbfdeaa8b, 0x2e4d5c6c5104cdfc, 0x63c81a3911a2cd10, 0xd6433d30b41bf756, 0x86658767d144e32c,
  0x354eed4e4f257ee6, 0x000000000000014d,
};

// t13a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t13_swio13_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b00b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1c17f,
  0x327773ef5a728fa3, 0xffec83e7e004c13e, 0x18bf547811212d6f, 0x203cf0120eb493b7, 0x84bf10d8488bee2a,
  0x64c5f45575ff4597, 0x4ae43c1fed6108ca, 0x7373939e403dc14e, 0xb4ade403dd83c9c0, 0x1c270dc3afb07202,
  0xa52e1801afa5b197, 0x69c51c4273abd38e, 0x67b55b71e3af0067, 0x396701c7616ba311, 0x5c6370cc9c02f65c,
  0xc8439f826d7972ab, 0xaa6fb39d454aa35d, 0x26b8101395daa5be, 0xf28844ae492fe821, 0x3cdedaeb9ed5688a,
  0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x99bf9b65d863b7fb, 0x6115c5c9ab8d8a20, 0xa75663c81ad4e0d1,
  0xfef0f7bca1854e7e, 0x8577a28fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x57ee686658767d14,
  0x0013f3a7b0c83cf2,
};

// t13_swio14_noled_pr               t13a_swio14_noled                 t13a_swio14_noled_pr
static const uint64_t ur_t13_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x4843d7fd6c83e7fb, 0xfc807ba213be5ba0, 0x7afc83dc3a7f075f, 0xe8c9a398b016f74c,
  0xe39630475e2e7683, 0x136bcb955a9584f6, 0xea2a551aee421cfc, 0x59d372bb54b7d59c, 0xa2112b63f7f41093,
  0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x4cdfcdb3d6e2adfe, 0xfe3459a20376c510,
  0xc2d06fdd598f2068, 0x9f45138cb3590cf4, 0x0f3c95fb9a19961d, 0x0000001f2038b832,
};

// t13a_swio14_noled_pr_u4
static const uint64_t ur_t13_swio14_noled_pr_u4[] = {
  0x937777768bb128ae, 0x6b5cb4b10ac32b1a, 0x8fdcc750e244c886, 0x23c85c4bafad0c9f, 0x918036dbc9bba922,
  0x304f8c9ddfa7a480, 0x426dfff48099f31f, 0xe403dc0a1df2dbda, 0x7e5f0f70e9fc1935, 0x8c45398b016594db,
  0xfecc11d7a3e765ae, 0x07967b7d213ca807, 0xf04daf2e556acfba, 0x73a8a9546bb90873, 0x4d674dcaed52df56,
  0xf28844ad8fdfd042, 0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x41337f36cf5b8ab7,
  0xa2c22b8b93571b14, 0x73f53ab31e40eda1, 0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc,
  0xe8a271966b219e98, 0xe792bf734332c3b3, 0x000001f2610bc241,
};

// t13a_swio14_noled_pr_ee
static const uint64_t ur_t13_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x4cb9696021706758, 0xa17af5f588f8bd59, 0xbbcd04bdb204842f, 0x3376f4eb4fea4e6f,
  0x8c9ddf23a62519c3, 0xeff48099fd9d304f, 0xce2bad68f6fa424a, 0x4e7900f705392bf9, 0x900f760f2701828e,
  0x6e1d7d803f8aff77, 0xc00d7d2d8cb8e138, 0x39d5a5cc7dbb19cc, 0xa1d78033b2f88c7c, 0x1d81be8fa09ed56b,
  0xbff00bd970e59c07, 0x09b5e5caad4744f4, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x0000a7c0396120f3,
};

// t13a_swio14_noled_pr_ee_u4
static const uint64_t ur_t13_swio14_noled_pr_ee_u4[] = {
  0x7dddddda20dd4375, 0x5cb4b010ba9bac73, 0xbd867ac47c5eaca6, 0x779a097bdc77989f, 0x99b048569fd49cdf,
  0xc64ee86ed23ed881, 0x77fd000cf9c19827, 0x6715d6b47b7d2136, 0x273c807b829c95a5, 0xc807bb079380c147,
  0x1b875f600fe2b7f3, 0x30035f4b632e384e, 0x4e75697dbf6ec673, 0xd0ebc019d9ef4791, 0x8ec5c3464d4f6ab5,
  0x5ff805ecb872ce03, 0x09b5e5caad47421e, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0x779fad73daad115e, 0x173a9d4e02ca54fa, 0xaa7023cbc5021696, 0x6c5104cdfcdb4f43, 0xe4468b08ae2e4d5c,
  0x1539fa9d598f2068, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c, 0x4c2bbe8f727e07ef, 0xd9f45138cb3590cf,
  0x5393c95fb9a19961, 0x0000000013aebb3b,
};

// t13a_swio14_noled_pr_ce
static const uint64_t ur_t13_swio14_noled_pr_ce[] = {
  0x27777777569d6668, 0xb969612a72a1d612, 0xd7a7b7e61f17f6c1, 0x64410e0db194263b, 0x417e63c7f75226e2,
  0x27c64ee9bbd06751, 0x037f9d907cffee98, 0x849fc9efeab5d212, 0x2bbd152d7e780907, 0xf7cf72df36f19cde,
  0xc3a7f06d7de403dc, 0x4d1cc580a802623d, 0xb19e3af173b41f46, 0xaf2e556a3a27b71c, 0xa9546bb90873f04d,
  0x4dcaed52df5673a8, 0x44ad8fdfd0424d67, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b, 0x51698653d0ea9c08,
  0xfe6d9eb663b7fbd5, 0x881726ae36288266, 0x5663c818fa08d166, 0x2cd6433d30b41bf7, 0xe686658767d144e3,
  0xb75e710c83cf257e, 0x0000000000000000,
};

// t13a_swio14_noled_pr_ce_u4
static const uint64_t ur_t13_swio14_noled_pr_ce_u4[] = {
  0xb7777768837551eb, 0x6e5a5810653758d5, 0xf419ebc864fc2d22, 0x595c1f1d82f26656, 0xc8212150f77567ec,
  0x09f193ba6474207a, 0x4387ff40033ec166, 0x707243c62fd67148, 0x445f715101e78090, 0xddfa2cbc25f886c2,
  0x59d5f19cc98be8b8, 0x0dafbc807b9ef9ee, 0xb015004c47b874fe, 0x5e2e7683e8c9a398, 0xad4744f6e39633c7,
  0x77210e7e09b5e5ca, 0xaa5beace75152a8d, 0xfbfa0849ace9b95d, 0xdaad115e510895b1, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0xd6cc76ff7aaa2d30, 0xd5c6c5104cdfcdb3, 0x068e4468b08ae2e4, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x7effe09a215de8a3, 0x0cf4c2bbe8f727e0, 0x961d9f45138cb359, 0x2fb5393c95fb9a19,
  0x000000000006eb84,
};

// t13a_swio14_noled_pr_ee_ce
static const uint64_t ur_t13_swio14_noled_pr_ee_ce[] = {
  0xb7bbbbbba1bad562, 0xbb96962c9c34b58d, 0x83bd3b71de635a17, 0x9a45f1f646828335, 0xfe9b4be17439b6c9,
  0x3277605e991b0d4c, 0xffd000cfeed4c13e, 0xa9efea8e43a4218f, 0x5643fcf0120e0e05, 0xff6b5d3df378aef4,
  0xf201ee0a725721e0, 0x1eec1e4e039c5c9c, 0x1d7d839015a56f20, 0x0d7d2d8cb8e1386e, 0x139d5e9c752970c0,
  0x1e3af4353b4e28e2, 0x7616ba31167b55b7, 0x32700bd96cbe701c, 0xad4b327b9e546c11, 0x77210e7e09b5e5ca,
  0xaa5beace75152a8d, 0xfbfa0849ace9b95d, 0xdaad115e510895b1, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0xd6cc76ff7aaa2d30, 0xd5c6c5104cdfcdb3, 0x81a3911a2cd102e4, 0x33d30b41bf75663c, 0x58767d144e32cd64,
  0xeed4e4f257ee6866, 0x000000000014d354,
};

// t13a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t13_swio14_noled_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b0d4, 0xed323a56c908036d, 0xf623852c1a661064, 0x83669693fc1da9d8,
  0x27773ef5a728fa33, 0xfec83e7e004c13e3, 0x8bf547bed212d6ff, 0x03cf0120eb493b71, 0x4bf10d8488bee2a2,
  0x4c5f45575ff45978, 0xae43c1fed6107be6, 0x38b939e403dc14e4, 0x4ade403dd83c9c07, 0xc270dc3afb07202b,
  0x52e1801afa5b1971, 0x9c51c4273abd38ea, 0xf6ab6e3c75e86a76, 0x7ce038ec2d74622c, 0xa8d82264e017b2d9,
  0x6bcb955a9664f73c, 0x2a551aee421cfc13, 0xd372bb54b7d59cea, 0x112b63f7f4109359, 0xfebae7b55a22bca2,
  0x0eea6c529e1a778e, 0x545a6194f43aa702, 0xbf9b67ad98edfef5, 0x15c5c9ab8d8a2099, 0x5663c81ad4e0d161,
  0xf0f7bca1854e7ea7, 0x77a28fe32fcc4ffe, 0xdc9f81fbff826885, 0x32cd6433d30aefa3, 0xee686658767d144e,
  0x13f3a7b0c83cf257,
};

// t13_swio14_lednop_pr              t13a_swio14_lednop                t13a_swio14_lednop_pr
static const uint64_t ur_t13_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x04840f7feb641f3f, 0xffc807bb243be5ba, 0xda52623dc3a7f075, 0x8a8fa4398b016f74,
  0xf71cb1823af173b0, 0xc136bcb955a95982, 0xcea2a551aee421cf, 0x809d372bb54b7d59, 0x12b97d8f410935c0,
  0xf5ae7b55a22bca21, 0x7a96165362ce80f3, 0x0517d14085a6ae75, 0x2099bf9b69e8754e, 0xd1fc68b34406ed8a,
  0xe985a0dfbab31e40, 0x3b3e8a271966b219, 0x641e792bf734332c, 0x0000000007c80050,
};

// t13a_swio14_lednop_pr_u4
static const uint64_t ur_t13_swio14_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a588561b758d, 0xfdb1fbebfc2e4433, 0x4790b8918ebd2282, 0x9f8f2e3e2f775244,
  0x827c64eef91d6411, 0x123dffa404cfafb9, 0x201ee400ef96ded2, 0xbd287b874fe0c9af, 0x637ce62c05965347,
  0xfb30475e8f9da214, 0x1e59ed88bd22a01f, 0xe09b5e5caad5f5b8, 0xe75152a8d77210e7, 0x404e9b95daa5beac,
  0x895cbec7a0849ae0, 0xb5d73daad115e510, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2,
  0x71726ae36288266f, 0x5663c81db4345845, 0xf0f7bca1854e7ea7, 0x77a28fe32fcc4ffe, 0xdc9f81fbff826885,
  0x32cd6433d30aefa3, 0xee686658767d144e, 0x0f93c638483cf257,
};

// t13a_swio14_lednop_pr_ee
static const uint64_t ur_t13_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0xa65cb4b010bad158, 0x78d3da17a306beac, 0x9beef3412f7aa6ec, 0x13f78bd90ad3fa93,
  0x09f193bb4cf7e9dc, 0x41adfe90133e96a6, 0x721dc575ad1edf48, 0x51c9cf201ee0a725, 0x4af201eec1e4e030,
  0x270dc3afb007f15d, 0x399801afa5b1971c, 0xbde73ab4bc7bb763, 0xad743af00676f911, 0x80e3b1bda3b873da,
  0x0b97fe017b2e1cb3, 0x9f826d7972ab51d6, 0xb39d454aa35dc843, 0x81013a6e576a96fa, 0x422572fb1e82126b,
  0xe7eb5cf6ab445794, 0xeaf52c2ca6c59d01, 0x9c0a2fa2810b4d5c, 0x1441337f36d3d0ea, 0x6868b3440b93571b,
  0x616837eeacc7903b, 0xcfa289c659ac867a, 0x079e4afdcd0ccb0e, 0x000000029f153b09,
};

// t13a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t13_swio14_lednop_pr_ee_u4[] = {
  0x84dddddda2447032, 0x6ae5a58085e85d62, 0x8fe9a5d803d2f893, 0xe45338fc33c5ea6c, 0x2d05642b4fea4a11,
  0xc64ee9dad8e29caa, 0xb7fc1a0cfa5a9827, 0x5715d6b4663d2106, 0x273c807b829c95b0, 0xc807bb079380f4a7,
  0x370ebec01fc565d7, 0x6006be96c65c709c, 0x1cead2ee4edc3ee6, 0xa1d7a1a9d8f546be, 0x1d888518df9ed56b,
  0x2ffc02f65b2f9c07, 0xd4717d213ca8d823, 0x7210e7e09b5e5caa, 0xa5beace75152a8d7, 0x849ae0404e9b95da,
  0x15e510895cbec7a0, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x88266fe6d8c9156f,
  0x34584571726ae362, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff,
  0x7d144e32cd6433d3, 0xbcf257ee68665876, 0x00000013ae59ed90,
};

// t13a_swio14_lednop_pr_ce
static const uint64_t ur_t13_swio14_lednop_pr_ce[] = {
  0x27777777569d2d3a, 0xb969612a7217d612, 0xee15ac1d4c17f6c1, 0x220872a18dbad14d, 0x1dd8ff4bba913713,
  0x7c64eeb4bd3f647f, 0x2ff9d907cffce982, 0x954a9efeab5d210a, 0xef45e9ffcf0120f0, 0x93dcb7cdbc67378a,
  0xe9fc1b5f7900f77c, 0x6731602f51920f70, 0xcf1d78b9db22a3b8, 0x972ab51d749b8e58, 0xaa35dc8439f826d7,
  0xe576a96fab39d454, 0xb1e82126b81013a6, 0x6ab445794422572f, 0x5af9d01e6f6d75cf, 0xf43aa70210a905ca,
  0x31dbfdeaa8b48edc, 0x71b1441337f36c64, 0xc7d0468b3440b935, 0xe985a0dfbab31e40, 0x3b3e8a271966b219,
  0x641e792bf734332c, 0x000000000b752488,
};

// t13a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t13_swio14_lednop_pr_ce_u4[] = {
  0xdbbbbbb441baba31, 0x9b9696041968ac6a, 0x7a7ef4bdf37f0b48, 0x1657075378ee0037, 0xa2b6c842fddd59fb,
  0x09f193baccf5a280, 0x4287ff40033f95a6, 0x7070a5c62fd67148, 0x445f715101e78090, 0xb7fa2cbc25f886c2,
  0x59d5f19cc98be8a6, 0x0dafbc807bbe49ee, 0xb017a8c907b874fe, 0xbc5ced9151dc3398, 0x5a8eba4dc72c678e,
  0xee421cfc136bcb95, 0x54b7d59cea2a551a, 0x10935c0809d372bb, 0x22bca2112b97d8f4, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0xa2099bf9b63218ed, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375f18f6a7,
};

// t13a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t13_swio14_lednop_pr_ee_ce[] = {
  0x23bbbbbba1baa80b, 0x5b96962c9c23f586, 0x97560ed8fa86f224, 0xfe0e36ea2bd72b7c, 0xae3867c2e87188ba,
  0x64eed89dc9cd38c4, 0xffd000cfffc9827c, 0xf9efea8dc9a4274f, 0xa951f9e0241c1ca1, 0xfed6ba8ca6f15de8,
  0xe403dc14e4add2c1, 0x3dd83c9c06be3939, 0x3afb07202b727e40, 0x1afa5b1971c270dc, 0x273abd38d7dae180,
  0x3c75e00ced2f91a6, 0x7607c476b4f6ab6e, 0xc9c02f65c396701c, 0x136bcb955ae31e90, 0xea2a551aee421cfc,
  0x09d372bb54b7d59c, 0x2b97d8f410935c08, 0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854,
  0xb63218edfef5545a, 0x5c9ab8d8a2099bf9, 0xc790347223459a20, 0xac867a616837eeac, 0x0ccb0ecfa289c659,
  0x9f39da9c9e4afdcd, 0x00000000000000a6,
};

// t13a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t13_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda27da1f68, 0x772d2c30e5c1ac35, 0x2f599ee2f41200db, 0x7b11c2a38ac168b0, 0x23b31349fe0ed4ec,
  0x3277475f5b105b27, 0xffd907cfe374c13e, 0x317ea8f7da4235df, 0x203cf0120eb49882, 0x84bf10d8488bee2a,
  0x3262fa2f53bf4597, 0x25652e0ff6b083df, 0x39c5c9cf201ee0a7, 0x5c87f201eec1e4e0, 0x8e1386e1d7d83901,
  0xe4d70c00d7d2d8cb, 0xb1ea8d7c39d5e9c6, 0xe7b55b71e3af4353, 0xcbe701c762214637, 0xe546c1132700bd96,
  0x9b5e5caad4b3e909, 0x5152a8d77210e7e0, 0x4e9b95daa5beace7, 0x5cbec7a0849ae040, 0xd73daad115e51089,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xb190c76ff7aaa2d2, 0xe4d5c6c5104cdfcd, 0xe40d6a7068b08ae2,
  0xde50c2a73f53ab31, 0x47f197e627ff787b, 0xc0fdffc13442bbd1, 0xb219e98577d1ee4f, 0x332c3b3e8a271966,
  0x5d98641e792bf734, 0x00000000000004fc,
};

// t13_swio15_noled_pr               t13a_swio15_noled                 t13a_swio15_noled_pr
static const uint64_t ur_t13_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x4484dbffeb641f3e, 0x7bc807ba213be5ba, 0xd38ad71ee1d3f83e, 0x868c9a398b016f74,
  0xee39630475e2e76b, 0x826d7972ab52b2bf, 0x9d454aa35dc8439f, 0xb3a6e576a96fabb3, 0x2112ad5fefe82126,
  0xf3f5ae7b55a22bca, 0xe753a9c0594a9f4e, 0x4e045fb8a042d2c2, 0x8a2099bf9b69e875, 0x40d1fc68b34406ed,
  0x19e985a0dfbab31e, 0x2c3b3e8a271966b2, 0x50641e792bf73433, 0x00000000003e400e,
};

// t13a_swio15_noled_pr_u4
static const uint64_t ur_t13_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8bf82, 0xb5cb4b10ac4ceb13, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426ecf7444,
  0x27c64ee989d5a20d, 0x432bfd20267dfc98, 0x01ee97c77cb41f48, 0x9c47b874fe0fa0f2, 0xef6731602cb298ca,
  0xecc11d7a3e767bd1, 0xf2cf6ee1934a807f, 0x04daf2e556aab540, 0x3a8a9546bb90873f, 0x674dcaed52df5767,
  0x42255abfdfd0424d, 0xdfd75cf6ab445794, 0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x66fe6d902455bfde,
  0x84571726ae362882, 0xea75663c81db4345, 0xffef0f7bca1854e7, 0x88577a28fe32fcc4, 0xfa3dc9f81fbff826,
  0x44e32cd6433d30ae, 0x257ee686658767d1, 0x0001f27d3d8483cf,
};

// t13a_swio15_noled_pr_ee
static const uint64_t ur_t13_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xbbbcd07c59b0b402, 0x4b3f764eb4fea448,
  0xf8c9dde4bb4cd1db, 0xfbff48099f8ad304, 0xa5715d6b46652426, 0x7273c807b829c95b, 0xf900f760f2701cbe,
  0x86e1d7d803f8adc9, 0xcc00d7d2d8cb8e13, 0xb9cead2efe5bb19c, 0xba1d78033b4dc8d6, 0x38ec4648fa49ed56,
  0xa5ff805ecb872ce0, 0xf04daf2e556a3a26, 0x73a8a9546bb90873, 0xd674dcaed52df576, 0x442255abfdfd0424,
  0x1dfd75cf6ab44579, 0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x266fe6d902455bfd, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x000029f0926120f3,
};

// t13a_swio15_noled_pr_ee_u4
static const uint64_t ur_t13_swio15_noled_pr_ee_u4[] = {
  0x5dddddda20dd4375, 0x5cb4b010ba9bac24, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea448b,
  0xe3277437691f6c40, 0x3bfe80067ce0cc13, 0x59c575ad1994909b, 0xc9cf201ee0a72569, 0xe403dd83c9c072f9,
  0x0dc3afb007f15bf9, 0x9801afa5b1971c27, 0xa73ab4bedfb76339, 0xe875e00cecf7a3c8, 0xc762e1a326a7b55a,
  0x2ffc02f65c396701, 0x04daf2e556a3a10f, 0x3a8a9546bb90873f, 0x674dcaed52df5767, 0x42255abfdfd0424d,
  0x59de5cf6ab445794, 0x5a5aff11a9e18a6f, 0x3d0ea9c08f2f1408, 0x3571b1441337f36d, 0x81a3911a2c22b8b9,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82688577a28, 0x433d30aefa3dc9f8, 0x658767d144e32cd6,
  0xeced4e4f257ee686, 0x0000000000004eba,
};

// t13a_swio15_noled_pr_ce
static const uint64_t ur_t13_swio15_noled_pr_ce[] = {
  0xa6eeeeeead3a422f, 0x72d2c254e78fac0d, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7ee8da5c4c,
  0xf193ba7ef717d91b, 0x7fe7641f3ee4e609, 0x280d3dfd5ef4845f, 0xde8b43ff9e0241e1, 0x67b96f9b78ce6f15,
  0xe9fc1887f201ee4c, 0x0731602e95108f70, 0x678ebc5cec37d1f4, 0xcb955a8e89adc72c, 0x551aee421cfc136b,
  0x2bb54b7d5d9cea2a, 0x6aff7f4109359d37, 0x73daad115e510895, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775,
  0x6c810c76ff7aaa2d, 0xb93571b1441337f3, 0x1e40c7d0468b3440, 0xb219e985a0dfbab3, 0x332c3b3e8a271966,
  0xa9c8641e792bf734, 0x00000000000016ea,
};

// t13a_swio15_noled_pr_ce_u4
static const uint64_t ur_t13_swio15_noled_pr_ce_u4[] = {
  0x9bbbbbb441baa80b, 0x9b9696041b0aac5f, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fddbf1fb,
  0x04f8c9ddb13b515a, 0x2175ffa0019f53d3, 0x383870e317ea8024, 0x222fb8a880f3c048, 0xd7fd165e12fc4361,
  0x2ceaf8ce64c5f45f, 0x8310fe403dc98cf7, 0x2c05d2a211ee1d3f, 0xd78b9d86fa3e80e6, 0xab51d135b8e58cf1,
  0x5dc8439f826d7972, 0xa96fabb39d454aa3, 0xefe82126b3a6e576, 0x55a22bca2112ad5f, 0x29e1a778efebae7b,
  0x4f43aa7020eea6c5, 0x218edfef5545a619, 0xae36288266fe6d90, 0x3472234584571726, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xf7ff04d10aef451f, 0x67a615df47b93f03, 0xb0ecfa289c659ac8, 0xdda9c9e4afdcd0cc,
  0x00000000001bafd3,
};

// t13a_swio15_noled_pr_ee_ce
static const uint64_t ur_t13_swio15_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baba31, 0xbb96962c9c5c7581, 0x3b65debd385f5a17, 0xcd22e62d1420c5fd, 0x262469f0ba1c1b64,
  0x193baccf6c480af2, 0xfff40033e1a2609f, 0x7e7bfaa338690963, 0x2dc8fe780907073a, 0x7fb5ae9ef9bc577a,
  0x7900f705392b3870, 0x0f760f2701a00e4e, 0x0ebec1c80afe7790, 0x06be96c65c709c37, 0x21ceaf4e328ab860,
  0x8f1d7a1a9d90047f, 0x1d87bd1ef73daadb, 0x4c9c02f65b2f9c07, 0x56a5993582d51b04, 0xbb90873f04daf2e5,
  0x52df57673a8a9546, 0xdfd0424d674dcaed, 0xab44579442255abf, 0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a,
  0x431dbfdeaa8b4c32, 0x5c6c5104cdfcdb20, 0x1a3911a2cd102e4d, 0x3d30b41bf75663c8, 0x8767d144e32cd643,
  0xed4e4f257ee68665, 0x00000000029a6072,
};

// t13a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t13_swio15_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c12358c7, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1f1dd8,
  0x93ba55fb61900a3b, 0xfec83e7d0fa609f1, 0xc5faa3b74909883f, 0x80f3c0483ad23fc8, 0x12fc4361222fb8a8,
  0xc98be8be72fd165e, 0x959c383fdac20f7c, 0xd007273c807b829c, 0x7f3bc807bb079380, 0x384e1b875f60e405,
  0x455c30035f4b632e, 0xc8023f90e757a719, 0x9ed56dc78ebd0d4e, 0x97ce038ec3de8f7b, 0x6a8d82264e017b2d,
  0x6d7972ab52cc9ac1, 0x454aa35dc8439f82, 0xa6e576a96fabb39d, 0x12ad5fefe82126b3, 0xebae7b55a22bca21,
  0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0xfe6d90218edfef55, 0x571726ae36288266, 0x598f206b53834584,
  0xc3def2861539fa9d, 0xde8a3f8cbf313ffb, 0x727e07effe09a215, 0xcb3590cf4c2bbe8f, 0xb9a19961d9f45138,
  0x27e40ac320f3c95f,
};

// t13_swio15_lednop_pr              t13a_swio15_lednop                t13a_swio15_lednop_pr
static const uint64_t ur_t13_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x44848f7feb641f3e, 0x7bc807b97c3be5ba, 0x63d6211ee1d3f83e, 0xf68ee19cc580b7ba,
  0xf71cb1823af173b6, 0xc136bcb955a958b3, 0xcea2a551aee421cf, 0x09d372bb54b7d5d9, 0x95c958f410935c08,
  0xad73daad115e5108, 0xd4b0b29b1674079f, 0x273e8a042d3573ab, 0x04cdfcdb4f43aa70, 0x8fe3459a20376c51,
  0x4c2d06fdd598f206, 0xd9f45138cb3590cf, 0x20f3c95fb9a19961, 0x00000001f2038b83,
};

// t13a_swio15_lednop_pr_u4
static const uint64_t ur_t13_swio15_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6ecf744,
  0xc13e3277792e9b08, 0x0863ffd20267ea54, 0x201eed28ef9683e9, 0xf3d47b874fe0fa0f, 0x38c8e62c05965318,
  0xfd9823af47cedf22, 0x1e59edef770d500f, 0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e9b95daa5beaec,
  0x4ae4ac7a0849ae04, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xdb2ec8ab7fbd5516,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0xf26bb309079e4afd, 0x0000000000000001,
};

// t13a_swio15_lednop_pr_ee
static const uint64_t ur_t13_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x17779a0f8bdc29a9, 0xc333766c569fd489,
  0x4f8c9ddf23a62519, 0x383fe90133f43f30, 0x386e2bad68cca484, 0xce4e7900f705392b, 0x5f201eec1e4e0397,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0x6273ab4b98fb7633, 0xd743af00676c911a, 0x0e3b107d1dad3daa,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d2c, 0x39d454aa35dc8439, 0x013a6e576a96fabb, 0x12b92b1e82126b81,
  0xf5ae7b55a22bca21, 0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x2099bf9b69e8754e, 0x3459a205c9ab8d8a,
  0xb41bf75663c81db4, 0xd144e32cd6433d30, 0xcf257ee686658767, 0x0000029f00e58483,
};

// t13a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t13_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222044, 0x6ae5a58085debd60, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd485e,
  0x7c64ee8f6d12210e, 0xc1ff83419fa1f982, 0x9e715d6b46fe2421, 0x7273c807b829c95a, 0xfc807bb079380cf5,
  0xc370ebec01fc5652, 0x66006be96c65c709, 0x71cead2e95adc3ee, 0xba1d7a1a9dba8473, 0x38ec7c88e329ed56,
  0x197fe017b2d97ce0, 0xad471770c9a546c1, 0x77210e7e09b5e5ca, 0xa5beaece75152a8d, 0x849ae0404e9b95da,
  0x8af28844ae4ac7a0, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x104cdfcdb2ec8ab7,
  0x68b08ae2e4d5c6c5, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff,
  0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x0000013ae10bdb21,
};

// t13a_swio15_lednop_pr_ce
static const uint64_t ur_t13_swio15_lednop_pr_ce[] = {
  0xd3777777569d6668, 0xb969612a736dd606, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600dd1b4b8,
  0x04f8c9dd377a0cea, 0x3a5ff3b20f9f2973, 0xf0918f9efeaf7a42, 0xc577a2a5afcf0120, 0xbe49ee5be6de339b,
  0xdc3a7f0621fc807b, 0xee19cc580a803de3, 0xcb19e3af173b6f68, 0xb5e5caad474b3f71, 0x152a8d77210e7e09,
  0x9b95daa5beaece75, 0x4ac7a0849ae0404e, 0x9ed5688af28844ae, 0x8594d8b3a03cfd6b, 0xe3182169ab9d5ea5,
  0xdfcdb4f43aa70273, 0xd102e4d5c6c5104c, 0xeacc79031f411a2c, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c,
  0x16ebce219079e4af,
};

// t13a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t13_swio15_lednop_pr_ce_u4[] = {
  0xcdddddda20dd4375, 0x4dcb4b020c82562f, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017eedf8fd,
  0x04f8c9dd0dda47db, 0x2305ffa0019f95d3, 0x383850e317ea8024, 0x222fb8a880f3c048, 0xc3fd165e12fc4361,
  0x2ceaf8ce64c5f45b, 0x8310fe403dd924f7, 0x580a13d7c1ee1d3f, 0xd78b9d87c476b1cc, 0x56a3ab87b8e58cf1,
  0xbb90873f04daf2e5, 0x52df57673a8a9546, 0x424d7020274dcaed, 0x45794422572563d0, 0xd01e6f6d75cf6ab4,
  0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x104cdfcdb2ec31db, 0x68b08ae2e4d5c6c5, 0x9fa9d598f2068e44,
  0x13ffbc3def286153, 0x9a215de8a3f8cbf3, 0xbbe8f727e07effe0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f,
  0x000001baebb3b539,
};

// t13a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t13_swio15_lednop_pr_ee_ce[] = {
  0x4bbbbbbba1bad562, 0x5b96962c9c34b58f, 0x077a76b53f1ef224, 0x7f07802c8d05066b, 0xfe9b4be17439e95d,
  0x3277605e991b0d4c, 0xffd000cfeed4c13e, 0xa9efea8d2b24218f, 0x5643fcf0120e0e05, 0xff6b5d465378aef4,
  0xf201ee0a725721e0, 0x1eec1e4e039b9c9c, 0x1d7d839015a56f20, 0x0d7d2d8cb8e1386e, 0x139d5e9c752970c0,
  0x8f1d78033b4e28e2, 0x3b0b5d188b3daadb, 0x64e017b2e1cb380e, 0x136bcb955ae31b86, 0xea2a551aee421cfc,
  0x9d372bb54b7d5d9c, 0x5c958f410935c080, 0xd73daad115e51089, 0x17296be74079bdb5, 0x3b73d0ea9c0842a4,
  0xcbb0c76ff7aaa2d2, 0x93571b1441337f36, 0xf2068e4468b3440b, 0x90cf4c2d06fdd598, 0x9961d9f45138cb35,
  0x53bb5393c95fb9a1, 0x000000000000534d,
};

// t13a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t13_swio15_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b10b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1e17f,
  0x327773ef5a728fa3, 0xffec83e7e004c13e, 0x18bf547811212d6f, 0x203cf0120eb493b7, 0x84bf10d8488bee2a,
  0x64c5f45575ff4597, 0x4ae43c1fed6108ca, 0x7373939e403dc14e, 0xb4ade403dd83c9c0, 0x1c270dc3afb07202,
  0xa52e1801afa5b197, 0x69c51c4273abd38e, 0x67b55b71e3af0067, 0x396701c7616ba311, 0x5c6370cc9c02f65c,
  0xc8439f826d7972ab, 0x6fabb39d454aa35d, 0x26b81013a6e576a9, 0xbca2112b92b1e821, 0x0f37b6bae7b55a22,
  0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x266fe6d97618edfe, 0x584571726ae36288, 0xa9d598f206b53834,
  0xffbc3def2861539f, 0x215de8a3f8cbf313, 0xe8f727e07effe09a, 0x138cb3590cf4c2bb, 0x95fb9a19961d9f45,
  0x0004fce9ec320f3c,
};

// t43u_swio10_noled_pr
static const uint64_t ur_t43u_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x4909a57f9412b3f2, 0x310fea3a6277cb13, 0xbdd369510c71cab0, 0xcedbda3278e62c05,
  0x62cfdc72c608ebc5, 0x873f04daf2e556a5, 0xf5673a8a9546bb90, 0x5f4109359caed52d, 0xad115e5108954bef,
  0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0x5156ff7aaa2d30ca, 0x06ed94462fe6d8ad, 0xb31e40d1fc68b344,
  0x66b219e985a0dfba, 0x9a19961d964a2719, 0xe4002d320f3c95fb, 0x0000000000000003,
};

static const uint64_t ur_t43u_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x9dd7fa032cfc7b98, 0xdea3cdc77cb08a90, 0x9bba05238e558193, 0x1f11dac731602cb2,
  0x807fecc11d7a3e76, 0x2540f2cf6fa059ea, 0x1cfc136bcb955a88, 0xd59cea2a551aee42, 0x7d0424d672bb54b7,
  0xb445794422552fbd, 0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x455bfdeaa8b4c329, 0x0f365118bf9b62b5,
  0x76d0d1659d1726ae, 0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07,
  0xcb0ecf8138cb3590, 0x6720ae9e4afdcd0c, 0x0000000000007c99,
};

static const uint64_t ur_t43u_swio10_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x5ab5cb4b10898beb, 0xbdebed05df4b5a1b, 0x3d22e1ff166c2d00, 0x6d2cfdd932282ffb,
  0x13e3277792ed3347, 0x9beffd01967e2b4c, 0x5ba583fdad199490, 0xea3e0d983403d479, 0x1b875f600fe2bf9d,
  0x30035f4b632e384e, 0x4e756975f63a1f73, 0xa1d7a1a9da5f234c, 0x8ec0f88ed69ed56b, 0x97fe017b2d97ce03,
  0xa8e2d67d7f546c11, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0xfbd7d0424d672bb5, 0xf6ab445794422552,
  0x8a53c34ef1dfd75c, 0x329e8754e041dd4d, 0x2b5455bfdeaa8b4c, 0x726ae365118bf9b6, 0x98f2076d0d166881,
  0x3590cf4c2d06fdd5, 0xd0ccb0ecb25138cb, 0x7c24920ae9e4afdc, 0x000000000000000a,
};

static const uint64_t ur_t43u_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda24477d6, 0xad72d2c42262fac6, 0xd05d0837d2d686d6, 0xa45c3fe2cd85a017, 0xa59fbb264505ff67,
  0x7c64eed86df23f69, 0x7dffcc9ccfc56982, 0x74b07fb5a3329213, 0x47c1b306807a8f2b, 0x70ebec01fc57f3bd,
  0x006be96c65c709c3, 0xcead2ebec743ee66, 0x3af4353b4be46989, 0xd81f11dad3daad74, 0xffc02f65b2f9c071,
  0x1c5acfafea8d8232, 0x8439f826d7972ab5, 0x6fab39d454aa35dc, 0x7afa0849ace576a9, 0xd5688af28844aa5f,
  0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x6a8ab7fbd5516986, 0x5c1e6ca2317f36c5, 0x40fca1a2cb3a2e4d,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0xf36cc8dd3c95fb9a, 0x00000000000013ae,
};

static const uint64_t ur_t43u_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x1c9ffa032cfc8798, 0xb839fbac7f5c9121, 0xe75dcdaf003f3cbc, 0xa8f924f72cbad64c,
  0x27af91c72ac0f05f, 0x3b0f88ed6398b014, 0xf5403ff6678ebd1f, 0x5104a81e5addd02c, 0xc8439f826d7972ab,
  0x96fab39d454aa35d, 0xf7afa0849ace576a, 0xed5688af28844aa5, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xad463b7fbd551698, 0xab83cd94462fe6d8, 0x2076d0d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138,
  0x9c659ac867a61683, 0x257ee686658767c0, 0x0006eba7d790574f,
};

static const uint64_t ur_t43u_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x4229eff99399fdf7, 0x5d69182d547d427a, 0x61222fb8d1079e5e, 0x767cfd165e12fc43,
  0xb96086b266a8ee6d, 0x39560782fd47c927, 0x6b1cc580a13d7c8e, 0xb33c75e8f9d87c47, 0xf2d6ee8167aa01ff,
  0x136bcb955a882540, 0xea2a551aee421cfc, 0x24d672bb54b7d59c, 0x794422552fbd7d04, 0xef1dfd75cf6ab445,
  0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0xa2317f36c56a31db, 0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98, 0xdd3c95fb9a19961d,
  0x0000001baf924cc8,
};

static const uint64_t ur_t43u_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447705, 0x972d2c42b345ac13, 0x2eac1db1f50fc5d0, 0x67372e21050b3639, 0x334a7ee7126824cc,
  0x8c9dd6c5b939267d, 0x5ff32733e337304f, 0x5ab1fd51fce4840b, 0x6b9807f3cbcbad22, 0x376b028f9339d773,
  0xb3072fbd4795a560, 0xf60e4056e4fd47c1, 0xf4b632e384e1b875, 0xe756b85f7f5b0035, 0x1d7a1a9da5f234c4,
  0xb03e23b5a7b55e9c, 0x13805ecb65f380e3, 0xf4f2cfafea8d8228, 0x421cfc136bcb955a, 0xb7d59cea2a551aee,
  0xbd7d0424d672bb54, 0x6ab445794422552f, 0xa53c34ef1dfd75cf, 0x29e8754e041dd4d8, 0x6a31dbfdeaa8b4c3,
  0x5c1e6ca2317f36c5, 0x03f2868b2f572e4d, 0x9430a9cfd4eacc79, 0xf7c46879133c09c6, 0xe32cd6433d30b41b,
  0x2bf734332c3b3e04, 0x00004fc32191ba79,
};

static const uint64_t ur_t43u_swio10_noled_pr_ee_ce_u4[] = {
  0xfdddddda2e7ccc7f, 0xee5a58b8174eac58, 0xedc9dac829b1b64c, 0xdd7d93f23f4debc4, 0x1c5a2c88789b1e0b,
  0x4eee7debd651f837, 0xbd98b9fadf9827c6, 0xa3ea8f2b2424edff, 0xa20f3cbcbced36ea, 0xbc25f886c2445f71,
  0x3547736babaffa2c, 0x2b4ac06ed6678f93, 0xfa8f83660e5f7a8f, 0xc370ebec1c80adc9, 0xb6006be96c65c709,
  0xe46989cead70befe, 0x6abd383af4353b4b, 0xe701c7607c476b4f, 0x1b04502700bd96cb, 0x972ab5e9e59f5fd5,
  0xaa35dc8439f826d7, 0xe576a96fab39d454, 0x44aa5f7afa0849ac, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xfe6d8ad463b7fbd5, 0x745c9ab83cd94462, 0xab31e40cd3e34596, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x027e265a3320f3c9,
};

// t43u_swio10_lednop_pr
static const uint64_t ur_t43u_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x134908657f9412b3, 0xb0310fea3fc877cb, 0x05bdd3200f7c71ca, 0xc5ced6b23e80e62c,
  0x52b39edc72c608eb, 0xc8439f826d7972ab, 0x96fab39d454aa35d, 0xa0849ae0404e576a, 0x88af28844ab574bf,
  0x8b3a03cfd6b9ed56, 0x169ab9d5ea58594d, 0x4f43aa70363fc502, 0x6880ddb288c5fcdb, 0xf75663c81a3f8d16,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x00f90249a641e792,
};

static const uint64_t ur_t43u_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x103dffa032cfc069, 0x7bd479c4ef961152, 0xa60f680471cab032, 0x2628e0f9cc580b2c,
  0x403ff6608ebd1f3b, 0x11303cb3dbb5ba05, 0x21cfc136bcb955aa, 0x7d59cea2a551aee4, 0x424d7020272bb54b,
  0x579442255aba5fd0, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x88c5fcdb610c55bf,
  0x8b2ce8b9357079b2, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0,
  0x7c09c659ac867a61, 0x74f257ee68665876, 0x00000007c9c0a905,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xd0bd7afaebcbda99, 0xe0fe17b3d9024217, 0x33376f4c8a0bf993,
  0xf8c9ddf23a62519c, 0xaeff40659fd9d304, 0xe741fed68c27a424, 0x1f06cc1cddea3caf, 0xc3afb007f15a56f5,
  0x01afa5b1971c270d, 0x3ab4bc061d633998, 0x3af006760511bde7, 0x6322a3b873daad74, 0xfc02f65c396701c7,
  0x6d7972ab51d7412f, 0x454aa35dc8439f82, 0x404e576a96fab39d, 0x4ab574bfa0849ae0, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb6c218ab7fbd5516, 0x81726ae365118bf9, 0xd598f2076d0d1668,
  0xcb3590cf4c2d06fd, 0xdcd0ccb0ecb25138, 0x29f00e520ae9e4af,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0x6475a2e933e3e6d6, 0x22e1ff178bcd8c77, 0xae34c902282ffb3d,
  0xf193ba82b7a71ce7, 0x9dff32733e706609, 0xbac1fed68cca484d, 0x1f06cc1a01ea3cac, 0xc3afb007f159c3f5,
  0x01afa5b1971c270d, 0x3ab4bfee1d0fb998, 0x75e86a76d291e487, 0x61314707e7b55ae8, 0xff00bd96cbe701c7,
  0x38be8167aa3608cb, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0x10935c0809caed52, 0x15e5108956ae97f4,
  0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0xa2317f36d843156f, 0xa2cb3a2e4d5c1e6c,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98,
  0xdd3c95fb9a19961d, 0x00000009d7ab28c8,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x211d2ffa032cf94b, 0xbcb839f3ac7f5c91, 0x99cebb9b5f76bf3c, 0xbf51c149ee5975ac,
  0x5dbf2fa38e5581e0, 0xf9d9314707ce62c0, 0xd02a01ffb33c75e8, 0xab542260796b75ad, 0x5dc8439f826d7972,
  0x6a96fab39d454aa3, 0xbfa0849ae0404e57, 0x5688af28844ab574, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0xc6ca2317f36d8426, 0x0eda1a2cd102e4d5, 0x9e985a0dfbab31e4, 0x61d964a271966b21,
  0xe415d3c95fb9a199, 0x0000000000b75b1f,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x424aeff99399fd9d, 0x5d6932b5547d427a, 0x61222fb8d1079e5e, 0x74a8fd165e12fc43,
  0xb96086b266a8ee6d, 0x39560782fd470527, 0x1f398b0176fcbe8e, 0xccf1d7a3e764c51c, 0xe5add6b740a807fe,
  0x09b5e5caad508981, 0x75152a8d77210e7e, 0x8101395daa5beace, 0x112ad5d2fe82126b, 0xb6bae7b55a22bca2,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xcdb61098edfef554, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x06ebed7b32374f25,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0x77b1c771de63e2e8, 0x339b97168a1062f9, 0x89891a7389341266,
  0xc64ee8f6d81610fc, 0xfffcc9ccf8689827, 0x4fd8fea8fe724258, 0x6bf75bf3cbcbad27, 0x376b028f9339d773,
  0xb3072fbd4795c870, 0xf60e4056e97d47c1, 0xf4b632e384e1b875, 0xe756b8fddf5b0035, 0x0ebd0d4eda523c90,
  0xb098a383f3daaf4e, 0x13805ecb65f380e3, 0x7a7ba059ea8d8228, 0x210e7e09b5e5caad, 0x5beace75152a8d77,
  0x82126b8101395daa, 0x22bca2112ad5d2fe, 0xe80f37b6bae7b55a, 0x5381085482e52d7c, 0xfef5545a476e7a1d,
  0x288c5fcdb61098ed, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x1eb6646e9e4afdcd, 0x000000000000013f,
};

static const uint64_t ur_t43u_swio10_lednop_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x27605e95b2406d93, 0xf75f64fa7791a8b6, 0xdc15c7221e26c782,
  0x3277475f4050591d, 0xfdecc5cfa1f4c13e, 0xaa8faa3cac909883, 0xe3441e797979dbfc, 0x59784bf10d8488be,
  0x933547736bf53bf4, 0x8f2b90e06ed6678f, 0xd2fa8f83660e5f7a, 0x09c370ebec1c80ad, 0xbeb6006be96c65c7,
  0xb4a47921cead71fb, 0xe7b55e9c1d7a1a9d, 0xcbe701c761314707, 0xd51b04502700bd96, 0x6bcb955af4f740b3,
  0x2a551aee421cfc13, 0x0272bb54b7d59cea, 0x55aba5fd0424d702, 0x75cf6ab445794422, 0x05ca5af9d01e6f6d,
  0x8edcf43aa70210a9, 0x6c2131dbfdeaa8b4, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0x9bc14cc83cf257ee,
  0x000000000000009f,
};

// t43u_swio11_noled_pr              t43u_swio12_noled                 t43u_swio12_noled_pr
static const uint64_t ur_t43u_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x10f5ff282567fba9, 0xffd47884ef96e812, 0xa63d7e48e3956075, 0x41f464d1cc580b7b,
  0x7b71cb1823af173b, 0x7e09b5e5caad4ac2, 0xce75152a8d77210e, 0x2126b395daa5beae, 0x8af28844ad8debe8,
  0x69de3bfaeb9ed568, 0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x6ca2317f36cf5b8a, 0xf2068fe3459a2037,
  0x90cf4c2d06fdd598, 0xccb0ecb25138cb35, 0xc5e99079e4afdcd0, 0x000000000000f901,
};

// t43u_swio12_noled_pr_u4
static const uint64_t ur_t43u_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0x6dfff40659f31f30, 0x7a8e0a1df2dbda42, 0xb6fcbe8e3956064d, 0x5d188a731602cb29,
  0x0ffd9823af47cecb, 0x740f2cf6fa427950, 0xe7e09b5e5caad59f, 0xece75152a8d77210, 0x82126b395daa5bea,
  0x88af28844ad8debe, 0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0xab7fbd551698653d, 0xe6ca2317f36cf5b8,
  0xda1a2cb3a2e4d5c1, 0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd,
  0x61d9f0271966b219, 0xe415d3c95fb9a199, 0x00000000007c9842,
};

// t43u_swio12_noled_pr_ee
static const uint64_t ur_t43u_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xfb96962110d8ac6e, 0x97a34f78fd08a661, 0x1fc2de45a14df8f6, 0x60cda991417fddfc,
  0x193ba627571c1b37, 0x9fe80cb3f6ea609f, 0x9c1fed68e44484c0, 0xf06cc1829ea3cadc, 0x3afb007f15feef51,
  0x1afa5b1971c270dc, 0xab4b98f1d6339980, 0xaf006765f118f873, 0x037d1f413daad743, 0xe017b2e1cb380e3b,
  0x6bcb955a8e89e97f, 0x2a551aee421cfc13, 0x672bb54b7d5d9cea, 0x10895b1bd7d0424d, 0x77f5d73daad115e5,
  0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x62fe6d9eb7156ff7, 0x459a205c9ab8d944, 0x41bf75663c81db43,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x0000014f9ce482ba,
};

// t43u_swio12_noled_pr_ee_u4
static const uint64_t ur_t43u_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2446f43, 0x5cb4b10886eeb0f2, 0x20da8ba306b9b5ab, 0x22e1fad0ada0963c, 0xa70cd4d91417f791,
  0xf193ba02b792eca1, 0x75ff32733f1ca609, 0x8783fdad187b484b, 0x3e0d983d2bd4795c, 0x875f600fe2b74bea,
  0x035f4b632e384e1b, 0x75697a943a1f7330, 0xebd0d4ed38a3884e, 0xc2d74622cf6ab5d0, 0xfe017b2d97ce038e,
  0x38b27b9e546c1197, 0x0873f04daf2e556a, 0xf57673a8a9546bb9, 0x5f4109359caed52d, 0xab44579442256c6f,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xdc55bfdeaa8b4c32, 0xe0f365118bf9b67a, 0x07e50d1659d1726a,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359,
  0xfae646e9e4afdcd0, 0x0000000000009d78,
};

// t43u_swio12_noled_pr_ce
static const uint64_t ur_t43u_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x56ff40659f387304, 0x071c9d8feabe2422, 0xd7736ba1f7e79797, 0x3af93dcb2eb59339,
  0x937471cab0359fea, 0xcb5d188a731602c8, 0x500ffd99e3af47ce, 0x67dd03cb5bba4279, 0x8439f826d7972ab5,
  0xfabb39d454aa35dc, 0xafa0849ace576a96, 0x55a22bca2112b637, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5,
  0xd98edfef5545a619, 0xe0f365118bf9b67a, 0x1db434597ab9726a, 0xa1854e7ea75663c8, 0xbe2343c899e04e34,
  0x1966b219e985a0df, 0x5fb9a19961d9f027, 0x006eb9cfa415d3c9,
};

// t43u_swio12_noled_pr_ce_u4
static const uint64_t ur_t43u_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x4c09ff32733f6ea6, 0xd6914f5547d64448, 0x1222fb8d1079e5e5, 0xcdffd165e12fc436,
  0x2c10d64cd51dcdae, 0x2ac0d67fa8ebe4f7, 0x29cc580b224dd1c7, 0x678ebd1f3b2d7462, 0x2d6ee909e5403ff6,
  0x9b5e5caad59f740f, 0x5152a8d77210e7e0, 0x6b395daa5beaece7, 0x28844ad8debe8212, 0xe3bfaeb9ed5688af,
  0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x462fe6d9eb663b7f, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x00000375f471191b,
};

// t43u_swio12_noled_pr_ee_ce
static const uint64_t ur_t43u_swio11_noled_pr_ee_ce[] = {
  0x8cdddddd41445541, 0xb969621588fd636d, 0x77a76b53f1fe2e84, 0xe6f50ea2bd72b6b0, 0xb8e19ce24d076d8c,
  0x93ba82b4c89ce312, 0xff32733fff2609f1, 0xf63faa374a909d3f, 0xea91fcf2f2eb4943, 0xdac0a3e4ce75dcda,
  0x60e71f51e57f380d, 0xc1c80ad2b7a8f836, 0x96c65c709c370ebe, 0xead7152beb6006be, 0xd7a1a9da7147109c,
  0x16ba31167b55e9c1, 0x700bd96cbe701c76, 0xa789ee7951b04502, 0x10e7e09b5e5caad7, 0xeaece75152a8d772,
  0xbe82126b395daa5b, 0x5688af28844ad8de, 0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0x663b7fbd55169865,
  0x83cd94462fe6d9eb, 0x7e50d165eae5c9ab, 0x861539fa9d598f20, 0xf88d0f22678138d2, 0x659ac867a616837e,
  0x7ee686658767c09c, 0x004fcc2132374f25,
};

// t43u_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t43u_swio11_noled_pr_ee_ce_u4[] = {
  0x17eeeeed173e304a, 0x96962e052eeb0d4c, 0xa6474d8c286d933b, 0xaf537c94c4d05c9d, 0x891f910f12d4c17b,
  0xee957eb4e4037044, 0xd98b9f6bb9827c64, 0x1f5472b9211fe7fb, 0x883cf2f2f3bd3555, 0xf097e21b09117dc6,
  0x6a8ee6d7f397e8b2, 0x57f380ddaccf1f26, 0x7a8f83660e71f51e, 0xc370ebec1c80ad2b, 0xb6006be96c65c709,
  0x147109cead7152be, 0xb55e9c1d7a1a9da7, 0xe701c7616ba31167, 0x1b04502700bd96cb, 0xe5caad7a789ee795,
  0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0x44ad8debe82126b3, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xfe6d9eb663b7fbd5, 0x745c9ab83cd94462, 0xab31e40cd3e34596, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x027e2d3e3320f3c9,
};

// t43u_swio11_lednop_pr             t43u_swio12_lednop                t43u_swio12_lednop_pr
static const uint64_t ur_t43u_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x2103dff9412b3f01, 0x5ffd47c90ef96e81, 0xba6d29318e395607, 0xd84547d21cc580b7,
  0xc17b8e58c11d78b9, 0xe7e09b5e5caad4ac, 0xece75152a8d77210, 0x6b8101395daa5bea, 0x510895cbd2fe8212,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0xaa7028be8a042d35, 0xddb288c5fcdb4f43, 0x63c81a3f8d166880,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0x8005a641e792bf73, 0x000000000000007c,
};

// t43u_swio12_lednop_pr_u4
static const uint64_t ur_t43u_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x13fd01967c3dcc13, 0x51d7c3be5ba04849, 0x449ba38e5581d7ff, 0xa3b86731602dee9a,
  0x8e58c11d78b9db22, 0x4daf2e556a56749b, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0,
  0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x36c648ab7fbd5516, 0x2e4d5c1e6ca2317f,
  0xb31e40eda1a2cb3a, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xe4fc0fdffc1343c8, 0x966b219e98577d1e,
  0xfb9a19961d9f0271, 0x07c9a682415d3c95,
};

// t43u_swio12_lednop_pr_ee
static const uint64_t ur_t43u_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a58844c5f58d, 0xd7da0bac47c5a998, 0x07f0b790d85a017b, 0x59fbb264505ff77f,
  0xc64eef25da668eda, 0xdffa032cfc569827, 0x4b07fb5a39112137, 0x7c1b3060a7a8f2b7, 0x0ebec01fc57f3bd4,
  0x06be96c65c709c37, 0xead2ebec758ce660, 0xd78033b4be46989c, 0xc0f88ed69ed56ba1, 0xf805ecb872ce038e,
  0xdaf2e556a3ae925f, 0x8a9546bb90873f04, 0x09caed52df57673a, 0xae5e97f410935c08, 0xeb9ed5688af28844,
  0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0x6c648ab7fbd55169, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x14f8492415d3c95f,
};

// t43u_swio12_lednop_pr_ee_u4
static const uint64_t ur_t43u_swio11_lednop_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b1088d2eb0f2, 0x5d23fbb6dd79b5ab, 0xb87eb437656de9b4, 0x685ad04505fde448,
  0x32774ed6cbb4e541, 0xbfe64e67c9d4c13e, 0x707fb5a30f690915, 0xc1b307a57a8f2b29, 0xebec01fc565d7d47,
  0x6be96c65c709c370, 0xad2ee4c743ee6600, 0x7a1a9d8f546be1ce, 0x88518df9ed56ba1d, 0xc02f65b2f9c071d8,
  0x17d213ca8d8232ff, 0x0e7e09b5e5caad47, 0xaece75152a8d7721, 0x26b8101395daa5be, 0xe510895cbd2fe821,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x462fe6d8c9156ff7, 0x596745c9ab83cd94,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x0000013ae917991b,
};

// t43u_swio12_lednop_pr_ce
static const uint64_t ur_t43u_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x490ffe80cb3e50e6, 0x2e0e3a5b1fd57c48, 0x39d7736b868fcf2f, 0xd4797d3dcb2eb593,
  0x32a718e395606b3f, 0x9da214637ce62c05, 0x22a01ffb33c75e8f, 0xb57d6e0796b708bd, 0xdc8439f826d7972a,
  0x96fabb39d454aa35, 0xa0849ae0404e576a, 0x445794422572f4bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af,
  0xbfdeaa8b48edcf43, 0x6ca2317f36c6431d, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x415d3c95fb9a1996, 0x000000000b7517ee,
};

// t43u_swio12_lednop_pr_ce_u4
static const uint64_t ur_t43u_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x4df7ff32733f15a6, 0xd692575547d64448, 0x1222fb8d1079e5e5, 0x643fd165e12fc436,
  0x96086b266a8ee6d7, 0x2ac0d67fa8f2fa7b, 0xf9cc580a654e31c7, 0x678ebd1f3b4428c6, 0x2d6e117a45403ff6,
  0x4daf2e556afadc0f, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0x5c9ab83cd94462fe, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x375de6d991ba792b,
};

// t43u_swio12_lednop_pr_ee_ce
static const uint64_t ur_t43u_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a22582, 0x5cb4b10adf4eb1b6, 0x3a2475e9c2ff1742, 0x737a8647ea29bb8e, 0xa6742e712683b6c6,
  0xc9dd3adacccb5725, 0xff32733e9b7304f8, 0xf63faa374a908337, 0xeea8fcf2f2eb4863, 0xdac0a3e4ce75dcda,
  0x60e71f51e5670c0d, 0xc1c80ae43fa8f836, 0x96c65c709c370ebe, 0xead70e4feb6006be, 0xd7a1a9d8f546be1c,
  0x2214637e7b55e9c1, 0x700bd96cbe701c76, 0xa7ba427951b04502, 0x10e7e09b5e5caad7, 0xeaece75152a8d772,
  0x126b8101395daa5b, 0x5e510895cbd2fe82, 0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9,
  0x88c5fcdb190c76ff, 0x2cbd5cb9357079b2, 0x3f53ab31e40fca1a, 0xe44cf0271a50c2a7, 0x0cf4c2d06fdf11a1,
  0xccb0ecf8138cb359, 0xad4646e9e4afdcd0, 0x00000000000013f0,
};

// t43u_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t43u_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e6812, 0x96962e0506eb0d4c, 0x599e8335a06d933b, 0x5ea6e5df25b2302f, 0x3fa7221e25a982f7,
  0xbb45fad8935e2723, 0xb3173e292609f193, 0x7d51cae484adfff7, 0x41e797979ddadd54, 0x84bf10d8488bee34,
  0xa8ee6d776eff4597, 0x670c0ddaccf1f266, 0xa8f83660e71f51e5, 0x370ebec1c80ae43f, 0x6006be96c65c709c,
  0x46be1cead70e4feb, 0x55e9c1d7a1a9d8f5, 0x701c762214637e7b, 0xb04502700bd96cbe, 0x5caad7a7ba427951,
  0xa8d77210e7e09b5e, 0x5daa5beaece75152, 0xd2fe82126b810139, 0xdaad115e510895cb, 0x96be74079bdb5d73,
  0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x7079b288c5fcdb19, 0x19a7c68b2ce8b935, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64, 0x046641e792bf7343,
  0x000000000004fc7e,
};

// t43u_swio13_noled_pr
static const uint64_t ur_t43u_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x912136fff9412b3e, 0x03e7bd47884ef96e, 0xb7ba69c56bc71cab, 0x73b5c3464d1cc580,
  0x595ff71cb1823af1, 0x21cfc136bcb955a9, 0x37d9cea2a551aee4, 0x109359caed52df55, 0x2bca2112ad5ef5f4,
  0x9f4ef3f5ae7b55a2, 0xd2c2e753a9c0594a, 0xe8754e045fb8a042, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x7c801cb4c83cf257,
};

static const uint64_t ur_t43u_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x8657fa032cfbf930, 0x7a8f2f8ef9683e90, 0x632a718e395607d0, 0xef47bd9cc580b2ca,
  0x01ffb30475e8f9d9, 0xd503cb3dbb864d2a, 0x1cfc136bcb955aaa, 0x7d9cea2a551aee42, 0x09359caed52df553,
  0xbca2112ad5ef5f41, 0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0xca2317f36c8122ad,
  0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40eda, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0x15d3c95fb9a19961, 0x000000003e4fa7a4,
};

static const uint64_t ur_t43u_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffcd,
  0x3e3277699efd3b82, 0x95bfd01967f4dcc1, 0xa5683fdad1f74909, 0x47c1b3072fbd4795, 0x70ebec01fc56e4fd,
  0x006be96c65c709c3, 0xe756977f0758ce66, 0x0ebc019da6e46b5c, 0x7623247d24f6ab5d, 0xffc02f65c396701c,
  0x26d7972ab51d1352, 0xd454aa35dc8439f8, 0x395daa5beaa6fb39, 0x2255abdebe82126b, 0xfd75cf6ab4457944,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2fe6d902455bfdea, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000053e2a7482ba7,
};

static const uint64_t ur_t43u_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0x56b96962110fdd62, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfd08,
  0x7c64eeb62d582932, 0x4dffcc9ccf8d6982, 0x70e0ff6b471ed213, 0x8f83660cf5f51e56, 0xe1d7d803f8ae43fa,
  0x00d7d2d8cb8e1386, 0x9d5a5ca28e87dccc, 0x3af4353b2008fe43, 0xd87bd1ef73daad74, 0xffc02f65b2f9c071,
  0x8e2c9ac16a8d8232, 0x421cfc136bcb955a, 0x537d9cea2a551aee, 0x4109359caed52df5, 0x22bca2112ad5ef5f,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xe6ca2317f36c8122, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0xcc8dd3c95fb9a199, 0x00000000013af756,
};

static const uint64_t ur_t43u_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x427ceff40659f2eb, 0x7970712b58feb372, 0x99cebb9b5ffe7e79, 0xef51e6e9ee5975ac,
  0x0bdd0291c72ac0c9, 0x8f9d9ef47bd9cc58, 0x64d2a01ffb33c75e, 0x556aab540f2d6eb8, 0x6bb90873f04daf2e,
  0xb7d54df673a8a954, 0xbd7d0424d672bb54, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0x0863b7fbd5516986, 0x26ae365118bf9b64, 0x8f2076d0d1668817, 0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3,
  0x517d20ae9e4afdcd, 0x00000000000002dd,
};

static const uint64_t ur_t43u_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x90995bfe64e67f4d, 0xcbad2604aa8faf74, 0x6c2445f71a20f3cb, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c05ee8148, 0xfd99e3af47cecf7a, 0x0796b75c3269500f,
  0xf826d7972ab555aa, 0x39d454aa35dc8439, 0x6b395daa5beaa6fb, 0x442255abdebe8212, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x8c5fcdb20431dbfd, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x000006eb938b3237,
};

static const uint64_t ur_t43u_swio13_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac0d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d046d8,
  0x193ba76b6c4a72a6, 0xffe64e67f76a609f, 0x6ac7f54721d210c7, 0xaf743fcf2f2eb481, 0xddac0a3e4ce75dcd,
  0x660d00f51e56e940, 0xec1c80afe77a8f83, 0xe96c65c709c370eb, 0xcead70517eb6006b, 0x1d7a1a9d90047f21,
  0xb0f7a3dee7b55e9c, 0x13805ecb65f380e3, 0x7a789ac16a8d8228, 0x210e7e09b5e5caad, 0xa9bece75152a8d77,
  0xa0849ace576a96fa, 0x115e5108956af7af, 0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x76ff7aaa2d30ca7a,
  0xe6ca2317f36c810c, 0x2868b2f572e4d5c1, 0x0a9cfd4eacc7903f, 0x46879133c09c6943, 0xcd6433d30b41bf7c,
  0x734332c3b3e04e32, 0x13f102191ba792bf,
};

static const uint64_t ur_t43u_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f138ec1,
  0xc9dddfbdb0c89e8c, 0xfbd98b9f801304f8, 0xaa3ea8f7da425adf, 0x1a20f3cbcbcee76e, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0xf2b74a06ed6678f9, 0x3bd47c1b306807a8, 0x4e1b875f60e4057f, 0xf5b0035f4b632e38,
  0x8023f90e756b828b, 0x3daaf4e0ebd0d4ec, 0x2f9c071d87bd1ef7, 0x546c11409c02f65b, 0xaf2e556bd3c4d60b,
  0xa9546bb90873f04d, 0xbb54b7d54df673a8, 0xab57bd7d0424d672, 0xeb9ed5688af28844, 0xa9b14a7869de3bfa,
  0x698653d0ea9c083b, 0x9b640863b7fbd551, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x9f841c8cc83cf257,
};

// t43u_swio13_lednop_pr
static const uint64_t ur_t43u_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x912123dff9412b3e, 0x03e7bd475f0ef96e, 0x5bdd31eb10c71cab, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x10e7e09b5e5caad4, 0x9bece75152a8d772, 0xae0404e576a96faa, 0xa2112b924bfa0849,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x54e04e7d14085a6a, 0xbb65118bf9b69e87, 0xc790347f1a2cd101,
  0xac867a616837eeac, 0x866587659289c659, 0x0e2f4c83cf257ee6, 0x00000000000007c8,
};

static const uint64_t ur_t43u_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0xeebfd01967e3dcc1, 0xf51e6e3be5ba4484, 0xddd0291c72ac0f9e, 0xf88ed6398b016f74,
  0xf71cb1823af173b0, 0xc136bcb955a95970, 0xcea2a551aee421cf, 0x09caed52df5537d9, 0x572497f410935c08,
  0x75cf6ab445794422, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xd976455bfdeaa8b4, 0xc9ab83cd94462fe6,
  0x63c81db434596745, 0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc,
  0x734332c3b3e04e32, 0x1f2659c82ba792bf,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0x37e0fe17426d9305, 0x6cdd8334108a0bff,
  0x827c64ee989d5c70, 0x2472ff40659feaf9, 0x56e960ff6b47dd24, 0xf51f06cc1cbef51e, 0x0dc3afb007f15945,
  0x9801afa5b1971c27, 0x273ab4b98f1d6339, 0x743af00676c911a6, 0xe3b107d1dad3daad, 0x97fe017b2e1cb380,
  0x826d7972ab51d2cf, 0x9d454aa35dc8439f, 0x1395daa5beaa6fb3, 0xae492fe82126b810, 0x6b9ed5688af28844,
  0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x462fe6da7a1d5381, 0x3459a205c9ab8d94, 0xb41bf75663c81db4,
  0xc944e32cd6433d30, 0xa792bf734332c3b2, 0x00000014f9ce482b,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b108834eb1, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfd08,
  0x3e327747b6c71086, 0x397fcc9ccff57cc1, 0x50e0ff6b471ed212, 0x8f83660cf5f51e56, 0xe1d7d803f8aca5fa,
  0x00d7d2d8cb8e1386, 0x9d5a5d2b0e87dccc, 0x3af4353b7508e6e3, 0xd8f911c653daad74, 0xffc02f65b2f9c071,
  0x8e2ee1934a8d8232, 0x421cfc136bcb955a, 0x537d9cea2a551aee, 0x35c0809caed52df5, 0x94422572497f4109,
  0xe6f6d75cf6ab4457, 0x210a905ca5af9d01, 0xaa8b48edcf43aa70, 0x62fe6d976455bfde, 0x96745c9ab83cd944,
  0xea75663c81f94345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xfa3dc9f81fbff826, 0x04e32cd6433d30ae,
  0x792bf734332c3b3e, 0x000009d74d0191ba,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x421c3ff40659f60b, 0x79707243d8feb372, 0x339d7736ba6dfe79, 0xdea3ce33dcb2eb59,
  0x287b40238e558193, 0x3e76f911c6473160, 0xb86a807feccf1d7a, 0x55ac0ad03cb5bb7b, 0xaee421cfc136bcb9,
  0xdf5537d9cea2a551, 0x10935c0809caed52, 0x45794422572497f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x574f257ee6866587, 0x00000002dd479790,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x9096ebfe64e67e39, 0xcbad26fbaa8faf74, 0x6c2445f71a20f3cb, 0xaf723fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f38c, 0x7191cc580a1ed008, 0xfb33c75e8f9dbe44, 0x0f2d6edeee1aa01f,
  0xf04daf2e556b02b4, 0x73a8a9546bb90873, 0x0272bb54b7d54df6, 0x95c925fd0424d702, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0xe4d5c1e6ca2317f3, 0x31e40fca1a2cb3a2,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0xbaf1f5cc8dd3c95f, 0x0000000000000001,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d606, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d046d8,
  0x193baafb43746a58, 0x9ff32733fa6a609f, 0x1fb1fd51c87484ff, 0xd70007e797975a4b, 0x6ed6051f2673aee6,
  0xb306807a8f2b2ea0, 0xf60e405670fd47c1, 0xf4b632e384e1b875, 0xe756b84adf5b0035, 0x0ebd0d4edd4239b8,
  0xd8f911c653daaf4e, 0x09c02f65b2f9c071, 0xbd3d70c9a546c114, 0x90873f04daf2e556, 0x54df673a8a9546bb,
  0x4d7020272bb54b7d, 0xe510895c925fd042, 0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c,
  0x317f36cbb0c76ff7, 0x2f572e4d5c1e6ca2, 0xd4eacc7903f2868b, 0x133c09c69430a9cf, 0x3d30b41bf7c46879,
  0x2c3b3e04e32cd643, 0x2991ba792bf73433, 0x000000000009f83a,
};

static const uint64_t ur_t43u_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e271d82,
  0x64eebadea0aeef27, 0xfbd98b9fc6e9827c, 0xaa3ea8f7da4235df, 0x8d1079e5e5e77882, 0x65e12fc4361222fb,
  0x4cd51dcdaeb82fd1, 0x3cacba81bb599e3e, 0xc3f51f06cc1a01ea, 0x1386e1d7d8390159, 0x7d6c00d7d2d8cb8e,
  0x7508e6e39d5ae12b, 0x4f6abd383af4353b, 0xcbe701c763e44719, 0x951b04502700bd96, 0x6bcb955af4f5c326,
  0x2a551aee421cfc13, 0xaed52df5537d9cea, 0x497f410935c0809c, 0xf6ab445794422572, 0xa5af9d01e6f6d75c,
  0xcf43aa70210a905c, 0xc31dbfdeaa8b48ed, 0x7079b288c5fcdb2e, 0x19a7c68b2ce8b935, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64, 0x386641e792bf7343,
  0x000000000004fc15,
};

// t43u_swio14_noled_pr
static const uint64_t ur_t43u_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x1210f5ff282567fb, 0x75ffd47884ef96e8, 0x7ba63d7e48e39560, 0x3b41f464d1cc580b,
  0xc27b71cb1823af17, 0x0e7e09b5e5caad4a, 0xeace75152a8d7721, 0x0849ace9b95daa5b, 0x115e510895b1fbfa,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0xed94462fe6d9eb71, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x19961d964a271966, 0x38bd320f3c95fb9a, 0x0000000000001f20,
};

static const uint64_t ur_t43u_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x2136fffa032cf98f, 0x26bd47050ef96ded, 0x94db7e5f471cab03, 0x65ae8c45398b0165,
  0xa807fecc11d7a3e7, 0xcfba07967b7d213c, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0xd0424d674dcaed52,
  0x688af28844ad8fdf, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x8ab7fbd551698653, 0x1e6ca2317f36cf5b,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x2e415d3c95fb9a19, 0x000000000007c984,
};

static const uint64_t ur_t43u_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0xc3f72d2c4221b158, 0xed2f469ef1fa114c, 0xf83f85bc8b429bf1, 0x6ec19b532282fe64,
  0x3e32774c4eae3836, 0x813fd01967edd4c1, 0xb9383fdad1c88909, 0xa3e0d983053d4795, 0xb875f600fe2bfdde,
  0x0035f4b632e384e1, 0xe7569731e3ac6733, 0x875e00cecbe231f0, 0x7606fa3e827b55ae, 0xffc02f65c396701c,
  0x26d7972ab51d13d2, 0xd454aa35dc8439f8, 0xb3a6e576a96fab39, 0x442256c7efe82126, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x18bf9b67adc55bfd, 0xd166881726ae3651, 0xd06fdd598f2076d0,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x00000053e73920ae,
};

static const uint64_t ur_t43u_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2446f43, 0xad72d2c4221bbac6, 0xf0836a2e8c1ae6d6, 0xf48b87eb42b68258, 0x0d3866a6c8a0bfec,
  0x4f8c9dd015bc9765, 0x5baff99399f8e530, 0xe43c1fed68c3da42, 0x51f06cc1e95ea3ca, 0xdc3afb007f15ba5f,
  0x801afa5b1971c270, 0x73ab4bd4a1d0fb99, 0x875e86a769c51c42, 0x7616ba31167b55ae, 0xbff00bd96cbe701c,
  0x51c593dcf2a3608c, 0xc8439f826d7972ab, 0x96fab39d454aa35d, 0xfe82126b3a6e576a, 0xab44579442256c7e,
  0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a, 0xdc55bfdeaa8b4c32, 0xe0f365118bf9b67a, 0x07e50d1659d1726a,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359,
  0xfae646e9e4afdcd0, 0x0000000000009d78,
};

static const uint64_t ur_t43u_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x44adfe80cb3e70e6, 0x2e0e393b1fd57c48, 0x73aee6d743efcf2f, 0xd475f27b965d6b26,
  0x9126e8e395606b3f, 0x9d96ba3114e62c05, 0xf2a01ffb33c75e8f, 0x6acfba0796b77484, 0xb90873f04daf2e55,
  0x52df5673a8a9546b, 0xdfd0424d674dcaed, 0xd5688af28844ad8f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0xb663b7fbd5516986, 0xb83cd94462fe6d9e, 0x076d0d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d,
  0xc659ac867a616837, 0x57ee686658767c09, 0x001bae73e90574f2,
};

static const uint64_t ur_t43u_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x909813fe64e67edd, 0xcbad229eaa8fac88, 0x6c2445f71a20f3cb, 0x5d9bffa2cbc25f88,
  0xee5821ac99aa3b9b, 0x8e5581acff51d7c9, 0xc45398b016449ba3, 0xeccf1d7a3e765ae8, 0x1e5addd213ca807f,
  0xc136bcb955ab3ee8, 0xcea2a551aee421cf, 0x359d372bb54b7d59, 0xca2112b63f7f4109, 0x78efebae7b55a22b,
  0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x118bf9b67ad98edf, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec,
  0x000000dd7d1c4646,
};

static const uint64_t ur_t43u_swio14_noled_pr_ee_ce[] = {
  0x3ddddddd41445541, 0x972d2c42b11fac13, 0x0ef4ed6a7e3fc5d0, 0x9cdea1d457ae56d6, 0x571c339c49a09331,
  0x3277505699139c62, 0xffe64e67ffe4c13e, 0x7ec7f546e95213a7, 0x5d523f9e5e5d6928, 0xbb58147c99cebb9b,
  0xcc1ce3ea3cafe701, 0xd839015a56f51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae2a57d6c00d7, 0x3af4353b4e28e213,
  0xc2d74622cf6abd38, 0x4e017b2d97ce038e, 0xf4f13dcf2a3608a0, 0x421cfc136bcb955a, 0xb7d59cea2a551aee,
  0xf4109359d372bb54, 0x5a22bca2112b63f7, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x98edfef5545a6194,
  0x0f365118bf9b67ad, 0xf9434597ab9726ae, 0x1854e7ea75663c81, 0xe2343c899e04e34a, 0x966b219e985a0dfb,
  0xfb9a19961d9f0271, 0x013f3084c8dd3c95,
};

static const uint64_t ur_t43u_swio14_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e304a, 0x772d2c5c0a5dd62c, 0x3b4c8e9b1850db26, 0xf75ea6f92989a0b9, 0x89123f221e26c782,
  0xc9dd2afd69c806e0, 0xf7b3173ed77304f8, 0xaa3ea8e572423fcf, 0x8d1079e5e5e77a6a, 0x65e12fc4361222fb,
  0x4cd51dcdafe72fd1, 0x3cafe701bb599e3e, 0x56f51f06cc1ce3ea, 0x1386e1d7d839015a, 0x7d6c00d7d2d8cb8e,
  0x4e28e2139d5ae2a5, 0xcf6abd383af4353b, 0x97ce038ec2d74622, 0x2a3608a04e017b2d, 0x6bcb955af4f13dcf,
  0x2a551aee421cfc13, 0xd372bb54b7d59cea, 0x112b63f7f4109359, 0xfebae7b55a22bca2, 0x0eea6c529e1a778e,
  0x545a6194f43aa702, 0xbf9b67ad98edfef5, 0x9d1726ae0f365118, 0xeacc790334f8d165, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x009f8b4f8cc83cf2,
};

// t43u_swio14_lednop_pr
static const uint64_t ur_t43u_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x812103dff9412b3f, 0x075ffd47c90ef96e, 0xb7ba6d29318e3956, 0xb9d84547d21cc580,
  0xacc17b8e58c11d78, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x9ae0404e9b95daa5, 0xe510895cbec7a084,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x3aa7028be8a042d3, 0x0ddb288c5fcdb4f4, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xc8005a641e792bf7, 0x0000000000000007,
};

static const uint64_t ur_t43u_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x4913fd01967c3dcc, 0xff51d7c3be5ba048, 0x9a449ba38e5581d7, 0x22a3b86731602dee,
  0x9b8e58c11d78b9db, 0xf04daf2e556a5674, 0x73a8a9546bb90873, 0x20274dcaed52df56, 0x44ae5f63d0424d70,
  0xdaeb9ed5688af288, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xf36c648ab7fbd551, 0xa2e4d5c1e6ca2317,
  0xab31e40eda1a2cb3, 0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1,
  0x5fb9a19961d9f027, 0x007c9a682415d3c9,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b10898beb, 0xf7afb417588f8b53, 0x3e0fe16f21b0b402, 0xb4b3f764c8a0bf99,
  0x4f8c9dde4bb4cd1d, 0x6fbff40659f8ad30, 0x6e960ff6b4722242, 0xa8f83660c14f51e5, 0x6e1d7d803f8afe77,
  0xc00d7d2d8cb8e138, 0x39d5a5d7d8eb19cc, 0x43af0067697c8d31, 0x1d81f11dad3daad7, 0xbff00bd970e59c07,
  0x09b5e5caad475d24, 0x75152a8d77210e7e, 0x04e9b95daa5beace, 0x95cbec7a0849ae04, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6d8c9156ff7aaa2d, 0x205c9ab8d94462fe, 0x75663c81db43459a,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x029f092482ba792b,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c42234bac6, 0xd1748feedb75e6d6, 0x22e1fad0dd95b7a6, 0x0b42d682282ffb3d,
  0xf193ba76b65da72a, 0xadff32733e4ea609, 0x4b83fdad187b4848, 0x3e0d983d2bd47959, 0x875f600fe2b2ebea,
  0x035f4b632e384e1b, 0x756977263a1f7330, 0xebd0d4ec7aa35f0e, 0xc4428c6fcf6ab5d0, 0xfe017b2d97ce038e,
  0x38be909e546c1197, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0x4d7020274dcaed52, 0xf28844ae5f63d042,
  0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e, 0x2317f36c648ab7fb, 0x2cb3a2e4d5c1e6ca,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0xd3c95fb9a19961d9, 0x0000009d748bcc8d,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x90921ffd01967ca1, 0x5e5c1c74b63faaf8, 0x2673aee6d70d1f9e, 0x7fa8f2fa7b965d6b,
  0x0a654e31c72ac0d6, 0x1f3b4428c6f9cc58, 0x7a45403ff6678ebd, 0x556afadc0f2d6e11, 0x6bb90873f04daf2e,
  0xed52df5673a8a954, 0xd0424d7020274dca, 0x688af28844ae5f63, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5,
  0xb7fbd551691db9e8, 0x8d94462fe6d8c863, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0xc82ba792bf734332, 0x00000000016ea2fd,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x909beffe64e67e2b, 0xcbad24aeaa8fac88, 0x6c2445f71a20f3cb, 0xaec87fa2cbc25f88,
  0xf72c10d64cd51dcd, 0x8e5581acff51e5f4, 0x8df398b014ca9c63, 0xeccf1d7a3e768851, 0x1e5adc22f48a807f,
  0xe09b5e5caad5f5b8, 0xe75152a8d77210e7, 0x404e9b95daa5beac, 0x895cbec7a0849ae0, 0xb5d73daad115e510,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x06ebbcdb32374f25,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22582, 0x4b9696215be9d609, 0xc7448ebd385fe2e8, 0xce6f50c8fd453771, 0xb4ce85ce24d04998,
  0x193ba75b59996ae4, 0xffe64e67d36e609f, 0x7ec7f546e9521066, 0x5dd51f9e5e5d690c, 0xbb58147c99cebb9b,
  0xcc1ce3ea3cace181, 0xd839015c87f51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae1c9fd6c00d7, 0x3af4353b1ea8d7c3,
  0xc4428c6fcf6abd38, 0x4e017b2d97ce038e, 0xf4f7484f2a3608a0, 0x421cfc136bcb955a, 0xb7d59cea2a551aee,
  0x935c0809d372bb54, 0xbca2112b97d8f410, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x118bf9b63218edfe, 0x597ab9726ae0f365, 0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0x5a8c8dd3c95fb9a1, 0x00000000000027e1,
};

static const uint64_t ur_t43u_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33d066b40db26, 0xeebd4dcbbe4b6460, 0x467f4e443c4d8f05,
  0x27768bf5b126bc4e, 0xef662e7c524c13e3, 0xa8faa395c9095bff, 0x6883cf2f2f3bb5ba, 0x2f097e21b09117dc,
  0xcd51dcdaeeddfe8b, 0xcace181bb599e3e4, 0x7f51f06cc1ce3ea3, 0x386e1d7d839015c8, 0xd6c00d7d2d8cb8e1,
  0xea8d7c39d5ae1c9f, 0xf6abd383af4353b1, 0x7ce038ec4428c6fc, 0xa3608a04e017b2d9, 0xbcb955af4f7484f2,
  0xa551aee421cfc136, 0x372bb54b7d59cea2, 0x7d8f410935c0809d, 0x7b55a22bca2112b9, 0x52d7ce80f37b6bae,
  0xe7a1d5381085482e, 0x218edfef5545a476, 0xae0f365118bf9b63, 0x0334f8d1659d1726, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac, 0xc08cc83cf257ee68,
  0x0000000000009f8f,
};

// t43u_swio15_noled_pr
static const uint64_t ur_t43u_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x912136fff9412b3e, 0x03e7bd47884ef96e, 0xb7ba69c56bc71cab, 0x73b5c3464d1cc580,
  0x595ff71cb1823af1, 0x21cfc136bcb955a9, 0xd5d9cea2a551aee4, 0x109359d372bb54b7, 0x15e5108956aff7f4,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0xf43aa7022fdc5021, 0x880ddb288c5fcdb4, 0x75663c81a3f8d166,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x3e400e5a641e792b,
};

static const uint64_t ur_t43u_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x8657fa032cfbf930, 0x7a8f2f8ef9683e90, 0x632a718e395607d0, 0xef47bd9cc580b2ca,
  0x01ffb30475e8f9d9, 0xd503cb3dbb864d2a, 0x1cfc136bcb955aaa, 0x5d9cea2a551aee42, 0x09359d372bb54b7d,
  0x5e5108956aff7f41, 0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x65118bf9b6409156,
  0x0d1659d1726ae0f3, 0x539fa9d598f2076d, 0xf313ffbc3def2861, 0xe09a1e44cf03f8cb, 0xc2bbe8f727e07eff,
  0xecf8138cb3590cf4, 0x0ae9e4afdcd0ccb0, 0x000000001f27d3d2,
};

static const uint64_t ur_t43u_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffbb,
  0x3e3277699efd3b82, 0x95bfd01967f4dcc1, 0xa5683fdad1f74909, 0x47c1b3072fbd4795, 0x70ebec01fc56e4fd,
  0x006be96c65c709c3, 0xe756977f0758ce66, 0x0ebc019da6e46b5c, 0x7623247d24f6ab5d, 0xffc02f65c396701c,
  0x26d7972ab51d1352, 0xd454aa35dc8439f8, 0x3a6e576a96fabb39, 0x112ad5fefe82126b, 0xfebae7b55a22bca2,
  0x0eea6c529e1a778e, 0x545a6194f43aa702, 0x17f36c8122adfef5, 0x2cd102e4d5c6ca23, 0x0dfbab31e40eda1a,
  0xa271966b219e985a, 0xc95fb9a19961d964, 0x000029f153a415d3,
};

static const uint64_t ur_t43u_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447705, 0x56b96962110fdd61, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfbc8,
  0x7c64eeb62d582932, 0x4dffcc9ccf8d6982, 0x70e0ff6b471ed213, 0x8f83660cf5f51e56, 0xe1d7d803f8ae43fa,
  0x00d7d2d8cb8e1386, 0x9d5a5ca28e87dccc, 0x3af4353b2008fe43, 0xd87bd1ef73daad74, 0xffc02f65b2f9c071,
  0x8e2c9ac16a8d8232, 0x421cfc136bcb955a, 0x7d5d9cea2a551aee, 0x4109359d372bb54b, 0x115e5108956aff7f,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0xf365118bf9b64091, 0xe50d1659d1726ae0,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c,
  0x6646e9e4afdcd0cc, 0x00000000009d7bab,
};

static const uint64_t ur_t43u_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x09f3bfd01967cbac, 0xe5c1c4ad63facdc9, 0x673aee6d7ff9f9e5, 0xbd479ba7b965d6b2,
  0x2f740a471cab0327, 0x3e767bd1ef673160, 0x934a807feccf1d7a, 0x55aaad503cb5bae1, 0xaee421cfc136bcb9,
  0x54b7d5d9cea2a551, 0xf7f4109359d372bb, 0xaad115e5108956af, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362,
  0x10c76ff7aaa2d30c, 0x4d5c6ca2317f36c8, 0x1e40eda1a2cd102e, 0xb219e985a0dfbab3, 0x19961d964a271966,
  0xa2fa415d3c95fb9a, 0x00000000000005ba,
};

static const uint64_t ur_t43u_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x90995bfe64e67f4d, 0xcbad2604aa8faf74, 0x6c2445f71a20f3cb, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c05ee8148, 0xfd99e3af47cecf7a, 0x0796b75c3269500f,
  0xf826d7972ab555aa, 0x39d454aa35dc8439, 0x6b3a6e576a96fabb, 0xa2112ad5fefe8212, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x462fe6d90218edfe, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x00000375c9c5991b,
};

static const uint64_t ur_t43u_swio15_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac6d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d076d8,
  0x193ba76b6c4a72a6, 0xffe64e67f76a609f, 0x6ac7f54721d210c7, 0xaf743fcf2f2eb481, 0xddac0a3e4ce75dcd,
  0x660d00f51e56e940, 0xec1c80afe77a8f83, 0xe96c65c709c370eb, 0xcead70517eb6006b, 0x1d7a1a9d90047f21,
  0xb0f7a3dee7b55e9c, 0x13805ecb65f380e3, 0x7a789ac16a8d8228, 0x210e7e09b5e5caad, 0xbeaece75152a8d77,
  0xa0849ace9b95daa5, 0x88af28844ab57fbf, 0x869de3bfaeb9ed56, 0x0ea9c083ba9b14a7, 0x3b7fbd551698653d,
  0xf365118bf9b64086, 0x9434597ab9726ae0, 0x854e7ea75663c81f, 0x2343c899e04e34a1, 0x66b219e985a0dfbe,
  0xb9a19961d9f02719, 0x09f8810c8dd3c95f,
};

static const uint64_t ur_t43u_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e173e, 0x772d2c5c0a38d61a, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f12d4c1,
  0xc9dddfbdb0c89e8c, 0xfbd98b9f801304f8, 0xaa3ea8f7da425adf, 0x1a20f3cbcbcee76e, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0xf2b74a06ed6678f9, 0x3bd47c1b306807a8, 0x4e1b875f60e4057f, 0xf5b0035f4b632e38,
  0x8023f90e756b828b, 0x3daaf4e0ebd0d4ec, 0x2f9c071d87bd1ef7, 0x546c11409c02f65b, 0xaf2e556bd3c4d60b,
  0xa9546bb90873f04d, 0xdcaed52df57673a8, 0x55abfdfd0424d674, 0x75cf6ab445794422, 0xd4d8a53c34ef1dfd,
  0xb4c329e8754e041d, 0xcdb20431dbfdeaa8, 0x8b9357079b288c5f, 0x663c819a7c68b2ce, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3, 0x4fc20e46641e792b,
};

// t43u_swio15_lednop_pr
static const uint64_t ur_t43u_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x912123dff9412b3e, 0x03e7bd475f0ef96e, 0x5bdd31eb10c71cab, 0xb9db7b4770ce62c0,
  0xac59fb8e58c11d78, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0xae0404e9b95daa5b, 0x28844ae4ac7a0849,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xd538139f4502169a, 0x6ed94462fe6da7a1, 0x31e40d1fc68b3440,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x038bd320f3c95fb9, 0x00000000000001f2,
};

static const uint64_t ur_t43u_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0xeebfd01967e3dcc1, 0xf51e6e3be5ba4484, 0xddd0291c72ac0f9e, 0xf88ed6398b016f74,
  0xf71cb1823af173b0, 0xc136bcb955a95970, 0xcea2a551aee421cf, 0x09d372bb54b7d5d9, 0x95c958f410935c08,
  0x5d73daad115e5108, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xb65d9156ff7aaa2d, 0x726ae0f365118bf9,
  0x98f2076d0d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x07c996720ae9e4af,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0xefe0fe17426d9305, 0x6cdd8334108a0bfe,
  0x827c64ee989d5c70, 0x2472ff40659feaf9, 0x56e960ff6b47dd24, 0xf51f06cc1cbef51e, 0x0dc3afb007f15945,
  0x9801afa5b1971c27, 0x273ab4b98f1d6339, 0x743af00676c911a6, 0xe3b107d1dad3daad, 0x97fe017b2e1cb380,
  0x826d7972ab51d2cf, 0x9d454aa35dc8439f, 0x13a6e576a96fabb3, 0x2b92b1e82126b810, 0x5ae7b55a22bca211,
  0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x118bf9b69e8754e0, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0xe9e4afdcd0ccb0ec, 0x000000053e73920a,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b108834eb0, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfbc8,
  0x3e327747b6c71086, 0x397fcc9ccff57cc1, 0x50e0ff6b471ed212, 0x8f83660cf5f51e56, 0xe1d7d803f8aca5fa,
  0x00d7d2d8cb8e1386, 0x9d5a5d2b0e87dccc, 0x3af4353b7508e6e3, 0xd8f911c653daad74, 0xffc02f65b2f9c071,
  0x8e2ee1934a8d8232, 0x421cfc136bcb955a, 0x7d5d9cea2a551aee, 0x35c0809d372bb54b, 0xe510895c958f4109,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x18bf9b65d9156ff7, 0x659d1726ae0f3651,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b,
  0x9e4afdcd0ccb0ecf, 0x00000275d340646e,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x0870ffd01967d82c, 0xe5c1c90f63facdc9, 0xce75dcdae9b7f9e5, 0x7a8f38cf72cbad64,
  0xa1ed008e3956064f, 0xf9dbe447191cc580, 0xe1aa01ffb33c75e8, 0x56b02b40f2d6edee, 0xbb90873f04daf2e5,
  0x52df57673a8a9546, 0x424d7020274dcaed, 0x45794422572563d0, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x574f257ee6866587, 0x00000002dd479790,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x9096ebfe64e67e39, 0xcbad26fbaa8faf74, 0x6c2445f71a20f3cb, 0xaf723fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f38c, 0x7191cc580a1ed008, 0xfb33c75e8f9dbe44, 0x0f2d6edeee1aa01f,
  0xf04daf2e556b02b4, 0x73a8a9546bb90873, 0x0274dcaed52df576, 0x2572563d0424d702, 0xd75cf6ab44579442,
  0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x6ebc7d732374f257,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d636, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d076d8,
  0x193baafb43746a58, 0x9ff32733fa6a609f, 0x1fb1fd51c87484ff, 0xd70007e797975a4b, 0x6ed6051f2673aee6,
  0xb306807a8f2b2ea0, 0xf60e405670fd47c1, 0xf4b632e384e1b875, 0xe756b84adf5b0035, 0x0ebd0d4edd4239b8,
  0xd8f911c653daaf4e, 0x09c02f65b2f9c071, 0xbd3d70c9a546c114, 0x90873f04daf2e556, 0xdf57673a8a9546bb,
  0x4d7020274dcaed52, 0x794422572563d042, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x8c5fcdb2ec31dbfd, 0xcbd5cb9357079b28, 0xf53ab31e40fca1a2, 0x44cf0271a50c2a73, 0xcf4c2d06fdf11a1e,
  0xcb0ecf8138cb3590, 0x8a646e9e4afdcd0c, 0x0000000000027e0e,
};

static const uint64_t ur_t43u_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0x772d2c5c0ae0d61a, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e25a982,
  0x64eebadea0aeef27, 0xfbd98b9fc6e9827c, 0xaa3ea8f7da4235df, 0x8d1079e5e5e77882, 0x65e12fc4361222fb,
  0x4cd51dcdaeb82fd1, 0x3cacba81bb599e3e, 0xc3f51f06cc1a01ea, 0x1386e1d7d8390159, 0x7d6c00d7d2d8cb8e,
  0x7508e6e39d5ae12b, 0x4f6abd383af4353b, 0xcbe701c763e44719, 0x951b04502700bd96, 0x6bcb955af4f5c326,
  0x2a551aee421cfc13, 0x372bb54b7d5d9cea, 0x958f410935c0809d, 0x3daad115e510895c, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0xb0c76ff7aaa2d23b, 0x5c1e6ca2317f36cb, 0x0669f1a2cb3a2e4d, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0x4e199079e4afdcd0,
  0x0000000000013f05,
};

// t2313a_autobaud_uart0_noled
static const uint64_t ur_t2313_autobaud_uart0_noled[] = {
  0x6377777776af7d7b, 0xddddddd2c1c17c4d, 0x7fbf14cb89793684, 0x9b993341dddd3c11, 0x04f8c9dde3fba5c7,
  0x4f7ffcd907cfe493, 0xfdbae02e9a650220, 0x424e0932bf5442eb, 0xf73da3be5b582d3b, 0xc7b874fe0ccf7900,
  0x8e62c05bdd313427, 0x823af173b5128e1a, 0x3a5142b3f0f71cb1, 0x1e6f64d1d18a4f2d, 0x23fa94bca6f5cfc5,
  0xaa8b4a9f4f43aa70, 0xcdfcdb4bfc55bfde, 0x7c3b2e4d5c6c5104, 0xcb3590cf4c2d06fc, 0xb9a19961d9f45138,
  0x6b31475b9273c95f,
};

// t2313a_autobaud_uart0_noled_pr
static const uint64_t ur_t2313_autobaud_uart0_noled_pr[] = {
  0x58dddddddd66fd7b, 0x77777774b0705439, 0xc117fdf0bd05a64f, 0x17160f7e7afdddd3, 0x9304f8c9dde3fb5a,
  0x2205f27f81a0cf82, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x900f720b3be5b582, 0xe3ec7b874fe0ccf7,
  0xe591cc580b7ba6af, 0xcb1823af173b3a68, 0x7969d28a1597bb71, 0x4bf5b9f8a3ce8c52, 0x0b4d8fab37537aca,
  0xb4f43aa702f6e281, 0xa20376c5104cdfcd, 0xdd598f2068fe3459, 0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513,
  0x38880e8bc7133c95,
};

// t2313a_autobaud_uart0_noled_pr_u4
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_u4[] = {
  0x77777768969d2d3a, 0xddddd2c1c1522d63, 0x26c1cd046bef1fdd, 0xbc8fdb7776226823, 0x64eeb4bda8647cbd,
  0xffd844e7e719827c, 0x5c05d34ca044097c, 0xc12657ea885d7fb7, 0xf9df2c27c5a76849, 0x3a7f063efc807bab,
  0xb016594c22f3c3dc, 0xf47cec1c5199e398, 0x6bf0d500ffd9823a, 0xa5142b2a07967b6a, 0xe6f64d1d18a4f2d3,
  0x3fa94bca6f5cfc51, 0xa8b4a9f4f43aa702, 0xdfcdb4bfc55bfdea, 0x8ae2e4d5c6c5104c, 0xab31e40c7d0468b0,
  0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442, 0x1966b219e98577d1, 0xf734332c3b3e8a27,
  0x04619762c226792b,
};

// t2313a_autobaud_uart0_noled_pr_ee
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ee[] = {
  0x37777777569d2d3a, 0xdddddd2c527cb8d6, 0xf26edb75ea6f70ad, 0x63fc7f0bfafdddde, 0x93bad2f4fd91fc77,
  0xfec2273ea7a609f1, 0xc05d34ca04408baf, 0x12657ea885d7fb75, 0xeb5a38845a76849c, 0x00f73441e56be38a,
  0x80a20e0c454883f9, 0xb007f158f9e403dd, 0xa5b1971c270dc3af, 0x5f7bb763399801af, 0x033b24347ac39d5a,
  0xe8dd39ed56ba1d78, 0x7b2e1cb380e3b0a0, 0xe94507406a97fe01, 0x8f2dd34746293cb4, 0xf1fd4a5e537ae7e2,
  0xa9c0cea714085a72, 0xb1441337f36d3d0e, 0xd0468b3440b93571, 0x85a0dfbab31e40c7, 0x3e8a271966b219e9,
  0x26792bf734332c3b, 0x0000000c41c922c2,
};

// t2313a_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ee_u4[] = {
  0x77777768837551eb, 0xddddd2c527d4dd63, 0x3b05e4ccade833dd, 0x50f85fd7eebc95a6, 0xba6474207ac82121,
  0x51bb3ec16609f193, 0x5d34ca04408e1ffe, 0x657ea885d7fb75c0, 0x5a39b85a76849c12, 0xf73441e5738b8aeb,
  0xa20e0e324883f900, 0x07f15cdde403dd80, 0xb1971c270dc3afb0, 0xefb70fb99801afa5, 0xed82d1bda39d5a5d,
  0xcf4f6ab5d0ebd0d4, 0x5b2f9c071d80e28c, 0x0ca8d8232ffc02f6, 0x9e5a74a2838bfc30, 0x9f8a3cdec9a3a314,
  0x54e047f529794deb, 0x7fbd5516953e9e87, 0xa2099bf9b697f8ab, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0xa792bf734332c3b3,
  0x000004d4e085b91b,
};

// t2313a_autobaud_uart0_noled_pr_ce
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ce[] = {
  0x58dddddddd66ef3a, 0xdddddddd2c6ce569, 0x2438a8448bab6933, 0xc8311e3fc1f7776e, 0x9827c64eeb53d05e,
  0x102d2bfc0d067e44, 0x75fedd70174d3281, 0x9da12704995faa21, 0x642f9167bfae0b16, 0x577a2d4afcf329cd,
  0x0b9ee5be6de339bc, 0x0e9fc1eb17900f72, 0x51cc580ab3d218f7, 0x33c75e2e76a251c3, 0xd3a5141d7e1ee396,
  0x51e6f64d1d18a4f2, 0x023fa94bca6f5cfc, 0xeaa8b4a9f4f43aa7, 0x99bf9b697f31dbfd, 0xfc68b34406ed8a20,
  0x85a0dfbab31e40d1, 0x3e8a271966b219e9, 0x26792bf734332c3b, 0x000000167e100b8e,
};

// t2313a_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ce_u4[] = {
  0x6377777768bb1762, 0xf7777774b0877005, 0x0e4cd88ecfb1fad4, 0xf31a875a6eeebf66, 0x13e3277792e9b08e,
  0x231ffe700e7ea54c, 0xfedd70174d328110, 0xa12704995faa2175, 0x6c148c5fac1f169d, 0xee2a203cf329cafd,
  0x459784bf10d8488b, 0x5f19cc98be8a35bf, 0x17900f720b9ee59d, 0xb3d218f70e9fc1eb, 0x76a251c351cc580a,
  0x7e1ee39633c75e2e, 0x1d18a4f2d3a5141d, 0xca6f5cfc51e6f64d, 0xf4f43aa7023fa94b, 0x7f31dbfdeaa8b4a9,
  0xab8d8a2099bf9b69, 0x2076d0d16115c5c9, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a215de8a,
  0x90cf4c2bbe8f727e, 0x9961d9f45138cb35, 0x5d995493c95fb9a1, 0x0000000000002375,
};

// t2313a_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb1bbbbbbbbd8b562, 0xbbbbbba58eb0456e, 0x6682615988d3da17, 0x5f8edb079beebaf2, 0x9dda67bf4ee09fbc,
  0xf9c039fd37304f8c, 0xc05d34ca0440b2b7, 0x12657ea885d7fb75, 0xbfaa3ea05a76849c, 0xfe7994e57eb752a7,
  0xaea329bc577a2f4f, 0xdcd10795fc907fb5, 0x1070770d220fe403, 0xc80adeff201eec05, 0xc65c709c370ebec1,
  0xa71c64b86006be96, 0x019d9af91eb0e757, 0x8dd39ed56dc78ebc, 0xd970e59c071d8348, 0xd28a631fc332700b,
  0xf37b268e8c527969, 0x1fd4a5e537ae7e28, 0x545a54fa7a1d5381, 0xdfcdb4bf98edfef5, 0xd102e4d5c6c5104c,
  0xfbab31e40eda1a2c, 0x71966b219e985a0d, 0xbf734332c3b3e8a2, 0x00566d53b2a92792,
};

// t2313a_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xc6eeeeeed1222582, 0xddddddd2c3c8505a, 0x3c699fb24171efd3, 0x14ada44bafddf1f6, 0x3ba75b60d96a68b5,
  0xfc5933e16a609f19, 0x80ba6994088113af, 0x24cafd510baff6eb, 0x7ea8e030b4ed0938, 0xcf329c0fe8252e31,
  0xf10d8488bee2a203, 0x17d14d6ff459784b, 0xfc907fb584232993, 0x220fe403dcd10795, 0x201eec051070770d,
  0x370ebec1c80adeff, 0x6006be96c65c709c, 0x1eb0e757a71c64b8, 0x6dc78ebc019d9af9, 0x071d83488dd39ed5,
  0xc332700bd970e59c, 0x8c527969d28a631f, 0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa,
  0xc6c5104cdfcdb4bf, 0x3f2868b08ae2e4d5, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d10aef451f,
  0x67a615df47b93f03, 0xb0ecfa289c659ac8, 0x8faa49e4afdcd0cc, 0x00000000004113a7,
};

// t2313a_autobaud_uart0_lednop
static const uint64_t ur_t2313_autobaud_uart0_lednop[] = {
  0x6377777776af7d7b, 0x6eeeeee960e0bab5, 0x45ff7d7f85bc9b42, 0xc79b99336b7774f0, 0xb304f8c9dde3fba5,
  0x40a5f7fcd907cf9e, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0x03dcd7c77cb6b05a, 0xda1ee1d3f8333de4,
  0x62398b016f74c4d3, 0x8c11d78b9db19a3d, 0xb4e9450ac965b8e5, 0x2dd347462981013c, 0xa9cbca6c6740e28f,
  0x05d5e2810b4deaba, 0x2099bf9b69e8754e, 0xdf8f8765c9ab8d8a, 0x271966b219e985a0, 0x2bf734332c3b3e8a,
  0x000d6628eb724e79,
};

// t2313a_autobaud_uart0_lednop_pr
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr[] = {
  0xb1bbbbbbbacdfebe, 0x77777774b0705a12, 0x9a0922993f5fac47, 0x901afe2cdadddd88, 0x304f8c9dd85fbe3c,
  0x40a5f7f81a0cf9eb, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0x07b9679df2c27c5a, 0x3c3dc3a7f063efc8,
  0x48731602cb2986f9, 0x30475e8f9d9ed233, 0x67b66794d2a01ffb, 0x4f2d3a514560a079, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0x66fe6d971156ff7a, 0xf1a2cd101bb62882, 0x16837eeacc790347,
  0xfa289c659ac867a6, 0x99e4afdcd0ccb0ec, 0x000000711054ee38,
};

// t2313a_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_u4[] = {
  0xeeeeeed12d3a422f, 0xbbbba58382eefac6, 0x89bf3c2fc5ed69bb, 0x917d7eeee9e08bff, 0x64ee9fbd802c8bc8,
  0xffd844e7c149827c, 0x5c05d34ca0440be4, 0xc12657ea885d7fb7, 0x7c77cb6b05a76849, 0x1d3f8333de403dcd,
  0x602dee9ae18871ee, 0xf173b0fb47ac4731, 0xa158a6b71cb1823a, 0xe8c5302027969d28, 0x3633a071479f1268,
  0x7a1d53815d54e5e5, 0x88ab7fbd55169b16, 0x571b1441337f36cb, 0x31f411a2c22b8b93, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xf7ff04d10aef451f, 0x67a615df47b93f03, 0xb0ecfa289c659ac8, 0x4b0899e4afdcd0cc,
  0x0000000000118681,
};

// t2313a_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeeef622a9c, 0xbbbbbba58a4fd43a, 0xef268db623856921, 0x36a798f0bfafdddd, 0x8c9dd1a7b0ccd2bd,
  0x5ff9c039fc09304f, 0x75c05d34ca04408a, 0x9c12657ea885d7fb, 0x8aeb5a38845a7684, 0xf900f73441e57373,
  0xdd80a20e0c454883, 0x5f600fe2b5afe403, 0x5f4b632e384e1b87, 0x69783f6ec6733003, 0x8033b3da461c4e75,
  0x791a9a9ed56ba1d7, 0x17b2e1cb380e3b06, 0xd3a5141d00697fe0, 0x71479d18a60404f2, 0x2460d4d894fdf3a0,
  0x1d538107714085a7, 0xe36288266fe6da7a, 0x076d0d166881726a, 0xcf4c2d06fdd598f2, 0x61d9f45138cb3590,
  0xb95493c95fb9a199, 0x00000000018838e8,
};

// t2313a_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbbb441baba31, 0x777774b149f5a2b1, 0x5378ee00377a7ef7, 0x217f0bfafdd792b4, 0xdd667ad140515b64,
  0x28dd9fcad304f8c9, 0x2e9a650220450fff, 0x32bf5442ebfdbae0, 0xad1cdc2d3b424e09, 0x7b9a20f2b3d5c575,
  0x510707192441fc80, 0x03f8ae71f201eec0, 0xd8cb8e1386e1d7d8, 0xf25b87dccc00d7d2, 0x762691b5f1cead2f,
  0x6927b55ae875e86a, 0x2d97ce038ec3da46, 0xc3546c1197fe017b, 0x4f2d3a5141c5a9af, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0x66fe6d971156ff7a, 0x84571726ae362882, 0x4eacc79034722345,
  0xfde1ef79430a9cfd, 0x0aef451fc65f989f, 0x47b93f03f7ff04d1, 0x9c659ac867a615df, 0xafdcd0ccb0ecfa28,
  0x004d4ec62e46e9e4,
};

// t2313a_autobaud_uart0_lednop_pr_ce
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ce[] = {
  0x58dddddddd66ef3a, 0xdddddddd2c6ce3c9, 0x7121c5bcdd83e933, 0xf64188f1f2f7bbbb, 0x34c13e32775a9e82,
  0x22041effc0d067e0, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0xd642f194f7f5c162, 0xc577a2d4afcf329c,
  0x09f9ee5be6de339b, 0x70e9fc1eb17900f7, 0xb11cc580ab3d058f, 0xc678ebc5ced8cd1e, 0x2d3a5141d4b2dc72,
  0xcb74d1d18a60404f, 0xaa72f29b19d038a3, 0x02eae63042d37aae, 0x104cdfcdb4f43aa7, 0x68fe3459a20376c5,
  0xf4c2d06fdd598f20, 0x1d9f45138cb3590c, 0xc7133c95fb9a1996, 0x000000000b3f0805,
};

// t2313a_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x6377777768bb1762, 0x9eeeeeee9610ec65, 0xd983ebaf2f763f5a, 0x47798d43db7bbbaf, 0xe609f193bbc974d8,
  0x881256ff38073e70, 0xbaff6eb80ba69940, 0x4ed093824cafd510, 0x7eb737462fd60f8b, 0x45f715101e7994e5,
  0xdfa2cbc25f886c24, 0xceaf8ce64c5f451a, 0xf58bc807b84fcf72, 0x0559e82c7b874fe0, 0x2e76c668f588e62c,
  0x0ea596e39633c75e, 0x8c5302027969d28a, 0xd8ce81c51e5ba68e, 0x82169bd575539794, 0x6da7a1d538175731,
  0x1726ae36288266fe, 0x663c81db43458457, 0x0f7bca1854e7ea75, 0x7a28fe32fcc4ffef, 0xc9f81fbff8268857,
  0x2cd6433d30aefa3d, 0xe686658767d144e3, 0x8dd57665524f257e, 0x0000000000000000,
};

// t2313a_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xb1bbbbbbbbd8b562, 0xddddddd2c75825a2, 0x933d53763c69ed0b, 0xf17b20d83cdf75d7, 0x3277699efd3b827e,
  0xdfe700e7d2d4c13e, 0xd70174d32811021a, 0x704995faa2175fed, 0x9efea8fa8169da12, 0x3ff9e65395fadafb,
  0xd6ba8ca6f15de8bd, 0x0f73441e573741fe, 0x1441c1dc34883f90, 0x0e4056b5fc807bb0, 0xb632e384e1b875f6,
  0xbd38e325c30035f4, 0xc019daa5a348673a, 0xa35079ed56dc78eb, 0x7b2e1cb380e3b144, 0x9d28a63196464e01,
  0xba68e8c530202796, 0x39794d8ce81c51e5, 0x7573182169bd5755, 0x266fe6da7a1d5381, 0x166881726ae36288,
  0x06fdd598f2076d0d, 0x5138cb3590cf4c2d, 0xc95fb9a19961d9f4, 0x00002b36a9d95493,
};

// t2313a_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x58ddddddda244511, 0x3bbbbbba58790b23, 0xc7d051a6c8533df2, 0x8f9bb48975fbbe3e, 0x2777ed6a3b2c4b8c,
  0xff164cfd8fcc13e3, 0xc05d34ca0440a87f, 0x12657ea885d7fb75, 0xbf5470185a76849c, 0xe7994e07f4153d18,
  0xf886c2445f715101, 0x8be8bcb5fa2cbc25, 0xe6e83fdac21194c9, 0x9107f201ee6883ca, 0x900f760288383b86,
  0x1b875f60e4057f27, 0x30035f4b632e384e, 0x690ce757a71ad75c, 0x6dc78ebc019db9e4, 0x071d8d6235079ed5,
  0x9a32700bd970e59c, 0x81013cb4e945318a, 0x038a3cf893474629, 0x9c0aeaa72f29b19d, 0xfdeaa8b4d8b3d0ea,
  0x441337f36cb831db, 0x1a2c22b8b93571b1, 0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc13442bbd147f197,
  0x8577d1ee4fc0fdff, 0x3e8a271966b219e9, 0x92792bf734332c3b, 0x00000008222ec3ea,
};

// t2313a_u1x8_uart0_noled
static const uint64_t ur_t2313_u1x8_uart0_noled[] = {
  0xac6eeeeedcb6b55a, 0xeeeeee9637c3b9ee, 0x4345fe93f87f7d7e, 0x10da682dddd8d02e, 0x27c64ee9b5baf207,
  0xf7fec9231cfe4598, 0x96d60b4ed176d816, 0x8333de403dc82cef, 0xee9abf8fb1ee1d3f, 0xece9a3964731602d,
  0x5eedc72c608ebc5c, 0x3a3149e5a74a2856, 0x4deb292fd6e7e28f, 0xdb8a042d363eacdd, 0x337f36d3d0ea9c0b,
  0x1f0ecb93571b1441, 0x32cd6433d30b41bf, 0xee686658767d144e, 0x002a4faddc14f257,
};

// t2313a_u1x8_uart0_noled_pr
static const uint64_t ur_t2313_u1x8_uart0_noled_pr[] = {
  0x6eeeeedcb6af77d7, 0xeeee9637c3b341ac, 0xa4719105f9a6d6ee, 0xfd49bbbb1a05c80d, 0x3bbe2f684db6a661,
  0x3641f3f07e609f19, 0x169da2edb02b87ff, 0xbc807b9ed1df2dac, 0x9a13e3dc3a7f0667, 0x470d4731602dee98,
  0x8e58c11d78b9da89, 0x27969d28a159f87b, 0xe7e28f37b268e8c5, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1,
  0x288266fe6da5fe2a, 0x08d166881726ae36, 0xa0dfbab31e40cbff, 0x8a271966b219e985, 0x792bf734332c3b3e,
  0x00000f90e93b724e,
};

// t2313a_u1x8_uart0_noled_pr_u4
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbbb72a266ef3a, 0xbbba58df0ecd06b1, 0xda4719106df9bbbb, 0x1fd49bbbb1a05c80, 0x93bad4f767b20a66,
  0xfe06833f07e609f1, 0xac169da2edb02b87, 0x67bc807b9ed1df2d, 0x989a13e3dc3a7f06, 0x89470d4731602dee,
  0x7b8e58c11d78b9da, 0xc527969d28a159f8, 0x7ae7e28f37b268e8, 0xa1d53811fd4a5e53, 0x2adfef5545a54fa7,
  0xb6288266fe6da5fe, 0xe40d1fc68b08ae1b, 0xde50c2a73f53ab31, 0x47f197e627ff787b, 0xc0fdffc13442bbd1,
  0xb219e98577d1ee4f, 0x332c3b3e8a271966, 0x99938e26792bf734, 0x000000000000007c,
};

// t2313a_u1x8_uart0_noled_pr_ee
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ee[] = {
  0xeeeeedcb569d6668, 0xddddd2c70bd43ac6, 0xc6d8ca131debd3dd, 0x3c7d873416edf9c1, 0xee9bbd06751417e6,
  0xb089cffee9827c64, 0x169da2edb0280dff, 0x795ce2e2bad68e6e, 0x8c9220fe403dcd10, 0x377900f760288383,
  0x09c370ebec01fc57, 0xee66006be96c65c7, 0x6f68e756977bedc3, 0xad743af4353b60b4, 0x01c76038a333d3da,
  0x08cbff00bd96cbe7, 0x28a0e2ff0c032a36, 0x37b268e8c527969d, 0xfd4a5e537ae7e28f, 0x45a54fa7a1d53811,
  0xfe6da5fe2adfef55, 0x881726ae36288266, 0x5663c818fa08d166, 0x2cd6433d30b41bf7, 0xe686658767d144e3,
  0x29f39c5844cf257e,
};

// t2313a_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777776e545d8b562, 0xeeeee96385f6dd63, 0xd2f1fe6f0bf417ee, 0x5ed873416efafbf3, 0x7699ea09706a1c00,
  0x700e7e034c13e327, 0x169da2edb020f7fe, 0x795af8e2bad68e21, 0x115220fe403dcd10, 0x10f900f760288383,
  0x09c370ebec01fc57, 0xce66006be96c65c7, 0x1eb0e756978cadd8, 0xab5d0ebc019d9af9, 0xe038ec1a446e9cf6,
  0xf0e5ff805ecb872c, 0xe8c527969d28a0eb, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e, 0xfe2adfef5545a54f,
  0xae36288266fe6da5, 0x81db434584571726, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff82688577a28,
  0x433d30aefa3dc9f8, 0x658767d144e32cd6, 0x0565524f257ee686, 0x000000000000275e,
};

// t2313a_u1x8_uart0_noled_pr_ce
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ce[] = {
  0x8ddddddb96b3753a, 0xdddddd2c7217d9f5, 0xe3ddfe250e6f1fdd, 0xfc5d09ab6eeeea48, 0x27c64eef8fd2e2a6,
  0x29bbfc0d067d0098, 0xdfd7a4169da2edb0, 0xbf3cca73590bc433, 0xe6deb26f15de8bf3, 0xa4f201ee6be9ee5b,
  0xb70c438f70e9fc19, 0xe760e28ccf1cc580, 0x86a807feccf1d7a3, 0x2856540f2d6e535f, 0xec9a3a3149e5a74a,
  0x529794deb9f8a3cd, 0x6953e9e8754e047f, 0x36d2fe63b7fbd551, 0x66880ddb1441337f, 0xbf75663c81a3f8d1,
  0x4e32cd6433d30b41, 0x57ee686658767d14, 0x0016ebd2771c4cf2,
};

// t2313a_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ce_u4[] = {
  0xdddddb9517622a9c, 0xbbbba58d9c32758d, 0x2d60ea671fd75fbb, 0x1742737ddddb890e, 0xf193ba34f7c79a5f,
  0x27ff9c039f32a609, 0xeb07c5a768bb6c08, 0x3cca72bf5b4c6317, 0xc4361222fb8a880f, 0x2fa2dbafd165e12f,
  0x6b27b96757c67326, 0x70e9fc1eb17900f7, 0xb2398b015af8d20f, 0x633c75e2e7674d1c, 0x969d28a0eaf76e39,
  0xbf5b9f8a3ce8c527, 0xb4d8fab37537aca4, 0x9e8754e05ed98c10, 0x9ab8d8a2099bf9b6, 0xf2076d0d16115c5c,
  0xef2861539fa9d598, 0xa3f8cbf313ffbc3d, 0xe07effe09a215de8, 0x590cf4c2bbe8f727, 0x19961d9f45138cb3,
  0xc92795493c95fb9a, 0x0000000000000dd7,
};

// t2313a_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ee_ce[] = {
  0xeeeeedcb569d2d3a, 0xeee962d334171ac6, 0x76dbaf537b856eee, 0xf1ef20a66ef37a13, 0xeb4bd3f647f1dd8f,
  0x089cfa9e9827c64e, 0x69da2edb022ebffb, 0x90947b9efea8fa81, 0xf15de8bd5ff9e653, 0x5710c1fed6ba8ca6,
  0x34883f900f73441e, 0xfc807bb01441c1dc, 0xe1b875f60e405637, 0xc30035f4b632e384, 0xa31f673abd38c455,
  0x56dc78ebc019d905, 0x038ec6b12386a9ed, 0xa5993805ecb872ce, 0xa3149e5a74a298c7, 0xf33cbcfc51e39f87,
  0x696aeccf2f53f794, 0x7a1d5381f1131821, 0x6ae36288266fe6da, 0x818fa08d16688172, 0x33d30b41bf75663c,
  0x58767d144e32cd64, 0x45844cf257ee6866, 0x00000000000a6992,
};

// t2313a_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb72a20dd4375, 0xbbba58eb04a6eb1b, 0xdc77989fbd867bbb, 0x120d83cdf75d7933, 0xba1bb48fb620666c,
  0x51bb3e706609f193, 0x5a768bb6c0b677fe, 0x01c74b18bf547018, 0x222fb8a880f3cca7, 0x6efd165e12fc4361,
  0xed6108ca64c5f45c, 0x00f73441e57f241f, 0x01441c1dc34883f9, 0xb07202b8cbc807bb, 0xa5b1971c270dc3af,
  0xd5e9c7bdae1801af, 0xd78033b24347ac39, 0x41d1ba73daadb8f1, 0x02f65c396701c761, 0xb4e94531881a8c9c,
  0xe28f2dd34746293c, 0x72f1fd4a5e537ae7, 0x1d53819d4cc6085a, 0xe36288266fe6da7a, 0x472234584571726a,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0x7ff04d10aef451fc, 0x7a615df47b93f03f, 0x0ecfa289c659ac86,
  0xe46e9e4afdcd0ccb, 0x00000000004fc5d8,
};

// t2313_u1x8_uart0_lednop_pr        t2313a_u1x8_uart0_lednop          t2313a_u1x8_uart0_lednop_pr
static const uint64_t ur_t2313_u1x8_uart0_lednop[] = {
  0x6eeeeedcb6af7d7b, 0x77774b1be1dfafac, 0x11b417ff13bc1f77, 0xda0b7776340b9034, 0x7778fed685c6fc7e,
  0x6c83e7f22cc13e32, 0x169da2edb02deffe, 0x7900f735f1df2dac, 0x8621c7b874fe0ccf, 0x1eb11cc580b7ba6b,
  0x72c608ebc5cec3ed, 0x9e5a74a285629adc, 0x1e7c49a3a314c080, 0x75539794d8ce81c5, 0x545a6c59e8754e05,
  0xcdfcdb2e22adfef5, 0xcd102e4d5c6c5104, 0x75663c8197fe11a2, 0x32cd6433d30b41bf, 0xee686658767d144e,
  0x0f900396e49cf257,
};

// t2313a_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_u4[] = {
  0xbbbbbb72a266ef3a, 0xbbba58df0ed226b1, 0x437410bfedf9bbbb, 0x661ff0bdddd8d02e, 0xf193bad4f767b20a,
  0x7cff03419f886609, 0xcb6b05a768bb6c08, 0x8333de403dcd7c77, 0xf74c4d3da1ee1d3f, 0xdb19a3d62398b016,
  0x965b8e58c11d78b9, 0x981013cb4e9450ac, 0x740e28f2dd347462, 0xb4deabaa9cbca6c6, 0x9e8754e05d5e2810,
  0xb86ed8a2099bf9b6, 0xacc790347f1a2c22, 0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a,
  0x659ac867a615df47, 0xdcd0ccb0ecfa289c, 0x01f2664e3899e4af,
};

// t2313a_u1x8_uart0_lednop_pr_ee
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ee[] = {
  0xeeeeedcb569d2d3a, 0xddddd2c70bc2fac6, 0x50c6dd68a6f70add, 0xf4ac39a0b76fce0f, 0xeb4bd3f647f1dd8f,
  0x089cffce9827c64e, 0x69da2edb0228bffb, 0x959eae2bad68e6e1, 0xc9220fe403dcd107, 0x8f900f7602883838,
  0x9c370ebec01fc573, 0xe66006be96c65c70, 0xaf8e75697f92dc3e, 0xd743af4353b1348d, 0x1c761ed233493daa,
  0x8cbff00bd96cbe70, 0x8a0e2d4d7e1aa360, 0x8e8c5302027969d2, 0x53633a071479f126, 0x67a1d53815d54e5e,
  0xb88ab7fbd55169b1, 0x3571b1441337f36c, 0x40c7d0468b3440b9, 0x19e985a0dfbab31e, 0x2c3b3e8a271966b2,
  0x22c226792bf73433, 0x0000000000029f09,
};

// t2313a_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777776e545d8b562, 0xeeeee96385d88d63, 0xf346bbc90bf417ee, 0xc0031873416efafb, 0x3277699ea09706a1,
  0xdfe700e7dd2cc13e, 0xe21169da2edb02fd, 0xa20f2b97ce2bad68, 0x70622a441fc807b9, 0x8ad31f201eec0510,
  0xb8e1386e1d7d803f, 0xbb19ccc00d7d2d8c, 0x968d219cead2f195, 0x3daad743af00676a, 0x96701c7628946a0f,
  0x3a9652ffc02f65c3, 0x314c0809e5a74a28, 0x633a0714796e9a3a, 0x085a6f55d54e5e53, 0xdb4f43aa702eaf14,
  0x2e4d5c6c5104cdfc, 0xcc7903b6868b08ae, 0x1ef79430a9cfd4ea, 0xf451fc65f989ffde, 0x93f03f7ff04d10ae,
  0x59ac867a615df47b, 0xcd0ccb0ecfa289c6, 0x4ebc0acaa49e4afd,
};

// t2313a_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ce[] = {
  0x3777776e5acdc49f, 0x777774b1c85cbdd6, 0xc7b3f77a99be9777, 0xe3f5a307ddddd491, 0x27c64ee82fdcc568,
  0x29c7fc0d067fa898, 0xdfd7a4169da2edb0, 0xff3cca73590baf93, 0xe6deb26f15de8a70, 0x693c807bb9e9ee5b,
  0x177bc163dc3a7f06, 0x7cecf6919a4398b0, 0xa69500ffd99e3af4, 0xa28ac140f2d6e33c, 0xa3a314c0809e5a74,
  0x94d8ce81c51e7c49, 0x59e8754e05755397, 0x5c18edfef5545a6c, 0x406ed8a2099bf9b6, 0xab31e40d1fc68b34,
  0x966b219e985a0dfb, 0x734332c3b3e8a271, 0x5ba81cb8e26792bf,
};

// t2313a_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e545d8b562, 0xeeeee9636736dd63, 0xd2f1fe6f0bf417ee, 0x70017bdddd341533, 0x8c9dda67a825c1a8,
  0xdff9c039f80d304f, 0xab5c5a768bb6c083, 0xcca72bf5b912317e, 0x4361222fb8a880f3, 0xf4531ffd165e12fc,
  0x3d3dcb3abeb264c5, 0x874fe0cd27900f77, 0x48731602ef782c7b, 0x33c75e8f9d9ed233, 0x5adc6794d2a01ffb,
  0x13cb4e945158281e, 0xa3cf893474629810, 0xaeaa72f29b19d038, 0xaa8b4d8b3d0ea9c0, 0x337f36cb831dbfde,
  0xc22b8b93571b1441, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x442bbd147f197e62, 0x7d1ee4fc0fdffc13,
  0xa271966b219e9857, 0x92bf734332c3b3e8, 0x00001baf02b2a927,
};

// t2313a_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbb72dec53c3, 0xddddd2c5a668412b, 0x0a7a65c4fdec33dd, 0x05ef20a66ed0835f, 0x7571e91f8e20ccd8,
  0x700e7e574c13e327, 0x169da2edb0260bfe, 0xbf5b90f3dfd51edf, 0x2bbd1536ff3cca72, 0xd0083fdad74f7cde,
  0x9107f201ee6883ca, 0x900f76028838383e, 0x1b875f60e40560a7, 0x30035f4b632e384e, 0x6d7c73abd38fe45c,
  0xdb8f1d7a1a9d89a4, 0x1c761ed233493daa, 0x1132700bd96cbe70, 0x4a2859a9afc3546c, 0x9a3a314c0809e5a7,
  0x794d8ce81c51e7c4, 0xc59e8754e0575539, 0x65c18edfef5545a6, 0xc9ab8d8a2099bf9b, 0x63c81db43459a205,
  0xd6433d30b41bf756, 0x86658767d144e32c, 0x4f4e65524f257ee6, 0x0000000000000053,
};

// t2313a_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x777776e544889202, 0xbbbba58eb0585563, 0x7af4e17c33d697bb, 0xb5a1b079beebaf26, 0xee9bad34a82b1795,
  0xf164cf93a9827c64, 0xc2d3b45db60515bf, 0x3fa0c878c5faa380, 0x22fb8a880f3cca70, 0x7fd165e12fc43612,
  0xd6108ca64c5f45fd, 0x0f73441e579241fe, 0x1441c1dc34883f90, 0x0e4057917c807bb0, 0xb632e384e1b875f6,
  0x7a71c1f5c30035f4, 0x8033b3da461c4e75, 0x235353daadb8f1d7, 0xf65c396701c760cf, 0x3a514c62018c9c02,
  0x1479d18a60404f2d, 0x460d4d894fdf3a07, 0xaa7020ecc6085a72, 0x6c5104cdfcdb4f43, 0xf2868b08ae2e4d5c,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0x7ff04d10aef451fc, 0x7a615df47b93f03f, 0x0ecfa289c659ac86,
  0xfaa49e4afdcd0ccb, 0x0000000009f9924c,
};

// t2313_u1x12_uart0_noled_pr        t2313a_u1x12_uart0_noled          t2313a_u1x12_uart0_noled_pr
static const uint64_t ur_t2313_u1x12_uart0_noled[] = {
  0xddddb944b6af799b, 0x77774b1614c3f58d, 0x24890b260fbe2777, 0xc2cadddd790cd60e, 0x9dd1afbe2e00d594,
  0xcd907cfc65304f8c, 0x2ed8441617fc22ff, 0xb9ed1df2dac169da, 0x3dc3a7f0667bc807, 0x731602dee989a13e,
  0x11d78b9da89470d4, 0xd28a159f87b8e58c, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28, 0x545a54fa7a1d5381,
  0x6fe6da5fe2adfef5, 0x6881726ae3628826, 0xab31e40cbff08d16, 0x966b219e985a0dfb, 0x734332c3b3e8a271,
  0x3e4153b724e792bf,
};

// t2313a_u1x12_uart0_noled_pr_u4
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_u4[] = {
  0xeeedca2544cdfc4f, 0x7774b1614b89ac6e, 0x6d2ca0b2dd5b7777, 0x7a1c1b4dddd790cd, 0xe32776c7ea45413d,
  0x8bfe06833e98cc13, 0x4ed176c220b0bfec, 0x403dcf68ef96d60b, 0x8711ee1d3f8333de, 0x0d4731602dee9b05,
  0x630475e2e76d6247, 0xb4e9450ac0356e39, 0xe28f2dd34746293c, 0x72f1fd4a5e537ae7, 0x0ea9c0cea714085a,
  0xddb1441337f36d3d, 0x8f2068fe34584570, 0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de,
  0x3590cf4c2bbe8f72, 0xa19961d9f45138cb, 0x935d9c7133c95fb9, 0x000000000000000f,
};

// t2313a_u1x12_uart0_noled_pr_ee
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ee[] = {
  0xbbb72896ad3ad214, 0xbbba5843bcc6b1bb, 0x3b6fc5d93d537bbb, 0x7672e277583eef2e, 0x67a6eda2b5305ec4,
  0x39f4ad304f8c9dd8, 0x441617fd52bff611, 0xad68e6e169da2ed8, 0x03dcd10795ce2e2b, 0x02883838c9220fe4,
  0xc01fc57377900f76, 0x96c65c709c370ebe, 0x77bedc3ee66006be, 0x53b60b46f68e7569, 0x333d3daad743af43,
  0xd96cbe701c76038a, 0xc032a3608cbff00b, 0x527969d28a0e2ff0, 0xae7e28f37b268e8c, 0x1d53811fd4a5e537,
  0xadfef5545a54fa7a, 0x6288266fe6da5fe2, 0xa08d166881726ae3, 0x0b41bf75663c818f, 0x7d144e32cd6433d3,
  0x4cf257ee68665876, 0x00000014f8072584,
};

// t2313a_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xddddd2c21dc0158d, 0x33623b3ec7eb53dd, 0x69b39713bafd9839, 0xde4ba6c23bcc6a1d,
  0xc039fa95304f8c9d, 0xdb0882c2ff8c7ff9, 0xc575ad1c422d3b45, 0xfc807b9a20f2b5f1, 0xeec051070622a441,
  0xd7d803f8ae21f201, 0xd7d2d8cb8e1386e1, 0xad2f195bb19ccc00, 0x78033b35f23d61ce, 0x3488dd39ed56ba1d,
  0x00bd970e59c071d8, 0x2d3a5141d7e1cbff, 0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa,
  0x04cdfcdb4bfc55bf, 0x8b08ae2e4d5c6c51, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d10aef451fc65f9,
  0x5df47b93f03f7ff0, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x0000004ebaeccaa4,
};

// t2313a_u1x12_uart0_noled_pr_ce
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ce[] = {
  0xeeeedca25acdfebe, 0xbbba58df0ee84ac6, 0x914c9fafd623bbbb, 0xfc59b5bbba594912, 0x193bb0bf7c792035,
  0xeff03419f3d6609f, 0x768bb6110585ff4b, 0x642f10cf7f5e905a, 0x577a2fcefcf329cd, 0xafa7b96f9b7ac9bc,
  0xc3a7f06693c807b9, 0x3c731602dc310e3d, 0x33c75e8f9d838a33, 0xb5b94d7e1aa01ffb, 0x27969d28a159503c,
  0xe7e28f37b268e8c5, 0xd53811fd4a5e537a, 0xdfef5545a54fa7a1, 0x5104cdfcdb4bf98e, 0x068fe3459a20376c,
  0xcf4c2d06fdd598f2, 0x61d9f45138cb3590, 0xdc7133c95fb9a199, 0x000000000016eaa9,
};

// t2313a_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ce_u4[] = {
  0xeeedca2545d8bf82, 0xbbba58382933ac6e, 0x11afbbf31d85fbbb, 0x36e84ddddc3fab31, 0xc9dd313ab441b2e2,
  0xbfce01cfbf9304f8, 0xed176c220b0bfe32, 0xeb67ac62fd56b8b4, 0x5f715101e7994e57, 0xfa2cbc25f886c244,
  0x757d64c98be8b43f, 0x693c807b9afa7b96, 0x2dc310e3dc3a7f06, 0xf9d838a333c73160, 0xe1aa01ffb33c75e8,
  0x8a159503cb5b94d7, 0x7b268e8c527969d2, 0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554,
  0xe2e4d5c6c5104cdf, 0xacc7903b6868b08a, 0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a,
  0x659ac867a615df47, 0xdcd0ccb0ecfa289c, 0x0dd7e9ecaa49e4af,
};

// t2313a_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb72896f622a9c, 0xbbbba5822950eb1b, 0x5e8db623856921bb, 0x4f315c86adbbb3fc, 0x3ba34f6199a57a6d,
  0xf38073f812609f19, 0x8bb6110585ff14bf, 0x1ee7bfaa3ea05a76, 0x149d7e7994e57eb6, 0x3fdad75194de2bbd,
  0xf201ee6883cad318, 0x760288383b869107, 0xbec1c80ae0ff900f, 0xbe96c65c709c370e, 0xe757a71dacb86006,
  0x3af006760e28e414, 0x5348ff0e7b55b71e, 0x00bd970e59c071d8, 0xcb4e945318dee327, 0x5fadcfc51e746293,
  0x5a6c7d59ba9bd652, 0x4f43aa702f6cc608, 0x4d5c6c5104cdfcdb, 0x1e40eda1a2cd102e, 0xb219e985a0dfbab3,
  0x332c3b3e8a271966, 0x1d172a92792bf734, 0x00000000000014d3,
};

// t2313a_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x776e512a20dd4375, 0xeee9621114dd6377, 0x71de627ef619eeee, 0x480bfecfddf4a36f, 0xe86ed23ed88199b0,
  0x46ecf9c19827c64e, 0x6c220b0bfed9dff9, 0x317ea8e030b4ed17, 0x5101e7994e03895a, 0xbc25f886c2445f71,
  0x94c98be8a87dfa2c, 0x83cad3183fdac211, 0x3b869107f201ee68, 0xe0ff900f76028838, 0x709c370ebec1c80a,
  0xacb86006be96c65c, 0x0e28e414e757a71d, 0x7b55b71e3af00676, 0x59c071d85348ff0e, 0x18dee32700bd970e,
  0x1e746293cb4e9453, 0xba9bd6525fadcfc5, 0x2f6cc6085a6c7d59, 0x04cdfcdb4f43aa70, 0x8b08ae2e4d5c6c51,
  0xfa9d598f2068e446, 0x3ffbc3def2861539, 0xa215de8a3f8cbf31, 0xbe8f727e07effe09, 0x5138cb3590cf4c2b,
  0xc95fb9a19961d9f4, 0x000009f8bb1c8dd3,
};

// t2313_u1x12_uart0_lednop_pr       t2313a_u1x12_uart0_lednop         t2313a_u1x12_uart0_lednop_pr
static const uint64_t ur_t2313_u1x12_uart0_lednop[] = {
  0xddddb944b6af799b, 0xeeee962c29e1758d, 0xdb89d48c1f7c4eee, 0x94c341dddd790cd6, 0x8c9dd1afbe2e00d5,
  0xffcd907cfe49304f, 0xda2ed8441617fcf7, 0x0f735f1df2dac169, 0x687b874fe0ccf790, 0x88e62c05bdd3134f,
  0x30475e2e76c668f5, 0xd3a5142b2596e396, 0xb74d1d18a60404f2, 0xa72f29b19d038a3c, 0x17578a042d37aaea,
  0x8266fe6da7a1d538, 0xd166881726ae3628, 0xdfbab31e40cbff08, 0x271966b219e985a0, 0x2bf734332c3b3e8a,
  0x0003e4153b724e79,
};

// t2313a_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_u4[] = {
  0xddddb944a899bb37, 0xeeee962c2836958d, 0xd6d8e3889a6d6eee, 0xfb7af0e2dddd790c, 0x9f193bb8ef5e4361,
  0x2d7ff03419ff9260, 0x5a768bb6110585ff, 0xf201eea9677cb6b0, 0x79218f70e9fc199e, 0x8d4d1cc580b7ba62,
  0x39630475e2e7633c, 0x3cb4e9450acba9ee, 0xa3c73f0f46298101, 0xb752d5ca52f9d038, 0xa6178a042d3b8bf9,
  0x1337f36d3d0ea9c0, 0xfe34584570ddb144, 0x1539fa9d598f2068, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c,
  0x4c2bbe8f727e07ef, 0xd9f45138cb3590cf, 0x7133c95fb9a19961, 0x000000001f27843c,
};

// t2313a_u1x12_uart0_lednop_pr_ee
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ee[] = {
  0xbbb72896ad3a422f, 0x7774b0877e3eb1bb, 0x09997b7a7b64f777, 0xf672e2775fb30780, 0xf7b8bec8d8f85eeb,
  0x39f727304f8c9dd3, 0x441617fcbefff611, 0xad68e21169da2ed8, 0x07b9a20f2b97ce2b, 0x051070622a441fc8,
  0x803f8ad7cf201eec, 0x2d8cb8e1386e1d7d, 0xd6bdbb19ccc00d7d, 0x676e791a4339d5a5, 0x6a0f3daad743af00,
  0xb2e1cb380e3b1ac4, 0xa5141d29a97fe017, 0x4d1d18a60404f2d3, 0xbca6c6740e28f3e2, 0x62cf43aa702baa9c,
  0xd971156ff7aaa2d3, 0x726ae36288266fe6, 0x3c818fa08d166881, 0x6433d30b41bf7566, 0x6658767d144e32cd,
  0x54e5844cf257ee68, 0x0000000000000a7c,
};

// t2313a_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xbbbbba5843b1958d, 0x0faebcbdd8fd6a7b, 0x0f6dece5c4eebf66, 0x4eef25d3611de635,
  0xfce01cf9c39827c6, 0xa2ed8441617fc95b, 0x7ce2bad68e21169d, 0x41fc807b9a20f2b9, 0x01eec051070622a4,
  0xe1d7d803f8ad31f2, 0x00d7d2d8cb8e1386, 0xcead2f195bb19ccc, 0x3af00676a968d219, 0x628946a0f3daad74,
  0xfc02f65c396701c7, 0x9e5a74a283a9652f, 0x4796e9a3a314c080, 0x5d54e5e53633a071, 0xa702eaf14085a6f5,
  0xc5104cdfcdb4f43a, 0x6868b08ae2e4d5c6, 0x0a9cfd4eacc7903b, 0x5f989ffde1ef7943, 0xff04d10aef451fc6,
  0xa615df47b93f03f7, 0xecfa289c659ac867, 0xaa49e4afdcd0ccb0, 0x0000000004ebaecc,
};

// t2313a_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ce[] = {
  0x77776e512d66ef3a, 0xdddd2c6f8775a563, 0x68448bab6933dddd, 0x1e3fc1f7774b2922, 0xc64eeb53d05ec831,
  0x2bfc0d067e449827, 0x4ed176c220b0bfed, 0xac85d7c9efebd20b, 0x8aef45387f9e6539, 0xdcf4f72df36f5937,
  0xee1d3f83349e403d, 0xcd21cc580bbde0b1, 0xeccf1d7a3e767b48, 0x796b719e534a807f, 0x404f2d3a514560a0,
  0xe28f3e24d1d18a60, 0x02baa9cbca6c6740, 0x7aaa2d362cf43aa7, 0x04cdfcdb2e0c76ff, 0x8fe3459a20376c51,
  0x4c2d06fdd598f206, 0xd9f45138cb3590cf, 0x7133c95fb9a19961, 0x0000000005ba805c,
};

// t2313a_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xddddb944a8bb1762, 0xbbbba58382c0158d, 0x66c4767d8fd6a7bb, 0x6a1d69bbbb87f562, 0x8c9dde4ba6c23bcc,
  0x7ff9c039fa95304f, 0x3b45db0882c2ff8c, 0xfadc8918bf55ae2d, 0x17dc544079e65395, 0xfe8b2f097e21b091,
  0x9d5f593262fa298f, 0x6693c807bb9e9ee5, 0x0177bc163dc3a7f0, 0x47cecf6919a4398b, 0xca69500ffd99e3af,
  0x4a28ac140f2d6e33, 0x9a3a314c0809e5a7, 0x794d8ce81c51e7c4, 0xc59e8754e0575539, 0x65c18edfef5545a6,
  0xc9ab8d8a2099bf9b, 0x8f2076d0d16115c5, 0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de,
  0x3590cf4c2bbe8f72, 0xa19961d9f45138cb, 0xd75d995493c95fb9, 0x000000000000000d,
};

// t2313a_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeedca25bd8bf82, 0x777774b0450d8ac6, 0x5a14df8f697a34f7, 0x6a6b90d5b77c5baf, 0xe989d5c706cdd833,
  0xe01cfdba9827c64e, 0xed8441617fd813fc, 0xf3dfd51edf169da2, 0x36ff3cca72bf5b90, 0xdad74f7cde2bbd15,
  0x01ee6883cad0083f, 0x028838383e9107f2, 0x60e40560a7900f76, 0x4b632e384e1b875f, 0xabd38fe45c30035f,
  0x7a1a9d89a46d7c73, 0xd233493daadb8f1d, 0x0bd96cbe701c761e, 0xa9afc3546c113270, 0x4c0809e5a74a2859,
  0xe81c51e7c49a3a31, 0x54e0575539794d8c, 0xdfef5545a6c59e87, 0x8a2099bf9b65c18e, 0xb43459a205c9ab8d,
  0x30b41bf75663c81d, 0x67d144e32cd6433d, 0x524f257ee6866587, 0x0000000029a7ce65,
};

// t2313a_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbb728951222044, 0x77774b1088f5eb1b, 0x966ef0a34bab8f77, 0xb02ffb3f746df8f6, 0xa3db448843b22101,
  0xb267e87e609f193b, 0x6c220b0bfe383ff8, 0x317ea8ff70b4ed17, 0x03cf329c0fe83bee, 0x4bf10d8488bee2a2,
  0x9317d152a3f45978, 0x95a0107fb5841ef9, 0x7d220fe403dcd107, 0x4f201eec05107070, 0x9c370ebec1c80ac1,
  0xb86006be96c65c70, 0x48daf8e757a71fc8, 0x55b71e3af4353b13, 0xe038ec3da466927b, 0xd82264e017b2d97c,
  0x4e9450b3535f86a8, 0x89347462981013cb, 0x72f29b19d038a3cf, 0x4d8b3d0ea9c0aeaa, 0x36cb831dbfdeaa8b,
  0x8b93571b1441337f, 0xb31e40fca1a2c22b, 0x87bde50c2a73f53a, 0xbd147f197e627ff7, 0xe4fc0fdffc13442b,
  0x966b219e98577d1e, 0x734332c3b3e8a271, 0x9f810b3ea92792bf,
};

// t2313_u2x8_uart0_noled_pr         t2313a_u2x8_uart0_noled           t2313a_u2x8_uart0_noled_pr
static const uint64_t ur_t2313_u2x8_uart0_noled[] = {
  0x6eeeeedcb6af799b, 0xbbbbba58b0a61fac, 0x71244859307df13b, 0xa61656eeebc866b0, 0x64ee8d7df17006ac,
  0xfe6c83e7e329827c, 0x849c126bb7aac117, 0xee7b477cb6b05a76, 0x8f70e9fc199ef201, 0x1cc580b7ba62684f,
  0x0475e2e76a251c35, 0x74a28567e1ee3963, 0x3cdec9a3a3149e5a, 0x47f529794deb9f8a, 0x5516953e9e8754e0,
  0x9bf9b697f8ab7fbd, 0x9a205c9ab8d8a209, 0xeacc79032ffc2345, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c,
  0x0f9054edc939e4af,
};

// t2313a_u2x8_uart0_noled_pr_u4
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_u4[] = {
  0x777776e544cdfc4f, 0xbbbba58b0a5c4d63, 0x6b69650596eadbbb, 0xebd0e0da6eeebc86, 0x9f193bb63f522a09,
  0x645ff03419f4c660, 0xd3b424e0935dbd56, 0x900f73da3be5b582, 0x61c47b874fe0ccf7, 0xc351cc580b7ba6c1,
  0x58c11d78b9db5891, 0x2d3a5142b00d5b8e, 0xf8a3cb74d1d18a4f, 0x9cbc7f529794deb9, 0x43aa7033a9c50216,
  0x376c5104cdfcdb4f, 0x63c81a3f8d16115c, 0xf7bca1854e7ea756, 0xa28fe32fcc4ffef0, 0x9f81fbff82688577,
  0xcd6433d30aefa3dc, 0x686658767d144e32, 0xe4d7671c4cf257ee, 0x0000000000000003,
};

// t2313a_u2x8_uart0_noled_pr_ee
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb96ad3ad214, 0xddddd2c21de6358d, 0x71db7e2ec9ea9bdd, 0x23b39713bac1f779, 0xc33d376d15a982f6,
  0x89cfa569827c64ee, 0x126bb7aaca95ffb0, 0xeb5a39b85a76849c, 0x00f73441e5738b8a, 0x80a20e0e324883f9,
  0xb007f15cdde403dd, 0xa5b1971c270dc3af, 0x5defb70fb99801af, 0xd4ed82d1bda39d5a, 0x8ccf4f6ab5d0ebd0,
  0xf65b2f9c071d80e2, 0x300ca8d8232ffc02, 0x149e5a74a2838bfc, 0xeb9f8a3cdec9a3a3, 0x8754e047f529794d,
  0xab7fbd5516953e9e, 0xd8a2099bf9b697f8, 0xe823459a205c9ab8, 0xc2d06fdd598f2063, 0x9f45138cb3590cf4,
  0x133c95fb9a19961d, 0x000000053e01c961,
};

// t2313a_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ee_u4[] = {
  0x6eeeeedca8bb1762, 0xeeeeee9610ee00ac, 0xc99b11d9f63f5a9e, 0xeb4d9cb89dd7ecc1, 0xeef25d3611de6350,
  0xce01cfd4a9827c64, 0x93824d76f55863ff, 0x715d6b47108b4ed0, 0x7f201ee6883cad7c, 0x7bb01441c188a910,
  0x75f600fe2b887c80, 0x35f4b632e384e1b8, 0xab4bc656ec673300, 0x5e00cecd7c8f5873, 0x0d22374e7b55ae87,
  0xc02f65c396701c76, 0xcb4e945075f872ff, 0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea,
  0x41337f36d2ff156f, 0xa2c22b8b93571b14, 0x73f53ab31e40eda1, 0x627ff787bde50c2a, 0x13442bbd147f197e,
  0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3, 0x00000013aebb32a9,
};

// t2313a_u2x8_uart0_noled_pr_ce
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdfebe, 0xddddd2c6f8774256, 0x948a64fd7eb11ddd, 0xafe2cdadddd2ca48, 0xf8c9dd85fbe3c901,
  0x5f7f81a0cf9eb304, 0x9da127049aedeab2, 0x590bc433dfd7a416, 0x15de8bf3bf3cca73, 0x6be9ee5be6deb26f,
  0x70e9fc19a4f201ee, 0xcf1cc580b70c438f, 0xccf1d7a3e760e28c, 0x2d6e535f86a807fe, 0x49e5a74a2856540f,
  0xb9f8a3cdec9a3a31, 0x754e047f529794de, 0xb7fbd5516953e9e8, 0x1441337f36d2fe63, 0x81a3f8d166880ddb,
  0x33d30b41bf75663c, 0x58767d144e32cd64, 0x771c4cf257ee6866, 0x000000000005baaa,
};

// t2313a_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ce_u4[] = {
  0x777776e545d8bf82, 0xddddd2c1c1499d63, 0x888d7ddf98ec2fdd, 0x11b7426eeee1fd59, 0xc64ee989d5a20d97,
  0x95fe700e7dfc9827, 0x3b424e0935dbd561, 0xfad9eb18bf55ae2d, 0x17dc544079e65395, 0xfe8b2f097e21b091,
  0x9d5f593262fa2d0f, 0x9a4f201ee6be9ee5, 0x0b70c438f70e9fc1, 0x3e760e28ccf1cc58, 0xf86a807feccf1d7a,
  0xa2856540f2d6e535, 0xdec9a3a3149e5a74, 0xf529794deb9f8a3c, 0x16953e9e8754e047, 0xf36d2fe63b7fbd55,
  0xb8b93571b1441337, 0xab31e40eda1a2c22, 0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442,
  0x1966b219e98577d1, 0xf734332c3b3e8a27, 0x0375fa7b2a92792b,
};

// t2313a_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddddb96f622a9c, 0xdddddd2c114a8758, 0xe2f46db11c2b490d, 0x6a798ae4356ddd9f, 0xc9dd1a7b0ccd2bd3,
  0xff9c039fc09304f8, 0xa127049aedeab0a5, 0x87b9efea8fa8169d, 0x45275f9e65395fad, 0x0ff6b5d465378aef,
  0xfc807b9a20f2b4c6, 0xdd80a20e0ee1a441, 0xafb07202b83fe403, 0xafa5b1971c270dc3, 0x39d5e9c76b2e1801,
  0x8ebc019d838a3905, 0x14d23fc39ed56dc7, 0xc02f65c396701c76, 0xf2d3a514c637b8c9, 0x97eb73f1479d18a4,
  0x169b1f566ea6f594, 0xd3d0ea9c0bdb3182, 0x93571b1441337f36, 0xc7903b6868b3440b, 0xac867a616837eeac,
  0x0ccb0ecfa289c659, 0xc745caa49e4afdcd, 0x0000000000000534,
};

// t2313a_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb72a20dd4375, 0x77774b1088a6eb1b, 0x7b8ef313f7b0cf77, 0x82405ff67eefa51b, 0x77437691f6c40ccd,
  0xca3767ce0cc13e32, 0x4e0935dbd566ceff, 0x8c5faa380c2d3b42, 0x544079e65380e256, 0x2f097e21b09117dc,
  0x653262fa2a1f7e8b, 0x20f2b4c60ff6b084, 0x0ee1a441fc807b9a, 0xb83fe403dd80a20e, 0x1c270dc3afb07202,
  0x6b2e1801afa5b197, 0x838a390539d5e9c7, 0x9ed56dc78ebc019d, 0x96701c7614d23fc3, 0xc637b8c9c02f65c3,
  0x479d18a4f2d3a514, 0x6ea6f59497eb73f1, 0x0bdb3182169b1f56, 0x41337f36d3d0ea9c, 0xa2c22b8b93571b14,
  0x7ea75663c81a3911, 0x4ffef0f7bca1854e, 0x688577a28fe32fcc, 0xefa3dc9f81fbff82, 0x144e32cd6433d30a,
  0xf257ee686658767d, 0x0000027e2ec72374,
};

// t2313_u2x8_uart0_lednop_pr        t2313a_u2x8_uart0_lednop          t2313a_u2x8_uart0_lednop_pr
static const uint64_t ur_t2313_u2x8_uart0_lednop[] = {
  0x6eeeeedcb6af799b, 0x777774b1614f0bac, 0xb6dc4ea460fbe277, 0xaca61a0eeeebc866, 0x7c64ee8d7df17006,
  0xbffe6c83e7f24982, 0x76849c126bb7aac7, 0x03dcd7c77cb6b05a, 0xda1ee1d3f8333de4, 0x62398b016f74c4d3,
  0x8c11d78b9db19a3d, 0xb4e9450ac965b8e5, 0x2dd347462981013c, 0xa9cbca6c6740e28f, 0x05d5e2810b4deaba,
  0x2099bf9b69e8754e, 0x3459a205c9ab8d8a, 0x37eeacc79032ffc2, 0x89c659ac867a6168, 0x4afdcd0ccb0ecfa2,
  0x0000f9054edc939e,
};

// t2313a_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_u4[] = {
  0x6eeeeedca899bb37, 0x777774b16141b4ac, 0x66b6c71c44d36b77, 0x0fdbd78716eeebc8, 0x04f8c9ddc77af21b,
  0xb16bff81a0cffc93, 0x169da127049aedea, 0xbc807baa59df2dac, 0x9e4863dc3a7f0667, 0x23534731602dee98,
  0x8e58c11d78b9d8cf, 0x4f2d3a5142b2ea7b, 0x28f1cfc3d18a6040, 0x6dd4b57294be740e, 0x2985e2810b4ee2fe,
  0x04cdfcdb4f43aa70, 0x3f8d16115c376c51, 0x854e7ea75663c81a, 0x2fcc4ffef0f7bca1, 0xff82688577a28fe3,
  0xd30aefa3dc9f81fb, 0x767d144e32cd6433, 0x1c4cf257ee686658, 0x0000000007c9e10f,
};

// t2313a_u2x8_uart0_lednop_pr_ee
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddb96ad3a422f, 0xbbbba5843bf1f58d, 0x004ccbdbd3db27bb, 0x5fb39713bafd983c, 0x9fbdc5f646c7c2f7,
  0x89cfb939827c64ee, 0x126bb7aac5f7ffb0, 0xeb5a38845a76849c, 0x01ee6883cae5f38a, 0x01441c188a9107f2,
  0x600fe2b5f3c807bb, 0x4b632e384e1b875f, 0x75af6ec67330035f, 0x19db9e4690ce7569, 0x1a83cf6ab5d0ebc0,
  0xecb872ce038ec6b1, 0xe945074a6a5ff805, 0x9347462981013cb4, 0x2f29b19d038a3cf8, 0xd8b3d0ea9c0aeaa7,
  0xb65c455bfdeaa8b4, 0x5c9ab8d8a2099bf9, 0x8f2063e823459a20, 0x590cf4c2d06fdd59, 0x19961d9f45138cb3,
  0x153961133c95fb9a, 0x000000000000029f,
};

// t2313a_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x6eeeeedca8bb1762, 0xddddddd2c21d8cac, 0x307d75e5eec7eb53, 0xa87b6f672e2775fb, 0x3277792e9b08ef31,
  0xdfe700e7ce1cc13e, 0x6849c126bb7aac4a, 0x5f38aeb5a38845a7, 0x107f201ee6883cae, 0x807bb01441c188a9,
  0xb875f600fe2b4c7c, 0x0035f4b632e384e1, 0x73ab4bc656ec6733, 0x0ebc019daa5a3486, 0xd8a251a83cf6ab5d,
  0xff00bd970e59c071, 0x27969d28a0ea594b, 0x51e5ba68e8c53020, 0x575539794d8ce81c, 0xa9c0babc502169bd,
  0xb1441337f36d3d0e, 0xda1a2c22b8b93571, 0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0xffc13442bbd147f1,
  0xe98577d1ee4fc0fd, 0x3b3e8a271966b219, 0x2a92792bf734332c, 0x00000000013aebb3,
};

// t2313a_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xeeeee9637c3bad2b, 0x1342245d5b499eee, 0x88f1fe0fbbba5949, 0x3e32775a9e82f641,
  0x695fe06833f224c1, 0xd3b424e0935dbd56, 0x6b2175f27bfaf482, 0xe2bbd14e1fe7994e, 0x773d3dcb7cdbd64d,
  0x7b874fe0cd27900f, 0x3348731602ef782c, 0xfb33c75e8f9d9ed2, 0x1e5adc6794d2a01f, 0x1013cb4e94515828,
  0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9, 0x41337f36cb831dbf, 0xa3f8d166880ddb14,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0x1c4cf257ee686658, 0x00000000016ea017,
};

// t2313a_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c1c1600ac, 0x133623b3ec7eb53d, 0x6350eb4ddddc3fab, 0x7c64eef25d3611de,
  0x63ffce01cfd4a982, 0x4ed093824d76f558, 0x7eb722462fd56b8b, 0x45f715101e7994e5, 0xffa2cbc25f886c24,
  0x6757d64c98be8a63, 0x19a4f201eee7a7b9, 0xc05def058f70e9fc, 0xd1f3b3da46690e62, 0xf29a5403ff6678eb,
  0xd28a2b0503cb5b8c, 0x268e8c5302027969, 0x5e53633a071479f1, 0xb167a1d53815d54e, 0xd97063b7fbd55169,
  0x726ae36288266fe6, 0x63c81db434584571, 0xf7bca1854e7ea756, 0xa28fe32fcc4ffef0, 0x9f81fbff82688577,
  0xcd6433d30aefa3dc, 0x686658767d144e32, 0x75d7665524f257ee, 0x0000000000000003,
};

// t2313a_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x3777776e5bd8bf82, 0xbbbbbba582286c56, 0x7ad0a6fc7b4bd1a7, 0x9b535c86adbbe2dd, 0x774c4eae38366ec1,
  0xe700e7edd4c13e32, 0x49c126bb7aacc09f, 0x3cf7f547b7c5a768, 0x4dbfcf329cafd6e4, 0xf6b5d3df378aef45,
  0x807b9a20f2b4020f, 0x80a20e0e0fa441fc, 0xd839015829e403dd, 0xd2d8cb8e1386e1d7, 0xeaf4e3f9170c00d7,
  0x5e86a762691b5f1c, 0xb48cd24f6ab6e3c7, 0x02f65b2f9c071d87, 0x6a6bf0d51b044c9c, 0x5302027969d28a16,
  0x3a071479f1268e8c, 0xd53815d54e5e5363, 0xb7fbd55169b167a1, 0x6288266fe6d97063, 0x6d0d166881726ae3,
  0x4c2d06fdd598f207, 0xd9f45138cb3590cf, 0x5493c95fb9a19961, 0x000000000a69f399,
};

// t2313a_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddddb951222044, 0xbbbbba588447af58, 0xb4b377851a5d5c7b, 0x0d817fd9fba36fc7, 0xdd1eda24421d9108,
  0xc5933f43f304f8c9, 0x4e0935dbd561c1ff, 0x8c5faa3fdc2d3b42, 0x80f3cca703fa0efb, 0x12fc4361222fb8a8,
  0x64c5f454a8fd165e, 0xe568041fed6107be, 0x1f4883f900f73441, 0x53c807bb01441c1c, 0x270dc3afb07202b0,
  0x2e1801afa5b1971c, 0xd236be39d5e9c7f2, 0xd56dc78ebd0d4ec4, 0x380e3b0f6919a49e, 0x3608993805ecb65f,
  0xd3a5142cd4d7e1aa, 0xe24d1d18a60404f2, 0x9cbca6c6740e28f3, 0xd362cf43aa702baa, 0xcdb2e0c76ff7aaa2,
  0xe2e4d5c6c5104cdf, 0xacc7903f2868b08a, 0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a,
  0x659ac867a615df47, 0xdcd0ccb0ecfa289c, 0x27e042cfaa49e4af,
};

// t2313_u2x12_uart0_noled_pr        t2313a_u2x12_uart0_noled          t2313a_u2x12_uart0_noled_pr
static const uint64_t ur_t2313_u2x12_uart0_noled[] = {
  0xddddb944b6af757b, 0xbbbba5873929958d, 0x73c2e22707d327bb, 0x5a38f77757212208, 0x4eebafd1af50cdad,
  0xe6c83e7c7c9827c6, 0x6f340b0b989f07ff, 0x6d60b4ed093824d7, 0x333de403dcf68ef9, 0x74c4d09f1ee1d3f8,
  0xd44a386a398b016f, 0xc3dc72c608ebc5ce, 0x46293cb4e9450acf, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2,
  0xf156ff7aaa2d2a7d, 0x71b1441337f36d2f, 0x5ff8468b3440b935, 0x4c2d06fdd598f206, 0xd9f45138cb3590cf,
  0x9273c95fb9a19961, 0x000000000f90249b,
};

// t2313a_u2x12_uart0_noled_pr_u4
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_u4[] = {
  0xddddb944a899bb37, 0xeeee961ce436958d, 0x10d8e3889a6d6eee, 0xf6f5e1c5bbbab909, 0x3e327771debc86c3,
  0x5affe06833ff24c1, 0x126bb79a0585cc4f, 0x477cb6b05a76849c, 0xe9fc199ef201ee7b, 0x016f74d82c388f70,
  0x173b6b12386a398b, 0x5601ab71cb1823af, 0x9a3a3149e5a74a28, 0x52f29bd73f14796e, 0x7538a042d3978fea,
  0x99bf9b69e8754e06, 0xf1a2c22b86ed8a20, 0xa9cfd4eacc790347, 0xf989ffde1ef79430, 0xf04d10aef451fc65,
  0x615df47b93f03f7f, 0xcfa289c659ac867a, 0x899e4afdcd0ccb0e, 0x00000000f93c21e3,
};

// t2313a_u2x12_uart0_noled_pr_ee
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ee[] = {
  0xdddb944b569d6668, 0xbbba58832a8758dd, 0xdb194263bd7a7bbb, 0x3e7051b4ddbf3838, 0x4dde833a8a0bf31e,
  0x44e7ff74c13e3277, 0xd02c2e627c06ffd8, 0x22d3b424e0935dbc, 0x0f2b5f1c575ad1c4, 0x622a441fc807b9a2,
  0xe21f201eec051070, 0xe1386e1d7d803f8a, 0x19ccc00d7d2d8cb8, 0x23d61cead2f195bb, 0xd56ba1d78033b35f,
  0x9c071d83488dd39e, 0x7e1cbff00bd970e5, 0x1d18a4f2d3a5141d, 0xca6f5cfc51e6f64d, 0xf4f43aa7023fa94b,
  0xbfc55bfdeaa8b4a9, 0xd5c6c5104cdfcdb4, 0x031f411a2cd102e4, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x8b0899e4afdcd0cc, 0x0000000000053e73,
};

// t2313a_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ee_u4[] = {
  0xeeedca2545d8ad4e, 0xdddd2c4197a5ac6e, 0xef1fa1017ed8fddd, 0x2667051b4ddbf383, 0x77c8eb208cfc7971,
  0x700e7e43cc13e327, 0x79a0585cc4f727fe, 0x8845a76849c126bb, 0x441e56be38aeb5a3, 0xe0c454883f900f73,
  0x158f9e403dd80a20, 0x71c270dc3afb007f, 0x763399801afa5b19, 0x4347ac39d5a5f7bb, 0x9ed56ba1d78033b2,
  0xcb380e3b0a0e8dd3, 0x7406a97fe017b2e1, 0x34746293cb4e9450, 0xa5e537ae7e28f2dd, 0xea714085a72f1fd4,
  0x337f36d3d0ea9c0c, 0xc22b8b93571b1441, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x442bbd147f197e62,
  0x7d1ee4fc0fdffc13, 0xa271966b219e9857, 0x92bf734332c3b3e8, 0x000013af8c72a927,
};

// t2313a_u2x12_uart0_noled_pr_ce
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ce[] = {
  0xeeeedca25acdfc4f, 0xbbbba58b0a78bac6, 0x0b7939bbf6d19bbb, 0xebc6bf89dddd8e3f, 0x9f193bb63f617a08,
  0xa01fe06833e13e60, 0x0935dbcd02c2e627, 0x67bfaf482d3b424e, 0xe77e7994e6b21788, 0xb7cdbd64de2bbd17,
  0x3349e403dcd7d3dc, 0x016e18871ee1d3f8, 0x47cec1c5199e398b, 0xbf0d500ffd99e3af, 0x9450aca81e5adca6,
  0x9bd934746293cb4e, 0xfea52f29bd73f147, 0xa2d2a7d3d0ea9c08, 0xfe6da5fcc76ff7aa, 0xa2cd101bb6288266,
  0x837eeacc790347f1, 0x289c659ac867a616, 0xe4afdcd0ccb0ecfa, 0x000005ba924e3899,
};

// t2313a_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeedca2545d8ad4e, 0xdddd2c7a98dbac6e, 0xc75e91417ed8fddd, 0xe5c7c5eeeea986d0, 0x8c9ddf23ac8233f1,
  0xdff9c039f5f7304f, 0x9aede681617313e3, 0x5faad7169da12704, 0x3cf329cafd6cf58c, 0xbf10d8488bee2a20,
  0x317d1687ff459784, 0x735f4f72ceafac99, 0x7b874fe0cd27900f, 0x6678e62c05b8621c, 0xf6678ebd1f3b0714,
  0x796b729afc35403f, 0x8a4f2d3a5142b2a0, 0xf5cfc51e6f64d1d1, 0x43aa7023fa94bca6, 0x1dbfdeaa8b4a9f4f,
  0xd8a2099bf9b697f3, 0x6d0d16115c5c9ab8, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a215de8a3f8,
  0xf4c2bbe8f727e07e, 0x1d9f45138cb3590c, 0x95493c95fb9a1996, 0x0000000000dd7c63,
};

// t2313a_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ee_ce[] = {
  0xddddb944b7b128ae, 0xeeee962b4fb2158d, 0x8593a870cf5a5eee, 0x1f9ac6d6e8d7f4a4, 0xfd3d34a2471795bb,
  0x01cfefb9827c64ee, 0x340b0b989ea7bfce, 0xf8b4ed093824d76f, 0x95fada569efea8f6, 0x78aef45ff9f9e653,
  0x2b0520ff6b5d3df3, 0xfa441fc807b9a20f, 0x9e403dd80a20e0e0, 0x386e1d7d839015e4, 0x70c00d7d2d8cb8e1,
  0x68ded1ceaf4e37bd, 0xab6e3c75e86a76c1, 0xc071d80e28ccf4f6, 0xb044c9c02f65b2f9, 0x9d28a167f8601951,
  0x8f37b268e8c52796, 0x11fd4a5e537ae7e2, 0x5545a54fa7a1d538, 0xcdfcdb4bf98edfef, 0xcd102e4d5c6c5104,
  0xdfbab31e40eda1a2, 0x271966b219e985a0, 0x2bf734332c3b3e8a, 0x0014d3e93b2a9279,
};

// t2313a_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7776e512a2447032, 0xbbba58085e85d637, 0x78bd4d91fd34bbbb, 0x86a4a1374b8c2f86, 0x3b5b1c539545a0ac,
  0xc99f4b5304f8c9dd, 0x681617313c6b7fe2, 0xe169da127049aede, 0x1fd0702462fd51fe, 0x117dc544079e6538,
  0xe7e8b2f097e21b09, 0x6b083df3262fa2b3, 0x07b9a20f2b0520ff, 0x0a20e0e0fa441fc8, 0x839015e49e403dd8,
  0x2d8cb8e1386e1d7d, 0xaf4e37bd70c00d7d, 0xe86a76c168ded1ce, 0x28ccf4f6ab6e3c75, 0x2f65b2f9c071d80e,
  0xf8601951b044c9c0, 0xe8c527969d28a167, 0x537ae7e28f37b268, 0xa7a1d53811fd4a5e, 0xf98edfef5545a54f,
  0x5c6c5104cdfcdb4b, 0x03f2868b08ae2e4d, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d10aef451,
  0x867a615df47b93f0, 0xcb0ecfa289c659ac, 0xccfaa49e4afdcd0c, 0x0000000000004fc2,
};

// t2313_u2x12_uart0_lednop_pr       t2313a_u2x12_uart0_lednop         t2313a_u2x12_uart0_lednop_pr
static const uint64_t ur_t2313_u2x12_uart0_lednop[] = {
  0xddddb944b6af757b, 0xeeee961ce468358d, 0xa368595c1f4c9eee, 0x6ad87f7775721221, 0x32775d7e8d7a866d,
  0xff3641f3f374c13e, 0x5dbcd02c2e627c43, 0xe5b582d3b424e093, 0xc199ef201ee6be3b, 0x7ba6269ed0f70e9f,
  0xed8cd1eb11cc580b, 0x4b2dc72c608ebc5c, 0x4c0809e5a74a2856, 0x3a0714796e9a3a31, 0x5a6f55d54e5e5363,
  0x4f43aa702eaf1408, 0x4d5c6c5104cdfcdb, 0x8197fe11a2cd102e, 0x33d30b41bf75663c, 0x58767d144e32cd64,
  0x26e49cf257ee6866, 0x000000000003e409,
};

// t2313a_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_u4[] = {
  0xddb944a8969d6668, 0x774b0e7232758ddd, 0x561b42f7be2f7777, 0x87f777693e164c1f, 0xd377a36ea2ecfe6f,
  0x089cfcdd304f8c9d, 0xcd02c2e627c43ffb, 0x3e2d3b424e0935db, 0xf7e403dcb3cef961, 0xc37c9e1ee1d3f831,
  0x6919a4398b016594, 0x0ffd9823af47cecf, 0x503cb3db33ca6950, 0x302027969d28a2b0, 0xa071479f1268e8c5,
  0x53815d54e5e53633, 0x7fbd55169b167a1d, 0x1441337f36cb88ab, 0x11a2c22b8b93571b, 0x9cfd4eacc79031f4,
  0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff, 0xfa289c659ac867a6, 0x99e4afdcd0ccb0ec,
  0x0000001f27d3cb08,
};

// t2313a_u2x12_uart0_lednop_pr_ee
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ee[] = {
  0xdddb944b569d2d3a, 0xbbba5883285f58dd, 0x18dbad14dee15bbb, 0x53828da6edf9c1ea, 0xa5e9fb23f8eec7fa,
  0x4e7fe74c13e32775, 0x02c2e627945ffd84, 0x2d3b424e0935dbcd, 0xe572f9c575ad1c42, 0x454883f900f73441,
  0xf9e403dd80a20e0c, 0x270dc3afb007f15a, 0x399801afa5b1971c, 0x48673ab4bad7b763, 0x5ae875e00cedcf23,
  0x01c763588d41e7b5, 0x352ffc02f65c3967, 0xc0809e5a74a283a5, 0x81c51e7c49a3a314, 0x4e0575539794d8ce,
  0xfef5545a6c59e875, 0x5104cdfcdb2e22ad, 0x11a2cd102e4d5c6c, 0x6837eeacc79031f4, 0xa289c659ac867a61,
  0x9e4afdcd0ccb0ecf, 0x000000a7c248b089,
};

// t2313a_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xbbbbba588321958d, 0x0faebcbdd8fd6a7b, 0x0f6d9c146d376fce, 0x4eef25d3611de635,
  0xfce01cf9c39827c6, 0x76f340b0b989e95b, 0x47108b4ed093824d, 0xe6883cae6e715d6b, 0x41c188a9107f201e,
  0xfc56b5fc807bb014, 0x65c709c370ebec01, 0xedd8ce66006be96c, 0x7b48c389cead2f07, 0x53daad743af00676,
  0x396701c760cf2353, 0x83a00d2ffc02f65c, 0xa314c0809e5a74a2, 0x9b129fbe740e28f3, 0x20ee2810b4e48c1a,
  0x04cdfcdb4f43aa70, 0x8b08ae2e4d5c6c51, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d10aef451fc65f9,
  0x5df47b93f03f7ff0, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x0000004ebaeccaa4,
};

// t2313a_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeedca25acdfebe, 0xddddd2c585284ac6, 0x248a64fd7eb11ddd, 0x6bf8b36b77762268, 0x3e3277617ef8f240,
  0x97dfe06833e7acc1, 0x126bb79a0585cc4f, 0x9efeb82c5a76849c, 0x27f9e6539ac85def, 0x7cdbc67378aef457,
  0xd62f201ee13f3dcb, 0x0bd054b1ee1d3f83, 0x5cec3ed1eb11cc58, 0x1d29adc72c678ebc, 0x18a60404f2d3a514,
  0xc6740e28f3e24d1d, 0x43aa702baa9cbca6, 0xc76ff7aaa2d362cf, 0x76c5104cdfcdb2e0, 0x8f2068fe3459a203,
  0x590cf4c2d06fdd59, 0x19961d9f45138cb3, 0xaa9dc7133c95fb9a, 0x000000000000016e,
};

// t2313a_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xeeedca2545d8bf82, 0xdddd2c7a9933ac6e, 0x88d7ddf98ec2fddd, 0x6dd09bbba1c5ebd8, 0x93ba6275688365c4,
  0x7f9c039f7f2609f1, 0xd76f340b0b989e65, 0xfd60f8b4ed093824, 0xe7994e57eb680462, 0xf886c2445f715101,
  0x8be8bd5ffa2cbc25, 0x09f9ee59d5f19cc9, 0x70e9fc1eb17900f7, 0x588e62c05e82a58f, 0x633c75e2e761f68f,
  0x969d28a0e94d6e39, 0x9f1268e8c5302027, 0x54e5e53633a07147, 0x169b167a1d53815d, 0xfe6d97063b7fbd55,
  0x571726ae36288266, 0x75663c81db434584, 0xef0f7bca1854e7ea, 0x577a28fe32fcc4ff, 0x3dc9f81fbff82688,
  0xe32cd6433d30aefa, 0x7ee686658767d144, 0x006ebf4f65524f25,
};

// t2313a_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeedca25bd8ad4e, 0xeeee962b4f833ac6, 0x409085f42f5ebeee, 0xd3cd636b746bfa56, 0x7c8e9894670ccddb,
  0x00e7f674c13e3277, 0x9a0585cc4f95dfe7, 0x7c5a76849c126bb7, 0xcafd6e43cf7f547b, 0x78aef454dbfcf329,
  0x2b4020ff6b5d3df3, 0xfa441fc807b9a20f, 0x9e403dd80a20e0e0, 0x386e1d7d83901582, 0x70c00d7d2d8cb8e1,
  0x91b5f1ceaf4e3f91, 0xab6e3c75e86a7626, 0xc071d87b48cd24f6, 0xb044c9c02f65b2f9, 0x9d28a166a6bf0d51,
  0x1268e8c530202796, 0xe5e53633a071479f, 0x9b167a1d53815d54, 0x6d97063b7fbd5516, 0x1726ae36288266fe,
  0x598f2076d0d16688, 0xb3590cf4c2d06fdd, 0x9a19961d9f45138c, 0x34c0e595493c95fb, 0x0000000000000005,
};

// t2313a_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbb728951222a20, 0xeeee960217082b1b, 0x2e19ad1f4f4c4eee, 0x33d49426e97185f4, 0x55f6dc18d447ec88,
  0x64cff4fcc13e3277, 0x681617313fabfff1, 0xe169da127049aede, 0x1fd077dc62fd51fe, 0x117dc544079e6538,
  0x47e8b2f097e21b09, 0x6b083df3262fa2a5, 0x07b9a20f2b4020ff, 0x0a20e0e0fa441fc8, 0x839015829e403dd8,
  0x2d8cb8e1386e1d7d, 0xaf4e3f9170c00d7d, 0xe86a762691b5f1ce, 0x48cd24f6ab6e3c75, 0x2f65b2f9c071d87b,
  0xa6bf0d51b044c9c0, 0x302027969d28a166, 0xa071479f1268e8c5, 0x53815d54e5e53633, 0x7fbd55169b167a1d,
  0x288266fe6d97063b, 0x434584571726ae36, 0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xf82688577a28fe32,
  0x30aefa3dc9f81fbf, 0x67d144e32cd6433d, 0x524f257ee6866587, 0x000000004fc8147d,
};

// t2313_swio10_noled_pr             t2313a_swio10_noled               t2313a_swio10_noled_pr
static const uint64_t ur_t2313_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x6a90695fe06833f2, 0x87f201ee4c4ef962, 0x3695108f70e9fc18, 0xbda3278e62c05bdd,
  0xfdc72c608ebc5ced, 0x920daf2e556a562c, 0x9cea2a551aeb2039, 0x9a64d672bb54b7d5, 0x115e5d312a97debe,
  0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0x6288266fe6d8ad51, 0x90347f1a2cd101bb,
  0x867a616837eeacc7, 0xcb0ecfa289c659ac, 0x02e3899e4afdcd0c, 0x0000000000003e40,
};

// t2313a_swio10_noled_pr_u4
static const uint64_t ur_t2313_swio10_noled_pr_u4[] = {
  0x06eeeeed17622a9c, 0x772d2c42b193ac11, 0xebafdb89d4906487, 0x06612226b075338f, 0x97c5d09cdf74880f,
  0x827c64ee8d3df1e6, 0x2009ffe700e7cca9, 0xc807b96b9df2c4d5, 0x74643dc3a7f0621f, 0x1e0b398b016f74d3,
  0x39630475e2e76269, 0x6d7972ab52b2a5ee, 0x5152a8d75901cc90, 0x26b395daa5beace7, 0xf2e98954bef5f4d3,
  0x4deb3bcb9ed5688a, 0x810b4b5fe2353c31, 0x6da7a1d53816e3e2, 0x1726ae36288266fe, 0x663c81db43458457,
  0x0f7bca1854e7ea75, 0x7a28fe32fcc4ffef, 0xc9f81fbff8268857, 0x2cd6433d30aefa3d, 0xe686658767d144e3,
  0xe4f249e5524f257e, 0x0000000000000003,
};

// t2313a_swio10_noled_pr_ee
static const uint64_t ur_t2313_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x4cb969602172b758, 0x1a7b42f5d797bd59, 0xeef341a1104c2b31, 0xef17e3bad3fa939b,
  0xe3277699efd3b827, 0xadfe700e7f4dcc13, 0x56715d6b47dd520c, 0x7273c807b829c95a, 0x7c807bb079380e6e,
  0xc370ebec01fc5651, 0x66006be96c65c709, 0x29cead2f1eedd8ce, 0xba1d78033b6488f2, 0x71d883e8c9a9ed56,
  0xcbff00bd970e59c0, 0x4836bcb955a8e967, 0x73a8a9546bac80e6, 0x699359caed52df56, 0x457974c4aa5f7afa,
  0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c, 0x5bfdeaa8b4c329e8, 0x8a2099bf9b62b545, 0xb43459a205c9ab8d,
  0x30b41bf75663c81d, 0x67d144e32cd6433d, 0x524f257ee6866587, 0x0000000053e2a765,
};

// t2313a_swio10_noled_pr_ee_u4
static const uint64_t ur_t2313_swio10_noled_pr_ee_u4[] = {
  0xfbbbbbb441baba31, 0xb96960217b2758e6, 0x7a7ef5d797bd594c, 0xef341a135a9f8f37, 0xb6430aad3fa939be,
  0x8c9dd667ad140515, 0xfff28dd9f1ad304f, 0x6e2bad68fbaa41a6, 0x4e7900f705392b72, 0x900f760f2701cdce,
  0x6e1d7d803f8acc7f, 0xc00d7d2d8cb8e138, 0x1cead2fdd5bb19cc, 0xa1d78033b2d74719, 0x8ec7488c9e9ed56b,
  0x5ff805ecb872ce03, 0x836bcb955a8e9afa, 0x3a8a9546bac80e64, 0x99359caed52df567, 0x57974c4aa5f7afa6,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xd0ea9c09c2914085, 0x571b1441337f36d3, 0x1a3911a2c22b8b93,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff82688577a28f, 0x33d30aefa3dc9f81, 0x58767d144e32cd64,
  0x172374f257ee6866, 0x000000000004ebe3,
};

// t2313a_swio10_noled_pr_ce
static const uint64_t ur_t2313_swio10_noled_pr_ce[] = {
  0x9ddddddd5a75f1eb, 0xe5a584a9c2e35848, 0x71deeac8705fdb06, 0x20683b6fd2bc8d4f, 0x7f8f1afba9137132,
  0xe3277717e95b0821, 0xcffd844e7ca2cc13, 0x2463e7bfa8f9481f, 0x577a2f57fe7994e4, 0xd79ee5be6de339bc,
  0x874fe0ea5f900f72, 0x9e398b016717bc7b, 0xb19e3af173b6f68c, 0x5e5caad474b3f71c, 0x54aa35d64073241b,
  0xace576a96fab39d4, 0xba62552fbd7d34c9, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7,
  0x99bf9b62b518edfe, 0x59a205c9ab8d8a20, 0xfdd598f2063e8234, 0x38cb3590cf4c2d06, 0x5fb9a19961d9f451,
  0x00b75e93961133c9,
};

// t2313a_swio10_noled_pr_ce_u4
static const uint64_t ur_t2313_swio10_noled_pr_ce_u4[] = {
  0x7dddddda20dd4375, 0xcb9696041904ac70, 0xef619ed69b3fd7a1, 0x91b448b853d32e27, 0x88199b00bf7783f8,
  0x827c64ee86ed23ed, 0x060bff946ecfcae9, 0xe03850e317ebd452, 0x2445f715101e7994, 0x787fa2cbc25f886c,
  0xb96757d64c98be8b, 0xfc1e0bf201eec927, 0x62c0509ebe0f70e9, 0x3af47cec3e23b58e, 0x7740b3d500ffd99e,
  0xe5caad4412a0796b, 0x4aa35d64073241b5, 0xce576a96fab39d45, 0xa62552fbd7d34c9a, 0xefebae7b55a22bcb,
  0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x9bf9b62b518edfef, 0x115c5c9ab8d8a209, 0x3ab31e40d1c88d16,
  0xf787bde50c2a73f5, 0x2bbd147f197e627f, 0x1ee4fc0fdffc1344, 0x71966b219e98577d, 0xbf734332c3b3e8a2,
  0x00375d76391ba792,
};

// t2313a_swio10_noled_pr_ee_ce
static const uint64_t ur_t2313_swio10_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baa80b, 0xbb96962c9c23f58d, 0x97560eb53f1f5a17, 0x348b50ea2bd72b7c, 0xae3867c2e8736d93,
  0x64eed89dc9cd38c4, 0xff946ecfffc9827c, 0xf3dfd51ba5a41d3f, 0x2a547e7994e03943, 0x7fb5ae9ef9bc577a,
  0x7900f705392b74b0, 0x1eec1e4e0397ce4e, 0x1d7d839015b93f20, 0x0d7d2d8cb8e1386e, 0x139d5e9c6bed70c0,
  0x3c75e86a7697c8d3, 0x7607c476b4f6ab6e, 0x32700bd96cbe701c, 0xb52cd67d7f546c11, 0x75901cc906d7972a,
  0xaa5beace75152a8d, 0x4bef5f4d326b395d, 0xb9ed5688af2e9895, 0x9b14a7869de3bfae, 0x98653d0ea9c083ba,
  0xd8ad463b7fbd5516, 0x726ae36288266fe6, 0x1e40d1c88d166881, 0xb219e985a0dfbab3, 0x332c3b3e8a271966,
  0x7ce391ba792bf734, 0x000000000000029a,
};

// t2313a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_swio10_noled_pr_ee_ce_u4[] = {
  0xf77777689f684c7f, 0xdcb4b0c392eeb0d4, 0x76e4ed3630a8036d, 0xec454df253134162, 0x2448fd27f83b53b1,
  0x4eed8bebd6aafb82, 0xe25bf9f6bb9827c6, 0x317ea8e575207f9f, 0x44079e6538b49a6a, 0xf097e21b09117dc5,
  0xcc98be8a148fe8b2, 0xc95ba583fdac20f7, 0x1cbe7273c807b829, 0xadc9f900f760f270, 0xc709c370ebec1c80,
  0x5f6b86006be96c65, 0xb4be46989ceaf4e3, 0xa7b55b71e3af4353, 0x65f380e3b03e23b5, 0xfaa3608993805ecb,
  0x36bcb955a966b3eb, 0xa8a9546bac80e648, 0x9359caed52df5673, 0x7974c4aa5f7afa69, 0xef1dfd75cf6ab445,
  0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x41337f36c56a31db, 0xa2c22b8b93571b14, 0xfd4eacc79035a9c1,
  0x9ffde1ef79430a9c, 0xd10aef451fc65f98, 0xdf47b93f03f7ff04, 0x289c659ac867a615, 0xe4afdcd0ccb0ecfa,
  0x00004fc085859079,
};

// t2313_swio10_lednop_pr            t2313a_swio10_lednop              t2313a_swio10_lednop_pr
static const uint64_t ur_t2313_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x626a90195fe06833, 0x1887f201eef90ef9, 0xdd3200f78f70e9fc, 0xed6b23e80e62c05b,
  0x39edc72c608ebc5c, 0x1cc906d7972ab52b, 0xeace75152a8d7590, 0x326b8101395daa5b, 0xaf2e98956ae97f4d,
  0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0x43aa70363fc50216, 0x376c5104cdfcdb4f, 0x98f2068fe3459a20,
  0x3590cf4c2d06fdd5, 0xa19961d9f45138cb, 0x90249c7133c95fb9, 0x000000000000000f,
};

// t2313a_swio10_lednop_pr_u4
static const uint64_t ur_t2313_swio10_lednop_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x5ae5a58856db758d, 0xfd05fb87c6d24433, 0x7908e3f4bc7f9bc2, 0x6a1c005ef7752444,
  0x13e3277699ea0970, 0x00f7fe700e7e034c, 0x403dd389df2c22d2, 0x6800f70e9fc193de, 0xe0f9cc580b2ca60f,
  0xf6608ebd1f3b2628, 0x3cb3dbb5ba05403f, 0x4836bcb955aa1130, 0x73a8a9546bac80e6, 0x5c0809caed52df56,
  0x74c4ab574bfa6993, 0x6f6d75cf6ab44579, 0x10a905ca5af9d01e, 0xa8b48edcf43aa702, 0xdfcdb610c55bfdea,
  0x8ae2e4d5c6c5104c, 0x4eacc7903b6868b0, 0xfde1ef79430a9cfd, 0x0aef451fc65f989f, 0x47b93f03f7ff04d1,
  0x9c659ac867a615df, 0xafdcd0ccb0ecfa28, 0x0007c9c0acaa49e4,
};

// t2313a_swio10_lednop_pr_ee
static const uint64_t ur_t2313_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xa65cb4b010b92158, 0xda5e8d3df4b5a6ac, 0x6fbbcd0684db260b, 0xcdd833412b4fea4e,
  0x27c64ee989d5c706, 0x2397f9c039feaf98, 0x6e95c575ad1f7548, 0xb9c9cf201ee0a725, 0xfbf201eec1e4e039,
  0x270dc3afb007f15a, 0x399801afa5b1971c, 0x5ae73ab4b87bb763, 0x5ae875e00ced10a3, 0x80e3b022a3e927b5,
  0x9e97fe017b2e1cb3, 0xe64836bcb955a8eb, 0x5673a8a9546bac80, 0x935c0809caed52df, 0x7974c4ab574bfa69,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x1d5381b1fe2810b4, 0xe36288266fe6da7a, 0x076d0d166881726a,
  0xcf4c2d06fdd598f2, 0x61d9f45138cb3590, 0x995493c95fb9a199, 0x0000000000053e73,
};

// t2313a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t2313_swio10_lednop_pr_ee_u4[] = {
  0x6fbbbbbb44889202, 0x65cb4b010be1558e, 0x19eb4bdf4b5a6aca, 0xfbbcd0684d7a70be, 0x1795b5a2b4fea4e6,
  0x7c64ee9bad34a82b, 0x15bff164cf93a982, 0xf9ce2bad68fbaa41, 0xce4e7900f705392b, 0x37900f760f2701cd,
  0x386e1d7d803f8ae0, 0xccc00d7d2d8cb8e1, 0x3e1cead2e655bb19, 0xb5d0ebc019d93146, 0x01c762d647d04f6a,
  0xff2ffc02f65c3967, 0x9920daf2e556a3aa, 0x59cea2a551aeb203, 0x4d7020272bb54b7d, 0xe5d312ad5d2fe9a6,
  0x2e7407973daad115, 0x95844c2f52d794e0, 0x43aa7022fdc50216, 0x5c6c5104cdfcdb4f, 0x03f2868b08ae2e4d,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac,
  0x4cfaa49e4afdcd0c, 0x000000000013af92,
};

// t2313a_swio10_lednop_pr_ce
static const uint64_t ur_t2313_swio10_lednop_pr_ce[] = {
  0x4eeeeeeead3ad214, 0xb969612a7331ac24, 0xd537a6d7af17f6c1, 0x103412e3b6fc5d93, 0x4c17b11dd489b899,
  0xe3277619e9bb68ad, 0xaffd844e7d2b4c13, 0x497dcf7f51f29054, 0x577a285afcf329c8, 0x219ee5be6de339bc,
  0xc3a7f0752fc807ba, 0xd21cc580a7afc83d, 0x58cf1d78b9da3247, 0xd7972ab51d741b8e, 0x152a8d75901cc906,
  0x01395daa5beace75, 0x956ae97f4d326b81, 0xaeb9ed5688af2e98, 0x20b94b5f3a03cded, 0x91db9e8754e04215,
  0x6d84263b7fbd5516, 0xb93571b1441337f3, 0x1e40c7d0468b3440, 0xb219e985a0dfbab3, 0x332c3b3e8a271966,
  0x0392c226792bf734, 0x0000000000000b75,
};

// t2313a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t2313_swio10_lednop_pr_ce_u4[] = {
  0xdbbbbbb441bad562, 0x9b9696041890ac6a, 0xfd377b426eff0b48, 0x165789b26d4c6de2, 0x18d841331ddd59fb,
  0x827c64eec0bdb236, 0x0297ff946ecfe049, 0xc070bac62fd65f52, 0x488bee2a203cf329, 0xb07f459784bf10d8,
  0xcb3abe3399317d17, 0xe0ea5f900f74433d, 0x8b014f5f907b874f, 0x3af173b4648fa439, 0x556a3ae8371cb19e,
  0x1aeb2039920daf2e, 0xbb54b7d59cea2a55, 0xd2fe9a64d7020272, 0xdaad115e5d312ad5, 0x96be74079bdb5d73,
  0x3d0ea9c0842a4172, 0x4c76ff7aaa2d23b7, 0xe36288266fe6db08, 0x472234584571726a, 0x30a9cfd4eacc7903,
  0x65f989ffde1ef794, 0x7ff04d10aef451fc, 0x7a615df47b93f03f, 0x0ecfa289c659ac86, 0xe46e9e4afdcd0ccb,
  0x0000000000dd7814,
};

// t2313a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t2313_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd0dd4375, 0xddcb4b164e7d3ac6, 0x77b1c75e9c2fad0b, 0x9a45a8647ea29bb9, 0x699d0be17439b6c9,
  0x32774376c0b6c5c9, 0xff946ecfa6dcc13e, 0xf3dfd51ba5a40337, 0x2d257e7994e03863, 0x7fb5ae9ef9bc577a,
  0x7900f705392b2eb0, 0x1eec1e4e0397ce4e, 0x1d7d839015ba5f20, 0x0d7d2d8cb8e1386e, 0x439d5e9c7fb970c0,
  0x1e3af4353b6948f2, 0x761314707e7b55b7, 0x32700bd96cbe701c, 0x5a967d02cf546c11, 0xbac80e64836bcb95,
  0xd52df5673a8a9546, 0xbfa69935c0809cae, 0xab4457974c4ab574, 0xaf9d01e6f6d75cf6, 0x43aa70210a905ca5,
  0x1dbfdeaa8b48edcf, 0xd8a2099bf9b6c213, 0x7223459a205c9ab8, 0x616837eeacc79034, 0xcfa289c659ac867a,
  0x6e9e4afdcd0ccb0e, 0x000000014d3248e4,
};

// t2313a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_swio10_lednop_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4173e, 0xee5a5861c837586a, 0x4ec0bd066b4401b6, 0xec454dcbbe4b646c, 0x8cfe9d27f83b53b1,
  0x4eeefde80a44f89c, 0xf12dfcf8a49827c6, 0x317ea8e57520adff, 0x880f3cca71692d6e, 0xe12fc4361222fb8a,
  0x99317d14617fd165, 0x92b2eb07fb5841ef, 0x397ce4e7900f7053, 0x5ba5f201eec1e4e0, 0x8e1386e1d7d83901,
  0xfb970c00d7d2d8cb, 0xb6948f2439d5e9c7, 0xe7b55b71e3af4353, 0xcbe701c761314707, 0xf546c1132700bd96,
  0x36bcb955a967d02c, 0xa8a9546bac80e648, 0x0809caed52df5673, 0xc4ab574bfa69935c, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0x9b6c2131dbfdeaa8, 0xc5c9ab8d8a2099bf, 0x63c81ad4e0d16115,
  0xf7bca1854e7ea756, 0xa28fe32fcc4ffef0, 0x9f81fbff82688577, 0xcd6433d30aefa3dc, 0x686658767d144e32,
  0xf98c42c83cf257ee, 0x0000000000000009,
};

/*
 * t2313_swio11_noled_pr             t2313_swio12_noled                t2313_swio12_noled_pr
 * t2313a_swio11_noled               t2313a_swio11_noled_pr            t2313a_swio12_noled
 * t2313a_swio12_noled_pr
 */
static const uint64_t ur_t2313_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x203d7fc0d067fba9, 0xe403dd109df2dd05, 0xd7e41ee1d3f83aff, 0x464d1cc580b7ba63,
  0x1cb1823af173b41f, 0x1b5e5caad4ac27b7, 0xd454aa35d6407324, 0x9ace576a96fabb39, 0xf2e9895b1bd7d34c,
  0xde3bfaeb9ed5688a, 0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x41337f36cf5b8ab7, 0xa3f8d166880ddb14,
  0xd30b41bf75663c81, 0x767d144e32cd6433, 0x1c4cf257ee686658, 0x000000000f901c5f,
};

// t2313_swio12_noled_pr_u4          t2313a_swio11_noled_pr_u4         t2313a_swio12_noled_pr_u4
static const uint64_t ur_t2313_swio11_noled_pr_u4[] = {
  0x113777768bb128ae, 0x5cb4b10ac32b13dd, 0xdcc750e244c8866b, 0xc85c4bafad0c9f8f, 0x006db793767ba223,
  0x9f193bbf4f490123, 0x6dfff38073e63e60, 0x01ee050ef96dee90, 0x2f87b874fe0c9af2, 0x229cc580b2ca6dbf,
  0x6608ebd1f3b2d746, 0xcb3dbe909e5403ff, 0x06d7972ab567dd03, 0x75152a8d75901cc9, 0x26b395daa5beaece,
  0xbcba6256c6f5f4d3, 0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x104cdfcdb3d6e2ad,
  0x68b08ae2e4d5c6c5, 0x9cfd4eacc7903b68, 0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff,
  0xfa289c659ac867a6, 0x49e4afdcd0ccb0ec, 0x0000001f2610bcaa,
};

// t2313_swio12_noled_pr_ee          t2313a_swio11_noled_pr_ee         t2313a_swio12_noled_pr_ee
static const uint64_t ur_t2313_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x5cb4b010b833ac24, 0xbd7afac47c5eaca6, 0xe6825ed9024217d0, 0xbb7a75a7f52245dd,
  0x4eef91d3128ce199, 0xfce01cfece9827c6, 0xc575ad1edfa412bb, 0xcf201ee0a7257f39, 0x01eec1e4e03051c9,
  0xc3afb007f15feef2, 0x01afa5b1971c270d, 0x3ab4b98fb7633998, 0x3af006765f118f87, 0xb037d1f413daad74,
  0xfe017b2e1cb380e3, 0x36bcb955a8e89e97, 0xa8a9546bac80e648, 0x359caed52df57673, 0xe5d312b637afa699,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x8266fe6d9eb7156f, 0xd166881726ae3628,
  0xd06fdd598f2076d0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x0000029f00e59549,
};

// t2313_swio12_noled_pr_ee_u4       t2313a_swio11_noled_pr_ee_u4      t2313a_swio12_noled_pr_ee_u4
static const uint64_t ur_t2313_swio11_noled_pr_ee_u4[] = {
  0xefddddda20dd4375, 0x5a58085d4dd6122e, 0xc33d623e2f56532e, 0xcd04bdee3bcc4fde, 0xd8242b4fea448bbb,
  0x277437691f6c40cc, 0xfca3767ce0cc13e3, 0x15d6b47b7e906cef, 0x3c807b829c95a567, 0x07bb079380c14727,
  0x875f600fe2b7f3c8, 0x035f4b632e384e1b, 0x75697dbf6ec67330, 0xebc019d9ef47914e, 0xc5c3464d4f6ab5d0,
  0xf805ecb872ce038e, 0xb5e5caad47421e5f, 0x454aa35d64073241, 0xace576a96fabb39d, 0x2e9895b1bd7d34c9,
  0x3bcfd6b9ed5688af, 0x0b9d4ea701652a7d, 0xd53811e5e2810b4b, 0x36288266fe6da7a1, 0x72234584571726ae,
  0x0a9cfd4eacc79034, 0x5f989ffde1ef7943, 0xff04d10aef451fc6, 0xa615df47b93f03f7, 0xecfa289c659ac867,
  0x46e9e4afdcd0ccb0, 0x0000000009d75d8e,
};

// t2313_swio12_noled_pr_ce          t2313a_swio11_noled_pr_ce         t2313a_swio12_noled_pr_ce
static const uint64_t ur_t2313_swio11_noled_pr_ce[] = {
  0xe2777777569d6668, 0x69612a72a1d606d2, 0xa7b7e61f17f6c1b9, 0x410e0db194263bd7, 0x7e63c7f746d2e264,
  0xc64ee9bbd0675141, 0xdffb089cffee9827, 0x93f93dfd56bd2080, 0xaef454b5f9e65390, 0xdf3dcb7cdbc67378,
  0x0e9fc1b5f7900f73, 0x34731602a00988f7, 0xc678ebc5ced07d19, 0xbcb955a8e89edc72, 0xa9546bac80e64836,
  0x9caed52df57673a8, 0xd312b637afa69935, 0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538,
  0xcdfcdb3d6cc76ff7, 0xcd102e4d5c6c5104, 0xeeacc79031f411a2, 0xc659ac867a616837, 0xfdcd0ccb0ecfa289,
  0x005baf38b0899e4a,
};

// t2313_swio12_noled_pr_ce_u4       t2313a_swio11_noled_pr_ce_u4      t2313a_swio12_noled_pr_ce_u4
static const uint64_t ur_t2313_swio11_noled_pr_ce_u4[] = {
  0xdb777768837551eb, 0x2d2c08329bac5f8f, 0x0cf5e4327e169137, 0xae0f8ec179332b7a, 0x1090a87bb7e3f62c,
  0xf8c9dd323a103d64, 0x0fff28dd9f60b304, 0x7243c62fd671a407, 0x8bee2a203cf329c0, 0xbf459784bf10d848,
  0x3abe3399317d171b, 0xb5f7900f73df3dcb, 0x02a00988f70e9fc1, 0xc5ced07d19347316, 0xa8e89edc72c678eb,
  0xac80e64836bcb955, 0x2df57673a8a9546b, 0x37afa699359caed5, 0x3daad115e5d312b6, 0x6294f0d3bc77f5d7,
  0x0ca7a1d538107753, 0x3d6cc76ff7aaa2d3, 0x4d5c6c5104cdfcdb, 0x2068e4468b08ae2e, 0xf2861539fa9d598f,
  0x3f8cbf313ffbc3de, 0x07effe09a215de8a, 0x90cf4c2bbe8f727e, 0x9961d9f45138cb35, 0x42dc8dd3c95fb9a1,
  0x0000000000006eb8,
};

// t2313_swio12_noled_pr_ee_ce       t2313a_swio11_noled_pr_ee_ce      t2313a_swio12_noled_pr_ee_ce
static const uint64_t ur_t2313_swio11_noled_pr_ee_ce[] = {
  0x267bbbbba1bad562, 0xcb4b164e1a5ac0db, 0xde9db8ef31ad0bdd, 0x22f8fb2341419ac1, 0x4da5f0ba1c1b64cd,
  0x3bb02f4c8d86a67f, 0xca3767f76a609f19, 0xefea8e43d2031fff, 0xc87f9e65380e05a9, 0xed6ba7be6f15de8a,
  0x403dc14e4ae43c1f, 0xdd83c9c0738b939e, 0xafb07202b4ade403, 0xafa5b1971c270dc3, 0x73abd38ea52e1801,
  0xc75e86a769c51c42, 0xc2d74622cf6ab6e3, 0x4e017b2d97ce038e, 0xa9664f73ca8d8226, 0xac80e64836bcb955,
  0x2df57673a8a9546b, 0x37afa699359caed5, 0x3daad115e5d312b6, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753,
  0x3d6cc76ff7aaa2d3, 0x4d5c6c5104cdfcdb, 0xc81a3911a2cd102e, 0x433d30b41bf75663, 0x658767d144e32cd6,
  0x4e72374f257ee686, 0x0000000000014d35,
};

// t2313_swio12_noled_pr_ee_ce_u4    t2313a_swio11_noled_pr_ee_ce_u4   t2313a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_swio11_noled_pr_ee_ce_u4[] = {
  0x3f7777689f68cc7f, 0x5a5861c8e358c776, 0x991d2b648401b6ee, 0x11c2960d33083276, 0xb34b49fe0f8eec7b,
  0xbb9f7ad3947d19c1, 0x4b7f3f002609f193, 0x5faa3df7482d6ffc, 0x03cf329c5a49db8c, 0x4bf10d8488bee2a2,
  0x4c5f45575ff45978, 0xae43c1fed6107be6, 0x38b939e403dc14e4, 0x4ade403dd83c9c07, 0xc270dc3afb07202b,
  0x52e1801afa5b1971, 0x9c51c4273abd38ea, 0xf6ab6e3c75e86a76, 0x7ce038ec2d74622c, 0xa8d82264e017b2d9,
  0x6bcb955a9664f73c, 0x8a9546bac80e6483, 0x59caed52df57673a, 0x5d312b637afa6993, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x4cdfcdb3d6cc76ff, 0xb08ae2e4d5c6c510, 0x53ab31e40d6a7068,
  0xff787bde50c2a73f, 0x42bbd147f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0x2bf734332c3b3e8a,
  0x0009f9d3c1641e79,
};

/*
 * t2313_swio11_lednop_pr            t2313_swio12_lednop               t2313_swio12_lednop_pr
 * t2313a_swio11_lednop              t2313a_swio11_lednop_pr           t2313a_swio12_lednop
 * t2313a_swio12_lednop_pr
 */
static const uint64_t ur_t2313_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x5200f7fe06833f01, 0xfe403dd921df2dd0, 0xd29311ee1d3f83af, 0x547d21cc580b7ba6,
  0xb8e58c11d78b9d84, 0x41b5e5caad4acc17, 0x9d454aa35d640732, 0x0404e576a96fabb3, 0x312b97a5fd34c9ae,
  0x9fad73daad115e5d, 0xabd4b0b29b167407, 0x7028be8a042d3573, 0x5104cdfcdb4f43aa, 0x068fe3459a20376c,
  0xcf4c2d06fdd598f2, 0x61d9f45138cb3590, 0x5c7133c95fb9a199, 0x000000000007c800,
};

// t2313_swio12_lednop_pr_u4         t2313a_swio11_lednop_pr_u4        t2313a_swio12_lednop_pr_u4
static const uint64_t ur_t2313_swio11_lednop_pr_u4[] = {
  0x889bbbbb45d8ad4e, 0xe5a588561b7589ee, 0xb1fbebfc2e44335a, 0x90b8918ebd2282fd, 0x1e5c7c5eecf74447,
  0xf8c9ddf23ac8233f, 0x3dff9c039f5f7304, 0x0f720077cb6f7482, 0x943dc3a7f064d790, 0xbe731602cb29a3de,
  0x9823af47ced10a31, 0x2cf6c45e91500ffd, 0x0daf2e556afadc0f, 0xea2a551aeb203992, 0x20272bb54b7d5d9c,
  0x895cbd2fe9a64d70, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xf36c648ab7fbd551,
  0xb8b93571b1441337, 0xab31e40eda1a2c22, 0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442,
  0x1966b219e98577d1, 0xf734332c3b3e8a27, 0x01f278c72a92792b,
};

// t2313_swio12_lednop_pr_ee         t2313a_swio11_lednop_pr_ee        t2313a_swio12_lednop_pr_ee
static const uint64_t ur_t2313_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0x2e5a58085d68ac24, 0x69ed0bd1835f5653, 0x7779a097bd53763c, 0xfbc5ec8569fd4891,
  0xf8c9dda67bf4ee09, 0x6b7f9c039f4b5304, 0x43b8aeb5a3dbf480, 0x3939e403dc14e4ae, 0x5e403dd83c9c060a,
  0xe1b875f600fe2ba9, 0x330035f4b632e384, 0xbce756978f76ec67, 0xae875e00cedf2237, 0x1c7637b4770e7b55,
  0x72ffc02f65c39670, 0x920daf2e556a3ac1, 0x9cea2a551aeb2039, 0x7020272bb54b7d5d, 0xe9895cbd2fe9a64d,
  0x3cfd6b9ed5688af2, 0x9d5ea58594d8b3a0, 0x538145f4502169ab, 0x6288266fe6da7a1d, 0x6d0d166881726ae3,
  0x4c2d06fdd598f207, 0xd9f45138cb3590cf, 0x5493c95fb9a19961, 0x0000000014f8a9d9,
};

// t2313_swio12_lednop_pr_ee_u4      t2313a_swio11_lednop_pr_ee_u4     t2313a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t2313_swio11_lednop_pr_ee_u4[] = {
  0xde4ddddda2447032, 0x72d2c042f42eb05e, 0xf4d2ec01e97c49b5, 0x299c7e19e2f53647, 0x05642b4fea42f6f2,
  0x4ee9dad8e29caa2d, 0xff164cfa5a9827c6, 0xc575ad198fa4035b, 0xcf201ee0a7256c15, 0x01eec1e4e03d29c9,
  0xc3afb007f15975f2, 0x01afa5b1971c270d, 0x3ab4bb93b70fb998, 0x75e86a763d51af87, 0x62214637e7b55ae8,
  0xff00bd96cbe701c7, 0x1c5f484f2a3608cb, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd326b8101395daa5,
  0x457974c4ae5e97f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0xa2099bf9b632455b,
  0x0d16115c5c9ab8d8, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0xe09a215de8a3f8cb, 0xc2bbe8f727e07eff,
  0x9f45138cb3590cf4, 0x493c95fb9a19961d, 0x000000013ae599f5,
};

// t2313_swio12_lednop_pr_ce         t2313a_swio11_lednop_pr_ce        t2313a_swio12_lednop_pr_ce
static const uint64_t ur_t2313_swio11_lednop_pr_ce[] = {
  0xe2777777569d2d3a, 0x69612a7217d606d2, 0x15ac1d4c17f6c1b9, 0x0872a18dbad14dee, 0xd8ff4bba36971322,
  0x64eeb4bd3f647f1d, 0xffb089cffce9827c, 0xa953dfd56bd2028b, 0xbd17a7ff3cca7212, 0x4f72df36f19cde2b,
  0xa7f06d7de403ddf2, 0x9cc580bd46483dc3, 0x3c75e2e76c8a8ee1, 0x5caad475d26e3963, 0xaa35d64073241b5e,
  0x576a96fabb39d454, 0x7a5fd34c9ae0404e, 0x3daad115e5d312b9, 0x296be74079bdb5d7, 0x73d0ea9c0842a417,
  0x90c76ff7aaa2d23b, 0xd5c6c5104cdfcdb1, 0x031f411a2cd102e4, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x8b0899e4afdcd0cc, 0x00000000000b7524,
};

// t2313_swio12_lednop_pr_ce_u4      t2313a_swio11_lednop_pr_ce_u4     t2313a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t2313_swio11_lednop_pr_ce_u4[] = {
  0xedbbbbb441baba31, 0xcb4b020cb4562fc7, 0x3f7a5ef9bf85a44d, 0x2b83a9bc77001bbd, 0x5b64217eedf8fd8b,
  0xf8c9dd667ad14051, 0x0fff28dd9fcad304, 0x70a5c62fd671a405, 0x8bee2a203cf329c0, 0xff459784bf10d848,
  0x3abe3399317d14d6, 0xb5f7900f77c93dcb, 0x02f51920f70e9fc1, 0x8b9db22a3b867316, 0x51d749b8e58cf1d7,
  0x5901cc906d7972ab, 0x5beaece75152a8d7, 0x4d326b8101395daa, 0x4457974c4ae5e97f, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x1441337f36c6431d, 0x11a2c22b8b93571b, 0x4e7ea75663c81a39,
  0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff, 0x7d144e32cd6433d3, 0x74f257ee68665876,
  0x00000006ebe31723,
};

// t2313_swio12_lednop_pr_ee_ce      t2313a_swio11_lednop_pr_ee_ce     t2313a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t2313_swio11_lednop_pr_ee_ce[] = {
  0x75fbbbbba1baa80b, 0xcb4b164e11fac7a5, 0xab076c7d4379122d, 0x071b7515eb95be4b, 0x1c33e17439e95d7f,
  0x776c4ee4e69c6257, 0xca3767ffe4c13e32, 0xefea8dc9d20e9fff, 0x2a3f3cca701ca1f9, 0xdad75194de2bbd15,
  0x807b829c95ba583f, 0xbb079380d7c7273c, 0x5f60e4056e4fc807, 0x5f4b632e384e1b87, 0xe757a71afb5c3003,
  0x8ebc019da5f234c4, 0xc0f88ed69ed56dc7, 0x3805ecb872ce038e, 0x6d7972ab5c63d219, 0x5152a8d75901cc90,
  0x01395daa5beaece7, 0x4ae5e97f4d326b81, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a,
  0x36c6431dbfdeaa8b, 0x0b93571b1441337f, 0x98f2068e4468b344, 0x3590cf4c2d06fdd5, 0xa19961d9f45138cb,
  0xd3e71c8dd3c95fb9, 0x0000000000000014,
};

// t2313_swio12_lednop_pr_ee_ce_u4   t2313a_swio11_lednop_pr_ee_ce_u4  t2313a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_swio11_lednop_pr_ee_ce_u4[] = {
  0x8fddddda27da1f68, 0x96961872e0d631dd, 0xaccf717a09006dbb, 0x88e151c560b45817, 0xd989a4ff07c7763d,
  0x3ba3afad882d9391, 0x896fe7f1ba609f19, 0x8bf547bee9035dff, 0x203cf329c5a4c411, 0x84bf10d8488bee2a,
  0x3262fa2f53bf4597, 0x25652e0ff6b083df, 0x39c5c9cf201ee0a7, 0x5c87f201eec1e4e0, 0x8e1386e1d7d83901,
  0xe4d70c00d7d2d8cb, 0xb1ea8d7c39d5e9c6, 0xe7b55b71e3af4353, 0xcbe701c762214637, 0xe546c1132700bd96,
  0x1b5e5caad4b3e909, 0xd454aa35d6407324, 0x404e576a96fabb39, 0x12b97a5fd34c9ae0, 0xb5d73daad115e5d3,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0xe2e4d5c6c5104cdf, 0x31e40d6a7068b08a,
  0x7bde50c2a73f53ab, 0xd147f197e627ff78, 0x4fc0fdffc13442bb, 0x66b219e98577d1ee, 0x34332c3b3e8a2719,
  0xfc5d81641e792bf7, 0x0000000000000004,
};

// t2313_swio13_noled_pr             t2313a_swio13_noled               t2313a_swio13_noled_pr
static const uint64_t ur_t2313_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0xd2520dbffe06833e, 0xf3de403dd109df2d, 0xa69c56b8f70e9fc1, 0x5c3464d1cc580b7b,
  0xff71cb1823af173b, 0x64836bcb955a9595, 0x673a8a9546bac80e, 0x4d672bb54b7d54df, 0xcba6255abdebe9a6,
  0x4ef3f5ae7b55a22b, 0xc2e753a9c0594a9f, 0x754e045fb8a042d2, 0xed8a2099bf9b69e8, 0x1e40d1fc68b34406,
  0xb219e985a0dfbab3, 0x332c3b3e8a271966, 0x01cb8e26792bf734, 0x00000000000007c8,
};

// t2313a_swio13_noled_pr_u4
static const uint64_t ur_t2313_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8bf82, 0xb5cb4b10ac4ceb05, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426e965444,
  0x27c64ee989d5a20d, 0x0195fe700e7dfc98, 0x807ba5f1df2d07e9, 0xa711ee1d3f83e83c, 0x7bd9cc580b2ca632,
  0xfb30475e8f9d9ef4, 0x3cb3dbb864d2a01f, 0x4836bcb955aaad50, 0x73a8a9546bac80e6, 0xd672bb54b7d54df6,
  0xba6255abdebe9a64, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x1337f36c8122adfe,
  0x2c22b8b93571b144, 0x3f53ab31e40eda1a, 0x27ff787bde50c2a7, 0x3442bbd147f197e6, 0x77d1ee4fc0fdffc1,
  0x8a271966b219e985, 0x792bf734332c3b3e, 0x000003e4fa7b2a92,
};

// t2313a_swio13_noled_pr_ee
static const uint64_t ur_t2313_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xfbbcd07c59b0b402, 0x4b3f764eb4fea4d9,
  0xf8c9dde4bb4cd1db, 0x7dff9c039f8ad304, 0xe95c575ad1995483, 0x9c9cf201ee0a7256, 0x7e403dd83c9c072f,
  0xe1b875f600fe2b72, 0x330035f4b632e384, 0xae73ab4bbf96ec67, 0xae875e00ced37235, 0x0e3b11923e927b55,
  0xa97fe017b2e1cb38, 0x64836bcb955a8e89, 0x673a8a9546bac80e, 0x4d672bb54b7d54df, 0xcba6255abdebe9a6,
  0x78efebae7b55a22b, 0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x41337f36c8122adf, 0x68b3440b93571b14,
  0x6837eeacc7903b68, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x00000053e124caa4,
};

// t2313a_swio13_noled_pr_ee_u4
static const uint64_t ur_t2313_swio13_noled_pr_ee_u4[] = {
  0xfdddddda20dd4375, 0x5cb4b010ba9bac6c, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea4d9f,
  0xe3277437691f6c40, 0xeffca3767ce0cc13, 0xb38aeb5a332a906c, 0x939e403dc14e4ad2, 0xc807bb079380e5f3,
  0x1b875f600fe2b7f3, 0x30035f4b632e384e, 0x4e75697dbf6ec673, 0xd0ebc019d9ef4791, 0x8ec5c3464d4f6ab5,
  0x5ff805ecb872ce03, 0x41b5e5caad47421e, 0x9d454aa35d640732, 0xb395daa5beaa6fb3, 0xd312ad5ef5f4d326,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0x4f43aa7023cbc502, 0x4d5c6c5104cdfcdb, 0x2068e4468b08ae2e,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a215de8a, 0x90cf4c2bbe8f727e, 0x9961d9f45138cb35,
  0xbb1c8dd3c95fb9a1, 0x00000000000013ae,
};

// t2313a_swio13_noled_pr_ce
static const uint64_t ur_t2313_swio13_noled_pr_ce[] = {
  0x5eeeeeeead3a422f, 0x72d2c254e78fac78, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7eef85dc4c,
  0xf193ba7ef717d91b, 0xdffec2273ee4e609, 0x2501a7bfabdf4817, 0x577a2d0ffe7994e4, 0x319ee5be6de339bc,
  0xc3a7f0621fc807b9, 0xd01cc580ba54423d, 0xb19e3af173b0df47, 0xaf2e556a3a26b71c, 0x2a551aeb2039920d,
  0xaed52df5537d9cea, 0x956af7afa699359c, 0xaeb9ed5688af2e98, 0xba9b14a7869de3bf, 0x1698653d0ea9c083,
  0xf9b640863b7fbd55, 0x205c9ab8d8a2099b, 0x598f2063e823459a, 0xb3590cf4c2d06fdd, 0x9a19961d9f45138c,
  0xdd553961133c95fb, 0x0000000000000002,
};

// t2313a_swio13_noled_pr_ce_u4
static const uint64_t ur_t2313_swio13_noled_pr_ce_u4[] = {
  0x5bbbbbb441baa80b, 0x9b9696041b0aac1b, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fdd369fb,
  0x04f8c9ddb13b515a, 0x05d7ff28dd9f53d3, 0xc070e1c62fd500a4, 0x488bee2a203cf329, 0xf5ff459784bf10d8,
  0xcb3abe3399317d17, 0xe0c43f900f72633d, 0x8b0174a8847b874f, 0x75e2e761be8fa039, 0xaad4744d6e39633c,
  0x35d64073241b5e5c, 0x5beaa6fb39d454aa, 0xef5f4d326b395daa, 0xdaad115e5d312ad5, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0x810c76ff7aaa2d30, 0x3571b1441337f36c, 0x81a3911a2c22b8b9, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x1fbff82688577a28, 0x433d30aefa3dc9f8, 0x658767d144e32cd6, 0x9e72374f257ee686,
  0x000000000000dd7e,
};

// t2313a_swio13_noled_pr_ee_ce
static const uint64_t ur_t2313_swio13_noled_pr_ee_ce[] = {
  0x01bbbbbba1baba31, 0xddcb4b164e2e3ac4, 0x9db2ef5e9c2fad0b, 0x669173168a1062fe, 0x89891a7c2e872002,
  0xc64eeb33db1202bc, 0xfff946ecf8689827, 0x3f3dfd519c3a4163, 0xa2dc8fe7994e039d, 0x07fb5ae9ef9bc577,
  0xe7900f705392b387, 0x00f760f2701a00e4, 0x70ebec1c80afe779, 0x006be96c65c709c3, 0xf21ceaf4e328ab86,
  0xb8f1d7a1a9d90047, 0x71d87bd1ef73daad, 0x44c9c02f65b2f9c0, 0x556a5993582d51b0, 0x1aeb2039920daf2e,
  0x2df5537d9cea2a55, 0xf7afa699359caed5, 0xed5688af2e98956a, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0x40863b7fbd551698, 0x9ab8d8a2099bf9b6, 0x90347223459a205c, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0xe4e46e9e4afdcd0c, 0x00000000000534c0,
};

// t2313a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_swio13_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c123587a, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1de9d8,
  0x93ba55fb61900a3b, 0xf896fe7d0fa609f1, 0x8c5faa3b75483107, 0x5101e7994e2d23fc, 0xbc25f886c2445f71,
  0xf99317d17ce5fa2c, 0x392b38707fb5841e, 0x01a00e4e7900f705, 0x0afe77900f760f27, 0x5c709c370ebec1c8,
  0x328ab86006be96c6, 0x9d90047f21ceaf4e, 0xf73daadb8f1d7a1a, 0x5b2f9c071d87bd1e, 0x82d51b044c9c02f6,
  0x20daf2e556a59935, 0xcea2a551aeb20399, 0x59caed52df5537d9, 0xe98956af7afa6993, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x99bf9b640863b7fb, 0x6115c5c9ab8d8a20, 0xa75663c81ad4e0d1,
  0xfef0f7bca1854e7e, 0x8577a28fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x57ee686658767d14,
  0x0009f90282c83cf2,
};

// t2313_swio13_lednop_pr            t2313a_swio13_lednop              t2313a_swio13_lednop_pr
static const uint64_t ur_t2313_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0xd25208f7fe06833e, 0xf3de403dcbe1df2d, 0xd31eb108f70e9fc1, 0xb7b4770ce62c05bd,
  0x9fb8e58c11d78b9d, 0x3241b5e5caad4ac5, 0xb39d454aa35d6407, 0x101395daa5beaa6f, 0x62572497f4d326b8,
  0x3f5ae7b55a22bcba, 0x57a96165362ce80f, 0xe04e7d14085a6ae7, 0xa2099bf9b69e8754, 0x0d1fc68b34406ed8,
  0x9e985a0dfbab31e4, 0xc3b3e8a271966b21, 0xf8e26792bf734332, 0x00000000007c80e2,
};

// t2313a_swio13_lednop_pr_u4
static const uint64_t ur_t2313_swio13_lednop_pr_u4[] = {
  0xb2b7777768bb1762, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6e96544,
  0xc13e3277792e9b08, 0x2031ffe700e7ea54, 0xc807bb4a3be5a0fd, 0x3cf51ee1d3f83e83, 0x8e32398b016594c6,
  0xff6608ebd1f3b7c8, 0x07967b7bddc35403, 0xc906d7972ab5815a, 0xce75152a8d75901c, 0x404e576a96faa9be,
  0x895c925fd34c9ae0, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421, 0xcdb2ec8ab7fbd551,
  0xe2e4d5c6c5104cdf, 0xacc7903b6868b08a, 0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a,
  0x659ac867a615df47, 0xdcd0ccb0ecfa289c, 0x07c9aeccaa49e4af,
};

// t2313a_swio13_lednop_pr_ee
static const uint64_t ur_t2313_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x3f779a0f8bdc29a9, 0xc333766c569fd49b,
  0x4f8c9ddf23a62519, 0x1c1ff38073f43f30, 0xce1b8aeb5a332a90, 0xf3939e403dc14e4a, 0x17c807bb079380e5,
  0x9c370ebec01fc565, 0xe66006be96c65c70, 0x989cead2e63edd8c, 0xb5d0ebc019db2446, 0x038ec41f476b4f6a,
  0x3e5ff805ecb872ce, 0x3241b5e5caad474b, 0xb39d454aa35d6407, 0x101395daa5beaa6f, 0x62572497f4d326b8,
  0x3f5ae7b55a22bcba, 0x57a96165362ce80f, 0xe04e7d14085a6ae7, 0xa2099bf9b69e8754, 0x43459a205c9ab8d8,
  0x0b41bf75663c81db, 0x7d144e32cd6433d3, 0x24f257ee68665876, 0x0000000a7c039655,
};

// t2313a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t2313_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222044, 0x6ae5a58085debd63, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd49e2,
  0x7c64ee8f6d12210e, 0xe0ffe2c99fa1f982, 0xa79c575ad1bf9480, 0x5c9cf201ee0a7256, 0xbf201eec1e4e033d,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0xdc73ab4ba56b70fb, 0xae875e86a76ea11c, 0x0e3b1f2238ca7b55,
  0x465ff805ecb65f38, 0xab51c5dc326951b0, 0xd75901cc906d7972, 0x6faa9bece75152a8, 0x34c9ae0404e576a9,
  0x88af2e9895c925fd, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f, 0x7fbd551691db9e87, 0x5104cdfcdb2ec8ab,
  0x868b08ae2e4d5c6c, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d10aef451fc65, 0x615df47b93f03f7f,
  0xcfa289c659ac867a, 0xa49e4afdcd0ccb0e, 0x00000004eb842cfa,
};

// t2313a_swio13_lednop_pr_ce
static const uint64_t ur_t2313_swio13_lednop_pr_ce[] = {
  0x2f777777569d6668, 0xb969612a736dd63c, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600ddf0bb8,
  0x04f8c9dd377a0cea, 0x0e97ff61139f2973, 0x721231f3dfd5efa4, 0x6f15de8a96bf3cca, 0xeef927b96f9b78ce,
  0x8f70e9fc1887f201, 0xa3b86731602a00f7, 0xc72c678ebc5cedbd, 0x06d7972ab51d2cfd, 0x75152a8d75901cc9,
  0x4e576a96faa9bece, 0x5c925fd34c9ae040, 0x6b9ed5688af2e989, 0xa58594d8b3a03cfd, 0x73e3182169ab9d5e,
  0x4cdfcdb4f43aa702, 0x2cd102e4d5c6c510, 0x7eeacc79031f411a, 0x9c659ac867a61683, 0xafdcd0ccb0ecfa28,
  0x0005baf38b0899e4,
};

// t2313a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t2313_swio13_lednop_pr_ce_u4[] = {
  0xadddddda20dd4375, 0x4dcb4b020c82560d, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017ee9b4fd,
  0x04f8c9dd0dda47db, 0x0c17ff28dd9f95d3, 0xc070a1c62fd500a4, 0x488bee2a203cf329, 0xf0ff459784bf10d8,
  0xcb3abe3399317d16, 0xe0c43f900f76493d, 0x160284f5f07b874f, 0x75e2e761f11dac73, 0x55a8eae1ee39633c,
  0x6bac80e64836bcb9, 0xb7d54df673a8a954, 0x9a64d7020272bb54, 0x4457974c4ae492fe, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x5104cdfcdb2ec31d, 0x468b08ae2e4d5c6c, 0x39fa9d598f2068e4,
  0x313ffbc3def28615, 0x09a215de8a3f8cbf, 0x2bbe8f727e07effe, 0xf45138cb3590cf4c, 0xd3c95fb9a19961d9,
  0x0000001baebb1c8d,
};

// t2313a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t2313_swio13_lednop_pr_ee_ce[] = {
  0x19bbbbbba1bad562, 0x45b96962c9c34b58, 0xb077a76b53f1ef22, 0xd7f07802c8d05066, 0x4cfe9b4be1743831,
  0x3e3277605e991b0d, 0x3fff946ecfeed4c1, 0x0b53dfd51a56a406, 0xbd1590ff3cca701c, 0x783fdad75194de2b,
  0x273c807b829c95c8, 0xc807bb079380e6e7, 0x1b875f60e405695b, 0x30035f4b632e384e, 0x3884e757a71d4a5c,
  0xb6e3c75e00ced38a, 0x038ec2d74622cf6a, 0xe1993805ecb872ce, 0x9920daf2e556b8c6, 0xd9cea2a551aeb203,
  0x0809caed52df5537, 0x312b924bfa69935c, 0xdb5d73daad115e5d, 0x2a417296be74079b, 0x2d23b73d0ea9c084,
  0xf36cbb0c76ff7aaa, 0x40b93571b1441337, 0x598f2068e4468b34, 0xb3590cf4c2d06fdd, 0x9a19961d9f45138c,
  0x34d539c8dd3c95fb, 0x0000000000000005,
};

// t2313a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_swio13_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b00b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1c17f,
  0x327773ef5a728fa3, 0xff896fe7e004c13e, 0x718bf547812905ad, 0x544079e6538b493b, 0x2f097e21b09117dc,
  0x94c98be8aaebfe8b, 0x9c95c8783fdac211, 0x80e6e7273c807b82, 0x05695bc807bb0793, 0x2e384e1b875f60e4,
  0x1d4a5c30035f4b63, 0xced38a3884e757a7, 0x22cf6ab6e3c75e00, 0xb872ce038ec2d746, 0x56b8c6e1993805ec,
  0xaeb2039920daf2e5, 0xdf5537d9cea2a551, 0x69935c0809caed52, 0x115e5d312b924bfa, 0x74079bdb5d73daad,
  0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0x441337f36cbb0c76, 0x1a2c22b8b93571b1, 0xcfd4eacc79035a9c,
  0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf,
  0x0000027e74f05907,
};

// t2313_swio14_noled_pr             t2313a_swio14_noled               t2313a_swio14_noled_pr
static const uint64_t ur_t2313_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x05203d7fc0d067fb, 0xffe403dd109df2dd, 0x63d7e41ee1d3f83a, 0x1f464d1cc580b7ba,
  0xb71cb1823af173b4, 0x241b5e5caad4ac27, 0x39d454aa35d64073, 0x26b3a6e576a96fab, 0x5e5d312b63f7f4d3,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x88266fe6d9eb7156, 0x347f1a2cd101bb62,
  0x7a616837eeacc790, 0x0ecfa289c659ac86, 0xe3899e4afdcd0ccb, 0x0000000001f2038b,
};

// t2313a_swio14_noled_pr_u4
static const uint64_t ur_t2313_swio14_noled_pr_u4[] = {
  0x937777768bb128ae, 0x6b5cb4b10ac32b1a, 0x8fdcc750e244c886, 0x23c85c4bafad0c9f, 0x918036dbc9bba922,
  0x304f8c9ddfa7a480, 0x4836fff9c039f31f, 0x7900f702877cb6f7, 0xdf97c3dc3a7f064d, 0xa3114e62c0596536,
  0xffb30475e8f9d96b, 0x81e59edf484f2a01, 0x64836bcb955ab3ee, 0x673a8a9546bac80e, 0x64d674dcaed52df5,
  0x2bcba6256c7efe9a, 0xa778efebae7b55a2, 0xaa7020eea6c529e1, 0xdfef5545a6194f43, 0x5104cdfcdb3d6e2a,
  0x868b08ae2e4d5c6c, 0xa9cfd4eacc7903b6, 0xf989ffde1ef79430, 0xf04d10aef451fc65, 0x615df47b93f03f7f,
  0xcfa289c659ac867a, 0xa49e4afdcd0ccb0e, 0x00000001f2610bca,
};

// t2313a_swio14_noled_pr_ee
static const uint64_t ur_t2313_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x4cb9696021706758, 0xa17af5f588f8bd59, 0xbbcd04bdb204842f, 0x3376f4eb4fea4e6f,
  0x8c9ddf23a62519c3, 0x77f9c039fd9d304f, 0x738aeb5a3dbf4825, 0x939e403dc14e4afe, 0xe403dd83c9c060a3,
  0x1b875f600fe2bfdd, 0x30035f4b632e384e, 0x0e7569731f6ec673, 0xe875e00cecbe231f, 0xc7606fa3e827b55a,
  0x2ffc02f65c396701, 0x906d7972ab51d13d, 0xe75152a8d75901cc, 0x9ace9b95daa5beac, 0x7974c4ad8fdfd34c,
  0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x2099bf9b67adc55b, 0x3459a205c9ab8d8a,
  0xb41bf75663c81db4, 0xd144e32cd6433d30, 0x4f257ee686658767, 0x000000a7c0396552,
};

// t2313a_swio14_noled_pr_ee_u4
static const uint64_t ur_t2313_swio14_noled_pr_ee_u4[] = {
  0x7dddddda20dd4375, 0x5cb4b010ba9bac73, 0xbd867ac47c5eaca6, 0x779a097bdc77989f, 0x99b048569fd49cdf,
  0xc64ee86ed23ed881, 0xdff946ecf9c19827, 0xce2bad68f6fd20d9, 0x4e7900f705392b4a, 0x900f760f2701828e,
  0x370ebec01fc56fe7, 0x6006be96c65c709c, 0x9cead2fb7edd8ce6, 0xa1d78033b3de8f22, 0x1d8b868c9a9ed56b,
  0xbff00bd970e59c07, 0x836bcb955a8e843c, 0x3a8a9546bac80e64, 0xd674dcaed52df567, 0xcba6256c7efe9a64,
  0x4ef3f5ae7b55a22b, 0xc2e753a9c0594a9f, 0x754e047978a042d2, 0x8d8a2099bf9b69e8, 0x1c88d16115c5c9ab,
  0xc2a73f53ab31e40d, 0x97e627ff787bde50, 0xffc13442bbd147f1, 0xe98577d1ee4fc0fd, 0x3b3e8a271966b219,
  0x91ba792bf734332c, 0x000000000275d763,
};

// t2313a_swio14_noled_pr_ce
static const uint64_t ur_t2313_swio14_noled_pr_ce[] = {
  0x27777777569d6668, 0xb969612a72a1d612, 0xd7a7b7e61f17f6c1, 0x64410e0db194263b, 0x417e63c7f75226e2,
  0x27c64ee9bbd06751, 0x80dffb089cffee98, 0x9093f93dfd56bd20, 0x78aef454b5f9e653, 0x73df3dcb7cdbc673,
  0xf70e9fc1b5f7900f, 0x1934731602a00988, 0x72c678ebc5ced07d, 0x36bcb955a8e89edc, 0xa8a9546bac80e648,
  0x674dcaed52df5673, 0xba6256c7efe9a64d, 0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7,
  0x99bf9b67ad98edfe, 0x59a205c9ab8d8a20, 0xfdd598f2063e8234, 0x38cb3590cf4c2d06, 0x5fb9a19961d9f451,
  0x000b75e7161133c9,
};

// t2313a_swio14_noled_pr_ce_u4
static const uint64_t ur_t2313_swio14_noled_pr_ce_u4[] = {
  0xb7777768837551eb, 0x6e5a5810653758d5, 0xf419ebc864fc2d22, 0x595c1f1d82f26656, 0xc8212150f77567ec,
  0x09f193ba6474207a, 0x0e1ffe51bb3ec166, 0x80e4878c5face348, 0x9117dc544079e653, 0x377e8b2f097e21b0,
  0x96757c673262fa2e, 0x836bef201ee7be7b, 0x2c05401311ee1d3f, 0xd78b9da0fa3268e6, 0xab51d13db8e58cf1,
  0xd75901cc906d7972, 0xdaa5beace75152a8, 0x8fdfd34c9ace9b95, 0xcf6ab4457974c4ad, 0xd8a53c34ef1dfd75,
  0xc329e8754e041dd4, 0xcf5b31dbfdeaa8b4, 0x93571b1441337f36, 0xc81a3911a2c22b8b, 0xbca1854e7ea75663,
  0x8fe32fcc4ffef0f7, 0x81fbff82688577a2, 0x6433d30aefa3dc9f, 0x6658767d144e32cd, 0x10b72374f257ee68,
  0x0000000000001bae,
};

// t2313a_swio14_noled_pr_ee_ce
static const uint64_t ur_t2313_swio14_noled_pr_ee_ce[] = {
  0xb7bbbbbba1bad562, 0xbb96962c9c34b58d, 0x83bd3b71de635a17, 0x9a45f1f646828335, 0xfe9b4be17439b6c9,
  0x3277605e991b0d4c, 0xff946ecfeed4c13e, 0x53dfd51c87a4063f, 0x1590ff3cca701c0b, 0x3fdad74f7cde2bbd,
  0x3c807b829c95c878, 0x07bb079380e71727, 0x875f60e405695bc8, 0x035f4b632e384e1b, 0x84e757a71d4a5c30,
  0xc78ebd0d4ed38a38, 0x1d85ae8c459ed56d, 0x4c9c02f65b2f9c07, 0xab52cc9ee7951b04, 0xd75901cc906d7972,
  0xdaa5beace75152a8, 0x8fdfd34c9ace9b95, 0xcf6ab4457974c4ad, 0xd8a53c34ef1dfd75, 0xc329e8754e041dd4,
  0xcf5b31dbfdeaa8b4, 0x93571b1441337f36, 0xf2068e4468b3440b, 0x90cf4c2d06fdd598, 0x9961d9f45138cb35,
  0x539c8dd3c95fb9a1, 0x000000000000534d,
};

// t2313a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_swio14_noled_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b0d4, 0xed323a56c908036d, 0xf623852c1a661064, 0x83669693fc1da9d8,
  0x27773ef5a728fa33, 0xf896fe7e004c13e3, 0x18bf547bee905adf, 0x44079e6538b493b7, 0xf097e21b09117dc5,
  0xcc98be8aaebfe8b2, 0xc95c8783fdac20f7, 0x0e717273c807b829, 0x5695bc807bb07938, 0xe384e1b875f60e40,
  0xd4a5c30035f4b632, 0xed38a3884e757a71, 0x59ed56dc78ebd0d4, 0xb2f9c071d85ae8c4, 0x7951b044c9c02f65,
  0x06d7972ab52cc9ee, 0x75152a8d75901cc9, 0xace9b95daa5beace, 0x974c4ad8fdfd34c9, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x1337f36cf5b31dbf, 0x2c22b8b93571b144, 0xd4eacc79035a9c1a,
  0xffde1ef79430a9cf, 0x10aef451fc65f989, 0xf47b93f03f7ff04d, 0x89c659ac867a615d, 0x4afdcd0ccb0ecfa2,
  0x00027e74f059079e,
};

// t2313_swio14_lednop_pr            t2313a_swio14_lednop              t2313a_swio14_lednop_pr
static const uint64_t ur_t2313_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0xd05200f7fe06833f, 0xaffe403dd921df2d, 0xa6d29311ee1d3f83, 0x84547d21cc580b7b,
  0x17b8e58c11d78b9d, 0x3241b5e5caad4acc, 0xb39d454aa35d6407, 0x81013a6e576a96fa, 0xd312b97d8f4d326b,
  0x79fad73daad115e5, 0x3abd4b0b29b16740, 0xa7028be8a042d357, 0xc5104cdfcdb4f43a, 0x2068fe3459a20376,
  0x0cf4c2d06fdd598f, 0x961d9f45138cb359, 0x05c7133c95fb9a19, 0x0000000000007c80,
};

// t2313a_swio14_lednop_pr_u4
static const uint64_t ur_t2313_swio14_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a588561b758d, 0xfdb1fbebfc2e4433, 0x4790b8918ebd2282, 0x9f8f2e3e2f775244,
  0x827c64eef91d6411, 0x411effce01cfafb9, 0xc807b9003be5b7ba, 0xef4a1ee1d3f8326b, 0x18df398b016594d1,
  0xfecc11d7a3e76885, 0x07967b622f48a807, 0xc906d7972ab57d6e, 0xce75152a8d75901c, 0x0404e9b95daa5bea,
  0x4c4ae5f63d34c9ae, 0xf6d75cf6ab445797, 0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0xbf9b632455bfdeaa,
  0x15c5c9ab8d8a2099, 0x9d598f2076d0d161, 0xfbc3def2861539fa, 0x15de8a3f8cbf313f, 0x8f727e07effe09a2,
  0x38cb3590cf4c2bbe, 0x5fb9a19961d9f451, 0x000f93c6395493c9,
};

// t2313a_swio14_lednop_pr_ee
static const uint64_t ur_t2313_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0xa65cb4b010bad158, 0x78d3da17a306beac, 0x9beef3412f7aa6ec, 0x13f78bd90ad3fa93,
  0x09f193bb4cf7e9dc, 0x00d6ff38073e96a6, 0x5c87715d6b47b7e9, 0x147273c807b829c9, 0x52bc807bb079380c,
  0x09c370ebec01fc57, 0xce66006be96c65c7, 0x6f79cead2f1eedd8, 0xab5d0ebc019dbe44, 0xe038ec6f68ee1cf6,
  0x82e5ff805ecb872c, 0x73241b5e5caad475, 0xab39d454aa35d640, 0xb81013a6e576a96f, 0x5d312b97d8f4d326,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0xaa7028be8a042d35, 0x6c5104cdfcdb4f43, 0xeda1a2cd102e4d5c,
  0xe985a0dfbab31e40, 0x3b3e8a271966b219, 0x2a92792bf734332c, 0x00000000029f153b,
};

// t2313a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t2313_swio14_lednop_pr_ee_u4[] = {
  0x84dddddda2447032, 0x6ae5a58085e85d62, 0x8fe9a5d803d2f893, 0xe45338fc33c5ea6c, 0x2d05642b4fea4a11,
  0xc64ee9dad8e29caa, 0x5bff164cfa5a9827, 0x15c575ad198fa403, 0xc9cf201ee0a7256c, 0xf201eec1e4e03d29,
  0x0dc3afb007f15975, 0x9801afa5b1971c27, 0x873ab4bb93b70fb9, 0xe875e86a763d51af, 0xc762214637e7b55a,
  0xcbff00bd96cbe701, 0xb51c5f484f2a3608, 0x75901cc906d7972a, 0xaa5beace75152a8d, 0x34c9ae0404e9b95d,
  0x4457974c4ae5f63d, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x8a2099bf9b632455,
  0x50d16115c5c9ab8d, 0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c, 0x4c2bbe8f727e07ef,
  0xd9f45138cb3590cf, 0x5493c95fb9a19961, 0x0000000013ae599f,
};

// t2313a_swio14_lednop_pr_ce
static const uint64_t ur_t2313_swio14_lednop_pr_ce[] = {
  0x27777777569d2d3a, 0xb969612a7217d612, 0xee15ac1d4c17f6c1, 0x220872a18dbad14d, 0x1dd8ff4bba913713,
  0x7c64eeb4bd3f647f, 0x8bffb089cffce982, 0x12a953dfd56bd202, 0x2bbd17a7ff3cca72, 0xf24f72df36f19cde,
  0xc3a7f06d7de403dd, 0xe19cc580bd46483d, 0x633c75e2e76c8a8e, 0x5e5caad475d26e39, 0x54aa35d64073241b,
  0xa6e576a96fab39d4, 0x97d8f4d326b81013, 0x73daad115e5d312b, 0x7296be74079bdb5d, 0xb73d0ea9c0842a41,
  0x190c76ff7aaa2d23, 0x4d5c6c5104cdfcdb, 0x9031f411a2cd102e, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x48b0899e4afdcd0c, 0x000000000000b752,
};

// t2313a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t2313_swio14_lednop_pr_ce_u4[] = {
  0xdbbbbbb441baba31, 0x9b9696041968ac6a, 0x7a7ef4bdf37f0b48, 0x1657075378ee0037, 0xa2b6c842fddd59fb,
  0x09f193baccf5a280, 0x0a1ffe51bb3f95a6, 0x80e14b8c5face348, 0x9117dc544079e653, 0xadfe8b2f097e21b0,
  0x96757c673262fa29, 0x836bef201eef927b, 0x2c05ea3241ee1d3f, 0xaf173b6454770ce6, 0x56a3ae9371cb19e3,
  0xaeb2039920daf2e5, 0xb54b7d59cea2a551, 0xa69935c0809d372b, 0x688af2e9895cbec7, 0xf3a03cdedaeb9ed5,
  0x754e0421520b94b5, 0xb7fbd551691db9e8, 0x6288266fe6d8c863, 0x2234584571726ae3, 0xa9cfd4eacc790347,
  0xf989ffde1ef79430, 0xf04d10aef451fc65, 0x615df47b93f03f7f, 0xcfa289c659ac867a, 0x6e9e4afdcd0ccb0e,
  0x00000000dd7c62e4,
};

// t2313a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t2313_swio14_lednop_pr_ee_ce[] = {
  0x23bbbbbba1baa80b, 0x5b96962c9c23f586, 0x97560ed8fa86f224, 0xfe0e36ea2bd72b7c, 0xae3867c2e87188ba,
  0x64eed89dc9cd38c4, 0xff946ecfffc9827c, 0xf3dfd51b93a41d3f, 0x2a547e7994e03943, 0x7fb5aea329bc577a,
  0x7900f705392b74b0, 0x0f760f2701af8e4e, 0x0ebec1c80adc9f90, 0x06be96c65c709c37, 0x89ceaf4e35f6b860,
  0x8f1d78033b4be469, 0x1d81f11dad3daadb, 0x32700bd970e59c07, 0x20daf2e556b8c7a4, 0xcea2a551aeb20399,
  0x809d372bb54b7d59, 0x895cbec7a69935c0, 0xdaeb9ed5688af2e9, 0x520b94b5f3a03cde, 0x691db9e8754e0421,
  0xe6d8c863b7fbd551, 0x81726ae36288266f, 0xb31e40d1c88d1668, 0x66b219e985a0dfba, 0x34332c3b3e8a2719,
  0x9a7ce391ba792bf7, 0x0000000000000002,
};

// t2313a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda27da1f68, 0x772d2c30e5c1ac35, 0x2f599ee2f41200db, 0x7b11c2a38ac168b0, 0x23b31349fe0ed4ec,
  0x3277475f5b105b27, 0xff12dfcfe374c13e, 0x2317ea8f7dd206bb, 0x544079e6538b4988, 0x2f097e21b09117dc,
  0xbe64c5f45ea77e8b, 0x4e4aca5c1fed6107, 0xc0738b939e403dc1, 0x02b90fe403dd83c9, 0x971c270dc3afb072,
  0x8dc9ae1801afa5b1, 0xa763d51af873abd3, 0x6fcf6ab6e3c75e86, 0x2d97ce038ec4428c, 0x13ca8d82264e017b,
  0x4836bcb955a967d2, 0x73a8a9546bac80e6, 0x20274dcaed52df56, 0x62572fb1e9a64d70, 0xb6bae7b55a22bcba,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf9b63218edfef554, 0x5c5c9ab8d8a2099b, 0x663c81ad4e0d1611,
  0x0f7bca1854e7ea75, 0x7a28fe32fcc4ffef, 0xc9f81fbff8268857, 0x2cd6433d30aefa3d, 0xe686658767d144e3,
  0x9f8bb02c83cf257e,
};

// t2313_swio15_noled_pr             t2313a_swio15_noled               t2313a_swio15_noled_pr
static const uint64_t ur_t2313_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0xd2520dbffe06833e, 0xf3de403dd109df2d, 0xa69c56b8f70e9fc1, 0x5c3464d1cc580b7b,
  0xff71cb1823af173b, 0x64836bcb955a9595, 0x673a8a9546bac80e, 0x4d674dcaed52df57, 0xe5d312ad5fefe9a6,
  0xa779fad73daad115, 0x6173a9d4e02ca54f, 0x3aa7022fdc502169, 0x76c5104cdfcdb4f4, 0x8f2068fe3459a203,
  0x590cf4c2d06fdd59, 0x19961d9f45138cb3, 0x00e5c7133c95fb9a, 0x00000000000003e4,
};

// t2313a_swio15_noled_pr_u4
static const uint64_t ur_t2313_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8bf82, 0xb5cb4b10ac4ceb13, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426ecf7444,
  0x27c64ee989d5a20d, 0x0195fe700e7dfc98, 0x807ba5f1df2d07e9, 0xa711ee1d3f83e83c, 0x7bd9cc580b2ca632,
  0xfb30475e8f9d9ef4, 0x3cb3dbb864d2a01f, 0x4836bcb955aaad50, 0x73a8a9546bac80e6, 0xd674dcaed52df576,
  0x5d312ad5fefe9a64, 0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x099bf9b6409156ff,
  0x16115c5c9ab8d8a2, 0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a215de8a3f8cbf3, 0xbbe8f727e07effe0,
  0x45138cb3590cf4c2, 0x3c95fb9a19961d9f, 0x000001f27d3d9549,
};

// t2313a_swio15_noled_pr_ee
static const uint64_t ur_t2313_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xbbbcd07c59b0b402, 0x4b3f764eb4fea448,
  0xf8c9dde4bb4cd1db, 0x7dff9c039f8ad304, 0xe95c575ad1995483, 0x9c9cf201ee0a7256, 0x7e403dd83c9c072f,
  0xe1b875f600fe2b72, 0x330035f4b632e384, 0xae73ab4bbf96ec67, 0xae875e00ced37235, 0x0e3b11923e927b55,
  0xa97fe017b2e1cb38, 0x64836bcb955a8e89, 0x673a8a9546bac80e, 0x4d674dcaed52df57, 0xe5d312ad5fefe9a6,
  0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x2099bf9b6409156f, 0x3459a205c9ab8d8a,
  0xb41bf75663c81db4, 0xd144e32cd6433d30, 0x4f257ee686658767, 0x00000029f0926552,
};

// t2313a_swio15_noled_pr_ee_u4
static const uint64_t ur_t2313_swio15_noled_pr_ee_u4[] = {
  0x5dddddda20dd4375, 0x5cb4b010ba9bac24, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea448b,
  0xe3277437691f6c40, 0xeffca3767ce0cc13, 0xb38aeb5a332a906c, 0x939e403dc14e4ad2, 0xc807bb079380e5f3,
  0x1b875f600fe2b7f3, 0x30035f4b632e384e, 0x4e75697dbf6ec673, 0xd0ebc019d9ef4791, 0x8ec5c3464d4f6ab5,
  0x5ff805ecb872ce03, 0x41b5e5caad47421e, 0x9d454aa35d640732, 0xb3a6e576a96fabb3, 0xe98956aff7f4d326,
  0xeb3bcb9ed5688af2, 0x0b4b5fe2353c314d, 0xa7a1d53811e5e281, 0x26ae36288266fe6d, 0x9034722345845717,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d10aef45, 0xc867a615df47b93f, 0xccb0ecfa289c659a,
  0x5d8e46e9e4afdcd0, 0x00000000000009d7,
};

// t2313a_swio15_noled_pr_ce
static const uint64_t ur_t2313_swio15_noled_pr_ce[] = {
  0xa6eeeeeead3a422f, 0x72d2c254e78fac0d, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7ee8da5c4c,
  0xf193ba7ef717d91b, 0xdffec2273ee4e609, 0x2501a7bfabdf4817, 0x577a2d0ffe7994e4, 0x319ee5be6de339bc,
  0xc3a7f0621fc807b9, 0xd01cc580ba54423d, 0xb19e3af173b0df47, 0xaf2e556a3a26b71c, 0x2a551aeb2039920d,
  0x372bb54b7d5d9cea, 0x4ab57fbfa699359d, 0xd75cf6ab4457974c, 0xdd4d8a53c34ef1df, 0x8b4c329e8754e041,
  0xfcdb20431dbfdeaa, 0x102e4d5c6c5104cd, 0xacc79031f411a2cd, 0x59ac867a616837ee, 0xcd0ccb0ecfa289c6,
  0x6eaa9cb0899e4afd, 0x0000000000000001,
};

// t2313a_swio15_noled_pr_ce_u4
static const uint64_t ur_t2313_swio15_noled_pr_ce_u4[] = {
  0x9bbbbbb441baa80b, 0x9b9696041b0aac5f, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fddbf1fb,
  0x04f8c9ddb13b515a, 0x05d7ff28dd9f53d3, 0xc070e1c62fd500a4, 0x488bee2a203cf329, 0xf5ff459784bf10d8,
  0xcb3abe3399317d17, 0xe0c43f900f72633d, 0x8b0174a8847b874f, 0x75e2e761be8fa039, 0xaad4744d6e39633c,
  0x35d64073241b5e5c, 0x6a96fabb39d454aa, 0xff7f4d326b3a6e57, 0xed5688af2e98956a, 0x14a7869de3bfaeb9,
  0x653d0ea9c083ba9b, 0x40863b7fbd551698, 0x9ab8d8a2099bf9b6, 0x40d1c88d16115c5c, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b, 0x4f391ba792bf7343,
  0x0000000000006ebf,
};

// t2313a_swio15_noled_pr_ee_ce
static const uint64_t ur_t2313_swio15_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baba31, 0xbb96962c9c5c7581, 0x3b65debd385f5a17, 0xcd22e62d1420c5fd, 0x262469f0ba1c1b64,
  0x193baccf6c480af2, 0xffe51bb3e1a2609f, 0xfcf7f54670e9058f, 0x8b723f9e65380e74, 0x1fed6ba7be6f15de,
  0x9e403dc14e4ace1c, 0x03dd83c9c0680393, 0xc3afb07202bf9de4, 0x01afa5b1971c270d, 0xc873abd38ca2ae18,
  0xe3c75e86a764011f, 0xc761ef47bdcf6ab6, 0x132700bd96cbe701, 0x55a9664d60b546c1, 0x6bac80e64836bcb9,
  0xd52df57673a8a954, 0xfefe9a64d674dcae, 0xdaad115e5d312ad5, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0x810c76ff7aaa2d30, 0x3571b1441337f36c, 0x2068e4468b3440b9, 0x0cf4c2d06fdd598f, 0x961d9f45138cb359,
  0xc9c8dd3c95fb9a19, 0x00000000000a6981,
};

// t2313a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t2313_swio15_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c12358c7, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1f1dd8,
  0x93ba55fb61900a3b, 0xf896fe7d0fa609f1, 0x8c5faa3b75483107, 0x5101e7994e2d23fc, 0xbc25f886c2445f71,
  0xf99317d17ce5fa2c, 0x392b38707fb5841e, 0x01a00e4e7900f705, 0x0afe77900f760f27, 0x5c709c370ebec1c8,
  0x328ab86006be96c6, 0x9d90047f21ceaf4e, 0xf73daadb8f1d7a1a, 0x5b2f9c071d87bd1e, 0x82d51b044c9c02f6,
  0x20daf2e556a59935, 0xcea2a551aeb20399, 0x59d372bb54b7d5d9, 0x74c4ab57fbfa6993, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x4cdfcdb20431dbfd, 0xb08ae2e4d5c6c510, 0x53ab31e40d6a7068,
  0xff787bde50c2a73f, 0x42bbd147f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0x2bf734332c3b3e8a,
  0x0004fc8141641e79,
};

// t2313_swio15_lednop_pr            t2313a_swio15_lednop              t2313a_swio15_lednop_pr
static const uint64_t ur_t2313_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0xd25208f7fe06833e, 0xf3de403dcbe1df2d, 0xd31eb108f70e9fc1, 0xb7b4770ce62c05bd,
  0x9fb8e58c11d78b9d, 0x3241b5e5caad4ac5, 0xb39d454aa35d6407, 0x1013a6e576a96fab, 0x9895c958f4d326b8,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x38139f4502169ab9, 0x288266fe6da7a1d5, 0x0347f1a2cd101bb6,
  0x67a616837eeacc79, 0xb0ecfa289c659ac8, 0xbe3899e4afdcd0cc, 0x00000000001f2038,
};

// t2313a_swio15_lednop_pr_u4
static const uint64_t ur_t2313_swio15_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6ecf744,
  0xc13e3277792e9b08, 0x2031ffe700e7ea54, 0xc807bb4a3be5a0fd, 0x3cf51ee1d3f83e83, 0x8e32398b016594c6,
  0xff6608ebd1f3b7c8, 0x07967b7bddc35403, 0xc906d7972ab5815a, 0xce75152a8d75901c, 0x404e9b95daa5beae,
  0x62572563d34c9ae0, 0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf36cbb22adfef554,
  0xb8b93571b1441337, 0xab31e40eda1a2c22, 0x787bde50c2a73f53, 0xbbd147f197e627ff, 0xee4fc0fdffc13442,
  0x1966b219e98577d1, 0xf734332c3b3e8a27, 0x01f26bb32a92792b,
};

// t2313a_swio15_lednop_pr_ee
static const uint64_t ur_t2313_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x17779a0f8bdc29a9, 0xc333766c569fd489,
  0x4f8c9ddf23a62519, 0x1c1ff38073f43f30, 0xce1b8aeb5a332a90, 0xf3939e403dc14e4a, 0x17c807bb079380e5,
  0x9c370ebec01fc565, 0xe66006be96c65c70, 0x989cead2e63edd8c, 0xb5d0ebc019db2446, 0x038ec41f476b4f6a,
  0x3e5ff805ecb872ce, 0x3241b5e5caad474b, 0xb39d454aa35d6407, 0x1013a6e576a96fab, 0x9895c958f4d326b8,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0x38139f4502169ab9, 0x288266fe6da7a1d5, 0xd0d166881726ae36,
  0xc2d06fdd598f2076, 0x9f45138cb3590cf4, 0x493c95fb9a19961d, 0x000000029f00e595,
};

// t2313a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t2313_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222044, 0x6ae5a58085debd60, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd485e,
  0x7c64ee8f6d12210e, 0xe0ffe2c99fa1f982, 0xa79c575ad1bf9480, 0x5c9cf201ee0a7256, 0xbf201eec1e4e033d,
  0x70dc3afb007f1594, 0x99801afa5b1971c2, 0xdc73ab4ba56b70fb, 0xae875e86a76ea11c, 0x0e3b1f2238ca7b55,
  0x465ff805ecb65f38, 0xab51c5dc326951b0, 0xd75901cc906d7972, 0xaa5beaece75152a8, 0x34c9ae0404e9b95d,
  0xa22bcba62572563d, 0xce80f37b6bae7b55, 0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x1441337f36cbb22a,
  0xa1a2c22b8b93571b, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xfc13442bbd147f19, 0x98577d1ee4fc0fdf,
  0xb3e8a271966b219e, 0xa92792bf734332c3, 0x000000013ae10b3e,
};

// t2313a_swio15_lednop_pr_ce
static const uint64_t ur_t2313_swio15_lednop_pr_ce[] = {
  0xd3777777569d6668, 0xb969612a736dd606, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600dd1b4b8,
  0x04f8c9dd377a0cea, 0x0e97ff61139f2973, 0x721231f3dfd5efa4, 0x6f15de8a96bf3cca, 0xeef927b96f9b78ce,
  0x8f70e9fc1887f201, 0xa3b86731602a00f7, 0xc72c678ebc5cedbd, 0x06d7972ab51d2cfd, 0x75152a8d75901cc9,
  0x4e9b95daa5beaece, 0x572563d34c9ae040, 0x5ae7b55a22bcba62, 0xa96165362ce80f3f, 0x9cf8c6085a6ae757,
  0x1337f36d3d0ea9c0, 0x8b3440b93571b144, 0xdfbab31e40c7d046, 0x271966b219e985a0, 0x2bf734332c3b3e8a,
  0x00016ebce2c22679,
};

// t2313a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t2313_swio15_lednop_pr_ce_u4[] = {
  0xcdddddda20dd4375, 0x4dcb4b020c82562f, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017eedf8fd,
  0x04f8c9dd0dda47db, 0x0c17ff28dd9f95d3, 0xc070a1c62fd500a4, 0x488bee2a203cf329, 0xf0ff459784bf10d8,
  0xcb3abe3399317d16, 0xe0c43f900f76493d, 0x160284f5f07b874f, 0x75e2e761f11dac73, 0x55a8eae1ee39633c,
  0x6bac80e64836bcb9, 0xd52df57673a8a954, 0x9a64d7020274dcae, 0xd115e5d312b92b1e, 0xe74079bdb5d73daa,
  0xea9c0842a417296b, 0x6ff7aaa2d23b73d0, 0x1441337f36cbb0c7, 0x11a2c22b8b93571b, 0x4e7ea75663c81a39,
  0xcc4ffef0f7bca185, 0x82688577a28fe32f, 0x0aefa3dc9f81fbff, 0x7d144e32cd6433d3, 0x74f257ee68665876,
  0x00000006ebaec723,
};

// t2313a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t2313_swio15_lednop_pr_ee_ce[] = {
  0x4bbbbbbba1bad562, 0x5b96962c9c34b58f, 0x077a76b53f1ef224, 0x7f07802c8d05066b, 0xfe9b4be17439e95d,
  0x3277605e991b0d4c, 0xff946ecfeed4c13e, 0x53dfd51a56a4063f, 0x1590ff3cca701c0b, 0x3fdad75194de2bbd,
  0x3c807b829c95c878, 0x07bb079380e6e727, 0x875f60e405695bc8, 0x035f4b632e384e1b, 0x84e757a71d4a5c30,
  0xe3c75e00ced38a38, 0x8ec2d74622cf6ab6, 0x993805ecb872ce03, 0x20daf2e556b8c6e1, 0xcea2a551aeb20399,
  0x09d372bb54b7d5d9, 0x4ae4ac7a69935c08, 0xd75cf6ab4457974c, 0x905ca5af9d01e6f6, 0x48edcf43aa70210a,
  0xdb2ec31dbfdeaa8b, 0x2e4d5c6c5104cdfc, 0x63c81a3911a2cd10, 0xd6433d30b41bf756, 0x86658767d144e32c,
  0x354e72374f257ee6, 0x000000000000014d,
};

// t2313a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t2313_swio15_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b10b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1e17f,
  0x327773ef5a728fa3, 0xff896fe7e004c13e, 0x718bf547812905ad, 0x544079e6538b493b, 0x2f097e21b09117dc,
  0x94c98be8aaebfe8b, 0x9c95c8783fdac211, 0x80e6e7273c807b82, 0x05695bc807bb0793, 0x2e384e1b875f60e4,
  0x1d4a5c30035f4b63, 0xced38a3884e757a7, 0x22cf6ab6e3c75e00, 0xb872ce038ec2d746, 0x56b8c6e1993805ec,
  0xaeb2039920daf2e5, 0x54b7d5d9cea2a551, 0x69935c0809d372bb, 0x4457974c4ae4ac7a, 0x9d01e6f6d75cf6ab,
  0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0x5104cdfcdb2ec31d, 0x068b08ae2e4d5c6c, 0x73f53ab31e40d6a7,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0xe792bf734332c3b3,
  0x0000009f9d3c1641,
};

// t4313_autobaud_uart0_noled_pr
static const uint64_t ur_t4313_autobaud_uart0_noled[] = {
  0xac6eeeeeeeb372ac, 0xbbbbbbba58382a45, 0x9a08c9b07341d1af, 0x932f6f23f6dddd88, 0x304f8c9dda87b005,
  0x204be7f81a0cfce3, 0xebfdbae02e9a6502, 0x3b424e0932bf5442, 0xfa8f5fcef9613e2d, 0xc22f3d1c72ac0c7d,
  0xc5199e398b016594, 0x0ffd9823af47cec1, 0xa07967b6a6bf0d50, 0xd18a4f2d3a5142b2, 0xa6f5cfc51e6f64d1,
  0x4f43aa7023fa94bc, 0xfc55bfdeaa8b4a9f, 0x80ddb288c5fcdb4b, 0x5663c81a3f8d1668, 0x2cd6433d30b41bf7,
  0x734332c3b2c944e3, 0xe221a73996a792bf,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_u4[] = {
  0xddddddda2ec53b90, 0x777774b070548b58, 0xc9b07341e3faebf7, 0x6f23f6dddd889a08, 0x193bb42f7c7ae32f,
  0xe7f9c039f9c6609f, 0xbae02e9a6502204b, 0x4e0932bf5442ebfd, 0x5fcef9613e2d3b42, 0x3d1c72ac0c7dfa8f,
  0x9e398b016594c22f, 0x9823af47cec1c519, 0x67b6a6bf0d500ffd, 0x4f2d3a5142b2a079, 0xcfc51e6f64d1d18a,
  0xaa7023fa94bca6f5, 0xbfdeaa8b4a9f4f43, 0xb288c5fcdb4bfc55, 0x868b2ce8b9357079, 0xa9cfd4eacc7903b6,
  0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a, 0x782cf257ee686658,
  0x00000000230c2a71,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ee[] = {
  0xc6eeeeeeef62eff6, 0xddddddd2c0c23d3a, 0x7bb1f98fa56434d8, 0x4dc0130887375229, 0xc9dd0835ebd33241,
  0xff9c039f297304f8, 0x5c05d34ca04409d2, 0xc12657ea885d7fb7, 0x7fb5a3c905a76849, 0xd9838cbd47958290,
  0xfb007f15cddea3e0, 0xfa5b1971c270dc3a, 0xa5def1d0fb99801a, 0x0d4ed82d1bda39d5, 0x28ccf4f6ab5d0ebd,
  0x2f65b2f9c071d80e, 0xc300ca8d8232ffc0, 0x3149e5a74a2838bf, 0xdeb9f8a3cdec9a3a, 0xe8754e047f529794,
  0x8ab7fbd5516953e9, 0xae365118bf9b697f, 0x2076d0d166881726, 0x0cf4c2d06fdd598f, 0xcb0ecb25138cb359,
  0x3faf059e4afdcd0c, 0x00000000000620f6,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ee_u4[] = {
  0x37777776891151eb, 0xeeeeee960611e9d6, 0xbb1f98fa53634ade, 0xdc01308873752297, 0x3ba647682bd62414,
  0xfc5933e52e609f19, 0x80ba699408813a5f, 0x24cafd510baff6eb, 0xf6b47920b4ed0938, 0x307197a8f2b0520f,
  0x600fe2b9bbd47c1b, 0x4b632e384e1b875f, 0xbbde3a1f7330035f, 0xa9db05a37b473ab4, 0x199e9ed56ba1d7a1,
  0xecb65f380e3b01c5, 0x601951b0465ff805, 0x293cb4e9450717f8, 0xd73f1479bd934746, 0x0ea9c08fea52f29b,
  0x56ff7aaa2d2a7d3d, 0xe6ca2317f36d2ff1, 0xca1a2cb3a2e4d5c1, 0xc2a73f53ab31e40f, 0x97e627ff787bde50,
  0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219, 0xe77053c95fb9a199, 0x00000000026a72f3,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ce[] = {
  0xd63777777759bb37, 0x77777774b1d6086b, 0x26825ef67df9bb6f, 0x63d2baf327bbba91, 0xc13e327771ded8f3,
  0x811ebfe06833fdd4, 0xaff6eb80ba699408, 0xed093824cafd510b, 0x78487cb1fd5678b4, 0xcebb9b5ca2fe7979,
  0x8e82e7b965d63399, 0xe90e38e5581eb17a, 0x5128e1a8e62c0559, 0x0f71cb19e3af173b, 0x8c527969d28a0ebf,
  0x37ae7e28f37b268e, 0x7a1d53811fd4a5e5, 0x98edfef5545a54fa, 0x0ddb288c5fcdb4bf, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xf08e2f996a792bf7, 0x00000000000000b3,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ce_u4[] = {
  0x6377777768bb1762, 0xeeeeeee961e4188d, 0xde2746bbc80bf6c7, 0x11dd4380066eeeea, 0x59827c64eef25d64,
  0x2205fbbfce01cfba, 0x2ebfdbae02e9a650, 0xd3b424e0932bf544, 0x2e0e649551f51be2, 0xb09117dc6883cf2f,
  0x5c6b7e8b2f097e21, 0xb960863399aa3b9b, 0xe5581eb17a8e82e7, 0xa8e62c05afe3ee38, 0x678ebc5cedac48e1,
  0x4e94507406adc72c, 0x28f2dd34746293cb, 0x2f1fd4a5e537ae7e, 0xd53819d4cc6085a7, 0x3cd94462fe6da7a1,
  0xdb434596745c9ab8, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f,
  0x2c3b3e04e32cd643, 0x14bc16792bf73433, 0x0000000000023758,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb1bbbbbbbbd8bf82, 0xf7777774b0705362, 0x8c5a14df8f697a34, 0x8336a6441bbf778f, 0x64ee989d5c706cdd,
  0x3fce01cfdba9827c, 0xae02e9a650220581, 0xe0932bf5442ebfdb, 0xb1fd519ea2d3b424, 0xb85afcf2f2e0e2fb,
  0xed60583f339d7736, 0x30770fd4795a6206, 0xb07202b7bfd47c1b, 0xa5b1971c270dc3af, 0x9d5ae232fad801af,
  0x3af006766be47ac3, 0xc1a446e9cf6abd38, 0x3805ecb872ce038e, 0x3cb4e9450c9f8681, 0x3f1479bd93474629,
  0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0x94462fe6da5fcc76, 0xb43459a205c9ab8d, 0x30b41bf75663c81d,
  0xb2c944e32cd6433d, 0xc16792bf734332c3, 0x000000000acdf38b,
};

static const uint64_t ur_t4313_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0xc6eeeeeed1222a20, 0xddddddd2c4193d7a, 0xbda59bbc2971efd3, 0x406c5c4f1fdda860, 0x4eeabed8371aac88,
  0xfe2c99fa1f9827c6, 0xc05d34ca04408e0f, 0x12657ea885d7fb75, 0x8faa37f05a76849c, 0x20f3cbcbad2175aa,
  0xc25f886c2445f71a, 0xd51dcdaf787fa2cb, 0xad310376b33e0fcc, 0xea3e0d983b87ea3c, 0x86e1d7d839015bdf,
  0x6c00d7d2d8cb8e13, 0xf23d61cead71197d, 0xb55e9c1d78033b35, 0x6701c760d22374e7, 0x4fc3409c02f65c39,
  0xa3a3149e5a74a286, 0x794deb9f8a3cdec9, 0x3e9e8754e047f529, 0x2fe63b7fbd551695, 0xd5c1e6ca2317f36d,
  0xe40fca1a2cb3a2e4, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xc0fdffc1343c899e, 0xb219e98577d1ee4f,
  0xa19961d9f0271966, 0x8810b77053c95fb9, 0x0000000000000020,
};

// t4313_autobaud_uart0_lednop_pr
static const uint64_t ur_t4313_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfebe, 0x77777774b0705a12, 0x9a0922993f5fac47, 0x901afe2cdadddd88, 0x304f8c9dd85fbe3c,
  0x40a5f7f81a0cf9eb, 0xd7fb75c05d34ca04, 0x76849c12657ea885, 0xf51d679df2c27c5a, 0x0df27a38e55818fb,
  0xa46690e62c059653, 0x3ff6608ebd1f3b3d, 0x40f2cf6ccf29a540, 0xc0809e5a74a28ac1, 0x81c51e7c49a3a314,
  0x4e0575539794d8ce, 0xfef5545a6c59e875, 0xb288c5fcdb2e22ad, 0xc81a3f8d166880dd, 0x433d30b41bf75663,
  0x32c3b2c944e32cd6, 0x53b996a792bf7343, 0x000000000001c441,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_u4[] = {
  0x6eeeeeed1762eff6, 0xdddddd2c1c1684ac, 0x1245327ebfd2e8cd, 0x35fc59b5bbbb1134, 0x9f193ba10682fa66,
  0xa5f7f9c039f3d660, 0xfb75c05d34ca0440, 0x849c12657ea885d7, 0x1d679df2c27c5a76, 0xf27a38e55818fbf5,
  0x6690e62c0596530d, 0xf6608ebd1f3b3da4, 0xf2cf6ccf29a5403f, 0x809e5a74a28ac140, 0xc51e7c49a3a314c0,
  0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x88c5fcdb2e22adfe, 0x8b2ce8b9357079b2, 0xcfd4eacc7903b686,
  0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0, 0x7c09c659ac867a61, 0x2cf257ee68665876,
  0x000000230c4e2d78,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ee[] = {
  0x58ddddddddec4743, 0xfddddddd2c0c2615, 0xbdbd3b1fb6c19ee2, 0xb478f984439ba914, 0xc9dd68bb51560b20,
  0xff9c039f53d304f8, 0x5c05d34ca04408ba, 0xc12657ea885d7fb7, 0x7fb5a3c905a76849, 0xd9838cbd4795a010,
  0xfb007f15ce3ea3e0, 0xfa5b1971c270dc3a, 0xa5fe41d0fb99801a, 0x0d4ec4d236be39d5, 0x48cd24f6ab5d0ebd,
  0x2f65b2f9c071d87b, 0x35f86a8d8232ffc0, 0x0809e5a74a2838b5, 0x1c51e7c49a3a314c, 0xe0575539794d8ce8,
  0xef5545a6c59e8754, 0x288c5fcdb2e22adf, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x82cf257ee6866587, 0x0000000310738517,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x1bbbbbbb4488ba31, 0xbbbbbba58184c2ab, 0xb7a763f6de2fd377, 0x8f1f308873752297, 0x3baccf6c880a6416,
  0xfc5933ea7a609f19, 0x80ba69940881175f, 0x24cafd510baff6eb, 0xf6b47920b4ed0938, 0x307197a8f2b4020f,
  0x600fe2b9c7d47c1b, 0x4b632e384e1b875f, 0xbfc83a1f7330035f, 0xa9d89a46d7c73ab4, 0x19a49ed56ba1d7a1,
  0xecb65f380e3b0f69, 0xbf0d51b0465ff805, 0x013cb4e9450716a6, 0x8a3cf89347462981, 0x0aeaa72f29b19d03,
  0xeaa8b4d8b3d0ea9c, 0x118bf9b65c455bfd, 0x1659d1726ae0f365, 0x9fa9d598f207e50d, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0x29e4afdcd0ccb0ec, 0x00000135388393b8,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ce[] = {
  0x563777777759bb37, 0xbbbbbbba58eb0542, 0x224d07522f89ddb7, 0xe6c7a575fe2f7775, 0xb9827c64eee3bdb1,
  0x440a3dff81a0cfaf, 0x5d7fb75c05d34ca0, 0xa76849c12657ea88, 0x9784b22d8feab3c5, 0x9cebb9b5ca2fe797,
  0xa8e27e7b965d6339, 0x9e82e38e5581eb17, 0x6c668f588e62c055, 0x596e39633c75e2e7, 0x302027969d28a0ea,
  0xe81c51e5ba68e8c5, 0x69bd575539794d8c, 0x7a1d538175731821, 0x4406ed94462fe6da, 0xbab31e40d1fc68b3,
  0x1966b219e985a0df, 0xfb9a19961d964a27, 0x59f84717ccb53c95,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x1bbbbbbb4488aaac, 0x7777774b0f21e96b, 0xf13bc7e84b1fad4f, 0x778f2e24cf777756, 0x827c64eeac1d3622,
  0x04e4fff164cfc879, 0xbfdbae02e9a65022, 0xb424e0932bf5442e, 0xd22f9551f51be2d3, 0x445f71a20f3cbcba,
  0x83fa2cbc25f886c2, 0x8218ce66a8ee6d73, 0x607ac5ea3a439ee5, 0x731602f3dac8e395, 0xf1d78b9d941d1ba6,
  0x74a283a00db8e58c, 0x28f3a314c0809e5a, 0x8c1a9b129fbe740e, 0x54e041d98c10b4e4, 0xf365118bf9b69e87,
  0xe50d1659d1726ae0, 0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e,
  0xb0ecf8138cb3590c, 0xd3b829e4afdcd0cc, 0x00000000011baeb2,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xd6377777777b1762, 0x5ddddddd2c1c1717, 0xf186c2d00bdebed0, 0xb3f764c88377eef1, 0x8c9dde4bb4cd1db4,
  0xdff9c039f8ad304f, 0x75c05d34ca0440b7, 0x9c12657ea885d7fb, 0xd63faa33d45a7684, 0xaf63ff9e5e5c1cfd,
  0xbb58160fcce75dcd, 0xcc1dc3f51e579201, 0xec1c80afe4f51f06, 0xe96c65c709c370eb, 0xcead70b5feb6006b,
  0x1d78033b73c8d219, 0x63588d41e7b55e9c, 0x9c02f65c396701c7, 0x4f2d3a5143229a40, 0x8f3e24d1d18a6040,
  0xbaa9cbca6c6740e2, 0xaa2d362cf43aa702, 0xc5fcdb2e0c76ff7a, 0x8b3440b93571b288, 0x837eeacc7903b686,
  0x289c659ac867a616, 0xf257ee6866587659, 0x000002b36491782c,
};

static const uint64_t ur_t4313_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0xc6eeeeeed1222a20, 0xddddddd2c419433a, 0xc17ee2f41171efd3, 0x2100d3b89e3fbb50, 0x193baafb60dc6ab2,
  0xfffc5933e1a2609f, 0xd70174d3281102b1, 0x704995faa2175fed, 0xaa3ea8dfc169da12, 0x6883cf2f2eb4870e,
  0x2f097e21b09117dc, 0x33547736bde1fe8b, 0xf2bc900ddaccf83f, 0xbfa8f83660ee1fa8, 0x9c370ebec1c80ad6,
  0xeb6006be96c65c70, 0x4b4690ce756b88cb, 0x7b55e9c1d78033b5, 0x2ce038ec5128d41e, 0x64964813805ecb87,
  0x314c0809e5a74a28, 0x633a0714796e9a3a, 0x085a6f55d54e5e53, 0xb69e8754e05d5cc6, 0x726ae0f365118bf9,
  0x98f207e50d1659d1, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7,
  0xdcd0ccb0ecf8138c, 0x1044085bb829e4af,
};

static const uint64_t ur_t4313_u1x8_uart0_noled[] = {
  0xac6eeeeedcb6b55a, 0xeeeeee9637c3b9ee, 0x4345fe93f87f7d7e, 0x10da682dddd8d02e, 0x27c64ee9b5baf207,
  0xf7fec9231cfe4598, 0x96d60b4ed176d816, 0x2ac0ccf7a8e82cef, 0xc05bdd357f1f71c7, 0x78b9d9d3472c8e62,
  0x50acbddb8e58c11d, 0xc51e746293cb4e94, 0x59ba9bd6525fadcf, 0x3817b714085a6c7d, 0xd94462fe6da7a1d5,
  0x5a0df8f8765c9ab8, 0x64a271966b219e98, 0x33c95fb9a19961d9, 0x000000549f58ac71,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr[] = {
  0x77776e5a82cdfebe, 0xbba58df0edfb5637, 0xf8716a4dddfbbbbb, 0xcb89dddd4f5d27f0, 0x3bb0bf46b920c1ef,
  0xe06833eb5e609f19, 0xf169da2edb021bff, 0x63efd47afe77cb09, 0x2ca61179e8e39560, 0x760e28ccf1cc580b,
  0x6a807fecc11d7a3e, 0x159503cb3db535f8, 0x268e8c527969d28a, 0xa5e537ae7e28f37b, 0x54fa7a1d53811fd4,
  0xda5fe2adfef5545a, 0xd5c6e3cd94462fe6, 0xeacc790347f1a2cb, 0x3c09c69430a9cfd4, 0x30b41bf7c4687913,
  0x3b3e04e32cd6433d, 0x996a792bf734332c, 0x000000000f931d17,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_u4[] = {
  0x777776e544cdfc4f, 0xbbba58df0ef41563, 0x86ea4220d7edbbbb, 0x81c5713bbbb1a05c, 0x8c9ddb1fbcdd0443,
  0xfff03419f5af304f, 0x6d60b4ed176d810d, 0xac0ccf7a8ef68ef9, 0x05bdd360b0e31c72, 0x5cedac48e1a8e62c,
  0x5806adc72c608ebc, 0x68e8c527969d28a1, 0x4bca6f5cfc51e5ba, 0xd4e2810b4e5e3fa9, 0x62fe6da7a1d53819,
  0xc68b2ce86e3cd944, 0xa73f53ab31e40d1f, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0xcb53c95fb9a19961, 0x000000000f93815c,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ee[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee96261284a, 0x0e3f6d48be2776de, 0x4aebfc5b9ca7bb75, 0xf8c9ddc77b63cd8f,
  0x7bff03419f5f7304, 0x46f78b4ed176d814, 0x22fa8f2b4c60ff6b, 0xfe2b8cbd47c1b306, 0x32e384e1b875f600,
  0xc3ac67330035f4b6, 0x0714720a73ab4bda, 0x39ed56ba1d78033b, 0x396701c7614d23fc, 0x83abdd2ffc02f65c,
  0x28f3a3149e5a74a2, 0xcdd4deb292fd6e7e, 0xc0bdb8a042d363ea, 0xca2317f36d3d0ea9, 0x2068fe3459a20376,
  0x0cf4c2d06fdd598f, 0xcb0ecb25138cb359, 0x8be65a9e4afdcd0c, 0x0000000000014f83,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ee_u4[] = {
  0x777776e545d8b562, 0xeeeeee9626106563, 0x675f5a193cc7617e, 0x6f239ca7bb750e3f, 0x77699ead170600db,
  0xe700e7cc7cc13e32, 0xf169da2edb02dbff, 0x51e57f241fed68de, 0x710fa8f83660c45f, 0x709c370ebec01fc5,
  0x8ce66006be96c65c, 0x91eb0e756978c875, 0x6ab5d0ebc019d9af, 0xce038ec1a446e9cf, 0xbf0e5ff805ecb872,
  0x8e8c527969d28a0e, 0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0x5fe2adfef5545a54, 0xab83cd94462fe6da,
  0xc81db434596745c9, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f,
  0x4332c3b3e04e32cd, 0x5c216bc16792bf73, 0x0000000000000027,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ce[] = {
  0x1bbbbbb72d66fcc5, 0xddddd2c5a668792b, 0x9e6fc1f0febafddd, 0x685eefcdddd9eeb8, 0x3e3277731da87855,
  0x029fe06833fa54c1, 0xfd6e18b4ed176d81, 0xd2fe7979784be4b1, 0x5975ac99cebb9b5d, 0x5606693d476be9ee,
  0x398b016e18878e39, 0xe3af47cec1c5199e, 0xdca6bf0d500ffd99, 0xcb4e9450aca81e5a, 0xf1479bd934746293,
  0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0x4462fe6da5fcc76f, 0x0d1fc68b34406ed9, 0x9e985a0dfbab31e4,
  0x61d964a271966b21, 0x9ccb53c95fb9a199, 0x000000000005baf3,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e545d8b562, 0x777774b1d6086563, 0x3afad0c9e63b0bf7, 0x036dbc9bbba871fb, 0xf8c9dda67ab45c18,
  0x6fff9c039f31f304, 0xf57bc5a768bb6c0b, 0x83cf2f2e0e751551, 0x097e21b09117dc68, 0x547736b98ffe8b2f,
  0x8ed7d3dcb0435933, 0x310f1c72ac0cd27a, 0x838a333c731602dc, 0xa01ffb33c75e8f9d, 0x59503cb5b94d7e1a,
  0x68e8c527969d28a1, 0x5e537ae7e28f37b2, 0x4fa7a1d53811fd4a, 0x4bf98edfef5545a5, 0x357079b288c5fcdb,
  0x7903b6868b2ce8b9, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93,
  0x686658767c09c659, 0xeb842d782cf257ee, 0x0000000000000006,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ee_ce[] = {
  0xddddddb96f621391, 0xeeee9637c3b53758, 0xd82f26656f419eee, 0x86877ebf75e4ad31, 0xdb23a1072541090a,
  0xc039f60b304f8c9d, 0x5a768bb6c08e1ff9, 0x5c1c72763faa3ee8, 0xe75dcdae337f9e5e, 0x2b5f00ddac0a3e4c,
  0x7a8f83660e0ffa8f, 0xe1b875f60e405792, 0x5b0035f4b632e384, 0x5a37b473ab5c3dff, 0xb55e9c1d7a1a9db0,
  0xce038ec0714667a7, 0x3608a04e017b2d97, 0x4e9453a7bf0c032a, 0x479bd934746293cb, 0x08fea52f29bd73f1,
  0xaaa2d2a7d3d0ea9c, 0x62fe6da5fcc76ff7, 0x459a205c9ab8d944, 0x41bf75663c81db43, 0x944e32cd6433d30b,
  0x792bf734332c3b2c, 0x00000a698f2ebc16,
};

static const uint64_t ur_t4313_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbbb72a2446f43, 0xeeeee960e0a6eeb1, 0x2b68258f0836a2ee, 0x9a9b220ddfba3200, 0x774056f25d9434e1,
  0xf8b267e394c13e32, 0x5169da2edb02b75f, 0x5d6914f5547d5194, 0x61222fb8d1079e5e, 0xecdffd165e12fc43,
  0xb599e3e4cd51dcda, 0xc1c1ff51e56be01b, 0xc1c80af24f51f06c, 0x96c65c709c370ebe, 0x756b87bfeb6006be,
  0xaf4353b60b46f68e, 0x0e28ccf4f6abd383, 0xc02f65b2f9c071d8, 0xf7e1806546c11409, 0x8e8c527969d28a74,
  0xe537ae7e28f37b26, 0xfa7a1d53811fd4a5, 0xbf98edfef5545a54, 0x57079b288c5fcdb4, 0x903f2868b2ce8b93,
  0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a,
  0x91f5ddc14f257ee6, 0x000000000000009f,
};

// t4313_u1x8_uart0_lednop_pr
static const uint64_t ur_t4313_u1x8_uart0_lednop[] = {
  0xbbbbb72d4166ef3a, 0xeee9637c3b36ab1b, 0xf6c3fa0b767eeeee, 0x13e17bbba9eba4fb, 0x4eeb53d622c8193f,
  0xfc0d067e219827c6, 0x9f169da2edb021f3, 0x063efd4759e77cb0, 0x6594c37c9e8e3956, 0xcecf6919a4398b01,
  0x69500ffd9823af47, 0xa2b0503cb3db33ca, 0xe8c5302027969d28, 0x3633a071479f1268, 0x7a1d53815d54e5e5,
  0x88ab7fbd55169b16, 0x371e6ca2317f36cb, 0x63c81a3f8d165eae, 0x4e34a1854e7ea756, 0xa0dfbe2343c899e0,
  0xf0271966b219e985, 0x53c95fb9a19961d9, 0x0000003e4d17dccb,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_u4[] = {
  0x6eeeeedca899bb37, 0xeeee9637c3bb89ac, 0x21a594165b7e6eee, 0xbd0e0da6eeec6817, 0xf193bb8ef7679b1e,
  0x45ff03419f4c6609, 0x96d60b4ed176d816, 0x2ac0ccf7a8f52cef, 0x602dee989e4871c7, 0x78b9d8cf23534731,
  0x42b2ea7b8e58c11d, 0xd18a60404f2d3a51, 0x94be740e28f1cfc3, 0x0b4ee2fe6dd4b572, 0x4f43aa702985e281,
  0xd0dc79b288c5fcdb, 0x5663c81a3f8d1659, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879,
  0x32cd6433d30aefa3, 0xbf734332c3b3e04e, 0x001f26bb3996a792,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ee[] = {
  0xdddddb907afb1762, 0xbbbba58984f1f58d, 0x004ccbdd93d537bb, 0xbdce53ddbafd983c, 0xe4ba6ed1dd8f85ee,
  0x039f727304f8c9dd, 0xa768bb6c097dff9c, 0x95a0107fb5a3c905, 0x3ea3e0d9838cbd47, 0x70dc3afb007f15ce,
  0x99801afa5b1971c2, 0xbe39d5a5fe41d0fb, 0x5d0ebd0d4ec4d236, 0x71d87b48cd24f6ab, 0x32ffc02f65b2f9c0,
  0x2838b535f86a8d82, 0x3a314c0809e5a74a, 0x4d8ce81c51e7c49a, 0x9e8754e057553979, 0xe22adfef5545a6c5,
  0x57079b288c5fcdb2, 0xc81db434582ecb93, 0xfca1854e7ea75663, 0x0f22678b9c65f989, 0x30b41bf1cf7e07cd,
  0x3b3e04e32cd6433d, 0xbc16792bf734332c, 0x00000000009d7408,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ee_u4[] = {
  0x777776e545d8b562, 0xeeeee9626138fd63, 0xdb7c5a45cc7617ee, 0xb622e729eedd438f, 0x3bb4cf568b83006d,
  0xf38073e95a609f19, 0x78b4ed176d8154af, 0xa8f2b9ba0ff6b46f, 0xb4c7d47c1b30622f, 0x384e1b875f600fe2,
  0xc67330035f4b632e, 0xa348673ab4bc643a, 0x6ab5d0ebc019daa5, 0x9c071d8a251a83cf, 0xa594bff00bd970e5,
  0x5302027969d28a0e, 0xce81c51e5ba68e8c, 0x169bd575539794d8, 0xd3d0ea9c0babc502, 0x4d5c1e6ca2317f36,
  0x1e40eda1a2cb3a2e, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xfc0fdffc1343c899, 0x6b219e98577d1ee4,
  0x9a19961d9f027196, 0x3ae10b5e0b3c95fb, 0x0000000000000001,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ce[] = {
  0x3777776e5acdfc4f, 0x77774b1699a3c5d6, 0x12f27377eda33777, 0xd78d7f13bbbb3dd7, 0x3e32776c7ec2f411,
  0x403fc0d067c27cc1, 0xfadc3169da2edb02, 0x75fcf2f2f094dd63, 0xb2eb59339d7736b9, 0xab03349ea3f3d3dc,
  0x0e62c05def05c71c, 0x78ebd1f3b3da4669, 0x5b8cf29a5403ff66, 0x7969d28a2b0503cb, 0x79f1268e8c530202,
  0xd54e5e53633a0714, 0x5169b167a1d53815, 0x2fe6d97063b7fbd5, 0xfc68b34406ed9446, 0x85a0dfbab31e40d1,
  0x964a271966b219e9, 0xb53c95fb9a19961d, 0x00000000b75249cc,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ce_u4[] = {
  0xeeeeedca8bb128ae, 0xeeee963ac1311ac6, 0xb97bf1350f7c7eee, 0x189177775224d046, 0x64eefd3dc2848edb,
  0x3fce01cf87b9827c, 0x8df169da2edb0291, 0xe797970734aaa8fa, 0xbf10d8488bee3441, 0x1dcdae16bf459784,
  0x13f3dcb04319ccd5, 0x971c72ac0f58bd47, 0xda3d62398b017a0a, 0xb8e58cf1d78b9d87, 0x809e5a74a283a535,
  0xc51e7c49a3a314c0, 0x0575539794d8ce81, 0xf5545a6c59e8754e, 0x118bf9b65c18edfe, 0x1659d1726ae0f365,
  0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0x59e4afdcd0ccb0ec, 0x0000000dd74d02f0,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeedcb7b15a91, 0xbbbba58df0ed68ac, 0x9bc77001bbd3f7bb, 0x0bd0efd7eebc95a2, 0xe9a5d68b2ecadb21,
  0xe01cfe569827c64e, 0x2d3b45db60450ffc, 0x2e0e3a5b1fd51f74, 0x39d7736b868fcf2f, 0x95cbe0376b028f93,
  0x3d47c1b30707fd47, 0x70dc3afb07202b05, 0xad801afa5b1971c2, 0xd236be39d5ae3e4f, 0xdaaf4e0ebd0d4ec4,
  0xe701c761ed233493, 0x1b04502700bd96cb, 0xa74a29d3ca6bf0d5, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0x9b65c18edfef5545, 0x881726ae365118bf, 0xdd598f2076d0d166, 0x8cb3590cf4c2d06f,
  0xfdcd0ccb0ecb2513, 0x0029a78daf059e4a,
};

static const uint64_t ur_t4313_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbbbb72a2447032, 0xeeeee960e0ad2eb1, 0xdd95b7a6d1748fee, 0xb5a088377ee8c800, 0xee9dad9769ca82d0,
  0xf164cf93a9827c64, 0xa2d3b45db60515bf, 0xbad24aeaa8faa328, 0xc2445f71a20f3cbc, 0xec87fa2cbc25f886,
  0xb599e3e4cd51dcda, 0x8383fea3cae5f01b, 0x839015829ea3e0d9, 0x2d8cb8e1386e1d7d, 0xead71f27d6c00d7d,
  0x5e86a762691b5f1c, 0xf6919a49ed57a707, 0x805ecb65f380e3b0, 0xe535f86a8d822813, 0xa60404f2d3a514e9,
  0x740e28f3e24d1d18, 0xaa702baa9cbca6c6, 0x6ff7aaa2d362cf43, 0x9b288c5fcdb2e0c7, 0x2868b2ce8b935707,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867,
  0xddc14f257ee68665, 0x00000000004fc48b,
};

// t4313_u1x12_uart0_noled_pr
static const uint64_t ur_t4313_u1x12_uart0_noled[] = {
  0xeedca25a82cdfc4f, 0xddd2c5852fcac6ee, 0x310e1656a45ddddd, 0x071b4dddd1842205, 0x2776c7ebaf41383b,
  0xfe06833e98cc13e3, 0xd176c220b0bfec8b, 0xa3d7f3be584f8b4e, 0x8bcf471cab031f7e, 0x46678e62c0596530,
  0xff6608ebd1f3b071, 0x1e59eda9afc35403, 0x6293cb4e9450aca8, 0xbd73f1479bd93474, 0xd0ea9c08fea52f29,
  0x156ff7aaa2d2a7d3, 0x1e6ca2317f36d2ff, 0xc81a3f8d165eae37, 0x34a1854e7ea75663, 0xdfbe2343c899e04e,
  0x271966b219e985a0, 0xc95fb9a19961d9f0, 0x00003e4ce7dccb53,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_u4[] = {
  0xddddb944a899bb37, 0xeeee962c2971358d, 0xada594165b7e6eee, 0xaf438369bbbaf219, 0x7c64eee3bdd9e6c7,
  0x917fc0d067d31982, 0x69da2ed8441617fd, 0x9ef51ded1df2dac1, 0xa6c161c638e55819, 0x5891c351cc580b7b,
  0x5b8e58c11d78b9db, 0x8a4f2d3a5142b00d, 0xdeb9f8a3cb74d1d1, 0x02169cbc7f529794, 0xdb4f43aa7033a9c5,
  0x59d0dc79b288c5fc, 0xa75663c81a3f8d16, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0xa3dc9f81fbff8268,
  0x4e32cd6433d30aef, 0x92bf734332c3b3e0, 0x00001f26bb3996a7,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ee[] = {
  0xddb94483d7d8ad4e, 0xbba58e17a8758ddd, 0xb19423d3db27bbbb, 0xfb0e682ddbf3838d, 0xf23b8bd1982fcc78,
  0x039ffdd304f8c9dd, 0xb0882c2ffa037f9c, 0x3fdad1e482d3b45d, 0x6cc1c65ea3cac148, 0x7d803f8ae6ef51f0,
  0x7d2d8cb8e1386e1d, 0xd2ef78e87dccc00d, 0x86a76c168ded1cea, 0x14667a7b55ae875e, 0x17b2d97ce038ec07,
  0xe1806546c1197fe0, 0x18a4f2d3a5141c5f, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca, 0xc55bfdeaa8b4a9f4,
  0x079b288c5fcdb4bf, 0x1db434582ecb9357, 0xa1854e7ea75663c8, 0x22678b9c65f989fc, 0xb41bf1cf7e07cd0f,
  0x3e04e32cd6433d30, 0x16792bf734332c3b, 0x000000013af842bc,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xbbbba58e17db758d, 0x4bc7f9b82fdb1fbb, 0x7b61cd05bbebefcf, 0xde4bac823ba87001,
  0xc039f80d304f8c9d, 0xdb0882c2ff83dff9, 0x83fdad1bde2d3b45, 0x06cc188bea3cafe4, 0xd7d803f8ae21f51f,
  0xd7d2d8cb8e1386e1, 0xad2f190eb19ccc00, 0x78033b35f23d61ce, 0x3488dd39ed56ba1d, 0x00bd970e59c071d8,
  0x2d3a5141d7e1cbff, 0xc51e6f64d1d18a4f, 0x7023fa94bca6f5cf, 0xdeaa8b4a9f4f43aa, 0x88c5fcdb4bfc55bf,
  0x8b2ce8b9357079b2, 0xcfd4eacc7903b686, 0x89ffde1ef79430a9, 0x4d0f226781fc65f9, 0x5df47b93f03f7ff0,
  0x7c09c659ac867a61, 0x2cf257ee68665876, 0x000000013af02978,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ce[] = {
  0xeeeedca25acdc49f, 0xeeeee9608a17bac6, 0xd367eef5337d2eee, 0xc7eb460fbbbba086, 0x4f8c9dd05fb98ad1,
  0xd38ff81a0cff5130, 0x169da2ed8441617f, 0x2f2f097c963fadc3, 0x9339d7736bba5fcf, 0x27a8ed7d3dcb2eb5,
  0x2dc310f1c72ac0cd, 0xf9d838a333c73160, 0xe1aa01ffb33c75e8, 0x8a159503cb5b94d7, 0x7b268e8c527969d2,
  0xd4a5e537ae7e28f3, 0x5a54fa7a1d53811f, 0xcdb4bf98edfef554, 0xd166880ddb288c5f, 0x41bf75663c81a3f8,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x000005ba81cb996a,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ce_u4[] = {
  0xddddb944a8bb1762, 0xbbbba58844db758d, 0x4bc7f9b82fdb1fbb, 0xe002f7bbbbebefcf, 0x193bbc9759047750,
  0xbff38073f01a609f, 0x768bb6110585ff07, 0xe0e751551f57bc5a, 0x09117dc6883cf2f2, 0x98ffe8b2f097e21b,
  0xcb0435933547736b, 0x2ac0cd27a8ed7d3d, 0xc731602dc310f1c7, 0x3c75e8f9d838a333, 0x5b94d7e1aa01ffb3,
  0x7969d28a159503cb, 0x7e28f37b268e8c52, 0x53811fd4a5e537ae, 0xfef5545a54fa7a1d, 0x288c5fcdb4bf98ed,
  0x68b2ce8b9357079b, 0x9cfd4eacc7903b68, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff,
  0x67c09c659ac867a6, 0x82cf257ee6866587, 0x000000001baf0297,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb72896f623f3e, 0x77774b1614242b1b, 0x4da98dbc5fa6ef77, 0xc60c9fb6e97be3f6, 0xa47f6c8f4e36104c,
  0x8073f812609f193b, 0xb6110585ff14bff3, 0x763faa3ee85a768b, 0xae337f9e5e5c1c72, 0xddac0a3e4ce75dcd,
  0x660e0ffa8f2b5f00, 0xf60e4057927a8f83, 0xf4b632e384e1b875, 0x73ab5c3dff5b0035, 0x1d7a1a9db05a37b4,
  0xc0714667a7b55e9c, 0x4e017b2d97ce038e, 0xa7bf0c032a3608a0, 0x34746293cb4e9453, 0x2f29bd73f1479bd9,
  0xa7d3d0ea9c08fea5, 0xa5fcc76ff7aaa2d2, 0x5c9ab8d94462fe6d, 0x663c81db43459a20, 0xcd6433d30b41bf75,
  0x34332c3b2c944e32, 0x69b71ebc16792bf7, 0x000000000000000a,
};

static const uint64_t ur_t4313_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x7776e512a2445541, 0xeeee963d4e19d637, 0xbcd8c776475a2eee, 0x402c922eeedba878, 0xa0ade9c739eb8d32,
  0x64cf9c19827c64ee, 0xd8441617fdb3bff1, 0x547d51945169da2e, 0xd1079e5e5d6914f5, 0x5e12fc4361222fb8,
  0xcd51dcdaecdffd16, 0xe56be01bb599e3e4, 0x4f51f06cc1c1ff51, 0x9c370ebec1c80af2, 0xeb6006be96c65c70,
  0x0b46f68e756b87bf, 0xf6abd383af4353b6, 0xf9c071d80e28ccf4, 0x46c11409c02f65b2, 0x69d28a74f7e18065,
  0x28f37b268e8c5279, 0x811fd4a5e537ae7e, 0xf5545a54fa7a1d53, 0x8c5fcdb4bf98edfe, 0xb2ce8b9357079b28,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x0000004fcab29dc1,
};

// t4313_u1x12_uart0_lednop_pr
static const uint64_t ur_t4313_u1x12_uart0_lednop[] = {
  0xbbbbb72896b37382, 0xeeeee962c29e26b1, 0x417e299713af26ee, 0x37326683bbba3084, 0xf8c9dd267be9417f,
  0xf7ff81a0cfe49304, 0x69da2ed8441617fc, 0xefd4759e77cb09f1, 0x4c37c9e8e3956063, 0xf6919a4398b01659,
  0x00ffd9823af47cec, 0x0503cb3db33ca695, 0x5302027969d28a2b, 0x3a071479f1268e8c, 0xd53815d54e5e5363,
  0xb7fbd55169b167a1, 0x76ca2317f36cb88a, 0x8f2068fe3459a203, 0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3,
  0x05fbe65a9e4afdcd, 0x00000000000003e4,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_u4[] = {
  0xdddb944a8bb16668, 0x7774b1614f1358dd, 0x8a65c4d09a5ef777, 0x99a0eeee8c21105f, 0x774ddeedba8bcdcc,
  0xf38073f924c13e32, 0x45db0882c2ff9eff, 0x8eb3cef9613e2d3b, 0xf93d1c72ac0c7dfa, 0x3348731602cb2986,
  0xfb30475e8f9d9ed2, 0x7967b66794d2a01f, 0x404f2d3a514560a0, 0xe28f3e24d1d18a60, 0x02baa9cbca6c6740,
  0x7aaa2d362cf43aa7, 0x4462fe6d971156ff, 0x4596745c9ab83cd9, 0xe7ea75663c81db43, 0xc4ffef0f7bca1854,
  0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30, 0x16792bf734332c3b, 0x0000000f934cb4bc,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ee[] = {
  0xeedca25a83d8bf82, 0xddd2c70bc2fac6ee, 0x636eb4c2b490dddd, 0x561cd05bb7e707a8, 0xc4ec338378eec7fa,
  0x0e7fe74c13e32774, 0xc220b0bfe28bfe70, 0xff6b47920b4ed176, 0xb307197a8f2b4020, 0xf600fe2b9c7d47c1,
  0xf4b632e384e1b875, 0x4bfc83a1f7330035, 0x1a9d89a46d7c73ab, 0x919a49ed56ba1d7a, 0x5ecb65f380e3b0f6,
  0x6bf0d51b0465ff80, 0x1013cb4e9450716a, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0, 0xdeaa8b4d8b3d0ea9,
  0x5118bf9b65c455bf, 0x4597ab9726ae0f36, 0xe7ea75663c81db43, 0x3c899e04e34a1854, 0x219e985a0dfbe234,
  0x19961d9f0271966b, 0xe56a5e0b3c95fb9a, 0x000000000000013a,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xbbbba58e1762358d, 0xcd1aef202fdb1fbb, 0x000c61cd05bbebef, 0xc9dde4bac823ba87,
  0x7f9c039f74b304f8, 0xb45db0882c2ffbf7, 0xe6e83fdad1bde2d3, 0x51f06cc188bea3ca, 0x6e1d7d803f8ad31f,
  0xc00d7d2d8cb8e138, 0x9cead2f190eb19cc, 0x43af00676a968d21, 0x7628946a0f3daad7, 0xffc02f65c396701c,
  0x09e5a74a283a9652, 0x14796e9a3a314c08, 0x55d54e5e53633a07, 0xaa702eaf14085a6f, 0x79b288c5fcdb4f43,
  0xb6868b2ce8b93570, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0x7ff04d0f226781fc, 0x7a615df47b93f03f,
  0x58767c09c659ac86, 0x29782cf257ee6866, 0x0000000000013af0,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ce[] = {
  0xdddddb944b59bb37, 0xdddddd2c1141af58, 0xda17bd9f7e6edbdd, 0x7a575e64f7777410, 0x27c64eee3bdb1e6c,
  0xe3d7fc0d067fba98, 0x8b4ed176c220b0bf, 0x979784a6eb1fd6e1, 0xc99cebb9b5cbafe7, 0xa4f51f9e9ee5975a,
  0x02ef782e38e55819, 0x8f9d9ed233487316, 0x94d2a01ffb33c75e, 0x945158281e5adc67, 0x347462981013cb4e,
  0xf29b19d038a3cf89, 0x8b3d0ea9c0aeaa72, 0xcb831dbfdeaa8b4d, 0x9a20376ca2317f36, 0xfdd598f2068fe345,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x0016ea38be65a9e4,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xeeedca2545d8b562, 0xddddd2c4220cac6e, 0xebeb432798ec2fdd, 0x1b6de4ddddf0bc3e, 0xc64eed33d5a2e0c0,
  0x7ffce01cf98f9827, 0x9da2ed8441617fdb, 0x70734aaa8fa8df16, 0x8488bee3441e7979, 0xe16bf459784bf10d,
  0xcb04319ccd51dcda, 0x2ac0f58bd4713f3d, 0x2398b017a0a971c7, 0xcf1d78b9d87da3d6, 0xa74a283a535b8e58,
  0xc49a3a314c0809e5, 0x39794d8ce81c51e7, 0xa6c59e8754e05755, 0x9b65c18edfef5545, 0x1726ae0f365118bf,
  0x598f2076d0d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x00dd7085af059e4a,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xddddb944b7b128ae, 0xbbbba58b0a32158d, 0x2164ea1c33d697bb, 0x8f8327edba5ef8f9, 0x7e9e9a51238bcadd,
  0x00e7f7dcc13e3277, 0x6c220b0bfe53dfe7, 0x6c7f547dd0b4ed17, 0xae1a3f3cbcb838e9, 0xddac0a3e4ce75dcd,
  0xcc1c1ff51e572f80, 0xec1c80ac14f51f06, 0xe96c65c709c370eb, 0xe756b8f93eb6006b, 0x3af4353b1348daf8,
  0x87b48cd24f6abd38, 0x9c02f65b2f9c071d, 0x4f29afc3546c1140, 0xc5302027969d28a7, 0x33a071479f1268e8,
  0x1d53815d54e5e536, 0x3b7fbd55169b167a, 0xb8d94462fe6d9706, 0x81db43459a205c9a, 0x33d30b41bf75663c,
  0x2c3b2c944e32cd64, 0x9cbc16792bf73433, 0x00000000000a69f4,
};

static const uint64_t ur_t4313_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbb728951222582, 0x77774b1ea742eb1b, 0xcf17a9b34bab8f77, 0x402c922eeedba870, 0x9d6d1225aaa2d056,
  0x64cfa5a9827c64ee, 0xd8441617fc35bff1, 0x547d51945169da2e, 0xd1079e5e5d692575, 0x5e12fc4361222fb8,
  0x66a8ee6d7643fd16, 0xe572f80ddaccf1f2, 0x4f51f06cc1c1ff51, 0x9c370ebec1c80ac1, 0xeb6006be96c65c70,
  0x348daf8e756b8f93, 0xf6abd383af4353b1, 0xf9c071d87b48cd24, 0x46c11409c02f65b2, 0x69d28a74f29afc35,
  0xf1268e8c53020279, 0x4e5e53633a071479, 0x69b167a1d53815d5, 0xe6d97063b7fbd551, 0x45c9ab83cd94462f,
  0x5663c81f94345967, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x00027e166ee0a792,
};

// t4313_u2x8_uart0_noled_pr
static const uint64_t ur_t4313_u2x8_uart0_noled[] = {
  0x77776e5a82cdfc4f, 0xeeee962c297e5637, 0x298870b2b522eeee, 0xd838da6eee8c2110, 0x193bb63f5d7a09c1,
  0x5ff03419f4c6609f, 0xb424e0935dbd5664, 0xa8f5fcef9613e2d3, 0x22f3d1c72ac0c7df, 0x5199e398b016594c,
  0xffd9823af47cec1c, 0x07967b6a6bf0d500, 0x18a4f2d3a5142b2a, 0x6f5cfc51e6f64d1d, 0xf43aa7023fa94bca,
  0xc55bfdeaa8b4a9f4, 0xc79b288c5fcdb4bf, 0xf2068fe34597ab8d, 0x8d2861539fa9d598, 0x37ef88d0f2267813,
  0x09c659ac867a6168, 0xf257ee686658767c, 0x00000f9339f732d4,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_u4[] = {
  0x6eeeeedca899bb37, 0x777774b1614b89ac, 0xcd6d2ca0b2dbf377, 0x3d7a1c1b4dddd790, 0x13e327771deecf36,
  0xcc8bfe06833e98cc, 0x5a76849c126bb7aa, 0x67bd477b477cb6b0, 0xe9b058718e395606, 0xd62470d4731602de,
  0x56e39630475e2e76, 0x6293cb4e9450ac03, 0x37ae7e28f2dd3474, 0x4085a72f1fd4a5e5, 0x36d3d0ea9c0cea71,
  0x9674371e6ca2317f, 0xa9d598f2068fe345, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0xe8f727e07effe09a,
  0x138cb3590cf4c2bb, 0xe4afdcd0ccb0ecf8, 0x000007c9aece65a9,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ee[] = {
  0xeeeedc83d7d8ad4e, 0xdddd2c70bd43ac6e, 0x6d8ca11e9ed93ddd, 0xc7d873416edf9c1c, 0xef91dc5e8cc17e63,
  0xe01cffee9827c64e, 0x3824d76f55901bfc, 0x0ff6b47920b4ed09, 0x1b307197a8f2b052, 0x5f600fe2b9bbd47c,
  0x5f4b632e384e1b87, 0xb4bbde3a1f733003, 0xa1a9db05a37b473a, 0xc5199e9ed56ba1d7, 0x05ecb65f380e3b01,
  0xf8601951b0465ff8, 0x46293cb4e9450717, 0x9bd73f1479bd9347, 0x3d0ea9c08fea52f2, 0xf156ff7aaa2d2a7d,
  0xc1e6ca2317f36d2f, 0x076d0d160bb2e4d5, 0x2861539fa9d598f2, 0xc899e2e7197e627f, 0x2d06fc73df81f343,
  0xcf8138cb3590cf4c, 0x059e4afdcd0ccb0e, 0x000000004ebe10af,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ee_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c70bedbac, 0x7a5e3fcdc17ed8fd, 0x0bdb0e682ddf5f7e, 0xeef25d6411dd4380,
  0xce01cfc069827c64, 0x93824d76f5581eff, 0x20ff6b46f78b4ed0, 0xc1b30622fa8f2bf9, 0x75f600fe2b887d47,
  0x35f4b632e384e1b8, 0xab4bc643ac673300, 0x5e00cecd7c8f5873, 0x0d22374e7b55ae87, 0xc02f65c396701c76,
  0xcb4e945075f872ff, 0xf1479bd934746293, 0x9c08fea52f29bd73, 0xf7aaa2d2a7d3d0ea, 0xa2317f36d2ff156f,
  0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40eda1, 0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc,
  0x9f0271966b219e98, 0x0b3c95fb9a19961d, 0x000000004ebc0a5e,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdc49f, 0x7777774b0450bdd6, 0x369b3f77a99be977, 0x8e3f5a307ddddd04, 0x827c64ee82fdcc56,
  0xac9c7fc0d067fa89, 0xc5a76849c126bb7a, 0xcbcbc25f258feb70, 0x64ce75dcdaee97f3, 0x49ea3b5f4f72cbad,
  0x0b70c43c71cab033, 0x3e760e28ccf1cc58, 0xf86a807feccf1d7a, 0xa2856540f2d6e535, 0xdec9a3a3149e5a74,
  0xf529794deb9f8a3c, 0x16953e9e8754e047, 0xf36d2fe63b7fbd55, 0x3459a20376ca2317, 0xd06fdd598f2068fe,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x0000016ea072e65a,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ce_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c4226dbac, 0x7a5e3fcdc17ed8fd, 0x870017bddddf5f7e, 0xf8c9dde4bac823ba,
  0x3dff9c039f80d304, 0x9da127049aedeab0, 0xb839d45547d5ef16, 0xc2445f71a20f3cbc, 0xe63ffa2cbc25f886,
  0x72c10d64cd51dcda, 0xcab03349ea3b5f4f, 0xf1cc580b70c43c71, 0xcf1d7a3e760e28cc, 0xd6e535f86a807fec,
  0x9e5a74a2856540f2, 0x9f8a3cdec9a3a314, 0x54e047f529794deb, 0x7fbd5516953e9e87, 0xca2317f36d2fe63b,
  0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40eda, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0xe0b3c95fb9a19961, 0x0000000006ebc0a5,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddddb96f623f3e, 0xbbbbba58b0a12158, 0xb26d4c6de2fd377b, 0x663064fdb74bdf1f, 0xdd23fb647a71b082,
  0x9c039fc09304f8c9, 0x27049aedeab0a5ff, 0x9d8fea8fba169da1, 0x6b8cdfe79797071c, 0x376b028f9339d773,
  0xd98383fea3cad7c0, 0x7d839015e49ea3e0, 0x7d2d8cb8e1386e1d, 0x1cead70f7fd6c00d, 0x075e86a76c168ded,
  0xb01c5199e9ed57a7, 0x13805ecb65f380e3, 0xe9efc300ca8d8228, 0x4d1d18a4f2d3a514, 0x4bca6f5cfc51e6f6,
  0xa9f4f43aa7023fa9, 0x697f31dbfdeaa8b4, 0x1726ae365118bf9b, 0x598f2076d0d16688, 0xb3590cf4c2d06fdd,
  0xcd0ccb0ecb25138c, 0x9a6dc7af059e4afd, 0x0000000000000002,
};

static const uint64_t ur_t4313_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbbb72a2445541, 0x777774b1ea70ceb1, 0xc5e6c63bb23ad177, 0x920164917776dd43, 0x75056f4e39cf5c69,
  0x8b267ce0cc13e327, 0x9c126bb7aacd9dff, 0x551f5465145a7684, 0x3441e797975a453d, 0x9784bf10d8488bee,
  0x33547736bb37ff45, 0x795af806ed6678f9, 0x93d47c1b30707fd4, 0x270dc3afb07202bc, 0xfad801afa5b1971c,
  0x82d1bda39d5ae1ef, 0x3daaf4e0ebd0d4ed, 0xbe701c76038a333d, 0x51b04502700bd96c, 0x5a74a29d3df86019,
  0x8a3cdec9a3a3149e, 0xe047f529794deb9f, 0xbd5516953e9e8754, 0x2317f36d2fe63b7f, 0x2cb3a2e4d5c1e6ca,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985,
  0x53c95fb9a19961d9, 0x00000013f2aca770,
};

// t4313_u2x8_uart0_lednop_pr
static const uint64_t ur_t4313_u2x8_uart0_lednop[] = {
  0x8ddddddb96b37382, 0x7777774b1614f135, 0x220bf14cb89d7937, 0xf9b993341dddd184, 0x27c64ee933df4a0b,
  0xc7bffc0d067f2498, 0x5a76849c126bb7aa, 0xfbf51d679df2c27c, 0x530df27a38e55818, 0x3da46690e62c0596,
  0x403ff6608ebd1f3b, 0xc140f2cf6ccf29a5, 0x14c0809e5a74a28a, 0xce81c51e7c49a3a3, 0x754e0575539794d8,
  0xadfef5545a6c59e8, 0xddb288c5fcdb2e22, 0x63c81a3f8d166880, 0xd6433d30b41bf756, 0x4332c3b2c944e32c,
  0x017ef996a792bf73, 0x00000000000000f9,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca8bb16668, 0xbbbba58b0a789ac6, 0xfc532e2684d2f7bb, 0x64cd077774610882, 0x93ba6ef76dd45e6e,
  0xff9c039fc92609f1, 0xd093824d76f558f7, 0xa3acf3be584f8b4e, 0xbe4f471cab031f7e, 0x8cd21cc580b2ca61,
  0xfecc11d7a3e767b4, 0x1e59ed99e534a807, 0x1013cb4e94515828, 0x38a3cf8934746298, 0xc0aeaa72f29b19d0,
  0xdeaa8b4d8b3d0ea9, 0x5118bf9b65c455bf, 0xd1659d1726ae0f36, 0x39fa9d598f2076d0, 0x313ffbc3def28615,
  0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0x059e4afdcd0ccb0e, 0x00000003e4d32d2f,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ee[] = {
  0x77776e5a83d8bf82, 0xeeee96385e17d637, 0x431b75a615a486ee, 0xd2b0e682ddbf383d, 0xa627619c1bc7763f,
  0x8073ff3a609f193b, 0xe0935dbd56145ff3, 0x3fdad1e482d3b424, 0x6cc1c65ea3cad008, 0x7d803f8ae71f51f0,
  0x7d2d8cb8e1386e1d, 0xd2ff20e87dccc00d, 0x86a762691b5f1cea, 0xa466927b55ae875e, 0x17b2d97ce038ec3d,
  0x9afc3546c1197fe0, 0x0404f2d3a5141c5a, 0x0e28f3e24d1d18a6, 0x702baa9cbca6c674, 0xf7aaa2d362cf43aa,
  0x94462fe6d971156f, 0xd165eae5c9ab83cd, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0xc867a616837ef88d,
  0x86658767c09c659a, 0xb95a9782cf257ee6, 0x000000000000004e,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ee_u4[] = {
  0x6eeeeedca8bb1762, 0xdddddd2c70bb11ac, 0x7e68d779017ed8fd, 0x3800630e682ddf5f, 0xc64eef25d6411dd4,
  0xbbfce01cfba59827, 0xed093824d76f559f, 0xb9ba0ff6b46f78b4, 0xd47c1b30622fa8f2, 0x1b875f600fe2b4c7,
  0x30035f4b632e384e, 0x673ab4bc643ac673, 0xd0ebc019daa5a348, 0x1d8a251a83cf6ab5, 0xbff00bd970e59c07,
  0x027969d28a0ea594, 0xc51e5ba68e8c5302, 0xd575539794d8ce81, 0xea9c0babc502169b, 0x1e6ca2317f36d3d0,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x0a5e0b3c95fb9a19, 0x0000000000004ebc,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a0d7a, 0x86d0bdecfbf376de, 0x63d2baf327bbbba0, 0xc13e327771ded8f3,
  0x561ebfe06833fdd4, 0x62d3b424e0935dbd, 0xe5e5e129bac7f5b8, 0xb2673aee6d72ebf9, 0x693d47e7a7b965d6,
  0x80bbde0b8e395606, 0xa3e767b48cd21cc5, 0xe534a807feccf1d7, 0xa514560a0796b719, 0x4d1d18a60404f2d3,
  0xbca6c6740e28f3e2, 0x62cf43aa702baa9c, 0xb2e0c76ff7aaa2d3, 0x66880ddb288c5fcd, 0xbf75663c81a3f8d1,
  0x4e32cd6433d30b41, 0x2bf734332c3b2c94, 0x0005ba8e2f996a79,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e545d8b562, 0xeeeeee9621106563, 0xf75f5a193cc7617e, 0x00db6f26eeef85e1, 0x3e3277699ead1706,
  0xdbffe700e7cc7cc1, 0xa76849c126bb7aac, 0x5c1cd2aaa3ea37c5, 0x61222fb8d1079e5e, 0xb85afd165e12fc43,
  0x72c10c6733547736, 0xcab03d62f51c4fcf, 0x88e62c05e82a5c71, 0x33c75e2e761f68f5, 0x69d28a0e94d6e396,
  0xf1268e8c53020279, 0x4e5e53633a071479, 0x69b167a1d53815d5, 0xe6d97063b7fbd551, 0x45c9ab83cd94462f,
  0x5663c81db4345967, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x00375c216bc16792,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x6eeeeedcb7b128ae, 0xdddddd2c585190ac, 0xc90b2750e19eb4bd, 0xec7c193f6dd2f7c7, 0xbbf4f4d2891c5e56,
  0x38073fbee609f193, 0x4e0935dbd5629eff, 0x5b1fd51f742d3b42, 0x6b868fcf2f2e0e3a, 0x376b028f9339d773,
  0xb30707fd4795cbe0, 0xfb07202b053d47c1, 0xfa5b1971c270dc3a, 0x39d5ae3e4fad801a, 0x0ebd0d4ec4d236be,
  0x61ed233493daaf4e, 0x2700bd96cbe701c7, 0xd3ca6bf0d51b0450, 0x314c0809e5a74a29, 0x8ce81c51e7c49a3a,
  0x8754e0575539794d, 0x8edfef5545a6c59e, 0xae365118bf9b65c1, 0x2076d0d166881726, 0x0cf4c2d06fdd598f,
  0xcb0ecb25138cb359, 0x272f059e4afdcd0c, 0x0000000000029a7d,
};

static const uint64_t ur_t4313_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddddb951222582, 0xbbbbba58f53a1758, 0x8678bd4d9a5d5c7b, 0xb20164917776dd43, 0x74eb68912d551682,
  0x8b267d2d4c13e327, 0x9c126bb7aac1adff, 0x551f5465145a7684, 0x3441e797975a495d, 0x9784bf10d8488bee,
  0x99aa3b9b5d90ff45, 0x795cbe0376b33c7c, 0x53d47c1b30707fd4, 0x270dc3afb07202b0, 0xfad801afa5b1971c,
  0x4d236be39d5ae3e4, 0x3daaf4e0ebd0d4ec, 0xbe701c761ed23349, 0x51b04502700bd96c, 0x5a74a29d3ca6bf0d,
  0x7c49a3a314c0809e, 0x539794d8ce81c51e, 0x5a6c59e8754e0575, 0xf9b65c18edfef554, 0xd1726ae0f365118b,
  0xd598f207e50d1659, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8,
  0xafdcd0ccb0ecf813, 0x00009f859bb829e4,
};

// t4313_u2x12_uart0_noled_pr
static const uint64_t ur_t4313_u2x12_uart0_noled[] = {
  0xdddb944b5059bb37, 0x7774b0e7260f58dd, 0xab7af8e3d7937777, 0xc1c38b777693e165, 0xc9ddc77be94d8ddf,
  0xff81a0cffc9304f8, 0xaede681617313d6b, 0xcb09f169da127049, 0x956063efd47afe77, 0x580b2ca61179e8e3,
  0x7a3e760e28ccf1cc, 0x35f86a807fecc11d, 0xd28a159503cb3db5, 0xf37b268e8c527969, 0x1fd4a5e537ae7e28,
  0x545a54fa7a1d5381, 0x2fe6da5fe2adfef5, 0xa2cbd5c6e3cd9446, 0xcfd4eacc790347f1, 0x79133c09c69430a9,
  0x433d30b41bf7c468, 0x332c3b3e04e32cd6, 0xb1ff996a792bf734, 0x0000000000000f93,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_u4[] = {
  0xddddb944a899bb37, 0xeeee961ce571358d, 0x21a594165b7e6eee, 0x5e8706d377757212, 0xf8c9ddc77bb3cd8f,
  0x22ff81a0cfa63304, 0x49aede681617313f, 0x9df2dac169da1270, 0x38e558199ef51d05, 0xcc580b7ba6afe3ee,
  0x23af173b3a68e591, 0xd28a1597bb71cb18, 0xb9f8a3ce8c527969, 0x8fab37537aca4bf5, 0x3aa702f6e2810b4d,
  0xc79b288c5fcdb4f4, 0x3c81a3f8d1659d0d, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xf81fbff826879133,
  0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0xf26bb3996a792bf7, 0x0000000000000001,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ee[] = {
  0xddb944b507b128ae, 0xddd2c21de6358ddd, 0xedbf16a6f70adddd, 0xd9cb89dd60fbbcb8, 0x9e9fb122d4c17b11,
  0xe7d2b4c13e32777e, 0x0585cc4fa95fe700, 0x5a76849c126bb79a, 0x79582907fb5a3c90, 0xddea3e0d9838cbd4,
  0x270dc3afb007f15c, 0xb99801afa5b1971c, 0xbda39d5a5def1d0f, 0xb5d0ebd0d4ed82d1, 0x071d80e28ccf4f6a,
  0x232ffc02f65b2f9c, 0xa2838bfc300ca8d8, 0xdec9a3a3149e5a74, 0xf529794deb9f8a3c, 0x16953e9e8754e047,
  0xf9b697f8ab7fbd55, 0xb9726ae0f365118b, 0x5663c81db434597a, 0xe04e34a1854e7ea7, 0x85a0dfbe2343c899,
  0xd9f0271966b219e9, 0xe0b3c95fb9a19961, 0x0000000013aef5b5,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ee_u4[] = {
  0xeeedca2545d8ad4e, 0xdddd2c21dbafac6e, 0xed69b3e17e82fddd, 0xf4bb39713bafd983, 0x77c8ea088ccb88db,
  0x700e7fe74c13e327, 0x79a0585cc4f28bfe, 0x7bc5a76849c126bb, 0x7d4795fc907fb5a3, 0x158f9ea3e0d98311,
  0x71c270dc3afb007f, 0xd63399801afa5b19, 0x4347ac39d5a5f7b1, 0x9ed56ba1d78033b2, 0xcb380e3b0a0e8dd3,
  0x7406a97fe017b2e1, 0x34746293cb4e9450, 0xa5e537ae7e28f2dd, 0xea714085a72f1fd4, 0x317f36d3d0ea9c0c,
  0xcb3a2e4d5c1e6ca2, 0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13,
  0x0271966b219e9857, 0x3c95fb9a19961d9f, 0x0000009d7e9e5e0b,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ce[] = {
  0x77776e512d66ef3a, 0xbbbba58ad3f5a563, 0x150891756d267bbb, 0x23c7f83eeeedc487, 0xf8c9dd6a7a0bd906,
  0xa57f81a0cfc89304, 0x24d76f340b0b989f, 0xb1fd6e18b4ed0938, 0x5dd2fe7979784be4, 0xee5975ac99cebb9b,
  0x395606693d476be9, 0x9e398b016e18878e, 0x99e3af47cec1c519, 0x5adca6bf0d500ffd, 0x93cb4e9450aca81e,
  0x73f1479bd9347462, 0xea9c08fea52f29bd, 0x6ff7aaa2d2a7d3d0, 0xd94462fe6da5fcc7, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x9961d964a271966b, 0x805ccb53c95fb9a1, 0x00000000000005ba,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeedca2545d8bf82, 0x7774b010bfa5ac6e, 0xfe2f83f8fdcc7777, 0x67b3f7774d054ce3, 0x4ee989d2420d8db2,
  0xfce01cfc7b9827c6, 0xbb79a0585cc4feeb, 0xea37c5a76849c126, 0x0f3cbcb8392faaa3, 0x25f886c2445f71a2,
  0x51dcdafd5ffa2cbc, 0x74173dcb04319ccd, 0x4871c72ac0f58bd4, 0x89470d4731602acf, 0x7b8e58cf1d78b9da,
  0x6293cb4e945075f8, 0xbd73f1479bd93474, 0xd0ea9c08fea52f29, 0xc76ff7aaa2d2a7d3, 0x3cd94462fe6da5fc,
  0xdb434596745c9ab8, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f,
  0x2c3b3e04e32cd643, 0x66bc16792bf73433, 0x0000000000006eb9,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ee_ce[] = {
  0x77776e512dec53c3, 0xeeeee961ce482563, 0x853d32e27ef619ee, 0x05e9ebbf376b4623, 0x7571e91f8e20ccd8,
  0x700e7e574c13e327, 0x79a0585cc4f60bfe, 0xee85a76849c126bb, 0xe5e5c1c72763faa3, 0xe4ce75dcdae337f9,
  0xa8f2b5f00ddac0a3, 0x7927a8f83660e0ff, 0x384e1b875f60e405, 0xdff5b0035f4b632e, 0xdb05a37b473ab5c3,
  0x7a7b55e9c1d7a1a9, 0xd97ce038ec071466, 0x32a3608a04e017b2, 0x3cb4e9453a7bf0c0, 0x3f1479bd93474629,
  0xa9c08fea52f29bd7, 0xff7aaa2d2a7d3d0e, 0x94462fe6da5fcc76, 0xb43459a205c9ab8d, 0x30b41bf75663c81d,
  0xb2c944e32cd6433d, 0xc16792bf734332c3, 0x0000000014d3d38b,
};

static const uint64_t ur_t4313_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbb728951222044, 0x77774b130834eb1b, 0xec19d9323fa69777, 0x412223c9bb006627, 0x747b6c71086103d7,
  0x164cff57cc13e327, 0xf340b0b989f1cbff, 0xa28b4ed093824d76, 0xf2eb48a7aaa3ea8c, 0x1b09117dc6883cf2,
  0xd766ffe8b2f097e2, 0xddaccf1f266a8ee6, 0x660e0ffa8f2b5f00, 0xf60e4057927a8f83, 0xf4b632e384e1b875,
  0x73ab5c3dff5b0035, 0x1d7a1a9db05a37b4, 0xc0714667a7b55e9c, 0x4e017b2d97ce038e, 0xa7bf0c032a3608a0,
  0x34746293cb4e9453, 0x2f29bd73f1479bd9, 0xa7d3d0ea9c08fea5, 0xa5fcc76ff7aaa2d2, 0x9ab83cd94462fe6d,
  0x3c81f9434596745c, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9,
  0x34332c3b3e04e32c, 0x3f1340ee0a792bf7, 0x0000000000000001,
};

// t4313_u2x12_uart0_lednop_pr
static const uint64_t ur_t4313_u2x12_uart0_lednop[] = {
  0x77776e512d66faca, 0xddddd2c39c8c9d63, 0x260fab0da697bddd, 0x7f37c3fbbbb49f0b, 0xc64ee8dbd266d4f6,
  0x87fc0d067e6e9827, 0x26bb79a0585cc4f8, 0xdf2c27c5a76849c1, 0x8e55818fbf51d679, 0x62c0596530df27a3,
  0xebd1f3b3da46690e, 0xccf29a5403ff6608, 0xa74a28ac140f2cf6, 0xc49a3a314c0809e5, 0x39794d8ce81c51e7,
  0xa6c59e8754e05755, 0xcdb2e22adfef5545, 0xd166880ddb288c5f, 0x41bf75663c81a3f8, 0x944e32cd6433d30b,
  0x792bf734332c3b2c, 0x00000f903853996a,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_u4[] = {
  0xbbb728951762d214, 0xeee961ce464eb1bb, 0xf561b4f17b5a6eee, 0xf87f777693e164c1, 0xeec33d801a2ecfe6,
  0xe700e7e6e9827c64, 0xdbcd02c2e627c43f, 0x613e2d3b424e0935, 0xac0c7dfa8eb3cef9, 0x02cb2986f93d1c72,
  0x8f9d9ed233487316, 0x94d2a01ffb30475e, 0x514560a07967b667, 0xd1d18a60404f2d3a, 0xca6c6740e28f3e24,
  0x2cf43aa702baa9cb, 0x971156ff7aaa2d36, 0x9ab83cd94462fe6d, 0x3c81db434596745c, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xf81fbff826879133, 0xd6433d30aefa3dc9, 0x34332c3b3e04e32c, 0x9320e4bc16792bf7,
  0x000000000000000f,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ee[] = {
  0xeedca25a83d8ad4e, 0xddd2c21dd8fac6ee, 0x4b8f1f5a3504dddd, 0xf672e277583eefcc, 0x23a34d19d93c764c,
  0x39f90f304f8c9ddf, 0x81617313dc9ff9c0, 0x169da127049aede6, 0x1e568041fed68f24, 0x38fa8f83660e32f5,
  0x09c370ebec01fc57, 0xee66006be96c65c7, 0xdaf8e75697f90743, 0xad743af4353b1348, 0x01c761ed233493da,
  0x08cbff00bd96cbe7, 0x28a0e2d4d7e1aa36, 0x68e8c5302027969d, 0xe53633a071479f12, 0x167a1d53815d54e5,
  0xcb88ab7fbd55169b, 0x4d5c1e6ca2317f36, 0x7903b6868b2f572e, 0xc69430a9cfd4eacc, 0x1bf7c46879133c09,
  0x04e32cd6433d30b4, 0x792bf734332c3b3e, 0x000009d74faebc16,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xddddb944a8bb1762, 0xbbbba5843b62358d, 0x7d1aef202fdb1fbb, 0x0033672e2775fb30, 0x277792eb208eea1c,
  0xfe700e7dd2cc13e3, 0xbb79a0585cc4ffdd, 0xa37bc5a76849c126, 0x117d4795e4907fb5, 0xfe2b5afea3e0d983,
  0x32e384e1b875f600, 0xe3ac67330035f4b6, 0x3da461c4e7569783, 0xa9ed56ba1d78033b, 0x1cb380e3b06791a9,
  0x41d00697fe017b2e, 0xd18a60404f2d3a51, 0x4d894fdf3a071479, 0x107714085a72460d, 0x4462fe6da7a1d538,
  0x4596745c9ab83cd9, 0xe7ea75663c81db43, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8,
  0x3e04e32cd6433d30, 0x16792bf734332c3b, 0x000000009d7814bc,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ce[] = {
  0xeeeedca25acdc49f, 0xeeee962b4f97bac6, 0xf67eef5337d2eeee, 0x7eb460fbbbba9238, 0xf8c9dd05fb98ad1c,
  0x38ff81a0cff51304, 0x24d76f340b0b989f, 0xb1fd5678b4ed0938, 0x5d2b7e7979784931, 0xb965d63399cebb9b,
  0xe5581eb17a8e27e7, 0xc4731602f4152e38, 0x19e3af173b0fb47a, 0xb4e945074a6b71cb, 0xf89347462981013c,
  0xa72f29b19d038a3c, 0xb4d8b3d0ea9c0aea, 0xf36cb831dbfdeaa8, 0x3459a20376ca2317, 0xd06fdd598f2068fe,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x0000016ea072e65a,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xddddb944a8bb1762, 0xeeee960217db758d, 0x2f1fe6e0bf6c7eee, 0x0017bdddd341533d, 0xc9dde4bac823ba87,
  0xff9c039f80d304f8, 0xaede681617313c3d, 0xfa8df169da127049, 0x41e797970734aaa8, 0x84bf10d8488bee34,
  0xd51dcdae16bf4597, 0x4713f3dcb04319cc, 0x0a971c72ac0f58bd, 0x87da3d62398b017a, 0x35b8e58cf1d78b9d,
  0xc0809e5a74a283a5, 0x81c51e7c49a3a314, 0x4e0575539794d8ce, 0xfef5545a6c59e875, 0x65118bf9b65c18ed,
  0x0d1659d1726ae0f3, 0x539fa9d598f2076d, 0xf313ffbc3def2861, 0xe09a1e44cf03f8cb, 0xc2bbe8f727e07eff,
  0xecf8138cb3590cf4, 0xf059e4afdcd0ccb0, 0x000000000375e052,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeedca25bd8b562, 0xbbbba5873915bac6, 0x82615988d3da17bb, 0xc769ebbf376b4622, 0xed33dfa7704fde2f,
  0xe01cfe9b9827c64e, 0xf340b0b989f95bfc, 0xdd0b4ed093824d76, 0xcbcb838e96c7f547, 0xe4ce75dcdae1a3f3,
  0x51e572f80ddac0a3, 0xc14f51f06cc1c1ff, 0x709c370ebec1c80a, 0x93eb6006be96c65c, 0xb1348daf8e756b8f,
  0x24f6abd383af4353, 0xb2f9c071d87b48cd, 0x3546c11409c02f65, 0x7969d28a74f29afc, 0x79f1268e8c530202,
  0xd54e5e53633a0714, 0x5169b167a1d53815, 0x2fe6d97063b7fbd5, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000029a6a9cbc167,
};

static const uint64_t ur_t4313_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbbbb7289512232a8, 0x77774b1309416b1b, 0xa67ec90fa7a62777, 0x2b7111e4dd803311, 0xece2db82cf9a2d45,
  0x164cf85a9827c64e, 0xf340b0b989e4ebff, 0xa28b4ed093824d76, 0xf2eb492baaa3ea8c, 0x1b09117dc6883cf2,
  0x6bb21fe8b2f097e2, 0x6ed6678f93354773, 0x660e0ffa8f2b97c0, 0xf60e40560a7a8f83, 0xf4b632e384e1b875,
  0x73ab5c7c9f5b0035, 0x1d7a1a9d89a46d7c, 0xc3da466927b55e9c, 0x4e017b2d97ce038e, 0xa794d7e1aa3608a0,
  0x62981013cb4e9453, 0x19d038a3cf893474, 0x0ea9c0aeaa72f29b, 0x1dbfdeaa8b4d8b3d, 0x1e6ca2317f36cb83,
  0xfca1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x9e77053c95fb9a19, 0x0000000000004fce,
};

// t4313_swio10_noled_pr
static const uint64_t ur_t4313_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x6a90695fe06833f2, 0x0621fd474c4ef962, 0xb7ba6d2a218e3956, 0xb9db7b464f1cc580,
  0xac59fb8e58c11d78, 0x4073241b5e5caad4, 0x6fab39d454aa35d6, 0xbd7d34c9ace576a9, 0xb55a22bcba62552f,
  0x529e1a778efebae7, 0x94f43aa7020eea6c, 0x5aa2adfef5545a61, 0x880ddb288c5fcdb1, 0x75663c81a3f8d166,
  0x32cd6433d30b41bf, 0xf734332c3b2c944e, 0x00f9000b996a792b,
};

static const uint64_t ur_t4313_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x0eebfce01cfc7b98, 0xf7a8f371df2c22d2, 0xa6ee8148e3956064, 0x87c476b1cc580b2c,
  0xa01ffb30475e8f9d, 0x09503cb3dbe8167a, 0x039920daf2e556a2, 0x7d59cea2a551aeb2, 0xebe9a64d672bb54b,
  0xaad115e5d312a97d, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0xd5156ff7aaa2d30c, 0xb83cd94462fe6d8a,
  0x81db434596745c9a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8,
  0x332c3b3e04e32cd6, 0x9966bc16792bf734, 0x000000000000007c,
};

static const uint64_t ur_t4313_swio10_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x5ab5cb4b10898beb, 0xbdebed05df4b5a1b, 0x3d22e1ff166c2d00, 0x6d2cfdd932282ffb,
  0x13e3277792ed3347, 0x0df7fe700e7e2b4c, 0x56e960ff6b466552, 0x7a8f83660d00f51e, 0x86e1d7d803f8afe7,
  0xcc00d7d2d8cb8e13, 0x139d5a5d7d8e87dc, 0xe875e86a7697c8d3, 0xe3b03e23b5a7b55a, 0x65ff805ecb65f380,
  0x6a38b59f5fd51b04, 0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0x97debe9a64d672bb, 0x73daad115e5d312a,
  0x36294f0d3bc77f5d, 0x30ca7a1d53810775, 0xd8ad5156ff7aaa2d, 0x05c9ab8d94462fe6, 0x5663c81db43459a2,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0x0a7c248bc16792bf,
};

static const uint64_t ur_t4313_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda24477d6, 0xad72d2c42262fac6, 0xd05d0837d2d686d6, 0xa45c3fe2cd85a017, 0xa59fbb264505ff67,
  0x7c64eed86df23f69, 0xbefff164cfc56982, 0xdd2c1fed68ccaa41, 0x51f06cc1a01ea3ca, 0xdc3afb007f15fcef,
  0x801afa5b1971c270, 0x73ab4bafb1d0fb99, 0x0ebd0d4ed2f91a62, 0x7607c476b4f6ab5d, 0xbff00bd96cbe701c,
  0x4716b3ebfaa3608c, 0x64073241b5e5caad, 0x96fab39d454aa35d, 0xfbd7d34c9ace576a, 0x7b55a22bcba62552,
  0xc529e1a778efebae, 0x194f43aa7020eea6, 0x15aa2adfef5545a6, 0x357079b288c5fcdb, 0x7903f2868b2ce8b9,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659,
  0xaef36ddc14f257ee, 0x0000000000000013,
};

static const uint64_t ur_t4313_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x0e4ffce01cfc8798, 0x2e0e7eeb1fd724a4, 0x39d7736bc00fcf2f, 0xea3e493dcb2eb593,
  0x09ebe471cab03c17, 0xcec3e23b58e62c05, 0x3d500ffd99e3af47, 0xd4412a0796b7740b, 0xd64073241b5e5caa,
  0xa96fab39d454aa35, 0x2fbd7d34c9ace576, 0xe7b55a22bcba6255, 0x6c529e1a778efeba, 0x6194f43aa7020eea,
  0x62b518edfef5545a, 0x26ae0f365118bf9b, 0x3c81db434597ab97, 0xe34a1854e7ea7566, 0x0dfbe2343c899e04,
  0x0271966b219e985a, 0x3c95fb9a19961d9f, 0x000006eba7d75e0b,
};

static const uint64_t ur_t4313_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x4814f7fe2c99fdf7, 0x975a460b551f509f, 0xd8488bee3441e797, 0x5d9f3f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51f249, 0xdac73160284f5f23, 0xeccf1d7a3e761f11, 0x3cb5bba059ea807f,
  0x20daf2e556a20950, 0xcea2a551aeb20399, 0xa64d672bb54b7d59, 0x15e5d312a97debe9, 0xd3bc77f5d73daad1,
  0xd5381077536294f0, 0x6ff7aaa2d30ca7a1, 0xb288c5fcdb15a8c7, 0x868b2ce8b9357079, 0xa9cfd4eacc7903f2,
  0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a, 0xdc14f257ee686658,
  0x000000001baf924d,
};

static const uint64_t ur_t4313_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447705, 0x972d2c42b345ac13, 0x2eac1db1f50fc5d0, 0x67372e21050b3639, 0x334a7ee7126824cc,
  0x8c9dd6c5b939267d, 0xaffc5933e337304f, 0x96ac7f547f3a9005, 0xdae601fcf2f2eb48, 0x0ddac0a3e4ce75dc,
  0x6cc1cbef51e56958, 0x7d839015b93f51f0, 0x7d2d8cb8e1386e1d, 0x39d5ae17dfd6c00d, 0x075e86a7697c8d31,
  0xec0f88ed69ed57a7, 0x04e017b2d97ce038, 0xbd3cb3ebfaa3608a, 0xb2039920daf2e556, 0x4b7d59cea2a551ae,
  0x7debe9a64d672bb5, 0x3daad115e5d312a9, 0x6294f0d3bc77f5d7, 0x0ca7a1d538107753, 0x15a8c76ff7aaa2d3,
  0x357079b288c5fcdb, 0xe40fca1a2cbd5cb9, 0x1a50c2a73f53ab31, 0x6fdf11a1e44cf027, 0x138cb3590cf4c2d0,
  0xe4afdcd0ccb0ecf8, 0x0000004fc323b829,
};

static const uint64_t ur_t4313_swio10_noled_pr_ee_ce_u4[] = {
  0xfdddddda2e7ccc7f, 0xee5a58b8174eac58, 0xedc9dac829b1b64c, 0xdd7d93f23f4debc4, 0x1c5a2c88789b1e0b,
  0x4eee7debd651f837, 0xf79a79fadf9827c6, 0xaa3ea8f2b5209dbf, 0x1a20f3cbcbced36e, 0xcbc25f886c2445f7,
  0x33547736babaffa2, 0xf2b4ac06ed6678f9, 0x9fa8f83660e5f7a8, 0x9c370ebec1c80adc, 0xeb6006be96c65c70,
  0xbe46989cead70bef, 0xf6abd383af4353b4, 0xbe701c7607c476b4, 0x51b04502700bd96c, 0x7972ab5e9e59f5fd,
  0x52a8d75901cc906d, 0xb395daa5beace751, 0xe98954bef5f4d326, 0x3bfaeb9ed5688af2, 0x083ba9b14a7869de,
  0xd551698653d0ea9c, 0x62fe6d8ad463b7fb, 0x96745c9ab83cd944, 0x53ab31e40cd3e345, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0, 0x00004fc4cb5b9273,
};

// t4313_swio10_lednop_pr
static const uint64_t ur_t4313_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x626a90195fe06833, 0x560621fd47f90ef9, 0x80b7ba6401ef8e39, 0x78b9dad647d01cc5,
  0x6a5673db8e58c11d, 0xeb2039920daf2e55, 0x54b7d59cea2a551a, 0xfe9a64d7020272bb, 0xad115e5d312ad5d2,
  0x9b1674079fad73da, 0x042d3573abd4b0b2, 0xb69e8754e06c7f8a, 0x2cd101bb65118bf9, 0x37eeacc790347f1a,
  0x89c659ac867a6168, 0x257ee68665876592, 0x00003e4092732d4f,
};

static const uint64_t ur_t4313_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x401effce01cfc069, 0x9ef51e713be5845a, 0x2983da011c72ac0c, 0xc98a383e731602cb,
  0x500ffd9823af47ce, 0x844c0f2cf6ed6e81, 0x2039920daf2e556a, 0xb7d59cea2a551aeb, 0x9a64d7020272bb54,
  0x115e5d312ad5d2fe, 0x74079bdb5d73daad, 0xa9c0842a417296be, 0xff7aaa2d23b73d0e, 0xca2317f36d843156,
  0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40eda, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0xe0b3c95fb9a19961, 0x0000000007c9c0a5,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xd0bd7afaebcbda99, 0xe0fe17b3d9024217, 0x33376f4c8a0bf993,
  0xf8c9ddf23a62519c, 0x577f9c039fd9d304, 0xf9d07fb5a309f482, 0x47c1b307377a8f2b, 0x70ebec01fc5695bd,
  0x006be96c65c709c3, 0xcead2f018758ce66, 0x0ebc019d81446f79, 0xd8c8a8ee1cf6ab5d, 0xff00bd970e59c071,
  0x1b5e5caad475d04b, 0xd454aa35d6407324, 0x0404e576a96fab39, 0x6255aba5fd34c9ae, 0xb6bae7b55a22bcba,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xe6db0862adfef554, 0xa205c9ab8d94462f, 0xf75663c81db43459,
  0xe32cd6433d30b41b, 0xbf734332c3b2c944, 0x0029f00e4bc16792,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0x6475a2e933e3e6d6, 0x22e1ff178bcd8c77, 0xae34c902282ffb3d,
  0xf193ba82b7a71ce7, 0xceffc5933e706609, 0x2eb07fb5a332a906, 0x47c1b306807a8f2b, 0x70ebec01fc5670fd,
  0x006be96c65c709c3, 0xcead2ffb8743ee66, 0x1d7a1a9db4a47921, 0xd84c51c1f9ed56ba, 0xffc02f65b2f9c071,
  0x8e2fa059ea8d8232, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xa69935c0809caed5, 0x4457974c4ab574bf,
  0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af, 0xbfdeaa8b48edcf43, 0xb288c5fcdb610c55, 0x868b2ce8b9357079,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xf04d0f226781fc65, 0x615df47b93f03f7f, 0x767c09c659ac867a,
  0xdc14f257ee686658, 0x0000000009d7ab29,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0xa40e97fce01cf94b, 0x2f2e0e7ceb1fd724, 0x2673aee6d7ddafcf, 0x2fd470527b965d6b,
  0x176fcbe8e3956078, 0x3e764c51c1f398b0, 0x740a807feccf1d7a, 0xaad508981e5add6b, 0x35d64073241b5e5c,
  0x76a96fab39d454aa, 0xa5fd34c9ae0404e5, 0xb55a22bcba6255ab, 0x2d7ce80f37b6bae7, 0x7a1d5381085482e5,
  0x98edfef5545a476e, 0x571b288c5fcdb610, 0x903b6868b3440b93, 0x867a616837eeacc7, 0x6587659289c659ac,
  0x1fd782cf257ee686, 0x000000000000b75b,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x482577fe2c99fd9d, 0x975a4cad551f509f, 0xd8488bee3441e797, 0x5d2a3f459784bf10,
  0xee5821ac99aa3b9b, 0x8e5581e0bf51c149, 0x07ce62c05dbf2fa3, 0xb33c75e8f9d93147, 0x796b75add02a01ff,
  0x906d7972ab542260, 0xe75152a8d75901cc, 0xb8101395daa5beac, 0xe98956ae97f4d326, 0xdedaeb9ed5688af2,
  0x21520b94b5f3a03c, 0x51691db9e8754e04, 0x7f36d84263b7fbd5, 0x3a2e4d5c1e6ca231, 0x3ab31e40fca1a2cb,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02,
  0x0006ebed7b77053c,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0x77b1c771de63e2e8, 0x339b97168a1062f9, 0x89891a7389341266,
  0xc64ee8f6d81610fc, 0x7fff164cf8689827, 0xd3f63faa3f9d482c, 0xdafdd6fcf2f2eb49, 0x0ddac0a3e4ce75dc,
  0x6cc1cbef51e5721c, 0x7d839015ba5f51f0, 0x7d2d8cb8e1386e1d, 0x39d5ae3f77d6c00d, 0x83af4353b6948f24,
  0xec2628e0fcf6abd3, 0x04e017b2d97ce038, 0x5e9ee8167aa3608a, 0x5901cc906d7972ab, 0xa5beace75152a8d7,
  0xf4d326b8101395da, 0x688af2e98956ae97, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5, 0xb7fbd551691db9e8,
  0x6ca2317f36d84263, 0x868b2f572e4d5c1e, 0xa9cfd4eacc7903f2, 0x6879133c09c69430, 0xd6433d30b41bf7c4,
  0x34332c3b3e04e32c, 0x3f1eb6ee0a792bf7, 0x0000000000000001,
};

static const uint64_t ur_t4313_swio10_lednop_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x27605e95b2406d93, 0xf75f64fa7791a8b6, 0xdc15c7221e26c782,
  0x3277475f4050591d, 0x7fbcd3cfa1f4c13e, 0xcaa8faa3cad48310, 0xee3441e797979dbf, 0x459784bf10d8488b,
  0xf933547736bf53bf, 0xa8f2b90e06ed6678, 0xdd2fa8f83660e5f7, 0x709c370ebec1c80a, 0xbbeb6006be96c65c,
  0xdb4a47921cead71f, 0x7e7b55e9c1d7a1a9, 0x6cbe701c76131470, 0x3d51b04502700bd9, 0x36bcb955af4f740b,
  0xa8a9546bac80e648, 0x0809caed52df5673, 0xc4ab574bfa69935c, 0x6d75cf6ab4457974, 0xa905ca5af9d01e6f,
  0xb48edcf43aa70210, 0x9b6c2131dbfdeaa8, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x13f3782ee49cf257,
};

// t4313_swio11_noled_pr             t4313_swio12_noled                t4313_swio12_noled_pr
static const uint64_t ur_t4313_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x203d7fc0d067fba9, 0xbffa8f109df2dd05, 0x74c7afc91c72ac0e, 0x683e8c9a398b016f,
  0x4f6e39630475e2e7, 0xe64836bcb955a958, 0x7673a8a9546bac80, 0xa699359caed52df5, 0xd115e5d312b637af,
  0xf0d3bc77f5d73daa, 0xa1d5381077536294, 0x156ff7aaa2d30ca7, 0x6ed94462fe6d9eb7, 0x31e40d1fc68b3440,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x40717ccb53c95fb9, 0x000000000000003e,
};

// t4313_swio12_noled_pr_u4
static const uint64_t ur_t4313_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0x36fff9c039f31f30, 0x5ea382877cb6f748, 0x6dbf2fa38e558193, 0xd746229cc580b2ca,
  0x03ff6608ebd1f3b2, 0xdd03cb3dbe909e54, 0x1cc906d7972ab567, 0xaece75152a8d7590, 0xf4d326b395daa5be,
  0x5a22bcba6256c6f5, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0xe2adfef5545a6194, 0x079b288c5fcdb3d6,
  0x3b6868b2ce8b9357, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03,
  0x658767c09c659ac8, 0x42d782cf257ee686, 0x0000000000007c98,
};

// t4313_swio12_noled_pr_ee
static const uint64_t ur_t4313_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xfb96962110d8ac6e, 0x97a34f78fd08a661, 0x1fc2de45a14df8f6, 0x60cda991417fddfc,
  0x193ba627571c1b37, 0x4ff38073f6ea609f, 0x2707fb5a39129060, 0x7c1b3060a7a8f2b7, 0x0ebec01fc57fbbd4,
  0x06be96c65c709c37, 0xead2e63c758ce660, 0xebc019d97c463e1c, 0xc0df47d04f6ab5d0, 0xf805ecb872ce038e,
  0xdaf2e556a3a27a5f, 0xa2a551aeb2039920, 0xd672bb54b7d5d9ce, 0x974c4ad8debe9a64, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x118bf9b67adc55bf, 0x0d166881726ae365, 0x2d06fdd598f2076d,
  0xb25138cb3590cf4c, 0x59e4afdcd0ccb0ec, 0x000000014f9ce2f0,
};

// t4313_swio12_noled_pr_ee_u4
static const uint64_t ur_t4313_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2446f43, 0x5cb4b10886eeb0f2, 0x20da8ba306b9b5ab, 0x22e1fad0ada0963c, 0xa70cd4d91417f791,
  0xf193ba02b792eca1, 0xbaffc5933f1ca609, 0x21e0ff6b461ee905, 0x8f83660f4af51e57, 0xe1d7d803f8add2fa,
  0x00d7d2d8cb8e1386, 0x9d5a5ea50e87dccc, 0x3af4353b4e28e213, 0xb0b5d188b3daad74, 0xff805ecb65f380e3,
  0x8e2c9ee7951b0465, 0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x7afa699359caed52, 0xdaad115e5d312b63,
  0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xeb7156ff7aaa2d30, 0xab83cd94462fe6d9, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x78faeee0a792bf73, 0x000000000000009d,
};

// t4313_swio12_noled_pr_ce
static const uint64_t ur_t4313_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0x2b7f9c039f387304, 0xc1c72763faaf9481, 0x75dcdae87df9e5e5, 0x8ebe4f72cbad64ce,
  0x24dd1c72ac0d67fa, 0xb2d746229cc580b2, 0x5403ff6678ebd1f3, 0x59f740f2d6ee909e, 0x64073241b5e5caad,
  0x6fabb39d454aa35d, 0xbd7d34c9ace576a9, 0xed5688af2e9895b1, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xeb663b7fbd551698, 0xab83cd94462fe6d9, 0x2076d0d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138,
  0x9c659ac867a61683, 0x257ee686658767c0, 0x00006eb9cf9782cf,
};

// t4313_swio12_noled_pr_ce_u4
static const uint64_t ur_t4313_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x0604ffc5933f6ea6, 0x75a453d551f59129, 0x8488bee3441e7979, 0xb37ff459784bf10d,
  0xcb0435933547736b, 0xcab0359fea3af93d, 0x8a731602c8937471, 0x99e3af47cecb5d18, 0xcb5bba4279500ffd,
  0x06d7972ab567dd03, 0x75152a8d75901cc9, 0x26b395daa5beaece, 0xbcba6256c6f5f4d3, 0x778efebae7b55a22,
  0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x5118bf9b67ad98ed, 0xd1659d1726ae0f36, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0x829e4afdcd0ccb0e,
  0x0000000375f4713b,
};

// t4313_swio12_noled_pr_ee_ce
static const uint64_t ur_t4313_swio11_noled_pr_ee_ce[] = {
  0x8cdddddd41445541, 0xb969621588fd636d, 0x77a76b53f1fe2e84, 0xe6f50ea2bd72b6b0, 0xb8e19ce24d076d8c,
  0x93ba82b4c89ce312, 0xffc5933fff2609f1, 0xfd8fea8dd2d20e9f, 0xbaa47f3cbcbad250, 0x76b028f9339d7736,
  0x9839c7d4795fce03, 0xb07202b4adea3e0d, 0xa5b1971c270dc3af, 0x3ab5c54afad801af, 0x75e86a769c51c427,
  0x85ae8c459ed57a70, 0x9c02f65b2f9c071d, 0xe9e27b9e546c1140, 0x901cc906d7972ab5, 0xbeaece75152a8d75,
  0xf5f4d326b395daa5, 0xb55a22bcba6256c6, 0x529e1a778efebae7, 0x94f43aa7020eea6c, 0xad98edfef5545a61,
  0xae0f365118bf9b67, 0x81f9434597ab9726, 0x4a1854e7ea75663c, 0xfbe2343c899e04e3, 0x71966b219e985a0d,
  0x95fb9a19961d9f02, 0x00004fcc2177053c,
};

// t4313_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t4313_swio11_noled_pr_ee_ce_u4[] = {
  0x17eeeeed173e304a, 0x96962e052eeb0d4c, 0xa6474d8c286d933b, 0xaf537c94c4d05c9d, 0x891f910f12d4c17b,
  0xee957eb4e4037044, 0x79a79f6bb9827c64, 0x51f5472ba903fcff, 0x6883cf2f2f3bd355, 0x2f097e21b09117dc,
  0x66a8ee6d7f397e8b, 0xe57f380ddaccf1f2, 0xb7a8f83660e71f51, 0x9c370ebec1c80ad2, 0xeb6006be96c65c70,
  0x7147109cead7152b, 0x7b55e9c1d7a1a9da, 0xbe701c7616ba3116, 0x51b04502700bd96c, 0x5e5caad7a789ee79,
  0x54aa35d64073241b, 0xce576a96fabb39d4, 0xe9895b1bd7d34c9a, 0x3bfaeb9ed5688af2, 0x083ba9b14a7869de,
  0xd551698653d0ea9c, 0x62fe6d9eb663b7fb, 0x96745c9ab83cd944, 0x53ab31e40cd3e345, 0xff787bde50c2a73f,
  0x3c899e07f197e627, 0xd1ee4fc0fdffc134, 0x271966b219e98577, 0xc95fb9a19961d9f0, 0x00004fc5a7db9273,
};

// t4313_swio11_lednop_pr            t4313_swio12_lednop               t4313_swio12_lednop_pr
static const uint64_t ur_t4313_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x5200f7fe06833f01, 0xebffa8f921df2dd0, 0xf74da52631c72ac0, 0x3b08a8fa4398b016,
  0x982f71cb1823af17, 0x0e64836bcb955a95, 0x57673a8a9546bac8, 0x935c0809caed52df, 0xbcba62572f4bfa69,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0x8754e0517d14085a, 0x01bb65118bf9b69e, 0xacc790347f1a2cd1,
  0x59ac867a616837ee, 0xe6866587659289c6, 0x1f2001732d4f257e,
};

// t4313_swio12_lednop_pr_u4
static const uint64_t ur_t4313_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x89fe700e7c3dcc13, 0xd475f0ef96e82904, 0x9126e8e3956075ff, 0xa8ee19cc580b7ba6,
  0xe39630475e2e76c8, 0x836bcb955a959d26, 0x3a8a9546bac80e64, 0x0809caed52df5767, 0x62572f4bfa69935c,
  0xb6bae7b55a22bcba, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xfcdb1922adfef554, 0xe8b9357079b288c5,
  0xeacc7903b6868b2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4,
  0x57ee686658767c09, 0x0007c9a681782cf2,
};

// t4313_swio12_lednop_pr_ee
static const uint64_t ur_t4313_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a58844c5f58d, 0xd7da0bac47c5a998, 0x07f0b790d85a017b, 0x59fbb264505ff77f,
  0xc64eef25da668eda, 0xeffce01cfc569827, 0xd2c1fed68e44a41b, 0x1f06cc1829ea3cad, 0xc3afb007f15fcef5,
  0x01afa5b1971c270d, 0x3ab4bafb1d633998, 0x75e00ced2f91a627, 0xb03e23b5a7b55ae8, 0xfe017b2e1cb380e3,
  0x36bcb955a8eba497, 0xa8a9546bac80e648, 0x809caed52df57673, 0x2572f4bfa69935c0, 0x6bae7b55a22bcba6,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xcdb1922adfef5545, 0x440b93571b288c5f, 0xeeacc7903b6868b3,
  0xc659ac867a616837, 0x7ee6866587659289, 0x0014f8491782cf25,
};

// t4313_swio12_lednop_pr_ee_u4
static const uint64_t ur_t4313_swio11_lednop_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b1088d2eb0f2, 0x5d23fbb6dd79b5ab, 0xb87eb437656de9b4, 0x685ad04505fde448,
  0x32774ed6cbb4e541, 0xdff8b267c9d4c13e, 0x5c1fed68c3dd208a, 0xf06cc1e95ea3caca, 0x3afb007f15975f51,
  0x1afa5b1971c270dc, 0xab4bb931d0fb9980, 0x5e86a763d51af873, 0x2214637e7b55ae87, 0xf00bd96cbe701c76,
  0xc5f484f2a3608cbf, 0x01cc906d7972ab51, 0xeaece75152a8d759, 0x326b8101395daa5b, 0x57974c4ae5e97f4d,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x5118bf9b632455bf, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x829e4afdcd0ccb0e, 0x000000013ae917bb,
};

// t4313_swio12_lednop_pr_ce
static const uint64_t ur_t4313_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x0487ff38073e50e6, 0xcb838e96c7f55f29, 0xce75dcdae1a3f3cb, 0xf51e5f4f72cbad64,
  0x4ca9c638e5581acf, 0xe7688518df398b01, 0x48a807feccf1d7a3, 0xad5f5b81e5adc22f, 0x5d64073241b5e5ca,
  0xa96fabb39d454aa3, 0xfd34c9ae0404e576, 0xad115e5d312b97a5, 0xbe74079bdb5d73da, 0x0ea9c0842a417296,
  0x76ff7aaa2d23b73d, 0x71b288c5fcdb190c, 0x03b6868b3440b935, 0x67a616837eeacc79, 0x587659289c659ac8,
  0xed782cf257ee6866, 0x00000000000b7517,
};

// t4313_swio12_lednop_pr_ce_u4
static const uint64_t ur_t4313_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x06fbffc5933f15a6, 0x75a495d551f59129, 0x8488bee3441e7979, 0xd90ff459784bf10d,
  0xe5821ac99aa3b9b5, 0xcab0359fea3cbe9e, 0xbe73160299538c71, 0x99e3af47ced10a31, 0xcb5b845e91500ffd,
  0x836bcb955abeb703, 0x3a8a9546bac80e64, 0x0809caed52df5767, 0x62572f4bfa69935c, 0xb6bae7b55a22bcba,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xf9b63218edfef554, 0xd1726ae0f365118b, 0xd598f207e50d1659,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813,
  0x00375de6dbb829e4,
};

// t4313_swio12_lednop_pr_ee_ce
static const uint64_t ur_t4313_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a22582, 0x5cb4b10adf4eb1b6, 0x3a2475e9c2ff1742, 0x737a8647ea29bb8e, 0xa6742e712683b6c6,
  0xc9dd3adacccb5725, 0xffc5933e9b7304f8, 0xfd8fea8dd2d2019b, 0xbbaa3f3cbcbad218, 0x76b028f9339d7736,
  0x9839c7d47959c303, 0xb07202b90fea3e0d, 0xa5b1971c270dc3af, 0x3ab5c393fad801af, 0x75e86a763d51af87,
  0x888518df9ed57a70, 0x9c02f65b2f9c071d, 0xe9ee909e546c1140, 0x901cc906d7972ab5, 0xbeaece75152a8d75,
  0xd326b8101395daa5, 0x457974c4ae5e97f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0xca2317f36c6431db, 0x68b2f572e4d5c1e6, 0x9cfd4eacc7903f28, 0x879133c09c69430a, 0x6433d30b41bf7c46,
  0x4332c3b3e04e32cd, 0xf0ad4ee0a792bf73, 0x0000000000000013,
};

// t4313_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t4313_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e6812, 0x96962e0506eb0d4c, 0x599e8335a06d933b, 0x5ea6e5df25b2302f, 0x3fa7221e25a982f7,
  0xbb45fad8935e2723, 0xf34f3e292609f193, 0x47d51caea415bffe, 0x441e797979ddadd5, 0x784bf10d8488bee3,
  0x6a8ee6d776eff459, 0x5670c0ddaccf1f26, 0xfa8f83660e71f51e, 0xc370ebec1c80ae43, 0xb6006be96c65c709,
  0x546be1cead70e4fe, 0xb55e9c1d7a1a9d8f, 0xe701c762214637e7, 0x1b04502700bd96cb, 0xe5caad7a7ba42795,
  0x4aa35d64073241b5, 0xe576a96fabb39d45, 0x97a5fd34c9ae0404, 0x73daad115e5d312b, 0x7296be74079bdb5d,
  0xb73d0ea9c0842a41, 0x190c76ff7aaa2d23, 0x357079b288c5fcdb, 0xc819a7c68b2ce8b9, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd, 0x8fc0b724e792bf73,
  0x000000000000009f,
};

// t4313_swio13_noled_pr
static const uint64_t ur_t4313_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0xd2520dbffe06833e, 0x607cf7a8f109df2d, 0x16f74d38ad78e395, 0x2e76b868c9a398b0,
  0x2b2bfee39630475e, 0x901cc906d7972ab5, 0xa9bece75152a8d75, 0xd34c9ace576a96fa, 0x4457974c4ab57bd7,
  0x953e9de7eb5cf6ab, 0x85a585cea75380b2, 0xd3d0ea9c08bf7140, 0x9a20376ca2317f36, 0xfdd598f2068fe345,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x001f20072e65a9e4,
};

static const uint64_t ur_t4313_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x032bfce01cfbf930, 0x1ea3cbe3be5a0fd2, 0x98ca9c638e5581f4, 0x7bd1ef6731602cb2,
  0x807fecc11d7a3e76, 0xb540f2cf6ee1934a, 0x039920daf2e556aa, 0x37d9cea2a551aeb2, 0x699359caed52df55,
  0x8af2e98956af7afa, 0x69de3bfaeb9ed568, 0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x9b288c5fcdb2048a,
  0x6868b2ce8b935707, 0x0a9cfd4eacc7903b, 0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7,
  0x8767c09c659ac867, 0x9782cf257ee68665, 0x00000000003e4fa7,
};

static const uint64_t ur_t4313_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffcd,
  0x3e3277699efd3b82, 0xcadfe700e7f4dcc1, 0x695a0ff6b47dd520, 0x51f06cc1cbef51e5, 0xdc3afb007f15b93f,
  0x801afa5b1971c270, 0x39d5a5dfc1d63399, 0x43af006769b91ad7, 0x1d88c91f493daad7, 0xbff00bd970e59c07,
  0x41b5e5caad4744d4, 0x9d454aa35d640732, 0xb395daa5beaa6fb3, 0xd312ad5ef5f4d326, 0x77f5d73daad115e5,
  0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x18bf9b6409156ff7, 0xd166881726ae3651, 0xd06fdd598f2076d0,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x00000053e2a72f05,
};

static const uint64_t ur_t4313_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0x56b96962110fdd62, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfd08,
  0x7c64eeb62d582932, 0xa6fff164cf8d6982, 0x9c383fdad1c7ba41, 0xa3e0d9833d7d4795, 0xb875f600fe2b90fe,
  0x0035f4b632e384e1, 0xe7569728a3a1f733, 0x0ebd0d4ec8023f90, 0x761ef47bdcf6ab5d, 0xbff00bd96cbe701c,
  0xa38b26b05aa3608c, 0xb2039920daf2e556, 0x5537d9cea2a551ae, 0xfa699359caed52df, 0x688af2e98956af7a,
  0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x8ab7fbd551698653, 0x079b288c5fcdb204, 0x3f2868b2ce8b9357,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d0f226781f, 0x67a615df47b93f03, 0x658767c09c659ac8,
  0x56ddc14f257ee686, 0x0000000000013af7,
};

static const uint64_t ur_t4313_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x483e77f9c039f2eb, 0x5e5c1c4ad63facdd, 0x2673aee6d7ff9f9e, 0x7bd479ba7b965d6b,
  0x02f740a471cab032, 0xa3e767bd1ef67316, 0x1934a807feccf1d7, 0x955aaad503cb5bae, 0x46bac80e64836bcb,
  0x4b7d54df673a8a95, 0xbdebe9a64d672bb5, 0x7b55a22bcba6255a, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x90218edfef5545a6, 0x5c9ab8d94462fe6d, 0x663c81db43459a20, 0xcd6433d30b41bf75, 0x34332c3b2c944e32,
  0xdd517cbc16792bf7, 0x0000000000000002,
};

static const uint64_t ur_t4313_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x520cadff8b267f4d, 0xf2eb49812aa3ebdd, 0x1b09117dc6883cf2, 0x6bf59fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3cdd, 0x8f7b398b017ba052, 0xff6678ebd1f3b3de, 0x81e5add70c9a5403,
  0x3241b5e5caad556a, 0xb39d454aa35d6407, 0x26b395daa5beaa6f, 0xe5d312ad5ef5f4d3, 0xbc77f5d73daad115,
  0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0xa2317f36c810c76f, 0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98, 0x053c95fb9a19961d,
  0x00000006eb938b77,
};

static const uint64_t ur_t4313_swio13_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac0d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d046d8,
  0x193ba76b6c4a72a6, 0xfff8b267f76a609f, 0x5ab1fd51c87a4063, 0x6bdd0ff3cbcbad20, 0x376b028f9339d773,
  0xd983403d4795ba50, 0xfb07202bf9dea3e0, 0xfa5b1971c270dc3a, 0x73ab5c145fad801a, 0x075e86a764011fc8,
  0xec3de8f7b9ed57a7, 0x04e017b2d97ce038, 0x5e9e26b05aa3608a, 0x5901cc906d7972ab, 0xaa9bece75152a8d7,
  0x7d34c9ace576a96f, 0xb4457974c4ab57bd, 0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329,
  0x079b288c5fcdb204, 0xfca1a2cbd5cb9357, 0x0c2a73f53ab31e40, 0xf11a1e44cf0271a5, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x0013f1023b829e4a,
};

static const uint64_t ur_t4313_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f138ec1,
  0xc9dddfbdb0c89e8c, 0xff79a79f801304f8, 0xeaa3ea8f7dd20b5b, 0x71a20f3cbcbcee76, 0x2cbc25f886c2445f,
  0x933547736b8c2ffa, 0x8f2b74a06ed6678f, 0xf3bd47c1b306807a, 0x84e1b875f60e4057, 0xbf5b0035f4b632e3,
  0xc8023f90e756b828, 0x73daaf4e0ebd0d4e, 0xb2f9c071d87bd1ef, 0xb546c11409c02f65, 0xdaf2e556bd3c4d60,
  0xa2a551aeb2039920, 0xcaed52df5537d9ce, 0x8956af7afa699359, 0xfaeb9ed5688af2e9, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xbf9b640863b7fbd5, 0x9d1726ae0f365118, 0xeacc790334f8d165, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x0013f08396e49cf2,
};

// t4313_swio13_lednop_pr
static const uint64_t ur_t4313_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0xd25208f7fe06833e, 0x607cf7a8ebe1df2d, 0x0b7ba63d6218e395, 0x173b6f68ee19cc58,
  0x958b3f71cb1823af, 0xc80e64836bcb955a, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x7974c4ae492fe9a6,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x0ea9c09cfa2810b4, 0x0376ca2317f36d3d, 0x598f2068fe3459a2,
  0xb3590cf4c2d06fdd, 0xcd0ccb0ecb25138c, 0xf2038be65a9e4afd, 0x0000000000000001,
};

static const uint64_t ur_t4313_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0x775fe700e7e3dcc1, 0xbd479b8ef96e9290, 0x37740a471cab03e7, 0x3e23b58e62c05bdd,
  0x3dc72c608ebc5cec, 0x920daf2e556a565c, 0x9cea2a551aeb2039, 0x809caed52df5537d, 0x12b924bfa69935c0,
  0xb5d73daad115e5d3, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0x9b65d9156ff7aaa2, 0x1726ae0f365118bf,
  0x598f2076d0d1659d, 0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f,
  0xfdcd0ccb0ecf8138, 0x001f2659af059e4a,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0x37e0fe17426d9305, 0x6cdd8334108a0bff,
  0x827c64ee989d5c70, 0x82397f9c039feaf9, 0x95ba583fdad1f754, 0x7d47c1b3072fbd47, 0xc370ebec01fc5651,
  0x66006be96c65c709, 0x89cead2e63c758ce, 0x5d0ebc019db24469, 0x38ec41f476b4f6ab, 0xe5ff805ecb872ce0,
  0x241b5e5caad474b3, 0x39d454aa35d64073, 0x01395daa5beaa6fb, 0x2572497f4d326b81, 0xf5ae7b55a22bcba6,
  0x7a96165362ce80f3, 0x04e7d14085a6ae75, 0x5118bf9b69e8754e, 0xd0d166881726ae36, 0xc2d06fdd598f2076,
  0xcb25138cb3590cf4, 0x059e4afdcd0ccb0e, 0x0000000014f9ce2f,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b108834eb1, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfd08,
  0x3e327747b6c71086, 0x1cbff164cff57cc1, 0x94383fdad1c7ba41, 0xa3e0d9833d7d4795, 0xb875f600fe2b297e,
  0x0035f4b632e384e1, 0xe756974ac3a1f733, 0x0ebd0d4edd4239b8, 0x763e447194f6ab5d, 0xbff00bd96cbe701c,
  0xa38bb864d2a3608c, 0xb2039920daf2e556, 0x5537d9cea2a551ae, 0x935c0809caed52df, 0x5e5d312b924bfa69,
  0x079bdb5d73daad11, 0xc0842a417296be74, 0x7aaa2d23b73d0ea9, 0x118bf9b65d9156ff, 0x1659d1726ae0f365,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0x29e4afdcd0ccb0ec, 0x00000009d74d03b8,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x480e1ff9c039f60b, 0x5e5c1c90f63facdd, 0x4ce75dcdae9b7f9e, 0xf7a8f38cf72cbad6,
  0x0a1ed008e3956064, 0x8f9dbe447191cc58, 0xee1aa01ffb33c75e, 0x556b02b40f2d6ede, 0x1aeb2039920daf2e,
  0x2df5537d9cea2a55, 0xa69935c0809caed5, 0xd115e5d312b924bf, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x6ca2317f36cbb0c7, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x5e0b3c95fb9a1996, 0x0000000002dd4797,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x520b75ff8b267e39, 0xf2eb49beeaa3ebdd, 0x1b09117dc6883cf2, 0x6bdc8fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3ce3, 0x1c6473160287b402, 0xfeccf1d7a3e76f91, 0x03cb5bb7bb86a807,
  0x64836bcb955ac0ad, 0x673a8a9546bac80e, 0x20272bb54b7d54df, 0xc4ae492fe9a64d70, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xcdb2ec31dbfdeaa8, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x01baf1f5ddc14f25,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d606, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d046d8,
  0x193baafb43746a58, 0xcffc5933fa6a609f, 0xc7ec7f54721e907f, 0xb5c001f9e5e5d692, 0x1bb58147c99cebb9,
  0x6cc1a01ea3cacba8, 0x7d8390159c3f51f0, 0x7d2d8cb8e1386e1d, 0x39d5ae12b7d6c00d, 0x83af4353b7508e6e,
  0x763e447194f6abd3, 0x02700bd96cbe701c, 0xaf4f5c326951b045, 0xac80e64836bcb955, 0xd54df673a8a9546b,
  0x64d7020272bb54b7, 0x57974c4ae492fe9a, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa,
  0x88c5fcdb2ec31dbf, 0x2cbd5cb9357079b2, 0x3f53ab31e40fca1a, 0xe44cf0271a50c2a7, 0x0cf4c2d06fdf11a1,
  0xccb0ecf8138cb359, 0x3a2bb829e4afdcd0, 0x00000000000009f8,
};

static const uint64_t ur_t4313_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e271d82,
  0x64eebadea0aeef27, 0xff79a79fc6e9827c, 0x2aa3ea8f7dd206bb, 0xb8d1079e5e5e7788, 0x165e12fc4361222f,
  0xe4cd51dcdaeb82fd, 0xa3cacba81bb599e3, 0x9c3f51f06cc1a01e, 0xe1386e1d7d839015, 0xb7d6c00d7d2d8cb8,
  0xb7508e6e39d5ae12, 0x94f6abd383af4353, 0x6cbe701c763e4471, 0x6951b04502700bd9, 0x36bcb955af4f5c32,
  0xa8a9546bac80e648, 0x72bb54b7d54df673, 0xe492fe9a64d70202, 0x5cf6ab4457974c4a, 0x5ca5af9d01e6f6d7,
  0xedcf43aa70210a90, 0x2ec31dbfdeaa8b48, 0x357079b288c5fcdb, 0xc819a7c68b2ce8b9, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd, 0x82a73724e792bf73,
  0x000000000000009f,
};

// t4313_swio14_noled_pr
static const uint64_t ur_t4313_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x05203d7fc0d067fb, 0x0ebffa8f109df2dd, 0x6f74c7afc91c72ac, 0xe7683e8c9a398b01,
  0x584f6e39630475e2, 0x80e64836bcb955a9, 0xdf5673a8a9546bac, 0xe9a64d674dcaed52, 0x5a22bcba6256c7ef,
  0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0xe2adfef5545a6194, 0x0ddb288c5fcdb3d6, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xc80e2f996a792bf7, 0x0000000000000007,
};

static const uint64_t ur_t4313_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0xa41b7ffce01cf98f, 0xc9af51c143be5b7b, 0x6536df97d1c72ac0, 0xd96ba3114e62c059,
  0x2a01ffb30475e8f9, 0xb3ee81e59edf484f, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0xfe9a64d674dcaed5,
  0x55a22bcba6256c7e, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5, 0x6e2adfef5545a619, 0x7079b288c5fcdb3d,
  0x03b6868b2ce8b935, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0,
  0x6658767c09c659ac, 0x842d782cf257ee68, 0x00000000000007c9,
};

static const uint64_t ur_t4313_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0xc3f72d2c4221b158, 0xed2f469ef1fa114c, 0xf83f85bc8b429bf1, 0x6ec19b532282fe64,
  0x3e32774c4eae3836, 0xc09fe700e7edd4c1, 0x6e4e0ff6b4722520, 0xa8f83660c14f51e5, 0x6e1d7d803f8aff77,
  0xc00d7d2d8cb8e138, 0x39d5a5cc78eb19cc, 0xa1d78033b2f88c7c, 0x1d81be8fa09ed56b, 0xbff00bd970e59c07,
  0x41b5e5caad4744f4, 0x9d454aa35d640732, 0x6b3a6e576a96fab3, 0xe5d312b63f7f4d32, 0xbc77f5d73daad115,
  0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x4462fe6d9eb7156f, 0x43459a205c9ab8d9, 0x0b41bf75663c81db,
  0x2c944e32cd6433d3, 0x16792bf734332c3b, 0x0000000053e738bc,
};

static const uint64_t ur_t4313_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2446f43, 0xad72d2c4221bbac6, 0xf0836a2e8c1ae6d6, 0xf48b87eb42b68258, 0x0d3866a6c8a0bfec,
  0x4f8c9dd015bc9765, 0x2dd7fe2c99f8e530, 0xb90f07fb5a30f748, 0xd47c1b307a57a8f2, 0x370ebec01fc56e97,
  0x6006be96c65c709c, 0x9cead2f528743ee6, 0xa1d7a1a9da714710, 0x1d85ae8c459ed56b, 0x2ffc02f65b2f9c07,
  0xd47164f73ca8d823, 0xd64073241b5e5caa, 0xa96fab39d454aa35, 0xf7f4d326b3a6e576, 0xdaad115e5d312b63,
  0x294f0d3bc77f5d73, 0xca7a1d5381077536, 0xeb7156ff7aaa2d30, 0xab83cd94462fe6d9, 0xc81f9434596745c9,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0x81fbff826879133c, 0x6433d30aefa3dc9f, 0x4332c3b3e04e32cd,
  0x78faeee0a792bf73, 0x000000000000009d,
};

static const uint64_t ur_t4313_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x0256ff38073e70e6, 0xcb838e4ec7f55f29, 0x9cebb9b5d0fbf3cb, 0xf51d7c9ee5975ac9,
  0x6449ba38e5581acf, 0xe765ae8c45398b01, 0x3ca807feccf1d7a3, 0x5ab3ee81e5addd21, 0xbac80e64836bcb95,
  0xd52df5673a8a9546, 0x7efe9a64d674dcae, 0x7b55a22bcba6256c, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x7ad98edfef5545a6, 0x6ae0f365118bf9b6, 0xc81db434597ab972, 0x34a1854e7ea75663, 0xdfbe2343c899e04e,
  0x271966b219e985a0, 0xc95fb9a19961d9f0, 0x00001bae73e5e0b3,
};

static const uint64_t ur_t4313_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x520c09ff8b267edd, 0xf2eb48a7aaa3eb22, 0x1b09117dc6883cf2, 0xd766ffe8b2f097e2,
  0x7b96086b266a8ee6, 0xe395606b3fd475f2, 0x3114e62c059126e8, 0xfb33c75e8f9d96ba, 0x0796b77484f2a01f,
  0x920daf2e556acfba, 0x9cea2a551aeb2039, 0x9359d372bb54b7d5, 0xaf2e9895b1fbfa69, 0x9de3bfaeb9ed5688,
  0xa9c083ba9b14a786, 0x7fbd551698653d0e, 0x94462fe6d9eb663b, 0x34596745c9ab83cd, 0x4e7ea75663c81f94,
  0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff, 0xb3e04e32cd6433d3, 0xe0a792bf734332c3,
  0x00000000dd7d1c4e,
};

static const uint64_t ur_t4313_swio14_noled_pr_ee_ce[] = {
  0x3ddddddd41445541, 0x972d2c42b11fac13, 0x0ef4ed6a7e3fc5d0, 0x9cdea1d457ae56d6, 0x571c339c49a09331,
  0x3277505699139c62, 0xfff8b267ffe4c13e, 0x1fb1fd51ba5a41d3, 0xd7548fe797975a4a, 0x6ed6051f2673aee6,
  0xb30738fa8f2bf9c0, 0xf60e405695bd47c1, 0xf4b632e384e1b875, 0xe756b8a95f5b0035, 0x0ebd0d4ed38a3884,
  0xb0b5d188b3daaf4e, 0x13805ecb65f380e3, 0xbd3c4f73ca8d8228, 0xb2039920daf2e556, 0x4b7d59cea2a551ae,
  0xbfa699359d372bb5, 0xd5688af2e9895b1f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0xb663b7fbd5516986,
  0xb83cd94462fe6d9e, 0x07e50d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d, 0xc659ac867a616837,
  0x57ee686658767c09, 0x00013f3085dc14f2,
};

static const uint64_t ur_t4313_swio14_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e304a, 0x772d2c5c0a5dd62c, 0x3b4c8e9b1850db26, 0xf75ea6f92989a0b9, 0x89123f221e26c782,
  0xc9dd2afd69c806e0, 0xfef34f3ed77304f8, 0xaaa3ea8e575207f9, 0xb8d1079e5e5e77a6, 0x165e12fc4361222f,
  0xe4cd51dcdafe72fd, 0xa3cafe701bb599e3, 0xa56f51f06cc1ce3e, 0xe1386e1d7d839015, 0x57d6c00d7d2d8cb8,
  0xb4e28e2139d5ae2a, 0x2cf6abd383af4353, 0xd97ce038ec2d7462, 0xf2a3608a04e017b2, 0x36bcb955af4f13dc,
  0xa8a9546bac80e648, 0x674dcaed52df5673, 0xba6256c7efe9a64d, 0x8efebae7b55a22bc, 0x020eea6c529e1a77,
  0xf5545a6194f43aa7, 0x18bf9b67ad98edfe, 0x659d1726ae0f3651, 0xd4eacc790334f8d1, 0xffde1ef79430a9cf,
  0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d, 0xf257ee686658767c, 0x000013f169f6e49c,
};

// t4313_swio14_lednop_pr
static const uint64_t ur_t4313_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0xd05200f7fe06833f, 0xc0ebffa8f921df2d, 0x16f74da52631c72a, 0x173b08a8fa4398b0,
  0x95982f71cb1823af, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0x64d7020274dcaed5, 0x2bcba62572fb1e9a,
  0xce80f3f5ae7b55a2, 0xa6ae757a96165362, 0xe8754e0517d14085, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x01f2001732d4f257,
};

static const uint64_t ur_t4313_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x0489fe700e7c3dcc, 0xffd475f0ef96e829, 0xa69126e8e3956075, 0xc8a8ee19cc580b7b,
  0x26e39630475e2e76, 0x64836bcb955a959d, 0x673a8a9546bac80e, 0x020274dcaed52df5, 0xa62572fb1e9a64d7,
  0x7b6bae7b55a22bcb, 0x85482e52d7ce80f3, 0x45a476e7a1d53810, 0x5fcdb1922adfef55, 0xce8b9357079b288c,
  0x4eacc7903b6868b2, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0x47b93f03f7ff04d0, 0x9c659ac867a615df,
  0x257ee686658767c0, 0x00007c9a681782cf,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b10898beb, 0xf7afb417588f8b53, 0x3e0fe16f21b0b402, 0xb4b3f764c8a0bf99,
  0x4f8c9dde4bb4cd1d, 0x37dff9c039f8ad30, 0x5ba583fdad1c8948, 0xea3e0d983053d479, 0x1b875f600fe2bf9d,
  0x30035f4b632e384e, 0x4e756975f63ac673, 0xd0ebc019da5f234c, 0xc7607c476b4f6ab5, 0x2ffc02f65c396701,
  0x906d7972ab51d749, 0xe75152a8d75901cc, 0x404e9b95daa5beac, 0xc4ae5f63d34c9ae0, 0x6d75cf6ab4457974,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xf9b632455bfdeaa8, 0x6881726ae365118b, 0xfdd598f2076d0d16,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x00029f0922f059e4,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c42234bac6, 0xd1748feedb75e6d6, 0x22e1fad0dd95b7a6, 0x0b42d682282ffb3d,
  0xf193ba76b65da72a, 0x56ffc5933e4ea609, 0x52e0ff6b461ee904, 0x8f83660f4af51e56, 0xe1d7d803f8acbafa,
  0x00d7d2d8cb8e1386, 0x9d5a5dc98e87dccc, 0x3af4353b1ea8d7c3, 0xb110a31bf3daad74, 0xff805ecb65f380e3,
  0x8e2fa427951b0465, 0xc80e64836bcb955a, 0x2df5673a8a9546ba, 0x64d7020274dcaed5, 0x2bcba62572fb1e9a,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x288c5fcdb1922adf, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0xc14f257ee6866587, 0x000000009d748bdd,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x52090ffe700e7ca1, 0x9797071d2d8feabe, 0xc99cebb9b5c347e7, 0x9fea3cbe9ee5975a,
  0x0299538c71cab035, 0x47ced10a31be7316, 0x5e91500ffd99e3af, 0x955abeb703cb5b84, 0x46bac80e64836bcb,
  0xaed52df5673a8a95, 0x1e9a64d7020274dc, 0x55a22bcba62572fb, 0xd7ce80f37b6bae7b, 0xa1d5381085482e52,
  0x8edfef5545a476e7, 0xae365118bf9b6321, 0x2076d0d166881726, 0x0cf4c2d06fdd598f, 0xcb0ecb25138cb359,
  0xfdaf059e4afdcd0c, 0x0000000000016ea2,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x520df7ff8b267e2b, 0xf2eb492baaa3eb22, 0x1b09117dc6883cf2, 0x6bb21fe8b2f097e2,
  0x3dcb043593354773, 0xe395606b3fd4797d, 0x637ce62c0532a718, 0xfb33c75e8f9da214, 0x0796b708bd22a01f,
  0xc906d7972ab57d6e, 0xce75152a8d75901c, 0x0404e9b95daa5bea, 0x4c4ae5f63d34c9ae, 0xf6d75cf6ab445797,
  0x0a905ca5af9d01e6, 0x8b48edcf43aa7021, 0x7f36c6431dbfdeaa, 0x3a2e4d5c1e6ca231, 0x3ab31e40fca1a2cb,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x1ee4fc0fdffc1343, 0x71966b219e98577d, 0x95fb9a19961d9f02,
  0x0006ebbcdb77053c,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22582, 0x4b9696215be9d609, 0xc7448ebd385fe2e8, 0xce6f50c8fd453771, 0xb4ce85ce24d04998,
  0x193ba75b59996ae4, 0x7ff8b267d36e609f, 0x1fb1fd51ba5a4033, 0xd77547e797975a43, 0x6ed6051f2673aee6,
  0xb30738fa8f2b3860, 0xf60e405721fd47c1, 0xf4b632e384e1b875, 0xe756b8727f5b0035, 0x0ebd0d4ec7aa35f0,
  0xb110a31bf3daaf4e, 0x13805ecb65f380e3, 0xbd3dd213ca8d8228, 0xb2039920daf2e556, 0x4b7d59cea2a551ae,
  0x9935c0809d372bb5, 0x8af2e9895cbec7a6, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3, 0xfbd551691db9e875,
  0x94462fe6d8c863b7, 0xd165eae5c9ab83cd, 0x39fa9d598f207e50, 0x0f22678138d28615, 0xc867a616837ef88d,
  0x86658767c09c659a, 0xe15a9dc14f257ee6, 0x0000000000000027,
};

static const uint64_t ur_t4313_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33d066b40db26, 0xeebd4dcbbe4b6460, 0x467f4e443c4d8f05,
  0x27768bf5b126bc4e, 0xfde69e7c524c13e3, 0xaa8faa395d482b7f, 0xc6883cf2f2f3bb5b, 0xb2f097e21b09117d,
  0x4cd51dcdaeeddfe8, 0x3cace181bb599e3e, 0x87f51f06cc1ce3ea, 0x1386e1d7d839015c, 0xfd6c00d7d2d8cb8e,
  0x1ea8d7c39d5ae1c9, 0xcf6abd383af4353b, 0x97ce038ec4428c6f, 0x2a3608a04e017b2d, 0x6bcb955af4f7484f,
  0x8a9546bac80e6483, 0x74dcaed52df5673a, 0x72fb1e9a64d70202, 0xae7b55a22bcba625, 0x2e52d7ce80f37b6b,
  0x76e7a1d538108548, 0x63218edfef5545a4, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xf1f816e49cf257ee,
  0x0000000000000013,
};

// t4313_swio15_noled_pr
static const uint64_t ur_t4313_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0xd2520dbffe06833e, 0x607cf7a8f109df2d, 0x16f74d38ad78e395, 0x2e76b868c9a398b0,
  0x2b2bfee39630475e, 0x901cc906d7972ab5, 0xbeaece75152a8d75, 0xd34c9ace9b95daa5, 0xa22bcba6255abfdf,
  0x4a9f4ef3f5ae7b55, 0x42d2c2e753a9c059, 0x69e8754e045fb8a0, 0xcd101bb65118bf9b, 0x7eeacc790347f1a2,
  0x9c659ac867a61683, 0x57ee686658765928, 0x000f90039732d4f2,
};

static const uint64_t ur_t4313_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x032bfce01cfbf930, 0x1ea3cbe3be5a0fd2, 0x98ca9c638e5581f4, 0x7bd1ef6731602cb2,
  0x807fecc11d7a3e76, 0xb540f2cf6ee1934a, 0x039920daf2e556aa, 0xd5d9cea2a551aeb2, 0x699359d372bb54b7,
  0x457974c4ab57fbfa, 0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c, 0x5bfdeaa8b4c329e8, 0xcd94462fe6d90245,
  0xb434596745c9ab83, 0x854e7ea75663c81d, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb,
  0xc3b3e04e32cd6433, 0xcbc16792bf734332, 0x00000000001f27d3,
};

static const uint64_t ur_t4313_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffbb,
  0x3e3277699efd3b82, 0xcadfe700e7f4dcc1, 0x695a0ff6b47dd520, 0x51f06cc1cbef51e5, 0xdc3afb007f15b93f,
  0x801afa5b1971c270, 0x39d5a5dfc1d63399, 0x43af006769b91ad7, 0x1d88c91f493daad7, 0xbff00bd970e59c07,
  0x41b5e5caad4744d4, 0x9d454aa35d640732, 0xb3a6e576a96fabb3, 0xe98956aff7f4d326, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x8c5fcdb2048ab7fb, 0x68b3440b93571b28, 0x6837eeacc7903b68,
  0x9289c659ac867a61, 0xcf257ee686658765, 0x00000029f1539782,
};

static const uint64_t ur_t4313_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447705, 0x56b96962110fdd61, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfbc8,
  0x7c64eeb62d582932, 0xa6fff164cf8d6982, 0x9c383fdad1c7ba41, 0xa3e0d9833d7d4795, 0xb875f600fe2b90fe,
  0x0035f4b632e384e1, 0xe7569728a3a1f733, 0x0ebd0d4ec8023f90, 0x761ef47bdcf6ab5d, 0xbff00bd96cbe701c,
  0xa38b26b05aa3608c, 0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0xfa699359d372bb54, 0xb4457974c4ab57fb,
  0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x455bfdeaa8b4c329, 0x83cd94462fe6d902, 0x1f9434596745c9ab,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64,
  0xab6ee0a792bf7343, 0x0000000000009d7b,
};

static const uint64_t ur_t4313_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x20f9dfe700e7cbac, 0x7970712b58feb375, 0x99cebb9b5ffe7e79, 0xef51e6e9ee5975ac,
  0x0bdd0291c72ac0c9, 0x8f9d9ef47bd9cc58, 0x64d2a01ffb33c75e, 0x556aab540f2d6eb8, 0x1aeb2039920daf2e,
  0xb54b7d5d9cea2a55, 0x7fbfa699359d372b, 0xf6ab4457974c4ab5, 0x8a53c34ef1dfd75c, 0x329e8754e041dd4d,
  0x20431dbfdeaa8b4c, 0xb93571b288c5fcdb, 0xcc7903b6868b3440, 0x9ac867a616837eea, 0x6866587659289c65,
  0xbaa2f9782cf257ee, 0x0000000000000005,
};

static const uint64_t ur_t4313_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x520cadff8b267f4d, 0xf2eb49812aa3ebdd, 0x1b09117dc6883cf2, 0x6bf59fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3cdd, 0x8f7b398b017ba052, 0xff6678ebd1f3b3de, 0x81e5add70c9a5403,
  0x3241b5e5caad556a, 0xb39d454aa35d6407, 0x26b3a6e576a96fab, 0xf2e98956aff7f4d3, 0xde3bfaeb9ed5688a,
  0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x5118bf9b640863b7, 0xd1659d1726ae0f36, 0x39fa9d598f207e50,
  0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c, 0x829e4afdcd0ccb0e,
  0x0000000375c9c5bb,
};

static const uint64_t ur_t4313_swio15_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac6d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d076d8,
  0x193ba76b6c4a72a6, 0xfff8b267f76a609f, 0x5ab1fd51c87a4063, 0x6bdd0ff3cbcbad20, 0x376b028f9339d773,
  0xd983403d4795ba50, 0xfb07202bf9dea3e0, 0xfa5b1971c270dc3a, 0x73ab5c145fad801a, 0x075e86a764011fc8,
  0xec3de8f7b9ed57a7, 0x04e017b2d97ce038, 0x5e9e26b05aa3608a, 0x5901cc906d7972ab, 0x5beaece75152a8d7,
  0xfd34c9ace9b95daa, 0x5a22bcba6255abfd, 0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0x18edfef5545a6194,
  0x83cd94462fe6d902, 0x7e50d165eae5c9ab, 0x861539fa9d598f20, 0xf88d0f22678138d2, 0x659ac867a616837e,
  0x7ee686658767c09c, 0x0009f8811dc14f25,
};

static const uint64_t ur_t4313_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e173e, 0x772d2c5c0a38d61a, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f12d4c1,
  0xc9dddfbdb0c89e8c, 0xff79a79f801304f8, 0xeaa3ea8f7dd20b5b, 0x71a20f3cbcbcee76, 0x2cbc25f886c2445f,
  0x933547736b8c2ffa, 0x8f2b74a06ed6678f, 0xf3bd47c1b306807a, 0x84e1b875f60e4057, 0xbf5b0035f4b632e3,
  0xc8023f90e756b828, 0x73daaf4e0ebd0d4e, 0xb2f9c071d87bd1ef, 0xb546c11409c02f65, 0xdaf2e556bd3c4d60,
  0xa2a551aeb2039920, 0xd372bb54b7d5d9ce, 0xc4ab57fbfa699359, 0xfd75cf6ab4457974, 0x1dd4d8a53c34ef1d,
  0xa8b4c329e8754e04, 0x5fcdb20431dbfdea, 0xce8b9357079b288c, 0x75663c819a7c68b2, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x0009f841cb724e79,
};

// t4313_swio15_lednop_pr
static const uint64_t ur_t4313_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0xd25208f7fe06833e, 0x607cf7a8ebe1df2d, 0x0b7ba63d6218e395, 0x173b6f68ee19cc58,
  0x958b3f71cb1823af, 0xc80e64836bcb955a, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e5d312b92b1e9a6,
  0x74079fad73daad11, 0x3573abd4b0b29b16, 0x43aa70273e8a042d, 0x80ddb288c5fcdb4f, 0x5663c81a3f8d1668,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0x7c80e2f996a792bf,
};

static const uint64_t ur_t4313_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0x775fe700e7e3dcc1, 0xbd479b8ef96e9290, 0x37740a471cab03e7, 0x3e23b58e62c05bdd,
  0x3dc72c608ebc5cec, 0x920daf2e556a565c, 0x9cea2a551aeb2039, 0x809d372bb54b7d5d, 0xc4ae4ac7a69935c0,
  0x6d75cf6ab4457974, 0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0xe6d976455bfdeaa8, 0x45c9ab83cd94462f,
  0x5663c81db4345967, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x0007c9966bc16792,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0xefe0fe17426d9305, 0x6cdd8334108a0bfe,
  0x827c64ee989d5c70, 0x82397f9c039feaf9, 0x95ba583fdad1f754, 0x7d47c1b3072fbd47, 0xc370ebec01fc5651,
  0x66006be96c65c709, 0x89cead2e63c758ce, 0x5d0ebc019db24469, 0x38ec41f476b4f6ab, 0xe5ff805ecb872ce0,
  0x241b5e5caad474b3, 0x39d454aa35d64073, 0x013a6e576a96fabb, 0x895c958f4d326b81, 0xfd6b9ed5688af2e9,
  0x5ea58594d8b3a03c, 0x8139f4502169ab9d, 0x94462fe6da7a1d53, 0xb43459a205c9ab8d, 0x30b41bf75663c81d,
  0xb2c944e32cd6433d, 0xc16792bf734332c3, 0x00000000053e738b,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b108834eb0, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfbc8,
  0x3e327747b6c71086, 0x1cbff164cff57cc1, 0x94383fdad1c7ba41, 0xa3e0d9833d7d4795, 0xb875f600fe2b297e,
  0x0035f4b632e384e1, 0xe756974ac3a1f733, 0x0ebd0d4edd4239b8, 0x763e447194f6ab5d, 0xbff00bd96cbe701c,
  0xa38bb864d2a3608c, 0xb2039920daf2e556, 0xb7d5d9cea2a551ae, 0x935c0809d372bb54, 0x57974c4ae4ac7a69,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x4462fe6d976455bf, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0x0a792bf734332c3b, 0x0000000275d340ee,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x20387fe700e7d82c, 0x79707243d8feb375, 0x339d7736ba6dfe79, 0xdea3ce33dcb2eb59,
  0x287b40238e558193, 0x3e76f911c6473160, 0xb86a807feccf1d7a, 0x55ac0ad03cb5bb7b, 0x6bac80e64836bcb9,
  0xd52df57673a8a954, 0x9a64d7020274dcae, 0xd115e5d312b92b1e, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x6ca2317f36cbb0c7, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x5e0b3c95fb9a1996, 0x0000000002dd4797,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x520b75ff8b267e39, 0xf2eb49beeaa3ebdd, 0x1b09117dc6883cf2, 0x6bdc8fe8b2f097e2,
  0x3dcb043593354773, 0x38e558193dea3ce3, 0x1c6473160287b402, 0xfeccf1d7a3e76f91, 0x03cb5bb7bb86a807,
  0x64836bcb955ac0ad, 0x673a8a9546bac80e, 0x20274dcaed52df57, 0x312b92b1e9a64d70, 0xdb5d73daad115e5d,
  0x2a417296be74079b, 0x2d23b73d0ea9c084, 0xf36cbb0c76ff7aaa, 0xa2e4d5c1e6ca2317, 0xab31e40fca1a2cb3,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027,
  0x006ebc7d777053c9,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d636, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d076d8,
  0x193baafb43746a58, 0xcffc5933fa6a609f, 0xc7ec7f54721e907f, 0xb5c001f9e5e5d692, 0x1bb58147c99cebb9,
  0x6cc1a01ea3cacba8, 0x7d8390159c3f51f0, 0x7d2d8cb8e1386e1d, 0x39d5ae12b7d6c00d, 0x83af4353b7508e6e,
  0x763e447194f6abd3, 0x02700bd96cbe701c, 0xaf4f5c326951b045, 0xac80e64836bcb955, 0x2df57673a8a9546b,
  0x64d7020274dcaed5, 0x15e5d312b92b1e9a, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea,
  0xa2317f36cbb0c76f, 0x8b2f572e4d5c1e6c, 0xcfd4eacc7903f286, 0x79133c09c69430a9, 0x433d30b41bf7c468,
  0x332c3b3e04e32cd6, 0x0e8aee0a792bf734, 0x000000000000027e,
};

static const uint64_t ur_t4313_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0x772d2c5c0ae0d61a, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e25a982,
  0x64eebadea0aeef27, 0xff79a79fc6e9827c, 0x2aa3ea8f7dd206bb, 0xb8d1079e5e5e7788, 0x165e12fc4361222f,
  0xe4cd51dcdaeb82fd, 0xa3cacba81bb599e3, 0x9c3f51f06cc1a01e, 0xe1386e1d7d839015, 0xb7d6c00d7d2d8cb8,
  0xb7508e6e39d5ae12, 0x94f6abd383af4353, 0x6cbe701c763e4471, 0x6951b04502700bd9, 0x36bcb955af4f5c32,
  0xa8a9546bac80e648, 0x74dcaed52df57673, 0xb92b1e9a64d70202, 0xd73daad115e5d312, 0x17296be74079bdb5,
  0x3b73d0ea9c0842a4, 0xcbb0c76ff7aaa2d2, 0x4d5c1e6ca2317f36, 0xf20669f1a2cb3a2e, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xe07effe09a1e44cf, 0x590cf4c2bbe8f727, 0xd0ccb0ecf8138cb3, 0xe0a9cdc939e4afdc,
  0x0000000000000027,
};

// t261_swio10_noled_pr              t261a_swio10_noled                t261a_swio10_noled_pr
static const uint64_t ur_t261_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x92134aff0a41f3f2, 0x7f201ee4c4ef9626, 0x695108f70e9fc188, 0xda3278e62c05bdd3,
  0xdc72c608ebc5cedb, 0x04daf2e556a562cf, 0x3a8a9546bb90873f, 0x09359caed52df567, 0x5e5108954bef5f41,
  0x3bc77f5d73daad11, 0x5381077536294f0d, 0xff7aaa2d30ca7a1d, 0x88266fe6d8ad5156, 0x347f1a2cd101bb62,
  0x7a616837eeacc790, 0x0ecfa289c659ac86, 0x99079e4afdcd0ccb, 0x0000000001f20010,
};

// t261a_swio10_noled_pr_u4
static const uint64_t ur_t261_swio10_noled_pr_u4[] = {
  0x06eeeeed17622a9c, 0x772d2c42b193ac11, 0xebafdb89d4906487, 0x06612226b075338f, 0x97c5d09cdf74880f,
  0x827c64ee8d3df1e6, 0x1027ffd1a1e7cca9, 0x403dcb5cef962692, 0xa321ee1d3f8310fe, 0xf059cc580b7ba69b,
  0xcb1823af173b1348, 0x6bcb955a95952f71, 0x2a551aee421cfc13, 0xd672bb54b7d59cea, 0x4422552fbd7d0424,
  0xf59de5cf6ab44579, 0x85a5aff11a9e18a6, 0xd3d0ea9c0b71f140, 0x93571b1441337f36, 0x1e40eda1a2c22b8b,
  0xbde50c2a73f53ab3, 0x147f197e627ff787, 0xfc0fdffc13442bbd, 0x6b219e98577d1ee4, 0x4332c3b3e8a27196,
  0xe4931241e792bf73, 0x00000000000007c9,
};

// t261a_swio10_noled_pr_ee
static const uint64_t ur_t261_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x4cb969602172b758, 0x1a7b42f5d797bd59, 0xeef341a1104c2b31, 0xef17e3bad3fa939b,
  0xe3277699efd3b827, 0xb7fd1a1e7f4dcc13, 0xb38aeb5a3ee92132, 0x939e403dc14e4ad2, 0xe403dd83c9c07373,
  0x1b875f600fe2b28b, 0x30035f4b632e384e, 0x4e756978f76ec673, 0xd0ebc019db244791, 0x8ec41f464d4f6ab5,
  0x5ff805ecb872ce03, 0x09b5e5caad474b3e, 0x75152a8d77210e7e, 0x126b395daa5beace, 0xbca2112a97debe82,
  0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0x104cdfcdb15aa2ad, 0x1a2cd102e4d5c6c5,
  0x5a0dfbab31e40eda, 0xe8a271966b219e98, 0xe792bf734332c3b3, 0x000000a7c54e1241,
};

// t261a_swio10_noled_pr_ee_u4
static const uint64_t ur_t261_swio10_noled_pr_ee_u4[] = {
  0xfbbbbbb441baba31, 0xb96960217b2758e6, 0x7a7ef5d797bd594c, 0xef341a135a9f8f37, 0xb6430aad3fa939be,
  0x8c9dd667ad140515, 0x6ffced19f1ad304f, 0x4dc575ad1f74909a, 0xc9cf201ee0a7256e, 0xf201eec1e4e039b9,
  0x0dc3afb007f1598f, 0x9801afa5b1971c27, 0x239d5a5fbab76339, 0x743af006765ae8e3, 0x71d8e91193d3daad,
  0x4bff00bd970e59c0, 0x826d7972ab51d35f, 0x9d454aa35dc8439f, 0x849ace576a96fab3, 0xaf28844aa5f7afa0,
  0x7d3bcfd6b9ed5688, 0x4b0b9d4ea701652a, 0xa1d538138522810b, 0xae36288266fe6da7, 0x3472234584571726,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xf7ff04d10aef451f, 0x67a615df47b93f03, 0xb0ecfa289c659ac8,
  0x33a9c9e4afdcd0cc, 0x000000000009d7c6,
};

// t261a_swio10_noled_pr_ce
static const uint64_t ur_t261_swio10_noled_pr_ce[] = {
  0x9ddddddd5a75f1eb, 0xe5a584a9c2e35848, 0x71deeac8705fdb06, 0x20683b6fd2bc8d4f, 0x7f8f1afba9137132,
  0xe3277717e95b0821, 0xe7fb30be7ca2cc13, 0x2463e7bfa8f8908f, 0x577a2f57fe7994e4, 0xd79ee5be6de339bc,
  0x874fe0ea5f900f72, 0x9e398b016717bc7b, 0xb19e3af173b6f68c, 0x5e5caad474b3f71c, 0x52a8d77210e7e09b,
  0xb395daa5beace751, 0x2112a97debe82126, 0xefebae7b55a22bca, 0x20eea6c529e1a778, 0x5545a6194f43aa70,
  0x9bf9b62b518edfef, 0x9a205c9ab8d8a209, 0xdd598f2063e82345, 0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513,
  0x2dd7a4e9320f3c95,
};

// t261a_swio10_noled_pr_ce_u4
static const uint64_t ur_t261_swio10_noled_pr_ce_u4[] = {
  0x7dddddda20dd4375, 0xcb9696041904ac70, 0xef619ed69b3fd7a1, 0x91b448b853d32e27, 0x88199b00bf7783f8,
  0x827c64ee86ed23ed, 0x8460bfe768cfcae9, 0x9c070a1c62fd7a84, 0x8488bee2a203cf32, 0x6f0ff459784bf10d,
  0xf72ceafac99317d1, 0x3f83c17e403dd924, 0xcc580a13d7c1ee1d, 0xc75e8f9d87c476b1, 0x6ee8167aa01ffb33,
  0xbcb955a882540f2d, 0xa551aee421cfc136, 0x672bb54b7d59cea2, 0x422552fbd7d0424d, 0xdfd75cf6ab445794,
  0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0x37f36c56a31dbfde, 0x22b8b93571b14413, 0x75663c81a3911a2c,
  0xef0f7bca1854e7ea, 0x577a28fe32fcc4ff, 0x3dc9f81fbff82688, 0xe32cd6433d30aefa, 0x7ee686658767d144,
  0x006ebaec9d4e4f25,
};

// t261a_swio10_noled_pr_ee_ce
static const uint64_t ur_t261_swio10_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baa80b, 0xbb96962c9c23f58d, 0x97560eb53f1f5a17, 0x348b50ea2bd72b7c, 0xae3867c2e8736d93,
  0x64eed89dc9cd38c4, 0xffe768cfffc9827c, 0x7e7bfaa374a909d3, 0x454a8fcf329c0728, 0x0ff6b5d3df378aef,
  0xcf201ee0a7256e96, 0x03dd83c9c072f9c9, 0xc3afb07202b727e4, 0x01afa5b1971c270d, 0x6273abd38d7dae18,
  0xc78ebd0d4ed2f91a, 0x8ec0f88ed69ed56d, 0x264e017b2d97ce03, 0x56a59acfafea8d82, 0xbb90873f04daf2e5,
  0xd52df5673a8a9546, 0x4bef5f4109359cae, 0x73daad115e510895, 0x36294f0d3bc77f5d, 0x30ca7a1d53810775,
  0xb15a8c76ff7aaa2d, 0xe4d5c6c5104cdfcd, 0x3c81a3911a2cd102, 0x6433d30b41bf7566, 0x6658767d144e32cd,
  0xf9c9d4e4f257ee68, 0x0000000000000534,
};

// t261a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t261_swio10_noled_pr_ee_ce_u4[] = {
  0xf77777689f684c7f, 0xdcb4b0c392eeb0d4, 0x76e4ed3630a8036d, 0xec454df253134162, 0x2448fd27f83b53b1,
  0x4eed8bebd6aafb82, 0xfa43f9f6bb9827c6, 0x18bf5472b9211fe7, 0xa203cf329c5a4d35, 0x784bf10d8488bee2,
  0xe64c5f450a47f459, 0xe4add2c1fed6107b, 0x0e5f3939e403dc14, 0x56e4fc807bb07938, 0xe384e1b875f60e40,
  0xafb5c30035f4b632, 0xda5f234c4e757a71, 0xd3daadb8f1d7a1a9, 0xb2f9c071d81f11da, 0xfd51b044c9c02f65,
  0x9b5e5caad4b359f5, 0x5152a8d77210e7e0, 0x26b395daa5beace7, 0xca2112a97debe821, 0x78efebae7b55a22b,
  0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x099bf9b62b518edf, 0x16115c5c9ab8d8a2, 0xea75663c81ad4e0d,
  0xffef0f7bca1854e7, 0x88577a28fe32fcc4, 0xfa3dc9f81fbff826, 0x44e32cd6433d30ae, 0x257ee686658767d1,
  0x00027e042d4c83cf,
};

// t261_swio10_lednop_pr             t261a_swio10_lednop               t261a_swio10_lednop_pr
static const uint64_t ur_t261_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x269210caff0a41f3, 0x887f201eef90ef96, 0xd3200f78f70e9fc1, 0xd6b23e80e62c05bd,
  0x9edc72c608ebc5ce, 0x9f826d7972ab52b3, 0xb39d454aa35dc843, 0x9ae0404e576a96fa, 0x28844ab574bfa084,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0xaa70363fc502169a, 0x6c5104cdfcdb4f43, 0xf2068fe3459a2037,
  0x90cf4c2d06fdd598, 0x9961d9f45138cb35, 0x241320f3c95fb9a1, 0x0000000000007c81,
};

// t261a_swio10_lednop_pr_u4
static const uint64_t ur_t261_swio10_lednop_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x5ae5a58856db758d, 0xfd05fb87c6d24433, 0x7908e3f4bc7f9bc2, 0x6a1c005ef7752444,
  0x13e3277699ea0970, 0x03dffd1a1e7e034c, 0x01ee9c4ef9611521, 0x4007b874fe0c9ef2, 0x07ce62c05965307b,
  0xb30475e8f9d93147, 0xe59eddadd02a01ff, 0x09b5e5caad508981, 0x75152a8d77210e7e, 0x8101395daa5beace,
  0x112ad5d2fe82126b, 0xb6bae7b55a22bca2, 0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xe6db0862adfef554,
  0x71726ae36288266f, 0x5663c81db4345845, 0xf0f7bca1854e7ea7, 0x77a28fe32fcc4ffe, 0xdc9f81fbff826885,
  0x32cd6433d30aefa3, 0xee686658767d144e, 0x0f938142483cf257,
};

// t261a_swio10_lednop_pr_ee
static const uint64_t ur_t261_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xa65cb4b010b92158, 0xda5e8d3df4b5a6ac, 0x6fbbcd0684db260b, 0xcdd833412b4fea4e,
  0x27c64ee989d5c706, 0x8e5ff46879feaf98, 0x74ae2bad68fba484, 0xce4e7900f705392b, 0xdf900f760f2701cd,
  0x386e1d7d803f8ad7, 0xccc00d7d2d8cb8e1, 0xd739d5a5c3ddbb19, 0xd743af006768851a, 0x071d81151f493daa,
  0xf4bff00bd970e59c, 0x7e09b5e5caad475c, 0xce75152a8d77210e, 0x6b8101395daa5bea, 0xa2112ad5d2fe8212,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0xa9c0d8ff14085a6a, 0xb1441337f36d3d0e, 0xb6868b3440b93571,
  0xa616837eeacc7903, 0xecfa289c659ac867, 0x9079e4afdcd0ccb0, 0x000000000a7ce704,
};

// t261a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t261_swio10_lednop_pr_ee_u4[] = {
  0x6fbbbbbb44889202, 0x65cb4b010be1558e, 0x19eb4bdf4b5a6aca, 0xfbbcd0684d7a70be, 0x1795b5a2b4fea4e6,
  0x7c64ee9bad34a82b, 0x56fff391cf93a982, 0xce715d6b47dd2424, 0x7273c807b829c95f, 0xbc807bb079380e6e,
  0xc370ebec01fc5701, 0x66006be96c65c709, 0xf0e7569732add8ce, 0xae875e00cec98a31, 0x0e3b16b23e827b55,
  0xf97fe017b2e1cb38, 0xf826d7972ab51d57, 0x39d454aa35dc8439, 0xae0404e576a96fab, 0x8844ab574bfa0849,
  0x3a03cb9ed5688af2, 0xc22617a96bca7017, 0xd538117ee2810b4a, 0x36288266fe6da7a1, 0xf9434584571726ae,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff82688577a28fe, 0x3d30aefa3dc9f81f, 0x8767d144e32cd643,
  0xd90bcf257ee68665, 0x00000000275f249d,
};

// t261a_swio10_lednop_pr_ce
static const uint64_t ur_t261_swio10_lednop_pr_ce[] = {
  0x4eeeeeeead3ad214, 0xb969612a7331ac24, 0xd537a6d7af17f6c1, 0x103412e3b6fc5d93, 0x4c17b11dd489b899,
  0xe3277619e9bb68ad, 0x57fb30be7d2b4c13, 0x497dcf7f51f1212a, 0x577a285afcf329c8, 0x219ee5be6de339bc,
  0xc3a7f0752fc807ba, 0xd21cc580a7afc83d, 0x58cf1d78b9da3247, 0xd7972ab51d741b8e, 0x54aa35dc8439f826,
  0x04e576a96fab39d4, 0xab574bfa0849ae04, 0xeb9ed5688af28844, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152,
  0xd84263b7fbd55169, 0x93571b1441337f36, 0xe40c7d0468b3440b, 0x219e985a0dfbab31, 0x32c3b3e8a271966b,
  0xe52641e792bf7343, 0x000000000002dd40,
};

// t261a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t261_swio10_lednop_pr_ce_u4[] = {
  0xdbbbbbb441bad562, 0x9b9696041890ac6a, 0xfd377b426eff0b48, 0x165789b26d4c6de2, 0x18d841331ddd59fb,
  0x827c64eec0bdb236, 0x84297fe768cfe049, 0x380e1758c5facbe4, 0x09117dc544079e65, 0xf60fe8b2f097e21b,
  0xb96757c673262fa2, 0xfc1d4bf201ee8867, 0x316029ebf20f70e9, 0xc75e2e768c91f487, 0xcaad475d06e39633,
  0x8d77210e7e09b5e5, 0x5daa5beace75152a, 0xd2fe82126b810139, 0xb55a22bca2112ad5, 0x2d7ce80f37b6bae7,
  0x7a1d5381085482e5, 0x98edfef5545a476e, 0xc6c5104cdfcdb610, 0x8e4468b08ae2e4d5, 0x61539fa9d598f206,
  0xcbf313ffbc3def28, 0xffe09a215de8a3f8, 0xf4c2bbe8f727e07e, 0x1d9f45138cb3590c, 0x75393c95fb9a1996,
  0x0000000001baf02a,
};

// t261a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t261_swio10_lednop_pr_ee_ce[] = {
  0xdbddddddd0dd4375, 0xddcb4b164e7d3ac6, 0x77b1c75e9c2fad0b, 0x9a45a8647ea29bb9, 0x699d0be17439b6c9,
  0x32774376c0b6c5c9, 0x7fe768cfa6dcc13e, 0x7e7bfaa374a90833, 0x45a4afcf329c070c, 0x0ff6b5d3df378aef,
  0xcf201ee0a72565d6, 0x03dd83c9c072f9c9, 0xc3afb07202b74be4, 0x01afa5b1971c270d, 0x4873abd38ff72e18,
  0xe3c75e86a76d291e, 0x8ec2628e0fcf6ab6, 0x264e017b2d97ce03, 0xab52cfa059ea8d82, 0x5dc8439f826d7972,
  0x6a96fab39d454aa3, 0xbfa0849ae0404e57, 0x5688af28844ab574, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0xb1441337f36d8426, 0xe4468b3440b93571, 0xc2d06fdd598f2068, 0x9f45138cb3590cf4,
  0x393c95fb9a19961d, 0x000000029a649275,
};

// t261a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t261_swio10_lednop_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4173e, 0xee5a5861c837586a, 0x4ec0bd066b4401b6, 0xec454dcbbe4b646c, 0x8cfe9d27f83b53b1,
  0x4eeefde80a44f89c, 0xfd21fcf8a49827c6, 0x18bf5472b9212b7f, 0x44079e6538b496b7, 0xf097e21b09117dc5,
  0xcc98be8a30bfe8b2, 0xc9597583fdac20f7, 0x1cbe7273c807b829, 0xadd2f900f760f270, 0xc709c370ebec1c80,
  0xfdcb86006be96c65, 0xdb4a47921ceaf4e3, 0xf3daadb8f1d7a1a9, 0x65f380e3b098a383, 0x7aa3608993805ecb,
  0x9b5e5caad4b3e816, 0x5152a8d77210e7e0, 0x101395daa5beace7, 0x12ad5d2fe82126b8, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xdb61098edfef5545, 0x2e4d5c6c5104cdfc, 0x1e40d6a7068b08ae,
  0xbde50c2a73f53ab3, 0x147f197e627ff787, 0xfc0fdffc13442bbd, 0x6b219e98577d1ee4, 0x4332c3b3e8a27196,
  0xcc62a641e792bf73, 0x000000000000004f,
};

/*
 * t261_swio11_noled_pr              t261_swio12_noled                 t261_swio12_noled_pr
 * t261a_swio11_noled                t261a_swio11_noled_pr             t261a_swio12_noled
 * t261a_swio12_noled_pr
 */
static const uint64_t ur_t261_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x21ebfe1483e7fba9, 0x403dd109df2dd024, 0x7e41ee1d3f83affe, 0x64d1cc580b7ba63d,
  0xcb1823af173b41f4, 0xb5e5caad4ac27b71, 0x152a8d77210e7e09, 0xb395daa5beaece75, 0x8844ad8debe82126,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x337f36cf5b8ab7fb, 0xf8d166880ddb1441,
  0x0b41bf75663c81a3, 0x7d144e32cd6433d3, 0x3cf257ee68665876, 0x0000007c80e2c4c8,
};

// t261_swio12_noled_pr_u4           t261a_swio11_noled_pr_u4          t261a_swio12_noled_pr_u4
static const uint64_t ur_t261_swio11_noled_pr_u4[] = {
  0x113777768bb128ae, 0x5cb4b10ac32b13dd, 0xdcc750e244c8866b, 0xc85c4bafad0c9f8f, 0x006db793767ba223,
  0x9f193bbf4f490123, 0xb7ffe8d0f3e63e60, 0x0f702877cb6f6909, 0x7c3dc3a7f064d790, 0x14e62c0596536df9,
  0x30475e8f9d96ba31, 0x59edf484f2a01ffb, 0x36bcb955ab3ee81e, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce,
  0x510895b1bd7d0424, 0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff,
  0x584571726ae36288, 0x7ea75663c81db434, 0x4ffef0f7bca1854e, 0x688577a28fe32fcc, 0xefa3dc9f81fbff82,
  0x144e32cd6433d30a, 0xf257ee686658767d, 0x00003e4c2162483c,
};

// t261_swio12_noled_pr_ee           t261a_swio11_noled_pr_ee          t261a_swio12_noled_pr_ee
static const uint64_t ur_t261_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x5cb4b010b833ac24, 0xbd7afac47c5eaca6, 0xe6825ed9024217d0, 0xbb7a75a7f52245dd,
  0x4eef91d3128ce199, 0xfa343cfece9827c6, 0x2bad68f6fa424aef, 0x7900f705392bf9ce, 0x0f760f2701828e4e,
  0x1d7d803f8aff7790, 0x0d7d2d8cb8e1386e, 0xd5a5cc7dbb19ccc0, 0xd78033b2f88c7c39, 0x81be8fa09ed56ba1,
  0xf00bd970e59c071d, 0xb5e5caad4744f4bf, 0x152a8d77210e7e09, 0xb395daa5beaece75, 0x8844ad8debe82126,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x337f36cf5b8ab7fb, 0xb3440b93571b1441,
  0x37eeacc7903b6868, 0x89c659ac867a6168, 0x4afdcd0ccb0ecfa2, 0x00053e01c849079e,
};

// t261_swio12_noled_pr_ee_u4        t261a_swio11_noled_pr_ee_u4       t261a_swio12_noled_pr_ee_u4
static const uint64_t ur_t261_swio11_noled_pr_ee_u4[] = {
  0xefddddda20dd4375, 0x5a58085d4dd6122e, 0xc33d623e2f56532e, 0xcd04bdee3bcc4fde, 0xd8242b4fea448bbb,
  0x277437691f6c40cc, 0xff3b467ce0cc13e3, 0xe2bad68f6fa426ce, 0xe7900f705392b4ac, 0x00f760f2701828e4,
  0x70ebec01fc56fe79, 0x006be96c65c709c3, 0xcead2fb7edd8ce66, 0x1d78033b3de8f229, 0xd8b868c9a9ed56ba,
  0xff00bd970e59c071, 0x36bcb955a8e843cb, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce, 0x510895b1bd7d0424,
  0x779fad73daad115e, 0x173a9d4e02ca54fa, 0xaa7023cbc5021696, 0x6c5104cdfcdb4f43, 0xe4468b08ae2e4d5c,
  0x1539fa9d598f2068, 0xbf313ffbc3def286, 0xfe09a215de8a3f8c, 0x4c2bbe8f727e07ef, 0xd9f45138cb3590cf,
  0x5393c95fb9a19961, 0x0000000013aebb27,
};

// t261_swio12_noled_pr_ce           t261a_swio11_noled_pr_ce          t261a_swio12_noled_pr_ce
static const uint64_t ur_t261_swio11_noled_pr_ce[] = {
  0xe2777777569d6668, 0x69612a72a1d606d2, 0xa7b7e61f17f6c1b9, 0x410e0db194263bd7, 0x7e63c7f746d2e264,
  0xc64ee9bbd0675141, 0x6ff6617cffee9827, 0x93f93dfd56ba4240, 0xaef454b5f9e65390, 0xdf3dcb7cdbc67378,
  0x0e9fc1b5f7900f73, 0x34731602a00988f7, 0xc678ebc5ced07d19, 0xbcb955a8e89edc72, 0xa551aee421cfc136,
  0x72bb54b7d5d9cea2, 0x0895b1bd7d0424d6, 0x7f5d73daad115e51, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381,
  0xdfcdb3d6cc76ff7a, 0xd102e4d5c6c5104c, 0xeacc79031f411a2c, 0x659ac867a616837e, 0xdcd0ccb0ecfa289c,
  0x16ebce499079e4af,
};

// t261_swio12_noled_pr_ce_u4        t261a_swio11_noled_pr_ce_u4       t261a_swio12_noled_pr_ce_u4
static const uint64_t ur_t261_swio11_noled_pr_ce_u4[] = {
  0xdb777768837551eb, 0x2d2c08329bac5f8f, 0x0cf5e4327e169137, 0xae0f8ec179332b7a, 0x1090a87bb7e3f62c,
  0xf8c9dd323a103d64, 0x70ffced19f60b304, 0x0e4878c5face2908, 0x117dc544079e6538, 0x77e8b2f097e21b09,
  0x6757c673262fa2e3, 0x36bef201ee7be7b9, 0xc05401311ee1d3f8, 0x78b9da0fa3268e62, 0xb51d13db8e58cf1d,
  0xdc8439f826d7972a, 0x96fabb39d454aa35, 0x37afa0849ace576a, 0x7b55a22bca2112b6, 0xc529e1a778efebae,
  0x194f43aa7020eea6, 0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x40d1c88d16115c5c, 0xe50c2a73f53ab31e,
  0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b, 0x85cea72792bf7343,
  0x000000000000dd70,
};

// t261_swio12_noled_pr_ee_ce        t261a_swio11_noled_pr_ee_ce       t261a_swio12_noled_pr_ee_ce
static const uint64_t ur_t261_swio11_noled_pr_ee_ce[] = {
  0x267bbbbba1bad562, 0xcb4b164e1a5ac0db, 0xde9db8ef31ad0bdd, 0x22f8fb2341419ac1, 0x4da5f0ba1c1b64cd,
  0x3bb02f4c8d86a67f, 0xf3b467f76a609f19, 0x3dfd51c8748431ff, 0x590ff3cca701c0b5, 0xfdad74f7cde2bbd1,
  0xc807b829c95c8783, 0x7bb079380e717273, 0x75f60e405695bc80, 0x35f4b632e384e1b8, 0x4e757a71d4a5c300,
  0x78ebd0d4ed38a388, 0xd85ae8c459ed56dc, 0xc9c02f65b2f9c071, 0xb52cc9ee7951b044, 0xdc8439f826d7972a,
  0x96fabb39d454aa35, 0x37afa0849ace576a, 0x7b55a22bca2112b6, 0xc529e1a778efebae, 0x194f43aa7020eea6,
  0x7ad98edfef5545a6, 0x9ab8d8a2099bf9b6, 0x90347223459a205c, 0x867a616837eeacc7, 0xcb0ecfa289c659ac,
  0x9d3a9c9e4afdcd0c, 0x0000000000029a6a,
};

// t261_swio12_noled_pr_ee_ce_u4     t261a_swio11_noled_pr_ee_ce_u4    t261a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t261_swio11_noled_pr_ee_ce_u4[] = {
  0x3f7777689f68cc7f, 0x5a5861c8e358c776, 0x991d2b648401b6ee, 0x11c2960d33083276, 0xb34b49fe0f8eec7b,
  0xbb9f7ad3947d19c1, 0x487f3f002609f193, 0x2fd51efb484b5bff, 0x01e7994e2d24edc6, 0x25f886c2445f7151,
  0x262fa2abaffa2cbc, 0x5721e0ff6b083df3, 0x9c5c9cf201ee0a72, 0xa56f201eec1e4e03, 0xe1386e1d7d839015,
  0x2970c00d7d2d8cb8, 0x4e28e2139d5e9c75, 0x7b55b71e3af4353b, 0xbe701c7616ba3116, 0x546c1132700bd96c,
  0xb5e5caad4b327b9e, 0x152a8d77210e7e09, 0xb395daa5beaece75, 0x8844ad8debe82126, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x66fe6d9eb663b7fb, 0x84571726ae362882, 0x9d598f206b538345,
  0xfbc3def2861539fa, 0x15de8a3f8cbf313f, 0x8f727e07effe09a2, 0x38cb3590cf4c2bbe, 0x5fb9a19961d9f451,
  0x004fce9e5320f3c9,
};

/*
 * t261_swio11_lednop_pr             t261_swio12_lednop                t261_swio12_lednop_pr
 * t261a_swio11_lednop               t261a_swio11_lednop_pr            t261a_swio12_lednop
 * t261a_swio12_lednop_pr
 */
static const uint64_t ur_t261_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x4207bff0a41f3f01, 0xe403dd921df2dd02, 0x29311ee1d3f83aff, 0x47d21cc580b7ba6d,
  0x8e58c11d78b9d845, 0x9b5e5caad4acc17b, 0x5152a8d77210e7e0, 0x01395daa5beaece7, 0x95cbd2fe82126b81,
  0xad73daad115e5108, 0xd4b0b29b1674079f, 0x28be8a042d3573ab, 0x04cdfcdb4f43aa70, 0x8fe3459a20376c51,
  0x4c2d06fdd598f206, 0xd9f45138cb3590cf, 0x20f3c95fb9a19961, 0x000000003e400213,
};

// t261_swio12_lednop_pr_u4          t261a_swio11_lednop_pr_u4         t261a_swio12_lednop_pr_u4
static const uint64_t ur_t261_swio11_lednop_pr_u4[] = {
  0x889bbbbb45d8ad4e, 0xe5a588561b7589ee, 0xb1fbebfc2e44335a, 0x90b8918ebd2282fd, 0x1e5c7c5eecf74447,
  0xf8c9ddf23ac8233f, 0xf7ff46879f5f7304, 0x7b9003be5b7b4848, 0xa1ee1d3f8326bc80, 0xf398b016594d1ef4,
  0xc11d7a3e7688518d, 0x67b622f48a807fec, 0x6d7972ab57d6e079, 0x454aa35dc8439f82, 0x04e576a96fabb39d,
  0x572f4bfa0849ae04, 0x75cf6ab445794422, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xb632455bfdeaa8b4,
  0x5c9ab8d8a2099bf9, 0x98f2076d0d16115c, 0x3def2861539fa9d5, 0xe8a3f8cbf313ffbc, 0x27e07effe09a215d,
  0xb3590cf4c2bbe8f7, 0x9a19961d9f45138c, 0xe4f188920f3c95fb, 0x0000000000000003,
};

// t261_swio12_lednop_pr_ee          t261a_swio11_lednop_pr_ee         t261a_swio12_lednop_pr_ee
static const uint64_t ur_t261_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0x2e5a58085d68ac24, 0x69ed0bd1835f5653, 0x7779a097bd53763c, 0xfbc5ec8569fd4891,
  0xf8c9dda67bf4ee09, 0xadff46879f4b5304, 0x1dc575ad1edf4841, 0xc9cf201ee0a72572, 0xf201eec1e4e03051,
  0x0dc3afb007f15d4a, 0x9801afa5b1971c27, 0xe73ab4bc7bb76339, 0x743af00676f911bd, 0xe3b1bda3b873daad,
  0x97fe017b2e1cb380, 0x826d7972ab51d60b, 0x9d454aa35dc8439f, 0x0404e576a96fabb3, 0x22572f4bfa0849ae,
  0x7eb5cf6ab4457944, 0xaf52c2ca6c59d01e, 0xc0a2fa2810b4d5ce, 0x441337f36d3d0ea9, 0x868b3440b93571b1,
  0x16837eeacc7903b6, 0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x00000029f1538490,
};

// t261_swio12_lednop_pr_ee_u4       t261a_swio11_lednop_pr_ee_u4      t261a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t261_swio11_lednop_pr_ee_u4[] = {
  0xde4ddddda2447032, 0x72d2c042f42eb05e, 0xf4d2ec01e97c49b5, 0x299c7e19e2f53647, 0x05642b4fea42f6f2,
  0x4ee9dad8e29caa2d, 0xff391cfa5a9827c6, 0x2bad68cc7a420d6f, 0x7900f705392b60ae, 0x0f760f2701e94e4e,
  0x1d7d803f8acbaf90, 0x0d7d2d8cb8e1386e, 0xd5a5dc9db87dccc0, 0xaf4353b1ea8d7c39, 0x110a31bf3daad743,
  0xf805ecb65f380e3b, 0xe2fa427951b0465f, 0x21cfc136bcb955a8, 0xd5d9cea2a551aee4, 0x24d7020272bb54b7,
  0xbca2112b97a5fd04, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53, 0x04cdfcdb1922adfe,
  0x8b08ae2e4d5c6c51, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0x4d10aef451fc65f9, 0x5df47b93f03f7ff0,
  0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x00000275cb3bb217,
};

// t261_swio12_lednop_pr_ce          t261a_swio11_lednop_pr_ce         t261a_swio12_lednop_pr_ce
static const uint64_t ur_t261_swio11_lednop_pr_ce[] = {
  0xe2777777569d2d3a, 0x69612a7217d606d2, 0x15ac1d4c17f6c1b9, 0x0872a18dbad14dee, 0xd8ff4bba36971322,
  0x64eeb4bd3f647f1d, 0xff6617cffce9827c, 0xa953dfd56ba42145, 0xbd17a7ff3cca7212, 0x4f72df36f19cde2b,
  0xa7f06d7de403ddf2, 0x9cc580bd46483dc3, 0x3c75e2e76c8a8ee1, 0x5caad475d26e3963, 0xa8d77210e7e09b5e,
  0x5daa5beaece75152, 0xd2fe82126b810139, 0xdaad115e510895cb, 0x96be74079bdb5d73, 0x3d0ea9c0842a4172,
  0x0c76ff7aaa2d23b7, 0x5c6c5104cdfcdb19, 0x31f411a2cd102e4d, 0x7a616837eeacc790, 0x0ecfa289c659ac86,
  0x99079e4afdcd0ccb, 0x0000000002dd4924,
};

// t261_swio12_lednop_pr_ce_u4       t261a_swio11_lednop_pr_ce_u4      t261a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t261_swio11_lednop_pr_ce_u4[] = {
  0xedbbbbb441baba31, 0xcb4b020cb4562fc7, 0x3f7a5ef9bf85a44d, 0x2b83a9bc77001bbd, 0x5b64217eedf8fd8b,
  0xf8c9dd667ad14051, 0x50ffced19fcad304, 0x0e14b8c5face2908, 0x117dc544079e6538, 0xdfe8b2f097e21b09,
  0x6757c673262fa29a, 0x36bef201eef927b9, 0xc05ea3241ee1d3f8, 0xf173b6454770ce62, 0x6a3ae9371cb19e3a,
  0xb90873f04daf2e55, 0x2df57673a8a9546b, 0x410935c0809caed5, 0x88af28844ae5e97f, 0x3a03cdedaeb9ed56,
  0x54e0421520b94b5f, 0x7fbd551691db9e87, 0x288266fe6d8c863b, 0x234584571726ae36, 0x9cfd4eacc7903472,
  0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff, 0xfa289c659ac867a6, 0xc9e4afdcd0ccb0ec,
  0x0000000dd7c633a9,
};

// t261_swio12_lednop_pr_ee_ce       t261a_swio11_lednop_pr_ee_ce      t261a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t261_swio11_lednop_pr_ee_ce[] = {
  0x75fbbbbba1baa80b, 0xcb4b164e11fac7a5, 0xab076c7d4379122d, 0x071b7515eb95be4b, 0x1c33e17439e95d7f,
  0x776c4ee4e69c6257, 0xf3b467ffe4c13e32, 0x3dfd51b93484e9ff, 0xa547e7994e03943f, 0xfb5aea329bc577a2,
  0x900f705392b74b07, 0xf760f2701af8e4e7, 0xebec1c80adc9f900, 0x6be96c65c709c370, 0x9ceaf4e35f6b8600,
  0xf1d78033b4be4698, 0xd81f11dad3daadb8, 0x2700bd970e59c071, 0x4daf2e556b8c7a43, 0xa8a9546bb90873f0,
  0x809caed52df57673, 0x4ae5e97f410935c0, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215,
  0x6d8c863b7fbd5516, 0x1726ae36288266fe, 0x31e40d1c88d16688, 0x6b219e985a0dfbab, 0x4332c3b3e8a27196,
  0xa7ce4ea72792bf73, 0x0000000000000029,
};

// t261_swio12_lednop_pr_ee_ce_u4    t261a_swio11_lednop_pr_ee_ce_u4   t261a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t261_swio11_lednop_pr_ee_ce_u4[] = {
  0x8fddddda27da1f68, 0x96961872e0d631dd, 0xaccf717a09006dbb, 0x88e151c560b45817, 0xd989a4ff07c7763d,
  0x3ba3afad882d9391, 0xe90fe7f1ba609f19, 0xc5faa3df6908d77f, 0x101e7994e2d26208, 0xc25f886c2445f715,
  0x99317d17a9dfa2cb, 0x92b29707fb5841ef, 0x1ce2e4e7900f7053, 0xae43f900f760f270, 0xc709c370ebec1c80,
  0x726b86006be96c65, 0xd8f546be1ceaf4e3, 0xf3daadb8f1d7a1a9, 0x65f380e3b110a31b, 0xf2a3608993805ecb,
  0x4daf2e556a59f484, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0x1726ae36288266fe, 0x8f206b5383458457,
  0xdef2861539fa9d59, 0x8a3f8cbf313ffbc3, 0x7e07effe09a215de, 0x3590cf4c2bbe8f72, 0xa19961d9f45138cb,
  0xe2ec5320f3c95fb9, 0x0000000000000027,
};

// t261_swio13_noled_pr              t261a_swio13_noled                t261a_swio13_noled_pr
static const uint64_t ur_t261_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x22426dfff0a41f3e, 0x3de403dd109df2dd, 0x69c56b8f70e9fc1f, 0xc3464d1cc580b7ba,
  0xf71cb1823af173b5, 0xc136bcb955a9595f, 0xcea2a551aee421cf, 0x59caed52df5537d9, 0x2112ad5ef5f41093,
  0xf3f5ae7b55a22bca, 0xe753a9c0594a9f4e, 0x4e045fb8a042d2c2, 0x8a2099bf9b69e875, 0x40d1fc68b34406ed,
  0x19e985a0dfbab31e, 0x2c3b3e8a271966b2, 0x42641e792bf73433, 0x00000000003e400e,
};

// t261a_swio13_noled_pr_u4
static const uint64_t ur_t261_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8bf82, 0xb5cb4b10ac4ceb05, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426e965444,
  0x27c64ee989d5a20d, 0x8657fd1a1e7dfc98, 0x03dd2f8ef9683e90, 0x388f70e9fc1f41e4, 0xdece62c059653195,
  0xd9823af47cecf7a3, 0xe59eddc3269500ff, 0x09b5e5caad556a81, 0x75152a8d77210e7e, 0xce576a96faa9bece,
  0x08956af7afa0849a, 0x7f5d73daad115e51, 0x077536294f0d3bc7, 0xaa2d30ca7a1d5381, 0x9bf9b6409156ff7a,
  0x115c5c9ab8d8a209, 0xa9d598f2076d0d16, 0xffbc3def2861539f, 0x215de8a3f8cbf313, 0xe8f727e07effe09a,
  0x138cb3590cf4c2bb, 0x95fb9a19961d9f45, 0x0007c9f4f0920f3c,
};

// t261a_swio13_noled_pr_ee
static const uint64_t ur_t261_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xfbbcd07c59b0b402, 0x4b3f764eb4fea4d9,
  0xf8c9dde4bb4cd1db, 0xf7ff46879f8ad304, 0x4ae2bad68cca484d, 0xe4e7900f705392b7, 0xf201eec1e4e0397c,
  0x0dc3afb007f15b93, 0x9801afa5b1971c27, 0x739d5a5dfcb76339, 0x743af006769b91ad, 0x71d88c91f493daad,
  0x4bff00bd970e59c0, 0xe09b5e5caad4744d, 0xe75152a8d77210e7, 0xace576a96faa9bec, 0x108956af7afa0849,
  0x77f5d73daad115e5, 0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x99bf9b6409156ff7, 0x59a205c9ab8d8a20,
  0x1bf75663c81db434, 0x44e32cd6433d30b4, 0x257ee686658767d1, 0x0000a7c2482483cf,
};

// t261a_swio13_noled_pr_ee_u4
static const uint64_t ur_t261_swio13_noled_pr_ee_u4[] = {
  0xfdddddda20dd4375, 0x5cb4b010ba9bac6c, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea4d9f,
  0xe3277437691f6c40, 0xceff3b467ce0cc13, 0x56715d6b46652426, 0x7273c807b829c95a, 0x7900f760f2701cbe,
  0xc370ebec01fc56fe, 0x66006be96c65c709, 0x29cead2fb7edd8ce, 0xba1d78033b3de8f2, 0x71d8b868c9a9ed56,
  0xcbff00bd970e59c0, 0xc136bcb955a8e843, 0xcea2a551aee421cf, 0x59caed52df5537d9, 0x2112ad5ef5f41093,
  0xacef2e7b55a22bca, 0x2d2d7f88d4f0c537, 0x9e8754e047978a04, 0x9ab8d8a2099bf9b6, 0x40d1c88d16115c5c,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc13442bbd14, 0x219e98577d1ee4fc, 0x32c3b3e8a271966b,
  0x764ea72792bf7343, 0x000000000000275d,
};

// t261a_swio13_noled_pr_ce
static const uint64_t ur_t261_swio13_noled_pr_ce[] = {
  0x5eeeeeeead3a422f, 0x72d2c254e78fac78, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7eef85dc4c,
  0xf193ba7ef717d91b, 0xeffd985f3ee4e609, 0x2501a7bfabde908b, 0x577a2d0ffe7994e4, 0x319ee5be6de339bc,
  0xc3a7f0621fc807b9, 0xd01cc580ba54423d, 0xb19e3af173b0df47, 0xaf2e556a3a26b71c, 0xa9546bb90873f04d,
  0xbb54b7d54df673a8, 0xab57bd7d0424d672, 0xeb9ed5688af28844, 0xa9b14a7869de3bfa, 0x698653d0ea9c083b,
  0x9b640863b7fbd551, 0x05c9ab8d8a2099bf, 0x98f2063e823459a2, 0x3590cf4c2d06fdd5, 0xa19961d9f45138cb,
  0x554e9320f3c95fb9, 0x00000000000000b7,
};

// t261a_swio13_noled_pr_ce_u4
static const uint64_t ur_t261_swio13_noled_pr_ce_u4[] = {
  0x5bbbbbb441baa80b, 0x9b9696041b0aac1b, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fdd369fb,
  0x04f8c9ddb13b515a, 0x085d7fced19f53d3, 0x380e1c38c5faa009, 0x09117dc544079e65, 0xfebfe8b2f097e21b,
  0xb96757c673262fa2, 0xfc1887f201ee4c67, 0x31602e95108f70e9, 0x8ebc5cec37d1f407, 0x955a8e89adc72c67,
  0x1aee421cfc136bcb, 0x2df5537d9cea2a55, 0xef5f4109359caed5, 0xb55a22bca2112ad5, 0x529e1a778efebae7,
  0x94f43aa7020eea6c, 0x0218edfef5545a61, 0x6ae36288266fe6d9, 0x0347223458457172, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d10aef451, 0x867a615df47b93f0, 0xcb0ecfa289c659ac, 0x3d3a9c9e4afdcd0c,
  0x000000000001bafd,
};

// t261a_swio13_noled_pr_ee_ce
static const uint64_t ur_t261_swio13_noled_pr_ee_ce[] = {
  0x01bbbbbba1baba31, 0xddcb4b164e2e3ac4, 0x9db2ef5e9c2fad0b, 0x669173168a1062fe, 0x89891a7c2e872002,
  0xc64eeb33db1202bc, 0x3ffe768cf8689827, 0xa7e7bfaa33869096, 0xf45b91fcf329c073, 0xe0ff6b5d3df378ae,
  0x9cf201ee0a725670, 0x201eec1e4e03401c, 0x6e1d7d839015fcef, 0xc00d7d2d8cb8e138, 0xfe439d5e9c651570,
  0xb71e3af4353b2008, 0x0e3b0f7a3dee7b55, 0x08993805ecb65f38, 0xcaad4b326b05aa36, 0x8d77210e7e09b5e5,
  0x96faa9bece75152a, 0xf7afa0849ace576a, 0xdaad115e5108956a, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0x810c76ff7aaa2d30, 0x3571b1441337f36c, 0x2068e4468b3440b9, 0x0cf4c2d06fdd598f, 0x961d9f45138cb359,
  0xca75393c95fb9a19, 0x00000000000a6981,
};

// t261a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t261_swio13_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c123587a, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1de9d8,
  0x93ba55fb61900a3b, 0xfe90fe7d0fa609f1, 0x462fd51dba484c41, 0xa880f3cca71691fe, 0x5e12fc4361222fb8,
  0x7cc98be8be72fd16, 0x9c959c383fdac20f, 0x80d007273c807b82, 0x057f3bc807bb0793, 0x2e384e1b875f60e4,
  0x19455c30035f4b63, 0x4ec8023f90e757a7, 0x7b9ed56dc78ebd0d, 0x2d97ce038ec3de8f, 0xc16a8d82264e017b,
  0x826d7972ab52cc9a, 0x9d454aa35dc8439f, 0xb395daa5beaa6fb3, 0x42255abdebe82126, 0xdfd75cf6ab445794,
  0x41dd4d8a53c34ef1, 0xaa8b4c329e8754e0, 0xcdfcdb20431dbfde, 0x08ae2e4d5c6c5104, 0x3ab31e40d6a7068b,
  0xf787bde50c2a73f5, 0x2bbd147f197e627f, 0x1ee4fc0fdffc1344, 0x71966b219e98577d, 0xbf734332c3b3e8a2,
  0x004fc814a641e792,
};

// t261_swio13_lednop_pr             t261a_swio13_lednop               t261a_swio13_lednop_pr
static const uint64_t ur_t261_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x224247bff0a41f3e, 0x3de403dcbe1df2dd, 0x31eb108f70e9fc1f, 0x7b4770ce62c05bdd,
  0xfb8e58c11d78b9db, 0xe09b5e5caad4ac59, 0xe75152a8d77210e7, 0x04e576a96faa9bec, 0x2b924bfa0849ae04,
  0x5ae7b55a22bca211, 0xa96165362ce80f3f, 0x4e7d14085a6ae757, 0x099bf9b69e8754e0, 0x1fc68b34406ed8a2,
  0x985a0dfbab31e40d, 0xb3e8a271966b219e, 0x41e792bf734332c3, 0x00000003e4071626,
};

// t261a_swio13_lednop_pr_u4
static const uint64_t ur_t261_swio13_lednop_pr_u4[] = {
  0xb2b7777768bb1762, 0x6b5cb4b10ad00560, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6e96544,
  0xc13e3277792e9b08, 0x10c7ffd1a1e7ea54, 0x403dda51df2d07d2, 0xe7a8f70e9fc1f41e, 0x7191cc580b2ca631,
  0xfb30475e8f9dbe44, 0x3cb3dbdeee1aa01f, 0xc136bcb955ac0ad0, 0xcea2a551aee421cf, 0x09caed52df5537d9,
  0x572497f410935c08, 0x75cf6ab445794422, 0x05ca5af9d01e6f6d, 0x8edcf43aa70210a9, 0xd976455bfdeaa8b4,
  0x726ae36288266fe6, 0x63c81db434584571, 0xf7bca1854e7ea756, 0xa28fe32fcc4ffef0, 0x9f81fbff82688577,
  0xcd6433d30aefa3dc, 0x686658767d144e32, 0x935d82483cf257ee, 0x000000000000000f,
};

// t261a_swio13_lednop_pr_ee
static const uint64_t ur_t261_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x3f779a0f8bdc29a9, 0xc333766c569fd49b,
  0x4f8c9ddf23a62519, 0x707fe8d0f3f43f30, 0x70dc575ad1994908, 0x9c9cf201ee0a7256, 0xbe403dd83c9c072f,
  0xe1b875f600fe2b28, 0x330035f4b632e384, 0xc4e7569731f6ec67, 0xae875e00ced92234, 0x1c7620fa3b5a7b55,
  0xf2ffc02f65c39670, 0xf04daf2e556a3a59, 0x73a8a9546bb90873, 0x0272bb54b7d54df6, 0x95c925fd0424d702,
  0xad73daad115e5108, 0xd4b0b29b1674079f, 0x273e8a042d3573ab, 0x04cdfcdb4f43aa70, 0xa2cd102e4d5c6c51,
  0xa0dfbab31e40eda1, 0x8a271966b219e985, 0x792bf734332c3b3e, 0x000014f80721241e,
};

// t261a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t261_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222044, 0x6ae5a58085debd63, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd49e2,
  0x7c64ee8f6d12210e, 0x83ffe7239fa1f982, 0x3ce2bad68dfc4843, 0xe4e7900f705392b5, 0xf900f760f27019ea,
  0x86e1d7d803f8aca5, 0xcc00d7d2d8cb8e13, 0xe39d5a5d2b5b87dc, 0x743af4353b7508e6, 0x71d8f911c653daad,
  0x32ffc02f65b2f9c0, 0x5a8e2ee1934a8d82, 0xee421cfc136bcb95, 0xf5537d9cea2a551a, 0x0935c0809caed52d,
  0x5794422572497f41, 0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x8266fe6d976455bf,
  0x4584571726ae3628, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x2688577a28fe32fc, 0xaefa3dc9f81fbff8,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000009d7085dd90b,
};

// t261a_swio13_lednop_pr_ce
static const uint64_t ur_t261_swio13_lednop_pr_ce[] = {
  0x2f777777569d6668, 0xb969612a736dd63c, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600ddf0bb8,
  0x04f8c9dd377a0cea, 0x474bfecc2f9f2973, 0x721231f3dfd5ef48, 0x6f15de8a96bf3cca, 0xeef927b96f9b78ce,
  0x8f70e9fc1887f201, 0xa3b86731602a00f7, 0xc72c678ebc5cedbd, 0x26d7972ab51d2cfd, 0xd454aa35dc8439f8,
  0x395daa5beaa6fb39, 0xe492fe82126b8101, 0xb9ed5688af28844a, 0x58594d8b3a03cfd6, 0x3e3182169ab9d5ea,
  0xcdfcdb4f43aa7027, 0xcd102e4d5c6c5104, 0xeeacc79031f411a2, 0xc659ac867a616837, 0xfdcd0ccb0ecfa289,
  0x016ebce499079e4a,
};

// t261a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t261_swio13_lednop_pr_ce_u4[] = {
  0xadddddda20dd4375, 0x4dcb4b020c82560d, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017ee9b4fd,
  0x04f8c9dd0dda47db, 0x08c17fced19f95d3, 0x380e1438c5faa009, 0x09117dc544079e65, 0xde1fe8b2f097e21b,
  0xb96757c673262fa2, 0xfc1887f201eec927, 0x62c0509ebe0f70e9, 0x8ebc5cec3e23b58e, 0x2ab51d5c3dc72c67,
  0x35dc8439f826d797, 0x5beaa6fb39d454aa, 0x82126b8101395daa, 0x88af28844ae492fe, 0x3a03cdedaeb9ed56,
  0x54e0421520b94b5f, 0x7fbd551691db9e87, 0xa2099bf9b65d863b, 0x8d16115c5c9ab8d8, 0x73f53ab31e40d1c8,
  0x627ff787bde50c2a, 0x13442bbd147f197e, 0x577d1ee4fc0fdffc, 0xe8a271966b219e98, 0x2792bf734332c3b3,
  0x000000375d764ea7,
};

// t261a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t261_swio13_lednop_pr_ee_ce[] = {
  0x19bbbbbba1bad562, 0x45b96962c9c34b58, 0xb077a76b53f1ef22, 0xd7f07802c8d05066, 0x4cfe9b4be1743831,
  0x3e3277605e991b0d, 0x63ffe768cfeed4c1, 0x816a7bfaa34ac908, 0x77a2b21fe7994e03, 0x0f07fb5aea329bc5,
  0xe4e7900f705392b9, 0x7900f760f2701cdc, 0xc370ebec1c80ad2b, 0x86006be96c65c709, 0x47109ceaf4e3a94b,
  0x56dc78ebc019da71, 0xc071d85ae8c459ed, 0xdc332700bd970e59, 0xe7e09b5e5caad718, 0xece75152a8d77210,
  0x0404e576a96faa9b, 0x112b924bfa0849ae, 0xb6bae7b55a22bca2, 0x5482e52d7ce80f37, 0x5a476e7a1d538108,
  0xe6d97618edfef554, 0x81726ae36288266f, 0xb31e40d1c88d1668, 0x66b219e985a0dfba, 0x34332c3b3e8a2719,
  0x69aa74ea72792bf7, 0x000000000000000a,
};

// t261a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t261_swio13_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b00b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1c17f,
  0x327773ef5a728fa3, 0x7fe90fe7e004c13e, 0xb8c5faa3c089096b, 0x2a203cf329c5a49d, 0x9784bf10d8488bee,
  0xca64c5f45575ff45, 0x4e4ae43c1fed6108, 0xc07373939e403dc1, 0x02b4ade403dd83c9, 0x971c270dc3afb072,
  0x8ea52e1801afa5b1, 0x6769c51c4273abd3, 0x1167b55b71e3af00, 0x5c396701c7616ba3, 0xab5c6370cc9c02f6,
  0x5dc8439f826d7972, 0xbeaa6fb39d454aa3, 0x2126b8101395daa5, 0x8af28844ae492fe8, 0xa03cdedaeb9ed568,
  0x4e0421520b94b5f3, 0xfbd551691db9e875, 0x2099bf9b65d863b7, 0xd16115c5c9ab8d8a, 0x7ea75663c81ad4e0,
  0x4ffef0f7bca1854e, 0x688577a28fe32fcc, 0xefa3dc9f81fbff82, 0x144e32cd6433d30a, 0xf257ee686658767d,
  0x000013f3a794c83c,
};

// t261_swio14_noled_pr              t261a_swio14_noled                t261a_swio14_noled_pr
static const uint64_t ur_t261_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x2421ebfe1483e7fb, 0xfe403dd109df2dd0, 0x3d7e41ee1d3f83af, 0xf464d1cc580b7ba6,
  0x71cb1823af173b41, 0x09b5e5caad4ac27b, 0x75152a8d77210e7e, 0xace9b95daa5beace, 0x510895b1fbfa0849,
  0xc77f5d73daad115e, 0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x266fe6d9eb7156ff, 0x7f1a2cd101bb6288,
  0x616837eeacc79034, 0xcfa289c659ac867a, 0x079e4afdcd0ccb0e, 0x0000000f901c5899,
};

// t261a_swio14_noled_pr_u4
static const uint64_t ur_t261_swio14_noled_pr_u4[] = {
  0x937777768bb128ae, 0x6b5cb4b10ac32b1a, 0x8fdcc750e244c886, 0x23c85c4bafad0c9f, 0x918036dbc9bba922,
  0x304f8c9ddfa7a480, 0x84dbfff46879f31f, 0xc807b8143be5b7b4, 0xfcbe1ee1d3f8326b, 0x188a731602cb29b6,
  0xfd9823af47cecb5d, 0x0f2cf6fa4279500f, 0xe09b5e5caad59f74, 0xe75152a8d77210e7, 0x9ace9b95daa5beac,
  0xe510895b1fbfa084, 0xbc77f5d73daad115, 0x381077536294f0d3, 0xf7aaa2d30ca7a1d5, 0x8266fe6d9eb7156f,
  0x4584571726ae3628, 0xe7ea75663c81db43, 0xc4ffef0f7bca1854, 0x2688577a28fe32fc, 0xaefa3dc9f81fbff8,
  0xd144e32cd6433d30, 0xcf257ee686658767, 0x000003e4c2162483,
};

// t261a_swio14_noled_pr_ee
static const uint64_t ur_t261_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x4cb9696021706758, 0xa17af5f588f8bd59, 0xbbcd04bdb204842f, 0x3376f4eb4fea4e6f,
  0x8c9ddf23a62519c3, 0xdff46879fd9d304f, 0x9c575ad1edf48495, 0x9cf201ee0a7257f3, 0x201eec1e4e03051c,
  0xdc3afb007f15feef, 0x801afa5b1971c270, 0x73ab4b98fb763399, 0x43af006765f118f8, 0x3b037d1f413daad7,
  0x7fe017b2e1cb380e, 0x136bcb955a8e89e9, 0xea2a551aee421cfc, 0x59d372bb54b7d59c, 0xa2112b63f7f41093,
  0x8efebae7b55a22bc, 0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x4cdfcdb3d6e2adfe, 0x2cd102e4d5c6c510,
  0x0dfbab31e40eda1a, 0xa271966b219e985a, 0x92bf734332c3b3e8, 0x00014f80721241e7,
};

// t261a_swio14_noled_pr_ee_u4
static const uint64_t ur_t261_swio14_noled_pr_ee_u4[] = {
  0x7dddddda20dd4375, 0x5cb4b010ba9bac73, 0xbd867ac47c5eaca6, 0x779a097bdc77989f, 0x99b048569fd49cdf,
  0xc64ee86ed23ed881, 0x9dfe768cf9c19827, 0x59c575ad1edf484d, 0xc9cf201ee0a72569, 0xf201eec1e4e03051,
  0x86e1d7d803f8adfc, 0xcc00d7d2d8cb8e13, 0x539d5a5f6fdbb19c, 0x743af006767bd1e4, 0xe3b170d19353daad,
  0x97fe017b2e1cb380, 0x826d7972ab51d087, 0x9d454aa35dc8439f, 0x6b3a6e576a96fab3, 0x9442256c7efe8212,
  0x9de7eb5cf6ab4457, 0x85cea75380b2953e, 0xea9c08f2f14085a5, 0x1b1441337f36d3d0, 0x3911a2c22b8b9357,
  0x854e7ea75663c81a, 0x2fcc4ffef0f7bca1, 0xff82688577a28fe3, 0xd30aefa3dc9f81fb, 0x767d144e32cd6433,
  0xd4e4f257ee686658, 0x0000000004ebaec9,
};

// t261a_swio14_noled_pr_ce
static const uint64_t ur_t261_swio14_noled_pr_ce[] = {
  0x27777777569d6668, 0xb969612a72a1d612, 0xd7a7b7e61f17f6c1, 0x64410e0db194263b, 0x417e63c7f75226e2,
  0x27c64ee9bbd06751, 0x406ff6617cffee98, 0x9093f93dfd56ba42, 0x78aef454b5f9e653, 0x73df3dcb7cdbc673,
  0xf70e9fc1b5f7900f, 0x1934731602a00988, 0x72c678ebc5ced07d, 0x36bcb955a8e89edc, 0xa2a551aee421cfc1,
  0x9d372bb54b7d59ce, 0x2112b63f7f410935, 0xefebae7b55a22bca, 0x20eea6c529e1a778, 0x5545a6194f43aa70,
  0x9bf9b67ad98edfef, 0x9a205c9ab8d8a209, 0xdd598f2063e82345, 0x8cb3590cf4c2d06f, 0xfb9a19961d9f4513,
  0x02dd79c9320f3c95,
};

// t261a_swio14_noled_pr_ce_u4
static const uint64_t ur_t261_swio14_noled_pr_ce_u4[] = {
  0xb7777768837551eb, 0x6e5a5810653758d5, 0xf419ebc864fc2d22, 0x595c1f1d82f26656, 0xc8212150f77567ec,
  0x09f193ba6474207a, 0x10e1ff9da33ec166, 0x701c90f18bf59c52, 0x1222fb8a880f3cca, 0xc6efd165e12fc436,
  0x72ceaf8ce64c5f45, 0xf06d7de403dcf7cf, 0xc580a802623dc3a7, 0x3af173b41f464d1c, 0x556a3a27b71cb19e,
  0x6bb90873f04daf2e, 0xed52df5673a8a954, 0x8fdfd0424d674dca, 0x9ed5688af28844ad, 0xb14a7869de3bfaeb,
  0x8653d0ea9c083ba9, 0x9eb663b7fbd55169, 0x26ae36288266fe6d, 0x9034722345845717, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0x03f7ff04d10aef45, 0xc867a615df47b93f, 0xccb0ecfa289c659a, 0x2173a9c9e4afdcd0,
  0x000000000000375c,
};

// t261a_swio14_noled_pr_ee_ce
static const uint64_t ur_t261_swio14_noled_pr_ee_ce[] = {
  0xb7bbbbbba1bad562, 0xbb96962c9c34b58d, 0x83bd3b71de635a17, 0x9a45f1f646828335, 0xfe9b4be17439b6c9,
  0x3277605e991b0d4c, 0xffe768cfeed4c13e, 0x6a7bfaa390e90863, 0xa2b21fe7994e0381, 0x07fb5ae9ef9bc577,
  0xe7900f705392b90f, 0x00f760f2701ce2e4, 0x70ebec1c80ad2b79, 0x006be96c65c709c3, 0x109ceaf4e3a94b86,
  0xb8f1d7a1a9da7147, 0xe3b0b5d188b3daad, 0x8993805ecb65f380, 0x556a5993dcf2a360, 0x6bb90873f04daf2e,
  0xed52df5673a8a954, 0x8fdfd0424d674dca, 0x9ed5688af28844ad, 0xb14a7869de3bfaeb, 0x8653d0ea9c083ba9,
  0x9eb663b7fbd55169, 0x26ae36288266fe6d, 0xe40d1c88d1668817, 0x219e985a0dfbab31, 0x32c3b3e8a271966b,
  0xa74ea72792bf7343, 0x000000000000a69a,
};

// t261a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t261_swio14_noled_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b0d4, 0xed323a56c908036d, 0xf623852c1a661064, 0x83669693fc1da9d8,
  0x27773ef5a728fa33, 0xfe90fe7e004c13e3, 0x8c5faa3df69096b7, 0xa203cf329c5a49db, 0x784bf10d8488bee2,
  0xe64c5f45575ff459, 0xe4ae43c1fed6107b, 0x0738b939e403dc14, 0x2b4ade403dd83c9c, 0x71c270dc3afb0720,
  0xea52e1801afa5b19, 0x769c51c4273abd38, 0x2cf6ab6e3c75e86a, 0xd97ce038ec2d7462, 0x3ca8d82264e017b2,
  0x136bcb955a9664f7, 0xea2a551aee421cfc, 0x59d372bb54b7d59c, 0xa2112b63f7f41093, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x99bf9b67ad98edfe, 0x6115c5c9ab8d8a20, 0xa75663c81ad4e0d1,
  0xfef0f7bca1854e7e, 0x8577a28fe32fcc4f, 0xa3dc9f81fbff8268, 0x4e32cd6433d30aef, 0x57ee686658767d14,
  0x0013f3a794c83cf2,
};

// t261_swio14_lednop_pr             t261a_swio14_lednop               t261a_swio14_lednop_pr
static const uint64_t ur_t261_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x024207bff0a41f3f, 0xffe403dd921df2dd, 0x6d29311ee1d3f83a, 0x4547d21cc580b7ba,
  0x7b8e58c11d78b9d8, 0xe09b5e5caad4acc1, 0xe75152a8d77210e7, 0x404e9b95daa5beac, 0x895cbec7a0849ae0,
  0xfad73daad115e510, 0xbd4b0b29b1674079, 0x028be8a042d3573a, 0x104cdfcdb4f43aa7, 0x68fe3459a20376c5,
  0xf4c2d06fdd598f20, 0x1d9f45138cb3590c, 0x320f3c95fb9a1996, 0x0000000003e40021,
};

// t261a_swio14_lednop_pr_u4
static const uint64_t ur_t261_swio14_lednop_pr_u4[] = {
  0x49bbbbbb45d8ad4e, 0x5ae5a588561b758d, 0xfdb1fbebfc2e4433, 0x4790b8918ebd2282, 0x9f8f2e3e2f775244,
  0x827c64eef91d6411, 0x247bffa343cfafb9, 0x403dc801df2dbda4, 0x7a50f70e9fc1935e, 0xc6f9cc580b2ca68f,
  0xf6608ebd1f3b4428, 0x3cb3db117a45403f, 0xc136bcb955abeb70, 0xcea2a551aee421cf, 0x809d372bb54b7d59,
  0x12b97d8f410935c0, 0x6bae7b55a22bca21, 0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0xcdb1922adfef5545,
  0xe2e4d5c6c5104cdf, 0xacc7903b6868b08a, 0xe1ef79430a9cfd4e, 0xef451fc65f989ffd, 0xb93f03f7ff04d10a,
  0x659ac867a615df47, 0xdcd0ccb0ecfa289c, 0x1f278c449079e4af,
};

// t261a_swio14_lednop_pr_ee
static const uint64_t ur_t261_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0xa65cb4b010bad158, 0x78d3da17a306beac, 0x9beef3412f7aa6ec, 0x13f78bd90ad3fa93,
  0x09f193bb4cf7e9dc, 0x835bfe8d0f3e96a6, 0xe43b8aeb5a3dbe90, 0xa3939e403dc14e4a, 0x95e403dd83c9c060,
  0x4e1b875f600fe2ba, 0x7330035f4b632e38, 0x7bce756978f76ec6, 0x5ae875e00cedf223, 0x01c7637b4770e7b5,
  0x172ffc02f65c3967, 0x3f04daf2e556a3ac, 0x673a8a9546bb9087, 0x020274dcaed52df5, 0x844ae5f63d0424d7,
  0xcfd6b9ed5688af28, 0xd5ea58594d8b3a03, 0x38145f4502169ab9, 0x288266fe6da7a1d5, 0xd0d166881726ae36,
  0xc2d06fdd598f2076, 0x9f45138cb3590cf4, 0x0f3c95fb9a19961d, 0x000000053e2a7092,
};

// t261a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t261_swio14_lednop_pr_ee_u4[] = {
  0x84dddddda2447032, 0x6ae5a58085e85d62, 0x8fe9a5d803d2f893, 0xe45338fc33c5ea6c, 0x2d05642b4fea4a11,
  0xc64ee9dad8e29caa, 0x6fff391cfa5a9827, 0xae2bad68cc7a420d, 0x4e7900f705392b60, 0x900f760f2701e94e,
  0x6e1d7d803f8acbaf, 0xc00d7d2d8cb8e138, 0x39d5a5dc9db87dcc, 0x43af4353b1ea8d7c, 0x3b110a31bf3daad7,
  0x5ff805ecb65f380e, 0xa8e2fa427951b046, 0xe421cfc136bcb955, 0x4b7d59cea2a551ae, 0x0935c0809d372bb5,
  0x2bca2112b97d8f41, 0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x104cdfcdb1922adf,
  0x68b08ae2e4d5c6c5, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff,
  0xfa289c659ac867a6, 0x79e4afdcd0ccb0ec, 0x000000275cb3bb21,
};

// t261a_swio14_lednop_pr_ce
static const uint64_t ur_t261_swio14_lednop_pr_ce[] = {
  0x27777777569d2d3a, 0xb969612a7217d612, 0xee15ac1d4c17f6c1, 0x220872a18dbad14d, 0x1dd8ff4bba913713,
  0x7c64eeb4bd3f647f, 0x45ff6617cffce982, 0x12a953dfd56ba421, 0x2bbd17a7ff3cca72, 0xf24f72df36f19cde,
  0xc3a7f06d7de403dd, 0xe19cc580bd46483d, 0x633c75e2e76c8a8e, 0x5e5caad475d26e39, 0x52a8d77210e7e09b,
  0x9b95daa5beace751, 0xbec7a0849ae0404e, 0x3daad115e510895c, 0x296be74079bdb5d7, 0x73d0ea9c0842a417,
  0x90c76ff7aaa2d23b, 0xd5c6c5104cdfcdb1, 0x031f411a2cd102e4, 0x67a616837eeacc79, 0xb0ecfa289c659ac8,
  0x499079e4afdcd0cc, 0x00000000002dd492,
};

// t261a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t261_swio14_lednop_pr_ce_u4[] = {
  0xdbbbbbb441baba31, 0x9b9696041968ac6a, 0x7a7ef4bdf37f0b48, 0x1657075378ee0037, 0xa2b6c842fddd59fb,
  0x09f193baccf5a280, 0x10a1ff9da33f95a6, 0x701c29718bf59c52, 0x1222fb8a880f3cca, 0x35bfd165e12fc436,
  0x72ceaf8ce64c5f45, 0xf06d7de403ddf24f, 0xc580bd46483dc3a7, 0x75e2e76c8a8ee19c, 0xaad475d26e39633c,
  0xd77210e7e09b5e5c, 0xdaa5beace75152a8, 0xa0849ae0404e9b95, 0xd115e510895cbec7, 0xe74079bdb5d73daa,
  0xea9c0842a417296b, 0x6ff7aaa2d23b73d0, 0xc5104cdfcdb190c7, 0x4468b08ae2e4d5c6, 0x539fa9d598f2068e,
  0xf313ffbc3def2861, 0xe09a215de8a3f8cb, 0xc2bbe8f727e07eff, 0x9f45138cb3590cf4, 0x393c95fb9a19961d,
  0x00000001baf8c675,
};

// t261a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t261_swio14_lednop_pr_ee_ce[] = {
  0x23bbbbbba1baa80b, 0x5b96962c9c23f586, 0x97560ed8fa86f224, 0xfe0e36ea2bd72b7c, 0xae3867c2e87188ba,
  0x64eed89dc9cd38c4, 0xffe768cfffc9827c, 0x7e7bfaa3726909d3, 0x454a8fcf329c0728, 0x0ff6b5d465378aef,
  0xcf201ee0a7256e96, 0x01eec1e4e035f1c9, 0xe1d7d839015b93f2, 0x00d7d2d8cb8e1386, 0x3139d5e9c6bed70c,
  0x71e3af0067697c8d, 0xe3b03e23b5a7b55b, 0x864e017b2e1cb380, 0xe09b5e5caad718f4, 0xe75152a8d77210e7,
  0x404e9b95daa5beac, 0x895cbec7a0849ae0, 0xb5d73daad115e510, 0xa417296be74079bd, 0xd23b73d0ea9c0842,
  0xcdb190c76ff7aaa2, 0x02e4d5c6c5104cdf, 0x663c81a3911a2cd1, 0xcd6433d30b41bf75, 0x686658767d144e32,
  0x34f9c9d4e4f257ee, 0x0000000000000005,
};

// t261a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t261_swio14_lednop_pr_ee_ce_u4[] = {
  0x3dddddda27da1f68, 0x772d2c30e5c1ac35, 0x2f599ee2f41200db, 0x7b11c2a38ac168b0, 0x23b31349fe0ed4ec,
  0x3277475f5b105b27, 0xffd21fcfe374c13e, 0x118bf547bed211ae, 0x2a203cf329c5a4c4, 0x9784bf10d8488bee,
  0xdf3262fa2f53bf45, 0xa725652e0ff6b083, 0xe039c5c9cf201ee0, 0x015c87f201eec1e4, 0xcb8e1386e1d7d839,
  0xc6e4d70c00d7d2d8, 0x53b1ea8d7c39d5e9, 0x37e7b55b71e3af43, 0x96cbe701c7622146, 0x09e546c1132700bd,
  0xe09b5e5caad4b3e9, 0xe75152a8d77210e7, 0x404e9b95daa5beac, 0x895cbec7a0849ae0, 0xb5d73daad115e510,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0xe2e4d5c6c5104cdf, 0x31e40d6a7068b08a,
  0x7bde50c2a73f53ab, 0xd147f197e627ff78, 0x4fc0fdffc13442bb, 0x66b219e98577d1ee, 0x34332c3b3e8a2719,
  0xfc5d8a641e792bf7, 0x0000000000000004,
};

// t261_swio15_noled_pr              t261a_swio15_noled                t261a_swio15_noled_pr
static const uint64_t ur_t261_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x22426dfff0a41f3e, 0x3de403dd109df2dd, 0x69c56b8f70e9fc1f, 0xc3464d1cc580b7ba,
  0xf71cb1823af173b5, 0xc136bcb955a9595f, 0xcea2a551aee421cf, 0x59d372bb54b7d5d9, 0x108956aff7f41093,
  0x79fad73daad115e5, 0x73a9d4e02ca54fa7, 0xa7022fdc50216961, 0xc5104cdfcdb4f43a, 0x2068fe3459a20376,
  0x0cf4c2d06fdd598f, 0x961d9f45138cb359, 0x21320f3c95fb9a19, 0x00000000001f2007,
};

// t261a_swio15_noled_pr_u4
static const uint64_t ur_t261_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8bf82, 0xb5cb4b10ac4ceb13, 0x3b0bf70f8da48866, 0x79048962235f77e6, 0x9711b7426ecf7444,
  0x27c64ee989d5a20d, 0x8657fd1a1e7dfc98, 0x03dd2f8ef9683e90, 0x388f70e9fc1f41e4, 0xdece62c059653195,
  0xd9823af47cecf7a3, 0xe59eddc3269500ff, 0x09b5e5caad556a81, 0x75152a8d77210e7e, 0xce9b95daa5beaece,
  0x844ab57fbfa0849a, 0xbfaeb9ed5688af28, 0x83ba9b14a7869de3, 0x551698653d0ea9c0, 0xcdfcdb2048ab7fbd,
  0x08ae2e4d5c6c5104, 0xd4eacc7903b6868b, 0xffde1ef79430a9cf, 0x10aef451fc65f989, 0xf47b93f03f7ff04d,
  0x89c659ac867a615d, 0x4afdcd0ccb0ecfa2, 0x0003e4fa7849079e,
};

// t261a_swio15_noled_pr_ee
static const uint64_t ur_t261_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x29972d2c042f8beb, 0xf7afb4177d2d69ab, 0xbbbcd07c59b0b402, 0x4b3f764eb4fea448,
  0xf8c9dde4bb4cd1db, 0xf7ff46879f8ad304, 0x4ae2bad68cca484d, 0xe4e7900f705392b7, 0xf201eec1e4e0397c,
  0x0dc3afb007f15b93, 0x9801afa5b1971c27, 0x739d5a5dfcb76339, 0x743af006769b91ad, 0x71d88c91f493daad,
  0x4bff00bd970e59c0, 0xe09b5e5caad4744d, 0xe75152a8d77210e7, 0xace9b95daa5beaec, 0x8844ab57fbfa0849,
  0x3bfaeb9ed5688af2, 0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x4cdfcdb2048ab7fb, 0x2cd102e4d5c6c510,
  0x0dfbab31e40eda1a, 0xa271966b219e985a, 0x92bf734332c3b3e8, 0x000053e1241241e7,
};

// t261a_swio15_noled_pr_ee_u4
static const uint64_t ur_t261_swio15_noled_pr_ee_u4[] = {
  0x5dddddda20dd4375, 0x5cb4b010ba9bac24, 0xdec33df4b5a6aca6, 0xbbcd07c5ee3bcc4f, 0xccd8242b4fea448b,
  0xe3277437691f6c40, 0xceff3b467ce0cc13, 0x56715d6b46652426, 0x7273c807b829c95a, 0x7900f760f2701cbe,
  0xc370ebec01fc56fe, 0x66006be96c65c709, 0x29cead2fb7edd8ce, 0xba1d78033b3de8f2, 0x71d8b868c9a9ed56,
  0xcbff00bd970e59c0, 0xc136bcb955a8e843, 0xcea2a551aee421cf, 0x59d372bb54b7d5d9, 0x108956aff7f41093,
  0xd677973daad115e5, 0x1696bfc46a78629b, 0x4f43aa7023cbc502, 0x4d5c6c5104cdfcdb, 0x2068e4468b08ae2e,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x07effe09a215de8a, 0x90cf4c2bbe8f727e, 0x9961d9f45138cb35,
  0xbb275393c95fb9a1, 0x00000000000013ae,
};

// t261a_swio15_noled_pr_ce
static const uint64_t ur_t261_swio15_noled_pr_ce[] = {
  0xa6eeeeeead3a422f, 0x72d2c254e78fac0d, 0xb64f4daf5e2fed83, 0x8861f8009997b7a7, 0x1f0bdd7ee8da5c4c,
  0xf193ba7ef717d91b, 0xeffd985f3ee4e609, 0x2501a7bfabde908b, 0x577a2d0ffe7994e4, 0x319ee5be6de339bc,
  0xc3a7f0621fc807b9, 0xd01cc580ba54423d, 0xb19e3af173b0df47, 0xaf2e556a3a26b71c, 0xa9546bb90873f04d,
  0xdcaed52df57673a8, 0x55abfdfd0424d674, 0x75cf6ab445794422, 0xd4d8a53c34ef1dfd, 0xb4c329e8754e041d,
  0xcdb20431dbfdeaa8, 0x02e4d5c6c5104cdf, 0xcc79031f411a2cd1, 0x9ac867a616837eea, 0xd0ccb0ecfa289c65,
  0xaaa7499079e4afdc, 0x000000000000005b,
};

// t261a_swio15_noled_pr_ce_u4
static const uint64_t ur_t261_swio15_noled_pr_ce_u4[] = {
  0x9bbbbbb441baa80b, 0x9b9696041b0aac5f, 0x3dc5fb426eff0b48, 0x1651937a763f6d83, 0x7320b478fddbf1fb,
  0x04f8c9ddb13b515a, 0x085d7fced19f53d3, 0x380e1c38c5faa009, 0x09117dc544079e65, 0xfebfe8b2f097e21b,
  0xb96757c673262fa2, 0xfc1887f201ee4c67, 0x31602e95108f70e9, 0x8ebc5cec37d1f407, 0x955a8e89adc72c67,
  0x1aee421cfc136bcb, 0xb54b7d5d9cea2a55, 0xff7f4109359d372b, 0xdaad115e5108956a, 0x294f0d3bc77f5d73,
  0xca7a1d5381077536, 0x810c76ff7aaa2d30, 0x3571b1441337f36c, 0x81a3911a2c22b8b9, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x1fbff82688577a28, 0x433d30aefa3dc9f8, 0x658767d144e32cd6, 0x9e9d4e4f257ee686,
  0x000000000000dd7e,
};

// t261a_swio15_noled_pr_ee_ce
static const uint64_t ur_t261_swio15_noled_pr_ee_ce[] = {
  0xb7bbbbbba1baba31, 0xbb96962c9c5c7581, 0x3b65debd385f5a17, 0xcd22e62d1420c5fd, 0x262469f0ba1c1b64,
  0x193baccf6c480af2, 0xfff9da33e1a2609f, 0x9f9efea8ce1a4258, 0xd16e47f3cca701ce, 0x83fdad74f7cde2bb,
  0x73c807b829c959c3, 0x807bb079380d0072, 0xb875f60e4057f3bc, 0x0035f4b632e384e1, 0xf90e757a719455c3,
  0xdc78ebd0d4ec8023, 0x38ec3de8f7b9ed56, 0x2264e017b2d97ce0, 0x2ab52cc9ac16a8d8, 0x35dc8439f826d797,
  0x6a96fabb39d454aa, 0xfefe82126b3a6e57, 0xb55a22bca2112ad5, 0x529e1a778efebae7, 0x94f43aa7020eea6c,
  0x0218edfef5545a61, 0x6ae36288266fe6d9, 0x40d1c88d16688172, 0x19e985a0dfbab31e, 0x2c3b3e8a271966b2,
  0x94ea72792bf73433, 0x000000000014d303,
};

// t261a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t261_swio15_noled_pr_ee_ce_u4[] = {
  0x7bbbbbb44fb4304a, 0xee5a5861c12358c7, 0x8ed89d066b4401b6, 0xf6224874ef23514c, 0xb82b8e93fc1f1dd8,
  0x93ba55fb61900a3b, 0xfe90fe7d0fa609f1, 0x462fd51dba484c41, 0xa880f3cca71691fe, 0x5e12fc4361222fb8,
  0x7cc98be8be72fd16, 0x9c959c383fdac20f, 0x80d007273c807b82, 0x057f3bc807bb0793, 0x2e384e1b875f60e4,
  0x19455c30035f4b63, 0x4ec8023f90e757a7, 0x7b9ed56dc78ebd0d, 0x2d97ce038ec3de8f, 0xc16a8d82264e017b,
  0x826d7972ab52cc9a, 0x9d454aa35dc8439f, 0xb3a6e576a96fabb3, 0x2112ad5fefe82126, 0xefebae7b55a22bca,
  0x20eea6c529e1a778, 0x5545a6194f43aa70, 0x66fe6d90218edfef, 0x84571726ae362882, 0x9d598f206b538345,
  0xfbc3def2861539fa, 0x15de8a3f8cbf313f, 0x8f727e07effe09a2, 0x38cb3590cf4c2bbe, 0x5fb9a19961d9f451,
  0x0027e40a5320f3c9,
};

// t261_swio15_lednop_pr             t261a_swio15_lednop               t261a_swio15_lednop_pr
static const uint64_t ur_t261_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x224247bff0a41f3e, 0x3de403dcbe1df2dd, 0x31eb108f70e9fc1f, 0x7b4770ce62c05bdd,
  0xfb8e58c11d78b9db, 0xe09b5e5caad4ac59, 0xe75152a8d77210e7, 0x04e9b95daa5beaec, 0x4ae4ac7a0849ae04,
  0xd6b9ed5688af2884, 0xea58594d8b3a03cf, 0x139f4502169ab9d5, 0x8266fe6da7a1d538, 0x47f1a2cd101bb628,
  0xa616837eeacc7903, 0xecfa289c659ac867, 0x9079e4afdcd0ccb0, 0x00000000f901c589,
};

// t261a_swio15_lednop_pr_u4
static const uint64_t ur_t261_swio15_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0x6b5cb4b10ad00562, 0x8fd6a7aa60714886, 0x4790489266c4767d, 0xef31a875a6ecf744,
  0xc13e3277792e9b08, 0x10c7ffd1a1e7ea54, 0x403dda51df2d07d2, 0xe7a8f70e9fc1f41e, 0x7191cc580b2ca631,
  0xfb30475e8f9dbe44, 0x3cb3dbdeee1aa01f, 0xc136bcb955ac0ad0, 0xcea2a551aee421cf, 0x09d372bb54b7d5d9,
  0x95c958f410935c08, 0x5d73daad115e5108, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xb65d9156ff7aaa2d,
  0x5c9ab8d8a2099bf9, 0x98f2076d0d16115c, 0x3def2861539fa9d5, 0xe8a3f8cbf313ffbc, 0x27e07effe09a215d,
  0xb3590cf4c2bbe8f7, 0x9a19961d9f45138c, 0xe4d760920f3c95fb, 0x0000000000000003,
};

// t261a_swio15_lednop_pr_ee
static const uint64_t ur_t261_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0xa65cb4b010ba0958, 0xd0bd7afa4cf8feac, 0x17779a0f8bdc29a9, 0xc333766c569fd489,
  0x4f8c9ddf23a62519, 0x707fe8d0f3f43f30, 0x70dc575ad1994908, 0x9c9cf201ee0a7256, 0xbe403dd83c9c072f,
  0xe1b875f600fe2b28, 0x330035f4b632e384, 0xc4e7569731f6ec67, 0xae875e00ced92234, 0x1c7620fa3b5a7b55,
  0xf2ffc02f65c39670, 0xf04daf2e556a3a59, 0x73a8a9546bb90873, 0x0274dcaed52df576, 0x2572563d0424d702,
  0xeb5cf6ab44579442, 0xf52c2ca6c59d01e7, 0x09cfa2810b4d5cea, 0x41337f36d3d0ea9c, 0x68b3440b93571b14,
  0x6837eeacc7903b68, 0xa289c659ac867a61, 0x9e4afdcd0ccb0ecf, 0x0000053e01c84907,
};

// t261a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t261_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222044, 0x6ae5a58085debd60, 0x1a5d5c7a5c467893, 0xde4531d7b4b37785, 0xc88406c569fd485e,
  0x7c64ee8f6d12210e, 0x83ffe7239fa1f982, 0x3ce2bad68dfc4843, 0xe4e7900f705392b5, 0xf900f760f27019ea,
  0x86e1d7d803f8aca5, 0xcc00d7d2d8cb8e13, 0xe39d5a5d2b5b87dc, 0x743af4353b7508e6, 0x71d8f911c653daad,
  0x32ffc02f65b2f9c0, 0x5a8e2ee1934a8d82, 0xee421cfc136bcb95, 0x4b7d5d9cea2a551a, 0x0935c0809d372bb5,
  0x15e510895c958f41, 0x4079bdb5d73daad1, 0x9c0842a417296be7, 0xf7aaa2d23b73d0ea, 0x2099bf9b65d9156f,
  0xd16115c5c9ab8d8a, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a215de8a3f8cbf, 0x2bbe8f727e07effe,
  0xf45138cb3590cf4c, 0xf3c95fb9a19961d9, 0x00000275c2177642,
};

// t261a_swio15_lednop_pr_ce
static const uint64_t ur_t261_swio15_lednop_pr_ce[] = {
  0xd3777777569d6668, 0xb969612a736dd606, 0xaf4f7c4bf617f6c1, 0x9910c3fbe96b4c77, 0x282fcc600dd1b4b8,
  0x04f8c9dd377a0cea, 0x474bfecc2f9f2973, 0x721231f3dfd5ef48, 0x6f15de8a96bf3cca, 0xeef927b96f9b78ce,
  0x8f70e9fc1887f201, 0xa3b86731602a00f7, 0xc72c678ebc5cedbd, 0x26d7972ab51d2cfd, 0xd454aa35dc8439f8,
  0x3a6e576a96fabb39, 0xb92b1e82126b8101, 0xae7b55a22bca2112, 0x96165362ce80f3f5, 0xcf8c6085a6ae757a,
  0x337f36d3d0ea9c09, 0xb3440b93571b1441, 0xfbab31e40c7d0468, 0x71966b219e985a0d, 0xbf734332c3b3e8a2,
  0x005baf392641e792,
};

// t261a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t261_swio15_lednop_pr_ce_u4[] = {
  0xcdddddda20dd4375, 0x4dcb4b020c82562f, 0xbd867be2d22f85a4, 0x8b28c9e14f4cb89f, 0x103336017eedf8fd,
  0x04f8c9dd0dda47db, 0x08c17fced19f95d3, 0x380e1438c5faa009, 0x09117dc544079e65, 0xde1fe8b2f097e21b,
  0xb96757c673262fa2, 0xfc1887f201eec927, 0x62c0509ebe0f70e9, 0x8ebc5cec3e23b58e, 0x2ab51d5c3dc72c67,
  0x35dc8439f826d797, 0x6a96fabb39d454aa, 0x82126b81013a6e57, 0xa22bca2112b92b1e, 0xce80f37b6bae7b55,
  0xd5381085482e52d7, 0xdfef5545a476e7a1, 0x288266fe6d97618e, 0x234584571726ae36, 0x9cfd4eacc7903472,
  0x989ffde1ef79430a, 0x04d10aef451fc65f, 0x15df47b93f03f7ff, 0xfa289c659ac867a6, 0xc9e4afdcd0ccb0ec,
  0x0000000dd75d93a9,
};

// t261a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t261_swio15_lednop_pr_ee_ce[] = {
  0x4bbbbbbba1bad562, 0x5b96962c9c34b58f, 0x077a76b53f1ef224, 0x7f07802c8d05066b, 0xfe9b4be17439e95d,
  0x3277605e991b0d4c, 0xffe768cfeed4c13e, 0x6a7bfaa34ac90863, 0xa2b21fe7994e0381, 0x07fb5aea329bc577,
  0xe7900f705392b90f, 0x00f760f2701cdce4, 0x70ebec1c80ad2b79, 0x006be96c65c709c3, 0x109ceaf4e3a94b86,
  0xdc78ebc019da7147, 0x71d85ae8c459ed56, 0x332700bd970e59c0, 0xe09b5e5caad718dc, 0xe75152a8d77210e7,
  0x04e9b95daa5beaec, 0x4ae4ac7a0849ae04, 0xaeb9ed5688af2884, 0x20b94b5f3a03cded, 0x91db9e8754e04215,
  0xb65d863b7fbd5516, 0x5c9ab8d8a2099bf9, 0xc790347223459a20, 0xac867a616837eeac, 0x0ccb0ecfa289c659,
  0x6a9d3a9c9e4afdcd, 0x000000000000029a,
};

// t261a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t261_swio15_lednop_pr_ee_ce_u4[] = {
  0xf77777689f68cc7f, 0xdcb4b0c391c6b10b, 0x4ed323a6c6143188, 0x8fad1e9ac1a66106, 0x383669693fc1e17f,
  0x327773ef5a728fa3, 0x7fe90fe7e004c13e, 0xb8c5faa3c089096b, 0x2a203cf329c5a49d, 0x9784bf10d8488bee,
  0xca64c5f45575ff45, 0x4e4ae43c1fed6108, 0xc07373939e403dc1, 0x02b4ade403dd83c9, 0x971c270dc3afb072,
  0x8ea52e1801afa5b1, 0x6769c51c4273abd3, 0x1167b55b71e3af00, 0x5c396701c7616ba3, 0xab5c6370cc9c02f6,
  0x5dc8439f826d7972, 0xa96fabb39d454aa3, 0x2126b81013a6e576, 0x22bca2112b92b1e8, 0xe80f37b6bae7b55a,
  0x5381085482e52d7c, 0xfef5545a476e7a1d, 0x88266fe6d97618ed, 0x34584571726ae362, 0x9fa9d598f206b538,
  0x13ffbc3def286153, 0x9a215de8a3f8cbf3, 0xbbe8f727e07effe0, 0x45138cb3590cf4c2, 0x3c95fb9a19961d9f,
  0x000004fce9e5320f,
};

/*
 * t441_autobaud_uart0_noled_pr      t441_autobaud_uart0_noled_pr_u4   t841_autobaud_uart0_noled
 * t841_autobaud_uart0_noled_pr      t841_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart0_noled[] = {
  0xd63777777759bb37, 0xeeeeeeee963d4cbd, 0x07416cfddfebf7d2, 0x9b1c7eb436b7775b, 0xb304f8c9ddc77b98,
  0xf0725f7ff3eecf9e, 0xfe02e9b00d022054, 0xed1c2bf5436bf063, 0x3c77cb24353e8dd5, 0xe38e38103349ea3f,
  0x9cc580b7ba683eb3, 0x0475e2e764868f19, 0x23fec2b319ee3963, 0x723fe73bd76fc0c4, 0xcef5fcde394a0c07,
  0xba2fb975539794d8, 0x2f5545a5af9e87c2, 0xad5d6f9b600a2add, 0x47f1a2c9a18ddb0f, 0xda216cdbeacc7903,
  0x966b219e985a0df8, 0xe686658765bac271, 0x110039726b4f257e, 0x0000000000000007,
};

// t441_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbbbd8bf82, 0xf7777774b149f5a2, 0x16a6f1d8db377a7e, 0x90cc785fd7eeeeff, 0x2774c4eb4583656d,
  0xff6b267f024c13e3, 0x601a0440a9e0e14b, 0xea86d7e0c7fc05d3, 0xfc8a7d1babda3857, 0xfea3cae7183fdad1,
  0x15ce3ea3e0d9831b, 0x71c270dc3afb007f, 0xd63399801afa5b19, 0x691d4b39d5a5fe41, 0x3daad743af006762,
  0xcb380e3b0f691d13, 0x1d63397fe017b2e1, 0x73bd76fc0c423fec, 0xcde394a0c07723fe, 0x975539794d8cef5f,
  0x5a5af9e87c2ba2fb, 0xf9b600a2add2f554, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x00000000620f8db2,
};

// t441_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_noled_pr_ce[] = {
  0xc6eeeeeeef62bd3a, 0xddddddd2c42242fa, 0x26a18dbf16a6f70a, 0x8eec7b11ddddf5fe, 0x3e32775ebe9fbfa7,
  0x54aff6b267d2b4c1, 0x5d3601a0440a9e0e, 0x857ea86d7e0c7fc0, 0x3faef6a7d1babda3, 0xdbafcf2f2e0e2016,
  0xcb2eb59339d7736b, 0x8e040f59ea393d3d, 0x61cc580b917a08e3, 0x33c75e8f9d843a3d, 0xb5ba414cf2a01ffb,
  0x818847fd8d54903c, 0x180ee47fce77aedf, 0x29b19debf9bc7294, 0x0f85745f72eaa72f, 0x1dba5eaa8b4b5f3d,
  0x6c3eb575be6d8023, 0xdb434593432e4d5c, 0x6d10b66df5663c81, 0xcb3590cf4c2d06fc, 0x734332c3b2dd6138,
  0x9f84ad4c87e792bf, 0x0000000000000005,
};

// t441_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88a80b, 0xf7777774b1ea7516, 0x2f7aed2d68313b4c, 0x45066164917776dc, 0x4eed89d466d38d2b,
  0xfdc039fe9f9827c6, 0x01a0440a9e0e757f, 0xa86d7e0c7fc05d36, 0xf6a7d1babda3857e, 0x7975a429763faa30,
  0x339d7736bd6ffe79, 0x3caf4a0376b028f9, 0x95ea3e0d983c8bea, 0x1386e1d7d839015e, 0x7d6c00d7d2d8cb8e,
  0xad647cf1cead700a, 0x27b55e9c1d7a1a9d, 0x65f380e3b021d1eb, 0x4a8d822813805ecb, 0x06211ff674f63353,
  0x603b91ff39debb7e, 0xa6c677afe6f1ca50, 0x3e15d17dcbaa9cbc, 0x76e97aaa2d2d7cf4, 0xb0fad5d6f9b6008c,
  0xe50d164d0cb93571, 0xb442d9b7d598f207, 0x2cd6433d30b41bf1, 0xcd0ccb0ecb7584e3, 0xacde319c3b9e4afd,
  0x0000000000000000,
};

/*
 * t441_autobaud_uart0_lednop_pr     t441_autobaud_uart0_lednop_pr_u4  t841_autobaud_uart0_lednop
 * t841_autobaud_uart0_lednop_pr     t841_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart0_lednop[] = {
  0xd63777777759bb37, 0xeeeeeeee963d4f9b, 0x5b07416f07d5b7d2, 0x313638fd69b3f777, 0x1ee609f193bb8ef7,
  0xa9e0e775ffcfbb3f, 0xc7fc05d3601a0440, 0xabda3857ea86d7e0, 0x7278ef96486a7d1b, 0xcf471c70206693d4,
  0x829cc580b7ba683f, 0xc608ebc5cec1c51c, 0x108ffb0ac507dc72, 0xff9e0404ef5dbf03, 0xf5fcde5ba8301dc8,
  0xbdf2a6f529c94e80, 0xd17dc3a8a042d380, 0xd6aeb7cdb4f43e15, 0xa3f8d164d0c6ed87, 0x6d10b66df5663c81,
  0xcb3590cf4c2d06fc, 0x734332c3b2dd6138, 0x88801cb935a792bf, 0x0000000000000003,
};

// t441_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_lednop_pr_ee[] = {
  0x56377777777b1762, 0x9eeeeeee96293e6c, 0xf16b429ba86d2f46, 0x06763f85fd7eeeef, 0xc9dde4bab8d1d9bb,
  0xbfdac99fdf7304f8, 0xd80681102a7838a7, 0xfaa1b5f831ff0174, 0x7f229f46eaf68e15, 0xffa8f2b3d60ff6b4,
  0xc567afa8f83660c6, 0x5c709c370ebec01f, 0x758ce66006be96c6, 0xc3475fce756979b8, 0x9ed56ba1d78033b5,
  0x96701c761af918fb, 0x7520b2ffc02f65c3, 0x4ef5dbf03108ffb0, 0xfa8301dc8ff9e040, 0x94e4a7407afe6f00,
  0x0f85745f76f9537a, 0x56e97aaa2d2b093d, 0x61f5abadf36ca9d1, 0xda1a2c9a19726ae3, 0x6885b36fab31e40e,
  0x59ac867a616837e3, 0x9a19961d96eb09c6, 0xc41f9c643f3c95fb, 0x0000000000000000,
};

// t441_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c422353a, 0x130bea1f1f5a3504, 0x536f4c99eeeefaff, 0x9f193bb517469f91,
  0x1c9ffb5933f21e60, 0x2e9b00d022054f07, 0xc2bf5436bf063fe0, 0x1fd77b53e8dd5ed1, 0xe2b7e79797073a8b,
  0xe5975ac99cebb9b5, 0xc70207acf51fa49e, 0x86731602bdf6b471, 0x33c75e8f9db05a34, 0x5adc1c4d22a01ffb,
  0xe06211ff626af81e, 0xb91ff3c0809debb7, 0x80f5fcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8,
  0xb7cdb2a718edd2f5, 0x6865c9ab8d87d6ae, 0xbeacc7903b6868b2, 0xe985a0df8da216cd, 0x765bac271966b219,
  0x90fcf257ee686658, 0x00000000b3f09cf9,
};

// t441_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x58dddddddd444375, 0x3bbbbbba58f5323f, 0x17d457ae6c725d58, 0x719fb0b248bbbb6e, 0x2774376e4e6c4625,
  0xfee01cf8cdcc13e3, 0x80681102a783816b, 0xaa1b5f831ff0174d, 0x3da9f46eaf68e15f, 0x5e5d6914f58fea8c,
  0x4ce75dcdae87df9e, 0x1e5613c0ddac0a3e, 0x4ff51f06cc1e45f5, 0x1386e1d7d8390158, 0x7d6c00d7d2d8cb8e,
  0x41f464f1cead7080, 0xcf6abd383af4353b, 0x2f9c071d8c168d21, 0x546c11409c02f65b, 0x6211ff674f48299e,
  0x1ff3c0809debb7e0, 0xf5fcde01f50603b9, 0xedf2a6f529c94e80, 0x5a56127a1f0ae8be, 0xcdb2a718edd2f554,
  0x65c9ab8d87d6aeb7, 0xacc7903f2868b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9, 0xdcf257ee68665876,
  0x0000000acde10ce1,
};

// t441_autobaud_uart0_dual_pr       t441_autobaud_uart0_dual_pr_u4
static const uint64_t ur_t441_autobaud_uart0_dual[] = {
  0x7eeeeeeeef3e704a, 0xeeeeeee1ff1e75bd, 0x505586b129cb421e, 0x2a7114edddd23fc9, 0x69772b9dbbf75dfb,
  0x3055239bf304f8c9, 0x883704d8818fd932, 0xee9e10dbf1030a15, 0x1812695df9945524, 0x4b37a8e52f60c14e,
  0x1a04508e48381037, 0x862013eb87c0aff3, 0xa07aa2197b10bc98, 0xa039e13029150865, 0x3100871885b94bff,
  0x95fe80ca60b02c43, 0xa6c034088153c1ca, 0xafd50dafc18ff80b, 0x2d70d4fa3757b470, 0xe040f05fa8ef79df,
  0xc05a266d2a218e38, 0xbf0ddb7b46b3ce62, 0xea96a807fecc11d7, 0x9cdf14e40f2cf6f9, 0x9ce779e03ba72f33,
  0x13bd76fc0c423fec, 0x3ea0c07723fe7810, 0xa53929d01ebf9bc0, 0x43e15d17ddbe54de, 0x55ba5eaa8b4ac24f,
  0xd87d6aeb7cdb2a74, 0xa7c68b26865c9ab8, 0xd10b66df5663c819, 0xb3590cf4c2d06fc6, 0x34332c3b2dd6138c,
  0xcd8e8bc112792bf7, 0x00000000000000aa,
};

// t441_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_dual_pr_ee[] = {
  0x5fbbbbbbba865c93, 0xdddddddc3ec8201f, 0x82ae7517c6add9bd, 0x85ac5ec7fd3dd294, 0x75ca6d37226f27dd,
  0x15481544c13e3262, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0xf93620fccb3e833b, 0x9bd470d1b0d34707,
  0x04508e4838103b1f, 0x8913eb87c0aff31a, 0x3c8865ec42f26200, 0x9e131c38a8432d05, 0x0871885b868ffa03,
  0xf327260b02c43310, 0x0681102a7839d5ff, 0xa1b5f831ff0174d8, 0xd29f46eaf68e15fa, 0x51e5752a0ff6b47d,
  0xd4af51f06cc1cbef, 0xc270dc3afb007f15, 0x8799801afa5b1971, 0x31be73ab4b87b1d0, 0xab5d0ebd20aedf22,
  0xe038ec6f68d67cf6, 0x08cbff00bd97753c, 0x7378e2daf921aa36, 0x739de780ee9cbcce, 0x4ef5dbf03108ffb2,
  0xfa8301dc8ff9e040, 0x94e4a7407afe6f00, 0x0f85745f76f9537a, 0x56e97aaa2d2b093d, 0x61f5abadf36ca9d1,
  0xfe0eee34593431bb, 0x6fc6d10b66df5666, 0x138cb3590cf4c2d0, 0x2bf734332c3b2dd6, 0x001045ebb2950679,
};

// t441_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_dual_pr_ce[] = {
  0xafdddddddde7ce7c, 0xdddddddc3f50cb17, 0x25a8e73621d7da2f, 0xed3ed5f6eee89132, 0xfd3b9210ef763f33,
  0x182a91e729827c64, 0xc41b826c40c7ec99, 0x774f086df881850a, 0x3abe6a1ffcca2a92, 0xea6f51e396c0e09c,
  0x3408a11c90702076, 0x1cb427d70f815fe6, 0x05f68865ec42f262, 0x039e1307b8a8432d, 0x100871885bc72ffa,
  0xbfe80ca60b02c433, 0x6c034088153c1c60, 0xfd50dafc18ff80ba, 0x58854fa3757b470a, 0xffcf2f2f3b7f2c7f,
  0x755fe673aee6d7e9, 0x81d7ff51c7c9ee59, 0xc580b38bdf1c71c0, 0xaf7e1bb6f68d679c, 0x73d52d500ffd99e3,
  0x99ce6f8a720796b7, 0xf64e73bcf01dd397, 0x0809debb7e06211f, 0xe01f50603b91ff3c, 0x6f529c94e80f5fcd,
  0x27a1f0ae8beedf2a, 0x718edd2f5545a561, 0xb8d87d6aeb7cdb2a, 0x19a7c68b26865c9a, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x053c9f39c112792b,
};

// t441_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafdddddddd435202, 0xdddddddc3fe3c1f7, 0x2d48435df5ad19cd, 0xf7089f8bd19eece2, 0x72518ed5efcd7c89,
  0x484f2f304f8c969d, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x6e5afccb3e833ba7, 0x47c6ed87609c2f0e,
  0x08e48381036bb9bd, 0x3eb87c0aff31a045, 0x0cbd885e4c415d71, 0x6d9d150865a04e91, 0x6216f8ddff4073c2,
  0xc982c0b10cc4021c, 0x22054f0734d7fcc9, 0xbf063fe02e9b00d0, 0xe8dd5ed1c2bf5436, 0x09472b1fd51b9353,
  0xbb9b5e61bf3c2c03, 0x0301bb58141499ce, 0x1f06cc1cddea3cae, 0xe1d7d839015c06f5, 0x00d7d2d8cb8e1386,
  0x8df39d5ae03dfd6c, 0x7a7075e90576f911, 0x071d8ded1acf9ed5, 0x8a04e017b2eea79c, 0x9bfa79af921aa360,
  0x9cef3c0774e5e673, 0x77aedf818847fd93, 0xd4180ee47fcf0202, 0xa7253a03d7f37807, 0x7c2ba2fbb7ca9bd4,
  0xb74bd551695849e8, 0x1f5abadf36ca9c63, 0xe0eee34593431bb6, 0xfc6d10b66df5666f, 0x38cb3590cf4c2d06,
  0xbf734332c3b2dd61, 0x031101e5e9506792,
};

/*
 * t441_autobaud_uart0_alt1_noled_pr t441_autobaud_uart0_alt1_noled_pr_u4
 * t841_autobaud_uart0_alt1_noled    t841_autobaud_uart0_alt1_noled_pr
 * t841_autobaud_uart0_alt1_noled_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart0_alt1_noled[] = {
  0xd63777777759bb37, 0xdddddddd2c4e279b, 0xc44489de0fab6fa5, 0x626c71fad367eeee, 0x3dcc13e327771dee,
  0x16f85eebff9f767e, 0x4107a0440a9e0e17, 0x7ea86d7f841f0174, 0x6486a7d1babda385, 0x0206693d47e78ef9,
  0x16f74d6b35f471c7, 0xb9da4151e33398b0, 0x563a7b8e58c11d78, 0xe77aedf818847fd8, 0xe6f2dd4180ee47fc,
  0xabaa9cbca6c677af, 0xd17dce6e2810b4de, 0xd6aeb7cdb4f43e15, 0xa3f8d164d0c6ed87, 0x6d10b66df5663c81,
  0xcb3590cf4c2d06fc, 0x734332c3b2dd6138, 0x88801cb935a792bf, 0x0000000000000003,
};

// t441_autobaud_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_noled_pr_ee[] = {
  0x56377777777b1762, 0x4f7777774b0d826c, 0xf1f5a14dd43697a3, 0xc19d8f790d5b7767, 0x3277792eae34766e,
  0xeff6b267f7dcc13e, 0x2054f070b8b7c2a9, 0xfc20f80ba2083d02, 0x8dd5ed1c2bf5436b, 0x738c1fed68fe453e,
  0x51f06cc18dff51e5, 0x6e1d7d803f8ae71f, 0xc00d7d2d8cb8e138, 0x9cead2ff20eb19cc, 0xa1d78033b1348ea5,
  0x1d87b48e899ed56b, 0xbff00bd970e59c07, 0x7e06211ff60eb19c, 0x50603b91ff39debb, 0xbca6c677afe6f1ca,
  0xf43e15d17dcbaa9c, 0x5156e97aaa2d2d7c, 0xb8d87d6aeb7cdb00, 0x03b6868b26865c9a, 0xf8da216cdbeacc79,
  0x71966b219e985a0d, 0x7ee686658765bac2, 0x003107e7190fcf25,
};

// t441_autobaud_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_noled_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c4c2353a, 0xdf0bea1f1f5a3504, 0xa9b7a64cf777756d, 0x4f8c9dda8ba34fc8,
  0xae4ffdac99f90f30, 0x4088153c1c2e2df0, 0xdaff083e02e8820f, 0x4fa3757b470afd50, 0x5e5c1c402c7f5ded,
  0x2673aee6d7b75f9e, 0xb3d4727a7b965d6b, 0x1722f411c71c081e, 0x1f3b08747ac398b0, 0x99e5403ff6678ebd,
  0xfb1aa920796b7482, 0xff9cef5dbf03108f, 0xd7f378e528301dc8, 0xbee5d54e5e53633b, 0x551696be7a1f0ae8,
  0xeb7cdb00463b74bd, 0x26865c9ab8d87d6a, 0xdbeacc7903b6868b, 0x9e985a0df8da216c, 0x8765bac271966b21,
  0x990fcf257ee68665, 0x000000000b3f09cf,
};

// t441_autobaud_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_noled_pr_ee_ce[] = {
  0x58dddddddd444375, 0x77777774b138923f, 0x53a8af5cd8e4bab0, 0xb8cfdea4a1374b8b, 0x93ba1bb727362312,
  0xff700e7c66e609f1, 0x0a9e0e1716f850b5, 0x841f01744107a044, 0xbabda3857ea86d7f, 0x29763faa30f6a7d1,
  0x36bd6ffe797975a4, 0x0376b028f9339d77, 0x0d983c8bea3caf4a, 0xd7d839015e95ea3e, 0xd7d2d8cb8e1386e1,
  0xf1cead700a7d6c00, 0x9c1d7a1a9dad647c, 0xe3b021d1eb27b55e, 0x2813805ecb65f380, 0xf674f633534a8d82,
  0xff39debb7e06211f, 0xafe6f1ca50603b91, 0x7dcbaa9cbca6c677, 0xaa2d2d7cf43e15d1, 0xd6f9b6008c76e97a,
  0x4d0cb93571b0fad5, 0xb7d598f207e50d16, 0x3d30b41bf1b442d9, 0x0ecb7584e32cd643, 0x9c3b9e4afdcd0ccb,
  0x000000000159bc21,
};

// t841_autobaud_uart0_alt1_lednop
static const uint64_t ur_t441_autobaud_uart0_alt1_lednop[] = {
  0x58dddddddd66ef3a, 0x77777774b1389623, 0x12246b97b60fa5c7, 0x6436d8ce6fbbbb11, 0xca9827c64eeb53dd,
  0x2df0a13fff9f767c, 0x820f4088153c1c2e, 0xfd50daff083e02e8, 0xc90d4fa3757b470a, 0x040cd27a8e4f1df2,
  0x16f74d917a08e38e, 0xb9daa5a3905398b0, 0x5920bb8e58c11d78, 0x9debb7e06211ff61, 0xf50603b91ff3c080,
  0x29c94e80f5fcde01, 0x1f0ae8beedf2a6f5, 0xadd2f5545a56127a, 0xc3eb575be6d953a2, 0x36885b36e2fc2376,
  0x659ac867a616837e, 0xb9a19961d96eb09c, 0x6b31571c9ad3c95f,
};

/*
 * t441_autobaud_uart0_alt1_lednop_pr_u4 t841_autobaud_uart0_alt1_lednop_pr
 * t841_autobaud_uart0_alt1_lednop_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart0_alt1_lednop_pr[] = {
  0x6377777777b16668, 0xddddddd2c4e246dd, 0x0e0c75fcdc17ed8f, 0xf8f2e25ef777638d, 0x27c64ee9bbd642a2,
  0x50f7fed64cfc0698, 0xa0440a9e0e1716f8, 0x6d7f841f01744107, 0xa7d1babda3857ea8, 0x82fd47b58ef9610e,
  0x53443bdc71c70206, 0x60b4690ce62c0596, 0x403ff6608ebd1f3b, 0x57c0f2cf6c389a45, 0xef5dbf03108ffb13,
  0xa8301dc8ff9e0404, 0x4e4a7407afe6f00f, 0xf85745f76f9537a9, 0x6e97aaa2d2b093d0, 0x1f5abadf36ca9d15,
  0xa1a2c9a19726ae36, 0x885b36fab31e40ed, 0x9ac867a616837e36, 0xa19961d96eb09c65, 0x88631643f3c95fb9,
  0x0000000000000038,
};

// t441_autobaud_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_lednop_pr_ee[] = {
  0x56377777777b1762, 0x4f7777774b0d8385, 0x9fc7f5e9c2f697a3, 0xdd8335a1e4356ddd, 0x7c64eef25d5c68ec,
  0x8adfed64cf93a982, 0x0440a9e0e1716f85, 0xd7f841f01744107a, 0x7d1babda3857ea86, 0xcacf583fdad1fc8a,
  0x9ea3e0d9831bfea3, 0x70dc3afb007f1582, 0x99801afa5b1971c2, 0x7f39d5a5fe41d633, 0xae875e00cecb3d1d,
  0x38ec20b463ee7b55, 0xe5ff805ecb872ce0, 0xb7e06211ff60e941, 0x03b91ff3c0809deb, 0x29d01ebf9bcb7506,
  0x5a7017be54dea539, 0x87c2ba2fb8751408, 0x71b0fad5d6f9b69e, 0x076d0d164d0cb935, 0xf1b442d9b7d598f2,
  0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x00620fce321f9e4a,
};

// t441_autobaud_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_lednop_pr_ce[] = {
  0xc6eeeeeeef623f3e, 0xddddddd2c4c2593a, 0xbda9c2ff4a6c695b, 0xcb4615006eeeeadb, 0x13e327748fed05e9,
  0x2ba5ff6b267ca5cc, 0xd022054f070b8b7c, 0x36bfc20f80ba2083, 0x53e8dd5ed1c2bf54, 0x9797073a8b1fd77b,
  0xc99cebb9b5e2b7e7, 0xacf51fa49ee5975a, 0x02bdf6b471c70207, 0x8f9db05a34867316, 0x4d22a01ffb33c75e,
  0xff626af81e5adc1c, 0xc0809debb7e06211, 0xde01f50603b91ff3, 0xa6f529c94e80f5fc, 0x127a1f0ae8beedf2,
  0xa718edd2f5545a56, 0xab8d87d6aeb7cdb2, 0x903b6868b26865c9, 0xdf8da216cdbeacc7, 0x271966b219e985a0,
  0x57ee686658765bac, 0x0167e117ed90fcf2,
};

// t441_autobaud_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_lednop_pr_ee_ce[] = {
  0xb1bbbbbbba889768, 0xeeeeeee962713f4e, 0x4c8fd45c5f2ef638, 0x331a7a9284dd2e2d, 0x4ee94ad8163db92d,
  0xfee01cf8689827c6, 0x2a78385c5be16c7f, 0x107c05d1041e8110, 0xeaf68e15faa1b5fe, 0x4f58fea8c3da9f46,
  0xdae87df9e5e5d691, 0x0ddac0a3e4ce75dc, 0x6cc1e45f51e5613c, 0x7d83901584ff51f0, 0x7d2d8cb8e1386e1d,
  0x1cead70807d6c00d, 0x83af4353b41f464f, 0xd8c168d21cf6abd3, 0x09c02f65b2f9c071, 0x74f48299e546c114,
  0x09debb7e06211ff6, 0x1f50603b91ff3c08, 0x529c94e80f5fcde0, 0xa1f0ae8beedf2a6f, 0x8edd2f5545a56127,
  0xd87d6aeb7cdb2a71, 0xf2868b26865c9ab8, 0xda216cdbeacc7903, 0x966b219e985a0df8, 0xe686658765bac271,
  0x59b2b54e1dcf257e, 0x0000000000000001,
};

// t441_autobaud_uart0_alt1_dual_pr  t441_autobaud_uart0_alt1_dual_pr_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_dual[] = {
  0x7eeeeeeeef3e306a, 0xeeeeeee1f05ff6bd, 0xceb20a0dd1ab59f6, 0xc9263d6ddddfa72e, 0x7af72403aeb68429,
  0x305522e87304f8c9, 0x883704d8818fd932, 0xee9e10dbf1030a15, 0x1bee6d37f9945524, 0xeb37a8ea7b61958e,
  0x1a04508e48381032, 0x840013eb87c0aff3, 0xa12222197b10bc98, 0xa039e13201150865, 0x3100871885ba9eff,
  0x27fe80ca60b02c43, 0x440a9e0e1716f857, 0x7f841f01744107a0, 0xd1babda3857ea86d, 0xfd477bcef96b86a7,
  0x69510c71c7020782, 0xda359e731602d133, 0x3ff6608ebdf86edb, 0x207967b7cf54b540, 0x01dd39799ce6f8a7,
  0xe06211ff64e73bcf, 0xb91ff3c0809debb7, 0x80f5fcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8,
  0x5be6d953a2add2f5, 0x3432e4d5c6c3eb57, 0xfab31e40cd3e3459, 0xa616837e36885b36, 0xd96eb09c659ac867,
  0x0893c95fb9a19961, 0x00000002ab368bee,
};

// t441_autobaud_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_dual_pr_ee[] = {
  0x5fbbbbbbba86c541, 0x77777770f8334d7f, 0x75900dceebbd26f7, 0x5c77ede9f91dd69c, 0xb9666f4671463b37,
  0x523b8f9827c64d89, 0x704d8818fd932305, 0xe10dbf1030a15883, 0xcd003f32cfa0cee9, 0xa8f3b7b0b5b3856f,
  0xa11c9070207bb537, 0x27d70f815fe63408, 0x10cbd885e4c41522, 0x26287150865a12b9, 0xc6216f3b7ff4073c,
  0x9c982c0b10cc4021, 0x8385c5be142d7fcc, 0xc05d1041e81102a7, 0x68e15faa1b5fe107, 0xff6b47dd29f46eaf,
  0xcc1cbef51e5752a0, 0xb007f15d4af51f06, 0xa5b1971c270dc3af, 0xb87b1d08799801af, 0x0aedf2231be73ab4,
  0x8d67cf6ab5d0ebd2, 0xd97753ce038ec6f6, 0x921aa3608cbff00b, 0xe9cbcce7378e2daf, 0x108ffb2739de780e,
  0xff9e0404ef5dbf03, 0xafe6f00fa8301dc8, 0x6f9537a94e4a7407, 0xd2b093d0f85745f7, 0x36ca9d156e97aaa2,
  0x93431bb61f5abadf, 0x6df5666fe0eee345, 0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0x29506792bf734332,
  0x0000000001045e81,
};

// t441_autobaud_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_dual_pr_ce[] = {
  0xfdddddddde7cd0e3, 0xddddddc3f0be357a, 0x9cb655862afddfbd, 0x65887b6eeecbb89c, 0xd2dcb66f42d9129f,
  0x82a90148cc13e324, 0x41b826c40c7ec991, 0x74f086df881850ac, 0x7066eaffcca2a927, 0xd37a8fb3b611c8e0,
  0xa04508e483810395, 0xbc313eb87c0aff31, 0x1fc4432f62179310, 0x0e784db7e2a10cb4, 0x4021c6216fb3bfe8,
  0xffa032982c0b10cc, 0x02a78385c5be14a5, 0xe107c05d1041e811, 0x6eaf68e15faa1b5f, 0x9dedfb1fd722a9f4,
  0xebb9b5c9d7e79797, 0x7dee7b965d3da99c, 0x6fc71c70206f6bd4, 0x408daf8e62c05c90, 0xb8e58cf1d7ba5bb7,
  0x74e5e6739bc74d7d, 0x8847fd939cef3c07, 0x7fcf020277aedf81, 0xd7f37807d4180ee4, 0xb7ca9bd4a7253a03,
  0x695849e87c2ba2fb, 0x36ca9c63b74bd551, 0x9726ae361f5abadf, 0x98f20669f1a2c9a1, 0xb41bf1b442d9b7d5,
  0x7584e32cd6433d30, 0x9e4afdcd0ccb0ecb, 0x0000029e4f4e7044,
};

// t441_autobaud_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart0_alt1_dual_pr_ee_ce[] = {
  0xafdddddddd43359b, 0xbbbbbbb87c17da0f, 0x6207c842a3fb609b, 0xa7bbb86793b75261, 0x72382d721b5d4671,
  0x48f3d7304f8c96c5, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x6eb3fccb3e833ba7, 0x4735bd84c31c19f2,
  0x847241c0818a49bd, 0x9f5c3e057f98d022, 0x432f62179310ea70, 0x30d68a8432d0a1f4, 0x310b735bffa039e1,
  0xe4c160588662010e, 0x385c5be16d6ffe64, 0x05d1041e81102a78, 0x8e15faa1b5fe107c, 0xfea8dc9a9f46eaf6,
  0x0df9e160184a3958, 0xc0a0a4ce75dcdaf3, 0xe6ef51e570180dda, 0xc80ae037a8f83660, 0xc65c709c370ebec1,
  0xd701efeb6006be96, 0x482bb7c88c6f9cea, 0x68d67cf6abd383af, 0xbd97753ce038ec6f, 0x7c90d51b04502700,
  0x3ba72f339cdfd3cd, 0x0c423fec9ce779e0, 0x23fe781013bd76fc, 0x1ebf9bc03ea0c077, 0xddbe54dea53929d0,
  0x8b4ac24f43e15d17, 0xf9b654e31dba5eaa, 0x2c9a18ddb0fad5d6, 0xb36fab337f07771a, 0x867a616837e36885,
  0x961d96eb09c659ac, 0x374a833c95fb9a19, 0x0000000000018886,
};

/*
 * t441_autobaud_uart1_noled_pr      t441_autobaud_uart1_noled_pr_u4   t841_autobaud_uart1_noled
 * t841_autobaud_uart1_noled_pr      t841_autobaud_uart1_noled_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart1_noled[] = {
  0xd63777777759bb37, 0xeeeeeeee963d4cbd, 0x07416cfddfebf7d2, 0x9b1c7eb436b7775b, 0xb304f8c9ddc77b98,
  0x90125f7ff3eecf9e, 0x05d00c7fa0440a9f, 0x3857ea86d7d0c7fc, 0xef96486a7d1babda, 0x1c70206693d47e78,
  0x8b016f74d07d67c7, 0xebc5cec90d1e3339, 0xfd856633dc72c608, 0xefce7976df81888e, 0x5df9bc7294180ee8,
  0x5f72eaa72f29b19e, 0xaa8b4b5f3d0f8574, 0xbadf36c01455ba5e, 0xe34593431bb61f5a, 0x42d9b7d598f2068f,
  0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0x0072e4d69e4afdcd, 0x0000000000000e22,
};

// t441_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart1_noled_pr_ee[] = {
  0xb1bbbbbbbbd8bf82, 0xf7777774b149f5a2, 0x16a6f1d8db377a7e, 0x90cc785fd7eeeeff, 0x2774c4eb4583656d,
  0xff6b267f024c13e3, 0xff4088153f20214b, 0x0dafa18ff80ba018, 0x14fa3757b470afd5, 0x4795ce307fb5a3f9,
  0x9c7d47c1b30637fd, 0x84e1b875f600fe2b, 0x67330035f4b632e3, 0x3a9673ab4bfc83ac, 0x55ae875e00cec4d2,
  0x701c761ed23a267b, 0xc672ffc02f65c396, 0x976df81888efd83a, 0xc7294180ee8efce7, 0xaa72f29b19e5df9b,
  0xb5f3d0f85745f72e, 0x6c01455ba5eaa8b4, 0x726ae361f5abadf3, 0x31e40eda1a2c9a19, 0x6837e36885b36fab,
  0xeb09c659ac867a61, 0x3c95fb9a19961d96, 0x000000c41f1b643f,
};

// t441_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart1_noled_pr_ce[] = {
  0xc6eeeeeeef62bd3a, 0xddddddd2c42242fa, 0x26a18dbf16a6f70a, 0x8eec7b11ddddf5fe, 0x3e32775ebe9fbfa7,
  0x54aff6b267d2b4c1, 0x018ff4088153f202, 0xfd50dafa18ff80ba, 0x5ded4fa3757b470a, 0x5f9e5e5c1c402c7f,
  0x5d6b2673aee6d7b7, 0x081eb3d4727a7b96, 0x98b01722f411c71c, 0x8ebd1f3b08747ac3, 0x748299e5403ff667,
  0x111dfb1aa920796b, 0x1dd1df9cf2edbf03, 0x633cbbf378e52830, 0x0ae8bee5d54e5e53, 0x74bd551696be7a1f,
  0x7d6aeb7cdb00463b, 0x868b26865c9ab8d8, 0x216cdbeacc7903b6, 0x6b219e985a0df8da, 0x86658765bac27196,
  0x095a990fcf257ee6, 0x0000000000000b3f,
};

// t441_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart1_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88a80b, 0xf7777774b1ea7516, 0x2f7aed2d68313b4c, 0x45066164917776dc, 0x4eed89d466d38d2b,
  0xfdc039fe9f9827c6, 0xf4088153f202757f, 0xdafa18ff80ba018f, 0x4fa3757b470afd50, 0xeb4852ec7f5461ed,
  0x3aee6d7adffcf2f2, 0x5e9406ed6051f267, 0xd47c1b307917d479, 0x0dc3afb07202bd2b, 0xd801afa5b1971c27,
  0xc8f9e39d5ae014fa, 0x6abd383af4353b5a, 0xe701c76043a3d64f, 0x1b04502700bd96cb, 0x4477ece9ec66a695,
  0x77477e73cbb6fc0c, 0x8cf2efcde394a0c0, 0x2ba2fb975539794d, 0xd2f5545a5af9e87c, 0xf5abadf36c0118ed,
  0x1a2c9a19726ae361, 0x85b36fab31e40fca, 0xac867a616837e368, 0x19961d96eb09c659, 0xbc6338773c95fb9a,
  0x0000000000000159,
};

/*
 * t441_autobaud_uart1_lednop_pr     t441_autobaud_uart1_lednop_pr_u4  t841_autobaud_uart1_lednop
 * t841_autobaud_uart1_lednop_pr     t841_autobaud_uart1_lednop_pr_u4
 */
static const uint64_t ur_t441_autobaud_uart1_lednop[] = {
  0xd63777777759bb37, 0xeeeeeeee963d4f9b, 0x5b07416f07d5b7d2, 0x313638fd69b3f777, 0x1ee609f193bb8ef7,
  0x3f202775ffcfbb3f, 0xf80ba018ff408815, 0xb470afd50dafa18f, 0xf1df2c90d4fa3757, 0x8e38e040cd27a8e4,
  0x398b016f74d07f9e, 0x11d78b9d838a3905, 0x3bf6158a0fb8e58c, 0x3c0809e5db7e0622, 0xf9bcb750603ba3bf,
  0xe54dea53929d025d, 0xfb87514085a7017b, 0x5d6f9b69e87c2ba2, 0xf1a2c9a18ddb0fad, 0x216cdbeacc790347,
  0x6b219e985a0df8da, 0x86658765bac27196, 0x0039726b4f257ee6, 0x0000000000000711,
};

// t441_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart1_lednop_pr_ee[] = {
  0x56377777777b1762, 0x9eeeeeee96293e6c, 0xf16b429ba86d2f46, 0x06763f85fd7eeeef, 0xc9dde4bab8d1d9bb,
  0xbfdac99fdf7304f8, 0x3fd022054fc808a7, 0x436be863fe02e806, 0x453e8dd5ed1c2bf5, 0x51e567ac1fed68fe,
  0xcf5f51f06cc18dff, 0xe1386e1d7d803f8a, 0x19ccc00d7d2d8cb8, 0x8ebf9cead2f370eb, 0xaad743af00676b86,
  0xe038ec35f231f73d, 0x4165ff805ecb872c, 0x5db7e06223bf60ea, 0x0603ba3bf3c0809e, 0xc94e812efcde01f5,
  0x0ae8beedf2a6f529, 0xd2f5545a56127a1f, 0xeb575be6d953a2ad, 0x34593432e4d5c6c3, 0x0b66df5663c81db4,
  0x590cf4c2d06fc6d1, 0x332c3b2dd6138cb3, 0x3f38c87e792bf734, 0x0000000000000188,
};

// t441_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart1_lednop_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c422353a, 0x130bea1f1f5a3504, 0x536f4c99eeeefaff, 0x9f193bb517469f91,
  0x1c9ffb5933f21e60, 0x00c7fa0440a9f901, 0x7ea86d7d0c7fc05d, 0xaef6a7d1babda385, 0x6fcf2f2e0e75163f,
  0x2eb59339d7736bc5, 0x040f59ea3f493dcb, 0xe62c057bed68e38e, 0x8ebd1f3b60b4690c, 0xb8389a45403ff667,
  0xc4477ec4d5f03cb5, 0x77e781013cbb6fc0, 0x5df9bc03ea0c0774, 0xdbe54dea53929d02, 0xb4ac24f43e15d17d,
  0x9b654e31dba5eaa8, 0xcb93571b0fad5d6f, 0x598f2076d0d164d0, 0x0b41bf1b442d9b7d, 0xb7584e32cd6433d3,
  0xf9e4afdcd0ccb0ec, 0x00000167e139f321,
};

// t441_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x58dddddddd444375, 0x3bbbbbba58f5323f, 0x17d457ae6c725d58, 0x719fb0b248bbbb6e, 0x2774376e4e6c4625,
  0xfee01cf8cdcc13e3, 0xfd022054fc80816b, 0x36be863fe02e8063, 0x53e8dd5ed1c2bf54, 0xbad229eb1fd5187b,
  0xcebb9b5d0fbf3cbc, 0xac2781bb58147c99, 0xea3e0d983c8bea3c, 0x0dc3afb07202b09f, 0xd801afa5b1971c27,
  0xe8c9e39d5ae100fa, 0xd57a7075e86a7683, 0x380e3b182d1a439e, 0xd822813805ecb65f, 0x477ece9e90533ca8,
  0xe781013cbb6fc0c4, 0xf9bc03ea0c077477, 0xe54dea53929d025d, 0xac24f43e15d17ddb, 0x654e31dba5eaa8b4,
  0x93571b0fad5d6f9b, 0x8f207e50d164d0cb, 0x41bf1b442d9b7d59, 0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7,
  0x0000159bc219c3b9,
};

// t441_autobaud_uart1_dual_pr       t441_autobaud_uart1_dual_pr_u4
static const uint64_t ur_t441_autobaud_uart1_dual[] = {
  0x7eeeeeeeef3e704a, 0xeeeeeee1ff1e75bd, 0x505586b129cb421e, 0x2a7114edddd23fc9, 0x69772b9dbbf75dfb,
  0x3055239bf304f8c9, 0x883704d8818fd932, 0xee9e10dbf1030a15, 0x1812695df9945524, 0x4b37a8e52f60c14e,
  0x1a04508e48381037, 0x862013eb87c0aff3, 0xa07aa2197b10bc98, 0xa039e13029150865, 0x3100871885b94bff,
  0x95fe80ca60b02c43, 0x31fe81102a7e404a, 0xaa1b5f431ff01740, 0xe1a9f46eaf68e15f, 0x81e0bf51def3be5a,
  0xb44cda54431c71c0, 0x1bb6f68d679cc580, 0x2d500ffd9823af7e, 0xbe29c81e59edf3d5, 0xcef3c0774e5e6739,
  0x976df81888efd939, 0x4180ee8efcf02027, 0x7253a04bbf37807d, 0xc2ba2fbb7ca9bd4a, 0x74bd551695849e87,
  0xfad5d6f9b654e8ab, 0x8d164d0cb93571b0, 0x16cdbeacc790334f, 0xb219e985a0df8da2, 0x6658765bac271966,
  0x1d178224f257ee68, 0x000000000001559b,
};

// t441_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_t441_autobaud_uart1_dual_pr_ee[] = {
  0x5fbbbbbbba865c93, 0xdddddddc3ec8201f, 0x82ae7517c6add9bd, 0x85ac5ec7fd3dd294, 0x75ca6d37226f27dd,
  0x15481544c13e3262, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0xf93620fccb3e833b, 0x9bd470d1b0d34707,
  0x04508e4838103b1f, 0x8913eb87c0aff31a, 0x3c8865ec42f26200, 0x9e131c38a8432d05, 0x0871885b868ffa03,
  0xf327260b02c43310, 0xd022054fc809d5ff, 0x6be863fe02e8063f, 0x3e8dd5ed1c2bf543, 0xcaea541fed68fba5,
  0x5ea3e0d98397dea3, 0xe1b875f600fe2ba9, 0x330035f4b632e384, 0x7ce756970f63a10f, 0xba1d7a415dbe4463,
  0x71d8ded1acf9ed56, 0x97fe017b2eea79c0, 0xf1c5b5f243546c11, 0x3bcf01dd39799ce6, 0x5db7e06223bf64e7,
  0x0603ba3bf3c0809e, 0xc94e812efcde01f5, 0x0ae8beedf2a6f529, 0xd2f5545a56127a1f, 0xeb575be6d953a2ad,
  0x1ddc68b2686376c3, 0x8da216cdbeaccdfc, 0x1966b219e985a0df, 0xee686658765bac27, 0x208bd7652a0cf257,
};

// t441_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_t441_autobaud_uart1_dual_pr_ce[] = {
  0xafdddddddde7ce7c, 0xdddddddc3f50cb17, 0x25a8e73621d7da2f, 0xed3ed5f6eee89132, 0xfd3b9210ef763f33,
  0x182a91e729827c64, 0xc41b826c40c7ec99, 0x774f086df881850a, 0x3abe6a1ffcca2a92, 0xea6f51e396c0e09c,
  0x3408a11c90702076, 0x1cb427d70f815fe6, 0x05f68865ec42f262, 0x039e1307b8a8432d, 0x100871885bc72ffa,
  0xbfe80ca60b02c433, 0x1fe81102a7e40460, 0xa1b5f431ff017403, 0x0a9f46eaf68e15fa, 0x9e5e5e76fe58feb1,
  0xbfcce75dcdafd3ff, 0xaffea38f93dcb2ea, 0x016717be38e38103, 0xfc376ded1acf398b, 0xaa5aa01ffb33c75e,
  0x9cdf14e40f2d6ee7, 0x9ce779e03ba72f33, 0x13cbb6fc0c4477ec, 0x3ea0c077477e7810, 0xa53929d025df9bc0,
  0x43e15d17ddbe54de, 0x1dba5eaa8b4ac24f, 0xb0fad5d6f9b654e3, 0x4f8d164d0cb93571, 0xa216cdbeacc79033,
  0x66b219e985a0df8d, 0x686658765bac2719, 0x793e738224f257ee, 0x000000000000000a,
};

// t441_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_autobaud_uart1_dual_pr_ee_ce[] = {
  0xafdddddddd435202, 0xdddddddc3fe3c1f7, 0x2d48435df5ad19cd, 0xf7089f8bd19eece2, 0x72518ed5efcd7c89,
  0x484f2f304f8c969d, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x6e5afccb3e833ba7, 0x47c6ed87609c2f0e,
  0x08e48381036bb9bd, 0x3eb87c0aff31a045, 0x0cbd885e4c415d71, 0x6d9d150865a04e91, 0x6216f8ddff4073c2,
  0xc982c0b10cc4021c, 0x40a9f90134d7fcc9, 0x0c7fc05d00c7fa04, 0xbabda3857ea86d7d, 0x8e563faa3726a7d1,
  0x36bcc37e78580612, 0x0376b02829339d77, 0x0d9839bbd4795c06, 0xafb07202b80dea3e, 0xafa5b1971c270dc3,
  0xe73ab5c07bfad801, 0xe0ebd20aedf2231b, 0x3b1bda359f3daaf4, 0x09c02f65dd4f380e, 0xf4f35f243546c114,
  0xde780ee9cbcce737, 0xedbf03111dfb2739, 0x301dd1df9e0404f2, 0x4a740977e6f00fa8, 0x5745f76f9537a94e,
  0x97aaa2d2b093d0f8, 0xb575be6d9538c76e, 0xddc68b2686376c3e, 0xda216cdbeaccdfc1, 0x966b219e985a0df8,
  0xe686658765bac271, 0x2203cbd2a0cf257e, 0x0000000000000006,
};

/*
 * t441_u1x8_uart0_noled_pr          t441_u1x8_uart0_noled_pr_u4       t841_u1x8_uart0_noled
 * t841_u1x8_uart0_noled_pr          t841_u1x8_uart0_noled_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart0_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c29cdeb, 0x5ff839b5e17b5a6e, 0xa84d9febf7774610, 0x09f193bb98e8dbc2,
  0x0be4ffe7dd9f0526, 0x10ed15bfb4a0adec, 0x20682fd47e80ef96, 0x6594cb5ee1c71c70, 0xf3b08747ac398b01,
  0x9e5403ff6608ebd1, 0xc6aa481e59edc829, 0xe73bd76fc0c423fe, 0xfcde394a0c07723f, 0xb975539794d8cef5,
  0x45a5af9e87c2ba2f, 0x6f9b600a2add2f55, 0xa2c9a18ddb0fad5d, 0x6cdbeacc790347f1, 0x219e985a0df8da21,
  0x658765bac271966b, 0x8df26b4f257ee686, 0x0000000000001f21,
};

// t441_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f621391, 0xbbbbba58e17c7758, 0xc17f8f75e826b21b, 0x7b6d873416edf9cd, 0xeed91da17c970ab2,
  0xed64cf9c39827c64, 0x6fed282b7b024adf, 0xbea20ff6b460a345, 0xa8f83660d6bfa8f2, 0x370ebec01fc57d47,
  0x6006be96c65c709c, 0x8e75697050743ee6, 0xd0ebd0d4ed6b23e7, 0xc76043a3d64f6ab5, 0xcbff00bd96cbe701,
  0xb07178cd4d2a3608, 0xf9cef5dbf03108ff, 0x7f378e528301dc8f, 0xee5d54e5e53633bd, 0x51696be7a1f0ae8b,
  0x5be6d8028ab74bd5, 0x3432e4d5c6c3eb57, 0xdf5663c81db43459, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c,
  0xc87e792bf734332c, 0x00000000029f117c,
};

// t441_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_noled_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xbbbbbba58229bbeb, 0xfee277c4bf6d623b, 0xc80d7f1691777745, 0x9827c64eeb53df1e,
  0x605227ff3eecf87b, 0xd7a068adfda5056f, 0x1fe79797849efb1f, 0x5d63399cebb9b5ce, 0x40f19fa8e21e7b96,
  0xc580bd209f8e38e0, 0xebc5ced20a8f199c, 0xff60e9d3dc72c678, 0x1ff39debb7e06211, 0xdebf9bcb750603b9,
  0xd37aaeaa72f29b19, 0xf0ae8bee73663042, 0x6c3eb575be6da7a1, 0xe40d1fc68b268637, 0x37e36885b36fab31,
  0x09c659ac867a6168, 0x95fb9a19961d96eb, 0x00016eaa9dc9ad3c,
};

// t441_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xeeeeee962c28c856, 0xe485932e30cf5a5e, 0x60be0c9fb6ea451a, 0xddf23a69519e2f2b,
  0xdac99f95d304f8c9, 0xdfda5056f604c17f, 0x71d2d8fea8e4468a, 0x7736bcedfe797970, 0x2806ed60583f339d,
  0x3e0d983defd47958, 0xe1d7d839015829ea, 0x00d7d2d8cb8e1386, 0xea59cead71f27d6c, 0x5e9c1d78033b1348,
  0x01c761ed23a267b5, 0x33409c02f65c3967, 0xd76fc0c423fec326, 0x394a0c07723fe73b, 0x539794d8cef5fcde,
  0xaf9e87c2ba2fb975, 0xc0118edd2f5545a5, 0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x0000534fa4e643f3,
};

/*
 * t441_u1x8_uart0_lednop_pr         t441_u1x8_uart0_lednop_pr_u4      t841_u1x8_uart0_lednop
 * t841_u1x8_uart0_lednop_pr         t841_u1x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart0_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c28f256, 0xbff37e0e8735d7ee, 0x2b42f7ab6eee8c20, 0x13e32776c7ed4341,
  0x14ddffcfbb3e804c, 0x21da2b7f69415bd8, 0x40d05fa8f6b1df2c, 0xb2ca68877b8e38e0, 0xe76c168d219cc580,
  0x48a807fecc11d7a3, 0x626af81e59ed8713, 0x809debb7e06211ff, 0x01f50603b91ff3c0, 0xf529c94e80f5fcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0x76c3eb575be6d953, 0x1e40d1fc68b26863, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x000007c8739c9ad3,
};

// t441_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb7b15a91, 0xdddddd2c70ba9bac, 0xbe3b05e30ade833d, 0x40b8b0e682ddbf39, 0x2774d2e8412ed042,
  0xff6b267ca1cc13e3, 0x2b7f69415bd81487, 0x95f7507fb5a3051a, 0xbd47c1b306b5fd47, 0xe1b875f600fe2bee,
  0x330035f4b632e384, 0x3c73ab4ba003a1f7, 0x5d0ebd0d4ed07d19, 0x71d8c168d21cf6ab, 0x32ffc02f65b2f9c0,
  0xd838b90533ca8d82, 0x20277aedf818847f, 0x807d4180ee47fcf0, 0xbd4a7253a03d7f37, 0x9e87c2ba2fbb7ca9,
  0xe8ab74bd55169584, 0x71b0fad5d6f9b654, 0x076d0d164d0cb935, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b,
  0xfdcd0ccb0ecb7584, 0x014f83cbb21f9e4a,
};

// t441_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a737a, 0xbfdc4ef07d5b7d2e, 0x26c71fad367eeee8, 0xdcc13e327771dee6,
  0x7b02eebff9f767e3, 0xfebd03456fed282b, 0x5d7f3cbcbc2498d8, 0xb2eb19cce75dcdae, 0x02078cfd47aff3dc,
  0xcc580b70ea5c71c7, 0xe3af173b0fb47449, 0x8ffb074a6b71cb19, 0x9e0404ef5dbf0310, 0x407afe6f301dc8ff,
  0xa9f016a72452d5e7, 0x5745f74bf98c10b4, 0x1f5abadf36d3d0f8, 0x068fe34593431bb6, 0xf1b442d9b7d598f2,
  0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x016ea072e4d69e4a,
};

// t441_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xdddddd2c58514dd6, 0x6bee3bcc619eb4bd, 0x56c908327edba914, 0x93bbe474d2a33c5e,
  0x7fb5933e706609f1, 0x15bfb4a0adec0b67, 0xe0e256b1fd51c88d, 0x3aee6d79dbfcf2f2, 0xb4000ddac0b07e67,
  0xd47c1b307bdfa8f2, 0x0dc3afb07202b5f3, 0xd801afa5b1971c27, 0xd1d7f39d5ae3e4fa, 0xd57a7075e00cecb3,
  0x380e3b082d18fb9e, 0x283a04e017b2e1cb, 0xbd76fc0c423fec32, 0xa0c07723fe781013, 0xa7253a03d7f3796e,
  0xc10b4e02f7ca9bd4, 0xa7a1f0ae8bee1d18, 0x4d5c6c3eb575be6d, 0x3c81db434593432e, 0x06fc6d10b66df566,
  0x6138cb3590cf4c2d, 0x92bf734332c3b2dd, 0x0000a69f49cc87e7,
};

// t441_u1x8_uart0_dual_pr           t441_u1x8_uart0_dual_pr_u4
static const uint64_t ur_t441_u1x8_uart0_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f1c7d, 0x69eac1fa61bb4dd6, 0xac4e4e837bbba56c, 0x64bd3b97dad3b458,
  0x4c8c1548eb39827c, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0x0e0bee628bf9954c, 0x0fba9bd478f7b07f,
  0xfcc6811423920e04, 0x26211c84fae1f02b, 0x32d0c8a8865ec42f, 0x7fd01cf098458a84, 0x219880438c42de03,
  0x2ea3fca095305816, 0x67b456fed282b7b0, 0x81d4bf51f7b3be59, 0xa9a9931b871c71c0, 0xdd843a313e731602,
  0x9acdc72c608ebdd2, 0x780ee9cbcce73795, 0xbf03108ffb2739de, 0x1dc8ff9e0404ef5d, 0x52d5e7407afe6f30,
  0x2810b4a9f016a724, 0x69e87c2ba2fba5fe, 0x93571b0fad5d6f9b, 0x8f207e50d164d0cb, 0x41bf1b442d9b7d59,
  0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x000000c439c9c3b9,
};

// t441_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeeebf6de7ce7c, 0xeeeeee1fb1e58bd7, 0xd4739b10ebed17ee, 0xbe26742f74489912, 0x421deec7e67da7da,
  0x3ce5304f8c9fa772, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x43ff9945524ee9e1, 0x3c72d81c138757cd,
  0x23920e040edd4dea, 0xfae1f02bfcc68114, 0x0cbd885e4c439684, 0x60f7150865a0bed1, 0x310b78e5ff4073c2,
  0x94c160588662010e, 0xa5056f604c17fd01, 0xc1fed68cf568adfd, 0x06cc1e49ea3cacc7, 0xafb007f1598ff51f,
  0xafa5b1971c270dc3, 0x5a5e441d3da99801, 0xf19e765ae8ed639d, 0xd22310f3daad743a, 0x00bd977bb380e3b1,
  0x799ce6f1d35f4bff, 0xff64e73bcf01dd39, 0xc0809debb7e06211, 0xde01f50603b91ff3, 0xa6f529c94e80f5fc,
  0x127a1f0ae8beedf2, 0x53a2add2f5545a56, 0xd5c6c3eb575be6d9, 0x40cd3e34593432e4, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x000c8539ce0893c9,
};

// t441_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_dual_pr_ce[] = {
  0x777775fb6f3e6d3a, 0x777770ff1f9c5ebf, 0xd9b13332d5b1ab77, 0xb29d96eeeae3e9c3, 0xbb928fed17e4c39d,
  0x2a90a919827c64d0, 0x1b826c40c7ec9918, 0x4f086df881850ac4, 0x5d35bafcca2a9277, 0x9bd4760bb0c08709,
  0x022847241c0819c3, 0x5d89f5c3e057f98d, 0x27a2197b10bc9883, 0x73c269c62a10cb40, 0x010e310b760bff40,
  0xfd0194c160588662, 0xadfda5056f605fbb, 0xcbcedfcb1fd62168, 0x9cebb9b5fa7ff3cb, 0xd471f27b965d57f9,
  0xe2f7c71c702075ff, 0xedbda359e731602c, 0x5403ff6678ebdf86, 0xe29c81e5addcf54b, 0xef3c0774e5e6739b,
  0xaedf818847fd939c, 0x180ee47fcf020277, 0x253a03d7f37807d4, 0x2ba2fbb7ca9bd4a7, 0x4bd551695849e87c,
  0x5abadf36ca9c63b7, 0xa2c9a19726ae361f, 0xd9b7d598f20669f1, 0x433d30b41bf1b442, 0xcb0ecb7584e32cd6,
  0x9f70449e4afdcd0c, 0x0000000000039eb3,
};

// t441_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_dual_pr_ee_ce[] = {
  0xafdddddd7eda86f9, 0x777777770fbaf0b7, 0xc3d947eb458b5087, 0xfeecabec9d33dd7a, 0x46e5c7fd1f8fe1ae,
  0x1548b24e609f1926, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0x8266bbfccb3e833b, 0x37a8fa6b60ff0e18,
  0x04508e4838103ff9, 0x0113eb87c0aff31a, 0xac8865ec42f26206, 0x9e1314b8a8432d0c, 0x0871885be9affa03,
  0xf327260b02c43310, 0xdfda5056f60543ff, 0x9472b1fd51b9368a, 0xb9b5e61bf3c2c030, 0x301bb58141499ceb,
  0xf06cc1cddea3cae0, 0x1d7d839015c06f51, 0x0d7d2d8cb8e1386e, 0xdf39d5ae03dfd6c0, 0xa7075e90576f9118,
  0x71d8ded1acf9ed57, 0xa04e017b2eea79c0, 0xbfa79af921aa3608, 0xcef3c0774e5e6739, 0x7aedf818847fd939,
  0x4180ee47fcf02027, 0x7253a03d7f37807d, 0xc2ba2fbb7ca9bd4a, 0x74bd551695849e87, 0xf5abadf36ca9c63b,
  0x0eee34593431bb61, 0xc6d10b66df5666fe, 0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x04c130869506792b,
};

/*
 * t441_u1x8_uart0_alt1_noled_pr     t441_u1x8_uart0_alt1_noled_pr_u4  t841_u1x8_uart0_alt1_noled
 * t841_u1x8_uart0_alt1_noled_pr     t841_u1x8_uart0_alt1_noled_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart0_alt1_noled[] = {
  0xdddddf721acdfc4f, 0xddddd2c0833c958d, 0xee6fc1d0e6bafddd, 0x685ef56dddd3c19e, 0x7c64eed8fda86825,
  0x9bbff9f767d00982, 0x69415bd811716f85, 0xfd01df2c21da2b7f, 0xc38e38e040d05fa8, 0x58731602cb2996bd,
  0xcc11d7a3e7610e8f, 0xb3db90533ca807fe, 0x818847fd8d54903c, 0x180ee47fce77aedf, 0x29b19debf9bc7294,
  0x0f85745f72eaa72f, 0x55ba5eaa8b4b5f3d, 0xb61f5abadf36c014, 0xf2068fe34593431b, 0x1bf1b442d9b7d598,
  0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75, 0x00003e439ce4d69e,
};

// t441_u1x8_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_noled_pr_ee[] = {
  0xbbbbbee437b15a91, 0x77774b0f20a6eb1b, 0x8ec178c2b7a0cf77, 0xe3d60922777c4bc9, 0xd34ba104bb410902,
  0xac99f287304f8c9d, 0x7b022e2df0b21ffd, 0xb460a3456fed282b, 0xd6bfa8f2bea20ff6, 0x1fc57d47a8f83660,
  0xc65c709c370ebec0, 0x50743ee66006be96, 0xed6b23e78e756970, 0xd64f6ab5d0ebd0d4, 0x96cbe701c76043a3,
  0x4d2a3608cbff00bd, 0xf03108ffb07178cd, 0x8301dc8ff9cef5db, 0xe53633bd7f378e52, 0xa1f0ae8bee5d54e5,
  0x8ab74bd551696be7, 0xc6c3eb575be6d802, 0x1db434593432e4d5, 0xc6d10b66df5663c8, 0x8cb3590cf4c2d06f,
  0xf734332c3b2dd613, 0x053e0f2ec87e792b,
};

// t441_u1x8_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_noled_pr_ce[] = {
  0xbbbbbbee4359bb37, 0xeeeee961ce5cdeb1, 0x785ef07d5b7d2eee, 0xc71fad367eeeecf7, 0xc13e327771dee626,
  0x85eebff9f767e3dc, 0x7f69415bd811716f, 0xe121f2c7f5e81a2b, 0x3aee6d774bf9e5e5, 0x3d4b9ee59758ce67,
  0x90e38e38103c67ea, 0x8946a0e731602934, 0x7b8e58cf1d78b9da, 0xdbf03108ffb075f8, 0xe6f301dc8ff9cef5,
  0x8c1a9b129fbe77af, 0xe8bee0818c10b4e4, 0xeb575be6da7a1f0a, 0xd1fc68b2686376c3, 0x36885b36fab31e40,
  0x659ac867a616837e, 0xb9a19961d96eb09c, 0x2dd40e5c9ad3c95f,
};

// t441_u1x8_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_noled_pr_ee_ce[] = {
  0xdddddf721bd8ad4e, 0xbbbba5810653758d, 0x1dc7798c33d697bb, 0xb64866b1b5bb4231, 0x9ddf23a69519e2f2,
  0xfdac99f383304f8c, 0x2b7b022e2df0bb3b, 0x7f547223456fed28, 0x1a3f3cbcb838516c, 0x58160fcce75dcdae,
  0x0f7bf51e560a01bb, 0x0e405710fa8f8366, 0xb632e384e1b875f6, 0xab5c3dff5b0035f4, 0xbc019dabfa3a9673,
  0x3ed1d133daaf4e0e, 0x017b2e1cb380e3b0, 0x3108ffb0c8e9a04e, 0x01dc8ff9cef5dbf0, 0x4d8cef5fcde5ba83,
  0x182169bd57553979, 0xd3d0f85745f739b3, 0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x0000534fa4e643f3,
};

/*
 * t441_u1x8_uart0_alt1_lednop_pr    t441_u1x8_uart0_alt1_lednop_pr_u4 t841_u1x8_uart0_alt1_lednop
 * t841_u1x8_uart0_alt1_lednop_pr    t841_u1x8_uart0_alt1_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart0_alt1_lednop[] = {
  0xdddddf721acdfebe, 0xbbbba5810648b58d, 0x4c9b070e2d1afbbb, 0xdbc8a66eeea7adb0, 0xf193bb0bf600240b,
  0x49ffcfbb3f2fa609, 0x4a0adec08b8b7c2e, 0x278ef96486d15bfb, 0x0471c70206693d47, 0x29cc580b7ba6c8bd,
  0x608ebc5ced52d1c8, 0x08ffb0ac905dc72c, 0xf9e0404ef5dbf031, 0xfe6f00fa8301dc8f, 0xf9537a94e4a7407a,
  0x2b093d0f85745f76, 0x6ca9d156e97aaa2d, 0x3431bb61f5abadf3, 0x7d598f2068fe3459, 0xd30b41bf1b442d9b,
  0xecb7584e32cd6433, 0x4d69e4afdcd0ccb0, 0x0000000007c869ce,
};

// t441_u1x8_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_lednop_pr_ee[] = {
  0xdddddf721bd8bf82, 0xddddd2c3c82d158d, 0x9bc7636cdde9fbdd, 0x8f582489ddf12f22, 0x989d68b06cadb219,
  0x64cfe049827c64ee, 0xd811716f85297fed, 0xa3051a2b7f69415b, 0xb5fd4795f7507fb5, 0xfe2beebd47c1b306,
  0x32e384e1b875f600, 0x03a1f7330035f4b6, 0xd07d193c73ab4ba0, 0x1cf6ab5d0ebd0d4e, 0xb2f9c071d8c168d2,
  0xca8d8232ffc02f65, 0x18847fd838b90533, 0x47fcf020277aedf8, 0x3d7f37807d4180ee, 0xbb7ca9bd4a7253a0,
  0x1695849e87c2ba2f, 0xf9b654e8ab74bd55, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x0000000014f98db2,
};

// t441_u1x8_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_lednop_pr_ce[] = {
  0x77777dc86f62d214, 0xdddd2c39c8b8d637, 0xbf4bb3da9ee3bddd, 0x8fad37775227d7ed, 0x4eec33d2b6d1617f,
  0xfed64cfd4a9827c6, 0x15bd811716f8531f, 0x2c7f5deda2b7f694, 0xd78adf9e5e5c1cea, 0x7b965d6b2673aee6,
  0xc71c081eb3d47e92, 0xd219cc580af7dad1, 0xeccf1d7a3e76c168, 0x796b7071348a807f, 0xdf818847fd89abe0,
  0x0ee47fcf020277ae, 0x3a03d7f37807d418, 0xa2fbb7ca9bd4a725, 0xd551695849e87c2b, 0xbadf36ca9c63b74b,
  0xc9a19726ae361f5a, 0x36fab31e40eda1a2, 0x67a616837e36885b, 0x61d96eb09c659ac8, 0x4643f3c95fb9a199,
  0x0000000000016ea6,
};

// t441_u1x8_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_lednop_pr_ee_ce[] = {
  0xbbbbbbee437b1762, 0xbbbbba58106c2ab1, 0x23af4e17b4bd1a7b, 0x0cd68cd636b76846, 0x93bbc97571a3b376,
  0x7fb5933e4ea609f1, 0x056f6045c5be162b, 0x8fea8e4468adfda5, 0xa6dfe79797073f75, 0xd60583f339d7736b,
  0x07bdfa8f2b97c06e, 0x07202bf93d47c1b3, 0x5b1971c270dc3afb, 0xd5ae131fad801afa, 0x5e00cedcf236be39,
  0x6b119a49ed57a707, 0x805ecb872ce038ec, 0x18847fd864534813, 0x47fcf020277aedf8, 0xaf3a03d7f37980ee,
  0x85a54f80b5392296, 0x87c2ba2fba5fcc60, 0x71b0fad5d6f9b69e, 0x076d0d164d0cb935, 0xf1b442d9b7d598f2,
  0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x0029a7ce321f9e4a,
};

static const uint64_t ur_t441_u1x8_uart0_alt1_dual[] = {
  0xfbbbbba6d6a22a20, 0xbbbbbbb87c623bf5, 0xa0bb06d60bd6d69d, 0xa29c1bb276eee9bb, 0x9f193855c95f6ec6,
  0xfd93230552092a60, 0x30a15883704d8818, 0x53344ee9e10dbf10, 0x54a387ee992b7e65, 0x040c3dcdea3c06d8,
  0x2bfcc6811423920e, 0x2f26209684fae1f0, 0x4219683de8865ec4, 0xc9ffd01cf0986fc5, 0x16219880438c42dd,
  0xf8532bfca0953058, 0xb7f69415bd811716, 0xf51c6f9df2cb3da2, 0xf208b1c71c081d4b, 0x236be398b0154d4d,
  0x39630475ee96edcf, 0x39799ce6f2b105ee, 0x11ff64e73bcf01dd, 0xf3c0809debb7e062, 0xbf9bcb750603b91f,
  0xbe54dea53929d01e, 0x2fb87514085a7017, 0xd5d6f9b69e87c2ba, 0xdc5f84b93571b0fa, 0xf4c2d06fc6d10b66,
  0x3b2dd6138cb3590c, 0x70ee792bf734332c, 0x00000000196f8e2e,
};

// t441_u1x8_uart0_alt1_dual_pr_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_dual_pr[] = {
  0x777774dade7ccc7f, 0x7777770f8c69debf, 0x5283741b3adaafb7, 0x402b276eeed0b23e, 0xd8b967deb3e51f41,
  0x60aa41254c13e324, 0x106e09b1031fb264, 0xdd3c21b7e206142b, 0x243cc5d7f328aa49, 0xee6f51dc9ec3e71c,
  0x3408a11c9070206b, 0x1bb427d70f815fe6, 0x82f88865ec42f262, 0x80e784cf7c542196, 0xc4021c6216ee4ffe,
  0x57fa032982c0b10c, 0x282b7b022e2df0a6, 0xef3be5ae1b456fed, 0x31c71c081e0bf51d, 0x79cc580b44cda544,
  0x823af7e1bb6f68d6, 0x9edf3d52d500ffd9, 0xe5e6739be29c81e5, 0x47fd939cef3c0774, 0xcf020277aedf8188,
  0xf37807d4180ee47f, 0xca9bd4a7253a03d7, 0x5849e87c2ba2fbb7, 0x654e8ab74bd55169, 0x93571b0fad5d6f9b,
  0x790334f8d164d0cb, 0x0df8da216cdbeacc, 0xc271966b219e985a, 0x257ee686658765ba, 0x000006218c78224f,
};

// t441_u1x8_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_dual_pr_ee[] = {
  0xf777774dade7ce7c, 0x7777770fbd34e5eb, 0x3dd943d875f68bf7, 0xf65aa000837519b3, 0xdc90877bb1f99f69,
  0xa911f74c13e327c8, 0xb826c40c7ec99182, 0xf086df881850ac41, 0xa631ffcca2a92774, 0x7a8e4eb60968e016,
  0x4508e48381038ad3, 0xa13eb87c0aff31a0, 0xe4432f62179310e5, 0x784cfe454219687e, 0x438c42dfa7ffe80e,
  0x4065305816219880, 0xdec08b8b7c2eceff, 0xad19ead15bfb4a0a, 0x3c93d479598f83fd, 0x07f15f75ea3e0d98,
  0xb1971c270dc3afb0, 0xf51d3da99801afa5, 0x7683e8ed639d5a5c, 0x10f3daad743af19e, 0x2ef76701c76305a3,
  0xe6f1d20b97fe017b, 0xe73bcf01dd39799c, 0x9debb7e06211ff64, 0x750603b91ff3c080, 0xa53929d01ebf9bcb,
  0x14085a7017be54de, 0xb69e87c2ba2fb875, 0xb93571b0fad5d6f9, 0xc790334f8d164d0c, 0xa0df8da216cdbeac,
  0xac271966b219e985, 0xf257ee686658765b, 0x000003214e738224,
};

// t441_u1x8_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_dual_pr_ce[] = {
  0x777774dade7c4541, 0x777770ffa5499ebf, 0x10f629c58b7aef77, 0x39586dddda662467, 0x82e416db9d87c5a9,
  0x05521d51304f8c90, 0x83704d8818fd9323, 0xe9e10dbf1030a158, 0xa6e68adf9945524e, 0x737a8f95b61bece1,
  0xa04508e483810328, 0x0a413eb87c0aff31, 0x36fa2197b10bc988, 0x073c263d62a10cb4, 0x2010e310b7cadff4,
  0xbfd0194c16058866, 0x82b7b022e2df0bf3, 0xe58feb10b456fed2, 0xdafd3ff9e5e5e76f, 0x3dcb2eabfcce75dc,
  0x8e38103affea38f9, 0xacf398b016717be3, 0xb33c75efc376ded1, 0xf2d6ee7aa5aa01ff, 0xba72f339cdf14e40,
  0xc423fec9ce779e03, 0x3fe781013bd76fc0, 0xebf9bc03ea0c0772, 0xdbe54dea53929d01, 0xb4ac24f43e15d17d,
  0x9b654e31dba5eaa8, 0xcb93571b0fad5d6f, 0xcc790334f8d164d0, 0x5a0df8da216cdbea, 0xbac271966b219e98,
  0x4f257ee686658765, 0x0000039eb17ef822,
};

// t441_u1x8_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart0_alt1_dual_pr_ee_ce[] = {
  0xeeeeee9b5a8664d6, 0xeeeeeee1f195c7d7, 0x7105947ec5f41f6e, 0x66e8bc90583ba02a, 0xb975ef66d2591087,
  0x521d3a9827c64b33, 0x704d8818fd932305, 0xe10dbf1030a15883, 0x4c293f32cfa0cee9, 0xd47b5bd856f9c200,
  0x508e48381034db9b, 0x13eb87c0aff31a04, 0x8865ec42f2621dd6, 0x1329e8a8432d0b74, 0xe310b7b5bffa039e,
  0x4e4c160588662010, 0x6045c5be14c7ffe6, 0x1b9368adfda5056f, 0x3c2c0309472b1fd5, 0x1499cebb9b5e61bf,
  0xea3cae0301bb5814, 0x5c06f51f06cc1cdd, 0x8e1386e1d7d83901, 0x3dfd6c00d7d2d8cb, 0x76f9118df39d5ae0,
  0xcf9ed57a7075e905, 0xeea79c071d8ded1a, 0x1aa3608a04e017b2, 0xe5e6739bfa79af92, 0x47fd939cef3c0774,
  0xcf020277aedf8188, 0xf37807d4180ee47f, 0xca9bd4a7253a03d7, 0x5849e87c2ba2fbb7, 0xca9c63b74bd55169,
  0x431bb61f5abadf36, 0xf5666fe0eee34593, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf, 0x506792bf734332c3,
  0x0000000098215aa9,
};

/*
 * t441_u1x8_uart1_noled_pr          t441_u1x8_uart1_noled_pr_u4       t841_u1x8_uart1_noled
 * t841_u1x8_uart1_noled_pr          t841_u1x8_uart1_noled_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart1_noled[] = {
  0x1bbbbbb72d66fcc5, 0xeeeeee962c29cdeb, 0x5ff839b5e17b5a6e, 0xa84d9febf7774610, 0x09f193bb98e8dbc2,
  0x0be4ffe7dd9f0526, 0x10e8cdbfb48e2dec, 0x20682fd47e80ef96, 0x6594cb5ee1c71c70, 0xf3b08747ac398b01,
  0x9e5403ff6608ebd1, 0xc6aa481e59edc829, 0xe73cbb6fc0c4477e, 0xfcde394a0c077477, 0xb975539794d8cf2e,
  0x45a5af9e87c2ba2f, 0x6f9b600a2add2f55, 0xa2c9a18ddb0fad5d, 0x6cdbeacc790347f1, 0x219e985a0df8da21,
  0x658765bac271966b, 0x8df26b4f257ee686, 0x0000000000001f21,
};

// t441_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart1_noled_pr_ee[] = {
  0xddddddb96f621391, 0xbbbbba58e17c7758, 0xc17f8f75e826b21b, 0x7b6d873416edf9cd, 0xeed91da17c970ab2,
  0xed64cf9c39827c64, 0x6fed238b7b024adf, 0xbea20ff6b460a233, 0xa8f83660d6bfa8f2, 0x370ebec01fc57d47,
  0x6006be96c65c709c, 0x8e75697050743ee6, 0xd0ebd0d4ed6b23e7, 0xc76043a3d64f6ab5, 0xcbff00bd96cbe701,
  0xb07178cd4d2a3608, 0xf9cf2edbf03111df, 0xbf378e528301dd1d, 0xee5d54e5e53633cb, 0x51696be7a1f0ae8b,
  0x5be6d8028ab74bd5, 0x3432e4d5c6c3eb57, 0xdf5663c81db43459, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c,
  0xc87e792bf734332c, 0x00000000029f117c,
};

// t441_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart1_noled_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xbbbbbba58229bbeb, 0xfee277c4bf6d623b, 0xc80d7f1691777745, 0x9827c64eeb53df1e,
  0x605227ff3eecf87b, 0xd7a0466dfda4716f, 0x1fe79797849efb1f, 0x5d63399cebb9b5ce, 0x40f19fa8e21e7b96,
  0xc580bd209f8e38e0, 0xebc5ced20a8f199c, 0xbf60e9d3dc72c678, 0x3bf39e5db7e06223, 0xe5df9bcb750603ba,
  0xd37aaeaa72f29b19, 0xf0ae8bee73663042, 0x6c3eb575be6da7a1, 0xe40d1fc68b268637, 0x37e36885b36fab31,
  0x09c659ac867a6168, 0x95fb9a19961d96eb, 0x00016eaa9dc9ad3c,
};

// t441_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart1_noled_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xeeeeee962c28c856, 0xe485932e30cf5a5e, 0x60be0c9fb6ea451a, 0xddf23a69519e2f2b,
  0xdac99f95d304f8c9, 0xdfda4716f604c17f, 0x71d2d8fea8e44466, 0x7736bcedfe797970, 0x2806ed60583f339d,
  0x3e0d983defd47958, 0xe1d7d839015829ea, 0x00d7d2d8cb8e1386, 0xea59cead71f27d6c, 0x5e9c1d78033b1348,
  0x01c761ed23a267b5, 0x33409c02f65c3967, 0xbb6fc0c4477ec326, 0x394a0c077477e73c, 0x539794d8cf2efcde,
  0xaf9e87c2ba2fb975, 0xc0118edd2f5545a5, 0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x0000534fa4e643f3,
};

/*
 * t441_u1x8_uart1_lednop_pr         t441_u1x8_uart1_lednop_pr_u4      t841_u1x8_uart1_lednop
 * t841_u1x8_uart1_lednop_pr         t841_u1x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x8_uart1_lednop[] = {
  0x3777776e5acdfc4f, 0xeeeeee962c28f256, 0xbff37e0e8735d7ee, 0x2b42f7ab6eee8c20, 0x13e32776c7ed4341,
  0x14ddffcfbb3e804c, 0x21d19b7f691c5bd8, 0x40d05fa8f6b1df2c, 0xb2ca68877b8e38e0, 0xe76c168d219cc580,
  0x48a807fecc11d7a3, 0x626af81e59ed8713, 0x809e5db7e06223bf, 0x01f50603ba3bf3c0, 0xf529c94e812efcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0x76c3eb575be6d953, 0x1e40d1fc68b26863, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x000007c8739c9ad3,
};

// t441_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart1_lednop_pr_ee[] = {
  0x6eeeeedcb7b15a91, 0xdddddd2c70ba9bac, 0xbe3b05e30ade833d, 0x40b8b0e682ddbf39, 0x2774d2e8412ed042,
  0xff6b267ca1cc13e3, 0x9b7f691c5bd81487, 0x95f7507fb5a30511, 0xbd47c1b306b5fd47, 0xe1b875f600fe2bee,
  0x330035f4b632e384, 0x3c73ab4ba003a1f7, 0x5d0ebd0d4ed07d19, 0x71d8c168d21cf6ab, 0x32ffc02f65b2f9c0,
  0xd838b90533ca8d82, 0x2027976df81888ef, 0x807d4180ee8efcf0, 0xbd4a7253a04bbf37, 0x9e87c2ba2fbb7ca9,
  0xe8ab74bd55169584, 0x71b0fad5d6f9b654, 0x076d0d164d0cb935, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b,
  0xfdcd0ccb0ecb7584, 0x014f83cbb21f9e4a,
};

// t441_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart1_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a737a, 0xbfdc4ef07d5b7d2e, 0x26c71fad367eeee8, 0xdcc13e327771dee6,
  0x7b02eebff9f767e3, 0xfebd02336fed238b, 0x5d7f3cbcbc2498d8, 0xb2eb19cce75dcdae, 0x02078cfd47aff3dc,
  0xcc580b70ea5c71c7, 0xe3af173b0fb47449, 0x1dfb074a6b71cb19, 0x9e0404f2edbf0311, 0x40977e6f301dd1df,
  0xa9f016a72452d5e7, 0x5745f74bf98c10b4, 0x1f5abadf36d3d0f8, 0x068fe34593431bb6, 0xf1b442d9b7d598f2,
  0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x016ea072e4d69e4a,
};

// t441_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x3777776e5bd8ad4e, 0xdddddd2c58514dd6, 0x6bee3bcc619eb4bd, 0x56c908327edba914, 0x93bbe474d2a33c5e,
  0x7fb5933e706609f1, 0xcdbfb48e2dec0b67, 0xe0e256b1fd51c888, 0x3aee6d79dbfcf2f2, 0xb4000ddac0b07e67,
  0xd47c1b307bdfa8f2, 0x0dc3afb07202b5f3, 0xd801afa5b1971c27, 0xd1d7f39d5ae3e4fa, 0xd57a7075e00cecb3,
  0x380e3b082d18fb9e, 0x283a04e017b2e1cb, 0xcbb6fc0c4477ec32, 0xa0c077477e781013, 0xa7253a04bbf3796e,
  0xc10b4e02f7ca9bd4, 0xa7a1f0ae8bee1d18, 0x4d5c6c3eb575be6d, 0x3c81db434593432e, 0x06fc6d10b66df566,
  0x6138cb3590cf4c2d, 0x92bf734332c3b2dd, 0x0000a69f49cc87e7,
};

// t441_u1x8_uart1_dual_pr           t441_u1x8_uart1_dual_pr_u4
static const uint64_t ur_t441_u1x8_uart1_dual[] = {
  0x7eeeeeebf6d44511, 0xeeeeeee1f75f1c7d, 0x69eac1fa61bb4dd6, 0xac4e4e837bbba56c, 0x64bd3b97dad3b458,
  0x4c8c1548eb39827c, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0x0e0bee628bf9954c, 0x0fba9bd478f7b07f,
  0xfcc6811423920e04, 0x26211c84fae1f02b, 0x32d0c8a8865ec42f, 0x7fd01cf098458a84, 0x219880438c42de03,
  0x2ea3fca095305816, 0x67a336fed238b7b0, 0x81d4bf51f7b3be59, 0xa9a9931b871c71c0, 0xdd843a313e731602,
  0x9acdc72c608ebdd2, 0x780ee9cbcce73795, 0xbf03111dfb2739de, 0x1dd1df9e0404f2ed, 0x52d5e740977e6f30,
  0x2810b4a9f016a724, 0x69e87c2ba2fba5fe, 0x93571b0fad5d6f9b, 0x8f207e50d164d0cb, 0x41bf1b442d9b7d59,
  0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x000000c439c9c3b9,
};

// t441_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_t441_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeeebf6de7ce7c, 0xeeeeee1fb1e58bd7, 0xd4739b10ebed17ee, 0xbe26742f74489912, 0x421deec7e67da7da,
  0x3ce5304f8c9fa772, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x43ff9945524ee9e1, 0x3c72d81c138757cd,
  0x23920e040edd4dea, 0xfae1f02bfcc68114, 0x0cbd885e4c439684, 0x60f7150865a0bed1, 0x310b78e5ff4073c2,
  0x94c160588662010e, 0xa4716f604c17fd01, 0xc1fed68cf5466dfd, 0x06cc1e49ea3cacc7, 0xafb007f1598ff51f,
  0xafa5b1971c270dc3, 0x5a5e441d3da99801, 0xf19e765ae8ed639d, 0xd22310f3daad743a, 0x00bd977bb380e3b1,
  0x799ce6f1d35f4bff, 0xbf64e73bcf01dd39, 0xc0809e5db7e06223, 0xde01f50603ba3bf3, 0xa6f529c94e812efc,
  0x127a1f0ae8beedf2, 0x53a2add2f5545a56, 0xd5c6c3eb575be6d9, 0x40cd3e34593432e4, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x000c8539ce0893c9,
};

// t441_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_t441_u1x8_uart1_dual_pr_ce[] = {
  0x777775fb6f3e6d3a, 0x777770ff1f9c5ebf, 0xd9b13332d5b1ab77, 0xb29d96eeeae3e9c3, 0xbb928fed17e4c39d,
  0x2a90a919827c64d0, 0x1b826c40c7ec9918, 0x4f086df881850ac4, 0x5d35bafcca2a9277, 0x9bd4760bb0c08709,
  0x022847241c0819c3, 0x5d89f5c3e057f98d, 0x27a2197b10bc9883, 0x73c269c62a10cb40, 0x010e310b760bff40,
  0xfd0194c160588662, 0x6dfda4716f605fbb, 0xcbcedfcb1fd62146, 0x9cebb9b5fa7ff3cb, 0xd471f27b965d57f9,
  0xe2f7c71c702075ff, 0xedbda359e731602c, 0x5403ff6678ebdf86, 0xe29c81e5addcf54b, 0xef3c0774e5e6739b,
  0x76df81888efd939c, 0x180ee8efcf020279, 0x253a04bbf37807d4, 0x2ba2fbb7ca9bd4a7, 0x4bd551695849e87c,
  0x5abadf36ca9c63b7, 0xa2c9a19726ae361f, 0xd9b7d598f20669f1, 0x433d30b41bf1b442, 0xcb0ecb7584e32cd6,
  0x9f70449e4afdcd0c, 0x0000000000039eb3,
};

// t441_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x8_uart1_dual_pr_ee_ce[] = {
  0xafdddddd7eda86f9, 0x777777770fbaf0b7, 0xc3d947eb458b5087, 0xfeecabec9d33dd7a, 0x46e5c7fd1f8fe1ae,
  0x1548b24e609f1926, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0x8266bbfccb3e833b, 0x37a8fa6b60ff0e18,
  0x04508e4838103ff9, 0x0113eb87c0aff31a, 0xac8865ec42f26206, 0x9e1314b8a8432d0c, 0x0871885be9affa03,
  0xf327260b02c43310, 0xdfda4716f60543ff, 0x9472b1fd51b93466, 0xb9b5e61bf3c2c030, 0x301bb58141499ceb,
  0xf06cc1cddea3cae0, 0x1d7d839015c06f51, 0x0d7d2d8cb8e1386e, 0xdf39d5ae03dfd6c0, 0xa7075e90576f9118,
  0x71d8ded1acf9ed57, 0xa04e017b2eea79c0, 0xbfa79af921aa3608, 0xcef3c0774e5e6739, 0x976df81888efd939,
  0x4180ee8efcf02027, 0x7253a04bbf37807d, 0xc2ba2fbb7ca9bd4a, 0x74bd551695849e87, 0xf5abadf36ca9c63b,
  0x0eee34593431bb61, 0xc6d10b66df5666fe, 0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x04c130869506792b,
};

/*
 * t441_u1x12_uart0_noled_pr         t441_u1x12_uart0_noled_pr_u4      t841_u1x12_uart0_noled
 * t841_u1x12_uart0_noled_pr         t841_u1x12_uart0_noled_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart0_noled[] = {
  0xeeeec49ddacdc49f, 0xbbbba587396cfac6, 0x377f89341de3fbbb, 0x5d08fdb777693fa9, 0xe3277417e9715a3c,
  0xf9ffcfbb3f38cc13, 0xbfdbce3f76e9e0e2, 0xa03be5843a9f46e1, 0x71c71c081a0bf51f, 0x0e62c0596532d7b8,
  0x823af47cec21d1eb, 0x7b720a679500ffd9, 0x3108ffb1aa920796, 0x01dc8ff9cef5dbf0, 0x3633bd7f378e5283,
  0xf0ae8bee5d54e5e5, 0xb74bd551696be7a1, 0xc3eb575be6d8028a, 0x40d1fc68b2686376, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x007c8749dc9ad3c9,
};

// t441_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12776f623f3e, 0x77774b087764eb1b, 0xa70bfd29b1a56f77, 0x03672e277583ecf6, 0xa47f682f4e5a30a8,
  0x5933e52e609f193b, 0x71fbb74f071d2ffb, 0xa30514fa370dfede, 0xb5fd4795f5107fb5, 0xfe2bea3d47c1b306,
  0x32e384e1b875f600, 0x83a1f7330035f4b6, 0x6b591f3c73ab4b82, 0xb27b55ae875e86a7, 0xb65f380e3b021d1e,
  0x6951b0465ff805ec, 0x818847fd838bc66a, 0x180ee47fce77aedf, 0x29b19debf9bc7294, 0x0f85745f72eaa72f,
  0x55ba5eaa8b4b5f3d, 0x361f5abadf36c014, 0xeda1a2c9a19726ae, 0x36885b36fab31e40, 0x659ac867a616837e,
  0xb9a19961d96eb09c, 0x29f05fb643f3c95f,
};

// t441_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569fe6f58, 0x1b4de0fab6fa5ddd, 0xc71fad367eeeeea4, 0xc13e327771dee626,
  0x1ceebff9f767e3dc, 0xdc37fb79c7eedd3c, 0x092d7b1fd7a053e8, 0xd7736bc87fcf2f2f, 0xb5f4f72cbac67339,
  0x6a38e38103c67ea3, 0x22333c731602f40f, 0xb8e58cf1d78b9d8d, 0xbf03108ffb0750d5, 0x92b01dc8ff9cef5d,
  0xab94a5f3bd7f3783, 0xc6085a7717f36ea5, 0xda7a1f0ae8bee33c, 0x686376c3eb575be6, 0xfab31e40d1fc68b2,
  0xa616837e36885b36, 0xd96eb09c659ac867, 0x9ad3c95fb9a19961, 0x000000002dd40e5c,
};

// t441_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8b562, 0xbbbba58739593ac6, 0xfad4fc79fbd867bb, 0xc6149ebbf375e475, 0x3bb4cf48fdc10666,
  0xfb5933e35a609f19, 0xde71fbb74f0734df, 0xfaa39114fa370dfe, 0xd1f9e5e5c1c28b63, 0xc0b07e673aee6d70,
  0x7bdfa8f2b0500dda, 0x7202b887d47c1b30, 0xb1971c270dc3afb0, 0x5ae1effad801afa5, 0xe00ced5fd1d4b39d,
  0xf68e899ed57a7075, 0x0bd970e59c071d81, 0x8847fd86474d0270, 0x0ee47fce77aedf81, 0x6c677afe6f2dd418,
  0xc10b4deabaa9cbca, 0x9e87c2ba2fb9cd98, 0x3571b0fad5d6f9b6, 0xf2076d0d164d0cb9, 0x1bf1b442d9b7d598,
  0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75, 0x0000534f4e321f9e,
};

/*
 * t441_u1x12_uart0_lednop_pr        t441_u1x12_uart0_lednop_pr_u4     t841_u1x12_uart0_lednop
 * t841_u1x12_uart0_lednop_pr        t841_u1x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e722f758, 0x9367eeff5fbe9777, 0xc7eb436b777693fa, 0x4f8c9ddc77b989b1,
  0x25f7ff3eecf9eb30, 0x0dfede71fbb74f07, 0xf6b1df2c21d4fa37, 0x7b8e38e040d05fa8, 0x219cc580b2ca6887,
  0xcc11d7a3e76c168d, 0x59ed871348a807fe, 0xe06211ff626af81e, 0xb91ff3c0809debb7, 0x80f5fcde01f50603,
  0xbeedf2a6f529c94e, 0x545a56127a1f0ae8, 0x5be6d953a2add2f5, 0x68b2686376c3eb57, 0x5b36fab31e40d1fc,
  0xc867a616837e3688, 0x9961d96eb09c659a, 0x0e5c9ad3c95fb9a1, 0x0000000000003e40,
};

// t441_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_lednop_pr_ee[] = {
  0xdddd893bb7b128ae, 0xddddd2c21d92158d, 0x936a7b6f17e9bbdd, 0x1fb39713bac1f67d, 0xbf4f6c889136104f,
  0x5933ea7a609f193b, 0x71fbb74f070baffb, 0xa30514fa370dfede, 0xb5fd4795f7507fb5, 0xfe2beebd47c1b306,
  0x32e384e1b875f600, 0x03a1f7330035f4b6, 0xd07d193c73ab4ba0, 0x1cf6ab5d0ebd0d4e, 0xb2f9c071d8c168d2,
  0xca8d8232ffc02f65, 0x18847fd838b90533, 0x47fcf020277aedf8, 0x3d7f37807d4180ee, 0xbb7ca9bd4a7253a0,
  0x1695849e87c2ba2f, 0xf9b654e8ab74bd55, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x000000014f8dc7b2,
};

// t441_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12776f62422f, 0xdddd2c569f802b1b, 0x3622916c7eb53ddd, 0x87e2f7776e270f93, 0x2774fde9b164731a,
  0xff6b267d7dcc13e3, 0xdbce3f76e9e0e47b, 0x58febbda9f46e1bf, 0xaf15bf3cbcb839d4, 0xf72cbad64ce75dcd,
  0x8e38103d67a8fd24, 0xa43398b015efb5a3, 0xd99e3af47ced82d1, 0xf2d6e0e2691500ff, 0xbf03108ffb1357c0,
  0x1dc8ff9e0404ef5d, 0x7407afe6f00fa830, 0x45f76f9537a94e4a, 0xaaa2d2b093d0f857, 0x75be6d9538c76e97,
  0x93432e4d5c6c3eb5, 0x6df5663c81db4345, 0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0x8c87e792bf734332,
  0x00000000000b755d,
};

// t441_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba5873961558, 0x5faf4e17b4bd1a7b, 0x19ad09ebbf375e47, 0x277792eae34766ec,
  0xff6b267c9d4c13e3, 0xdbce3f76e9e0e456, 0x7f5472229f46e1bf, 0xa6bf3cbcb838e4ec, 0x58160fcce75dcdaf,
  0x0f7bf51e573881bb, 0x0e4057927a8f8366, 0xb632e384e1b875f6, 0xab5c443f5b0035f4, 0xbc019db05a310e73,
  0x714720b3daaf4e0e, 0x05ecb872ce038ec0, 0x108ffb0c9ac48138, 0xff9e0404ef5dbf03, 0x3d7f378392b01dc8,
  0x8aca9dc594e5f3a0, 0xa2fbbeb3182169e1, 0xad5d6f9b69e87c2b, 0xd164d0cb93571b0f, 0x2d9b7d598f2076d0,
  0x6433d30b41bf1b44, 0xccb0ecb7584e32cd, 0x7ce321f9e4afdcd0, 0x000000000000029a,
};

static const uint64_t ur_t441_u1x12_uart0_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd286ef5f, 0x1313b92d86d015bb, 0x29c247777717bd7b, 0x2a6ee5f6b74b13b2,
  0x460aa4337e609f19, 0xb106e09b1031fb26, 0x9dd3c21b7e206142, 0x028b3393fccaa668, 0x654dea3bf9b05f67,
  0x63408a11c9070206, 0x100b427d70f815fe, 0x682d74432f621793, 0xd01cf09a0fc54219, 0xcc4021c6216efe7f,
  0xebfe504a982c0b10, 0xbfdbce3f76e9e0e1, 0xdf3be5967a9f46e1, 0x638e38103a97ea38, 0x8e62c0553534dd91,
  0x11d7ba5bb7408daf, 0xe737958d7db8e58c, 0x2739de780ee9cbcc, 0x04ef5dbf03108ffb, 0x0fa8301dc8ff9e04,
  0xa94e4a7407afe6f0, 0xd0f85745f76f9537, 0x156e97aaa2d2b093, 0x361f5abadf36ca9d, 0x216cdb8bf09726ae,
  0x6b219e985a0df8da, 0x86658765bac27196, 0xdfb74e1dcf257ee6, 0x0000000000000032,
};

// t441_u1x12_uart0_dual_pr_u4
static const uint64_t ur_t441_u1x12_uart0_dual_pr[] = {
  0xbbb7e307de7c4c7f, 0xbbb87fd2bd6f5fbb, 0xccc488f6d3adbbbb, 0xd13b777469b4529c, 0xcac5f635557b62b0,
  0x52292a609f192c85, 0x704d8818fd932305, 0xe10dbf1030a15883, 0x66387f9945524ee9, 0x7a8ffbb60958e0e9,
  0x4508e483810380d3, 0xc13eb87c0aff31a0, 0x222197b10bc9887f, 0x3c265af150865a19, 0x10e310b7fddff407,
  0xd0194c1605886620, 0xf38fddba7839b7ff, 0xf96b86a7d1b86ff6, 0xc7020782fd477bce, 0x1602d13369510c71,
  0xbdf86edbda359e73, 0xcf54b5403ff6608e, 0x9ce6f8a7207967b7, 0x64e73bcf01dd3979, 0x809debb7e06211ff,
  0x01f50603b91ff3c0, 0xf529c94e80f5fcde, 0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0xc6c3eb575be6d953,
  0xcd3e34593432e4d5, 0x36885b36fab31e40, 0x659ac867a616837e, 0xb9a19961d96eb09c, 0x018840ae0893c95f,
};

// t441_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_dual_pr_ee[] = {
  0xdddbf183ef3e43ee, 0xdddc3f8ece77afdd, 0xed1dadfbd1d7dddd, 0x0c6dd05ddb8302f7, 0x99a9aed3d62fd761,
  0x3d7304f8c9a6772c, 0xb1031fb26460aa43, 0xb7e206142b106e09, 0x7ff328aa49dd3c21, 0x70761d5e70a1f9ba,
  0xe4838103d9d37a8e, 0xb87c0aff31a04508, 0x2f6217931098613e, 0xc7c5421968145443, 0x42dc2d7fd01cf098,
  0x305816219880438c, 0x76e9e0e69bff4065, 0xaa9f46e1bfdbce3f, 0x51e5663e0ff6b467, 0x7dd7a8f83660f24f,
  0x709c370ebec01fc5, 0xf6a66006be96c65c, 0xa3b58e756973d474, 0x6ab5d0ebc679da0f, 0x9c071d8c168c43cf,
  0x482e5ff805ecbbdd, 0x3c0774e5e6739bc7, 0xdf818847fd939cef, 0x0ee47fcf020277ae, 0xa7407afe6f2dd418,
  0x69c05ef9537a94e4, 0x1f0ae8bee1d45021, 0xc6c3eb575be6da7a, 0xcd3e34593432e4d5, 0x36885b36fab31e40,
  0x659ac867a616837e, 0xb9a19961d96eb09c, 0xc853a4ee0893c95f,
};

// t441_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_dual_pr_ce[] = {
  0xbbb7e307de7c92df, 0xbbb87d88ecaf5fbb, 0x768dd33ed2c5bbbb, 0xcd3b7774c4c7157c, 0xdc913f6b44d84339,
  0x548eeb4c13e32682, 0xdc1362063f64c8c1, 0x78436fc40c285620, 0xa9b677e6515493ba, 0xdea3e04d84ae385b,
  0x11423920e040ca5c, 0xf84fae1f02bfcc68, 0xe910cbd885e4c410, 0xcf09b4a8a8432d0e, 0x0438c42df027fd01,
  0xf406530581621988, 0xbce3f76e9e0e256f, 0x8feb10a9f46e1bfd, 0xfd3ff9e5e5e76fe5, 0xcb2eabfcce75dcda,
  0x38103affea38f93d, 0xf398b016717be38e, 0x3c75efc376ded1ac, 0xd6ee7aa5aa01ffb3, 0x72f339cdf14e40f2,
  0x23fec9ce779e03ba, 0xe781013bd76fc0c4, 0xf9bc03ea0c07723f, 0xe54dea53929d01eb, 0xac24f43e15d17ddb,
  0x654e31dba5eaa8b4, 0x93571b0fad5d6f9b, 0x790334f8d164d0cb, 0x0df8da216cdbeacc, 0xc271966b219e985a,
  0x257ee686658765ba, 0x00039ebb1ff8224f,
};

// t441_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7776fc60fa869a4e, 0xbbbb87fd2f77ebf7, 0x9f55e9f7b87dbbbb, 0xd7c2b92eed8657c8, 0xafb7d71e1e4caef1,
  0xa2cc13e32605dcbe, 0xc40c7ec99182a90b, 0xdf881850ac41b826, 0xdf9967d06774f086, 0xfcd86203835dcc87,
  0x920e040c344dea3b, 0xe1f02bfcc6811423, 0x7b10bc9885d0c4fa, 0x162a10cb437da219, 0x16eff3fe80e784cc,
  0x82c0b10cc4021c62, 0x6e9e0e74fffcc9c9, 0xa9f46e1bfdbce3f7, 0x0184a3958fea8dc9, 0xe75dcdaf30df9e16,
  0x570180ddac0a0a4c, 0x7a8f83660e6ef51e, 0xc370ebec1c80ae03, 0xb6006be96c65c709, 0x88c6f9cead701efe,
  0x6abd383af482bb7c, 0xce038ec6f68d67cf, 0xb04502700bd97753, 0x39cdfd3cd7c90d51, 0xc9ce779e03ba72f3,
  0x013bd76fc0c423fe, 0x03ea0c07723fe781, 0xea53929d01ebf9bc, 0xf43e15d17ddbe54d, 0x31dba5eaa8b4ac24,
  0xdb0fad5d6f9b654e, 0x37f07771a2c9a18d, 0x837e36885b36fab3, 0xb09c659ac867a616, 0xc95fb9a19961d96e,
  0x00004c11eb74a833,
};

/*
 * t441_u1x12_uart0_alt1_noled_pr    t441_u1x12_uart0_alt1_noled_pr_u4 t841_u1x12_uart0_alt1_noled
 * t841_u1x12_uart0_alt1_noled_pr    t841_u1x12_uart0_alt1_noled_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart0_alt1_noled[] = {
  0xddc15da02f59bb37, 0x774b17022f758ddd, 0x7eeff5fbe9777777, 0x5a1b5bbbad83a0b6, 0x64eee3bdcc4d8e3f,
  0xbff9f767cf59827c, 0xedd3c1c2e2df0b2f, 0x753e8dc37fb79c7e, 0x3417ea3f4077cb08, 0xca65af70e38e3810,
  0xd843a3d61cc580b2, 0x2a01ffb30475e8f9, 0x55240f2cf6e414cf, 0x9debb7e06211ff63, 0x6f1ca50603b91ff3,
  0xbaa9cbca6c677afe, 0xd2d7cf43e15d17dc, 0xcdb005156e97aaa2, 0x64d0c6ed87d6aeb7, 0x6df5663c81a3f8d1,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0xb935a792bf734332, 0x00000000007c801c,
};

// t441_u1x12_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_noled_pr_ee[] = {
  0xdc15da02f7b128ae, 0xba585c812158dddd, 0x4f6de2fd377bbbbb, 0x13c2f74c997bb26d, 0xed911226c209e3e1,
  0x7d4f4c13e32777e9, 0x0b8b7c2975ff6b26, 0x0dfede71fbb74f07, 0x107fb5a30514fa37, 0xc1b306b5fd4795f5,
  0x75f600fe2bea3d47, 0x35f4b632e384e1b8, 0xab4b8283a1f73300, 0x5e86a76b591f3c73, 0x021d1eb27b55ae87,
  0xf805ecb65f380e3b, 0x8bc66a6951b0465f, 0x77aedf818847fd83, 0xbc7294180ee47fce, 0xeaa72f29b19debf9,
  0x4b5f3d0f85745f72, 0x36c01455ba5eaa8b, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x00000029f1b8f643,
};

// t441_u1x12_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_noled_pr_ce[] = {
  0xb82bb405ef62422f, 0xba5861c802b1bbbb, 0x4522d8fd6a7bbbbb, 0xc5eeeef85bf6266c, 0xe9fbd362c8e6350f,
  0xd64cfafb9827c64e, 0x9e0e1716f858f7fe, 0xf46e1bfdbce3f76e, 0xcb8388058febbda9, 0xce75dcdaf6ebf3cb,
  0x7a8e4f4f72cbad64, 0xe45e8238e38103d6, 0xe7610e8f58731602, 0x3ca807feccf1d7a3, 0x6355240f2d6e9053,
  0xf39debb7e06211ff, 0xfe6f1ca50603b91f, 0xdcbaa9cbca6c677a, 0xa2d2d7cf43e15d17, 0x6f9b6008c76e97aa,
  0xd0cb93571b0fad5d, 0x7d598f2076d0d164, 0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x21f9e4afdcd0ccb0,
  0x0000000002dd5763,
};

// t441_u1x12_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_noled_pr_ee_ce[] = {
  0xddc15da02f7b1762, 0xbba58b8161558ddd, 0xf4e17b4bd1a7bbbb, 0x5a2443c4eef8b19a, 0xef25d5c68ecdd833,
  0xd64cf93a9827c64e, 0x9e0e1716f858adfe, 0xf46e1bfdbce3f76e, 0x83952ac7f5472229, 0xebb9b5f76bf3cbcb,
  0xe6e0376b02c1f99c, 0x51f06cc1ef7ea3ca, 0x370ebec1c80ad31f, 0x6006be96c65c709c, 0x8c4f9cead70b5feb,
  0xabd383af0067610e, 0x80e3b120a8f19cf6, 0x35204e017b2e1cb3, 0xd76fc0c423fec324, 0xe0e4ac07723fe73b,
  0xa96ae5297cef5fcd, 0xcf3182169dc5fcdb, 0xf9b69e87c2ba2fb8, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d,
  0x30b41bf1b442d9b7, 0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x0000000029a7ce32,
};

/*
 * t441_u1x12_uart0_alt1_lednop_pr   t441_u1x12_uart0_alt1_lednop_pr_u4 t841_u1x12_uart0_alt1_lednop
 * t841_u1x12_uart0_alt1_lednop_pr   t841_u1x12_uart0_alt1_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart0_alt1_lednop[] = {
  0xee0aed017acdfc4f, 0xdd2c5c09e4ac6eee, 0xfc1d0e6bafdddddd, 0xef56dddd18417fe6, 0x4eed8fda86825685,
  0xff9f767d009827c6, 0x6e9e0e1716f859bb, 0xa9f46e1bfdbce3f7, 0x9a4f51c9e3be5921, 0xe9b22f411c71c081,
  0x54b4720a731602de, 0x1771cb1823af173b, 0x76fc0c423fec2b24, 0xc07723fe781013bd, 0x29d01ebf9bc03ea0,
  0x5d17ddbe54dea539, 0x5eaa8b4ac24f43e1, 0x6aeb7cdb2a7455ba, 0x3f8d164d0c6ed87d, 0xd10b66df5663c81a,
  0xb3590cf4c2d06fc6, 0x34332c3b2dd6138c, 0xf90e73935a792bf7,
};

// t441_u1x12_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_lednop_pr_ee[] = {
  0xee0aed017bd8ad4e, 0xdd2c2e4190ac6eee, 0x265c619eb4bddddd, 0x44f0bdd3265ec90b, 0xe9a54678bcad82f8,
  0x7e574c13e32777c8, 0x0b8b7c2b05ff6b26, 0x0dfede71fbb74f07, 0x507fb5a30514fa37, 0xc1b306b5fd4795f7,
  0x75f600fe2beebd47, 0x35f4b632e384e1b8, 0xab4ba003a1f73300, 0xbd0d4ed07d193c73, 0xc168d21cf6ab5d0e,
  0xc02f65b2f9c071d8, 0xb90533ca8d8232ff, 0x7aedf818847fd838, 0x4180ee47fcf02027, 0x7253a03d7f37807d,
  0xc2ba2fbb7ca9bd4a, 0x74bd551695849e87, 0xfad5d6f9b654e8ab, 0x0d164d0cb93571b0, 0x42d9b7d598f2076d,
  0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0x9d27321f9e4afdcd, 0x000000000000014f,
};

// t441_u1x12_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_lednop_pr_ce[] = {
  0xb82bb405ef622a9c, 0x74b0c39e3eb1bbbb, 0xce847a7b64f77777, 0xc7f7777c2dfb4004, 0xd1a7b8bcd2d8f85f,
  0xac99ffdd304f8c9d, 0x3c1c2e2df0b01bfd, 0xe8dc37fb79c7eedd, 0x97073a8b1fd77b53, 0x9cebb9b5e2b7e797,
  0xf51fa49ee5975ac9, 0xbdf6b471c70207ac, 0x9db05a3486731602, 0x22a01ffb33c75e8f, 0x626af81e5adc1c4d,
  0x809debb7e06211ff, 0x01f50603b91ff3c0, 0xf529c94e80f5fcde, 0x7a1f0ae8beedf2a6, 0x18edd2f5545a5612,
  0x8d87d6aeb7cdb2a7, 0x3b6868b26865c9ab, 0x8da216cdbeacc790, 0x1966b219e985a0df, 0xee686658765bac27,
  0x016ea81190fcf257,
};

// t441_u1x12_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_lednop_pr_ee_ce[] = {
  0xdc15da02f5112d7b, 0x74b1702a0b58dddd, 0xef0a5c7bf4f77777, 0x10f13baebe001a67, 0xb60dbb268b514d89,
  0x7e87e609f193bb93, 0x1716f85383ff700e, 0x1bfdbce3f76e9e0e, 0xf58fea8c3da9f46e, 0xae87df9e5e5d6914,
  0xddac0a3e4ce75dcd, 0xcc1e45f51e5613c0, 0xd83901584ff51f06, 0xd2d8cb8e1386e1d7, 0xcead70807d6c00d7,
  0x3af4353b41f464f1, 0x8c168d21cf6abd38, 0x9c02f65b2f9c071d, 0x4f48299e546c1140, 0x9debb7e06211ff67,
  0xf50603b91ff3c080, 0x29c94e80f5fcde01, 0x1f0ae8beedf2a6f5, 0xedd2f5545a56127a, 0x87d6aeb7cdb2a718,
  0x2868b26865c9ab8d, 0xa216cdbeacc7903f, 0x66b219e985a0df8d, 0x686658765bac2719, 0x69f4f4e1dcf257ee,
  0x000000000000000a,
};

static const uint64_t ur_t441_u1x12_uart0_alt1_dual[] = {
  0x77777c4993d44511, 0x777770fedbc9debf, 0x7519cbbb0da02b77, 0xc8a7589dddd86751, 0x32568b97dadd2c4e,
  0x26460aa46544c13e, 0x42b106e09b1031fb, 0x689dd3c21b7e2061, 0xc704ad33a5fccaa6, 0x198f9bd47a95b0fd,
  0xf98d022847241c08, 0x4c402d09f5c3e057, 0x32d088510cbd885e, 0xffa039e136458a84, 0x433100871885bfce,
  0x63dff9412a60b02c, 0x8fddba78385c5be1, 0x659ea7d1b86ff6f3, 0x040ea5fa8e37cef9, 0x0aa6a6f90458e38e,
  0x4b76e791b5f1cc58, 0x5882f71cb1823af7, 0xe780ee9cbcce7379, 0xdbf03108ffb2739d, 0x01dc8ff9e0404ef5,
  0x94e80f5fcde5ba83, 0x2d380bdf2a6f529c, 0x43e15d17dc3a8a04, 0xb8d87d6aeb7cdb4f, 0x6885b36e2fc25c9a,
  0x59ac867a616837e3, 0x9a19961d96eb09c6, 0xcb7edd38773c95fb, 0x0000000000000000,
};

// t441_u1x12_uart0_alt1_dual_pr_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_dual_pr[] = {
  0xbbbe24c9ef3e173e, 0xbbb87f6d80af5fbb, 0x53919ce2dfb5bbbb, 0x5627777682ae37ac, 0x96fdef5da278f641,
  0x48ca89827c64833b, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x98a1fe6515493ba7, 0xea3fced848738175,
  0x1423920e040ca2cd, 0xc4fae1f02bfcc681, 0x110cbd885e4c4136, 0xf09a218a8432d005, 0x438c42dfe77fd01c,
  0x4065305816219880, 0x4f070b8b7c2c7bff, 0xfa370dfede71fbb7, 0x5fa8ef79df2d70d4, 0x6d2a218e38e040f0,
  0x7b46b3ce62c05a26, 0x07fecc11d7bf0ddb, 0xe40f2cf6f9ea96a8, 0xe03ba72f339cdf14, 0xfc0c423fec9ce779,
  0x7723fe781013bd76, 0xd01ebf9bc03ea0c0, 0x17ddbe54dea53929, 0xaa8b4ac24f43e15d, 0xeb7cdb2a7455ba5e,
  0x26865c9ab8d87d6a, 0xdf5663c819a7c68b, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c, 0xc112792bf734332c,
  0x00000000000c40c9,
};

// t441_u1x12_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_dual_pr_ee[] = {
  0x7777c4993de7ce7c, 0x77770fa9b4e5ebf7, 0xd943d875f68bf777, 0x6aa8764776271bad, 0x421deec7e67da7d9,
  0x47dd304f8c958372, 0x9b1031fb26460aa4, 0x1b7e206142b106e0, 0x66ff328aa49dd3c2, 0x74b5b00b47031f98,
  0x47241c0818d69bd4, 0xf5c3e057f98d0228, 0x197b10bc98872d09, 0xcbee2a10cb412b22, 0xc42dfa7ffe80e784,
  0x5305816219880438, 0x70b8b7c2eceff406, 0x70dfede71fbb74f0, 0xf707fb5a33d54fa3, 0x7c1b307927a8f2b0,
  0x0ebec01fc5613fd4, 0x06be96c65c709c37, 0x7569740074f6a660, 0x75e33cec22a3e90e, 0xc57f4752e7b55ae8,
  0xfc02f65deece038e, 0x9cbcce7378eb592f, 0x08ffb2739de780ee, 0xf9e0404ef5dbf031, 0x7407afe6f301dc8f,
  0x4a9f016a72452d5e, 0xc2ba2fba5fe2810b, 0xb0fad5d6f9b69e87, 0x4f8d164d0cb93571, 0xa216cdbeacc79033,
  0x66b219e985a0df8d, 0x686658765bac2719, 0x214e738224f257ee, 0x0000000000000003,
};

// t441_u1x12_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_dual_pr_ce[] = {
  0x777c4993de7c50e3, 0x7770f9334e5ebf77, 0x7cec93ef6c5f7777, 0x6c5bbbbc96e0eca5, 0x2eef547dc2d9f16a,
  0x46a83304f8c9b237, 0x09b1031fb26460aa, 0x21b7e206142b106e, 0xc35bf328aa49dd3c, 0x51f7dec34d9c22b4,
  0xa11c9070206a7a6f, 0x27d70f815fe63408, 0x8865ec42f2621fae, 0x1304f8a8432d00f6, 0x71885befbffa039e,
  0x0ca60b02c4331008, 0xe0e1716f8590ffe8, 0x46e1bfdbce3f76e9, 0x5e76fe58feb10a9f, 0xe75dcdafd3ff9e5e,
  0xa38f93dcb2eabfcc, 0x17be38e38103affe, 0x6ded1acf398b0167, 0xa01ffb33c75efc37, 0x14e40f2d6ee7aa5a,
  0x79e03ba72f339cdf, 0x76fc0c423fec9ce7, 0xc07723fe781013bd, 0x29d01ebf9bc03ea0, 0x5d17ddbe54dea539,
  0x5eaa8b4ac24f43e1, 0xd5d6f9b654e31dba, 0x164d0cb93571b0fa, 0xcdbeacc790334f8d, 0x19e985a0df8da216,
  0x58765bac271966b2, 0x538224f257ee6866, 0x000000000039eb38,
};

// t441_u1x12_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart0_alt1_dual_pr_ee_ce[] = {
  0xeeef89327a8618be, 0xdddc3fb6f66fd7ee, 0xda27957efb8ddddd, 0x5a4125deea0ad95d, 0x5ef78fef0587c843,
  0x1eb9827c649bab95, 0x62063f64c8c15483, 0x6fc40c285620dc13, 0x7fccb3e833ba7843, 0xb7f61000e02926fd,
  0x920e040e76e6f51e, 0xe1f02bfcc6811423, 0x7b10bc98800004fa, 0x5a2a10cb43672219, 0x2deb7ffe80e784d9,
  0x05816219880438c4, 0x716f8519bff99393, 0xbfdbce3f76e9e0e1, 0x58fea8dc9a9f46e1, 0xf30df9e160184a39,
  0xdac0a0a4ce75dcda, 0x60e6ef51e570180d, 0xc1c80ae037a8f836, 0x96c65c709c370ebe, 0xead701efeb6006be,
  0xaf482bb7c88c6f9c, 0x6f68d67cf6abd383, 0x00bd97753ce038ec, 0xcd7c90d51b045027, 0xe03ba72f339cdfd3,
  0xfc0c423fec9ce779, 0x7723fe781013bd76, 0xd01ebf9bc03ea0c0, 0x17ddbe54dea53929, 0xaa8b4ac24f43e15d,
  0xd6f9b654e31dba5e, 0x1a2c9a18ddb0fad5, 0x85b36fab337f0777, 0xac867a616837e368, 0x19961d96eb09c659,
  0x4faf4a833c95fb9a, 0x0000000000001304,
};

/*
 * t441_u1x12_uart1_noled_pr         t441_u1x12_uart1_noled_pr_u4      t841_u1x12_uart1_noled
 * t841_u1x12_uart1_noled_pr         t841_u1x12_uart1_noled_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart1_noled[] = {
  0xeeeec49ddacdc49f, 0xbbbba587396cfac6, 0x377f89341de3fbbb, 0x5d08fdb777693fa9, 0xe3277417e9715a3c,
  0xf9ffcfbb3f38cc13, 0xfb79c7eedd3f2022, 0x077cb08753e8dc37, 0x38e38103417ea3f4, 0xcc580b2ca65af70e,
  0x475e8f9d843a3d61, 0x6e414cf2a01ffb30, 0x223bf6355240f2cf, 0x3ba3bf39e5db7e06, 0xc67977e6f1ca5060,
  0x15d17dcbaa9cbca6, 0xe97aaa2d2d7cf43e, 0x7d6aeb7cdb005156, 0x1a3f8d164d0c6ed8, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x0f90e93b935a792b,
};

// t441_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart1_noled_pr_ee[] = {
  0xbbbb12776f623f3e, 0x77774b087764eb1b, 0xa70bfd29b1a56f77, 0x03672e277583ecf6, 0xa47f682f4e5a30a8,
  0x5933e52e609f193b, 0x3f76e9f9011d2ffb, 0x60a29f46e1bfdbce, 0xbfa8f2bea20ff6b4, 0xc57d47a8f83660d6,
  0x5c709c370ebec01f, 0x743ee66006be96c6, 0x6b23e78e75697050, 0x4f6ab5d0ebd0d4ed, 0xcbe701c76043a3d6,
  0x2a3608cbff00bd96, 0x3111dfb07178cd4d, 0x01dd1df9cf2edbf0, 0x3633cbbf378e5283, 0xf0ae8bee5d54e5e5,
  0xb74bd551696be7a1, 0xc3eb575be6d8028a, 0xb434593432e4d5c6, 0xd10b66df5663c81d, 0xb3590cf4c2d06fc6,
  0x34332c3b2dd6138c, 0x3e0bf6c87e792bf7, 0x0000000000000005,
};

// t441_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569fe6f58, 0x1b4de0fab6fa5ddd, 0xc71fad367eeeeea4, 0xc13e327771dee626,
  0x04eebff9f767e3dc, 0x86ff6f38fddba7e4, 0x25af63faf40a7d1b, 0xee6d790ff9e5e5e1, 0xbe9ee59758ce673a,
  0x471c702078cfd476, 0x46678e62c05e81ed, 0x1cb19e3af173b1a4, 0xe06223bf60ea1ab7, 0x5603ba3bf39e5db7,
  0x7294be7977e6f072, 0xc10b4ee2fe6dd4b5, 0x4f43e15d17dc6798, 0x0c6ed87d6aeb7cdb, 0x5663c81a3f8d164d,
  0xc2d06fc6d10b66df, 0x2dd6138cb3590cf4, 0x5a792bf734332c3b, 0x00000005ba81cb93,
};

// t441_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeeeec49ddbd8b562, 0xbbbba58739593ac6, 0xfad4fc79fbd867bb, 0xc6149ebbf375e475, 0x3bb4cf48fdc10666,
  0xfb5933e35a609f19, 0xce3f76e9f90134df, 0x5472229f46e1bfdb, 0x3f3cbcb838516c7f, 0x160fcce75dcdae1a,
  0x7bf51e560a01bb58, 0x405710fa8f83660f, 0x32e384e1b875f60e, 0x5c3dff5b0035f4b6, 0x019dabfa3a9673ab,
  0xd1d133daaf4e0ebc, 0x7b2e1cb380e3b03e, 0x11dfb0c8e9a04e01, 0xdd1df9cf2edbf031, 0x8cf2efcde5ba8301,
  0x2169bd575539794d, 0xd0f85745f739b318, 0xae361f5abadf36d3, 0x40eda1a2c9a19726, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x000a69e9c643f3c9,
};

/*
 * t441_u1x12_uart1_lednop_pr        t441_u1x12_uart1_lednop_pr_u4     t841_u1x12_uart1_lednop
 * t841_u1x12_uart1_lednop_pr        t841_u1x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_t441_u1x12_uart1_lednop[] = {
  0xddddd893bb59bb37, 0x777774b0e722f758, 0x9367eeff5fbe9777, 0xc7eb436b777693fa, 0x4f8c9ddc77b989b1,
  0x25f7ff3eecf9eb30, 0xbfdbce3f76e9f901, 0xd63be5843a9f46e1, 0x71c71c081a0bf51e, 0x3398b016594d10ef,
  0x823af47ced82d1a4, 0x3db0e2691500ffd9, 0x0c4477ec4d5f03cb, 0x477e781013cbb6fc, 0x25df9bc03ea0c077,
  0xddbe54dea53929d0, 0x8b4ac24f43e15d17, 0x7cdb2a7455ba5eaa, 0x164d0c6ed87d6aeb, 0x66df5663c81a3f8d,
  0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0xcb935a792bf73433, 0x000000000007c801,
};

// t441_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart1_lednop_pr_ee[] = {
  0xdddd893bb7b128ae, 0xddddd2c21d92158d, 0x936a7b6f17e9bbdd, 0x1fb39713bac1f67d, 0xbf4f6c889136104f,
  0x5933ea7a609f193b, 0x3f76e9f9010baffb, 0x60a29f46e1bfdbce, 0xbfa8f2beea0ff6b4, 0xc57dd7a8f83660d6,
  0x5c709c370ebec01f, 0x743ee66006be96c6, 0x0fa3278e75697400, 0x9ed56ba1d7a1a9da, 0x5f380e3b182d1a43,
  0x51b0465ff805ecb6, 0x111dfb071720a679, 0xdf9e0404f2edbf03, 0x77e6f00fa8301dd1, 0x6f9537a94e4a7409,
  0xd2b093d0f85745f7, 0x36ca9d156e97aaa2, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x00000029f1b8f643,
};

// t441_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbb12776f62422f, 0xdddd2c569f802b1b, 0x3622916c7eb53ddd, 0x87e2f7776e270f93, 0x2774fde9b164731a,
  0xff6b267d7dcc13e3, 0x79c7eedd3f20247b, 0x1fd77b53e8dc37fb, 0xe2b7e79797073a8b, 0xe5975ac99cebb9b5,
  0xc70207acf51fa49e, 0x86731602bdf6b471, 0x33c75e8f9db05a34, 0x5adc1c4d22a01ffb, 0xe06223bf626af81e,
  0xba3bf3c0809e5db7, 0x812efcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8, 0xb7cdb2a718edd2f5,
  0x6865c9ab8d87d6ae, 0xbeacc7903b6868b2, 0xe985a0df8da216cd, 0x765bac271966b219, 0x90fcf257ee686658,
  0x00000000016eabb1,
};

// t441_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba5873961558, 0x5faf4e17b4bd1a7b, 0x19ad09ebbf375e47, 0x277792eae34766ec,
  0xff6b267c9d4c13e3, 0x79c7eedd3f202456, 0xea8e4453e8dc37fb, 0xd7e79797071c9d8f, 0x02c1f99cebb9b5f4,
  0xef7ea3cae710376b, 0xc80af24f51f06cc1, 0xc65c709c370ebec1, 0x6b8887eb6006be96, 0x8033b60b4621ce75,
  0x28e4167b55e9c1d7, 0xbd970e59c071d80e, 0x23bf619358902700, 0xf3c0809e5db7e062, 0x77e6f0725603ba3b,
  0x5953b8b29cbe7409, 0x5f77d663042d3c31, 0xabadf36d3d0f8574, 0x2c9a19726ae361f5, 0xb36fab31e40eda1a,
  0x867a616837e36885, 0x961d96eb09c659ac, 0x9c643f3c95fb9a19, 0x000000000000534f,
};

static const uint64_t ur_t441_u1x12_uart1_dual[] = {
  0xbbbbb7e307d44511, 0xbbbbb87fd286ef5f, 0x1313b92d86d015bb, 0x29c247777717bd7b, 0x2a6ee5f6b74b13b2,
  0x460aa4337e609f19, 0xb106e09b1031fb26, 0x9dd3c21b7e206142, 0x028b3393fccaa668, 0x654dea3bf9b05f67,
  0x63408a11c9070206, 0x100b427d70f815fe, 0x682d74432f621793, 0xd01cf09a0fc54219, 0xcc4021c6216efe7f,
  0xebfe504a982c0b10, 0xfb79c7eedd3f2021, 0xe77cb2cf53e8dc37, 0x71c7020752fd471b, 0xcc580aa6a69bb22c,
  0x3af74b76e811b5f1, 0xe6f2b1afb71cb182, 0xe73bcf01dd39799c, 0x9e5db7e06223bf64, 0xf50603ba3bf3c080,
  0x29c94e812efcde01, 0x1f0ae8beedf2a6f5, 0xadd2f5545a56127a, 0xc3eb575be6d953a2, 0x2d9b717e12e4d5c6,
  0x6433d30b41bf1b44, 0xccb0ecb7584e32cd, 0xf6e9c3b9e4afdcd0, 0x000000000000065b,
};

// t441_u1x12_uart1_dual_pr_u4
static const uint64_t ur_t441_u1x12_uart1_dual_pr[] = {
  0xbbb7e307de7c4c7f, 0xbbb87fd2bd6f5fbb, 0xccc488f6d3adbbbb, 0xd13b777469b4529c, 0xcac5f635557b62b0,
  0x52292a609f192c85, 0x704d8818fd932305, 0xe10dbf1030a15883, 0x66387f9945524ee9, 0x7a8ffbb60958e0e9,
  0x4508e483810380d3, 0xc13eb87c0aff31a0, 0x222197b10bc9887f, 0x3c265af150865a19, 0x10e310b7fddff407,
  0xd0194c1605886620, 0x71fbb74fc809b7ff, 0x2d70d4fa370dfede, 0xe040f05fa8ef79df, 0xc05a266d2a218e38,
  0xbf0ddb7b46b3ce62, 0xea96a807fecc11d7, 0x9cdf14e40f2cf6f9, 0x9ce779e03ba72f33, 0x13cbb6fc0c4477ec,
  0x3ea0c077477e7810, 0xa53929d025df9bc0, 0x43e15d17ddbe54de, 0x55ba5eaa8b4ac24f, 0xd87d6aeb7cdb2a74,
  0xa7c68b26865c9ab8, 0xd10b66df5663c819, 0xb3590cf4c2d06fc6, 0x34332c3b2dd6138c, 0x310815c112792bf7,
  0x0000000000000000,
};

// t441_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_t441_u1x12_uart1_dual_pr_ee[] = {
  0xdddbf183ef3e43ee, 0xdddc3f8ece77afdd, 0xed1dadfbd1d7dddd, 0x0c6dd05ddb8302f7, 0x99a9aed3d62fd761,
  0x3d7304f8c9a6772c, 0xb1031fb26460aa43, 0xb7e206142b106e09, 0x7ff328aa49dd3c21, 0x70761d5e70a1f9ba,
  0xe4838103d9d37a8e, 0xb87c0aff31a04508, 0x2f6217931098613e, 0xc7c5421968145443, 0x42dc2d7fd01cf098,
  0x305816219880438c, 0xdd3f20269bff4065, 0x53e8dc37fb79c7ee, 0x3cacc7c1fed68cf5, 0xbaf51f06cc1e49ea,
  0x1386e1d7d803f8af, 0xd4cc00d7d2d8cb8e, 0x76b1cead2e7a8e9e, 0x56ba1d78cf3b41f4, 0x80e3b182d18879ed,
  0x05cbff00bd977bb3, 0x80ee9cbcce7378e9, 0xf03111dfb2739de7, 0xdd1df9e0404f2edb, 0xe812efcde5ba8301,
  0x380bdf2a6f529c94, 0xe15d17dc3a8a042d, 0xd87d6aeb7cdb4f43, 0xa7c68b26865c9ab8, 0xd10b66df5663c819,
  0xb3590cf4c2d06fc6, 0x34332c3b2dd6138c, 0x0a749dc112792bf7, 0x0000000000000019,
};

// t441_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_t441_u1x12_uart1_dual_pr_ce[] = {
  0xbbb7e307de7c92df, 0xbbb87d88ecaf5fbb, 0x768dd33ed2c5bbbb, 0xcd3b7774c4c7157c, 0xdc913f6b44d84339,
  0x548eeb4c13e32682, 0xdc1362063f64c8c1, 0x78436fc40c285620, 0xa9b677e6515493ba, 0xdea3e04d84ae385b,
  0x11423920e040ca5c, 0xf84fae1f02bfcc68, 0xe910cbd885e4c410, 0xcf09b4a8a8432d0e, 0x0438c42df027fd01,
  0xf406530581621988, 0x9c7eedd3f202256f, 0xfd62153e8dc37fb7, 0xa7ff3cbcbcedfcb1, 0x65d57f99cebb9b5f,
  0x02075ffd471f27b9, 0x731602ce2f7c71c7, 0x8ebdf86edbda359e, 0xddcf54b5403ff667, 0x5e6739be29c81e5a,
  0xefd939cef3c0774e, 0xf02027976df81888, 0x37807d4180ee8efc, 0xa9bd4a7253a04bbf, 0x849e87c2ba2fbb7c,
  0xa9c63b74bd551695, 0x6ae361f5abadf36c, 0x20669f1a2c9a1972, 0xbf1b442d9b7d598f, 0x4e32cd6433d30b41,
  0xafdcd0ccb0ecb758, 0x0073d763ff0449e4,
};

// t441_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u1x12_uart1_dual_pr_ee_ce[] = {
  0x7776fc60fa869a4e, 0xbbbb87fd2f77ebf7, 0x9f55e9f7b87dbbbb, 0xd7c2b92eed8657c8, 0xafb7d71e1e4caef1,
  0xa2cc13e32605dcbe, 0xc40c7ec99182a90b, 0xdf881850ac41b826, 0xdf9967d06774f086, 0xfcd86203835dcc87,
  0x920e040c344dea3b, 0xe1f02bfcc6811423, 0x7b10bc9885d0c4fa, 0x162a10cb437da219, 0x16eff3fe80e784cc,
  0x82c0b10cc4021c62, 0xd3f20274fffcc9c9, 0x3e8dc37fb79c7eed, 0x309472b1fd51b935, 0xebb9b5e61bf3c2c0,
  0xe0301bb58141499c, 0x51f06cc1cddea3ca, 0x6e1d7d839015c06f, 0xc00d7d2d8cb8e138, 0x18df39d5ae03dfd6,
  0x57a7075e90576f91, 0xc071d8ded1acf9ed, 0x08a04e017b2eea79, 0x39bfa79af921aa36, 0x39cef3c0774e5e67,
  0x27976df81888efd9, 0x7d4180ee8efcf020, 0x4a7253a04bbf3780, 0x87c2ba2fbb7ca9bd, 0x3b74bd551695849e,
  0x61f5abadf36ca9c6, 0xfe0eee34593431bb, 0x6fc6d10b66df5666, 0x138cb3590cf4c2d0, 0x2bf734332c3b2dd6,
  0x0009823d6e950679,
};

/*
 * t441_u2x8_uart0_noled_pr          t441_u2x8_uart0_noled_pr_u4       t841_u2x8_uart0_noled
 * t841_u2x8_uart0_noled_pr          t841_u2x8_uart0_noled_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart0_noled[] = {
  0x377777625acdc49f, 0xdddddd2c39cb67d6, 0x49bbfc49a0ef1fdd, 0xe2e847edbbbb49fd, 0x9f193ba0bf4b8ad1,
  0x17cffe7dd9f9c660, 0xeaf68e436fb74f07, 0x1fa03be5843a9f46, 0xb871c71c081a0bf5, 0xeb0e62c0596532d7,
  0xd9823af47cec21d1, 0x967b720a679500ff, 0xf03108ffb1aa9207, 0x8301dc8ff9cef5db, 0xe53633bd7f378e52,
  0xa1f0ae8bee5d54e5, 0x8ab74bd551696be7, 0x76c3eb575be6d802, 0x1e40d1fc68b26863, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x00007c8749dc9ad3,
};

// t441_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd896f623f3e, 0xbbbbba5843bb2758, 0xb5385fe94d8d2b7b, 0x401b39713bac1f67, 0xdd23fb417a72d185,
  0xdac99f297304f8c9, 0x721b7dba7838e97f, 0xb5a30514fa3757b4, 0x06b5fd4795f5107f, 0x00fe2bea3d47c1b3,
  0xb632e384e1b875f6, 0x8283a1f7330035f4, 0xa76b591f3c73ab4b, 0x1eb27b55ae875e86, 0xecb65f380e3b021d,
  0x6a6951b0465ff805, 0xdf818847fd838bc6, 0x94180ee47fce77ae, 0x2f29b19debf9bc72, 0x3d0f85745f72eaa7,
  0x1455ba5eaa8b4b5f, 0xae361f5abadf36c0, 0x40eda1a2c9a19726, 0x7e36885b36fab31e, 0x9c659ac867a61683,
  0x5fb9a19961d96eb0, 0x0029f05fb643f3c9,
};

// t441_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4ff37a, 0x20da6f07d5b7d2ee, 0x3638fd69b3f77775, 0xe609f193bb8ef731,
  0xe0e775ffcfbb3f1e, 0xe8dd5ed1c86df6e9, 0x2f092d7b1fd7a053, 0x39d7736bc87fcf2f, 0xa3b5f4f72cbac673,
  0x0f6a38e38103c67e, 0x8d22333c731602f4, 0xd5b8e58cf1d78b9d, 0x5dbf03108ffb0750, 0x8392b01dc8ff9cef,
  0xa5ab94a5f3bd7f37, 0x3cc6085a7717f36e, 0xe6da7a1f0ae8bee3, 0xb2686376c3eb575b, 0x36fab31e40d1fc68,
  0x67a616837e36885b, 0x61d96eb09c659ac8, 0x5c9ad3c95fb9a199, 0x00000000002dd40e,
};

// t441_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_noled_pr_ee_ce[] = {
  0x377777625bd8b562, 0xdddddd2c39cac9d6, 0xafd6a7e3cfdec33d, 0x3630a4f5df9baf23, 0xc9dda67a47ee0833,
  0xffdac99f1ad304f8, 0xb4721b7dba7839a6, 0x63faa39114fa3757, 0x70d1f9e5e5c1c28b, 0xdac0b07e673aee6d,
  0x307bdfa8f2b0500d, 0xb07202b887d47c1b, 0xa5b1971c270dc3af, 0x9d5ae1effad801af, 0x75e00ced5fd1d4b3,
  0x81f68e899ed57a70, 0x700bd970e59c071d, 0x818847fd86474d02, 0x180ee47fce77aedf, 0xca6c677afe6f2dd4,
  0x98c10b4deabaa9cb, 0xb69e87c2ba2fb9cd, 0xb93571b0fad5d6f9, 0x98f2076d0d164d0c, 0xb41bf1b442d9b7d5,
  0x7584e32cd6433d30, 0x9e4afdcd0ccb0ecb, 0x000000534f4e321f,
};

/*
 * t441_u2x8_uart0_lednop_pr         t441_u2x8_uart0_lednop_pr_u4      t841_u2x8_uart0_lednop
 * t841_u2x8_uart0_lednop_pr         t841_u2x8_uart0_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart0_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873917ba, 0xd49b3f77fafdf4bb, 0x8e3f5a1b5bbbb49f, 0x827c64eee3bdcc4d,
  0x392fbff9f767cf59, 0x3757b4721b7dba78, 0xa8f6b1df2c21d4fa, 0x877b8e38e040d05f, 0x8d219cc580b2ca68,
  0xfecc11d7a3e76c16, 0x1e59ed871348a807, 0xb7e06211ff626af8, 0x03b91ff3c0809deb, 0x4e80f5fcde01f506,
  0xe8beedf2a6f529c9, 0xf5545a56127a1f0a, 0x575be6d953a2add2, 0xfc68b2686376c3eb, 0x885b36fab31e40d1,
  0x9ac867a616837e36, 0xa19961d96eb09c65, 0x400e5c9ad3c95fb9, 0x000000000000003e,
};

// t441_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_lednop_pr_ee[] = {
  0x6eeeeec4b7b128ae, 0xeeeeee9610ec90ac, 0xec9b53db78bf4dde, 0x78fd9cb89dd60fb3, 0xddfa7b644489b082,
  0xdac99f53d304f8c9, 0x721b7dba78385d7f, 0xb5a30514fa3757b4, 0x06b5fd4795f7507f, 0x00fe2beebd47c1b3,
  0xb632e384e1b875f6, 0xa003a1f7330035f4, 0x4ed07d193c73ab4b, 0xd21cf6ab5d0ebd0d, 0x65b2f9c071d8c168,
  0x33ca8d8232ffc02f, 0xf818847fd838b905, 0xee47fcf020277aed, 0xa03d7f37807d4180, 0x2fbb7ca9bd4a7253,
  0x551695849e87c2ba, 0xd6f9b654e8ab74bd, 0x4d0cb93571b0fad5, 0xb7d598f2076d0d16, 0x3d30b41bf1b442d9,
  0x0ecb7584e32cd643, 0xb21f9e4afdcd0ccb, 0x00000000014f8dc7,
};

// t441_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd896f62422f, 0xeeeee962b4fc0158, 0x99b1148b63f5a9ee, 0xd43f17bbbb71387c, 0x193ba7ef4d8b2398,
  0xdffb5933ebee609f, 0xf68e436fb74f0723, 0xd458febbda9f46ea, 0xcdaf15bf3cbcb839, 0x24f72cbad64ce75d,
  0xa38e38103d67a8fd, 0xd1a43398b015efb5, 0xffd99e3af47ced82, 0xc0f2d6e0e2691500, 0x5dbf03108ffb1357,
  0x301dc8ff9e0404ef, 0x4a7407afe6f00fa8, 0x5745f76f9537a94e, 0x97aaa2d2b093d0f8, 0xb575be6d9538c76e,
  0x4593432e4d5c6c3e, 0xb66df5663c81db43, 0x90cf4c2d06fc6d10, 0x32c3b2dd6138cb35, 0x5d8c87e792bf7343,
  0x0000000000000b75,
};

// t441_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xddddddd2c39cb0aa, 0x3afd7a70bda5e8d3, 0x60cd684f5df9baf2, 0x193bbc97571a3b37,
  0xb7fb5933e4ea609f, 0xf68e436fb74f0722, 0xec7f5472229f46ea, 0xafa6bf3cbcb838e4, 0xbb58160fcce75dcd,
  0x660f7bf51e573881, 0xf60e4057927a8f83, 0xf4b632e384e1b875, 0x73ab5c443f5b0035, 0x0ebc019db05a310e,
  0xc0714720b3daaf4e, 0x3805ecb872ce038e, 0x03108ffb0c9ac481, 0xc8ff9e0404ef5dbf, 0xa03d7f378392b01d,
  0xe18aca9dc594e5f3, 0x2ba2fbbeb3182169, 0x0fad5d6f9b69e87c, 0xd0d164d0cb93571b, 0x442d9b7d598f2076,
  0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0x9a7ce321f9e4afdc, 0x0000000000000002,
};

static const uint64_t ur_t441_u2x8_uart0_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa50dde, 0xf62627725b0da02b, 0x6453848eeeee2f7a, 0x3254ddcbed6e9627,
  0x4c8c154866fcc13e, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0xce05166727f9954c, 0x0cca9bd477f360be,
  0xfcc6811423920e04, 0x26201684fae1f02b, 0x32d05ae8865ec42f, 0xffa039e1341f8a84, 0x219880438c42ddfc,
  0xc3d7fca095305816, 0xbabda390dbedd3c1, 0x8e37cef9659ea7d1, 0x6458e38e040ea5fa, 0x6be398b0154d4d37,
  0x630475ee96edd023, 0xf339cde5635f6e39, 0xfec9ce779e03ba72, 0x81013bd76fc0c423, 0xbc03ea0c07723fe7,
  0x4dea53929d01ebf9, 0x24f43e15d17ddbe5, 0xa7455ba5eaa8b4ac, 0xab8d87d6aeb7cdb2, 0x36885b36e2fc25c9,
  0x659ac867a616837e, 0xb9a19961d96eb09c, 0x0cb7edd38773c95f,
};

// t441_u2x8_uart0_dual_pr_u4
static const uint64_t ur_t441_u2x8_uart0_dual_pr[] = {
  0x777776fcde7c4c7f, 0x777770ffa57adebf, 0x39998911eda75b77, 0x61a276eee8d368a5, 0x0b958bec6aaaf6c5,
  0x0aa45254c13e3259, 0x06e09b1031fb2646, 0xd3c21b7e206142b1, 0xd2cc70ff328aa49d, 0xa6f51ff76c12b1c1,
  0x408a11c907020701, 0xff827d70f815fe63, 0x3244432f62179310, 0x0e784cb5e2a10cb4, 0x4021c6216ffbbfe8,
  0xffa032982c0b10cc, 0x68e436fb74f0736f, 0xf3be5ae1a9f46eaf, 0x1c71c081e0bf51de, 0x9cc580b44cda5443,
  0x23af7e1bb6f68d67, 0xedf3d52d500ffd98, 0x5e6739be29c81e59, 0x7fd939cef3c0774e, 0xf020277aedf81884,
  0x37807d4180ee47fc, 0xa9bd4a7253a03d7f, 0x849e87c2ba2fbb7c, 0x54e8ab74bd551695, 0x3571b0fad5d6f9b6,
  0x90334f8d164d0cb9, 0xdf8da216cdbeacc7, 0x271966b219e985a0, 0x57ee686658765bac, 0x000062102b8224f2,
};

// t441_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_dual_pr_ee[] = {
  0xbbbbbb7e6f3e43ee, 0xbbbbb87f1d9cef5f, 0xefda3b5bf7a3afbb, 0xc218dba0bbb70605, 0x5933535da7ac5fae,
  0x867ae609f1934cee, 0x1362063f64c8c154, 0x436fc40c285620dc, 0x74ffe6515493ba78, 0x1ce0ec3abce143f3,
  0x11c9070207b3a6f5, 0x7d70f815fe63408a, 0x865ec42f262130c2, 0x318f8a8432d028a8, 0x1885b85affa039e1,
  0xca60b02c43310087, 0xdbedd3c1cd37fe80, 0x19eaa7d1babda390, 0x93d479598f83fdad, 0xf15f75ea3e0d983c,
  0x971c270dc3afb007, 0x1d3da99801afa5b1, 0x83e8ed639d5a5cf5, 0xf3daad743af19e76, 0xf76701c76305a310,
  0xf1d20b97fe017b2e, 0x3bcf01dd39799ce6, 0xebb7e06211ff64e7, 0x0603b91ff3c0809d, 0x3929d01ebf9bcb75,
  0x085a7017be54dea5, 0x9e87c2ba2fb87514, 0x3571b0fad5d6f9b6, 0x90334f8d164d0cb9, 0xdf8da216cdbeacc7,
  0x271966b219e985a0, 0x57ee686658765bac, 0x003214e93b8224f2,
};

// t441_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_dual_pr_ce[] = {
  0x777776fcde7c92df, 0x777770fb11d95ebf, 0xf8ed1ba67da58b77, 0x739a76eee9898e2a, 0x05b9227ed689b086,
  0x82a91dd69827c64d, 0x41b826c40c7ec991, 0x74f086df881850ac, 0xb7536cefcca2a927, 0xb9bd47c09b095c70,
  0xd022847241c08194, 0x21f09f5c3e057f98, 0x1dd22197b10bc988, 0x039e13695150865a, 0x100871885be04ffa,
  0xdfe80ca60b02c433, 0xda390dbedd3c1c4a, 0xf963fac42a7d1bab, 0x36bf4ffe797979db, 0x4f72cbaaff339d77,
  0xe38e040ebffa8e3e, 0x6b3ce62c059c5ef8, 0xeccf1d7bf0ddb7b4, 0x3cb5bb9ea96a807f, 0xee9cbcce737c5390,
  0x3108ffb2739de780, 0x8ff9e0404ef5dbf0, 0x7afe6f00fa8301dc, 0x76f9537a94e4a740, 0x2d2b093d0f85745f,
  0xe6d9538c76e97aaa, 0x32e4d5c6c3eb575b, 0xb31e40cd3e345934, 0x16837e36885b36fa, 0x6eb09c659ac867a6,
  0x93c95fb9a19961d9, 0x000000e7aec7fe08,
};

// t441_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeeedf9a869a4e, 0x7777770ffa5eefd7, 0x913eabd3ef70fb77, 0xe3af85725ddb0caf, 0x7d5f6fae3c3c995d,
  0x17459827c64c0bb9, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x0fbf32cfa0cee9e1, 0x77f9b0c40706bb99,
  0x47241c0818689bd4, 0xf5c3e057f98d0228, 0x32f62179310ba189, 0x982c54219686fb44, 0xc42ddfe7fd01cf09,
  0x9305816219880438, 0xbedd3c1ce9fff993, 0x726a7d1babda390d, 0x85806128e563faa3, 0x9339d7736bcc37e7,
  0x4795c060376b0282, 0x80dea3e0d9839bbd, 0xc270dc3afb07202b, 0xbfad801afa5b1971, 0xdf2231be73ab5c07,
  0xf3daaf4e0ebd20ae, 0xd4f380e3b1bda359, 0x546c11409c02f65d, 0xbcce737f4f35f243, 0xffb2739de780ee9c,
  0xe0404ef5dbf03108, 0x6f00fa8301dc8ff9, 0x537a94e4a7407afe, 0x093d0f85745f76f9, 0x538c76e97aaa2d2b,
  0x6376c3eb575be6d9, 0xaccdfc1ddc68b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9, 0x0cf257ee68665876,
  0x00000013047add2a,
};

/*
 * t441_u2x8_uart0_alt1_noled_pr     t441_u2x8_uart0_alt1_noled_pr_u4  t841_u2x8_uart0_alt1_noled
 * t841_u2x8_uart0_alt1_noled_pr     t841_u2x8_uart0_alt1_noled_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart0_alt1_noled[] = {
  0xbbbbbb82bb59bb37, 0xeeeee962e045eeb1, 0x16cfddfebf7d2eee, 0xc7eb436b7775b074, 0x4f8c9ddc77b989b1,
  0x65f7ff3eecf9eb30, 0x1b7dba78385c5be1, 0x2c21d4fa3757b472, 0xe040d05fa8fd01df, 0x02cb2996bdc38e38,
  0xa3e7610e8f587316, 0x533ca807fecc11d7, 0xfd8d54903cb3db90, 0x7fce77aedf818847, 0xebf9bc7294180ee4,
  0x5f72eaa72f29b19d, 0xaa8b4b5f3d0f8574, 0xbadf36c01455ba5e, 0xe34593431bb61f5a, 0x42d9b7d598f2068f,
  0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0x0072e4d69e4afdcd, 0x00000000000001f2,
};

// t441_u2x8_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_noled_pr_ee[] = {
  0xbbbbb82bb7b128ae, 0x77774b0b90242b1b, 0x4da9edbc5fa6ef77, 0x7c22785ee9932f76, 0xfd3db22244d8413c,
  0x64cfa9e9827c64ee, 0xe0e1716f852ebfed, 0xe8dd5ed1c86df6e9, 0x57d441fed68c1453, 0xf51f06cc1ad7f51e,
  0x86e1d7d803f8afa8, 0xcc00d7d2d8cb8e13, 0xf1cead2e0a0e87dc, 0xba1d7a1a9dad647c, 0x38ec08747ac9ed56,
  0x197fe017b2d97ce0, 0xf60e2f19a9a546c1, 0xff39debb7e06211f, 0xafe6f1ca50603b91, 0x7dcbaa9cbca6c677,
  0xaa2d2d7cf43e15d1, 0xeb7cdb005156e97a, 0x26865c9ab8d87d6a, 0xdbeacc7903b6868b, 0x9e985a0df8da216c,
  0x8765bac271966b21, 0xd90fcf257ee68665, 0x0000000000a7c6e3,
};

// t441_u2x8_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_noled_pr_ce[] = {
  0x777770576f62422f, 0x77774b0c39005637, 0xcd88a45b1fad4f77, 0xa1f8bddddf0b7ec4, 0xc9dd3f7a6c591cc6,
  0xffdac99f5f7304f8, 0xedd3c1c2e2df0b1e, 0xf6a7d1babda390db, 0xcf2f2e0e20163fae, 0xb59339d7736bdbaf,
  0x0f59ea393d3dcb2e, 0x580b917a08e38e04, 0x5e8f9d843a3d61cc, 0x414cf2a01ffb33c7, 0x47fd8d54903cb5ba,
  0xe47fce77aedf8188, 0x9debf9bc7294180e, 0x745f72eaa72f29b1, 0x5eaa8b4b5f3d0f85, 0xb575be6d80231dba,
  0x4593432e4d5c6c3e, 0xb66df5663c81db43, 0x90cf4c2d06fc6d10, 0x32c3b2dd6138cb35, 0x5d8c87e792bf7343,
  0x0000000000000b75,
};

// t441_u2x8_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_noled_pr_ee_ce[] = {
  0xbbbbbb82bb7b1762, 0x777774b1702c2ab1, 0x335e9c2f697a34f7, 0x066b4488789ddf16, 0xc9dde4bab8d1d9bb,
  0xbfdac99f275304f8, 0xedd3c1c2e2df0b15, 0x88a7d1babda390db, 0x2f2e0e54ab1fd51c, 0xe673aee6d7ddafcf,
  0x8f2b9b80ddac0b07, 0x4c7d47c1b307bdfa, 0xc270dc3afb07202b, 0x7fad801afa5b1971, 0x843a313e73ab5c2d,
  0x73daaf4e0ebc019d, 0x72ce038ec482a3c6, 0x0c90d4813805ecb8, 0x9cef5dbf03108ffb, 0x7f378392b01dc8ff,
  0xf36ea5ab94a5f3bd, 0xbee33cc6085a7717, 0x575be6da7a1f0ae8, 0x593432e4d5c6c3eb, 0x66df5663c81db434,
  0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0x38c87e792bf73433, 0x000000000000a69f,
};

/*
 * t441_u2x8_uart0_alt1_lednop_pr    t441_u2x8_uart0_alt1_lednop_pr_u4 t841_u2x8_uart0_alt1_lednop
 * t841_u2x8_uart0_alt1_lednop_pr    t841_u2x8_uart0_alt1_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart0_alt1_lednop[] = {
  0xdddddc15dacdfc4f, 0xbbbba58b813c958d, 0xfcdf83a1cd75fbbb, 0xd0bdeadbbba3082f, 0xf8c9ddb1fb50d04a,
  0x377ff3eecfa01304, 0xdbedd3c1c2e2df0b, 0x6486a7d1babda390, 0x0206693d47278ef9, 0x0b7ba6c8bd0471c7,
  0x5ced52d1c829cc58, 0xac905dc72c608ebc, 0x4ef5dbf03108ffb0, 0xfa8301dc8ff9e040, 0x94e4a7407afe6f00,
  0x0f85745f76f9537a, 0x56e97aaa2d2b093d, 0x61f5abadf36ca9d1, 0x2068fe34593431bb, 0xbf1b442d9b7d598f,
  0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x0003e439ce4d69e4,
};

// t441_u2x8_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_lednop_pr_ee[] = {
  0xdddddc15dbd8ad4e, 0xbbbba585c832158d, 0x2164cb8c33d697bb, 0x5f089e17ba64cbd9, 0xf91d34a8cf1795b0,
  0x64cfcae9827c64ee, 0xe0e1716f8560bfed, 0xe8dd5ed1c86df6e9, 0x57dd41fed68c1453, 0xf51f06cc1ad7f51e,
  0x86e1d7d803f8afba, 0xcc00d7d2d8cb8e13, 0xf1cead2e800e87dc, 0x743af4353b41f464, 0xc76305a34873daad,
  0xcbff00bd96cbe701, 0x60e2e414cf2a3608, 0x809debb7e06211ff, 0x01f50603b91ff3c0, 0xf529c94e80f5fcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0xc6c3eb575be6d953, 0x1db434593432e4d5, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x053e749cc87e792b,
};

// t441_u2x8_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_lednop_pr_ce[] = {
  0x777770576f622a9c, 0xeeee961873c7d637, 0x0099d08f4f6c9eee, 0x0bf8feeeef85bf68, 0x93ba34f7179a5b1f,
  0x7fb5933ffba609f1, 0xdba78385c5be1603, 0xed4fa3757b4721b7, 0x9e5e5c1cea2c7f5d, 0x6b2673aee6d78adf,
  0x1eb3d47e927b965d, 0x580af7dad1c71c08, 0x7a3e76c168d219cc, 0x71348a807feccf1d, 0x47fd89abe0796b70,
  0xcf020277aedf8188, 0xf37807d4180ee47f, 0xca9bd4a7253a03d7, 0x5849e87c2ba2fbb7, 0xca9c63b74bd55169,
  0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3, 0xb09c659ac867a616, 0xc95fb9a19961d96e,
  0x000005baa04643f3,
};

// t441_u2x8_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_lednop_pr_ee_ce[] = {
  0xbbbbb82bb5112d7b, 0xeeee962e05416b1b, 0x4cfde14b8f7e9eee, 0xb1221e2775d7c003, 0x7276c1b764d16a29,
  0x01cfd0fcc13e3277, 0xc1c2e2df0a707fee, 0xd1babda390dbedd3, 0xa453d63faa30f6a7, 0x7736ba1f7e797975,
  0x4f0376b028f9339d, 0x7c1b307917d47958, 0x875f60e405613fd4, 0x035f4b632e384e1b, 0x93c73ab5c201f5b0,
  0xf4e0ebd0d4ed07d1, 0x1c76305a34873daa, 0x4502700bd96cbe70, 0xfd9d3d20a67951b0, 0x020277aedf818847,
  0x7807d4180ee47fcf, 0x9bd4a7253a03d7f3, 0x49e87c2ba2fbb7ca, 0x9c63b74bd5516958, 0xae361f5abadf36ca,
  0x40fca1a2c9a19726, 0x7e36885b36fab31e, 0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x0029a7d3d38773c9,
};

static const uint64_t ur_t441_u2x8_uart0_alt1_dual[] = {
  0x7eeeeeef89d44511, 0xeeeeeee1fdb793bd, 0xa2ea3397761b4056, 0x9d914eb13bbbb0ce, 0x7c64ad172fb5ba58,
  0xf64c8c1548ca8982, 0xc285620dc1362063, 0x4cd13ba78436fc40, 0xfb8e095a674bf995, 0x10331f37a8f52b61,
  0xaff31a04508e4838, 0xbc98805a13eb87c0, 0x0865a110a2197b10, 0x9dff4073c26c8b15, 0x588662010e310b7f,
  0xc2c7bff28254c160, 0xe436fb74f070b8b7, 0xbe5967a9f46eaf68, 0xe38103a97ea38df3, 0x1602a9a9be411638,
  0xbdd2ddb9e46d7c73, 0xde5620bdc72c608e, 0xe779e03ba72f339c, 0xbd76fc0c423fec9c, 0xa0c07723fe781013,
  0xa7253a03d7f3796e, 0x810b4e02f7ca9bd4, 0xd3d0f85745f70ea2, 0x26ae361f5abadf36, 0xf8da216cdb8bf097,
  0x71966b219e985a0d, 0x7ee686658765bac2, 0x0032dfb74e1dcf25,
};

// t441_u2x8_uart0_alt1_dual_pr_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_dual_pr[] = {
  0x777777c4ef3e173e, 0x777770fedb015ebf, 0x58a72339c5bf6b77, 0x82ac4eeeed055c6f, 0x772dfbdebb44f1ec,
  0x2a91951304f8c906, 0x1b826c40c7ec9918, 0x4f086df881850ac4, 0xeb3143fcca2a9277, 0x9bd47f9db090e702,
  0x022847241c081945, 0x6d89f5c3e057f98d, 0x0a22197b10bc9882, 0x39e13443150865a0, 0x00871885bfceffa0,
  0xfe80ca60b02c4331, 0x6e9e0e1716f858f7, 0x353e8dd5ed1c86df, 0x3c17ea3bde77cb5c, 0x899b4a88638e3810,
  0x76ded1acf398b016, 0xaa01ffb30475efc3, 0xc53903cb3dbe7aa5, 0xde780ee9cbcce737, 0x5dbf03108ffb2739,
  0x301dc8ff9e0404ef, 0x4a7407afe6f00fa8, 0x5745f76f9537a94e, 0x97aaa2d2b093d0f8, 0x5abadf36ca9d156e,
  0xa2c9a19726ae361f, 0xd9b7d598f20669f1, 0x433d30b41bf1b442, 0xcb0ecb7584e32cd6, 0x3270449e4afdcd0c,
  0x0000000000000310,
};

// t441_u2x8_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_dual_pr_ee[] = {
  0xeeeeeef89de7ce7c, 0xeeeeee1f5369cbd7, 0x5bb287b0ebed17ee, 0xb2d550ec8eec4e37, 0xe4843bdd8fccfb4f,
  0x488fba609f192b06, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x30cdfe6515493ba7, 0xa8e96b60168e063f,
  0x508e48381031ad37, 0x13eb87c0aff31a04, 0x4432f62179310e5a, 0x0997dc5421968256, 0x71885bf4fffd01cf,
  0x0ca60b02c4331008, 0xe0e1716f85d9dfe8, 0xe8dd5ed1c86df6e9, 0xac3dc1fed68cf553, 0xf51f06cc1e49ea3c,
  0x0dc3afb007f1584f, 0x9801afa5b1971c27, 0x439d5a5d001d3da9, 0xba1d78cf3b08a8fa, 0xe3b15fd1d4b9ed56,
  0x4bff00bd977bb380, 0x3ba72f339cde3ad6, 0x0c423fec9ce779e0, 0x23fe781013bd76fc, 0x579d01ebf9bcc077,
  0x42d2a7c05a9c914b, 0xa1f0ae8bee97f8a0, 0x5c6c3eb575be6da7, 0x0cd3e34593432e4d, 0xe36885b36fab31e4,
  0xc659ac867a616837, 0xfb9a19961d96eb09, 0x00c8539ce0893c95,
};

// t441_u2x8_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_dual_pr_ce[] = {
  0xeeeeef89de7c50e3, 0xeeeee1f2669cbd7e, 0x4af9d927ded8beee, 0xd4d8b777792dc1d9, 0x6e5ddea8fb85b3e2,
  0x548d506609f19364, 0xdc1362063f64c8c1, 0x78436fc40c285620, 0x6986b7e6515493ba, 0xdea3efbd869b3845,
  0x11423920e040d4f4, 0x5c4fae1f02bfcc68, 0xed10cbd885e4c43f, 0x3c2609f150865a01, 0x10e310b7df7ff407,
  0xd0194c1605886620, 0xd3c1c2e2df0b21ff, 0xa7d1babda390dbed, 0x97979dbf963fac42, 0xf339d7736bf4ffe7,
  0xffa8e3e4f72cbaaf, 0x59c5ef8e38e040eb, 0x0ddb7b46b3ce62c0, 0x96a807feccf1d7bf, 0x37c53903cb5bb9ea,
  0x39de780ee9cbcce7, 0xef5dbf03108ffb27, 0xa8301dc8ff9e0404, 0x4e4a7407afe6f00f, 0xf85745f76f9537a9,
  0x6e97aaa2d2b093d0, 0x3eb575be6d9538c7, 0xe34593432e4d5c6c, 0x85b36fab31e40cd3, 0xac867a616837e368,
  0x19961d96eb09c659, 0xce14e0893c95fb9a, 0x0000000000000e7a,
};

// t441_u2x8_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart0_alt1_dual_pr_ee_ce[] = {
  0xddddddf13a8618be, 0xbbbbb87f6decdfaf, 0xbbb44f2afdf71bbb, 0x86b4824bbdd415b2, 0x2abdef1fde0b0f90,
  0x063d7304f8c93757, 0x26c40c7ec99182a9, 0x86df881850ac41b8, 0xfaff9967d06774f0, 0x3d6fec2001c0524d,
  0x47241c081cedcdea, 0xf5c3e057f98d0228, 0x32f6217931000009, 0xb2b454219686ce44, 0x885bd6fffd01cf09,
  0x260b02c433100871, 0xc2e2df0a337ff327, 0xbabda390dbedd3c1, 0x8e563faa3726a7d1, 0x36bcc37e78580612,
  0x0376b02829339d77, 0x0d9839bbd4795c06, 0xafb07202b80dea3e, 0xafa5b1971c270dc3, 0xe73ab5c07bfad801,
  0xe0ebd20aedf2231b, 0x3b1bda359f3daaf4, 0x09c02f65dd4f380e, 0xf4f35f243546c114, 0xde780ee9cbcce737,
  0x5dbf03108ffb2739, 0x301dc8ff9e0404ef, 0x4a7407afe6f00fa8, 0x5745f76f9537a94e, 0x97aaa2d2b093d0f8,
  0xb575be6d9538c76e, 0xddc68b2686376c3e, 0xda216cdbeaccdfc1, 0x966b219e985a0df8, 0xe686658765bac271,
  0xc113ebd2a0cf257e, 0x0000000000000004,
};

/*
 * t441_u2x8_uart1_noled_pr          t441_u2x8_uart1_noled_pr_u4       t841_u2x8_uart1_noled
 * t841_u2x8_uart1_noled_pr          t841_u2x8_uart1_noled_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart1_noled[] = {
  0x377777625acdc49f, 0xdddddd2c39cb67d6, 0x49bbfc49a0ef1fdd, 0xe2e847edbbbb49fd, 0x9f193ba0bf4b8ad1,
  0x17cffe7dd9f9c660, 0x5ed1c86df6e9f901, 0xf4077cb08753e8dd, 0x0e38e38103417ea3, 0x61cc580b2ca65af7,
  0x30475e8f9d843a3d, 0xcf6e414cf2a01ffb, 0x06223bf6355240f2, 0x603ba3bf39e5db7e, 0xa6c67977e6f1ca50,
  0x3e15d17dcbaa9cbc, 0x56e97aaa2d2d7cf4, 0xd87d6aeb7cdb0051, 0xc81a3f8d164d0c6e, 0x6fc6d10b66df5663,
  0x138cb3590cf4c2d0, 0x2bf734332c3b2dd6, 0x000f90e93b935a79,
};

// t441_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart1_noled_pr_ee[] = {
  0xdddddd896f623f3e, 0xbbbbba5843bb2758, 0xb5385fe94d8d2b7b, 0x401b39713bac1f67, 0xdd23fb417a72d185,
  0xdac99f297304f8c9, 0x436fb74fc808e97f, 0xb460a29f46eaf68e, 0xd6bfa8f2bea20ff6, 0x1fc57d47a8f83660,
  0xc65c709c370ebec0, 0x50743ee66006be96, 0xed6b23e78e756970, 0xd64f6ab5d0ebd0d4, 0x96cbe701c76043a3,
  0x4d2a3608cbff00bd, 0xf03111dfb07178cd, 0x8301dd1df9cf2edb, 0xe53633cbbf378e52, 0xa1f0ae8bee5d54e5,
  0x8ab74bd551696be7, 0xc6c3eb575be6d802, 0x1db434593432e4d5, 0xc6d10b66df5663c8, 0x8cb3590cf4c2d06f,
  0xf734332c3b2dd613, 0x053e0bf6c87e792b,
};

// t441_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4ff37a, 0x20da6f07d5b7d2ee, 0x3638fd69b3f77775, 0xe609f193bb8ef731,
  0x202775ffcfbb3f1e, 0x1babda390dbedd3f, 0xe125af63faf40a7d, 0x3aee6d790ff9e5e5, 0x76be9ee59758ce67,
  0xed471c702078cfd4, 0xa446678e62c05e81, 0xb71cb19e3af173b1, 0xb7e06223bf60ea1a, 0x725603ba3bf39e5d,
  0xb57294be7977e6f0, 0x98c10b4ee2fe6dd4, 0xdb4f43e15d17dc67, 0x4d0c6ed87d6aeb7c, 0xdf5663c81a3f8d16,
  0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c, 0x935a792bf734332c, 0x0000000005ba81cb,
};

// t441_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart1_noled_pr_ee_ce[] = {
  0x377777625bd8b562, 0xdddddd2c39cac9d6, 0xafd6a7e3cfdec33d, 0x3630a4f5df9baf23, 0xc9dda67a47ee0833,
  0xffdac99f1ad304f8, 0x8e436fb74fc809a6, 0x7f5472229f46eaf6, 0x1a3f3cbcb838516c, 0x58160fcce75dcdae,
  0x0f7bf51e560a01bb, 0x0e405710fa8f8366, 0xb632e384e1b875f6, 0xab5c3dff5b0035f4, 0xbc019dabfa3a9673,
  0x3ed1d133daaf4e0e, 0x017b2e1cb380e3b0, 0x3111dfb0c8e9a04e, 0x01dd1df9cf2edbf0, 0x4d8cf2efcde5ba83,
  0x182169bd57553979, 0xd3d0f85745f739b3, 0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3,
  0xb09c659ac867a616, 0xc95fb9a19961d96e, 0x00000a69e9c643f3,
};

/*
 * t441_u2x8_uart1_lednop_pr         t441_u2x8_uart1_lednop_pr_u4      t841_u2x8_uart1_lednop
 * t841_u2x8_uart1_lednop_pr         t841_u2x8_uart1_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x8_uart1_lednop[] = {
  0xc6eeeeec4b59bb37, 0xbbbbbba5873917ba, 0xd49b3f77fafdf4bb, 0x8e3f5a1b5bbbb49f, 0x827c64eee3bdcc4d,
  0x092fbff9f767cf59, 0xeaf68e436fb74fc8, 0x1ed63be5843a9f46, 0xef71c71c081a0bf5, 0xa43398b016594d10,
  0xd9823af47ced82d1, 0xcb3db0e2691500ff, 0xfc0c4477ec4d5f03, 0x77477e781013cbb6, 0xd025df9bc03ea0c0,
  0x17ddbe54dea53929, 0xaa8b4ac24f43e15d, 0xeb7cdb2a7455ba5e, 0x8d164d0c6ed87d6a, 0x0b66df5663c81a3f,
  0x590cf4c2d06fc6d1, 0x332c3b2dd6138cb3, 0x01cb935a792bf734, 0x00000000000007c8,
};

// t441_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart1_lednop_pr_ee[] = {
  0x6eeeeec4b7b128ae, 0xeeeeee9610ec90ac, 0xec9b53db78bf4dde, 0x78fd9cb89dd60fb3, 0xddfa7b644489b082,
  0xdac99f53d304f8c9, 0x436fb74fc8085d7f, 0xb460a29f46eaf68e, 0xd6bfa8f2beea0ff6, 0x1fc57dd7a8f83660,
  0xc65c709c370ebec0, 0x00743ee66006be96, 0xda0fa3278e756974, 0x439ed56ba1d7a1a9, 0xb65f380e3b182d1a,
  0x7951b0465ff805ec, 0x03111dfb071720a6, 0xd1df9e0404f2edbf, 0x0977e6f00fa8301d, 0xf76f9537a94e4a74,
  0xa2d2b093d0f85745, 0xdf36ca9d156e97aa, 0xa19726ae361f5aba, 0xfab31e40eda1a2c9, 0xa616837e36885b36,
  0xd96eb09c659ac867, 0x43f3c95fb9a19961, 0x0000000029f1b8f6,
};

// t441_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddd896f62422f, 0xeeeee962b4fc0158, 0x99b1148b63f5a9ee, 0xd43f17bbbb71387c, 0x193ba7ef4d8b2398,
  0xdffb5933ebee609f, 0xd1c86df6e9f90123, 0x8b1fd77b53e8dd5e, 0xb5e2b7e79797073a, 0x9ee5975ac99cebb9,
  0x71c70207acf51fa4, 0x3486731602bdf6b4, 0xfb33c75e8f9db05a, 0x1e5adc1c4d22a01f, 0xb7e06223bf626af8,
  0x03ba3bf3c0809e5d, 0x4e812efcde01f506, 0xe8beedf2a6f529c9, 0xf5545a56127a1f0a, 0xaeb7cdb2a718edd2,
  0xb26865c9ab8d87d6, 0xcdbeacc7903b6868, 0x19e985a0df8da216, 0x58765bac271966b2, 0xb190fcf257ee6866,
  0x0000000000016eab,
};

// t441_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xddddddd2c39cb0aa, 0x3afd7a70bda5e8d3, 0x60cd684f5df9baf2, 0x193bbc97571a3b37,
  0xb7fb5933e4ea609f, 0xd1c86df6e9f90122, 0x8fea8e4453e8dd5e, 0xf4d7e79797071c9d, 0x6b02c1f99cebb9b5,
  0xc1ef7ea3cae71037, 0xc1c80af24f51f06c, 0x96c65c709c370ebe, 0x756b8887eb6006be, 0xd78033b60b4621ce,
  0x0e28e4167b55e9c1, 0x00bd970e59c071d8, 0x6223bf6193589027, 0x3bf3c0809e5db7e0, 0x0977e6f0725603ba,
  0x315953b8b29cbe74, 0x745f77d663042d3c, 0xf5abadf36d3d0f85, 0x1a2c9a19726ae361, 0x85b36fab31e40eda,
  0xac867a616837e368, 0x19961d96eb09c659, 0x4f9c643f3c95fb9a, 0x0000000000000053,
};

static const uint64_t ur_t441_u2x8_uart1_dual[] = {
  0xbf777776fcd44511, 0x77777770ffa50dde, 0xf62627725b0da02b, 0x6453848eeeee2f7a, 0x3254ddcbed6e9627,
  0x4c8c154866fcc13e, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0xce05166727f9954c, 0x0cca9bd477f360be,
  0xfcc6811423920e04, 0x26201684fae1f02b, 0x32d05ae8865ec42f, 0xffa039e1341f8a84, 0x219880438c42ddfc,
  0x43d7fca095305816, 0x57b4721b7dba7e40, 0xc6f9df2cb3d4fa37, 0x8b1c71c081d4bf51, 0x7c731602a9a9a6ec,
  0x608ebdd2ddba046d, 0x6739bcac6bedc72c, 0xd939cef3c0774e5e, 0x2027976df81888ef, 0x807d4180ee8efcf0,
  0xbd4a7253a04bbf37, 0x9e87c2ba2fbb7ca9, 0xe8ab74bd55169584, 0x71b0fad5d6f9b654, 0xd10b66dc5f84b935,
  0xb3590cf4c2d06fc6, 0x34332c3b2dd6138c, 0x96fdba70ee792bf7, 0x0000000000000001,
};

// t441_u2x8_uart1_dual_pr_u4
static const uint64_t ur_t441_u2x8_uart1_dual_pr[] = {
  0x777776fcde7c4c7f, 0x777770ffa57adebf, 0x39998911eda75b77, 0x61a276eee8d368a5, 0x0b958bec6aaaf6c5,
  0x0aa45254c13e3259, 0x06e09b1031fb2646, 0xd3c21b7e206142b1, 0xd2cc70ff328aa49d, 0xa6f51ff76c12b1c1,
  0x408a11c907020701, 0xff827d70f815fe63, 0x3244432f62179310, 0x0e784cb5e2a10cb4, 0x4021c6216ffbbfe8,
  0xffa032982c0b10cc, 0x1c86df6e9f90136f, 0x77cb5c353e8dd5ed, 0x8e38103c17ea3bde, 0x98b016899b4a8863,
  0x75efc376ded1acf3, 0xbe7aa5aa01ffb304, 0xcce737c53903cb3d, 0xfb2739de780ee9cb, 0x0404f2edbf03111d,
  0xf00fa8301dd1df9e, 0x37a94e4a740977e6, 0x93d0f85745f76f95, 0x9d156e97aaa2d2b0, 0xae361f5abadf36ca,
  0x0669f1a2c9a19726, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x000c420570449e4a,
};

// t441_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_t441_u2x8_uart1_dual_pr_ee[] = {
  0xbbbbbb7e6f3e43ee, 0xbbbbb87f1d9cef5f, 0xefda3b5bf7a3afbb, 0xc218dba0bbb70605, 0x5933535da7ac5fae,
  0x867ae609f1934cee, 0x1362063f64c8c154, 0x436fc40c285620dc, 0x74ffe6515493ba78, 0x1ce0ec3abce143f3,
  0x11c9070207b3a6f5, 0x7d70f815fe63408a, 0x865ec42f262130c2, 0x318f8a8432d028a8, 0x1885b85affa039e1,
  0xca60b02c43310087, 0x7dba7e404d37fe80, 0x3d54fa3757b4721b, 0x7a8f2b31f07fb5a3, 0x2beebd47c1b30792,
  0xe384e1b875f600fe, 0xa7b5330035f4b632, 0x7d1dac73ab4b9ea3, 0x7b55ae875e33ced0, 0xece038ec60b4621e,
  0x3a4172ffc02f65de, 0x79e03ba72f339cde, 0xb6fc0c4477ec9ce7, 0xc077477e781013cb, 0x253a04bbf3796ea0,
  0x0b4e02f7ca9bd4a7, 0xd0f85745f70ea281, 0xae361f5abadf36d3, 0x0669f1a2c9a19726, 0xf1b442d9b7d598f2,
  0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x06429d2770449e4a,
};

// t441_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_t441_u2x8_uart1_dual_pr_ce[] = {
  0x777776fcde7c92df, 0x777770fb11d95ebf, 0xf8ed1ba67da58b77, 0x739a76eee9898e2a, 0x05b9227ed689b086,
  0x82a91dd69827c64d, 0x41b826c40c7ec991, 0x74f086df881850ac, 0xb7536cefcca2a927, 0xb9bd47c09b095c70,
  0xd022847241c08194, 0x21f09f5c3e057f98, 0x1dd22197b10bc988, 0x039e13695150865a, 0x100871885be04ffa,
  0xdfe80ca60b02c433, 0x4721b7dba7e4044a, 0x2c7f58854fa3757b, 0xd7e9ffcf2f2f3b7f, 0xee59755fe673aee6,
  0x71c081d7ff51c7c9, 0x679cc580b38bdf1c, 0x99e3af7e1bb6f68d, 0x96b773d52d500ffd, 0xd39799ce6f8a7207,
  0x223bf64e73bcf01d, 0xbf3c0809e5db7e06, 0xefcde01f50603ba3, 0xdf2a6f529c94e812, 0xa56127a1f0ae8bee,
  0xdb2a718edd2f5545, 0x5c9ab8d87d6aeb7c, 0x63c819a7c68b2686, 0xd06fc6d10b66df56, 0xd6138cb3590cf4c2,
  0x792bf734332c3b2d, 0x00001cf5d8ffc112,
};

// t441_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeeedf9a869a4e, 0x7777770ffa5eefd7, 0x913eabd3ef70fb77, 0xe3af85725ddb0caf, 0x7d5f6fae3c3c995d,
  0x17459827c64c0bb9, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x0fbf32cfa0cee9e1, 0x77f9b0c40706bb99,
  0x47241c0818689bd4, 0xf5c3e057f98d0228, 0x32f62179310ba189, 0x982c54219686fb44, 0xc42ddfe7fd01cf09,
  0x9305816219880438, 0xdba7e404e9fff993, 0x4d4fa3757b4721b7, 0xb00c251cac7f546e, 0x673aee6d7986fcf0,
  0xf2b80c06ed605052, 0x1bd47c1b307377a8, 0x4e1b875f60e40570, 0xf5b0035f4b632e38, 0xe44637ce756b80f7,
  0x7b55e9c1d7a415db, 0x9e701c7637b46b3e, 0x8d822813805ecbba, 0x99ce6fe9e6be486a, 0xf64e73bcf01dd397,
  0x0809e5db7e06223b, 0xe01f50603ba3bf3c, 0x6f529c94e812efcd, 0x27a1f0ae8beedf2a, 0x718edd2f5545a561,
  0x6ed87d6aeb7cdb2a, 0x99bf83bb8d164d0c, 0xb41bf1b442d9b7d5, 0x7584e32cd6433d30, 0x9e4afdcd0ccb0ecb,
  0x000002608f5ba541,
};

/*
 * t441_u2x12_uart0_noled_pr         t441_u2x12_uart0_noled_pr_u4      t841_u2x12_uart0_noled
 * t841_u2x12_uart0_noled_pr         t841_u2x12_uart0_noled_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0x777774b0c3942563, 0x2922993c3fac4777, 0x6bf8bbf37774880b, 0x3e32775a9ef8f640,
  0x029ffcfbb3fa54c1, 0x1bf9bce3d56e9e0e, 0x2c21d4fa3757b472, 0xe040d05fa8fd01df, 0x02cb2996bdc38e38,
  0xa3e7610e8f587316, 0x533ca807fecc11d7, 0xfd8d54903cb3db90, 0x7fce77aedf818847, 0xebf9bc7294180ee4,
  0x5f72eaa72f29b19d, 0xaa8b4b5f3d0f8574, 0xbadf36c01455ba5e, 0xe34593431bb61f5a, 0x42d9b7d598f2068f,
  0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0x054ee4d69e4afdcd, 0x00000000000000f9,
};

// t441_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b106585563, 0xf4ec7933067b8bf7, 0xa19c146d37783d08, 0xeae3da8b1c5905a2,
  0xd64cfb059827c64e, 0x9c7aadd3c1c387fe, 0x9f46eaf68e437f37, 0xf2bea20ff6b460a2, 0x47a8f83660d6bfa8,
  0x9c370ebec01fc57d, 0xe66006be96c65c70, 0xe78e75697050743e, 0xb5d0ebd0d4ed6b23, 0x01c76043a3d64f6a,
  0x08cbff00bd96cbe7, 0xffb07178cd4d2a36, 0x8ff9cef5dbf03108, 0xbd7f378e528301dc, 0x8bee5d54e5e53633,
  0xd551696be7a1f0ae, 0x575be6d8028ab74b, 0x593432e4d5c6c3eb, 0x66df5663c81db434, 0x0cf4c2d06fc6d10b,
  0x2c3b2dd6138cb359, 0x28c87e792bf73433, 0x0000000000053e1c,
};

// t441_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_noled_pr_ce[] = {
  0xdddd893bb7b16668, 0xbbbba581061b758d, 0x18ebf9b82fdb1fbb, 0xf2e25ef77746d14c, 0xc64ee9bbd642a2f8,
  0xf7fed64cfc069827, 0x7f379c7aadd3c1c0, 0xbbda9f46eaf68e43, 0xbf3cbcb8388058fe, 0xbad64ce75dcdaf6e,
  0x103d67a8e4f4f72c, 0x31602e45e8238e38, 0x1d7a3e7610e8f587, 0xe90533ca807feccf, 0x211ff6355240f2d6,
  0x3b91ff39debb7e06, 0xc677afe6f1ca5060, 0x15d17dcbaa9cbca6, 0xe97aaa2d2d7cf43e, 0xfad5d6f9b6008c76,
  0x0d164d0cb93571b0, 0x42d9b7d598f2076d, 0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0xd718b21f9e4afdcd,
  0x000000000000002d,
};

// t441_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c30e61558, 0xa5d7a70bda5e8d3d, 0x19ad0308c1f74bdf, 0x277792eae34766ec,
  0xff6b267c9d4c13e3, 0x9bce3d56e9e0e456, 0x114fa3757b4721bf, 0x5e5c1c28b63faa39, 0xe673aee6d70d1f9e,
  0x8f2b0500ddac0b07, 0x887d47c1b307bdfa, 0xc270dc3afb07202b, 0xffad801afa5b1971, 0xd5fd1d4b39d5ae1e,
  0x99ed57a7075e00ce, 0x0e59c071d81f68e8, 0xd86474d02700bd97, 0xfce77aedf818847f, 0xafe6f2dd4180ee47,
  0xdeabaa9cbca6c677, 0x2ba2fb9cd98c10b4, 0x0fad5d6f9b69e87c, 0xd0d164d0cb93571b, 0x442d9b7d598f2076,
  0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0x9a7ce321f9e4afdc, 0x0000000000000002,
};

/*
 * t441_u2x12_uart0_lednop_pr        t441_u2x12_uart0_lednop_pr_u4     t841_u2x12_uart0_lednop
 * t841_u2x12_uart0_lednop_pr        t841_u2x12_uart0_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdc49f, 0xddddd2c30e6cfac6, 0x5bbfc49a0ef1fddd, 0x2e847edbbbb9ac16, 0xf193ba0bf4b8ad1e,
  0x7cffe7dd9f9c6609, 0xdfcde71eab74f071, 0x6486a7d1babda390, 0x0206693d47278ef9, 0x0b7ba6c8bd0471c7,
  0x5ced52d1c829cc58, 0xac905dc72c608ebc, 0x4ef5dbf03108ffb0, 0xfa8301dc8ff9e040, 0x94e4a7407afe6f00,
  0x0f85745f76f9537a, 0x56e97aaa2d2b093d, 0x61f5abadf36ca9d1, 0x2068fe34593431bb, 0xbf1b442d9b7d598f,
  0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x003e43a4ee4d69e4,
};

// t441_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee9620c904ac6, 0xc29e9c007ef619ee, 0x0bce0a369bbc1e84, 0xed33d23f704199b1,
  0xd64cfe569827c64e, 0x9c7aadd3c1c287fe, 0x9f46eaf68e437f37, 0xf2beea0ff6b460a2, 0xd7a8f83660d6bfa8,
  0x9c370ebec01fc57d, 0xe66006be96c65c70, 0x278e75697400743e, 0x6ba1d7a1a9da0fa3, 0x0e3b182d1a439ed5,
  0x465ff805ecb65f38, 0xfb071720a67951b0, 0x0404ef5dbf03108f, 0xf00fa8301dc8ff9e, 0x37a94e4a7407afe6,
  0x93d0f85745f76f95, 0x9d156e97aaa2d2b0, 0xae361f5abadf36ca, 0x40eda1a2c9a19726, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x00053e69c643f3c9,
};

// t441_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_lednop_pr_ce[] = {
  0xdddd893bb7b12d3a, 0xbbbba58106a8758d, 0x0db18f263bd7a7bb, 0xbf311afbbba368a6, 0xe32775a5e83323e0,
  0xfcff6b267ca2cc13, 0xdfcde71eab74f071, 0xaef6a7d1babda390, 0x6fcf2f2e0e75163f, 0x2eb59339d7736bc5,
  0x040f59ea3f493dcb, 0xe62c057bed68e38e, 0x8ebd1f3b60b4690c, 0xb8389a45403ff667, 0xc423fec4d5f03cb5,
  0x3fe781013bd76fc0, 0xebf9bc03ea0c0772, 0xdbe54dea53929d01, 0xb4ac24f43e15d17d, 0x9b654e31dba5eaa8,
  0xcb93571b0fad5d6f, 0x598f2076d0d164d0, 0x0b41bf1b442d9b7d, 0xb7584e32cd6433d3, 0xf9e4afdcd0ccb0ec,
  0x00000005bae10b21,
};

// t441_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xeeeee96187090ac6, 0x2ed9305e34f685ee, 0xbd0418460fba5efd, 0x3bab077e9c4e3f78,
  0xf700e7fabe609f19, 0x79c7aadd3c1c8e5f, 0x29f46eaf68e437f3, 0x2eb49fbac7f54722, 0x73aee6d74dbfcf2f,
  0x572f80ddac0b07e6, 0x7a8f83660f7bf51e, 0xe1b875f60e4057f2, 0x5b0035f4b632e384, 0xe46d7c73ab5c263f,
  0xdaaf4e0ebc019db9, 0x59c071d8d6233493, 0xc8a6902700bd970e, 0x4ef5dbf03108ffb0, 0xe6f301dc8ff9e040,
  0x6a72452d5e7407af, 0x74bf98c10b4a9f01, 0xadf36d3d0f85745f, 0x9a19726ae361f5ab, 0x6fab31e40fca1a2c,
  0x7a616837e36885b3, 0x1d96eb09c659ac86, 0x38773c95fb9a1996, 0x0000000014d32717,
};

static const uint64_t ur_t441_u2x12_uart0_dual[] = {
  0xddddbf183ea232a8, 0xddddc3e4ce277afd, 0xdb83d39a76d86ddd, 0x51ba323bbba7ec20, 0x64921729c5bacf8a,
  0x4c8c15486729827c, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0x4e0e4e6f9df9954c, 0x38f737a8ebef6051,
  0xf31a04508e483810, 0x310a1f13eb87c0af, 0xcb41314432f62179, 0xff4073c268ca2a10, 0x8662010e310b74ad,
  0x07bff28254c16058, 0x1bf9bce3d56e9e0e, 0x2cb3d4fa3757b472, 0xc081d4bf51c6f9df, 0x0154d4df208b1c71,
  0xe96edcf236be398b, 0x2b105ee39630475e, 0xbcf01dd39799ce6f, 0xbb7e06211ff64e73, 0x603b91ff3c0809de,
  0x929d01ebf9bcb750, 0x85a7017be54dea53, 0xe87c2ba2fb875140, 0x571b0fad5d6f9b69, 0x6d10b66dc5f84b93,
  0xcb3590cf4c2d06fc, 0x734332c3b2dd6138, 0x2dfd38e70ee792bf, 0x0000000000000003,
};

// t441_u2x12_uart0_dual_pr_u4
static const uint64_t ur_t441_u2x12_uart0_dual_pr[] = {
  0xdddbf183ef3e304a, 0xdddc3e4cec37afdd, 0x3757055f6ce2dddd, 0x2323bbbaf5cd2bb2, 0x722afd2c4804ed36,
  0xa90ce5304f8c92b7, 0xb826c40c7ec99182, 0xf086df881850ac41, 0x7314bfcca2a92774, 0xbd474adb074a7038,
  0x22847241c081d4a9, 0x409f5c3e057f98d0, 0xb910cbd885e4c403, 0xcf099318a8432d09, 0x0438c42dd2b7fd01,
  0xf406530581621988, 0xbce3d56e9e0e07bf, 0xd4fa3757b4721bf9, 0xf05fa8ef79df2d70, 0x266d2a218e38e040,
  0xdb7b46b3ce62c05a, 0xa807fecc11d7bf0d, 0x14e40f2cf6f9ea96, 0x79e03ba72f339cdf, 0x76fc0c423fec9ce7,
  0xc07723fe781013bd, 0x29d01ebf9bc03ea0, 0x5d17ddbe54dea539, 0x5eaa8b4ac24f43e1, 0x6aeb7cdb2a7455ba,
  0x8b26865c9ab8d87d, 0x66df5663c819a7c6, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0xd9c112792bf73433,
  0x0000000000003105,
};

// t441_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_dual_pr_ee[] = {
  0xbbbb7e307de7ce7c, 0xbbbb87ec9a72f5fb, 0xeca1ec3afb45fbbb, 0xb5171a8bba8ec376, 0x210ef763f33ed3ec,
  0x23ee9827c64f25b9, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x63ff9945524ee9e1, 0xfd5fb0a1f3874fcd,
  0x8e48381038e537a8, 0xeb87c0aff31a0450, 0x32f62179310e5a13, 0xa034542196839344, 0x885bf4fffd01cf09,
  0xa60b02c433100871, 0xaadd3c1cd9dfe80c, 0x6eaf68e437f379c7, 0x1ee0ff6b467aa9f4, 0x8f83660f24f51e57,
  0x70ebec01fc57227a, 0x006be96c65c709c3, 0xe75697d2874f6a66, 0x0ebc679db7b4770c, 0xd8e791b5f4f6ab5d,
  0xff805ecbbdd9c071, 0x4e5e6739bc741c65, 0x847fd939cef3c077, 0xfcf020277aedf818, 0xebf9bc1c9580ee47,
  0x5654ee2ca72f9d01, 0x8beefae2810b4f0c, 0xb575be6da7a1f0ae, 0x4593432e4d5c6c3e, 0xb36fab31e40cd3e3,
  0x867a616837e36885, 0x961d96eb09c659ac, 0x9ce0893c95fb9a19, 0x000000000000c853,
};

// t441_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_dual_pr_ce[] = {
  0xbbb7e307de7c7a31, 0xbbbb87c61cef5fbb, 0x1d6295d77a9f7bbb, 0x180addddf2306fed, 0x724d7daaf07d1a82,
  0x520001304f8c9a8b, 0x704d8818fd932305, 0xe10dbf1030a15883, 0xa68e5f9945524ee9, 0x7a8f2bb616e8e1b3,
  0x4508e483810360b3, 0xe13eb87c0aff31a0, 0xa4432f62179310c6, 0x3c26ea22a10cb40c, 0x10e310b795dff407,
  0xd0194c1605886620, 0xf38f55ba7838e97f, 0x53e8dd5ed1c86fe6, 0xcbcbcedfcb1fd621, 0xf99cebb9b5fa7ff3,
  0xffd471f27b965d57, 0x2ce2f7c71c702075, 0x86edbda359e73160, 0x4b5403ff6678ebdf, 0x9be29c81e5addcf5,
  0x9cef3c0774e5e673, 0x77aedf818847fd93, 0xd4180ee47fcf0202, 0xa7253a03d7f37807, 0x7c2ba2fbb7ca9bd4,
  0xb74bd551695849e8, 0x1f5abadf36ca9c63, 0xf1a2c9a19726ae36, 0x42d9b7d598f20669, 0xd6433d30b41bf1b4,
  0x0ccb0ecb7584e32c, 0x63cbf0449e4afdcd, 0x000000000000073d,
};

// t441_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_dual_pr_ee_ce[] = {
  0x7776fc60fa860aac, 0xeeee1f2675dfebf7, 0x5d00e7deb85eeeee, 0xb6b474edd6c5f693, 0x5ef6c10e089bc98e,
  0xf3e9827c6486eb91, 0xb1031fb26460aa46, 0xb7e206142b106e09, 0x77e659f419dd3c21, 0x106c1aece087d363,
  0xc9070207a6a6f51f, 0x70f815fe63408a11, 0xbd885e4c41d5027d, 0x09150865a1a6d10c, 0x0b7c41ff4073c26c,
  0xc160588662010e31, 0xb74f072c7ffe64e4, 0xabda390dfcde71ea, 0xe563faa3726a7d1b, 0x6bcc37e785806128,
  0x376b02829339d773, 0xd9839bbd4795c060, 0xfb07202b80dea3e0, 0xfa5b1971c270dc3a, 0x73ab5c07bfad801a,
  0x0ebd20aedf2231be, 0xb1bda359f3daaf4e, 0x9c02f65dd4f380e3, 0x4f35f243546c1140, 0xe780ee9cbcce737f,
  0xdbf03108ffb2739d, 0x01dc8ff9e0404ef5, 0xa7407afe6f00fa83, 0x745f76f9537a94e4, 0x7aaa2d2b093d0f85,
  0x575be6d9538c76e9, 0xdc68b2686376c3eb, 0xa216cdbeaccdfc1d, 0x66b219e985a0df8d, 0x686658765bac2719,
  0x083a2d2a0cf257ee, 0x0000000000000026,
};

/*
 * t441_u2x12_uart0_alt1_noled_pr    t441_u2x12_uart0_alt1_noled_pr_u4 t841_u2x12_uart0_alt1_noled
 * t841_u2x12_uart0_alt1_noled_pr    t841_u2x12_uart0_alt1_noled_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart0_alt1_noled[] = {
  0xee0aed017acdc49f, 0xe963ac16cfac6eee, 0xe24d0778feeeeeee, 0x3f6dddda4fea4ddf, 0xdd05fa5c568f1742,
  0xf3eecfce3304f8c9, 0xd3c1c2e2df0abe7f, 0xf68e437f379c7aad, 0x9e3be5921a9f46ea, 0xf1c71c0819a4f51f,
  0xce62c05bdd341f59, 0x823af173b243478c, 0x11ff61598cf71cb1, 0xb91ff39debb7e062, 0x677afe6f1ca50603,
  0x5d17dcbaa9cbca6c, 0x97aaa2d2d7cf43e1, 0xd6aeb7cdb005156e, 0xa3f8d164d0c6ed87, 0x6d10b66df5663c81,
  0xcb3590cf4c2d06fc, 0x734332c3b2dd6138, 0xf90e93b935a792bf,
};

// t441_u2x12_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_noled_pr_ee[] = {
  0xee0aed017bd8b562, 0xee96335904ac6eee, 0xe9c007ef619eeeee, 0x42e683bbcdeb4c29, 0x7a47ee0833362178,
  0x9fcad304f8c9dda6, 0xc2e2df0a50ffdac9, 0x437f379c7aadd3c1, 0xb460a29f46eaf68e, 0xd6bfa8f2bea20ff6,
  0x1fc57d47a8f83660, 0xc65c709c370ebec0, 0x50743ee66006be96, 0xed6b23e78e756970, 0xd64f6ab5d0ebd0d4,
  0x96cbe701c76043a3, 0x4d2a3608cbff00bd, 0xf03108ffb07178cd, 0x8301dc8ff9cef5db, 0xe53633bd7f378e52,
  0xa1f0ae8bee5d54e5, 0x8ab74bd551696be7, 0xc6c3eb575be6d802, 0x1db434593432e4d5, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x00a7cd38c87e792b,
};

// t441_u2x12_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_noled_pr_ce[] = {
  0xdc15da02f7b12d3a, 0xba58d9ca8758dddd, 0x18f263bd7a7bbbbb, 0x11afbbba6837e0db, 0x775a5e83323e0bf3,
  0xf6b267ca2cc13e32, 0xba78385c5be15fcf, 0x5ed1c86fe6f38f55, 0x100b1fd77b53e8dd, 0xb9b5edd7e7979707,
  0x9e9ee5975ac99ceb, 0x0471c70207acf51c, 0x1d1eb0e62c05c8bd, 0x0ffd99e3af47cec2, 0x481e5add20a67950,
  0xd76fc0c423fec6aa, 0x394a0c07723fe73b, 0x539794d8cef5fcde, 0xaf9e87c2ba2fb975, 0xc0118edd2f5545a5,
  0x26ae361f5abadf36, 0x1e40eda1a2c9a197, 0x837e36885b36fab3, 0xb09c659ac867a616, 0xc95fb9a19961d96e,
  0x00000b75c21643f3,
};

// t441_u2x12_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_noled_pr_ee_ce[] = {
  0xee0aed017a88aaac, 0x74b1d60890ac6eee, 0x982f1a7b42f77777, 0x1e0993dd1afb6f6c, 0x83bf4e271fbc5e82,
  0x73fd5f304f8c9dd5, 0x70b8b7c2c72ffb80, 0x90dfcde71eab74f0, 0xd51c88a7d1babda3, 0x3f3cbcbad22fbb1f,
  0x160fcce75dcdafff, 0x7bf51e56be01bb58, 0x4056f7fa8f83660f, 0x32e384e1b875f60e, 0x5c0f9f5b0035f4b6,
  0x033b35f237b473ab, 0x4667a7b55e9c1d78, 0xecb872ce038ec1a4, 0x8ffb0c9f86813805, 0xc8ff9cef5dbf0310,
  0x29fbe77afe6f301d, 0x18c10b4e48c1a9b1, 0x6da7a1f0ae8bee08, 0x2e4d5c6c3eb575be, 0x663c81f943459343,
  0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c, 0xe792bf734332c3b2, 0x0000029a64e2e70e,
};

/*
 * t441_u2x12_uart0_alt1_lednop_pr   t441_u2x12_uart0_alt1_lednop_pr_u4 t841_u2x12_uart0_alt1_lednop
 * t841_u2x12_uart0_alt1_lednop_pr   t841_u2x12_uart0_alt1_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart0_alt1_lednop[] = {
  0xddc15da02f59bb37, 0xdd2c75822f758ddd, 0xfbbfd7efa5dddddd, 0xd0dadddda4fea4d9, 0x27771dee626c71fa,
  0xffcfbb3e7acc13e3, 0x6e9e0e1716f8597d, 0x57b4721bf9bce3d5, 0xe4f1df2c90d4fa37, 0xa08e38e040cd27a8,
  0x05398b016f74d917, 0x8c11d78b9daa5a39, 0x211ff615920bb8e5, 0xff3c0809debb7e06, 0x5fcde01f50603b91,
  0xdf2a6f529c94e80f, 0xa56127a1f0ae8bee, 0x6d953a2add2f5545, 0x2686376c3eb575be, 0x6fab31e40d1fc68b,
  0x7a616837e36885b3, 0x1d96eb09c659ac86, 0xc9ad3c95fb9a1996, 0x0000000003e400e5,
};

// t441_u2x12_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_lednop_pr_ee[] = {
  0xee0aed017bd8bf82, 0xee96335968ac6eee, 0x3b1b66ef4fdeeeee, 0x0b9a0eef897914de, 0x75a2c1b2b6c86621,
  0x3f812609f193ba62, 0x85c5be14a5ffb593, 0x86fe6f38f55ba783, 0x68fe453e8dd5ed1c, 0x8dff51e567ac1fed,
  0x3f8acf5f51f06cc1, 0x8cb8e1386e1d7d80, 0x70eb19ccc00d7d2d, 0x6b868ebf9cead2f3, 0xf73daad743af0067,
  0x872ce038ec35f231, 0x60ea4165ff805ecb, 0x809debb7e06211ff, 0x01f50603b91ff3c0, 0xf529c94e80f5fcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0xc6c3eb575be6d953, 0x1db434593432e4d5, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x0053e636c87e792b,
};

// t441_u2x12_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_lednop_pr_ce[] = {
  0xb82bb405ef62bd3a, 0x74b1b390beb1bbbb, 0x6fc5a9bdc2b77777, 0xc477774d06fca863, 0xd7afa7efe9e3bb1e,
  0xac99f4ad304f8c9d, 0x3c1c2e2df0b52bfd, 0x68e437f379c7aadd, 0x458febbda9f46eaf, 0xdaf15bf3cbcb839d,
  0x4f72cbad64ce75dc, 0x38e38103d67a8fd2, 0x1a43398b015efb5a, 0xfd99e3af47ced82d, 0x0f2d6e0e2691500f,
  0xdbf03108ffb1357c, 0x01dc8ff9e0404ef5, 0xa7407afe6f00fa83, 0x745f76f9537a94e4, 0x7aaa2d2b093d0f85,
  0x575be6d9538c76e9, 0x593432e4d5c6c3eb, 0x66df5663c81db434, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359,
  0xd4c87e792bf73433, 0x000000000002dd4a,
};

// t441_u2x12_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_lednop_pr_ee_ce[] = {
  0xee0aed017a88a80b, 0xe963ac1545ac6eee, 0x5ad0627699eeeeee, 0x04c9eefa5a86f5da, 0xa8cda71a568a0ccf,
  0xfd3f304f8c9ddb13, 0x716f85eafffb8073, 0xbf9bce3d56e9e0e1, 0x61ed4fa3757b4721, 0xf2f2eb48a7ac7f54,
  0xf2673aee6d743efc, 0xa8f2b09e06ed6051, 0xc27fa8f83660f22f, 0x709c370ebec1c80a, 0x03eb6006be96c65c,
  0xda0fa3278e756b84, 0x0e7b55e9c1d7a1a9, 0xd97ce038ec60b469, 0xf2a3608a04e017b2, 0x03108ffb3a7a414c,
  0xc8ff9e0404ef5dbf, 0x07afe6f00fa8301d, 0xf76f9537a94e4a74, 0xa2d2b093d0f85745, 0xbe6d9538c76e97aa,
  0x432e4d5c6c3eb575, 0xf5663c81f9434593, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf, 0x0ee792bf734332c3,
  0x0000000029a78c67,
};

static const uint64_t ur_t441_u2x12_uart0_alt1_dual[] = {
  0x77777c4993d44511, 0xbbbbb87e00c9debf, 0xba8ce5dd86d015bb, 0x6453ac4eeee8d368, 0x192c85cbed6e9627,
  0x9323055232a2609f, 0xa15883704d8818fd, 0x344ee9e10dbf1030, 0x6383a598e1fe6553, 0x0e034dea3feed825,
  0xfcc6811423920e04, 0x26201684fae1f02b, 0x19686488865ec42f, 0x7fd01cf0996bc542, 0x219880438c42dfe7,
  0xb1effca095305816, 0xc7aadd3c1c2e2df0, 0xf46eaf68e437f379, 0xbf51f7b3be5967a9, 0x931b871c71c081d4,
  0x3a313e731602a9a9, 0xc72c608ebdd2dd84, 0xe9cbcce737959acd, 0x108ffb2739de780e, 0xff9e0404ef5dbf03,
  0xe7407afe6f301dc8, 0xb4a9f016a72452d5, 0x7c2ba2fba5fe2810, 0x1b0fad5d6f9b69e8, 0x10b66dc5f84b9357,
  0x3590cf4c2d06fc6d, 0x4332c3b2dd6138cb, 0x6fdba70ee792bf73, 0x0000000000000019,
};

// t441_u2x12_uart0_alt1_dual_pr_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_dual_pr[] = {
  0xbbbe24c9ef3e6812, 0xdddc3f0020af5fbb, 0x76513b656a4cdddd, 0x6667bbbb514c4d86, 0xca8bf6c5d35d5f0f,
  0x48683cc13e324ddd, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x994f7e6515493ba7, 0xea3c87d817538143,
  0x1423920e040dc9cd, 0xc4fae1f02bfcc681, 0x510cbd885e4c4276, 0xf09b248a8432d09c, 0x438c42de43ffd01c,
  0x4065305816219880, 0xa78385c5be15fcff, 0xed1c86fe6f38f55b, 0xde77cb5c353e8dd5, 0x638e38103c17ea3b,
  0xf398b016899b4a88, 0x0475efc376ded1ac, 0x3dbe7aa5aa01ffb3, 0xcbcce737c53903cb, 0x8ffb2739de780ee9,
  0x9e0404ef5dbf0310, 0xe6f00fa8301dc8ff, 0x9537a94e4a7407af, 0xb093d0f85745f76f, 0xca9d156e97aaa2d2,
  0x26ae361f5abadf36, 0xf20669f1a2c9a197, 0x1bf1b442d9b7d598, 0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75,
  0x00000c410270449e,
};

// t441_u2x12_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_dual_pr_ee[] = {
  0xdddf1264f50d365a, 0xeeee1f242e77afdd, 0x2f2af4e5bddeeeee, 0xb166247f7437586a, 0x7e6b8595ed13d47c,
  0xf00cc13e326e0dc8, 0x6c40c7ec99182a90, 0x6df881850ac41b82, 0xb7f9967d06774f08, 0x337b0dda3826dcd3,
  0xe48381030b537a8e, 0xb87c0aff31a04508, 0x5ec42f2621d1f13e, 0xce8a8432d0296886, 0x0b719bffa039e137,
  0xc160588662010e31, 0x2e2df0a35bfe64e4, 0x37f379c7aadd3c1c, 0x47dd29f46eaf68e4, 0xbef51e5752a0ff6b,
  0xf15d4af51f06cc1c, 0x971c270dc3afb007, 0x1d08799801afa5b1, 0xf2231be73ab4b87b, 0xcf6ab5d0ebd20aed,
  0x53ce038ec6f68d67, 0xa3608cbff00bd977, 0xcce7378e2daf921a, 0xfb2739de780ee9cb, 0x0404ef5dbf03108f,
  0xf00fa8301dc8ff9e, 0x37a94e4a7407afe6, 0x93d0f85745f76f95, 0x9d156e97aaa2d2b0, 0x1bb61f5abadf36ca,
  0x666fe0eee3459343, 0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c, 0x6792bf734332c3b2, 0x000000c853a7a950,
};

// t441_u2x12_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_dual_pr_ce[] = {
  0x777c4993de7cbd5b, 0x7770f8db2d5ebf77, 0xb4d3b3ef4abf7777, 0x3b5bbbbd391d9cef, 0x577ea27da0f5db3e,
  0x39079827c6491fb9, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x275f9945524ee9e1, 0x8fa6f61158e035a6,
  0x08e4838103cad37a, 0x3eb87c0aff31a045, 0x432f6217931035b1, 0x4ddd4542196818f4, 0xc6216fa6ffe80e78,
  0x32982c0b10cc4021, 0x8385c5be14baffa0, 0x1c86fe6f38f55ba7, 0xb1fd62153e8dd5ed, 0x5fa7ff3cbcbcedfc,
  0xb965d57f99cebb9b, 0xc702075ffd471f27, 0x9e731602ce2f7c71, 0x678ebdf86edbda35, 0x5addcf54b5403ff6,
  0x4e5e6739be29c81e, 0x847fd939cef3c077, 0xfcf020277aedf818, 0x7f37807d4180ee47, 0x7ca9bd4a7253a03d,
  0x95849e87c2ba2fbb, 0x6ca9c63b74bd5516, 0x726ae361f5abadf3, 0x8f20669f1a2c9a19, 0x41bf1b442d9b7d59,
  0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x0000073d78df0449,
};

// t441_u2x12_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart0_alt1_dual_pr_ee_ce[] = {
  0x7777c4993d435032, 0x77770fc00843ebf7, 0xbd35c75f72277777, 0x5e6c091dd1ec73ab, 0x4f7eafdd8e1787d5,
  0x1f9827c6494ab95e, 0x818fd93230552172, 0xf1030a15883704d8, 0xf32cfa0cee9e10db, 0x1b014870fd798d6f,
  0x838103b5b9bd4780, 0x7c0aff31a04508e4, 0x885e4c40dbb13eb8, 0x150865a11c910cbd, 0x7801ff4073c26df7,
  0x60588662010e310b, 0x5be1776bfe64e4c1, 0xe6f38f55ba78385c, 0x9353e8dd5ed1c86f, 0x2c0309472b1fd51b,
  0x99cebb9b5e61bf3c, 0x3cae0301bb581414, 0x06f51f06cc1cddea, 0x1386e1d7d839015c, 0xfd6c00d7d2d8cb8e,
  0xf9118df39d5ae03d, 0x9ed57a7075e90576, 0xa79c071d8ded1acf, 0xa3608a04e017b2ee, 0xe6739bfa79af921a,
  0xfd939cef3c0774e5, 0x020277aedf818847, 0x7807d4180ee47fcf, 0x9bd4a7253a03d7f3, 0x49e87c2ba2fbb7ca,
  0x9c63b74bd5516958, 0x1bb61f5abadf36ca, 0x666fe0eee3459343, 0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c,
  0x6792bf734332c3b2, 0x00000098222fa950,
};

/*
 * t441_u2x12_uart1_noled_pr         t441_u2x12_uart1_noled_pr_u4      t841_u2x12_uart1_noled
 * t841_u2x12_uart1_noled_pr         t841_u2x12_uart1_noled_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart1_noled[] = {
  0x7777624eed66ef3a, 0x777774b0c3942563, 0x2922993c3fac4777, 0x6bf8bbf37774880b, 0x3e32775a9ef8f640,
  0x029ffcfbb3fa54c1, 0x7f379c7aadd3f202, 0x843a9f46eaf68e43, 0x081a0bf51fa03be5, 0x596532d7b871c71c,
  0x7cec21d1eb0e62c0, 0x679500ffd9823af4, 0xb1aa9207967b720a, 0xf9cf2edbf03111df, 0xbf378e528301dd1d,
  0xee5d54e5e53633cb, 0x51696be7a1f0ae8b, 0x5be6d8028ab74bd5, 0x68b2686376c3eb57, 0x5b36fab31e40d1fc,
  0xc867a616837e3688, 0x9961d96eb09c659a, 0xa9dc9ad3c95fb9a1, 0x0000000000001f20,
};

// t441_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart1_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b106585563, 0xf4ec7933067b8bf7, 0xa19c146d37783d08, 0xeae3da8b1c5905a2,
  0xd64cfb059827c64e, 0x8f55ba7e404387fe, 0xe8dd5ed1c86fe6f3, 0x57d441fed68c1453, 0xf51f06cc1ad7f51e,
  0x86e1d7d803f8afa8, 0xcc00d7d2d8cb8e13, 0xf1cead2e0a0e87dc, 0xba1d7a1a9dad647c, 0x38ec08747ac9ed56,
  0x197fe017b2d97ce0, 0xf60e2f19a9a546c1, 0xbf39e5db7e06223b, 0x77e6f1ca50603ba3, 0x7dcbaa9cbca6c679,
  0xaa2d2d7cf43e15d1, 0xeb7cdb005156e97a, 0x26865c9ab8d87d6a, 0xdbeacc7903b6868b, 0x9e985a0df8da216c,
  0x8765bac271966b21, 0x190fcf257ee68665, 0x0000000000a7c385,
};

// t441_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart1_noled_pr_ce[] = {
  0xdddd893bb7b16668, 0xbbbba581061b758d, 0x18ebf9b82fdb1fbb, 0xf2e25ef77746d14c, 0xc64ee9bbd642a2f8,
  0xf7fed64cfc069827, 0xe6f38f55ba7e4040, 0x7b53e8dd5ed1c86f, 0xe7979707100b1fd7, 0x5ac99cebb9b5edd7,
  0x07acf51c9e9ee597, 0x2c05c8bd0471c702, 0xaf47cec21d1eb0e6, 0x20a679500ffd99e3, 0x477ec6aa481e5add,
  0x7477e73cbb6fc0c4, 0xcf2efcde394a0c07, 0xba2fb975539794d8, 0x2f5545a5af9e87c2, 0x5abadf36c0118edd,
  0xa2c9a19726ae361f, 0x5b36fab31e40eda1, 0xc867a616837e3688, 0x9961d96eb09c659a, 0xe31643f3c95fb9a1,
  0x00000000000005ba,
};

// t441_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart1_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c30e61558, 0xa5d7a70bda5e8d3d, 0x19ad0308c1f74bdf, 0x277792eae34766ec,
  0xff6b267c9d4c13e3, 0x79c7aadd3f202456, 0x29f46eaf68e437f3, 0xcb838516c7f54722, 0xce75dcdae1a3f3cb,
  0xe560a01bb58160fc, 0x0fa8f83660f7bf51, 0x4e1b875f60e40571, 0xf5b0035f4b632e38, 0xbfa3a9673ab5c3df,
  0x3daaf4e0ebc019da, 0xcb380e3b03ed1d13, 0x0c8e9a04e017b2e1, 0x9cf2edbf03111dfb, 0xfcde5ba8301dd1df,
  0xd575539794d8cf2e, 0x745f739b3182169b, 0xf5abadf36d3d0f85, 0x1a2c9a19726ae361, 0x85b36fab31e40eda,
  0xac867a616837e368, 0x19961d96eb09c659, 0x4f9c643f3c95fb9a, 0x0000000000000053,
};

/*
 * t441_u2x12_uart1_lednop_pr        t441_u2x12_uart1_lednop_pr_u4     t841_u2x12_uart1_lednop
 * t841_u2x12_uart1_lednop_pr        t841_u2x12_uart1_lednop_pr_u4
 */
static const uint64_t ur_t441_u2x12_uart1_lednop[] = {
  0xeeeec49ddacdc49f, 0xddddd2c30e6cfac6, 0x5bbfc49a0ef1fddd, 0x2e847edbbbb9ac16, 0xf193ba0bf4b8ad1e,
  0x7cffe7dd9f9c6609, 0xf9bce3d56e9f9011, 0x90d4fa3757b4721b, 0x40cd27a8e4f1df2c, 0x6f74d917a08e38e0,
  0x9daa5a3905398b01, 0x920bb8e58c11d78b, 0xe5db7e06223bf615, 0x50603ba3bf3c0809, 0x9c94e812efcde01f,
  0xf0ae8beedf2a6f52, 0xdd2f5545a56127a1, 0x3eb575be6d953a2a, 0x0d1fc68b2686376c, 0xe36885b36fab31e4,
  0xc659ac867a616837, 0xfb9a19961d96eb09, 0x07c8749dc9ad3c95,
};

// t441_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart1_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee9620c904ac6, 0xc29e9c007ef619ee, 0x0bce0a369bbc1e84, 0xed33d23f704199b1,
  0xd64cfe569827c64e, 0x8f55ba7e404287fe, 0xe8dd5ed1c86fe6f3, 0x57dd41fed68c1453, 0xf51f06cc1ad7f51e,
  0x86e1d7d803f8afba, 0xcc00d7d2d8cb8e13, 0xf1cead2e800e87dc, 0x743af4353b41f464, 0xc76305a34873daad,
  0xcbff00bd96cbe701, 0x60e2e414cf2a3608, 0x809e5db7e06223bf, 0x01f50603ba3bf3c0, 0xf529c94e812efcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0xc6c3eb575be6d953, 0x1db434593432e4d5, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x00a7cd38c87e792b,
};

// t441_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart1_lednop_pr_ce[] = {
  0xdddd893bb7b12d3a, 0xbbbba58106a8758d, 0x0db18f263bd7a7bb, 0xbf311afbbba368a6, 0xe32775a5e83323e0,
  0xfcff6b267ca2cc13, 0xf9bce3d56e9f9011, 0xded4fa3757b4721b, 0xf9e5e5c1cea2c7f5, 0xd6b2673aee6d78ad,
  0x81eb3d47e927b965, 0xc580af7dad1c71c0, 0xd7a3e76c168d219c, 0x071348a807feccf1, 0x88efd89abe0796b7,
  0xfcf02027976df818, 0xbf37807d4180ee8e, 0x7ca9bd4a7253a04b, 0x95849e87c2ba2fbb, 0x6ca9c63b74bd5516,
  0x726ae361f5abadf3, 0x31e40eda1a2c9a19, 0x6837e36885b36fab, 0xeb09c659ac867a61, 0x3c95fb9a19961d96,
  0x000000b75c21643f,
};

// t441_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xeeeee96187090ac6, 0x2ed9305e34f685ee, 0xbd0418460fba5efd, 0x3bab077e9c4e3f78,
  0xf700e7fabe609f19, 0x38f55ba7e4048e5f, 0x3e8dd5ed1c86fe6f, 0xd693f758fea8e445, 0x75dcdae9b7f9e5e5,
  0xe5f01bb58160fcce, 0x51f06cc1ef7ea3ca, 0x370ebec1c80afe4f, 0x6006be96c65c709c, 0x8daf8e756b84c7eb,
  0x55e9c1d78033b73c, 0x380e3b1ac466927b, 0x14d204e017b2e1cb, 0xe5db7e06223bf619, 0xde603ba3bf3c0809,
  0x4e48a5abce812efc, 0x97f318216953e02d, 0xbe6da7a1f0ae8bee, 0x432e4d5c6c3eb575, 0xf5663c81f9434593,
  0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf, 0x0ee792bf734332c3, 0x000000029a64e2e7,
};

static const uint64_t ur_t441_u2x12_uart1_dual[] = {
  0xddddbf183ea232a8, 0xddddc3e4ce277afd, 0xdb83d39a76d86ddd, 0x51ba323bbba7ec20, 0x64921729c5bacf8a,
  0x4c8c15486729827c, 0x85620dc1362063f6, 0xd13ba78436fc40c2, 0x4e0e4e6f9df9954c, 0x38f737a8ebef6051,
  0xf31a04508e483810, 0x310a1f13eb87c0af, 0xcb41314432f62179, 0xff4073c268ca2a10, 0x8662010e310b74ad,
  0x07bff28254c16058, 0x7f379c7aadd3f202, 0x967a9f46eaf68e43, 0x103a97ea38df3be5, 0x2a9a9be411638e38,
  0x2ddb9e46d7c73160, 0x620bdc72c608ebdd, 0x9e03ba72f339cde5, 0x6fc0c4477ec9ce77, 0x077477e781013cbb,
  0x53a04bbf3796ea0c, 0xb4e02f7ca9bd4a72, 0x0f85745f70ea2810, 0xe361f5abadf36d3d, 0xa216cdb8bf09726a,
  0x66b219e985a0df8d, 0x686658765bac2719, 0xbfa71ce1dcf257ee, 0x0000000000000065,
};

// t441_u2x12_uart1_dual_pr_u4
static const uint64_t ur_t441_u2x12_uart1_dual_pr[] = {
  0xdddbf183ef3e304a, 0xdddc3e4cec37afdd, 0x3757055f6ce2dddd, 0x2323bbbaf5cd2bb2, 0x722afd2c4804ed36,
  0xa90ce5304f8c92b7, 0xb826c40c7ec99182, 0xf086df881850ac41, 0x7314bfcca2a92774, 0xbd474adb074a7038,
  0x22847241c081d4a9, 0x409f5c3e057f98d0, 0xb910cbd885e4c403, 0xcf099318a8432d09, 0x0438c42dd2b7fd01,
  0xf406530581621988, 0x9c7aadd3f20207bf, 0x9f46eaf68e437f37, 0x0bf51def3be5ae1a, 0xcda54431c71c081e,
  0x6f68d679cc580b44, 0x00ffd9823af7e1bb, 0x9c81e59edf3d52d5, 0x3c0774e5e6739be2, 0xdf81888efd939cef,
  0x0ee8efcf02027976, 0x3a04bbf37807d418, 0xa2fbb7ca9bd4a725, 0xd551695849e87c2b, 0x5d6f9b654e8ab74b,
  0x64d0cb93571b0fad, 0xdbeacc790334f8d1, 0x9e985a0df8da216c, 0x8765bac271966b21, 0x38224f257ee68665,
  0x00000000000620bb,
};

// t441_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_t441_u2x12_uart1_dual_pr_ee[] = {
  0xbbbb7e307de7ce7c, 0xbbbb87ec9a72f5fb, 0xeca1ec3afb45fbbb, 0xb5171a8bba8ec376, 0x210ef763f33ed3ec,
  0x23ee9827c64f25b9, 0x4d8818fd93230552, 0x0dbf1030a1588370, 0x63ff9945524ee9e1, 0xfd5fb0a1f3874fcd,
  0x8e48381038e537a8, 0xeb87c0aff31a0450, 0x32f62179310e5a13, 0xa034542196839344, 0x885bf4fffd01cf09,
  0xa60b02c433100871, 0x5ba7e404d9dfe80c, 0xd5ed1c86fe6f38f5, 0xdc1fed68cf553e8d, 0xf06cc1e49ea3cae3,
  0x1d7d803f8ae44f51, 0x0d7d2d8cb8e1386e, 0xead2fa50e9ed4cc0, 0xd78cf3b6f68ee19c, 0x1cf236be9ed56ba1,
  0xf00bd977bb380e3b, 0xcbcce7378e838cbf, 0x1dfb2739de780ee9, 0x9e0404f2edbf0311, 0xbf378392b01dd1df,
  0xca9dc594e5f3a04b, 0x7ddf5c502169e18a, 0xaeb7cdb4f43e15d1, 0xb26865c9ab8d87d6, 0x6df5663c819a7c68,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0x9c112792bf734332, 0x0000000000190a73,
};

// t441_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_t441_u2x12_uart1_dual_pr_ce[] = {
  0xbbb7e307de7c7a31, 0xbbbb87c61cef5fbb, 0x1d6295d77a9f7bbb, 0x180addddf2306fed, 0x724d7daaf07d1a82,
  0x520001304f8c9a8b, 0x704d8818fd932305, 0xe10dbf1030a15883, 0xa68e5f9945524ee9, 0x7a8f2bb616e8e1b3,
  0x4508e483810360b3, 0xe13eb87c0aff31a0, 0xa4432f62179310c6, 0x3c26ea22a10cb40c, 0x10e310b795dff407,
  0xd0194c1605886620, 0x71eab74fc808e97f, 0x7d1babda390dfcde, 0x7979dbf963fac42a, 0x339d7736bf4ffe79,
  0xfa8e3e4f72cbaaff, 0x9c5ef8e38e040ebf, 0xddb7b46b3ce62c05, 0x6a807feccf1d7bf0, 0x7c53903cb5bb9ea9,
  0x9de780ee9cbcce73, 0x2edbf03111dfb273, 0x8301dd1df9e0404f, 0xe4a740977e6f00fa, 0x85745f76f9537a94,
  0xe97aaa2d2b093d0f, 0xeb575be6d9538c76, 0x34593432e4d5c6c3, 0x5b36fab31e40cd3e, 0xc867a616837e3688,
  0x9961d96eb09c659a, 0x797e0893c95fb9a1, 0x000000000000e7ac,
};

// t441_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t441_u2x12_uart1_dual_pr_ee_ce[] = {
  0x7776fc60fa860aac, 0xeeee1f2675dfebf7, 0x5d00e7deb85eeeee, 0xb6b474edd6c5f693, 0x5ef6c10e089bc98e,
  0xf3e9827c6486eb91, 0xb1031fb26460aa46, 0xb7e206142b106e09, 0x77e659f419dd3c21, 0x106c1aece087d363,
  0xc9070207a6a6f51f, 0x70f815fe63408a11, 0xbd885e4c41d5027d, 0x09150865a1a6d10c, 0x0b7c41ff4073c26c,
  0xc160588662010e31, 0xe9f9012c7ffe64e4, 0x7b4721bf9bce3d56, 0xac7f546e4d4fa375, 0x7986fcf0b00c251c,
  0xed605052673aee6d, 0x307377a8f2b80c06, 0x60e405701bd47c1b, 0x4b632e384e1b875f, 0x756b80f7f5b0035f,
  0xd7a415dbe44637ce, 0x37b46b3e7b55e9c1, 0x805ecbba9e701c76, 0xe6be486a8d822813, 0xf01dd39799ce6fe9,
  0x7e06223bf64e73bc, 0x3ba3bf3c0809e5db, 0xe812efcde01f5060, 0x8beedf2a6f529c94, 0x5545a56127a1f0ae,
  0xeb7cdb2a718edd2f, 0x8d164d0c6ed87d6a, 0x42d9b7d599bf83bb, 0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c,
  0x0745a5419e4afdcd, 0x00000000000004c1,
};

/*
 * t441_swio10_noled_pr              t441_swio10_noled_pr_u4           t841_swio10_noled
 * t841_swio10_noled_pr              t841_swio10_noled_pr_u4
 */
static const uint64_t ur_t441_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856ddf58, 0x6d623bb713a920c9, 0x407833091137c4bf, 0x8f6406bf8b48bba4,
  0x3dcc13e32775a9ef, 0xd3186913ff9f767c, 0x0c43fa8ef79df2c4, 0xee9a5f6458e38e04, 0xedd02359e731602d,
  0x6bedc72c608ebc5c, 0x3a30db5e5caad4ac, 0x39d454aa35de30c7, 0x6019ace576a96fab, 0xbcbb00a552fbd7d3,
  0xf4ef3f5ae7b55a22, 0x2c2e753a9c0594a9, 0x2ba2fb8e148a042d, 0x0fad5d6f9b69e87c, 0x0347f1a2c9a18ddb,
  0xf8da216cdbeacc79, 0x71966b219e985a0d, 0x7ee686658765bac2, 0x007c82a7726b4f25,
};

// t441_swio10_noled_pr_ee_u4
static const uint64_t ur_t441_swio10_noled_pr_ee[] = {
  0x064f7777777b1762, 0x987ee5a58844362b, 0x0da5e8d3d1aef229, 0x3e0fe17b3d685375, 0x9bb06763c8a0bf99,
  0x4f8c9dde4bab8d1d, 0xca7bfdac99fdf730, 0xfee83fdad184f630, 0xa3e0d9839bbd4795, 0xb875f600fe2bfdde,
  0x0035f4b632e384e1, 0xe7569731e3ac6733, 0x0ebc019d97c47914, 0xec0df464d4f6ab5d, 0xff805ecb872ce038,
  0x6daf2e556a3a27a5, 0x2a551aef18639d18, 0xd672bb54b7d59cea, 0x8052a97debe9b00c, 0xdb5d73daad115e5d,
  0x0eea6c529e1a779b, 0xb485cf43e15d17dc, 0x67adc55ba5eaa8b4, 0x93571b0fad5d6f9b, 0x8f2076d0d164d0cb,
  0x41bf1b442d9b7d59, 0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x0000014f9ce321f9,
};

// t441_swio10_noled_pr_ce_u4
static const uint64_t ur_t441_swio10_noled_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b271a9d63, 0xd1a826993bf238cb, 0x705ff5685f50f8fa, 0x22a6de9933ddc3e8,
  0xc13e32776a2e8d3f, 0xc3393ff6b267e43c, 0xcb838e4ec7f5c918, 0xce75dcdae1a3f3cb, 0xfa8f924f72cbad64,
  0x9126e8e38e040f05, 0x9d96ba3b58e62c05, 0x7aa01ffb33c75e8f, 0xd59f740f2d6ee916, 0x30c73a30db5e5caa,
  0x6fab39d454aa35de, 0xd7d36019ace576a9, 0x5a22bcbb00a552fb, 0x3c34ef37b6bae7b5, 0xc2ba2fb81dd4d8a5,
  0x4bd55169690b9e87, 0xb575be6d9eb663b7, 0x4593432e4d5c6c3e, 0xb66df5663c81db43, 0x90cf4c2d06fc6d10,
  0x32c3b2dd6138cb35, 0xe7cc87e792bf7343, 0x0000000000002dd4,
};

// t441_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t441_swio10_noled_pr_ee_ce[] = {
  0x133ddddddd444375, 0xd0972d2c42b11fac, 0x392eac1db1f50fc5, 0x98ce6e5c6a2bd736, 0x312b8cfdce24d049,
  0x9f193ba1bb727362, 0x0b5ff700e7c66e60, 0x50fd8fea8fe73186, 0x9b5e92bf3cbcbad2, 0x01bb58147c99cebb,
  0x0d98397dea3cad2b, 0xafb07202b4adea3e, 0xafa5b1971c270dc3, 0x273ab5c54afad801, 0x7075e86a769c51a6,
  0x1d85ae8ed69ed57a, 0x409c02f65b2f9c07, 0x6bd3c4f57f546c11, 0x18639d186daf2e55, 0xb7d59cea2a551aef,
  0xebe9b00cd672bb54, 0xad115e5d8052a97d, 0x9e1a779bdb5d73da, 0xe15d17dc0eea6c52, 0xa5eaa8b4b485cf43,
  0x5abadf36cf5b31db, 0xa2c9a19726ae361f, 0x5b36fab31e40fca1, 0xc867a616837e3688, 0x9961d96eb09c659a,
  0x84338773c95fb9a1, 0x00000000000029a7,
};

// t841_swio10_lednop
static const uint64_t ur_t441_swio10_lednop[] = {
  0x220ddddddd66ef3a, 0x0eee5a5885662358, 0xfa5c7746d0b2a0c9, 0x7833091106b97b60, 0xd6436d8ce6fba440,
  0xcca9827c64eeb53d, 0x9a630c13fff9f767, 0x81887f51f243be58, 0x6f74d224dd1c71c0, 0xe76c8a8fa4398b01,
  0x59d26e39630475e2, 0x8e7461b6bcb955a9, 0x5673a8a9546bbc61, 0x335c0809caed52df, 0x76014ab574bfa6c0,
  0x3e2d75cf6ab44579, 0x085482e52d7ce80f, 0x9485e7a1f0ae8bee, 0x36c648ab74bd5516, 0x17e11bb61f5abadf,
  0x30b41bf1b442d9b7, 0xcb7584e32cd6433d, 0xd69e4afdcd0ccb0e, 0x000000000548b8e4,
};

// t441_swio10_lednop_pr_u4          t841_swio10_lednop_pr             t841_swio10_lednop_pr_u4
static const uint64_t ur_t441_swio10_lednop_pr[] = {
  0xa937777777b16668, 0x6b5cb4b10ac36eb1, 0x5fb63f70f8da4886, 0x88f211c631d7f370, 0x45f1e5c4bdeeea48,
  0x304f8c9dd377ac85, 0x30c1effdac99f80d, 0x9ef51e713be58456, 0x4d1ef4a8e38e040c, 0x8851c1f398b01659,
  0x807fecc11d7a3e76, 0xd6e07967b622f40a, 0x1ce8c36d7972ab57, 0xace75152a8d778c3, 0x66b8101395daa5be,
  0xec02956ae97f4d80, 0x7c5aeb9ed5688af2, 0x10a905ca5af9d01e, 0x290bcf43e15d17dc, 0x6d8c9156e97aaa2d,
  0x2e4d5c6c3eb575be, 0x663c81db43459343, 0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c, 0xe792bf734332c3b2,
  0x0000000f90c62c87,
};

// t441_swio10_lednop_pr_ee_u4
static const uint64_t ur_t441_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884453758, 0xc33d697aebcbda99, 0x4f83f85ecfdc7798, 0x3c5e56c902282fe6,
  0x09f193bbe474d2a3, 0x1b677fb5933e7066, 0xb4ad07fb5a309ec6, 0xd47c1b307377a8f2, 0x370ebec01fc56bef,
  0x6006be96c65c709c, 0x9cead2f1ec758ce6, 0xa1d78033b4428d6b, 0x8ec08a8fa49ed56b, 0x5ff805ecb872ce03,
  0x86daf2e556a3ae7a, 0xa2a551aef18639d1, 0x20272bb54b7d59ce, 0x2ad5d2fe9b00cd70, 0xd73daad115e5d805,
  0x4b0b29b1674079fa, 0xc7f8a042d3573abd, 0xf9b69e87c2ba2fba, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d,
  0x30b41bf1b442d9b7, 0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x000000014f9d2732,
};

// t441_swio10_lednop_pr_ce_u4
static const uint64_t ur_t441_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef623f3e, 0x2ae5a58b272c9d63, 0xc695bde6ec1e38cb, 0xc17fd59a9c2ff4a6, 0x4e5a30a803770fa1,
  0x609f193ba47f682f, 0x619d2ffb5933e52e, 0xe5c1c74b63fae48c, 0xce75dcdaf3b7f9e5, 0xfa8e0a4f72cbad64,
  0x32a718e38e040f05, 0x9da214707ce62c05, 0x02a01ffb33c75e8f, 0xb57d6e0796b708bd, 0x8c31ce8c36d7972a,
  0x5beace75152a8d77, 0xd8066b8101395daa, 0xaf2ec02956ae97f4, 0x01e7c5aeb9ed5688, 0x7dc10a905ca5af9d,
  0xa2d290bcf43e15d1, 0xb7cdb190c76e97aa, 0x6865c9ab8d87d6ae, 0xbeacc7903b6868b2, 0xe985a0df8da216cd,
  0x765bac271966b219, 0x90fcf257ee686658, 0x000000000b7517ed,
};

// t441_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_swio10_lednop_pr_ee_ce[] = {
  0x267bbbbbba889768, 0xa12e5a58856fa758, 0xe5dec71dc7798f8b, 0x319cdcb891fa8b8b, 0xc96998d39c49a093,
  0x3e32774a56c0b1ed, 0x63fff700e7c344c1, 0x31fb1fd51fce630d, 0x36be547e797975a4, 0x0376b028f9339d77,
  0x1b3072fbd4795c87, 0x5f60e405721fd47c, 0x5f4b632e384e1b87, 0x0e756b8727f5b003, 0xe0ebd0d4ec7aa3c9,
  0x3b110a383f3daaf4, 0x813805ecb65f380e, 0xd7a7ba459ea8d822, 0x30c73a30db5e5caa, 0x6fab39d454aa35de,
  0x6019ae0404e576a9, 0xbcbb00a55aba5fd3, 0x079f16bae7b55a22, 0xf7042a417296be74, 0x8b4a42f3d0f85745,
  0xdf36c6431dba5eaa, 0xa19726ae361f5aba, 0xfab31e40fca1a2c9, 0xa616837e36885b36, 0xd96eb09c659ac867,
  0x8773c95fb9a19961, 0x00000000534cad53,
};

// t441_swio10_dual_pr               t441_swio10_dual_pr_u4
static const uint64_t ur_t441_swio10_dual[] = {
  0xa2eeeeeeef3e306a, 0x6fdb70f97bfb5ebd, 0xad67db1c7c8b4b3f, 0x4adfd33ac8283746, 0x29c9263d6dd68b64,
  0xc97a772403aeb684, 0x32305522e87304f8, 0x15883704d8818fd9, 0x24ee9e10dbf1030a, 0x0e0bee628bf99455,
  0x0fba9bd478f7b07f, 0xfcc6811423920e04, 0x26210004fae1f02b, 0x32d0c8a8865ec42f, 0x7fd01cf098458a84,
  0x219880438c42dd4f, 0x3393ff4065305816, 0xfd47328ef964c58c, 0x95a3dc71c7020637, 0xa47f21cc580b44cc,
  0x7fecc11d7bf0ddb4, 0x40f2cf6d31c8aa80, 0x01dd39799ce6fc09, 0xb6bcb955ace73bcf, 0xa9546bbc618e7461,
  0x09caed52df5673a8, 0xb574bfa6c0335c08, 0xcf6ab4457976014a, 0xe52d7ce80f3e2d75, 0xa1f0ae8bee085482,
  0xab74bd55169485e7, 0x361f5abadf36c648, 0x69f1a2c9a19726ae, 0xb442d9b7d598f206, 0x2cd6433d30b41bf1,
  0xcd0ccb0ecb7584e3, 0x31045f70449e4afd, 0x0000000000000000,
};

// t441_swio10_dual_pr_ee_u4
static const uint64_t ur_t441_swio10_dual_pr_ee[] = {
  0x29dbbbbbba86c541, 0x37edb87ea1a6bfaf, 0xf49bdd57cd8a2723, 0x6ea38b4e40373bae, 0x375c77ef8f9bb29c,
  0xe3b9666f4671463b, 0x05523b8f9827c64a, 0x83704d8818fd9323, 0xe9e10dbf1030a158, 0x9d4c96bf32cfa0ce,
  0xe6f51e2b6c06b1c0, 0x408a11c9070207be, 0x52227d70f815fe63, 0x01910cbd885e4c41, 0x39e13195150865a1,
  0x010e310b79dbffa0, 0xfe64e4c160588662, 0x3fdad1fee630c16b, 0xb3061efd4795dba8, 0xec01fc576ebd47c1,
  0xe96c65c709c370eb, 0x2ec147421e66006b, 0x82bb18f47d41cead, 0x91fc93daad743af4, 0x7b2eea79c071d8d2,
  0xe41f546c1197fe01, 0x774e5e6739bc7163, 0xaf2e556b39cef3c0, 0x551aef18639d186d, 0x72bb54b7d59cea2a,
  0x5d2fe9b00cd70202, 0xdaad115e5d8052ad, 0x4b5f3a03cf8b5d73, 0x7c2ba2fb821520b9, 0xdd2f5545a52179e8,
  0x87d6aeb7cdb1922a, 0xf83bb8d164d0c6ed, 0xbf1b442d9b7d599b, 0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758,
  0x00190a204a5419e4,
};

// t441_swio10_dual_pr_ce_u4
static const uint64_t ur_t441_swio10_dual_pr_ce[] = {
  0x91ddddddde7cd0e3, 0x0fdb70fd091abd7f, 0xfddfbdc9d06ec884, 0x8d39769cb655862a, 0xa7d9621edbbe4699,
  0x64b2172d9bd0b644, 0x323055202919827c, 0x15883704d8818fd9, 0x24ee9e10dbf1030a, 0x8e0e966387f99455,
  0x380d37a8ffbb6095, 0xf31a04508e483810, 0x310bc313eb87c0af, 0xcb43244432f62179, 0xfe80e784cb5e2a10,
  0x0cc4021c6216fb3b, 0x8a5ffa032982c0b1, 0xe7652ec7f597cc61, 0x75dcdaf5bff9e5e5, 0x3e953dcb2e9ed4ce,
  0x7511c71c081f41ea, 0xa6e463e1cc580afe, 0xcdc72c678ebdd2dd, 0x0ee9cbcce7378e87, 0xb5e5caad6739de78,
  0x4aa35de30c73a30d, 0x4e576a96fab39d45, 0xaba5fd36019ae040, 0x7b55a22bcbb00a55, 0x296be74079f16bae,
  0x0f85745f7042a417, 0xdba5eaa8b4a42f3d, 0x61f5abadf36c6431, 0x9f1a2c9a19726ae3, 0x442d9b7d598f2066,
  0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0x7af4e70449e4afdc, 0x000000000000000e,
};

// t441_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_t441_swio10_dual_pr_ee_ce[] = {
  0xabeddddddd43359b, 0x93f6dc3e5eed07d7, 0xdb04ddebb086d39d, 0xac1b92603e42151f, 0xe34f7760bc8fabe3,
  0x06e4705ae436ba8c, 0x2a91e7ae609f1937, 0x1b826c40c7ec9918, 0x4f086df881850ac4, 0xdcd3b7f9967d0677,
  0x7a8e337b0dda3826, 0x4508e48381030b53, 0xe13eb87c0aff31a0, 0x68865ec42f2621d4, 0xe137ce8a8432d029,
  0x0e310b735bffa039, 0x64e4c16058866201, 0xfaa3c08c61ad6ffe, 0x8fe785806127f963, 0x05052673aee6d754,
  0x6ffa8f2b95c06ed6, 0x80ae577a8f83660f, 0x65c709c370ebec1c, 0x70c17eb6006be96c, 0x82bb18f47d41cead,
  0x47f24f6abd383af4, 0xecbba9e701c7634a, 0xc83ea8d822813805, 0x774e5e6739bfa787, 0xaf2e556b39cef3c0,
  0x551aef18639d186d, 0x72bb54b7d59cea2a, 0x5d2fe9b00cd70202, 0xdaad115e5d8052ad, 0x4b5f3a03cf8b5d73,
  0x7c2ba2fb821520b9, 0xdd2f5545a52179e8, 0x0fad5d6f9b63218e, 0xf07771a2c9a18ddb, 0x7e36885b36fab337,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x0009826374a833c9,
};

/*
 * t441_swio11_noled_pr              t441_swio11_noled_pr_u4           t441_swio12_noled
 * t441_swio12_noled_pr              t441_swio12_noled_pr_u4           t841_swio11_noled
 * t841_swio11_noled_pr              t841_swio11_noled_pr_u4           t841_swio12_noled
 * t841_swio12_noled_pr              t841_swio12_noled_pr_u4
 */
static const uint64_t ur_t441_swio11_noled[] = {
  0x04f077777759bb37, 0xbb9696215b9bd61b, 0xfa5dd4899ee83243, 0x9e0cc26a4de0fab6, 0x26c71fad367eeb60,
  0xdcc13e327771dee6, 0x3186eebff9f767e3, 0xebffa8e989df2dd0, 0xba69c47c8e38e040, 0xdba4464f1cc580b7,
  0x10fb8e58c11d78b9, 0x3a30db5e5caad4ac, 0x39d454aa35de30c7, 0x019ace576a96fabb, 0xf2ec0295b1bd7d36,
  0xd3bcfd6b9ed5688a, 0xb0b9d4ea701652a7, 0xae8bee1e5e2810b4, 0x3eb575be6da7a1f0, 0x0d1fc68b2686376c,
  0xe36885b36fab31e4, 0xc659ac867a616837, 0xfb9a19961d96eb09, 0x03e400e5c9ad3c95,
};

// t441_swio11_noled_pr_ee_u4        t441_swio12_noled_pr_ee           t441_swio12_noled_pr_ee_u4
static const uint64_t ur_t441_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xf72d2c4223d3ac6e, 0xef4fdef1fa114cc3, 0xe0fe16f26d8fa866, 0xadb20a6c8a0bfeef,
  0x7c64ee989d68b06c, 0xb75fed64cfc72982, 0xfba0ff6b47223186, 0x8f83660c14f51e57, 0x70ebec01fc56fe7a,
  0x006be96c65c709c3, 0xe75697328758ce66, 0x0ebc019d9ef47914, 0xec5c3464d4f6ab5d, 0xff805ecb872ce038,
  0xdb5e5caad47421e5, 0x54aa35de30c73a30, 0xce576a96fabb39d4, 0x0295b1bd7d36019a, 0xfd6b9ed5688af2ec,
  0xd4ea701652a7d3bc, 0xee1e5e2810b4b0b9, 0x75be6da7a1f0ae8b, 0x93432e4d5c6c3eb5, 0x6df5663c81db4345,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0x6c87e792bf734332, 0x0000000000053e63,
};

// t441_swio11_noled_pr_ce_u4        t441_swio12_noled_pr_ce           t441_swio12_noled_pr_ce_u4
static const uint64_t ur_t441_swio11_noled_pr_ce[] = {
  0xd0e6eeeeef621391, 0x72d2c59398eeb1eb, 0xd6437779b51c6595, 0x2ff7e02ff1eebd04, 0xe1564f6deefaf438,
  0x4f8c9ddb23b42f92, 0xc95bfdac99f38730, 0xe0e256b1fd57c630, 0x3aee6d74dbfcf2f2, 0x475f27b965d6b267,
  0x40a471c70206b3fd, 0x67bd188a731602f7, 0xa807feccf1d7a3e7, 0xaad503cb5bae193c, 0x18e7461b6bcb955a,
  0x57673a8a9546bbc6, 0xa6c03359caed52df, 0x115e5d8052b637af, 0x1a779bdb5d73daad, 0x5d17dc0eea6c529e,
  0xeaa8b4b485cf43e1, 0xaeb7cdb20431dba5, 0xb26865c9ab8d87d6, 0xcdbeacc7903b6868, 0x19e985a0df8da216,
  0x58765bac271966b2, 0xf990fcf257ee6866, 0x000000000005baa2,
};

// t441_swio11_noled_pr_ee_ce_u4     t441_swio12_noled_pr_ee_ce        t441_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t441_swio11_noled_pr_ee_ce[] = {
  0xdb19bbbbba889202, 0x0972d2c42b1a5ac6, 0x60ef4ed6a7e3fc5d, 0x19cdea1d91a0a56d, 0xcfe9c339c49a0edb,
  0xe32774dd69914154, 0x3fff700e7ffe4c13, 0x5ab1fd51ba5630dd, 0xb5c92bf3cbcbad20, 0x1bb58147c99cebb9,
  0x6cc1ce3ea3cafe70, 0x7d839015fcef51f0, 0x7d2d8cb8e1386e1d, 0x39d5ae0a2fd6c00d, 0x83af4353b2008e21,
  0x761ef4622cf6abd3, 0x02700bd96cbe701c, 0xd7a789ae7951b045, 0x30c73a30db5e5caa, 0xfabb39d454aa35de,
  0x7d36019ace576a96, 0x688af2ec0295b1bd, 0xf0d3bcdedaeb9ed5, 0x0ae8bee077536294, 0x2f5545a5a42e7a1f,
  0xb575be6d90218edd, 0x4593432e4d5c6c3e, 0xb66df5663c81f943, 0x90cf4c2d06fc6d10, 0x32c3b2dd6138cb35,
  0x81270ee792bf7343, 0x00000000000029a6,
};

// t441_swio12_lednop                t841_swio11_lednop                t841_swio12_lednop
static const uint64_t ur_t441_swio11_lednop[] = {
  0x04f077777759bb37, 0xbb9696215bd2d61b, 0x6a1eef85e8283243, 0x066135271ff17e27, 0xc0db26691775b04f,
  0x7304f8c9ddc77ba6, 0xc61a44ffe7dd9f0f, 0xaffea3af877cb740, 0xe9bba05238e38103, 0xc3e23b86731602de,
  0xc3dc72c608ebc5ce, 0xd186daf2e556a565, 0xcea2a551aef18639, 0x020272bb54b7d5d9, 0x295cbd2fe9b00cd7,
  0xaeb9ed5688af2ec0, 0x905ca5af9d01e7c5, 0xbcf43e15d17dc10a, 0xd9156e97aaa2d290, 0x8ddb0fad5d6f9b65,
  0x0df8da216cdb8bf0, 0xc271966b219e985a, 0x257ee686658765ba, 0x000002a41d726b4f,
};

/*
 * t441_swio11_lednop_pr_u4          t441_swio12_lednop_pr             t441_swio12_lednop_pr_u4
 * t841_swio11_lednop_pr             t841_swio11_lednop_pr_u4          t841_swio12_lednop_pr
 * t841_swio12_lednop_pr_u4
 */
static const uint64_t ur_t441_swio11_lednop_pr[] = {
  0xa226eeeeef62422f, 0x5cb4b10ad005627b, 0xad4f7d7f85c8866b, 0x217124cd88a45b1f, 0xc6a1f8bdd9ee888f,
  0xf8c9dd3f7a6c591c, 0x1effdac99f5f7304, 0x51d003be5b7b630d, 0x3cf58e38e040c9af, 0x18df398b016594c6,
  0xfecc11d7a3e76f91, 0x07967b7bdf48a807, 0x8c36d7972ab5815a, 0x75152a8d778c31ce, 0x101395daa5beaece,
  0x4ae5e97f4d8066b8, 0x75cf6ab445797601, 0x82e52d7ce80f3e2d, 0xe7a1f0ae8bee0854, 0xc8ab74bd55169485,
  0xb8d87d6aeb7cdb2e, 0x03b6868b26865c9a, 0xf8da216cdbeacc79, 0x71966b219e985a0d, 0x7ee686658765bac2,
  0x001f20bb190fcf25,
};

// t441_swio11_lednop_pr_ee_u4       t441_swio12_lednop_pr_ee          t441_swio12_lednop_pr_ee_u4
static const uint64_t ur_t441_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x3f72d2c42261558d, 0xa5e8d3d623e2d4cc, 0xfc1fc2de4d7a70bd, 0x9bb066b411417fdd,
  0x4f8c9dde4bab8d1d, 0xd15bfdac99f27530, 0xfe741fed68e44630, 0x51f06cc1829ea3ca, 0xdc3afb007f15d4af,
  0x801afa5b1971c270, 0x73ab4b98f1d63399, 0x43af00676f911bde, 0x3b1bda3b873daad7, 0x7fe017b2e1cb380e,
  0x36d7972ab51d60b9, 0x152a8d778c31ce8c, 0x1395daa5beaece75, 0xe5e97f4d8066b810, 0xcf6ab4457976014a,
  0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x36d3d0f85745f722, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1,
  0x16837e36885b36fa, 0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x000000029f39c643,
};

// t441_swio11_lednop_pr_ce_u4       t441_swio12_lednop_pr_ce          t441_swio12_lednop_pr_ce_u4
static const uint64_t ur_t441_swio11_lednop_pr_ce[] = {
  0xe873777777b15a91, 0xb96962c9c53758f5, 0xa0cf522f898e32ca, 0x0bfdf98ec178c2b7, 0xb410902e3bbebd0e,
  0x04f8c9dd34ba104b, 0x0d21ffdac99f2873, 0x2e0e487b1fd57c63, 0x39d7736bbfcfcf2f, 0xd4797d3dcb2eb593,
  0xf680471c70206b3f, 0xdbe44637ce62c050, 0x2a01ffb33c75e8f9, 0x5815a0796b76f7d2, 0xc31ce8c36d7972ab,
  0xeaece75152a8d778, 0x066b8101395daa5b, 0x976014ae5e97f4d8, 0xf3e2d75cf6ab4457, 0xe085482e52d7ce80,
  0x69485e7a1f0ae8be, 0x9b65d863b74bd551, 0xcb93571b0fad5d6f, 0x598f2076d0d164d0, 0x0b41bf1b442d9b7d,
  0xb7584e32cd6433d3, 0xf9e4afdcd0ccb0ec, 0x00000016ea3cbb21,
};

// t441_swio11_lednop_pr_ee_ce_u4    t441_swio12_lednop_pr_ee_ce       t441_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_swio11_lednop_pr_ee_ce[] = {
  0x6d8cdddddd4458e2, 0x84b96962158c4d63, 0x1c7448ebd385fe2e, 0x8ce6f50cd2d91377, 0x83e4685ce24d076d,
  0xf193baecb5999d65, 0x37ff700e7d36e609, 0x1fb1fd51ba5630c3, 0xd7e8ffe797975a4b, 0x6ed6051f2673aee6,
  0xb30738fa8f2b3860, 0xf60e405670fd47c1, 0xf4b632e384e1b875, 0xe756b84adf5b0035, 0x0ebd0d4edd4235f0,
  0xb1f2231bf3daaf4e, 0x13805ecb65f380e3, 0x7a7ae193ca8d8228, 0x0c73a30db5e5caad, 0xabb39d454aa35de3,
  0x19ae0404e576a96f, 0x5d8052b97a5fd360, 0xcf8b5d73daad115e, 0x821520b94b5f3a03, 0xa52179e87c2ba2fb,
  0x6d97618edd2f5545, 0x2e4d5c6c3eb575be, 0x663c81f943459343, 0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c,
  0xe792bf734332c3b2, 0x0000014d31d1670e,
};

/*
 * t441_swio11_dual_pr               t441_swio11_dual_pr_u4            t441_swio12_dual
 * t441_swio12_dual_pr               t441_swio12_dual_pr_u4
 */
static const uint64_t ur_t441_swio11_dual[] = {
  0xd91dddddde7c92df, 0xdb70f97bd95ebc8f, 0x2c5a24792b4b3f6f, 0xd98957c768dd33ed, 0x0ce734edd23f644a,
  0x97a77244fdad1361, 0x2305523bad304f8c, 0x5883704d8818fd93, 0x4ee9e10dbf1030a1, 0xe0bee628bf994552,
  0xfba9bd478f7b07f0, 0xcc6811423920e040, 0xc410f84fae1f02bf, 0x5a191510cbd885e4, 0xfa039e1308b15086,
  0x33100871885be04f, 0x4adfe80ca60b02c4, 0x51c3d9df2d10b186, 0x718f8e38e040e32f, 0x8f24398b016899be,
  0xfd9823af7e1bb1ea, 0x0f2cf6e211f1500f, 0x0ee9cbcce737b88c, 0xb5e5caad6739de78, 0x4aa35de30c73a30d,
  0xe576a96fabb39d45, 0x7a5fd36019ae0404, 0xdaad115e5d8052b9, 0x4b5f3a03cf8b5d73, 0x7c2ba2fb821520b9,
  0xdd2f5545a52179e8, 0x1f5abadf36cbb22a, 0xf1a2c9a19726ae36, 0x42d9b7d598f20669, 0xd6433d30b41bf1b4,
  0x0ccb0ecb7584e32c, 0x163ff0449e4afdcd, 0x0000000000000062,
};

// t441_swio11_dual_pr_ee_u4         t441_swio12_dual_pr_ee            t441_swio12_dual_pr_ee_u4
static const uint64_t ur_t441_swio11_dual_pr_ee[] = {
  0xa375bbbbba869a4e, 0xfdb70fd43eefd794, 0x87dbb3890544e466, 0x471b0c89f55e9f7b, 0x778ebf1f376528dd,
  0xe5f57dbeb8f0f265, 0x485d16609f192b8e, 0xc1362063f64c8c15, 0x8436fc40c285620d, 0x325afccb3e833ba7,
  0xd478adb01ac70275, 0x2847241c081efb9b, 0x89f5c3e057f98d02, 0x4432f62179310ba1, 0x84c6545421968406,
  0x1c6216eff3fe80e7, 0xc9c982c0b10cc402, 0x6b46e4d8c374fffc, 0x1c7bf51e57a6e0ff, 0x07f15e9bf51f06cc,
  0xb1971c270dc3afb0, 0x9e1d08799801afa5, 0xecfe2309e73ab4ba, 0x924f6ab5d0ebd20a, 0xbba9e701c760f547,
  0x7d51b0465ff805ec, 0x72f339cde38b5ae3, 0x72ab59ce779e03ba, 0xd778c31ce8c36d79, 0xaa5beaece75152a8,
  0xf4d8066b8101395d, 0x4457976014ae5e97, 0xce80f3e2d75cf6ab, 0xe8bee085482e52d7, 0xd55169485e7a1f0a,
  0xaeb7cdb2ec8ab74b, 0xb8d164d0c6ed87d6, 0x442d9b7d599bf83b, 0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32,
  0x28f5ba5419e4afdc, 0x0000000000000064,
};

// t441_swio11_dual_pr_ce_u4         t441_swio12_dual_pr_ce            t441_swio12_dual_pr_ce_u4
static const uint64_t ur_t441_swio11_dual_pr_ce[] = {
  0x699eeeeeef3e43ee, 0xf6dc3f4233ef5fc9, 0x475f4c8dc1b22103, 0x4e3884349802b7ef, 0x5faeceb6ef25a663,
  0x642e5933535da7ac, 0x60aa42baf304f8c9, 0x106e09b1031fb264, 0xdd3c21b7e206142b, 0x1d2cc70ff328aa49,
  0x1a6f51ff76c12b1c, 0x3408a11c90702070, 0x130c27d70f815fe6, 0x86488865ec42f262, 0x01cf0996bc542196,
  0x880438c42de2b7fd, 0x3ff4065305816219, 0x650ec7f59c58c314, 0xdcdaed77f9e5e5e7, 0xeb3dcb2e9ed4ce75,
  0xf1c71c081f49ea39, 0x235ae731602c0609, 0x39633c75ee96ec0a, 0x9cbcce7378e96bee, 0x5caad6739de780ee,
  0x35de30c73a30db5e, 0x6a96fabb39d454aa, 0xfd36019ae0404e57, 0xd115e5d8052b97a5, 0xf3a03cf8b5d73daa,
  0xba2fb821520b94b5, 0xf5545a52179e87c2, 0x575be6d97618edd2, 0x593432e4d5c6c3eb, 0x36fab31e40cd3e34,
  0x67a616837e36885b, 0x61d96eb09c659ac8, 0xee0893c95fb9a199, 0x0000000000e7afa4,
};

// t441_swio11_dual_pr_ee_ce_u4      t441_swio12_dual_pr_ee_ce         t441_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t441_swio11_dual_pr_ee_ce[] = {
  0x88eb6eeeeea1a5fb, 0xfdb70f97bc89f5f3, 0x1ff753ecb534e764, 0x8371ce70b26d00ef, 0x1f95c41791f9c475,
  0xdc9e0b5fc25597d7, 0x520f9f4c13e326e0, 0x704d8818fd932305, 0xe10dbf1030a15883, 0x9a76ff32cfa0cee9,
  0x51c66f61bb4704db, 0xa11c907020616a6f, 0x27d70f815fe63408, 0x2197b10bc9883b76, 0x4df3a2a10cb40a5a,
  0x8c42def0ffe80e78, 0x3930581621988043, 0x5479598c3620ff99, 0xf9e160184ad6ec7f, 0x41499cebb9b5ee87,
  0x5ea3caf7d81bb581, 0x15efbf51f06cc199, 0xb8e1386e1d7d8390, 0x14f7d6c00d7d2d8c, 0x5767f1184f39d5ae,
  0xf249ed57a7075e90, 0x97753ce038ec1ea8, 0x37d51b04502700bd, 0xd39799ce6fe9e5ae, 0xcb955ace73bcf01d,
  0x46bbc618e7461b6b, 0xed52df57673a8a95, 0xbfa6c0335c0809ca, 0x5a22bcbb00a572f4, 0xbe74079f16bae7b5,
  0x5745f7042a417296, 0x5eaa8b4a42f3d0f8, 0x6aeb7cdb2ec31dba, 0xbb8d164d0c6ed87d, 0xb442d9b7d599bf83,
  0x2cd6433d30b41bf1, 0xcd0ccb0ecb7584e3, 0x98269ca5419e4afd,
};

/*
 * t441_swio13_noled_pr              t441_swio13_noled_pr_u4           t841_swio13_noled
 * t841_swio13_noled_pr              t841_swio13_noled_pr_u4
 */
static const uint64_t ur_t441_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215b9bd6, 0xb6fa5dd1b42ca832, 0xb23c19849eede0fa, 0xcc4d8e3f5a6cfdd0,
  0xc7b9827c64eee3bd, 0xa4630ddd7ff3eecf, 0x40f9ef51d313be5b, 0xb7ba69c47c8e38e0, 0xb9dba4464f1cc580,
  0xac10fb8e58c11d78, 0xc73a30db5e5caad4, 0xfb39d454aa35de30, 0x066b395daa5beaa6, 0x5d8052ad5ef5f4d8,
  0xbd677973daad115e, 0x21696bfc46a78629, 0x43e15d17dc3cbc50, 0x6ed87d6aeb7cdb4f, 0x63c81a3f8d164d0c,
  0xd06fc6d10b66df56, 0xd6138cb3590cf4c2, 0x792bf734332c3b2d, 0x000007c801cb935a,
};

// t441_swio13_noled_pr_ee_u4
static const uint64_t ur_t441_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a58844b2758, 0x9fbd867aebcbda99, 0xdf83f85d09ad4fc7, 0x08333630a2282ffc,
  0x04f8c9dda67a47ee, 0x0da6ffdac99f1ad3, 0xadc9c1fed68fba63, 0xea3e0d98397dea3c, 0x1b875f600fe2b80d,
  0x30035f4b632e384e, 0x0e756970f63ac673, 0xe875e00cec98a31f, 0xe3b16b23e827b55a, 0x97fe017b2e1cb380,
  0xc36d7972ab51d57f, 0x5152a8d778c31ce8, 0xe576a96faa9bece7, 0x4ab57bd7d36019ac, 0xb5cf6ab445797601,
  0x75380b2953e9de7e, 0x0bf714085a585cea, 0xdf36d3d0f85745f7, 0xa19726ae361f5aba, 0xfab31e40eda1a2c9,
  0xa616837e36885b36, 0xd96eb09c659ac867, 0x43f3c95fb9a19961, 0x00000000053e69c6,
};

// t441_swio13_noled_pr_ce_u4
static const uint64_t ur_t441_swio13_noled_pr_ce[] = {
  0x14cdddddddec4743, 0xb2ae5a58b271e9d6, 0x6434d8de6ec1e38c, 0x8705fcdab1f98b11, 0xd60920a6c6deea98,
  0xb304f8c9dd68baf5, 0x630df3bfdac99f2e, 0x2f2e0e7ceb1fd66e, 0x9339d7736be9afcf, 0x3dea3cdd3dcb2eb5,
  0x2edf97d1c71c0819, 0x3e764c51ef673160, 0x134a807feccf1d7a, 0xaad508981e5add6b, 0xde30c73a30db5e5c,
  0xeaa6fb39d454aa35, 0xf4d8066b395daa5b, 0x115e5d8052ad5ef5, 0x1a779bdb5d73daad, 0x5d17dc0eea6c529e,
  0xeaa8b4b485cf43e1, 0x5d6f9b6c2131dba5, 0x64d0cb93571b0fad, 0x9b7d598f2076d0d1, 0x33d30b41bf1b442d,
  0xb0ecb7584e32cd64, 0xfb21f9e4afdcd0cc, 0x000000000016eb63,
};

// t441_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t441_swio13_noled_pr_ee_ce[] = {
  0x1b7bbbbbba88a493, 0xa12e5a588565c758, 0xfa76cbbdc7798f8b, 0xd8ce6fe3da28400c, 0xf22625a5ce24d046,
  0x9f193ba53b6c49da, 0x63fff700e7f76a60, 0xe9fb1fd51c87630c, 0x36bb397e797975a4, 0x0376b028f9339d77,
  0x0d983403d4795ba5, 0xafb07202b74bea3e, 0xafa5b1971c270dc3, 0x873ab5c7eefad801, 0x7075e86a76d291fc,
  0x8ec2628f7b9ed57a, 0xa04e017b2d97ce03, 0xb5e9ee8305aa3608, 0x8c31ce8c36d7972a, 0xa9bece75152a8d77,
  0x36019ace576a96fa, 0x57976014ab57bd7d, 0x9de6f6d75cf6ab44, 0x45f703ba9b14a786, 0xaa2d2d2173d0f857,
  0x5be6db084c76e97a, 0x3432e4d5c6c3eb57, 0xdf5663c81f943459, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c,
  0x70ee792bf734332c, 0x000000000a69bd6e,
};

// t841_swio13_lednop
static const uint64_t ur_t441_swio13_lednop[] = {
  0x165bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x3a36f7438a38e0c9, 0x91e0cc24f76a45f1, 0xf756818c47c5ee85,
  0x3ebee609f193ba0b, 0xdd231868f7ffcfbb, 0x0207cf7a8ebe1df2, 0x05bdd375110c71c7, 0x8b9db7b4770ce62c,
  0x4ac59fb8e58c11d7, 0x0c73a30db5e5caad, 0x6fb39d454aa35de3, 0xb8101395daa5beaa, 0x00a572497f4d8066,
  0x3f5ae7b55a22bcbb, 0x57a96165362ce80f, 0xfb8e7d14085a6ae7, 0x5d6f9b69e87c2ba2, 0x6cdb8bf08ddb0fad,
  0x219e985a0df8da21, 0x658765bac271966b, 0x71f26b4f257ee686, 0x000000000000549a,
};

// t441_swio13_lednop_pr_u4          t841_swio13_lednop_pr             t841_swio13_lednop_pr_u4
static const uint64_t ur_t441_swio13_lednop_pr[] = {
  0x656eeeeeef62d214, 0xad72d2c42b171ac1, 0x4f71dea981c52219, 0x1e412276dfa5d9ed, 0xb0bfc7d69ba59511,
  0x13e3277619e95b68, 0x318fff6b267ea54c, 0x7a8fa51df2d07d8c, 0x3f9d4471c70207d0, 0x2238c8e62c059653,
  0x0ffd9823af47ced9, 0x503cb3db83f70d50, 0x7461b6bcb955acbb, 0x73a8a9546bbc618e, 0x0272bb54b7d54df6,
  0xae492fe9b00cd702, 0x5cf6ab4457976014, 0x2e52d7ce80f3e2d7, 0x7a1f0ae8bee08548, 0x8ab74bd55169485e,
  0x8d87d6aeb7cdb631, 0x3b6868b26865c9ab, 0x8da216cdbeacc790, 0x1966b219e985a0df, 0xee686658765bac27,
  0x007c819190fcf257,
};

// t441_swio13_lednop_pr_ee_u4
static const uint64_t ur_t441_swio13_lednop_pr_ee[] = {
  0x1cdf7777777b1762, 0x987ee5a58844c2ab, 0xbda5e8d3df4b5a29, 0xe6fc1fc2e84d7a70, 0x1d9bb066b411417f,
  0x304f8c9dde4bab8d, 0x30d15bfdac99f275, 0xcafe741fed68fba6, 0x5ea3e0d98397dea3, 0xe1b875f600fe2ba9,
  0x330035f4b632e384, 0xbce7569731e3ac67, 0xae875e00cedf2237, 0x1c7637b4770e7b55, 0x72ffc02f65c39670,
  0x186daf2e556a3ac1, 0xea2a551aef18639d, 0x9caed52df5537d9c, 0x924bfa6c0335c080, 0x3daad115e5d8052b,
  0x52d794e02e740797, 0x5f45021695844c2f, 0xe6da7a1f0ae8bee4, 0x32e4d5c6c3eb575b, 0x5663c81db4345934,
  0xc2d06fc6d10b66df, 0x2dd6138cb3590cf4, 0x7e792bf734332c3b, 0x0000000053e738c8,
};

// t441_swio13_lednop_pr_ce_u4
static const uint64_t ur_t441_swio13_lednop_pr_ce[] = {
  0x14cdddddddec53c3, 0x59572d2c59398556, 0x0cf717eecfe0f1c6, 0x1c17f369e9d8f266, 0xc7164168a87baa62,
  0x6609f193bab8f6a2, 0xc618e1ffb5933ec1, 0x5e5c1c38763facdc, 0x4ce75dcdaf6b7f9e, 0xf7a8f38cf72cbad6,
  0x58f7a5471c702064, 0x7ced92238c8e62c0, 0x70d500ffd99e3af4, 0x56b2ed40f2d6e83f, 0xf18639d186daf2e5,
  0x5537d9cea2a551ae, 0x335c0809caed52df, 0x5d8052b924bfa6c0, 0xcf8b5d73daad115e, 0x821520b94b5f3a03,
  0xa52179e87c2ba2fb, 0x6db1898edd2f5545, 0x2e4d5c6c3eb575be, 0x663c81db43459343, 0x2d06fc6d10b66df5,
  0xdd6138cb3590cf4c, 0xe792bf734332c3b2, 0x0000005ba9c28c87,
};

// t441_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_swio13_lednop_pr_ee_ce[] = {
  0x0dbddddddd447e4a, 0xd0972d2c42b533ac, 0xc48ec1bdb260bfc5, 0xb19cdfc7ae368a7e, 0xd3b92bd79c49a08d,
  0x3e32775eb686e57d, 0xff9ff700e7f4d4c1, 0x0cdd8fea8e43b186, 0x36bb41ff3cbcbad2, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xafb07202b2ebea3e, 0xafa5b1971c270dc3, 0xc73ab5c7cefad801, 0xe0ebd0d4ec13d1cd,
  0x1d8c911c653daaf4, 0x409c02f65b2f9c07, 0xb5e9eb589a546c11, 0x8c31ce8c36d7972a, 0xa9bece75152a8d77,
  0x9ae0404e576a96fa, 0xec0295c925fd3601, 0x7c5aeb9ed5688af2, 0x10a905ca5af9d01e, 0x290bcf43e15d17dc,
  0x6d8c4c76e97aaa2d, 0x726ae361f5abadf3, 0x31e40fca1a2c9a19, 0x6837e36885b36fab, 0xeb09c659ac867a61,
  0x3c95fb9a19961d96, 0x000014d34faf3877,
};

// t441_swio13_dual_pr               t441_swio13_dual_pr_u4
static const uint64_t ur_t441_swio13_dual[] = {
  0xa5ddddddde7c4541, 0xdfb6e1f2f6933d79, 0xb7aef60dac16967e, 0x2b74ce710f629c58, 0x16a4e561b74d2d91,
  0x64bd3b905b6e761f, 0x99182a90ea89827c, 0x0ac41b826c40c7ec, 0x92774f086df88185, 0x8705f73145fcca2a,
  0x07dd4dea3c7bd83f, 0xfe63408a11c90702, 0x931014827d70f815, 0x19686454432f6217, 0xbfe80e784c22c542,
  0x10cc4021c6216f95, 0x1be77fa032982c0b, 0x7d478f677cb7c8c6, 0x74afe471c7020791, 0x4235f0e62c05a266,
  0x3ff6608ebdf86edd, 0xa07967b7f22d7540, 0xe03ba72f339cdfec, 0x36d7972ab59ce779, 0x152a8d778c31ce8c,
  0x576a96faa9bece75, 0x25fd36019ae0404e, 0xd5688af2ec0295c9, 0x5af9d01e7c5aeb9e, 0xe15d17dc10a905ca,
  0xe97aaa2d290bcf43, 0xfad5d6f9b6c63156, 0x8d164d0cb93571b0, 0x16cdbeacc790334f, 0xb219e985a0df8da2,
  0x6658765bac271966, 0x17ef8224f257ee68, 0x0000000000000310,
};

// t441_swio13_dual_pr_ee_u4
static const uint64_t ur_t441_swio13_dual_pr_ee[] = {
  0x765bbbbbba8664d6, 0x9bf6dc3f50eb8faf, 0xf41f6efda3b51391, 0x3751c40505947ec5, 0x43b3745fc7cddbb2,
  0x71dcbaf7b3692c88, 0x82a90e9d4c13e325, 0x41b826c40c7ec991, 0x74f086df881850ac, 0x4ea64b5f9967d067,
  0x737a8f15b60358e0, 0xa04508e4838103df, 0xdd613eb87c0aff31, 0x80c8865ec42f2621, 0x1cf098ca8a8432d0,
  0x00871885bdadffd0, 0xff327260b02c4331, 0x3fdad1a56630c63f, 0xb30663fd4795ece8, 0xec01fc57b3bd47c1,
  0xe96c65c709c370eb, 0x2f8107421e66006b, 0x82bb40647221cead, 0x11af93daad743af4, 0x7b2eea79c071d8ea,
  0xbe32546c1197fe01, 0x3ba72f339cde38b7, 0xd7972ab59ce779e0, 0x2a8d778c31ce8c36, 0x6a96faa9bece7515,
  0xfd36019ae0404e57, 0x688af2ec0295c925, 0xf9d01e7c5aeb9ed5, 0x5d17dc10a905ca5a, 0x7aaa2d290bcf43e1,
  0xd5d6f9b6c63156e9, 0x771a2c9a18ddb0fa, 0x6885b36fab337f07, 0x59ac867a616837e3, 0x9a19961d96eb09c6,
  0x850ad54a833c95fb, 0x000000000000000c,
};

// t441_swio13_dual_pr_ce_u4
static const uint64_t ur_t441_swio13_dual_pr_ce[] = {
  0xac1ddddddde7ce7c, 0x40fdb70fd0858bd7, 0xd7da2fdb128cec88, 0x98d31225a8e73621, 0xccfb4fb57dbab069,
  0x8c9642e4843bdd8f, 0x932305523ce5304f, 0xa15883704d8818fd, 0x524ee9e10dbf1030, 0x58e0e966387f9945,
  0x0380d37a8ffbb609, 0xff31a04508e48381, 0x9310e5a13eb87c0a, 0x0cb43244432f6217, 0xbfe80e784cb5e2a1,
  0x10cc4021c6216f1c, 0x1982ffa032982c0b, 0x2f3b60b63faa00c6, 0x39d7736bc00fcf2f, 0xa8fd44f72cba7b53,
  0xee448e38e040ee1f, 0xb4be46f79cc580ab, 0xdfb8e58cf1d7ba5b, 0x01dd39799ce6f1d3, 0xb6bcb955ace73bcf,
  0xa9546bbc618e7461, 0xbb54b7d54df673a8, 0x2fe9b00cd7020272, 0xab4457976014ae49, 0xd7ce80f3e2d75cf6,
  0x0ae8bee085482e52, 0x4bd55169485e7a1f, 0xad5d6f9b6c6263b7, 0xd164d0cb93571b0f, 0x6cdbeacc790334f8,
  0x219e985a0df8da21, 0x658765bac271966b, 0xe738224f257ee686, 0x00000000000039eb,
};

// t441_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_t441_swio13_dual_pr_ee_ce[] = {
  0x7fdaddddddd432db, 0xd93f6dc3e5eda7bd, 0xfb99bddb178d4d39, 0x75837272f7187c89, 0xd0672bbc1791ffb4,
  0x837268fea8c4cea6, 0x1548cb69304f8c9b, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0x6e69dbfccb3e833b,
  0xbd4719bd86ed1c13, 0x22847241c08185a9, 0x109f5c3e057f98d0, 0xb4432f621793105c, 0xf09be74542196814,
  0x871885bcc37fd01c, 0x327260b02c433100, 0xfd51cae630d5bfff, 0x5bf3c2c0309620b1, 0x02829339d7736bf7,
  0x1efd4795dba0376b, 0x40576ebd47c1b306, 0x32e384e1b875f60e, 0xb8c09f5b0035f4b6, 0x415da0323910e756,
  0x235f27b55e9c1d7a, 0xf65dd4f380e3b1d4, 0xbe32546c11409c02, 0x1dd39799ce6fe9e7, 0x6bcb955ace73bcf0,
  0x9546bbc618e7461b, 0xb54b7d54df673a8a, 0xfe9b00cd7020272b, 0xb4457976014ae492, 0x7ce80f3e2d75cf6a,
  0xae8bee085482e52d, 0xbd55169485e7a1f0, 0xd5d6f9b6c6263b74, 0x771a2c9a18ddb0fa, 0x6885b36fab337f07,
  0x59ac867a616837e3, 0x9a19961d96eb09c6, 0x82749d4a833c95fb, 0x0000000000000009,
};

/*
 * t441_swio14_noled_pr              t441_swio14_noled_pr_u4           t841_swio14_noled
 * t841_swio14_noled_pr              t841_swio14_noled_pr_u4
 */
static const uint64_t ur_t441_swio14_noled[] = {
  0x088377777759bb37, 0x43bb9696215b9bd6, 0xb6fa5dd4899ee832, 0x101e0cc26a4de0fa, 0xe626c71fad367ee9,
  0xe3dcc13e327771de, 0xd03186eebff9f767, 0x40ebffa8e989df2d, 0xb7ba69c47c8e38e0, 0xb9dba4464f1cc580,
  0xac10fb8e58c11d78, 0xc73a30db5e5caad4, 0xab39d454aa35de30, 0x8066b3a6e576a96f, 0x5e5d8052b63f7f4d,
  0xfa779fad73daad11, 0x96173a9d4e02ca54, 0x15d17dc3cbc50216, 0x87d6aeb7cdb4f43e, 0x81a3f8d164d0c6ed,
  0xfc6d10b66df5663c, 0x38cb3590cf4c2d06, 0xbf734332c3b2dd61, 0x007c801cb935a792,
};

// t441_swio14_noled_pr_ee_u4
static const uint64_t ur_t441_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0x87ee5a588447a758, 0xcdde9fbde3f42299, 0x27c1fc2de4db1f50, 0xd95b6414d91417f3,
  0x04f8c9dd313ad160, 0x0d6ebfdac99f8e53, 0xaff741fed68e4463, 0xf51f06cc1829ea3c, 0x86e1d7d803f8adfc,
  0xcc00d7d2d8cb8e13, 0x29cead2e650eb19c, 0xba1d78033b3de8f2, 0x71d8b868c9a9ed56, 0xcbff00bd970e59c0,
  0x61b6bcb955a8e843, 0xa8a9546bbc618e74, 0x674dcaed52df5673, 0x00a56c7efe9b00cd, 0x3f5ae7b55a22bcbb,
  0x753a9c0594a9f4ef, 0xfb87978a042d2c2e, 0x5d6f9b69e87c2ba2, 0x64d0cb93571b0fad, 0x9b7d598f2076d0d1,
  0x33d30b41bf1b442d, 0xb0ecb7584e32cd64, 0xdb21f9e4afdcd0cc, 0x0000000000014f98,
};

// t441_swio14_noled_pr_ce_u4
static const uint64_t ur_t441_swio14_noled_pr_ce[] = {
  0x0feeeeeeef621391, 0x2ae5a58b2731dd63, 0x09ac86eef36a38cb, 0x705fefc05fe3dd7a, 0x25c2ac9edbddc3e8,
  0x609f193bb647685f, 0x6192b7fb5933e70e, 0xe5c1c4ad63faaf8c, 0xce75dcdae9b7f9e5, 0xfa8ebe4f72cbad64,
  0xee8148e38e040d67, 0xcecf7a3114e62c05, 0x79500ffd99e3af47, 0xb555aa0796b75c32, 0x8c31ce8c36d7972a,
  0x5beace75152a8d77, 0xd36019ace9b95daa, 0x4457976014ad8fdf, 0x869de6f6d75cf6ab, 0x5745f703ba9b14a7,
  0x7aaa2d2d2173d0f8, 0xabadf36c810c76e9, 0x2c9a19726ae361f5, 0xb36fab31e40eda1a, 0x867a616837e36885,
  0x961d96eb09c659ac, 0xbe643f3c95fb9a19, 0x0000000000016ea8,
};

// t441_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t441_swio14_noled_pr_ee_ce[] = {
  0x267bbbbbba889202, 0xa12e5a5885634b58, 0xac1de9dad4fc7f8b, 0x6339bd43b23414ad, 0x99fd386738934126,
  0x7c64ee9bad32282a, 0xa7ffee01cfffc982, 0x0b563faa374ac61b, 0x36b9257e797975a4, 0x0376b028f9339d77,
  0x0d9839c7d4795fce, 0xafb07202bf9dea3e, 0xafa5b1971c270dc3, 0x273ab5c145fad801, 0x7075e86a764011c4,
  0x8ec3de8c459ed57a, 0xa04e017b2d97ce03, 0x5af4f135cf2a3608, 0xc618e7461b6bcb95, 0x2df5673a8a9546bb,
  0xe9b00cd674dcaed5, 0xa22bcbb00a56c7ef, 0xc34ef37b6bae7b55, 0x2ba2fb81dd4d8a53, 0xbd55169690b9e87c,
  0xd5d6f9b640863b74, 0x164d0cb93571b0fa, 0xd9b7d598f207e50d, 0x433d30b41bf1b442, 0xcb0ecb7584e32cd6,
  0x049c3b9e4afdcd0c, 0x000000000000a69a,
};

// t841_swio14_lednop
static const uint64_t ur_t441_swio14_lednop[] = {
  0x088377777759bb37, 0x43bb9696215bd2d6, 0x276a1eef85e82832, 0x0f066135271ff17e, 0xa6c0db2669177488,
  0x0f7304f8c9ddc77b, 0x40c61a44ffe7dd9f, 0x03affea3af877cb7, 0xdee9bba05238e381, 0xcec3e23b86731602,
  0x65c3dc72c608ebc5, 0x39d186daf2e556a5, 0x59cea2a551aef186, 0xc0809d372bb54b7d, 0x0295cbec7a6c0335,
  0x5aeb9ed5688af2ec, 0xa905ca5af9d01e7c, 0x0bcf43e15d17dc10, 0x5d9156e97aaa2d29, 0x08ddb0fad5d6f9b6,
  0xa0df8da216cdb8bf, 0xac271966b219e985, 0xf257ee686658765b, 0x0000002a41d726b4,
};

// t441_swio14_lednop_pr_u4          t841_swio14_lednop_pr             t841_swio14_lednop_pr_u4
static const uint64_t ur_t441_swio14_lednop_pr[] = {
  0x526eeeeeef62422f, 0x6b5cb4b10ad00563, 0x1fad4f7d7f85c886, 0x8f217124cd88a45b, 0x8e6350fc5eeea488,
  0x827c64ee9fbd362c, 0x868f7fed64cfafb9, 0xd7a8e801df2dbdb1, 0x631e7ac71c702064, 0xc88c6f9cc580b2ca,
  0x03ff6608ebd1f3b7, 0xad03cb3dbdefa454, 0xe7461b6bcb955ac0, 0x673a8a9546bbc618, 0x020274dcaed52df5,
  0x0a572fb1e9b00cd7, 0x6bae7b55a22bcbb0, 0xa417296be74079f1, 0x2f3d0f85745f7042, 0x76455ba5eaa8b4a4,
  0xd5c6c3eb575be6d9, 0xc81db434593432e4, 0x6fc6d10b66df5663, 0x138cb3590cf4c2d0, 0x2bf734332c3b2dd6,
  0x0000f905d8c87e79,
};

// t441_swio14_lednop_pr_ee_u4
static const uint64_t ur_t441_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x987ee5a58844c2ab, 0x7b4bd1a7ac47c5a9, 0x64f83f85bc9af4e1, 0x3b3760cd682282fe,
  0x609f193bbc97571a, 0x61a2b7fb5933e4ea, 0x95fce83fdad1c88c, 0x5ea3e0d983053d47, 0xe1b875f600fe2ba9,
  0x330035f4b632e384, 0xbce7569731e3ac67, 0xae875e00cedf2237, 0x1c7637b4770e7b55, 0x72ffc02f65c39670,
  0x186daf2e556a3ac1, 0xea2a551aef18639d, 0x09d372bb54b7d59c, 0x5cbec7a6c0335c08, 0xb9ed5688af2ec029,
  0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0xe6da7a1f0ae8bee4, 0x32e4d5c6c3eb575b, 0x5663c81db4345934,
  0xc2d06fc6d10b66df, 0x2dd6138cb3590cf4, 0x7e792bf734332c3b, 0x0000000053e738c8,
};

// t441_swio14_lednop_pr_ce_u4
static const uint64_t ur_t441_swio14_lednop_pr_ce[] = {
  0x87f7777777b15a91, 0x9572d2c5938a6eb1, 0x6f419ea45f131c65, 0x1c17fbf31d82f185, 0x976821205c7770fa,
  0xe609f193ba697420, 0xc61a43ffb5933e50, 0x5e5c1c90f63faaf8, 0x2673aee6d77f9f9e, 0x7fa8f2fa7b965d6b,
  0xa1ed008e38e040d6, 0xf3b7c88c6f9cc580, 0xa45403ff6678ebd1, 0x56b02b40f2d6edef, 0xf18639d186daf2e5,
  0x4b7d59cea2a551ae, 0x0335c0809d372bb5, 0xf2ec0295cbec7a6c, 0x1e7c5aeb9ed5688a, 0xdc10a905ca5af9d0,
  0x2d290bcf43e15d17, 0xf36cbb0c76e97aaa, 0x19726ae361f5abad, 0xab31e40eda1a2c9a, 0x616837e36885b36f,
  0x96eb09c659ac867a, 0x3f3c95fb9a19961d, 0x00000002dd479764,
};

// t441_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_swio14_lednop_pr_ee_ce[] = {
  0x133ddddddd4458e2, 0xd0972d2c42b189ac, 0xe38e891d7a70bfc5, 0x319cdea19a5b226e, 0xb07c8d0b9c49a093,
  0x3e32775d96b333ac, 0x66ffee01cfa6dcc1, 0x63f63faa374ac618, 0xdafd1ffcf2f2eb49, 0x0ddac0a3e4ce75dc,
  0x3660e71f51e5670c, 0xbec1c80ace1fa8f8, 0xbe96c65c709c370e, 0x1cead7095beb6006, 0xc1d7a1a9dba846be,
  0x763e44637e7b55e9, 0x02700bd96cbe701c, 0xaf4f5c327951b045, 0x618e7461b6bcb955, 0xdf5673a8a9546bbc,
  0xcd7020274dcaed52, 0xbb00a572fb1e9b00, 0x9f16bae7b55a22bc, 0x042a417296be7407, 0x4a42f3d0f85745f7,
  0xdb2ec31dba5eaa8b, 0x5c9ab8d87d6aeb7c, 0xcc7903f2868b2686, 0x5a0df8da216cdbea, 0xbac271966b219e98,
  0xcf257ee686658765, 0x0000029a63a2ce1d,
};

// t441_swio14_dual_pr               t441_swio14_dual_pr_u4
static const uint64_t ur_t441_swio14_dual[] = {
  0x45ddddddde7c92df, 0xdfb6e1f2f7b2bd7b, 0xda58b448f256967e, 0x95b312af8ed1ba67, 0xc219ce69dbad16c8,
  0x192f4ee489fb5a26, 0x26460aa4775a609f, 0x42b106e09b1031fb, 0xa49dd3c21b7e2061, 0xe1c17dcc517f328a,
  0x81f7537a8f1ef60f, 0x7f98d022847241c0, 0xc98821f09f5c3e05, 0x0cb4322a2197b10b, 0x9ff4073c261162a1,
  0x88662010e310b7c0, 0x0c95bfd0194c1605, 0x5ea387b3be5a2163, 0x7ce31f1c71c081c6, 0xd51e48731602d133,
  0x1ffb30475efc3763, 0x181e59edc423e2a0, 0xf01dd39799ce6f71, 0x1b6bcb955ace73bc, 0x8a9546bbc618e746,
  0x74dcaed52df5673a, 0x2fb1e9b00cd70202, 0x7b55a22bcbb00a57, 0x296be74079f16bae, 0x0f85745f7042a417,
  0x5ba5eaa8b4a42f3d, 0xc3eb575be6d97645, 0x3e34593432e4d5c6, 0x885b36fab31e40cd, 0x9ac867a616837e36,
  0xa19961d96eb09c65, 0x42c7fe0893c95fb9, 0x000000000000000c,
};

// t441_swio14_dual_pr_ee_u4
static const uint64_t ur_t441_swio14_dual_pr_ee[] = {
  0x29dbbbbbba869a4e, 0xcdfb6e1fa87ddfaf, 0xf70fb767120a89c8, 0xba8e361913eabd3e, 0xcaef1d7e3e6eca71,
  0x1dcbeafb7d71e1e4, 0x2a90ba2cc13e3257, 0x1b826c40c7ec9918, 0x4f086df881850ac4, 0xea64b5f9967d0677,
  0x37a8f15b60358e04, 0x04508e4838103df7, 0x4313eb87c0aff31a, 0x0c8865ec42f26217, 0xcf098ca8a8432d08,
  0x0438c42ddfe7fd01, 0xf993930581621988, 0xfed68dc9b186e9ff, 0x9838f7ea3caf4dc1, 0x600fe2bd37ea3e0d,
  0x4b632e384e1b875f, 0x753c3a10f330035f, 0x15d9fc4613ce7569, 0x8f249ed56ba1d7a4, 0xd97753ce038ec1ea,
  0xc6faa3608cbff00b, 0x74e5e6739bc716b5, 0xf2e556b39cef3c07, 0x51aef18639d186da, 0x2bb54b7d59cea2a5,
  0x7a6c0335c0809d37, 0x688af2ec0295cbec, 0xf9d01e7c5aeb9ed5, 0x5d17dc10a905ca5a, 0x7aaa2d290bcf43e1,
  0xd5d6f9b65d9156e9, 0x771a2c9a18ddb0fa, 0x6885b36fab337f07, 0x59ac867a616837e3, 0x9a19961d96eb09c6,
  0x851eb74a833c95fb, 0x000000000000000c,
};

// t441_swio14_dual_pr_ce_u4
static const uint64_t ur_t441_swio14_dual_pr_ce[] = {
  0xc8eeeeeeef3e43ee, 0x07edb87e8467debf, 0xde8ebe991b836442, 0xc69c71086930056f, 0x58bf5d9d6ddf234c,
  0x92c85cb266a6bb4f, 0xc8c1548575e609f1, 0x5620dc1362063f64, 0x93ba78436fc40c28, 0x383a598e1fe65154,
  0xe034dea3feed8256, 0xcc6811423920e040, 0xc426184fae1f02bf, 0x2d0c9110cbd885e4, 0xfa039e132d78a843,
  0x33100871885bc56f, 0x287fe80ca60b02c4, 0xceca1d8feb38b186, 0xebb9b5daeff3cbcb, 0x73d67b965d3da99c,
  0x13e38e38103e93d4, 0x1446b5ce62c0580c, 0xdc72c678ebdd2dd8, 0xdd39799ce6f1d2d7, 0xbcb955ace73bcf01,
  0x546bbc618e7461b6, 0xcaed52df5673a8a9, 0x1e9b00cd7020274d, 0x5a22bcbb00a572fb, 0xbe74079f16bae7b5,
  0x5745f7042a417296, 0x5eaa8b4a42f3d0f8, 0x6aeb7cdb2ec31dba, 0x8b26865c9ab8d87d, 0x66df5663c819a7c6,
  0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0x9dc112792bf73433, 0x00000000001cf5f4,
};

// t441_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_t441_swio14_dual_pr_ee_ce[] = {
  0xd5f6eeeeeea1a5fb, 0xc9fb6e1f2f7913eb, 0xde3feea7d96a69ce, 0xeb06e39ce164da01, 0xae3f2b882f23eaf8,
  0xc1b93c16bf84ab2f, 0x0aa41f3e9827c64d, 0x06e09b1031fb2646, 0xd3c21b7e206142b1, 0xb734edfe659f419d,
  0xdea38cdec3768e09, 0x11423920e040c2d4, 0xec4fae1f02bfcc68, 0xb4432f6217931076, 0xf09be74542196814,
  0x871885bde1ffd01c, 0x327260b02c433100, 0xfea8f2b3186c41ff, 0x0ff3c2c03095add8, 0x02829339d7736bdd,
  0x32bd4795efb0376b, 0x202bdf7ea3e0d983, 0x1971c270dc3afb07, 0x5c29efad801afa5b, 0x20aecfe2309e73ab,
  0x51e493daaf4e0ebd, 0x7b2eea79c071d83d, 0x5c6faa3608a04e01, 0x3ba72f339cdfd3cb, 0xd7972ab59ce779e0,
  0x2a8d778c31ce8c36, 0xb95daa5beace7515, 0x63d36019ae0404e9, 0xab4457976014ae5f, 0xd7ce80f3e2d75cf6,
  0x0ae8bee085482e52, 0x4bd55169485e7a1f, 0xad5d6f9b65d863b7, 0x7771a2c9a18ddb0f, 0x36885b36fab337f0,
  0x659ac867a616837e, 0xb9a19961d96eb09c, 0x1304d394a833c95f,
};

/*
 * t441_swio15_noled_pr              t441_swio15_noled_pr_u4           t841_swio15_noled
 * t841_swio15_noled_pr              t841_swio15_noled_pr_u4
 */
static const uint64_t ur_t441_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215b9bd6, 0xb6fa5dd1b42ca832, 0xc13c19849eede0fa, 0xcc4d8e3f5a6cfdd6,
  0xc7b9827c64eee3bd, 0xa4630ddd7ff3eecf, 0x40f9ef51d313be5b, 0xb7ba69c47c8e38e0, 0xb9dba4464f1cc580,
  0xac10fb8e58c11d78, 0xc73a30db5e5caad4, 0xbb39d454aa35de30, 0x066b3a6e576a96fa, 0x2ec02956aff7f4d8,
  0xdeb3bcb9ed5688af, 0x10b4b5fe2353c314, 0xa1f0ae8bee1e5e28, 0x376c3eb575be6da7, 0x31e40d1fc68b2686,
  0x6837e36885b36fab, 0xeb09c659ac867a61, 0x3c95fb9a19961d96, 0x000003e400e5c9ad,
};

// t441_swio15_noled_pr_ee_u4
static const uint64_t ur_t441_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a58844b2758, 0x9fbd867aebcbda99, 0xbf83f85d09ad4fc7, 0x08333630a2282ffb,
  0x04f8c9dda67a47ee, 0x0da6ffdac99f1ad3, 0xadc9c1fed68fba63, 0xea3e0d98397dea3c, 0x1b875f600fe2b80d,
  0x30035f4b632e384e, 0x0e756970f63ac673, 0xe875e00cec98a31f, 0xe3b16b23e827b55a, 0x97fe017b2e1cb380,
  0xc36d7972ab51d57f, 0x5152a8d778c31ce8, 0xe9b95daa5beaece7, 0xa55abfdfd36019ac, 0x5ae7b55a22bcbb00,
  0x3a9c0594a9f4ef3f, 0x85fb8a042d2c2e75, 0x6f9b69e87c2ba2fb, 0xd0cb93571b0fad5d, 0x7d598f2076d0d164,
  0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x21f9e4afdcd0ccb0, 0x00000000029f34e3,
};

// t441_swio15_noled_pr_ce_u4
static const uint64_t ur_t441_swio15_noled_pr_ce[] = {
  0x7afdddddddec4743, 0x655cb4b164e3d3ac, 0xc869b1bcdd83c719, 0x0e0bf9b563f31622, 0x5824829b1b7bbebd,
  0xcc13e32775a2ebd7, 0x8c37ceff6b267cba, 0xbcb839f3ac7f59b9, 0x4ce75dcdafa6bf3c, 0xf7a8f374f72cbad6,
  0xbb7e5f471c702064, 0xf9d93147bd9cc580, 0x4d2a01ffb33c75e8, 0xab542260796b75ac, 0x78c31ce8c36d7972,
  0x5beaece75152a8d7, 0xd36019ace9b95daa, 0x22bcbb00a55abfdf, 0x34ef37b6bae7b55a, 0xba2fb81dd4d8a53c,
  0xd55169690b9e87c2, 0xbadf36d84263b74b, 0xc9a19726ae361f5a, 0x36fab31e40eda1a2, 0x67a616837e36885b,
  0x61d96eb09c659ac8, 0xf643f3c95fb9a199, 0x00000000002dd6c7,
};

// t441_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t441_swio15_noled_pr_ee_ce[] = {
  0xdb7bbbbbba88a493, 0xa12e5a588565c758, 0xfa76cbbdc7798f8b, 0xd8ce6fe3da28400c, 0xf22625a5ce24d076,
  0x9f193ba53b6c49da, 0x63fff700e7f76a60, 0xe9fb1fd51c87630c, 0x36bb397e797975a4, 0x0376b028f9339d77,
  0x0d983403d4795ba5, 0xafb07202b74bea3e, 0xafa5b1971c270dc3, 0x873ab5c7eefad801, 0x7075e86a76d291fc,
  0x8ec2628f7b9ed57a, 0xa04e017b2d97ce03, 0xb5e9ee8305aa3608, 0x8c31ce8c36d7972a, 0xbeaece75152a8d77,
  0x36019ace9b95daa5, 0x2bcbb00a55abfdfd, 0x4ef37b6bae7b55a2, 0xa2fb81dd4d8a53c3, 0x55169690b9e87c2b,
  0xadf36d84263b74bd, 0x9a19726ae361f5ab, 0x6fab31e40fca1a2c, 0x7a616837e36885b3, 0x1d96eb09c659ac86,
  0x38773c95fb9a1996, 0x000000000534deb7,
};

// t841_swio15_lednop
static const uint64_t ur_t441_swio15_lednop[] = {
  0xd83bbbbbbacdc49f, 0x0eee5a58856a12b0, 0x3a36f7438a38e0c9, 0x09e0cc24f76a45f1, 0xf756818c47c5eeb6,
  0x3ebee609f193ba0b, 0xdd231868f7ffcfbb, 0x0207cf7a8ebe1df2, 0x05bdd375110c71c7, 0x8b9db7b4770ce62c,
  0x4ac59fb8e58c11d7, 0x0c73a30db5e5caad, 0xabb39d454aa35de3, 0xb81013a6e576a96f, 0xc0295c958f4d8066,
  0xcfd6b9ed5688af2e, 0xd5ea58594d8b3a03, 0xbee39f4502169ab9, 0x575be6da7a1f0ae8, 0x5b36e2fc2376c3eb,
  0xc867a616837e3688, 0x9961d96eb09c659a, 0x9c7c9ad3c95fb9a1, 0x0000000000001526,
};

// t441_swio15_lednop_pr_u4          t841_swio15_lednop_pr             t841_swio15_lednop_pr_u4
static const uint64_t ur_t441_swio15_lednop_pr[] = {
  0xf76eeeeeef62d214, 0xad72d2c42b171ac4, 0x4f71dea981c52219, 0x1e412276dfa5d9ed, 0xb0bfc7d69bb3dd11,
  0x13e3277619e95b68, 0x318fff6b267ea54c, 0x7a8fa51df2d07d8c, 0x3f9d4471c70207d0, 0x2238c8e62c059653,
  0x0ffd9823af47ced9, 0x503cb3db83f70d50, 0x7461b6bcb955acbb, 0x73a8a9546bbc618e, 0x0274dcaed52df576,
  0x2b92b1e9b00cd702, 0xd73daad115e5d805, 0x0b94b5f3a03cf8b5, 0x9e87c2ba2fb82152, 0x62add2f5545a5217,
  0xe361f5abadf36d8c, 0x0eda1a2c9a19726a, 0xe36885b36fab31e4, 0xc659ac867a616837, 0xfb9a19961d96eb09,
  0x001f2064643f3c95,
};

// t441_swio15_lednop_pr_ee_u4
static const uint64_t ur_t441_swio15_lednop_pr_ee[] = {
  0x1bbf7777777b1762, 0x987ee5a58844c2ab, 0xbda5e8d3df4b5a29, 0xddfc1fc2e84d7a70, 0x1d9bb066b411417f,
  0x304f8c9dde4bab8d, 0x30d15bfdac99f275, 0xcafe741fed68fba6, 0x5ea3e0d98397dea3, 0xe1b875f600fe2ba9,
  0x330035f4b632e384, 0xbce7569731e3ac67, 0xae875e00cedf2237, 0x1c7637b4770e7b55, 0x72ffc02f65c39670,
  0x186daf2e556a3ac1, 0xea2a551aef18639d, 0x9d372bb54b7d5d9c, 0xe4ac7a6c0335c080, 0xcf6ab4457976014a,
  0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xf9b69e87c2ba2fb9, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d,
  0x30b41bf1b442d9b7, 0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x0000000014f9ce32,
};

// t441_swio15_lednop_pr_ce_u4
static const uint64_t ur_t441_swio15_lednop_pr_ce[] = {
  0x7afdddddddec53c3, 0xb2ae5a58b2730aac, 0x19ee2fdd9fc1e38c, 0x382fe6d3d3b1e4cc, 0x1c5905a2a1eefaf4,
  0x9827c64eeae3da8b, 0x186387fed64cfb05, 0x797070e1d8feb373, 0x339d7736bdadfe79, 0xdea3ce33dcb2eb59,
  0x63de951c71c08193, 0xf3b6488e32398b01, 0xc35403ff6678ebd1, 0x5acbb503cb5ba0fd, 0xc618e7461b6bcb95,
  0xdf57673a8a9546bb, 0xcd7020274dcaed52, 0x5d8052b92b1e9b00, 0xcf8b5d73daad115e, 0x821520b94b5f3a03,
  0xa52179e87c2ba2fb, 0x6db1898edd2f5545, 0x2e4d5c6c3eb575be, 0x663c81db43459343, 0x2d06fc6d10b66df5,
  0xdd6138cb3590cf4c, 0xe792bf734332c3b2, 0x0000005ba9c28c87,
};

// t441_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t441_swio15_lednop_pr_ee_ce[] = {
  0x6dbddddddd447e4a, 0xd0972d2c42b533ac, 0xc48ec1bdb260bfc5, 0xb19cdfc7ae368a7e, 0xd3b92bd79c49a0ed,
  0x3e32775eb686e57d, 0xff9ff700e7f4d4c1, 0x0cdd8fea8e43b186, 0x36bb41ff3cbcbad2, 0x0376b028f9339d77,
  0x0d983403d4795975, 0xafb07202b2ebea3e, 0xafa5b1971c270dc3, 0xc73ab5c7cefad801, 0xe0ebd0d4ec13d1cd,
  0x1d8c911c653daaf4, 0x409c02f65b2f9c07, 0xb5e9eb589a546c11, 0x8c31ce8c36d7972a, 0xbeaece75152a8d77,
  0x9ae0404e9b95daa5, 0xbb00a572563d3601, 0x9f16bae7b55a22bc, 0x042a417296be7407, 0x4a42f3d0f85745f7,
  0xdb63131dba5eaa8b, 0x5c9ab8d87d6aeb7c, 0xcc7903f2868b2686, 0x5a0df8da216cdbea, 0xbac271966b219e98,
  0xcf257ee686658765, 0x00000534d3ebce1d,
};

// t441_swio15_dual_pr               t441_swio15_dual_pr_u4
static const uint64_t ur_t441_swio15_dual[] = {
  0x1fddddddde7c4541, 0xdfb6e1f2f6933d79, 0xb7aef60dac16967e, 0x2b74ce710f629c58, 0x16a4e561b748fd91,
  0x64bd3b905b6e761f, 0x99182a90ea89827c, 0x0ac41b826c40c7ec, 0x92774f086df88185, 0x8705f73145fcca2a,
  0x07dd4dea3c7bd83f, 0xfe63408a11c90702, 0x931014827d70f815, 0x19686454432f6217, 0xbfe80e784c22c542,
  0x10cc4021c6216f95, 0x1be77fa032982c0b, 0x7d478f677cb7c8c6, 0x74afe471c7020791, 0x4235f0e62c05a266,
  0x3ff6608ebdf86edd, 0xa07967b7f22d7540, 0xe03ba72f339cdfec, 0x36d7972ab59ce779, 0x152a8d778c31ce8c,
  0x9b95daa5beaece75, 0x563d36019ae0404e, 0xb55a22bcbb00a572, 0x96be74079f16bae7, 0xf85745f7042a4172,
  0xba5eaa8b4a42f3d0, 0x3eb575be6db18c55, 0xe34593432e4d5c6c, 0x85b36fab31e40cd3, 0xac867a616837e368,
  0x19961d96eb09c659, 0x05fbe0893c95fb9a, 0x00000000000000c4,
};

// t441_swio15_dual_pr_ee_u4
static const uint64_t ur_t441_swio15_dual_pr_ee[] = {
  0x295bbbbbba8664d6, 0x9bf6dc3f50eb8faf, 0xf41f6efda3b51391, 0x3751c40505947ec5, 0x43b3745fc7cdd94a,
  0x71dcbaf7b3692c88, 0x82a90e9d4c13e325, 0x41b826c40c7ec991, 0x74f086df881850ac, 0x4ea64b5f9967d067,
  0x737a8f15b60358e0, 0xa04508e4838103df, 0xdd613eb87c0aff31, 0x80c8865ec42f2621, 0x1cf098ca8a8432d0,
  0x00871885bdadffd0, 0xff327260b02c4331, 0x3fdad1a56630c63f, 0xb30663fd4795ece8, 0xec01fc57b3bd47c1,
  0xe96c65c709c370eb, 0x2f8107421e66006b, 0x82bb40647221cead, 0x11af93daad743af4, 0x7b2eea79c071d8ea,
  0xbe32546c1197fe01, 0x3ba72f339cde38b7, 0xd7972ab59ce779e0, 0x2a8d778c31ce8c36, 0x95daa5beaece7515,
  0x3d36019ae0404e9b, 0x5a22bcbb00a57256, 0xbe74079f16bae7b5, 0x5745f7042a417296, 0x5eaa8b4a42f3d0f8,
  0xb575be6db18c55ba, 0xddc68b2686376c3e, 0xda216cdbeaccdfc1, 0x966b219e985a0df8, 0xe686658765bac271,
  0x2142b552a0cf257e, 0x0000000000000003,
};

// t441_swio15_dual_pr_ce_u4
static const uint64_t ur_t441_swio15_dual_pr_ce[] = {
  0xf25ddddddde7ce7c, 0x40fdb70fd0858bd7, 0xd7da2fdb128cec88, 0x98d31225a8e73621, 0xccfb4fb57dbbc969,
  0x8c9642e4843bdd8f, 0x932305523ce5304f, 0xa15883704d8818fd, 0x524ee9e10dbf1030, 0x58e0e966387f9945,
  0x0380d37a8ffbb609, 0xff31a04508e48381, 0x9310e5a13eb87c0a, 0x0cb43244432f6217, 0xbfe80e784cb5e2a1,
  0x10cc4021c6216f1c, 0x1982ffa032982c0b, 0x2f3b60b63faa00c6, 0x39d7736bc00fcf2f, 0xa8fd44f72cba7b53,
  0xee448e38e040ee1f, 0xb4be46f79cc580ab, 0xdfb8e58cf1d7ba5b, 0x01dd39799ce6f1d3, 0xb6bcb955ace73bcf,
  0xa9546bbc618e7461, 0xdcaed52df57673a8, 0xb1e9b00cd7020274, 0xaad115e5d8052b92, 0xb5f3a03cf8b5d73d,
  0xc2ba2fb821520b94, 0xd2f5545a52179e87, 0xeb575be6db1898ed, 0x34593432e4d5c6c3, 0x5b36fab31e40cd3e,
  0xc867a616837e3688, 0x9961d96eb09c659a, 0xf9ce0893c95fb9a1, 0x0000000000000e7a,
};

// t441_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_t441_swio15_dual_pr_ee_ce[] = {
  0x7ce2ddddddd432db, 0xd93f6dc3e5eda7bd, 0xfb99bddb178d4d39, 0x75837272f7187c89, 0xd0672bbc1791f9c4,
  0x837268fea8c4cea6, 0x1548cb69304f8c9b, 0x0dc1362063f64c8c, 0xa78436fc40c28562, 0x6e69dbfccb3e833b,
  0xbd4719bd86ed1c13, 0x22847241c08185a9, 0x109f5c3e057f98d0, 0xb4432f621793105c, 0xf09be74542196814,
  0x871885bcc37fd01c, 0x327260b02c433100, 0xfd51cae630d5bfff, 0x5bf3c2c0309620b1, 0x02829339d7736bf7,
  0x1efd4795dba0376b, 0x40576ebd47c1b306, 0x32e384e1b875f60e, 0xb8c09f5b0035f4b6, 0x415da0323910e756,
  0x235f27b55e9c1d7a, 0xf65dd4f380e3b1d4, 0xbe32546c11409c02, 0x1dd39799ce6fe9e7, 0x6bcb955ace73bcf0,
  0x9546bbc618e7461b, 0xcaed52df57673a8a, 0x1e9b00cd7020274d, 0xad115e5d8052b92b, 0x5f3a03cf8b5d73da,
  0x2ba2fb821520b94b, 0x2f5545a52179e87c, 0xb575be6db1898edd, 0xddc68b2686376c3e, 0xda216cdbeaccdfc1,
  0x966b219e985a0df8, 0xe686658765bac271, 0x609d2752a0cf257e, 0x0000000000000002,
};

/*
 * t461_swio10_noled_pr              t461a_swio10_noled                t461a_swio10_noled_pr
 * t861_swio10_noled                 t861_swio10_noled_pr              t861a_swio10_noled
 * t861a_swio10_noled_pr
 */
static const uint64_t ur_t461_swio10_noled[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b56958, 0xb6933ddb89d49064, 0x07833091128448ba, 0xf64188f1fe0fba44,
  0x24c13e32775a9e82, 0x92134aff0a41f3f2, 0x621fd474c4ef9626, 0x7ba6d2a218e39560, 0x9db7b464f1cc580b,
  0xc59fb8e58c11d78b, 0x0e7e09b5e5caad4a, 0xeace75152a8d7721, 0xbe82126b395daa5b, 0x5a22bca2112a97de,
  0x9e1a778efebae7b5, 0xf43aa7020eea6c52, 0xa2adfef5545a6194, 0x0ddb288c5fcdb15a, 0x663c81a3f8d16688,
  0xcd6433d30b41bf75, 0x34332c3b2c944e32, 0xc8005c641e792bf7, 0x0000000000000007,
};

// t461a_swio10_noled_pr_u4          t861_swio10_noled_pr_u4           t861a_swio10_noled_pr_u4
static const uint64_t ur_t461_swio10_noled_pr_u4[] = {
  0x49bbbbbb45d8bf82, 0x5ae5a58856f4b58d, 0xfdcc74d06e264433, 0x7908e3e3fe2f83f8, 0x8db267b3f7752444,
  0x27c64ee989d2420d, 0x3baffa343cfc7b98, 0xbd479b8ef9611521, 0x37740a471cab0327, 0x3e23b58e62c05965,
  0x00ffd9823af47cec, 0x4a81e59edf40b3d5, 0x39f826d7972ab510, 0xab39d454aa35dc84, 0xfa0849ace576a96f,
  0x688af28844aa5f7a, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x8ab7fbd551698653, 0x1e6ca2317f36c56a,
  0xeda1a2cb3a2e4d5c, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xdffc1343c899e07f, 0x9e98577d1ee4fc0f,
  0x961d9f0271966b21, 0x6755393c95fb9a19, 0x0000000000007c99,
};

// t461a_swio10_noled_pr_ee
static const uint64_t ur_t461_swio10_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x5ab5cb4b10898beb, 0xbdebed05df4b5a1b, 0x3d22e1ff166c2d00, 0x6d2cfdd932282ffb,
  0x13e3277792ed3347, 0x37dffd1a1e7e2b4c, 0xb74b07fb5a332921, 0xd47c1b306807a8f2, 0x370ebec01fc57f3b,
  0x6006be96c65c709c, 0x9cead2ebec743ee6, 0x43af4353b4be4698, 0x1d81f11dad3daad7, 0x2ffc02f65b2f9c07,
  0x51c5acfafea8d823, 0xc8439f826d7972ab, 0x96fab39d454aa35d, 0xf7afa0849ace576a, 0xed5688af28844aa5,
  0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b, 0x56a8ab7fbd551698, 0xe4d5c6ca2317f36c, 0x31e40eda1a2cd102,
  0x6b219e985a0dfbab, 0xa19961d964a27196, 0x7c24955393c95fb9, 0x000000000000000a,
};

// t461a_swio10_noled_pr_ee_u4
static const uint64_t ur_t461_swio10_noled_pr_ee_u4[] = {
  0xcfdddddda24477d6, 0xad72d2c42262fac6, 0xd05d0837d2d686d6, 0xa45c3fe2cd85a017, 0xa59fbb264505ff67,
  0x7c64eed86df23f69, 0xfbfff391cfc56982, 0xe960ff6b46652426, 0x8f83660d00f51e56, 0xe1d7d803f8afe77a,
  0x00d7d2d8cb8e1386, 0x9d5a5d7d8e87dccc, 0x75e86a7697c8d313, 0xb03e23b5a7b55ae8, 0xff805ecb65f380e3,
  0x38b59f5fd51b0465, 0x0873f04daf2e556a, 0xdf5673a8a9546bb9, 0xf5f4109359caed52, 0xaad115e5108954be,
  0x94f0d3bc77f5d73d, 0xa7a1d53810775362, 0xd5156ff7aaa2d30c, 0xb83cd94462fe6d8a, 0x81f9434596745c9a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6,
  0xf36d11ba792bf734, 0x00000000000013ae,
};

// t461a_swio10_noled_pr_ce
static const uint64_t ur_t461_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x393ffa343cfc8798, 0x7073f758feb92242, 0xcebb9b5e007e7979, 0x51f249ee5975ac99,
  0x4f5f238e5581e0bf, 0x761f11dac7316028, 0xea807feccf1d7a3e, 0xa209503cb5bba059, 0x90873f04daf2e556,
  0x2df5673a8a9546bb, 0xef5f4109359caed5, 0xdaad115e5108954b, 0x294f0d3bc77f5d73, 0xca7a1d5381077536,
  0x5a8c76ff7aaa2d30, 0x57079b288c5fcdb1, 0x40eda1a2cbd5cb93, 0xa50c2a73f53ab31e, 0xfdf11a1e44cf0271,
  0x38cb3590cf4c2d06, 0x4afdcd0ccb0ecf81, 0x0006eba7d7aa9c9e,
};

// t461a_swio10_noled_pr_ce_u4
static const uint64_t ur_t461_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x8453dffe7239fdf7, 0xbad2305aa8fa84f4, 0xc2445f71a20f3cbc, 0xecf9fa2cbc25f886,
  0x72c10d64cd51dcda, 0x72ac0f05fa8f924f, 0xd6398b01427af91c, 0x6678ebd1f3b0f88e, 0xe5addd02cf5403ff,
  0x26d7972ab5104a81, 0xd454aa35dc8439f8, 0x49ace576a96fab39, 0xf28844aa5f7afa08, 0xde3bfaeb9ed5688a,
  0x9c083ba9b14a7869, 0xfbd551698653d0ea, 0x4462fe6d8ad463b7, 0x4596745c9ab83cd9, 0xe7ea75663c81f943,
  0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30, 0xba792bf734332c3b,
  0x0000001baf924d11,
};

// t461a_swio10_noled_pr_ee_ce
static const uint64_t ur_t461_swio10_noled_pr_ee_ce[] = {
  0x3ddddddd41447705, 0x972d2c42b345ac13, 0x2eac1db1f50fc5d0, 0x67372e21050b3639, 0x334a7ee7126824cc,
  0x8c9dd6c5b939267d, 0xbffce473e337304f, 0xb563faa3f9c90816, 0xd7300fe797975a44, 0x6ed6051f2673aee6,
  0x660e5f7a8f2b4ac0, 0xec1c80adc9fa8f83, 0xe96c65c709c370eb, 0xcead70befeb6006b, 0x3af4353b4be46989,
  0x607c476b4f6abd38, 0x2700bd96cbe701c7, 0xe9e59f5fd51b0450, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0x7afa0849ace576a9, 0xd5688af28844aa5f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0xd463b7fbd5516986,
  0xb83cd94462fe6d8a, 0x07e50d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d, 0xc659ac867a616837,
  0x57ee686658767c09, 0x00004fc3222374f2,
};

// t461a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t461_swio10_noled_pr_ee_ce_u4[] = {
  0xfdddddda2e7ccc7f, 0xee5a58b8174eac58, 0xedc9dac829b1b64c, 0xdd7d93f23f4debc4, 0x1c5a2c88789b1e0b,
  0x4eee7debd651f837, 0xa520f9fadf9827c6, 0xa3ea8f2b2424edff, 0xa20f3cbcbced36ea, 0xbc25f886c2445f71,
  0x3547736babaffa2c, 0x2b4ac06ed6678f93, 0xfa8f83660e5f7a8f, 0xc370ebec1c80adc9, 0xb6006be96c65c709,
  0xe46989cead70befe, 0x6abd383af4353b4b, 0xe701c7607c476b4f, 0x1b04502700bd96cb, 0x972ab5e9e59f5fd5,
  0xaa35dc8439f826d7, 0xe576a96fab39d454, 0x44aa5f7afa0849ac, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xfe6d8ad463b7fbd5, 0x745c9ab83cd94462, 0xab31e40cd3e34596, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x013f132d7120f3c9,
};

/*
 * t461_swio10_lednop_pr             t461a_swio10_lednop               t461a_swio10_lednop_pr
 * t861_swio10_lednop                t861_swio10_lednop_pr             t861a_swio10_lednop
 * t861a_swio10_lednop_pr
 */
static const uint64_t ur_t461_swio10_lednop[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x6b466e8da1654192, 0x880f06612226eef3, 0xc2f411d78d7a1374,
  0xefe4c13e32776c7e, 0x269210caff0a41f3, 0x60621fd47f90ef96, 0x0b7ba6401ef8e395, 0x8b9dad647d01cc58,
  0xa5673db8e58c11d7, 0x90873f04daf2e556, 0x2df5673a8a9546bb, 0x410935c0809caed5, 0x115e5108956ae97f,
  0x1674079fad73daad, 0x2d3573abd4b0b29b, 0x9e8754e06c7f8a04, 0xd101bb65118bf9b6, 0xeeacc790347f1a2c,
  0xc659ac867a616837, 0x7ee6866587659289, 0x01f204938c83cf25,
};

// t461a_swio10_lednop_pr_u4         t861_swio10_lednop_pr_u4          t861a_swio10_lednop_pr_u4
static const uint64_t ur_t461_swio10_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x6b5cb4b10adb6eb1, 0x5fb63f70f8da4886, 0x8f211c7e978ff370, 0xdd43800bdeeea488,
  0x827c64eef25d6411, 0x207bffa343cfc069, 0xf7a8f389df2c22a4, 0x4c1ed008e3956064, 0x4c51c1f398b01659,
  0x807fecc11d7a3e76, 0x22607967b76b740a, 0x439f826d7972ab54, 0xfab39d454aa35dc8, 0x849ae0404e576a96,
  0xaf28844ab574bfa0, 0x03cdedaeb9ed5688, 0xe0421520b94b5f3a, 0xbd551691db9e8754, 0x118bf9b6c218ab7f,
  0x1659d1726ae0f365, 0x9fa9d598f2076d0d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0,
  0xf8138cb3590cf4c2, 0xc9e4afdcd0ccb0ec, 0x00000007c9c0aaa9,
};

// t461a_swio10_lednop_pr_ee
static const uint64_t ur_t461_swio10_lednop_pr_ee[] = {
  0x327bbbbbbbd8ad4e, 0x87ee5a5884406758, 0xd0bd7afaebcbda99, 0xe0fe17b3d9024217, 0x33376f4c8a0bf993,
  0xf8c9ddf23a62519c, 0x5dff46879fd9d304, 0xce83fdad184f4849, 0x3e0d9839bbd4795f, 0x875f600fe2b4adea,
  0x035f4b632e384e1b, 0x7569780c3ac67330, 0x75e00cec0a237bce, 0xc6454770e7b55ae8, 0xf805ecb872ce038e,
  0xdaf2e556a3ae825f, 0x8a9546bb90873f04, 0x809caed52df5673a, 0x956ae97f410935c0, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6d843156ff7aaa2d, 0x02e4d5c6ca2317f3, 0xab31e40eda1a2cd1,
  0x966b219e985a0dfb, 0xb9a19961d964a271, 0x29f00e555393c95f,
};

// t461a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t461_swio10_lednop_pr_ee_u4[] = {
  0xcfdddddda2445541, 0xad72d2c422433ac6, 0x6475a2e933e3e6d6, 0x22e1ff178bcd8c77, 0xae34c902282ffb3d,
  0xf193ba82b7a71ce7, 0x3bffce473e706609, 0x7583fdad1994909b, 0x3e0d983403d47959, 0x875f600fe2b387ea,
  0x035f4b632e384e1b, 0x75697fdc3a1f7330, 0xebd0d4eda523c90e, 0xc2628e0fcf6ab5d0, 0xfe017b2d97ce038e,
  0x717d02cf546c1197, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x2126b8101395daa5, 0x2bca2112ad5d2fe8,
  0x80f37b6bae7b55a2, 0x381085482e52d7ce, 0xef5545a476e7a1d5, 0x4462fe6db0862adf, 0x4596745c9ab83cd9,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x26879133c0fe32fc, 0xaefa3dc9f81fbff8, 0x3e04e32cd6433d30,
  0xba792bf734332c3b, 0x00000009d7ab2911,
};

// t461a_swio10_lednop_pr_ce
static const uint64_t ur_t461_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x423a5ffa343cf94b, 0x797073e758feb922, 0x339d7736beed7e79, 0x7ea38293dcb2eb59,
  0xbb7e5f471cab03c1, 0xf3b2628e0f9cc580, 0xa05403ff6678ebd1, 0x56a844c0f2d6eb5b, 0xbb90873f04daf2e5,
  0xd52df5673a8a9546, 0x7f410935c0809cae, 0xad115e5108956ae9, 0xbe74079bdb5d73da, 0x0ea9c0842a417296,
  0x76ff7aaa2d23b73d, 0x8d94462fe6db084c, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0xeaa72792bf734332, 0x0000000000b75b1f,
};

// t461a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t461_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x8495dffe7239fd9d, 0xbad2656aa8fa84f4, 0xc2445f71a20f3cbc, 0xe951fa2cbc25f886,
  0x72c10d64cd51dcda, 0x72ac0f05fa8e0a4f, 0x3e731602edf97d1c, 0x99e3af47cec98a38, 0xcb5bad6e81500ffd,
  0x136bcb955aa11303, 0xea2a551aee421cfc, 0x020272bb54b7d59c, 0x2255aba5fd0424d7, 0x6d75cf6ab4457944,
  0xa905ca5af9d01e6f, 0xb48edcf43aa70210, 0x9b6c2131dbfdeaa8, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x06ebed7b446e9e4a,
};

// t461a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t461_swio10_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22044, 0x4b9696215971d609, 0x77b1c771de63e2e8, 0x339b97168a1062f9, 0x89891a7389341266,
  0xc64ee8f6d81610fc, 0xffff391cf8689827, 0x9fb1fd51fce484b1, 0xd7eeb7e797975a4e, 0x6ed6051f2673aee6,
  0x660e5f7a8f2b90e0, 0xec1c80add2fa8f83, 0xe96c65c709c370eb, 0xcead71fbbeb6006b, 0x1d7a1a9db4a47921,
  0x61314707e7b55e9c, 0x2700bd96cbe701c7, 0xf4f740b3d51b0450, 0x421cfc136bcb955a, 0xb7d59cea2a551aee,
  0x0424d7020272bb54, 0x4579442255aba5fd, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a,
  0x5118bf9b6c2131db, 0x4597ab9726ae0f36, 0xe7ea75663c81f943, 0x3c899e04e34a1854, 0x219e985a0dfbe234,
  0x19961d9f0271966b, 0x1eb688dd3c95fb9a, 0x000000000000013f,
};

// t461a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t461_swio10_lednop_pr_ee_ce_u4[] = {
  0x3f7777768b9f1f68, 0x3b96962e04246b16, 0x27605e95b2406d93, 0xf75f64fa7791a8b6, 0xdc15c7221e26c782,
  0x3277475f4050591d, 0xfd2907cfa1f4c13e, 0xaa8faa3cac909883, 0xe3441e797979dbfc, 0x59784bf10d8488be,
  0x933547736bf53bf4, 0x8f2b90e06ed6678f, 0xd2fa8f83660e5f7a, 0x09c370ebec1c80ad, 0xbeb6006be96c65c7,
  0xb4a47921cead71fb, 0xe7b55e9c1d7a1a9d, 0xcbe701c761314707, 0xd51b04502700bd96, 0x6bcb955af4f740b3,
  0x2a551aee421cfc13, 0x0272bb54b7d59cea, 0x55aba5fd0424d702, 0x75cf6ab445794422, 0x05ca5af9d01e6f6d,
  0x8edcf43aa70210a9, 0x6c2131dbfdeaa8b4, 0x26ae0f365118bf9b, 0x790334f8d1659d17, 0xf79430a9cfd4eacc,
  0x81fc65f989ffde1e, 0xf03f7ff04d0f2267, 0xac867a615df47b93, 0x686658767c09c659, 0xcde0bc483cf257ee,
  0x000000000000004f,
};

/*
 * t461_swio11_noled_pr              t461_swio12_noled                 t461_swio12_noled_pr
 * t461a_swio11_noled                t461a_swio11_noled_pr             t461a_swio12_noled
 * t461a_swio12_noled_pr             t861_swio11_noled                 t861_swio11_noled_pr
 * t861_swio12_noled                 t861_swio12_noled_pr              t861a_swio11_noled
 * t861a_swio11_noled_pr             t861a_swio12_noled                t861a_swio12_noled_pr
 */
static const uint64_t ur_t461_swio11_noled[] = {
  0x04f077777759bb37, 0xbb969621586bd61b, 0xedbdd4899ee83243, 0x066135217bd9f7e6, 0xc7a575e64f75b04f,
  0x827c64eee3bdb1e6, 0x21ebfe1483e7fba9, 0xffa8f109df2dd024, 0x4c7afc91c72ac0eb, 0x83e8c9a398b016f7,
  0xf6e39630475e2e76, 0xfc136bcb955a9584, 0x9cea2a551aee421c, 0x424d672bb54b7d5d, 0x15e510895b1bd7d0,
  0xd3bc77f5d73daad1, 0xd5381077536294f0, 0x6ff7aaa2d30ca7a1, 0xd94462fe6d9eb715, 0xe40d1fc68b34406e,
  0x219e985a0dfbab31, 0x9961d964a271966b, 0x8be320f3c95fb9a1, 0x000000000001f203,
};

/*
 * t461_swio12_noled_pr_u4           t461a_swio11_noled_pr_u4          t461a_swio12_noled_pr_u4
 * t861_swio11_noled_pr_u4           t861_swio12_noled_pr_u4           t861a_swio11_noled_pr_u4
 * t861a_swio12_noled_pr_u4
 */
static const uint64_t ur_t461_swio11_noled_pr_u4[] = {
  0x889bbbbb45d8b562, 0xae5a5885619589ee, 0xd85fa87122644335, 0xe42e25d7d6864f31, 0x8036dbc9bb3dd111,
  0x4f8c9dda67ab45c1, 0xdbfff46879f31f30, 0xf51c143be5b7b484, 0x6df97d1c72ac0c9a, 0xba3114e62c059653,
  0x1ffb30475e8f9d96, 0xe81e59edf484f2a0, 0xcfc136bcb955ab3e, 0xd9cea2a551aee421, 0x0424d672bb54b7d5,
  0x115e510895b1bd7d, 0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x56ff7aaa2d30ca7a, 0xcd94462fe6d9eb71,
  0xb434596745c9ab83, 0x854e7ea75663c81d, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb,
  0xc3b3e04e32cd6433, 0xeaa72792bf734332, 0x00000000007c9842,
};

// t461_swio12_noled_pr_ee           t461a_swio11_noled_pr_ee          t461a_swio12_noled_pr_ee
static const uint64_t ur_t461_swio11_noled_pr_ee[] = {
  0xfe0fbbbbbbd8bf82, 0xfb96962110d8ac6e, 0x97a34f78fd08a661, 0x1fc2de45a14df8f6, 0x60cda991417fddfc,
  0x193ba627571c1b37, 0x3fe8d0f3f6ea609f, 0x383fdad1c8890981, 0xe0d983053d4795b9, 0x75f600fe2bfddea3,
  0x35f4b632e384e1b8, 0x569731e3ac673300, 0x5e00cecbe231f0e7, 0x06fa3e827b55ae87, 0xc02f65c396701c76,
  0xd7972ab51d13d2ff, 0x54aa35dc8439f826, 0xce576a96fabb39d4, 0x2112b637afa0849a, 0xefebae7b55a22bca,
  0x20eea6c529e1a778, 0x5545a6194f43aa70, 0xc5fcdb3d6e2adfef, 0x8b3440b93571b288, 0x837eeacc7903b686,
  0x289c659ac867a616, 0xf257ee6866587659, 0x0000014f9ce554e4,
};

// t461_swio12_noled_pr_ee_u4        t461a_swio11_noled_pr_ee_u4       t461a_swio12_noled_pr_ee_u4
static const uint64_t ur_t461_swio11_noled_pr_ee_u4[] = {
  0x245ddddda2446f43, 0x5cb4b10886eeb0f2, 0x20da8ba306b9b5ab, 0x22e1fad0ada0963c, 0xa70cd4d91417f791,
  0xf193ba02b792eca1, 0xebffce473f1ca609, 0x0f07fb5a30f69096, 0x7c1b307a57a8f2b9, 0x0ebec01fc56e97d4,
  0x06be96c65c709c37, 0xead2f528743ee660, 0xd7a1a9da7147109c, 0x85ae8c459ed56ba1, 0xfc02f65b2f9c071d,
  0x7164f73ca8d8232f, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0xbe82126b395daa5b, 0x5688af28844ad8de,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0xb8ab7fbd55169865, 0xc1e6ca2317f36cf5, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xfae88dd3c95fb9a1, 0x0000000000009d78,
};

// t461_swio12_noled_pr_ce           t461a_swio11_noled_pr_ce          t461a_swio12_noled_pr_ce
static const uint64_t ur_t461_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0xadff46879f387304, 0x0e393b1fd57c4844, 0xaee6d743efcf2f2e, 0x75f27b965d6b2673,
  0x26e8e395606b3fd4, 0x96ba3114e62c0591, 0xa01ffb33c75e8f9d, 0xcfba0796b77484f2, 0x0873f04daf2e556a,
  0xf57673a8a9546bb9, 0x5f4109359caed52d, 0xab44579442256c6f, 0x53c34ef1dfd75cf6, 0x9e8754e041dd4d8a,
  0xb31dbfdeaa8b4c32, 0xc1e6ca2317f36cf5, 0x3b6868b2f572e4d5, 0x430a9cfd4eacc790, 0x7c46879133c09c69,
  0x32cd6433d30b41bf, 0xbf734332c3b3e04e, 0x006eb9cfaaa72792,
};

// t461_swio12_noled_pr_ce_u4        t461a_swio11_noled_pr_ce_u4       t461a_swio12_noled_pr_ce_u4
static const uint64_t ur_t461_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x9813ffce473f6ea6, 0xad229eaa8fac8890, 0x2445f71a20f3cbcb, 0x9bffa2cbc25f886c,
  0x5821ac99aa3b9b5d, 0x5581acff51d7c9ee, 0x5398b016449ba38e, 0xcf1d7a3e765ae8c4, 0x5addd213ca807fec,
  0x36bcb955ab3ee81e, 0xa2a551aee421cfc1, 0xd672bb54b7d5d9ce, 0x510895b1bd7d0424, 0xc77f5d73daad115e,
  0x81077536294f0d3b, 0x7aaa2d30ca7a1d53, 0x8c5fcdb3d6cc76ff, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x00000375f4712237,
};

// t461_swio12_noled_pr_ee_ce        t461a_swio11_noled_pr_ee_ce       t461a_swio12_noled_pr_ee_ce
static const uint64_t ur_t461_swio11_noled_pr_ee_ce[] = {
  0x8cdddddd41445541, 0xb969621588fd636d, 0x77a76b53f1fe2e84, 0xe6f50ea2bd72b6b0, 0xb8e19ce24d076d8c,
  0x93ba82b4c89ce312, 0xffce473fff2609f1, 0xec7f546e95213a7f, 0xd523f9e5e5d69287, 0xb58147c99cebb9b5,
  0xc1ce3ea3cafe701b, 0x839015a56f51f06c, 0x2d8cb8e1386e1d7d, 0xd5ae2a57d6c00d7d, 0xaf4353b4e28e2139,
  0x2d74622cf6abd383, 0xe017b2d97ce038ec, 0x4f13dcf2a3608a04, 0x21cfc136bcb955af, 0xd5d9cea2a551aee4,
  0x7d0424d672bb54b7, 0xad115e510895b1bd, 0x4f0d3bc77f5d73da, 0x7a1d538107753629, 0xcc76ff7aaa2d30ca,
  0x079b288c5fcdb3d6, 0xfca1a2cbd5cb9357, 0x0c2a73f53ab31e40, 0xf11a1e44cf0271a5, 0xcb3590cf4c2d06fd,
  0xfdcd0ccb0ecf8138, 0x004fcc21446e9e4a,
};

// t461_swio12_noled_pr_ee_ce_u4     t461a_swio11_noled_pr_ee_ce_u4    t461a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t461_swio11_noled_pr_ee_ce_u4[] = {
  0x17eeeeed173e304a, 0x96962e052eeb0d4c, 0xa6474d8c286d933b, 0xaf537c94c4d05c9d, 0x891f910f12d4c17b,
  0xee957eb4e4037044, 0x520f9f6bb9827c64, 0x1f5472b9211fe7fa, 0x883cf2f2f3bd3555, 0xf097e21b09117dc6,
  0x6a8ee6d7f397e8b2, 0x57f380ddaccf1f26, 0x7a8f83660e71f51e, 0xc370ebec1c80ad2b, 0xb6006be96c65c709,
  0x147109cead7152be, 0xb55e9c1d7a1a9da7, 0xe701c7616ba31167, 0x1b04502700bd96cb, 0xe5caad7a789ee795,
  0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0x44ad8debe82126b3, 0xfaeb9ed5688af288, 0x3ba9b14a7869de3b,
  0x51698653d0ea9c08, 0xfe6d9eb663b7fbd5, 0x745c9ab83cd94462, 0xab31e40cd3e34596, 0x787bde50c2a73f53,
  0x899e07f197e627ff, 0xee4fc0fdffc1343c, 0x1966b219e98577d1, 0x5fb9a19961d9f027, 0x013f169f7120f3c9,
};

/*
 * t461_swio11_lednop_pr             t461_swio12_lednop                t461_swio12_lednop_pr
 * t461a_swio11_lednop               t461a_swio11_lednop_pr            t461a_swio12_lednop
 * t461a_swio12_lednop_pr            t861_swio11_lednop                t861_swio11_lednop_pr
 * t861_swio12_lednop                t861_swio12_lednop_pr             t861a_swio11_lednop
 * t861a_swio11_lednop_pr            t861a_swio12_lednop               t861a_swio12_lednop_pr
 */
static const uint64_t ur_t461_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0x772d2c42b3c9586c, 0x933ddf0bd0506487, 0x3c1984d49bcdd83e, 0xb20c478f97bdd6c1,
  0xa609f193bad4f417, 0x4207bff0a41f3f01, 0xbffa8f921df2dd02, 0x74da52631c72ac0e, 0xb08a8fa4398b016f,
  0x82f71cb1823af173, 0xcfc136bcb955a959, 0xd9cea2a551aee421, 0xd7020272bb54b7d5, 0xa2112b97a5fd0424,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x54e0517d14085a6a, 0xbb65118bf9b69e87, 0xc790347f1a2cd101,
  0xac867a616837eeac, 0x866587659289c659, 0x000b8c83cf257ee6, 0x00000000000000f9,
};

/*
 * t461_swio12_lednop_pr_u4          t461a_swio11_lednop_pr_u4         t461a_swio12_lednop_pr_u4
 * t861_swio11_lednop_pr_u4          t861_swio12_lednop_pr_u4          t861a_swio11_lednop_pr_u4
 * t861a_swio12_lednop_pr_u4
 */
static const uint64_t ur_t461_swio11_lednop_pr_u4[] = {
  0xf07777768bb128ae, 0x9696215988d61b04, 0xc7ef85e8283243bb, 0x9a906b97bf1350f7, 0xd8c48bbad8278330,
  0xe32777e9ee142476, 0x27fd1a1e7c3dcc13, 0xa3af877cb7409092, 0x8937471cab03affe, 0x4770ce62c05bdd34,
  0x1cb1823af173b645, 0x9b5e5caad4ace937, 0x5152a8d77210e7e0, 0x01395daa5beaece7, 0x95cbd2fe82126b81,
  0x5d73daad115e5108, 0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6d8c9156ff7aaa2d, 0x5c9ab83cd94462fe,
  0x663c81db43459674, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d,
  0xf734332c3b3e04e3, 0x07c9a682aa72792b,
};

// t461_swio12_lednop_pr_ee          t461a_swio11_lednop_pr_ee         t461a_swio12_lednop_pr_ee
static const uint64_t ur_t461_swio11_lednop_pr_ee[] = {
  0xdfc1f777777b1762, 0x7ee5a58844c5f58d, 0xd7da0bac47c5a998, 0x07f0b790d85a017b, 0x59fbb264505ff77f,
  0xc64eef25da668eda, 0xbffa343cfc569827, 0x960ff6b47222426f, 0xf83660c14f51e56e, 0x1d7d803f8afe77a8,
  0x0d7d2d8cb8e1386e, 0xd5a5d7d8eb19ccc0, 0xaf0067697c8d3139, 0x81f11dad3daad743, 0xf00bd970e59c071d,
  0xb5e5caad475d24bf, 0x152a8d77210e7e09, 0x1395daa5beaece75, 0x5cbd2fe82126b810, 0xd73daad115e51089,
  0x17296be74079bdb5, 0x3b73d0ea9c0842a4, 0xd8c9156ff7aaa2d2, 0x05c9ab8d94462fe6, 0x5663c81db43459a2,
  0x2cd6433d30b41bf7, 0x734332c3b2c944e3, 0x14f8492aa72792bf,
};

// t461_swio12_lednop_pr_ee_u4       t461a_swio11_lednop_pr_ee_u4      t461a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t461_swio11_lednop_pr_ee_u4[] = {
  0x245ddddda2447032, 0x5cb4b1088d2eb0f2, 0x5d23fbb6dd79b5ab, 0xb87eb437656de9b4, 0x685ad04505fde448,
  0x32774ed6cbb4e541, 0x7ff9c8e7c9d4c13e, 0xe0ff6b461ed2122b, 0x83660f4af51e5652, 0xd7d803f8acbafa8f,
  0xd7d2d8cb8e1386e1, 0x5a5dc98e87dccc00, 0xf4353b1ea8d7c39d, 0x10a31bf3daad743a, 0x805ecb65f380e3b1,
  0x2fa427951b0465ff, 0x1cfc136bcb955a8e, 0x5d9cea2a551aee42, 0x4d7020272bb54b7d, 0xca2112b97a5fd042,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x8c5fcdb1922adfef, 0xb2ce8b9357079b28,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615,
  0x4f257ee686658767, 0x0000013ae917a237,
};

// t461_swio12_lednop_pr_ce          t461a_swio11_lednop_pr_ce         t461a_swio12_lednop_pr_ce
static const uint64_t ur_t461_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x921ffe8d0f3e50e6, 0x5c1c74b63faaf890, 0x73aee6d70d1f9e5e, 0xa8f2fa7b965d6b26,
  0x654e31c72ac0d67f, 0x3b4428c6f9cc580a, 0x45403ff6678ebd1f, 0x6afadc0f2d6e117a, 0xb90873f04daf2e55,
  0x2df57673a8a9546b, 0x410935c0809caed5, 0x88af28844ae5e97f, 0x3a03cdedaeb9ed56, 0x54e0421520b94b5f,
  0x7fbd551691db9e87, 0xd94462fe6d8c863b, 0xdb43459a205c9ab8, 0xd30b41bf75663c81, 0x3b2c944e32cd6433,
  0xaa72792bf734332c, 0x000000000b7517ee,
};

// t461_swio12_lednop_pr_ce_u4       t461a_swio11_lednop_pr_ce_u4      t461a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t461_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x9befffce473f15a6, 0xad24aeaa8fac8890, 0x2445f71a20f3cbcb, 0xc87fa2cbc25f886c,
  0x2c10d64cd51dcdae, 0x5581acff51e5f4f7, 0xf398b014ca9c638e, 0xcf1d7a3e7688518d, 0x5adc22f48a807fec,
  0x9b5e5caad5f5b81e, 0x5152a8d77210e7e0, 0x01395daa5beaece7, 0x95cbd2fe82126b81, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0xdb190c76ff7aaa2d, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x375de6da2374f257,
};

// t461_swio12_lednop_pr_ee_ce       t461a_swio11_lednop_pr_ee_ce      t461a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t461_swio11_lednop_pr_ee_ce[] = {
  0xc66eeeeea0a22582, 0x5cb4b10adf4eb1b6, 0x3a2475e9c2ff1742, 0x737a8647ea29bb8e, 0xa6742e712683b6c6,
  0xc9dd3adacccb5725, 0xffce473e9b7304f8, 0xec7f546e9521066f, 0xdd51f9e5e5d690c7, 0xb58147c99cebb9b5,
  0xc1ce3ea3cace181b, 0x839015c87f51f06c, 0x2d8cb8e1386e1d7d, 0xd5ae1c9fd6c00d7d, 0xaf4353b1ea8d7c39,
  0x4428c6fcf6abd383, 0xe017b2d97ce038ec, 0x4f7484f2a3608a04, 0x21cfc136bcb955af, 0xd5d9cea2a551aee4,
  0x24d7020272bb54b7, 0xbca2112b97a5fd04, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x118bf9b63218edfe, 0x597ab9726ae0f365, 0x7ea75663c81f9434, 0xc899e04e34a1854e, 0x19e985a0dfbe2343,
  0x9961d9f0271966b2, 0xad488dd3c95fb9a1, 0x00000000000013f0,
};

// t461_swio12_lednop_pr_ee_ce_u4    t461a_swio11_lednop_pr_ee_ce_u4   t461a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t461_swio11_lednop_pr_ee_ce_u4[] = {
  0x17eeeeed173e6812, 0x96962e0506eb0d4c, 0x599e8335a06d933b, 0x5ea6e5df25b2302f, 0x3fa7221e25a982f7,
  0xbb45fad8935e2723, 0xa41f3e292609f193, 0x7d51cae484adfff4, 0x41e797979ddadd54, 0x84bf10d8488bee34,
  0xa8ee6d776eff4597, 0x670c0ddaccf1f266, 0xa8f83660e71f51e5, 0x370ebec1c80ae43f, 0x6006be96c65c709c,
  0x46be1cead70e4feb, 0x55e9c1d7a1a9d8f5, 0x701c762214637e7b, 0xb04502700bd96cbe, 0x5caad7a7ba427951,
  0xa8d77210e7e09b5e, 0x5daa5beaece75152, 0xd2fe82126b810139, 0xdaad115e510895cb, 0x96be74079bdb5d73,
  0x3d0ea9c0842a4172, 0x0c76ff7aaa2d23b7, 0x7079b288c5fcdb19, 0x19a7c68b2ce8b935, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64, 0x02e241e792bf7343,
  0x0000000000027e3f,
};

/*
 * t461_swio13_noled_pr              t461a_swio13_noled                t461a_swio13_noled_pr
 * t861_swio13_noled                 t861_swio13_noled_pr              t861a_swio13_noled
 * t861a_swio13_noled_pr
 */
static const uint64_t ur_t461_swio13_noled[] = {
  0x165bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x91e0cc24f76993bf, 0x315a38fd68f26e85,
  0x63e609f193ba0bf7, 0x22426dfff0a41f3e, 0x07cf7a8f109df2dd, 0x6f74d38ad78e3956, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0x439f826d7972ab52, 0x6fb39d454aa35dc8, 0x2126b395daa5beaa, 0x579442255abdebe8,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xd0ea9c08bf714085, 0x20376ca2317f36d3, 0xd598f2068fe3459a,
  0xcb3590cf4c2d06fd, 0xdcd0ccb0ecb25138, 0xf90039719079e4af,
};

// t461a_swio13_noled_pr_u4          t861_swio13_noled_pr_u4           t861a_swio13_noled_pr_u4
static const uint64_t ur_t461_swio13_noled_pr_u4[] = {
  0x95bbbbbb45d8ad4e, 0xb5cb4b10ac4ceb05, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd2ca888,
  0x4f8c9ddf23a82233, 0x0caffa343cfbf930, 0xf51e5f1df2d07d21, 0xc654e31c72ac0fa0, 0xde8f7b398b016594,
  0x03ff6608ebd1f3b3, 0xaa07967b770c9a54, 0x39f826d7972ab555, 0xfb39d454aa35dc84, 0x126b395daa5beaa6,
  0x79442255abdebe82, 0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0x94462fe6d902455b,
  0x34596745c9ab83cd, 0x4e7ea75663c81db4, 0xcc4ffef0f7bca185, 0x826879133c0fe32f, 0x0aefa3dc9f81fbff,
  0xb3e04e32cd6433d3, 0xa72792bf734332c3, 0x000000003e4fa7aa,
};

// t461a_swio13_noled_pr_ee
static const uint64_t ur_t461_swio13_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffcd,
  0x3e3277699efd3b82, 0x2b7fd1a1e7f4dcc1, 0x4ad07fb5a3ee9213, 0x8f83660e5f7a8f2b, 0xe1d7d803f8adc9fa,
  0x00d7d2d8cb8e1386, 0xcead2efe0eb19ccc, 0x1d78033b4dc8d6b9, 0xec4648fa49ed56ba, 0xff805ecb872ce038,
  0x4daf2e556a3a26a5, 0xa8a9546bb90873f0, 0x72bb54b7d54df673, 0x44ab57bd7d0424d6, 0xfaeb9ed5688af288,
  0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x5fcdb2048ab7fbd5, 0xb3440b93571b288c, 0x37eeacc7903b6868,
  0x89c659ac867a6168, 0x257ee68665876592, 0x000053e2a7554e4f,
};

// t461a_swio13_noled_pr_ee_u4
static const uint64_t ur_t461_swio13_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0x56b96962110fdd62, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfd08,
  0x7c64eeb62d582932, 0x9bfff391cf8d6982, 0xe1c1fed68e3da426, 0x1f06cc19ebea3cac, 0xc3afb007f15c87f5,
  0x01afa5b1971c270d, 0x3ab4b9451d0fb998, 0x75e86a764011fc87, 0xb0f7a3dee7b55ae8, 0xff805ecb65f380e3,
  0x1c593582d51b0465, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x82126b395daa5bea, 0x4579442255abdebe,
  0x34ef1dfd75cf6ab4, 0x754e041dd4d8a53c, 0x5bfdeaa8b4c329e8, 0xcd94462fe6d90245, 0x9434596745c9ab83,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433,
  0xd11ba792bf734332, 0x00000000013af756,
};

// t461a_swio13_noled_pr_ce
static const uint64_t ur_t461_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x84f9dff46879f2eb, 0xf2e0e256b1fd66e4, 0x339d7736bffcfcf2, 0xdea3cdd3dcb2eb59,
  0x17ba05238e558193, 0x1f3b3de8f7b398b0, 0xc9a5403ff6678ebd, 0xaad556a81e5add70, 0xd77210e7e09b5e5c,
  0x6faa9bece75152a8, 0x7afa0849ace576a9, 0xaad115e5108956af, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362,
  0x10c76ff7aaa2d30c, 0x4d5c6ca2317f36c8, 0x1e40eda1a2cd102e, 0xb219e985a0dfbab3, 0x19961d964a271966,
  0x517d55393c95fb9a, 0x00000000000002dd,
};

// t461a_swio13_noled_pr_ce_u4
static const uint64_t ur_t461_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x2132b7ff9c8e7f4d, 0x975a4c09551f5ee9, 0xd8488bee3441e797, 0x5facff459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e6e9, 0x7bd9cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x0f2d6eb864d2a01f,
  0xf04daf2e556aab54, 0x73a8a9546bb90873, 0xd672bb54b7d54df6, 0x8844ab57bd7d0424, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x18bf9b640863b7fb, 0x659d1726ae0f3651, 0xfa9d598f207e50d1,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b, 0x9e4afdcd0ccb0ecf,
  0x000006eb938b446e,
};

// t461a_swio13_noled_pr_ee_ce
static const uint64_t ur_t461_swio13_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac0d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d046d8,
  0x193ba76b6c4a72a6, 0xfff9c8e7f76a609f, 0xd58fea8e43a4218f, 0x5ee87f9e5e5d6902, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0xd839015fcef51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae0a2fd6c00d7, 0x3af4353b2008fe43,
  0x61ef47bdcf6abd38, 0x2700bd96cbe701c7, 0xf4f13582d51b0450, 0x421cfc136bcb955a, 0x537d9cea2a551aee,
  0x4109359caed52df5, 0x22bca2112ad5ef5f, 0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xedfef5545a6194f4,
  0xcd94462fe6d90218, 0x50d165eae5c9ab83, 0x1539fa9d598f207e, 0x8d0f22678138d286, 0x9ac867a616837ef8,
  0xe686658767c09c65, 0x13f10222374f257e,
};

// t461a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t461_swio13_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f138ec1,
  0xc9dddfbdb0c89e8c, 0xfa520f9f801304f8, 0xaa3ea8f7da425adf, 0x1a20f3cbcbcee76e, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0xf2b74a06ed6678f9, 0x3bd47c1b306807a8, 0x4e1b875f60e4057f, 0xf5b0035f4b632e38,
  0x8023f90e756b828b, 0x3daaf4e0ebd0d4ec, 0x2f9c071d87bd1ef7, 0x546c11409c02f65b, 0xaf2e556bd3c4d60b,
  0xa9546bb90873f04d, 0xbb54b7d54df673a8, 0xab57bd7d0424d672, 0xeb9ed5688af28844, 0xa9b14a7869de3bfa,
  0x698653d0ea9c083b, 0x9b640863b7fbd551, 0x1726ae0f365118bf, 0xcc790334f8d1659d, 0x1ef79430a9cfd4ea,
  0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6, 0x4fc20e5c483cf257,
};

/*
 * t461_swio13_lednop_pr             t461a_swio13_lednop               t461a_swio13_lednop_pr
 * t861_swio13_lednop                t861_swio13_lednop_pr             t861a_swio13_lednop
 * t861a_swio13_lednop_pr
 */
static const uint64_t ur_t461_swio13_lednop[] = {
  0x02cb77777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xb23c19849eed48be, 0xc79b1e95d7f8bdd0,
  0xbee609f193bb8ef6, 0x224247bff0a41f3e, 0x07cf7a8ebe1df2dd, 0xb7ba63d6218e3956, 0x73b6f68ee19cc580,
  0x58b3f71cb1823af1, 0x21cfc136bcb955a9, 0x37d9cea2a551aee4, 0x5c0809caed52df55, 0x4422572497f41093,
  0x1e7eb5cf6ab44579, 0xceaf52c2ca6c59d0, 0xa9c09cfa2810b4d5, 0x76ca2317f36d3d0e, 0x8f2068fe3459a203,
  0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3, 0x1c5f19079e4afdcd, 0x0000000000000f90,
};

// t461a_swio13_lednop_pr_u4         t861_swio13_lednop_pr_u4          t861a_swio13_lednop_pr_u4
static const uint64_t ur_t461_swio13_lednop_pr_u4[] = {
  0x65bbbbbb45d8bf82, 0xddcb4b10ade96b01, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fba164783,
  0x3e32774c4e92106c, 0xdd7fd1a1e7e3dcc1, 0xea3cdc77cb748909, 0xbba05238e5581f3d, 0xf11dac731602dee9,
  0xee39630475e2e761, 0x826d7972ab52b2e1, 0x9d454aa35dc8439f, 0x1395daa5beaa6fb3, 0xae492fe82126b810,
  0xeb9ed5688af28844, 0x0b94b5f3a03cdeda, 0x1db9e8754e042152, 0xb2ec8ab7fbd55169, 0x9357079b288c5fcd,
  0xc7903b6868b2ce8b, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9,
  0xe686658767c09c65, 0x1f2659d54e4f257e,
};

// t461a_swio13_lednop_pr_ee
static const uint64_t ur_t461_swio13_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0x37e0fe17426d9305, 0x6cdd8334108a0bff,
  0x827c64ee989d5c70, 0x48e5ff46879feaf9, 0xadd2c1fed68fba48, 0xea3e0d98397dea3c, 0x1b875f600fe2b28b,
  0x30035f4b632e384e, 0x4e7569731e3ac673, 0xe875e00ced92234c, 0xc7620fa3b5a7b55a, 0x2ffc02f65c396701,
  0x04daf2e556a3a59f, 0x3a8a9546bb90873f, 0x272bb54b7d54df67, 0x5c925fd0424d7020, 0xd73daad115e51089,
  0x4b0b29b1674079fa, 0x73e8a042d3573abd, 0x8c5fcdb4f43aa702, 0x68b3440b93571b28, 0x6837eeacc7903b68,
  0x9289c659ac867a61, 0x4f257ee686658765, 0x00000014f9ce554e,
};

// t461a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t461_swio13_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0xab5cb4b108834eb1, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfd08,
  0x3e327747b6c71086, 0x72fff391cff57cc1, 0xa1c1fed68e3da424, 0x1f06cc19ebea3cac, 0xc3afb007f1594bf5,
  0x01afa5b1971c270d, 0x3ab4ba561d0fb998, 0x75e86a76ea11cdc7, 0xb1f2238ca7b55ae8, 0xff805ecb65f380e3,
  0x1c5dc326951b0465, 0x8439f826d7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x28844ae492fe8212,
  0xcdedaeb9ed5688af, 0x421520b94b5f3a03, 0x551691db9e8754e0, 0xc5fcdb2ec8ab7fbd, 0x2ce8b9357079b288,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0xf47b93f03f7ff04d, 0x09c659ac867a615d,
  0xf257ee686658767c, 0x000009d74d022374,
};

// t461a_swio13_lednop_pr_ce
static const uint64_t ur_t461_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x84387ff46879f60b, 0xf2e0e487b1fd66e4, 0x673aee6d74dbfcf2, 0xbd479c67b965d6b2,
  0x50f680471cab0327, 0x7cedf2238c8e62c0, 0x70d500ffd99e3af4, 0xab5815a0796b76f7, 0x5dc8439f826d7972,
  0xbeaa6fb39d454aa3, 0x2126b8101395daa5, 0x8af28844ae492fe8, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3,
  0xfbd551691db9e875, 0x5118bf9b65d863b7, 0xd0d166881726ae36, 0xc2d06fdd598f2076, 0xcb25138cb3590cf4,
  0x9c9e4afdcd0ccb0e, 0x00000002dd4797aa,
};

// t461a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t461_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x212dd7ff9c8e7e39, 0x975a4df7551f5ee9, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e719, 0xe32398b0143da011, 0xf6678ebd1f3b7c88, 0x1e5addbddc35403f,
  0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e576a96faa9bec, 0x2b924bfa0849ae04, 0xbae7b55a22bca211,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xd97618edfef5545a, 0xc9ab83cd94462fe6, 0x63c81f9434596745,
  0xf7bca1854e7ea756, 0x3c0fe32fcc4ffef0, 0x9f81fbff82687913, 0xcd6433d30aefa3dc, 0x734332c3b3e04e32,
  0xbaf1f5d11ba792bf, 0x0000000000000001,
};

// t461a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t461_swio13_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d606, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d046d8,
  0x193baafb43746a58, 0x3ffce473fa6a609f, 0x3f63faa390e909ff, 0xae000fcf2f2eb496, 0xddac0a3e4ce75dcd,
  0x660d00f51e565d40, 0xec1c80ace1fa8f83, 0xe96c65c709c370eb, 0xcead7095beb6006b, 0x1d7a1a9dba847371,
  0xb1f2238ca7b55e9c, 0x13805ecb65f380e3, 0x7a7ae1934a8d8228, 0x210e7e09b5e5caad, 0xa9bece75152a8d77,
  0x9ae0404e576a96fa, 0xca2112b924bfa084, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538,
  0x62fe6d97618edfef, 0x5eae5c9ab83cd944, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x7a616837ef88d0f2,
  0x58767c09c659ac86, 0x2a2374f257ee6866, 0x000000000009f83a,
};

// t461a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t461_swio13_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e271d82,
  0x64eebadea0aeef27, 0xfa520f9fc6e9827c, 0xaa3ea8f7da4235df, 0x8d1079e5e5e77882, 0x65e12fc4361222fb,
  0x4cd51dcdaeb82fd1, 0x3cacba81bb599e3e, 0xc3f51f06cc1a01ea, 0x1386e1d7d8390159, 0x7d6c00d7d2d8cb8e,
  0x7508e6e39d5ae12b, 0x4f6abd383af4353b, 0xcbe701c763e44719, 0x951b04502700bd96, 0x6bcb955af4f5c326,
  0x2a551aee421cfc13, 0xaed52df5537d9cea, 0x497f410935c0809c, 0xf6ab445794422572, 0xa5af9d01e6f6d75c,
  0xcf43aa70210a905c, 0xc31dbfdeaa8b48ed, 0x7079b288c5fcdb2e, 0x19a7c68b2ce8b935, 0xa1854e7ea75663c8,
  0xe32fcc4ffef0f7bc, 0xfbff826879133c0f, 0x33d30aefa3dc9f81, 0x32c3b3e04e32cd64, 0x9ce241e792bf7343,
  0x0000000000027e0a,
};

/*
 * t461_swio14_noled_pr              t461a_swio14_noled                t461a_swio14_noled_pr
 * t861_swio14_noled                 t861_swio14_noled_pr              t861a_swio14_noled
 * t861a_swio14_noled_pr
 */
static const uint64_t ur_t461_swio14_noled[] = {
  0x088377777759bb37, 0x43bb969621586bd6, 0xe6edbdd4899ee832, 0x0f066135217bd9f7, 0xe6c7a575e64f7488,
  0xa9827c64eee3bdb1, 0x2421ebfe1483e7fb, 0xebffa8f109df2dd0, 0xf74c7afc91c72ac0, 0x7683e8c9a398b016,
  0x84f6e39630475e2e, 0x1cfc136bcb955a95, 0xd59cea2a551aee42, 0x109359d372bb54b7, 0x22bca2112b63f7f4,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xdb288c5fcdb3d6e2, 0x3c81a3f8d166880d,
  0x6433d30b41bf7566, 0x332c3b2c944e32cd, 0x717c641e792bf734, 0x0000000000003e40,
};

// t461a_swio14_noled_pr_u4          t861_swio14_noled_pr_u4           t861a_swio14_noled_pr_u4
static const uint64_t ur_t461_swio14_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0x35ae5a588561958d, 0x31d85fa871226443, 0x11e42e25d7d6864f, 0xe0c01b6de4ddd491,
  0x9827c64eed33d5a2, 0x426dfffa343cf98f, 0x4d7a8e0a1df2dbda, 0x29b6fcbe8e395606, 0xcb5d188a731602cb,
  0x500ffd9823af47ce, 0x9f740f2cf6fa4279, 0x10e7e09b5e5caad5, 0xbeace75152a8d772, 0xa0849ace9b95daa5,
  0xd115e510895b1fbf, 0xf0d3bc77f5d73daa, 0xa1d5381077536294, 0x156ff7aaa2d30ca7, 0x3cd94462fe6d9eb7,
  0xdb434596745c9ab8, 0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xbff826879133c0fe, 0x3d30aefa3dc9f81f,
  0x2c3b3e04e32cd643, 0x2eaa72792bf73433, 0x000000000007c984,
};

// t461a_swio14_noled_pr_ee
static const uint64_t ur_t461_swio14_noled_pr_ee[] = {
  0x327bbbbbbbd8bf82, 0xc3f72d2c4221b158, 0xed2f469ef1fa114c, 0xf83f85bc8b429bf1, 0x6ec19b532282fe64,
  0x3e32774c4eae3836, 0x027fd1a1e7edd4c1, 0x72707fb5a3911213, 0x47c1b3060a7a8f2b, 0x70ebec01fc57fbbd,
  0x006be96c65c709c3, 0xcead2e63c758ce66, 0x0ebc019d97c463e1, 0xec0df47d04f6ab5d, 0xff805ecb872ce038,
  0x4daf2e556a3a27a5, 0xa8a9546bb90873f0, 0x674dcaed52df5673, 0x8844ad8fdfd0424d, 0x3bfaeb9ed5688af2,
  0x083ba9b14a7869de, 0xd551698653d0ea9c, 0x317f36cf5b8ab7fb, 0xa2cd102e4d5c6ca2, 0xa0dfbab31e40eda1,
  0x4a271966b219e985, 0x3c95fb9a19961d96, 0x00000053e7395539,
};

// t461a_swio14_noled_pr_ee_u4
static const uint64_t ur_t461_swio14_noled_pr_ee_u4[] = {
  0xcfdddddda2446f43, 0xad72d2c4221bbac6, 0xf0836a2e8c1ae6d6, 0xf48b87eb42b68258, 0x0d3866a6c8a0bfec,
  0x4f8c9dd015bc9765, 0xb75ffe7239f8e530, 0xc8783fdad187b484, 0xa3e0d983d2bd4795, 0xb875f600fe2b74be,
  0x0035f4b632e384e1, 0xe75697a943a1f733, 0x0ebd0d4ed38a3884, 0xec2d74622cf6ab5d, 0x7fe017b2d97ce038,
  0xa38b27b9e546c119, 0x90873f04daf2e556, 0x2df5673a8a9546bb, 0xfd0424d674dcaed5, 0x5688af28844ad8fd,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0xb8ab7fbd55169865, 0xc1e6ca2317f36cf5, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0xfae88dd3c95fb9a1, 0x0000000000009d78,
};

// t461a_swio14_noled_pr_ce
static const uint64_t ur_t461_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x895bfe8d0f3e70e6, 0x5c1c72763faaf890, 0xe75dcdae87df9e5e, 0xa8ebe4f72cbad64c,
  0x224dd1c72ac0d67f, 0x3b2d746229cc580b, 0xe5403ff6678ebd1f, 0xd59f740f2d6ee909, 0x7210e7e09b5e5caa,
  0xa5beace75152a8d7, 0xbfa0849ace9b95da, 0xaad115e510895b1f, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362,
  0x6cc76ff7aaa2d30c, 0x7079b288c5fcdb3d, 0x0eda1a2cbd5cb935, 0x50c2a73f53ab31e4, 0xdf11a1e44cf0271a,
  0x8cb3590cf4c2d06f, 0xafdcd0ccb0ecf813, 0x001bae73eaa9c9e4,
};

// t461a_swio14_noled_pr_ce_u4
static const uint64_t ur_t461_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x213027ff9c8e7edd, 0x975a453d551f5911, 0xd8488bee3441e797, 0xbb37ff459784bf10,
  0xdcb0435933547736, 0x1cab0359fea3af93, 0x88a731602c893747, 0xd99e3af47cecb5d1, 0x3cb5bba4279500ff,
  0x826d7972ab567dd0, 0x9d454aa35dc8439f, 0x6b3a6e576a96fab3, 0x9442256c7efe8212, 0xf1dfd75cf6ab4457,
  0xe041dd4d8a53c34e, 0xdeaa8b4c329e8754, 0x2317f36cf5b31dbf, 0x2cb3a2e4d5c1e6ca, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343c899e07f197e6, 0x77d1ee4fc0fdffc1, 0xf0271966b219e985, 0xd3c95fb9a19961d9,
  0x000000dd7d1c488d,
};

// t461a_swio14_noled_pr_ee_ce
static const uint64_t ur_t461_swio14_noled_pr_ee_ce[] = {
  0x3ddddddd41445541, 0x972d2c42b11fac13, 0x0ef4ed6a7e3fc5d0, 0x9cdea1d457ae56d6, 0x571c339c49a09331,
  0x3277505699139c62, 0xfff9c8e7ffe4c13e, 0xfd8fea8dd2a4274f, 0xbaa47f3cbcbad250, 0x76b028f9339d7736,
  0x9839c7d4795fce03, 0xb07202b4adea3e0d, 0xa5b1971c270dc3af, 0x3ab5c54afad801af, 0x75e86a769c51c427,
  0x85ae8c459ed57a70, 0x9c02f65b2f9c071d, 0xe9e27b9e546c1140, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0xe82126b3a6e576a9, 0xb44579442256c7ef, 0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0x31dbfdeaa8b4c329,
  0x1e6ca2317f36cf5b, 0xf2868b2f572e4d5c, 0x30a9cfd4eacc7903, 0xc46879133c09c694, 0x2cd6433d30b41bf7,
  0xf734332c3b3e04e3, 0x013f308511ba792b,
};

// t461a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t461_swio14_noled_pr_ee_ce_u4[] = {
  0x7eeeeeed173e304a, 0x772d2c5c0a5dd62c, 0x3b4c8e9b1850db26, 0xf75ea6f92989a0b9, 0x89123f221e26c782,
  0xc9dd2afd69c806e0, 0xf4a41f3ed77304f8, 0xaa3ea8e572423fcf, 0x8d1079e5e5e77a6a, 0x65e12fc4361222fb,
  0x4cd51dcdafe72fd1, 0x3cafe701bb599e3e, 0x56f51f06cc1ce3ea, 0x1386e1d7d839015a, 0x7d6c00d7d2d8cb8e,
  0x4e28e2139d5ae2a5, 0xcf6abd383af4353b, 0x97ce038ec2d74622, 0x2a3608a04e017b2d, 0x6bcb955af4f13dcf,
  0x2a551aee421cfc13, 0xd372bb54b7d59cea, 0x112b63f7f4109359, 0xfebae7b55a22bca2, 0x0eea6c529e1a778e,
  0x545a6194f43aa702, 0xbf9b67ad98edfef5, 0x9d1726ae0f365118, 0xeacc790334f8d165, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x004fc5a7dc483cf2,
};

/*
 * t461_swio14_lednop_pr             t461a_swio14_lednop               t461a_swio14_lednop_pr
 * t861_swio14_lednop                t861_swio14_lednop_pr             t861a_swio14_lednop
 * t861a_swio14_lednop_pr
 */
static const uint64_t ur_t461_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x87772d2c42b3c958, 0x3e933ddf0bd05064, 0x203c1984d49bcdd8, 0x17b20c478f97bdd2,
  0x01a609f193bad4f4, 0x024207bff0a41f3f, 0x0ebffa8f921df2dd, 0x6f74da52631c72ac, 0x73b08a8fa4398b01,
  0x5982f71cb1823af1, 0x21cfc136bcb955a9, 0x7d59cea2a551aee4, 0x35c0809d372bb54b, 0xca2112b97d8f4109,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x754e0517d14085a6, 0x1bb65118bf9b69e8, 0xcc790347f1a2cd10,
  0x9ac867a616837eea, 0x6866587659289c65, 0x9000b8c83cf257ee, 0x000000000000000f,
};

// t461a_swio14_lednop_pr_u4         t861_swio14_lednop_pr_u4          t861a_swio14_lednop_pr_u4
static const uint64_t ur_t461_swio14_lednop_pr_u4[] = {
  0x837777768bb128ae, 0xbb9696215988d608, 0xf7c7ef85e8283243, 0x309a906b97bf1350, 0x76d8c48bba440783,
  0x13e32777e9ee1424, 0x9227fd1a1e7c3dcc, 0xfea3af877cb74090, 0x348937471cab03af, 0x454770ce62c05bdd,
  0x371cb1823af173b6, 0xe09b5e5caad4ace9, 0xe75152a8d77210e7, 0x404e9b95daa5beac, 0x895cbec7a0849ae0,
  0xb5d73daad115e510, 0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xe6d8c9156ff7aaa2, 0x45c9ab83cd94462f,
  0x5663c81db4345967, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xdc9f81fbff826879, 0x32cd6433d30aefa3,
  0xbf734332c3b3e04e, 0x007c9a682aa72792,
};

// t461a_swio14_lednop_pr_ee
static const uint64_t ur_t461_swio14_lednop_pr_ee[] = {
  0x064f7777777b1762, 0x30fdcb4b10898beb, 0xf7afb417588f8b53, 0x3e0fe16f21b0b402, 0xb4b3f764c8a0bf99,
  0x4f8c9dde4bb4cd1d, 0xdf7ff46879f8ad30, 0xdd2c1fed68e44484, 0x51f06cc1829ea3ca, 0xdc3afb007f15fcef,
  0x801afa5b1971c270, 0x73ab4bafb1d63399, 0x875e00ced2f91a62, 0x3b03e23b5a7b55ae, 0x7fe017b2e1cb380e,
  0x136bcb955a8eba49, 0xea2a551aee421cfc, 0x09d372bb54b7d59c, 0x2b97d8f410935c08, 0xbae7b55a22bca211,
  0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0xdb1922adfef5545a, 0x40b93571b288c5fc, 0xeacc7903b6868b34,
  0x659ac867a616837e, 0xee6866587659289c, 0x029f092554e4f257,
};

// t461a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t461_swio14_lednop_pr_ee_u4[] = {
  0xcfdddddda2447032, 0xad72d2c42234bac6, 0xd1748feedb75e6d6, 0x22e1fad0dd95b7a6, 0x0b42d682282ffb3d,
  0xf193ba76b65da72a, 0x5bffce473e4ea609, 0x9707fb5a30f69091, 0x7c1b307a57a8f2b2, 0x0ebec01fc565d7d4,
  0x06be96c65c709c37, 0xead2ee4c743ee660, 0xd7a1a9d8f546be1c, 0x888518df9ed56ba1, 0xfc02f65b2f9c071d,
  0x717d213ca8d8232f, 0x10e7e09b5e5caad4, 0xbeace75152a8d772, 0x9ae0404e9b95daa5, 0xe510895cbec7a084,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x462fe6d8c9156ff7, 0x596745c9ab83cd94,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x0000009d748bd11b,
};

// t461a_swio14_lednop_pr_ce
static const uint64_t ur_t461_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x21243ffd1a1e7ca1, 0xbcb838e96c7f55f1, 0x4ce75dcdae1a3f3c, 0xff51e5f4f72cbad6,
  0x14ca9c638e5581ac, 0x3e7688518df398b0, 0xf48a807feccf1d7a, 0xaad5f5b81e5adc22, 0xd77210e7e09b5e5c,
  0xdaa5beace75152a8, 0xa0849ae0404e9b95, 0xd115e510895cbec7, 0xe74079bdb5d73daa, 0xea9c0842a417296b,
  0x6ff7aaa2d23b73d0, 0x1b288c5fcdb190c7, 0x3b6868b3440b9357, 0x7a616837eeacc790, 0x87659289c659ac86,
  0xd54e4f257ee68665, 0x00000000016ea2fd,
};

// t461a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t461_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x2137dfff9c8e7e2b, 0x975a495d551f5911, 0xd8488bee3441e797, 0x5d90ff459784bf10,
  0xee5821ac99aa3b9b, 0x1cab0359fea3cbe9, 0x1be73160299538c7, 0xd99e3af47ced10a3, 0x3cb5b845e91500ff,
  0xc136bcb955abeb70, 0xcea2a551aee421cf, 0x809d372bb54b7d59, 0x12b97d8f410935c0, 0x6bae7b55a22bca21,
  0x482e52d7ce80f37b, 0xa476e7a1d5381085, 0x9b63218edfef5545, 0x1726ae0f365118bf, 0x598f207e50d1659d,
  0xc3def2861539fa9d, 0x4cf03f8cbf313ffb, 0x727e07effe09a1e4, 0xcb3590cf4c2bbe8f, 0xfdcd0ccb0ecf8138,
  0x06ebbcdb446e9e4a,
};

// t461a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t461_swio14_lednop_pr_ee_ce[] = {
  0x9eeeeeeea0a22582, 0x4b9696215be9d609, 0xc7448ebd385fe2e8, 0xce6f50c8fd453771, 0xb4ce85ce24d04998,
  0x193ba75b59996ae4, 0xfff9c8e7d36e609f, 0xfd8fea8dd2a420cd, 0xbbaa3f3cbcbad218, 0x76b028f9339d7736,
  0x9839c7d47959c303, 0xb07202b90fea3e0d, 0xa5b1971c270dc3af, 0x3ab5c393fad801af, 0x75e86a763d51af87,
  0x888518df9ed57a70, 0x9c02f65b2f9c071d, 0xe9ee909e546c1140, 0x8439f826d7972ab5, 0x6fab39d454aa35dc,
  0x26b81013a6e576a9, 0x794422572fb1e821, 0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7,
  0x2317f36c6431dbfd, 0xb2f572e4d5c1e6ca, 0xfd4eacc7903f2868, 0x9133c09c69430a9c, 0x33d30b41bf7c4687,
  0x32c3b3e04e32cd64, 0x5a911ba792bf7343, 0x00000000000027e1,
};

// t461a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t461_swio14_lednop_pr_ee_ce_u4[] = {
  0x7eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33d066b40db26, 0xeebd4dcbbe4b6460, 0x467f4e443c4d8f05,
  0x27768bf5b126bc4e, 0xe9483e7c524c13e3, 0xa8faa395c9095bff, 0x6883cf2f2f3bb5ba, 0x2f097e21b09117dc,
  0xcd51dcdaeeddfe8b, 0xcace181bb599e3e4, 0x7f51f06cc1ce3ea3, 0x386e1d7d839015c8, 0xd6c00d7d2d8cb8e1,
  0xea8d7c39d5ae1c9f, 0xf6abd383af4353b1, 0x7ce038ec4428c6fc, 0xa3608a04e017b2d9, 0xbcb955af4f7484f2,
  0xa551aee421cfc136, 0x372bb54b7d59cea2, 0x7d8f410935c0809d, 0x7b55a22bca2112b9, 0x52d7ce80f37b6bae,
  0xe7a1d5381085482e, 0x218edfef5545a476, 0xae0f365118bf9b63, 0x0334f8d1659d1726, 0x9430a9cfd4eacc79,
  0xfc65f989ffde1ef7, 0x3f7ff04d0f226781, 0x867a615df47b93f0, 0x6658767c09c659ac, 0xe05c483cf257ee68,
  0x0000000000004fc7,
};

/*
 * t461_swio15_noled_pr              t461a_swio15_noled                t461a_swio15_noled_pr
 * t861_swio15_noled                 t861_swio15_noled_pr              t861a_swio15_noled
 * t861a_swio15_noled_pr
 */
static const uint64_t ur_t461_swio15_noled[] = {
  0xd83bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0x37d2ee8da1654192, 0x09e0cc24f76993bf, 0x315a38fd68f26eb6,
  0x63e609f193ba0bf7, 0x22426dfff0a41f3e, 0x07cf7a8f109df2dd, 0x6f74d38ad78e3956, 0xe76b868c9a398b01,
  0xb2bfee39630475e2, 0x439f826d7972ab52, 0xabb39d454aa35dc8, 0x2126b3a6e576a96f, 0x2bca2112ad5fefe8,
  0x9f4ef3f5ae7b55a2, 0xd2c2e753a9c0594a, 0xe8754e045fb8a042, 0x101bb65118bf9b69, 0xeacc790347f1a2cd,
  0x659ac867a616837e, 0xee6866587659289c, 0x7c801cb8c83cf257,
};

// t461a_swio15_noled_pr_u4          t861_swio15_noled_pr_u4           t861a_swio15_noled_pr_u4
static const uint64_t ur_t461_swio15_noled_pr_u4[] = {
  0xddbbbbbb45d8ad4e, 0xb5cb4b10ac4ceb13, 0xfa0bf70f8da48866, 0xf20912c446beef85, 0x2e236e84dd9ee888,
  0x4f8c9ddf23a82233, 0x0caffa343cfbf930, 0xf51e5f1df2d07d21, 0xc654e31c72ac0fa0, 0xde8f7b398b016594,
  0x03ff6608ebd1f3b3, 0xaa07967b770c9a54, 0x39f826d7972ab555, 0xbb39d454aa35dc84, 0x126b3a6e576a96fa,
  0xbca2112ad5fefe82, 0x778efebae7b55a22, 0xa7020eea6c529e1a, 0xfef5545a6194f43a, 0xca2317f36c8122ad,
  0x1a2cb3a2e4d5c1e6, 0xa73f53ab31e40eda, 0xe627ff787bde50c2, 0xc1343c899e07f197, 0x8577d1ee4fc0fdff,
  0xd9f0271966b219e9, 0x5393c95fb9a19961, 0x000000001f27d3d5,
};

// t461a_swio15_noled_pr_ee
static const uint64_t ur_t461_swio15_noled_pr_ee[] = {
  0xddfbbbbbbbd8b562, 0x87ee5a588442b758, 0x8d3da17aebcbda99, 0xf83f85d088261598, 0x7ef17e3b2282ffbb,
  0x3e3277699efd3b82, 0x2b7fd1a1e7f4dcc1, 0x4ad07fb5a3ee9213, 0x8f83660e5f7a8f2b, 0xe1d7d803f8adc9fa,
  0x00d7d2d8cb8e1386, 0xcead2efe0eb19ccc, 0x1d78033b4dc8d6b9, 0xec4648fa49ed56ba, 0xff805ecb872ce038,
  0x4daf2e556a3a26a5, 0xa8a9546bb90873f0, 0x74dcaed52df57673, 0x2255abfdfd0424d6, 0xfd75cf6ab4457944,
  0x1dd4d8a53c34ef1d, 0xa8b4c329e8754e04, 0x2fe6d902455bfdea, 0x59a205c9ab8d9446, 0x1bf75663c81db434,
  0x44e32cd6433d30b4, 0x92bf734332c3b2c9, 0x000029f153aaa727,
};

// t461a_swio15_noled_pr_ee_u4
static const uint64_t ur_t461_swio15_noled_pr_ee_u4[] = {
  0xe4dddddda2447705, 0x56b96962110fdd61, 0xa8bb647499f1f36b, 0x9170f8d7066c8353, 0x85b4bc288a0bfbc8,
  0x7c64eeb62d582932, 0x9bfff391cf8d6982, 0xe1c1fed68e3da426, 0x1f06cc19ebea3cac, 0xc3afb007f15c87f5,
  0x01afa5b1971c270d, 0x3ab4b9451d0fb998, 0x75e86a764011fc87, 0xb0f7a3dee7b55ae8, 0xff805ecb65f380e3,
  0x1c593582d51b0465, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x82126b3a6e576a96, 0x22bca2112ad5fefe,
  0x1a778efebae7b55a, 0x3aa7020eea6c529e, 0xadfef5545a6194f4, 0xe6ca2317f36c8122, 0xca1a2cb3a2e4d5c1,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0xffc1343c899e07f1, 0xe98577d1ee4fc0fd, 0x61d9f0271966b219,
  0x688dd3c95fb9a199, 0x00000000009d7bab,
};

// t461a_swio15_noled_pr_ce
static const uint64_t ur_t461_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x13e77fd1a1e7cbac, 0xcb83895ac7f59b92, 0xce75dcdafff3f3cb, 0x7a8f374f72cbad64,
  0x5ee8148e3956064f, 0x7cecf7a3dece62c0, 0x269500ffd99e3af4, 0xab555aa0796b75c3, 0x5dc8439f826d7972,
  0xa96fabb39d454aa3, 0xefe82126b3a6e576, 0x55a22bca2112ad5f, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5,
  0x218edfef5545a619, 0x9ab8d94462fe6d90, 0x3c81db43459a205c, 0x6433d30b41bf7566, 0x332c3b2c944e32cd,
  0xa2faaa72792bf734, 0x00000000000005ba,
};

// t461a_swio15_noled_pr_ce_u4
static const uint64_t ur_t461_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x2132b7ff9c8e7f4d, 0x975a4c09551f5ee9, 0xd8488bee3441e797, 0x5facff459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e6e9, 0x7bd9cc580bdd0291, 0xfb33c75e8f9d9ef4, 0x0f2d6eb864d2a01f,
  0xf04daf2e556aab54, 0x73a8a9546bb90873, 0xd674dcaed52df576, 0x442255abfdfd0424, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x8c5fcdb20431dbfd, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x00000375c9c5a237,
};

// t461a_swio15_noled_pr_ee_ce
static const uint64_t ur_t461_swio15_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x972d2c42b1a5ac6d, 0x3b65dee3bcc7c5d0, 0xce6fe3ec8d05067d, 0x7f4da5ce24d076d8,
  0x193ba76b6c4a72a6, 0xfff9c8e7f76a609f, 0xd58fea8e43a4218f, 0x5ee87f9e5e5d6902, 0xbb58147c99cebb9b,
  0xcc1a01ea3cadd281, 0xd839015fcef51f06, 0xd2d8cb8e1386e1d7, 0x9d5ae0a2fd6c00d7, 0x3af4353b2008fe43,
  0x61ef47bdcf6abd38, 0x2700bd96cbe701c7, 0xf4f13582d51b0450, 0x421cfc136bcb955a, 0x7d5d9cea2a551aee,
  0x4109359d372bb54b, 0x115e5108956aff7f, 0x0d3bc77f5d73daad, 0x1d5381077536294f, 0x76ff7aaa2d30ca7a,
  0xe6ca2317f36c810c, 0x2868b2f572e4d5c1, 0x0a9cfd4eacc7903f, 0x46879133c09c6943, 0xcd6433d30b41bf7c,
  0x734332c3b3e04e32, 0x09f881111ba792bf,
};

// t461a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t461_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e173e, 0x772d2c5c0a38d61a, 0x8ed89d2b6480db26, 0x7bafc2960d33080c, 0xe0d9a5910f12d4c1,
  0xc9dddfbdb0c89e8c, 0xfa520f9f801304f8, 0xaa3ea8f7da425adf, 0x1a20f3cbcbcee76e, 0xcbc25f886c2445f7,
  0x33547736b8c2ffa2, 0xf2b74a06ed6678f9, 0x3bd47c1b306807a8, 0x4e1b875f60e4057f, 0xf5b0035f4b632e38,
  0x8023f90e756b828b, 0x3daaf4e0ebd0d4ec, 0x2f9c071d87bd1ef7, 0x546c11409c02f65b, 0xaf2e556bd3c4d60b,
  0xa9546bb90873f04d, 0xdcaed52df57673a8, 0x55abfdfd0424d674, 0x75cf6ab445794422, 0xd4d8a53c34ef1dfd,
  0xb4c329e8754e041d, 0xcdb20431dbfdeaa8, 0x8b9357079b288c5f, 0x663c819a7c68b2ce, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3, 0x27e1072e241e792b,
};

/*
 * t461_swio15_lednop_pr             t461a_swio15_lednop               t461a_swio15_lednop_pr
 * t861_swio15_lednop                t861_swio15_lednop_pr             t861a_swio15_lednop
 * t861a_swio15_lednop_pr
 */
static const uint64_t ur_t461_swio15_lednop[] = {
  0x1b0777777759bb37, 0x21ddcb4b10ad4256, 0x2776dee871471c19, 0xc13c19849eed48be, 0xc79b1e95d7f8bdd6,
  0xbee609f193bb8ef6, 0x224247bff0a41f3e, 0x07cf7a8ebe1df2dd, 0xb7ba63d6218e3956, 0x73b6f68ee19cc580,
  0x58b3f71cb1823af1, 0x21cfc136bcb955a9, 0xd5d9cea2a551aee4, 0x5c0809d372bb54b7, 0x510895c958f41093,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0xaa70273e8a042d35, 0xddb288c5fcdb4f43, 0x63c81a3f8d166880,
  0xd6433d30b41bf756, 0x4332c3b2c944e32c, 0x0717c641e792bf73, 0x00000000000003e4,
};

// t461a_swio15_lednop_pr_u4         t861_swio15_lednop_pr_u4          t861a_swio15_lednop_pr_u4
static const uint64_t ur_t461_swio15_lednop_pr_u4[] = {
  0x83bbbbbb45d8bf82, 0xddcb4b10ade96b0d, 0xfb98e871471c1921, 0x3093ddc7fc5f07f1, 0x6d933d9fbad82783,
  0x3e32774c4e92106c, 0xdd7fd1a1e7e3dcc1, 0xea3cdc77cb748909, 0xbba05238e5581f3d, 0xf11dac731602dee9,
  0xee39630475e2e761, 0x826d7972ab52b2e1, 0x9d454aa35dc8439f, 0x13a6e576a96fabb3, 0x2b92b1e82126b810,
  0xbae7b55a22bca211, 0x82e52d7ce80f37b6, 0x476e7a1d53810854, 0x6cbb22adfef5545a, 0xe4d5c1e6ca2317f3,
  0x31e40eda1a2cb3a2, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee,
  0xb9a19961d9f02719, 0x07c996755393c95f,
};

// t461a_swio15_lednop_pr_ee
static const uint64_t ur_t461_swio15_lednop_pr_ee[] = {
  0xddfbbbbbbbd8bf82, 0xc3f72d2c42212158, 0xed2f469efa5ad14c, 0xefe0fe17426d9305, 0x6cdd8334108a0bfe,
  0x827c64ee989d5c70, 0x48e5ff46879feaf9, 0xadd2c1fed68fba48, 0xea3e0d98397dea3c, 0x1b875f600fe2b28b,
  0x30035f4b632e384e, 0x4e7569731e3ac673, 0xe875e00ced92234c, 0xc7620fa3b5a7b55a, 0x2ffc02f65c396701,
  0x04daf2e556a3a59f, 0x3a8a9546bb90873f, 0x274dcaed52df5767, 0x572563d0424d7020, 0xb5cf6ab445794422,
  0x52c2ca6c59d01e7e, 0x9cfa2810b4d5ceaf, 0x2317f36d3d0ea9c0, 0x1a2cd102e4d5c6ca, 0x5a0dfbab31e40eda,
  0x64a271966b219e98, 0x93c95fb9a19961d9, 0x000000053e739553,
};

// t461a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t461_swio15_lednop_pr_ee_u4[] = {
  0xf26eeeeed1222044, 0xab5cb4b108834eb0, 0x91fd34ba36d889b5, 0x9170f8d73f60cec9, 0x103d74108a0bfbc8,
  0x3e327747b6c71086, 0x72fff391cff57cc1, 0xa1c1fed68e3da424, 0x1f06cc19ebea3cac, 0xc3afb007f1594bf5,
  0x01afa5b1971c270d, 0x3ab4ba561d0fb998, 0x75e86a76ea11cdc7, 0xb1f2238ca7b55ae8, 0xff805ecb65f380e3,
  0x1c5dc326951b0465, 0x8439f826d7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xca2112b92b1e8212,
  0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538, 0x317f36cbb22adfef, 0xcb3a2e4d5c1e6ca2,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0x7d1ee4fc0fdffc13, 0x0271966b219e9857,
  0x3c95fb9a19961d9f, 0x00000275d34088dd,
};

// t461a_swio15_lednop_pr_ce
static const uint64_t ur_t461_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x10e1ffd1a1e7d82c, 0xcb83921ec7f59b92, 0x9cebb9b5d36ff3cb, 0xf51e719ee5975ac9,
  0x43da011c72ac0c9e, 0xf3b7c88e32398b01, 0xc35403ff6678ebd1, 0xad605681e5addbdd, 0x77210e7e09b5e5ca,
  0xa5beaece75152a8d, 0x849ae0404e9b95da, 0x8af28844ae4ac7a0, 0xa03cdedaeb9ed568, 0x4e0421520b94b5f3,
  0xfbd551691db9e875, 0x5118bf9b65d863b7, 0xd0d166881726ae36, 0xc2d06fdd598f2076, 0xcb25138cb3590cf4,
  0x9c9e4afdcd0ccb0e, 0x00000002dd4797aa,
};

// t461a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t461_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x212dd7ff9c8e7e39, 0x975a4df7551f5ee9, 0xd8488bee3441e797, 0x5ee47f459784bf10,
  0xee5821ac99aa3b9b, 0xc72ac0c9ef51e719, 0xe32398b0143da011, 0xf6678ebd1f3b7c88, 0x1e5addbddc35403f,
  0xe09b5e5caad60568, 0xe75152a8d77210e7, 0x04e9b95daa5beaec, 0x4ae4ac7a0849ae04, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0xb65d863b7fbd5516, 0x726ae0f365118bf9, 0x98f207e50d1659d1,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x27e07effe09a1e44, 0xb3590cf4c2bbe8f7, 0xdcd0ccb0ecf8138c,
  0x6ebc7d7446e9e4af,
};

// t461a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t461_swio15_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0x4b96962158c4d636, 0x4760ded9305fe2e8, 0xce6fe3cd2d913f62, 0x3e45ebce24d076d8,
  0x193baafb43746a58, 0x3ffce473fa6a609f, 0x3f63faa390e909ff, 0xae000fcf2f2eb496, 0xddac0a3e4ce75dcd,
  0x660d00f51e565d40, 0xec1c80ace1fa8f83, 0xe96c65c709c370eb, 0xcead7095beb6006b, 0x1d7a1a9dba847371,
  0xb1f2238ca7b55e9c, 0x13805ecb65f380e3, 0x7a7ae1934a8d8228, 0x210e7e09b5e5caad, 0xbeaece75152a8d77,
  0x9ae0404e9b95daa5, 0xf28844ae4ac7a084, 0x3cdedaeb9ed5688a, 0x0421520b94b5f3a0, 0xd551691db9e8754e,
  0x18bf9b65d863b7fb, 0x97ab9726ae0f3651, 0xea75663c81f94345, 0x899e04e34a1854e7, 0x9e985a0dfbe2343c,
  0x961d9f0271966b21, 0x8a88dd3c95fb9a19, 0x0000000000027e0e,
};

// t461a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t461_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e1bc1, 0x772d2c5c0ae0d61a, 0x9e86edc5e820db26, 0xf75f85471582d159, 0x23b313221e25a982,
  0x64eebadea0aeef27, 0xfa520f9fc6e9827c, 0xaa3ea8f7da4235df, 0x8d1079e5e5e77882, 0x65e12fc4361222fb,
  0x4cd51dcdaeb82fd1, 0x3cacba81bb599e3e, 0xc3f51f06cc1a01ea, 0x1386e1d7d8390159, 0x7d6c00d7d2d8cb8e,
  0x7508e6e39d5ae12b, 0x4f6abd383af4353b, 0xcbe701c763e44719, 0x951b04502700bd96, 0x6bcb955af4f5c326,
  0x2a551aee421cfc13, 0x372bb54b7d5d9cea, 0x958f410935c0809d, 0x3daad115e510895c, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0xb0c76ff7aaa2d23b, 0x5c1e6ca2317f36cb, 0x0669f1a2cb3a2e4d, 0x2861539fa9d598f2,
  0xf8cbf313ffbc3def, 0x7effe09a1e44cf03, 0x0cf4c2bbe8f727e0, 0xccb0ecf8138cb359, 0xa7389079e4afdcd0,
  0x0000000000009f82,
};

// t841_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_noled_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0x7bbbbbba583c1642, 0x6b92164cb8c33d69, 0x56c17f0ba99ba914, 0x93bbe474d2a33c5e,
  0xffb5933f2ba609f1, 0xb00d022054f07182, 0xf5436bf063fe02e9, 0xd7c53e8dd5ed1c2b, 0x8bea3caf4a9aad68,
  0xf15e95ea3e0d983c, 0x8e1386e1d7d8b4dd, 0xc5133484d7d2d8cb, 0x0236be39d5a5f245, 0x8d56ba1d7aea6edd,
  0x01c762d313e8cd25, 0xc67f5b86f65c3967, 0x7aedf818847fd8b8, 0xc7294180ee47fce7, 0xaa72f29b19debf9b,
  0xb5f3d0f85745f72e, 0x6c01455ba5eaa8b4, 0x726ae361f5abadf3, 0x31e40eda1a2c9a19, 0x6837e36885b36fab,
  0xeb09c659ac867a61, 0x3c95fb9a19961d96, 0x00000c41fa4e643f,
};

// t841_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_noled_pr_ce[] = {
  0xc6eeeeeeef62bd3a, 0xddddddd2c42242fa, 0x26a18dbf16a6f70a, 0x8eec7b11ddddf5fe, 0x3e32775ebe9fbfa7,
  0x54aff6b267d2b4c1, 0x5d3601a0440a9e0e, 0x857ea86d7e0c7fc0, 0x3faef6a7d1babda3, 0xedd7e780160e2016,
  0xe5975ac99cebb9b5, 0xc70207acf51c9e9e, 0xb0e62c05c8bd0471, 0x99e3af47cec21d1e, 0x5add20a679500ffd,
  0xc0c423fec6aa481e, 0x0c07723fe73bd76f, 0x94d8cef5fcde394a, 0x87c2ba2fb9755397, 0x8edd2f5545a5af9e,
  0x361f5abadf36c011, 0xeda1a2c9a19726ae, 0x36885b36fab31e40, 0x659ac867a616837e, 0xb9a19961d96eb09c,
  0xcfc256a643f3c95f, 0x0000000000000002,
};

// t841_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88ba31, 0x77777774b1ea6d16, 0xc784142d90f23bc9, 0x694dd8596cfdd802, 0x93baccf62700afa6,
  0xff700e7ec7e609f1, 0x80681102a783943f, 0xaa1b5f831ff0174d, 0xc7a9f46eaf68e15f, 0x002d69182d8fea8c,
  0xf339d7736bc00fcf, 0x51e57d44a76b02bd, 0xfa8f51f06cc1ad7f, 0x9c370ebec5a6298a, 0x0ea426be96c65c70,
  0x1151e0b39d5dba5f, 0x1b1aaf1b1d79d376, 0xce038ec5a75fd187, 0xa3608991c37b2d97, 0x6211ff61678cd4d2,
  0x03b91ff39debb7e0, 0x6c677afe6f1ca506, 0xe15d17dcbaa9cbca, 0x6e97aaa2d2d7cf43, 0x0fad5d6f9b6008c7,
  0x50d164d0cb93571b, 0x442d9b7d598f207e, 0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0xb36649c3b9e4afdc,
  0x0000000000000002,
};

// t841_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_lednop_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xf7777774b0782a6e, 0x51afb8ef31867ad2, 0xbcad921c2ea66ea4, 0xe32777c8e9a54678,
  0xceff6b267ce0cc13, 0xd3601a0440a9e0e6, 0x57ea86d7e0c7fc05, 0xd1af8a7d1babda38, 0xf22fa8f2b09f355a,
  0x77c5738fa8f83660, 0x2e384e1b875f62d3, 0x17144cd2135f4b63, 0xc4f23e78e75697c9, 0x658d56ba1d7aea6e,
  0x59c071d8b4d21a3d, 0x5c283fd6e1bd970e, 0x13bd76fc0c423fec, 0x6ea0c07723fe7810, 0xd4a7253a03d7f379,
  0xa2810b4e02f7ca9b, 0x36d3d0f85745f70e, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x000000c41fa4e643,
};

// t841_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_lednop_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c422353a, 0x130bea1f1f5a3504, 0x536f4c99eeeefaff, 0x9f193bb517469f91,
  0x1c9ffb5933f21e60, 0x2e9b00d022054f07, 0xc2bf5436bf063fe0, 0x1fd77b53e8dd5ed1, 0xf15bf3c00b073a8b,
  0x72cbad64ce75dcda, 0xe38103d67a8fd24f, 0x43398b015efb5a38, 0x99e3af47ced82d1a, 0x2d6e0e2691500ffd,
  0xf03108ffb1357c0f, 0xdc8ff9e0404ef5db, 0x407afe6f00fa8301, 0x5f76f9537a94e4a7, 0xaa2d2b093d0f8574,
  0x5be6d9538c76e97a, 0x3432e4d5c6c3eb57, 0xdf5663c81db43459, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c,
  0xc87e792bf734332c, 0x0000000059f84e7c,
};

// t841_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_lednop_pr_ee_ce[] = {
  0xb1bbbbbbba88a493, 0xf7777774b1ea6b8e, 0x8f68a10033e9db2e, 0xc4b4b0b2d9fbb005, 0x2774a76d893b5e44,
  0xfee01cfeed4c13e3, 0x00d022054f070c7f, 0x5436bf063fe02e9b, 0x8f53e8dd5ed1c2bf, 0x005ad2656b1fd519,
  0xcce75dcdaf8ddf9e, 0x4795f7529dac0af7, 0xeebd47c1b306b5fd, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0x37d193473abb7694, 0x56355e363af3a6ec, 0x9c071d8b4d67a37b, 0x46c1132386f65b2f, 0x8847fd859c8299e5,
  0x7fcf020277aedf81, 0xd7f37807d4180ee4, 0xb7ca9bd4a7253a03, 0x695849e87c2ba2fb, 0x36ca9c63b74bd551,
  0x9726ae361f5abadf, 0xb31e40fca1a2c9a1, 0x16837e36885b36fa, 0x6eb09c659ac867a6, 0x73c95fb9a19961d9,
  0x000000566deb7387,
};

// t841_autobaud_uart0_dual_pr       t841_autobaud_uart0_dual_pr_u4
static const uint64_t ur_t841_autobaud_uart0_dual[] = {
  0x66eeeeeeef3e1000, 0xbbbbbbbebf3157ca, 0x13b402a05843d2d5, 0x4cfb452b7774d2ac, 0x8d3b9557e8ebecda,
  0x1292906019827c64, 0xc41b826c40c76819, 0x774f086df881850a, 0x934aefccb0942a92, 0xbd47297b060a70c0,
  0x22847241c081ba59, 0x009f5c3e057f98d0, 0xa2197b101054c431, 0xe13029150865a07a, 0x871885b94bffa039,
  0xea4660b02c433100, 0x34088153c1ca95fe, 0x0dafc18ff80ba6c0, 0xd4fa3757b470afd5, 0xf05fa8ef79df2d70,
  0x266d2a218e38e040, 0xdb7b46b3ce62c05a, 0xa807fecc11d7bf0d, 0x14e40f2cf6f9ea96, 0x79e03ba72f339cdf,
  0x76fc0c423fec9ce7, 0xc07723fe781013bd, 0x29d01ebf9bc03ea0, 0x5d17ddbe54dea539, 0x5eaa8b4ac24f43e1,
  0x6aeb7cdb2a7455ba, 0x8b26865c9ab8d87d, 0x66df5663c819a7c6, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359,
  0xafc112792bf73433, 0x0000000001559b4f,
};

// t841_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_dual_pr_ee[] = {
  0x99bbbbbbba86c541, 0xbbbbbbbebcada6ba, 0x3ac806e775de937b, 0xae3bf6d4e99eeb4e, 0xdcb337a338a31d9b,
  0x291dc7cc13e326c4, 0xb826c40c76819129, 0xf086df881850ac41, 0x77f99612a7d06774, 0xf4d6c1fe1c3104cd,
  0x1c9070207ff26f51, 0xd70f815fe63408a1, 0x7b101054c40c0227, 0x2e2a10cb432b2219, 0x16fa6bfe80e784c5,
  0x82c0b10cc4021c62, 0x0a9e0e50fffff3a9, 0x0c7fc05d3601a044, 0xbabda3857ea86d7e, 0xfdd355ad1994a7d1,
  0x47c1b306807a8f2b, 0x75f62d377c57fbbd, 0x35f4b632e384e1b8, 0xd5a5e3dae2bfcd21, 0xd787dbb6488e3239,
  0x9c1f464f58d56ba1, 0x6f65dd4f380e3b16, 0x6be486a8d823f5b8, 0xc0774e5e6739bc02, 0xf818847fd939cef3,
  0xee47fcf020277aed, 0xa03d7f37807d4180, 0x2fbb7ca9bd4a7253, 0x551695849e87c2ba, 0xd6f9b654e8ab74bd,
  0x1a2c9a18ddb0fad5, 0x85b36fab337f0777, 0xac867a616837e368, 0x19961d96eb09c659, 0xf4094a833c95fb9a,
  0x0000000000000822,
};

// t841_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_dual_pr_ce[] = {
  0xcdddddddde7c1a4e, 0xeeeeeefaff1e10d4, 0x499389eb58bee7de, 0x28d482b777560a33, 0x68b72ae3a807dc16,
  0x4a4a41b77304f8c9, 0x106e09b1031da064, 0xdd3c21b7e206142b, 0x4c35bf32c250aa49, 0xf51f7dec34d9c22b,
  0x8a11c9070206a7a6, 0xe27d70f815fe6340, 0x10cbd88082a621fa, 0x2609f150865a01ed, 0xe310b7df7ff4073c,
  0x48cc160588662010, 0x81102a783921ffdd, 0xb5f831ff0174d806, 0x9f46eaf68e15faa1, 0x00b9dedfb1fd722a,
  0x4ce75dcdae4ebf3c, 0x5ea3ef73dcb2e9ed, 0xe4837e38e381037b, 0xddba046d7c731602, 0x6bedc72c678ebdd2,
  0xe03ba72f339cde3a, 0xfc0c423fec9ce779, 0x7723fe781013bd76, 0xd01ebf9bc03ea0c0, 0x17ddbe54dea53929,
  0xaa8b4ac24f43e15d, 0xd6f9b654e31dba5e, 0x4d0cb93571b0fad5, 0xbeacc790334f8d16, 0xe985a0df8da216cd,
  0x765bac271966b219, 0x8224f257ee686658, 0x00000000a7936e3f,
};

// t841_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_dual_pr_ee_ce[] = {
  0x4cdddddddd43359b, 0xeeeeeeefafcc6d05, 0x5881f210a8fed826, 0x69eeecddc4edd498, 0x5c8e0b5c86d7519c,
  0x523cf5cc13e325b1, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x7ff32c254fa0cee9, 0x60ec2f0ce1cb5333,
  0x241c081a1f4dea3f, 0xc3e057f98d022847, 0x88082a62030b89f5, 0x150865a096910cbd, 0xfd83ff4073c268e5,
  0xc0b10cc4021c6216, 0x4f071fe7fff3a982, 0x3fe02e9b00d02205, 0x5ed1c2bf5436bf06, 0x1b1fd51fce53e8dd,
  0x6bb3e7e78939091c, 0xa76b02ce3339d773, 0xd98397dea3caea54, 0x1698a62ba95ea3e0, 0x5b1971c270dc3afb,
  0x7576e8f63a909afa, 0x75e1f6ed92238c8e, 0x4e0fa327ac6abc6c, 0x37b2eea79c071d8b, 0xdaf921aa3608991c,
  0xf01dd39799ce6f2c, 0x7e06211ff64e73bc, 0x3b91ff3c0809debb, 0xe80f5fcde01f5060, 0x8beedf2a6f529c94,
  0x5545a56127a1f0ae, 0xeb7cdb2a718edd2f, 0x8d164d0c6ed87d6a, 0x42d9b7d599bf83bb, 0xd6433d30b41bf1b4,
  0x0ccb0ecb7584e32c, 0x431ba5419e4afdcd, 0x00000000000000c4,
};

// t841_autobaud_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_noled_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xf7777774b0164a6e, 0x4623b8ef31867ad2, 0x5e56c90790bf3768, 0xf193bbe474d2a33c,
  0x677fb5933e706609, 0x1102a78385c5be17, 0x5fe107c05d1041e8, 0xf46eaf68e15faa1b, 0xe57a54d56b46be29,
  0xef51f06cc1e45f51, 0x370ebec5a6ef8ae6, 0xa426be96c65c709c, 0xf1cead2e98ae2899, 0xd0ebd75376e791b5,
  0xc5a7ac46692c6ab5, 0xb70decb872ce038e, 0xf818847fd8b874fe, 0x4180ee47fce77aed, 0xbca6c677afe6f2dd,
  0x6e2810b4deabaa9c, 0xcdb4f43e15d17dce, 0x65c9ab8d87d6aeb7, 0xacc7903b6868b268, 0x85a0df8da216cdbe,
  0x5bac271966b219e9, 0xfcf257ee68665876, 0x0000003107e93990,
};

// t841_autobaud_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_noled_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c4c2353a, 0xdf0bea1f1f5a3504, 0xa9b7a64cf777756d, 0x4f8c9dda8ba34fc8,
  0xae4ffdac99f90f30, 0x4088153c1c2e2df0, 0xdaff083e02e8820f, 0x4fa3757b470afd50, 0x002c1c402c7f5ded,
  0x9339d7736bdbafcf, 0x59ea393d3dcb2eb5, 0x0b917a08e38e040f, 0x8f9d843a3d61cc58, 0x4cf2a01ffb33c75e,
  0xfd8d54903cb5ba41, 0x7fce77aedf818847, 0xebf9bc7294180ee4, 0x5f72eaa72f29b19d, 0xaa8b4b5f3d0f8574,
  0x75be6d80231dba5e, 0x93432e4d5c6c3eb5, 0x6df5663c81db4345, 0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590,
  0xcc87e792bf734332, 0x00000000059f84e7,
};

// t841_autobaud_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88a493, 0xeeeeeee962712b8e, 0xa6d1420067d3b65d, 0x89697a90bdeef8f7, 0x4ee94edb1276bc89,
  0xfdc039fdda9827c6, 0x54f070b8b7c298ff, 0x20f80ba2083d0220, 0xd5ed1c2bf5436bfc, 0x05b1fd5198f53e8d,
  0x6d7801f9e005ad23, 0x94ed6057be673aee, 0x0d9835afea3cafa8, 0xd8b4c5315f51ea3e, 0xd2d8cb8e1386e1d7,
  0x73abb74be1d484d7, 0x63af3a6ec22a3c16, 0xb4ebfa30e36355e3, 0x386f65b2f9c071d8, 0x2cf19a9a546c1132,
  0x73bd76fc0c423fec, 0xcde394a0c07723fe, 0x975539794d8cef5f, 0x5a5af9e87c2ba2fb, 0xf36c0118edd2f554,
  0x19726ae361f5abad, 0xab31e40fca1a2c9a, 0x616837e36885b36f, 0x96eb09c659ac867a, 0x773c95fb9a19961d,
  0x0000000566deb738,
};

// t841_autobaud_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_lednop_pr_ee[] = {
  0x56377777777b1762, 0x4f7777774b016585, 0x08c475e9c2f697a3, 0x6ec19ad0f217e6ed, 0x3e3277792eae3476,
  0xc56ff6b267c9d4c1, 0x022054f070b8b7c2, 0x6bfc20f80ba2083d, 0x3e8dd5ed1c2bf543, 0x3cacf59aad68d7c5,
  0x29ea3e0d983c8bea, 0x86e1d7d8b4ddf158, 0x3484d7d2d8cb8e13, 0x8739d5a5e215c513, 0xba1d7aea6ed82d18,
  0xc5a61c51c82d8d56, 0xb70decb872ce038e, 0xf03108ffb170a6be, 0xdc8ff9e0404ef5db, 0x2d5e7407afe6f301,
  0x810b4a9f016a7245, 0x9e87c2ba2fba5fe2, 0x3571b0fad5d6f9b6, 0xf2076d0d164d0cb9, 0x1bf1b442d9b7d598,
  0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75, 0x0000620fce321f9e,
};

// t841_autobaud_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_lednop_pr_ce[] = {
  0xc6eeeeeeef623f3e, 0xddddddd2c4c2593a, 0xbda9c2ff4a6c695b, 0xcb4615006eeeeadb, 0x13e327748fed05e9,
  0x2ba5ff6b267ca5cc, 0xd022054f070b8b7c, 0x36bfc20f80ba2083, 0x53e8dd5ed1c2bf54, 0xc00b073a8b1fd77b,
  0x64ce75dcdaf15bf3, 0xd67a8fd24f72cbad, 0x015efb5a38e38103, 0x47ced82d1a43398b, 0x2691500ffd99e3af,
  0xffb1357c0f2d6e0e, 0xe0404ef5dbf03108, 0x6f00fa8301dc8ff9, 0x537a94e4a7407afe, 0x093d0f85745f76f9,
  0x538c76e97aaa2d2b, 0xd5c6c3eb575be6d9, 0xc81db434593432e4, 0x6fc6d10b66df5663, 0x138cb3590cf4c2d0,
  0x2bf734332c3b2dd6, 0x00b3f08bf6c87e79,
};

// t841_autobaud_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_lednop_pr_ee_ce[] = {
  0x58dddddddd447e4a, 0xf7777774b1389a67, 0xa6b8da29fb123b06, 0x257afa90bdeef8f7, 0x4eebd6d0dcafba77,
  0xfee01cfe9a9827c6, 0x153c1c2e2df0bff3, 0x083e02e8820f4088, 0x757b470afd50daff, 0x95ac7f54663d4fa3,
  0x36be377e78016b49, 0x4a76b02bdf339d77, 0x06cc1ad7f51e57dd, 0xec5a6298afbaf51f, 0xe96c65c709c370eb,
  0x1ceaedda50ea426b, 0xd8ebce9bb0df464d, 0x2d359e8ded58d578, 0x8e1bd96cbe701c76, 0x16720a67951b044c,
  0x09debb7e06211ff6, 0x1f50603b91ff3c08, 0x529c94e80f5fcde0, 0xa1f0ae8beedf2a6f, 0x8edd2f5545a56127,
  0xd87d6aeb7cdb2a71, 0xf2868b26865c9ab8, 0xda216cdbeacc7903, 0x966b219e985a0df8, 0xe686658765bac271,
  0x66d3ebce1dcf257e, 0x0000000000000005,
};

// t841_autobaud_uart0_alt1_dual_pr  t841_autobaud_uart0_alt1_dual_pr_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_dual[] = {
  0xcdddddddde7c92df, 0xeeeeeefafb1fb294, 0x55f1da374cfb4b16, 0x0ce734edddd3131c, 0x9a0b7244fdad1361,
  0x2252523bad304f8c, 0x5883704d8818ed03, 0x4ee9e10dbf1030a1, 0xee6d37f996128552, 0x37a8ea7b61958e1b,
  0x04508e48381032eb, 0x0013eb87c0aff31a, 0x44432f62020a9884, 0x3c264022a10cb424, 0x10e310b753dff407,
  0xdd48cc1605886620, 0x53c1c2e2df0ae4ff, 0x83e02e8820f40881, 0x57b470afd50daff0, 0xef79df2d70d4fa37,
  0x218e38e040f05fa8, 0xb3ce62c05a266d2a, 0xcc11d7bf0ddb7b46, 0x2cf6f9ea96a807fe, 0xa72f339cdf14e40f,
  0x423fec9ce779e03b, 0xfe781013bd76fc0c, 0xbf9bc03ea0c07723, 0xbe54dea53929d01e, 0x4ac24f43e15d17dd,
  0xdb2a7455ba5eaa8b, 0x5c9ab8d87d6aeb7c, 0x63c819a7c68b2686, 0xd06fc6d10b66df56, 0xd6138cb3590cf4c2,
  0x792bf734332c3b2d, 0x0000aacdd8ffc112,
};

// t841_autobaud_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_dual_pr_ee[] = {
  0x99bbbbbbba860aac, 0xbbbbbbbebcddd77a, 0xda4d74039f7ae17b, 0x4c75bb26b0775b17, 0x5c8af7b6087044de,
  0x52379f4c13e32437, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x93f32c254fa0cee9, 0xb5bd856f9c2004c2,
  0xe48381034db9bd47, 0xb87c0aff31a04508, 0xd88082a621dd613e, 0xd150865a16e910cb, 0x6f6b7ff4073c2653,
  0x2c0b10cc4021c621, 0x8b7c298fffff3a98, 0x2083d022054f070b, 0xbf5436bfc20f80ba, 0x8cca53e8dd5ed1c2,
  0x403d4795fee9aad6, 0xbe2bfddea3e0d983, 0x71c270dc3afb169b, 0x715fe6909afa5b19, 0x2447191cead2f1ed,
  0xac6ab5d0ebc3eddb, 0x9c071d8b4e0fa327, 0x6c11fadc37b2eea7, 0x339cde0135f24354, 0xec9ce779e03ba72f,
  0x1013bd76fc0c423f, 0xc03ea0c07723fe78, 0xdea53929d01ebf9b, 0x4f43e15d17ddbe54, 0x7455ba5eaa8b4ac2,
  0x6ed87d6aeb7cdb2a, 0x99bf83bb8d164d0c, 0xb41bf1b442d9b7d5, 0x7584e32cd6433d30, 0x9e4afdcd0ccb0ecb,
  0x0000208bc745a541,
};

// t841_autobaud_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_dual_pr_ce[] = {
  0x66eeeeeeef3e43ee, 0x7777777d782f67ca, 0x04349802b7ef475f, 0x7ebb3adbbbb1c727, 0xe3b964cd4d769eb1,
  0x525215d79827c64a, 0x83704d8818ed0322, 0xe9e10dbf1030a158, 0xdd5ff9961285524e, 0x51f676c2391c0e0c,
  0xa11c90702072ba6f, 0x27d70f815fe63408, 0x0cbd88082a621786, 0x36df8a8432d07f11, 0x1885beceffa039e1,
  0x4660b02c43310087, 0x0e1716f85297feea, 0x01744107a0440a9e, 0xa3857ea86d7f841f, 0xec7f5c8aa7d1babd,
  0x6b93afcf002e77b7, 0xf72cba7b5339d773, 0x38e040ded7a8fbdc, 0x5f1cc580b920df8e, 0x19e3af74b76e811b,
  0xcce7378e9afb71cb, 0xfb2739de780ee9cb, 0x0404ef5dbf03108f, 0xf00fa8301dc8ff9e, 0x37a94e4a7407afe6,
  0x93d0f85745f76f95, 0x38c76e97aaa2d2b0, 0x5c6c3eb575be6d95, 0x0cd3e34593432e4d, 0xe36885b36fab31e4,
  0xc659ac867a616837, 0xfb9a19961d96eb09, 0x29e4fa4ee0893c95,
};

// t841_autobaud_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart0_alt1_dual_pr_ee_ce[] = {
  0x299bbbbbbba86f97, 0xddddddddf5f63c7e, 0x762f6820f82dbf57, 0x5f5f66da5d89dd08, 0xd72eecd1e1a9d582,
  0x2907b3d304f8c91e, 0xb826c40c76819129, 0xf086df881850ac41, 0x87f99612a7d06774, 0x30db067c38759ccc,
  0xc9070207faf37a8f, 0x70f815fe63408a11, 0xb101054c4170427d, 0x4542196874fa2197, 0xbcc37fd01cf0989d,
  0xb02c433100871885, 0x2df0b5bffffcea60, 0x820f4088153c1c2e, 0xfd50daff083e02e8, 0x7f394fa3757b470a,
  0x9e24e424706c7f54, 0x38cce75dcdaecf9f, 0x7a8f2ba9529dac0b, 0xaea57a8f83660e5f, 0x09c370ebec5a6298,
  0xd8ea426be96c65c7, 0xb6488e3239d5dba3, 0x9eb1aaf1b1d787db, 0x9e701c762d383e8c, 0xa8d8226470decbba,
  0x5e6739bcb36be486, 0x7fd939cef3c0774e, 0xf020277aedf81884, 0x37807d4180ee47fc, 0xa9bd4a7253a03d7f,
  0x849e87c2ba2fbb7c, 0xa9c63b74bd551695, 0x31bb61f5abadf36c, 0x5666fe0eee345934, 0xc2d06fc6d10b66df,
  0x2dd6138cb3590cf4, 0x06792bf734332c3b, 0x00000003110e7295,
};

// t841_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart1_noled_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0x7bbbbbba583c1642, 0x6b92164cb8c33d69, 0x56c17f0ba99ba914, 0x93bbe474d2a33c5e,
  0xffb5933f2ba609f1, 0x7fa0440a9f901182, 0x86d7d0c7fc05d00c, 0x8a7d1babda3857ea, 0xd4795e95355ad1af,
  0xbd2bd47c1b307917, 0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x6d7c73ab4be48b8a, 0xad743af5d4ddba04,
  0x8ec5a627d19a4b1a, 0xfeb70decb872ce03, 0xdbf03111dfb1718c, 0x528301dd1df9cf2e, 0xe5e53633cbbf378e,
  0xe7a1f0ae8bee5d54, 0x028ab74bd551696b, 0xd5c6c3eb575be6d8, 0xc81db434593432e4, 0x6fc6d10b66df5663,
  0x138cb3590cf4c2d0, 0x2bf734332c3b2dd6, 0x001883f49cc87e79,
};

// t841_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart1_noled_pr_ce[] = {
  0xc6eeeeeeef62bd3a, 0xddddddd2c42242fa, 0x26a18dbf16a6f70a, 0x8eec7b11ddddf5fe, 0x3e32775ebe9fbfa7,
  0x54aff6b267d2b4c1, 0x018ff4088153f202, 0xfd50dafa18ff80ba, 0x5ded4fa3757b470a, 0xafcf002c1c402c7f,
  0x2eb59339d7736bdb, 0x040f59ea393d3dcb, 0xcc580b917a08e38e, 0xc75e8f9d843a3d61, 0xba414cf2a01ffb33,
  0x888efd8d54903cb5, 0x0ee8efce7976df81, 0xb19e5df9bc729418, 0x85745f72eaa72f29, 0xba5eaa8b4b5f3d0f,
  0x3eb575be6d80231d, 0x434593432e4d5c6c, 0x10b66df5663c81db, 0x3590cf4c2d06fc6d, 0x4332c3b2dd6138cb,
  0x84ad4c87e792bf73, 0x000000000000059f,
};

// t841_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart1_noled_pr_ee_ce[] = {
  0xb1bbbbbbba88ba31, 0x77777774b1ea6d16, 0xc784142d90f23bc9, 0x694dd8596cfdd802, 0x93baccf62700afa6,
  0xff700e7ec7e609f1, 0xfd022054fc80943f, 0x36be863fe02e8063, 0x53e8dd5ed1c2bf54, 0x5ad2305b1fd5198f,
  0x73aee6d7801f9e00, 0xcafa894ed6057be6, 0x1ea3e0d9835afea3, 0x6e1d7d8b4c5315f5, 0x484d7d2d8cb8e138,
  0xa3c1673abb74be1d, 0x355e363af3a6ec22, 0x071d8b4ebfa30e36, 0xc1132386f65b2f9c, 0x477ec2cf19a9a546,
  0x7477e73cbb6fc0c4, 0xcf2efcde394a0c07, 0xba2fb975539794d8, 0x2f5545a5af9e87c2, 0x5abadf36c0118edd,
  0xa2c9a19726ae361f, 0x5b36fab31e40fca1, 0xc867a616837e3688, 0x9961d96eb09c659a, 0xcc938773c95fb9a1,
  0x0000000000000566,
};

// t841_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart1_lednop_pr_ee[] = {
  0xb1bbbbbbbbd8ad4e, 0xf7777774b0782a6e, 0x51afb8ef31867ad2, 0xbcad921c2ea66ea4, 0xe32777c8e9a54678,
  0xceff6b267ce0cc13, 0x18ff4088153f2026, 0xd50dafa18ff80ba0, 0x5f14fa3757b470af, 0x5f51e5613e6ab5a3,
  0x8ae71f51f06cc1e4, 0x709c370ebec5a6ef, 0x2899a426be96c65c, 0xe47cf1cead2f922e, 0x1aad743af5d4dd89,
  0x80e3b169a4347acb, 0x507fadc37b2e1cb3, 0x976df81888efd8b8, 0x4180ee8efcf02027, 0x4e4a740977e6f2dd,
  0x02169c05ef9537a9, 0xa7a1f0ae8bee1d45, 0x4d5c6c3eb575be6d, 0x3c81db434593432e, 0x06fc6d10b66df566,
  0x6138cb3590cf4c2d, 0x92bf734332c3b2dd, 0x0001883f49cc87e7,
};

// t841_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart1_lednop_pr_ce[] = {
  0xc6eeeeeeef621c3b, 0xddddddd2c422353a, 0x130bea1f1f5a3504, 0x536f4c99eeeefaff, 0x9f193bb517469f91,
  0x1c9ffb5933f21e60, 0x00c7fa0440a9f901, 0x7ea86d7d0c7fc05d, 0xaef6a7d1babda385, 0xb7e780160e75163f,
  0x975ac99cebb9b5e2, 0x0207acf51fa49ee5, 0x731602bdf6b471c7, 0xc75e8f9db05a3486, 0xdc1c4d22a01ffb33,
  0x6223bf626af81e5a, 0x3bf3c0809e5db7e0, 0x2efcde01f50603ba, 0xedf2a6f529c94e81, 0x5a56127a1f0ae8be,
  0xcdb2a718edd2f554, 0x65c9ab8d87d6aeb7, 0xacc7903b6868b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9,
  0xfcf257ee68665876, 0x000000b3f09cf990,
};

// t841_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart1_lednop_pr_ee_ce[] = {
  0xb1bbbbbbba88a493, 0xf7777774b1ea6b8e, 0x8f68a10033e9db2e, 0xc4b4b0b2d9fbb005, 0x2774a76d893b5e44,
  0xfee01cfeed4c13e3, 0xfa0440a9f9010c7f, 0x6d7d0c7fc05d00c7, 0xa7d1babda3857ea8, 0xb5a4cad63faa331e,
  0xcebb9b5f1bbf3c00, 0x2beea53b5815ef99, 0x7a8f83660d6bfa8f, 0xb875f62d314c57dd, 0x2135f4b632e384e1,
  0xa3268e7576ed2875, 0x6abc6c75e74dd86f, 0x0e3b169acf46f6ac, 0x8226470decb65f38, 0x1dfb0b390533ca8d,
  0x9e0404f2edbf0311, 0xe6f00fa8301dd1df, 0x9537a94e4a740977, 0xb093d0f85745f76f, 0x9538c76e97aaa2d2,
  0x4d5c6c3eb575be6d, 0x3c81f9434593432e, 0x06fc6d10b66df566, 0x6138cb3590cf4c2d, 0x92bf734332c3b2dd,
  0x0000acdbd6e70ee7,
};

// t841_autobaud_uart1_dual_pr       t841_autobaud_uart1_dual_pr_u4
static const uint64_t ur_t841_autobaud_uart1_dual[] = {
  0x66eeeeeeef3e1000, 0xbbbbbbbebf3157ca, 0x13b402a05843d2d5, 0x4cfb452b7774d2ac, 0x8d3b9557e8ebecda,
  0x1292906019827c64, 0xc41b826c40c76819, 0x774f086df881850a, 0x934aefccb0942a92, 0xbd47297b060a70c0,
  0x22847241c081ba59, 0x009f5c3e057f98d0, 0xa2197b101054c431, 0xe13029150865a07a, 0x871885b94bffa039,
  0xea4660b02c433100, 0x81102a7e404a95fe, 0x5f431ff0174031fe, 0xf46eaf68e15faa1b, 0xbf51def3be5ae1a9,
  0xda54431c71c081e0, 0xf68d679cc580b44c, 0x0ffd9823af7e1bb6, 0xc81e59edf3d52d50, 0xc0774e5e6739be29,
  0xf81888efd939cef3, 0xee8efcf02027976d, 0xa04bbf37807d4180, 0x2fbb7ca9bd4a7253, 0x551695849e87c2ba,
  0xd6f9b654e8ab74bd, 0x4d0cb93571b0fad5, 0xbeacc790334f8d16, 0xe985a0df8da216cd, 0x765bac271966b219,
  0x8224f257ee686658, 0x00000002ab369f5f,
};

// t841_autobaud_uart1_dual_pr_ee_u4
static const uint64_t ur_t841_autobaud_uart1_dual_pr_ee[] = {
  0x99bbbbbbba86c541, 0xbbbbbbbebcada6ba, 0x3ac806e775de937b, 0xae3bf6d4e99eeb4e, 0xdcb337a338a31d9b,
  0x291dc7cc13e326c4, 0xb826c40c76819129, 0xf086df881850ac41, 0x77f99612a7d06774, 0xf4d6c1fe1c3104cd,
  0x1c9070207ff26f51, 0xd70f815fe63408a1, 0x7b101054c40c0227, 0x2e2a10cb432b2219, 0x16fa6bfe80e784c5,
  0x82c0b10cc4021c62, 0x53f20250fffff3a9, 0xff80ba018ff40881, 0x7b470afd50dafa18, 0xa6ab5a33294fa375,
  0x83660d00f51e57fb, 0xec5a6ef8aff77a8f, 0xe96c65c709c370eb, 0x4bc7b5c57f9a426b, 0x0fb76c911c6473ab,
  0x3e8c9eb1aad743af, 0xcbba9e701c762d38, 0xc90d51b047eb70de, 0xee9cbcce737804d7, 0x3111dfb2739de780,
  0x1df9e0404f2edbf0, 0x977e6f00fa8301dd, 0x76f9537a94e4a740, 0x2d2b093d0f85745f, 0xf36ca9d156e97aaa,
  0x593431bb61f5abad, 0x66df5666fe0eee34, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0x129506792bf73433,
  0x00000000001045e8,
};

// t841_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_t841_autobaud_uart1_dual_pr_ce[] = {
  0xcdddddddde7c1a4e, 0xeeeeeefaff1e10d4, 0x499389eb58bee7de, 0x28d482b777560a33, 0x68b72ae3a807dc16,
  0x4a4a41b77304f8c9, 0x106e09b1031da064, 0xdd3c21b7e206142b, 0x4c35bf32c250aa49, 0xf51f7dec34d9c22b,
  0x8a11c9070206a7a6, 0xe27d70f815fe6340, 0x10cbd88082a621fa, 0x2609f150865a01ed, 0xe310b7df7ff4073c,
  0x48cc160588662010, 0x22054fc80921ffdd, 0xe863fe02e8063fd0, 0x8dd5ed1c2bf5436b, 0x73bdbf63fae4553e,
  0xcebb9b5c9d7e7801, 0x47dee7b965d3da99, 0x06fc71c70206f6bd, 0x7408daf8e62c05c9, 0xdb8e58cf1d7ba5bb,
  0x774e5e6739bc74d7, 0x1888efd939cef3c0, 0x8efcf02027976df8, 0x4bbf37807d4180ee, 0xbb7ca9bd4a7253a0,
  0x1695849e87c2ba2f, 0xf36ca9c63b74bd55, 0x19726ae361f5abad, 0x598f20669f1a2c9a, 0x0b41bf1b442d9b7d,
  0xb7584e32cd6433d3, 0x49e4afdcd0ccb0ec, 0x0000014f26dc7f04,
};

// t841_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_autobaud_uart1_dual_pr_ee_ce[] = {
  0x4cdddddddd43359b, 0xeeeeeeefafcc6d05, 0x5881f210a8fed826, 0x69eeecddc4edd498, 0x5c8e0b5c86d7519c,
  0x523cf5cc13e325b1, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x7ff32c254fa0cee9, 0x60ec2f0ce1cb5333,
  0x241c081a1f4dea3f, 0xc3e057f98d022847, 0x88082a62030b89f5, 0x150865a096910cbd, 0xfd83ff4073c268e5,
  0xc0b10cc4021c6216, 0xf9011fe7fff3a982, 0xc05d00c7fa0440a9, 0xa3857ea86d7d0c7f, 0x3faa3f9ca7d1babd,
  0x67cfcf1272123836, 0xd6059c6673aee6d7, 0x072fbd4795d4a94e, 0x314c5752bd47c1b3, 0x32e384e1b875f62d,
  0xedd1ec752135f4b6, 0xc3eddb2447191cea, 0x1f464f58d578d8eb, 0x65dd4f380e3b169c, 0xf243546c1132386f,
  0x3ba72f339cde59b5, 0x0c4477ec9ce779e0, 0x477e781013cbb6fc, 0x25df9bc03ea0c077, 0xddbe54dea53929d0,
  0x8b4ac24f43e15d17, 0xf9b654e31dba5eaa, 0x2c9a18ddb0fad5d6, 0xb36fab337f07771a, 0x867a616837e36885,
  0x961d96eb09c659ac, 0x374a833c95fb9a19, 0x0000000000018886,
};

// t841_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb96f623f3e, 0x777774b11a0b2758, 0x6a70bfd29b1a56f7, 0x80187238f7583ecf, 0xba47f682f4e5a30a,
  0xb5933e52e609f193, 0xbfb4a0adec09d2ff, 0x5c89355ad1ce2d15, 0xea3e0d9834c7d479, 0xe1d7d8b4ddf15c89,
  0x84d7d2d8cb8e1386, 0x39d5a5e5f2e35934, 0xa1d79d3761151e0b, 0x2d3afe8c38d8d56b, 0x6e1bd96cbe701c76,
  0x0058cd4d2a3608fd, 0x39debb7e06211ff6, 0xe6f1ca50603b91ff, 0xcbaa9cbca6c677af, 0x2d2d7cf43e15d17d,
  0x7cdb005156e97aaa, 0x865c9ab8d87d6aeb, 0xeacc7903b6868b26, 0x985a0df8da216cdb, 0x65bac271966b219e,
  0x0fcf257ee6866587, 0x00000000a7c17ed9,
};

// t841_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_noled_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xbbbbbba58229bbeb, 0xfee277c4bf6d623b, 0xc80d7f1691777745, 0x9827c64eeb53df1e,
  0x605227ff3eecf87b, 0xd7a068adfda5056f, 0x0ff3c00b849efb1f, 0x2eb19cce75dcdae7, 0x2078cfd4710f3dcb,
  0x62c05e904fc71c70, 0x75e2e76905478cce, 0xffb074e9ee39633c, 0x8ff9cef5dbf03108, 0xef5fcde5ba8301dc,
  0x69bd575539794d8c, 0xf85745f739b31821, 0xb61f5abadf36d3d0, 0xf2068fe34593431b, 0x1bf1b442d9b7d598,
  0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75, 0x0000b7554ee4d69e,
};

// t841_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_noled_pr_ee_ce[] = {
  0x3777776e5bd8b562, 0xdddddd2c5852c9d6, 0xafd6a7e3cfdec33d, 0x9b1854196adbaf23, 0x64eed33d23f70419,
  0x7fed64cf8d69827c, 0x456fed282b7b02d3, 0xb071c9d8fea8f6fb, 0xe75dcdafa6bf3c00, 0x95ce329dac0b194c,
  0x3d47c1b30637fd47, 0xdc3afb1698a62bc9, 0x909afa5b1971c270, 0x46d7c73abb72623a, 0x55e363af5d4ddb9e,
  0x1c762d3d62334963, 0xd332386f65c39670, 0xaedf818847fd98c5, 0x2dd4180ee47fce77, 0xa9cbca6c677afe6f,
  0xb9cd98c10b4deaba, 0xd6f9b69e87c2ba2f, 0x4d0cb93571b0fad5, 0xb7d598f2076d0d16, 0x3d30b41bf1b442d9,
  0x0ecb7584e32cd643, 0x321f9e4afdcd0ccb, 0x0000000000534f4e,
};

// t841_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_lednop_pr_ee[] = {
  0x6eeeeedcb7b128ae, 0xdddddd2c468090ac, 0xd936a7b6f17e9bbd, 0xf1ec391c7bac1f67, 0xbbf4f6c889136104,
  0xb5933ea7a609f193, 0xbfb4a0adec08baff, 0x5995355ad1ce2d15, 0xea3e0d9834c7d479, 0xe1d7d8b4ddf15995,
  0x84d7d2d8cb8e1386, 0x1cead2fa52e35934, 0xd0ebce9bb0df464d, 0x169acf46f6ac6ab5, 0xb70decb65f380e3b,
  0x00520a67951b047e, 0x09debb7e06211ff6, 0x1f50603b91ff3c08, 0x529c94e80f5fcde0, 0xa1f0ae8beedf2a6f,
  0x2add2f5545a56127, 0x6c3eb575be6d953a, 0xdb434593432e4d5c, 0x6d10b66df5663c81, 0xcb3590cf4c2d06fc,
  0x734332c3b2dd6138, 0x53e371ec87e792bf,
};

// t841_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a737a, 0xbfdc4ef07d5b7d2e, 0x26c71fad367eeee8, 0xdcc13e327771dee6,
  0x7b02eebff9f767e3, 0xfebd03456fed282b, 0x2ebf9e005c2498d8, 0x59758ce673aee6d7, 0x8103c67ea3d7f9ee,
  0xe62c05b8752e38e3, 0xf1d78b9d87da3a24, 0x47fd83a535b8e58c, 0xcf020277aedf8188, 0xa03d7f37980ee47f,
  0x54f80b5392296af3, 0x2ba2fba5fcc6085a, 0x0fad5d6f9b69e87c, 0x0347f1a2c9a18ddb, 0xf8da216cdbeacc79,
  0x71966b219e985a0d, 0x7ee686658765bac2, 0x00b75039726b4f25,
};

// t841_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0xddddddd2c58530aa, 0x3afd7a70bda5e8d3, 0xb066b44196adbaf2, 0x8c9dde4bab8d1d9b,
  0x5bfdac99f275304f, 0x68adfda5056f6051, 0x160e7ceb1fd51edf, 0x9cebb9b5dfe7e780, 0xf2bd2a53b5816329,
  0x77a8f83660c6ffa8, 0x1b875f62d314c573, 0x52135f4b632e384e, 0xf475fce7576ef907, 0x6abc6c75eba9bb2c,
  0x0e3b169a0b463eec, 0xb1191c37b2e1cb38, 0x5dbf03108ffb318e, 0xb01dc8ff9e0404ef, 0xe5f3a03d7f378392,
  0x2169e18aca9dc594, 0xe87c2ba2fbbeb318, 0x571b0fad5d6f9b69, 0x2076d0d164d0cb93, 0xbf1b442d9b7d598f,
  0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x00029a7ce321f9e4,
};

static const uint64_t ur_t841_u1x8_uart0_dual[] = {
  0x9bbbbbbab6a232a8, 0xddddddf5ec4599a9, 0x991477e45a76d86d, 0x51ba8e3bbba0ce85, 0xc9b27729c5bacf8a,
  0x19129290cf9304f8, 0x0ac41b826c40c768, 0xa2774f086df88185, 0x7dcc517f32c25299, 0x537a8f1ef60fe1c1,
  0xd022847241c081f7, 0x12d09f5c3e057f98, 0x22a2197b101054c4, 0x73c261162a10cb43, 0x010e310b78f7ff40,
  0xf5e1dcc160588662, 0x5bfb4a0adec0900f, 0xfa8e37cef9659ed1, 0x376458e38e040ea5, 0x236be398b0154d4d,
  0x39630475ee96edd0, 0x72f339cde5635f6e, 0x23fec9ce779e03ba, 0xe781013bd76fc0c4, 0xf9bc03ea0c07723f,
  0xe54dea53929d01eb, 0xac24f43e15d17ddb, 0xb2a7455ba5eaa8b4, 0xc9ab8d87d6aeb7cd, 0x7e36885b36e2fc25,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x0196fe9c738773c9,
};

// t841_u1x8_uart0_dual_pr_u4
static const uint64_t ur_t841_u1x8_uart0_dual_pr[] = {
  0x77777756de7cbf3e, 0xbbbbbebd88891533, 0x7bd38c49bad29dbb, 0x16646e0eeee833a1, 0x6c9dcb6568f6ebb8,
  0x44a4a42544c13e32, 0xb106e09b1031da06, 0x9dd3c21b7e206142, 0xdcc517f32c250aa4, 0x37a8f1ef60fe1c17,
  0x022847241c081f75, 0x3909f5c3e057f98d, 0x2a2197b101054c42, 0x3c261162a10cb432, 0x10e310b780dff407,
  0xdd48cc1605886620, 0x6fed282b7b02ea3f, 0xf51f7b3be5967b45, 0x31b871c71c081d4b, 0xa313e731602a9a99,
  0x72c608ebdd2dd843, 0x9cbcce737959acdc, 0x08ffb2739de780ee, 0xf9e0404ef5dbf031, 0x7407afe6f301dc8f,
  0x4a9f016a72452d5e, 0xc2ba2fba5fe2810b, 0xb0fad5d6f9b69e87, 0x4f8d164d0cb93571, 0xa216cdbeacc79033,
  0x66b219e985a0df8d, 0x686658765bac2719, 0x204e2f8224f257ee, 0x0000000000000006,
};

// t841_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_dual_pr_ee[] = {
  0x377777756de7ce7c, 0xbbbbbbebf1da7253, 0x9eeca1ec3afb45fb, 0xecb56dba0bba8cd9, 0xb9210ef763f33ed3,
  0x5223ee9827c64f91, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x3ff9961285524ee9, 0x383b0eaf3850fcdd,
  0x7241c081ece9bd47, 0x5c3e057f98d02284, 0xf62020a9884c309f, 0x7c54219681454432, 0x2dc2d7fd01cf098c,
  0x05816219880438c4, 0x15bd8169bff75233, 0x56b4613da2b7f694, 0xcc1cddea3cae034d, 0x5a6ef8accaf51f06,
  0x6c65c709c370ebec, 0xfa85c09f9a426be9, 0x3761be8c4539d5a5, 0x1d7fb1aad743af63, 0xdeece038ec5a6b3d,
  0xcdeb8417f5b86f65, 0xce779e03ba72f339, 0x3bd76fc0c423fec9, 0xea0c07723fe78101, 0x4a7253a03d7f3796,
  0x2810b4e02f7ca9bd, 0x6d3d0f85745f70ea, 0x726ae361f5abadf3, 0x8f20669f1a2c9a19, 0x41bf1b442d9b7d59,
  0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x000006429ce70449,
};

// t841_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_dual_pr_ce[] = {
  0xbbbbbbab6f3e306a, 0xdddddf5eebfed299, 0xd64141ba356b3edd, 0x24c7adbbbbf4e5d9, 0x5ee48075d6d08539,
  0xa4a45d0e609f192f, 0x06e09b1031da0644, 0xd3c21b7e206142b1, 0xd6ebf32c250aa49d, 0x51d82ec3021c2574,
  0xa11c907020670e6f, 0x27d70f815fe63408, 0x0cbd88082a620d76, 0x34e3150865a013d1, 0x1885bb05ffa039e1,
  0x4660b02c43310087, 0xd282b7b02fddfeea, 0x6fe58feb10b456fe, 0xee6d7e9ffcf002e7, 0x7c9ee59755fe673a,
  0xf1c71c081d7ff51c, 0x68d679cc580b38bd, 0xffd99e3af7e1bb6f, 0x20796b773d52d500, 0x01dd39799ce6f8a7,
  0xe06211ff64e73bcf, 0xb91ff3c0809debb7, 0x80f5fcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8,
  0xb7cdb2a718edd2f5, 0x6865c9ab8d87d6ae, 0xf5663c819a7c68b2, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf,
  0x112792bf734332c3, 0x00000000e7ad17dc,
};

// t841_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_dual_pr_ee_ce[] = {
  0x6eeeeeeada8664d6, 0x777777d7b11ae2a6, 0x882ca3f62fa0fb77, 0x6e8bd4df25dd0153, 0x975ef66d25910876,
  0x21d3a9827c64b33b, 0x04d8818ed0322525, 0x10dbf1030a158837, 0xbf32c254fa0cee9e, 0xf9b0c40706bb990f,
  0x241c0818689bd477, 0xc3e057f98d022847, 0xc40415310ba189f5, 0x8a8432d0df68865e, 0xbbfcffa039e13305,
  0xb02c433100871885, 0x6f605d3ffffcea60, 0xd51fce68adfda505, 0xe7e78939091c1b1f, 0x02ce3339d7736bb3,
  0x97dea3caea54a76b, 0xa62ba95ea3e0d983, 0x71c270dc3afb1698, 0xe8f63a909afa5b19, 0xf6ed92238c8e7576,
  0xa327ac6abc6c75e1, 0xeea79c071d8b4e0f, 0x21aa3608991c37b2, 0xd39799ce6f2cdaf9, 0x211ff64e73bcf01d,
  0xff3c0809debb7e06, 0x5fcde01f50603b91, 0xdf2a6f529c94e80f, 0xa56127a1f0ae8bee, 0xdb2a718edd2f5545,
  0x4d0c6ed87d6aeb7c, 0xb7d599bf83bb8d16, 0x3d30b41bf1b442d9, 0x0ecb7584e32cd643, 0xa5419e4afdcd0ccb,
  0x000000000260856a,
};

// t841_u1x8_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_noled_pr_ee[] = {
  0xbbbbbee437b128ae, 0xbbbba58832242b1b, 0x26d4f6de2fd377bb, 0xfd6086d374c997bb, 0xf4f6c889136104f1,
  0x933ea7a609f193bb, 0x6045c5be14baffb5, 0x8e7168adfda5056f, 0xa63ea3cae449aad6, 0xef8ae44f51f06cc1,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x08a8f059cead2f2f, 0xc6c6ab5d0ebce9bb, 0xf380e3b169d7f461,
  0x51b047eb70decb65, 0x3108ffb002c66a69, 0x01dc8ff9cef5dbf0, 0x3633bd7f378e5283, 0xf0ae8bee5d54e5e5,
  0xb74bd551696be7a1, 0xc3eb575be6d8028a, 0xb434593432e4d5c6, 0xd10b66df5663c81d, 0xb3590cf4c2d06fc6,
  0x34332c3b2dd6138c, 0x3e371ec87e792bf7, 0x0000000000000005,
};

// t841_u1x8_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_noled_pr_ce[] = {
  0xbbbbbbee4359bb37, 0xeeeee961ce5cdeb1, 0x785ef07d5b7d2eee, 0xc71fad367eeeecf7, 0xc13e327771dee626,
  0x85eebff9f767e3dc, 0x7f69415bd811716f, 0xe121f2c7f5e81a2b, 0x9d7736bba5fcf002, 0x1ea5cf72cbac6733,
  0x4871c71c081e33f5, 0x44a3507398b0149a, 0x3dc72c678ebc5ced, 0xedf818847fd83afc, 0xf37980ee47fce77a,
  0x460d4d894fdf3bd7, 0x745f7040c6085a72, 0xf5abadf36d3d0f85, 0x68fe34593431bb61, 0x1b442d9b7d598f20,
  0x32cd6433d30b41bf, 0xdcd0ccb0ecb7584e, 0x16ea072e4d69e4af,
};

// t841_u1x8_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_noled_pr_ee_ce[] = {
  0xbbbbbbee437b1762, 0xbbbbba58106c2ab1, 0x19af4e17b4bd1a7b, 0x8335a335983eef8b, 0x64eef25d5c68ecdd,
  0xdfed64cf93a9827c, 0x415bd811716f858a, 0xc7f547b7da2b7f69, 0xe9b7f9e005839fba, 0xdac0b194ce75dcda,
  0x60c6ffa8f2b97d29, 0xd314c57f27a8f836, 0x632e384e1b875f62, 0x576e7bc752135f4b, 0xeba9bb57f4752ce7,
  0x7da3a26c6abc6c75, 0xd970e59c071d8b4c, 0x47fd98c61a8c8e1b, 0xe47fce77aedf8188, 0xf9debf9bc1c9580e,
  0x3b8bf9b752d5ca52, 0x85745f719e63042d, 0x61f5abadf36d3d0f, 0xda1a2c9a19726ae3, 0x6885b36fab31e40e,
  0x59ac867a616837e3, 0x9a19961d96eb09c6, 0x534f9c643f3c95fb,
};

// t841_u1x8_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_lednop_pr_ee[] = {
  0xdddddf721bd8ad4e, 0xddddd2c41932158d, 0x90b265c619eb4bdd, 0x7f5821b4dd3265ec, 0xe474d2a33c5e56c1,
  0x933f2ba609f193bb, 0x6045c5be1582ffb5, 0x8e7168adfda5056f, 0xa63ea3cacca9aad6, 0xef8accaf51f06cc1,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x86fa3268e75697d2, 0xb56355ae875e74dd, 0xf9c071d8b4d67a37,
  0xa8d823f5b86f65b2, 0x3108ffb00290533c, 0x8ff9e0404ef5dbf0, 0x7afe6f00fa8301dc, 0x76f9537a94e4a740,
  0x2d2b093d0f85745f, 0xf36ca9d156e97aaa, 0x19726ae361f5abad, 0xab31e40eda1a2c9a, 0x616837e36885b36f,
  0x96eb09c659ac867a, 0x3f3c95fb9a19961d, 0x000000029f3a4e64,
};

// t841_u1x8_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_lednop_pr_ce[] = {
  0x77777dc86f62d214, 0xdddd2c39c8b8d637, 0xbf4bb3da9ee3bddd, 0x8fad37775227d7ed, 0x4eec33d2b6d1617f,
  0xfed64cfd4a9827c6, 0x15bd811716f8531f, 0x2c7f5deda2b7f694, 0x6bc56fcf002c1cea, 0x3dcb2eb59339d773,
  0xe38e040f59ea3f49, 0x690ce62c057bed68, 0xf6678ebd1f3b60b4, 0x3cb5b8389a45403f, 0x6fc0c423fec4d5f0,
  0x07723fe781013bd7, 0x9d01ebf9bc03ea0c, 0xd17ddbe54dea5392, 0xeaa8b4ac24f43e15, 0x5d6f9b654e31dba5,
  0x64d0cb93571b0fad, 0x9b7d598f2076d0d1, 0x33d30b41bf1b442d, 0xb0ecb7584e32cd64, 0x2321f9e4afdcd0cc,
  0x000000000000b753,
};

// t841_u1x8_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_lednop_pr_ee_ce[] = {
  0xbbbbbee435112d7b, 0x77774b020d416b1b, 0xa67ef0a5c7bf4f77, 0xd8cd660fbaebe001, 0xb93b60dbb268b514,
  0x00e7e87e609f193b, 0xd811716f85383ff7, 0x4663da2b7f69415b, 0xe78016b4995ac7f5, 0xbdf339d7736be377,
  0x7f51e57dd4a76b02, 0x8afbaf51f06cc1ad, 0x709c370ebec5a629, 0xa50ea426be96c65c, 0xbb0df464d1ceaedd,
  0xded58d578d8ebce9, 0xcbe701c762d359e8, 0x7951b044c8e1bd96, 0xe06211ff616720a6, 0xb91ff3c0809debb7,
  0x80f5fcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8, 0xb7cdb2a718edd2f5, 0x6865c9ab8d87d6ae,
  0xbeacc7903f2868b2, 0xe985a0df8da216cd, 0x765bac271966b219, 0xe1dcf257ee686658, 0x000000000a69f4f4,
};

static const uint64_t ur_t841_u1x8_uart0_alt1_dual[] = {
  0x377777583ea232a8, 0xbbbbbbebc99c4e53, 0x41b707a734edb0db, 0x14a3746477774fd8, 0xf8c9242e538b759f,
  0x6819129290ce5304, 0x850ac41b826c40c7, 0x99a2774f086df881, 0xc3f74c95bf32c252, 0x1ee6f51e036c2a51,
  0x63408a11c9070206, 0x104b427d70f815fe, 0x83de8865ec404153, 0x01cf0986fc542196, 0x880438c42ddc9ffd,
  0xbfd7877305816219, 0x415bd811716f8532, 0xf9df2cb3da2b7f69, 0x1c71c081d4bf51c6, 0x398b0154d4df208b,
  0x475ee96edcf236be, 0xce6f2b105ee39630, 0x4e73bcf01dd39799, 0x09debb7e06211ff6, 0xb750603b91ff3c08,
  0xea53929d01ebf9bc, 0x514085a7017be54d, 0x9b69e87c2ba2fb87, 0x4b93571b0fad5d6f, 0x06fc6d10b66dc5f8,
  0x6138cb3590cf4c2d, 0x92bf734332c3b2dd, 0x00032dfd38e70ee7,
};

// t841_u1x8_uart0_alt1_dual_pr_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_dual_pr[] = {
  0x77777583ef3e304a, 0xbbbbbebc99d86533, 0x646eae0abed9c5bb, 0x6c46477775eb9a57, 0x6ee455fa589009da,
  0x525219ca609f1925, 0x83704d8818ed0322, 0xe9e10dbf1030a158, 0x62ebf9961285524e, 0xa8ee4f61f38e121e,
  0x508e48381035f737, 0x13eb87c0aff31a04, 0x865ec40415310dda, 0x4cf7c54219682f88, 0xc6216ee4ffe80e78,
  0x91982c0b10cc4021, 0xb022e2df0a657fba, 0x5ae1b456fed282b7, 0xc081e0bf51def3be, 0x80b44cda54431c71,
  0x7e1bb6f68d679cc5, 0xd52d500ffd9823af, 0x39be29c81e59edf3, 0x39cef3c0774e5e67, 0x277aedf818847fd9,
  0x7d4180ee47fcf020, 0x4a7253a03d7f3780, 0x87c2ba2fbb7ca9bd, 0xab74bd551695849e, 0xb0fad5d6f9b654e8,
  0x4f8d164d0cb93571, 0xa216cdbeacc79033, 0x66b219e985a0df8d, 0x686658765bac2719, 0x620bb38224f257ee,
  0x0000000000000000,
};

// t841_u1x8_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_dual_pr_ee[] = {
  0x6eeeeeb07d4343ee, 0x777777d7a9b086a6, 0x14ed49875b68bf77, 0xd8bc6a2e36477727, 0x75cb266a6bb4f157,
  0x9291eb54c13e327a, 0x1b826c40c7681912, 0x4f086df881850ac4, 0x337f99612a7d0677, 0x3a5ad805a3818fcc,
  0x23920e040c6b4dea, 0xfae1f02bfcc68114, 0x97b101054c439684, 0xbee2a10cb412b221, 0x42dfa7ffe80e784c,
  0x305816219880438c, 0x8b8b7c2ecefffe75, 0x9ed15bfb4a0adec0, 0xf51e5663e6ab5a30, 0x57dd7a8f83660e6e,
  0x84e1b875f62d377c, 0x4fcd2135f4b632e3, 0x8ee19cead2fa52e0, 0xd56ba1d7b19bb6f6, 0x1c762d3e791b5f58,
  0xacfadc37b2ef7670, 0xc0774e5e6739bd71, 0xf818847fd939cef3, 0xee47fcf020277aed, 0x96af3a03d7f37980,
  0x4085a54f80b53922, 0x4f43e15d17dd2ff1, 0x0c6ed87d6aeb7cdb, 0xd599bf83bb8d164d, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x419e4afdcd0ccb0e, 0x000000190a138ba5,
};

// t841_u1x8_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_dual_pr_ce[] = {
  0xeeeeeb07de7c7a31, 0x777777d78c39ca66, 0xda3ac52baef53ef7, 0x043015bbbbe460df, 0x16e49afb55e0fa35,
  0xa4a40002609f1935, 0x06e09b1031da0644, 0xd3c21b7e206142b1, 0xd15bf32c250aa49d, 0x51f2b6c37d9c34dc,
  0xa11c907020650e6f, 0x27d70f815fe63408, 0x865ec40415310148, 0x98f58a8432d0dbe8, 0x8c42df2b7fd01cf0,
  0x2330581621988043, 0xc08b8b7c2fceff75, 0xac42d15bfb4a0ade, 0x7ff3c00b9dbf963f, 0x5d57f99cebb9b5fa,
  0x2075ffd471f27b96, 0x31602ce2f7c71c70, 0xebdf86edbda359e7, 0xdcf54b5403ff6678, 0xe6739be29c81e5ad,
  0xfd939cef3c0774e5, 0x020277aedf818847, 0x7807d4180ee47fcf, 0x9bd4a7253a03d7f3, 0x49e87c2ba2fbb7ca,
  0x9c63b74bd5516958, 0xae361f5abadf36ca, 0x0669f1a2c9a19726, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b,
  0xfdcd0ccb0ecb7584, 0x073d63cbf0449e4a,
};

// t841_u1x8_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart0_alt1_dual_pr_ee_ce[] = {
  0xdddddd60fa8687e1, 0xeeeeefaf2679314c, 0x65710b6fdeda0eee, 0x3773968977ba7692, 0xe4b8bdccdb47c1f1,
  0x221e4e609f19253a, 0x04d8818ed0322525, 0x10dbf1030a158837, 0xff32c254fa0cee9e, 0xdfd8400380a49bf5,
  0x48381039db9bd47a, 0x87c0aff31a04508e, 0x88082a62000013eb, 0x150865a1b3910cbd, 0xf5bfff4073c26cad,
  0xc0b10cc4021c6216, 0xb7c28cdffff3a982, 0x15bfb4a0adec08b8, 0x21238363faa3f9cd, 0x3aee6d767cfcf127,
  0x5d4a94ed6059c667, 0xd47c1b3072fbd479, 0x875f62d314c5752b, 0x135f4b632e384e1b, 0x7191ceaedd1ec752,
  0x578d8ebc3eddb244, 0xe3b169c1f464f58d, 0x132386f65dd4f380, 0xcde59b5f243546c1, 0xce779e03ba72f339,
  0x3bd76fc0c423fec9, 0xea0c07723fe78101, 0x53929d01ebf9bc03, 0x3e15d17ddbe54dea, 0xdba5eaa8b4ac24f4,
  0x0fad5d6f9b654e31, 0xf07771a2c9a18ddb, 0x7e36885b36fab337, 0x9c659ac867a61683, 0x5fb9a19961d96eb0,
  0x004c10e7d4a833c9,
};

// t841_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart1_noled_pr_ee[] = {
  0xddddddb96f623f3e, 0x777774b11a0b2758, 0x6a70bfd29b1a56f7, 0x80187238f7583ecf, 0xba47f682f4e5a30a,
  0xb5933e52e609f193, 0xbfb48e2dec09d2ff, 0x5c89355ad1ce28cd, 0xea3e0d9834c7d479, 0xe1d7d8b4ddf15c89,
  0x84d7d2d8cb8e1386, 0x39d5a5e5f2e35934, 0xa1d79d3761151e0b, 0x2d3afe8c38d8d56b, 0x6e1bd96cbe701c76,
  0x0058cd4d2a3608fd, 0x39e5db7e06223bf6, 0xe6f1ca50603ba3bf, 0xcbaa9cbca6c67977, 0x2d2d7cf43e15d17d,
  0x7cdb005156e97aaa, 0x865c9ab8d87d6aeb, 0xeacc7903b6868b26, 0x985a0df8da216cdb, 0x65bac271966b219e,
  0x0fcf257ee6866587, 0x00000000a7c17ed9,
};

// t841_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart1_noled_pr_ce[] = {
  0x1bbbbbb72d66ef3a, 0xbbbbbba58229bbeb, 0xfee277c4bf6d623b, 0xc80d7f1691777745, 0x9827c64eeb53df1e,
  0x605227ff3eecf87b, 0xd7a0466dfda4716f, 0x0ff3c00b849efb1f, 0x2eb19cce75dcdae7, 0x2078cfd4710f3dcb,
  0x62c05e904fc71c70, 0x75e2e76905478cce, 0xdfb074e9ee39633c, 0x1df9cf2edbf03111, 0xf2efcde5ba8301dd,
  0x69bd575539794d8c, 0xf85745f739b31821, 0xb61f5abadf36d3d0, 0xf2068fe34593431b, 0x1bf1b442d9b7d598,
  0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75, 0x0000b7554ee4d69e,
};

// t841_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart1_noled_pr_ee_ce[] = {
  0x3777776e5bd8b562, 0xdddddd2c5852c9d6, 0xafd6a7e3cfdec33d, 0x9b1854196adbaf23, 0x64eed33d23f70419,
  0x7fed64cf8d69827c, 0x336fed238b7b02d3, 0xb071c9d8fea8f6fa, 0xe75dcdafa6bf3c00, 0x95ce329dac0b194c,
  0x3d47c1b30637fd47, 0xdc3afb1698a62bc9, 0x909afa5b1971c270, 0x46d7c73abb72623a, 0x55e363af5d4ddb9e,
  0x1c762d3d62334963, 0xd332386f65c39670, 0x76df81888efd98c5, 0x2dd4180ee8efce79, 0xa9cbca6c67977e6f,
  0xb9cd98c10b4deaba, 0xd6f9b69e87c2ba2f, 0x4d0cb93571b0fad5, 0xb7d598f2076d0d16, 0x3d30b41bf1b442d9,
  0x0ecb7584e32cd643, 0x321f9e4afdcd0ccb, 0x0000000000534f4e,
};

// t841_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart1_lednop_pr_ee[] = {
  0x6eeeeedcb7b128ae, 0xdddddd2c468090ac, 0xd936a7b6f17e9bbd, 0xf1ec391c7bac1f67, 0xbbf4f6c889136104,
  0xb5933ea7a609f193, 0xbfb48e2dec08baff, 0x5995355ad1ce28cd, 0xea3e0d9834c7d479, 0xe1d7d8b4ddf15995,
  0x84d7d2d8cb8e1386, 0x1cead2fa52e35934, 0xd0ebce9bb0df464d, 0x169acf46f6ac6ab5, 0xb70decb65f380e3b,
  0x00520a67951b047e, 0x09e5db7e06223bf6, 0x1f50603ba3bf3c08, 0x529c94e812efcde0, 0xa1f0ae8beedf2a6f,
  0x2add2f5545a56127, 0x6c3eb575be6d953a, 0xdb434593432e4d5c, 0x6d10b66df5663c81, 0xcb3590cf4c2d06fc,
  0x734332c3b2dd6138, 0x53e371ec87e792bf,
};

// t841_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart1_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a737a, 0xbfdc4ef07d5b7d2e, 0x26c71fad367eeee8, 0xdcc13e327771dee6,
  0x7b02eebff9f767e3, 0xfebd02336fed238b, 0x2ebf9e005c2498d8, 0x59758ce673aee6d7, 0x8103c67ea3d7f9ee,
  0xe62c05b8752e38e3, 0xf1d78b9d87da3a24, 0x8efd83a535b8e58c, 0xcf02027976df8188, 0xa04bbf37980ee8ef,
  0x54f80b5392296af3, 0x2ba2fba5fcc6085a, 0x0fad5d6f9b69e87c, 0x0347f1a2c9a18ddb, 0xf8da216cdbeacc79,
  0x71966b219e985a0d, 0x7ee686658765bac2, 0x00b75039726b4f25,
};

// t841_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xc6eeeeedcb7b1762, 0xddddddd2c58530aa, 0x3afd7a70bda5e8d3, 0xb066b44196adbaf2, 0x8c9dde4bab8d1d9b,
  0x5bfdac99f275304f, 0x466dfda4716f6051, 0x160e7ceb1fd51edf, 0x9cebb9b5dfe7e780, 0xf2bd2a53b5816329,
  0x77a8f83660c6ffa8, 0x1b875f62d314c573, 0x52135f4b632e384e, 0xf475fce7576ef907, 0x6abc6c75eba9bb2c,
  0x0e3b169a0b463eec, 0xb1191c37b2e1cb38, 0xedbf03111dfb318e, 0xb01dd1df9e0404f2, 0xe5f3a04bbf378392,
  0x2169e18aca9dc594, 0xe87c2ba2fbbeb318, 0x571b0fad5d6f9b69, 0x2076d0d164d0cb93, 0xbf1b442d9b7d598f,
  0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x00029a7ce321f9e4,
};

static const uint64_t ur_t841_u1x8_uart1_dual[] = {
  0x9bbbbbbab6a232a8, 0xddddddf5ec4599a9, 0x991477e45a76d86d, 0x51ba8e3bbba0ce85, 0xc9b27729c5bacf8a,
  0x19129290cf9304f8, 0x0ac41b826c40c768, 0xa2774f086df88185, 0x7dcc517f32c25299, 0x537a8f1ef60fe1c1,
  0xd022847241c081f7, 0x12d09f5c3e057f98, 0x22a2197b101054c4, 0x73c261162a10cb43, 0x010e310b78f7ff40,
  0xf5e1dcc160588662, 0xdbfb48e2dec0900f, 0xfa8e37cef9659e8c, 0x376458e38e040ea5, 0x236be398b0154d4d,
  0x39630475ee96edd0, 0x72f339cde5635f6e, 0x477ec9ce779e03ba, 0xe781013cbb6fc0c4, 0xf9bc03ea0c077477,
  0xe54dea53929d025d, 0xac24f43e15d17ddb, 0xb2a7455ba5eaa8b4, 0xc9ab8d87d6aeb7cd, 0x7e36885b36e2fc25,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x0196fe9c738773c9,
};

// t841_u1x8_uart1_dual_pr_u4
static const uint64_t ur_t841_u1x8_uart1_dual_pr[] = {
  0x77777756de7cbf3e, 0xbbbbbebd88891533, 0x7bd38c49bad29dbb, 0x16646e0eeee833a1, 0x6c9dcb6568f6ebb8,
  0x44a4a42544c13e32, 0xb106e09b1031da06, 0x9dd3c21b7e206142, 0xdcc517f32c250aa4, 0x37a8f1ef60fe1c17,
  0x022847241c081f75, 0x3909f5c3e057f98d, 0x2a2197b101054c42, 0x3c261162a10cb432, 0x10e310b780dff407,
  0xdd48cc1605886620, 0x6fed238b7b02ea3f, 0xf51f7b3be5967a33, 0x31b871c71c081d4b, 0xa313e731602a9a99,
  0x72c608ebdd2dd843, 0x9cbcce737959acdc, 0x11dfb2739de780ee, 0xf9e0404f2edbf031, 0x740977e6f301dd1d,
  0x4a9f016a72452d5e, 0xc2ba2fba5fe2810b, 0xb0fad5d6f9b69e87, 0x4f8d164d0cb93571, 0xa216cdbeacc79033,
  0x66b219e985a0df8d, 0x686658765bac2719, 0x204e2f8224f257ee, 0x0000000000000006,
};

// t841_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_t841_u1x8_uart1_dual_pr_ee[] = {
  0x377777756de7ce7c, 0xbbbbbbebf1da7253, 0x9eeca1ec3afb45fb, 0xecb56dba0bba8cd9, 0xb9210ef763f33ed3,
  0x5223ee9827c64f91, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x3ff9961285524ee9, 0x383b0eaf3850fcdd,
  0x7241c081ece9bd47, 0x5c3e057f98d02284, 0xf62020a9884c309f, 0x7c54219681454432, 0x2dc2d7fd01cf098c,
  0x05816219880438c4, 0xc5bd8169bff75233, 0x56b4613d19b7f691, 0xcc1cddea3cae034d, 0x5a6ef8accaf51f06,
  0x6c65c709c370ebec, 0xfa85c09f9a426be9, 0x3761be8c4539d5a5, 0x1d7fb1aad743af63, 0xdeece038ec5a6b3d,
  0xcdeb8417f5b86f65, 0xce779e03ba72f339, 0x3cbb6fc0c4477ec9, 0xea0c077477e78101, 0x4a7253a04bbf3796,
  0x2810b4e02f7ca9bd, 0x6d3d0f85745f70ea, 0x726ae361f5abadf3, 0x8f20669f1a2c9a19, 0x41bf1b442d9b7d59,
  0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x000006429ce70449,
};

// t841_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_t841_u1x8_uart1_dual_pr_ce[] = {
  0xbbbbbbab6f3e306a, 0xdddddf5eebfed299, 0xd64141ba356b3edd, 0x24c7adbbbbf4e5d9, 0x5ee48075d6d08539,
  0xa4a45d0e609f192f, 0x06e09b1031da0644, 0xd3c21b7e206142b1, 0xd6ebf32c250aa49d, 0x51d82ec3021c2574,
  0xa11c907020670e6f, 0x27d70f815fe63408, 0x0cbd88082a620d76, 0x34e3150865a013d1, 0x1885bb05ffa039e1,
  0x4660b02c43310087, 0xd238b7b02fddfeea, 0x6fe58feb10a336fe, 0xee6d7e9ffcf002e7, 0x7c9ee59755fe673a,
  0xf1c71c081d7ff51c, 0x68d679cc580b38bd, 0xffd99e3af7e1bb6f, 0x20796b773d52d500, 0x01dd39799ce6f8a7,
  0xe06223bf64e73bcf, 0xba3bf3c0809e5db7, 0x812efcde01f50603, 0xbeedf2a6f529c94e, 0x545a56127a1f0ae8,
  0xb7cdb2a718edd2f5, 0x6865c9ab8d87d6ae, 0xf5663c819a7c68b2, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf,
  0x112792bf734332c3, 0x00000000e7ad17dc,
};

// t841_u1x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x8_uart1_dual_pr_ee_ce[] = {
  0x6eeeeeeada8664d6, 0x777777d7b11ae2a6, 0x882ca3f62fa0fb77, 0x6e8bd4df25dd0153, 0x975ef66d25910876,
  0x21d3a9827c64b33b, 0x04d8818ed0322525, 0x10dbf1030a158837, 0xbf32c254fa0cee9e, 0xf9b0c40706bb990f,
  0x241c0818689bd477, 0xc3e057f98d022847, 0xc40415310ba189f5, 0x8a8432d0df68865e, 0xbbfcffa039e13305,
  0xb02c433100871885, 0x6f605d3ffffcea60, 0xd51fce466dfda471, 0xe7e78939091c1b1f, 0x02ce3339d7736bb3,
  0x97dea3caea54a76b, 0xa62ba95ea3e0d983, 0x71c270dc3afb1698, 0xe8f63a909afa5b19, 0xf6ed92238c8e7576,
  0xa327ac6abc6c75e1, 0xeea79c071d8b4e0f, 0x21aa3608991c37b2, 0xd39799ce6f2cdaf9, 0x223bf64e73bcf01d,
  0xbf3c0809e5db7e06, 0xefcde01f50603ba3, 0xdf2a6f529c94e812, 0xa56127a1f0ae8bee, 0xdb2a718edd2f5545,
  0x4d0c6ed87d6aeb7c, 0xb7d599bf83bb8d16, 0x3d30b41bf1b442d9, 0x0ecb7584e32cd643, 0xa5419e4afdcd0ccb,
  0x000000000260856a,
};

// t841_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b0f2185563, 0xf4ec7933067b8bf7, 0x50f6712277783d08, 0x7571ed458e2c82d1,
  0x6b267d82cc13e327, 0xce3f76e9e0e1c3ff, 0xb4738a9f46e1bfdb, 0x0d31f51e57224d56, 0x377c57227a8f8366,
  0x32e384e1b875f62d, 0x7cb8d64d2135f4b6, 0xd8454782ce756979, 0x0e36355ae875e74d, 0x2f9c071d8b4ebfa3,
  0x4a8d823f5b86f65b, 0x818847fd80163353, 0x180ee47fce77aedf, 0x29b19debf9bc7294, 0x0f85745f72eaa72f,
  0x55ba5eaa8b4b5f3d, 0x361f5abadf36c014, 0xeda1a2c9a19726ae, 0x36885b36fab31e40, 0x659ac867a616837e,
  0xb9a19961d96eb09c, 0x29f0e14643f3c95f,
};

// t841_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569fe6f58, 0x1b4de0fab6fa5ddd, 0xc71fad367eeeeea4, 0xc13e327771dee626,
  0x1ceebff9f767e3dc, 0xdc37fb79c7eedd3c, 0x092d7b1fd7a053e8, 0xebb9b5e43fe78017, 0xdafa7b965d63399c,
  0xb51c71c081e33f51, 0x91199e398b017a07, 0xdc72c678ebc5cec6, 0xdf818847fd83a86a, 0xc9580ee47fce77ae,
  0xd5ca52f9debf9bc1, 0x63042d3b8bf9b752, 0x6d3d0f85745f719e, 0x3431bb61f5abadf3, 0x7d598f2068fe3459,
  0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x4d69e4afdcd0ccb0, 0x0000000016ea072e,
};

// t841_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba5873961558, 0x4baf4e17b4bd1a7b, 0x335a13d66d6e97bf, 0x4eef25d5c68ecdd8,
  0xfed64cf93a9827c6, 0xb79c7eedd3c1c8ad, 0xfd51edf53e8dc37f, 0x4d7e780160e393b1, 0x58163299cebb9b5f,
  0x0c6ffa8f2b9c653b, 0x314c57927a8f8366, 0x32e384e1b875f62d, 0x76e4c4752135f4b6, 0xba9bb73c8daf8e75,
  0xc46692c6abc6c75e, 0xcb872ce038ec5a7a, 0x8ffb318ba66470de, 0xc8ff9cef5dbf0310, 0xcef5fcde5ba8301d,
  0x169bd575539794d8, 0x0f85745f739b3182, 0xe361f5abadf36d3d, 0x0eda1a2c9a19726a, 0xe36885b36fab31e4,
  0xc659ac867a616837, 0xfb9a19961d96eb09, 0x00534f9c643f3c95,
};

// t841_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee961e4104ac6, 0xc29e9c007ef619ee, 0x85fb38913bbc1e84, 0x7699e91fb820ccd8,
  0x6b267f2b4c13e327, 0xce3f76e9e0e143ff, 0xb4738a9f46e1bfdb, 0x0d31f51e56654d56, 0x377c56657a8f8366,
  0x32e384e1b875f62d, 0x94b8d64d2135f4b6, 0xec37d193473ab4be, 0xbdab1aad743af3a6, 0x97ce038ec5a6b3d1,
  0xe546c11fadc37b2d, 0x818847fd80148299, 0xe47fcf020277aedf, 0x03d7f37807d4180e, 0xfbb7ca9bd4a7253a,
  0x51695849e87c2ba2, 0x6f9b654e8ab74bd5, 0xd0cb93571b0fad5d, 0x7d598f2076d0d164, 0xd30b41bf1b442d9b,
  0xecb7584e32cd6433, 0x21f9e4afdcd0ccb0, 0x00000000029f34e3,
};

// t841_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12776f62422f, 0xdddd2c569f802b1b, 0x3622916c7eb53ddd, 0x87e2f7776e270f93, 0x2774fde9b164731a,
  0xff6b267d7dcc13e3, 0xdbce3f76e9e0e47b, 0x58febbda9f46e1bf, 0xd78adf9e005839d4, 0x7b965d6b2673aee6,
  0xc71c081eb3d47e92, 0xd219cc580af7dad1, 0xeccf1d7a3e76c168, 0x796b7071348a807f, 0xdf818847fd89abe0,
  0x0ee47fcf020277ae, 0x3a03d7f37807d418, 0xa2fbb7ca9bd4a725, 0xd551695849e87c2b, 0xbadf36ca9c63b74b,
  0xc9a19726ae361f5a, 0x36fab31e40eda1a2, 0x67a616837e36885b, 0x61d96eb09c659ac8, 0xc643f3c95fb9a199,
  0x000000000005baae,
};

// t841_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xddddd2c39c890ac6, 0x5db260bc69ed0bdd, 0x7a089eb36b74bdfa, 0x77560efd389c7ef1,
  0xee01cff57cc13e32, 0xf38fddba78391cbf, 0xaa3dbea7d1b86ff6, 0xff3c00b5a44ad63f, 0x163299cebb9b5e76,
  0x6ffa8f2b40253b58, 0x4c56be7a8f83660c, 0xe384e1b875f62d31, 0xe884752135f4b632, 0x9bb60b4621ce7576,
  0xe416c6abc6c75eba, 0x396701c762d30e28, 0xb318a9a32386f65c, 0x404ef5dbf03108ff, 0xafe6f301dc8ff9e0,
  0x016a72452d5e7407, 0x5f74bf98c10b4a9f, 0xabadf36d3d0f8574, 0x2c9a19726ae361f5, 0xb36fab31e40fca1a,
  0x867a616837e36885, 0x961d96eb09c659ac, 0x1738773c95fb9a19, 0x000000000014d327,
};

static const uint64_t ur_t841_u1x12_uart0_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeeefaf188ed4cd, 0x2ec1b582f5b5a76e, 0xa706ec9dbbba6ee8, 0xc64e157257dbb1a8,
  0x40c89494824a9827, 0x285620dc1362063b, 0xcd13ba78436fc40c, 0x05166727f9961294, 0xca9bd477f360bece,
  0xc6811423920e040c, 0x43abc4fae1f02bfc, 0x16ba2197b101054c, 0x0e784d07e2a10cb4, 0x4021c6216ffbbfe8,
  0xfebc3b982c0b10cc, 0xb79c7eedd3c1cdbf, 0x77cb2cf53e8dc37f, 0x1c7020752fd471be, 0x62c0553537c822c7,
  0xd7ba5bb73c8daf8e, 0x9bcac417b8e58c11, 0x9cef3c0774e5e673, 0x77aedf818847fd93, 0xd4180ee47fcf0202,
  0x94e4a7407afe6f2d, 0x502169c05ef9537a, 0xda7a1f0ae8bee1d4, 0xe4d5c6c3eb575be6, 0xbf1b442d9b717e12,
  0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x0065be38b9c3b9e4,
};

// t841_u1x12_uart0_dual_pr_u4
static const uint64_t ur_t841_u1x12_uart0_dual_pr[] = {
  0xbba6d789de7ccc7f, 0xddddf5e31a7299bb, 0xa0dd06ceb6abeddd, 0x0ac9dbbbb42c8f94, 0x2e59f7acf947d050,
  0x9290495304f8c936, 0x1b826c40c7681912, 0x4f086df881850ac4, 0x1c3fccb0942a9277, 0x47fddb04ac7074b3,
  0x847241c081c069bd, 0x9f5c3e057f98d022, 0x197b101054c43fe0, 0x65af150865a19222, 0x310b7fddff4073c2,
  0x8cc160588662010e, 0xfddba7839b7ffdd4, 0xb86a7d1b86ff6f38, 0x20782fd477bcef96, 0x2d13369510c71c70,
  0x86edbda359e73160, 0x4b5403ff6608ebdf, 0x6f8a7207967b7cf5, 0x73bcf01dd39799ce, 0xdebb7e06211ff64e,
  0x50603b91ff3c0809, 0x9c94e80f5fcde01f, 0xf0ae8beedf2a6f52, 0xdd2f5545a56127a1, 0x3eb575be6d953a2a,
  0xe34593432e4d5c6c, 0x85b36fab31e40cd3, 0xac867a616837e368, 0x19961d96eb09c659, 0x8631e0893c95fb9a,
  0x0000000000000018,
};

// t841_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_dual_pr_ee[] = {
  0xbbba6d789de7ce7c, 0xddddf5f64d39299b, 0x7650f61d7da2fddd, 0x2d500545dd89c6eb, 0x4843bdd8fccfb4fb,
  0x88fba609f192b06e, 0x1362063b40c89494, 0x436fc40c285620dc, 0xfe6584a15493ba78, 0x7ec287ce1d3f358f,
  0x20e040e394dea3f5, 0x1f02bfcc68114239, 0x101054c426184fae, 0x2a10cb41c9a2197b, 0xe16bfe80e784d01a,
  0xc0b10cc4021c6216, 0x4f0734dffba91982, 0xfa370dfede71fbb7, 0xcacc7cd56b4613d4, 0xaf51f06cc1cddea3,
  0x370ebec5a6ef8afb, 0xa426be96c65c709c, 0x339d5a5f4a5c09f9, 0x743af63376ded1dc, 0xc5a7cf236beb1aad,
  0x5b86f65deece038e, 0xe9cbcce737ae359f, 0x108ffb2739de780e, 0xff9e0404ef5dbf03, 0xe7407afe6f301dc8,
  0xb4a9f016a72452d5, 0x7c2ba2fba5fe2810, 0x1b0fad5d6f9b69e8, 0x34f8d164d0cb9357, 0xda216cdbeacc7903,
  0x966b219e985a0df8, 0xe686658765bac271, 0x3214e738224f257e,
};

// t841_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_dual_pr_ce[] = {
  0xbba6d789de7c4541, 0xdddf5fe9526299bb, 0x3d8a7162debbdddd, 0x561b7776998919c4, 0xb905b6e761f16a4e,
  0x9487544c13e32420, 0xdc1362063b40c894, 0x78436fc40c285620, 0x677e6584a15493ba, 0x3e04d84ae385ba9b,
  0x23920e040ca5cdea, 0xfae1f02bfcc68114, 0x97b101054c410f84, 0x695150865a1dd221, 0x885be04ffa039e13,
  0x660b02c433100871, 0xeedd3c1c4adfeea4, 0x2153e8dc37fb79c7, 0xf9e005cedfcb1fd6, 0xabfcce75dcdafd3f,
  0x3affea38f93dcb2e, 0xb016717be38e3810, 0xefc376ded1acf398, 0x7aa5aa01ffb33c75, 0x39cdf14e40f2d6ee,
  0xc9ce779e03ba72f3, 0x013bd76fc0c423fe, 0x03ea0c07723fe781, 0xea53929d01ebf9bc, 0xf43e15d17ddbe54d,
  0x31dba5eaa8b4ac24, 0x1b0fad5d6f9b654e, 0x34f8d164d0cb9357, 0xda216cdbeacc7903, 0x966b219e985a0df8,
  0xe686658765bac271, 0x9eb17ef8224f257e, 0x0000000000000003,
};

// t841_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7774daf13a8618be, 0x77777d78cd9b5337, 0x77689e55fbee3777, 0x0d6890e9dba82b65, 0x557bde3fbc161f21,
  0x0c7ae609f1926eae, 0x4d8818ed03225252, 0x0dbf1030a1588370, 0xf32c254fa0cee9e1, 0x360d767043e9b1bb,
  0x838103d3537a8f88, 0x7c0aff31a04508e4, 0x8082a620ea813eb8, 0x50865a1a6d10cbd8, 0xc41ff4073c26c091,
  0x0588662010e310b7, 0xf072c7ffff9d4c16, 0xa370dfede71fbb74, 0x24706c7f547f394f, 0x5dcdaecf9f9e24e4,
  0xa9529dac0b38cce7, 0x8f83660e5f7a8f2b, 0xebec5a6298aea57a, 0x6be96c65c709c370, 0x3239d5dba3d8ea42,
  0xf1b1d787dbb6488e, 0x762d383e8c9eb1aa, 0x6470decbba9e701c, 0xbcb36be486a8d822, 0xcef3c0774e5e6739,
  0x7aedf818847fd939, 0x4180ee47fcf02027, 0x7253a03d7f37807d, 0xc2ba2fbb7ca9bd4a, 0x74bd551695849e87,
  0xf5abadf36ca9c63b, 0x0eee34593431bb61, 0xc6d10b66df5666fe, 0x8cb3590cf4c2d06f, 0xf734332c3b2dd613,
  0x26089f5e9506792b,
};

// t841_u1x12_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_noled_pr_ee[] = {
  0xee0aed017bd8b562, 0xdd2c27ad04ac6eee, 0xd3800fdec33ddddd, 0x11038b779bd69853, 0x3d23f704199b10be,
  0xcfe569827c64eed3, 0xe1716f85287fed64, 0xe1bfdbce3f76e9e0, 0x224d56b4738a9f46, 0x8f83660d31f51e57,
  0x75f62d377c57227a, 0x35f4b632e384e1b8, 0x7569797cb8d64d21, 0x75e74dd8454782ce, 0x4ebfa30e36355ae8,
  0x86f65b2f9c071d8b, 0x1633534a8d823f5b, 0x77aedf818847fd80, 0xbc7294180ee47fce, 0xeaa72f29b19debf9,
  0x4b5f3d0f85745f72, 0x36c01455ba5eaa8b, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x000000053e69c643,
};

// t841_u1x12_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_noled_pr_ce[] = {
  0xb82bb405ef62422f, 0xba5861c802b1bbbb, 0x4522d8fd6a7bbbbb, 0xc5eeeef85bf6266c, 0xe9fbd362c8e6350f,
  0xd64cfafb9827c64e, 0x9e0e1716f858f7fe, 0xf46e1bfdbce3f76e, 0x058388058febbda9, 0x673aee6d7b75f9e0,
  0x3d4727a7b965d6b2, 0x722f411c71c081eb, 0xf3b08747ac398b01, 0x9e5403ff6678ebd1, 0xb1aa920796b74829,
  0xf9cef5dbf03108ff, 0x7f378e528301dc8f, 0xee5d54e5e53633bd, 0x51696be7a1f0ae8b, 0xb7cdb00463b74bd5,
  0x6865c9ab8d87d6ae, 0xbeacc7903b6868b2, 0xe985a0df8da216cd, 0x765bac271966b219, 0x90fcf257ee686658,
  0x00000000016eabb1,
};

// t841_u1x12_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_noled_pr_ee_ce[] = {
  0xee0aed017a88aaac, 0xdd2c5c0890ac6eee, 0x260bc69ed0bddddd, 0x9221c1f746bedbdb, 0x60efd389c7ef17a0,
  0x1cff57cc13e32775, 0x1c2e2df0b1cbfee0, 0xdc37fb79c7eedd3c, 0x145b1fd51edf53e8, 0xe6d70d1f9e005ad2,
  0x494ed6058ca673ae, 0xe0d9831bfea3cac1, 0x7d8b4c5315c43ea3, 0x7d2d8cb8e1386e1d, 0xe73abb72d71d484d,
  0x63af5d4dd843a313, 0x69c82a3c676355e3, 0xc37b2e1cb380e3b1, 0x3108ffb318fe1991, 0x01dc8ff9cef5dbf0,
  0x9b129fbe77afe6f3, 0xe0818c10b4e48c1a, 0x5be6da7a1f0ae8be, 0x3432e4d5c6c3eb57, 0xdf5663c81f943459,
  0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c, 0x70ee792bf734332c, 0x0000000029a64e2e,
};

// t841_u1x12_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_lednop_pr_ee[] = {
  0xee0aed017bd8bf82, 0xdd2c27ad68ac6eee, 0x7636cdde9fbddddd, 0x440e2ddf12f229bc, 0x3ad160d95b643318,
  0x9fc09304f8c9dd31, 0xc2e2df0a52ffdac9, 0xc37fb79c7eedd3c1, 0x4f9aad68d7c53e8d, 0x7c1b307917d47958,
  0x5f62d377c5613fd4, 0x5f4b632e384e1b87, 0x56970517144cd213, 0x7aea6ed6b23e78e7, 0xc43a3d658d56ba1d,
  0xbd970e59c071d8b4, 0x423fec5c482fd6e1, 0xfe781013bd76fc0c, 0xbf9bc03ea0c07723, 0xbe54dea53929d01e,
  0x4ac24f43e15d17dd, 0xdb2a7455ba5eaa8b, 0x5c9ab8d87d6aeb7c, 0xcc7903b6868b2686, 0x5a0df8da216cdbea,
  0xbac271966b219e98, 0xcf257ee686658765, 0x0000000a7cc6d90f,
};

// t841_u1x12_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_lednop_pr_ce[] = {
  0xb82bb405ef622a9c, 0x74b0c39e3eb1bbbb, 0xce847a7b64f77777, 0xc7f7777c2dfb4004, 0xd1a7b8bcd2d8f85f,
  0xac99ffdd304f8c9d, 0x3c1c2e2df0b01bfd, 0xe8dc37fb79c7eedd, 0x0b073a8b1fd77b53, 0xce75dcdaf15bf3c0,
  0x7a8fd24f72cbad64, 0x5efb5a38e38103d6, 0xced82d1a43398b01, 0x91500ffd99e3af47, 0xb1357c0f2d6e0e26,
  0x404ef5dbf03108ff, 0x00fa8301dc8ff9e0, 0x7a94e4a7407afe6f, 0x3d0f85745f76f953, 0x8c76e97aaa2d2b09,
  0xc6c3eb575be6d953, 0x1db434593432e4d5, 0xc6d10b66df5663c8, 0x8cb3590cf4c2d06f, 0xf734332c3b2dd613,
  0x00b75408c87e792b,
};

// t841_u1x12_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_lednop_pr_ee_ce[] = {
  0xee0aed017a88a80b, 0xba58b81545ac6eee, 0x96b4189da67bbbbb, 0x10e0fbbe96a1bd76, 0xea3369c695a28339,
  0xff4fcc13e32776c4, 0x5c5be17abffee01c, 0x6ff6f38fddba7838, 0xd63faa331ea7d1b8, 0x5f1bbf3c00b5a4ca,
  0x3b5815ef99cebb9b, 0x660d6bfa8f2beea5, 0x2d314c57dd7a8f83, 0xb632e384e1b875f6, 0x7576ed28752135f4,
  0x75e74dd86fa3268e, 0x9acf46f6ac6abc6c, 0x0decb65f380e3b16, 0x390533ca8d822647, 0xef5dbf03108ffb0b,
  0xa8301dc8ff9e0404, 0x4e4a7407afe6f00f, 0xf85745f76f9537a9, 0x6e97aaa2d2b093d0, 0x3eb575be6d9538c7,
  0x434593432e4d5c6c, 0x10b66df5663c81f9, 0x3590cf4c2d06fc6d, 0x4332c3b2dd6138cb, 0xa78c670ee792bf73,
  0x0000000000000029,
};

static const uint64_t ur_t841_u1x12_uart0_alt1_dual[] = {
  0x7777783eefd44511, 0xbbbbbebc6de4e533, 0x3a8ce5dd86d015bb, 0x6453ac4eeeeb4bb2, 0x192825cbed6e9627,
  0x0322525232a2609f, 0xa15883704d8818ed, 0x344ee9e10dbf1030, 0x25699d2fe6584a53, 0x7cdea3d4ad87ee38,
  0x6811423920e040cc, 0x287c4fae1f02bfcc, 0x10a2197b101054c4, 0x73c26c8b150865a1, 0x010e310b74adff40,
  0xf5e1dcc160588662, 0x74f070b8b7c287bf, 0x4fa370dfede71fbb, 0x4bf51e0f9df2cb3d, 0x4d10dad1c71c081d,
  0x5fd1d4b398b0154d, 0xee39630475ee96ed, 0xdd39799ce6f2b038, 0x6211ff64e73bcf01, 0x1ff3c0809debb7e0,
  0x07afe6f0725603b9, 0x315953b8b29cbe74, 0xba2fbbeb8a042d3c, 0xfad5d6f9b69e87c2, 0x66dc5f84b93571b0,
  0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0xba70ee792bf73433, 0x00000000000196fd,
};

// t841_u1x12_uart0_alt1_dual_pr_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_dual_pr[] = {
  0xddde0fbbf79f1f68, 0xeeefaf1b6d894cdd, 0x14a477f6b7656eee, 0x6a05eeee841f4da7, 0xee43afa9f6163ac7,
  0x4a4747e609f1938b, 0x6e09b1031da0644a, 0x3c21b7e206142b10, 0x50ff32c250aa49dd, 0x1fe76c2439c0bacc,
  0x11c90702065166f5, 0x7d70f815fe63408a, 0xcbd88082a6209b62, 0xa218a8432d005110, 0xc42dfe77fd01cf09,
  0x3305816219880438, 0x70b8b7c2c7bff752, 0x70dfede71fbb74f0, 0x8ef79df2d70d4fa3, 0xa218e38e040f05fa,
  0x6b3ce62c05a266d2, 0xecc11d7bf0ddb7b4, 0xf2cf6f9ea96a807f, 0xba72f339cdf14e40, 0xc423fec9ce779e03,
  0x3fe781013bd76fc0, 0xebf9bc03ea0c0772, 0xdbe54dea53929d01, 0xb4ac24f43e15d17d, 0xcdb2a7455ba5eaa8,
  0x65c9ab8d87d6aeb7, 0x663c819a7c68b268, 0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c, 0x2792bf734332c3b2,
  0x0000000621843c11,
};

// t841_u1x12_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_dual_pr_ee[] = {
  0xeeef07ddfa86ff3e, 0x7777d792155ea66e, 0x5bdfb087b5c77777, 0xbbf1e47f74dd00a7, 0x19cdf7157b0b201e,
  0x1d7d304f8c946772, 0x9b1031da0644a4a4, 0x1b7e206142b106e0, 0xe6584a9f419dd3c2, 0xec3768e09b734edf,
  0x0e040c2d4dea38cd, 0xf02bfcc681142392, 0x020a988747c4fae1, 0x42196814b4432f62, 0xcdffd01cf09be745,
  0x2c433100871885b8, 0xf851adfffcea60b0, 0xbce3f76e9e0e1716, 0x6b466529f46e1bfd, 0xc1a01ea3caff74d5,
  0x4ddf15feef51f06c, 0x8cb8e1386e1d7d8b, 0xf6b8aff3484d7d2d, 0xed92238c8e756978, 0x93d6355ae875e1f6,
  0x53ce038ec5a707d1, 0xaa3608fd6e1bd977, 0x9799ce6f009af921, 0x1ff64e73bcf01dd3, 0x3c0809debb7e0621,
  0xcde01f50603b91ff, 0x2a6f529c94e80f5f, 0x6127a1f0ae8beedf, 0x953a2add2f5545a5, 0x86376c3eb575be6d,
  0xeaccdfc1ddc68b26, 0x985a0df8da216cdb, 0x65bac271966b219e, 0xa0cf257ee6866587, 0x00000000c8520552,
};

// t841_u1x12_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_dual_pr_ce[] = {
  0x77783eefde7c1a4e, 0xbbbebf6d84353377, 0xe27ad62fb9f7bbbb, 0x20adddd5828cd264, 0xcab8ea01f7058a35,
  0x906ddcc13e325a2d, 0x826c40c768191292, 0x086df881850ac41b, 0x6fccb0942a92774f, 0xdf7b0d36708ad30d,
  0x7241c081a9e9bd47, 0x5c3e057f98d02284, 0xf62020a9887eb89f, 0x7c542196807b4432, 0x2df7dffd01cf0982,
  0x05816219880438c4, 0xb8b7c2c87ff75233, 0xdfede71fbb74f070, 0x7f2c7f58854fa370, 0x736bf4ffe780173b,
  0xe4f72cbaaff339d7, 0x8e38e040ebffa8e3, 0x46b3ce62c059c5ef, 0xfeccf1d7bf0ddb7b, 0x03cb5bb9ea96a807,
  0x0ee9cbcce737c539, 0x03108ffb2739de78, 0xc8ff9e0404ef5dbf, 0x07afe6f00fa8301d, 0xf76f9537a94e4a74,
  0xa2d2b093d0f85745, 0xbe6d9538c76e97aa, 0x432e4d5c6c3eb575, 0xab31e40cd3e34593, 0x616837e36885b36f,
  0x96eb09c659ac867a, 0x893c95fb9a19961d, 0x0000000e7adb8fe0,
};

// t841_u1x12_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart0_alt1_dual_pr_ee_ce[] = {
  0x777783eefd43573e, 0xddddf5e36c9b5337, 0x66fbba2fd69edddd, 0xa3ec8091dd3ac9cb, 0xc87bd7bd657b807c,
  0xd524c13e325d95c9, 0xb1031da0644a4a44, 0xb7e206142b106e09, 0x6584a9f419dd3c21, 0x60290e1faf31adfe,
  0x702076b737a8f003, 0x815fe63408a11c90, 0x20a9881b7627d70f, 0x219684724432f620, 0x07fd01cf09b7dc54,
  0x6219880438c42de0, 0x85ddafffe7530581, 0xce3f76e9e0e1716f, 0xa8fe729f46e1bfdb, 0x3f3c49c848e0d8fe,
  0x167199cebb9b5d9f, 0xbef51e5752a53b58, 0x315d4af51f06cc1c, 0x8e1386e1d7d8b4c5, 0x47b1d484d7d2d8cb,
  0xb76c911c6473abb7, 0x193d6355e363af0f, 0x753ce038ec5a707d, 0x0d51b044c8e1bd97, 0x9cbcce737966d7c9,
  0x08ffb2739de780ee, 0xf9e0404ef5dbf031, 0xfe6f00fa8301dc8f, 0xf9537a94e4a7407a, 0x2b093d0f85745f76,
  0xd9538c76e97aaa2d, 0x686376c3eb575be6, 0xbeaccdfc1ddc68b2, 0xe985a0df8da216cd, 0x765bac271966b219,
  0x2a0cf257ee686658, 0x00000000260963fd,
};

// t841_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart1_noled_pr_ee[] = {
  0x7777624eedec53c3, 0x777774b0f2185563, 0xf4ec7933067b8bf7, 0x50f6712277783d08, 0x7571ed458e2c82d1,
  0x6b267d82cc13e327, 0xc7eedd3f2021c3ff, 0x8e7153e8dc37fb79, 0xa63ea3cae449aad6, 0xef8ae44f51f06cc1,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x08a8f059cead2f2f, 0xc6c6ab5d0ebce9bb, 0xf380e3b169d7f461,
  0x51b047eb70decb65, 0x3111dfb002c66a69, 0x01dd1df9cf2edbf0, 0x3633cbbf378e5283, 0xf0ae8bee5d54e5e5,
  0xb74bd551696be7a1, 0xc3eb575be6d8028a, 0xb434593432e4d5c6, 0xd10b66df5663c81d, 0xb3590cf4c2d06fc6,
  0x34332c3b2dd6138c, 0x3e1c28c87e792bf7, 0x0000000000000005,
};

// t841_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart1_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569fe6f58, 0x1b4de0fab6fa5ddd, 0xc71fad367eeeeea4, 0xc13e327771dee626,
  0x04eebff9f767e3dc, 0x86ff6f38fddba7e4, 0x25af63faf40a7d1b, 0x7736bc87fcf002e1, 0x5f4f72cbac67339d,
  0xa38e38103c67ea3b, 0x2333c731602f40f6, 0x8e58cf1d78b9d8d2, 0xf03111dfb0750d5b, 0x2b01dd1df9cf2edb,
  0xb94a5f3cbbf37839, 0x6085a7717f36ea5a, 0xa7a1f0ae8bee33cc, 0x86376c3eb575be6d, 0xab31e40d1fc68b26,
  0x616837e36885b36f, 0x96eb09c659ac867a, 0xad3c95fb9a19961d, 0x00000002dd40e5c9,
};

// t841_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart1_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xbbbbba5873961558, 0x4baf4e17b4bd1a7b, 0x335a13d66d6e97bf, 0x4eef25d5c68ecdd8,
  0xfed64cf93a9827c6, 0xf38fddba7e4048ad, 0xaa3dbea7d1b86ff6, 0xafcf002c1c72763f, 0x02c65339d7736be9,
  0x8dff51e5738ca76b, 0x298af24f51f06cc1, 0x5c709c370ebec5a6, 0xdc988ea426be96c6, 0x5376e791b5f1ceae,
  0x8cd258d578d8ebd7, 0x70e59c071d8b4f58, 0xbf663174cc8e1bd9, 0x3bf39e5db7e06223, 0xe5df9bcb750603ba,
  0xd37aaeaa72f29b19, 0xf0ae8bee73663042, 0x6c3eb575be6da7a1, 0xdb434593432e4d5c, 0x6d10b66df5663c81,
  0xcb3590cf4c2d06fc, 0x734332c3b2dd6138, 0x0a69f38c87e792bf,
};

// t841_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart1_lednop_pr_ee[] = {
  0xeeeec49ddbd8b562, 0xeeeee961e4104ac6, 0xc29e9c007ef619ee, 0x85fb38913bbc1e84, 0x7699e91fb820ccd8,
  0x6b267f2b4c13e327, 0xc7eedd3f202143ff, 0x8e7153e8dc37fb79, 0xa63ea3cacca9aad6, 0xef8accaf51f06cc1,
  0x5c709c370ebec5a6, 0x971ac9a426be96c6, 0x86fa3268e75697d2, 0xb56355ae875e74dd, 0xf9c071d8b4d67a37,
  0xa8d823f5b86f65b2, 0x3111dfb00290533c, 0x1df9e0404f2edbf0, 0x977e6f00fa8301dd, 0x76f9537a94e4a740,
  0x2d2b093d0f85745f, 0xf36ca9d156e97aaa, 0x19726ae361f5abad, 0xab31e40eda1a2c9a, 0x616837e36885b36f,
  0x96eb09c659ac867a, 0x3f3c95fb9a19961d, 0x0000000053e69c64,
};

// t841_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart1_lednop_pr_ce[] = {
  0xbbbb12776f62422f, 0xdddd2c569f802b1b, 0x3622916c7eb53ddd, 0x87e2f7776e270f93, 0x2774fde9b164731a,
  0xff6b267d7dcc13e3, 0x79c7eedd3f20247b, 0x1fd77b53e8dc37fb, 0xf15bf3c00b073a8b, 0x72cbad64ce75dcda,
  0xe38103d67a8fd24f, 0x43398b015efb5a38, 0x99e3af47ced82d1a, 0x2d6e0e2691500ffd, 0xf03111dfb1357c0f,
  0xdd1df9e0404f2edb, 0x40977e6f00fa8301, 0x5f76f9537a94e4a7, 0xaa2d2b093d0f8574, 0x5be6d9538c76e97a,
  0x3432e4d5c6c3eb57, 0xdf5663c81db43459, 0xf4c2d06fc6d10b66, 0x3b2dd6138cb3590c, 0xc87e792bf734332c,
  0x0000000000b755d8,
};

// t841_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xeeeec49dda88aaac, 0xddddd2c39c890ac6, 0x5db260bc69ed0bdd, 0x7a089eb36b74bdfa, 0x77560efd389c7ef1,
  0xee01cff57cc13e32, 0x71fbb74fc8091cbf, 0x47b7d4fa370dfede, 0xe78016b4895ac7f5, 0xc65339d7736bcedf,
  0xff51e56804a76b02, 0x8ad7cf51f06cc18d, 0x709c370ebec5a629, 0x108ea426be96c65c, 0x76c168c439ceaedd,
  0x82d8d578d8ebd753, 0x2ce038ec5a61c51c, 0x6315346470decb87, 0x09e5db7e06223bf6, 0xfcde603ba3bf3c08,
  0x2d4e48a5abce812e, 0xee97f318216953e0, 0x75be6da7a1f0ae8b, 0x93432e4d5c6c3eb5, 0x6df5663c81f94345,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0xe70ee792bf734332, 0x00000000029a64e2,
};

static const uint64_t ur_t841_u1x12_uart1_dual[] = {
  0xdddd36bc4ea22a20, 0xeeeeefaf188ed4cd, 0x2ec1b582f5b5a76e, 0xa706ec9dbbba6ee8, 0xc64e157257dbb1a8,
  0x40c89494824a9827, 0x285620dc1362063b, 0xcd13ba78436fc40c, 0x05166727f9961294, 0xca9bd477f360bece,
  0xc6811423920e040c, 0x43abc4fae1f02bfc, 0x16ba2197b101054c, 0x0e784d07e2a10cb4, 0x4021c6216ffbbfe8,
  0xfebc3b982c0b10cc, 0xf38fddba7e404dbf, 0xf9659ea7d1b86ff6, 0x8e040ea5fa8e37ce, 0x580aa6a6f90458e3,
  0xf74b76e791b5f1cc, 0x795882f71cb1823a, 0x9de780ee9cbcce73, 0x2edbf03111dfb273, 0x8301dd1df9e0404f,
  0x9c94e812efcde5ba, 0x042d380bdf2a6f52, 0x4f43e15d17dc3a8a, 0x9ab8d87d6aeb7cdb, 0xe36885b36e2fc25c,
  0xc659ac867a616837, 0xfb9a19961d96eb09, 0x0cb7c71738773c95,
};

// t841_u1x12_uart1_dual_pr_u4
static const uint64_t ur_t841_u1x12_uart1_dual_pr[] = {
  0xbba6d789de7ccc7f, 0xddddf5e31a7299bb, 0xa0dd06ceb6abeddd, 0x0ac9dbbbb42c8f94, 0x2e59f7acf947d050,
  0x9290495304f8c936, 0x1b826c40c7681912, 0x4f086df881850ac4, 0x1c3fccb0942a9277, 0x47fddb04ac7074b3,
  0x847241c081c069bd, 0x9f5c3e057f98d022, 0x197b101054c43fe0, 0x65af150865a19222, 0x310b7fddff4073c2,
  0x8cc160588662010e, 0xbb74fc809b7ffdd4, 0x0d4fa370dfede71f, 0x0f05fa8ef79df2d7, 0xa266d2a218e38e04,
  0xddb7b46b3ce62c05, 0x6a807fecc11d7bf0, 0xf14e40f2cf6f9ea9, 0x779e03ba72f339cd, 0xbb6fc0c4477ec9ce,
  0x0c077477e781013c, 0x929d025df9bc03ea, 0x15d17ddbe54dea53, 0xa5eaa8b4ac24f43e, 0xd6aeb7cdb2a7455b,
  0x68b26865c9ab8d87, 0xb66df5663c819a7c, 0x90cf4c2d06fc6d10, 0x32c3b2dd6138cb35, 0xc63c112792bf7343,
  0x0000000000000310,
};

// t841_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_t841_u1x12_uart1_dual_pr_ee[] = {
  0xbbba6d789de7ce7c, 0xddddf5f64d39299b, 0x7650f61d7da2fddd, 0x2d500545dd89c6eb, 0x4843bdd8fccfb4fb,
  0x88fba609f192b06e, 0x1362063b40c89494, 0x436fc40c285620dc, 0xfe6584a15493ba78, 0x7ec287ce1d3f358f,
  0x20e040e394dea3f5, 0x1f02bfcc68114239, 0x101054c426184fae, 0x2a10cb41c9a2197b, 0xe16bfe80e784d01a,
  0xc0b10cc4021c6216, 0xf90134dffba91982, 0x46e1bfdbce3f76e9, 0x598f9aad68c27a9f, 0xea3e0d9839bbd479,
  0xe1d7d8b4ddf15f75, 0x84d7d2d8cb8e1386, 0x73ab4be94b813f34, 0x875ec66edbda3b86, 0xb4f9e46d7d6355ae,
  0x70decbbdd9c071d8, 0x39799ce6f5c6b3eb, 0x23bf64e73bcf01dd, 0xf3c0809e5db7e062, 0xe812efcde603ba3b,
  0x953e02d4e48a5abc, 0x85745f74bfc50216, 0x61f5abadf36d3d0f, 0x9f1a2c9a19726ae3, 0x442d9b7d598f2066,
  0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0x429ce70449e4afdc, 0x0000000000000006,
};

// t841_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_t841_u1x12_uart1_dual_pr_ce[] = {
  0xbba6d789de7c4541, 0xdddf5fe9526299bb, 0x3d8a7162debbdddd, 0x561b7776998919c4, 0xb905b6e761f16a4e,
  0x9487544c13e32420, 0xdc1362063b40c894, 0x78436fc40c285620, 0x677e6584a15493ba, 0x3e04d84ae385ba9b,
  0x23920e040ca5cdea, 0xfae1f02bfcc68114, 0x97b101054c410f84, 0x695150865a1dd221, 0x885be04ffa039e13,
  0x660b02c433100871, 0xdba7e4044adfeea4, 0x2a7d1b86ff6f38fd, 0x3c00b9dbf963fac4, 0x7f99cebb9b5fa7ff,
  0x5ffd471f27b965d5, 0x02ce2f7c71c70207, 0xf86edbda359e7316, 0x54b5403ff6678ebd, 0x39be29c81e5addcf,
  0x39cef3c0774e5e67, 0x27976df81888efd9, 0x7d4180ee8efcf020, 0x4a7253a04bbf3780, 0x87c2ba2fbb7ca9bd,
  0x3b74bd551695849e, 0x61f5abadf36ca9c6, 0x9f1a2c9a19726ae3, 0x442d9b7d598f2066, 0xcd6433d30b41bf1b,
  0xd0ccb0ecb7584e32, 0xd62fdf0449e4afdc, 0x0000000000000073,
};

// t841_u1x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u1x12_uart1_dual_pr_ee_ce[] = {
  0x7774daf13a8618be, 0x77777d78cd9b5337, 0x77689e55fbee3777, 0x0d6890e9dba82b65, 0x557bde3fbc161f21,
  0x0c7ae609f1926eae, 0x4d8818ed03225252, 0x0dbf1030a1588370, 0xf32c254fa0cee9e1, 0x360d767043e9b1bb,
  0x838103d3537a8f88, 0x7c0aff31a04508e4, 0x8082a620ea813eb8, 0x50865a1a6d10cbd8, 0xc41ff4073c26c091,
  0x0588662010e310b7, 0x9012c7ffff9d4c16, 0x6e1bfdbce3f76e9f, 0x8e0d8fea8fe729f4, 0xb9b5d9f3f3c49c84,
  0x2a53b58167199ceb, 0xf06cc1cbef51e575, 0x7d8b4c5315d4af51, 0x7d2d8cb8e1386e1d, 0x473abb747b1d484d,
  0x363af0fb76c911c6, 0xc5a707d193d6355e, 0x8e1bd97753ce038e, 0x966d7c90d51b044c, 0xde780ee9cbcce737,
  0xedbf03111dfb2739, 0x301dd1df9e0404f2, 0x4a740977e6f00fa8, 0x5745f76f9537a94e, 0x97aaa2d2b093d0f8,
  0xb575be6d9538c76e, 0xddc68b2686376c3e, 0xda216cdbeaccdfc1, 0x966b219e985a0df8, 0xe686658765bac271,
  0xc113ebd2a0cf257e, 0x0000000000000004,
};

// t841_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_noled_pr_ee[] = {
  0x1bbbbbb12dec53c3, 0xbbbbbba58790c2ab, 0x47a763c99833dc5f, 0x8a87b38913bbc1e8, 0x3bab8f6a2c716416,
  0xfb5933ec16609f19, 0x8e436fb74f070e1f, 0x56b4738a9f46eaf6, 0x660d31f51e57224d, 0x2d377c57227a8f83,
  0xb632e384e1b875f6, 0x797cb8d64d2135f4, 0x4dd8454782ce7569, 0xa30e36355ae875e7, 0x5b2f9c071d8b4ebf,
  0x534a8d823f5b86f6, 0xdf818847fd801633, 0x94180ee47fce77ae, 0x2f29b19debf9bc72, 0x3d0f85745f72eaa7,
  0x1455ba5eaa8b4b5f, 0xae361f5abadf36c0, 0x40eda1a2c9a19726, 0x7e36885b36fab31e, 0x9c659ac867a61683,
  0x5fb9a19961d96eb0, 0x0029f0e14643f3c9,
};

// t841_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4ff37a, 0x20da6f07d5b7d2ee, 0x3638fd69b3f77775, 0xe609f193bb8ef731,
  0xe0e775ffcfbb3f1e, 0xe8dd5ed1c86df6e9, 0x17092d7b1fd7a053, 0x9cebb9b5e43fe780, 0x51dafa7b965d6339,
  0x07b51c71c081e33f, 0xc691199e398b017a, 0x6adc72c678ebc5ce, 0xaedf818847fd83a8, 0xc1c9580ee47fce77,
  0x52d5ca52f9debf9b, 0x9e63042d3b8bf9b7, 0xf36d3d0f85745f71, 0x593431bb61f5abad, 0x9b7d598f2068fe34,
  0x33d30b41bf1b442d, 0xb0ecb7584e32cd64, 0x2e4d69e4afdcd0cc, 0x000000000016ea07,
};

// t841_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_noled_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xddddddd2c39cb0aa, 0xfa5d7a70bda5e8d3, 0xc19ad09eb36b74bd, 0x3277792eae34766e,
  0x6ff6b267c9d4c13e, 0xed1c86df6e9e0e45, 0xb1fd51edf53e8dd5, 0x5f4d7e780160e393, 0x3b58163299cebb9b,
  0x660c6ffa8f2b9c65, 0x2d314c57927a8f83, 0xb632e384e1b875f6, 0x7576e4c4752135f4, 0x5eba9bb73c8daf8e,
  0x7ac46692c6abc6c7, 0xdecb872ce038ec5a, 0x108ffb318ba66470, 0x1dc8ff9cef5dbf03, 0xd8cef5fcde5ba830,
  0x82169bd575539794, 0x3d0f85745f739b31, 0x6ae361f5abadf36d, 0xe40eda1a2c9a1972, 0x37e36885b36fab31,
  0x09c659ac867a6168, 0x95fb9a19961d96eb, 0x0000534f9c643f3c,
};

// t841_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_lednop_pr_ee[] = {
  0x377777625bd8b562, 0x7777774b0f208256, 0x2614f4e003f7b0cf, 0xc42fd9c489dde0f4, 0x3bb4cf48fdc10666,
  0xfb5933f95a609f19, 0x8e436fb74f070a1f, 0x56b4738a9f46eaf6, 0x660d31f51e56654d, 0x2d377c56657a8f83,
  0xb632e384e1b875f6, 0xbe94b8d64d2135f4, 0xa6ec37d193473ab4, 0xd1bdab1aad743af3, 0x2d97ce038ec5a6b3,
  0x99e546c11fadc37b, 0xdf818847fd801482, 0x0ee47fcf020277ae, 0x3a03d7f37807d418, 0xa2fbb7ca9bd4a725,
  0xd551695849e87c2b, 0x5d6f9b654e8ab74b, 0x64d0cb93571b0fad, 0x9b7d598f2076d0d1, 0x33d30b41bf1b442d,
  0xb0ecb7584e32cd64, 0xe321f9e4afdcd0cc, 0x0000000000029f34,
};

// t841_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd896f62422f, 0xeeeee962b4fc0158, 0x99b1148b63f5a9ee, 0xd43f17bbbb71387c, 0x193ba7ef4d8b2398,
  0xdffb5933ebee609f, 0xf68e436fb74f0723, 0xd458febbda9f46ea, 0xe6d78adf9e005839, 0x927b965d6b2673ae,
  0xd1c71c081eb3d47e, 0x68d219cc580af7da, 0x7feccf1d7a3e76c1, 0xe0796b7071348a80, 0xaedf818847fd89ab,
  0x180ee47fcf020277, 0x253a03d7f37807d4, 0x2ba2fbb7ca9bd4a7, 0x4bd551695849e87c, 0x5abadf36ca9c63b7,
  0xa2c9a19726ae361f, 0x5b36fab31e40eda1, 0xc867a616837e3688, 0x9961d96eb09c659a, 0xaec643f3c95fb9a1,
  0x00000000000005ba,
};

// t841_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x377777625a88aaac, 0xeeeeee961ce44856, 0xd2ed9305e34f685e, 0x8bd044f59b5ba5ef, 0x93bab077e9c4e3f7,
  0xff700e7fabe609f1, 0xa390dbedd3c1c8e5, 0x3faa3dbea7d1babd, 0x76ff3c00b5a44ad6, 0x58163299cebb9b5e,
  0x0c6ffa8f2b40253b, 0x314c56be7a8f8366, 0x32e384e1b875f62d, 0x76e884752135f4b6, 0xba9bb60b4621ce75,
  0x28e416c6abc6c75e, 0x5c396701c762d30e, 0xffb318a9a32386f6, 0xe0404ef5dbf03108, 0x07afe6f301dc8ff9,
  0x9f016a72452d5e74, 0x745f74bf98c10b4a, 0xf5abadf36d3d0f85, 0x1a2c9a19726ae361, 0x85b36fab31e40fca,
  0xac867a616837e368, 0x19961d96eb09c659, 0x271738773c95fb9a, 0x00000000000014d3,
};

static const uint64_t ur_t841_u2x8_uart0_dual[] = {
  0x9bbbbba6d6a22a20, 0xdddddddf5e311da9, 0xd05d836b05eb6b4e, 0x514e0dd93b7774dd, 0x4f8c9c2ae4afb763,
  0x7681912929049530, 0x1850ac41b826c40c, 0x299a2774f086df88, 0x9c0a2cce4ff32c25, 0x199537a8efe6c17d,
  0xf98d022847241c08, 0x98875789f5c3e057, 0x682d74432f62020a, 0xd01cf09a0fc54219, 0x9880438c42dff77f,
  0x7ffd787730581621, 0x7b4721b7dba7839b, 0x6f9df2cb3d4fa375, 0xb1c71c081d4bf51c, 0xe398b0154d4df208,
  0x0475ee96edcf236b, 0x9ce6f2b105ee3963, 0x64e73bcf01dd3979, 0x809debb7e06211ff, 0xcb750603b91ff3c0,
  0xdea53929d01ebf9b, 0x7514085a7017be54, 0xf9b69e87c2ba2fb8, 0x84b93571b0fad5d6, 0xd06fc6d10b66dc5f,
  0xd6138cb3590cf4c2, 0x792bf734332c3b2d, 0x0000196f8e2e70ee,
};

// t841_u2x8_uart0_dual_pr_u4
static const uint64_t ur_t841_u2x8_uart0_dual_pr[] = {
  0x777774dade7ccc7f, 0xbbbbbbebc634e533, 0x2941ba0d9d6d57db, 0xa01593b77768591f, 0x6c5cb3ef59f28fa0,
  0x25252092a609f192, 0x883704d8818ed032, 0xee9e10dbf1030a15, 0x66387f9961285524, 0x7a8ffbb60958e0e9,
  0x4508e483810380d3, 0xc13eb87c0aff31a0, 0x4432f62020a9887f, 0x84cb5e2a10cb4324, 0x1c6216ffbbfe80e7,
  0xa91982c0b10cc402, 0x436fb74f0736fffb, 0xe5ae1a9f46eaf68e, 0x1c081e0bf51def3b, 0x580b44cda54431c7,
  0xf7e1bb6f68d679cc, 0x3d52d500ffd9823a, 0x739be29c81e59edf, 0x939cef3c0774e5e6, 0x0277aedf818847fd,
  0x07d4180ee47fcf02, 0xd4a7253a03d7f378, 0xe87c2ba2fbb7ca9b, 0x8ab74bd551695849, 0x1b0fad5d6f9b654e,
  0x34f8d164d0cb9357, 0xda216cdbeacc7903, 0x966b219e985a0df8, 0xe686658765bac271, 0x06218c78224f257e,
};

// t841_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_dual_pr_ee[] = {
  0x3777774dade7ce7c, 0xbbbbbbebec9a7253, 0xd6eca1ec3afb45fb, 0xf65aa00a8bbb138d, 0xdc90877bb1f99f69,
  0x2911f74c13e32560, 0xb826c40c76819129, 0xf086df881850ac41, 0x1ffccb0942a92774, 0xeafd850f9c3a7e6b,
  0x7241c081c729bd47, 0x5c3e057f98d02284, 0xf62020a9884c309f, 0x3454219683934432, 0x2dc2d7fd01cf09a0,
  0x05816219880438c4, 0x6e9e0e69bff75233, 0xf53e8dd5ed1c86df, 0xa8f2b31f355ad184, 0xbeebd47c1b307377,
  0x270dc3afb169bbe2, 0x7e6909afa5b1971c, 0x770ce75697d29702, 0xab5d0ebd8cddb7b4, 0xe3b169f3c8dafac6,
  0x67d6e1bd977bb380, 0x03ba72f339cdeb8d, 0xc0c423fec9ce779e, 0x723fe781013bd76f, 0xb579d01ebf9bcc07,
  0x042d2a7c05a9c914, 0x7a1f0ae8bee97f8a, 0xd5c6c3eb575be6da, 0x40cd3e34593432e4, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x000c8539ce0893c9,
};

// t841_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_dual_pr_ce[] = {
  0x777774dade7c4541, 0xbbbbbebfd2a4c533, 0x887b14e2c5bd77bb, 0x9cac36eeed331233, 0x41720b6dcec3e2d4,
  0x29290ea89827c648, 0x41b826c40c768191, 0x74f086df881850ac, 0x36cefccb0942a927, 0xd47c09b095c70b75,
  0x2847241c08194b9b, 0x09f5c3e057f98d02, 0x432f62020a98821f, 0x26d2a2a10cb43ba4, 0xe310b7c09ff4073c,
  0x48cc160588662010, 0x1b7dba783895bfdd, 0xf58854fa3757b472, 0x4ffe780173b7f2c7, 0xcbaaff339d7736bf,
  0x040ebffa8e3e4f72, 0xe62c059c5ef8e38e, 0x1d7bf0ddb7b46b3c, 0xbb9ea96a807feccf, 0xbcce737c53903cb5,
  0xffb2739de780ee9c, 0xe0404ef5dbf03108, 0x6f00fa8301dc8ff9, 0x537a94e4a7407afe, 0x093d0f85745f76f9,
  0x538c76e97aaa2d2b, 0xd5c6c3eb575be6d9, 0x40cd3e34593432e4, 0x7e36885b36fab31e, 0x9c659ac867a61683,
  0x5fb9a19961d96eb0, 0x00e7ac5fbe0893c9,
};

// t841_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_dual_pr_ee_ce[] = {
  0x6eeeee9b5a8618be, 0xeeeeeefaf19b36a6, 0xcaeed13cabf7dc6e, 0x421ad121d3b75056, 0x5caaf7bc7f782c3e,
  0xa418f5cc13e324dd, 0xe09b1031da0644a4, 0xc21b7e206142b106, 0x77e6584a9f419dd3, 0x106c1aece087d363,
  0xc9070207a6a6f51f, 0x70f815fe63408a11, 0xb101054c41d5027d, 0x22a10cb434da2197, 0x6f883fe80e784d81,
  0x2c0b10cc4021c621, 0xe9e0e58fffff3a98, 0x53e8dd5ed1c86df6, 0x39091c1b1fd51fce, 0x39d7736bb3e7e789,
  0xcaea54a76b02ce33, 0x5ea3e0d98397dea3, 0xdc3afb1698a62ba9, 0x909afa5b1971c270, 0x238c8e7576e8f63a,
  0x6abc6c75e1f6ed92, 0x071d8b4e0fa327ac, 0x08991c37b2eea79c, 0xce6f2cdaf921aa36, 0x4e73bcf01dd39799,
  0x09debb7e06211ff6, 0x1f50603b91ff3c08, 0x529c94e80f5fcde0, 0xa1f0ae8beedf2a6f, 0x8edd2f5545a56127,
  0xd87d6aeb7cdb2a71, 0xbf83bb8d164d0c6e, 0x1bf1b442d9b7d599, 0x84e32cd6433d30b4, 0x4afdcd0ccb0ecb75,
  0x00098227d7a5419e,
};

// t841_u2x8_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_noled_pr_ee[] = {
  0xdddddc15dbd8b562, 0xbbbba584f5a0958d, 0x0a7a7001fbd867bb, 0x17c220716ef37ad3, 0xda67a47ee0833362,
  0xac99fcad304f8c9d, 0x3c1c2e2df0a50ffd, 0x7d1babda390dbedd, 0x795c89355ad1ce2a, 0x89ea3e0d9834c7d4,
  0x86e1d7d8b4ddf15c, 0x3484d7d2d8cb8e13, 0x0b39d5a5e5f2e359, 0x6ba1d79d3761151e, 0x762d3afe8c38d8d5,
  0xfd6e1bd96cbe701c, 0xf60058cd4d2a3608, 0xff39debb7e06211f, 0xafe6f1ca50603b91, 0x7dcbaa9cbca6c677,
  0xaa2d2d7cf43e15d1, 0xeb7cdb005156e97a, 0x26865c9ab8d87d6a, 0xdbeacc7903b6868b, 0x9e985a0df8da216c,
  0x8765bac271966b21, 0x190fcf257ee68665, 0x000000000014f9a7,
};

// t841_u2x8_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_noled_pr_ce[] = {
  0x777770576f62422f, 0x77774b0c39005637, 0xcd88a45b1fad4f77, 0xa1f8bddddf0b7ec4, 0xc9dd3f7a6c591cc6,
  0xffdac99f5f7304f8, 0xedd3c1c2e2df0b1e, 0xf6a7d1babda390db, 0xe780160e20163fae, 0x5ac99cebb9b5edd7,
  0x07acf51c9e9ee597, 0x2c05c8bd0471c702, 0xaf47cec21d1eb0e6, 0x20a679500ffd99e3, 0x23fec6aa481e5add,
  0x723fe73bd76fc0c4, 0xcef5fcde394a0c07, 0xba2fb975539794d8, 0x2f5545a5af9e87c2, 0x5abadf36c0118edd,
  0xa2c9a19726ae361f, 0x5b36fab31e40eda1, 0xc867a616837e3688, 0x9961d96eb09c659a, 0xaec643f3c95fb9a1,
  0x00000000000005ba,
};

// t841_u2x8_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_noled_pr_ee_ce[] = {
  0xdddddc15da88aaac, 0xbbbba58b8112158d, 0x7b64c178d3da17bb, 0xf41244383ee8d7db, 0xeeac1dfa7138fde2,
  0xdc039feaf9827c64, 0xa78385c5be16397f, 0x4fa3757b4721b7db, 0x6b48516c7f547b7d, 0xcebb9b5c347e7801,
  0x2b05253b58163299, 0xfa8f83660c6ffa8f, 0xb875f62d314c5710, 0x2135f4b632e384e1, 0x8c4f9ceaedcb5c75,
  0x578d8ebd7537610e, 0x8ec5a720a8f19d8d, 0x66470decb872ce03, 0x6fc0c423fecc63f8, 0x9bcc07723fe73bd7,
  0x306a6c4a7ef9debf, 0xa2fb82063042d392, 0xad5d6f9b69e87c2b, 0xd164d0cb93571b0f, 0x2d9b7d598f207e50,
  0x6433d30b41bf1b44, 0xccb0ecb7584e32cd, 0x38b9c3b9e4afdcd0, 0x000000000000a699,
};

// t841_u2x8_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_lednop_pr_ee[] = {
  0xdddddc15dbd8bf82, 0xbbbba584f5ad158d, 0x378ec6d9bbd3f7bb, 0x630881c5bbe25e45, 0xa6275a2c1b2b6c86,
  0x5933f812609f193b, 0x78385c5be14a5ffb, 0xfa3757b4721b7dba, 0xe5613e6ab5a35f14, 0xff51f06cc1e45f51,
  0x6e1d7d8b4ddf1584, 0x484d7d2d8cb8e138, 0xe39d5a5c145c5133, 0xe875eba9bb5ac8f9, 0x62d310e8f596355a,
  0x5b86f65c396701c7, 0xf03108ffb17120bf, 0xdc8ff9e0404ef5db, 0x407afe6f00fa8301, 0x5f76f9537a94e4a7,
  0xaa2d2b093d0f8574, 0xadf36ca9d156e97a, 0x9a19726ae361f5ab, 0x6fab31e40eda1a2c, 0x7a616837e36885b3,
  0x1d96eb09c659ac86, 0x643f3c95fb9a1996, 0x000000000029f31b,
};

// t841_u2x8_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_lednop_pr_ce[] = {
  0x777770576f622a9c, 0xeeee961873c7d637, 0x0099d08f4f6c9eee, 0x0bf8feeeef85bf68, 0x93ba34f7179a5b1f,
  0x7fb5933ffba609f1, 0xdba78385c5be1603, 0xed4fa3757b4721b7, 0xcf002c1cea2c7f5d, 0xb59339d7736bc56f,
  0x0f59ea3f493dcb2e, 0x2c057bed68e38e04, 0xbd1f3b60b4690ce6, 0x389a45403ff6678e, 0x23fec4d5f03cb5b8,
  0xe781013bd76fc0c4, 0xf9bc03ea0c07723f, 0xe54dea53929d01eb, 0xac24f43e15d17ddb, 0x654e31dba5eaa8b4,
  0x93571b0fad5d6f9b, 0x8f2076d0d164d0cb, 0x41bf1b442d9b7d59, 0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7,
  0x000002dd502321f9,
};

// t841_u2x8_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_lednop_pr_ee_ce[] = {
  0xdddddc15da88a80b, 0x77774b1702a8b58d, 0xaed2d68313b4cf77, 0x67221c1f77d2d437, 0xd89d466d38d2b450,
  0x039fe9f9827c64ee, 0x070b8b7c2f57ffdc, 0x46eaf68e436fb74f, 0x932b58fea8cc7a9f, 0xee6d7c6efcf002d6,
  0xba94ed6057be673a, 0x3e0d9835afea3caf, 0xd7d8b4c5315f75ea, 0xd7d2d8cb8e1386e1, 0x9a39d5dbb4a1d484,
  0xf1b1d79d3761be8c, 0xec5a6b3d1bdab1aa, 0x991c37b2d97ce038, 0xec2ce414cf2a3608, 0x1013bd76fc0c423f,
  0xc03ea0c07723fe78, 0xdea53929d01ebf9b, 0x4f43e15d17ddbe54, 0xe31dba5eaa8b4ac2, 0x71b0fad5d6f9b654,
  0x07e50d164d0cb935, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x00a69e319c3b9e4a,
};

static const uint64_t ur_t841_u2x8_uart0_alt1_dual[] = {
  0x66eeeeef07d44511, 0x7777777d78dbc9ca, 0x647519cbbb0da02b, 0x4ec8a7589dddd697, 0x3e32504b97dadd2c,
  0xda0644a4a46544c1, 0x6142b106e09b1031, 0xa6689dd3c21b7e20, 0x704ad33a5fccb094, 0x98f9bd47a95b0fdc,
  0x98d022847241c081, 0x8850f89f5c3e057f, 0x42214432f62020a9, 0x80e784d9162a10cb, 0xc4021c6216e95bfe,
  0x7febc3b982c0b10c, 0xf6e9e0e1716f850f, 0xcf53e8dd5ed1c86d, 0x0752fd4783e77cb2, 0x53534436b471c702,
  0xbb57f4752ce62c05, 0x0e3b8e58c11d7ba5, 0xc0774e5e6739bcac, 0xf818847fd939cef3, 0xee47fcf020277aed,
  0x9d01ebf9bc1c9580, 0x4f0c5654ee2ca72f, 0xf0ae8beefae2810b, 0x6c3eb575be6da7a1, 0x42d9b717e12e4d5c,
  0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c, 0xbf6e9c3b9e4afdcd, 0x0000000000000065,
};

// t841_u2x8_uart0_alt1_dual_pr_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_dual_pr[] = {
  0xbbbbbbc1f79f1f68, 0xdddddf5e36db1299, 0x4e2948efed6ecadd, 0x8ed40bdddd083e9b, 0x17dc875f53ec2c75,
  0x94948e8fcc13e327, 0x20dc1362063b40c8, 0xba78436fc40c2856, 0x98a1fe6584a15493, 0xea3fced848738175,
  0x1423920e040ca2cd, 0xc4fae1f02bfcc681, 0x2197b101054c4136, 0x13443150865a00a2, 0x71885bfceffa039e,
  0xa4660b02c4331008, 0xe0e1716f858f7fee, 0xe8dd5ed1c86df6e9, 0x7ea3bde77cb5c353, 0xb4a88638e38103c1,
  0xed1acf398b016899, 0x1ffb30475efc376d, 0x903cb3dbe7aa5aa0, 0x80ee9cbcce737c53, 0xf03108ffb2739de7,
  0xdc8ff9e0404ef5db, 0x407afe6f00fa8301, 0x5f76f9537a94e4a7, 0xaa2d2b093d0f8574, 0xadf36ca9d156e97a,
  0x9a19726ae361f5ab, 0x7d598f20669f1a2c, 0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x0449e4afdcd0ccb0,
  0x000000000188610f,
};

// t841_u2x8_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_dual_pr_ee[] = {
  0xdddddde0fa86ff3e, 0xeeeeefaf242abd4c, 0x4eb7bf610f6b8eee, 0x3d77e3c8fee9ba01, 0xe4339bee2af61640,
  0x483afa609f1928ce, 0xc1362063b40c8949, 0x8436fc40c285620d, 0xbfccb0953e833ba7, 0x9bd86ed1c136e69d,
  0x241c08185a9bd471, 0xc3e057f98d022847, 0xc40415310e8f89f5, 0x8a8432d02968865e, 0x719bffa039e137ce,
  0x60588662010e310b, 0x2df0a35bfff9d4c1, 0xda390dbedd3c1c2e, 0x355ad1994a7d1bab, 0x1b306807a8f2bfdd,
  0x62d377c57fbbd47c, 0x4b632e384e1b875f, 0x5e3dae2bfcd2135f, 0x7dbb6488e3239d5a, 0xf464f58d56ba1d78,
  0x5dd4f380e3b169c1, 0x486a8d823f5b86f6, 0x74e5e6739bc026be, 0x8847fd939cef3c07, 0x7fcf020277aedf81,
  0xd7f37807d4180ee4, 0xb7ca9bd4a7253a03, 0x695849e87c2ba2fb, 0x9b654e8ab74bd551, 0xc9a18ddb0fad5d6f,
  0x36fab337f07771a2, 0x67a616837e36885b, 0x61d96eb09c659ac8, 0x54a833c95fb9a199, 0x0000000000321481,
};

// t841_u2x8_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_dual_pr_ce[] = {
  0xeeeeef07de7c1a4e, 0x77777d7edb086a66, 0xc9c4f5ac5f73ef77, 0x6a415bbbab0519a4, 0x5b9571d403ee0b14,
  0x2520dbb9827c64b4, 0x3704d8818ed03225, 0x9e10dbf1030a1588, 0x1adf9961285524ee, 0x8fbef61a6ce115a6,
  0x08e483810353d37a, 0x3eb87c0aff31a045, 0x65ec40415310fd71, 0x04f8a8432d00f688, 0x885befbffa039e13,
  0x660b02c433100871, 0xe1716f8590ffeea4, 0xdd5ed1c86df6e9e0, 0xcedfcb1fd62153e8, 0x75dcdafd3ff9e005,
  0x38f93dcb2eabfcce, 0x7be38e38103affea, 0xded1acf398b01671, 0x01ffb33c75efc376, 0x4e40f2d6ee7aa5aa,
  0x9e03ba72f339cdf1, 0x6fc0c423fec9ce77, 0x07723fe781013bd7, 0x9d01ebf9bc03ea0c, 0xd17ddbe54dea5392,
  0xeaa8b4ac24f43e15, 0x5d6f9b654e31dba5, 0x64d0cb93571b0fad, 0xdbeacc790334f8d1, 0x9e985a0df8da216c,
  0x8765bac271966b21, 0xf8224f257ee68665, 0x00000000039eb6e3,
};

// t841_u2x8_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart0_alt1_dual_pr_ee_ce[] = {
  0x6eeeeef07d43573e, 0xbbbbbbebc6d936a6, 0x96cdf7745fad3dbb, 0xf947d90123ba7593, 0x9390f7af7acaf700,
  0x89aa49827c64bb2b, 0x1362063b40c89494, 0x436fc40c285620dc, 0xfccb0953e833ba78, 0x06c0521c3f5e635b,
  0x20e040ed6e6f51e0, 0x1f02bfcc68114239, 0x4041531036ec4fae, 0xa8432d08e48865ec, 0xc00ffa039e136fb8,
  0x02c433100871885b, 0xdf0bbb5fffcea60b, 0xa390dbedd3c1c2e2, 0x3faa3f9ca7d1babd, 0x67cfcf1272123836,
  0xd6059c6673aee6d7, 0x072fbd4795d4a94e, 0x314c5752bd47c1b3, 0x32e384e1b875f62d, 0xedd1ec752135f4b6,
  0xc3eddb2447191cea, 0x1f464f58d578d8eb, 0x65dd4f380e3b169c, 0xf243546c1132386f, 0x3ba72f339cde59b5,
  0x0c423fec9ce779e0, 0x23fe781013bd76fc, 0x1ebf9bc03ea0c077, 0xddbe54dea53929d0, 0x8b4ac24f43e15d17,
  0xf9b654e31dba5eaa, 0x2c9a18ddb0fad5d6, 0xb36fab337f07771a, 0x867a616837e36885, 0x961d96eb09c659ac,
  0xff4a833c95fb9a19, 0x0000000000098258,
};

// t841_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart1_noled_pr_ee[] = {
  0x1bbbbbb12dec53c3, 0xbbbbbba58790c2ab, 0x47a763c99833dc5f, 0x8a87b38913bbc1e8, 0x3bab8f6a2c716416,
  0xfb5933ec16609f19, 0xc86df6e9f9010e1f, 0xd68e7153e8dd5ed1, 0xc1a63ea3cae449aa, 0xa6ef8ae44f51f06c,
  0xc65c709c370ebec5, 0x2f971ac9a426be96, 0xbb08a8f059cead2f, 0x61c6c6ab5d0ebce9, 0x65f380e3b169d7f4,
  0x6951b047eb70decb, 0xf03111dfb002c66a, 0x8301dd1df9cf2edb, 0xe53633cbbf378e52, 0xa1f0ae8bee5d54e5,
  0x8ab74bd551696be7, 0xc6c3eb575be6d802, 0x1db434593432e4d5, 0xc6d10b66df5663c8, 0x8cb3590cf4c2d06f,
  0xf734332c3b2dd613, 0x053e1c28c87e792b,
};

// t841_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart1_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4ff37a, 0x20da6f07d5b7d2ee, 0x3638fd69b3f77775, 0xe609f193bb8ef731,
  0x202775ffcfbb3f1e, 0x1babda390dbedd3f, 0xe125af63faf40a7d, 0x9d7736bc87fcf002, 0x3b5f4f72cbac6733,
  0xf6a38e38103c67ea, 0xd22333c731602f40, 0x5b8e58cf1d78b9d8, 0xdbf03111dfb0750d, 0x392b01dd1df9cf2e,
  0x5ab94a5f3cbbf378, 0xcc6085a7717f36ea, 0x6da7a1f0ae8bee33, 0x2686376c3eb575be, 0x6fab31e40d1fc68b,
  0x7a616837e36885b3, 0x1d96eb09c659ac86, 0xc9ad3c95fb9a1996, 0x0000000002dd40e5,
};

// t841_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart1_noled_pr_ee_ce[] = {
  0xc6eeeeec4b7b1762, 0xddddddd2c39cb0aa, 0xfa5d7a70bda5e8d3, 0xc19ad09eb36b74bd, 0x3277792eae34766e,
  0x6ff6b267c9d4c13e, 0xa390dbedd3f20245, 0x3faa3dbea7d1babd, 0xe9afcf002c1c7276, 0x6b02c65339d7736b,
  0xc18dff51e5738ca7, 0xa6298af24f51f06c, 0xc65c709c370ebec5, 0xaedc988ea426be96, 0xd75376e791b5f1ce,
  0x588cd258d578d8eb, 0xd970e59c071d8b4f, 0x23bf663174cc8e1b, 0xba3bf39e5db7e062, 0x19e5df9bcb750603,
  0x42d37aaeaa72f29b, 0xa1f0ae8bee736630, 0x5c6c3eb575be6da7, 0x81db434593432e4d, 0xfc6d10b66df5663c,
  0x38cb3590cf4c2d06, 0xbf734332c3b2dd61, 0x000a69f38c87e792,
};

// t841_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart1_lednop_pr_ee[] = {
  0x377777625bd8b562, 0x7777774b0f208256, 0x2614f4e003f7b0cf, 0xc42fd9c489dde0f4, 0x3bb4cf48fdc10666,
  0xfb5933f95a609f19, 0xc86df6e9f9010a1f, 0xd68e7153e8dd5ed1, 0xc1a63ea3cacca9aa, 0xa6ef8accaf51f06c,
  0xc65c709c370ebec5, 0xd2971ac9a426be96, 0xdd86fa3268e75697, 0x37b56355ae875e74, 0xb2f9c071d8b4d67a,
  0x3ca8d823f5b86f65, 0xf03111dfb0029053, 0xdd1df9e0404f2edb, 0x40977e6f00fa8301, 0x5f76f9537a94e4a7,
  0xaa2d2b093d0f8574, 0xadf36ca9d156e97a, 0x9a19726ae361f5ab, 0x6fab31e40eda1a2c, 0x7a616837e36885b3,
  0x1d96eb09c659ac86, 0x643f3c95fb9a1996, 0x000000000053e69c,
};

// t841_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddd896f62422f, 0xeeeee962b4fc0158, 0x99b1148b63f5a9ee, 0xd43f17bbbb71387c, 0x193ba7ef4d8b2398,
  0xdffb5933ebee609f, 0xd1c86df6e9f90123, 0x8b1fd77b53e8dd5e, 0xdaf15bf3c00b073a, 0x4f72cbad64ce75dc,
  0x38e38103d67a8fd2, 0x1a43398b015efb5a, 0xfd99e3af47ced82d, 0x0f2d6e0e2691500f, 0xdbf03111dfb1357c,
  0x01dd1df9e0404f2e, 0xa740977e6f00fa83, 0x745f76f9537a94e4, 0x7aaa2d2b093d0f85, 0x575be6d9538c76e9,
  0x593432e4d5c6c3eb, 0x66df5663c81db434, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359, 0xd8c87e792bf73433,
  0x000000000000b755,
};

// t841_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart1_lednop_pr_ee_ce[] = {
  0x377777625a88aaac, 0xeeeeee961ce44856, 0xd2ed9305e34f685e, 0x8bd044f59b5ba5ef, 0x93bab077e9c4e3f7,
  0xff700e7fabe609f1, 0x721b7dba7e4048e5, 0xf547b7d4fa3757b4, 0xdfe78016b4895ac7, 0x02c65339d7736bce,
  0x8dff51e56804a76b, 0x298ad7cf51f06cc1, 0x5c709c370ebec5a6, 0xdd108ea426be96c6, 0x5376c168c439ceae,
  0x1c82d8d578d8ebd7, 0x872ce038ec5a61c5, 0xf66315346470decb, 0x0809e5db7e06223b, 0x2efcde603ba3bf3c,
  0xe02d4e48a5abce81, 0x8bee97f318216953, 0xb575be6da7a1f0ae, 0x4593432e4d5c6c3e, 0xb66df5663c81f943,
  0x90cf4c2d06fc6d10, 0x32c3b2dd6138cb35, 0xe2e70ee792bf7343, 0x0000000000029a64,
};

static const uint64_t ur_t841_u2x8_uart1_dual[] = {
  0x9bbbbba6d6a22a20, 0xdddddddf5e311da9, 0xd05d836b05eb6b4e, 0x514e0dd93b7774dd, 0x4f8c9c2ae4afb763,
  0x7681912929049530, 0x1850ac41b826c40c, 0x299a2774f086df88, 0x9c0a2cce4ff32c25, 0x199537a8efe6c17d,
  0xf98d022847241c08, 0x98875789f5c3e057, 0x682d74432f62020a, 0xd01cf09a0fc54219, 0x9880438c42dff77f,
  0x7ffd787730581621, 0x68e436fb74fc809b, 0xf3be5967a9f46eaf, 0x38e38103a97ea38d, 0x731602a9a9be4116,
  0x8ebdd2ddb9e46d7c, 0x9cde5620bdc72c60, 0x9ce779e03ba72f33, 0x13cbb6fc0c4477ec, 0x6ea0c077477e7810,
  0xd4a7253a04bbf379, 0xa2810b4e02f7ca9b, 0x36d3d0f85745f70e, 0x9726ae361f5abadf, 0x0df8da216cdb8bf0,
  0xc271966b219e985a, 0x257ee686658765ba, 0x00032df1c5ce1dcf,
};

// t841_u2x8_uart1_dual_pr_u4
static const uint64_t ur_t841_u2x8_uart1_dual_pr[] = {
  0x777774dade7ccc7f, 0xbbbbbbebc634e533, 0x2941ba0d9d6d57db, 0xa01593b77768591f, 0x6c5cb3ef59f28fa0,
  0x25252092a609f192, 0x883704d8818ed032, 0xee9e10dbf1030a15, 0x66387f9961285524, 0x7a8ffbb60958e0e9,
  0x4508e483810380d3, 0xc13eb87c0aff31a0, 0x4432f62020a9887f, 0x84cb5e2a10cb4324, 0x1c6216ffbbfe80e7,
  0xa91982c0b10cc402, 0x6df6e9f90136fffb, 0xb5c353e8dd5ed1c8, 0x8103c17ea3bde77c, 0x016899b4a88638e3,
  0xfc376ded1acf398b, 0xaa5aa01ffb30475e, 0x737c53903cb3dbe7, 0x739de780ee9cbcce, 0x4f2edbf03111dfb2,
  0xfa8301dd1df9e040, 0x94e4a740977e6f00, 0x0f85745f76f9537a, 0x56e97aaa2d2b093d, 0x61f5abadf36ca9d1,
  0x9f1a2c9a19726ae3, 0x442d9b7d598f2066, 0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0xc4318f0449e4afdc,
  0x0000000000000000,
};

// t841_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_t841_u2x8_uart1_dual_pr_ee[] = {
  0x3777774dade7ce7c, 0xbbbbbbebec9a7253, 0xd6eca1ec3afb45fb, 0xf65aa00a8bbb138d, 0xdc90877bb1f99f69,
  0x2911f74c13e32560, 0xb826c40c76819129, 0xf086df881850ac41, 0x1ffccb0942a92774, 0xeafd850f9c3a7e6b,
  0x7241c081c729bd47, 0x5c3e057f98d02284, 0xf62020a9884c309f, 0x3454219683934432, 0x2dc2d7fd01cf09a0,
  0x05816219880438c4, 0xd3f20269bff75233, 0xa7d1babda390dbed, 0x1e5663e6ab5a309e, 0xdd7a8f83660e6ef5,
  0xe1b875f62d377c57, 0xcd2135f4b632e384, 0xe19cead2fa52e04f, 0x6ba1d7b19bb6f68e, 0x762d3e791b5f58d5,
  0xfadc37b2ef76701c, 0x774e5e6739bd71ac, 0x1888efd939cef3c0, 0x8efcf02027976df8, 0xaf3a04bbf37980ee,
  0x85a54f80b5392296, 0x43e15d17dd2ff140, 0xb8d87d6aeb7cdb4f, 0x19a7c68b26865c9a, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x0190a739c112792b,
};

// t841_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_t841_u2x8_uart1_dual_pr_ce[] = {
  0x777774dade7c4541, 0xbbbbbebfd2a4c533, 0x887b14e2c5bd77bb, 0x9cac36eeed331233, 0x41720b6dcec3e2d4,
  0x29290ea89827c648, 0x41b826c40c768191, 0x74f086df881850ac, 0x36cefccb0942a927, 0xd47c09b095c70b75,
  0x2847241c08194b9b, 0x09f5c3e057f98d02, 0x432f62020a98821f, 0x26d2a2a10cb43ba4, 0xe310b7c09ff4073c,
  0x48cc160588662010, 0x6fb74fc80895bfdd, 0xb10a9f46eaf68e43, 0xffcf002e76fe58fe, 0x755fe673aee6d7e9,
  0x81d7ff51c7c9ee59, 0xc580b38bdf1c71c0, 0xaf7e1bb6f68d679c, 0x73d52d500ffd99e3, 0x99ce6f8a720796b7,
  0xf64e73bcf01dd397, 0x0809e5db7e06223b, 0xe01f50603ba3bf3c, 0x6f529c94e812efcd, 0x27a1f0ae8beedf2a,
  0x718edd2f5545a561, 0xb8d87d6aeb7cdb2a, 0x19a7c68b26865c9a, 0xc6d10b66df5663c8, 0x8cb3590cf4c2d06f,
  0xf734332c3b2dd613, 0x1cf58bf7c112792b,
};

// t841_u2x8_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x8_uart1_dual_pr_ee_ce[] = {
  0x6eeeee9b5a8618be, 0xeeeeeefaf19b36a6, 0xcaeed13cabf7dc6e, 0x421ad121d3b75056, 0x5caaf7bc7f782c3e,
  0xa418f5cc13e324dd, 0xe09b1031da0644a4, 0xc21b7e206142b106, 0x77e6584a9f419dd3, 0x106c1aece087d363,
  0xc9070207a6a6f51f, 0x70f815fe63408a11, 0xb101054c41d5027d, 0x22a10cb434da2197, 0x6f883fe80e784d81,
  0x2c0b10cc4021c621, 0x3f20258fffff3a98, 0x7d1babda390dbedd, 0x21238363faa3f9ca, 0x3aee6d767cfcf127,
  0x5d4a94ed6059c667, 0xd47c1b3072fbd479, 0x875f62d314c5752b, 0x135f4b632e384e1b, 0x7191ceaedd1ec752,
  0x578d8ebc3eddb244, 0xe3b169c1f464f58d, 0x132386f65dd4f380, 0xcde59b5f243546c1, 0xce779e03ba72f339,
  0x3cbb6fc0c4477ec9, 0xea0c077477e78101, 0x53929d025df9bc03, 0x3e15d17ddbe54dea, 0xdba5eaa8b4ac24f4,
  0x0fad5d6f9b654e31, 0xf07771a2c9a18ddb, 0x7e36885b36fab337, 0x9c659ac867a61683, 0x5fb9a19961d96eb0,
  0x013044faf4a833c9,
};

// t841_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_noled_pr_ee[] = {
  0xeeeec49ddbd8bf82, 0xddddd2c2e4168ac6, 0x9bc7636cdde9fbdd, 0xc4e0be17bbbbfc5a, 0x4c4eb4583656d90c,
  0xb267f024c13e3277, 0xe3d56e9e0e14bff6, 0xfa3757b4721bf9bc, 0xf2b9126ab5a39c54, 0x13d47c1b30698fa8,
  0x0dc3afb169bbe2b9, 0x6909afa5b1971c27, 0x1673ab4bcbe5c6b2, 0xd743af3a6ec22a3c, 0xec5a75fd1871b1aa,
  0xfadc37b2d97ce038, 0xec00b19a9a546c11, 0xfe73bd76fc0c423f, 0x5fcde394a0c07723, 0xfb975539794d8cef,
  0x545a5af9e87c2ba2, 0xd6f9b600a2add2f5, 0x4d0cb93571b0fad5, 0xb7d598f2076d0d16, 0x3d30b41bf1b442d9,
  0x0ecb7584e32cd643, 0xb21f9e4afdcd0ccb, 0x000000000014f98d,
};

// t841_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_noled_pr_ce[] = {
  0xdddd893bb7b16668, 0xbbbba581061b758d, 0x18ebf9b82fdb1fbb, 0xf2e25ef77746d14c, 0xc64ee9bbd642a2f8,
  0xf7fed64cfc069827, 0x7f379c7aadd3c1c0, 0xbbda9f46eaf68e43, 0x5f9e0058388058fe, 0x5d6b2673aee6d7b7,
  0x081eb3d4727a7b96, 0x98b01722f411c71c, 0x8ebd1f3b08747ac3, 0x748299e5403ff667, 0x108ffb1aa920796b,
  0x1dc8ff9cef5dbf03, 0x633bd7f378e52830, 0x0ae8bee5d54e5e53, 0x74bd551696be7a1f, 0x7d6aeb7cdb00463b,
  0x868b26865c9ab8d8, 0x216cdbeacc7903b6, 0x6b219e985a0df8da, 0x86658765bac27196, 0xeb8c590fcf257ee6,
  0x0000000000000016,
};

// t841_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c30e61558, 0x33d7a70bda5e8d3d, 0x0cd68184f13bb5a1, 0x93bbc97571a3b376,
  0x7fb5933e4ea609f1, 0xcde71eab74f0722b, 0xbea7d1babda390df, 0x002c1c28b63faa3d, 0x5339d7736b868fcf,
  0x51e560a4a76b02c6, 0xe21f51f06cc18dff, 0x9c370ebec5a6298a, 0x8ea426be96c65c70, 0x21d189f39d5db96b,
  0xb1aaf1b1d7aea6ec, 0xc071d8b4e4151e33, 0x7f0cc8e1bd970e59, 0x7aedf818847fd98c, 0xd7f37980ee47fce7,
  0x72460d4d894fdf3b, 0x85745f7040c6085a, 0x61f5abadf36d3d0f, 0xda1a2c9a19726ae3, 0x6885b36fab31e40e,
  0x59ac867a616837e3, 0x9a19961d96eb09c6, 0x534f9c643f3c95fb,
};

// t841_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_lednop_pr_ee[] = {
  0xddddd893bb7b1762, 0xbbbbba585c81b158, 0xad0a6ea1b4bd1a7b, 0x63ce0be17bbbbfc5, 0xde4bab8d1d9bb067,
  0xac99fdf7304f8c9d, 0x38f55ba7838a7bfd, 0x3e8dd5ed1c86fe6f, 0x3cacca9aad68e715, 0xcaf51f06cc1a63ea,
  0xc370ebec5a6ef8ac, 0x9a426be96c65c709, 0x268e75697d2971ac, 0x5ae875e74dd86fa3, 0x1d8b4d67a37b5635,
  0x3f5b86f65b2f9c07, 0xfb00290533ca8d82, 0x0404ef5dbf03108f, 0xf00fa8301dc8ff9e, 0x37a94e4a7407afe6,
  0x93d0f85745f76f95, 0x9d156e97aaa2d2b0, 0xae361f5abadf36ca, 0x40eda1a2c9a19726, 0x7e36885b36fab31e,
  0x9c659ac867a61683, 0x5fb9a19961d96eb0, 0x00029f39c643f3c9,
};

// t841_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_lednop_pr_ce[] = {
  0xdddd893bb7b12d3a, 0xbbbba58106a8758d, 0x0db18f263bd7a7bb, 0xbf311afbbba368a6, 0xe32775a5e83323e0,
  0xfcff6b267ca2cc13, 0xdfcde71eab74f071, 0xaef6a7d1babda390, 0xb7e780160e75163f, 0x975ac99cebb9b5e2,
  0x0207acf51fa49ee5, 0x731602bdf6b471c7, 0xc75e8f9db05a3486, 0xdc1c4d22a01ffb33, 0x6211ff626af81e5a,
  0x1ff3c0809debb7e0, 0xf5fcde01f50603b9, 0xedf2a6f529c94e80, 0x5a56127a1f0ae8be, 0xcdb2a718edd2f554,
  0x65c9ab8d87d6aeb7, 0xacc7903b6868b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9, 0xfcf257ee68665876,
  0x00000002dd708590,
};

// t841_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdddd893bb51151eb, 0xddddd2c30e04158d, 0x85c33243e9e989dd, 0xad8c2789dd6225c6, 0xa6476e0bd623f644,
  0x8073e16a609f193b, 0xe3d56e9e0e13affb, 0xfa3757b4721bf9bc, 0xb4995ac7f54663d4, 0xd7736be377e78016,
  0x7dd4a76b02bdf339, 0x51f06cc1ad7f51e5, 0x0ebec5a6298afbaf, 0x26be96c65c709c37, 0x64d1ceaedda50ea4,
  0x578d8ebce9bb0df4, 0xc762d359e8ded58d, 0x44c8e1bd96cbe701, 0xff616720a67951b0, 0xc0809debb7e06211,
  0xde01f50603b91ff3, 0xa6f529c94e80f5fc, 0x127a1f0ae8beedf2, 0xa718edd2f5545a56, 0xab8d87d6aeb7cdb2,
  0x903f2868b26865c9, 0xdf8da216cdbeacc7, 0x271966b219e985a0, 0x57ee686658765bac, 0x000534e054e1dcf2,
};

static const uint64_t ur_t841_u2x12_uart0_dual[] = {
  0xbbbba6d789d44511, 0xdddddf5fb6f27299, 0x5d4672eec3680add, 0xb229d627777619d4, 0x8c95a2e5f6b74b13,
  0x819129291951304f, 0x50ac41b826c40c76, 0x9a2774f086df8818, 0x1c9cdf3bf32c2529, 0xee6f51d7dec0a29c,
  0x3408a11c90702071, 0x143e27d70f815fe6, 0x4c510cbd88082a62, 0x1cf09a328a8432d0, 0x80438c42dd2b7fd0,
  0xfd78773058162198, 0x6f38f55ba78381ef, 0xf53e8dd5ed1c86fe, 0x752fd471be77cb2c, 0x3537c822c71c7020,
  0xb73c8daf8e62c055, 0x17b8e58c11d7ba5b, 0x0774e5e6739bcac4, 0x818847fd939cef3c, 0xe47fcf020277aedf,
  0x407afe6f2dd4180e, 0xc05ef9537a94e4a7, 0x0ae8bee1d4502169, 0xc3eb575be6da7a1f, 0x2d9b717e12e4d5c6,
  0x6433d30b41bf1b44, 0xccb0ecb7584e32cd, 0xf6e9c3b9e4afdcd0, 0x000000000000065b,
};

// t841_u2x12_uart0_dual_pr_u4
static const uint64_t ur_t841_u2x12_uart0_dual_pr[] = {
  0xddd36bc4ef3e173e, 0xeeefafdb60294cdd, 0x14e46738b7ed6eee, 0x5589dddda0ab8deb, 0xe5bf7bd7689e3d90,
  0x5232a2609f1920ce, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x97f9961285524ee9, 0xe95b60e94e070e62,
  0x8e4838103a9537a8, 0xeb87c0aff31a0450, 0x2f62020a98806813, 0x4c62a10cb426e443, 0x10b74adff4073c26,
  0xcc160588662010e3, 0x55ba78381effdd48, 0xdd5ed1c86fe6f38f, 0xa3bde77cb5c353e8, 0xa88638e38103c17e,
  0x1acf398b016899b4, 0xfb30475efc376ded, 0x3cb3dbe7aa5aa01f, 0xee9cbcce737c5390, 0x3108ffb2739de780,
  0x8ff9e0404ef5dbf0, 0x7afe6f00fa8301dc, 0x76f9537a94e4a740, 0x2d2b093d0f85745f, 0xf36ca9d156e97aaa,
  0x19726ae361f5abad, 0x598f20669f1a2c9a, 0x0b41bf1b442d9b7d, 0xb7584e32cd6433d3, 0x49e4afdcd0ccb0ec,
  0x0000000031032704,
};

// t841_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_dual_pr_ee[] = {
  0xeee9b5e2750d365a, 0xbbbbebf0ab9ca66e, 0x8bcabd396f77bbbb, 0x58aa1b45dd0dd61a, 0x3f35c2caf689ea3e,
  0x7806609f193706e4, 0x362063b40c894948, 0x36fc40c285620dc1, 0xccb0953e833ba784, 0xfb0ff8700d1369af,
  0x07020743f37a8f63, 0xf815fe63408a11c9, 0x8082a62195027d70, 0x50865a05d510cbd8, 0x63fff4073c264ad1,
  0x0b10cc4021c6216f, 0xf072397fff3a982c, 0xa390dfcde71eab74, 0x55ad1994a7d1babd, 0xb306807a8f2bfdd3,
  0x2d377c57fbbd47c1, 0xb632e384e1b875f6, 0xe3dae2bfcd2135f4, 0xdbb6488e3239d5a5, 0x464f58d56ba1d787,
  0xdd4f380e3b169c1f, 0x86a8d823f5b86f65, 0x4e5e6739bc026be4, 0x847fd939cef3c077, 0xfcf020277aedf818,
  0x7f37807d4180ee47, 0x7ca9bd4a7253a03d, 0x95849e87c2ba2fbb, 0xb654e8ab74bd5516, 0x9a18ddb0fad5d6f9,
  0x6fab337f07771a2c, 0x7a616837e36885b3, 0x1d96eb09c659ac86, 0x4a833c95fb9a1996, 0x0000000006429d3d,
};

// t841_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_dual_pr_ce[] = {
  0xbba6d789de7c50e3, 0xdddf5e4cd39299bb, 0x5f3b24fbdb17dddd, 0x9b16eeef25b83b29, 0xcbbbd51f70b67c5a,
  0x91aa0cc13e326c8d, 0x826c40c768191292, 0x086df881850ac41b, 0x2fccb0942a92774f, 0x95db0b7470d9d347,
  0x7241c081b059bd47, 0x5c3e057f98d02284, 0xf62020a98863709f, 0xa22a10cb40ca4432, 0x0b795dff4073c26e,
  0xc160588662010e31, 0x5ba7838e97fdd48c, 0xd5ed1c86fe6f38f5, 0xedfcb1fd62153e8d, 0x5dcdafd3ff9e005c,
  0x8f93dcb2eabfcce7, 0xbe38e38103affea3, 0xed1acf398b016717, 0x1ffb33c75efc376d, 0xe40f2d6ee7aa5aa0,
  0xe03ba72f339cdf14, 0xfc0c423fec9ce779, 0x7723fe781013bd76, 0xd01ebf9bc03ea0c0, 0x17ddbe54dea53929,
  0xaa8b4ac24f43e15d, 0xd6f9b654e31dba5e, 0x4d0cb93571b0fad5, 0xbeacc790334f8d16, 0xe985a0df8da216cd,
  0x765bac271966b219, 0x8224f257ee686658, 0x0000000039eb3853,
};

// t841_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbbba6d789d435032, 0xbbbbebf6da10a99b, 0xde9ae3afb913bbbb, 0xaf41238ee8f639d5, 0x27bf57eec70bc3ea,
  0x0fcc13e324a55caf, 0x40c76819129290b9, 0xf881850ac41b826c, 0x612a7d06774f086d, 0x43e386374dd83f99,
  0x1037f937a8ed77b0, 0xaff31a04508e4838, 0x54c4354113eb87c0, 0xcb422b22197b1010, 0xfe80e784d2ba2a10,
  0x19880438c42ddaef, 0x7fcfffe753058162, 0x1bf9bce3d56e9e0e, 0x47f394fa3757b472, 0xf9e24e424706c7f5,
  0xb38cce75dcdaecf9, 0xf7a8f2ba9529dac0, 0x8aea57a8f83660e5, 0x709c370ebec5a629, 0x3d8ea426be96c65c,
  0xbb6488e3239d5dba, 0xc9eb1aaf1b1d787d, 0xa9e701c762d383e8, 0x6a8d8226470decbb, 0xe5e6739bcb36be48,
  0x47fd939cef3c0774, 0xcf020277aedf8188, 0xf37807d4180ee47f, 0xca9bd4a7253a03d7, 0x5849e87c2ba2fbb7,
  0xca9c63b74bd55169, 0x431bb61f5abadf36, 0xf5666fe0eee34593, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf,
  0x506792bf734332c3, 0x0000000098222fa9,
};

// t841_u2x12_uart0_alt1_noled_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_noled_pr_ee[] = {
  0xddc15da02f7b1762, 0xddd2c0c21b158ddd, 0x53750da5e8d3dddd, 0x10ba1cddd9fc7d68, 0x5d5c68ecdd833b1e,
  0xcfefb9827c64eef2, 0xe1716f8553dfed64, 0x21bf9bce3d56e9e0, 0x5a39c54fa3757b47, 0x0698fa8f2b9126ab,
  0x9bbe2b913d47c1b3, 0x1971c270dc3afb16, 0xbe5c6b26909afa5b, 0xec22a3c1673ab4bc, 0x871b1aad743af3a6,
  0x97ce038ec5a75fd1, 0xa546c11fadc37b2d, 0xc0c423fec00b19a9, 0x0c07723fe73bd76f, 0x94d8cef5fcde394a,
  0x87c2ba2fb9755397, 0x2add2f5545a5af9e, 0x1b0fad5d6f9b600a, 0x76d0d164d0cb9357, 0x1b442d9b7d598f20,
  0x32cd6433d30b41bf, 0xdcd0ccb0ecb7584e, 0x014f9ce321f9e4af,
};

// t841_u2x12_uart0_alt1_noled_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_noled_pr_ce[] = {
  0xdc15da02f7b12d3a, 0xba58d9ca8758dddd, 0x18f263bd7a7bbbbb, 0x11afbbba6837e0db, 0x775a5e83323e0bf3,
  0xf6b267ca2cc13e32, 0xba78385c5be15fcf, 0x5ed1c86fe6f38f55, 0x100b1fd77b53e8dd, 0xdcdaf6ebf3c00b07,
  0x4f4f72cbad64ce75, 0x8238e38103d67a8e, 0x0e8f58731602e45e, 0x07feccf1d7a3e761, 0x240f2d6e90533ca8,
  0xebb7e06211ff6355, 0x1ca50603b91ff39d, 0xa9cbca6c677afe6f, 0xd7cf43e15d17dcba, 0x6008c76e97aaa2d2,
  0x93571b0fad5d6f9b, 0x8f2076d0d164d0cb, 0x41bf1b442d9b7d59, 0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7,
  0x000005bae10b21f9,
};

// t841_u2x12_uart0_alt1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_noled_pr_ee_ce[] = {
  0xdc15da02f51151eb, 0xe963ac104158dddd, 0x9921f4f4c4eeeeee, 0x83bbf7499e6342e1, 0xdb82f588fd912b67,
  0xf85a9827c64ee991, 0x2e2df0a4ebfee01c, 0x37f379c7aadd3c1c, 0x8cc7a9f46eaf68e4, 0xcf002d69182d8fea,
  0xbdf339d7736bc00f, 0x7f51e57d44a76b02, 0x8afa8f51f06cc1ad, 0x709c370ebec5a629, 0x5f0ea426be96c65c,
  0x761151e0b39d5dba, 0x871b1aaf1b1d79d3, 0x97ce038ec5a75fd1, 0xd2a3608991c37b2d, 0xe06211ff61678cd4,
  0x0603b91ff39debb7, 0xca6c677afe6f1ca5, 0x43e15d17dcbaa9cb, 0xc76e97aaa2d2d7cf, 0x1b0fad5d6f9b6008,
  0x7e50d164d0cb9357, 0x1b442d9b7d598f20, 0x32cd6433d30b41bf, 0xdcd0ccb0ecb7584e, 0x0a69c0a9c3b9e4af,
};

// t841_u2x12_uart0_alt1_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_lednop_pr_ee[] = {
  0xee0aed017bd8ad4e, 0xee96061190ac6eee, 0x932e30cf5a5eeeee, 0x85d0e6e9932f6485, 0xe9a54678bcad82f0,
  0x7e574c13e32777c8, 0x0b8b7c2b05ff6b26, 0x0dfcde71eab74f07, 0xd1af8a7d1babda39, 0xf22fa8f2b09f355a,
  0xef8ac27fa8f83660, 0x5c709c370ebec5a6, 0x2e2899a426be96c6, 0xad647cf1cead2e0a, 0xcb1aad743af5d4dd,
  0xb380e3b16988747a, 0xb8905fadc37b2e1c, 0x277aedf818847fd8, 0x7d4180ee47fcf020, 0x4a7253a03d7f3780,
  0x87c2ba2fbb7ca9bd, 0xab74bd551695849e, 0xb0fad5d6f9b654e8, 0x6d0d164d0cb93571, 0xb442d9b7d598f207,
  0x2cd6433d30b41bf1, 0xcd0ccb0ecb7584e3, 0x4f9d27321f9e4afd, 0x0000000000000001,
};

// t841_u2x12_uart0_alt1_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_lednop_pr_ce[] = {
  0xb82bb405ef62bd3a, 0x74b1b390beb1bbbb, 0x6fc5a9bdc2b77777, 0xc477774d06fca863, 0xd7afa7efe9e3bb1e,
  0xac99f4ad304f8c9d, 0x3c1c2e2df0b52bfd, 0x68e437f379c7aadd, 0x458febbda9f46eaf, 0x6d78adf9e005839d,
  0x27b965d6b2673aee, 0x1c71c081eb3d47e9, 0x8d219cc580af7dad, 0xfeccf1d7a3e76c16, 0x0796b7071348a807,
  0xedf818847fd89abe, 0x80ee47fcf020277a, 0x53a03d7f37807d41, 0xba2fbb7ca9bd4a72, 0xbd551695849e87c2,
  0xabadf36ca9c63b74, 0x2c9a19726ae361f5, 0xb36fab31e40eda1a, 0x867a616837e36885, 0x961d96eb09c659ac,
  0x6a643f3c95fb9a19, 0x0000000000016ea5,
};

// t841_u2x12_uart0_alt1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_lednop_pr_ee_ce[] = {
  0xee0aed017a88ba31, 0xe963ac1345ac6eee, 0x5b21e47792eeeeee, 0xc1ddfba4cf310828, 0xec4e015f4cd29bb3,
  0xfd8fcc13e3277599, 0x5c5be1687ffee01c, 0x6fe6f38f55ba7838, 0x198f53e8dd5ed1c8, 0x9e005ad2656b1fd5,
  0xf7cce75dcdaf8ddf, 0xfd4795f7529dac0a, 0x2beebd47c1b306b5, 0xc270dc3afb1698a6, 0x943a909afa5b1971,
  0xec37d193473abb76, 0x7b56355e363af3a6, 0x2f9c071d8b4d67a3, 0xe546c1132386f65b, 0x818847fd859c8299,
  0xe47fcf020277aedf, 0x03d7f37807d4180e, 0xfbb7ca9bd4a7253a, 0x51695849e87c2ba2, 0xdf36ca9c63b74bd5,
  0xa19726ae361f5aba, 0xfab31e40fca1a2c9, 0xa616837e36885b36, 0xd96eb09c659ac867, 0x8773c95fb9a19961,
  0x000000000534cc93,
};

static const uint64_t ur_t841_u2x12_uart0_alt1_dual[] = {
  0x77783eefde7cbf3e, 0xbbbebcb899153377, 0x8ee3880ad6c5bbbb, 0x52a05eeeed0b23fa, 0x4d8b96caddebb7ac,
  0x894948e8fcc13e32, 0x620dc1362063b40c, 0x3ba78436fc40c285, 0x598e1fe6584a1549, 0xdea3feed8256383a,
  0x11423920e040e034, 0x684fae1f02bfcc68, 0x110cbd88082a6201, 0xe132d78a8432d0c9, 0x871885bfceffa039,
  0xea4660b02c433100, 0x9e0e1716f858f7fe, 0xb4721bf9bce3d56e, 0xd9df2cb3d4fa3757, 0x8e38e040ea5fa8fb,
  0x398b0154d4c98dc3, 0x475ee96ec21d189f, 0x739bcacd66e39630, 0x939cef3c0774e5e6, 0x0277aedf818847fd,
  0x7f37980ee47fcf02, 0x0b5392296af3a03d, 0x7dd2ff14085a54f8, 0xaeb7cdb4f43e15d1, 0xe2fc25c9ab8d87d6,
  0xa616837e36885b36, 0xd96eb09c659ac867, 0x0893c95fb9a19961, 0x0000000065be9a0e,
};

// t841_u2x12_uart0_alt1_dual_pr_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_dual_pr[] = {
  0xbbbc1f77ef3e1bc1, 0xdddf5e5c4ed299bb, 0x7ad9392669cedddd, 0x60ddbbbb6469980a, 0x7275bdcfbeee711d,
  0x290a49304f8c93f7, 0xb826c40c76819129, 0xf086df881850ac41, 0x9efccb0942a92774, 0x790fb02ea7028732,
  0x47241c081b939bd4, 0xf5c3e057f98d0228, 0x2f62020a9884ed89, 0xc922a10cb4271443, 0x10b790fff4073c26,
  0xcc160588662010e3, 0xe1716f857f3fdd48, 0x21bf9bce3d56e9e0, 0xf2d70d4fa3757b47, 0x8e040f05fa8ef79d,
  0x2c05a266d2a218e3, 0x7bf0ddb7b46b3ce6, 0x9ea96a807fecc11d, 0x39cdf14e40f2cf6f, 0xc9ce779e03ba72f3,
  0x013bd76fc0c423fe, 0x03ea0c07723fe781, 0xea53929d01ebf9bc, 0xf43e15d17ddbe54d, 0x455ba5eaa8b4ac24,
  0x8d87d6aeb7cdb2a7, 0x9a7c68b26865c9ab, 0x6d10b66df5663c81, 0xcb3590cf4c2d06fc, 0x734332c3b2dd6138,
  0x0c41eb7c112792bf,
};

// t841_u2x12_uart0_alt1_dual_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_dual_pr_ee[] = {
  0xeeef07ddfa865c93, 0xbbbbebd04402a66e, 0xcea2f8d5bb37bbbb, 0x8bc2f5c7ba529055, 0x4da6e44de4fbb0b5,
  0x02a89827c64c4eb9, 0x26c40c7681912929, 0x86df881850ac41b8, 0xf99612a7d06774f0, 0x5b04db384edcd6b7,
  0x07020663f37a8fbb, 0xf815fe63408a11c9, 0x8082a620a4827d70, 0x50865a0c1510cbd8, 0xbb5ff4073c2690f1,
  0x0b10cc4021c6216f, 0xbe149d7fff3a982c, 0x6f38f55ba78385c5, 0xa53e8dd5ed1c86fe, 0xd4795fee9aad68cc,
  0xbfddea3e0d983403, 0x270dc3afb169bbe2, 0xfe6909afa5b1971c, 0x7191cead2f1ed715, 0xab5d0ebc3eddb244,
  0x71d8b4e0fa327ac6, 0x1fadc37b2eea79c0, 0xcde0135f243546c1, 0xce779e03ba72f339, 0x3bd76fc0c423fec9,
  0xea0c07723fe78101, 0x53929d01ebf9bc03, 0x3e15d17ddbe54dea, 0x5ba5eaa8b4ac24f4, 0x87d6aeb7cdb2a745,
  0xf83bb8d164d0c6ed, 0xbf1b442d9b7d599b, 0x4e32cd6433d30b41, 0xafdcd0ccb0ecb758, 0x00190a2eca5419e4,
};

// t841_u2x12_uart0_alt1_dual_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_dual_pr_ce[] = {
  0x77783eefde7cd0e3, 0xdddf5f0046a53377, 0x655862afddfbdddd, 0x87b6eeecbb89c9cb, 0xcb66f42d9129f658,
  0x90148cc13e324d2d, 0x826c40c768191292, 0x086df881850ac41b, 0xafccb0942a92774f, 0xd37b08ac701ad313,
  0x7241c081e569bd47, 0x5c3e057f98d02284, 0xf62020a9881ad89f, 0xd4542196818f4432, 0x16fa6ffe80e784dd,
  0x82c0b10cc4021c62, 0x5c5be14baffba919, 0x6fe6f38f55ba7838, 0xd62153e8dd5ed1c8, 0x3ff9e005cedfcb1f,
  0x2eabfcce75dcdafd, 0x103affea38f93dcb, 0x98b016717be38e38, 0x75efc376ded1acf3, 0xee7aa5aa01ffb33c,
  0xf339cdf14e40f2d6, 0xfec9ce779e03ba72, 0x81013bd76fc0c423, 0xbc03ea0c07723fe7, 0x4dea53929d01ebf9,
  0x24f43e15d17ddbe5, 0x4e31dba5eaa8b4ac, 0x571b0fad5d6f9b65, 0x0334f8d164d0cb93, 0xf8da216cdbeacc79,
  0x71966b219e985a0d, 0x7ee686658765bac2, 0x0073d7a738224f25,
};

// t841_u2x12_uart0_alt1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart0_alt1_dual_pr_ee_ce[] = {
  0x777783eefd435202, 0xbbbbebcb883e5337, 0x086bbeb5a339bbbb, 0x13caddc1dd9c45a9, 0x31dabdf9af913ee1,
  0xe5e609f192d3ae4a, 0xc40c768191292909, 0xdf881850ac41b826, 0x9612a7d06774f086, 0x0fd7381adcd30df9,
  0x8103adf9bd47149b, 0x0aff31a04508e483, 0x054c4029113eb87c, 0x0cb40e0a2197b101, 0x3fe80e784da6e2a1,
  0x10cc4021c6216e29, 0x2a6dffff3a982c0b, 0x71eab74f070b8b7c, 0x7d1babda390dfcde, 0x21238363faa3f9ca,
  0x3aee6d767cfcf127, 0x5d4a94ed6059c667, 0xd47c1b3072fbd479, 0x875f62d314c5752b, 0x135f4b632e384e1b,
  0x7191ceaedd1ec752, 0x578d8ebc3eddb244, 0xe3b169c1f464f58d, 0x132386f65dd4f380, 0xcde59b5f243546c1,
  0xce779e03ba72f339, 0x3bd76fc0c423fec9, 0xea0c07723fe78101, 0x53929d01ebf9bc03, 0x3e15d17ddbe54dea,
  0xdba5eaa8b4ac24f4, 0x0fad5d6f9b654e31, 0xf07771a2c9a18ddb, 0x7e36885b36fab337, 0x9c659ac867a61683,
  0x5fb9a19961d96eb0, 0x009820f2f4a833c9,
};

// t841_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart1_noled_pr_ee[] = {
  0xeeeec49ddbd8bf82, 0xddddd2c2e4168ac6, 0x9bc7636cdde9fbdd, 0xc4e0be17bbbbfc5a, 0x4c4eb4583656d90c,
  0xb267f024c13e3277, 0x7aadd3f20214bff6, 0x46eaf68e437f379c, 0x57224d56b4738a9f, 0x7a8f83660d31f51e,
  0xb875f62d377c5722, 0x2135f4b632e384e1, 0xce7569797cb8d64d, 0xe875e74dd8454782, 0x8b4ebfa30e36355a,
  0x5b86f65b2f9c071d, 0x801633534a8d823f, 0xce7976df81888efd, 0xf9bc7294180ee8ef, 0x72eaa72f29b19e5d,
  0x8b4b5f3d0f85745f, 0xdf36c01455ba5eaa, 0xa19726ae361f5aba, 0xfab31e40eda1a2c9, 0xa616837e36885b36,
  0xd96eb09c659ac867, 0x43f3c95fb9a19961, 0x00000000029f31b6,
};

// t841_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart1_noled_pr_ce[] = {
  0xdddd893bb7b16668, 0xbbbba581061b758d, 0x18ebf9b82fdb1fbb, 0xf2e25ef77746d14c, 0xc64ee9bbd642a2f8,
  0xf7fed64cfc069827, 0xe6f38f55ba7e4040, 0x7b53e8dd5ed1c86f, 0xf3c00b07100b1fd7, 0xad64ce75dcdaf6eb,
  0x03d67a8e4f4f72cb, 0x1602e45e8238e381, 0xd7a3e7610e8f5873, 0x90533ca807feccf1, 0x23bf6355240f2d6e,
  0xba3bf39e5db7e062, 0x67977e6f1ca50603, 0x5d17dcbaa9cbca6c, 0x97aaa2d2d7cf43e1, 0xad5d6f9b6008c76e,
  0xd164d0cb93571b0f, 0x2d9b7d598f2076d0, 0x6433d30b41bf1b44, 0xccb0ecb7584e32cd, 0x718b21f9e4afdcd0,
  0x00000000000002dd,
};

// t841_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart1_noled_pr_ee_ce[] = {
  0xddddd893bb7b1762, 0xdddddd2c30e61558, 0x33d7a70bda5e8d3d, 0x0cd68184f13bb5a1, 0x93bbc97571a3b376,
  0x7fb5933e4ea609f1, 0xbce3d56e9f90122b, 0xd4fa3757b4721bf9, 0x05838516c7f547b7, 0x673aee6d70d1f9e0,
  0x3cac1494ed6058ca, 0x43ea3e0d9831bfea, 0x86e1d7d8b4c5315c, 0xd484d7d2d8cb8e13, 0x3a313e73abb72d71,
  0x355e363af5d4dd84, 0x0e3b169c82a3c676, 0xe1991c37b2e1cb38, 0xedbf03111dfb318f, 0x7e6f301dd1df9cf2,
  0x48c1a9b129fbe797, 0xae8bee0818c10b4e, 0x3eb575be6da7a1f0, 0x434593432e4d5c6c, 0x10b66df5663c81db,
  0x3590cf4c2d06fc6d, 0x4332c3b2dd6138cb, 0x69f38c87e792bf73, 0x000000000000000a,
};

// t841_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart1_lednop_pr_ee[] = {
  0xddddd893bb7b1762, 0xbbbbba585c81b158, 0xad0a6ea1b4bd1a7b, 0x63ce0be17bbbbfc5, 0xde4bab8d1d9bb067,
  0xac99fdf7304f8c9d, 0x1eab74fc808a7bfd, 0xd1babda390dfcde7, 0x95995355ad1ce2a7, 0x5ea3e0d9834c7d47,
  0x6e1d7d8b4ddf1599, 0x484d7d2d8cb8e138, 0xd1cead2fa52e3593, 0x5d0ebce9bb0df464, 0xb169acf46f6ac6ab,
  0xeb70decb65f380e3, 0x600520a67951b047, 0x809e5db7e06223bf, 0x01f50603ba3bf3c0, 0xf529c94e812efcde,
  0x7a1f0ae8beedf2a6, 0xa2add2f5545a5612, 0xc6c3eb575be6d953, 0x1db434593432e4d5, 0xc6d10b66df5663c8,
  0x8cb3590cf4c2d06f, 0xf734332c3b2dd613, 0x0053e738c87e792b,
};

// t841_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart1_lednop_pr_ce[] = {
  0xdddd893bb7b12d3a, 0xbbbba58106a8758d, 0x0db18f263bd7a7bb, 0xbf311afbbba368a6, 0xe32775a5e83323e0,
  0xfcff6b267ca2cc13, 0xf9bce3d56e9f9011, 0xded4fa3757b4721b, 0xfcf002c1cea2c7f5, 0xeb59339d7736bc56,
  0x40f59ea3f493dcb2, 0x62c057bed68e38e0, 0xebd1f3b60b4690ce, 0x8389a45403ff6678, 0x4477ec4d5f03cb5b,
  0x7e781013cbb6fc0c, 0xdf9bc03ea0c07747, 0xbe54dea53929d025, 0x4ac24f43e15d17dd, 0xb654e31dba5eaa8b,
  0xb93571b0fad5d6f9, 0x98f2076d0d164d0c, 0xb41bf1b442d9b7d5, 0x7584e32cd6433d30, 0x9e4afdcd0ccb0ecb,
  0x0000005bae10b21f,
};

// t841_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart1_lednop_pr_ee_ce[] = {
  0xdddd893bb51151eb, 0xddddd2c30e04158d, 0x85c33243e9e989dd, 0xad8c2789dd6225c6, 0xa6476e0bd623f644,
  0x8073e16a609f193b, 0x7aadd3f20213affb, 0x46eaf68e437f379c, 0x932b58fea8cc7a9f, 0xee6d7c6efcf002d6,
  0xba94ed6057be673a, 0x3e0d9835afea3caf, 0xd7d8b4c5315f75ea, 0xd7d2d8cb8e1386e1, 0x9a39d5dbb4a1d484,
  0xf1b1d79d3761be8c, 0xec5a6b3d1bdab1aa, 0x991c37b2d97ce038, 0xec2ce414cf2a3608, 0x1013cbb6fc0c4477,
  0xc03ea0c077477e78, 0xdea53929d025df9b, 0x4f43e15d17ddbe54, 0xe31dba5eaa8b4ac2, 0x71b0fad5d6f9b654,
  0x07e50d164d0cb935, 0xf1b442d9b7d598f2, 0xe32cd6433d30b41b, 0xfdcd0ccb0ecb7584, 0x00a69c0a9c3b9e4a,
};

static const uint64_t ur_t841_u2x12_uart1_dual[] = {
  0xbbbba6d789d44511, 0xdddddf5fb6f27299, 0x5d4672eec3680add, 0xb229d627777619d4, 0x8c95a2e5f6b74b13,
  0x819129291951304f, 0x50ac41b826c40c76, 0x9a2774f086df8818, 0x1c9cdf3bf32c2529, 0xee6f51d7dec0a29c,
  0x3408a11c90702071, 0x143e27d70f815fe6, 0x4c510cbd88082a62, 0x1cf09a328a8432d0, 0x80438c42dd2b7fd0,
  0xfd78773058162198, 0xe71eab74fc8081ef, 0xa7d1babda390dfcd, 0xa5fa8e37cef9659e, 0xa6f90458e38e040e,
  0xe791b5f1cc580aa6, 0xf71cb1823af74b76, 0xee9cbcce73795882, 0x3111dfb2739de780, 0x1df9e0404f2edbf0,
  0x12efcde5ba8301dd, 0x0bdf2a6f529c94e8, 0x5d17dc3a8a042d38, 0x7d6aeb7cdb4f43e1, 0xb36e2fc25c9ab8d8,
  0x867a616837e36885, 0x961d96eb09c659ac, 0xdd38773c95fb9a19, 0x000000000000cb7e,
};

// t841_u2x12_uart1_dual_pr_u4
static const uint64_t ur_t841_u2x12_uart1_dual_pr[] = {
  0xddd36bc4ef3e173e, 0xeeefafdb60294cdd, 0x14e46738b7ed6eee, 0x5589dddda0ab8deb, 0xe5bf7bd7689e3d90,
  0x5232a2609f1920ce, 0x704d8818ed032252, 0xe10dbf1030a15883, 0x97f9961285524ee9, 0xe95b60e94e070e62,
  0x8e4838103a9537a8, 0xeb87c0aff31a0450, 0x2f62020a98806813, 0x4c62a10cb426e443, 0x10b74adff4073c26,
  0xcc160588662010e3, 0xb74fc8081effdd48, 0xabda390dfcde71ea, 0x77bcef96b86a7d1b, 0x10c71c7020782fd4,
  0x59e731602d133695, 0x6608ebdf86edbda3, 0x967b7cf54b5403ff, 0xd39799ce6f8a7207, 0x223bf64e73bcf01d,
  0xbf3c0809e5db7e06, 0xefcde01f50603ba3, 0xdf2a6f529c94e812, 0xa56127a1f0ae8bee, 0x6d953a2add2f5545,
  0x2e4d5c6c3eb575be, 0x31e40cd3e3459343, 0x6837e36885b36fab, 0xeb09c659ac867a61, 0x3c95fb9a19961d96,
  0x000000062064e089,
};

// t841_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_t841_u2x12_uart1_dual_pr_ee[] = {
  0xeee9b5e2750d365a, 0xbbbbebf0ab9ca66e, 0x8bcabd396f77bbbb, 0x58aa1b45dd0dd61a, 0x3f35c2caf689ea3e,
  0x7806609f193706e4, 0x362063b40c894948, 0x36fc40c285620dc1, 0xccb0953e833ba784, 0xfb0ff8700d1369af,
  0x07020743f37a8f63, 0xf815fe63408a11c9, 0x8082a62195027d70, 0x50865a05d510cbd8, 0x63fff4073c264ad1,
  0x0b10cc4021c6216f, 0x9012397fff3a982c, 0x721bf9bce3d56e9f, 0xb5a33294fa3757b4, 0x60d00f51e57fba6a,
  0xa6ef8aff77a8f836, 0xc65c709c370ebec5, 0x7b5c57f9a426be96, 0x76c911c6473ab4bc, 0xc9eb1aad743af0fb,
  0xa9e701c762d383e8, 0xd51b047eb70decbb, 0xcbcce737804d7c90, 0x1dfb2739de780ee9, 0x9e0404f2edbf0311,
  0xe6f00fa8301dd1df, 0x9537a94e4a740977, 0xb093d0f85745f76f, 0xca9d156e97aaa2d2, 0x431bb61f5abadf36,
  0xf5666fe0eee34593, 0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf, 0x506792bf734332c3, 0x00000000c853a7a9,
};

// t841_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_t841_u2x12_uart1_dual_pr_ce[] = {
  0xbba6d789de7c50e3, 0xdddf5e4cd39299bb, 0x5f3b24fbdb17dddd, 0x9b16eeef25b83b29, 0xcbbbd51f70b67c5a,
  0x91aa0cc13e326c8d, 0x826c40c768191292, 0x086df881850ac41b, 0x2fccb0942a92774f, 0x95db0b7470d9d347,
  0x7241c081b059bd47, 0x5c3e057f98d02284, 0xf62020a98863709f, 0xa22a10cb40ca4432, 0x0b795dff4073c26e,
  0xc160588662010e31, 0x74fc808e97fdd48c, 0xbda390dfcde71eab, 0xbf963fac42a7d1ba, 0xb9b5fa7ff3c00b9d,
  0xf27b965d57f99ceb, 0xc71c702075ffd471, 0xa359e731602ce2f7, 0xff6678ebdf86edbd, 0x81e5addcf54b5403,
  0x0774e5e6739be29c, 0x81888efd939cef3c, 0xe8efcf02027976df, 0x04bbf37807d4180e, 0xfbb7ca9bd4a7253a,
  0x51695849e87c2ba2, 0xdf36ca9c63b74bd5, 0xa19726ae361f5aba, 0xd598f20669f1a2c9, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x449e4afdcd0ccb0e, 0x000000073d670a70,
};

// t841_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_t841_u2x12_uart1_dual_pr_ee_ce[] = {
  0xbbba6d789d435032, 0xbbbbebf6da10a99b, 0xde9ae3afb913bbbb, 0xaf41238ee8f639d5, 0x27bf57eec70bc3ea,
  0x0fcc13e324a55caf, 0x40c76819129290b9, 0xf881850ac41b826c, 0x612a7d06774f086d, 0x43e386374dd83f99,
  0x1037f937a8ed77b0, 0xaff31a04508e4838, 0x54c4354113eb87c0, 0xcb422b22197b1010, 0xfe80e784d2ba2a10,
  0x19880438c42ddaef, 0x7fcfffe753058162, 0x7f379c7aadd3f202, 0xfe729f46eaf68e43, 0x3c49c848e0d8fea8,
  0x7199cebb9b5d9f3f, 0xf51e5752a53b5816, 0x5d4af51f06cc1cbe, 0x1386e1d7d8b4c531, 0xb1d484d7d2d8cb8e,
  0x6c911c6473abb747, 0x3d6355e363af0fb7, 0x3ce038ec5a707d19, 0x51b044c8e1bd9775, 0xbcce737966d7c90d,
  0xdfb2739de780ee9c, 0xe0404f2edbf03111, 0x6f00fa8301dd1df9, 0x537a94e4a740977e, 0x093d0f85745f76f9,
  0x538c76e97aaa2d2b, 0x6376c3eb575be6d9, 0xaccdfc1ddc68b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9,
  0x0cf257ee68665876, 0x000000130445f52a,
};

// t841_swio10_noled_pr_ee_u4
static const uint64_t ur_t841_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f53b2758, 0xcfdec33d75e5ef56, 0x6fbbcd0684d6a7e3, 0x820ccd8c288a444e,
  0xc13e3277699e91fb, 0xc369bff6b267c6b4, 0xe56e4e6ab5a3ee98, 0x6f51f06cc1cbef51, 0x6e1d7d8b4ddf15c0,
  0x484d7d2d8cb8e138, 0x539d5a5cca5c5133, 0xd0ebd753767bd1e4, 0x8b4ee1a326ac6ab5, 0x6e1bd970e59c071d,
  0x6d7972ab55c35f7d, 0x52a8d778c31ce8c3, 0xb395daa5beace751, 0x02954bef5f4d8066, 0xfd6b9ed5688af2ec,
  0xd4ea701652a7d3bc, 0xee38522810b4b0b9, 0x75be6da7a1f0ae8b, 0x93432e4d5c6c3eb5, 0x6df5663c81db4345,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0x8c87e792bf734332, 0x00000000000a7cd3,
};

// t841_swio10_noled_pr_ce_u4
static const uint64_t ur_t841_swio10_noled_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b271a9d63, 0xd1a826993bf238cb, 0x705ff5685f50f8fa, 0x22a6de9933ddc3e8,
  0xc13e32776a2e8d3f, 0xc3393ff6b267e43c, 0x05838e4ec7f5c918, 0x673aee6d70d1f9e0, 0xfd47c927b965d6b2,
  0xc8937471c7020782, 0xcecb5d1dac731602, 0x3d500ffd99e3af47, 0x6acfba0796b7748b, 0x18639d186daf2e55,
  0xb7d59cea2a551aef, 0xebe9b00cd672bb54, 0xad115e5d8052a97d, 0x9e1a779bdb5d73da, 0xe15d17dc0eea6c52,
  0xa5eaa8b4b485cf43, 0x5abadf36cf5b31db, 0xa2c9a19726ae361f, 0x5b36fab31e40eda1, 0xc867a616837e3688,
  0x9961d96eb09c659a, 0x73e643f3c95fb9a1, 0x00000000000016ea,
};

// t841_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t841_swio10_noled_pr_ee_ce[] = {
  0x1b7bbbbbba88a493, 0xe2ee5a588565c758, 0xf4ed977b8ef311af, 0xdb7b3fc7b4508019, 0x22625a5ce250e0db,
  0xf193ba53b6c49daf, 0x3fff700e7f76a609, 0x9fb1fd51c87630c6, 0xb5d9cbf3c00b5a4e, 0x53b5815ef99cebb9,
  0x3660d00f51e56e96, 0xc5a6298add2fa8f8, 0x96c65c709c370ebe, 0x9d5db8a28ea426be, 0x8ebce9bb2008e213,
  0xb4def4622d8d578d, 0x386f65b2f9c071d8, 0x9664f57f546c1132, 0x18e7461b6bcb955a, 0xf5673a8a9546bbc6,
  0xfa6c03359caed52d, 0x4457976014aa5f7a, 0x869de6f6d75cf6ab, 0x5745f703ba9b14a7, 0x7aaa2d2d2173d0f8,
  0xaeb7cdb3d6cc76e9, 0xb26865c9ab8d87d6, 0xcdbeacc7903f2868, 0x19e985a0df8da216, 0x58765bac271966b2,
  0xdce1dcf257ee6866, 0x000000000014d37a,
};

// t841_swio10_lednop_pr_ee_u4
static const uint64_t ur_t841_swio10_lednop_pr_ee[] = {
  0x1cdf7777777b1762, 0x6532e5a58f53c2ab, 0x5ed2f469efa5ad35, 0x737dde683426bd38, 0x4766ec19ad045222,
  0x4c13e3277792eae3, 0x8c3456ff6b267c9d, 0x1e57f3a6ab5a3ee9, 0x4af51f06cc1cbef5, 0x86e1d7d8b4ddf15d,
  0x3484d7d2d8cb8e13, 0xae73ab4bc7b5c513, 0xba1d7aea6ed10a35, 0xd8b4c4547d258d56, 0xd6e1bd970e59c071,
  0x1b6bcb955aae2bff, 0x8a9546bbc618e746, 0x809caed52df5673a, 0xab574bfa6c0335c0, 0x5cf6ab4457976014,
  0xbd4b5e5380b9d01e, 0x0bf714085a561130, 0xdf36d3d0f85745f7, 0xa19726ae361f5aba, 0xfab31e40eda1a2c9,
  0xa616837e36885b36, 0xd96eb09c659ac867, 0x43f3c95fb9a19961, 0x00000000029f39c6,
};

// t841_swio10_lednop_pr_ce_u4
static const uint64_t ur_t841_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef623f3e, 0x2ae5a58b272c9d63, 0xc695bde6ec1e38cb, 0xc17fd59a9c2ff4a6, 0x4e5a30a803770fa1,
  0x609f193ba47f682f, 0x619d2ffb5933e52e, 0x02c1c74b63fae48c, 0x673aee6d79dbfcf0, 0xfd470527b965d6b2,
  0x99538c71c7020782, 0xced10a383e731602, 0x81500ffd99e3af47, 0x5abeb703cb5b845e, 0xc618e7461b6bcb95,
  0x2df5673a8a9546bb, 0x6c0335c0809caed5, 0x57976014ab574bfa, 0x80f3e2d75cf6ab44, 0xbee085482e52d7ce,
  0x5169485e7a1f0ae8, 0x5be6d8c863b74bd5, 0x3432e4d5c6c3eb57, 0xdf5663c81db43459, 0xf4c2d06fc6d10b66,
  0x3b2dd6138cb3590c, 0xc87e792bf734332c, 0x0000000005ba8bf6,
};

// t841_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_swio10_lednop_pr_ee_ce[] = {
  0x0dbddddddd447e4a, 0xf1772d2c42b533ac, 0x891d837b64c178d7, 0xb6f67f8f5c6d14fd, 0x3b92bd79c4a1c1b7,
  0xe32775eb686e57dd, 0xf9ff700e7f4d4c13, 0xcdd8fea8e43b186f, 0xb5da0ff9e005ad20, 0x53b5815ef99cebb9,
  0x3660d00f51e565d6, 0xc5a6298acbafa8f8, 0x96c65c709c370ebe, 0x9d5db92b0ea426be, 0x8ebce9bb7508d7c3,
  0x69fc88c6fd8d578d, 0x70decb65f380e3b1, 0x2cfa459ea8d82264, 0x31ce8c36d7972ab5, 0xeace75152a8d778c,
  0x066b8101395daa5b, 0x2ec02956ae97f4d8, 0xe7c5aeb9ed5688af, 0xc10a905ca5af9d01, 0xd290bcf43e15d17d,
  0xcdb190c76e97aaa2, 0x65c9ab8d87d6aeb7, 0xacc7903f2868b268, 0x85a0df8da216cdbe, 0x5bac271966b219e9,
  0xdcf257ee68665876, 0x000000534d3ebce1,
};

// t841_swio10_dual_pr               t841_swio10_dual_pr_u4
static const uint64_t ur_t841_swio10_dual[] = {
  0x1fddddddde7c92df, 0x3d5b7d7f8bd94a61, 0xf6962d123c9469c3, 0xa0ccc4abe3b46e99, 0xb086739a76e91f68,
  0xc64d93b9227ed689, 0x819129291dd69827, 0x50ac41b826c40c76, 0xa92774f086df8818, 0x05f73145fccb0942,
  0xdd4dea3c7bd83f87, 0x63408a11c9070207, 0x1080027d70f815fe, 0x0c8a8865ec404153, 0x01cf098458a8432d,
  0x880438c42dd4f7fd, 0x3ff7523305816219, 0x7328ef964c58c339, 0x3dc71c7020637fd4, 0xf21cc580b44cc95a,
  0xcc11d7bf0ddb4a47, 0x2cf6d31c8aa807fe, 0xd39799ce6fc0940f, 0xcb955ace73bcf01d, 0x46bbc618e7461b6b,
  0xaed52df5673a8a95, 0x4bfa6c0335c0809c, 0xab4457976014ab57, 0xd7ce80f3e2d75cf6, 0x0ae8bee085482e52,
  0x4bd55169485e7a1f, 0xf5abadf36c648ab7, 0x1a2c9a19726ae361, 0x2d9b7d598f20669f, 0x6433d30b41bf1b44,
  0xccb0ecb7584e32cd, 0x63ff0449e4afdcd0, 0x0000000000000621,
};

// t841_swio10_dual_pr_ee_u4
static const uint64_t ur_t841_swio10_dual_pr_ee[] = {
  0x7adbbbbbba860aac, 0x9dab6fafcc6bbd4c, 0x7ae17bbb287b589c, 0xecae0b624d74039f, 0x37931d6dd7c337ac,
  0xa67722bded821c11, 0x94948de7d304f8c9, 0x20dc1362063b40c8, 0xba78436fc40c2856, 0x305afccb0953e833,
  0xd471adb0274704b5, 0x2847241c081e9b9b, 0x09f5c3e057f98d02, 0x865ec40415310eeb, 0x347b8a8432d0a948,
  0x310b7b5bffa039e1, 0xd4c160588662010e, 0xa34acc618c7ffff9, 0x98ff51e57b3a6ab5, 0xdf15ecef51f06cc1,
  0xb8e1386e1d7d8b4d, 0xb8aff3484d7d2d8c, 0xfc4613ce7569753c, 0x2c6ab5d0ebc3edd9, 0xce038ec5a67aa3c9,
  0x3608fd6e1bd97753, 0xe6739bc021f20faa, 0x56b39cef3c0774e5, 0xf18639d186daf2e5, 0x4b7d59cea2a551ae,
  0x9b00cd7020272bb5, 0x15e5d8052ad5d2fe, 0xa03cf8b5d73daad1, 0x2fb821520b94b5f3, 0x545a52179e87c2ba,
  0xeb7cdb1922add2f5, 0x8d164d0c6ed87d6a, 0x42d9b7d599bf83bb, 0xd6433d30b41bf1b4, 0x0ccb0ecb7584e32c,
  0x0745a5419e4afdcd, 0x0000000000000c85,
};

// t841_swio10_dual_pr_ce_u4
static const uint64_t ur_t841_swio10_dual_pr_ce[] = {
  0x92eeeeeeef3e43ee, 0x2eadbebcbdb3e533, 0xde8ebe991b82d16a, 0x685c71086930056f, 0x58bf5d9d6dde4be4,
  0x926c5cb266a6bb4f, 0xc894948575e609f1, 0x5620dc1362063b40, 0x93ba78436fc40c28, 0xa598e1fe6584a154,
  0x4dea3feed8256383, 0x811423920e040e03, 0xf0c4fae1f02bfcc6, 0x222197b101054c42, 0x3c265af150865a19,
  0x10e310b7d9dff407, 0xdd48cc1605886620, 0x763facbe630c52ff, 0x6bd6ffe780173b29, 0xf72cba7b5339d773,
  0x1c70207d07a8fa54, 0x8f8731602bf9d447, 0xb19e3af74b769b91, 0x2f339cde3a1f371c, 0x2ab59ce779e03ba7,
  0x778c31ce8c36d797, 0xaa5beace75152a8d, 0xf4d8066b8101395d, 0x88af2ec02956ae97, 0x9d01e7c5aeb9ed56,
  0xd17dc10a905ca5af, 0xaaa2d290bcf43e15, 0xaeb7cdb190c76e97, 0xb26865c9ab8d87d6, 0x6df5663c819a7c68,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0xdc112792bf734332, 0x0000000001cf5f49,
};

// t841_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_t841_swio10_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xb0dab6faff163f14, 0xb6fd5f773ed9f362, 0xafb452821da083e0, 0xc12fafb3763d71ec,
  0xc4eb977668f0d4ea, 0x949483d9e9827c64, 0x20dc1362063b40c8, 0xba78436fc40c2856, 0x6b5bfccb0953e833,
  0x47ddad826d9c276e, 0x08e483810331f9bd, 0x3eb87c0aff31a045, 0xcbd88082a620b821, 0x90f150865a0c1510,
  0x216f30dff4073c26, 0x982c0b10cc4021c6, 0x72b98c356fffff3a, 0x9e24e425882c7f54, 0x7199cebb9b5fbadf,
  0xf51e576ea53b5816, 0x5dbaf51f06cc187b, 0x1386e1d7d8b4c531, 0xe1d484d7d2d8cb8e, 0xcfe2309e73abb729,
  0x92c6abc6c75e1f6e, 0x3ce038ec5a67aa3c, 0x51b044c8e1bd9775, 0x2f339cde598f907d, 0x2ab59ce779e03ba7,
  0x778c31ce8c36d797, 0xaa5beace75152a8d, 0xf4d8066b8101395d, 0x88af2ec02956ae97, 0x9d01e7c5aeb9ed56,
  0xd17dc10a905ca5af, 0xaaa2d290bcf43e15, 0xaeb7cdb190c76e97, 0xb8d164d0c6ed87d6, 0x442d9b7d599bf83b,
  0xcd6433d30b41bf1b, 0xd0ccb0ecb7584e32, 0xc139ca5419e4afdc, 0x0000000000000004,
};

// t841_swio11_noled_pr_ee_u4        t841_swio12_noled_pr_ee           t841_swio12_noled_pr_ee_u4
static const uint64_t ur_t841_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9a9bac24, 0xcf5a5eb11f17ab29, 0xdde6825ef71de630, 0x8bcad92045222245,
  0x3e32777c8e9a5467, 0x6ceff6b267ce0cc1, 0xd2b4d56b47b7d8c3, 0x51f06cc1ce3ea3ca, 0x1d7d8b4ddf15afbf,
  0x4d7d2d8cb8e1386e, 0x3ab4b87b5c513348, 0xebd753764c518f87, 0xa76b23e82c6ab5d0, 0x0decb872ce038ec5,
  0x5e5caad57021feb7, 0xaa35de30c73a30db, 0x576a96fabb39d454, 0x95b1bd7d36019ace, 0x6b9ed5688af2ec02,
  0xea701652a7d3bcfd, 0x1e5e2810b4b0b9d4, 0xbe6da7a1f0ae8bee, 0x432e4d5c6c3eb575, 0xf5663c81db434593,
  0x4c2d06fc6d10b66d, 0xb2dd6138cb3590cf, 0x87e792bf734332c3, 0x0000000053e749cc,
};

// t841_swio11_noled_pr_ce_u4        t841_swio12_noled_pr_ce           t841_swio12_noled_pr_ce_u4
static const uint64_t ur_t841_swio11_noled_pr_ce[] = {
  0xd0e6eeeeef621391, 0x72d2c59398eeb1eb, 0xd6437779b51c6595, 0x2ff7e02ff1eebd04, 0xe1564f6deefaf438,
  0x4f8c9ddb23b42f92, 0xc95bfdac99f38730, 0x60e256b1fd57c630, 0x9d7736ba6dfe7801, 0xa3af93dcb2eb5933,
  0xa05238e3810359fe, 0xb3de8c45398b017b, 0x5403ff6678ebd1f3, 0x556a81e5add70c9e, 0x0c73a30db5e5caad,
  0xabb39d454aa35de3, 0xd36019ace576a96f, 0x88af2ec0295b1bd7, 0x0d3bcdedaeb9ed56, 0xae8bee077536294f,
  0xf5545a5a42e7a1f0, 0x575be6d90218edd2, 0x593432e4d5c6c3eb, 0x66df5663c81db434, 0x0cf4c2d06fc6d10b,
  0x2c3b2dd6138cb359, 0x7cc87e792bf73433, 0x000000000002dd51,
};

// t841_swio11_noled_pr_ee_ce_u4     t841_swio12_noled_pr_ee_ce        t841_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t841_swio11_noled_pr_ee_ce[] = {
  0x0db7bbbbba889768, 0xbb9696215be9d620, 0xdec71d7a70bc6bf8, 0xbd9f9891fa8b8be5, 0xd331a7389439006d,
  0x64ee94ad8163db92, 0xffee01cf8689827c, 0xf63faa3386c61ac7, 0xbe547e78016b4863, 0x76b02bdf339d7736,
  0xcc1e95ea3cae43ca, 0xb4c5315c87f51f06, 0xd8cb8e1386e1d7d8, 0xabb77ee1d484d7d2, 0xd79d376d291fc873,
  0x9a628f7bb1aaf1b1, 0x0decb65f380e3b16, 0x664d73ca8d822647, 0x8e7461b6bcb955a9, 0x7673a8a9546bbc61,
  0x6c03359caed52df5, 0x15e5d8052b637afa, 0xa779bdb5d73daad1, 0xd17dc0eea6c529e1, 0xaa8b4b485cf43e15,
  0xeb7cdb20431dba5e, 0x26865c9ab8d87d6a, 0xdbeacc7903f2868b, 0x9e985a0df8da216c, 0x8765bac271966b21,
  0x4e1dcf257ee68665, 0x00000000014d32b5,
};

// t841_swio11_lednop_pr_ee_u4       t841_swio12_lednop_pr_ee          t841_swio12_lednop_pr_ee_u4
static const uint64_t ur_t841_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbba88aaac, 0xcb96963d4c90ac24, 0x1a7b42f460d7d594, 0x5dde6825ef6c982f, 0xc7ef17a084522224,
  0x13e3277560efd389, 0xd1cbfee01cff57cc, 0xb74b355ad1edf630, 0xd47c1b30738fa8f2, 0x875f62d377c56517,
  0x135f4b632e384e1b, 0xcead2e63d7144cd2, 0x3af5d4ddbe446f79, 0xd3ded1dc3b1aad74, 0x86f65c396701c762,
  0xd7972ab55c73df5b, 0x2a8d778c31ce8c36, 0x95daa5beaece7515, 0xe97f4d8066b81013, 0x6ab4457976014ae5,
  0xb5e5380b9d01e5cf, 0xf14085a561130bd4, 0x6d3d0f85745f758f, 0x726ae361f5abadf3, 0x31e40fca1a2c9a19,
  0x6837e36885b36fab, 0xeb09c659ac867a61, 0x3c95fb9a19961d96, 0x00000a7c27173877,
};

// t841_swio11_lednop_pr_ce_u4       t841_swio12_lednop_pr_ce          t841_swio12_lednop_pr_ce_u4
static const uint64_t ur_t841_swio11_lednop_pr_ce[] = {
  0xe873777777b15a91, 0xb96962c9c53758f5, 0xa0cf522f898e32ca, 0x0bfdf98ec178c2b7, 0xb410902e3bbebd0e,
  0x04f8c9dd34ba104b, 0x0d21ffdac99f2873, 0x160e487b1fd57c63, 0x9cebb9b5dfe7e780, 0xea3cbe9ee5975ac9,
  0x7b40238e3810359f, 0xedf2231be7316028, 0x1500ffd99e3af47c, 0xac0ad03cb5bb7be9, 0x618e7461b6bcb955,
  0xf57673a8a9546bbc, 0x0335c0809caed52d, 0xcbb00a572f4bfa6c, 0x79f16bae7b55a22b, 0x7042a417296be740,
  0xb4a42f3d0f85745f, 0xcdb2ec31dba5eaa8, 0x65c9ab8d87d6aeb7, 0xacc7903b6868b268, 0x85a0df8da216cdbe,
  0x5bac271966b219e9, 0xfcf257ee68665876, 0x0000000b751e5d90,
};

// t841_swio11_lednop_pr_ee_ce_u4    t841_swio12_lednop_pr_ee_ce       t841_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_swio11_lednop_pr_ee_ce[] = {
  0x06dbdddddd447768, 0x5dcb4b10ade46b10, 0x6f6e0ea9bb1e35fc, 0xdecfcc7e991f8670, 0xd60d059c4a1c8036,
  0x32775a769ba9c52e, 0xbfee01cfcedcc13e, 0x963faa3386c61b76, 0x5d493f3c00b5a4ff, 0x3b5815ef99cebb9b,
  0x660f4af51e5652e5, 0x5a6298aca5fa8f83, 0x6c65c709c370ebec, 0xd5dbbe70ea426be9, 0xd79d37609e8e6e39,
  0x9e488e32b1aaf1b1, 0x0decb65f380e3b16, 0xcee193ca8d822647, 0x1ce8c36d7972ab52, 0xece75152a8d778c3,
  0x6b8101395daa5bea, 0x6014ae5e97f4d806, 0xe2d75cf6ab445797, 0x85482e52d7ce80f3, 0x485e7a1f0ae8bee0,
  0x65d863b74bd55169, 0x93571b0fad5d6f9b, 0x8f207e50d164d0cb, 0x41bf1b442d9b7d59, 0x584e32cd6433d30b,
  0xe4afdcd0ccb0ecb7, 0x000029a673e9c3b9,
};

/*
 * t841_swio11_dual_pr               t841_swio11_dual_pr_u4            t841_swio12_dual
 * t841_swio12_dual_pr               t841_swio12_dual_pr_u4
 */
static const uint64_t ur_t841_swio11_dual[] = {
  0xb45dddddde7c4541, 0xadbebfc5a4c530d2, 0xf5dec1b58234e19e, 0xce99ce21ec538b16, 0xd49cac36e9a568a0,
  0x9b27720b6dcec3e2, 0x2252521d51304f8c, 0x5883704d8818ed03, 0x4ee9e10dbf1030a1, 0xee628bf996128552,
  0x9bd478f7b07f0e0b, 0x811423920e040fba, 0x0f84fae1f02bfcc6, 0x2a2197b101054c41, 0x3c261162a10cb432,
  0x10e310b7c09ff407, 0xdd48cc1605886620, 0xb3be5a21630c95bf, 0x1c71c081c65ea387, 0x731602d1337ce31f,
  0x475efc3763d51e48, 0xedc423e2a01ffb30, 0x9799ce6f71181e59, 0x955ace73bcf01dd3, 0xbbc618e7461b6bcb,
  0x52df57673a8a9546, 0xa6c0335c0809caed, 0x22bcbb00a572f4bf, 0x74079f16bae7b55a, 0x45f7042a417296be,
  0xaa8b4a42f3d0f857, 0x75be6d976455ba5e, 0x93432e4d5c6c3eb5, 0x6fab31e40cd3e345, 0x7a616837e36885b3,
  0x1d96eb09c659ac86, 0xe0893c95fb9a1996, 0x0000000000c405fb,
};

// t841_swio11_dual_pr_ee_u4         t841_swio12_dual_pr_ee            t841_swio12_dual_pr_ee_u4
static const uint64_t ur_t841_swio11_dual_pr_ee[] = {
  0xe765bbbbba8618be, 0xd5b7d7e63b36a634, 0xfb8dd49875ac4e4e, 0x95c1415dda27957e, 0xe421ad3af866d39d,
  0x9dcaaf7bc7f782c3, 0x4a418f5cc13e3269, 0x6e09b1031da0644a, 0x3c21b7e206142b10, 0x2d7e6584a9f419dd,
  0x38d6d813a3825a98, 0x23920e040f4dcdea, 0xfae1f02bfcc68114, 0x2f62020a9883aa04, 0x3dc542196854a443,
  0x42df107fd01cf09a, 0x305816219880438c, 0xfe73186b1ffffe75, 0xf3d4795c569aad68, 0xe2b8adea3e0d9837,
  0x1c270dc3afb169bb, 0x15fe6909afa5b197, 0x647221cead2f8117, 0x8d56ba1d787dbb40, 0xc071d8b4fa846be5,
  0xc11fadc37b2eea79, 0x9ce6f0096b8df546, 0xace73bcf01dd3979, 0x618e7461b6bcb955, 0xf57673a8a9546bbc,
  0x0335c0809caed52d, 0xcbb00a572f4bfa6c, 0x79f16bae7b55a22b, 0x7042a417296be740, 0xb4a42f3d0f85745f,
  0xe6d976455ba5eaa8, 0xb2686376c3eb575b, 0xcdbeaccdfc1ddc68, 0x19e985a0df8da216, 0x58765bac271966b2,
  0xbd2a0cf257ee6866, 0x0000000000c8513e,
};

// t841_swio11_dual_pr_ce_u4         t841_swio12_dual_pr_ce            t841_swio12_dual_pr_ce_u4
static const uint64_t ur_t841_swio11_dual_pr_ce[] = {
  0x0f91dddddde7ce7c, 0xeadbebcbd9625316, 0xed17ed89466d16a2, 0x858912d4739b10eb, 0x7da7dabedd583e46,
  0x49b172421deec7e6, 0x9129291e729827c6, 0xac41b826c40c7681, 0x2774f086df881850, 0x4b31c3fccb0942a9,
  0x9bd47fddb04ac707, 0x022847241c081c06, 0xc309f5c3e057f98d, 0x44432f62020a9884, 0x784cb5e2a10cb432,
  0x21c6216f15bfe80e, 0xba91982c0b10cc40, 0x763face2c618a1ff, 0x6bb5dfe780173b28, 0xf72cba7b5339d773,
  0x1c70207d27a8e7ac, 0x6b9cc580b01827c7, 0x8cf1d7ba5bb0288d, 0xf339cde3a5afb8e5, 0xab59ce779e03ba72,
  0x78c31ce8c36d7972, 0x5beaece75152a8d7, 0xd8066b8101395daa, 0x57976014ae5e97f4, 0x80f3e2d75cf6ab44,
  0xbee085482e52d7ce, 0x5169485e7a1f0ae8, 0x6f9b65d863b74bd5, 0xd0cb93571b0fad5d, 0xeacc790334f8d164,
  0x985a0df8da216cdb, 0x65bac271966b219e, 0x224f257ee6866587, 0x0000000039ebe738,
};

// t841_swio11_dual_pr_ee_ce_u4      t841_swio12_dual_pr_ee_ce         t841_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_t841_swio11_dual_pr_ee_ce[] = {
  0x99f6b7777750cf68, 0xb56df5fe2c6714c4, 0xebdee9579626c561, 0x8a516ac8970b4d7d, 0x369932c7ae3499f6,
  0xb96b2b6591bb38ff, 0x91c7939827c64c4e, 0x826c40c768191292, 0x086df881850ac41b, 0x7f99612a7d06774f,
  0xb5b04db384edcd6b, 0x907020663f37a8fb, 0x0f815fe63408a11c, 0x101054c402c827d7, 0x2a10cb4182a2197b,
  0xf96bfe80e784d21e, 0x816219880438c42d, 0xb1866bbfffe75305, 0x390956fd8fea8f7d, 0x73aee6d77547e789,
  0x95e9b94ed6059c66, 0xfd47c1b3071efd47, 0xb875f62d314c57a6, 0x2135f4b632e384e1, 0x47221ceaedd81075,
  0xaaf1b1d787dbb406, 0x0e3b169f508d7cb1, 0x1132386f65dd4f38, 0xce6f2cd6b8df546c, 0xce73bcf01dd39799,
  0x18e7461b6bcb955a, 0x57673a8a9546bbc6, 0x335c0809caed52df, 0xbb00a572f4bfa6c0, 0x9f16bae7b55a22bc,
  0x042a417296be7407, 0x4a42f3d0f85745f7, 0xdb2ec31dba5eaa8b, 0x4d0c6ed87d6aeb7c, 0xb7d599bf83bb8d16,
  0x3d30b41bf1b442d9, 0x0ecb7584e32cd643, 0xa5419e4afdcd0ccb, 0x000000000130454e,
};

// t841_swio13_noled_pr_ee_u4
static const uint64_t ur_t841_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0x6532e5a58f53c2ab, 0x5ed2f469efa5ad35, 0xd9fbbcd07c5ebd38, 0x8ecdd8335a08a444,
  0x9827c64eef25d5c6, 0x1868adfed64cf93a, 0x3cafe74d56b46653, 0x4af51f06cc1a01ea, 0x86e1d7d8b4ddf15d,
  0x3484d7d2d8cb8e13, 0xae73ab4bc7b5c513, 0xba1d7aea6ed10a35, 0xd8b4c4547d258d56, 0xd6e1bd970e59c071,
  0x1b6bcb955aae2bff, 0x8a9546bbc618e746, 0x2bb54b7d54df673a, 0x55abdebe9b00cd67, 0xae7b55a22bcbb00a,
  0xa9c0594a9f4ef3f5, 0x5fb8a042d2c2e753, 0xf9b69e87c2ba2fb8, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d,
  0x30b41bf1b442d9b7, 0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x0000000014f9ce32,
};

// t841_swio13_noled_pr_ce_u4
static const uint64_t ur_t841_swio13_noled_pr_ce[] = {
  0x14cdddddddec4743, 0xb2ae5a58b271e9d6, 0x6434d8de6ec1e38c, 0x8705fcdab1f98b11, 0xd60920a6c6deea98,
  0xb304f8c9dd68baf5, 0x630df3bfdac99f2e, 0x80160e7ceb1fd66e, 0xc99cebb9b5f4d7e7, 0x9ef51e6e9ee5975a,
  0x176fcbe8e38e040c, 0x1f3b2628f7b398b0, 0x89a5403ff6678ebd, 0x556a844c0f2d6eb5, 0xef18639d186daf2e,
  0xf5537d9cea2a551a, 0xfa6c03359caed52d, 0x88af2ec02956af7a, 0x0d3bcdedaeb9ed56, 0xae8bee077536294f,
  0xf5545a5a42e7a1f0, 0xaeb7cdb61098edd2, 0xb26865c9ab8d87d6, 0xcdbeacc7903b6868, 0x19e985a0df8da216,
  0x58765bac271966b2, 0xfd90fcf257ee6866, 0x00000000000b75b1,
};

// t841_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t841_swio13_noled_pr_ee_ce[] = {
  0x171ddddddd4458e2, 0xf1772d2c42b189ac, 0xc71d123b64c178d7, 0xb6f67c2f34b644dd, 0x07c8d0b9c4a1c2e3,
  0xe32775d96b333acb, 0x6ffee01cfa6dcc13, 0x3f63faa32eac6186, 0xd7e8ffe78016b496, 0x4ed6057be673aee6,
  0xd9833d7d47959c39, 0x1698a62b387ea3e0, 0x5b1971c270dc3afb, 0x7576e7263a909afa, 0x3af3a6ec7aa3c90e,
  0xa710a383f6355e36, 0xc37b2d97ce038ec5, 0xb3e8305aa3608991, 0xc73a30db5e5caad4, 0xfb39d454aa35de30,
  0x066b395daa5beaa6, 0x5d8052ad5ef5f4d8, 0x9bdb5d73daad115e, 0xdc0eea6c529e1a77, 0xb4b485cf43e15d17,
  0x9b6c2131dba5eaa8, 0xcb93571b0fad5d6f, 0x598f207e50d164d0, 0x0b41bf1b442d9b7d, 0xb7584e32cd6433d3,
  0xb9e4afdcd0ccb0ec, 0x000000534c7459c3,
};

// t841_swio13_lednop_pr_ee_u4
static const uint64_t ur_t841_swio13_lednop_pr_ee[] = {
  0xe2f7777775112d7b, 0x6d5cb4b1ea7416b1, 0xa5c7bf4f4b88cf12, 0x5bc8a63af1a67ef0, 0x268b514d8229113c,
  0x09f193bb93b60dbb, 0x6383ff700e7e87e6, 0xad4f4d56b46fe318, 0xea3e0d98309fea3c, 0xc3afb169bbe2b53d,
  0x09afa5b1971c270d, 0x73ab4bba55c6b269, 0xa1d79d3769111828, 0x169af88f22d8d56b, 0xb70decb65f380e3b,
  0x500ad626951b047e, 0xc31ce8c36d7972ab, 0x9bece75152a8d778, 0xae0404e576a96faa, 0xc0295c925fd36019,
  0xc5aeb9ed5688af2e, 0x0a905ca5af9d01e7, 0x90bcf43e15d17dc1, 0x6c63156e97aaa2d2, 0x93571b0fad5d6f9b,
  0x8f207e50d164d0cb, 0x41bf1b442d9b7d59, 0x584e32cd6433d30b, 0xe4afdcd0ccb0ecb7, 0x00000a7ce9e9c3b9,
};

// t841_swio13_lednop_pr_ce_u4
static const uint64_t ur_t841_swio13_lednop_pr_ce[] = {
  0x14cdddddddec53c3, 0x59572d2c59398556, 0x0cf717eecfe0f1c6, 0x1c17f369e9d8f266, 0xc7164168a87baa62,
  0x6609f193bab8f6a2, 0xc618e1ffb5933ec1, 0x002c1c38763facdc, 0x2673aee6d7b5bfcf, 0x7bd479c67b965d6b,
  0x2c7bd2a38e381032, 0x3e76c911c6473160, 0xb86a807feccf1d7a, 0xab5976a0796b741f, 0x78c31ce8c36d7972,
  0xaa9bece75152a8d7, 0x19ae0404e576a96f, 0x2ec0295c925fd360, 0xe7c5aeb9ed5688af, 0xc10a905ca5af9d01,
  0xd290bcf43e15d17d, 0x36d8c4c76e97aaa2, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x0000002dd4e14643,
};

// t841_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_swio13_lednop_pr_ee_ce[] = {
  0x171ddddddd4477d6, 0xf1772d2c42b725ac, 0xee0ea33dc29a98d7, 0xdb7b3e1798934ad2, 0x71e9c104e250e171,
  0xf8c9ddb0da53bed4, 0x347fdc039f7f9304, 0xbb563faa32eac618, 0x6d7044fe78016b49, 0x94ed6057be673aee,
  0x0d9833d7d4795943, 0xb1698a62b287ea3e, 0xa5b1971c270dc3af, 0xe7576e74a3a909af, 0x63af3a6ed2223050,
  0x5a6be23c8b6355e3, 0x1c37b2d97ce038ec, 0xa59dac4d2a360899, 0x8639d186daf2e556, 0x37d9cea2a551aef1,
  0x5c0809caed52df55, 0x8052b924bfa6c033, 0x8b5d73daad115e5d, 0x1520b94b5f3a03cf, 0x2179e87c2ba2fb82,
  0xb1898edd2f5545a5, 0x4d5c6c3eb575be6d, 0x3c81f9434593432e, 0x06fc6d10b66df566, 0x6138cb3590cf4c2d,
  0x92bf734332c3b2dd, 0x0000a69a2fa70ee7,
};

// t841_swio13_dual_pr               t841_swio13_dual_pr_u4
static const uint64_t ur_t841_swio13_dual[] = {
  0xe3ddddddde7c7a31, 0x3d5b7d7f8b39ca62, 0xbd4fbdb83d3869c3, 0x833f23f68eb14aeb, 0xa35043015bab8da2,
  0x9364ee49afb55e0f, 0x644a4a40002609f1, 0x2b106e09b1031da0, 0x49dd3c21b7e20614, 0x7dcc517f32c250aa,
  0x537a8f1ef60fe1c1, 0xd022847241c081f7, 0x05209f5c3e057f98, 0x22a2197b101054c4, 0x73c261162a10cb43,
  0x010e310b7cadff40, 0xfdd48cc160588662, 0x7b3be5be4630df3b, 0x238e38103c8bea3c, 0x8731602d1333a57f,
  0x0475efc376ea11af, 0x3dbf916baa01ffb3, 0x39799ce6ff6503cb, 0xb955ace73bcf01dd, 0x6bbc618e7461b6bc,
  0xb7d54df673a8a954, 0xb00cd7020272bb54, 0x57976014ae492fe9, 0x80f3e2d75cf6ab44, 0xbee085482e52d7ce,
  0x5169485e7a1f0ae8, 0xb7cdb6318ab74bd5, 0x6865c9ab8d87d6ae, 0xf5663c819a7c68b2, 0x4c2d06fc6d10b66d,
  0xb2dd6138cb3590cf, 0x112792bf734332c3, 0x000000001880f2fc,
};

// t841_swio13_dual_pr_ee_u4
static const uint64_t ur_t841_swio13_dual_pr_ee[] = {
  0xb0dbbbbbba8687e1, 0x4ed5b7d7e639314c, 0xbdb41dd39cafac4e, 0xcecae09daae216df, 0xc1f137739d7c33b0,
  0x34cee4b8bdccdb47, 0x2525221e4e609f19, 0x883704d8818ed032, 0xee9e10dbf1030a15, 0x4c16bf32c254fa0c,
  0xf51c6b6c09d1c12d, 0x8a11c9070207a6e6, 0x027d70f815fe6340, 0x2197b101054c4000, 0x4d1ee2a10cb42a52,
  0x8c42deb7ffe80e78, 0x7530581621988043, 0x68dd2b18619bfffe, 0x701bd4795c729aad, 0x77c571cbd47c1b30,
  0x2e384e1b875f62d3, 0x2e2bfcd2135f4b63, 0x5f68fba39d5a5f2b, 0xeb1aad743af0fb76, 0xe701c762d309e8e6,
  0x1b047eb70decbba9, 0x799ce6f009ef8c95, 0x55ace73bcf01dd39, 0xbc618e7461b6bcb9, 0xd54df673a8a9546b,
  0x0cd7020272bb54b7, 0x976014ae492fe9b0, 0xf3e2d75cf6ab4457, 0xe085482e52d7ce80, 0x69485e7a1f0ae8be,
  0xcdb6318ab74bd551, 0x64d0c6ed87d6aeb7, 0x9b7d599bf83bb8d1, 0x33d30b41bf1b442d, 0xb0ecb7584e32cd64,
  0xea5419e4afdcd0cc, 0x0000000000642873,
};

// t841_swio13_dual_pr_ce_u4
static const uint64_t ur_t841_swio13_dual_pr_ce[] = {
  0x4eddddddde7cbd5b, 0x5d5b7d797bd94a67, 0xbd2afd8168eda2d4, 0x91a1706f55f362cf, 0x41ebb67c73b77a77,
  0xc649b172aefd44fb, 0x8191292901649827, 0x50ac41b826c40c76, 0xa92774f086df8818, 0x074b31c3fccb0942,
  0x069bd47fddb04ac7, 0x8d022847241c081c, 0x876089f5c3e057f9, 0x3244432f62020a98, 0x0e784cb5e2a10cb4,
  0x80438c42dfabffe8, 0xff75233058162198, 0xe96c7f54018c34ae, 0xe6d7b5bfcf002e76, 0x59ee5974f6a673ae,
  0x1c71c081dc3f51cf, 0x1ad7398b0163dce3, 0xcb19e3af74b76885, 0xe5e6739bc7507f71, 0xe556b39cef3c0774,
  0xaef18639d186daf2, 0xdf5537d9cea2a551, 0xc0335c0809caed52, 0x5e5d8052b924bfa6, 0x74079fad73daad11,
  0x3573abd4b0b29b16, 0x2ba2fb8e7c63042d, 0x0fad5d6f9b69e87c, 0xf8d164d0cb93571b, 0x216cdbeacc790334,
  0x6b219e985a0df8da, 0x86658765bac27196, 0xebc6f8224f257ee6, 0x0000000000000039,
};

// t841_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_t841_swio13_dual_pr_ee_ce[] = {
  0x9873b77777750c86, 0x586d5b7d7f8bbeba, 0xde95ef777efaedb1, 0xdf68a546a69ef71d, 0x66ec11086c7ae339,
  0x13ae55b4d382e62e, 0xa4a409e4e609f193, 0x06e09b1031da0644, 0xd3c21b7e206142b1, 0x5adfe6584a9f419d,
  0x3eed6c136ce13b73, 0x47241c08198fcdea, 0xf5c3e057f98d0228, 0xbd88082a621c3f89, 0x0f150865a0c1510c,
  0x16ecf9ff4073c269, 0x82c0b10cc4021c62, 0xb74c61a007fff3a9, 0xe24e424d7763faa3, 0x199cebb9b5c001f9,
  0x51e57b3a53b58167, 0xecef51f06cc198ff, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0xbed1f7473abb7656,
  0xac6abc6c75e1f6ec, 0x9c071d8b4c27a39b, 0x3608991c37b2eea7, 0xf339cde59bdf192a, 0xab59ce779e03ba72,
  0x78c31ce8c36d7972, 0xaa9bece75152a8d7, 0x19ae0404e576a96f, 0x2ec0295c925fd360, 0xe7c5aeb9ed5688af,
  0xc10a905ca5af9d01, 0xd290bcf43e15d17d, 0x36d8c4c76e97aaa2, 0x93431bb61f5abadf, 0x6df5666fe0eee345,
  0xcf4c2d06fc6d10b6, 0xc3b2dd6138cb3590, 0xa9506792bf734332, 0x000000000098201c,
};

// t841_swio14_noled_pr_ee_u4
static const uint64_t ur_t841_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5353758, 0x619eb4bd623e2f56, 0x6fbbcd04bdee3bcc, 0xcf1795b2408a444e,
  0x827c64eef91d34a8, 0x86d9dfed64cf9c19, 0x95a569aad68f6fb1, 0x7ea3e0d9839c7d47, 0xdc3afb169bbe2b5f,
  0x909afa5b1971c270, 0x0e756970f6b8a266, 0xa1d7aea6ec98a31f, 0x8b4ed647d058d56b, 0x6e1bd970e59c071d,
  0xb6bcb955aae043fd, 0xa9546bbc618e7461, 0x4dcaed52df5673a8, 0xa56c7efe9b00cd67, 0x5ae7b55a22bcbb00,
  0x3a9c0594a9f4ef3f, 0x87978a042d2c2e75, 0x6f9b69e87c2ba2fb, 0xd0cb93571b0fad5d, 0x7d598f2076d0d164,
  0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x21f9e4afdcd0ccb0, 0x0000000014f9d273,
};

// t841_swio14_noled_pr_ce_u4
static const uint64_t ur_t841_swio14_noled_pr_ce[] = {
  0x0feeeeeeef621391, 0x2ae5a58b2731dd63, 0x09ac86eef36a38cb, 0x705fefc05fe3dd7a, 0x25c2ac9edbddc3e8,
  0x609f193bb647685f, 0x6192b7fb5933e70e, 0x02c1c4ad63faaf8c, 0x673aee6d74dbfcf0, 0xfd475f27b965d6b2,
  0xf740a471c70206b3, 0xe767bd188a731602, 0x3ca807feccf1d7a3, 0x5aaad503cb5bae19, 0xc618e7461b6bcb95,
  0x2df5673a8a9546bb, 0xe9b00cd674dcaed5, 0xa22bcbb00a56c7ef, 0xc34ef37b6bae7b55, 0x2ba2fb81dd4d8a53,
  0xbd55169690b9e87c, 0xd5d6f9b640863b74, 0x164d0cb93571b0fa, 0xd9b7d598f2076d0d, 0x433d30b41bf1b442,
  0xcb0ecb7584e32cd6, 0x5f321f9e4afdcd0c, 0x000000000000b754,
};

// t841_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t841_swio14_noled_pr_ee_ce[] = {
  0x1b7bbbbbba889768, 0xe2ee5a58856fa758, 0x977b1c75e9c2f1af, 0xb6f67e6247ea2e2f, 0x96998d39c4a1c1b7,
  0xe32774a56c0b1edc, 0x3fff700e7c344c13, 0x1fb1fd519c3630d6, 0xb5f2a3f3c00b5a43, 0x53b5815ef99cebb9,
  0x3660f4af51e5721e, 0xc5a6298ae43fa8f8, 0x96c65c709c370ebe, 0x9d5dbbf70ea426be, 0x8ebce9bb6948fe43,
  0xb4d3147bdd8d578d, 0x386f65b2f9c071d8, 0x4b326b9e546c1132, 0x0c73a30db5e5caad, 0xfab39d454aa35de3,
  0xd8066b3a6e576a96, 0x15e5d8052b63f7f4, 0xa779bdb5d73daad1, 0xd17dc0eea6c529e1, 0xaa8b4b485cf43e15,
  0xeb7cdb20431dba5e, 0x26865c9ab8d87d6a, 0xdbeacc7903f2868b, 0x9e985a0df8da216c, 0x8765bac271966b21,
  0x4e1dcf257ee68665, 0x00000000014d32b5,
};

// t841_swio14_lednop_pr_ee_u4
static const uint64_t ur_t841_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbba88aaac, 0x29972d2c7a992158, 0x5e34f685e8c1afab, 0xe6fbbcd04bded930, 0x138fde2f4108a444,
  0x9827c64eeac1dfa7, 0x61a397fdc039feaf, 0xe56e966ab5a3dbec, 0x2fa8f83660e71f51, 0x370ebec5a6ef8aca,
  0xa426be96c65c709c, 0xf39d5a5cc7ae2899, 0xe875eba9bb7c88de, 0xc5a7bda3b876355a, 0xb70decb872ce038e,
  0x6daf2e556ab8e7be, 0x2a551aef18639d18, 0xd372bb54b7d59cea, 0xbec7a6c0335c0809, 0xed5688af2ec0295c,
  0x96bca70173a03cb9, 0xfe2810b4ac22617a, 0x6da7a1f0ae8beeb1, 0x2e4d5c6c3eb575be, 0x663c81f943459343,
  0x2d06fc6d10b66df5, 0xdd6138cb3590cf4c, 0xe792bf734332c3b2, 0x0000014f84e2e70e,
};

// t841_swio14_lednop_pr_ce_u4
static const uint64_t ur_t841_swio14_lednop_pr_ce[] = {
  0x87f7777777b15a91, 0x9572d2c5938a6eb1, 0x6f419ea45f131c65, 0x1c17fbf31d82f185, 0x976821205c7770fa,
  0xe609f193ba697420, 0xc61a43ffb5933e50, 0x002c1c90f63faaf8, 0x9339d7736bbfcfcf, 0x3fd4797d3dcb2eb5,
  0x50f680471c70206b, 0xf9dbe44637ce62c0, 0xd22a01ffb33c75e8, 0xab5815a0796b76f7, 0x78c31ce8c36d7972,
  0xa5beace75152a8d7, 0x019ae0404e9b95da, 0x7976014ae5f63d36, 0x0f3e2d75cf6ab445, 0xee085482e52d7ce8,
  0x169485e7a1f0ae8b, 0xf9b65d863b74bd55, 0x0cb93571b0fad5d6, 0xd598f2076d0d164d, 0x30b41bf1b442d9b7,
  0xcb7584e32cd6433d, 0x1f9e4afdcd0ccb0e, 0x000000016ea3cbb2,
};

// t841_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_swio14_lednop_pr_ee_ce[] = {
  0x0dbddddddd447768, 0xf1772d2c42b791ac, 0xc1bdb83aa6ec78d7, 0xdb7b3f31fa647e19, 0x76b0682ce250e0db,
  0xf193bad3b4dd4e29, 0xb5ff700e7e76e609, 0xfcb1fd519c3630db, 0xdaea49f9e005ad27, 0x29dac0af7cce75dc,
  0x1b307a57a8f2b297, 0x62d314c5652fd47c, 0x4b632e384e1b875f, 0xceaeddf38752135f, 0x8ebce9bb04f47371,
  0xb4f24471958d578d, 0x386f65b2f9c071d8, 0x96770c9e546c1132, 0x18e7461b6bcb955a, 0xf5673a8a9546bbc6,
  0xd7020274dcaed52d, 0xb00a572fb1e9b00c, 0xf16bae7b55a22bcb, 0x42a417296be74079, 0xa42f3d0f85745f70,
  0xb2ec31dba5eaa8b4, 0xc9ab8d87d6aeb7cd, 0xc7903f2868b26865, 0xa0df8da216cdbeac, 0xac271966b219e985,
  0xf257ee686658765b, 0x000014d339f4e1dc,
};

// t841_swio14_dual_pr               t841_swio14_dual_pr_u4
static const uint64_t ur_t841_swio14_dual[] = {
  0x1fddddddde7c4541, 0x3d5b7d7f8b498a61, 0x2debbd836b0469c3, 0x419d339c43d8a716, 0xc5a939586dd23ed1,
  0x19364ee416db9d87, 0x0644a4a43aa2609f, 0x42b106e09b1031da, 0xa49dd3c21b7e2061, 0x17dcc517f32c250a,
  0x7537a8f1ef60fe1c, 0x8d022847241c081f, 0x821f09f5c3e057f9, 0x6454432f62020a98, 0x0e784c22c5421968,
  0x4021c6216f813fe8, 0x7fba91982c0b10cc, 0x0f677cb442c6192b, 0x3e38e381038cbd47, 0x90e62c05a266f9c6,
  0x608ebdf86ec7aa3c, 0xb3db8847c5403ff6, 0xa72f339cdee2303c, 0x972ab59ce779e03b, 0x8d778c31ce8c36d7,
  0x5daa5beace75152a, 0xd36019ae0404e9b9, 0x4457976014ae5f63, 0xce80f3e2d75cf6ab, 0xe8bee085482e52d7,
  0xd55169485e7a1f0a, 0xaeb7cdb2ec8ab74b, 0xb26865c9ab8d87d6, 0x6df5663c819a7c68, 0xcf4c2d06fc6d10b6,
  0xc3b2dd6138cb3590, 0x7c112792bf734332, 0x00000000001880bf,
};

// t841_swio14_dual_pr_ee_u4
static const uint64_t ur_t841_swio14_dual_pr_ee[] = {
  0x7adbbbbbba8618be, 0x9dab6fafcc766d4c, 0xfdf71ba930eb589c, 0x3b2b8282bbb44f2a, 0x87c8435a75f0cdeb,
  0xd33b955ef78fef05, 0x9494831eb9827c64, 0x20dc1362063b40c8, 0xba78436fc40c2856, 0x305afccb0953e833,
  0xd471adb0274704b5, 0x2847241c081e9b9b, 0x09f5c3e057f98d02, 0x865ec40415310754, 0x347b8a8432d0a948,
  0x1885be20ffa039e1, 0xea60b02c43310087, 0xd1fce630d63ffffc, 0x6fe7a8f2b8ad355a, 0x77c5715bd47c1b30,
  0x2e384e1b875f62d3, 0x2e2bfcd2135f4b63, 0x80c8e4439d5a5f02, 0xcb1aad743af0fb76, 0xf380e3b169f508d7,
  0x8d823f5b86f65dd4, 0xf339cde012d71bea, 0xab59ce779e03ba72, 0x78c31ce8c36d7972, 0xa5beace75152a8d7,
  0x019ae0404e9b95da, 0x7976014ae5f63d36, 0x0f3e2d75cf6ab445, 0xee085482e52d7ce8, 0x169485e7a1f0ae8b,
  0x7cdb2ec8ab74bd55, 0x164d0c6ed87d6aeb, 0xd9b7d599bf83bb8d, 0x433d30b41bf1b442, 0xcb0ecb7584e32cd6,
  0xd7a5419e4afdcd0c, 0x0000000000190a27,
};

// t841_swio14_dual_pr_ce_u4
static const uint64_t ur_t841_swio14_dual_pr_ce[] = {
  0x725ddddddde7ce7c, 0x45d5b7d797b2c4a6, 0xd7da2fdb128cda2d, 0x8d0b1225a8e73621, 0xccfb4fb57dbbc97c,
  0x8c9362e4843bdd8f, 0x032252523ce5304f, 0xa15883704d8818ed, 0x524ee9e10dbf1030, 0x0e966387f9961285,
  0x0d37a8ffbb60958e, 0x1a04508e48381038, 0x098613eb87c0aff3, 0x6488865ec4041531, 0x1cf0996bc5421968,
  0x80438c42de2b7fd0, 0xff75233058162198, 0x50ec7f59c58c3143, 0xe6d76bbfcf002e76, 0x59ee5974f6a673ae,
  0x8e38e040fa4f51cf, 0x1ad7398b0160304f, 0xcb19e3af74b76051, 0xe5e6739bc74b5f71, 0xe556b39cef3c0774,
  0xaef18639d186daf2, 0xb54b7d59cea2a551, 0x6c0335c0809d372b, 0x8af2ec0295cbec7a, 0xd01e7c5aeb9ed568,
  0x17dc10a905ca5af9, 0xaa2d290bcf43e15d, 0xadf36cbb0c76e97a, 0x9a19726ae361f5ab, 0x7d598f20669f1a2c,
  0xd30b41bf1b442d9b, 0xecb7584e32cd6433, 0x0449e4afdcd0ccb0, 0x00000000073d7ce7,
};

// t841_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_t841_swio14_dual_pr_ee_ce[] = {
  0x9b2b77777750cf68, 0xc36adbebfc58ce29, 0xfbd7bdd2af2c4d8a, 0xed14a2d5912e169a, 0xfe6d32658f5c7b2b,
  0x9d72d656cb237671, 0x25238f27304f8c98, 0x3704d8818ed03225, 0x9e10dbf1030a1588, 0xd6ff32c254fa0cee,
  0xf76b609b6709db9a, 0x3920e040cc7e6f51, 0xae1f02bfcc681142, 0xf62020a98805904f, 0x3c54219683054432,
  0x5bf2d7fd01cf09a4, 0x0b02c43310087188, 0xfb630cd77fffcea6, 0x127212adfb1fd51e, 0xcce75dcdaeea8fcf,
  0x8f2bd3729dac0b38, 0x4dfa8f83660e3dfa, 0xc370ebec5a6298af, 0xea426be96c65c709, 0x0c8e4439d5dbb020,
  0x6355e363af0fb768, 0x701c762d3ea11af9, 0xd8226470decbba9e, 0x339cde59ad71bea8, 0xb59ce779e03ba72f,
  0x8c31ce8c36d7972a, 0x5beace75152a8d77, 0x19ae0404e9b95daa, 0x976014ae5f63d360, 0xf3e2d75cf6ab4457,
  0xe085482e52d7ce80, 0x69485e7a1f0ae8be, 0x9b65d863b74bd551, 0xc9a18ddb0fad5d6f, 0x36fab337f07771a2,
  0x67a616837e36885b, 0x61d96eb09c659ac8, 0xd4a833c95fb9a199, 0x00000000002608a9,
};

// t841_swio15_noled_pr_ee_u4
static const uint64_t ur_t841_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0x6532e5a58f53c2ab, 0x5ed2f469efa5ad35, 0x48bbbcd07c5ebd38, 0x8ecdd8335a08a444,
  0x9827c64eef25d5c6, 0x1868adfed64cf93a, 0x3cafe74d56b46653, 0x4af51f06cc1a01ea, 0x86e1d7d8b4ddf15d,
  0x3484d7d2d8cb8e13, 0xae73ab4bc7b5c513, 0xba1d7aea6ed10a35, 0xd8b4c4547d258d56, 0xd6e1bd970e59c071,
  0x1b6bcb955aae2bff, 0x8a9546bbc618e746, 0x4dcaed52df57673a, 0x2ad5fefe9b00cd67, 0xd73daad115e5d805,
  0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0x7cdb4f43e15d17dc, 0x865c9ab8d87d6aeb, 0xeacc7903b6868b26,
  0x985a0df8da216cdb, 0x65bac271966b219e, 0x0fcf257ee6866587, 0x000000000a7ce719,
};

// t841_swio15_noled_pr_ce_u4
static const uint64_t ur_t841_swio15_noled_pr_ce[] = {
  0x7afdddddddec4743, 0x655cb4b164e3d3ac, 0xc869b1bcdd83c719, 0x0e0bf9b563f31622, 0x5824829b1b7bbebd,
  0xcc13e32775a2ebd7, 0x8c37ceff6b267cba, 0x005839f3ac7f59b9, 0x2673aee6d7d35f9e, 0x7bd479ba7b965d6b,
  0x5dbf2fa38e381032, 0x7cec98a3dece62c0, 0x269500ffd99e3af4, 0x55aa11303cb5bad6, 0xbc618e7461b6bcb9,
  0x2df57673a8a9546b, 0xe9b00cd674dcaed5, 0x115e5d8052ad5fef, 0x1a779bdb5d73daad, 0x5d17dc0eea6c529e,
  0xeaa8b4b485cf43e1, 0x5d6f9b6c2131dba5, 0x64d0cb93571b0fad, 0x9b7d598f2076d0d1, 0x33d30b41bf1b442d,
  0xb0ecb7584e32cd64, 0xfb21f9e4afdcd0cc, 0x000000000016eb63,
};

// t841_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t841_swio15_noled_pr_ee_ce[] = {
  0x200ddddddd4458e2, 0xf8bb96962158c4d6, 0xe38e891db260bc6b, 0xdb7b3e179a5b226e, 0xc1f2342e71287200,
  0xf8c9dd765accceb2, 0x9bffb8073e9b7304, 0x8fd8fea8cbab1861, 0xb5fa3ff9e005ad25, 0x53b5815ef99cebb9,
  0x3660cf5f51e5670e, 0xc5a6298ace1fa8f8, 0x96c65c709c370ebe, 0x9d5db9c98ea426be, 0x8ebce9bb1ea8f243,
  0x69c428e0fd8d578d, 0x70decb65f380e3b1, 0x2cfa0c16a8d82264, 0x31ce8c36d7972ab5, 0xaece75152a8d778c,
  0x019ace9b95daa5be, 0xcbb00a55abfdfd36, 0xf37b6bae7b55a22b, 0xfb81dd4d8a53c34e, 0x169690b9e87c2ba2,
  0xf36d84263b74bd55, 0x19726ae361f5abad, 0xab31e40fca1a2c9a, 0x616837e36885b36f, 0x96eb09c659ac867a,
  0x773c95fb9a19961d, 0x0000000a698e8b38,
};

// t841_swio15_lednop_pr_ee_u4
static const uint64_t ur_t841_swio15_lednop_pr_ee[] = {
  0x5ef7777775112d7b, 0x6d5cb4b1ea7416b0, 0xa5c7bf4f4b88cf12, 0xdbc8a63af1a67ef0, 0x268b514d8229110b,
  0x09f193bb93b60dbb, 0x6383ff700e7e87e6, 0xad4f4d56b46fe318, 0xea3e0d98309fea3c, 0xc3afb169bbe2b53d,
  0x09afa5b1971c270d, 0x73ab4bba55c6b269, 0xa1d79d3769111828, 0x169af88f22d8d56b, 0xb70decb65f380e3b,
  0x500ad626951b047e, 0xc31ce8c36d7972ab, 0xeaece75152a8d778, 0xae0404e9b95daa5b, 0xb00a572563d36019,
  0xf16bae7b55a22bcb, 0x42a417296be74079, 0xa42f3d0f85745f70, 0xdb18c55ba5eaa8b4, 0xe4d5c6c3eb575be6,
  0x63c81f9434593432, 0xd06fc6d10b66df56, 0xd6138cb3590cf4c2, 0x792bf734332c3b2d, 0x0000029f3a7a70ee,
};

// t841_swio15_lednop_pr_ce_u4
static const uint64_t ur_t841_swio15_lednop_pr_ce[] = {
  0x7afdddddddec53c3, 0xb2ae5a58b2730aac, 0x19ee2fdd9fc1e38c, 0x382fe6d3d3b1e4cc, 0x1c5905a2a1eefaf4,
  0x9827c64eeae3da8b, 0x186387fed64cfb05, 0x00b070e1d8feb373, 0x99cebb9b5ed6ff3c, 0xef51e719ee5975ac,
  0xb1ef4a8e38e040c9, 0xf9db2447191cc580, 0xe1aa01ffb33c75e8, 0xad65da81e5add07e, 0xe30c73a30db5e5ca,
  0x6fabb39d454aa35d, 0x66b81013a6e576a9, 0x2ec0295c958f4d80, 0xe7c5aeb9ed5688af, 0xc10a905ca5af9d01,
  0xd290bcf43e15d17d, 0x36d8c4c76e97aaa2, 0x9726ae361f5abadf, 0xb31e40eda1a2c9a1, 0x16837e36885b36fa,
  0x6eb09c659ac867a6, 0xf3c95fb9a19961d9, 0x0000002dd4e14643,
};

// t841_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t841_swio15_lednop_pr_ee_ce[] = {
  0x200ddddddd4477d6, 0xf8bb9696215b92d6, 0x7707519ee14d4c6b, 0x6dbd9f0bcc49a569, 0x1c7a704138943900,
  0x3e32776c3694efb5, 0x0d1ff700e7dfe4c1, 0x6ed58fea8cbab186, 0x9b5c113f9e005ad2, 0xe53b5815ef99cebb,
  0x83660cf5f51e5650, 0xec5a6298aca1fa8f, 0xe96c65c709c370eb, 0x39d5db9d28ea426b, 0xd8ebce9bb4888c14,
  0x169af88f22d8d578, 0x470decb65f380e3b, 0xa9676b134a8d8226, 0x618e7461b6bcb955, 0xf57673a8a9546bbc,
  0xd7020274dcaed52d, 0xd8052b92b1e9b00c, 0xf8b5d73daad115e5, 0x21520b94b5f3a03c, 0x52179e87c2ba2fb8,
  0xdb1898edd2f5545a, 0xe4d5c6c3eb575be6, 0x63c81f9434593432, 0xd06fc6d10b66df56, 0xd6138cb3590cf4c2,
  0x792bf734332c3b2d, 0x00000a69a2fa70ee,
};

// t841_swio15_dual_pr               t841_swio15_dual_pr_u4
static const uint64_t ur_t841_swio15_dual[] = {
  0xa5ddddddde7c7a31, 0x3d5b7d7f8b39ca61, 0xbd4fbdb83d3869c3, 0x833f23f68eb14aeb, 0xa35043015ba695a2,
  0x9364ee49afb55e0f, 0x644a4a40002609f1, 0x2b106e09b1031da0, 0x49dd3c21b7e20614, 0x7dcc517f32c250aa,
  0x537a8f1ef60fe1c1, 0xd022847241c081f7, 0x05209f5c3e057f98, 0x22a2197b101054c4, 0x73c261162a10cb43,
  0x010e310b7cadff40, 0xfdd48cc160588662, 0x7b3be5be4630df3b, 0x238e38103c8bea3c, 0x8731602d1333a57f,
  0x0475efc376ea11af, 0x3dbf916baa01ffb3, 0x39799ce6ff6503cb, 0xb955ace73bcf01dd, 0x6bbc618e7461b6bc,
  0xd52df57673a8a954, 0xb00cd7020274dcae, 0x15e5d8052b92b1e9, 0xa03cf8b5d73daad1, 0x2fb821520b94b5f3,
  0x545a52179e87c2ba, 0xadf36d8c62add2f5, 0x9a19726ae361f5ab, 0x7d598f20669f1a2c, 0xd30b41bf1b442d9b,
  0xecb7584e32cd6433, 0x0449e4afdcd0ccb0, 0x0000000006203cbf,
};

// t841_swio15_dual_pr_ee_u4
static const uint64_t ur_t841_swio15_dual_pr_ee[] = {
  0x69dbbbbbba8687e1, 0x4ed5b7d7e639314c, 0xbdb41dd39cafac4e, 0xcecae09daae216df, 0xc1f137739d7c3369,
  0x34cee4b8bdccdb47, 0x2525221e4e609f19, 0x883704d8818ed032, 0xee9e10dbf1030a15, 0x4c16bf32c254fa0c,
  0xf51c6b6c09d1c12d, 0x8a11c9070207a6e6, 0x027d70f815fe6340, 0x2197b101054c4000, 0x4d1ee2a10cb42a52,
  0x8c42deb7ffe80e78, 0x7530581621988043, 0x68dd2b18619bfffe, 0x701bd4795c729aad, 0x77c571cbd47c1b30,
  0x2e384e1b875f62d3, 0x2e2bfcd2135f4b63, 0x5f68fba39d5a5f2b, 0xeb1aad743af0fb76, 0xe701c762d309e8e6,
  0x1b047eb70decbba9, 0x799ce6f009ef8c95, 0x55ace73bcf01dd39, 0xbc618e7461b6bcb9, 0x2df57673a8a9546b,
  0x0cd7020274dcaed5, 0xe5d8052b92b1e9b0, 0x3cf8b5d73daad115, 0xb821520b94b5f3a0, 0x5a52179e87c2ba2f,
  0xf36d8c62add2f554, 0x593431bb61f5abad, 0x66df5666fe0eee34, 0x0cf4c2d06fc6d10b, 0x2c3b2dd6138cb359,
  0xfa9506792bf73433, 0x0000000000190a1c,
};

// t841_swio15_dual_pr_ce_u4
static const uint64_t ur_t841_swio15_dual_pr_ce[] = {
  0xc1ddddddde7cbd5b, 0x5d5b7d797bd94a62, 0xbd2afd8168eda2d4, 0x91a1706f55f362cf, 0x41ebb67c73b7560f,
  0xc649b172aefd44fb, 0x8191292901649827, 0x50ac41b826c40c76, 0xa92774f086df8818, 0x074b31c3fccb0942,
  0x069bd47fddb04ac7, 0x8d022847241c081c, 0x876089f5c3e057f9, 0x3244432f62020a98, 0x0e784cb5e2a10cb4,
  0x80438c42dfabffe8, 0xff75233058162198, 0xe96c7f54018c34ae, 0xe6d7b5bfcf002e76, 0x59ee5974f6a673ae,
  0x1c71c081dc3f51cf, 0x1ad7398b0163dce3, 0xcb19e3af74b76885, 0xe5e6739bc7507f71, 0xe556b39cef3c0774,
  0xaef18639d186daf2, 0x54b7d5d9cea2a551, 0xc0335c0809d372bb, 0x57976014ae4ac7a6, 0x9d01e7eb5cf6ab44,
  0x4d5ceaf52c2ca6c5, 0x0ae8bee39f18c10b, 0xc3eb575be6da7a1f, 0x3e34593432e4d5c6, 0x885b36fab31e40cd,
  0x9ac867a616837e36, 0xa19961d96eb09c65, 0x7af1be0893c95fb9, 0x000000000000000e,
};

// t841_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_t841_swio15_dual_pr_ee_ce[] = {
  0x9893377777750c86, 0x586d5b7d7f8bbeba, 0xde95ef777efaedb1, 0x9f68a546a69ef71d, 0x66ec11086c7ae349,
  0x13ae55b4d382e62e, 0xa4a409e4e609f193, 0x06e09b1031da0644, 0xd3c21b7e206142b1, 0x5adfe6584a9f419d,
  0x3eed6c136ce13b73, 0x47241c08198fcdea, 0xf5c3e057f98d0228, 0xbd88082a621c3f89, 0x0f150865a0c1510c,
  0x16ecf9ff4073c269, 0x82c0b10cc4021c62, 0xb74c61a007fff3a9, 0xe24e424d7763faa3, 0x199cebb9b5c001f9,
  0x51e57b3a53b58167, 0xecef51f06cc198ff, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1, 0xbed1f7473abb7656,
  0xac6abc6c75e1f6ec, 0x9c071d8b4c27a39b, 0x3608991c37b2eea7, 0xf339cde59bdf192a, 0xab59ce779e03ba72,
  0x78c31ce8c36d7972, 0x5beaece75152a8d7, 0x19ae0404e9b95daa, 0xcbb00a572563d360, 0x79f16bae7b55a22b,
  0x7042a417296be740, 0xb4a42f3d0f85745f, 0xcdb63131dba5eaa8, 0x64d0c6ed87d6aeb7, 0x9b7d599bf83bb8d1,
  0x33d30b41bf1b442d, 0xb0ecb7584e32cd64, 0x2a5419e4afdcd0cc, 0x0000000000260807,
};

// t861a_swio10_noled_pr_ee
static const uint64_t ur_t861_swio10_noled_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x532e5a58f532b758, 0x469ed0bd75e5ef56, 0xfbbcd06844130acc, 0x9fbc5f8ec8a444e6,
  0x4f8c9dda67bf4ee0, 0xcadff46879fd3730, 0x5a569aad68fba484, 0xd47c1b3072fbd479, 0x875f62d377c56e4f,
  0x135f4b632e384e1b, 0xcead2e63d7144cd2, 0x3af5d4dd97c463e1, 0xd31be8fa0b1aad74, 0x86f65c396701c762,
  0xaf2e556ab859ff5b, 0xa9546bb90873f04d, 0x59caed52df5673a8, 0x108954bef5f41093, 0x77f5d73daad115e5,
  0x1077536294f0d3bc, 0xaaa2d30ca7a1d538, 0x62fe6d8ad5156ff7, 0x459a205c9ab8d944, 0x41bf75663c81db43,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x0000029f153aaa72,
};

// t861a_swio10_noled_pr_ee_u4
static const uint64_t ur_t861_swio10_noled_pr_ee_u4[] = {
  0x84dddddda2447705, 0xdab96963d4cfdd62, 0x5176c8e933e3fe24, 0x7914c1ae0cd906a7, 0xa16d2f0a22911284,
  0x9f193bad8b560a4c, 0xa6fffce473e35a60, 0x670e6ab5a38f6909, 0xa8f83660cf5f51e5, 0x0ebec5a6ef8ae43f,
  0x26be96c65c709c37, 0xcead2f52971ac9a4, 0x875e74dda7147109, 0x5a6b5d188b6355ae, 0xdc37b2d97ce038ec,
  0x00967d7f546c11fa, 0x8439f826d7972ab5, 0x6fab39d454aa35dc, 0x7afa0849ace576a9, 0xd5688af28844aa5f,
  0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1, 0x6a8ab7fbd5516986, 0x5c1e6ca2317f36c5, 0x40fca1a2cb3a2e4d,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x0fdffc1343c899e0, 0x219e98577d1ee4fc, 0x19961d9f0271966b,
  0xbab688dd3c95fb9a, 0x00000000000009d7,
};

// t861a_swio10_noled_pr_ce
static const uint64_t ur_t861_swio10_noled_pr_ce[] = {
  0xfbbbbbba83d8ad4e, 0xb96962c9cb1f58c3, 0x6a09a64efc8e32ca, 0x0bfead98971e3eb4, 0xec9e3b267bb87d0e,
  0x27c64eef91d1a68c, 0x393ffa343cfc8798, 0xb073f758feb92242, 0xe75dcdaf003f3c00, 0xa8f924f72cbad64c,
  0x27af91c72ac0f05f, 0x3b0f88ed6398b014, 0xf5403ff6678ebd1f, 0x5104a81e5addd02c, 0xc8439f826d7972ab,
  0x96fab39d454aa35d, 0xf7afa0849ace576a, 0xed5688af28844aa5, 0x14a7869de3bfaeb9, 0x653d0ea9c083ba9b,
  0xad463b7fbd551698, 0xab83cd94462fe6d8, 0x2076d0d165eae5c9, 0xd2861539fa9d598f, 0x7ef88d0f22678138,
  0x9c659ac867a61683, 0x257ee686658767c0, 0x000375d3ebd54e4f,
};

// t861a_swio10_noled_pr_ce_u4
static const uint64_t ur_t861_swio10_noled_pr_ce_u4[] = {
  0x27bbbbbb44889768, 0x3f72d2c30e321583, 0xd2f469e8d77914cc, 0x07f0bd9e48593a86, 0x7b62f2b763f74c9f,
  0x304f8c9dd295ab8c, 0x8453dffe7239fdf7, 0x5ad2305aa8fa84f4, 0x61222fb8d1079e00, 0x767cfd165e12fc43,
  0xb96086b266a8ee6d, 0x39560782fd47c927, 0x6b1cc580a13d7c8e, 0xb33c75e8f9d87c47, 0xf2d6ee8167aa01ff,
  0x136bcb955a882540, 0xea2a551aee421cfc, 0x24d672bb54b7d59c, 0x794422552fbd7d04, 0xef1dfd75cf6ab445,
  0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875, 0xa2317f36c56a31db, 0xa2cb3a2e4d5c1e6c, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x1343c899e07f197e, 0x577d1ee4fc0fdffc, 0x9f0271966b219e98, 0xdd3c95fb9a19961d,
  0x0000000dd7c92688,
};

// t861a_swio10_noled_pr_ee_ce
static const uint64_t ur_t861_swio10_noled_pr_ee_ce[] = {
  0xbddddddd41447032, 0x772d2c42b1a5ac0d, 0x76cbbdc77988d7f1, 0x7b3fc7d91a0a0cfa, 0xf4da5ce250e0dbdb,
  0x93ba76b6c4a72a67, 0xff9c8e7f76a609f1, 0x58fea8e43a4218ff, 0xf743fcf002d6902d, 0xdac0af7cce75dcda,
  0x306807a8f2b74b29, 0xd314c57f3bd47c1b, 0x632e384e1b875f62, 0xaedd528752135f4b, 0x5e74dda7147109ce,
  0xd6ba3116c6abc6c7, 0x6f65b2f9c071d8b4, 0xd67d7f546c113238, 0x39f826d7972ab52c, 0xab39d454aa35dc84,
  0xfa0849ace576a96f, 0x688af28844aa5f7a, 0x7869de3bfaeb9ed5, 0xd0ea9c083ba9b14a, 0x63b7fbd551698653,
  0x3cd94462fe6d8ad4, 0xe50d165eae5c9ab8, 0x61539fa9d598f207, 0x88d0f22678138d28, 0x59ac867a616837ef,
  0xee686658767c09c6, 0x013f10222374f257,
};

// t861a_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_t861_swio10_noled_pr_ee_ce_u4[] = {
  0xdeeeeeed173e173e, 0x772d2c5c0a38d631, 0x8ed89d2b6481711b, 0x9fa5c2960d33080c, 0xe0d9a5910e0f8eda,
  0xc9dddfbdb0c89e8c, 0xfa520f9f801304f8, 0xaa3ea8f7da425adf, 0x8d1079e005cee76e, 0x65e12fc4361222fb,
  0x99aa3b9b5c617fd1, 0x3cadd2ca76b33def, 0xcef51f06cc1a01ea, 0x86e1d7d8b4c5315f, 0xd484d7d2d8cb8e13,
  0xc51c4273abb754a1, 0xb1aaf1b1d79d3769, 0x701c762d35ae8c45, 0x1b044c8e1bd96cbe, 0xe5caad4b359f5fd5,
  0x2a8d77210e7e09b5, 0x395daa5beace7515, 0x112a97debe82126b, 0xfebae7b55a22bca2, 0x0eea6c529e1a778e,
  0x545a6194f43aa702, 0xbf9b62b518edfef5, 0x9d1726ae0f365118, 0xeacc790334f8d165, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x7b93f03f7ff04d0f, 0xc659ac867a615df4, 0x57ee686658767c09, 0x004fc20e5c483cf2,
};

// t861a_swio10_lednop_pr_ee
static const uint64_t ur_t861_swio10_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8bf82, 0x29972d2c7a992158, 0xf697a34f7d2d69ab, 0x9beef341a136c982, 0x1b3760cd04229113,
  0x609f193ba627571c, 0x12397fd1a1e7fabe, 0xe56e966ab5a3ee92, 0x5f51f06cc1cbef51, 0x6e1d7d8b4ddf1594,
  0x484d7d2d8cb8e138, 0xe73ab4bc7b5c5133, 0xd0ebd75376f911bd, 0x8b4f7b4770ec6ab5, 0x6e1bd970e59c071d,
  0x9b5e5caad571cf7d, 0x5152a8d77210e7e0, 0x101395daa5beace7, 0x12ad5d2fe82126b8, 0xf5ae7b55a22bca21,
  0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0xa2317f36d3d0ea9c, 0xa1a2cd102e4d5c6c, 0x85a0dfbab31e40ed,
  0x964a271966b219e9, 0x393c95fb9a19961d, 0x0000000053e73955,
};

// t861a_swio10_lednop_pr_ee_u4
static const uint64_t ur_t861_swio10_lednop_pr_ee_u4[] = {
  0x426eeeeed1222044, 0x6d5cb4b1ea634eb1, 0x23fa69746db11f12, 0x7914c1ae7ec19d93, 0x840f5d0422911284,
  0x4f8c9dd1edb1c421, 0x1cbffce473fd5f30, 0x650e6ab5a38f6909, 0xa8f83660cf5f51e5, 0x0ebec5a6ef8aca5f,
  0x26be96c65c709c37, 0xcead2ee4d71ac9a4, 0x875e74dd8f546be1, 0x5a710a31bf6355ae, 0xdc37b2d97ce038ec,
  0x805d02cf546c11fa, 0x421cfc136bcb955a, 0xb7d59cea2a551aee, 0x0424d7020272bb54, 0x4579442255aba5fd,
  0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9, 0xfdeaa8b48edcf43a, 0x288c5fcdb610c55b, 0x68b2ce8b9357079b,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x04d0f226781fc65f, 0x15df47b93f03f7ff, 0x67c09c659ac867a6,
  0x374f257ee6866587, 0x000000009d74d022,
};

// t861a_swio10_lednop_pr_ce
static const uint64_t ur_t861_swio10_lednop_pr_ce[] = {
  0x0feeeeeeef62eff6, 0x2ae5a58b271e9d63, 0x434d8de6ec1e38cb, 0x705ff56b1f98fa56, 0x99920a6e00ddc3e8,
  0x9827c64ee841af5e, 0x423a5ffa343cf94b, 0x00b073e758feb922, 0x99cebb9b5f76bf3c, 0xbf51c149ee5975ac,
  0x5dbf2fa38e5581e0, 0xf9d9314707ce62c0, 0xd02a01ffb33c75e8, 0xab542260796b75ad, 0x5dc8439f826d7972,
  0x6a96fab39d454aa3, 0xbfa0849ae0404e57, 0x5688af28844ab574, 0x5f3a03cdedaeb9ed, 0x8754e0421520b94b,
  0x3b7fbd551691db9e, 0xc6ca2317f36d8426, 0x0eda1a2cd102e4d5, 0x9e985a0dfbab31e4, 0x61d964a271966b21,
  0xf55393c95fb9a199, 0x00000000005bad8f,
};

// t861a_swio10_lednop_pr_ce_u4
static const uint64_t ur_t861_swio10_lednop_pr_ce_u4[] = {
  0x93dddddda2447768, 0x3f72d2c30e033ac1, 0xebed05d75e5ed4cc, 0x07f0bd9ec81210bd, 0x71433376f4f74c9f,
  0x304f8c9dd69db4ce, 0x8495dffe7239fd9d, 0x5ad2656aa8fa84f4, 0x61222fb8d1079e00, 0x74a8fd165e12fc43,
  0xb96086b266a8ee6d, 0x39560782fd470527, 0x1f398b0176fcbe8e, 0xccf1d7a3e764c51c, 0xe5add6b740a807fe,
  0x09b5e5caad508981, 0x75152a8d77210e7e, 0x8101395daa5beace, 0x112ad5d2fe82126b, 0xb6bae7b55a22bca2,
  0x5482e52d7ce80f37, 0x5a476e7a1d538108, 0xcdb61098edfef554, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x0375f6bda2374f25,
};

// t861a_swio10_lednop_pr_ee_ce
static const uint64_t ur_t861_swio10_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a22a20, 0xbb96962158c4d606, 0x8ec1bdb260bc6bf8, 0x7b3fc79a5b227ec4, 0xe45ebce250e0dbdb,
  0x93baafb43746a583, 0xffce473fa6a609f1, 0xf63faa390e909ff3, 0x70007e78016b4963, 0xed6057be673aee6d,
  0x983403d479597594, 0x698a62b387ea3e0d, 0xb1971c270dc3afb1, 0x576e7263a909afa5, 0xaf3a6ec7aa35f0e7,
  0x710a31bf6355e363, 0x37b2d97ce038ec5a, 0x3e8167aa3608991c, 0x0e7e09b5e5caad4b, 0xeace75152a8d7721,
  0x126b8101395daa5b, 0xbca2112ad5d2fe82, 0x0f37b6bae7b55a22, 0x81085482e52d7ce8, 0xf5545a476e7a1d53,
  0x8c5fcdb61098edfe, 0xcbd5cb9357079b28, 0xf53ab31e40fca1a2, 0x44cf0271a50c2a73, 0xcf4c2d06fdf11a1e,
  0xcb0ecf8138cb3590, 0x45446e9e4afdcd0c, 0x0000000000013f07,
};

// t861a_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_t861_swio10_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e1bc1, 0x772d2c5c0ae0d631, 0x9e86edc5e821711b, 0x3f4b85471582d159, 0x23b313221c1f1db5,
  0x64eebadea0aeef27, 0xfa520f9fc6e9827c, 0xaa3ea8f7da4235df, 0xc6883cf002e77882, 0xb2f097e21b09117d,
  0xe66a8ee6d75c17e8, 0x8f2b2eb29daccf7b, 0x70fd47c1b306807a, 0xe1b875f62d314c56, 0x752135f4b632e384,
  0xf546be1ceaedce4c, 0xec6abc6c75e74dd8, 0x9c071d8b4e214637, 0x46c1132386f65b2f, 0xbcb955a967d02cf5,
  0xa551aee421cfc136, 0x272bb54b7d59cea2, 0x5aba5fd0424d7020, 0x5cf6ab4457944225, 0x5ca5af9d01e6f6d7,
  0xedcf43aa70210a90, 0xc2131dbfdeaa8b48, 0x6ae0f365118bf9b6, 0x90334f8d1659d172, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a, 0x1539c483cf257ee6,
  0x00000000000004fc,
};

// t861_swio12_noled_pr_ee           t861a_swio11_noled_pr_ee          t861a_swio12_noled_pr_ee
static const uint64_t ur_t861_swio11_noled_pr_ee[] = {
  0x5ddfbbbbbbd8ad4e, 0x972d2c7a9833ac24, 0x2f5ebeb11f17ab29, 0x79a097b6409085f4, 0x66ede99148889177,
  0x193bbe474c4a3386, 0xbfe8d0f3fb3a609f, 0x3a6ab5a3dbe9092b, 0xf83660e71f51e57f, 0xbec5a6ef8ad2b7a8,
  0xbe96c65c709c370e, 0xad2efe2e2899a426, 0xeba9bb4dc8d6b9ce, 0x8c91f496355ae875, 0xf65c396701c762d3,
  0x972ab55c13df5b86, 0xaa35dc8439f826d7, 0x576a96fabb39d454, 0x12b637afa0849ace, 0xebae7b55a22bca21,
  0xeea6c529e1a778ef, 0x45a6194f43aa7020, 0xfcdb3d6e2adfef55, 0x3440b93571b288c5, 0x7eeacc7903b6868b,
  0x9c659ac867a61683, 0x57ee686658765928, 0x000a7c039554e4f2,
};

// t861_swio12_noled_pr_ee_u4        t861a_swio11_noled_pr_ee_u4       t861a_swio12_noled_pr_ee_u4
static const uint64_t ur_t861_swio11_noled_pr_ee_u4[] = {
  0xde4ddddda2445541, 0x5cb4b1ea70ceb05e, 0x3ad1776dbaff126d, 0x8a671fc5e6c63bb2, 0xe34c90229110bdbc,
  0x193ba82b7a71ce7a, 0xbffce473e706609f, 0xd66ab5a331e909b3, 0xf83660fa8f51e565, 0xbec5a6ef8ace1fa8,
  0xbe96c65c709c370e, 0xad2e51571ac9a426, 0x5e74dd90047f21ce, 0x37bd1ef76355ae87, 0x1bd96cbe701c762d,
  0x113dcf2a3608fd6e, 0x873f04daf2e556a0, 0x57673a8a9546bb90, 0xf4109359caed52df, 0xb44579442256c6f5,
  0x3c34ef1dfd75cf6a, 0xe8754e041dd4d8a5, 0xc55bfdeaa8b4c329, 0x0f365118bf9b67ad, 0x7e50d1659d1726ae,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xeffe09a1e44cf03f, 0xcf4c2bbe8f727e07, 0xcb0ecf8138cb3590,
  0xca446e9e4afdcd0c, 0x00000000000275ea,
};

// t861_swio12_noled_pr_ce           t861a_swio11_noled_pr_ce          t861a_swio12_noled_pr_ce
static const uint64_t ur_t861_swio11_noled_pr_ce[] = {
  0x87377777507b1762, 0x96962c9c6a758f5e, 0xb21bbbcda8e32cab, 0x7fbf217d4375e826, 0x9b7a7b6f77d7a1c1,
  0xf8c9dde4bb42d1da, 0xadff46879f387304, 0x0e393b1fd57c4844, 0xd7736ba1f7e78016, 0x3af93dcb2eb59339,
  0x937471cab0359fea, 0xcb5d188a731602c8, 0x500ffd99e3af47ce, 0x67dd03cb5bba4279, 0x8439f826d7972ab5,
  0xfabb39d454aa35dc, 0xafa0849ace576a96, 0x55a22bca2112b637, 0x29e1a778efebae7b, 0x4f43aa7020eea6c5,
  0xd98edfef5545a619, 0xe0f365118bf9b67a, 0x1db434597ab9726a, 0xa1854e7ea75663c8, 0xbe2343c899e04e34,
  0x1966b219e985a0df, 0x5fb9a19961d9f027, 0x00375ce7d55393c9,
};

// t861_swio12_noled_pr_ce_u4        t861a_swio11_noled_pr_ce_u4       t861a_swio12_noled_pr_ce_u4
static const uint64_t ur_t861_swio11_noled_pr_ce_u4[] = {
  0xf07ddddda24458e2, 0xdcb4b0c386c56377, 0x3da17bc7e845330f, 0xfe16f22d0a6fc78d, 0x63760cda9eeeefe0,
  0x09f193baecb7e99d, 0x9813ffce473f6ea6, 0xad229eaa8fac8890, 0x1222fb8d1079e005, 0xcdffd165e12fc436,
  0x2c10d64cd51dcdae, 0x2ac0d67fa8ebe4f7, 0x29cc580b224dd1c7, 0x678ebd1f3b2d7462, 0x2d6ee909e5403ff6,
  0x9b5e5caad59f740f, 0x5152a8d77210e7e0, 0x6b395daa5beaece7, 0x28844ad8debe8212, 0xe3bfaeb9ed5688af,
  0xc083ba9b14a7869d, 0xbd551698653d0ea9, 0x462fe6d9eb663b7f, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x000001bafa38911b,
};

// t861_swio12_noled_pr_ee_ce        t861a_swio11_noled_pr_ee_ce       t861a_swio12_noled_pr_ee_ce
static const uint64_t ur_t861_swio11_noled_pr_ee_ce[] = {
  0x6deeeeeea0a22044, 0xe5a588565c758803, 0xb1c75e9c2f1afe2e, 0xb3f3168a1062f977, 0x1234e71287200db7,
  0x9dd1edb02c21f913, 0xfe7239f0d1304f8c, 0x63faa338690963ff, 0xeeb7e78016b49d3f, 0xd6057be673aee6d7,
  0x83d2bd4795c8794e, 0x98a62b74bea3e0d9, 0x1971c270dc3afb16, 0x76e28a3a909afa5b, 0xf3a6ec8023f90e75,
  0x7bd1ef76355e363a, 0xbd96cbe701c762d3, 0xc9ee7951b044c8e1, 0x39f826d7972ab52c, 0xbb39d454aa35dc84,
  0xa0849ace576a96fa, 0xa22bca2112b637af, 0xe1a778efebae7b55, 0x43aa7020eea6c529, 0x8edfef5545a6194f,
  0xf365118bf9b67ad9, 0x9434597ab9726ae0, 0x854e7ea75663c81f, 0x2343c899e04e34a1, 0x66b219e985a0dfbe,
  0xb9a19961d9f02719, 0x13f1eb688dd3c95f,
};

// t861_swio12_noled_pr_ee_ce_u4     t861a_swio11_noled_pr_ee_ce_u4    t861a_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_t861_swio11_noled_pr_ee_ce_u4[] = {
  0xd4f777768b9f1f68, 0xcb4b1702123587a6, 0xb02f419ad05c46dd, 0xd2921d3bc8d45b13, 0x0571c887077a6d4f,
  0x9dd1d7d014164777, 0x4a41f3e87d304f8c, 0xa3ea8edd242620ff, 0x6883cf002e76ff2a, 0x2f097e21b09117dc,
  0x66a8ee6d7ea77e8b, 0xf2b90f29daccf7be, 0x97d47c1b307a57a8, 0x1b875f62d314c56e, 0x52135f4b632e384e,
  0x047f21ceaedc5147, 0xc6abc6c75e74dd90, 0xe038ec5a6f7a3dee, 0x3608991c37b2d97c, 0xf2e556a5993dcf2a,
  0x9546bb90873f04da, 0xcaed52df57673a8a, 0x2256c6f5f4109359, 0xfd75cf6ab4457944, 0x1dd4d8a53c34ef1d,
  0xa8b4c329e8754e04, 0x7f36cf5b31dbfdea, 0x3a2e4d5c1e6ca231, 0xd598f20669f1a2cb, 0xbc3def2861539fa9,
  0x44cf03f8cbf313ff, 0xf727e07effe09a1e, 0x8cb3590cf4c2bbe8, 0xafdcd0ccb0ecf813, 0x009f9bc1789079e4,
};

// t861_swio12_lednop_pr_ee          t861a_swio11_lednop_pr_ee         t861a_swio12_lednop_pr_ee
static const uint64_t ur_t861_swio11_lednop_pr_ee[] = {
  0x5ddfbbbbbbd8b562, 0xcb96963d4d68ac24, 0x1a7b42f460d7d594, 0x5dde6825ef54dd8f, 0x27ef17b204522224,
  0x13e3277699efd3b8, 0x06b7fd1a1e7d2d4c, 0xae43cd56b47b7d21, 0xf51f06cc1ce3ea3c, 0xe1d7d8b4ddf15fee,
  0x84d7d2d8cb8e1386, 0x73ab4b98f5c51334, 0x0ebd75376c911a62, 0xb4e0fa3b5ac6ab5d, 0xe1bd970e59c071d8,
  0x6bcb955aae305fd6, 0x2a551aee421cfc13, 0x272bb54b7d5d9cea, 0xb97a5fd0424d7020, 0xae7b55a22bca2112,
  0x96165362ce80f3f5, 0x17d14085a6ae757a, 0x18bf9b69e8754e05, 0xd166881726ae3651, 0xd06fdd598f2076d0,
  0x25138cb3590cf4c2, 0x9e4afdcd0ccb0ecb, 0x000000a7c54eaa9c,
};

// t861_swio12_lednop_pr_ee_u4       t861a_swio11_lednop_pr_ee_u4      t861a_swio12_lednop_pr_ee_u4
static const uint64_t ur_t861_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0xae5a58f53a17582f, 0x2eae3d803d2f8936, 0x45338fc33c5ea6cd, 0x5a0ac81148885ede,
  0x8c9dd3ada244b554, 0xdffe7239f4b5304f, 0x0b355ad198f4841a, 0x7c1b307d47a8f2b6, 0x5f62d377c5650fd4,
  0x5f4b632e384e1b87, 0x56974acb8d64d213, 0xaf3a6edd4239b8e7, 0x9fc88e32b1aad743, 0x0decb65f380e3b16,
  0x0ba427951b047eb7, 0x439f826d7972ab50, 0xabb39d454aa35dc8, 0x49ae0404e576a96f, 0x794422572f4bfa08,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x118bf9b632455bfd, 0x1659d1726ae0f365,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2,
  0xe9e4afdcd0ccb0ec, 0x0000000275cb3446,
};

// t861_swio12_lednop_pr_ce          t861a_swio11_lednop_pr_ce         t861a_swio12_lednop_pr_ce
static const uint64_t ur_t861_swio11_lednop_pr_ce[] = {
  0xd0e6eeeeef621c3b, 0x72d2c593964eb1eb, 0x4adea45f131c6595, 0x0bfdf8d4e178c363, 0x15a30a2e3bbebd0e,
  0x09f193bb517682f9, 0x921ffe8d0f3e50e6, 0x2c1c74b63faaf890, 0x39d7736b868fcf00, 0xd4797d3dcb2eb593,
  0x32a718e395606b3f, 0x9da214637ce62c05, 0x22a01ffb33c75e8f, 0xb57d6e0796b708bd, 0xdc8439f826d7972a,
  0x96fabb39d454aa35, 0xa0849ae0404e576a, 0x445794422572f4bf, 0x9d01e6f6d75cf6ab, 0xaa70210a905ca5af,
  0xbfdeaa8b48edcf43, 0x6ca2317f36c6431d, 0xeda1a2cd102e4d5c, 0xe985a0dfbab31e40, 0x1d964a271966b219,
  0x55393c95fb9a1996, 0x0000000005ba8bf7,
};

// t861_swio12_lednop_pr_ce_u4       t861a_swio11_lednop_pr_ce_u4      t861a_swio12_lednop_pr_ce_u4
static const uint64_t ur_t861_swio11_lednop_pr_ce_u4[] = {
  0xf07ddddda24477d6, 0xb9696187317d6377, 0xba106b11f16a661f, 0xfe16f21b0b402fa0, 0xa6967eec9eeeefe0,
  0x09f193bb61b7c8fd, 0x9befffce473f15a6, 0xad24aeaa8fac8890, 0x1222fb8d1079e005, 0x643fd165e12fc436,
  0x96086b266a8ee6d7, 0x2ac0d67fa8f2fa7b, 0xf9cc580a654e31c7, 0x678ebd1f3b4428c6, 0x2d6e117a45403ff6,
  0x4daf2e556afadc0f, 0xa8a9546bb90873f0, 0x809caed52df57673, 0x4ae5e97f410935c0, 0xaeb9ed5688af2884,
  0x20b94b5f3a03cded, 0x91db9e8754e04215, 0x6d8c863b7fbd5516, 0x5c9ab83cd94462fe, 0x663c81f943459674,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0xc9f81fbff8268791, 0x2cd6433d30aefa3d, 0xf734332c3b3e04e3,
  0x1baef36d11ba792b,
};

// t861_swio12_lednop_pr_ee_ce       t861a_swio11_lednop_pr_ee_ce      t861a_swio12_lednop_pr_ee_ce
static const uint64_t ur_t861_swio11_lednop_pr_ee_ce[] = {
  0x6deeeeeea0a232a8, 0xe5a58856a6758803, 0xb70754dd8f1afe2e, 0x67e62b8da2c33837, 0x9682ce250e401b6f,
  0x3bb38b4dd33ee9dc, 0xf9c8e7e76e609f19, 0x8fea8ce1a426ed7f, 0xa83f9e005ad20cdd, 0xb02bdf339d7736be,
  0x1e95ea3caca5ca76, 0xc5315975f51f06cc, 0xcb8e1386e1d7d8b4, 0xb72561d484d7d2d8, 0x9d376ea11cdc73ab,
  0xc88e32b1aaf1b1d7, 0xecb65f380e3b169f, 0xd213ca8d8226470d, 0xcfc136bcb955a967, 0xd9cea2a551aee421,
  0xd7020272bb54b7d5, 0xa2112b97a5fd0424, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0x8bf9b63218edfef5, 0x7ab9726ae0f36511, 0xa75663c81f943459, 0x99e04e34a1854e7e, 0xe985a0dfbe2343c8,
  0x61d9f0271966b219, 0xe88dd3c95fb9a199, 0x00000000004fc4fa,
};

// t861_swio12_lednop_pr_ee_ce_u4    t861a_swio11_lednop_pr_ee_ce_u4   t861a_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_t861_swio11_lednop_pr_ee_ce_u4[] = {
  0xa9eeeeed173e5f41, 0x96962e048ceb0f4d, 0x4dd69bb640b88dbb, 0xa524048f4e23e1bb, 0x7533910e0ef4da9f,
  0x9ddad69daae26462, 0x4a41f3ffaf304f8c, 0xa3ea8edd242400ff, 0xd1079e005ceeb7ea, 0x5e12fc4361222fb8,
  0xcd51dcdae164fd16, 0xe5652e53b599ef7c, 0xafa8f83660f4af51, 0x370ebec5a6298acb, 0xa426be96c65c709c,
  0x08e6e39d5db92b0e, 0x8d578d8ebce9bb75, 0xc071d8b4fe447195, 0x6c1132386f65b2f9, 0xe5caad4b3e909e54,
  0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0xbd2fe82126b81013, 0x3daad115e510895c, 0x296be74079bdb5d7,
  0x73d0ea9c0842a417, 0x90c76ff7aaa2d23b, 0x57079b288c5fcdb1, 0x819a7c68b2ce8b93, 0xca1854e7ea75663c,
  0xfe32fcc4ffef0f7b, 0x1fbff826879133c0, 0x433d30aefa3dc9f8, 0x332c3b3e04e32cd6, 0x493e241e792bf734,
  0x00000000000027e6,
};

// t861a_swio13_noled_pr_ee
static const uint64_t ur_t861_swio13_noled_pr_ee[] = {
  0x1b3f7777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x7eef341f166c2d00, 0x6d2cfdd932291136,
  0x13e3277792ed3347, 0x37dffd1a1e7e2b4c, 0x56e966ab5a332921, 0x7a8f83660d00f51e, 0x70ebec5a6ef8afe7,
  0x426be96c65c709c3, 0x39d5a5e032e2899a, 0x875eba9bb0288def, 0xb4f22a3b876355ae, 0xe1bd970e59c071d8,
  0xb5e5caad5704d7d6, 0x152a8d77210e7e09, 0x576a96faa9bece75, 0x956af7afa0849ace, 0x5d73daad115e5108,
  0x7536294f0d3bc77f, 0x2d30ca7a1d538107, 0xf9b6409156ff7aaa, 0x6881726ae365118b, 0xfdd598f2076d0d16,
  0x38cb3590cf4c2d06, 0xafdcd0ccb0ecb251, 0x00053e124aa9c9e4,
};

// t861a_swio13_noled_pr_ee_u4
static const uint64_t ur_t861_swio13_noled_pr_ee_u4[] = {
  0x8bdddddda2447032, 0xb572d2c7a9b4bac7, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b4114889e2d,
  0xf8c9dd3b5b2ed395, 0xadffe7239f275304, 0x94b9aad68dfc4848, 0x47c1b30613fd4795, 0x75f62d377c565d7d,
  0x35f4b632e384e1b8, 0x75697fdcb8d64d21, 0x3af3a6eda523c90e, 0xd34c51c1fb1aad74, 0xe1bd96cbe701c762,
  0x0226b05aa3608fd6, 0x10e7e09b5e5caad4, 0x9bece75152a8d772, 0x0849ace576a96faa, 0x15e5108956af7afa,
  0xd3bc77f5d73daad1, 0xd5381077536294f0, 0x6ff7aaa2d30ca7a1, 0x365118bf9b640915, 0x50d1659d1726ae0f,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xfe09a1e44cf03f8c, 0x4c2bbe8f727e07ef, 0x0ecf8138cb3590cf,
  0x446e9e4afdcd0ccb, 0x000000000275d22f,
};

// t861a_swio13_noled_pr_ce
static const uint64_t ur_t861_swio13_noled_pr_ce[] = {
  0xa66eeeeeef62ff41, 0x9572d2c59398eeb0, 0x09ac86f3760f1c65, 0x705fcda05fe3d88a, 0xc4e1564c6deea988,
  0x304f8c9dda0bb42c, 0x84f9dff46879f2eb, 0x0160e256b1fd66e4, 0x99cebb9b5ffe7e78, 0xef51e6e9ee5975ac,
  0x0bdd0291c72ac0c9, 0x8f9d9ef47bd9cc58, 0x64d2a01ffb33c75e, 0x556aab540f2d6eb8, 0x6bb90873f04daf2e,
  0xb7d54df673a8a954, 0xbd7d0424d672bb54, 0xd5688af28844ab57, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0x0863b7fbd5516986, 0x26ae365118bf9b64, 0x8f2076d0d1668817, 0x590cf4c2d06fdd59, 0x0ccb0ecb25138cb3,
  0xa8beaa9c9e4afdcd, 0x000000000000016e,
};

// t861a_swio13_noled_pr_ce_u4
static const uint64_t ur_t861_swio13_noled_pr_ce_u4[] = {
  0x37dddddda2447e4a, 0x3f72d2c30e15bac7, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bdde6f,
  0xcc13e32775eb6989, 0x2132b7ff9c8e7f4d, 0x0b5a4c09551f5ee9, 0x6c2445f71a20f3c0, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c05ee8148, 0xfd99e3af47cecf7a, 0x0796b75c3269500f,
  0xf826d7972ab555aa, 0x39d454aa35dc8439, 0x6b395daa5beaa6fb, 0x442255abdebe8212, 0x1dfd75cf6ab44579,
  0x041dd4d8a53c34ef, 0xeaa8b4c329e8754e, 0x8c5fcdb20431dbfd, 0xb2ce8b9357079b28, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xdf47b93f03f7ff04, 0xc09c659ac867a615, 0x4f257ee686658767,
  0x00000375c9c5a237,
};

// t861a_swio13_noled_pr_ee_ce
static const uint64_t ur_t861_swio13_noled_pr_ee_ce[] = {
  0x8eeeeeeea0a22582, 0xbb9696215be9d60b, 0x8e891db260bc6bf8, 0x7b3e1791fa8a6ee3, 0x4ce85ce250e171db,
  0x93ba75b59996ae4b, 0xff9c8e7d36e609f1, 0xd8fea8cbaa420cdf, 0xdd51f9e005ad218f, 0xb5815ef99cebb9b5,
  0x60cf5f51e5670e53, 0xa6298ae43fa8f836, 0xc65c709c370ebec5, 0x5dbbf70ea426be96, 0xbce9bb6948f2439d,
  0xa628e0fd8d578d8e, 0xdecb65f380e3b169, 0xc9ac16a8d8226470, 0x39f826d7972ab52c, 0xfb39d454aa35dc84,
  0x126b395daa5beaa6, 0x79442255abdebe82, 0xef1dfd75cf6ab445, 0x4e041dd4d8a53c34, 0xfdeaa8b4c329e875,
  0x288c5fcdb20431db, 0xa2cbd5cb9357079b, 0x73f53ab31e40fca1, 0x1e44cf0271a50c2a, 0x90cf4c2d06fdf11a,
  0x0ccb0ecf8138cb35, 0x856a446e9e4afdcd, 0x000000000000009f,
};

// t861a_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_t861_swio13_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd62c, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1ec9b5,
  0x93bb45fad8935e27, 0xf4a41f3e292609f1, 0x547d51e9b484adff, 0x1a20f3c00b9ddadd, 0xcbc25f886c2445f7,
  0x33547736bbb77fa2, 0x7959c394ed667bdf, 0x0fea3e0d9833d7d4, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x523c90e7576efdc3, 0x6355e363af3a6eda, 0xe038ec5a698a383f, 0x3608991c37b2d97c, 0xe5caad4b326b05aa,
  0x2a8d77210e7e09b5, 0x6a96faa9bece7515, 0x6af7afa0849ace57, 0x73daad115e510895, 0x36294f0d3bc77f5d,
  0x30ca7a1d53810775, 0x6c810c76ff7aaa2d, 0xe4d5c1e6ca2317f3, 0x8f20669f1a2cb3a2, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7e07effe09a1e44c, 0x3590cf4c2bbe8f72, 0xcd0ccb0ecf8138cb, 0xf8fc0b89079e4afd,
  0x0000000000000009,
};

// t861a_swio13_lednop_pr_ee
static const uint64_t ur_t861_swio13_lednop_pr_ee[] = {
  0xd9fbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0xcfdde683e2f70a6a, 0x670ccdd9b0452226,
  0xc13e32777c8e9894, 0x21c1ffa343cfd0fc, 0xcace1cd56b466524, 0x3f51f06cc1a01ea3, 0x6e1d7d8b4ddf15b9,
  0x484d7d2d8cb8e138, 0x139d5a5dfc5c5133, 0xe875eba9bb2f88e2, 0xc5a637d188b6355a, 0xb70decb872ce038e,
  0x9b5e5caad570b3fe, 0x5152a8d77210e7e0, 0xe576a96faa9bece7, 0x924bfa0849ae0404, 0xe7b55a22bca2112b,
  0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0x8bf9b69e8754e04e, 0x166881726ae36511, 0x06fdd598f2076d0d,
  0x5138cb3590cf4c2d, 0xe4afdcd0ccb0ecb2, 0x000014f8072aa9c9,
};

// t861a_swio13_lednop_pr_ee_u4
static const uint64_t ur_t861_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xdab96963d4debd63, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522278,
  0x09f193baafb60dc6, 0x0e0fff9c8e7e87e6, 0x56a7a6ab5a37f121, 0xf51f06cc184ff51e, 0xe1d7d8b4ddf15b05,
  0x84d7d2d8cb8e1386, 0x39d5a5fe72e35934, 0xa1d79d37609e8c14, 0x169e488f22d8d56b, 0xb70decb65f380e3b,
  0xa015c326951b047e, 0x90873f04daf2e556, 0x54df673a8a9546bb, 0x4d7020272bb54b7d, 0xe510895c925fd042,
  0x79bdb5d73daad115, 0x0842a417296be740, 0xaaa2d23b73d0ea9c, 0x18bf9b65d9156ff7, 0x659d1726ae0f3651,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xbe8f727e07effe09, 0x8138cb3590cf4c2b,
  0x9e4afdcd0ccb0ecf, 0x0000013ae10b446e,
};

// t861a_swio13_lednop_pr_ce
static const uint64_t ur_t861_swio13_lednop_pr_ce[] = {
  0xa66eeeeeef621391, 0x9572d2c5938a6eb0, 0x6f419eecfe0f1c65, 0xc17f36b1d82f2665, 0x2541090a87baa621,
  0x304f8c9ddb23a107, 0x84387ff46879f60b, 0x0160e487b1fd66e4, 0x339d7736ba6dfe78, 0xdea3ce33dcb2eb59,
  0x287b40238e558193, 0x3e76f911c6473160, 0xb86a807feccf1d7a, 0x55ac0ad03cb5bb7b, 0xaee421cfc136bcb9,
  0xdf5537d9cea2a551, 0x10935c0809caed52, 0x45794422572497f4, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x4e4f257ee6866587, 0x000000016ea3cbd5,
};

// t861a_swio13_lednop_pr_ce_u4
static const uint64_t ur_t861_swio13_lednop_pr_ce_u4[] = {
  0x37dddddda2446f43, 0x3f72d2c30e1bbac7, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bdde6f,
  0x4c13e32774056f25, 0x212dd7ff9c8e7e39, 0x0b5a4df7551f5ee9, 0x6c2445f71a20f3c0, 0xaf723fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f38c, 0x7191cc580a1ed008, 0xfb33c75e8f9dbe44, 0x0f2d6edeee1aa01f,
  0xf04daf2e556b02b4, 0x73a8a9546bb90873, 0x0272bb54b7d54df6, 0x95c925fd0424d702, 0x5d73daad115e5108,
  0x417296be74079bdb, 0x23b73d0ea9c0842a, 0x6cbb0c76ff7aaa2d, 0xe4d5c1e6ca2317f3, 0x31e40fca1a2cb3a2,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x4fc0fdffc1343c89, 0x66b219e98577d1ee, 0xb9a19961d9f02719,
  0xdd78fae88dd3c95f,
};

// t861a_swio13_lednop_pr_ee_ce
static const uint64_t ur_t861_swio13_lednop_pr_ee_ce[] = {
  0x71ddddddd4144511, 0x1772d2c42b791ac1, 0xe0ea33dc29a98d7f, 0xb7b3e17fd323ed2e, 0xb582104e250e171d,
  0x8c9ddfb5a538b14b, 0x1ffe7239f7f9304f, 0xfcb1fd519754840d, 0x6b9b77f9e005ad27, 0xa76b02bdf339d773,
  0x6cc19ebea3caca1c, 0x8b4c531594bf51f0, 0x2d8cb8e1386e1d7d, 0x3abb77ce1d484d7d, 0x3af3a6ec13d18287,
  0xa79223c8b6355e36, 0xc37b2d97ce038ec5, 0xb3b864d2a3608991, 0x10e7e09b5e5caad4, 0x9bece75152a8d772,
  0xae0404e576a96faa, 0xa2112b924bfa0849, 0x37b6bae7b55a22bc, 0x085482e52d7ce80f, 0x545a476e7a1d5381,
  0x2fe6d97618edfef5, 0xeae5c9ab83cd9446, 0x9d598f207e50d165, 0x678138d2861539fa, 0xa616837ef88d0f22,
  0x8767c09c659ac867, 0x22374f257ee68665, 0x00000000004fc39f,
};

// t861a_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_t861_swio13_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd62c, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1ec9b5,
  0xc9ddb9da3dabbec4, 0xf4a41f3fd83304f8, 0x547d51e9b48443ef, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0x79594394ed667bdf, 0x97ea3e0d9833d7d4, 0x0dc3afb1698a62b2, 0xa909afa5b1971c27,
  0x7a3050e7576ef9c3, 0xc6abc6c75e74dd82, 0xc071d8b4f2447916, 0x6c1132386f65b2f9, 0xcb955a96770c9a54,
  0x551aee421cfc136b, 0xd52df5537d9cea2a, 0x7f410935c0809cae, 0xab44579442257249, 0xaf9d01e6f6d75cf6,
  0x43aa70210a905ca5, 0x1dbfdeaa8b48edcf, 0x79b288c5fcdb2ec3, 0xa7c68b2ce8b93570, 0x854e7ea75663c819,
  0x2fcc4ffef0f7bca1, 0xff826879133c0fe3, 0xd30aefa3dc9f81fb, 0xc3b3e04e32cd6433, 0xe241e792bf734332,
  0x00000000027e68e2,
};

// t861a_swio14_noled_pr_ee
static const uint64_t ur_t861_swio14_noled_pr_ee[] = {
  0xe6fbbbbbbbd8ad4e, 0x532e5a58f5306758, 0xe85ebd7d623e2f56, 0xeef3412f6c81210b, 0x0ccddbd32291139b,
  0x3e32777c8e989467, 0x577fd1a1e7f674c1, 0xfe74d56b47b7d212, 0x51f06cc1ce3ea3ca, 0x1d7d8b4ddf15a56f,
  0x4d7d2d8cb8e1386e, 0x9d5a5dfc5c513348, 0xebd753769b91ad73, 0xa71923e92c6ab5d0, 0x0decb872ce038ec5,
  0xaf2e556ab827beb7, 0xa9546bb90873f04d, 0x4dcaed52df5673a8, 0x44ad8fdfd0424d67, 0xfaeb9ed5688af288,
  0x3ba9b14a7869de3b, 0x51698653d0ea9c08, 0x7f36cf5b8ab7fbd5, 0xcd102e4d5c6ca231, 0xdfbab31e40eda1a2,
  0x271966b219e985a0, 0x95fb9a19961d964a, 0x00029f00e555393c,
};

// t861a_swio14_noled_pr_ee_u4
static const uint64_t ur_t861_swio14_noled_pr_ee_u4[] = {
  0x84dddddda2445541, 0xdab96963d4e19d62, 0x6475a2eedb75fe24, 0x7914ce3f8bcd8c77, 0x7ae34c9022911284,
  0x9f193ba82b7a71ce, 0xb3bffce473e70660, 0x65d66ab5a331e909, 0xa8f83660fa8f51e5, 0x0ebec5a6ef8ace1f,
  0x26be96c65c709c37, 0xcead2e51571ac9a4, 0x875e74dd90047f21, 0x2d37bd1ef76355ae, 0x6e1bd96cbe701c76,
  0xa0113dcf2a3608fd, 0x90873f04daf2e556, 0x2df5673a8a9546bb, 0xfd0424d674dcaed5, 0x5688af28844ad8fd,
  0xa7869de3bfaeb9ed, 0x3d0ea9c083ba9b14, 0xb8ab7fbd55169865, 0xc1e6ca2317f36cf5, 0x0fca1a2cb3a2e4d5,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0xfdffc1343c899e07, 0x19e98577d1ee4fc0, 0x9961d9f0271966b2,
  0x59488dd3c95fb9a1, 0x0000000000004ebd,
};

// t861a_swio14_noled_pr_ce
static const uint64_t ur_t861_swio14_noled_pr_ce[] = {
  0x7f777777507b1762, 0x572d2c5938d4eb18, 0x4d6437779b51c659, 0x82ff7e42fa86ebd0, 0xb536f4f6deee1f43,
  0x09f193bbc97685a3, 0x895bfe8d0f3e70e6, 0x2c1c72763faaf890, 0x73aee6d743efcf00, 0xd475f27b965d6b26,
  0x9126e8e395606b3f, 0x9d96ba3114e62c05, 0xf2a01ffb33c75e8f, 0x6acfba0796b77484, 0xb90873f04daf2e55,
  0x52df5673a8a9546b, 0xdfd0424d674dcaed, 0xd5688af28844ad8f, 0x4a7869de3bfaeb9e, 0x53d0ea9c083ba9b1,
  0xb663b7fbd5516986, 0xb83cd94462fe6d9e, 0x076d0d165eae5c9a, 0x2861539fa9d598f2, 0xef88d0f22678138d,
  0xc659ac867a616837, 0x57ee686658767c09, 0x000dd739f554e4f2,
};

// t861a_swio14_noled_pr_ce_u4
static const uint64_t ur_t861_swio14_noled_pr_ce_u4[] = {
  0x93dddddda24458e2, 0x1fb96961870d8ac1, 0x1a7b42f78fd08a66, 0xc1fc2de45a14df8f, 0x3ac6ec19b53dd327,
  0x4c13e32775d96fd3, 0x213027ff9c8e7edd, 0x0b5a453d551f5911, 0x6c2445f71a20f3c0, 0x5d9bffa2cbc25f88,
  0xee5821ac99aa3b9b, 0x8e5581acff51d7c9, 0xc45398b016449ba3, 0xeccf1d7a3e765ae8, 0x1e5addd213ca807f,
  0xc136bcb955ab3ee8, 0xcea2a551aee421cf, 0x359d372bb54b7d59, 0xca2112b63f7f4109, 0x78efebae7b55a22b,
  0x7020eea6c529e1a7, 0xef5545a6194f43aa, 0x118bf9b67ad98edf, 0x1659d1726ae0f365, 0x9fa9d598f207e50d,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0xbbe8f727e07effe0, 0xf8138cb3590cf4c2, 0xe9e4afdcd0ccb0ec,
  0x0000006ebe8e2446,
};

// t861a_swio14_noled_pr_ee_ce
static const uint64_t ur_t861_swio14_noled_pr_ee_ce[] = {
  0xdeeeeeeea0a22044, 0xbb9696215971d606, 0xdec71d7a70bc6bf8, 0xdecfcc5a28418be5, 0x9891a738943836f6,
  0x64ee8f6d81610fc8, 0xfff391cf8689827c, 0xfb1fd519c3484b1f, 0xbf75bf3c00b5a4e9, 0x76b02bdf339d7736,
  0xcc1e95ea3cae43ca, 0xb4c5315ba5f51f06, 0xd8cb8e1386e1d7d8, 0xabb71451d484d7d2, 0xd79d3764011fc873,
  0x9bde8f7bb1aaf1b1, 0x0decb65f380e3b16, 0x664f73ca8d822647, 0x21cfc136bcb955a9, 0x7d59cea2a551aee4,
  0x4109359d372bb54b, 0xa22bca2112b63f7f, 0xe1a778efebae7b55, 0x43aa7020eea6c529, 0x8edfef5545a6194f,
  0xf365118bf9b67ad9, 0x9434597ab9726ae0, 0x854e7ea75663c81f, 0x2343c899e04e34a1, 0x66b219e985a0dfbe,
  0xb9a19961d9f02719, 0x13f1eb688dd3c95f,
};

// t861a_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_t861_swio14_noled_pr_ee_ce_u4[] = {
  0xef7777768b9f1f68, 0xbb96962e04246b18, 0x27605e8335a0b88d, 0x9fa5243a7791a8b6, 0xee0ae3910e0f8eda,
  0x193ba3afa0282c8e, 0xfe9483e7d0fa609f, 0x5547d51dba484c41, 0xb8d1079e005cedfe, 0x165e12fc4361222f,
  0x7ccd51dcdafd4efd, 0x51e5721e53b599ef, 0xdd2fa8f83660f4af, 0x9c370ebec5a6298a, 0x8ea426be96c65c70,
  0x2008fe439d5db8a2, 0xdd8d578d8ebce9bb, 0xf9c071d8b4def47b, 0x546c1132386f65b2, 0xb5e5caad4b327b9e,
  0x152a8d77210e7e09, 0xe9b95daa5beace75, 0x0895b1fbfa0849ac, 0x7f5d73daad115e51, 0x077536294f0d3bc7,
  0xaa2d30ca7a1d5381, 0x5fcdb3d6cc76ff7a, 0xce8b9357079b288c, 0x75663c819a7c68b2, 0xef0f7bca1854e7ea,
  0x9133c0fe32fcc4ff, 0x3dc9f81fbff82687, 0xe32cd6433d30aefa, 0x2bf734332c3b3e04, 0x0027e6f05e241e79,
};

// t861a_swio14_lednop_pr_ee
static const uint64_t ur_t861_swio14_lednop_pr_ee[] = {
  0xe6fbbbbbbbd8b562, 0x29972d2c7a9ad158, 0x1e34f685e8c1afab, 0xe6fbbcd04bdea9bb, 0x704fde2f6408a444,
  0x9827c64eed33dfa7, 0x420d6ffa343cfa5a, 0x795c879aad68f6fa, 0xddea3e0d9839c7d4, 0x0dc3afb169bbe2bf,
  0x6909afa5b1971c27, 0xc4e7569731eb8a26, 0xba1d7aea6ed92234, 0xb169c1f476b58d56, 0xadc37b2e1cb380e3,
  0x26d7972ab55c60bf, 0xd454aa35dc8439f8, 0x13a6e576a96fab39, 0x572fb1e82126b810, 0xb5cf6ab445794422,
  0x52c2ca6c59d01e7e, 0xa2fa2810b4d5ceaf, 0x2317f36d3d0ea9c0, 0x1a2cd102e4d5c6ca, 0x5a0dfbab31e40eda,
  0x64a271966b219e98, 0x93c95fb9a19961d9, 0x00000014f8a9d553,
};

// t861a_swio14_lednop_pr_ee_u4
static const uint64_t ur_t861_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0x6d5cb4b1ea742eb1, 0x9a5d5c7b007a5f12, 0x3c8a671f8678bd4d, 0x545a0ac811488942,
  0x4f8c9dd3ada244b5, 0x1adffe7239f4b530, 0xb60b355ad198f484, 0xd47c1b307d47a8f2, 0x875f62d377c5650f,
  0x135f4b632e384e1b, 0xe756974acb8d64d2, 0x43af3a6edd4239b8, 0x169fc88e32b1aad7, 0xb70decb65f380e3b,
  0x500ba427951b047e, 0xc8439f826d7972ab, 0x96fab39d454aa35d, 0x126b81013a6e576a, 0x5794422572fb1e82,
  0x01e6f6d75cf6ab44, 0x70210a905ca5af9d, 0xdeaa8b48edcf43aa, 0x5118bf9b632455bf, 0xd1659d1726ae0f36,
  0x39fa9d598f207e50, 0x313ffbc3def28615, 0x09a1e44cf03f8cbf, 0x2bbe8f727e07effe, 0xcf8138cb3590cf4c,
  0x6e9e4afdcd0ccb0e, 0x00000000275cb344,
};

// t861a_swio14_lednop_pr_ce
static const uint64_t ur_t861_swio14_lednop_pr_ce[] = {
  0x0feeeeeeef621c3b, 0x2ae5a58b272c9d63, 0xc695bd48be2638cb, 0x1c17fbf1a9c2f186, 0xf22b46145c7770fa,
  0xcc13e32776a2ed05, 0x21243ffd1a1e7ca1, 0x005838e96c7f55f1, 0x2673aee6d70d1f9e, 0x7fa8f2fa7b965d6b,
  0x0a654e31c72ac0d6, 0x1f3b4428c6f9cc58, 0x7a45403ff6678ebd, 0x556afadc0f2d6e11, 0x6bb90873f04daf2e,
  0xed52df5673a8a954, 0xd0424d7020274dca, 0x688af28844ae5f63, 0xf3a03cdedaeb9ed5, 0x754e0421520b94b5,
  0xb7fbd551691db9e8, 0x8d94462fe6d8c863, 0x1db43459a205c9ab, 0x3d30b41bf75663c8, 0xc3b2c944e32cd643,
  0xeaa72792bf734332, 0x0000000000b7517e,
};

// t861a_swio14_lednop_pr_ce_u4
static const uint64_t ur_t861_swio14_lednop_pr_ce_u4[] = {
  0x93dddddda24477d6, 0x3f72d2c30e62fac1, 0x417420d623e2d4cc, 0xc1fc2de43616805f, 0xfb4d2cfdd93dd327,
  0x4c13e32776c36f91, 0x2137dfff9c8e7e2b, 0x0b5a495d551f5911, 0x6c2445f71a20f3c0, 0xaec87fa2cbc25f88,
  0xf72c10d64cd51dcd, 0x8e5581acff51e5f4, 0x8df398b014ca9c63, 0xeccf1d7a3e768851, 0x1e5adc22f48a807f,
  0xe09b5e5caad5f5b8, 0xe75152a8d77210e7, 0x404e9b95daa5beac, 0x895cbec7a0849ae0, 0xb5d73daad115e510,
  0xa417296be74079bd, 0xd23b73d0ea9c0842, 0xcdb190c76ff7aaa2, 0x8b9357079b288c5f, 0xacc7903f2868b2ce,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xb93f03f7ff04d0f2, 0x659ac867a615df47, 0x7ee686658767c09c,
  0x0375de6da2374f25,
};

// t861a_swio14_lednop_pr_ee_ce
static const uint64_t ur_t861_swio14_lednop_pr_ee_ce[] = {
  0xdeeeeeeea0a232a8, 0xbb9696215a99d606, 0xdedc1d53763c6bf8, 0xbd9f98ae368b0ce0, 0xe4b4167128706ded,
  0xc9dd9c5a6e99f74e, 0xffce473f3b7304f8, 0xec7f54670d21376b, 0xf541fcf002d69066, 0xb5815ef99cebb9b5,
  0x60f4af51e5652e53, 0xa6298acbafa8f836, 0xc65c709c370ebec5, 0x5db92b0ea426be96, 0xbce9bb7508e6e39d,
  0xfe4471958d578d8e, 0x6f65b2f9c071d8b4, 0x3e909e546c113238, 0x0e7e09b5e5caad4b, 0xeace75152a8d7721,
  0xae0404e9b95daa5b, 0x510895cbec7a0849, 0x9bdb5d73daad115e, 0x842a417296be7407, 0xaa2d23b73d0ea9c0,
  0xc5fcdb190c76ff7a, 0xbd5cb9357079b288, 0x53ab31e40fca1a2c, 0x4cf0271a50c2a73f, 0xf4c2d06fdf11a1e4,
  0xb0ecf8138cb3590c, 0x7446e9e4afdcd0cc, 0x000000000027e27d,
};

// t861a_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_t861_swio14_lednop_pr_ee_ce_u4[] = {
  0xdeeeeeed173e5f41, 0x772d2c5c0919d631, 0x769bad376c81711b, 0x3f4a48091e9c47c3, 0xc4ea67221c1f1db5,
  0x193bb5ad3b55c4c8, 0xfe9483e7ff5e609f, 0xd547d51dba484801, 0x71a20f3c00b9dd6f, 0x2cbc25f886c2445f,
  0xf99aa3b9b5c2c9fa, 0xa3caca5ca76b33de, 0x975f51f06cc1e95e, 0x386e1d7d8b4c5315, 0x1d484d7d2d8cb8e1,
  0xea11cdc73abb7256, 0x2b1aaf1b1d79d376, 0xf380e3b169fc88e3, 0xa8d8226470decb65, 0x6bcb955a967d213c,
  0x2a551aee421cfc13, 0xd372bb54b7d59cea, 0x97d8f410935c0809, 0xe7b55a22bca2112b, 0xe52d7ce80f37b6ba,
  0x6e7a1d5381085482, 0x3218edfef5545a47, 0x6ae0f365118bf9b6, 0x90334f8d1659d172, 0x79430a9cfd4eacc7,
  0x1fc65f989ffde1ef, 0x03f7ff04d0f22678, 0xc867a615df47b93f, 0x86658767c09c659a, 0xc927c483cf257ee6,
  0x00000000000004fc,
};

// t861a_swio15_noled_pr_ee
static const uint64_t ur_t861_swio15_noled_pr_ee[] = {
  0x09177777777b1762, 0xca65cb4b1ea78beb, 0xbdebed05df4b5a6a, 0x2eef341f166c2d00, 0x6d2cfdd932291112,
  0x13e3277792ed3347, 0x37dffd1a1e7e2b4c, 0x56e966ab5a332921, 0x7a8f83660d00f51e, 0x70ebec5a6ef8afe7,
  0x426be96c65c709c3, 0x39d5a5e032e2899a, 0x875eba9bb0288def, 0xb4f22a3b876355ae, 0xe1bd970e59c071d8,
  0xb5e5caad5704d7d6, 0x152a8d77210e7e09, 0x9b95daa5beaece75, 0x4ab57fbfa0849ace, 0xaeb9ed5688af2884,
  0xba9b14a7869de3bf, 0x1698653d0ea9c083, 0xfcdb2048ab7fbd55, 0x3440b93571b288c5, 0x7eeacc7903b6868b,
  0x9c659ac867a61683, 0x57ee686658765928, 0x00029f092554e4f2,
};

// t861a_swio15_noled_pr_ee_u4
static const uint64_t ur_t861_swio15_noled_pr_ee_u4[] = {
  0x7bdddddda2447032, 0xb572d2c7a9b4bac1, 0xa2e91fd1b6c47c49, 0xe4531d79bb2b6f4d, 0x05a16b41148885ed,
  0xf8c9dd3b5b2ed395, 0xadffe7239f275304, 0x94b9aad68dfc4848, 0x47c1b30613fd4795, 0x75f62d377c565d7d,
  0x35f4b632e384e1b8, 0x75697fdcb8d64d21, 0x3af3a6eda523c90e, 0xd34c51c1fb1aad74, 0xe1bd96cbe701c762,
  0x0226b05aa3608fd6, 0x10e7e09b5e5caad4, 0xeaece75152a8d772, 0x0849ace9b95daa5b, 0x8af28844ab57fbfa,
  0x69de3bfaeb9ed568, 0xea9c083ba9b14a78, 0xb7fbd551698653d0, 0x9b288c5fcdb2048a, 0x2868b2ce8b935707,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xff04d0f226781fc6, 0xa615df47b93f03f7, 0x8767c09c659ac867,
  0xa2374f257ee68665, 0x00000000013ae917,
};

// t861a_swio15_noled_pr_ce
static const uint64_t ur_t861_swio15_noled_pr_ce[] = {
  0xd7eeeeeeef62ff41, 0x2ae5a58b2731dd63, 0x13590de6ec1e38cb, 0xe0bf9b40bfc7b114, 0x13855931b7bbebd0,
  0xc13e3277682ed0b3, 0x13e77fd1a1e7cbac, 0x0583895ac7f59b92, 0x673aee6d7ff9f9e0, 0xbd479ba7b965d6b2,
  0x2f740a471cab0327, 0x3e767bd1ef673160, 0x934a807feccf1d7a, 0x55aaad503cb5bae1, 0xaee421cfc136bcb9,
  0x54b7d5d9cea2a551, 0xf7f4109359d372bb, 0xaad115e5108956af, 0x94f0d3bc77f5d73d, 0xa7a1d53810775362,
  0x10c76ff7aaa2d30c, 0x4d5c6ca2317f36c8, 0x1e40eda1a2cd102e, 0xb219e985a0dfbab3, 0x19961d964a271966,
  0x517d55393c95fb9a, 0x00000000000002dd,
};

// t861a_swio15_noled_pr_ce_u4
static const uint64_t ur_t861_swio15_noled_pr_ce_u4[] = {
  0xefdddddda2447e4a, 0x3f72d2c30e15bac6, 0x85ebd7d75e5ed4cc, 0xc1fc2e844130acc6, 0x57c7ef17e3bddddf,
  0xcc13e32775eb6989, 0x2132b7ff9c8e7f4d, 0x0b5a4c09551f5ee9, 0x6c2445f71a20f3c0, 0xafd67fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f374, 0x3dece62c05ee8148, 0xfd99e3af47cecf7a, 0x0796b75c3269500f,
  0xf826d7972ab555aa, 0x39d454aa35dc8439, 0x6b3a6e576a96fabb, 0xa2112ad5fefe8212, 0x8efebae7b55a22bc,
  0x020eea6c529e1a77, 0xf5545a6194f43aa7, 0x462fe6d90218edfe, 0x596745c9ab83cd94, 0x7ea75663c81f9434,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a, 0xa792bf734332c3b3,
  0x000001bae4e2d11b,
};

// t861a_swio15_noled_pr_ee_ce
static const uint64_t ur_t861_swio15_noled_pr_ee_ce[] = {
  0x06eeeeeea0a22582, 0x5dcb4b10adf4eb10, 0xc7448ed9305e35fc, 0xbd9f0bc8fd453771, 0xd33a17389439006d,
  0x64ee9d6d6665ab92, 0xffe7239f4db9827c, 0xf63faa32ea908337, 0x77547e78016b4863, 0xed6057be673aee6d,
  0x9833d7d47959c394, 0x698a62b90fea3e0d, 0xb1971c270dc3afb1, 0x576efdc3a909afa5, 0xaf3a6eda523c90e7,
  0x698a383f6355e363, 0x37b2d97ce038ec5a, 0x326b05aa3608991c, 0x0e7e09b5e5caad4b, 0xaece75152a8d7721,
  0x849ace9b95daa5be, 0xaf28844ab57fbfa0, 0x9de3bfaeb9ed5688, 0xa9c083ba9b14a786, 0x7fbd551698653d0e,
  0x65118bf9b640863b, 0x34597ab9726ae0f3, 0x4e7ea75663c81f94, 0x43c899e04e34a185, 0xb219e985a0dfbe23,
  0xa19961d9f0271966, 0xf0ad488dd3c95fb9, 0x0000000000000013,
};

// t861a_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_t861_swio15_noled_pr_ee_ce_u4[] = {
  0x9eeeeeed173e6812, 0x772d2c5c0a0dd61e, 0x5eb33dc5e821711b, 0x3f4ab44bbe4b6460, 0x233fa7221c1de9b5,
  0x93bb45fad8935e27, 0xf4a41f3e292609f1, 0x547d51e9b484adff, 0x1a20f3c00b9ddadd, 0xcbc25f886c2445f7,
  0x33547736bbb77fa2, 0x7959c394ed667bdf, 0x0fea3e0d9833d7d4, 0x0dc3afb1698a62b9, 0xa909afa5b1971c27,
  0x523c90e7576efdc3, 0x6355e363af3a6eda, 0xe038ec5a698a383f, 0x3608991c37b2d97c, 0xe5caad4b326b05aa,
  0x2a8d77210e7e09b5, 0x95daa5beaece7515, 0xb57fbfa0849ace9b, 0xb9ed5688af28844a, 0x9b14a7869de3bfae,
  0x98653d0ea9c083ba, 0xb640863b7fbd5516, 0x726ae0f365118bf9, 0xc790334f8d1659d1, 0xef79430a9cfd4eac,
  0x781fc65f989ffde1, 0x3f03f7ff04d0f226, 0x9ac867a615df47b9, 0xe686658767c09c65, 0xfc7e05c483cf257e,
  0x0000000000000004,
};

// t861a_swio15_lednop_pr_ee
static const uint64_t ur_t861_swio15_lednop_pr_ee[] = {
  0x48bbbbbbbbd8ad4e, 0x29972d2c7a9a0958, 0x742f5ebe933e3fab, 0x45dde683e2f70a6a, 0x670ccdd9b0452222,
  0xc13e32777c8e9894, 0x21c1ffa343cfd0fc, 0xcace1cd56b466524, 0x3f51f06cc1a01ea3, 0x6e1d7d8b4ddf15b9,
  0x484d7d2d8cb8e138, 0x139d5a5dfc5c5133, 0xe875eba9bb2f88e2, 0xc5a637d188b6355a, 0xb70decb872ce038e,
  0x9b5e5caad570b3fe, 0x5152a8d77210e7e0, 0xe9b95daa5beaece7, 0xe4ac7a0849ae0404, 0xb9ed5688af28844a,
  0x58594d8b3a03cfd6, 0x9f4502169ab9d5ea, 0x62fe6da7a1d53813, 0x459a205c9ab8d944, 0x41bf75663c81db43,
  0x944e32cd6433d30b, 0x792bf734332c3b2c, 0x0000053e01caaa72,
};

// t861a_swio15_lednop_pr_ee_u4
static const uint64_t ur_t861_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xdab96963d4debd60, 0x4b8f7e9e97119e24, 0xb7914c75ed2cdde1, 0xab22101b04522217,
  0x09f193baafb60dc6, 0x0e0fff9c8e7e87e6, 0x56a7a6ab5a37f121, 0xf51f06cc184ff51e, 0xe1d7d8b4ddf15b05,
  0x84d7d2d8cb8e1386, 0x39d5a5fe72e35934, 0xa1d79d37609e8c14, 0x169e488f22d8d56b, 0xb70decb65f380e3b,
  0xa015c326951b047e, 0x90873f04daf2e556, 0xdf57673a8a9546bb, 0x4d7020274dcaed52, 0x794422572563d042,
  0x1e6f6d75cf6ab445, 0x0210a905ca5af9d0, 0xeaa8b48edcf43aa7, 0x462fe6d976455bfd, 0x596745c9ab83cd94,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0xefa3dc9f81fbff82, 0xe04e32cd6433d30a,
  0xa792bf734332c3b3, 0x0000004eb842d11b,
};

// t861a_swio15_lednop_pr_ce
static const uint64_t ur_t861_swio15_lednop_pr_ce[] = {
  0xd7eeeeeeef621391, 0x2ae5a58b2714dd63, 0xde833dd9fc1e38cb, 0x82fe6d63b05e4cca, 0x9504242a1eefaf43,
  0xc13e32776c8e841c, 0x10e1ffd1a1e7d82c, 0x0583921ec7f59b92, 0xce75dcdae9b7f9e0, 0x7a8f38cf72cbad64,
  0xa1ed008e3956064f, 0xf9dbe447191cc580, 0xe1aa01ffb33c75e8, 0x56b02b40f2d6edee, 0xbb90873f04daf2e5,
  0x52df57673a8a9546, 0x424d7020274dcaed, 0x45794422572563d0, 0xd01e6f6d75cf6ab4, 0xa70210a905ca5af9,
  0xfdeaa8b48edcf43a, 0x288c5fcdb2ec31db, 0x6868b3440b93571b, 0x616837eeacc7903b, 0x659289c659ac867a,
  0x4e4f257ee6866587, 0x000000016ea3cbd5,
};

// t861a_swio15_lednop_pr_ce_u4
static const uint64_t ur_t861_swio15_lednop_pr_ce_u4[] = {
  0xefdddddda2446f43, 0x3f72d2c30e1bbac6, 0x0836a2efa5ad14cc, 0xc1fc2e842b68258f, 0xd9434e19a9bddddf,
  0x4c13e32774056f25, 0x212dd7ff9c8e7e39, 0x0b5a4df7551f5ee9, 0x6c2445f71a20f3c0, 0xaf723fa2cbc25f88,
  0xf72c10d64cd51dcd, 0xe3956064f7a8f38c, 0x7191cc580a1ed008, 0xfb33c75e8f9dbe44, 0x0f2d6edeee1aa01f,
  0xf04daf2e556b02b4, 0x73a8a9546bb90873, 0x0274dcaed52df576, 0x2572563d0424d702, 0xd75cf6ab44579442,
  0x905ca5af9d01e6f6, 0x48edcf43aa70210a, 0xdb2ec31dbfdeaa8b, 0xb9357079b288c5fc, 0xcc7903f2868b2ce8,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x93f03f7ff04d0f22, 0x59ac867a615df47b, 0xee686658767c09c6,
  0x375e3eba2374f257,
};

// t861a_swio15_lednop_pr_ee_ce
static const uint64_t ur_t861_swio15_lednop_pr_ee_ce[] = {
  0x00ddddddd4144511, 0x8bb9696215bc8d62, 0x707519ee14d4c6bf, 0xdbd9f0bfe991f697, 0xed60841389439006,
  0xe32777ed694e2c52, 0x47ff9c8e7dfe4c13, 0xff2c7f5465d52103, 0xdae6ddfe78016b49, 0x29dac0af7cce75dc,
  0x1b3067afa8f2b287, 0x62d314c5652fd47c, 0x4b632e384e1b875f, 0xceaeddf38752135f, 0x8ebce9bb04f460a1,
  0x69e488f22d8d578d, 0x70decb65f380e3b1, 0x2cee1934a8d82264, 0x8439f826d7972ab5, 0xfabb39d454aa35dc,
  0x6b81013a6e576a96, 0xca2112b92b1e8212, 0xf37b6bae7b55a22b, 0x1085482e52d7ce80, 0x5545a476e7a1d538,
  0x62fe6d97618edfef, 0x5eae5c9ab83cd944, 0xa9d598f207e50d16, 0x2678138d2861539f, 0x7a616837ef88d0f2,
  0x58767c09c659ac86, 0xf22374f257ee6866, 0x000000000004fc39,
};

// t861a_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_t861_swio15_lednop_pr_ee_ce_u4[] = {
  0x9eeeeeed173e704a, 0x772d2c5c091dd61e, 0xd694ed3f66c1711b, 0x3f4ab441b976694d, 0xe4ef23221c1de9b5,
  0xc9ddb9da3dabbec4, 0xf4a41f3fd83304f8, 0x547d51e9b48443ef, 0x1a20f3c00b9db5dd, 0xcbc25f886c2445f7,
  0x33547736bf0fffa2, 0x79594394ed667bdf, 0x97ea3e0d9833d7d4, 0x0dc3afb1698a62b2, 0xa909afa5b1971c27,
  0x7a3050e7576ef9c3, 0xc6abc6c75e74dd82, 0xc071d8b4f2447916, 0x6c1132386f65b2f9, 0xcb955a96770c9a54,
  0x551aee421cfc136b, 0x2bb54b7d5d9cea2a, 0x8f410935c0809d37, 0xaad115e510895c95, 0x6be74079bdb5d73d,
  0xd0ea9c0842a41729, 0xc76ff7aaa2d23b73, 0x1e6ca2317f36cbb0, 0x69f1a2cb3a2e4d5c, 0x61539fa9d598f206,
  0xcbf313ffbc3def28, 0xffe09a1e44cf03f8, 0xf4c2bbe8f727e07e, 0xb0ecf8138cb3590c, 0xb89079e4afdcd0cc,
  0x00000000009f9a38,
};

// c32_autobaud_uart0_noled_pr
static const uint64_t ur_c32_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xeea41b4d3277e68c, 0x85e6c311e3ef26ee, 0x8218b7793bb63d90,
  0x3419fdbf304f8c04, 0xd022054f84ba8ff8, 0xaa4d7ce1cc05d221, 0x24386d1bdaa3857e, 0x903349ea3f3c77cb,
  0xb7ba6115afa921c4, 0xced20a8f199cc580, 0xb1d3dc72c608ebc5, 0x73859bf0312b5ec2, 0xbcde5ba8301deb5e,
  0xf55d54e5e5363385, 0x8ce88173714085a6, 0x37296a5f9b69c637, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x9961d252d9c389c6, 0x005845f3c95fb9a1, 0x0000000000003888,
};

static const uint64_t ur_c32_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbaabf0bedb8, 0xe1ff4bc7cc9ee63b, 0x6ea1c00f26eeedc4, 0xb7793bab8c48e150,
  0xfdbf304f8c048218, 0x8153e12ea3ff4419, 0x5f38730174887408, 0x1b46f6a8e15faa93, 0x05fa8fd01df2c21e,
  0xa67bed6a4871240d, 0xabfa3d61cc580b2c, 0xa01ffb30475e8f9d, 0xe3e07967b63eccf2, 0x39c2cdf81895af60,
  0xf37807d4180ef5af, 0x0575539794d8ce16, 0xa2d2c2e718de33a2, 0x97e6d892455bd8aa, 0x3bb8d164498dca5a,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0xe5696792bf734332, 0x00000000011864d3,
};

// c32_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_c32_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bdb23b, 0x1eb9210646d6ef1f, 0x9ddb0db2b92a4c08,
  0x9827c602410c5bbc, 0xe1295dffa20cfece, 0x7301748874088153, 0xf6a8e15faa935f38, 0x9126ab5a39c61b46,
  0x47c1b30698fa8f2b, 0xa75a1143be2beebd, 0x2135f4616588a459, 0x673ab4bce2b8d64d, 0x743af3a6edbda3c1,
  0x4228e791871b1aad, 0x7eb70decb65cc5c2, 0xbd801512a6951b04, 0xd6bce70b37e06256, 0x385bcde01f50603b,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x296a5f9b6249156f, 0x6fe0eee345912637, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xcf9275a59e4afdcd,
  0x00000000000009a9,
};

// c32_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2432493, 0x7777775571842b71, 0xf1f4130aa87ad2f7, 0xd1fbc5f63f777767, 0xdde4ee86e41447ce,
  0xd4f4c13e30120862, 0x0a9f09175ffd1067, 0xf9c3980ba443a044, 0xda37b5470afd549a, 0xb49dc7b8c5fac430,
  0x886c2445d670f3cd, 0xe1ffe068fd47c25f, 0x9e9ee59d5f593262, 0x2524389207acf51c, 0xfe8f587316028f9d,
  0x07feccf1d7a3e76a, 0x3e0796b70fb33ca8, 0x9c2cdf81895af60e, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfcdb12431dbd8aaa, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658, 0x0000000023753f5b,
};

// c32_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c32_autobaud_uart0_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108371, 0x0672ef92841a6477, 0x23334a683b6f770a, 0xddb1751f7ac80627,
  0x827c602410c5bbc9, 0x4936fff4419fb5b9, 0xc05d221d022054f8, 0xaa3857eaa4d7ce1c, 0x462fd51fce86d1bd,
  0x2eb3879e6da4ee39, 0x97ea3e12fc436122, 0x107be64c5c3d2533, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983,
  0x6588a459a75a1140, 0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3,
  0x3a254d2a3608991c, 0xce166fc0c4ad7b0b, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10,
  0x7e6d89218edec555, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5696792bf734332c, 0x0000000008224c5f,
};

static const uint64_t ur_c32_autobaud_uart0_noled_ee_hw[] = {
  0xb77777768a342493, 0xdddddd55c5fc69c4, 0xdb3f60cf1ded91dd, 0xf5c9083236b778f8, 0xc9dd0dc82b4ed040,
  0xe9827c602410c5bb, 0x3e1295dffd64cfec, 0x8730174887408815, 0x6f6a8e15faa935f3, 0xb9126ab5a39c61b4,
  0xd47c1b30698fa8f2, 0x9a75a1143be2beeb, 0xd2135f4616588a45, 0x1673ab4bce2b8d64, 0xd743af3a6edbda3c,
  0x24228e791871b1aa, 0x47eb70decb65cc5c, 0x6bd801512a6951b0, 0xbd6bce70b37e0625, 0x3385bcde01f50603,
  0x8ce8815d54e5e536, 0xf62aa8b4b0b9c637, 0x7296a5f9b6249156, 0xde50c2a73f509c63, 0xc7f197e627ff787b,
  0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0xfc2ed514f257ee68, 0x0000000000000589,
};

// c32_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart0_noled_ee_ce_hw[] = {
  0x6eeeeeed146807e1, 0xbbbbbaabc8841b89, 0x33977c9420d323bb, 0x199a5341db7bb850, 0x9dd087bf7a3af139,
  0x9827c602410c5bbc, 0x84936fffac99fb5b, 0xcc05d221d022054f, 0xdaa3857eaa4d7ce1, 0x9462fd51fce86d1b,
  0x1759c3cf2beb4ee3, 0x7ff51f097e21b091, 0x107be64c5c3f2d33, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983,
  0x6588a459a75a1140, 0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3,
  0x3a254d2a3608991c, 0xce166fc0c4ad7b0b, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7, 0x16961738c6f19d10,
  0x7e6d89218edec555, 0xa9cfd42718dca5a9, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000004a909c95,
};

static const uint64_t ur_c32_autobaud_uart0_lednop[] = {
  0x12dddddddd66ef3a, 0xf7777777557e1719, 0x48368ebeb4f13b50, 0x5908036da45ddddd, 0x0862dde4ee82f413,
  0x6833f224c13e3012, 0xa0440a9f09695ff0, 0x549af9c3980ba443, 0x4870da37b5470afd, 0x206693d47278ef96,
  0x5bdd30f9d2524389, 0xcecd7c8e414e62c0, 0x60fbdc72c608ebc5, 0x270b37e06256bd85, 0x6450603bd6bcf020,
  0xea53929d002de6f3, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xe7f61b94b52fcdb7, 0x9c6592e19e985727,
  0x9a19961d252d9c38, 0x662fd7845f3c95fb, 0x000000000000000d,
};

// c32_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_c32_autobaud_uart0_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e172e3, 0x387f6dfa548bb63f, 0xee17f8ff17bbbb71, 0xb7793bb4cd19a088,
  0xf8f7304f8c048218, 0x8153e12eebff4419, 0x5f38730174887408, 0x1b46f6a8e15faa93, 0x05fa8f6b1df2c21e,
  0x4df241fa4871240d, 0xb3d1a43398b01659, 0x00ffd9823af47cec, 0xad03cb3db4166915, 0x4e166fc0c4ad7b20,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x912637296a5f9b6e,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00046192b375a59e,
};

// c32_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_c32_autobaud_uart0_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe82c, 0x8db1a67ed4de9a5d, 0xb5159083236b778f, 0x9dd4149ca5d84368,
  0x9827c602410c5bbc, 0xe12d37ffa20cf8d6, 0x7301748874088153, 0xf6a8e15faa935f38, 0x32a6ab5a39c61b46,
  0x47c1b30698fa8f2b, 0x4eb422877c561efd, 0x426be8c2cb1148b3, 0x8e756973d571ac9a, 0x743af3a6ed192326,
  0x42282791bdab1aad, 0x7eb70decb65cc5c2, 0x7b0021f667951b04, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79,
  0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e,
  0x00000004d4e00ad5,
};

// c32_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c21bb8, 0xf1f2b68242fd7afb, 0xf0d3866f4f777767, 0xdde4ee94a3adf4d5,
  0xe574c13e30120862, 0x0a9f09305ffd1067, 0xf9c3980ba443a044, 0xda37b5470afd549a, 0xb49dc068c5fac430,
  0x886c2445d670f3cd, 0x874db9dbfd47c25f, 0x927b96757d64c98b, 0xb490e2481eb3d47e, 0xe8d219cc580a9888,
  0x7feccf1d7a3e7659, 0xa0796b720b348a80, 0xc2cdf81895af6415, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0x498dca5a97e6db9c, 0x9d599bf83bb8d164, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x011bab7c15696792,
};

// c32_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x7777775579104771, 0x0ce0dcbb68baccf7, 0xc9c624d076deee14, 0xeeefd8580526bd89,
  0xc13e30120862dde4, 0x127f9ffa20cfb5dc, 0x301748874088153e, 0x6a8e15faa935f387, 0x518bf547f3a1b46f,
  0x8bace1e79b693b27, 0x0ffa8f84bf10d848, 0x083df3262e1f2a1a, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1,
  0xb2c4522cd3ad08a0, 0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228,
  0x98fb33ca8d822647, 0x270b37e06256bd85, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0x912637296a5f9b6e, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0001044fb3d5a59e,
};

static const uint64_t ur_c32_autobaud_uart0_lednop_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2ff4162, 0x6d8d33f6a6f4d2ee, 0xa8ac84191b5bbc7c, 0xc9dd29475b55f345,
  0x69827c602410c5bb, 0x3e12d37ffd64cf8d, 0x8730174887408815, 0x6f6a8e15faa935f3, 0xb32a6ab5a39c61b4,
  0xd47c1b30698fa8f2, 0x34eb422877c561ef, 0xa426be8c2cb1148b, 0x68e756973d571ac9, 0xd743af3a6ed19232,
  0x242282791bdab1aa, 0x47eb70decb65cc5c, 0xd7b0021f667951b0, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xa73f509c637296a5, 0xe627ff787bde50c2,
  0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x00000002c4f9a6b5,
};

// c32_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x6eeeeeed14683d5b, 0xbbbbbaabc8823b89, 0x6706e5db45d667bb, 0x4e312683b6f770a0, 0x27759f3aded6ac4e,
  0xe609f180904316ef, 0xf093fcffeb267dae, 0x3980ba443a0440a9, 0x7b5470afd549af9c, 0x3a8c5faa3f9d0da3,
  0x22eb3879e57d69d9, 0x21fea3e12fc43612, 0x6107be64c5c3f59b, 0x35afea3cafba94ed, 0x0a62bdbfea3e0d98,
  0x16588a459a75a114, 0x576e3d4752135f46, 0xaf3a6ed1923268e7, 0x04f237b56355e363, 0xe1bd96cb98b84845,
  0xb31f667951b044c8, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9,
  0xce18edec555169ab, 0xa138c6e52d4bf36d, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00025493aa4a29e4,
};

// c32_autobaud_uart0_dual_pr        c32_autobaud_uart0_dual_pr_u4
static const uint64_t ur_c32_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddd5ac7ce2bf, 0xc11ecd8a05e843dd, 0x9ced9452b7774d2a, 0x0aeef7199b2affab,
  0x27c602410c5bbc9a, 0xbec99182a90d0798, 0xc40c2860da4606ee, 0xdfe655b759dd3e25, 0x943d829e386569b7,
  0x92241240e43cdea3, 0x510c4aff3f7c1142, 0xcbd3393b627d70f8, 0x5421968694886559, 0xee97fe80e784d374,
  0x6eb30586f2bc84b6, 0xd022054f849fcffa, 0xaa4d7ce1cc05d221, 0x89a86d1bdaa3857e, 0x90310fea3e453be5,
  0x55079a717be921c4, 0x19dad6475fce62c0, 0x435403ff6608ebc0, 0x2552740f2cf6c43a, 0x56bd93f8abe77715,
  0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0xaad2cf257ee68665, 0x0000000000b82ad6,
};

static const uint64_t ur_c32_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0xeeeeeeeac6efbbbf, 0xac89f55fd77a4dee, 0xdfbf764d60eeb4e3, 0x78233a19c53ac995,
  0x02410c5bbc90dcee, 0x23055222319827c6, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x2d6ce15bf3400fcc,
  0x481eed4dea3cedec, 0x5fe7ef8228524482, 0x14904fae1f0a2189, 0xa181110cab397a67, 0x4073c262eb150865,
  0xc3795e425b7ff9ff, 0x4f8489d7fd375982, 0xe1cc05d221d02205, 0x1bdaa3857eaa4d7c, 0x5afb9aad68e4486d,
  0xea3e0d983053d479, 0x9a75a1143be2ba95, 0xd2135f4616588a45, 0xd9cead2e652e2a5c, 0xae875ea25da2147b,
  0x242281151f3d6355, 0x8fd6e1bd97d2cc5c, 0x2a4a0109fd62a360, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0,
  0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0x07771a2cf7823729,
  0x50c2a73f53ab337f, 0x1f6c3dce32fcc4fe, 0x4c2b93f1cf7ff04d, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000014a91eb75a5,
};

static const uint64_t ur_c32_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xdddddddd58dda01b, 0xd8ae751796adaefd, 0x8593eec9ac1dd29c, 0xb9a3ea75682dd9dd,
  0x180904316ef24c8b, 0x4c8c1548f5aa609f, 0x614306d2303775f6, 0x32adbacee9f12e20, 0x609b6709db9ad6ff,
  0x1240cc7e6f51f76b, 0x4aff3f7c11429224, 0x38ce427d70f8510c, 0x2d0296886559cbd3, 0xfa039e137ce8a843,
  0x2c3795e425b7e9ff, 0x54f84a2b7fd37598, 0xce1cc05d221d0220, 0xd1bdaa3857eaa4d7, 0x95c7b9aad68f4a86,
  0xfea3e0d983f93d47, 0x59a75a1143be2b31, 0xcd2135f4616588a4, 0xa439d5a5c27ae105, 0xd743af6b13b0f88f,
  0x24228e811d4bb1aa, 0x7feb70decb8f8c5c, 0xfe2af9ddc5495702, 0x09c2cdf81895af64, 0xd914180ef5af3c08,
  0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00000a548bb2b4b3,
};

// c32_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart0_dual_pr_ce[] = {
  0xe6eeeeeed121a5fb, 0xdddddddd5968b9d7, 0xa75179579ced4d7d, 0x44f51f67dbbbaccd, 0x76ee9646ba83e2ac,
  0x27c602410c5bbc94, 0x7d93230552387f98, 0x881850c1b48c0ddd, 0xafccab6eb3ba7c4b, 0x63fb0ff8700d1369,
  0x9120920743f37a8f, 0x886257f9fbe08a14, 0x5e99cb9113eb87c2, 0x4219684874432ace, 0x2d7fd01cf09bf745,
  0xd660b0de579096dd, 0x088153e12b75ff4d, 0x935f387301748874, 0xfa1b46f6a8e15faa, 0xf36d27695a317eb2,
  0x97e21b0911759c3c, 0x3170f5bf003f51f0, 0x71bf3dcb3abd4b99, 0x3e52438920752fd4, 0x6b23afe731602828,
  0x01ffb33c75e00ced, 0x4e81e5adc21d21aa, 0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0x6dce18edec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2,
  0x0000002b5efa7ab4,
};

static const uint64_t ur_c32_autobaud_uart0_dual_pr_ee_ce[] = {
  0xfcdddddddd431f02, 0xeeeeeeeead63f226, 0x2c4e164da8fed826, 0xc7e776d2ec4eea4c, 0x5188b36e4330a5f5,
  0x02410c5bbc91ecee, 0x8c15482cc59827c6, 0x4306d2303775f64c, 0xadbacee9f12e2061, 0x30c7067c9bacff32,
  0x2062926f51cd6f61, 0x7f9fbe08a1491209, 0x29113eb87c288625, 0x3abd10cab397a670, 0x0e784d15a2a10cb4,
  0xde579096dd0fbfe8, 0xc249b7ff4dd660b0, 0xe602e910e81102a7, 0xed51c2bf5526be70, 0x3958fea8ff74368d,
  0xffae6b7f9e6da4ee, 0x253b58166e99ceb0, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47, 0x6be8c2cb1148b34e,
  0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b, 0xe2a4a5989fd62a36,
  0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xfe0eee3458f386e5, 0x70cf4c2b93f75666, 0x0e9296ce1c4e32c9, 0x95a59e4afdcd0ccb,
  0x00000000003110d3,
};

static const uint64_t ur_c32_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768a87fa812, 0xbbbbbab209f57bf3, 0x6083399335c87bbb, 0x8591f69dba9f6eb7, 0xe5acafed0b8b2bdb,
  0x2dde48437707d7e0, 0x13c9cc13e3012086, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0x513341ff32b8f5ce,
  0xdea3dc8ec0928e19, 0x450a4890490366fc, 0xc3e144312bfcfdf0, 0x559cbd338cf589f5, 0x3f150865a1bb4886,
  0x6dd9f3fe80e784dd, 0xd51ba60b0de57909, 0x3a0440a9f0921f7f, 0xd549af9c3980ba44, 0x32870da37b5470af,
  0x707dd3b31f8c5faa, 0xfc4361222eb3879e, 0x70e601ba1fea3e12, 0x7f253b58426e9931, 0x47c1b306be7a8f2b,
  0x4eb422814c5701bd, 0x426be8c2cb1148b3, 0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac,
  0x3608991c37b2fa59, 0xeee2a4a5989fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xe52d4bf36dce18ed, 0x6fe0d1fc68b224c6, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xc793d1eb9e4afdcd,
  0x000000000001fab6,
};

static const uint64_t ur_c32_autobaud_uart0_dual_ee_hw[] = {
  0x9bbbbbbb451a25fb, 0x777777756377dddf, 0xd644faafebbd26f7, 0xefdfbb26b0775a71, 0xee9646bae95664ca,
  0xc602410c5bbc90dc, 0x9323055222319827, 0x1850c1b48c0ddd7d, 0xfccab773ba7c4b88, 0xdec2d6ce15bf3400,
  0x482481eed4dea3ce, 0x1895fe7ef8228524, 0xa6714904fae1f0a2, 0x865a181110cab397, 0x9ff4073c262eb150,
  0x982c3795e425b7ff, 0x2054f8489d7f9d5b, 0xd7ce1cc05d221d02, 0x86d1bdaa3857eaa4, 0x4795afb9aad68e44,
  0xa95ea3e0d983053d, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21,
  0xc5c242281151f3d6, 0x3608fd6e1bd97d2c, 0xeee2a4a0109fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0x7296a5f9b6e722ad, 0xde50c2a73f509c63,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x5b3c9d14f257ee68,
  0x000000000000160e,
};

// c32_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d08f43, 0xeeeeeeac827d5efc, 0xd820ce64cd721eee, 0xe1647da76ea7dbad, 0xfb5ab6a71ae2caf6,
  0x0862dde484377789, 0x54813c9cc13e3012, 0x6d2303775f64c8c1, 0xdcee9f12e2061430, 0x8e19513341ff32ad,
  0x66fcdea3dc8ec092, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x4886559cbd338cf5, 0x84dd3f150865a1bb,
  0x79096dd9f3fe80e7, 0x87dfe756e60b0de5, 0x2e910e81102a7c24, 0x1c2bf5526be70e60, 0x17ea8ca1c368ded5,
  0x9c3cf2beb4ecc7e3, 0x51f097e21b091175, 0xba64c5c3b39747ff, 0xea3cadfc94ed6109, 0x5c06f51f06cc1af9,
  0x4522cd3ad08a0531, 0x1943a909afa30b2c, 0x9768851ef673abb7, 0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a,
  0x7f58a8d8226470de, 0xfc55f3bb8a929662, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0x84e31b94b52fcdb7, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0084d336dd68a792,
};

// c32_autobaud_uart1_noled_pr
static const uint64_t ur_c32_autobaud_uart1_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xeea41b4d3277e68c, 0x85e6c311e3ef26ee, 0x8218b7793bb63d90,
  0x3419fdbf304f8c04, 0xa0440a9f04ba8ff8, 0x549afe45f80ba45a, 0x4870da37b5470afd, 0x206693d47e78ef96,
  0x6f74c22b5f524389, 0x9da4151e33398b01, 0x63a7b8e58c11d78b, 0x9c9b6fc0c4eefd85, 0xcde5ba8301dfbbf3,
  0xabaa9cbca6c6726f, 0x9d102e6e2810b4de, 0xe52d4bf36d38c6f1, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x0b08be792bf73433, 0x0000000000071100,
};

static const uint64_t ur_c32_autobaud_uart1_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbaabf0bedb8, 0xe1ff4bc7cc9ee63b, 0x6ea1c00f26eeedc4, 0xb7793bab8c48e150,
  0xfdbf304f8c048218, 0x02a7c12ea3ff4419, 0xbf917e02e916a811, 0x368ded51c2bf5526, 0x0bf51fa03be5843c,
  0x4cf7dad490e2481a, 0x57f47ac398b01659, 0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0xce4db7e062777ec1,
  0x37807d4180efddf9, 0xaeaa72f29b19c9bf, 0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0x771a2c8931b94b52,
  0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0xad2cf257ee686658, 0x00000000230c9a7c,
};

// c32_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_c32_autobaud_uart1_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bdb23b, 0x1eb9210646d6ef1f, 0x9ddb0db2b92a4c08,
  0x9827c602410c5bbc, 0xc1295dffa20cfece, 0x7e02e916a81102a7, 0xed51c2bf5526bf91, 0x224d56b4738c368d,
  0x8f83660d31f51e57, 0x4eb422877c57dd7a, 0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782,
  0x8451cf230e36355a, 0xfd6e1bd96cb98b84, 0xfb002a254d2a3608, 0x77e73936df8189dd, 0x26fcde01f50603bf,
  0xd102baa9cbca6c67, 0x55516961738c6f19, 0x2d4bf36c4922adec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xf24eb4b3c95fb9a1,
  0x0000000000013539,
};

// c32_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart1_noled_pr_ce[] = {
  0x2ddddddda2432493, 0x7777775571842b71, 0xf1f4130aa87ad2f7, 0xd1fbc5f63f777767, 0xdde4ee86e41447ce,
  0xd4f4c13e30120862, 0x153e09175ffd1067, 0xfc8bf01748b54088, 0xb46f6a8e15faa935, 0x693b8f718bf58861,
  0x10d8488bace1e79b, 0xc3ffc0d1fa8f84bf, 0x3d3dcb3abeb264c5, 0x4a4871240f59ea39, 0xfd1eb0e62c051f3a,
  0x0ffd99e3af47ced5, 0x7c0f2d6e1f667950, 0xe4db7e062777ec1c, 0x7807d4180efddf9c, 0xeaa72f29b19c9bf3,
  0xa585ce31bc67440a, 0x9b624863b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x000000046ea7eb75,
};

// c32_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c32_autobaud_uart1_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108371, 0x0672ef92841a6477, 0x23334a683b6f770a, 0xddb1751f7ac80627,
  0x827c602410c5bbc9, 0x4936fff4419fb5b9, 0x80ba45aa0440a9f0, 0x5470afd549afe45f, 0x8c5faa3f9d0da37b,
  0x5d670f3cdb49dc72, 0x2fd47c25f886c244, 0x20f7cc98b87a4a67, 0xb5fd4795f5129dac, 0x4c5613fd47c1b306,
  0xcb1148b34eb42281, 0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147,
  0x744a9a546c113238, 0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205,
  0xcdb12431dbd8aaa2, 0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19,
  0x67a617c68f45fe07, 0x494b670e271964b8, 0xd2cf257ee6866587, 0x0000000104498bea,
};

static const uint64_t ur_c32_autobaud_uart1_noled_ee_hw[] = {
  0xb77777768a342493, 0xdddddd55c5fc69c4, 0xdb3f60cf1ded91dd, 0xf5c9083236b778f8, 0xc9dd0dc82b4ed040,
  0xe9827c602410c5bb, 0x7c1295dffd64cfec, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x7224d56b4738c368,
  0xa8f83660d31f51e5, 0x34eb422877c57dd7, 0xa426be8c2cb1148b, 0x2ce756979c571ac9, 0xae875e74ddb7b478,
  0x48451cf230e36355, 0x8fd6e1bd96cb98b8, 0xdfb002a254d2a360, 0xf77e73936df8189d, 0x726fcde01f50603b,
  0x9d102baa9cbca6c6, 0xc55516961738c6f1, 0x52d4bf36c4922ade, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b,
  0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x85daa29e4afdcd0c, 0x000000000000b13f,
};

// c32_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed146807e1, 0xbbbbbaabc8841b89, 0x33977c9420d323bb, 0x199a5341db7bb850, 0x9dd087bf7a3af139,
  0x9827c602410c5bbc, 0x04936fffac99fb5b, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0x28c5faa3f9d0da37,
  0x2eb3879e57d69dc7, 0xffea3e12fc436122, 0x20f7cc98b87e5a66, 0xb5fd4795f5129dac, 0x4c5613fd47c1b306,
  0xcb1148b34eb42281, 0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147,
  0x744a9a546c113238, 0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205,
  0xcdb12431dbd8aaa2, 0x39fa84e31b94b52f, 0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7,
  0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00000009521392a8,
};

static const uint64_t ur_c32_autobaud_uart1_lednop[] = {
  0x12dddddddd66ef3a, 0xf7777777557e1719, 0x48368ebeb4f13b50, 0x5908036da45ddddd, 0x0862dde4ee82f413,
  0x6833f224c13e3012, 0x4088153e09695ff0, 0xa935fc8bf01748b5, 0x90e1b46f6a8e15fa, 0x40cd27a8e4f1df2c,
  0xb7ba61f3a4a48712, 0x9d9af91c829cc580, 0xc1f7b8e58c11d78b, 0x3936df8189ddfb0a, 0x450603bf77e78101,
  0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x22adec555169aba7, 0xfec37296a5f9b6e7, 0x8cb25c33d30ae4fc,
  0x4332c3a4a5b38713, 0xc5faf08be792bf73, 0x00000000000001ac,
};

// c32_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_c32_autobaud_uart1_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e172e3, 0x387f6dfa548bb63f, 0xee17f8ff17bbbb71, 0xb7793bb4cd19a088,
  0xf8f7304f8c048218, 0x02a7c12eebff4419, 0xbf917e02e916a811, 0x368ded51c2bf5526, 0x0bf51ed63be5843c,
  0x9be483f490e2481a, 0x67a3486731602cb2, 0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x726dbf0313bbf641,
  0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x008c32566eb4b3c9,
};

// c32_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_c32_autobaud_uart1_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe82c, 0x8db1a67ed4de9a5d, 0xb5159083236b778f, 0x9dd4149ca5d84368,
  0x9827c602410c5bbc, 0xc12d37ffa20cf8d6, 0x7e02e916a81102a7, 0xed51c2bf5526bf91, 0x654d56b4738c368d,
  0x8f83660d31f51e56, 0x9d68450ef8ac3dfa, 0x84d7d18596229166, 0x1cead2e7aae35934, 0xe875e74dda32464d,
  0x84504f237b56355a, 0xfd6e1bd96cb98b84, 0xf60043eccf2a3608, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf,
  0x537a94e4a74026fc, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2,
  0x0000009a9c015ab4,
};

// c32_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart1_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c21bb8, 0xf1f2b68242fd7afb, 0xf0d3866f4f777767, 0xdde4ee94a3adf4d5,
  0xe574c13e30120862, 0x153e09305ffd1067, 0xfc8bf01748b54088, 0xb46f6a8e15faa935, 0x693b80d18bf58861,
  0x10d8488bace1e79b, 0x0e9b73b7fa8f84bf, 0x24f72ceafac99317, 0x6921c4903d67a8fd, 0xd1a43398b0153111,
  0xffd99e3af47cecb3, 0x40f2d6e416691500, 0x4db7e062777ec82b, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x23756f82ad2cf257,
};

// c32_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x7777775579104771, 0x0ce0dcbb68baccf7, 0xc9c624d076deee14, 0xeeefd8580526bd89,
  0xc13e30120862dde4, 0x127f9ffa20cfb5dc, 0xe02e916a81102a7c, 0xd51c2bf5526bf917, 0xa317ea8fe74368de,
  0x1759c3cf36d2764e, 0x1ff51f097e21b091, 0x107be64c5c3e5434, 0x5afea3cafba94ed6, 0xa62bdbfea3e0d983,
  0x6588a459a75a1140, 0x76e3d4752135f461, 0xf3a6ed1923268e75, 0x4f237b56355e363a, 0x1bd96cb98b848450,
  0x31f667951b044c8e, 0x3936df8189ddfb0b, 0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd,
  0x18edec555169aba7, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x002089f67ab4b3c9,
};

static const uint64_t ur_c32_autobaud_uart1_lednop_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2ff4162, 0x6d8d33f6a6f4d2ee, 0xa8ac84191b5bbc7c, 0xc9dd29475b55f345,
  0x69827c602410c5bb, 0x7c12d37ffd64cf8d, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x6654d56b4738c368,
  0xa8f83660d31f51e5, 0x69d68450ef8ac3df, 0x484d7d1859622916, 0xd1cead2e7aae3593, 0xae875e74dda32464,
  0x484504f237b56355, 0x8fd6e1bd96cb98b8, 0xbf60043eccf2a360, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc,
  0x9537a94e4a74026f, 0x3574e31bc67440ef, 0x36dce455bd8aaa2d, 0xe7ea138c6e52d4bf, 0xc4ffef0f7bca1854,
  0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000000589f34d6a2,
};

// c32_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x6eeeeeed14683d5b, 0xbbbbbaabc8823b89, 0x6706e5db45d667bb, 0x4e312683b6f770a0, 0x27759f3aded6ac4e,
  0xe609f180904316ef, 0xe093fcffeb267dae, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x7518bf547f3a1b46,
  0x45d670f3cafad3b2, 0x43fd47c25f886c24, 0xc20f7cc98b87eb36, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30,
  0x2cb1148b34eb4228, 0xaedc7a8ea426be8c, 0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a,
  0x663eccf2a3608991, 0x2726dbf0313bbf61, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537,
  0xc31dbd8aaa2d3574, 0x2718dca5a97e6db9, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x004a927549453c95,
};

// c32_autobaud_uart1_dual_pr        c32_autobaud_uart1_dual_pr_u4
static const uint64_t ur_c32_autobaud_uart1_dual[] = {
  0x37777776890d7f41, 0xddddddd5ac7ce2bf, 0xc11ecd8a05e843dd, 0x9ced9452b7774d2a, 0x0aeef7199b2affab,
  0x27c602410c5bbc9a, 0xbec99182a90d0798, 0xc40c2860da4606ee, 0xdfe655b759dd3e25, 0x943d829e386569b7,
  0x92241240e43cdea3, 0x510c4aff3f7c1142, 0xcbd3393b627d70f8, 0x5421968694886559, 0xee97fe80e784d374,
  0x6eb30586f2bc84b6, 0xa0440a9f049fcffa, 0x549afe45f80ba45a, 0x1350da37b5470afd, 0x20621fd47c8a77cb,
  0xaa0f34e2f7d24389, 0x33b5ac8ebf9cc580, 0x86a807fecc11d780, 0x4aa4e81e59ed8874, 0xddfb27f157ceee2a,
  0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013, 0x69aba718de33a207, 0xf9b6e722adec5551,
  0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x5a59e4afdcd0ccb0, 0x0000000017055ad5,
};

static const uint64_t ur_c32_autobaud_uart1_dual_pr_ee[] = {
  0x377777743d686f97, 0xeeeeeeeac6efbbbf, 0xac89f55fd77a4dee, 0xdfbf764d60eeb4e3, 0x78233a19c53ac995,
  0x02410c5bbc90dcee, 0x23055222319827c6, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x2d6ce15bf3400fcc,
  0x481eed4dea3cedec, 0x5fe7ef8228524482, 0x14904fae1f0a2189, 0xa181110cab397a67, 0x4073c262eb150865,
  0xc3795e425b7ff9ff, 0x9f0489d7fd375982, 0x45f80ba45aa0440a, 0x37b5470afd549afe, 0xb5f7355ad1c890da,
  0xd47c1b3060a7a8f2, 0x34eb422877c5752b, 0xa426be8c2cb1148b, 0xb39d5a5cca5c54b9, 0x5d0ebd44bb4428f7,
  0x4845022a3e7ac6ab, 0x1fadc37b2fa598b8, 0x54940213fac546c1, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03,
  0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0xeee3459ef046e52d,
  0x1854e7ea75666fe0, 0xed87b9c65f989fca, 0x85727e39effe09a3, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x000029523d6eb4b3,
};

static const uint64_t ur_c32_autobaud_uart1_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xdddddddd58dda01b, 0xd8ae751796adaefd, 0x8593eec9ac1dd29c, 0xb9a3ea75682dd9dd,
  0x180904316ef24c8b, 0x4c8c1548f5aa609f, 0x614306d2303775f6, 0x32adbacee9f12e20, 0x609b6709db9ad6ff,
  0x1240cc7e6f51f76b, 0x4aff3f7c11429224, 0x38ce427d70f8510c, 0x2d0296886559cbd3, 0xfa039e137ce8a843,
  0x2c3795e425b7e9ff, 0xa9f04a2b7fd37598, 0xe45f80ba45aa0440, 0xa37b5470afd549af, 0x2b8f7355ad1e950d,
  0xfd47c1b307f27a8f, 0xb34eb422877c5663, 0x9a426be8c2cb1148, 0x4873ab4b84f5c20b, 0xae875ed62761f11f,
  0x48451d023a976355, 0xffd6e1bd971f18b8, 0xfc55f3bb8a92ae04, 0x4e4db7e062777ec9, 0x914180efddf9e040,
  0x529c94e804df9bcd, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x00014a9176569679,
};

// c32_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_c32_autobaud_uart1_dual_pr_ce[] = {
  0xe6eeeeeed121a5fb, 0xdddddddd5968b9d7, 0xa75179579ced4d7d, 0x44f51f67dbbbaccd, 0x76ee9646ba83e2ac,
  0x27c602410c5bbc94, 0x7d93230552387f98, 0x881850c1b48c0ddd, 0xafccab6eb3ba7c4b, 0x63fb0ff8700d1369,
  0x9120920743f37a8f, 0x886257f9fbe08a14, 0x5e99cb9113eb87c2, 0x4219684874432ace, 0x2d7fd01cf09bf745,
  0xd660b0de579096dd, 0x1102a7c12b75ff4d, 0x26bf917e02e916a8, 0xf4368ded51c2bf55, 0xe6da4ed2b462fd65,
  0x2fc4361222eb3879, 0x62e1eb7e007ea3e1, 0xe37e7b96757a9732, 0x7ca4871240ea5fa8, 0xd6475fce62c05050,
  0x03ff6678ebc019da, 0x9d03cb5b843a4354, 0x64fe2af9ddc54954, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0,
  0x37a94e4a74026fcd, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x0000056bdf4f5696,
};

static const uint64_t ur_c32_autobaud_uart1_dual_pr_ee_ce[] = {
  0xfcdddddddd431f02, 0xeeeeeeeead63f226, 0x2c4e164da8fed826, 0xc7e776d2ec4eea4c, 0x5188b36e4330a5f5,
  0x02410c5bbc91ecee, 0x8c15482cc59827c6, 0x4306d2303775f64c, 0xadbacee9f12e2061, 0x30c7067c9bacff32,
  0x2062926f51cd6f61, 0x7f9fbe08a1491209, 0x29113eb87c288625, 0x3abd10cab397a670, 0x0e784d15a2a10cb4,
  0xde579096dd0fbfe8, 0x8249b7ff4dd660b0, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x72b1fd51fee86d1b,
  0xff5cd6ff3cdb49dc, 0x4a76b02cdd339d61, 0x83660d7cf51e56fe, 0x68450298ae037a8f, 0xd7d185962291669d,
  0x7b39d5db8ca1d484, 0x78d8ebd44bb4428f, 0x0908a04547cf58d5, 0x1132386f65f4b317, 0xc5494b313fac546c,
  0x313bbf64fe2af9dd, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xa97e6db9c31dbd8a, 0xc1ddc68b1e70dca5, 0x19e985727eeaccdf, 0xd252d9c389c6592e, 0xb4b3c95fb9a19961,
  0x0000000006221a72,
};

static const uint64_t ur_c32_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0x77777768a87fa812, 0xbbbbbab209f57bf3, 0x6083399335c87bbb, 0x8591f69dba9f6eb7, 0xe5acafed0b8b2bdb,
  0x2dde48437707d7e0, 0x13c9cc13e3012086, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0x513341ff32b8f5ce,
  0xdea3dc8ec0928e19, 0x450a4890490366fc, 0xc3e144312bfcfdf0, 0x559cbd338cf589f5, 0x3f150865a1bb4886,
  0x6dd9f3fe80e784dd, 0xd51ba60b0de57909, 0x54088153e0921f7f, 0xaa935fc8bf01748b, 0x650e1b46f6a8e15f,
  0xe0fba7663f18bf54, 0xf886c2445d670f3c, 0xe1cc03743fd47c25, 0xfe4a76b084dd3262, 0x8f83660d7cf51e56,
  0x9d68450298ae037a, 0x84d7d18596229166, 0x8f7b39d5db8ca1d4, 0xd578d8ebd44bb442, 0x170908a04547cf58,
  0x6c1132386f65f4b3, 0xddc5494b313fac54, 0xf0313bbf64fe2af9, 0x77eefcf0202726db, 0x74026fcde6c8a0c0,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd, 0xfc1a3f8d164498dc, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xf27a3d73c95fb9a1,
  0x00000000003f56d8,
};

static const uint64_t ur_c32_autobaud_uart1_dual_ee_hw[] = {
  0x9bbbbbbb451a25fb, 0x777777756377dddf, 0xd644faafebbd26f7, 0xefdfbb26b0775a71, 0xee9646bae95664ca,
  0xc602410c5bbc90dc, 0x9323055222319827, 0x1850c1b48c0ddd7d, 0xfccab773ba7c4b88, 0xdec2d6ce15bf3400,
  0x482481eed4dea3ce, 0x1895fe7ef8228524, 0xa6714904fae1f0a2, 0x865a181110cab397, 0x9ff4073c262eb150,
  0x982c3795e425b7ff, 0x40a9f0489d7f9d5b, 0xafe45f80ba45aa04, 0x0da37b5470afd549, 0x8f2b5f7355ad1c89,
  0x52bd47c1b3060a7a, 0x48b34eb422877c57, 0x4b9a426be8c2cb11, 0x8f7b39d5a5cca5c5, 0x6ab5d0ebd44bb442,
  0x8b84845022a3e7ac, 0x6c11fadc37b2fa59, 0xddc54940213fac54, 0xf0313bbf64fe2af9, 0x77eefcf0202726db,
  0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x52d4bf36dce455bd, 0xca1854e7ea138c6e,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x6793a29e4afdcd0c,
  0x000000000002c1cb,
};

// c32_autobaud_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c32_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d08f43, 0xeeeeeeac827d5efc, 0xd820ce64cd721eee, 0xe1647da76ea7dbad, 0xfb5ab6a71ae2caf6,
  0x0862dde484377789, 0x54813c9cc13e3012, 0x6d2303775f64c8c1, 0xdcee9f12e2061430, 0x8e19513341ff32ad,
  0x66fcdea3dc8ec092, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x4886559cbd338cf5, 0x84dd3f150865a1bb,
  0x79096dd9f3fe80e7, 0x87dfe756e60b0de5, 0x5d22d5022054f824, 0x3857eaa4d7f22fc0, 0x2fd5194386d1bdaa,
  0x3879e57d69d98fc6, 0xa3e12fc4361222eb, 0x74c98b87672e8ffe, 0xd4795bf929dac213, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b,
  0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3, 0x9c637296a5f9b6e7, 0x787bde50c2a73f50, 0xfb61c7f197e627ff,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x109a66dbad14f257,
};

// c32_u1x8_uart0_noled_pr
static const uint64_t ur_c32_u1x8_uart0_noled[] = {
  0xb777775ddacdfc4f, 0xdddddd55d870bdc4, 0xcad9fbbf0feb11dd, 0x71fad2fcdddd2202, 0x7793bb0bd68f1e82,
  0x829304f8c048218b, 0x16f605f27fc1a0cf, 0x77cb087b9cdfda20, 0x21c4903417ea3f40, 0x31602cb299efb5a9,
  0x1d7a3e76afe8f587, 0xd8fb33ca807fecc1, 0x6256bd838f81e59e, 0x603bd6bce70b37e0, 0x5363385bcde01f50,
  0x6378ce8815d54e5e, 0x156f62aa8b4b0b9c, 0x9c37296a5f9b6249, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0xa19961d252d9c389, 0x400e5845f3c95fb9, 0x000000000000003e,
};

static const uint64_t ur_c32_u1x8_uart0_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xddddd55d870bdc4b, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0xe4ee8d35c7e3fe9f,
  0xa4c13e30120862dd, 0x6f605f27fe8833e0, 0x7cb087b9cdfda201, 0x1c4903417ea3f407, 0x1602cb299efb5a92,
  0xd7a3e76afe8f5873, 0x8fb33ca807fecc11, 0x256bd838f81e59ed, 0x03bd6bce70b37e06, 0x363385bcde01f506,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0x637296a5f9b62491, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7,
  0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3e4e8f275a59e4af,
};

// c32_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9041225, 0x2f0a7a636f4ddeee, 0xc662705f0bddddfe, 0xdb1361aa280a0666,
  0x27c602410c5bbc9d, 0x274bffa20cf94b98, 0x38dce6fed100b7b0, 0x1f51e57224d56b47, 0xc57dd7a8f83660d3,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xb7b4782ce756979c, 0xe36355ae875e74dd, 0xcb98b848451cf230,
  0xd2a3608fd6e1bd96, 0xfc0c4ad7b002a254, 0xea0c077ad79ce166, 0xcbca6c670b79bc03, 0x738c6f19d102baa9,
  0x4922adec55516961, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000275f8d0eb4b3,
};

static const uint64_t ur_c32_u1x8_uart0_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x5941c5a64efcd19b, 0x79b0c478fbc9bbba, 0x862dde4eed8f6421,
  0x067f6fcc13e30120, 0xd100b7b02ea3fe0d, 0x63e58febd05ce6fe, 0xc3b93f9df9e012a7, 0x4b9ee59758ce673a,
  0xe921c4903c67ea3d, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xfc0c4ad7b075f87b, 0x9bcc077ad79ce166,
  0x8c1a9b129fbe70b7, 0xce8810818c10b4e4, 0x7296a5f9b69c6378, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x05845f3c95fb9a19, 0x0000000000005ba8,
};

static const uint64_t ur_c32_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e6131dc4b, 0x782ff1fc7f568ddd, 0xc2ac9933ddddd5b7, 0xbc9dd8361ba199ba,
  0x939827c602410c5b, 0xb7b025f7ffa20cfb, 0x17eb10dce6fed100, 0x59c3cf36d2771ee3, 0xf51f097e21b09117,
  0x7d64c98b87ff81a3, 0x1eb3d4727a7b9675, 0x580a3e749490e248, 0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb33c7,
  0x256bd838f81e5adc, 0x03bd6bce70b37e06, 0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6,
  0xc6e52d4bf36c490c, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x6eb8176ab4b3c95f,
};

// c32_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u1x8_uart0_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce27e9c4b, 0x647ea2833de9dbbb, 0x3697a90bdeef8f7a, 0x49962f93b3ef92d3,
  0x7c602410c5bbc9dd, 0x96bff4419f31f982, 0xeb9cdfda2016f604, 0xda4ee39462fd51fc, 0xc4361222eb3879e6,
  0xc3d253397ea3e12f, 0xa894ed6107be64c5, 0x3e0d9835afea3caf, 0x75a1140a62b09fea, 0x135f4616588a459a,
  0x782ce7576e9c4752, 0xabc6c75e74ddb7b4, 0x70908a39e461c6c6, 0x608991c37b2d9731, 0x4ad7b0b3a254d2a3,
  0x077ad79ce166fc0c, 0x6c670b79bc03ea0c, 0x6f19d102baa9cbca, 0xedec55516961738c, 0x8dca5a97e6d89218,
  0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x4fc4a71d696792bf,
};

static const uint64_t ur_c32_u1x8_uart0_noled_ee_hw[] = {
  0xddddd77514680cc5, 0x77775575c820912d, 0x7853d31b7a6ef777, 0x331382f85eeeeff1, 0xdd8361bb4dd03336,
  0x827c602410c5bbc9, 0x0274bffd64cf94b9, 0x738dce6fed100b7b, 0x31f51e57224d56b4, 0x7c57dd7a8f83660d,
  0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d, 0x6cb98b848451cf23,
  0x4d2a3608fd6e1bd9, 0x6fc0c4ad7b002a25, 0x3ea0c077ad79ce16, 0x9cbca6c670b79bc0, 0x1738c6f19d102baa,
  0xc4922adec5551696, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000005be34d6a29e,
};

// c32_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbbaeea28d0582, 0xddddd55e713f4e25, 0x323f51419ef4eddd, 0x9b4bd485ef77c7bd, 0x774ed043d2d5c969,
  0x609f180904316ef2, 0x8125affeb267cc7e, 0x7f3ae737f68805bd, 0xcafad3b8e518bf54, 0x5f886c2445d670f3,
  0x170fcb4cdffd47c2, 0xbea253b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x312b5ec2ce89534a,
  0x301deb5e73859bf0, 0x29b19c2de6f00fa8, 0x31bc67440aeaa72f, 0x63b7b15545a585ce, 0xc637296a5f9b6248,
  0x87bde50c2a73f509, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x140501f7514f257e,
};

// c32_u1x8_uart0_lednop_pr
static const uint64_t ur_c32_u1x8_uart0_lednop[] = {
  0xb777775ddacdfebe, 0xeeeeeeaaec38f244, 0xb2e6fc1cd0778fee, 0xad0bdbf6ddddcd60, 0xef2777c7e145c490,
  0x5f2609f180904316, 0x2dec0931ff83419f, 0xef96487739bfb440, 0x4389206693d47278, 0x62c05bdd30f9d252,
  0xebc5cecd7c8e414e, 0xbd8560fbdc72c608, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0xf8d163ce1b94b52f, 0xc2b93f75663c81a3, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x000003e439cc22f9,
};

static const uint64_t ur_c32_u1x8_uart0_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d8706bc4b, 0xa2f7b3dfb6933ddd, 0x95d7f89dddd2202c, 0x93bb4169982ff23e,
  0x1304f8c048218b77, 0xbd814ddffa20cfa0, 0xf2c21ee737f68805, 0x71240d05fa8f6b1d, 0xb016594df241fa48,
  0xf47cecb3d1a43398, 0x16691500ffd9823a, 0xad7b20ad03cb3db4, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x5f9b6e722adec555, 0xeee345912637296a, 0x1854e7ea75666fe0,
  0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xd5a59e4afdcd0ccb,
  0x0000000003e4d717,
};

// c32_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d72056e25, 0x2d04c2aa1eb4bddd, 0xfb1e705f0bddddfe, 0x43720a23e768fde2,
  0x9f180904316ef277, 0x8baffe8833ea7a60, 0xe3739bfb4402dec0, 0x7d4795995355ad1c, 0x2b0f7ea3e0d9834c,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x8c9193473ab4b9ea, 0xd58d56ba1d79d376, 0x2e62e1211413c8de,
  0xca8d823f5b86f65b, 0xe06256bd8010fb33, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x94b52fcdb739156f, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x73f5bad2cf257ee6, 0x000000000000009d,
};

// c32_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c32_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e6114dc4b, 0x7e3b05fe974d8ddd, 0x90424200ddddd5b7, 0xef27751d94aa16ec,
  0xe96609f180904316, 0x2dec0bf77fe8833e, 0xc5fac43739bfb440, 0xd670f3cdb49dc068, 0xfd47c25f886c2445,
  0x7d64c98b874db9db, 0x1eb3d47e927b9675, 0x580a9888b490e248, 0x7a3e7659e8d219cc, 0x0b348a807feccf1d,
  0x95af6415a0796b72, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0x97e6db9c31dbd8aa, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x25696792bf734332, 0x00000000006eb8d5,
};

// c32_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce27c8c4b, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0x087bf702c75e5dac,
  0x7c602410c5bbc9dd, 0xd3fffa20cfffc982, 0xeb9cdfda2016f605, 0xda4ec9d462fd51fc, 0xc4361222eb3879e6,
  0x87ca8683fea3e12f, 0x7529dac20f7cc98b, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4, 0x26be8c2cb1148b34,
  0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731, 0x95af61663eccf2a3,
  0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x97e6db9c31dbd8aa,
  0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0xfd696792bf734332, 0x000000000027e596,
};

static const uint64_t ur_c32_u1x8_uart0_lednop_ee_hw[] = {
  0xddddd77514682d7b, 0xeeeeaaeb902b712d, 0x68261550f5a5eeee, 0xd8f382f85eeeeff1, 0x751d94ad7647ef17,
  0x09f180904316ef27, 0x08bafff5933ea7a6, 0xce3739bfb4402dec, 0xc7d4795995355ad1, 0xe2b0f7ea3e0d9834,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37, 0xb2e62e1211413c8d,
  0x3ca8d823f5b86f65, 0x7e06256bd8010fb3, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xb94b52fcdb739156, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xfdd96a8a792bf734, 0x0000000000000016,
};

// c32_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xb777775dd451a111, 0xbbbbbaabce27c8c4, 0xa7f4c8f9fbd123bb, 0xc17afa90bdeef8f7, 0x4eeabe67da58a5da,
  0x4c13e30120862dde, 0xb02e9fffeb267ffe, 0x8fe75ce6fed100b7, 0x795f5a764ea317ea, 0x4bf10d8488bace1e,
  0x3170fd66c87fa8f8, 0x2beea53b5841ef99, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x0312b5ec2cc7d99e,
  0xdeb5e781013859bf, 0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b52fcdb73863b7b,
  0x2861539fa84e31b9, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xea928a792bf73433, 0x0000000000005010,
};

// c32_u1x8_uart0_dual_pr            c32_u1x8_uart0_dual_pr_u4
static const uint64_t ur_c32_u1x8_uart0_dual[] = {
  0xddddd60f4486bd5b, 0x7777756266f5afcd, 0x4a73338e3a76b777, 0x8ac323bdddd69764, 0x6dddddfb84e5682d,
  0x4f8c048218b77925, 0x7d9323055219bf30, 0x881850c1b48c0ddd, 0x7fccab6eb3ba7c4b, 0x28bb072670f9d348,
  0x92241240dfc9bd47, 0x510c4aff3f7c1142, 0xe5e99c0b427d70f8, 0x2a10cb41314432ac, 0x731fff4073c268ca,
  0x375982c3795e425b, 0xfda2016f6047affd, 0xa3e453be589ab9cd, 0x17be921c490310fe, 0x75fce62c055079a7,
  0xf6608ebc019dad64, 0xf2cf6c43a435403f, 0x8abe777152552740, 0x70b37e06256bd93f, 0x450603bd6bcf0202,
  0xa53929d002de6f36, 0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x8931b94b52fcdb73, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x001493bea8ad2cf2,
};

// c32_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeeb07a2436f02, 0x777775653745f7e6, 0x2af4fbfb5a807777, 0x0432e364774c894a, 0x1f35d08459baafad,
  0x8218b779306ddcfe, 0x0aa43b77304f8c04, 0x8369181bbafb2646, 0xdd6774f8971030a1, 0xf380cdcdbb5f9956,
  0x193a9bd470b5b031, 0xe7ef822852448248, 0xcc4fae1f0a21895f, 0x95910cab397a673a, 0x73c265f7150865a0,
  0x795e425b7383ff40, 0xc0b2b7fd375982c3, 0x1c89739bfb4402de, 0x0a7a8f2b5f7355ad, 0x7c5752bd47c1b306,
  0xcb1148b34eb42287, 0xa5c54b9a426be8c2, 0xb4428f7b39d5a5cc, 0xe7ac6ab5d0ebd44b, 0xfa598b84845022a3,
  0xac546c11fadc37b2, 0x2af9ddc54940213f, 0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0002b22682b4b3c9,
};

// c32_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_c32_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44860aac, 0xeeeeead0bfaeefcd, 0x8d49c9b168ebeeee, 0xf62eafb777448991, 0x777d5e5902c70455,
  0xe30120862dde4f91, 0xc99182a906ddcc13, 0x0c2860da4606eebe, 0xe655b759dd3e25c4, 0xb60704e1d5f350ff,
  0x904903b7537a8f1c, 0x312bfcfdf0450a48, 0x4ce76089f5c3e144, 0x865a0fe22195672f, 0x7ff4073c26dbf150,
  0x982c3795e425b7df, 0x402dec08e1ffd375, 0xd18bf597d739bfb4, 0x8bace1e79b693b4a, 0x01fa8f84bf10d848,
  0xd5ea5cc98b87adf8, 0x03a97ea38df9ee59, 0x8b014141f2921c49, 0xaf00676b591d7f39, 0x10e90d500ffd99e3,
  0x77152552740f2d6e, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x427175a59e4afdcd, 0x00000000000000d2,
};

static const uint64_t ur_c32_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeb07d4143359b, 0x7777562675df7e6e, 0xd740362fa0fb7777, 0x17ad12ef74054e24, 0xcc29368d7526f265,
  0x0862dde494e770f0, 0x2a909c7cc13e3012, 0x0da4606eebec9918, 0x759dd3e25c40c286, 0xf3840098527e655b,
  0x69b737a8f6b7b0ad, 0x9fbe08a149120920, 0xf13eb87c2886257f, 0x5c886559cbd339cd, 0x9e131438a8432d09,
  0xcaf212db868ffa03, 0x0496bfe9bacc161b, 0xfeeb9cdfda2016f6, 0x3cdb49dc72b1fd51, 0xdd339d61ee4492bf,
  0xf51e56fe4a76b02c, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x09c2cdf81895af64,
  0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0x9c31dbd8aaa2d357, 0x07a18dca5a97e6db,
  0xa9d599bf83bb8d16, 0xed87138d2861539f, 0x867a615c9f80f9a3, 0x7494b670e271964b, 0xad2cf257ee686658,
  0x0000000002000745,
};

static const uint64_t ur_c32_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87f3202, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xbde4fa6b0ce34f26,
  0xb7792769dc34e83e, 0x3549304f8c048218, 0x606eebec99182a91, 0xd3e25c40c2860da4, 0x6a666ffe6571eb9d,
  0xbd47ec1d85e19c39, 0x450a4890490343e9, 0xc3e144312bfcfdf0, 0x559cbd339c8389f5, 0xce8a8432d0274886,
  0x2dbc00ffa039e136, 0xfaa374c161bcaf21, 0x37f68805bd81068f, 0x663f18bf54650ee7, 0x445d670f3ce0fba7,
  0x743fd47c25f886c2, 0xb084dd3262e1cc03, 0x0d7cf51e56fe4a76, 0x0298ae037a8f8366, 0x85962291669d6845,
  0xd5db8ca1d484d7d1, 0xebd44bb4428f7b39, 0xa04547cf58d578d8, 0x386f65f4b3170908, 0x4b313fac546c1132,
  0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0x79bcd914180ef5af, 0xf9537a94e4a7400b, 0xd3574e31bc67440e,
  0xe6db9c31dbd8aaa2, 0xf8d164498dca5a97, 0xa9cfd4eaccdfc1a3, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xd73c95fb9a19961d, 0x00000020022ac5a3,
};

static const uint64_t ur_c32_u1x8_uart0_dual_ee_hw[] = {
  0x7777583d14680aac, 0xbbbbab29ba2fbf37, 0x57a7dfdad403bbbb, 0x21971b23ba644a51, 0xfabcb269c1557d68,
  0x02410c5bbc9836ee, 0x2305521dbb9827c6, 0x50c1b48c0ddd7d93, 0xcab773ba7c4b8818, 0x818f9c066e6ddafc,
  0x1240c9d4dea385ad, 0x4aff3f7c11429224, 0x39d6627d70f8510c, 0x2d04ac886559cbd3, 0xfa039e132fb8a843,
  0x161bcaf212db9c1f, 0x16f60595bfceadcc, 0xad68e44b9cdfda20, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x0000576b8269d14f,
};

// c32_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbac1e8a3457c3b, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xe27eb7fb0ce34f26,
  0x218b7792769dc559, 0xa913549304f8c048, 0xda4606eebec99182, 0xb9dd3e25c40c2860, 0x9c396a666ffe655b,
  0x43e9bd47ec1d85e1, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x4886559cbd339c83, 0xe136ce8a8432d027,
  0xaf212dbc00ffa039, 0x41a3fceadcc161bc, 0x43b9cdfda2016f60, 0x7d69d98fc62fd519, 0xc4361222eb3879e5,
  0x87672e8ffea3e12f, 0xf929dac21374c98b, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x296a5f9b6e70c76f, 0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45,
  0x6587494b670e2719, 0xa334514f257ee686, 0x0000000000001d75,
};

// c32_u1x8_uart1_noled_pr
static const uint64_t ur_c32_u1x8_uart1_noled[] = {
  0xb777775ddacdfc4f, 0xdddddd55d870bdc4, 0xcad9fbbf0feb11dd, 0x71fad2fcdddd2202, 0x7793bb0bd68f1e82,
  0x829304f8c048218b, 0xc6f605f27fc1a0cf, 0x77cb087ae2dfda64, 0x21c4903417ea3f40, 0x31602cb299efb5a9,
  0x1d7a3e76afe8f587, 0xd8fb33ca807fecc1, 0xc4eefd838f81e59e, 0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0xc37296a5f9b62491, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x19961d252d9c389c, 0x00e5845f3c95fb9a, 0x00000000000003e4,
};

static const uint64_t ur_c32_u1x8_uart1_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xddddd55d870bdc4b, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0xe4ee8d35c7e3fe9f,
  0xa4c13e30120862dd, 0x6f605f27fe8833e0, 0x7cb087ae2dfda64c, 0x1c4903417ea3f407, 0x1602cb299efb5a92,
  0xd7a3e76afe8f5873, 0x8fb33ca807fecc11, 0x4eefd838f81e59ed, 0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x37296a5f9b624915, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xe4e8f275a59e4afd,
  0x0000000000000003,
};

// c32_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart1_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9041225, 0x2f0a7a636f4ddeee, 0xc662705f0bddddfe, 0xdb1361aa280a0666,
  0x27c602410c5bbc9d, 0x274bffa20cf94b98, 0x38d716fed32637b0, 0x1f51e57224d56b47, 0xc57dd7a8f83660d3,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xb7b4782ce756979c, 0xe36355ae875e74dd, 0xcb98b848451cf230,
  0xd2a3608fd6e1bd96, 0xf8189ddfb002a254, 0x50603bf77e73936d, 0xbca6c6726fcde01f, 0x38c6f19d102baa9c,
  0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989,
  0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000275f8d0eb4b3c,
};

static const uint64_t ur_c32_u1x8_uart1_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x5941c5a64efcd19b, 0x79b0c478fbc9bbba, 0x862dde4eed8f6421,
  0x067f6fcc13e30120, 0xd32637b02ea3fe0d, 0x63e58febd05716fe, 0xc3b93f9df9e012a7, 0x4b9ee59758ce673a,
  0xe921c4903c67ea3d, 0x46a0e731602f4090, 0x8e58cf1d78b9da89, 0xf8189ddfb075f87b, 0xde603bf77e73936d,
  0xc1a9b129fbe726fc, 0xe8810818c10b4e48, 0x296a5f9b69c6378c, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0x5845f3c95fb9a199, 0x000000000005ba80,
};

static const uint64_t ur_c32_u1x8_uart1_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e6131dc4b, 0x782ff1fc7f568ddd, 0xc2ac9933ddddd5b7, 0xbc9dd8361ba199ba,
  0x939827c602410c5b, 0x37b025f7ffa20cfb, 0x17eb10d716fed326, 0x59c3cf36d2771ee3, 0xf51f097e21b09117,
  0x7d64c98b87ff81a3, 0x1eb3d4727a7b9675, 0x580a3e749490e248, 0x5e8f9dabfa3d61cc, 0x3eccf2a01ffb33c7,
  0x4eefd838f81e5adc, 0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x6e52d4bf36c490c7, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xeb8176ab4b3c95fb, 0x0000000000000006,
};

// c32_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u1x8_uart1_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce27e9c4b, 0x647ea2833de9dbbb, 0x3697a90bdeef8f7a, 0x49962f93b3ef92d3,
  0x7c602410c5bbc9dd, 0x96bff4419f31f982, 0xeae2dfda64c6f604, 0xda4ee39462fd51fc, 0xc4361222eb3879e6,
  0xc3d253397ea3e12f, 0xa894ed6107be64c5, 0x3e0d9835afea3caf, 0x75a1140a62b09fea, 0x135f4616588a459a,
  0x782ce7576e9c4752, 0xabc6c75e74ddb7b4, 0x70908a39e461c6c6, 0x608991c37b2d9731, 0x9ddfb0b3a254d2a3,
  0x3bf77e73936df818, 0xc6726fcde01f5060, 0xf19d102baa9cbca6, 0xdec55516961738c6, 0xdca5a97e6d89218e,
  0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34,
  0x34332c3a4a5b3871, 0xfc4a71d696792bf7, 0x0000000000000004,
};

static const uint64_t ur_c32_u1x8_uart1_noled_ee_hw[] = {
  0xddddd77514680cc5, 0x77775575c820912d, 0x7853d31b7a6ef777, 0x331382f85eeeeff1, 0xdd8361bb4dd03336,
  0x827c602410c5bbc9, 0x0274bffd64cf94b9, 0x738d716fed32637b, 0x31f51e57224d56b4, 0x7c57dd7a8f83660d,
  0xcb1148b34eb42287, 0xc571ac9a426be8c2, 0xdb7b4782ce756979, 0x0e36355ae875e74d, 0x6cb98b848451cf23,
  0x4d2a3608fd6e1bd9, 0xdf8189ddfb002a25, 0xf50603bf77e73936, 0xcbca6c6726fcde01, 0x738c6f19d102baa9,
  0x4922adec55516961, 0xa138c6e52d4bf36c, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00005be34d6a29e4,
};

// c32_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart1_noled_ee_ce_hw[] = {
  0xbbbbbaeea28d0582, 0xddddd55e713f4e25, 0x323f51419ef4eddd, 0x9b4bd485ef77c7bd, 0x774ed043d2d5c969,
  0x609f180904316ef2, 0x8125affeb267cc7e, 0x7f3ab8b7f69931bd, 0xcafad3b8e518bf54, 0x5f886c2445d670f3,
  0x170fcb4cdffd47c2, 0xbea253b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f, 0x484d7d1859622916,
  0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c, 0x62777ec2ce89534a,
  0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3, 0x637296a5f9b62486,
  0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x40501f7514f257ee, 0x0000000000000001,
};

// c32_u1x8_uart1_lednop_pr
static const uint64_t ur_c32_u1x8_uart1_lednop[] = {
  0xb777775ddacdfebe, 0xeeeeeeaaec38f244, 0xb2e6fc1cd0778fee, 0xad0bdbf6ddddcd60, 0xef2777c7e145c490,
  0x5f2609f180904316, 0x8dec0931ff83419f, 0xef964875c5bfb4c9, 0x4389206693d47278, 0x62c05bdd30f9d252,
  0xebc5cecd7c8e414e, 0xfd8560fbdc72c608, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x8d163ce1b94b52fc, 0x2b93f75663c81a3f, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00003e439cc22f9e,
};

static const uint64_t ur_c32_u1x8_uart1_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d8706bc4b, 0xa2f7b3dfb6933ddd, 0x95d7f89dddd2202c, 0x93bb4169982ff23e,
  0x1304f8c048218b77, 0xbd814ddffa20cfa0, 0xf2c21eb8b7f69931, 0x71240d05fa8f6b1d, 0xb016594df241fa48,
  0xf47cecb3d1a43398, 0x16691500ffd9823a, 0xddfb20ad03cb3db4, 0xe781013936df8189, 0x7e6f36450603bf77,
  0x7ca9bd4a7253a013, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xee345912637296a5, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x5a59e4afdcd0ccb0,
  0x000000003e4d717d,
};

// c32_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart1_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d72056e25, 0x2d04c2aa1eb4bddd, 0xfb1e705f0bddddfe, 0x43720a23e768fde2,
  0x9f180904316ef277, 0x8baffe8833ea7a60, 0xe35c5bfb4c98dec0, 0x7d4795995355ad1c, 0x2b0f7ea3e0d9834c,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x8c9193473ab4b9ea, 0xd58d56ba1d79d376, 0x2e62e1211413c8de,
  0xca8d823f5b86f65b, 0xc0c4eefd8010fb33, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33, 0xc7f197e627ff787b,
  0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x3f5bad2cf257ee68, 0x00000000000009d7,
};

// c32_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c32_u1x8_uart1_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e6114dc4b, 0x7e3b05fe974d8ddd, 0x90424200ddddd5b7, 0xef27751d94aa16ec,
  0xe96609f180904316, 0x8dec0bf77fe8833e, 0xc5fac435c5bfb4c9, 0xd670f3cdb49dc068, 0xfd47c25f886c2445,
  0x7d64c98b874db9db, 0x1eb3d47e927b9675, 0x580a9888b490e248, 0x7a3e7659e8d219cc, 0x0b348a807feccf1d,
  0x3bbf6415a0796b72, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440,
  0x7e6db9c31dbd8aaa, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5696792bf734332c, 0x0000000006eb8d52,
};

// c32_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce27c8c4b, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0x087bf702c75e5dac,
  0x7c602410c5bbc9dd, 0xd3fffa20cfffc982, 0xeae2dfda64c6f605, 0xda4ec9d462fd51fc, 0xc4361222eb3879e6,
  0x87ca8683fea3e12f, 0x7529dac20f7cc98b, 0x7c1b306b5fd4795f, 0xeb422814c57b7fd4, 0x26be8c2cb1148b34,
  0x64d1ceaedc7a8ea4, 0xabc6c75e74dda324, 0x70908a09e46f6ac6, 0x608991c37b2d9731, 0x3bbf61663eccf2a3,
  0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440, 0x7e6db9c31dbd8aaa,
  0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0xd696792bf734332c, 0x00000000027e596f,
};

static const uint64_t ur_c32_u1x8_uart1_lednop_ee_hw[] = {
  0xddddd77514682d7b, 0xeeeeaaeb902b712d, 0x68261550f5a5eeee, 0xd8f382f85eeeeff1, 0x751d94ad7647ef17,
  0x09f180904316ef27, 0x08bafff5933ea7a6, 0xce35c5bfb4c98dec, 0xc7d4795995355ad1, 0xe2b0f7ea3e0d9834,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37, 0xb2e62e1211413c8d,
  0x3ca8d823f5b86f65, 0xfc0c4eefd8010fb3, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x94b52fcdb739156f, 0xf2861539fa84e31b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e,
  0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xdd96a8a792bf7343, 0x000000000000016f,
};

// c32_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xb777775dd451a111, 0xbbbbbaabce27c8c4, 0xa7f4c8f9fbd123bb, 0xc17afa90bdeef8f7, 0x4eeabe67da58a5da,
  0x4c13e30120862dde, 0xb02e9fffeb267ffe, 0x8fe75716fed32637, 0x795f5a764ea317ea, 0x4bf10d8488bace1e,
  0x3170fd66c87fa8f8, 0x2beea53b5841ef99, 0xfa8f83660d6bfa8f, 0x669d68450298af6f, 0xd484d7d185962291,
  0x648c9a39d5db8f51, 0x58d578d8ebce9bb4, 0xe62e1211413c8ded, 0x546c1132386f65b2, 0x062777ec2cc7d99e,
  0xfddf9e0404e4db7e, 0x804df9bcd914180e, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0xb52fcdb73863b7b1,
  0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0xa928a792bf734332, 0x000000000005010e,
};

// c32_u1x8_uart1_dual_pr            c32_u1x8_uart1_dual_pr_u4
static const uint64_t ur_c32_u1x8_uart1_dual[] = {
  0xddddd60f4486bd5b, 0x7777756266f5afcd, 0x4a73338e3a76b777, 0x8ac323bdddd69764, 0x6dddddfb84e5682d,
  0x4f8c048218b77925, 0x7d9323055219bf30, 0x881850c1b48c0ddd, 0x7fccab6eb3ba7c4b, 0x28bb072670f9d348,
  0x92241240dfc9bd47, 0x510c4aff3f7c1142, 0xe5e99c0b427d70f8, 0x2a10cb41314432ac, 0x731fff4073c268ca,
  0x375982c3795e425b, 0xfda64c6f6047affd, 0xa3e453be589aae2d, 0x17be921c490310fe, 0x75fce62c055079a7,
  0xf6608ebc019dad64, 0xf2cf6c43a435403f, 0x8abe777152552740, 0xc9b6fc0c4eefd93f, 0x28301dfbbf3c0809,
  0x53929d009bf379b2, 0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x931b94b52fcdb739, 0x3ab337f07771a2c8,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x01493bea8ad2cf25,
};

// c32_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_c32_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeeb07a2436f02, 0x777775653745f7e6, 0x2af4fbfb5a807777, 0x0432e364774c894a, 0x1f35d08459baafad,
  0x8218b779306ddcfe, 0x0aa43b77304f8c04, 0x8369181bbafb2646, 0xdd6774f8971030a1, 0xf380cdcdbb5f9956,
  0x193a9bd470b5b031, 0xe7ef822852448248, 0xcc4fae1f0a21895f, 0x95910cab397a673a, 0x73c265f7150865a0,
  0x795e425b7383ff40, 0xc0b2b7fd375982c3, 0x1c895c5bfb4c98de, 0x0a7a8f2b5f7355ad, 0x7c5752bd47c1b306,
  0xcb1148b34eb42287, 0xa5c54b9a426be8c2, 0xb4428f7b39d5a5cc, 0xe7ac6ab5d0ebd44b, 0xfa598b84845022a3,
  0xac546c11fadc37b2, 0x2af9ddc54940213f, 0x26dbf0313bbf64fe, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x4c6e52d4bf36dce4, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4,
  0x3ed871fc65f989ff, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x002b22682b4b3c95,
};

// c32_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_c32_u1x8_uart1_dual_pr_ce[] = {
  0xddddd60f44860aac, 0xeeeeead0bfaeefcd, 0x8d49c9b168ebeeee, 0xf62eafb777448991, 0x777d5e5902c70455,
  0xe30120862dde4f91, 0xc99182a906ddcc13, 0x0c2860da4606eebe, 0xe655b759dd3e25c4, 0xb60704e1d5f350ff,
  0x904903b7537a8f1c, 0x312bfcfdf0450a48, 0x4ce76089f5c3e144, 0x865a0fe22195672f, 0x7ff4073c26dbf150,
  0x982c3795e425b7df, 0xc98dec08e1ffd375, 0xd18bf597d5c5bfb4, 0x8bace1e79b693b4a, 0x01fa8f84bf10d848,
  0xd5ea5cc98b87adf8, 0x03a97ea38df9ee59, 0x8b014141f2921c49, 0xaf00676b591d7f39, 0x10e90d500ffd99e3,
  0x77152552740f2d6e, 0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7,
  0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x27175a59e4afdcd0, 0x0000000000000d24,
};

static const uint64_t ur_c32_u1x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeb07d4143359b, 0x7777562675df7e6e, 0xd740362fa0fb7777, 0x17ad12ef74054e24, 0xcc29368d7526f265,
  0x0862dde494e770f0, 0x2a909c7cc13e3012, 0x0da4606eebec9918, 0x759dd3e25c40c286, 0xf3840098527e655b,
  0x69b737a8f6b7b0ad, 0x9fbe08a149120920, 0xf13eb87c2886257f, 0x5c886559cbd339cd, 0x9e131438a8432d09,
  0xcaf212db868ffa03, 0x0496bfe9bacc161b, 0xfeeae2dfda64c6f6, 0x3cdb49dc72b1fd51, 0xdd339d61ee4492bf,
  0xf51e56fe4a76b02c, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596, 0x4bb4428f7b39d5db,
  0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31, 0x2726dbf0313bbf64,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x7a18dca5a97e6db9,
  0x9d599bf83bb8d160, 0xd87138d2861539fa, 0x67a615c9f80f9a3e, 0x494b670e271964b8, 0xd2cf257ee6866587,
  0x000000002000745a,
};

static const uint64_t ur_c32_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87f3202, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xbde4fa6b0ce34f26,
  0xb7792769dc34e83e, 0x3549304f8c048218, 0x606eebec99182a91, 0xd3e25c40c2860da4, 0x6a666ffe6571eb9d,
  0xbd47ec1d85e19c39, 0x450a4890490343e9, 0xc3e144312bfcfdf0, 0x559cbd339c8389f5, 0xce8a8432d0274886,
  0x2dbc00ffa039e136, 0xfaa374c161bcaf21, 0xb7f69931bd81068f, 0x663f18bf54650eb8, 0x445d670f3ce0fba7,
  0x743fd47c25f886c2, 0xb084dd3262e1cc03, 0x0d7cf51e56fe4a76, 0x0298ae037a8f8366, 0x85962291669d6845,
  0xd5db8ca1d484d7d1, 0xebd44bb4428f7b39, 0xa04547cf58d578d8, 0x386f65f4b3170908, 0x4b313fac546c1132,
  0xbf64fe2af9ddc549, 0xf0202726dbf0313b, 0xcde6c8a0c077eefc, 0x9537a94e4a74026f, 0x3574e31bc67440ef,
  0x6db9c31dbd8aaa2d, 0x8d164498dca5a97e, 0x9cfd4eaccdfc1a3f, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x73c95fb9a19961d2, 0x0000020022ac5a3d,
};

static const uint64_t ur_c32_u1x8_uart1_dual_ee_hw[] = {
  0x7777583d14680aac, 0xbbbbab29ba2fbf37, 0x57a7dfdad403bbbb, 0x21971b23ba644a51, 0xfabcb269c1557d68,
  0x02410c5bbc9836ee, 0x2305521dbb9827c6, 0x50c1b48c0ddd7d93, 0xcab773ba7c4b8818, 0x818f9c066e6ddafc,
  0x1240c9d4dea385ad, 0x4aff3f7c11429224, 0x39d6627d70f8510c, 0x2d04ac886559cbd3, 0xfa039e132fb8a843,
  0x161bcaf212db9c1f, 0xc6f60595bfceadcc, 0xad68e44ae2dfda64, 0x983053d4795afb9a, 0x143be2ba95ea3e0d,
  0x4616588a459a75a1, 0x2e652e2a5cd2135f, 0xa25da2147bd9cead, 0x151f3d6355ae875e, 0xbd97d2cc5c242281,
  0x09fd62a3608fd6e1, 0x27f157ceee2a4a01, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x000576b8269d14f2,
};

// c32_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbac1e8a3457c3b, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xe27eb7fb0ce34f26,
  0x218b7792769dc559, 0xa913549304f8c048, 0xda4606eebec99182, 0xb9dd3e25c40c2860, 0x9c396a666ffe655b,
  0x43e9bd47ec1d85e1, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0x4886559cbd339c83, 0xe136ce8a8432d027,
  0xaf212dbc00ffa039, 0x41a3fceadcc161bc, 0x43ae2dfda64c6f60, 0x7d69d98fc62fd519, 0xc4361222eb3879e5,
  0x87672e8ffea3e12f, 0xf929dac21374c98b, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x96a5f9b6e70c76f6, 0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f,
  0x587494b670e27196, 0x334514f257ee6866, 0x000000000001d75a,
};

// c32_u1x12_uart0_noled_pr
static const uint64_t ur_c32_u1x12_uart0_noled[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x8e8448aa668cdddd, 0x11e3ec1f77742ca3, 0x793bb63d9085e6c3,
  0xe3304f8c048218b7, 0xa7c24be7fc1a0cfc, 0x0da3749feda9fddb, 0x82fd47e80ef9610f, 0x533df6b524389206,
  0xd5fd1eb0e62c0596, 0x500ffd9823af47ce, 0x71f03cb3db1f6679, 0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7,
  0x02baa9cbca6c670b, 0x516961738c6f19d1, 0x4bf36c4922adec55, 0x68fe3458f386e52d, 0x3d30ae4fdd598f20,
  0x4a5b387138cb25c3, 0xbe792bf734332c3a, 0x00000000f9000b08,
};

static const uint64_t ur_c32_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xeeaafb395a44b777, 0x42245533466eeeee, 0xf1f60fbbba1651c7, 0x775eb98985f4cd88,
  0x609f180904316ef2, 0xe125f3ff4419f9c6, 0xd1ba4ff6d4feedd3, 0x7ea3f4077cb08786, 0x9efb5a921c490341,
  0xfe8f58731602cb29, 0x07fecc11d7a3e76a, 0xf81e59ed8fb33ca8, 0x70b37e06256bd838, 0xde01f50603bd6bce,
  0x5d54e5e5363385bc, 0xb4b0b9c6378ce881, 0xf9b6249156f62aa8, 0xee345912637296a5, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x5a59e4afdcd0ccb0,
  0x000000003e4e9c95,
};

// c32_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd636225bbb, 0x429b2e3b0cf77777, 0x7fa99a0eea451aeb, 0x6d89a2a0a3760cc1,
  0x602410c5bbc9dd66, 0x7ffa20cfb059827c, 0xff6d4feedd3e1238, 0x9aad68e7186d1ba4, 0x06cc1a63ea3cae44,
  0x68450ef8afbaf51f, 0xd7d185962291669d, 0xead2f38ae3593484, 0xebce9bb6f68f059c, 0xa39e461c6c6ab5d0,
  0xdc37b2d973170908, 0x00544a9a546c11fa, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1,
  0xaa2d2c2e718de33a, 0xa97e6d892455bd8a, 0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x565696792bf73433, 0x000000000004ebe5,
};

// c32_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85ec9c4b777, 0x385ec47590dddddd, 0x850dbdddd36922b5, 0xeea3329c34ca52d1,
  0xc13e30120862dde4, 0x09145ffd1067fe74, 0x8dd27fb6a7f76e9f, 0x2771ee317eb10c36, 0x1b0911759c3cf36d,
  0x7ff81a3f51f097e2, 0xa7b96757d64c98b8, 0x490e2481eb3d4727, 0xa3d61cc580a3e749, 0xffb33c75e8f9dabf,
  0x81e5adc3eccf2a01, 0x0b37e06256bd838f, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x36c490c76f62aa8b, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x00000006ebb087eb,
};

// c32_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d0533896eee, 0xb45377b1c7777777, 0xcb2ab4dd85ea6d71, 0xabec4efdf4ee4b42,
  0x048218b7793ba9c8, 0xfe8833e337304f8c, 0xdb53fbb74f8482d7, 0xbf547f3a1b46e93f, 0xce1e79b693b8e518,
  0xa8f84bf10d8488ba, 0xef993170f494ce5f, 0xfa8f2bea253b5841, 0xac27fa8f83660d6b, 0x2291669d68450298,
  0xa711d484d7d18596, 0x376ded1e0b39d5db, 0x1871b1aaf1b1d79d, 0xcb65cc5c24228e79, 0x9534a8d8226470de,
  0x59bf0312b5ec2ce8, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae, 0xb624863b7b15545a,
  0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000009f83f055a,
};

static const uint64_t ur_c32_u1x12_uart0_noled_ee_hw[] = {
  0xdb435e0d1468d38b, 0xbaabe6b1b112dddd, 0x14d971d867bbbbbb, 0xfd4cd0775228d75a, 0x6653b4a51bb0660b,
  0xc602410c5bbc9dd4, 0x87ffd64cfb059827, 0x4ff6d4feedd3e123, 0x49aad68e7186d1ba, 0xf06cc1a63ea3cae4,
  0xd68450ef8afbaf51, 0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059, 0x8a39e461c6c6ab5d,
  0xadc37b2d97317090, 0x600544a9a546c11f, 0xaf39c2cdf81895af, 0x16f37807d4180ef5, 0xa20575539794d8ce,
  0xaaa2d2c2e718de33, 0x5a97e6d892455bd8, 0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x45f453c95fb9a199, 0x0000000000016fd0,
};

// c32_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart0_noled_ee_ce_hw[] = {
  0xbb686bc1a28d12a8, 0xdd55e3414ce25bbb, 0x6d14ddec71dddddd, 0xb2caad37617a9b5c, 0xeb46ad67dd3b92d0,
  0xf180904316ef2774, 0x5affeb267c66e609, 0x27fb6a7f76e9f090, 0xa317ea8fe74368dd, 0xbace1e795f5a771c,
  0xffa8f84bf10d8488, 0x83df3262e1f9699b, 0xd7f51e57d44a76b0, 0x31584ff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb74e23a909afa30b, 0x3a6edbda3c1673ab, 0xf230e36355e363af, 0xbd96cb98b848451c, 0xd12a6951b044c8e1,
  0x70b37e06256bd859, 0xde01f50603bd6bce, 0x5d54e5e5363385bc, 0xb4b0b9c6378ce881, 0xf36c490c76f62aa8,
  0x4e7ea138c6e52d4b, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x29e4afdcd0ccb0e9, 0x000000028093000a,
};

// c32_u1x12_uart0_lednop_pr
static const uint64_t ur_c32_u1x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xddd55f670bdc4b77, 0x9fbbf0feb11ddddd, 0xd697e6eeec88444d, 0x9dd85eb478f4138f,
  0x9827c602410c5bbc, 0xe12f93fe0d067c14, 0xd1ba4ff6d4feedd3, 0x9ea393c77cb24386, 0x87ce92921c490334,
  0xe4720a731602dee9, 0xe39630475e2e766b, 0xbf0312b5ec2b07de, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xdca5a97e6db9c8ab, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0x396117cf257ee686, 0x000000000000f900,
};

static const uint64_t ur_c32_u1x12_uart0_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece3af896ee, 0xb4a12fcd1b7bbbbb, 0xf4a64f77742ca38e, 0xeed45e4ad4d60933,
  0xc13e30120862dde4, 0x84a5f7fe8833e7ac, 0x46e93fdb53fbb74f, 0xfa8f6b1df2c21e1b, 0xf241fa4871240d05,
  0xd1a43398b016594d, 0xffd9823af47cecb3, 0x03cb3db416691500, 0x166fc0c4ad7b20ad, 0xa0c077ad79e0404e,
  0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x2adec555169aba71, 0x2637296a5f9b6e72, 0x75666fe0eee34591,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x03e4d8f275a59e4a,
};

// c32_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd6c5f12ddd, 0xb0b4663b42f77777, 0x77ea6683ba9146b9, 0x70f65c6759a59fbc,
  0x180904316ef2774a, 0x1ffe8833f95a609f, 0x3fdb53fbb74f848a, 0xa6ab5a39c61b46e9, 0xc1b30698fa8f2b32,
  0xb422877c561efd47, 0x6be8c2cb1148b34e, 0x756973d571ac9a42, 0x3af3a6ed1923268e, 0x282791bdab1aad74,
  0xb70decb65cc5c242, 0x0021f667951b047e, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd,
  0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000013ae60e55a5,
};

// c32_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0x77557e1724225bbb, 0x9b53267a0cf77777, 0x412a1eeee9b4916c, 0x777273d6a0ad38d8,
  0x609f180904316ef2, 0x8492b7fe8833e70e, 0x46e93fdb53fbb74f, 0x93b80d18bf58861b, 0x0d8488bace1e79b6,
  0xe9b73b7fa8f84bf1, 0x4f72ceafac993170, 0x921c4903d67a8fd2, 0x1a43398b01531116, 0xfd99e3af47cecb3d,
  0x0f2d6e416691500f, 0x59bf0312b5ec82b4, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x0dd7bc93ad2cf257,
};

// c32_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc68160c4b777, 0xd71b4bdb83bbbbbb, 0x05955a6ec2f5374c, 0xa2f0dceb62465d84,
  0x0120862dde4eec6a, 0xffd1067c344c13e3, 0xf6d4feedd3e12b1f, 0x2fd51fce86d1ba4f, 0xb3879e6da4ec9d46,
  0xea3e12fc4361222e, 0xf7cc98b87ca8683f, 0xfd4795f7529dac20, 0x57b7fd47c1b306b5, 0x1148b34eb422814c,
  0xc7a8ea426be8c2cb, 0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37,
  0x2cdf81895af61663, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3,
  0x98dca5a97e6db9c3, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x013f12da5696792b,
};

static const uint64_t ur_c32_u1x12_uart0_lednop_ee_hw[] = {
  0xeda1af068a34280b, 0xbaabe6b62f896eee, 0x85a331da17bbbbbb, 0xbf53341dd48a35cd, 0x273d6d69cd2cfde3,
  0xf180904316ef2777, 0xa1fff5933f95a609, 0x93fdb53fbb74f848, 0x2a6ab5a39c61b46e, 0x7c1b30698fa8f2b3,
  0xeb422877c561efd4, 0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x43af3a6ed1923268, 0x2282791bdab1aad7,
  0xeb70decb65cc5c24, 0xb0021f667951b047, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc,
  0xaba718de33a2077c, 0xb6e722adec555169, 0x3f509c637296a5f9, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000005bec117d14,
};

// c32_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xdb435e0d146824d6, 0xeaaf1a058312dddd, 0x5c6d2f6e0eeeeeee, 0x165569bb0bd4dd33, 0xd75dea7d89197610,
  0x180904316ef2777e, 0xffff5933e1a2609f, 0x7fb6a7f76e9f0958, 0x317ea8fe74368dd2, 0xace1e795f5a764ea,
  0xfa8f84bf10d8488b, 0x1ef993170fd66c87, 0xbfa8f2beea53b584, 0x8af6ffa8f83660d6, 0x62291669d6845029,
  0xb8f51d484d7d1859, 0xe9bb4648c9a39d5d, 0xc8ded58d578d8ebc, 0xf65b2e62e1211413, 0x7d99e546c1132386,
  0x859bf0312b5ec2cc, 0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5, 0x63b7b15545a6ae9c,
  0xe31b94b52fcdb738, 0xc3def2861539fa84, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x05010e2fa8a792bf,
};

// c32_u1x12_uart0_dual_pr           c32_u1x12_uart0_dual_pr_u4
static const uint64_t ur_c32_u1x12_uart0_dual[] = {
  0x77783eefa24343ee, 0xdddd586dd86bf377, 0x646ea0de9d6ddddd, 0x6c593b77768591f7, 0xbabbf224b534f1da,
  0x180904316ef2717b, 0x9323055212a2609f, 0x1850c1b48c0ddd7d, 0xccab6eb3ba7c4b88, 0x7b0f9c7090f3175f,
  0x482481afb9bd4772, 0x1895fe7ef8228524, 0xa670c7c4fae1f0a2, 0x432d0f9110cab397, 0x37fd01cf0987c8a8,
  0x660b0de579096de0, 0xeedd3e1209fff4dd, 0x89a86d1ba4ff6d4f, 0x90310fea3e453be5, 0x55079a717be921c4,
  0x19dad6475fce62c0, 0x435403ff6608ebc0, 0x2552740f2cf6c43a, 0x56bd93f8abe77715, 0xbcf020270b37e062,
  0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x7771a2c8931b94b5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x2ad2cf257ee68665, 0x00000000014939f8,
};

// c32_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart0_dual_pr_ee[] = {
  0x77783eefa243359b, 0xbbbbab1215abf377, 0x3af9f693342dbbbb, 0x8d5e3c8feec0b7ac, 0x6614c3e6baa01aaf,
  0x04316ef2519bb878, 0x0aa40592609f1809, 0x8369181bbafb2646, 0xdd6774f8971030a1, 0xb386ed4c9b7f9956,
  0x34b537a8e63fb019, 0xcfdf0450a4890490, 0x189f5c3e144312bf, 0xd2a2195672f4ce32, 0xe784c5162a10cb41,
  0xe579096dfabffe80, 0x12df7ff4dd660b0d, 0x1ba4ff6d4feedd3e, 0x5afb9aad68e4486d, 0xea3e0d983053d479,
  0x9a75a1143be2ba95, 0xd2135f4616588a45, 0xd9cead2e652e2a5c, 0xae875ea25da2147b, 0x242281151f3d6355,
  0x8fd6e1bd97d2cc5c, 0x2a4a0109fd62a360, 0xc4ad7b27f157ceee, 0xad79e0404e166fc0, 0x005bcde6c8a0c077,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x2175a59e4afdcd0c,
  0x0000000000001590,
};

// c32_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart0_dual_pr_ce[] = {
  0xeef07ddf448687e1, 0x77756b1f62f7e6ee, 0x22d476b5d6f77777, 0xaffb5bbbb7060596, 0x2bdbc1776d1f1d72,
  0x02410c5bbc9582ee, 0x23055202919827c6, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x7579c287e6e9ffcc,
  0x240f674dea39c1d8, 0xaff3f7c114292241, 0x978627d70f8510c4, 0xd05f6886559cbd33, 0xa039e1307b8a8432,
  0x61bcaf212dbe9bff, 0xa7c2452ffe9bacc1, 0x0da3749feda9fddb, 0xb693b4ad18bf597d, 0xf10d8488bace1e79,
  0xb87adf801fa8f84b, 0xdf9ee59d5ea5cc98, 0x2921c4903a97ea38, 0x91d7f398b014141f, 0xffd99e3af00676b5,
  0x40f2d6e10e90d500, 0x3f8abe7771525527, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f,
  0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000d2479b75a59,
};

static const uint64_t ur_c32_u1x12_uart0_dual_pr_ee_ce[] = {
  0x77783eefd41432db, 0xdddd586de4cbf377, 0x710b157efb8ddddd, 0xd6990123ba82b655, 0x04559c7f33a07c4d,
  0x48218b7792ec9dc7, 0x60aa4771f304f8c0, 0x18369181bbafb264, 0x6dd6774f8971030a, 0x001c0524dfaff995,
  0x81cedcdea3d6fec2, 0xfe7ef82285244824, 0xa444fae1f0a21895, 0x2dd22195672f4ce2, 0x0e784ca7a2a10cb4,
  0x6f2bc84b6fa6bfe8, 0xf0905affa6eb3058, 0x68dd27fb6a7f76e9, 0x4ee3958fea8ff743, 0xeb0f722495f9e6da,
  0xb7f253b58166e99c, 0xd47c1b306be7a8f2, 0x34eb422814c5701b, 0xa426be8c2cb1148b, 0x147bd9ceaedc650e,
  0xc6abc6c75ea25da2, 0x98b84845022a3e7a, 0xa3608991c37b2fa5, 0xceee2a4a5989fd62, 0x6fc0c4ad7b27f157,
  0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x6e52d4bf36dce18e,
  0xcdfc1ddc68b03d0c, 0x9c69430a9cfd4eac, 0x0ae4fc07cd1f6c38, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000080039f56967,
};

static const uint64_t ur_c32_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff9231, 0xdd59a9b4f5f9bbbb, 0x3e403bc7fddddddd, 0xa702f74e775dfb8c, 0xf876b54da0ce5711,
  0xf24eb3bbff8669d3, 0x5e609f180904316e, 0x6eebec99182a909e, 0xe25c40c2860da460, 0x32547e6571eb9dd3,
  0x47bc3d872d1c19bf, 0x0a48904903c6e9bd, 0xe144312bfcfdf045, 0x9cbd338aeb89f5c3, 0x8a8432d04b488655,
  0xb8a4ffa039e13472, 0xa374c161bcaf212d, 0xa7f76e9f0969affa, 0xa8ca1c368dd27fb6, 0x79c1f74ecc7e317e,
  0x4bf10d8488bace1e, 0xc5c39806e87fa8f8, 0xadfc94ed6109ba64, 0xf51f06cc1af9ea3c, 0xcd3ad08a05315c06,
  0xa909afa30b2c4522, 0x851ef673abb71943, 0xb1aaf1b1d7a89768, 0x662e1211408a8f9e, 0xa8d8226470decbe9,
  0xf3bb8a9296627f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x1b94b52fcdb73863, 0x99bf8347f1a2c893, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x0469f347ae792bf7, 0x0000000000000040,
};

static const uint64_t ur_c32_u1x12_uart0_dual_ee_hw[] = {
  0xbbc1f77d146887e1, 0xdddd5890ad5f9bbb, 0xd7cfb499a16ddddd, 0x6af1e47f7605bd61, 0xbdbc16b47d00d57c,
  0x2410c5bbc9466ee2, 0x182a901649827c60, 0x860da4606eebec99, 0x55bb9dd3e25c40c2, 0x066ce1bb5326dfe6,
  0x240d2d4dea398fec, 0xaff3f7c114292241, 0x8c8627d70f8510c4, 0xd074a886559cbd33, 0xa039e131458a8432,
  0xc3795e425b7eafff, 0x4f84b7dff9d5b982, 0x1b46e93fdb53fbb7, 0x1e56bee6ab5a3912, 0xa57a8f83660c14f5,
  0x91669d68450ef8ae, 0x973484d7d1859622, 0x1ef673ab4b994b8a, 0xd56ba1d7a8976885, 0x170908a04547cf58,
  0xd823f5b86f65f4b3, 0xbb8a9280427f58a8, 0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x4e8016f379b22830,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x11017453c95fb9a1, 0x00000000000015da,
};

// c32_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart0_dual_ee_ce_hw[] = {
  0xde0fbbe8a343e907, 0xeeacd4da7afcdddd, 0x1f201de3feeeeeee, 0xd3817ba73baefdc6, 0xeb59f5e6d0672b88,
  0x62dde49d67729d3c, 0x213cbcc13e301208, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0x8337e64a8fccab77,
  0xdd37a8f787b0e5a3, 0xbe08a14912092078, 0x3eb87c2886257f9f, 0x10cab397a6715d71, 0x268e5150865a0969,
  0xe425b7149ff4073c, 0x4d7f9d5b982c3795, 0x93fdb53fbb74f84b, 0xf18bf54650e1b46e, 0xbace1e795f5a7663,
  0xffa8f84bf10d8488, 0x84dd3262e1d9cba3, 0x7cf51e56fe4a76b0, 0x98ae037a8f83660d, 0x962291669d684502,
  0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0, 0x313fac546c113238,
  0x64fe2af9ddc5494b, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9,
  0xdb9c31dbd8aaa2d3, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000075d57549453,
};

// c32_u1x12_uart1_noled_pr
static const uint64_t ur_c32_u1x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x8e8448aa668cdddd, 0x11e3ec1f77742ca3, 0x793bb63d9085e6c3,
  0xe3304f8c048218b7, 0x4f824be7fc1a0cfc, 0x1b46e93fdb53fbb7, 0x05fa8fd01df2c21e, 0xa67bed6a4871240d,
  0xabfa3d61cc580b2c, 0xa01ffb30475e8f9d, 0xe3e07967b63eccf2, 0xe726dbf0313bbf60, 0x9bc03ea0c077eefc,
  0x575539794d8ce4df, 0x2d2c2e718de33a20, 0x7e6d892455bd8aaa, 0x1fc68b1e70dca5a9, 0xa615c9fbab31e40d,
  0x4b670e271964b867, 0xcf257ee686658749, 0x0000001f20016117,
};

static const uint64_t ur_c32_u1x12_uart1_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xeeaafb395a44b777, 0x42245533466eeeee, 0xf1f60fbbba1651c7, 0x775eb98985f4cd88,
  0x609f180904316ef2, 0xc125f3ff4419f9c6, 0xa3749feda9fddba7, 0xfd47e80ef9610f0d, 0x3df6b52438920682,
  0xfd1eb0e62c059653, 0x0ffd9823af47ced5, 0xf03cb3db1f667950, 0x936df8189ddfb071, 0xe01f50603bf77e73,
  0xaa9cbca6c6726fcd, 0x961738c6f19d102b, 0x36c4922adec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d,
  0x00000007c9d392ab,
};

// c32_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd636225bbb, 0x429b2e3b0cf77777, 0x7fa99a0eea451aeb, 0x6d89a2a0a3760cc1,
  0x602410c5bbc9dd66, 0x7ffa20cfb059827c, 0xfeda9fddba7c1238, 0x355ad1ce30da3749, 0x0d9834c7d4795c89,
  0xd08a1df15f75ea3e, 0xafa30b2c4522cd3a, 0xd5a5e715c6b26909, 0xd79d376ded1e0b39, 0x473c8c38d8d56ba1,
  0xb86f65b2e62e1211, 0x00a89534a8d823f5, 0x9ce4db7e062777ec, 0xf37807d4180efddf, 0x0aeaa72f29b19c9b,
  0x45a585ce31bc6744, 0x2fcdb1248ab7b155, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0xcad2cf257ee68665, 0x00000000009d7caa,
};

// c32_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart1_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85ec9c4b777, 0x385ec47590dddddd, 0x850dbdddd36922b5, 0xeea3329c34ca52d1,
  0xc13e30120862dde4, 0x09145ffd1067fe74, 0x1ba4ff6d4feedd3e, 0x4ee3dc62fd62186d, 0x361222eb3879e6da,
  0xfff0347ea3e12fc4, 0x4f72ceafac993170, 0x921c4903d67a8e4f, 0x47ac398b0147ce92, 0xff6678ebd1f3b57f,
  0x03cb5b87d99e5403, 0x36df8189ddfb071f, 0x01f50603bf77e739, 0xa9cbca6c6726fcde, 0x61738c6f19d102ba,
  0xd89218edec555169, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xec3347db0e3f8cbf,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000000dd7610fd69,
};

// c32_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d0533896eee, 0xb45377b1c7777777, 0xcb2ab4dd85ea6d71, 0xabec4efdf4ee4b42,
  0x048218b7793ba9c8, 0xfe8833e337304f8c, 0xb6a7f76e9f0482d7, 0x7ea8fe74368dd27f, 0x9c3cf36d2771ca31,
  0x51f097e21b091175, 0xdf3262e1e9299cbf, 0xf51e57d44a76b083, 0x584ff51f06cc1ad7, 0x4522cd3ad08a0531,
  0x4e23a909afa30b2c, 0x6edbda3c1673abb7, 0x30e36355e363af3a, 0x96cb98b848451cf2, 0x2a6951b044c8e1bd,
  0xb6fc0c4eefd859d1, 0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b,
  0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000013f07e0ab4b,
};

static const uint64_t ur_c32_u1x12_uart1_noled_ee_hw[] = {
  0xdb435e0d1468d38b, 0xbaabe6b1b112dddd, 0x14d971d867bbbbbb, 0xfd4cd0775228d75a, 0x6653b4a51bb0660b,
  0xc602410c5bbc9dd4, 0x87ffd64cfb059827, 0x9feda9fddba7c123, 0x9355ad1ce30da374, 0xe0d9834c7d4795c8,
  0xad08a1df15f75ea3, 0x9afa30b2c4522cd3, 0x9d5a5e715c6b2690, 0x1d79d376ded1e0b3, 0x1473c8c38d8d56ba,
  0x5b86f65b2e62e121, 0xc00a89534a8d823f, 0xf9ce4db7e062777e, 0xbf37807d4180efdd, 0x40aeaa72f29b19c9,
  0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xbe8a792bf734332c, 0x00000000002dfa08,
};

// c32_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbb686bc1a28d12a8, 0xdd55e3414ce25bbb, 0x6d14ddec71dddddd, 0xb2caad37617a9b5c, 0xeb46ad67dd3b92d0,
  0xf180904316ef2774, 0x5affeb267c66e609, 0x4ff6d4feedd3e090, 0x462fd51fce86d1ba, 0x759c3cf2beb4ee39,
  0xff51f097e21b0911, 0x07be64c5c3f2d337, 0xafea3cafa894ed61, 0x62b09fea3e0d9835, 0x588a459a75a1140a,
  0x6e9c4752135f4616, 0x74ddb7b4782ce757, 0xe461c6c6abc6c75e, 0x7b2d973170908a39, 0xa254d2a3608991c3,
  0x936df8189ddfb0b3, 0xe01f50603bf77e73, 0xaa9cbca6c6726fcd, 0x961738c6f19d102b, 0x6d89218edec55516,
  0xcfd42718dca5a97e, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x0000005012600145,
};

// c32_u1x12_uart1_lednop_pr
static const uint64_t ur_c32_u1x12_uart1_lednop[] = {
  0x776d0d783acdfc4f, 0xddd55f670bdc4b77, 0x9fbbf0feb11ddddd, 0xd697e6eeec88444d, 0x9dd85eb478f4138f,
  0x9827c602410c5bbc, 0xc12f93fe0d067c14, 0xa3749feda9fddba7, 0x3d47278ef964870d, 0x0f9d252438920669,
  0xc8e414e62c05bdd3, 0xc72c608ebc5cecd7, 0xfc0c4eefd8560fbd, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x94b52fcdb739156f, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x2c22f9e4afdcd0cc, 0x00000000001f2007,
};

static const uint64_t ur_c32_u1x12_uart1_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece3af896ee, 0xb4a12fcd1b7bbbbb, 0xf4a64f77742ca38e, 0xeed45e4ad4d60933,
  0xc13e30120862dde4, 0x04a5f7fe8833e7ac, 0x8dd27fb6a7f76e9f, 0xf51ed63be5843c36, 0xe483f490e2481a0b,
  0xa3486731602cb29b, 0xffb30475e8f9d967, 0x07967b682cd22a01, 0x6dbf0313bbf6415a, 0x0c077eefcf020272,
  0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xc6e52d4bf36dce45, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x7c9b1e4eb4b3c95f,
};

// c32_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd6c5f12ddd, 0xb0b4663b42f77777, 0x77ea6683ba9146b9, 0x70f65c6759a59fbc,
  0x180904316ef2774a, 0x1ffe8833f95a609f, 0x7fb6a7f76e9f048a, 0x4d56b4738c368dd2, 0x83660d31f51e5665,
  0x68450ef8ac3dfa8f, 0xd7d185962291669d, 0xead2e7aae3593484, 0x75e74dda32464d1c, 0x504f237b56355ae8,
  0x6e1bd96cb98b8484, 0x0043eccf2a3608fd, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02, 0x7a94e4a74026fcde,
  0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000275cc1cab4b3,
};

// c32_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0x77557e1724225bbb, 0x9b53267a0cf77777, 0x412a1eeee9b4916c, 0x777273d6a0ad38d8,
  0x609f180904316ef2, 0x0492b7fe8833e70e, 0x8dd27fb6a7f76e9f, 0x27701a317eb10c36, 0x1b0911759c3cf36d,
  0xd36e76ff51f097e2, 0x9ee59d5f593262e1, 0x24389207acf51fa4, 0x3486731602a6222d, 0xfb33c75e8f9d967a,
  0x1e5adc82cd22a01f, 0xb6fc0c4eefd90568, 0x301dfbbf3c0809c9, 0x929d009bf379b228, 0xf19d103be54dea53,
  0x6f62aa8b4d5d38c6, 0x37296a5f9b6e70c7, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xbaf79275a59e4afd, 0x0000000000000001,
};

// c32_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc68160c4b777, 0xd71b4bdb83bbbbbb, 0x05955a6ec2f5374c, 0xa2f0dceb62465d84,
  0x0120862dde4eec6a, 0xffd1067c344c13e3, 0xeda9fddba7c12b1f, 0x5faa3f9d0da3749f, 0x670f3cdb49d93a8c,
  0xd47c25f886c2445d, 0xef993170f950d07f, 0xfa8f2beea53b5841, 0xaf6ffa8f83660d6b, 0x2291669d68450298,
  0x8f51d484d7d18596, 0x9bb4648c9a39d5db, 0x8ded58d578d8ebce, 0x65b2e62e1211413c, 0xd99e546c1132386f,
  0xdb7e062777ec2cc7, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0x1b94b52fcdb73863, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f,
  0x271964b867a617c6, 0xe6866587494b670e, 0x27e25b4ad2cf257e,
};

static const uint64_t ur_c32_u1x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a34280b, 0xbaabe6b62f896eee, 0x85a331da17bbbbbb, 0xbf53341dd48a35cd, 0x273d6d69cd2cfde3,
  0xf180904316ef2777, 0xa1fff5933f95a609, 0x27fb6a7f76e9f048, 0x54d56b4738c368dd, 0xf83660d31f51e566,
  0xd68450ef8ac3dfa8, 0x4d7d185962291669, 0xcead2e7aae359348, 0x875e74dda32464d1, 0x4504f237b56355ae,
  0xd6e1bd96cb98b848, 0x60043eccf2a3608f, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000b7d822fa29e,
};

// c32_u1x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d146824d6, 0xeaaf1a058312dddd, 0x5c6d2f6e0eeeeeee, 0x165569bb0bd4dd33, 0xd75dea7d89197610,
  0x180904316ef2777e, 0xffff5933e1a2609f, 0xff6d4feedd3e0958, 0x62fd51fce86d1ba4, 0x59c3cf2beb4ec9d4,
  0xf51f097e21b09117, 0x3df3262e1facd90f, 0x7f51e57dd4a76b08, 0x15edff51f06cc1ad, 0xc4522cd3ad08a053,
  0x71ea3a909afa30b2, 0xd3768c9193473abb, 0x91bdab1aaf1b1d79, 0xecb65cc5c2422827, 0xfb33ca8d8226470d,
  0x9b6fc0c4eefd8598, 0x8301dfbbf3c0809c, 0x3929d009bf379b22, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0x637296a5f9b6e70c, 0x7bde50c2a73f509c, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0xa021c5f514f257ee,
};

// c32_u1x12_uart1_dual_pr           c32_u1x12_uart1_dual_pr_u4
static const uint64_t ur_c32_u1x12_uart1_dual[] = {
  0x77783eefa24343ee, 0xdddd586dd86bf377, 0x646ea0de9d6ddddd, 0x6c593b77768591f7, 0xbabbf224b534f1da,
  0x180904316ef2717b, 0x9323055212a2609f, 0x1850c1b48c0ddd7d, 0xccab6eb3ba7c4b88, 0x7b0f9c7090f3175f,
  0x482481afb9bd4772, 0x1895fe7ef8228524, 0xa670c7c4fae1f0a2, 0x432d0f9110cab397, 0x37fd01cf0987c8a8,
  0x660b0de579096de0, 0xddba7c1209fff4dd, 0x1350da3749feda9f, 0x20621fd47c8a77cb, 0xaa0f34e2f7d24389,
  0x33b5ac8ebf9cc580, 0x86a807fecc11d780, 0x4aa4e81e59ed8874, 0xddfb27f157ceee2a, 0xe781013936df8189,
  0x7e6f36450603bf77, 0x7ca9bd4a7253a013, 0x69aba718de33a207, 0xf9b6e722adec5551, 0xee345912637296a5,
  0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x5a59e4afdcd0ccb0, 0x0000000029273f05,
};

// c32_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_c32_u1x12_uart1_dual_pr_ee[] = {
  0x77783eefa243359b, 0xbbbbab1215abf377, 0x3af9f693342dbbbb, 0x8d5e3c8feec0b7ac, 0x6614c3e6baa01aaf,
  0x04316ef2519bb878, 0x0aa40592609f1809, 0x8369181bbafb2646, 0xdd6774f8971030a1, 0xb386ed4c9b7f9956,
  0x34b537a8e63fb019, 0xcfdf0450a4890490, 0x189f5c3e144312bf, 0xd2a2195672f4ce32, 0xe784c5162a10cb41,
  0xe579096dfabffe80, 0x12df7ff4dd660b0d, 0x3749feda9fddba7c, 0xb5f7355ad1c890da, 0xd47c1b3060a7a8f2,
  0x34eb422877c5752b, 0xa426be8c2cb1148b, 0xb39d5a5cca5c54b9, 0x5d0ebd44bb4428f7, 0x4845022a3e7ac6ab,
  0x1fadc37b2fa598b8, 0x54940213fac546c1, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03, 0x26fcde6c8a0c077e,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x2eb4b3c95fb9a199,
  0x000000000002b204,
};

// c32_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_c32_u1x12_uart1_dual_pr_ce[] = {
  0xeef07ddf448687e1, 0x77756b1f62f7e6ee, 0x22d476b5d6f77777, 0xaffb5bbbb7060596, 0x2bdbc1776d1f1d72,
  0x02410c5bbc9582ee, 0x23055202919827c6, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x7579c287e6e9ffcc,
  0x240f674dea39c1d8, 0xaff3f7c114292241, 0x978627d70f8510c4, 0xd05f6886559cbd33, 0xa039e1307b8a8432,
  0x61bcaf212dbe9bff, 0x4f82452ffe9bacc1, 0x1b46e93fdb53fbb7, 0x6d27695a317eb2fa, 0xe21b0911759c3cf3,
  0x70f5bf003f51f097, 0xbf3dcb3abd4b9931, 0x52438920752fd471, 0x23afe7316028283e, 0xffb33c75e00ced6b,
  0x81e5adc21d21aa01, 0x7f157ceee2a4aa4e, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0001a48f36eb4b3c,
};

static const uint64_t ur_c32_u1x12_uart1_dual_pr_ee_ce[] = {
  0x77783eefd41432db, 0xdddd586de4cbf377, 0x710b157efb8ddddd, 0xd6990123ba82b655, 0x04559c7f33a07c4d,
  0x48218b7792ec9dc7, 0x60aa4771f304f8c0, 0x18369181bbafb264, 0x6dd6774f8971030a, 0x001c0524dfaff995,
  0x81cedcdea3d6fec2, 0xfe7ef82285244824, 0xa444fae1f0a21895, 0x2dd22195672f4ce2, 0x0e784ca7a2a10cb4,
  0x6f2bc84b6fa6bfe8, 0xe0905affa6eb3058, 0xd1ba4ff6d4feedd3, 0x9dc72b1fd51fee86, 0xd61ee4492bf3cdb4,
  0x6fe4a76b02cdd339, 0xa8f83660d7cf51e5, 0x69d68450298ae037, 0x484d7d1859622916, 0x28f7b39d5db8ca1d,
  0x8d578d8ebd44bb44, 0x3170908a04547cf5, 0x46c1132386f65f4b, 0x9ddc5494b313fac5, 0xbf0313bbf64fe2af,
  0x077eefcf0202726d, 0xa74026fcde6c8a0c, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xca5a97e6db9c31db,
  0xbf83bb8d1607a18d, 0x8d2861539fa9d599, 0x5c9f80f9a3ed8713, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x000100073ead2cf2,
};

static const uint64_t ur_c32_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff9231, 0xdd59a9b4f5f9bbbb, 0x3e403bc7fddddddd, 0xa702f74e775dfb8c, 0xf876b54da0ce5711,
  0xf24eb3bbff8669d3, 0x5e609f180904316e, 0x6eebec99182a909e, 0xe25c40c2860da460, 0x32547e6571eb9dd3,
  0x47bc3d872d1c19bf, 0x0a48904903c6e9bd, 0xe144312bfcfdf045, 0x9cbd338aeb89f5c3, 0x8a8432d04b488655,
  0xb8a4ffa039e13472, 0xa374c161bcaf212d, 0x4feedd3e0969affa, 0x5194386d1ba4ff6d, 0xf383ee9d98fc62fd,
  0x97e21b0911759c3c, 0x8b87300dd0ff51f0, 0x5bf929dac21374c9, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d,
  0x52135f4616588a45, 0x0a3dece7576e3287, 0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2,
  0xe77715252cc4feb1, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0x29d009bf379b2283, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0x7296a5f9b6e70c76, 0x37f068fe34591263, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x8d3e68f5cf257ee6, 0x0000000000000800,
};

static const uint64_t ur_c32_u1x12_uart1_dual_ee_hw[] = {
  0xbbc1f77d146887e1, 0xdddd5890ad5f9bbb, 0xd7cfb499a16ddddd, 0x6af1e47f7605bd61, 0xbdbc16b47d00d57c,
  0x2410c5bbc9466ee2, 0x182a901649827c60, 0x860da4606eebec99, 0x55bb9dd3e25c40c2, 0x066ce1bb5326dfe6,
  0x240d2d4dea398fec, 0xaff3f7c114292241, 0x8c8627d70f8510c4, 0xd074a886559cbd33, 0xa039e131458a8432,
  0xc3795e425b7eafff, 0x9f04b7dff9d5b982, 0x368dd27fb6a7f76e, 0x3cad7dcd56b47224, 0x4af51f06cc1829ea,
  0x22cd3ad08a1df15d, 0x2e6909afa30b2c45, 0x3dece75697329715, 0xaad743af512ed10a, 0x2e1211408a8f9eb1,
  0xb047eb70decbe966, 0x7715250084feb151, 0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x2861539fa84e31b9, 0xf8cbf313ffbc3def,
  0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x202e8a792bf73433, 0x000000000002bb42,
};

// c32_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u1x12_uart1_dual_ee_ce_hw[] = {
  0xde0fbbe8a343e907, 0xeeacd4da7afcdddd, 0x1f201de3feeeeeee, 0xd3817ba73baefdc6, 0xeb59f5e6d0672b88,
  0x62dde49d67729d3c, 0x213cbcc13e301208, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0x8337e64a8fccab77,
  0xdd37a8f787b0e5a3, 0xbe08a14912092078, 0x3eb87c2886257f9f, 0x10cab397a6715d71, 0x268e5150865a0969,
  0xe425b7149ff4073c, 0x4d7f9d5b982c3795, 0x27fb6a7f76e9f04b, 0xe317ea8ca1c368dd, 0x759c3cf2beb4ecc7,
  0xff51f097e21b0911, 0x09ba64c5c3b39747, 0xf9ea3cadfc94ed61, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05,
  0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470,
  0xc9fc55f3bb8a9296, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a,
  0x73863b7b15545a6a, 0xa84e31b94b52fcdb, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0000ebaaea928a79,
};

// c32_u2x8_uart0_noled_pr
static const uint64_t ur_c32_u2x8_uart0_noled[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x51c742245533466e, 0x6188f1f60fbbba16, 0x5bbc9ddb1ec842f3,
  0x7e719827c602410c, 0xedd3e125f3fe0d06, 0x08786d1bdaa3949b, 0x903417ea3f4077cb, 0x2cb299efb5a921c4,
  0x3e76afe8f5873160, 0x33ca807fecc11d7a, 0xbd838f81e59ed8fb, 0xd6bce70b37e06256, 0x385bcde01f50603b,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x296a5f9b6249156f, 0x790347f1a2c79c37, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0x5845f3c95fb9a199, 0x000000000007c800,
};

static const uint64_t ur_c32_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0x7777557d9cad225b, 0xe3a1122a99a33777, 0xc478fb07dddd0b28, 0x793baf5cc4c2fa66,
  0xe3304f8c048218b7, 0xe9f092f9ffa20cfc, 0x3c368ded51ca4df6, 0x1a0bf51fa03be584, 0x594cf7dad490e248,
  0x3b57f47ac398b016, 0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb,
  0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0xb52fcdb1248ab7b1, 0xf07771a2c8931b94, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0xe4aad2cf257ee686,
  0x000000000001f274,
};

// c32_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b1b112d, 0x75a14d971d867bbb, 0x60bfd4cd0775228d, 0xb336c4d15051bb06,
  0x3e30120862dde4ee, 0x1c3ffd1067d82cc1, 0xded51ca4df6e9f09, 0x7224d56b4738c368, 0xa8f83660d31f51e5,
  0x34eb422877c57dd7, 0xa426be8c2cb1148b, 0x2ce756979c571ac9, 0xae875e74ddb7b478, 0x48451cf230e36355,
  0x8fd6e1bd96cb98b8, 0xd7b002a254d2a360, 0x7ad79ce166fc0c4a, 0x670b79bc03ea0c07, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0xe52d4bf36c4922ad, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1,
  0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x5f2ab2b4b3c95fb9, 0x0000000000000027,
};

// c32_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f64e25b, 0x5a9c2f623ac86eee, 0x68c286deeee9b491, 0xf27751994e1a6529,
  0x3a609f180904316e, 0x4f848a2ffe8833ff, 0x61b46f6a8e526fb7, 0x9b693b8f718bf588, 0xbf10d8488bace1e7,
  0xc5c3ffc0d1fa8f84, 0x393d3dcb3abeb264, 0x3a4a4871240f59ea, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0xe73859bf0312b5ec, 0xde6f00fa8301deb5, 0x40aeaa72f29b19c2, 0x545a585ce31bc674,
  0xa5f9b624863b7b15, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x3f5a59e4afdcd0cc, 0x0000000000375d84,
};

// c32_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc68299c4b7, 0xb8da29bbd8e3bbbb, 0xa165955a6ec2f536, 0xe455f6277efa7725,
  0xc602410c5bbc9dd4, 0x6bff4419f19b9827, 0xb5472937dba7c241, 0x28c5faa3f9d0da37, 0x45d670f3cdb49dc7,
  0x72fd47c25f886c24, 0xc20f7cc98b87a4a6, 0x6b5fd4795f5129da, 0x14c5613fd47c1b30, 0x2cb1148b34eb4228,
  0xaedd388ea426be8c, 0xbce9bb6f68f059ce, 0x73c8c38d8d578d8e, 0x86f65b2e62e12114, 0x6744a9a546c11323,
  0x39c2cdf81895af61, 0xf37807d4180ef5af, 0x0575539794d8ce16, 0xa2d2c2e718de33a2, 0x2fcdb12431dbd8aa,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x2ad2cf257ee68665, 0x00000000004fc1f8,
};

static const uint64_t ur_c32_u2x8_uart0_noled_ee_hw[] = {
  0xeeeeda1d1468d38b, 0xdddd55f358d8896e, 0xad0a6cb8ec33dddd, 0x05fea6683ba9146b, 0xea3329da528dd833,
  0x13e30120862dde4e, 0x91c3ffeb267d82cc, 0x8ded51ca4df6e9f0, 0x57224d56b4738c36, 0x7a8f83660d31f51e,
  0xb34eb422877c57dd, 0x9a426be8c2cb1148, 0x82ce756979c571ac, 0x5ae875e74ddb7b47, 0x848451cf230e3635,
  0x08fd6e1bd96cb98b, 0xad7b002a254d2a36, 0x77ad79ce166fc0c4, 0xc670b79bc03ea0c0, 0xf19d102baa9cbca6,
  0xdec55516961738c6, 0x6e52d4bf36c4922a, 0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x7e822fa29e4afdcd, 0x000000000000000b,
};

// c32_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart0_noled_ee_ce_hw[] = {
  0xdddddb43a28d12a8, 0xeeeeaaf1a0a6712d, 0xae368a6ef638eeee, 0x685965569bb0bd4d, 0xba75a356b3ee9dc9,
  0x04f8c048218b7793, 0x482d7ff5933e3373, 0x46f6a8e526fb74f8, 0xb8e518bf547f3a1b, 0x2445d670f3cafad3,
  0x4cdffd47c25f886c, 0xb5841ef993170fcb, 0x60d6bfa8f2bea253, 0x50298ac27fa8f836, 0x185962291669d684,
  0x9d5dba711d484d7d, 0x1d79d376ded1e0b3, 0x28e791871b1aaf1b, 0x470decb65cc5c242, 0xc2ce89534a8d8226,
  0x5e73859bf0312b5e, 0x2de6f00fa8301deb, 0x440aeaa72f29b19c, 0x5545a585ce31bc67, 0x6a5f9b624863b7b1,
  0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x00514f257ee68665, 0x0000000000140498,
};

// c32_u2x8_uart0_lednop_pr
static const uint64_t ur_c32_u2x8_uart0_lednop[] = {
  0xbbbbbb687acdfc4f, 0xeeeeeaafb385ee25, 0x26cfddf87f588eee, 0xc7eb4bf377764422, 0xde4eec2f5a3c7a09,
  0x0a4c13e30120862d, 0xe9f097c9ff06833e, 0x1c368ded51ca4df6, 0x19a4f51c9e3be592, 0xf74c3e749490e248,
  0xb35f23905398b016, 0x3ef71cb1823af173, 0xc2cdf81895af6158, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0xf386e52d4bf36dce, 0xdd598f2068fe3458, 0x38cb25c33d30ae4f,
  0x34332c3a4a5b3871, 0xc801cb08be792bf7, 0x0000000000000007,
};

static const uint64_t ur_c32_u2x8_uart0_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f671d7c4b, 0xc75a5097e68dbddd, 0x99fa5327bbba1651, 0xf2776a2f256a6b04,
  0xd6609f180904316e, 0xa7c252fbff4419f3, 0xf0da37b5472937db, 0x682fd47b58ef9610, 0xca6f920fd2438920,
  0x659e8d219cc580b2, 0xa807fecc11d7a3e7, 0x05681e59eda0b348, 0x0270b37e06256bd9, 0x36450603bd6bcf02,
  0xdea53929d002de6f, 0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x00001f26c793ad2c,
};

// c32_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart0_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b62f896, 0x5cd85a331da17bbb, 0xde3bf53341dd48a3, 0xa5387b2e33acd2cf,
  0x4f8c048218b7793b, 0x450fff4419fcad30, 0x37b5472937dba7c2, 0x5995355ad1ce30da, 0xea3e0d9834c7d479,
  0x9a75a1143be2b0f7, 0xd2135f4616588a45, 0x3473ab4b9eab8d64, 0x6ba1d79d3768c919, 0x1211413c8ded58d5,
  0x23f5b86f65b2e62e, 0x6bd8010fb33ca8d8, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658, 0x0000000009d73072,
};

// c32_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0xbbbbaabf0b92112d, 0xb64da9933d067bbb, 0x6c20950f7774da48, 0x793bb939eb50569c,
  0x87304f8c048218b7, 0xa7c2495bff4419f3, 0x30da37b5472937db, 0xcdb49dc068c5fac4, 0x5f886c2445d670f3,
  0x8b874db9dbfd47c2, 0x7e927b96757d64c9, 0x88b490e2481eb3d4, 0x59e8d219cc580a98, 0x807feccf1d7a3e76,
  0x15a0796b720b348a, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0x64498dca5a97e6db, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00006ebde49d6967,
};

// c32_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e340b0625b, 0xa66b8da5edc1dddd, 0xc202caad37617a9b, 0x3551786e75b1232e,
  0xf180904316ef2776, 0x8fffe8833e1a2609, 0xed51ca4df6e9f095, 0xea317ea8fe74368d, 0x11759c3cf36d2764,
  0x41ff51f097e21b09, 0x6107be64c5c3e543, 0x35afea3cafba94ed, 0x0a62bdbfea3e0d98, 0x16588a459a75a114,
  0x576e3d4752135f46, 0xaf3a6ed1923268e7, 0x04f237b56355e363, 0xe1bd96cb98b84845, 0xb31f667951b044c8,
  0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000009f896d2b4b3,
};

static const uint64_t ur_c32_u2x8_uart0_lednop_ee_hw[] = {
  0x77776d0e8a34280b, 0xdddd55f35b17c4b7, 0xe6c2d198ed0bdddd, 0xf1dfa99a0eea451a, 0xbb939eb6b4e6967e,
  0x04f8c048218b7793, 0x2450fffac99fcad3, 0xa37b5472937dba7c, 0x95995355ad1ce30d, 0x7ea3e0d9834c7d47,
  0x59a75a1143be2b0f, 0x4d2135f4616588a4, 0x93473ab4b9eab8d6, 0x56ba1d79d3768c91, 0xe1211413c8ded58d,
  0x823f5b86f65b2e62, 0x56bd8010fb33ca8d, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00,
  0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xe8a792bf734332c3, 0x0000000002df608b,
};

// c32_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xeeeeda1d146824d6, 0x7775578d02c1896e, 0x99ae3697b7077777, 0x080b2ab4dd85ea6e, 0xbf6baef53ec48cbb,
  0x4f8c048218b7793b, 0xac7fffac99f0d130, 0x6f6a8e526fb74f84, 0x27518bf547f3a1b4, 0x445d670f3cafad3b,
  0x643fd47c25f886c2, 0xac20f7cc98b87eb3, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908, 0x1663eccf2a360899,
  0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0xd42718dca5a97e6d, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x00002808717d453c,
};

// c32_u2x8_uart0_dual_pr            c32_u2x8_uart0_dual_pr_u4
static const uint64_t ur_c32_u2x8_uart0_dual[] = {
  0xeeeeef07a24343ee, 0xbbbbbab0dbb0d7e6, 0xeec8dd41bd3adbbb, 0xb4d8b276eeed0b23, 0xf77577e4496a69e3,
  0x3e30120862dde4e2, 0xfb26460aa42544c1, 0x1030a18369181bba, 0xbf9956dd6774f897, 0xe4f61f38e121e62e,
  0x489049035f737a8e, 0x44312bfcfdf0450a, 0x2f4ce18f89f5c3e1, 0x50865a1f22219567, 0xc06ffa039e130f91,
  0xbacc161bcaf212db, 0x937dba7c2413ffe9, 0x7cb1350da37b5472, 0x38920621fd47c8a7, 0x580aa0f34e2f7d24,
  0x78033b5ac8ebf9cc, 0x87486a807fecc11d, 0xe2a4aa4e81e59ed8, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0xfe0eee3459126372,
  0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x3f055a59e4afdcd0, 0x0000000000002927,
};

// c32_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart0_dual_pr_ee[] = {
  0xeeeeef07a243359b, 0x77777756242b57e6, 0x5875f3ed26685b77, 0x5f1abc791fdd816f, 0xf0cc2987cd754035,
  0x120862dde4a33770, 0x8c15480b24c13e30, 0x4306d2303775f64c, 0xadbacee9f12e2061, 0x33670dda9936ff32,
  0x20696a6f51cc7f60, 0x7f9fbe08a1491209, 0x64313eb87c288625, 0x83a54432ace5e99c, 0x01cf098a2c542196,
  0x1bcaf212dbf57ffd, 0x7c25beffe9bacc16, 0x0da37b5472937dba, 0x8f2b5f7355ad1c89, 0x52bd47c1b3060a7a,
  0x48b34eb422877c57, 0x4b9a426be8c2cb11, 0x8f7b39d5a5cca5c5, 0x6ab5d0ebd44bb442, 0x8b84845022a3e7ac,
  0x6c11fadc37b2fa59, 0xddc54940213fac54, 0xf81895af64fe2af9, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xb2042eb4b3c95fb9,
  0x0000000000000002,
};

// c32_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart0_dual_pr_ce[] = {
  0xddddde0f448687e1, 0xeeeeead63ec5efcd, 0x2c45a8ed6badeeee, 0xe55ff6b7776e0c0b, 0xdc57b782eeda3e3a,
  0x8c048218b7792b05, 0x26460aa40523304f, 0x30a18369181bbafb, 0x9956dd6774f89710, 0xb0eaf3850fcdd3ff,
  0x82481ece9bd47383, 0x895fe7ef82285244, 0x672f0c4fae1f0a21, 0x65a0bed10cab397a, 0xff4073c260f71508,
  0x82c3795e425b7d37, 0xb74f848a5ffd3759, 0x2fa1b46f6a8e526f, 0xcf36d27695a317eb, 0x097e21b0911759c3,
  0x93170f5bf003f51f, 0x471bf3dcb3abd4b9, 0x83e52438920752fd, 0xd6b23afe73160282, 0xa01ffb33c75e00ce,
  0xa4e81e5adc21d21a, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x36dce18edec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x00000001a48f36eb,
};

static const uint64_t ur_c32_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeef07d41432db, 0xbbbbbab0dbc997e6, 0xaae2162afdf71bbb, 0x9bad32024775056c, 0x8e08ab38fe6740f8,
  0x80904316ef25d93b, 0xc8c1548ee3e609f1, 0x14306d2303775f64, 0x2adbacee9f12e206, 0x8400380a49bf5ff3,
  0x49039db9bd47adfd, 0x2bfcfdf0450a4890, 0xc54889f5c3e14431, 0x685ba4432ace5e99, 0xd01cf0994f454219,
  0xb0de579096df4d7f, 0xd3e120b5ff4dd660, 0xe86d1bdaa3949bed, 0xdb49dc72b1fd51fe, 0x339d61ee4492bf3c,
  0x1e56fe4a76b02cdd, 0x037a8f83660d7cf5, 0x91669d68450298ae, 0xa1d484d7d1859622, 0xb4428f7b39d5db8c,
  0xcf58d578d8ebd44b, 0xf4b3170908a04547, 0xac546c1132386f65, 0x2af9ddc5494b313f, 0xc2cdf81895af64fe,
  0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0xa18dca5a97e6db9c,
  0xd599bf83bb8d1607, 0x87138d2861539fa9, 0x7a615c9f80f9a3ed, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x0000000100073ead,
};

static const uint64_t ur_c32_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777783d150ff9231, 0xbbbab35369ebf377, 0x187c80778ffbbbbb, 0x234e05ee9ceebbf7, 0xa7f0ed6a9b419cae,
  0xdde49d6777ff0cd3, 0x3cbcc13e30120862, 0xc0ddd7d932305521, 0xa7c4b881850c1b48, 0x7e64a8fccae3d73b,
  0x7a8f787b0e5a3833, 0x8a14912092078dd3, 0x87c2886257f9fbe0, 0xab397a6715d713eb, 0xe5150865a096910c,
  0x5b7149ff4073c268, 0xf546e982c3795e42, 0x3949bedd3e12d35f, 0x2fd5194386d1bdaa, 0xc3cf383ee9d98fc6,
  0x1f097e21b0911759, 0x4c98b87300dd0ff5, 0x4795bf929dac2137, 0x80dea3e0d9835f3d, 0xa459a75a1140a62b,
  0x28752135f4616588, 0xed10a3dece7576e3, 0xf3d6355e363af512, 0x7d2cc5c242281151, 0xeb151b044c8e1bd9,
  0x8abe77715252cc4f, 0x70b37e06256bd93f, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x12637296a5f9b6e7, 0x3ab337f068fe3459, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f,
  0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x08008d3e68f5cf25,
};

static const uint64_t ur_c32_u2x8_uart0_dual_ee_hw[] = {
  0x7777783d146887e1, 0xbbbbbab1215abf37, 0xc3af9f693342dbbb, 0xf8d5e3c8feec0b7a, 0xc57b782d68fa01aa,
  0xc048218b77928cdd, 0x323055202c9304f8, 0x850c1b48c0ddd7d9, 0xccab773ba7c4b881, 0xd80cd9c376a64dbf,
  0x82481a5a9bd4731f, 0x895fe7ef82285244, 0x67190c4fae1f0a21, 0x65a0e9510cab397a, 0xff4073c2628b1508,
  0x0586f2bc84b6fd5f, 0x6e9f096fbff3ab73, 0x224368ded51ca4df, 0x9ea3cad7dcd56b47, 0x15d4af51f06cc182,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed, 0x9662e1211408a8f9,
  0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0xbb42202e8a792bf7, 0x0000000000000002,
};

// c32_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbc1e8a343e907, 0xdddd59a9b4f5f9bb, 0x8c3e403bc7fddddd, 0x11a702f74e775dfb, 0x79d6b3ebcda0ce57,
  0x10c5bbc93acee53a, 0xaa427979827c6024, 0x369181bbafb26460, 0xee774f8971030a18, 0x47066fcc951f9956,
  0xf1ba6f51ef0f61cb, 0x3f7c114292241240, 0xe27d70f8510c4aff, 0xd22195672f4ce2ba, 0x784d1ca2a10cb412,
  0x2bc84b6e293fe80e, 0x969aff3ab730586f, 0x8ded51ca4df6e9f0, 0xcc7e317ea8ca1c36, 0x911759c3cf2beb4e,
  0x747ff51f097e21b0, 0xd6109ba64c5c3b39, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08,
  0x3abb71943a909afa, 0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226,
  0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881,
  0xfcdb73863b7b1554, 0x539fa84e31b94b52, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f,
  0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x00000000ebaaea92,
};

// c32_u2x8_uart1_noled_pr
static const uint64_t ur_c32_u2x8_uart1_noled[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x51c742245533466e, 0x6188f1f60fbbba16, 0x5bbc9ddb1ec842f3,
  0x7e719827c602410c, 0xdba7c125f3fe0d06, 0x10f0da37b5472937, 0x20682fd47e80ef96, 0x596533df6b524389,
  0x7ced5fd1eb0e62c0, 0x679500ffd9823af4, 0xfb071f03cb3db1f6, 0x77e73936df8189dd, 0x26fcde01f50603bf,
  0xd102baa9cbca6c67, 0x55516961738c6f19, 0x2d4bf36c4922adec, 0x2068fe3458f386e5, 0xc33d30ae4fdd598f,
  0x3a4a5b387138cb25, 0x08be792bf734332c, 0x0000000000f9000b,
};

static const uint64_t ur_c32_u2x8_uart1_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0x7777557d9cad225b, 0xe3a1122a99a33777, 0xc478fb07dddd0b28, 0x793baf5cc4c2fa66,
  0xe3304f8c048218b7, 0xd3e092f9ffa20cfc, 0x786d1bdaa3949bed, 0x3417ea3f4077cb08, 0xb299efb5a921c490,
  0x76afe8f58731602c, 0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xf39c9b6fc0c4eefd, 0x7e6f00fa8301dfbb,
  0x815d54e5e5363393, 0xa8b4b0b9c6378ce8, 0xa5f9b6249156f62a, 0x0eee345912637296, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x955a59e4afdcd0cc,
  0x00000000003e4e9c,
};

// c32_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart1_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b1b112d, 0x75a14d971d867bbb, 0x60bfd4cd0775228d, 0xb336c4d15051bb06,
  0x3e30120862dde4ee, 0x1c3ffd1067d82cc1, 0xbdaa3949bedd3e09, 0xe449aad68e7186d1, 0x51f06cc1a63ea3ca,
  0x69d68450ef8afbaf, 0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab,
  0x1fadc37b2d973170, 0xbf600544a9a546c1, 0xeefce726dbf0313b, 0xe4df9bc03ea0c077, 0x3a20575539794d8c,
  0x8aaa2d2c2e718de3, 0xa5a97e6d892455bd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d,
  0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xe5565696792bf734, 0x00000000000004eb,
};

// c32_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart1_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f64e25b, 0x5a9c2f623ac86eee, 0x68c286deeee9b491, 0xf27751994e1a6529,
  0x3a609f180904316e, 0x9f048a2ffe8833ff, 0xc368ded51ca4df6e, 0x36d2771ee317eb10, 0x7e21b0911759c3cf,
  0x8b87ff81a3f51f09, 0x727a7b96757d64c9, 0x749490e2481eb3d4, 0xabfa3d61cc580a3e, 0xa01ffb33c75e8f9d,
  0x38f81e5adc3eccf2, 0x39c9b6fc0c4eefd8, 0xe6f00fa8301dfbbf, 0x15d54e5e53633937, 0x8b4b0b9c6378ce88,
  0xbf36c490c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xeb4b3c95fb9a1996, 0x0000000006ebb087,
};

// c32_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u2x8_uart1_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc68299c4b7, 0xb8da29bbd8e3bbbb, 0xa165955a6ec2f536, 0xe455f6277efa7725,
  0xc602410c5bbc9dd4, 0x6bff4419f19b9827, 0x6a8e526fb74f8241, 0x518bf547f3a1b46f, 0x8bace1e79b693b8e,
  0xe5fa8f84bf10d848, 0x841ef993170f494c, 0xd6bfa8f2bea253b5, 0x298ac27fa8f83660, 0x5962291669d68450,
  0x5dba711d484d7d18, 0x79d376ded1e0b39d, 0xe791871b1aaf1b1d, 0x0decb65cc5c24228, 0xce89534a8d822647,
  0xce4db7e062777ec2, 0x37807d4180efddf9, 0xaeaa72f29b19c9bf, 0x5a585ce31bc67440, 0xf9b624863b7b1554,
  0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0x5a59e4afdcd0ccb0, 0x0000000009f83f05,
};

static const uint64_t ur_c32_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeda1d1468d38b, 0xdddd55f358d8896e, 0xad0a6cb8ec33dddd, 0x05fea6683ba9146b, 0xea3329da528dd833,
  0x13e30120862dde4e, 0x91c3ffeb267d82cc, 0x1bdaa3949bedd3e0, 0xae449aad68e7186d, 0xf51f06cc1a63ea3c,
  0x669d68450ef8afba, 0x3484d7d185962291, 0x059cead2f38ae359, 0xb5d0ebce9bb6f68f, 0x0908a39e461c6c6a,
  0x11fadc37b2d97317, 0xbbf600544a9a546c, 0x7eefce726dbf0313, 0xce4df9bc03ea0c07, 0x33a20575539794d8,
  0xd8aaa2d2c2e718de, 0xca5a97e6d892455b, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xd045f453c95fb9a1, 0x000000000000016f,
};

// c32_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb43a28d12a8, 0xeeeeaaf1a0a6712d, 0xae368a6ef638eeee, 0x685965569bb0bd4d, 0xba75a356b3ee9dc9,
  0x04f8c048218b7793, 0x482d7ff5933e3373, 0x8ded51ca4df6e9f0, 0x71ca317ea8fe7436, 0x488bace1e795f5a7,
  0x99bffa8f84bf10d8, 0x6b083df3262e1f96, 0xc1ad7f51e57d44a7, 0xa0531584ff51f06c, 0x30b2c4522cd3ad08,
  0x3abb74e23a909afa, 0x3af3a6edbda3c167, 0x51cf230e36355e36, 0x8e1bd96cb98b8484, 0x859d12a6951b044c,
  0xf39c9b6fc0c4eefd, 0x7e6f00fa8301dfbb, 0x815d54e5e5363393, 0xa8b4b0b9c6378ce8, 0x4bf36c490c76f62a,
  0x854e7ea138c6e52d, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x0a29e4afdcd0ccb0, 0x0000000002809300,
};

// c32_u2x8_uart1_lednop_pr
static const uint64_t ur_c32_u2x8_uart1_lednop[] = {
  0xbbbbbb687acdfc4f, 0xeeeeeaafb385ee25, 0x26cfddf87f588eee, 0xc7eb4bf377764422, 0xde4eec2f5a3c7a09,
  0x0a4c13e30120862d, 0xd3e097c9ff06833e, 0x386d1bdaa3949bed, 0x3349ea393c77cb24, 0xee987ce92921c490,
  0x66be4720a731602d, 0x7dee39630475e2e7, 0x4db7e062777ec2b0, 0x4180efddf9e0404e, 0x9c94e804df9bcd91,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x70dca5a97e6db9c8, 0xab31e40d1fc68b1e, 0x1964b867a615c9fb,
  0x866587494b670e27, 0x00396117cf257ee6, 0x00000000000000f9,
};

static const uint64_t ur_c32_u2x8_uart1_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f671d7c4b, 0xc75a5097e68dbddd, 0x99fa5327bbba1651, 0xf2776a2f256a6b04,
  0xd6609f180904316e, 0x4f8252fbff4419f3, 0xe1b46f6a8e526fb7, 0xd05fa8f6b1df2c21, 0x94df241fa4871240,
  0xcb3d1a43398b0165, 0x500ffd9823af47ce, 0x0ad03cb3db416691, 0x13936df8189ddfb2, 0x6450603bf77e7810,
  0xd4a7253a0137e6f3, 0x718de33a2077ca9b, 0x722adec555169aba, 0x912637296a5f9b6e, 0xea75666fe0eee345,
  0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x0003e4d8f275a59e,
};

// c32_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart1_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b62f896, 0x5cd85a331da17bbb, 0xde3bf53341dd48a3, 0xa5387b2e33acd2cf,
  0x4f8c048218b7793b, 0x450fff4419fcad30, 0x6f6a8e526fb74f82, 0xb32a6ab5a39c61b4, 0xd47c1b30698fa8f2,
  0x34eb422877c561ef, 0xa426be8c2cb1148b, 0x68e756973d571ac9, 0xd743af3a6ed19232, 0x242282791bdab1aa,
  0x47eb70decb65cc5c, 0xdfb0021f667951b0, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x000000013ae60e55,
};

// c32_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0xbbbbaabf0b92112d, 0xb64da9933d067bbb, 0x6c20950f7774da48, 0x793bb939eb50569c,
  0x87304f8c048218b7, 0x4f82495bff4419f3, 0x61b46f6a8e526fb7, 0x9b693b80d18bf588, 0xbf10d8488bace1e7,
  0x170e9b73b7fa8f84, 0xfd24f72ceafac993, 0x116921c4903d67a8, 0xb3d1a43398b01531, 0x00ffd99e3af47cec,
  0x2b40f2d6e4166915, 0x4e4db7e062777ec8, 0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0x8931b94b52fcdb73, 0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627,
  0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x000dd7bc93ad2cf2,
};

// c32_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e340b0625b, 0xa66b8da5edc1dddd, 0xc202caad37617a9b, 0x3551786e75b1232e,
  0xf180904316ef2776, 0x8fffe8833e1a2609, 0xdaa3949bedd3e095, 0xd462fd51fce86d1b, 0x22eb3879e6da4ec9,
  0x83fea3e12fc43612, 0xc20f7cc98b87ca86, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30, 0x2cb1148b34eb4228,
  0xaedc7a8ea426be8c, 0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a, 0x663eccf2a3608991,
  0x2726dbf0313bbf61, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00013f12da569679,
};

static const uint64_t ur_c32_u2x8_uart1_lednop_ee_hw[] = {
  0x77776d0e8a34280b, 0xdddd55f35b17c4b7, 0xe6c2d198ed0bdddd, 0xf1dfa99a0eea451a, 0xbb939eb6b4e6967e,
  0x04f8c048218b7793, 0x2450fffac99fcad3, 0x46f6a8e526fb74f8, 0x2b32a6ab5a39c61b, 0xfd47c1b30698fa8f,
  0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923, 0xc242282791bdab1a,
  0x047eb70decb65cc5, 0xddfb0021f667951b, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x000000005bec117d,
};

// c32_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xeeeeda1d146824d6, 0x7775578d02c1896e, 0x99ae3697b7077777, 0x080b2ab4dd85ea6e, 0xbf6baef53ec48cbb,
  0x4f8c048218b7793b, 0xac7fffac99f0d130, 0xded51ca4df6e9f04, 0x4ea317ea8fe74368, 0x88bace1e795f5a76,
  0xc87fa8f84bf10d84, 0x5841ef993170fd66, 0x0d6bfa8f2beea53b, 0x0298af6ffa8f8366, 0x85962291669d6845,
  0xd5db8f51d484d7d1, 0xebce9bb4648c9a39, 0x413c8ded58d578d8, 0x386f65b2e62e1211, 0x2cc7d99e546c1132,
  0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc, 0x9c6378ce881df2a6, 0x3863b7b15545a6ae,
  0x84e31b94b52fcdb7, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x0005010e2fa8a792,
};

// c32_u2x8_uart1_dual_pr            c32_u2x8_uart1_dual_pr_u4
static const uint64_t ur_c32_u2x8_uart1_dual[] = {
  0xeeeeef07a24343ee, 0xbbbbbab0dbb0d7e6, 0xeec8dd41bd3adbbb, 0xb4d8b276eeed0b23, 0xf77577e4496a69e3,
  0x3e30120862dde4e2, 0xfb26460aa42544c1, 0x1030a18369181bba, 0xbf9956dd6774f897, 0xe4f61f38e121e62e,
  0x489049035f737a8e, 0x44312bfcfdf0450a, 0x2f4ce18f89f5c3e1, 0x50865a1f22219567, 0xc06ffa039e130f91,
  0xbacc161bcaf212db, 0x26fb74f82413ffe9, 0xf9626a1b46f6a8e5, 0x71240c43fa8f914e, 0xb01541e69c5efa48,
  0xf00676b591d7f398, 0x0e90d500ffd9823a, 0xc549549d03cb3db1, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0,
  0x026fcde6c8a0c077, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xd4bf36dce455bd8a, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xe0ab4b3c95fb9a19, 0x00000000000524e7,
};

// c32_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_c32_u2x8_uart1_dual_pr_ee[] = {
  0xeeeeef07a243359b, 0x77777756242b57e6, 0x5875f3ed26685b77, 0x5f1abc791fdd816f, 0xf0cc2987cd754035,
  0x120862dde4a33770, 0x8c15480b24c13e30, 0x4306d2303775f64c, 0xadbacee9f12e2061, 0x33670dda9936ff32,
  0x20696a6f51cc7f60, 0x7f9fbe08a1491209, 0x64313eb87c288625, 0x83a54432ace5e99c, 0x01cf098a2c542196,
  0x1bcaf212dbf57ffd, 0xf825beffe9bacc16, 0x1b46f6a8e526fb74, 0x1e56bee6ab5a3912, 0xa57a8f83660c14f5,
  0x91669d68450ef8ae, 0x973484d7d1859622, 0x1ef673ab4b994b8a, 0xd56ba1d7a8976885, 0x170908a04547cf58,
  0xd823f5b86f65f4b3, 0xbb8a9280427f58a8, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0xa5a97e6db9c8ab7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x4085d696792bf734,
  0x0000000000000056,
};

// c32_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_c32_u2x8_uart1_dual_pr_ce[] = {
  0xddddde0f448687e1, 0xeeeeead63ec5efcd, 0x2c45a8ed6badeeee, 0xe55ff6b7776e0c0b, 0xdc57b782eeda3e3a,
  0x8c048218b7792b05, 0x26460aa40523304f, 0x30a18369181bbafb, 0x9956dd6774f89710, 0xb0eaf3850fcdd3ff,
  0x82481ece9bd47383, 0x895fe7ef82285244, 0x672f0c4fae1f0a21, 0x65a0bed10cab397a, 0xff4073c260f71508,
  0x82c3795e425b7d37, 0x6e9f048a5ffd3759, 0x5f4368ded51ca4df, 0x9e6da4ed2b462fd6, 0x12fc4361222eb387,
  0x262e1eb7e007ea3e, 0x8e37e7b96757a973, 0x07ca4871240ea5fa, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0x0202726dbf0313bb, 0xde6c8a0c077eefcf, 0x537a94e4a74026fc,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8, 0x313ffbc3def28615,
  0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x0000003491e6dd69,
};

static const uint64_t ur_c32_u2x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeef07d41432db, 0xbbbbbab0dbc997e6, 0xaae2162afdf71bbb, 0x9bad32024775056c, 0x8e08ab38fe6740f8,
  0x80904316ef25d93b, 0xc8c1548ee3e609f1, 0x14306d2303775f64, 0x2adbacee9f12e206, 0x8400380a49bf5ff3,
  0x49039db9bd47adfd, 0x2bfcfdf0450a4890, 0xc54889f5c3e14431, 0x685ba4432ace5e99, 0xd01cf0994f454219,
  0xb0de579096df4d7f, 0xa7c120b5ff4dd660, 0xd0da37b5472937db, 0xb693b8e563faa3fd, 0x673ac3dc89257e79,
  0x3cadfc94ed6059ba, 0x06f51f06cc1af9ea, 0x22cd3ad08a05315c, 0x43a909afa30b2c45, 0x68851ef673abb719,
  0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f, 0x58a8d8226470decb, 0x55f3bb8a9296627f, 0x4db7e062777ec9fc,
  0x4180efddf9e0404e, 0x9c94e804df9bcd91, 0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386,
  0xb337f07771a2c0f4, 0xe271a50c2a73f53a, 0x4c2b93f01f347db0, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000002000e7d5a5,
};

static const uint64_t ur_c32_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0x777783d150ff9231, 0xbbbab35369ebf377, 0x187c80778ffbbbbb, 0x234e05ee9ceebbf7, 0xa7f0ed6a9b419cae,
  0xdde49d6777ff0cd3, 0x3cbcc13e30120862, 0xc0ddd7d932305521, 0xa7c4b881850c1b48, 0x7e64a8fccae3d73b,
  0x7a8f787b0e5a3833, 0x8a14912092078dd3, 0x87c2886257f9fbe0, 0xab397a6715d713eb, 0xe5150865a096910c,
  0x5b7149ff4073c268, 0xf546e982c3795e42, 0x72937dba7c12d35f, 0x5faa32870da37b54, 0x879e707dd3b31f8c,
  0x3e12fc4361222eb3, 0x993170e601ba1fea, 0x8f2b7f253b58426e, 0x01bd47c1b306be7a, 0x48b34eb422814c57,
  0x50ea426be8c2cb11, 0xda2147bd9ceaedc6, 0xe7ac6abc6c75ea25, 0xfa598b84845022a3, 0xd62a3608991c37b2,
  0x157ceee2a4a5989f, 0x936df8189ddfb27f, 0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x4c6e52d4bf36dce1, 0x5666fe0d1fc68b22, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0011a7cd1eb9e4af, 0x0000000000000001,
};

static const uint64_t ur_c32_u2x8_uart1_dual_ee_hw[] = {
  0x7777783d146887e1, 0xbbbbbab1215abf37, 0xc3af9f693342dbbb, 0xf8d5e3c8feec0b7a, 0xc57b782d68fa01aa,
  0xc048218b77928cdd, 0x323055202c9304f8, 0x850c1b48c0ddd7d9, 0xccab773ba7c4b881, 0xd80cd9c376a64dbf,
  0x82481a5a9bd4731f, 0x895fe7ef82285244, 0x67190c4fae1f0a21, 0x65a0e9510cab397a, 0xff4073c2628b1508,
  0x0586f2bc84b6fd5f, 0xdd3e096fbff3ab73, 0x4486d1bdaa3949be, 0x3d4795afb9aad68e, 0x2ba95ea3e0d98305,
  0x88a459a75a1143be, 0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da, 0x2cc5c242281151f3,
  0x2a3608fd6e1bd97d, 0x7ceee2a4a0109fd6, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0xbde50c2a73f509c6, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x684405d14f257ee6, 0x0000000000000057,
};

// c32_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbc1e8a343e907, 0xdddd59a9b4f5f9bb, 0x8c3e403bc7fddddd, 0x11a702f74e775dfb, 0x79d6b3ebcda0ce57,
  0x10c5bbc93acee53a, 0xaa427979827c6024, 0x369181bbafb26460, 0xee774f8971030a18, 0x47066fcc951f9956,
  0xf1ba6f51ef0f61cb, 0x3f7c114292241240, 0xe27d70f8510c4aff, 0xd22195672f4ce2ba, 0x784d1ca2a10cb412,
  0x2bc84b6e293fe80e, 0x969aff3ab730586f, 0x1bdaa3949bedd3e0, 0x98fc62fd5194386d, 0x222eb3879e57d69d,
  0xe8ffea3e12fc4361, 0xac21374c98b87672, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11,
  0x7576e328752135f4, 0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c,
  0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b,
  0x9b6e70c76f62aa8b, 0x73f509c637296a5f, 0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0x4f257ee686658749, 0x0000001d755d5251,
};

// c32_u2x12_uart0_noled_pr
static const uint64_t ur_c32_u2x12_uart0_noled[] = {
  0x776d0d783acdc49f, 0xddd55ce0b4244b77, 0x8a64d0e6bafddddd, 0xe2f56dddd3c19ee4, 0x3bb9892150d681af,
  0x304f8c048218b779, 0xc2510ffc1a0cfcdd, 0xa3949fcda9f55ba7, 0x3c77cb24386d1bda, 0xa921c4903349ea3f,
  0xce62c05bdd30df27, 0x823af173b3da478c, 0x4ad7b0aca2771cb1, 0x077ad79ce166fc0c, 0x6c670b79bc03ea0c,
  0x6f19d102baa9cbca, 0xadec55516961738c, 0x86e52d4bf36c4922, 0x598f2068fe3458f3, 0xcb25c33d30ae4fdd,
  0x332c3a4a5b387138, 0x153b08be792bf734, 0x00000000000003e4,
};

static const uint64_t ur_c32_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d78344861391, 0xbaab9c178fc4b777, 0xb79356ddb7bbbbbb, 0x23c1f777622244f8, 0x77420f2363f928c6,
  0x609f180904316ef2, 0xe12053ff4419fd2a, 0x51ca4fe6d4faadd3, 0xa03be5843c368ded, 0xd490e2481a0bf51f,
  0xc398b016594cf7da, 0x608ebd1f3b57f47a, 0xcf6c7d99e5403ff6, 0xf0312b5ec1c7c0f2, 0xa8301deb5e73859b,
  0x2f29b19c2de6f00f, 0xce31bc67440aeaa7, 0x248ab7b15545a585, 0xc8931b94b52fcdb1, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x0003e4f97e1ad2cf,
};

// c32_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0xeeaaf2200ce25bbb, 0x8121e3f469eeeeee, 0xa730987f75e475ec, 0xd1da34a3da199bb6,
  0x180904316ef2774d, 0x5ffe8833f812609f, 0x3f9b53eab74f848a, 0xd1ce30da37b54729, 0x34c7d4795c89355a,
  0x1df15f75ea3e0d98, 0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d,
  0x65b2e62e1211473c, 0x9534a8d823f5b86f, 0x59bf0312b5ec00a8, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777, 0xe627ff787bde50c2,
  0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874, 0x00000013ae6389ad,
};

// c32_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xeeaae8778544b777, 0xd3b1e334adeeeeee, 0x0b4171ddddf12f23, 0x4eec4e764f5deb32,
  0xcc13e30120862dde, 0xf09393ffd1067e43, 0xa8e527f36a7d56e9, 0xf718bf58861b46f6, 0x88bace1e79b693b8,
  0x0d1fa8f84bf10d84, 0xb3abeb264c5c3ffc, 0x1240f59ea393d3dc, 0x0e62c051f3a4a487, 0x9e3af47ced5fd1eb,
  0xd6e1f6679500ffd9, 0xf0312b5ec1c7c0f2, 0xa8301deb5e73859b, 0x2f29b19c2de6f00f, 0xce31bc67440aeaa7,
  0x4863b7b15545a585, 0x912637296a5f9b62, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0006ebcafc35a59e,
};

// c32_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8725896eee, 0x4d2c33d837bbbbbb, 0xb1c7c7f76c792062, 0x3aecce8be38f4ea0,
  0x02410c5bbc9dd2d4, 0xff4419fdda9827c6, 0x9b53eab74f848c7f, 0xf9d0da37b547293f, 0xcdb49dc728c5faa3,
  0x5f886c2445d670f3, 0x8b87a4a672fd47c2, 0x5f5129dac20f7cc9, 0xd47c1b306b5fd479, 0x34eb422814c5613f,
  0xa426be8c2cb1148b, 0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e,
  0x1895af616744a9a5, 0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7,
  0x931b94b52fcdb124, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x009f9ec4fad2cf25,
};

static const uint64_t ur_c32_u2x12_uart0_noled_ee_hw[] = {
  0xdb435e0d146851eb, 0x755791006712dddd, 0x090f1fa34f777777, 0x3984c3fbaf23af64, 0x273b2d7ad0ccddb5,
  0xf180904316ef2776, 0xa5fff5933f812609, 0x93f9b53eab74f848, 0xad1ce30da37b5472, 0x834c7d4795c89355,
  0xa1df15f75ea3e0d9, 0x30b2c4522cd3ad08, 0x5e715c6b26909afa, 0xd376ded1e0b39d5a, 0xc8c38d8d56ba1d79,
  0xf65b2e62e1211473, 0x89534a8d823f5b86, 0x859bf0312b5ec00a, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6,
  0xa585ce31bc67440a, 0xcdb1248ab7b15545, 0x39fa84e31b94b52f, 0x313ffbc3def28615, 0xec3347db0e3f8cbf,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x00000005be4134e8,
};

// c32_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart0_noled_ee_ce_hw[] = {
  0xdb435e0d1468bf3e, 0x7557790e4b12dddd, 0x9a5867b06f777777, 0x638f8feed8f240c4, 0x88b16f5dc71e9d41,
  0x8c048218b7793bb3, 0xffff5933fbb5304f, 0x7f36a7d56e9f0918, 0x47f3a1b46f6a8e52, 0x3cafad3b8e518bf5,
  0x25f886c2445d670f, 0x3170fcb4cdffd47c, 0x2bea253b5841ef99, 0xfa8f83660d6bfa8f, 0x669d68450298ac27,
  0xd484d7d185962291, 0xed1e0b39d5dba711, 0xb1aaf1b1d79d376d, 0xcc5c24228e791871, 0xa8d8226470decb65,
  0x0312b5ec2ce89534, 0x8301deb5e73859bf, 0xf29b19c2de6f00fa, 0xe31bc67440aeaa72, 0x863b7b15545a585c,
  0x9c637296a5f9b624, 0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x028091e9d514f257,
};

// c32_u2x12_uart0_lednop_pr
static const uint64_t ur_c32_u2x12_uart0_lednop[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x75089154cd19bbbb, 0x23c7d83eeee9e0cf, 0xf2776c7b210bcd86,
  0xc6609f180904316e, 0x4f8497cff83419f9, 0xb547293f9b53eab7, 0x7278ef964870da37, 0xd2524389206693d4,
  0x414e62c05bdd30f9, 0xc608ebc5cecd7c8e, 0x6256bd8560fbdc72, 0xd6bcf020270b37e0, 0x002de6f36450603b,
  0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb52fcdb739156f62, 0x81a3f8d163ce1b94, 0x0cf4c2b93f75663c,
  0xe9296ce1c4e32c97, 0x22f9e4afdcd0ccb0, 0x0000000003e4002c,
};

static const uint64_t ur_c32_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0be9625bbb, 0xfe2d83e971dddddd, 0xcf9beeeec44489e3, 0xd68bd39e9cbb1b64,
  0x27c602410c5bbc9d, 0x9201ffa20cf84f98, 0xe527f36a7d56e9f0, 0x1df2c21e1b46f6a8, 0x4871240d05fa8f6b,
  0x98b016594df241fa, 0x3af47cecb3d1a433, 0xb416691500ffd982, 0xc4ad7b20ad03cb3d, 0xad79e0404e166fc0,
  0x005bcde6c8a0c077, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0xbb55a59e4afdcd0c, 0x000000000007c9e8,
};

// c32_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x775579103f712ddd, 0xcd9005fb41777777, 0x2730987f75e475e0, 0x92be31338a85b4bb,
  0x180904316ef2775d, 0xf7fe8833fbee609f, 0x3f9b53eab74f8494, 0xd1ce30da37b54729, 0x34c7d4795995355a,
  0x3be2b0f7ea3e0d98, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d,
  0x65b2e62e1211413c, 0xb33ca8d823f5b86f, 0xb37e06256bd8010f, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0xab337f07771a2c89, 0x787bde50c2a73f53,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x09d73044ad2cf257,
};

// c32_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b41225bbb, 0x53d31b7a6ef77777, 0xcd8cc77777c4bc98, 0x3bb626c35450140c,
  0x304f8c048218b779, 0xc24e97ff4419f297, 0xa3949fcda9f55ba7, 0x3462fd62186d1bda, 0x22eb3879e6da4ee0,
  0xedfea3e12fc43612, 0x3abeb264c5c3a6dc, 0x240f59ea3f493dcb, 0xe62c054c445a4871, 0x8ebd1f3b2cf4690c,
  0xb9059a45403ff667, 0x0c4ad7b20ad03cb5, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2d4bf36dce18edec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x8d0eb4b3c95fb9a1, 0x000000000000375f,
};

// c32_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de425dc4b777, 0xa62685ea3bdddddd, 0x18e3e3fbb63c90e4, 0x2ad14eb9d70448d9,
  0x30120862dde4ee96, 0xcffd1067f4d4c13e, 0x7f36a7d56e9f097f, 0x47f3a1b46f6a8e52, 0xe79b693b27518bf5,
  0x84bf10d8488bace1, 0x262e1f2a1a0ffa8f, 0xe57dd4a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed,
  0x3a909afa30b2c452, 0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6,
  0xe06256bd8598fb33, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x296a5f9b6e70c76f, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x929ad5a59e4afdcd, 0x000000000000009f,
};

static const uint64_t ur_c32_u2x12_uart0_lednop_ee_hw[] = {
  0xeda1af068a343a31, 0xbaabc881fb896eee, 0x6c802fda0bbbbbbb, 0x3984c3fbaf23af06, 0xc4d86d01542da5d9,
  0xf180904316ef2776, 0x4f7ff5933fbee609, 0x93f9b53eab74f849, 0xad1ce30da37b5472, 0x834c7d4795995355,
  0x43be2b0f7ea3e0d9, 0x616588a459a75a11, 0xb9eab8d64d2135f4, 0xd3768c9193473ab4, 0xc8ded58d56ba1d79,
  0xf65b2e62e1211413, 0xfb33ca8d823f5b86, 0x0b37e06256bd8010, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xe31b94b52fcdb739, 0xc3def2861539fa84, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x05bf4134e8a792bf,
};

// c32_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart0_lednop_ee_ce_hw[] = {
  0xdb435e0d14684aa4, 0x755779097712dddd, 0x989a17a8ef777777, 0x638f8feed8f24392, 0x658bee7ddc112364,
  0x180904316ef27752, 0xe7ff5933fa6a609f, 0x3f9b53eab74f84bf, 0xa3f9d0da37b54729, 0x9e57d69d93a8c5fa,
  0x12fc4361222eb387, 0x4c5c3f59b21fea3e, 0xcafba94ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb,
  0x752135f4616588a4, 0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c,
  0xc0c4ad7b0b31f667, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x52d4bf36dce18ede, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0x6907a29e4afdcd0c, 0x000000000000280a,
};

// c32_u2x12_uart0_dual_pr           c32_u2x12_uart0_dual_pr_u4
static const uint64_t ur_c32_u2x12_uart0_dual[] = {
  0xbbc1f77d1218022f, 0xeeeac5c5b15f9bbb, 0xe2948cf6716eeeee, 0xdab13bbbb41571b4, 0x764c1f8cf8670eb1,
  0x30120862dde49fb7, 0x26460aa45c8cc13e, 0x30a18369181bbafb, 0x9956dd6774f89710, 0xb6121ce05d66287f,
  0x90490328b37a8ff3, 0x312bfcfdf0450a48, 0x4ce0cd89f5c3e144, 0x865a0be22195672f, 0xaffa039e133df150,
  0xcc161bcaf212dbd4, 0xaadd3e12eebfe9ba, 0x68ded51ca4fe6d4f, 0x7f51f229df2c4d43, 0xd38bdf490e248188,
  0xb23afe731602a83c, 0x1ffb30475e00ced6, 0xa07967b621d21aa0, 0x9fc55f3bb8a92a93, 0x013859bf0312b5ec,
  0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x164498dca5a97e6d,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00000a49ab82d696,
};

// c32_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart0_dual_pr_ee[] = {
  0x777783eefa2432db, 0xddddd5904aafbf37, 0xeb7bf69cb7bbdddd, 0x2c50bd71ee86eb0c, 0x822ac70b33a0b201,
  0x2410c5bbc989cee3, 0x3055219eb9827c60, 0x0c1b48c0ddd7d932, 0xb6eb3ba7c4b88185, 0xed1c136e69dbfcca,
  0x8185a9bd4719bd86, 0xfe7ef82285244824, 0x9284fae1f0a21895, 0x070d10cab397a672, 0x073c26727150865a,
  0x6f2bc84b6f43fff4, 0xf0969bffa6eb3058, 0xa8e527f36a7d56e9, 0xe6ab5a39121b46f6, 0x83660c14f51e56be,
  0x68450ef8aea57a8f, 0xd7d185962291669d, 0xab4b994b8a973484, 0xd7a89768851ef673, 0xa04547cf58d56ba1,
  0xb86f65f4b3170908, 0x80427f58a8d823f5, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e,
  0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xb8d164498dca5a97, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x696792bf734332c3,
  0x0000000001592055,
};

// c32_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart0_dual_pr_ce[] = {
  0x77783eefa243573e, 0xbbbab63b2afbf377, 0xed9f1d6db9dbbbbb, 0xeba4cdddd4761b93, 0xb8beecaefd653ad8,
  0x048218b77932eddc, 0x2305523ce5304f8c, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x50f9c3a7e6b1ffcc,
  0x481c729bd47eafd8, 0x5fe7ef8228524482, 0x39684fae1f0a2189, 0xa051510cab397a67, 0x4073c2631f150865,
  0xc3795e425b78adff, 0x4f84982ffd375982, 0xb547293f9b53eab7, 0x4ad18bf597d0da37, 0x488bace1e79b693b,
  0xf801fa8f84bf10d8, 0x59d5ea5cc98b87ad, 0x4903a97ea38df9ee, 0x398b014141f2921c, 0xe3af00676b591d7f,
  0x6e10e90d500ffd99, 0xe777152552740f2d, 0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x37296a5f9b6e70c7, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xd24bab75a59e4afd,
};

static const uint64_t ur_c32_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdde0fbbf5050cf68, 0xbbbab17126efcddd, 0xdf763afb913bbbbb, 0x795bb83ba3d8e76c, 0x4ebeaedd9ee01f55,
  0x862dde4b4e77347d, 0xa90e9d4c13e30120, 0xda4606eebec99182, 0x59dd3e25c40c2860, 0xe1faf31adfe655b7,
  0x6b737a8f00360290, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0xc886559cbd339dd6, 0xe136568a8432d0d9,
  0xaf212dbbfcffa039, 0x8c7ffe9bacc161bc, 0x293f9b53eab74f84, 0xfaa3fdd0da37b547, 0x257e79b693b8e563,
  0x6059ba673ac3dc89, 0x1af9ea3cadfc94ed, 0x05315c06f51f06cc, 0x0b2c4522cd3ad08a, 0xabb71943a909afa3,
  0xd7a89768851ef673, 0x408a8f9eb1aaf1b1, 0x70decbe9662e1211, 0x96627f58a8d82264, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x1a2c0f431b94b52f, 0xa73f53ab337f0777, 0xf347db0e271a50c2, 0x2c970cf4c2b93f01, 0xccb0e9296ce1c4e3,
  0x58ff5a59e4afdcd0, 0x0000000000000400,
};

static const uint64_t ur_c32_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff1107, 0xdd59e98ce5f9bbbb, 0xc2c2dbf57ddddddd, 0xd70ddba10ec5f225, 0xe1e906e3fcda6cdb,
  0xe4ce27737fb54e31, 0x5cc13e30120862dd, 0xddd7d9323055208f, 0xc4b881850c1b48c0, 0x6b91fccae3d73ba7,
  0x8fcb5b066f9c12a2, 0x1491209207d8337a, 0xc2886257f9fbe08a, 0x397a67061713eb87, 0x150865a016910cab,
  0xffafff4073c26383, 0x8dd30586f2bc84b6, 0x9f55ba7c24ff3fea, 0x86d1bdaa3949fcda, 0xe9d98fc62fd51943,
  0xb0911759c3cf383e, 0x00dd0ff51f097e21, 0x9dac21374c98b873, 0xd9835f3d4795bf92, 0x1140a62b80dea3e0,
  0xf4616588a459a75a, 0xce7576e328752135, 0x363af512ed10a3de, 0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2,
  0x5252cc4feb151b04, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0xa5f9b6e70c76f62a, 0x68fe345912637296, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0xe8f5cf257ee68665, 0x000000001000cbf0,
};

static const uint64_t ur_c32_u2x12_uart0_dual_ee_hw[] = {
  0xdde0fbbe8a34573e, 0x77756412abefcddd, 0xdefda72deef77777, 0x142f5c7ba1bac33a, 0xc5f766eb282c804b,
  0x2410c5bbc989cee5, 0x3055219eb9827c60, 0x0c1b48c0ddd7d932, 0xab773ba7c4b88185, 0x6ed1c136e69dbfcc,
  0x48185a9bd4719bd8, 0x5fe7ef8228524482, 0x29284fae1f0a2189, 0xa070d10cab397a67, 0x4073c26727150865,
  0x86f2bc84b6f43fff, 0x9f0969bff3ab7305, 0x6a8e527f36a7d56e, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0xb5ec9fc55f3bb8a9, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0x7e6db9c8ab7b1554, 0xa9cfd42718dca5a9, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x000000015da0a429,
};

// c32_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbbc1f77d1468ce4a, 0xddd59e98ce5f9bbb, 0x5c2c2dbf57dddddd, 0xbd70ddba10ec5f22, 0xacdf4afe3fcda6cd,
  0x04316ef26713bb98, 0x2a9047ae609f1809, 0x0da4606eebec9918, 0xbb9dd3e25c40c286, 0x7ce095135c8fe655,
  0x3ec19bd47e5ad833, 0xcfdf0450a4890490, 0xb89f5c3e144312bf, 0xb4886559cbd33830, 0x9e131c18a8432d00,
  0x95e425b7fd7ffa03, 0x49fe7f9d5b982c37, 0x7293f9b53eab74f8, 0x5faa32870da37b54, 0x70f3cafad3b31f8c,
  0x47c25f886c2445d6, 0xe993170ece5d1ffd, 0xa8f2b7f253b58426, 0x701bd47c1b306be7, 0x148b34eb422814c5,
  0x650ea426be8c2cb1, 0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b,
  0xf157ceee2a4a5989, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b,
  0xe18edec555169aba, 0x138c6e52d4bf36dc, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x00ebaa880ba29e4a,
};

// c32_u2x12_uart1_noled_pr
static const uint64_t ur_c32_u2x12_uart1_noled[] = {
  0x776d0d783acdc49f, 0xddd55ce0b4244b77, 0x8a64d0e6bafddddd, 0xe2f56dddd3c19ee4, 0x3bb9892150d681af,
  0x304f8c048218b779, 0x82510ffc1a0cfcdd, 0x47293f9b53eab74f, 0x78ef964870da37b5, 0x524389206693d47e,
  0x9cc580b7ba61be4f, 0x0475e2e767b48f19, 0x3bbf615944ee3963, 0x77eefce726dbf031, 0x8ce4df9bc03ea0c0,
  0xe33a20575539794d, 0xbd8aaa2d2c2e718d, 0xdca5a97e6d892455, 0x31e40d1fc68b1e70, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xa76117cf257ee686, 0x0000000000007c82,
};

static const uint64_t ur_c32_u2x12_uart1_noled_pr_u4[] = {
  0x76d0d78344861391, 0xbaab9c178fc4b777, 0xb79356ddb7bbbbbb, 0x23c1f777622244f8, 0x77420f2363f928c6,
  0x609f180904316ef2, 0xc12053ff4419fd2a, 0xa3949fcda9f55ba7, 0x4077cb08786d1bda, 0xa921c4903417ea3f,
  0x8731602cb299efb5, 0xc11d7a3e76afe8f5, 0x9ed8fb33ca807fec, 0xc0c4eefd838f81e5, 0x8301dfbbf39c9b6f,
  0xe53633937e6f00fa, 0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0x12637296a5f9b624, 0xa75666fe0eee3459,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x007c9f2fc35a59e4,
};

// c32_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0xeeaaf2200ce25bbb, 0x8121e3f469eeeeee, 0xa730987f75e475ec, 0xd1da34a3da199bb6,
  0x180904316ef2774d, 0x5ffe8833f812609f, 0x7f36a7d56e9f048a, 0xa39c61b46f6a8e52, 0x698fa8f2b9126ab5,
  0x3be2beebd47c1b30, 0x16588a459a75a114, 0xce2b8d64d2135f46, 0x6edbda3c1673ab4b, 0x1871b1aad743af3a,
  0xcb65cc5c24228e79, 0x2a6951b047eb70de, 0xb6fc0c4eefd80151, 0x0fa8301dfbbf39c9, 0x4e5e53633937e6f0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854,
  0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000275cc7135a5,
};

// c32_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart1_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xeeaae8778544b777, 0xd3b1e334adeeeeee, 0x0b4171ddddf12f23, 0x4eec4e764f5deb32,
  0xcc13e30120862dde, 0xe09393ffd1067e43, 0x51ca4fe6d4faadd3, 0xee317eb10c368ded, 0x11759c3cf36d2771,
  0x1a3f51f097e21b09, 0x6757d64c98b87ff8, 0x2481eb3d4727a7b9, 0x1cc580a3e749490e, 0x3c75e8f9dabfa3d6,
  0xadc3eccf2a01ffb3, 0xc0c4eefd838f81e5, 0x8301dfbbf39c9b6f, 0xe53633937e6f00fa, 0xc6378ce8815d54e5,
  0x0c76f62aa8b4b0b9, 0x24c6e52d4bf36c49, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00dd795f86b4b3c9,
};

// c32_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c32_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8725896eee, 0x4d2c33d837bbbbbb, 0xb1c7c7f76c792062, 0x3aecce8be38f4ea0,
  0x02410c5bbc9dd2d4, 0xff4419fdda9827c6, 0x36a7d56e9f048c7f, 0xf3a1b46f6a8e527f, 0x9b693b8e518bf547,
  0xbf10d8488bace1e7, 0x170f494ce5fa8f84, 0xbea253b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298ac27f,
  0x484d7d1859622916, 0xd1e0b39d5dba711d, 0x1aaf1b1d79d376de, 0xc5c24228e791871b, 0x8d8226470decb65c,
  0x62777ec2ce89534a, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3,
  0x637296a5f9b62486, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x13f3d89f5a59e4af,
};

static const uint64_t ur_c32_u2x12_uart1_noled_ee_hw[] = {
  0xdb435e0d146851eb, 0x755791006712dddd, 0x090f1fa34f777777, 0x3984c3fbaf23af64, 0x273b2d7ad0ccddb5,
  0xf180904316ef2776, 0xa5fff5933f812609, 0x27f36a7d56e9f048, 0x5a39c61b46f6a8e5, 0x0698fa8f2b9126ab,
  0x43be2beebd47c1b3, 0x616588a459a75a11, 0xbce2b8d64d2135f4, 0xa6edbda3c1673ab4, 0x91871b1aad743af3,
  0xecb65cc5c24228e7, 0x12a6951b047eb70d, 0x9b6fc0c4eefd8015, 0x00fa8301dfbbf39c, 0x54e5e53633937e6f,
  0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0x3f509c637296a5f9, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x000000b7c8269d14,
};

// c32_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d1468bf3e, 0x7557790e4b12dddd, 0x9a5867b06f777777, 0x638f8feed8f240c4, 0x88b16f5dc71e9d41,
  0x8c048218b7793bb3, 0xffff5933fbb5304f, 0xfe6d4faadd3e0918, 0x8fe74368ded51ca4, 0x795f5a771ca317ea,
  0x4bf10d8488bace1e, 0x62e1f9699bffa8f8, 0x57d44a76b083df32, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f,
  0xa909afa30b2c4522, 0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb,
  0x0c4eefd859d12a69, 0x301dfbbf39c9b6fc, 0x53633937e6f00fa8, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c,
  0x8c6e52d4bf36c490, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x50123d3aa29e4afd,
};

// c32_u2x12_uart1_lednop_pr
static const uint64_t ur_c32_u2x12_uart1_lednop[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x75089154cd19bbbb, 0x23c7d83eeee9e0cf, 0xf2776c7b210bcd86,
  0xc6609f180904316e, 0x9f0497cff83419f9, 0x6a8e527f36a7d56e, 0xe4f1df2c90e1b46f, 0xa4a4871240cd27a8,
  0x829cc580b7ba61f3, 0x8c11d78b9d9af91c, 0x89ddfb0ac1f7b8e5, 0x77e781013936df81, 0x137e6f36450603bf,
  0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x347f1a2c79c37296, 0x9e985727eeacc790,
  0x252d9c389c6592e1, 0x5f3c95fb9a19961d, 0x000000007c800584,
};

static const uint64_t ur_c32_u2x12_uart1_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0be9625bbb, 0xfe2d83e971dddddd, 0xcf9beeeec44489e3, 0xd68bd39e9cbb1b64,
  0x27c602410c5bbc9d, 0x9201ffa20cf84f98, 0xca4fe6d4faadd3e0, 0x3be5843c368ded51, 0x90e2481a0bf51ed6,
  0x31602cb29be483f4, 0x75e8f9d967a34867, 0x682cd22a01ffb304, 0x13bbf6415a07967b, 0xefcf0202726dbf03,
  0x26fcde6c8a0c077e, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x4bf36dce455bd8aa, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x6ab4b3c95fb9a199, 0x0000000000f93d17,
};

// c32_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x775579103f712ddd, 0xcd9005fb41777777, 0x2730987f75e475e0, 0x92be31338a85b4bb,
  0x180904316ef2775d, 0xf7fe8833fbee609f, 0x7f36a7d56e9f0494, 0xa39c61b46f6a8e52, 0x698fa8f2b32a6ab5,
  0x77c561efd47c1b30, 0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0x6ed1923268e75697, 0x1bdab1aad743af3a,
  0xcb65cc5c24228279, 0x667951b047eb70de, 0x6df8189ddfb0021f, 0x603bf77e78101393, 0x253a0137e6f36450,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3ae60895a59e4afd,
  0x0000000000000001,
};

// c32_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b41225bbb, 0x53d31b7a6ef77777, 0xcd8cc77777c4bc98, 0x3bb626c35450140c,
  0x304f8c048218b779, 0x824e97ff4419f297, 0x47293f9b53eab74f, 0x68c5fac430da37b5, 0x45d670f3cdb49dc0,
  0xdbfd47c25f886c24, 0x757d64c98b874db9, 0x481eb3d47e927b96, 0xcc580a9888b490e2, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x313bbf6415a0796b, 0xeefcf0202726dbf0, 0x026fcde6c8a0c077, 0x40ef9537a94e4a74,
  0xaa2d3574e31bc674, 0xa97e6db9c31dbd8a, 0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xa1d696792bf73433, 0x000000000006ebf1,
};

// c32_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de425dc4b777, 0xa62685ea3bdddddd, 0x18e3e3fbb63c90e4, 0x2ad14eb9d70448d9,
  0x30120862dde4ee96, 0xcffd1067f4d4c13e, 0xfe6d4faadd3e097f, 0x8fe74368ded51ca4, 0xcf36d2764ea317ea,
  0x097e21b0911759c3, 0x4c5c3e54341ff51f, 0xcafba94ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62bdb,
  0x752135f4616588a4, 0x1923268e7576e3d4, 0x56355e363af3a6ed, 0xb98b8484504f237b, 0x951b044c8e1bd96c,
  0x8189ddfb0b31f667, 0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x535ab4b3c95fb9a1, 0x00000000000013f2,
};

static const uint64_t ur_c32_u2x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a343a31, 0xbaabc881fb896eee, 0x6c802fda0bbbbbbb, 0x3984c3fbaf23af06, 0xc4d86d01542da5d9,
  0xf180904316ef2776, 0x4f7ff5933fbee609, 0x27f36a7d56e9f049, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab,
  0x877c561efd47c1b3, 0xc2cb1148b34eb422, 0x73d571ac9a426be8, 0xa6ed1923268e7569, 0x91bdab1aad743af3,
  0xecb65cc5c2422827, 0xf667951b047eb70d, 0x36df8189ddfb0021, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x7bde50c2a73f509c, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xb7e8269d14f257ee, 0x0000000000000000,
};

// c32_u2x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d14684aa4, 0x755779097712dddd, 0x989a17a8ef777777, 0x638f8feed8f24392, 0x658bee7ddc112364,
  0x180904316ef27752, 0xe7ff5933fa6a609f, 0x7f36a7d56e9f04bf, 0x47f3a1b46f6a8e52, 0x3cafad3b27518bf5,
  0x25f886c2445d670f, 0x98b87eb3643fd47c, 0x95f7529dac20f7cc, 0xfd47c1b306b5fd47, 0xb34eb422814c57b7,
  0xea426be8c2cb1148, 0x32464d1ceaedc7a8, 0xac6abc6c75e74dda, 0x73170908a09e46f6, 0x2a3608991c37b2d9,
  0x0313bbf61663eccf, 0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7, 0xaaa2d3574e31bc67,
  0x5a97e6db9c31dbd8, 0x430a9cfd42718dca, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0x20f453c95fb9a199, 0x000000000005014d,
};

// c32_u2x12_uart1_dual_pr           c32_u2x12_uart1_dual_pr_u4
static const uint64_t ur_c32_u2x12_uart1_dual[] = {
  0xbbc1f77d1218022f, 0xeeeac5c5b15f9bbb, 0xe2948cf6716eeeee, 0xdab13bbbb41571b4, 0x764c1f8cf8670eb1,
  0x30120862dde49fb7, 0x26460aa45c8cc13e, 0x30a18369181bbafb, 0x9956dd6774f89710, 0xb6121ce05d66287f,
  0x90490328b37a8ff3, 0x312bfcfdf0450a48, 0x4ce0cd89f5c3e144, 0x865a0be22195672f, 0xaffa039e133df150,
  0xcc161bcaf212dbd4, 0x55ba7c12eebfe9ba, 0xd1bdaa3949fcda9f, 0xfea3e453be589a86, 0xa717be921c490310,
  0x6475fce62c055079, 0x3ff6608ebc019dad, 0x40f2cf6c43a43540, 0x3f8abe7771525527, 0x09c9b6fc0c4eefd9,
  0xb228301dfbbf3c08, 0xea53929d009bf379, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x00014935705ad2cf,
};

// c32_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_c32_u2x12_uart1_dual_pr_ee[] = {
  0x777783eefa2432db, 0xddddd5904aafbf37, 0xeb7bf69cb7bbdddd, 0x2c50bd71ee86eb0c, 0x822ac70b33a0b201,
  0x2410c5bbc989cee3, 0x3055219eb9827c60, 0x0c1b48c0ddd7d932, 0xb6eb3ba7c4b88185, 0xed1c136e69dbfcca,
  0x8185a9bd4719bd86, 0xfe7ef82285244824, 0x9284fae1f0a21895, 0x070d10cab397a672, 0x073c26727150865a,
  0x6f2bc84b6f43fff4, 0xe0969bffa6eb3058, 0x51ca4fe6d4faadd3, 0xcd56b47224368ded, 0x06cc1829ea3cad7d,
  0xd08a1df15d4af51f, 0xafa30b2c4522cd3a, 0x56973297152e6909, 0xaf512ed10a3dece7, 0x408a8f9eb1aad743,
  0x70decbe9662e1211, 0x0084feb151b047eb, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3,
  0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x000000002b240aad,
};

// c32_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_c32_u2x12_uart1_dual_pr_ce[] = {
  0x77783eefa243573e, 0xbbbab63b2afbf377, 0xed9f1d6db9dbbbbb, 0xeba4cdddd4761b93, 0xb8beecaefd653ad8,
  0x048218b77932eddc, 0x2305523ce5304f8c, 0x50c1b48c0ddd7d93, 0xab6eb3ba7c4b8818, 0x50f9c3a7e6b1ffcc,
  0x481c729bd47eafd8, 0x5fe7ef8228524482, 0x39684fae1f0a2189, 0xa051510cab397a67, 0x4073c2631f150865,
  0xc3795e425b78adff, 0x9f04982ffd375982, 0x6a8e527f36a7d56e, 0x95a317eb2fa1b46f, 0x911759c3cf36d276,
  0xf003f51f097e21b0, 0xb3abd4b993170f5b, 0x920752fd471bf3dc, 0x7316028283e52438, 0xc75e00ced6b23afe,
  0xdc21d21aa01ffb33, 0xceee2a4aa4e81e5a, 0xdf8189ddfb27f157, 0x03bf77e781013936, 0x53a0137e6f364506,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0xe52d4bf36dce18ed, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x49756eb4b3c95fb9,
  0x000000000000001a,
};

static const uint64_t ur_c32_u2x12_uart1_dual_pr_ee_ce[] = {
  0xdde0fbbf5050cf68, 0xbbbab17126efcddd, 0xdf763afb913bbbbb, 0x795bb83ba3d8e76c, 0x4ebeaedd9ee01f55,
  0x862dde4b4e77347d, 0xa90e9d4c13e30120, 0xda4606eebec99182, 0x59dd3e25c40c2860, 0xe1faf31adfe655b7,
  0x6b737a8f00360290, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0xc886559cbd339dd6, 0xe136568a8432d0d9,
  0xaf212dbbfcffa039, 0x8c7ffe9bacc161bc, 0x527f36a7d56e9f04, 0xf547fba1b46f6a8e, 0x4afcf36d2771cac7,
  0xc0b374ce7587b912, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114, 0x576e328752135f46,
  0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8, 0xfd93f8abe7771525,
  0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x4581e8637296a5f9, 0xe7ea75666fe0eee3, 0x68fb61c4e34a1854, 0x92e19e985727e03e, 0x961d252d9c389c65,
  0x1feb4b3c95fb9a19, 0x000000000000800b,
};

static const uint64_t ur_c32_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff1107, 0xdd59e98ce5f9bbbb, 0xc2c2dbf57ddddddd, 0xd70ddba10ec5f225, 0xe1e906e3fcda6cdb,
  0xe4ce27737fb54e31, 0x5cc13e30120862dd, 0xddd7d9323055208f, 0xc4b881850c1b48c0, 0x6b91fccae3d73ba7,
  0x8fcb5b066f9c12a2, 0x1491209207d8337a, 0xc2886257f9fbe08a, 0x397a67061713eb87, 0x150865a016910cab,
  0xffafff4073c26383, 0x8dd30586f2bc84b6, 0x3eab74f824ff3fea, 0x0da37b547293f9b5, 0xd3b31f8c5faa3287,
  0x61222eb3879e707d, 0x01ba1fea3e12fc43, 0x3b58426e993170e6, 0xb306be7a8f2b7f25, 0x22814c5701bd47c1,
  0xe8c2cb1148b34eb4, 0x9ceaedc650ea426b, 0x6c75ea25da2147bd, 0x845022a3e7ac6abc, 0x991c37b2fa598b84,
  0xa4a5989fd62a3608, 0x9ddfb27f157ceee2, 0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01,
  0x169aba718de33a20, 0xbf36dce18edec555, 0x1fc68b224c6e52d4, 0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x1eb9e4afdcd0ccb0, 0x0000000200197e1d,
};

static const uint64_t ur_c32_u2x12_uart1_dual_ee_hw[] = {
  0xdde0fbbe8a34573e, 0x77756412abefcddd, 0xdefda72deef77777, 0x142f5c7ba1bac33a, 0xc5f766eb282c804b,
  0x2410c5bbc989cee5, 0x3055219eb9827c60, 0x0c1b48c0ddd7d932, 0xab773ba7c4b88185, 0x6ed1c136e69dbfcc,
  0x48185a9bd4719bd8, 0x5fe7ef8228524482, 0x29284fae1f0a2189, 0xa070d10cab397a67, 0x4073c26727150865,
  0x86f2bc84b6f43fff, 0x3e0969bff3ab7305, 0xd51ca4fe6d4faadd, 0xdcd56b47224368de, 0xf06cc1829ea3cad7,
  0xad08a1df15d4af51, 0x9afa30b2c4522cd3, 0x756973297152e690, 0x3af512ed10a3dece, 0x1408a8f9eb1aad74,
  0xb70decbe9662e121, 0x50084feb151b047e, 0xefd93f8abe777152, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf,
  0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x39fa84e31b94b52f, 0x313ffbc3def28615,
  0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xa792bf734332c3a4, 0x0000002bb4148528,
};

// c32_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c32_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbbc1f77d1468ce4a, 0xddd59e98ce5f9bbb, 0x5c2c2dbf57dddddd, 0xbd70ddba10ec5f22, 0xacdf4afe3fcda6cd,
  0x04316ef26713bb98, 0x2a9047ae609f1809, 0x0da4606eebec9918, 0xbb9dd3e25c40c286, 0x7ce095135c8fe655,
  0x3ec19bd47e5ad833, 0xcfdf0450a4890490, 0xb89f5c3e144312bf, 0xb4886559cbd33830, 0x9e131c18a8432d00,
  0x95e425b7fd7ffa03, 0x49fe7f9d5b982c37, 0xe527f36a7d56e9f0, 0xbf54650e1b46f6a8, 0xe1e795f5a7663f18,
  0x8f84bf10d8488bac, 0xd3262e1d9cba3ffa, 0x51e56fe4a76b084d, 0xe037a8f83660d7cf, 0x291669d68450298a,
  0xca1d484d7d185962, 0xbb4428f7b39d5db8, 0x7cf58d578d8ebd44, 0x5f4b3170908a0454, 0xfac546c1132386f6,
  0xe2af9ddc5494b313, 0x726dbf0313bbf64f, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0x718dca5a97e6db9c, 0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x1d7551017453c95f,
};

static const uint64_t ur_c32_swio10_noled[] = {
  0x444ddddddd66ef3a, 0x13d6eed55c8a0c89, 0x13b50f7438a38c61, 0x417f43bd04ebeb4f, 0x9ac8401b6d22eec4,
  0x904316ef277417a0, 0x83419f912609f180, 0xc4ef9626a5074aff, 0x52438920621fd474, 0x8e62c05bdd375192,
  0xc11d78b9d86fa327, 0x2e556a56135b8e58, 0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x6954bef5f4887359,
  0xb5d73daad115e588, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b, 0xae4fcfec37296a5f,
  0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00002a4faf08be79,
};

// c32_swio10_noled_pr_u4
static const uint64_t ur_c32_swio10_noled_pr[] = {
  0x8e3dddddda243762, 0xf05ddaab9142e312, 0x2ed8fdd530389b04, 0xe82cd6f0bdb7e952, 0x23b85fe3fc5eec71,
  0x62dde4eed3346682, 0x67e3dcc13e301208, 0xf96116507baffd10, 0x1c490327bd479b8e, 0x1602cb298ca9c692,
  0xd7a3e767bd1dac73, 0xdc359ea807fecc11, 0x5caad556a81e59ed, 0xa8d7738ce6283b5e, 0x95daa5beace75152,
  0xd2a97debe910e6b3, 0x6bae7b55a22bcb10, 0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0x36c8122adec55516,
  0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f,
  0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x00000007c9a566eb,
};

// c32_swio10_noled_pr_ee_u4
static const uint64_t ur_c32_swio10_noled_pr_ee[] = {
  0x35f777776890c044, 0x93776aafc2f41624, 0x4de9a5dd2e2339b9, 0x6bd686d7a51a67ed, 0x86d16a2b2020da08,
  0xb7793ba829394bb0, 0xf1ad304f8c048218, 0x38f7283a6fff4419, 0xf5f51e5670e6ab5a, 0xf8acbafa8f83660c,
  0x962291669d68450e, 0x72e3593484d7d185, 0xb6948e2139d5a5ff, 0x116c6ab5d0ebce9b, 0x6cb98b84845098a3,
  0xbfaa3608fd6e1bd9, 0x83b5e5caad40226a, 0x75152a8d7738ce62, 0x0e6b395daa5beace, 0xbcb10d2a97debe91,
  0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x2d4bf36c8122adec, 0xfc1ddc68b224c6e5,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0x015ab4b3c95fb9a1, 0x00000000000013ae,
};

// c32_swio10_noled_pr_ce_u4
static const uint64_t ur_c32_swio10_noled_pr_ce[] = {
  0x22eeeeeed121be4a, 0x6776aafd608ddc49, 0xf5ebeeb11f177e3f, 0xf374385ecada090b, 0xd5f0d3866f4f7522,
  0x62dde4ee94a3adf4, 0x67e574c13e301208, 0x7ebd44a0b05ffd10, 0x9c3cf36d276a7a31, 0x51f097e21b091175,
  0x593262e1ef0f96bf, 0x0bf51f249ee59d5f, 0x0bdd029490e2481e, 0x8f9d9ef476b1cc58, 0xd67aa01ffb33c75e,
  0xaad556a81e5add70, 0xd7738ce6283b5e5c, 0xdaa5beace75152a8, 0xa97debe910e6b395, 0xae7b55a22bcb10d2,
  0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0x90218edec5551696, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000006ebb7c15696,
};

// c32_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_c32_swio10_noled_pr_ee_ce[] = {
  0x9bdddddda2436812, 0x1bbb557382a3b892, 0x5d667ba6ed90cc6a, 0x764f6da0906e5db4, 0xb13938c491073753,
  0xbc9dddfb0b00a4d7, 0xbb9827c602410c5b, 0x5d282ff3ff4419f6, 0xdb49dbfc8c5faa39, 0xf886c2445d670f3c,
  0xc38523e72fd47c25, 0xa594ed6107be64c5, 0x3e0d983403d4795b, 0x75a1140a62b90fea, 0x135f4616588a459a,
  0x7109ceaeddfb8752, 0xabc6c75e74ddb4a4, 0xb84845098a3116c6, 0xb044c8e1bd96cb98, 0x2e556a599355fd51,
  0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x6954bef5f4887359, 0xb5d73daad115e588, 0x77536294f0d3bcf8,
  0x4b689c6378ce8810, 0x36c810c76f62aa8b, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x000000009f9f67ab,
};

static const uint64_t ur_c32_swio10_noled_ee_hw[] = {
  0xafbbbbbb451a3e4a, 0x9bbb557e17a0b121, 0x6f4d2ee97119cdcc, 0x5eb436bd28d33f6a, 0xe68b51590106d043,
  0x8b7793ba528eb6ab, 0x9f1ad304f8c04821, 0xa38f7283a6fffac9, 0xcf5f51e5670e6ab5, 0xef8acbafa8f83660,
  0x5962291669d68450, 0xf72e3593484d7d18, 0xbb6948e2139d5a5f, 0x3116c6ab5d0ebce9, 0x96cb98b84845098a,
  0xabfaa3608fd6e1bd, 0x283b5e5caad40226, 0xe75152a8d7738ce6, 0x10e6b395daa5beac, 0x2bcb10d2a97debe9,
  0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x52d4bf36c8122ade, 0xca1854e7ea138c6e,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x34d6a29e4afdcd0c,
  0x00000000000005bf,
};

// c32_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_c32_swio10_noled_ee_ce_hw[] = {
  0xdeeeeeed14683d5b, 0xdddaab9c151dc494, 0xeb33dd376c866350, 0xb27b6d048372eda2, 0x89c9c6248839ba9b,
  0xdde4eeb3e75bdad5, 0xb5dcc13e30120862, 0xcae9417f9ffd64cf, 0x2beb4edfe462fd51, 0x7e21b0911759c3cf,
  0xb87ba1baa3f51f09, 0x74b29dac20f7cc98, 0x47c1b306807a8f2b, 0x4eb422814c5721fd, 0x426be8c2cb1148b3,
  0x8e2139d5dbbf70ea, 0xd578d8ebce9bb694, 0x170908a1314622d8, 0x3608991c37b2d973, 0xe5caad4b326abfaa,
  0x2a8d7738ce6283b5, 0x395daa5beace7515, 0x0d2a97debe910e6b, 0x16bae7b55a22bcb1, 0x0eea6c529e1a779f,
  0x696d138c6f19d102, 0xe6d90218edec5551, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x0000000280a75494,
};

static const uint64_t ur_c32_swio10_lednop[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab914f1712, 0x7a5c7750e2448c22, 0x882fe877a0b5e432, 0x46a0836c998d7dd8,
  0x2410c5bbc9dd85eb, 0xe0d067dfc9827c60, 0xe43be589a94132bf, 0xf490e2481887f51f, 0x0398b016f74c7abd,
  0x1823af173b5ac8fa, 0xe5caad4ace7b71cb, 0x2a8d7738ce6283b5, 0x395daa5beace7515, 0xd5d2fe910e6b8101,
  0xe7b55a22bcb10d2a, 0x6165362ce80f3f5a, 0xff14085a6ae757a9, 0xcdb4e31bc67440d8, 0x5727e7f61b94b52f,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00000a9075845f3c,
};

// c32_swio10_lednop_pr_u4
static const uint64_t ur_c32_swio10_lednop_pr[] = {
  0xc7bbbbbb4486c056, 0x05ddaab914cc6251, 0x35e9eeeac871b04f, 0xa0b35bc2cb8edba1, 0x645a982fe3fbb1c7,
  0x16ef277560e4e2b6, 0x3f01a609f1809043, 0x961165043dffe883, 0xc490327bd479c4ef, 0xc05965318f3d6921,
  0xe8f9dbe44707ce62, 0xf7d02a01ffb30475, 0xcaad605681e59ede, 0x8d7738ce6283b5e5, 0x5daa5beace75152a,
  0xd2fe910e6b810139, 0xb55a22bcb10d2ad5, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x98dca5a97e6d9764, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x1f262bf0d696792b,
};

// c32_swio10_lednop_pr_ee_u4
static const uint64_t ur_c32_swio10_lednop_pr_ee[] = {
  0x35f777776890d2a8, 0x93776aafc2f64624, 0x46989ddf1fb6f9b9, 0x5eb436bd2d051a6b, 0xcb8c8f833106d043,
  0x7793ba75a3541b67, 0xd5f304f8c048218b, 0x1ee506397fe8833f, 0xbea3caca1cd56b47, 0x15b05f51f06cc19e,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x13d1af873ab4bfce, 0xfb1aad743af3a6ec, 0x5cc5c24228c9118d,
  0xd51b047eb70decb6, 0xb5e5caad402b86b3, 0x152a8d7738ce6283, 0x01395daa5beace75, 0x2ad5d2fe910e6b81,
  0xbae7b55a22bcb10d, 0x417296be74078e56, 0x14e31bc67440842a, 0x976455bd8aaa2d24, 0x164498dca5a97e6d,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x000004eb9ac15696,
};

// c32_swio10_lednop_pr_ce_u4
static const uint64_t ur_c32_swio10_lednop_pr_ce[] = {
  0x22eeeeeed121af43, 0x6776aafd609a5c49, 0x4f6a2ee8c1af7e3f, 0x5e6e870bd9bb2b6d, 0x4765505a17856ea4,
  0x862dde4eeb4efb5e, 0x067f4dcc13e30120, 0x17ebd44a0e56ffd1, 0x59c3cf36d2772ba3, 0xf51f097e21b09117,
  0xf593262e1d9f3acf, 0xe0bf51c149ee59d5, 0x0143da01490e2481, 0xa3e76f911c1f398b, 0xdf40a807feccf1d7,
  0xcaad605681e5addb, 0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0xd2fe910e6b810139, 0xb55a22bcb10d2ad5,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x31b94b52fcdb2ec3, 0xab337f07771a2c89,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x0dd727e1ad2cf257,
};

// c32_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_swio10_lednop_pr_ee_ce[] = {
  0x9bdddddda243704a, 0x1bbb557382991892, 0x7a53b761995bcc6a, 0xec9edb4111dc1b5c, 0x1ba05f25220e6ea6,
  0xe4eebadd713b55de, 0x24c13e30120862dd, 0xe941adfffd1067c5, 0xb49dd6fc62fd51ca, 0x886c2445d670f3cd,
  0x7185ddbbfd47c25f, 0xb29dac20f7cc98b8, 0xc1b306807a8f2b2e, 0xb422814c5652fd47, 0x6be8c2cb1148b34e,
  0x7c39d5dbbe70ea42, 0xf1b1d79d37609e8d, 0x24228c9118dfb1aa, 0x226470decb65cc5c, 0x556a59dc359ea8d8,
  0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x97f488735c0809ca, 0xaad115e5886956ae, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0x8dca5a97e6d97618, 0x599bf83bb8d16449, 0xc3def2861539fa9d,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x13f07abd696792bf,
};

static const uint64_t ur_c32_swio10_lednop_ee_hw[] = {
  0xafbbbbbb451a2f43, 0x9bbb557e17b23121, 0x34c4eef8fdb7cdcc, 0xf5a1b5e96828d35a, 0x5c647c198836821a,
  0xb7793bad3bed6eca, 0xfd5f304f8c048218, 0x71ee506397ff5933, 0xebea3caca1cd56b4, 0xf15b05f51f06cc19,
  0x2c4522cd3ad08a1d, 0xe5c6b26909afa30b, 0xc13d1af873ab4bfc, 0xdfb1aad743af3a6e, 0x65cc5c24228c9118,
  0x3d51b047eb70decb, 0x3b5e5caad402b86b, 0x5152a8d7738ce628, 0x101395daa5beace7, 0xd2ad5d2fe910e6b8,
  0x6bae7b55a22bcb10, 0xa417296be74078e5, 0x414e31bc67440842, 0xd976455bd8aaa2d2, 0xfd42718dca5a97e6,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x0000016f8d20f453,
};

// c32_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_swio10_lednop_ee_ce_hw[] = {
  0xdeeeeeed1468cc7f, 0xdddaab9c14c8c494, 0xd29dbb0ccade6350, 0x64f6da088ee0dae3, 0xdd02f92910737537,
  0xbc9dd4fbaafd51f0, 0xa49827c602410c5b, 0x5d2835bfffd64cf8, 0xfad3badf8c5faa39, 0x886c2445d670f3ca,
  0x38000dbbfd47c25f, 0x594ed6107be64c5c, 0xe0d983403d479597, 0x5a1140a62b297ea3, 0x35f4616588a459a7,
  0xbe1ceaeddf387521, 0x78d8ebce9bb04f46, 0x121146488c6fd8d5, 0x1132386f65b2e62e, 0x2ab52cee1acf546c,
  0x35dce3398a0ed797, 0x76a96fab39d454aa, 0x4bfa4439ae0404e5, 0xd5688af2c434ab57, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36cbb0c, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x80a6793a29e4afdc, 0x0000000000000002,
};

// c32_swio10_dual_pr                c32_swio10_dual_pr_u4
static const uint64_t ur_c32_swio10_dual[] = {
  0x3fbbbbbb4486ff3e, 0x6c1f756e3e932fc2, 0xd67dba247928d386, 0xa28333133887b1ba, 0x5ecb527269dba47d,
  0x4920ee69e2bdd17d, 0xcc13e30120862dde, 0x775f64c8c1548e6f, 0x12e20614306d2303, 0xdfbbf32adbacee9f,
  0x51cc7ec2031c2a54, 0xa1491209207b7e6f, 0x7c2886257f9fbe08, 0x5672f4ce62013eb8, 0xad150865a1192219,
  0x2db975ffa039e135, 0xfe9bacc161bcaf21, 0xc8877cb0f928352b, 0x95490e248188bea3, 0xbce62c055079bf71,
  0x30475e00ced38a37, 0x67b6b5e0faa01ffb, 0x7ceee2a4b7f86079, 0x283b5e5caad67f15, 0xe75152a8d7738ce6,
  0xb8101395daa5beac, 0x10d2ad5d2fe910e6, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408,
  0xe6d976455bd8aaa2, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x696792bf734332c3, 0x00000000524d32d5,
};

static const uint64_t ur_c32_swio10_dual_pr_ee[] = {
  0xb6eeeeeea0a1a5fb, 0x60fbab58fd9bbf1e, 0x70bddd943dac4e4e, 0x2b82d8bbb44fcfbd, 0xe42175b1942deb3b,
  0xdd2c8d75b042acc3, 0x8c048218b7792b05, 0x26460aa45927304f, 0x30a18369181bbafb, 0x9956dd6774f89710,
  0xb0eaf3850fcdd3ff, 0x82481ece9bd47383, 0x895fe7ef82285244, 0xce18044fae1f0a21, 0xcb417da2195672f4,
  0xfe80e784c1ee2a10, 0x0b0de579096dd36f, 0x28b28343fff4dd66, 0xaf51e57bee6ab5a3, 0x8aedd7a8f83660cc,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0x3da3d28e75697286, 0x36355ae875ea25da, 0x2cc5c242284011a6,
  0x2a3608fd6e1bd97d, 0x7ceee2a4a014656b, 0x283b5e5caad67f15, 0xe75152a8d7738ce6, 0xb8101395daa5beac,
  0x10d2ad5d2fe910e6, 0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6d976455bd8aaa2,
  0x8d1607a18dca5a97, 0x539fa9d599bf83bb, 0xf9a3ed87138d2861, 0x964b867a615c9f80, 0x66587494b670e271,
  0x27d7ad2cf257ee68, 0x00000000000002b2,
};

static const uint64_t ur_c32_swio10_dual_pr_ee_u4[] = {
  0x375bbbbbb4486f97, 0x0583eead63c75efc, 0xdb5c774eb00a4777, 0x741ba5dbd6dcfb67, 0xe935d13dd6c650b3,
  0x2625dcf04675ee14, 0x304f8c048218b779, 0xbafb26460aa45927, 0x971030a18369181b, 0xd5ff9956dd6774f8,
  0x1f676c2391c0e0cd, 0x14912092072ba6f5, 0xc2886257f9fbe08a, 0xce5e99c24a13eb87, 0x4542196847b4432a,
  0xdd36ffe80e784d22, 0x4dd660b0de579096, 0x55ad1bf928343fff, 0x660c27fa8f2b60b3, 0x450ef8ae43fa8f83,
  0xd185962291669d68, 0x97726b84173484d7, 0xac4ed38a39b8e756, 0xba38cac6ab5d0ebd, 0x7b2e3e3170908a16,
  0xbb8a92ae3a4fadc3, 0xed7972ab59fc55f3, 0x454aa35dce3398a0, 0x404e576a96fab39d, 0x4ab574bfa4439ae0,
  0xd6b9ed5688af2c43, 0xea58594d8b3a03cf, 0x363fc502169ab9d5, 0x4bf36d38c6f19d10, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xc6b4b3c95fb9a199, 0x000000000000ac98,
};

// c32_swio10_dual_pr_ce_u4
static const uint64_t ur_c32_swio10_dual_pr_ce[] = {
  0x02f777776890cf68, 0xe2c1f75680100df9, 0x5b5dfba829eb41b8, 0xb13c94a75cea2f2d, 0x5bb3bb0b27deec0b,
  0xe49a577347d4ead0, 0x54c13e30120862dd, 0x6eebec99182a91eb, 0xe25c40c2860da460, 0x986b7e655b759dd3,
  0xea3efbd869b38456, 0x14292241240d4f4d, 0x0f8510c4aff3f7c1, 0x559cbd338ce427d7, 0xf58a8432d0dbe886,
  0x2dbf4fffd01cf098, 0xfe9bacc161bcaf21, 0xe518bf50f728315b, 0x88bace1e79b693b8, 0xce5fa8f84bf10d84,
  0x3abd4b993170f494, 0x903b87ea3f513dcb, 0x31602d4aeea921c4, 0x3af006769c51bde7, 0xe5af07d500ffd99e,
  0xddc5496ff0c0f2d6, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0x20272bb54b7d59ce, 0xa55aba5fd221cd70,
  0xd75cf6ab44579621, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0x65d863b7b15545a4, 0x45912637296a5f9b,
  0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x0000000d245d95a5,
};

static const uint64_t ur_c32_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f756e3e3397, 0xb6fd5f773ed9f362, 0x5f68a5043c8970b0, 0x1fe6d366de9d33d9,
  0x2ee3822ac1e199d7, 0x7c602410c5bbc9b1, 0xb26460aa411eb982, 0x030a18369181bbaf, 0xf9956dd6774f8971,
  0xa361a68e0ff26c41, 0x120920763f37a8e1, 0x86257f9fbe08a149, 0xa67061713eb87c28, 0x865a050d10cab397,
  0xfff4073c2674b150, 0x30586f2bc84b6ffa, 0x8d4f4a0bfcffa6eb, 0xf9e6da4edfe58fea, 0xcdd339d61d4939bf,
  0x5ea3caf2b4a76b02, 0x15caef51f06cc1f7, 0xc4522cd3ad08a053, 0xe2863a909afa30b2, 0x25da3da3d28e7576,
  0x234c6c6abc6c75ea, 0xb2fa598b84845080, 0x656b2a3608991c37, 0x7f157ceee2a4a59c, 0x8ce6283b5e5caad6,
  0xbeace75152a8d773, 0x10e6b8101395daa5, 0x2bcb10d2ad5d2fe9, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xaaa2d2414e31bc67, 0xb52fcdb2ec31dbd8, 0xf83bb8d163ce1b94, 0xc33d30ae4fdd599b, 0x3a4a5b387138cb25,
  0x5696792bf734332c, 0x00000000009822a7,
};

static const uint64_t ur_c32_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150ff72df, 0x3eeac5c6af77e75d, 0x3dd51fa2f499f698, 0x8abfeaf60987da3c, 0x224addc1ebb2c43d,
  0xd42cd865a7f0de4f, 0x2dde4b4e776d6aa0, 0x58f5cc13e3012086, 0x181bbafb26460aa4, 0x74f8971030a18369,
  0xebcc6b7f995c7ae7, 0xcdea3c00d80a4387, 0x8228524482481dad, 0xae1f0a21895fe7ef, 0x32ace5e99cb9284f,
  0xb2b454219686ce44, 0x12dba547fd01cf09, 0xffaa374c161bcaf2, 0xc62fd51c72941fd7, 0x59c3cf383ee9dfeb,
  0xf51f097e21b09117, 0xdd3262e1d9ebf5ab, 0xea3caf2b4a76b084, 0x5caef51f06cc1f75, 0x4522cd3ad08a0531,
  0x2863a909afa30b2c, 0x5da3da3d28e7576e, 0x34c6c6abc6c75ea2, 0x2fa598b848450802, 0x56b2a3608991c37b,
  0xf157ceee2a4a59c6, 0xce6283b5e5caad67, 0xeace75152a8d7738, 0x0e6b8101395daa5b, 0xbcb10d2ad5d2fe91,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x52fcdb2ec31dbd8a, 0x347f1a2c8931b94b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0xb47ae792bf734332, 0x0000000008004a04,
};

static const uint64_t ur_c32_swio10_dual_ee_hw[] = {
  0xd6dddddda28d0f68, 0xcc1f756b1fb377e3, 0xae17bbb287b589c9, 0x65705b177689f9f7, 0x7c842eb63285bd67,
  0x60bb9a3ea75add98, 0x09f180904316ef25, 0x5f64c8c1548b24e6, 0xe20614306d230377, 0xa7ff32addcee9f12,
  0xe70761d5e70a1f9b, 0xa48904903d9d37a8, 0x144312bfcfdf0450, 0xe5e99c30089f5c3e, 0x54219682fb4432ac,
  0xa6dffd01cf0983dc, 0xadcc161bcaf212db, 0x6b4651650687ffce, 0xc1995ea3caf7dcd5, 0xa1df15dbaf51f06c,
  0x30b2c4522cd3ad08, 0xe50d7152e6909afa, 0x4bb47b47a51cead2, 0x234c6c6ab5d0ebd4, 0xb2fa598b84845080,
  0xcad6546c11fadc37, 0xfe2af9ddc5494028, 0x19cc5076bcb955ac, 0x7d59cea2a551aee7, 0x21cd7020272bb54b,
  0x579621a55aba5fd2, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb52fcdb2ec8ab7b1,
  0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x41e8a792bf734332, 0x000000000015da5a,
};

// c32_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_c32_swio10_dual_ee_ce_hw[] = {
  0xbdddddda28d072df, 0x07dd58b8d5eefceb, 0x87baa3f45e933ed3, 0xb157fd5ec130fb47, 0xe4495bb83d765887,
  0xb97d6dac02fe1bc9, 0x0862dde4b4e7733e, 0xaa458f5cc13e3012, 0x369181bbafb26460, 0xee774f8971030a18,
  0x4387ebcc6b7f9956, 0x1dadcdea3c00d80a, 0xe7ef822852448248, 0x284fae1f0a21895f, 0xce4432ace5e99cb9,
  0xcf09b2b454219686, 0xcaf212dba547fd01, 0x07f5ffceadcc161b, 0x77faf18bf5471ca5, 0x8488bace1e795f5a,
  0xcba9dfa8f84bf10d, 0xed6109ba64c5c3f9, 0x983eebd4795e5694, 0x140a62b95dea3e0d, 0x4616588a459a75a1,
  0xceaedc50c752135f, 0x8ebd44bb47b47a51, 0x8a1004698d8d578d, 0x2386f65f4b317090, 0x94b38cad6546c113,
  0x955acfe2af9ddc54, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55, 0xa5fd221cd7020272, 0x6ab44579621a55ab,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x637296a5f9b65d86, 0x7bde50c2a73f509c,
  0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xd75e7a1d14f257ee,
  0x0000000000000001,
};

// c32_swio12_noled
static const uint64_t ur_c32_swio11_noled[] = {
  0x905ff7777759bb37, 0x5bbb5572284ce25a, 0xf8fdd341b891844f, 0xf43b8e362235f83e, 0x82e236f67eeea417,
  0x62dde4eed8f6434d, 0x33fdd4c13e301208, 0xf2dd04a09ebff068, 0x71240ebffa8f109d, 0xb016f74c13d7ca48,
  0xaf173b4648c9a398, 0xad4ace8371cb1823, 0x7738ce6283b5e5ca, 0xa5beaece75152a8d, 0x8debe910e6b395da,
  0x9ed5688af2c434ad, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4, 0xcfec37296a5f9b6c,
  0x38cb25c33d30ae4f, 0x34332c3a4a5b3871, 0xa925ff08be792bf7, 0x0000000000000000,
};

// c32_swio11_noled_pr_u4            c32_swio12_noled_pr               c32_swio12_noled_pr_u4
static const uint64_t ur_c32_swio11_noled_pr[] = {
  0xe82ddddda2432aac, 0xeed55c8a543895c4, 0x53dd7ec682d82782, 0x2cd60e21b63367eb, 0x3817e635a6edc4e8,
  0xb7793bbe451db211, 0xf31f304f8c048218, 0xb6f7283b7fff4419, 0x2481935ea382877c, 0x02cb2983da01490e,
  0xa3e764c5188a7316, 0xb13ca807fecc11d7, 0x2ab5422607967b76, 0x35dce3398a0ed797, 0x6a96fabb39d454aa,
  0xb637afa4439ace57, 0xae7b55a22bcb10d2, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb0862adec5551696,
  0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x00000f9313345696,
};

// c32_swio11_noled_pr_ee_u4         c32_swio12_noled_pr_ee            c32_swio12_noled_pr_ee_u4
static const uint64_t ur_c32_swio11_noled_pr_ee[] = {
  0xfad377776890c582, 0x6eed55f85c208971, 0xd5c7bb50c99f3732, 0xfd686d0ca170cf0a, 0x447ec89b020da0b8,
  0x7793ba76821c712d, 0x383304f8c048218b, 0x31f283b3bff4419f, 0x8f51e565d66ab5a3, 0x8aca5fa8f83660fa,
  0x62291669d68450ef, 0xae3593484d7d1859, 0x1ea8fe439d5a5dc9, 0xeec6ab5d0ebce9bb, 0xcb98b84845110a3d,
  0xf2a3608fd6e1bd96, 0x1daf2e556a01741c, 0xa8a9546bb9c67314, 0x359caed52df57673, 0x9621a56c6f5f4887,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0xaa2d2da2718de33a, 0x52fcdb610c55bd8a, 0x07771a2c8931b94b,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xd3ad2cf257ee6866, 0x000000000009d7fc,
};

// c32_swio11_noled_pr_ce_u4         c32_swio12_noled_pr_ce            c32_swio12_noled_pr_ce_u4
static const uint64_t ur_c32_swio11_noled_pr_ce[] = {
  0xf9beeeeed121b768, 0xbb557eb047ee25b3, 0xa0bbbe96b4bf1fb3, 0xdd0e78b066c802fd, 0xc542da5d93ddd9fc,
  0xb7793baec95f1899, 0xfdf7304f8c048218, 0x509f282a7bff4419, 0x1e79b693bc0918bf, 0xf84bf10d8488bace,
  0x993170f30ccf9fa8, 0xfa8ebe4f72ceafac, 0x6fcbea4871240d67, 0x3b2628c45398b017, 0xe5403ff6678ebd1f,
  0x6a844c0f2d6eb589, 0xb9c673141daf2e55, 0x2df57673a8a9546b, 0x6f5f4887359caed5, 0xf6ab44579621a56c,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x131dbd8aaa2d2da2, 0x12637296a5f9b6c2, 0xa75666fe0eee3459,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x001bae60895a59e4,
};

// c32_swio11_noled_pr_ee_ce_u4      c32_swio12_noled_pr_ee_ce         c32_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_c32_swio11_noled_pr_ee_ce[] = {
  0x593ddddda2431bc1, 0xeed55ce0b13a2585, 0x4376e9fb36331a86, 0x93db6c85c18e247f, 0x2cc8d33220e6f855,
  0x277475d35db17770, 0x2609f180904316ef, 0xca0dadffe8833f00, 0xa4eed6e317ea8f7d, 0x4361222eb3879e6d,
  0xabae30bfea3e12fc, 0x94ed6107be64c5c3, 0x0d983d2bd4795c87, 0xa1140a62b387ea3e, 0x5f4616588a459a75,
  0x21ceaedce4c75213, 0xc6c75e74dd8f547f, 0x4845110a3deec6ab, 0x44c8e1bd96cb98b8, 0x2ab52cfa0e7951b0,
  0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0xb637afa4439ace57, 0xae7b55a22bcb10d2, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000027e04d6ad2c,
};

// c32_swio12_noled_ee_hw
static const uint64_t ur_c32_swio11_noled_ee_hw[] = {
  0xd69bbbbb451a3768, 0x776aafc2e1044b8f, 0xae3dda864cf9b993, 0xeb4368650b867856, 0x23f644d8106d05c7,
  0xb7793baec95f6ce2, 0xf383304f8c048218, 0x331f283b3bffac99, 0xa8f51e565d66ab5a, 0xf8aca5fa8f83660f,
  0x962291669d68450e, 0x9ae3593484d7d185, 0xb1ea8fe439d5a5dc, 0xdeec6ab5d0ebce9b, 0x6cb98b84845110a3,
  0xcf2a3608fd6e1bd9, 0x41daf2e556a01741, 0x3a8a9546bb9c6731, 0x7359caed52df5767, 0x79621a56c6f5f488,
  0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0xb52fcdb610c55bd8, 0x861539fa84e31b94,
  0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x12a8a792bf734332,
  0x0000000000016ff4,
};

// c32_swio11_noled_ee_ce_u4_hw      c32_swio12_noled_ee_ce_hw         c32_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_c32_swio11_noled_ee_ce_hw[] = {
  0xc9eeeeed14683375, 0x76aae70589d12c2a, 0x1bb74fd9b198d437, 0x9edb642e0c7123fa, 0x664699910737c2ac,
  0xde4ee962ad6dce81, 0x004c13e30120862d, 0xfb941b5bffeb267e, 0x7d69ddadc62fd51e, 0xc4361222eb3879e5,
  0x0fdd60007ea3e12f, 0x1e53b5841ef99317, 0xf83660f4af51e572, 0xd68450298ace1fa8, 0x4d7d185962291669,
  0xfc873abb73931d48, 0xaf1b1d79d3763d51, 0xe121144428f7bb1a, 0xc1132386f65b2e62, 0x5caad4b3e839e546,
  0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x4ad8debe910e6b39, 0xaeb9ed5688af2c43, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0x6d84263b7b15545a, 0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000280becc5a29,
};

// c32_swio12_lednop
static const uint64_t ur_c32_swio11_lednop[] = {
  0x417fdddddd66ef3a, 0xb776aae452b4896a, 0xd43ddc3e3683089e, 0x17f43b8e3da1377e, 0xac8401b6f8feeea4,
  0x04316ef277417a09, 0x6833f01a609f1809, 0x3be5ba09410f7ff0, 0x90e2481d7ff51f24, 0x98b016f74dd42634,
  0x23af173b08a8fa43, 0x955a95982f71cb18, 0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x5fd221cd7020272b,
  0x55a22bcb10d2b97a, 0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0xa718de33a20517d1, 0x3f3fb0dca5a97e6d,
  0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1, 0x00a93ebc22f9e4af,
};

// c32_swio11_lednop_pr_u4           c32_swio12_lednop_pr              c32_swio12_lednop_pr_u4
static const uint64_t ur_c32_swio11_lednop_pr[] = {
  0xd05bbbbb44869391, 0xddaab91485f12b89, 0xc9eedf987db04f05, 0x66b0715431b65ef6, 0xe3bb1eebf76e2741,
  0xde4eef4e3220cec4, 0x7dcc13e30120862d, 0xbdca0c7bffd1067d, 0x2064d7a8e801df2d, 0x596533f9d4524389,
  0xf9db244637ce62c0, 0xd22a01ffb30475e8, 0x5acbb503cb3db83f, 0xee719cc5076bcb95, 0x4b7d5d9cea2a551a,
  0xd221cd7020272bb5, 0xa22bcb10d2b97a5f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0xca5a97e6db18c55b, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x7b483d696792bf73, 0x00000000000001f2,
};

// c32_swio11_lednop_pr_ee_u4        c32_swio12_lednop_pr_ee           c32_swio12_lednop_pr_ee_u4
static const uint64_t ur_c32_swio11_lednop_pr_ee[] = {
  0x3f5a6eeeed121911, 0x9bbb557e1768b12e, 0x9b4cf77311b7cdcc, 0x8fd686d0c08285a0, 0x8be99a5c5e20da0b,
  0x6ef27755f33eb825, 0xe96a609f18090431, 0x663e5046b7fe8833, 0x51ea3cad82cd56b4, 0xf15a9ef51f06cc1f,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0x69111cdc73ab4bba, 0x1958d56ba1d79d37, 0xd973170908a17c47,
  0x9e546c11fadc37b2, 0x83b5e5caad402b58, 0x75152a8d7738ce62, 0x101395daa5beaece, 0x695cbd2fe910e6b8,
  0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d8c62adec555169, 0x68b224c6e52d4bf3,
  0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000275c6a72b4,
};

// c32_swio11_lednop_pr_ce_u4        c32_swio12_lednop_pr_ce           c32_swio12_lednop_pr_ce_u4
static const uint64_t ur_c32_swio11_lednop_pr_ce[] = {
  0xf9beeeeed121b705, 0xbb557eb0434e25b3, 0x6477499f1fbf1fb3, 0x7439e2cfd833c77b, 0x98103d72437767f3,
  0xb7793bb61b657254, 0xfd9d304f8c048218, 0x509f2832bbff4419, 0x1e79b693bdf718bf, 0xf84bf10d8488bace,
  0x3262e1d9be951fa8, 0xea3cbe9ee59d5f59, 0x7bd2a921c490359f, 0xed92231be731602c, 0x1500ffd99e3af47c,
  0x5976a0796b741fe9, 0xce3398a0ed7972ab, 0x6fabb39d454aa35d, 0x4439ae0404e576a9, 0x4579621a572f4bfa,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x96a5f9b6c6263b7b, 0xfe0eee3459126372,
  0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0xf9275a59e4afdcd0, 0x0000000000001bae,
};

// c32_swio11_lednop_pr_ee_ce_u4     c32_swio12_lednop_pr_ee_ce        c32_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_swio11_lednop_pr_ee_ce[] = {
  0x593ddddda2431000, 0xeed55ce0b6262585, 0x94add6960cf31a86, 0x27b6d9089d707e9e, 0xd333582441cdf0ab,
  0x2776b55de3db66cd, 0xa609f180904316ef, 0x9416bbffd1067f1b, 0x49db5dc62fd51efb, 0x86c2445d670f3cdb,
  0xfa9cb82fd47c25f8, 0xca76b083df3262e1, 0x06cc1e95ea3caca5, 0xd08a05315943f51f, 0xafa30b2c4522cd3a,
  0xb8e7576e74a3a909, 0xe363af3a6ed22239, 0x242285f11c656355, 0x226470decb65cc5c, 0x955a9676b13ca8d8,
  0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x5fd221cd7020272b, 0x55a22bcb10d2b97a, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb63131, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x27e0c9cad2cf257e,
};

// c32_swio12_lednop_ee_hw
static const uint64_t ur_c32_swio11_lednop_ee_hw[] = {
  0xd69bbbbb451a3705, 0xeed55f85da2c4b8f, 0xd33ddcc46df37326, 0xf5a1b43020a16826, 0xfa669717883682e3,
  0xb7793bb61b656a4c, 0xf4b5304f8c048218, 0x331f28235bffac99, 0xa8f51e56c166ab5a, 0xf8ad4f7a8f83660f,
  0x962291669d68450e, 0x2ae3593484d7d185, 0xb4888e6e39d5a5dd, 0x8cac6ab5d0ebce9b, 0x6cb98b848450be23,
  0x4f2a3608fd6e1bd9, 0x41daf2e556a015ac, 0x3a8a9546bb9c6731, 0x0809caed52df5767, 0x34ae5e97f488735c,
  0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4, 0x3f509c637296a5f9,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x0000005bfc117d14,
};

// c32_swio11_lednop_ee_ce_u4_hw     c32_swio12_lednop_ee_ce_hw        c32_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_swio11_lednop_ee_ce_hw[] = {
  0x64f777768a34304a, 0xbb557382d8989615, 0x52b75a5833cc6a1b, 0x9edb642275c1fa7a, 0x4ccd60910737c2ac,
  0xe4eed8ba8fea0137, 0x74c13e30120862dd, 0x7282d77ffd64cfe3, 0xad3b6bb8c5faa3df, 0x86c2445d670f3caf,
  0xd507907fd47c25f8, 0x29dac20f7cc98b87, 0x1b307a57a8f2b297, 0x422814c5650fd47c, 0xbe8c2cb1148b34eb,
  0xe39d5db9d28ea426, 0x8d8ebce9bb4888e6, 0x908a17c471958d57, 0x8991c37b2d973170, 0x556a59dac4f2a360,
  0x6bb9c673141daf2e, 0xd52df57673a8a954, 0x7f488735c0809cae, 0x5688af2c434ae5e9, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6e52d4bf36d8c4c7, 0x7bca1854e7ea138c, 0x38fe32fcc4ffef0f,
  0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x096793a29e4afdcd, 0x0000000000000028,
};

/*
 * c32_swio11_dual_pr                c32_swio11_dual_pr_u4             c32_swio12_dual
 * c32_swio12_dual_pr                c32_swio12_dual_pr_u4
 */
static const uint64_t ur_c32_swio11_dual[] = {
  0x68bbbbbb4486dd9e, 0x0fbab71f39d7e1a5, 0x62dd836b0469c336, 0x419d33fb4758a769, 0x71a821d86dd34ad1,
  0x483b87e55edd6d71, 0x04f8c048218b7792, 0xd7d932305520c033, 0xb881850c1b48c0dd, 0xeefccab6eb3ba7c4,
  0x731fb080c70a9537, 0x524482481edf9bd4, 0x0a21895fe7ef8228, 0x397a672b7c4fae1f, 0x8a8432d08c910cab,
  0xdca5ffd01cf09ad6, 0x4dd660b0de579096, 0x477cb2d794128bff, 0x490e2481ef7ea3f7, 0xcc580aa0f33930f7,
  0x8ebc019d90046989, 0xb6f78df5403ff660, 0x77715257cea07967, 0x1daf2e556b3f8abe, 0xa8a9546bb9c67314,
  0x809caed52df57673, 0x4ae5e97f488735c0, 0xaeb9ed5688af2c43, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6c63156f62aa8b49, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000014935a7d5a5,
};

// c32_swio12_dual_pr_ee
static const uint64_t ur_c32_swio11_dual_pr_ee[] = {
  0x3b2dddddd41432db, 0x07dd5ac7e4cbf1a7, 0xdc6ea4c3ad627273, 0x2b8282ab8858abf7, 0x1f1375a1942da73b,
  0x1771c115671fcce8, 0x3e30120862dde4ac, 0xec99182a91dc7cc1, 0x40c2860da4606eeb, 0xfe655b759dd3e25c,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd338a9113eb87c28, 0x432d05f6886559cb,
  0xaffa039e1307b8a8, 0xcc161bcaf212dbe9, 0xa3fdd28216bfe9ba, 0x87bf51e576ea6ab5, 0xdf15e9bf51f06cc1,
  0xb2c4522cd3ad08a1, 0x157152e6909afa30, 0xb18f467a9cead2ec, 0x886c6ab5d0ebd44b, 0xfa598b848451a523,
  0x45546c11fadc37b2, 0x55f3bb8a92805914, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0xae0404e576a96fab,
  0x621a572f4bfa4439, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554,
  0x71a2c0f431b94b52, 0x2a73f53ab337f077, 0x1f347db0e271a50c, 0x32c970cf4c2b93f0, 0x0ccb0e9296ce1c4e,
  0x90e7d5a59e4afdcd, 0x0000000000000015,
};

// c32_swio12_dual_pr_ee_u4
static const uint64_t ur_c32_swio11_dual_pr_ee_u4[] = {
  0xc1bb77776890cf68, 0x83eead63e8befc29, 0xbbf755f362477705, 0x374bb69da55e58b6, 0x677616ad0ca16538,
  0x312ee68fa9d5a0b7, 0x827c602410c5bbc9, 0xd7d932305523b8f9, 0xb881850c1b48c0dd, 0xaffccab6eb3ba7c4,
  0xfb3b611c8e07066e, 0xa4890490395d37a8, 0x144312bfcfdf0450, 0x72f4ce33909f5c3e, 0x2a10cb423da21956,
  0x7d35ff4073c26912, 0x375982c3795e425b, 0x56b4701a5042d7fd, 0xcc1c89ea3cad4f4d, 0x8a1df159c3f51f06,
  0xa30b2c4522cd3ad0, 0x2e9597082e6909af, 0x589d900460a1cead, 0xe8f22d8d56ba1d7b, 0xf65c7c62e121143d,
  0xee2a4ab8b87f5b86, 0xb5e5caad67f157ce, 0x152a8d7738ce6283, 0x1395daa5beaece75, 0x5cbd2fe910e6b810,
  0xd73daad115e58869, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0xbf36d38c6f19d102, 0xddc68b224c6e52d4,
  0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x2b4b3c95fb9a1996, 0x00000000000ac8bb,
};

// c32_swio11_dual_pr_ce_u4          c32_swio12_dual_pr_ce             c32_swio12_dual_pr_ce_u4
static const uint64_t ur_c32_swio11_dual_pr_ce[] = {
  0x6762777776890c86, 0x2c1f75680113efc6, 0xbb37ba769a741b8e, 0x279294aaaf75b8d5, 0x2d714d7b17dd6676,
  0x34aeeeec6ecc89e6, 0x827c602410c5bbc9, 0xd7d932305522e4a9, 0xb881850c1b48c0dd, 0xd6fccab6eb3ba7c4,
  0x7df7b0d36708ad30, 0x524482481a9e9bd4, 0x0a21895fe7ef8228, 0x397a6732a04fae1f, 0x150865a1b7d10cab,
  0x731fffa039e131eb, 0x375982c3795e425b, 0x317eb1ee506397fd, 0x759c3cf36d27635a, 0x3f51f097e21b0911,
  0x7a973262e1c92b2a, 0x76b7a8e13e7b9675, 0x80a5176fd2438920, 0xc019d90046989cc5, 0x78df5403ff6678eb,
  0xc5495f3a81e5adcf, 0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0x72bb54b7d5d9cea2, 0x97a5fd221cd70202,
  0xe7b55a22bcb10d2b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0x8931b94b52fcdb63,
  0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x00001a4864ad2cf2,
};

// c32_swio12_dual_pr_ee_ce
static const uint64_t ur_c32_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x983eeadc7efaf7e2, 0xebdee9579626c561, 0x4528b534f7b84d7d, 0xb04c98f4e99a4cfb,
  0xcf046752c8a7599b, 0xc048218b7793625d, 0xc8c1548f3d7304f8, 0x14306d2303775f64, 0x2adbacee9f12e206,
  0xc34d1c1fe4d883f3, 0x1240ec7e6f51c346, 0x4aff3f7c11429224, 0x73a9c27d70f8510c, 0x5a050d10cab397a6,
  0xf4073c2674b15086, 0x586f2bc84b6fd83f, 0x04941b5bffa6eb30, 0x9b693bb5bb1fd51e, 0x99ceb0e089300fe7,
  0x1e572ba53b58166e, 0xfbf51f06cc1edff5, 0x22cd3ad08a05315e, 0xa3a909afa30b2c45, 0x8c7a33d4e7576e60,
  0x86c6abc6c75ea25d, 0xa598b848451a5238, 0x2aa3608991c37b2f, 0xaf9ddc5494b3c8a2, 0xc5076bcb955acfe2,
  0x9cea2a551aee719c, 0x7020272bb54b7d5d, 0x10d2b97a5fd221cd, 0xe56bae7b55a22bcb, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb63131dbd8aaa2, 0xb8d163ce1b94b52f, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000013040395696,
};

// c32_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_c32_swio11_dual_pr_ee_ce_u4[] = {
  0x8b777768a87f2541, 0xbab1715c5df89f65, 0xba805d6d267da60f, 0x7efaf7c7f07db2c9, 0x78addc14fb2c43db,
  0xa30a6d3e518b90da, 0x6ef25a73baa71865, 0x9f86609f18090431, 0xc0ddd7d932305522, 0xa7c4b881850c1b48,
  0x5e635bfccae3d73b, 0x6f51e006c0521c3f, 0x114292241240ed6e, 0x70f8510c4aff3f7c, 0x95672f4ce3c0227d,
  0x95a2a10cb4367221, 0x96dd90ffe80e784d, 0xfd51ba60b0de5790, 0x317ea8c6b4a0f60f, 0xce1e79c1f74efb06,
  0xa8f84bf10d8488ba, 0xe993170f1f75c95f, 0x51e572ba53b58426, 0xefbf51f06cc1edff, 0x522cd3ad08a05315,
  0x0a3a909afa30b2c4, 0xd8c7a33d4e7576e6, 0x886c6abc6c75ea25, 0xfa598b848451a523, 0x22aa3608991c37b2,
  0x2af9ddc5494b3c8a, 0xcc5076bcb955acfe, 0xd9cea2a551aee719, 0xd7020272bb54b7d5, 0xb10d2b97a5fd221c,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x7f1a2c8931b94b52,
  0x1539fa9d599bf834, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0x7ae792bf734332c3, 0x00000004006d35b4,
};

// c32_swio12_dual_ee_hw
static const uint64_t ur_c32_swio11_dual_ee_hw[] = {
  0x73b2ddddda28d086, 0x307dd5ac7e4cbf1a, 0x7dc6ea4c3ad62727, 0xb2b8282ab8858abf, 0x41f1375a1942da73,
  0x4ac1777763766f31, 0xcc13e30120862dde, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x374ffe655bb9dd3e,
  0x51ce0ec3abce143f, 0xa1491209207b3a6f, 0x7c2886257f9fbe08, 0x59cbd338a9113eb8, 0xb8a8432d05f68865,
  0xdbe9affa039e1307, 0xceadcc161bcaf212, 0x6ab5a3fdd28216bf, 0x6cc187bf51e576ea, 0x08a1df15e9bf51f0,
  0xfa30b2c4522cd3ad, 0xd2ec157152e6909a, 0xd44bb18f467a9cea, 0xa523886c6ab5d0eb, 0x37b2fa598b848451,
  0x591445546c11fadc, 0x59fc55f3bb8a9280, 0xce3398a0ed7972ab, 0x6fabb39d454aa35d, 0x4439ae0404e576a9,
  0x4579621a572f4bfa, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x4b52fcdb6318ab7b,
  0x2861539fa84e31b9, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xf4ea8a792bf73433, 0x000000000002bb44,
};

// c32_swio11_dual_ee_ce_u4_hw       c32_swio12_dual_ee_ce_hw          c32_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_c32_swio11_dual_ee_ce_hw[] = {
  0x62ddddda28d1bf5b, 0xeeac5c57177e27d9, 0x6ea0175b499f6983, 0xdfbebdf1fc1f6cb2, 0x9e2b77053ecb10f6,
  0xac03b202d462e436, 0x0862dde4b4e77337, 0xaa453f0cc13e3012, 0x369181bbafb26460, 0xee774f8971030a18,
  0x4387ebcc6b7f9956, 0x1dadcdea3c00d80a, 0xe7ef822852448248, 0x044fae1f0a21895f, 0xce4432ace5e99c78,
  0xcf09b2b454219686, 0xcaf212dbb21ffd01, 0x07b07fceadcc161b, 0x77d8318bf54635a5, 0x8488bace1e795f5a,
  0xbbb77fa8f84bf10d, 0xb58426e993170e30, 0xc1edff51e572ba53, 0xa05315efbf51f06c, 0x30b2c4522cd3ad08,
  0x7576e60a3a909afa, 0x75ea25d8c7a33d4e, 0x51a523886c6abc6c, 0x1c37b2fa598b8484, 0x4b3c8a22aa360899,
  0x55acfe2af9ddc549, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551, 0xfd221cd7020272bb, 0x5a22bcb10d2b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb94b52fcdb63131d, 0xef2861539fa84e31,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xa91e4e8a792bf734,
  0x00000000000000eb,
};

static const uint64_t ur_c32_swio13_noled[] = {
  0x3ddbbbbbbacdc49f, 0xf5bbb5572285ee25, 0xfb006ea1c4891844, 0x70bfa1ddc4eecfe0, 0x21ab46db195a6ecf,
  0x048218b7793bb989, 0xf83419f31f304f8c, 0x109df2dd24a0edff, 0xbd24389207cf7a8f, 0xd1cc580b7ba6d296,
  0x1823af173b5c3464, 0xcb955a9595ff71cb, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae,
  0xe7b55a22bcb10d2a, 0x9c0594a9f4ef3f5a, 0xfb8a042d2c2e753a, 0xe6da718de33a2045, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000548b8c22f9e,
};

// c32_swio13_noled_pr_u4
static const uint64_t ur_c32_swio13_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c492, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f75227,
  0x16ef277792c4e363, 0x9f7f2609f1809043, 0xcb41f94132bff441, 0xc4903e83d4797c77, 0xc05965347bd2a921,
  0xf47ced10a3dece62, 0x45269500ffd9823a, 0xe556afadc0f2cf6c, 0x46bb9c673141daf2, 0x4b7d54df673a8a95,
  0x7bd7d221cd672bb5, 0xed5688af2c434ab5, 0x14a7869de7c5aeb9, 0xe31bc6744083ba9b, 0x48ab7b15545a5b44,
  0x224c6e52d4bf36c6, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0007c9c99a2b4b3c,
};

// c32_swio13_noled_pr_ee_u4
static const uint64_t ur_c32_swio13_noled_pr_ee[] = {
  0xebf777776890ca20, 0x93776aafc2f51624, 0x86fd3ddf1fb6f9b9, 0xbeb436899bd76964, 0x4695a295b106d04e,
  0x7793ba3d8b50918d, 0x275304f8c048218b, 0xbf928315bff4419f, 0x7fa8f2b297355ad1, 0x8aca1fa8f83660c2,
  0x62291669d68450ef, 0x2e3593484d7d1859, 0x7508f2439d5a5d2b, 0x7ec6ab5d0ebce9bb, 0x973170908a3e4470,
  0xb546c11fadc37b2d, 0x76bcb955a805d260, 0xa2a551aee719cc50, 0xcaed52df5537d9ce, 0xd2ad5ef5f4887359,
  0x6bae7b55a22bcb10, 0xeea6c529e1a779f1, 0x96d138c6f19d1020, 0xcdb1922adec55516, 0x71a2c8931b94b52f,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xd2cf257ee6866587, 0x000000009d7fc93a,
};

// c32_swio13_noled_pr_ce_u4
static const uint64_t ur_c32_swio13_noled_pr_ce[] = {
  0xf26eeeeed121b7d6, 0xb3bb557eb050ce24, 0x8fd0837460d7bf1f, 0xe4e6e872b4c5e6c5, 0x4cfed3d71a6a6f75,
  0x0862dde4eebd69c5, 0x1067edd4c13e3012, 0x317eb224a0e04ffd, 0x759c3cf36d27795a, 0xff51f097e21b0911,
  0xbeb264c5c3f2d337, 0x193dea3cdd3dcb3a, 0x580a654e3490e248, 0x5e8f9da2147bd9cc, 0x08a4d2a01ffb33c7,
  0x972ab57d6e0796b7, 0xaa35dce3398a0ed7, 0xaa5beaa6fb39d454, 0xabdebe910e6b395d, 0xcf6ab44579621a55,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00006ebf087eb4b3,
};

// c32_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_c32_swio13_noled_pr_ee_ce[] = {
  0x90dddddda2435f41, 0x0dddaab9c1727448, 0x5d375bb0ccade635, 0x164f6d9b08cc489a, 0xb33b13e448839b92,
  0xde4eed17f7682ab8, 0x1f4c13e30120862d, 0xba941c41ffa20cfa, 0x6da4ef10462fd51d, 0xfc4361222eb3879e,
  0x70fe72ea77ea3e12, 0x70e53b5841ef9931, 0x8f83660cf5f51e56, 0x9d68450298acbafa, 0x84d7d18596229166,
  0x1e4873abb72561d4, 0xaaf1b1d79d376ea1, 0x5c24228f911c1fb1, 0xd8226470decb65cc, 0x972ab52cfa4c16a8,
  0xaa35dce3398a0ed7, 0xaa5beaa6fb39d454, 0xabdebe910e6b395d, 0xcf6ab44579621a55, 0xd8a53c34ef3e2d75,
  0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000009f99696b4b3,
};

static const uint64_t ur_c32_swio13_noled_ee_hw[] = {
  0x5fbbbbbb451a37d6, 0x9bbb557e17a8b127, 0x37e9eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad88368275,
  0xb7793baf5a716fda, 0xf275304f8c048218, 0x1bf928315bffac99, 0x27fa8f2b297355ad, 0xf8aca1fa8f83660c,
  0x962291669d68450e, 0xb2e3593484d7d185, 0xb7508f2439d5a5d2, 0x07ec6ab5d0ebce9b, 0xd973170908a3e447,
  0x0b546c11fadc37b2, 0x076bcb955a805d26, 0xea2a551aee719cc5, 0x9caed52df5537d9c, 0x0d2ad5ef5f488735,
  0x16bae7b55a22bcb1, 0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xfcdb1922adec5551, 0x539fa84e31b94b52,
  0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a,
  0x0000000016f919a2,
};

// c32_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_c32_swio13_noled_ee_ce_hw[] = {
  0x86eeeeed14684c7f, 0x6eed55ce0b93a244, 0xe9badd86656f31a8, 0xb27b6cd8466244d2, 0x99d89f22441cdc90,
  0x7793bbd7773b6abd, 0x87d304f8c048218b, 0x6ea507107ff5933e, 0xafad3bc4118bf547, 0xf886c2445d670f3c,
  0xc3baa3541fd47c25, 0xc394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b2ebea, 0x135f4616588a459a,
  0x7921ceaedc958752, 0xabc6c75e74ddba84, 0x70908a3e44707ec6, 0x608991c37b2d9731, 0x5caad4b3e9305aa3,
  0xa8d7738ce6283b5e, 0xa96faa9bece75152, 0xaf7afa4439ace576, 0x3daad115e5886956, 0x6294f0d3bcf8b5d7,
  0x9c6378ce88107753, 0x90c76f62aa8b4b68, 0x84e31b94b52fcdb1, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x001404cc85e8a792,
};

static const uint64_t ur_c32_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x9eb776aae4506bc4, 0xbef8fddf5fe16308, 0xdc2fe877713a5ef9, 0x0d360b88db75fbb3,
  0x48218b7793bb63d9, 0x83419f5f7304f8c0, 0xe1df2dd24a0c7bff, 0xd24389207cf7a8eb, 0x9cc580b7ba609f10,
  0x823af173b6f68ee1, 0xb955a958b3f71cb1, 0x51aee719cc5076bc, 0x52df5537d9cea2a5, 0xf488735c0809caed,
  0xb44579621a572497, 0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc674409cfa28, 0xe7f61b94b52fcdb4,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0x5492ff845f3c95fb, 0x0000000000000000,
};

// c32_swio13_lednop_pr_u4
static const uint64_t ur_c32_swio13_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be249, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4775227,
  0x2dde4eecbbb138be, 0x7ea54c13e3012086, 0x5a0fca098fffd106, 0x1240fa0f51f4a3be, 0x02cb29a0304fa487,
  0xa3e765f11c647316, 0xfb86a807fecc11d7, 0xaad6e1c81e59ed8d, 0xd7738ce6283b5e5c, 0x6faa9bece75152a8,
  0x4439ae0404e576a9, 0x22bcb10d2b924bfa, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0xa5a97e6da05455bd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x7483d696792bf734, 0x0000000000001f26,
};

// c32_swio13_lednop_pr_ee_u4
static const uint64_t ur_c32_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb4486bf3e, 0x9bbb557e1723f127, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b413a,
  0xbc9dd9c458919f5d, 0x1f9827c602410c5b, 0xf9282707ff4419fa, 0xfa8f2b53d355ad1b, 0xaf027a8f83660c27,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x748c1439d5a5e43a, 0x6c6ab5d0ebce9bb7, 0x73170908a26e4791,
  0x546c11fadc37b2d9, 0xb5e5caad4021149a, 0x152a8d7738ce6283, 0x576a96faa9bece75, 0x24bfa4439ae0404e,
  0x7b55a22bcb10d2b9, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x498dca5a97e6da05,
  0x9d599bf83bb8d164, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x004ebcd4e5696792,
};

// c32_swio13_lednop_pr_ce_u4
static const uint64_t ur_c32_swio13_lednop_pr_ce[] = {
  0xf26eeeeed1219541, 0xb3bb557eb0542e24, 0x7ad17776dbafbf1f, 0x39ba1cad219e2f7a, 0x09cea8b41568dd79,
  0x0c5bbc9dd0149316, 0x0cfc569827c60241, 0x2fd644941df7ffa2, 0xb3879e6da4eedd46, 0xea3e12fc4361222e,
  0xeb264c5c3f59b21f, 0x93dea3ce33dcb3ab, 0x014c79eb490e2481, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x1aee719cc5076bcb, 0x2df5537d9cea2a55, 0x488735c0809caed5, 0x44579621a572497f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x296a5f9b681463b7, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xf998b5a59e4afdcd, 0x00000000000001ba,
};

// c32_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_swio13_lednop_pr_ee_ce[] = {
  0x90dddddda2436d3a, 0x0dddaab9c1605c48, 0x9d765ba34f17e635, 0x164f6d9b19391998, 0x14e0ddd388839b92,
  0xbc9ddb9db3675b26, 0xd79827c602410c5b, 0x75283003ff4419ff, 0xdb49dc008c5faa3b, 0xf886c2445d670f3c,
  0xc3bb76164fd47c25, 0x4394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b60bea, 0x135f4616588a459a,
  0x60a1ceaedd21c752, 0xabc6c75e74ddbba4, 0x70908a26e47916c6, 0x608991c37b2d9731, 0x2e556a5988a4d2a3,
  0x546bb9c673141daf, 0x54b7d54df673a8a9, 0xfd221cd7020272bb, 0xad115e588695c925, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0xdca5a97e6da0518e, 0x99bf83bb8d164498, 0x3def2861539fa9d5,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x3f2dc85696792bf7,
  0x0000000000000001,
};

static const uint64_t ur_c32_swio13_lednop_ee_hw[] = {
  0x5fbbbbbb451a1541, 0x9bbb557e1723f127, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x1895c66ec41b413a,
  0x5bbc9dd0149334e7, 0xfa1f9827c602410c, 0x1bf9282707ffac99, 0x27fa8f2b53d355ad, 0xf8af027a8f83660c,
  0x962291669d68450e, 0x3ae3593484d7d185, 0xb7748c1439d5a5e4, 0x916c6ab5d0ebce9b, 0xd973170908a26e47,
  0x9a546c11fadc37b2, 0x83b5e5caad402114, 0x75152a8d7738ce62, 0x4e576a96faa9bece, 0xb924bfa4439ae040,
  0xae7b55a22bcb10d2, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x05455bd8aaa2d241, 0x42718dca5a97e6da,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0002dfa642f453c9,
};

// c32_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_swio13_lednop_ee_ce_hw[] = {
  0x437777768a34173e, 0x3776aae705817122, 0x75d96e8d3c5f98d4, 0x593db66c64e46662, 0x5383774e220e6e48,
  0xbbc9ddcfb403a89e, 0xfd79827c602410c5, 0xb75283003ffac99f, 0x57d69dc008c5faa3, 0xfc4361222eb3879e,
  0xc39b76148fea3e12, 0x4394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b60bea, 0x135f4616588a459a,
  0x60a1ceaedd21c752, 0xabc6c75e74ddbba4, 0x70908a26e47916c6, 0x608991c37b2d9731, 0x2e556a5988a4d2a3,
  0x546bb9c673141daf, 0x54b7d54df673a8a9, 0xfd221cd7020272bb, 0xad115e588695c925, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0xdca5a97e6da0518e, 0xf79430a9cfd42718, 0x71fc65f989ffde1e,
  0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x1607dd453c95fb9a, 0x0000000000000050,
};

// c32_swio13_dual_pr                c32_swio13_dual_pr_u4
static const uint64_t ur_c32_swio13_dual[] = {
  0xc7bbbbbb44865c93, 0x6c1f756e3e9cafc5, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b7571b,
  0x92483b86717175ab, 0x3304f8c048218b77, 0xddd7d93230552152, 0xc4b881850c1b48c0, 0x37eefccab6eb3ba7,
  0xd4731fb080c70a95, 0x28524482481edf9b, 0x1f0a21895fe7ef82, 0xab397a671aec4fae, 0xd68a8432d08c910c,
  0x96dca1ffd01cf09a, 0xff4dd660b0de5790, 0xedf3be59ef941fdd, 0xee921c490383fea3, 0x1398b01541e64ad1,
  0xc11d78033b6948e2, 0x67b698c64a807fec, 0x5f3bb8a92e04a079, 0x8a0ed7972ab59fc5, 0x39d454aa35dce339,
  0x01395daa5beaa6fb, 0x4ae492fe910e6b81, 0xaeb9ed5688af2c43, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6815156f62aa8b49, 0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000149320e55a5,
};

static const uint64_t ur_c32_swio13_dual_pr_ee[] = {
  0x0dbbbbbba8286f97, 0x983eead63d086fcb, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942ec33b,
  0xee78233accda9d38, 0xc602410c5bbc9582, 0x9323055217459827, 0x1850c1b48c0ddd7d, 0xccab6eb3ba7c4b88,
  0xd87579c287e6e9ff, 0x41240f674dea39c1, 0xc4aff3f7c1142922, 0x672e8627d70f8510, 0x65a0bed10cab397a,
  0xff4073c260f71508, 0x0586f2bc84b6f3b7, 0xb93941e9fffa6eb3, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0x141daf2e556b3f8a, 0x73a8a9546bb9c673, 0x0272bb54b7d54df6,
  0x95c925fd221cd702, 0x5d73daad115e5886, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xd02a2adec5551692,
  0xb03d0c6e52d4bf36, 0xfd4eaccdfc1ddc68, 0x1f6c389c69430a9c, 0x5c33d30ae4fc07cd, 0xc3a4a5b387138cb2,
  0xf5696792bf734332, 0x0000000000056445,
};

static const uint64_t ur_c32_swio13_dual_pr_ee_u4[] = {
  0x852b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4a0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0x9827c602410c5bbc, 0xdd7d932305521745, 0x4b881850c1b48c0d, 0xeaffccab6eb3ba7c,
  0x8fb3b611c8e07066, 0x0a4890490395d37a, 0xe144312bfcfdf045, 0x672f4ce65409f5c3, 0x22a10cb423da2195,
  0x6f3b7ff4073c2691, 0xa6eb30586f2bc84b, 0x55ad1afb941e9fff, 0xb307dd7a8f2bc093, 0x22877c565d7d47c1,
  0xe8c2cb1148b34eb4, 0x4bfce5c20b9a426b, 0xac4eda52397c73ab, 0x8a31f2c6ab5d0ebd, 0xbd971f18b8484509,
  0xddc5495716b7d6e1, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0xcaed52df5537d9ce, 0x2497f488735c0809,
  0xcf6ab44579621a57, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0xcdb4e31bc674409c, 0x71a2c8931b94b52f,
  0x2a73f53ab337f077, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xd2cf257ee6866587, 0x0000000000ac864a,
};

static const uint64_t ur_c32_swio13_dual_pr_ce[] = {
  0xedddddd0f5a1a5fb, 0x2c1f7568002d7e06, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd0dd,
  0x49a5774b235d5a78, 0xcc13e30120862dde, 0xeebec99182a90f00, 0x25c40c2860da4606, 0x86b7e655b759dd3e,
  0xa3efbd869b384569, 0x4292241240d4f4de, 0xf8510c4aff3f7c11, 0xb397a673a3e27d70, 0xb150865a1b7d10ca,
  0xb7b1fffa039e131e, 0xd375982c3795e425, 0x6317ea63e5046b7f, 0x1759c3cf36d27670, 0x47f51f097e21b091,
  0x57a973262e1d2a2e, 0x03117d479127b967, 0x1602fee32a921c49, 0xaf00676d291c4273, 0x9318c9500ffd99e3,
  0xddc549702503cb5b, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0xcaed52df5537d9ce, 0x2497f488735c0809,
  0xcf6ab44579621a57, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x463b7b15545a4829, 0x78237296a5f9b681,
  0x3ab337f07771a2cf, 0x2fcc4fe50c2a73f5, 0xf7ff04d1f6c3dce3, 0x2c970cf4c2b93f1c, 0xccb0e9296ce1c4e3,
  0x98435a59e4afdcd0, 0x00000000000001a4,
};

static const uint64_t ur_c32_swio13_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf3, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb939,
  0x4840ee9646ba83e2, 0xcc13e30120862dde, 0xeebec99182a91c3f, 0x25c40c2860da4606, 0xadd7e655b759dd3e,
  0xa3b05d8604384ae9, 0x4292241240ce1cde, 0xf8510c4aff3f7c11, 0x59cbd33972227d70, 0xa454219681ea8865,
  0xb6e96bfe80e784c0, 0xfa6eb30586f2bc84, 0x6e317ebdd4a0dbaf, 0x11759c3cf36d277a, 0xe47f51f097e21b09,
  0x7570e33262e1d2a2, 0x90326bd474027b96, 0x98b015fcea2921c4, 0x8ebc8b769b91e453, 0x8a928e87cdc72c67,
  0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xdaa5beaa6fb39d45, 0x2fe910e6b8101395, 0xd5688af2c434ae49,
  0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d028c, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x03493a7ab4b3c95f,
};

static const uint64_t ur_c32_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e999ce,
  0xee68fa9d1c13767d, 0xc602410c5bbc9b12, 0x26460aa41f3e9827, 0x30a18369181bbafb, 0x9956dd6774f89710,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x671dbb13eb87c288, 0x65a050d10cab397a,
  0xff4073c2674b1508, 0x0586f2bc84b6e6b7, 0xf2b4a0e20ffa6eb3, 0x9e6da4ef1058fea8, 0xba673ac3f37d523f,
  0xd4795efb94ed6059, 0xbb75ea3e0d98332b, 0x8a459a75a1140a62, 0xa78752135f461658, 0x5d9fc47d41ceaedc,
  0x3f92c6abc6c75ea2, 0x2fa598b8484507aa, 0x9bdaa3608991c37b, 0xf157ceee2a4a598f, 0xce6283b5e5caad67,
  0xbece75152a8d7738, 0xe0404e576a96faa9, 0x10d2b924bfa4439a, 0xe56bae7b55a22bcb, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0xb8d163ce1b94b52f, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000004c10925696,
};

static const uint64_t ur_c32_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e58b, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb8362e5887,
  0xd3e6ba85b41e1bf8, 0x316ef25a73bb4836, 0x22f67a609f180904, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b,
  0x3f5e635bfccae3d7, 0x6e6f51e006c0521c, 0x7c114292241240ed, 0x7d70f8510c4aff3f, 0x2195672f4ce1d7c2,
  0x4d95a2a10cb43672, 0x9096dee47fe80e78, 0xdffd51ba60b0de57, 0x6e317ea8ce0ca09a, 0xbace1e79c1f74ecd,
  0x3fa8f84bf10d8488, 0x26e993170feb53c0, 0xaf51e57bee53b584, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0xe3398a0ed7972ab5, 0xa6fb39d454aa35dc, 0x6b8101395daa5bea, 0x2c434ae492fe910e,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0x1fc68b224c6e52d4,
  0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x1eb9e4afdcd0ccb0, 0x000000010009a7cd,
};

static const uint64_t ur_c32_swio13_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63d086fcb0, 0xd0774e72beb13939, 0xb8276abbd35f7ef6, 0xe1f5ce1942ec33b2,
  0xeed6573174d48b85, 0xc602410c5bbc9582, 0x9323055217459827, 0x1850c1b48c0ddd7d, 0xfccab773ba7c4b88,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa672e8627d70f851, 0x865a0bed10cab397,
  0x7ff4073c260f7150, 0x30586f2bc84b6f3b, 0x1b93941e9fff3ab7, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x20272bb54b7d54df,
  0x695c925fd221cd70, 0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169,
  0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x0000057699164a29,
};

// c32_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_c32_swio13_dual_ee_ce_hw[] = {
  0xbeeeeeed14682906, 0x83eeac5c6f277e58, 0x705ba89f5a499f69, 0x7b0eb95ef336e17a, 0x847e15bb8362e588,
  0x2be405ed2311e1bf, 0x02410c5bbc969cee, 0x8c1548bd9e9827c6, 0x4306d2303775f64c, 0x2addcee9f12e2061,
  0x014870fd798d6ff3, 0x4903b5b9bd47801b, 0x2bfcfdf0450a4890, 0x875f09f5c3e14431, 0xd0d9c886559cbd33,
  0xa039e136568a8432, 0xc3795e425b7b91ff, 0x0ca09adff9d5b982, 0xeb4ecd6e317ea8ce, 0x21b0911759c3cf2b,
  0x7ea72e0bf51f097e, 0x729dac21374c98b8, 0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e,
  0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f, 0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c,
  0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0xed52df5537d9cea2, 0x97f488735c0809ca, 0x6ab44579621a5724,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0x637296a5f9b68146, 0x7bde50c2a73f509c,
  0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xaeb1409514f257ee,
  0x0000000000000003,
};

static const uint64_t ur_c32_swio14_noled[] = {
  0x511377777759bb37, 0x4f5bbb5572284ce2, 0x3ef8fdd341b89184, 0x17f43b8e362235f8, 0x4d82e236f67eec44,
  0x0862dde4eed8f643, 0x6833fdd4c13e3012, 0x9df2dd04a09ebff0, 0x4871240ebffa8f10, 0x98b016f74c13d7ca,
  0x23af173b4648c9a3, 0xcaad4ace8371cb18, 0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0xb1fbfa4439ace9b9,
  0x73daad115e588695, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x843156f62aa8b4b6, 0xf9fd86e52d4bf36d,
  0x271964b867a615c9, 0xe6866587494b670e, 0x1524bfe117cf257e,
};

// c32_swio14_noled_pr_u4
static const uint64_t ur_c32_swio14_noled_pr[] = {
  0xe3dddddda2432aac, 0x05ddaab914a87128, 0xd6a7bafd8d05b04f, 0xd059ac1c436c66cf, 0x22702fcc6b4dd8e3,
  0x316ef2777c8a3b64, 0x33e63e609f180904, 0xf96dee5076fffe88, 0x1c490326bd47050e, 0x2c05965307b40292,
  0xaf47cec98a3114e6, 0xed6279500ffd9823, 0x2e556a844c0f2cf6, 0x546bb9c673141daf, 0xcaed52df5673a8a9,
  0xad8fdfd221cd674d, 0xeb9ed5688af2c434, 0xa9b14a7869de7c5a, 0xb44e31bc6744083b, 0x6c218ab7b15545a5,
  0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000003e4c4cd15a5,
};

// c32_swio14_noled_pr_ee_u4
static const uint64_t ur_c32_swio14_noled_pr_ee[] = {
  0x35f777776890c582, 0xc9bbb557e1708224, 0x2b571eed43267cdc, 0x1af5a1b43285c33c, 0xb511fb226c083682,
  0x2dde4ee9da0871c4, 0x7ce0cc13e3012086, 0x8cc7ca0eceffd106, 0xea3d47959759aad6, 0xbe2b297ea3e0d983,
  0x6588a459a75a1143, 0x26b8d64d2135f461, 0xec7aa3f90e756977, 0xf7bb1aad743af3a6, 0x5b2e62e121144428,
  0x73ca8d823f5b86f6, 0x5076bcb955a805d0, 0xcea2a551aee719cc, 0x359d372bb54b7d59, 0xcb10d2b63f7f4887,
  0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0xa97e6db0862adec5, 0x83bb8d164498dca5,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0x69d696792bf73433, 0x000000000004ebfe,
};

// c32_swio14_noled_pr_ce_u4
static const uint64_t ur_c32_swio14_noled_pr_ce[] = {
  0x22eeeeeed121b768, 0x6776aafd608fdc49, 0xfb41777d2d697e3f, 0x79ba1cf160cd9005, 0x338a85b4bb27ba91,
  0x316ef2775d92be31, 0x33fbee609f180904, 0x7ea13e5054f7fe88, 0x9c3cf36d27781231, 0x51f097e21b091175,
  0x593262e1e6199f3f, 0xcff51d7c9ee59d5f, 0x2edf97d490e2481a, 0x3e764c5188a73160, 0x13ca807feccf1d7a,
  0xaad508981e5add6b, 0xd7738ce6283b5e5c, 0xdaa5beace75152a8, 0x1fbfa4439ace9b95, 0x3daad115e588695b,
  0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x84c76f62aa8b4b68, 0x4498dca5a97e6db0, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0006eb9822569679,
};

// c32_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_c32_swio14_noled_pr_ee_ce[] = {
  0x9bdddddda2431bc1, 0x1bbb557382c4e892, 0xfd0ddba7ecd8cc6a, 0x764f6db217063891, 0x8166469991073753,
  0x793ba3ae9aed8bbb, 0x01304f8c048218b7, 0xee506d6fff4419f8, 0x6d2776b718bf547b, 0xe21b0911759c3cf3,
  0x1d5d7185ff51f097, 0x3ca76b083df3262e, 0xf06cc1e95ea3cae4, 0xad08a053159c3f51, 0x9afa30b2c4522cd3,
  0xf90e7576e7263a90, 0x5e363af3a6ec7aa3, 0xc242288851ef7635, 0x8226470decb65cc5, 0xb955a967d073ca8d,
  0x51aee719cc5076bc, 0x2bb54b7d59cea2a5, 0xb63f7f4887359d37, 0xae7b55a22bcb10d2, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000027e04d6ad2c,
};

static const uint64_t ur_c32_swio14_noled_ee_hw[] = {
  0xafbbbbbb451a3768, 0x4dddaabf0b841121, 0x5ab8f76a1933e6e6, 0xd7ad0da1942e19e1, 0x888fd9136041b410,
  0x62dde4eebb257db3, 0x67ce0cc13e301208, 0x68cc7ca0eceffeb2, 0x3ea3d47959759aad, 0x3be2b297ea3e0d98,
  0x16588a459a75a114, 0x726b8d64d2135f46, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0x65b2e62e12114442,
  0x073ca8d823f5b86f, 0xc5076bcb955a805d, 0x9cea2a551aee719c, 0x7359d372bb54b7d5, 0xbcb10d2b63f7f488,
  0x779f16bae7b55a22, 0xd1020eea6c529e1a, 0x5551696d138c6f19, 0x5a97e6db0862adec, 0x430a9cfd42718dca,
  0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x095453c95fb9a199,
  0x000000000000b7fa,
};

// c32_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_c32_swio14_noled_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xdddaab9c16274494, 0xe86edd3f66c66350, 0xb27b6d90b831c48f, 0x0b3234cc8839ba9b,
  0x6ef2774b156b6e74, 0xf002609f18090431, 0xf7dca0dadfff5933, 0x2beb4eed6e317ea8, 0x7e21b0911759c3cf,
  0xb87eeb0003f51f09, 0x90f29dac20f7cc98, 0x47c1b307a57a8f2b, 0x4eb422814c5670fd, 0x426be8c2cb1148b3,
  0x8fe439d5db9c98ea, 0xd578d8ebce9bb1ea, 0x170908a22147bdd8, 0x3608991c37b2d973, 0xf2e556a59f41cf2a,
  0x9546bb9c673141da, 0xdcaed52df5673a8a, 0x4ad8fdfd221cd674, 0xaeb9ed5688af2c43, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0x6d84263b7b15545a, 0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000280becc5a29,
};

static const uint64_t ur_c32_swio14_lednop[] = {
  0x444ddddddd66ef3a, 0x9eb776aae452b489, 0x7ed43ddc3e368308, 0x4417f43b8e3da137, 0x09ac8401b6f8feec,
  0x0904316ef277417a, 0xf06833f01a609f18, 0x243be5ba09410f7f, 0x3490e2481d7ff51f, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x551aee719cc5076b, 0x72bb54b7d59cea2a, 0xd8f488735c0809d3,
  0xb55a22bcb10d2b97, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xda718de33a20517d, 0x93f3fb0dca5a97e6,
  0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce, 0x000a93ebc22f9e4a,
};

// c32_swio14_lednop_pr_u4
static const uint64_t ur_c32_swio14_lednop_pr[] = {
  0xc7bbbbbb44869391, 0x0bbb5572290be251, 0xed93ddbf30fb609e, 0x82cd60e2a8636cbd, 0x89c7763dd7eec71e,
  0x5bbc9dde9c64419d, 0xfafb9827c602410c, 0x5b7b9418f7ffa20c, 0x1240c9af51d003be, 0x80b2ca67f3a8a487,
  0xd1f3b6488c6f9cc5, 0x7fa45403ff6608eb, 0x2ab5976a07967b70, 0x35dce3398a0ed797, 0x76a96fab39d454aa,
  0xe910e6b81013a6e5, 0xb44579621a572fb1, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xb94b52fcdb6318ab, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0x4f6907ad2cf257ee, 0x000000000000003e,
};

// c32_swio14_lednop_pr_ee_u4
static const uint64_t ur_c32_swio14_lednop_pr_ee[] = {
  0x86beeeeeed121911, 0x326eed55f85da2c4, 0x826d33ddcc46df37, 0x21af5a1b43020a16, 0x962fa66971788368,
  0xc5bbc9dd57ccfae0, 0xcfa5a9827c602410, 0xd198f9411adffa20, 0x7d47a8f2b60b355a, 0x77c56a7bd47c1b30,
  0x2cb1148b34eb4228, 0xe9571ac9a426be8c, 0xdda4447371cead2e, 0x1c656355ae875e74, 0xcb65cc5c242285f1,
  0x627951b047eb70de, 0x8a0ed7972ab500ad, 0x39d454aa35dce339, 0x1013a6e576a96fab, 0x1a572fb1e910e6b8,
  0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb6318ab7b15545a, 0x1a2c8931b94b52fc,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x2cf257ee68665874, 0x00000009d71a9cad,
};

// c32_swio14_lednop_pr_ce_u4
static const uint64_t ur_c32_swio14_lednop_pr_ce[] = {
  0x22eeeeeed121b705, 0x6776aafd60869c49, 0xf6c8ee933e3f7e3f, 0xe6e873c59fb0678e, 0xa930207ae486ea45,
  0x316ef2776c36cae4, 0x33fb3a609f180904, 0x7ea13e506577fe88, 0x9c3cf36d277bee31, 0x51f097e21b091175,
  0xb264c5c3b37d2a3f, 0x3fd4797d3dcb3abe, 0x58f7a5524389206b, 0xf9db244637ce62c0, 0xd22a01ffb33c75e8,
  0x56b2ed40f2d6e83f, 0xbb9c673141daf2e5, 0xd52df5673a8a9546, 0x221cd7020274dcae, 0x88af2c434ae5f63d,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d8c4c76f, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0xdf24eb4b3c95fb9a, 0x0000000000000375,
};

// c32_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_swio14_lednop_pr_ee_ce[] = {
  0x9bdddddda2431000, 0x1bbb557382d89892, 0x7a52b75a5833cc6a, 0xec9edb642275c1fa, 0x6e999ac1220e6ea6,
  0x793bb5aaef1edb36, 0xdd304f8c048218b7, 0xdca0b5dffe8833f8, 0xda4edaee317ea8f7, 0xc4361222eb3879e6,
  0x0fd4e5c17ea3e12f, 0x2e53b5841ef99317, 0xf83660f4af51e565, 0xd68450298aca1fa8, 0x4d7d185962291669,
  0xcdc73abb73a51d48, 0xaf1b1d79d3769111, 0xe121142f88e32b1a, 0xc1132386f65b2e62, 0x5caad4b3b589e546,
  0xa8d7738ce6283b5e, 0x95daa5beace75152, 0xc7a4439ae0404e9b, 0xaad115e588695cbe, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0x8dca5a97e6db1898, 0x599bf83bb8d16449, 0xc3def2861539fa9d,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x13f064e5696792bf,
};

static const uint64_t ur_c32_swio14_lednop_ee_hw[] = {
  0xafbbbbbb451a3705, 0x9bbb557e1768b121, 0x9b4cf77311b7cdcc, 0x6bd686d0c08285a0, 0x33e99a5c5e20da08,
  0x62dde4eed86d95a9, 0x67d2d4c13e301208, 0x68cc7ca08d6ffeb2, 0x3ea3d4795b059aad, 0x3be2b53dea3e0d98,
  0x16588a459a75a114, 0x74ab8d64d2135f46, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0x65b2e62e121142f8,
  0xb13ca8d823f5b86f, 0xc5076bcb955a8056, 0x9cea2a551aee719c, 0x0809d372bb54b7d5, 0x0d2b97d8f488735c,
  0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d, 0xcfd42718dca5a97e,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x00000016ff045f45,
};

// c32_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_swio14_lednop_ee_ce_hw[] = {
  0x6f7777768a34304a, 0x6eed55ce0b62624a, 0xe94add6960cf31a8, 0xb27b6d9089d707e9, 0xba666b048839ba9b,
  0xef2776c5d47f5009, 0x1ba609f180904316, 0xfb9416bbffeb267f, 0x7d69db5dc62fd51e, 0xc4361222eb3879e5,
  0x3ea83c83fea3e12f, 0xb94ed6107be64c5c, 0xe0d983d2bd479594, 0x5a1140a62b287ea3, 0x35f4616588a459a7,
  0x371ceaedce947521, 0xbc6c75e74dda4447, 0x848450be238cac6a, 0x044c8e1bd96cb98b, 0x72ab52ced627951b,
  0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x1e910e6b81013a6e, 0xab44579621a572fb, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b6c6263, 0xbde50c2a73f509c6, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x04b3c9d14f257ee6, 0x0000000000000014,
};

// c32_swio14_dual_pr                c32_swio14_dual_pr_u4
static const uint64_t ur_c32_swio14_dual[] = {
  0x3fbbbbbb4486dd9e, 0x6c1f756e3e73afc2, 0xd2c5bb06d608d386, 0xa2833a67f68eb14e, 0xe2e35043b0dba47d,
  0x2490770fcabdbada, 0x6609f180904316ef, 0xbbafb26460aa4180, 0x8971030a18369181, 0x6fddf9956dd6774f,
  0xa8e63f61018e152a, 0x50a48904903dbf37, 0x3e144312bfcfdf04, 0x5672f4ce56f89f5c, 0xad150865a1192219,
  0x2db94bffa039e135, 0xfe9bacc161bcaf21, 0xee8ef965af282517, 0xee921c4903defd47, 0x1398b01541e67261,
  0xc11d78033b2008d3, 0xcf6def1bea807fec, 0x7ceee2a4af9d40f2, 0x283b5e5caad67f15, 0xe75152a8d7738ce6,
  0x404e9b95daa5beac, 0x695cbec7a4439ae0, 0xb5d73daad115e588, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0x6d8c62adec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x0000002926b4fab4,
};

static const uint64_t ur_c32_swio14_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xe60fbab58fc997e3, 0xefb8dd49875ac4e4, 0x765705055710b157, 0xd03e26eb43285bd6,
  0x582ee3822ace3f99, 0x827c602410c5bbc9, 0xd7d932305523b8f9, 0xb881850c1b48c0dd, 0x9ffccab6eb3ba7c4,
  0x9c1d87579c287e6e, 0x92241240f674dea3, 0x510c4aff3f7c1142, 0x97a67152227d70f8, 0x50865a0bed10cab3,
  0xd35ff4073c260f71, 0x75982c3795e425b7, 0x6b47fba5042d7fd3, 0x830f7ea3caedd4d5, 0x43be2bd37ea3e0d9,
  0x616588a459a75a11, 0xd82ae2a5cd2135f4, 0x97631e8cf539d5a5, 0x4710d8d56ba1d7a8, 0x65f4b3170908a34a,
  0x288aa8d823f5b86f, 0xf8abe777152500b2, 0x673141daf2e556b3, 0xf5673a8a9546bb9c, 0xd7020274dcaed52d,
  0x2c434ae5f63d221c, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6c63156f62aa,
  0xee34581e8637296a, 0x854e7ea75666fe0e, 0x03e68fb61c4e34a1, 0xc6592e19e985727e, 0xa19961d252d9c389,
  0xb21cfab4b3c95fb9, 0x0000000000000002,
};

static const uint64_t ur_c32_swio14_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0x0b07dd5ac7d17df8, 0x6d77eeabe6c48eee, 0xd06e976d3b4abcb1, 0x6eceec2d5a1942cd,
  0x92625dcd1f53ab41, 0xf304f8c048218b77, 0xbbafb26460aa4771, 0x8971030a18369181, 0xdd5ff9956dd6774f,
  0x51f676c2391c0e0c, 0xa14912092072ba6f, 0x7c2886257f9fbe08, 0xace5e99c67213eb8, 0x24542196847b4432,
  0xb6fa6bfe80e784d2, 0xfa6eb30586f2bc84, 0x9aad68e034a085af, 0x0d983913d4795a9e, 0xa1143be2b387ea3e,
  0x5f4616588a459a75, 0x5a5d2b2e105cd213, 0xf6b13b2008c1439d, 0x7bd1e45b1aad743a, 0x0decb8f8c5c24228,
  0x9ddc54957170feb7, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x09d372bb54b7d59c, 0x2b97d8f488735c08,
  0x5ae7b55a22bcb10d, 0xa96165362ce80f3f, 0x517d14085a6ae757, 0x97e6da718de33a20, 0x3bb8d164498dca5a,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x65696792bf734332, 0x0000000000015917,
};

// c32_swio14_dual_pr_ce_u4
static const uint64_t ur_c32_swio14_dual_pr_ce[] = {
  0x902f777776890c86, 0x1c583eead00227df, 0xab766f74ed34e837, 0xec4f2529555eeb71, 0xcc5ae29af62fbb02,
  0x92695dddd8dd9913, 0x5304f8c048218b77, 0xbbafb26460aa45c9, 0x8971030a18369181, 0x61adf9956dd6774f,
  0xa8fbef61a6ce115a, 0x50a4890490353d37, 0x3e144312bfcfdf04, 0x5672f4ce65409f5c, 0xd62a10cb436fa219,
  0xb6e63fff4073c263, 0xfa6eb30586f2bc84, 0xb462fd63dca0c72f, 0x22eb3879e6da4ec6, 0x547ea3e12fc43612,
  0xeaf52e64c5c39256, 0x40ed6f51c27cf72c, 0x8b014a2edfa48712, 0xd78033b2008d3139, 0x9ef1bea807feccf1,
  0xbb8a92be7503cb5b, 0xed7972ab59fc55f3, 0x454aa35dce3398a0, 0x3a6e576a96fab39d, 0x72fb1e910e6b8101,
  0x5cf6ab44579621a5, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x912637296a5f9b6c,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x000003490c95a59e,
};

static const uint64_t ur_c32_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xc3307dd5b8fdf5ef, 0xfbd7bdd2af2c4d8a, 0xf68a516a69ef709a, 0x37609931e9d33d95,
  0xbb9e08cea5914eb3, 0xf180904316ef26c4, 0xc99182a91e7ae609, 0x0c2860da4606eebe, 0xe655b759dd3e25c4,
  0x8d869a383fc9b107, 0x482481d8fcdea386, 0x1895fe7ef8228524, 0x4ce75384fae1f0a2, 0x0cb40a1a2195672f,
  0x7fe80e784ce962a1, 0x60b0de579096dfb0, 0x3c092836b7ff4dd6, 0xcf36d2776b763faa, 0xdd339d61c112601f,
  0xea3cae574a76b02c, 0xbdf7ea3e0d983dbf, 0x8a459a75a1140a62, 0xc14752135f461658, 0xbb18f467a9ceaedc,
  0x710d8d578d8ebd44, 0x5f4b3170908a34a4, 0x445546c1132386f6, 0xc55f3bb8a9296791, 0x398a0ed7972ab59f,
  0xab39d454aa35dce3, 0xb81013a6e576a96f, 0x621a572fb1e910e6, 0x1cad75cf6ab44579, 0x085482e52d7ce80f,
  0x5a4829c6378ce881, 0xf9b6c6263b7b1554, 0x771a2c79c37296a5, 0xa615c9fbab337f07, 0x4b670e271964b867,
  0xcf257ee686658749, 0x0000002608072ad2,
};

static const uint64_t ur_c32_swio14_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x1f7562e2b8bbf3ae, 0x937500bada4cfb4c, 0xb6fdf5ef8fe0fb65, 0xb4f15bb83d765887,
  0xcb4614da7ca31721, 0x62dde4b4e7754e30, 0x453f0cc13e301208, 0x9181bbafb26460aa, 0x774f8971030a1836,
  0x7ebcc6b7f995c7ae, 0xdcdea3c00d80a438, 0xf8228524482481da, 0xfae1f0a21895fe7e, 0x432ace5e99c78044,
  0x9b2b454219686ce4, 0x212dbb21ffd01cf0, 0x1ffaa374c161bcaf, 0x0c62fd518d6941ec, 0x759c3cf383ee9df6,
  0xbf51f097e21b0911, 0x4dd3262e1e3eeb92, 0xfea3cae574a76b08, 0x2bdf7ea3e0d983db, 0x88a459a75a1140a6,
  0xcc14752135f46165, 0x4bb18f467a9ceaed, 0x4710d8d578d8ebd4, 0x65f4b3170908a34a, 0x1445546c1132386f,
  0xfc55f3bb8a929679, 0x3398a0ed7972ab59, 0xfab39d454aa35dce, 0x6b81013a6e576a96, 0x9621a572fb1e910e,
  0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5f9b6c6263b7b155, 0x8fe345912637296a,
  0xc2a73f53ab337f06, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0x8f5cf257ee686658, 0x00000000800da6b6,
};

static const uint64_t ur_c32_swio14_dual_ee_hw[] = {
  0x3d6dddddda28d086, 0x4e60fbab58fc997e, 0x7efb8dd49875ac4e, 0x6765705055710b15, 0x6283e26eb43285bd,
  0xbc9582eeeec6ecde, 0x8f9827c602410c5b, 0x0ddd7d932305523b, 0x7c4b881850c1b48c, 0x7e6e9ffccab773ba,
  0xdea39c1d87579c28, 0x114292241240f674, 0x70f8510c4aff3f7c, 0xcab397a67152227d, 0x0f7150865a0bed10,
  0x25b7d35ff4073c26, 0x7f9d5b982c3795e4, 0xd4d56b47fba5042d, 0xe0d9830f7ea3caed, 0x5a1143be2bd37ea3,
  0x35f4616588a459a7, 0xd5a5d82ae2a5cd21, 0xd7a897631e8cf539, 0xa34a4710d8d56ba1, 0xb86f65f4b3170908,
  0x00b2288aa8d823f5, 0x56b3f8abe7771525, 0xbb9c673141daf2e5, 0xd52df5673a8a9546, 0x221cd7020274dcae,
  0x88af2c434ae5f63d, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x296a5f9b6c63156f,
  0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x9e9d514f257ee686, 0x0000000000005768,
};

// c32_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_c32_swio14_dual_ee_ce_hw[] = {
  0xbdddddda28d1bf5b, 0x07dd58b8ae2efceb, 0x64dd402eb6933ed3, 0xedbf7d7be3f83ed9, 0x6d3c56ee0f5d9621,
  0x6f58076405a8c5c8, 0x2410c5bbc969cee6, 0xc1548a7e19827c60, 0x306d2303775f64c8, 0xaddcee9f12e20614,
  0x14870fd798d6ff32, 0x903b5b9bd47801b0, 0xbfcfdf0450a48904, 0xf0089f5c3e144312, 0x0d9c886559cbd338,
  0x039e136568a8432d, 0x3795e425b7643ffa, 0x4a0f60ff9d5b982c, 0xb4efb06317ea8c6b, 0x1b0911759c3cf2be,
  0x61776eff51f097e2, 0xa76b084dd3262e1c, 0xd983dbfea3cae574, 0x1140a62bdf7ea3e0, 0xf4616588a459a75a,
  0x9ceaedcc14752135, 0xd8ebd44bb18f467a, 0x08a34a4710d8d578, 0x32386f65f4b31709, 0x9296791445546c11,
  0x72ab59fc55f3bb8a, 0xa35dce3398a0ed79, 0x576a96fab39d454a, 0x1e910e6b81013a6e, 0xab44579621a572fb,
  0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b6c6263, 0xbde50c2a73f509c6,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x7523c9d14f257ee6,
  0x000000000000001d,
};

static const uint64_t ur_c32_swio15_noled[] = {
  0xd49bbbbbbacdc49f, 0x7adddaab9142f712, 0x7d803750e2448c22, 0x905fd0eee27767f0, 0x486ad1b6c6569bba,
  0x0120862dde4eee62, 0xfe0d067cc7cc13e3, 0xc4277cb749283b7f, 0xaf490e2481f3dea3, 0x34731602dee9b4a5,
  0xc608ebc5ced70d19, 0xf2e556a5657fdc72, 0x9546bb9c673141da, 0xcaed52df57673a8a, 0x5abfdfd221cd674d,
  0x5cf6ab44579621a5, 0x5380b2953e9de7eb, 0xbf714085a585cea7, 0xfcdb4e31bc674408, 0x85727e7f61b94b52,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000000a9171845f3,
};

// c32_swio15_noled_pr_u4
static const uint64_t ur_c32_swio15_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c4ae, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f76e27,
  0x16ef277792c4e363, 0x9f7f2609f1809043, 0xcb41f94132bff441, 0xc4903e83d4797c77, 0xc05965347bd2a921,
  0xf47ced10a3dece62, 0x45269500ffd9823a, 0xe556afadc0f2cf6c, 0x46bb9c673141daf2, 0xed52df57673a8a95,
  0xbfdfd221cd674dca, 0xf6ab44579621a55a, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2,
  0x912637296a5f9b63, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0003e4e4cd15a59e,
};

// c32_swio15_noled_pr_ee_u4
static const uint64_t ur_c32_swio15_noled_pr_ee[] = {
  0xc7f777776890ca20, 0x93776aafc2f51625, 0x86fd3ddf1fb6f9b9, 0x7eb436899bd76964, 0x4695a295b106d05c,
  0x7793ba3d8b50918d, 0x275304f8c048218b, 0xbf928315bff4419f, 0x7fa8f2b297355ad1, 0x8aca1fa8f83660c2,
  0x62291669d68450ef, 0x2e3593484d7d1859, 0x7508f2439d5a5d2b, 0x7ec6ab5d0ebce9bb, 0x973170908a3e4470,
  0xb546c11fadc37b2d, 0x76bcb955a805d260, 0xa2a551aee719cc50, 0xd372bb54b7d5d9ce, 0x6956aff7f4887359,
  0xb5d73daad115e588, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0xe6d8c9156f62aa8b, 0xb8d164498dca5a97,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0x696792bf734332c3, 0x000000004ebfe49d,
};

// c32_swio15_noled_pr_ce_u4
static const uint64_t ur_c32_swio15_noled_pr_ce[] = {
  0x67eeeeeed121b7d6, 0x6776aafd60a19c4b, 0x1fa106e8c1af7e3f, 0x9fcdd0e5698bcd8b, 0x33fb4f5c69a9bddd,
  0x218b7793baf5a715, 0x419fb75304f8c048, 0xc5fac89283813ff4, 0xd670f3cdb49de568, 0xfd47c25f886c2445,
  0xfac993170fcb4cdf, 0x64f7a8f374f72cea, 0x60299538d2438920, 0x7a3e768851ef6731, 0x22934a807feccf1d,
  0x5caad5f5b81e5adc, 0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x57fbfa4439ace9b9, 0x9ed5688af2c434ab,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000dd7e10fd6967,
};

// c32_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_c32_swio15_noled_pr_ee_ce[] = {
  0x0adddddda2435f41, 0x0dddaab9c172744b, 0x5d375bb0ccade635, 0x564f6d9b08cc489a, 0xb33b13e448839be1,
  0xde4eed17f7682ab8, 0x1f4c13e30120862d, 0xba941c41ffa20cfa, 0x6da4ef10462fd51d, 0xfc4361222eb3879e,
  0x70fe72ea77ea3e12, 0x70e53b5841ef9931, 0x8f83660cf5f51e56, 0x9d68450298acbafa, 0x84d7d18596229166,
  0x1e4873abb72561d4, 0xaaf1b1d79d376ea1, 0x5c24228f911c1fb1, 0xd8226470decb65cc, 0x972ab52cfa4c16a8,
  0xaa35dce3398a0ed7, 0x576a96fabb39d454, 0xd5fefe910e6b3a6e, 0xe7b55a22bcb10d2a, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x3218edec5551696d, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004fccb4b5a59,
};

static const uint64_t ur_c32_swio15_noled_ee_hw[] = {
  0x3fbbbbbb451a37d6, 0x9bbb557e17a8b12e, 0x37e9eef8fdb7cdcc, 0xf5a1b44cdebb4b24, 0x34ad14ad883682e3,
  0xb7793baf5a716fda, 0xf275304f8c048218, 0x1bf928315bffac99, 0x27fa8f2b297355ad, 0xf8aca1fa8f83660c,
  0x962291669d68450e, 0xb2e3593484d7d185, 0xb7508f2439d5a5d2, 0x07ec6ab5d0ebce9b, 0xd973170908a3e447,
  0x0b546c11fadc37b2, 0x076bcb955a805d26, 0xea2a551aee719cc5, 0x9d372bb54b7d5d9c, 0x86956aff7f488735,
  0x8b5d73daad115e58, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0x7e6d8c9156f62aa8, 0xa9cfd42718dca5a9,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d,
  0x000000000b7c8cd1,
};

// c32_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_c32_swio15_noled_ee_ce_hw[] = {
  0x56eeeeed14684c7f, 0x6eed55ce0b93a258, 0xe9badd86656f31a8, 0xb27b6cd8466244d2, 0x99d89f22441cdf0a,
  0x7793bbd7773b6abd, 0x87d304f8c048218b, 0x6ea507107ff5933e, 0xafad3bc4118bf547, 0xf886c2445d670f3c,
  0xc3baa3541fd47c25, 0xc394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b2ebea, 0x135f4616588a459a,
  0x7921ceaedc958752, 0xabc6c75e74ddba84, 0x70908a3e44707ec6, 0x608991c37b2d9731, 0x5caad4b3e9305aa3,
  0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x57fbfa4439ace9b9, 0x9ed5688af2c434ab, 0xb14a7869de7c5aeb,
  0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0x42718dca5a97e6d8, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x000a026642f453c9,
};

static const uint64_t ur_c32_swio15_lednop[] = {
  0x5a9377777759bb37, 0x4f5bbb55722835e2, 0xdf7c7eefaff0b184, 0xa417f43bb89d2f7c, 0x434d82e236dd7eee,
  0x120862dde4eed8f6, 0xe0d067d7dcc13e30, 0xf877cb7492831eff, 0x3490e2481f3dea3a, 0x6731602dee9827c4,
  0x608ebc5cedbda3b8, 0x2e556a562cfdc72c, 0x546bb9c673141daf, 0xaed52df57673a8a9, 0x3d221cd7020274dc,
  0xab44579621a57256, 0xa6c59d01e7eb5cf6, 0x810b4d5ceaf52c2c, 0x4e31bc674409cfa2, 0x7e7f61b94b52fcdb,
  0x89c6592e19e98572, 0xb9a19961d252d9c3, 0x05492ff845f3c95f,
};

// c32_swio15_lednop_pr_u4
static const uint64_t ur_c32_swio15_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be257, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4776e27,
  0x2dde4eecbbb138be, 0x7ea54c13e3012086, 0x5a0fca098fffd106, 0x1240fa0f51f4a3be, 0x02cb29a0304fa487,
  0xa3e765f11c647316, 0xfb86a807fecc11d7, 0xaad6e1c81e59ed8d, 0xd7738ce6283b5e5c, 0xaa5beaece75152a8,
  0x4439ae0404e9b95d, 0x88af2c434ae4ac7a, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x296a5f9b6815156f, 0x6fe0eee345912637, 0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x9d20f5a59e4afdcd, 0x00000000000007c9,
};

// c32_swio15_lednop_pr_ee_u4
static const uint64_t ur_c32_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb4486bf3e, 0x9bbb557e1723f12e, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b4171,
  0xbc9dd9c458919f5d, 0x1f9827c602410c5b, 0xf9282707ff4419fa, 0xfa8f2b53d355ad1b, 0xaf027a8f83660c27,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x748c1439d5a5e43a, 0x6c6ab5d0ebce9bb7, 0x73170908a26e4791,
  0x546c11fadc37b2d9, 0xb5e5caad4021149a, 0x152a8d7738ce6283, 0x9b95daa5beaece75, 0x4ac7a4439ae0404e,
  0x9ed5688af2c434ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053, 0x12637296a5f9b681,
  0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x0013af35395a59e4,
};

// c32_swio15_lednop_pr_ce_u4
static const uint64_t ur_c32_swio15_lednop_pr_ce[] = {
  0x67eeeeeed1219541, 0x6776aafd60a85c4b, 0xf5a2eeedb75f7e3f, 0xf374395a433c5ef4, 0x273aa2d055a37767,
  0x316ef27740524c58, 0x33f15a609f180904, 0xbf59125077dffe88, 0xce1e79b693bb7518, 0xa8f84bf10d8488ba,
  0xac993170fd66c87f, 0x4f7a8f38cf72ceaf, 0x0531e7ad24389206, 0x47cecbe238c8e62c, 0xf70d500ffd99e3af,
  0x556b70e40f2d6e1b, 0x6bb9c673141daf2e, 0xd52df57673a8a954, 0x221cd7020274dcae, 0x44579621a572563d,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x296a5f9b681463b7, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xf998b5a59e4afdcd, 0x00000000000001ba,
};

// c32_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_c32_swio15_lednop_pr_ee_ce[] = {
  0x0adddddda2436d3a, 0x0dddaab9c1605c4b, 0x9d765ba34f17e635, 0x564f6d9b19391998, 0x14e0ddd388839be1,
  0xbc9ddb9db3675b26, 0xd79827c602410c5b, 0x75283003ff4419ff, 0xdb49dc008c5faa3b, 0xf886c2445d670f3c,
  0xc3bb76164fd47c25, 0x4394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b60bea, 0x135f4616588a459a,
  0x60a1ceaedd21c752, 0xabc6c75e74ddbba4, 0x70908a26e47916c6, 0x608991c37b2d9731, 0x2e556a5988a4d2a3,
  0x546bb9c673141daf, 0xaed52df57673a8a9, 0x3d221cd7020274dc, 0xab44579621a57256, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b681463, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x4fcb7215a59e4afd,
};

static const uint64_t ur_c32_swio15_lednop_ee_hw[] = {
  0x3fbbbbbb451a1541, 0x9bbb557e1723f12e, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x1895c66ec41b4171,
  0x5bbc9dd0149334e7, 0xfa1f9827c602410c, 0x1bf9282707ffac99, 0x27fa8f2b53d355ad, 0xf8af027a8f83660c,
  0x962291669d68450e, 0x3ae3593484d7d185, 0xb7748c1439d5a5e4, 0x916c6ab5d0ebce9b, 0xd973170908a26e47,
  0x9a546c11fadc37b2, 0x83b5e5caad402114, 0x75152a8d7738ce62, 0x4e9b95daa5beaece, 0xae4ac7a4439ae040,
  0xeb9ed5688af2c434, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x815156f62aa8b490, 0x509c637296a5f9b6,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x0000b7e990bd14f2,
};

// c32_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_c32_swio15_lednop_ee_ce_hw[] = {
  0x2b7777768a34173e, 0x3776aae70581712c, 0x75d96e8d3c5f98d4, 0x593db66c64e46662, 0x5383774e220e6f85,
  0xbbc9ddcfb403a89e, 0xfd79827c602410c5, 0xb75283003ffac99f, 0x57d69dc008c5faa3, 0xfc4361222eb3879e,
  0xc39b76148fea3e12, 0x4394ed6107be64c5, 0x3e0d9833d7d47959, 0x75a1140a62b60bea, 0x135f4616588a459a,
  0x60a1ceaedd21c752, 0xabc6c75e74ddbba4, 0x70908a26e47916c6, 0x608991c37b2d9731, 0x2e556a5988a4d2a3,
  0x546bb9c673141daf, 0xaed52df57673a8a9, 0x3d221cd7020274dc, 0xab44579621a57256, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x37296a5f9b681463, 0xbde50c2a73f509c6, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x0581f7514f257ee6, 0x0000000000000014,
};

// c32_swio15_dual_pr                c32_swio15_dual_pr_u4
static const uint64_t ur_c32_swio15_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3e9cafc3, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b74d2b,
  0x92483b86717175ab, 0x3304f8c048218b77, 0xddd7d93230552152, 0xc4b881850c1b48c0, 0x37eefccab6eb3ba7,
  0xd4731fb080c70a95, 0x28524482481edf9b, 0x1f0a21895fe7ef82, 0xab397a671aec4fae, 0xd68a8432d08c910c,
  0x96dca1ffd01cf09a, 0xff4dd660b0de5790, 0xedf3be59ef941fdd, 0xee921c490383fea3, 0x1398b01541e64ad1,
  0xc11d78033b6948e2, 0x67b698c64a807fec, 0x5f3bb8a92e04a079, 0x8a0ed7972ab59fc5, 0x39d454aa35dce339,
  0x013a6e576a96fabb, 0xd2b92b1e910e6b81, 0x6bae7b55a22bcb10, 0xa417296be74078e5, 0x414e31bc67440842,
  0xda05455bd8aaa2d2, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8, 0x313ffbc3def28615, 0xec3347db0e3f8cbf,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000000524c839569,
};

static const uint64_t ur_c32_swio15_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63d086fc6, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942da73b,
  0xee78233accda9d38, 0xc602410c5bbc9582, 0x9323055217459827, 0x1850c1b48c0ddd7d, 0xccab6eb3ba7c4b88,
  0xd87579c287e6e9ff, 0x41240f674dea39c1, 0xc4aff3f7c1142922, 0x672e8627d70f8510, 0x65a0bed10cab397a,
  0xff4073c260f71508, 0x0586f2bc84b6f3b7, 0xb93941e9fffa6eb3, 0xdfa8f2bd37355ad1, 0x8af677a8f83660e3,
  0x62291669d68450ef, 0xb8a973484d7d1859, 0xfe23ea0e7569753c, 0x4b1aad743af512ec, 0x9662e121141ea8fe,
  0xd51b047eb70decbe, 0xbe77715250087cde, 0x141daf2e556b3f8a, 0x73a8a9546bb9c673, 0x0274dcaed52df576,
  0xa572563d221cd702, 0xd75cf6ab44579621, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4,
  0x2c0f431b94b52fcd, 0x3f53ab337f07771a, 0x47db0e271a50c2a7, 0x970cf4c2b93f01f3, 0xb0e9296ce1c4e32c,
  0x7d5a59e4afdcd0cc, 0x0000000000015911,
};

static const uint64_t ur_c32_swio15_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4e0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0x9827c602410c5bbc, 0xdd7d932305521745, 0x4b881850c1b48c0d, 0xeaffccab6eb3ba7c,
  0x8fb3b611c8e07066, 0x0a4890490395d37a, 0xe144312bfcfdf045, 0x672f4ce65409f5c3, 0x22a10cb423da2195,
  0x6f3b7ff4073c2691, 0xa6eb30586f2bc84b, 0x55ad1afb941e9fff, 0xb307dd7a8f2bc093, 0x22877c565d7d47c1,
  0xe8c2cb1148b34eb4, 0x4bfce5c20b9a426b, 0xac4eda52397c73ab, 0x8a31f2c6ab5d0ebd, 0xbd971f18b8484509,
  0xddc5495716b7d6e1, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0xd372bb54b7d5d9ce, 0xc958f488735c0809,
  0x73daad115e588695, 0xb0b29b1674079fad, 0x3e8a042d3573abd4, 0xf36d38c6f19d1027, 0xdc68b224c6e52d4b,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xb4b3c95fb9a19961, 0x00000000002b2192,
};

static const uint64_t ur_c32_swio15_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0x2c1f7568002d7e33, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd667,
  0x49a5774b235d5a78, 0xcc13e30120862dde, 0xeebec99182a90f00, 0x25c40c2860da4606, 0x86b7e655b759dd3e,
  0xa3efbd869b384569, 0x4292241240d4f4de, 0xf8510c4aff3f7c11, 0xb397a673a3e27d70, 0xb150865a1b7d10ca,
  0xb7b1fffa039e131e, 0xd375982c3795e425, 0x6317ea63e5046b7f, 0x1759c3cf36d27670, 0x47f51f097e21b091,
  0x57a973262e1d2a2e, 0x03117d479127b967, 0x1602fee32a921c49, 0xaf00676d291c4273, 0x9318c9500ffd99e3,
  0xddc549702503cb5b, 0x76bcb955acfe2af9, 0xa2a551aee719cc50, 0xd372bb54b7d5d9ce, 0xc958f488735c0809,
  0x73daad115e588695, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x518edec55516920a, 0xde08dca5a97e6da0,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0x3dffc1347db0f738, 0xcb25c33d30ae4fc7, 0x332c3a4a5b387138,
  0x2610d696792bf734, 0x0000000000000069,
};

static const uint64_t ur_c32_swio15_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf2, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb139,
  0x4840ee9646ba83e2, 0xcc13e30120862dde, 0xeebec99182a91c3f, 0x25c40c2860da4606, 0xadd7e655b759dd3e,
  0xa3b05d8604384ae9, 0x4292241240ce1cde, 0xf8510c4aff3f7c11, 0x59cbd33972227d70, 0xa454219681ea8865,
  0xb6e96bfe80e784c0, 0xfa6eb30586f2bc84, 0x6e317ebdd4a0dbaf, 0x11759c3cf36d277a, 0xe47f51f097e21b09,
  0x7570e33262e1d2a2, 0x90326bd474027b96, 0x98b015fcea2921c4, 0x8ebc8b769b91e453, 0x8a928e87cdc72c67,
  0x7972ab59fc55f3bb, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xb1e910e6b81013a6, 0xb55a22bcb10d2b92,
  0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x31b94b52fcdb40a3, 0xab337f07771a2c89,
  0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x00d24e9ead2cf257,
};

static const uint64_t ur_c32_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e99a4c,
  0xee68fa9d1c13767d, 0xc602410c5bbc9b12, 0x26460aa41f3e9827, 0x30a18369181bbafb, 0x9956dd6774f89710,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x671dbb13eb87c288, 0x65a050d10cab397a,
  0xff4073c2674b1508, 0x0586f2bc84b6e6b7, 0xf2b4a0e20ffa6eb3, 0x9e6da4ef1058fea8, 0xba673ac3f37d523f,
  0xd4795efb94ed6059, 0xbb75ea3e0d98332b, 0x8a459a75a1140a62, 0xa78752135f461658, 0x5d9fc47d41ceaedc,
  0x3f92c6abc6c75ea2, 0x2fa598b8484507aa, 0x9bdaa3608991c37b, 0xf157ceee2a4a598f, 0xce6283b5e5caad67,
  0xaece75152a8d7738, 0xe0404e9b95daa5be, 0xc434ae4ac7a4439a, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xee3458f386e52d4b, 0x4c2b93f75666fe0e, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x00000013042495a5,
};

static const uint64_t ur_c32_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e27d, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb829f65887,
  0xd3e6ba85b41e1bf8, 0x316ef25a73bb4836, 0x22f67a609f180904, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b,
  0x3f5e635bfccae3d7, 0x6e6f51e006c0521c, 0x7c114292241240ed, 0x7d70f8510c4aff3f, 0x2195672f4ce1d7c2,
  0x4d95a2a10cb43672, 0x9096dee47fe80e78, 0xdffd51ba60b0de57, 0x6e317ea8ce0ca09a, 0xbace1e79c1f74ecd,
  0x3fa8f84bf10d8488, 0x26e993170feb53c0, 0xaf51e57bee53b584, 0x8aedd7a8f83660cc, 0x62291669d6845029,
  0x729e1d484d7d1859, 0x89767f11f5073abb, 0xa8fe4b1aaf1b1d7a, 0xecbe9662e121141e, 0x3e6f6a8d8226470d,
  0x9fc55f3bb8a92966, 0xe3398a0ed7972ab5, 0xfabb39d454aa35dc, 0x6b81013a6e576a96, 0xcb10d2b92b1e910e,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x2fcdb40a31dbd8aa, 0x47f1a2c8931b94b5,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x47ae792bf734332c, 0x00000000400269f3,
};

static const uint64_t ur_c32_swio15_dual_ee_hw[] = {
  0xdbbbbbb451a3a668, 0x83eead63d086fc69, 0xd0774e72beb13939, 0xb8276abbd35f7ef6, 0xe1f5ce1942da73b2,
  0xeed6573174d48b85, 0xc602410c5bbc9582, 0x9323055217459827, 0x1850c1b48c0ddd7d, 0xfccab773ba7c4b88,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa672e8627d70f851, 0x865a0bed10cab397,
  0x7ff4073c260f7150, 0x30586f2bc84b6f3b, 0x1b93941e9fff3ab7, 0x3dfa8f2bd37355ad, 0xf8af677a8f83660e,
  0x962291669d68450e, 0xcb8a973484d7d185, 0xcfe23ea0e7569753, 0xe4b1aad743af512e, 0xe9662e121141ea8f,
  0xed51b047eb70decb, 0xabe77715250087cd, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x20274dcaed52df57,
  0x1a572563d221cd70, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xdb40a8ab7b15545a,
  0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000015da645928a,
};

// c32_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_c32_swio15_dual_ee_ce_hw[] = {
  0xdeeeeeed14682906, 0x83eeac5c6f277e27, 0x705ba89f5a499f69, 0x7b0eb95ef336e17a, 0x847e15bb829f6588,
  0x2be405ed2311e1bf, 0x02410c5bbc969cee, 0x8c1548bd9e9827c6, 0x4306d2303775f64c, 0x2addcee9f12e2061,
  0x014870fd798d6ff3, 0x4903b5b9bd47801b, 0x2bfcfdf0450a4890, 0x875f09f5c3e14431, 0xd0d9c886559cbd33,
  0xa039e136568a8432, 0xc3795e425b7b91ff, 0x0ca09adff9d5b982, 0xeb4ecd6e317ea8ce, 0x21b0911759c3cf2b,
  0x7ea72e0bf51f097e, 0x729dac21374c98b8, 0xc1b306657a8f2bdf, 0xb422814c576ebd47, 0x6be8c2cb1148b34e,
  0xa839d5db94f0ea42, 0x78d8ebd44bb3f88f, 0x0908a0f547f258d5, 0x1132386f65f4b317, 0xc5494b31f37b546c,
  0xbcb955acfe2af9dd, 0xa551aee719cc5076, 0x72bb54b7d5d9cea2, 0x58f488735c0809d3, 0xdaad115e588695c9,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x18dca5a97e6da051, 0x1ef79430a9cfd427,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xebac5025453c95fb,
};

// c64_autobaud_uart0_noled_pr
static const uint64_t ur_c64_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xeea41b4d3277e68c, 0x85e6c311e3ef26ee, 0x413057793bb63d90,
  0x1a0cfedf9827c602, 0xe81102a7c25d47fc, 0x5526be70e602e910, 0x921c368ded51c2bf, 0x4819a4f51f9e3be5,
  0x5bdd308ad7d490e2, 0xe76905478cce62c0, 0x58e9ee39630475e2, 0x39c2cdf81895af61, 0xde6f2dd4180ef5af,
  0x7aaeaa72f29b19c2, 0xc67440b9b8a042d3, 0x1b94b52fcdb4e31b, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x002c22f9e4afdcd0, 0x0000000000001c44,
};

static const uint64_t ur_c64_autobaud_uart0_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbaabf0bedb8, 0xe1ff4bc7cc9ee63b, 0x6ea1c00f26eeedc4, 0x57793bab8c48e150,
  0xfedf9827c6024130, 0x40a9f09751ffa20c, 0xaf9c3980ba443a04, 0x0da37b5470afd549, 0x82fd47e80ef9610f,
  0x533df6b524389206, 0xd5fd1eb0e62c0596, 0x500ffd9823af47ce, 0x71f03cb3db1f6679, 0x9ce166fc0c4ad7b0,
  0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0x4bf36c4922adec55, 0x1ddc68b224c6e52d,
  0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xf2b4b3c95fb9a199, 0x00000000008c3269,
};

// c64_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_c64_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bdb23b, 0x1eb9210646d6ef1f, 0x9ddb0db2b92a4c08,
  0x4c13e30120982bbc, 0xf094aeffd1067f67, 0x3980ba443a0440a9, 0x7b5470afd549af9c, 0xc89355ad1ce30da3,
  0xa3e0d9834c7d4795, 0xd3ad08a1df15f75e, 0x909afa30b2c4522c, 0xb39d5a5e715c6b26, 0xba1d79d376ded1e0,
  0x211473c8c38d8d56, 0x3f5b86f65b2e62e1, 0x5ec00a89534a8d82, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0xe7c93ad2cf257ee6,
  0x00000000000004d4,
};

// c64_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2432493, 0x7777775571842b71, 0xf1f4130aa87ad2f7, 0xd1fbc5f63f777767, 0x5de4ee86e41447ce,
  0xea7a609f180904c1, 0x054f848baffe8833, 0x7ce1cc05d221d022, 0x6d1bdaa3857eaa4d, 0xcdcee3dc62fd6218,
  0xc4361222eb3879e3, 0x70fff0347ea3e12f, 0x4f4f72ceafac9931, 0x92921c4903d67a8e, 0x7f47ac398b0147ce,
  0x03ff6678ebd1f3b5, 0x1f03cb5b87d99e54, 0xce166fc0c4ad7b07, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x7e6d89218edec555, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0xd696792bf734332c, 0x0000000011ba9fad,
};

// c64_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c64_autobaud_uart0_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108371, 0x0672ef92841a6477, 0x23334a683b6f770a, 0xddb1751f7ac80627,
  0xc13e30120982bbc9, 0x249b7ffa20cfdadc, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0xa317ea8fe74368de,
  0x1759c3cf1e6e771c, 0xcbf51f097e21b091, 0x083df3262e1e9299, 0xad7f51e57d44a76b, 0x531584ff51f06cc1,
  0xb2c4522cd3ad08a0, 0xbb74e23a909afa30, 0xf3a6edbda3c1673a, 0xcf230e36355e363a, 0x1bd96cb98b848451,
  0x9d12a6951b044c8e, 0xe70b37e06256bd85, 0xcde01f50603bd6bc, 0x15d54e5e5363385b, 0x8b4b0b9c6378ce88,
  0xbf36c490c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xab4b3c95fb9a1996, 0x000000000411262f,
};

static const uint64_t ur_c64_autobaud_uart0_lednop[] = {
  0x12dddddddd66ef3a, 0xf7777777557e1719, 0x48368ebeb4f13b50, 0x5908036da45ddddd, 0x04c15de4ee82f413,
  0x3419f912609f1809, 0xd022054f84b4aff8, 0xaa4d7ce1cc05d221, 0x24386d1bdaa3857e, 0x903349ea393c77cb,
  0x2dee987ce92921c4, 0xe766be4720a73160, 0xb07dee39630475e2, 0x13859bf0312b5ec2, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xf3fb0dca5a97e6db, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0xb317ebc22f9e4afd, 0x0000000000000006,
};

// c64_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_c64_autobaud_uart0_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e172e3, 0x387f6dfa548bb63f, 0xee17f8ff17bbbb71, 0x57793bb4cd19a088,
  0xfc7b9827c6024130, 0x40a9f09775ffa20c, 0xaf9c3980ba443a04, 0x0da37b5470afd549, 0x82fd47b58ef9610f,
  0xa6f920fd24389206, 0x59e8d219cc580b2c, 0x807fecc11d7a3e76, 0x5681e59eda0b348a, 0x270b37e06256bd90,
  0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7,
  0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000230c959bad2cf,
};

// c64_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_c64_autobaud_uart0_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe82c, 0x8db1a67ed4de9a5d, 0xb5159083236b778f, 0x9dd4149ca5d84368,
  0x4c13e30120982bbc, 0xf0969bffd1067c6b, 0x3980ba443a0440a9, 0x7b5470afd549af9c, 0x995355ad1ce30da3,
  0xa3e0d9834c7d4795, 0xa75a1143be2b0f7e, 0x2135f4616588a459, 0x473ab4b9eab8d64d, 0xba1d79d3768c9193,
  0x211413c8ded58d56, 0x3f5b86f65b2e62e1, 0xbd8010fb33ca8d82, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x71a2c8931b94b52f, 0x2a73f53ab337f077,
  0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd2cf257ee6866587,
  0x000000026a70056a,
};

// c64_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c21bb8, 0xf1f2b68242fd7afb, 0xf0d3866f4f777767, 0x5de4ee94a3adf4d5,
  0xf2ba609f180904c1, 0x054f84982ffe8833, 0x7ce1cc05d221d022, 0x6d1bdaa3857eaa4d, 0xcdcee03462fd6218,
  0xc4361222eb3879e3, 0xc3a6dcedfea3e12f, 0x493dcb3abeb264c5, 0x5a4871240f59ea3f, 0xf4690ce62c054c44,
  0x3ff6678ebd1f3b2c, 0xd03cb5b9059a4540, 0xe166fc0c4ad7b20a, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x18edec555169aba7, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x008dd5be0ab4b3c9,
};

// c64_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x7777775579104771, 0x0ce0dcbb68baccf7, 0xc9c624d076deee14, 0xeeefd8580526bd89,
  0x609f180904c15de4, 0x093fcffd1067daee, 0x980ba443a0440a9f, 0xb5470afd549af9c3, 0xa8c5faa3f9d0da37,
  0x45d670f3c79b9d93, 0x07fd47c25f886c24, 0x841ef993170f950d, 0xd6bfa8f2beea53b5, 0x298af6ffa8f83660,
  0x5962291669d68450, 0x5db8f51d484d7d18, 0xbce9bb4648c9a39d, 0x13c8ded58d578d8e, 0x86f65b2e62e12114,
  0xcc7d99e546c11323, 0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00008227d9ead2cf,
};

// c64_autobaud_uart0_dual_pr        c64_autobaud_uart0_dual_pr_u4
static const uint64_t ur_c64_autobaud_uart0_dual[] = {
  0x37777776890d7f41, 0xddddddd5ac7ce2bf, 0xc11ecd8a05e843dd, 0x9ced9452b7774d2a, 0x0aeef7199b2affab,
  0x13e30120982bbc9a, 0x5f64c8c1548683cc, 0xe20614306d230377, 0xbeff328094ee9f12, 0x1ca1ec14f1c32b4d,
  0x149120920721e6f5, 0xc2886257f9fbe08a, 0xce5e99c9db13eb87, 0xa2a10cb434a4432a, 0xb774bff4073c269b,
  0xd375982c3795e425, 0x0e81102a7c24fe7f, 0xf5526be70e602e91, 0x2c4d4368ded51c2b, 0x2481887f51f229df,
  0x02a83cd38bdf490e, 0x00ced6b23afe7316, 0xd21aa01ffb30475e, 0xa92a93a07967b621, 0x12b5ec9fc55f3bb8,
  0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xa97e6db9c8ab7b15,
  0x83bb8d164498dca5, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0xb55696792bf73433, 0x000000000005c156,
};

static const uint64_t ur_c64_autobaud_uart0_dual_pr_ee[] = {
  0x377777743d686f97, 0xeeeeeeeac6efbbbf, 0xac89f55fd77a4dee, 0xdfbf764d60eeb4e3, 0x78233a19c53ac995,
  0x0120982bbc90dcee, 0x9182a91118cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0x616b670adf9a007e,
  0x1240f76a6f51e76f, 0x4aff3f7c11429224, 0x38a4827d70f8510c, 0x2d0c08886559cbd3, 0xfa039e131758a843,
  0x161bcaf212dbffcf, 0x2a7c244ebfe9bacc, 0xe70e602e910e8110, 0x68ded51c2bf5526b, 0xcad7dcd56b472243,
  0xaf51f06cc1829ea3, 0x2cd3ad08a1df15d4, 0xe6909afa30b2c452, 0xdece756973297152, 0xad743af512ed10a3,
  0xe1211408a8f9eb1a, 0x047eb70decbe9662, 0x715250084feb151b, 0x06256bd93f8abe77, 0xbd6bcf020270b37e,
  0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0xf83bb8d167bc11b9,
  0xf2861539fa9d599b, 0x68fb61ee7197e627, 0x7a615c9f8e7bff82, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x0000000a548f5bad,
};

static const uint64_t ur_c64_autobaud_uart0_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xdddddddd58dda01b, 0xd8ae751796adaefd, 0x8593eec9ac1dd29c, 0xb9a3ea75682dd9dd,
  0x8c048260aef24c8b, 0x26460aa47ad5304f, 0x30a18369181bbafb, 0xf99404a774f89710, 0x5b04db384edcd6b7,
  0x20920663f37a8fbb, 0x6257f9fbe08a1491, 0x99c67213eb87c288, 0x196814b4432ace5e, 0xffd01cf09be74542,
  0xc161bcaf212dbf4f, 0x02a7c2515bfe9bac, 0xbe70e602e910e811, 0x368ded51c2bf5526, 0x3cae3dcd56b47a54,
  0x8ff51f06cc1fc9ea, 0x22cd3ad08a1df159, 0x2e6909afa30b2c45, 0x7d21cead2e13d708, 0x56ba1d7b589d87c4,
  0xe121147408ea5d8d, 0x13ff5b86f65c7c62, 0x27f157ceee2a4ab8, 0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0,
  0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x00000052a45d95a5,
};

// c64_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart0_dual_pr_ce[] = {
  0xe6eeeeeed121a5fb, 0xdddddddd5968b9d7, 0xa75179579ced4d7d, 0x44f51f67dbbbaccd, 0x76ee9646ba83e2ac,
  0x13e30120982bbc94, 0xbec99182a91c3fcc, 0xc40c2860da4606ee, 0x4d7e650129dd3e25, 0x7b1fd87fc380689b,
  0xa48904903a1f9bd4, 0x144312bfcfdf0450, 0x72f4ce5c889f5c3e, 0x2a10cb4243a21956, 0xe96bfe80e784dfba,
  0x6eb30586f2bc84b6, 0xa0440a9f095baffa, 0x549af9c3980ba443, 0x97d0da37b5470afd, 0xe78f373b4ad18bf5,
  0x84bf10d8488bace1, 0xc98b87adf801fa8f, 0xa38df9ee59d5ea5c, 0x41f2921c4903a97e, 0x6b591d7f398b0141,
  0x500ffd99e3af0067, 0x52740f2d6e10e90d, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc,
  0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e,
  0x000000015af7d3d5,
};

static const uint64_t ur_c64_autobaud_uart0_dual_pr_ee_ce[] = {
  0xfcdddddddd431f02, 0xeeeeeeeead63f226, 0x2c4e164da8fed826, 0xc7e776d2ec4eea4c, 0x5188b36e4330a5f5,
  0x0120982bbc91ecee, 0x460aa41662cc13e3, 0xa18369181bbafb26, 0x9404a774f8971030, 0x09863833e4dd67f9,
  0x490314937a8e6b7b, 0x2bfcfdf0450a4890, 0x814889f5c3e14431, 0xa1d5e886559cbd33, 0x4073c268ad150865,
  0x86f2bc84b6e87dff, 0x3e124dbffa6eb305, 0x8730174887408815, 0x6f6a8e15faa935f3, 0x71cac7f547fba1b4,
  0x87fd735bfcf1e6e7, 0xf929dac0b374ce75, 0x3e0d9835f3d4795b, 0x75a1140a62b80dea, 0x135f4616588a459a,
  0x3dece7576e328752, 0x55e363af512ed10a, 0x5c242281151f3d63, 0xb044c8e1bd97d2cc, 0x7715252cc4feb151,
  0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1,
  0x296a5f9b6e70c76f, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x587494b670e27196, 0x9cad2cf257ee6866,
  0x0000000000018886,
};

static const uint64_t ur_c64_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0x77777768a87fa812, 0xbbbbbab209f57bf3, 0x6083399335c87bbb, 0x8591f69dba9f6eb7, 0xe5acafed0b8b2bdb,
  0x15de48437707d7e0, 0x09e4e609f180904c, 0x181bbafb26460aa4, 0x74f8971030a18369, 0x9513341ff32b0127,
  0xcdea3dc8ec0928e1, 0x0450a4890490366f, 0x5c3e144312bfcfdf, 0x6559cbd338cf589f, 0xd3f150865a1bb488,
  0x96dd9f3fe80e784d, 0xfd51ba60b0de5790, 0x43a0440a9f0921f7, 0xfd549af9c3980ba4, 0xa32870da37b5470a,
  0x9e7c033b31f8c5fa, 0x12fc4361222eb387, 0x3170e601ba1fea3e, 0x2b7f253b58426e99, 0xbd47c1b306be7a8f,
  0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650, 0xac6abc6c75ea25da, 0x598b84845022a3e7,
  0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0x7253a005bcde6c8a,
  0xde33a2077ca9bd4a, 0xedec555169aba718, 0xc6e52d4bf36dce18, 0x666fe0d1fc68b224, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xb6c793d1eb9e4afd,
  0x00000000000001fa,
};

// c64_autobaud_uart1_noled_pr
static const uint64_t ur_c64_autobaud_uart1_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85d22, 0xeea41b4d3277e68c, 0x85e6c311e3ef26ee, 0x413057793bb63d90,
  0x1a0cfedf9827c602, 0x5022054f825d47fc, 0xaa4d7f22fc05d22d, 0x24386d1bdaa3857e, 0x903349ea3f3c77cb,
  0xb7ba6115afa921c4, 0xced20a8f199cc580, 0xb1d3dc72c608ebc5, 0xce4db7e062777ec2, 0xe6f2dd4180efddf9,
  0x55d54e5e53633937, 0xce88173714085a6f, 0x7296a5f9b69c6378, 0xc790347f1a2c79c3, 0x92e19e985727eeac,
  0x961d252d9c389c65, 0x05845f3c95fb9a19, 0x0000000000038880,
};

static const uint64_t ur_c64_autobaud_uart1_noled_pr_u4[] = {
  0x96eeeeeed121bf82, 0xbbbbbbaabf0bedb8, 0xe1ff4bc7cc9ee63b, 0x6ea1c00f26eeedc4, 0x57793bab8c48e150,
  0xfedf9827c6024130, 0x8153e09751ffa20c, 0x5fc8bf01748b5408, 0x1b46f6a8e15faa93, 0x05fa8fd01df2c21e,
  0xa67bed6a4871240d, 0xabfa3d61cc580b2c, 0xa01ffb30475e8f9d, 0xe3e07967b63eccf2, 0xe726dbf0313bbf60,
  0x9bc03ea0c077eefc, 0x575539794d8ce4df, 0x2d2c2e718de33a20, 0x7e6d892455bd8aaa, 0xbb8d164498dca5a9,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x5696792bf734332c, 0x0000000011864d3e,
};

// c64_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_c64_autobaud_uart1_noled_pr_ee[] = {
  0x96eeeeeed121b705, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bdb23b, 0x1eb9210646d6ef1f, 0x9ddb0db2b92a4c08,
  0x4c13e30120982bbc, 0xe094aeffd1067f67, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x9126ab5a39c61b46,
  0x47c1b30698fa8f2b, 0xa75a1143be2beebd, 0x2135f4616588a459, 0x673ab4bce2b8d64d, 0x743af3a6edbda3c1,
  0x4228e791871b1aad, 0x7eb70decb65cc5c2, 0xfd801512a6951b04, 0xbbf39c9b6fc0c4ee, 0x937e6f00fa8301df,
  0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x96a5f9b6249156f6, 0xfe0eee3459126372, 0xbca1854e7ea75666,
  0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xf9275a59e4afdcd0,
  0x0000000000009a9c,
};

// c64_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart1_noled_pr_ce[] = {
  0x2ddddddda2432493, 0x7777775571842b71, 0xf1f4130aa87ad2f7, 0xd1fbc5f63f777767, 0x5de4ee86e41447ce,
  0xea7a609f180904c1, 0x0a9f048baffe8833, 0xfe45f80ba45aa044, 0xda37b5470afd549a, 0x9b9dc7b8c5fac430,
  0x886c2445d670f3c7, 0xe1ffe068fd47c25f, 0x9e9ee59d5f593262, 0x2524389207acf51c, 0xfe8f587316028f9d,
  0x07feccf1d7a3e76a, 0x3e0796b70fb33ca8, 0x726dbf0313bbf60e, 0xbc03ea0c077eefce, 0x75539794d8ce4df9,
  0xd2c2e718de33a205, 0xcdb12431dbd8aaa2, 0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd2cf257ee6866587, 0x000000023753f5ba,
};

// c64_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c64_autobaud_uart1_noled_pr_ee_ce[] = {
  0x2ddddddda243304a, 0x7777775579108371, 0x0672ef92841a6477, 0x23334a683b6f770a, 0xddb1751f7ac80627,
  0xc13e30120982bbc9, 0x249b7ffa20cfdadc, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0x462fd51fce86d1bd,
  0x2eb3879e3cdcee39, 0x97ea3e12fc436122, 0x107be64c5c3d2533, 0x5afea3cafa894ed6, 0xa62b09fea3e0d983,
  0x6588a459a75a1140, 0x76e9c4752135f461, 0xe74ddb7b4782ce75, 0x9e461c6c6abc6c75, 0x37b2d973170908a3,
  0x3a254d2a3608991c, 0x3936df8189ddfb0b, 0xde01f50603bf77e7, 0xbaa9cbca6c6726fc, 0x6961738c6f19d102,
  0xe6d89218edec5551, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x696792bf734332c3, 0x000000008224c5f5,
};

static const uint64_t ur_c64_autobaud_uart1_noled_ee_hw[] = {
  0xb77777768a342493, 0xdddddd55c5fc69c4, 0xdb3f60cf1ded91dd, 0xf5c9083236b778f8, 0xc9dd0dc82b4ed040,
  0x74c13e30120982bb, 0x3e094aeffeb267f6, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0xb9126ab5a39c61b4,
  0xd47c1b30698fa8f2, 0x9a75a1143be2beeb, 0xd2135f4616588a45, 0x1673ab4bce2b8d64, 0xd743af3a6edbda3c,
  0x24228e791871b1aa, 0x47eb70decb65cc5c, 0xefd801512a6951b0, 0xfbbf39c9b6fc0c4e, 0x3937e6f00fa8301d,
  0xce8815d54e5e5363, 0x62aa8b4b0b9c6378, 0x296a5f9b6249156f, 0xe50c2a73f509c637, 0x7f197e627ff787bd,
  0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0xc2ed514f257ee686, 0x000000000000589f,
};

// c64_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c64_autobaud_uart1_noled_ee_ce_hw[] = {
  0x6eeeeeed146807e1, 0xbbbbbaabc8841b89, 0x33977c9420d323bb, 0x199a5341db7bb850, 0x9dd087bf7a3af139,
  0xcc13e30120982bbc, 0x8249b7ffd64cfdad, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x9462fd51fce86d1b,
  0x45d670f3cf21cee3, 0xdffd47c25f886c24, 0x841ef993170fcb4c, 0xd6bfa8f2bea253b5, 0x298ac27fa8f83660,
  0x5962291669d68450, 0x5dba711d484d7d18, 0x79d376ded1e0b39d, 0xe791871b1aaf1b1d, 0x0decb65cc5c24228,
  0xce89534a8d822647, 0xce4db7e062777ec2, 0x37807d4180efddf9, 0xaeaa72f29b19c9bf, 0x5a585ce31bc67440,
  0xf9b624863b7b1554, 0xa73f509c637296a5, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x14f257ee68665874, 0x000000012a427255,
};

static const uint64_t ur_c64_autobaud_uart1_lednop[] = {
  0x12dddddddd66ef3a, 0xf7777777557e1719, 0x48368ebeb4f13b50, 0x5908036da45ddddd, 0x04c15de4ee82f413,
  0x3419f912609f1809, 0xa0440a9f04b4aff8, 0x549afe45f80ba45a, 0x4870da37b5470afd, 0x206693d47278ef96,
  0x5bdd30f9d2524389, 0xcecd7c8e414e62c0, 0x60fbdc72c608ebc5, 0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080,
  0xa53929d009bf379b, 0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x7f61b94b52fcdb73, 0xc6592e19e985727e,
  0xa19961d252d9c389, 0x62fd7845f3c95fb9, 0x00000000000000d6,
};

// c64_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_c64_autobaud_uart1_lednop_pr[] = {
  0x12ddddddda243762, 0x7777777557e172e3, 0x387f6dfa548bb63f, 0xee17f8ff17bbbb71, 0x57793bb4cd19a088,
  0xfc7b9827c6024130, 0x8153e09775ffa20c, 0x5fc8bf01748b5408, 0x1b46f6a8e15faa93, 0x05fa8f6b1df2c21e,
  0x4df241fa4871240d, 0xb3d1a43398b01659, 0x00ffd9823af47cec, 0xad03cb3db4166915, 0x3936df8189ddfb20,
  0x450603bf77e78101, 0x4a7253a0137e6f36, 0x18de33a2077ca9bd, 0x22adec555169aba7, 0x12637296a5f9b6e7,
  0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x0046192b375a59e4,
};

// c64_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_c64_autobaud_uart1_lednop_pr_ee[] = {
  0x4b7777776890c044, 0xddddddd55c5fe82c, 0x8db1a67ed4de9a5d, 0xb5159083236b778f, 0x9dd4149ca5d84368,
  0x4c13e30120982bbc, 0xe0969bffd1067c6b, 0xbf01748b54088153, 0xf6a8e15faa935fc8, 0x32a6ab5a39c61b46,
  0x47c1b30698fa8f2b, 0x4eb422877c561efd, 0x426be8c2cb1148b3, 0x8e756973d571ac9a, 0x743af3a6ed192326,
  0x42282791bdab1aad, 0x7eb70decb65cc5c2, 0xfb0021f667951b04, 0x81013936df8189dd, 0x6f36450603bf77e7,
  0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0xb6e722adec555169, 0x345912637296a5f9, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9,
  0x0000004d4e00ad5a,
};

// c64_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart1_lednop_pr_ce[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8c21bb8, 0xf1f2b68242fd7afb, 0xf0d3866f4f777767, 0x5de4ee94a3adf4d5,
  0xf2ba609f180904c1, 0x0a9f04982ffe8833, 0xfe45f80ba45aa044, 0xda37b5470afd549a, 0x9b9dc068c5fac430,
  0x886c2445d670f3c7, 0x874db9dbfd47c25f, 0x927b96757d64c98b, 0xb490e2481eb3d47e, 0xe8d219cc580a9888,
  0x7feccf1d7a3e7659, 0xa0796b720b348a80, 0x26dbf0313bbf6415, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x98dca5a97e6db9c3, 0xd599bf83bb8d1644, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x11bab7c15696792b,
};

// c64_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x2ddddddda2436812, 0x7777775579104771, 0x0ce0dcbb68baccf7, 0xc9c624d076deee14, 0xeeefd8580526bd89,
  0x609f180904c15de4, 0x093fcffd1067daee, 0xf01748b54088153e, 0x6a8e15faa935fc8b, 0x518bf547f3a1b46f,
  0x8bace1e78f373b27, 0x0ffa8f84bf10d848, 0x083df3262e1f2a1a, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1,
  0xb2c4522cd3ad08a0, 0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228,
  0x98fb33ca8d822647, 0x9c9b6fc0c4eefd85, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de,
  0x0c76f62aa8b4d5d3, 0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x001044fb3d5a59e4,
};

static const uint64_t ur_c64_autobaud_uart1_lednop_ee_hw[] = {
  0x5bbbbbbb451a3e4a, 0xeeeeeeaae2ff4162, 0x6d8d33f6a6f4d2ee, 0xa8ac84191b5bbc7c, 0xc9dd29475b55f345,
  0xb4c13e30120982bb, 0x3e0969bffeb267c6, 0x8bf01748b5408815, 0x6f6a8e15faa935fc, 0xb32a6ab5a39c61b4,
  0xd47c1b30698fa8f2, 0x34eb422877c561ef, 0xa426be8c2cb1148b, 0x68e756973d571ac9, 0xd743af3a6ed19232,
  0x242282791bdab1aa, 0x47eb70decb65cc5c, 0xdfb0021f667951b0, 0x781013936df8189d, 0xe6f36450603bf77e,
  0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x73f509c637296a5f, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000002c4f9a6b51,
};

// c64_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c64_autobaud_uart1_lednop_ee_ce_hw[] = {
  0x6eeeeeed14683d5b, 0xbbbbbaabc8823b89, 0x6706e5db45d667bb, 0x4e312683b6f770a0, 0x27759f3aded6ac4e,
  0x7304f8c048260aef, 0xf049fe7ff5933ed7, 0x5f80ba45aa0440a9, 0x7b5470afd549afe4, 0x3a8c5faa3f9d0da3,
  0x88bace1e79e439d9, 0xc87fa8f84bf10d84, 0x5841ef993170fd66, 0x0d6bfa8f2beea53b, 0x0298af6ffa8f8366,
  0x85962291669d6845, 0xd5db8f51d484d7d1, 0xebce9bb4648c9a39, 0x413c8ded58d578d8, 0x386f65b2e62e1211,
  0x2cc7d99e546c1132, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc, 0x9c6378ce881df2a6,
  0x3863b7b15545a6ae, 0x84e31b94b52fcdb7, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0009524ea928a792,
};

// c64_autobaud_uart1_dual_pr        c64_autobaud_uart1_dual_pr_u4
static const uint64_t ur_c64_autobaud_uart1_dual[] = {
  0x37777776890d7f41, 0xddddddd5ac7ce2bf, 0xc11ecd8a05e843dd, 0x9ced9452b7774d2a, 0x0aeef7199b2affab,
  0x13e30120982bbc9a, 0x5f64c8c1548683cc, 0xe20614306d230377, 0xbeff328094ee9f12, 0x1ca1ec14f1c32b4d,
  0x149120920721e6f5, 0xc2886257f9fbe08a, 0xce5e99c9db13eb87, 0xa2a10cb434a4432a, 0xb774bff4073c269b,
  0xd375982c3795e425, 0xd5022054f824fe7f, 0xeaa4d7f22fc05d22, 0x589a86d1bdaa3857, 0x490310fea3e453be,
  0x055079a717be921c, 0x019dad6475fce62c, 0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x4eefd93f8abe7771,
  0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa,
  0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe,
  0x87494b670e271964, 0xaad2cf257ee68665, 0x0000000000b82ad6,
};

static const uint64_t ur_c64_autobaud_uart1_dual_pr_ee[] = {
  0x377777743d686f97, 0xeeeeeeeac6efbbbf, 0xac89f55fd77a4dee, 0xdfbf764d60eeb4e3, 0x78233a19c53ac995,
  0x0120982bbc90dcee, 0x9182a91118cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0x616b670adf9a007e,
  0x1240f76a6f51e76f, 0x4aff3f7c11429224, 0x38a4827d70f8510c, 0x2d0c08886559cbd3, 0xfa039e131758a843,
  0x161bcaf212dbffcf, 0x54f8244ebfe9bacc, 0xf22fc05d22d50220, 0xd1bdaa3857eaa4d7, 0x95afb9aad68e4486,
  0x5ea3e0d983053d47, 0x59a75a1143be2ba9, 0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147,
  0xc242281151f3d635, 0x08fd6e1bd97d2cc5, 0xe2a4a0109fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8,
  0x0137e6f36450603b, 0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0x07771a2cf7823729,
  0x50c2a73f53ab337f, 0x1f6c3dce32fcc4fe, 0x4c2b93f1cf7ff04d, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x0000014a91eb75a5,
};

static const uint64_t ur_c64_autobaud_uart1_dual_pr_ee_u4[] = {
  0xf37777776890cf68, 0xdddddddd58dda01b, 0xd8ae751796adaefd, 0x8593eec9ac1dd29c, 0xb9a3ea75682dd9dd,
  0x8c048260aef24c8b, 0x26460aa47ad5304f, 0x30a18369181bbafb, 0xf99404a774f89710, 0x5b04db384edcd6b7,
  0x20920663f37a8fbb, 0x6257f9fbe08a1491, 0x99c67213eb87c288, 0x196814b4432ace5e, 0xffd01cf09be74542,
  0xc161bcaf212dbf4f, 0x054f82515bfe9bac, 0x7f22fc05d22d5022, 0x6d1bdaa3857eaa4d, 0x795c7b9aad68f4a8,
  0x1fea3e0d983f93d4, 0x459a75a1143be2b3, 0x5cd2135f4616588a, 0xfa439d5a5c27ae10, 0xad743af6b13b0f88,
  0xc24228e811d4bb1a, 0x27feb70decb8f8c5, 0x4fe2af9ddc549570, 0x02726dbf0313bbf6, 0x6c8a0c077eefcf02,
  0x7a94e4a74026fcde, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00000a548bb2b4b3,
};

// c64_autobaud_uart1_dual_pr_ce_u4
static const uint64_t ur_c64_autobaud_uart1_dual_pr_ce[] = {
  0xe6eeeeeed121a5fb, 0xdddddddd5968b9d7, 0xa75179579ced4d7d, 0x44f51f67dbbbaccd, 0x76ee9646ba83e2ac,
  0x13e30120982bbc94, 0xbec99182a91c3fcc, 0xc40c2860da4606ee, 0x4d7e650129dd3e25, 0x7b1fd87fc380689b,
  0xa48904903a1f9bd4, 0x144312bfcfdf0450, 0x72f4ce5c889f5c3e, 0x2a10cb4243a21956, 0xe96bfe80e784dfba,
  0x6eb30586f2bc84b6, 0x4088153e095baffa, 0xa935fc8bf01748b5, 0x2fa1b46f6a8e15fa, 0xcf1e6e7695a317eb,
  0x097e21b0911759c3, 0x93170f5bf003f51f, 0x471bf3dcb3abd4b9, 0x83e52438920752fd, 0xd6b23afe73160282,
  0xa01ffb33c75e00ce, 0xa4e81e5adc21d21a, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x6f36450603bf77e7,
  0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2,
  0x0000002b5efa7ab4,
};

static const uint64_t ur_c64_autobaud_uart1_dual_pr_ee_ce[] = {
  0xfcdddddddd431f02, 0xeeeeeeeead63f226, 0x2c4e164da8fed826, 0xc7e776d2ec4eea4c, 0x5188b36e4330a5f5,
  0x0120982bbc91ecee, 0x460aa41662cc13e3, 0xa18369181bbafb26, 0x9404a774f8971030, 0x09863833e4dd67f9,
  0x490314937a8e6b7b, 0x2bfcfdf0450a4890, 0x814889f5c3e14431, 0xa1d5e886559cbd33, 0x4073c268ad150865,
  0x86f2bc84b6e87dff, 0x7c124dbffa6eb305, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0xe3958fea8ff74368,
  0x0ffae6b7f9e3cdce, 0xf253b58166e99ceb, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0x8189ddfb27f157ce, 0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xfe0eee3458f386e5, 0x70cf4c2b93f75666, 0x0e9296ce1c4e32c9, 0x95a59e4afdcd0ccb,
  0x00000000003110d3,
};

static const uint64_t ur_c64_autobaud_uart1_dual_pr_ee_ce_u4[] = {
  0x77777768a87fa812, 0xbbbbbab209f57bf3, 0x6083399335c87bbb, 0x8591f69dba9f6eb7, 0xe5acafed0b8b2bdb,
  0x15de48437707d7e0, 0x09e4e609f180904c, 0x181bbafb26460aa4, 0x74f8971030a18369, 0x9513341ff32b0127,
  0xcdea3dc8ec0928e1, 0x0450a4890490366f, 0x5c3e144312bfcfdf, 0x6559cbd338cf589f, 0xd3f150865a1bb488,
  0x96dd9f3fe80e784d, 0xfd51ba60b0de5790, 0xb54088153e0921f7, 0xfaa935fc8bf01748, 0x4650e1b46f6a8e15,
  0x3cf8067663f18bf5, 0x25f886c2445d670f, 0x62e1cc03743fd47c, 0x56fe4a76b084dd32, 0x7a8f83660d7cf51e,
  0x669d68450298ae03, 0xd484d7d185962291, 0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf,
  0x546c1132386f65f4, 0xf9ddc5494b313fac, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0xdca5a97e6db9c31d, 0xcdfc1a3f8d164498, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xd8f27a3d73c95fb9,
  0x0000000000003f56,
};

static const uint64_t ur_c64_autobaud_uart1_dual_ee_hw[] = {
  0x9bbbbbbb451a25fb, 0x777777756377dddf, 0xd644faafebbd26f7, 0xefdfbb26b0775a71, 0xee9646bae95664ca,
  0xe30120982bbc90dc, 0xc99182a91118cc13, 0x0c2860da4606eebe, 0x7e657419dd3e25c4, 0x6f616b670adf9a00,
  0x241240f76a6f51e7, 0x0c4aff3f7c114292, 0xd338a4827d70f851, 0x432d0c08886559cb, 0xcffa039e131758a8,
  0xcc161bcaf212dbff, 0x2054f8244ebfcead, 0xd7f22fc05d22d502, 0x86d1bdaa3857eaa4, 0x4795afb9aad68e44,
  0xa95ea3e0d983053d, 0xa459a75a1143be2b, 0xa5cd2135f4616588, 0x47bd9cead2e652e2, 0x355ae875ea25da21,
  0xc5c242281151f3d6, 0x3608fd6e1bd97d2c, 0xeee2a4a0109fd62a, 0xf8189ddfb27f157c, 0x3bf77e781013936d,
  0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x296a5f9b6e722ade, 0xe50c2a73f509c637,
  0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0xb3c9d14f257ee686,
  0x00000000000160e5,
};

// c64_autobaud_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c64_autobaud_uart1_dual_ee_ce_hw[] = {
  0xddddddda28d08f43, 0xeeeeeeac827d5efc, 0xd820ce64cd721eee, 0xe1647da76ea7dbad, 0xfb5ab6a71ae2caf6,
  0x04c15de484377789, 0xaa409e4e609f1809, 0x369181bbafb26460, 0x06774f8971030a18, 0x470ca899a0ff995d,
  0xb37e6f51ee476049, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0xa4432ace5e99c67a, 0xc26e9f8a8432d0dd,
  0xbc84b6ecf9ff4073, 0x43eff3ab730586f2, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0x17ea8ca1c368ded5,
  0x670f3cf21cecc7e3, 0xd47c25f886c2445d, 0x6e993170ece5d1ff, 0x7a8f2b7f253b5842, 0x5701bd47c1b306be,
  0x1148b34eb422814c, 0xc650ea426be8c2cb, 0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022,
  0x9fd62a3608991c37, 0x7f157ceee2a4a598, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x138c6e52d4bf36dc, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x02134cdb75a29e4a,
};

// c64_u1x8_uart0_noled_pr
static const uint64_t ur_c64_u1x8_uart0_noled[] = {
  0xb777775ddacdfc4f, 0xdddddd55d870bdc4, 0xcad9fbbf0feb11dd, 0x71fad2fcdddd2202, 0x7793bb0bd68f1e82,
  0xc149827c60241305, 0x0b7b02f93fe0d067, 0x3be5843dce6fed10, 0x90e2481a0bf51fa0, 0x98b016594cf7dad4,
  0x8ebd1f3b57f47ac3, 0x6c7d99e5403ff660, 0x312b5ec1c7c0f2cf, 0x301deb5e73859bf0, 0x29b19c2de6f00fa8,
  0x31bc67440aeaa72f, 0x8ab7b15545a585ce, 0xce1b94b52fcdb124, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0xd0ccb0e9296ce1c4, 0x20072c22f9e4afdc, 0x000000000000001f,
};

static const uint64_t ur_c64_u1x8_uart0_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xddddd55d870bdc4b, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0xe4ee8d35c7e3fe9f,
  0x52609f180904c15d, 0xb7b02f93ff4419f0, 0xbe5843dce6fed100, 0x0e2481a0bf51fa03, 0x8b016594cf7dad49,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x12b5ec1c7c0f2cf6, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x31b94b52fcdb1248, 0xab337f07771a2c89, 0x787bde50c2a73f53,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x1f274793ad2cf257,
};

// c64_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9041225, 0x2f0a7a636f4ddeee, 0xc662705f0bddddfe, 0xdb1361aa280a0666,
  0x13e30120982bbc9d, 0x13a5ffd1067ca5cc, 0x9c6e737f68805bd8, 0x8fa8f2b9126ab5a3, 0xe2beebd47c1b3069,
  0x588a459a75a1143b, 0x2b8d64d2135f4616, 0xdbda3c1673ab4bce, 0x71b1aad743af3a6e, 0x65cc5c24228e7918,
  0x6951b047eb70decb, 0x7e06256bd801512a, 0xf50603bd6bce70b3, 0xe5e5363385bcde01, 0xb9c6378ce8815d54,
  0x249156f62aa8b4b0, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000013afc6875a59,
};

static const uint64_t ur_c64_u1x8_uart0_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x5941c5a64efcd19b, 0x79b0c478fbc9bbba, 0x4c15de4eed8f6421,
  0x833fb7e609f18090, 0x68805bd81751ff06, 0xb1f2c7f5e82e737f, 0x0ee4fe77e79b8773, 0x2e7b965d63399ceb,
  0xa4871240f19fa8f5, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xf0312b5ec1d7e1ee, 0x6f301deb5e73859b,
  0x306a6c4a7ef9c2de, 0x3a2042063042d392, 0xca5a97e6da718de3, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x587494b670e27196, 0x16117cf257ee6866, 0x0000000000016ea0,
};

static const uint64_t ur_c64_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e6131dc4b, 0x782ff1fc7f568ddd, 0xc2ac9933ddddd5b7, 0xbc9dd8361ba199ba,
  0xc9cc13e30120982b, 0x5bd812fbffd1067d, 0x8bf5886e737f6880, 0xace1e78f373b8f71, 0xfa8f84bf10d8488b,
  0xbeb264c5c3ffc0d1, 0x0f59ea393d3dcb3a, 0x2c051f3a4a487124, 0xaf47ced5fd1eb0e6, 0x1f6679500ffd99e3,
  0x12b5ec1c7c0f2d6e, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83, 0x1bc67440aeaa72f2, 0x3b7b15545a585ce3,
  0x637296a5f9b62486, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x375c0bb55a59e4af,
};

// c64_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u1x8_uart0_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce27e9c4b, 0x647ea2833de9dbbb, 0x3697a90bdeef8f7a, 0x49962f93b3ef92d3,
  0x3e30120982bbc9dd, 0x4b5ffa20cf98fcc1, 0x75ce6fed100b7b02, 0xe6e771ca317ea8fe, 0xe21b0911759c3cf1,
  0xe1e9299cbf51f097, 0xd44a76b083df3262, 0x1f06cc1ad7f51e57, 0x3ad08a0531584ff5, 0x09afa30b2c4522cd,
  0x3c1673abb74e23a9, 0x55e363af3a6edbda, 0xb848451cf230e363, 0xb044c8e1bd96cb98, 0x256bd859d12a6951,
  0x03bd6bce70b37e06, 0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xc6e52d4bf36c490c,
  0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x27e2538eb4b3c95f,
};

// c64_u1x8_uart0_lednop_pr
static const uint64_t ur_c64_u1x8_uart0_lednop[] = {
  0xb777775ddacdfebe, 0xeeeeeeaaec38f244, 0xb2e6fc1cd0778fee, 0xad0bdbf6ddddcd60, 0xef2777c7e145c490,
  0xaf9304f8c048260a, 0x16f60498ffc1a0cf, 0x77cb243b9cdfda20, 0x21c4903349ea393c, 0x31602dee987ce929,
  0x75e2e766be4720a7, 0x5ec2b07dee396304, 0x781013859bf0312b, 0xf379b228301deb5e, 0xf2a6f529c94e8016,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xfc68b1e70dca5a97, 0x615c9fbab31e40d1, 0xb670e271964b867a,
  0xf257ee6866587494, 0x000001f21ce6117c,
};

static const uint64_t ur_c64_u1x8_uart0_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d8706bc4b, 0xa2f7b3dfb6933ddd, 0x95d7f89dddd2202c, 0x93bb4169982ff23e,
  0x09827c6024130577, 0xdec0a6effd1067d0, 0xf9610f739bfb4402, 0x38920682fd47b58e, 0x580b2ca6f920fd24,
  0x7a3e7659e8d219cc, 0x0b348a807fecc11d, 0x56bd905681e59eda, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0,
  0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0xead2cf257ee68665,
  0x0000000001f26b8b,
};

// c64_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d72056e25, 0x2d04c2aa1eb4bddd, 0xfb1e705f0bddddfe, 0x43720a23e768fde2,
  0x4f8c048260aef277, 0x45d7ff4419f53d30, 0x71b9cdfda2016f60, 0x3ea3cacca9aad68e, 0x1587bf51f06cc1a6,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x4648c9a39d5a5cf5, 0x6ac6ab5d0ebce9bb, 0x973170908a09e46f,
  0xe546c11fadc37b2d, 0xf0312b5ec0087d99, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xb9fadd696792bf73, 0x000000000000004e,
};

// c64_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c64_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e6114dc4b, 0x7e3b05fe974d8ddd, 0x90424200ddddd5b7, 0xef27751d94aa16ec,
  0x74b304f8c048260a, 0x16f605fbbff4419f, 0x62fd621b9cdfda20, 0xeb3879e3cdcee034, 0xfea3e12fc4361222,
  0xbeb264c5c3a6dced, 0x0f59ea3f493dcb3a, 0x2c054c445a487124, 0xbd1f3b2cf4690ce6, 0x059a45403ff6678e,
  0x4ad7b20ad03cb5b9, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2,
  0x4bf36dce18edec55, 0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f,
  0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x92b4b3c95fb9a199, 0x0000000000375c6a,
};

// c64_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce27c8c4b, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0x087bf702c75e5dac,
  0x3e30120982bbc9dd, 0xe9fffd1067ffe4c1, 0x75ce6fed100b7b02, 0xe6e764ea317ea8fe, 0xe21b0911759c3cf1,
  0xc3e54341ff51f097, 0xba94ed6107be64c5, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x4ad7b0b31f667951,
  0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x4bf36dce18edec55,
  0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0x7eb4b3c95fb9a199, 0x000000000013f2cb,
};

// c64_u1x8_uart0_dual_pr            c64_u1x8_uart0_dual_pr_u4
static const uint64_t ur_c64_u1x8_uart0_dual[] = {
  0xddddd60f4486bd5b, 0x7777756266f5afcd, 0x4a73338e3a76b777, 0x8ac323bdddd69764, 0x6dddddfb84e5682d,
  0x27c6024130577925, 0xbec99182a90cdf98, 0xc40c2860da4606ee, 0x43fe650129dd3e25, 0x3945d8393387ce9a,
  0x1491209206fe4dea, 0xc2886257f9fbe08a, 0x672f4ce05a13eb87, 0x5150865a098a2195, 0xdb98fffa039e1346,
  0xe9bacc161bcaf212, 0x6fed100b7b023d7f, 0xf51f229df2c4d5ce, 0x38bdf490e2481887, 0x23afe731602a83cd,
  0xffb30475e00ced6b, 0x07967b621d21aa01, 0xfc55f3bb8a92a93a, 0x13859bf0312b5ec9, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x64498dca5a97e6db, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000a49df5456967,
};

// c64_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeeb07a2436f02, 0x777775653745f7e6, 0x2af4fbfb5a807777, 0x0432e364774c894a, 0x1f35d08459baafad,
  0x41305779306ddcfe, 0x05521dbb9827c602, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x8f9c066e6ddafcca,
  0x40c9d4dea385ad81, 0xff3f7c1142922412, 0xd6627d70f8510c4a, 0x04ac886559cbd339, 0x039e132fb8a8432d,
  0x1bcaf212db9c1ffa, 0xf60595bfe9bacc16, 0x68e44b9cdfda2016, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0x912637296a5f9b6e, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000015913415a59e,
};

// c64_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_c64_u1x8_uart0_dual_pr_ce[] = {
  0xddddd60f44860aac, 0xeeeeead0bfaeefcd, 0x8d49c9b168ebeeee, 0xf62eafb777448991, 0x777d5e5902c70455,
  0xf180904c15de4f91, 0x64c8c154836ee609, 0x0614306d2303775f, 0xff328094ee9f12e2, 0xe5b038270eaf9a87,
  0x4482481dba9bd478, 0x21895fe7ef822852, 0x7a673b044fae1f0a, 0x8432d07f110cab39, 0xfbffa039e136df8a,
  0xacc161bcaf212dbe, 0xa2016f60470ffe9b, 0x568c5facbeb9cdfd, 0x445d670f3c79b9da, 0xc00fd47c25f886c2,
  0xceaf52e64c5c3d6f, 0x481d4bf51c6fcf72, 0xcc580a0a0f9490e2, 0x1d78033b5ac8ebf9, 0x7087486a807feccf,
  0x3bb8a92a93a0796b, 0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xb94b52fcdb73863b, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x92138bad2cf257ee, 0x0000000000000006,
};

static const uint64_t ur_c64_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeb07d4143359b, 0x7777562675df7e6e, 0xd740362fa0fb7777, 0x17ad12ef74054e24, 0xcc29368d7526f265,
  0x04c15de494e770f0, 0x15484e3e609f1809, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0x6f9c2004c293f328,
  0x034db9bd47b5bd85, 0xfcfdf0450a489049, 0x6f89f5c3e144312b, 0x4ae4432ace5e99ce, 0x1cf098a1c5421968,
  0xde579096dc347fd0, 0xb024b5ff4dd660b0, 0x8ff75ce6fed100b7, 0xf9e3cdcee3958fea, 0x66e99ceb0f722495,
  0xe7a8f2b7f253b581, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae,
  0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x404e166fc0c4ad7b,
  0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a, 0xb03d0c6e52d4bf36,
  0xfd4eaccdfc1ddc68, 0x1f6c389c69430a9c, 0x5c33d30ae4fc07cd, 0xc3a4a5b387138cb2, 0x2d696792bf734332,
  0x000000000010003a,
};

static const uint64_t ur_c64_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87f3202, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xbde4fa6b0ce34f26,
  0x57792769dc34e83e, 0x9aa49827c6024130, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0x96a666ffe656024e,
  0x9bd47ec1d85e19c3, 0x0450a4890490343e, 0x5c3e144312bfcfdf, 0x6559cbd339c8389f, 0x6ce8a8432d027488,
  0x12dbc00ffa039e13, 0xffaa374c161bcaf2, 0x737f68805bd81068, 0x7663f18bf54650ee, 0xc2445d670f3cf806,
  0x03743fd47c25f886, 0x76b084dd3262e1cc, 0x660d7cf51e56fe4a, 0x450298ae037a8f83, 0xd185962291669d68,
  0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b, 0x08a04547cf58d578, 0x32386f65f4b31709, 0x494b313fac546c11,
  0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744,
  0x97e6db9c31dbd8aa, 0xa3f8d164498dca5a, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xa3d73c95fb9a1996, 0x0000000020022ac5,
};

// c64_u1x8_uart1_noled_pr
static const uint64_t ur_c64_u1x8_uart1_noled[] = {
  0xb777775ddacdfc4f, 0xdddddd55d870bdc4, 0xcad9fbbf0feb11dd, 0x71fad2fcdddd2202, 0x7793bb0bd68f1e82,
  0xc149827c60241305, 0x637b02f93fe0d067, 0x3be5843d716fed32, 0x90e2481a0bf51fa0, 0x98b016594cf7dad4,
  0x8ebd1f3b57f47ac3, 0x6c7d99e5403ff660, 0x62777ec1c7c0f2cf, 0x80efddf9ce4db7e0, 0x9b19c9bf37807d41,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0xe1b94b52fcdb1248, 0x5663c81a3f8d163c, 0x32c970cf4c2b93f7,
  0x0ccb0e9296ce1c4e, 0x0072c22f9e4afdcd, 0x00000000000001f2,
};

static const uint64_t ur_c64_u1x8_uart1_noled_pr_u4[] = {
  0x777775dd4486bd3a, 0xddddd55d870bdc4b, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0xe4ee8d35c7e3fe9f,
  0x52609f180904c15d, 0x37b02f93ff4419f0, 0xbe5843d716fed326, 0x0e2481a0bf51fa03, 0x8b016594cf7dad49,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x2777ec1c7c0f2cf6, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0x1b94b52fcdb1248a, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xf274793ad2cf257e,
  0x0000000000000001,
};

// c64_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart1_noled_pr_ee[] = {
  0xbbbbbaeea2433a31, 0xeeeeeaaeb9041225, 0x2f0a7a636f4ddeee, 0xc662705f0bddddfe, 0xdb1361aa280a0666,
  0x13e30120982bbc9d, 0x13a5ffd1067ca5cc, 0x9c6b8b7f69931bd8, 0x8fa8f2b9126ab5a3, 0xe2beebd47c1b3069,
  0x588a459a75a1143b, 0x2b8d64d2135f4616, 0xdbda3c1673ab4bce, 0x71b1aad743af3a6e, 0x65cc5c24228e7918,
  0x6951b047eb70decb, 0xfc0c4eefd801512a, 0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e,
  0x49156f62aa8b4b0b, 0x912637296a5f9b62, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00013afc6875a59e,
};

static const uint64_t ur_c64_u1x8_uart1_noled_pr_ce[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbaab8832458, 0x5941c5a64efcd19b, 0x79b0c478fbc9bbba, 0x4c15de4eed8f6421,
  0x833fb7e609f18090, 0x69931bd81751ff06, 0xb1f2c7f5e82b8b7f, 0x0ee4fe77e79b8773, 0x2e7b965d63399ceb,
  0xa4871240f19fa8f5, 0x1a839cc580bd0243, 0x39633c75e2e76a25, 0xe062777ec1d7e1ee, 0x7980efddf9ce4db7,
  0x06a6c4a7ef9c9bf3, 0xa2042063042d3923, 0xa5a97e6da718de33, 0xe40d1fc68b1e70dc, 0xb867a615c9fbab31,
  0x87494b670e271964, 0x6117cf257ee68665, 0x000000000016ea01,
};

static const uint64_t ur_c64_u1x8_uart1_noled_pr_ce_u4[] = {
  0x777775dd44860cc5, 0xddddd55e6131dc4b, 0x782ff1fc7f568ddd, 0xc2ac9933ddddd5b7, 0xbc9dd8361ba199ba,
  0xc9cc13e30120982b, 0x1bd812fbffd1067d, 0x8bf5886b8b7f6993, 0xace1e78f373b8f71, 0xfa8f84bf10d8488b,
  0xbeb264c5c3ffc0d1, 0x0f59ea393d3dcb3a, 0x2c051f3a4a487124, 0xaf47ced5fd1eb0e6, 0x1f6679500ffd99e3,
  0x2777ec1c7c0f2d6e, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418, 0xbc67440aeaa72f29, 0xb7b15545a585ce31,
  0x37296a5f9b624863, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x75c0bb55a59e4afd, 0x0000000000000003,
};

// c64_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u1x8_uart1_noled_pr_ee_ce[] = {
  0x777775dd44864aa4, 0xbbbbaabce27e9c4b, 0x647ea2833de9dbbb, 0x3697a90bdeef8f7a, 0x49962f93b3ef92d3,
  0x3e30120982bbc9dd, 0x4b5ffa20cf98fcc1, 0x75716fed32637b02, 0xe6e771ca317ea8fe, 0xe21b0911759c3cf1,
  0xe1e9299cbf51f097, 0xd44a76b083df3262, 0x1f06cc1ad7f51e57, 0x3ad08a0531584ff5, 0x09afa30b2c4522cd,
  0x3c1673abb74e23a9, 0x55e363af3a6edbda, 0xb848451cf230e363, 0xb044c8e1bd96cb98, 0x4eefd859d12a6951,
  0x1dfbbf39c9b6fc0c, 0x633937e6f00fa830, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x6e52d4bf36c490c7,
  0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0x7e2538eb4b3c95fb, 0x0000000000000002,
};

static const uint64_t ur_c64_u1x8_uart1_noled_ee_hw[] = {
  0xddddd77514680cc5, 0x77775575c820912d, 0x7853d31b7a6ef777, 0x331382f85eeeeff1, 0xdd8361bb4dd03336,
  0xc13e30120982bbc9, 0x813a5ffeb267ca5c, 0x39c6b8b7f69931bd, 0x98fa8f2b9126ab5a, 0xbe2beebd47c1b306,
  0x6588a459a75a1143, 0xe2b8d64d2135f461, 0xedbda3c1673ab4bc, 0x871b1aad743af3a6, 0xb65cc5c24228e791,
  0xa6951b047eb70dec, 0x6fc0c4eefd801512, 0xfa8301dfbbf39c9b, 0xe5e53633937e6f00, 0xb9c6378ce8815d54,
  0x249156f62aa8b4b0, 0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x00002df1a6b514f2,
};

// c64_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c64_u1x8_uart1_noled_ee_ce_hw[] = {
  0xbbbbbaeea28d0582, 0xddddd55e713f4e25, 0x323f51419ef4eddd, 0x9b4bd485ef77c7bd, 0x774ed043d2d5c969,
  0x304f8c048260aef2, 0xc092d7ff5933e63f, 0x3f9d5c5bfb4c98de, 0x79e439dc728c5faa, 0x4bf10d8488bace1e,
  0x62e1f9699bffa8f8, 0x57d44a76b083df32, 0xf51f06cc1ad7f51e, 0xcd3ad08a0531584f, 0xa909afa30b2c4522,
  0xda3c1673abb74e23, 0x6355e363af3a6edb, 0x98b848451cf230e3, 0x51b044c8e1bd96cb, 0x0c4eefd859d12a69,
  0x301dfbbf39c9b6fc, 0x53633937e6f00fa8, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x8c6e52d4bf36c490,
  0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c,
  0x280a03eea29e4afd,
};

// c64_u1x8_uart1_lednop_pr
static const uint64_t ur_c64_u1x8_uart1_lednop[] = {
  0xb777775ddacdfebe, 0xeeeeeeaaec38f244, 0xb2e6fc1cd0778fee, 0xad0bdbf6ddddcd60, 0xef2777c7e145c490,
  0xaf9304f8c048260a, 0xc6f60498ffc1a0cf, 0x77cb243ae2dfda64, 0x21c4903349ea393c, 0x31602dee987ce929,
  0x75e2e766be4720a7, 0x7ec2b07dee396304, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xc68b1e70dca5a97e, 0x15c9fbab31e40d1f, 0x670e271964b867a6,
  0x257ee6866587494b, 0x00001f21ce6117cf,
};

static const uint64_t ur_c64_u1x8_uart1_lednop_pr_u4[] = {
  0x777775dd44861c3b, 0xddddd55d8706bc4b, 0xa2f7b3dfb6933ddd, 0x95d7f89dddd2202c, 0x93bb4169982ff23e,
  0x09827c6024130577, 0xdec0a6effd1067d0, 0xf9610f5c5bfb4c98, 0x38920682fd47b58e, 0x580b2ca6f920fd24,
  0x7a3e7659e8d219cc, 0x0b348a807fecc11d, 0xeefd905681e59eda, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb,
  0xbe54dea53929d009, 0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x771a2c8931b94b52, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658,
  0x000000001f26b8be,
};

// c64_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart1_lednop_pr_ee[] = {
  0xbbbbbaeea2432493, 0xddddd55d72056e25, 0x2d04c2aa1eb4bddd, 0xfb1e705f0bddddfe, 0x43720a23e768fde2,
  0x4f8c048260aef277, 0x45d7ff4419f53d30, 0x71ae2dfda64c6f60, 0x3ea3cacca9aad68e, 0x1587bf51f06cc1a6,
  0xc4522cd3ad08a1df, 0x5c6b26909afa30b2, 0x4648c9a39d5a5cf5, 0x6ac6ab5d0ebce9bb, 0x973170908a09e46f,
  0xe546c11fadc37b2d, 0xe062777ec0087d99, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94,
  0x15545a6ae9c6378c, 0xa5a97e6db9c8ab7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d,
  0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x9fadd696792bf734, 0x00000000000004eb,
};

// c64_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c64_u1x8_uart1_lednop_pr_ce[] = {
  0x777775dd44862d7b, 0xddddd55e6114dc4b, 0x7e3b05fe974d8ddd, 0x90424200ddddd5b7, 0xef27751d94aa16ec,
  0x74b304f8c048260a, 0xc6f605fbbff4419f, 0x62fd621ae2dfda64, 0xeb3879e3cdcee034, 0xfea3e12fc4361222,
  0xbeb264c5c3a6dced, 0x0f59ea3f493dcb3a, 0x2c054c445a487124, 0xbd1f3b2cf4690ce6, 0x059a45403ff6678e,
  0x9ddfb20ad03cb5b9, 0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20,
  0xbf36dce18edec555, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x2b4b3c95fb9a1996, 0x000000000375c6a9,
};

// c64_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u1x8_uart1_lednop_pr_ee_ce[] = {
  0x777775dd448607e1, 0xbbbbaabce27c8c4b, 0x7f4c8f9fbd123bbb, 0x17afa90bdeef8f7a, 0x087bf702c75e5dac,
  0x3e30120982bbc9dd, 0xe9fffd1067ffe4c1, 0x75716fed32637b02, 0xe6e764ea317ea8fe, 0xe21b0911759c3cf1,
  0xc3e54341ff51f097, 0xba94ed6107be64c5, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a,
  0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x9ddfb0b31f667951,
  0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01, 0x169aba718de33a20, 0xbf36dce18edec555,
  0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xeb4b3c95fb9a1996, 0x00000000013f2cb7,
};

static const uint64_t ur_c64_u1x8_uart1_lednop_ee_hw[] = {
  0xddddd77514682d7b, 0xeeeeaaeb902b712d, 0x68261550f5a5eeee, 0xd8f382f85eeeeff1, 0x751d94ad7647ef17,
  0x04f8c048260aef27, 0x045d7ffac99f53d3, 0xe71ae2dfda64c6f6, 0x63ea3cacca9aad68, 0xf1587bf51f06cc1a,
  0x2c4522cd3ad08a1d, 0x55c6b26909afa30b, 0xb4648c9a39d5a5cf, 0xf6ac6ab5d0ebce9b, 0xd973170908a09e46,
  0x9e546c11fadc37b2, 0x7e062777ec0087d9, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x79430a9cfd42718d, 0x1fc65f989ffde1ef, 0x7f81fbf619a3ed87,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xeecb5453c95fb9a1, 0x00000000000000b7,
};

// c64_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c64_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xb777775dd451a111, 0xbbbbbaabce27c8c4, 0xa7f4c8f9fbd123bb, 0xc17afa90bdeef8f7, 0x4eeabe67da58a5da,
  0x2609f180904c15de, 0xd8174ffff5933fff, 0x47f3ab8b7f69931b, 0xcf3c873b27518bf5, 0x097e21b0911759c3,
  0x262e1facd90ff51f, 0xe57dd4a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed, 0x3a909afa30b2c452,
  0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6, 0xc0c4eefd8598fb33,
  0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6,
  0x50c2a73f509c6372, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xd52514f257ee6866, 0x000000000000a021,
};

// c64_u1x8_uart1_dual_pr            c64_u1x8_uart1_dual_pr_u4
static const uint64_t ur_c64_u1x8_uart1_dual[] = {
  0xddddd60f4486bd5b, 0x7777756266f5afcd, 0x4a73338e3a76b777, 0x8ac323bdddd69764, 0x6dddddfb84e5682d,
  0x27c6024130577925, 0xbec99182a90cdf98, 0xc40c2860da4606ee, 0x43fe650129dd3e25, 0x3945d8393387ce9a,
  0x1491209206fe4dea, 0xc2886257f9fbe08a, 0x672f4ce05a13eb87, 0x5150865a098a2195, 0xdb98fffa039e1346,
  0xe9bacc161bcaf212, 0x6fed32637b023d7f, 0xf51f229df2c4d571, 0x38bdf490e2481887, 0x23afe731602a83cd,
  0xffb30475e00ced6b, 0x07967b621d21aa01, 0xfc55f3bb8a92a93a, 0x4e4db7e062777ec9, 0x914180efddf9e040,
  0x529c94e804df9bcd, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x000a49df54569679,
};

// c64_u1x8_uart1_dual_pr_ee_u4
static const uint64_t ur_c64_u1x8_uart1_dual_pr_ee[] = {
  0xeeeeeb07a2436f02, 0x777775653745f7e6, 0x2af4fbfb5a807777, 0x0432e364774c894a, 0x1f35d08459baafad,
  0x41305779306ddcfe, 0x05521dbb9827c602, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x8f9c066e6ddafcca,
  0x40c9d4dea385ad81, 0xff3f7c1142922412, 0xd6627d70f8510c4a, 0x04ac886559cbd339, 0x039e132fb8a8432d,
  0x1bcaf212db9c1ffa, 0xf60595bfe9bacc16, 0x68e44ae2dfda64c6, 0x3053d4795afb9aad, 0x3be2ba95ea3e0d98,
  0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2, 0x97d2cc5c24228115,
  0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x3936df8189ddfb27, 0x450603bf77e78101, 0x4a7253a0137e6f36,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e,
  0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00015913415a59e4,
};

// c64_u1x8_uart1_dual_pr_ce_u4
static const uint64_t ur_c64_u1x8_uart1_dual_pr_ce[] = {
  0xddddd60f44860aac, 0xeeeeead0bfaeefcd, 0x8d49c9b168ebeeee, 0xf62eafb777448991, 0x777d5e5902c70455,
  0xf180904c15de4f91, 0x64c8c154836ee609, 0x0614306d2303775f, 0xff328094ee9f12e2, 0xe5b038270eaf9a87,
  0x4482481dba9bd478, 0x21895fe7ef822852, 0x7a673b044fae1f0a, 0x8432d07f110cab39, 0xfbffa039e136df8a,
  0xacc161bcaf212dbe, 0xa64c6f60470ffe9b, 0x568c5facbeae2dfd, 0x445d670f3c79b9da, 0xc00fd47c25f886c2,
  0xceaf52e64c5c3d6f, 0x481d4bf51c6fcf72, 0xcc580a0a0f9490e2, 0x1d78033b5ac8ebf9, 0x7087486a807feccf,
  0x3bb8a92a93a0796b, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418, 0xce881df2a6f529c9,
  0xb15545a6ae9c6378, 0x94b52fcdb73863b7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787,
  0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0x2138bad2cf257ee6, 0x0000000000000069,
};

static const uint64_t ur_c64_u1x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeb07d4143359b, 0x7777562675df7e6e, 0xd740362fa0fb7777, 0x17ad12ef74054e24, 0xcc29368d7526f265,
  0x04c15de494e770f0, 0x15484e3e609f1809, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0x6f9c2004c293f328,
  0x034db9bd47b5bd85, 0xfcfdf0450a489049, 0x6f89f5c3e144312b, 0x4ae4432ace5e99ce, 0x1cf098a1c5421968,
  0xde579096dc347fd0, 0xb024b5ff4dd660b0, 0x8ff75716fed32637, 0xf9e3cdcee3958fea, 0x66e99ceb0f722495,
  0xe7a8f2b7f253b581, 0xc5701bd47c1b306b, 0xb1148b34eb422814, 0xdc650ea426be8c2c, 0xa25da2147bd9ceae,
  0x2a3e7ac6abc6c75e, 0x7b2fa598b8484502, 0x89fd62a3608991c3, 0x27f157ceee2a4a59, 0x013936df8189ddfb,
  0x36450603bf77e781, 0xbd4a7253a0137e6f, 0xa718de33a2077ca9, 0xce18edec555169ab, 0x03d0c6e52d4bf36d,
  0xd4eaccdfc1ddc68b, 0xf6c389c69430a9cf, 0xc33d30ae4fc07cd1, 0x3a4a5b387138cb25, 0xd696792bf734332c,
  0x00000000010003a2,
};

static const uint64_t ur_c64_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xbbbac1e8a87f3202, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xbde4fa6b0ce34f26,
  0x57792769dc34e83e, 0x9aa49827c6024130, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0x96a666ffe656024e,
  0x9bd47ec1d85e19c3, 0x0450a4890490343e, 0x5c3e144312bfcfdf, 0x6559cbd339c8389f, 0x6ce8a8432d027488,
  0x12dbc00ffa039e13, 0xffaa374c161bcaf2, 0x8b7f69931bd81068, 0x7663f18bf54650eb, 0xc2445d670f3cf806,
  0x03743fd47c25f886, 0x76b084dd3262e1cc, 0x660d7cf51e56fe4a, 0x450298ae037a8f83, 0xd185962291669d68,
  0x39d5db8ca1d484d7, 0xd8ebd44bb4428f7b, 0x08a04547cf58d578, 0x32386f65f4b31709, 0x494b313fac546c11,
  0x3bbf64fe2af9ddc5, 0xfcf0202726dbf031, 0x6fcde6c8a0c077ee, 0xef9537a94e4a7402, 0x2d3574e31bc67440,
  0x7e6db9c31dbd8aaa, 0x3f8d164498dca5a9, 0x0a9cfd4eaccdfc1a, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x3d73c95fb9a19961, 0x000000020022ac5a,
};

static const uint64_t ur_c64_u1x8_uart1_dual_ee_hw[] = {
  0x7777583d14680aac, 0xbbbbab29ba2fbf37, 0x57a7dfdad403bbbb, 0x21971b23ba644a51, 0xfabcb269c1557d68,
  0x0120982bbc9836ee, 0x9182a90eddcc13e3, 0x2860da4606eebec9, 0x657419dd3e25c40c, 0xc0c7ce033736ed7e,
  0x092064ea6f51c2d6, 0x257f9fbe08a14912, 0x9ceb313eb87c2886, 0x9682564432ace5e9, 0xfd01cf0997dc5421,
  0x0b0de579096dce0f, 0x637b02cadfe756e6, 0x56b47225716fed32, 0xcc1829ea3cad7dcd, 0x8a1df15d4af51f06,
  0xa30b2c4522cd3ad0, 0x973297152e6909af, 0x512ed10a3dece756, 0x8a8f9eb1aad743af, 0xdecbe9662e121140,
  0x84feb151b047eb70, 0x93f8abe777152500, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37,
  0xd38c6f19d103be54, 0x739156f62aa8b4d5, 0xa84e31b94b52fcdb, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0002bb5c134e8a79,
};

// c64_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c64_u1x8_uart1_dual_ee_ce_hw[] = {
  0xbbbac1e8a3457c3b, 0xdddd5817da0df9bb, 0xe421aafd9b4ddddd, 0xbc33323bbb299f03, 0xe27eb7fb0ce34f26,
  0x13057792769dc559, 0x5489aa49827c6024, 0x6d2303775f64c8c1, 0x0cee9f12e2061430, 0xce1cb53337ff32ba,
  0xa1f4dea3f60ec2f0, 0x7ef8228524482481, 0xc4fae1f0a21895fe, 0xa4432ace5e99ce41, 0xf09b674542196813,
  0x579096de007fd01c, 0x20d1fe756e60b0de, 0xa1d716fed32637b0, 0xf21cecc7e317ea8c, 0xf886c2445d670f3c,
  0x70ece5d1ffd47c25, 0x7f253b58426e9931, 0x47c1b306be7a8f2b, 0x4eb422814c5701bd, 0x426be8c2cb1148b3,
  0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac, 0x3608991c37b2fa59, 0xeee2a4a5989fd62a,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725, 0xc555169aba718de3,
  0x52d4bf36dce18ede, 0xca1854e7ea138c6e, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0x4668a29e4afdcd0c, 0x0000000000003aeb,
};

// c64_u1x12_uart0_noled_pr
static const uint64_t ur_c64_u1x12_uart0_noled[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x8e8448aa668cdddd, 0x11e3ec1f77742ca3, 0x793bb63d9085e6c3,
  0x719827c602413057, 0xd3e125f3fe0d067e, 0x86d1ba4ff6d4feed, 0x417ea3f4077cb087, 0x299efb5a921c4903,
  0x6afe8f58731602cb, 0xa807fecc11d7a3e7, 0x38f81e59ed8fb33c, 0xce70b37e06256bd8, 0xbcde01f50603bd6b,
  0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0xa5f9b6249156f62a, 0x347f1a2c79c37296, 0x9e985727eeacc790,
  0x252d9c389c6592e1, 0x5f3c95fb9a19961d, 0x000000007c800584,
};

static const uint64_t ur_c64_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xeeaafb395a44b777, 0x42245533466eeeee, 0xf1f60fbbba1651c7, 0x775eb98985f4cd88,
  0x304f8c048260aef2, 0xf092f9ffa20cfce3, 0x68dd27fb6a7f76e9, 0xbf51fa03be5843c3, 0xcf7dad490e2481a0,
  0x7f47ac398b016594, 0x03ff6608ebd1f3b5, 0x7c0f2cf6c7d99e54, 0x3859bf0312b5ec1c, 0x6f00fa8301deb5e7,
  0xaeaa72f29b19c2de, 0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0x771a2c8931b94b52, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658,
  0x000000001f274e4a,
};

// c64_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd636225bbb, 0x429b2e3b0cf77777, 0x7fa99a0eea451aeb, 0x6d89a2a0a3760cc1,
  0x30120982bbc9dd66, 0x3ffd1067d82cc13e, 0x7fb6a7f76e9f091c, 0x4d56b4738c368dd2, 0x83660d31f51e5722,
  0xb422877c57dd7a8f, 0x6be8c2cb1148b34e, 0x756979c571ac9a42, 0x75e74ddb7b4782ce, 0x51cf230e36355ae8,
  0x6e1bd96cb98b8484, 0x002a254d2a3608fd, 0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670,
  0x5516961738c6f19d, 0xd4bf36c4922adec5, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xab2b4b3c95fb9a19, 0x00000000000275f2,
};

// c64_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85ec9c4b777, 0x385ec47590dddddd, 0x850dbdddd36922b5, 0xeea3329c34ca52d1,
  0x609f180904c15de4, 0x848a2ffe8833ff3a, 0x46e93fdb53fbb74f, 0x73b8f718bf58861b, 0x0d8488bace1e78f3,
  0x3ffc0d1fa8f84bf1, 0xd3dcb3abeb264c5c, 0xa4871240f59ea393, 0xd1eb0e62c051f3a4, 0xffd99e3af47ced5f,
  0xc0f2d6e1f6679500, 0x859bf0312b5ec1c7, 0xf00fa8301deb5e73, 0xeaa72f29b19c2de6, 0xa585ce31bc67440a,
  0x9b624863b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x0000000375d843f5,
};

// c64_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d0533896eee, 0xb45377b1c7777777, 0xcb2ab4dd85ea6d71, 0xabec4efdf4ee4b42,
  0x02413057793ba9c8, 0xff4419f19b9827c6, 0xeda9fddba7c2416b, 0x5faa3f9d0da3749f, 0x670f3c79b9dc728c,
  0xd47c25f886c2445d, 0xf7cc98b87a4a672f, 0xfd4795f5129dac20, 0x5613fd47c1b306b5, 0x1148b34eb422814c,
  0xd388ea426be8c2cb, 0x9bb6f68f059ceaed, 0x8c38d8d578d8ebce, 0x65b2e62e1211473c, 0x4a9a546c1132386f,
  0x2cdf81895af61674, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0x1a2c8931b94b52fc, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x2cf257ee68665874, 0x00000004fc1f82ad,
};

// c64_u1x12_uart0_lednop_pr
static const uint64_t ur_c64_u1x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xddd55f670bdc4b77, 0x9fbbf0feb11ddddd, 0xd697e6eeec88444d, 0x9dd85eb478f4138f,
  0x4c13e30120982bbc, 0xf097c9ff06833e0a, 0x68dd27fb6a7f76e9, 0x4f51c9e3be5921c3, 0xc3e749490e24819a,
  0xf23905398b016f74, 0x71cb1823af173b35, 0xdf81895af61583ef, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0x6e52d4bf36dce455, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0x1cb08be792bf7343, 0x0000000000007c80,
};

static const uint64_t ur_c64_u1x12_uart0_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece3af896ee, 0xb4a12fcd1b7bbbbb, 0xf4a64f77742ca38e, 0xeed45e4ad4d60933,
  0x609f180904c15de4, 0xc252fbff4419f3d6, 0xa3749feda9fddba7, 0xfd47b58ef9610f0d, 0xf920fd2438920682,
  0xe8d219cc580b2ca6, 0x7fecc11d7a3e7659, 0x81e59eda0b348a80, 0x0b37e06256bd9056, 0x50603bd6bcf02027,
  0x53929d002de6f364, 0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0x931b94b52fcdb739, 0x3ab337f07771a2c8,
  0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67,
  0x01f26c793ad2cf25,
};

// c64_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd6c5f12ddd, 0xb0b4663b42f77777, 0x77ea6683ba9146b9, 0x70f65c6759a59fbc,
  0x8c048260aef2774a, 0x0fff4419fcad304f, 0x9feda9fddba7c245, 0x5355ad1ce30da374, 0xe0d9834c7d479599,
  0x5a1143be2b0f7ea3, 0x35f4616588a459a7, 0x3ab4b9eab8d64d21, 0x1d79d3768c919347, 0x1413c8ded58d56ba,
  0x5b86f65b2e62e121, 0x8010fb33ca8d823f, 0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6,
  0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x0000009d73072ad2,
};

// c64_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0x77557e1724225bbb, 0x9b53267a0cf77777, 0x412a1eeee9b4916c, 0x777273d6a0ad38d8,
  0x304f8c048260aef2, 0xc2495bff4419f387, 0xa3749feda9fddba7, 0xb9dc068c5fac430d, 0x86c2445d670f3c79,
  0x74db9dbfd47c25f8, 0x27b96757d64c98b8, 0x490e2481eb3d47e9, 0x8d219cc580a9888b, 0xfeccf1d7a3e7659e,
  0x0796b720b348a807, 0x2cdf81895af6415a, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x98dca5a97e6db9c3, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x06ebde49d696792b,
};

// c64_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc68160c4b777, 0xd71b4bdb83bbbbbb, 0x05955a6ec2f5374c, 0xa2f0dceb62465d84,
  0x80904c15de4eec6a, 0xffe8833e1a2609f1, 0xfb6a7f76e9f0958f, 0x17ea8fe74368dd27, 0x59c3cf1e6e764ea3,
  0xf51f097e21b09117, 0x7be64c5c3e54341f, 0xfea3cafba94ed610, 0x2bdbfea3e0d9835a, 0x88a459a75a1140a6,
  0xe3d4752135f46165, 0xa6ed1923268e7576, 0x237b56355e363af3, 0xd96cb98b8484504f, 0xf667951b044c8e1b,
  0x166fc0c4ad7b0b31, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4, 0x8edec555169aba71,
  0x4c6e52d4bf36dce1, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x009f896d2b4b3c95,
};

// c64_u1x12_uart0_dual_pr           c64_u1x12_uart0_dual_pr_u4
static const uint64_t ur_c64_u1x12_uart0_dual[] = {
  0x77783eefa24343ee, 0xdddd586dd86bf377, 0x646ea0de9d6ddddd, 0x6c593b77768591f7, 0xbabbf224b534f1da,
  0x8c048260aef2717b, 0xc99182a90951304f, 0x0c2860da4606eebe, 0xfe650129dd3e25c4, 0x93d87ce3848798ba,
  0x2241240d7dcdea3b, 0x10c4aff3f7c11429, 0xbd33863e27d70f85, 0x4219687c8886559c, 0x01bfe80e784c3e45,
  0xeb30586f2bc84b6f, 0x7f76e9f0904fffa6, 0x2c4d4368dd27fb6a, 0x2481887f51f229df, 0x02a83cd38bdf490e,
  0x00ced6b23afe7316, 0xd21aa01ffb30475e, 0xa92a93a07967b621, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xa97e6db9c8ab7b15, 0x83bb8d164498dca5,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xc15696792bf73433, 0x00000000000a49cf,
};

// c64_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart0_dual_pr_ee[] = {
  0x77783eefa243359b, 0xbbbbab1215abf377, 0x3af9f693342dbbbb, 0x8d5e3c8feec0b7ac, 0x6614c3e6baa01aaf,
  0x8260aef2519bb878, 0x055202c9304f8c04, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0xcd9c376a64dbfcca,
  0x81a5a9bd4731fd80, 0xfe7ef82285244824, 0x90c4fae1f0a21895, 0x0e9510cab397a671, 0x073c2628b150865a,
  0x6f2bc84b6fd5fff4, 0xf096fbffa6eb3058, 0x68dd27fb6a7f76e9, 0xcad7dcd56b472243, 0xaf51f06cc1829ea3,
  0x2cd3ad08a1df15d4, 0xe6909afa30b2c452, 0xdece756973297152, 0xad743af512ed10a3, 0xe1211408a8f9eb1a,
  0x047eb70decbe9662, 0x715250084feb151b, 0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603,
  0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x4b52fcdb739156f6, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x810bad2cf257ee68,
  0x00000000000000ac,
};

// c64_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart0_dual_pr_ce[] = {
  0xeef07ddf448687e1, 0x77756b1f62f7e6ee, 0x22d476b5d6f77777, 0xaffb5bbbb7060596, 0x2bdbc1776d1f1d72,
  0x0120982bbc9582ee, 0x9182a90148cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc3abce143f374ffe,
  0x09207b3a6f51ce0e, 0x257f9fbe08a14912, 0x9cbc313eb87c2886, 0x9682fb4432ace5e9, 0xfd01cf0983dc5421,
  0x0b0de579096df4df, 0xdd3e12297ff4dd66, 0xe86d1ba4ff6d4fee, 0xc79b9da568c5facb, 0x5f886c2445d670f3,
  0xc5c3d6fc00fd47c2, 0xc6fcf72ceaf52e64, 0xf9490e2481d4bf51, 0xac8ebf9cc580a0a0, 0x07feccf1d78033b5,
  0x3a0796b7087486a8, 0xc9fc55f3bb8a92a9, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3,
  0xae9c6378ce881df2, 0xb73863b7b15545a6, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x0000006923cdbad2,
};

static const uint64_t ur_c64_u1x12_uart0_dual_pr_ee_ce[] = {
  0x77783eefd41432db, 0xdddd586de4cbf377, 0x710b157efb8ddddd, 0xd6990123ba82b655, 0x04559c7f33a07c4d,
  0x2413057792ec9dc7, 0x305523b8f9827c60, 0x0c1b48c0ddd7d932, 0xa0253ba7c4b88185, 0x1000e02926fd7fcc,
  0x240e76e6f51eb7f6, 0xaff3f7c114292241, 0x152227d70f8510c4, 0xa16e910cab397a67, 0x4073c2653d150865,
  0xc3795e425b7d35ff, 0x4f8482d7fd375982, 0x1b46e93fdb53fbb7, 0x6e771cac7f547fba, 0xe7587b9124afcf1e,
  0x95bf929dac0b374c, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4, 0x10a3dece7576e328,
  0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb, 0xb37e06256bd93f8a,
  0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c, 0x637296a5f9b6e70c,
  0x666fe0eee34581e8, 0xc4e34a1854e7ea75, 0x985727e03e68fb61, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0000004001cfab4b,
};

static const uint64_t ur_c64_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff9231, 0xdd59a9b4f5f9bbbb, 0x3e403bc7fddddddd, 0xa702f74e775dfb8c, 0xf876b54da0ce5711,
  0xf24eb3bbff8669d3, 0x2f304f8c048260ae, 0x3775f64c8c15484f, 0xf12e20614306d230, 0xf32547e656024ee9,
  0xd47bc3d872d1c19b, 0x50a48904903c6e9b, 0x3e144312bfcfdf04, 0x59cbd338aeb89f5c, 0x28a8432d04b48865,
  0xdb8a4ffa039e1347, 0xaa374c161bcaf212, 0x6a7f76e9f0969aff, 0xea8ca1c368dd27fb, 0x1e79f00cecc7e317,
  0xf84bf10d8488bace, 0x64c5c39806e87fa8, 0x3cadfc94ed6109ba, 0x06f51f06cc1af9ea, 0x22cd3ad08a05315c,
  0x43a909afa30b2c45, 0x68851ef673abb719, 0x9eb1aaf1b1d7a897, 0xe9662e1211408a8f, 0x58a8d8226470decb,
  0x55f3bb8a9296627f, 0x859bf0312b5ec9fc, 0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5,
  0x63b7b15545a6ae9c, 0x931b94b52fcdb738, 0xd599bf8347f1a2c8, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff,
  0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x400469f347ae792b,
};

// c64_u1x12_uart1_noled_pr
static const uint64_t ur_c64_u1x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x8e8448aa668cdddd, 0x11e3ec1f77742ca3, 0x793bb63d9085e6c3,
  0x719827c602413057, 0xa7c125f3fe0d067e, 0x0da3749feda9fddb, 0x82fd47e80ef9610f, 0x533df6b524389206,
  0xd5fd1eb0e62c0596, 0x500ffd9823af47ce, 0x71f03cb3db1f6679, 0x73936df8189ddfb0, 0xcde01f50603bf77e,
  0x2baa9cbca6c6726f, 0x16961738c6f19d10, 0xbf36c4922adec555, 0x8fe3458f386e52d4, 0xd30ae4fdd598f206,
  0xa5b387138cb25c33, 0xe792bf734332c3a4, 0x0000000f9000b08b,
};

static const uint64_t ur_c64_u1x12_uart1_noled_pr_u4[] = {
  0x76d0d7834486eff6, 0xeeaafb395a44b777, 0x42245533466eeeee, 0xf1f60fbbba1651c7, 0x775eb98985f4cd88,
  0x304f8c048260aef2, 0xe092f9ffa20cfce3, 0xd1ba4ff6d4feedd3, 0x7ea3f4077cb08786, 0x9efb5a921c490341,
  0xfe8f58731602cb29, 0x07fecc11d7a3e76a, 0xf81e59ed8fb33ca8, 0xc9b6fc0c4eefd838, 0xf00fa8301dfbbf39,
  0xd54e5e53633937e6, 0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e,
  0x00000003e4e9c955,
};

// c64_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431202, 0x77557cd636225bbb, 0x429b2e3b0cf77777, 0x7fa99a0eea451aeb, 0x6d89a2a0a3760cc1,
  0x30120982bbc9dd66, 0x3ffd1067d82cc13e, 0xff6d4feedd3e091c, 0x9aad68e7186d1ba4, 0x06cc1a63ea3cae44,
  0x68450ef8afbaf51f, 0xd7d185962291669d, 0xead2f38ae3593484, 0xebce9bb6f68f059c, 0xa39e461c6c6ab5d0,
  0xdc37b2d973170908, 0x00544a9a546c11fa, 0xce726dbf0313bbf6, 0xf9bc03ea0c077eef, 0x0575539794d8ce4d,
  0xa2d2c2e718de33a2, 0x97e6d892455bd8aa, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x65696792bf734332, 0x00000000004ebe55,
};

// c64_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart1_noled_pr_ce[] = {
  0x76d0d7834486d38b, 0xdd55f85ec9c4b777, 0x385ec47590dddddd, 0x850dbdddd36922b5, 0xeea3329c34ca52d1,
  0x609f180904c15de4, 0x048a2ffe8833ff3a, 0x8dd27fb6a7f76e9f, 0xe771ee317eb10c36, 0x1b0911759c3cf1e6,
  0x7ff81a3f51f097e2, 0xa7b96757d64c98b8, 0x490e2481eb3d4727, 0xa3d61cc580a3e749, 0xffb33c75e8f9dabf,
  0x81e5adc3eccf2a01, 0x9b6fc0c4eefd838f, 0x00fa8301dfbbf39c, 0x54e5e53633937e6f, 0xb0b9c6378ce8815d,
  0x6c490c76f62aa8b4, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x0000006ebb087eb4,
};

// c64_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u1x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890c1107, 0x75578d0533896eee, 0xb45377b1c7777777, 0xcb2ab4dd85ea6d71, 0xabec4efdf4ee4b42,
  0x02413057793ba9c8, 0xff4419f19b9827c6, 0xdb53fbb74f82416b, 0xbf547f3a1b46e93f, 0xce1e78f373b8e518,
  0xa8f84bf10d8488ba, 0xef993170f494ce5f, 0xfa8f2bea253b5841, 0xac27fa8f83660d6b, 0x2291669d68450298,
  0xa711d484d7d18596, 0x376ded1e0b39d5db, 0x1871b1aaf1b1d79d, 0xcb65cc5c24228e79, 0x9534a8d8226470de,
  0xdb7e062777ec2ce8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea, 0x624863b7b15545a5,
  0x45912637296a5f9b, 0xe7ea75666fe0eee3, 0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000009f83f055a5,
};

static const uint64_t ur_c64_u1x12_uart1_noled_ee_hw[] = {
  0xdb435e0d1468d38b, 0xbaabe6b1b112dddd, 0x14d971d867bbbbbb, 0xfd4cd0775228d75a, 0x6653b4a51bb0660b,
  0xe30120982bbc9dd4, 0xc3ffeb267d82cc13, 0x4ff6d4feedd3e091, 0x49aad68e7186d1ba, 0xf06cc1a63ea3cae4,
  0xd68450ef8afbaf51, 0x4d7d185962291669, 0xcead2f38ae359348, 0x0ebce9bb6f68f059, 0x8a39e461c6c6ab5d,
  0xadc37b2d97317090, 0x600544a9a546c11f, 0xfce726dbf0313bbf, 0xdf9bc03ea0c077ee, 0x20575539794d8ce4,
  0xaa2d2c2e718de33a, 0xa97e6d892455bd8a, 0x30a9cfd42718dca5, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x5f453c95fb9a1996, 0x000000000016fd04,
};

// c64_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c64_u1x12_uart1_noled_ee_ce_hw[] = {
  0xbb686bc1a28d12a8, 0xdd55e3414ce25bbb, 0x6d14ddec71dddddd, 0xb2caad37617a9b5c, 0xeb46ad67dd3b92d0,
  0xf8c048260aef2774, 0x2d7ff5933e337304, 0x27fb6a7f76e9f048, 0xa317ea8fe74368dd, 0x2eb3879e790e771c,
  0xffea3e12fc436122, 0x20f7cc98b87e5a66, 0xb5fd4795f5129dac, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x726dbf0313bbf616, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x39fa84e31b94b52f, 0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xa792bf734332c3a4, 0x0000000a024c0028,
};

// c64_u1x12_uart1_lednop_pr
static const uint64_t ur_c64_u1x12_uart1_lednop[] = {
  0x776d0d783acdfc4f, 0xddd55f670bdc4b77, 0x9fbbf0feb11ddddd, 0xd697e6eeec88444d, 0x9dd85eb478f4138f,
  0x4c13e30120982bbc, 0xe097c9ff06833e0a, 0xd1ba4ff6d4feedd3, 0x9ea393c77cb24386, 0x87ce92921c490334,
  0xe4720a731602dee9, 0xe39630475e2e766b, 0x7e062777ec2b07de, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x1e40d1fc68b1e70d, 0x4b867a615c9fbab3,
  0x587494b670e27196, 0x96117cf257ee6866, 0x00000000000f9003,
};

static const uint64_t ur_c64_u1x12_uart1_lednop_pr_u4[] = {
  0xeeda1af06890c743, 0xbbaabece3af896ee, 0xb4a12fcd1b7bbbbb, 0xf4a64f77742ca38e, 0xeed45e4ad4d60933,
  0x609f180904c15de4, 0x8252fbff4419f3d6, 0x46e93fdb53fbb74f, 0xfa8f6b1df2c21e1b, 0xf241fa4871240d05,
  0xd1a43398b016594d, 0xffd9823af47cecb3, 0x03cb3db416691500, 0x36df8189ddfb20ad, 0x0603bf77e7810139,
  0x7253a0137e6f3645, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x5666fe0eee345912,
  0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x3e4d8f275a59e4af,
};

// c64_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d12198e2, 0x77557cd6c5f12ddd, 0xb0b4663b42f77777, 0x77ea6683ba9146b9, 0x70f65c6759a59fbc,
  0x8c048260aef2774a, 0x0fff4419fcad304f, 0x3fdb53fbb74f8245, 0xa6ab5a39c61b46e9, 0xc1b30698fa8f2b32,
  0xb422877c561efd47, 0x6be8c2cb1148b34e, 0x756973d571ac9a42, 0x3af3a6ed1923268e, 0x282791bdab1aad74,
  0xb70decb65cc5c242, 0x0021f667951b047e, 0x013936df8189ddfb, 0x36450603bf77e781, 0xbd4a7253a0137e6f,
  0xa718de33a2077ca9, 0xe722adec555169ab, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000013ae60e55a59,
};

// c64_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a243280b, 0x77557e1724225bbb, 0x9b53267a0cf77777, 0x412a1eeee9b4916c, 0x777273d6a0ad38d8,
  0x304f8c048260aef2, 0x82495bff4419f387, 0x46e93fdb53fbb74f, 0x73b80d18bf58861b, 0x0d8488bace1e78f3,
  0xe9b73b7fa8f84bf1, 0x4f72ceafac993170, 0x921c4903d67a8fd2, 0x1a43398b01531116, 0xfd99e3af47cecb3d,
  0x0f2d6e416691500f, 0xdb7e062777ec82b4, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x1b94b52fcdb73863, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xdd7bc93ad2cf257e,
};

// c64_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u1x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344867f3e, 0xbaabc68160c4b777, 0xd71b4bdb83bbbbbb, 0x05955a6ec2f5374c, 0xa2f0dceb62465d84,
  0x80904c15de4eec6a, 0xffe8833e1a2609f1, 0xf6d4feedd3e0958f, 0x2fd51fce86d1ba4f, 0xb3879e3cdcec9d46,
  0xea3e12fc4361222e, 0xf7cc98b87ca8683f, 0xfd4795f7529dac20, 0x57b7fd47c1b306b5, 0x1148b34eb422814c,
  0xc7a8ea426be8c2cb, 0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37,
  0x6dbf0313bbf61663, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31,
  0x8dca5a97e6db9c31, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x13f12da5696792bf,
};

static const uint64_t ur_c64_u1x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a34280b, 0xbaabe6b62f896eee, 0x85a331da17bbbbbb, 0xbf53341dd48a35cd, 0x273d6d69cd2cfde3,
  0xf8c048260aef2777, 0x50fffac99fcad304, 0x93fdb53fbb74f824, 0x2a6ab5a39c61b46e, 0x7c1b30698fa8f2b3,
  0xeb422877c561efd4, 0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x43af3a6ed1923268, 0x2282791bdab1aad7,
  0xeb70decb65cc5c24, 0xb0021f667951b047, 0x1013936df8189ddf, 0xf36450603bf77e78, 0x9bd4a7253a0137e6,
  0xba718de33a2077ca, 0x6e722adec555169a, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x000005bec117d14f,
};

// c64_u1x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c64_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d146824d6, 0xeaaf1a058312dddd, 0x5c6d2f6e0eeeeeee, 0x165569bb0bd4dd33, 0xd75dea7d89197610,
  0x8c048260aef2777e, 0x7fffac99f0d1304f, 0x7fb6a7f76e9f04ac, 0x317ea8fe74368dd2, 0xeb3879e790e764ea,
  0xfea3e12fc4361222, 0x07be64c5c3f59b21, 0xafea3cafba94ed61, 0x62bdbfea3e0d9835, 0x588a459a75a1140a,
  0x6e3d4752135f4616, 0x3a6ed1923268e757, 0xf237b56355e363af, 0xbd96cb98b8484504, 0x1f667951b044c8e1,
  0x936df8189ddfb0b3, 0x50603bf77e781013, 0xa7253a0137e6f364, 0x8de33a2077ca9bd4, 0x8edec555169aba71,
  0x8c6e52d4bf36dce1, 0x0f7bca1854e7ea13, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x140438bea29e4afd,
};

// c64_u1x12_uart1_dual_pr           c64_u1x12_uart1_dual_pr_u4
static const uint64_t ur_c64_u1x12_uart1_dual[] = {
  0x77783eefa24343ee, 0xdddd586dd86bf377, 0x646ea0de9d6ddddd, 0x6c593b77768591f7, 0xbabbf224b534f1da,
  0x8c048260aef2717b, 0xc99182a90951304f, 0x0c2860da4606eebe, 0xfe650129dd3e25c4, 0x93d87ce3848798ba,
  0x2241240d7dcdea3b, 0x10c4aff3f7c11429, 0xbd33863e27d70f85, 0x4219687c8886559c, 0x01bfe80e784c3e45,
  0xeb30586f2bc84b6f, 0xfeedd3e0904fffa6, 0x589a86d1ba4ff6d4, 0x490310fea3e453be, 0x055079a717be921c,
  0x019dad6475fce62c, 0xa435403ff6608ebc, 0x52552740f2cf6c43, 0x4eefd93f8abe7771, 0xbf3c0809c9b6fc0c,
  0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x2fcdb739156f62aa, 0x7771a2c8931b94b5,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x2ad2cf257ee68665, 0x00000000014939f8,
};

// c64_u1x12_uart1_dual_pr_ee_u4
static const uint64_t ur_c64_u1x12_uart1_dual_pr_ee[] = {
  0x77783eefa243359b, 0xbbbbab1215abf377, 0x3af9f693342dbbbb, 0x8d5e3c8feec0b7ac, 0x6614c3e6baa01aaf,
  0x8260aef2519bb878, 0x055202c9304f8c04, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0xcd9c376a64dbfcca,
  0x81a5a9bd4731fd80, 0xfe7ef82285244824, 0x90c4fae1f0a21895, 0x0e9510cab397a671, 0x073c2628b150865a,
  0x6f2bc84b6fd5fff4, 0xe096fbffa6eb3058, 0xd1ba4ff6d4feedd3, 0x95afb9aad68e4486, 0x5ea3e0d983053d47,
  0x59a75a1143be2ba9, 0xcd2135f4616588a4, 0xbd9cead2e652e2a5, 0x5ae875ea25da2147, 0xc242281151f3d635,
  0x08fd6e1bd97d2cc5, 0xe2a4a0109fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b,
  0x2077ca9bd4a7253a, 0x55169aba718de33a, 0x6a5f9b6e722adec5, 0xe0eee34591263729, 0xca1854e7ea75666f,
  0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x2175a59e4afdcd0c,
  0x0000000000001590,
};

// c64_u1x12_uart1_dual_pr_ce_u4
static const uint64_t ur_c64_u1x12_uart1_dual_pr_ce[] = {
  0xeef07ddf448687e1, 0x77756b1f62f7e6ee, 0x22d476b5d6f77777, 0xaffb5bbbb7060596, 0x2bdbc1776d1f1d72,
  0x0120982bbc9582ee, 0x9182a90148cc13e3, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc3abce143f374ffe,
  0x09207b3a6f51ce0e, 0x257f9fbe08a14912, 0x9cbc313eb87c2886, 0x9682fb4432ace5e9, 0xfd01cf0983dc5421,
  0x0b0de579096df4df, 0xba7c12297ff4dd66, 0xd0da3749feda9fdd, 0x8f373b4ad18bf597, 0xbf10d8488bace1e7,
  0x8b87adf801fa8f84, 0x8df9ee59d5ea5cc9, 0xf2921c4903a97ea3, 0x591d7f398b014141, 0x0ffd99e3af00676b,
  0x740f2d6e10e90d50, 0x93f8abe777152552, 0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37,
  0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00000d2479b75a59,
};

static const uint64_t ur_c64_u1x12_uart1_dual_pr_ee_ce[] = {
  0x77783eefd41432db, 0xdddd586de4cbf377, 0x710b157efb8ddddd, 0xd6990123ba82b655, 0x04559c7f33a07c4d,
  0x2413057792ec9dc7, 0x305523b8f9827c60, 0x0c1b48c0ddd7d932, 0xa0253ba7c4b88185, 0x1000e02926fd7fcc,
  0x240e76e6f51eb7f6, 0xaff3f7c114292241, 0x152227d70f8510c4, 0xa16e910cab397a67, 0x4073c2653d150865,
  0xc3795e425b7d35ff, 0x9f0482d7fd375982, 0x368dd27fb6a7f76e, 0xdcee3958fea8ff74, 0xceb0f722495f9e3c,
  0x2b7f253b58166e99, 0xbd47c1b306be7a8f, 0xb34eb422814c5701, 0xea426be8c2cb1148, 0x2147bd9ceaedc650,
  0xac6abc6c75ea25da, 0x598b84845022a3e7, 0x2a3608991c37b2fa, 0x7ceee2a4a5989fd6, 0x6df8189ddfb27f15,
  0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x6e52d4bf36dce18e,
  0xcdfc1ddc68b03d0c, 0x9c69430a9cfd4eac, 0x0ae4fc07cd1f6c38, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0000080039f56967,
};

static const uint64_t ur_c64_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff9231, 0xdd59a9b4f5f9bbbb, 0x3e403bc7fddddddd, 0xa702f74e775dfb8c, 0xf876b54da0ce5711,
  0xf24eb3bbff8669d3, 0x2f304f8c048260ae, 0x3775f64c8c15484f, 0xf12e20614306d230, 0xf32547e656024ee9,
  0xd47bc3d872d1c19b, 0x50a48904903c6e9b, 0x3e144312bfcfdf04, 0x59cbd338aeb89f5c, 0x28a8432d04b48865,
  0xdb8a4ffa039e1347, 0xaa374c161bcaf212, 0xd4feedd3e0969aff, 0xd5194386d1ba4ff6, 0x3cf3e019d98fc62f,
  0xf097e21b0911759c, 0xc98b87300dd0ff51, 0x795bf929dac21374, 0x0dea3e0d9835f3d4, 0x459a75a1140a62b8,
  0x8752135f4616588a, 0xd10a3dece7576e32, 0x3d6355e363af512e, 0xd2cc5c242281151f, 0xb151b044c8e1bd97,
  0xabe77715252cc4fe, 0x9b6fc0c4eefd93f8, 0x8301dfbbf3c0809c, 0x3929d009bf379b22, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0x637296a5f9b6e70c, 0xb337f068fe345912, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x008d3e68f5cf257e, 0x0000000000000008,
};

static const uint64_t ur_c64_u1x12_uart1_dual_ee_hw[] = {
  0xbbc1f77d146887e1, 0xdddd5890ad5f9bbb, 0xd7cfb499a16ddddd, 0x6af1e47f7605bd61, 0xbdbc16b47d00d57c,
  0x120982bbc9466ee2, 0x8c15480b24c13e30, 0x4306d2303775f64c, 0x2ba0cee9f12e2061, 0x033670dda9936ff3,
  0x920696a6f51cc7f6, 0x57f9fbe08a149120, 0xc64313eb87c28862, 0x683a54432ace5e99, 0xd01cf098a2c54219,
  0x61bcaf212dbf57ff, 0x4f825beffceadcc1, 0x1b46e93fdb53fbb7, 0x1e56bee6ab5a3912, 0xa57a8f83660c14f5,
  0x91669d68450ef8ae, 0x973484d7d1859622, 0x1ef673ab4b994b8a, 0xd56ba1d7a8976885, 0x170908a04547cf58,
  0xd823f5b86f65f4b3, 0xbb8a9280427f58a8, 0xe062777ec9fc55f3, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0xa5a97e6db9c8ab7b, 0x9430a9cfd42718dc, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x1017453c95fb9a19, 0x0000000000015da1,
};

// c64_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c64_u1x12_uart1_dual_ee_ce_hw[] = {
  0xde0fbbe8a343e907, 0xeeacd4da7afcdddd, 0x1f201de3feeeeeee, 0xd3817ba73baefdc6, 0xeb59f5e6d0672b88,
  0xc15de49d67729d3c, 0x909e5e609f180904, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0xc19bf32547e65741,
  0x6e9bd47bc3d872d1, 0xdf0450a48904903c, 0x9f5c3e144312bfcf, 0x886559cbd338aeb8, 0x134728a8432d04b4,
  0xf212db8a4ffa039e, 0xa6bfceadcc161bca, 0x93fdb53fbb74f825, 0xf18bf54650e1b46e, 0x2eb3879e790e7663,
  0xffea3e12fc436122, 0x21374c98b87672e8, 0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140,
  0x76e328752135f461, 0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e,
  0xd93f8abe77715252, 0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3, 0x5d38c6f19d103be5,
  0x6e70c76f62aa8b4d, 0xf509c637296a5f9b, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x00001d755d52514f,
};

// c64_u2x8_uart0_noled_pr
static const uint64_t ur_c64_u2x8_uart0_noled[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x51c742245533466e, 0x6188f1f60fbbba16, 0x2bbc9ddb1ec842f3,
  0x3f38cc13e3012098, 0xf6e9f092f9ff0683, 0x843c368ded51ca4d, 0x481a0bf51fa03be5, 0x16594cf7dad490e2,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0x5ec1c7c0f2cf6c7d, 0xeb5e73859bf0312b, 0x9c2de6f00fa8301d,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x2c22f9e4afdcd0cc, 0x000000000003e400,
};

static const uint64_t ur_c64_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0x7777557d9cad225b, 0xe3a1122a99a33777, 0xc478fb07dddd0b28, 0x793baf5cc4c2fa66,
  0x719827c602413057, 0x74f8497cffd1067e, 0x1e1b46f6a8e526fb, 0x0d05fa8fd01df2c2, 0x2ca67bed6a487124,
  0x9dabfa3d61cc580b, 0xf2a01ffb30475e8f, 0x60e3e07967b63ecc, 0xaf39c2cdf81895af, 0x16f37807d4180ef5,
  0xa20575539794d8ce, 0xaaa2d2c2e718de33, 0x5a97e6d892455bd8, 0xf83bb8d164498dca, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x7255696792bf7343,
  0x000000000000f93a,
};

// c64_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b1b112d, 0x75a14d971d867bbb, 0x60bfd4cd0775228d, 0xb336c4d15051bb06,
  0x9f180904c15de4ee, 0x8e1ffe8833ec1660, 0x6f6a8e526fb74f84, 0xb9126ab5a39c61b4, 0xd47c1b30698fa8f2,
  0x9a75a1143be2beeb, 0xd2135f4616588a45, 0x1673ab4bce2b8d64, 0xd743af3a6edbda3c, 0x24228e791871b1aa,
  0x47eb70decb65cc5c, 0x6bd801512a6951b0, 0xbd6bce70b37e0625, 0x3385bcde01f50603, 0x8ce8815d54e5e536,
  0xf62aa8b4b0b9c637, 0x7296a5f9b6249156, 0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0,
  0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xaf95595a59e4afdc, 0x0000000000000013,
};

// c64_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f64e25b, 0x5a9c2f623ac86eee, 0x68c286deeee9b491, 0xf27751994e1a6529,
  0x9d304f8c048260ae, 0xa7c24517ff4419ff, 0x30da37b5472937db, 0xc79b9dc7b8c5fac4, 0x5f886c2445d670f3,
  0x62e1ffe068fd47c2, 0x1c9e9ee59d5f5932, 0x9d2524389207acf5, 0x6afe8f587316028f, 0xa807feccf1d7a3e7,
  0x0e3e0796b70fb33c, 0xf39c2cdf81895af6, 0x6f37807d4180ef5a, 0x20575539794d8ce1, 0xaa2d2c2e718de33a,
  0x52fcdb12431dbd8a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x1fad2cf257ee6866, 0x00000000001baec2,
};

// c64_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc68299c4b7, 0xb8da29bbd8e3bbbb, 0xa165955a6ec2f536, 0xe455f6277efa7725,
  0xe30120982bbc9dd4, 0xb5ffa20cf8cdcc13, 0xdaa3949bedd3e120, 0x9462fd51fce86d1b, 0x22eb3879e3cdcee3,
  0x397ea3e12fc43612, 0x6107be64c5c3d253, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114,
  0x576e9c4752135f46, 0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991,
  0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0x97e6d89218edec55,
  0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x15696792bf734332, 0x000000000027e0fc,
};

// c64_u2x8_uart0_lednop_pr
static const uint64_t ur_c64_u2x8_uart0_lednop[] = {
  0xbbbbbb687acdfc4f, 0xeeeeeaafb385ee25, 0x26cfddf87f588eee, 0xc7eb4bf377764422, 0xde4eec2f5a3c7a09,
  0x052609f180904c15, 0x74f84be4ff83419f, 0x0e1b46f6a8e526fb, 0x0cd27a8e4f1df2c9, 0x7ba61f3a4a487124,
  0xd9af91c829cc580b, 0x1f7b8e58c11d78b9, 0xe166fc0c4ad7b0ac, 0x8a0c077ad79e0404, 0x4a7253a005bcde6c,
  0x18de33a2077ca9bd, 0x22adec555169aba7, 0x79c37296a5f9b6e7, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x9a19961d252d9c38, 0xe400e5845f3c95fb, 0x0000000000000003,
};

static const uint64_t ur_c64_u2x8_uart0_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f671d7c4b, 0xc75a5097e68dbddd, 0x99fa5327bbba1651, 0xf2776a2f256a6b04,
  0xeb304f8c048260ae, 0xd3e1297dffa20cf9, 0x786d1bdaa3949bed, 0x3417ea3dac77cb08, 0x6537c907e921c490,
  0xb2cf4690ce62c059, 0x5403ff6608ebd1f3, 0x82b40f2cf6d059a4, 0x013859bf0312b5ec, 0x9b228301deb5e781,
  0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x00000f9363c9d696,
};

// c64_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart0_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b62f896, 0x5cd85a331da17bbb, 0xde3bf53341dd48a3, 0xa5387b2e33acd2cf,
  0x27c602413057793b, 0x2287ffa20cfe5698, 0x1bdaa3949bedd3e1, 0xacca9aad68e7186d, 0xf51f06cc1a63ea3c,
  0xcd3ad08a1df1587b, 0x6909afa30b2c4522, 0x9a39d5a5cf55c6b2, 0xb5d0ebce9bb4648c, 0x0908a09e46f6ac6a,
  0x11fadc37b2d97317, 0xb5ec0087d99e546c, 0xe781013859bf0312, 0x6f379b228301deb5, 0xdf2a6f529c94e801,
  0x5a6ae9c6378ce881, 0x7e6db9c8ab7b1554, 0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5696792bf734332c, 0x0000000004eb9839,
};

// c64_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0xbbbbaabf0b92112d, 0xb64da9933d067bbb, 0x6c20950f7774da48, 0x793bb939eb50569c,
  0xc39827c602413057, 0xd3e124adffa20cf9, 0x186d1bdaa3949bed, 0xe3cdcee03462fd62, 0x2fc4361222eb3879,
  0xc5c3a6dcedfea3e1, 0x3f493dcb3abeb264, 0x445a4871240f59ea, 0x2cf4690ce62c054c, 0x403ff6678ebd1f3b,
  0x0ad03cb5b9059a45, 0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9,
  0xce18edec555169ab, 0xb224c6e52d4bf36d, 0xfd4eaccdfc1ddc68, 0x9ffde1ef79430a9c, 0x19a3ed871fc65f98,
  0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000375ef24eb4b3,
};

// c64_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e340b0625b, 0xa66b8da5edc1dddd, 0xc202caad37617a9b, 0x3551786e75b1232e,
  0xf8c048260aef2776, 0xc7fff4419f0d1304, 0xf6a8e526fb74f84a, 0x7518bf547f3a1b46, 0x88bace1e78f373b2,
  0xa0ffa8f84bf10d84, 0xb083df3262e1f2a1, 0x1ad7f51e57dd4a76, 0x05315edff51f06cc, 0x0b2c4522cd3ad08a,
  0xabb71ea3a909afa3, 0xd79d3768c9193473, 0x82791bdab1aaf1b1, 0x70decb65cc5c2422, 0x598fb33ca8d82264,
  0x0270b37e06256bd8, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5,
  0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004fc4b695a59,
};

// c64_u2x8_uart0_dual_pr            c64_u2x8_uart0_dual_pr_u4
static const uint64_t ur_c64_u2x8_uart0_dual[] = {
  0xeeeeef07a24343ee, 0xbbbbbab0dbb0d7e6, 0xeec8dd41bd3adbbb, 0xb4d8b276eeed0b23, 0xf77577e4496a69e3,
  0x9f180904c15de4e2, 0x7d9323055212a260, 0x881850c1b48c0ddd, 0x75fcca0253ba7c4b, 0x7727b0f9c7090f31,
  0x524482481afb9bd4, 0x0a21895fe7ef8228, 0x397a670c7c4fae1f, 0x8a8432d0f9110cab, 0xde037fd01cf0987c,
  0x4dd660b0de579096, 0x949bedd3e1209fff, 0x3be589a86d1bdaa3, 0x21c490310fea3e45, 0x62c055079a717be9,
  0xebc019dad6475fce, 0xc43a435403ff6608, 0x77152552740f2cf6, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37,
  0x9d002de6f3645060, 0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x94b52fcdb739156f, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x39f82ad2cf257ee6, 0x0000000000000149,
};

// c64_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart0_dual_pr_ee[] = {
  0xeeeeef07a243359b, 0x77777756242b57e6, 0x5875f3ed26685b77, 0x5f1abc791fdd816f, 0xf0cc2987cd754035,
  0x0904c15de4a33770, 0x460aa40592609f18, 0xa18369181bbafb26, 0x9404a774f8971030, 0x019b386ed4c9b7f9,
  0x49034b537a8e63fb, 0x2bfcfdf0450a4890, 0xe32189f5c3e14431, 0xb41d2a2195672f4c, 0xe80e784c5162a10c,
  0xb0de579096dfabff, 0xd3e12df7ff4dd660, 0x486d1bdaa3949bed, 0xd4795afb9aad68e4, 0xba95ea3e0d983053,
  0x8a459a75a1143be2, 0x2a5cd2135f461658, 0x147bd9cead2e652e, 0x6355ae875ea25da2, 0xcc5c242281151f3d,
  0xa3608fd6e1bd97d2, 0xceee2a4a0109fd62, 0x6fc0c4ad7b27f157, 0xc077ad79e0404e16, 0x253a005bcde6c8a0,
  0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x37296a5f9b6e722a, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x15902175a59e4afd,
};

// c64_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart0_dual_pr_ce[] = {
  0xddddde0f448687e1, 0xeeeeead63ec5efcd, 0x2c45a8ed6badeeee, 0xe55ff6b7776e0c0b, 0xdc57b782eeda3e3a,
  0xc602413057792b05, 0x9323055202919827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x1d87579c287e6e9f,
  0x241240f674dea39c, 0x0c4aff3f7c114292, 0xd33978627d70f851, 0x432d05f6886559cb, 0xbffa039e1307b8a8,
  0xcc161bcaf212dbe9, 0x7dba7c2452ffe9ba, 0x597d0da37b547293, 0x1e78f373b4ad18bf, 0xf84bf10d8488bace,
  0xcc98b87adf801fa8, 0xea38df9ee59d5ea5, 0x141f2921c4903a97, 0x76b591d7f398b014, 0xd500ffd99e3af006,
  0x552740f2d6e10e90, 0x6bd93f8abe777152, 0xcf020270b37e0625, 0xde6f36450603bd6b, 0xbe54dea53929d002,
  0xb4d5d38c6f19d103, 0xf9b6e70c76f62aa8, 0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1,
  0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x5a59e4afdcd0ccb0, 0x000000000d2479b7,
};

static const uint64_t ur_c64_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeef07d41432db, 0xbbbbbab0dbc997e6, 0xaae2162afdf71bbb, 0x9bad32024775056c, 0x8e08ab38fe6740f8,
  0xc048260aef25d93b, 0x6460aa4771f304f8, 0x0a18369181bbafb2, 0x99404a774f897103, 0xec2001c0524dfaff,
  0x82481cedcdea3d6f, 0x895fe7ef82285244, 0xce2a444fae1f0a21, 0xcb42dd22195672f4, 0xfe80e784ca7a2a10,
  0x0586f2bc84b6fa6b, 0x6e9f0905affa6eb3, 0xf74368ded51ca4df, 0xe3cdcee3958fea8f, 0xe99ceb0f722495f9,
  0xa8f2b7f253b58166, 0x701bd47c1b306be7, 0x148b34eb422814c5, 0x650ea426be8c2cb1, 0x5da2147bd9ceaedc,
  0x3e7ac6abc6c75ea2, 0x2fa598b84845022a, 0xfd62a3608991c37b, 0xf157ceee2a4a5989, 0x4e166fc0c4ad7b27,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0xe18edec555169aba, 0x3d0c6e52d4bf36dc,
  0x4eaccdfc1ddc68b0, 0x6c389c69430a9cfd, 0x33d30ae4fc07cd1f, 0xa4a5b387138cb25c, 0x696792bf734332c3,
  0x00000000080039f5,
};

static const uint64_t ur_c64_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777783d150ff9231, 0xbbbab35369ebf377, 0x187c80778ffbbbbb, 0x234e05ee9ceebbf7, 0xa7f0ed6a9b419cae,
  0x5de49d6777ff0cd3, 0x9e5e609f180904c1, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x37e64a8fccac049d,
  0x37a8f787b0e5a383, 0x08a14912092078dd, 0xb87c2886257f9fbe, 0xcab397a6715d713e, 0x8e5150865a096910,
  0x25b7149ff4073c26, 0xff546e982c3795e4, 0xa3949bedd3e12d35, 0x62fd5194386d1bda, 0x59c3cf3e019d98fc,
  0xf51f097e21b09117, 0x374c98b87300dd0f, 0x3d4795bf929dac21, 0x2b80dea3e0d9835f, 0x88a459a75a1140a6,
  0xe328752135f46165, 0x12ed10a3dece7576, 0x51f3d6355e363af5, 0xd97d2cc5c2422811, 0x4feb151b044c8e1b,
  0x3f8abe77715252cc, 0x0270b37e06256bd9, 0x36450603bd6bcf02, 0xdea53929d002de6f, 0xd38c6f19d103be54,
  0xe70c76f62aa8b4d5, 0x5912637296a5f9b6, 0xf53ab337f068fe34, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x0008008d3e68f5cf,
};

// c64_u2x8_uart1_noled_pr
static const uint64_t ur_c64_u2x8_uart1_noled[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x51c742245533466e, 0x6188f1f60fbbba16, 0x2bbc9ddb1ec842f3,
  0x3f38cc13e3012098, 0xedd3e092f9ff0683, 0x08786d1bdaa3949b, 0x903417ea3f4077cb, 0x2cb299efb5a921c4,
  0x3e76afe8f5873160, 0x33ca807fecc11d7a, 0xfd838f81e59ed8fb, 0xbbf39c9b6fc0c4ee, 0x937e6f00fa8301df,
  0xe8815d54e5e53633, 0x2aa8b4b0b9c6378c, 0x96a5f9b6249156f6, 0x90347f1a2c79c372, 0xe19e985727eeacc7,
  0x1d252d9c389c6592, 0x845f3c95fb9a1996, 0x00000000007c8005,
};

static const uint64_t ur_c64_u2x8_uart1_noled_pr_u4[] = {
  0xbbbbb6874486eff6, 0x7777557d9cad225b, 0xe3a1122a99a33777, 0xc478fb07dddd0b28, 0x793baf5cc4c2fa66,
  0x719827c602413057, 0xe9f0497cffd1067e, 0x3c368ded51ca4df6, 0x1a0bf51fa03be584, 0x594cf7dad490e248,
  0x3b57f47ac398b016, 0xe5403ff6608ebd1f, 0xc1c7c0f2cf6c7d99, 0xf9ce4db7e062777e, 0xbf37807d4180efdd,
  0x40aeaa72f29b19c9, 0x545a585ce31bc674, 0x52fcdb1248ab7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x4aad2cf257ee6866,
  0x00000000001f274e,
};

// c64_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart1_noled_pr_ee[] = {
  0xdddddb43a2431202, 0xbbbbaabe6b1b112d, 0x75a14d971d867bbb, 0x60bfd4cd0775228d, 0xb336c4d15051bb06,
  0x9f180904c15de4ee, 0x8e1ffe8833ec1660, 0xded51ca4df6e9f04, 0x7224d56b4738c368, 0xa8f83660d31f51e5,
  0x34eb422877c57dd7, 0xa426be8c2cb1148b, 0x2ce756979c571ac9, 0xae875e74ddb7b478, 0x48451cf230e36355,
  0x8fd6e1bd96cb98b8, 0xdfb002a254d2a360, 0xf77e73936df8189d, 0x726fcde01f50603b, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0x52d4bf36c4922ade, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e,
  0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xf2ab2b4b3c95fb9a, 0x0000000000000275,
};

// c64_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart1_noled_pr_ce[] = {
  0xbbbbb6874486d38b, 0xeeeeaafc2f64e25b, 0x5a9c2f623ac86eee, 0x68c286deeee9b491, 0xf27751994e1a6529,
  0x9d304f8c048260ae, 0x4f824517ff4419ff, 0x61b46f6a8e526fb7, 0x8f373b8f718bf588, 0xbf10d8488bace1e7,
  0xc5c3ffc0d1fa8f84, 0x393d3dcb3abeb264, 0x3a4a4871240f59ea, 0xd5fd1eb0e62c051f, 0x500ffd99e3af47ce,
  0x1c7c0f2d6e1f6679, 0x9ce4db7e062777ec, 0xf37807d4180efddf, 0x0aeaa72f29b19c9b, 0x45a585ce31bc6744,
  0x5f9b624863b7b155, 0xeee345912637296a, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xf5a59e4afdcd0ccb, 0x000000000375d843,
};

// c64_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u2x8_uart1_noled_pr_ee_ce[] = {
  0x77776d0e890c1107, 0xbbbaabc68299c4b7, 0xb8da29bbd8e3bbbb, 0xa165955a6ec2f536, 0xe455f6277efa7725,
  0xe30120982bbc9dd4, 0xb5ffa20cf8cdcc13, 0xb5472937dba7c120, 0x28c5faa3f9d0da37, 0x45d670f3c79b9dc7,
  0x72fd47c25f886c24, 0xc20f7cc98b87a4a6, 0x6b5fd4795f5129da, 0x14c5613fd47c1b30, 0x2cb1148b34eb4228,
  0xaedd388ea426be8c, 0xbce9bb6f68f059ce, 0x73c8c38d8d578d8e, 0x86f65b2e62e12114, 0x6744a9a546c11323,
  0xe726dbf0313bbf61, 0x9bc03ea0c077eefc, 0x575539794d8ce4df, 0x2d2c2e718de33a20, 0xfcdb12431dbd8aaa,
  0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50, 0x7efd8668fb61c7f1, 0x867a617c68f45fe0,
  0x7494b670e271964b, 0xad2cf257ee686658, 0x0000000004fc1f82,
};

static const uint64_t ur_c64_u2x8_uart1_noled_ee_hw[] = {
  0xeeeeda1d1468d38b, 0xdddd55f358d8896e, 0xad0a6cb8ec33dddd, 0x05fea6683ba9146b, 0xea3329da528dd833,
  0x09f180904c15de4e, 0x48e1fff5933ec166, 0x8ded51ca4df6e9f0, 0x57224d56b4738c36, 0x7a8f83660d31f51e,
  0xb34eb422877c57dd, 0x9a426be8c2cb1148, 0x82ce756979c571ac, 0x5ae875e74ddb7b47, 0x848451cf230e3635,
  0x08fd6e1bd96cb98b, 0xddfb002a254d2a36, 0xbf77e73936df8189, 0x6726fcde01f50603, 0x19d102baa9cbca6c,
  0xec55516961738c6f, 0xe52d4bf36c4922ad, 0xbca1854e7ea138c6, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xe822fa29e4afdcd0, 0x00000000000000b7,
};

// c64_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c64_u2x8_uart1_noled_ee_ce_hw[] = {
  0xdddddb43a28d12a8, 0xeeeeaaf1a0a6712d, 0xae368a6ef638eeee, 0x685965569bb0bd4d, 0xba75a356b3ee9dc9,
  0x827c602413057793, 0x2416bffac99f19b9, 0x46f6a8e526fb74f8, 0xb8e518bf547f3a1b, 0x0911759c3cf3c873,
  0xd337ff51f097e21b, 0xed6107be64c5c3f2, 0x9835afea3cafa894, 0x140a62b09fea3e0d, 0x4616588a459a75a1,
  0xe7576e9c4752135f, 0xc75e74ddb7b4782c, 0x8a39e461c6c6abc6, 0x91c37b2d97317090, 0xb0b3a254d2a36089,
  0x7e73936df8189ddf, 0x6fcde01f50603bf7, 0x102baa9cbca6c672, 0x5516961738c6f19d, 0xa97e6d89218edec5,
  0x30a9cfd42718dca5, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x01453c95fb9a1996, 0x0000000000501260,
};

// c64_u2x8_uart1_lednop_pr
static const uint64_t ur_c64_u2x8_uart1_lednop[] = {
  0xbbbbbb687acdfc4f, 0xeeeeeaafb385ee25, 0x26cfddf87f588eee, 0xc7eb4bf377764422, 0xde4eec2f5a3c7a09,
  0x052609f180904c15, 0xe9f04be4ff83419f, 0x1c368ded51ca4df6, 0x19a4f51c9e3be592, 0xf74c3e749490e248,
  0xb35f23905398b016, 0x3ef71cb1823af173, 0x26dbf0313bbf6158, 0xa0c077eefcf02027, 0x4e4a74026fcde6c8,
  0x1bc67440ef9537a9, 0x55bd8aaa2d3574e3, 0x386e52d4bf36dce4, 0xd598f2068fe3458f, 0x8cb25c33d30ae4fd,
  0x4332c3a4a5b38713, 0x801cb08be792bf73, 0x000000000000007c,
};

static const uint64_t ur_c64_u2x8_uart1_lednop_pr_u4[] = {
  0x777776d0e890c743, 0xddddd55f671d7c4b, 0xc75a5097e68dbddd, 0x99fa5327bbba1651, 0xf2776a2f256a6b04,
  0xeb304f8c048260ae, 0xa7c1297dffa20cf9, 0xf0da37b5472937db, 0x682fd47b58ef9610, 0xca6f920fd2438920,
  0x659e8d219cc580b2, 0xa807fecc11d7a3e7, 0x05681e59eda0b348, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08,
  0xea53929d009bf379, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x0001f26c793ad2cf,
};

// c64_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart1_lednop_pr_ee[] = {
  0xeeeeeda1d12198e2, 0xbbbbaabe6b62f896, 0x5cd85a331da17bbb, 0xde3bf53341dd48a3, 0xa5387b2e33acd2cf,
  0x27c602413057793b, 0x2287ffa20cfe5698, 0x37b5472937dba7c1, 0x5995355ad1ce30da, 0xea3e0d9834c7d479,
  0x9a75a1143be2b0f7, 0xd2135f4616588a45, 0x3473ab4b9eab8d64, 0x6ba1d79d3768c919, 0x1211413c8ded58d5,
  0x23f5b86f65b2e62e, 0xefd8010fb33ca8d8, 0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x71a2c8931b94b52f, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd2cf257ee6866587, 0x000000009d73072a,
};

// c64_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart1_lednop_pr_ce[] = {
  0xdddddb43a243280b, 0xbbbbaabf0b92112d, 0xb64da9933d067bbb, 0x6c20950f7774da48, 0x793bb939eb50569c,
  0xc39827c602413057, 0xa7c124adffa20cf9, 0x30da37b5472937db, 0xc79b9dc068c5fac4, 0x5f886c2445d670f3,
  0x8b874db9dbfd47c2, 0x7e927b96757d64c9, 0x88b490e2481eb3d4, 0x59e8d219cc580a98, 0x807feccf1d7a3e76,
  0x15a0796b720b348a, 0x2726dbf0313bbf64, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537,
  0xc31dbd8aaa2d3574, 0x4498dca5a97e6db9, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0006ebde49d69679,
};

// c64_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbb68744867f3e, 0xdddd55e340b0625b, 0xa66b8da5edc1dddd, 0xc202caad37617a9b, 0x3551786e75b1232e,
  0xf8c048260aef2776, 0xc7fff4419f0d1304, 0xed51ca4df6e9f04a, 0xea317ea8fe74368d, 0x11759c3cf1e6e764,
  0x41ff51f097e21b09, 0x6107be64c5c3e543, 0x35afea3cafba94ed, 0x0a62bdbfea3e0d98, 0x16588a459a75a114,
  0x576e3d4752135f46, 0xaf3a6ed1923268e7, 0x04f237b56355e363, 0xe1bd96cb98b84845, 0xb31f667951b044c8,
  0x13936df8189ddfb0, 0x6450603bf77e7810, 0xd4a7253a0137e6f3, 0x718de33a2077ca9b, 0xe18edec555169aba,
  0x224c6e52d4bf36dc, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00009f896d2b4b3c,
};

static const uint64_t ur_c64_u2x8_uart1_lednop_ee_hw[] = {
  0x77776d0e8a34280b, 0xdddd55f35b17c4b7, 0xe6c2d198ed0bdddd, 0xf1dfa99a0eea451a, 0xbb939eb6b4e6967e,
  0x827c602413057793, 0x12287ffd64cfe569, 0xa37b5472937dba7c, 0x95995355ad1ce30d, 0x7ea3e0d9834c7d47,
  0x59a75a1143be2b0f, 0x4d2135f4616588a4, 0x93473ab4b9eab8d6, 0x56ba1d79d3768c91, 0xe1211413c8ded58d,
  0x823f5b86f65b2e62, 0xeefd8010fb33ca8d, 0xf3c0809c9b6fc0c4, 0xbf379b228301dfbb, 0xbe54dea53929d009,
  0xb4d5d38c6f19d103, 0xfcdb739156f62aa8, 0x539fa84e31b94b52, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x000000002df608be,
};

// c64_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c64_u2x8_uart1_lednop_ee_ce_hw[] = {
  0xeeeeda1d146824d6, 0x7775578d02c1896e, 0x99ae3697b7077777, 0x080b2ab4dd85ea6e, 0xbf6baef53ec48cbb,
  0x27c602413057793b, 0x563fffd64cf86898, 0x6f6a8e526fb74f82, 0x27518bf547f3a1b4, 0x911759c3cf3c873b,
  0xd90ff51f097e21b0, 0x6b083df3262e1fac, 0xc1ad7f51e57dd4a7, 0xa05315edff51f06c, 0x30b2c4522cd3ad08,
  0x3abb71ea3a909afa, 0x1d79d3768c919347, 0x282791bdab1aaf1b, 0x470decb65cc5c242, 0x8598fb33ca8d8226,
  0x809c9b6fc0c4eefd, 0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5,
  0x509c637296a5f9b6, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x0000a021c5f514f2,
};

// c64_u2x8_uart1_dual_pr            c64_u2x8_uart1_dual_pr_u4
static const uint64_t ur_c64_u2x8_uart1_dual[] = {
  0xeeeeef07a24343ee, 0xbbbbbab0dbb0d7e6, 0xeec8dd41bd3adbbb, 0xb4d8b276eeed0b23, 0xf77577e4496a69e3,
  0x9f180904c15de4e2, 0x7d9323055212a260, 0x881850c1b48c0ddd, 0x75fcca0253ba7c4b, 0x7727b0f9c7090f31,
  0x524482481afb9bd4, 0x0a21895fe7ef8228, 0x397a670c7c4fae1f, 0x8a8432d0f9110cab, 0xde037fd01cf0987c,
  0x4dd660b0de579096, 0x2937dba7c1209fff, 0x77cb1350da37b547, 0x438920621fd47c8a, 0xc580aa0f34e2f7d2,
  0xd78033b5ac8ebf9c, 0x887486a807fecc11, 0xee2a4aa4e81e59ed, 0x8189ddfb27f157ce, 0xbf77e781013936df,
  0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33, 0x96a5f9b6e722adec, 0xfe0eee3459126372,
  0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x3f055a59e4afdcd0, 0x0000000000002927,
};

// c64_u2x8_uart1_dual_pr_ee_u4
static const uint64_t ur_c64_u2x8_uart1_dual_pr_ee[] = {
  0xeeeeef07a243359b, 0x77777756242b57e6, 0x5875f3ed26685b77, 0x5f1abc791fdd816f, 0xf0cc2987cd754035,
  0x0904c15de4a33770, 0x460aa40592609f18, 0xa18369181bbafb26, 0x9404a774f8971030, 0x019b386ed4c9b7f9,
  0x49034b537a8e63fb, 0x2bfcfdf0450a4890, 0xe32189f5c3e14431, 0xb41d2a2195672f4c, 0xe80e784c5162a10c,
  0xb0de579096dfabff, 0xa7c12df7ff4dd660, 0x90da37b5472937db, 0xa8f2b5f7355ad1c8, 0x752bd47c1b3060a7,
  0x148b34eb422877c5, 0x54b9a426be8c2cb1, 0x28f7b39d5a5cca5c, 0xc6ab5d0ebd44bb44, 0x98b84845022a3e7a,
  0x46c11fadc37b2fa5, 0x9ddc54940213fac5, 0xbf0313bbf64fe2af, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac,
  0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xb2042eb4b3c95fb9,
  0x0000000000000002,
};

// c64_u2x8_uart1_dual_pr_ce_u4
static const uint64_t ur_c64_u2x8_uart1_dual_pr_ce[] = {
  0xddddde0f448687e1, 0xeeeeead63ec5efcd, 0x2c45a8ed6badeeee, 0xe55ff6b7776e0c0b, 0xdc57b782eeda3e3a,
  0xc602413057792b05, 0x9323055202919827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x1d87579c287e6e9f,
  0x241240f674dea39c, 0x0c4aff3f7c114292, 0xd33978627d70f851, 0x432d05f6886559cb, 0xbffa039e1307b8a8,
  0xcc161bcaf212dbe9, 0xfb74f82452ffe9ba, 0xb2fa1b46f6a8e526, 0x3cf1e6e7695a317e, 0xf097e21b0911759c,
  0x993170f5bf003f51, 0xd471bf3dcb3abd4b, 0x283e52438920752f, 0xed6b23afe7316028, 0xaa01ffb33c75e00c,
  0xaa4e81e5adc21d21, 0xdfb27f157ceee2a4, 0x781013936df8189d, 0xe6f36450603bf77e, 0xca9bd4a7253a0137,
  0x9aba718de33a2077, 0x36dce18edec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x00000001a48f36eb,
};

static const uint64_t ur_c64_u2x8_uart1_dual_pr_ee_ce[] = {
  0xeeeeef07d41432db, 0xbbbbbab0dbc997e6, 0xaae2162afdf71bbb, 0x9bad32024775056c, 0x8e08ab38fe6740f8,
  0xc048260aef25d93b, 0x6460aa4771f304f8, 0x0a18369181bbafb2, 0x99404a774f897103, 0xec2001c0524dfaff,
  0x82481cedcdea3d6f, 0x895fe7ef82285244, 0xce2a444fae1f0a21, 0xcb42dd22195672f4, 0xfe80e784ca7a2a10,
  0x0586f2bc84b6fa6b, 0xdd3e0905affa6eb3, 0xee86d1bdaa3949be, 0xc79b9dc72b1fd51f, 0xd339d61ee4492bf3,
  0x51e56fe4a76b02cd, 0xe037a8f83660d7cf, 0x291669d68450298a, 0xca1d484d7d185962, 0xbb4428f7b39d5db8,
  0x7cf58d578d8ebd44, 0x5f4b3170908a0454, 0xfac546c1132386f6, 0xe2af9ddc5494b313, 0x726dbf0313bbf64f,
  0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e, 0xa18dca5a97e6db9c,
  0xd599bf83bb8d1607, 0x87138d2861539fa9, 0x7a615c9f80f9a3ed, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x0000000100073ead,
};

static const uint64_t ur_c64_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0x777783d150ff9231, 0xbbbab35369ebf377, 0x187c80778ffbbbbb, 0x234e05ee9ceebbf7, 0xa7f0ed6a9b419cae,
  0x5de49d6777ff0cd3, 0x9e5e609f180904c1, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x37e64a8fccac049d,
  0x37a8f787b0e5a383, 0x08a14912092078dd, 0xb87c2886257f9fbe, 0xcab397a6715d713e, 0x8e5150865a096910,
  0x25b7149ff4073c26, 0xff546e982c3795e4, 0x472937dba7c12d35, 0xc5faa32870da37b5, 0xb3879e7c033b31f8,
  0xea3e12fc4361222e, 0x6e993170e601ba1f, 0x7a8f2b7f253b5842, 0x5701bd47c1b306be, 0x1148b34eb422814c,
  0xc650ea426be8c2cb, 0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37,
  0x7f157ceee2a4a598, 0x13936df8189ddfb2, 0x6450603bf77e7810, 0xd4a7253a0137e6f3, 0x718de33a2077ca9b,
  0xe18edec555169aba, 0x224c6e52d4bf36dc, 0xa75666fe0d1fc68b, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x010011a7cd1eb9e4,
};

static const uint64_t ur_c64_u2x8_uart1_dual_ee_hw[] = {
  0x7777783d146887e1, 0xbbbbbab1215abf37, 0xc3af9f693342dbbb, 0xf8d5e3c8feec0b7a, 0xc57b782d68fa01aa,
  0x6024130577928cdd, 0x99182a901649827c, 0xc2860da4606eebec, 0xe657419dd3e25c40, 0xec066ce1bb5326df,
  0x41240d2d4dea398f, 0xc4aff3f7c1142922, 0x338c8627d70f8510, 0x32d074a886559cbd, 0xffa039e131458a84,
  0x82c3795e425b7eaf, 0x6e9f04b7dff9d5b9, 0x224368ded51ca4df, 0x9ea3cad7dcd56b47, 0x15d4af51f06cc182,
  0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed, 0x9662e1211408a8f9,
  0x151b047eb70decbe, 0xbe77715250084feb, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0xdef2861539fa84e3, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xb42202e8a792bf73, 0x000000000000002b,
};

// c64_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c64_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbbc1e8a343e907, 0xdddd59a9b4f5f9bb, 0x8c3e403bc7fddddd, 0x11a702f74e775dfb, 0x79d6b3ebcda0ce57,
  0x0982bbc93acee53a, 0x55213cbcc13e3012, 0x1b48c0ddd7d93230, 0x833ba7c4b881850c, 0xa38337e64a8fccae,
  0x78dd37a8f787b0e5, 0x9fbe08a149120920, 0x713eb87c2886257f, 0x6910cab397a6715d, 0x3c268e5150865a09,
  0x95e425b7149ff407, 0x4b4d7f9d5b982c37, 0x8ded51ca4df6e9f0, 0xcc7e317ea8ca1c36, 0x2445d670f3cf21ce,
  0x5d1ffd47c25f886c, 0xb58426e993170ece, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b, 0x8c2cb1148b34eb42,
  0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848, 0x4a5989fd62a36089,
  0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013, 0x69aba718de33a207,
  0xf36dce18edec5551, 0x4e7ea138c6e52d4b, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x00000003aeabaa4a,
};

// c64_u2x12_uart0_noled_pr
static const uint64_t ur_c64_u2x12_uart0_noled[] = {
  0x776d0d783acdc49f, 0xddd55ce0b4244b77, 0x8a64d0e6bafddddd, 0xe2f56dddd3c19ee4, 0x3bb9892150d681af,
  0x9827c60241305779, 0xe12887fe0d067e6e, 0x51ca4fe6d4faadd3, 0x9e3be5921c368ded, 0xd490e24819a4f51f,
  0x6731602dee986f93, 0xc11d78b9d9ed23c6, 0x256bd856513b8e58, 0x03bd6bce70b37e06, 0x363385bcde01f506,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0xc37296a5f9b62491, 0xacc790347f1a2c79, 0x6592e19e985727ee,
  0x19961d252d9c389c, 0x0a9d845f3c95fb9a, 0x00000000000001f2,
};

static const uint64_t ur_c64_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d78344861391, 0xbaab9c178fc4b777, 0xb79356ddb7bbbbbb, 0x23c1f777622244f8, 0x77420f2363f928c6,
  0x304f8c048260aef2, 0xf09029ffa20cfe95, 0xa8e527f36a7d56e9, 0xd01df2c21e1b46f6, 0x6a4871240d05fa8f,
  0x61cc580b2ca67bed, 0x30475e8f9dabfa3d, 0x67b63eccf2a01ffb, 0xf81895af60e3e079, 0xd4180ef5af39c2cd,
  0x9794d8ce16f37807, 0xe718de33a2057553, 0x92455bd8aaa2d2c2, 0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0001f27cbf0d6967,
};

// c64_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0xeeaaf2200ce25bbb, 0x8121e3f469eeeeee, 0xa730987f75e475ec, 0xd1da34a3da199bb6,
  0x8c048260aef2774d, 0x2fff4419fc09304f, 0x9fcda9f55ba7c245, 0x68e7186d1bdaa394, 0x1a63ea3cae449aad,
  0x0ef8afbaf51f06cc, 0x85962291669d6845, 0xf38ae3593484d7d1, 0x9bb6f68f059cead2, 0x461c6c6ab5d0ebce,
  0xb2d973170908a39e, 0x4a9a546c11fadc37, 0x2cdf81895af60054, 0x807d4180ef5af39c, 0x5539794d8ce16f37,
  0x2c2e718de33a2057, 0x6d892455bd8aaa2d, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861,
  0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x96792bf734332c3a, 0x00000009d731c4d6,
};

// c64_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xeeaae8778544b777, 0xd3b1e334adeeeeee, 0x0b4171ddddf12f23, 0x4eec4e764f5deb32,
  0xe609f180904c15de, 0xf849c9ffe8833f21, 0x547293f9b53eab74, 0x7b8c5fac430da37b, 0x445d670f3c79b9dc,
  0x068fd47c25f886c2, 0x59d5f593262e1ffe, 0x89207acf51c9e9ee, 0x87316028f9d25243, 0xcf1d7a3e76afe8f5,
  0x6b70fb33ca807fec, 0xf81895af60e3e079, 0xd4180ef5af39c2cd, 0x9794d8ce16f37807, 0xe718de33a2057553,
  0x2431dbd8aaa2d2c2, 0xc8931b94b52fcdb1, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62,
  0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x000375e57e1ad2cf,
};

// c64_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8725896eee, 0x4d2c33d837bbbbbb, 0xb1c7c7f76c792062, 0x3aecce8be38f4ea0,
  0x0120982bbc9dd2d4, 0xffa20cfeed4c13e3, 0xcda9f55ba7c2463f, 0xfce86d1bdaa3949f, 0xe3cdcee39462fd51,
  0x2fc4361222eb3879, 0xc5c3d253397ea3e1, 0xafa894ed6107be64, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f,
  0x52135f4616588a45, 0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97,
  0x0c4ad7b0b3a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x498dca5a97e6d892, 0x9d599bf83bb8d164, 0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33,
  0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x004fcf627d696792,
};

// c64_u2x12_uart0_lednop_pr
static const uint64_t ur_c64_u2x12_uart0_lednop[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x75089154cd19bbbb, 0x23c7d83eeee9e0cf, 0xf2776c7b210bcd86,
  0xe3304f8c048260ae, 0xa7c24be7fc1a0cfc, 0xdaa3949fcda9f55b, 0x393c77cb24386d1b, 0xe92921c4903349ea,
  0x20a731602dee987c, 0x630475e2e766be47, 0x312b5ec2b07dee39, 0xeb5e781013859bf0, 0x8016f379b228301d,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0x40d1fc68b1e70dca, 0x867a615c9fbab31e,
  0x7494b670e271964b, 0x117cf257ee686658, 0x0000000001f20016,
};

static const uint64_t ur_c64_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0be9625bbb, 0xfe2d83e971dddddd, 0xcf9beeeec44489e3, 0xd68bd39e9cbb1b64,
  0x13e30120982bbc9d, 0x4900ffd1067c27cc, 0x7293f9b53eab74f8, 0x8ef9610f0da37b54, 0x2438920682fd47b5,
  0xcc580b2ca6f920fd, 0x1d7a3e7659e8d219, 0xda0b348a807fecc1, 0x6256bd905681e59e, 0xd6bcf020270b37e0,
  0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0xb52fcdb739156f62, 0xf07771a2c8931b94,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719,
  0x5daad2cf257ee686, 0x000000000003e4f4,
};

// c64_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart0_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x775579103f712ddd, 0xcd9005fb41777777, 0x2730987f75e475e0, 0x92be31338a85b4bb,
  0x8c048260aef2775d, 0x7bff4419fdf7304f, 0x9fcda9f55ba7c24a, 0x68e7186d1bdaa394, 0x1a63ea3cacca9aad,
  0x1df1587bf51f06cc, 0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce,
  0xb2d973170908a09e, 0xd99e546c11fadc37, 0x59bf0312b5ec0087, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0xab7b15545a6ae9c6, 0x98dca5a97e6db9c8, 0xd599bf83bb8d1644, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x04eb98225696792b,
};

// c64_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b41225bbb, 0x53d31b7a6ef77777, 0xcd8cc77777c4bc98, 0x3bb626c35450140c,
  0x9827c60241305779, 0xe1274bffa20cf94b, 0x51ca4fe6d4faadd3, 0x1a317eb10c368ded, 0x11759c3cf1e6e770,
  0x76ff51f097e21b09, 0x9d5f593262e1d36e, 0x9207acf51fa49ee5, 0x731602a6222d2438, 0xc75e8f9d967a3486,
  0xdc82cd22a01ffb33, 0x06256bd905681e5a, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7,
  0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xc6875a59e4afdcd0, 0x0000000000001baf,
};

// c64_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de425dc4b777, 0xa62685ea3bdddddd, 0x18e3e3fbb63c90e4, 0x2ad14eb9d70448d9,
  0x180904c15de4ee96, 0xe7fe8833fa6a609f, 0x3f9b53eab74f84bf, 0xa3f9d0da37b54729, 0xf3c79b9d93a8c5fa,
  0xc25f886c2445d670, 0x93170f950d07fd47, 0xf2beea53b5841ef9, 0xffa8f83660d6bfa8, 0x1669d68450298af6,
  0x1d484d7d18596229, 0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b,
  0xf0312b5ec2cc7d99, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x94b52fcdb73863b7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xc94d6ad2cf257ee6, 0x000000000000004f,
};

// c64_u2x12_uart0_dual_pr           c64_u2x12_uart0_dual_pr_u4
static const uint64_t ur_c64_u2x12_uart0_dual[] = {
  0xbbc1f77d1218022f, 0xeeeac5c5b15f9bbb, 0xe2948cf6716eeeee, 0xdab13bbbb41571b4, 0x764c1f8cf8670eb1,
  0x180904c15de49fb7, 0x932305522e46609f, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x9db090e702eb3143,
  0x44824819459bd47f, 0x21895fe7ef822852, 0x7a67066c4fae1f0a, 0x8432d05f110cab39, 0xa57fd01cf099ef8a,
  0xd660b0de579096de, 0x7d56e9f09775ff4d, 0x1b46f6a8e527f36a, 0x43fa8f914ef9626a, 0xe69c5efa4871240c,
  0xb591d7f398b01541, 0x00ffd9823af00676, 0x9d03cb3db10e90d5, 0x64fe2af9ddc54954, 0x0809c2cdf81895af,
  0xbcd914180ef5af3c, 0x537a94e4a7400b79, 0x574e31bc67440ef9, 0x6dce455bd8aaa2d3, 0x68b224c6e52d4bf3,
  0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000524d5c16b4,
};

// c64_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart0_dual_pr_ee[] = {
  0x777783eefa2432db, 0xddddd5904aafbf37, 0xeb7bf69cb7bbdddd, 0x2c50bd71ee86eb0c, 0x822ac70b33a0b201,
  0x120982bbc989cee3, 0x182a90cf5cc13e30, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x3768e09b734edfe6,
  0x240c2d4dea38cdec, 0xaff3f7c114292241, 0x949427d70f8510c4, 0xd0386886559cbd33, 0xa039e133938a8432,
  0xc3795e425b7a1fff, 0x4f84b4dffd375982, 0xb547293f9b53eab7, 0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5,
  0xeb422877c5752bd4, 0x26be8c2cb1148b34, 0x9d5a5cca5c54b9a4, 0x0ebd44bb4428f7b3, 0x45022a3e7ac6ab5d,
  0xadc37b2fa598b848, 0x940213fac546c11f, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xbf36dce455bd8aaa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1,
  0x65f989ffde1ef794, 0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xab4b3c95fb9a1996,
  0x00000000000ac902,
};

// c64_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart0_dual_pr_ce[] = {
  0x77783eefa243573e, 0xbbbab63b2afbf377, 0xed9f1d6db9dbbbbb, 0xeba4cdddd4761b93, 0xb8beecaefd653ad8,
  0x024130577932eddc, 0x9182a91e729827c6, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc287ce1d3f358ffe,
  0x1240e394dea3f57e, 0x4aff3f7c11429224, 0x39cb427d70f8510c, 0x2d028a886559cbd3, 0xfa039e1318f8a843,
  0x161bcaf212dbc56f, 0xba7c24c17fe9bacc, 0xbdaa3949fcda9f55, 0xda568c5facbe86d1, 0xc2445d670f3c79b9,
  0x6fc00fd47c25f886, 0x72ceaf52e64c5c3d, 0xe2481d4bf51c6fcf, 0xf9cc580a0a0f9490, 0xcf1d78033b5ac8eb,
  0x6b7087486a807fec, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x31b94b52fcdb7386, 0xab337f07771a2c89, 0x787bde50c2a73f53,
  0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x06925d5bad2cf257,
};

static const uint64_t ur_c64_u2x12_uart0_dual_pr_ee_ce[] = {
  0xdde0fbbf5050cf68, 0xbbbab17126efcddd, 0xdf763afb913bbbbb, 0x795bb83ba3d8e76c, 0x4ebeaedd9ee01f55,
  0x4c15de4b4e77347d, 0x54874ea609f18090, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x870fd798d6ff3280,
  0x3b5b9bd47801b014, 0xcfdf0450a4890490, 0xb09f5c3e144312bf, 0xce4432ace5e99cee, 0xcf09b2b454219686,
  0xe579096ddfe7fd01, 0x2463fff4dd660b0d, 0x3949fcda9f55ba7c, 0x1fd51fee86d1bdaa, 0x492bf3c79b9dc72b,
  0x6b02cdd339d61ee4, 0x60d7cf51e56fe4a7, 0x50298ae037a8f836, 0x185962291669d684, 0x9d5db8ca1d484d7d,
  0x8ebd44bb4428f7b3, 0x8a04547cf58d578d, 0x2386f65f4b317090, 0x94b313fac546c113, 0x5af64fe2af9ddc54,
  0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x7e6db9c31dbd8aaa,
  0xb8d1607a18dca5a9, 0x1539fa9d599bf83b, 0x0f9a3ed87138d286, 0x1964b867a615c9f8, 0x866587494b670e27,
  0x02c7fad2cf257ee6, 0x0000000000000020,
};

static const uint64_t ur_c64_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff1107, 0xdd59e98ce5f9bbbb, 0xc2c2dbf57ddddddd, 0xd70ddba10ec5f225, 0xe1e906e3fcda6cdb,
  0xe4ce27737fb54e31, 0xae609f180904c15d, 0x6eebec99182a9047, 0xe25c40c2860da460, 0x26b91fccac049dd3,
  0xa8fcb5b066f9c12a, 0xa1491209207d8337, 0x7c2886257f9fbe08, 0xb397a67061713eb8, 0x3150865a016910ca,
  0x6ffafff4073c2638, 0xa8dd30586f2bc84b, 0xa9f55ba7c24ff3fe, 0x386d1bdaa3949fcd, 0x019d98fc62fd5194,
  0x21b0911759c3cf3e, 0x7300dd0ff51f097e, 0x929dac21374c98b8, 0xe0d9835f3d4795bf, 0x5a1140a62b80dea3,
  0x35f4616588a459a7, 0xdece7576e3287521, 0x5e363af512ed10a3, 0xc242281151f3d635, 0x044c8e1bd97d2cc5,
  0x715252cc4feb151b, 0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929,
  0x2aa8b4d5d38c6f19, 0x96a5f9b6e70c76f6, 0xf068fe3459126372, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0xfe07efd8668fb61c, 0x64b867a617c68f45, 0x6587494b670e2719, 0xf0e8f5cf257ee686, 0x00000000001000cb,
};

// c64_u2x12_uart1_noled_pr
static const uint64_t ur_c64_u2x12_uart1_noled[] = {
  0x776d0d783acdc49f, 0xddd55ce0b4244b77, 0x8a64d0e6bafddddd, 0xe2f56dddd3c19ee4, 0x3bb9892150d681af,
  0x9827c60241305779, 0xc12887fe0d067e6e, 0xa3949fcda9f55ba7, 0x3c77cb24386d1bda, 0xa921c4903349ea3f,
  0xce62c05bdd30df27, 0x823af173b3da478c, 0x9ddfb0aca2771cb1, 0x3bf77e73936df818, 0xc6726fcde01f5060,
  0xf19d102baa9cbca6, 0xdec55516961738c6, 0x6e52d4bf36c4922a, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0x53b08be792bf7343, 0x0000000000003e41,
};

static const uint64_t ur_c64_u2x12_uart1_noled_pr_u4[] = {
  0x76d0d78344861391, 0xbaab9c178fc4b777, 0xb79356ddb7bbbbbb, 0x23c1f777622244f8, 0x77420f2363f928c6,
  0x304f8c048260aef2, 0xe09029ffa20cfe95, 0x51ca4fe6d4faadd3, 0xa03be5843c368ded, 0xd490e2481a0bf51f,
  0xc398b016594cf7da, 0x608ebd1f3b57f47a, 0xcf6c7d99e5403ff6, 0xe062777ec1c7c0f2, 0x4180efddf9ce4db7,
  0xf29b19c9bf37807d, 0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0x8931b94b52fcdb12, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x003e4f97e1ad2cf2,
};

// c64_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart1_noled_pr_ee[] = {
  0xbb686bc1a2431768, 0xeeaaf2200ce25bbb, 0x8121e3f469eeeeee, 0xa730987f75e475ec, 0xd1da34a3da199bb6,
  0x8c048260aef2774d, 0x2fff4419fc09304f, 0x3f9b53eab74f8245, 0xd1ce30da37b54729, 0x34c7d4795c89355a,
  0x1df15f75ea3e0d98, 0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d,
  0x65b2e62e1211473c, 0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x0000013ae6389ad2,
};

// c64_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart1_noled_pr_ce[] = {
  0x76d0d783448651eb, 0xeeaae8778544b777, 0xd3b1e334adeeeeee, 0x0b4171ddddf12f23, 0x4eec4e764f5deb32,
  0xe609f180904c15de, 0xf049c9ffe8833f21, 0xa8e527f36a7d56e9, 0xf718bf58861b46f6, 0x88bace1e78f373b8,
  0x0d1fa8f84bf10d84, 0xb3abeb264c5c3ffc, 0x1240f59ea393d3dc, 0x0e62c051f3a4a487, 0x9e3af47ced5fd1eb,
  0xd6e1f6679500ffd9, 0xe062777ec1c7c0f2, 0x4180efddf9ce4db7, 0xf29b19c9bf37807d, 0xe31bc67440aeaa72,
  0x863b7b15545a585c, 0x12637296a5f9b624, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x006ebcafc35a59e4,
};

// c64_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c64_u2x12_uart1_noled_pr_ee_ce[] = {
  0xeda1af06890cac4f, 0xbaabbc8725896eee, 0x4d2c33d837bbbbbb, 0xb1c7c7f76c792062, 0x3aecce8be38f4ea0,
  0x0120982bbc9dd2d4, 0xffa20cfeed4c13e3, 0x9b53eab74f82463f, 0xf9d0da37b547293f, 0xc79b9dc728c5faa3,
  0x5f886c2445d670f3, 0x8b87a4a672fd47c2, 0x5f5129dac20f7cc9, 0xd47c1b306b5fd479, 0x34eb422814c5613f,
  0xa426be8c2cb1148b, 0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d, 0x46c1132386f65b2e,
  0x313bbf616744a9a5, 0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0, 0x8de33a2057553979, 0x1dbd8aaa2d2c2e71,
  0x31b94b52fcdb1243, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x09f9ec4fad2cf257,
};

static const uint64_t ur_c64_u2x12_uart1_noled_ee_hw[] = {
  0xdb435e0d146851eb, 0x755791006712dddd, 0x090f1fa34f777777, 0x3984c3fbaf23af64, 0x273b2d7ad0ccddb5,
  0xf8c048260aef2776, 0x52fffac99fc09304, 0x93f9b53eab74f824, 0xad1ce30da37b5472, 0x834c7d4795c89355,
  0xa1df15f75ea3e0d9, 0x30b2c4522cd3ad08, 0x5e715c6b26909afa, 0xd376ded1e0b39d5a, 0xc8c38d8d56ba1d79,
  0xf65b2e62e1211473, 0x89534a8d823f5b86, 0x4db7e062777ec00a, 0x807d4180efddf9ce, 0xaa72f29b19c9bf37,
  0x585ce31bc67440ae, 0xdb1248ab7b15545a, 0x9fa84e31b94b52fc, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3,
  0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000005be4134e8a,
};

// c64_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c64_u2x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d1468bf3e, 0x7557790e4b12dddd, 0x9a5867b06f777777, 0x638f8feed8f240c4, 0x88b16f5dc71e9d41,
  0xc602413057793bb3, 0x7fffac99fdda9827, 0x7f36a7d56e9f048c, 0x47f3a1b46f6a8e52, 0xcf3c873b8e518bf5,
  0x097e21b0911759c3, 0x4c5c3f2d337ff51f, 0xcafa894ed6107be6, 0xfea3e0d9835afea3, 0x59a75a1140a62b09,
  0x752135f4616588a4, 0x7b4782ce7576e9c4, 0x6c6abc6c75e74ddb, 0x73170908a39e461c, 0x2a3608991c37b2d9,
  0x8189ddfb0b3a254d, 0x0603bf77e73936df, 0xca6c6726fcde01f5, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x718dca5a97e6d892, 0xe1ef79430a9cfd42, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0x0a0247a75453c95f,
};

// c64_u2x12_uart1_lednop_pr
static const uint64_t ur_c64_u2x12_uart1_lednop[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x75089154cd19bbbb, 0x23c7d83eeee9e0cf, 0xf2776c7b210bcd86,
  0xe3304f8c048260ae, 0x4f824be7fc1a0cfc, 0xb547293f9b53eab7, 0x7278ef964870da37, 0xd2524389206693d4,
  0x414e62c05bdd30f9, 0xc608ebc5cecd7c8e, 0xc4eefd8560fbdc72, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x52fcdb739156f62a, 0x1a3f8d163ce1b94b, 0xcf4c2b93f75663c8,
  0x9296ce1c4e32c970, 0x2f9e4afdcd0ccb0e, 0x000000003e4002c2,
};

static const uint64_t ur_c64_u2x12_uart1_lednop_pr_u4[] = {
  0xbb686bc1a2435a91, 0xdd55ce0be9625bbb, 0xfe2d83e971dddddd, 0xcf9beeeec44489e3, 0xd68bd39e9cbb1b64,
  0x13e30120982bbc9d, 0x4900ffd1067c27cc, 0xe527f36a7d56e9f0, 0x1df2c21e1b46f6a8, 0x4871240d05fa8f6b,
  0x98b016594df241fa, 0x3af47cecb3d1a433, 0xb416691500ffd982, 0x89ddfb20ad03cb3d, 0x77e781013936df81,
  0x137e6f36450603bf, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xb55a59e4afdcd0cc, 0x00000000007c9e8b,
};

// c64_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart1_lednop_pr_ee[] = {
  0xddb435e0d121b768, 0x775579103f712ddd, 0xcd9005fb41777777, 0x2730987f75e475e0, 0x92be31338a85b4bb,
  0x8c048260aef2775d, 0x7bff4419fdf7304f, 0x3f9b53eab74f824a, 0xd1ce30da37b54729, 0x34c7d4795995355a,
  0x3be2b0f7ea3e0d98, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d,
  0x65b2e62e1211413c, 0xb33ca8d823f5b86f, 0xb6fc0c4eefd8010f, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x9d73044ad2cf257e,
};

// c64_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart1_lednop_pr_ce[] = {
  0xbb686bc1a2433a31, 0x7755743b41225bbb, 0x53d31b7a6ef77777, 0xcd8cc77777c4bc98, 0x3bb626c35450140c,
  0x9827c60241305779, 0xc1274bffa20cf94b, 0xa3949fcda9f55ba7, 0x3462fd62186d1bda, 0x22eb3879e3cdcee0,
  0xedfea3e12fc43612, 0x3abeb264c5c3a6dc, 0x240f59ea3f493dcb, 0xe62c054c445a4871, 0x8ebd1f3b2cf4690c,
  0xb9059a45403ff667, 0x189ddfb20ad03cb5, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0xd4bf36dce18edec5, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xd0eb4b3c95fb9a19, 0x00000000000375f8,
};

// c64_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344863375, 0xdd55de425dc4b777, 0xa62685ea3bdddddd, 0x18e3e3fbb63c90e4, 0x2ad14eb9d70448d9,
  0x180904c15de4ee96, 0xe7fe8833fa6a609f, 0x7f36a7d56e9f04bf, 0x47f3a1b46f6a8e52, 0xe78f373b27518bf5,
  0x84bf10d8488bace1, 0x262e1f2a1a0ffa8f, 0xe57dd4a76b083df3, 0xff51f06cc1ad7f51, 0x2cd3ad08a05315ed,
  0x3a909afa30b2c452, 0x8c9193473abb71ea, 0xab1aaf1b1d79d376, 0x5cc5c242282791bd, 0xca8d8226470decb6,
  0xc0c4eefd8598fb33, 0xdfbbf3c0809c9b6f, 0xd009bf379b228301, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x96a5f9b6e70c76f6, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x29ad5a59e4afdcd0, 0x00000000000009f9,
};

static const uint64_t ur_c64_u2x12_uart1_lednop_ee_hw[] = {
  0xeda1af068a343a31, 0xbaabc881fb896eee, 0x6c802fda0bbbbbbb, 0x3984c3fbaf23af06, 0xc4d86d01542da5d9,
  0xf8c048260aef2776, 0xa7bffac99fdf7304, 0x93f9b53eab74f824, 0xad1ce30da37b5472, 0x834c7d4795995355,
  0x43be2b0f7ea3e0d9, 0x616588a459a75a11, 0xb9eab8d64d2135f4, 0xd3768c9193473ab4, 0xc8ded58d56ba1d79,
  0xf65b2e62e1211413, 0xfb33ca8d823f5b86, 0x9b6fc0c4eefd8010, 0x8301dfbbf3c0809c, 0x3929d009bf379b22,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x31b94b52fcdb7391, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5bf4134e8a792bf7, 0x0000000000000000,
};

// c64_u2x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c64_u2x12_uart1_lednop_ee_ce_hw[] = {
  0xdb435e0d14684aa4, 0x755779097712dddd, 0x989a17a8ef777777, 0x638f8feed8f24392, 0x658bee7ddc112364,
  0x8c048260aef27752, 0xf3ffac99fd35304f, 0x3f9b53eab74f825f, 0xa3f9d0da37b54729, 0xe79e439d93a8c5fa,
  0x84bf10d8488bace1, 0x93170fd66c87fa8f, 0xf2beea53b5841ef9, 0xffa8f83660d6bfa8, 0x1669d68450298af6,
  0x1d484d7d18596229, 0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b,
  0xe062777ec2cc7d99, 0xefddf9e0404e4db7, 0xe804df9bcd914180, 0xe881df2a6f529c94, 0x15545a6ae9c6378c,
  0x4b52fcdb73863b7b, 0x2861539fa84e31b9, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0xa41e8a792bf73433, 0x000000000000a029,
};

// c64_u2x12_uart1_dual_pr           c64_u2x12_uart1_dual_pr_u4
static const uint64_t ur_c64_u2x12_uart1_dual[] = {
  0xbbc1f77d1218022f, 0xeeeac5c5b15f9bbb, 0xe2948cf6716eeeee, 0xdab13bbbb41571b4, 0x764c1f8cf8670eb1,
  0x180904c15de49fb7, 0x932305522e46609f, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0x9db090e702eb3143,
  0x44824819459bd47f, 0x21895fe7ef822852, 0x7a67066c4fae1f0a, 0x8432d05f110cab39, 0xa57fd01cf099ef8a,
  0xd660b0de579096de, 0xfaadd3e09775ff4d, 0x368ded51ca4fe6d4, 0x87f51f229df2c4d4, 0xcd38bdf490e24818,
  0x6b23afe731602a83, 0x01ffb30475e00ced, 0x3a07967b621d21aa, 0xc9fc55f3bb8a92a9, 0x404e4db7e062777e,
  0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a, 0xb9c8ab7b15545a6a, 0x164498dca5a97e6d,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00000a49ab82d696,
};

// c64_u2x12_uart1_dual_pr_ee_u4
static const uint64_t ur_c64_u2x12_uart1_dual_pr_ee[] = {
  0x777783eefa2432db, 0xddddd5904aafbf37, 0xeb7bf69cb7bbdddd, 0x2c50bd71ee86eb0c, 0x822ac70b33a0b201,
  0x120982bbc989cee3, 0x182a90cf5cc13e30, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x3768e09b734edfe6,
  0x240c2d4dea38cdec, 0xaff3f7c114292241, 0x949427d70f8510c4, 0xd0386886559cbd33, 0xa039e133938a8432,
  0xc3795e425b7a1fff, 0x9f04b4dffd375982, 0x6a8e527f36a7d56e, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf,
  0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xb8d164498dca5a97, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x696792bf734332c3,
  0x0000000001592055,
};

// c64_u2x12_uart1_dual_pr_ce_u4
static const uint64_t ur_c64_u2x12_uart1_dual_pr_ce[] = {
  0x77783eefa243573e, 0xbbbab63b2afbf377, 0xed9f1d6db9dbbbbb, 0xeba4cdddd4761b93, 0xb8beecaefd653ad8,
  0x024130577932eddc, 0x9182a91e729827c6, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xc287ce1d3f358ffe,
  0x1240e394dea3f57e, 0x4aff3f7c11429224, 0x39cb427d70f8510c, 0x2d028a886559cbd3, 0xfa039e1318f8a843,
  0x161bcaf212dbc56f, 0x74f824c17fe9bacc, 0x7b547293f9b53eab, 0xb4ad18bf597d0da3, 0x8488bace1e78f373,
  0xdf801fa8f84bf10d, 0xe59d5ea5cc98b87a, 0xc4903a97ea38df9e, 0xf398b014141f2921, 0x9e3af00676b591d7,
  0xd6e10e90d500ffd9, 0xbe777152552740f2, 0xb6fc0c4eefd93f8a, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x37296a5f9b6e70c7, 0x666fe0eee3459126, 0x0f7bca1854e7ea75,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xd24bab75a59e4afd,
};

static const uint64_t ur_c64_u2x12_uart1_dual_pr_ee_ce[] = {
  0xdde0fbbf5050cf68, 0xbbbab17126efcddd, 0xdf763afb913bbbbb, 0x795bb83ba3d8e76c, 0x4ebeaedd9ee01f55,
  0x4c15de4b4e77347d, 0x54874ea609f18090, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x870fd798d6ff3280,
  0x3b5b9bd47801b014, 0xcfdf0450a4890490, 0xb09f5c3e144312bf, 0xce4432ace5e99cee, 0xcf09b2b454219686,
  0xe579096ddfe7fd01, 0x2463fff4dd660b0d, 0x7293f9b53eab74f8, 0x3faa3fdd0da37b54, 0x9257e78f373b8e56,
  0xd6059ba673ac3dc8, 0xc1af9ea3cadfc94e, 0xa05315c06f51f06c, 0x30b2c4522cd3ad08, 0x3abb71943a909afa,
  0x1d7a89768851ef67, 0x1408a8f9eb1aaf1b, 0x470decbe9662e121, 0x296627f58a8d8226, 0x77ec9fc55f3bb8a9,
  0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xcdb73863b7b15545,
  0x1a2c0f431b94b52f, 0xa73f53ab337f0777, 0xf347db0e271a50c2, 0x2c970cf4c2b93f01, 0xccb0e9296ce1c4e3,
  0x58ff5a59e4afdcd0, 0x0000000000000400,
};

static const uint64_t ur_c64_u2x12_uart1_dual_pr_ee_ce_u4[] = {
  0xbc1f77d150ff1107, 0xdd59e98ce5f9bbbb, 0xc2c2dbf57ddddddd, 0xd70ddba10ec5f225, 0xe1e906e3fcda6cdb,
  0xe4ce27737fb54e31, 0xae609f180904c15d, 0x6eebec99182a9047, 0xe25c40c2860da460, 0x26b91fccac049dd3,
  0xa8fcb5b066f9c12a, 0xa1491209207d8337, 0x7c2886257f9fbe08, 0xb397a67061713eb8, 0x3150865a016910ca,
  0x6ffafff4073c2638, 0xa8dd30586f2bc84b, 0x53eab74f824ff3fe, 0x70da37b547293f9b, 0x033b31f8c5faa328,
  0x4361222eb3879e7c, 0xe601ba1fea3e12fc, 0x253b58426e993170, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47,
  0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b,
  0xe2a4a5989fd62a36, 0x189ddfb27f157cee, 0xf77e781013936df8, 0x0137e6f36450603b, 0x2077ca9bd4a7253a,
  0x55169aba718de33a, 0xd4bf36dce18edec5, 0x0d1fc68b224c6e52, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x1d1eb9e4afdcd0cc, 0x000000000200197e,
};

static const uint64_t ur_c64_u2x12_uart1_dual_ee_hw[] = {
  0xdde0fbbe8a34573e, 0x77756412abefcddd, 0xdefda72deef77777, 0x142f5c7ba1bac33a, 0xc5f766eb282c804b,
  0x120982bbc989cee5, 0x182a90cf5cc13e30, 0x860da4606eebec99, 0x57419dd3e25c40c2, 0x3768e09b734edfe6,
  0x240c2d4dea38cdec, 0xaff3f7c114292241, 0x949427d70f8510c4, 0xd0386886559cbd33, 0xa039e133938a8432,
  0xc3795e425b7a1fff, 0x9f04b4dff9d5b982, 0x6a8e527f36a7d56e, 0xee6ab5a39121b46f, 0xf83660c14f51e56b,
  0xd68450ef8aea57a8, 0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba,
  0x5b86f65f4b317090, 0x280427f58a8d823f, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf,
  0xf2a6f529c94e804d, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0x9cfd42718dca5a97, 0x989ffde1ef79430a,
  0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000015da0a4294,
};

// c64_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c64_u2x12_uart1_dual_ee_ce_hw[] = {
  0xbbc1f77d1468ce4a, 0xddd59e98ce5f9bbb, 0x5c2c2dbf57dddddd, 0xbd70ddba10ec5f22, 0xacdf4afe3fcda6cd,
  0x8260aef26713bb98, 0x154823d7304f8c04, 0x06d2303775f64c8c, 0xa0cee9f12e206143, 0xbe704a89ae47f32b,
  0x1f60cdea3f2d6c19, 0xe7ef822852448248, 0x5c4fae1f0a21895f, 0x5a4432ace5e99c18, 0xcf098e0c54219680,
  0xcaf212dbfebffd01, 0x24ff3fceadcc161b, 0x7293f9b53eab74f8, 0x5faa32870da37b54, 0x9c3cf3c873b31f8c,
  0x51f097e21b091175, 0xba64c5c3b39747ff, 0xea3cadfc94ed6109, 0x5c06f51f06cc1af9, 0x4522cd3ad08a0531,
  0x1943a909afa30b2c, 0x9768851ef673abb7, 0x8f9eb1aaf1b1d7a8, 0xcbe9662e1211408a, 0x7f58a8d8226470de,
  0xfc55f3bb8a929662, 0x4e4db7e062777ec9, 0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f,
  0x863b7b15545a6ae9, 0x4e31b94b52fcdb73, 0xbc3def2861539fa8, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x03aeaa202e8a792b,
};

static const uint64_t ur_c64_swio10_noled[] = {
  0x444ddddddd66ef3a, 0x13d6eed55c8a0c89, 0x13b50f7438a38c61, 0x417f43bd04ebeb4f, 0x9ac8401b6d22eec4,
  0x48260aef277417a0, 0xc1a0cfc89304f8c0, 0x6277cb135283a57f, 0x2921c490310fea3a, 0xc731602dee9ba8c9,
  0x608ebc5cec37d193, 0x972ab52b09adc72c, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x34aa5f7afa4439ac,
  0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xcdb2048ab7b15545, 0x5727e7f61b94b52f,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00001527d7845f3c,
};

// c64_swio10_noled_pr_u4
static const uint64_t ur_c64_swio10_noled_pr[] = {
  0x8e3dddddda243762, 0xf05ddaab9142e312, 0x2ed8fdd530389b04, 0xe82cd6f0bdb7e952, 0x23b85fe3fc5eec71,
  0xc15de4eed3346682, 0x33f1ee609f180904, 0x7cb08b283dd7fe88, 0x0e248193dea3cdc7, 0x8b016594c654e349,
  0xebd1f3b3de8ed639, 0xee1acf5403ff6608, 0x2e556aab540f2cf6, 0x546bb9c673141daf, 0xcaed52df5673a8a9,
  0x6954bef5f4887359, 0xb5d73daad115e588, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b,
  0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x00000003e4d2b375,
};

// c64_swio10_noled_pr_ee_u4
static const uint64_t ur_c64_swio10_noled_pr_ee[] = {
  0x35f777776890c044, 0x93776aafc2f41624, 0x4de9a5dd2e2339b9, 0x6bd686d7a51a67ed, 0x86d16a2b2020da08,
  0x57793ba829394bb0, 0xf8d69827c6024130, 0x1c7b941d37ffa20c, 0x7afa8f2b387355ad, 0x7c565d7d47c1b306,
  0xcb1148b34eb42287, 0xb971ac9a426be8c2, 0xdb4a47109cead2ff, 0x88b6355ae875e74d, 0xb65cc5c242284c51,
  0x5fd51b047eb70dec, 0x41daf2e556a01135, 0x3a8a9546bb9c6731, 0x87359caed52df567, 0x5e5886954bef5f48,
  0x3bcf8b5d73daad11, 0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x96a5f9b6409156f6, 0xfe0eee3459126372,
  0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x00ad5a59e4afdcd0, 0x00000000000009d7,
};

// c64_swio10_noled_pr_ce_u4
static const uint64_t ur_c64_swio10_noled_pr_ce[] = {
  0x22eeeeeed121be4a, 0x6776aafd608ddc49, 0xf5ebeeb11f177e3f, 0xf374385ecada090b, 0xd5f0d3866f4f7522,
  0xc15de4ee94a3adf4, 0x33f2ba609f180904, 0xbf5ea250582ffe88, 0xce1e78f373b53d18, 0xa8f84bf10d8488ba,
  0xac993170f787cb5f, 0x05fa8f924f72ceaf, 0x05ee814a4871240f, 0x47cecf7a3b58e62c, 0x6b3d500ffd99e3af,
  0x556aab540f2d6eb8, 0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x54bef5f4887359ca, 0xd73daad115e58869,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xc810c76f62aa8b4b, 0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x00000375dbe0ab4b,
};

// c64_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_c64_swio10_noled_pr_ee_ce[] = {
  0x9bdddddda2436812, 0x1bbb557382a3b892, 0x5d667ba6ed90cc6a, 0x764f6da0906e5db4, 0xb13938c491073753,
  0xbc9dddfb0b00a4d7, 0x5dcc13e30120982b, 0xae9417f9ffa20cfb, 0x3cdcedfe462fd51c, 0xfc4361222eb3879e,
  0xe1c291f397ea3e12, 0xd2ca76b083df3262, 0x1f06cc1a01ea3cad, 0x3ad08a05315c87f5, 0x09afa30b2c4522cd,
  0x3884e7576efdc3a9, 0x55e363af3a6eda52, 0x5c242284c5188b63, 0xd8226470decb65cc, 0x972ab52cc9aafea8,
  0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x34aa5f7afa4439ac, 0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c,
  0xa5b44e31bc674408, 0x9b640863b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x000000004fcfb3d5,
};

static const uint64_t ur_c64_swio10_lednop[] = {
  0x889bbbbbbacdfc4f, 0x7adddaab914f1712, 0x7a5c7750e2448c22, 0x882fe877a0b5e432, 0x46a0836c998d7dd8,
  0x120982bbc9dd85eb, 0xf06833efe4c13e30, 0xf21df2c4d4a0995f, 0xfa4871240c43fa8f, 0x01cc580b7ba63d5e,
  0x8c11d78b9dad647d, 0xf2e556a5673db8e5, 0x9546bb9c673141da, 0x9caed52df5673a8a, 0x6ae97f488735c080,
  0x73daad115e588695, 0xb0b29b1674079fad, 0x7f8a042d3573abd4, 0xe6da718de33a206c, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000005483ac22f9e,
};

// c64_swio10_lednop_pr_u4
static const uint64_t ur_c64_swio10_lednop_pr[] = {
  0xc7bbbbbb4486c056, 0x05ddaab914cc6251, 0x35e9eeeac871b04f, 0xa0b35bc2cb8edba1, 0x645a982fe3fbb1c7,
  0x0aef277560e4e2b6, 0x9f80d304f8c04826, 0xcb08b2821efff441, 0xe248193dea3ce277, 0x602cb298c79eb490,
  0xf47cedf22383e731, 0x7be81500ffd9823a, 0xe556b02b40f2cf6f, 0x46bb9c673141daf2, 0xaed52df5673a8a95,
  0xe97f488735c0809c, 0xdaad115e5886956a, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x4c6e52d4bf36cbb2, 0xeaccdfc1ddc68b22, 0xde1ef79430a9cfd4, 0x3ed871fc65f989ff, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x0f9315f86b4b3c95,
};

// c64_swio10_lednop_pr_ee_u4
static const uint64_t ur_c64_swio10_lednop_pr_ee[] = {
  0x35f777776890d2a8, 0x93776aafc2f64624, 0x46989ddf1fb6f9b9, 0x5eb436bd2d051a6b, 0xcb8c8f833106d043,
  0x7793ba75a3541b67, 0xeaf9827c60241305, 0x8f72831cbff4419f, 0x5f51e5650e6ab5a3, 0x8ad82fa8f83660cf,
  0x62291669d68450ef, 0x2e3593484d7d1859, 0x09e8d7c39d5a5fe7, 0xfd8d56ba1d79d376, 0x2e62e121146488c6,
  0xea8d823f5b86f65b, 0xdaf2e556a015c359, 0x8a9546bb9c673141, 0x809caed52df5673a, 0x956ae97f488735c0,
  0x5d73daad115e5886, 0x20b94b5f3a03c72b, 0x0a718de33a204215, 0xcbb22adec5551692, 0x8b224c6e52d4bf36,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x00000275cd60ab4b,
};

// c64_swio10_lednop_pr_ce_u4
static const uint64_t ur_c64_swio10_lednop_pr_ce[] = {
  0x22eeeeeed121af43, 0x6776aafd609a5c49, 0x4f6a2ee8c1af7e3f, 0x5e6e870bd9bb2b6d, 0x4765505a17856ea4,
  0x4c15de4eeb4efb5e, 0x833fa6e609f18090, 0x8bf5ea25072b7fe8, 0xace1e78f373b95d1, 0xfa8f84bf10d8488b,
  0xfac993170ecf9d67, 0xf05fa8e0a4f72cea, 0x80a1ed00a4871240, 0xd1f3b7c88e0f9cc5, 0xefa05403ff6678eb,
  0xe556b02b40f2d6ed, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xe97f488735c0809c, 0xdaad115e5886956a,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x8edec55516920a71, 0x98dca5a97e6d9761, 0xd599bf83bb8d1644,
  0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x06eb93f0d696792b,
};

// c64_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_swio10_lednop_pr_ee_ce[] = {
  0x9bdddddda243704a, 0x1bbb557382991892, 0x7a53b761995bcc6a, 0xec9edb4111dc1b5c, 0x1ba05f25220e6ea6,
  0xe4eebadd713b55de, 0x92609f180904c15d, 0x74a0d6fffe8833e2, 0xcdceeb7e317ea8e5, 0xc4361222eb3879e3,
  0x38c2eeddfea3e12f, 0x594ed6107be64c5c, 0xe0d983403d479597, 0x5a1140a62b297ea3, 0x35f4616588a459a7,
  0xbe1ceaeddf387521, 0x78d8ebce9bb04f46, 0x121146488c6fd8d5, 0x1132386f65b2e62e, 0x2ab52cee1acf546c,
  0x35dce3398a0ed797, 0x76a96fab39d454aa, 0x4bfa4439ae0404e5, 0xd5688af2c434ab57, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36cbb0c, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x09f83d5eb4b3c95f,
};

// c64_swio10_dual_pr                c64_swio10_dual_pr_u4
static const uint64_t ur_c64_swio10_dual[] = {
  0x3fbbbbbb4486ff3e, 0x6c1f756e3e932fc2, 0xd67dba247928d386, 0xa28333133887b1ba, 0x5ecb527269dba47d,
  0x4920ee69e2bdd17d, 0xe609f180904c15de, 0xbbafb26460aa4737, 0x8971030a18369181, 0xa6fddf99404a774f,
  0x7a8e63f61018e152, 0x450a48904903dbf3, 0xc3e144312bfcfdf0, 0xcab397a6731009f5, 0xad68a8432d08c910,
  0x096dcbaffd01cf09, 0x5ff4dd660b0de579, 0x1e443be587c941a9, 0x8caa4871240c45f5, 0xbde731602a83cdfb,
  0xd9823af006769c51, 0xcb3db5af07d500ff, 0xabe7771525bfc303, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67,
  0x35c0809caed52df5, 0x5886956ae97f4887, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20,
  0xbf36cbb22adec555, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794, 0x1fbf619a3ed871fc,
  0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xab4b3c95fb9a1996, 0x0000000002926996,
};

static const uint64_t ur_c64_swio10_dual_pr_ee[] = {
  0xb6eeeeeea0a1a5fb, 0x60fbab58fd9bbf1e, 0x70bddd943dac4e4e, 0x2b82d8bbb44fcfbd, 0xe42175b1942deb3b,
  0xdd2c8d75b042acc3, 0xc602413057792b05, 0x932305522c939827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0x1d87579c287e6e9f, 0x241240f674dea39c, 0x0c4aff3f7c114292, 0xa670c0227d70f851, 0x865a0bed10cab397,
  0x7ff4073c260f7150, 0x30586f2bc84b6e9b, 0x1945941a1fffa6eb, 0x657a8f2bdf7355ad, 0x7c576ebd47c1b306,
  0xcb1148b34eb42287, 0x35c54b9a426be8c2, 0xd1ed1e9473ab4b94, 0x31b1aad743af512e, 0xe9662e121142008d,
  0x5951b047eb70decb, 0xabe777152500a32b, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67, 0x35c0809caed52df5,
  0x5886956ae97f4887, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xbf36cbb22adec555,
  0xdc68b03d0c6e52d4, 0x0a9cfd4eaccdfc1d, 0x07cd1f6c389c6943, 0x8cb25c33d30ae4fc, 0x4332c3a4a5b38713,
  0x913ebd696792bf73, 0x0000000000000015,
};

static const uint64_t ur_c64_swio10_dual_pr_ee_u4[] = {
  0x375bbbbbb4486f97, 0x0583eead63c75efc, 0xdb5c774eb00a4777, 0x741ba5dbd6dcfb67, 0xe935d13dd6c650b3,
  0x2625dcf04675ee14, 0x9827c60241305779, 0xdd7d932305522c93, 0x4b881850c1b48c0d, 0x6eaffcca0253ba7c,
  0xa8fb3b611c8e0706, 0x50a4890490395d37, 0x3e144312bfcfdf04, 0x5672f4ce12509f5c, 0x122a10cb423da219,
  0xb6e9b7ff4073c269, 0xfa6eb30586f2bc84, 0x9aad68dfc941a1ff, 0x1b30613fd4795b05, 0x422877c5721fd47c,
  0xbe8c2cb1148b34eb, 0xb4bb935c20b9a426, 0xed62769c51cdc73a, 0xb5d1c656355ae875, 0x1bd971f18b848450,
  0x9ddc549571d27d6e, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x020272bb54b7d59c, 0x1a55aba5fd221cd7,
  0x7eb5cf6ab4457962, 0xaf52c2ca6c59d01e, 0x81b1fe2810b4d5ce, 0x6a5f9b69c6378ce8, 0xe0eee34591263729,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0xc635a59e4afdcd0c, 0x0000000000000564,
};

// c64_swio10_dual_pr_ce_u4
static const uint64_t ur_c64_swio10_dual_pr_ce[] = {
  0x02f777776890cf68, 0xe2c1f75680100df9, 0x5b5dfba829eb41b8, 0xb13c94a75cea2f2d, 0x5bb3bb0b27deec0b,
  0xe49a577347d4ead0, 0xaa609f180904c15d, 0x3775f64c8c1548f5, 0xf12e20614306d230, 0xb4c35bf328094ee9,
  0x6f51f7dec34d9c22, 0x08a1491209206a7a, 0xb87c2886257f9fbe, 0x32ace5e99c67213e, 0xc7ac54219686df44,
  0x096dfa7ffe80e784, 0xdff4dd660b0de579, 0xc728c5fa87b9418a, 0x2445d670f3c79b9d, 0xa672fd47c25f886c,
  0x59d5ea5cc98b87a4, 0x2481dc3f51fa89ee, 0x398b016a5775490e, 0xf1d78033b4e28def, 0xb72d783ea807fecc,
  0xceee2a4b7f860796, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x8101395daa5beace, 0x0d2ad5d2fe910e6b,
  0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0xdb2ec31dbd8aaa2d, 0x1a2c8931b94b52fc,
  0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86,
  0x2cf257ee68665874, 0x000000006922ecad,
};

static const uint64_t ur_c64_swio10_dual_pr_ee_ce[] = {
  0xe6caddddddd432db, 0xb0cc1f756e3e3397, 0xb6fd5f773ed9f362, 0x5f68a5043c8970b0, 0x1fe6d366de9d33d9,
  0x2ee3822ac1e199d7, 0x3e30120982bbc9b1, 0xd9323055208f5cc1, 0x81850c1b48c0ddd7, 0x0fcca0253ba7c4b8,
  0x0d1b0d34707f9362, 0x48904903b1f9bd47, 0x44312bfcfdf0450a, 0xbd33830b89f5c3e1, 0x8432d0286886559c,
  0xd7ffa039e133a58a, 0x5982c3795e425b7f, 0x546a7a505fe7fd37, 0xffcf1e6e76ff2c7f, 0x166e99ceb0ea49cd,
  0xbaf51e5795a53b58, 0x98ae577a8f83660f, 0x962291669d684502, 0xb71431d484d7d185, 0x512ed1ed1e9473ab,
  0x011a636355e363af, 0xbd97d2cc5c242284, 0xe32b5951b044c8e1, 0xb3f8abe77715252c, 0x9c673141daf2e556,
  0x2df5673a8a9546bb, 0x488735c0809caed5, 0x115e5886956ae97f, 0x3a03c72b5d73daad, 0x3a20421520b94b5f,
  0xc55516920a718de3, 0xa5a97e6d97618ede, 0xdfc1ddc68b1e70dc, 0x2e19e985727eeacc, 0x61d252d9c389c659,
  0x3ab4b3c95fb9a199, 0x000000000004c115,
};

static const uint64_t ur_c64_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150ff72df, 0x3eeac5c6af77e75d, 0x3dd51fa2f499f698, 0x8abfeaf60987da3c, 0x224addc1ebb2c43d,
  0xd42cd865a7f0de4f, 0x15de4b4e776d6aa0, 0x2c7ae609f180904c, 0x8c0ddd7d93230552, 0xba7c4b881850c1b4,
  0x7ebcc6b7f9958093, 0xdcdea3c00d80a438, 0xf8228524482481da, 0xfae1f0a21895fe7e, 0x432ace5e99cb9284,
  0x9b2b454219686ce4, 0x212dba547fd01cf0, 0x7ffaa374c161bcaf, 0xbc62fd51c72941fd, 0x1759c3cf3e019dfe,
  0xabf51f097e21b091, 0x84dd3262e1d9ebf5, 0x75ea3caf2b4a76b0, 0x315caef51f06cc1f, 0x2c4522cd3ad08a05,
  0x6e2863a909afa30b, 0xa25da3da3d28e757, 0x0234c6c6abc6c75e, 0x7b2fa598b8484508, 0xc656b2a3608991c3,
  0x67f157ceee2a4a59, 0x38ce6283b5e5caad, 0x5beace75152a8d77, 0x910e6b8101395daa, 0x22bcb10d2ad5d2fe,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b52fcdb2ec31dbd, 0xf8347f1a2c8931b9,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x04b47ae792bf7343, 0x000000000008004a,
};

// c64_swio12_noled
static const uint64_t ur_c64_swio11_noled[] = {
  0x905ff7777759bb37, 0x5bbb5572284ce25a, 0xf8fdd341b891844f, 0xf43b8e362235f83e, 0x82e236f67eeea417,
  0xc15de4eed8f6434d, 0x19feea609f180904, 0xf96e82504f5ff834, 0x3892075ffd47884e, 0x580b7ba609ebe524,
  0xd78b9da32464d1cc, 0x56a56741b8e58c11, 0xbb9c673141daf2e5, 0x52df57673a8a9546, 0xc6f5f4887359caed,
  0xcf6ab44579621a56, 0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x10c55bd8aaa2d2da, 0xe7f61b94b52fcdb6,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0x5492ff845f3c95fb, 0x0000000000000000,
};

// c64_swio11_noled_pr_u4            c64_swio12_noled_pr               c64_swio12_noled_pr_u4
static const uint64_t ur_c64_swio11_noled_pr[] = {
  0xe82ddddda2432aac, 0xeed55c8a543895c4, 0x53dd7ec682d82782, 0x2cd60e21b63367eb, 0x3817e635a6edc4e8,
  0x57793bbe451db211, 0xf98f9827c6024130, 0x5b7b941dbfffa20c, 0x1240c9af51c143be, 0x016594c1ed00a487,
  0xd1f3b2628c45398b, 0x589e5403ff6608eb, 0x955aa11303cb3dbb, 0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55,
  0x5b1bd7d221cd672b, 0xd73daad115e58869, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd843156f62aa8b4b,
  0x8b224c6e52d4bf36, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000007c9899a2b4b,
};

// c64_swio11_noled_pr_ee_u4         c64_swio12_noled_pr_ee            c64_swio12_noled_pr_ee_u4
static const uint64_t ur_c64_swio11_noled_pr_ee[] = {
  0xfad377776890c582, 0x6eed55f85c208971, 0xd5c7bb50c99f3732, 0xfd686d0ca170cf0a, 0x447ec89b020da0b8,
  0x7793ba76821c712d, 0x9c19827c60241305, 0x98f941d9dffa20cf, 0x47a8f2b2eb355ad1, 0xc5652fd47c1b307d,
  0xb1148b34eb422877, 0xd71ac9a426be8c2c, 0x8f547f21cead2ee4, 0xf76355ae875e74dd, 0x65cc5c242288851e,
  0x7951b047eb70decb, 0x0ed7972ab500ba0e, 0xd454aa35dce3398a, 0x9ace576a96fabb39, 0xcb10d2b637afa443,
  0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d, 0xa97e6db0862adec5, 0x83bb8d164498dca5,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0x69d696792bf73433, 0x000000000004ebfe,
};

// c64_swio11_noled_pr_ce_u4         c64_swio12_noled_pr_ce            c64_swio12_noled_pr_ce_u4
static const uint64_t ur_c64_swio11_noled_pr_ce[] = {
  0xf9beeeeed121b768, 0xbb557eb047ee25b3, 0xa0bbbe96b4bf1fb3, 0xdd0e78b066c802fd, 0xc542da5d93ddd9fc,
  0x57793baec95f1899, 0xfefb9827c6024130, 0xa84f94153dffa20c, 0x0f3c79b9de048c5f, 0x7c25f886c2445d67,
  0x4c98b8798667cfd4, 0xfd475f27b96757d6, 0xb7e5f524389206b3, 0x9d93146229cc580b, 0xf2a01ffb33c75e8f,
  0xb542260796b75ac4, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0x37afa4439ace576a, 0x7b55a22bcb10d2b6,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x098edec5551696d1, 0x8931b94b52fcdb61, 0x53ab337f07771a2c,
  0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x000dd73044ad2cf2,
};

// c64_swio11_noled_pr_ee_ce_u4      c64_swio12_noled_pr_ee_ce         c64_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_c64_swio11_noled_pr_ee_ce[] = {
  0x593ddddda2431bc1, 0xeed55ce0b13a2585, 0x4376e9fb36331a86, 0x93db6c85c18e247f, 0x2cc8d33220e6f855,
  0x277475d35db17770, 0x1304f8c048260aef, 0xe506d6fff4419f80, 0x6e776b718bf547be, 0x21b0911759c3cf1e,
  0xd5d7185ff51f097e, 0xca76b083df3262e1, 0x06cc1e95ea3cae43, 0xd08a053159c3f51f, 0xafa30b2c4522cd3a,
  0x90e7576e7263a909, 0xe363af3a6ec7aa3f, 0x242288851ef76355, 0x226470decb65cc5c, 0x955a967d073ca8d8,
  0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x5b1bd7d221cd672b, 0xd73daad115e58869, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000013f026b5696,
};

// c64_swio12_lednop
static const uint64_t ur_c64_swio11_lednop[] = {
  0x417fdddddd66ef3a, 0xb776aae452b4896a, 0xd43ddc3e3683089e, 0x17f43b8e3da1377e, 0xac8401b6f8feeea4,
  0x8260aef277417a09, 0x3419f80d304f8c04, 0x1df2dd04a087bff8, 0x4871240ebffa8f92, 0xcc580b7ba6ea131a,
  0x11d78b9d84547d21, 0xcaad4acc17b8e58c, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0x2fe910e6b8101395,
  0xaad115e588695cbd, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xd38c6f19d1028be8, 0x9f9fd86e52d4bf36,
  0xe271964b867a615c, 0xee6866587494b670, 0x00549f5e117cf257,
};

// c64_swio11_lednop_pr_u4           c64_swio12_lednop_pr              c64_swio12_lednop_pr_u4
static const uint64_t ur_c64_swio11_lednop_pr[] = {
  0xd05bbbbb44869391, 0xddaab91485f12b89, 0xc9eedf987db04f05, 0x66b0715431b65ef6, 0xe3bb1eebf76e2741,
  0xde4eef4e3220cec4, 0xbee609f180904c15, 0xdee5063dffe8833e, 0x90326bd47400ef96, 0x2cb299fcea2921c4,
  0x7ced92231be73160, 0xe91500ffd9823af4, 0xad65da81e59edc1f, 0x7738ce6283b5e5ca, 0xa5beaece75152a8d,
  0xe910e6b8101395da, 0xd115e588695cbd2f, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de,
  0xe52d4bf36d8c62ad, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x3da41eb4b3c95fb9, 0x00000000000000f9,
};

// c64_swio11_lednop_pr_ee_u4        c64_swio12_lednop_pr_ee           c64_swio12_lednop_pr_ee_u4
static const uint64_t ur_c64_swio11_lednop_pr_ee[] = {
  0x3f5a6eeeed121911, 0x9bbb557e1768b12e, 0x9b4cf77311b7cdcc, 0x8fd686d0c08285a0, 0x8be99a5c5e20da0b,
  0xaef27755f33eb825, 0xf4b5304f8c048260, 0x331f28235bff4419, 0xa8f51e56c166ab5a, 0xf8ad4f7a8f83660f,
  0x962291669d68450e, 0x2ae3593484d7d185, 0xb4888e6e39d5a5dd, 0x8cac6ab5d0ebce9b, 0x6cb98b848450be23,
  0x4f2a3608fd6e1bd9, 0x41daf2e556a015ac, 0x3a8a9546bb9c6731, 0x0809caed52df5767, 0x34ae5e97f488735c,
  0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6c63156f62aa8b4, 0x345912637296a5f9,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x59e4afdcd0ccb0e9, 0x00000013ae35395a,
};

// c64_swio11_lednop_pr_ce_u4        c64_swio12_lednop_pr_ce           c64_swio12_lednop_pr_ce_u4
static const uint64_t ur_c64_swio11_lednop_pr_ce[] = {
  0xf9beeeeed121b705, 0xbb557eb0434e25b3, 0x6477499f1fbf1fb3, 0x7439e2cfd833c77b, 0x98103d72437767f3,
  0x57793bb61b657254, 0xfece9827c6024130, 0xa84f94195dffa20c, 0x0f3c79b9defb8c5f, 0x7c25f886c2445d67,
  0x993170ecdf4a8fd4, 0xf51e5f4f72ceafac, 0x3de95490e2481acf, 0x76c9118df398b016, 0x8a807feccf1d7a3e,
  0xacbb503cb5ba0ff4, 0xe719cc5076bcb955, 0xb7d5d9cea2a551ae, 0x221cd7020272bb54, 0x22bcb10d2b97a5fd,
  0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6, 0x4b52fcdb63131dbd, 0x7f07771a2c8931b9,
  0xde50c2a73f53ab33, 0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271,
  0x7c93ad2cf257ee68, 0x0000000000000dd7,
};

// c64_swio11_lednop_pr_ee_ce_u4     c64_swio12_lednop_pr_ee_ce        c64_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_swio11_lednop_pr_ee_ce[] = {
  0x593ddddda2431000, 0xeed55ce0b6262585, 0x94add6960cf31a86, 0x27b6d9089d707e9e, 0xd333582441cdf0ab,
  0x2776b55de3db66cd, 0xd304f8c048260aef, 0xca0b5dffe8833f8d, 0xdcedaee317ea8f7d, 0x4361222eb3879e3c,
  0xfd4e5c17ea3e12fc, 0xe53b5841ef993170, 0x83660f4af51e5652, 0x68450298aca1fa8f, 0xd7d185962291669d,
  0xdc73abb73a51d484, 0xf1b1d79d3769111c, 0x121142f88e32b1aa, 0x1132386f65b2e62e, 0xcaad4b3b589e546c,
  0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0x2fe910e6b8101395, 0xaad115e588695cbd, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0x8dca5a97e6db1898, 0x599bf83bb8d16449, 0xc3def2861539fa9d,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x13f064e5696792bf,
};

/*
 * c64_swio11_dual_pr                c64_swio11_dual_pr_u4             c64_swio12_dual
 * c64_swio12_dual_pr                c64_swio12_dual_pr_u4
 */
static const uint64_t ur_c64_swio11_dual[] = {
  0x68bbbbbb4486dd9e, 0x0fbab71f39d7e1a5, 0x62dd836b0469c336, 0x419d33fb4758a769, 0x71a821d86dd34ad1,
  0x483b87e55edd6d71, 0x827c602413057792, 0xebec99182a906019, 0x5c40c2860da4606e, 0xbf77e650129dd3e2,
  0xa398fd84063854a9, 0x4292241240f6fcde, 0xf8510c4aff3f7c11, 0x59cbd3395be27d70, 0xb454219684648865,
  0xb6e52ffe80e784d6, 0xfa6eb30586f2bc84, 0xba3be596bca0945f, 0xba4871240f7bf51f, 0x4e62c0550799c987,
  0x0475e00cec80234c, 0x3db7bc6faa01ffb3, 0xf3bb8a92be7503cb, 0xa0ed7972ab59fc55, 0x9d454aa35dce3398,
  0x0404e576a96fabb3, 0x1a572f4bfa4439ae, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108,
  0xdb6318ab7b15545a, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874, 0x0000000a49ad3ead,
};

// c64_swio12_dual_pr_ee
static const uint64_t ur_c64_swio11_dual_pr_ee[] = {
  0x3b2dddddd41432db, 0x07dd5ac7e4cbf1a7, 0xdc6ea4c3ad627273, 0x2b8282ab8858abf7, 0x1f1375a1942da73b,
  0x1771c115671fcce8, 0x9f180904c15de4ac, 0xf64c8c1548ee3e60, 0x20614306d2303775, 0x7ff328094ee9f12e,
  0x70761d5e70a1f9ba, 0x48904903d9d37a8e, 0x44312bfcfdf0450a, 0x5e99c54889f5c3e1, 0x4219682fb4432ace,
  0x4d7fd01cf0983dc5, 0xd660b0de579096df, 0xad1fee9410b5ff4d, 0x0c3dfa8f2bb75355, 0x0ef8af4dfa8f8366,
  0x85962291669d6845, 0x60ab8a973484d7d1, 0x5d8c7a33d4e75697, 0x1c436355ae875ea2, 0x97d2cc5c24228d29,
  0xa22aa3608fd6e1bd, 0xe2af9ddc549402c8, 0x9cc5076bcb955acf, 0x5d9cea2a551aee71, 0xcd7020272bb54b7d,
  0xcb10d2b97a5fd221, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97e6db18c55bd8aa,
  0xbb8d1607a18dca5a, 0x61539fa9d599bf83, 0x80f9a3ed87138d28, 0x71964b867a615c9f, 0x6866587494b670e2,
  0xac873ead2cf257ee, 0x0000000000000000,
};

// c64_swio12_dual_pr_ee_u4
static const uint64_t ur_c64_swio11_dual_pr_ee_u4[] = {
  0xc1bb77776890cf68, 0x83eead63e8befc29, 0xbbf755f362477705, 0x374bb69da55e58b6, 0x677616ad0ca16538,
  0x312ee68fa9d5a0b7, 0xc13e30120982bbc9, 0xebec99182a91dc7c, 0x5c40c2860da4606e, 0x757fe650129dd3e2,
  0x47d9db08e4703833, 0x8524482481cae9bd, 0xf0a21895fe7ef822, 0xb397a6719c84fae1, 0x9150865a11ed10ca,
  0xdbe9affa039e1348, 0xe9bacc161bcaf212, 0x6ab5a380d28216bf, 0x3660e44f51e56a7a, 0x8450ef8ace1fa8f8,
  0x7d185962291669d6, 0x6974acb84173484d, 0xdac4ec8023050e75, 0xef47916c6ab5d0eb, 0x37b2e3e3170908a1,
  0x77715255c5c3fadc, 0x1daf2e556b3f8abe, 0xa8a9546bb9c67314, 0x809caed52df57673, 0x4ae5e97f488735c0,
  0xd6b9ed5688af2c43, 0xea58594d8b3a03cf, 0x145f4502169ab9d5, 0xa5f9b69c6378ce88, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xd95a59e4afdcd0cc, 0x0000000000005645,
};

// c64_swio11_dual_pr_ce_u4          c64_swio12_dual_pr_ce             c64_swio12_dual_pr_ce_u4
static const uint64_t ur_c64_swio11_dual_pr_ce[] = {
  0x6762777776890c86, 0x2c1f75680113efc6, 0xbb37ba769a741b8e, 0x279294aaaf75b8d5, 0x2d714d7b17dd6676,
  0x34aeeeec6ecc89e6, 0xc13e30120982bbc9, 0xebec99182a917254, 0x5c40c2860da4606e, 0x86b7e650129dd3e2,
  0xa3efbd869b384569, 0x4292241240d4f4de, 0xf8510c4aff3f7c11, 0x59cbd33995027d70, 0x58a8432d0dbe8865,
  0xdb98fffd01cf098f, 0xe9bacc161bcaf212, 0xd18bf58f72831cbf, 0x8bace1e78f373b1a, 0x51fa8f84bf10d848,
  0xabd4b993170e4959, 0x03b5bd4709f3dcb3, 0x2c0528bb7e921c49, 0x5e00cec80234c4e6, 0x7bc6faa01ffb33c7,
  0xee2a4af9d40f2d6e, 0xb5e5caad67f157ce, 0x152a8d7738ce6283, 0x1395daa5beaece75, 0x5cbd2fe910e6b810,
  0xd73daad115e58869, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x1898edec55516920, 0x64498dca5a97e6db,
  0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3,
  0x92bf734332c3a4a5, 0x000000d243256967,
};

// c64_swio12_dual_pr_ee_ce
static const uint64_t ur_c64_swio11_dual_pr_ee_ce[] = {
  0x4cfb5bbbbba86f97, 0x983eeadc7efaf7e2, 0xebdee9579626c561, 0x4528b534f7b84d7d, 0xb04c98f4e99a4cfb,
  0xcf046752c8a7599b, 0x602413057793625d, 0x6460aa479eb9827c, 0x0a18369181bbafb2, 0x99404a774f897103,
  0x361a68e0ff26c41f, 0x20920763f37a8e1a, 0x6257f9fbe08a1491, 0x339d4e13eb87c288, 0x32d0286886559cbd,
  0xffa039e133a58a84, 0x82c3795e425b7ec1, 0xf024a0dadffd3759, 0x3c79b9ddadd8fea8, 0x74ce75870449807f,
  0xa8f2b95d29dac0b3, 0xf7dfa8f83660f6ff, 0x291669d68450298a, 0x051d484d7d185962, 0xec63d19ea73abb73,
  0xc436355e363af512, 0x7d2cc5c24228d291, 0x11551b044c8e1bd9, 0x157ceee2a4a59e45, 0xe6283b5e5caad67f,
  0xece75152a8d7738c, 0x6b8101395daa5bea, 0x588695cbd2fe910e, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0x7e6db1898edec555, 0xddc68b1e70dca5a9, 0xe985727eeaccdfc1, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000098201cab4,
};

// c64_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_c64_swio11_dual_pr_ee_ce_u4[] = {
  0x8b777768a87f2541, 0xbab1715c5df89f65, 0xba805d6d267da60f, 0x7efaf7c7f07db2c9, 0x78addc14fb2c43db,
  0xa30a6d3e518b90da, 0xaef25a73baa71865, 0x4fc3304f8c048260, 0x606eebec99182a91, 0xd3e25c40c2860da4,
  0xf5e635bfccac049d, 0xe6f51e006c0521c3, 0xc114292241240ed6, 0xd70f8510c4aff3f7, 0x195672f4ce3c0227,
  0xd95a2a10cb436722, 0x096dd90ffe80e784, 0xffd51ba60b0de579, 0x6317ea8c6b4a0f60, 0xbace1e79f00cefb0,
  0x5fa8f84bf10d8488, 0x26e993170f1f75c9, 0xff51e572ba53b584, 0x15efbf51f06cc1ed, 0xc4522cd3ad08a053,
  0xe60a3a909afa30b2, 0x25d8c7a33d4e7576, 0x23886c6abc6c75ea, 0xb2fa598b848451a5, 0x8a22aa3608991c37,
  0xfe2af9ddc5494b3c, 0x19cc5076bcb955ac, 0xd5d9cea2a551aee7, 0x1cd7020272bb54b7, 0xbcb10d2b97a5fd22,
  0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674, 0x52fcdb63131dbd8a, 0x347f1a2c8931b94b,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0xb47ae792bf734332, 0x0000000004006d35,
};

static const uint64_t ur_c64_swio13_noled[] = {
  0x3ddbbbbbbacdc49f, 0xf5bbb5572285ee25, 0xfb006ea1c4891844, 0x70bfa1ddc4eecfe0, 0x21ab46db195a6ecf,
  0x02413057793bb989, 0xfc1a0cf98f9827c6, 0x884ef96e925076ff, 0x5e921c4903e7bd47, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0x6af7afa4439ace57,
  0x73daad115e588695, 0x4e02ca54fa779fad, 0xfdc5021696173a9d, 0xf36d38c6f19d1022, 0x15c9f9fd86e52d4b,
  0x670e271964b867a6, 0x257ee6866587494b, 0x000002a45c6117cf,
};

// c64_swio13_noled_pr_u4
static const uint64_t ur_c64_swio13_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c492, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f75227,
  0x0aef277792c4e363, 0xcfbf9304f8c04826, 0xe5a0fca0995ffa20, 0xe2481f41ea3cbe3b, 0x602cb29a3de95490,
  0x7a3e768851ef6731, 0x22934a807fecc11d, 0x72ab57d6e07967b6, 0xa35dce3398a0ed79, 0xa5beaa6fb39d454a,
  0xbdebe910e6b395da, 0xf6ab44579621a55a, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2,
  0x912637296a5f9b63, 0xea75666fe0eee345, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0003e4e4cd15a59e,
};

// c64_swio13_noled_pr_ee_u4
static const uint64_t ur_c64_swio13_noled_pr_ee[] = {
  0xebf777776890ca20, 0x93776aafc2f51624, 0x86fd3ddf1fb6f9b9, 0xbeb436899bd76964, 0x4695a295b106d04e,
  0x7793ba3d8b50918d, 0x93a9827c60241305, 0xdfc9418adffa20cf, 0x3fd479594b9aad68, 0xc5650fd47c1b3061,
  0xb1148b34eb422877, 0x971ac9a426be8c2c, 0xba847921cead2e95, 0x3f6355ae875e74dd, 0xcb98b848451f2238,
  0x5aa3608fd6e1bd96, 0x3b5e5caad402e930, 0x5152a8d7738ce628, 0xe576a96faa9bece7, 0x6956af7afa4439ac,
  0xb5d73daad115e588, 0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0xe6d8c9156f62aa8b, 0xb8d164498dca5a97,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c,
  0x696792bf734332c3, 0x000000004ebfe49d,
};

// c64_swio13_noled_pr_ce_u4
static const uint64_t ur_c64_swio13_noled_pr_ce[] = {
  0xf26eeeeed121b7d6, 0xb3bb557eb050ce24, 0x8fd0837460d7bf1f, 0xe4e6e872b4c5e6c5, 0x4cfed3d71a6a6f75,
  0x04c15de4eebd69c5, 0x8833f6ea609f1809, 0x18bf5912507027fe, 0xbace1e78f373bcad, 0xffa8f84bf10d8488,
  0x5f593262e1f9699b, 0x0c9ef51e6e9ee59d, 0x2c0532a71a487124, 0xaf47ced10a3dece6, 0x845269500ffd99e3,
  0xcb955abeb703cb5b, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae, 0xe7b55a22bcb10d2a,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x3218edec5551696d, 0x5912637296a5f9b6, 0x7ea75666fe0eee34,
  0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x0000375f843f5a59,
};

// c64_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_c64_swio13_noled_pr_ee_ce[] = {
  0x90dddddda2435f41, 0x0dddaab9c1727448, 0x5d375bb0ccade635, 0x164f6d9b08cc489a, 0xb33b13e448839b92,
  0xde4eed17f7682ab8, 0x0fa609f180904c15, 0xdd4a0e20ffd1067d, 0x1e6e77882317ea8e, 0x7e21b0911759c3cf,
  0xb87f39753bf51f09, 0x38729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c565d7d, 0x426be8c2cb1148b3,
  0x8f2439d5db92b0ea, 0xd578d8ebce9bb750, 0x2e121147c88e0fd8, 0x6c1132386f65b2e6, 0xcb955a967d260b54,
  0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae, 0xe7b55a22bcb10d2a, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x3218edec5551696d, 0x5912637296a5f9b6, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000004fccb4b5a59,
};

static const uint64_t ur_c64_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x9eb776aae4506bc4, 0xbef8fddf5fe16308, 0xdc2fe877713a5ef9, 0x0d360b88db75fbb3,
  0x2413057793bb63d9, 0xc1a0cfafb9827c60, 0xf0ef96e925063dff, 0x6921c4903e7bd475, 0xce62c05bdd304f88,
  0xc11d78b9db7b4770, 0x5caad4ac59fb8e58, 0xa8d7738ce6283b5e, 0xa96faa9bece75152, 0xfa4439ae0404e576,
  0x5a22bcb10d2b924b, 0x362ce80f3f5ae7b5, 0x085a6ae757a96165, 0x718de33a204e7d14, 0xf3fb0dca5a97e6da,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0x2a497fc22f9e4afd, 0x0000000000000000,
};

// c64_swio13_lednop_pr_u4
static const uint64_t ur_c64_swio13_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be249, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4775227,
  0x15de4eecbbb138be, 0x3f52a609f180904c, 0x2d07e504c7ffe883, 0x89207d07a8fa51df, 0x016594d01827d243,
  0xd1f3b2f88e32398b, 0xfdc35403ff6608eb, 0x556b70e40f2cf6c6, 0x6bb9c673141daf2e, 0xb7d54df673a8a954,
  0x221cd7020272bb54, 0x115e588695c925fd, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x52d4bf36d02a2ade, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x3a41eb4b3c95fb9a, 0x0000000000000f93,
};

// c64_swio13_lednop_pr_ee_u4
static const uint64_t ur_c64_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb4486bf3e, 0x9bbb557e1723f127, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b413a,
  0xbc9dd9c458919f5d, 0x0fcc13e30120982b, 0xfc941383ffa20cfd, 0xfd4795a9e9aad68d, 0x57813d47c1b30613,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0xba460a1cead2f21d, 0xb6355ae875e74ddb, 0xb98b8484513723c8,
  0x2a3608fd6e1bd96c, 0xdaf2e556a0108a4d, 0x8a9546bb9c673141, 0x2bb54b7d54df673a, 0x925fd221cd702027,
  0x3daad115e588695c, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0xa2adec55516920a7, 0x24c6e52d4bf36d02,
  0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x00275e6a72b4b3c9,
};

// c64_swio13_lednop_pr_ce_u4
static const uint64_t ur_c64_swio13_lednop_pr_ce[] = {
  0xf26eeeeed1219541, 0xb3bb557eb0542e24, 0x7ad17776dbafbf1f, 0x39ba1cad219e2f7a, 0x09cea8b41568dd79,
  0x982bbc9dd0149316, 0x067e2b4c13e30120, 0x17eb224a0efbffd1, 0x59c3cf1e6e776ea3, 0xf51f097e21b09117,
  0xf593262e1facd90f, 0xc9ef51e719ee59d5, 0x80a63cf5a4871240, 0xe8f9d97c47191cc5, 0x7ee1aa01ffb33c75,
  0xcaad6e1c81e5adc3, 0x8d7738ce6283b5e5, 0x96faa9bece75152a, 0xa4439ae0404e576a, 0xa22bcb10d2b924bf,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94b52fcdb40a31db, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x7ccc5ad2cf257ee6, 0x00000000000000dd,
};

// c64_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_swio13_lednop_pr_ee_ce[] = {
  0x90dddddda2436d3a, 0x0dddaab9c1605c48, 0x9d765ba34f17e635, 0x164f6d9b19391998, 0x14e0ddd388839b92,
  0xbc9ddb9db3675b26, 0xebcc13e30120982b, 0xba941801ffa20cff, 0x3cdcee00462fd51d, 0xfc4361222eb3879e,
  0xe1ddbb0b27ea3e12, 0xa1ca76b083df3262, 0x1f06cc19ebea3cac, 0x3ad08a05315b05f5, 0x09afa30b2c4522cd,
  0x3050e7576e90e3a9, 0x55e363af3a6eddd2, 0xb8484513723c8b63, 0xb044c8e1bd96cb98, 0x972ab52cc4526951,
  0xaa35dce3398a0ed7, 0xaa5beaa6fb39d454, 0xfe910e6b8101395d, 0x5688af2c434ae492, 0xaf9d01e395aeb9ed,
  0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6e52d4bf36d028c7, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea,
  0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x9f96e42b4b3c95fb,
};

// c64_swio13_dual_pr                c64_swio13_dual_pr_u4
static const uint64_t ur_c64_swio13_dual[] = {
  0xc7bbbbbb44865c93, 0x6c1f756e3e9cafc5, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b7571b,
  0x92483b86717175ab, 0x19827c6024130577, 0x6eebec99182a90a9, 0xe25c40c2860da460, 0xa9bf77e650129dd3,
  0xdea398fd84063854, 0x114292241240f6fc, 0x70f8510c4aff3f7c, 0x6559cbd338d7627d, 0xd6b4542196846488,
  0x84b6e50ffe80e784, 0xeffa6eb30586f2bc, 0x1f6f9df2cf7ca0fe, 0x8f7490e2481c1ff5, 0x109cc580aa0f3256,
  0x6608ebc019db4a47, 0xcb3db4c6325403ff, 0x2af9ddc549702503, 0xcc5076bcb955acfe, 0xd9cea2a551aee719,
  0x0809caed52df5537, 0x1a572497f488735c, 0xad75cf6ab4457962, 0x5482e52d7ce80f1c, 0x4829c6378ce88108,
  0xdb40a8ab7b15545a, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777, 0xe627ff787bde50c2, 0xfd8668fb61c7f197,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874, 0x0000000a499072ad,
};

static const uint64_t ur_c64_swio13_dual_pr_ee[] = {
  0x0dbbbbbba8286f97, 0x983eead63d086fcb, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942ec33b,
  0xee78233accda9d38, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe650129dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x8dc9ca0f4fffd375, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x101395daa5beaa6f,
  0x34ae492fe910e6b8, 0x5aeb9ed5688af2c4, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4,
  0x4581e8637296a5f9, 0xe7ea75666fe0eee3, 0x68fb61c4e34a1854, 0x92e19e985727e03e, 0x961d252d9c389c65,
  0x2fab4b3c95fb9a19, 0x0000000000002b22,
};

static const uint64_t ur_c64_swio13_dual_pr_ee_u4[] = {
  0x852b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4a0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0xcc13e30120982bbc, 0xeebec99182a90ba2, 0x25c40c2860da4606, 0x3757fe650129dd3e,
  0xd47d9db08e470383, 0x28524482481cae9b, 0x1f0a21895fe7ef82, 0xab397a6732a04fae, 0x89150865a11ed10c,
  0x5b79dbffa039e134, 0xfd375982c3795e42, 0x9aad68d7dca0f4ff, 0x0d983eebd4795e04, 0xa1143be2b2ebea3e,
  0x5f4616588a459a75, 0x5a5fe72e105cd213, 0xed6276d291cbe39d, 0x4c518f96355ae875, 0x0decb8f8c5c24228,
  0xceee2a4ab8b5beb7, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x4e576a96faa9bece, 0xb924bfa4439ae040,
  0xae7b55a22bcb10d2, 0x96165362ce80f3f5, 0xe7d14085a6ae757a, 0x7e6da718de33a204, 0xbb8d164498dca5a9,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x5696792bf734332c, 0x0000000000056432,
};

static const uint64_t ur_c64_swio13_dual_pr_ce[] = {
  0xedddddd0f5a1a5fb, 0x2c1f7568002d7e06, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd0dd,
  0x49a5774b235d5a78, 0x6609f180904c15de, 0x775f64c8c1548780, 0x12e20614306d2303, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x559cbd339d1f13eb, 0xf58a8432d0dbe886,
  0x2dbd8fffd01cf098, 0xfe9bacc161bcaf21, 0x8318bf531f28235b, 0x88bace1e78f373b3, 0x723fa8f84bf10d84,
  0x3abd4b993170e951, 0x48188bea3c893dcb, 0x98b017f7195490e2, 0x1d78033b6948e213, 0xdc98c64a807feccf,
  0xceee2a4b81281e5a, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x4e576a96faa9bece, 0xb924bfa4439ae040,
  0xae7b55a22bcb10d2, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x0a31dbd8aaa2d241, 0x7bc11b94b52fcdb4,
  0xa9d599bf83bb8d16, 0x197e627f2861539f, 0xe7bff8268fb61ee7, 0x1964b867a615c9f8, 0x866587494b670e27,
  0x24c21ad2cf257ee6, 0x000000000000000d,
};

static const uint64_t ur_c64_swio13_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf3, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb939,
  0x4840ee9646ba83e2, 0xe609f180904c15de, 0x775f64c8c1548e1f, 0x12e20614306d2303, 0x4d6ebf328094ee9f,
  0xf51d82ec3021c257, 0x8a149120920670e6, 0x87c2886257f9fbe0, 0x2ace5e99cb9113eb, 0x0522a10cb40f5443,
  0x25b74b5ff4073c26, 0x7fd375982c3795e4, 0xd3718bf5eea506dd, 0x488bace1e78f373b, 0x1723fa8f84bf10d8,
  0xb3ab871993170e95, 0x2481935ea3a013dc, 0x9cc580afe751490e, 0x3c75e45bb4dc8f22, 0xdc5494743e6e3963,
  0x6bcb955acfe2af9d, 0x2a551aee719cc507, 0xaed52df5537d9cea, 0x497f488735c0809c, 0xf6ab44579621a572,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x63b7b15545a4829c, 0x2637296a5f9b6814, 0x75666fe0eee34591,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x001a49d3d5a59e4a,
};

static const uint64_t ur_c64_swio13_dual_pr_ee_ce[] = {
  0x873b77777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e999ce,
  0xee68fa9d1c13767d, 0xe30120982bbc9b12, 0x932305520f9f4c13, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0xd1b0d34707f93620, 0x8904903b1f9bd470, 0x4312bfcfdf0450a4, 0xd338edd89f5c3e14, 0x432d0286886559cb,
  0xbffa039e133a58a8, 0x982c3795e425b735, 0x4795a507107fd375, 0xfcf1e6e77882c7f5, 0xcdd339d61f9bea91,
  0x5ea3caf7dca76b02, 0x15dbaf51f06cc199, 0xc4522cd3ad08a053, 0xe53c3a909afa30b2, 0x12ecfe23ea0e7576,
  0x51fc96355e363af5, 0xd97d2cc5c242283d, 0x7cded51b044c8e1b, 0x3f8abe77715252cc, 0xc673141daf2e556b,
  0x4df673a8a9546bb9, 0xd7020272bb54b7d5, 0x588695c925fd221c, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0x16920a718de33a20, 0x7e6da0518edec555, 0xddc68b1e70dca5a9, 0xe985727eeaccdfc1, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x00000002608492b4,
};

static const uint64_t ur_c64_swio13_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e58b, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb8362e5887,
  0xd3e6ba85b41e1bf8, 0x60aef25a73bb4836, 0x917b3d304f8c0482, 0xa4606eebec99182a, 0x9dd3e25c40c2860d,
  0xc3f5e635bfccac04, 0xd6e6f51e006c0521, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0x22195672f4ce1d7c,
  0x84d95a2a10cb4367, 0x79096dee47fe80e7, 0xadffd51ba60b0de5, 0xd6e317ea8ce0ca09, 0x88bace1e79f00cec,
  0xc03fa8f84bf10d84, 0x8426e993170feb53, 0xccaf51e57bee53b5, 0x298aedd7a8f83660, 0x5962291669d68450,
  0xbb729e1d484d7d18, 0x7a89767f11f5073a, 0x1ea8fe4b1aaf1b1d, 0x0decbe9662e12114, 0x663e6f6a8d822647,
  0xb59fc55f3bb8a929, 0xdce3398a0ed7972a, 0xeaa6fb39d454aa35, 0x0e6b8101395daa5b, 0xaf2c434ae492fe91,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xd4bf36d028c76f62, 0x0d1fc68b224c6e52,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0xcd1eb9e4afdcd0cc, 0x00000000010009a7,
};

static const uint64_t ur_c64_swio14_noled[] = {
  0x511377777759bb37, 0x4f5bbb5572284ce2, 0x3ef8fdd341b89184, 0x17f43b8e362235f8, 0x4d82e236f67eec44,
  0x04c15de4eed8f643, 0x3419feea609f1809, 0x4ef96e82504f5ff8, 0x243892075ffd4788, 0xcc580b7ba609ebe5,
  0x11d78b9da32464d1, 0xe556a56741b8e58c, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xd8fdfd221cd674dc,
  0xb9ed5688af2c434a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc218ab7b15545a5b, 0xfcfec37296a5f9b6,
  0x138cb25c33d30ae4, 0x734332c3a4a5b387, 0x0a925ff08be792bf,
};

// c64_swio14_noled_pr_u4
static const uint64_t ur_c64_swio14_noled_pr[] = {
  0xe3dddddda2432aac, 0x05ddaab914a87128, 0xd6a7bafd8d05b04f, 0xd059ac1c436c66cf, 0x22702fcc6b4dd8e3,
  0x60aef2777c8a3b64, 0x19f31f304f8c0482, 0x7cb6f7283b7fff44, 0x0e2481935ea38287, 0x1602cb2983da0149,
  0xd7a3e764c5188a73, 0x76b13ca807fecc11, 0x972ab5422607967b, 0xaa35dce3398a0ed7, 0xe576a96fab39d454,
  0x56c7efe910e6b3a6, 0x75cf6ab44579621a, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xb610c55bd8aaa2d2,
  0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xd8668fb61c7f197e, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0xcf257ee686658749, 0x000001f262668ad2,
};

// c64_swio14_noled_pr_ee_u4
static const uint64_t ur_c64_swio14_noled_pr_ee[] = {
  0x35f777776890c582, 0xc9bbb557e1708224, 0x2b571eed43267cdc, 0x1af5a1b43285c33c, 0xb511fb226c083682,
  0x15de4ee9da0871c4, 0x3e706609f180904c, 0x4663e507677fe883, 0xf51ea3cacbacd56b, 0xdf1594bf51f06cc1,
  0xb2c4522cd3ad08a1, 0x935c6b26909afa30, 0x763d51fc873ab4bb, 0x7bdd8d56ba1d79d3, 0x2d973170908a2214,
  0x39e546c11fadc37b, 0x283b5e5caad402e8, 0xe75152a8d7738ce6, 0x9ace9b95daa5beac, 0xe588695b1fbfa443,
  0xbcf8b5d73daad115, 0x881077536294f0d3, 0xaa8b4b689c6378ce, 0xd4bf36d843156f62, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x34eb4b3c95fb9a19, 0x00000000000275ff,
};

// c64_swio14_noled_pr_ce_u4
static const uint64_t ur_c64_swio14_noled_pr_ce[] = {
  0x22eeeeeed121b768, 0x6776aafd608fdc49, 0xfb41777d2d697e3f, 0x79ba1cf160cd9005, 0x338a85b4bb27ba91,
  0x60aef2775d92be31, 0x19fdf7304f8c0482, 0xbf509f282a7bff44, 0xce1e78f373bc0918, 0xa8f84bf10d8488ba,
  0xac993170f30ccf9f, 0x67fa8ebe4f72ceaf, 0x176fcbea4871240d, 0x1f3b2628c45398b0, 0x89e5403ff6678ebd,
  0x556a844c0f2d6eb5, 0x6bb9c673141daf2e, 0xed52df5673a8a954, 0x8fdfd221cd674dca, 0x9ed5688af2c434ad,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x4263b7b15545a5b4, 0x224c6e52d4bf36d8, 0xd4eaccdfc1ddc68b,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x000375cc112b4b3c,
};

// c64_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_c64_swio14_noled_pr_ee_ce[] = {
  0x9bdddddda2431bc1, 0x1bbb557382c4e892, 0xfd0ddba7ecd8cc6a, 0x764f6db217063891, 0x8166469991073753,
  0x793ba3ae9aed8bbb, 0x009827c602413057, 0xf72836b7ffa20cfc, 0xf373bb5b8c5faa3d, 0xf10d8488bace1e78,
  0x0eaeb8c2ffa8f84b, 0x1e53b5841ef99317, 0xf83660f4af51e572, 0xd68450298ace1fa8, 0x4d7d185962291669,
  0xfc873abb73931d48, 0xaf1b1d79d3763d51, 0xe121144428f7bb1a, 0xc1132386f65b2e62, 0x5caad4b3e839e546,
  0xa8d7738ce6283b5e, 0x95daa5beace75152, 0x5b1fbfa4439ace9b, 0xd73daad115e58869, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x164498dca5a97e6d, 0x9fa9d599bf83bb8d, 0x13ffbc3def286153,
  0xc3347db0e3f8cbf3, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000013f026b5696,
};

static const uint64_t ur_c64_swio14_lednop[] = {
  0x444ddddddd66ef3a, 0x9eb776aae452b489, 0x7ed43ddc3e368308, 0x4417f43b8e3da137, 0x09ac8401b6f8feec,
  0x048260aef277417a, 0xf83419f80d304f8c, 0x921df2dd04a087bf, 0x1a4871240ebffa8f, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x2a8d7738ce6283b5, 0xb95daa5beace7515, 0xec7a4439ae0404e9,
  0xdaad115e588695cb, 0xb29b1674079fad73, 0x8a042d3573abd4b0, 0x6d38c6f19d1028be, 0xc9f9fd86e52d4bf3,
  0x0e271964b867a615, 0x7ee6866587494b67, 0x000549f5e117cf25,
};

// c64_swio14_lednop_pr_u4
static const uint64_t ur_c64_swio14_lednop_pr[] = {
  0xc7bbbbbb44869391, 0x0bbb5572290be251, 0xed93ddbf30fb609e, 0x82cd60e2a8636cbd, 0x89c7763dd7eec71e,
  0x2bbc9dde9c64419d, 0x7d7dcc13e3012098, 0x2dbdca0c7bffd106, 0x892064d7a8e801df, 0xc0596533f9d45243,
  0xe8f9db244637ce62, 0x3fd22a01ffb30475, 0x955acbb503cb3db8, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55,
  0xf488735c0809d372, 0x5a22bcb10d2b97d8, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xdca5a97e6db18c55, 0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x27b483d696792bf7, 0x000000000000001f,
};

// c64_swio14_lednop_pr_ee_u4
static const uint64_t ur_c64_swio14_lednop_pr_ee[] = {
  0x86beeeeeed121911, 0x326eed55f85da2c4, 0x826d33ddcc46df37, 0x21af5a1b43020a16, 0x962fa66971788368,
  0x82bbc9dd57ccfae0, 0x67d2d4c13e301209, 0x68cc7ca08d6ffd10, 0x3ea3d4795b059aad, 0x3be2b53dea3e0d98,
  0x16588a459a75a114, 0x74ab8d64d2135f46, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0x65b2e62e121142f8,
  0xb13ca8d823f5b86f, 0xc5076bcb955a8056, 0x9cea2a551aee719c, 0x0809d372bb54b7d5, 0x0d2b97d8f488735c,
  0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6db18c55bd8aaa2d, 0x8d164498dca5a97e,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x96792bf734332c3a, 0x00000004eb8d4e56,
};

// c64_swio14_lednop_pr_ce_u4
static const uint64_t ur_c64_swio14_lednop_pr_ce[] = {
  0x22eeeeeed121b705, 0x6776aafd60869c49, 0xf6c8ee933e3f7e3f, 0xe6e873c59fb0678e, 0xa930207ae486ea45,
  0x60aef2776c36cae4, 0x19fd9d304f8c0482, 0xbf509f2832bbff44, 0xce1e78f373bdf718, 0xa8f84bf10d8488ba,
  0x593262e1d9be951f, 0x9fea3cbe9ee59d5f, 0x2c7bd2a921c49035, 0x7ced92231be73160, 0xe91500ffd99e3af4,
  0xab5976a0796b741f, 0x5dce3398a0ed7972, 0x6a96fab39d454aa3, 0x910e6b81013a6e57, 0x44579621a572fb1e,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x296a5f9b6c6263b7, 0x6fe0eee345912637,
  0x7bca1854e7ea7566, 0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xef9275a59e4afdcd, 0x00000000000001ba,
};

// c64_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_swio14_lednop_pr_ee_ce[] = {
  0x9bdddddda2431000, 0x1bbb557382d89892, 0x7a52b75a5833cc6a, 0xec9edb642275c1fa, 0x6e999ac1220e6ea6,
  0x793bb5aaef1edb36, 0x6e9827c602413057, 0xee505aefff4419fc, 0xe6e76d7718bf547b, 0xe21b0911759c3cf1,
  0x87ea72e0bf51f097, 0x9729dac20f7cc98b, 0x7c1b307a57a8f2b2, 0xeb422814c5650fd4, 0x26be8c2cb1148b34,
  0xe6e39d5db9d28ea4, 0x578d8ebce9bb4888, 0x70908a17c471958d, 0x608991c37b2d9731, 0x2e556a59dac4f2a3,
  0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x63d221cd7020274d, 0xd5688af2c434ae5f, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6e52d4bf36d8c4c, 0xaccdfc1ddc68b224, 0xe1ef79430a9cfd4e,
  0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x09f83272b4b3c95f,
};

// c64_swio14_dual_pr                c64_swio14_dual_pr_u4
static const uint64_t ur_c64_swio14_dual[] = {
  0x3fbbbbbb4486dd9e, 0x6c1f756e3e73afc2, 0xd2c5bb06d608d386, 0xa2833a67f68eb14e, 0xe2e35043b0dba47d,
  0x2490770fcabdbada, 0x3304f8c048260aef, 0xddd7d932305520c0, 0xc4b881850c1b48c0, 0x537eefcca0253ba7,
  0xbd4731fb080c70a9, 0x228524482481edf9, 0xe1f0a21895fe7ef8, 0xcab397a672b7c4fa, 0xad68a8432d08c910,
  0x096dca5ffd01cf09, 0xbff4dd660b0de579, 0x3f7477cb2d794128, 0x0f7490e2481ef7ea, 0x989cc580aa0f3393,
  0x6608ebc019d90046, 0x967b6f78df5403ff, 0xabe77715257cea07, 0x3141daf2e556b3f8, 0x673a8a9546bb9c67,
  0x020274dcaed52df5, 0x434ae5f63d221cd7, 0x95aeb9ed5688af2c, 0x0a905ca5af9d01e3, 0x490538c6f19d1021,
  0x9b6c63156f62aa8b, 0xe345912637296a5f, 0x54e7ea75666fe0ee, 0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x000000014935a7d5,
};

static const uint64_t ur_c64_swio14_dual_pr_ee[] = {
  0xd6ddddddd41432db, 0xe60fbab58fc997e3, 0xefb8dd49875ac4e4, 0x765705055710b157, 0xd03e26eb43285bd6,
  0x582ee3822ace3f99, 0xc13e30120982bbc9, 0xebec99182a91dc7c, 0x5c40c2860da4606e, 0x74ffe650129dd3e2,
  0x1ce0ec3abce143f3, 0x1491209207b3a6f5, 0xc2886257f9fbe08a, 0x9cbd338a9113eb87, 0x8a8432d05f688655,
  0xbe9affa039e1307b, 0x9bacc161bcaf212d, 0xab5a3fdd28216bfe, 0xcc187bf51e576ea6, 0x8a1df15e9bf51f06,
  0xa30b2c4522cd3ad0, 0x2ec157152e6909af, 0x44bb18f467a9cead, 0x523886c6ab5d0ebd, 0x7b2fa598b848451a,
  0x91445546c11fadc3, 0x9fc55f3bb8a92805, 0xe3398a0ed7972ab5, 0x6fab39d454aa35dc, 0xe6b81013a6e576a9,
  0x79621a572fb1e910, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x545a4829c6378ce8, 0x52fcdb6318ab7b15,
  0x7771a2c0f431b94b, 0x0c2a73f53ab337f0, 0xf01f347db0e271a5, 0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c,
  0x1590e7d5a59e4afd,
};

static const uint64_t ur_c64_swio14_dual_pr_ee_u4[] = {
  0x6eb777776890cf68, 0x0b07dd5ac7d17df8, 0x6d77eeabe6c48eee, 0xd06e976d3b4abcb1, 0x6eceec2d5a1942cd,
  0x92625dcd1f53ab41, 0xf9827c6024130577, 0xddd7d932305523b8, 0xc4b881850c1b48c0, 0x66eaffcca0253ba7,
  0x7a8fb3b611c8e070, 0x450a4890490395d3, 0xc3e144312bfcfdf0, 0x95672f4ce33909f5, 0x9122a10cb423da21,
  0x25b7d35ff4073c26, 0x7fd375982c3795e4, 0xf4d56b4701a5042d, 0xf06cc1c89ea3cad4, 0xad08a1df159c3f51,
  0x9afa30b2c4522cd3, 0xead2e9597082e690, 0xd7b589d900460a1c, 0x43de8f22d8d56ba1, 0xb86f65c7c62e1211,
  0x7ceee2a4ab8b87f5, 0x283b5e5caad67f15, 0xe75152a8d7738ce6, 0x404e9b95daa5beac, 0x695cbec7a4439ae0,
  0xfad73daad115e588, 0xbd4b0b29b1674079, 0x028be8a042d3573a, 0xd4bf36d38c6f19d1, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0xbb2b4b3c95fb9a19, 0x0000000000000ac8,
};

// c64_swio14_dual_pr_ce_u4
static const uint64_t ur_c64_swio14_dual_pr_ce[] = {
  0x902f777776890c86, 0x1c583eead00227df, 0xab766f74ed34e837, 0xec4f2529555eeb71, 0xcc5ae29af62fbb02,
  0x92695dddd8dd9913, 0xa9827c6024130577, 0xddd7d932305522e4, 0xc4b881850c1b48c0, 0xd30d6fcca0253ba7,
  0xbd47df7b0d36708a, 0x228524482481a9e9, 0xe1f0a21895fe7ef8, 0xcab397a6732a04fa, 0x1eb150865a1b7d10,
  0x25b731fffa039e13, 0x7fd375982c3795e4, 0x35a317eb1ee50639, 0x911759c3cf1e6e76, 0xb2a3f51f097e21b0,
  0x6757a973262e1c92, 0x92076b7a8e13e7b9, 0xcc580a5176fd2438, 0x8ebc019d90046989, 0xdcf78df5403ff667,
  0x9ddc5495f3a81e5a, 0x076bcb955acfe2af, 0xea2a551aee719cc5, 0x09d372bb54b7d59c, 0x2b97d8f488735c08,
  0xbae7b55a22bcb10d, 0x417296be74078e56, 0x14e31bc67440842a, 0x63131dbd8aaa2d24, 0x2c8931b94b52fcdb,
  0x3f53ab337f07771a, 0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a,
  0xf257ee6866587494, 0x0000001a4864ad2c,
};

static const uint64_t ur_c64_swio14_dual_pr_ee_ce[] = {
  0xcd95bbbbbba86f97, 0xc3307dd5b8fdf5ef, 0xfbd7bdd2af2c4d8a, 0xf68a516a69ef709a, 0x37609931e9d33d95,
  0xbb9e08cea5914eb3, 0xf8c048260aef26c4, 0x64c8c1548f3d7304, 0x0614306d2303775f, 0x3f328094ee9f12e2,
  0x346c34d1c1fe4d88, 0x2241240ec7e6f51c, 0x10c4aff3f7c11429, 0x7a673a9c27d70f85, 0x0865a050d10cab39,
  0x83ff4073c2674b15, 0xb30586f2bc84b6fd, 0x51e04941b5bffa6e, 0xfe78f373bb5bb1fd, 0x66e99ceb0e089300,
  0xff51e572ba53b581, 0x15efbf51f06cc1ed, 0xc4522cd3ad08a053, 0xe60a3a909afa30b2, 0x25d8c7a33d4e7576,
  0x23886c6abc6c75ea, 0xb2fa598b848451a5, 0x8a22aa3608991c37, 0xfe2af9ddc5494b3c, 0x19cc5076bcb955ac,
  0x7d59cea2a551aee7, 0x35c0809d372bb54b, 0xcb10d2b97d8f4887, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x2fcdb63131dbd8aa, 0x3bb8d163ce1b94b5, 0x3d30ae4fdd599bf8, 0x4a5b387138cb25c3,
  0x96792bf734332c3a, 0x0000000130403956,
};

static const uint64_t ur_c64_swio14_dual_pr_ee_ce_u4[] = {
  0xf7777768a87f2541, 0x1f7562e2b8bbf3ae, 0x937500bada4cfb4c, 0xb6fdf5ef8fe0fb65, 0xb4f15bb83d765887,
  0xcb4614da7ca31721, 0xc15de4b4e7754e30, 0x229f86609f180904, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b,
  0x87ebcc6b7f995809, 0xadcdea3c00d80a43, 0xef8228524482481d, 0x4fae1f0a21895fe7, 0x4432ace5e99c7804,
  0x09b2b454219686ce, 0xf212dbb21ffd01cf, 0xc1ffaa374c161bca, 0x60c62fd518d6941e, 0x11759c3cf3e019df,
  0x92bf51f097e21b09, 0x084dd3262e1e3eeb, 0xdbfea3cae574a76b, 0xa62bdf7ea3e0d983, 0x6588a459a75a1140,
  0xedcc14752135f461, 0xd44bb18f467a9cea, 0x4a4710d8d578d8eb, 0x6f65f4b3170908a3, 0x791445546c113238,
  0x59fc55f3bb8a9296, 0xce3398a0ed7972ab, 0x96fab39d454aa35d, 0x0e6b81013a6e576a, 0x579621a572fb1e91,
  0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0x6a5f9b6c6263b7b1, 0x068fe34591263729,
  0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xb68f5cf257ee6866, 0x0000000000800da6,
};

static const uint64_t ur_c64_swio15_noled[] = {
  0xd49bbbbbbacdc49f, 0x7adddaab9142f712, 0x7d803750e2448c22, 0x905fd0eee27767f0, 0x486ad1b6c6569bba,
  0x80904c15de4eee62, 0xff06833e63e609f1, 0xe213be5ba4941dbf, 0xd7a4871240f9ef51, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xad5fefe910e6b3a6,
  0xae7b55a22bcb10d2, 0xa9c0594a9f4ef3f5, 0x5fb8a042d2c2e753, 0x7e6da718de33a204, 0xc2b93f3fb0dca5a9,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000000548b8c22f9,
};

// c64_swio15_noled_pr_u4
static const uint64_t ur_c64_swio15_noled_pr[] = {
  0x27777776890ce59b, 0x1776aae453c7c4ae, 0xdc77bbab21c6c13c, 0x4166b1a0c004cde4, 0x2758f85e35f76e27,
  0x0aef277792c4e363, 0xcfbf9304f8c04826, 0xe5a0fca0995ffa20, 0xe2481f41ea3cbe3b, 0x602cb29a3de95490,
  0x7a3e768851ef6731, 0x22934a807fecc11d, 0x72ab57d6e07967b6, 0xa35dce3398a0ed79, 0x76a96fabb39d454a,
  0x5fefe910e6b3a6e5, 0x7b55a22bcb10d2ad, 0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x922adec5551696d1,
  0xc8931b94b52fcdb1, 0xf53ab337f07771a2, 0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x0001f272668ad2cf,
};

// c64_swio15_noled_pr_ee_u4
static const uint64_t ur_c64_swio15_noled_pr_ee[] = {
  0xc7f777776890ca20, 0x93776aafc2f51625, 0x86fd3ddf1fb6f9b9, 0x7eb436899bd76964, 0x4695a295b106d05c,
  0x7793ba3d8b50918d, 0x93a9827c60241305, 0xdfc9418adffa20cf, 0x3fd479594b9aad68, 0xc5650fd47c1b3061,
  0xb1148b34eb422877, 0x971ac9a426be8c2c, 0xba847921cead2e95, 0x3f6355ae875e74dd, 0xcb98b848451f2238,
  0x5aa3608fd6e1bd96, 0x3b5e5caad402e930, 0x5152a8d7738ce628, 0xe9b95daa5beaece7, 0x34ab57fbfa4439ac,
  0x5aeb9ed5688af2c4, 0x3ba9b14a7869de7c, 0xa5b44e31bc674408, 0xf36c648ab7b15545, 0xdc68b224c6e52d4b,
  0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943, 0xfbf619a3ed871fc6, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xb4b3c95fb9a19961, 0x00000000275ff24e,
};

// c64_swio15_noled_pr_ce_u4
static const uint64_t ur_c64_swio15_noled_pr_ce[] = {
  0x67eeeeeed121b7d6, 0x6776aafd60a19c4b, 0x1fa106e8c1af7e3f, 0x9fcdd0e5698bcd8b, 0x33fb4f5c69a9bddd,
  0x13057793baf5a715, 0x20cfdba9827c6024, 0x62fd644941c09ffa, 0xeb3879e3cdcef2b4, 0xfea3e12fc4361222,
  0x7d64c98b87e5a66f, 0x327bd479ba7b9675, 0xb014ca9c6921c490, 0xbd1f3b4428f7b398, 0x1149a5403ff6678e,
  0x2e556afadc0f2d6e, 0x546bb9c673141daf, 0xaed52df57673a8a9, 0xabfdfd221cd674dc, 0xcf6ab44579621a55,
  0xd8a53c34ef3e2d75, 0x2718de33a2041dd4, 0x6431dbd8aaa2d2da, 0xb224c6e52d4bf36c, 0xfd4eaccdfc1ddc68,
  0x9ffde1ef79430a9c, 0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00006ebf087eb4b3,
};

// c64_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_c64_swio15_noled_pr_ee_ce[] = {
  0x0adddddda2435f41, 0x0dddaab9c172744b, 0x5d375bb0ccade635, 0x564f6d9b08cc489a, 0xb33b13e448839be1,
  0xde4eed17f7682ab8, 0x0fa609f180904c15, 0xdd4a0e20ffd1067d, 0x1e6e77882317ea8e, 0x7e21b0911759c3cf,
  0xb87f39753bf51f09, 0x38729dac20f7cc98, 0x47c1b3067afa8f2b, 0x4eb422814c565d7d, 0x426be8c2cb1148b3,
  0x8f2439d5db92b0ea, 0xd578d8ebce9bb750, 0x2e121147c88e0fd8, 0x6c1132386f65b2e6, 0xcb955a967d260b54,
  0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x6aff7f4887359d37, 0x73daad115e588695, 0x36294f0d3bcf8b5d,
  0x89c6378ce8810775, 0x190c76f62aa8b4b6, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000027e65a5ad2c,
};

static const uint64_t ur_c64_swio15_lednop[] = {
  0x5a9377777759bb37, 0x4f5bbb55722835e2, 0xdf7c7eefaff0b184, 0xa417f43bb89d2f7c, 0x434d82e236dd7eee,
  0x0904c15de4eed8f6, 0xf06833ebee609f18, 0x7c3be5ba49418f7f, 0x1a4871240f9ef51d, 0x3398b016f74c13e2,
  0x30475e2e76ded1dc, 0x972ab52b167ee396, 0xaa35dce3398a0ed7, 0x576a96fabb39d454, 0x1e910e6b81013a6e,
  0x55a22bcb10d2b92b, 0x5362ce80f3f5ae7b, 0x4085a6ae757a9616, 0xa718de33a204e7d1, 0x3f3fb0dca5a97e6d,
  0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1, 0x02a497fc22f9e4af,
};

// c64_swio15_lednop_pr_u4
static const uint64_t ur_c64_swio15_lednop_pr[] = {
  0x13bbbbbb4486259b, 0x0bbb5572280be257, 0xea9bdd36bd7b609e, 0x4166b1a0f8f803c5, 0x05bd36a6c4776e27,
  0x15de4eecbbb138be, 0x3f52a609f180904c, 0x2d07e504c7ffe883, 0x89207d07a8fa51df, 0x016594d01827d243,
  0xd1f3b2f88e32398b, 0xfdc35403ff6608eb, 0x556b70e40f2cf6c6, 0x6bb9c673141daf2e, 0xd52df57673a8a954,
  0x221cd7020274dcae, 0x44579621a572563d, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x94b52fcdb40a8ab7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xce907ad2cf257ee6, 0x00000000000003e4,
};

// c64_swio15_lednop_pr_ee_u4
static const uint64_t ur_c64_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb4486bf3e, 0x9bbb557e1723f12e, 0x1be477617c01cdcc, 0xfad0da267515ebb2, 0x9895c66ec41b4171,
  0xbc9dd9c458919f5d, 0x0fcc13e30120982b, 0xfc941383ffa20cfd, 0xfd4795a9e9aad68d, 0x57813d47c1b30613,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0xba460a1cead2f21d, 0xb6355ae875e74ddb, 0xb98b8484513723c8,
  0x2a3608fd6e1bd96c, 0xdaf2e556a0108a4d, 0x8a9546bb9c673141, 0x4dcaed52df57673a, 0x2563d221cd702027,
  0xcf6ab44579621a57, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829, 0x8931b94b52fcdb40,
  0x53ab337f07771a2c, 0xff787bde50c2a73f, 0x68fb61c7f197e627, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x0009d79a9cad2cf2,
};

// c64_swio15_lednop_pr_ce_u4
static const uint64_t ur_c64_swio15_lednop_pr_ce[] = {
  0x67eeeeeed1219541, 0x6776aafd60a85c4b, 0xf5a2eeedb75f7e3f, 0xf374395a433c5ef4, 0x273aa2d055a37767,
  0x60aef27740524c58, 0x19f8ad304f8c0482, 0x5fac89283befff44, 0x670f3c79b9ddba8c, 0xd47c25f886c2445d,
  0xd64c98b87eb3643f, 0x27bd479c67b96757, 0x0298f3d6921c4903, 0xa3e765f11c647316, 0xfb86a807feccf1d7,
  0x2ab5b8720796b70d, 0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0x910e6b81013a6e57, 0xa22bcb10d2b92b1e,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94b52fcdb40a31db, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x7ccc5ad2cf257ee6, 0x00000000000000dd,
};

// c64_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_c64_swio15_lednop_pr_ee_ce[] = {
  0x0adddddda2436d3a, 0x0dddaab9c1605c4b, 0x9d765ba34f17e635, 0x564f6d9b19391998, 0x14e0ddd388839be1,
  0xbc9ddb9db3675b26, 0xebcc13e30120982b, 0xba941801ffa20cff, 0x3cdcee00462fd51d, 0xfc4361222eb3879e,
  0xe1ddbb0b27ea3e12, 0xa1ca76b083df3262, 0x1f06cc19ebea3cac, 0x3ad08a05315b05f5, 0x09afa30b2c4522cd,
  0x3050e7576e90e3a9, 0x55e363af3a6eddd2, 0xb8484513723c8b63, 0xb044c8e1bd96cb98, 0x972ab52cc4526951,
  0xaa35dce3398a0ed7, 0x576a96fabb39d454, 0x1e910e6b81013a6e, 0x55a22bcb10d2b92b, 0x6be74078e56bae7b,
  0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb40a31, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0x27e5b90ad2cf257e,
};

// c64_swio15_dual_pr                c64_swio15_dual_pr_u4
static const uint64_t ur_c64_swio15_dual[] = {
  0x4bbbbbbb44865c93, 0x6c1f756e3e9cafc3, 0xbd77bb707a70d386, 0x45067e47652be295, 0xc9b3e2d402b74d2b,
  0x92483b86717175ab, 0x19827c6024130577, 0x6eebec99182a90a9, 0xe25c40c2860da460, 0xa9bf77e650129dd3,
  0xdea398fd84063854, 0x114292241240f6fc, 0x70f8510c4aff3f7c, 0x6559cbd338d7627d, 0xd6b4542196846488,
  0x84b6e50ffe80e784, 0xeffa6eb30586f2bc, 0x1f6f9df2cf7ca0fe, 0x8f7490e2481c1ff5, 0x109cc580aa0f3256,
  0x6608ebc019db4a47, 0xcb3db4c6325403ff, 0x2af9ddc549702503, 0xcc5076bcb955acfe, 0xd9cea2a551aee719,
  0x0809d372bb54b7d5, 0x8695c958f488735c, 0x2b5d73daad115e58, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36d02a2adec55516, 0xc68b224c6e52d4bf, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xbf619a3ed871fc65,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x0000000292641cab,
};

static const uint64_t ur_c64_swio15_dual_pr_ee[] = {
  0x9dbbbbbba8286f97, 0x983eead63d086fc6, 0x6d0774e72beb1393, 0x2b8276abbd35f7ef, 0x5e1f5ce1942da73b,
  0xee78233accda9d38, 0xe30120982bbc9582, 0xc99182a90ba2cc13, 0x0c2860da4606eebe, 0xfe650129dd3e25c4,
  0x0ec3abce143f374f, 0x1209207b3a6f51ce, 0x86257f9fbe08a149, 0xd33974313eb87c28, 0x432d05f6886559cb,
  0xbffa039e1307b8a8, 0x982c3795e425b79d, 0x8dc9ca0f4fffd375, 0x1efd4795e9b9aad6, 0x7c57b3bd47c1b307,
  0xcb1148b34eb42287, 0xe5c54b9a426be8c2, 0x67f11f5073ab4ba9, 0xf258d56ba1d7a897, 0xf4b3170908a0f547,
  0xf6a8d823f5b86f65, 0x55f3bb8a928043e6, 0x98a0ed7972ab59fc, 0xb39d454aa35dce33, 0x1013a6e576a96fab,
  0x0d2b92b1e910e6b8, 0x56bae7b55a22bcb1, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d,
  0xd1607a18dca5a97e, 0x39fa9d599bf83bb8, 0x9a3ed87138d28615, 0x64b867a615c9f80f, 0x6587494b670e2719,
  0x8bead2cf257ee686, 0x0000000000000ac8,
};

static const uint64_t ur_c64_swio15_dual_pr_ee_u4[] = {
  0x853b777776890c86, 0xe0b07dd5ac7baddf, 0xdeecdeece24148ee, 0x4e0dd2eec36efdf5, 0x62d714d7b9c32859,
  0x9312eeeec6ecc89e, 0xcc13e30120982bbc, 0xeebec99182a90ba2, 0x25c40c2860da4606, 0x3757fe650129dd3e,
  0xd47d9db08e470383, 0x28524482481cae9b, 0x1f0a21895fe7ef82, 0xab397a6732a04fae, 0x89150865a11ed10c,
  0x5b79dbffa039e134, 0xfd375982c3795e42, 0x9aad68d7dca0f4ff, 0x0d983eebd4795e04, 0xa1143be2b2ebea3e,
  0x5f4616588a459a75, 0x5a5fe72e105cd213, 0xed6276d291cbe39d, 0x4c518f96355ae875, 0x0decb8f8c5c24228,
  0xceee2a4ab8b5beb7, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x4e9b95daa5beaece, 0xae4ac7a4439ae040,
  0x6b9ed5688af2c434, 0xa58594d8b3a03cfd, 0x39f4502169ab9d5e, 0x5f9b69c6378ce881, 0xeee345912637296a,
  0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x95a59e4afdcd0ccb, 0x000000000001590c,
};

static const uint64_t ur_c64_swio15_dual_pr_ce[] = {
  0x3dddddd0f5a1a5fb, 0x2c1f7568002d7e33, 0xdc99ba3dac341b8e, 0x62792bb251fad33e, 0xab2bbfbbcfbdd667,
  0x49a5774b235d5a78, 0x6609f180904c15de, 0x775f64c8c1548780, 0x12e20614306d2303, 0x4c35bf328094ee9f,
  0xf51f7dec34d9c22b, 0x8a1491209206a7a6, 0x87c2886257f9fbe0, 0x559cbd339d1f13eb, 0xf58a8432d0dbe886,
  0x2dbd8fffd01cf098, 0xfe9bacc161bcaf21, 0x8318bf531f28235b, 0x88bace1e78f373b3, 0x723fa8f84bf10d84,
  0x3abd4b993170e951, 0x48188bea3c893dcb, 0x98b017f7195490e2, 0x1d78033b6948e213, 0xdc98c64a807feccf,
  0xceee2a4b81281e5a, 0x83b5e5caad67f157, 0x75152a8d7738ce62, 0x4e9b95daa5beaece, 0xae4ac7a4439ae040,
  0xeb9ed5688af2c434, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x028c76f62aa8b490, 0x9ef046e52d4bf36d,
  0xea75666fe0eee345, 0xc65f989fca1854e7, 0x39effe09a3ed87b9, 0xc6592e19e985727e, 0xa19961d252d9c389,
  0x493086b4b3c95fb9, 0x0000000000000003,
};

static const uint64_t ur_c64_swio15_dual_pr_ce_u4[] = {
  0x276eeeeed121a5fb, 0x4583eead005cebf2, 0xb535f76c314e583e, 0x19ae366745e55e73, 0xac44f51f67dbb139,
  0x4840ee9646ba83e2, 0xe609f180904c15de, 0x775f64c8c1548e1f, 0x12e20614306d2303, 0x4d6ebf328094ee9f,
  0xf51d82ec3021c257, 0x8a149120920670e6, 0x87c2886257f9fbe0, 0x2ace5e99cb9113eb, 0x0522a10cb40f5443,
  0x25b74b5ff4073c26, 0x7fd375982c3795e4, 0xd3718bf5eea506dd, 0x488bace1e78f373b, 0x1723fa8f84bf10d8,
  0xb3ab871993170e95, 0x2481935ea3a013dc, 0x9cc580afe751490e, 0x3c75e45bb4dc8f22, 0xdc5494743e6e3963,
  0x6bcb955acfe2af9d, 0x2a551aee719cc507, 0x372bb54b7d5d9cea, 0x958f488735c0809d, 0x3daad115e588695c,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0x498dca5a97e6da05, 0x9d599bf83bb8d164,
  0xfbc3def2861539fa, 0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x00069274f5696792,
};

static const uint64_t ur_c64_swio15_dual_pr_ee_ce[] = {
  0x893377777750cf68, 0xc3307dd5b8fcda5f, 0xf4af7bbbf7d76d8a, 0xfb452a350fcb41ee, 0x5f8fe842f4e99a4c,
  0xee68fa9d1c13767d, 0xe30120982bbc9b12, 0x932305520f9f4c13, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88,
  0xd1b0d34707f93620, 0x8904903b1f9bd470, 0x4312bfcfdf0450a4, 0xd338edd89f5c3e14, 0x432d0286886559cb,
  0xbffa039e133a58a8, 0x982c3795e425b735, 0x4795a507107fd375, 0xfcf1e6e77882c7f5, 0xcdd339d61f9bea91,
  0x5ea3caf7dca76b02, 0x15dbaf51f06cc199, 0xc4522cd3ad08a053, 0xe53c3a909afa30b2, 0x12ecfe23ea0e7576,
  0x51fc96355e363af5, 0xd97d2cc5c242283d, 0x7cded51b044c8e1b, 0x3f8abe77715252cc, 0xc673141daf2e556b,
  0xf57673a8a9546bb9, 0xd7020274dcaed52d, 0x9621a572563d221c, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0x5f9b681463b7b155, 0x7771a2c79c37296a, 0x7a615c9fbab337f0, 0x94b670e271964b86,
  0x2cf257ee68665874, 0x00000000982124ad,
};

static const uint64_t ur_c64_swio15_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe6c4f, 0x3eeac5c6f277e27d, 0x05ba89f5a499f698, 0xb0eb95ef336e17a7, 0x47e15bb829f65887,
  0xd3e6ba85b41e1bf8, 0x60aef25a73bb4836, 0x917b3d304f8c0482, 0xa4606eebec99182a, 0x9dd3e25c40c2860d,
  0xc3f5e635bfccac04, 0xd6e6f51e006c0521, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0x22195672f4ce1d7c,
  0x84d95a2a10cb4367, 0x79096dee47fe80e7, 0xadffd51ba60b0de5, 0xd6e317ea8ce0ca09, 0x88bace1e79f00cec,
  0xc03fa8f84bf10d84, 0x8426e993170feb53, 0xccaf51e57bee53b5, 0x298aedd7a8f83660, 0x5962291669d68450,
  0xbb729e1d484d7d18, 0x7a89767f11f5073a, 0x1ea8fe4b1aaf1b1d, 0x0decbe9662e12114, 0x663e6f6a8d822647,
  0xb59fc55f3bb8a929, 0xdce3398a0ed7972a, 0x96fabb39d454aa35, 0x0e6b81013a6e576a, 0x2bcb10d2b92b1e91,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb52fcdb40a31dbd8, 0x8347f1a2c8931b94,
  0x2861539fa9d599bf, 0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xf347ae792bf73433, 0x0000000000400269,
};

static const uint64_t ur_c128_autobaud_uart0_noled[] = {
  0x12dddddddd66ef3a, 0xe3bbbbbaabf0bbc9, 0x20da6f37bf3600d2, 0xc81336225ef77775, 0x260aef277417a09a,
  0x419f0f7304f8c048, 0x022054f84a44ff83, 0xa4d7ce1cc05d221d, 0x4386d1bdaa3857ea, 0x03349ea3f3c77cb2,
  0x7ba61bf5fe921c49, 0x787588f199cc580b, 0xd62dc72c608ebc5d, 0xe166fc0c4ad7b0ac, 0x3796ea0c077ad79c,
  0x717539794d8ce16f, 0x5c502169e18aca43, 0xd99d38c6f19d103f, 0x1986ef84a5a97e56, 0x70cf4c2b93f3fb1e,
  0x0e9296ce1c4e32c9, 0xc22f9e4afdcd0ccb, 0x000000006b3174e3,
};

// c128_autobaud_uart0_noled_pr_u4
static const uint64_t ur_c128_autobaud_uart0_noled_pr[] = {
  0x2ddddddda2432f02, 0x7bbbbbaabf0bc011, 0xf266c44c9eb53dc7, 0x5f50cbdeeeedc4e1, 0xc9dd8e302f17b338,
  0xdcc13e30120982bb, 0x4f84a44ffd1067c3, 0xe1cc05d221d02205, 0x1bdaa3857eaa4d7c, 0xea3f4077cb08786d,
  0xe4dee921c4903417, 0x68f58731602cb29b, 0xff6608ebd1f5e1c1, 0x07967b61c6895403, 0xb37e06256bd89abe,
  0x7c150603bd6bce70, 0xd4e5e5363385bcde, 0x378ce8812b290dc5, 0xadec5551695849c6, 0x4b52fcadb33953a2,
  0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x3ab375a59e4afdcd, 0x00000000000008c3,
};

// c128_autobaud_uart0_noled_pr_ee_u4
static const uint64_t ur_c128_autobaud_uart0_noled_pr_ee[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaae2fef5e2, 0xda59bbc77ab8f7e9, 0x04120c8dadde3e36, 0xfdaebb4669f6d142,
  0x9f180904c15de4ee, 0xadd7fe8833f1ca60, 0x05d221d022054f84, 0xa3857eaa4d7ce1cc, 0x9aad68e7186d1bda,
  0x06cc1a63ea3cae44, 0x68450ef8accaf51f, 0xd7d185962291669d, 0xead2e7aae3593484, 0xbce9de11be8f059c,
  0x2cf461c6c6ab5d0e, 0x86f65b2e62e12114, 0x520aa0ea8d823f5b, 0x9c2cdf81895af600, 0x379f054180ef5af3,
  0x717539794d8ce16f, 0x718de33a204aca43, 0xe8ab7b15545a5612, 0xc252d4bf2b6cce54, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x6a777c15696792bf, 0x0000000000000002,
};

// c128_autobaud_uart0_noled_pr_ce_u4
static const uint64_t ur_c128_autobaud_uart0_noled_pr_ce[] = {
  0x896eeeeeed121911, 0x4bbbbbbaabb608d3, 0x333f60cec7e91fd3, 0x5515eb921bbbb5a1, 0x7793baaf99f41b2c,
  0xece9827c60241305, 0x153e1295dffa20cf, 0xf387301748874088, 0xb46f6a8e15faa935, 0x9b9dfee037f50521,
  0x89ecb3879e7085b7, 0x7ea3c2784bf10d84, 0xcf6e122270f00052, 0xa8e4f4f72df5eb26, 0x31b5a921c4903d67,
  0xf0e0b47ac398b015, 0xaa01ffb33c75e8fa, 0x1357c0f2d6e0e344, 0x79ce166fc0c4ad7b, 0xb79bcf82a0c077ad,
  0x21b8ba9cbca6c670, 0x0938c6f19d102565, 0x54e31dbd8aaa2d2b, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3,
  0x95a9d599bf83bb8d, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x011babe49d696792,
};

// c128_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart0_noled_pr_ee_ce[] = {
  0x5bbbbbbb44861a4e, 0x6eeeeeaae1656262, 0xe275c134baf5b5a7, 0x3582fdbc7ee9b0d2, 0x4d770b499ee0a733,
  0x3e30120982bbc9dd, 0xd77ffa20cfe374c1, 0x2e910e81102a7c24, 0x1c2bf5526be70e60, 0x6fea8ca5c368ded5,
  0x3ce10b6f373b0b40, 0x97e21b0913d9670f, 0x1ee86ea8fd4784f0, 0xc74f7cd9edc2444e, 0x6b5fd4795f5129da,
  0x0a62beebd47c1b30, 0x16588a459a75a114, 0x576e3d4752135f46, 0xe74ef08df4782ce7, 0xcf461c6c6abc6c75,
  0x6f65b2e62e121142, 0x905507546c113238, 0xe166fc0c4ad7b0b3, 0xbcf82a0c077ad79c, 0x8ba9cbca6c670b79,
  0x8c6f19d10256521b, 0x31dbd8aaa2d2b093, 0x252d4bf2b6cce54e, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0x11064e5696792bf7, 0x0000000000000004,
};

static const uint64_t ur_c128_autobaud_uart0_noled_ee_hw[] = {
  0x5bbbbbbb451a3705, 0xeeeeeeaae2fef5e2, 0xda59bbc77ab8f7e9, 0x04120c8dadde3e36, 0x776c36cad498d142,
  0x304f8c048260aef2, 0xc256ebffac99f8e5, 0xe602e910e81102a7, 0xed51c2bf5526be70, 0x224d56b4738c368d,
  0x8f83660d31f51e57, 0x4eb422877c56657a, 0x426be8c2cb1148b3, 0xce756973d571ac9a, 0x875e74ef08df4782,
  0x8a167a30e36355ae, 0xadc37b2d97317090, 0x002905507546c11f, 0x79ce166fc0c4ad7b, 0xb79bcf82a0c077ad,
  0x21b8ba9cbca6c670, 0x0938c6f19d102565, 0x2a7455bd8aaa2d2b, 0xbbe1296a5f95b667, 0xc2a44ad417678661,
  0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2,
  0x00000016278cf274,
};

// c128_autobaud_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart0_noled_ee_ce_hw[] = {
  0xb77777768a345f41, 0xdddddd55c2cac4c4, 0xc4eb826975eb6b4e, 0x6b05fb78fdd361a5, 0xdda2feef6b894e66,
  0xc13e30120982bbc9, 0x24d77ffd64cfe374, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0x406fea8ca5c368de,
  0x1e79c216fc873b0b, 0xe12fc4361227b2ce, 0x4e1d9cba3ffa8f09, 0xdac74f7cd9edc244, 0x306b5fd4795f5129,
  0x140a62beebd47c1b, 0x4616588a459a75a1, 0xe7576e3d4752135f, 0x75e74ef08df4782c, 0x42cf461c6c6abc6c,
  0x386f65b2e62e1211, 0xb3905507546c1132, 0x9ce166fc0c4ad7b0, 0x79bcf82a0c077ad7, 0x1b8ba9cbca6c670b,
  0x938c6f19d1025652, 0x4e31dbd8aaa2d2b0, 0x7c252d4bf2b6cce5, 0x54895a82ecf0cc37, 0xfcc4ffef0f7bca18,
  0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000012a459e4e8a,
};

static const uint64_t ur_c128_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xa1eeeeeeaafc2f42, 0x906d35229b5a5c76, 0x3636dfa5f17bbbba, 0x13057793bb63d90d,
  0xa0cfc7b9827c6024, 0x81102a7c25dd7fc1, 0x526be70e602e910e, 0x21c368ded51c2bf5, 0x03349ea3e0b3be59,
  0xdee9a32e7a921c49, 0xbc21c51d12731602, 0x283ee39630475e2e, 0x70b37e06256bd856, 0xcde603bd6bcf0202,
  0xb5392296af3a005b, 0x502169c05ef9485e, 0xce9c6378ce8811d4, 0xc377c252d4bf2b6c, 0x67a615c9f9fd8f0c,
  0x494b670e271964b8, 0x17cf257ee6866587, 0x00000001acc5b761,
};

// c128_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_c128_autobaud_uart0_lednop_pr[] = {
  0x5bbbbbbb4486fc3b, 0xeeeeeeaafc2fe3e2, 0xf0013348bb64f54d, 0x4e178d7ddddb89c3, 0x93bb704dd43329cd,
  0xc9827c6024130577, 0x4f848caffd1067df, 0xe1cc05d221d02205, 0x1bdaa3857eaa4d7c, 0xea3dac77cb08786d,
  0x6e8ca921c4903417, 0x23486731602cb29a, 0xfecc11d7a3ebc24d, 0x1e59edbda1f6a807, 0xcdf81895af67b828,
  0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155,
  0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5, 0xbf619a3ec6761c7f,
  0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x00000008c3499a2b,
};

// c128_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_c128_autobaud_uart0_lednop_pr_ee[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaae2ff5162, 0xdebb4b537b4cf7c8, 0xa56e0c8dadde3e36, 0x73b3ef27157ae368,
  0x7c602413057793ba, 0x8adffa20cf93a982, 0x1748874088153e12, 0x8e15faa935f38730, 0x6ab5a39c61b46f6a,
  0x1b30698fa8f2b32a, 0x422877c5663fd47c, 0xbe8c2cb1148b34eb, 0x569791171ac9a426, 0x79d3bc23e23268e7,
  0x7408ded58d56ba1d, 0x86f65b2e62e12114, 0x0838d12a8d823f5b, 0x13859bf0312b5ec0, 0xd228301deb5e7810,
  0xd4a7253a005bcde6, 0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x4bf2b6cced39156f, 0x0bd8f0cc377c252d,
  0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x49d696792bf73433, 0x000000000026a77e,
};

// c128_autobaud_uart0_lednop_pr_ce_u4
static const uint64_t ur_c128_autobaud_uart0_lednop_pr_ce[] = {
  0x5bbbbbbb4486b044, 0xeeeeeeaaed834162, 0xc699fb7a7bf4f4c4, 0x1fa8ac86eeed684c, 0x93bbb293ed1dd8b9,
  0x69827c6024130577, 0x3e12d37ffa20cf8d, 0x8730174887408815, 0x6f6a8e15faa935f3, 0x9dfce037f50521b4,
  0xecb3879e7085b79b, 0xa3c2784bf10d8489, 0xb84889c3e37760fe, 0xf493dcb7d7ac9b3d, 0x1fa4871240f59ea3,
  0x348d219cc580b924, 0x1ffb33c75e8faf09, 0x281e5adcf687daa0, 0xc2cdf81895af67b8, 0x14180ef5af3c0809,
  0x53929d002de6f369, 0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf2b6cced3863b7b1, 0xd8f0cc377c252d4b,
  0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x5696792bf734332c, 0x0000000008dd402b,
};

// c128_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x2ddddddda24343ee, 0xb777775570b20dd1, 0x762627189d015ad8, 0x74717ede3f74d869, 0xaefc89086d3cf58a,
  0x3e30120982bbc9dd, 0x149ffa20cf9adcc1, 0x1748874088153e12, 0x8e15faa935f38730, 0x37f54652e1b46f6a,
  0x3ce10b6f373bb1f0, 0x97e21b0913d9670f, 0x38000dbbfd4784f0, 0x8e9ef9b3db84889c, 0xd6bfa8f2beea53b5,
  0x298ac3dfa8f83660, 0x5962291669d68450, 0x5dba441d484d7d18, 0xe74ef08f88c9a39d, 0xa046f6ac6abc6c75,
  0x37b2d973170908a3, 0x30e344aa3608991c, 0x4e166fc0c4ad7b0b, 0x48a0c077ad79e040, 0x529c94e8016f379b,
  0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x5f95b66769c31dbd, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20,
  0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x4eb4b3c95fb9a199, 0x000000000041101e,
};

static const uint64_t ur_c128_autobaud_uart0_lednop_ee_hw[] = {
  0x2ddddddda28d0044, 0x77777755717fa8b1, 0x6f5da5a9bda67be4, 0x52b70646d6ef1f1b, 0xeea0a4e5a10d71b4,
  0x609f180904c15de4, 0x84a2b7ff5933e4ea, 0xcc05d221d022054f, 0xdaa3857eaa4d7ce1, 0xca9aad68e7186d1b,
  0x1f06cc1a63ea3cac, 0x3ad08a1df1598ff5, 0x09afa30b2c4522cd, 0x39d5a5e445c6b269, 0x875e74ef08f88c9a,
  0x451d0237b56355ae, 0xd6e1bd96cb98b848, 0xb0020e344aa3608f, 0x0404e166fc0c4ad7, 0x79b48a0c077ad79e,
  0xa6f529c94e8016f3, 0xde33a207c4690e1a, 0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45, 0x56a0bb3c330ddf09,
  0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x00589e4668a29e4a,
};

// c128_autobaud_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart0_lednop_ee_ce_hw[] = {
  0xb77777768a346d3a, 0xdddddd55c2c83744, 0xd8989c6274056b62, 0xd1c5fb78fdd361a5, 0xbb73b66f7263d629,
  0x827c602413057793, 0x24293ffac99f35b9, 0x602e910e81102a7c, 0xd51c2bf5526be70e, 0xe06fea8ca5c368de,
  0x3cf3842df90e7763, 0xc25f886c244f659c, 0x3876838227f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57dd4a7,
  0xa0531587bf51f06c, 0x30b2c4522cd3ad08, 0x3abb74883a909afa, 0xebce9de11f119347, 0x47408ded58d578d8,
  0x386f65b2e62e1211, 0x1661c689546c1132, 0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f,
  0xc67440f88d21c354, 0x7b15545a6194e31b, 0xd4bf2b6cced3863b, 0xa82ecf0cc377c252, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x12a420fba8a792bf,
};

// c128_autobaud_uart0_dual_pr       c128_autobaud_uart0_dual_pr_u4
static const uint64_t ur_c128_autobaud_uart0_dual[] = {
  0x4ddddddda243359b, 0xf777775e4362c5e8, 0x4b116a6c5b73b6ab, 0x7957fdadddd12264, 0xee1e198509b6bad1,
  0xe30120982bbc9f22, 0x43236a290148cc13, 0x30a18369181bbaad, 0x612804a774f89710, 0x6b1c09d7174b5f99,
  0x207bee6f51e2b6c0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0x5cfc87cbf5c0ddc3, 0xd21be5c5dfc97cbe,
  0xcb434a4432ff9082, 0xff4073c269ba2a10, 0x82c3795e425b7387, 0x02a7c24beffcd7b9, 0xbe70e602e910e811,
  0x368ded51c2bf5526, 0x87f51f229df2c4d4, 0xcc7ac43490e24818, 0xbda3afe731602a83, 0x0ffd9823af006bc3,
  0xc81e59edf3c27d50, 0x4fe2af9ddc549629, 0x809c2cdf81895af6, 0x36914180ef5af3c0, 0xdea53929d002de6f,
  0xc67440f88d21c354, 0x7b15545a6194e31b, 0x6a5f95b66769c8ab, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe,
  0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0xf36eb4b3c95fb9a1, 0x0000000000002e0a,
};

static const uint64_t ur_c128_autobaud_uart0_dual_pr_ee[] = {
  0xe84dddddddd432db, 0x826eeeeebc8d15c2, 0xe44decdd17ecda6d, 0x8289e6ecc8ee9d64, 0x7045583c333a1f96,
  0x02413057793619dc, 0x1b514887939827c6, 0x0c1b48c0ddd56a19, 0x40253ba7c4b88185, 0x87ebf1735bfccb09,
  0xadcdea3c00d80a43, 0xe5c5e8524482481d, 0x0c4aff3f7c117e53, 0x43e5dd603770f851, 0xf2e2efe4be5f2e7e,
  0xa5a2197fc841690d, 0xe784df3a2a10cb40, 0xe579096dec7ffe80, 0x090d6ff35ee60b0d, 0x980ba443a0440a9f,
  0xb5470afd549af9c3, 0xf7355ad1e950da37, 0x7c1b307f27a8f2b8, 0xeb422877c5701bd4, 0x26be8c2cb1148b34,
  0x3ab4bedf5c20b9a4, 0xaf6b15e17bd1f487, 0x170d1d4bb1aad743, 0xe1bd971f18b84845, 0xe77715255c35f7d6,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e, 0x16986538c6f19d10,
  0x6d99da722adec555, 0xe1986ef84a5a97e5, 0xddc68b3dfe209f71, 0xe985727eeaccdfc1, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000822f3852b4,
};

static const uint64_t ur_c128_autobaud_uart0_dual_pr_ee_u4[] = {
  0x77777768a87fb202, 0xbbbbaf234569ea13, 0x61f557efd5f7af7b, 0x4dd991ddd94cfbdc, 0x2d1fe0e56083395c,
  0x5de49da777f5ba46, 0x9e5e609f180904c1, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd9f3f32c25301277,
  0xfebec0d6ce130dc5, 0x92241240e004dea3, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e46dd,
  0xfc841690df2e2efe, 0x62a10cb430222197, 0x6e1a3fe80e784c5d, 0x5f0530586f2bc84b, 0x74088153e124b5ff,
  0xaa935f3873017488, 0x39121b46f6a8e15f, 0x14f51e56bee6ab5a, 0xf8aff77a8f83660c, 0x962291669d68450e,
  0xeb8a973484d7d185, 0x39223dece7569731, 0xf58d56ba1d7a89bc, 0x9662e1211441f47c, 0xd51b047eb70decbe,
  0xf3bb8a92804d7c82, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0x253a005bcde6d228, 0x1f11a4386a9bd4a7,
  0x8b4c329c6378ce88, 0xb6cced39156f62aa, 0xf0cc377c252d4bf2, 0xa3f8d167bfc40bd8, 0xc2a44ad4eaccdfc1,
  0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x73c95fb9a19961d2,
  0x000014a9234f9a3d,
};

static const uint64_t ur_c128_autobaud_uart0_dual_pr_ce[] = {
  0x84dddddddd435032, 0xe3777775e4c5f5c6, 0xec1651f2c5ae17be, 0x4decd8ebeeeebd61, 0x6eeabdb47faf7dd8,
  0x3e30120982bbc966, 0x6a191b51481544c1, 0x81850c1b48c0ddd5, 0xcb0940253ba7c4b8, 0x9db385adf17adffc,
  0x20633737a8e9b7b0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0xb9f90f9747c0ddc3, 0xa437cb8bbf92f97c,
  0x2d0fdc8865ff2105, 0xfd01cf099fc8a843, 0x0b0de579096dce0f, 0x0a9f09656ff35ee6, 0xf9c3980ba443a044,
  0xda37b5470afd549a, 0xdceca280aefafc90, 0xd8fffcfcf3842dbc, 0xea5cd02bb84889c3, 0xd4bf51c6fcf72cf6,
  0x80a803df490e2481, 0x01af0ef68ebf9cc5, 0x09f5403ff6678ebc, 0x549629c81e5addcf, 0x895af64fe2af9ddc,
  0x5af3c0809c2cdf81, 0x02de6f36914180ef, 0x21c354dea53929d0, 0x94e31bc67440f88d, 0xd3863b7b15545a61,
  0x77c252d4bf2b6cce, 0x59eff104fb8f0cc3, 0x93f75666fe0eee34, 0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce,
  0x029e4cad55a59e4a,
};

static const uint64_t ur_c128_autobaud_uart0_dual_pr_ce_u4[] = {
  0xeeeeeed150ffbf5b, 0x77775e4a8b683426, 0xc8435ade3fee66f7, 0x7935f77767116a07, 0xf5804e0a405df5da,
  0x20982bbc96c4ee66, 0xa8a44d524c13e301, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0xadf17986fccb094c,
  0x9bd47149b0fd7381, 0x8bd0a48904903adf, 0x95fe7ef822fca7cb, 0xc800006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x09a43c5421968305, 0x79096dffe7fd01cf, 0x4ebfebe0a60b0de5, 0x2e910e81102a7c24,
  0x1c2bf5526be70e60, 0x606febd44368ded5, 0x3cf3842dfc033b28, 0xc25f886c244f659c, 0x9c3f2d337ff51e13,
  0x2df5d4b9b3db8488, 0x2481d4bf51c6fcf7, 0x9cc580a803df490e, 0x8ebc01af0ef68ebf, 0xddcf09f5403ff667,
  0x9ddc549629c81e5a, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x29d002de6f369141, 0xf88d21c354dea539,
  0x5a6194e31bc67440, 0x6cced3863b7b1554, 0x0cc377c252d4bf2b, 0x3f8d167bfc40bd8f, 0x2a44ad4eaccdfc1a,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x0002b5ee2ac5a3d7,
};

// c128_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart0_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0x7775e4b222cdd09b, 0x2ccde9a91dfafb77, 0xcb56ef7787daca78, 0x2acda9d35d5c868e,
  0x5eee422fbd3ae9ac, 0x27c6024130577935, 0xa8646d4520c5da98, 0x0614306d23037755, 0x584a6024ee9f12e2,
  0xece0148f17f397e6, 0xaa466f51c001b036, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0x21f2879303770f85,
  0xf97177f25f2f973f, 0xff110cbfe420b486, 0xe784dbb5150865a0, 0xe579096dc92bfe80, 0x4a61bfebe0a60b0d,
  0xc05d221d022054f8, 0xaa3857eaa4d7ce1c, 0x80dfd51cae86d1bd, 0x79e7085bf80677a6, 0x84bf10d8489ecb38,
  0x70fe72ea77ea3c27, 0xd63a9ba6cf6e1222, 0xc1af9ea3cadfc94e, 0xa05315d4af51f06c, 0x30b2c4522cd3ad08,
  0x7576e31e3a909afa, 0xd7a89bc39223dece, 0x883e8f9eb1aaf1b1, 0xe1bd97d2cc5c2422, 0x66d7c82d51b044c8,
  0xec9fc55f3bb8a929, 0x81013859bf0312b5, 0xde6d228301deb5e7, 0xa9bd4a7253a005bc, 0x378ce881f11a4386,
  0x76f62aa8b4c329c6, 0xa5a97e56d99da70c, 0xf8817b1e1986ef84, 0x599bf8347f1a2cf7, 0x0f7bca1854895a9d,
  0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x087f47ae792bf734,
  0x000000000007eadb,
};

static const uint64_t ur_c128_autobaud_uart0_dual_ee_hw[] = {
  0x6eeeeeed14683202, 0x777775e468ad3d42, 0x8c3eaafdfabef5ef, 0x89bb323bbb299f7b, 0x0fafbd35ac10672b,
  0x4c15de49da770d3a, 0x2909e5e609f18090, 0x69181bbaad43236a, 0x6774f8971030a183, 0x6e2ecf9f996129d0,
  0xf51ff5f606b67098, 0x7a14912092070026, 0xbfcfdf045f94f971, 0x36ec0ddc3e144312, 0x77f25f2f973f21f2,
  0x0cbfe420b486f971, 0x62eb150865a18111, 0x425b70d1ff4073c2, 0xaff246e982c3795e, 0xa443a0440a9f0925,
  0x0afd549af9c3980b, 0x5ad1c890da37b547, 0x3060a7a8f2b5f735, 0x2877c57fbbd47c1b, 0x8c2cb1148b34eb42,
  0xb98f5c54b9a426be, 0x4de1c911ef673ab4, 0xa3e7ac6ab5d0ebd4, 0x65f4b3170908a20f, 0xe416a8d823f5b86f,
  0xe2af9ddc5494026b, 0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa53929d002de6f36, 0x7440f88d21c354de,
  0x15545a6194e31bc6, 0x5f95b66769c8ab7b, 0x17678661bbe1296a, 0x787bde50c2a44ad4, 0x6761c7f197e627ff,
  0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x1c97549453c95fb9, 0x000000000000002c,
};

// c128_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart0_dual_ee_ce_hw[] = {
  0xbbbbbbb451a0746e, 0x77775e4b222cdd09, 0x82ccde9a91dfafb7, 0xecb56ef7787daca7, 0xee90a29d35d5c868,
  0xbc9aaf7705b495c7, 0xed4c13e30120982b, 0xbbaad43236a29062, 0x8971030a18369181, 0xe5f996129d06774f,
  0x6c0dbb380523c5fc, 0x09206a919bd47000, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xe5cfc87ca1e4c0dd,
  0x2d21be5c5dfc97cb, 0x19683fc4432ff908, 0xffa039e136ed4542, 0x82c3795e425b724a, 0x153e12986ff246e9,
  0xf387301748874088, 0xb46f6a8e15faa935, 0x9de9a037f5472ba1, 0xd9670f3ce10b7e43, 0x4784f097e21b0913,
  0xc2444e1ee86ea8fd, 0xf929dac75374d9ed, 0x3e0d9835f3d4795b, 0x75a1140a62ba95ea, 0x135f4616588a459a,
  0x7bd9ceaedc63c752, 0x5e363af513787244, 0x84845107d1f3d635, 0x08991c37b2fa598b, 0x15252cdaf905aa36,
  0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x00b79bcda450603b, 0x4870d537a94e4a74, 0x6538c6f19d103e23,
  0xb4e18edec5551698, 0xddf094b52fcadb33, 0x6152256a0bb3c330, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8,
  0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x0000002134e3b90a,
};

static const uint64_t ur_c128_autobaud_uart1_noled[] = {
  0x12dddddddd66ef3a, 0xe3bbbbbaabf0bbc9, 0x20da6f37bf3600d2, 0xc81336225ef77775, 0x260aef277417a09a,
  0x419f0f7304f8c048, 0x0440a9f04a44ff83, 0x49afe45f80ba45aa, 0x870da37b5470afd5, 0x06693d47e78ef964,
  0xf74c37ebfd243892, 0xf0eb11e33398b016, 0xac5b8e58c11d78ba, 0x26dbf0313bbf6159, 0x796ea0c077eefce7,
  0x2ea72f29b19c9bf3, 0x8a042d3c3159486e, 0x33a718de33a207eb, 0x30ddf094b52fcadb, 0x19e985727e7f63c3,
  0xd252d9c389c6592e, 0x45f3c95fb9a19961, 0x0000000d662e9c78,
};

// c128_autobaud_uart1_noled_pr_u4
static const uint64_t ur_c128_autobaud_uart1_noled_pr[] = {
  0x2ddddddda2432f02, 0x7bbbbbaabf0bc011, 0xf266c44c9eb53dc7, 0x5f50cbdeeeedc4e1, 0xc9dd8e302f17b338,
  0xdcc13e30120982bb, 0x9f04a44ffd1067c3, 0x45f80ba45aa0440a, 0x37b5470afd549afe, 0xd47e80ef9610f0da,
  0xc9bdd2438920682f, 0xd1eb0e62c0596537, 0xfecc11d7a3ebc382, 0x0f2cf6c38d12a807, 0x6df8189ddfb1357c,
  0xc150603bf77e7393, 0x9cbca6c6726fcde7, 0xf19d10256521b8ba, 0xbd8aaa2d2b0938c6, 0x6a5f95b6672a7455,
  0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x566eb4b3c95fb9a1, 0x0000000000011867,
};

// c128_autobaud_uart1_noled_pr_ee_u4
static const uint64_t ur_c128_autobaud_uart1_noled_pr_ee[] = {
  0x5bbbbbbb448624d6, 0xeeeeeeaae2fef5e2, 0xda59bbc77ab8f7e9, 0x04120c8dadde3e36, 0xfdaebb4669f6d142,
  0x9f180904c15de4ee, 0xadd7fe8833f1ca60, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0x355ad1ce30da37b5,
  0x0d9834c7d4795c89, 0xd08a1df15995ea3e, 0xafa30b2c4522cd3a, 0xd5a5cf55c6b26909, 0x79d3bc237d1e0b39,
  0x59e8c38d8d56ba1d, 0x0decb65cc5c24228, 0xa41541d51b047eb7, 0xe4db7e062777ec00, 0x79f054180efddf9c,
  0x2ea72f29b19c9bf3, 0x31bc67440959486e, 0x156f62aa8b4ac24e, 0x4a5a97e56d99ca9d, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0x4eef82ad2cf257ee, 0x000000000000004d,
};

// c128_autobaud_uart1_noled_pr_ce_u4
static const uint64_t ur_c128_autobaud_uart1_noled_pr_ce[] = {
  0x896eeeeeed121911, 0x4bbbbbbaabb608d3, 0x333f60cec7e91fd3, 0x5515eb921bbbb5a1, 0x7793baaf99f41b2c,
  0xece9827c60241305, 0x2a7c1295dffa20cf, 0xf917e02e916a8110, 0x68ded51c2bf5526b, 0x373bfdc06fea0a43,
  0x13d9670f3ce10b6f, 0xfd4784f097e21b09, 0x9edc2444e1e000a4, 0x51c9e9ee5bebd64d, 0x636b524389207acf,
  0xe1c168f58731602a, 0x5403ff6678ebd1f5, 0x26af81e5adc1c689, 0xce726dbf0313bbf6, 0xf9bcf82a0c077eef,
  0x3717539794d8ce4d, 0x2718de33a204aca4, 0x9c63b7b15545a561, 0xf84a5a97e56d99ca, 0xcf7f8817b1e1986e,
  0xb53ab337f07771a2, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x23757c93ad2cf257,
};

// c128_autobaud_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart1_noled_pr_ee_ce[] = {
  0x5bbbbbbb44861a4e, 0x6eeeeeaae1656262, 0xe275c134baf5b5a7, 0x3582fdbc7ee9b0d2, 0x4d770b499ee0a733,
  0x3e30120982bbc9dd, 0xd77ffa20cfe374c1, 0x5d22d5022054f824, 0x3857eaa4d7f22fc0, 0xdfd5194b86d1bdaa,
  0x79c216de6e761680, 0x2fc4361227b2ce1e, 0x3dd0dd51fa8f09e1, 0x8e9ef9b3db84889c, 0xd6bfa8f2bea253b5,
  0x14c57dd7a8f83660, 0x2cb1148b34eb4228, 0xaedc7a8ea426be8c, 0xce9de11be8f059ce, 0x9e8c38d8d578d8eb,
  0xdecb65cc5c242285, 0x20aa0ea8d8226470, 0x26dbf0313bbf6167, 0xcf82a0c077eefce7, 0x7539794d8ce4df9b,
  0x8de33a204aca4371, 0x3b7b15545a561271, 0xa5a97e56d99ca9c6, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0x20c9cad2cf257ee6, 0x0000000000000082,
};

static const uint64_t ur_c128_autobaud_uart1_noled_ee_hw[] = {
  0x5bbbbbbb451a3705, 0xeeeeeeaae2fef5e2, 0xda59bbc77ab8f7e9, 0x04120c8dadde3e36, 0x776c36cad498d142,
  0x304f8c048260aef2, 0x8256ebffac99f8e5, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x449aad68e7186d1b,
  0x1f06cc1a63ea3cae, 0x9d68450ef8accaf5, 0x84d7d18596229166, 0x9cead2e7aae35934, 0x0ebce9de11be8f05,
  0x142cf461c6c6ab5d, 0x5b86f65b2e62e121, 0x00520aa0ea8d823f, 0xce726dbf0313bbf6, 0xf9bcf82a0c077eef,
  0x3717539794d8ce4d, 0x2718de33a204aca4, 0x4e8ab7b15545a561, 0x7c252d4bf2b6cce5, 0x54895a82ecf0cc37,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x000002c4f19e4e8a,
};

// c128_autobaud_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart1_noled_ee_ce_hw[] = {
  0xb77777768a345f41, 0xdddddd55c2cac4c4, 0xc4eb826975eb6b4e, 0x6b05fb78fdd361a5, 0xdda2feef6b894e66,
  0xc13e30120982bbc9, 0x24d77ffd64cfe374, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0x80dfd5194b86d1bd,
  0x3cf3842df90e7616, 0xc25f886c244f659c, 0x9c3b39747ff51e13, 0xb58e9ef9b3db8488, 0x60d6bfa8f2bea253,
  0x2814c57dd7a8f836, 0x8c2cb1148b34eb42, 0xceaedc7a8ea426be, 0xebce9de11be8f059, 0x859e8c38d8d578d8,
  0x70decb65cc5c2422, 0x6720aa0ea8d82264, 0xe726dbf0313bbf61, 0x9bcf82a0c077eefc, 0x717539794d8ce4df,
  0x718de33a204aca43, 0xc63b7b15545a5612, 0x84a5a97e56d99ca9, 0x912b505d9e1986ef, 0x989ffde1ef79430a,
  0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00002548b3c9d14f,
};

static const uint64_t ur_c128_autobaud_uart1_lednop[] = {
  0x44b777777759bb37, 0xa1eeeeeeaafc2f42, 0x906d35229b5a5c76, 0x3636dfa5f17bbbba, 0x13057793bb63d90d,
  0xa0cfc7b9827c6024, 0x022054f825dd7fc1, 0xa4d7f22fc05d22d5, 0x4386d1bdaa3857ea, 0x06693d47c1677cb2,
  0xbdd3465cf5243892, 0x78438a3a24e62c05, 0x507dc72c608ebc5d, 0x936df8189ddfb0ac, 0xde603bf77e781013,
  0xa72452d5e74026fc, 0x042d380bdf290bd6, 0xd38c6f19d1023a8a, 0x6ef84a5a97e56d99, 0xf4c2b93f3fb1e198,
  0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9, 0x0000003598b6ec22,
};

// c128_autobaud_uart1_lednop_pr_u4
static const uint64_t ur_c128_autobaud_uart1_lednop_pr[] = {
  0x5bbbbbbb4486fc3b, 0xeeeeeeaafc2fe3e2, 0xf0013348bb64f54d, 0x4e178d7ddddb89c3, 0x93bb704dd43329cd,
  0xc9827c6024130577, 0x9f048caffd1067df, 0x45f80ba45aa0440a, 0x37b5470afd549afe, 0xd47b58ef9610f0da,
  0xdd1952438920682f, 0x4690ce62c0596534, 0xfd9823af47d7849a, 0x3cb3db7b43ed500f, 0xb7e062777ecf7050,
  0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8,
  0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3,
  0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x0000011869334569,
};

// c128_autobaud_uart1_lednop_pr_ee_u4
static const uint64_t ur_c128_autobaud_uart1_lednop_pr_ee[] = {
  0x5bbbbbbb4486a4d6, 0xeeeeeeaae2ff5162, 0xdebb4b537b4cf7c8, 0xa56e0c8dadde3e36, 0x73b3ef27157ae368,
  0x7c602413057793ba, 0x8adffa20cf93a982, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xd56b4738c368ded5,
  0x3660d31f51e56654, 0x8450ef8acc7fa8f8, 0x7d185962291669d6, 0xad2f222e3593484d, 0xf3a77847c464d1ce,
  0xe811bdab1aad743a, 0x0decb65cc5c24228, 0x1071a2551b047eb7, 0x9c9b6fc0c4eefd80, 0x228301dfbbf3c080,
  0x94e4a74026fcde6d, 0xd103e234870d537a, 0x55516986538c6f19, 0x7e56d99da722adec, 0x7b1e1986ef84a5a9,
  0x7f07771a2cf7f881, 0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x3ad2cf257ee68665, 0x0000000004d4efc9,
};

// c128_autobaud_uart1_lednop_pr_ce_u4
static const uint64_t ur_c128_autobaud_uart1_lednop_pr_ce[] = {
  0x5bbbbbbb4486b044, 0xeeeeeeaaed834162, 0xc699fb7a7bf4f4c4, 0x1fa8ac86eeed684c, 0x93bbb293ed1dd8b9,
  0x69827c6024130577, 0x7c12d37ffa20cf8d, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x3bf9c06fea0a4368,
  0xd9670f3ce10b6f37, 0x4784f097e21b0913, 0x70911387c6eec1fd, 0xe927b96faf59367b, 0x3f490e2481eb3d47,
  0x691a43398b017248, 0x3ff6678ebd1f5e12, 0x503cb5b9ed0fb540, 0x4db7e062777ecf70, 0x4180efddf9e0404e,
  0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a, 0x1e1986ef84a5a97e,
  0x07771a2cf7f8817b, 0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0xd2cf257ee6866587, 0x000000011ba8056a,
};

// c128_autobaud_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart1_lednop_pr_ee_ce[] = {
  0x2ddddddda24343ee, 0xb777775570b20dd1, 0x762627189d015ad8, 0x74717ede3f74d869, 0xaefc89086d3cf58a,
  0x3e30120982bbc9dd, 0x149ffa20cf9adcc1, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0x6fea8ca5c368ded5,
  0x79c216de6e7763e0, 0x2fc4361227b2ce1e, 0x70001b77fa8f09e1, 0x1d3df367b7091138, 0xad7f51e57dd4a76b,
  0x531587bf51f06cc1, 0xb2c4522cd3ad08a0, 0xbb74883a909afa30, 0xce9de11f1193473a, 0x408ded58d578d8eb,
  0x6f65b2e62e121147, 0x61c689546c113238, 0x726dbf0313bbf616, 0x8a0c077eefcf0202, 0x53929d009bf379b4,
  0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf2b6cced3863b7b1, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b,
  0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0xd696792bf734332c, 0x00000000082203c9,
};

static const uint64_t ur_c128_autobaud_uart1_lednop_ee_hw[] = {
  0x2ddddddda28d0044, 0x77777755717fa8b1, 0x6f5da5a9bda67be4, 0x52b70646d6ef1f1b, 0xeea0a4e5a10d71b4,
  0x609f180904c15de4, 0x04a2b7ff5933e4ea, 0xf80ba45aa0440a9f, 0xb5470afd549afe45, 0x95355ad1ce30da37,
  0x3e0d9834c7d47959, 0x75a1143be2b31fea, 0x135f4616588a459a, 0x73ab4bc88b8d64d2, 0x0ebce9de11f11934,
  0x8a3a046f6ac6ab5d, 0xadc37b2d97317090, 0x60041c689546c11f, 0x202726dbf0313bbf, 0x9b48a0c077eefcf0,
  0xdea53929d009bf37, 0xc67440f88d21c354, 0x7b15545a6194e31b, 0x6a5f95b66769c8ab, 0xd417678661bbe129,
  0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x0b13c8cd1453c95f,
};

// c128_autobaud_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart1_lednop_ee_ce_hw[] = {
  0xb77777768a346d3a, 0xdddddd55c2c83744, 0xd8989c6274056b62, 0xd1c5fb78fdd361a5, 0xbb73b66f7263d629,
  0x827c602413057793, 0x24293ffac99f35b9, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0xc0dfd5194b86d1bd,
  0x79e7085bf21ceec7, 0x84bf10d8489ecb38, 0x70ed07044fea3c27, 0xd63a7be6cf6e1222, 0x835afea3cafba94e,
  0x40a62b0f7ea3e0d9, 0x616588a459a75a11, 0x7576e910752135f4, 0xd79d3bc23e23268e, 0x8e811bdab1aaf1b1,
  0x70decb65cc5c2422, 0x2cc38d12a8d82264, 0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3,
  0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x97e56d99da70c76f, 0x05d9e1986ef84a5a, 0xde1ef79430a912b5,
  0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x54841f7514f257ee,
  0x0000000000000002,
};

// c128_autobaud_uart1_dual_pr       c128_autobaud_uart1_dual_pr_u4
static const uint64_t ur_c128_autobaud_uart1_dual[] = {
  0x4ddddddda243359b, 0xf777775e4362c5e8, 0x4b116a6c5b73b6ab, 0x7957fdadddd12264, 0xee1e198509b6bad1,
  0xe30120982bbc9f22, 0x43236a290148cc13, 0x30a18369181bbaad, 0x612804a774f89710, 0x6b1c09d7174b5f99,
  0x207bee6f51e2b6c0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0x5cfc87cbf5c0ddc3, 0xd21be5c5dfc97cbe,
  0xcb434a4432ff9082, 0xff4073c269ba2a10, 0x82c3795e425b7387, 0x054f824beffcd7b9, 0x7f22fc05d22d5022,
  0x6d1bdaa3857eaa4d, 0x0fea3e453be589a8, 0x98f5886921c49031, 0x7b475fce62c05507, 0x1ffb30475e00d787,
  0x903cb3dbe784faa0, 0x9fc55f3bb8a92c53, 0x04e4db7e062777ec, 0x6914180efddf9e04, 0xd4a7253a0137e6f3,
  0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x4bf2b6cced39156f, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4,
  0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0x6dd696792bf73433, 0x000000000005c15e,
};

static const uint64_t ur_c128_autobaud_uart1_dual_pr_ee[] = {
  0xe84dddddddd432db, 0x826eeeeebc8d15c2, 0xe44decdd17ecda6d, 0x8289e6ecc8ee9d64, 0x7045583c333a1f96,
  0x02413057793619dc, 0x1b514887939827c6, 0x0c1b48c0ddd56a19, 0x40253ba7c4b88185, 0x87ebf1735bfccb09,
  0xadcdea3c00d80a43, 0xe5c5e8524482481d, 0x0c4aff3f7c117e53, 0x43e5dd603770f851, 0xf2e2efe4be5f2e7e,
  0xa5a2197fc841690d, 0xe784df3a2a10cb40, 0xe579096dec7ffe80, 0x090d6ff35ee60b0d, 0xf01748b54088153e,
  0x6a8e15faa935fc8b, 0xee6ab5a3d2a1b46f, 0xf83660fe4f51e571, 0xd68450ef8ae037a8, 0x4d7d185962291669,
  0x75697dbeb8417348, 0x5ed62bc2f7a3e90e, 0x2e1a3a976355ae87, 0xc37b2e3e3170908a, 0xceee2a4ab86befad,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x00001045e70a5696,
};

static const uint64_t ur_c128_autobaud_uart1_dual_pr_ee_u4[] = {
  0x77777768a87fb202, 0xbbbbaf234569ea13, 0x61f557efd5f7af7b, 0x4dd991ddd94cfbdc, 0x2d1fe0e56083395c,
  0x5de49da777f5ba46, 0x9e5e609f180904c1, 0x81bbaad43236a290, 0x4f8971030a183691, 0xd9f3f32c25301277,
  0xfebec0d6ce130dc5, 0x92241240e004dea3, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e46dd,
  0xfc841690df2e2efe, 0x62a10cb430222197, 0x6e1a3fe80e784c5d, 0x5f0530586f2bc84b, 0xa81102a7c124b5ff,
  0x5526bf917e02e916, 0x7224368ded51c2bf, 0x29ea3cad7dcd56b4, 0xf15feef51f06cc18, 0x2c4522cd3ad08a1d,
  0xd7152e6909afa30b, 0x72447bd9cead2e63, 0xeb1aad743af51378, 0x2cc5c2422883e8f9, 0xaa3608fd6e1bd97d,
  0xe7771525009af905, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b, 0xa74026fcde6d2283, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xd99da722adec5551, 0x1986ef84a5a97e56, 0x7f1a2cf7f8817b1e, 0x54895a9d599bf834,
  0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a,
  0x0002952469f347ae,
};

static const uint64_t ur_c128_autobaud_uart1_dual_pr_ce[] = {
  0x84dddddddd435032, 0xe3777775e4c5f5c6, 0xec1651f2c5ae17be, 0x4decd8ebeeeebd61, 0x6eeabdb47faf7dd8,
  0x3e30120982bbc966, 0x6a191b51481544c1, 0x81850c1b48c0ddd5, 0xcb0940253ba7c4b8, 0x9db385adf17adffc,
  0x20633737a8e9b7b0, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0xb9f90f9747c0ddc3, 0xa437cb8bbf92f97c,
  0x2d0fdc8865ff2105, 0xfd01cf099fc8a843, 0x0b0de579096dce0f, 0x153e09656ff35ee6, 0xfc8bf01748b54088,
  0xb46f6a8e15faa935, 0xb9d945015df5f921, 0xb1fff9f9e7085b79, 0xd4b9a05770911387, 0xa97ea38df9ee59ed,
  0x015007be921c4903, 0x035e1ded1d7f398b, 0x13ea807feccf1d78, 0xa92c53903cb5bb9e, 0x2777ec9fc55f3bb8,
  0xdf9e0404e4db7e06, 0x37e6f36914180efd, 0x386a9bd4a7253a01, 0x9c6378ce881f11a4, 0x70c76f62aa8b4c32,
  0xf84a5a97e56d99da, 0x3dfe209f71e1986e, 0x7eeaccdfc1ddc68b, 0x89c6592e19e98572, 0xb9a19961d252d9c3,
  0x53c995aab4b3c95f, 0x0000000000000000,
};

static const uint64_t ur_c128_autobaud_uart1_dual_pr_ce_u4[] = {
  0xeeeeeed150ffbf5b, 0x77775e4a8b683426, 0xc8435ade3fee66f7, 0x7935f77767116a07, 0xf5804e0a405df5da,
  0x20982bbc96c4ee66, 0xa8a44d524c13e301, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0xadf17986fccb094c,
  0x9bd47149b0fd7381, 0x8bd0a48904903adf, 0x95fe7ef822fca7cb, 0xc800006ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0x09a43c5421968305, 0x79096dffe7fd01cf, 0x4ebfebe0a60b0de5, 0x5d22d5022054f824,
  0x3857eaa4d7f22fc0, 0xc0dfd7a886d1bdaa, 0x79e7085bf8067650, 0x84bf10d8489ecb38, 0x387e5a66ffea3c27,
  0x5beba97367b70911, 0x4903a97ea38df9ee, 0x398b015007be921c, 0x1d78035e1ded1d7f, 0xbb9e13ea807feccf,
  0x3bb8a92c53903cb5, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x3a0137e6f3691418, 0x11a4386a9bd4a725,
  0x4c329c6378ce881f, 0x99da70c76f62aa8b, 0x986ef84a5a97e56d, 0xf1a2cf7f8817b1e1, 0x4895a9d599bf8347,
  0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x0056bdc558b47ae7,
};

// c128_autobaud_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_c128_autobaud_uart1_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0x7775e4b222cdd09b, 0x2ccde9a91dfafb77, 0xcb56ef7787daca78, 0x2acda9d35d5c868e,
  0x5eee422fbd3ae9ac, 0x27c6024130577935, 0xa8646d4520c5da98, 0x0614306d23037755, 0x584a6024ee9f12e2,
  0xece0148f17f397e6, 0xaa466f51c001b036, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0x21f2879303770f85,
  0xf97177f25f2f973f, 0xff110cbfe420b486, 0xe784dbb5150865a0, 0xe579096dc92bfe80, 0x4a61bfebe0a60b0d,
  0x80ba45aa0440a9f0, 0x5470afd549afe45f, 0x01bfaa395d0da37b, 0xf3ce10b7f00cef4d, 0x097e21b0913d9670,
  0xe1fce5d4efd4784f, 0xac75374d9edc2444, 0x835f3d4795bf929d, 0x40a62ba95ea3e0d9, 0x616588a459a75a11,
  0xeaedc63c752135f4, 0xaf5137872447bd9c, 0x107d1f3d6355e363, 0xc37b2fa598b84845, 0xcdaf905aa3608991,
  0xd93f8abe77715252, 0x0809c9b6fc0c4eef, 0xe6d228301dfbbf3c, 0x37a94e4a74026fcd, 0xf19d103e234870d5,
  0xdec55516986538c6, 0xb52fcadb33b4e18e, 0x102f63c330ddf094, 0x337f068fe3459eff, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x0fe8f5cf257ee686,
  0x0000000000fd5b61,
};

static const uint64_t ur_c128_autobaud_uart1_dual_ee_hw[] = {
  0x6eeeeeed14683202, 0x777775e468ad3d42, 0x8c3eaafdfabef5ef, 0x89bb323bbb299f7b, 0x0fafbd35ac10672b,
  0x4c15de49da770d3a, 0x2909e5e609f18090, 0x69181bbaad43236a, 0x6774f8971030a183, 0x6e2ecf9f996129d0,
  0xf51ff5f606b67098, 0x7a14912092070026, 0xbfcfdf045f94f971, 0x36ec0ddc3e144312, 0x77f25f2f973f21f2,
  0x0cbfe420b486f971, 0x62eb150865a18111, 0x425b70d1ff4073c2, 0xaff246e982c3795e, 0x48b54088153e0925,
  0x15faa935fc8bf017, 0xb5a39121b46f6a8e, 0x60c14f51e56bee6a, 0x50ef8aff77a8f836, 0x185962291669d684,
  0x731eb8a973484d7d, 0x9bc39223dece7569, 0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de,
  0xc55f3bb8a92804d7, 0xe4db7e062777ec9f, 0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4,
  0xaa8b4c329c6378ce, 0xf2b6cced39156f62, 0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef,
  0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x92ea928a792bf734, 0x0000000000000583,
};

// c128_autobaud_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c128_autobaud_uart1_dual_ee_ce_hw[] = {
  0xbbbbbbb451a0746e, 0x77775e4b222cdd09, 0x82ccde9a91dfafb7, 0xecb56ef7787daca7, 0xee90a29d35d5c868,
  0xbc9aaf7705b495c7, 0xed4c13e30120982b, 0xbbaad43236a29062, 0x8971030a18369181, 0xe5f996129d06774f,
  0x6c0dbb380523c5fc, 0x09206a919bd47000, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xe5cfc87ca1e4c0dd,
  0x2d21be5c5dfc97cb, 0x19683fc4432ff908, 0xffa039e136ed4542, 0x82c3795e425b724a, 0x2a7c12986ff246e9,
  0xf917e02e916a8110, 0x68ded51c2bf5526b, 0x3bd3406fea8e5743, 0xb2ce1e79c216fc87, 0x8f09e12fc4361227,
  0x84889c3dd0dd51fa, 0xf253b58ea6e9b3db, 0x7c1b306be7a8f2b7, 0xeb422814c5752bd4, 0x26be8c2cb1148b34,
  0xf7b39d5db8c78ea4, 0xbc6c75ea26f0e488, 0x0908a20fa3e7ac6a, 0x1132386f65f4b317, 0x2a4a59b5f20b546c,
  0x89ddfb27f157ceee, 0x77e781013936df81, 0x4df9bcda450603bf, 0x0e1aa6f529c94e80, 0xa718de33a207c469,
  0x9c31dbd8aaa2d30c, 0xbe1296a5f95b6676, 0x2a44ad417678661b, 0x7e627ff787bde50c, 0x619a3ec6761c7f19,
  0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x000004269c772145,
};

// c128_u1x8_uart0_noled_pr
static const uint64_t ur_c128_u1x8_uart0_noled[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaaec397e44, 0x2cb54c1b4dad346b, 0x28448ac1f7777358, 0xbbc9dd85eb478f41,
  0xf38cc13e30120982, 0x05bd812f9ff06833, 0x1df2c90ee737f688, 0x4871240cd27a8fcf, 0x31602dee986fd7fa,
  0x3af175e1d623c667, 0x5ec2b358b71cb182, 0xeb5e73859bf0312b, 0x3385bcde5ba8301d, 0x2b290dc5d4e5e536,
  0x7440fd714085a786, 0xa5f95b6674e31bc6, 0x27dc78661bbe1296, 0x790347f1a2cf7f88, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0xf845f3c95fb9a199, 0x00000000007c8371,
};

static const uint64_t ur_c128_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbbaeea24328ae, 0x7777755761cad225, 0xa1122e1fddb7a36f, 0x78fb07dddd2202ca, 0x3ba69638d93123e9,
  0x9827c60241305779, 0xec097cffd1067e71, 0x9610f739bfb4402d, 0x8920682fd47e80ef, 0xc0596537c9bdd243,
  0xa3ebc382d1eb0e62, 0x8d12a807fecc11d7, 0xd7b1357c0f2cf6c3, 0x7ad79ce166fc0c4a, 0x670b79bcf82a0c07,
  0x56521b8ba9cbca6c, 0xd2b0938c6f19d102, 0x6672a7455bd8aaa2, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78,
  0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x000007c9d392ab4b,
};

// c128_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c128_u1x8_uart0_noled_pr_ee[] = {
  0xdddddd775121af43, 0x777775575c81b112, 0x5a14d8dbd1a7b42f, 0x179c17c2f7777f8b, 0x9df6a99eca3f60cc,
  0xe30120982bbc9dd6, 0xc3ffd1067d82cc13, 0x6e737f68805bd811, 0xa8f2b9126ab5a39c, 0xb32bd47c1b30698f,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xfa3c1673ab4b9eab, 0x1aad743af3a77846, 0x8b848450b3d1871b,
  0x3608fd6e1bd96cb9, 0x256bd801482a83aa, 0x03bd6bce70b37e06, 0x363385bcde7c1506, 0x812b290dc5d4e5e5,
  0x51695849c6378ce8, 0xadb33953a2adec55, 0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe,
  0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e,
  0x000000013af95595,
};

// c128_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_c128_u1x8_uart0_noled_pr_ce[] = {
  0xdddddd775121b768, 0xbbbbbaabbc820912, 0x614f4c99ec33d697, 0x2f36331dddde0f42, 0xe4eebb257df4e716,
  0x2e609f180904c15d, 0xdec09d2ffe8833e5, 0xbfa829739bfb4402, 0xf3842dbcdceff701, 0x5f886c244f659c3c,
  0x87800293f51e13c2, 0x6faf59367b709113, 0x2481eb3d4727a7b9, 0x1cc580a98dad490e, 0xe3af47d78705a3d6,
  0xb7071a25500ffd99, 0x06256bd89abe0796, 0x0603bd6bce70b37e, 0xe5363385bcde7c15, 0xe8812b290dc5d4e5,
  0x5551695849c6378c, 0xf95b6672a718edec, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd,
  0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0xeb4b3c95fb9a1996,
  0x000000000375f8d0,
};

// c128_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbaeea2431bc1, 0xeeeeeaaf0652ee25, 0x92989697b93b4c8e, 0x646e25d7eeb535a3, 0xd74d7015dda33123,
  0xe30120982bbc9dd1, 0xfcffd1067f4d4c13, 0xee737f68805bd817, 0x9b9d85a037f54652, 0x89ecb3879e7085b7,
  0x7ea3c2784bf10d84, 0xf6e122270f743754, 0xafa894ed63a7be6c, 0xea3e0d9835afea3c, 0xcd3ad08a05315f75,
  0xa909afa30b2c4522, 0xfa3c1673abb71ea3, 0x355e363af3a77846, 0x170908a167a30e36, 0x3608991c37b2d973,
  0x256bd859c82a83aa, 0x03bd6bce70b37e06, 0x363385bcde7c1506, 0x812b290dc5d4e5e5, 0x51695849c6378ce8,
  0x5b6672a718edec55, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x000000013f2535ab,
};

static const uint64_t ur_c128_u1x8_uart0_noled_ee_hw[] = {
  0xeeeeebba8a343a31, 0xbbbbaabae40d8896, 0xd0a6c6de8d3da17b, 0xbce0be17bbbbfc5a, 0xb1361b4051fb0660,
  0x3e30120982bbc9dd, 0x1c3ffeb267d82cc1, 0xc6e737f68805bd81, 0xfa8f2b9126ab5a39, 0x2b32bd47c1b30698,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x6fa3c1673ab4b9ea, 0xb1aad743af3a7784, 0x98b848450b3d1871,
  0xa3608fd6e1bd96cb, 0x6256bd801482a83a, 0x603bd6bce70b37e0, 0x5363385bcde7c150, 0x8812b290dc5d4e5e,
  0x551695849c6378ce, 0xcadb33953a2adec5, 0xb3c330ddf094b52f, 0x3def286152256a0b, 0xb0e3f8cbf313ffbc,
  0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0xe822fa29e4afdcd0, 0x00000000000000b7,
};

// c128_u1x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart0_noled_ee_ce_hw[] = {
  0xddddd77514687f3e, 0x777755783297712d, 0x94c4b4bdc9da6477, 0x23712ebf75a9ad1c, 0x1aa8bf5d6d19891b,
  0x7c602413057793bb, 0xff9ffd64cfe9a982, 0x5dce6fed100b7b02, 0xc873b0b406fea8ca, 0x227b2ce1e79c216f,
  0xffa8f09e12fc4361, 0x9edc2444e1d9cba3, 0x95f5129dac74f7cd, 0xbd47c1b306b5fd47, 0x59a75a1140a62bee,
  0x752135f4616588a4, 0xdf4782ce7576e3d4, 0xc6abc6c75e74ef08, 0x62e121142cf461c6, 0x46c1132386f65b2e,
  0xc4ad7b0b39055075, 0xc077ad79ce166fc0, 0xa6c670b79bcf82a0, 0x10256521b8ba9cbc, 0xaa2d2b0938c6f19d,
  0x2b6cce54e31dbd8a, 0xcf0cc377c252d4bf, 0xf7bca1854895a82e, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce,
  0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x9a41e8a792bf7343, 0x0000000000000a02,
};

// c128_u1x8_uart0_lednop_pr
static const uint64_t ur_c128_u1x8_uart0_lednop[] = {
  0x96eeeeebbb59bb37, 0xfbbbbbaabb0e3078, 0x165bab0716f1fd75, 0x1e2de4e0fbbbb9ac, 0x5de4eed8f642179b,
  0xfd2a609f180904c1, 0x02dec0814ff83419, 0xcef96487739bfb44, 0x4871240cd27a8eb3, 0x31602dee9b22e0ba,
  0xebc5d78505a33487, 0xbd85619edc72c608, 0xf020270b37e06256, 0xde6f0725603bd6bc, 0xf54ee2ca72f9d002,
  0x14085a6c57b74829, 0x33a718de33a20571, 0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x2b93f75663c81a3f,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00007c869cc22f9e,
};

static const uint64_t ur_c128_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddd775121ad4e, 0x7777755761c75f12, 0x569423f6d2e3b50f, 0x7e94c9eeee910165, 0x4ee989b8248233db,
  0x6609f180904c15de, 0xf6052fbff4419f3d, 0xcb087b9cdfda2016, 0xc4903417ea3dac77, 0x602cb29a6e8ca921,
  0xa3ebc24d23486731, 0xa1f6a807fecc11d7, 0xaf67b8281e59edbd, 0x3c0809c2cdf81895, 0xe6f36914180ef5af,
  0x354dea53929d002d, 0x31bc67440f88d21c, 0x8ab7b15545a6194e, 0x1296a5f95b66769c, 0xdfe205ec78661bbe,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0xc9b1e4eb4b3c95fb, 0x0000000000000007,
};

// c128_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c128_u1x8_uart0_lednop_pr_ee[] = {
  0xdddddd775121b032, 0xeeeeeaaeb90c5f12, 0x9b0b4543da0ba106, 0x8ece0be17bbbbfc5, 0x6239cb05390d33f7,
  0xf180904c15de4eeb, 0xa1ffe8833f95a609, 0x3739bfb4402dec08, 0xd4795995355ad1ce, 0xb31fea3e0d9834c7,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xf1193473ab4bc88b, 0xc6ab5d0ebce9de11, 0x3170908a3a046f6a,
  0x46c11fadc37b2d97, 0x1895af60041c6895, 0xf5af3c0809c2cdf8, 0x002de6f36914180e, 0xd21c354dea53929d,
  0x194e31bc67440f88, 0x769c8ab7b15545a6, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc,
  0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x000275cc1cab4b3c,
};

// c128_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c128_u1x8_uart0_lednop_pr_ce[] = {
  0xdddddd775121b705, 0x777775577902b712, 0x104c2a00da17af5f, 0x678bec7eeeef07a1, 0xc9ddb0db2bc8a4c8,
  0xf4c13e30120982bb, 0xbd81175ffd1067d4, 0x7f5052e737f68805, 0xe7085b79b9dfce03, 0xbf10d8489ecb3879,
  0x3e37760fea3c2784, 0x7d7ac9b3db84889c, 0x240f59ea3f493dcb, 0xcc580b9241fa4871, 0x75e8faf09348d219,
  0xcf687daa01ffb33c, 0x895af67b8281e5ad, 0x5af3c0809c2cdf81, 0x02de6f36914180ef, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x006eb9fadd696792,
};

// c128_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbaeea2431000, 0xeeeeeaaf06506e25, 0x5df257afb02f599e, 0x696e25d7eeb535a2, 0x6abbced6cde4e466,
  0xf180904c15de4eed, 0xdbffd1067ed6e609, 0xdce6fed100b7b024, 0x6e7763e06fea8ca5, 0x27b2ce1e79c216de,
  0xfa8f09e12fc43612, 0xb709113870001b77, 0x7dd4a76b1d3df367, 0x51f06cc1ad7f51e5, 0xd3ad08a0531587bf,
  0x909afa30b2c4522c, 0x1193473abb74883a, 0xd578d8ebce9de11f, 0x2e121147408ded58, 0x6c1132386f65b2e6,
  0x895af61661c68954, 0x5af3c0809c2cdf81, 0x02de6f36914180ef, 0x21c354dea53929d0, 0x94e31bc67440f88d,
  0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0027e4c5f5696792,
};

static const uint64_t ur_c128_u1x8_uart0_lednop_ee_hw[] = {
  0xeeeeebba8a342493, 0x77775575c862f896, 0xd85a2a1ed05d0837, 0x76705f0bddddfe2c, 0x86e415a768699fbc,
  0x9f180904c15de4ee, 0x8a1fff5933f95a60, 0xe3739bfb4402dec0, 0x7d4795995355ad1c, 0x2b31fea3e0d9834c,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x1f1193473ab4bc88, 0xac6ab5d0ebce9de1, 0x73170908a3a046f6,
  0x546c11fadc37b2d9, 0x81895af60041c689, 0xef5af3c0809c2cdf, 0xd002de6f36914180, 0x8d21c354dea53929,
  0x6194e31bc67440f8, 0x6769c8ab7b15545a, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xf453c95fb9a19961, 0x00000000016fb045,
};

// c128_u1x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart0_lednop_ee_ce_hw[] = {
  0xddddd77514684c7f, 0x777755783283712d, 0xef92bd7d817accf7, 0x4b712ebf75a9ad12, 0xd7773b6abf272333,
  0x7c602413057793bb, 0x36fffac99fb5b982, 0x7739bfb4402dec09, 0x439dd8f81bfaa329, 0x13d9670f3ce10b7e,
  0xfd4784f097e21b09, 0xedc2444e1da0e089, 0x5f7529dac74f7cd9, 0xd47c1b306b5fd479, 0x34eb422814c561ef,
  0xa426be8c2cb1148b, 0xc464d1ceaedd220e, 0x355e363af3a77847, 0x8b848451d0237b56, 0x1b044c8e1bd96cb9,
  0x6256bd859871a255, 0xd6bcf020270b37e0, 0x00b79bcda450603b, 0x4870d537a94e4a74, 0x6538c6f19d103e23,
  0xb4e18edec5551698, 0xddf094b52fcadb33, 0x6152256a0bb3c330, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8,
  0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x000000014044e4aa,
};

// c128_u1x8_uart0_dual_pr           c128_u1x8_uart0_dual_pr_u4
static const uint64_t ur_c128_u1x8_uart0_dual[] = {
  0xdddddf17448664d6, 0x77775e46a693284d, 0x21ecccf7aef53ef7, 0x7269dbbbab8fa74e, 0x666c786806592352,
  0xc048260aef242077, 0x646d45239bf304f8, 0x14306d23037755a8, 0x250094ee9f12e206, 0xe38656e2fbeff32c,
  0x0e43cdea3943d829, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0x9f90f94ed81bb87c, 0x437cb8bbf92f97cb,
  0x682628865ff2105a, 0xe80e784d19454219, 0x586f2bc84b6f01bf, 0x2dec0827ff9af730, 0x77cb135739bfb440,
  0x438920621fd47c8a, 0xc580aa0f31eb10d2, 0xbc01af0ef68ebf9c, 0xcf09f5403ff6608e, 0x715258a7207967b7,
  0x06256bd93f8abe77, 0xbd6bcf020270b37e, 0x400b79bcda450603, 0x34870d537a94e4a7, 0x86538c6f19d103e2,
  0x9da722adec555169, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777, 0x989ffde1ef79430a,
  0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x0000a49a65aad2cf,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ee[] = {
  0x6eeeeef8bd437089, 0x777775e43f7b3742, 0xed13d3ef6d077227, 0x5b537d3b76c32bee, 0x59557bada03e4217,
  0x4c15de49ba775e4f, 0x148b24e609f18090, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x7f8bc00fccb09402,
  0xbd479dbd85ad9c2b, 0xbd0a48904903dda9, 0x5fe7ef822fca7cb8, 0x4a4806ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x4cbee2a10cb412b2, 0x9096dfabffe80e78, 0xfbff35ee60b0de57, 0x2e737f68805bd816,
  0x51e56bee6ab5a391, 0xff77a8f83660c14f, 0x291669d68450ef8a, 0xa973484d7d185962, 0x23dece7569731eb8,
  0xd56ba1d7a89bc392, 0x2e1211441f47cf58, 0xb047eb70decbe966, 0xb8a92804d7c82d51, 0x0312b5ec9fc55f3b,
  0xdeb5e781013859bf, 0xa005bcde6d228301, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0xced39156f62aa8b4,
  0xc377c252d4bf2b6c, 0x3459eff104fb8f0c, 0x2b93f75666fe0eee, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00032144faf5a59e,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ee_u4[] = {
  0xbbbbe2e8a87fa0ae, 0xddd790fdecdd09bb, 0x4f4fbdb41dc89ddd, 0x4df4eddb0cafbbb4, 0x57b0fae0f9085d6d,
  0xef24dd3bbebefeb7, 0x927304f8c048260a, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xc00fccb094c049dd,
  0x9dbd85ad9c2b7f8b, 0x48904903dda9bd47, 0xef822fca7cb8bd0a, 0x06ee1f0a21895fe7, 0x4be5f2e7e43e4a48,
  0xfc841690df2e2efe, 0xe2a10cb412b22197, 0xdfabffe80e784cbe, 0xbe0a60b0de579096, 0xfda2016f605beffe,
  0xafb9aad68e44b9cd, 0xa3e0d983053d4795, 0xa75a1143be2bfdde, 0x2135f4616588a459, 0x39d5a5cc7ae2a5cd,
  0x875ea26f0e488f7b, 0x45107d1f3d6355ae, 0xadc37b2fa598b848, 0xa0135f20b546c11f, 0xd7b27f157ceee2a4,
  0x9e0404e166fc0c4a, 0xf379b48a0c077ad7, 0x1aa6f529c94e8016, 0x18de33a207c4690e, 0x455bd8aaa2d30ca7,
  0x094b52fcadb33b4e, 0xeff102f63c330ddf, 0x3ab337f068fe3459, 0xde1ef79430a912b5, 0x19d871fc65f989ff,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x8c1f768f5cf257ee, 0x00000000000000ac,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ce[] = {
  0xeeeef8bd41437089, 0x7775e4b26eb7426e, 0xd8bce2d4d7deef77, 0xe2d5bbbb938a76fd, 0x93d65644d6d100dc,
  0x2413057792245dd7, 0x36a290b829827c60, 0x18369181bbaad432, 0x804a774f8971030a, 0x031fe2e337f99612,
  0xd69bd474b5b00b47, 0xe5c5e85244824818, 0x0c4aff3f7c117e53, 0x21f267c03770f851, 0xf97177f25f2f973f,
  0xb7d10cbfe420b486, 0x39e131eb150865a1, 0xbcaf212dbe04ffa0, 0xb02f9dfe6bdcc161, 0xebf25ce6fed100b7,
  0x10b6f373b28a02bb, 0x444e1daed0fbf3ce, 0xb967b752e6815dc2, 0x71240ea5fa8e37e7, 0xfce62c05401efa48,
  0x3c75e00d7877b475, 0xd6ee784faa01ffb3, 0x7ceee2a4b14e40f2, 0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1,
  0xc94e8016f379b48a, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0x5b66769c31dbd8aa, 0x78661bbe1296a5f9,
  0x3bb8d167bfc409c6, 0x1854895a9d599bf8, 0xf9a3ec6761c4e34a, 0x964b867a615c9f80, 0x66587494b670e271,
  0x90b3ad2cf257ee68, 0x0000000000000034,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ce_u4[] = {
  0xbbbbe2e8a87fce4a, 0xeeebc98beb8d09bb, 0xa3e58b5c2f7dc6ee, 0xb1d7dddd7ac3d82c, 0xcc566fd7b2bc9bd9,
  0x02413057792ccddd, 0x236a2902a89827c6, 0xa18369181bbaad43, 0x53012774f8971030, 0xe16b7c5eb7ff32c2,
  0xcdcdea3a6dec276c, 0xe5c5e85244824818, 0x0c4aff3f7c117e53, 0x43e5d1f03770f851, 0xf2e2efe4be5f2e7e,
  0xf722197fc841690d, 0x73c267f22a10cb43, 0x795e425b7383ff40, 0x81656ffaf82982c3, 0x5ea2e737f68805bd,
  0x216fe019d943037f, 0x4361227b2ce1e79c, 0x699bffa8f09e12fc, 0xa5cd9edc2444e1f9, 0xa5fa8e37e7b96fae,
  0x05401efa4871240e, 0x0d7877b475fce62c, 0x4faa01ffb33c75e0, 0xa4b14e40f2d6ee78, 0x4ad7b27f157ceee2,
  0xd79e0404e166fc0c, 0x16f379b48a0c077a, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c,
  0xbe1296a5f95b6676, 0xb3dfe205ec78661b, 0x6a75666fe0d1fc68, 0xffbc3def28615225, 0xf633b0e3f8cbf313,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0xa48b4d6d1eb9e4af, 0x0000000000000001,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ee_ce[] = {
  0x09bbbbbbe2f50c86, 0x5f777775e45364dd, 0x5deecda01dccdefd, 0x3f01f04053b74e77, 0xbbb1bb1e0b98b368,
  0xc048260aef24eb3b, 0x46d45238f27304f8, 0x4306d23037755a86, 0x50094ee9f12e2061, 0xe0cf9c5facff32c2,
  0x524dea39adec2618, 0xf2e2f4292241240c, 0x86257f9fbe08bf29, 0x43e5aa081bb87c28, 0xf2e2efe4be5f2e7e,
  0x5722197fc841690d, 0xe784c50e2a10cb42, 0xe579096deb7ffe80, 0x817fcff35ee60b0d, 0x7fbae737f68805bd,
  0xb79b9ddba015df54, 0x70f787cb5f9e7085, 0xf88c43340aee1222, 0x698fa8f2b32a53b5, 0x0a62b913d47c1b30,
  0x16588a459a75a114, 0xaedc13c752135f46, 0xb58af0c1f47d21ce, 0x2d1d4bb1aaf1b1d7, 0xbd971f18b8484518,
  0x771525c621c4c8e1, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0xa7400b79bcb75060, 0xe234870d537a94e4,
  0xe881b718c10b4b5f, 0x4bf2b6cce9c6378c, 0x4fb8f0cc377c252d, 0x6fe0eee3459eff10, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x395a59e4afdcd0cc, 0x000000000001304d,
};

static const uint64_t ur_c128_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeef8ba2a1fd022f, 0xeebc86ed463426ee, 0x7ee36b69be6beeee, 0x7b6ed17a27de4caf, 0xae3da3f2c9369e44,
  0xf6eeda7c845e24fc, 0x27c6024130577929, 0xb50c8da8a45ea898, 0x40c2860da4606eea, 0xcb094c049dd3e25c,
  0x490e1cdfe2ea91fc, 0x03a4a9bd47e8fec1, 0xca7cb8bd0a489049, 0x0a21895fe7ef822f, 0x9f90f91d7c06ee1f,
  0x437cb8bbf92f97cb, 0xa1d3e8865ff2105a, 0x4073c26275150865, 0x86f2bc84b6f787ff, 0xf6055bfff5f05305,
  0x51caeb9cdfda2016, 0x85bf80677a680dfd, 0x0d8489ecb3879e70, 0x2ea77ea3c2784bf1, 0xba6cf6e122270fe7,
  0xea3cadfc94ed63a9, 0x5d4af51f06cc1af9, 0x4522cd3ad08a0531, 0x31e3a909afa30b2c, 0xbc39223dece7576e,
  0xf9eb1aaf1b1d7a89, 0x7d2cc5c2422883e8, 0x82d51b044c8e1bd9, 0x55f3bb8a92966d7c, 0x859bf0312b5ec9fc,
  0x28301deb5e781013, 0xa7253a005bcde6d2, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce, 0xe56d99da70c76f62,
  0xb1e1986ef84a5a97, 0x8347f1a2cf7f8817, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x7ae792bf734332c3, 0x00000004002566f4,
};

static const uint64_t ur_c128_u1x8_uart0_dual_ee_hw[] = {
  0xddddf17451a12793, 0xeeebc87ef66e84dd, 0x27a7deda0ee44eee, 0xa6fa76ed8657ddda, 0x4eb449f07c842eb6,
  0xc15de49ba770b363, 0x48b24e609f180904, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0xf8bc00fccb094e83,
  0xd479dbd85ad9c2b7, 0xd0a48904903dda9b, 0xfe7ef822fca7cb8b, 0xa4806ee1f0a21895, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0xcbee2a10cb412b22, 0x096dfabffe80e784, 0xffc91ba60b0de579, 0x9cdfda2016f605be,
  0x795afb9aad68e44b, 0xddea3e0d983053d4, 0x459a75a1143be2bf, 0x5cd2135f4616588a, 0xf7b39d5a5cc7ae2a,
  0x5ae875ea26f0e488, 0x84845107d1f3d635, 0x11fadc37b2fa598b, 0x2a4a0135f20b546c, 0xc4ad7b27f157ceee,
  0xad79e0404e166fc0, 0x016f379b48a0c077, 0x90e1aa6f529c94e8, 0xca718de33a207c46, 0xb4e455bd8aaa2d30,
  0xddf094b52fcadb33, 0x6152256a0bb3c330, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9, 0x000000057696907a,
};

// c128_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef8ba28d0421f, 0xeeebc86ed463426e, 0xf7ee36b69be6beee, 0x47b6ed17a27de4ca, 0xa1011a3f2c9369e4,
  0xbc94fb7717d60b69, 0x544c13e30120982b, 0x37755a8646d4522f, 0xf12e20614306d230, 0xa47f32c253a0cee9,
  0x3fb052438737f8ba, 0x241240e92a6f51fa, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xe5f2e7e43e475f01,
  0x841690df2e2efe4b, 0x42196874fa2197fc, 0xe1ffd01cf0989d45, 0x74c161bcaf212dbd, 0x8805bd8156fff923,
  0x037f5472bae737f6, 0xf3ce10b7e439de9a, 0x097e21b0913d9670, 0xe1ee86ea8fd4784f, 0xac75374d9edc2444,
  0x835f3d4795bf929d, 0x40a62ba95ea3e0d9, 0x616588a459a75a11, 0xeaedc63c752135f4, 0xaf5137872447bd9c,
  0x107d1f3d6355e363, 0xc37b2fa598b84845, 0xcdaf905aa3608991, 0xd93f8abe77715252, 0x020270b37e06256b,
  0xbcda450603bd6bcf, 0x537a94e4a7400b79, 0x6f19d103e234870d, 0xedec55516986538c, 0x4b52fcadb33b4e18,
  0x56a0bb3c330ddf09, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x003aeb346ea29e4a,
};

// c128_u1x8_uart1_noled_pr
static const uint64_t ur_c128_u1x8_uart1_noled[] = {
  0xb777775ddacdfc4f, 0xeeeeeeaaec397e44, 0x2cb54c1b4dad346b, 0x28448ac1f7777358, 0xbbc9dd85eb478f41,
  0xf38cc13e30120982, 0x31bd812f9ff06833, 0x1df2c90eb8b7f699, 0x4871240cd27a8fcf, 0x31602dee986fd7fa,
  0x3af175e1d623c667, 0x7ec2b358b71cb182, 0xddf9ce4db7e06277, 0x3937e6f2dd4180ef, 0xb290dc5d4e5e5363,
  0x440fd714085a7862, 0x5f95b6674e31bc67, 0x7dc78661bbe1296a, 0x90347f1a2cf7f882, 0xe19e985727eeacc7,
  0x1d252d9c389c6592, 0x845f3c95fb9a1996, 0x0000000007c8371f,
};

static const uint64_t ur_c128_u1x8_uart1_noled_pr_u4[] = {
  0xbbbbbaeea24328ae, 0x7777755761cad225, 0xa1122e1fddb7a36f, 0x78fb07dddd2202ca, 0x3ba69638d93123e9,
  0x9827c60241305779, 0xec097cffd1067e71, 0x9610f5c5bfb4c98d, 0x8920682fd47e80ef, 0xc0596537c9bdd243,
  0xa3ebc382d1eb0e62, 0x8d12a807fecc11d7, 0xdfb1357c0f2cf6c3, 0xf77e73936df8189d, 0x726fcde7c150603b,
  0x6521b8ba9cbca6c6, 0x2b0938c6f19d1025, 0x672a7455bd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786,
  0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00007c9d392ab4b3,
};

// c128_u1x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c128_u1x8_uart1_noled_pr_ee[] = {
  0xdddddd775121af43, 0x777775575c81b112, 0x5a14d8dbd1a7b42f, 0x179c17c2f7777f8b, 0x9df6a99eca3f60cc,
  0xe30120982bbc9dd6, 0xc3ffd1067d82cc13, 0x6b8b7f69931bd811, 0xa8f2b9126ab5a39c, 0xb32bd47c1b30698f,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xfa3c1673ab4b9eab, 0x1aad743af3a77846, 0x8b848450b3d1871b,
  0x3608fd6e1bd96cb9, 0x4eefd801482a83aa, 0x1dfbbf39c9b6fc0c, 0x633937e6f3e0a830, 0x12b290dc5d4e5e53,
  0x1695849c6378ce88, 0xdb33953a2adec555, 0xc330ddf094b52fca, 0xeee3459eff102f63, 0x6152256a75666fe0,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9,
  0x00000013af95595a,
};

// c128_u1x8_uart1_noled_pr_ce_u4
static const uint64_t ur_c128_u1x8_uart1_noled_pr_ce[] = {
  0xdddddd775121b768, 0xbbbbbaabbc820912, 0x614f4c99ec33d697, 0x2f36331dddde0f42, 0xe4eebb257df4e716,
  0x2e609f180904c15d, 0xdec09d2ffe8833e5, 0xbfa8295c5bfb4c98, 0xf3842dbcdceff701, 0x5f886c244f659c3c,
  0x87800293f51e13c2, 0x6faf59367b709113, 0x2481eb3d4727a7b9, 0x1cc580a98dad490e, 0xe3af47d78705a3d6,
  0xb7071a25500ffd99, 0x0c4eefd89abe0796, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8, 0x8812b290dc5d4e5e,
  0x551695849c6378ce, 0x95b6672a718edec5, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf,
  0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xb4b3c95fb9a19961,
  0x00000000375f8d0e,
};

// c128_u1x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u1x8_uart1_noled_pr_ee_ce[] = {
  0xbbbbbaeea2431bc1, 0xeeeeeaaf0652ee25, 0x92989697b93b4c8e, 0x646e25d7eeb535a3, 0xd74d7015dda33123,
  0xe30120982bbc9dd1, 0xfcffd1067f4d4c13, 0xeb8b7f69931bd817, 0x9b9d85a037f54652, 0x89ecb3879e7085b7,
  0x7ea3c2784bf10d84, 0xf6e122270f743754, 0xafa894ed63a7be6c, 0xea3e0d9835afea3c, 0xcd3ad08a05315f75,
  0xa909afa30b2c4522, 0xfa3c1673abb71ea3, 0x355e363af3a77846, 0x170908a167a30e36, 0x3608991c37b2d973,
  0x4eefd859c82a83aa, 0x1dfbbf39c9b6fc0c, 0x633937e6f3e0a830, 0x12b290dc5d4e5e53, 0x1695849c6378ce88,
  0xb6672a718edec555, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50,
  0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x00000013f2535ab4,
};

static const uint64_t ur_c128_u1x8_uart1_noled_ee_hw[] = {
  0xeeeeebba8a343a31, 0xbbbbaabae40d8896, 0xd0a6c6de8d3da17b, 0xbce0be17bbbbfc5a, 0xb1361b4051fb0660,
  0x3e30120982bbc9dd, 0x1c3ffeb267d82cc1, 0xc6b8b7f69931bd81, 0xfa8f2b9126ab5a39, 0x2b32bd47c1b30698,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x6fa3c1673ab4b9ea, 0xb1aad743af3a7784, 0x98b848450b3d1871,
  0xa3608fd6e1bd96cb, 0xc4eefd801482a83a, 0x01dfbbf39c9b6fc0, 0x3633937e6f3e0a83, 0x812b290dc5d4e5e5,
  0x51695849c6378ce8, 0xadb33953a2adec55, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x822fa29e4afdcd0c, 0x0000000000000b7e,
};

// c128_u1x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart1_noled_ee_ce_hw[] = {
  0xddddd77514687f3e, 0x777755783297712d, 0x94c4b4bdc9da6477, 0x23712ebf75a9ad1c, 0x1aa8bf5d6d19891b,
  0x7c602413057793bb, 0xff9ffd64cfe9a982, 0x5d716fed32637b02, 0xc873b0b406fea8ca, 0x227b2ce1e79c216f,
  0xffa8f09e12fc4361, 0x9edc2444e1d9cba3, 0x95f5129dac74f7cd, 0xbd47c1b306b5fd47, 0x59a75a1140a62bee,
  0x752135f4616588a4, 0xdf4782ce7576e3d4, 0xc6abc6c75e74ef08, 0x62e121142cf461c6, 0x46c1132386f65b2e,
  0x89ddfb0b39055075, 0x03bf77e73936df81, 0x6c6726fcde7c1506, 0x0256521b8ba9cbca, 0xa2d2b0938c6f19d1,
  0xb6cce54e31dbd8aa, 0xf0cc377c252d4bf2, 0x7bca1854895a82ec, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec,
  0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xa41e8a792bf73433, 0x000000000000a029,
};

// c128_u1x8_uart1_lednop_pr
static const uint64_t ur_c128_u1x8_uart1_lednop[] = {
  0x96eeeeebbb59bb37, 0xfbbbbbaabb0e3078, 0x165bab0716f1fd75, 0x1e2de4e0fbbbb9ac, 0x5de4eed8f642179b,
  0xfd2a609f180904c1, 0x98dec0814ff83419, 0xcef964875c5bfb4c, 0x4871240cd27a8eb3, 0x31602dee9b22e0ba,
  0xebc5d78505a33487, 0xfd85619edc72c608, 0xc0809c9b6fc0c4ee, 0xf378392b01dfbbf3, 0x54ee2ca72f9d009b,
  0x4085a6c57b74829f, 0x3a718de33a205711, 0x0ddf094b52fcadb3, 0xd167bfc413ee3c33, 0xb93f75663c81a3f8,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0007c869cc22f9e4,
};

static const uint64_t ur_c128_u1x8_uart1_lednop_pr_u4[] = {
  0xdddddd775121ad4e, 0x7777755761c75f12, 0x569423f6d2e3b50f, 0x7e94c9eeee910165, 0x4ee989b8248233db,
  0x6609f180904c15de, 0xf6052fbff4419f3d, 0xcb087ae2dfda64c6, 0xc4903417ea3dac77, 0x602cb29a6e8ca921,
  0xa3ebc24d23486731, 0xa1f6a807fecc11d7, 0xbf67b8281e59edbd, 0xf0202726dbf0313b, 0x379b48a0c077eefc,
  0x54dea53929d009bf, 0x1bc67440f88d21c3, 0xab7b15545a6194e3, 0x296a5f95b66769c8, 0xfe205ec78661bbe1,
  0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3,
  0xa19961d252d9c389, 0x9b1e4eb4b3c95fb9, 0x000000000000007c,
};

// c128_u1x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c128_u1x8_uart1_lednop_pr_ee[] = {
  0xdddddd775121b032, 0xeeeeeaaeb90c5f12, 0x9b0b4543da0ba106, 0x8ece0be17bbbbfc5, 0x6239cb05390d33f7,
  0xf180904c15de4eeb, 0xa1ffe8833f95a609, 0x35c5bfb4c98dec08, 0xd4795995355ad1ce, 0xb31fea3e0d9834c7,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xf1193473ab4bc88b, 0xc6ab5d0ebce9de11, 0x3170908a3a046f6a,
  0x46c11fadc37b2d97, 0x313bbf60041c6895, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0x69c8ab7b15545a61, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x00275cc1cab4b3c9,
};

// c128_u1x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c128_u1x8_uart1_lednop_pr_ce[] = {
  0xdddddd775121b705, 0x777775577902b712, 0x104c2a00da17af5f, 0x678bec7eeeef07a1, 0xc9ddb0db2bc8a4c8,
  0xf4c13e30120982bb, 0xbd81175ffd1067d4, 0x7f5052b8b7f69931, 0xe7085b79b9dfce03, 0xbf10d8489ecb3879,
  0x3e37760fea3c2784, 0x7d7ac9b3db84889c, 0x240f59ea3f493dcb, 0xcc580b9241fa4871, 0x75e8faf09348d219,
  0xcf687daa01ffb33c, 0x13bbf67b8281e5ad, 0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00,
  0x4e31bc67440f88d2, 0x3863b7b15545a619, 0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x06eb9fadd696792b,
};

// c128_u1x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u1x8_uart1_lednop_pr_ee_ce[] = {
  0xbbbbbaeea2431000, 0xeeeeeaaf06506e25, 0x5df257afb02f599e, 0x696e25d7eeb535a2, 0x6abbced6cde4e466,
  0xf180904c15de4eed, 0xdbffd1067ed6e609, 0xd716fed32637b024, 0x6e7763e06fea8ca5, 0x27b2ce1e79c216de,
  0xfa8f09e12fc43612, 0xb709113870001b77, 0x7dd4a76b1d3df367, 0x51f06cc1ad7f51e5, 0xd3ad08a0531587bf,
  0x909afa30b2c4522c, 0x1193473abb74883a, 0xd578d8ebce9de11f, 0x2e121147408ded58, 0x6c1132386f65b2e6,
  0x13bbf61661c68954, 0xefcf0202726dbf03, 0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2,
  0x3863b7b15545a619, 0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x027e4c5f5696792b,
};

static const uint64_t ur_c128_u1x8_uart1_lednop_ee_hw[] = {
  0xeeeeebba8a342493, 0x77775575c862f896, 0xd85a2a1ed05d0837, 0x76705f0bddddfe2c, 0x86e415a768699fbc,
  0x9f180904c15de4ee, 0x8a1fff5933f95a60, 0xe35c5bfb4c98dec0, 0x7d4795995355ad1c, 0x2b31fea3e0d9834c,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0x1f1193473ab4bc88, 0xac6ab5d0ebce9de1, 0x73170908a3a046f6,
  0x546c11fadc37b2d9, 0x0313bbf60041c689, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d,
  0x194e31bc67440f88, 0x769c8ab7b15545a6, 0x1bbe1296a5f95b66, 0x0c2a44ad41767866, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x0000000016fb045f,
};

// c128_u1x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart1_lednop_ee_ce_hw[] = {
  0xddddd77514684c7f, 0x777755783283712d, 0xef92bd7d817accf7, 0x4b712ebf75a9ad12, 0xd7773b6abf272333,
  0x7c602413057793bb, 0x36fffac99fb5b982, 0x75c5bfb4c98dec09, 0x439dd8f81bfaa329, 0x13d9670f3ce10b7e,
  0xfd4784f097e21b09, 0xedc2444e1da0e089, 0x5f7529dac74f7cd9, 0xd47c1b306b5fd479, 0x34eb422814c561ef,
  0xa426be8c2cb1148b, 0xc464d1ceaedd220e, 0x355e363af3a77847, 0x8b848451d0237b56, 0x1b044c8e1bd96cb9,
  0xc4eefd859871a255, 0xbbf3c0809c9b6fc0, 0x26fcde6d228301df, 0x870d537a94e4a740, 0x538c6f19d103e234,
  0x4e18edec55516986, 0xdf094b52fcadb33b, 0x152256a0bb3c330d, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000014044e4aa2,
};

// c128_u1x8_uart1_dual_pr           c128_u1x8_uart1_dual_pr_u4
static const uint64_t ur_c128_u1x8_uart1_dual[] = {
  0xdddddf17448664d6, 0x77775e46a693284d, 0x21ecccf7aef53ef7, 0x7269dbbbab8fa74e, 0x666c786806592352,
  0xc048260aef242077, 0x646d45239bf304f8, 0x14306d23037755a8, 0x250094ee9f12e206, 0xe38656e2fbeff32c,
  0x0e43cdea3943d829, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0x9f90f94ed81bb87c, 0x437cb8bbf92f97cb,
  0x682628865ff2105a, 0xe80e784d19454219, 0x586f2bc84b6f01bf, 0x8dec0827ff9af730, 0x77cb1355c5bfb4c9,
  0x438920621fd47c8a, 0xc580aa0f31eb10d2, 0xbc01af0ef68ebf9c, 0xcf09f5403ff6608e, 0x715258a7207967b7,
  0x0c4eefd93f8abe77, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74, 0x6538c6f19d103e23,
  0xda722adec5551698, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x000a49a65aad2cf2,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ee[] = {
  0x6eeeeef8bd437089, 0x777775e43f7b3742, 0xed13d3ef6d077227, 0x5b537d3b76c32bee, 0x59557bada03e4217,
  0x4c15de49ba775e4f, 0x148b24e609f18090, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x7f8bc00fccb09402,
  0xbd479dbd85ad9c2b, 0xbd0a48904903dda9, 0x5fe7ef822fca7cb8, 0x4a4806ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x4cbee2a10cb412b2, 0x9096dfabffe80e78, 0xfbff35ee60b0de57, 0x2b8b7f69931bd816,
  0x51e56bee6ab5a391, 0xff77a8f83660c14f, 0x291669d68450ef8a, 0xa973484d7d185962, 0x23dece7569731eb8,
  0xd56ba1d7a89bc392, 0x2e1211441f47cf58, 0xb047eb70decbe966, 0xb8a92804d7c82d51, 0x062777ec9fc55f3b,
  0xfddf9e0404e4db7e, 0x0137e6f36914180e, 0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xed39156f62aa8b4c,
  0x377c252d4bf2b6cc, 0x459eff104fb8f0cc, 0xb93f75666fe0eee3, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x0032144faf5a59e4,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ee_u4[] = {
  0xbbbbe2e8a87fa0ae, 0xddd790fdecdd09bb, 0x4f4fbdb41dc89ddd, 0x4df4eddb0cafbbb4, 0x57b0fae0f9085d6d,
  0xef24dd3bbebefeb7, 0x927304f8c048260a, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xc00fccb094c049dd,
  0x9dbd85ad9c2b7f8b, 0x48904903dda9bd47, 0xef822fca7cb8bd0a, 0x06ee1f0a21895fe7, 0x4be5f2e7e43e4a48,
  0xfc841690df2e2efe, 0xe2a10cb412b22197, 0xdfabffe80e784cbe, 0xbe0a60b0de579096, 0xfda64c6f605beffe,
  0xafb9aad68e44ae2d, 0xa3e0d983053d4795, 0xa75a1143be2bfdde, 0x2135f4616588a459, 0x39d5a5cc7ae2a5cd,
  0x875ea26f0e488f7b, 0x45107d1f3d6355ae, 0xadc37b2fa598b848, 0xa0135f20b546c11f, 0xdfb27f157ceee2a4,
  0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1, 0x55bd8aaa2d30ca71,
  0x94b52fcadb33b4e4, 0xff102f63c330ddf0, 0xab337f068fe3459e, 0xe1ef79430a912b53, 0x9d871fc65f989ffd,
  0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27, 0xc1f768f5cf257ee6, 0x0000000000000ac8,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ce[] = {
  0xeeeef8bd41437089, 0x7775e4b26eb7426e, 0xd8bce2d4d7deef77, 0xe2d5bbbb938a76fd, 0x93d65644d6d100dc,
  0x2413057792245dd7, 0x36a290b829827c60, 0x18369181bbaad432, 0x804a774f8971030a, 0x031fe2e337f99612,
  0xd69bd474b5b00b47, 0xe5c5e85244824818, 0x0c4aff3f7c117e53, 0x21f267c03770f851, 0xf97177f25f2f973f,
  0xb7d10cbfe420b486, 0x39e131eb150865a1, 0xbcaf212dbe04ffa0, 0xb02f9dfe6bdcc161, 0xebf25716fed32637,
  0x10b6f373b28a02bb, 0x444e1daed0fbf3ce, 0xb967b752e6815dc2, 0x71240ea5fa8e37e7, 0xfce62c05401efa48,
  0x3c75e00d7877b475, 0xd6ee784faa01ffb3, 0x7ceee2a4b14e40f2, 0x6df8189ddfb27f15, 0x603bf77e78101393,
  0x94e804df9bcda450, 0x7c4690e1aa6f529c, 0x2d30ca718de33a20, 0xb66769c31dbd8aaa, 0x8661bbe1296a5f95,
  0xbb8d167bfc409c67, 0x854895a9d599bf83, 0x9a3ec6761c4e34a1, 0x64b867a615c9f80f, 0x6587494b670e2719,
  0x0b3ad2cf257ee686, 0x0000000000000349,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ce_u4[] = {
  0xbbbbe2e8a87fce4a, 0xeeebc98beb8d09bb, 0xa3e58b5c2f7dc6ee, 0xb1d7dddd7ac3d82c, 0xcc566fd7b2bc9bd9,
  0x02413057792ccddd, 0x236a2902a89827c6, 0xa18369181bbaad43, 0x53012774f8971030, 0xe16b7c5eb7ff32c2,
  0xcdcdea3a6dec276c, 0xe5c5e85244824818, 0x0c4aff3f7c117e53, 0x43e5d1f03770f851, 0xf2e2efe4be5f2e7e,
  0xf722197fc841690d, 0x73c267f22a10cb43, 0x795e425b7383ff40, 0x81656ffaf82982c3, 0x5ea2b8b7f69931bd,
  0x216fe019d943037f, 0x4361227b2ce1e79c, 0x699bffa8f09e12fc, 0xa5cd9edc2444e1f9, 0xa5fa8e37e7b96fae,
  0x05401efa4871240e, 0x0d7877b475fce62c, 0x4faa01ffb33c75e0, 0xa4b14e40f2d6ee78, 0x9ddfb27f157ceee2,
  0x7e781013936df818, 0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xc31dbd8aaa2d30ca,
  0xe1296a5f95b66769, 0x3dfe205ec78661bb, 0xa75666fe0d1fc68b, 0xfbc3def286152256, 0x633b0e3f8cbf313f,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x48b4d6d1eb9e4afd, 0x000000000000001a,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ee_ce[] = {
  0x09bbbbbbe2f50c86, 0x5f777775e45364dd, 0x5deecda01dccdefd, 0x3f01f04053b74e77, 0xbbb1bb1e0b98b368,
  0xc048260aef24eb3b, 0x46d45238f27304f8, 0x4306d23037755a86, 0x50094ee9f12e2061, 0xe0cf9c5facff32c2,
  0x524dea39adec2618, 0xf2e2f4292241240c, 0x86257f9fbe08bf29, 0x43e5aa081bb87c28, 0xf2e2efe4be5f2e7e,
  0x5722197fc841690d, 0xe784c50e2a10cb42, 0xe579096deb7ffe80, 0x817fcff35ee60b0d, 0x7fbab8b7f69931bd,
  0xb79b9ddba015df54, 0x70f787cb5f9e7085, 0xf88c43340aee1222, 0x698fa8f2b32a53b5, 0x0a62b913d47c1b30,
  0x16588a459a75a114, 0xaedc13c752135f46, 0xb58af0c1f47d21ce, 0x2d1d4bb1aaf1b1d7, 0xbd971f18b8484518,
  0x771525c621c4c8e1, 0xc0c4eefd93f8abe7, 0xdfbbf3c0809c9b6f, 0x74026fcde5ba8301, 0x234870d537a94e4a,
  0x881b718c10b4b5fe, 0xbf2b6cce9c6378ce, 0xfb8f0cc377c252d4, 0xfe0eee3459eff104, 0x70cf4c2b93f75666,
  0x0e9296ce1c4e32c9, 0x95a59e4afdcd0ccb, 0x00000000001304d3,
};

static const uint64_t ur_c128_u1x8_uart1_dual_pr_ee_ce_u4[] = {
  0xeeef8ba2a1fd022f, 0xeebc86ed463426ee, 0x7ee36b69be6beeee, 0x7b6ed17a27de4caf, 0xae3da3f2c9369e44,
  0xf6eeda7c845e24fc, 0x27c6024130577929, 0xb50c8da8a45ea898, 0x40c2860da4606eea, 0xcb094c049dd3e25c,
  0x490e1cdfe2ea91fc, 0x03a4a9bd47e8fec1, 0xca7cb8bd0a489049, 0x0a21895fe7ef822f, 0x9f90f91d7c06ee1f,
  0x437cb8bbf92f97cb, 0xa1d3e8865ff2105a, 0x4073c26275150865, 0x86f2bc84b6f787ff, 0xf6055bfff5f05305,
  0x51caeae2dfda64c6, 0x85bf80677a680dfd, 0x0d8489ecb3879e70, 0x2ea77ea3c2784bf1, 0xba6cf6e122270fe7,
  0xea3cadfc94ed63a9, 0x5d4af51f06cc1af9, 0x4522cd3ad08a0531, 0x31e3a909afa30b2c, 0xbc39223dece7576e,
  0xf9eb1aaf1b1d7a89, 0x7d2cc5c2422883e8, 0x82d51b044c8e1bd9, 0x55f3bb8a92966d7c, 0x4db7e062777ec9fc,
  0x4180efddf9e0404e, 0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x1e1986ef84a5a97e, 0x347f1a2cf7f8817b, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0xae792bf734332c3a, 0x0000004002566f47,
};

static const uint64_t ur_c128_u1x8_uart1_dual_ee_hw[] = {
  0xddddf17451a12793, 0xeeebc87ef66e84dd, 0x27a7deda0ee44eee, 0xa6fa76ed8657ddda, 0x4eb449f07c842eb6,
  0xc15de49ba770b363, 0x48b24e609f180904, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0xf8bc00fccb094e83,
  0xd479dbd85ad9c2b7, 0xd0a48904903dda9b, 0xfe7ef822fca7cb8b, 0xa4806ee1f0a21895, 0xefe4be5f2e7e43e4,
  0x197fc841690df2e2, 0xcbee2a10cb412b22, 0x096dfabffe80e784, 0xffc91ba60b0de579, 0xe2dfda64c6f605be,
  0x795afb9aad68e44a, 0xddea3e0d983053d4, 0x459a75a1143be2bf, 0x5cd2135f4616588a, 0xf7b39d5a5cc7ae2a,
  0x5ae875ea26f0e488, 0x84845107d1f3d635, 0x11fadc37b2fa598b, 0x2a4a0135f20b546c, 0x89ddfb27f157ceee,
  0x77e781013936df81, 0x4df9bcda450603bf, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x4e455bd8aaa2d30c,
  0xdf094b52fcadb33b, 0x152256a0bb3c330d, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00000057696907a2,
};

// c128_u1x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u1x8_uart1_dual_ee_ce_hw[] = {
  0xeeeef8ba28d0421f, 0xeeebc86ed463426e, 0xf7ee36b69be6beee, 0x47b6ed17a27de4ca, 0xa1011a3f2c9369e4,
  0xbc94fb7717d60b69, 0x544c13e30120982b, 0x37755a8646d4522f, 0xf12e20614306d230, 0xa47f32c253a0cee9,
  0x3fb052438737f8ba, 0x241240e92a6f51fa, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xe5f2e7e43e475f01,
  0x841690df2e2efe4b, 0x42196874fa2197fc, 0xe1ffd01cf0989d45, 0x74c161bcaf212dbd, 0x9931bd8156fff923,
  0x037f5472bab8b7f6, 0xf3ce10b7e439de9a, 0x097e21b0913d9670, 0xe1ee86ea8fd4784f, 0xac75374d9edc2444,
  0x835f3d4795bf929d, 0x40a62ba95ea3e0d9, 0x616588a459a75a11, 0xeaedc63c752135f4, 0xaf5137872447bd9c,
  0x107d1f3d6355e363, 0xc37b2fa598b84845, 0xcdaf905aa3608991, 0xd93f8abe77715252, 0x0809c9b6fc0c4eef,
  0xe6d228301dfbbf3c, 0x37a94e4a74026fcd, 0xf19d103e234870d5, 0xdec55516986538c6, 0xb52fcadb33b4e18e,
  0x6a0bb3c330ddf094, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x03aeb346ea29e4af,
};

// c128_u1x12_uart0_noled_pr
static const uint64_t ur_c128_u1x12_uart0_noled[] = {
  0xeeeda1af0759bb37, 0xbbbaabece307896e, 0xbab0716f1fd75fbb, 0x6f2707dddd910889, 0x2776c7b210bcd8f1,
  0x5304f8c048260aef, 0x7c240a7fc1a0cfe9, 0xda3749feda9fddba, 0x93d47e78ef964870, 0xc37ebfd243892066,
  0xb11e33398b016f74, 0xb8e58c11d78baf0e, 0xdf81895af6159ac5, 0xdd4180ef5af39c2c, 0xa72f29b19c2de6f2,
  0x042d3c3159486e2e, 0xa718de33a207eb8a, 0xddf094b52fcadb33, 0x167bfc413ee3c330, 0x93f75663c81a3f8d,
  0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce, 0x007c869cc22f9e4a,
};

static const uint64_t ur_c128_u1x12_uart0_noled_pr_u4[] = {
  0xddb435e0d121b562, 0x77557d9ce3f12ddd, 0xbc8a66c01a5c7777, 0x3c1f77742ca38fc5, 0x7e9c1bc2ae093362,
  0x4f8c048260aef277, 0x9029ffa20cfe9530, 0xdd27fb6a7f76e9f0, 0x51fa03be5843c368, 0x26f7490e2481a0bf,
  0x47ac398b016594df, 0xfb30475e8faf0e0b, 0x3cb3db0e344aa01f, 0x9bf0312b5ec4d5f0, 0xe0a8301deb5e7385,
  0xa72f29b19c2de6f3, 0xbc67440959486e2e, 0x6f62aa8b4ac24e31, 0x5a97e56d99ca9d15, 0x8817b1e1986ef84a,
  0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4,
  0x66587494b670e271, 0x97e1ad2cf257ee68, 0x0000000000003e4f,
};

// c128_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c128_u1x12_uart0_noled_pr_ee[] = {
  0xddb435e0d1219541, 0x77557cd606712ddd, 0x48171d7afb417777, 0xea6683ba9146bb20, 0x4ce4a739a59bb6a7,
  0x048260aef2774052, 0xff4419fc09304f8c, 0xeda9fddba7c2452f, 0x55ad1ce30da3749f, 0xd9834c7d4795c893,
  0x08a1df15995ea3e0, 0xfa30b2c4522cd3ad, 0x5a5cf55c6b26909a, 0x9d3bc237d1e0b39d, 0x9e8c38d8d56ba1d7,
  0xdecb65cc5c242285, 0x41541d51b047eb70, 0x859bf0312b5ec00a, 0xf3e0a8301deb5e73, 0x2ea72f29b19c2de6,
  0x31bc67440959486e, 0x156f62aa8b4ac24e, 0x4a5a97e56d99ca9d, 0x7f8817b1e1986ef8, 0x3ab337f07771a2cf,
  0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0xae6389ad2cf257ee, 0x0000000000000013,
};

// c128_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c128_u1x12_uart0_noled_pr_ce[] = {
  0xddb435e0d121af43, 0x775575c81b112ddd, 0x4d8dbd1a7b42f777, 0x60bf777777f8b5a1, 0xb4efb54cf651fb06,
  0x9f180904c15de4ee, 0x8e1ffe8833ec1660, 0xe93fdb53fbb74f84, 0xdfee037f50521b46, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0xe122270f000527ea, 0x4f4f72df5eb26cf6, 0x5a921c4903d67a8e, 0x0b47ac398b01531b,
  0x1ffb33c75e8faf0e, 0x7c0f2d6e0e344aa0, 0xe166fc0c4ad7b135, 0xbcf82a0c077ad79c, 0x8ba9cbca6c670b79,
  0x8c6f19d10256521b, 0x31dbd8aaa2d2b093, 0x252d4bf2b6cce54e, 0xbfc40bd8f0cc377c, 0x9d599bf83bb8d167,
  0xef0f7bca1854895a, 0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0xebe5565696792bf7, 0x0000000000000006,
};

// c128_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbb686bc1a243704a, 0xdd55d3d624625bbb, 0x2342f6c4ec0bdddd, 0xda7a5dd7a6c874ef, 0x8a0aaef89d7048f8,
  0x48260aef2775d6eb, 0xf4419f7f9304f8c0, 0xda9fddba7c241a3f, 0xfaa32970da3749fe, 0x3842dbcdcec2d01b,
  0xf886c244f659c3cf, 0xba1baa3f51e13c25, 0xd3df367b70911387, 0xd7f51e57d44a76b1, 0x98afbaf51f06cc1a,
  0x962291669d684502, 0xdb8f51d484d7d185, 0xd3bc237d1e0b39d5, 0xd1871b1aaf1b1d79, 0xd96cb98b848450b3,
  0x1541d51b044c8e1b, 0x59bf0312b5ec2ce4, 0x3e0a8301deb5e738, 0xea72f29b19c2de6f, 0x1bc67440959486e2,
  0x76f62aa8b4ac24e3, 0x4b52fcadb339538c, 0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7,
  0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x2e20f5a59e4afdcd,
  0x000000000000013f,
};

static const uint64_t ur_c128_u1x12_uart0_noled_ee_hw[] = {
  0xeda1af068a341202, 0xbaabe6b033896eee, 0x40b8ebd7da0bbbbb, 0x53341dd48a35d902, 0xb62d414d2cddb53f,
  0xc048260aef277599, 0xfffac99fc09304f8, 0xfeda9fddba7c2452, 0x355ad1ce30da3749, 0x0d9834c7d4795c89,
  0xd08a1df15995ea3e, 0xafa30b2c4522cd3a, 0xd5a5cf55c6b26909, 0x79d3bc237d1e0b39, 0x59e8c38d8d56ba1d,
  0x0decb65cc5c24228, 0xa41541d51b047eb7, 0x3859bf0312b5ec00, 0x6f3e0a8301deb5e7, 0xe2ea72f29b19c2de,
  0xe31bc67440959486, 0xd156f62aa8b4ac24, 0x84a5a97e56d99ca9, 0x912b505d9e1986ef, 0x989ffde1ef79430a,
  0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00000b7c8269d14f,
};

// c128_u1x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart0_noled_ee_ce_hw[] = {
  0xdb435e0d14683375, 0xeaae9eb12312dddd, 0x1a17b627605eeeee, 0xd3d2eebd3643a779, 0x56b6e744eb8247c6,
  0xc048260aef2774b1, 0x3ffac99f7f9304f8, 0xfeda9fddba7c241a, 0x1bfaa32970da3749, 0x9e7085bf21cec2d0,
  0x4bf10d8489ecb387, 0x87672e8ffea3c278, 0xb1d3df367b709113, 0x1ad7f51e57d44a76, 0x0298afbaf51f06cc,
  0x85962291669d6845, 0xd5db8f51d484d7d1, 0x79d3bc237d1e0b39, 0xb3d1871b1aaf1b1d, 0x1bd96cb98b848450,
  0xe41541d51b044c8e, 0x3859bf0312b5ec2c, 0x6f3e0a8301deb5e7, 0xe2ea72f29b19c2de, 0xe31bc67440959486,
  0x8c76f62aa8b4ac24, 0x094b52fcadb33953, 0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0000280845daa29e,
};

static const uint64_t ur_c128_u1x12_uart0_lednop[] = {
  0x776d0d783acdc49f, 0xeeeaafb395a44b77, 0x245c3fbb6f46deee, 0xfb07dddd91088942, 0x4eee62486ad1e978,
  0x6609f180904c15de, 0xf8497cff83419f9c, 0xb46e93fdb53fbb74, 0x27a8e4f1df2c90e1, 0x64c6d6a4871240cd,
  0xfd1c829cc580b7ba, 0xe39630475e2ebc35, 0xbf0312b5ec2b038e, 0x01deb5e781013859, 0x53a005bcde6d2283,
  0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xb867a615c9f9fd8f,
  0x87494b670e271964, 0x6117cf257ee68665, 0x0000000000054801,
};

// c128_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_c128_u1x12_uart0_lednop_pr[] = {
  0xbb686bc1a2432aac, 0xeeaafb39e9625bbb, 0xe2efcdf1fb98eeee, 0xf37dddd0b28e3e3f, 0xf914768244e80099,
  0x9f180904c15de4ee, 0x4807fe8833e13e60, 0x749feda9fddba7c2, 0x47b58ef9610f0da3, 0xd1952438920682fd,
  0x690ce62c0596534d, 0xd9823af47d7849a4, 0xcb3db7b43ed500ff, 0xbf0312b5ecf70503, 0x01deb5e781013859,
  0x53a005bcde6d2283, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b,
  0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7,
  0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000001f27a2ed569,
};

// c128_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c128_u1x12_uart0_lednop_pr_ee[] = {
  0xeeda1af06890c582, 0xbbaabe6b1fb896ee, 0xb2198ed45db23bbb, 0xf53341dd48a35c19, 0x21cbb2d4f5da5d93,
  0x02413057793ba768, 0xffa20cfefb9827c6, 0xf6d4feedd3e1253d, 0xaad68e7186d1ba4f, 0x6cc1a63ea3cacca9,
  0x08a1df1598ff51f0, 0xfa30b2c4522cd3ad, 0x5a5e445c6b26909a, 0xe74ef08f88c9a39d, 0xd0237b56355ae875,
  0x1bd96cb98b848451, 0x20e344aa3608fd6e, 0x4e166fc0c4ad7b00, 0x48a0c077ad79e040, 0x529c94e8016f379b,
  0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x2fcadb33b4e455bd, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10,
  0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x895a59e4afdcd0cc, 0x000000000013ae60,
};

// c128_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c128_u1x12_uart0_lednop_pr_ce[] = {
  0xddb435e0d121b032, 0xeeaaeb90c5f12ddd, 0xb4543da0ba106eee, 0xbc77bbbbbbfc59b0, 0x5b11ce5829c8699f,
  0x4f8c048260aef277, 0x450fff4419fcad30, 0x749feda9fddba7c2, 0xefe701bfa8290da3, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0xc2444e1f1bbb07f5, 0xa49ee5bebd64d9ed, 0xfd24389207acf51f, 0xa4690ce62c05c920,
  0xffd99e3af47d7849, 0x40f2d6e7b43ed500, 0x166fc0c4ad7b3dc1, 0xa0c077ad79e0404e, 0x9c94e8016f379b48,
  0x207c4690e1aa6f52, 0xaa2d30ca718de33a, 0x95b66769c31dbd8a, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e,
  0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0xb4b3c95fb9a19961, 0x00000000375cc1ca,
};

// c128_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xbb686bc1a243306a, 0xdd55d3d68ce25bbb, 0x4e08343769badddd, 0x6d3d2eebd364048f, 0x30eb210d8989df4c,
  0x2413057793bb55f9, 0xf4419fadf9827c60, 0xb53fbb74f84a76ff, 0xf54652e1b46e93fd, 0xe10b6f373bb1f037,
  0xe21b0913d9670f3c, 0x000dbbfd4784f097, 0x9ef9b3db84889c38, 0xbfa8f2beea53b58e, 0x8ac3dfa8f83660d6,
  0x62291669d6845029, 0xba441d484d7d1859, 0x4ef08f88c9a39d5d, 0x46f6ac6abc6c75e7, 0xb2d973170908a3a0,
  0xe344aa3608991c37, 0x166fc0c4ad7b0b30, 0xa0c077ad79e0404e, 0x9c94e8016f379b48, 0x207c4690e1aa6f52,
  0xaa2d30ca718de33a, 0x95b66769c31dbd8a, 0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf,
  0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xb4b3c95fb9a19961,
  0x0000000009f86e42,
};

static const uint64_t ur_c128_u1x12_uart0_lednop_ee_hw[] = {
  0x76d0d783451a18e2, 0xdd55f358fdc4b777, 0x90cc76a2ed91dddd, 0xa99a0eea451ae0cd, 0x87b69d67aed2ec9f,
  0x602413057793ba53, 0xdffd64cfefb9827c, 0xff6d4feedd3e1253, 0x9aad68e7186d1ba4, 0x06cc1a63ea3cacca,
  0xd08a1df1598ff51f, 0xafa30b2c4522cd3a, 0xd5a5e445c6b26909, 0x5e74ef08f88c9a39, 0x1d0237b56355ae87,
  0xe1bd96cb98b84845, 0x020e344aa3608fd6, 0x04e166fc0c4ad7b0, 0xb48a0c077ad79e04, 0xf529c94e8016f379,
  0x33a207c4690e1aa6, 0xd8aaa2d30ca718de, 0x52fcadb33b4e455b, 0xa0bb3c330ddf094b, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x16fd04d3a29e4afd,
};

// c128_u1x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart0_lednop_ee_ce_hw[] = {
  0xeda1af068a34304a, 0x75574f5a33896eee, 0x3820d0dda6eb7777, 0xb4f4bbaf4d90123d, 0x51fd403626277d31,
  0x0120982bbc9ddb17, 0xffd64cfd6fcc13e3, 0xeda9fddba7c253b7, 0xbfaa32970da3749f, 0xce10b7e439dd8f81,
  0x7e21b0913d9670f3, 0xda0e089fd4784f09, 0x74f7cd9edc2444e1, 0xb5fd4795f7529dac, 0x4c561efd47c1b306,
  0xcb1148b34eb42281, 0xedd220ea426be8c2, 0x3a77847c464d1cea, 0x0237b56355e363af, 0xbd96cb98b848451d,
  0x871a2551b044c8e1, 0x70b37e06256bd859, 0x450603bd6bcf0202, 0x94e4a7400b79bcda, 0xd103e234870d537a,
  0x55516986538c6f19, 0xfcadb33b4e18edec, 0xbb3c330ddf094b52, 0xc3def286152256a0, 0x3b0e3f8cbf313ffb,
  0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x082812a29e4afdcd, 0x0000000000000028,
};

// c128_u1x12_uart0_dual_pr          c128_u1x12_uart0_dual_pr_u4
static const uint64_t ur_c128_u1x12_uart0_dual[] = {
  0xee8d775f448618be, 0xbbaf23d34e5426ee, 0xbe375b62fb9f7bbb, 0x00adddd3131c7652, 0x5ece082cf04588b5,
  0x0904c15de4d91777, 0x8da8a42a46609f18, 0x860da4606eeab50c, 0xa0129dd3e25c40c2, 0x70df7c5f4dfe6584,
  0x9759bd4753db0cac, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf21f2b5b03770f85, 0x6f97177f25f2f973,
  0x0f9110cbfe420b48, 0x01cf0987c8a8432d, 0x0de579096dea57fd, 0x4f84bbaff35ee60b, 0x1b46e93fdb53fbb7,
  0x43fa8f914ef9626a, 0xe63d621a4871240c, 0xded1d7f398b01541, 0x07fecc11d78035e1, 0xe40f2cf6f9e13ea8,
  0x27f157ceee2a4b14, 0x404e166fc0c4ad7b, 0x9b48a0c077ad79e0, 0x6f529c94e8016f37, 0xe33a207c4690e1aa,
  0xbd8aaa2d30ca718d, 0xb52fcadb33b4e455, 0x102f63c330ddf094, 0x666fe0eee3459eff, 0x3def286152256a75,
  0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x20e55a59e4afdcd0,
  0x0000000000001493,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ee[] = {
  0x77746bbafd436f02, 0xbbbaf234b421a137, 0x4d7cfbd69ed1f9bb, 0x1211c775b17daaef, 0x7bc98b37ee30fae7,
  0x15de494a773f87cd, 0x85d16609f180904c, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8b8a4fccb0940253,
  0xa3dadec2b7ce1003, 0x8524482481a6dcde, 0xf3f7c117e53e5c5e, 0xdf03770f8510c4af, 0xfe4be5f2e7e43e5c,
  0x97fc841690df2e2e, 0x5162a10cb41d2a21, 0x96de87ffe80e784c, 0xff35ee60b0de5790, 0xfb6a7f76e9f0969b,
  0xd56b47224368dd27, 0x6cc1829ea3cad7dc, 0x08a1df15feef51f0, 0xfa30b2c4522cd3ad, 0xd2e63d7152e6909a,
  0x5137872447bd9cea, 0x3e8f9eb1aad743af, 0xbd97d2cc5c242288, 0xaf905aa3608fd6e1, 0x3f8abe7771525009,
  0x0270b37e06256bd9, 0xda450603bd6bcf02, 0x7a94e4a7400b79bc, 0x19d103e234870d53, 0xec55516986538c6f,
  0xa97e56d99da722ad, 0x09f71e1986ef84a5, 0xcdfc1ddc68b3dfe2, 0x92e19e985727eeac, 0x961d252d9c389c65,
  0x2fab4b3c95fb9a19, 0x00000000000190a2,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ee_u4[] = {
  0xa35dd7d150ff880b, 0xd791a5a10d09bbbb, 0xe7deb4f68fcddddd, 0x8e3bad8bed577a6b, 0x9cd3af7187d73890,
  0x92529dc24ff4d6bc, 0x59827c6024130577, 0x7755a8646d452174, 0x12e20614306d2303, 0x27e6584a6024ee9f,
  0x6f615be70801c5c5, 0x241240d36e6f51ed, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xf2f973f21f2e6f81,
  0x420b486f97177f25, 0x50865a0e9510cbfe, 0x43fff4073c2628b1, 0x0530586f2bc84b6f, 0xfeedd3e12d37ff5f,
  0x8e4486d1ba4ff6d4, 0x053d4795afb9aad6, 0xbe2bfddea3e0d983, 0x6588a459a75a1143, 0x7ae2a5cd2135f461,
  0x0e488f7b39d5a5cc, 0x3d6355ae875ea26f, 0xa598b84845107d1f, 0xb546c11fadc37b2f, 0x7ceee2a4a0135f20,
  0x66fc0c4ad7b27f15, 0x0c077ad79e0404e1, 0xc94e8016f379b48a, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2,
  0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0x68fe3459eff102f6, 0x30a912b53ab337f0, 0x65f989ffde1ef794,
  0xfd8668fb19d871fc, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x5cf257ee68665874, 0x0000015919e9d68f,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ce[] = {
  0x746bbafd41436f02, 0xeebc9855cea13777, 0x5fb2b6b8ed77eeee, 0x9f6eeed8976545e5, 0x7cd71f82cd85947d,
  0x04c15de4dc1773f8, 0x5148e1fe609f1809, 0x1b48c0ddd56a191b, 0x253ba7c4b881850c, 0xcdf17ddafccb0940,
  0x9bd470b5b031f380, 0xc5e852448248193a, 0x4aff3f7c117e53e5, 0xf2eb303770f8510c, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0xc2609f150865a01e, 0x5e425b795dff4073, 0x521ffcd7b982c379, 0x749feda9fddba7c2,
  0xca280aefafc90da3, 0x43efcf3842dbcdce, 0x9a057709113876bb, 0xea38df9ee59edd4b, 0x007be921c4903a97,
  0xe1ded1d7f398b015, 0xa807feccf1d78035, 0xc53903cb5bb9e13e, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b,
  0xcde6d228301deb5e, 0x6a9bd4a7253a005b, 0x6378ce881f11a438, 0xc76f62aa8b4c329c, 0x4a5a97e56d99da70,
  0xff102719e1986ef8, 0x75666fe0eee3459e, 0x87138d286152256a, 0x85727e03e68fb19d, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x000003493a7ab4b3,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ce_u4[] = {
  0xd1aeebe8a87fa0ae, 0xebc87ef66e84dddd, 0xa7deda0ee44eeeee, 0xdeeeed8657ddda27, 0x6eaf61f5c1f210ba,
  0x15de49ba777d7dfd, 0x8b24e609f180904c, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x17801f9961298093,
  0x8f3b7b0b5b3856ff, 0x1491209207bb537a, 0xcfdf045f94f9717a, 0x900ddc3e144312bf, 0xfc97cbe5cfc87c94,
  0x2ff9082d21be5c5d, 0x7dc5421968256443, 0x2dbf57ffd01cf099, 0xfd7c14c161bcaf21, 0xdb53fbb74f84b7df,
  0x037f5ea21b46e93f, 0xe79c216fe019d943, 0x12fc4361227b2ce1, 0xe1f9699bffa8f09e, 0x6faea5cd9edc2444,
  0x240ea5fa8e37e7b9, 0xe62c05401efa4871, 0x75e00d7877b475fc, 0xee784faa01ffb33c, 0xeee2a4b14e40f2d6,
  0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x4e8016f379b48a0c, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xfc68b3dfe205ec78, 0x52256a75666fe0d1, 0xf313ffbc3def2861,
  0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x000349183eed1eb9,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ee_ce[] = {
  0xddddd1aeebf50c86, 0xdddddd7909026e84, 0xfbb368077337bf57, 0x80fac8bb2dd08762, 0xd8dd8f05cc59b41f,
  0x2413057793389ddd, 0x6a291c7939827c60, 0x8369181bbaad4323, 0x04a774f8971030a1, 0xeb3e2ec87f996128,
  0xe6f51e61b60cf870, 0xe2f4292241240ff5, 0x257f9fbe08bf29f2, 0xe5aa081bb87c2886, 0xe2efe4be5f2e7e43,
  0x22197fc841690df2, 0x84ca7a2a10cb42dd, 0x79096deb7ffe80e7, 0x7fcff35ee60b0de5, 0xd27fb6a7f76e9f09,
  0xc02bbea8ff74368d, 0xff3ce10b6f373b95, 0x15dc2444e1fb06f0, 0x7dd4a76bf1188668, 0xa8f83660d31f51e5,
  0x34eb422814c57d47, 0xa426be8c2cb1148b, 0x5464d1ceaedc7a8e, 0xd578d8ebdac57844, 0x5c24228afe8ded58,
  0x11f66470decb8f8c, 0xc9fc55f3bb8a92e3, 0x1013859bf0312b5e, 0x02de6f301deb5e78, 0x42f5a9c914b579d0,
  0x1d18c10b4e02f7ca, 0xb6cce9c6378ce881, 0xf0cc377c252d4bf2, 0xeee3459eff104fb8, 0xf4c2b93f75666fe0,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000001304d395a,
};

static const uint64_t ur_c128_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0x8d775f4543ffe907, 0x5e48672c9426eeee, 0x13a2cde985377777, 0xeddad26bbf857179, 0x6ed653c171fd60ab,
  0x770404d214f13db4, 0xe30120982bbc9cfb, 0x0c8da8a452374c13, 0xc2860da4606eeab5, 0x094c049dd3e25c40,
  0xce0a91e2fdd6fccb, 0x6729bd47524d8737, 0x7cb8bd0a48904903, 0x21895fe7ef822fca, 0xc87c855006ee1f0a,
  0xbe5c5dfc97cbe5cf, 0xb1f4432ff9082d21, 0x39e1325a8a8432d0, 0x795e425b7e5affa0, 0x09400ffaf82982c3,
  0x8dd27fb6a7f76e9f, 0xbd3406fea8e57436, 0x59c3cf3842dfc033, 0xe13c25f886c244f6, 0x911387f39753bf51,
  0x4a76b1d4dd367b70, 0x83660d7cf51e56fe, 0x68450298aea57a8f, 0xd7d185962291669d, 0xf673abb718f1d484,
  0x8d8ebd44de1c911e, 0x211441f47cf58d57, 0x26470decbe9662e1, 0x494b36be416a8d82, 0x95af64fe2af9ddc5,
  0xaf3c0809c2cdf818, 0x2de6f36914180ef5, 0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x3863b7b15545a619,
  0x7c252d4bf2b6cced, 0x67bfc40bd8f0cc37, 0xd4eaccdfc1a3f8d1, 0xff787bde50c2a44a, 0xec6761c7f197e627,
  0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x0024cd1a3d73c95f, 0x0000000000000002,
};

static const uint64_t ur_c128_u1x12_uart0_dual_ee_hw[] = {
  0xd1aeebe8a34204d3, 0xebc8d2d08684dddd, 0xf3ef5a7b47e6eeee, 0x471dd6c5f6abbd35, 0x3be27fb8c3eb9c48,
  0xaef24a53b9aebffc, 0x2e8b304f8c048260, 0x606eeab50c8da8a4, 0xd3e25c40c2860da4, 0x5c527e6584a7419d,
  0x1ed6f615be70801c, 0x292241240d36e6f5, 0x9fbe08bf29f2e2f4, 0xf81bb87c2886257f, 0xf25f2f973f21f2e6,
  0xbfe420b486f97177, 0x8b150865a0e9510c, 0xb6f43fff4073c262, 0xe48dd30586f2bc84, 0x6d4feedd3e12d37f,
  0xad68e4486d1ba4ff, 0x983053d4795afb9a, 0x143be2bfddea3e0d, 0x4616588a459a75a1, 0x5cc7ae2a5cd2135f,
  0x26f0e488f7b39d5a, 0xd1f3d6355ae875ea, 0xb2fa598b84845107, 0xf20b546c11fadc37, 0xf157ceee2a4a0135,
  0x4e166fc0c4ad7b27, 0x48a0c077ad79e040, 0x529c94e8016f379b, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x2fcadb33b4e455bd, 0x0bb3c330ddf094b5, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x7699164a29e4afdc, 0x0000000000000005,
};

// c128_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdd1aeebe8a34369f, 0xeebc90ce59284ddd, 0xf227459bd30a6eee, 0x57dbb5a4d77f0ae2, 0x21c7aca782e3fac1,
  0x939f6ee9017cf2fa, 0xe9827c6024130577, 0xdd56a191b5148a46, 0x4b881850c1b48c0d, 0x6fccb094e833ba7c,
  0xd8737ce0a91e2fdd, 0x049036729bd47524, 0x22fca7cb8bd0a489, 0xe1f0a21895fe7ef8, 0xbe5cfc87c855006e,
  0x82d21be5c5dfc97c, 0x432d0b1f4432ff90, 0xaffa039e1325a8a8, 0x982c3795e425b7e5, 0x76e9f09400ff246e,
  0x574368dd27fb6a7f, 0xfc873bd3406fea8e, 0x1227b2ce1e79c216, 0x51fa8f09e12fc436, 0xb3db84889c3dd0dd,
  0xf2b7f253b58ea6e9, 0x2bd47c1b306be7a8, 0x8b34eb422814c575, 0x8ea426be8c2cb114, 0xe488f7b39d5db8c7,
  0xac6abc6c75ea26f0, 0xb3170908a20fa3e7, 0x546c1132386f65f4, 0xceee2a4a59b5f20b, 0x6fc0c4ad7b27f157,
  0xc077ad79e0404e16, 0x94e8016f379b48a0, 0x7c4690e1aa6f529c, 0x2d30ca718de33a20, 0xb66769c31dbd8aaa,
  0x8661bbe1296a5f95, 0xde50c2a44ad41767, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0xfc3453c95fb9a199, 0x00000000001d758f,
};

// c128_u1x12_uart1_noled_pr
static const uint64_t ur_c128_u1x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0xbbbaabece307896e, 0xbab0716f1fd75fbb, 0x6f2707dddd910889, 0x2776c7b210bcd8f1,
  0x5304f8c048260aef, 0xf8240a7fc1a0cfe9, 0xb46e93fdb53fbb74, 0x27a8fcf1df2c90e1, 0x86fd7fa4871240cd,
  0x623c66731602dee9, 0x71cb1823af175e1d, 0x7e062777ec2b358b, 0xd4180efddf9ce4db, 0xe5e53633937e6f2d,
  0x85a7862b290dc5d4, 0xe31bc67440fd7140, 0xbe1296a5f95b6674, 0xcf7f8827dc78661b, 0x7eeacc790347f1a2,
  0x89c6592e19e98572, 0xb9a19961d252d9c3, 0x0f90d39845f3c95f,
};

static const uint64_t ur_c128_u1x12_uart1_noled_pr_u4[] = {
  0xddb435e0d121b562, 0x77557d9ce3f12ddd, 0xbc8a66c01a5c7777, 0x3c1f77742ca38fc5, 0x7e9c1bc2ae093362,
  0x4f8c048260aef277, 0x9029ffa20cfe9530, 0xba4ff6d4feedd3e0, 0xa3f4077cb08786d1, 0x4dee921c4903417e,
  0x8f58731602cb29be, 0xf6608ebd1f5e1c16, 0x7967b61c6895403f, 0x6fc0c4eefd89abe0, 0x0a8301dfbbf39c9b,
  0xe5e53633937e6f3e, 0x8ce8812b290dc5d4, 0xec5551695849c637, 0x52fcadb33953a2ad, 0x02f63c330ddf094b,
  0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0xfc35a59e4afdcd0c, 0x000000000007c9f2,
};

// c128_u1x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c128_u1x12_uart1_noled_pr_ee[] = {
  0xddb435e0d1219541, 0x77557cd606712ddd, 0x48171d7afb417777, 0xea6683ba9146bb20, 0x4ce4a739a59bb6a7,
  0x048260aef2774052, 0xff4419fc09304f8c, 0xdb53fbb74f82452f, 0xab5a39c61b46e93f, 0xb30698fa8f2b9126,
  0x1143be2b32bd47c1, 0xf4616588a459a75a, 0xb4b9eab8d64d2135, 0x3a77846fa3c1673a, 0x3d1871b1aad743af,
  0xbd96cb98b848450b, 0x82a83aa3608fd6e1, 0x9b6fc0c4eefd8014, 0x3e0a8301dfbbf39c, 0xd4e5e53633937e6f,
  0x378ce8812b290dc5, 0xadec5551695849c6, 0x4b52fcadb33953a2, 0xf102f63c330ddf09, 0x5666fe0eee3459ef,
  0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xcc7135a59e4afdcd, 0x0000000000000275,
};

// c128_u1x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c128_u1x12_uart1_noled_pr_ce[] = {
  0xddb435e0d121af43, 0x775575c81b112ddd, 0x4d8dbd1a7b42f777, 0x60bf777777f8b5a1, 0xb4efb54cf651fb06,
  0x9f180904c15de4ee, 0x8e1ffe8833ec1660, 0xd27fb6a7f76e9f04, 0xbfdc06fea0a4368d, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0xc2444e1e000a4fd4, 0x9e9ee5bebd64d9ed, 0xb524389207acf51c, 0x168f58731602a636,
  0x3ff6678ebd1f5e1c, 0xf81e5adc1c689540, 0x26dbf0313bbf626a, 0xcf82a0c077eefce7, 0x7539794d8ce4df9b,
  0x8de33a204aca4371, 0x3b7b15545a561271, 0xa5a97e56d99ca9c6, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0x7caacad2cf257ee6, 0x00000000000000dd,
};

// c128_u1x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u1x12_uart1_noled_pr_ee_ce[] = {
  0xbb686bc1a243704a, 0xdd55d3d624625bbb, 0x2342f6c4ec0bdddd, 0xda7a5dd7a6c874ef, 0x8a0aaef89d7048f8,
  0x48260aef2775d6eb, 0xf4419f7f9304f8c0, 0xb53fbb74f8241a3f, 0xf54652e1b46e93fd, 0x7085b79b9d85a037,
  0xf10d8489ecb3879e, 0x7437547ea3c2784b, 0xa7be6cf6e122270f, 0xafea3cafa894ed63, 0x315f75ea3e0d9835,
  0x2c4522cd3ad08a05, 0xb71ea3a909afa30b, 0xa77846fa3c1673ab, 0xa30e36355e363af3, 0xb2d973170908a167,
  0x2a83aa3608991c37, 0xb6fc0c4eefd859c8, 0xe0a8301dfbbf39c9, 0x4e5e53633937e6f3, 0x78ce8812b290dc5d,
  0xdec5551695849c63, 0x6a5f95b6672a718e, 0x205ec78661bbe129, 0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea,
  0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0xc41eb4b3c95fb9a1,
  0x00000000000027e5,
};

static const uint64_t ur_c128_u1x12_uart1_noled_ee_hw[] = {
  0xeda1af068a341202, 0xbaabe6b033896eee, 0x40b8ebd7da0bbbbb, 0x53341dd48a35d902, 0xb62d414d2cddb53f,
  0xc048260aef277599, 0xfffac99fc09304f8, 0xfdb53fbb74f82452, 0x6ab5a39c61b46e93, 0x1b30698fa8f2b912,
  0xa1143be2b32bd47c, 0x5f4616588a459a75, 0xab4b9eab8d64d213, 0xf3a77846fa3c1673, 0xb3d1871b1aad743a,
  0x1bd96cb98b848450, 0x482a83aa3608fd6e, 0xc9b6fc0c4eefd801, 0xf3e0a8301dfbbf39, 0x5d4e5e53633937e6,
  0x6378ce8812b290dc, 0x2adec5551695849c, 0x94b52fcadb33953a, 0x256a0bb3c330ddf0, 0x13ffbc3def286152,
  0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00016f904d3a29e4,
};

// c128_u1x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d14683375, 0xeaae9eb12312dddd, 0x1a17b627605eeeee, 0xd3d2eebd3643a779, 0x56b6e744eb8247c6,
  0xc048260aef2774b1, 0x3ffac99f7f9304f8, 0xfdb53fbb74f8241a, 0x37f54652e1b46e93, 0x3ce10b7e439d85a0,
  0x97e21b0913d9670f, 0x0ece5d1ffd4784f0, 0x63a7be6cf6e12227, 0x35afea3cafa894ed, 0x05315f75ea3e0d98,
  0x0b2c4522cd3ad08a, 0xabb71ea3a909afa3, 0xf3a77846fa3c1673, 0x67a30e36355e363a, 0x37b2d973170908a1,
  0xc82a83aa3608991c, 0xc9b6fc0c4eefd859, 0xf3e0a8301dfbbf39, 0x5d4e5e53633937e6, 0x6378ce8812b290dc,
  0x8edec5551695849c, 0x296a5f95b6672a71, 0x4ad417678661bbe1, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00050108bb5453c9,
};

static const uint64_t ur_c128_u1x12_uart1_lednop[] = {
  0x776d0d783acdc49f, 0xeeeaafb395a44b77, 0x245c3fbb6f46deee, 0xfb07dddd91088942, 0x4eee62486ad1e978,
  0x6609f180904c15de, 0xf0497cff83419f9c, 0x68dd27fb6a7f76e9, 0x4f51c9e3be5921c3, 0xc98dad490e24819a,
  0xfa3905398b016f74, 0xc72c608ebc5d786b, 0xfc0c4eefd856071d, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830,
  0x234870d537a94e4a, 0x986538c6f19d103e, 0x99da722adec55516, 0x986ef84a5a97e56d, 0x0cf4c2b93f3fb1e1,
  0xe9296ce1c4e32c97, 0x22f9e4afdcd0ccb0, 0x0000000000a9002c,
};

// c128_u1x12_uart1_lednop_pr_u4
static const uint64_t ur_c128_u1x12_uart1_lednop_pr[] = {
  0xbb686bc1a2432aac, 0xeeaafb39e9625bbb, 0xe2efcdf1fb98eeee, 0xf37dddd0b28e3e3f, 0xf914768244e80099,
  0x9f180904c15de4ee, 0x4807fe8833e13e60, 0xe93fdb53fbb74f82, 0x8f6b1df2c21e1b46, 0xa32a4871240d05fa,
  0xd219cc580b2ca69b, 0xb30475e8faf09348, 0x967b6f687daa01ff, 0xfc0c4eefd9ee0a07, 0x1dfbbf3c0809c9b6,
  0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x99da722adec55516, 0x986ef84a5a97e56d,
  0x71a2cf7f8817b1e1, 0xa912b53ab337f077, 0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd,
  0xb670e271964b867a, 0xf257ee6866587494, 0x00003e4f45daad2c,
};

// c128_u1x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c128_u1x12_uart1_lednop_pr_ee[] = {
  0xeeda1af06890c582, 0xbbaabe6b1fb896ee, 0xb2198ed45db23bbb, 0xf53341dd48a35c19, 0x21cbb2d4f5da5d93,
  0x02413057793ba768, 0xffa20cfefb9827c6, 0xeda9fddba7c1253d, 0x55ad1ce30da3749f, 0xd9834c7d47959953,
  0x1143be2b31fea3e0, 0xf4616588a459a75a, 0xb4bc88b8d64d2135, 0xce9de11f1193473a, 0xa046f6ac6ab5d0eb,
  0x37b2d973170908a3, 0x41c689546c11fadc, 0x726dbf0313bbf600, 0x8a0c077eefcf0202, 0x53929d009bf379b4,
  0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf95b66769c8ab7b1, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x2b4b3c95fb9a1996, 0x000000000275cc11,
};

// c128_u1x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c128_u1x12_uart1_lednop_pr_ce[] = {
  0xddb435e0d121b032, 0xeeaaeb90c5f12ddd, 0xb4543da0ba106eee, 0xbc77bbbbbbfc59b0, 0x5b11ce5829c8699f,
  0x4f8c048260aef277, 0x450fff4419fcad30, 0xe93fdb53fbb74f82, 0xdfce037f50521b46, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x84889c3e37760fea, 0x493dcb7d7ac9b3db, 0xfa4871240f59ea3f, 0x48d219cc580b9241,
  0xffb33c75e8faf093, 0x81e5adcf687daa01, 0x6dbf0313bbf67b82, 0x0c077eefcf020272, 0x929d009bf379b48a,
  0x0f88d21c354dea53, 0x45a6194e31bc6744, 0xb6cced3863b7b155, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8,
  0x1854895a9d599bf8, 0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3,
  0x96792bf734332c3a, 0x00000006eb983956,
};

// c128_u1x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u1x12_uart1_lednop_pr_ee_ce[] = {
  0xbb686bc1a243306a, 0xdd55d3d68ce25bbb, 0x4e08343769badddd, 0x6d3d2eebd364048f, 0x30eb210d8989df4c,
  0x2413057793bb55f9, 0xf4419fadf9827c60, 0x6a7f76e9f04a76ff, 0xea8ca5c368dd27fb, 0xc216de6e7763e06f,
  0xc4361227b2ce1e79, 0x001b77fa8f09e12f, 0x3df367b709113870, 0x7f51e57dd4a76b1d, 0x1587bf51f06cc1ad,
  0xc4522cd3ad08a053, 0x74883a909afa30b2, 0x9de11f1193473abb, 0x8ded58d578d8ebce, 0x65b2e62e12114740,
  0xc689546c1132386f, 0x6dbf0313bbf61661, 0x0c077eefcf020272, 0x929d009bf379b48a, 0x0f88d21c354dea53,
  0x45a6194e31bc6744, 0xb6cced3863b7b155, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x96792bf734332c3a,
  0x000000013f0dc856,
};

static const uint64_t ur_c128_u1x12_uart1_lednop_ee_hw[] = {
  0x76d0d783451a18e2, 0xdd55f358fdc4b777, 0x90cc76a2ed91dddd, 0xa99a0eea451ae0cd, 0x87b69d67aed2ec9f,
  0x602413057793ba53, 0xdffd64cfefb9827c, 0xfeda9fddba7c1253, 0x355ad1ce30da3749, 0x0d9834c7d4795995,
  0xa1143be2b31fea3e, 0x5f4616588a459a75, 0xab4bc88b8d64d213, 0xbce9de11f1193473, 0x3a046f6ac6ab5d0e,
  0xc37b2d973170908a, 0x041c689546c11fad, 0x2726dbf0313bbf60, 0x48a0c077eefcf020, 0xa53929d009bf379b,
  0x7440f88d21c354de, 0x15545a6194e31bc6, 0x5f95b66769c8ab7b, 0x17678661bbe1296a, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xdfa09a7453c95fb9,
  0x0000000000000002,
};

// c128_u1x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart1_lednop_ee_ce_hw[] = {
  0xeda1af068a34304a, 0x75574f5a33896eee, 0x3820d0dda6eb7777, 0xb4f4bbaf4d90123d, 0x51fd403626277d31,
  0x0120982bbc9ddb17, 0xffd64cfd6fcc13e3, 0xdb53fbb74f8253b7, 0x7f54652e1b46e93f, 0x9c216fc873bb1f03,
  0xfc4361227b2ce1e7, 0xb41c113fa8f09e12, 0xe9ef9b3db84889c3, 0x6bfa8f2beea53b58, 0x98ac3dfa8f83660d,
  0x962291669d684502, 0xdba441d484d7d185, 0x74ef08f88c9a39d5, 0x046f6ac6abc6c75e, 0x7b2d973170908a3a,
  0x0e344aa3608991c3, 0x936df8189ddfb0b3, 0x50603bf77e781013, 0x9c94e804df9bcda4, 0x207c4690e1aa6f52,
  0xaa2d30ca718de33a, 0x95b66769c31dbd8a, 0x678661bbe1296a5f, 0x7bde50c2a44ad417, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x05025453c95fb9a1, 0x0000000000000501,
};

// c128_u1x12_uart1_dual_pr          c128_u1x12_uart1_dual_pr_u4
static const uint64_t ur_c128_u1x12_uart1_dual[] = {
  0xee8d775f448618be, 0xbbaf23d34e5426ee, 0xbe375b62fb9f7bbb, 0x00adddd3131c7652, 0x5ece082cf04588b5,
  0x0904c15de4d91777, 0x8da8a42a46609f18, 0x860da4606eeab50c, 0xa0129dd3e25c40c2, 0x70df7c5f4dfe6584,
  0x9759bd4753db0cac, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0xf21f2b5b03770f85, 0x6f97177f25f2f973,
  0x0f9110cbfe420b48, 0x01cf0987c8a8432d, 0x0de579096dea57fd, 0x9f04bbaff35ee60b, 0x368dd27fb6a7f76e,
  0x87f51f229df2c4d4, 0xcc7ac43490e24818, 0xbda3afe731602a83, 0x0ffd9823af006bc3, 0xc81e59edf3c27d50,
  0x4fe2af9ddc549629, 0x02726dbf0313bbf6, 0xb48a0c077eefcf02, 0xea53929d009bf379, 0x67440f88d21c354d,
  0xb15545a6194e31bc, 0xa5f95b66769c8ab7, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac,
  0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x1cab4b3c95fb9a19,
  0x0000000000029264,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ee[] = {
  0x77746bbafd436f02, 0xbbbaf234b421a137, 0x4d7cfbd69ed1f9bb, 0x1211c775b17daaef, 0x7bc98b37ee30fae7,
  0x15de494a773f87cd, 0x85d16609f180904c, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8b8a4fccb0940253,
  0xa3dadec2b7ce1003, 0x8524482481a6dcde, 0xf3f7c117e53e5c5e, 0xdf03770f8510c4af, 0xfe4be5f2e7e43e5c,
  0x97fc841690df2e2e, 0x5162a10cb41d2a21, 0x96de87ffe80e784c, 0xff35ee60b0de5790, 0xf6d4feedd3e0969b,
  0xaad68e4486d1ba4f, 0xd983053d4795afb9, 0x1143be2bfddea3e0, 0xf4616588a459a75a, 0xa5cc7ae2a5cd2135,
  0xa26f0e488f7b39d5, 0x7d1f3d6355ae875e, 0x7b2fa598b8484510, 0x5f20b546c11fadc3, 0x7f157ceee2a4a013,
  0x13936df8189ddfb2, 0xa450603bf77e7810, 0x529c94e804df9bcd, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3,
  0x2fcadb33b4e455bd, 0x3ee3c330ddf094b5, 0xbf83bb8d167bfc41, 0x5c33d30ae4fdd599, 0xc3a4a5b387138cb2,
  0xf5696792bf734332, 0x0000000000321445,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ee_u4[] = {
  0xa35dd7d150ff880b, 0xd791a5a10d09bbbb, 0xe7deb4f68fcddddd, 0x8e3bad8bed577a6b, 0x9cd3af7187d73890,
  0x92529dc24ff4d6bc, 0x59827c6024130577, 0x7755a8646d452174, 0x12e20614306d2303, 0x27e6584a6024ee9f,
  0x6f615be70801c5c5, 0x241240d36e6f51ed, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xf2f973f21f2e6f81,
  0x420b486f97177f25, 0x50865a0e9510cbfe, 0x43fff4073c2628b1, 0x0530586f2bc84b6f, 0xfddba7c12d37ff5f,
  0x1c890da3749feda9, 0x0a7a8f2b5f7355ad, 0x7c57fbbd47c1b306, 0xcb1148b34eb42287, 0xf5c54b9a426be8c2,
  0x1c911ef673ab4b98, 0x7ac6ab5d0ebd44de, 0x4b3170908a20fa3e, 0x6a8d823f5b86f65f, 0xf9ddc5494026be41,
  0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x29d009bf379b48a0, 0xf88d21c354dea539, 0x5a6194e31bc67440,
  0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0x1fc68b3dfe205ec7, 0x152256a75666fe0d, 0xbf313ffbc3def286,
  0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x00002b233d3ad1eb,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ce[] = {
  0x746bbafd41436f02, 0xeebc9855cea13777, 0x5fb2b6b8ed77eeee, 0x9f6eeed8976545e5, 0x7cd71f82cd85947d,
  0x04c15de4dc1773f8, 0x5148e1fe609f1809, 0x1b48c0ddd56a191b, 0x253ba7c4b881850c, 0xcdf17ddafccb0940,
  0x9bd470b5b031f380, 0xc5e852448248193a, 0x4aff3f7c117e53e5, 0xf2eb303770f8510c, 0x7177f25f2f973f21,
  0xd10cbfe420b486f9, 0xc2609f150865a01e, 0x5e425b795dff4073, 0x521ffcd7b982c379, 0xe93fdb53fbb74f82,
  0x945015df5f921b46, 0x87df9e7085b79b9d, 0x340aee122270ed76, 0xd471bf3dcb3dba97, 0x00f7d2438920752f,
  0xc3bda3afe731602a, 0x500ffd99e3af006b, 0x8a720796b773c27d, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee,
  0xde6d228301dfbbf3, 0x537a94e4a74026fc, 0x6f19d103e234870d, 0xedec55516986538c, 0x4b52fcadb33b4e18,
  0xe204e33c330ddf09, 0xaccdfc1ddc68b3df, 0xe271a50c2a44ad4e, 0xae4fc07cd1f633b0, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x000069274f569679,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ce_u4[] = {
  0xd1aeebe8a87fa0ae, 0xebc87ef66e84dddd, 0xa7deda0ee44eeeee, 0xdeeeed8657ddda27, 0x6eaf61f5c1f210ba,
  0x15de49ba777d7dfd, 0x8b24e609f180904c, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x17801f9961298093,
  0x8f3b7b0b5b3856ff, 0x1491209207bb537a, 0xcfdf045f94f9717a, 0x900ddc3e144312bf, 0xfc97cbe5cfc87c94,
  0x2ff9082d21be5c5d, 0x7dc5421968256443, 0x2dbf57ffd01cf099, 0xfd7c14c161bcaf21, 0xb6a7f76e9f04b7df,
  0x06febd44368dd27f, 0xcf3842dfc033b286, 0x25f886c244f659c3, 0xc3f2d337ff51e13c, 0xdf5d4b9b3db84889,
  0x481d4bf51c6fcf72, 0xcc580a803df490e2, 0xebc01af0ef68ebf9, 0xdcf09f5403ff6678, 0xddc549629c81e5ad,
  0xf0313bbf64fe2af9, 0x77eefcf0202726db, 0xd009bf379b48a0c0, 0x8d21c354dea53929, 0x6194e31bc67440f8,
  0xced3863b7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x44ad4eaccdfc1a3f, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00692307dda3d73c,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ee_ce[] = {
  0xddddd1aeebf50c86, 0xdddddd7909026e84, 0xfbb368077337bf57, 0x80fac8bb2dd08762, 0xd8dd8f05cc59b41f,
  0x2413057793389ddd, 0x6a291c7939827c60, 0x8369181bbaad4323, 0x04a774f8971030a1, 0xeb3e2ec87f996128,
  0xe6f51e61b60cf870, 0xe2f4292241240ff5, 0x257f9fbe08bf29f2, 0xe5aa081bb87c2886, 0xe2efe4be5f2e7e43,
  0x22197fc841690df2, 0x84ca7a2a10cb42dd, 0x79096deb7ffe80e7, 0x7fcff35ee60b0de5, 0xa4ff6d4feedd3e09,
  0x80577d51fee86d1b, 0xfe79c216de6e772b, 0x2bb84889c3f60de1, 0xfba94ed7e2310cd0, 0x51f06cc1a63ea3ca,
  0x69d68450298afa8f, 0x484d7d1859622916, 0xa8c9a39d5db8f51d, 0xaaf1b1d7b58af088, 0xb8484515fd1bdab1,
  0x23ecc8e1bd971f18, 0x93f8abe7771525c6, 0x809c9b6fc0c4eefd, 0x37e6f301dfbbf3c0, 0x5eb5392296af3a01,
  0xa3182169c05ef948, 0xd99d38c6f19d1023, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000002609a72b4b,
};

static const uint64_t ur_c128_u1x12_uart1_dual_pr_ee_ce_u4[] = {
  0x8d775f4543ffe907, 0x5e48672c9426eeee, 0x13a2cde985377777, 0xeddad26bbf857179, 0x6ed653c171fd60ab,
  0x770404d214f13db4, 0xe30120982bbc9cfb, 0x0c8da8a452374c13, 0xc2860da4606eeab5, 0x094c049dd3e25c40,
  0xce0a91e2fdd6fccb, 0x6729bd47524d8737, 0x7cb8bd0a48904903, 0x21895fe7ef822fca, 0xc87c855006ee1f0a,
  0xbe5c5dfc97cbe5cf, 0xb1f4432ff9082d21, 0x39e1325a8a8432d0, 0x795e425b7e5affa0, 0x09400ffaf82982c3,
  0x1ba4ff6d4feedd3e, 0x7a680dfd51cae86d, 0xb3879e7085bf8067, 0xc2784bf10d8489ec, 0x22270fe72ea77ea3,
  0x94ed63a9ba6cf6e1, 0x06cc1af9ea3cadfc, 0xd08a05315d4af51f, 0xafa30b2c4522cd3a, 0xece7576e31e3a909,
  0x1b1d7a89bc39223d, 0x422883e8f9eb1aaf, 0x4c8e1bd97d2cc5c2, 0x92966d7c82d51b04, 0x777ec9fc55f3bb8a,
  0xf9e0404e4db7e062, 0x7e6f36914180efdd, 0x86a9bd4a7253a013, 0xc6378ce881f11a43, 0x0c76f62aa8b4c329,
  0x84a5a97e56d99da7, 0xf7f8817b1e1986ef, 0x9d599bf8347f1a2c, 0xef0f7bca1854895a, 0x8cec38fe32fcc4ff,
  0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x0499a347ae792bf7, 0x0000000000000040,
};

static const uint64_t ur_c128_u1x12_uart1_dual_ee_hw[] = {
  0xd1aeebe8a34204d3, 0xebc8d2d08684dddd, 0xf3ef5a7b47e6eeee, 0x471dd6c5f6abbd35, 0x3be27fb8c3eb9c48,
  0xaef24a53b9aebffc, 0x2e8b304f8c048260, 0x606eeab50c8da8a4, 0xd3e25c40c2860da4, 0x5c527e6584a7419d,
  0x1ed6f615be70801c, 0x292241240d36e6f5, 0x9fbe08bf29f2e2f4, 0xf81bb87c2886257f, 0xf25f2f973f21f2e6,
  0xbfe420b486f97177, 0x8b150865a0e9510c, 0xb6f43fff4073c262, 0xe48dd30586f2bc84, 0xda9fddba7c12d37f,
  0x5ad1c890da3749fe, 0x3060a7a8f2b5f735, 0x2877c57fbbd47c1b, 0x8c2cb1148b34eb42, 0xb98f5c54b9a426be,
  0x4de1c911ef673ab4, 0xa3e7ac6ab5d0ebd4, 0x65f4b3170908a20f, 0xe416a8d823f5b86f, 0xe2af9ddc5494026b,
  0x726dbf0313bbf64f, 0x8a0c077eefcf0202, 0x53929d009bf379b4, 0x440f88d21c354dea, 0x5545a6194e31bc67,
  0xf95b66769c8ab7b1, 0x7678661bbe1296a5, 0x87bde50c2a44ad41, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6,
  0x6592e19e985f1a3d, 0x19961d252d9c389c, 0xd322c9453c95fb9a, 0x00000000000000ae,
};

// c128_u1x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u1x12_uart1_dual_ee_ce_hw[] = {
  0xdd1aeebe8a34369f, 0xeebc90ce59284ddd, 0xf227459bd30a6eee, 0x57dbb5a4d77f0ae2, 0x21c7aca782e3fac1,
  0x939f6ee9017cf2fa, 0xe9827c6024130577, 0xdd56a191b5148a46, 0x4b881850c1b48c0d, 0x6fccb094e833ba7c,
  0xd8737ce0a91e2fdd, 0x049036729bd47524, 0x22fca7cb8bd0a489, 0xe1f0a21895fe7ef8, 0xbe5cfc87c855006e,
  0x82d21be5c5dfc97c, 0x432d0b1f4432ff90, 0xaffa039e1325a8a8, 0x982c3795e425b7e5, 0xedd3e09400ff246e,
  0xae86d1ba4ff6d4fe, 0xf90e77a680dfd51c, 0x244f659c3cf3842d, 0xa3f51e13c25f886c, 0x67b70911387ba1ba,
  0xe56fe4a76b1d4dd3, 0x57a8f83660d7cf51, 0x1669d68450298aea, 0x1d484d7d18596229, 0xc911ef673abb718f,
  0x58d578d8ebd44de1, 0x662e1211441f47cf, 0xa8d8226470decbe9, 0x9ddc5494b36be416, 0xbf0313bbf64fe2af,
  0x077eefcf0202726d, 0x9d009bf379b48a0c, 0x88d21c354dea5392, 0xa6194e31bc67440f, 0xcced3863b7b15545,
  0xcc377c252d4bf2b6, 0xca1854895a82ecf0, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x868a792bf734332c, 0x0000000003aeb1ff,
};

// c128_u2x8_uart0_noled_pr
static const uint64_t ur_c128_u2x8_uart0_noled[] = {
  0xb777776d0f59bb37, 0xdddddd55f67183c4, 0x44dd5838b78febaf, 0x78b79383eeeec884, 0x7793bb63d9085e6c,
  0xf4a9827c60241305, 0xdd3e12053fe0d067, 0x4386d1bdaa3949be, 0x03349ea3f3c77cb2, 0x7ba61bf5fe921c49,
  0x787588f199cc580b, 0xd62dc72c608ebc5d, 0xe166fc0c4ad7b0ac, 0x3796ea0c077ad79c, 0x717539794d8ce16f,
  0x5c502169e18aca43, 0xd99d38c6f19d103f, 0x1986ef84a5a97e56, 0xfc68b3dfe209f71e, 0x615c9fbab31e40d1,
  0xb670e271964b867a, 0xf257ee6866587494, 0x000003e434e6117c,
};

static const uint64_t ur_c128_u2x8_uart0_noled_pr_u4[] = {
  0xeeeeeda1d121b562, 0xbbbbaabece71f896, 0xe2de4533600d2e3b, 0xb11e0fbbba1651c7, 0x3bbf4e0de1570499,
  0x9827c60241305779, 0xf84814ffd1067f4a, 0x1b46f6a8e526fb74, 0x05fa8fd01df2c21e, 0xa6f937ba4871240d,
  0x705a3d61cc580b2c, 0x00ffd9823af47d78, 0xaf81e59ed871a255, 0x9c2cdf81895af626, 0x379f054180ef5af3,
  0x717539794d8ce16f, 0x718de33a204aca43, 0xe8ab7b15545a5612, 0xc252d4bf2b6cce54, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0xf27cbf0d696792bf, 0x0000000000000001,
};

// c128_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_c128_u2x8_uart0_noled_pr_ee[] = {
  0xeeeeeda1d1219541, 0xbbbbaabe6b033896, 0x90240b8ebd7da0bb, 0x53f53341dd48a35d, 0x292672539cd2cddb,
  0xc602413057793ba0, 0x97ffa20cfe049827, 0xdaa3949bedd3e122, 0x449aad68e7186d1b, 0x1f06cc1a63ea3cae,
  0x9d68450ef8accaf5, 0x84d7d18596229166, 0x9cead2e7aae35934, 0x0ebce9de11be8f05, 0x142cf461c6c6ab5d,
  0x5b86f65b2e62e121, 0x00520aa0ea8d823f, 0xf39c2cdf81895af6, 0x6f379f054180ef5a, 0x43717539794d8ce1,
  0x12718de33a204aca, 0x54e8ab7b15545a56, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x009d731c4d696792,
};

// c128_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_c128_u2x8_uart0_noled_pr_ce[] = {
  0xeeeeeda1d121af43, 0xbbbbaabae40d8896, 0xd0a6c6de8d3da17b, 0x83305fbbbbbbfc5a, 0x775a77daa67b28fd,
  0x304f8c048260aef2, 0xc2470fff4419f60b, 0xda37b5472937dba7, 0xcdceff701bfa8290, 0x44f659c3cf3842db,
  0x3f51e13c25f886c2, 0x67b7091138780029, 0xd4727a7b96faf593, 0x98dad490e2481eb3, 0x78705a3d61cc580a,
  0x5500ffd99e3af47d, 0x89abe0796b7071a2, 0xbce70b37e06256bd, 0x5bcde7c150603bd6, 0x90dc5d4e5e536338,
  0x849c6378ce8812b2, 0x2a718edec5551695, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x4ad4eaccdfc1ddc6,
  0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x00375f2ab2b4b3c9,
};

// c128_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u2x8_uart0_noled_pr_ee_ce[] = {
  0xdddddb43a243704a, 0xeeeeaae9eb12312d, 0x7791a17b627605ee, 0x7c6d3d2eebd3643a, 0x75c505577c4eb824,
  0x602413057793baeb, 0x1ffa20cfbfc9827c, 0xaa3949bedd3e120d, 0x80dfd5194b86d1bd, 0x1e79c216de6e7616,
  0xe12fc4361227b2ce, 0x9c3dd0dd51fa8f09, 0xb58e9ef9b3db8488, 0x60d6bfa8f2bea253, 0x2814c57dd7a8f836,
  0x8c2cb1148b34eb42, 0xceaedc7a8ea426be, 0xebce9de11be8f059, 0x859e8c38d8d578d8, 0x70decb65cc5c2422,
  0x6720aa0ea8d82264, 0x39c2cdf81895af61, 0xf379f054180ef5af, 0x3717539794d8ce16, 0x2718de33a204aca4,
  0x9c63b7b15545a561, 0xf84a5a97e56d99ca, 0xcf7f8817b1e1986e, 0xb53ab337f07771a2, 0xffde1ef79430a912,
  0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x09f97107ad2cf257,
};

static const uint64_t ur_c128_u2x8_uart0_noled_ee_hw[] = {
  0x77776d0e8a341202, 0xdddd55f35819c4b7, 0x81205c75ebed05dd, 0x9fa99a0eea451aec, 0xccdb16a0a6966eda,
  0x7c602413057793ba, 0x297ffd64cfe04982, 0xbdaa3949bedd3e12, 0xe449aad68e7186d1, 0x51f06cc1a63ea3ca,
  0x69d68450ef8accaf, 0x484d7d1859622916, 0x59cead2e7aae3593, 0xd0ebce9de11be8f0, 0x1142cf461c6c6ab5,
  0xf5b86f65b2e62e12, 0x600520aa0ea8d823, 0xaf39c2cdf81895af, 0x16f379f054180ef5, 0xa43717539794d8ce,
  0x612718de33a204ac, 0xe54e8ab7b15545a5, 0x377c252d4bf2b6cc, 0x1854895a82ecf0cc, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x8a792bf734332c3a, 0x000000005be4134e,
};

// c128_u2x8_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart0_noled_ee_ce_hw[] = {
  0xeeeeda1d14683375, 0x7775574f5891896e, 0xbc8d0bdb13b02f77, 0xe369e9775e9b21d3, 0x58ab5b73a275c123,
  0x7c602413057793ba, 0x0d1ffd64cfbfc982, 0xbdaa3949bedd3e12, 0x1680dfd5194b86d1, 0x9c3cf3842df90e76,
  0x13c25f886c244f65, 0x889c3b39747ff51e, 0x53b58e9ef9b3db84, 0x3660d6bfa8f2bea2, 0x422814c57dd7a8f8,
  0xbe8c2cb1148b34eb, 0x59ceaedc7a8ea426, 0xd8ebce9de11be8f0, 0x22859e8c38d8d578, 0x6470decb65cc5c24,
  0x616720aa0ea8d822, 0xaf39c2cdf81895af, 0x16f379f054180ef5, 0xa43717539794d8ce, 0x612718de33a204ac,
  0xca9c63b7b15545a5, 0x6ef84a5a97e56d99, 0x30a912b505d9e198, 0x65f989ffde1ef794, 0xfd8668fb19d871fc,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x14f257ee68665874, 0x0000000140422ed5,
};

static const uint64_t ur_c128_u2x8_uart0_lednop[] = {
  0xbbbbbb687acdc49f, 0x77777557d9cad225, 0xa1122e1fddb7a36f, 0xbc7d83eeeec88444, 0xef277731243568f4,
  0xce3304f8c048260a, 0xba7c24be7fc1a0cf, 0x870da37b5472937d, 0x06693d47278ef964, 0xbdd32636b5243892,
  0xe1afe8e414e62c05, 0x1c771cb1823af175, 0xc2cdf81895af6158, 0x14180ef5af3c0809, 0x53929d002de6f369,
  0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf95b66769c8ab7b1, 0xec78661bbe1296a5, 0xcb25c33d30ae4fcf,
  0x332c3a4a5b387138, 0x400b08be792bf734, 0x000000000000002a,
};

// c128_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_c128_u2x8_uart0_lednop_pr[] = {
  0xdddddb43a2432aac, 0x7777557d9cf4b12d, 0x1ff177e6f8fdcc77, 0x4cf9beeee859471f, 0x777c8a3b41227400,
  0x304f8c048260aef2, 0xe12403ff4419f09f, 0x6d1bdaa3949bedd3, 0x17ea3dac77cb0878, 0x9a6e8ca921c49034,
  0x4d23486731602cb2, 0x07fecc11d7a3ebc2, 0x281e59edbda1f6a8, 0xc2cdf81895af67b8, 0x14180ef5af3c0809,
  0x53929d002de6f369, 0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf95b66769c8ab7b1, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xab4b3c95fb9a1996, 0x000000000f93d176,
};

// c128_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_c128_u2x8_uart0_lednop_pr_ee[] = {
  0x777776d0e890c582, 0xddddd55f358fdc4b, 0x0cd90cc76a2ed91d, 0xc9fa99a0eea451ae, 0xb410e5d96a7aed2e,
  0xe30120982bbc9dd3, 0x9effd1067f7dcc13, 0xed51ca4df6e9f092, 0x654d56b4738c368d, 0x8f83660d31f51e56,
  0x9d68450ef8acc7fa, 0x84d7d18596229166, 0x1cead2f222e35934, 0x43af3a77847c464d, 0x228e811bdab1aad7,
  0xeb70decb65cc5c24, 0xd801071a2551b047, 0x020270b37e06256b, 0xbcda450603bd6bcf, 0x537a94e4a7400b79,
  0x6f19d103e234870d, 0xadec55516986538c, 0xa5a97e56d99da722, 0xf8817b1e1986ef84, 0xab337f07771a2cf7,
  0xe1ef79430a912b53, 0x9d871fc65f989ffd, 0x45fe07efd8668fb1, 0x1964b867a617c68f, 0x866587494b670e27,
  0x73044ad2cf257ee6, 0x000000000000009d,
};

// c128_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_c128_u2x8_uart0_lednop_pr_ce[] = {
  0xeeeeeda1d121b032, 0x77775575c862f896, 0xd85a2a1ed05d0837, 0xcfde3bddddddfe2c, 0x3bad88e72c14e434,
  0x9827c60241305779, 0xe12287ffa20cfe56, 0x6d1bdaa3949bedd3, 0xe6e77f380dfd4148, 0x227b2ce1e79c216d,
  0x3fa8f09e12fc4361, 0xcf6e122270f8ddd8, 0xa8fd24f72df5eb26, 0x4907e921c4903d67, 0xc24d23486731602e,
  0xa807feccf1d7a3eb, 0xee0a0796b73da1f6, 0x0270b37e06256bd9, 0xda450603bd6bcf02, 0x7a94e4a7400b79bc,
  0x19d103e234870d53, 0xec55516986538c6f, 0x52fcadb33b4e18ed, 0x02f63c330ddf094b, 0x66fe0eee3459eff1,
  0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x0e55a59e4afdcd0c, 0x000000000001bae6,
};

// c128_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xdddddb43a243306a, 0xeeeeaae9eb46712d, 0x47a7041a1bb4dd6e, 0xa6369e9775e9b202, 0xfc98759086c4c4ef,
  0x30120982bbc9ddaa, 0x7ffa20cfd6fcc13e, 0x5472937dba7c253b, 0x81bfaa32970da37b, 0x79e7085b79b9dd8f,
  0x84bf10d8489ecb38, 0xe1c0006ddfea3c27, 0xac74f7cd9edc2444, 0x06b5fd4795f7529d, 0x814c561efd47c1b3,
  0xc2cb1148b34eb422, 0xeaedd220ea426be8, 0xaf3a77847c464d1c, 0x1d0237b56355e363, 0xe1bd96cb98b84845,
  0x59871a2551b044c8, 0x0270b37e06256bd8, 0xda450603bd6bcf02, 0x7a94e4a7400b79bc, 0x19d103e234870d53,
  0xec55516986538c6f, 0x52fcadb33b4e18ed, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756,
  0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x7215a59e4afdcd0c,
  0x0000000000004fc3,
};

static const uint64_t ur_c128_u2x8_uart0_lednop_ee_hw[] = {
  0xbbbbb687451a18e2, 0xeeeeaaf9ac7ee25b, 0x66c8663b5176c8ee, 0x4fd4cd0775228d70, 0x29c3db4eb3d76976,
  0x3e30120982bbc9dd, 0x29effeb267f7dcc1, 0xded51ca4df6e9f09, 0x6654d56b4738c368, 0xa8f83660d31f51e5,
  0x69d68450ef8acc7f, 0x484d7d1859622916, 0xd1cead2f222e3593, 0x743af3a77847c464, 0x4228e811bdab1aad,
  0x7eb70decb65cc5c2, 0xbd801071a2551b04, 0xf020270b37e06256, 0x9bcda450603bd6bc, 0xd537a94e4a7400b7,
  0xc6f19d103e234870, 0x2adec55516986538, 0x4a5a97e56d99da72, 0x12b505d9e1986ef8, 0x89ffde1ef79430a9,
  0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0000b7e8269d14f2,
};

// c128_u2x8_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart0_lednop_ee_ce_hw[] = {
  0x77776d0e8a34304a, 0xbbbaaba7ad19c4b7, 0x1e9c10686ed375bb, 0x98da7a5dd7a6c809, 0x8ba8fea01b1313be,
  0xf180904c15de4eed, 0xdbffeb267eb7e609, 0xdaa3949bedd3e129, 0x7c0dfd5194b86d1b, 0x879e7085bf21ceec,
  0x784bf10d8489ecb3, 0x270ed07044fea3c2, 0xed63a7be6cf6e122, 0x9835afea3cafba94, 0x140a62b0f7ea3e0d,
  0x4616588a459a75a1, 0xe7576e910752135f, 0x1d79d3bc23e23268, 0x28e811bdab1aaf1b, 0x470decb65cc5c242,
  0xc2cc38d12a8d8226, 0x1013859bf0312b5e, 0xe6d228301deb5e78, 0x9bd4a7253a005bcd, 0x78ce881f11a4386a,
  0x6f62aa8b4c329c63, 0x5a97e56d99da70c7, 0xb505d9e1986ef84a, 0xffde1ef79430a912, 0xfb19d871fc65f989,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x014041409514f257,
};

// c128_u2x8_uart0_dual_pr           c128_u2x8_uart0_dual_pr_u4
static const uint64_t ur_c128_u2x8_uart0_dual[] = {
  0xddddd1af448618be, 0x77775e47a69ca84d, 0xa57c6eb6c5f73ef7, 0x6a015bbba62638ec, 0xeebd9c1059e08b11,
  0x30120982bbc9b22e, 0x191b5148548cc13e, 0x850c1b48c0ddd56a, 0x0940253ba7c4b881, 0x58e1bef8be9bfccb,
  0x032eb37a8ea7b619, 0xca7cb8bd0a489049, 0x0a21895fe7ef822f, 0xe7e43e56b606ee1f, 0x90df2e2efe4be5f2,
  0x5a1f222197fc8416, 0xfa039e130f915086, 0x161bcaf212dbd4af, 0x6e9f09775fe6bdcc, 0x4d4368ded51ca4df,
  0x81887f51f229df2c, 0xa83cc7ac43490e24, 0xbc3bda3afe731602, 0xd500ffd9823af006, 0x629c81e59edf3c27,
  0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0xe6f36914180ef5af, 0x354dea53929d002d, 0x31bc67440f88d21c,
  0x8ab7b15545a6194e, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x92641cab4b3c95fb,
  0x0000000000000002,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ee[] = {
  0x6eeeee8d7d436f02, 0x777775e469684342, 0xde9af9f7ad3da3f3, 0xce24238eeb62fb55, 0x9af793166fdc61f5,
  0x982bbc9294ee7f0f, 0x290ba2cc13e30120, 0x69181bbaad43236a, 0xa774f8971030a183, 0x0717149f99612804,
  0xbd47b5bd856f9c20, 0xbd0a489049034db9, 0x5fe7ef822fca7cb8, 0xb9be06ee1f0a2189, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x98a2c54219683a54, 0x212dbd0fffd01cf0, 0x37fe6bdcc161bcaf, 0xdaa3949bedd3e12d,
  0xfb9aad68e4486d1b, 0x3e0d983053d4795a, 0x75a1143be2bfddea, 0x135f4616588a459a, 0x9d5a5cc7ae2a5cd2,
  0x75ea26f0e488f7b3, 0x5107d1f3d6355ae8, 0xdc37b2fa598b8484, 0x0135f20b546c11fa, 0x7b27f157ceee2a4a,
  0xe0404e166fc0c4ad, 0x379b48a0c077ad79, 0xaa6f529c94e8016f, 0x8de33a207c4690e1, 0x55bd8aaa2d30ca71,
  0x94b52fcadb33b4e4, 0xfc413ee3c330ddf0, 0xd599bf83bb8d167b, 0x8cb25c33d30ae4fd, 0x4332c3a4a5b38713,
  0x1445f5696792bf73, 0x0000000000000032,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ee_u4[] = {
  0x77746bd150ff880b, 0xbbaf234b421a1377, 0xd7cfbd69ed1f9bbb, 0x211c775b17daaef4, 0x7939a75ee30fae71,
  0xef24a53b849fe9ad, 0xe8b304f8c048260a, 0x06eeab50c8da8a42, 0x3e25c40c2860da46, 0x8a4fccb094c049dd,
  0xdadec2b7ce10038b, 0x24482481a6dcdea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x4be5f2e7e43e5cdf,
  0xfc841690df2e2efe, 0x62a10cb41d2a2197, 0xde87ffe80e784c51, 0xbe0a60b0de579096, 0x2937dba7c25a6ffe,
  0x5ad1c890da37b547, 0x3060a7a8f2b5f735, 0x2877c57fbbd47c1b, 0x8c2cb1148b34eb42, 0xb98f5c54b9a426be,
  0x4de1c911ef673ab4, 0xa3e7ac6ab5d0ebd4, 0x65f4b3170908a20f, 0xe416a8d823f5b86f, 0xe2af9ddc5494026b,
  0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa53929d002de6f36, 0x7440f88d21c354de, 0x15545a6194e31bc6,
  0x5f95b66769c8ab7b, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xd1eb9e4afdcd0ccb, 0x000000002b233d3a,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ce[] = {
  0xeeee8d7d41436f02, 0xdddd7930ab9d426e, 0xcabf656d71daefdd, 0xfb3eddddb12eca8b, 0xf0f9ae3f059b0b28,
  0x120982bbc9b82ee7, 0x36a291c3fcc13e30, 0x18369181bbaad432, 0x804a774f8971030a, 0x019be2fbb5f99612,
  0x7537a8e16b6063e7, 0xcb8bd0a489049032, 0x1895fe7ef822fca7, 0x43e5d6606ee1f0a2, 0xf2e2efe4be5f2e7e,
  0x3da2197fc841690d, 0xe784c13e2a10cb40, 0xf2bc84b6f2bbfe80, 0x84a43ff9af730586, 0xb46f6a8e526fb74f,
  0xb9d945015df5f921, 0xd7687df9e7085b79, 0xa97340aee122270e, 0x52fd471bf3dcb3db, 0x02a00f7d24389207,
  0x06bc3bda3afe7316, 0x27d500ffd99e3af0, 0x5258a720796b773c, 0x256bd93f8abe7771, 0x6bcf020270b37e06,
  0x0b79bcda450603bd, 0x870d537a94e4a740, 0x538c6f19d103e234, 0x4e18edec55516986, 0xdf094b52fcadb33b,
  0xb3dfe204e33c330d, 0xad4eaccdfc1ddc68, 0x33b0e271a50c2a44, 0x3d30ae4fc07cd1f6, 0x4a5b387138cb25c3,
  0x96792bf734332c3a, 0x0000000069274f56,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ce_u4[] = {
  0xbbba35e8a87fa0ae, 0xddd790fdecdd09bb, 0x4f4fbdb41dc89ddd, 0x75bddddb0cafbbb4, 0xfadd5ec3eb83e421,
  0x982bbc9374eefafb, 0x291649cc13e30120, 0x69181bbaad43236a, 0x2774f8971030a183, 0xfe2f003f32c25301,
  0xf51e76f616b670ad, 0xf4292241240f76a6, 0x7f9fbe08bf29f2e2, 0x29201bb87c288625, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x32fb8a8432d04ac8, 0x425b7eafffa039e1, 0xbffaf82982c3795e, 0xd51ca4df6e9f096f,
  0x28606febd44368de, 0x9c3cf3842dfc033b, 0x13c25f886c244f65, 0x889c3f2d337ff51e, 0xf72df5d4b9b3db84,
  0x0e2481d4bf51c6fc, 0xbf9cc580a803df49, 0x678ebc01af0ef68e, 0x5addcf09f5403ff6, 0xaf9ddc549629c81e,
  0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x3929d002de6f3691, 0x40f88d21c354dea5, 0x545a6194e31bc674,
  0x2b6cced3863b7b15, 0x8f0cc377c252d4bf, 0x1a3f8d167bfc40bd, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0xd73c95fb9a19961d, 0x000000692307dda3,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ee_ce[] = {
  0x09bbbbba35f50c86, 0xafbbbbbaf21204dd, 0xc5f766d00ee66f7e, 0x3f01f591765ba10e, 0xbbb1bb1e0b98b368,
  0xc048260aef26713b, 0x46d45238f27304f8, 0x4306d23037755a86, 0x50094ee9f12e2061, 0xe1d67c5d90ff32c2,
  0xebcdea3cc36c19f0, 0xe5c5e8524482481f, 0x0c4aff3f7c117e53, 0x87cb54103770f851, 0xe5c5dfc97cbe5cfc,
  0xba4432ff9082d21b, 0xcf0994f454219685, 0xcaf212dbd6fffd01, 0x12ff9fe6bdcc161b, 0xd1bdaa3949bedd3e,
  0x72b80577d51fee86, 0xde1fe79c216de6e7, 0xcd02bb84889c3f60, 0x3cafba94ed7e2310, 0xa8f51f06cc1a63ea,
  0x91669d68450298af, 0x51d484d7d1859622, 0x088a8c9a39d5db8f, 0xab1aaf1b1d7b58af, 0xf18b8484515fd1bd,
  0x5c623ecc8e1bd971, 0x6bd93f8abe777152, 0xcf020270b37e0625, 0x3a005bcde603bd6b, 0xf9485eb5392296af,
  0x1023a3182169c05e, 0x7e56d99d38c6f19d, 0xf71e1986ef84a5a9, 0xfc1ddc68b3dfe209, 0xe19e985727eeaccd,
  0x1d252d9c389c6592, 0x2b4b3c95fb9a1996, 0x00000000002609a7,
};

static const uint64_t ur_c128_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddd1af4543ffe907, 0xeebc90ce59284ddd, 0xf227459bd30a6eee, 0x57dbb5a4d77f0ae2, 0x68ddaca782e3fac1,
  0xf6ee0809a429e27b, 0x27c6024130577939, 0x6a191b5148a46e98, 0x81850c1b48c0ddd5, 0x961298093ba7c4b8,
  0x6f9c1523c5fbadf9, 0x06ce537a8ea49b0e, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x9f90f90aa00ddc3e,
  0x437cb8bbf92f97cb, 0xa163e8865ff2105a, 0x4073c264b5150865, 0x86f2bc84b6fcb5ff, 0x3e12801ff5f05305,
  0x86d1bdaa3949bedd, 0x0677a680dfd51cae, 0x9ecb3879e7085bf8, 0xea3c2784bf10d848, 0x6e122270fe72ea77,
  0xdfc94ed63a9ba6cf, 0x51f06cc1af9ea3ca, 0xd3ad08a05315d4af, 0x909afa30b2c4522c, 0x23dece7576e31e3a,
  0xaaf1b1d7a89bc392, 0x5c2422883e8f9eb1, 0xb044c8e1bd97d2cc, 0xb8a92966d7c82d51, 0x0312b5ec9fc55f3b,
  0xdeb5e781013859bf, 0xa005bcde6d228301, 0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4,
  0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x895a9d599bf8347f, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc,
  0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x00400499a347ae79,
};

static const uint64_t ur_c128_u2x8_uart0_dual_ee_hw[] = {
  0xbbba35e8a34204d3, 0xddd791a5a10d09bb, 0x6be7deb4f68fcddd, 0x908e3bad8bed577a, 0xf877c4ff7187d738,
  0xc15de494a7735d7f, 0x485d16609f180904, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0x38b8a4fccb094e83,
  0xea3dadec2b7ce100, 0xe8524482481a6dcd, 0xff3f7c117e53e5c5, 0xcdf03770f8510c4a, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc5162a10cb41d2a2, 0x096de87ffe80e784, 0xffc91ba60b0de579, 0x5472937dba7c25a6,
  0x7355ad1c890da37b, 0xc1b3060a7a8f2b5f, 0xb422877c57fbbd47, 0x6be8c2cb1148b34e, 0xab4b98f5c54b9a42,
  0xbd44de1c911ef673, 0x20fa3e7ac6ab5d0e, 0x86f65f4b3170908a, 0x26be416a8d823f5b, 0x64fe2af9ddc54940,
  0x0809c2cdf81895af, 0xf36914180ef5af3c, 0x4dea53929d002de6, 0xbc67440f88d21c35, 0xb7b15545a6194e31,
  0x96a5f95b66769c8a, 0xad417678661bbe12, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x00aed322c9453c95,
};

// c128_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbba35e8a34369f, 0xdddd79219cb2509b, 0xc5e44e8b37a614dd, 0x82afb76b49aefe15, 0xf4438f594f05c7f5,
  0xef273eddd202f9e5, 0x8dd304f8c048260a, 0x1bbaad43236a2914, 0xf8971030a1836918, 0xbadf996129d06774,
  0x49b0e6f9c1523c5f, 0x1209206ce537a8ea, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0xf97cb9f90f90aa00,
  0x2105a437cb8bbf92, 0x50865a163e8865ff, 0xcb5ff4073c264b51, 0xdd30586f2bc84b6f, 0x9bedd3e12801fe48,
  0x51cae86d1bdaa394, 0x42df90e77a680dfd, 0x86c244f659c3cf38, 0x1baa3f51e13c25f8, 0xdd367b70911387ba,
  0xf51e56fe4a76b1d4, 0xaea57a8f83660d7c, 0x2291669d68450298, 0x18f1d484d7d18596, 0xde1c911ef673abb7,
  0x7cf58d578d8ebd44, 0xbe9662e1211441f4, 0x416a8d8226470dec, 0x2af9ddc5494b36be, 0xc2cdf81895af64fe,
  0x14180ef5af3c0809, 0x53929d002de6f369, 0x440f88d21c354dea, 0x5545a6194e31bc67, 0xf2b6cced3863b7b1,
  0xecf0cc377c252d4b, 0x0f7bca1854895a82, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0xb1ff868a792bf734, 0x00000000000003ae,
};

// c128_u2x8_uart1_noled_pr
static const uint64_t ur_c128_u2x8_uart1_noled[] = {
  0xb777776d0f59bb37, 0xdddddd55f67183c4, 0x44dd5838b78febaf, 0x78b79383eeeec884, 0x7793bb63d9085e6c,
  0xf4a9827c60241305, 0xba7c12053fe0d067, 0x870da37b5472937d, 0x06693d47e78ef964, 0xf74c37ebfd243892,
  0xf0eb11e33398b016, 0xac5b8e58c11d78ba, 0x26dbf0313bbf6159, 0x796ea0c077eefce7, 0x2ea72f29b19c9bf3,
  0x8a042d3c3159486e, 0x33a718de33a207eb, 0x30ddf094b52fcadb, 0x8d167bfc413ee3c3, 0x2b93f75663c81a3f,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00007c869cc22f9e,
};

static const uint64_t ur_c128_u2x8_uart1_noled_pr_u4[] = {
  0xeeeeeda1d121b562, 0xbbbbaabece71f896, 0xe2de4533600d2e3b, 0xb11e0fbbba1651c7, 0x3bbf4e0de1570499,
  0x9827c60241305779, 0xf04814ffd1067f4a, 0x368ded51ca4df6e9, 0x0bf51fa03be5843c, 0x4df26f7490e2481a,
  0xe0b47ac398b01659, 0x01ffb30475e8faf0, 0x5f03cb3db0e344aa, 0xe4db7e062777ec4d, 0x79f054180efddf9c,
  0x2ea72f29b19c9bf3, 0x31bc67440959486e, 0x156f62aa8b4ac24e, 0x4a5a97e56d99ca9d, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0x4f97e1ad2cf257ee, 0x000000000000003e,
};

// c128_u2x8_uart1_noled_pr_ee_u4
static const uint64_t ur_c128_u2x8_uart1_noled_pr_ee[] = {
  0xeeeeeda1d1219541, 0xbbbbaabe6b033896, 0x90240b8ebd7da0bb, 0x53f53341dd48a35d, 0x292672539cd2cddb,
  0xc602413057793ba0, 0x97ffa20cfe049827, 0xb5472937dba7c122, 0x89355ad1ce30da37, 0x3e0d9834c7d4795c,
  0x3ad08a1df15995ea, 0x09afa30b2c4522cd, 0x39d5a5cf55c6b269, 0x1d79d3bc237d1e0b, 0x2859e8c38d8d56ba,
  0xb70decb65cc5c242, 0x00a41541d51b047e, 0x9ce4db7e062777ec, 0xf379f054180efddf, 0x6e2ea72f29b19c9b,
  0x4e31bc6744095948, 0x9d156f62aa8b4ac2, 0xf84a5a97e56d99ca, 0xcf7f8817b1e1986e, 0xb53ab337f07771a2,
  0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x13ae6389ad2cf257,
};

// c128_u2x8_uart1_noled_pr_ce_u4
static const uint64_t ur_c128_u2x8_uart1_noled_pr_ce[] = {
  0xeeeeeda1d121af43, 0xbbbbaabae40d8896, 0xd0a6c6de8d3da17b, 0x83305fbbbbbbfc5a, 0x775a77daa67b28fd,
  0x304f8c048260aef2, 0x82470fff4419f60b, 0xb46f6a8e526fb74f, 0x9b9dfee037f50521, 0x89ecb3879e7085b7,
  0x7ea3c2784bf10d84, 0xcf6e122270f00052, 0xa8e4f4f72df5eb26, 0x31b5a921c4903d67, 0xf0e0b47ac398b015,
  0xaa01ffb33c75e8fa, 0x1357c0f2d6e0e344, 0xe73936df8189ddfb, 0xfcde7c150603bf77, 0x1b8ba9cbca6c6726,
  0x938c6f19d1025652, 0x4e31dbd8aaa2d2b0, 0x7c252d4bf2b6cce5, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x06ebe5565696792b,
};

// c128_u2x8_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u2x8_uart1_noled_pr_ee_ce[] = {
  0xdddddb43a243704a, 0xeeeeaae9eb12312d, 0x7791a17b627605ee, 0x7c6d3d2eebd3643a, 0x75c505577c4eb824,
  0x602413057793baeb, 0x1ffa20cfbfc9827c, 0x5472937dba7c120d, 0x01bfaa32970da37b, 0x3cf3842dbcdcec2d,
  0xc25f886c244f659c, 0x387ba1baa3f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57d44a7, 0x50298afbaf51f06c,
  0x185962291669d684, 0x9d5db8f51d484d7d, 0xd79d3bc237d1e0b3, 0x0b3d1871b1aaf1b1, 0xe1bd96cb98b84845,
  0xce41541d51b044c8, 0xce4db7e062777ec2, 0x379f054180efddf9, 0xe2ea72f29b19c9bf, 0xe31bc67440959486,
  0x8c76f62aa8b4ac24, 0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3f2e20f5a59e4afd,
  0x0000000000000001,
};

static const uint64_t ur_c128_u2x8_uart1_noled_ee_hw[] = {
  0x77776d0e8a341202, 0xdddd55f35819c4b7, 0x81205c75ebed05dd, 0x9fa99a0eea451aec, 0xccdb16a0a6966eda,
  0x7c602413057793ba, 0x297ffd64cfe04982, 0x7b5472937dba7c12, 0xc89355ad1ce30da3, 0xa3e0d9834c7d4795,
  0xd3ad08a1df15995e, 0x909afa30b2c4522c, 0xb39d5a5cf55c6b26, 0xa1d79d3bc237d1e0, 0x22859e8c38d8d56b,
  0xeb70decb65cc5c24, 0xc00a41541d51b047, 0xf9ce4db7e062777e, 0xbf379f054180efdd, 0x86e2ea72f29b19c9,
  0x24e31bc674409594, 0xa9d156f62aa8b4ac, 0xef84a5a97e56d99c, 0x0a912b505d9e1986, 0x5f989ffde1ef7943,
  0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x0000000b7c8269d1,
};

// c128_u2x8_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart1_noled_ee_ce_hw[] = {
  0xeeeeda1d14683375, 0x7775574f5891896e, 0xbc8d0bdb13b02f77, 0xe369e9775e9b21d3, 0x58ab5b73a275c123,
  0x7c602413057793ba, 0x0d1ffd64cfbfc982, 0x7b5472937dba7c12, 0x2d01bfaa32970da3, 0x3879e7085bf21cec,
  0x2784bf10d8489ecb, 0x11387672e8ffea3c, 0xa76b1d3df367b709, 0x6cc1ad7f51e57d44, 0x8450298afbaf51f0,
  0x7d185962291669d6, 0xb39d5db8f51d484d, 0xb1d79d3bc237d1e0, 0x450b3d1871b1aaf1, 0xc8e1bd96cb98b848,
  0xc2ce41541d51b044, 0xf9ce4db7e062777e, 0xbf379f054180efdd, 0x86e2ea72f29b19c9, 0x24e31bc674409594,
  0x538c76f62aa8b4ac, 0xdf094b52fcadb339, 0x152256a0bb3c330d, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c,
  0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000000280845daa2,
};

static const uint64_t ur_c128_u2x8_uart1_lednop[] = {
  0xbbbbbb687acdc49f, 0x77777557d9cad225, 0xa1122e1fddb7a36f, 0xbc7d83eeeec88444, 0xef277731243568f4,
  0xce3304f8c048260a, 0x74f824be7fc1a0cf, 0x0e1b46f6a8e526fb, 0x0cd27a8e4f1df2c9, 0x7ba64c6d6a487124,
  0xc35fd1c829cc580b, 0x38ee39630475e2eb, 0x4db7e062777ec2b0, 0x4180efddf9e0404e, 0x7253a0137e6f3691,
  0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x2b6cced39156f62a, 0x8f0cc377c252d4bf, 0x64b867a615c9f9fd,
  0x6587494b670e2719, 0x016117cf257ee686, 0x0000000000000548,
};

// c128_u2x8_uart1_lednop_pr_u4
static const uint64_t ur_c128_u2x8_uart1_lednop_pr[] = {
  0xdddddb43a2432aac, 0x7777557d9cf4b12d, 0x1ff177e6f8fdcc77, 0x4cf9beeee859471f, 0x777c8a3b41227400,
  0x304f8c048260aef2, 0xc12403ff4419f09f, 0xda37b5472937dba7, 0x2fd47b58ef9610f0, 0x34dd195243892068,
  0x9a4690ce62c05965, 0x0ffd9823af47d784, 0x503cb3db7b43ed50, 0x4db7e062777ecf70, 0x4180efddf9e0404e,
  0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x2b6cced39156f62a, 0x8f0cc377c252d4bf,
  0x83bb8d167bfc40bd, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0x696792bf734332c3, 0x00000001f27a2ed5,
};

// c128_u2x8_uart1_lednop_pr_ee_u4
static const uint64_t ur_c128_u2x8_uart1_lednop_pr_ee[] = {
  0x777776d0e890c582, 0xddddd55f358fdc4b, 0x0cd90cc76a2ed91d, 0xc9fa99a0eea451ae, 0xb410e5d96a7aed2e,
  0xe30120982bbc9dd3, 0x9effd1067f7dcc13, 0xdaa3949bedd3e092, 0xca9aad68e7186d1b, 0x1f06cc1a63ea3cac,
  0x3ad08a1df1598ff5, 0x09afa30b2c4522cd, 0x39d5a5e445c6b269, 0x875e74ef08f88c9a, 0x451d0237b56355ae,
  0xd6e1bd96cb98b848, 0xb0020e344aa3608f, 0x1013936df8189ddf, 0xcda450603bf77e78, 0x6f529c94e804df9b,
  0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d, 0xb52fcadb33b4e455, 0x102f63c330ddf094, 0x666fe0eee3459eff,
  0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x60895a59e4afdcd0, 0x00000000000013ae,
};

// c128_u2x8_uart1_lednop_pr_ce_u4
static const uint64_t ur_c128_u2x8_uart1_lednop_pr_ce[] = {
  0xeeeeeda1d121b032, 0x77775575c862f896, 0xd85a2a1ed05d0837, 0xcfde3bddddddfe2c, 0x3bad88e72c14e434,
  0x9827c60241305779, 0xc12287ffa20cfe56, 0xda37b5472937dba7, 0xcdcefe701bfa8290, 0x44f659c3cf3842db,
  0x7f51e13c25f886c2, 0x9edc2444e1f1bbb0, 0x51fa49ee5bebd64d, 0x920fd24389207acf, 0x849a4690ce62c05c,
  0x500ffd99e3af47d7, 0xdc140f2d6e7b43ed, 0x13936df8189ddfb3, 0xa450603bf77e7810, 0x529c94e804df9bcd,
  0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x5f95b66769c31dbd, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20,
  0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0xcab4b3c95fb9a199, 0x0000000000375cc1,
};

// c128_u2x8_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u2x8_uart1_lednop_pr_ee_ce[] = {
  0xdddddb43a243306a, 0xeeeeaae9eb46712d, 0x47a7041a1bb4dd6e, 0xa6369e9775e9b202, 0xfc98759086c4c4ef,
  0x30120982bbc9ddaa, 0x7ffa20cfd6fcc13e, 0xa8e526fb74f8253b, 0x037f54652e1b46f6, 0xf3ce10b6f373bb1f,
  0x097e21b0913d9670, 0xc38000dbbfd4784f, 0x58e9ef9b3db84889, 0x0d6bfa8f2beea53b, 0x0298ac3dfa8f8366,
  0x85962291669d6845, 0xd5dba441d484d7d1, 0x5e74ef08f88c9a39, 0x3a046f6ac6abc6c7, 0xc37b2d973170908a,
  0xb30e344aa3608991, 0x13936df8189ddfb0, 0xa450603bf77e7810, 0x529c94e804df9bcd, 0x3a207c4690e1aa6f,
  0x8aaa2d30ca718de3, 0x5f95b66769c31dbd, 0x5ec78661bbe1296a, 0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x42b4b3c95fb9a199,
  0x000000000009f86e,
};

static const uint64_t ur_c128_u2x8_uart1_lednop_ee_hw[] = {
  0xbbbbb687451a18e2, 0xeeeeaaf9ac7ee25b, 0x66c8663b5176c8ee, 0x4fd4cd0775228d70, 0x29c3db4eb3d76976,
  0x3e30120982bbc9dd, 0x29effeb267f7dcc1, 0xbdaa3949bedd3e09, 0xcca9aad68e7186d1, 0x51f06cc1a63ea3ca,
  0xd3ad08a1df1598ff, 0x909afa30b2c4522c, 0xa39d5a5e445c6b26, 0xe875e74ef08f88c9, 0x8451d0237b56355a,
  0xfd6e1bd96cb98b84, 0xfb0020e344aa3608, 0x81013936df8189dd, 0xbcda450603bf77e7, 0xa6f529c94e804df9,
  0xde33a207c4690e1a, 0x5bd8aaa2d30ca718, 0x4b52fcadb33b4e45, 0x56a0bb3c330ddf09, 0x3ffbc3def2861522,
  0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x0016fd04d3a29e4a,
};

// c128_u2x8_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart1_lednop_ee_ce_hw[] = {
  0x77776d0e8a34304a, 0xbbbaaba7ad19c4b7, 0x1e9c10686ed375bb, 0x98da7a5dd7a6c809, 0x8ba8fea01b1313be,
  0xf180904c15de4eed, 0xdbffeb267eb7e609, 0xb5472937dba7c129, 0xf81bfaa32970da37, 0x0f3ce10b7e439dd8,
  0xf097e21b0913d967, 0x4e1da0e089fd4784, 0xdac74f7cd9edc244, 0x306b5fd4795f7529, 0x2814c561efd47c1b,
  0x8c2cb1148b34eb42, 0xceaedd220ea426be, 0x3af3a77847c464d1, 0x51d0237b56355e36, 0x8e1bd96cb98b8484,
  0x859871a2551b044c, 0x809c9b6fc0c4eefd, 0x6d228301dfbbf3c0, 0x7a94e4a74026fcde, 0x19d103e234870d53,
  0xec55516986538c6f, 0x52fcadb33b4e18ed, 0xa0bb3c330ddf094b, 0xfbc3def286152256, 0x633b0e3f8cbf313f,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x28082812a29e4afd,
};

// c128_u2x8_uart1_dual_pr           c128_u2x8_uart1_dual_pr_u4
static const uint64_t ur_c128_u2x8_uart1_dual[] = {
  0xddddd1af448618be, 0x77775e47a69ca84d, 0xa57c6eb6c5f73ef7, 0x6a015bbba62638ec, 0xeebd9c1059e08b11,
  0x30120982bbc9b22e, 0x191b5148548cc13e, 0x850c1b48c0ddd56a, 0x0940253ba7c4b881, 0x58e1bef8be9bfccb,
  0x032eb37a8ea7b619, 0xca7cb8bd0a489049, 0x0a21895fe7ef822f, 0xe7e43e56b606ee1f, 0x90df2e2efe4be5f2,
  0x5a1f222197fc8416, 0xfa039e130f915086, 0x161bcaf212dbd4af, 0xdd3e09775fe6bdcc, 0x9a86d1bdaa3949be,
  0x0310fea3e453be58, 0x50798f5886921c49, 0x7877b475fce62c05, 0xaa01ffb30475e00d, 0xc53903cb3dbe784f,
  0x7ec9fc55f3bb8a92, 0xe0404e4db7e06277, 0x6f36914180efddf9, 0xa9bd4a7253a0137e, 0x378ce881f11a4386,
  0x56f62aa8b4c329c6, 0x52d4bf2b6cced391, 0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9,
  0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x4c8395696792bf73,
  0x0000000000000052,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ee[] = {
  0x6eeeee8d7d436f02, 0x777775e469684342, 0xde9af9f7ad3da3f3, 0xce24238eeb62fb55, 0x9af793166fdc61f5,
  0x982bbc9294ee7f0f, 0x290ba2cc13e30120, 0x69181bbaad43236a, 0xa774f8971030a183, 0x0717149f99612804,
  0xbd47b5bd856f9c20, 0xbd0a489049034db9, 0x5fe7ef822fca7cb8, 0xb9be06ee1f0a2189, 0x5dfc97cbe5cfc87c,
  0x432ff9082d21be5c, 0x98a2c54219683a54, 0x212dbd0fffd01cf0, 0x37fe6bdcc161bcaf, 0xb5472937dba7c12d,
  0xf7355ad1c890da37, 0x7c1b3060a7a8f2b5, 0xeb422877c57fbbd4, 0x26be8c2cb1148b34, 0x3ab4b98f5c54b9a4,
  0xebd44de1c911ef67, 0xa20fa3e7ac6ab5d0, 0xb86f65f4b3170908, 0x026be416a8d823f5, 0xf64fe2af9ddc5494,
  0x0202726dbf0313bb, 0x79b48a0c077eefcf, 0x4dea53929d009bf3, 0xbc67440f88d21c35, 0xb7b15545a6194e31,
  0x96a5f95b66769c8a, 0x8827dc78661bbe12, 0xb337f07771a2cf7f, 0x964b867a615c9fba, 0x66587494b670e271,
  0x88bead2cf257ee68, 0x0000000000000642,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ee_u4[] = {
  0x77746bd150ff880b, 0xbbaf234b421a1377, 0xd7cfbd69ed1f9bbb, 0x211c775b17daaef4, 0x7939a75ee30fae71,
  0xef24a53b849fe9ad, 0xe8b304f8c048260a, 0x06eeab50c8da8a42, 0x3e25c40c2860da46, 0x8a4fccb094c049dd,
  0xdadec2b7ce10038b, 0x24482481a6dcdea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x4be5f2e7e43e5cdf,
  0xfc841690df2e2efe, 0x62a10cb41d2a2197, 0xde87ffe80e784c51, 0xbe0a60b0de579096, 0x526fb74f825a6ffe,
  0xb5a39121b46f6a8e, 0x60c14f51e56bee6a, 0x50ef8aff77a8f836, 0x185962291669d684, 0x731eb8a973484d7d,
  0x9bc39223dece7569, 0x47cf58d56ba1d7a8, 0xcbe9662e1211441f, 0xc82d51b047eb70de, 0xc55f3bb8a92804d7,
  0xe4db7e062777ec9f, 0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce,
  0xf2b6cced39156f62, 0xd8f0cc377c252d4b, 0xc1a3f8d167bfc40b, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x3d73c95fb9a19961, 0x000000056467a75a,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ce[] = {
  0xeeee8d7d41436f02, 0xdddd7930ab9d426e, 0xcabf656d71daefdd, 0xfb3eddddb12eca8b, 0xf0f9ae3f059b0b28,
  0x120982bbc9b82ee7, 0x36a291c3fcc13e30, 0x18369181bbaad432, 0x804a774f8971030a, 0x019be2fbb5f99612,
  0x7537a8e16b6063e7, 0xcb8bd0a489049032, 0x1895fe7ef822fca7, 0x43e5d6606ee1f0a2, 0xf2e2efe4be5f2e7e,
  0x3da2197fc841690d, 0xe784c13e2a10cb40, 0xf2bc84b6f2bbfe80, 0x04a43ff9af730586, 0x68ded51ca4df6e9f,
  0x73b28a02bbebf243, 0xaed0fbf3ce10b6f3, 0x52e6815dc2444e1d, 0xa5fa8e37e7b967b7, 0x05401efa4871240e,
  0x0d7877b475fce62c, 0x4faa01ffb33c75e0, 0xa4b14e40f2d6ee78, 0x9ddfb27f157ceee2, 0x7e781013936df818,
  0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xc31dbd8aaa2d30ca, 0xe1296a5f95b66769,
  0x7bfc409c678661bb, 0xa9d599bf83bb8d16, 0x761c4e34a1854895, 0xa615c9f80f9a3ec6, 0x4b670e271964b867,
  0xcf257ee686658749, 0x0000000d24e9ead2,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ce_u4[] = {
  0xbbba35e8a87fa0ae, 0xddd790fdecdd09bb, 0x4f4fbdb41dc89ddd, 0x75bddddb0cafbbb4, 0xfadd5ec3eb83e421,
  0x982bbc9374eefafb, 0x291649cc13e30120, 0x69181bbaad43236a, 0x2774f8971030a183, 0xfe2f003f32c25301,
  0xf51e76f616b670ad, 0xf4292241240f76a6, 0x7f9fbe08bf29f2e2, 0x29201bb87c288625, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x32fb8a8432d04ac8, 0x425b7eafffa039e1, 0xbffaf82982c3795e, 0xaa3949bedd3e096f,
  0x50c0dfd7a886d1bd, 0x3879e7085bf80676, 0x2784bf10d8489ecb, 0x11387e5a66ffea3c, 0xee5beba97367b709,
  0x1c4903a97ea38df9, 0x7f398b015007be92, 0xcf1d78035e1ded1d, 0xb5bb9e13ea807fec, 0x5f3bb8a92c53903c,
  0xdb7e062777ec9fc5, 0x180efddf9e0404e4, 0x253a0137e6f36914, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88,
  0x6d99da70c76f62aa, 0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0xe792bf734332c3a4, 0x00000d2460fbb47a,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ee_ce[] = {
  0x09bbbbba35f50c86, 0xafbbbbbaf21204dd, 0xc5f766d00ee66f7e, 0x3f01f591765ba10e, 0xbbb1bb1e0b98b368,
  0xc048260aef26713b, 0x46d45238f27304f8, 0x4306d23037755a86, 0x50094ee9f12e2061, 0xe1d67c5d90ff32c2,
  0xebcdea3cc36c19f0, 0xe5c5e8524482481f, 0x0c4aff3f7c117e53, 0x87cb54103770f851, 0xe5c5dfc97cbe5cfc,
  0xba4432ff9082d21b, 0xcf0994f454219685, 0xcaf212dbd6fffd01, 0x12ff9fe6bdcc161b, 0xa37b5472937dba7c,
  0xe5700aefaa3fdd0d, 0xbc3fcf3842dbcdce, 0x9a05770911387ec1, 0x795f7529dafc4621, 0x51ea3e0d9834c7d4,
  0x22cd3ad08a05315f, 0xa3a909afa30b2c45, 0x1115193473abb71e, 0x56355e363af6b15e, 0xe3170908a2bfa37b,
  0xb8c47d991c37b2e3, 0xdfb27f157ceee2a4, 0x781013936df8189d, 0x4026fcde603bf77e, 0x290bd6a72452d5e7,
  0x047463042d380bdf, 0xcadb33a718de33a2, 0xe3c330ddf094b52f, 0x83bb8d167bfc413e, 0x33d30ae4fdd599bf,
  0xa4a5b387138cb25c, 0x696792bf734332c3, 0x0000000004c134e5,
};

static const uint64_t ur_c128_u2x8_uart1_dual_pr_ee_ce_u4[] = {
  0xddd1af4543ffe907, 0xeebc90ce59284ddd, 0xf227459bd30a6eee, 0x57dbb5a4d77f0ae2, 0x68ddaca782e3fac1,
  0xf6ee0809a429e27b, 0x27c6024130577939, 0x6a191b5148a46e98, 0x81850c1b48c0ddd5, 0x961298093ba7c4b8,
  0x6f9c1523c5fbadf9, 0x06ce537a8ea49b0e, 0x94f9717a14912092, 0x144312bfcfdf045f, 0x9f90f90aa00ddc3e,
  0x437cb8bbf92f97cb, 0xa163e8865ff2105a, 0x4073c264b5150865, 0x86f2bc84b6fcb5ff, 0x7c12801ff5f05305,
  0x0da37b5472937dba, 0x0cef4d01bfaa395d, 0x3d9670f3ce10b7f0, 0xd4784f097e21b091, 0xdc2444e1fce5d4ef,
  0xbf929dac75374d9e, 0xa3e0d9835f3d4795, 0xa75a1140a62ba95e, 0x2135f4616588a459, 0x47bd9ceaedc63c75,
  0x55e363af51378724, 0xb84845107d1f3d63, 0x608991c37b2fa598, 0x715252cdaf905aa3, 0x0c4eefd93f8abe77,
  0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xb4e18edec5551698,
  0xddf094b52fcadb33, 0x459eff102f63c330, 0x2b53ab337f068fe3, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98,
  0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x0800933468f5cf25,
};

static const uint64_t ur_c128_u2x8_uart1_dual_ee_hw[] = {
  0xbbba35e8a34204d3, 0xddd791a5a10d09bb, 0x6be7deb4f68fcddd, 0x908e3bad8bed577a, 0xf877c4ff7187d738,
  0xc15de494a7735d7f, 0x485d16609f180904, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0x38b8a4fccb094e83,
  0xea3dadec2b7ce100, 0xe8524482481a6dcd, 0xff3f7c117e53e5c5, 0xcdf03770f8510c4a, 0xefe4be5f2e7e43e5,
  0x197fc841690df2e2, 0xc5162a10cb41d2a2, 0x096de87ffe80e784, 0xffc91ba60b0de579, 0xa8e526fb74f825a6,
  0xe6ab5a39121b46f6, 0x83660c14f51e56be, 0x68450ef8aff77a8f, 0xd7d185962291669d, 0x569731eb8a973484,
  0x7a89bc39223dece7, 0x41f47cf58d56ba1d, 0x0decbe9662e12114, 0x4d7c82d51b047eb7, 0xc9fc55f3bb8a9280,
  0x404e4db7e062777e, 0x36914180efddf9e0, 0xbd4a7253a0137e6f, 0x8ce881f11a4386a9, 0xf62aa8b4c329c637,
  0xd4bf2b6cced39156, 0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x15da645928a792bf,
};

// c128_u2x8_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u2x8_uart1_dual_ee_ce_hw[] = {
  0xbbbba35e8a34369f, 0xdddd79219cb2509b, 0xc5e44e8b37a614dd, 0x82afb76b49aefe15, 0xf4438f594f05c7f5,
  0xef273eddd202f9e5, 0x8dd304f8c048260a, 0x1bbaad43236a2914, 0xf8971030a1836918, 0xbadf996129d06774,
  0x49b0e6f9c1523c5f, 0x1209206ce537a8ea, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0xf97cb9f90f90aa00,
  0x2105a437cb8bbf92, 0x50865a163e8865ff, 0xcb5ff4073c264b51, 0xdd30586f2bc84b6f, 0x37dba7c12801fe48,
  0xa395d0da37b54729, 0x85bf21cef4d01bfa, 0x0d8489ecb3879e70, 0x37547ea3c2784bf1, 0xba6cf6e122270f74,
  0xea3cadfc94ed63a9, 0x5d4af51f06cc1af9, 0x4522cd3ad08a0531, 0x31e3a909afa30b2c, 0xbc39223dece7576e,
  0xf9eb1aaf1b1d7a89, 0x7d2cc5c2422883e8, 0x82d51b044c8e1bd9, 0x55f3bb8a92966d7c, 0x4db7e062777ec9fc,
  0x4180efddf9e0404e, 0x7253a0137e6f3691, 0x81f11a4386a9bd4a, 0xa8b4c329c6378ce8, 0x56d99da70c76f62a,
  0x9e1986ef84a5a97e, 0xef79430a912b505d, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45,
  0x6587494b670e2719, 0x3ff0d14f257ee686, 0x00000000000075d6,
};

// c128_u2x12_uart0_noled_pr
static const uint64_t ur_c128_u2x12_uart0_noled[] = {
  0xeeeda1af0759bb37, 0x777557382b07896e, 0x7560e2de3faebf77, 0xbc9c1f7774f067bb, 0x9ddb1ec842f363c5,
  0x4c13e30120982bbc, 0xf09029ff06833fa5, 0xa8e527f36a7d56e9, 0x439df2c90e1b46f6, 0xd490e24819a4f51c,
  0xce62c05bdd36f6d7, 0x475e2ebc320a8d41, 0x5af6158e9ee39630, 0xef5af39c2cdf8189, 0x6253f7ce16f37980,
  0x2169bd5754865f53, 0x718de33a205cdc50, 0xdf094b52fcadb33a, 0x67bfc413ee3c330d, 0x3f75663c81a3f8d1,
  0xc4e32c970cf4c2b9, 0xdcd0ccb0e9296ce1, 0x07c869cc22f9e4af,
};

static const uint64_t ur_c128_u2x12_uart0_noled_pr_u4[] = {
  0xbbb686bc1a243762, 0xddd55ce0ac4625bb, 0x97bd5b6a1ef8fddd, 0xcddfbbbb1112246b, 0xbb4cd19ad08ec6d8,
  0x827c602413057793, 0x84a71ffd1067fa89, 0x47293f9b53eab74f, 0x80ef9610f0da37b5, 0xd2438920682fd47e,
  0x0e62c0596537c9bd, 0x11d7a3ebc382d1eb, 0xf6c38d12a807fecc, 0x0c4ad7b1357c0f2c, 0x0c077ad79ce166fc,
  0xca6c670b79bcf82a, 0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19, 0xf95b6672a7455bd8, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xab4b3c95fb9a1996, 0x000000000f935176,
};

// c128_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_c128_u2x12_uart0_noled_pr_ee[] = {
  0xeeda1af06890c044, 0xbbaabc881bb896ee, 0xa09e3f420da8bbbb, 0xe6130feebc8ebcad, 0x4e5d3821d0b866f4,
  0x80904c15de4eea0a, 0xffe8833f2ba609f1, 0xf9b53eab74f84982, 0x1ce30da37b547293, 0x4c7d4795c89355ad,
  0xdf15995ea3e0d983, 0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xc237d1e0b39d5a5c, 0x38d8d56ba1d79d3b,
  0x65cc5c2422859e8c, 0x1d51b047eb70decb, 0xf0312b5ec00a4154, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0,
  0x67440959486e2ea7, 0x62aa8b4ac24e31bc, 0x97e56d99ca9d156f, 0x17b1e1986ef84a5a, 0x37f07771a2cf7f88,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x82ad2cf257ee6866, 0x000000000009d76f,
};

// c128_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_c128_u2x12_uart0_noled_pr_ce[] = {
  0xddb435e0d1219541, 0x77557cd606712ddd, 0x48171d7afb417777, 0xb6a7bbba9146bb20, 0x40524ce4a739a59b,
  0x4f8c048260aef277, 0x452fff4419fc0930, 0x949fcda9f55ba7c2, 0x0dfd41486d1bdaa3, 0xe79c216de6e77fb8,
  0x12fc4361227b2ce1, 0x9c3c00149fa8f09e, 0xcb7d7ac9b3db8488, 0x71240f59ea393d3d, 0xb0e62c054c6d6a48,
  0xcf1d7a3ebc382d1e, 0xb5b838d12a807fec, 0xf0312b5ec4d5f03c, 0xa8301deb5e73859b, 0x2f29b19c2de6f3e0,
  0x67440959486e2ea7, 0x62aa8b4ac24e31bc, 0x2fcadb339538c76f, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10,
  0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x135a59e4afdcd0cc, 0x0000000000375cc7,
};

// c128_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart0_noled_pr_ee_ce[] = {
  0xbb686bc1a2436d3a, 0xeeaae30970625bbb, 0xc1a0baccf4376eee, 0x71133dd53656e38a, 0x6c7b64c3228ed718,
  0x2413057793bb73b6, 0xfa20cfe209827c60, 0x6d4faadd3e12d35f, 0xa5c368ded51ca4fe, 0x6f373b0b406fea8c,
  0x0913d9670f3ce10b, 0xa8fd4784f097e21b, 0xd9edc2444e1ee86e, 0x795f5129dac74f7c, 0xebd47c1b306b5fd4,
  0x459a75a1140a62be, 0x4752135f4616588a, 0x8df4782ce7576e3d, 0x6c6abc6c75e74ef0, 0xe62e121142cf461c,
  0x546c1132386f65b2, 0x0c4ad7b0b3905507, 0x0c077ad79ce166fc, 0xca6c670b79bcf82a, 0xd10256521b8ba9cb,
  0xaaa2d2b0938c6f19, 0xf2b6cce54e31dbd8, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b,
  0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5696792bf734332c,
  0x00000000013f0f54,
};

static const uint64_t ur_c128_u2x12_uart0_noled_ee_hw[] = {
  0xeda1af068a341768, 0xbaabc881bb896eee, 0x09e3f420da8bbbbb, 0x6130feebc8ebcada, 0x476b47b50b866f4e,
  0x30120982bbc9dd37, 0x5ffeb267e574c13e, 0x7f36a7d56e9f0930, 0xa39c61b46f6a8e52, 0x698fa8f2b9126ab5,
  0x3be2b32bd47c1b30, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x7846fa3c1673ab4b, 0x871b1aad743af3a7,
  0x6cb98b848450b3d1, 0x83aa3608fd6e1bd9, 0x7e06256bd801482a, 0x150603bd6bce70b3, 0xe5e5363385bcde7c,
  0x8ce8812b290dc5d4, 0xec5551695849c637, 0x52fcadb33953a2ad, 0xa0bb3c330ddf094b, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x16fc3d3aa29e4afd,
};

// c128_u2x12_uart0_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart0_noled_ee_ce_hw[] = {
  0xdb435e0d1468cc7f, 0x7557184b8312dddd, 0x0d05d667a1bb7777, 0x8899eea9b2b71c56, 0x57ea8f991476b8c3,
  0x0904c15de4eea7dd, 0xff5933f882609f18, 0x9b53eab74f84b4d7, 0x2970da37b547293f, 0xbf21cec2d01bfaa3,
  0x8489ecb3879e7085, 0x8ffea3c2784bf10d, 0x367b70911387672e, 0x1e57d44a76b1d3df, 0xbaf51f06cc1ad7f5,
  0x91669d68450298af, 0x51d484d7d1859622, 0x237d1e0b39d5db8f, 0x1b1aaf1b1d79d3bc, 0xb98b848450b3d187,
  0xd51b044c8e1bd96c, 0x0312b5ec2ce41541, 0x8301deb5e73859bf, 0xf29b19c2de6f3e0a, 0x7440959486e2ea72,
  0x2aa8b4ac24e31bc6, 0xfcadb339538c76f6, 0xbb3c330ddf094b52, 0xc3def286152256a0, 0x3b0e3f8cbf313ffb,
  0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x089164a29e4afdcd, 0x0000000000000028,
};

static const uint64_t ur_c128_u2x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xddd55ce0bc7e25bb, 0x6f2299b006971ddd, 0x8f07dddd3c19eef1, 0x9dd05e826b204cd8,
  0x4c13e30120982bbc, 0xf09029ff06833fa5, 0xa8e527f36a7d56e9, 0x4f1df2c90e1b46f6, 0x6a4871240cd27a8e,
  0x29cc580b7ba64c6d, 0x0475e2ebc35fd1c8, 0x2b5ec2b038ee3963, 0x5e781013859bf031, 0x5bcde6d228301deb,
  0x386a9bd4a7253a00, 0x9c6378ce881f11a4, 0x39156f62aa8b4c32, 0x7c252d4bf2b6cced, 0x615c9f9fd8f0cc37,
  0xb670e271964b867a, 0xf257ee6866587494, 0x00000549a71e117c,
};

// c128_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_c128_u2x12_uart0_lednop_pr[] = {
  0x76d0d7834486c056, 0xbaab9c1499c4b777, 0x5d83ec2fd05fbbbb, 0x67eeeec444896223, 0xc1c9c6c191a8636f,
  0xf180904c15de4eea, 0x3d7ff4419feea609, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x0e2481a0bf51ed63,
  0x8b016594d3746549, 0xbd1f5e12691a4339, 0xed0fb5403ff6608e, 0xad7b3dc140f2cf6d, 0x79e0404e166fc0c4,
  0x6f379b48a0c077ad, 0xe1aa6f529c94e801, 0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4,
  0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x3e4f69ad5a59e4af,
};

// c128_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_c128_u2x12_uart0_lednop_pr_ee[] = {
  0xeeda1af06890d2a8, 0xbbaabc8834b896ee, 0x56c17eb45d23fbbb, 0x984c3fbaf23af376, 0x8d42459f04142f0a,
  0x80904c15de4ee9d6, 0x7fe8833fa6e609f1, 0xf9b53eab74f84b2b, 0x1ce30da37b547293, 0x4c7d4795995355ad,
  0xbe2b31fea3e0d983, 0x6588a459a75a1143, 0x88b8d64d2135f461, 0xe11f1193473ab4bc, 0xf6ac6ab5d0ebce9d,
  0xd973170908a3a046, 0x89546c11fadc37b2, 0xdf81895af60041c6, 0x80ef5af3c0809c2c, 0x29d002de6f369141,
  0xf88d21c354dea539, 0x5a6194e31bc67440, 0xb66769c8ab7b1554, 0x8661bbe1296a5f95, 0xddc68b3dfe205ec7,
  0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000275c9f86b4,
};

// c128_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_c128_u2x12_uart0_lednop_pr_ce[] = {
  0xeeda1af06890c582, 0xbbaabe6b1fb896ee, 0xb2198ed45db23bbb, 0x5d93dddd48a35c19, 0xa76821cbb2d4f5da,
  0x27c602413057793b, 0x253dffa20cfefb98, 0xca4fe6d4faadd3e1, 0x06fea0a4368ded51, 0xf3ce10b6f373bf9c,
  0x097e21b0913d9670, 0x387c6eec1fd4784f, 0x96faf59367b70911, 0xe2481eb3d47e927b, 0x3398b0172483f490,
  0x78ebd1f5e12691a4, 0x5b9ed0fb5403ff66, 0x0312b5ecf70503cb, 0xdeb5e781013859bf, 0xa005bcde6d228301,
  0x1a4386a9bd4a7253, 0xc329c6378ce881f1, 0x9da70c76f62aa8b4, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x0000dd73044ad2cf,
};

// c128_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x76d0d78344864541, 0xdd55c6122744b777, 0xe36474a7694adddd, 0xe2267baa6caddc18, 0xb9c587ccccc8d330,
  0x2413057793ba8049, 0xfa20cfc009827c60, 0xda9f55ba7c256b7f, 0x4b86d1bdaa3949fc, 0xbcdceec7c0dfd519,
  0x244f659c3cf3842d, 0xeff51e13c25f886c, 0xcf6e122270e00036, 0xcafba94ed63a7be6, 0x7ea3e0d9835afea3,
  0x59a75a1140a62b0f, 0x752135f4616588a4, 0x3e23268e7576e910, 0xb1aaf1b1d79d3bc2, 0xcc5c24228e811bda,
  0xa8d8226470decb65, 0x0312b5ec2cc38d12, 0xdeb5e781013859bf, 0xa005bcde6d228301, 0x1a4386a9bd4a7253,
  0xc329c6378ce881f1, 0x9da70c76f62aa8b4, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19, 0x912b53ab337f0777,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000027e04d6ad2cf,
};

static const uint64_t ur_c128_u2x12_uart0_lednop_ee_hw[] = {
  0x76d0d783451a3768, 0xdd55e441a5c4b777, 0xb60bf5a2e91fdddd, 0xc261fdd791d79bb2, 0x257db38820a17854,
  0x180904c15de4eebb, 0xb7ff5933fa6e609f, 0x3f9b53eab74f84b2, 0xd1ce30da37b54729, 0x34c7d4795995355a,
  0x3be2b31fea3e0d98, 0x16588a459a75a114, 0xc88b8d64d2135f46, 0xde11f1193473ab4b, 0x6f6ac6ab5d0ebce9,
  0x2d973170908a3a04, 0x689546c11fadc37b, 0xcdf81895af60041c, 0x180ef5af3c0809c2, 0x929d002de6f36914,
  0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155, 0x78661bbe1296a5f9, 0xbde50c2a44ad4176,
  0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x6001453c95fb9a19,
  0x00000000000016fc,
};

// c128_u2x12_uart0_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d783451a1f68, 0xdd55c6122744b777, 0xe36474a7694adddd, 0xe2267baa6caddc18, 0xd13f42ccccc8d330,
  0xc048260aef2774ab, 0xfffac99f801304f8, 0xf9b53eab74f84ad6, 0x32970da37b547293, 0xb7e439dd8f81bfaa,
  0xb0913d9670f3ce10, 0x089fd4784f097e21, 0xcd9edc2444e1da0e, 0x4795f7529dac74f7, 0x1efd47c1b306b5fd,
  0x48b34eb422814c56, 0x20ea426be8c2cb11, 0x847c464d1ceaedd2, 0xb56355e363af3a77, 0xcb98b848451d0237,
  0x2551b044c8e1bd96, 0x7e06256bd859871a, 0x03bd6bcf020270b3, 0xa7400b79bcda4506, 0xe234870d537a94e4,
  0x6986538c6f19d103, 0xb33b4e18edec5551, 0x330ddf094b52fcad, 0xf286152256a0bb3c, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xc5a29e4afdcd0ccb, 0x0000000000280bec,
};

// c128_u2x12_uart0_dual_pr          c128_u2x12_uart0_dual_pr_u4
static const uint64_t ur_c128_u2x12_uart0_dual[] = {
  0x7746bbafa2435032, 0xddd7914d96aa1377, 0xed14ad2afddfbddd, 0x9056eeef9183673b, 0x7b68ff77dd89f6cf,
  0x241305779247ddd5, 0x36a291dd69827c60, 0x18369181bbaad432, 0x804a774f8971030a, 0xc34df178adf99612,
  0x50e6f51f2b6c37d9, 0xf9717a1491209206, 0x4312bfcfdf045f94, 0xc87cab7c0ddc3e14, 0xbe5c5dfc97cbe5cf,
  0x17c4432ff9082d21, 0x073c267be2a10cb4, 0x3795e425b7fddff4, 0x3e1232bfcd7b982c, 0xd51ca4fe6d4faadd,
  0xf229df2c4d4368de, 0x43490e2481887f51, 0xfe731602a83cc7ac, 0x823af006bc3bda3a, 0x9edf3c27d500ffd9,
  0xf9ddc549629c81e5, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0x929d002de6f36914, 0x0f88d21c354dea53,
  0x45a6194e31bc6744, 0x5b66769c8ab7b155, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d,
  0x00000002926fc0ab,
};

static const uint64_t ur_c128_u2x12_uart0_dual_pr_ee[] = {
  0x77746bbafd43359b, 0xbbbaf250bc3ea137, 0x5c77ef46736fafbb, 0xa0906f74ed24cc99, 0x8fe16bae44b85a8f,
  0x15de4bd6770f0cc2, 0x1bcfa609f180904c, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2ffaff99612804a7,
  0x47adfd8400380a4e, 0x0a489049039db9bd, 0xe7ef822fca7cb8bd, 0x2206ee1f0a21895f, 0xfc97cbe5cfc87c95,
  0x2ff9082d21be5c5d, 0xc9c54219681c3443, 0x2dbf4fffd01cf099, 0xfe6bdcc161bcaf21, 0xe6d4faadd3e128ad,
  0x7224368ded51ca4f, 0x29ea3cad7dcd56b4, 0xf15feef51f06cc18, 0x2c4522cd3ad08a1d, 0xd7152e6909afa30b,
  0x72447bd9cead2e63, 0xeb1aad743af51378, 0x2cc5c2422883e8f9, 0xaa3608fd6e1bd97d, 0xe7771525009af905,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x4a7400b79bcda450, 0x3e234870d537a94e, 0x16986538c6f19d10,
  0x6d99da722adec555, 0xe1986ef84a5a97e5, 0xddc68b3dfe209f71, 0xe985727eeaccdfc1, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x000000321417eeb4,
};

static const uint64_t ur_c128_u2x12_uart0_dual_pr_ee_u4[] = {
  0xa35dd7d150fe8f43, 0xd79285e1f509bbbb, 0xbf7a339b7d7ddddd, 0x837ba7692664cae3, 0x3538f225c2d47d04,
  0x4bd677789fb5a9fc, 0xa609f180904c15de, 0xbaad43236a291bcf, 0x971030a18369181b, 0xff32c253012774f8,
  0xfb080070149c5ff5, 0x2092073b737a8f5b, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x97cb9f90f92a440d,
  0x105a437cb8bbf92f, 0x8432d03868865ff2, 0x9fffa039e133938a, 0x2982c3795e425b7e, 0xd56e9f09456ffaf8,
  0xb46f6a8e527f36a7, 0xe56bee6ab5a39121, 0x77a8f83660c14f51, 0x1669d68450ef8aff, 0x73484d7d18596229,
  0xdece7569731eb8a9, 0x6ba1d7a89bc39223, 0x1211441f47cf58d5, 0x47eb70decbe9662e, 0xa92804d7c82d51b0,
  0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x05bcde6d228301de, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a,
  0xd39156f62aa8b4c3, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44,
  0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x2b20a2c9a3d73c95,
};

static const uint64_t ur_c128_u2x12_uart0_dual_pr_ce[] = {
  0x746bbafd4143359b, 0xdd7916851fa13777, 0x5ce76ecdee4cdddd, 0xd77bbbaccda75687, 0xcc297d76baf7689f,
  0x04c15de4a3b770f0, 0x51488fba609f1809, 0x1b48c0ddd56a191b, 0x253ba7c4b881850c, 0xed7174dbfccb0940,
  0x37a8e63fb019b386, 0x8bd0a489049034b5, 0x95fe7ef822fca7cb, 0xe4c8606ee1f0a218, 0xe2efe4be5f2e7e43,
  0xa2197fc841690df2, 0xc26eea2a10cb40c7, 0x5e425b7b75ff4073, 0x45d7fcd7b982c379, 0x949fcda9f55ba7c2,
  0x577d7e486d1bdaa3, 0x79c216de6e765140, 0xb84889c3b5da1f7e, 0xfcf72cf6ea5cd02b, 0x490e2481d4bf51c6,
  0x8ebf9cc580a803df, 0xf6678ebc01af0ef6, 0x1e5addcf09f5403f, 0xe2af9ddc549629c8, 0x9c2cdf81895af64f,
  0x914180ef5af3c080, 0xa53929d002de6f36, 0x7440f88d21c354de, 0x15545a6194e31bc6, 0xbf2b6cced3863b7b,
  0x38cf0cc377c252d4, 0x7f07771a2cf7f881, 0x69430a912b53ab33, 0xf01f347d8cec389c, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0x0d24c635a59e4afd,
};

static const uint64_t ur_c128_u2x12_uart0_dual_pr_ce_u4[] = {
  0xa35dd7d150ff880b, 0xd791a5a10d09bbbb, 0xe7deb4f68fcddddd, 0xdbbbad8bed577a6b, 0xb5e4e69d7b8c3eb9,
  0x2bbc9294ee127fa6, 0x0ba2cc13e3012098, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2e293f32c2530127,
  0x8f6b7b0adf38400e, 0x14912092069b737a, 0xcfdf045f94f9717a, 0x7c0ddc3e144312bf, 0xf92f97cb9f90f973,
  0x5ff2105a437cb8bb, 0x458a8432d074a886, 0x5b7a1fffa039e131, 0xfaf82982c3795e42, 0x36a7d56e9f0969bf,
  0xea21b46f6a8e527f, 0x16fe019d943037f5, 0x361227b2ce1e79c2, 0x99bffa8f09e12fc4, 0x5cd9edc2444e1f96,
  0x5fa8e37e7b96faea, 0x5401efa4871240ea, 0xd7877b475fce62c0, 0xfaa01ffb33c75e00, 0x4b14e40f2d6ee784,
  0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x6f379b48a0c077ad, 0xe1aa6f529c94e801, 0x718de33a207c4690,
  0xc31dbd8aaa2d30ca, 0xe1296a5f95b66769, 0x3dfe205ec78661bb, 0xa75666fe0d1fc68b, 0xfbc3def286152256,
  0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x233d3ad1eb9e4afd,
  0x0000000000000069,
};

// c128_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart0_dual_pr_ee_ce[] = {
  0x1aeebe8a87f5b217, 0xbc834de0a84ddddd, 0xfcd6bae9566eeeee, 0xaddaafae23c37218, 0xa7e6bf767d5e5dfd,
  0xee10e35a74f3a009, 0xc602413057793bf6, 0x646d45218c7f9827, 0x14306d23037755a8, 0x4a6024ee9f12e206,
  0x70eeb7170007e658, 0x1f9bd47e6fec1522, 0x9717a1491209207d, 0x312bfcfdf045f94f, 0x1f2b24c0ddc3e144,
  0x97177f25f2f973f2, 0xf110cbfe420b486f, 0x3c260b5150865a1f, 0x579096dd9bfff407, 0x4293febe0a60b0de,
  0x949fcda9f55ba7c2, 0xfd51cae86d1bdaa3, 0x7085bf80677a680d, 0xf10d8489ecb3879e, 0xe72ea77ea3c2784b,
  0xa9ba6cf6e122270f, 0xf9ea3cadfc94ed63, 0x315d4af51f06cc1a, 0x2c4522cd3ad08a05, 0x6e31e3a909afa30b,
  0x89bc39223dece757, 0xe8f9eb1aaf1b1d7a, 0xd97d2cc5c2422883, 0x7c82d51b044c8e1b, 0xfc55f3bb8a92966d,
  0x13859bf0312b5ec9, 0xd228301deb5e7810, 0xd4a7253a005bcde6, 0xce881f11a4386a9b, 0x62aa8b4c329c6378,
  0x97e56d99da70c76f, 0x17b1e1986ef84a5a, 0xbf8347f1a2cf7f88, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7,
  0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xf47ae792bf734332, 0x000000000800da41,
};

static const uint64_t ur_c128_u2x12_uart0_dual_ee_hw[] = {
  0xd1aeebe8a3475164, 0xebc942f0fa84dddd, 0xdfbd19cdbebeeeee, 0x41bdd3b493326571, 0xb5e75912e16a3e82,
  0xaef25eb3b8ce9bfd, 0xde7d304f8c048260, 0xc0ddd56a191b5148, 0xa7c4b881850c1b48, 0x7fd7fccb094e833b,
  0x3d6fec2001c05271, 0x524482481cedcdea, 0x3f7c117e53e5c5e8, 0x103770f8510c4aff, 0xe4be5f2e7e43e4a9,
  0x7fc841690df2e2ef, 0x4e2a10cb40e1a219, 0x6dfa7ffe80e784ce, 0xc91ba60b0de57909, 0xda9f55ba7c2515bf,
  0x4486d1bdaa3949fc, 0x3d4795afb9aad68e, 0x2bfddea3e0d98305, 0x88a459a75a1143be, 0xe2a5cd2135f46165,
  0x488f7b39d5a5cc7a, 0x6355ae875ea26f0e, 0x98b84845107d1f3d, 0x46c11fadc37b2fa5, 0xeee2a4a0135f20b5,
  0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x4e8016f379b48a0c, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xf286152256a0bb3c, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x0ba29e4afdcd0ccb, 0x0000000000aed488,
};

// c128_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart0_dual_ee_ce_hw[] = {
  0xd1aeebe8a340d164, 0xebc834de0a84dddd, 0x8fcd6bae9566eeee, 0xdaddaafae23c3721, 0x3d7e6bf767d5e5df,
  0xefdbbb8392b3177e, 0x609f180904c15de4, 0x56a191b5148631fe, 0x881850c1b48c0ddd, 0xccb094e833ba7c4b,
  0x2a44e1dd6e2e000f, 0x40fa3f37a8fcdfd8, 0xf29f2e2f42922412, 0xc2886257f9fbe08b, 0xe7e43e564981bb87,
  0x90df2e2efe4be5f2, 0xb43fe22197fc8416, 0xe80e784c16a2a10c, 0x61bcaf212dbb37ff, 0x4f848527f92374c1,
  0xb547293f9b53eab7, 0xd01bfaa395d0da37, 0x879e7085bf21cef4, 0x784bf10d8489ecb3, 0x270f7437547ea3c2,
  0xed63a9ba6cf6e122, 0xcc1af9ea3cadfc94, 0x8a05315d4af51f06, 0xa30b2c4522cd3ad0, 0xe7576e31e3a909af,
  0x1d7a89bc39223dec, 0x2883e8f9eb1aaf1b, 0x8e1bd97d2cc5c242, 0x966d7c82d51b044c, 0x5ec9fc55f3bb8a92,
  0x781013859bf0312b, 0xcde6d228301deb5e, 0x6a9bd4a7253a005b, 0x6378ce881f11a438, 0xc76f62aa8b4c329c,
  0x4a5a97e56d99da70, 0x12b505d9e1986ef8, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86,
  0x70e271964b867a61, 0x57ee6866587494b6, 0x001d7574918d14f2,
};

// c128_u2x12_uart1_noled_pr
static const uint64_t ur_c128_u2x12_uart1_noled[] = {
  0xeeeda1af0759bb37, 0x777557382b07896e, 0x7560e2de3faebf77, 0xbc9c1f7774f067bb, 0x9ddb1ec842f363c5,
  0x4c13e30120982bbc, 0xe09029ff06833fa5, 0x51ca4fe6d4faadd3, 0x873be5921c368ded, 0xa921c4903349ea38,
  0x9cc580b7ba6dedaf, 0x8ebc5d7864151a83, 0x77ec2b1d3dc72c60, 0xfddf9ce4db7e0627, 0x4a7ef9c9bf37980e,
  0x2d37aaea90cbea6c, 0x31bc67440b9b8a04, 0xe1296a5f95b6674e, 0xf7f8827dc78661bb, 0xeeacc790347f1a2c,
  0x9c6592e19e985727, 0x9a19961d252d9c38, 0xf90d39845f3c95fb,
};

static const uint64_t ur_c128_u2x12_uart1_noled_pr_u4[] = {
  0xbbb686bc1a243762, 0xddd55ce0ac4625bb, 0x97bd5b6a1ef8fddd, 0xcddfbbbb1112246b, 0xbb4cd19ad08ec6d8,
  0x827c602413057793, 0x04a71ffd1067fa89, 0x8e527f36a7d56e9f, 0x01df2c21e1b46f6a, 0xa4871240d05fa8fd,
  0x1cc580b2ca6f937b, 0x23af47d78705a3d6, 0xed871a25500ffd98, 0x313bbf626af81e59, 0xc077eefce726dbf0,
  0x4d8ce4df9bcf82a0, 0x204aca4371753979, 0x545a5612718de33a, 0x2b6cce54e8ab7b15, 0x8f0cc377c252d4bf,
  0x83bb8d167bfc40bd, 0xa1854895a9d599bf, 0xe32fcc4ffef0f7bc, 0xf7ec3347d8cec38f, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0x696792bf734332c3, 0x00000001f26a2ed5,
};

// c128_u2x12_uart1_noled_pr_ee_u4
static const uint64_t ur_c128_u2x12_uart1_noled_pr_ee[] = {
  0xeeda1af06890c044, 0xbbaabc881bb896ee, 0xa09e3f420da8bbbb, 0xe6130feebc8ebcad, 0x4e5d3821d0b866f4,
  0x80904c15de4eea0a, 0xffe8833f2ba609f1, 0xf36a7d56e9f04982, 0x39c61b46f6a8e527, 0x98fa8f2b9126ab5a,
  0xbe2b32bd47c1b306, 0x6588a459a75a1143, 0xeab8d64d2135f461, 0x846fa3c1673ab4b9, 0x71b1aad743af3a77,
  0xcb98b848450b3d18, 0x3aa3608fd6e1bd96, 0xc0c4eefd801482a8, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a,
  0xe8812b290dc5d4e5, 0x5551695849c6378c, 0xfcadb33953a2adec, 0xf63c330ddf094b52, 0xfe0eee3459eff102,
  0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9,
  0x55a59e4afdcd0ccb, 0x00000000013aedf0,
};

// c128_u2x12_uart1_noled_pr_ce_u4
static const uint64_t ur_c128_u2x12_uart1_noled_pr_ce[] = {
  0xddb435e0d1219541, 0x77557cd606712ddd, 0x48171d7afb417777, 0xb6a7bbba9146bb20, 0x40524ce4a739a59b,
  0x4f8c048260aef277, 0x452fff4419fc0930, 0x293f9b53eab74f82, 0x1bfa8290da37b547, 0xcf3842dbcdceff70,
  0x25f886c244f659c3, 0x387800293f51e13c, 0x96faf59367b70911, 0xe2481eb3d4727a7b, 0x61cc580a98dad490,
  0x9e3af47d78705a3d, 0x6b7071a25500ffd9, 0xc0c4eefd89abe079, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a,
  0xe8812b290dc5d4e5, 0x5551695849c6378c, 0xf95b6672a718edec, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x6b4b3c95fb9a1996, 0x0000000006eb98e2,
};

// c128_u2x12_uart1_noled_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart1_noled_pr_ee_ce[] = {
  0xbb686bc1a2436d3a, 0xeeaae30970625bbb, 0xc1a0baccf4376eee, 0x71133dd53656e38a, 0x6c7b64c3228ed718,
  0x2413057793bb73b6, 0xfa20cfe209827c60, 0xda9f55ba7c12d35f, 0x4b86d1bdaa3949fc, 0xde6e761680dfd519,
  0x1227b2ce1e79c216, 0x51fa8f09e12fc436, 0xb3db84889c3dd0dd, 0xf2bea253b58e9ef9, 0xd7a8f83660d6bfa8,
  0x8b34eb422814c57d, 0x8ea426be8c2cb114, 0x1be8f059ceaedc7a, 0xd8d578d8ebce9de1, 0xcc5c2422859e8c38,
  0xa8d8226470decb65, 0x313bbf616720aa0e, 0xc077eefce726dbf0, 0x4d8ce4df9bcf82a0, 0x204aca4371753979,
  0x545a5612718de33a, 0x56d99ca9c63b7b15, 0x1e1986ef84a5a97e, 0x07771a2cf7f8817b, 0x430a912b53ab337f,
  0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd2cf257ee6866587,
  0x0000000027e1ea8a,
};

static const uint64_t ur_c128_u2x12_uart1_noled_ee_hw[] = {
  0xeda1af068a341768, 0xbaabc881bb896eee, 0x09e3f420da8bbbbb, 0x6130feebc8ebcada, 0x476b47b50b866f4e,
  0x30120982bbc9dd37, 0x5ffeb267e574c13e, 0xfe6d4faadd3e0930, 0x4738c368ded51ca4, 0xd31f51e57224d56b,
  0x77c56657a8f83660, 0x2cb1148b34eb4228, 0x3d571ac9a426be8c, 0xf08df4782ce75697, 0x0e36355ae875e74e,
  0xd973170908a167a3, 0x07546c11fadc37b2, 0xf8189ddfb0029055, 0x50603bf77e73936d, 0xbca6c6726fcde7c1,
  0x9d10256521b8ba9c, 0x8aaa2d2b0938c6f1, 0x5f95b6672a7455bd, 0x17678661bbe1296a, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xdf87a75453c95fb9,
  0x0000000000000002,
};

// c128_u2x12_uart1_noled_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart1_noled_ee_ce_hw[] = {
  0xdb435e0d1468cc7f, 0x7557184b8312dddd, 0x0d05d667a1bb7777, 0x8899eea9b2b71c56, 0x57ea8f991476b8c3,
  0x0904c15de4eea7dd, 0xff5933f882609f18, 0x36a7d56e9f04b4d7, 0x52e1b46f6a8e527f, 0x7e439d85a037f546,
  0x0913d9670f3ce10b, 0x1ffd4784f097e21b, 0x6cf6e122270ece5d, 0x3cafa894ed63a7be, 0x75ea3e0d9835afea,
  0x22cd3ad08a05315f, 0xa3a909afa30b2c45, 0x46fa3c1673abb71e, 0x36355e363af3a778, 0x73170908a167a30e,
  0xaa3608991c37b2d9, 0x0c4eefd859c82a83, 0x301dfbbf39c9b6fc, 0x53633937e6f3e0a8, 0x8812b290dc5d4e5e,
  0x551695849c6378ce, 0x95b6672a718edec5, 0x678661bbe1296a5f, 0x7bde50c2a44ad417, 0x61c7f197e627ff78,
  0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x122c9453c95fb9a1, 0x0000000000000501,
};

static const uint64_t ur_c128_u2x12_uart1_lednop[] = {
  0xbbb686bc1d66ef3a, 0xddd55ce0bc7e25bb, 0x6f2299b006971ddd, 0x8f07dddd3c19eef1, 0x9dd05e826b204cd8,
  0x4c13e30120982bbc, 0xe09029ff06833fa5, 0x51ca4fe6d4faadd3, 0x9e3be5921c368ded, 0xd490e24819a4f51c,
  0x5398b016f74c98da, 0x08ebc5d786bfa390, 0xeefd856071dc72c6, 0xf3c0809c9b6fc0c4, 0xfcde6d228301dfbb,
  0x0d537a94e4a74026, 0x8c6f19d103e23487, 0x22adec5551698653, 0x84a5a97e56d99da7, 0x2b93f3fb1e1986ef,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0000a934e3c22f9e,
};

// c128_u2x12_uart1_lednop_pr_u4
static const uint64_t ur_c128_u2x12_uart1_lednop_pr[] = {
  0x76d0d7834486c056, 0xbaab9c1499c4b777, 0x5d83ec2fd05fbbbb, 0x67eeeec444896223, 0xc1c9c6c191a8636f,
  0xf180904c15de4eea, 0x3d7ff4419feea609, 0x49fcda9f55ba7c12, 0x7cb08786d1bdaa39, 0x1c4903417ea3dac7,
  0x1602cb29a6e8ca92, 0x7a3ebc24d2348673, 0xda1f6a807fecc11d, 0xbbf67b8281e59edb, 0xcf0202726dbf0313,
  0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c, 0x8ab7b15545a6194e, 0x1296a5f95b66769c,
  0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e,
  0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0xc9ed35ab4b3c95fb, 0x0000000000000007,
};

// c128_u2x12_uart1_lednop_pr_ee_u4
static const uint64_t ur_c128_u2x12_uart1_lednop_pr_ee[] = {
  0xeeda1af06890d2a8, 0xbbaabc8834b896ee, 0x56c17eb45d23fbbb, 0x984c3fbaf23af376, 0x8d42459f04142f0a,
  0x80904c15de4ee9d6, 0x7fe8833fa6e609f1, 0xf36a7d56e9f04b2b, 0x39c61b46f6a8e527, 0x98fa8f2b32a6ab5a,
  0x7c5663fd47c1b306, 0xcb1148b34eb42287, 0x1171ac9a426be8c2, 0xc23e23268e756979, 0xed58d56ba1d79d3b,
  0xb2e62e121147408d, 0x12a8d823f5b86f65, 0x7e062777ec00838d, 0x0efddf9e0404e4db, 0x3a0137e6f3691418,
  0x11a4386a9bd4a725, 0x4c329c6378ce881f, 0xcced39156f62aa8b, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0,
  0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x000004eb93f0d696,
};

// c128_u2x12_uart1_lednop_pr_ce_u4
static const uint64_t ur_c128_u2x12_uart1_lednop_pr_ce[] = {
  0xeeda1af06890c582, 0xbbaabe6b1fb896ee, 0xb2198ed45db23bbb, 0x5d93dddd48a35c19, 0xa76821cbb2d4f5da,
  0x27c602413057793b, 0x253dffa20cfefb98, 0x949fcda9f55ba7c1, 0x0dfd41486d1bdaa3, 0xe79c216de6e77f38,
  0x12fc4361227b2ce1, 0x70f8ddd83fa8f09e, 0x2df5eb26cf6e1222, 0xc4903d67a8fd24f7, 0x6731602e4907e921,
  0xf1d7a3ebc24d2348, 0xb73da1f6a807fecc, 0x0c4eefd9ee0a0796, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d,
  0x4870d537a94e4a74, 0x6538c6f19d103e23, 0xb4e18edec5551698, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x001bae60895a59e4,
};

// c128_u2x12_uart1_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart1_lednop_pr_ee_ce[] = {
  0x76d0d78344864541, 0xdd55c6122744b777, 0xe36474a7694adddd, 0xe2267baa6caddc18, 0xb9c587ccccc8d330,
  0x2413057793ba8049, 0xfa20cfc009827c60, 0xb53eab74f8256b7f, 0x970da37b547293f9, 0x79b9dd8f81bfaa32,
  0x489ecb3879e7085b, 0xdfea3c2784bf10d8, 0x9edc2444e1c0006d, 0x95f7529dac74f7cd, 0xfd47c1b306b5fd47,
  0xb34eb422814c561e, 0xea426be8c2cb1148, 0x7c464d1ceaedd220, 0x6355e363af3a7784, 0x98b848451d0237b5,
  0x51b044c8e1bd96cb, 0x0c4eefd859871a25, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74,
  0x6538c6f19d103e23, 0xb4e18edec5551698, 0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3,
  0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x0004fc09ad5a59e4,
};

static const uint64_t ur_c128_u2x12_uart1_lednop_ee_hw[] = {
  0x76d0d783451a3768, 0xdd55e441a5c4b777, 0xb60bf5a2e91fdddd, 0xc261fdd791d79bb2, 0x257db38820a17854,
  0x180904c15de4eebb, 0xb7ff5933fa6e609f, 0x7f36a7d56e9f04b2, 0xa39c61b46f6a8e52, 0x698fa8f2b32a6ab5,
  0x77c5663fd47c1b30, 0x2cb1148b34eb4228, 0x91171ac9a426be8c, 0xbc23e23268e75697, 0xded58d56ba1d79d3,
  0x5b2e62e121147408, 0xd12a8d823f5b86f6, 0xb7e062777ec00838, 0x80efddf9e0404e4d, 0x53a0137e6f369141,
  0xf11a4386a9bd4a72, 0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x0028a792bf734332,
  0x000000000002df8c,
};

// c128_u2x12_uart1_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart1_lednop_ee_ce_hw[] = {
  0x76d0d783451a1f68, 0xdd55c6122744b777, 0xe36474a7694adddd, 0xe2267baa6caddc18, 0xd13f42ccccc8d330,
  0xc048260aef2774ab, 0xfffac99f801304f8, 0xf36a7d56e9f04ad6, 0x652e1b46f6a8e527, 0x6fc873bb1f037f54,
  0x61227b2ce1e79c21, 0x113fa8f09e12fc43, 0x9b3db84889c3b41c, 0x8f2beea53b58e9ef, 0x3dfa8f83660d6bfa,
  0x91669d68450298ac, 0x41d484d7d1859622, 0x08f88c9a39d5dba4, 0x6ac6abc6c75e74ef, 0x973170908a3a046f,
  0x4aa3608991c37b2d, 0xf8189ddfb0b30e34, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde,
  0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xb453c95fb9a19961, 0x0000000005017d98,
};

// c128_u2x12_uart1_dual_pr          c128_u2x12_uart1_dual_pr_u4
static const uint64_t ur_c128_u2x12_uart1_dual[] = {
  0x7746bbafa2435032, 0xddd7914d96aa1377, 0xed14ad2afddfbddd, 0x9056eeef9183673b, 0x7b68ff77dd89f6cf,
  0x241305779247ddd5, 0x36a291dd69827c60, 0x18369181bbaad432, 0x804a774f8971030a, 0xc34df178adf99612,
  0x50e6f51f2b6c37d9, 0xf9717a1491209206, 0x4312bfcfdf045f94, 0xc87cab7c0ddc3e14, 0xbe5c5dfc97cbe5cf,
  0x17c4432ff9082d21, 0x073c267be2a10cb4, 0x3795e425b7fddff4, 0x7c1232bfcd7b982c, 0xaa3949fcda9f55ba,
  0xe453be589a86d1bd, 0x86921c490310fea3, 0xfce62c0550798f58, 0x0475e00d7877b475, 0x3dbe784faa01ffb3,
  0xf3bb8a92c53903cb, 0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72,
  0xb4c329c6378ce881, 0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83,
  0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4,
  0x000000524df81569,
};

static const uint64_t ur_c128_u2x12_uart1_dual_pr_ee[] = {
  0x77746bbafd43359b, 0xbbbaf250bc3ea137, 0x5c77ef46736fafbb, 0xa0906f74ed24cc99, 0x8fe16bae44b85a8f,
  0x15de4bd6770f0cc2, 0x1bcfa609f180904c, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2ffaff99612804a7,
  0x47adfd8400380a4e, 0x0a489049039db9bd, 0xe7ef822fca7cb8bd, 0x2206ee1f0a21895f, 0xfc97cbe5cfc87c95,
  0x2ff9082d21be5c5d, 0xc9c54219681c3443, 0x2dbf4fffd01cf099, 0xfe6bdcc161bcaf21, 0xcda9f55ba7c128ad,
  0xe4486d1bdaa3949f, 0x53d4795afb9aad68, 0xe2bfddea3e0d9830, 0x588a459a75a1143b, 0xae2a5cd2135f4616,
  0xe488f7b39d5a5cc7, 0xd6355ae875ea26f0, 0x598b84845107d1f3, 0x546c11fadc37b2fa, 0xceee2a4a0135f20b,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000064282fdd696,
};

static const uint64_t ur_c128_u2x12_uart1_dual_pr_ee_u4[] = {
  0xa35dd7d150fe8f43, 0xd79285e1f509bbbb, 0xbf7a339b7d7ddddd, 0x837ba7692664cae3, 0x3538f225c2d47d04,
  0x4bd677789fb5a9fc, 0xa609f180904c15de, 0xbaad43236a291bcf, 0x971030a18369181b, 0xff32c253012774f8,
  0xfb080070149c5ff5, 0x2092073b737a8f5b, 0x045f94f9717a1491, 0xdc3e144312bfcfdf, 0x97cb9f90f92a440d,
  0x105a437cb8bbf92f, 0x8432d03868865ff2, 0x9fffa039e133938a, 0x2982c3795e425b7e, 0xaadd3e09456ffaf8,
  0x68ded51ca4fe6d4f, 0xcad7dcd56b472243, 0xef51f06cc1829ea3, 0x2cd3ad08a1df15fe, 0xe6909afa30b2c452,
  0xbd9cead2e63d7152, 0xd743af5137872447, 0x2422883e8f9eb1aa, 0x8fd6e1bd97d2cc5c, 0x525009af905aa360,
  0x4eefd93f8abe7771, 0xbf3c0809c9b6fc0c, 0x6fcde6d228301dfb, 0x70d537a94e4a7402, 0x38c6f19d103e2348,
  0x722adec555169865, 0xf84a5a97e56d99da, 0xcf7f8817b1e1986e, 0xa9d599bf8347f1a2, 0xfef0f7bca1854895,
  0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x641459347ae792bf,
  0x0000000000000005,
};

static const uint64_t ur_c128_u2x12_uart1_dual_pr_ce[] = {
  0x746bbafd4143359b, 0xdd7916851fa13777, 0x5ce76ecdee4cdddd, 0xd77bbbaccda75687, 0xcc297d76baf7689f,
  0x04c15de4a3b770f0, 0x51488fba609f1809, 0x1b48c0ddd56a191b, 0x253ba7c4b881850c, 0xed7174dbfccb0940,
  0x37a8e63fb019b386, 0x8bd0a489049034b5, 0x95fe7ef822fca7cb, 0xe4c8606ee1f0a218, 0xe2efe4be5f2e7e43,
  0xa2197fc841690df2, 0xc26eea2a10cb40c7, 0x5e425b7b75ff4073, 0x45d7fcd7b982c379, 0x293f9b53eab74f82,
  0xaefafc90da37b547, 0xf3842dbcdceca280, 0x709113876bb43efc, 0xf9ee59edd4b9a057, 0x921c4903a97ea38d,
  0x1d7f398b015007be, 0xeccf1d78035e1ded, 0x3cb5bb9e13ea807f, 0xc55f3bb8a92c5390, 0xe4db7e062777ec9f,
  0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4, 0xaa8b4c329c6378ce, 0xe56d99da70c76f62,
  0x19e1986ef84a5a97, 0xe0eee3459eff1027, 0x286152256a75666f, 0x03e68fb19d87138d, 0xc6592e19e985727e,
  0xa19961d252d9c389, 0xa498c6b4b3c95fb9, 0x0000000000000001,
};

static const uint64_t ur_c128_u2x12_uart1_dual_pr_ce_u4[] = {
  0xa35dd7d150ff880b, 0xd791a5a10d09bbbb, 0xe7deb4f68fcddddd, 0xdbbbad8bed577a6b, 0xb5e4e69d7b8c3eb9,
  0x2bbc9294ee127fa6, 0x0ba2cc13e3012098, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2e293f32c2530127,
  0x8f6b7b0adf38400e, 0x14912092069b737a, 0xcfdf045f94f9717a, 0x7c0ddc3e144312bf, 0xf92f97cb9f90f973,
  0x5ff2105a437cb8bb, 0x458a8432d074a886, 0x5b7a1fffa039e131, 0xfaf82982c3795e42, 0x6d4faadd3e0969bf,
  0xd44368ded51ca4fe, 0x2dfc033b28606feb, 0x6c244f659c3cf384, 0x337ff51e13c25f88, 0xb9b3db84889c3f2d,
  0xbf51c6fcf72df5d4, 0xa803df490e2481d4, 0xaf0ef68ebf9cc580, 0xf5403ff6678ebc01, 0x9629c81e5addcf09,
  0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c,
  0x63b7b15545a6194e, 0x252d4bf2b6cced38, 0xbfc40bd8f0cc377c, 0xeaccdfc1a3f8d167, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x67a75a3d73c95fb9,
  0x0000000000000d24,
};

// c128_u2x12_uart1_dual_pr_ee_ce_u4
static const uint64_t ur_c128_u2x12_uart1_dual_pr_ee_ce[] = {
  0x1aeebe8a87f5b217, 0xbc834de0a84ddddd, 0xfcd6bae9566eeeee, 0xaddaafae23c37218, 0xa7e6bf767d5e5dfd,
  0xee10e35a74f3a009, 0xc602413057793bf6, 0x646d45218c7f9827, 0x14306d23037755a8, 0x4a6024ee9f12e206,
  0x70eeb7170007e658, 0x1f9bd47e6fec1522, 0x9717a1491209207d, 0x312bfcfdf045f94f, 0x1f2b24c0ddc3e144,
  0x97177f25f2f973f2, 0xf110cbfe420b486f, 0x3c260b5150865a1f, 0x579096dd9bfff407, 0x4293febe0a60b0de,
  0x293f9b53eab74f82, 0xfaa395d0da37b547, 0xe10b7f00cef4d01b, 0xe21b0913d9670f3c, 0xce5d4efd4784f097,
  0x5374d9edc2444e1f, 0xf3d4795bf929dac7, 0x62ba95ea3e0d9835, 0x588a459a75a1140a, 0xdc63c752135f4616,
  0x137872447bd9ceae, 0xd1f3d6355e363af5, 0xb2fa598b84845107, 0xf905aa3608991c37, 0xf8abe77715252cda,
  0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0x94e4a74026fcde6d, 0xd103e234870d537a, 0x55516986538c6f19,
  0xfcadb33b4e18edec, 0xf63c330ddf094b52, 0xf068fe3459eff102, 0x9430a912b53ab337, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x8f5cf257ee686658, 0x00000001001b483e,
};

static const uint64_t ur_c128_u2x12_uart1_dual_ee_hw[] = {
  0xd1aeebe8a3475164, 0xebc942f0fa84dddd, 0xdfbd19cdbebeeeee, 0x41bdd3b493326571, 0xb5e75912e16a3e82,
  0xaef25eb3b8ce9bfd, 0xde7d304f8c048260, 0xc0ddd56a191b5148, 0xa7c4b881850c1b48, 0x7fd7fccb094e833b,
  0x3d6fec2001c05271, 0x524482481cedcdea, 0x3f7c117e53e5c5e8, 0x103770f8510c4aff, 0xe4be5f2e7e43e4a9,
  0x7fc841690df2e2ef, 0x4e2a10cb40e1a219, 0x6dfa7ffe80e784ce, 0xc91ba60b0de57909, 0xb53eab74f82515bf,
  0x890da37b547293f9, 0x7a8f2b5f7355ad1c, 0x57fbbd47c1b3060a, 0x1148b34eb422877c, 0xc54b9a426be8c2cb,
  0x911ef673ab4b98f5, 0xc6ab5d0ebd44de1c, 0x3170908a20fa3e7a, 0x8d823f5b86f65f4b, 0xddc5494026be416a,
  0xf0313bbf64fe2af9, 0x77eefcf0202726db, 0xd009bf379b48a0c0, 0x8d21c354dea53929, 0x6194e31bc67440f8,
  0x6769c8ab7b15545a, 0x61bbe1296a5f95b6, 0x50c2a44ad4176786, 0xf197e627ff787bde, 0xfbf619a3ec6761c7,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0x7453c95fb9a19961, 0x0000000015da9101,
};

// c128_u2x12_uart1_dual_ee_ce_u4_hw
static const uint64_t ur_c128_u2x12_uart1_dual_ee_ce_hw[] = {
  0xd1aeebe8a340d164, 0xebc834de0a84dddd, 0x8fcd6bae9566eeee, 0xdaddaafae23c3721, 0x3d7e6bf767d5e5df,
  0xefdbbb8392b3177e, 0x609f180904c15de4, 0x56a191b5148631fe, 0x881850c1b48c0ddd, 0xccb094e833ba7c4b,
  0x2a44e1dd6e2e000f, 0x40fa3f37a8fcdfd8, 0xf29f2e2f42922412, 0xc2886257f9fbe08b, 0xe7e43e564981bb87,
  0x90df2e2efe4be5f2, 0xb43fe22197fc8416, 0xe80e784c16a2a10c, 0x61bcaf212dbb37ff, 0x9f048527f92374c1,
  0x6a8e527f36a7d56e, 0xa037f5472ba1b46f, 0x0f3ce10b7e439de9, 0xf097e21b0913d967, 0x4e1ee86ea8fd4784,
  0xdac75374d9edc244, 0x9835f3d4795bf929, 0x140a62ba95ea3e0d, 0x4616588a459a75a1, 0xceaedc63c752135f,
  0x3af5137872447bd9, 0x5107d1f3d6355e36, 0x1c37b2fa598b8484, 0x2cdaf905aa360899, 0xfd93f8abe7771525,
  0xc0809c9b6fc0c4ee, 0xde6d228301dfbbf3, 0x537a94e4a74026fc, 0x6f19d103e234870d, 0xedec55516986538c,
  0x4b52fcadb33b4e18, 0x56a0bb3c330ddf09, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x03aeae9231a29e4a,
};

static const uint64_t ur_c128_swio10_noled[] = {
  0x511377777759bb37, 0x27adddaab914a122, 0xa5c76a18714718c2, 0x82fe877a0b5229b5, 0x69b1b6fd2f8bdd88,
  0x20982bbc9ddb1ec8, 0x0d067e3dcc13e301, 0x73be589a941eebfe, 0x921c490310fea3ad, 0x731602dee9b4a1f2,
  0x475e2ebc3d223c16, 0x2ab52b043ee39630, 0x35dce3398a0ed797, 0x76a96fab39d454aa, 0xaa5f7afa4439ace5,
  0xcb9ed5688af2c434, 0x4858b53c314deb3b, 0x8f2f14085a417077, 0x5b6674e31bc67440, 0x78661bbe1296a5f9,
  0x25c33d30ae4fcfec, 0x2c3a4a5b387138cb, 0xbb08be792bf73433, 0x0000000000001525,
};

// c128_swio10_noled_pr_u4
static const uint64_t ur_c128_swio10_noled_pr[] = {
  0xc7bbbbbb4486fc3b, 0x0bbb557229e3e251, 0x93d536a60713609e, 0x66b785c004cd22ed, 0x35385e35f7638f41,
  0xde4eedc13750cca7, 0x7f2609f180904c15, 0x84594132bff4419f, 0x240c9ef51e6e3be5, 0x16594c63f4aa4871,
  0xfaf0c428ed6398b0, 0x4d2a01ffb30475e8, 0xad5f5b81e59ed88a, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d,
  0x97debe910e6b395d, 0xe7b55a22bcb10d2a, 0xd8a53c34ef00feba, 0x8ce881757a4185d4, 0xb15545a52179c637,
  0xa97e56d99c648ab7, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x668ad2cf257ee686, 0x000000000001f272,
};

// c128_swio10_noled_pr_ee_u4
static const uint64_t ur_c128_swio10_noled_pr_ee[] = {
  0xafbbbbbb4486a4d6, 0x9bbb557e17a8b121, 0xb4cf7c897119cdcc, 0x5a1b5e95ebb4b537, 0xc6d14ad8836821af,
  0x2774e767de4e2af5, 0x5304f8c048260aef, 0x728315bff4419f27, 0x51e5670e6ab5a38f, 0xca1fa8f83660cf5f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x08e2139d5a5fe72e, 0x355ae875e74ef0f5, 0xc5c24228f91188b6,
  0x1b047eb70decb65c, 0xf2e556a0174982d5, 0x9546bb9c673141da, 0x9caed52df5673a8a, 0x86954bef5f488735,
  0x7f5d73daad115e58, 0xc2ea6c529e1a7780, 0xe31bc67440babd20, 0x455bd8aaa2d290bc, 0xc252d4bf2b6cce32,
  0x7bfc40bd8f0cc377, 0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347,
  0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x4ebfe49d696792bf,
};

// c128_swio10_noled_pr_ce_u4
static const uint64_t ur_c128_swio10_noled_pr_ce[] = {
  0x17bbbbbb4486b044, 0x4bbb557984a0b12f, 0xf4f4c48db62264fc, 0xdeacebc699fb7a7b, 0x2e47ea2b21bbe2cb,
  0x5de4eeeca4fb4776, 0xe35a609f180904c1, 0x532a5074dffe8833, 0x085b79b9dece037f, 0x10d8489ecb3879e7,
  0x72e8ffea3c2784bf, 0xf59367b709113876, 0x782fd47c927b96fa, 0xc050f738d2438920, 0xa3ebc310a3b58e62,
  0x2934a807feccf1d7, 0xcaad5f5b81e5adc2, 0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0x2a97debe910e6b39,
  0xbae7b55a22bcb10d, 0xd4d8a53c34ef00fe, 0x378ce881757a4185, 0xb7b15545a52179c6, 0x4b52fcadb338c863,
  0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x700ad5a59e4afdcd, 0x00000000000000dd,
};

// c128_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_c128_swio10_noled_pr_ee_ce[] = {
  0x90dddddda24343ee, 0x3dddaabce2437449, 0x015ad8a859bbc776, 0x278fc5f62627189d, 0xb14e8e3a90bdb208,
  0x3bb5df91210da79e, 0x9827c60241305779, 0x282293ff4419f35b, 0xdcec5201bfaa38ad, 0x4f659c3cf3842dbc,
  0xf51e13c25f886c24, 0xdc2444e1fd6a7807, 0x74b29dac74f7cd9e, 0x47c1b306807a8f2b, 0x4eb422814c565d7d,
  0x426be8c2cb1148b3, 0x8e2139d5dbbe70ea, 0xabc6c75e74ef0f50, 0xb848451f223116c6, 0xb044c8e1bd96cb98,
  0x2e556a59f4982d51, 0x546bb9c673141daf, 0xcaed52df5673a8a9, 0x6954bef5f4887359, 0xf5d73daad115e588,
  0x2ea6c529e1a77807, 0x31bc67440babd20c, 0x1dbd8aaa2d290bce, 0x4a5a97e56d99c643, 0x7f8817b1e1986ef8,
  0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0xfc0793ad2cf257ee, 0x0000000000000004,
};

static const uint64_t ur_c128_swio10_noled_ee_hw[] = {
  0xd7dddddda28d0044, 0x4dddaabf0bd45890, 0xda67be44b88ce6e6, 0xad0daf4af5da5a9b, 0xe368a56c41b410d7,
  0xbbc9dd4149cb421a, 0xc9d4c13e30120982, 0xe3dca0c56ffeb267, 0xd7d47959c39aad68, 0xe2b287ea3e0d9833,
  0x588a459a75a1143b, 0xcb8d64d2135f4616, 0x3d423884e75697f9, 0x2d8d56ba1d79d3bc, 0x973170908a3e4462,
  0xb546c11fadc37b2d, 0x76bcb955a805d260, 0xa2a551aee719cc50, 0xcd672bb54b7d59ce, 0x9621a552fbd7d221,
  0xe01fd75cf6ab4457, 0x4830ba9b14a7869d, 0x2f38c6f19d102eaf, 0x8c9156f62aa8b4a4, 0xddf094b52fcadb33,
  0x6152256a0bb3c330, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x29e4afdcd0ccb0e9, 0x000000005be4668a,
};

// c128_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_c128_swio10_noled_ee_ce_hw[] = {
  0x437777768a346d3a, 0xf776aaf3890dd126, 0x056b62a166ef1dd8, 0x9e3f17d8989c6274, 0xc53a38ea42f6c820,
  0xf2776e76cdee4c7a, 0xb7304f8c048260ae, 0x5a504527ff5933e6, 0xe439d8a4037f5471, 0x913d9670f3ce10b7,
  0xefd4784f097e21b0, 0x9edc2444e1fce5d4, 0x2b74b29dac74f7cd, 0x7d47c1b306807a8f, 0xb34eb422814c565d,
  0xea426be8c2cb1148, 0x508e2139d5dbbe70, 0xc6abc6c75e74ef0f, 0x98b848451f223116, 0x51b044c8e1bd96cb,
  0xaf2e556a59f4982d, 0xa9546bb9c673141d, 0x59caed52df5673a8, 0x886954bef5f48873, 0x07f5d73daad115e5,
  0x0c2ea6c529e1a778, 0xce31bc67440babd2, 0x431dbd8aaa2d290b, 0xf84a5a97e56d99c6, 0xa912b505d9e1986e,
  0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x00000140441f7514,
};

// c128_swio10_lednop_pr             c128_swio10_lednop_pr_u4
static const uint64_t ur_c128_swio10_lednop[] = {
  0xc7bbbbbb448651eb, 0x0bbb5572280be251, 0x243568d590e3609e, 0x166b785f8f80284d, 0xb5936a6c477638f4,
  0x5de4eec4e76542de, 0xf52a609f180904c1, 0x6116504c7ffe8833, 0x490327bd479c4ef9, 0x0b2ca65f613e921c,
  0xfaf0af88e0f9cc58, 0xe1aa01ffb30475e8, 0xb5b87207967b637e, 0xdce3398a0ed7972a, 0xa96fab39d454aa35,
  0xfa4439ae0404e576, 0x688af2c434ab574b, 0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a, 0xd3aebce31bc67440,
  0xb33a05455bd8aaa2, 0x330ddf094b52fcad, 0xee3459eff102f63c, 0x152256a75666fe0e, 0xbf313ffbc3def286,
  0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x000007c99d20f5a5,
};

// c128_swio10_lednop_pr_ee_u4
static const uint64_t ur_c128_swio10_lednop_pr_ee[] = {
  0x5f777776890cac4f, 0x3776aafc2e47e243, 0x60ef4ef1fb6f9b99, 0xa1b5e96a2bd75a35, 0x6b8cdd8836821af5,
  0x774b50ebc0ba2fa6, 0x304f8c048260aef2, 0x504e0ffe8833f43f, 0x3caca1cd56b471ee, 0x04f51f06cc19ebea,
  0x22cd3ad08a1df15e, 0xb26909afa30b2c45, 0x1af873ab4b9c35c6, 0xab5d0ebce9de1ee9, 0x70908a26e4637ec6,
  0xc11fadc37b2d9731, 0x5caad4021149a546, 0xa8d7738ce6283b5e, 0x95daa5beace75152, 0x5d2fe910e6b81013,
  0x7b55a22bcb10d2ad, 0x296be74079b26bae, 0xd102e6e90abaa417, 0xaa8b4ebaf38c6f19, 0xf2b6cce815156f62,
  0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5696792bf734332c, 0x0000000004ebcd4e,
};

// c128_swio10_lednop_pr_ce_u4
static const uint64_t ur_c128_swio10_lednop_pr_ce[] = {
  0x2f777776890c1107, 0x9776aaf30964625e, 0x7c8ef252e230c9f8, 0xbdeacebe828d3c2b, 0x7efe991f067bbe2c,
  0x2bbc9dd4e455e647, 0xff57cc13e3012098, 0xd4ca9418e5ffa20c, 0xc216de6e763580df, 0xc4361227b2ce1e79,
  0x41c113fa8f09e12f, 0x7ac9b3db84889c3b, 0x3c17ea38293dcb7d, 0xb015fc3d6921c490, 0xd1f5e15f11c1f398,
  0xfdc35403ff6678eb, 0x955adc3903cb5b86, 0x1aee719cc5076bcb, 0xbb54b7d59cea2a55, 0xa5fd221cd7020272,
  0x6ab44579621a55ab, 0x2d7ce80f364d75cf, 0x205cdd21575482e5, 0x5169d75e718de33a, 0xadb33a0518edec55,
  0x3c330ddf094b52fc, 0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f,
  0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0xa59e4afdcd0ccb0e, 0x00000001bae6b055,
};

// c128_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_swio10_lednop_pr_ee_ce[] = {
  0x86eeeeed121b9a7c, 0xeeed55e71252a24c, 0xdad1ed41619e3bb1, 0x3c7e2f0dd62792e9, 0x9eb5c1d485ed9041,
  0xba842338cfafae02, 0x827c602413057793, 0x07b07ff4419fe5a9, 0x3bec1037f54715a5, 0xd9670f3ce10b6f37,
  0x4784f097e21b0913, 0x84889c39d7c2a8fd, 0xd653b58e9ef9b3db, 0xf83660d00f51e565, 0xd68450298ad82fa8,
  0x4d7d185962291669, 0xaf873abb71c31d48, 0x78d8ebce9de1ee91, 0x121144dc8c6fd8d5, 0x1132386f65b2e62e,
  0xcaad4b31149a546c, 0x8d7738ce6283b5e5, 0x5daa5beace75152a, 0xd2fe910e6b810139, 0xb55a22bcb10d2ad5,
  0x96be74079b26bae7, 0x102e6e90abaa4172, 0xa8b4ebaf38c6f19d, 0x56d99d028c76f62a, 0x1e1986ef84a5a97e,
  0x07771a2cf7f8817b, 0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0xd2cf257ee6866587, 0x000000004fc9705a,
};

static const uint64_t ur_c128_swio10_lednop_ee_hw[] = {
  0xd7dddddda28d12a8, 0x4dddaabf0b91f890, 0x583bd3bc7edbe6e6, 0x686d7a5a8af5d68d, 0x9ae337620da086bd,
  0xde4ee9d68d5acfa9, 0x87e609f180904c15, 0x3dca09c1ffeb267e, 0x7d47959439aad68e, 0x2bc09ea3e0d9833d,
  0x88a459a75a1143be, 0xb8d64d2135f46165, 0xdd235f0e75697386, 0xd8d56ba1d79d3bc3, 0xe62e121144dc8c6f,
  0xa8d823f5b86f65b2, 0x6bcb955a80422934, 0x2a551aee719cc507, 0x0272bb54b7d59cea, 0x55aba5fd221cd702,
  0x75cf6ab44579621a, 0x82e52d7ce80f364d, 0xe33a205cdd215754, 0xec555169d75e718d, 0xa97e56d99d02a2ad,
  0x505d9e1986ef84a5, 0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x0b7e990bd14f257e,
};

// c128_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_swio10_lednop_ee_ce_hw[] = {
  0x86eeeeed14684541, 0xeeed55e71252a24c, 0xdad1ed41619e3bb1, 0x3c7e2f0dd62792e9, 0x9eb5c1d485ed9041,
  0xf277500937b87c02, 0xb5304f8c048260ae, 0xb4a0f60fff5933fc, 0x90e77d8206fea8e2, 0x44f659c3cf3842df,
  0x3f51e13c25f886c2, 0xf6e122270eedd859, 0x597594ed63a7be6c, 0xea3e0d983403d479, 0x9a75a1140a62b60b,
  0x52135f4616588a45, 0xa46be1ceaedc70c7, 0x355e363af3a7787b, 0x8b84845137231bf6, 0x1b044c8e1bd96cb9,
  0x7972ab52cc452695, 0x4aa35dce3398a0ed, 0x4e576a96fab39d45, 0xb574bfa4439ae040, 0xb9ed5688af2c434a,
  0x5ca5af9d01e6c9ae, 0x67440b9ba42aea90, 0x8aaa2d3aebce31bc, 0x5f95b66740a31dbd, 0x17678661bbe1296a,
  0x787bde50c2a44ad4, 0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389,
  0x05ea429453c95fb9, 0x0000000000000014,
};

// c128_swio10_dual_pr               c128_swio10_dual_pr_u4
static const uint64_t ur_c128_swio10_dual[] = {
  0x8e3bbbbbb4486f97, 0x97c5ebc9e3f7ee84, 0x807513c3764efa66, 0x751519d8b9621eda, 0x573a8bce76ec7197,
  0xd2ddcf04674e16a7, 0x827c602413057792, 0x55a8646d45206179, 0xe20614306d230377, 0xf32c250094ee9f12,
  0xd81c33814be2ec17, 0x41240ff74dea3ba5, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x97cb9f90f95e181b,
  0x105a437cb8bbf92f, 0x4219684648865ff2, 0x50ffe80e784d6b45, 0xf730586f2bc84b6e, 0xef961f2507f77f9a,
  0x21c4903117d47910, 0x8b01541e6f9d1ee9, 0xbc01af0e948def39, 0x4c6325403ff6608e, 0xdc549702503cb3db,
  0x6bcb955acfe2af9d, 0x2a551aee719cc507, 0x0272bb54b7d59cea, 0x55aba5fd221cd702, 0x75cf6ab44579621a,
  0x82e52d7ce80f364d, 0xe33a205cdd215754, 0xec555169d75e718d, 0xa97e56d99d02a2ad, 0x817b1e1986ef84a5,
  0x337f07771a2cf7f8, 0xef79430a912b53ab, 0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45,
  0x6587494b670e2719, 0xacaad2cf257ee686, 0x000000000000524e,
};

static const uint64_t ur_c128_swio10_dual_pr_ee[] = {
  0x083db77777750c86, 0x453bc5ebc86c644d, 0xdccdefd5d9f1ce76, 0xed40bfb4e164ddce, 0xb41f9ddd8f3123d8,
  0xddddd8dd8f05cc59, 0x7c6024130577928c, 0xa191b51482cc5982, 0x1850c1b48c0ddd56, 0xb0940253ba7c4b88,
  0xc7ce1ff38b868fcc, 0x81f57cdea3f4fec2, 0xe53e5c5e85244824, 0x8510c4aff3f7c117, 0xcfc87cb54103770f,
  0x21be5c5dfc97cbe5, 0x6847b4432ff9082d, 0xe80e784d22454219, 0xb0de579096df76bf, 0xfc941eafff35ee60,
  0xfd4795a9e9aad68d, 0x572bbd47c1b30613, 0x1148b34eb422877c, 0xc20b9a426be8c2cb, 0x29182873ab4b94b5,
  0x1aad743af6b15e13, 0x8b8484512f91e45b, 0x703e7d6e1bd971f1, 0x5acfe2af9ddc5495, 0xee719cc5076bcb95,
  0x54b7d59cea2a551a, 0xfd221cd7020272bb, 0xb44579621a55aba5, 0x7ce80f364d75cf6a, 0x5cdd21575482e52d,
  0x69d75e718de33a20, 0xd99d02a2adec5551, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000006429a72b4b,
};

static const uint64_t ur_c128_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed150ffac4f, 0x17af21b17d7a13ed, 0x571762f1a80534ef, 0x9c9a7bdc227ed5ef, 0x4cb1e627ed4e229c,
  0x8fada506afabd826, 0x15de4991774d3aab, 0x1e7ae609f180904c, 0x181bbaad43236a29, 0x74f8971030a18369,
  0x2eff3f32c2530127, 0xa3ffcd80683869ae, 0x8524482481f4fcde, 0xf3f7c117e53e5c5e, 0xd703770f8510c4af,
  0xfc97cbe5cfc87c95, 0x2ff9082d21be5c5d, 0x3dc54219682fb443, 0x2dbcedffd01cf098, 0xfd7c14c161bcaf21,
  0x9aad68ca2ca0f4ff, 0x0d98332bd4795efb, 0xa1143be2bd9dea3e, 0x5f4616588a459a75, 0x5a5f022e2a5cd213,
  0xea26f0bf88f4a39d, 0x3d51a636355ae875, 0x1bd97d2cc5c24228, 0x10f9bdaa3608fd6e, 0xd67f157ceee2a4a0,
  0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0xe910e6b8101395da, 0xa22bcb10d2ad5d2f, 0xe74079b26bae7b55,
  0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0xcce815156f62aa8b, 0xcc377c252d4bf2b6, 0xf8d167bfc40bd8f0,
  0xa44ad4eaccdfc1a3, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x00015928f27a3d73,
};

static const uint64_t ur_c128_swio10_dual_pr_ce[] = {
  0x3b2ddddddd435202, 0x4ef17af202fc9942, 0xc89d69efb4768c8c, 0x2a0d80aae216b17d, 0x6bb859375add7645,
  0xe4aee721d6d1717e, 0xc13e30120982bbc9, 0xaad43236a291dc7c, 0x71030a18369181bb, 0xf99612804a774f89,
  0xb038270eafe2f43f, 0x82481dba9bd478e5, 0x117e53e5c5e85244, 0x70f8510c4aff3f7c, 0x5f2e7e43e4089037,
  0x41690df2e2efe4be, 0x0865a07aa2197fc8, 0x5affa039e1302915, 0xdcc161bcaf212dba, 0xefa84f941b75fe6b,
  0x3842dbcdcef4d80a, 0x0911387ec1bc3fcf, 0x9ee59edd4b9a0577, 0x90e2481dc3f51fa8, 0xdef398b015c99954,
  0x6678ebc01af0e948, 0xf2d6e4c6325403ff, 0x8abe7771525c0940, 0x73141daf2e556b3f, 0x5673a8a9546bb9c6,
  0x735c0809caed52df, 0xe5886956ae97f488, 0x3cd935d73daad115, 0x855d520b94b5f3a0, 0x79c6378ce8817374,
  0x1463b7b15545a75d, 0x7c252d4bf2b6cce8, 0x9eff104fb8f0cc37, 0x3f75666fe0eee345, 0xc4e32c970cf4c2b9,
  0xdcd0ccb0e9296ce1, 0x0e7ace7d5a59e4af,
};

static const uint64_t ur_c128_swio10_dual_pr_ce_u4[] = {
  0xb7777768a87fa812, 0xe2f5e44107e508af, 0xe95efaec21b4e765, 0x9265a083e51fdebd, 0xbebd77eeabe3ac1b,
  0xebf072eecfed1c7f, 0x48260aef26273b83, 0xb51483927304f8c0, 0xc1b48c0ddd56a191, 0x8093ba7c4b881850,
  0x034717d35f996129, 0xfcdea3d8fec3fe1c, 0x5c5e8524482481d0, 0xc4aff3f7c117e53e, 0x7cb90703770f8510,
  0x5c5dfc97cbe5cfc8, 0xc4432ff9082d21be, 0x784db7e2a10cb41f, 0x579096dd36ffe80e, 0x687ffebe0a60b0de,
  0x33b0b406feabee50, 0xf659c3cf3842dfc0, 0x51e13c25f886c244, 0x70911387ba1baa3f, 0xa89ee5beba97367b,
  0x5490e2481dc3f51f, 0x48def398b015c999, 0xff6678ebc01af0e9, 0x40f2d6e4c6325403, 0x3f8abe7771525c09,
  0xc673141daf2e556b, 0xdf5673a8a9546bb9, 0x88735c0809caed52, 0x15e5886956ae97f4, 0xa03cd935d73daad1,
  0x74855d520b94b5f3, 0x5d79c6378ce88173, 0xe81463b7b15545a7, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x4ad4eaccdfc1a3f8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x03492d98ba3d73c9,
};

// c128_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_c128_swio10_dual_pr_ee_ce[] = {
  0x7777768a87fd5214, 0xbd791902aca1135f, 0xfc36824dbad8ebf8, 0xb37aca2bde893fbf, 0x2d864d70b58becd8,
  0xfbfd8d48a9d0f0cd, 0xa77368dcaa429538, 0x9f180904c15de496, 0xa191b514855f8660, 0x1850c1b48c0ddd56,
  0x61298093ba7c4b88, 0x28e1951c5da0ff99, 0x366fcdea3dc8ec09, 0xa7cb8bd0a4890490, 0xa21895fe7ef822fc,
  0xe43e4598a06ee1f0, 0xdf2e2efe4be5f2e7, 0x09d22197fc841690, 0x0e784db3a2a10cb4, 0xbcaf212dbf47ffe8,
  0x4166fffd7c14c161, 0x9db37c0dfd51a5a9, 0xb2ce1e79c216fe01, 0x8f09e12fc4361227, 0x2444e1d745de7dfa,
  0xd29dac75374d9edc, 0xc1b307dd7a8f2bca, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0x4a39d5dbb020ea42,
  0xc6c75ea26f0bf88f, 0x484507aa34c6c6ab, 0x8991c37b2fa598b8, 0x2a4a598f9bdaa360, 0xe5caad67f157ceee,
  0x2a8d7738ce6283b5, 0x395daa5beace7515, 0xd5d2fe910e6b8101, 0xe7b55a22bcb10d2a, 0x7296be74079b26ba,
  0x9d102e6e90abaa41, 0x2aa8b4ebaf38c6f1, 0x7e56d99d028c76f6, 0x7b1e1986ef84a5a9, 0xf8347f1a2cf7f881,
  0xca1854895a9d599b, 0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25,
  0x47ae792bf734332c, 0x000000002002f24f,
};

static const uint64_t ur_c128_swio10_dual_ee_hw[] = {
  0xadddddda28d08f43, 0xe2f5e4362faf427d, 0xeae2ec5e3500a69d, 0x93934f7b844fdabd, 0xc9963cc4fda9c453,
  0x7ed6ada9c7f57b04, 0x413057792645dde2, 0xa8a479eb9827c602, 0x0da4606eeab50c8d, 0x419dd3e25c40c286,
  0xd35c5dfe7e6584a7, 0xf9bd47ff9b00d070, 0xb8bd0a48904903e9, 0x895fe7ef822fca7c, 0xf92bae06ee1f0a21,
  0xb8bbf92f97cb9f90, 0x68865ff2105a437c, 0xe1307b8a8432d05f, 0x5e425b79dbffa039, 0xe9fff246e982c379,
  0xbdf7355ad1945941, 0xd47c1b306657a8f2, 0x34eb422877c57b3b, 0xa426be8c2cb1148b, 0x473ab4be045c54b9,
  0xd0ebd44de17f11e9, 0x84507aa34c6c6ab5, 0xfadc37b2fa598b84, 0x494021f37b546c11, 0xb955acfe2af9ddc5,
  0x51aee719cc5076bc, 0x2bb54b7d59cea2a5, 0xba5fd221cd702027, 0xf6ab44579621a55a, 0x52d7ce80f364d75c,
  0xa205cdd21575482e, 0x55169d75e718de33, 0xe56d99d02a2adec5, 0xd9e1986ef84a5a97, 0x1ef79430a912b505,
  0xd871fc65f989ffde, 0x5fe07efd8668fb19, 0x964b867a617c68f4, 0x66587494b670e271, 0x8590bd14f257ee68,
  0x0000000000000576,
};

// c128_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_c128_swio10_dual_ee_ce_hw[] = {
  0xeeeeeed14685b217, 0x17af23205594226b, 0xff86d049b75b1d7f, 0x166f59457bd127f7, 0xa5b0c9ae16b17d9b,
  0x402699a9153a1e19, 0x7925a9dc21c6b4eb, 0xe19827c602413057, 0x7755a8646d452157, 0x12e20614306d2303,
  0x1ff32c253a0cee9f, 0x1d81251c32a38bb4, 0x209206cdf9bd47b9, 0x045f94f9717a1491, 0xdc3e144312bfcfdf,
  0xbe5cfc87c8b3140d, 0x82d21be5c5dfc97c, 0x2196813a4432ff90, 0xfffd01cf09b67454, 0x982c3795e425b7e8,
  0x34b5282cdfff246e, 0x6fc873b66f81bfaa, 0x61227b2ce1e79c21, 0xc03fa8f09e12fc43, 0x6cf6e122270feb53,
  0x795e5694ed63a9ba, 0x75ea3e0d983eebd4, 0x459a75a1140a62bb, 0x0752135f4616588a, 0x5fc47a51ceaedd81,
  0x36355e363af51378, 0x2cc5c242283d51a6, 0xd51b044c8e1bd97d, 0xbe77715252cc7cde, 0x141daf2e556b3f8a,
  0x73a8a9546bb9c673, 0x5c0809caed52df56, 0x886956ae97f48873, 0xd935d73daad115e5, 0x5d520b94b5f3a03c,
  0xc6378ce881737485, 0x63b7b15545a75d79, 0x252d4bf2b6cce814, 0x895a82ecf0cc377c, 0xc4ffef0f7bca1854,
  0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x001d75758e268a79,
};

/*
 * c128_swio11_noled_pr              c128_swio11_noled_pr_u4           c128_swio12_noled
 * c128_swio12_noled_pr              c128_swio12_noled_pr_u4
 */
static const uint64_t ur_c128_swio11_noled[] = {
  0xd05bbbbb4486d38b, 0xeed55c8a66312b89, 0xf70a7ec682d82782, 0x58388b8edbd9faa6, 0xd82fe3fbb713a0b3,
  0x27751994e69652b1, 0xd304f8c048260aef, 0x72821efff4419f80, 0x1935ea382877cb6f, 0x594cfe1eb490e248,
  0xf0fc88c45398b016, 0x2a01ffb30475e8fa, 0x605681e59edef7d0, 0x38ce6283b5e5caad, 0xbeaece75152a8d77,
  0xebe910e6b395daa5, 0xd5688af2c434ad8d, 0x94f0d3bc03faeb9e, 0xa205d5e906175362, 0x55169485e718de33,
  0xe56d99cbb22adec5, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337, 0xfc65f989ffde1ef7,
  0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658, 0x000000003e4c57e1,
};

// c128_swio11_noled_pr_ee_u4        c128_swio12_noled_pr_ee           c128_swio12_noled_pr_ee_u4
static const uint64_t ur_c128_swio11_noled_pr_ee[] = {
  0xad377776890c1107, 0xddaabf0bd918971f, 0x3bc96a1933e6e64d, 0x86d0ca0a34f0adf2, 0x91f06620da0b8fd6,
  0xdd4e455e6477efe9, 0xc13e30120982bbc9, 0x418e5ffa20cff57c, 0xf2b2eb355ad198f9, 0x17d47c1b307d47a8,
  0x8b34eb422877c56c, 0xc9a426be8c2cb114, 0x7f21cead2ee9571a, 0x5ae875e74ef084f4, 0xc24228c911ef7635,
  0x047eb70decb65cc5, 0xcaad402b86b3d51b, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0xad8debe910e6b395,
  0xeb9ed5688af2c434, 0x536294f0d3bc03fa, 0xde33a205d5e90617, 0xdec555169485e718, 0x5a97e56d99cbb22a,
  0x8817b1e1986ef84a, 0xb337f07771a2cf7f, 0x1ef79430a912b53a, 0xd871fc65f989ffde, 0x5fe07efd8668fb19,
  0x964b867a617c68f4, 0x66587494b670e271, 0x3582ad2cf257ee68, 0x00000000000009d7,
};

// c128_swio11_noled_pr_ce_u4        c128_swio12_noled_pr_ce           c128_swio12_noled_pr_ce_u4
static const uint64_t ur_c128_swio11_noled_pr_ce[] = {
  0x2f7bbbbb44864aa4, 0x776aaf3081044ab4, 0x27699c01e94c9f89, 0xeacc4685c33b27a6, 0xb34b644d8ddad0bd,
  0xef27752658bc4ecf, 0x383304f8c048260a, 0x0f7283b3bff4419f, 0x85b79b9dc56037f5, 0x0d8489ecb3879e70,
  0x8683fea3c2784bf1, 0x59367b70911387ca, 0xb3fd475f27b96faf, 0x058f680524389206, 0x3ebc3f223114e62c,
  0xf40a807feccf1d7a, 0xaad605681e5addbd, 0xd7738ce6283b5e5c, 0xaa5beaece75152a8, 0xd8debe910e6b395d,
  0xb9ed5688af2c434a, 0x36294f0d3bc03fae, 0xe33a205d5e906175, 0xec555169485e718d, 0x52fcadb3397618ed,
  0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x9a75a59e4afdcd0c, 0x000000000001baff,
};

// c128_swio11_noled_pr_ee_ce_u4     c128_swio12_noled_pr_ee_ce        c128_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_c128_swio11_noled_pr_ee_ce[] = {
  0xc209bbbbb4486e7c, 0xeeed55e7126ea246, 0x62d414f5cfde3bb1, 0x3c79bb81793a99eb, 0x8a5091d485ecd841,
  0xeeecdb4f16a1f8d3, 0x609f180904c15de4, 0x41c6effd1067ef0e, 0xcef1b80dfd51c729, 0xf659c3cf3842dbcd,
  0x51e13c25f886c244, 0xc2444e1ee4a3afbf, 0x0f29dac74f7cd9ed, 0x7c1b307a57a8f2b9, 0xeb422814c5652fd4,
  0x26be8c2cb1148b34, 0xfe439d5db9d28ea4, 0x78d8ebce9de109e8, 0x0908a32447bdd8d5, 0x08991c37b2d97317,
  0x955a96770d67aa36, 0x1aee719cc5076bcb, 0xb54b7d5d9cea2a55, 0x5b1bd7d221cd672b, 0xd73daad115e58869,
  0xa6c529e1a77807f5, 0xbc67440babd20c2e, 0xbd8aaa2d290bce31, 0x6a5f95b6672ec31d, 0x205ec78661bbe129,
  0xccdfc1ddc68b3dfe, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1,
  0x9961d252d9c389c6, 0x792ab4b3c95fb9a1, 0x00000000000013f3,
};

// c128_swio12_noled_ee_hw
static const uint64_t ur_c128_swio11_noled_ee_hw[] = {
  0xeb4ddddda28d0582, 0x776aafc2f64625c7, 0x8ef25a864cf9b993, 0xa1b432828d3c2b7c, 0x647c19883682e3f5,
  0x793ba76821e96afa, 0xaf9827c602413057, 0x1f2831cbffac99fe, 0xf51e565d66ab5a33, 0xad82fa8f83660fa8,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x9e8fe439d5a5dd2a, 0xc6ab5d0ebce9de10, 0x98b8484519223dee,
  0xa3608fd6e1bd96cb, 0xbcb955a80570d67a, 0xa551aee719cc5076, 0x72bb54b7d5d9cea2, 0x8695b1bd7d221cd6,
  0x7f5d73daad115e58, 0xc2ea6c529e1a7780, 0xe31bc67440babd20, 0x455bd8aaa2d290bc, 0x094b52fcadb33976,
  0x2256a0bb3c330ddf, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00000b7c6907a29e,
};

// c128_swio11_noled_ee_ce_u4_hw     c128_swio12_noled_ee_ce_hw        c128_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_c128_swio11_noled_ee_ce_hw[] = {
  0x413777768a34306a, 0xddaabce24dd448d8, 0x5a829eb9fbc7763d, 0x8f37702f27533d6c, 0x4a123a90bd9b0827,
  0x3bb55f9335085a71, 0x9827c60241305779, 0x5071bbffac99fbc3, 0x73bc6e037f5471ca, 0x7b2ce1e79c216fc8,
  0xa8f09e12fc436122, 0xe122270e30bbb77f, 0x8794ed63a7be6cf6, 0x3e0d983d2bd4795c, 0x75a1140a62b297ea,
  0x135f4616588a459a, 0x7f21ceaedce94752, 0xbc6c75e74ef084f4, 0x8484519223deec6a, 0x044c8e1bd96cb98b,
  0xcaad4b3b86b3d51b, 0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0xad8debe910e6b395, 0xeb9ed5688af2c434,
  0x536294f0d3bc03fa, 0xde33a205d5e90617, 0xdec555169485e718, 0xb52fcadb3397618e, 0x6a0bb3c330ddf094,
  0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1,
  0x0280b3000a29e4af,
};

/*
 * c128_swio11_lednop_pr             c128_swio11_lednop_pr_u4          c128_swio12_lednop
 * c128_swio12_lednop_pr             c128_swio12_lednop_pr_u4
 */
static const uint64_t ur_c128_swio11_lednop[] = {
  0xe82ddddda243280b, 0xeed55c8a58f895c4, 0x8d412fcc3ed82782, 0x35838b312e25ef56, 0x4de3bf4bbb713a0b,
  0xf2777273d67aed39, 0x8b304f8c048260ae, 0x7b9417f3ff4419f2, 0x40c9af51d003be5b, 0x6594d52a44a48712,
  0x5e19b918df398b01, 0x65403ff6608ebd1f, 0xa7d5103cb3db8cad, 0x9c673141daf2e556, 0xdf57673a8a9546bb,
  0x88735c0809caed52, 0x8af2c434ae5e97f4, 0xd01e6c9aeb9ed568, 0xba42aea905ca5af9, 0xaebce31bc67440b9,
  0x774f455bd8aaa2d3, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x0007c9eea92b4b3c,
};

// c128_swio11_lednop_pr_ee_u4       c128_swio12_lednop_pr_ee          c128_swio12_lednop_pr_ee_u4
static const uint64_t ur_c128_swio11_lednop_pr_ee[] = {
  0xd69bbbbb44867f3e, 0xeed55f85cd2c4b8f, 0x76cbbcc46df37326, 0xa1b432c8d054137a, 0x3f4cfd883682e3f5,
  0x77635517b3375bf2, 0x304f8c048260aef2, 0x2824ebff4419f0b5, 0x1e56c166ab5a331f, 0x2b7a8f83660fa8f5,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8e6e39d5a5cbaae3, 0xab5d0ebce9de1dbe, 0xb8484500a238cac6,
  0x608fd6e1bd96cb98, 0x2e556a016f7d02a3, 0x546bb9c673141daf, 0xaed52df57673a8a9, 0xe97f488735c0809c,
  0xed5688af2c434ae5, 0xa5af9d01e6c9aeb9, 0x440b9ba42aea905c, 0xaa2d3aebce31bc67, 0x95b66774f455bd8a,
  0xc78661bbe1296a5f, 0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7,
  0x19e985f1a3d17f81, 0xd252d9c389c6592e, 0xb4b3c95fb9a19961, 0x000000004eb882ba,
};

// c128_swio11_lednop_pr_ce_u4       c128_swio12_lednop_pr_ce          c128_swio12_lednop_pr_ce_u4
static const uint64_t ur_c128_swio11_lednop_pr_ce[] = {
  0x2f7bbbbb448607e1, 0xeed55e611a2c4ab4, 0x5d58350c99993f12, 0xeacc4420a16486f2, 0xe624d2e2fddad0bd,
  0xde4ee843dfbb123a, 0x96a609f180904c15, 0x1ee5046b7fe8833e, 0x0b6f373b38206fea, 0x1b0913d9670f3ce1,
  0x9cdffd4784f097e2, 0xb26cf6e122270ea4, 0xcff51e5f4f72df5e, 0x1603751490e2481a, 0xf5e19b918df398b0,
  0xd65403ff6678ebd1, 0x5a9f5440f2d6e8ca, 0xee719cc5076bcb95, 0x4b7d5d9cea2a551a, 0xd221cd7020272bb5,
  0xa22bcb10d2b97a5f, 0xe74079b26bae7b55, 0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0x33ba78c76f62aa8b,
  0x30ddf094b52fcadb, 0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb,
  0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x00001bae35395a59,
};

// c128_swio11_lednop_pr_ee_ce_u4    c128_swio12_lednop_pr_ee_ce       c128_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_swio11_lednop_pr_ee_ce[] = {
  0x41377776890c365a, 0xddaabce25d9448d8, 0x6d3ac1034bc7763d, 0xc79bb37502d60e8f, 0xa7233d485ecd8413,
  0xe9377d72c5368d89, 0x09f180904c15de4e, 0x135bffd1067d9f26, 0xecd6c0dfd51c7294, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x2444e1e2314e3ff5, 0x729dac74f7cd9edc, 0xc1b307a57a8f2b29, 0xb422814c56a7bd47,
  0x6be8c2cb1148b34e, 0x6e39d5db8ba8ea42, 0x8d8ebce9de1dbe8e, 0x908a014471958d57, 0x8991c37b2d973170,
  0x556a59ef7d02a360, 0x6bb9c673141daf2e, 0xd52df57673a8a954, 0x7f488735c0809cae, 0x5688af2c434ae5e9,
  0xaf9d01e6c9aeb9ed, 0x0b9ba42aea905ca5, 0x2d3aebce31bc6744, 0x6ccee9e31dbd8aaa, 0x0cc377c252d4bf2b,
  0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7,
  0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x00000013f27c1569,
};

// c128_swio12_lednop_ee_hw
static const uint64_t ur_c128_swio11_lednop_ee_hw[] = {
  0xfd69bbbbb451a111, 0x6eed55f85cd2c4b8, 0xa76cbbcc46df3732, 0x5a1b432c8d054137, 0x23f4cfd883682e3f,
  0x7793baaf99f6962f, 0x85a9827c60241305, 0x98f941275ffd64cf, 0x47a8f2b60b355ad1, 0xc5795bd47c1b307d,
  0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xedf47371cead2e5d, 0x56355ae875e74ef0, 0x5cc5c242280511c6,
  0x151b047eb70decb6, 0xed7972ab500b7be8, 0x454aa35dce3398a0, 0x04e576a96fabb39d, 0x572f4bfa4439ae04,
  0x75cf6ab44579621a, 0x82e52d7ce80f364d, 0xe33a205cdd215754, 0xec555169d75e718d, 0x52fcadb33ba7a2ad,
  0xa0bb3c330ddf094b, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x0b7cd59ba29e4afd,
};

// c128_swio11_lednop_ee_ce_u4_hw    c128_swio12_lednop_ee_ce_hw       c128_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_swio11_lednop_ee_ce_hw[] = {
  0x826eeeed14687a31, 0xbb5579c4bb2891b0, 0xda758206978eec7b, 0x8f3766ea05ac1d1e, 0x4e467a90bd9b0827,
  0x3ba89f87da0f9b13, 0x9827c60241305779, 0x504d6fffac99f67c, 0x73b35b037f5471ca, 0x7b2ce1e79c216fc8,
  0xa8f09e12fc436122, 0x709113875c170fff, 0xa5ca76b1d3df367b, 0x1f06cc1e95ea3cac, 0x3ad08a05315a9ef5,
  0x09afa30b2c4522cd, 0x39b8e7576e2ea3a9, 0x5e363af3a77876fa, 0xc242280511c65635, 0x8226470decb65cc5,
  0xb955a967bdf40a8d, 0x51aee719cc5076bc, 0xbb54b7d5d9cea2a5, 0xa5fd221cd7020272, 0xb55a22bcb10d2b97,
  0x96be74079b26bae7, 0x102e6e90abaa4172, 0xa8b4ebaf38c6f19d, 0xadb33ba78c76f62a, 0x3c330ddf094b52fc,
  0xdef286152256a0bb, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x9231a29e4afdcd0c, 0x000000000001405c,
};

/*
 * c128_swio11_dual_pr               c128_swio11_dual_pr_u4            c128_swio12_dual
 * c128_swio12_dual_pr               c128_swio12_dual_pr_u4
 */
static const uint64_t ur_c128_swio11_dual[] = {
  0x32ef77776890cf68, 0xc5ebc9e3c75e8412, 0x7e858dd191fa6697, 0x8a8ef3efaeceb6a2, 0x5eeb69cb7448cbba,
  0xddcd1f53af70dd95, 0x7c602413057792d2, 0xd43236a291d4e982, 0x030a18369181bbaa, 0x9612804a774f8971,
  0x0e19c0a5f1760bf9, 0x9207fba6f51dd2ec, 0x5f94f9717a149120, 0x3e144312bfcfdf04, 0xe5cfc87ca6180ddc,
  0x2d21be5c5dfc97cb, 0x0cb42324432ff908, 0xbff4073c26b5a2a1, 0x982c3795e425b760, 0x965af282e4ffcd7b,
  0xc4903defd47ee8ef, 0x01541e674a63e921, 0x01af09ea8d31398b, 0xe455403ff6608ebc, 0x5495c4607967b710,
  0xcb955acfe2af9ddc, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x7a5fd221cd702027, 0x7b55a22bcb10d2b9,
  0x296be74079b26bae, 0xd102e6e90abaa417, 0xaa8b4ebaf38c6f19, 0xe56d99dd3d156f62, 0xb1e1986ef84a5a97,
  0xf07771a2cf7f8817, 0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0,
  0x7494b670e271964b, 0xad2cf257ee686658, 0x000000000524d22f,
};

// c128_swio12_dual_pr_ee
static const uint64_t ur_c128_swio11_dual_pr_ee[] = {
  0xeb1dadddddd432db, 0x778bd790d8d9ba10, 0xda6d821624e4ec8a, 0x76a05ecadeeee76c, 0xf2d05086c79893ac,
  0xbb8e08ab07866743, 0xf8c048260aef2519, 0xa191b51483e7d304, 0x1850c1b48c0ddd56, 0xb0940253ba7c4b88,
  0xc7ce1ff38b868fcc, 0x81f57cdea3f4fec2, 0xe53e5c5e85244824, 0x8510c4aff3f7c117, 0xe7e43e5dd603770f,
  0x90df2e2efe4be5f2, 0xb423da2197fc8416, 0xf4073c269122a10c, 0x2c3795e425b77f9f, 0x01a504c7ffcd7b98,
  0x9ea3cad4f4d56b47, 0x1594bf51f06cc1c8, 0xc4522cd3ad08a1df, 0x7082e6909afa30b2, 0xf5460a1cead2f21d,
  0xc6ab5d0ebdac5784, 0x3170908a22147916, 0xae045fadc37b2e3e, 0xab59fc55f3bb8a92, 0x5dce3398a0ed7972,
  0xa96fabb39d454aa3, 0xfa4439ae0404e576, 0xb44579621a572f4b, 0x6c59d01e7eb5cf6a, 0x6467d20b0952c2ca,
  0x3a2053ebc5021698, 0x52fcadb33a718de3, 0x13ee3c330ddf094b, 0x9bf83bb8d167bfc4, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x0a5696792bf73433, 0x0000000000064287,
};

// c128_swio12_dual_pr_ee_u4
static const uint64_t ur_c128_swio11_dual_pr_ee_u4[] = {
  0x16eeeed150ff72df, 0xebc86c4da509b2a7, 0xc9e7db3e014d3bc5, 0x863f2d042dab8bdb, 0x0d8f313b2a7114e0,
  0xbcd70cb5d7be3fa1, 0xbbc9322eedad541a, 0xf9f4c13e30120982, 0x037755a8646d4520, 0x9f12e20614306d23,
  0xdfe7e6584a6024ee, 0x7ff9b00d070d35c5, 0xa48904903e9f9bd4, 0x7ef822fca7cb8bd0, 0x406ee1f0a21895fe,
  0xc97cbe5cfc87cbce, 0xff9082d21be5c5df, 0xdc54219682fb4432, 0x6ddfe7fd01cf0983, 0xebe0a60b0de57909,
  0xd56b47fba504c7ff, 0xd9830f7ea3caedd4, 0x1143be2b8adea3e0, 0xf4616588a459a75a, 0xa5f2b2e2a5cd2135,
  0x44de180c8cf539d5, 0x423886c6ab5d0ebd, 0x7b2fa598b848451d, 0x6bc1f546c11fadc3, 0x3f8abe7771525009,
  0xc673141daf2e556b, 0xf57673a8a9546bb9, 0x8735c0809caed52d, 0xaf2c434ae5e97f48, 0x01e6c9aeb9ed5688,
  0xa42aea905ca5af9d, 0xebce31bc67440b9b, 0x74f455bd8aaa2d3a, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661,
  0x56a75666fe0d1fc6, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x0ac9f65ad1eb9e4a,
};

// c128_swio12_dual_pr_ce
static const uint64_t ur_c128_swio11_dual_pr_ce[] = {
  0xb14adddddd436f02, 0xf17af202f421a11e, 0xf68fcd943d8c8c4e, 0x6db1577a6be7deb4, 0xe30fae76ebd62950,
  0x73f87cd7bc98b37e, 0x180904c15de4f257, 0x191b51485d16609f, 0x850c1b48c0ddd56a, 0x0940253ba7c4b881,
  0x138757f17a1ffccb, 0x0edd4dea3c72d81c, 0x29f2e2f429224124, 0x2886257f9fbe08bf, 0x3f21f2e6f81bb87c,
  0x86f97177f25f2f97, 0xd03d510cbfe420b4, 0xd01cf098148a8432, 0x61bcaf212dbd0fff, 0x44941d37fe6bdcc1,
  0x6de6e77b380577d6, 0x9c39adcc37e79c21, 0xcf6ea5cd02bb8488, 0x240ed6f51c27cf72, 0x98b0152b07ba4871,
  0xebc01af09ea8d313, 0xd10e455403ff6678, 0x777152571181e5ad, 0x1daf2e556b3f8abe, 0xa8a9546bb9c67314,
  0x809caed52df57673, 0x4ae5e97f488735c0, 0xaeb9ed5688af2c43, 0x905ca5af9d01e6c9, 0xbc67440b9ba42aea,
  0xbd8aaa2d3aebce31, 0xd4bf2b6ccee9e31d, 0x04fb8f0cc377c252, 0x66fe0eee3459eff1, 0xc970cf4c2b93f756,
  0xcb0e9296ce1c4e32, 0x17d5a59e4afdcd0c, 0x000000000000e7ad,
};

// c128_swio12_dual_pr_ce_u4
static const uint64_t ur_c128_swio11_dual_pr_ce_u4[] = {
  0xb6eeeed150fe5f82, 0xebc8820ce509388e, 0xbda7d96a69cecbc5, 0xec8970b403a57bda, 0x4d9bdd9c4758371c,
  0xfda3595571f99b9b, 0x982bbc989ceee9ad, 0x5208f5cc13e30120, 0xd23037755a8646d4, 0x4ee9f12e20614306,
  0x1c5f4d7e6584a602, 0x7a8f63fb0ff8700d, 0x7a149120920743f3, 0xbfcfdf045f94f971, 0x0a440ddc3e144312,
  0x77f25f2f973f21f2, 0x0cbfe420b486f971, 0x36df8a8432d07f11, 0x212dbe9affa039e1, 0xd7fd7c14c161bcaf,
  0x7d3e06feb52a5042, 0xb3879e7085bf8067, 0xc2784bf10d8489ec, 0x22270fdd60007ea3, 0x3dcb7d752e6cf6e1,
  0x21c4903b5bd4709f, 0x4c4e62c054ac1ee9, 0x99e3af006bc27aa3, 0x96b7443915500ffd, 0x2af9ddc5495c4607,
  0xcc5076bcb955acfe, 0xd9cea2a551aee719, 0xd7020272bb54b7d5, 0xb10d2b97a5fd221c, 0x9b26bae7b55a22bc,
  0xabaa417296be7407, 0x38c6f19d102e6e90, 0x8c76f62aa8b4ebaf, 0x094b52fcadb33ba7, 0xeff102f63c330ddf,
  0x3ab337f068fe3459, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb, 0x71964b867a617c68,
  0x6866587494b670e2, 0x8cbf0e8f5cf257ee, 0x00000000000001a4,
};

// c128_swio11_dual_pr_ee_ce_u4      c128_swio12_dual_pr_ee_ce         c128_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_c128_swio11_dual_pr_ee_ce[] = {
  0xb777768a87fd7fe1, 0xebc8c819d509dd85, 0x3f2270f9d6c75fc5, 0x52b6957bdffe1df1, 0x5b0ddd85ac5f2618,
  0xaffc3f5f3764b21a, 0x6a772d3aeff6d20c, 0x09f180904c15de49, 0xb50c8da8a45ea926, 0x40c2860da4606eea,
  0xcb094c049dd3e25c, 0x49470ca8e2ed07fc, 0x81b37e6f51ee4760, 0xe53e5c5e85244824, 0x8510c4aff3f7c117,
  0x9f90f9279703770f, 0x437cb8bbf92f97cb, 0xd02748865ff2105a, 0xa039e136ce8a8432, 0x86f2bc84b6ed07ff,
  0xf283d67ff5f05305, 0x033beb3037f54743, 0x4f659c3cf3842dfc, 0xf51e13c25f886c24, 0x7091138774e8c7af,
  0x574a76b1d4dd367b, 0x3e0d983dbfea3cae, 0x75a1140a62bd37ea, 0x135f4616588a459a, 0x67a9ceaedd958752,
  0xbc6c75ea26f0c064, 0x848451d423886c6a, 0x08991c37b2fa598b, 0x8a92966b5e0faa36, 0x7972ab59fc55f3bb,
  0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0x2f4bfa4439ae0404, 0xcf6ab44579621a57, 0xe52d7ce80f364d75,
  0x3a205cdd21575482, 0x555169d75e718de3, 0xf95b66774f18edec, 0xec78661bbe1296a5, 0xe0d1fc68b3dfe205,
  0x286152256a75666f, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97,
  0x1eb9e4afdcd0ccb0, 0x00000001000b46ed,
};

// c128_swio12_dual_ee_hw
static const uint64_t ur_c128_swio11_dual_ee_hw[] = {
  0xe2ddddda28d11107, 0xbd790d89b4a13654, 0x793cfb67c029a778, 0x10c7e5a085b5717b, 0x21b1e627654e229c,
  0xa9c7ba41baf7c7f4, 0x982bbc9322ee6ff6, 0x520f9f4c13e30120, 0xd23037755a8646d4, 0xcee9f12e20614306,
  0xae2eff3f32c253a0, 0xdea3ffcd80683869, 0x5e8524482481f4fc, 0xaff3f7c117e53e5c, 0x5e7203770f8510c4,
  0x2efe4be5f2e7e43e, 0x2197fc841690df2e, 0x4c1ee2a10cb417da, 0xc84b6eff3fe80e78, 0x3ffe48dd30586f2b,
  0x6ea6ab5a3fdd2826, 0x1f06cc187bf51e57, 0x3ad08a1df15c56f5, 0x09afa30b2c4522cd, 0xcead2f9597152e69,
  0x75ea26f0c06467a9, 0x28ea11c436355ae8, 0x6e1bd97d2cc5c242, 0x804b5e0faa3608fd, 0xab59fc55f3bb8a92,
  0x5dce3398a0ed7972, 0xa96fabb39d454aa3, 0xfa4439ae0404e576, 0xb44579621a572f4b, 0x7ce80f364d75cf6a,
  0x5cdd21575482e52d, 0x69d75e718de33a20, 0xb33ba7a2adec5551, 0x330ddf094b52fcad, 0xf286152256a0bb3c,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x0ba29e4afdcd0ccb,
  0x0000000000aed688,
};

// c128_swio11_dual_ee_ce_u4_hw      c128_swio12_dual_ee_ce_hw         c128_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_c128_swio11_dual_ee_ce_hw[] = {
  0x5b777768a344d164, 0x5ebc8c819d509dd8, 0x13f2270f9d6c75fc, 0x852b6957bdffe1df, 0xa5b0ddd85ac5f261,
  0x7a5539f5f3764b21, 0x7925a9dcacc5009a, 0xa49827c602413057, 0xbbaad43236a2917a, 0x8971030a18369181,
  0x0ff996129d06774f, 0x8ec0928e1951c5da, 0x90490366fcdea3dc, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef,
  0x2f973f21f24f2e06, 0x20b486f97177f25f, 0x0865a04e910cbfe4, 0x0fff4073c26d9d15, 0xa60b0de579096dda,
  0x8e87e507acffc91b, 0x2df90e77d6606fea, 0x6c244f659c3cf384, 0x3afbf51e13c25f88, 0x4d9edc2444e1ee4a,
  0x8f2b95d29dac7537, 0x4dfa8f83660f6ffa, 0x91669d68450298af, 0x61d484d7d1859622, 0x301919ea73abb765,
  0x1b1aaf1b1d7a89bc, 0x9662e121147508e2, 0xea8d8226470decbe, 0x7ceee2a4a59ad783, 0x283b5e5caad67f15,
  0xe75152a8d7738ce6, 0x8101395daa5beaec, 0x8695cbd2fe910e6b, 0x935d73daad115e58, 0xd520b94b5f3a03cd,
  0x6378ce8817374855, 0x3b7b15545a75d79c, 0xa5a97e56d99dd3c6, 0x2b505d9e1986ef84, 0x9ffde1ef79430a91,
  0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x01d758b1c4d14f25,
};

// c128_swio13_noled_pr              c128_swio13_noled_pr_u4
static const uint64_t ur_c128_swio13_noled[] = {
  0x13bbbbbb44862d7b, 0x0bbb5572290be249, 0xc2b490d590e3609e, 0x2cd6341a8636de4d, 0x27a763dd7eea44e8,
  0xbbc9dd47652869bb, 0xd7dcc13e30120982, 0xa0fca0c7bffd1067, 0x481f41ea3cbe3be5, 0x2cb29a03751490e2,
  0xf5e1c911ef673160, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0xdce3398a0ed7972a, 0xeaa6fb39d454aa35,
  0xbe910e6b395daa5b, 0xb44579621a55abde, 0x7869de01fd75cf6a, 0x02eaf4830ba9b14a, 0x8b4a42f38c6f19d1,
  0xb6ccec63156f62aa, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8, 0x32fcc4ffef0f7bca,
  0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x96792bf734332c3a, 0x0000001f27b483d6,
};

// c128_swio13_noled_pr_ee_u4
static const uint64_t ur_c128_swio13_noled_pr_ee[] = {
  0x5fbbbbbb448607e1, 0x9bbb557e1768b127, 0xc97560f8fdb7cdcc, 0x686d13308285921b, 0x49a5c5e20da09d7d,
  0x9dd087bf762475cc, 0x4c13e30120982bbc, 0x4a08d6ffd1067d2d, 0xa3caca5cd56b46fe, 0x53dea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23c90e7569790eb8, 0xd56ba1d79d3bc322, 0x2e121142f88e0fd8,
  0xd823f5b86f65b2e6, 0xcb955a8056b13ca8, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0xd5ef5f4887359cae,
  0xe7b55a22bcb10d2a, 0xd8a53c34ef00feba, 0x8ce881757a4185d4, 0xb15545a52179c637, 0xa5f95b6676318ab7,
  0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676,
  0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xa72b4b3c95fb9a19, 0x00000000000275c6,
};

// c128_swio13_noled_pr_ce_u4
static const uint64_t ur_c128_swio13_noled_pr_ce[] = {
  0xafbbbbbb4486a4d6, 0x4bbb557984a8b121, 0xb4cf7c89711864fc, 0xbdeade95ebb4b537, 0xabd71b452b7ba35c,
  0x2bbc9dd39d9f7938, 0x7c9d4c13e3012098, 0xd63dca0c56ffd106, 0xc216de6e771c80df, 0xc4361227b2ce1e79,
  0xa3ea49fa8f09e12f, 0xbd64d9edc2444e1f, 0x0c9ef51e6e9ee5be, 0x580a63f4aa487124, 0xf47d7872447bd9cc,
  0x1fe91500ffd99e3a, 0x72ab5976a0796b74, 0xa35dce3398a0ed79, 0xa5beaa6fb39d454a, 0xbdebe910e6b395da,
  0xf6ab44579621a55a, 0x14a7869de01fd75c, 0x9d102eaf4830ba9b, 0x2aa8b4a42f38c6f1, 0x7e56d99d8c4c76f6,
  0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881, 0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x3ad2cf257ee68665, 0x0000000000dd7fc9,
};

// c128_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_c128_swio13_noled_pr_ee_ce[] = {
  0xdeeeeeed1218022f, 0xdddaabce24a7448a, 0x15a76a82c33c7763, 0x78f3f6cccc8f91d4, 0x76506f5217b2b682,
  0xddc983f2350ce586, 0xc13e30120982bbc9, 0x83fafffa20cfcc34, 0x9dfeb81bfaa31ad2, 0xecb3879e7085b79b,
  0xa3c2784bf10d8489, 0x84889c3bc03118fe, 0x0e53b58e9ef9b3db, 0xf83660cf5f51e567, 0xd68450298aca1fa8,
  0x4d7d185962291669, 0xe4873abb74871d48, 0x78d8ebce9de19111, 0x121142f88e0fd8d5, 0x1132386f65b2e62e,
  0xcaad4b3b589e546c, 0x8d7738ce6283b5e5, 0x96faa9bece75152a, 0xf7afa4439ace576a, 0xdaad115e5886956a,
  0x529e1a77807f5d73, 0x7440babd20c2ea6c, 0xaaa2d290bce31bc6, 0xf95b66763131dbd8, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0xab4b3c95fb9a1996, 0x00000000013f041a,
};

static const uint64_t ur_c128_swio13_noled_ee_hw[] = {
  0xafdddddda28d0a20, 0x4dddaabf0bb45893, 0xe4bab07c7edbe6e6, 0xb43689984142c90d, 0x24d2e2f106d04ebe,
  0xef27747b16ad8d46, 0x4b5304f8c048260a, 0xbf928235bffac99f, 0x7fa8f2b297355ad1, 0x8ad4f7a8f83660c2,
  0x62291669d68450ef, 0xae3593484d7d1859, 0xc888f2439d5a5e43, 0xf6355ae875e74ef0, 0xb98b848450be2383,
  0x2a3608fd6e1bd96c, 0xdaf2e556a015ac4f, 0x8a9546bb9c673141, 0x2bb54b7d54df673a, 0x4ab57bd7d221cd67,
  0xaeb9ed5688af2c43, 0x7536294f0d3bc03f, 0x8de33a205d5e9061, 0xadec555169485e71, 0xa5a97e56d99d8c62,
  0x2b505d9e1986ef84, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866, 0x0e271964b867a617,
  0x7ee6866587494b67, 0x0005bfc117d14f25,
};

// c128_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_c128_swio13_noled_ee_ce_hw[] = {
  0xdeeeeeed146892df, 0xdddaabce24a7448a, 0x15a76a82c33c7763, 0x78f3f6cccc8f91d4, 0x76506f5217b2b682,
  0x93baa3e843a4dd86, 0x69827c6024130577, 0xa507f5fffac99f98, 0x873bfd7037f54635, 0x27b2ce1e79c216fc,
  0xfa8f09e12fc43612, 0xdb84889c3f539705, 0x670e53b58e9ef9b3, 0xa8f83660cf5f51e5, 0x69d68450298aca1f,
  0x484d7d1859622916, 0x11e4873abb74871d, 0xd578d8ebce9de191, 0x2e121142f88e0fd8, 0x6c1132386f65b2e6,
  0xe5caad4b3b589e54, 0x2a8d7738ce6283b5, 0x6a96faa9bece7515, 0x6af7afa4439ace57, 0x73daad115e588695,
  0x6c529e1a77807f5d, 0xc67440babd20c2ea, 0xd8aaa2d290bce31b, 0xa5f95b66763131db, 0x417678661bbe1296,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x404effc3453c95fb, 0x0000000000000001,
};

// c128_swio13_lednop_pr             c128_swio13_lednop_pr_u4
static const uint64_t ur_c128_swio13_lednop[] = {
  0x89dddddda2435562, 0x05ddaab9146a7124, 0xa09ac81b5ebdb04f, 0x2cd634185f50fc5e, 0xc3614f4c66ea44e8,
  0x15de4ee99169d416, 0x3ffba609f180904c, 0x2d07e506037fe883, 0x89207d07a8fa51df, 0x80b2ca628bdd5243,
  0x47d7841447191cc5, 0x5115500ffd9823af, 0xab5290b81e59ede4, 0x5dce3398a0ed7972, 0xbeaa6fb39d454aa3,
  0x10e6b8101395daa5, 0x8af2c434ae492fe9, 0xd01e6c9aeb9ed568, 0xba42aea905ca5af9, 0xaebce31bc67440b9,
  0xe085c55bd8aaa2d3, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854,
  0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x000f934ab1569679,
};

// c128_swio13_lednop_pr_ee_u4
static const uint64_t ur_c128_swio13_lednop_pr_ee[] = {
  0x5fbbbbbb44863d5b, 0x9bbb557e175c7127, 0x977b1c617c01cdcc, 0xb436899b4508190d, 0x94c4c33106d04ebe,
  0xc9dd67ceb61bab5c, 0xfcc13e30120982bb, 0x9283d5fffa20cff4, 0xa8f2b53d355ad1bf, 0xe577a8f83660c27f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x48c1439d5a5ca5ae, 0x355ae875e74ef099, 0x170908a25f23c8b6,
  0x6c11fadc37b2d973, 0xcb955a80507fa454, 0x551aee719cc5076b, 0xd52df5537d9cea2a, 0x7f488735c0809cae,
  0xab44579621a57249, 0xd7ce80f364d75cf6, 0x05cdd21575482e52, 0x169d75e718de33a2, 0xb667042e2adec555,
  0x8661bbe1296a5f95, 0xddc68b3dfe205ec7, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50, 0xf619a3ec6761c7f1,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x0000009d7b6dd6b4,
};

// c128_swio13_lednop_pr_ce_u4
static const uint64_t ur_c128_swio13_lednop_pr_ce[] = {
  0x5f777776890cac4f, 0x9776aaf30847e243, 0x60ef4ef1fb6cc9f8, 0xdeade96a2bd75a35, 0xbe99ae3377ba35cb,
  0xbbc9dd2d43af02e8, 0xd0fcc13e30120982, 0xc7b941383ffa20cf, 0x42dbcdcec9d01bfa, 0x86c244f659c3cf38,
  0x49807f51e13c25f8, 0x59367b7091138704, 0x27bd479c67b96faf, 0x055f613e921c4903, 0x3ebc20a238c8e62c,
  0x88aa807feccf1d7a, 0x56a521703cb5bb22, 0xbb9c673141daf2e5, 0x7d54df673a8a9546, 0x21cd7020272bb54b,
  0x15e588695c925fd2, 0xa03cd935d73daad1, 0x74855d520b94b5f3, 0x5d79c6378ce88173, 0x821663b7b15545a7,
  0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x001baf35395a59e4,
};

// c128_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_swio13_lednop_pr_ee_ce[] = {
  0x6f777776890c5aa4, 0xeeed55e712f5a245, 0xd6d57d51469e3bb1, 0x3c79fb29cccfa769, 0x586477a90bd95b41,
  0x770fa6d3aeec1105, 0x04f8c048260aef27, 0x1bc3ffd1067d9bf3, 0xeef0c0dfd518d694, 0x659c3cf3842dbcdc,
  0x1e13c25f886c244f, 0x122270e2a8b24ff5, 0x394ed63a7be6cf6e, 0xe0d9833d7d479594, 0x5a1140a62bc09ea3,
  0x35f4616588a459a7, 0x0a1ceaedc52c7521, 0xe363af3a7784ca46, 0x908a25f23c8b6355, 0x8991c37b2d973170,
  0xaad4b383fd22a360, 0xd7738ce6283b5e5c, 0x6faa9bece75152a8, 0x4439ae0404e576a9, 0x22bcb10d2b924bfa,
  0x74079b26bae7b55a, 0x6e90abaa417296be, 0xebaf38c6f19d102e, 0x7042cc76f62aa8b4, 0x1bbe1296a5f95b66,
  0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61,
  0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00013f2faa2b4b3c,
};

static const uint64_t ur_c128_swio13_lednop_ee_hw[] = {
  0x7eeeeeed1468bf3e, 0x6eed55f85d71c49d, 0x5dec7185f0073732, 0xd0da266d14206436, 0x53130cc41b413afa,
  0x793bb388b16f5df2, 0x9f9827c602413057, 0xf2507abfffac99fe, 0xf51e56a7a6ab5a37, 0x5caef51f06cc184f,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x29182873ab4b94b5, 0xc6ab5d0ebce9de13, 0x62e121144be47916,
  0x8d823f5b86f65b2e, 0x7972ab500a0ff48a, 0x4aa35dce3398a0ed, 0xdaa5beaa6fb39d45, 0x2fe910e6b8101395,
  0xd5688af2c434ae49, 0x5af9d01e6c9aeb9e, 0x40b9ba42aea905ca, 0xa2d3aebce31bc674, 0xb6cce085c55bd8aa,
  0xf0cc377c252d4bf2, 0x7bca1854895a82ec, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f,
  0x2c3a4a5b387138cb, 0x134e8a792bf73433, 0x0000000000005bec,
};

// c128_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_swio13_lednop_ee_ce_hw[] = {
  0xdeeeeeed146850e3, 0xdddaabce25eb448a, 0xadaafaa28d3c7763, 0x78f3f653999f4ed3, 0xb0c8ef5217b2b682,
  0xe4ee8581f6b85a0a, 0x7e609f180904c15d, 0xd283787ffd64cfb3, 0x439dde181bfaa31a, 0x13d9670f3ce10b7e,
  0xfd4784f097e21b09, 0xdb84889c385919eb, 0x650e53b58e9ef9b3, 0xa8f83660cf5f51e5, 0x69d68450298af027,
  0x484d7d1859622916, 0x9182873abb714b1d, 0xd578d8ebce9de132, 0x5c2422897c8f22d8, 0xd8226470decb65cc,
  0x972ab52ce0ff48a8, 0xaa35dce3398a0ed7, 0xaa5beaa6fb39d454, 0xfe910e6b8101395d, 0x5688af2c434ae492,
  0xaf9d01e6c9aeb9ed, 0x0b9ba42aea905ca5, 0x2d3aebce31bc6744, 0xd99c10b31dbd8aaa, 0x1986ef84a5a97e56,
  0x79430a912b505d9e, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x18d14f257ee68665, 0x0000000000a02149,
};

// c128_swio13_dual_pr               c128_swio13_dual_pr_u4
static const uint64_t ur_c128_swio13_dual[] = {
  0x906f777776890c86, 0xd2f8bd793c7d17d0, 0xd0b6a6b94eb13f4c, 0x7751627157a7dabe, 0x62a8fd6821eec1b9,
  0x9696eeeec6ecb41e, 0xcc13e30120982bbc, 0xbaad43236a290edd, 0x971030a18369181b, 0xbf99612804a774f8,
  0x2ec0e19c0a5f1760, 0x1209207fba6f51dd, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0x7cbe5cfc87cb9680,
  0x9082d21be5c5dfc9, 0x2a10cb42324432ff, 0x753dff4073c26b5a, 0xd7b982c3795e425b, 0xe77cb3df28295bfc,
  0x2438920707fd47db, 0x98b01541e690efe5, 0xebc01af0f508e213, 0xbf907c5403ff6608, 0x7771525f6503cb3d,
  0x1daf2e556b3f8abe, 0xa8a9546bb9c67314, 0x72bb54b7d54df673, 0xc925fd221cd70202, 0x73daad115e588695,
  0xb94b5f3a03cd935d, 0xce8817374855d520, 0x15545a75d79c6378, 0x7e56d99c10b8ab7b, 0x7b1e1986ef84a5a9,
  0x7f07771a2cf7f881, 0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe,
  0x87494b670e271964, 0x0ad2cf257ee68665, 0x000000000029269a,
};

static const uint64_t ur_c128_swio13_dual_pr_ee[] = {
  0x457dbbbbbba86f97, 0x14ef17af21b19328, 0x6c1378ffd7610dd9, 0x8ed40b499b5c6abf, 0x3399124dd8f312af,
  0xcddcf046752c8a74, 0x27c6024130577928, 0xb50c8da8a465b498, 0x40c2860da4606eea, 0x6584a0129dd3e25c,
  0x163e70ff9c5c347e, 0x240fabe6f51fa7f6, 0xbf29f2e2f4292241, 0x7c2886257f9fbe08, 0x973f21f275401bb8,
  0xb486f97177f25f2f, 0x65a11ed10cbfe420, 0xffa039e134891508, 0x82c3795e425b7b5b, 0x6bee506c7ffcd7b9,
  0x75ea3caf024d56b4, 0xf15943f51f06cc1f, 0x2c4522cd3ad08a1d, 0xd7082e6909afa30b, 0xf508e5f1cead2e70,
  0x58d56ba1d7b58af0, 0xe3170908a3e4463e, 0x2ae37bfadc37b2e3, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x5beaa6fb39d454aa, 0x910e6b8101395daa, 0x88af2c434ae492fe, 0x8b3a03cfd6b9ed56, 0x8cfa41612a58594d,
  0xa2047458a042d30c, 0x2fcadb33a718de33, 0x3ee3c330ddf094b5, 0xbf83bb8d167bfc41, 0x5c33d30ae4fdd599,
  0xc3a4a5b387138cb2, 0x7d696792bf734332, 0x00000000006428dc,
};

static const uint64_t ur_c128_swio13_dual_pr_ee_u4[] = {
  0x37777768a87f2541, 0xc5ebc86c58250893, 0xd721957962014d3b, 0x2d43399129afb793, 0x4dd8f3129327114e,
  0x5a166f69f15ef336, 0x0aef24c8bbaa7186, 0x8cb69304f8c04826, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4,
  0x177f9f9961298093, 0x51ffe6c0341c34d7, 0x4292241240fa7e6f, 0xf9fbe08bf29f2e2f, 0x0b81bb87c2886257,
  0xfe4be5f2e7e43e43, 0x97fc841690df2e2e, 0x1ee2a10cb417da21, 0x96ded6ffe80e784c, 0xfebe0a60b0de5790,
  0xcd56b46e4e506c7f, 0x0d9838f7ea3caf4d, 0xa1143be2b8e5ea3e, 0x5f4616588a459a75, 0x5a5e572e2a5cd213,
  0xd44de15f68fa839d, 0x27a3f92c6ab5d0eb, 0x6f65f4b3170908a0, 0x9ef1bea8d823f5b8, 0xb3f8abe777152500,
  0x9c673141daf2e556, 0x54df673a8a9546bb, 0xcd7020272bb54b7d, 0xe588695c925fd221, 0x3cd935d73daad115,
  0x855d520b94b5f3a0, 0x79c6378ce8817374, 0x0b8ab7b15545a75d, 0xf84a5a97e56d99c1, 0xcf7f8817b1e1986e,
  0xa9d599bf8347f1a2, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0xb25392b47ae792bf, 0x0000000000000002,
};

static const uint64_t ur_c128_swio13_dual_pr_ce[] = {
  0x34eddddddd431f02, 0x2778bd7901793742, 0x47e68ce24c3ac646, 0x2a0da0ad9beecabf, 0xa5a083eaafdd69c5,
  0x4aee5188b36e4330, 0x13e30120982bbc9e, 0xad43236a290e9d4c, 0x1030a18369181bba, 0x99612804a774f897,
  0x038270eafe2f43ff, 0x2481dba9bd478e5b, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e46010377,
  0x1690df2e2efe4be5, 0x865a07aa2197fc84, 0xaffa039e13029150, 0xcc161bcaf212db85, 0x7d7ba941d9dfe6bd,
  0xc216de6e77158057, 0x4889c3de1f2d7e79, 0xf72cf6ea5cd02bb8, 0x438920622fa8f224, 0x109cc580bf3a3dd2,
  0x33c75e00d787a847, 0x96b77c83e2a01ffb, 0x157ceee2a4beca07, 0xe6283b5e5caad67f, 0xece75152a8d7738c,
  0x0404e576a96faa9b, 0x0d2b924bfa4439ae, 0x26bae7b55a22bcb1, 0xaa417296be74079b, 0xc6f19d102e6e90ab,
  0x76f62aa8b4ebaf38, 0x96a5f95b667042cc, 0x8827dc78661bbe12, 0xb337f07771a2cf7f, 0x964b867a615c9fba,
  0x66587494b670e271, 0xec7fad2cf257ee68, 0x0000000000000e7a,
};

static const uint64_t ur_c128_swio13_dual_pr_ce_u4[] = {
  0x6eeeeed150ffac4f, 0x17af22097d7a13ed, 0x571762f1a9a73b2f, 0x9c9a7bdc227ed5ef, 0x60993377ed1d60dc,
  0xeaae3eb6941abeaf, 0x413057793139dd34, 0xa8a479eb9827c602, 0x0da4606eeab50c8d, 0x049dd3e25c40c286,
  0x1a38be9afccb094c, 0xe6f51ec7f61ff0e0, 0xe2f4292241240e87, 0x257f9fbe08bf29f2, 0xe4aeb81bb87c2886,
  0xe2efe4be5f2e7e43, 0x22197fc841690df2, 0xc26dbf150865a0fe, 0xbc84b6f3b7ff4073, 0xd3fff5f0530586f2,
  0x3b31f037f528b283, 0x659c3cf3842dfc03, 0x1e13c25f886c244f, 0x122270eea8d507f5, 0x93dcb7d752e6cf6e,
  0x490e248188bea3c8, 0x1c42731602fce8f7, 0xeccf1d78035e1ea1, 0x1e5addf20f8a807f, 0xfc55f3bb8a92fb28,
  0x3398a0ed7972ab59, 0x6fb39d454aa35dce, 0xb8101395daa5beaa, 0xc434ae492fe910e6, 0x6c9aeb9ed5688af2,
  0xaea905ca5af9d01e, 0xe31bc67440b9ba42, 0x31dbd8aaa2d3aebc, 0x4a5a97e56d99c10b, 0x7f8817b1e1986ef8,
  0xd599bf8347f1a2cf, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0x51e4f47ae792bf73, 0x0000000000000692,
};

// c128_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_c128_swio13_dual_pr_ee_ce[] = {
  0xeeeeed150ff49231, 0xbd7919053aa12b8e, 0xfd9a781f3ad8ebf8, 0xbaf9aeb8bdf13f5b, 0x2d86ae216b174216,
  0x870ec69d7314e08d, 0x4ee009a6affc25f5, 0x3e30120982bbc92d, 0x43236a291abf0cc1, 0x30a18369181bbaad,
  0xc253012774f89710, 0x51c32a38bb41ff32, 0x6cdf9bd47b91d812, 0x4f9717a149120920, 0x44312bfcfdf045f9,
  0xe43e4724c0ddc3e1, 0xdf2e2efe4be5f2e7, 0x09d22197fc841690, 0x0e784db3a2a10cb4, 0xde579096dd493fe8,
  0x5052a3febe0a60b0, 0x33b4a8037f54616a, 0xf659c3cf3842dfc0, 0x51e13c25f886c244, 0x122270fbcfa1e4ff,
  0xb94ed63a9ba6cf6e, 0xe0d98332bd4795ef, 0x5a1140a62bd9dea3, 0x35f4616588a459a7, 0xd41ceaedd2b87521,
  0xc6c75ea26f0afb47, 0x908a027a3f92c6ab, 0x132386f65f4b3170, 0xa92966f78df546c1, 0x972ab59fc55f3bb8,
  0xaa35dce3398a0ed7, 0xaa5beaa6fb39d454, 0xfe910e6b8101395d, 0x5688af2c434ae492, 0xaf9d01e6c9aeb9ed,
  0x0b9ba42aea905ca5, 0x2d3aebce31bc6744, 0xd99c10b31dbd8aaa, 0x1986ef84a5a97e56, 0x7f1a2cf7f8817b1e,
  0x54895a9d599bf834, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x000020038d0f47ae,
};

static const uint64_t ur_c128_swio13_dual_ee_hw[] = {
  0xcdddddda28d0d8be, 0xf17af21b16094224, 0xf5c8655e5880534e, 0x8b50ce644a6bede4, 0x93763cc4a4c9c453,
  0xd6906d2fac57bccd, 0x20982bbc9322ee79, 0xd45232da4c13e301, 0x06d23037755a8646, 0xa0cee9f12e206143,
  0x69ae2eff3f32c253, 0xfcdea3ffcd806838, 0x5c5e8524482481f4, 0xc4aff3f7c117e53e, 0x7c861703770f8510,
  0x5c5dfc97cbe5cfc8, 0xb4432ff9082d21be, 0xf0983dc54219682f, 0xaf212dbdadffd01c, 0xd8fff92374c161bc,
  0x5e9b9aad68dc9ca0, 0xd47c1b3071efd479, 0x34eb422877c571cb, 0xa426be8c2cb1148b, 0x073ab4bcae5c54b9,
  0xa1d7a89bc2bed1f5, 0x11404f47f258d56b, 0xeb70decbe9662e12, 0x4a013de37d51b047, 0xcaad67f157ceee2a,
  0x8d7738ce6283b5e5, 0x96faa9bece75152a, 0xa4439ae0404e576a, 0xa22bcb10d2b924bf, 0xe74079b26bae7b55,
  0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0x338217156f62aa8b, 0x30ddf094b52fcadb, 0x286152256a0bb3c3,
  0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0x7a29e4afdcd0ccb0,
  0x000000000aed4b21,
};

// c128_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_c128_swio13_dual_ee_ce_hw[] = {
  0x77777768a3472812, 0xc5ebc8c829d5095c, 0xdfecd3c0f9d6c75f, 0xb5d7cd75c5ef89fa, 0x696c35710b58ba10,
  0xd8fe8234eb98a704, 0x7925a9ddf1eb2a9c, 0xe19827c602413057, 0x7755a8646d452357, 0x12e20614306d2303,
  0x1ff32c253a0cee9f, 0x1d81251c32a38bb4, 0x209206cdf9bd47b9, 0x045f94f9717a1491, 0xdc3e144312bfcfdf,
  0x5f2e7e43e4724c0d, 0x41690df2e2efe4be, 0x10cb409d22197fc8, 0x93fe80e784db3a2a, 0xa60b0de579096dd4,
  0x4616a5052a3fc91b, 0x16fc873b4a8037f5, 0x361227b2ce1e79c2, 0xc463fa8f09e12fc4, 0xa6cf6e122270ef00,
  0x4795efb94ed63a9b, 0xd9dea3e0d98332bd, 0xa459a75a1140a62b, 0xb8752135f4616588, 0x0afb47d41ceaedd2,
  0x92c6abc6c75ea26f, 0x4b3170908a027a3f, 0xf546c1132386f65f, 0x5f3bb8a92966f78d, 0x8a0ed7972ab59fc5,
  0x39d454aa35dce339, 0x01395daa5beaa6fb, 0x4ae492fe910e6b81, 0xaeb9ed5688af2c43, 0x905ca5af9d01e6c9,
  0xbc67440b9ba42aea, 0xbd8aaa2d3aebce31, 0xa97e56d99c10b31d, 0x505d9e1986ef84a5, 0xfde1ef79430a912b,
  0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xd754b1c4d14f257e,
  0x0000000000000001,
};

// c128_swio14_noled_pr              c128_swio14_noled_pr_u4
static const uint64_t ur_c128_swio14_noled[] = {
  0xc7bbbbbb4486d38b, 0x05ddaab914cc6251, 0x4dee14fd8d05b04f, 0x66b071171db7b3f5, 0x63b05fc7f7638f41,
  0xde4eea3329cd2ca5, 0x01a609f180904c15, 0xdee5043dffe8833f, 0x90326bd47050ef96, 0x2cb299fc3d6921c4,
  0xf5e1f91188a73160, 0xa05403ff6608ebd1, 0x5ac0ad03cb3dbdef, 0xee719cc5076bcb95, 0x54b7d59cea2a551a,
  0xf7f4887359d372bb, 0xb55a22bcb10d2b63, 0xa53c34ef00febae7, 0xe881757a4185d4d8, 0x5545a52179c6378c,
  0xf95b6672ec8ab7b1, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd,
  0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x6b4b3c95fb9a1996, 0x000000000f9315f8,
};

// c128_swio14_noled_pr_ee_u4
static const uint64_t ur_c128_swio14_noled_pr_ee[] = {
  0x5f777776890c1107, 0x3776aafc2f646243, 0xc8ef25a864cf9b99, 0x5a1b432828d3c2b7, 0xa647c198836821af,
  0x277539157991dfbf, 0xf304f8c048260aef, 0xe506397fe8833fd5, 0xa3cacbacd56b4663, 0xb05f51f06cc1f51e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0xd1fc873ab4bba55c, 0xd56ba1d79d3bc213, 0x170908a32447bdd8,
  0x6c11fadc37b2d973, 0x972ab500ae1acf54, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x56c7efe910e6b3a6,
  0x75cf6ab44579621a, 0xa9b14a7869de01fd, 0x6f19d102eaf4830b, 0x6f62aa8b4a42f38c, 0x2d4bf2b6cce5d915,
  0xc40bd8f0cc377c25, 0x599bf83bb8d167bf, 0x0f7bca1854895a9d, 0xec38fe32fcc4ffef, 0x2ff03f7ec3347d8c,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x9ac15696792bf734, 0x00000000000004eb,
};

// c128_swio14_noled_pr_ce_u4
static const uint64_t ur_c128_swio14_noled_pr_ce[] = {
  0x17bbbbbb44864aa4, 0x25ddaabcc204112f, 0x989da67007a5327e, 0xf7ab311a170cec9e, 0x7d9a5b226c6ef8b2,
  0x57793ba932c5e276, 0xf9c19827c6024130, 0xa87b941d9dffa20c, 0x842dbcdcee2b01bf, 0x886c244f659c3cf3,
  0x54341ff51e13c25f, 0x7ac9b3db84889c3e, 0x359fea3af93dcb7d, 0x602c7b402921c490, 0xd1f5e1f91188a731,
  0xefa05403ff6678eb, 0xe556b02b40f2d6ed, 0x46bb9c673141daf2, 0xaed52df5673a8a95, 0xd8fdfd221cd674dc,
  0xb9ed5688af2c434a, 0x36294f0d3bc03fae, 0xe33a205d5e906175, 0xec555169485e718d, 0x52fcadb3397618ed,
  0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x9a75a59e4afdcd0c, 0x000000000001baff,
};

// c128_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_c128_swio14_noled_pr_ee_ce[] = {
  0x321bbbbbb4486e7c, 0xc7bbb5579c49ba89, 0xad8b5053d73f78ee, 0x04f1e6ee05e4ea67, 0x4e2942475217b641,
  0x93bbb36d3c5a87e3, 0x39827c6024130577, 0xa5071bbff4419fbc, 0x373bc6e037f5471c, 0x13d9670f3ce10b6f,
  0xfd4784f097e21b09, 0xb70911387b928ebe, 0xe43ca76b1d3df367, 0x51f06cc1e95ea3ca, 0xd3ad08a0531594bf,
  0x909afa30b2c4522c, 0xa3f90e7576e74a3a, 0x55e363af3a778427, 0x5c24228c911ef763, 0xd8226470decb65cc,
  0x2e556a59dc359ea8, 0x546bb9c673141daf, 0xcaed52df5673a8a9, 0xad8fdfd221cd674d, 0xeb9ed5688af2c434,
  0x536294f0d3bc03fa, 0xde33a205d5e90617, 0xdec555169485e718, 0xb52fcadb3397618e, 0x102f63c330ddf094,
  0x666fe0eee3459eff, 0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8,
  0xccb0e9296ce1c4e3, 0xbc955a59e4afdcd0, 0x00000000000009f9,
};

static const uint64_t ur_c128_swio14_noled_ee_hw[] = {
  0xd7dddddda28d0582, 0x4dddaabf0bd91890, 0xf23bc96a1933e6e6, 0xd686d0ca0a34f0ad, 0xe991f06620da086b,
  0x5de4ee9da087a5ab, 0xfabe609f180904c1, 0xcc7ca0c72ffeb267, 0xa3d47959759aad68, 0xe2b60bea3e0d983e,
  0x588a459a75a1143b, 0xab8d64d2135f4616, 0x427a3f90e7569774, 0xbb1aad743af3a778, 0x2e62e121146488f7,
  0xea8d823f5b86f65b, 0xdaf2e556a015c359, 0x8a9546bb9c673141, 0x74dcaed52df5673a, 0x434ad8fdfd221cd6,
  0x3faeb9ed5688af2c, 0x617536294f0d3bc0, 0x718de33a205d5e90, 0x22adec555169485e, 0x84a5a97e56d99cbb,
  0x912b505d9e1986ef, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x000005be3483d14f,
};

// c128_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_c128_swio14_noled_ee_ce_hw[] = {
  0x437777768a34306a, 0xf776aaf389375126, 0xb16a0a7ae7ef1dd8, 0x9e3cddc0bc9d4cf5, 0xc52848ea42f6c820,
  0xe4eed57e4cd42169, 0x0e609f180904c15d, 0x2941c6effeb267ef, 0x21cef1b80dfd51c7, 0x89ecb3879e7085bf,
  0xfea3c2784bf10d84, 0xdb84889c38c2eedd, 0x721e53b58e9ef9b3, 0xa8f83660f4af51e5, 0x69d68450298aca5f,
  0x484d7d1859622916, 0xd1fc873abb73a51d, 0xaaf1b1d79d3bc213, 0x2e121146488f7bb1, 0x6c1132386f65b2e6,
  0x972ab52cee1acf54, 0xaa35dce3398a0ed7, 0xe576a96fab39d454, 0x56c7efe910e6b3a6, 0x75cf6ab44579621a,
  0xa9b14a7869de01fd, 0x6f19d102eaf4830b, 0x6f62aa8b4a42f38c, 0x5a97e56d99cbb0c7, 0xb505d9e1986ef84a,
  0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x014059800514f257,
};

// c128_swio14_lednop_pr             c128_swio14_lednop_pr_u4
static const uint64_t ur_c128_swio14_lednop[] = {
  0xe3dddddda243280b, 0x05ddaab914b1f128, 0xad1a825f987db04f, 0x166b0716625c4bde, 0x729bc77e977638f4,
  0x5de4eee4e7acf5da, 0xe516609f180904c1, 0xb6f7282fe7fe8833, 0x2481935ea3a0077c, 0x02cb29aa5489490e,
  0x3ebc337231be7316, 0x5aca807fecc11d7a, 0xad4faa207967b719, 0x7738ce6283b5e5ca, 0xaa5beace75152a8d,
  0x4439ae0404e9b95d, 0x115e588695cbec7a, 0x3a03cd935d73daad, 0x374855d520b94b5f, 0x75d79c6378ce8817,
  0xcee9e8ab7b15545a, 0xc377c252d4bf2b6c, 0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb, 0xcc4ffef0f7bca185,
  0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x0000f93dd5256967,
};

// c128_swio14_lednop_pr_ee_u4
static const uint64_t ur_c128_swio14_lednop_pr_ee[] = {
  0xafbbbbbb44867f3e, 0x9bbb557e1734b121, 0xe9db2ef311b7cdcc, 0xd686d0cb2341504d, 0xc8fd33f620da086b,
  0xc9dd8d545eccdd6f, 0xd4c13e30120982bb, 0x7ca093affd1067c2, 0xd4795b059aad68cc, 0xbcadea3e0d983ea3,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xfa39b8e756972eab, 0x1aad743af3a77876, 0x62e121140288e32b,
  0x8d823f5b86f65b2e, 0xbcb955a805bdf40a, 0xa551aee719cc5076, 0x372bb54b7d59cea2, 0x7d8f488735c0809d,
  0x7b55a22bcb10d2b9, 0x296be74079b26bae, 0xd102e6e90abaa417, 0xaa8b4ebaf38c6f19, 0xe56d99dd3d156f62,
  0xb1e1986ef84a5a97, 0xf07771a2cf7f8817, 0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871,
  0x867a617c68f45fe0, 0x7494b670e271964b, 0xad2cf257ee686658, 0x0000000013ae20ae,
};

// c128_swio14_lednop_pr_ce_u4
static const uint64_t ur_c128_swio14_lednop_pr_ce[] = {
  0x17bbbbbb448607e1, 0x4bbb55798468b12f, 0xc97560d4326664fc, 0xf7ab31108285921b, 0xd731269717eef8b2,
  0xaef277421efdd891, 0xf4b5304f8c048260, 0x50f728235bff4419, 0x085b79b9d9c1037f, 0x10d8489ecb3879e7,
  0x24e6ffea3c2784bf, 0xf59367b709113875, 0xd67fa8f2fa7b96fa, 0x80b01ba8a4871240, 0x8faf0cdc8c6f9cc5,
  0x56b2a01ffb33c75e, 0xaad4faa20796b746, 0xd7738ce6283b5e5c, 0xdaa5beace75152a8, 0xa4439ae0404e9b95,
  0xd115e588695cbec7, 0xf3a03cd935d73daa, 0x7374855d520b94b5, 0xa75d79c6378ce881, 0x99dd3c63b7b15545,
  0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077, 0xf989ffde1ef79430, 0x8668fb19d871fc65,
  0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x00000dd71a9cad2c,
};

// c128_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_swio14_lednop_pr_ee_ce[] = {
  0x43777776890c365a, 0xf776aaf389765126, 0x3db4eb040d2f1dd8, 0x4f1e6ecdd40b583a, 0x269c8cf5217b6410,
  0x3ba4ddf5cb14da36, 0x9827c60241305779, 0x504d6fff4419f67c, 0x73b35b037f5471ca, 0x3d9670f3ce10b6f3,
  0xd4784f097e21b091, 0x7091138788c538ff, 0xa5ca76b1d3df367b, 0x1f06cc1e95ea3cac, 0x3ad08a05315a9ef5,
  0x09afa30b2c4522cd, 0x39b8e7576e2ea3a9, 0x5e363af3a77876fa, 0xc242280511c65635, 0x8226470decb65cc5,
  0xb955a967bdf40a8d, 0x51aee719cc5076bc, 0x2bb54b7d59cea2a5, 0x8f488735c0809d37, 0x55a22bcb10d2b97d,
  0x6be74079b26bae7b, 0x02e6e90abaa41729, 0x8b4ebaf38c6f19d1, 0xdb33ba78c76f62aa, 0xc330ddf094b52fca,
  0xeee3459eff102f63, 0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000004fc9f055a,
};

static const uint64_t ur_c128_swio14_lednop_ee_hw[] = {
  0x1afbbbbbb451a111, 0xc9bbb557e1734b12, 0xde9db2ef311b7cdc, 0xbd686d0cb2341504, 0xbc8fd33f620da086,
  0x15de4eeabe67da58, 0x3e16a609f180904c, 0x4663e5049d7ff593, 0xf51ea3cad82cd56b, 0xdf15e56f51f06cc1,
  0xb2c4522cd3ad08a1, 0x755c6b26909afa30, 0xc3b7d1cdc73ab4b9, 0x1958d56ba1d79d3b, 0xd973170908a01447,
  0xa0546c11fadc37b2, 0x83b5e5caad402def, 0x75152a8d7738ce62, 0x04e9b95daa5beace, 0x95cbec7a4439ae04,
  0x5d73daad115e5886, 0x20b94b5f3a03cd93, 0x78ce8817374855d5, 0x7b15545a75d79c63, 0xd4bf2b6ccee9e8ab,
  0xa82ecf0cc377c252, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0x02df3566e8a792bf,
};

// c128_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_swio14_lednop_ee_ce_hw[] = {
  0x86eeeeed14687a31, 0xeeed55e712eca24c, 0x7b69d6081a5e3bb1, 0x9e3cdd9ba816b074, 0x4d3919ea42f6c820,
  0xe4eea27e1f683e6c, 0xf2609f180904c15d, 0x294135bffeb267d9, 0x21cecd6c0dfd51c7, 0x89ecb3879e7085bf,
  0xfea3c2784bf10d84, 0xedc2444e1d705c3f, 0xb29729dac74f7cd9, 0xd47c1b307a57a8f2, 0x34eb422814c56a7b,
  0xa426be8c2cb1148b, 0xe8e6e39d5db8ba8e, 0xd578d8ebce9de1db, 0x170908a014471958, 0x3608991c37b2d973,
  0xf2e556a59ef7d02a, 0x9546bb9c673141da, 0xdcaed52df5673a8a, 0xf63d221cd7020274, 0xed5688af2c434ae5,
  0xa5af9d01e6c9aeb9, 0x440b9ba42aea905c, 0xaa2d3aebce31bc67, 0x2b6ccee9e31dbd8a, 0xcf0cc377c252d4bf,
  0xf7bca1854895a82e, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x248c68a792bf7343, 0x0000000000005017,
};

// c128_swio14_dual_pr               c128_swio14_dual_pr_u4
static const uint64_t ur_c128_swio14_dual[] = {
  0x1c7777776890cf68, 0x2f8bd793c78ebd09, 0x44fd0b1ba323f4cd, 0x75151de7df5d9d6d, 0x2abdd6d396ec7197,
  0xa5bb9a3ea75ee1bb, 0x04f8c048260aef25, 0x55a8646d4523a9d3, 0xe20614306d230377, 0xf32c250094ee9f12,
  0xd81c33814be2ec17, 0x41240ff74dea3ba5, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x97cb9f90f94c301b,
  0x105a437cb8bbf92f, 0x4219684648865ff2, 0xc17fe80e784d6b45, 0xf730586f2bc84b6e, 0xdf2cb5e505c9ff9a,
  0x4389207bdfa8fdd1, 0x1602a83cce94c7d2, 0x78035e13d51a6273, 0x21c8aa807fecc11d, 0xb8a92b88c0f2cf6e,
  0xd7972ab59fc55f3b, 0x54aa35dce3398a0e, 0xa6e576a96fab39d4, 0x2fb1e910e6b81013, 0xcf6ab44579621a57,
  0xe52d7ce80f364d75, 0x3a205cdd21575482, 0x555169d75e718de3, 0xfcadb33ba7a2adec, 0xf63c330ddf094b52,
  0xfe0eee3459eff102, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc,
  0x0e9296ce1c4e32c9, 0xf5a59e4afdcd0ccb, 0x0000000000a49a45,
};

static const uint64_t ur_c128_swio14_dual_pr_ee[] = {
  0x20f6ddddddd432db, 0x14ef17af21b1b374, 0xd9b4db042c49c9d9, 0xd8ed40bd95bdddce, 0x87e5a0a10d8f3123,
  0x33771c11560f0cce, 0x09f180904c15de4a, 0xad43236a2907cfa6, 0x1030a18369181bba, 0x99612804a774f897,
  0x858f9c3fe7170d1f, 0x4903eaf9bd47e9fd, 0x2fca7cb8bd0a4890, 0x1f0a21895fe7ef82, 0xe5cfc87cbbac06ee,
  0x2d21be5c5dfc97cb, 0x196847b4432ff908, 0x3fe80e784d224542, 0x30586f2bc84b6eff, 0x8e034a098fff9af7,
  0x913d4795a9e9aad6, 0xbe2b297ea3e0d983, 0x6588a459a75a1143, 0x3ae105cd2135f461, 0x09ea8c1439d5a5e4,
  0x2d8d56ba1d7b58af, 0x7c62e121144428f2, 0x255c08bf5b86f65c, 0xe556b3f8abe77715, 0x46bb9c673141daf2,
  0xaed52df5673a8a95, 0x3d221cd7020274dc, 0x5688af2c434ae5f6, 0x4d8b3a03cfd6b9ed, 0x0c8cfa41612a5859,
  0x67440a7d78a042d3, 0x6a5f95b6674e31bc, 0x827dc78661bbe129, 0x337f07771a2cf7f8, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xe14ad2cf257ee686, 0x000000000000c850,
};

static const uint64_t ur_c128_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed150ff72df, 0x8bd790d89b4a13ed, 0xb793cfb67c029a77, 0xc10c7e5a085b5717, 0x421b1e627ed4e229,
  0x3579ae196baf7c7f, 0x057792645ddb5aa8, 0x41f3e9827c602413, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da,
  0x8bbfcfccb094c049, 0xa8fff3601a0e1a6b, 0xa1491209207d3f37, 0xfcfdf045f94f9717, 0x9c80ddc3e144312b,
  0xbf92f97cb9f90f97, 0x65ff2105a437cb8b, 0x07b8a8432d05f688, 0x12dbbfcffa039e13, 0xffd7c14c161bcaf2,
  0xa9aad68ff74a098f, 0xc1b3061efd4795db, 0xb422877c5715bd47, 0x6be8c2cb1148b34e, 0xab4be565c54b9a42,
  0x7a89bc301919ea73, 0x3a84710d8d56ba1d, 0x86f65f4b3170908a, 0x12d783ea8d823f5b, 0xd67f157ceee2a4a0,
  0x738ce6283b5e5caa, 0xa5beace75152a8d7, 0x439ae0404e9b95da, 0x15e588695cbec7a4, 0xa03cd935d73daad1,
  0x74855d520b94b5f3, 0x5d79c6378ce88173, 0xee9e8ab7b15545a7, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc,
  0x4ad4eaccdfc1a3f8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6, 0xf1a3d17f81fbf619, 0xc389c6592e19e985,
  0x5fb9a19961d252d9, 0x01593ecb5a3d73c9,
};

static const uint64_t ur_c128_swio14_dual_pr_ce[] = {
  0x3b2ddddddd436f02, 0x9de2f5e405e84342, 0x69ed1f9b287b1918, 0xa0db62aef4d7cfbd, 0xfdc61f5cedd76452,
  0xaee7f0f9af793166, 0x3e30120982bbc9e4, 0xd43236a290ba2cc1, 0x030a18369181bbaa, 0x9612804a774f8971,
  0x38270eafe2f43ff9, 0x481dba9bd478e5b0, 0x7e53e5c5e8524482, 0xf8510c4aff3f7c11, 0x2e7e43e5cdf03770,
  0x690df2e2efe4be5f, 0x65a07aa2197fc841, 0xffa039e130291508, 0x82c3795e425b7a1f, 0xac89283a6ffcd7b9,
  0x42dbcdcef6700aef, 0x1138735b986fcf38, 0xe59edd4b9a057709, 0xe2481dadea384f9e, 0x2731602a560f7490,
  0xf1d78035e13d51a6, 0x5ba21c8aa807fecc, 0x7ceee2a4ae2303cb, 0x283b5e5caad67f15, 0xe75152a8d7738ce6,
  0x404e9b95daa5beac, 0x695cbec7a4439ae0, 0x35d73daad115e588, 0x520b94b5f3a03cd9, 0x378ce8817374855d,
  0xb7b15545a75d79c6, 0x5a97e56d99dd3c63, 0x209f71e1986ef84a, 0xccdfc1ddc68b3dfe, 0x592e19e985727eea,
  0x9961d252d9c389c6, 0xa2fab4b3c95fb9a1, 0x0000000000001cf5,
};

static const uint64_t ur_c128_swio14_dual_pr_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x8bd7910419ca115f, 0xb57b4fb2d4d39d97, 0x39d912e168074af7, 0x369b37baaf8eb06e,
  0x5bfb46b2aae3f337, 0x413057793139ddd3, 0xa8a411eb9827c602, 0x0da4606eeab50c8d, 0x049dd3e25c40c286,
  0x1a38be9afccb094c, 0xe6f51ec7f61ff0e0, 0xe2f4292241240e87, 0x257f9fbe08bf29f2, 0xe414881bb87c2886,
  0xe2efe4be5f2e7e43, 0x22197fc841690df2, 0xc26dbf150865a0fe, 0x5e425b7d35ff4073, 0x85affaf82982c379,
  0xcefa7c0dfd6a54a0, 0xd9670f3ce10b7f00, 0x4784f097e21b0913, 0xc2444e1fbac000fd, 0x3e7b96faea5cd9ed,
  0xd243892076b7a8e1, 0x46989cc580a9583d, 0xfb33c75e00d784f5, 0x0f2d6e88722aa01f, 0xfc55f3bb8a92b88c,
  0x3398a0ed7972ab59, 0xfab39d454aa35dce, 0x6b81013a6e576a96, 0x9621a572fb1e910e, 0xf364d75cf6ab4457,
  0x1575482e52d7ce80, 0xe718de33a205cdd2, 0xf18edec555169d75, 0xe1296a5f95b66774, 0x3dfe205ec78661bb,
  0xa75666fe0d1fc68b, 0xfbc3def286152256, 0x633b0e3f8cbf313f, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0x9197e1d1eb9e4afd, 0x0000000000000034,
};

// c128_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_c128_swio14_dual_pr_ee_ce[] = {
  0x7777768a87fd7fe1, 0xbd7919033aa1135f, 0x27e44e1f3ad8ebf8, 0x0a56d2af7bffc3be, 0x2d864d70b58be4c3,
  0x57fe1faf9bb2590d, 0xb53b969d77fb6906, 0x04f8c048260aef24, 0x5a8646d4522f5493, 0x20614306d2303775,
  0x6584a6024ee9f12e, 0x24a38654717683fe, 0x40d9bf37a8f723b0, 0xf29f2e2f42922412, 0xc2886257f9fbe08b,
  0xcfc87c93cb81bb87, 0x21be5c5dfc97cbe5, 0x6813a4432ff9082d, 0xd01cf09b67454219, 0xc3795e425b7683ff,
  0xf941eb3ffaf82982, 0x019df5981bfaa3a1, 0x27b2ce1e79c216fe, 0xfa8f09e12fc43612, 0xb84889c3ba7463d7,
  0x2ba53b58ea6e9b3d, 0x1f06cc1edff51e57, 0x3ad08a05315e9bf5, 0x09afa30b2c4522cd, 0x33d4e7576ecac3a9,
  0x5e363af513786032, 0xc24228ea11c43635, 0x044c8e1bd97d2cc5, 0xc5494b35af07d51b, 0xbcb955acfe2af9dd,
  0xa551aee719cc5076, 0x372bb54b7d59cea2, 0x7d8f488735c0809d, 0x7b55a22bcb10d2b9, 0x296be74079b26bae,
  0xd102e6e90abaa417, 0xaa8b4ebaf38c6f19, 0xcadb33ba78c76f62, 0x63c330ddf094b52f, 0x068fe3459eff102f,
  0x430a912b53ab337f, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xf5cf257ee6866587, 0x00000008005a3768,
};

static const uint64_t ur_c128_swio14_dual_ee_hw[] = {
  0xadddddda28d11107, 0xf17af21b1369427d, 0xf6f279f6cf80534e, 0x38218fcb410b6ae2, 0xe84363cc4fda9c45,
  0xed538f748375ef8f, 0x413057792645dcdf, 0xa8a41f3e9827c602, 0x0da4606eeab50c8d, 0x419dd3e25c40c286,
  0xd35c5dfe7e6584a7, 0xf9bd47ff9b00d070, 0xb8bd0a48904903e9, 0x895fe7ef822fca7c, 0x7cbce406ee1f0a21,
  0x5c5dfc97cbe5cfc8, 0xb4432ff9082d21be, 0xf0983dc54219682f, 0x579096ddfe7fd01c, 0x4c7ffc91ba60b0de,
  0xaedd4d56b47fba50, 0xea3e0d9830f7ea3c, 0x9a75a1143be2b8ad, 0xd2135f4616588a45, 0x539d5a5f2b2e2a5c,
  0xd0ebd44de180c8cf, 0x8451d423886c6ab5, 0xfadc37b2fa598b84, 0x250096bc1f546c11, 0xe556b3f8abe77715,
  0x46bb9c673141daf2, 0xaed52df5673a8a95, 0x3d221cd7020274dc, 0x5688af2c434ae5f6, 0xaf9d01e6c9aeb9ed,
  0x0b9ba42aea905ca5, 0x2d3aebce31bc6744, 0xb66774f455bd8aaa, 0x8661bbe1296a5f95, 0xde50c2a44ad41767,
  0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659, 0x017453c95fb9a199,
  0x000000000015dad1,
};

// c128_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_c128_swio14_dual_ee_ce_hw[] = {
  0xf7777768a344d164, 0x8bd7919033aa1135, 0xe27e44e1f3ad8ebf, 0x30a56d2af7bffc3b, 0xd2d864d70b58be4c,
  0x3d2a9cfaf9bb2590, 0xbc92d4ee5662804d, 0x524c13e30120982b, 0xddd56a191b5148bd, 0xc4b881850c1b48c0,
  0x07fccb094e833ba7, 0x476049470ca8e2ed, 0x482481b37e6f51ee, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7,
  0x97cb9f90f9279703, 0x105a437cb8bbf92f, 0x8432d02748865ff2, 0x07ffa039e136ce8a, 0xd30586f2bc84b6ed,
  0x4743f283d67fe48d, 0x16fc873beb3037f5, 0x361227b2ce1e79c2, 0x1d7dfa8f09e12fc4, 0xa6cf6e122270f725,
  0x4795cae94ed63a9b, 0xa6fd47c1b307b7fd, 0x48b34eb422814c57, 0xb0ea426be8c2cb11, 0x180c8cf539d5dbb2,
  0x0d8d578d8ebd44de, 0x4b3170908a3a8471, 0xf546c1132386f65f, 0xbe77715252cd6bc1, 0x141daf2e556b3f8a,
  0x73a8a9546bb9c673, 0x20274dcaed52df56, 0x34ae5f63d221cd70, 0x9aeb9ed5688af2c4, 0xa905ca5af9d01e6c,
  0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x2d4bf2b6ccee9e31, 0x5a82ecf0cc377c25, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0ebac58e268a792b,
};

// c128_swio15_noled_pr              c128_swio15_noled_pr_u4
static const uint64_t ur_c128_swio15_noled[] = {
  0x13bbbbbb44862d7b, 0x0bbb5572290be257, 0xc2b490d590e3609e, 0x2cd6341a8636de4d, 0x27a763dd7eedc4e8,
  0xbbc9dd47652869bb, 0xd7dcc13e30120982, 0xa0fca0c7bffd1067, 0x481f41ea3cbe3be5, 0x2cb29a03751490e2,
  0xf5e1c911ef673160, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0xdce3398a0ed7972a, 0x96fabb39d454aa35,
  0xfe910e6b3a6e576a, 0x5a22bcb10d2ad5fe, 0x3c34ef00febae7b5, 0x81757a4185d4d8a5, 0x45a52179c6378ce8,
  0x5b6676318ab7b155, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc, 0x197e627ff787bde5,
  0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x4b3c95fb9a19961d, 0x0000000f93da41eb,
};

// c128_swio15_noled_pr_ee_u4
static const uint64_t ur_c128_swio15_noled_pr_ee[] = {
  0x3fbbbbbb448607e1, 0x9bbb557e1768b12e, 0xc97560f8fdb7cdcc, 0x686d13308285921b, 0x49a5c5e20da0b8fd,
  0x9dd087bf762475cc, 0x4c13e30120982bbc, 0x4a08d6ffd1067d2d, 0xa3caca5cd56b46fe, 0x53dea3e0d98309fe,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x23c90e7569790eb8, 0xd56ba1d79d3bc322, 0x2e121142f88e0fd8,
  0xd823f5b86f65b2e6, 0xcb955a8056b13ca8, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x6aff7f4887359d37,
  0x73daad115e588695, 0x6c529e1a77807f5d, 0xc67440babd20c2ea, 0xd8aaa2d290bce31b, 0x52fcadb33b18c55b,
  0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x5395a59e4afdcd0c, 0x0000000000013ae3,
};

// c128_swio15_noled_pr_ce_u4
static const uint64_t ur_c128_swio15_noled_pr_ce[] = {
  0x69bbbbbb4486a4d6, 0x25ddaabcc2545895, 0xda67be44b88c327e, 0x5ef56f4af5da5a9b, 0x2af5c6d14adeed68,
  0x0aef2774e767de4e, 0x9f275304f8c04826, 0xf58f728315bff441, 0x7085b79b9dc72037, 0xf10d8489ecb3879e,
  0xe8fa927ea3c2784b, 0xaf59367b70911387, 0x0327bd479ba7b96f, 0x160298fd2a921c49, 0xbd1f5e1c911ef673,
  0x07fa45403ff6678e, 0x5caad65da81e5add, 0xa8d7738ce6283b5e, 0x5daa5beaece75152, 0x57fbfa4439ace9b9,
  0x9ed5688af2c434ab, 0x6294f0d3bc03faeb, 0x33a205d5e9061753, 0xc555169485e718de, 0x2fcadb33b1898ede,
  0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0,
  0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x275a59e4afdcd0cc, 0x00000000001baff9,
};

// c128_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_c128_swio15_noled_pr_ee_ce[] = {
  0xc6eeeeed1218022f, 0xeeed55e71253a246, 0x0ad3b541619e3bb1, 0x3c79fb666647c8ea, 0x9d941bd485ecd841,
  0x777260fc8d433961, 0x304f8c048260aef2, 0xa0febffe8833f30d, 0xe77fae06fea8c6b4, 0x7b2ce1e79c216de6,
  0xa8f09e12fc436122, 0xe122270ef00c463f, 0xc394ed63a7be6cf6, 0x3e0d9833d7d47959, 0x75a1140a62b287ea,
  0x135f4616588a459a, 0x7921ceaedd21c752, 0x5e363af3a7786444, 0x848450be2383f635, 0x044c8e1bd96cb98b,
  0x72ab52ced627951b, 0xa35dce3398a0ed79, 0x76a96fabb39d454a, 0x5fefe910e6b3a6e5, 0x7b55a22bcb10d2ad,
  0x8a53c34ef00febae, 0xce881757a4185d4d, 0x15545a52179c6378, 0xbf2b6ccec6263b7b, 0xbd8f0cc377c252d4,
  0xbf83bb8d167bfc40, 0xbca1854895a9d599, 0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff,
  0xc3a4a5b387138cb2, 0x55696792bf734332, 0x000000000027e083,
};

static const uint64_t ur_c128_swio15_noled_ee_hw[] = {
  0x1fdddddda28d0a20, 0x4dddaabf0bb45897, 0xe4bab07c7edbe6e6, 0xb43689984142c90d, 0x24d2e2f106d05c7e,
  0xef27747b16ad8d46, 0x4b5304f8c048260a, 0xbf928235bffac99f, 0x7fa8f2b297355ad1, 0x8ad4f7a8f83660c2,
  0x62291669d68450ef, 0xae3593484d7d1859, 0xc888f2439d5a5e43, 0xf6355ae875e74ef0, 0xb98b848450be2383,
  0x2a3608fd6e1bd96c, 0xdaf2e556a015ac4f, 0x8a9546bb9c673141, 0x4dcaed52df57673a, 0xa55abfdfd221cd67,
  0xd75cf6ab44579621, 0xba9b14a7869de01f, 0xc6f19d102eaf4830, 0x56f62aa8b4a42f38, 0x52d4bf2b6ccec631,
  0x95a82ecf0cc377c2, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b,
  0xbf734332c3a4a5b3, 0x0002dfe08be8a792,
};

// c128_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_c128_swio15_noled_ee_ce_hw[] = {
  0xc6eeeeed146892df, 0xeeed55e71253a246, 0x0ad3b541619e3bb1, 0x3c79fb666647c8ea, 0x9d941bd485ecd841,
  0xe4eea8fa10e93761, 0x1a609f180904c15d, 0x6941fd7ffeb267e6, 0x21ceff5c0dfd518d, 0x89ecb3879e7085bf,
  0x7ea3c2784bf10d84, 0xf6e122270fd4e5c1, 0x59c394ed63a7be6c, 0xea3e0d9833d7d479, 0x9a75a1140a62b287,
  0x52135f4616588a45, 0x447921ceaedd21c7, 0x355e363af3a77864, 0x8b848450be2383f6, 0x1b044c8e1bd96cb9,
  0x7972ab52ced62795, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xad5fefe910e6b3a6, 0xae7b55a22bcb10d2,
  0x4d8a53c34ef00feb, 0x78ce881757a4185d, 0x7b15545a52179c63, 0xd4bf2b6ccec6263b, 0xa82ecf0cc377c252,
  0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x2809dff868a792bf,
};

// c128_swio15_lednop_pr             c128_swio15_lednop_pr_u4
static const uint64_t ur_c128_swio15_lednop[] = {
  0x89dddddda2435562, 0x05ddaab9146a712b, 0xa09ac81b5ebdb04f, 0x2cd634185f50fc5e, 0xc3614f4c66edc4e8,
  0x15de4ee99169d416, 0x3ffba609f180904c, 0x2d07e506037fe883, 0x89207d07a8fa51df, 0x80b2ca628bdd5243,
  0x47d7841447191cc5, 0x5115500ffd9823af, 0xab5290b81e59ede4, 0x5dce3398a0ed7972, 0xa96fabb39d454aa3,
  0x10e6b81013a6e576, 0x22bcb10d2b92b1e9, 0x74079b26bae7b55a, 0x6e90abaa417296be, 0xebaf38c6f19d102e,
  0x38217156f62aa8b4, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee, 0x313ffbc3def28615,
  0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0003e4d2ac55a59e,
};

// c128_swio15_lednop_pr_ee_u4
static const uint64_t ur_c128_swio15_lednop_pr_ee[] = {
  0x3fbbbbbb44863d5b, 0x9bbb557e175c712e, 0x977b1c617c01cdcc, 0xb436899b4508190d, 0x94c4c33106d05c7e,
  0xc9dd67ceb61bab5c, 0xfcc13e30120982bb, 0x9283d5fffa20cff4, 0xa8f2b53d355ad1bf, 0xe577a8f83660c27f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x48c1439d5a5ca5ae, 0x355ae875e74ef099, 0x170908a25f23c8b6,
  0x6c11fadc37b2d973, 0xcb955a80507fa454, 0x551aee719cc5076b, 0x2bb54b7d5d9cea2a, 0x8f488735c0809d37,
  0xaad115e588695c95, 0xb5f3a03cd935d73d, 0x817374855d520b94, 0x45a75d79c6378ce8, 0x6d99c10b8ab7b155,
  0xe1986ef84a5a97e5, 0x7771a2cf7f8817b1, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874, 0x000000275edb75ad,
};

// c128_swio15_lednop_pr_ce_u4
static const uint64_t ur_c128_swio15_lednop_pr_ce[] = {
  0xd3777776890cac4f, 0x4bbb55798423f12a, 0xb077a778fdb664fc, 0xef56f4b515ebad1a, 0x2fa66b8cddeed685,
  0xaef2774b50ebc0ba, 0xf43f304f8c048260, 0xb1ee504e0ffe8833, 0x10b6f373b27406fe, 0x21b0913d9670f3ce,
  0x12601fd4784f097e, 0xd64d9edc2444e1c1, 0xc9ef51e719ee5beb, 0x0157d84fa4871240, 0x8faf08288e32398b,
  0xa22aa01ffb33c75e, 0x55a9485c0f2d6ec8, 0xaee719cc5076bcb9, 0x54b7d5d9cea2a551, 0x88735c0809d372bb,
  0x115e588695c958f4, 0x3a03cd935d73daad, 0x374855d520b94b5f, 0x75d79c6378ce8817, 0x3821663b7b15545a,
  0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0001baf35395a59e,
};

// c128_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_c128_swio15_lednop_pr_ee_ce[] = {
  0x63777776890c5aa4, 0xf776aaf3897ad123, 0xeb6abea8a34f1dd8, 0x9e3cfd94e667d3b4, 0x56191dea42f66c20,
  0xddc3e9b4ebbb0441, 0xc13e30120982bbc9, 0x06f0fff4419f66fc, 0x3bbc3037f54635a5, 0xd9670f3ce10b6f37,
  0x4784f097e21b0913, 0x84889c38aa2c93fd, 0x0e53b58e9ef9b3db, 0xf83660cf5f51e565, 0xd68450298af027a8,
  0x4d7d185962291669, 0x82873abb714b1d48, 0x78d8ebce9de13291, 0x2422897c8f22d8d5, 0x226470decb65cc5c,
  0x2ab52ce0ff48a8d8, 0x35dce3398a0ed797, 0x6a96fabb39d454aa, 0x910e6b81013a6e57, 0xa22bcb10d2b92b1e,
  0xe74079b26bae7b55, 0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0x67042cc76f62aa8b, 0x61bbe1296a5f95b6,
  0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x000013f2faa2b4b3,
};

static const uint64_t ur_c128_swio15_lednop_ee_hw[] = {
  0xfeeeeeed1468bf3e, 0x6eed55f85d71c4b8, 0x5dec7185f0073732, 0xd0da266d14206436, 0x53130cc41b4171fa,
  0x793bb388b16f5df2, 0x9f9827c602413057, 0xf2507abfffac99fe, 0xf51e56a7a6ab5a37, 0x5caef51f06cc184f,
  0x4522cd3ad08a1df1, 0xc6b26909afa30b2c, 0x29182873ab4b94b5, 0xc6ab5d0ebce9de13, 0x62e121144be47916,
  0x8d823f5b86f65b2e, 0x7972ab500a0ff48a, 0x4aa35dce3398a0ed, 0xe576a96fabb39d45, 0xb1e910e6b81013a6,
  0xb55a22bcb10d2b92, 0x96be74079b26bae7, 0x102e6e90abaa4172, 0xa8b4ebaf38c6f19d, 0xadb338217156f62a,
  0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0x04d3a29e4afdcd0c, 0x00000000000016fb,
};

// c128_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_c128_swio15_lednop_ee_ce_hw[] = {
  0xc6eeeeed146850e3, 0xeeed55e712f5a246, 0xd6d57d51469e3bb1, 0x3c79fb29cccfa769, 0xac323bd485ecd841,
  0x793ba1607dae1682, 0xdf9827c602413057, 0xb4a0de1fff5933ec, 0x90e7778606fea8c6, 0x44f659c3cf3842df,
  0xff51e13c25f886c2, 0xf6e122270e16467a, 0x594394ed63a7be6c, 0xea3e0d9833d7d479, 0x9a75a1140a62bc09,
  0x52135f4616588a45, 0xa460a1ceaedc52c7, 0x355e363af3a7784c, 0x170908a25f23c8b6, 0x3608991c37b2d973,
  0xe5caad4b383fd22a, 0x2a8d7738ce6283b5, 0x95daa5beaece7515, 0xc7a4439ae0404e9b, 0xd5688af2c434ae4a,
  0x5af9d01e6c9aeb9e, 0x40b9ba42aea905ca, 0xa2d3aebce31bc674, 0x6d99c10b31dbd8aa, 0xe1986ef84a5a97e5,
  0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x918d14f257ee6866, 0x00000000000a0214,
};

// c128_swio15_dual_pr               c128_swio15_dual_pr_u4
static const uint64_t ur_c128_swio15_dual[] = {
  0x8247777776890c86, 0xd2f8bd793c7d17d0, 0xd0b6a6b94eb13f4c, 0x7751627157a7dabe, 0x62a8fd6821ee8919,
  0x9696eeeec6ecb41e, 0xcc13e30120982bbc, 0xbaad43236a290edd, 0x971030a18369181b, 0xbf99612804a774f8,
  0x2ec0e19c0a5f1760, 0x1209207fba6f51dd, 0xf045f94f9717a149, 0xddc3e144312bfcfd, 0x7cbe5cfc87cb9680,
  0x9082d21be5c5dfc9, 0x2a10cb42324432ff, 0x753dff4073c26b5a, 0xd7b982c3795e425b, 0xe77cb3df28295bfc,
  0x2438920707fd47db, 0x98b01541e690efe5, 0xebc01af0f508e213, 0xbf907c5403ff6608, 0x7771525f6503cb3d,
  0x1daf2e556b3f8abe, 0xa8a9546bb9c67314, 0x74dcaed52df57673, 0x72563d221cd70202, 0x5cf6ab44579621a5,
  0x2e52d7ce80f364d7, 0x33a205cdd2157548, 0xc555169d75e718de, 0x5f95b667042e2ade, 0x5ec78661bbe1296a,
  0xdfc1ddc68b3dfe20, 0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0x82b4b3c95fb9a199, 0x00000000000a49a6,
};

static const uint64_t ur_c128_swio15_dual_pr_ee[] = {
  0x43adbbbbbba86f97, 0x14ef17af21b19328, 0x6c1378ffd7610dd9, 0x8ed40b499b5c6abf, 0x3399124dd8f31275,
  0xcddcf046752c8a74, 0x27c6024130577928, 0xb50c8da8a465b498, 0x40c2860da4606eea, 0x6584a0129dd3e25c,
  0x163e70ff9c5c347e, 0x240fabe6f51fa7f6, 0xbf29f2e2f4292241, 0x7c2886257f9fbe08, 0x973f21f275401bb8,
  0xb486f97177f25f2f, 0x65a11ed10cbfe420, 0xffa039e134891508, 0x82c3795e425b7b5b, 0x6bee506c7ffcd7b9,
  0x75ea3caf024d56b4, 0xf15943f51f06cc1f, 0x2c4522cd3ad08a1d, 0xd7082e6909afa30b, 0xf508e5f1cead2e70,
  0x58d56ba1d7b58af0, 0xe3170908a3e4463e, 0x2ae37bfadc37b2e3, 0x2ab59fc55f3bb8a9, 0x35dce3398a0ed797,
  0x6a96fabb39d454aa, 0x910e6b81013a6e57, 0xa22bcb10d2b92b1e, 0x62ce80f3f5ae7b55, 0x233e90584a961653,
  0xe8811d162810b4c3, 0x4bf2b6cce9c6378c, 0x4fb8f0cc377c252d, 0x6fe0eee3459eff10, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x1f5a59e4afdcd0cc, 0x0000000000190a37,
};

static const uint64_t ur_c128_swio15_dual_pr_ee_u4[] = {
  0xb7777768a87f2541, 0xc5ebc86c582509b2, 0xd721957962014d3b, 0x2d43399129afb793, 0x4dd8f313b2a7114e,
  0x5a166f69f15ef336, 0x0aef24c8bbaa7186, 0x8cb69304f8c04826, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4,
  0x177f9f9961298093, 0x51ffe6c0341c34d7, 0x4292241240fa7e6f, 0xf9fbe08bf29f2e2f, 0x0b81bb87c2886257,
  0xfe4be5f2e7e43e43, 0x97fc841690df2e2e, 0x1ee2a10cb417da21, 0x96ded6ffe80e784c, 0xfebe0a60b0de5790,
  0xcd56b46e4e506c7f, 0x0d9838f7ea3caf4d, 0xa1143be2b8e5ea3e, 0x5f4616588a459a75, 0x5a5e572e2a5cd213,
  0xd44de15f68fa839d, 0x27a3f92c6ab5d0eb, 0x6f65f4b3170908a0, 0x9ef1bea8d823f5b8, 0xb3f8abe777152500,
  0x9c673141daf2e556, 0xdf57673a8a9546bb, 0xcd7020274dcaed52, 0x79621a572563d221, 0x0f364d75cf6ab445,
  0x21575482e52d7ce8, 0x5e718de33a205cdd, 0x42e2adec555169d7, 0xbe1296a5f95b6670, 0xb3dfe205ec78661b,
  0x6a75666fe0d1fc68, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0xac94e4ad1eb9e4af, 0x0000000000000000,
};

static const uint64_t ur_c128_swio15_dual_pr_ce[] = {
  0x3d6ddddddd431f02, 0x2778bd7901793742, 0x47e68ce24c3ac646, 0x2a0da0ad9beecabf, 0xa5a083eaafdd7ac5,
  0x4aee5188b36e4330, 0x13e30120982bbc9e, 0xad43236a290e9d4c, 0x1030a18369181bba, 0x99612804a774f897,
  0x038270eafe2f43ff, 0x2481dba9bd478e5b, 0x17e53e5c5e852448, 0x0f8510c4aff3f7c1, 0xf2e7e43e46010377,
  0x1690df2e2efe4be5, 0x865a07aa2197fc84, 0xaffa039e13029150, 0xcc161bcaf212db85, 0x7d7ba941d9dfe6bd,
  0xc216de6e77158057, 0x4889c3de1f2d7e79, 0xf72cf6ea5cd02bb8, 0x438920622fa8f224, 0x109cc580bf3a3dd2,
  0x33c75e00d787a847, 0x96b77c83e2a01ffb, 0x157ceee2a4beca07, 0xe6283b5e5caad67f, 0xece75152a8d7738c,
  0x0404e9b95daa5bea, 0x434ae4ac7a4439ae, 0xc9aeb9ed5688af2c, 0xea905ca5af9d01e6, 0x31bc67440b9ba42a,
  0x1dbd8aaa2d3aebce, 0xa5a97e56d99c10b3, 0xe209f71e1986ef84, 0xaccdfc1ddc68b3df, 0x6592e19e985727ee,
  0x19961d252d9c389c, 0xbb1feb4b3c95fb9a, 0x000000000000039e,
};

static const uint64_t ur_c128_swio15_dual_pr_ce_u4[] = {
  0x6eeeeed150ffac4f, 0x17af22097d7a1271, 0x571762f1a9a73b2f, 0x9c9a7bdc227ed5ef, 0x60993376711d60dc,
  0xeaae3eb6941abeaf, 0x413057793139dd34, 0xa8a479eb9827c602, 0x0da4606eeab50c8d, 0x049dd3e25c40c286,
  0x1a38be9afccb094c, 0xe6f51ec7f61ff0e0, 0xe2f4292241240e87, 0x257f9fbe08bf29f2, 0xe4aeb81bb87c2886,
  0xe2efe4be5f2e7e43, 0x22197fc841690df2, 0xc26dbf150865a0fe, 0xbc84b6f3b7ff4073, 0xd3fff5f0530586f2,
  0x3b31f037f528b283, 0x659c3cf3842dfc03, 0x1e13c25f886c244f, 0x122270eea8d507f5, 0x93dcb7d752e6cf6e,
  0x490e248188bea3c8, 0x1c42731602fce8f7, 0xeccf1d78035e1ea1, 0x1e5addf20f8a807f, 0xfc55f3bb8a92fb28,
  0x3398a0ed7972ab59, 0xabb39d454aa35dce, 0xb81013a6e576a96f, 0xb10d2b92b1e910e6, 0x9b26bae7b55a22bc,
  0xabaa417296be7407, 0x38c6f19d102e6e90, 0xcc76f62aa8b4ebaf, 0x1296a5f95b667042, 0xdfe205ec78661bbe,
  0x75666fe0d1fc68b3, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x94793d1eb9e4afdc, 0x00000000000001a4,
};

// c128_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_c128_swio15_dual_pr_ee_ce[] = {
  0xeeeeed150ff49231, 0x5ebc8c829d509dde, 0xfecd3c0f9d6c75fc, 0x5d7cd75c5ef89fad, 0x4b61bbb0b58ba10b,
  0x61c3b1a75cc53823, 0x53b80269abff097d, 0x4f8c048260aef24b, 0x50c8da8a46afc330, 0x0c2860da4606eeab,
  0xb094c049dd3e25c4, 0x9470ca8e2ed07fcc, 0x1b37e6f51ee47604, 0x53e5c5e852448248, 0x510c4aff3f7c117e,
  0xf90f91c9303770f8, 0x37cb8bbf92f97cb9, 0x02748865ff2105a4, 0x039e136ce8a8432d, 0x3795e425b7524ffa,
  0x9414a8ffaf82982c, 0x0ced2a00dfd5185a, 0x3d9670f3ce10b7f0, 0xd4784f097e21b091, 0x84889c3ef3e8793f,
  0xee53b58ea6e9b3db, 0xf83660ccaf51e57b, 0xd68450298af677a8, 0x4d7d185962291669, 0xf5073abb74ae1d48,
  0xf1b1d7a89bc2bed1, 0x2422809e8fe4b1aa, 0x44c8e1bd97d2cc5c, 0x2a4a59bde37d51b0, 0xe5caad67f157ceee,
  0x2a8d7738ce6283b5, 0x95daa5beaece7515, 0xc7a4439ae0404e9b, 0xd5688af2c434ae4a, 0x5af9d01e6c9aeb9e,
  0x40b9ba42aea905ca, 0xa2d3aebce31bc674, 0x6d99c10b31dbd8aa, 0xe1986ef84a5a97e5, 0x47f1a2cf7f8817b1,
  0x854895a9d599bf83, 0x2fcc4ffef0f7bca1, 0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33,
  0xe792bf734332c3a4, 0x0000020038d0f47a,
};

static const uint64_t ur_c128_swio15_dual_ee_hw[] = {
  0xadddddda28d0d8be, 0xf17af21b1609426c, 0xf5c8655e5880534e, 0x8b50ce644a6bede4, 0x93763cc4eca9c453,
  0xd6906d2fac57bccd, 0x20982bbc9322ee79, 0xd45232da4c13e301, 0x06d23037755a8646, 0xa0cee9f12e206143,
  0x69ae2eff3f32c253, 0xfcdea3ffcd806838, 0x5c5e8524482481f4, 0xc4aff3f7c117e53e, 0x7c861703770f8510,
  0x5c5dfc97cbe5cfc8, 0xb4432ff9082d21be, 0xf0983dc54219682f, 0xaf212dbdadffd01c, 0xd8fff92374c161bc,
  0x5e9b9aad68dc9ca0, 0xd47c1b3071efd479, 0x34eb422877c571cb, 0xa426be8c2cb1148b, 0x073ab4bcae5c54b9,
  0xa1d7a89bc2bed1f5, 0x11404f47f258d56b, 0xeb70decbe9662e12, 0x4a013de37d51b047, 0xcaad67f157ceee2a,
  0x8d7738ce6283b5e5, 0xdaa5beaece75152a, 0xa4439ae0404e9b95, 0x688af2c434ae4ac7, 0xf9d01e6c9aeb9ed5,
  0xb9ba42aea905ca5a, 0xd3aebce31bc67440, 0xcce085c55bd8aaa2, 0xcc377c252d4bf2b6, 0xca1854895a82ecf0,
  0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x5e8a792bf734332c,
  0x0000000002bb52c8,
};

// c128_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_c128_swio15_dual_ee_ce_hw[] = {
  0xf7777768a3472812, 0xe2f5e46414ea84ee, 0x6ff669e07ceb63af, 0x5aebe6bae2f7c4fd, 0x1a5b0ddd85ac5d08,
  0x363fa08d3ae629c1, 0xde496a777c7acaa7, 0xf86609f180904c15, 0xddd56a191b5148d5, 0xc4b881850c1b48c0,
  0x07fccb094e833ba7, 0x476049470ca8e2ed, 0x482481b37e6f51ee, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7,
  0x97cb9f90f91c9303, 0x105a437cb8bbf92f, 0x8432d02748865ff2, 0x24ffa039e136ce8a, 0xe982c3795e425b75,
  0x5185a9414a8ff246, 0x85bf21ced2a00dfd, 0x0d8489ecb3879e70, 0x3118fea3c2784bf1, 0xe9b3db84889c3bc0,
  0x51e57bee53b58ea6, 0xf677a8f83660ccaf, 0x291669d68450298a, 0xae1d484d7d185962, 0xc2bed1f5073abb74,
  0xe4b1aaf1b1d7a89b, 0xd2cc5c2422809e8f, 0x7d51b044c8e1bd97, 0x57ceee2a4a59bde3, 0x6283b5e5caad67f1,
  0xce75152a8d7738ce, 0x404e9b95daa5beae, 0x34ae4ac7a4439ae0, 0x9aeb9ed5688af2c4, 0xa905ca5af9d01e6c,
  0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x5a97e56d99c10b31, 0xb505d9e1986ef84a, 0xffde1ef79430a912,
  0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x1d754b1c4d14f257,
};

static const uint64_t ur_pwm1_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120a82bbc9ddb1ec, 0xc51bb3f224c13e30, 0x313be589af91a57f, 0x9238e5581887f51d, 0x3c731602dee9ba8c,
  0xc608ebc5cec37d19, 0x7972ab52b09adc72, 0x52a8d74541cde46d, 0xb395daa5beace751, 0xb90954bef5f47226,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x5fcdb2048ab7b155, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00001527d769f279,
};

static const uint64_t ur_pwm1_swio10_noled_pr[] = {
  0x1eeeeee87afb1762, 0x2eed55c8a1718947, 0xf5e9ea981c4d8278, 0x35bc2f6dfa548b8e, 0x17f8ff17bb1c7a0b,
  0xf277699a330668ee, 0xf7304f8c0482a0ae, 0x45f91dd7f89279f8, 0xc0c9ef51e6e3be58, 0x16594c654e31c72a,
  0x1f3b3de8ed6398b0, 0xacf5403ff6608ebd, 0x56aab540f2cf6ee1, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551,
  0xa97debe8e44d672b, 0xd73daad115e57212, 0x536294f0d3bcf8b5, 0x689c6378ce881077, 0x6409156f62aa8b4b,
  0x26ae0f365118bf9b, 0x1e40eda1a2ce9f17, 0x4fe50c2a73f53ab3, 0x6879133c5ce32fcc, 0x7a615c9f8e7bff82,
  0x252d9f0271964b86, 0x653c95fb9a19961d, 0x000000001f266480,
};

static const uint64_t ur_pwm1_swio10_noled_pr_u4[] = {
  0x1137777768bb1762, 0x4f5bbb5572283225, 0x98ec2fd0e28e3184, 0x7f43bd04ebeb4f13, 0x1dc01b6d22eec441,
  0x0aef277699a335a1, 0xcfc89304f8c0482a, 0xf2c4d7c8d2bfc493, 0x72ac0c43fa8e989d, 0x8b016f74dd46491c,
  0x75e2e761be8c9e39, 0x55a9584d6e396304, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0xaa5f7afa391359ca,
  0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d, 0xd902455bd8aaa2d2, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x9842e0194f257ee6, 0x000000000000007c,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ee[] = {
  0x509bbbbbba88aaac, 0x9b4eed55f85c9089, 0xe85ebd7d267c7fc4, 0x423c8a60d7db260b, 0x4e8666ed04106d05,
  0x2bbc9ddf228ecc4c, 0x7e394c13e30120a8, 0x8fbaf916ebff8356, 0x2fbd4795fee9aad6, 0xbe2b7f3d47c1b307,
  0x6588a459a75a1143, 0x297144cd2135f461, 0xd96ba38c8e756973, 0x9eb1aad743af5d4d, 0x0e462e121147488c,
  0x5aae2a5fd6e1bd97, 0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0xa5f7afa391359cae, 0x5cf6ab445795c84a,
  0xff11a9e18a6f59de, 0x7440b71f14085a5a, 0x288c5fcdb4e31bc6, 0x943458f38b93571b, 0x4c2b93f75663c81f,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x00000a7cdaf7f4ea,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x37304f8c0482a0ae, 0xebe4656ffe0d59fd, 0xf51e5695a6ab5a3e, 0x5fcef51f06cc1cbe,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0xa231f0e7569780cb, 0x8d56ba1d7aea6ec0, 0x62e1211464547d05,
  0x704d7d6e1bd970e4, 0x5073791b5e5caad5, 0x6fab39d454aa35d1, 0xbd7d1c89ace576a9, 0xb55a22bcae42552f,
  0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13, 0xc1e6ca2317f36c81, 0x03f2868b1be2e4d5,
  0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9,
  0xff4ea792bf734332, 0x00000000004eba45,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ce[] = {
  0xafcdddddddec53c3, 0x0da3bb5572284844, 0xf17e9bbd790c9871, 0x6ada0b83d936a64c, 0x8c7136104a87bb7e,
  0xa82bbc9dd23f2eec, 0x9e7ce1cc13e30120, 0xbfeabe7c84adfe24, 0x26dfe780160e7ce3, 0x0bac984e7736beed,
  0x81e0bf51f249ee58, 0x98b017ba05238e55, 0x8ebd1f3b3de8ed63, 0xbae1acf5403ff667, 0xbcb955aaad503cb5,
  0xa9546ba2a0e6f236, 0x59caed52df5673a8, 0x5c84aa5f7afa3913, 0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef,
  0xa2d2da2718de33a2, 0x5fcdb20431dbd8aa, 0x58f38b93571b288c, 0x93f75663c81db434, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x05bab71f00ca792b,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ce_u4[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0xa82bbc9dd4149cba, 0x567edd4c13e30120, 0x17d644f91813ff83, 0xa20f3c00b5a4cad7, 0x7c25f886c2445f71,
  0xe2ee6d74a8b91fd4, 0xa3e493dcb19fac99, 0x740a471cab03c17e, 0x767bd1dac731602f, 0xea807feccf1d7a3e,
  0x555aa0796b75c359, 0x4541cde46d7972ab, 0xa5beace75152a8d7, 0xbef5f47226b395da, 0x9ed5688af2b90954,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x0863b7b15545a5b4, 0xae0f365118bf9b64, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0xcafa753c95fb9a19, 0x00000000000375ea,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xc344c13e30120a82, 0x387f22c7fff83567, 0x002d692c7ceffaa3, 0x9cee6d724aca8fcf,
  0x5ba594ed6563df30, 0xea3e0d983403d479, 0x9a75a1140a62b90f, 0x52135f4616588a45, 0xa47109ceaeddfb87,
  0xc6abc6c75e74ddb4, 0x98b84845098a3116, 0x51b044c8e1bd96cb, 0xaf2e556a599355fd, 0x2a551ae8a839bc8d,
  0xd672bb54b7d59cea, 0x57212a97debe8e44, 0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8,
  0x17f36c810c76f62a, 0x163ce2e4d5c6ca23, 0xe4fdd598f207e50d, 0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb,
  0x029a763ffd3a9e4a,
};

static const uint64_t ur_pwm1_swio10_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c92df, 0x2eed55fd4f274489, 0x56bb2d86656c17e6, 0x54006c233122694a, 0x3b13e442cb679218,
  0x9dd51f42157c4db3, 0x4c13e30120a82bbc, 0xc8c41fe546ecfa1f, 0xb9de20b8bea8edd7, 0xc2445f71a20f3c00,
  0x0b87ffd47c25f886, 0x736f7ccf17736bae, 0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76efdc3a909afa30, 0xf3a6eda523884e75, 0x4c5188b6355e363a, 0x0decb65cc5c24228, 0xcc9aafea8d822647,
  0x41cde46d7972ab52, 0xbeace75152a8d745, 0xf5f47226b395daa5, 0xd5688af2b90954be, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x0f365118bf9b6408, 0xcd3e3458df1726ae, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3919e4afdcd0ccb0,
  0x0000000027e6d7bb,
};

static const uint64_t ur_pwm1_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120a82bbc9ddb1ec, 0xfc38f3f224c13e30, 0xa6277cb135f234af, 0x92471cab0310fea3, 0x278e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x2a551ae8a839bc8d, 0xd672bb54b7d59cea, 0x57212a97debe8e44,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x8bf9b6409156f62a, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000011c5f5d14f,
};

static const uint64_t ur_pwm1_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0x415de4eeb4efb5bb, 0x33e35a609f180905, 0xad1c7bf91a6ffe85, 0x067afa8f2b387355, 0x877c565d7d47c1b3,
  0xc2cb1148b34eb422, 0xffb971ac9a426be8, 0x4ddb4a47109cead2, 0x5188b6355ae875e7, 0xecb65cc5c242284c,
  0x355fd51b047eb70d, 0x9bc8daf2e556a011, 0x59cea2a551ae8a83, 0xe8e44d672bb54b7d, 0xd115e57212a97deb,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0x365118bf9b640915, 0xa1854e7ea0bb1b8f,
  0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc17d3c95fb9a1996,
  0x00000000002df00a,
};

static const uint64_t ur_pwm1_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0905415de4ee9ba3, 0xfe8533f6ea609f18, 0xcad717d644f91813, 0x17dc6883cf127212, 0x6ff51f097e21b091,
  0xeb2678bb9b5ff5cd, 0xf05fa8f924f72c67, 0x580bdd0291c72ac0, 0x5e8f9d9ef476b1cc, 0x70d67aa01ffb33c7,
  0x5caad556a81e5add, 0xaa35d15073791b5e, 0xe576a96fab39d454, 0x42552fbd7d1c89ac, 0x16bae7b55a22bcae,
  0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xe6d90218edec5551, 0xa82ec6e3cd94462f, 0xffbc3def2861539f,
  0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x0759be10f85f4f25,
};

// pwm1_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x15de4eee7da01d44, 0x7d0fa609f1809054, 0xa3b75f23107fd0a6, 0x79e24e425882e2fa, 0x2fc4361222fb8d10,
  0x36bea83c83fea3e1, 0xca76b736f7ccf177, 0x06cc1a01ea3cadd2, 0xd08a05315c87f51f, 0xafa30b2c4522cd3a,
  0x84e7576efdc3a909, 0xe363af3a6eda5238, 0x242284c5188b6355, 0x226470decb65cc5c, 0x2ab52cc9aafea8d8,
  0x8d74541cde46d797, 0x5daa5beace75152a, 0x954bef5f47226b39, 0xaeb9ed5688af2b90, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0xb640863b7b15545a, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x0a02cb4a17d3c95f,
};

static const uint64_t ur_pwm1_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0905415de4ee82f4, 0xe28dd9f7f2609f18, 0xf21df2c4d7c832bf, 0xdf1c72ac0c43fa8f, 0xa0398b016f74c7ab,
  0xb1823af173b5ac8f, 0x5e5caad4ace7b71c, 0x54aa35d15073791b, 0x04e576a96fab39d4, 0x55aba5fd1c89ae04,
  0x5ae7b55a22bcae42, 0xa96165362ce80f3f, 0xd8ff14085a6ae757, 0x5fcdb4e31bc67440, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x00000a907569f279,
};

static const uint64_t ur_pwm1_swio10_lednop_pr[] = {
  0x7bbbbbba83d8b562, 0x5ddaab914cc6251c, 0x7b856eac871b04f0, 0xcd6f0b2e3b6e8453, 0x6a60bf8feec71e82,
  0xbc9ddfa706cfddc1, 0x034c13e30120a82b, 0x22fc80f7fe249e7e, 0x6064f7a8f389df2c, 0x16594c63cf58e395,
  0x3e76f911c1f398b0, 0xf40a807fecc11d7a, 0xab5815a07967b7bd, 0xd74541cde46d7972, 0xdaa5beace75152a8,
  0x97f47226b8101395, 0xd5688af2b90956ae, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0xf365118bf9b65d91, 0xda1a2cb579726ae0, 0xc2a73f53ab31e40e, 0xf9a1e44cf0271a50, 0x964b867a615c9f80,
  0x19961d252d9f0271, 0x6f5b80653c95fb9a, 0x00000000000001f2,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f17128, 0xfdcc750e2448c227, 0xbfa1de82d790c9f8, 0x198db26635f76220,
  0x0aef2774c4dc1241, 0xcfbf9304f8c0482a, 0xf2c4d7c832bfc493, 0x72ac0c43fa8ff21d, 0x8b016f74c7abdf1c,
  0x3af173b5ac8fa039, 0xaad4ace7b71cb182, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xa5fd1c89ae0404e5,
  0xb55a22bcae4255ab, 0x65362ce80f3f5ae7, 0x14085a6ae757a961, 0xb4e31bc67440d8ff, 0x9357079b288c5fcd,
  0x31e40eda1a2c6f8b, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a,
  0x0ccb0e9296cf8138, 0x2659c0329e4afdcd, 0x000000000000001f,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x304f8c0482a0aef2, 0xc88e5ffc1ab3fd5f, 0x7959439aad68e3df, 0x0bea3e0d9833d7d4,
  0x459a75a1143be2b6, 0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63,
  0x608fd6e1bd96cb98, 0xb955a80570d67aa3, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809,
  0xcf6ab445795c84ab, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xc8ab7b15545a4829, 0x7079b288c5fcdb2e,
  0x07e50d1674f8b935, 0x2861539fa9d598f2, 0xc899e2e7197e627f, 0x0ae4fc73dffc1343, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000275d767d3a9,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0x8e5304f8c0482a0a, 0xeebe45baffe0d59f, 0xef51e5721e6ab5a3, 0x159c3f51f06cc1cb,
  0xc4522cd3ad08a1df, 0xb8a266909afa30b2, 0x80234c4e7569728a, 0x58d56ba1d7aea6ec, 0x23170908a1ef476b,
  0x57170feb70decb87, 0x15073791b5e5caad, 0x96fab39d454aa35d, 0xd1c89ae0404e576a, 0xa22bcae4255aba5f,
  0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x94462fe6d976455b, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000004eb842fe9d,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8b562, 0x1b4776aae4519089, 0x867ad2f4bdf370e2, 0x6ada0b8392164e00, 0xb7071795b85fbb7e,
  0xa0aef2777e9c1b34, 0x79f287304f8c0482, 0xffaaf9f2243ff892, 0x7f9f9e00583870ce, 0x0bac984e7736be9a,
  0x81e0bf51c149ee58, 0x3160287b40238e55, 0x3af47cedf22383e7, 0xbb7be81500ffd99e, 0xbcb955ac0ad03cb5,
  0xa9546ba2a0e6f236, 0x09caed52df5673a8, 0xab574bfa39135c08, 0x75cf6ab445795c84, 0x82e52d7ce80f1cad,
  0x29c6378ce8810854, 0x5d863b7b15545a48, 0x726ae365118bf9b6, 0xcc7903b6868b1e71, 0x592e19e985727eea,
  0x6587494b659289c6, 0x93a0194f257ee686, 0x000000000000b75e,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0x82bbc9dd3ad1a848, 0x67e2b4c13e30120a, 0x7d644f91befff835, 0x20f3c00b5a4b7571, 0xc25f886c2445f71a,
  0x2ee6d7a4a672fd47, 0x38293dcb19fac99e, 0x680471cab03c17ea, 0xbe44707ce62c050f, 0xa01ffb33c75e8f9d,
  0x815a0796b76f7d02, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x47226b8101395daa, 0x88af2b90956ae97f,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0xa2317f36cbb0c76f, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x0000006eb967f4ea,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0x9db9827c60241505, 0xe1fc8ddaffe0d59f, 0x00b5a4dda3bfea8c, 0xe7736bf47d493f3c,
  0xcbaca76b2b1ef984, 0x51f06cc1a01ea3ca, 0xd3ad08a0531594bf, 0x909afa30b2c4522c, 0xa35f0e7576ef9c3a,
  0x6abc6c75e74dd827, 0x170908a3244637ec, 0x3608991c37b2d973, 0xcb955a96770d67aa, 0x9546ba2a0e6f236b,
  0x9caed52df5673a8a, 0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xd863b7b15545a482, 0x26ae365118bf9b65, 0xc7903f2868b1e717, 0x92e19e985727eeac, 0x587494b659289c65,
  0x53e9d4f257ee6866, 0x000000000014d338,
};

static const uint64_t ur_pwm1_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c50e3, 0x2eed55fd4e05c489, 0x76d86d1a78bc17e6, 0x54006c64e466625a, 0xe0ddd382cb679218,
  0x27742c0fb6538594, 0xf304f8c0482a0aef, 0xf22007f951bb3ffa, 0x2e77002e2faa3b75, 0xb09117dc6883cf00,
  0xebf5abf51f097e21, 0xb9b7be678bb9b5d9, 0xd00f51e565d653b5, 0x298aca5fa8f83660, 0x5962291669d68450,
  0xbb77ce1d484d7d18, 0xf3a6ec13d1af873a, 0x92231bf6355e363a, 0x1bd96cb98b848451, 0x3b86b3d51b044c8e,
  0x073791b5e5caad4b, 0xfab39d454aa35d15, 0xc89ae0404e576a96, 0x2bcae4255aba5fd1, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb2ec31dbd8, 0x2c6f8b9357079b28, 0xfa9d598f20669f1a,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0013f2eadd9c8cf2,
};

static const uint64_t ur_pwm1_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0905415de4ee82f4, 0xfe1c79f7f2609f18, 0xfe43be589af90657, 0x7be38e5581887f51, 0xf40731602dee98f5,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x8a9546ba2a0e6f23, 0x809caed52df5673a, 0x4ab574bfa39135c0,
  0xeb5cf6ab445795c8, 0xf52c2ca6c59d01e7, 0x1b1fe2810b4d5cea, 0x8bf9b69c6378ce88, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000008e21d514f,
};

static const uint64_t ur_pwm1_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x15de4eeb6239da9c, 0x7fabe609f1809054, 0xa38f7f22397fd0a6, 0xcf5f51e5650e6ab5, 0xef8ad82fa8f83660,
  0x5962291669d68450, 0xe72e3593484d7d18, 0x7609e8d7c39d5a5f, 0xc6fd8d56ba1d79d3, 0x5b2e62e121146488,
  0x59ea8d823f5b86f6, 0xc8daf2e556a015c3, 0xcea2a551ae8a839b, 0x7020272bb54b7d59, 0x7212ad5d2fe8e44d,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36cbb22adec5551, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x000b7cd6082fa792,
};

static const uint64_t ur_pwm1_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x482a0aef2775d92b, 0xf4299f8ad304f8c0, 0xbab8beb227c8df7f, 0xbee3441e78939095, 0x5fa8f84bf10d8488,
  0x5933c5dcdaf787cb, 0x82fd470527b9633f, 0x80a1ed008e395607, 0xd1f3b7c88e0f9cc5, 0xefa05403ff6678eb,
  0xe556b02b40f2d6ed, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0x5d2fe8e44d702027, 0x3daad115e57212ad,
  0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x18edec55516920a7, 0xe3cd94462fe6d976, 0xef2861539fa82ec6,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x66285f4f257ee686,
  0x000000000003acde,
};

// pwm1_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0x0aef277475d35f7b, 0x3ffaf304f8c0482a, 0x51dbaf91003fe853, 0x3cf127212801717d, 0x97e21b09117dc688,
  0xcdae148f9cbf51f0, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b2e, 0xb422814c5652fd47, 0x6be8c2cb1148b34e,
  0x7c39d5dbbe70ea42, 0xf1b1d79d37609e8d, 0x24228c9118dfb1aa, 0x226470decb65cc5c, 0x556a59dc359ea8d8,
  0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0xd2fe8e44d7020272, 0xdaad115e57212ad5, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6d9761, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xc805f4f257ee6866, 0x00000000000280ad,
};

// pwm1_swio10_dual_pr
static const uint64_t ur_pwm1_swio10_dual[] = {
  0xe3ddddddde7c50e3, 0x7c1f4da6229c983a, 0xfb9f7b707a73d71a, 0x377e47652be29562, 0xb3e2d402b75719a5,
  0x2823b82c0f900b85, 0x9827c60241505779, 0x27004643d0690a91, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbe00003, 0xf7150865a03e2219,
  0x2db943ffa039e136, 0x82c3795e5ab7cd01, 0xb0f9f22a57f83439, 0x558188bea3c8877c, 0x80aa0f37ee32a38e,
  0xc019da7146f79cc5, 0xbc1f5403ff6608eb, 0x5496ff0c0f2cf6d6, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0x9caed52df5673a8a, 0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0xec8ab7b15545a482, 0x57079b288c5fcdb2, 0x40cd3e3458f38b93, 0x867a615c9fbab31e, 0x1d252d9f0271964b,
  0x67233c95fb9a1996, 0x0000000001881c29,
};

static const uint64_t ur_pwm1_swio10_dual_pr_u4[] = {
  0xc7bbbbbb4486c541, 0xf83e9b4c45393075, 0x6c5f76e0f4e7ae34, 0x4a6efc8eca57c52b, 0x3167c5a8056eae33,
  0x2823bac11fc355ea, 0x9827c60241505779, 0x27004643d0690a91, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef80000, 0xbdc54219680f8886,
  0x4b6e50ffe80e784d, 0x60b0de5796adf340, 0x2c3e7c8a95febfda, 0x9560622fa8f221df, 0x602a83cdfb8ca8e3,
  0xf006769c51bde731, 0xaf07d500ffd9823a, 0x1525bfc303cb3db5, 0xf2e556b3f8abe777, 0xa551ae8a839bc8da,
  0x272bb54b7d59cea2, 0xad5d2fe8e44d7020, 0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0xbb22adec55516920, 0xc371e6ca2317f36c, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x24c8396d274f257e, 0x0000000000000005,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ee[] = {
  0xd86ddddddd435032, 0x2783e9b58ed08583, 0xf5a7b74e72be6676, 0x4e47676abbd35f7e, 0x5e1f5cedb7416c33,
  0xbaaf6d1febdf7638, 0x8c0482a0aef265db, 0x190f41a42e8b304f, 0x0d59e2cf49109c01, 0x849dd3e25c40c286,
  0xb4700b5318ffe65d, 0x81c569bd47275b04, 0xaff31a04508e4855, 0xdf177f75801b87c0, 0x19681454432bb8bd,
  0xffd01cf098c7c542, 0x5e5ab7cd012dbced, 0x50fffaff6982c379, 0xaf7dcd56b46517e4, 0xf51f06cc1995ea3c,
  0xcd3ad08a1df15dba, 0x6909afa30b2c4522, 0x51cead2e50d7152e, 0x5d0ebd44bb47b47a, 0x4845080234c6c6ab,
  0x1fadc37b2fa598b8, 0x5494028cad6546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0x9caed52df5673a8a,
  0xb574bfa39135c080, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xec8ab7b15545a482,
  0x0dc79b288c5fcdb2, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c, 0x445f6d274f257ee6,
  0x0000000000000321,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed1369fa0ae, 0x1f4dac76842c1ec3, 0x1f9a7395f333b13c, 0x9daaef4d7dfb69ed, 0x73b6dd05b0cd391d,
  0xeb757b0faee1787d, 0xa0aef265dbbbebef, 0xa42e8b304f8c0482, 0xcf49109c01190f41, 0xe25c40c2860d59e2,
  0x98c7ff32bf689dd3, 0xea393ad825a3805a, 0x22847242ac0e2b4d, 0xac00dc3e057f98d0, 0xa2195dc5eef8bbfb,
  0x84c63e2a10cb40a2, 0x68096de76ffe80e7, 0xbdcc161bcaf2d5be, 0x5ad1945f9143ffe6, 0x306657a8f2bdf735,
  0x2877c576ebd47c1b, 0x8c2cb1148b34eb42, 0xb9435c54b9a426be, 0x12ed1ed1e9473ab4, 0x08d31b1aad743af5,
  0xecbe9662e1211420, 0x32b5951b047eb70d, 0x3f8abe777152500a, 0xa839bc8daf2e556b, 0xb7d59cea2a551ae8,
  0x8e44d7020272bb54, 0x115e57212ad5d2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0xa2317f36cbb22ade, 0x68b1be2e4d5c1e6c, 0x3f53ab337f06fd04, 0x27ff787bde50c2a7, 0x343c899e07f197e6,
  0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00056441c7ba9c9e,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ce[] = {
  0x5deeeeeeef3e43ee, 0xfe0fa6d311498c1e, 0x7da2fd6671397191, 0xa704170767120a1d, 0x9eb17ebb4e5bb2ef,
  0x2619bbabbf227bb6, 0xd304f8c0482a0aef, 0x84e008c87a0d23a9, 0x0614306acf167a48, 0xfcca6b54ee9f12e2,
  0x9db090e702eb3143, 0xe4855819459bd47f, 0xb87c0aff31a04508, 0x5dc5eef8bbff5c01, 0x63150865a1372219,
  0x2db8d6ffa039e132, 0x82c3795e5ab7cd01, 0xacddf2182ff83439, 0xafcf002e77fb8eff, 0x38cc273b9b5c3469,
  0x59fea38293dcb014, 0x602f7592471cab03, 0xf22ddb22a383e731, 0x4a3ae9371cb19e3a, 0xcaad67f157ceee2a,
  0xa35d15073791b5e5, 0x576a96fab39d454a, 0xba5fd1c89ae0404e, 0x7b55a22bcae4255a, 0x165362ce80f3f5ae,
  0xcc6085a6ae757a96, 0xb69c6378ce881b1f, 0x726ae0f365118bf9, 0x63c819a7c68b1e71, 0xc970cf4c2b93f756,
  0x32c3a4a5b3e04e32, 0x93ace46792bf7343, 0x0000000000039ebe,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ce_u4[] = {
  0xd89dddddda2432db, 0x77c1f4dacc6c5d83, 0x5a9afbad89d90919, 0x89323e44dd69624e, 0xf8ce947ee7157eed,
  0x779247ddc7045580, 0xebe9827c60241505, 0x4884e008c87a0d20, 0xe20614306acf167a, 0x15bf32ec24ee9f12,
  0x1f2b6c37d9c34dcd, 0x423921560650e6f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef643, 0x4da5454219687748,
  0x8096dc66ffe80e78, 0xb4c161bcaf2d5be6, 0x17d7baf911cbfd7f, 0x6883cf12721260b7, 0x1f097e21b09117dc,
  0xf17736bb37d2a3f5, 0x470527b9633c38cc, 0xeb248e395606b3fd, 0xb6454707ce62c05e, 0xd26e39633c75e45b,
  0xcfe2af9ddc549475, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0xa39135c0809caed5, 0x445795c84ab574bf,
  0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0xc6f19d10363f98c1, 0x71e6ca2317f36d38, 0x99bf83bb8d1637c3,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x4859ed274f257ee6, 0x000000000000001a,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ee_ce[] = {
  0x7fb5bbbbbba86f97, 0xd3b83e9b5e947e30, 0xfdebdeed8bc6a014, 0x9c4539395a083e44, 0x097d7aefc2960fda,
  0x5dcf046752c8a756, 0x7c60241505779264, 0x1190f41a41c93982, 0x60d59e2cf49109c0, 0xd849dd3e25c40c28,
  0x0683869a99fe7e65, 0x581f4fcdea3ffcd8, 0x0aff31a04508e485, 0xbbe2ef185c01b87c, 0x432d029688657717,
  0xeffa039e137ce8a8, 0x2bcb56f9a025b7c6, 0x84dbff5fed30586f, 0x124db3bfea8ca5fc, 0xb5da0e089fcf1272,
  0x53b595910cc273b9, 0x3660cf5f51e5650e, 0x8450298ad82fa8f8, 0x7d185962291669d6, 0x873abb74871d484d,
  0x6c75ed6276ee9182, 0x08a26e47916c6abc, 0x191c37b2e3e31709, 0x8abe7771525c6319, 0x39bc8daf2e556b3f,
  0xd59cea2a551ae8a8, 0x44d7020272bb54b7, 0x5e57212ad5d2fe8e, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x5516920a718de33a, 0x62fe6d97618edec5, 0xe3458f386e3cd944, 0xc2b93f75666fe0ee, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000001304e73693a,
};

static const uint64_t ur_pwm1_swio10_dual_pr_ee_ce_u4[] = {
  0xf77777689b4fb69f, 0x3e9b50beaf6c1fae, 0x82d51fa2f499f6b8, 0x5ff57b04c3e382d7, 0x27ef2775d9621ec5,
  0x99d0871bf86f2791, 0xef25a73ba405f3cb, 0x3d7304f8c0482a0a, 0x4427004643d06916, 0x1030a1835678b3d2,
  0x1fccafda2774f897, 0xbbd821f1c31ba6ec, 0xe485581bfc9bd476, 0xb87c0aff31a04508, 0x7717bbe2ef780401,
  0x68a8432d0d9c8865, 0xb74a8ffa039e1365, 0x586f2bcb56f9a025, 0xd9df20527f9af730, 0xe24e038292e2faa3,
  0xc4361222fb8d1079, 0xbfad4f00fea3e12f, 0x76b73710ccf17736, 0xcc19ebea3caca1ca, 0x8a05315b05f51f06,
  0xa30b2c4522cd3ad0, 0xe7576e90e3a909af, 0x8ebdac4eddd23050, 0x144dc8f22d8d578d, 0x2386f65c7c62e121,
  0x57ceee2a4b8c6323, 0x3791b5e5caad67f1, 0xb39d454aa35d1507, 0x9ae0404e576a96fa, 0xcae4255aba5fd1c8,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x5fcdb2ec31dbd8aa, 0x6f8b9357079b288c,
  0xeaccdfc1bf411a2c, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d,
  0x734332c3a4a5b3e0, 0x800085eea72792bf,
};

static const uint64_t ur_pwm1_swio10_dual_hw[] = {
  0x1eeeeeed12190907, 0xe0fa6d3114e4c1d7, 0xb17ddb83d39eb8d3, 0x29bbf23b295f14ad, 0xed9f16a015bab8cd,
  0xe4a08eeb41fabef5, 0x46609f180905415d, 0x109c01190f41a42a, 0x40c2860d59e2cf49, 0x9fe65d849dd3e25c,
  0xdfcd82fb3814599c, 0x11c90ab0332a6f51, 0x0370f815fe63408a, 0x195dc5eef8bbe000, 0x36f7150865a03e22,
  0x012db943ffa039e1, 0x8982c3795e5ab7cd, 0xdf2c3e7c8a95fe76, 0xe39560622fa8f221, 0x31602a83cdfb8ca8,
  0x3af006769c51bde7, 0xb5af07d500ffd982, 0x771525bfc303cb3d, 0xdaf2e556b3f8abe7, 0xa2a551ae8a839bc8,
  0x20272bb54b7d59ce, 0x12ad5d2fe8e44d70, 0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x20a718de33a20421,
  0x6cbb22adec555169, 0x176371e6ca2317f3, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xc6ea41c82fa792bf,
};

static const uint64_t ur_pwm1_swio10_dual_ee_hw[] = {
  0x36eeeee87ad0cf68, 0xc1f4dac76842c1ec, 0xd3dba7395f333b13, 0x23b3b55de9afbf7a, 0x0fae76dba0b619a7,
  0x77347d4eb5bb1c2f, 0xf180905415de4cbb, 0x2321e83485d16609, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2efeeb00370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b79d, 0x2287ffced130586f, 0xe57bee6ab5a328bf, 0xd7a8f83660ccaf51,
  0x1669d68450ef8aed, 0x73484d7d18596229, 0xd28e75697286b8a9, 0x5ae875ea25da3da3, 0xc242284011a63635,
  0x08fd6e1bd97d2cc5, 0xe2a4a014656b2a36, 0x5e5caad67f157cee, 0x54aa35d15073791b, 0x04e576a96fab39d4,
  0x55aba5fd1c89ae04, 0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0x976455bd8aaa2d24,
  0x5c6e3cd94462fe6d, 0x313f9430a9cfd4bd, 0x09a1e44cf1738cbf, 0x19e985727e39effe, 0x7494b67c09c6592e,
  0x05f4f257ee686658, 0x00000000015da45f,
};

static const uint64_t ur_pwm1_swio10_dual_ce_hw[] = {
  0x53b777776890cf68, 0x67c1f4dacc7bb60e, 0xbd07dbaaf9b144e4, 0x6ea38b4e44faafeb, 0x7664caefdfbdd29c,
  0xbc9a66ee68fa9d6b, 0x18cc13e30120a82b, 0x4427004643d06911, 0x1030a1835678b3d2, 0x5ff997612774f897,
  0xf676c2391c0e0cdd, 0x2392156072ba6f51, 0x06e1f02bfcc68114, 0xcaee2f77c5de0890, 0x775150865a063d10,
  0x12dbffcffa039e13, 0x982c3795e5ab7cd0, 0x7d4c7fc81adfe768, 0x883cf12721238371, 0xf097e21b09117dc6,
  0x8bb9b5d2a2e47f51, 0x3f513dcb19f52e67, 0x5dd471cab03b87ea, 0xd38a37bce62c05a9, 0xa01ffb33c75e00ce,
  0xfe181e5adcb5e0fa, 0xb59fc55f3bb8a92d, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x7f47226b8101395d,
  0x5688af2b90956ae9, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6ca2317f36cbb0c7,
  0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xc2fa792bf734332c, 0x00000000009babd6,
};

static const uint64_t ur_pwm1_swio10_dual_ee_ce_hw[] = {
  0xa72ddddddd43359b, 0x2b83e9b5e96c1183, 0xb793dd1d74fb1ec8, 0x39a733e19cc89ae3, 0xbccd937852c14e47,
  0xcee1e198535aebd7, 0x3e30120a82bbc90d, 0x08c87a0d232da4c1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x3fc3862099aeff32, 0xac0ffe4dea3e9ad8, 0x057f98d022847242, 0xeef8bbc2c800dc3e, 0x10cb430222195dc5,
  0x0ffe80e784c5d62a, 0xcaf2d5be68096def, 0xc8b5bff3b44c161b, 0x212b5b3bfea8f027, 0xcdaece5d1ffcf127,
  0xd29dacac9ba6139d, 0xc1b307dd7a8f2bca, 0xb422814c572bbd47, 0x6be8c2cb1148b34e, 0x4a39d5db8a18ea42,
  0xf1b1d7a89768f68f, 0x121142008d31b1aa, 0x226470decbe9662e, 0x8a92967195aca8d8, 0x7972ab59fc55f3bb,
  0x52a8d74541cde46d, 0x1395daa5beace751, 0x56ae97f47226b810, 0xeb9ed5688af2b909, 0x05ca5af9d01e395a,
  0x538c6f19d10210a9, 0xbb0c76f62aa8b490, 0xc371e6ca2317f36c, 0xb25c33d30ae4fcfe, 0xccb0e9296cf8138c,
  0x4c020be9e4afdcd0, 0x0000000000000113,
};

static const uint64_t ur_pwm1_swio10_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d172df, 0x0fa6d42f7f0b072a, 0x2b7535eabcb5272e, 0x4eb6b8bebdda0eeb, 0xf5cfde4e2afcfbfb,
  0xa8356865a3821e1d, 0x15057792829ddb5a, 0x348659b9827c6024, 0x59e92213802321e8, 0x7c4b881850c1ab3c,
  0xe6e5afccb20d53ba, 0xd47c6ed87609c2f0, 0x8a11c90ab036bb9b, 0x780370f815fe6340, 0x10caee2f77c5de9c,
  0x26d37150865a0705, 0x404b6e495ff4073c, 0xee60b0de5796adf3, 0x546707e41adffef0, 0xe78b17d091addc5f,
  0xbf10d8488bee3441, 0x6d75c170fffa8f84, 0x94ed6e6e6e99e2ee, 0x0d983eebd4795e56, 0xa1140a62b95dea3e,
  0x5f4616588a459a75, 0x51ceaedc50c75213, 0x8d8ebd44bb47b47a, 0x908a1004698d8d57, 0x132386f65f4b3170,
  0x5494b38cad6546c1, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b, 0x9caed52df5673a8a, 0xb574bfa39135c080,
  0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0xd863b7b15545a482, 0x1b8f365118bf9b65,
  0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0xc668d0173c95fb9a, 0x0000000000003aea,
};

// pwm1_swio12_noled
static const uint64_t ur_pwm1_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0a82bbc9ddcc490d, 0x3767e3dcc13e3012, 0x77cb741f23baff8a, 0x71cab03affea3a62, 0xe62c05bdd32003e4,
  0x08ebc5cedd223278, 0xe556a56087dc72c6, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0x4ad8debe8e44d672,
  0xeb5cf6ab445795c8, 0xa75380b2953e9de7, 0x08f2f14085a585ce, 0xc5fcdb4e31bc6744, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000000a92dd69f27,
};

// pwm1_swio12_noled_pr
static const uint64_t ur_pwm1_swio11_noled_pr[] = {
  0x0b77777507b128ae, 0xb55722950e25713a, 0x4f5fb1a0b609e0bb, 0xc1c436c66cf7a7b6, 0xfcc6b4ddb89d059a,
  0x4ee9a58e38bc4882, 0xe609f180905415de, 0xfe46dfff124f3e63, 0x326bd47050ef96de, 0x2ca60f680471cab0,
  0x9d93146229cc580b, 0xf2a01ffb30475e8f, 0xd508981e59eddac4, 0xd15073791b5e5caa, 0x96fabb39d454aa35,
  0x1bd7d1c89ace576a, 0x9ed5688af2b9095b, 0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0x218ab7b15545a5b4,
  0xae0f365118bf9b6c, 0x40eda1a2cb579726, 0xa50c2a73f53ab31e, 0xf80f9a1e44cf0271, 0x271964b867a615c9,
  0xb9a19961d252d9f0, 0x0f93c2180653c95f,
};

// pwm1_swio12_noled_pr_u4
static const uint64_t ur_pwm1_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8bf82, 0xeed55c8a50912d48, 0x50f4d06e246113d6, 0x0ee38f522f892e3b, 0x99fa5f17bba905fd,
  0xf27757189153706c, 0xf7304f8c0482a0ae, 0xa0f91dd7f89279f8, 0x81d7ff51d313be5b, 0x2dee99001f238e55,
  0x2e76e91193c73160, 0x2b043ee39630475e, 0x541cde46d7972ab5, 0xbeaece75152a8d74, 0xf5f47226b395daa5,
  0xb55a22bcae4256c6, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a204797, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x348be0194f257ee6, 0x00000000000000f9,
};

// pwm1_swio12_noled_pr_ee
static const uint64_t ur_pwm1_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x304f8c0482a0aef2, 0xe46ceffe0d59f383, 0x3cacbacd56b4663f, 0x4bf51f06cc1f51ea,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8,
  0x6c11fadc37b2d973, 0xe5caad402e839e54, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x9095b1bd7d1c89ac,
  0xc5aeb9ed5688af2b, 0x83ba9b14a7869de7, 0x5a5b44e31bc67440, 0xf9b6c218ab7b1554, 0xf1726ae0f365118b,
  0xab31e40fca1a2ce9, 0xfcc4fe50c2a73f53, 0xf826879133c5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964,
  0xafa753c95fb9a199, 0x000000000004ebc0,
};

// pwm1_swio12_noled_pr_ee_u4
static const uint64_t ur_pwm1_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x9827c60241505779, 0xf22577ff06acfece, 0x1e57f3a6ab5a3dbf, 0xd2fa8f83660e71f5,
  0x91669d68450ef8ad, 0x133484d7d1859622, 0x35ae73ab4bafb5c5, 0xad743af5d4dda5f2, 0xe121140f88fa4b1a,
  0xd07d6e1bd970e462, 0x73791b5e5caad571, 0xbb39d454aa35d150, 0xd1c89ace576a96fa, 0x688af2b9095b1bd7,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x365118bf9b6c218a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x753c95fb9a19961d, 0x000000013ae9a0fa,
};

// pwm1_swio12_noled_pr_ce
static const uint64_t ur_pwm1_swio11_noled_pr_ce[] = {
  0xad5b777777b128ae, 0xa3bb557228b4448d, 0xde9fbda13778710d, 0xda08c9a9bc77b6cd, 0x2256d90f1fba6d6a,
  0x57793ba69638b451, 0xf9759827c6024150, 0xd66ef91f3bfc493c, 0xafcf002c1c74a77f, 0xd64c273b9b5c3469,
  0xd67fa8ebe4f72c05, 0x602edf97d1c72ac0, 0x7a3e764c5188a731, 0x6b13ca807feccf1d, 0x5caad508981e5add,
  0xaa35d15073791b5e, 0x576a96fabb39d454, 0x095b1bd7d1c89ace, 0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c,
  0xa5b44e31bc674408, 0x36d84263b7b15545, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x6eb8dc0329e4afdc, 0x0000000000000001,
};

// pwm1_swio12_noled_pr_ce_u4
static const uint64_t ur_pwm1_swio11_noled_pr_ce_u4[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xf4dcc13e30120a82, 0x7baf9195bff83567, 0xf3c00b5a495d717d, 0x5f886c2445f71a20,
  0xe6d7643a4afd47c2, 0xf93dcb19fac99e2e, 0xf471cab0359fea3a, 0x146229cc580bb7e5, 0x1ffb33c75e8f9d93,
  0x260796b75ac4f2a0, 0x1cde46d7972ab542, 0xaece75152a8d7454, 0xf47226b395daa5be, 0x5a22bcae4256c6f5,
  0x9e1a779f16bae7b5, 0x6f19d1020eea6c52, 0xedec5551696d138c, 0x9b288c5fcdb61098, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x3a9e4afdcd0ccb0e, 0x00000001bae917fd,
};

// pwm1_swio12_noled_pr_ee_ce
static const uint64_t ur_pwm1_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0x7304f8c0482a0aef, 0xf90337ffc1ab3e9b, 0x6b4833677fd51975, 0xe6d7672e8ffe7801,
  0x794ed6563df309ce, 0xe0d983d2bd4795c8, 0x5a1140a62b387ea3, 0x35f4616588a459a7, 0xf21ceaedce4c7521,
  0xbc6c75e74dd8f547, 0x84845110a3deec6a, 0x044c8e1bd96cb98b, 0x72ab52cfa0e7951b, 0xa8d74541cde46d79,
  0x5daa5beaece75152, 0x256c6f5f47226b39, 0x6bae7b55a22bcae4, 0xeea6c529e1a779f1, 0x96d138c6f19d1020,
  0xdb61098edec55516, 0x38b93571b288c5fc, 0x75663c81f943458f, 0xe32c970cf4c2b93f, 0x4332c3a4a5b2c944,
  0x98bf7f4ea792bf73, 0x00000000000000a6,
};

// pwm1_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_pwm1_swio11_noled_pr_ee_ce_u4[] = {
  0x0addddda2e7c4541, 0xbb557f53323125a3, 0xaf5b5a583305f98b, 0x002b68ee0dae3765, 0x0be4a165b3d68c2a,
  0x750093738b0f8374, 0x04f8c0482a0aef27, 0x2b7ffca8dd9f1493, 0xeeb7ee2faa3d37f2, 0x222fb8d1079e005c,
  0xcf5fea3e12fc4361, 0xb7be678bb9b5c2c8, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029,
  0x73931d484d7d1859, 0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386,
  0x73791b5e5caad4b3, 0xbb39d454aa35d150, 0xd1c89ace576a96fa, 0x688af2b9095b1bd7, 0x7869de7c5aeb9ed5,
  0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x6ca2317f36d84263, 0x7c68b1be2e4d5c1e, 0x54e7ea75663c819a,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x33c95fb9a19961d2,
  0x0000004fc79b7672,
};

// pwm1_swio12_noled_hw
static const uint64_t ur_pwm1_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0a82bbc9ddcc490d, 0x71e7e3dcc13e3012, 0x4ef96e83e4775ff8, 0x8e3956075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0xaa35d15073791b5e, 0x576a96fabb39d454, 0x095b1bd7d1c89ace,
  0xfd6b9ed5688af2b9, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x18bf9b69c6378ce8, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000000008e2b7514,
};

// pwm1_swio12_noled_ee_hw
static const uint64_t ur_pwm1_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x15de4eed86d95a93, 0x3e706609f1809054, 0xd198ff91b3bfe853, 0x7d47a8f2b2eb355a, 0x77c5652fd47c1b30,
  0x2cb1148b34eb4228, 0xe4d71ac9a426be8c, 0xdd8f547f21cead2e, 0x1ef76355ae875e74, 0xcb65cc5c24228885,
  0x0e7951b047eb70de, 0xde46d7972ab500ba, 0xce75152a8d74541c, 0x7226b395daa5beae, 0x22bcae4256c6f5f4,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0x94462fe6db0862ad, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x0000000016ffe698,
};

// pwm1_swio12_noled_ce_hw
static const uint64_t ur_pwm1_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x2a0aef2774a70f6d, 0x299fd37304f8c048, 0xb8bebdd7c8cadff4, 0xe3441e78939094ae, 0xa8f84bf10d8488be,
  0x33c5dcdafd83787f, 0xfd475f27b9633f59, 0x76fcbe8e395606b3, 0xf3b2628c45398b01, 0x9e5403ff6678ebd1,
  0x56a844c0f2d6eb58, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551, 0xd8debe8e44d672bb, 0x5cf6ab445795c84a,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0xc2131dbd8aaa2d2d, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b,
  0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0x364fc217d3c95fb9,
  0x00000000000000eb,
};

// pwm1_swio11_noled_ee_ce_u4_hw     pwm1_swio12_noled_ee_ce_hw        pwm1_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xe292609f18090541, 0x3d37f22b7ffe8533, 0x3c49c84ab7ee2faa, 0xf886c2445f71a20f,
  0xd736ec291fd47c25, 0x4ed6e6def99e2ee6, 0xd983d2bd4795c879, 0x1140a62b387ea3e0, 0xf4616588a459a75a,
  0x1ceaedce4c752135, 0x6c75e74dd8f547f2, 0x845110a3deec6abc, 0x4c8e1bd96cb98b84, 0xab52cfa0e7951b04,
  0xd74541cde46d7972, 0xaa5beaece75152a8, 0x6c6f5f47226b395d, 0xae7b55a22bcae425, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505, 0x99e07f197e627ff7,
  0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x010f570be9e4afdc, 0x0000000000000005,
};

// pwm1_swio12_lednop
static const uint64_t ur_pwm1_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20a82bbc9ddb1ec8, 0xa3767e034c13e301, 0x0ef96e83e407bff8, 0x8e3956075ffd47c9, 0x1cc580b7ba6ea131,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0xaa35d15073791b5e, 0x576a96fabb39d454, 0x7a5fd1c89ae0404e,
  0x3daad115e57212b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0x4fcfec376ca2317f,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x00549f5da7c9e4af,
};

// pwm1_swio12_lednop_pr
static const uint64_t ur_pwm1_swio11_lednop_pr[] = {
  0x05bbbbba83d8ad4e, 0xdaab91485f12b89d, 0x486df987db04f05d, 0x60e2a8636cbde15a, 0x763dd7eedc4e82cd,
  0x9dd31370619a33c7, 0xcc13e30120a82bbc, 0xfc88f7fe249e7d7d, 0x64d7a8e801df2dbd, 0x2ca67f3a88e39560,
  0x3b6488c6f9cc580b, 0x45403ff6608ebd1f, 0x5976a07967b707fa, 0x4541cde46d7972ab, 0x5beaece75152a8d7,
  0x47226b8101395daa, 0x445795c84ae5e97f, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x288c5fcdb6318ab7, 0xd165abcb9357079b, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0x5c33d30ae4fc07cd,
  0xb0e9296cf8138cb2, 0x540329e4afdcd0cc, 0x00000000000f932b,
};

// pwm1_swio12_lednop_pr_u4
static const uint64_t ur_pwm1_swio11_lednop_pr_u4[] = {
  0x05ff777768bb1762, 0xdddaab914ad225a9, 0xb0bf70f8da0c227a, 0xf43b8e3da1377e63, 0xdc01b6f8feeea417,
  0xaef277699a335a11, 0xf80d304f8c0482a0, 0xb741f203dff89279, 0xab03affea3e4877c, 0xc05bdd375098c71c,
  0xbc5cec22a3e90e62, 0x6a5660bdc72c608e, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0xe8e44d7020272bb5,
  0x688af2b9095cbd2f, 0xd8b3a03cfd6b9ed5, 0x2169ab9d5ea58594, 0xc6378ce88145f450, 0xae0f365118bf9b69,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x0b80653c95fb9a19, 0x000000000001f261,
};

// pwm1_swio12_lednop_pr_ee
static const uint64_t ur_pwm1_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0xa609f180905415de, 0xfc81adffc1ab3e96, 0x4795b059aad68cc7, 0x53dea3e0d983ea3d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x239b8e7569774ab8, 0x1aad743af3a6ed22, 0x62e121142f88e32b,
  0x8d823f5b86f65b2e, 0xbcb955a8056b13ca, 0xa9546ba2a0e6f236, 0x9caed52df57673a8, 0x72f4bfa39135c080,
  0xae7b55a22bcae425, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241, 0xab83cd94462fe6db,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e44cf1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000004eb993e9d,
};

// pwm1_swio12_lednop_pr_ee_u4
static const uint64_t ur_pwm1_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0xb5304f8c0482a0ae, 0x7fe40d6ffe0d59f4, 0xea3cae43cd56b47b, 0x5feef51f06cc1ce3,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x2234c4e7569780cb, 0x8d56ba1d7aea6ed9, 0x62e1211441f476b5,
  0xe305fd6e1bd970e4, 0xa0e6f236bcb955aa, 0xf57673a8a9546ba2, 0x9135c0809caed52d, 0x2bcae42572f4bfa3,
  0xce80f3f5ae7b55a2, 0xa6ae757a96165362, 0xde33a20517d14085, 0x3cd94462fe6da718, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xe9d4f257ee686658, 0x0000000009d748bf,
};

// pwm1_swio12_lednop_pr_ce
static const uint64_t ur_pwm1_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8ad4e, 0xd1ddaab914362246, 0x5e8d3df169143886, 0x6d0464d685365c5a, 0x666ec1982fdd36b5,
  0x57793ba626e0ae34, 0xfb059827c6024150, 0xd66ef9070ffc493c, 0xbfcf002c1c2ea77f, 0x59309cee6d79dbb5,
  0xb3fd4797d3dcb017, 0x80b1ef4a8e395606, 0xd1f3b6488c6f9cc5, 0x7fa45403ff6678eb, 0xcaad65da81e5add0,
  0xa35d15073791b5e5, 0x76a96fabb39d454a, 0xa5fd1c89ae0404e5, 0xdaad115e57212b97, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0xb8d94462fe6db189, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x0653c95fb9a19961, 0x0000000002dd79c8,
};

// pwm1_swio12_lednop_pr_ce_u4
static const uint64_t ur_pwm1_swio11_lednop_pr_ce_u4[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x7e394c13e30120a8, 0xd7baf916ebff8356, 0x0f3c00b5a4d37717, 0x25f886c2445f71a2,
  0xee6d724aca8fd47c, 0x97d3dcb19fac99e2, 0x4a8e395606b3fd47, 0x488c6f9cc580b1ef, 0x03ff6678ebd1f3b6,
  0xda81e5add07fa454, 0x073791b5e5caad65, 0xabb39d454aa35d15, 0x89ae0404e576a96f, 0x5e57212b97a5fd1c,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6db1898edec5, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0006eb842fe9d4f2,
};

// pwm1_swio12_lednop_pr_ee_ce
static const uint64_t ur_pwm1_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0x9304f8c0482a0aef, 0x7e4068ffe0d59f7f, 0x2d690341dff5465d, 0xb9b5da0e089fcf00,
  0x2e53b5958f7cc273, 0xf83660f4af51e565, 0xd68450298aca1fa8, 0x4d7d185962291669, 0xcdc73abb73a51d48,
  0xaf1b1d79d3769111, 0xe121142f88e32b1a, 0xc1132386f65b2e62, 0x5caad4b3b589e546, 0xaa35d15073791b5e,
  0x576a96fabb39d454, 0x7a5fd1c89ae0404e, 0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x98edec55516920a7, 0xab8d94462fe6db18, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xfa753c95fb9a1996, 0x000000000534db8f,
};

// pwm1_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm1_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c1a4e, 0xbb557f53667125a3, 0xa02b6859bb05f98b, 0x002b66451dd33b0d, 0xba976165b3d68c2a,
  0xd4d770b499ee0a51, 0x13e30120a82bbc9d, 0x87dfe546ecff60cc, 0x687d717d51e9bf90, 0x117dc6883cf002e7,
  0x92bf51f097e21b09, 0x7be678bb9b5e3eeb, 0xf51e5652e53b5b9b, 0xaca1fa8f83660f4a, 0x2291669d68450298,
  0x3a51d484d7d18596, 0x3769111cdc73abb7, 0x8e32b1aaf1b1d79d, 0x65b2e62e121142f8, 0x589e546c1132386f,
  0x3791b5e5caad4b3b, 0xb39d454aa35d1507, 0xae0404e576a96fab, 0x57212b97a5fd1c89, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6db1898edec555, 0x7c5c9ab83cd94462, 0xeacc790334f8d163,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x4fcab2ace46792bf,
};

// pwm1_swio12_lednop_hw
static const uint64_t ur_pwm1_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20a82bbc9ddb1ec8, 0x871e7e034c13e301, 0x21df2dd07c80f7ff, 0x31c72ac0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x9546ba2a0e6f236b, 0xcaed52df57673a8a, 0x2f4bfa39135c0809,
  0xe7b55a22bcae4257, 0x6165362ce80f3f5a, 0x7d14085a6ae757a9, 0xe6da718de33a2051, 0xc9f9fd86ed94462f,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00004717d7453c95,
};

// pwm1_swio12_lednop_ee_hw
static const uint64_t ur_pwm1_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0x0aef277505272d08, 0x9f4b5304f8c0482a, 0x68cc7fc81adff429, 0x3ea3d4795b059aad, 0x3be2b53dea3e0d98,
  0x16588a459a75a114, 0x74ab8d64d2135f46, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0x65b2e62e121142f8,
  0xb13ca8d823f5b86f, 0x6f236bcb955a8056, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xfe6db18c55bd8aaa, 0xfa82ec6e3cd94462,
  0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x00016f8d4e05f4f2,
};

// pwm1_swio12_lednop_ce_hw
static const uint64_t ur_pwm1_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x15057793baf5a716, 0x14cfc729827c6024, 0xdc5f5eebe45baffa, 0x71a20f3c49c84b4d, 0xd47c25f886c2445f,
  0x99e2ee6d798667cf, 0xfd4797d3dcb19fac, 0xb1ef4a8e395606b3, 0xf3b6488c6f9cc580, 0xa45403ff6678ebd1,
  0xad65da81e5add07f, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6db1898e, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658,
  0x000000003acdf7c1,
};

// pwm1_swio11_lednop_ee_ce_u4_hw    pwm1_swio12_lednop_ee_ce_hw       pwm1_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xf60cc13e30120a82, 0xf4dfc843effa14cf, 0xf12721243eb8bea8, 0xe21b09117dc6883c,
  0x5d5d7185ff51f097, 0x3b5b9b7be678bb9b, 0x660f4af51e5652e5, 0x450298aca1fa8f83, 0xd185962291669d68,
  0x73abb73a51d484d7, 0xb1d79d3769111cdc, 0x1142f88e32b1aaf1, 0x32386f65b2e62e12, 0xad4b3b589e546c11,
  0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6db1898e, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658, 0x00000000050146a7,
};

// pwm1_swio11_dual_pr               pwm1_swio12_dual                  pwm1_swio12_dual_pr
static const uint64_t ur_pwm1_swio11_dual[] = {
  0x9a5dddddde7c1a4e, 0x0fa6d311086c1fe9, 0x2afd4672edeb8d3e, 0xbe4a932713b2cfbd, 0x146a6c5bbf4cd29b,
  0x1dc9aee1689fee0b, 0x3e30120a82bbc941, 0x02321e8348ba1cc1, 0x0c1ab3c59e922138, 0x9ad53ba7c4b88185,
  0x17d9c0a2cce4ff32, 0x558199537a8efe6c, 0xc0aff31a04508e48, 0x5eef8bbd0f801b87, 0x50865a03e22195dc,
  0xb05ffa039e136f71, 0x3795e5ab7cd012db, 0xff20a2ff8343982c, 0x3defd47ee8ef965a, 0x83cce4c3dc71cab0,
  0x764011a62731602a, 0xd500ffd9823af006, 0x5f3a81e59edbde37, 0x55acfe2af9ddc549, 0x6ba2a0e6f236bcb9,
  0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0x5bd8aaa2d2414e31, 0xcd94462fe6db18c5, 0x9f1a2c79c5c9ab83, 0x30ae4fdd598f2066, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000000c41b8fb391,
};

// pwm1_swio12_dual_pr_u4
static const uint64_t ur_pwm1_swio11_dual_pr_u4[] = {
  0x34bbbbbb44869a4e, 0x1f4da62210d83fd3, 0xf7ba8ce5dbd71a7c, 0x377c95264e2765b9, 0x9628d4d8b77e99a5,
  0x23bb8fea3151f1e1, 0x27c6024150577928, 0x004643d069174398, 0xa1835678b3d24427, 0x97612774f8971030,
  0x60bece05166727f9, 0x42ac0cca9bd477f3, 0x3e057f98d0228472, 0xe2f77c5de87c00dc, 0x8a8432d01f110cae,
  0xdd82ffd01cf09b7b, 0x61bcaf2d5be68096, 0xd7f90517fd7fb4c1, 0x81ef7ea3f7477cb2, 0x541e67261ee38e55,
  0x33b2008d31398b01, 0xbea807fecc11d780, 0x4af9d40f2cf6def1, 0xcaad67f157ceee2a, 0xa35d15073791b5e5,
  0x76a96fabb39d454a, 0xa5fd1c89ae0404e5, 0xdaad115e57212b97, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x2adec55516920a71, 0x1e6ca2317f36d8c6, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x782ed274f257ee68, 0x000000000000524f,
};

// pwm1_swio12_dual_pr_ee
static const uint64_t ur_pwm1_swio11_dual_pr_ee[] = {
  0x534edddddd43573e, 0xf07d36b1d936c1c0, 0x47e6ea729c4ccec4, 0x391d8f6d9beec75f, 0x00faabf6dd05014d,
  0x72e2fbb0af7acaf7, 0x180905415de4cbb7, 0x321e834874ea609f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef75400370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0x5e5ab7cd012dbbfc, 0x02d7faff6982c379, 0x576ea6ab5a3fddf2, 0xf51f06cc187bf51e,
  0xcd3ad08a1df15e9b, 0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab,
  0x1fadc37b2fa598b8, 0xa9280591445546c1, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x95daa5beaece7515,
  0x5e97f47226b81013, 0xcf6ab445795c84ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0xdc79b288c5fcdb63, 0xccdfc1ddc68b1e70, 0x592e19e985727eea, 0x66587494b67c09c6, 0x63fed274f257ee68,
  0x0000000000006429,
};

// pwm1_swio12_dual_pr_ee_u4
static const uint64_t ur_pwm1_swio11_dual_pr_ee_u4[] = {
  0x76eeeed1369f3202, 0xe9b58ec9b60e029a, 0x735394e266762783, 0x7b6cdf763ae3f346, 0x5fb6e8280a69c8ec,
  0xebae2fa6b7b807d5, 0x0577932eddc34e83, 0x21d3a9827c602415, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x8006e1f02bfcc681, 0x10caee2f77c5deea,
  0x2631f150865a0515, 0xa025b77f9ff4073c, 0xf730586f2bcb56f9, 0xb5a3fddf202d7f9a, 0xc187bf51e576ea6a,
  0xa1df15e9bf51f06c, 0x30b2c4522cd3ad08, 0xec157152e6909afa, 0x4bb18f467a9cead2, 0x23886c6ab5d0ebd4,
  0xb2fa598b848451a5, 0x1445546c11fadc37, 0xfc55f3bb8a928059, 0x41cde46d7972ab59, 0xeaece75152a8d745,
  0x226b8101395daa5b, 0x5795c84ae5e97f47, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0x8c5fcdb6318ab7b1, 0x2c6f8b9357079b28, 0xd4eaccdfc1bf411a, 0xffde1ef79430a9cf, 0x0f226781fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0159179f6ea72792,
};

// pwm1_swio12_dual_pr_ce
static const uint64_t ur_pwm1_swio11_dual_pr_ce[] = {
  0x8f4edddddde7ce7c, 0xe0fa6d31139cc1e3, 0xd75bd0dd9397191f, 0x70408cf7ed1daa2f, 0xccfb4fb087bb1c7a,
  0x619bbb66da7ab88f, 0x304f8c0482a0aef2, 0x9c01190f41a43b77, 0xc2860d59e2cf4910, 0x994d6a9dd3e25c40,
  0xb6121ce05d66287f, 0x90ab0328b37a8ff3, 0x0f815fe63408a11c, 0xb8bddf177f608037, 0x62a10cb426e4432b,
  0xb7383ff4073c264c, 0x586f2bcb56f9a025, 0x053e429eff068730, 0xf9e005cedc99dff5, 0x66139dcdae9b73b7,
  0xdea3cbe9ee580a1c, 0x2edf5f238e558193, 0x16ec3e231be73160, 0x3ab87b8e58cf1d79, 0xad67f157ceee2a4a,
  0x5d15073791b5e5ca, 0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5, 0x9b1674079fad73da,
  0x042d3573abd4b0b2, 0x718de33a20517c63, 0xab83cd94462fe6da, 0x20669f1a2c79c5c9, 0xc33d30ae4fdd598f,
  0x0e9296cf8138cb25, 0xb3919e4afdcd0ccb, 0x0000000000e7af9c,
};

// pwm1_swio12_dual_pr_ce_u4
static const uint64_t ur_pwm1_swio11_dual_pr_ce_u4[] = {
  0xb323bbbbb4486f97, 0xc1f4dacc73ed83c0, 0xf77ba829eb091977, 0x991f2253b7aec21e, 0xa74806abf7ef7605,
  0x9247ddcf04674e16, 0x19827c6024150577, 0x84e008c87a0d2223, 0x0614306acf167a48, 0xbf32ec24ee9f12e2,
  0x2b6c37d9c34dcd15, 0x3921560650e6f51f, 0x6e1f02bfcc681142, 0x57717bbe2efb9100, 0xa545421968774886,
  0x4b6fff3fe80e784d, 0x60b0de5796adf340, 0xd76ffc81adfebfda, 0x83cf12721253d717, 0x097e21b09117dc68,
  0xbb9b5facd90ff51f, 0x97d3dcb19e1c6678, 0xbe471cab0327bd47, 0x7c4637ce62c05dbe, 0xf71cb19e3af22dd8,
  0xe2af9ddc54947570, 0x0e6f236bcb955acf, 0x57673a8a9546ba2a, 0x135c0809caed52df, 0xbcae42572f4bfa39,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xc67440a2f8c6085a, 0x9b288c5fcdb4e31b, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x17b49d3c95fb9a19, 0x0000000000034902,
};

// pwm1_swio12_dual_pr_ee_ce
static const uint64_t ur_pwm1_swio11_dual_pr_ee_ce[] = {
  0x9538b7777750cf68, 0x707d36bd28ce307d, 0x57bddcfb67c029a7, 0x229c10f225c2c2da, 0xcda6cde14b07654e,
  0xcd1f53a3826ece3f, 0x602415057792645d, 0x90f41a411eb9827c, 0xd59e2cf49109c011, 0x49dd3e25c40c2860,
  0x83869a99fe7e65d8, 0x1f4fcdea3ffcd806, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x96814b4432bb8bdd,
  0xfd01cf09be745421, 0xe5ab7cd012dbfebf, 0x4d7faff6982c3795, 0x5a68effaa3287f23, 0x5d4939bff9e24e42,
  0x3b595910cc273b9b, 0x660fa8f51e56c165, 0x450298ad4f7a8f83, 0xd185962291669d68, 0x73abb71c31d484d7,
  0x1d7b589db6fa397c, 0x140288c7cb1aaf1b, 0x2386f65c7c62e121, 0xaf9ddc549718e453, 0x6f236bcb955acfe2,
  0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x8b1e70dc79b288c5, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0009822a76d274f2,
};

// pwm1_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_pwm1_swio11_dual_pr_ee_ce_u4[] = {
  0x2ddddda26d3e6c4f, 0x9b50bc67183a7d96, 0xea0175b499f6b83e, 0xf7b91387ca31d1e1, 0x87ef2727d9621edb,
  0x18502da2e2caf736, 0x7792d39dda41b69f, 0xea89827c60241505, 0x9109c01190f41a45, 0xc40c2860d59e2cf4,
  0x07f32bf689dd3e25, 0xaef6087c70c6e9bb, 0x39215606ff26f51d, 0x6e1f02bfcc681142, 0x5dc5eef8bbe3ee00,
  0x5a2a10cb43672219, 0x6dd9cbfe80e784d9, 0x161bcaf2d5be6809, 0xc56f91787fe6bdcc, 0xe24e0396b7717d51,
  0xc4361222fb8d1079, 0xbf0ff1f77ea3e12f, 0x76b73710ccf17736, 0xcc1f51ea3caca1ca, 0x8a05315ba5f51f06,
  0xa30b2c4522cd3ad0, 0xe7576e4ac3a909af, 0x8ebdac4ec8023050, 0x143de8f22d8d578d, 0x2386f65c7c62e121,
  0xaf9ddc549718dc33, 0x6f236bcb955acfe2, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x7440a2f8c6085a6a, 0x288c5fcdb4e31bc6, 0x1a2c6f8b9357079b,
  0xcfd4eaccdfc1bf41, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0001000917eea727,
};

// pwm1_swio12_dual_hw
static const uint64_t ur_pwm1_swio11_dual_hw[] = {
  0x69777776890d365a, 0x3e9b4c4421b07fa6, 0xef7519cbb7ae34f8, 0x6ef92a4c9c4ecb73, 0x2c51a9b16efd334a,
  0x2823bb227af7a57b, 0x9827c60241505779, 0x27004643d0691743, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0xaee2f77c5de87c00, 0x7b8a8432d01f110c,
  0x96dd82ffd01cf09b, 0xc161bcaf2d5be680, 0x2cb5fe4145ff3b44, 0x95607bdfa8fdd1df, 0xc0550799c987b8e3,
  0xe00cec80234c4e62, 0xbc6faa01ffb30475, 0x8a92be7503cb3db7, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d,
  0x395daa5beaece751, 0xe5e97f47226b8101, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x318ab7b15545a482, 0x8dc79b288c5fcdb6, 0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xaef050be9e4afdcd, 0x000000000000031b,
};

// pwm1_swio12_dual_ee_hw
static const uint64_t ur_pwm1_swio11_dual_ee_hw[] = {
  0x9a76eeee87ad0c86, 0x83e9b58ec9b60e02, 0x3f375394e2667627, 0xc8ec7b6cdf763afa, 0x07d55fb6e8280a69,
  0x6eeeec6ecde62fb8, 0x3e30120a82bbc997, 0x04643d0690e9d4c1, 0x1835678b3d244270, 0x7612774f8971030a,
  0x12d1c02d4c63ff99, 0x560715a6f51c9d6c, 0x02bfcc6811423921, 0xf77c5deea8006e1f, 0x0865a051510caee2,
  0xf9ff4073c2631f15, 0xf2bcb56f9a025b77, 0xf9016bfced130586, 0x8f2bb75355ad1fee, 0x4dfa8f83660c3dfa,
  0x91669d68450ef8af, 0x973484d7d1859622, 0x33d4e7569760ab8a, 0x55ae875ea25d8c7a, 0x5c24228d291c4363,
  0x608fd6e1bd97d2cc, 0xdc549402c8a22aa3, 0x6bcb955acfe2af9d, 0x8a9546ba2a0e6f23, 0x09caed52df57673a,
  0x572f4bfa39135c08, 0xbae7b55a22bcae42, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x5c6e3cd94462fe6d, 0x313f9430a9cfd4bd, 0x09a1e44cf1738cbf, 0x19e985727e39effe, 0x7494b67c09c6592e,
  0x85f4f257ee686658, 0x0000000002bb563f,
};

// pwm1_swio12_dual_ce_hw
static const uint64_t ur_pwm1_swio11_dual_ce_hw[] = {
  0x946eb77776890c86, 0x7c1f4dacc6b8b072, 0xae17bb3890544e46, 0xba8e36182ca3e9f7, 0x1508766c75f74a51,
  0xe4d33777763766f3, 0xa2609f180905415d, 0x109c01190f41a40a, 0x40c2860d59e2cf49, 0x7fe65d849dd3e25c,
  0xd9db08e470383375, 0x8e485581cae9bd47, 0x1b87c0aff31a0450, 0x2bb8bddf177f37c0, 0xdd4542196818f443,
  0x96df76bfe80e784d, 0xc161bcaf2d5be680, 0xf57f3e41c1ff3b44, 0x20f3c49c8489d5c5, 0xc25f886c2445f71a,
  0x2ee6d7643a4afd47, 0xc27cf72c67d4b99e, 0xdbf1c72ac0ed6f51, 0x4011a62731602945, 0x00ffd99e3af00676,
  0xcea0796b73de37d5, 0x6b3f8abe77715257, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0xe8e44d7020272bb5,
  0x688af2b9095cbd2f, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d8c4c76,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x0000000009ba95a8,
};

// pwm1_swio12_dual_ee_ce_hw
static const uint64_t ur_pwm1_swio11_dual_ee_ce_hw[] = {
  0x0ce76eeeeea1a5fb, 0xc1f4daf4bc7f60e1, 0x21eed17d8b8f6415, 0x4e2c57d769eaefd7, 0x5f0fb0a58210ce73,
  0xd2c8d75d2ac2bdfd, 0x6024150577921b9d, 0x21e83483d9e9827c, 0xab3c59e922138023, 0x93ba7c4b881850c1,
  0x0e188266bbfccbb0, 0x3ff937a8fa6b60ff, 0xfe63408a11c90ab0, 0xc5dfc3f80370f815, 0x5a181110caee2f77,
  0xf4073c262eb15086, 0x96adf3404b6f30df, 0x107f9da260b0de57, 0x5880effaa3cadf23, 0x5f2a1a0ff9e24e42,
  0x3b5959374c273b9b, 0xcc1edff51e572ba5, 0x8a05315efbf51f06, 0xa30b2c4522cd3ad0, 0xe7576e60a3a909af,
  0xc75ea25d8c7a33d4, 0x451a523886c6abc6, 0x91c37b2fa598b848, 0x94b3c8a22aa36089, 0x955acfe2af9ddc54,
  0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb6313, 0x0cf4c2b93f3fb0dc, 0x3a4a5b3e04e32c97,
  0xc2fa792bf734332c, 0x00000000022698e2,
};

// pwm1_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio11_dual_ee_ce_u4_hw[] = {
  0x7deeeeed14682541, 0xd36a17a8c583efde, 0x6ef76a3e5a939707, 0x56af2657bc89dada, 0xb43f793b7ef3efed,
  0xc32d6ed3e7829649, 0x15057792829dd538, 0x1a45ea89827c6024, 0x2cf49109c01190f4, 0x3e25c40c2860d59e,
  0x7372d7e65906a9dd, 0xea3e376c3b04e178, 0x4508e485581b5dcd, 0x4c01b87c0aff31a0, 0x88657717bbe2efb2,
  0x1369b8a8432d0382, 0xa025b7672ffa039e, 0x7730586f2bcb56f9, 0xaa3275f22f0fff78, 0xf3c58be84af0ee2f,
  0x5f886c2445f71a20, 0x36b85919ebfd47c2, 0x4a76b737374cf177, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e,
  0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170,
  0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5e97f47226b81013,
  0xcf6ab445795c84ae, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x263b7b15545a4829, 0xb8f365118bf9b6c6,
  0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x46ed0173c95fb9a1, 0x000000000003aeb3,
};

static const uint64_t ur_pwm1_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0905415de4eec2f5, 0xc51bb3e63e609f18, 0x4277cb749f236fff, 0x5e38e5581f3dea3c, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0xad5ef5f47226b395,
  0xd73daad115e57212, 0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a45c5a7c9e4,
};

static const uint64_t ur_pwm1_swio13_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2491, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7dd489d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07fe4195fe249e7d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xd74541cde46d7972, 0x6faa9bece75152a8,
  0xbd7d1c89ace576a9, 0x6ab445795c84ab57, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x455bd8aaa2d2da27,
  0xe0f365118bf9b632, 0x0eda1a2cb579726a, 0x50c2a73f53ab31e4, 0x80f9a1e44cf0271a, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x7c9a0480653c95fb,
};

static const uint64_t ur_pwm1_swio13_noled_pr_u4[] = {
  0xddbbbbbb45d8b562, 0x5bbb5572285ee253, 0xf7c7ea1c4891844f, 0xfa1ddc4eecfe0f50, 0xe0edb195a6ecf70b,
  0x0aef2777e9c1bc2a, 0x9f31f304f8c0482a, 0xcb749f236fff8927, 0xe5581f3dea3c4277, 0x2c05bdd3694b5e38,
  0xd78b9dae1a3268e6, 0xad4acaffb8e58c11, 0x5d15073791b5e5ca, 0xbeaa6fb39d454aa3, 0xf5f47226b395daa5,
  0xaad115e57212ad5e, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xd38c6f19d1022fdc, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xd34100ca792bf734, 0x00000000000003e4,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x304f8c0482a0aef2, 0xe4456ffe0d59f275, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x2a8d74541cde46d7, 0x6a96faa9bece7515, 0xb57bd7d1c89ace57,
  0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x632455bd8aaa2d2d, 0x26ae0f365118bf9b,
  0x1e40fca1a2ce9f17, 0x4fe50c2a73f53ab3, 0x6879133c5ce32fcc, 0x7a615c9f8e7bff82, 0x252d9f0271964b86,
  0x753c95fb9a19961d, 0x000000004ebe31fa,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120a82bb, 0xaf91befff83567e2, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0x41cde46d7972ab55, 0x9bece75152a8d745, 0x1c89ace576a96faa, 0x45795c84ab57bd7d,
  0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x65118bf9b632455b, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x0000000275cb3fa7,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ce[] = {
  0x60fbbbbbbbd8bf82, 0x368eed55c8a20912, 0x7ef619e97be6e1c4, 0xab682ddf853d31b6, 0xe0d83336331dd60f,
  0x415de4eeae312247, 0xf3e52e609f180905, 0xff5053e43a5ff124, 0x76ff3c00b072439d, 0x5d64c273b9b5d36e,
  0x064f7a8f374f72c0, 0x62c0532a718e3956, 0x3af47ced10a3dece, 0xb845269500ffd99e, 0xbcb955abeb703cb5,
  0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x55abdebe8e44d672, 0xbae7b55a22bcae42, 0xea6c529e1a779f16,
  0x6d138c6f19d1020e, 0xb63218edec555169, 0x71726ae365118bf9, 0xeacc7903b6868b1e, 0xc6592e19e985727e,
  0x866587494b659289, 0xeba720194f257ee6, 0x0000000000000016,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x0aef27747b16a8e3, 0x9fd9d304f8c0482a, 0xebb7fe44aeffe0d5, 0x079e005ad26fbb8b, 0x12fc4361222fb8d1,
  0x7736bdc89257ea3e, 0xe6e9ee58cfd64cf1, 0x4e31c72ac0c9ef51, 0xa2147bd9cc580a65, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708a4d2, 0x541cde46d7972ab5, 0xa9bece75152a8d74, 0xd1c89ace576a96fa, 0x445795c84ab57bd7,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6ca2317f36c6431d, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xea792bf734332c3a, 0x0000000375d341f4,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xa6a609f180905415, 0xa5fc8ff9ffc1ab3f, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298acbaf, 0x484d7d1859622916, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0xc5c24228f911c1fb, 0x8d8226470decb65c, 0x7972ab52cfa4c16a, 0x52a8d74541cde46d,
  0x76a96faa9bece751, 0xab57bd7d1c89ace5, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0xda2718de33a2041d,
  0x6c6431dbd8aaa2d2, 0xe2e4d5c6ca2317f3, 0xd598f207e50d163c, 0x8cb25c33d30ae4fd, 0x0ccb0e9296cb2513,
  0x63cbfd3a9e4afdcd, 0x000000000000029a,
};

static const uint64_t ur_pwm1_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c7a31, 0x2eed55fd4ec4c490, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf4130,
  0x77513f0fbed03e37, 0x304f8c0482a0aef2, 0x435dff951bb3f8dd, 0x9db5ddc5f547b3be, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x588a459a75a1140a,
  0xdc958752135f4616, 0x74ddba847921ceae, 0x44707ec6abc6c75e, 0x7b2d973170908a3e, 0xe9305aa3608991c3,
  0x73791b5e5caad4b3, 0xfb39d454aa35d150, 0x226b395daa5beaa6, 0x5e57212ad5ef5f47, 0x3bcf8b5d73daad11,
  0xe881077536294f0d, 0x2aa8b4b689c6378c, 0x88c5fcdb190c76f6, 0xa2c6f8b9357079b2, 0x9fa9d598f20669f1,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00013f23ebd9c8cf,
};

static const uint64_t ur_pwm1_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0905415de4eec2f5, 0xfc38f3e63e609f18, 0x884ef96e93e46dff, 0x6bc71cab03e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x55abdebe8e44d672,
  0x5ae7b55a22bcae42, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000000238971453c,
};

static const uint64_t ur_pwm1_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x15de4ee80a499a73, 0x3e4ea609f1809054, 0x68dfcf9115bfe853, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x791b5e5caad402e9, 0x39d454aa35d15073, 0x6b395daa5beaa6fb, 0x57212ad5ef5f4722,
  0xcf8b5d73daad115e, 0x81077536294f0d3b, 0xa8b4b689c6378ce8, 0x62fe6d8c9156f62a, 0x39fa82ec6e3cd944,
  0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x0000016ffe4985f4,
};

static const uint64_t ur_pwm1_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x20a82bbc9dd29475, 0xd0a67f674c13e301, 0xddc5f5dbff22577f, 0xf71a20f3c49c84b7, 0xfd47c25f886c2445,
  0xc99e2ee6d735b986, 0x3dea3cdd3dcb19fa, 0x014ca9c638e55819, 0xd1f3b4428f7b398b, 0x149a5403ff6678eb,
  0xe556afadc0f2d6e1, 0x51ae8a839bc8daf2, 0x52df5537d9cea2a5, 0xaf7afa391359caed, 0x9ed5688af2b90956,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0xc6e3cd94462fe6d8, 0x3def2861539fa82e,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xdbe4985f4f257ee6,
  0x00000000000003ac,
};

// pwm1_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0x0aef27777ec2da9a, 0x3f8dd304f8c0482a, 0xa3d9df21aeffe853, 0xf3c49c849aeee2fa, 0x5f886c2445f71a20,
  0x6d7e41d5d7fd47c2, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0x35d15073791b5e5c, 0x5beaa6fb39d454aa, 0xef5f47226b395daa, 0xdaad115e57212ad5, 0x294f0d3bcf8b5d73,
  0xc6378ce881077536, 0x0c76f62aa8b4b689, 0xdc79b288c5fcdb19, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x0c9c0be9e4afdcd0, 0x0000000000000501,
};

static const uint64_t ur_pwm1_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0482a0aef2776c7b, 0xe28dd9f80d304f8c, 0x243be5ba4f901eff, 0x631c72ac0f9ef51f, 0xa4398b016f74dd42,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x92fe8e44d7020272,
  0xf6ab445795c84ae4, 0x4b5e5380b9d01e5c, 0x7d14085a561130bd, 0xe6da718de33a2051, 0xc9f9fd86ed94462f,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x000a93ebb4f93c95,
};

static const uint64_t ur_pwm1_swio13_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11dd489d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41ff9063ffc493cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd74541cde46d7972, 0x6faa9bece75152a8,
  0x1c89ae0404e576a9, 0x88af2b9095c925fd, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1,
  0x5118bf9b6815156f, 0xa2cb579726ae0f36, 0x73f53ab31e40eda1, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a,
  0x61d252d9f0271964, 0x580653c95fb9a199, 0x00000000003e4c74,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0xf5bbb5572295a44a, 0xc7617efaff0b1844, 0x2fe877713b426efc, 0x477006dbe3fbb3dc,
  0x82bbc9dda668cd68, 0xe7e034c13e30120a, 0xf2dd27c80f7fe249, 0x395607cf7a8f921d, 0xc580b7ba6ea1318e,
  0x1d78b9d84547d21c, 0xaad4acc17b8e58c1, 0x35d15073791b5e5c, 0x5beaa6fb39d454aa, 0x47226b8101395daa,
  0xa22bcae42572497f, 0x29c05ce80f2e7b55, 0x042d2b08985ea5af, 0x38c6f19d1028be8a, 0xd5c1e6ca2317f36d,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x21700ca792bf7343, 0x0000000000003e4c,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xcc13e30120a82bbc, 0xf20e0fff06acfd0f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395,
  0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x3cd94462fe6da054,
  0xf2868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e6879133c09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0x5f087e9d4f257ee6, 0x0000000000000027,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e30120a8, 0x1995f20e0fff06ac, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0x9135c0809caed52d, 0x15e57212b924bfa3,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d10273e8a042, 0x1e6ca2317f36d38c, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xf4ea792bf734332c, 0x000000000275d341,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ce[] = {
  0x4c1f7777777b1762, 0x0da3bb55722856e2, 0xc69ed0bdad367871, 0xfab682dde8261550, 0x34767ef17d8fdd60,
  0x5057793bb4cd19fd, 0x3cfa9e9827c60241, 0x7fd414f905d7fc49, 0x620fcf002c1c2967, 0x05d64c273b9b5dfe,
  0x6064f7a8f38cf72c, 0xcc580a63cf58e395, 0xc75e8f9d97c47191, 0xdc37ee1aa01ffb33, 0x5e5caad6e1c81e5a,
  0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x497f47226b810139, 0x7b55a22bcae42572, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0x571b288c5fcdb40a, 0xc81db43458f38b93, 0x70cf4c2b93f75663,
  0x3a4a5b2c944e32c9, 0x00ca792bf734332c, 0x00000000016eaa9d,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xf53d7e4604ffe0d5, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3791b5e5caad4742, 0xb39d454aa35d1507, 0x101395daa5beaa6f, 0x42572497f47226b8, 0x56bae7b55a22bcae,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb40a31dbd8aaa2d, 0xb9357079b288c5fc, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0xaf5657d3a9e4afdc, 0x000000000000001b,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xdadcc13e30120a82, 0x52fe426dfff06acf, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298ad82f, 0x484d7d1859622916, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0xc5c242289b91e45b, 0x8d8226470decb65c, 0xbcb955a96622934a, 0xa9546ba2a0e6f236,
  0xbb54b7d54df673a8, 0x92fe8e44d7020272, 0xf6ab445795c84ae4, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0xae365118bf9b6814, 0x903f2868b1e71726, 0xe19e985727eeacc7, 0x7494b659289c6592,
  0xe9d4f257ee686658, 0x00000000014d3c6f,
};

static const uint64_t ur_pwm1_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7cbd5b, 0x2eed55fd4c374490, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf4130,
  0x9ddeefdc1ceb4176, 0xcc13e30120a82bbc, 0xc8149fe546ecf9ad, 0xb9d8a4b8bea8f677, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140,
  0xedd21c752135f461, 0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c,
  0x839bc8daf2e556a5, 0x37d9cea2a551ae8a, 0x5c0809caed52df55, 0x57212b924bfa3913, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6da0518edec555, 0x7c5c9ab83cd94462, 0xeacc790334f8d163,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x4fc48bece46792bf,
};

static const uint64_t ur_pwm1_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0482a0aef2776c7b, 0xfe1c79f80d304f8c, 0xe4877cb749f203df, 0x4c638e5581f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d74541cde46, 0x576a96faa9bece75, 0x925fd1c89ae0404e,
  0x9ed5688af2b9095c, 0xa96bca70173a03cb, 0x2fa2810b4ac22617, 0xfcdb4e31bc67440a, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x000008e2fae8a792,
};

static const uint64_t ur_pwm1_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x057793ba76821e96, 0x9fa1f9827c602415, 0xb46fe7c8383ff429, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0xde46d7972ab50084, 0xce75152a8d74541c, 0x404e576a96faa9be, 0x095c925fd1c89ae0,
  0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4, 0x0bb1b8f365118bf9,
  0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0,
  0x05bf353817d3c95f,
};

static const uint64_t ur_pwm1_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x20a82bbc9dd69df6, 0xd0a67c6b4c13e301, 0x75c5f5dbff234dff, 0xf71a20f3c49c84b6, 0xfd47c25f886c2445,
  0x933c5dcdafcb4cdf, 0x7bd479c67b9633f5, 0x0531e7ac71cab032, 0x47cecbe238c8e62c, 0xf70d500ffd99e3af,
  0x556b70e40f2d6e1b, 0x1ae8a839bc8daf2e, 0x2df5537d9cea2a55, 0xa39135c0809caed5, 0xd115e57212b924bf,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0x94462fe6da0518ed, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x00000001d66c02b0,
};

// pwm1_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0xf9adcc13e30120a8, 0x47b3be40a4ffa14c, 0xf3c49c848525c5f5, 0x5f886c2445f71a20,
  0x9b5fce5d4efd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0x65118bf9b681463b, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x0000000014040f26,
};

// pwm1_swio13_dual_pr
static const uint64_t ur_pwm1_swio13_dual[] = {
  0x89ddddddde7cbd5b, 0x7c1f4da6225a9839, 0xfbbf7a8ee38bd71a, 0x376b04e77da7ac55, 0xebb67c82b74c49a5,
  0x2823bbbbf7016b41, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbc52003, 0xf7150865a03e2219,
  0x2dba9effa039e136, 0x82c3795e5ab7cd01, 0xb3dff23f77f83439, 0x560707fd47dbe77c, 0x05507992b47b8e39,
  0x00ceda523884e62c, 0x3192a01ffb30475e, 0x2a4b81281e59eda6, 0xe5caad67f157ceee, 0x4aa35d15073791b5,
  0xdaa5beaa6fb39d45, 0x97f47226b8101395, 0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x55bd8aaa2d2414e3, 0x3cd94462fe6da054, 0x69f1a2c79c5c9ab8, 0xd30ae4fdd598f206, 0x296cf8138cb25c33,
  0x19e4afdcd0ccb0e9, 0x00000000c431bb39,
};

static const uint64_t ur_pwm1_swio13_dual_pr_u4[] = {
  0x13bbbbbb448664d6, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056e9893,
  0x2823bb3363c34032, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef14800, 0xbdc54219680f8886,
  0x4b6ea7bfe80e784d, 0x60b0de5796adf340, 0x2cf7fc8fddfebfda, 0x5581c1ff51f6f9df, 0x01541e64ad1ee38e,
  0x8033b6948e21398b, 0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d,
  0x76a96faa9bece751, 0x25fd1c89ae0404e5, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0x156f62aa8b490538, 0x8f365118bf9b6815, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xfc0b693a792bf734, 0x0000000000002926,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ee[] = {
  0xb62ddddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd056c4,
  0xbaf27acaabdd6d2d, 0x8c0482a0aef265db, 0x321e8348de7d304f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef00000370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0xbcb56f9a025b7b5b, 0xe9fff5fed30586f2, 0x5e9b9aad68dc9fc8, 0xd47c1b3071efd479,
  0x34eb422877c57b3b, 0xa426be8c2cb1148b, 0x073ab4ba9e5c54b9, 0xba1d7a89767f11f5, 0x908a0f547f258d56,
  0x3f5b86f65f4b3170, 0xa928043e6f6a8d82, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x6a96faa9bece7515,
  0x5fd1c89ae0404e57, 0xd5688af2b9095c92, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0xf365118bf9b68151, 0xbf83bb8d163ce1b8, 0x5c33d30ae4fdd599, 0xb0e9296cf8138cb2, 0xbda4e9e4afdcd0cc,
  0x0000000000c8505f,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ee_u4[] = {
  0xdddddda26d3f880b, 0x3e9b58ef0f983b62, 0xf5f421fda6676278, 0x3ad932b8d178ce6d, 0x8fedba0ad89a723b,
  0x6b5e4e69d5a0b85a, 0x82bbc9976ee127fa, 0x2379f4c13e30120a, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x0006e1f02bfcc681, 0x10caee2f77c5de00,
  0x2631f150865a0515, 0x404b6f6b7ff4073c, 0xee60b0de5796adf3, 0xd68dc9fc8e9fff35, 0x071efd4795e9b9aa,
  0x877c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8,
  0x65f4b3170908a0f5, 0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0x41cde46d7972ab59, 0x9bece75152a8d745,
  0xae0404e576a96faa, 0x2b9095c925fd1c89, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10,
  0xbf9b6815156f62aa, 0xdf1726ae0f365118, 0xd599bf837e823458, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff,
  0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xb2265add4e4f257e, 0x0000000000000002,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ce[] = {
  0x891ddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a6e8c8ae32, 0xf4e0811defda3b54, 0x1f99f69f610f7448,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xd65f7c853dfe0d0e, 0xdfe780173b72677f, 0x71984e7736ba6dce,
  0x4d7a8f2fa7b96028, 0x80bb7d7c8e395606, 0xe45bb0f88c6f9cc5, 0x28eae1ee39633c75, 0x2ab59fc55f3bb8a9,
  0x8d74541cde46d797, 0x96faa9bece75152a, 0xd1c89ae0404e576a, 0x688af2b9095c925f, 0xca70173a03cb9ed5,
  0xc10b4ac22617a96b, 0x9c6378ce88145f18, 0x6ae0f365118bf9b6, 0xc819a7c68b1e7172, 0x70cf4c2b93f75663,
  0xc3a4a5b3e04e32c9, 0x2ce46792bf734332, 0x000000000039ebe7,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ce_u4[] = {
  0xccf777776890cf68, 0xdf07d36b312af60e, 0xb6b8ee9da69c2465, 0xccc8f91295a9f65a, 0x0dd889ea3e3afbac,
  0x79247ddcd1f53af7, 0xa89827c602415057, 0x4427004643d06902, 0x1030a1835678b3d2, 0xadf997612774f897,
  0xf95b61bece1a6e68, 0x11c90ab0328737a8, 0x0370f815fe63408a, 0x32bb8bddf177d250, 0x6d2a2a10cb43ba44,
  0x04b6fbb5ff4073c2, 0xa60b0de5796adf34, 0xbea657c8383febfd, 0x441e7893909604b8, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x1e719ee58cf0e333, 0x54dd1c72ac0c9af5, 0xb2d747191cc580a6, 0x6b6e39633c75e45b,
  0xcfe2af9ddc549475, 0x2a0e6f236bcb955a, 0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x795c84ae492fe8e4,
  0xd01e7eb5cf6ab445, 0xd5ceaf52c2ca6c59, 0x8ce88139f18c10b4, 0x365118bf9b69c637, 0xfc1ddc68b1be1b8f,
  0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0x7b693a792bf73433, 0x000000000003493a,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ee_ce[] = {
  0x0e93377777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0526,
  0x2eeeec6ec782e62e, 0x3e30120a82bbc932, 0x08c87a0d23cf5cc1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x0341c34d4cff3f32, 0xac0fa7e6f51ffe6c, 0x057f98d022847242, 0xddf177bb7600dc3e, 0x2196814b4432bb8b,
  0x0ffd01cf09be7454, 0x95e5ab7cd012dbf6, 0x44edffaff6982c37, 0x094ed9dff546c17e, 0xdae089300fe78939,
  0x29dacac8866139dc, 0x3660c27fa8f2b53d, 0x8450298af027a8f8, 0x7d185962291669d6, 0x273abb71751d484d,
  0x6c75ed62763291ce, 0x1144be46b5ec6abc, 0x32386f65c7c62e12, 0x157ceee2a4b8c47c, 0x73791b5e5caad67f,
  0xfb39d454aa35d150, 0x8101395daa5beaa6, 0xe42572497f47226b, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0xd2414e31bc674408, 0xcdb40a31dbd8aaa2, 0xb1e70dc79b288c5f, 0x27eeaccdfc1ddc68, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x013040396d274f25,
};

static const uint64_t ur_pwm1_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xfa6d42fbebb07b17, 0xb26a27d69267dae0, 0xb0ebeb4f03e1e1ec, 0xd821fbc9d62e5887,
  0xb68d750809793abd, 0x415de4b4e7717d60, 0x47c41e609f180905, 0xf49109c01190f41a, 0x25c40c2860d59e2c,
  0xbb07f32bf689dd3e, 0x1daef6087c70c6e9, 0x4239215606ff26f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbfd6a,
  0xd95a2a10cb436722, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x51c72f9130dfe6bd, 0x3cf12701cc41717d,
  0x97e21b09117dc688, 0x9b5d9ebf5abf51f0, 0x653b5b9b886678bb, 0x06cc184ff51e56c1, 0xd08a05315c87f51f,
  0xafa30b2c4522cd3a, 0xf8e7576ef9c3a909, 0x1b1d7b589db4a472, 0x21142628c7cb1aaf, 0x632386f65c7c62e1,
  0xf157ceee2a4b8c6d, 0x073791b5e5caad67, 0x6fb39d454aa35d15, 0xb8101395daa5beaa, 0xae42572497f47226,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x74409cf8c6085a6a, 0x288c5fcdb4e31bc6, 0x1a2c6f8b9357079b,
  0xcfd4eaccdfc1bf41, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00008004d06ea727,
};

static const uint64_t ur_pwm1_swio13_dual_hw[] = {
  0x13bbbbbb4486ff3e, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xf7d76cf9056e9893,
  0xf25047734f15ef6a, 0xad304f8c0482a0ae, 0x884e008c87a0d23b, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x0caee2f77c5de290, 0x9b7b8a8432d01f11,
  0x8096dd4f7fd01cf0, 0x44c161bcaf2d5be6, 0xef967bfe47eeff3b, 0xc72ac0e0ffa8fb7c, 0xc580aa0f32568f71,
  0xebc019db4a47109c, 0xb4c6325403ff6608, 0xddc549702503cb3d, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2,
  0x72bb54b7d54df673, 0xe492fe8e44d70202, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x0a8ab7b15545a482, 0x8dc79b288c5fcdb4, 0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xabf020be9e4afdcd, 0x000000000000031b,
};

static const uint64_t ur_pwm1_swio13_dual_ee_hw[] = {
  0x16eeeeeea0a1a5fb, 0xc1f4dac7787cc1db, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e82b6269,
  0xbba591aeba559682, 0xf8c0482a0aef265d, 0x2321e8348de7d304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef00000370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b7b5, 0x23a7ffced130586f, 0xe57a6e6ab5a3727f, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4,
  0x497f47226b810139, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e,
  0xe3cd94462fe6da05, 0xd2861539fa9b0ec6, 0xfc07cd0f22678138, 0x138cb25c33d30ae4, 0xdcd0ccb0e9296cf8,
  0x057685fb0be9e4af,
};

static const uint64_t ur_pwm1_swio13_dual_ce_hw[] = {
  0x2dddddd0f5a1a5fb, 0xc1f4dacc6bbd83bb, 0xf71bbf68ed44e467, 0x51c40526ba01b17d, 0xc26f26517eebb237,
  0x934cddd2c8d75d2a, 0xf9827c6024150577, 0x84e008c87a0d2138, 0x0614306acf167a48, 0xff32ec24ee9f12e2,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbcc0200, 0xea2a10cb40c7a219,
  0x5b70d1ff4073c26e, 0x0586f2bcb56f9a02, 0xac06f904ebfced13, 0x0f3c49c84babee2f, 0x25f886c2445f71a2,
  0xee6d767ceb3fd47c, 0x224f72c67d4b99e2, 0xca8e39560622fa8f, 0x4a47109cc580bfb8, 0x03ff6678ebc019db,
  0x0940f2d6e4c63254, 0x6b3f8abe7771525c, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0x9135c0809caed52d,
  0x15e57212b924bfa3, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33, 0x462fe6da0518edec,
  0x9cfd4bd5c6e3cd94, 0x1738cbf313f9430a, 0xe39effe09a1e44cf, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x26ea3a285f4f257e,
};

static const uint64_t ur_pwm1_swio13_dual_ee_ce_hw[] = {
  0x396addddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04b51,
  0xdcee3822acd33aab, 0x13e30120a82bbc90, 0x02321e8348e3c9cc, 0x0c1ab3c59e922138, 0xbb093ba7c4b88185,
  0x0ff0e188266bbfcc, 0xab03ff937a8fa6b6, 0x815fe63408a11c90, 0xf77c5decf580370f, 0x0865a181110caee2,
  0xb5ff4073c262eb15, 0xe5796adf3404b6fc, 0xe456fff9da260b0d, 0x90956f9dff5472bb, 0xe6d7e8fa927e7893,
  0xb94ed6564dd309ce, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3, 0x35f4616588a459a7, 0xd41ceaedca787521,
  0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b, 0xe2a4a598f9bdaa36, 0x5e5caad67f157cee,
  0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x497f47226b810139, 0x7b55a22bcae42572, 0x296be74078e56bae,
  0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xc79b288c5fcdb40a, 0x70cf4c2b93f3fb0d, 0xc3a4a5b3e04e32c9,
  0x8c2fa792bf734332, 0x000000000044d3d3,
};

static const uint64_t ur_pwm1_swio13_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d06c4f, 0x0fa6d42f1e1b071d, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793875f3efe,
  0x36d3ed0b68d1f382, 0x82a0aef25053bb48, 0x0d23e20f304f8c04, 0x167a4884e008c87a, 0x9f12e20614306acf,
  0x39b96bf32c8354ee, 0xf51f1bb61d8270bc, 0x22847242ac0daee6, 0x1e00dc3e057f98d0, 0x4432bb8bddf177f7,
  0x09b4dc54219681c1, 0xd012dbe547fd01cf, 0x3b982c3795e5ab7c, 0xaa3eaff9130dffbc, 0xf3c58be84a61ae2f,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e6e99e2ee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e,
  0x5f4616588a459a75, 0x41ceaedca7875213, 0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8,
  0x2a4a598f9bdaa360, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0x97f47226b8101395,
  0xb55a22bcae425724, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb40a3,
  0xe50c2a73f505d8dc, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x2680b9e4afdcd0cc, 0x0000000003aebc8b,
};

static const uint64_t ur_pwm1_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120a82bbc9ddcc49, 0x8a3767e3dcc13e30, 0x6277cb741f23baff, 0xe471cab03affea3a, 0x78e62c05bdd32003,
  0xc608ebc5cedd2232, 0xf2e556a56087dc72, 0xa551ae8a839bc8da, 0x372bb54b7d59cea2, 0x095b1fbfa391359d,
  0xfd6b9ed5688af2b9, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x18bf9b69c6378ce8, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x0000001525bad3e4,
};

static const uint64_t ur_pwm1_swio14_noled_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0x6c9ebf63416c13c1, 0x3583886d8cd9ef4f, 0x05f98d69bb1c7a0b,
  0xbc9dd34b1c717891, 0xc7cc13e30120a82b, 0xbdfc8dbffe249e7c, 0x6064d7a8e0a1df2d, 0x16594c1ed008e395,
  0x1f3b2628c45398b0, 0x89e5403ff6608ebd, 0x55aa11303cb3dbb5, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954,
  0xc7efe8e44d674dca, 0xe7b55a22bcae4256, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0862adec5551696d,
  0xab83cd94462fe6db, 0x903b6868b2d5e5c9, 0x69430a9cfd4eacc7, 0x7e03e6879133c09c, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x03e4f0860194f257,
};

static const uint64_t ur_pwm1_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xd6eed55c8a509128, 0x3b50f4d06e246113, 0xfd0ee38f522f892e, 0x6c99fa5f17bb1105,
  0xaef2775718915370, 0xf8f7304f8c0482a0, 0x5ba0f91dd7f89279, 0x5581d7ff51d313be, 0x602dee99001f238e,
  0x5e2e76e91193c731, 0xb52b043ee3963047, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0xfdfd1c89ace9b95d,
  0xf6ab445795c84ad8, 0x80b2953e9de7eb5c, 0xf14085a585cea753, 0xdb4e31bc674408f2, 0xb9357079b288c5fc,
  0xb31e40eda1a2c6f8, 0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x26917c0329e4afdc, 0x000000000000001f,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x0cc13e30120a82bb, 0xff91b3bff83567ce, 0xa8f2b2eb355ad198, 0x652fd47c1b307d47,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x547f21cead2ee4d7, 0x6355ae875e74dd8f, 0xcc5c242288851ef7,
  0x51b047eb70decb65, 0xd7972ab500ba0e79, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xc84ad8fdfd1c89ac,
  0xe2d75cf6ab445795, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0xfcdb610c55bd8aaa, 0xf8b9357079b288c5,
  0xd598f207e50d1674, 0x7e627f2861539fa9, 0xfc1343c899e2e719, 0x5c33d30ae4fc73df, 0xb0e9296cf8138cb2,
  0x57d3a9e4afdcd0cc, 0x00000000000275e0,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0xce9827c602415057, 0xbff22577ff06acfe, 0xf51e57f3a6ab5a3d, 0xadd2fa8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xf235ae73ab4bafb5, 0x1aad743af5d4dda5, 0x62e121140f88fa4b,
  0x71d07d6e1bd970e4, 0x5073791b5e5caad5, 0x6fab39d454aa35d1, 0xf47226b3a6e576a9, 0xad115e57212b63f7,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x56f62aa8b4b689c6, 0xe6ca2317f36d8431, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x4ea792bf734332c3, 0x00000000275d341f,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x377a7ef684dde1c4, 0xab682326a6f1dedb, 0x44895b643c7eedf9,
  0x415de4ee9a58e2d1, 0xf3e5d6609f180905, 0xff59bbe47ceff124, 0xa6bf3c00b071d29d, 0x1759309cee6d70d1,
  0x0359fea3af93dcb0, 0xc580bb7e5f471cab, 0x75e8f9d93146229c, 0x75ac4f2a01ffb33c, 0x7972ab542260796b,
  0x52a8d74541cde46d, 0x9b95daa5beace751, 0x84ad8fdfd1c89ace, 0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e,
  0xd2da2718de33a204, 0x9b6c2131dbd8aaa2, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0xb75c6e0194f257ee, 0x0000000000000000,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x057793ba76821cbb, 0xcfe9b9827c602415, 0xfaf75f232b7ff06a, 0x41e78016b492bae2, 0x84bf10d8488bee34,
  0x5dcdaec87495fa8f, 0x75f27b9633f5933c, 0xcbe8e395606b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0xa839bc8daf2e556a, 0xb7d59cea2a551ae8, 0xfa391359d372bb54, 0x5688af2b9095b1fb,
  0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14, 0x3b7b15545a5b44e3, 0xe6ca2317f36d8426, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x4ea792bf734332c3, 0x000000006eba45ff,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0x4db9827c60241505, 0xbafc819bffe0d59f, 0x00b5a419b3bfea8c, 0xe7736bb39747ff3c,
  0xe43ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0xd3ad08a053159c3f, 0x909afa30b2c4522c, 0xa3f90e7576e7263a,
  0x355e363af3a6ec7a, 0xc5c242288851ef76, 0x8d8226470decb65c, 0xbcb955a967d073ca, 0xa9546ba2a0e6f236,
  0x4dcaed52df5673a8, 0x4256c7efe8e44d67, 0x16bae7b55a22bcae, 0x0eea6c529e1a779f, 0x696d138c6f19d102,
  0xcdb61098edec5551, 0xf38b93571b288c5f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x698bf7f4ea792bf7, 0x000000000000000a,
};

static const uint64_t ur_pwm1_swio14_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d6960cc17e6, 0xa800ada3b836b8dd, 0xd02f928596cf2430,
  0x9dd4024dce2c3e0d, 0x4c13e30120a82bbc, 0xc8adfff2a3767c52, 0x73badfb8bea8f4df, 0x8488bee3441e7801,
  0x233d7fa8f84bf10d, 0xe6def99e2ee6d70b, 0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x6588a459a75a1140,
  0xedce4c752135f461, 0xe74dd8f547f21cea, 0x10a3deec6abc6c75, 0x1bd96cb98b848451, 0xcfa0e7951b044c8e,
  0x41cde46d7972ab52, 0xbeace75152a8d745, 0xd1c89ace9b95daa5, 0xb445795c84ad8fdf, 0x3c34ef3e2d75cf6a,
  0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x365118bf9b6c2131, 0x3e3458df1726ae0f, 0x2a73f53ab31e40cd,
  0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x19e4afdcd0ccb0e9,
  0x00000027e3cdbb39,
};

static const uint64_t ur_pwm1_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120a82bbc9ddcc49, 0xf871e7e3dcc13e30, 0x4c4ef96e83e4775f, 0x7c8e3956075ffd47, 0x4f1cc580b7ba6400,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0x54aa35d15073791b, 0xa6e576a96fab39d4, 0x212b63f7f47226b3,
  0x9fad73daad115e57, 0x3a9d4e02ca54fa77, 0x1023cbc502169617, 0x2317f36d38c6f19d, 0xd30ae4fcfec376ca,
  0x96cb25138cb25c33, 0x9e4afdcd0ccb0e92, 0x0000000011c56ea2,
};

static const uint64_t ur_pwm1_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0x5057793bb61b656a, 0x4cf9c19827c60241, 0x6b4663fe46ceffa1, 0xc1f51ea3cacbacd5, 0xa1df1594bf51f06c,
  0x30b2c4522cd3ad08, 0xbb935c6b26909afa, 0xd3763d51fc873ab4, 0x147bdd8d56ba1d79, 0x7b2d973170908a22,
  0xe839e546c11fadc3, 0x73791b5e5caad402, 0xab39d454aa35d150, 0x7226b3a6e576a96f, 0x115e57212b63f7f4,
  0x0d3bcf8b5d73daad, 0x8ce881077536294f, 0xf62aa8b4b689c637, 0xca2317f36d843156, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x000000000b7ff34c,
};

static const uint64_t ur_pwm1_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x905415de4ee94e1e, 0xe8533fa6e609f180, 0x5d717d7baf9195bf, 0x7dc6883cf1272129, 0xff51f097e21b0911,
  0xb2678bb9b5fb06f0, 0x67fa8ebe4f72c67e, 0x02edf97d1c72ac0d, 0xa3e764c5188a7316, 0xb13ca807feccf1d7,
  0xcaad508981e5add6, 0xa35d15073791b5e5, 0x576a96fab39d454a, 0xb63f7f47226b3a6e, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xb084c76f62aa8b4b, 0xec6e3cd94462fe6d, 0xc3def2861539fa82,
  0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0xcd93f085f4f257ee,
  0x000000000000003a,
};

// pwm1_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x057793ba55e89fa1, 0xcf8a49827c602415, 0xa8f4dfc8adfffa14, 0x3cf127212adfb8be, 0x97e21b09117dc688,
  0x9b5cdbb0a47f51f0, 0xe53b5b9b7be678bb, 0x83660f4af51e5721, 0x68450298ace1fa8f, 0xd7d185962291669d,
  0xc873abb73931d484, 0xf1b1d79d3763d51f, 0x121144428f7bb1aa, 0x1132386f65b2e62e, 0xcaad4b3e839e546c,
  0xa35d15073791b5e5, 0x576a96fab39d454a, 0xb63f7f47226b3a6e, 0xd73daad115e57212, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0xec6e3cd94462fe6d, 0xc3def2861539fa82, 0x4cf03f8cbf313ffb,
  0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x8087ab85f4f257ee, 0x0000000000000002,
};

static const uint64_t ur_pwm1_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf8a3767e034c13e3, 0xc90ef96e83e407bf, 0x318e3956075ffd47, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d15073791b, 0xa6e576a96fab39d4, 0x97d8f47226b81013,
  0x73daad115e57212b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000549f5da7c9e4a,
};

static const uint64_t ur_pwm1_swio14_lednop_pr[] = {
  0x7bbbbbba83d8ad4e, 0xbbb5572290be251c, 0xb490dbf30fb609e0, 0x9ac1c550c6d97bc2, 0x8eec7bafdd8e3d05,
  0x793ba626e0c33467, 0xfb9827c602415057, 0x7bf911effc493cfa, 0xc0c9af51d003be5b, 0x16594cfe7511c72a,
  0x3e76c9118df398b0, 0xf48a807fecc11d7a, 0x56b2ed40f2cf6e0f, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551,
  0xa39135c0809d372b, 0x688af2b9095cbec7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0x65118bf9b6c63156, 0x1a2cb579726ae0f3, 0xa73f53ab31e40eda, 0xa1e44cf0271a50c2, 0x4b867a615c9f80f9,
  0x961d252d9f027196, 0x6a80653c95fb9a19, 0x000000000001f265,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_u4[] = {
  0x1137777768bb1762, 0x7adddaab914ad225, 0x63b0bf70f8da0c22, 0x17f43b8e3da1377e, 0x11dc01b6f8feec44,
  0xa0aef277699a335a, 0x79f80d304f8c0482, 0x7cb741f203dff892, 0x1cab03affea3e487, 0x62c05bdd375098c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55, 0x7a39135c0809d372,
  0x5688af2b9095cbec, 0x4d8b3a03cfd6b9ed, 0x02169ab9d5ea5859, 0x9c6378ce88145f45, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x10b80653c95fb9a1, 0x0000000000001f26,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x5a9827c602415057, 0x1ff206b7ff06acfa, 0xf51e56c166ab5a33, 0xad4f7a8f83660fa8,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x888e6e39d5a5dd2a, 0xac6ab5d0ebce9bb4, 0xb98b848450be238c,
  0x2a3608fd6e1bd96c, 0xdaf2e556a015ac4f, 0xa2a551ae8a839bc8, 0x9d372bb54b7d59ce, 0x5cbec7a39135c080,
  0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0xc63156f62aa8b490, 0x6ae0f365118bf9b6,
  0xe40fca1a2ce9f172, 0xfe50c2a73f53ab31, 0x879133c5ce32fcc4, 0xa615c9f8e7bff826, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x000000013ae64fa7,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xf4b5304f8c0482a0, 0x7b7fe40d6ffe0d59, 0xe3ea3cae43cd56b4, 0xf15feef51f06cc1c,
  0x2c4522cd3ad08a1d, 0xcb8a266909afa30b, 0xd92234c4e7569780, 0xb58d56ba1d7aea6e, 0xe462e1211441f476,
  0xaae305fd6e1bd970, 0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xe44d7020274dcaed, 0x22bcae42572fb1e8,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x8de33a20517d1408, 0x83cd94462fe6da71, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xfe9d4f257ee68665, 0x00000000009d748b,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8ad4e, 0x1b4776aae450d889, 0x697a34f7c5a450e2, 0xd5b411935a14d971, 0xd199bb0660bf76fc,
  0x415de4ee989b82b8, 0xf3ec16609f180905, 0xff59bbe41c3ff124, 0xd6ff3c00b070ba9d, 0x5d64c273b9b5e76e,
  0x1acff51e5f4f72c0, 0x1602c7bd2a38e558, 0xaf47ced92231be73, 0x41fe91500ffd99e3, 0x972ab5976a0796b7,
  0x2a8d74541cde46d7, 0xb95daa5beace7515, 0xf63d1c89ae0404e9, 0xf6ab445795c84ae5, 0x52d7ce80f1cad75c,
  0x6378ce881085482e, 0x63b7b15545a4829c, 0xae365118bf9b6c62, 0x903b6868b1e71726, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0x0194f257ee686658, 0x0000000000b75e72,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ce_u4[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x5057793baaf99f41, 0xacfc729827c60241, 0x2faf75f22dd7ff06, 0x441e78016b49a6ee, 0xf84bf10d8488bee3,
  0xc5dcdae495951fa8, 0x8f2fa7b9633f5933, 0xde951c72ac0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0x44d7020274dcaed5, 0x2bcae42572fb1e8e,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb63131dbd8, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0000dd7085fd3a9e,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xbfc9827c60241505, 0x2ebf20347ff06acf, 0x8016b481a0effaa3, 0x39dcdaed07044fe7,
  0xb29729dacac7be61, 0xd47c1b307a57a8f2, 0x34eb422814c5650f, 0xa426be8c2cb1148b, 0x88e6e39d5db9d28e,
  0x8d578d8ebce9bb48, 0x3170908a17c47195, 0xa3608991c37b2d97, 0xaf2e556a59dac4f2, 0x2a551ae8a839bc8d,
  0xd372bb54b7d59cea, 0xcbec7a39135c0809, 0xb9ed5688af2b9095, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0xc4c76f62aa8b4905, 0x4d5c6ca2317f36d8, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x7fd3a9e4afdcd0cc, 0x000000000029a6dc,
};

static const uint64_t ur_pwm1_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c1a4e, 0x2eed55fd4d99c489, 0x3680ada166ec17e6, 0xa800ad9914774cec, 0x46ea5d8596cf2430,
  0x77535dc2d267b829, 0x304f8c0482a0aef2, 0x421f7f951bb3fd83, 0x9da1f5c5f547a6fe, 0x2445f71a20f3c00b,
  0xae4afd47c25f886c, 0x6def99e2ee6d78fb, 0x2bd479594b94ed6e, 0x62b287ea3e0d983d, 0x588a459a75a1140a,
  0xdce94752135f4616, 0x74dda4447371ceae, 0xe238cac6abc6c75e, 0xbd96cb98b848450b, 0xed627951b044c8e1,
  0x1cde46d7972ab52c, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b6c6263b7b155, 0xdf1726ae0f365118, 0x3ab31e40cd3e3458,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x13f2acab3919e4af,
};

static const uint64_t ur_pwm1_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xff871e7e034c13e3, 0xf921df2dd07c80f7, 0x2631c72ac0ebffa8, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546ba2a0e6f23, 0x74dcaed52df5673a, 0x72fb1e8e44d70202,
  0xae7b55a22bcae425, 0x96165362ce80f3f5, 0x17d14085a6ae757a, 0xfe6da718de33a205, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000004717d7453c9,
};

static const uint64_t ur_pwm1_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0xa82bbc9dd4149cb4, 0xa67d2d4c13e30120, 0xb5a331ff206b7fd0, 0x60fa8f51e56c166a, 0x50ef8ad4f7a8f836,
  0x185962291669d684, 0x5dd2ae3593484d7d, 0xe9bb4888e6e39d5a, 0xe238cac6ab5d0ebc, 0xbd96cb98b848450b,
  0x5ac4f2a3608fd6e1, 0x39bc8daf2e556a01, 0xd59cea2a551ae8a8, 0x5c0809d372bb54b7, 0x2b9095cbec7a3913,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0xbf9b6c63156f62aa, 0x7ea0bb1b8f365118,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00005be353817d3c,
};

static const uint64_t ur_pwm1_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x482a0aef2775eb4e, 0xf4299f8e5304f8c0, 0x9bb8bebdd7c8b75f, 0xbee3441e78939096, 0x9fa8f84bf10d8488,
  0x5933c5dcdaf30ccf, 0x67fa8f2fa7b9633f, 0x0163de951c72ac0d, 0xa3e76c9118df398b, 0xff48a807feccf1d7,
  0x955acbb503cb5ba0, 0x46ba2a0e6f236bcb, 0xaed52df5673a8a95, 0x1e8e44d7020274dc, 0x55a22bcae42572fb,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x9b288c5fcdb63131, 0x50c2a73f505d8dc7,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x20be9e4afdcd0ccb,
  0x000000000759bef8,
};

// pwm1_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0x0aef27768bfbbdae, 0x3fd83304f8c0482a, 0xa3d37f210fbfe853, 0xf3c49c8490fae2fa, 0x5f886c2445f71a20,
  0x6d7575c617fd47c2, 0x94ed6e6def99e2ee, 0x0d983d2bd479594b, 0xa1140a62b287ea3e, 0x5f4616588a459a75,
  0x71ceaedce9475213, 0xc6c75e74dda44473, 0x48450be238cac6ab, 0x44c8e1bd96cb98b8, 0x2ab52ced627951b0,
  0x8d74541cde46d797, 0x5daa5beace75152a, 0x3d1c89ae0404e9b9, 0xab445795c84ae5f6, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x365118bf9b6c6263, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xc17d3c95fb9a1996, 0x00000000014051a9,
};

// pwm1_swio14_dual_pr
static const uint64_t ur_pwm1_swio14_dual[] = {
  0xe3ddddddde7c1a4e, 0x7c1f4da62210d83a, 0x7a55fa8ce5dbd71a, 0x377c95264e27659f, 0x1628d4d8b75719a5,
  0x823b935dc2d13fdc, 0x827c602415057792, 0x7004643d06917439, 0x0a1835678b3d2442, 0x6535aa774f897103,
  0xd82fb3814599c9fe, 0x90ab0332a6f51dfc, 0x0f815fe63408a11c, 0xb8bddf177a1f0037, 0xe2a10cb407c4432b,
  0xb760bff4073c26de, 0x586f2bcb56f9a025, 0xb5fe4145ff068730, 0x607bdfa8fdd1df2c, 0x550799c987b8e395,
  0x0cec80234c4e62c0, 0x6faa01ffb30475e0, 0x92be7503cb3db7bc, 0x72ab59fc55f3bb8a, 0xa8d74541cde46d79,
  0x95daa5beace75152, 0x63d1c89ae0404e9b, 0x6ab445795c84ae5f, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0xab7b15545a4829c6, 0x79b288c5fcdb6318, 0xd3e3458f38b93570, 0xa615c9fbab31e40c, 0x52d9f0271964b867,
  0x33c95fb9a19961d2, 0x000000188371f672,
};

static const uint64_t ur_pwm1_swio14_dual_pr_u4[] = {
  0xc7bbbbbb44869a4e, 0xf83e9b4c4421b075, 0x73ef7519cbb7ae34, 0x4a6ef92a4c9c4ecb, 0xc32c51a9b16eae33,
  0x5047771fd462a3e3, 0x304f8c0482a0aef2, 0x4e008c87a0d22e87, 0x614306acf167a488, 0xf32ec24ee9f12e20,
  0xe6c17d9c0a2cce4f, 0xe48558199537a8ef, 0xb87c0aff31a04508, 0x5dc5eef8bbd0f801, 0xf7150865a03e2219,
  0x2dbb05ffa039e136, 0x82c3795e5ab7cd01, 0x65aff20a2ffaff69, 0xab03defd47ee8ef9, 0x02a83cce4c3dc71c,
  0x006764011a627316, 0xe37d500ffd9823af, 0x5495f3a81e59edbd, 0xcb955acfe2af9ddc, 0x9546ba2a0e6f236b,
  0xdcaed52df5673a8a, 0xfb1e8e44d7020274, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0xc55bd8aaa2d2414e, 0xe3cd94462fe6db18, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xef05da4e9e4afdcd, 0x0000000000000a49,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ee[] = {
  0xd86ddddddd43573e, 0x89e0fa6d63b26d83, 0xbe8fcdd4e538999d, 0x9a723b1edb37dd8e, 0xee01f557edba0b61,
  0x6ee5c5f7615ef595, 0x3e30120a82bbc997, 0x04643d0690e9d4c1, 0x1835678b3d244270, 0x7612774f8971030a,
  0x12d1c02d4c63ff99, 0x560715a6f51c9d6c, 0x02bfcc6811423921, 0xf77c5deea8006e1f, 0x0865a051510caee2,
  0xf9ff4073c2631f15, 0xf2bcb56f9a025b77, 0xe405aff5fed30586, 0x3caedd4d56b47fbb, 0x37ea3e0d9830f7ea,
  0x459a75a1143be2bd, 0x5cd2135f4616588a, 0xcf539d5a5d82ae2a, 0x56ba1d7a897631e8, 0x70908a34a4710d8d,
  0x823f5b86f65f4b31, 0x7152500b2288aa8d, 0xaf2e556b3f8abe77, 0x2a551ae8a839bc8d, 0xd372bb54b7d59cea,
  0xcbec7a39135c0809, 0xb9ed5688af2b9095, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905,
  0x1b8f365118bf9b6c, 0x599bf83bb8d163ce, 0xcb25c33d30ae4fdd, 0x0ccb0e9296cf8138, 0x2c7fda4e9e4afdcd,
  0x0000000000000c85,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed1369f3202, 0x07d36b1d936c1ec3, 0x8ce6a729c4ccec4f, 0xd8f6d9beec75c7e6, 0xaabf6dd05b0cd391,
  0x07d75c5f4d6f700f, 0x2a0aef265dbb869d, 0x1a43a75304f8c048, 0x2cf49109c01190f4, 0x3e25c40c2860d59e,
  0xa98c7ff32bf689dd, 0xdea393ad825a3805, 0x022847242ac0e2b4, 0xd5000dc3e057f98d, 0x2a2195dc5eef8bbd,
  0x784c63e2a10cb40a, 0xf3404b6eff3fe80e, 0x35ee60b0de5796ad, 0xd56b47fbbe405aff, 0xd9830f7ea3caedd4,
  0x1143be2bd37ea3e0, 0xf4616588a459a75a, 0xa5d82ae2a5cd2135, 0xa897631e8cf539d5, 0x4a4710d8d56ba1d7,
  0x6f65f4b3170908a3, 0xb2288aa8d823f5b8, 0xb3f8abe777152500, 0x8a839bc8daf2e556, 0x4b7d59cea2a551ae,
  0x9135c0809d372bb5, 0x8af2b9095cbec7a3, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x118bf9b6c63156f6, 0x458df1726ae0f365, 0xfa9d599bf837e823, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x002b22f3edd4e4f2,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ce[] = {
  0xcbbddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a1bb272e32, 0xf4e08119efda3b54, 0x1f99f69f610f765d,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xea0a7c853dfe0d0e, 0x6ff3c00b9db933bf, 0x38cc273b9b5d36e7,
  0x27bd4797d3dcb014, 0xc05dbebe471cab03, 0xf22dd87c4637ce62, 0x947570f71cb19e3a, 0x955acfe2af9ddc54,
  0x46ba2a0e6f236bcb, 0xaed52df5673a8a95, 0x1e8e44d7020274dc, 0x55a22bcae42572fb, 0x5362ce80f3f5ae7b,
  0x6085a6ae757a9616, 0x4e31bc67440a2f8c, 0x357079b288c5fcdb, 0xe40cd3e3458f38b9, 0xb867a615c9fbab31,
  0x61d252d9f0271964, 0x967233c95fb9a199, 0x00000000001cf5f3,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0xef83e9b598e7db07, 0x3deef75053d61232, 0x89323e44a76f5d84, 0x2d4e900d57efdeed,
  0xef248fbb9e08ce9c, 0x463304f8c0482a0a, 0x9109c01190f41a44, 0xc40c2860d59e2cf4, 0x2b7e65d849dd3e25,
  0x3e56d86fb3869b9a, 0x847242ac0ca1cdea, 0x00dc3e057f98d022, 0x0caee2f77c5df722, 0x9b4a8a8432d0ee91,
  0x8096dffe7fd01cf0, 0xb4c161bcaf2d5be6, 0x2faedff9035bfd7f, 0xd1079e24e424a7ae, 0x3e12fc4361222fb8,
  0xf17736bf59b21fea, 0x8f2fa7b9633c38cc, 0x7d7c8e3956064f7a, 0xb0f88c6f9cc580bb, 0xe1ee39633c75e45b,
  0x9fc55f3bb8a928ea, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x89ae0404e9b95daa, 0x5795c84ae5f63d1c,
  0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0x78ce88145f18c10b, 0xf365118bf9b69c63, 0xdfc1ddc68b1be1b8,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x42f693a792bf7343, 0x0000000000006920,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ee_ce[] = {
  0xff6b77777750cf68, 0x4ee0fa6d7a519c60, 0xb4af7bb9f6cf8053, 0x9c453821e44b8585, 0x7f9b4d9bc2960fda,
  0xbb9a3ea74704dd9c, 0xf8c0482a0aef24c8, 0x2321e834823d7304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x0d070d3533fcfccb, 0xb03e9f9bd47ff9b0, 0x15fe63408a11c90a, 0xbbe2efea700370f8, 0x432d029688657717,
  0x7ffa039e137ce8a8, 0x2bcb56f9a025b7fd, 0x469aff5fed30586f, 0x84b4d1dff54650fe, 0x36ba92737ff3c49c,
  0xca76b2b221984e77, 0x06cc1f51ea3cad82, 0xd08a05315a9ef51f, 0xafa30b2c4522cd3a, 0xf8e7576e3863a909,
  0x363af6b13b6df472, 0x422805118f96355e, 0xa6470decb8f8c5c2, 0xc55f3bb8a92e31c8, 0x1cde46d7972ab59f,
  0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80,
  0x45a4829c6378ce88, 0xbf9b6c6263b7b155, 0xd163ce1b8f365118, 0xae4fdd599bf83bb8, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000130454eda4e9e,
};

static const uint64_t ur_pwm1_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x7d36a178ce307ebb, 0xc3d402eb6933ed70, 0xb7ef72270f9463a3, 0x6d0fde4eebb2c43d,
  0x3e30a05b45c595ee, 0x0aef25a73bb4836d, 0x8bd51304f8c0482a, 0xe92213802321e834, 0x4b881850c1ab3c59,
  0x760fe657ed13ba7c, 0x3b5dec10f8e18dd3, 0x847242ac0dfe4dea, 0x00dc3e057f98d022, 0x32bb8bddf177c7dc,
  0xb2b454219686ce44, 0x12dbb397fd01cf09, 0x982c3795e5ab7cd0, 0xa38adf22f0ffcd7b, 0xf3c49c072d6ee2fa,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e2199e2ee, 0x0d983ea3d4795943, 0xa1140a62b74bea3e,
  0x5f4616588a459a75, 0xa1ceaedc95875213, 0x1b1d7b589d900460, 0x42287bd1e45b1aaf, 0x66470decb8f8c5c2,
  0xc55f3bb8a92e31b8, 0x1cde46d7972ab59f, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0xce88145f18c10b4d, 0x65118bf9b69c6378, 0x23458df1726ae0f3,
  0x39fa9d599bf837e8, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x0000200122fdd4e4,
};

static const uint64_t ur_pwm1_swio14_dual_hw[] = {
  0x8f777776890d365a, 0xf07d3698884360eb, 0xe7deea33976f5c69, 0x94ddf25499389d96, 0xf658a35362dd5c66,
  0xf250477644f5ef4a, 0x87304f8c0482a0ae, 0x884e008c87a0d22e, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x195dc5eef8bbd0f8, 0x36f7150865a03e22,
  0x012dbb05ffa039e1, 0x8982c3795e5ab7cd, 0xbe596bfc828bfe76, 0xc72ac0f7bf51fba3, 0xc580aa0f33930f71,
  0xebc019d90046989c, 0x6f78df5403ff6608, 0x7715257cea07967b, 0xdaf2e556b3f8abe7, 0xa2a551ae8a839bc8,
  0x9d372bb54b7d59ce, 0x5cbec7a39135c080, 0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xc63156f62aa8b490, 0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791,
  0x1964b867a617c68f, 0xa19961d252d9f027, 0x75de0a17d3c95fb9, 0x0000000000000063,
};

static const uint64_t ur_pwm1_swio14_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x4f07d36b1d936c1e, 0xf47e6ea729c4ccec, 0xd391d8f6d9beec75, 0x700faabf6dd05b0c,
  0x2eddddd8dd9bcc5f, 0x827c602415057793, 0xe008c87a0d21d3a9, 0x14306acf167a4884, 0x32ec24ee9f12e206,
  0xd825a3805a98c7ff, 0x42ac0e2b4dea393a, 0x3e057f98d0228472, 0xc5eef8bbdd5000dc, 0x2a10cb40a2a2195d,
  0xeff3fe80e784c63e, 0x0de5796adf3404b6, 0xddf202d7f9da260b, 0xf51e576ea6ab5a3f, 0x5e9bf51f06cc187b,
  0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0xf467a9cead2ec157, 0xc6ab5d0ebd44bb18, 0x98b848451a523886,
  0x46c11fadc37b2fa5, 0x3bb8a92805914455, 0x46d7972ab59fc55f, 0x75152a8d74541cde, 0x04e9b95daa5beace,
  0x4ae5f63d1c89ae04, 0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb6318ab7b15545a4,
  0xab8dc79b288c5fcd, 0xe627f2861539fa97, 0xc1343c899e2e7197, 0xc33d30ae4fc73dff, 0x0e9296cf8138cb25,
  0xf0be9e4afdcd0ccb, 0x0000000000576ac7,
};

static const uint64_t ur_pwm1_swio14_dual_ce_hw[] = {
  0xe53b777776890c86, 0x8cf83e9b598d7160, 0xef5c2f767120a89c, 0xe3751c6c305947d3, 0xe62a10ecd8ebee94,
  0xbbc9a66eeeec6ecd, 0x1544c13e30120a82, 0x92213802321e8348, 0xb881850c1ab3c59e, 0xeaffccbb093ba7c4,
  0x8fb3b611c8e07066, 0xa11c90ab0395d37a, 0x80370f815fe63408, 0x8657717bbe2efe6f, 0x9bba8a8432d031e8,
  0x012dbeed7fd01cf0, 0x8982c3795e5ab7cd, 0x8beafe7c8383fe76, 0x3441e789390913ab, 0x8f84bf10d8488bee,
  0x3c5dcdaec87495fa, 0xa384f9ee58cfa973, 0x8bb7e38e5581dade, 0xec80234c4e62c052, 0xaa01ffb33c75e00c,
  0xaf9d40f2d6e7bc6f, 0xaad67f157ceee2a4, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xf47226b81013a6e5,
  0xad115e57212b97d8, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6db1898e,
  0x861539fa82ec6e3c, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x05f4f257ee686658, 0x00000000013752b5,
};

static const uint64_t ur_pwm1_swio14_dual_ee_ce_hw[] = {
  0xd396eeeeeea1a5fb, 0x2b83e9b5e978fec1, 0xae43dda2fb171ec8, 0xe69c58afaed3d5df, 0xfabe1f614b05391c,
  0x3ba591aeba55857b, 0xf8c0482a0aef2437, 0x4643d06907b3d304, 0x835678b3d2442700, 0x612774f8971030a1,
  0xfe1c3104cd77f997, 0x607ff26f51f4d6c1, 0x2bfcc68114239215, 0xef8bbf87f006e1f0, 0x0cb430222195dc5e,
  0xbfe80e784c5d62a1, 0xaf2d5be68096de61, 0x4620ff3b44c161bc, 0x84b101dff54795be, 0x36be54341ff3c49c,
  0x4a76b2b26e984e77, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213,
  0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8,
  0x2a8d74541cde46d7, 0xb95daa5beace7515, 0xf63d1c89ae0404e9, 0xf6ab445795c84ae5, 0x52d7ce80f1cad75c,
  0x6378ce881085482e, 0x63b7b15545a4829c, 0x8f365118bf9b6c62, 0xe19e985727e7f61b, 0x87494b67c09c6592,
  0x585f4f257ee68665, 0x000000000044d31c,
};

static const uint64_t ur_pwm1_swio14_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0x07d36a17a8c58395, 0xda6ef76a3e5a9397, 0xed56af2657bc89da, 0x49b43f7938abf3ef,
  0x38c32d6ed3e78296, 0x2415057792829dd5, 0xf41a45ea89827c60, 0x9e2cf49109c01190, 0xdd3e25c40c2860d5,
  0x787372d7e65906a9, 0xcdea3e376c3b04e1, 0xa04508e485581b5d, 0xb24c01b87c0aff31, 0x8288657717bbe2ef,
  0x9e1369b8a8432d03, 0xf9a025b7672ffa03, 0x787730586f2bcb56, 0x2faa3275f22f0fff, 0x20f3c58be84af0ee,
  0xc25f886c2445f71a, 0x7736b85919ebfd47, 0x574a76b737374cf1, 0x3e0d983dbfea3cae, 0x75a1140a62bdf7ea,
  0x135f4616588a459a, 0x67a9ceaedcc14752, 0x578d8ebd44bb18f4, 0x70908a34a4710d8d, 0xc1132386f65f4b31,
  0xb8a9296791445546, 0xd7972ab59fc55f3b, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xe5f63d1c89ae0404,
  0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482, 0x1b8f365118bf9b6c,
  0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271,
  0x346ed0173c95fb9a, 0x0000000000003aeb,
};

static const uint64_t ur_pwm1_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02415057793bb0bd, 0xf146ecf98f9827c6, 0x109df2dd27c8dbff, 0xd78e395607cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x55abfdfd1c89ace9,
  0x5ae7b55a22bcae42, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000548b8b4f93c,
};

static const uint64_t ur_pwm1_swio15_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2571, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7ddb89d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07fe4195fe249e7d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0xfdfd1c89ace9b95d, 0xb55a22bcae4255ab, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13,
  0x7079b288c5fcdb19, 0x076d0d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x3e4d0240329e4afd,
};

static const uint64_t ur_pwm1_swio15_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0xadddaab9142f712d, 0x7be3f50e2448c227, 0xfd0eee27767f07a8, 0xb83b6c6569bba905,
  0x82bbc9ddfa706f0a, 0xe7cc7cc13e30120a, 0xf2dd27c8dbffe249, 0x395607cf7a8f109d, 0x8b016f74da52d78e,
  0x75e2e76b868c9a39, 0xab52b2bfee396304, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0xfdfd1c89ace9b95d,
  0xb55a22bcae4255ab, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a2045fb, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x9a6820194f257ee6, 0x000000000000007c,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x304f8c0482a0aef2, 0xe4456ffe0d59f275, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5abfdfd1c89ace9b,
  0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xb1922adec5551696, 0x9357079b288c5fcd,
  0x8f207e50d1674f8b, 0x27f2861539fa9d59, 0x343c899e2e7197e6, 0x3d30ae4fc73dffc1, 0x9296cf8138cb25c3,
  0x3a9e4afdcd0ccb0e, 0x00000000275f18fd,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120a82bb, 0xaf91befff83567e2, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0x41cde46d7972ab55, 0xeaece75152a8d745, 0x1c89ace9b95daa5b, 0x22bcae4255abfdfd,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0xb288c5fcdb1922ad, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xa9e4afdcd0ccb0e9, 0x000000013ae59fd3,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ce[] = {
  0x1b5bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf4bdf370e2, 0xd5b416efc29e98db, 0xf8360ccd8cc774da,
  0x5057793bab8c4891, 0x3cf94b9827c60241, 0x7fd414f90e97fc49, 0x9dbfcf002c1c90e7, 0x1759309cee6d74db,
  0x8193dea3cdd3dcb0, 0x98b014ca9c638e55, 0x8ebd1f3b4428f7b3, 0x6e1149a5403ff667, 0xaf2e556afadc0f2d,
  0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ab57fbfa391359d, 0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2,
  0x2da2718de33a2041, 0x36c6431dbd8aaa2d, 0xce2e4d5c6ca2317f, 0xdd598f2076d0d163, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0xdd74e40329e4afdc, 0x0000000000000002,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0x82bbc9dd1ec5aa38, 0x67f674c13e30120a, 0xfaedff912bbff835, 0x41e78016b49beee2, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0x79ba7b9633f5933c, 0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7,
  0x5f5b81e5adc22934, 0x15073791b5e5caad, 0x6fabb39d454aa35d, 0xf47226b3a6e576a9, 0x688af2b90956aff7,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xcd94462fe6d8c863, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x9d4f257ee6866587, 0x000000006eba683e,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xa6a609f180905415, 0xa5fc8ff9ffc1ab3f, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298acbaf, 0x484d7d1859622916, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0xc5c24228f911c1fb, 0x8d8226470decb65c, 0x7972ab52cfa4c16a, 0x52a8d74541cde46d,
  0xb95daa5beaece751, 0x55abfdfd1c89ace9, 0xbae7b55a22bcae42, 0xea6c529e1a779f16, 0x6d138c6f19d1020e,
  0xb63218edec555169, 0x71726ae365118bf9, 0xeacc7903f2868b1e, 0xc6592e19e985727e, 0x866587494b659289,
  0x31e5fe9d4f257ee6, 0x000000000000014d,
};

static const uint64_t ur_pwm1_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c7a31, 0x2eed55fd4ec4c496, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf5a30,
  0x77513f0fbed03e37, 0x304f8c0482a0aef2, 0x435dff951bb3f8dd, 0x9db5ddc5f547b3be, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x588a459a75a1140a,
  0xdc958752135f4616, 0x74ddba847921ceae, 0x44707ec6abc6c75e, 0x7b2d973170908a3e, 0xe9305aa3608991c3,
  0x73791b5e5caad4b3, 0xbb39d454aa35d150, 0x226b3a6e576a96fa, 0xaf2b90956aff7f47, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x15545a5b44e31bc6, 0x4462fe6d8c863b7b, 0xd1637c5c9ab83cd9, 0xcfd4eacc790334f8,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00009f91f5ece467,
};

static const uint64_t ur_pwm1_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02415057793bb0bd, 0xff0e3cf98f9827c6, 0xe213be5ba4f91b7f, 0x5af1c72ac0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ab57fbfa391359d,
  0xeb5cf6ab445795c8, 0xa75380b2953e9de7, 0x08bf714085a585ce, 0xc5fcdb4e31bc6744, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000004712e28a7,
};

static const uint64_t ur_pwm1_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x15de4ee80a499a73, 0x3e4ea609f1809054, 0x68dfcf9115bfe853, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x791b5e5caad402e9, 0x39d454aa35d15073, 0x6b3a6e576a96fabb, 0x2b90956aff7f4722,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x545a5b44e31bc674, 0x317f36c648ab7b15, 0x9cfd4176371e6ca2,
  0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x000000b7ff24c2fa,
};

static const uint64_t ur_pwm1_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x482a0aef2774a51d, 0xf4299fd9d304f8c0, 0xf7717d76ffc895df, 0x7dc6883cf127212d, 0xbf51f097e21b0911,
  0xb2678bb9b5cd6e61, 0x4f7a8f374f72c67e, 0xc0532a718e395606, 0xf47ced10a3dece62, 0x45269500ffd99e3a,
  0xb955abeb703cb5b8, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xd5fefe8e44d674dc, 0x73daad115e57212a,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x190c76f62aa8b4b6, 0xd8dc79b288c5fcdb, 0x87bde50c2a73f505,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x9b7c930be9e4afdc,
  0x0000000000000075,
};

// pwm1_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0x0aef27777ec2da9a, 0x3f8dd304f8c0482a, 0xa3d9df21aeffe853, 0xf3c49c849aeee2fa, 0x5f886c2445f71a20,
  0x6d7e41d5d7fd47c2, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0xff7f47226b3a6e57, 0xed5688af2b90956a, 0x14a7869de7c5aeb9,
  0xe31bc6744083ba9b, 0x863b7b15545a5b44, 0x6e3cd94462fe6d8c, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x864e05f4f257ee68, 0x0000000000000280,
};

static const uint64_t ur_pwm1_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf8a3767e034c13e3, 0xc90ef96e93e407bf, 0x98c71cab03e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ac7a39135c0809d,
  0xcf6ab445795c84ae, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xfe6da718de33a205, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000a93ebb4f93c9,
};

static const uint64_t ur_pwm1_swio15_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11ddb89d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41ff9063ffc493cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0x1c89ae0404e9b95d, 0xa22bcae42572563d, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0x94462fe6da05455b, 0x68b2d5e5c9ab83cd, 0x9cfd4eacc7903b68, 0x879133c09c69430a, 0x2e19e985727e03e6,
  0x587494b67c09c659, 0x160194f257ee6866, 0x00000000000f931d,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x7adddaab914ad225, 0x63b0bf7d7f858c22, 0x17f43bb89da1377e, 0x11dc01b6f8feeea4,
  0xa0aef277699a335a, 0x79f80d304f8c0482, 0x7cb749f203dff892, 0x8e5581f3dea3e487, 0x31602dee9ba84c63,
  0x475e2e761151f487, 0x2ab52b305ee39630, 0x8d74541cde46d797, 0xdaa5beaece75152a, 0xd1c89ae0404e9b95,
  0x5a22bcae42572563, 0xf29c05ce80f2e7b5, 0xa042d2b08985ea5a, 0xd38c6f19d1028be8, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xc21700ca792bf734, 0x00000000000003e4,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xcc13e30120a82bbc, 0xf20e0fff06acfd0f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x58f47226b81013a6,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0x156f62aa8b490538, 0x0f365118bf9b6815,
  0xfca1a2cb579726ae, 0x0c2a73f53ab31e40, 0x0f9a1e44cf0271a5, 0x1964b867a615c9f8, 0xa19961d252d9f027,
  0xd7c21fa753c95fb9, 0x0000000000000009,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e30120a8, 0x1995f20e0fff06ac, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0x9135c0809d372bb5, 0x45795c84ae4ac7a3,
  0x59d01e7eb5cf6ab4, 0xb4d5ceaf52c2ca6c, 0x1bc674409cfa2810, 0x079b288c5fcdb4e3, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0x7d3a9e4afdcd0ccb, 0x00000000009d74d0,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ce[] = {
  0x236b7777777b1762, 0x86d1ddaab9142b71, 0x634f685ed69b3c38, 0xad5b416ef4130aa8, 0x4d1d9fbc5f63f74d,
  0x5415de4eed33467f, 0x4f3ea7a609f18090, 0xdff5053e4175ff12, 0x9883f3c00b070a59, 0x01759309cee6d77f,
  0x58193dea3ce33dcb, 0x73160298f3d638e5, 0xf1d7a3e765f11c64, 0xb70dfb86a807fecc, 0xd7972ab5b8720796,
  0x152a8d74541cde46, 0x9b95daa5beaece75, 0x2563d1c89ae0404e, 0xe7b55a22bcae4257, 0x7296be74078e56ba,
  0xe31bc67440842a41, 0xa31dbd8aaa2d2414, 0x3571b288c5fcdb40, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xd00ca792bf734332, 0x000000000016eaa9,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xf53d7e4604ffe0d5, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3791b5e5caad4742, 0xb39d454aa35d1507, 0x1013a6e576a96fab, 0x9095c958f47226b8, 0x95aeb9ed5688af2b,
  0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b, 0x2e4d5c1e6ca2317f, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0xebd595f4ea792bf7, 0x0000000000000006,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xdadcc13e30120a82, 0x52fe426dfff06acf, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298ad82f, 0x484d7d1859622916, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0xc5c242289b91e45b, 0x8d8226470decb65c, 0xbcb955a96622934a, 0xa9546ba2a0e6f236,
  0xdcaed52df57673a8, 0x2b1e8e44d7020274, 0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x18de33a20421520b,
  0x18edec55516920a7, 0xab8d94462fe6da05, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0xfa753c95fb9a1996, 0x0000000000534f1b,
};

static const uint64_t ur_pwm1_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7cbd5b, 0x2eed55fd4c374496, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf5a30,
  0x9ddeefdc1ceb4176, 0xcc13e30120a82bbc, 0xc8149fe546ecf9ad, 0xb9d8a4b8bea8f677, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140,
  0xedd21c752135f461, 0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c,
  0x839bc8daf2e556a5, 0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7, 0x95c84ae4ac7a3913, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0xbf9b681463b7b155, 0xdf1726ae0f365118, 0x3ab31e40cd3e3458,
  0xf787bde50c2a73f5, 0xc899e07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x13f122fb3919e4af,
};

static const uint64_t ur_pwm1_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xff871e7e034c13e3, 0xf921df2dd27c80f7, 0x1318e395607cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d15073791, 0xa6e576a96fabb39d, 0xc958f47226b81013,
  0xb9ed5688af2b9095, 0x7a96bca70173a03c, 0xa2fa2810b4ac2261, 0x5fcdb4e31bc67440, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0000008e2fae8a79,
};

static const uint64_t ur_pwm1_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x057793ba76821e96, 0x9fa1f9827c602415, 0xb46fe7c8383ff429, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0xde46d7972ab50084, 0xce75152a8d74541c, 0x404e9b95daa5beae, 0x42572563d1c89ae0,
  0x56bae7b55a22bcae, 0x2a417296be74078e, 0x2414e31bc6744084, 0x6da05455bd8aaa2d, 0x82ec6e3cd94462fe,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x016fcd4e05f4f257,
};

static const uint64_t ur_pwm1_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x482a0aef2775a77d, 0xf4299f1ad304f8c0, 0x9d717d76ffc8d37f, 0x7dc6883cf127212d, 0xff51f097e21b0911,
  0x64cf17736bf2d337, 0x9ef51e719ee58cfd, 0x014c79eb1c72ac0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6da0518e, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658,
  0x000000001d66c02b,
};

// pwm1_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm1_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0xf9adcc13e30120a8, 0x47b3be40a4ffa14c, 0xf3c49c848525c5f5, 0x5f886c2445f71a20,
  0x9b5fce5d4efd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6da0518e, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x85f4f257ee686658, 0x00000000050103c9,
};

// pwm1_swio15_dual_pr
static const uint64_t ur_pwm1_swio15_dual[] = {
  0xd3ddddddde7cbd5b, 0x7c1f4da6225a983f, 0xfbbf7a8ee38bd71a, 0x376b04e77da7ac55, 0xebb67c82b77e99a5,
  0x2823bbbbf7016b41, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbc52003, 0xf7150865a03e2219,
  0x2dba9effa039e136, 0x82c3795e5ab7cd01, 0xb3dff23f77f83439, 0x560707fd47dbe77c, 0x05507992b47b8e39,
  0x00ceda523884e62c, 0x3192a01ffb30475e, 0x2a4b81281e59eda6, 0xe5caad67f157ceee, 0x4aa35d15073791b5,
  0xe576a96fabb39d45, 0x58f47226b81013a6, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0x156f62aa8b490538, 0x0f365118bf9b6815, 0x9a7c68b1e71726ae, 0xf4c2b93f75663c81, 0x4a5b3e04e32c970c,
  0x46792bf734332c3a, 0x00000000310c6ece,
};

static const uint64_t ur_pwm1_swio15_dual_pr_u4[] = {
  0xa7bbbbbb448664d6, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056efd33,
  0x2823bb3363c34032, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef14800, 0xbdc54219680f8886,
  0x4b6ea7bfe80e784d, 0x60b0de5796adf340, 0x2cf7fc8fddfebfda, 0x5581c1ff51f6f9df, 0x01541e64ad1ee38e,
  0x8033b6948e21398b, 0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0x52a8d74541cde46d,
  0xb95daa5beaece751, 0x563d1c89ae0404e9, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x31bc67440842a417,
  0x455bd8aaa2d2414e, 0xe3cd94462fe6da05, 0x337f07771a2c6f86, 0x7bde50c2a73f53ab, 0x9e07f197e627ff78,
  0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xbf02da4e9e4afdcd, 0x0000000000000a49,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ee[] = {
  0x80addddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd05014,
  0xbaf27acaabdd6d2d, 0x8c0482a0aef265db, 0x321e8348de7d304f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef00000370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0xbcb56f9a025b7b5b, 0xe9fff5fed30586f2, 0x5e9b9aad68dc9fc8, 0xd47c1b3071efd479,
  0x34eb422877c57b3b, 0xa426be8c2cb1148b, 0x073ab4ba9e5c54b9, 0xba1d7a89767f11f5, 0x908a0f547f258d56,
  0x3f5b86f65f4b3170, 0xa928043e6f6a8d82, 0x972ab59fc55f3bb8, 0x2a8d74541cde46d7, 0x95daa5beaece7515,
  0x63d1c89ae0404e9b, 0xb55a22bcae425725, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x3cd94462fe6da054, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566, 0x2c3a4a5b3e04e32c, 0xef693a792bf73433,
  0x0000000000321417,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ee_u4[] = {
  0xdddddda26d3f880b, 0x3e9b58ef0f98380a, 0xf5f421fda6676278, 0x3ad932b8d178ce6d, 0x8fedba0a029a723b,
  0x6b5e4e69d5a0b85a, 0x82bbc9976ee127fa, 0x2379f4c13e30120a, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x0006e1f02bfcc681, 0x10caee2f77c5de00,
  0x2631f150865a0515, 0x404b6f6b7ff4073c, 0xee60b0de5796adf3, 0xd68dc9fc8e9fff35, 0x071efd4795e9b9aa,
  0x877c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8,
  0x65f4b3170908a0f5, 0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0x41cde46d7972ab59, 0xeaece75152a8d745,
  0xae0404e9b95daa5b, 0xcae42572563d1c89, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744,
  0x2fe6da05455bd8aa, 0x37c5c9ab83cd9446, 0x75666fe0dfa08d16, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0xac8996b75393c95f, 0x0000000000000000,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ce[] = {
  0xc71ddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a6e8c8ae32, 0xf4e0811defda3b54, 0x1f99f69f610f7638,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xd65f7c853dfe0d0e, 0xdfe780173b72677f, 0x71984e7736ba6dce,
  0x4d7a8f2fa7b96028, 0x80bb7d7c8e395606, 0xe45bb0f88c6f9cc5, 0x28eae1ee39633c75, 0x2ab59fc55f3bb8a9,
  0x8d74541cde46d797, 0xdaa5beaece75152a, 0xd1c89ae0404e9b95, 0x5a22bcae42572563, 0xf29c05ce80f2e7b5,
  0x3042d2b08985ea5a, 0xa718de33a20517c6, 0x9ab83cd94462fe6d, 0xf20669f1a2c79c5c, 0x5c33d30ae4fdd598,
  0xb0e9296cf8138cb2, 0xcb3919e4afdcd0cc, 0x00000000000e7af9,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ce_u4[] = {
  0x02f777776890cf68, 0xdf07d36b312af60f, 0xb6b8ee9da69c2465, 0x2cc8f91295a9f65a, 0x0dd889ea3e3afbb0,
  0x79247ddcd1f53af7, 0xa89827c602415057, 0x4427004643d06902, 0x1030a1835678b3d2, 0xadf997612774f897,
  0xf95b61bece1a6e68, 0x11c90ab0328737a8, 0x0370f815fe63408a, 0x32bb8bddf177d250, 0x6d2a2a10cb43ba44,
  0x04b6fbb5ff4073c2, 0xa60b0de5796adf34, 0xbea657c8383febfd, 0x441e7893909604b8, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x1e719ee58cf0e333, 0x54dd1c72ac0c9af5, 0xb2d747191cc580a6, 0x6b6e39633c75e45b,
  0xcfe2af9ddc549475, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e57212b92b1e8e4,
  0x74079fad73daad11, 0x3573abd4b0b29b16, 0xe33a204e7c63042d, 0xcd94462fe6da718d, 0x7f07771a2c6f86e3,
  0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x9eda4e9e4afdcd0c, 0x000000000000d24e,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ee_ce[] = {
  0x0fb2b77777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0765,
  0x2eeeec6ec782e62e, 0x3e30120a82bbc932, 0x08c87a0d23cf5cc1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x0341c34d4cff3f32, 0xac0fa7e6f51ffe6c, 0x057f98d022847242, 0xddf177bb7600dc3e, 0x2196814b4432bb8b,
  0x0ffd01cf09be7454, 0x95e5ab7cd012dbf6, 0x44edffaff6982c37, 0x094ed9dff546c17e, 0xdae089300fe78939,
  0x29dacac8866139dc, 0x3660c27fa8f2b53d, 0x8450298af027a8f8, 0x7d185962291669d6, 0x273abb71751d484d,
  0x6c75ed62763291ce, 0x1144be46b5ec6abc, 0x32386f65c7c62e12, 0x157ceee2a4b8c47c, 0x73791b5e5caad67f,
  0xbb39d454aa35d150, 0x81013a6e576a96fa, 0xb9095c958f47226b, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e,
  0xb490538c6f19d102, 0xf36d028c76f62aa8, 0x2c79c371e6ca2317, 0xc9fbab337f07771a, 0xf0271964b867a615,
  0x5fb9a19961d252d9, 0x004c100e5b49d3c9,
};

static const uint64_t ur_pwm1_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xfa6d42fbebb074fb, 0xb26a27d69267dae0, 0xb0ebeb4f03e1e1ec, 0xd821fbc9c9f65887,
  0xb68d750809793abd, 0x415de4b4e7717d60, 0x47c41e609f180905, 0xf49109c01190f41a, 0x25c40c2860d59e2c,
  0xbb07f32bf689dd3e, 0x1daef6087c70c6e9, 0x4239215606ff26f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbfd6a,
  0xd95a2a10cb436722, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x51c72f9130dfe6bd, 0x3cf12701cc41717d,
  0x97e21b09117dc688, 0x9b5d9ebf5abf51f0, 0x653b5b9b886678bb, 0x06cc184ff51e56c1, 0xd08a05315c87f51f,
  0xafa30b2c4522cd3a, 0xf8e7576ef9c3a909, 0x1b1d7b589db4a472, 0x21142628c7cb1aaf, 0x632386f65c7c62e1,
  0xf157ceee2a4b8c6d, 0x073791b5e5caad67, 0xabb39d454aa35d15, 0xb81013a6e576a96f, 0x2b9095c958f47226,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0x9d10273e3182169a, 0xca2317f36d38c6f1, 0x468b1be2e4d5c1e6,
  0x73f53ab337f06fd0, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00002001341ba9c9,
};

static const uint64_t ur_pwm1_swio15_dual_hw[] = {
  0xa7bbbbbb4486ff3e, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xf7d76cf9056efd33,
  0xf25047734f15ef6a, 0xad304f8c0482a0ae, 0x884e008c87a0d23b, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x0caee2f77c5de290, 0x9b7b8a8432d01f11,
  0x8096dd4f7fd01cf0, 0x44c161bcaf2d5be6, 0xef967bfe47eeff3b, 0xc72ac0e0ffa8fb7c, 0xc580aa0f32568f71,
  0xebc019db4a47109c, 0xb4c6325403ff6608, 0xddc549702503cb3d, 0x36bcb955acfe2af9, 0xa8a9546ba2a0e6f2,
  0x74dcaed52df57673, 0xb92b1e8e44d70202, 0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x02a2adec55516920, 0x6371e6ca2317f36d, 0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0xeafc082fa792bf73, 0x00000000000000c6,
};

static const uint64_t ur_pwm1_swio15_dual_ee_hw[] = {
  0x56eeeeeea0a1a5fb, 0xc1f4dac7787cc1c0, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e8280a69,
  0xbba591aeba559682, 0xf8c0482a0aef265d, 0x2321e8348de7d304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef00000370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b7b5, 0x23a7ffced130586f, 0xe57a6e6ab5a3727f, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0x54aa35d15073791b, 0x6e576a96fabb39d4,
  0x958f47226b81013a, 0x9ed5688af2b9095c, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x5156f62aa8b49053,
  0xb8f365118bf9b681, 0x34a1854e7ea6c3b1, 0x3f01f343c899e04e, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x015da17ec2fa792b,
};

static const uint64_t ur_pwm1_swio15_dual_ce_hw[] = {
  0xadddddd0f5a1a5fb, 0xc1f4dacc6bbd8394, 0xf71bbf68ed44e467, 0x51c40526ba01b17d, 0xc26f26517ee94a37,
  0x934cddd2c8d75d2a, 0xf9827c6024150577, 0x84e008c87a0d2138, 0x0614306acf167a48, 0xff32ec24ee9f12e2,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbcc0200, 0xea2a10cb40c7a219,
  0x5b70d1ff4073c26e, 0x0586f2bcb56f9a02, 0xac06f904ebfced13, 0x0f3c49c84babee2f, 0x25f886c2445f71a2,
  0xee6d767ceb3fd47c, 0x224f72c67d4b99e2, 0xca8e39560622fa8f, 0x4a47109cc580bfb8, 0x03ff6678ebc019db,
  0x0940f2d6e4c63254, 0x6b3f8abe7771525c, 0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0x9135c0809d372bb5,
  0x45795c84ae4ac7a3, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x118bf9b681463b7b,
  0xa73f52f571b8f365, 0xc5ce32fcc4fe50c2, 0xf8e7bff826879133, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x09ba8e8a17d3c95f,
};

static const uint64_t ur_pwm1_swio15_dual_ee_ce_hw[] = {
  0x3843ddddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04219,
  0xdcee3822acd33aab, 0x13e30120a82bbc90, 0x02321e8348e3c9cc, 0x0c1ab3c59e922138, 0xbb093ba7c4b88185,
  0x0ff0e188266bbfcc, 0xab03ff937a8fa6b6, 0x815fe63408a11c90, 0xf77c5decf580370f, 0x0865a181110caee2,
  0xb5ff4073c262eb15, 0xe5796adf3404b6fc, 0xe456fff9da260b0d, 0x90956f9dff5472bb, 0xe6d7e8fa927e7893,
  0xb94ed6564dd309ce, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3, 0x35f4616588a459a7, 0xd41ceaedca787521,
  0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b, 0xe2a4a598f9bdaa36, 0x5e5caad67f157cee,
  0x54aa35d15073791b, 0x6e576a96fabb39d4, 0x958f47226b81013a, 0x9ed5688af2b9095c, 0xca5af9d01e395aeb,
  0x8c6f19d10210a905, 0x8c76f62aa8b49053, 0x71e6ca2317f36d02, 0x5c33d30ae4fcfec3, 0xb0e9296cf8138cb2,
  0xe30be9e4afdcd0cc, 0x00000000001134f4,
};

static const uint64_t ur_pwm1_swio15_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d06c4f, 0x0fa6d42f1e1b07df, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793b7ef3efe,
  0x36d3ed0b68d1f382, 0x82a0aef25053bb48, 0x0d23e20f304f8c04, 0x167a4884e008c87a, 0x9f12e20614306acf,
  0x39b96bf32c8354ee, 0xf51f1bb61d8270bc, 0x22847242ac0daee6, 0x1e00dc3e057f98d0, 0x4432bb8bddf177f7,
  0x09b4dc54219681c1, 0xd012dbe547fd01cf, 0x3b982c3795e5ab7c, 0xaa3eaff9130dffbc, 0xf3c58be84a61ae2f,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e6e99e2ee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e,
  0x5f4616588a459a75, 0x41ceaedca7875213, 0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8,
  0x2a4a598f9bdaa360, 0xe5caad67f157ceee, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x58f47226b81013a6,
  0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36d028,
  0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c,
  0xc9a02e792bf73433, 0x0000000000ebaf22,
};

/*
 * pwm2_autobaud_uart0_noled_pr      pwm2b_autobaud_uart0_noled        pwm2b_autobaud_uart0_noled_pr
 * pwm3_autobaud_uart0_noled         pwm3_autobaud_uart0_noled_pr      pwm3b_autobaud_uart0_noled
 * pwm3b_autobaud_uart0_noled_pr
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x82a0aef2776c7b21,
  0x46ecff75304f8c04, 0xa0440a9f091ebff1, 0xa935fb46380ba1a8, 0x90e1b46f6a8e15fa, 0x819a4f51ebf9df2c,
  0x5bdd35ad52e38e55, 0x73b1a446678e62c0, 0xb21ab71cb1823af1, 0x73859bf0312b5ec2, 0x6f378392b01deb5e,
  0xfcdba96ae5297ce1, 0xd10267c502169dc5, 0xa2317f36d38c6f19, 0x0347f1a2c79c376c, 0x19e985727eeacc79,
  0x494b659289c6592e, 0x3e4f257ee6866587, 0x00000000e220492d,
};

// pwm2b_autobaud_uart0_noled_pr_u4  pwm3_autobaud_uart0_noled_pr_u4   pwm3b_autobaud_uart0_noled_pr_u4
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_u4[] = {
  0x5bbbbbbb45d8bf82, 0xeeeeeeaafc2eebe2, 0xa569425f85c76a1e, 0x33f4a64f7777520d, 0xe4eeae3122a6e0d9,
  0xd6609f180905415d, 0x4f84a5f7f89279f3, 0xa31c05d0d4502205, 0x37b5470afd549afd, 0xd47e78ef964870da,
  0x37c9e8e395606693, 0x91e33398b016f74c, 0xc72c608ebc5cecf6, 0xbf0312b5ec2b289d, 0xfa8301deb5e73859,
  0x72f29b19c2de6f00, 0x5ce31bc67440aeaa, 0x1248ab7b15545a58, 0x357079b288c5fcdb, 0x1e40eda1a2c6f8b9,
  0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x917c0329e4afdcd0, 0x000000000000230c,
};

// pwm2b_autobaud_uart0_noled_pr_ee  pwm3_autobaud_uart0_noled_pr_ee   pwm3b_autobaud_uart0_noled_pr_ee
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ee[] = {
  0x44b77777777b1762, 0x5eeeeeeeaae2ff85, 0xefd2ebd385e34f68, 0xfbc5eb44191b5ba5, 0xe4eed33467f4d1d9,
  0x5a609f180905415d, 0x9f096fbff124f3f1, 0x46380ba1a8a0440a, 0x6f6a8e15faa935fb, 0xbd2a6ab5a35f21b4,
  0xa8f83660f22fa8f2, 0x34eb422877c57377, 0xa426be8c2cb1148b, 0xf1cead2f10ae2899, 0xd0ebd75376e791b5,
  0x8451ac46692c6ab5, 0xf5b86f65c3918b84, 0x9bf0312b5ec5c3a7, 0x5ba8301deb5e7385, 0x54e5e5363385bcde,
  0x8173714085a6f55d, 0x18bf9b69c6378ce8, 0x68b1e71726ae3651, 0x5727eeacc7903b68, 0x59289c6592e19e98,
  0x57ee6866587494b6, 0x000c41d53a0194f2,
};

/*
 * pwm2b_autobaud_uart0_noled_pr_ee_u4 pwm3_autobaud_uart0_noled_pr_ee_u4
 * pwm3b_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ee_u4[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x09f180905415de4e, 0x295dffc1ab3fb3a6, 0x01743514088153e1, 0x51c2bf5526bf68c7, 0x4d56b4738c368ded,
  0x83660d31f51e5722, 0xb422877c57dd7a8f, 0x6be8c2cb1148b34e, 0x756979c571ac9a42, 0x75e74ddb7b4782ce,
  0x51cf230e36355ae8, 0x6e1bd96cb98b8484, 0x002a254d2a3608fd, 0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad,
  0x102baa9cbca6c670, 0x5516961738c6f19d, 0x317f36c4922adec5, 0xb1be2e4d5c1e6ca2, 0xfd4eacc7903f2868,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0013539341f4ea79,
};

// pwm2b_autobaud_uart0_noled_pr_ce  pwm3_autobaud_uart0_noled_pr_ce   pwm3b_autobaud_uart0_noled_pr_ce
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ce[] = {
  0x12ddddddddec4743, 0xf777777557e17b27, 0x456a70bd889b1a56, 0x15a30a1b7bbba6d2, 0xbbc9dda8bc9682ac,
  0xfe74c13e30120a82, 0x153e1228bfe249e7, 0xf68c701743514088, 0x68ded51c2bf5526b, 0x160e1ea77fd60fc3,
  0x9dcdafbef4dfe780, 0x727a7b9602eb2613, 0xce9238e5581eb3d4, 0xb57f47ac398b0147, 0x5403ff6678ebd1f3,
  0x071f03cb5b87d99e, 0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670, 0x5516961738c6f19d,
  0x62fe6d89218edec5, 0xa2c79c5c9ab8d944, 0x5c9fbab31e40eda1, 0x64a271964b867a61, 0x5fb9a19961d252d9,
  0x059f845fb80653c9,
};

/*
 * pwm2b_autobaud_uart0_noled_pr_ce_u4 pwm3_autobaud_uart0_noled_pr_ce_u4
 * pwm3b_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ce_u4[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x2b4c13e30120a82b, 0xa7c2450fff83567f, 0xd18e02e86a281102, 0x1bdaa3857eaa4d7e, 0xad23f9717d72486d,
  0x1222fb8d1079e005, 0xf3107ea3e12fc436, 0x633f5933c5dcdaef, 0x5581eb3d4727a7b9, 0xc398b0147ce9238e,
  0x678ebd1f3b57f47a, 0xb5b87d99e5403ff6, 0xfc0c4ad7b071f03c, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x9218edec55516961, 0xab83cd94462fe6d8, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x36fe9d4f257ee686,
  0x0000000000046eaf,
};

/*
 * pwm2b_autobaud_uart0_noled_pr_ee_ce pwm3_autobaud_uart0_noled_pr_ee_ce
 * pwm3b_autobaud_uart0_noled_pr_ee_ce
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x09f180905415de4e, 0x416bff83567c66e6, 0x02e86a281102a7c2, 0xa3857eaa4d7ed18e, 0x3bfea8dfc86d1bda,
  0x687df9e005ad2604, 0xac7be6139dcdaed7, 0xb5fd4795f5129dac, 0x4c5613fd47c1b306, 0xcb1148b34eb42281,
  0xedd388ea426be8c2, 0xce9bb6f68f059cea, 0x3c8c38d8d578d8eb, 0x6f65b2e62e121147, 0x744a9a546c113238,
  0x9c2cdf81895af616, 0x37807d4180ef5af3, 0x575539794d8ce16f, 0x2d2c2e718de33a20, 0xfcdb12431dbd8aaa,
  0x8f38b93571b288c5, 0x3f75663c81f94345, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x59b4faff4ea792bf,
  0x0000000000000001,
};

/*
 * pwm2b_autobaud_uart0_noled_pr_ee_ce_u4 pwm3_autobaud_uart0_noled_pr_ee_ce_u4
 * pwm3b_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x6eeeeeed173e1000, 0xbbbbbaab9e0a3389, 0x123d3ac886ed375b, 0xdf4f0fc01bab41bb, 0xd6abbced6cd99189,
  0x9f180905415de4ee, 0xdbff2a3767eb7e60, 0x743514088153e129, 0xc2bf5526bf68c701, 0xbea8e43c368ded51,
  0xa20f3c00b9d9c1b8, 0x7c25f886c2445f71, 0xc5dcdaea49cdffd4, 0x5f5129dadcdbdf33, 0xd47c1b306b5fd479,
  0x34eb422814c5613f, 0xa426be8c2cb1148b, 0x68f059ceaedd388e, 0x8d578d8ebce9bb6f, 0x62e1211473c8c38d,
  0x46c1132386f65b2e, 0x1895af616744a9a5, 0x180ef5af39c2cdf8, 0x94d8ce16f37807d4, 0x18de33a205755397,
  0x31dbd8aaa2d2c2e7, 0x079b288c5fcdb124, 0x669f1a2c6f8b9357, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x9c8cf257ee686658, 0x000000004113249d,
};

// pwm2b_autobaud_uart0_noled_hw     pwm3_autobaud_uart0_noled_hw      pwm3b_autobaud_uart0_noled_hw
static const uint64_t ur_pwm2_autobaud_uart0_noled_hw[] = {
  0x25bbbbbbbacdc49f, 0xeeeeeeeaafc2eebe, 0x20da569425f9b006, 0xb4133f4a64f77775, 0x15057793bb98921a,
  0x71e7cf59827c6024, 0x4088153e1297dff8, 0x526bf68c70174351, 0x21c368ded51c2bf5, 0x819a4f51f9e3be59,
  0x5bdd30df27a38e55, 0x73b3da478cce62c0, 0xaca2771cb1823af1, 0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7,
  0x02baa9cbca6c670b, 0x516961738c6f19d1, 0x17f36c4922adec55, 0x0ae4fcfec376ca23, 0xcb25138cb25c33d3,
  0x4afdcd0ccb0e9296, 0x0000036cb56ea29e,
};

// pwm2b_autobaud_uart0_noled_ee_hw  pwm3_autobaud_uart0_noled_ee_hw   pwm3b_autobaud_uart0_noled_ee_hw
static const uint64_t ur_pwm2_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0xce9827c602415057, 0xa9f094aeffa14cfe, 0xb46380ba1a8a0440, 0x46f6a8e15faa935f, 0x2b9126ab5a39c61b,
  0xbd47c1b30698fa8f, 0x59a75a1143be2bee, 0x4d2135f4616588a4, 0xc1673ab4bce2b8d6, 0xad743af3a6edbda3,
  0xc24228e791871b1a, 0x047eb70decb65cc5, 0x56bd801512a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060,
  0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x365118bf9b624915, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x617d3c95fb9a1996, 0x000000000589ef92,
};

// pwm2b_autobaud_uart0_noled_ce_hw  pwm3_autobaud_uart0_noled_ce_hw   pwm3b_autobaud_uart0_noled_ce_hw
static const uint64_t ur_pwm2_autobaud_uart0_noled_ce_hw[] = {
  0x96eeeeeed1218375, 0x777777557a4fe2f8, 0x1889b0b4663b4177, 0xc4d2cfde3bdddda1, 0xa0aef27760580ad6,
  0x99fcad304f8c0482, 0x088153e12287ff42, 0x26bf68c701743514, 0x24368ded51c2bf55, 0x3c49c849fcb8beb9,
  0xf886c2445f71a20f, 0x6d731f19bfd47c25, 0xd3dcb19fac99e2ee, 0x91c72ac0f59ea393, 0xfa3d61cc580a3e74,
  0x1ffb33c75e8f9dab, 0xf81e5adc3eccf2a0, 0x70b37e06256bd838, 0xde01f50603bd6bce, 0x5d54e5e5363385bc,
  0xb4b0b9c6378ce881, 0xf36c490c76f62aa8, 0xd4176371e6ca2317, 0xffde1ef79430a9cf, 0x0f226781fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0dd1b8c1c82fa792,
};

/*
 * pwm2_autobaud_uart0_noled_ee_ce_u4_hw pwm2b_autobaud_uart0_noled_ee_ce_hw
 * pwm2b_autobaud_uart0_noled_ee_ce_u4_hw pwm3_autobaud_uart0_noled_ee_ce_hw
 * pwm3_autobaud_uart0_noled_ee_ce_u4_hw pwm3b_autobaud_uart0_noled_ee_ce_hw
 * pwm3b_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xf9827c6024150577, 0x7c253b7ff4299fad, 0x18e02e86a281102a, 0xbdaa3857eaa4d7ed, 0x383717d51c8786d1,
  0x17dc6883cf127212, 0x47f51f097e21b091, 0x7be678bb9b5d2a2e, 0xfa8f2bea253b5b9b, 0xac27fa8f83660d6b,
  0x2291669d68450298, 0xa711d484d7d18596, 0x376ded1e0b39d5db, 0x1871b1aaf1b1d79d, 0xcb65cc5c24228e79,
  0x9534a8d8226470de, 0x59bf0312b5ec2ce8, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae,
  0xb624863b7b15545a, 0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x12a4372017d3c95f,
};

// pwm2b_autobaud_uart0_lednop       pwm3_autobaud_uart0_lednop        pwm3b_autobaud_uart0_lednop
static const uint64_t ur_pwm2_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x415057793bb63d90,
  0xa3767e449827c602, 0x5022054f84b4aff8, 0x549afda31c05d0d4, 0x4870da37b5470afd, 0x606693d47278ef96,
  0x0b7ba61f3a48e395, 0xb9d9af91c829cc58, 0xac1f7b8e58c11d78, 0x04e166fc0c4ad7b0, 0x6c8a0c077ad79e04,
  0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xe722adec555169ab, 0x7f61bb65118bf9b6, 0xc6592e19e985727e,
  0x866587494b659289, 0xc5faed3e4f257ee6, 0x00000000000001ac,
};

// pwm2b_autobaud_uart0_lednop_pr    pwm3_autobaud_uart0_lednop_pr     pwm3b_autobaud_uart0_lednop_pr
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr[] = {
  0x6eeeeee87afb1762, 0xbbbbbaabf0b97189, 0xdb7e9522e3bd7a7b, 0xfe3fc5eeeedc4e1f, 0x9dda668cc19a3b85,
  0xcc13e30120a82bbc, 0xf09775fe249e7e3d, 0x6380ba1a8a0440a9, 0xf6a8e15faa935fb4, 0x8f6b1df2c21e1b46,
  0x483f1c72ac0d05fa, 0x3486731602cb29be, 0xfb30475e8f9d967a, 0x7967b682cd22a01f, 0xcdf81895af6415a0,
  0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94, 0x5bd8aaa2d3574e31, 0xe6ca2317f36dce45,
  0xb43459d3e2e4d5c1, 0x854e7ea75663c81d, 0x678b9c65f989fca1, 0x93f1cf7ff04d0f22, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x0004618c900ca792,
};

// pwm2b_autobaud_uart0_lednop_pr_u4 pwm3_autobaud_uart0_lednop_pr_u4  pwm3b_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_u4[] = {
  0x4b77777768bb1762, 0xfddddddd55f85c64, 0x368ebeb4f1398ec2, 0xb8036da45ddddd48, 0x5de4eed33466b423,
  0xf912609f18090541, 0x02a7c25a57f89279, 0x7ed18e02e86a2811, 0x6d1bdaa3857eaa4d, 0x49ea393c77cb2438,
  0xd30f9d2471cab033, 0xd7c8e414e62c05bd, 0xbdc72c608ebc5cec, 0xb37e06256bd8560f, 0x0603bd6bcf020270,
  0x3929d002de6f3645, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x79b288c5fcdb7391, 0xeda1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x0329e4afdcd0ccb0, 0x000000001186085c,
};

// pwm2b_autobaud_uart0_lednop_pr_ee pwm3_autobaud_uart0_lednop_pr_ee  pwm3b_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ee[] = {
  0x25bbbbbbba88aaac, 0xf77777755717f242, 0x7e976c982fa17af5, 0x99bb4120c8dadd2f, 0x2777c8a3b31313a1,
  0x5304f8c0482a0aef, 0xf095baffe0d59f8e, 0x6380ba1a8a0440a9, 0xf6a8e15faa935fb4, 0x3d66ab5a35f21b46,
  0x8f83660f22fa8f2b, 0x4eb422877c560a7a, 0x426be8c2cb1148b3, 0x9cead2ff22e2899a, 0x0ebd75376c168c43,
  0x280e28e416c6ab5d, 0xdc37b2e1c8c5c242, 0xf0312b5ec5c29afa, 0x1deb5e781013859b, 0x14b579d002de6f30,
  0x8a042d2a7c05a9c9, 0xb69c6378ce88197f, 0x71726ae365118bf9, 0xeacc7903f2868b1e, 0xc6592e19e985727e,
  0x866587494b659289, 0xfb5efe9d4f257ee6, 0x0000000000000620,
};

/*
 * pwm2b_autobaud_uart0_lednop_pr_ee_u4 pwm3_autobaud_uart0_lednop_pr_ee_u4
 * pwm3b_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x13e30120a82bbc9d, 0x595bff83567f4dcc, 0x02e86a281102a7c2, 0xa3857eaa4d7ed18e, 0x9aad68d7c86d1bda,
  0x1b307917d479584f, 0xa1143be2b913d47c, 0x5f4616588a459a75, 0xad2f2f97144cd213, 0xf5d4dd84547cf1ce,
  0x57f47acb1aad743a, 0x1bd970e462e12114, 0x1895af62e07dfd6e, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e,
  0x440ef9537a94e4a7, 0xaaa2d3574e31bc67, 0x2317f36dce455bd8, 0x8b1be2e4d5c1e6ca, 0xcfd4eacc7903f286,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00026a7245ff4ea7,
};

// pwm2b_autobaud_uart0_lednop_pr_ce pwm3_autobaud_uart0_lednop_pr_ce  pwm3b_autobaud_uart0_lednop_pr_ce
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ce[] = {
  0x12ddddddddec53c3, 0x7bbbbbbaabf0b921, 0x45b26d4c99e2fd37, 0x136104a87bbba6d2, 0xbbc9dd23f2eec8c7,
  0xce1cc13e30120a82, 0x153e124adfe249e7, 0xf68c701743514088, 0x68ded51c2bf5526b, 0x160e48877fd60fc3,
  0x9dcdafb3a397e780, 0x7e927b9602eb2613, 0x111638e5581eb3d4, 0xcb3d1a43398b0153, 0x500ffd99e3af47ce,
  0x82b40f2d6e416691, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a,
  0x73863b7b15545a6a, 0xb93571b288c5fcdb, 0x663c81db43458f38, 0x2c970cf4c2b93f75, 0x32c3a4a5b2c944e3,
  0x71f00ca792bf7343, 0x00000000000b3f0b,
};

/*
 * pwm2b_autobaud_uart0_lednop_pr_ce_u4 pwm3_autobaud_uart0_lednop_pr_ce_u4
 * pwm3b_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ce_u4[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0x75304f8c0482a0ae, 0x9f09604ffe0d59fb, 0x46380ba1a8a0440a, 0x6f6a8e15faa935fb, 0x692a55c5f5c921b4,
  0x9117dc6883cf002d, 0xf003f51f097e21b0, 0x33f5933c5dcdaf5b, 0x581eb3d47e927b96, 0x398b0153111638e5,
  0xe3af47cecb3d1a43, 0x6e416691500ffd99, 0x0312b5ec82b40f2d, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x88c5fcdb73863b7b, 0xa2c6f8b9357079b2, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000046eb5657d3a9,
};

/*
 * pwm2b_autobaud_uart0_lednop_pr_ee_ce pwm3_autobaud_uart0_lednop_pr_ee_ce
 * pwm3b_autobaud_uart0_lednop_pr_ee_ce
 */
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x04f8c0482a0aef27, 0x2b1fffe0d59f0d13, 0x01743514088153e1, 0x51c2bf5526bf68c7, 0x9dff546fe4368ded,
  0x4fd7fcf002d6937d, 0x2b1ef984e7736b8a, 0xad7f51e57dd4a76b, 0x5315edff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb71ea3a909afa30, 0x79d3768c9193473a, 0x2791bdab1aaf1b1d, 0x0decb65cc5c24228, 0x98fb33ca8d822647,
  0x270b37e06256bd85, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x26ae365118bf9b6e, 0xc7903f2868b1e717, 0x92e19e985727eeac, 0x587494b659289c65, 0xffe9d4f257ee6866,
  0x0000000000159bb1,
};

/*
 * pwm2b_autobaud_uart0_lednop_pr_ee_ce_u4 pwm3_autobaud_uart0_lednop_pr_ee_ce_u4
 * pwm3b_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddddda2e7c92df, 0x777775573c1c9d12, 0x8cc489a5295aecb7, 0x7c8e1f8037568376, 0xa3e842af89b66762,
  0x7c602415057793ba, 0x83fca8dd9f43e982, 0xe86a281102a7c258, 0x857eaa4d7ed18e02, 0x7d51c8786d1bdaa3,
  0x441e780173b4b571, 0xf84bf10d8488bee3, 0x17736b9806e87fa8, 0x7dd4a76b736f7ccf, 0x51f06cc1ad7f51e5,
  0xd3ad08a05315edff, 0x909afa30b2c4522c, 0x9193473abb71ea3a, 0x1aaf1b1d79d3768c, 0xc5c242282791bdab,
  0x8d8226470decb65c, 0x6256bd8598fb33ca, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x18bf9b6e70c76f62, 0x58df1726ae0f3651, 0xf53ab31e40cd3e34, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x008226d7bb3919e4,
};

// pwm2b_autobaud_uart0_lednop_hw    pwm3_autobaud_uart0_lednop_hw     pwm3b_autobaud_uart0_lednop_hw
static const uint64_t ur_pwm2_autobaud_uart0_lednop_hw[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x415057793bb63d90,
  0x871e7e449827c602, 0x8a0440a9f09695ff, 0xaa935fb46380ba1a, 0xc90e1b46f6a8e15f, 0xac0cd27a8e4f1df2,
  0x016f74c3e7491c72, 0x173b35f23905398b, 0x1583ef71cb1823af, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xcfec376ca2317f36, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x6d96beba29e4afdc,
};

// pwm2b_autobaud_uart0_lednop_ee_hw pwm3_autobaud_uart0_lednop_ee_hw  pwm3b_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_pwm2_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0xad304f8c0482a0ae, 0x53e12d37ff4299f1, 0x68c7017435140881, 0x8ded51c2bf5526bf, 0x56654d56b4738c36,
  0xfa8f83660d31f51e, 0x669d68450ef8ac3d, 0x3484d7d185962291, 0x4d1cead2e7aae359, 0x5ae875e74dda3246,
  0x8484504f237b5635, 0x08fd6e1bd96cb98b, 0x5af60043eccf2a36, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x7f36dce455bd8aaa, 0xfd4176371e6ca231, 0x9ffde1ef79430a9c,
  0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b, 0x000589e01582fa79,
};

// pwm2b_autobaud_uart0_lednop_ce_hw pwm3_autobaud_uart0_lednop_ce_hw  pwm3b_autobaud_uart0_lednop_ce_hw
static const uint64_t ur_pwm2_autobaud_uart0_lednop_ce_hw[] = {
  0x2ddddddda2431768, 0xeeeeeeaaf49f8671, 0xc47179b163f6c8ee, 0x67ae34d4deeeed08, 0x057793ba6e8ed68f,
  0xcfdba9827c602415, 0x440a9f09604ffa14, 0x35fb46380ba1a8a0, 0x21b46f6a8e15faa9, 0xc49c84aa55c5f5c9,
  0x886c2445f71a20f3, 0xb5ffe068fd47c25f, 0x4f72c67eb2678bb9, 0xc71cab03d67a8fd2, 0xa3486731602a6222,
  0xffb33c75e8f9d967, 0x81e5adc82cd22a01, 0x0b37e06256bd9056, 0x50603bd6bcf02027, 0x53929d002de6f364,
  0xc6f19d103be54dea, 0xc76f62aa8b4d5d38, 0x8f365118bf9b6e70, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x43e17d3c95fb9a19, 0x0000000000dd1bb8,
};

/*
 * pwm2_autobaud_uart0_lednop_ee_ce_u4_hw pwm2b_autobaud_uart0_lednop_ee_ce_hw
 * pwm2b_autobaud_uart0_lednop_ee_ce_u4_hw pwm3_autobaud_uart0_lednop_ee_ce_hw
 * pwm3_autobaud_uart0_lednop_ee_ce_u4_hw pwm3b_autobaud_uart0_lednop_ee_ce_hw
 * pwm3b_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xf4c13e30120a82bb, 0x9f09620ffa14cfa1, 0x46380ba1a8a0440a, 0x6f6a8e15faa935fb, 0x92d5c5f54721e1b4,
  0x45f71a20f3c49c84, 0x72fd47c25f886c24, 0xdef99e2ee6d7a4a6, 0xfea3cafba94ed6e6, 0x2bdbfea3e0d9835a,
  0x88a459a75a1140a6, 0xe3d4752135f46165, 0xa6ed1923268e7576, 0x237b56355e363af3, 0xd96cb98b8484504f,
  0xf667951b044c8e1b, 0x166fc0c4ad7b0b31, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8, 0x8de33a2077ca9bd4,
  0x8edec555169aba71, 0x1e6ca2317f36dce1, 0x79430a9cfd417637, 0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678,
  0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x6942fa792bf73433, 0x0000000000025499,
};

/*
 * pwm2_autobaud_uart0_dual_pr       pwm2b_autobaud_uart0_dual         pwm2b_autobaud_uart0_dual_pr
 * pwm3_autobaud_uart0_dual          pwm3_autobaud_uart0_dual_pr       pwm3b_autobaud_uart0_dual
 * pwm3b_autobaud_uart0_dual_pr
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual[] = {
  0x7dddddddde7c92df, 0xeeeeee9b58ef6530, 0xabe3b41b8b16f5de, 0x19ce7adbbbbf4e5d, 0x57728fa10dce26c2,
  0x9f180905415de4d4, 0x01190f41a4022660, 0x860d59e2cf49109c, 0x4d6a9dd3e25c40c2, 0x1810e12ba6b75f99,
  0xab0338737a8ec176, 0x815fe63408a11c90, 0x5eef8bbf1000370f, 0x50865a1d422195dc, 0x387ff4073c2697d1,
  0x6f2bcb56f9a025b7, 0xf849fcff06873058, 0x31c05d0d45022054, 0x7b5470afd549afda, 0x47c8a77cb1350da3,
  0xc5ef8e39560621fd, 0x1d7f398b01541e69, 0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0,
  0x9c2cdf81895af64f, 0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574,
  0x5c1e6ca2317f36dc, 0x0334f8d163ce2e4d, 0x19e985727eeacc79, 0x7494b67c09c6592e, 0x9c8cf257ee686658,
  0x00000002ab3763fd,
};

// pwm2b_autobaud_uart0_dual_pr_u4   pwm3_autobaud_uart0_dual_pr_u4    pwm3b_autobaud_uart0_dual_pr_u4
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_u4[] = {
  0xfbbbbbbb44865c93, 0xdddddd36b1deca60, 0xbb57c768376962dd, 0x84339cf5b7777e9c, 0x15dc338b8b75bbc9,
  0x27c6024150577935, 0x004643d069008998, 0xa1835678b3d24427, 0x97612774f8971030, 0x61810e12ba6b75f9,
  0x0ab0338737a8ec17, 0xf815fe63408a11c9, 0xc5eef8bbf1000370, 0x150865a1d422195d, 0x7387ff4073c2697d,
  0x86f2bcb56f9a025b, 0x4f849fcff5fed305, 0xa31c05d0d4502205, 0x37b5470afd549afd, 0xd47c8a77cb1350da,
  0x9c5ef8e39560621f, 0x91d7f398b01541e6, 0xffd9823af00676b5, 0x03cb3db10e90d500, 0xfe2af9ddc549549d,
  0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0xce455bd8aaa2d357,
  0xc371e6ca2317f36d, 0xd599bf83bb8d1637, 0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e,
  0x9c6592e19e985f1a, 0xe6866587494b67c0, 0xc1579f6d274f257e, 0x0000000000000005,
};

// pwm2b_autobaud_uart0_dual_pr_ee   pwm3_autobaud_uart0_dual_pr_ee    pwm3b_autobaud_uart0_dual_pr_ee
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ee[] = {
  0xfbbbbbbba8286f97, 0xbbbbba6d433aef60, 0x126ba01b17df71bb, 0x328bf0a977ba02a7, 0x78233ae3fa9d1379,
  0x0120a82bbc929cee, 0x43d06909c7cc13e3, 0x5678b3d244270046, 0x2774f8971030a183, 0x3835dcc87df99761,
  0xc344dea3bfcd8620, 0xf98d022847242ac0, 0x8bbcc0200dc3e057, 0xb425722195dc5eef, 0xe80e784c50e2a10c,
  0x96adf3404b6e1a3f, 0x75febfda60b0de57, 0x743514088153e122, 0xc2bf5526bf68c701, 0x56b47224368ded51,
  0xcc1829ea3cad7dcd, 0x8a1df15d4af51f06, 0xa30b2c4522cd3ad0, 0x973297152e6909af, 0x512ed10a3dece756,
  0x8a8f9eb1aad743af, 0xdecbe9662e121140, 0x84feb151b047eb70, 0x93f8abe777152500, 0x20270b37e06256bd,
  0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0xb739156f62aa8b4d, 0x578dc79b288c5fcd,
  0x3ab337f07771a2cb, 0xcf0271a50c2a73f5, 0xa615c9f80f9a1e44, 0x52d9f0271964b867, 0xd3c95fb9a19961d2,
  0x0000029520e8bb49,
};

/*
 * pwm2b_autobaud_uart0_dual_pr_ee_u4 pwm3_autobaud_uart0_dual_pr_ee_u4
 * pwm3b_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ee_u4[] = {
  0xc1f7777776890c86, 0x77777774da867bf6, 0xb23b5b62f1ab6bbf, 0x0b201a2fc2a5deeb, 0x2ddddd8dd9683cc5,
  0x27c6024150577930, 0x008c87a0d2138f98, 0x4306acf167a4884e, 0x2ec24ee9f12e2061, 0xc34d1c1fe4d883f3,
  0x2ac0ec7e6f51c346, 0xe057f98d02284724, 0x2f77c5de49400dc3, 0x50865a0c1510caee, 0x0d1ff4073c2690f1,
  0x6f2bcb56f9a025b7, 0xf0913aff5fed3058, 0x6380ba1a8a0440a9, 0xf6a8e15faa935fb4, 0x1ee6ab5a3d2a1b46,
  0x8f83660fe4f51e56, 0x9d68450ef8ac27fa, 0x84d7d18596229166, 0x73ab4ba00b841734, 0x875ed6276b591f40,
  0x8a043a313f6355ae, 0xadc37b2e3e317090, 0x57ceee2a4ab8905f, 0x166fc0c4ad7b27f1, 0x4ac077ad79e0404e,
  0x94e5f3a005bcde0e, 0x502169e18aca9dc5, 0x6d38c6f19d103f5c, 0x37c371e6ca2317f3, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x014a92056d274f25,
};

// pwm2b_autobaud_uart0_dual_pr_ce   pwm3_autobaud_uart0_dual_pr_ce    pwm3b_autobaud_uart0_dual_pr_ce
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ce[] = {
  0x07dddddddde7ce7c, 0xeeeeeee9b58ecb13, 0xe2d473805517ebad, 0xf69f675b777638e4, 0x3776cdb4f5711f99,
  0x9f180905415de4d3, 0x02321e8348d50660, 0x0c1ab3c59e922138, 0x9ad53ba7c4b88185, 0x472381c19babff32,
  0xac0e574dea3eced8, 0x057f98d022847242, 0xf77c5dfd8200dc3e, 0x0865a063d10caee2, 0xaeffa039e1377515,
  0x795e5ab7cd012dbc, 0x84be77f8343982c3, 0x1c05d0d45022054f, 0xb5470afd549afda3, 0x7dd1dff51bf0da37,
  0xb5e391c1fcf002e7, 0x3dcb01438cc273b9, 0xe3956061c7d47b87, 0x6f68e62c058877b8, 0xcb19e3af22dd89e4,
  0xf9ddc54947427f71, 0xcdf81895af64fe2a, 0x180ef5af3c0809c2, 0xe4a7400b79bcd914, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0xcd94462fe6db9c31, 0x9f1a2c79c5c9ab83, 0x30ae4fdd598f2066, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000029e4f9cb391,
};

/*
 * pwm2b_autobaud_uart0_dual_pr_ce_u4 pwm3_autobaud_uart0_dual_pr_ce_u4
 * pwm3b_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ce_u4[] = {
  0x0fbbbbbbb4486f97, 0x77777774da2b75a6, 0xdeb0ebe7da4cdeef, 0xd201aaf8d5bbbb02, 0xa33773c119d385a9,
  0x609f180905415de4, 0x9c01190f41a40592, 0xc2860d59e2cf4910, 0xe65d849dd3e25c40, 0xfb0b1f387fc98347,
  0x215607d5f37a8fd3, 0x1f02bfcc68114239, 0x717bbe2efb91006e, 0x8a8432d074a88657, 0x7eafffa039e13145,
  0x86f2bcb56f9a025b, 0x9f09656ff5fed305, 0x46380ba1a8a0440a, 0x6f6a8e15faa935fb, 0x848a2dc5f55f21b4,
  0x2445f71a20f3c49c, 0x06bbfd47c25f886c, 0x33c38ccf17736be2, 0xc0c38fa8f70e7b96, 0xcc580b10ef71c72a,
  0xc75e45bb13c8ded1, 0x8a928e84fee39633, 0x312b5ec9fc55f3bb, 0xeb5e781013859bf0, 0x8016f379b228301d,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1, 0xee3458df0dc79b28, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x9d3c95fb9a19961d,
  0x0000002b5ec217b4,
};

/*
 * pwm2b_autobaud_uart0_dual_pr_ee_ce pwm3_autobaud_uart0_dual_pr_ee_ce
 * pwm3b_autobaud_uart0_dual_pr_ee_ce
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ee_ce[] = {
  0xc1f777777750cf68, 0x77777774da7a6338, 0xb17c8970b0b695ef, 0x369b36f5c376e843, 0x347d4e8e09bb38ff,
  0x80905415de4ce277, 0x43d069047ae609f1, 0x5678b3d244270046, 0x2774f8971030a183, 0x38759ccc87f99761,
  0xfaf37a8f30db067c, 0xcc68114239215607, 0x5dfd4e006e1f02bf, 0xa016910caee2f77c, 0x4073c26383150865,
  0x6adf3404b6ffafff, 0x5febfda60b0de579, 0x43514088153e12d3, 0x2bf5526bf68c7017, 0xea8dc9c368ded51c,
  0xd7e78939090d63bf, 0x6e984e7736bde1f2, 0xf51e56fe4a76b2b2, 0xae037a8f83660d7c, 0x2291669d68450298,
  0x8ca1d484d7d18596, 0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f,
  0xfe2af9ddc5494b31, 0x09c2cdf81895af64, 0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953,
  0x9c31dbd8aaa2d357, 0x86e3cd94462fe6db, 0x5666fe0eee3458f3, 0x32c970cf4c2b93f7, 0x4332c3a4a5b3e04e,
  0x4153b693a792bf73, 0x00000000000000c4,
};

/*
 * pwm2b_autobaud_uart0_dual_pr_ee_ce_u4 pwm3_autobaud_uart0_dual_pr_ee_ce_u4
 * pwm3b_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0xbbba6d033fabb07d, 0x6732628c74787bbb, 0x1282b753edd6ec10, 0x2816d171657b70b3,
  0xc9086eed20db4f8c, 0x9cc13e30120a82bb, 0x13802321e834813c, 0x1850c1ab3c59e922, 0xe657ed13ba7c4b88,
  0xd85251c19ca6e8ff, 0x0ab0367c9bd47643, 0xf815fe63408a11c9, 0x2f77c5df1f700370, 0xa10cb4376910caee,
  0x3e7fd01cf09ba7e2, 0x795e5ab7cd012dbb, 0x849aeffcd7b982c3, 0x1c05d0d45022054f, 0xb5470afd549afda3,
  0x6ae2faa32eb0da37, 0xfb8d1079e24e0381, 0x7ea3e12fc4361222, 0x333c5dcdaf743754, 0x479599529dadcdc4,
  0x0f7ea3e0d9834c7d, 0xa459a75a1140a62b, 0x3c752135f4616588, 0xd87c47d21ceaedc1, 0x4bb1aaf1b1d7b589,
  0x8f8c5c24228e811d, 0x92e3113e6470decb, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x5fcdb73863b7b155, 0x6f8b9357079b288c, 0xeaccdfc1bf411a2c,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0xab6917eea72792bf, 0x000000000000001f,
};

// pwm2b_autobaud_uart0_dual_hw      pwm3_autobaud_uart0_dual_hw       pwm3b_autobaud_uart0_dual_hw
static const uint64_t ur_pwm2_autobaud_uart0_dual_hw[] = {
  0xf7777776890c0668, 0xbbbbba6d63bd94c1, 0x76af8ed06ed2c5bb, 0x086739eb6eeefd39, 0x9a8aee07d609bc7f,
  0xcc13e30120a82bbc, 0x13802321e8348044, 0x1850c1ab3c59e922, 0xfccbb093ba7c4b88, 0x0bb0c087095d35ba,
  0xe4855819c39bd476, 0xb87c0aff31a04508, 0xaee2f77c5df88001, 0xbe8a8432d0ea110c, 0x2db9c3ffa039e134,
  0x82c3795e5ab7cd01, 0x40a9f093f9fe7689, 0x5fb46380ba1a8a04, 0x1b46f6a8e15faa93, 0x43fa8f914ef9626a,
  0x3cd38bdf1c72ac0c, 0xd6b23afe731602a8, 0xa01ffb30475e00ce, 0x93a07967b621d21a, 0xec9fc55f3bb8a92a,
  0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a,
  0x82ec6e3cd94462fe, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1,
  0xee6866587494b67c, 0x3d1b979f05f4f257,
};

// pwm2b_autobaud_uart0_dual_ee_hw   pwm3_autobaud_uart0_dual_ee_hw    pwm3b_autobaud_uart0_dual_ee_hw
static const uint64_t ur_pwm2_autobaud_uart0_dual_ee_hw[] = {
  0xddddddd0f5a1a5fb, 0xddddd36a19d77b07, 0x935d00d8befb8ddd, 0x945f854bbdd01538, 0x74b235d74ab09bc9,
  0x180905415de494e7, 0x321e83484e3e609f, 0x1ab3c59e92213802, 0x093ba7c4b881850c, 0x01c1aee643efccbb,
  0x061a26f51dfe6c31, 0xbfcc681142392156, 0x7c5de601006e1f02, 0x65a12b910caee2f7, 0xff4073c262871508,
  0xbcb56f9a025b70d1, 0x44ebfced130586f2, 0x02e86a281102a7c2, 0xa3857eaa4d7ed18e, 0x9aad68e4486d1bda,
  0x0d983053d4795afb, 0xa1143be2ba95ea3e, 0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce,
  0x81151f3d6355ae87, 0xe1bd97d2cc5c2422, 0x0109fd62a3608fd6, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0x2f571b8f365118bf,
  0x2fcc4fe50c2a73f5, 0xff826879133c5ce3, 0x4b867a615c9f8e7b, 0x961d252d9f027196, 0xe8a17d3c95fb9a19,
  0x0000000000058390,
};

// pwm2b_autobaud_uart0_dual_ce_hw   pwm3_autobaud_uart0_dual_ce_hw    pwm3b_autobaud_uart0_dual_ce_hw
static const uint64_t ur_pwm2_autobaud_uart0_dual_ce_hw[] = {
  0x3eeeeeeed121a5fb, 0xeeeeee9b456d13d8, 0x2aabdd6e356a10ee, 0x714d7b17dddd2948, 0xb12ee9646bae9565,
  0xc13e30120a82bbc9, 0x7004643d06917254, 0x0a1835678b3d2442, 0x997612774f897103, 0xb04db384edcd6b7f,
  0x1560663f37a8fbb5, 0xf02bfcc681142392, 0x2f77c5dfd1f006e1, 0x50865a050d10caee, 0x63fff4073c2674b1,
  0xde5796adf3404b6e, 0xf84b677f9da260b0, 0x31c05d0d45022054, 0x7b5470afd549afda, 0x24e96e2faa010da3,
  0x222fb8d1079e24e4, 0x3107ea3e12fc4361, 0xcfa9733c5dcdaeff, 0x03a97ea38df9ee58, 0x316028283e471cab,
  0x75e00ced6b23afe7, 0xc21d21aa01ffb33c, 0xeee2a4aa4e81e5ad, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166,
  0x53a005bcde6c8a0c, 0x33a2077ca9bd4a72, 0xec555169aba718de, 0xca2317f36dce18ed, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x0000000017a37190,
};

/*
 * pwm2b_autobaud_uart0_dual_ee_ce_hw pwm3_autobaud_uart0_dual_ee_ce_hw
 * pwm3b_autobaud_uart0_dual_ee_ce_hw
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_ee_ce_hw[] = {
  0x07dddddddd435202, 0xddddddd369e98ce3, 0xc5f225c2c2da57bd, 0xda6cdbd70ddba10e, 0xe721d6d37cd7e3fc,
  0x30120a82bbc99c4e, 0xc87a0d208f5cc13e, 0x6acf167a4884e008, 0x24ee9f12e2061430, 0x870eb39990ff32ec,
  0xff5e6f51e61b60cf, 0xf98d022847242ac0, 0x8bbfa9c00dc3e057, 0xb402d22195dc5eef, 0xe80e784c7062a10c,
  0x2d5be68096dff5ff, 0x9aff3b44c161bcaf, 0xba1a8a0440a9f096, 0xe15faa935fb46380, 0xff546e4e1b46f6a8,
  0x293f3c49c8486b1d, 0x64dd309cee6d7800, 0xf9ea3cadfc94ed65, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05,
  0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470,
  0xc9fc55f3bb8a9296, 0x1013859bf0312b5e, 0x79b228301deb5e78, 0xa6f529c94e8016f3, 0xae9c6378ce881df2,
  0xb73863b7b15545a6, 0xfb0dc79b288c5fcd, 0x32c970cf4c2b93f3, 0x4332c3a4a5b3e04e, 0xf855382fa792bf73,
  0x0000000000000135,
};

/*
 * pwm2b_autobaud_uart0_dual_ee_ce_u4_hw pwm3_autobaud_uart0_dual_ee_ce_u4_hw
 * pwm3b_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeeeeed1468a812, 0xddddd36819ae2d83, 0xd7be3f83ed782ddd, 0x4f189415bbbf6a3f, 0xf072dfed0a31721b,
  0x2a0aef24b13b83eb, 0x6914fc3304f8c048, 0xb3d24427004643d0, 0xf8971030a1835678, 0x9b9bff99641aa774,
  0xa3b396c3a3e70524, 0x508e485581b21cde, 0x801b87c0aff31a04, 0x8657717bbe2ef3af, 0x6ff9150865a13b68,
  0x04b6ec87ff4073c2, 0xe60b0de5796adf34, 0x40a9f096377fef0e, 0x5fb46380ba1a8a04, 0x1b46f6a8e15faa93,
  0xd090cddc5f546a7a, 0x488bee3441e78b17, 0x39bffa8f84bf10d8, 0x9b9ba678bb9b5d49, 0xbe7a8f2b7f253b5b,
  0x4c5701bd47c1b306, 0xcb1148b34eb42281, 0xedc650ea426be8c2, 0xea25da2147bd9cea, 0x22a3e7ac6abc6c75,
  0x37b2fa598b848450, 0x989fd62a3608991c, 0xb27f157ceee2a4a5, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e,
  0xa9bd4a7253a005bc, 0xaba718de33a2077c, 0x6dce18edec555169, 0x176371e6ca2317f3, 0xde1ef79430a9cfd4,
  0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x34c8f27a02e792bf,
  0x0000000000000021,
};

/*
 * pwm2_u1x8_uart0_noled_pr          pwm2b_u1x8_uart0_noled            pwm2b_u1x8_uart0_noled_pr
 * pwm3_u1x8_uart0_noled             pwm3_u1x8_uart0_noled_pr          pwm3b_u1x8_uart0_noled
 * pwm3b_u1x8_uart0_noled_pr
 */
static const uint64_t ur_pwm2_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf052609f18090541, 0x0b7b02f93fe28dd9, 0x3be5843dce6fed10, 0x38e5581a0bf51fa0, 0x731602cb299efb5a,
  0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x06256bd838f81e59, 0x0603bd6bce70b37e, 0xe5363385bcde01f5,
  0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0xe1bb65118bf9b624, 0x5663c81a3f8d163c, 0x32c970cf4c2b93f7,
  0x332c3a4a5b2c944e, 0x00e569f2792bf734, 0x00000000000003e4,
};

// pwm2b_u1x8_uart0_noled_pr_u4      pwm3_u1x8_uart0_noled_pr_u4       pwm3b_u1x8_uart0_noled_pr_u4
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_u4[] = {
  0xbbbbbaeea2ec4743, 0xeeeeeaaec385ee25, 0xb67eefc3e33499ee, 0x7eb4bf37774880b2, 0x93bb51792d8f583c,
  0x49827c6024150577, 0xbd817c9fe249e7c1, 0xf2c21ee737f68805, 0x72ac0d05fa8fd01d, 0x8b016594cf7dad1c,
  0xebd1f3b57f47ac39, 0xc7d99e5403ff6608, 0x12b5ec1c7c0f2cf6, 0x01deb5e73859bf03, 0x9b19c2de6f00fa83,
  0x1bc67440aeaa72f2, 0xab7b15545a585ce3, 0x79b288c5fcdb1248, 0xeda1a2c6f8b93570, 0x0c2a73f53ab31e40,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0329e4afdcd0ccb0,
  0x000000003e4f6bdc,
};

// pwm2b_u1x8_uart0_noled_pr_ee      pwm3_u1x8_uart0_noled_pr_ee       pwm3b_u1x8_uart0_noled_pr_ee
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ee[] = {
  0xb777775ddbd8bf82, 0xdddddd55d7208244, 0xf0a7a636cfdec33d, 0x662705f0bddddfe2, 0x5c62448fc1b0666c,
  0x3e30120a82bbc9dd, 0x74bfe249e7ca5cc1, 0x8dce6fed100b7b02, 0xf51e57224d56b473, 0x57dd7a8f83660d31,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x7b4782ce756979c5, 0x36355ae875e74ddb, 0xb98b848451cf230e,
  0x2a3608fd6e1bd96c, 0xc0c4ad7b002a254d, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e, 0x38c6f19d102baa9c,
  0x922adec555169617, 0x4d5c6ca2317f36c4, 0x8f2076d0d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0xe40329e4afdcd0cc, 0x0000000000029f34,
};

// pwm2b_u1x8_uart0_noled_pr_ee_u4   pwm3_u1x8_uart0_noled_pr_ee_u4    pwm3b_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ee_u4[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xf180905415de4ee9, 0x4bffc1ab3e52e609, 0xdce6fed100b7b027, 0x51e57224d56b4738, 0x7dd7a8f83660d31f,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0xb4782ce756979c57, 0x6355ae875e74ddb7, 0x98b848451cf230e3,
  0xa3608fd6e1bd96cb, 0x0c4ad7b002a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb,
  0x22adec5551696173, 0xc1e6ca2317f36c49, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x9f4ea792bf734332, 0x00000000009d7153,
};

// pwm2b_u1x8_uart0_noled_pr_ce      pwm3_u1x8_uart0_noled_pr_ce       pwm3b_u1x8_uart0_noled_pr_ce
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbaeed41ec53c3, 0xeeeeaaec385c625b, 0xdfa548b8ef5e9eee, 0x8ff17bbbbe16fdb6, 0x748fcbb0671c617f,
  0x04f8c0482a0aef27, 0x05dd7f89279f8f73, 0xc1fb9cdfda2016f6, 0xfcf002c1c3d4effa, 0x9309cee6d7e9fb1f,
  0x59ea393d3dcb0175, 0x80a3e7491c72ac0f, 0xe8f9dabfa3d61cc5, 0xeccf2a01ffb33c75, 0x56bd838f81e5adc3,
  0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63, 0x6ca2317f36c490c7,
  0x434596af2e4d5c1e, 0x54e7ea75663c81db, 0x343c899e04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0xcc900ca792bf7343, 0x0000000000000375,
};

// pwm2b_u1x8_uart0_noled_pr_ce_u4   pwm3_u1x8_uart0_noled_pr_ce_u4    pwm3b_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xd304f8c0482a0aef, 0xd81145ffe0d59ff9, 0xf5c92e737f68805b, 0x41e78016b48fe5c5, 0x84bf10d8488bee34,
  0x17736bbfcc41fa8f, 0x1c9e9ee58cfd64cf, 0xf3a48e395607acf5, 0xed5fd1eb0e62c051, 0x9500ffd99e3af47c,
  0xc1c7c0f2d6e1f667, 0x5e73859bf0312b5e, 0x2de6f00fa8301deb, 0x440aeaa72f29b19c, 0x5545a585ce31bc67,
  0x18bf9b624863b7b1, 0x58df1726ae0f3651, 0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x0006eba65afa753c,
};

// pwm2b_u1x8_uart0_noled_pr_ee_ce   pwm3_u1x8_uart0_noled_pr_ee_ce    pwm3b_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ee_ce[] = {
  0xb777775dda88aaac, 0xdddddd55ee044844, 0xdbdb260be85ebd7d, 0xdda09221c1f746be, 0xbbe451d98989d0cc,
  0x827c602415057793, 0x0add7ff06acfc729, 0x995739bfb4402dec, 0xc00b5a4fdc77fd51, 0x273b9b5f76936ff3,
  0x2b05253b5959194c, 0xfa8f83660c6ffa8f, 0xb34eb422814c5710, 0xea426be8c2cb1148, 0x0e8c4f9ceaedcf78,
  0x8d578d8ebd753761, 0x8b84845120a8f19d, 0x1fc332386f65c391, 0x9c2cdf81895af663, 0xce16f37980ef5af3,
  0x169c9183536253f7, 0x8c6f19d102103182, 0x4d5c6ca2317f36d3, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0xdfd3a9e4afdcd0cc, 0x0000000000534f6b,
};

/*
 * pwm2b_u1x8_uart0_noled_pr_ee_ce_u4 pwm3_u1x8_uart0_noled_pr_ee_ce_u4
 * pwm3b_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbaeea2e7c3375, 0xdddd55e3414ce25b, 0x368a6ee0dedc1ddd, 0x5965569bb0bd4dae, 0x1568dd5cee9dc968,
  0x8c0482a0aef2774b, 0x7f951bb3e337304f, 0x39bfb4402dec082d, 0xe76706e2faa390f7, 0x09117dc6883cf002,
  0x2737ff51f097e21b, 0x736f7ccf17736ba9, 0xad7f51e57d44a76b, 0x531584ff51f06cc1, 0xb2c4522cd3ad08a0,
  0xbb74e23a909afa30, 0xf3a6edbda3c1673a, 0xcf230e36355e363a, 0x1bd96cb98b848451, 0x9d12a6951b044c8e,
  0xe70b37e06256bd85, 0xcde01f50603bd6bc, 0x15d54e5e5363385b, 0x8b4b0b9c6378ce88, 0x7f36c490c76f62aa,
  0xbe2e4d5c1e6ca231, 0x75663c819a7c68b1, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687,
  0x271964b867a617c6, 0xb9a19961d252d9f0, 0x9f880ad67233c95f,
};

// pwm2b_u1x8_uart0_noled_hw         pwm3_u1x8_uart0_noled_hw          pwm3b_u1x8_uart0_noled_hw
static const uint64_t ur_pwm2_u1x8_uart0_noled_hw[] = {
  0x5bbbbbaeed66e614, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0xf8fd697e6eee9101, 0x15de4ee8dbc77af4,
  0x9f052609f1809054, 0x2016f605f27fe1c7, 0x4077cb087b9cdfda, 0xb471cab03417ea3f, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xfc0c4ad7b071f03c, 0xea0c077ad79ce166, 0xcbca6c670b79bc03,
  0x738c6f19d102baa9, 0x4922adec55516961, 0xfec376ca2317f36c, 0x8cb25c33d30ae4fc, 0x0ccb0e9296cb2513,
  0x1c4072a29e4afdcd, 0x0000000000000001,
};

// pwm2b_u1x8_uart0_noled_ee_hw      pwm3_u1x8_uart0_noled_ee_hw       pwm3b_u1x8_uart0_noled_ee_hw
static const uint64_t ur_pwm2_u1x8_uart0_noled_ee_hw[] = {
  0x777775dd44862d7b, 0xddddd55d7208244b, 0x5e14f4c6dec33ddd, 0x8cc4e0be17bbbbfc, 0x7751d94ad7640ccd,
  0x304f8c0482a0aef2, 0xb0274bff4299f297, 0x4738dce6fed100b7, 0xd31f51e57224d56b, 0x77c57dd7a8f83660,
  0x2cb1148b34eb4228, 0x9c571ac9a426be8c, 0xddb7b4782ce75697, 0x30e36355ae875e74, 0x96cb98b848451cf2,
  0x54d2a3608fd6e1bd, 0x66fc0c4ad7b002a2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc, 0x61738c6f19d102ba,
  0x6c4922adec555169, 0x176371e6ca2317f3, 0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f,
  0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x0b7f8d0c2fa792bf,
};

// pwm2b_u1x8_uart0_noled_ce_hw      pwm3_u1x8_uart0_noled_ce_hw       pwm3b_u1x8_uart0_noled_ce_hw
static const uint64_t ur_pwm2_u1x8_uart0_noled_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xbbbbbbbaabb0e0c8, 0x234175f5a789df1f, 0x6c401b6d22eeeee8, 0x2a0aef2776c7b21a,
  0xe3cfc89304f8c048, 0xed100b7b02d2bff0, 0x48143bfebd25ce6f, 0x6d7727f3bf3c00b8, 0xcf72c05c67309cee,
  0x38e5581e33f51c43, 0x3c66731602ef782e, 0xe58cf1d78b9d9ed2, 0xf0312b5ec1d513b8, 0xa8301deb5e73859b,
  0x2f29b19c2de6f00f, 0xce31bc67440aeaa7, 0x4863b7b15545a585, 0xf61bb65118bf9b62, 0x6592e19e985727e7,
  0x66587494b659289c, 0x429f5d14f257ee68, 0x000000000000000c,
};

/*
 * pwm2_u1x8_uart0_noled_ee_ce_u4_hw pwm2b_u1x8_uart0_noled_ee_ce_hw   pwm2b_u1x8_uart0_noled_ee_ce_u4_hw
 * pwm3_u1x8_uart0_noled_ee_ce_hw    pwm3_u1x8_uart0_noled_ee_ce_u4_hw pwm3b_u1x8_uart0_noled_ee_ce_hw
 * pwm3b_u1x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u1x8_uart0_noled_ee_ce_hw[] = {
  0x777775dd448624d6, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0xbbf6baef53efa772,
  0x827c602415057793, 0x020b5ff4299f19b9, 0xe43dce6fed100b7b, 0x78939091c1b8bea8, 0xf10d8488bee3441e,
  0xdae951723fa8f84b, 0x29dadcdbdf33c5dc, 0x1b306b5fd4795f51, 0x422814c5613fd47c, 0xbe8c2cb1148b34eb,
  0x59ceaedd388ea426, 0x8d8ebce9bb6f68f0, 0x211473c8c38d8d57, 0x132386f65b2e62e1, 0xaf616744a9a546c1,
  0xf5af39c2cdf81895, 0xce16f37807d4180e, 0x33a20575539794d8, 0xd8aaa2d2c2e718de, 0x288c5fcdb12431db,
  0xc2a73f505d8dc79b, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0xbe9e4afdcd0ccb0e, 0x00000000a021f820,
};

/*
 * pwm2_u1x8_uart0_lednop_pr         pwm2b_u1x8_uart0_lednop           pwm2b_u1x8_uart0_lednop_pr
 * pwm3_u1x8_uart0_lednop            pwm3_u1x8_uart0_lednop_pr         pwm3b_u1x8_uart0_lednop
 * pwm3b_u1x8_uart0_lednop_pr
 */
static const uint64_t ur_pwm2_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xd7c9827c60241505, 0x2dec0931ff8a3767, 0xef96487739bfb440, 0xe395606693d47278, 0xcc580b7ba61f3a48,
  0x1d78b9d9af91c829, 0xd7b0ac1f7b8e58c1, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005,
  0x69aba718de33a207, 0xf9b6e722adec5551, 0x8d163ce1bb65118b, 0x2b93f75663c81a3f, 0x2c944e32c970cf4c,
  0x2bf734332c3a4a5b, 0x00007c873969f279,
};

// pwm2b_u1x8_uart0_lednop_pr_u4     pwm3_u1x8_uart0_lednop_pr_u4      pwm3b_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_u4[] = {
  0xbbbbbaeea2ec53c3, 0xeeeeeaaec3835e25, 0x5ef67bf61b7b006e, 0xbaff13bbba440594, 0x7748fcbb7a71c7d2,
  0x304f8c0482a0aef2, 0xb029bbfc493cfa01, 0x5843dce6fed100b7, 0x5581a0bf51ed63be, 0xc0596537c907e38e,
  0xd1f3b2cf4690ce62, 0x59a45403ff6608eb, 0xb5ec82b40f2cf6d0, 0xe781013859bf0312, 0x6f379b228301deb5,
  0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfe6db9c8ab7b1554, 0x7c5c9ab83cd94462, 0x9d598f2076d0d163,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x1f27756e0194f257,
};

// pwm2b_u1x8_uart0_lednop_pr_ee     pwm3_u1x8_uart0_lednop_pr_ee      pwm3b_u1x8_uart0_lednop_pr_ee
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ee[] = {
  0x96eeeeebbb7b1762, 0x7777775575c815b8, 0x5a09855431a7b42f, 0xf63ce0be17bbbbfc, 0xd33467f4d1d9fbc5,
  0x9f180905415de4ee, 0x175ff124f3ea7a60, 0xc6e737f68805bd81, 0xfa8f2b32a6ab5a39, 0x561efd47c1b30698,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x1923268e756973d5, 0xab1aad743af3a6ed, 0x5cc5c242282791bd,
  0x951b047eb70decb6, 0xc0c4ad7b0021f667, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x5118bf9b6e722ade, 0x6868b1e71726ae36, 0x985727eeacc7903b, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x0000029f153a0194,
};

// pwm2b_u1x8_uart0_lednop_pr_ee_u4  pwm3_u1x8_uart0_lednop_pr_ee_u4   pwm3b_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ee_u4[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0xc602415057793baf, 0xafff06acfa9e9827, 0x739bfb4402dec08b, 0x4795995355ad1ce3, 0x0f7ea3e0d9834c7d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x9193473ab4b9eab8, 0x8d56ba1d79d3768c, 0x62e1211413c8ded5,
  0x8d823f5b86f65b2e, 0x6256bd8010fb33ca, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x8c5fcdb739156f62, 0x2c6f8b9357079b28, 0x3f53ab31e40fca1a, 0x27ff787bde50c2a7,
  0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000275c9c5fd3a9e,
};

// pwm2b_u1x8_uart0_lednop_pr_ce     pwm3_u1x8_uart0_lednop_pr_ce      pwm3b_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ce[] = {
  0x77775dda83d8b562, 0xeeeeaaec3998c4b7, 0xe3b6e84537b856ee, 0x0bf8feeeef85bf62, 0xddfa706cfddc16a6,
  0xc13e30120a82bbc9, 0x020f7fe249e7e034, 0x60fdce6fed100b7b, 0x7e780160e48877fd, 0xc984e7736b8cdeed,
  0xacf51fa49ee580ba, 0xc054c4458e395607, 0xd1f3b2cf4690ce62, 0x59a45403ff6678eb, 0xad7b20ad03cb5b90,
  0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad, 0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x7f36dce18edec555,
  0xaf2e4d5c1e6ca231, 0x75663c81db434596, 0x9e04e34a1854e7ea, 0x4c2b93f01f343c89, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x000000375deb700c,
};

// pwm2b_u1x8_uart0_lednop_pr_ce_u4  pwm3_u1x8_uart0_lednop_pr_ce_u4   pwm3b_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x7304f8c0482a0aef, 0xd81256ffe0d59f38, 0xf5c92e737f68805b, 0x83cf002d692a55c5, 0x097e21b09117dc68,
  0x5dcdaf5bf003f51f, 0x7e927b9633f5933c, 0x111638e5581eb3d4, 0xcb3d1a43398b0153, 0x500ffd99e3af47ce,
  0x82b40f2d6e416691, 0x013859bf0312b5ec, 0x9b228301deb5e781, 0x6f529c94e8016f37, 0xe9c6378ce881df2a,
  0x73863b7b15545a6a, 0x357079b288c5fcdb, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x782fd3a9e4afdcd0, 0x000000000000375f,
};

// pwm2b_u1x8_uart0_lednop_pr_ee_ce  pwm3_u1x8_uart0_lednop_pr_ee_ce   pwm3b_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x30120a82bbc9dd01, 0x7ff06acff57cc13e, 0x39bfb4402dec0a39, 0x5a4df677fd51bf97, 0x9b5ee4492bf3c00b,
  0xa53b5958f7cc273b, 0x83660d6bfa8f2bee, 0x68450298af6ffa8f, 0xd7d185962291669d, 0x9a39d5db8f51d484,
  0x78d8ebce9bb4648c, 0x1211413c8ded58d5, 0x1132386f65b2e62e, 0xb5ec2cc7d99e546c, 0xe781013859bf0312,
  0x6f379b228301deb5, 0xdf2a6f529c94e801, 0x5a6ae9c6378ce881, 0xfcdb73863b7b1554, 0xbcb9357079b288c5,
  0xd598f207e50d165a, 0x78138d2861539fa9, 0x30ae4fc07cd0f226, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000013f1767d3a,
};

/*
 * pwm2b_u1x8_uart0_lednop_pr_ee_ce_u4 pwm3_u1x8_uart0_lednop_pr_ee_ce_u4
 * pwm3b_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xddddd775173e304a, 0xeeeeaaf1a058312d, 0x9ae36968ef6276ee, 0x80b2ab4dd85ea6e9, 0x751f76480448cbb0,
  0x30120a82bbc9ddb1, 0xff2a3767c344c13e, 0xe6fed100b7b02b1f, 0x9da5ab8bea8e43dc, 0x2445f71a20f3c00b,
  0x3743fd47c25f886c, 0x9b7be678bb9b5cc0, 0x6bfa8f2beea53b5b, 0x98af6ffa8f83660d, 0x962291669d684502,
  0xdb8f51d484d7d185, 0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238,
  0x3859bf0312b5ec2c, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0x7079b288c5fcdb73, 0x0669f1a2c6f8b935, 0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x59c8cf257ee68665, 0x00000000013f179f,
};

// pwm2b_u1x8_uart0_lednop_hw        pwm3_u1x8_uart0_lednop_hw         pwm3b_u1x8_uart0_lednop_hw
static const uint64_t ur_pwm2_u1x8_uart0_lednop_hw[] = {
  0x5bbbbbaeed66fcc5, 0xeeeeeeaaec3835e2, 0x6517bd9efdb76dee, 0xf4aebfc4eeee9101, 0x2bbc9dda86a6f70a,
  0x3e804c13e30120a8, 0x402dec0a6effc38f, 0x58ef9610f739bfb4, 0xf8e39560682fd47b, 0x3398b016594df241,
  0x823af47cecb3d1a4, 0x3db416691500ffd9, 0xc0c4ad7b20ad03cb, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0,
  0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x5118bf9b6e722ade, 0x9e985727e7f61bb6, 0x94b659289c6592e1,
  0x14f257ee68665874, 0x0000000008e21c5d,
};

// pwm2b_u1x8_uart0_lednop_ee_hw     pwm3_u1x8_uart0_lednop_ee_hw      pwm3b_u1x8_uart0_lednop_ee_hw
static const uint64_t ur_pwm2_u1x8_uart0_lednop_ee_hw[] = {
  0xbbbbbaeea2435562, 0xddddd55d72056e25, 0x2d04c2aa1ed0bddd, 0xfb1e705f0bddddfe, 0xee99169db618fde2,
  0x609f180905415de4, 0x6045d7fe8533ea7a, 0x8e71b9cdfda2016f, 0xa63ea3cacca9aad6, 0xdf1587bf51f06cc1,
  0xb2c4522cd3ad08a1, 0xf55c6b26909afa30, 0xbb4648c9a39d5a5c, 0x6f6ac6ab5d0ebce9, 0x2d973170908a09e4,
  0x99e546c11fadc37b, 0x9bf0312b5ec0087d, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0xcd94462fe6db9c8a, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03,
  0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xd85f4f257ee68665, 0x000000000016f9fa,
};

// pwm2b_u1x8_uart0_lednop_ce_hw     pwm3_u1x8_uart0_lednop_ce_hw      pwm3b_u1x8_uart0_lednop_ce_hw
static const uint64_t ur_pwm2_u1x8_uart0_lednop_ce_hw[] = {
  0x96eeeeebbb59bb37, 0xddddddd55d872b48, 0x82341da1377ef8fd, 0xa6c401b6f8feeeee, 0x82a0aef2776c7b21,
  0x1c79f80d304f8c04, 0xfb4402dec083dffe, 0x12c90effaf49739b, 0x9b5dc9fcefcf002e, 0x73dcb01719cc273b,
  0x8e3956078cfd47c1, 0x1c829cc580bbd887, 0x72c678ebc5cec1c5, 0xe06256bd83a507dc, 0x3bd6bcf020270b37,
  0xa7400b79bcb75060, 0x69c05ef9537a94e4, 0xc6f19d1023a31821, 0xc376ca2317f36d38, 0xb25c33d30ae4fcfe,
  0xcb0e9296cb25138c, 0x53eba29e4afdcd0c, 0x0000000000000188,
};

/*
 * pwm2_u1x8_uart0_lednop_ee_ce_u4_hw pwm2b_u1x8_uart0_lednop_ee_ce_hw
 * pwm2b_u1x8_uart0_lednop_ee_ce_u4_hw pwm3_u1x8_uart0_lednop_ee_ce_hw
 * pwm3_u1x8_uart0_lednop_ee_ce_u4_hw pwm3b_u1x8_uart0_lednop_ee_ce_hw
 * pwm3b_u1x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u1x8_uart0_lednop_ee_ce_hw[] = {
  0x777775dd4486a4d6, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xdd39d9f7a55e2465,
  0xc13e30120a82bbc9, 0x8158fffd0a67c344, 0x721ee737f68805bd, 0x3c49c8492d5c5f54, 0xf886c2445f71a20f,
  0x6d7a4a672fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e, 0x5f4616588a459a75,
  0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8, 0xd7b0b31f667951b0,
  0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf36dce18edec5551,
  0xd4176371e6ca2317, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00140496d02fa792,
};

// pwm2b_u1x8_uart0_dual             pwm3_u1x8_uart0_dual              pwm3b_u1x8_uart0_dual
static const uint64_t ur_pwm2_u1x8_uart0_dual[] = {
  0xf77777783ea232a8, 0xbbbbba6d0db476c1, 0x0bb06d60d86d015b, 0x2946eb276eee9bba, 0xc9411dc75a356b3e,
  0x44c13e30120a82bb, 0x109c01190f41a425, 0x40c2860d59e2cf49, 0xfccbb8be9dd3e25c, 0xf9b05f67028b3393,
  0x39215606654dea3b, 0x6e1f02bfcc681142, 0x2bb8bddf1779c100, 0xdee2a10cb407c443, 0x25b780dff4073c26,
  0x30586f2bcb56f9a0, 0x00b7b023d7fea095, 0x53be5abfdce6fed1, 0x238e5581a43f51c4, 0x8e62c05fc39931e9,
  0x08ebc8b766be46f6, 0xe2a4a560fbdc72c6, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xe8016f3796ea0c07,
  0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x1e6ca2317f36d38c, 0x985727e7f62e4d5c, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000032dfd38fe9d,
};

// pwm2b_u1x8_uart0_dual_pr          pwm3_u1x8_uart0_dual_pr           pwm3b_u1x8_uart0_dual_pr
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr[] = {
  0xeeef070f5f3e43ee, 0x774da1b761983eee, 0xdd41b9c5bf6b7777, 0xb276eeed0b23eec8, 0xefc89ebb69e3b4d8,
  0x120a82bbc9c5eeea, 0x0f41a42544c13e30, 0x59e2cf49109c0119, 0x9dd3e25c40c2860d, 0xe0e966387f994d6a,
  0x80d37a8ffbb60958, 0xe63408a11c90ab03, 0x177d8f80370f815f, 0xb43e44432bb8bddf, 0xf4073c261f22a10c,
  0xcb56f9a025b780df, 0xf5ff068730586f2b, 0x5739bfb4402dec08, 0x621fd47c8a77cb13, 0x41e69c5ef8e39560,
  0x76b591d7f398b015, 0xd500ffd9823af006, 0x549d03cb3db10e90, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895,
  0x79bcd914180ef5af, 0xf9537a94e4a7400b, 0xd3574e31bc67440e, 0xf36dce455bd8aaa2, 0xe2e4d5c1e6ca2317,
  0xb31e40cd3e3459d3, 0xcc4fe50c2a73f53a, 0x826879133c5ce32f, 0x867a615c9f8e7bff, 0x1d252d9f0271964b,
  0x67233c95fb9a1996, 0x00000000014935d9,
};

// pwm2b_u1x8_uart0_dual_pr_u4       pwm3_u1x8_uart0_dual_pr_u4        pwm3b_u1x8_uart0_dual_pr_u4
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_u4[] = {
  0x7777783d173e43ee, 0xbbba6d0db29cc1f7, 0x664560a0ad3b5bbb, 0x6506f7774ddd0566, 0xabbf22421b4f34e7,
  0x602415057792823b, 0x321e83489869827c, 0x1ab3c59e92213802, 0xd53ba7c4b881850c, 0xd9c0a2cce4ff329a,
  0x8199537a8efe6c17, 0xaff31a04508e4855, 0x77c5de96801b87c0, 0x432d01f110caee2f, 0x57fd01cf09b7b8a8,
  0xe5796adf3404b6e6, 0x81029fe0d0e60b0d, 0xd5fee737f68805bd, 0xac0d21fa8e229df2, 0x05fc39b241bf1c72,
  0x22dd89e46f68e62c, 0x95827f71cb1823af, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b, 0xf379b228301deb5e,
  0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0xc5c9ab83cd94462f, 0xacc790334f8d1637,
  0xe1ef79430a9cfd4e, 0x26781fc65f989ffd, 0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x4932cece46792bf7, 0x0000000000000001,
};

// pwm2b_u1x8_uart0_dual_pr_ee       pwm3_u1x8_uart0_dual_pr_ee        pwm3b_u1x8_uart0_dual_pr_ee
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeeef07d4343ee, 0xbbbbba6d1209c983, 0x8dd6eca1edaeb7bb, 0xec5cb578f23fbb13, 0xeeaefc89eeda78ab,
  0xe30120a82bbc98e2, 0x2321e83485c14c13, 0xc1ab3c59e9221380, 0xb093ba7c4b881850, 0x0f9c3a7e6b1ffccb,
  0x81c729bd47eafd85, 0xaff31a04508e4855, 0xef8bbcd6c01b87c0, 0x0cb43f722195dc5e, 0x5ff4073c267f22a1,
  0x2bcb56f9a025b727, 0x1604ff5fed30586f, 0xd2ae737f68805bd8, 0x27a8f2b32a6ab5a3, 0xe2bea3d47c1b307f,
  0x588a459a75a1143b, 0xae105cd2135f4616, 0x5c3464d1cead2f38, 0xab1aad743af6b13b, 0xe3170908a1af91bd,
  0x55c1a4fadc37b2e3, 0x6bd93f8abe777152, 0xcf020270b37e0625, 0x3a005bcde603bd6b, 0xa54f80b5392296af,
  0x6f19d1032ff14085, 0x1e6ca2317f36d38c, 0x37f07771a2c79c37, 0x4b867a615c9fbab3, 0x961d252d9f027196,
  0x17b49d3c95fb9a19, 0x0000000000321427,
};

// pwm2b_u1x8_uart0_dual_pr_ee_u4    pwm3_u1x8_uart0_dual_pr_ee_u4     pwm3b_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ee_u4[] = {
  0xdddddde0f4486f97, 0xdddddd36890ad307, 0xac3af9f69337bbdd, 0xaf8d5e3c8feec0b7, 0x3c119d385a9d201a,
  0x80905415de4a3377, 0x90f41a40592609f1, 0xd59e2cf49109c011, 0x49dd3e25c40c2860, 0xf387fc98347e65d8,
  0x7d5f37a8fd3fb0b1, 0xfcc6811423921560, 0xe2efb91006e1f02b, 0x2d074a88657717bb, 0xfa039e131458a843,
  0xcb56f9a025b7eaff, 0x56ff5fed30586f2b, 0x2e737f68805bd816, 0x51e56bee6ab5a391, 0xea57a8f83660c14f,
  0x291669d68450ef8a, 0xa973484d7d185962, 0x51ef673ab4b994b8, 0x8d56ba1d7a897688, 0x3170908a04547cf5,
  0x8d823f5b86f65f4b, 0x3bb8a9280427f58a, 0xbf0312b5ec9fc55f, 0x01deb5e781013859, 0x94e8016f379b2283,
  0x8ce881df2a6f529c, 0x7b15545a6ae9c637, 0xd94462fe6db9c8ab, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xbda4e9e4afdcd0cc,
  0x00000000000ac810,
};

// pwm2b_u1x8_uart0_dual_pr_ce       pwm3_u1x8_uart0_dual_pr_ce        pwm3b_u1x8_uart0_dual_pr_ce
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeef07de7c50e3, 0x77774da1b69c983e, 0xa57c52ac5f73ef77, 0x6a015bbbbe460dec, 0xdc1607c805c2d9f1,
  0xc60241505779247d, 0x4643d0690a919827, 0x835678b3d2442700, 0x5aa774f8971030a1, 0xfb3869b9a2b7e653,
  0xc0ca1cdea3e56d86, 0x57f98d022847242a, 0xbbe2ef80000dc3e0, 0x2196877488657717, 0x0ffe80e784da5454,
  0xe5796adf3404b6e5, 0x02a95fe0d0e60b0d, 0xaf7dce6fed100b7b, 0xbf3c00b9d98f3bfe, 0x97309cee6d74b416,
  0x4bf51c6fcf72c05a, 0x014141f238e5581d, 0x00676b591d7f398b, 0xe90d500ffd99e3af, 0x152552740f2d6e10,
  0x6256bd93f8abe777, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d,
  0x18bf9b6e70c76f62, 0xb1e71726ae0f3651, 0x3f75663c819a7c68, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x39eb3852ce46792b,
};

// pwm2b_u1x8_uart0_dual_pr_ce_u4    pwm3_u1x8_uart0_dual_pr_ce_u4     pwm3b_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeef07a2436f02, 0xeeee9b58ecabd83e, 0x9f6cf8eb6a8feeee, 0xc75d266eeea3b0dc, 0x9fc3e6be4c166dd6,
  0xc0482a0aef265dbb, 0xc87a0d23ce5304f8, 0x6acf167a4884e008, 0x24ee9f12e2061430, 0xa3805a98c7ff32ec,
  0x0e2b4dea393ad825, 0x7f98d022847242ac, 0x7c5decf800dc3e05, 0x65a051510caee2f7, 0xff4073c2631f1508,
  0xbcb56f9a025b78ad, 0x14bff5fed30586f2, 0x02e737f68805bd81, 0x3c49c849d2dc5f54, 0xf886c2445f71a20f,
  0x36b8a4fd7fd47c25, 0xe7b9633ea5ccf177, 0x1c72ac0ea5fa8e37, 0x8ebf9cc580a0a0f9, 0xfeccf1d78033b5ac,
  0x0796b7087486a807, 0xfc55f3bb8a92a93a, 0x13859bf0312b5ec9, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x3863b7b15545a6ae, 0x0dc79b288c5fcdb7, 0x5666fe0eee3458df, 0xf0f7bca1854e7ea7,
  0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02, 0x24bab7b49d3c95fb,
  0x000000000000000d,
};

// pwm2b_u1x8_uart0_dual_pr_ee_ce    pwm3_u1x8_uart0_dual_pr_ee_ce     pwm3b_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeeef07d435032, 0x777774da80108583, 0x2bbd35f7ef5a7b77, 0xeb9c6c41bdd3b493, 0xeda3fd7beec70bc3,
  0x905415de4bd67755, 0xe83485d16609f180, 0x3c59e92213802321, 0xba7c4b881850c1ab, 0x02926fd7fccbb093,
  0x6e6f51eb7f61000e, 0x8d022847242ac0e7, 0xbfbac00dc3e057f9, 0x34da2195dc5eef8b, 0x0e784d8122a10cb4,
  0x5be68096de76ffe8, 0xfd7fb4c161bcaf2d, 0x9bfb4402dec0a87f, 0x24358effaa372773, 0xdaf787cb5f9e24e4,
  0x29dacac9ba6139dc, 0x0d9835f3d4795bf9, 0xa1140a62b80dea3e, 0x5f4616588a459a75, 0xece7576e32875213,
  0xe363af512ed10a3d, 0x242281151f3d6355, 0x44c8e1bd97d2cc5c, 0x15252cc4feb151b0, 0x6256bd93f8abe777,
  0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d, 0xaa8b4d5d38c6f19d, 0x18bf9b6e70c76f62,
  0xb8d163ce1b8f3651, 0x30ae4fdd599bf83b, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000026088beda4e,
};

// pwm2b_u1x8_uart0_dual_pr_ee_ce_u4 pwm3_u1x8_uart0_dual_pr_ee_ce_u4  pwm3b_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777783d1369fb202, 0x774da7a6338c1f77, 0x16162bded5ef7777, 0xb86edd08762f912e, 0x7f83971fe6d366de,
  0x93389ddfd6e918b4, 0xb9827c6024150577, 0x09c01190f41a411e, 0x0c2860d59e2cf491, 0xf32bf689dd3e25c4,
  0xb60cf870eb39990f, 0x42ac0ff5e6f51e61, 0x3e057f98d0228472, 0xc5eef8bbfa9c00dc, 0x2a10cb402d22195d,
  0xff5ffe80e784c706, 0x1bcaf2d5be68096d, 0x7b02d35fe6bdcc16, 0xa8d4f5ce6fed100b, 0x3cf12701c19bb8be,
  0x97e21b09117dc688, 0x9b5f541e41ff51f0, 0x253b5b9b9ba678bb, 0xc1b306be7a8f2b7f, 0xb422814c5701bd47,
  0x6be8c2cb1148b34e, 0xbd9ceaedc650ea42, 0xbc6c75ea25da2147, 0x84845022a3e7ac6a, 0x08991c37b2fa598b,
  0xe2a4a5989fd62a36, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07, 0xa2077ca9bd4a7253,
  0x555169aba718de33, 0x2317f36dce18edec, 0x8b1be2e4d5c1e6ca, 0xf53ab337f06fd046, 0x7ff787bde50c2a73,
  0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x008002717ba9c9e4,
};

// pwm2b_u1x8_uart0_dual_hw          pwm3_u1x8_uart0_dual_hw           pwm3b_u1x8_uart0_dual_hw
static const uint64_t ur_pwm2_u1x8_uart0_dual_hw[] = {
  0xddddde0f448650e3, 0xeeee9b436ec3307d, 0xbb237506f6716eee, 0xd362c9dbbbb42c8f, 0x717bb82c0fb5c2ce,
  0x304f8c0482a0aef2, 0x27004643d0690951, 0x30a1835678b3d244, 0xf997612774f89710, 0xbb60958e0e966387,
  0xc90ab0380d37a8ff, 0x70f815fe63408a11, 0xbb8bddf177d8f803, 0xf22a10cb43e44432, 0x5b780dff4073c261,
  0x0586f2bcb56f9a02, 0x00b7b023d7fced13, 0x29df2c4d5ce6fed1, 0xe38e5581887f51f2, 0xce62c055079a717b,
  0x08ebc019dad6475f, 0xf6c43a435403ff66, 0xe777152552740f2c, 0x37e06256bd93f8ab, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b288c5fcdb73915, 0x50c2a73f505d8dc7,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x20be9e4afdcd0ccb,
  0x00000000063759f8,
};

// pwm2b_u1x8_uart0_dual_ee_hw       pwm3_u1x8_uart0_dual_ee_hw        pwm3b_u1x8_uart0_dual_ee_hw
static const uint64_t ur_pwm2_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeef07a2437089, 0xeeeee9b44856983e, 0x61d7cfb499bddeee, 0x7c6af1e47f7605bd, 0xd793d656d6d100d5,
  0x6024150577928cdd, 0x643d06901649827c, 0x35678b3d24427004, 0x12774f8971030a18, 0x7ce1ff260d1f9976,
  0x1f57cdea3f4fec2c, 0xff31a04508e48558, 0xf8bbee4401b87c0a, 0xcb41d2a2195dc5ee, 0xfe80e784c5162a10,
  0xf2d5be68096dfabf, 0x656ff3b44c161bca, 0x12e737f68805bd81, 0xf51e56bee6ab5a39, 0xaea57a8f83660c14,
  0x2291669d68450ef8, 0x8a973484d7d18596, 0x851ef673ab4b994b, 0x58d56ba1d7a89768, 0xb3170908a04547cf,
  0xa8d823f5b86f65f4, 0xf3bb8a9280427f58, 0x9bf0312b5ec9fc55, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xcd94462fe6db9c8a, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x585f4f257ee68665, 0x000000000015da08,
};

// pwm2b_u1x8_uart0_dual_ce_hw       pwm3_u1x8_uart0_dual_ce_hw        pwm3b_u1x8_uart0_dual_ce_hw
static const uint64_t ur_pwm2_u1x8_uart0_dual_ce_hw[] = {
  0xddddde0f44860aac, 0xdddd36b1d957b07d, 0x3ed9f1d6d51fdddd, 0x8eba4cdddd4761b9, 0x6eefabcb269c13ad,
  0x3e30120a82bbc997, 0x02321e8348f394c1, 0x0c1ab3c59e922138, 0xbb093ba7c4b88185, 0x0968e016a631ffcc,
  0xab038ad37a8e4eb6, 0x815fe63408a11c90, 0xbddf177b3e00370f, 0x4219681454432bb8, 0x2b7fd01cf098c7c5,
  0xbcaf2d5be68096de, 0xd8114bff3b44c161, 0xf5402e737f68805b, 0x20f3c49c849d2dc5, 0xc25f886c2445f71a,
  0x8bb9b5dfe620fd47, 0x71bf3dcb19f52e67, 0x07c8e39560752fd4, 0xad6475fce62c0505, 0x403ff6678ebc019d,
  0x49d03cb5b843a435, 0xf64fe2af9ddc5495, 0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7,
  0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa, 0xe44cf03f8cbf313f,
  0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x04dd6ead85f4f257,
};

// pwm2b_u1x8_uart0_dual_ee_ce_hw    pwm3_u1x8_uart0_dual_ee_ce_hw     pwm3b_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm2_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeef07d41431f02, 0x7774da80108583ee, 0xbd35f7ef5a7b7777, 0x9c6c41bdd3b4932b, 0x88b37a61470bc3eb,
  0x20a82bbc97acee51, 0xd0690ba2cc13e301, 0x78b3d24427004643, 0x74f8971030a18356, 0x0524dfaff9976127,
  0xdcdea3d6fec2001c, 0x1a04508e485581ce, 0x7f75801b87c0aff3, 0x69b4432bb8bddf17, 0x1cf09b0245421968,
  0xb7cd012dbcedffd0, 0xfe768982c3795e5a, 0xcdfda2016f60543f, 0x121ac77fd51b93b9, 0x6d7eb3643fcf1272,
  0x94ed6564dd309cee, 0x06cc1af9ea3cadfc, 0xd08a05315c06f51f, 0xafa30b2c4522cd3a, 0xf673abb71943a909,
  0xf1b1d7a89768851e, 0x1211408a8f9eb1aa, 0x226470decbe9662e, 0x8a9296627f58a8d8, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x8c5fcdb73863b7b1,
  0x73f5361d8dc79b28, 0x1e44cf0271a50c2a, 0xb867a615c9f80f9a, 0x61d252d9f0271964, 0x7c17d3c95fb9a199,
  0x0000000000075d51,
};

// pwm2b_u1x8_uart0_dual_ee_ce_u4_hw pwm3_u1x8_uart0_dual_ee_ce_u4_hw  pwm3b_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0x7777783d14683202, 0x7774da7a6338c1f7, 0x8970b0b695ef7777, 0x36f5c376e843b17c, 0x0fafbd35b8ff369b,
  0x5415de4ce2770d3a, 0x69047ae609f18090, 0xb3d24427004643d0, 0xf8971030a1835678, 0xccc87f99641aa774,
  0xa8f30db067c38759, 0x14239215607faf37, 0xe006e1f02bfcc681, 0x10caee2f77c5dfd4, 0x26383150865a0169,
  0x404b6ffafff4073c, 0xee60b0de5796adf3, 0x4402dec0b4d7fef0, 0xee2faa353d739bfb, 0x1a20f3c58be84866,
  0x47c25f886c2445f7, 0x3c5dcdaea49cdffd, 0x95bf929dadcdcdd3, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80,
  0x752135f4616588a4, 0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d,
  0xbe77715252cc4feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5,
  0x76f62aa8b4d5d38c, 0xf365118bf9b6e70c, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xbd0173c95fb9a199, 0x000000000ebaa880,
};

/*
 * pwm2_u1x12_uart0_noled_pr         pwm2b_u1x12_uart0_noled           pwm2b_u1x12_uart0_noled_pr
 * pwm3_u1x12_uart0_noled            pwm3_u1x12_uart0_noled_pr         pwm3b_u1x12_uart0_noled
 * pwm3b_u1x12_uart0_noled_pr
 */
static const uint64_t ur_pwm2_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x9827c60241505779, 0x849efff8a3767f24, 0x46e93fdb53fbb74f, 0x7a8fcf1df2c90e1b, 0x86f93d1c72ac0cd2,
  0xd23c66731602dee9, 0xb8e58c11d78b9d9e, 0x37e06256bd856513, 0x1f50603bd6bce70b, 0x4e5e5363385bcde0,
  0x0b9c6378ce8815d5, 0x6249156f62aa8b4b, 0x63ce1bb65118bf9b, 0x3f75663c81a3f8d1, 0x44e32c970cf4c2b9,
  0x734332c3a4a5b2c9, 0x7c8749d69f2792bf,
};

// pwm2b_u1x12_uart0_noled_pr_u4     pwm3_u1x12_uart0_noled_pr_u4      pwm3b_u1x12_uart0_noled_pr_u4
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb15a91, 0xdd55f672b4896eee, 0x455336de8dbddddd, 0x60fbbba1651c7422, 0xa2f4ec772ed88f1f,
  0xf8c0482a0aef2775, 0x5f3fc493cfce3304, 0xa4ff6d4feedd3e12, 0x3f4077cb08786d1b, 0xf6b471cab03417ea,
  0x1eb0e62c0596533d, 0xfd9823af47ced5fd, 0x3cb3db1f6679500f, 0x66fc0c4ad7b071f0, 0x03ea0c077ad79ce1,
  0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0x6c4922adec555169, 0xe4d5c1e6ca2317f3, 0xcc7903b6868b1be2,
  0x1ef79430a9cfd4ea, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x38faf00ca792bf73, 0x00000000000000f9,
};

// pwm2b_u1x12_uart0_noled_pr_ee     pwm3_u1x12_uart0_noled_pr_ee      pwm3b_u1x12_uart0_noled_pr_ee
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8ad4e, 0xeeeaaf9ac6c44b77, 0x29b2e2d2f469eeee, 0xfa99a0eea451aeb4, 0x70571a333760cc17,
  0x0120a82bbc9dd313, 0xfe249e7d82cc13e3, 0xf6d4feedd3e12387, 0xaad68e7186d1ba4f, 0x6cc1a63ea3cae449,
  0x8450ef8afbaf51f0, 0x7d185962291669d6, 0xad2f38ae3593484d, 0xbce9bb6f68f059ce, 0x39e461c6c6ab5d0e,
  0xc37b2d973170908a, 0x0544a9a546c11fad, 0x39c2cdf81895af60, 0xf37807d4180ef5af, 0x0575539794d8ce16,
  0xa2d2c2e718de33a2, 0x2fe6d892455bd8aa, 0x2c79c5c9ab8d9446, 0xc9fbab31e40eda1a, 0x4a271964b867a615,
  0xfb9a19961d252d96, 0x0029f39c80653c95,
};

// pwm2b_u1x12_uart0_noled_pr_ee_u4  pwm3_u1x12_uart0_noled_pr_ee_u4   pwm3b_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0905415de4eebb25, 0xfc1ab3ec16609f18, 0x6d4feedd3e12387f, 0xad68e7186d1ba4ff, 0xcc1a63ea3cae449a,
  0x450ef8afbaf51f06, 0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb,
  0x37b2d973170908a3, 0x544a9a546c11fadc, 0x9c2cdf81895af600, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfe6d892455bd8aaa, 0x7c5c9ab83cd94462, 0x9d598f207e50d163, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x13afa38be9d4f257,
};

// pwm2b_u1x12_uart0_noled_pr_ce     pwm3_u1x12_uart0_noled_pr_ce      pwm3b_u1x12_uart0_noled_pr_ce
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8bf82, 0xd55f673c7c4b7777, 0x3792c9ea9bdddddd, 0x6beeee9a0df90013, 0xc6244ddc1bb1f0bc,
  0xe30120a82bbc9dd5, 0xcaff124f3efe4c13, 0x93fdb53fbb74f848, 0x0f53bfeb07e1b46e, 0x5fa7ec7ff3c00b07,
  0xf72c05d64c273b9b, 0x71cab03d67a8e4f4, 0x8f587316028f9d24, 0xfeccf1d7a3e76afe, 0x0796b70fb33ca807,
  0x2cdf81895af60e3e, 0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d,
  0xb9357079b288c5fc, 0x98f2076d0d165abc, 0x138d2861539fa9d5, 0xae4fc07cd0f22678, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x0000375d0240329e,
};

// pwm2b_u1x12_uart0_noled_pr_ce_u4  pwm3_u1x12_uart0_noled_pr_ce_u4   pwm3b_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x04f8c0482a0aef27, 0x9393ffe0d59f90f3, 0xdd27fb6a7f76e9f0, 0x691fcb8beb924368, 0x9117dc6883cf002d,
  0x9883f51f097e21b0, 0x19fac99e2ee6d77f, 0xac0f59ea393d3dcb, 0x1cc580a3e7491c72, 0x3c75e8f9dabfa3d6,
  0xadc3eccf2a01ffb3, 0xe06256bd838f81e5, 0x50603bd6bce70b37, 0x5e5363385bcde01f, 0x9c6378ce8815d54e,
  0x90c76f62aa8b4b0b, 0x5c1e6ca2317f36c4, 0x903f2868b1be2e4d, 0x79430a9cfd4eacc7, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xe5f4ea792bf73433, 0x00000000000dd720,
};

// pwm2b_u1x12_uart0_noled_pr_ee_ce  pwm3_u1x12_uart0_noled_pr_ee_ce   pwm3b_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x415057793bb61b65, 0x06acf93a9827c602, 0x53fbb74f84a2b7ff, 0xaa37f21b46e93fdb, 0xfe78016b49810eff,
  0xf984e7736bf59b21, 0x51e57d44a76b2b1e, 0x84ff51f06cc1ad7f, 0x522cd3ad08a05315, 0xe23a909afa30b2c4,
  0xedbda3c1673abb74, 0x0e36355e363af3a6, 0x6cb98b848451cf23, 0xa6951b044c8e1bd9, 0x37e06256bd859d12,
  0x1f50603bd6bce70b, 0x4e5e5363385bcde0, 0x0b9c6378ce8815d5, 0xc490c76f62aa8b4b, 0x4d5c1e6ca2317f36,
  0x3c81f9434596af2e, 0xe34a1854e7ea7566, 0x93f01f343c899e04, 0xe04e32c970cf4c2b, 0xbf734332c3a4a5b3,
  0x0004fcc63f4ea792,
};

/*
 * pwm2b_u1x12_uart0_noled_pr_ee_ce_u4 pwm3_u1x12_uart0_noled_pr_ee_ce_u4
 * pwm3b_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0xb686bc1a2e7ccc7f, 0xeaaef21c9625bbbb, 0x58668cf51deeeeee, 0x8f8feed8f240c49a, 0xca528fc71e9d4163,
  0x82a0aef27753eeab, 0x1bb3fbb5304f8c04, 0x7f76e9f0918fff95, 0x8e43c368dd27fb6a, 0xf3c00b9d9c1b8bea,
  0x5f886c2445f71a20, 0xcdaea49cdffd47c2, 0x129dadcdbdf33c5d, 0xc1b306b5fd4795f5, 0xb422814c5613fd47,
  0x6be8c2cb1148b34e, 0x059ceaedd388ea42, 0x78d8ebce9bb6f68f, 0x1211473c8c38d8d5, 0x1132386f65b2e62e,
  0x5af616744a9a546c, 0xef5af39c2cdf8189, 0x8ce16f37807d4180, 0xe33a20575539794d, 0xbd8aaa2d2c2e718d,
  0xb288c5fcdb12431d, 0xf1a2c6f8b9357079, 0x539fa9d598f20669, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000013f1071d9c8,
};

// pwm2b_u1x12_uart0_noled_hw        pwm3_u1x12_uart0_noled_hw         pwm3b_u1x12_uart0_noled_hw
static const uint64_t ur_pwm2_u1x12_uart0_noled_hw[] = {
  0xdddb435e0eb3753a, 0xbbbaabece56912dd, 0xd089154cd267bbbb, 0x3c7d83eeee859471, 0x793ba5c6c9ea9b62,
  0x719827c602415057, 0xe9f092f9ff871e7e, 0xc368dd27fb6a7f76, 0xa0bf51fa03be5843, 0xb299efb5a38e5581,
  0x76afe8f58731602c, 0xca807fecc11d7a3e, 0x838f81e59ed8fb33, 0xbce70b37e06256bd, 0x5bcde01f50603bd6,
  0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0x18bf9b6249156f62, 0x985727e7f61bb651, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x000000011c401514,
};

// pwm2b_u1x12_uart0_noled_ee_hw     pwm3_u1x12_uart0_noled_ee_hw      pwm3b_u1x12_uart0_noled_ee_hw
static const uint64_t ur_pwm2_u1x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a243280b, 0x77557cd636225bbb, 0x429b2e3a34f77777, 0x7fa99a0eea451aeb, 0x939eb6b4e3760cc1,
  0x7c602415057793bb, 0x1c3ffa14cfb05982, 0xd27fb6a7f76e9f09, 0x224d56b4738c368d, 0x8f83660d31f51e57,
  0x4eb422877c57dd7a, 0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782, 0x8451cf230e36355a,
  0xfd6e1bd96cb98b84, 0x7b002a254d2a3608, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0xa2317f36c4922ade, 0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6,
  0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a, 0x00000000b7f2ab02,
};

// pwm2b_u1x12_uart0_noled_ce_hw     pwm3_u1x12_uart0_noled_ce_hw      pwm3b_u1x12_uart0_noled_ce_hw
static const uint64_t ur_pwm2_u1x12_uart0_noled_ce_hw[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb39e2e25bb, 0xfebc864f6a1eeeee, 0xdb26635f7776e270, 0xaef277417a09ac80,
  0xfbf9304f8c0482a0, 0xedd3e1232bff0e3c, 0xa486d1ba4ff6d4fe, 0xe780170926277fd7, 0xe6139dcdaf52bf77,
  0x7ea38879ee580b8c, 0xb70c4fc71cab03c6, 0xced20a8f199cc580, 0xe9d3dc72c678ebc5, 0x39c2cdf81895af60,
  0xde6f2dd4180ef5af, 0x7aaeaa72f29b19c2, 0x8ce88173663042d3, 0xb65118bf9b69c637, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0xd514f257ee686658, 0x0000000000062141,
};

/*
 * pwm2_u1x12_uart0_noled_ee_ce_u4_hw pwm2b_u1x12_uart0_noled_ee_ce_hw
 * pwm2b_u1x12_uart0_noled_ee_ce_u4_hw pwm3_u1x12_uart0_noled_ee_ce_hw
 * pwm3_u1x12_uart0_noled_ee_ce_u4_hw pwm3b_u1x12_uart0_noled_ee_ce_hw
 * pwm3b_u1x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u1x12_uart0_noled_ee_ce_hw[] = {
  0x76d0d78344864aa4, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x9962fb9f71c7a750,
  0xe30120a82bbc9dd4, 0x1fffa14cfeed4c13, 0x4ff6d4feedd3e123, 0x3717d51c8786d1ba, 0xdc6883cf12721238,
  0xf51f097e21b09117, 0xe678bb9b5d2a2e47, 0x8f2bea253b5b9b7b, 0x27fa8f83660d6bfa, 0x91669d68450298ac,
  0x11d484d7d1859622, 0x6ded1e0b39d5dba7, 0x71b1aaf1b1d79d37, 0x65cc5c24228e7918, 0x34a8d8226470decb,
  0xbf0312b5ec2ce895, 0xfa8301deb5e73859, 0x72f29b19c2de6f00, 0x5ce31bc67440aeaa, 0x24863b7b15545a58,
  0xb1b8f365118bf9b6, 0x0f7bca1854e7ea0b, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f,
  0xa19961d252d9f027, 0x0bd89e17d3c95fb9, 0x0000000000000028,
};

/*
 * pwm2_u1x12_uart0_lednop_pr        pwm2b_u1x12_uart0_lednop          pwm2b_u1x12_uart0_lednop_pr
 * pwm3_u1x12_uart0_lednop           pwm3_u1x12_uart0_lednop_pr        pwm3b_u1x12_uart0_lednop
 * pwm3b_u1x12_uart0_lednop_pr
 */
static const uint64_t ur_pwm2_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x9304f8c0482a0aef, 0xf097c9ff146ecf82, 0x68dd27fb6a7f76e9, 0x4f51c9e3be5921c3, 0x987ce9238e55819a,
  0xbe4720a731602dee, 0xee39630475e2e766, 0x9bf0312b5ec2b07d, 0x301deb5e78101385, 0xc94e8016f379b228,
  0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xed94462fe6db9c8a, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x95a7c9e4afdcd0cc, 0x00000000000f9003,
};

// pwm2b_u1x12_uart0_lednop_pr_u4    pwm3_u1x12_uart0_lednop_pr_u4     pwm3b_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8bf82, 0xdd55f671d7c4b777, 0x84bf0b8ed43ddddd, 0x993dddd0b28e3ad2, 0xb8c48a9b8364cfd2,
  0x7c602415057793ba, 0x97dfe249e7cf5982, 0xa4ff6d4feedd3e12, 0x3dac77cb08786d1b, 0x20fc71cab03417ea,
  0xd219cc580b2ca6f9, 0xecc11d7a3e7659e8, 0xe59eda0b348a807f, 0x37e06256bd905681, 0x603bd6bcf020270b,
  0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x9b288c5fcdb73915, 0xda1a2c6f8b935707,
  0xc2a73f53ab31e40e, 0x97e627ff787bde50, 0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x329e4afdcd0ccb0e, 0x00000001f26917c0,
};

// pwm2b_u1x12_uart0_lednop_pr_ee    pwm3_u1x12_uart0_lednop_pr_ee     pwm3b_u1x12_uart0_lednop_pr_ee
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ee[] = {
  0x776d0d783bd8b562, 0xeeeaaf9acc844b77, 0x2c9c010cf5a5eeee, 0xfea6683bbc1e8424, 0xc1b34b7071795b85,
  0xc0482a0aef2777e9, 0xff89279f287304f8, 0xfdb53fbb74f84a43, 0x6ab5a35f21b46e93, 0x6cc1e45f51e5613e,
  0x8450ef8ae44f51f0, 0x7d185962291669d6, 0xb4bcbe5c5133484d, 0xd753761151f3c73a, 0x5fd1eb2c6ab5d0eb,
  0x6f65c3918b848451, 0x6256bd8b81f7f5b8, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x8c5fcdb739156f62, 0x3458f38b93571b28, 0x2b93f75663c81db4, 0x2c944e32c970cf4c,
  0x2bf734332c3a4a5b, 0x00053e749d00ca79,
};

// pwm2b_u1x12_uart0_lednop_pr_ee_u4 pwm3_u1x12_uart0_lednop_pr_ee_u4  pwm3b_u1x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x02415057793bb61b, 0xff06acfe569827c6, 0xdb53fbb74f848a1f, 0xab5a39c61b46e93f, 0xb30698fa8f2b32a6,
  0x22877c561efd47c1, 0xe8c2cb1148b34eb4, 0x6973d571ac9a426b, 0xf3a6ed1923268e75, 0x2791bdab1aad743a,
  0x0decb65cc5c24228, 0x21f667951b047eb7, 0x4e166fc0c4ad7b00, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0x722adec555169aba, 0xae0f365118bf9b6e, 0xc81f943458df1726, 0xbca1854e7ea75663,
  0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196, 0xdbfa753c95fb9a19,
  0x000000000004ebbc,
};

// pwm2b_u1x12_uart0_lednop_pr_ce    pwm3_u1x12_uart0_lednop_pr_ce     pwm3b_u1x12_uart0_lednop_pr_ce
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ce[] = {
  0xeda1af07507b1762, 0xbaabece02f896eee, 0x00f16486ad1bbbbb, 0xd88eeee9a0df9e3e, 0xa668cda5a3b7a6d4,
  0x3e30120a82bbc9dd, 0x31ffe249e7ea54c1, 0xa4ff6d4feedd3e12, 0xc910effac1f86d1b, 0xd719bddafcf002c1,
  0x3dcb01759309cee6, 0x1c72ac0f59ea3f49, 0x8d219cc580a9888b, 0xfeccf1d7a3e7659e, 0x0796b720b348a807,
  0x2cdf81895af6415a, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3,
  0x3cd94462fe6db9c3, 0xb6868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e6879133c09c694, 0x6592e19e985727e0,
  0x866587494b67c09c, 0x71d160194f257ee6, 0x00000000000000dd,
};

// pwm2b_u1x12_uart0_lednop_pr_ce_u4 pwm3_u1x12_uart0_lednop_pr_ce_u4  pwm3b_u1x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x13e30120a82bbc9d, 0x4e97ff83567ca5cc, 0x749feda9fddba7c2, 0x4952ae2fae490da3, 0x88bee3441e78016b,
  0x801fa8f84bf10d84, 0x9fac99e2ee6d7adf, 0xc0f59ea3f493dcb1, 0xcc580a9888b1c72a, 0x1d7a3e7659e8d219,
  0x720b348a807feccf, 0x1895af6415a0796b, 0xf5af3c0809c2cdf8, 0x400b79bcd914180e, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x462fe6db9c31dbd8, 0x1637c5c9ab83cd94, 0x9fa9d598f207e50d, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0001bae2a73e9d4f,
};

// pwm2b_u1x12_uart0_lednop_pr_ee_ce pwm3_u1x12_uart0_lednop_pr_ee_ce  pwm3b_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x20a82bbc9dd4149c, 0x06acfd0fcc13e301, 0x53fbb74f848e0fff, 0xaa37f21b46e93fdb, 0x7e78016b49beceff,
  0xf984e7736bdc8925, 0x51e57dd4a76b2b1e, 0xedff51f06cc1ad7f, 0x522cd3ad08a05315, 0xea3a909afa30b2c4,
  0x768c9193473abb71, 0xbdab1aaf1b1d79d3, 0xb65cc5c242282791, 0x33ca8d8226470dec, 0x37e06256bd8598fb,
  0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x365118bf9b6e70c7,
  0xa1a2cb579726ae0f, 0x2a73f53ab31e40fc, 0x9a1e44cf0271a50c, 0x64b867a615c9f80f, 0x9961d252d9f02719,
  0xc21fa753c95fb9a1, 0x00000000000004fc,
};

/*
 * pwm2b_u1x12_uart0_lednop_pr_ee_ce_u4 pwm3_u1x12_uart0_lednop_pr_ee_ce_u4
 * pwm3b_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xeda1af068b9f1f68, 0xbaabbc84bb896eee, 0x2685e4ed323bbbbb, 0xe3e3fbb63c90e4a6, 0x9ed382d70448d918,
  0x2415057793ba55e8, 0x546ecfe9a9827c60, 0xd4feedd3e12ff9fe, 0xd51c8786d1ba4ff6, 0x41e780173b4b5717,
  0x84bf10d8488bee34, 0x7736b9806e87fa8f, 0xdd4a76b736f7ccf1, 0x1f06cc1ad7f51e57, 0x3ad08a05315edff5,
  0x09afa30b2c4522cd, 0x193473abb71ea3a9, 0xaaf1b1d79d3768c9, 0x5c242282791bdab1, 0xd8226470decb65cc,
  0x256bd8598fb33ca8, 0x6bcf020270b37e06, 0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1,
  0x8bf9b6e70c76f62a, 0x8df1726ae0f36511, 0x53ab31e40cd3e345, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x027e2d3eb3919e4a,
};

// pwm2b_u1x12_uart0_lednop_hw       pwm3_u1x12_uart0_lednop_hw        pwm3b_u1x12_uart0_lednop_hw
static const uint64_t ur_pwm2_u1x12_uart0_lednop_hw[] = {
  0x776d0d783acdc49f, 0xddd55f671d7c4b77, 0xad284bf3600ddddd, 0xfd2993dddd0b28e3, 0xde4eee62486ad04c,
  0x3d6609f180905415, 0x74f84a5f7fe1c79f, 0xe1b46e93fdb53fbb, 0xd05fa8f6b1df2c21, 0xb29be483f1c72ac0,
  0xd967a3486731602c, 0x2a01ffb30475e8f9, 0x415a07967b682cd2, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xcfec376ca2317f36, 0x38cb25c33d30ae4f,
  0xd0ccb0e9296cb251, 0x011c56ea29e4afdc,
};

// pwm2b_u1x12_uart0_lednop_ee_hw    pwm3_u1x12_uart0_lednop_ee_hw     pwm3b_u1x12_uart0_lednop_ee_hw
static const uint64_t ur_pwm2_u1x12_uart0_lednop_ee_hw[] = {
  0xddb435e0d1218375, 0x77557cd6c5f12ddd, 0xb0b4663b41777777, 0x77ea6683ba9146b9, 0xc0b015ad89a59fbc,
  0x9f180905415de4ee, 0x450ffe8533f95a60, 0x749feda9fddba7c2, 0x995355ad1ce30da3, 0xa3e0d9834c7d4795,
  0xa75a1143be2b0f7e, 0x2135f4616588a459, 0x473ab4b9eab8d64d, 0xba1d79d3768c9193, 0x211413c8ded58d56,
  0x3f5b86f65b2e62e1, 0xbd8010fb33ca8d82, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0xcdb739156f62aa8b, 0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627,
  0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x002df30720be9e4a,
};

// pwm2b_u1x12_uart0_lednop_ce_hw    pwm3_u1x12_uart0_lednop_ce_hw     pwm3b_u1x12_uart0_lednop_ce_hw
static const uint64_t ur_pwm2_u1x12_uart0_lednop_ce_hw[] = {
  0xeeeda1af0759bb37, 0xdddd55f672b4896e, 0x1fda1377ef8fdddd, 0x401b6f8feeeedc4e, 0x0aef2776c7b21a6c,
  0x9f80d304f8c0482a, 0xbb74f8483dffe1c7, 0xe921b46e93fdb53f, 0xf9e005c25109dff5, 0x3984e7736b945727,
  0x9fa8f5fe7b9602e3, 0x16d6a971c72ac0f1, 0x2e761f68e89398b0, 0x0e94d6e39633c75e, 0x809c2cdf81895af6,
  0x16f37980ef5af3c0, 0xe02d4e48a5abce80, 0xe88197f318216953, 0x5118bf9b69c6378c, 0x9e985727e7f61bb6,
  0x94b659289c6592e1, 0x14f257ee68665874, 0x000000000c429f5d,
};

/*
 * pwm2_u1x12_uart0_lednop_ee_ce_u4_hw pwm2b_u1x12_uart0_lednop_ee_ce_hw
 * pwm2b_u1x12_uart0_lednop_ee_ce_u4_hw pwm3_u1x12_uart0_lednop_ee_ce_hw
 * pwm3_u1x12_uart0_lednop_ee_ce_u4_hw pwm3b_u1x12_uart0_lednop_ee_ce_hw
 * pwm3b_u1x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u1x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d783448607e1, 0xdd55de425dc4b777, 0xa62685ee4edddddd, 0x18e3e3fbb63c90e4, 0x87bf7a3af70448d9,
  0xe30120a82bbc9dd0, 0xfe7fd0a67f4d4c13, 0x93fdb53fbb74f84b, 0xd5c5f54721e1b46e, 0xf71a20f3c49c8492,
  0xfd47c25f886c2445, 0xf99e2ee6d7a4a672, 0xa3cafba94ed6e6de, 0xdbfea3e0d9835afe, 0xa459a75a1140a62b,
  0xd4752135f4616588, 0xed1923268e7576e3, 0x7b56355e363af3a6, 0x6cb98b8484504f23, 0x67951b044c8e1bd9,
  0x6fc0c4ad7b0b31f6, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d,
  0x6ca2317f36dce18e, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0x82fa792bf734332c, 0x000000000280a535,
};

// pwm2b_u1x12_uart0_dual            pwm3_u1x12_uart0_dual             pwm3b_u1x12_uart0_dual
static const uint64_t ur_pwm2_u1x12_uart0_dual[] = {
  0x7777777a45d44511, 0xbbbba6d17189cc1f, 0xbb707a700ad6c5bb, 0x64538c8eeeec33a8, 0x9361dcaf99f69627,
  0xcc13e30120a82bbc, 0x09c01190f41a4321, 0x0c2860d59e2cf491, 0xccbb8be9dd3e25c4, 0x7b028a7072737cef,
  0x485581c7b9bd475f, 0x87c0aff31a04508e, 0xee2f77c5de4e801b, 0xf8a8432d07bd10ca, 0xdbafbffa039e130d,
  0x2c3795e5ab7cd012, 0xe9f09751ff504a98, 0xc368dd27fb6a7f76, 0xa43f51ed63be5abf, 0xc399efe8238e5581,
  0xb54b4690ce62c05f, 0x82ee39630475e45b, 0x7f157ceee2a4a564, 0x04e166fc0c4ad7b2, 0xe0e4ac077ad79e04,
  0xdc594e5f3a005bcd, 0xf5c502169e18aca9, 0x7f36d38c6f19d103, 0xf62e4d5c1e6ca231, 0x6592e19e985727e7,
  0x866587494b67c09c, 0x6fdbbe9d4f257ee6, 0x0000000000000019,
};

// pwm2b_u1x12_uart0_dual_pr         pwm3_u1x12_uart0_dual_pr          pwm3b_u1x12_uart0_dual_pr
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr[] = {
  0x777a45d41e7c1a4e, 0xa6d1716c4c1f7777, 0x919ecad499bbbbbb, 0x27777682ae369c52, 0xdc2ec5fdc1d63b56,
  0x82a0aef24fdbb935, 0xd0691723304f8c04, 0x78b3d24427004643, 0x74f8971030a18356, 0x1c398a5fe6535aa7,
  0x54dea3a56d83a538, 0x8d022847242ac0ea, 0xefff800dc3e057f9, 0x82f888657717bbe2, 0x80e784cf7c542196,
  0x6adf3404b6f52bfe, 0xffe0d0e60b0de579, 0xff6d4feedd3e1209, 0x453be589a86d1ba4, 0x7c71cab0310fea3e,
  0xf9cc580aa0f34e2f, 0xc11d78033b5ac8eb, 0x9ed887486a807fec, 0x7ceee2a4aa4e81e5, 0x66fc0c4ad7b27f15,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0xf365118bf9b6e722,
  0x9f1a2cb579726ae0, 0x1539fa9d598f2066, 0xcd0f22678138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0xc21b3919e4afdcd0, 0x0000000000001493,
};

// pwm2b_u1x12_uart0_dual_pr_u4      pwm3_u1x12_uart0_dual_pr_u4       pwm3b_u1x12_uart0_dual_pr_u4
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_u4[] = {
  0x7777a45a2e7cd0e3, 0xba6d171c9cc1f777, 0xce5db62d415bbbbb, 0x2ac4eeeec33a8ba8, 0xab8da0a72c897ac5,
  0x6024150577926c3b, 0x321e8348b919827c, 0x1ab3c59e92213802, 0xd53ba7c4b881850c, 0x29c1c9cdf3bf329a,
  0x071ee6f51d7dec0a, 0xbfcc681142392156, 0xbe2efeaf006e1f02, 0x19683de88657717b, 0x7fd01cf0986fc542,
  0xaf2d5be68096dea5, 0x413ffc1a1cc161bc, 0x749feda9fddba7c2, 0x47114ef96aff0da3, 0xc7a48e39560690fd,
  0x1bda398b017f0e64, 0xcb1823af22dd9af9, 0xf3bb8a929583ef71, 0x9bf0312b5ec9fc55, 0x301deb5e78101385,
  0x7253a005bcde5ba8, 0x10b4e02f7ca9bd4a, 0x4e31bc674408ea28, 0x357079b288c5fcdb, 0xf20669f1a2c6f8b9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0xd059c8cf257ee686, 0x0000000000014934,
};

/*
 * pwm2_u1x12_uart0_dual_pr_ee_u4    pwm2b_u1x12_uart0_dual_pr_ee      pwm2b_u1x12_uart0_dual_pr_ee_u4
 * pwm3_u1x12_uart0_dual_pr_ee       pwm3_u1x12_uart0_dual_pr_ee_u4    pwm3b_u1x12_uart0_dual_pr_ee
 * pwm3b_u1x12_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_ee[] = {
  0xdddddde916890c86, 0xeeee9b482557b07d, 0xd6f7ed396d77eeee, 0x58a17ae3dd0dd619, 0xb1bb2d0798a16402,
  0x482a0aef26273bbb, 0xf41a433d7304f8c0, 0x9e2cf49109c01190, 0xdd3e25c40c2860d5, 0x80689b4d7e65d849,
  0x1f9bd47b1fd87fc3, 0x63408a11c90ab03a, 0x7792500370f815fe, 0x81c34432bb8bddf1, 0x01cf099c9c542196,
  0xab7cd012dbd0fffd, 0xffaff6982c3795e5, 0xfdb53fbb74f84b7d, 0x6ab5a39121b46e93, 0x3660c14f51e56bee,
  0x8450ef8aea57a8f8, 0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d,
  0x86f65f4b3170908a, 0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0x379b228301deb5e7,
  0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0xc6f86e3cd94462fe, 0xf53ab337f07771a2,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0002b240ada4e9e4,
};

// pwm2b_u1x12_uart0_dual_pr_ce      pwm3_u1x12_uart0_dual_pr_ce       pwm3b_u1x12_uart0_dual_pr_ce
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_ce[] = {
  0x77777a45de7cbd5b, 0xbba6d1712d4c1f77, 0xda7ac55fbbf7bbbb, 0x20adddd5828cce77, 0xeefdc05ad07aed9f,
  0x0120a82bbc95c6ee, 0x21e8348eeb4c13e3, 0xab3c59e922138023, 0x53ba7c4b881850c1, 0x9c22b4c35bf329ad,
  0x6a7a6f51f7dec34d, 0xfcc6811423921560, 0xf1778a4006e1f02b, 0xcb40ca4432bb8bdd, 0xff4073c26ea22a10,
  0xbcb56f9a025b753d, 0x7eeff068730586f2, 0xd27fb6a7f76e9f09, 0xd98f3bfeaf7c368d, 0x6d74b416bf3c00b9,
  0xcf72c05a97309cee, 0x38e5581d4bf51c6f, 0x1d7f398b014141f2, 0xfd99e3af00676b59, 0x0f2d6e10e90d500f,
  0xf8abe77715255274, 0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d,
  0x70c76f62aa8b4d5d, 0xae0f365118bf9b6e, 0x819a7c68b1e71726, 0x0cf4c2b93f75663c, 0x3a4a5b3e04e32c97,
  0xce46792bf734332c, 0x00000000039ebc6e,
};

// pwm2b_u1x12_uart0_dual_pr_ce_u4   pwm3_u1x12_uart0_dual_pr_ce_u4    pwm3b_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_ce_u4[] = {
  0x77777a45a243359b, 0x774dab263aec1f77, 0x7d7738b513f77777, 0x6d396eeee4e29d9f, 0x78661426daeb739d,
  0x0482a0aef2448bb8, 0x87a0d23a9d304f8c, 0xacf167a4884e008c, 0x4ee9f12e20614306, 0x7031f9866ff32ec2,
  0x8d69bd474b5b00b4, 0xf31a04508e485581, 0x8bbfacc01b87c0af, 0xb41c9a2195dc5eef, 0xe80e784d01a2a10c,
  0x96adf3404b6e35bf, 0x0bfebfda60b0de57, 0x4ff6d4feedd3e126, 0x74b717d50086d1ba, 0x17dc6883cf127212,
  0x5ff51f097e21b091, 0xa9733c5dcdae293f, 0xa97ea38df9ee58cf, 0x6028283e471cab03, 0xe00ced6b23afe731,
  0x1d21aa01ffb33c75, 0xe2a4aa4e81e5adc2, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x2317f36dce18edec, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x274f257ee6866587,
  0x00000001a48917ed,
};

// pwm2b_u1x12_uart0_dual_pr_ee_ce   pwm3_u1x12_uart0_dual_pr_ee_ce    pwm3b_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_ee_ce[] = {
  0x777777a45d437089, 0x7774daa8787cc1f7, 0x995c68bf46737777, 0x1f0668cf74eb272c, 0xb2aaf75b4b4170b5,
  0xa82bbc9b0ceebc9e, 0xd2379f4c13e30120, 0x67a4884e008c87a0, 0xf12e20614306acf1, 0x798d6ff32ec24ee9,
  0xbd47801b014870fd, 0x08a11c90ab03b5b9, 0x0000370f815fe634, 0xc88657717bbe2ef0, 0xe134ae8a8432d08a,
  0x9a025b7b5bffa039, 0xfed30586f2bcb56f, 0x4feedd3e12e9fff5, 0x51b9386d1ba4ff6d, 0xfcf1272121ac77fd,
  0xd309cee6d7bc3e5a, 0xa3cadfc94ed6564d, 0xc06f51f06cc1af9e, 0x522cd3ad08a05315, 0x943a909afa30b2c4,
  0x768851ef673abb71, 0xf9eb1aaf1b1d7a89, 0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627,
  0x3859bf0312b5ec9f, 0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9,
  0xdc79b288c5fcdb73, 0xccdfc1ddc68b1e70, 0x592e19e985727eea, 0x66587494b67c09c6, 0x2fded274f257ee68,
  0x0000000000002608,
};

/*
 * pwm2b_u1x12_uart0_dual_pr_ee_ce_u4 pwm3_u1x12_uart0_dual_pr_ee_ce_u4
 * pwm3b_u1x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0x777a45a26d3e5f82, 0x4da537368c1f7777, 0xbb5c5ede4f777777, 0x4edd8d455e3f2d07, 0x5c7fd5f8fe842101,
  0x653bba6b7f68d655, 0x04f8c0482a0aef27, 0x802321e83483e7d3, 0x50c1ab3c59e92213, 0x57ed13ba7c4b8818,
  0x3acce0c8735257e6, 0x5819adcdea3b3e6c, 0x0aff31a04508e485, 0xddf177ae0801b87c, 0x432d031f4432bb8b,
  0x7ff4073c26eaf8a8, 0x5796adf3404b6e6b, 0x93fcff35ee60b0de, 0xdd27fb6a7f76e9f0, 0x19bb8bea8d4f4368,
  0x17dc6883cf12701c, 0x1ff51f097e21b091, 0xba678bb9b5f541e4, 0xa8f2b7f253b5b9b9, 0x701bd47c1b306be7,
  0x148b34eb422814c5, 0x650ea426be8c2cb1, 0x5da2147bd9ceaedc, 0x3e7ac6abc6c75ea2, 0x2fa598b84845022a,
  0xfd62a3608991c37b, 0xf157ceee2a4a5989, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040, 0xd4a7253a005bcde6,
  0x718de33a2077ca9b, 0xe18edec555169aba, 0x5c1e6ca2317f36dc, 0x06fd0468b1be2e4d, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xba9c9e4afdcd0ccb,
  0x00000000080079b7,
};

// pwm2b_u1x12_uart0_dual_hw         pwm3_u1x12_uart0_dual_hw          pwm3b_u1x12_uart0_dual_hw
static const uint64_t ur_pwm2_u1x12_uart0_dual_hw[] = {
  0xeeeef48b4486bd5b, 0x774da2e2d8983eee, 0x714a467bb2b77777, 0xed589dddda0ab8da, 0xdbbbbbf71b682758,
  0x4f8c0482a0aef24f, 0x004643d069172330, 0xa1835678b3d24427, 0x97612774f8971030, 0x60e94e070e6297f9,
  0x0ab03a9537a8e95b, 0xf815fe63408a11c9, 0xc5eef8bbffe00370, 0x150865a0be22195d, 0xbd4affa039e133df,
  0xc3795e5ab7cd012d, 0xd3e1209ffe768982, 0x86d1ba4ff6d4feed, 0x10fea3e453be589a, 0x0f34e2f7c71cab03,
  0xb5ac8ebf9cc580aa, 0xa807fecc11d78033, 0xa4e81e59ed887486, 0x7b27f157ceee2a4a, 0xe0404e166fc0c4ad,
  0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x9b6e722adec55516, 0xa0bb1b8f365118bf,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x0c6eaae0a17d3c95,
};

// pwm2b_u1x12_uart0_dual_ee_hw      pwm3_u1x12_uart0_dual_ee_hw       pwm3b_u1x12_uart0_dual_ee_hw
static const uint64_t ur_pwm2_u1x12_uart0_dual_ee_hw[] = {
  0x77777a45a2436f02, 0xbba6d20955ec1f77, 0xbdfb4e5b5dfbbbbb, 0x285eb8f743758675, 0x0f9afa2cd8590096,
  0x20a82bbc989cee7f, 0xd0690cf5cc13e301, 0x78b3d24427004643, 0x74f8971030a18356, 0x01a26d35f9976127,
  0x7e6f51ec7f61ff0e, 0x8d022847242ac0e8, 0xde49400dc3e057f9, 0x070d10caee2f77c5, 0x073c26727150865a,
  0xadf3404b6f43fff4, 0xff9da260b0de5796, 0xfdb53fbb74f84b7d, 0x6ab5a39121b46e93, 0x3660c14f51e56bee,
  0x8450ef8aea57a8f8, 0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d,
  0x86f65f4b3170908a, 0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x81013859bf0312b5, 0x379b228301deb5e7,
  0x2a6f529c94e8016f, 0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x00576a0505f4f257,
};

// pwm2b_u1x12_uart0_dual_ce_hw      pwm3_u1x12_uart0_dual_ce_hw       pwm3b_u1x12_uart0_dual_ce_hw
static const uint64_t ur_pwm2_u1x12_uart0_dual_ce_hw[] = {
  0xeeeef48b448687e1, 0xee9b564c75d83eee, 0xfaee716a27eeeeee, 0xda72ddddc9c53b3e, 0xe2bdbc16b47ee73a,
  0x30120a82bbc9122e, 0x321e8348ea74c13e, 0x1ab3c59e92213802, 0x093ba7c4b881850c, 0xd1c0c7e619bfccbb,
  0x0635a6f51d2d6c02, 0xbfcc681142392156, 0xbe2efeb3006e1f02, 0x32d072688657717b, 0xffa039e134068a84,
  0x5e5ab7cd012db8d6, 0x260bfe768982c379, 0xba4ff6d4feedd3e1, 0x1274b717d50086d1, 0x9117dc6883cf1272,
  0x9883f51f097e21b0, 0x67d4b99e2ee6d77f, 0x81d4bf51c6fcf72c, 0x98b014141f238e55, 0x3af00676b591d7f3,
  0xe10e90d500ffd99e, 0x777152552740f2d6, 0x7e06256bd93f8abe, 0x03bd6bcf020270b3, 0x29d002de6f364506,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0x65118bf9b6e70c76, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x0000000009baa45e,
};

// pwm2b_u1x12_uart0_dual_ee_ce_hw   pwm3_u1x12_uart0_dual_ee_ce_hw    pwm3b_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm2_u1x12_uart0_dual_ee_ce_hw[] = {
  0xbbbbd22ea0a1a5fb, 0xba6d543c3e60fbbb, 0xae345fa339bbbbbb, 0x833467ba7593964c, 0x6bae9565a0b85a8f,
  0x0a82bbc9b0cee964, 0x0d2379f4c13e3012, 0x167a4884e008c87a, 0x9f12e20614306acf, 0xd798d6ff32ec24ee,
  0x9bd47801b014870f, 0x408a11c90ab03b5b, 0x00000370f815fe63, 0xac88657717bbe2ef, 0x9e134ae8a8432d08,
  0xf9a025b7b5bffa03, 0xced130586f2bcb56, 0xb53fbb74f84ba7ff, 0xf546e4e1b46e93fd, 0x0ff3c49c8486b1df,
  0x374c273b9b5facd9, 0x7a8f2b7f253b5959, 0x5701bd47c1b306be, 0x1148b34eb422814c, 0xc650ea426be8c2cb,
  0x25da2147bd9ceaed, 0xa3e7ac6abc6c75ea, 0xb2fa598b84845022, 0x9fd62a3608991c37, 0x7f157ceee2a4a598,
  0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0x6371e6ca2317f36d, 0x9c69430a9cfd4d87, 0x727e03e6879133c0, 0x7c09c6592e19e985, 0x57ee6866587494b6,
  0x0003aea2fd85f4f2,
};

/*
 * pwm2b_u1x12_uart0_dual_ee_ce_u4_hw pwm3_u1x12_uart0_dual_ee_ce_u4_hw
 * pwm3b_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0x7777a45a28d19231, 0x74da537368c1f777, 0x683ddeae2f777777, 0x080a76ec6a2af1f9, 0x75bb5abeafc7f421,
  0x2bbc9d94eeffe19a, 0x0f9f4c13e30120a8, 0xa4884e008c87a0d2, 0x2e20614306acf167, 0x92bf32c8354ee9f1,
  0xd9f361d66706439a, 0x47242ac0cd6e6f51, 0x0dc3e057f98d0228, 0x95dc5eef8bbd7040, 0x57c542196818fa21,
  0x5b735bffa039e137, 0x0586f2bcb56f9a02, 0xba7c24ff3ff78773, 0xd0da3749feda9fdd, 0xbe84866ee2faa353,
  0xc2445f71a20f3c58, 0x49cdffd47c25f886, 0xdcdcdd33c5dcdaea, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98,
  0x16588a459a75a114, 0x576e328752135f46, 0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422,
  0x2cc4feb151b044c8, 0xbd93f8abe7771525, 0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d,
  0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b, 0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0xebae880bd0173c95,
};

/*
 * pwm2_u2x8_uart0_noled_pr          pwm2b_u2x8_uart0_noled            pwm2b_u2x8_uart0_noled_pr
 * pwm3_u2x8_uart0_noled             pwm3_u2x8_uart0_noled_pr          pwm3b_u2x8_uart0_noled
 * pwm3b_u2x8_uart0_noled_pr
 */
static const uint64_t ur_pwm2_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0x924c13e30120a82b, 0xa7c24f7ffc51bb3f, 0x70da37b5472937db, 0x6693d47e78ef9648, 0xf74c37c9e8e39560,
  0xecf691e33398b016, 0x289dc72c608ebc5c, 0x3859bf0312b5ec2b, 0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de,
  0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0xc68b1e70ddb288c5, 0x15c9fbab31e40d1f, 0x964a271964b867a6,
  0x95fb9a19961d252d, 0x0003e43a4eb4f93c,
};

// pwm2b_u2x8_uart0_noled_pr_u4      pwm3_u2x8_uart0_noled_pr_u4       pwm3b_u2x8_uart0_noled_pr_u4
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_u4[] = {
  0x77776d0e8bb15a91, 0xeeeeaafb395a44b7, 0x1122a99b6f46deee, 0x8fb07dddd0b28e3a, 0xbad17a763b976c47,
  0x827c602415057793, 0x092f9fe249e7e719, 0x68ded51ca4df6e9f, 0xbf51fa03be5843c3, 0x99efb5a38e5581a0,
  0xafe8f58731602cb2, 0x807fecc11d7a3e76, 0x8f81e59ed8fb33ca, 0xe70b37e06256bd83, 0xcde01f50603bd6bc,
  0x15d54e5e5363385b, 0x8b4b0b9c6378ce88, 0xbf9b6249156f62aa, 0xdf1726ae0f365118, 0xa75663c81db43458,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x07c9c7d780653c95,
};

// pwm2b_u2x8_uart0_noled_pr_ee      pwm3_u2x8_uart0_noled_pr_ee       pwm3b_u2x8_uart0_noled_pr_ee
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb687bd8ad4e, 0x77777557cd636225, 0x5a14d971697a34f7, 0x0bfd4cd0775228d7, 0x89b82b8d199bb066,
  0xf180905415de4ee9, 0xc3ff124f3ec16609, 0xed51ca4df6e9f091, 0x224d56b4738c368d, 0x8f83660d31f51e57,
  0x4eb422877c57dd7a, 0x426be8c2cb1148b3, 0xce756979c571ac9a, 0xe875e74ddb7b4782, 0x8451cf230e36355a,
  0xfd6e1bd96cb98b84, 0x7b002a254d2a3608, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0xa2317f36c4922ade, 0xd0d163ce2e4d5c6c, 0x30ae4fdd598f2076, 0x6cb25138cb25c33d,
  0xe4afdcd0ccb0e929, 0x0000014f9ce40329,
};

// pwm2b_u2x8_uart0_noled_pr_ee_u4   pwm3_u2x8_uart0_noled_pr_ee_u4    pwm3b_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ee_u4[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0x8c0482a0aef2775d, 0x3ffe0d59f60b304f, 0xd51ca4df6e9f091c, 0x24d56b4738c368de, 0xf83660d31f51e572,
  0xeb422877c57dd7a8, 0x26be8c2cb1148b34, 0xe756979c571ac9a4, 0x875e74ddb7b4782c, 0x451cf230e36355ae,
  0xd6e1bd96cb98b848, 0xb002a254d2a3608f, 0xd79ce166fc0c4ad7, 0x0b79bc03ea0c077a, 0xd102baa9cbca6c67,
  0x55516961738c6f19, 0x2317f36c4922adec, 0x8b1be2e4d5c1e6ca, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9,
  0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00009d7d1c5f4ea7,
};

// pwm2b_u2x8_uart0_noled_pr_ce      pwm3_u2x8_uart0_noled_pr_ce       pwm3b_u2x8_uart0_noled_pr_ce
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ce[] = {
  0xbbbb687a83d8bf82, 0xeeeaafb39e3e25bb, 0x099bc964f54deeee, 0x5e35f7774d06fc80, 0xeae31226ee0dd8f8,
  0x09f180905415de4e, 0x24657f89279f7f26, 0xa37b5472937dba7c, 0x58387a9dff583f0d, 0xdcdafd3f63ff9e00,
  0x27a7b9602eb26139, 0xe9238e5581eb3d47, 0x57f47ac398b0147c, 0x403ff6678ebd1f3b, 0x71f03cb5b87d99e5,
  0x9ce166fc0c4ad7b0, 0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0x2fe6d89218edec55,
  0xd5e5c9ab83cd9446, 0x4eacc7903b6868b2, 0x33c09c69430a9cfd, 0xe985727e03e68791, 0x94b67c09c6592e19,
  0x94f257ee68665874, 0x00000001bae81201,
};

// pwm2b_u2x8_uart0_noled_pr_ce_u4   pwm3_u2x8_uart0_noled_pr_ce_u4    pwm3b_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x79827c6024150577, 0xf849c9fff06acfc8, 0x1b46f6a8e526fb74, 0x016b48fe5c5f5c92, 0x0d8488bee3441e78,
  0xbbfcc41fa8f84bf1, 0xee58cfd64cf17736, 0xe395607acf51c9e9, 0x1eb0e62c051f3a48, 0xfd99e3af47ced5fd,
  0x0f2d6e1f6679500f, 0x59bf0312b5ec1c7c, 0x00fa8301deb5e738, 0xaa72f29b19c2de6f, 0x585ce31bc67440ae,
  0xb624863b7b15545a, 0x726ae0f365118bf9, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef,
  0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xb9072fa753c95fb9, 0x000000000000006e,
};

// pwm2b_u2x8_uart0_noled_pr_ee_ce   pwm3_u2x8_uart0_noled_pr_ee_ce    pwm3b_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x0120a82bbc9ddb0d, 0xff83567c9d4c13e3, 0x472937dba7c2515b, 0x77fd51bf90da37b5, 0xd90ff3c00b5a4c08,
  0x58f7cc273b9b5fac, 0x6bfa8f2bea253b59, 0x98ac27fa8f83660d, 0x962291669d684502, 0xdba711d484d7d185,
  0x9d376ded1e0b39d5, 0x791871b1aaf1b1d7, 0xdecb65cc5c24228e, 0xe89534a8d8226470, 0x3859bf0312b5ec2c,
  0x6f00fa8301deb5e7, 0xaeaa72f29b19c2de, 0x5a585ce31bc67440, 0xf9b624863b7b1554, 0x79726ae0f365118b,
  0xab31e40fca1a2cb5, 0xf0271a50c2a73f53, 0x615c9f80f9a1e44c, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000027e631fa75,
};

/*
 * pwm2b_u2x8_uart0_noled_pr_ee_ce_u4 pwm3_u2x8_uart0_noled_pr_ee_ce_u4
 * pwm3b_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xddddb43a2e7ccc7f, 0x777557790e4b12dd, 0x4d2c33467a8ef777, 0xb1c7c7f76c792062, 0x55e52947e38f4ea0,
  0x02415057793ba9f7, 0xca8dd9fdda9827c6, 0xe526fb74f848c7ff, 0x5f54721e1b46f6a8, 0xd1079e005cece0dc,
  0x3e12fc4361222fb8, 0xe2ee6d7524e6ffea, 0xafa894ed6e6def99, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f,
  0x52135f4616588a45, 0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97,
  0x0c4ad7b0b3a254d2, 0x0c077ad79ce166fc, 0xca6c670b79bc03ea, 0x8c6f19d102baa9cb, 0x18edec5551696173,
  0x83cd94462fe6d892, 0x334f8d1637c5c9ab, 0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0xce46792bf734332c, 0x0000000009f8838e,
};

// pwm2b_u2x8_uart0_noled_hw         pwm3_u2x8_uart0_noled_hw          pwm3b_u2x8_uart0_noled_hw
static const uint64_t ur_pwm2_u2x8_uart0_noled_hw[] = {
  0x6eeeeeda1eb3753a, 0xdddddd55f672b489, 0x38e8448aa66933dd, 0xb11e3ec1f77742ca, 0x2bbc9dd2e364f54d,
  0x3f38cc13e30120a8, 0xfb74f8497cffc38f, 0xc21e1b46f6a8e526, 0xac0d05fa8fd01df2, 0x016594cf7dad1c72,
  0xd1f3b57f47ac398b, 0xd99e5403ff6608eb, 0xb5ec1c7c0f2cf6c7, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301,
  0xc67440aeaa72f29b, 0x7b15545a585ce31b, 0xb288c5fcdb1248ab, 0x0cf4c2b93f3fb0dd, 0xa4a5b2c944e32c97,
  0xa8a792bf734332c3, 0x000000000008e200,
};

// pwm2b_u2x8_uart0_noled_ee_hw      pwm3_u2x8_uart0_noled_ee_hw       pwm3b_u2x8_uart0_noled_ee_hw
static const uint64_t ur_pwm2_u2x8_uart0_noled_ee_hw[] = {
  0xdddddb43a243280b, 0xbbbbaabe6b1b112d, 0x75a14d971d1a7bbb, 0x60bfd4cd0775228d, 0xddc9cf5b5a71bb06,
  0xc13e30120a82bbc9, 0x848e1ffd0a67d82c, 0xb46f6a8e526fb74f, 0xf2b9126ab5a39c61, 0xebd47c1b30698fa8,
  0x459a75a1143be2be, 0x64d2135f4616588a, 0x3c1673ab4bce2b8d, 0xaad743af3a6edbda, 0x5c24228e791871b1,
  0xb047eb70decb65cc, 0x256bd801512a6951, 0x03bd6bce70b37e06, 0x363385bcde01f506, 0x378ce8815d54e5e5,
  0x56f62aa8b4b0b9c6, 0xf365118bf9b62491, 0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0x5817d3c95fb9a199, 0x000000000005bf95,
};

// pwm2b_u2x8_uart0_noled_ce_hw      pwm3_u2x8_uart0_noled_ce_hw       pwm3b_u2x8_uart0_noled_ce_hw
static const uint64_t ur_pwm2_u2x8_uart0_noled_ce_hw[] = {
  0xddddddb43d66ef3a, 0x77777557d9cf1712, 0x387f5e4327b50f77, 0x406d9331afbbbb71, 0x5057793ba0bd04d6,
  0x1e7dfc9827c60241, 0x4df6e9f09195ff87, 0xfebd24368ded51ca, 0xfbbf3c00b849313b, 0x5c67309cee6d7a95,
  0x1e33f51c43cf72c0, 0x2c05b8627e38e558, 0x5e2e76905478cce6, 0x7b074e9ee39633c7, 0xad79ce166fc0c4ad,
  0xce16f3796ea0c077, 0x169bd575539794d8, 0x31bc67440b9b3182, 0xb0ddb288c5fcdb4e, 0x2c970cf4c2b93f3f,
  0x32c3a4a5b2c944e3, 0x0a0ea8a792bf7343, 0x0000000000000031,
};

/*
 * pwm2_u2x8_uart0_noled_ee_ce_u4_hw pwm2b_u2x8_uart0_noled_ee_ce_hw   pwm2b_u2x8_uart0_noled_ee_ce_u4_hw
 * pwm3_u2x8_uart0_noled_ee_ce_hw    pwm3_u2x8_uart0_noled_ee_ce_u4_hw pwm3b_u2x8_uart0_noled_ee_ce_hw
 * pwm3b_u2x8_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u2x8_uart0_noled_ee_ce_hw[] = {
  0xbbbbb68744864aa4, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0xea4cb17dcfb8e3d3,
  0x09f180905415de4e, 0x918fffd0a67f76a6, 0x8ded51ca4df6e9f0, 0x91c1b8bea8e43c36, 0x88bee3441e789390,
  0x723fa8f84bf10d84, 0xdbdf33c5dcdae951, 0x5fd4795f5129dadc, 0xc5613fd47c1b306b, 0xb1148b34eb422814,
  0xdd388ea426be8c2c, 0xe9bb6f68f059ceae, 0xc8c38d8d578d8ebc, 0xf65b2e62e1211473, 0x44a9a546c1132386,
  0xc2cdf81895af6167, 0x7807d4180ef5af39, 0x75539794d8ce16f3, 0xd2c2e718de33a205, 0xcdb12431dbd8aaa2,
  0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x01405ec4f0be9e4a,
};

/*
 * pwm2_u2x8_uart0_lednop_pr         pwm2b_u2x8_uart0_lednop           pwm2b_u2x8_uart0_lednop_pr
 * pwm3_u2x8_uart0_lednop            pwm3_u2x8_uart0_lednop_pr         pwm3b_u2x8_uart0_lednop
 * pwm3b_u2x8_uart0_lednop_pr
 */
static const uint64_t ur_pwm2_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xc149827c60241505, 0x74f84be4ff8a3767, 0x0e1b46f6a8e526fb, 0x0cd27a8e4f1df2c9, 0x6f74c3e7491c72ac,
  0x3b35f23905398b01, 0x83ef71cb1823af17, 0x9c2cdf81895af615, 0x914180ef5af3c080, 0xa94e4a7400b79bcd,
  0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x9c376ca2317f36dc, 0xeacc790347f1a2c7, 0xc6592e19e985727e,
  0x866587494b659289, 0x801cad3e4f257ee6, 0x000000000000007c,
};

// pwm2b_u2x8_uart0_lednop_pr_u4     pwm3_u2x8_uart0_lednop_pr_u4      pwm3b_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_u4[] = {
  0xbbbbb68745d8bf82, 0xeeeeaafb38ebe25b, 0x69425f85c76a1eee, 0xe94c9eeee859471d, 0xdd5c62454dc1b267,
  0xc13e30120a82bbc9, 0x094beff124f3e7ac, 0x68ded51ca4df6e9f, 0xbf51ed63be5843c3, 0x37c907e38e5581a0,
  0xcf4690ce62c05965, 0x03ff6608ebd1f3b2, 0xb40f2cf6d059a454, 0x3859bf0312b5ec82, 0x228301deb5e78101,
  0x529c94e8016f379b, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0xb83cd94462fe6db9, 0x2076d0d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xbe0194f257ee6866, 0x00000000000f9348,
};

// pwm2b_u2x8_uart0_lednop_pr_ee     pwm3_u2x8_uart0_lednop_pr_ee      pwm3b_u2x8_uart0_lednop_pr_ee
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb687bd8b562, 0x77777557cd664225, 0x12164e00867ad2f7, 0xc2ff53341dde0f42, 0xf4e0d9a5b838bcad,
  0x7c602415057793bb, 0x21ffc493cf943982, 0x7b5472937dba7c25, 0x09f355ad1af90da3, 0x8f83660f22fa8f2b,
  0x4eb422877c57227a, 0x426be8c2cb1148b3, 0x39d5a5e5f2e2899a, 0x875eba9bb08a8f9e, 0x228afe8f596355ae,
  0xadc37b2e1c8c5c24, 0xbf0312b5ec5c0fbf, 0x01deb5e781013859, 0x94e8016f379b2283, 0x8ce881df2a6f529c,
  0x7b15545a6ae9c637, 0xd94462fe6db9c8ab, 0xeda1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86,
  0x53c95fb9a19961d2, 0x00000029f3a4e806,
};

// pwm2b_u2x8_uart0_lednop_pr_ee_u4  pwm3_u2x8_uart0_lednop_pr_ee_u4   pwm3b_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ee_u4[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xe30120a82bbc9ddb, 0x0fff83567f2b4c13, 0xb5472937dba7c245, 0x95355ad1ce30da37, 0x3e0d9834c7d47959,
  0x75a1143be2b0f7ea, 0x135f4616588a459a, 0x73ab4b9eab8d64d2, 0xa1d79d3768c91934, 0x11413c8ded58d56b,
  0xf5b86f65b2e62e12, 0xd8010fb33ca8d823, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0xb9357079b288c5fc, 0xb31e40fca1a2c6f8, 0x87bde50c2a73f53a,
  0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0x5de6dfd3a9e4afdc,
  0x0000000000000027,
};

// pwm2b_u2x8_uart0_lednop_pr_ce     pwm3_u2x8_uart0_lednop_pr_ce      pwm3b_u2x8_uart0_lednop_pr_ce
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ce[] = {
  0x77776d0f507b1762, 0xdddd55f67017c4b7, 0x1f0078b243568ddd, 0x6a6c477774d06fcf, 0xeed33466d2d1dbd3,
  0x609f180905415de4, 0x0918fff124f3f52a, 0x68ded51ca4df6e9f, 0x160e48877fd60fc3, 0x7736b8cdeed7e780,
  0xfa49ee580bac984e, 0x4458e395607acf51, 0x2cf4690ce62c054c, 0x403ff6678ebd1f3b, 0x0ad03cb5b9059a45,
  0x04e166fc0c4ad7b2, 0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab,
  0xd5c1e6ca2317f36d, 0xc81db434596af2e4, 0x34a1854e7ea75663, 0x3f01f343c899e04e, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x06eb8e8b00ca792b,
};

// pwm2b_u2x8_uart0_lednop_pr_ce_u4  pwm3_u2x8_uart0_lednop_pr_ce_u4   pwm3b_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ce_u4[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0xe609f180905415de, 0xe1274bffc1ab3e52, 0x6d1bdaa3949bedd3, 0x0b5a4a95717d7248, 0x6c2445f71a20f3c0,
  0xd6fc00fd47c25f88, 0xe58cfd64cf17736b, 0x395607acf51fa49e, 0x90ce62c054c4458e, 0x6678ebd1f3b2cf46,
  0xcb5b9059a45403ff, 0x6fc0c4ad7b20ad03, 0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x6ca2317f36dce18e, 0x2868b1be2e4d5c1e, 0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xea792bf734332c3a, 0x0000000dd71539f4,
};

// pwm2b_u2x8_uart0_lednop_pr_ee_ce  pwm3_u2x8_uart0_lednop_pr_ee_ce   pwm3b_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0x80905415de4eea0a, 0xff83567e87e609f1, 0x472937dba7c24707, 0x77fd51bf90da37b5, 0x492bf3c00b5a4df6,
  0x58f7cc273b9b5ee4, 0x6bfa8f2beea53b59, 0x98af6ffa8f83660d, 0x962291669d684502, 0xdb8f51d484d7d185,
  0xce9bb4648c9a39d5, 0x3c8ded58d578d8eb, 0x6f65b2e62e121141, 0xc7d99e546c113238, 0x3859bf0312b5ec2c,
  0x228301deb5e78101, 0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0x7079b288c5fcdb73,
  0x07e50d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x27e610fd3a9e4afd,
};

/*
 * pwm2b_u2x8_uart0_lednop_pr_ee_ce_u4 pwm3_u2x8_uart0_lednop_pr_ee_ce_u4
 * pwm3b_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x77776d0e8b9f1f68, 0xdddd55de425dc4b7, 0x531342f276991ddd, 0x8c71f1fddb1e4872, 0xf44f69c16b82246c,
  0x30120a82bbc9dd2a, 0xff2a3767f4d4c13e, 0x51ca4df6e9f097fc, 0xb8bea8e43c368ded, 0x71a20f3c00b9da5a,
  0xd47c25f886c2445f, 0x678bb9b5cc03743f, 0xf2beea53b5b9b7be, 0xffa8f83660d6bfa8, 0x1669d68450298af6,
  0x1d484d7d18596229, 0x4648c9a39d5db8f5, 0xd58d578d8ebce9bb, 0x2e62e1211413c8de, 0xe546c1132386f65b,
  0xf0312b5ec2cc7d99, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x288c5fcdb73863b7, 0x1a2c6f8b9357079b, 0x39fa9d598f20669f, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x000013f169f59c8c,
};

// pwm2b_u2x8_uart0_lednop_hw        pwm3_u2x8_uart0_lednop_hw         pwm3b_u2x8_uart0_lednop_hw
static const uint64_t ur_pwm2_u2x8_uart0_lednop_hw[] = {
  0xbbbbbb687acdc49f, 0xeeeeeaafb38ebe25, 0x71d69425f9b006ee, 0x267e94c9eeee8594, 0x0aef277731243568,
  0xcf9eb304f8c0482a, 0x7dba7c252fbff0e3, 0x610f0da37b547293, 0x560682fd47b58ef9, 0x016594df241f8e39,
  0x47cecb3d1a43398b, 0x6691500ffd9823af, 0xd7b20ad03cb3db41, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf9b6e722adec5551, 0x727e7f61bb65118b, 0x9289c6592e19e985,
  0x7ee6866587494b65, 0x000008e2b7514f25,
};

// pwm2b_u2x8_uart0_lednop_ee_hw     pwm3_u2x8_uart0_lednop_ee_hw      pwm3b_u2x8_uart0_lednop_ee_hw
static const uint64_t ur_pwm2_u2x8_uart0_lednop_ee_hw[] = {
  0xeeeeeda1d1218375, 0xbbbbaabe6b62f896, 0x5cd85a331da0bbbb, 0xde3bf53341dd48a3, 0x7760580ad6c4d2cf,
  0x304f8c0482a0aef2, 0xe12287ff4299fcad, 0x6d1bdaa3949bedd3, 0x3cacca9aad68e718, 0x7bf51f06cc1a63ea,
  0x22cd3ad08a1df158, 0xb26909afa30b2c45, 0x8c9a39d5a5cf55c6, 0x6ab5d0ebce9bb464, 0x170908a09e46f6ac,
  0x6c11fadc37b2d973, 0x12b5ec0087d99e54, 0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8,
  0x545a6ae9c6378ce8, 0x62fe6db9c8ab7b15, 0x39fa82ec6e3cd944, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000016f983905f4,
};

// pwm2b_u2x8_uart0_lednop_ce_hw     pwm3_u2x8_uart0_lednop_ce_hw      pwm3b_u2x8_uart0_lednop_ce_hw
static const uint64_t ur_pwm2_u2x8_uart0_lednop_ce_hw[] = {
  0xb777776d0f59bb37, 0xeeeeeeaafb395a44, 0x270fed09bbf7c7ee, 0x36200db7c7f7776e, 0x15057793bb63d90d,
  0xe3cfc069827c6024, 0x937dba7c241efff0, 0xffaf490da37b5472, 0xb93fcf002e12884e, 0x1719cc273b9b5ca2,
  0x078cfd47aff3dcb0, 0xc580b6b54b8e3956, 0x3af173b0fb47449c, 0xd7b074a6b71cb19e, 0x9e0404e166fc0c4a,
  0x7400b79bcc077ad7, 0x4a9f016a72452d5e, 0xbc67440cbf98c10b, 0xddb288c5fcdb4e31, 0x970cf4c2b93f3fb0,
  0xc3a4a5b2c944e32c, 0xfae8a792bf734332, 0x0000000000006214,
};

/*
 * pwm2_u2x8_uart0_lednop_ee_ce_u4_hw pwm2b_u2x8_uart0_lednop_ee_ce_hw
 * pwm2b_u2x8_uart0_lednop_ee_ce_u4_hw pwm3_u2x8_uart0_lednop_ee_ce_hw
 * pwm3_u2x8_uart0_lednop_ee_ce_u4_hw pwm3b_u2x8_uart0_lednop_ee_ce_hw
 * pwm3b_u2x8_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u2x8_uart0_lednop_ee_ce_hw[] = {
  0xbbbbb687448607e1, 0xeeeeaaef212ee25b, 0x72531342f7276eee, 0x6c8c71f1fddb1e48, 0xe843dfbd1d7b8224,
  0x09f180905415de4e, 0x25ff3fe8533fa6a6, 0xa37b5472937dba7c, 0x2496ae2faa390f0d, 0x222fb8d1079e24e4,
  0x3397ea3e12fc4361, 0x36f7ccf17736bd25, 0xd7f51e57dd4a76b7, 0x315edff51f06cc1a, 0x2c4522cd3ad08a05,
  0xb71ea3a909afa30b, 0x9d3768c9193473ab, 0x791bdab1aaf1b1d7, 0xdecb65cc5c242282, 0x8fb33ca8d8226470,
  0x70b37e06256bd859, 0x450603bd6bcf0202, 0xa53929d002de6f36, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0xb8f365118bf9b6e7, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x29ac17d3c95fb9a1, 0x0000000000001405,
};

// pwm2b_u2x8_uart0_dual             pwm3_u2x8_uart0_dual              pwm3b_u2x8_uart0_dual
static const uint64_t ur_pwm2_u2x8_uart0_dual[] = {
  0x3eeeeeeeefd44511, 0x7777774da2e31398, 0x5176e0f4e015ad8b, 0x4ec8a7191dddd867, 0x7926c3b95f33ed2c,
  0x439827c602415057, 0x2213802321e83486, 0x881850c1ab3c59e9, 0xdf997717d3ba7c4b, 0xbef60514e0e4e6f9,
  0x1c90ab038f737a8e, 0x370f815fe63408a1, 0x95dc5eef8bbc9d00, 0x1bf150865a0f7a21, 0x25b75f7ff4073c26,
  0x30586f2bcb56f9a0, 0xedd3e12ea3fea095, 0x57f86d1bdaa3949b, 0xb03487ea3dac77cb, 0x0bf8733dfd0471ca,
  0x8b76a968d219cc58, 0xac905dc72c608ebc, 0xf64fe2af9ddc5494, 0xc0809c2cdf81895a, 0x79bc1c9580ef5af3,
  0x953b8b29cbe7400b, 0x207eb8a042d3c315, 0x462fe6da718de33a, 0xfcfec5c9ab83cd94, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x032dfb77d3a9e4af,
};

// pwm2b_u2x8_uart0_dual_pr          pwm3_u2x8_uart0_dual_pr           pwm3b_u2x8_uart0_dual_pr
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr[] = {
  0xeeeeefd41e7c1a4e, 0x774da2e2d8983eee, 0xa5233d95a9337777, 0xac4eeeed055c6d38, 0x6bb85d8bfb83ac76,
  0x0905415de49fb772, 0x87a0d22e46609f18, 0xacf167a4884e008c, 0x4ee9f12e20614306, 0x70387314bfcca6b5,
  0xd4a9bd474adb074a, 0xf31a04508e485581, 0xc5dfff001b87c0af, 0x2d05f110caee2f77, 0xfd01cf099ef8a843,
  0xf2d5be68096dea57, 0x13ffc1a1cc161bca, 0x7b5472937dba7c24, 0x47c8a77cb1350da3, 0xc5ef8e39560621fd,
  0x1d7f398b01541e69, 0xfd9823af00676b59, 0x3cb3db10e90d500f, 0xe2af9ddc549549d0, 0x9c2cdf81895af64f,
  0x914180ef5af3c080, 0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0x5c1e6ca2317f36dc,
  0x0cd3e34596af2e4d, 0x50c2a73f53ab31e4, 0x80f9a1e44cf0271a, 0x71964b867a615c9f, 0x9a19961d252d9f02,
  0x92784367233c95fb, 0x0000000000000002,
};

// pwm2b_u2x8_uart0_dual_pr_u4       pwm3_u2x8_uart0_dual_pr_u4        pwm3b_u2x8_uart0_dual_pr_u4
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_u4[] = {
  0xeeeeeefa2e7cd0e3, 0x7774da2e393983ee, 0x519cbb6c5a82b777, 0x8a5589dddd867517, 0x77571b414e5912f5,
  0xf8c0482a0aef24d8, 0x04643d0691723304, 0x1835678b3d244270, 0x35aa774f8971030a, 0x145383939be77e65,
  0xac0e3dcdea3afbd8, 0x057f98d022847242, 0xf77c5dfd5e00dc3e, 0x8432d07bd10caee2, 0x4affa039e130df8a,
  0x795e5ab7cd012dbd, 0x84827ff8343982c3, 0xb46f6a8e526fb74f, 0x1fa8e229df2d5fe1, 0xcc98f491c72ac0d2,
  0x5f237b4731602fe1, 0xee39630475e45bb3, 0x8abe77715252b07d, 0x70b37e06256bd93f, 0x750603bd6bcf0202,
  0xa94e4a7400b79bcb, 0x4502169c05ef9537, 0x9b69c6378ce8811d, 0x1726ae0f365118bf, 0xb31e40cd3e3458df,
  0x87bde50c2a73f53a, 0x99e07f197e627ff7, 0xa2ff03f7ec3343c8, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x269a0b3919e4afdc, 0x0000000000000029,
};

/*
 * pwm2_u2x8_uart0_dual_pr_ee_u4     pwm2b_u2x8_uart0_dual_pr_ee       pwm2b_u2x8_uart0_dual_pr_ee_u4
 * pwm3_u2x8_uart0_dual_pr_ee        pwm3_u2x8_uart0_dual_pr_ee_u4     pwm3b_u2x8_uart0_dual_pr_ee
 * pwm3b_u2x8_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_ee[] = {
  0xfbbbbbbbbe890c86, 0xdddddd36904aaf60, 0x33adefda72daefdd, 0x04b142f5c7ba1bac, 0x7763765a0f3142c8,
  0x80905415de4c4e77, 0x21e834867ae609f1, 0xab3c59e922138023, 0x93ba7c4b881850c1, 0x8700d1369afccbb0,
  0x743f37a8f63fb0ff, 0xfcc6811423921560, 0xe2ef24a006e1f02b, 0x2d038688657717bb, 0xfa039e133938a843,
  0xcb56f9a025b7a1ff, 0xfbff5fed30586f2b, 0xed51ca4df6e9f096, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x5fcdb739156f62aa, 0x3458df0dc79b288c, 0x4e7ea75666fe0eee,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x000000564815b49d,
};

// pwm2b_u2x8_uart0_dual_pr_ce       pwm3_u2x8_uart0_dual_pr_ce        pwm3b_u2x8_uart0_dual_pr_ce
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeeeefde7cbd5b, 0x77774da2e25a983e, 0xefb4f58abf77ef77, 0x3e415bbbab05199c, 0xddddfb80b5a0f5db,
  0xc602415057792b8d, 0x4643d0691dd69827, 0x835678b3d2442700, 0x5aa774f8971030a1, 0x9b38456986b7e653,
  0xc0d4f4dea3efbd86, 0x57f98d022847242a, 0xbbe2ef14800dc3e0, 0x2196819488657717, 0x7bfe80e784dd4454,
  0xe5796adf3404b6ea, 0x12fddfe0d0e60b0d, 0xd1bdaa3949bedd3e, 0x173b31e77fd5ef86, 0x9dcdae9682d7e780,
  0x8df9ee580b52e613, 0x3e471cab03a97ea3, 0x6b23afe731602828, 0x01ffb33c75e00ced, 0x4e81e5adc21d21aa,
  0xb27f157ceee2a4aa, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c,
  0x6dce18edec555169, 0xe4d5c1e6ca2317f3, 0xc790334f8d163ce2, 0x92e19e985727eeac, 0x6587494b67c09c65,
  0x8dd9c8cf257ee686, 0x00000000000073d7,
};

// pwm2b_u2x8_uart0_dual_pr_ce_u4    pwm3_u2x8_uart0_dual_pr_ce_u4     pwm3b_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_ce_u4[] = {
  0xeeeeeeefa243359b, 0xeeee9b564c75d83e, 0x3efaee716a27eeee, 0x3ada72ddddc9c53b, 0x70f0cc284db5d6e7,
  0x180905415de48917, 0x190f41a4753a609f, 0x0d59e2cf49109c01, 0x849dd3e25c40c286, 0x68e063f30cdfe65d,
  0x031ad37a8e96b601, 0x5fe63408a11c90ab, 0xdf177f5980370f81, 0x19683934432bb8bd, 0x7fd01cf09a034542,
  0xaf2d5be68096dc6b, 0x4c17fd7fb4c161bc, 0x37b5472937dba7c2, 0x424e96e2faa010da, 0x1222fb8d1079e24e,
  0x27ebfea3e12fc436, 0x19f52e678bb9b5c5, 0x60752fd471bf3dcb, 0xe62c050507c8e395, 0x8ebc019dad6475fc,
  0xb843a435403ff667, 0x9ddc549549d03cb5, 0xdf81895af64fe2af, 0x80ef5af3c0809c2c, 0x4a7400b79bcd9141,
  0xc67440ef9537a94e, 0xbd8aaa2d3574e31b, 0xd94462fe6db9c31d, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337,
  0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xfda4e9e4afdcd0cc,
  0x0000000000349122,
};

// pwm2b_u2x8_uart0_dual_pr_ee_ce    pwm3_u2x8_uart0_dual_pr_ee_ce     pwm3b_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeeeeefd437089, 0xeeeee9b550f0f983, 0x5932b8d17e8ce6ee, 0x6a3e0cd19ee9d64e, 0x3d6555eeb69682e1,
  0x415057793619dd79, 0x41a46f3e9827c602, 0xe2cf49109c01190f, 0xd3e25c40c2860d59, 0xfaf31adfe65d849d,
  0x737a8f00360290e1, 0x681142392156076b, 0xe000006e1f02bfcc, 0x15910caee2f77c5d, 0x73c2695d150865a1,
  0xdf3404b6f6b7ff40, 0xebfda60b0de5796a, 0x72937dba7c25d3ff, 0xffaa37270da37b54, 0xcb5f9e24e424358e,
  0xc9ba6139dcdaf787, 0xf3d4795bf929daca, 0x62b80dea3e0d9835, 0x588a459a75a1140a, 0x6e328752135f4616,
  0x512ed10a3dece757, 0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1, 0x93f8abe77715252c,
  0x20270b37e06256bd, 0xf36450603bd6bcf0, 0x4dea53929d002de6, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xce1b8f365118bf9b, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81, 0xc105fbda4e9e4afd,
  0x0000000000000004,
};

// pwm2b_u2x8_uart0_dual_pr_ee_ce_u4 pwm3_u2x8_uart0_dual_pr_ee_ce_u4  pwm3b_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeefa26d3e5f82, 0xee9b4a6e6d183eee, 0x0f76b8bdbc9eeeee, 0x029dbb1a8abc7e5a, 0xaab8ffabf1fd0842,
  0x4eca7774d6fed1ac, 0xa609f180905415de, 0x27004643d06907cf, 0x30a1835678b3d244, 0xccafda2774f89710,
  0xd87599c190e6a4af, 0x0ab0335b9bd4767c, 0xf815fe63408a11c9, 0x17bbe2ef5c100370, 0x50865a063e886577,
  0xd6ffe80e784dd5f1, 0xbcaf2d5be68096dc, 0xe127f9fe6bdcc161, 0x6d1bdaa3949bedd3, 0x038337717d51a9e8,
  0x1222fb8d1079e24e, 0x3c83fea3e12fc436, 0x37374cf17736bea8, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d,
  0x962291669d684502, 0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0,
  0x313fac546c113238, 0x64fe2af9ddc5494b, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0xc9ab83cd94462fe6, 0x6fe0dfa08d1637c5, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x36f75393c95fb9a1,
  0x000000000001000f,
};

// pwm2b_u2x8_uart0_dual_hw          pwm3_u2x8_uart0_dual_hw           pwm3b_u2x8_uart0_dual_hw
static const uint64_t ur_pwm2_u2x8_uart0_dual_hw[] = {
  0xdddddddf4486bd5b, 0xeeee9b45c5b1307d, 0xb4e2948cf7656eee, 0xb1dab13bbbb41571, 0x9fb77777ee36d04e,
  0x609f180905415de4, 0x4e008c87a0d22e46, 0x614306acf167a488, 0xf32ec24ee9f12e20, 0xb6c1d29c0e1cc52f,
  0x921560752a6f51d2, 0xe1f02bfcc6811423, 0xbb8bddf177ffc006, 0xbe2a10cb417c4432, 0x5b7a95ff4073c267,
  0x0586f2bcb56f9a02, 0xdba7c2413ffced13, 0x1350da37b5472937, 0x60621fd47c8a77cb, 0x1541e69c5ef8e395,
  0x0676b591d7f398b0, 0x90d500ffd9823af0, 0x49549d03cb3db10e, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818,
  0x0b79bcd914180ef5, 0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x17f36dce455bd8aa, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00018dd55c142fa7,
};

// pwm2b_u2x8_uart0_dual_ee_hw       pwm3_u2x8_uart0_dual_ee_hw        pwm3b_u2x8_uart0_dual_ee_hw
static const uint64_t ur_pwm2_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeeeefa2436f02, 0x77774da412abd83e, 0xeb7bf69cb6bbf777, 0x2c50bd71ee86eb0c, 0xfe1f35f459b0b201,
  0x02415057793139dc, 0x87a0d219eb9827c6, 0xacf167a4884e008c, 0x4ee9f12e20614306, 0x1c0344da6bf32ec2,
  0xd0fcdea3d8fec3fe, 0xf31a04508e485581, 0x8bbc92801b87c0af, 0xb40e1a2195dc5eef, 0xe80e784ce4e2a10c,
  0x2d5be68096de87ff, 0xfbff3b44c161bcaf, 0xed51ca4df6e9f096, 0x7dcd56b47224368d, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x5fcdb739156f62aa, 0x3f505d8dc79b288c, 0x27ff787bde50c2a7,
  0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x00000aed40a0be9e,
};

// pwm2b_u2x8_uart0_dual_ce_hw       pwm3_u2x8_uart0_dual_ce_hw        pwm3b_u2x8_uart0_dual_ce_hw
static const uint64_t ur_pwm2_u2x8_uart0_dual_ce_hw[] = {
  0xdddddddf448687e1, 0xdddd36ac98ebb07d, 0x7df5dce2d44fdddd, 0x75b4e5bbbb938a76, 0x5dc57b782d68fdce,
  0x7c60241505779224, 0x04643d0691d4e982, 0x1835678b3d244270, 0x7612774f8971030a, 0x05a3818fcc337f99,
  0xac0c6b4dea3a5ad8, 0x057f98d022847242, 0xf77c5dfd6600dc3e, 0x0865a0e4d10caee2, 0xadff4073c2680d15,
  0xf2bcb56f9a025b71, 0xc24c17fced130586, 0xda37b5472937dba7, 0x4e424e96e2faa010, 0x361222fb8d1079e2,
  0xeff3107ea3e12fc4, 0xe58cfa9733c5dcda, 0xcab03a97ea38df9e, 0xfe7316028283e471, 0x33c75e00ced6b23a,
  0x5adc21d21aa01ffb, 0x57ceee2a4aa4e81e, 0x166fc0c4ad7b27f1, 0xa0c077ad79e0404e, 0xa7253a005bcde6c8,
  0x8de33a2077ca9bd4, 0x8edec555169aba71, 0x1e6ca2317f36dce1, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x8bc2fa792bf73433, 0x0000000000013754,
};

// pwm2b_u2x8_uart0_dual_ee_ce_hw    pwm3_u2x8_uart0_dual_ee_ce_hw     pwm3b_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm2_u2x8_uart0_dual_ee_ce_hw[] = {
  0x7777777ea0a1a5fb, 0x7774daa8787cc1f7, 0x995c68bf46737777, 0x1f0668cf74eb272c, 0xc8d75d2acb4170b5,
  0x2415057793619dd2, 0xf41a46f3e9827c60, 0x9e2cf49109c01190, 0xdd3e25c40c2860d5, 0x1faf31adfe65d849,
  0xb737a8f00360290e, 0xc681142392156076, 0xde000006e1f02bfc, 0x115910caee2f77c5, 0x073c2695d150865a,
  0xadf3404b6f6b7ff4, 0xff9da260b0de5796, 0x51ca4df6e9f0974f, 0x3bfea8dc9c368ded, 0x9b21fe78939090d6,
  0x2b26e984e7736bf5, 0xd7cf51e56fe4a76b, 0x298ae037a8f83660, 0x5962291669d68450, 0x5db8ca1d484d7d18,
  0xbd44bb4428f7b39d, 0x04547cf58d578d8e, 0x86f65f4b3170908a, 0xb313fac546c11323, 0xf64fe2af9ddc5494,
  0xc0809c2cdf81895a, 0x9bcd914180ef5af3, 0x9537a94e4a7400b7, 0x3574e31bc67440ef, 0x6db9c31dbd8aaa2d,
  0xb0ec6e3cd94462fe, 0x78138d2861539fa9, 0x30ae4fc07cd0f226, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x00000075d45fb0be,
};

// pwm2b_u2x8_uart0_dual_ee_ce_u4_hw pwm3_u2x8_uart0_dual_ee_ce_u4_hw  pwm3b_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeeeefa28d19231, 0xeee9b4a6e6d183ee, 0xf2d07bbd5c5eeeee, 0x421014edd8d455e3, 0x34eb76b57d5f8fe8,
  0x5057793b29ddffc3, 0xa41f3e9827c60241, 0xcf49109c01190f41, 0xe25c40c2860d59e2, 0x35257e65906a9dd3,
  0xa3b3e6c3acce0c87, 0x508e4855819adcde, 0x801b87c0aff31a04, 0x432bb8bddf177ae0, 0x6eaf8a8432d031f4,
  0x04b6e6b7ff4073c2, 0xe60b0de5796adf34, 0xfb74f849fe7fef0e, 0x6a7a1b46f6a8e526, 0x8b17d090cddc5f54,
  0x10d8488bee3441e7, 0x5d4939bffa8f84bf, 0x3b5b9b9ba678bb9b, 0xb306be7a8f2b7f25, 0x22814c5701bd47c1,
  0xe8c2cb1148b34eb4, 0x9ceaedc650ea426b, 0x6c75ea25da2147bd, 0x845022a3e7ac6abc, 0x991c37b2fa598b84,
  0xa4a5989fd62a3608, 0x4ad7b27f157ceee2, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0,
  0x5169aba718de33a2, 0x17f36dce18edec55, 0xcfd4176371e6ca23, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x001d75d1017a02e7,
};

/*
 * pwm2_u2x12_uart0_noled_pr         pwm2b_u2x12_uart0_noled           pwm2b_u2x12_uart0_noled_pr
 * pwm3_u2x12_uart0_noled            pwm3_u2x12_uart0_noled_pr         pwm3b_u2x12_uart0_noled
 * pwm3b_u2x12_uart0_noled_pr
 */
static const uint64_t ur_pwm2_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x304f8c0482a0aef2, 0x09443ff146ecfcdd, 0x8e527f36a7d56e9f, 0xf1df2c90e1b46f6a, 0xd1c72ac0cd27a8fc,
  0x6731602dee986f93, 0xc11d78b9d9ed23c6, 0x256bd856513b8e58, 0x03bd6bce70b37e06, 0x363385bcde01f506,
  0x378ce8815d54e5e5, 0x56f62aa8b4b0b9c6, 0xbb65118bf9b62491, 0x63c81a3f8d163ce1, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x9d69f2792bf73433, 0x000000000001f20a,
};

// pwm2b_u2x12_uart0_noled_pr_u4     pwm3_u2x12_uart0_noled_pr_u4      pwm3b_u2x12_uart0_noled_pr_u4
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_u4[] = {
  0xeda1af068bb128ae, 0x7557382f1f896eee, 0xc9ab401a5c777777, 0xe0fbbbb111227c5b, 0x4d2c71b262446311,
  0x4f8c0482a0aef277, 0x2053fc493cfe9530, 0xca4fe6d4faadd3e1, 0x3be5843c368ded51, 0x38e5581a0bf51fa0,
  0x731602cb299efb5a, 0x11d7a3e76afe8f58, 0xed8fb33ca807fecc, 0x06256bd838f81e59, 0x0603bd6bce70b37e,
  0xe5363385bcde01f5, 0xc6378ce8815d54e5, 0x9156f62aa8b4b0b9, 0xe0f365118bf9b624, 0x81db43458df1726a,
  0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xa80653c95fb9a199, 0x00000000003e4eac,
};

// pwm2b_u2x12_uart0_noled_pr_ee     pwm3_u2x12_uart0_noled_pr_ee      pwm3b_u2x12_uart0_noled_pr_ee
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ee[] = {
  0x776d0d783bd8bf82, 0xeeeaaf2208244b77, 0x3d31b67ef619eeee, 0x66130feeeeff1785, 0xc4891f8360ccd8cc,
  0x602415057793bab8, 0x7fc493cf94b9827c, 0xfcda9f55ba7c24e9, 0x8d7c86d1bdaa3949, 0xc8bea3caf4a9aad6,
  0xdf159ebea3e0d983, 0xb2c4522cd3ad08a1, 0xf8b8a266909afa30, 0xdba446d7c73ab4ba, 0xa4b1aad743af5d4d,
  0x3918b84845152d19, 0xec5c513f5b86f65c, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19,
  0x15545a585ce31bc6, 0x88c5fcdb1248ab7b, 0x43458f38b93571b2, 0xc2b93f75663c81db, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x00000a7cd3900ca7,
};

// pwm2b_u2x12_uart0_noled_pr_ee_u4  pwm3_u2x12_uart0_noled_pr_ee_u4   pwm3b_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ee_u4[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x02415057793bad3b, 0xff06acfe049827c6, 0x9b53eab74f848a5f, 0xce30da37b547293f, 0xc7d4795c89355ad1,
  0xf15f75ea3e0d9834, 0x2c4522cd3ad08a1d, 0x15c6b26909afa30b, 0x6ded1e0b39d5a5e7, 0x38d8d56ba1d79d37,
  0xb2e62e1211473c8c, 0x34a8d823f5b86f65, 0xbf0312b5ec00a895, 0xfa8301deb5e73859, 0x72f29b19c2de6f00,
  0x5ce31bc67440aeaa, 0x1248ab7b15545a58, 0x357079b288c5fcdb, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x6bdfd3a9e4afdcd0,
  0x000000000000275f,
};

// pwm2b_u2x12_uart0_noled_pr_ce     pwm3_u2x12_uart0_noled_pr_ce      pwm3b_u2x12_uart0_noled_pr_ce
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ce[] = {
  0x6d0d783a83d8ad4e, 0xaab9c1617c4b7777, 0xb2f7856921bbbbbb, 0xafddddc3ec1ea18d, 0x26e0c334678eec7b,
  0xc602415057793ba6, 0xeffc493cfafb9827, 0x9fcda9f55ba7c251, 0xfac1f86d1bdaa394, 0x1ffcf002c1c3d4ef,
  0x759309cee6d7e9fb, 0x0f59ea393d3dcb01, 0xc580a3e7491c72ac, 0x75e8f9dabfa3d61c, 0xc3eccf2a01ffb33c,
  0x6256bd838f81e5ad, 0x603bd6bce70b37e0, 0x5363385bcde01f50, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c,
  0x1e6ca2317f36c490, 0xdb434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0,
  0x4332c3a4a5b3e04e, 0x5cad500ca792bf73, 0x0000000000000037,
};

// pwm2b_u2x12_uart0_noled_pr_ce_u4  pwm3_u2x12_uart0_noled_pr_ce_u4   pwm3b_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ce_u4[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x3e30120a82bbc9dd, 0xf3bff83567cbacc1, 0x49fcda9f55ba7c25, 0x17d72486d1bdaa39, 0xd1079e005ad23f97,
  0x3e12fc4361222fb8, 0x3c5dcdaeff3107ea, 0xd4727a7b9633f593, 0x47ce9238e5581eb3, 0xf3b57f47ac398b01,
  0x9e5403ff6678ebd1, 0x7b071f03cb5b87d9, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6,
  0xc55516961738c6f1, 0x4462fe6d89218ede, 0xd1637c5c9ab83cd9, 0x39fa9d598f207e50, 0x313ffbc3def28615,
  0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00001baefc0be9d4,
};

// pwm2b_u2x12_uart0_noled_pr_ee_ce  pwm3_u2x12_uart0_noled_pr_ee_ce   pwm3b_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x482a0aef2775b11c, 0xe0d59f4b5304f8c0, 0x6a7d56e9f090d6ff, 0xf21b46f6a8e527f3, 0x016b49810effaa37,
  0xe7736bf59b21fe78, 0x7d44a76b2b1ef984, 0x51f06cc1ad7f51e5, 0xd3ad08a0531584ff, 0x909afa30b2c4522c,
  0xa3c1673abb74e23a, 0x355e363af3a6edbd, 0x8b848451cf230e36, 0x1b044c8e1bd96cb9, 0x6256bd859d12a695,
  0x603bd6bce70b37e0, 0x5363385bcde01f50, 0x6378ce8815d54e5e, 0xc76f62aa8b4b0b9c, 0x1e6ca2317f36c490,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343c899e04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0x3f0c9f4ea792bf73, 0x0000000000000001,
};

/*
 * pwm2b_u2x12_uart0_noled_pr_ee_ce_u4 pwm3_u2x12_uart0_noled_pr_ee_ce_u4
 * pwm3b_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0xdb435e0d173e173e, 0xeaaeb90e9d12dddd, 0x31a713b7276eeeee, 0x2588eee3b413c8fd, 0x5eb227c1b8e35152,
  0x415057793bb9f680, 0x8dd9f4db9827c602, 0x3eab74f84866ffca, 0x0da37b547293f9b5, 0x2e76706e2faa390f,
  0xb09117dc6883cf00, 0x92737ff51f097e21, 0xb736f7ccf17736ba, 0x1ad7f51e57d44a76, 0x0531584ff51f06cc,
  0x0b2c4522cd3ad08a, 0xabb74e23a909afa3, 0xaf3a6edbda3c1673, 0x1cf230e36355e363, 0xe1bd96cb98b84845,
  0x59d12a6951b044c8, 0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8,
  0x17f36c490c76f62a, 0x1be2e4d5c1e6ca23, 0xa75663c819a7c68b, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x04fc4cb567233c95,
};

// pwm2b_u2x12_uart0_noled_hw        pwm3_u2x12_uart0_noled_hw         pwm3b_u2x12_uart0_noled_hw
static const uint64_t ur_pwm2_u2x12_uart0_noled_hw[] = {
  0x776d0d783acdfebe, 0xbbaab9c178fc4b77, 0x8b79356d1b7bbbbb, 0x623c1f777622244f, 0xef2777c7e15a480c,
  0xe95304f8c0482a0a, 0xdd3e12053ff0e3cf, 0xded51ca4fe6d4faa, 0x51fa03be5843c368, 0xefb5a38e5581a0bf,
  0xe8f58731602cb299, 0x7fecc11d7a3e76af, 0x81e59ed8fb33ca80, 0x0b37e06256bd838f, 0xe01f50603bd6bce7,
  0xd54e5e5363385bcd, 0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0x27e7f61bb65118bf, 0x289c6592e19e9857,
  0xee6866587494b659, 0x0011c5a71d14f257,
};

// pwm2b_u2x12_uart0_noled_ee_hw     pwm3_u2x12_uart0_noled_ee_hw      pwm3b_u2x12_uart0_noled_ee_hw
static const uint64_t ur_pwm2_u2x12_uart0_noled_ee_hw[] = {
  0xbb686bc1a2433a31, 0xeeaaf2200ce25bbb, 0x8121e3f5ebeeeeee, 0xa730987f75e475ec, 0xd89b0da02a199bb6,
  0x9f180905415de4ee, 0x452ffe8533f81260, 0x949fcda9f55ba7c2, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a,
  0x450ef8afbaf51f06, 0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb,
  0x37b2d973170908a3, 0x544a9a546c11fadc, 0x9c2cdf81895af600, 0x37807d4180ef5af3, 0x575539794d8ce16f,
  0x2d2c2e718de33a20, 0xfe6d892455bd8aaa, 0xfa82ec6e3cd94462, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x0002df31c485f4f2,
};

// pwm2b_u2x12_uart0_noled_ce_hw     pwm3_u2x12_uart0_noled_ce_hw      pwm3b_u2x12_uart0_noled_ce_hw
static const uint64_t ur_pwm2_u2x12_uart0_noled_ce_hw[] = {
  0xeeeda1af0759bb37, 0xbbbaab9c16b4896e, 0x99b426efdf1fbbbb, 0x401b6f8feeee8da2, 0x0aef2776c7b21a6c,
  0x9f80d304f8c0482a, 0xab74f8483dffe1c7, 0xa37b547293f9b53e, 0x2e127bceffaf490d, 0x3b9b5d7d945fcf00,
  0xd7d3dcb01719cc27, 0xb51c72ac0f19fa8e, 0x91199e398b017a47, 0xdc72c678ebc5cec6, 0x37e06256bd83a86a,
  0x0725603bd6bce70b, 0x52d5ca52f9c2de6f, 0x9e63042d3b8bf9b7, 0xfcdb4e31bc674409, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00006214fae8a792,
};

/*
 * pwm2_u2x12_uart0_noled_ee_ce_u4_hw pwm2b_u2x12_uart0_noled_ee_ce_hw
 * pwm2b_u2x12_uart0_noled_ee_ce_u4_hw pwm3_u2x12_uart0_noled_ee_ce_hw
 * pwm3_u2x12_uart0_noled_ee_ce_u4_hw pwm3b_u2x12_uart0_noled_ee_ce_hw
 * pwm3b_u2x12_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u2x12_uart0_noled_ee_ce_hw[] = {
  0xeda1af06890c1107, 0x75575c874e896eee, 0xfd31a7b13b777777, 0x522588eee3b413c8, 0x9157eefdc1b8e351,
  0x8c0482a0aef27753, 0x6ffe8533e9b7304f, 0x3f9b53eab74f8486, 0xa390f0da37b54729, 0x79e24e424706e2fa,
  0x2fc4361222fb8d10, 0x736ba545c8fea3e1, 0x44a76b736f7ccf17, 0xf06cc1ad7f51e57d, 0xad08a0531584ff51,
  0x9afa30b2c4522cd3, 0xc1673abb74e23a90, 0x5e363af3a6edbda3, 0x848451cf230e3635, 0x044c8e1bd96cb98b,
  0x56bd859d12a6951b, 0x3bd6bce70b37e062, 0x63385bcde01f5060, 0x78ce8815d54e5e53, 0x6f62aa8b4b0b9c63,
  0x6ca2317f36c490c7, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0,
  0x3a4a5b3e04e32c97, 0x42fa792bf734332c, 0x00000000050179f8,
};

/*
 * pwm2_u2x12_uart0_lednop_pr        pwm2b_u2x12_uart0_lednop          pwm2b_u2x12_uart0_lednop_pr
 * pwm3_u2x12_uart0_lednop           pwm3_u2x12_uart0_lednop_pr        pwm3b_u2x12_uart0_lednop
 * pwm3b_u2x12_uart0_lednop_pr
 */
static const uint64_t ur_pwm2_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x7cc13e30120a82bb, 0xf84900ff8a3767c2, 0x547293f9b53eab74, 0x278ef964870da37b, 0x9e8e395606693d47,
  0x05398b016f74c37f, 0x8c11d78b9d838a39, 0x895af6158a0fb8e5, 0x5af3c0809c2cdf81, 0x002de6f2dd4180ef,
  0x017be54dea53929d, 0xe33a2047514085a7, 0xed94462fe6da718d, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0xb0e9296cb25138cb, 0x75a7c9e4afdcd0cc, 0x000000000007c82a,
};

// pwm2b_u2x12_uart0_lednop_pr_u4    pwm3_u2x12_uart0_lednop_pr_u4     pwm3b_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_u4[] = {
  0x76d0d78345d8ad4e, 0xbaab9c17d2c4b777, 0x16c1fc7ee63bbbbb, 0xcdf777622244f1ff, 0xc4dc1241198db267,
  0xf8c0482a0aef2774, 0x807f89279f09f304, 0x49fcda9f55ba7c24, 0x7cb08786d1bdaa39, 0x1cab03417ea3dac7,
  0xc580b2ca6f920fc7, 0xd7a3e7659e8d219c, 0xa0b348a807fecc11, 0x256bd905681e59ed, 0x6bcf020270b37e06,
  0x02de6f36450603bd, 0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0xc5fcdb739156f62a, 0xc6f8b9357079b288,
  0xf53ab31e40eda1a2, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x0001f2659c0329e4,
};

// pwm2b_u2x12_uart0_lednop_pr_ee    pwm3_u2x12_uart0_lednop_pr_ee     pwm3b_u2x12_uart0_lednop_pr_ee
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ee[] = {
  0xeeeda1af077b1762, 0xbbbaabc8815b896e, 0x4c2aa18d3da17bbb, 0x7cc261fddddfe2d0, 0x68cfe9a3b3f78bec,
  0x30120a82bbc9dda6, 0xbfe249e7d4f4c13e, 0xfe6d4faadd3e122e, 0x46be4368ded51ca4, 0xc8bea3cac27cd56b,
  0xdf15c89ea3e0d983, 0xb2c4522cd3ad08a1, 0x7cb8a266909afa30, 0xec22a3e78e756979, 0xd658d56ba1d7aea6,
  0x8723170908a2bfa3, 0x7b1703efeb70decb, 0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b,
  0x9aba718de33a2077, 0x9b6e722adec55516, 0xe71726ae365118bf, 0xeeacc7903b6868b1, 0x9c6592e19e985727,
  0x6866587494b65928, 0x9f153a0194f257ee, 0x0000000000000002,
};

// pwm2b_u2x12_uart0_lednop_pr_ee_u4 pwm3_u2x12_uart0_lednop_pr_ee_u4  pwm3b_u2x12_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ee_u4[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x0482a0aef2775b11, 0xfe0d59fdf7304f8c, 0x36a7d56e9f0929ef, 0x9c61b46f6a8e527f, 0x8fa8f2b32a6ab5a3,
  0xc561efd47c1b3069, 0xb1148b34eb422877, 0x571ac9a426be8c2c, 0xd1923268e756973d, 0xdab1aad743af3a6e,
  0x65cc5c242282791b, 0x7951b047eb70decb, 0xfc0c4ad7b0021f66, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x65118bf9b6e722ad, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x0000004ebdd5bfa7,
};

// pwm2b_u2x12_uart0_lednop_pr_ce    pwm3_u2x12_uart0_lednop_pr_ce     pwm3b_u2x12_uart0_lednop_pr_ce
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ce[] = {
  0xddb435e0ef62eff6, 0xeeaae7056a712ddd, 0x50c6bad1a826eeee, 0xa63377770fb0785f, 0xebd731234e99a9b7,
  0x09f180905415de4e, 0x9406ff124f3ffba6, 0xe527f36a7d56e9f0, 0x3bfeb07e1b46f6a8, 0x9d1cbf3c00b07244,
  0xb01759309cee6d7d, 0x2ac0f59ea3f493dc, 0x19cc580a9888b1c7, 0xcf1d7a3e7659e8d2, 0x6b720b348a807fec,
  0xf81895af6415a079, 0x0ef5af3c0809c2cd, 0xa7400b79bcd91418, 0x67440ef9537a94e4, 0xd8aaa2d3574e31bc,
  0x94462fe6db9c31db, 0xda1a2c79c5c9ab8d, 0xa615c9fbab31e40e, 0x2d964a271964b867, 0x3c95fb9a19961d25,
  0x0000016ea73e8065,
};

// pwm2b_u2x12_uart0_lednop_pr_ce_u4 pwm3_u2x12_uart0_lednop_pr_ce_u4  pwm3b_u2x12_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ce_u4[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x9f180905415de4ee, 0x387ffc1ab3ec1660, 0xa4fe6d4faadd3e12, 0x8beb924368ded51c, 0xd1079e005ad254ab,
  0x3e12fc4361222fb8, 0x78bb9b5eb7e007ea, 0xa8fd24f72c67eb26, 0xa6222c71cab03d67, 0x9d967a3486731602,
  0x22a01ffb33c75e8f, 0xd905681e5adc82cd, 0x020270b37e06256b, 0x6f36450603bd6bcf, 0x54dea53929d002de,
  0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4, 0x726ae0f365118bf9, 0x663c81f943458df1, 0x0f7bca1854e7ea75,
  0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xbe8e2fa753c95fb9,
  0x000000000000006e,
};

// pwm2b_u2x12_uart0_lednop_pr_ee_ce pwm3_u2x12_uart0_lednop_pr_ee_ce  pwm3b_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x482a0aef27747b16, 0xc1ab3fd3f304f8c0, 0xa9f55ba7c25d5fff, 0xc86d1bdaa3949fcd, 0x05ad26fb3bfea8df,
  0x9dcdaf722495f9e0, 0xf7529dacac7be613, 0x47c1b306b5fd4795, 0x4eb422814c57b7fd, 0x426be8c2cb1148b3,
  0x464d1ceaedc7a8ea, 0x6abc6c75e74dda32, 0x170908a09e46f6ac, 0x3608991c37b2d973, 0x895af61663eccf2a,
  0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0x62fe6db9c31dbd8a,
  0x2d5e5c9ab83cd944, 0xd4eacc7903f2868b, 0x133c09c69430a9cf, 0x9e985727e03e6879, 0x494b67c09c6592e1,
  0x9d4f257ee6866587, 0x0000000027e3d6fe,
};

/*
 * pwm2b_u2x12_uart0_lednop_pr_ee_ce_u4 pwm3_u2x12_uart0_lednop_pr_ee_ce_u4
 * pwm3b_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xdb435e0d173e1bc1, 0xeaaeb9012312dddd, 0x1a0b627605eeeeee, 0x2588eee3b413a779, 0x7015dda3bb8247d2,
  0x20a82bbc9dd1d74d, 0xa3767dfe4c13e301, 0xa7d56e9f09068ff2, 0xe1b46f6a8e527f36, 0x05ced2d5c5f54721,
  0x361222fb8d1079e0, 0x601ba1fea3e12fc4, 0xadcdbdf33c5dcdae, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3,
  0xc2cb1148b34eb422, 0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908,
  0x1663eccf2a360899, 0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95,
  0xb9c31dbd8aaa2d35, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc16ce46792bf7343, 0x0000000000009f9b,
};

// pwm2b_u2x12_uart0_lednop_hw       pwm3_u2x12_uart0_lednop_hw        pwm3b_u2x12_uart0_lednop_hw
static const uint64_t ur_pwm2_u2x12_uart0_lednop_hw[] = {
  0xbbb686bc1d66ef3a, 0xddd55ce0be9625bb, 0x3fe2d83ed43ddddd, 0x4cf9beeeec44489e, 0xe4ee82f4135901b6,
  0x3e609f180905415d, 0x4f84900ffc38f3e1, 0xb547293f9b53eab7, 0x7b58ef9610f0da37, 0x41f8e39560682fd4,
  0xa43398b016594df2, 0xd9823af47cecb3d1, 0xcb3db416691500ff, 0x6fc0c4ad7b20ad03, 0xc077ad79e0404e16,
  0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0xb65118bf9b6e722a, 0xe19e985727e7f61b,
  0x7494b659289c6592, 0xd514f257ee686658, 0x0000000000008e21,
};

// pwm2b_u2x12_uart0_lednop_ee_hw    pwm3_u2x12_uart0_lednop_ee_hw     pwm3b_u2x12_uart0_lednop_ee_hw
static const uint64_t ur_pwm2_u2x12_uart0_lednop_ee_hw[] = {
  0xbb686bc1a2432493, 0xeeaaf2207ee25bbb, 0x9b200bf6a2eeeeee, 0x4e6130feebc8ebc1, 0x0dc82b4ed50b6976,
  0x3e30120a82bbc9dd, 0x94f7fd0a67f7dcc1, 0x293f9b53eab74f84, 0x5ad1ce30da37b547, 0x9834c7d479599535,
  0x143be2b0f7ea3e0d, 0x4616588a459a75a1, 0x4b9eab8d64d2135f, 0x9d3768c9193473ab, 0x3c8ded58d56ba1d7,
  0x6f65b2e62e121141, 0x0fb33ca8d823f5b8, 0x70b37e06256bd801, 0x450603bd6bcf0202, 0xa53929d002de6f36,
  0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0xdc79b288c5fcdb73, 0xbde50c2a73f505d8, 0xe07f197e627ff787,
  0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x30440be9e4afdcd0, 0x00000000000002df,
};

// pwm2b_u2x12_uart0_lednop_ce_hw    pwm3_u2x12_uart0_lednop_ce_hw     pwm3b_u2x12_uart0_lednop_ce_hw
static const uint64_t ur_pwm2_u2x12_uart0_lednop_ce_hw[] = {
  0xbb686bc1a243280b, 0x7755783236225bbb, 0x429b2e3a34f77777, 0x0cc17eeee9932f6b, 0x93bb939eb6b4e376,
  0x59827c6024150577, 0x9f091c3ffa14cfb0, 0x6a8e527f36a7d56e, 0xaa55c5f5c921b46f, 0x45f71a20f3c49c84,
  0x68fd47c25f886c24, 0x7eb2678bb9b5ffe0, 0x03d67a8fd24f72c6, 0x31602a6222c71cab, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0x6256bd905681e5ad, 0xd6bcf020270b37e0, 0x002de6f36450603b, 0x103be54dea53929d,
  0xaa8b4d5d38c6f19d, 0x18bf9b6e70c76f62, 0x4e7ea0bb1b8f3651, 0xcc4ffef0f7bca185, 0x866879133c0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000eb37955817d,
};

/*
 * pwm2_u2x12_uart0_lednop_ee_ce_u4_hw pwm2b_u2x12_uart0_lednop_ee_ce_hw
 * pwm2b_u2x12_uart0_lednop_ee_ce_u4_hw pwm3_u2x12_uart0_lednop_ee_ce_hw
 * pwm3_u2x12_uart0_lednop_ee_ce_u4_hw pwm3b_u2x12_uart0_lednop_ee_ce_hw
 * pwm3b_u2x12_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u2x12_uart0_lednop_ee_ce_hw[] = {
  0x76d0d78344867f3e, 0xbaabae4048c4b777, 0xbc8d05db13bbbbbb, 0xe912c47771da09d3, 0xaa8bf5d6d1ddc123,
  0xc602415057793bb1, 0x68ffa14cfbfc9827, 0x27f36a7d56e9f090, 0x54721e1b46f6a8e5, 0x0f3c49c8492d5c5f,
  0x25f886c2445f71a2, 0xee6d7a4a672fd47c, 0xba94ed6e6def99e2, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea,
  0x135f4616588a459a, 0x3268e7576e3d4752, 0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98,
  0x4ad7b0b31f667951, 0xd79e0404e166fc0c, 0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2,
  0x17f36dce18edec55, 0xcfd4176371e6ca23, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00005015c41c2fa7,
};

// pwm2b_u2x12_uart0_dual            pwm3_u2x12_uart0_dual             pwm3b_u2x12_uart0_dual
static const uint64_t ur_pwm2_u2x12_uart0_dual[] = {
  0x77777a45de7cbf3e, 0xbba6d78fc9cc1f77, 0x8ce5db62d415bbbb, 0x52ac4eeee8d368ba, 0x9bba71162debb7ac,
  0x4f8c0482a0aef241, 0x004643d069172330, 0xa1835678b3d24427, 0x535aa774f8971030, 0x8393387ce9a43fe6,
  0x15606fe4dea3945d, 0xf02bfcc681142392, 0x17bbe2efeaf006e1, 0x5421968442886577, 0xea57fd01cf09b22c,
  0x1bcaf2d5be68096d, 0x7c2413ffc1a1cc16, 0xaa3949fcda9f55ba, 0xb8677cb57f86d1bd, 0x9a8e39560690fd47,
  0x16731602fe1ccb5c, 0x1823af22dd84fa34, 0xbb8a9295869371cb, 0xf0312b5ec9fc55f3, 0x1deb5e781013859b,
  0x14b579d002de6f30, 0x8a042d2a7c05a9c9, 0xb69c6378ce88197f, 0x726ae0f365118bf9, 0x970cf4c2b93f3fb1,
  0x2c3a4a5b3e04e32c, 0x82ce46792bf73433, 0x0000000000196fa6,
};

// pwm2b_u2x12_uart0_dual_pr         pwm3_u2x12_uart0_dual_pr          pwm3b_u2x12_uart0_dual_pr
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr[] = {
  0x777a45d41e7cd0e3, 0xa6d78f3b4c1f7777, 0xa271ced4e5bbbbbb, 0xcf7776a2989014f5, 0xda0957e44ce23acc,
  0x82a0aef25a5bbab8, 0xd0690495304f8c04, 0x78b3d24427004643, 0x74f8971030a18356, 0x14b9982fe6535aa7,
  0x74dea3ba5d81c338, 0x8d022847242ac0ff, 0xef0d000dc3e057f9, 0x802888657717bbe2, 0x80e784d10c542196,
  0x6adf3404b6ffbbfe, 0x5fe0d0e60b0de579, 0x7f36a7d56e9f0977, 0x9626a1b46f6a8e52, 0x2ac0c43fa8f914ef,
  0x602a83cd38bdf1c7, 0xe00ced6b23afe731, 0x1d21aa01ffb30475, 0x8a92a93a07967b62, 0x312b5ec9fc55f3bb,
  0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x462fe6db9c8ab7b1,
  0xb2d5e5c9ab83cd94, 0xea75663c819a7c68, 0x899e04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0xe46792bf734332c3, 0x00000000a49bd6ec,
};

// pwm2b_u2x12_uart0_dual_pr_u4      pwm3_u2x12_uart0_dual_pr_u4       pwm3b_u2x12_uart0_dual_pr_u4
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_u4[] = {
  0x77777a45a2e7ce7c, 0xbba6d78fb12c1f77, 0x138489dad1edbbbb, 0xf5999eeee8d368bb, 0xbb66da78b50fcb0c,
  0x8c0482a0aef2419b, 0x4643d0690495304f, 0x835678b3d2442700, 0x5aa774f8971030a1, 0x93387ce9a43fe653,
  0x606fe4dea3945d83, 0x2bfcc68114239215, 0xbbe2efa1f006e1f0, 0x2196844288657717, 0x77fd01cf09b22c54,
  0xcaf2d5be68096dff, 0x12eebfc1a1cc161b, 0x1ca4fe6d4faadd3e, 0x53be5abfc368ded5, 0x238e5581a43f51c4,
  0x8e62c05fc39931e9, 0x08ebc8b766be46f6, 0xe2a4a560fbdc72c6, 0x0c4ad7b27f157cee, 0x7ad79e0404e166fc,
  0xe8016f3796ea0c07, 0x380bdf2a6f529c94, 0x6f19d1023a8a042d, 0x1e6ca2317f36d38c, 0x9a7c68b1be2e4d5c,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x7233c95fb9a19961, 0x00000000524c2176,
};

// pwm2b_u2x12_uart0_dual_pr_ee      pwm3_u2x12_uart0_dual_pr_ee       pwm3b_u2x12_uart0_dual_pr_ee
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ee[] = {
  0xeeeef48a1eb432db, 0xbba6d1b080583eee, 0x751796adc99bbbbb, 0xeec7989dd29cd8ae, 0x4558d3c675dd8593,
  0x415057792645dc70, 0xa0d23d6a9827c602, 0xf167a4884e008c87, 0xe9f12e20614306ac, 0x34d4cff3f32ec24e,
  0x7e6f51ffe6c0341c, 0x8d022847242ac0fa, 0xdf95000dc3e057f9, 0x052d10caee2f77c5, 0x073c26f9d150865a,
  0xadf3404b6fd3fff4, 0xfebfda60b0de5796, 0xe6d4faadd3e12d37, 0x7224368ded51ca4f, 0x29ea3cad7dcd56b4,
  0xf15d4af51f06cc18, 0x2c4522cd3ad08a1d, 0x97152e6909afa30b, 0xd10a3dece7569732, 0x9eb1aad743af512e,
  0xe9662e1211408a8f, 0xb151b047eb70decb, 0xabe77715250084fe, 0x0b37e06256bd93f8, 0x50603bd6bcf02027,
  0x53929d002de6f364, 0xc6f19d103be54dea, 0x156f62aa8b4d5d38, 0xc79b288c5fcdb739, 0x37f07771a2ce9f0d,
  0x4fe50c2a73f53ab3, 0x6879133c5ce32fcc, 0x7a615c9f8e7bff82, 0x252d9f0271964b86, 0x9d3c95fb9a19961d,
  0x000000005645d9b4,
};

// pwm2b_u2x12_uart0_dual_pr_ee_u4   pwm3_u2x12_uart0_dual_pr_ee_u4    pwm3b_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ee_u4[] = {
  0xeeeeef48b4486f97, 0xeeee9b46c56983ee, 0x1d7cfb499bddeeee, 0xc6ab1e6277605bd6, 0x08ce9c2d4e900d57,
  0x482a0aef2519bb9e, 0x7a0d202c9304f8c0, 0xcf167a4884e008c8, 0xee9f12e20614306a, 0xc3fe4c1a3f32ec24,
  0xaf9bd47e9fd858f9, 0x63408a11c90ab03e, 0x77dc880370f815fe, 0x83a54432bb8bddf1, 0x01cf098a2c542196,
  0xab7cd012dbf57ffd, 0x7faff6982c3795e5, 0xf9b53eab74f84b2b, 0x1e950da37b547293, 0xf27a8f2b8f7355ad,
  0x7c5663fd47c1b307, 0xcb1148b34eb42287, 0xf5c20b9a426be8c2, 0x61f11f4873ab4b84, 0x976355ae875ed627,
  0x1f18b848451d023a, 0x92ae04ffd6e1bd97, 0x2b5ec9fc55f3bb8a, 0x5e781013859bf031, 0x16f379b228301deb,
  0x1df2a6f529c94e80, 0x45a6ae9c6378ce88, 0x2fe6db9c8ab7b155, 0x1a2c6f86e3cd9446, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x000000ac810bda4e,
};

// pwm2b_u2x12_uart0_dual_pr_ce      pwm3_u2x12_uart0_dual_pr_ce       pwm3b_u2x12_uart0_dual_pr_ce
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ce[] = {
  0xbbbbbd22ef3e43ee, 0xddd36bc7b3e60fbb, 0x265861d7da2fdddd, 0xc7b6eeecbb89c10d, 0xefc89eeda7ac5fae,
  0x120a82bbc9312eea, 0x1e83480004c13e30, 0xb3c59e9221380232, 0x3ba7c4b881850c1a, 0xc06b4c4ebf329ad5,
  0x95a6f51f4dec22b1, 0xcc68114239215607, 0x2effd7006e1f02bf, 0xd08f688657717bbe, 0xd01cf09a448a8432,
  0x2d5be68096df2b7f, 0x5bfc1a1cc161bcaf, 0x9fcda9f55ba7c249, 0xfd5ef86d1bdaa394, 0x2d7e780173b31e77,
  0xb52e6139dcdae968, 0x3a97ea38df9ee580, 0x16028283e471cab0, 0x5e00ced6b23afe73, 0x21d21aa01ffb33c7,
  0xee2a4aa4e81e5adc, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0xa2317f36dce18ede, 0xd163ce2e4d5c1e6c, 0x727eeacc790334f8, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0073d7d2759c8cf2,
};

// pwm2b_u2x12_uart0_dual_pr_ce_u4   pwm3_u2x12_uart0_dual_pr_ce_u4    pwm3b_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ce_u4[] = {
  0x777777a45a2432db, 0xbbba6d614eb6c1f7, 0xfbb17d95a9afbbbb, 0xb9c5ab7776c4bb2d, 0x71c115603e33a51f,
  0x180905415de4dc17, 0x190f41a42e0a609f, 0x0d59e2cf49109c01, 0x849dd3e25c40c286, 0x7ce033736ed7e65d,
  0x064ea6f51c2d6c0c, 0xbfcc681142392156, 0xbe2ef643006e1f02, 0x32d0f9c88657717b, 0xffa039e1354a8a84,
  0x5e5ab7cd012db93a, 0xb027faff6982c379, 0x293f9b53eab74f84, 0xe2faa010da37b547, 0x8d1079e24e424e96,
  0xa3e12fc4361222fb, 0x678bb9b5c527ebfe, 0xd471bf3dcb19f52e, 0x0507c8e39560752f, 0x9dad6475fce62c05,
  0x35403ff6678ebc01, 0x9549d03cb5b843a4, 0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0xfe6db9c31dbd8aaa, 0xa2c6f86e3cd94462, 0x73f53ab337f07771,
  0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x000003490b3da4e9,
};

// pwm2b_u2x12_uart0_dual_pr_ee_ce   pwm3_u2x12_uart0_dual_pr_ee_ce    pwm3b_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ee_ce[] = {
  0x777777a45d436f02, 0xbbba6d662e16c1f7, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0xe6bde4c59b69eb41,
  0x2a0aef25b13b9fc3, 0x6910f27304f8c048, 0xb3d24427004643d0, 0xf8971030a1835678, 0xdcd30df997612774,
  0xbd47149b0fd7381a, 0x08a11c90ab03adf9, 0xdd80370f815fe634, 0x910caee2f77c5de6, 0xc26b75150865a035,
  0x3404b6f5bfff4073, 0xfda60b0de5796adf, 0x9f55ba7c2563ffeb, 0x86d1bdaa3949fcda, 0x72121ac77fd51b93,
  0xee6d7bc3e5afcf12, 0xfc94ed6564dd309c, 0x1f06cc1af9ea3cad, 0x3ad08a05315c06f5, 0x09afa30b2c4522cd,
  0x1ef673abb71943a9, 0xaaf1b1d7a8976885, 0x2e1211408a8f9eb1, 0xd8226470decbe966, 0xbb8a9296627f58a8,
  0xf0312b5ec9fc55f3, 0x1deb5e781013859b, 0x4e8016f379b22830, 0xce881df2a6f529c9, 0xb15545a6ae9c6378,
  0x288c5fcdb73863b7, 0x1ddc68b1e70dc79b, 0x9e985727eeaccdfc, 0x494b67c09c6592e1, 0x274f257ee6866587,
  0x0000000260870a6d,
};

/*
 * pwm2b_u2x12_uart0_dual_pr_ee_ce_u4 pwm3_u2x12_uart0_dual_pr_ee_ce_u4
 * pwm3b_u2x12_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0x777a45a26d3f72df, 0x4da2438fec1f7777, 0xef721ebf87777777, 0x2dd2c43af7d769ea, 0x5a2bdfd5f0fac8bb,
  0xe776d6aa0d5e6b86, 0x9f180905415de49c, 0x08c87a0d20f67a60, 0x306acf167a4884e0, 0xfb44ee9f12e20614,
  0x43385254cce5f995, 0x0730d37a8fd67b06, 0xbfcc681142392156, 0xf8bbf87f006e1f02, 0x9680cda2195dc5ee,
  0xfa039e1350fc5421, 0xcb56f9a025b7986f, 0x107f9af730586f2b, 0x93f9b53eab74f84b, 0xaa353d0da37b5472,
  0x0f3c49c07066ee2f, 0x25f886c2445f71a2, 0xe6d7d507907fd47c, 0xc94ed6e6e6e99e2e, 0xf06cc1af9ea3cadf,
  0xad08a05315c06f51, 0x9afa30b2c4522cd3, 0xef673abb71943a90, 0xaf1b1d7a89768851, 0xe1211408a8f9eb1a,
  0x8226470decbe9662, 0xb8a9296627f58a8d, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf, 0xe8016f379b228301,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x88c5fcdb73863b7b, 0xa2c6f8b9357079b2, 0xfd4eaccdfc1bf411,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x002002eadeea7279,
};

// pwm2b_u2x12_uart0_dual_hw         pwm3_u2x12_uart0_dual_hw          pwm3b_u2x12_uart0_dual_hw
static const uint64_t ur_pwm2_u2x12_uart0_dual_hw[] = {
  0x77777a45a24343ee, 0xbba6d78f3b4c1f77, 0x29eb44ed39dbbbbb, 0x75999eeeed453120, 0x6eeaefc89d69e9c4,
  0x3e30120a82bbc969, 0x01190f41a41254c1, 0x860d59e2cf49109c, 0x5d849dd3e25c40c2, 0x81c33814b9982fe6,
  0x2ac0ff74dea3ba5d, 0xe057f98d02284724, 0x17bbe2ef0d000dc3, 0x5421968028886577, 0xffbbfe80e784d10c,
  0x0de5796adf3404b6, 0xa7c25dd7f9da260b, 0xdaa3949fcda9f55b, 0x3e453be589a86d1b, 0x2f7c71cab0310fea,
  0xebf9cc580aa0f34e, 0xecc11d78033b5ac8, 0xe59ed887486a807f, 0x157ceee2a4aa4e81, 0xe166fc0c4ad7b27f,
  0x8a0c077ad79e0404, 0x4a7253a005bcde6c, 0x18de33a2077ca9bd, 0x22adec555169aba7, 0xb8f365118bf9b6e7,
  0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xfd5017d3c95fb9a1, 0x000000000000c6ea,
};

// pwm2b_u2x12_uart0_dual_ee_hw      pwm3_u2x12_uart0_dual_ee_hw       pwm3b_u2x12_uart0_dual_ee_hw
static const uint64_t ur_pwm2_u2x12_uart0_dual_ee_hw[] = {
  0x77777a45a243359b, 0xddd368d8402c1f77, 0x3a8bcb56e4cddddd, 0xf763cc4ee94e6c57, 0xf0cc29ad75eec2c9,
  0x0905415de4991770, 0x1e8348f5aa609f18, 0xb3c59e9221380232, 0x3ba7c4b881850c1a, 0x70d3533fcfccbb09,
  0xe9f9bd47ff9b00d0, 0xe63408a11c90ab03, 0x177e5400370f815f, 0x6814b4432bb8bddf, 0xd01cf09be7454219,
  0x5ab7cd012dbf4fff, 0x37fe768982c3795e, 0x4fe6d4faadd3e12d, 0xb47224368ded51ca, 0x1829ea3cad7dcd56,
  0x1df15d4af51f06cc, 0x0b2c4522cd3ad08a, 0x3297152e6909afa3, 0x2ed10a3dece75697, 0x8f9eb1aad743af51,
  0xcbe9662e1211408a, 0xfeb151b047eb70de, 0xf8abe77715250084, 0x270b37e06256bd93, 0x6450603bd6bcf020,
  0xea53929d002de6f3, 0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x8dc79b288c5fcdb7, 0x7bde50c2a73f505d,
  0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xed2ec0be9e4afdcd,
  0x000000000000000a,
};

// pwm2b_u2x12_uart0_dual_ce_hw      pwm3_u2x12_uart0_dual_ce_hw       pwm3b_u2x12_uart0_dual_ce_hw
static const uint64_t ur_pwm2_u2x12_uart0_dual_ce_hw[] = {
  0x77777a45a243573e, 0xbba6d614eb6c1f77, 0xbb17d95a9afbbbbb, 0x9c5ab7776c4bb2df, 0xb9717dd9baca51fb,
  0x8c0482a0aef26e0b, 0x8c87a0d21705304f, 0x06acf167a4884e00, 0xc24ee9f12e206143, 0x3e7019b9b76bf32e,
  0x0327537a8e16b606, 0x5fe63408a11c90ab, 0xdf177b2180370f81, 0x19687ce4432bb8bd, 0x7fd01cf09aa54542,
  0xaf2d5be68096dc9d, 0x9604ff3b44c161bc, 0xe527f36a7d56e9f0, 0xdc5f54021b46f6a8, 0x71a20f3c49c849d2,
  0xd47c25f886c2445f, 0xe678bb9b5dfe620f, 0xfd471bf3dcb19f52, 0x50507c8e39560752, 0x19dad6475fce62c0,
  0x435403ff6678ebc0, 0x49549d03cb5b843a, 0x95af64fe2af9ddc5, 0xaf3c0809c2cdf818, 0x0b79bcd914180ef5,
  0x0ef9537a94e4a740, 0xa2d3574e31bc6744, 0x2fe6db9c31dbd8aa, 0x9fa82ec6e3cd9446, 0x13ffbc3def286153,
  0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x0000026ea5985f4f,
};

// pwm2b_u2x12_uart0_dual_ee_ce_hw   pwm3_u2x12_uart0_dual_ee_ce_hw    pwm3b_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm2_u2x12_uart0_dual_ee_ce_hw[] = {
  0xeeeef48ba8286f97, 0x774dacc5c2d83eee, 0xdecdd6b66d377777, 0x9e6ee276ece22d44, 0x04675aa74d3d6828,
  0x2415057792d89dcf, 0xe834887939827c60, 0x3c59e92213802321, 0xba7c4b881850c1ab, 0x0d6e6986fccbb093,
  0xfcdea38a4d87eb9c, 0x1a04508e485581d6, 0xf36ec01b87c0aff3, 0x1ac88657717bbe2e, 0x39e135ba8a8432d0,
  0x6f9a025b7adfffa0, 0xfced130586f2bcb5, 0x9b53eab74f84ac7f, 0x7270da37b547293f, 0xe24e424358effaa3,
  0x139dcdafd66c87f9, 0x95bf929dacac9ba6, 0xdea3e0d9835f3d47, 0x59a75a1140a62b80, 0x752135f4616588a4,
  0x10a3dece7576e328, 0xd6355e363af512ed, 0x2cc5c242281151f3, 0x151b044c8e1bd97d, 0xbe77715252cc4feb,
  0xb37e06256bd93f8a, 0x0603bd6bcf020270, 0x3929d002de6f3645, 0x6f19d103be54dea5, 0x76f62aa8b4d5d38c,
  0xf365118bf9b6e70c, 0xa1854e7ea6c3b1b8, 0x01f343c899e04e34, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0xd7538502fa792bf7, 0x0000000000000001,
};

/*
 * pwm2b_u2x12_uart0_dual_ee_ce_u4_hw pwm3_u2x12_uart0_dual_ee_ce_u4_hw
 * pwm3b_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0x7777a45a28d11107, 0x74da2438fec1f777, 0x4f577eb90f777777, 0x45d96e9621d7bebb, 0xf748315efeaf87d6,
  0x7792739dcdfed538, 0xd9e9827c60241505, 0x2213802321e83483, 0x881850c1ab3c59e9, 0x2fccb20d53ba7c4b,
  0xb3d83219c292a667, 0xc90ab039869bd47e, 0x70f815fe63408a11, 0xee2f77c5dfc3f803, 0xe2a10cb4066d10ca,
  0xbcc37fd01cf09a87, 0xc3795e5ab7cd012d, 0x3e12c41ffbc3b982, 0xd51ca4fe6d4faadd, 0xbb8bea8d4f4368de,
  0xc6883cf162fa1219, 0x51f097e21b09117d, 0xcf17736ba92737ff, 0xe56fe4a76b737374, 0x37a8f83660d7cf51,
  0x1669d68450298ae0, 0x1d484d7d18596229, 0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c,
  0xc546c1132386f65f, 0xaf9ddc5494b313fa, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91,
  0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x3cd94462fe6db9c3, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xef405cf257ee6866, 0x0000000003aea5f0,
};

// pwm2b_swio10_noled                pwm3_swio10_noled                 pwm3b_swio10_noled
static const uint64_t ur_pwm2_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120a82bbc9ddb1ec, 0xc51bb3f224c13e30, 0x313be589a923a57f, 0x9238e5581887f51d, 0x3c731602dee9ba8c,
  0xc608ebc5cec37d19, 0x7972ab52b09adc72, 0xa551ae84e39e4fed, 0x672bb54b7d59cea2, 0xd42552fbd7d0d44d,
  0xe2d75cf6ab445794, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20, 0xfe6d902455bd8aaa, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000a93ebb4f93c9,
};

// pwm2b_swio10_noled_pr             pwm3_swio10_noled_pr              pwm3b_swio10_noled_pr
static const uint64_t ur_pwm2_swio10_noled_pr[] = {
  0x1eeeeee87afb1762, 0x2eed55c8a1718947, 0xf5e9ea981c4d8278, 0x35bc2f6dfa548b8e, 0x17f8ff17bb1c7a0b,
  0xf277699a330668ee, 0xf7304f8c0482a0ae, 0x45923dd7f89279f8, 0xc0c9ef51e6e3be58, 0x16594c654e31c72a,
  0x1f3b3de8ed6398b0, 0xacf5403ff6608ebd, 0x56aab540f2cf6ee1, 0x5d09c73c9fdaf2e5, 0x6a96fab39d454aa3,
  0xa5f7afa1a89ace57, 0xb9ed5688af29a84a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0x2048ab7b15545a5b,
  0x357079b288c5fcdb, 0xf2076d0d1674f8b9, 0x7f2861539fa9d598, 0x43c899e2e7197e62, 0xd30ae4fc73dffc13,
  0x296cf8138cb25c33, 0x29e4afdcd0ccb0e9, 0x00000000f9332403,
};

// pwm2b_swio10_noled_pr_u4          pwm3_swio10_noled_pr_u4           pwm3b_swio10_noled_pr_u4
static const uint64_t ur_pwm2_swio10_noled_pr_u4[] = {
  0x1137777768bb1762, 0x4f5bbb5572283225, 0x98ec2fd0e28e3184, 0x7f43bd04ebeb4f13, 0x1dc01b6d22eec441,
  0x0aef277699a335a1, 0xcfc89304f8c0482a, 0xf2c4d491d2bfc493, 0x72ac0c43fa8e989d, 0x8b016f74dd46491c,
  0x75e2e761be8c9e39, 0x55a9584d6e396304, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8, 0xa97debe86a26b395,
  0xae7b55a22bca6a12, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee, 0xc8122adec5551696, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xc21700ca792bf734, 0x00000000000003e4,
};

// pwm2b_swio10_noled_pr_ee          pwm3_swio10_noled_pr_ee           pwm3b_swio10_noled_pr_ee
static const uint64_t ur_pwm2_swio10_noled_pr_ee[] = {
  0x509bbbbbba88aaac, 0x9b4eed55f85c9089, 0xe85ebd7d267c7fc4, 0x423c8a60d7db260b, 0x4e8666ed04106d05,
  0x2bbc9ddf228ecc4c, 0x7e394c13e30120a8, 0x8fba9236ebff8356, 0x2fbd4795fee9aad6, 0xbe2b7f3d47c1b307,
  0x6588a459a75a1143, 0x297144cd2135f461, 0xd96ba38c8e756973, 0x9eb1aad743af5d4d, 0x0e462e121147488c,
  0x5aae2a5fd6e1bd97, 0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0x97debe86a26b395d, 0xe7b55a22bca6a12a,
  0xf88d4f0c537acef2, 0xa205b8f8a042d2d7, 0x4462fe6da718de33, 0xa1a2c79c5c9ab8d9, 0x615c9fbab31e40fc,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000053e6d7bfa753,
};

// pwm2b_swio10_noled_pr_ee_u4       pwm3_swio10_noled_pr_ee_u4        pwm3b_swio10_noled_pr_ee_u4
static const uint64_t ur_pwm2_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x37304f8c0482a0ae, 0xea48e56ffe0d59fd, 0xf51e5695a6ab5a3e, 0x5fcef51f06cc1cbe,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0xa231f0e7569780cb, 0x8d56ba1d7aea6ec0, 0x62e1211464547d05,
  0x704d7d6e1bd970e4, 0x38e793fb5e5caad5, 0xdf5673a8a9546ba1, 0xf5f4351359caed52, 0xaad115e5350954be,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c, 0x0f365118bf9b6409, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd866879133c0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xfa753c95fb9a1996, 0x000000000275d22f,
};

// pwm2b_swio10_noled_pr_ce          pwm3_swio10_noled_pr_ce           pwm3b_swio10_noled_pr_ce
static const uint64_t ur_pwm2_swio10_noled_pr_ce[] = {
  0xafcdddddddec53c3, 0x0da3bb5572284844, 0xf17e9bbd790c9871, 0x6ada0b83d936a64c, 0x8c7136104a87bb7e,
  0xa82bbc9dd23f2eec, 0x9e7ce1cc13e30120, 0xbfeabe4914adfe24, 0x26dfe780160e7ce3, 0x0bac984e7736beed,
  0x81e0bf51f249ee58, 0x98b017ba05238e55, 0x8ebd1f3b3de8ed63, 0xbae1acf5403ff667, 0xbcb955aaad503cb5,
  0x52a8d74271cf27f6, 0xb395daa5beace751, 0x6a12a97debe86a26, 0xf16bae7b55a22bca, 0x20eea6c529e1a779,
  0x1696d138c6f19d10, 0xfe6d90218edec555, 0xc79c5c9ab8d94462, 0x9fbab31e40eda1a2, 0xa271964b867a615c,
  0xb9a19961d252d964, 0x2dd5b8f80653c95f,
};

// pwm2b_swio10_noled_pr_ce_u4       pwm3_swio10_noled_pr_ce_u4        pwm3b_swio10_noled_pr_ce_u4
static const uint64_t ur_pwm2_swio10_noled_pr_ce_u4[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0xa82bbc9dd4149cba, 0x567edd4c13e30120, 0x17d644923813ff83, 0xa20f3c00b5a4cad7, 0x7c25f886c2445f71,
  0xe2ee6d74a8b91fd4, 0xa3e493dcb19fac99, 0x740a471cab03c17e, 0x767bd1dac731602f, 0xea807feccf1d7a3e,
  0x555aa0796b75c359, 0x84e39e4fed7972ab, 0x4b7d59cea2a551ae, 0xfbd7d0d44d672bb5, 0xf6ab445794d42552,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x431dbd8aaa2d2da2, 0x7079b288c5fcdb20, 0x40fca1a2c6f8b935,
  0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0x57d3a9e4afdcd0cc, 0x00000000001baf56,
};

// pwm2b_swio10_noled_pr_ee_ce       pwm3_swio10_noled_pr_ee_ce        pwm3b_swio10_noled_pr_ee_ce
static const uint64_t ur_pwm2_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xc344c13e30120a82, 0x387246c7fff83567, 0x002d692c7ceffaa3, 0x9cee6d724aca8fcf,
  0x5ba594ed6563df30, 0xea3e0d983403d479, 0x9a75a1140a62b90f, 0x52135f4616588a45, 0xa47109ceaeddfb87,
  0xc6abc6c75e74ddb4, 0x98b84845098a3116, 0x51b044c8e1bd96cb, 0xaf2e556a599355fd, 0x54aa35d09c73c9fd,
  0xace576a96fab39d4, 0x9a84aa5f7afa1a89, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744,
  0xbf9b640863b7b155, 0xb1e71726ae365118, 0x27eeacc7903f2868, 0x289c6592e19e9857, 0xee6866587494b659,
  0x14d3b1ffe9d4f257,
};

// pwm2b_swio10_noled_pr_ee_ce_u4    pwm3_swio10_noled_pr_ee_ce_u4     pwm3b_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio10_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c92df, 0x2eed55fd4f274489, 0x56bb2d86656c17e6, 0x54006c233122694a, 0x3b13e442cb679218,
  0x9dd51f42157c4db3, 0x4c13e30120a82bbc, 0x91c41fe546ecfa1f, 0xb9de20b8bea8edd4, 0xc2445f71a20f3c00,
  0x0b87ffd47c25f886, 0x736f7ccf17736bae, 0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76efdc3a909afa30, 0xf3a6eda523884e75, 0x4c5188b6355e363a, 0x0decb65cc5c24228, 0xcc9aafea8d822647,
  0xe39e4fed7972ab52, 0x7d59cea2a551ae84, 0xd7d0d44d672bb54b, 0xab445794d42552fb, 0x53c34ef3e2d75cf6,
  0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271, 0x79b288c5fcdb2043, 0x69f1a2c6f8b93570, 0x61539fa9d598f206,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xc8cf257ee6866587,
  0x000000013f36bdd9,
};

// pwm2b_swio10_noled_hw             pwm3_swio10_noled_hw              pwm3b_swio10_noled_hw
static const uint64_t ur_pwm2_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x120a82bbc9ddb1ec, 0xfc38f3f224c13e30, 0xa6277cb1352474af, 0x92471cab0310fea3, 0x278e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x54aa35d09c73c9fd, 0xace576a96fab39d4, 0x9a84aa5f7afa1a89,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x5fcdb2048ab7b155, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0000008e2fae8a79,
};

// pwm2b_swio10_noled_ee_hw          pwm3_swio10_noled_ee_hw           pwm3b_swio10_noled_ee_hw
static const uint64_t ur_pwm2_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0x415de4eeb4efb5bb, 0x33e35a609f180905, 0xad1c7b923a6ffe85, 0x067afa8f2b387355, 0x877c565d7d47c1b3,
  0xc2cb1148b34eb422, 0xffb971ac9a426be8, 0x4ddb4a47109cead2, 0x5188b6355ae875e7, 0xecb65cc5c242284c,
  0x355fd51b047eb70d, 0x3c9fdaf2e556a011, 0xb39d454aa35d09c7, 0xa1a89ace576a96fa, 0x88af29a84aa5f7af,
  0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0xb288c5fcdb2048ab, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0,
  0x00000000016f8056,
};

// pwm2b_swio10_noled_ce_hw          pwm3_swio10_noled_ce_hw           pwm3b_swio10_noled_ce_hw
static const uint64_t ur_pwm2_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0905415de4ee9ba3, 0xfe8533f6ea609f18, 0xcad717d644923813, 0x17dc6883cf127212, 0x6ff51f097e21b091,
  0xeb2678bb9b5ff5cd, 0xf05fa8f924f72c67, 0x580bdd0291c72ac0, 0x5e8f9d9ef476b1cc, 0x70d67aa01ffb33c7,
  0x5caad556a81e5add, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0x0954bef5f4351359, 0xb5d73daad115e535,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x36c810c76f62aa8b, 0x4176371e6ca2317f, 0xfde1ef79430a9cfd,
  0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x3acdf087c2fa792b,
};

/*
 * pwm2_swio10_noled_ee_ce_u4_hw     pwm2b_swio10_noled_ee_ce_hw       pwm2b_swio10_noled_ee_ce_u4_hw
 * pwm3_swio10_noled_ee_ce_hw        pwm3_swio10_noled_ee_ce_u4_hw     pwm3b_swio10_noled_ee_ce_hw
 * pwm3b_swio10_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x15de4eee7da01d44, 0x7d0fa609f1809054, 0xa3b75247107fd0a6, 0x79e24e425882e2fa, 0x2fc4361222fb8d10,
  0x36bea83c83fea3e1, 0xca76b736f7ccf177, 0x06cc1a01ea3cadd2, 0xd08a05315c87f51f, 0xafa30b2c4522cd3a,
  0x84e7576efdc3a909, 0xe363af3a6eda5238, 0x242284c5188b6355, 0x226470decb65cc5c, 0x2ab52cc9aafea8d8,
  0x1ae84e39e4fed797, 0xbb54b7d59cea2a55, 0x552fbd7d0d44d672, 0x75cf6ab445794d42, 0xd4d8a53c34ef3e2d,
  0xda2718de33a2041d, 0xb20431dbd8aaa2d2, 0x5d8dc79b288c5fcd, 0x787bde50c2a73f50, 0x899e07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x50165a50be9e4afd,
};

// pwm2b_swio10_lednop               pwm3_swio10_lednop                pwm3b_swio10_lednop
static const uint64_t ur_pwm2_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0905415de4ee82f4, 0xe28dd9f7f2609f18, 0xf21df2c4d49132bf, 0xdf1c72ac0c43fa8f, 0xa0398b016f74c7ab,
  0xb1823af173b5ac8f, 0x5e5caad4ace7b71c, 0xa9546ba138e793fb, 0x09caed52df5673a8, 0x56ae97f435135c08,
  0xd73daad115e53509, 0x4b0b29b1674079fa, 0xc7f8a042d3573abd, 0xfe6da718de33a206, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00005483ab4f93c9,
};

// pwm2b_swio10_lednop_pr            pwm3_swio10_lednop_pr             pwm3b_swio10_lednop_pr
static const uint64_t ur_pwm2_swio10_lednop_pr[] = {
  0x7bbbbbba83d8b562, 0x5ddaab914cc6251c, 0x7b856eac871b04f0, 0xcd6f0b2e3b6e8453, 0x6a60bf8feec71e82,
  0xbc9ddfa706cfddc1, 0x034c13e30120a82b, 0x22c910f7fe249e7e, 0x6064f7a8f389df2c, 0x16594c63cf58e395,
  0x3e76f911c1f398b0, 0xf40a807fecc11d7a, 0xab5815a07967b7bd, 0xae84e39e4fed7972, 0xb54b7d59cea2a551,
  0x5fd0d44d7020272b, 0xab445794d4255aba, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0x9b288c5fcdb2ec8a, 0xd0d165abcb935707, 0x1539fa9d598f2076, 0xcd0f22678138d286, 0xb25c33d30ae4fc07,
  0xccb0e9296cf8138c, 0x7adc0329e4afdcd0, 0x0000000000000f93,
};

// pwm2b_swio10_lednop_pr_u4         pwm3_swio10_lednop_pr_u4          pwm3b_swio10_lednop_pr_u4
static const uint64_t ur_pwm2_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f17128, 0xfdcc750e2448c227, 0xbfa1de82d790c9f8, 0x198db26635f76220,
  0x0aef2774c4dc1241, 0xcfbf9304f8c0482a, 0xf2c4d49132bfc493, 0x72ac0c43fa8ff21d, 0x8b016f74c7abdf1c,
  0x3af173b5ac8fa039, 0xaad4ace7b71cb182, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f435135c0809ca,
  0xaad115e5350956ae, 0x29b1674079fad73d, 0xa042d3573abd4b0b, 0xa718de33a206c7f8, 0x9ab83cd94462fe6d,
  0x8f2076d0d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x32ce0194f257ee68, 0x00000000000000f9,
};

// pwm2b_swio10_lednop_pr_ee         pwm3_swio10_lednop_pr_ee          pwm3b_swio10_lednop_pr_ee
static const uint64_t ur_pwm2_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x304f8c0482a0aef2, 0x918e5ffc1ab3fd5f, 0x7959439aad68e3dc, 0x0bea3e0d9833d7d4,
  0x459a75a1143be2b6, 0x64d2135f4616588a, 0x35f0e75697f9cb8d, 0x55ae875e74dd827a, 0xb84845192231bf63,
  0x608fd6e1bd96cb98, 0xb955a80570d67aa3, 0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5d2fe86a26b81013,
  0x7b55a22bca6a12ad, 0x296be74078e56bae, 0x31bc67440842a417, 0x455bd8aaa2d2414e, 0x83cd94462fe6d976,
  0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x44cf1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000013aebb3e9d4f,
};

// pwm2b_swio10_lednop_pr_ee_u4      pwm3_swio10_lednop_pr_ee_u4       pwm3b_swio10_lednop_pr_ee_u4
static const uint64_t ur_pwm2_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0x8e5304f8c0482a0a, 0xeea48dbaffe0d59f, 0xef51e5721e6ab5a3, 0x159c3f51f06cc1cb,
  0xc4522cd3ad08a1df, 0xb8a266909afa30b2, 0x80234c4e7569728a, 0x58d56ba1d7aea6ec, 0x23170908a1ef476b,
  0x57170feb70decb87, 0x138e793fb5e5caad, 0x2df5673a8a9546ba, 0x435135c0809caed5, 0x115e5350956ae97f,
  0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0xa2317f36cbb22ade, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000275c217f4ea,
};

// pwm2b_swio10_lednop_pr_ce         pwm3_swio10_lednop_pr_ce          pwm3b_swio10_lednop_pr_ce
static const uint64_t ur_pwm2_swio10_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8b562, 0x1b4776aae4519089, 0x867ad2f4bdf370e2, 0x6ada0b8392164e00, 0xb7071795b85fbb7e,
  0xa0aef2777e9c1b34, 0x79f287304f8c0482, 0xffaaf924643ff892, 0x7f9f9e00583870ce, 0x0bac984e7736be9a,
  0x81e0bf51c149ee58, 0x3160287b40238e55, 0x3af47cedf22383e7, 0xbb7be81500ffd99e, 0xbcb955ac0ad03cb5,
  0x52a8d74271cf27f6, 0x1395daa5beace751, 0xad5d2fe86a26b810, 0xae7b55a22bca6a12, 0x17296be74078e56b,
  0x4e31bc67440842a4, 0xec31dbd8aaa2d241, 0x93571b288c5fcdb2, 0x63c81db43458f38b, 0xc970cf4c2b93f756,
  0x2c3a4a5b2c944e32, 0x9d00ca792bf73433, 0x000000000005baf4,
};

// pwm2b_swio10_lednop_pr_ce_u4      pwm3_swio10_lednop_pr_ce_u4       pwm3b_swio10_lednop_pr_ce_u4
static const uint64_t ur_pwm2_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0x82bbc9dd3ad1a848, 0x67e2b4c13e30120a, 0x7d644923befff835, 0x20f3c00b5a4b7571, 0xc25f886c2445f71a,
  0x2ee6d7a4a672fd47, 0x38293dcb19fac99e, 0x680471cab03c17ea, 0xbe44707ce62c050f, 0xa01ffb33c75e8f9d,
  0x815a0796b76f7d02, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x0d44d7020272bb54, 0x45794d4255aba5fd,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x118bf9b65d863b7b, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00000375cb3fa753,
};

// pwm2b_swio10_lednop_pr_ee_ce      pwm3_swio10_lednop_pr_ee_ce       pwm3b_swio10_lednop_pr_ee_ce
static const uint64_t ur_pwm2_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0x9db9827c60241505, 0xe1c91ddaffe0d59f, 0x00b5a4dda3bfea8c, 0xe7736bf47d493f3c,
  0xcbaca76b2b1ef984, 0x51f06cc1a01ea3ca, 0xd3ad08a0531594bf, 0x909afa30b2c4522c, 0xa35f0e7576ef9c3a,
  0x6abc6c75e74dd827, 0x170908a3244637ec, 0x3608991c37b2d973, 0xcb955a96770d67aa, 0x2a8d74271cf27f6b,
  0x395daa5beace7515, 0xd5d2fe86a26b8101, 0xe7b55a22bca6a12a, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0xc31dbd8aaa2d2414, 0x3571b288c5fcdb2e, 0x3c81f943458f38b9, 0x970cf4c2b93f7566, 0xc3a4a5b2c944e32c,
  0x9f4ea792bf734332, 0x0000000000a699c2,
};

// pwm2b_swio10_lednop_pr_ee_ce_u4   pwm3_swio10_lednop_pr_ee_ce_u4    pwm3b_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c50e3, 0x2eed55fd4e05c489, 0x76d86d1a78bc17e6, 0x54006c64e466625a, 0xe0ddd382cb679218,
  0x27742c0fb6538594, 0xf304f8c0482a0aef, 0x246007f951bb3ffa, 0x2e77002e2faa3b75, 0xb09117dc6883cf00,
  0xebf5abf51f097e21, 0xb9b7be678bb9b5d9, 0xd00f51e565d653b5, 0x298aca5fa8f83660, 0x5962291669d68450,
  0xbb77ce1d484d7d18, 0xf3a6ec13d1af873a, 0x92231bf6355e363a, 0x1bd96cb98b848451, 0x3b86b3d51b044c8e,
  0x8e793fb5e5caad4b, 0xf5673a8a9546ba13, 0x5135c0809caed52d, 0x5e5350956ae97f43, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6d97618edec5, 0x637c5c9ab83cd944, 0xd4eacc790334f8d1,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x009f9756ece46792,
};

// pwm2b_swio10_lednop_hw            pwm3_swio10_lednop_hw             pwm3b_swio10_lednop_hw
static const uint64_t ur_pwm2_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0905415de4ee82f4, 0xfe1c79f7f2609f18, 0xfe43be589a922657, 0x7be38e5581887f51, 0xf40731602dee98f5,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x152a8d74271cf27f, 0x01395daa5beace75, 0x2ad5d2fe86a26b81,
  0x5ae7b55a22bca6a1, 0xa96165362ce80f3f, 0xd8ff14085a6ae757, 0x5fcdb4e31bc67440, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0000004710ea8a79,
};

// pwm2b_swio10_lednop_ee_hw         pwm3_swio10_lednop_ee_hw          pwm3b_swio10_lednop_ee_hw
static const uint64_t ur_pwm2_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x15de4eeb6239da9c, 0x7fabe609f1809054, 0xa38f7246397fd0a6, 0xcf5f51e5650e6ab5, 0xef8ad82fa8f83660,
  0x5962291669d68450, 0xe72e3593484d7d18, 0x7609e8d7c39d5a5f, 0xc6fd8d56ba1d79d3, 0x5b2e62e121146488,
  0x59ea8d823f5b86f6, 0x9fdaf2e556a015c3, 0x9d454aa35d09c73c, 0xe0404e576a96fab3, 0xa84ab574bfa1a89a,
  0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x9b65d9156f62aa8b, 0xa0bb1b8f365118bf,
  0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x005be6b0417d3c95,
};

// pwm2b_swio10_lednop_ce_hw         pwm3_swio10_lednop_ce_hw          pwm3b_swio10_lednop_ce_hw
static const uint64_t ur_pwm2_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x482a0aef2775d92b, 0xf4299f8ad304f8c0, 0xbab8beb22491df7f, 0xbee3441e78939095, 0x5fa8f84bf10d8488,
  0x5933c5dcdaf787cb, 0x82fd470527b9633f, 0x80a1ed008e395607, 0xd1f3b7c88e0f9cc5, 0xefa05403ff6678eb,
  0xe556b02b40f2d6ed, 0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x74bfa1a89ae0404e, 0xed5688af29a84ab5,
  0xa5af9d01e395aeb9, 0xc6f19d10210a905c, 0xc76f62aa8b490538, 0x1e6ca2317f36cbb0, 0x79430a9cfd417637,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f22678, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x3142fa792bf73433,
  0x00000000001d66f3,
};

/*
 * pwm2_swio10_lednop_ee_ce_u4_hw    pwm2b_swio10_lednop_ee_ce_hw      pwm2b_swio10_lednop_ee_ce_u4_hw
 * pwm3_swio10_lednop_ee_ce_hw       pwm3_swio10_lednop_ee_ce_u4_hw    pwm3b_swio10_lednop_ee_ce_hw
 * pwm3b_swio10_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0x0aef277475d35f7b, 0x3ffaf304f8c0482a, 0x51dba923003fe853, 0x3cf127212801717d, 0x97e21b09117dc688,
  0xcdae148f9cbf51f0, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b2e, 0xb422814c5652fd47, 0x6be8c2cb1148b34e,
  0x7c39d5dbbe70ea42, 0xf1b1d79d37609e8d, 0x24228c9118dfb1aa, 0x226470decb65cc5c, 0x556a59dc359ea8d8,
  0x35d09c73c9fdaf2e, 0x76a96fab39d454aa, 0x4bfa1a89ae0404e5, 0xd5688af29a84ab57, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xe6ca2317f36cbb0c, 0x9430a9cfd4176371, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f226781, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x402fa792bf734332, 0x000000000014056e,
};

/*
 * pwm2_swio10_dual_pr               pwm2b_swio10_dual                 pwm2b_swio10_dual_pr
 * pwm3_swio10_dual                  pwm3_swio10_dual_pr               pwm3b_swio10_dual
 * pwm3b_swio10_dual_pr
 */
static const uint64_t ur_pwm2_swio10_dual[] = {
  0xe3ddddddde7c50e3, 0x7c1f4da6229c983a, 0xfb9f7b707a73d71a, 0x377e47652be29562, 0xb3e2d402b75719a5,
  0x2823b82c0f900b85, 0x9827c60241505779, 0x27004643d0690a91, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbe00003, 0xf7150865a03e2219,
  0x2db943ffa039e136, 0x82c3795e5ab7cd01, 0xb0f9246a57f83439, 0x558188bea3c8877c, 0x80aa0f37ee32a38e,
  0xc019da7146f79cc5, 0xbc1f5403ff6608eb, 0x5496ff0c0f2cf6d6, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b,
  0x395daa5beace7515, 0xd5d2fe86a26b8101, 0xe7b55a22bca6a12a, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x6455bd8aaa2d2414, 0xb83cd94462fe6d97, 0x0669f1a2c79c5c9a, 0x33d30ae4fdd598f2, 0xe9296cf8138cb25c,
  0x3919e4afdcd0ccb0, 0x000000000c40e14b,
};

// pwm2b_swio10_dual_pr_u4           pwm3_swio10_dual_pr_u4            pwm3b_swio10_dual_pr_u4
static const uint64_t ur_pwm2_swio10_dual_pr_u4[] = {
  0xc7bbbbbb4486c541, 0xf83e9b4c45393075, 0x6c5f76e0f4e7ae34, 0x4a6efc8eca57c52b, 0x3167c5a8056eae33,
  0x2823bac11fc355ea, 0x9827c60241505779, 0x27004643d0690a91, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef80000, 0xbdc54219680f8886,
  0x4b6e50ffe80e784d, 0x60b0de5796adf340, 0x2c3e491a95febfda, 0x9560622fa8f221df, 0x602a83cdfb8ca8e3,
  0xf006769c51bde731, 0xaf07d500ffd9823a, 0x1525bfc303cb3db5, 0xf2e556b3f8abe777, 0x4aa35d09c73c9fda,
  0x4e576a96fab39d45, 0xb574bfa1a89ae040, 0xb9ed5688af29a84a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0xd9156f62aa8b4905, 0x1b8f365118bf9b65, 0xaccdfc1ddc68b1be, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x2641cb693a792bf7, 0x0000000000000029,
};

// pwm2b_swio10_dual_pr_ee           pwm3_swio10_dual_pr_ee            pwm3b_swio10_dual_pr_ee
static const uint64_t ur_pwm2_swio10_dual_pr_ee[] = {
  0xd86ddddddd435032, 0x2783e9b58ed08583, 0xf5a7b74e72be6676, 0x4e47676abbd35f7e, 0x5e1f5cedb7416c33,
  0xbaaf6d1febdf7638, 0x8c0482a0aef265db, 0x190f41a42e8b304f, 0x0d59e2cf49109c01, 0x849dd3e25c40c286,
  0xb4700b5318ffe65d, 0x81c569bd47275b04, 0xaff31a04508e4855, 0xdf177f75801b87c0, 0x19681454432bb8bd,
  0xffd01cf098c7c542, 0x5e5ab7cd012dbced, 0xd0fffaff6982c379, 0xaf7dcd56b4651648, 0xf51f06cc1995ea3c,
  0xcd3ad08a1df15dba, 0x6909afa30b2c4522, 0x51cead2e50d7152e, 0x5d0ebd44bb47b47a, 0x4845080234c6c6ab,
  0x1fadc37b2fa598b8, 0x5494028cad6546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x395daa5beace7515,
  0xd5d2fe86a26b8101, 0xe7b55a22bca6a12a, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x6455bd8aaa2d2414,
  0x6e3cd94462fe6d97, 0x666fe0eee3458f38, 0x2c970cf4c2b93f75, 0x332c3a4a5b3e04e3, 0x22fb693a792bf734,
  0x000000000000190a,
};

// pwm2b_swio10_dual_pr_ee_u4        pwm3_swio10_dual_pr_ee_u4         pwm3b_swio10_dual_pr_ee_u4
static const uint64_t ur_pwm2_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed1369fa0ae, 0x1f4dac76842c1ec3, 0x1f9a7395f333b13c, 0x9daaef4d7dfb69ed, 0x73b6dd05b0cd391d,
  0xeb757b0faee1787d, 0xa0aef265dbbbebef, 0xa42e8b304f8c0482, 0xcf49109c01190f41, 0xe25c40c2860d59e2,
  0x98c7ff32bf689dd3, 0xea393ad825a3805a, 0x22847242ac0e2b4d, 0xac00dc3e057f98d0, 0xa2195dc5eef8bbfb,
  0x84c63e2a10cb40a2, 0x68096de76ffe80e7, 0xbdcc161bcaf2d5be, 0x5ad194592343ffe6, 0x306657a8f2bdf735,
  0x2877c576ebd47c1b, 0x8c2cb1148b34eb42, 0xb9435c54b9a426be, 0x12ed1ed1e9473ab4, 0x08d31b1aad743af5,
  0xecbe9662e1211420, 0x32b5951b047eb70d, 0x3f8abe777152500a, 0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0,
  0x1a89ae0404e576a9, 0x8af29a84ab574bfa, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x118bf9b65d9156f6, 0x458df1726ae0f365, 0xfa9d599bf837e823, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31,
  0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x002b220e3dd4e4f2,
};

// pwm2b_swio10_dual_pr_ce           pwm3_swio10_dual_pr_ce            pwm3b_swio10_dual_pr_ce
static const uint64_t ur_pwm2_swio10_dual_pr_ce[] = {
  0x5deeeeeeef3e43ee, 0xfe0fa6d311498c1e, 0x7da2fd6671397191, 0xa704170767120a1d, 0x9eb17ebb4e5bb2ef,
  0x2619bbabbf227bb6, 0xd304f8c0482a0aef, 0x84e008c87a0d23a9, 0x0614306acf167a48, 0xfcca6b54ee9f12e2,
  0x9db090e702eb3143, 0xe4855819459bd47f, 0xb87c0aff31a04508, 0x5dc5eef8bbff5c01, 0x63150865a1372219,
  0x2db8d6ffa039e132, 0x82c3795e5ab7cd01, 0xacdd24582ff83439, 0xafcf002e77fb8eff, 0x38cc273b9b5c3469,
  0x59fea38293dcb014, 0x602f7592471cab03, 0xf22ddb22a383e731, 0x4a3ae9371cb19e3a, 0xcaad67f157ceee2a,
  0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0xe97f435135c0809c, 0xdaad115e5350956a, 0xb29b1674079fad73,
  0x63042d3573abd4b0, 0xb4e31bc67440d8fe, 0x9357079b288c5fcd, 0x1e40cd3e3458f38b, 0x4b867a615c9fbab3,
  0x961d252d9f027196, 0x9d67233c95fb9a19, 0x00000000001cf5f4,
};

// pwm2b_swio10_dual_pr_ce_u4        pwm3_swio10_dual_pr_ce_u4         pwm3b_swio10_dual_pr_ce_u4
static const uint64_t ur_pwm2_swio10_dual_pr_ce_u4[] = {
  0xd89dddddda2432db, 0x77c1f4dacc6c5d83, 0x5a9afbad89d90919, 0x89323e44dd69624e, 0xf8ce947ee7157eed,
  0x779247ddc7045580, 0xebe9827c60241505, 0x4884e008c87a0d20, 0xe20614306acf167a, 0x15bf32ec24ee9f12,
  0x1f2b6c37d9c34dcd, 0x423921560650e6f5, 0x006e1f02bfcc6811, 0x8657717bbe2ef643, 0x4da5454219687748,
  0x8096dc66ffe80e78, 0xb4c161bcaf2d5be6, 0x17d7ba9231cbfd7f, 0x6883cf12721260b7, 0x1f097e21b09117dc,
  0xf17736bb37d2a3f5, 0x470527b9633c38cc, 0xeb248e395606b3fd, 0xb6454707ce62c05e, 0xd26e39633c75e45b,
  0xcfe2af9ddc549475, 0x271cf27f6bcb955a, 0x5beace75152a8d74, 0x86a26b8101395daa, 0x22bca6a12ad5d2fe,
  0x2ce80f3f5ae7b55a, 0x5a6ae757a9616536, 0x378ce881b1fcc608, 0x8f365118bf9b69c6, 0xcdfc1ddc68b1be1b,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0x42cf693a792bf734, 0x00000000000000d2,
};

// pwm2b_swio10_dual_pr_ee_ce        pwm3_swio10_dual_pr_ee_ce         pwm3b_swio10_dual_pr_ee_ce
static const uint64_t ur_pwm2_swio10_dual_pr_ee_ce[] = {
  0x7fb5bbbbbba86f97, 0xd3b83e9b5e947e30, 0xfdebdeed8bc6a014, 0x9c4539395a083e44, 0x097d7aefc2960fda,
  0x5dcf046752c8a756, 0x7c60241505779264, 0x1190f41a41c93982, 0x60d59e2cf49109c0, 0xd849dd3e25c40c28,
  0x0683869a99fe7e65, 0x581f4fcdea3ffcd8, 0x0aff31a04508e485, 0xbbe2ef185c01b87c, 0x432d029688657717,
  0xeffa039e137ce8a8, 0x2bcb56f9a025b7c6, 0x14dbff5fed30586f, 0x124db3bfea8ca5c9, 0xb5da0e089fcf1272,
  0x53b595910cc273b9, 0x3660cf5f51e5650e, 0x8450298ad82fa8f8, 0x7d185962291669d6, 0x873abb74871d484d,
  0x6c75ed6276ee9182, 0x08a26e47916c6abc, 0x191c37b2e3e31709, 0x8abe7771525c6319, 0x73c9fdaf2e556b3f,
  0xab39d454aa35d09c, 0x89ae0404e576a96f, 0xf29a84ab574bfa1a, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0,
  0xa8b490538c6f19d1, 0x17f36cbb0c76f62a, 0x1a2c79c371e6ca23, 0x15c9fbab337f0777, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00000982739b49d3,
};

// pwm2b_swio10_dual_pr_ee_ce_u4     pwm3_swio10_dual_pr_ee_ce_u4      pwm3b_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio10_dual_pr_ee_ce_u4[] = {
  0xf77777689b4fb69f, 0x3e9b50beaf6c1fae, 0x82d51fa2f499f6b8, 0x5ff57b04c3e382d7, 0x27ef2775d9621ec5,
  0x99d0871bf86f2791, 0xef25a73ba405f3cb, 0x3d7304f8c0482a0a, 0x4427004643d06916, 0x1030a1835678b3d2,
  0x1fccafda2774f897, 0xbbd821f1c31ba6ec, 0xe485581bfc9bd476, 0xb87c0aff31a04508, 0x7717bbe2ef780401,
  0x68a8432d0d9c8865, 0xb74a8ffa039e1365, 0x586f2bcb56f9a025, 0xd9d244527f9af730, 0xe24e038292e2faa3,
  0xc4361222fb8d1079, 0xbfad4f00fea3e12f, 0x76b73710ccf17736, 0xcc19ebea3caca1ca, 0x8a05315b05f51f06,
  0xa30b2c4522cd3ad0, 0xe7576e90e3a909af, 0x8ebdac4eddd23050, 0x144dc8f22d8d578d, 0x2386f65c7c62e121,
  0x57ceee2a4b8c6323, 0x793fb5e5caad67f1, 0x673a8a9546ba138e, 0x35c0809caed52df5, 0x5350956ae97f4351,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xfe6d97618edec555, 0x7c5c9ab83cd94462,
  0x5666fe0dfa08d163, 0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68,
  0x9a19961d252d9f02, 0x00042f75393c95fb, 0x0000000000000004,
};

// pwm2b_swio10_dual_hw              pwm3_swio10_dual_hw               pwm3b_swio10_dual_hw
static const uint64_t ur_pwm2_swio10_dual_hw[] = {
  0x1eeeeeed12190907, 0xe0fa6d3114e4c1d7, 0xb17ddb83d39eb8d3, 0x29bbf23b295f14ad, 0xed9f16a015bab8cd,
  0xe4a08eeb41fabef5, 0x46609f180905415d, 0x109c01190f41a42a, 0x40c2860d59e2cf49, 0x9fe65d849dd3e25c,
  0xdfcd82fb3814599c, 0x11c90ab0332a6f51, 0x0370f815fe63408a, 0x195dc5eef8bbe000, 0x36f7150865a03e22,
  0x012db943ffa039e1, 0x8982c3795e5ab7cd, 0xdf2c3e491a95fe76, 0xe39560622fa8f221, 0x31602a83cdfb8ca8,
  0x3af006769c51bde7, 0xb5af07d500ffd982, 0x771525bfc303cb3d, 0xdaf2e556b3f8abe7, 0x454aa35d09c73c9f,
  0x404e576a96fab39d, 0x4ab574bfa1a89ae0, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x65d9156f62aa8b49, 0xbb1b8f365118bf9b, 0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879,
  0x71964b867a617c68, 0x9a19961d252d9f02, 0x37520e417d3c95fb, 0x0000000000000006,
};

// pwm2b_swio10_dual_ee_hw           pwm3_swio10_dual_ee_hw            pwm3b_swio10_dual_ee_hw
static const uint64_t ur_pwm2_swio10_dual_ee_hw[] = {
  0x36eeeee87ad0cf68, 0xc1f4dac76842c1ec, 0xd3dba7395f333b13, 0x23b3b55de9afbf7a, 0x0fae76dba0b619a7,
  0x77347d4eb5bb1c2f, 0xf180905415de4cbb, 0x2321e83485d16609, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2efeeb00370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b79d, 0x4687ffced130586f, 0xe57bee6ab5a328b2, 0xd7a8f83660ccaf51,
  0x1669d68450ef8aed, 0x73484d7d18596229, 0xd28e75697286b8a9, 0x5ae875ea25da3da3, 0xc242284011a63635,
  0x08fd6e1bd97d2cc5, 0xe2a4a014656b2a36, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0x09caed52df5673a8,
  0x56ae97f435135c08, 0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0xbb22adec55516920,
  0xe371e6ca2317f36c, 0x89fca1854e7ea5ea, 0x4d0f22678b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x000000000aed22f8,
};

// pwm2b_swio10_dual_ce_hw           pwm3_swio10_dual_ce_hw            pwm3b_swio10_dual_ce_hw
static const uint64_t ur_pwm2_swio10_dual_ce_hw[] = {
  0x53b777776890cf68, 0x67c1f4dacc7bb60e, 0xbd07dbaaf9b144e4, 0x6ea38b4e44faafeb, 0x7664caefdfbdd29c,
  0xbc9a66ee68fa9d6b, 0x18cc13e30120a82b, 0x4427004643d06911, 0x1030a1835678b3d2, 0x5ff997612774f897,
  0xf676c2391c0e0cdd, 0x2392156072ba6f51, 0x06e1f02bfcc68114, 0xcaee2f77c5de0890, 0x775150865a063d10,
  0x12dbffcffa039e13, 0x982c3795e5ab7cd0, 0x7d4c7c911adfe768, 0x883cf12721238371, 0xf097e21b09117dc6,
  0x8bb9b5d2a2e47f51, 0x3f513dcb19f52e67, 0x5dd471cab03b87ea, 0xd38a37bce62c05a9, 0xa01ffb33c75e00ce,
  0xfe181e5adcb5e0fa, 0xb59fc55f3bb8a92d, 0xe84e39e4fed7972a, 0x54b7d59cea2a551a, 0xfd0d44d7020272bb,
  0xb445794d4255aba5, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0x65118bf9b65d863b,
  0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x17d3c95fb9a19961, 0x0000000004dd5eb6,
};

// pwm2b_swio10_dual_ee_ce_hw        pwm3_swio10_dual_ee_ce_hw         pwm3b_swio10_dual_ee_ce_hw
static const uint64_t ur_pwm2_swio10_dual_ee_ce_hw[] = {
  0xa72ddddddd43359b, 0x2b83e9b5e96c1183, 0xb793dd1d74fb1ec8, 0x39a733e19cc89ae3, 0xbccd937852c14e47,
  0xcee1e198535aebd7, 0x3e30120a82bbc90d, 0x08c87a0d232da4c1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x3fc3862099aeff32, 0xac0ffe4dea3e9ad8, 0x057f98d022847242, 0xeef8bbc2c800dc3e, 0x10cb430222195dc5,
  0x0ffe80e784c5d62a, 0xcaf2d5be68096def, 0x91b5bff3b44c161b, 0x212b5b3bfea8f024, 0xcdaece5d1ffcf127,
  0xd29dacac9ba6139d, 0xc1b307dd7a8f2bca, 0xb422814c572bbd47, 0x6be8c2cb1148b34e, 0x4a39d5db8a18ea42,
  0xf1b1d7a89768f68f, 0x121142008d31b1aa, 0x226470decbe9662e, 0x8a92967195aca8d8, 0x7972ab59fc55f3bb,
  0xa551ae84e39e4fed, 0x272bb54b7d59cea2, 0x5aba5fd0d44d7020, 0x5cf6ab445794d425, 0x2e52d7ce80f1cad7,
  0x9c6378ce88108548, 0xd863b7b15545a482, 0x1b8f365118bf9b65, 0x92e19e985727e7f6, 0x6587494b67c09c65,
  0x60105f4f257ee686, 0x000000000000089a,
};

// pwm2b_swio10_dual_ee_ce_u4_hw     pwm3_swio10_dual_ee_ce_u4_hw      pwm3b_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_swio10_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d172df, 0x0fa6d42f7f0b072a, 0x2b7535eabcb5272e, 0x4eb6b8bebdda0eeb, 0xf5cfde4e2afcfbfb,
  0xa8356865a3821e1d, 0x15057792829ddb5a, 0x348659b9827c6024, 0x59e92213802321e8, 0x7c4b881850c1ab3c,
  0xe6e5afccb20d53ba, 0xd47c6ed87609c2f0, 0x8a11c90ab036bb9b, 0x780370f815fe6340, 0x10caee2f77c5de9c,
  0x26d37150865a0705, 0x404b6e495ff4073c, 0xee60b0de5796adf3, 0x546706489adffef0, 0xe78b17d091addc5f,
  0xbf10d8488bee3441, 0x6d75c170fffa8f84, 0x94ed6e6e6e99e2ee, 0x0d983eebd4795e56, 0xa1140a62b95dea3e,
  0x5f4616588a459a75, 0x51ceaedc50c75213, 0x8d8ebd44bb47b47a, 0x908a1004698d8d57, 0x132386f65f4b3170,
  0x5494b38cad6546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x395daa5beace7515, 0xd5d2fe86a26b8101,
  0xe7b55a22bca6a12a, 0x7296be74078e56ba, 0xe31bc67440842a41, 0xc31dbd8aaa2d2414, 0xdc79b288c5fcdb2e,
  0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0x334680b9e4afdcd0, 0x000000000001d756,
};

/*
 * pwm2_swio12_noled                 pwm2b_swio11_noled                pwm2b_swio12_noled
 * pwm3_swio11_noled                 pwm3_swio12_noled                 pwm3b_swio11_noled
 * pwm3b_swio12_noled
 */
static const uint64_t ur_pwm2_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0a82bbc9ddcc490d, 0x3767e3dcc13e3012, 0x77cb741247baff8a, 0x71cab03affea3a62, 0xe62c05bdd32003e4,
  0x08ebc5cedd223278, 0xe556a56087dc72c6, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a, 0x2b637afa1a89ace5,
  0x5ae7b55a22bca6a1, 0x3a9c0594a9f4ef3f, 0x47978a042d2c2e75, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000005496eb4f93c,
};

/*
 * pwm2_swio12_noled_pr              pwm2b_swio11_noled_pr             pwm2b_swio12_noled_pr
 * pwm3_swio11_noled_pr              pwm3_swio12_noled_pr              pwm3b_swio11_noled_pr
 * pwm3b_swio12_noled_pr
 */
static const uint64_t ur_pwm2_swio11_noled_pr[] = {
  0x0b77777507b128ae, 0xb55722950e25713a, 0x4f5fb1a0b609e0bb, 0xc1c436c66cf7a7b6, 0xfcc6b4ddb89d059a,
  0x4ee9a58e38bc4882, 0xe609f180905415de, 0xe48edfff124f3e63, 0x326bd47050ef96de, 0x2ca60f680471cab0,
  0x9d93146229cc580b, 0xf2a01ffb30475e8f, 0xd508981e59eddac4, 0xa138e793fb5e5caa, 0x2df57673a8a9546b,
  0x6f5f4351359caed5, 0xf6ab445794d4256c, 0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x0c55bd8aaa2d2da2,
  0x7079b288c5fcdb61, 0x076d0d165abcb935, 0x2861539fa9d598f2, 0xc07cd0f22678138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x7c9e10c0329e4afd,
};

/*
 * pwm2_swio12_noled_pr_u4           pwm2b_swio11_noled_pr_u4          pwm2b_swio12_noled_pr_u4
 * pwm3_swio11_noled_pr_u4           pwm3_swio12_noled_pr_u4           pwm3b_swio11_noled_pr_u4
 * pwm3b_swio12_noled_pr_u4
 */
static const uint64_t ur_pwm2_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8bf82, 0xeed55c8a50912d48, 0x50f4d06e246113d6, 0x0ee38f522f892e3b, 0x99fa5f17bba905fd,
  0xf27757189153706c, 0xf7304f8c0482a0ae, 0xa0923dd7f89279f8, 0x81d7ff51d313be5b, 0x2dee99001f238e55,
  0x2e76e91193c73160, 0x2b043ee39630475e, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0xd7d0d44d672bb54b,
  0xaad115e535095b1b, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xd38c6f19d1023cbc, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xa45f00ca792bf734, 0x00000000000007c9,
};

/*
 * pwm2_swio12_noled_pr_ee           pwm2b_swio11_noled_pr_ee          pwm2b_swio12_noled_pr_ee
 * pwm3_swio11_noled_pr_ee           pwm3_swio12_noled_pr_ee           pwm3b_swio11_noled_pr_ee
 * pwm3b_swio12_noled_pr_ee
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x304f8c0482a0aef2, 0x48eceffe0d59f383, 0x3cacbacd56b4663e, 0x4bf51f06cc1f51ea,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1fc873ab4bb935c6, 0xd56ba1d79d3763d5, 0x170908a22147bdd8,
  0x6c11fadc37b2d973, 0xe5caad402e839e54, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x4256c6f5f4351359,
  0x2d75cf6ab445794d, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204, 0xcdb610c55bd8aaa2, 0x8b9357079b288c5f,
  0x598f207e50d1674f, 0xe627f2861539fa9d, 0xc1343c899e2e7197, 0xc33d30ae4fc73dff, 0x0e9296cf8138cb25,
  0x7d3a9e4afdcd0ccb, 0x0000000000275e05,
};

/*
 * pwm2_swio12_noled_pr_ee_u4        pwm2b_swio11_noled_pr_ee_u4       pwm2b_swio12_noled_pr_ee_u4
 * pwm3_swio11_noled_pr_ee_u4        pwm3_swio12_noled_pr_ee_u4        pwm3b_swio11_noled_pr_ee_u4
 * pwm3b_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x9827c60241505779, 0x246577ff06acfece, 0x1e57f3a6ab5a3dbf, 0xd2fa8f83660e71f5,
  0x91669d68450ef8ad, 0x133484d7d1859622, 0x35ae73ab4bafb5c5, 0xad743af5d4dda5f2, 0xe121140f88fa4b1a,
  0xd07d6e1bd970e462, 0xe793fb5e5caad571, 0x7673a8a9546ba138, 0x4351359caed52df5, 0x445794d4256c6f5f,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0xb288c5fcdb610c55, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xa9e4afdcd0ccb0e9, 0x00000009d74d07d3,
};

/*
 * pwm2_swio12_noled_pr_ce           pwm2b_swio11_noled_pr_ce          pwm2b_swio12_noled_pr_ce
 * pwm3_swio11_noled_pr_ce           pwm3_swio12_noled_pr_ce           pwm3b_swio11_noled_pr_ce
 * pwm3b_swio12_noled_pr_ce
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ce[] = {
  0xad5b777777b128ae, 0xa3bb557228b4448d, 0xde9fbda13778710d, 0xda08c9a9bc77b6cd, 0x2256d90f1fba6d6a,
  0x57793ba69638b451, 0xf9759827c6024150, 0xd66e923f3bfc493c, 0xafcf002c1c74a77f, 0xd64c273b9b5c3469,
  0xd67fa8ebe4f72c05, 0x602edf97d1c72ac0, 0x7a3e764c5188a731, 0x6b13ca807feccf1d, 0x5caad508981e5add,
  0x546ba138e793fb5e, 0xaed52df57673a8a9, 0x256c6f5f4351359c, 0xd75cf6ab445794d4, 0xdd4d8a53c34ef3e2,
  0x2da2718de33a2041, 0xb6c2131dbd8aaa2d, 0x71726ae365118bf9, 0xeacc7903b6868b1e, 0xc6592e19e985727e,
  0x866587494b659289, 0x75c6e0194f257ee6, 0x000000000000000b,
};

/*
 * pwm2_swio12_noled_pr_ce_u4        pwm2b_swio11_noled_pr_ce_u4       pwm2b_swio12_noled_pr_ce_u4
 * pwm3_swio11_noled_pr_ce_u4        pwm3_swio12_noled_pr_ce_u4        pwm3b_swio11_noled_pr_ce_u4
 * pwm3b_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ce_u4[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xf4dcc13e30120a82, 0x7ba92395bff83567, 0xf3c00b5a495d717d, 0x5f886c2445f71a20,
  0xe6d7643a4afd47c2, 0xf93dcb19fac99e2e, 0xf471cab0359fea3a, 0x146229cc580bb7e5, 0x1ffb33c75e8f9d93,
  0x260796b75ac4f2a0, 0x39e4fed7972ab542, 0x5d9cea2a551ae84e, 0xd0d44d672bb54b7d, 0xd115e535095b1bd7,
  0xf0d3bcf8b5d73daa, 0x78ce881077536294, 0x6f62aa8b4b689c63, 0xd94462fe6db084c7, 0x50d1637c5c9ab83c,
  0x1539fa9d598f207e, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0xd4f257ee68665874, 0x0000000dd748bfe9,
};

/*
 * pwm2_swio12_noled_pr_ee_ce        pwm2b_swio11_noled_pr_ee_ce       pwm2b_swio12_noled_pr_ee_ce
 * pwm3_swio11_noled_pr_ee_ce        pwm3_swio12_noled_pr_ee_ce        pwm3b_swio11_noled_pr_ee_ce
 * pwm3b_swio12_noled_pr_ee_ce
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0x7304f8c0482a0aef, 0x922337ffc1ab3e9b, 0x6b4833677fd51975, 0xe6d7672e8ffe7801,
  0x794ed6563df309ce, 0xe0d983d2bd4795c8, 0x5a1140a62b387ea3, 0x35f4616588a459a7, 0xf21ceaedce4c7521,
  0xbc6c75e74dd8f547, 0x84845110a3deec6a, 0x044c8e1bd96cb98b, 0x72ab52cfa0e7951b, 0x51ae84e39e4fed79,
  0xbb54b7d5d9cea2a5, 0x95b1bd7d0d44d672, 0x5d73daad115e5350, 0x7536294f0d3bcf8b, 0xb689c6378ce88107,
  0xdb084c76f62aa8b4, 0xc5c9ab8d94462fe6, 0xab31e40fca1a2c79, 0x1964b867a615c9fb, 0x19961d252d964a27,
  0xc5fbfa753c95fb9a, 0x0000000000000534,
};

/*
 * pwm2_swio12_noled_pr_ee_ce_u4     pwm2b_swio11_noled_pr_ee_ce_u4    pwm2b_swio12_noled_pr_ee_ce_u4
 * pwm3_swio11_noled_pr_ee_ce_u4     pwm3_swio12_noled_pr_ee_ce_u4     pwm3b_swio11_noled_pr_ee_ce_u4
 * pwm3b_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_swio11_noled_pr_ee_ce_u4[] = {
  0x0addddda2e7c4541, 0xbb557f53323125a3, 0xaf5b5a583305f98b, 0x002b68ee0dae3765, 0x0be4a165b3d68c2a,
  0x750093738b0f8374, 0x04f8c0482a0aef27, 0x6b7ffca8dd9f1493, 0xeeb7ee2faa3d3724, 0x222fb8d1079e005c,
  0xcf5fea3e12fc4361, 0xb7be678bb9b5c2c8, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x62291669d6845029,
  0x73931d484d7d1859, 0xd3763d51fc873abb, 0x28f7bb1aaf1b1d79, 0xf65b2e62e1211444, 0xe839e546c1132386,
  0xe793fb5e5caad4b3, 0x7673a8a9546ba138, 0x4351359caed52df5, 0x445794d4256c6f5f, 0xc34ef3e2d75cf6ab,
  0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x65118bf9b6c2131d, 0xe3458df1726ae0f3, 0xa73f53ab31e40cd3,
  0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92,
  0x0000027e3cdbb391,
};

/*
 * pwm2_swio12_noled_hw              pwm2b_swio11_noled_hw             pwm2b_swio12_noled_hw
 * pwm3_swio11_noled_hw              pwm3_swio12_noled_hw              pwm3b_swio11_noled_hw
 * pwm3b_swio12_noled_hw
 */
static const uint64_t ur_pwm2_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x0a82bbc9ddcc490d, 0x71e7e3dcc13e3012, 0x4ef96e8248f75ff8, 0x8e3956075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0x256c6f5f4351359c,
  0xeb5cf6ab445794d4, 0xa75380b2953e9de7, 0x08f2f14085a585ce, 0xc5fcdb4e31bc6744, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x00000004715ba8a7,
};

/*
 * pwm2_swio12_noled_ee_hw           pwm2b_swio11_noled_ee_hw          pwm2b_swio12_noled_ee_hw
 * pwm3_swio11_noled_ee_hw           pwm3_swio12_noled_ee_hw           pwm3b_swio11_noled_ee_hw
 * pwm3b_swio12_noled_ee_hw
 */
static const uint64_t ur_pwm2_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x15de4eed86d95a93, 0x3e706609f1809054, 0xd198f923b3bfe853, 0x7d47a8f2b2eb355a, 0x77c5652fd47c1b30,
  0x2cb1148b34eb4228, 0xe4d71ac9a426be8c, 0xdd8f547f21cead2e, 0x1ef76355ae875e74, 0xcb65cc5c24228885,
  0x0e7951b047eb70de, 0xe4fed7972ab500ba, 0x9cea2a551ae84e39, 0xd44d672bb54b7d5d, 0x15e535095b1bd7d0,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0xa2317f36d843156f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a,
  0x00000000b7ff34c2,
};

/*
 * pwm2_swio12_noled_ce_hw           pwm2b_swio11_noled_ce_hw          pwm2b_swio12_noled_ce_hw
 * pwm3_swio11_noled_ce_hw           pwm3_swio12_noled_ce_hw           pwm3b_swio11_noled_ce_hw
 * pwm3b_swio12_noled_ce_hw
 */
static const uint64_t ur_pwm2_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x2a0aef2774a70f6d, 0x299fd37304f8c048, 0xb8bebdd491cadff4, 0xe3441e78939094ae, 0xa8f84bf10d8488be,
  0x33c5dcdafd83787f, 0xfd475f27b9633f59, 0x76fcbe8e395606b3, 0xf3b2628c45398b01, 0x9e5403ff6678ebd1,
  0x56a844c0f2d6eb58, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3, 0x637afa1a89ace576, 0xe7b55a22bca6a12b,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1098edec5551696d, 0x8dc79b288c5fcdb6, 0x7bde50c2a73f505d,
  0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xb27e10be9e4afdcd,
  0x0000000000000759,
};

/*
 * pwm2_swio11_noled_ee_ce_u4_hw     pwm2_swio12_noled_ee_ce_hw        pwm2_swio12_noled_ee_ce_u4_hw
 * pwm2b_swio11_noled_ee_ce_hw       pwm2b_swio11_noled_ee_ce_u4_hw    pwm2b_swio12_noled_ee_ce_hw
 * pwm2b_swio12_noled_ee_ce_u4_hw    pwm3_swio11_noled_ee_ce_hw        pwm3_swio11_noled_ee_ce_u4_hw
 * pwm3_swio12_noled_ee_ce_hw        pwm3_swio12_noled_ee_ce_u4_hw     pwm3b_swio11_noled_ee_ce_hw
 * pwm3b_swio11_noled_ee_ce_u4_hw    pwm3b_swio12_noled_ee_ce_hw       pwm3b_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xe292609f18090541, 0x3d37246b7ffe8533, 0x3c49c84ab7ee2faa, 0xf886c2445f71a20f,
  0xd736ec291fd47c25, 0x4ed6e6def99e2ee6, 0xd983d2bd4795c879, 0x1140a62b387ea3e0, 0xf4616588a459a75a,
  0x1ceaedce4c752135, 0x6c75e74dd8f547f2, 0x845110a3deec6abc, 0x4c8e1bd96cb98b84, 0xab52cfa0e7951b04,
  0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xb1bd7d0d44d672bb, 0x73daad115e535095, 0x36294f0d3bcf8b5d,
  0x89c6378ce8810775, 0x084c76f62aa8b4b6, 0xc6e3cd94462fe6db, 0x3def2861539fa82e, 0xcf03f8cbf313ffbc,
  0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0x087ab85f4f257ee6, 0x0000000000000028,
};

/*
 * pwm2_swio12_lednop                pwm2b_swio11_lednop               pwm2b_swio12_lednop
 * pwm3_swio11_lednop                pwm3_swio12_lednop                pwm3b_swio11_lednop
 * pwm3b_swio12_lednop
 */
static const uint64_t ur_pwm2_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20a82bbc9ddb1ec8, 0xa3767e034c13e301, 0x0ef96e824887bff8, 0x8e3956075ffd47c9, 0x1cc580b7ba6ea131,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0xe97f435135c0809c,
  0xed5688af29a84ae5, 0x594d8b3a03cfd6b9, 0x4502169ab9d5ea58, 0xb69c6378ce88145f, 0x7e7f61bb65118bf9,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x02a4faed3e4f257e,
};

/*
 * pwm2_swio12_lednop_pr             pwm2b_swio11_lednop_pr            pwm2b_swio12_lednop_pr
 * pwm3_swio11_lednop_pr             pwm3_swio12_lednop_pr             pwm3b_swio11_lednop_pr
 * pwm3b_swio12_lednop_pr
 */
static const uint64_t ur_pwm2_swio11_lednop_pr[] = {
  0x05bbbbba83d8ad4e, 0xdaab91485f12b89d, 0x486df987db04f05d, 0x60e2a8636cbde15a, 0x763dd7eedc4e82cd,
  0x9dd31370619a33c7, 0xcc13e30120a82bbc, 0xc918f7fe249e7d7d, 0x64d7a8e801df2dbd, 0x2ca67f3a88e39560,
  0x3b6488c6f9cc580b, 0x45403ff6608ebd1f, 0x5976a07967b707fa, 0x84e39e4fed7972ab, 0xb7d5d9cea2a551ae,
  0x0d44d7020272bb54, 0x22bca6a12b97a5fd, 0x74078e56bae7b55a, 0x7440842a417296be, 0x8aaa2d2414e31bc6,
  0x4462fe6db18c55bd, 0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903b686, 0x79133c09c69430a9, 0xe19e985727e03e68,
  0x87494b67c09c6592, 0xa0194f257ee68665, 0x00000000007c995a,
};

/*
 * pwm2_swio12_lednop_pr_u4          pwm2b_swio11_lednop_pr_u4         pwm2b_swio12_lednop_pr_u4
 * pwm3_swio11_lednop_pr_u4          pwm3_swio12_lednop_pr_u4          pwm3b_swio11_lednop_pr_u4
 * pwm3b_swio12_lednop_pr_u4
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_u4[] = {
  0x05ff777768bb1762, 0xdddaab914ad225a9, 0xb0bf70f8da0c227a, 0xf43b8e3da1377e63, 0xdc01b6f8feeea417,
  0xaef277699a335a11, 0xf80d304f8c0482a0, 0xb7412443dff89279, 0xab03affea3e4877c, 0xc05bdd375098c71c,
  0xbc5cec22a3e90e62, 0x6a5660bdc72c608e, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa1a89ae0404e576a,
  0x445794d42572f4bf, 0xc59d01e7eb5cf6ab, 0x0b4d5ceaf52c2ca6, 0x31bc67440a2fa281, 0x7079b288c5fcdb4e,
  0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0x5c0329e4afdcd0cc, 0x00000000000f9308,
};

/*
 * pwm2_swio12_lednop_pr_ee          pwm2b_swio11_lednop_pr_ee         pwm2b_swio12_lednop_pr_ee
 * pwm3_swio11_lednop_pr_ee          pwm3_swio12_lednop_pr_ee          pwm3b_swio11_lednop_pr_ee
 * pwm3b_swio12_lednop_pr_ee
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0xa609f180905415de, 0xc911adffc1ab3e96, 0x4795b059aad68cc7, 0x53dea3e0d983ea3d,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0x239b8e7569774ab8, 0x1aad743af3a6ed22, 0x62e121142f88e32b,
  0x8d823f5b86f65b2e, 0xbcb955a8056b13ca, 0x52a8d74271cf27f6, 0x395daa5beaece751, 0xcbd2fe86a26b8101,
  0x73daad115e535095, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a, 0x5c1e6ca2317f36d8,
  0x81f943459d3e2e4d, 0xca1854e7ea75663c, 0xf22678b9c65f989f, 0xc2b93f1cf7ff04d0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000000275cc9f4ea,
};

/*
 * pwm2_swio12_lednop_pr_ee_u4       pwm2b_swio11_lednop_pr_ee_u4      pwm2b_swio12_lednop_pr_ee_u4
 * pwm3_swio11_lednop_pr_ee_u4       pwm3_swio12_lednop_pr_ee_u4       pwm3b_swio11_lednop_pr_ee_u4
 * pwm3b_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0xb5304f8c0482a0ae, 0x7e488d6ffe0d59f4, 0xea3cae43cd56b47b, 0x5feef51f06cc1ce3,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x2234c4e7569780cb, 0x8d56ba1d7aea6ed9, 0x62e1211441f476b5,
  0xe305fd6e1bd970e4, 0x71cf27f6bcb955aa, 0xeaece75152a8d742, 0xa26b8101395daa5b, 0x5e535095cbd2fe86,
  0x74079fad73daad11, 0x3573abd4b0b29b16, 0xf19d1028be8a042d, 0xe6ca2317f36d38c6, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x4ea792bf734332c3, 0x000000004eba45ff,
};

/*
 * pwm2_swio12_lednop_pr_ce          pwm2b_swio11_lednop_pr_ce         pwm2b_swio12_lednop_pr_ce
 * pwm3_swio11_lednop_pr_ce          pwm3_swio12_lednop_pr_ce          pwm3b_swio11_lednop_pr_ce
 * pwm3b_swio12_lednop_pr_ce
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8ad4e, 0xd1ddaab914362246, 0x5e8d3df169143886, 0x6d0464d685365c5a, 0x666ec1982fdd36b5,
  0x57793ba626e0ae34, 0xfb059827c6024150, 0xd66e92270ffc493c, 0xbfcf002c1c2ea77f, 0x59309cee6d79dbb5,
  0xb3fd4797d3dcb017, 0x80b1ef4a8e395606, 0xd1f3b6488c6f9cc5, 0x7fa45403ff6678eb, 0xcaad65da81e5add0,
  0x46ba138e793fb5e5, 0xed52df57673a8a95, 0x97f435135c0809ca, 0xd5688af29a84ae5e, 0x5af9d01e395aeb9e,
  0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xc6ca2317f36d8c4c, 0x076d0d163ce2e4d5, 0x33d30ae4fdd598f2,
  0x9296cb25138cb25c, 0x329e4afdcd0ccb0e, 0x0000000016ebce40,
};

/*
 * pwm2_swio12_lednop_pr_ce_u4       pwm2b_swio11_lednop_pr_ce_u4      pwm2b_swio12_lednop_pr_ce_u4
 * pwm3_swio11_lednop_pr_ce_u4       pwm3_swio12_lednop_pr_ce_u4       pwm3b_swio11_lednop_pr_ce_u4
 * pwm3b_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ce_u4[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x7e394c13e30120a8, 0xd7ba9236ebff8356, 0x0f3c00b5a4d37717, 0x25f886c2445f71a2,
  0xee6d724aca8fd47c, 0x97d3dcb19fac99e2, 0x4a8e395606b3fd47, 0x488c6f9cc580b1ef, 0x03ff6678ebd1f3b6,
  0xda81e5add07fa454, 0x8e793fb5e5caad65, 0x57673a8a9546ba13, 0x135c0809caed52df, 0xf29a84ae5e97f435,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0x17f36d8c4c76f62a, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00375c217f4ea792,
};

/*
 * pwm2_swio12_lednop_pr_ee_ce       pwm2b_swio11_lednop_pr_ee_ce      pwm2b_swio12_lednop_pr_ee_ce
 * pwm3_swio11_lednop_pr_ee_ce       pwm3_swio12_lednop_pr_ee_ce       pwm3b_swio11_lednop_pr_ee_ce
 * pwm3b_swio12_lednop_pr_ee_ce
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0x9304f8c0482a0aef, 0x648868ffe0d59f7f, 0x2d690341dff5465d, 0xb9b5da0e089fcf00,
  0x2e53b5958f7cc273, 0xf83660f4af51e565, 0xd68450298aca1fa8, 0x4d7d185962291669, 0xcdc73abb73a51d48,
  0xaf1b1d79d3769111, 0xe121142f88e32b1a, 0xc1132386f65b2e62, 0x5caad4b3b589e546, 0x546ba138e793fb5e,
  0xaed52df57673a8a9, 0xe97f435135c0809c, 0xed5688af29a84ae5, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x5c6ca2317f36d8c4, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0xd3a9e4afdcd0ccb0, 0x0000000029a6dc7f,
};

/*
 * pwm2_swio12_lednop_pr_ee_ce_u4    pwm2b_swio11_lednop_pr_ee_ce_u4   pwm2b_swio12_lednop_pr_ee_ce_u4
 * pwm3_swio11_lednop_pr_ee_ce_u4    pwm3_swio12_lednop_pr_ee_ce_u4    pwm3b_swio11_lednop_pr_ee_ce_u4
 * pwm3b_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c1a4e, 0xbb557f53667125a3, 0xa02b6859bb05f98b, 0x002b66451dd33b0d, 0xba976165b3d68c2a,
  0xd4d770b499ee0a51, 0x13e30120a82bbc9d, 0x87dfe546ecff60cc, 0x687d717d51e9b922, 0x117dc6883cf002e7,
  0x92bf51f097e21b09, 0x7be678bb9b5e3eeb, 0xf51e5652e53b5b9b, 0xaca1fa8f83660f4a, 0x2291669d68450298,
  0x3a51d484d7d18596, 0x3769111cdc73abb7, 0x8e32b1aaf1b1d79d, 0x65b2e62e121142f8, 0x589e546c1132386f,
  0x793fb5e5caad4b3b, 0x673a8a9546ba138e, 0x5c0809caed52df57, 0x9a84ae5e97f43513, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x7e559567233c95fb, 0x0000000000000002,
};

/*
 * pwm2_swio12_lednop_hw             pwm2b_swio11_lednop_hw            pwm2b_swio12_lednop_hw
 * pwm3_swio11_lednop_hw             pwm3_swio12_lednop_hw             pwm3b_swio11_lednop_hw
 * pwm3b_swio12_lednop_hw
 */
static const uint64_t ur_pwm2_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x20a82bbc9ddb1ec8, 0x871e7e034c13e301, 0x21df2dd04910f7ff, 0x31c72ac0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe86a26b81013,
  0x3daad115e535095c, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0x4fcfec376ca2317f,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x000238beba29e4af,
};

/*
 * pwm2_swio12_lednop_ee_hw          pwm2b_swio11_lednop_ee_hw         pwm2b_swio12_lednop_ee_hw
 * pwm3_swio11_lednop_ee_hw          pwm3_swio12_lednop_ee_hw          pwm3b_swio11_lednop_ee_hw
 * pwm3b_swio12_lednop_ee_hw
 */
static const uint64_t ur_pwm2_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0x0aef277505272d08, 0x9f4b5304f8c0482a, 0x68cc7c911adff429, 0x3ea3d4795b059aad, 0x3be2b53dea3e0d98,
  0x16588a459a75a114, 0x74ab8d64d2135f46, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0x65b2e62e121142f8,
  0xb13ca8d823f5b86f, 0xf27f6bcb955a8056, 0xce75152a8d74271c, 0xb8101395daa5beae, 0x35095cbd2fe86a26,
  0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x6920a718de33a204, 0xf36d8c62adec5551, 0xd4176371e6ca2317,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x000b7c6a702fa792,
};

/*
 * pwm2_swio12_lednop_ce_hw          pwm2b_swio11_lednop_ce_hw         pwm2b_swio12_lednop_ce_hw
 * pwm3_swio11_lednop_ce_hw          pwm3_swio12_lednop_ce_hw          pwm3b_swio11_lednop_ce_hw
 * pwm3b_swio12_lednop_ce_hw
 */
static const uint64_t ur_pwm2_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x15057793baf5a716, 0x14cfc729827c6024, 0xdc5f5eea48dbaffa, 0x71a20f3c49c84b4d, 0xd47c25f886c2445f,
  0x99e2ee6d798667cf, 0xfd4797d3dcb19fac, 0xb1ef4a8e395606b3, 0xf3b6488c6f9cc580, 0xa45403ff6678ebd1,
  0xad65da81e5add07f, 0xba138e793fb5e5ca, 0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d8c4c76, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x00000001d66fbe08,
};

/*
 * pwm2_swio11_lednop_ee_ce_u4_hw    pwm2_swio12_lednop_ee_ce_hw       pwm2_swio12_lednop_ee_ce_u4_hw
 * pwm2b_swio11_lednop_ee_ce_hw      pwm2b_swio11_lednop_ee_ce_u4_hw   pwm2b_swio12_lednop_ee_ce_hw
 * pwm2b_swio12_lednop_ee_ce_u4_hw   pwm3_swio11_lednop_ee_ce_hw       pwm3_swio11_lednop_ee_ce_u4_hw
 * pwm3_swio12_lednop_ee_ce_hw       pwm3_swio12_lednop_ee_ce_u4_hw    pwm3b_swio11_lednop_ee_ce_hw
 * pwm3b_swio11_lednop_ee_ce_u4_hw   pwm3b_swio12_lednop_ee_ce_hw      pwm3b_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xf60cc13e30120a82, 0xf4dc9143effa14cf, 0xf12721243eb8bea8, 0xe21b09117dc6883c,
  0x5d5d7185ff51f097, 0x3b5b9b7be678bb9b, 0x660f4af51e5652e5, 0x450298aca1fa8f83, 0xd185962291669d68,
  0x73abb73a51d484d7, 0xb1d79d3769111cdc, 0x1142f88e32b1aaf1, 0x32386f65b2e62e12, 0xad4b3b589e546c11,
  0xba138e793fb5e5ca, 0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97, 0xf9d01e395aeb9ed5,
  0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d8c4c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000280a3538,
};

/*
 * pwm2_swio11_dual_pr               pwm2_swio12_dual                  pwm2_swio12_dual_pr
 * pwm2b_swio11_dual                 pwm2b_swio11_dual_pr              pwm2b_swio12_dual
 * pwm2b_swio12_dual_pr              pwm3_swio11_dual                  pwm3_swio11_dual_pr
 * pwm3_swio12_dual                  pwm3_swio12_dual_pr               pwm3b_swio11_dual
 * pwm3b_swio11_dual_pr              pwm3b_swio12_dual                 pwm3b_swio12_dual_pr
 */
static const uint64_t ur_pwm2_swio11_dual[] = {
  0x9a5dddddde7c1a4e, 0x0fa6d311086c1fe9, 0x2afd4672edeb8d3e, 0xbe4a932713b2cfbd, 0x146a6c5bbf4cd29b,
  0x1dc9aee1689fee0b, 0x3e30120a82bbc941, 0x02321e8348ba1cc1, 0x0c1ab3c59e922138, 0x9ad53ba7c4b88185,
  0x17d9c0a2cce4ff32, 0x558199537a8efe6c, 0xc0aff31a04508e48, 0x5eef8bbd0f801b87, 0x50865a03e22195dc,
  0xb05ffa039e136f71, 0x3795e5ab7cd012db, 0xf244a2ff8343982c, 0x3defd47ee8ef965a, 0x83cce4c3dc71cab0,
  0x764011a62731602a, 0xd500ffd9823af006, 0x5f3a81e59edbde37, 0x55acfe2af9ddc549, 0xd74271cf27f6bcb9,
  0xaa5beaece75152a8, 0xfe86a26b8101395d, 0xad115e535095cbd2, 0x5f3a03c72b5d73da, 0xe33a20421520b94b,
  0xdec55516920a718d, 0x6ca2317f36d8c62a, 0xf8d163ce2e4d5c1e, 0x85727eeacc790334, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x00000620dc7d9c8c,
};

/*
 * pwm2_swio12_dual_pr_u4            pwm2b_swio11_dual_pr_u4           pwm2b_swio12_dual_pr_u4
 * pwm3_swio11_dual_pr_u4            pwm3_swio12_dual_pr_u4            pwm3b_swio11_dual_pr_u4
 * pwm3b_swio12_dual_pr_u4
 */
static const uint64_t ur_pwm2_swio11_dual_pr_u4[] = {
  0x34bbbbbb44869a4e, 0x1f4da62210d83fd3, 0xf7ba8ce5dbd71a7c, 0x377c95264e2765b9, 0x9628d4d8b77e99a5,
  0x23bb8fea3151f1e1, 0x27c6024150577928, 0x004643d069174398, 0xa1835678b3d24427, 0x97612774f8971030,
  0x60bece05166727f9, 0x42ac0cca9bd477f3, 0x3e057f98d0228472, 0xe2f77c5de87c00dc, 0x8a8432d01f110cae,
  0xdd82ffd01cf09b7b, 0x61bcaf2d5be68096, 0xd7922517fd7fb4c1, 0x81ef7ea3f7477cb2, 0x541e67261ee38e55,
  0x33b2008d31398b01, 0xbea807fecc11d780, 0x4af9d40f2cf6def1, 0xcaad67f157ceee2a, 0x46ba138e793fb5e5,
  0xed52df57673a8a95, 0x97f435135c0809ca, 0xd5688af29a84ae5e, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca,
  0x56f62aa8b490538c, 0xf365118bf9b6c631, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xc17693a792bf7343, 0x000000000002927b,
};

/*
 * pwm2_swio12_dual_pr_ee            pwm2b_swio11_dual_pr_ee           pwm2b_swio12_dual_pr_ee
 * pwm3_swio11_dual_pr_ee            pwm3_swio12_dual_pr_ee            pwm3b_swio11_dual_pr_ee
 * pwm3b_swio12_dual_pr_ee
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ee[] = {
  0x534edddddd43573e, 0xf07d36b1d936c1c0, 0x47e6ea729c4ccec4, 0x391d8f6d9beec75f, 0x00faabf6dd05014d,
  0x72e2fbb0af7acaf7, 0x180905415de4cbb7, 0x321e834874ea609f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef75400370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0x5e5ab7cd012dbbfc, 0x42d7faff6982c379, 0x576ea6ab5a3fdd24, 0xf51f06cc187bf51e,
  0xcd3ad08a1df15e9b, 0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab,
  0x1fadc37b2fa598b8, 0xa9280591445546c1, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x2bb54b7d5d9cea2a,
  0x7a5fd0d44d702027, 0x7b55a22bca6a12b9, 0x296be74078e56bae, 0x31bc67440842a417, 0xc55bd8aaa2d2414e,
  0xe3cd94462fe6db18, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32, 0x1ff693a792bf7343,
  0x000000000003214b,
};

/*
 * pwm2_swio12_dual_pr_ee_u4         pwm2b_swio11_dual_pr_ee_u4        pwm2b_swio12_dual_pr_ee_u4
 * pwm3_swio11_dual_pr_ee_u4         pwm3_swio12_dual_pr_ee_u4         pwm3b_swio11_dual_pr_ee_u4
 * pwm3b_swio12_dual_pr_ee_u4
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ee_u4[] = {
  0x76eeeed1369f3202, 0xe9b58ec9b60e029a, 0x735394e266762783, 0x7b6cdf763ae3f346, 0x5fb6e8280a69c8ec,
  0xebae2fa6b7b807d5, 0x0577932eddc34e83, 0x21d3a9827c602415, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x8006e1f02bfcc681, 0x10caee2f77c5deea,
  0x2631f150865a0515, 0xa025b77f9ff4073c, 0xf730586f2bcb56f9, 0xb5a3fdd2442d7f9a, 0xc187bf51e576ea6a,
  0xa1df15e9bf51f06c, 0x30b2c4522cd3ad08, 0xec157152e6909afa, 0x4bb18f467a9cead2, 0x23886c6ab5d0ebd4,
  0xb2fa598b848451a5, 0x1445546c11fadc37, 0xfc55f3bb8a928059, 0xe39e4fed7972ab59, 0xd5d9cea2a551ae84,
  0x44d7020272bb54b7, 0xbca6a12b97a5fd0d, 0x078e56bae7b55a22, 0x40842a417296be74, 0xaa2d2414e31bc674,
  0x62fe6db18c55bd8a, 0x637c5c9ab83cd944, 0xa75666fe0dfa08d1, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f,
  0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0ac8bcfb75393c95,
};

/*
 * pwm2_swio12_dual_pr_ce            pwm2b_swio11_dual_pr_ce           pwm2b_swio12_dual_pr_ce
 * pwm3_swio11_dual_pr_ce            pwm3_swio12_dual_pr_ce            pwm3b_swio11_dual_pr_ce
 * pwm3b_swio12_dual_pr_ce
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ce[] = {
  0x8f4edddddde7ce7c, 0xe0fa6d31139cc1e3, 0xd75bd0dd9397191f, 0x70408cf7ed1daa2f, 0xccfb4fb087bb1c7a,
  0x619bbb66da7ab88f, 0x304f8c0482a0aef2, 0x9c01190f41a43b77, 0xc2860d59e2cf4910, 0x994d6a9dd3e25c40,
  0xb6121ce05d66287f, 0x90ab0328b37a8ff3, 0x0f815fe63408a11c, 0xb8bddf177f608037, 0x62a10cb426e4432b,
  0xb7383ff4073c264c, 0x586f2bcb56f9a025, 0x05248a9eff068730, 0xf9e005cedc99dff5, 0x66139dcdae9b73b7,
  0xdea3cbe9ee580a1c, 0x2edf5f238e558193, 0x16ec3e231be73160, 0x3ab87b8e58cf1d79, 0xad67f157ceee2a4a,
  0xba138e793fb5e5ca, 0x52df57673a8a9546, 0xf435135c0809caed, 0x688af29a84ae5e97, 0xd8b3a03cfd6b9ed5,
  0x2169ab9d5ea58594, 0x8c6f19d1028be318, 0x5c1e6ca2317f36d3, 0x0334f8d163ce2e4d, 0x19e985727eeacc79,
  0x7494b67c09c6592e, 0x9c8cf257ee686658, 0x00000000073d7ce5,
};

/*
 * pwm2_swio12_dual_pr_ce_u4         pwm2b_swio11_dual_pr_ce_u4        pwm2b_swio12_dual_pr_ce_u4
 * pwm3_swio11_dual_pr_ce_u4         pwm3_swio12_dual_pr_ce_u4         pwm3b_swio11_dual_pr_ce_u4
 * pwm3b_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ce_u4[] = {
  0xb323bbbbb4486f97, 0xc1f4dacc73ed83c0, 0xf77ba829eb091977, 0x991f2253b7aec21e, 0xa74806abf7ef7605,
  0x9247ddcf04674e16, 0x19827c6024150577, 0x84e008c87a0d2223, 0x0614306acf167a48, 0xbf32ec24ee9f12e2,
  0x2b6c37d9c34dcd15, 0x3921560650e6f51f, 0x6e1f02bfcc681142, 0x57717bbe2efb9100, 0xa545421968774886,
  0x4b6fff3fe80e784d, 0x60b0de5796adf340, 0xd76fc911adfebfda, 0x83cf12721253d717, 0x097e21b09117dc68,
  0xbb9b5facd90ff51f, 0x97d3dcb19e1c6678, 0xbe471cab0327bd47, 0x7c4637ce62c05dbe, 0xf71cb19e3af22dd8,
  0xe2af9ddc54947570, 0x1cf27f6bcb955acf, 0xaece75152a8d7427, 0x26b8101395daa5be, 0xe535095cbd2fe86a,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x33a20517c63042d3, 0xd94462fe6da718de, 0xf07771a2c6f86e3c,
  0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2,
  0xbda4e9e4afdcd0cc, 0x00000000001a4810,
};

/*
 * pwm2_swio12_dual_pr_ee_ce         pwm2b_swio11_dual_pr_ee_ce        pwm2b_swio12_dual_pr_ee_ce
 * pwm3_swio11_dual_pr_ee_ce         pwm3_swio12_dual_pr_ee_ce         pwm3b_swio11_dual_pr_ee_ce
 * pwm3b_swio12_dual_pr_ee_ce
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ee_ce[] = {
  0x9538b7777750cf68, 0x707d36bd28ce307d, 0x57bddcfb67c029a7, 0x229c10f225c2c2da, 0xcda6cde14b07654e,
  0xcd1f53a3826ece3f, 0x602415057792645d, 0x90f41a411eb9827c, 0xd59e2cf49109c011, 0x49dd3e25c40c2860,
  0x83869a99fe7e65d8, 0x1f4fcdea3ffcd806, 0xff31a04508e48558, 0xf177f53801b87c0a, 0x96814b4432bb8bdd,
  0xfd01cf09be745421, 0xe5ab7cd012dbfebf, 0x4d7faff6982c3795, 0x5a68effaa3287247, 0x5d4939bff9e24e42,
  0x3b595910cc273b9b, 0x660fa8f51e56c165, 0x450298ad4f7a8f83, 0xd185962291669d68, 0x73abb71c31d484d7,
  0x1d7b589db6fa397c, 0x140288c7cb1aaf1b, 0x2386f65c7c62e121, 0xaf9ddc549718e453, 0xf27f6bcb955acfe2,
  0xce75152a8d74271c, 0xb8101395daa5beae, 0x35095cbd2fe86a26, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x6920a718de33a204, 0xe6db1898edec5551, 0x58f386e3cd94462f, 0x93f75666fe0eee34, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x004c1153b693a792,
};

/*
 * pwm2_swio12_dual_pr_ee_ce_u4      pwm2b_swio11_dual_pr_ee_ce_u4     pwm2b_swio12_dual_pr_ee_ce_u4
 * pwm3_swio11_dual_pr_ee_ce_u4      pwm3_swio12_dual_pr_ee_ce_u4      pwm3b_swio11_dual_pr_ee_ce_u4
 * pwm3b_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_pwm2_swio11_dual_pr_ee_ce_u4[] = {
  0x2ddddda26d3e6c4f, 0x9b50bc67183a7d96, 0xea0175b499f6b83e, 0xf7b91387ca31d1e1, 0x87ef2727d9621edb,
  0x18502da2e2caf736, 0x7792d39dda41b69f, 0xea89827c60241505, 0x9109c01190f41a45, 0xc40c2860d59e2cf4,
  0x07f32bf689dd3e25, 0xaef6087c70c6e9bb, 0x39215606ff26f51d, 0x6e1f02bfcc681142, 0x5dc5eef8bbe3ee00,
  0x5a2a10cb43672219, 0x6dd9cbfe80e784d9, 0x161bcaf2d5be6809, 0xc56923787fe6bdcc, 0xe24e0396b7717d51,
  0xc4361222fb8d1079, 0xbf0ff1f77ea3e12f, 0x76b73710ccf17736, 0xcc1f51ea3caca1ca, 0x8a05315ba5f51f06,
  0xa30b2c4522cd3ad0, 0xe7576e4ac3a909af, 0x8ebdac4ec8023050, 0x143de8f22d8d578d, 0x2386f65c7c62e121,
  0xaf9ddc549718dc33, 0xf27f6bcb955acfe2, 0xce75152a8d74271c, 0xb8101395daa5beae, 0x35095cbd2fe86a26,
  0x79fad73daad115e5, 0x3abd4b0b29b16740, 0xa20517c63042d357, 0x4462fe6da718de33, 0xd1637c5c9ab83cd9,
  0x7ea75666fe0dfa08, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00080048bf75393c,
};

/*
 * pwm2_swio12_dual_hw               pwm2b_swio11_dual_hw              pwm2b_swio12_dual_hw
 * pwm3_swio11_dual_hw               pwm3_swio12_dual_hw               pwm3b_swio11_dual_hw
 * pwm3b_swio12_dual_hw
 */
static const uint64_t ur_pwm2_swio11_dual_hw[] = {
  0x69777776890d365a, 0x3e9b4c4421b07fa6, 0xef7519cbb7ae34f8, 0x6ef92a4c9c4ecb73, 0x2c51a9b16efd334a,
  0x2823bb227af7a57b, 0x9827c60241505779, 0x27004643d0691743, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0xaee2f77c5de87c00, 0x7b8a8432d01f110c,
  0x96dd82ffd01cf09b, 0xc161bcaf2d5be680, 0x2cb5e48945ff3b44, 0x95607bdfa8fdd1df, 0xc0550799c987b8e3,
  0xe00cec80234c4e62, 0xbc6faa01ffb30475, 0x8a92be7503cb3db7, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0x72bb54b7d5d9cea2, 0x97a5fd0d44d70202, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x8c55bd8aaa2d2414, 0x6e3cd94462fe6db1, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x778285f4f257ee68, 0x00000000000018dd,
};

/*
 * pwm2_swio12_dual_ee_hw            pwm2b_swio11_dual_ee_hw           pwm2b_swio12_dual_ee_hw
 * pwm3_swio11_dual_ee_hw            pwm3_swio12_dual_ee_hw            pwm3b_swio11_dual_ee_hw
 * pwm3b_swio12_dual_ee_hw
 */
static const uint64_t ur_pwm2_swio11_dual_ee_hw[] = {
  0x9a76eeee87ad0c86, 0x83e9b58ec9b60e02, 0x3f375394e2667627, 0xc8ec7b6cdf763afa, 0x07d55fb6e8280a69,
  0x6eeeec6ecde62fb8, 0x3e30120a82bbc997, 0x04643d0690e9d4c1, 0x1835678b3d244270, 0x7612774f8971030a,
  0x12d1c02d4c63ff99, 0x560715a6f51c9d6c, 0x02bfcc6811423921, 0xf77c5deea8006e1f, 0x0865a051510caee2,
  0xf9ff4073c2631f15, 0xf2bcb56f9a025b77, 0x92216bfced130586, 0x8f2bb75355ad1fee, 0x4dfa8f83660c3dfa,
  0x91669d68450ef8af, 0x973484d7d1859622, 0x33d4e7569760ab8a, 0x55ae875ea25d8c7a, 0x5c24228d291c4363,
  0x608fd6e1bd97d2cc, 0xdc549402c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0x1395daa5beaece75,
  0x5cbd2fe86a26b810, 0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x8c62adec55516920,
  0xe371e6ca2317f36d, 0x89fca1854e7ea5ea, 0x4d0f22678b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x0000000015dab1fc,
};

/*
 * pwm2_swio12_dual_ce_hw            pwm2b_swio11_dual_ce_hw           pwm2b_swio12_dual_ce_hw
 * pwm3_swio11_dual_ce_hw            pwm3_swio12_dual_ce_hw            pwm3b_swio11_dual_ce_hw
 * pwm3b_swio12_dual_ce_hw
 */
static const uint64_t ur_pwm2_swio11_dual_ce_hw[] = {
  0x946eb77776890c86, 0x7c1f4dacc6b8b072, 0xae17bb3890544e46, 0xba8e36182ca3e9f7, 0x1508766c75f74a51,
  0xe4d33777763766f3, 0xa2609f180905415d, 0x109c01190f41a40a, 0x40c2860d59e2cf49, 0x7fe65d849dd3e25c,
  0xd9db08e470383375, 0x8e485581cae9bd47, 0x1b87c0aff31a0450, 0x2bb8bddf177f37c0, 0xdd4542196818f443,
  0x96df76bfe80e784d, 0xc161bcaf2d5be680, 0xf57f2489c1ff3b44, 0x20f3c49c8489d5c5, 0xc25f886c2445f71a,
  0x2ee6d7643a4afd47, 0xc27cf72c67d4b99e, 0xdbf1c72ac0ed6f51, 0x4011a62731602945, 0x00ffd99e3af00676,
  0xcea0796b73de37d5, 0x6b3f8abe77715257, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa1a89ae0404e576a,
  0x445794d42572f4bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x5118bf9b6c6263b7,
  0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x7d3c95fb9a19961d, 0x000000004dd4ad41,
};

/*
 * pwm2_swio12_dual_ee_ce_hw         pwm2b_swio11_dual_ee_ce_hw        pwm2b_swio12_dual_ee_ce_hw
 * pwm3_swio11_dual_ee_ce_hw         pwm3_swio12_dual_ee_ce_hw         pwm3b_swio11_dual_ee_ce_hw
 * pwm3b_swio12_dual_ee_ce_hw
 */
static const uint64_t ur_pwm2_swio11_dual_ee_ce_hw[] = {
  0x0ce76eeeeea1a5fb, 0xc1f4daf4bc7f60e1, 0x21eed17d8b8f6415, 0x4e2c57d769eaefd7, 0x5f0fb0a58210ce73,
  0xd2c8d75d2ac2bdfd, 0x6024150577921b9d, 0x21e83483d9e9827c, 0xab3c59e922138023, 0x93ba7c4b881850c1,
  0x0e188266bbfccbb0, 0x3ff937a8fa6b60ff, 0xfe63408a11c90ab0, 0xc5dfc3f80370f815, 0x5a181110caee2f77,
  0xf4073c262eb15086, 0x96adf3404b6f30df, 0x107f9da260b0de57, 0x5880effaa3cad247, 0x5f2a1a0ff9e24e42,
  0x3b5959374c273b9b, 0xcc1edff51e572ba5, 0x8a05315efbf51f06, 0xa30b2c4522cd3ad0, 0xe7576e60a3a909af,
  0xc75ea25d8c7a33d4, 0x451a523886c6abc6, 0x91c37b2fa598b848, 0x94b3c8a22aa36089, 0x955acfe2af9ddc54,
  0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0x2fe86a26b8101395, 0xaad115e535095cbd, 0xb5f3a03c72b5d73d,
  0xde33a20421520b94, 0xedec55516920a718, 0xcd94462fe6db1898, 0x67a615c9f9fd86e3, 0xd252d9f0271964b8,
  0x17d3c95fb9a19961, 0x000000001134c716,
};

/*
 * pwm2_swio12_dual_ee_ce_u4_hw      pwm2b_swio11_dual_ee_ce_u4_hw     pwm2b_swio12_dual_ee_ce_u4_hw
 * pwm3_swio11_dual_ee_ce_u4_hw      pwm3_swio12_dual_ee_ce_u4_hw      pwm3b_swio11_dual_ee_ce_u4_hw
 * pwm3b_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio11_dual_ee_ce_u4_hw[] = {
  0x7deeeeed14682541, 0xd36a17a8c583efde, 0x6ef76a3e5a939707, 0x56af2657bc89dada, 0xb43f793b7ef3efed,
  0xc32d6ed3e7829649, 0x15057792829dd538, 0x1a45ea89827c6024, 0x2cf49109c01190f4, 0x3e25c40c2860d59e,
  0x7372d7e65906a9dd, 0xea3e376c3b04e178, 0x4508e485581b5dcd, 0x4c01b87c0aff31a0, 0x88657717bbe2efb2,
  0x1369b8a8432d0382, 0xa025b7672ffa039e, 0x7730586f2bcb56f9, 0xaa3275246f0fff78, 0xf3c58be84af0ee2f,
  0x5f886c2445f71a20, 0x36b85919ebfd47c2, 0x4a76b737374cf177, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e,
  0x5f4616588a459a75, 0xa9ceaedcc1475213, 0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170,
  0xa9296791445546c1, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x2bb54b7d5d9cea2a, 0x7a5fd0d44d702027,
  0x7b55a22bca6a12b9, 0x296be74078e56bae, 0x31bc67440842a417, 0x31dbd8aaa2d2414e, 0xc79b288c5fcdb631,
  0xde50c2a73f505d8d, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x37680b9e4afdcd0c, 0x00000000001d759a,
};

// pwm2b_swio13_noled                pwm3_swio13_noled                 pwm3b_swio13_noled
static const uint64_t ur_pwm2_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0905415de4eec2f5, 0xc51bb3e63e609f18, 0x4277cb7492476fff, 0x5e38e5581f3dea3c, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0xb57bd7d0d44d672b,
  0xb9ed5688af29a84a, 0xa701652a7d3bcfd6, 0x7ee2810b4b0b9d4e, 0xf9b69c6378ce8811, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001522e2d3e4f25,
};

// pwm2b_swio13_noled_pr             pwm3_swio13_noled_pr              pwm3b_swio13_noled_pr
static const uint64_t ur_pwm2_swio13_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2491, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7dd489d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07e48995fe249e7d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xae84e39e4fed7972, 0xdf5537d9cea2a551,
  0xf5f4351359caed52, 0x55a22bca6a12ad5e, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5, 0x2adec5551696d138,
  0x079b288c5fcdb192, 0x76d0d165abcb9357, 0x861539fa9d598f20, 0x07cd0f22678138d2, 0x8cb25c33d30ae4fc,
  0xd0ccb0e9296cf813, 0xe4d0240329e4afdc, 0x0000000000000003,
};

// pwm2b_swio13_noled_pr_u4          pwm3_swio13_noled_pr_u4           pwm3b_swio13_noled_pr_u4
static const uint64_t ur_pwm2_swio13_noled_pr_u4[] = {
  0xddbbbbbb45d8b562, 0x5bbb5572285ee253, 0xf7c7ea1c4891844f, 0xfa1ddc4eecfe0f50, 0xe0edb195a6ecf70b,
  0x0aef2777e9c1bc2a, 0x9f31f304f8c0482a, 0xcb7492476fff8927, 0xe5581f3dea3c4277, 0x2c05bdd3694b5e38,
  0xd78b9dae1a3268e6, 0xad4acaffb8e58c11, 0xba138e793fb5e5ca, 0x7d54df673a8a9546, 0xd7d0d44d672bb54b,
  0x5688af29a84ab57b, 0x652a7d3bcfd6b9ed, 0x810b4b0b9d4ea701, 0x9c6378ce88117ee2, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x9a080653c95fb9a1, 0x0000000000001f26,
};

// pwm2b_swio13_noled_pr_ee          pwm3_swio13_noled_pr_ee           pwm3b_swio13_noled_pr_ee
static const uint64_t ur_pwm2_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x304f8c0482a0aef2, 0x48c56ffe0d59f275, 0x1e5652e6ab5a37f2, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x551ae84e39e4fed7, 0xd52df5537d9cea2a, 0xd5ef5f4351359cae,
  0xe7b55a22bca6a12a, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x1922adec5551696d, 0x357079b288c5fcdb,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43c899e2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0xa9e4afdcd0ccb0e9, 0x0000000275f18fd3,
};

// pwm2b_swio13_noled_pr_ee_u4       pwm3_swio13_noled_pr_ee_u4        pwm3b_swio13_noled_pr_ee_u4
static const uint64_t ur_pwm2_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120a82bb, 0xa923befff83567e2, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0xe39e4fed7972ab55, 0x37d9cea2a551ae84, 0x351359caed52df55, 0x2bca6a12ad5ef5f4,
  0xa779f16bae7b55a2, 0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x288c5fcdb1922ade, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000013ae59fd3a,
};

// pwm2b_swio13_noled_pr_ce          pwm3_swio13_noled_pr_ce           pwm3b_swio13_noled_pr_ce
static const uint64_t ur_pwm2_swio13_noled_pr_ce[] = {
  0x60fbbbbbbbd8bf82, 0x368eed55c8a20912, 0x7ef619e97be6e1c4, 0xab682ddf853d31b6, 0xe0d83336331dd60f,
  0x415de4eeae312247, 0xf3e52e609f180905, 0xff505248ba5ff124, 0x76ff3c00b072439d, 0x5d64c273b9b5d36e,
  0x064f7a8f374f72c0, 0x62c0532a718e3956, 0x3af47ced10a3dece, 0xb845269500ffd99e, 0xbcb955abeb703cb5,
  0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x56af7afa1a89ace5, 0xd73daad115e53509, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb190c76f62aa8b4b, 0x8b93571b288c5fcd, 0x5663c81db43458f3, 0x32c970cf4c2b93f7,
  0x332c3a4a5b2c944e, 0x5d3900ca792bf734, 0x00000000000000b7,
};

// pwm2b_swio13_noled_pr_ce_u4       pwm3_swio13_noled_pr_ce_u4        pwm3b_swio13_noled_pr_ce_u4
static const uint64_t ur_pwm2_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x0aef27747b16a8e3, 0x9fd9d304f8c0482a, 0xebb7e48caeffe0d5, 0x079e005ad26fbb8b, 0x12fc4361222fb8d1,
  0x7736bdc89257ea3e, 0xe6e9ee58cfd64cf1, 0x4e31c72ac0c9ef51, 0xa2147bd9cc580a65, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708a4d2, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8, 0x4351359caed52df5, 0x22bca6a12ad5ef5f,
  0x1a779f16bae7b55a, 0x19d1020eea6c529e, 0xec5551696d138c6f, 0x65118bf9b63218ed, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x0000001bae9a0fa7,
};

// pwm2b_swio13_noled_pr_ee_ce       pwm3_swio13_noled_pr_ee_ce        pwm3b_swio13_noled_pr_ee_ce
static const uint64_t ur_pwm2_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xa6a609f180905415, 0xa5c91ff9ffc1ab3f, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298acbaf, 0x484d7d1859622916, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0xc5c24228f911c1fb, 0x8d8226470decb65c, 0x7972ab52cfa4c16a, 0xa551ae84e39e4fed,
  0xed52df5537d9cea2, 0xad5ef5f4351359ca, 0xae7b55a22bca6a12, 0xa6c529e1a779f16b, 0xd138c6f19d1020ee,
  0x63218edec5551696, 0x1726ae365118bf9b, 0xacc7903f2868b1e7, 0x6592e19e985727ee, 0x66587494b659289c,
  0x1e5fe9d4f257ee68, 0x00000000000014d3,
};

// pwm2b_swio13_noled_pr_ee_ce_u4    pwm3_swio13_noled_pr_ee_ce_u4     pwm3b_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c7a31, 0x2eed55fd4ec4c490, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf4130,
  0x77513f0fbed03e37, 0x304f8c0482a0aef2, 0x8b5dff951bb3f8dd, 0x9db5ddc5f547b3a4, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x588a459a75a1140a,
  0xdc958752135f4616, 0x74ddba847921ceae, 0x44707ec6abc6c75e, 0x7b2d973170908a3e, 0xe9305aa3608991c3,
  0xe793fb5e5caad4b3, 0xf673a8a9546ba138, 0x44d672bb54b7d54d, 0xf29a84ab57bd7d0d, 0xde7c5aeb9ed5688a,
  0x44083ba9b14a7869, 0x5545a5b44e31bc67, 0x462fe6d8c863b7b1, 0x1637c5c9ab83cd94, 0xfd4eacc790334f8d,
  0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0009f91f5ece4679,
};

// pwm2b_swio13_noled_hw             pwm3_swio13_noled_hw              pwm3b_swio13_noled_hw
static const uint64_t ur_pwm2_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0905415de4eec2f5, 0xfc38f3e63e609f18, 0x884ef96e9248edff, 0x6bc71cab03e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x56af7afa1a89ace5,
  0xd73daad115e53509, 0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000011c4b8a29e4,
};

// pwm2b_swio13_noled_ee_hw          pwm3_swio13_noled_ee_hw           pwm3b_swio13_noled_ee_hw
static const uint64_t ur_pwm2_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x15de4ee80a499a73, 0x3e4ea609f1809054, 0x68dfc92315bfe853, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x93fb5e5caad402e9, 0x73a8a9546ba138e7, 0xd672bb54b7d54df6, 0x9a84ab57bd7d0d44,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x17f36c648ab7b155, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000b7ff24c2fa7,
};

// pwm2b_swio13_noled_ce_hw          pwm3_swio13_noled_ce_hw           pwm3b_swio13_noled_ce_hw
static const uint64_t ur_pwm2_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x20a82bbc9dd29475, 0xd0a67f674c13e301, 0xddc5f5dbf246577f, 0xf71a20f3c49c84b7, 0xfd47c25f886c2445,
  0xc99e2ee6d735b986, 0x3dea3cdd3dcb19fa, 0x014ca9c638e55819, 0xd1f3b4428f7b398b, 0x149a5403ff6678eb,
  0xe556afadc0f2d6e1, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a, 0xbdebe86a26b395da, 0xf6ab445794d4255a,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x431dbd8aaa2d2da2, 0x371e6ca2317f36c6, 0xef79430a9cfd4176,
  0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xdf24c2fa792bf734,
  0x0000000000001d66,
};

/*
 * pwm2_swio13_noled_ee_ce_u4_hw     pwm2b_swio13_noled_ee_ce_hw       pwm2b_swio13_noled_ee_ce_u4_hw
 * pwm3_swio13_noled_ee_ce_hw        pwm3_swio13_noled_ee_ce_u4_hw     pwm3b_swio13_noled_ee_ce_hw
 * pwm3b_swio13_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0x0aef27777ec2da9a, 0x3f8dd304f8c0482a, 0xa3d9d245aeffe853, 0xf3c49c849aeee2fa, 0x5f886c2445f71a20,
  0x6d7e41d5d7fd47c2, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0x6ba138e793fb5e5c, 0xb7d54df673a8a954, 0xbd7d0d44d672bb54, 0xd5688af29a84ab57, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0xe3cd94462fe6d8c8, 0xef2861539fa82ec6, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e44cf, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x64e05f4f257ee686, 0x0000000000002808,
};

// pwm2b_swio13_lednop               pwm3_swio13_lednop                pwm3b_swio13_lednop
static const uint64_t ur_pwm2_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0482a0aef2776c7b, 0xe28dd9f80d304f8c, 0x243be5ba49221eff, 0x631c72ac0f9ef51f, 0xa4398b016f74dd42,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x4bfa1a89ae0404e5,
  0xb55a22bca6a12b92, 0x5af29c05ce80f2e7, 0xe8a042d2b08985ea, 0x36d38c6f19d1028b, 0x4fcfec376ca2317f,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x00549f5da7c9e4af,
};

// pwm2b_swio13_lednop_pr            pwm3_swio13_lednop_pr             pwm3b_swio13_lednop_pr
static const uint64_t ur_pwm2_swio13_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11dd489d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41f92263ffc493cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xae84e39e4fed7972, 0xdf5537d9cea2a551,
  0x35135c0809caed52, 0x45794d42572497f4, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x88c5fcdb40a8ab7b, 0x165abcb9357079b2, 0x9fa9d598f2076d0d, 0xf22678138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0xc0329e4afdcd0ccb, 0x0000000001f263a2,
};

// pwm2b_swio13_lednop_pr_u4         pwm3_swio13_lednop_pr_u4          pwm3b_swio13_lednop_pr_u4
static const uint64_t ur_pwm2_swio13_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0xf5bbb5572295a44a, 0xc7617efaff0b1844, 0x2fe877713b426efc, 0x477006dbe3fbb3dc,
  0x82bbc9dda668cd68, 0xe7e034c13e30120a, 0xf2dd24910f7fe249, 0x395607cf7a8f921d, 0xc580b7ba6ea1318e,
  0x1d78b9d84547d21c, 0xaad4acc17b8e58c1, 0x6ba138e793fb5e5c, 0xb7d54df673a8a954, 0x0d44d7020272bb54,
  0x115e535095c925fd, 0x4e02e7407973daad, 0x21695844c2f52d79, 0xc6378ce88145f450, 0xae0f365118bf9b69,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x0b80653c95fb9a19, 0x000000000001f261,
};

// pwm2b_swio13_lednop_pr_ee         pwm3_swio13_lednop_pr_ee          pwm3b_swio13_lednop_pr_ee
static const uint64_t ur_pwm2_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xcc13e30120a82bbc, 0x244e0fff06acfd0f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd0d44d7020272b,
  0xaad115e535095c92, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xe6ca2317f36d02a2,
  0x9434596af2e4d5c1, 0x854e7ea75663c81f, 0xf343c899e04e34a1, 0x2c970cf4c2b93f01, 0x332c3a4a5b3e04e3,
  0xf843f4ea792bf734, 0x000000000000013a,
};

// pwm2b_swio13_lednop_pr_ee_u4      pwm3_swio13_lednop_pr_ee_u4       pwm3b_swio13_lednop_pr_ee_u4
static const uint64_t ur_pwm2_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e30120a8, 0x1995244e0fff06ac, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0xa26b8101395daa5b, 0xaf29a84ae492fe86,
  0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0x78ce88139f450216, 0xf365118bf9b69c63, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0xa753c95fb9a19961, 0x0000000013ae9a0f,
};

// pwm2b_swio13_lednop_pr_ce         pwm3_swio13_lednop_pr_ce          pwm3b_swio13_lednop_pr_ce
static const uint64_t ur_pwm2_swio13_lednop_pr_ce[] = {
  0x4c1f7777777b1762, 0x0da3bb55722856e2, 0xc69ed0bdad367871, 0xfab682dde8261550, 0x34767ef17d8fdd60,
  0x5057793bb4cd19fd, 0x3cfa9e9827c60241, 0x7fd4149225d7fc49, 0x620fcf002c1c2967, 0x05d64c273b9b5dfe,
  0x6064f7a8f38cf72c, 0xcc580a63cf58e395, 0xc75e8f9d97c47191, 0xdc37ee1aa01ffb33, 0x5e5caad6e1c81e5a,
  0xa9546ba138e793fb, 0xbb54b7d54df673a8, 0x25fd0d44d7020272, 0xdaad115e535095c9, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0xb8d94462fe6da051, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x0653c95fb9a19961, 0x000000000b7554e8,
};

// pwm2b_swio13_lednop_pr_ce_u4      pwm3_swio13_lednop_pr_ce_u4       pwm3b_swio13_lednop_pr_ce_u4
static const uint64_t ur_pwm2_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xf53d648e04ffe0d5, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x793fb5e5caad4742, 0x673a8a9546ba138e, 0x20272bb54b7d54df, 0x095c925fd0d44d70, 0xb5d73daad115e535,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xda0518edec555169, 0xc9ab83cd94462fe6, 0x98f207e50d1637c5,
  0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c,
  0x7ab2be9d4f257ee6, 0x00000000000000dd,
};

// pwm2b_swio13_lednop_pr_ee_ce      pwm3_swio13_lednop_pr_ee_ce       pwm3b_swio13_lednop_pr_ee_ce
static const uint64_t ur_pwm2_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xdadcc13e30120a82, 0x52e48a6dfff06acf, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298ad82f, 0x484d7d1859622916, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0xc5c242289b91e45b, 0x8d8226470decb65c, 0xbcb955a96622934a, 0x52a8d74271cf27f6,
  0x76a96faa9bece751, 0x4bfa1a89ae0404e5, 0xb55a22bca6a12b92, 0x96be74078e56bae7, 0x1bc67440842a4172,
  0x1dbd8aaa2d2414e3, 0x71b288c5fcdb40a3, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97,
  0x4ea792bf734332c3, 0x000000000a69e37f,
};

// pwm2b_swio13_lednop_pr_ee_ce_u4   pwm3_swio13_lednop_pr_ee_ce_u4    pwm3b_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7cbd5b, 0x2eed55fd4c374490, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf4130,
  0x9ddeefdc1ceb4176, 0xcc13e30120a82bbc, 0x91149fe546ecf9ad, 0xb9d8a4b8bea8f674, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140,
  0xedd21c752135f461, 0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c,
  0xc73c9fdaf2e556a5, 0x6fb39d454aa35d09, 0xb8101395daa5beaa, 0x9a84ae492fe86a26, 0x395aeb9ed5688af2,
  0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d028c76f62aa8, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x7e245f67233c95fb, 0x0000000000000002,
};

// pwm2b_swio13_lednop_hw            pwm3_swio13_lednop_hw             pwm3b_swio13_lednop_hw
static const uint64_t ur_pwm2_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x0482a0aef2776c7b, 0xfe1c79f80d304f8c, 0xe4877cb7492443df, 0x4c638e5581f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x2a551ae84e39e4fe, 0xaed52df5537d9cea, 0x497f435135c0809c,
  0xf6ab445794d42572, 0x4b5e5380b9d01e5c, 0x7d14085a561130bd, 0xe6da718de33a2051, 0xc9f9fd86ed94462f,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00004717d7453c95,
};

// pwm2b_swio13_lednop_ee_hw         pwm3_swio13_lednop_ee_hw          pwm3b_swio13_lednop_ee_hw
static const uint64_t ur_pwm2_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x057793ba76821e96, 0x9fa1f9827c602415, 0xb46fe491383ff429, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0xe4fed7972ab50084, 0x9cea2a551ae84e39, 0x809caed52df5537d, 0x2572497f435135c0,
  0xd75cf6ab445794d4, 0x482e52d7ce80f1ca, 0x829c6378ce881085, 0xb40a8ab7b15545a4, 0x5d8dc79b288c5fcd,
  0x787bde50c2a73f50, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0x2df9a9c0be9e4afd, 0x0000000000000000,
};

// pwm2b_swio13_lednop_ce_hw         pwm3_swio13_lednop_ce_hw          pwm3b_swio13_lednop_ce_hw
static const uint64_t ur_pwm2_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x20a82bbc9dd69df6, 0xd0a67c6b4c13e301, 0x75c5f5dbf2474dff, 0xf71a20f3c49c84b6, 0xfd47c25f886c2445,
  0x933c5dcdafcb4cdf, 0x7bd479c67b9633f5, 0x0531e7ac71cab032, 0x47cecbe238c8e62c, 0xf70d500ffd99e3af,
  0x556b70e40f2d6e1b, 0x35d09c73c9fdaf2e, 0x5beaa6fb39d454aa, 0x86a26b8101395daa, 0x88af29a84ae492fe,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0xa2317f36d028c76f, 0x0a9cfd4176371e6c,
  0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xfa792bf734332c3a,
  0x0000000eb3601582,
};

/*
 * pwm2_swio13_lednop_ee_ce_u4_hw    pwm2b_swio13_lednop_ee_ce_hw      pwm2b_swio13_lednop_ee_ce_u4_hw
 * pwm3_swio13_lednop_ee_ce_hw       pwm3_swio13_lednop_ee_ce_u4_hw    pwm3b_swio13_lednop_ee_ce_hw
 * pwm3b_swio13_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0xf9adcc13e30120a8, 0x47b3a488a4ffa14c, 0xf3c49c848525c5f5, 0x5f886c2445f71a20,
  0x9b5fce5d4efd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xa1a89ae0404e576a, 0xa22bca6a12b924bf, 0xe74078e56bae7b55,
  0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x288c5fcdb40a31db, 0xc2a73f505d8dc79b, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xbe9e4afdcd0ccb0e, 0x00000000a0207930,
};

/*
 * pwm2_swio13_dual_pr               pwm2b_swio13_dual                 pwm2b_swio13_dual_pr
 * pwm3_swio13_dual                  pwm3_swio13_dual_pr               pwm3b_swio13_dual
 * pwm3b_swio13_dual_pr
 */
static const uint64_t ur_pwm2_swio13_dual[] = {
  0x89ddddddde7cbd5b, 0x7c1f4da6225a9839, 0xfbbf7a8ee38bd71a, 0x376b04e77da7ac55, 0xebb67c82b74c49a5,
  0x2823bbbbf7016b41, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbc52003, 0xf7150865a03e2219,
  0x2dba9effa039e136, 0x82c3795e5ab7cd01, 0xb3df247f77f83439, 0x560707fd47dbe77c, 0x05507992b47b8e39,
  0x00ceda523884e62c, 0x3192a01ffb30475e, 0x2a4b81281e59eda6, 0xe5caad67f157ceee, 0x9546ba138e793fb5,
  0xb54b7d54df673a8a, 0x5fd0d44d7020272b, 0xaad115e535095c92, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xadec55516920a718, 0xe6ca2317f36d02a2, 0x4f8d163ce2e4d5c1, 0x985727eeacc79033, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x00000006218dd9c8,
};

// pwm2b_swio13_dual_pr_u4           pwm3_swio13_dual_pr_u4            pwm3b_swio13_dual_pr_u4
static const uint64_t ur_pwm2_swio13_dual_pr_u4[] = {
  0x13bbbbbb448664d6, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056e9893,
  0x2823bb3363c34032, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef14800, 0xbdc54219680f8886,
  0x4b6ea7bfe80e784d, 0x60b0de5796adf340, 0x2cf7c91fddfebfda, 0x5581c1ff51f6f9df, 0x01541e64ad1ee38e,
  0x8033b6948e21398b, 0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0xed52df5537d9cea2, 0x97f435135c0809ca, 0x6ab445794d425724, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0xab7b15545a4829c6, 0x79b288c5fcdb40a8, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xe05b49d3c95fb9a1, 0x0000000000014937,
};

// pwm2b_swio13_dual_pr_ee           pwm3_swio13_dual_pr_ee            pwm3b_swio13_dual_pr_ee
static const uint64_t ur_pwm2_swio13_dual_pr_ee[] = {
  0xb62ddddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd056c4,
  0xbaf27acaabdd6d2d, 0x8c0482a0aef265db, 0x321e8348de7d304f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef00000370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0xbcb56f9a025b7b5b, 0xe9fff5fed30586f2, 0x5e9b9aad68dc9c91, 0xd47c1b3071efd479,
  0x34eb422877c57b3b, 0xa426be8c2cb1148b, 0x073ab4ba9e5c54b9, 0xba1d7a89767f11f5, 0x908a0f547f258d56,
  0x3f5b86f65f4b3170, 0xa928043e6f6a8d82, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0xd52df5537d9cea2a,
  0x7f435135c0809cae, 0xab445794d4257249, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0x9b288c5fcdb40a8a, 0xfc1ddc68b1e70dc7, 0xe19e985727eeaccd, 0x87494b67c09c6592, 0xed274f257ee68665,
  0x00000000064282fd,
};

// pwm2b_swio13_dual_pr_ee_u4        pwm3_swio13_dual_pr_ee_u4         pwm3b_swio13_dual_pr_ee_u4
static const uint64_t ur_pwm2_swio13_dual_pr_ee_u4[] = {
  0xdddddda26d3f880b, 0x3e9b58ef0f983b62, 0xf5f421fda6676278, 0x3ad932b8d178ce6d, 0x8fedba0ad89a723b,
  0x6b5e4e69d5a0b85a, 0x82bbc9976ee127fa, 0x2379f4c13e30120a, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x0006e1f02bfcc681, 0x10caee2f77c5de00,
  0x2631f150865a0515, 0x404b6f6b7ff4073c, 0xee60b0de5796adf3, 0xd68dc9c91e9fff35, 0x071efd4795e9b9aa,
  0x877c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8,
  0x65f4b3170908a0f5, 0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0xe39e4fed7972ab59, 0x37d9cea2a551ae84,
  0x5c0809caed52df55, 0x4d42572497f43513, 0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881,
  0xfcdb40a8ab7b1554, 0xf8b9357079b288c5, 0xaccdfc1bf411a2c6, 0xe1ef79430a9cfd4e, 0x26781fc65f989ffd,
  0xe8bfc0fdfb0cd0f2, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x9132d6ea72792bf7, 0x0000000000000015,
};

// pwm2b_swio13_dual_pr_ce           pwm3_swio13_dual_pr_ce            pwm3b_swio13_dual_pr_ce
static const uint64_t ur_pwm2_swio13_dual_pr_ce[] = {
  0x891ddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a6e8c8ae32, 0xf4e0811defda3b54, 0x1f99f69f610f7448,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xd65f49153dfe0d0e, 0xdfe780173b72677f, 0x71984e7736ba6dce,
  0x4d7a8f2fa7b96028, 0x80bb7d7c8e395606, 0xe45bb0f88c6f9cc5, 0x28eae1ee39633c75, 0x2ab59fc55f3bb8a9,
  0x1ae84e39e4fed797, 0x2df5537d9cea2a55, 0x435135c0809caed5, 0x445794d42572497f, 0x5380b9d01e5cf6ab,
  0x085a561130bd4b5e, 0xe31bc67440a2f8c6, 0x57079b288c5fcdb4, 0x40cd3e3458f38b93, 0x867a615c9fbab31e,
  0x1d252d9f0271964b, 0x67233c95fb9a1996, 0x0000000001cf5f39,
};

// pwm2b_swio13_dual_pr_ce_u4        pwm3_swio13_dual_pr_ce_u4         pwm3b_swio13_dual_pr_ce_u4
static const uint64_t ur_pwm2_swio13_dual_pr_ce_u4[] = {
  0xccf777776890cf68, 0xdf07d36b312af60e, 0xb6b8ee9da69c2465, 0xccc8f91295a9f65a, 0x0dd889ea3e3afbac,
  0x79247ddcd1f53af7, 0xa89827c602415057, 0x4427004643d06902, 0x1030a1835678b3d2, 0xadf997612774f897,
  0xf95b61bece1a6e68, 0x11c90ab0328737a8, 0x0370f815fe63408a, 0x32bb8bddf177d250, 0x6d2a2a10cb43ba44,
  0x04b6fbb5ff4073c2, 0xa60b0de5796adf34, 0xbea65491383febfd, 0x441e7893909604b8, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x1e719ee58cf0e333, 0x54dd1c72ac0c9af5, 0xb2d747191cc580a6, 0x6b6e39633c75e45b,
  0xcfe2af9ddc549475, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xca6a12b924bfa1a8,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x674409cf8c6085a6, 0xb288c5fcdb4e31bc, 0xe0eee3458df0dc79,
  0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xdb49d3c95fb9a199, 0x00000000001a49d3,
};

// pwm2b_swio13_dual_pr_ee_ce        pwm3_swio13_dual_pr_ee_ce         pwm3b_swio13_dual_pr_ee_ce
static const uint64_t ur_pwm2_swio13_dual_pr_ee_ce[] = {
  0x0e93377777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0526,
  0x2eeeec6ec782e62e, 0x3e30120a82bbc932, 0x08c87a0d23cf5cc1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x0341c34d4cff3f32, 0xac0fa7e6f51ffe6c, 0x057f98d022847242, 0xddf177bb7600dc3e, 0x2196814b4432bb8b,
  0x0ffd01cf09be7454, 0x95e5ab7cd012dbf6, 0x8cedffaff6982c37, 0x094ed9dff546c164, 0xdae089300fe78939,
  0x29dacac8866139dc, 0x3660c27fa8f2b53d, 0x8450298af027a8f8, 0x7d185962291669d6, 0x273abb71751d484d,
  0x6c75ed62763291ce, 0x1144be46b5ec6abc, 0x32386f65c7c62e12, 0x157ceee2a4b8c47c, 0xe793fb5e5caad67f,
  0xf673a8a9546ba138, 0x020272bb54b7d54d, 0x5095c925fd0d44d7, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6da0518edec55516, 0x8f386e3cd94462fe, 0x3f75666fe0eee345, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x098201cb693a792b,
};

// pwm2b_swio13_dual_pr_ee_ce_u4     pwm3_swio13_dual_pr_ee_ce_u4      pwm3b_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xfa6d42fbebb07b17, 0xb26a27d69267dae0, 0xb0ebeb4f03e1e1ec, 0xd821fbc9d62e5887,
  0xb68d750809793abd, 0x415de4b4e7717d60, 0x47c41e609f180905, 0xf49109c01190f41a, 0x25c40c2860d59e2c,
  0xbb07f32bf689dd3e, 0x1daef6087c70c6e9, 0x4239215606ff26f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbfd6a,
  0xd95a2a10cb436722, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x51c7292330dfe6bd, 0x3cf12701cc41717d,
  0x97e21b09117dc688, 0x9b5d9ebf5abf51f0, 0x653b5b9b886678bb, 0x06cc184ff51e56c1, 0xd08a05315c87f51f,
  0xafa30b2c4522cd3a, 0xf8e7576ef9c3a909, 0x1b1d7b589db4a472, 0x21142628c7cb1aaf, 0x632386f65c7c62e1,
  0xf157ceee2a4b8c6d, 0x8e793fb5e5caad67, 0xdf673a8a9546ba13, 0x7020272bb54b7d54, 0x35095c925fd0d44d,
  0x79fad73daad115e5, 0x3abd4b0b29b16740, 0xa204e7c63042d357, 0x4462fe6da718de33, 0xd1637c5c9ab83cd9,
  0x7ea75666fe0dfa08, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000400268375393c,
};

// pwm2b_swio13_dual_hw              pwm3_swio13_dual_hw               pwm3b_swio13_dual_hw
static const uint64_t ur_pwm2_swio13_dual_hw[] = {
  0x13bbbbbb4486ff3e, 0xf83e9b4c44b53073, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xf7d76cf9056e9893,
  0xf25047734f15ef6a, 0xad304f8c0482a0ae, 0x884e008c87a0d23b, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x0caee2f77c5de290, 0x9b7b8a8432d01f11,
  0x8096dd4f7fd01cf0, 0x44c161bcaf2d5be6, 0xef967be48feeff3b, 0xc72ac0e0ffa8fb7c, 0xc580aa0f32568f71,
  0xebc019db4a47109c, 0xb4c6325403ff6608, 0xddc549702503cb3d, 0xf6bcb955acfe2af9, 0x5152a8d74271cf27,
  0xe576a96faa9bece7, 0x924bfa1a89ae0404, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x5455bd8aaa2d2414, 0x6e3cd94462fe6da0, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c,
  0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x5f8105f4f257ee68, 0x00000000000018dd,
};

// pwm2b_swio13_dual_ee_hw           pwm3_swio13_dual_ee_hw            pwm3b_swio13_dual_ee_hw
static const uint64_t ur_pwm2_swio13_dual_ee_hw[] = {
  0x16eeeeeea0a1a5fb, 0xc1f4dac7787cc1db, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e82b6269,
  0xbba591aeba559682, 0xf8c0482a0aef265d, 0x2321e8348de7d304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef00000370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b7b5, 0x47a7ffced130586f, 0xe57a6e6ab5a37272, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0xbb54b7d54df673a8,
  0x25fd0d44d7020272, 0xdaad115e535095c9, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71,
  0x1e6ca2317f36d02a, 0x9430a9cfd4d87637, 0xe03e6879133c09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x2bb42fd85f4f257e,
};

// pwm2b_swio13_dual_ce_hw           pwm3_swio13_dual_ce_hw            pwm3b_swio13_dual_ce_hw
static const uint64_t ur_pwm2_swio13_dual_ce_hw[] = {
  0x2dddddd0f5a1a5fb, 0xc1f4dacc6bbd83bb, 0xf71bbf68ed44e467, 0x51c40526ba01b17d, 0xc26f26517eebb237,
  0x934cddd2c8d75d2a, 0xf9827c6024150577, 0x84e008c87a0d2138, 0x0614306acf167a48, 0xff32ec24ee9f12e2,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbcc0200, 0xea2a10cb40c7a219,
  0x5b70d1ff4073c26e, 0x0586f2bcb56f9a02, 0xac069224ebfced13, 0x0f3c49c84babee2f, 0x25f886c2445f71a2,
  0xee6d767ceb3fd47c, 0x224f72c67d4b99e2, 0xca8e39560622fa8f, 0x4a47109cc580bfb8, 0x03ff6678ebc019db,
  0x0940f2d6e4c63254, 0x6b3f8abe7771525c, 0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0xa26b8101395daa5b,
  0xaf29a84ae492fe86, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0x317f36d028c76f62,
  0xe7ea5eae371e6ca2, 0xb9c65f989fca1854, 0x1cf7ff04d0f22678, 0xe32c970cf4c2b93f, 0x34332c3a4a5b3e04,
  0x3751d142fa792bf7, 0x0000000000000001,
};

// pwm2b_swio13_dual_ee_ce_hw        pwm3_swio13_dual_ee_ce_hw         pwm3b_swio13_dual_ee_ce_hw
static const uint64_t ur_pwm2_swio13_dual_ee_ce_hw[] = {
  0x396addddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04b51,
  0xdcee3822acd33aab, 0x13e30120a82bbc90, 0x02321e8348e3c9cc, 0x0c1ab3c59e922138, 0xbb093ba7c4b88185,
  0x0ff0e188266bbfcc, 0xab03ff937a8fa6b6, 0x815fe63408a11c90, 0xf77c5decf580370f, 0x0865a181110caee2,
  0xb5ff4073c262eb15, 0xe5796adf3404b6fc, 0x48d6fff9da260b0d, 0x90956f9dff5472ba, 0xe6d7e8fa927e7893,
  0xb94ed6564dd309ce, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3, 0x35f4616588a459a7, 0xd41ceaedca787521,
  0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b, 0xe2a4a598f9bdaa36, 0x5e5caad67f157cee,
  0xa9546ba138e793fb, 0xbb54b7d54df673a8, 0x25fd0d44d7020272, 0xdaad115e535095c9, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0x3cd94462fe6da051, 0x867a615c9f9fd86e, 0x1d252d9f0271964b,
  0x617d3c95fb9a1996, 0x0000000002269e9c,
};

// pwm2b_swio13_dual_ee_ce_u4_hw     pwm3_swio13_dual_ee_ce_u4_hw      pwm3b_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_swio13_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d06c4f, 0x0fa6d42f1e1b071d, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793875f3efe,
  0x36d3ed0b68d1f382, 0x82a0aef25053bb48, 0x0d23e20f304f8c04, 0x167a4884e008c87a, 0x9f12e20614306acf,
  0x39b96bf32c8354ee, 0xf51f1bb61d8270bc, 0x22847242ac0daee6, 0x1e00dc3e057f98d0, 0x4432bb8bddf177f7,
  0x09b4dc54219681c1, 0xd012dbe547fd01cf, 0x3b982c3795e5ab7c, 0xaa3eaf92330dffbc, 0xf3c58be84a61ae2f,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e6e99e2ee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e,
  0x5f4616588a459a75, 0x41ceaedca7875213, 0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8,
  0x2a4a598f9bdaa360, 0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd0d44d7020272b,
  0xaad115e535095c92, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0xcd94462fe6da0518,
  0x2861539fa82ec6e3, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0x3405cf257ee68665, 0x000000001d75e459,
};

// pwm2b_swio14_noled                pwm3_swio14_noled                 pwm3b_swio14_noled
static const uint64_t ur_pwm2_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120a82bbc9ddcc49, 0x8a3767e3dcc13e30, 0x6277cb741247baff, 0xe471cab03affea3a, 0x78e62c05bdd32003,
  0xc608ebc5cedd2232, 0xf2e556a56087dc72, 0x4aa35d09c73c9fda, 0x6e576a96fab39d45, 0x256c7efe86a26b3a,
  0xeb5cf6ab445794d4, 0xa75380b2953e9de7, 0x08f2f14085a585ce, 0xc5fcdb4e31bc6744, 0xc2b93f3fb0ddb288,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000000a92dd69f27,
};

// pwm2b_swio14_noled_pr             pwm3_swio14_noled_pr              pwm3b_swio14_noled_pr
static const uint64_t ur_pwm2_swio14_noled_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0x6c9ebf63416c13c1, 0x3583886d8cd9ef4f, 0x05f98d69bb1c7a0b,
  0xbc9dd34b1c717891, 0xc7cc13e30120a82b, 0xbdc91dbffe249e7c, 0x6064d7a8e0a1df2d, 0x16594c1ed008e395,
  0x1f3b2628c45398b0, 0x89e5403ff6608ebd, 0x55aa11303cb3dbb5, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8,
  0x1fbfa1a89ace9b95, 0x3daad115e535095b, 0x6294f0d3bcf8b5d7, 0x9c6378ce88107753, 0x43156f62aa8b4b68,
  0x5c1e6ca2317f36d8, 0x81db434596af2e4d, 0x4a1854e7ea75663c, 0xf01f343c899e04e3, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x1f2784300ca792bf,
};

// pwm2b_swio14_noled_pr_u4          pwm3_swio14_noled_pr_u4           pwm3b_swio14_noled_pr_u4
static const uint64_t ur_pwm2_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xd6eed55c8a509128, 0x3b50f4d06e246113, 0xfd0ee38f522f892e, 0x6c99fa5f17bb1105,
  0xaef2775718915370, 0xf8f7304f8c0482a0, 0x5ba0923dd7f89279, 0x5581d7ff51d313be, 0x602dee99001f238e,
  0x5e2e76e91193c731, 0xb52b043ee3963047, 0xe84e39e4fed7972a, 0x54b7d59cea2a551a, 0xf7f4351359d372bb,
  0xb55a22bca6a12b63, 0x0594a9f4ef3f5ae7, 0x8a042d2c2e753a9c, 0xda718de33a204797, 0xc9ab83cd94462fe6,
  0x98f2076d0d1637c5, 0x3def2861539fa9d5, 0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0x348be0194f257ee6, 0x00000000000000f9,
};

// pwm2b_swio14_noled_pr_ee          pwm3_swio14_noled_pr_ee           pwm3b_swio14_noled_pr_ee
static const uint64_t ur_pwm2_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x0cc13e30120a82bb, 0xf923b3bff83567ce, 0xa8f2b2eb355ad198, 0x652fd47c1b307d47,
  0x148b34eb422877c5, 0x1ac9a426be8c2cb1, 0x547f21cead2ee4d7, 0x6355ae875e74dd8f, 0xcc5c242288851ef7,
  0x51b047eb70decb65, 0xd7972ab500ba0e79, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea, 0xa12b63f7f4351359,
  0x16bae7b55a22bca6, 0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xe6db0862adec5551, 0xc5c9ab83cd94462f,
  0xacc7903f2868b3a7, 0xf313f9430a9cfd4e, 0xe09a1e44cf1738cb, 0xe19e985727e39eff, 0x87494b67c09c6592,
  0xbe9d4f257ee68665, 0x000000000013af02,
};

// pwm2b_swio14_noled_pr_ee_u4       pwm3_swio14_noled_pr_ee_u4        pwm3b_swio14_noled_pr_ee_u4
static const uint64_t ur_pwm2_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0xce9827c602415057, 0xbf246577ff06acfe, 0xf51e57f3a6ab5a3d, 0xadd2fa8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0xf235ae73ab4bafb5, 0x1aad743af5d4dda5, 0x62e121140f88fa4b,
  0x71d07d6e1bd970e4, 0x38e793fb5e5caad5, 0xdf5673a8a9546ba1, 0xd0d44d674dcaed52, 0x688af29a84ad8fdf,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x365118bf9b6c218a, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x753c95fb9a19961d, 0x000000013ae9a0fa,
};

// pwm2b_swio14_noled_pr_ce          pwm3_swio14_noled_pr_ce           pwm3b_swio14_noled_pr_ce
static const uint64_t ur_pwm2_swio14_noled_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x377a7ef684dde1c4, 0xab682326a6f1dedb, 0x44895b643c7eedf9,
  0x415de4ee9a58e2d1, 0xf3e5d6609f180905, 0xff59ba48fceff124, 0xa6bf3c00b071d29d, 0x1759309cee6d70d1,
  0x0359fea3af93dcb0, 0xc580bb7e5f471cab, 0x75e8f9d93146229c, 0x75ac4f2a01ffb33c, 0x7972ab542260796b,
  0xa551ae84e39e4fed, 0x372bb54b7d59cea2, 0x12b63f7f4351359d, 0x6bae7b55a22bca6a, 0xeea6c529e1a779f1,
  0x96d138c6f19d1020, 0xdb61098edec55516, 0x38b93571b288c5fc, 0x75663c81db43458f, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0xbae3700ca792bf73, 0x0000000000000005,
};

// pwm2b_swio14_noled_pr_ce_u4       pwm3_swio14_noled_pr_ce_u4        pwm3b_swio14_noled_pr_ce_u4
static const uint64_t ur_pwm2_swio14_noled_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x057793ba76821cbb, 0xcfe9b9827c602415, 0xfaf752472b7ff06a, 0x41e78016b492bae2, 0x84bf10d8488bee34,
  0x5dcdaec87495fa8f, 0x75f27b9633f5933c, 0xcbe8e395606b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0, 0xe86a26b3a6e576a9, 0xb445794d4256c7ef,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x365118bf9b6c2131, 0x943458df1726ae0f,
  0x854e7ea75663c81f, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86,
  0x753c95fb9a19961d, 0x0000000375d22ffa,
};

// pwm2b_swio14_noled_pr_ee_ce       pwm3_swio14_noled_pr_ee_ce        pwm3b_swio14_noled_pr_ee_ce
static const uint64_t ur_pwm2_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0x4db9827c60241505, 0xbac9119bffe0d59f, 0x00b5a419b3bfea8c, 0xe7736bb39747ff3c,
  0xe43ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0xd3ad08a053159c3f, 0x909afa30b2c4522c, 0xa3f90e7576e7263a,
  0x355e363af3a6ec7a, 0xc5c242288851ef76, 0x8d8226470decb65c, 0xbcb955a967d073ca, 0x52a8d74271cf27f6,
  0x9b95daa5beace751, 0x095b1fbfa1a89ace, 0xb5d73daad115e535, 0x77536294f0d3bcf8, 0x4b689c6378ce8810,
  0x6db084c76f62aa8b, 0x9c5c9ab8d94462fe, 0xbab31e40fca1a2c7, 0x71964b867a615c9f, 0xa19961d252d964a2,
  0x4c5fbfa753c95fb9, 0x0000000000000053,
};

// pwm2b_swio14_noled_pr_ee_ce_u4    pwm3_swio14_noled_pr_ee_ce_u4     pwm3b_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio14_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d6960cc17e6, 0xa800ada3b836b8dd, 0xd02f928596cf2430,
  0x9dd4024dce2c3e0d, 0x4c13e30120a82bbc, 0x91adfff2a3767c52, 0x73badfb8bea8f4dc, 0x8488bee3441e7801,
  0x233d7fa8f84bf10d, 0xe6def99e2ee6d70b, 0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x6588a459a75a1140,
  0xedce4c752135f461, 0xe74dd8f547f21cea, 0x10a3deec6abc6c75, 0x1bd96cb98b848451, 0xcfa0e7951b044c8e,
  0xe39e4fed7972ab52, 0x7d59cea2a551ae84, 0x4351359d372bb54b, 0xa22bca6a12b63f7f, 0xe1a779f16bae7b55,
  0xf19d1020eea6c529, 0xdec5551696d138c6, 0xb288c5fcdb61098e, 0xf1a2c6f8b9357079, 0x539fa9d598f20669,
  0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0xcf257ee686658749,
  0x0000013f1e6dd9c8,
};

// pwm2b_swio14_noled_hw             pwm3_swio14_noled_hw              pwm3b_swio14_noled_hw
static const uint64_t ur_pwm2_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x120a82bbc9ddcc49, 0xf871e7e3dcc13e30, 0x4c4ef96e8248f75f, 0x7c8e3956075ffd47, 0x4f1cc580b7ba6400,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0xa9546ba138e793fb, 0x4dcaed52df5673a8, 0x84ad8fdfd0d44d67,
  0xfd6b9ed5688af29a, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x18bf9b69c6378ce8, 0x985727e7f61bb651,
  0xb659289c6592e19e, 0xf257ee6866587494, 0x000000008e2b7514,
};

// pwm2b_swio14_noled_ee_hw          pwm3_swio14_noled_ee_hw           pwm3b_swio14_noled_ee_hw
static const uint64_t ur_pwm2_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0x5057793bb61b656a, 0x4cf9c19827c60241, 0x6b4663e48eceffa1, 0xc1f51ea3cacbacd5, 0xa1df1594bf51f06c,
  0x30b2c4522cd3ad08, 0xbb935c6b26909afa, 0xd3763d51fc873ab4, 0x147bdd8d56ba1d79, 0x7b2d973170908a22,
  0xe839e546c11fadc3, 0xe793fb5e5caad402, 0x5673a8a9546ba138, 0xd44d674dcaed52df, 0x8af29a84ad8fdfd0,
  0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x5118bf9b6c218ab7, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d,
  0x000000005bff9a61,
};

// pwm2b_swio14_noled_ce_hw          pwm3_swio14_noled_ce_hw           pwm3b_swio14_noled_ce_hw
static const uint64_t ur_pwm2_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x905415de4ee94e1e, 0xe8533fa6e609f180, 0x5d717d7ba92395bf, 0x7dc6883cf1272129, 0xff51f097e21b0911,
  0xb2678bb9b5fb06f0, 0x67fa8ebe4f72c67e, 0x02edf97d1c72ac0d, 0xa3e764c5188a7316, 0xb13ca807feccf1d7,
  0xcaad508981e5add6, 0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0xd8fdfd0d44d674dc, 0xb9ed5688af29a84a,
  0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0x84263b7b15545a5b, 0x6371e6ca2317f36d, 0x1ef79430a9cfd417,
  0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x6c9f842fa792bf73,
  0x00000000000001d6,
};

/*
 * pwm2_swio14_noled_ee_ce_u4_hw     pwm2b_swio14_noled_ee_ce_hw       pwm2b_swio14_noled_ee_ce_u4_hw
 * pwm3_swio14_noled_ee_ce_hw        pwm3_swio14_noled_ee_ce_u4_hw     pwm3b_swio14_noled_ee_ce_hw
 * pwm3b_swio14_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x057793ba55e89fa1, 0xcf8a49827c602415, 0xa8f4dc91adfffa14, 0x3cf127212adfb8be, 0x97e21b09117dc688,
  0x9b5cdbb0a47f51f0, 0xe53b5b9b7be678bb, 0x83660f4af51e5721, 0x68450298ace1fa8f, 0xd7d185962291669d,
  0xc873abb73931d484, 0xf1b1d79d3763d51f, 0x121144428f7bb1aa, 0x1132386f65b2e62e, 0xcaad4b3e839e546c,
  0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0xd8fdfd0d44d674dc, 0xb9ed5688af29a84a, 0x9b14a7869de7c5ae,
  0x44e31bc6744083ba, 0x84263b7b15545a5b, 0x6371e6ca2317f36d, 0x1ef79430a9cfd417, 0x6781fc65f989ffde,
  0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x043d5c2fa792bf73, 0x0000000000000014,
};

// pwm2b_swio14_lednop               pwm3_swio14_lednop                pwm3b_swio14_lednop
static const uint64_t ur_pwm2_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf8a3767e034c13e3, 0xc90ef96e824887bf, 0x318e3956075ffd47, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0xa9546ba138e793fb, 0x4dcaed52df5673a8, 0x5f63d0d44d702027,
  0x9ed5688af29a84ae, 0x8594d8b3a03cfd6b, 0xf4502169ab9d5ea5, 0x9b69c6378ce88145, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x002a4faed3e4f257,
};

// pwm2b_swio14_lednop_pr            pwm3_swio14_lednop_pr             pwm3b_swio14_lednop_pr
static const uint64_t ur_pwm2_swio14_lednop_pr[] = {
  0x7bbbbbba83d8ad4e, 0xbbb5572290be251c, 0xb490dbf30fb609e0, 0x9ac1c550c6d97bc2, 0x8eec7bafdd8e3d05,
  0x793ba626e0c33467, 0xfb9827c602415057, 0x7b9231effc493cfa, 0xc0c9af51d003be5b, 0x16594cfe7511c72a,
  0x3e76c9118df398b0, 0xf48a807fecc11d7a, 0x56b2ed40f2cf6e0f, 0x5d09c73c9fdaf2e5, 0x6a96fab39d454aa3,
  0x86a26b81013a6e57, 0x445794d42572fb1e, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x288c5fcdb6318ab7, 0xd165abcb9357079b, 0x39fa9d598f2076d0, 0x0f22678138d28615, 0x5c33d30ae4fc07cd,
  0xb0e9296cf8138cb2, 0x540329e4afdcd0cc, 0x00000000000f932b,
};

// pwm2b_swio14_lednop_pr_u4         pwm3_swio14_lednop_pr_u4          pwm3b_swio14_lednop_pr_u4
static const uint64_t ur_pwm2_swio14_lednop_pr_u4[] = {
  0x1137777768bb1762, 0x7adddaab914ad225, 0x63b0bf70f8da0c22, 0x17f43b8e3da1377e, 0x11dc01b6f8feec44,
  0xa0aef277699a335a, 0x79f80d304f8c0482, 0x7cb7412443dff892, 0x1cab03affea3e487, 0x62c05bdd375098c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x35d09c73c9fdaf2e, 0x76a96fab39d454aa, 0xe86a26b81013a6e5,
  0xb445794d42572fb1, 0x6c59d01e7eb5cf6a, 0x10b4d5ceaf52c2ca, 0xe31bc67440a2fa28, 0x57079b288c5fcdb4,
  0xe40eda1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f,
  0xcb0e9296cf8138cb, 0x85c0329e4afdcd0c, 0x000000000000f930,
};

// pwm2b_swio14_lednop_pr_ee         pwm3_swio14_lednop_pr_ee          pwm3b_swio14_lednop_pr_ee
static const uint64_t ur_pwm2_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x5a9827c602415057, 0x1f2446b7ff06acfa, 0xf51e56c166ab5a33, 0xad4f7a8f83660fa8,
  0x2291669d68450ef8, 0xe3593484d7d18596, 0x888e6e39d5a5dd2a, 0xac6ab5d0ebce9bb4, 0xb98b848450be238c,
  0x2a3608fd6e1bd96c, 0xdaf2e556a015ac4f, 0x454aa35d09c73c9f, 0x3a6e576a96fab39d, 0x72fb1e86a26b8101,
  0x5cf6ab445794d425, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x318ab7b15545a482, 0x57079b288c5fcdb6,
  0x207e50d1674f8b93, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0x30ae4fc73dffc134, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000009d7327d3a,
};

// pwm2b_swio14_lednop_pr_ee_u4      pwm3_swio14_lednop_pr_ee_u4       pwm3b_swio14_lednop_pr_ee_u4
static const uint64_t ur_pwm2_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xf4b5304f8c0482a0, 0x7b7e488d6ffe0d59, 0xe3ea3cae43cd56b4, 0xf15feef51f06cc1c,
  0x2c4522cd3ad08a1d, 0xcb8a266909afa30b, 0xd92234c4e7569780, 0xb58d56ba1d7aea6e, 0xe462e1211441f476,
  0xaae305fd6e1bd970, 0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0xa89ae0404e9b95da, 0x15e535095cbec7a1,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d1028be8a042, 0x1e6ca2317f36d38c, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0xf4ea792bf734332c, 0x0000000004eba45f,
};

// pwm2b_swio14_lednop_pr_ce         pwm3_swio14_lednop_pr_ce          pwm3b_swio14_lednop_pr_ce
static const uint64_t ur_pwm2_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8ad4e, 0x1b4776aae450d889, 0x697a34f7c5a450e2, 0xd5b411935a14d971, 0xd199bb0660bf76fc,
  0x415de4ee989b82b8, 0xf3ec16609f180905, 0xff59ba489c3ff124, 0xd6ff3c00b070ba9d, 0x5d64c273b9b5e76e,
  0x1acff51e5f4f72c0, 0x1602c7bd2a38e558, 0xaf47ced92231be73, 0x41fe91500ffd99e3, 0x972ab5976a0796b7,
  0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0xd8f435135c0809d3, 0xb55a22bca6a12b97, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x71b288c5fcdb6313, 0x81db43458f38b935, 0x0cf4c2b93f75663c,
  0xa4a5b2c944e32c97, 0x0ca792bf734332c3, 0x0000000005baf390,
};

// pwm2b_swio14_lednop_pr_ce_u4      pwm3_swio14_lednop_pr_ce_u4       pwm3b_swio14_lednop_pr_ce_u4
static const uint64_t ur_pwm2_swio14_lednop_pr_ce_u4[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x5057793baaf99f41, 0xacfc729827c60241, 0x2faf75246dd7ff06, 0x441e78016b49a6ee, 0xf84bf10d8488bee3,
  0xc5dcdae495951fa8, 0x8f2fa7b9633f5933, 0xde951c72ac0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x271cf27f6bcb955a, 0x5beace75152a8d74, 0x89ae0404e9b95daa, 0x5e535095cbec7a1a,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0x62fe6db1898edec5, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0006eb842fe9d4f2,
};

// pwm2b_swio14_lednop_pr_ee_ce      pwm3_swio14_lednop_pr_ee_ce       pwm3b_swio14_lednop_pr_ee_ce
static const uint64_t ur_pwm2_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xbfc9827c60241505, 0x2eb244347ff06acf, 0x8016b481a0effaa3, 0x39dcdaed07044fe7,
  0xb29729dacac7be61, 0xd47c1b307a57a8f2, 0x34eb422814c5650f, 0xa426be8c2cb1148b, 0x88e6e39d5db9d28e,
  0x8d578d8ebce9bb48, 0x3170908a17c47195, 0xa3608991c37b2d97, 0xaf2e556a59dac4f2, 0x54aa35d09c73c9fd,
  0xa6e576a96fab39d4, 0x2fb1e86a26b81013, 0xcf6ab445794d4257, 0xe52d7ce80f1cad75, 0xc6378ce881085482,
  0x263b7b15545a4829, 0x6ae365118bf9b6c6, 0x7903f2868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xfe9d4f257ee68665, 0x00000000014d36e3,
};

// pwm2b_swio14_lednop_pr_ee_ce_u4   pwm3_swio14_lednop_pr_ee_ce_u4    pwm3b_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c1a4e, 0x2eed55fd4d99c489, 0x3680ada166ec17e6, 0xa800ad9914774cec, 0x46ea5d8596cf2430,
  0x77535dc2d267b829, 0x304f8c0482a0aef2, 0x8a1f7f951bb3fd83, 0x9da1f5c5f547a6e4, 0x2445f71a20f3c00b,
  0xae4afd47c25f886c, 0x6def99e2ee6d78fb, 0x2bd479594b94ed6e, 0x62b287ea3e0d983d, 0x588a459a75a1140a,
  0xdce94752135f4616, 0x74dda4447371ceae, 0xe238cac6abc6c75e, 0xbd96cb98b848450b, 0xed627951b044c8e1,
  0x39e4fed7972ab52c, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0xf8b9357079b288c5, 0xd598f20669f1a2c6,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x9f956559c8cf257e,
};

// pwm2b_swio14_lednop_hw            pwm3_swio14_lednop_hw             pwm3b_swio14_lednop_hw
static const uint64_t ur_pwm2_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xff871e7e034c13e3, 0xf921df2dd04910f7, 0x2631c72ac0ebffa8, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0xcbec7a1a89ae0404,
  0x73daad115e535095, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0000238beba29e4a,
};

// pwm2b_swio14_lednop_ee_hw         pwm3_swio14_lednop_ee_hw          pwm3b_swio14_lednop_ee_hw
static const uint64_t ur_pwm2_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0xa82bbc9dd4149cb4, 0xa67d2d4c13e30120, 0xb5a331f2446b7fd0, 0x60fa8f51e56c166a, 0x50ef8ad4f7a8f836,
  0x185962291669d684, 0x5dd2ae3593484d7d, 0xe9bb4888e6e39d5a, 0xe238cac6ab5d0ebc, 0xbd96cb98b848450b,
  0x5ac4f2a3608fd6e1, 0x73c9fdaf2e556a01, 0xab39d454aa35d09c, 0xb81013a6e576a96f, 0x4d42572fb1e86a26,
  0x1cad75cf6ab44579, 0x085482e52d7ce80f, 0x5a4829c6378ce881, 0xfcdb6318ab7b1554, 0xf505d8dc79b288c5,
  0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x0002df1a9c0be9e4,
};

// pwm2b_swio14_lednop_ce_hw         pwm3_swio14_lednop_ce_hw          pwm3b_swio14_lednop_ce_hw
static const uint64_t ur_pwm2_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x482a0aef2775eb4e, 0xf4299f8e5304f8c0, 0x9bb8bebdd491b75f, 0xbee3441e78939096, 0x9fa8f84bf10d8488,
  0x5933c5dcdaf30ccf, 0x67fa8f2fa7b9633f, 0x0163de951c72ac0d, 0xa3e76c9118df398b, 0xff48a807feccf1d7,
  0x955acbb503cb5ba0, 0x8d74271cf27f6bcb, 0x5daa5beace75152a, 0x7a1a89ae0404e9b9, 0xad115e535095cbec,
  0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0xd94462fe6db1898e, 0x861539fa82ec6e3c,
  0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658,
  0x000000003acdf7c1,
};

/*
 * pwm2_swio14_lednop_ee_ce_u4_hw    pwm2b_swio14_lednop_ee_ce_hw      pwm2b_swio14_lednop_ee_ce_u4_hw
 * pwm3_swio14_lednop_ee_ce_hw       pwm3_swio14_lednop_ee_ce_u4_hw    pwm3b_swio14_lednop_ee_ce_hw
 * pwm3b_swio14_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0x0aef27768bfbbdae, 0x3fd83304f8c0482a, 0xa3d372450fbfe853, 0xf3c49c8490fae2fa, 0x5f886c2445f71a20,
  0x6d7575c617fd47c2, 0x94ed6e6def99e2ee, 0x0d983d2bd479594b, 0xa1140a62b287ea3e, 0x5f4616588a459a75,
  0x71ceaedce9475213, 0xc6c75e74dda44473, 0x48450be238cac6ab, 0x44c8e1bd96cb98b8, 0x2ab52ced627951b0,
  0x1ae84e39e4fed797, 0xbb54b7d59cea2a55, 0xf435135c0809d372, 0x5a22bca6a12b97d8, 0xbe74078e56bae7b5,
  0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xb288c5fcdb63131d, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x000000000a028d4e,
};

/*
 * pwm2_swio14_dual_pr               pwm2b_swio14_dual                 pwm2b_swio14_dual_pr
 * pwm3_swio14_dual                  pwm3_swio14_dual_pr               pwm3b_swio14_dual
 * pwm3b_swio14_dual_pr
 */
static const uint64_t ur_pwm2_swio14_dual[] = {
  0xe3ddddddde7c1a4e, 0x7c1f4da62210d83a, 0x7a55fa8ce5dbd71a, 0x377c95264e27659f, 0x1628d4d8b75719a5,
  0x823b935dc2d13fdc, 0x827c602415057792, 0x7004643d06917439, 0x0a1835678b3d2442, 0x6535aa774f897103,
  0xd82fb3814599c9fe, 0x90ab0332a6f51dfc, 0x0f815fe63408a11c, 0xb8bddf177a1f0037, 0xe2a10cb407c4432b,
  0xb760bff4073c26de, 0x586f2bcb56f9a025, 0xb5e48945ff068730, 0x607bdfa8fdd1df2c, 0x550799c987b8e395,
  0x0cec80234c4e62c0, 0x6faa01ffb30475e0, 0x92be7503cb3db7bc, 0x72ab59fc55f3bb8a, 0x51ae84e39e4fed79,
  0x2bb54b7d59cea2a5, 0x8f435135c0809d37, 0x55a22bca6a12b97d, 0x6be74078e56bae7b, 0xbc67440842a41729,
  0x5bd8aaa2d2414e31, 0xcd94462fe6db18c5, 0x9f1a2c79c5c9ab83, 0x30ae4fdd598f2066, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000000c41b8fb391,
};

// pwm2b_swio14_dual_pr_u4           pwm3_swio14_dual_pr_u4            pwm3b_swio14_dual_pr_u4
static const uint64_t ur_pwm2_swio14_dual_pr_u4[] = {
  0xc7bbbbbb44869a4e, 0xf83e9b4c4421b075, 0x73ef7519cbb7ae34, 0x4a6ef92a4c9c4ecb, 0xc32c51a9b16eae33,
  0x5047771fd462a3e3, 0x304f8c0482a0aef2, 0x4e008c87a0d22e87, 0x614306acf167a488, 0xf32ec24ee9f12e20,
  0xe6c17d9c0a2cce4f, 0xe48558199537a8ef, 0xb87c0aff31a04508, 0x5dc5eef8bbd0f801, 0xf7150865a03e2219,
  0x2dbb05ffa039e136, 0x82c3795e5ab7cd01, 0x65af244a2ffaff69, 0xab03defd47ee8ef9, 0x02a83cce4c3dc71c,
  0x006764011a627316, 0xe37d500ffd9823af, 0x5495f3a81e59edbd, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b,
  0xb95daa5beace7515, 0xec7a1a89ae0404e9, 0xdaad115e535095cb, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x2adec55516920a71, 0x1e6ca2317f36d8c6, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x782ed274f257ee68, 0x000000000000524f,
};

// pwm2b_swio14_dual_pr_ee           pwm3_swio14_dual_pr_ee            pwm3b_swio14_dual_pr_ee
static const uint64_t ur_pwm2_swio14_dual_pr_ee[] = {
  0xd86ddddddd43573e, 0x89e0fa6d63b26d83, 0xbe8fcdd4e538999d, 0x9a723b1edb37dd8e, 0xee01f557edba0b61,
  0x6ee5c5f7615ef595, 0x3e30120a82bbc997, 0x04643d0690e9d4c1, 0x1835678b3d244270, 0x7612774f8971030a,
  0x12d1c02d4c63ff99, 0x560715a6f51c9d6c, 0x02bfcc6811423921, 0xf77c5deea8006e1f, 0x0865a051510caee2,
  0xf9ff4073c2631f15, 0xf2bcb56f9a025b77, 0x4885aff5fed30586, 0x3caedd4d56b47fba, 0x37ea3e0d9830f7ea,
  0x459a75a1143be2bd, 0x5cd2135f4616588a, 0xcf539d5a5d82ae2a, 0x56ba1d7a897631e8, 0x70908a34a4710d8d,
  0x823f5b86f65f4b31, 0x7152500b2288aa8d, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0xa6e576a96fab39d4,
  0x2fb1e86a26b81013, 0xcf6ab445794d4257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0x18ab7b15545a4829,
  0xdc79b288c5fcdb63, 0xccdfc1ddc68b1e70, 0x592e19e985727eea, 0x66587494b67c09c6, 0x63fed274f257ee68,
  0x0000000000006429,
};

// pwm2b_swio14_dual_pr_ee_u4        pwm3_swio14_dual_pr_ee_u4         pwm3b_swio14_dual_pr_ee_u4
static const uint64_t ur_pwm2_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed1369f3202, 0x07d36b1d936c1ec3, 0x8ce6a729c4ccec4f, 0xd8f6d9beec75c7e6, 0xaabf6dd05b0cd391,
  0x07d75c5f4d6f700f, 0x2a0aef265dbb869d, 0x1a43a75304f8c048, 0x2cf49109c01190f4, 0x3e25c40c2860d59e,
  0xa98c7ff32bf689dd, 0xdea393ad825a3805, 0x022847242ac0e2b4, 0xd5000dc3e057f98d, 0x2a2195dc5eef8bbd,
  0x784c63e2a10cb40a, 0xf3404b6eff3fe80e, 0x35ee60b0de5796ad, 0xd56b47fba4885aff, 0xd9830f7ea3caedd4,
  0x1143be2bd37ea3e0, 0xf4616588a459a75a, 0xa5d82ae2a5cd2135, 0xa897631e8cf539d5, 0x4a4710d8d56ba1d7,
  0x6f65f4b3170908a3, 0xb2288aa8d823f5b8, 0xb3f8abe777152500, 0x09c73c9fdaf2e556, 0x96fab39d454aa35d,
  0xa26b81013a6e576a, 0x5794d42572fb1e86, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0x8c5fcdb6318ab7b1, 0x2c6f8b9357079b28, 0xd4eaccdfc1bf411a, 0xffde1ef79430a9cf, 0x0f226781fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x0159179f6ea72792,
};

// pwm2b_swio14_dual_pr_ce           pwm3_swio14_dual_pr_ce            pwm3b_swio14_dual_pr_ce
static const uint64_t ur_pwm2_swio14_dual_pr_ce[] = {
  0xcbbddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a1bb272e32, 0xf4e08119efda3b54, 0x1f99f69f610f765d,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xea0a49153dfe0d0e, 0x6ff3c00b9db933bf, 0x38cc273b9b5d36e7,
  0x27bd4797d3dcb014, 0xc05dbebe471cab03, 0xf22dd87c4637ce62, 0x947570f71cb19e3a, 0x955acfe2af9ddc54,
  0x8d74271cf27f6bcb, 0x5daa5beace75152a, 0x7a1a89ae0404e9b9, 0xad115e535095cbec, 0x9b1674079fad73da,
  0x042d3573abd4b0b2, 0x718de33a20517c63, 0xab83cd94462fe6da, 0x20669f1a2c79c5c9, 0xc33d30ae4fdd598f,
  0x0e9296cf8138cb25, 0xb3919e4afdcd0ccb, 0x0000000000e7af9c,
};

// pwm2b_swio14_dual_pr_ce_u4        pwm3_swio14_dual_pr_ce_u4         pwm3b_swio14_dual_pr_ce_u4
static const uint64_t ur_pwm2_swio14_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0xef83e9b598e7db07, 0x3deef75053d61232, 0x89323e44a76f5d84, 0x2d4e900d57efdeed,
  0xef248fbb9e08ce9c, 0x463304f8c0482a0a, 0x9109c01190f41a44, 0xc40c2860d59e2cf4, 0x2b7e65d849dd3e25,
  0x3e56d86fb3869b9a, 0x847242ac0ca1cdea, 0x00dc3e057f98d022, 0x0caee2f77c5df722, 0x9b4a8a8432d0ee91,
  0x8096dffe7fd01cf0, 0xb4c161bcaf2d5be6, 0x2faedf92235bfd7f, 0xd1079e24e424a7ae, 0x3e12fc4361222fb8,
  0xf17736bf59b21fea, 0x8f2fa7b9633c38cc, 0x7d7c8e3956064f7a, 0xb0f88c6f9cc580bb, 0xe1ee39633c75e45b,
  0x9fc55f3bb8a928ea, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0x135c0809d372bb54, 0xbca6a12b97d8f435,
  0xe80f3f5ae7b55a22, 0x6ae757a96165362c, 0xc67440a2f8c6085a, 0x9b288c5fcdb4e31b, 0xfe0eee3458df0dc7,
  0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x17b49d3c95fb9a19, 0x0000000000034902,
};

// pwm2b_swio14_dual_pr_ee_ce        pwm3_swio14_dual_pr_ee_ce         pwm3b_swio14_dual_pr_ee_ce
static const uint64_t ur_pwm2_swio14_dual_pr_ee_ce[] = {
  0xff6b77777750cf68, 0x4ee0fa6d7a519c60, 0xb4af7bb9f6cf8053, 0x9c453821e44b8585, 0x7f9b4d9bc2960fda,
  0xbb9a3ea74704dd9c, 0xf8c0482a0aef24c8, 0x2321e834823d7304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x0d070d3533fcfccb, 0xb03e9f9bd47ff9b0, 0x15fe63408a11c90a, 0xbbe2efea700370f8, 0x432d029688657717,
  0x7ffa039e137ce8a8, 0x2bcb56f9a025b7fd, 0x8e9aff5fed30586f, 0x84b4d1dff54650e4, 0x36ba92737ff3c49c,
  0xca76b2b221984e77, 0x06cc1f51ea3cad82, 0xd08a05315a9ef51f, 0xafa30b2c4522cd3a, 0xf8e7576e3863a909,
  0x363af6b13b6df472, 0x422805118f96355e, 0xa6470decb8f8c5c2, 0xc55f3bb8a92e31c8, 0x39e4fed7972ab59f,
  0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x2d2414e31bc67440, 0xfcdb63131dbd8aaa, 0x8b1e70dc79b288c5, 0x727eeaccdfc1ddc6, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0009822a76d274f2,
};

// pwm2b_swio14_dual_pr_ee_ce_u4     pwm3_swio14_dual_pr_ee_ce_u4      pwm3b_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x7d36a178ce307ebb, 0xc3d402eb6933ed70, 0xb7ef72270f9463a3, 0x6d0fde4eebb2c43d,
  0x3e30a05b45c595ee, 0x0aef25a73bb4836d, 0x8bd51304f8c0482a, 0xe92213802321e834, 0x4b881850c1ab3c59,
  0x760fe657ed13ba7c, 0x3b5dec10f8e18dd3, 0x847242ac0dfe4dea, 0x00dc3e057f98d022, 0x32bb8bddf177c7dc,
  0xb2b454219686ce44, 0x12dbb397fd01cf09, 0x982c3795e5ab7cd0, 0xa38ad246f0ffcd7b, 0xf3c49c072d6ee2fa,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e2199e2ee, 0x0d983ea3d4795943, 0xa1140a62b74bea3e,
  0x5f4616588a459a75, 0xa1ceaedc95875213, 0x1b1d7b589d900460, 0x42287bd1e45b1aaf, 0x66470decb8f8c5c2,
  0xc55f3bb8a92e31b8, 0x39e4fed7972ab59f, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x7440a2f8c6085a6a, 0x288c5fcdb4e31bc6, 0x1a2c6f8b9357079b,
  0xcfd4eaccdfc1bf41, 0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x0001000917eea727,
};

// pwm2b_swio14_dual_hw              pwm3_swio14_dual_hw               pwm3b_swio14_dual_hw
static const uint64_t ur_pwm2_swio14_dual_hw[] = {
  0x8f777776890d365a, 0xf07d3698884360eb, 0xe7deea33976f5c69, 0x94ddf25499389d96, 0xf658a35362dd5c66,
  0xf250477644f5ef4a, 0x87304f8c0482a0ae, 0x884e008c87a0d22e, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x195dc5eef8bbd0f8, 0x36f7150865a03e22,
  0x012dbb05ffa039e1, 0x8982c3795e5ab7cd, 0xbe596bc9128bfe76, 0xc72ac0f7bf51fba3, 0xc580aa0f33930f71,
  0xebc019d90046989c, 0x6f78df5403ff6608, 0x7715257cea07967b, 0xdaf2e556b3f8abe7, 0x454aa35d09c73c9f,
  0x3a6e576a96fab39d, 0x72fb1e86a26b8101, 0x5cf6ab445794d425, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548,
  0x318ab7b15545a482, 0x8dc79b288c5fcdb6, 0x7bde50c2a73f505d, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89,
  0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xaef050be9e4afdcd, 0x000000000000031b,
};

// pwm2b_swio14_dual_ee_hw           pwm3_swio14_dual_ee_hw            pwm3b_swio14_dual_ee_hw
static const uint64_t ur_pwm2_swio14_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x4f07d36b1d936c1e, 0xf47e6ea729c4ccec, 0xd391d8f6d9beec75, 0x700faabf6dd05b0c,
  0x2eddddd8dd9bcc5f, 0x827c602415057793, 0xe008c87a0d21d3a9, 0x14306acf167a4884, 0x32ec24ee9f12e206,
  0xd825a3805a98c7ff, 0x42ac0e2b4dea393a, 0x3e057f98d0228472, 0xc5eef8bbdd5000dc, 0x2a10cb40a2a2195d,
  0xeff3fe80e784c63e, 0x0de5796adf3404b6, 0xdd2442d7f9da260b, 0xf51e576ea6ab5a3f, 0x5e9bf51f06cc187b,
  0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0xf467a9cead2ec157, 0xc6ab5d0ebd44bb18, 0x98b848451a523886,
  0x46c11fadc37b2fa5, 0x3bb8a92805914455, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4, 0x09d372bb54b7d59c,
  0x2b97d8f435135c08, 0xbae7b55a22bca6a1, 0x417296be74078e56, 0x14e31bc67440842a, 0xb18c55bd8aaa2d24,
  0x5c6e3cd94462fe6d, 0x313f9430a9cfd4bd, 0x09a1e44cf1738cbf, 0x19e985727e39effe, 0x7494b67c09c6592e,
  0x85f4f257ee686658, 0x0000000002bb563f,
};

// pwm2b_swio14_dual_ce_hw           pwm3_swio14_dual_ce_hw            pwm3b_swio14_dual_ce_hw
static const uint64_t ur_pwm2_swio14_dual_ce_hw[] = {
  0xe53b777776890c86, 0x8cf83e9b598d7160, 0xef5c2f767120a89c, 0xe3751c6c305947d3, 0xe62a10ecd8ebee94,
  0xbbc9a66eeeec6ecd, 0x1544c13e30120a82, 0x92213802321e8348, 0xb881850c1ab3c59e, 0xeaffccbb093ba7c4,
  0x8fb3b611c8e07066, 0xa11c90ab0395d37a, 0x80370f815fe63408, 0x8657717bbe2efe6f, 0x9bba8a8432d031e8,
  0x012dbeed7fd01cf0, 0x8982c3795e5ab7cd, 0x8beafe491383fe76, 0x3441e789390913ab, 0x8f84bf10d8488bee,
  0x3c5dcdaec87495fa, 0xa384f9ee58cfa973, 0x8bb7e38e5581dade, 0xec80234c4e62c052, 0xaa01ffb33c75e00c,
  0xaf9d40f2d6e7bc6f, 0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0xd0d44d7020274dca,
  0x688af29a84ae5f63, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d8c4c76,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x0000000009ba95a8,
};

// pwm2b_swio14_dual_ee_ce_hw        pwm3_swio14_dual_ee_ce_hw         pwm3b_swio14_dual_ee_ce_hw
static const uint64_t ur_pwm2_swio14_dual_ee_ce_hw[] = {
  0xd396eeeeeea1a5fb, 0x2b83e9b5e978fec1, 0xae43dda2fb171ec8, 0xe69c58afaed3d5df, 0xfabe1f614b05391c,
  0x3ba591aeba55857b, 0xf8c0482a0aef2437, 0x4643d06907b3d304, 0x835678b3d2442700, 0x612774f8971030a1,
  0xfe1c3104cd77f997, 0x607ff26f51f4d6c1, 0x2bfcc68114239215, 0xef8bbf87f006e1f0, 0x0cb430222195dc5e,
  0xbfe80e784c5d62a1, 0xaf2d5be68096de61, 0x8e20ff3b44c161bc, 0x84b101dff54795a4, 0x36be54341ff3c49c,
  0x4a76b2b26e984e77, 0x0d983dbfea3cae57, 0xa1140a62bdf7ea3e, 0x5f4616588a459a75, 0xa9ceaedcc1475213,
  0x8d8ebd44bb18f467, 0x908a34a4710d8d57, 0x132386f65f4b3170, 0xa9296791445546c1, 0x972ab59fc55f3bb8,
  0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0xd8f435135c0809d3, 0xb55a22bca6a12b97, 0x96be74078e56bae7,
  0x1bc67440842a4172, 0x1dbd8aaa2d2414e3, 0x79b288c5fcdb6313, 0x0cf4c2b93f3fb0dc, 0x3a4a5b3e04e32c97,
  0xc2fa792bf734332c, 0x00000000022698e2,
};

// pwm2b_swio14_dual_ee_ce_u4_hw     pwm3_swio14_dual_ee_ce_u4_hw      pwm3b_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_swio14_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0x07d36a17a8c58395, 0xda6ef76a3e5a9397, 0xed56af2657bc89da, 0x49b43f7938abf3ef,
  0x38c32d6ed3e78296, 0x2415057792829dd5, 0xf41a45ea89827c60, 0x9e2cf49109c01190, 0xdd3e25c40c2860d5,
  0x787372d7e65906a9, 0xcdea3e376c3b04e1, 0xa04508e485581b5d, 0xb24c01b87c0aff31, 0x8288657717bbe2ef,
  0x9e1369b8a8432d03, 0xf9a025b7672ffa03, 0x787730586f2bcb56, 0x2faa3275246f0fff, 0x20f3c58be84af0ee,
  0xc25f886c2445f71a, 0x7736b85919ebfd47, 0x574a76b737374cf1, 0x3e0d983dbfea3cae, 0x75a1140a62bdf7ea,
  0x135f4616588a459a, 0x67a9ceaedcc14752, 0x578d8ebd44bb18f4, 0x70908a34a4710d8d, 0xc1132386f65f4b31,
  0xb8a9296791445546, 0xd7972ab59fc55f3b, 0x2a551ae84e39e4fe, 0xd372bb54b7d59cea, 0x97d8f435135c0809,
  0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x131dbd8aaa2d2414, 0xdc79b288c5fcdb63,
  0xbde50c2a73f505d8, 0xe07f197e627ff787, 0xff03f7ec3343c899, 0xb25c33d30be347a2, 0xccb0e9296cf8138c,
  0xa37680b9e4afdcd0, 0x000000000001d759,
};

// pwm2b_swio15_noled                pwm3_swio15_noled                 pwm3b_swio15_noled
static const uint64_t ur_pwm2_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02415057793bb0bd, 0xf146ecf98f9827c6, 0x109df2dd2491dbff, 0xd78e395607cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0xa551ae84e39e4fed, 0x72bb54b7d5d9cea2, 0x56aff7f4351359d3,
  0xd73daad115e53509, 0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0x7f36d38c6f19d102, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a45c5a7c9e4,
};

// pwm2b_swio15_noled_pr             pwm3_swio15_noled_pr              pwm3b_swio15_noled_pr
static const uint64_t ur_pwm2_swio15_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2571, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7ddb89d05,
  0x793bab8c489bb837, 0xfc9827c602415057, 0x07e48995fe249e7d, 0xc0fa0f51e5f1df2d, 0x2cb29a3de951c72a,
  0x3e768851ef673160, 0x934a807fecc11d7a, 0xab57d6e07967b622, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551,
  0xf7f4351359d372bb, 0xaad115e5350956af, 0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0x156f62aa8b4b689c,
  0x83cd94462fe6d8c9, 0x3b6868b2d5e5c9ab, 0x430a9cfd4eacc790, 0x03e6879133c09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0xf268120194f257ee, 0x0000000000000001,
};

// pwm2b_swio15_noled_pr_u4          pwm3_swio15_noled_pr_u4           pwm3b_swio15_noled_pr_u4
static const uint64_t ur_pwm2_swio15_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0xadddaab9142f712d, 0x7be3f50e2448c227, 0xfd0eee27767f07a8, 0xb83b6c6569bba905,
  0x82bbc9ddfa706f0a, 0xe7cc7cc13e30120a, 0xf2dd2491dbffe249, 0x395607cf7a8f109d, 0x8b016f74da52d78e,
  0x75e2e76b868c9a39, 0xab52b2bfee396304, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xf7f4351359d372bb,
  0xaad115e5350956af, 0x2ca54fa779fad73d, 0x5021696173a9d4e0, 0xd38c6f19d1022fdc, 0x4d5c1e6ca2317f36,
  0xc7903b6868b1be2e, 0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8,
  0x332c3a4a5b3e04e3, 0xd34100ca792bf734, 0x00000000000003e4,
};

// pwm2b_swio15_noled_pr_ee          pwm3_swio15_noled_pr_ee           pwm3b_swio15_noled_pr_ee
static const uint64_t ur_pwm2_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x304f8c0482a0aef2, 0x48c56ffe0d59f275, 0x1e5652e6ab5a37f2, 0x43f51f06cc184ff5,
  0x22cd3ad08a1df159, 0xb26909afa30b2c45, 0x1e4873ab4ba565c6, 0xd56ba1d79d376ea1, 0x2e121147c88e0fd8,
  0xd823f5b86f65b2e6, 0x972ab500ba4c16a8, 0x551ae84e39e4fed7, 0x2bb54b7d5d9cea2a, 0x6aff7f4351359d37,
  0x73daad115e535095, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x9ab83cd94462fe6d,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e44cf1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0xd4f257ee68665874, 0x000000013af8c7e9,
};

// pwm2b_swio15_noled_pr_ee_u4       pwm3_swio15_noled_pr_ee_u4        pwm3b_swio15_noled_pr_ee_u4
static const uint64_t ur_pwm2_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0xb4c13e30120a82bb, 0xa923befff83567e2, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x8a459a75a1143be2, 0x144cd2135f461658, 0x146f79cead2f5297, 0x1aad743af5d4dda7, 0x8b848450b5d1dc3b,
  0xc749f5b86f65c391, 0xe39e4fed7972ab55, 0xd5d9cea2a551ae84, 0x351359d372bb54b7, 0x15e5350956aff7f4,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0x94462fe6d8c9156f, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x00000009d72cfe9d,
};

// pwm2b_swio15_noled_pr_ce          pwm3_swio15_noled_pr_ce           pwm3b_swio15_noled_pr_ce
static const uint64_t ur_pwm2_swio15_noled_pr_ce[] = {
  0x1b5bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf4bdf370e2, 0xd5b416efc29e98db, 0xf8360ccd8cc774da,
  0x5057793bab8c4891, 0x3cf94b9827c60241, 0x7fd414922e97fc49, 0x9dbfcf002c1c90e7, 0x1759309cee6d74db,
  0x8193dea3cdd3dcb0, 0x98b014ca9c638e55, 0x8ebd1f3b4428f7b3, 0x6e1149a5403ff667, 0xaf2e556afadc0f2d,
  0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2ad5fefe86a26b3a, 0xbae7b55a22bca6a1, 0xea6c529e1a779f16,
  0x6d138c6f19d1020e, 0xb63218edec555169, 0x71726ae365118bf9, 0xeacc7903b6868b1e, 0xc6592e19e985727e,
  0x866587494b659289, 0xeba720194f257ee6, 0x0000000000000016,
};

// pwm2b_swio15_noled_pr_ce_u4       pwm3_swio15_noled_pr_ce_u4        pwm3b_swio15_noled_pr_ce_u4
static const uint64_t ur_pwm2_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0x82bbc9dd1ec5aa38, 0x67f674c13e30120a, 0xfaedf9232bbff835, 0x41e78016b49beee2, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0x79ba7b9633f5933c, 0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7,
  0x5f5b81e5adc22934, 0x138e793fb5e5caad, 0xdf57673a8a9546ba, 0xd0d44d674dcaed52, 0x445794d4255abfdf,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6ca2317f36c6431d, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xea792bf734332c3a, 0x0000000375d341f4,
};

// pwm2b_swio15_noled_pr_ee_ce       pwm3_swio15_noled_pr_ee_ce        pwm3b_swio15_noled_pr_ee_ce
static const uint64_t ur_pwm2_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xa6a609f180905415, 0xa5c91ff9ffc1ab3f, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298acbaf, 0x484d7d1859622916, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0xc5c24228f911c1fb, 0x8d8226470decb65c, 0x7972ab52cfa4c16a, 0xa551ae84e39e4fed,
  0x72bb54b7d5d9cea2, 0x56aff7f4351359d3, 0xd73daad115e53509, 0x536294f0d3bcf8b5, 0x689c6378ce881077,
  0xb190c76f62aa8b4b, 0x8b93571b288c5fcd, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0x8f2ff4ea792bf734, 0x0000000000000a69,
};

// pwm2b_swio15_noled_pr_ee_ce_u4    pwm3_swio15_noled_pr_ee_ce_u4     pwm3b_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c7a31, 0x2eed55fd4ec4c496, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf5a30,
  0x77513f0fbed03e37, 0x304f8c0482a0aef2, 0x8b5dff951bb3f8dd, 0x9db5ddc5f547b3a4, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x588a459a75a1140a,
  0xdc958752135f4616, 0x74ddba847921ceae, 0x44707ec6abc6c75e, 0x7b2d973170908a3e, 0xe9305aa3608991c3,
  0xe793fb5e5caad4b3, 0x7673a8a9546ba138, 0x44d674dcaed52df5, 0x794d4255abfdfd0d, 0xef3e2d75cf6ab445,
  0xa2041dd4d8a53c34, 0xaaa2d2da2718de33, 0x2317f36c6431dbd8, 0x8b1be2e4d5c1e6ca, 0x7ea75663c819a7c6,
  0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0004fc8faf67233c,
};

// pwm2b_swio15_noled_hw             pwm3_swio15_noled_hw              pwm3b_swio15_noled_hw
static const uint64_t ur_pwm2_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x02415057793bb0bd, 0xff0e3cf98f9827c6, 0xe213be5ba4923b7f, 0x5af1c72ac0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2ad5fefe86a26b3a,
  0x5ae7b55a22bca6a1, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0x2fe6da718de33a20, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000000238971453c,
};

// pwm2b_swio15_noled_ee_hw          pwm3_swio15_noled_ee_hw           pwm3b_swio15_noled_ee_hw
static const uint64_t ur_pwm2_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x15de4ee80a499a73, 0x3e4ea609f1809054, 0x68dfc92315bfe853, 0x613fd479594b9aad, 0x77c5650fd47c1b30,
  0x2cb1148b34eb4228, 0x95971ac9a426be8c, 0xddba847921cead2e, 0x383f6355ae875e74, 0x96cb98b848451f22,
  0x305aa3608fd6e1bd, 0x93fb5e5caad402e9, 0x73a8a9546ba138e7, 0xd674dcaed52df576, 0x4d4255abfdfd0d44,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x8bf9b632455bd8aa, 0xe7ea0bb1b8f36511,
  0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x000005bff92617d3,
};

// pwm2b_swio15_noled_ce_hw          pwm3_swio15_noled_ce_hw           pwm3b_swio15_noled_ce_hw
static const uint64_t ur_pwm2_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x482a0aef2774a51d, 0xf4299fd9d304f8c0, 0xf7717d76fc9195df, 0x7dc6883cf127212d, 0xbf51f097e21b0911,
  0xb2678bb9b5cd6e61, 0x4f7a8f374f72c67e, 0xc0532a718e395606, 0xf47ced10a3dece62, 0x45269500ffd99e3a,
  0xb955abeb703cb5b8, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x57fbfa1a89ace9b9, 0x9ed5688af29a84ab,
  0xb14a7869de7c5aeb, 0x4e31bc6744083ba9, 0xc863b7b15545a5b4, 0xc6e3cd94462fe6d8, 0x3def2861539fa82e,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xdbe4985f4f257ee6,
  0x00000000000003ac,
};

/*
 * pwm2_swio15_noled_ee_ce_u4_hw     pwm2b_swio15_noled_ee_ce_hw       pwm2b_swio15_noled_ee_ce_u4_hw
 * pwm3_swio15_noled_ee_ce_hw        pwm3_swio15_noled_ee_ce_u4_hw     pwm3b_swio15_noled_ee_ce_hw
 * pwm3b_swio15_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0x0aef27777ec2da9a, 0x3f8dd304f8c0482a, 0xa3d9d245aeffe853, 0xf3c49c849aeee2fa, 0x5f886c2445f71a20,
  0x6d7e41d5d7fd47c2, 0x94ed6e6def99e2ee, 0x0d9833d7d47959c3, 0xa1140a62b2ebea3e, 0x5f4616588a459a75,
  0x21ceaedc95875213, 0xc6c75e74ddba8479, 0x908a3e44707ec6ab, 0x8991c37b2d973170, 0xaad4b3e9305aa360,
  0x6ba138e793fb5e5c, 0xd52df57673a8a954, 0xfdfd0d44d674dcae, 0x6ab445794d4255ab, 0xa53c34ef3e2d75cf,
  0x18de33a2041dd4d8, 0x31dbd8aaa2d2da27, 0x71e6ca2317f36c64, 0xf79430a9cfd41763, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x32702fa792bf7343, 0x0000000000001404,
};

// pwm2b_swio15_lednop               pwm3_swio15_lednop                pwm3b_swio15_lednop
static const uint64_t ur_pwm2_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xf8a3767e034c13e3, 0xc90ef96e924887bf, 0x98c71cab03e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2b1e86a26b81013a,
  0x7b55a22bca6a12b9, 0xa5af29c05ce80f2e, 0xbe8a042d2b08985e, 0xf36d38c6f19d1028, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000549f5da7c9e4a,
};

// pwm2b_swio15_lednop_pr            pwm3_swio15_lednop_pr             pwm3b_swio15_lednop_pr
static const uint64_t ur_pwm2_swio15_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11ddb89d0,
  0x7793bb4cd19b4b47, 0xd4a9827c60241505, 0x41f92263ffc493cf, 0x581f41ea3e9477cb, 0x0b2ca680c13e38e5,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551,
  0x35135c0809d372bb, 0x115e535095c958f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0xa2317f36d02a2ade, 0x4596af2e4d5c1e6c, 0xe7ea75663c81db43, 0x3c899e04e34a1854, 0x70cf4c2b93f01f34,
  0xc3a4a5b3e04e32c9, 0xb00ca792bf734332, 0x00000000007c98e8,
};

// pwm2b_swio15_lednop_pr_u4         pwm3_swio15_lednop_pr_u4          pwm3b_swio15_lednop_pr_u4
static const uint64_t ur_pwm2_swio15_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x7adddaab914ad225, 0x63b0bf7d7f858c22, 0x17f43bb89da1377e, 0x11dc01b6f8feeea4,
  0xa0aef277699a335a, 0x79f80d304f8c0482, 0x7cb7492443dff892, 0x8e5581f3dea3e487, 0x31602dee9ba84c63,
  0x475e2e761151f487, 0x2ab52b305ee39630, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x435135c0809d372b,
  0xd115e535095c958f, 0x94e02e7407973daa, 0x021695844c2f52d7, 0x9c6378ce88145f45, 0x6ae0f365118bf9b6,
  0x3c81db43458df172, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45,
  0x9961d252d9f02719, 0x10b80653c95fb9a1, 0x0000000000001f26,
};

// pwm2b_swio15_lednop_pr_ee         pwm3_swio15_lednop_pr_ee          pwm3b_swio15_lednop_pr_ee
static const uint64_t ur_pwm2_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xcc13e30120a82bbc, 0x244e0fff06acfd0f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0x91669d68450ef8af, 0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c,
  0x6c11fadc37b2d973, 0xe5caad4021149a54, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d0d44d7020274d,
  0x6ab445794d425725, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x79b288c5fcdb40a8,
  0xe50d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0, 0x0ccb0e9296cf8138,
  0xbe10fd3a9e4afdcd, 0x000000000000004e,
};

// pwm2b_swio15_lednop_pr_ee_u4      pwm3_swio15_lednop_pr_ee_u4       pwm3b_swio15_lednop_pr_ee_u4
static const uint64_t ur_pwm2_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0xfd0fcc13e30120a8, 0x1995244e0fff06ac, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xcb1148b34eb42287, 0xdae2899a426be8c2, 0xb2f88e2139d5a5d7, 0x8b6355ae875eba9b, 0x3918b84845037d18,
  0x6ab859ff5b86f65c, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa26b81013a6e576a, 0x2bca6a12b92b1e86,
  0xce80f3f5ae7b55a2, 0xa6ae757a96165362, 0xde33a204e7d14085, 0x3cd94462fe6da718, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xe9d4f257ee686658, 0x0000000004eba683,
};

// pwm2b_swio15_lednop_pr_ce         pwm3_swio15_lednop_pr_ce          pwm3b_swio15_lednop_pr_ce
static const uint64_t ur_pwm2_swio15_lednop_pr_ce[] = {
  0x236b7777777b1762, 0x86d1ddaab9142b71, 0x634f685ed69b3c38, 0xad5b416ef4130aa8, 0x4d1d9fbc5f63f74d,
  0x5415de4eed33467f, 0x4f3ea7a609f18090, 0xdff505248975ff12, 0x9883f3c00b070a59, 0x01759309cee6d77f,
  0x58193dea3ce33dcb, 0x73160298f3d638e5, 0xf1d7a3e765f11c64, 0xb70dfb86a807fecc, 0xd7972ab5b8720796,
  0x2a551ae84e39e4fe, 0x372bb54b7d5d9cea, 0x958f435135c0809d, 0x3daad115e535095c, 0x94b5f3a03c72b5d7,
  0x18de33a20421520b, 0x18edec55516920a7, 0xab8d94462fe6da05, 0xe40eda1a2c79c5c9, 0xb867a615c9fbab31,
  0x1d252d964a271964, 0x80653c95fb9a1996, 0x0000000000b7554e,
};

// pwm2b_swio15_lednop_pr_ce_u4      pwm3_swio15_lednop_pr_ce_u4       pwm3b_swio15_lednop_pr_ce_u4
static const uint64_t ur_pwm2_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x0aef277505272e9c, 0x9fb75304f8c0482a, 0xf53d648e04ffe0d5, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x793fb5e5caad4742, 0x673a8a9546ba138e, 0x20274dcaed52df57, 0x42572563d0d44d70, 0xad75cf6ab445794d,
  0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a, 0x726ae0f365118bf9, 0x663c81f943458df1,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x5eacafa753c95fb9, 0x0000000000000037,
};

// pwm2b_swio15_lednop_pr_ee_ce      pwm3_swio15_lednop_pr_ee_ce       pwm3b_swio15_lednop_pr_ee_ce
static const uint64_t ur_pwm2_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xdadcc13e30120a82, 0x52e48a6dfff06acf, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x69d68450298ad82f, 0x484d7d1859622916, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0xc5c242289b91e45b, 0x8d8226470decb65c, 0xbcb955a96622934a, 0x52a8d74271cf27f6,
  0xb95daa5beaece751, 0xac7a1a89ae0404e9, 0xed5688af29a84ae4, 0xa5af9d01e395aeb9, 0xc6f19d10210a905c,
  0xc76f62aa8b490538, 0x5c6ca2317f36d028, 0x207e50d163ce2e4d, 0xc33d30ae4fdd598f, 0xe9296cb25138cb25,
  0xd3a9e4afdcd0ccb0, 0x00000000029a78df,
};

// pwm2b_swio15_lednop_pr_ee_ce_u4   pwm3_swio15_lednop_pr_ee_ce_u4    pwm3b_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7cbd5b, 0x2eed55fd4c374496, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf5a30,
  0x9ddeefdc1ceb4176, 0xcc13e30120a82bbc, 0x91149fe546ecf9ad, 0xb9d8a4b8bea8f674, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x6588a459a75a1140,
  0xedd21c752135f461, 0xe74ddbba460a1cea, 0x6e47916c6abc6c75, 0x37b2d973170908a2, 0x988a4d2a3608991c,
  0xc73c9fdaf2e556a5, 0xabb39d454aa35d09, 0xb81013a6e576a96f, 0xa6a12b92b1e86a26, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x2d2414e31bc67440, 0xfcdb40a31dbd8aaa, 0xf8b9357079b288c5, 0xd598f20669f1a2c6,
  0xbc3def2861539fa9, 0x44cf03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0,
  0x9f8917d9c8cf257e,
};

// pwm2b_swio15_lednop_hw            pwm3_swio15_lednop_hw             pwm3b_swio15_lednop_hw
static const uint64_t ur_pwm2_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x0120a82bbc9ddb1e, 0xff871e7e034c13e3, 0xf921df2dd24910f7, 0x1318e395607cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x8a9546ba138e793f, 0x4dcaed52df57673a, 0x2563d0d44d702027,
  0xcf6ab445794d4257, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xfe6da718de33a205, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x000004717d7453c9,
};

// pwm2b_swio15_lednop_ee_hw         pwm3_swio15_lednop_ee_hw          pwm3b_swio15_lednop_ee_hw
static const uint64_t ur_pwm2_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x057793ba76821e96, 0x9fa1f9827c602415, 0xb46fe491383ff429, 0x309fea3cad4f4d56, 0x3be2bc09ea3e0d98,
  0x16588a459a75a114, 0x90eb8d64d2135f46, 0x6eddd23050e75697, 0x1e45b1aad743af3a, 0xcb65cc5c242289b9,
  0x526951b047eb70de, 0xe4fed7972ab50084, 0x9cea2a551ae84e39, 0x809d372bb54b7d5d, 0x095c958f435135c0,
  0xb5d73daad115e535, 0x520b94b5f3a03c72, 0x20a718de33a20421, 0x6d02a2adec555169, 0x176371e6ca2317f3,
  0xde1ef79430a9cfd4, 0x226781fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x0b7e6a702fa792bf,
};

// pwm2b_swio15_lednop_ce_hw         pwm3_swio15_lednop_ce_hw          pwm3b_swio15_lednop_ce_hw
static const uint64_t ur_pwm2_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x482a0aef2775a77d, 0xf4299f1ad304f8c0, 0x9d717d76fc91d37f, 0x7dc6883cf127212d, 0xff51f097e21b0911,
  0x64cf17736bf2d337, 0x9ef51e719ee58cfd, 0x014c79eb1c72ac0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa1a89ae0404e9b95, 0x688af29a84ae4ac7,
  0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d028c76, 0x30a9cfd4176371e6,
  0x65f989ffde1ef794, 0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3,
  0x00000000eb360158,
};

/*
 * pwm2_swio15_lednop_ee_ce_u4_hw    pwm2b_swio15_lednop_ee_ce_hw      pwm2b_swio15_lednop_ee_ce_u4_hw
 * pwm3_swio15_lednop_ee_ce_hw       pwm3_swio15_lednop_ee_ce_u4_hw    pwm3b_swio15_lednop_ee_ce_hw
 * pwm3b_swio15_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm2_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0xf9adcc13e30120a8, 0x47b3a488a4ffa14c, 0xf3c49c848525c5f5, 0x5f886c2445f71a20,
  0x9b5fce5d4efd47c2, 0xe53b5b9b7be678bb, 0x83660cf5f51e5650, 0x68450298ad82fa8f, 0xd7d185962291669d,
  0x2873abb74871d484, 0xf1b1d79d376ee918, 0x242289b91e45b1aa, 0x226470decb65cc5c, 0x955a96622934a8d8,
  0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0xa1a89ae0404e9b95, 0x688af29a84ae4ac7, 0xf9d01e395aeb9ed5,
  0x19d10210a905ca5a, 0xf62aa8b490538c6f, 0xca2317f36d028c76, 0x30a9cfd4176371e6, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x0000000028081e4c,
};

/*
 * pwm2_swio15_dual_pr               pwm2b_swio15_dual                 pwm2b_swio15_dual_pr
 * pwm3_swio15_dual                  pwm3_swio15_dual_pr               pwm3b_swio15_dual
 * pwm3b_swio15_dual_pr
 */
static const uint64_t ur_pwm2_swio15_dual[] = {
  0xd3ddddddde7cbd5b, 0x7c1f4da6225a983f, 0xfbbf7a8ee38bd71a, 0x376b04e77da7ac55, 0xebb67c82b77e99a5,
  0x2823bbbbf7016b41, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xe6535aa774f89710,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0x5dc5eef8bbc52003, 0xf7150865a03e2219,
  0x2dba9effa039e136, 0x82c3795e5ab7cd01, 0xb3df247f77f83439, 0x560707fd47dbe77c, 0x05507992b47b8e39,
  0x00ceda523884e62c, 0x3192a01ffb30475e, 0x2a4b81281e59eda6, 0xe5caad67f157ceee, 0x9546ba138e793fb5,
  0xcaed52df57673a8a, 0x63d0d44d7020274d, 0x6ab445794d425725, 0x2d7ce80f1cad75cf, 0x378ce881085482e5,
  0xab7b15545a4829c6, 0x79b288c5fcdb40a8, 0xd3e3458f38b93570, 0xa615c9fbab31e40c, 0x52d9f0271964b867,
  0x33c95fb9a19961d2, 0x0000000188637672,
};

// pwm2b_swio15_dual_pr_u4           pwm3_swio15_dual_pr_u4            pwm3b_swio15_dual_pr_u4
static const uint64_t ur_pwm2_swio15_dual_pr_u4[] = {
  0xa7bbbbbb448664d6, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xc9d76cf9056efd33,
  0x2823bb3363c34032, 0x9827c60241505779, 0x27004643d0691dd6, 0x30a1835678b3d244, 0xf997612774f89710,
  0xf360bece05166727, 0x7242ac0cca9bd477, 0xdc3e057f98d02284, 0x57717bbe2ef14800, 0xbdc54219680f8886,
  0x4b6ea7bfe80e784d, 0x60b0de5796adf340, 0x2cf7c91fddfebfda, 0x5581c1ff51f6f9df, 0x01541e64ad1ee38e,
  0x8033b6948e21398b, 0x8c64a807fecc11d7, 0x8a92e04a07967b69, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0x72bb54b7d5d9cea2, 0x58f435135c0809d3, 0xdaad115e535095c9, 0x4b5f3a03c72b5d73, 0x8de33a20421520b9,
  0x2adec55516920a71, 0x1e6ca2317f36d02a, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xf816d274f257ee68, 0x000000000000524d,
};

// pwm2b_swio15_dual_pr_ee           pwm3_swio15_dual_pr_ee            pwm3b_swio15_dual_pr_ee
static const uint64_t ur_pwm2_swio15_dual_pr_ee[] = {
  0x80addddddd437089, 0x2783e9b58ef0f983, 0xf46737421fda6676, 0xd391d9d6c995c68b, 0x05c2d47f6dd05014,
  0xbaf27acaabdd6d2d, 0x8c0482a0aef265db, 0x321e8348de7d304f, 0x1ab3c59e92213802, 0x093ba7c4b881850c,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2ef00000370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0xbcb56f9a025b7b5b, 0xe9fff5fed30586f2, 0x5e9b9aad68dc9c91, 0xd47c1b3071efd479,
  0x34eb422877c57b3b, 0xa426be8c2cb1148b, 0x073ab4ba9e5c54b9, 0xba1d7a89767f11f5, 0x908a0f547f258d56,
  0x3f5b86f65f4b3170, 0xa928043e6f6a8d82, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x2bb54b7d5d9cea2a,
  0x8f435135c0809d37, 0xaad115e535095c95, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718,
  0xe6ca2317f36d02a2, 0x7f07771a2c79c371, 0xb867a615c9fbab33, 0x61d252d9f0271964, 0x7b49d3c95fb9a199,
  0x000000000190a0bf,
};

// pwm2b_swio15_dual_pr_ee_u4        pwm3_swio15_dual_pr_ee_u4         pwm3b_swio15_dual_pr_ee_u4
static const uint64_t ur_pwm2_swio15_dual_pr_ee_u4[] = {
  0xdddddda26d3f880b, 0x3e9b58ef0f98380a, 0xf5f421fda6676278, 0x3ad932b8d178ce6d, 0x8fedba0a029a723b,
  0x6b5e4e69d5a0b85a, 0x82bbc9976ee127fa, 0x2379f4c13e30120a, 0x7a4884e008c87a0d, 0x12e20614306acf16,
  0xc63ff995fb44ee9f, 0x51c9d6c12d1c02d4, 0x1423921560715a6f, 0x0006e1f02bfcc681, 0x10caee2f77c5de00,
  0x2631f150865a0515, 0x404b6f6b7ff4073c, 0xee60b0de5796adf3, 0xd68dc9c91e9fff35, 0x071efd4795e9b9aa,
  0x877c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xa9e5c54b9a426be8, 0x9767f11f5073ab4b, 0x47f258d56ba1d7a8,
  0x65f4b3170908a0f5, 0xe6f6a8d823f5b86f, 0xfc55f3bb8a928043, 0xe39e4fed7972ab59, 0xd5d9cea2a551ae84,
  0x5c0809d372bb54b7, 0x535095c958f43513, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20,
  0x7f36d02a2adec555, 0xbe2e4d5c1e6ca231, 0xab337f06fd0468b1, 0x787bde50c2a73f53, 0x899e07f197e627ff,
  0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81, 0x644cb5ba9c9e4afd, 0x0000000000000005,
};

// pwm2b_swio15_dual_pr_ce           pwm3_swio15_dual_pr_ce            pwm3b_swio15_dual_pr_ce
static const uint64_t ur_pwm2_swio15_dual_pr_ce[] = {
  0xc71ddddddde7ce7c, 0x3fc1f4da62273983, 0x5faeb7a6e8c8ae32, 0xf4e0811defda3b54, 0x1f99f69f610f7638,
  0xe4c33776cdb4f571, 0xee609f180905415d, 0x213802321e834876, 0x81850c1ab3c59e92, 0xff329ad53ba7c4b8,
  0xe76c2439c0bacc50, 0x392156065166f51f, 0x6e1f02bfcc681142, 0x57717bbe2efec100, 0x98c54219684dc886,
  0x4b6e707fe80e784c, 0x60b0de5796adf340, 0xd65f49153dfe0d0e, 0xdfe780173b72677f, 0x71984e7736ba6dce,
  0x4d7a8f2fa7b96028, 0x80bb7d7c8e395606, 0xe45bb0f88c6f9cc5, 0x28eae1ee39633c75, 0x2ab59fc55f3bb8a9,
  0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x435135c0809d372b, 0xd115e535095c958f, 0x94e02e7407973daa,
  0x821695844c2f52d7, 0x38c6f19d1028be31, 0xd5c1e6ca2317f36d, 0x90334f8d163ce2e4, 0xe19e985727eeacc7,
  0x87494b67c09c6592, 0x59c8cf257ee68665, 0x000000000073d7ce,
};

// pwm2b_swio15_dual_pr_ce_u4        pwm3_swio15_dual_pr_ce_u4         pwm3b_swio15_dual_pr_ce_u4
static const uint64_t ur_pwm2_swio15_dual_pr_ce_u4[] = {
  0x02f777776890cf68, 0xdf07d36b312af60f, 0xb6b8ee9da69c2465, 0x2cc8f91295a9f65a, 0x0dd889ea3e3afbb0,
  0x79247ddcd1f53af7, 0xa89827c602415057, 0x4427004643d06902, 0x1030a1835678b3d2, 0xadf997612774f897,
  0xf95b61bece1a6e68, 0x11c90ab0328737a8, 0x0370f815fe63408a, 0x32bb8bddf177d250, 0x6d2a2a10cb43ba44,
  0x04b6fbb5ff4073c2, 0xa60b0de5796adf34, 0xbea65491383febfd, 0x441e7893909604b8, 0xf84bf10d8488bee3,
  0xc5dcdae951723fa8, 0x1e719ee58cf0e333, 0x54dd1c72ac0c9af5, 0xb2d747191cc580a6, 0x6b6e39633c75e45b,
  0xcfe2af9ddc549475, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xf29a84ae4ac7a1a8,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x19d10273e3182169, 0x6ca2317f36d38c6f, 0xf83bb8d1637c371e,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0xf6d274f257ee6866, 0x0000000000069274,
};

// pwm2b_swio15_dual_pr_ee_ce        pwm3_swio15_dual_pr_ee_ce         pwm3b_swio15_dual_pr_ee_ce
static const uint64_t ur_pwm2_swio15_dual_pr_ee_ce[] = {
  0x0fb2b77777750c86, 0x69dc1f4daf4b7d76, 0xbed5ef74abcb100a, 0x4e229c5a9a7bdc26, 0x66ec1326614b0765,
  0x2eeeec6ec782e62e, 0x3e30120a82bbc932, 0x08c87a0d23cf5cc1, 0x306acf167a4884e0, 0xec24ee9f12e20614,
  0x0341c34d4cff3f32, 0xac0fa7e6f51ffe6c, 0x057f98d022847242, 0xddf177bb7600dc3e, 0x2196814b4432bb8b,
  0x0ffd01cf09be7454, 0x95e5ab7cd012dbf6, 0x8cedffaff6982c37, 0x094ed9dff546c164, 0xdae089300fe78939,
  0x29dacac8866139dc, 0x3660c27fa8f2b53d, 0x8450298af027a8f8, 0x7d185962291669d6, 0x273abb71751d484d,
  0x6c75ed62763291ce, 0x1144be46b5ec6abc, 0x32386f65c7c62e12, 0x157ceee2a4b8c47c, 0xe793fb5e5caad67f,
  0x7673a8a9546ba138, 0x020274dcaed52df5, 0xd42572563d0d44d7, 0xcad75cf6ab445794, 0x85482e52d7ce80f1,
  0xa4829c6378ce8810, 0x9b681463b7b15545, 0x63ce1b8f365118bf, 0x4fdd599bf83bb8d1, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x02608072da4e9e4a,
};

// pwm2b_swio15_dual_pr_ee_ce_u4     pwm3_swio15_dual_pr_ee_ce_u4      pwm3b_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_pwm2_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e421f, 0xfa6d42fbebb074fb, 0xb26a27d69267dae0, 0xb0ebeb4f03e1e1ec, 0xd821fbc9c9f65887,
  0xb68d750809793abd, 0x415de4b4e7717d60, 0x47c41e609f180905, 0xf49109c01190f41a, 0x25c40c2860d59e2c,
  0xbb07f32bf689dd3e, 0x1daef6087c70c6e9, 0x4239215606ff26f5, 0x006e1f02bfcc6811, 0x195dc5eef8bbfd6a,
  0xd95a2a10cb436722, 0x096df2a3fe80e784, 0xcc161bcaf2d5be68, 0x51c7292330dfe6bd, 0x3cf12701cc41717d,
  0x97e21b09117dc688, 0x9b5d9ebf5abf51f0, 0x653b5b9b886678bb, 0x06cc184ff51e56c1, 0xd08a05315c87f51f,
  0xafa30b2c4522cd3a, 0xf8e7576ef9c3a909, 0x1b1d7b589db4a472, 0x21142628c7cb1aaf, 0x632386f65c7c62e1,
  0xf157ceee2a4b8c6d, 0x8e793fb5e5caad67, 0x57673a8a9546ba13, 0x7020274dcaed52df, 0x4d42572563d0d44d,
  0x1e7eb5cf6ab44579, 0xceaf52c2ca6c59d0, 0xe88139f18c10b4d5, 0x5118bf9b69c6378c, 0x3458df1726ae0f36,
  0x9fa9d599bf837e82, 0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00010009a0dd4e4f,
};

// pwm2b_swio15_dual_hw              pwm3_swio15_dual_hw               pwm3b_swio15_dual_hw
static const uint64_t ur_pwm2_swio15_dual_hw[] = {
  0xa7bbbbbb4486ff3e, 0xf83e9b4c44b5307f, 0x4abf751dc717ae34, 0x4a6ed609cefb4f5b, 0xf7d76cf9056efd33,
  0xf25047734f15ef6a, 0xad304f8c0482a0ae, 0x884e008c87a0d23b, 0x20614306acf167a4, 0x4ff32ec24ee9f12e,
  0xefe6c17d9c0a2cce, 0x08e48558199537a8, 0x01b87c0aff31a045, 0x0caee2f77c5de290, 0x9b7b8a8432d01f11,
  0x8096dd4f7fd01cf0, 0x44c161bcaf2d5be6, 0xef967be48feeff3b, 0xc72ac0e0ffa8fb7c, 0xc580aa0f32568f71,
  0xebc019db4a47109c, 0xb4c6325403ff6608, 0xddc549702503cb3d, 0xf6bcb955acfe2af9, 0x5152a8d74271cf27,
  0xe9b95daa5beaece7, 0xe4ac7a1a89ae0404, 0xb9ed5688af29a84a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90,
  0x15156f62aa8b4905, 0x1b8f365118bf9b68, 0xf7bca1854e7ea0bb, 0x3c0fe32fcc4ffef0, 0x5fe07efd86687913,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x57e0417d3c95fb9a, 0x0000000000000637,
};

// pwm2b_swio15_dual_ee_hw           pwm3_swio15_dual_ee_hw            pwm3b_swio15_dual_ee_hw
static const uint64_t ur_pwm2_swio15_dual_ee_hw[] = {
  0x56eeeeeea0a1a5fb, 0xc1f4dac7787cc1c0, 0x339ba10fed333b13, 0xc8eceb64cae345fa, 0xe16a3fb6e8280a69,
  0xbba591aeba559682, 0xf8c0482a0aef265d, 0x2321e8348de7d304, 0xc1ab3c59e9221380, 0xb093ba7c4b881850,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef00000370f8, 0x432d028a88657717,
  0xbffa039e1318f8a8, 0x2bcb56f9a025b7b5, 0x47a7ffced130586f, 0xe57a6e6ab5a37272, 0xef51f06cc1c7bf51,
  0x2cd3ad08a1df15ec, 0xe6909afa30b2c452, 0xd41cead2ea797152, 0x5ae875ea25d9fc47, 0xc242283d51fc9635,
  0x08fd6e1bd97d2cc5, 0xe2a4a010f9bdaa36, 0x5e5caad67f157cee, 0xa9546ba138e793fb, 0xdcaed52df57673a8,
  0x563d0d44d7020274, 0xf6ab445794d42572, 0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c,
  0xc79b288c5fcdb40a, 0xa50c2a73f5361d8d, 0xf80f9a1e44cf0271, 0x271964b867a615c9, 0xb9a19961d252d9f0,
  0x0aed0bf617d3c95f,
};

// pwm2b_swio15_dual_ce_hw           pwm3_swio15_dual_ce_hw            pwm3b_swio15_dual_ce_hw
static const uint64_t ur_pwm2_swio15_dual_ce_hw[] = {
  0xadddddd0f5a1a5fb, 0xc1f4dacc6bbd8394, 0xf71bbf68ed44e467, 0x51c40526ba01b17d, 0xc26f26517ee94a37,
  0x934cddd2c8d75d2a, 0xf9827c6024150577, 0x84e008c87a0d2138, 0x0614306acf167a48, 0xff32ec24ee9f12e2,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbcc0200, 0xea2a10cb40c7a219,
  0x5b70d1ff4073c26e, 0x0586f2bcb56f9a02, 0xac069224ebfced13, 0x0f3c49c84babee2f, 0x25f886c2445f71a2,
  0xee6d767ceb3fd47c, 0x224f72c67d4b99e2, 0xca8e39560622fa8f, 0x4a47109cc580bfb8, 0x03ff6678ebc019db,
  0x0940f2d6e4c63254, 0x6b3f8abe7771525c, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa26b81013a6e576a,
  0x2bca6a12b92b1e86, 0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x8c5fcdb40a31dbd8,
  0x39fa97ab8dc79b28, 0x2e7197e627f28615, 0xc73dffc1343c899e, 0x38cb25c33d30ae4f, 0xcd0ccb0e9296cf81,
  0x4dd47450be9e4afd, 0x0000000000000000,
};

// pwm2b_swio15_dual_ee_ce_hw        pwm3_swio15_dual_ee_ce_hw         pwm3b_swio15_dual_ee_ce_hw
static const uint64_t ur_pwm2_swio15_dual_ee_ce_hw[] = {
  0x3843ddddddd432db, 0x05707d36bd2e66d8, 0xf5fc3baeb79f63d9, 0xce69dd773683f366, 0xdf5ec1f614b04219,
  0xdcee3822acd33aab, 0x13e30120a82bbc90, 0x02321e8348e3c9cc, 0x0c1ab3c59e922138, 0xbb093ba7c4b88185,
  0x0ff0e188266bbfcc, 0xab03ff937a8fa6b6, 0x815fe63408a11c90, 0xf77c5decf580370f, 0x0865a181110caee2,
  0xb5ff4073c262eb15, 0xe5796adf3404b6fc, 0x48d6fff9da260b0d, 0x90956f9dff5472ba, 0xe6d7e8fa927e7893,
  0xb94ed6564dd309ce, 0xe0d98332bd4795ef, 0x5a1140a62bb75ea3, 0x35f4616588a459a7, 0xd41ceaedca787521,
  0xbc6c75ea25d9fc47, 0x8484507aa3f92c6a, 0x08991c37b2fa598b, 0xe2a4a598f9bdaa36, 0x5e5caad67f157cee,
  0xa9546ba138e793fb, 0xdcaed52df57673a8, 0x563d0d44d7020274, 0xf6ab445794d42572, 0x52d7ce80f1cad75c,
  0x6378ce881085482e, 0x63b7b15545a4829c, 0x8f365118bf9b6814, 0xe19e985727e7f61b, 0x87494b67c09c6592,
  0x185f4f257ee68665, 0x000000000089a7a7,
};

// pwm2b_swio15_dual_ee_ce_u4_hw     pwm3_swio15_dual_ee_ce_u4_hw      pwm3b_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_pwm2_swio15_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d06c4f, 0x0fa6d42f1e1b07df, 0xd7ddae2804b5272e, 0xd5ce721d5eda7b7c, 0xb043f793b7ef3efe,
  0x36d3ed0b68d1f382, 0x82a0aef25053bb48, 0x0d23e20f304f8c04, 0x167a4884e008c87a, 0x9f12e20614306acf,
  0x39b96bf32c8354ee, 0xf51f1bb61d8270bc, 0x22847242ac0daee6, 0x1e00dc3e057f98d0, 0x4432bb8bddf177f7,
  0x09b4dc54219681c1, 0xd012dbe547fd01cf, 0x3b982c3795e5ab7c, 0xaa3eaf92330dffbc, 0xf3c58be84a61ae2f,
  0x5f886c2445f71a20, 0x6d7e1fe3eefd47c2, 0x94ed6e6e6e99e2ee, 0x0d98332bd4795efb, 0xa1140a62bb75ea3e,
  0x5f4616588a459a75, 0x41ceaedca7875213, 0xc6c75ea25d9fc47d, 0x484507aa3f92c6ab, 0x8991c37b2fa598b8,
  0x2a4a598f9bdaa360, 0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d0d44d7020274d,
  0x6ab445794d425725, 0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0x3b7b15545a4829c6, 0xf365118bf9b68146,
  0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0x4d0173c95fb9a199, 0x00000000075d7916,
};

static const uint64_t ur_pwm81_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x04825bbbc9ddb1ec, 0xed907cfc89304f8c, 0x313be589af91a57f, 0x9238e5581887f51d, 0x3c731602dee9ba8c,
  0xc608ebc5cec37d19, 0x7972ab52b09adc72, 0x52a8d74541cde46d, 0xb395daa5beace751, 0xb90954bef5f47226,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x696d13840de10744, 0xf36c8122adec5551, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000549f5e7459e4a,
};

static const uint64_t ur_pwm81_swio10_noled_pr[] = {
  0x1eeeeee87afb1762, 0x2eed55c8a1718947, 0xf5e9ea981c4d8278, 0x35bc2f6dfa548b8e, 0x17f8ff17bb1c7a0b,
  0xf277699a330668ee, 0x3dcc13e3012096ee, 0x8bf23baff4a3767e, 0x8193dea3cdc77cb0, 0x2cb298ca9c638e55,
  0x3e767bd1dac73160, 0x59ea807fecc11d7a, 0xad556a81e59eddc3, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3,
  0x52fbd7d1c89ace57, 0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0x4e1037841d1020ee, 0x048ab7b15545a5b4,
  0x57079b288c5fcdb2, 0x2076d0d1674f8b93, 0xf2861539fa9d598f, 0x3c899e2e7197e627, 0x30ae4fc73dffc134,
  0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000001f26648aac,
};

static const uint64_t ur_pwm81_swio10_noled_pr_u4[] = {
  0x1137777768bb1762, 0x4f5bbb5572283225, 0x98ec2fd0e28e3184, 0x7f43bd04ebeb4f13, 0x1dc01b6d22eec441,
  0x6eef277699a335a1, 0xb3f224c13e301209, 0xe589af91a57fa51b, 0xe5581887f51d313b, 0x1602dee9ba8c9238,
  0xebc5cec37d193c73, 0xab52b09adc72c608, 0xd74541cde46d7972, 0xdaa5beace75152a8, 0x54bef5f47226b395,
  0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0x13840de10744083b, 0x8122adec5551696d, 0xd5c1e6ca2317f36c,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x42e2ab2792bf7343, 0x0000000000007c98,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ee[] = {
  0x509bbbbbba88aaac, 0x9b4eed55f85c9089, 0xe85ebd7d267c7fc4, 0x423c8a60d7db260b, 0x4e8666ed04106d05,
  0xbbbc9ddf228ecc4c, 0x9f8e5304f8c04825, 0x8fbaf916ebfce20f, 0x2fbd4795fee9aad6, 0xbe2b7f3d47c1b307,
  0x71c270dc3afb169b, 0xb8a266909afa5b19, 0xb5d1c6473ab4b994, 0x58d56ba1d7aea6ec, 0x9c071d8b4fa4464f,
  0xe2a5fd6e1bd970e5, 0xa0e6f236bcb955aa, 0xdf5673a8a9546ba2, 0x7afa391359caed52, 0x6ab445795c84aa5f,
  0x1a9e18a6f59de5cf, 0x0b71f14085a5aff1, 0x7f36d3840de10744, 0x63ce2e4d5c6ca231, 0x4fdd598f207e50d1,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0xa7cdaf791079e4af, 0x0000000000000000,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x4dcc13e3012096ee, 0xebe4656ff3883e7f, 0xf51e5695a6ab5a3e, 0x5fcef51f06cc1cbe,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x18f873ab4bc065c5, 0xab5d0ebd75376051, 0x71d8b4f22a3e82c6,
  0xd7d6e1bd970e59c0, 0x3791b5e5caad5704, 0xb39d454aa35d1507, 0xd1c89ace576a96fa, 0xa22bcae42552fbd7,
  0xe1a779f16bae7b55, 0x841d1020eea6c529, 0xb15545a5b44e1037, 0x288c5fcdb2048ab7, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x000004eba45f9107,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ce[] = {
  0xafcdddddddec53c3, 0x0da3bb5572284844, 0xf17e9bbd790c9871, 0x6ada0b83d936a64c, 0x8c7136104a87bb7e,
  0x25bbbc9dd23f2eec, 0xdd9f387304f8c048, 0x7fd57cf9095bfd28, 0x4dbfcf002c1cf9c7, 0x1759309cee6d7dda,
  0x03c17ea3e493dcb0, 0x31602f740a471cab, 0x1d7a3e767bd1dac7, 0x75c359ea807feccf, 0x7972ab555aa0796b,
  0x52a8d74541cde46d, 0xb395daa5beace751, 0xb90954bef5f47226, 0x7c5aeb9ed5688af2, 0x083ba9b14a7869de,
  0x696d13840de10744, 0xe6d90218edec5551, 0x79c5c9ab8d94462f, 0xfbab31e40eda1a2c, 0x271964b867a615c9,
  0x9a19961d252d964a, 0xbab71f15593c95fb, 0x0000000000000005,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ce_u4[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x25bbbc9dd4149cba, 0x0f9fb75304f8c048, 0x17d644f91813fce2, 0xa20f3c00b5a4cad7, 0x7c25f886c2445f71,
  0xe2ee6d74a8b91fd4, 0xa3e493dcb19fac99, 0x740a471cab03c17e, 0x767bd1dac731602f, 0xea807feccf1d7a3e,
  0x555aa0796b75c359, 0x4541cde46d7972ab, 0xa5beace75152a8d7, 0xbef5f47226b395da, 0x9ed5688af2b90954,
  0xb14a7869de7c5aeb, 0x840de10744083ba9, 0x18edec5551696d13, 0x83cd94462fe6d902, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e44cf03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xc883cf257ee68665, 0x000000000375eaca,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xf0d1304f8c04825b, 0x387f22c7ffce20f9, 0x002d692c7ceffaa3, 0x9cee6d724aca8fcf,
  0x5ba594ed6563df30, 0xea3e0d983403d479, 0xc3afb1698a62b90f, 0x09afa5b1971c270d, 0x3884e7576efdc3a9,
  0x55e363af3a6eda52, 0x1c762d34c5188b63, 0x044c8e1bd96cbe70, 0xe556a599355fd51b, 0x51ae8a839bc8daf2,
  0x2bb54b7d59cea2a5, 0x12a97debe8e44d67, 0xb5d73daad115e572, 0x77536294f0d3bcf8, 0xda27081bc20e8810,
  0xb20431dbd8aaa2d2, 0x8b93571b288c5fcd, 0x5663c81f943458f3, 0x32c970cf4c2b93f7, 0x332c3a4a5b2c944e,
  0x63fe441e792bf734, 0x00000000000029a7,
};

static const uint64_t ur_pwm81_swio10_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c92df, 0x2eed55fd4f274489, 0x56bb2d86656c17e6, 0x54006c233122694a, 0x3b13e442cb679218,
  0x9dd51f42157c4db3, 0xd304f8c04825bbbc, 0xc8c41ff0c85f3e87, 0xb9de20b8bea8edd7, 0xc2445f71a20f3c00,
  0x0b87ffd47c25f886, 0x736f7ccf17736bae, 0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb8e1386e1d7d8b4c,
  0x77ee1d484d7d2d8c, 0xd376d291c4273abb, 0x28c45b1aaf1b1d79, 0xcb65f380e3b169a6, 0xaafea8d8226470de,
  0xde46d7972ab52cc9, 0xce75152a8d74541c, 0x47226b395daa5bea, 0x88af2b90954bef5f, 0x869de7c5aeb9ed56,
  0x10744083ba9b14a7, 0xc5551696d13840de, 0x4462fe6d90218ede, 0xd1637c5c9ab83cd9, 0xcfd4eacc790334f8,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00027e6d7b3241e7,
};

static const uint64_t ur_pwm81_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x04825bbbc9ddb1ec, 0xff0e3cfc89304f8c, 0xe989df2c4d7c8d2b, 0x6491c72ac0c43fa8, 0xc9e398b016f74dd4,
  0x9630475e2e761be8, 0x6bcb955a9584d6e3, 0x8a9546ba2a0e6f23, 0x359caed52df5673a, 0x95c84aa5f7afa391,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0x8b4b689c206f083a, 0xbf9b6409156f62aa, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000011c5f5d14f2,
};

static const uint64_t ur_pwm81_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0x2ddde4eeb4efb5bb, 0x4cf8d69827c60241, 0x6b471efe469bffa1, 0xc19ebea3cace1cd5, 0x4ddf15975f51f06c,
  0x8cb8e1386e1d7d8b, 0xf72e3593484d7d2d, 0xbb6948e2139d5a5f, 0x3116c6ab5d0ebce9, 0xd97ce038ec5a698a,
  0x7f546c11fadc37b2, 0x236bcb955a8044d5, 0x3a8a9546ba2a0e6f, 0x91359caed52df567, 0x5795c84aa5f7afa3,
  0x4ef3e2d75cf6ab44, 0x3a2041dd4d8a53c3, 0xaa8b4b689c206f08, 0x18bf9b6409156f62, 0x4e7ea0bb1b8f3651,
  0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x0000002df00ac17d,
};

static const uint64_t ur_pwm81_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x02412ddde4ee9ba3, 0xffa14cfdba9827c6, 0xb2b5c5f5913e4604, 0x45f71a20f3c49c84, 0x5bfd47c25f886c24,
  0xfac99e2ee6d7fd73, 0x3c17ea3e493dcb19, 0x1602f740a471cab0, 0xd7a3e767bd1dac73, 0x5c359ea807feccf1,
  0x972ab555aa0796b7, 0x2a8d74541cde46d7, 0x395daa5beace7515, 0x90954bef5f47226b, 0xc5aeb9ed5688af2b,
  0x83ba9b14a7869de7, 0x96d13840de107440, 0x6d90218edec55516, 0x82ec6e3cd94462fe, 0xfbc3def2861539fa,
  0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c, 0x759be10f85f4f257,
};

// pwm81_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0xddde4eee7da01d44, 0x9f43e9827c602412, 0xa8edd7c8c41ff429, 0x1e7893909620b8be, 0x4bf10d8488bee344,
  0xcdafaa0f20ffa8f8, 0xb29dadcdbdf33c5d, 0xc1b306807a8f2b74, 0xf62d314c5721fd47, 0xf4b632e384e1b875,
  0x9ceaeddfb8752135, 0x6c75e74ddb4a4710, 0xc5a698a3116c6abc, 0x91c37b2d97ce038e, 0xd4b326abfaa36089,
  0xd15073791b5e5caa, 0xa96fab39d454aa35, 0x2fbd7d1c89ace576, 0xe7b55a22bcae4255, 0x6c529e1a779f16ba,
  0xe1037841d1020eea, 0x863b7b15545a5b44, 0xb8f365118bf9b640, 0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f,
  0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719, 0xcb4a17d3c95fb9a1, 0x0000000000000a02,
};

static const uint64_t ur_pwm81_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x02412ddde4ee82f4, 0xf6c83e7dfc9827c6, 0xf21df2c4d7c832bf, 0xdf1c72ac0c43fa8f, 0xa0398b016f74c7ab,
  0xb1823af173b5ac8f, 0x5e5caad4ace7b71c, 0x54aa35d15073791b, 0x04e576a96fab39d4, 0x55aba5fd1c89ae04,
  0x5ae7b55a22bcae42, 0xa96165362ce80f3f, 0xd8ff14085a6ae757, 0xf36d3840de107440, 0xe4fcfec376ca2317,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x0002a41d67459e4a,
};

static const uint64_t ur_pwm81_swio10_lednop_pr[] = {
  0x7bbbbbba83d8b562, 0x5ddaab914cc6251c, 0x7b856eac871b04f0, 0xcd6f0b2e3b6e8453, 0x6a60bf8feec71e82,
  0xbc9ddfa706cfddc1, 0x80d304f8c04825bb, 0x45f901effd28dd9f, 0xc0c9ef51e713be58, 0x2cb298c79eb1c72a,
  0x7cedf22383e73160, 0xe81500ffd9823af4, 0x56b02b40f2cf6f7b, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551,
  0x2fe8e44d7020272b, 0xaad115e57212ad5d, 0xb5f3a03c72b5d73d, 0xf083a20421520b94, 0x7b15545a4829c206,
  0xb288c5fcdb2ec8ab, 0x0d165abcb9357079, 0x539fa9d598f2076d, 0xd0f22678138d2861, 0x25c33d30ae4fc07c,
  0xcb0e9296cf8138cb, 0x5b8aac9e4afdcd0c, 0x000000000001f26f,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_u4[] = {
  0x89bbbbbb45d8ad4e, 0xadddaab914f17128, 0xfdcc750e2448c227, 0xbfa1de82d790c9f8, 0x198db26635f76220,
  0x6eef2774c4dc1241, 0xb3efe4c13e301209, 0xe589af90657fa51b, 0xe5581887f51fe43b, 0x1602dee98f57be38,
  0x75e2e76b591f4073, 0x55a959cf6e396304, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0x4bfa39135c0809ca,
  0x6ab445795c84ab57, 0xca6c59d01e7eb5cf, 0x2810b4d5ceaf52c2, 0x7081bc20e881b1fe, 0xab83cd94462fe6da,
  0xf2076d0d1637c5c9, 0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e44cf, 0x92e19e985f1a3d17,
  0x6587494b67c09c65, 0x59c5564f257ee686, 0x0000000000001f26,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0xcc13e3012096eef2, 0xc88e5fe7107cff57, 0x7959439aad68e3df, 0x0bea3e0d9833d7d4,
  0x0dc3afb169bbe2b6, 0x6909afa5b1971c27, 0xf873ab4bfce5c6b2, 0xd743af3a6ec13d1a, 0x762d3c9118dfb1aa,
  0xfd6e1bd96cbe701c, 0x5a80570d67aa3608, 0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0xbfa39135c0809cae,
  0xab445795c84ab574, 0xd7ce80f1cad75cf6, 0xc20e881085482e52, 0xec55516920a7081b, 0xca2317f36cbb22ad,
  0x3459d3e2e4d5c1e6, 0x4e7ea75663c81f94, 0x8b9c65f989fca185, 0xf1cf7ff04d0f2267, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x275d766441e792bf,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xe394c13e3012096e, 0xeebe45baff3883e7, 0xef51e5721e6ab5a3, 0x159c3f51f06cc1cb,
  0xe1386e1d7d8b4ddf, 0x5133484d7d2d8cb8, 0x11a6273ab4b9455c, 0x6ab5d0ebd7537640, 0x038ec5a6f7a3b5ac,
  0x70feb70decb872ce, 0x73791b5e5caad571, 0xab39d454aa35d150, 0x89ae0404e576a96f, 0xbcae4255aba5fd1c,
  0x078e56bae7b55a22, 0x40842a417296be74, 0x8b49053840de1074, 0xbf9b65d9156f62aa, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x04eb842f220f3c95,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8b562, 0x1b4776aae4519089, 0x867ad2f4bdf370e2, 0x6ada0b8392164e00, 0xb7071795b85fbb7e,
  0x96eef2777e9c1b34, 0x767ca1cc13e30120, 0xff55f3e4487ff4a3, 0xff3f3c00b070e19d, 0x1759309cee6d7d34,
  0x03c17ea38293dcb0, 0x62c050f680471cab, 0x75e8f9dbe44707ce, 0x76f7d02a01ffb33c, 0x7972ab5815a0796b,
  0x52a8d74541cde46d, 0x1395daa5beace751, 0x56ae97f47226b810, 0xeb9ed5688af2b909, 0x05ca5af9d01e395a,
  0xe1037841d10210a9, 0xc31dbd8aaa2d2414, 0x3571b288c5fcdb2e, 0x3c81db43458f38b9, 0x970cf4c2b93f7566,
  0xc3a4a5b2c944e32c, 0xa2ab2792bf734332, 0x0000000000b75e93,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ce_u4[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0x5bbbc9dd3ad1a848, 0xf9f8ad304f8c0482, 0x7d644f91beffce20, 0x20f3c00b5a4b7571, 0xc25f886c2445f71a,
  0x2ee6d7a4a672fd47, 0x38293dcb19fac99e, 0x680471cab03c17ea, 0xbe44707ce62c050f, 0xa01ffb33c75e8f9d,
  0x815a0796b76f7d02, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x47226b8101395daa, 0x88af2b90956ae97f,
  0x9d01e395aeb9ed56, 0x1d10210a905ca5af, 0xaaa2d2414e103784, 0x8c5fcdb2ec31dbd8, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00006eb96791079e,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xe76e609f180904b7, 0xe1fc8ddaff3883e7, 0x00b5a4dda3bfea8c, 0xe7736bf47d493f3c,
  0xcbaca76b2b1ef984, 0x51f06cc1a01ea3ca, 0x1d7d8b4c531594bf, 0x4d7d2d8cb8e1386e, 0xaf873abb77ce1d48,
  0x5e363af3a6ec13d1, 0x8ec5a792231bf635, 0x8991c37b2d97ce03, 0x55a96770d67aa360, 0x6ba2a0e6f236bcb9,
  0xed52df5673a8a954, 0x4bfa39135c0809ca, 0x6ab445795c84ab57, 0x2d7ce80f1cad75cf, 0xbc20e881085482e5,
  0xdec55516920a7081, 0xd94462fe6d97618e, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86,
  0xf3c95fb9a19961d2, 0x0000014d33853220,
};

static const uint64_t ur_pwm81_swio10_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c50e3, 0x2eed55fd4e05c489, 0x76d86d1a78bc17e6, 0x54006c64e466625a, 0xe0ddd382cb679218,
  0x27742c0fb6538594, 0xbcc13e3012096eef, 0xf22007fc3217cffe, 0x2e77002e2faa3b75, 0xb09117dc6883cf00,
  0xebf5abf51f097e21, 0xb9b7be678bb9b5d9, 0xd00f51e565d653b5, 0x298aca5fa8f83660, 0x5c709c370ebec5a6,
  0xbbe70ea426be96c6, 0xd37609e8d7c39d5d, 0x118dfb1aaf1b1d79, 0x96cbe701c762d3c9, 0x6b3d51b044c8e1bd,
  0x791b5e5caad4b3b8, 0x39d454aa35d15073, 0xae0404e576a96fab, 0xae4255aba5fd1c89, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x49053840de107440, 0x36cbb0c76f62aa8b, 0x2e4d5c1e6ca2317f, 0x663c819a7c68b1be,
  0x0f7bca1854e7ea75, 0x33c0fe32fcc4ffef, 0x45fe07efd8668791, 0x1964b867a617c68f, 0xa19961d252d9f027,
  0x2ead9920f3c95fb9, 0x000000000000013f,
};

static const uint64_t ur_pwm81_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x02412ddde4ee82f4, 0xff871e7dfc9827c6, 0x7f90ef9626be4195, 0x5ef8e39560621fd4, 0x7d01cc580b7ba63d,
  0xe58c11d78b9dad64, 0xdaf2e556a5673db8, 0xa2a551ae8a839bc8, 0x20272bb54b7d59ce, 0x12ad5d2fe8e44d70,
  0xfad73daad115e572, 0xbd4b0b29b1674079, 0x06c7f8a042d3573a, 0xbf9b69c206f083a2, 0x5727e7f61bb65118,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000008e21d514f2,
};

static const uint64_t ur_pwm81_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0xddde4eeb6239da9c, 0x9feaf9827c602412, 0x68e3dfc88e5ff429, 0x33d7d47959439aad, 0xbbe2b60bea3e0d98,
  0x971c270dc3afb169, 0xe5c6b26909afa5b1, 0xc13d1af873ab4bfc, 0xdfb1aad743af3a6e, 0xbe701c762d3c9118,
  0xaa3608fd6e1bd96c, 0x6bcb955a80570d67, 0x8a9546ba2a0e6f23, 0x809caed52df5673a, 0x4ab574bfa39135c0,
  0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0xa7081bc20e881085, 0xbb22adec55516920, 0x6371e6ca2317f36c,
  0x1ef79430a9cfd417, 0x6781fc65f989ffde, 0x8bfc0fdfb0cd0f22, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0x7cd6082fa792bf73, 0x000000000000000b,
};

static const uint64_t ur_pwm81_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x12096eef2775d92b, 0xfd0a67e2b4c13e30, 0x6eae2fac89f237df, 0x2fb8d1079e24e425, 0xd7ea3e12fc436122,
  0xd64cf17736bde1f2, 0xe0bf51c149ee58cf, 0x60287b40238e5581, 0xf47cedf22383e731, 0x7be81500ffd99e3a,
  0xb955ac0ad03cb5bb, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809, 0xcf6ab445795c84ab,
  0xe52d7ce80f1cad75, 0x81bc20e881085482, 0x8edec55516920a70, 0x3cd94462fe6d9761, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x6285f4f257ee6866,
  0x00000000003acde6,
};

// pwm81_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0x6eef277475d35f7b, 0xcffebcc13e301209, 0x5476ebe4400ffa14, 0x0f3c49c84a005c5f, 0x25f886c2445f71a2,
  0x736b8523e72fd47c, 0xaca76b736f7ccf17, 0xf06cc1a01ea3cacb, 0x7d8b4c531594bf51, 0x7d2d8cb8e1386e1d,
  0x873abb77ce1d484d, 0x363af3a6ec13d1af, 0xc5a792231bf6355e, 0x91c37b2d97ce038e, 0xa96770d67aa36089,
  0xa2a0e6f236bcb955, 0x52df5673a8a9546b, 0xfa39135c0809caed, 0xb445795c84ab574b, 0x7ce80f1cad75cf6a,
  0x20e881085482e52d, 0xc55516920a7081bc, 0x4462fe6d97618ede, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286,
  0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874, 0x0000000280adc805,
};

// pwm81_swio10_dual_pr
static const uint64_t ur_pwm81_swio10_dual[] = {
  0xa5ddddddde7c7a31, 0x7c1f4da622739839, 0x7b62fb06d60d0b69, 0xc5f4cfed1d629c9f, 0x46a08761b74d291f,
  0x823b913f0f947c1f, 0x609f180904b77792, 0x7c01190f41a41806, 0x0c199b7e2fb7e15d, 0xd6a9dd3f27d88185,
  0xbece05166727f994, 0xac0cca9bd477f360, 0x057f98d022847242, 0xf77c5ded7600dc3e, 0x8432d01f110caee2,
  0xa5ffd01cf09b7b8a, 0xf2bcb56f9a0c5edc, 0xe42fbff752330586, 0xd6f51c279df2d917, 0x53145dbf1c72ac0e,
  0x97c8d6b9cc580bac, 0x03ff6608ebc06a76, 0xc703cb3db1f37b54, 0xe7afba6ebebd7c29, 0xa0e6f236bcb955ac,
  0xdf5673a8a9546ba2, 0x39135c0809caed52, 0x45795c84ab574bfa, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c,
  0x5516920a7081bc20, 0x317f36cbb22adec5, 0x63ce2e4d5c1e6ca2, 0x7eeacc790334f8d1, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x1880f2e6483cf257, 0x0000000000000000,
};

static const uint64_t ur_pwm81_swio10_dual_pr_u4[] = {
  0x734bbbbbbb4486f9, 0xd2f83e9b4c44e730, 0x3b53ef760dac1a16, 0x523f8be99fda3ac5, 0xcfe18d410ec36e9a,
  0xbc9411dd368e43b9, 0xc03304f8c04825bb, 0x0aebe008c87a0d20, 0x0c2860ccdbf17dbf, 0xf32ec24ee9f93ec4,
  0xe6c17d9c0a2cce4f, 0xe48558199537a8ef, 0xb87c0aff31a04508, 0x5dc5eef8bbdaec01, 0xf7150865a03e2219,
  0xbdb94bffa039e136, 0x0b0de5796adf3418, 0xb22fc85f7fffcea6, 0x581dadea384f3be5, 0x1758a628bb7e38e5,
  0xd4ed2f91ad7398b0, 0xf6a807fecc11d780, 0xf8538e07967b63e6, 0xab59cf5f74dd7d7a, 0xd74541cde46d7972,
  0xdaa5beace75152a8, 0x97f47226b8101395, 0xd5688af2b90956ae, 0x5af9d01e395aeb9e, 0x7841d10210a905ca,
  0xbd8aaa2d2414e103, 0xd94462fe6d976455, 0xf07771a2c6f86e3c, 0xe50c2a73f53ab337, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xac9079e4afdcd0cc, 0x0000000002926b4f,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ee[] = {
  0xd3b7777775050c86, 0x8f07d36b1de4c60e, 0xee44eea4c3ad02cc, 0x7ac8cd055710b157, 0x83e26eb5b6e82b4e,
  0xeddddd8dd9f57e62, 0x09f180904b777932, 0x802321e8348ee3e6, 0x83336fc5f6fc2baf, 0x093ba7e4fb1030a1,
  0x68e016a631ffccbb, 0x038ad37a8e4eb609, 0x5fe63408a11c90ab, 0xbe2efba180370f81, 0x32d028a88657717b,
  0xffa039e1318f8a84, 0x796adf3418bdbe9a, 0x4b5fffcea60b0de5, 0x5cae9aad68ea57c8, 0xd47c1b307b7fd479,
  0x875f62d377c57bef, 0x135f4b632e384e1b, 0x9d5a5ca5ae04fcd2, 0x3af633760f68d003, 0x69ce28defb1aad74,
  0xe1bd977bb380e3b1, 0x0437ee1aa3608fd6, 0xb39ebee9bafaf5f0, 0x8a839bc8daf2e556, 0x4b7d59cea2a551ae,
  0xe8e44d7020272bb5, 0xd115e57212ad5d2f, 0xf3a03c72b5d73daa, 0x83a20421520b94b5, 0x15545a4829c206f0,
  0x88c5fcdb2ec8ab7b, 0x771a2cb578dc79b2, 0xc2a73f53ab337f07, 0xf9a1e44cf0271a50, 0x964b867a615c9f80,
  0x19961d252d9f0271, 0x39f5920f3c95fb9a, 0x0000000000000564,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed1369fbb90, 0x0fa6d63bc98c1da7, 0x69ed49875a05991e, 0x9a0aae2162afc89d, 0xdd6b6dd0569cf591,
  0xa44af2bdff5b07c4, 0x0904b777932eddc6, 0x1e8348ee3e609f18, 0xfc5f6fc2baf80232, 0x7e4fb1030a183336,
  0x5318ffe657ed13ba, 0xbd47275b04b4700b, 0x04508e485581c569, 0xd0c01b87c0aff31a, 0x54432bb8bddf177d,
  0xf098c7c542196814, 0x9a0c5edf4d7fd01c, 0x68730586f2bcb56f, 0xad68ea57c84b5fec, 0x307b7fd4795cae9a,
  0xd377c57befd47c1b, 0x632e384e1b875f62, 0xa5ae04fcd2135f4b, 0x760f68d0039d5a5c, 0xdefb1aad743af633,
  0x7bb380e3b169ce28, 0x1aa3608fd6e1bd97, 0xe9bafaf5f00437ee, 0xc8daf2e556b39ebe, 0xcea2a551ae8a839b,
  0x7020272bb54b7d59, 0x7212ad5d2fe8e44d, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x4829c206f083a204,
  0xdb2ec8ab7b15545a, 0xb9357079b288c5fc, 0xcdfc1bf411a2c6f8, 0xef79430a9cfd4eac, 0x781fc65f989ffde1,
  0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xad51641e792bf734, 0x0000000000005645,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ce[] = {
  0x4eddddddde7cd0e3, 0xbc1f4da623b2983f, 0x7a3afb02d1d9a568, 0x834160deabe6c5bf, 0x129f6588e76ef4e5,
  0x9866eeae36829af9, 0xf304f8c04825bbbc, 0xd7c01190f41a40c2, 0x50c199b7e2fb7e15, 0x4d6a9dd3f27d8818,
  0x121ce05d66287f99, 0xab0328b37a8ff3b6, 0x815fe63408a11c90, 0xbddf177e3700370f, 0xa10cb426e4432bb8,
  0x8e5ff4073c264c62, 0xbcaf2d5be68317b7, 0xf9050ffdd48cc161, 0x80173b28a77fd57c, 0x4e7736beed26dfe7,
  0x51e6e9ee580bac98, 0x44f9238e5581e0bf, 0x3b4648f7b398b016, 0xba0dc72c678ebd1f, 0x39ebee9bafaf5f0e,
  0xa839bc8daf2e556b, 0xb7d59cea2a551ae8, 0x8e44d7020272bb54, 0x115e57212ad5d2fe, 0x1674079fad73daad,
  0x2d3573abd4b0b29b, 0xde107440d8fe6304, 0xe6ca2317f36d3840, 0x4f8d163ce2e4d5c1, 0x985727eeacc79033,
  0x4b67c09c6592e19e, 0xcf257ee686658749, 0x0000039ebd386483,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ce_u4[] = {
  0xe647777776890c86, 0xa7707d36b31aaf60, 0x96d77ee80a2951c7, 0xe4ea661b9d6f7ed3, 0x798a1640258b74c8,
  0xf248fbbbbb1bb2d0, 0xf5cc13e3012096ee, 0x575f004643d0690c, 0x61430666df8bedf8, 0x997612774fc9f620,
  0xb61bece1a6e68adf, 0x90ab0328737a8f95, 0x0f815fe63408a11c, 0xb8bddf1779250037, 0xa2a10cb43ba4432b,
  0x6f43fff4073c26d2, 0xc3795e5ab7cd062f, 0x89f237dffff3a982, 0x9e24e4256eae2fac, 0xfc4361222fb8d107,
  0x36bb21d257ea3e12, 0x49ee58cfd64cf177, 0x238e5581e0bf51c1, 0x2383e73160287b40, 0x1cb19e3af47cedf2,
  0x74dd7d7af87437f7, 0xe46d7972ab59cf5f, 0xe75152a8d74541cd, 0xb8101395daa5beac, 0xb90956ae97f47226,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0x2414e1037841d102, 0xdb2ec31dbd8aaa2d, 0x8df0dc79b288c5fc,
  0xea75666fe0eee345, 0xffef0f7bca1854e7, 0x879133c0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617,
  0x5fb9a19961d252d9, 0x003492055920f3c9,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ee_ce[] = {
  0x3ce2ddddddd432db, 0xf5b83e9b5e95a798, 0x1dfabeea7d96ab0c, 0x2be37473bdc61f20, 0x6d0672b8e14b0671,
  0x1771c11560f0ccea, 0x27c602412ddde499, 0x01190f41a4279798, 0x199b7e2fb7e15d7c, 0x49dd3f27d881850c,
  0x83869a99fe7e65d8, 0x1f4fcdea3ffcd806, 0xff31a04508e48558, 0xf177f9c801b87c0a, 0x96814b4432bb8bdd,
  0xfd01cf09be745421, 0xcb56f9a0c5edc527, 0x68fffe7530586f2b, 0x8341dff5465d7e40, 0xbf47d493f3c49c84,
  0x76b2b131984e7736, 0xcc1e95ea3caca5ca, 0xb4c5315943f51f06, 0xd8cb8e1386e1d7d8, 0xabb73a51d484d7d2,
  0xaf29a769111cdc73, 0x35f11c656355e363, 0x0decb726701c762d, 0xbafaf5f6311be647, 0xdaf2e556b39ebee9,
  0xa2a551ae8a839bc8, 0x20272bb54b7d59ce, 0x12ad5d2fe8e44d70, 0xb5d73daad115e572, 0x520b94b5f3a03c72,
  0x29c206f083a20421, 0x5d863b7b15545a48, 0xe1b8f365118bf9b6, 0xd599bf83bb8d163c, 0x8cb25c33d30ae4fd,
  0xd0ccb0e9296cf813, 0x4e93ac9079e4afdc, 0x0000000000000130,
};

static const uint64_t ur_pwm81_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3ef2df, 0x7d36a1795ed83962, 0x05b55e3afb2a7170, 0xfbccdcda1372c9a7, 0x09fbc9c5899f1dac,
  0x8559cf2ee435c5da, 0xdde4b4e775601080, 0xf1eb9827c602412d, 0x8575f004643d0690, 0x061430666df8bedf,
  0xccafda2774fc9f62, 0xd821f1c31ba6ec1f, 0x85581bfc9bd476bb, 0x7c0aff31a04508e4, 0x17bbe2efb92801b8,
  0xa8432d0d9c886577, 0xeb3ffa039e136568, 0xbcaf2d5be68317b7, 0xe421f7fb1a1cc161, 0x80e21f5c5f547a6f,
  0x8488bee3441e7893, 0x75c95fa8f84bf10d, 0xcda6333c5dcdaf1f, 0xa57a8f2b29729dad, 0x4c5650fd47c1b307,
  0xe384e1b875f62d31, 0xce94752135f4b632, 0x69da4447371ceaed, 0x471958d578d8ebca, 0x2dc99c071d8b4d7c,
  0xbd7d8c46f991c37b, 0xb955ace7afba6ebe, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x574bfa39135c0809,
  0xcf6ab445795c84ab, 0xe52d7ce80f1cad75, 0x81bc20e881085482, 0x8edec55516920a70, 0x3cd94462fe6d9761,
  0xfa08d1637c5c9ab8, 0x854e7ea75666fe0d, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3, 0x7a617c68f45fe07e,
  0x252d9f0271964b86, 0x0f3c95fb9a19961d, 0x00000002000b38b2,
};

static const uint64_t ur_pwm81_swio10_dual_hw[] = {
  0x97777776890d7f41, 0xf07d369889ce60e6, 0xa7deec1b58342da5, 0x7f17d33fb4758a76, 0xaf1a821d86dd34a4,
  0x792823bbdc666f7e, 0x806609f180904b77, 0x15d7c01190f41a41, 0x1850c199b7e2fb7e, 0xe65d849dd3f27d88,
  0xcd82fb3814599c9f, 0xc90ab0332a6f51df, 0x70f815fe63408a11, 0xbb8bddf177b5d803, 0xee2a10cb407c4432,
  0x7b7297ff4073c26d, 0x161bcaf2d5be6831, 0xd917e42fbff3b44c, 0xac0ed6f51c279df2, 0x0bac53145dbf1c72,
  0x6a7697c8d6b9cc58, 0x7b5403ff6608ebc0, 0x7c29c703cb3db1f3, 0x55ace7afba6ebebd, 0x6ba2a0e6f236bcb9,
  0xed52df5673a8a954, 0x4bfa39135c0809ca, 0x6ab445795c84ab57, 0x2d7ce80f1cad75cf, 0xbc20e881085482e5,
  0xdec55516920a7081, 0x6ca2317f36cbb22a, 0x430a9cfd4176371e, 0xc65f989ffde1ef79, 0xfdfb0cd0f226781f,
  0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x82fa792bf734332c, 0x000000000c6eab4f,
};

static const uint64_t ur_pwm81_swio10_dual_ee_hw[] = {
  0x3b7777743d686f97, 0xf07d36b1de4c60ed, 0xe44eea4c3ad02cc8, 0xac8cd055710b157e, 0x3e26eb5b6e82b4e7,
  0xcbb773c119d6a9d0, 0x9827c602412ddde4, 0xbe008c87a0d23b8f, 0x860ccdbf17dbf0ae, 0xec24ee9f93ec40c2,
  0x25a3805a98c7ff32, 0xac0e2b4dea393ad8, 0x057f98d022847242, 0xeef8bbee8600dc3e, 0x10cb40a2a2195dc5,
  0x6bfe80e784c63e2a, 0x95e5ab7cd062f6fa, 0xc84b5fe768982c37, 0x795cae9aad68ea57, 0xefd47c1b307b7fd4,
  0x1b875f62d377c57b, 0xd2135f4b632e384e, 0x039d5a5ca5ae04fc, 0x743af633760f68d0, 0xb169ce28defb1aad,
  0xd6e1bd977bb380e3, 0xf00437ee1aa3608f, 0x56b39ebee9bafaf5, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551,
  0x2fe8e44d7020272b, 0xaad115e57212ad5d, 0xb5f3a03c72b5d73d, 0xf083a20421520b94, 0x7b15545a4829c206,
  0xb288c5fcdb2ec8ab, 0x61539fa97ab8dc79, 0x99e2e7197e627f28, 0xe4fc73dffc1343c8, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x0002bb473e0be9e4,
};

static const uint64_t ur_pwm81_swio10_dual_ce_hw[] = {
  0x375bbbbbb4486f97, 0x0783e9b598a6bb07, 0xb70fb74eb00a4777, 0x0dd2edeb201b9c58, 0x4eb66eb8957ee9ba,
  0xef2699bb9e08ceb5, 0x75f4c13e3012096e, 0x8575f004643d0690, 0x061430666df8bedf, 0xf997612774fc9f62,
  0x76c2391c0e0cdd5f, 0x92156072ba6f51f6, 0xe1f02bfcc6811423, 0x7717bbe2ef524006, 0xa8a8432d031e8865,
  0xdb8cdffd01cf09bb, 0xb0de5796adf3418b, 0x8f7f22397f9da260, 0xf3c49c8486b5c5f5, 0x5f886c2445f71a20,
  0xe6d7eb3643fd47c2, 0xacf72c6789f99e2e, 0x48e395607d27a8e7, 0xc8d6b9cc580abee4, 0xff6678ebc06a7697,
  0xc0f2d6e1f37b5403, 0xebee9bafaf5f0a71, 0x39bc8daf2e556b39, 0xd59cea2a551ae8a8, 0x44d7020272bb54b7,
  0x5e57212ad5d2fe8e, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x45a4829c206f083a, 0xbf9b65d863b7b155,
  0x7ea0bb1b8f365118, 0x4ffef0f7bca1854e, 0x6879133c0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000137540817d3c,
};

static const uint64_t ur_pwm81_swio10_dual_ee_ce_hw[] = {
  0x9ceddddddd431f02, 0x8b83e9b5e966d183, 0xab8bdddfbebb3b4d, 0x4c7ad1a87e5a0f77, 0x7e3fa10e14b04e72,
  0x9dca31166f4c29f5, 0x9f180904b777921b, 0x04643d06907cfa60, 0x666df8bedf8575f0, 0x2774fc9f62061430,
  0x1c3104cd77f99761, 0x7ff26f51f4d6c1fe, 0xfcc6811423921560, 0xc5deb82006e1f02b, 0x5a181110caee2f77,
  0xf4073c262eb15086, 0x5ab7cd062f6e6b7f, 0xf9fe768982c3795e, 0x3fc3bfea8d4f7c87, 0xb9256547e7893909,
  0x76b2b17c984e7736, 0xcc1c89ea3caf024a, 0xb4c5315e56f51f06, 0xd8cb8e1386e1d7d8, 0xabb714b1d484d7d2,
  0x5ec66ec1ed1a0073, 0x738a37bec6abc6c7, 0x6f65deece038ec5a, 0xc6fdc3546c113238, 0x73d7dd375f5ebe2c,
  0x5073791b5e5caad6, 0x6fab39d454aa35d1, 0x1c89ae0404e576a9, 0x22bcae4255aba5fd, 0x74078e56bae7b55a,
  0x7440842a417296be, 0xaa8b49053840de10, 0x317f36cbb0c76f62, 0xae4fcfec371e6ca2, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000022699240be9e,
};

static const uint64_t ur_pwm81_swio10_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d1ac4f, 0x0fa6d42f721b07cf, 0xbb3742d738219cee, 0x71517d5efeafee37, 0x119c3f793b3eec5e,
  0x3aab8fda0d52c8a3, 0x2412ddde4a0a774d, 0xe8348d7059827c60, 0xc5f6fc2baf802321, 0xe4fb1030a183336f,
  0x6e5afccb20d53ba7, 0x47c6ed87609c2f0e, 0xa11c90ab036bb9bd, 0x00370f815fe63408, 0x8657717bbe2ef154,
  0x369b8a8432d03828, 0x317b7a4affa039e1, 0xcc161bcaf2d5be68, 0x8c6b7c8ec1ffde1d, 0xf162fa12ec1b8bea,
  0xe21b09117dc6883c, 0xaeedd8593f51f097, 0x9dadcdaf933c5dcd, 0xb307227a8f2bc092, 0x2d314c5795bd47c1,
  0xb632e384e1b875f6, 0xeaedc52c752135f4, 0xd7b19bb07b46801c, 0x9ce28defb1aaf1b1, 0x1bd977bb380e3b16,
  0x31bf70d51b044c8e, 0x9cf5f74dd7d7af8b, 0x541cde46d7972ab5, 0x5beace75152a8d74, 0x47226b8101395daa,
  0x88af2b90956ae97f, 0x9d01e395aeb9ed56, 0x1d10210a905ca5af, 0xaaa2d2414e103784, 0x8c5fcdb2ec31dbd8,
  0xa73f505d8dc79b28, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00001d751a37680b,
};

// pwm81_swio12_noled
static const uint64_t ur_pwm81_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x825bbbc9ddcc490d, 0x20f9f8f7304f8c04, 0x77cb741f23baffdb, 0x71cab03affea3a62, 0xe62c05bdd32003e4,
  0x08ebc5cedd223278, 0xe556a56087dc72c6, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0x4ad8debe8e44d672,
  0xeb5cf6ab445795c8, 0xa75380b2953e9de7, 0x08f2f14085a585ce, 0x7f36d3840de10744, 0xae4fcfec376ca231,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x00002a4b767459e4,
};

// pwm81_swio12_noled_pr
static const uint64_t ur_pwm81_swio11_noled_pr[] = {
  0x0b77777507b128ae, 0xb55722950e25713a, 0x4f5fb1a0b609e0bb, 0xc1c436c66cf7a7b6, 0xfcc6b4ddb89d059a,
  0x4ee9a58e38bc4882, 0xf9827c602412ddde, 0xfc8dbffe946ecf98, 0x64d7a8e0a1df2dbd, 0x594c1ed008e39560,
  0x3b2628c45398b016, 0xe5403ff6608ebd1f, 0xaa11303cb3dbb589, 0xa2a0e6f236bcb955, 0x2df57673a8a9546b,
  0x37afa391359caed5, 0x3daad115e57212b6, 0x6294f0d3bcf8b5d7, 0x081bc20e88107753, 0xc55bd8aaa2d2da27,
  0x079b288c5fcdb610, 0x76d0d165abcb9357, 0x861539fa9d598f20, 0x07cd0f22678138d2, 0x8cb25c33d30ae4fc,
  0xd0ccb0e9296cf813, 0x93c218aac9e4afdc, 0x000000000000000f,
};

// pwm81_swio12_noled_pr_u4
static const uint64_t ur_pwm81_swio11_noled_pr_u4[] = {
  0x2ffbbbbb45d8bf82, 0xeed55c8a50912d48, 0x50f4d06e246113d6, 0x0ee38f522f892e3b, 0x99fa5f17bba905fd,
  0xf27757189153706c, 0x3dcc13e3012096ee, 0x41f23baff4a3767e, 0x03affea3a6277cb7, 0x5bdd32003e471cab,
  0x5cedd223278e62c0, 0x56087dc72c608ebc, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xebe8e44d672bb54b,
  0x6ab445795c84ad8d, 0x0b2953e9de7eb5cf, 0x14085a585cea7538, 0x3840de1074408f2f, 0xd5c1e6ca2317f36d,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x8be2ab2792bf7343, 0x000000000000f934,
};

// pwm81_swio12_noled_pr_ee
static const uint64_t ur_pwm81_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0xcc13e3012096eef2, 0xe46ceff3883e7ce0, 0x3cacbacd56b4663f, 0x4bf51f06cc1f51ea,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0xe439d5a5dc9ae359, 0xb5d0ebce9bb1ea8f, 0x8ec5a710a3deec6a,
  0x1fadc37b2d97ce03, 0xaad402e839e546c1, 0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d1c89ace57,
  0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0x13840de10744083b, 0x0862adec5551696d, 0xab83cd94462fe6db,
  0x903f2868b3a7c5c9, 0xf9430a9cfd4eacc7, 0x1e44cf1738cbf313, 0x985727e39effe09a, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x0000004ebc0ac883,
};

// pwm81_swio12_noled_pr_ee_u4
static const uint64_t ur_pwm81_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0xa609f180904b7779, 0xf22577f9c41f3fb3, 0x1e57f3a6ab5a3dbf, 0xd2fa8f83660e71f5,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0xd739d5a5d7dae289, 0xba1d7aea6ed2f91a, 0xd8b4c7c47d258d56,
  0xd6e1bd970e59c071, 0x91b5e5caad571d07, 0x9d454aa35d150737, 0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c,
  0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x551696d13840de10, 0x62fe6db0862adec5, 0x637c5c9ab83cd944,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e44cf03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0013ae9a0c883cf2,
};

// pwm81_swio12_noled_pr_ce
static const uint64_t ur_pwm81_swio11_noled_pr_ce[] = {
  0xad5b777777b128ae, 0xa3bb557228b4448d, 0xde9fbda13778710d, 0xda08c9a9bc77b6cd, 0x2256d90f1fba6d6a,
  0x77793ba69638b451, 0x3e5d6609f180904b, 0xacddf23e77fa51bb, 0x5f9e005838e94eff, 0xac984e7736b868d3,
  0xacff51d7c9ee580b, 0xc05dbf2fa38e5581, 0xf47cec98a3114e62, 0xd6279500ffd99e3a, 0xb955aa11303cb5ba,
  0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0x12b637afa391359c, 0xb5d73daad115e572, 0x77536294f0d3bcf8,
  0xda27081bc20e8810, 0x6c2131dbd8aaa2d2, 0x1726ae365118bf9b, 0xacc7903b6868b1e7, 0x6592e19e985727ee,
  0x66587494b659289c, 0xb8dc5564f257ee68, 0x000000000000016e,
};

// pwm81_swio12_noled_pr_ce_u4
static const uint64_t ur_pwm81_swio11_noled_pr_ce_u4[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfd37304f8c04825b, 0x7baf9195bfce20f9, 0xf3c00b5a495d717d, 0x5f886c2445f71a20,
  0xe6d7643a4afd47c2, 0xf93dcb19fac99e2e, 0xf471cab0359fea3a, 0x146229cc580bb7e5, 0x1ffb33c75e8f9d93,
  0x260796b75ac4f2a0, 0x1cde46d7972ab542, 0xaece75152a8d7454, 0xf47226b395daa5be, 0x5a22bcae4256c6f5,
  0x9e1a779f16bae7b5, 0x7841d1020eea6c52, 0x7b15545a5b44e103, 0xca2317f36d84263b, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x000001bae917e441,
};

// pwm81_swio12_noled_pr_ee_ce
static const uint64_t ur_pwm81_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xdcc13e3012096eef, 0xf90337fe7107cfa6, 0x6b4833677fd51975, 0xe6d7672e8ffe7801,
  0x794ed6563df309ce, 0xe0d983d2bd4795c8, 0xfb1698a62b387ea3, 0xfa5b1971c270dc3a, 0x0e7576e7263a909a,
  0x363af3a6ec7aa3f9, 0x62d38851ef76355e, 0xc8e1bd96cbe701c7, 0xb52cfa0e7951b044, 0x74541cde46d7972a,
  0xa5beaece75152a8d, 0xc6f5f47226b395da, 0xe7b55a22bcae4256, 0x6c529e1a779f16ba, 0xe1037841d1020eea,
  0x263b7b15545a5b44, 0xd5c6ca2317f36d84, 0xf207e50d163ce2e4, 0x5c33d30ae4fdd598, 0x0e9296cb25138cb2,
  0x91079e4afdcd0ccb, 0x000000000a698bf7,
};

// pwm81_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_pwm81_swio11_noled_pr_ee_ce_u4[] = {
  0x0addddda2e7c4541, 0xbb557f53323125a3, 0xaf5b5a583305f98b, 0x002b68ee0dae3765, 0x0be4a165b3d68c2a,
  0x750093738b0f8374, 0xc13e3012096eef27, 0x2b7ffe190be7c524, 0xeeb7ee2faa3d37f2, 0x222fb8d1079e005c,
  0xcf5fea3e12fc4361, 0xb7be678bb9b5c2c8, 0xaf51e5721e53b5b9, 0x8ace1fa8f83660f4, 0x709c370ebec5a629,
  0xc98ea426be96c65c, 0xbb1ea8fe439d5db9, 0x7bdd8d578d8ebce9, 0xb2f9c071d8b4e214, 0x9e546c1132386f65,
  0x91b5e5caad4b3e83, 0x9d454aa35d150737, 0x89ace576a96fabb3, 0xaf2b9095b1bd7d1c, 0x9de7c5aeb9ed5688,
  0x744083ba9b14a786, 0x551696d13840de10, 0xc5fcdb61098edec5, 0xc6f8b9357079b288, 0xa9d598f20669f1a2,
  0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x04fc79b66483cf25,
};

// pwm81_swio12_noled_hw
static const uint64_t ur_pwm81_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x825bbbc9ddcc490d, 0x1c79f8f7304f8c04, 0x13be5ba0f91dd7fe, 0x238e5581d7ff51d3, 0xc731602dee99001f,
  0x30475e2e76e91193, 0x972ab52b043ee396, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x4256c6f5f47226b3,
  0x3f5ae7b55a22bcae, 0x753a9c0594a9f4ef, 0x2047978a042d2c2e, 0x8bf9b69c206f083a, 0x85727e7f61bb6511,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x00000008e2b7514f,
};

// pwm81_swio12_noled_ee_hw
static const uint64_t ur_pwm81_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0xddde4eed86d95a93, 0xcf9c19827c602412, 0xb4663fe46ceffa14, 0x1f51ea3cacbacd56, 0xddf1594bf51f06cc,
  0xcb8e1386e1d7d8b4, 0x9ae3593484d7d2d8, 0xb1ea8fe439d5a5dc, 0xdeec6ab5d0ebce9b, 0x97ce038ec5a710a3,
  0xe546c11fadc37b2d, 0x1b5e5caad402e839, 0xd454aa35d1507379, 0x9ace576a96fabb39, 0xf2b9095b1bd7d1c8,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x51696d13840de107, 0x2fe6db0862adec55, 0x9fa82ec6e3cd9446,
  0x13ffbc3def286153, 0x9a1e44cf03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000016ffe6985f4f,
};

// pwm81_swio12_noled_ce_hw
static const uint64_t ur_pwm81_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x096eef2774a70f6d, 0x0a67f4dcc13e3012, 0xae2faf75f232b7fd, 0xb8d1079e24e4252b, 0xea3e12fc4361222f,
  0x4cf17736bf60de1f, 0xff51d7c9ee58cfd6, 0x5dbf2fa38e5581ac, 0x7cec98a3114e62c0, 0x279500ffd99e3af4,
  0x55aa11303cb5bad6, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xb637afa391359cae, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x27081bc20e881077, 0x2131dbd8aaa2d2da, 0x1b8f365118bf9b6c, 0xf7bca1854e7ea0bb,
  0x3c0fe32fcc4ffef0, 0x5fe07efd86687913, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x64fc217d3c95fb9a,
  0x0000000000000eb3,
};

// pwm81_swio11_noled_ee_ce_u4_hw    pwm81_swio12_noled_ee_ce_hw       pwm81_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0xdde4ee957a27e858, 0xf8a49827c602412d, 0x8f4dfc8adfffa14c, 0xcf127212adfb8bea, 0x7e21b09117dc6883,
  0xb5cdbb0a47f51f09, 0x53b5b9b7be678bb9, 0x3660f4af51e5721e, 0xc5a6298ace1fa8f8, 0x96c65c709c370ebe,
  0x9d5db9c98ea426be, 0x8ebce9bb1ea8fe43, 0xb4e2147bdd8d578d, 0x386f65b2f9c071d8, 0x4b3e839e546c1132,
  0x15073791b5e5caad, 0x6fabb39d454aa35d, 0xbd7d1c89ace576a9, 0xed5688af2b9095b1, 0x14a7869de7c5aeb9,
  0x40de10744083ba9b, 0x8edec5551696d138, 0x79b288c5fcdb6109, 0xe50c2a73f505d8dc, 0x7f197e627ff787bd,
  0x03f7ec3343c899e0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0x570be9e4afdcd0cc, 0x000000000005010f,
};

// pwm81_swio12_lednop
static const uint64_t ur_pwm81_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x4825bbbc9ddb1ec8, 0xb20f9f80d304f8c0, 0x0ef96e83e407bffd, 0x8e3956075ffd47c9, 0x1cc580b7ba6ea131,
  0xc11d78b9d84547d2, 0x5caad4acc17b8e58, 0xaa35d15073791b5e, 0x576a96fabb39d454, 0x7a5fd1c89ae0404e,
  0x3daad115e57212b9, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0xb4e1037841d1028b, 0xf3fb0ddb288c5fcd,
  0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94, 0x1527d79d16792bf7,
};

// pwm81_swio12_lednop_pr
static const uint64_t ur_pwm81_swio11_lednop_pr[] = {
  0x05bbbbba83d8ad4e, 0xdaab91485f12b89d, 0x486df987db04f05d, 0x60e2a8636cbde15a, 0x763dd7eedc4e82cd,
  0x9dd31370619a33c7, 0x7304f8c04825bbbc, 0xf911effd28dd9f5f, 0xc9af51d003be5b7b, 0x594cfe7511c72ac0,
  0x76c9118df398b016, 0x8a807fecc11d7a3e, 0xb2ed40f2cf6e0ff4, 0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae,
  0x8e44d7020272bb54, 0x88af2b9095cbd2fe, 0x9d01e395aeb9ed56, 0x1d10210a905ca5af, 0xaaa2d2414e103784,
  0x462fe6db18c55bd8, 0xb2d5e5c9ab83cd94, 0xfd4eacc7903b6868, 0x9133c09c69430a9c, 0x19e985727e03e687,
  0x7494b67c09c6592e, 0x5564f257ee686658, 0x000000000f932b54,
};

// pwm81_swio12_lednop_pr_u4
static const uint64_t ur_pwm81_swio11_lednop_pr_u4[] = {
  0x05ff777768bb1762, 0xdddaab914ad225a9, 0xb0bf70f8da0c227a, 0xf43b8e3da1377e63, 0xdc01b6f8feeea417,
  0xeef277699a335a11, 0x7e034c13e3012096, 0x6e83e407bff4a376, 0x56075ffd47c90ef9, 0x80b7ba6ea1318e39,
  0x78b9d84547d21cc5, 0xd4acc17b8e58c11d, 0xd15073791b5e5caa, 0x96fabb39d454aa35, 0xd1c89ae0404e576a,
  0xd115e57212b97a5f, 0xb1674079fad73daa, 0x42d3573abd4b0b29, 0x037841d1028be8a0, 0x079b288c5fcdb4e1,
  0x0eda1a2c6f8b9357, 0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343c899e07, 0xc33d30be347a2ff0,
  0x0e9296cf8138cb25, 0x8aac9e4afdcd0ccb, 0x0000000001f2610b,
};

// pwm81_swio12_lednop_pr_ee
static const uint64_t ur_pwm81_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0xa9827c602412ddde, 0xfc81adfe7107cfa5, 0x4795b059aad68cc7, 0x53dea3e0d983ea3d,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0xcdc73ab4bba55c6b, 0x56ba1d79d3769111, 0x71d8b4d7c471958d,
  0x23f5b86f65b2f9c0, 0x955a8056b13ca8d8, 0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x4bfa39135c0809ca,
  0xb55a22bcae42572f, 0x96be74078e56bae7, 0xde107440842a4172, 0x6f62aa8b49053840, 0x365118bf9b6c6315,
  0xa1a2ce9f1726ae0f, 0x2a73f53ab31e40fc, 0x3c5ce32fcc4fe50c, 0x9f8e7bff82687913, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x004eb993220f3c95,
};

// pwm81_swio12_lednop_pr_ee_u4
static const uint64_t ur_pwm81_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x2d4c13e3012096ee, 0x7fe40d6ff3883e7d, 0xea3cae43cd56b47b, 0x5feef51f06cc1ce3,
  0x1386e1d7d8b4ddf1, 0x133484d7d2d8cb8e, 0x1a6273ab4bc065c5, 0xab5d0ebd75376c91, 0x71d8b4e0fa3b5ac6,
  0x5fd6e1bd970e59c0, 0x6f236bcb955aae30, 0x673a8a9546ba2a0e, 0x5c0809caed52df57, 0xae42572f4bfa3913,
  0x0f3f5ae7b55a22bc, 0xe757a96165362ce8, 0x3a20517d14085a6a, 0x118bf9b69c206f08, 0x458df1726ae0f365,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x00009d748bf220f3,
};

// pwm81_swio12_lednop_pr_ce
static const uint64_t ur_pwm81_swio11_lednop_pr_ce[] = {
  0xd6adbbbbbbd8ad4e, 0xd1ddaab914362246, 0x5e8d3df169143886, 0x6d0464d685365c5a, 0x666ec1982fdd36b5,
  0x77793ba626e0ae34, 0x3ec16609f180904b, 0xacddf20e1ffa51bb, 0x7f9e0058385d4eff, 0xb26139dcdaf3b76b,
  0x67fa8f2fa7b9602e, 0x0163de951c72ac0d, 0xa3e76c9118df398b, 0xff48a807feccf1d7, 0x955acbb503cb5ba0,
  0x46ba2a0e6f236bcb, 0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f, 0x96be74078e56bae7,
  0xde107440842a4172, 0x6f62aa8b49053840, 0x6ca2317f36d8c4c7, 0x76d0d163ce2e4d5c, 0x3d30ae4fdd598f20,
  0x296cb25138cb25c3, 0xc9e4afdcd0ccb0e9, 0x00000002dd79c8aa,
};

// pwm81_swio12_lednop_pr_ce_u4
static const uint64_t ur_pwm81_swio11_lednop_pr_ce_u4[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0xbbbc9dd57ccfa0d9, 0x9f8e5304f8c04825, 0xd7baf916ebfce20f, 0x0f3c00b5a4d37717, 0x25f886c2445f71a2,
  0xee6d724aca8fd47c, 0x97d3dcb19fac99e2, 0x4a8e395606b3fd47, 0x488c6f9cc580b1ef, 0x03ff6678ebd1f3b6,
  0xda81e5add07fa454, 0x073791b5e5caad65, 0xabb39d454aa35d15, 0x89ae0404e576a96f, 0x5e57212b97a5fd1c,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x45a4829c206f083a, 0xbf9b6c6263b7b155, 0xdf1726ae0f365118,
  0xa75663c81f943458, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x06eb842f220f3c95,
};

// pwm81_swio12_lednop_pr_ee_ce
static const uint64_t ur_pwm81_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xe4c13e3012096eef, 0x7e4068ff3883e7df, 0x2d690341dff5465d, 0xb9b5da0e089fcf00,
  0x2e53b5958f7cc273, 0xf83660f4af51e565, 0xbec5a6298aca1fa8, 0xbe96c65c709c370e, 0xe39d5db9d28ea426,
  0x8d8ebce9bb4888e6, 0xd8b4d7c471958d57, 0x32386f65b2f9c071, 0xad4b3b589e546c11, 0x5d15073791b5e5ca,
  0xa96fabb39d454aa3, 0xfd1c89ae0404e576, 0xad115e57212b97a5, 0x5f3a03c72b5d73da, 0x083a20421520b94b,
  0xb15545a4829c206f, 0x5118bf9b6c6263b7, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x0000534db8fc883c,
};

// pwm81_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm81_swio11_lednop_pr_ee_ce_u4[] = {
  0x0addddda2e7c1a4e, 0xbb557f53667125a3, 0xa02b6859bb05f98b, 0x002b66451dd33b0d, 0xba976165b3d68c2a,
  0xd4d770b499ee0a51, 0x04f8c04825bbbc9d, 0x87dff0c85f3fd833, 0x687d717d51e9bf90, 0x117dc6883cf002e7,
  0x92bf51f097e21b09, 0x7be678bb9b5e3eeb, 0xf51e5652e53b5b9b, 0xaca1fa8f83660f4a, 0x09c370ebec5a6298,
  0x28ea426be96c65c7, 0xb4888e6e39d5db9d, 0x1958d578d8ebce9b, 0x2f9c071d8b4d7c47, 0xe546c1132386f65b,
  0x1b5e5caad4b3b589, 0xd454aa35d1507379, 0x404e576a96fabb39, 0x12b97a5fd1c89ae0, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x29c206f083a20421, 0xc6263b7b15545a48, 0x6ae0f365118bf9b6, 0xe40cd3e3458df172,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0x28c9079e4afdcd0c, 0x000000000004fcab,
};

// pwm81_swio12_lednop_hw
static const uint64_t ur_pwm81_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x4825bbbc9ddb1ec8, 0xe1c79f80d304f8c0, 0x4877cb741f203dff, 0x8c71cab03affea3e, 0x90e62c05bdd37509,
  0xc608ebc5cec22a3e, 0xf2e556a5660bdc72, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xcbd2fe8e44d70202,
  0xb9ed5688af2b9095, 0x58594d8b3a03cfd6, 0x5f4502169ab9d5ea, 0x6da7081bc20e8814, 0x9f9fd86ed94462fe,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x0004717d7453c95f,
};

// pwm81_swio12_lednop_ee_hw
static const uint64_t ur_pwm81_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0x6eef277505272d08, 0x67d2d4c13e301209, 0x5a331ff206b7fd0a, 0x0fa8f51e56c166ab, 0x6ef8ad4f7a8f8366,
  0x65c709c370ebec5a, 0x9571ac9a426be96c, 0xda4447371cead2ee, 0xc656355ae875e74d, 0xcbe701c762d35f11,
  0xf2a3608fd6e1bd96, 0x8daf2e556a015ac4, 0xea2a551ae8a839bc, 0x20272bb54b7d5d9c, 0x095cbd2fe8e44d70,
  0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x14e1037841d10210, 0xb18c55bd8aaa2d24, 0xec6e3cd94462fe6d,
  0xc3def2861539fa82, 0x4cf03f8cbf313ffb, 0xd17f81fbf619a1e4, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x6f8d4e05f4f257ee, 0x0000000000000001,
};

// pwm81_swio12_lednop_ce_hw
static const uint64_t ur_pwm81_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x04b77793baf5a716, 0x8533f1ca609f1809, 0x7717d7baf916ebfe, 0xdc6883cf127212d3, 0xf51f097e21b09117,
  0x2678bb9b5e6199f3, 0xff51e5f4f72c67eb, 0x2c7bd2a38e5581ac, 0x7ced92231be73160, 0xe91500ffd99e3af4,
  0xab5976a0796b741f, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0x7f47226b8101395d, 0xab445795c84ae5e9,
  0xd7ce80f1cad75cf6, 0xc20e881085482e52, 0xec55516920a7081b, 0x94462fe6db1898ed, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x00000003acdf7c10,
};

// pwm81_swio11_lednop_ee_ce_u4_hw   pwm81_swio12_lednop_ee_ce_hw      pwm81_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfd83304f8c04825b, 0x3d37f210fbfe8533, 0x3c49c8490fae2faa, 0xf886c2445f71a20f,
  0xd7575c617fd47c25, 0x4ed6e6def99e2ee6, 0xd983d2bd479594b9, 0x1698a62b287ea3e0, 0x5b1971c270dc3afb,
  0x7576e74a3a909afa, 0x3af3a6ed22239b8e, 0xd35f11c656355e36, 0xe1bd96cbe701c762, 0x2ced627951b044c8,
  0x541cde46d7972ab5, 0xbeaece75152a8d74, 0x7226b8101395daa5, 0x45795c84ae5e97f4, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x5516920a7081bc20, 0x62fe6db1898edec5, 0x39fa82ec6e3cd944, 0x313ffbc3def28615,
  0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000050146a705f4,
};

// pwm81_swio11_dual_pr              pwm81_swio12_dual                 pwm81_swio12_dual_pr
static const uint64_t ur_pwm81_swio11_dual[] = {
  0x91fdddddde7c50e3, 0x0fa6d3114e4c1d71, 0xcfbdb83d3a85b4be, 0xff23b295f14ab17d, 0xf16a015bab8c8fe2,
  0x11dc1607c805c2d9, 0x04f8c04825bbbc94, 0xe008c87a0d215233, 0x60ccdbf17dbf0aeb, 0xb54ee9f93ec40c28,
  0xf67028b3393fcca6, 0x606654dea3bf9b05, 0x2bfcc68114239215, 0xddf177c00006e1f0, 0x10cb407c4432bb8b,
  0x87ff4073c26dee2a, 0xcaf2d5be68317b72, 0x9152bfdd48cc161b, 0x45f51e443be587cf, 0x29bf71951c72ac0c,
  0xd38a37bce62c05d6, 0x807fecc11d780d4e, 0xe181e59edad783ea, 0x39ebee9bafaf5f5f, 0xa839bc8daf2e556b,
  0x7d5d9cea2a551ae8, 0xe44d7020272bb54b, 0x8af2b9095cbd2fe8, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0xaa2d2414e1037841, 0x62fe6db18c55bd8a, 0xc79c5c9ab83cd944, 0xfdd598f20669f1a2, 0x138cb25c33d30ae4,
  0xdcd0ccb0e9296cf8, 0x3103850c9079e4af, 0x0000000000000000,
};

// pwm81_swio12_dual_pr_u4
static const uint64_t ur_pwm81_swio11_dual_pr_u4[] = {
  0x23fbbbbb4486c541, 0x1f4da6229c983ae3, 0x2fbb707a750b697c, 0xc5fe47652be295b6, 0xb3e2d402b757191f,
  0x11dd608fe1aaf518, 0x04f8c04825bbbc94, 0xe008c87a0d215233, 0x60ccdbf17dbf0aeb, 0xc24ee9f93ec40c28,
  0x7d9c0a2cce4ff32e, 0x58199537a8efe6c1, 0x0aff31a04508e485, 0xf77c5df00001b87c, 0x8432d01f110caee2,
  0xa1ffd01cf09b7b8a, 0xf2bcb56f9a0c5edc, 0xe454afffe7530586, 0x117d47910ef961f3, 0x8a6fdc65471cab03,
  0xb4e28def398b0175, 0xa01ffb30475e0353, 0xf8607967b6b5e0fa, 0xce7afba6ebebd7d7, 0x2a0e6f236bcb955a,
  0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa, 0x74078e56bae7b55a, 0x7440842a417296be,
  0xaa8b49053840de10, 0x18bf9b6c63156f62, 0xdc68b1be1b8f3651, 0x0a9cfd4eaccdfc1d, 0x5f989ffde1ef7943,
  0xfb0cd0f226781fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0x1e792bf734332c3a, 0x000000a499072b24,
};

// pwm81_swio12_dual_pr_ee
static const uint64_t ur_pwm81_swio11_dual_pr_ee[] = {
  0x33d6dddddd435032, 0xc1f4dac76842c1ec, 0xd3dba7395f40b323, 0x2333b55de9afbf7a, 0x0fae76dba0b619eb,
  0x57b68ff5efbb1c2f, 0x80904b777932eddd, 0x21e83485d16609f1, 0x6fc5f6fc2baf8023, 0xa7e4fb1030a18333,
  0x16a631ffccbb093b, 0xd37a8e4eb60968e0, 0x3408a11c90ab038a, 0xfeeb00370f815fe6, 0x28a88657717bbe2e,
  0x39e1318f8a8432d0, 0xbe68317b79dbffa0, 0xff9d4c161bcaf2d5, 0x6ab5a328bf2287ff, 0x3660ccaf51e57bee,
  0xc5a6ef8aedd7a8f8, 0x96c65c709c370ebe, 0xb9435c09f9a426be, 0x66ed1ed1e9473ab4, 0x11a636355ae875ec,
  0x2ef76701c762d340, 0xad6546c11fadc37b, 0x5f74dd7d7af8028c, 0xcde46d7972ab59cf, 0xece75152a8d74541,
  0x6b8101395daa5bea, 0x95c84ae5e97f4722, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x6920a7081bc20e88,
  0xf36d8c62adec5551, 0x2c79c371e6ca2317, 0xc9fbab337f07771a, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0321445f5920f3c9,
};

// pwm81_swio12_dual_pr_ee_u4
static const uint64_t ur_pwm81_swio11_dual_pr_ee_u4[] = {
  0xb6eeeed1369fa0ae, 0xa6d63b42160f619e, 0xcd39cafa05991e0f, 0xd577a6befdb4f68f, 0xdb6e82d867ac8cce,
  0xbabd87d770bc3eb9, 0x777932edddf5f7f5, 0x85d16609f180904b, 0xfc2baf802321e834, 0x1030a183336fc5f6,
  0xfe657ed13ba7e4fb, 0x75b04b4700b5318f, 0xe485581c569bd472, 0xb87c0aff31a04508, 0xbb8bddf177f75801,
  0x7c54219681454432, 0xdbcedffd01cf098c, 0xb0de5796adf3418b, 0x8bf2287ffd8d0e60, 0xf51e57bee6ab5a32,
  0xaedd7a8f83660cca, 0x09c370ebec5a6ef8, 0x9f9a426be96c65c7, 0x1e9473ab4b9435c0, 0x55ae875ec66ed1ed,
  0x1c762d34011a6363, 0x11fadc37b2ef7670, 0xd7af8028cad6546c, 0x972ab59cf5f74dd7, 0x2a8d74541cde46d7,
  0x95daa5beaece7515, 0x5e97f47226b81013, 0xcf6ab445795c84ae, 0xe52d7ce80f1cad75, 0x81bc20e881085482,
  0x2adec55516920a70, 0x1e6ca2317f36d8c6, 0xfd0468b1be2e4d5c, 0xc2a73f53ab337f06, 0x97e627ff787bde50,
  0x7ec3343c899e07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x079e4afdcd0ccb0e, 0x0000001591071c59,
};

// pwm81_swio12_dual_pr_ce
static const uint64_t ur_pwm81_swio11_dual_pr_ce[] = {
  0xd60eeeeeef3e43ee, 0x07d36988a4c60f2e, 0xd17eb3389c695a2f, 0xd05b83b389050ebe, 0xb17ebb4e5bb2ed60,
  0x19bbabbf227bb69e, 0xc13e3012096eef26, 0xf802321e8348ea74, 0x183336fc5f6fc2ba, 0xad53ba7e4fb1030a,
  0x439c0bacc50ff329, 0x6065166f51fe76c2, 0x2bfcc68114239215, 0xbbe2effd7006e1f0, 0x219684dc88657717,
  0x5bfe80e784c98c54, 0x95e5ab7cd062f6e3, 0x2182ffba91982c37, 0x02e77fb8effacddf, 0x73b9b5c3469afcf0,
  0x8e0a4f72c05d64c2, 0xd6491c72ac0d67fa, 0x6c8a8e0f9cc580bd, 0x49b8e58cf1d7a3e7, 0x3d7dd375f5ebe1d7,
  0x073791b5e5caad67, 0xabb39d454aa35d15, 0x89ae0404e576a96f, 0x5e57212b97a5fd1c, 0x74079fad73daad11,
  0x3573abd4b0b29b16, 0x083a20517c63042d, 0x65118bf9b69c206f, 0xc68b1e71726ae0f3, 0x2b93f75663c819a7,
  0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x000e7afa4e3241e7,
};

// pwm81_swio12_dual_pr_ce_u4
static const uint64_t ur_pwm81_swio11_dual_pr_ce_u4[] = {
  0x4e4eddddda2432db, 0xe0fa6d66362ec1ec, 0x4d7dd6c4eca38f4e, 0xe4ea666eb4b1272d, 0x674a3f738abf76c4,
  0xc923eee3822ac07c, 0x7d304f8c04825bbb, 0x5d7c01190f41a41d, 0x850c199b7e2fb7e1, 0x65d849dd3f27d881,
  0xd86fb3869b9a2b7e, 0x42ac0ca1cdea3e56, 0x3e057f98d0228472, 0xe2f77c5dec8600dc, 0x8a8432d0ee910cae,
  0xb8cdffd01cf09b4a, 0x0de5796adf3418bd, 0xd7c88e5fffcea60b, 0x7893909305b8bebd, 0xf10d8488bee3441e,
  0xb5d9be951fa8f84b, 0x4f72c67eb2678bb9, 0x1c72ac0d67fa8e0a, 0x8e0f9cc580bdd649, 0xe58cf1d7a3e76c8a,
  0xd375f5ebe1d749b8, 0x91b5e5caad673d7d, 0x9d454aa35d150737, 0x0404e576a96fabb3, 0x212b97a5fd1c89ae,
  0x9fad73daad115e57, 0xabd4b0b29b167407, 0x20517c63042d3573, 0x8bf9b69c206f083a, 0xc68b1be1b8f36511,
  0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x0000003490b3b241,
};

// pwm81_swio12_dual_pr_ee_ce
static const uint64_t ur_pwm81_swio11_dual_pr_ee_ce[] = {
  0xda57dbbbbba86f97, 0xdc1f4daf4a3f183f, 0xf5ef76c5e355867a, 0xe3749cad041f227e, 0xbebd77e14b07ed2b,
  0xe78233a96453ab04, 0x8c04825bbbc9322e, 0x321e83483927304f, 0x36fc5f6fc2baf802, 0xba7e4fb1030a1833,
  0x0d3533fcfccbb093, 0x9f9bd47ff9b00d07, 0x63408a11c90ab03e, 0xde30b80370f815fe, 0x052d10caee2f77c5,
  0x073c26f9d150865a, 0xb7cd062f6f8ddff4, 0xfff3a982c3795e5a, 0x9dff54652fe426df, 0x7044fe789390926d,
  0xac4c66139dcdaed0, 0x7afa8f2b28729dac, 0x4c56c17d47c1b306, 0xe384e1b875f62d31, 0xd21c752135f4b632,
  0x69dbba460a1ceaed, 0x8f22d8d578d8ebca, 0x5b93380e3b169cdc, 0xbd7d8c63232386f6, 0xb955ace7afba6ebe,
  0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0xf4bfa39135c0809c, 0x7b55a22bcae42572, 0x296be74078e56bae,
  0x0de107440842a417, 0x76f62aa8b4905384, 0xe6ca2317f36d8c4c, 0x7f07771a2c79c371, 0xb867a615c9fbab33,
  0x61d252d9f0271964, 0x5920f3c95fb9a199, 0x00000000002609ce,
};

// pwm81_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_pwm81_swio11_dual_pr_ee_ce_u4[] = {
  0xfb7777689b4fb69f, 0x4da85f57b60fd76c, 0x6a8fd17eca9c5c1f, 0xfabd8261f1c16bc1, 0xf793baed9f1da2af,
  0xe8438dfc3793c893, 0x92d39dd202f9e5cc, 0xae609f180904b777, 0xebe008c87a0d22c7, 0x2860ccdbf17dbf0a,
  0x5fb44ee9f93ec40c, 0x43e386374dd83f99, 0xb037f937a8ed77b0, 0x15fe63408a11c90a, 0x77c5def0080370f8,
  0x865a1b3910caee2f, 0x1ff4073c26cad150, 0x5e5ab7cd062f6e95, 0x0a4ff6343982c379, 0x70525c5f547b3be4,
  0x445f71a20f3c49c0, 0xe01fd47c25f886c2, 0xd3199e2ee6d7f5a9, 0x7d479594394ed6e6, 0x2b60bea3e0d9833d,
  0xc270dc3afb1698a6, 0x0e3a909afa5b1971, 0xeddd23050e7576e9, 0x916c6abc6c75e534, 0xc99c071d8b4e6e47,
  0xbec6319191c37b2d, 0xaad673d7dd375f5e, 0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0x5fd1c89ae0404e57,
  0xaad115e57212b97a, 0xb5f3a03c72b5d73d, 0xf083a20421520b94, 0x7b15545a4829c206, 0x65118bf9b6c6263b,
  0x23458df1726ae0f3, 0x39fa9d599bf837e8, 0x313ffbc3def28615, 0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000400042e2c83c,
};

// pwm81_swio12_dual_hw
static const uint64_t ur_pwm81_swio11_dual_hw[] = {
  0x8feeeeed12190907, 0x7d36988a7260eb8c, 0xbeedc1e9d42da5f0, 0x17f91d94af8a56d8, 0xcf8b500add5c647f,
  0x504775a0fd5f7af6, 0xcc13e3012096eef2, 0xaf802321e8348548, 0xa183336fc5f6fc2b, 0xbb093ba7e4fb1030,
  0x05f67028b3393fcc, 0x15606654dea3bf9b, 0xf02bfcc681142392, 0x8bddf177c00006e1, 0x2a10cb407c4432bb,
  0x7287ff4073c26dee, 0x1bcaf2d5be68317b, 0xf3e454aff3b44c16, 0x03117d47910ef961, 0x758a6fdc65471cab,
  0x53b4e28def398b01, 0xfaa01ffb30475e03, 0xd7f8607967b6b5e0, 0x5ace7afba6ebebd7, 0xba2a0e6f236bcb95,
  0x52df57673a8a9546, 0xfa39135c0809caed, 0x5a22bcae42572f4b, 0xbe74078e56bae7b5, 0x107440842a417296,
  0x62aa8b49053840de, 0x5118bf9b6c63156f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x0000000637520e41,
};

// pwm81_swio12_dual_ee_hw
static const uint64_t ur_pwm81_swio11_dual_ee_hw[] = {
  0xeb6eeee87ad0cf68, 0xfa6d63b42160f619, 0xedd39cafa05991e0, 0x99daaef4d7dfbd69, 0xd73b6dd05b0cf591,
  0x9a3ea75add8e1787, 0x3012096eef265dbb, 0x643d0690ba2cc13e, 0x6df8bedf8575f004, 0x74fc9f6206143066,
  0x02d4c63ff9976127, 0x5a6f51c9d6c12d1c, 0xc681142392156071, 0xdfdd6006e1f02bfc, 0x051510caee2f77c5,
  0x073c2631f150865a, 0xb7cd062f6f3b7ff4, 0xfe768982c3795e5a, 0x7355ad1945f9143f, 0xc1b306657a8f2bdf,
  0xf62d377c576ebd47, 0xf4b632e384e1b875, 0xa5ca1ae04fcd2135, 0x633768f68f4a39d5, 0x008d31b1aad743af,
  0xd977bb380e3b169a, 0x656b2a3608fd6e1b, 0x7afba6ebebd7c014, 0x0e6f236bcb955ace, 0x57673a8a9546ba2a,
  0x135c0809caed52df, 0xbcae42572f4bfa39, 0x078e56bae7b55a22, 0x40842a417296be74, 0x8b49053840de1074,
  0xbf9b6c63156f62aa, 0xf52f571b8f365118, 0xe32fcc4fe50c2a73, 0x7bff826879133c5c, 0x964b867a615c9f8e,
  0x19961d252d9f0271, 0x6917c17d3c95fb9a, 0x0000000000000057,
};

// pwm81_swio12_dual_ce_hw
static const uint64_t ur_pwm81_swio11_dual_ce_hw[] = {
  0xc1bb77776890cf68, 0xe0fa6d663ddb0729, 0x83edd57cd891ddc1, 0xd2eda7227d57f5de, 0x326577efdee94e0d,
  0x4d3377347d4eb5bb, 0x19827c602412ddde, 0xebe008c87a0d2223, 0x2860ccdbf17dbf0a, 0x2ec24ee9f93ec40c,
  0x8472381c19babff3, 0x2ac0e574dea3eced, 0xe057f98d02284724, 0x5eef8bbc11200dc3, 0xa10cb40c7a2195dc,
  0xff9ff4073c26eea2, 0xbcaf2d5be68317b7, 0xfe40d6ff3b44c161, 0x8939091c1b8bea63, 0x10d8488bee3441e7,
  0xae951723fa8f84bf, 0xee58cf13f33c5dcd, 0x8e5581dc3f51fa89, 0xbde731602d4aeea3, 0x6678ebc06a769c51,
  0xcb5b96bc1f5403ff, 0xdd375f5ebebfc303, 0x791b5e5caad673d7, 0x39d454aa35d15073, 0xe0404e576a96fabb,
  0x7212b97a5fd1c89a, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x4829c206f083a204, 0xb6c6263b7b15545a,
  0x0bb1b8f365118bf9, 0xef0f7bca1854e7ea, 0x9133c0fe32fcc4ff, 0x8f45fe07efd86687, 0x271964b867a617c6,
  0xb9a19961d252d9f0, 0x04dd5eb617d3c95f,
};

// pwm81_swio12_dual_ee_ce_hw
static const uint64_t ur_pwm81_swio11_dual_ee_ce_hw[] = {
  0x924cdddddd43359b, 0xc1f4daf4b608c1d3, 0xc9ee8eba7d9da6c5, 0xf599f0ce644d71db, 0x66c9bc2960a72498,
  0x70f0cc29ad75ebde, 0xc602412ddde486e7, 0x190f41a465b49827, 0x9b7e2fb7e15d7c01, 0xdd3f27d881850c19,
  0x0c41335dfe65d849, 0xfc9bd47d35b07f87, 0x31a04508e485581f, 0x77859001b87c0aff, 0x86044432bb8bddf1,
  0x01cf098bac542196, 0xadf3418bdbde1ffd, 0xff9da260b0de5796, 0xd9dff547813e45ad, 0x72e8ffe78939095a,
  0x6562f9309cee6d76, 0x3eebd4795e5694ed, 0x8a62b95dea3e0d98, 0x971c270dc3afb169, 0x6e2863a909afa5b1,
  0x8cdda3da3d28e757, 0x04698d8d578d8ebd, 0xcbbdd9c071d8b4d0, 0x95aca8d8226470de, 0xebee9bafaf5f1671,
  0x39bc8daf2e556b39, 0x5d9cea2a551ae8a8, 0x4d7020272bb54b7d, 0xf2b9095cbd2fe8e4, 0x1e395aeb9ed5688a,
  0x0210a905ca5af9d0, 0x2d2414e1037841d1, 0xfcdb63131dbd8aaa, 0x3f3fb0dc79b288c5, 0x04e32c970cf4c2b9,
  0xf734332c3a4a5b3e, 0x0044d30082fa792b,
};

// pwm81_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio11_dual_ee_ce_u4_hw[] = {
  0x17ddddda28d172df, 0xa6d42f7f0b072afb, 0x7535eabc219cee0f, 0xb6b8bebdda0eeb2b, 0xcfde4e2afb179c4e,
  0x356865a3821e1df5, 0xb77792829ddb5aa8, 0x21966e609f180904, 0xbf0aebe008c87a0d, 0xc40c2860ccdbf17d,
  0xbf32c8354ee9f93e, 0xbb61d8270bc39b96, 0x242ac0daee6f51f1, 0xc3e057f98d022847, 0xb8bddf177a71e00d,
  0xc54219681c14432b, 0xb9257fd01cf09b4d, 0x0de5796adf3418bd, 0x7e41adffef0ee60b, 0x7d091addc5f54670,
  0x8488bee3441e78b1, 0x170fffa8f84bf10d, 0xe6d7c99e2ee6d75c, 0xeebd4795e5694ed6, 0xa62b95dea3e0d983,
  0x71c270dc3afb1698, 0xe2863a909afa5b19, 0xcdda3da3d28e7576, 0x4698d8d578d8ebd8, 0xbbdd9c071d8b4d00,
  0x5aca8d8226470dec, 0xbee9bafaf5f16719, 0x9bc8daf2e556b39e, 0xd9cea2a551ae8a83, 0xd7020272bb54b7d5,
  0x2b9095cbd2fe8e44, 0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0xd2414e1037841d10, 0xcdb63131dbd8aaa2,
  0x505d8dc79b288c5f, 0xff787bde50c2a73f, 0x3c899e07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be,
  0xfdcd0ccb0e9296cf, 0x1d756334680b9e4a,
};

static const uint64_t ur_pwm81_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x02412ddde4eec2f5, 0xed907cf98f9827c6, 0x4277cb749f236fff, 0x5e38e5581f3dea3c, 0x68e62c05bdd3694b,
  0x8c11d78b9dae1a32, 0xe5caad4acaffb8e5, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45, 0xad5ef5f47226b395,
  0xd73daad115e57212, 0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0xcdb4e1037841d102, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x000a91719d16792b,
};

static const uint64_t ur_pwm81_swio13_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2491, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7dd489d05,
  0x793bab8c489bb837, 0x7f2609f180904b77, 0x0ffc832bfd28dd9f, 0x81f41ea3cbe3be5a, 0x5965347bd2a38e55,
  0x7ced10a3dece62c0, 0x269500ffd9823af4, 0x56afadc0f2cf6c45, 0xae8a839bc8daf2e5, 0xdf5537d9cea2a551,
  0x7afa391359caed52, 0xd5688af2b90956af, 0x4a7869de7c5aeb9e, 0x0de10744083ba9b1, 0xadec5551696d1384,
  0x79b288c5fcdb1922, 0x6d0d165abcb93570, 0x61539fa9d598f207, 0x7cd0f22678138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0x9a048aac9e4afdcd, 0x000000000000007c,
};

static const uint64_t ur_pwm81_swio13_noled_pr_u4[] = {
  0xddbbbbbb45d8b562, 0x5bbb5572285ee253, 0xf7c7ea1c4891844f, 0xfa1ddc4eecfe0f50, 0xe0edb195a6ecf70b,
  0x6eef2777e9c1bc2a, 0x67cc7cc13e301209, 0x96e93e46dfff4a37, 0xcab03e7bd47884ef, 0x580b7ba6d296bc71,
  0xaf173b5c3464d1cc, 0x5a9595ff71cb1823, 0xba2a0e6f236bcb95, 0x7d54df673a8a9546, 0xebe8e44d672bb54b,
  0x55a22bcae4255abd, 0x594a9f4ef3f5ae7b, 0xa042d2c2e753a9c0, 0xc206f083a2045fb8, 0xae0f365118bf9b69,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x4115593c95fb9a19, 0x000000000003e4d3,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x4c13e3012096eef2, 0xe4456ff3883e7c9d, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x2439d5a5d2b2e359, 0xb5d0ebce9bb7508f, 0x1d8b4fe44707ec6a,
  0x3f5b86f65b2f9c07, 0xab500ba4c16a8d82, 0xd74541cde46d7972, 0x6faa9bece75152a8, 0xbd7d1c89ace576a9,
  0x6ab445795c84ab57, 0xa53c34ef3e2d75cf, 0x06f083a2041dd4d8, 0x56f62aa8b4b689c2, 0x3cd94462fe6d8c91,
  0xf2868b3a7c5c9ab8, 0x30a9cfd4eacc7903, 0x4cf1738cbf313f94, 0x727e39effe09a1e4, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x0004ebe31c883cf2,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0xad304f8c04825bbb, 0xaf91beffce20f9f8, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x37bce75697a94b8a, 0x56ba1d7aea6ed38a, 0xc762d35ae8ee1d8d,
  0x9f5b86f65c396701, 0xde46d7972ab55c74, 0xce75152a8d74541c, 0x9ace576a96faa9be, 0x95c84ab57bd7d1c8,
  0xf3e2d75cf6ab4457, 0x2041dd4d8a53c34e, 0x8b4b689c206f083a, 0x2fe6d8c9156f62aa, 0x37c5c9ab83cd9446,
  0xa9d598f207e50d16, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x00275cb3c883cf25,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ce[] = {
  0x60fbbbbbbbd8bf82, 0x368eed55c8a20912, 0x7ef619e97be6e1c4, 0xab682ddf853d31b6, 0xe0d83336331dd60f,
  0x2ddde4eeae312247, 0xecf94b9827c60241, 0xfea0a7c874bfe946, 0xedfe780160e4873b, 0xbac984e7736ba6dc,
  0x0c9ef51e6e9ee580, 0xc580a654e31c72ac, 0x75e8f9da2147bd9c, 0x708a4d2a01ffb33c, 0x7972ab57d6e0796b,
  0x52a8d74541cde46d, 0x76a96faa9bece751, 0xab57bd7d1c89ace5, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d,
  0x89c206f083a2041d, 0x190c76f62aa8b4b6, 0xb93571b288c5fcdb, 0x663c81db43458f38, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0xa722ab2792bf7343, 0x00000000000016eb,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ce_u4[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0x6eef27747b16a8e3, 0xe7f674c13e301209, 0xebb7fe44aeff3883, 0x079e005ad26fbb8b, 0x12fc4361222fb8d1,
  0x7736bdc89257ea3e, 0xe6e9ee58cfd64cf1, 0x4e31c72ac0c9ef51, 0xa2147bd9cc580a65, 0xa01ffb33c75e8f9d,
  0x7d6e0796b708a4d2, 0x541cde46d7972ab5, 0xa9bece75152a8d74, 0xd1c89ace576a96fa, 0x445795c84ab57bd7,
  0xc34ef3e2d75cf6ab, 0x083a2041dd4d8a53, 0x62aa8b4b689c206f, 0x288c5fcdb190c76f, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343c899e07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000375d3419107,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xe9a9827c602412dd, 0xa5fc8ff9fe7107cf, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298acbaf, 0x26be96c65c709c37, 0xf2439d5db92b0ea4,
  0x578d8ebce9bb7508, 0xe3b169fc88e0fd8d, 0x226470decb65f380, 0x2ab52cfa4c16a8d8, 0x8d74541cde46d797,
  0x96faa9bece75152a, 0x7bd7d1c89ace576a, 0xf6ab445795c84ab5, 0x8a53c34ef3e2d75c, 0x206f083a2041dd4d,
  0xc76f62aa8b4b689c, 0x571b288c5fcdb190, 0xc81f943458f38b93, 0x70cf4c2b93f75663, 0x3a4a5b2c944e32c9,
  0x441e792bf734332c, 0x0000000029a63cbe,
};

static const uint64_t ur_pwm81_swio13_noled_pr_ee_ce_u4[] = {
  0x4dddddda2e7c7a31, 0x2eed55fd4ec4c490, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf4130,
  0x77513f0fbed03e37, 0x4c13e3012096eef2, 0x435dffc3217cfe37, 0x9db5ddc5f547b3be, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x1c270dc3afb1698a,
  0x4ac3a909afa5b197, 0x6edd423c90e7576e, 0x383f6355e363af3a, 0xd97ce038ec5a7f22, 0x05aa3608991c37b2,
  0x91b5e5caad4b3e93, 0x9d454aa35d150737, 0xb395daa5beaa6fb3, 0x7212ad5ef5f47226, 0xf8b5d73daad115e5,
  0x1077536294f0d3bc, 0xd2da27081bc20e88, 0xf36c6431dbd8aaa2, 0xe2e4d5c1e6ca2317, 0x5663c819a7c68b1b,
  0xf0f7bca1854e7ea7, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0xf23eb9920f3c95fb, 0x0000000000000013,
};

static const uint64_t ur_pwm81_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x02412ddde4eec2f5, 0xff0e3cf98f9827c6, 0xe213be5ba4f91b7f, 0x5af1c72ac0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x2a551ae8a839bc8d, 0xaed52df5537d9cea, 0x956af7afa391359c,
  0xd6b9ed5688af2b90, 0x4ea701652a7d3bcf, 0x117ee2810b4b0b9d, 0xfe6da7081bc20e88, 0x5c9f9fd86ed94462,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00000238971453c9,
};

static const uint64_t ur_pwm81_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0xddde4ee80a499a73, 0xcf93a9827c602412, 0x5a37f3e4456ffa14, 0x184ff51e5652e6ab, 0xddf15943f51f06cc,
  0xcb8e1386e1d7d8b4, 0xb2e3593484d7d2d8, 0xb7508f2439d5a5d2, 0x07ec6ab5d0ebce9b, 0x2f9c071d8b4fe447,
  0x6a8d823f5b86f65b, 0x6d7972ab500ba4c1, 0x5152a8d74541cde4, 0xe576a96faa9bece7, 0x84ab57bd7d1c89ac,
  0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e, 0xb689c206f083a204, 0x6d8c9156f62aa8b4, 0x82ec6e3cd94462fe,
  0xfbc3def2861539fa, 0xe44cf03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x016ffe4985f4f257,
};

static const uint64_t ur_pwm81_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x4825bbbc9dd29475, 0xf4299fd9d304f8c0, 0xf7717d76ffc895df, 0x7dc6883cf127212d, 0xbf51f097e21b0911,
  0xb2678bb9b5cd6e61, 0x4f7a8f374f72c67e, 0xc0532a718e395606, 0xf47ced10a3dece62, 0x45269500ffd99e3a,
  0xb955abeb703cb5b8, 0x546ba2a0e6f236bc, 0x54b7d54df673a8a9, 0xabdebe8e44d672bb, 0xe7b55a22bcae4255,
  0x6c529e1a779f16ba, 0xe1037841d1020eea, 0x863b7b15545a5b44, 0x6e3cd94462fe6d8c, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0xbe4985f4f257ee68,
  0x0000000000003acd,
};

// pwm81_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0x6eef27777ec2da9a, 0xcfe374c13e301209, 0xa8f677c86bbffa14, 0x3cf1272126bbb8be, 0x97e21b09117dc688,
  0x9b5f907575ff51f0, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0xec5a6298acbafa8f, 0xe96c65c709c370eb,
  0x39d5db92b0ea426b, 0xd8ebce9bb7508f24, 0x169fc88e0fd8d578, 0x470decb65f380e3b, 0x52cfa4c16a8d8226,
  0x4541cde46d7972ab, 0xaa9bece75152a8d7, 0x7d1c89ace576a96f, 0xb445795c84ab57bd, 0x3c34ef3e2d75cf6a,
  0xf083a2041dd4d8a5, 0xf62aa8b4b689c206, 0xb288c5fcdb190c76, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0, 0x0000000005010c9c,
};

static const uint64_t ur_pwm81_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x012096eef2776c7b, 0xf6c83e7e034c13e3, 0x243be5ba4f901eff, 0x631c72ac0f9ef51f, 0xa4398b016f74dd42,
  0xb1823af173b08a8f, 0xbcb955a95982f71c, 0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x92fe8e44d7020272,
  0xf6ab445795c84ae4, 0x4b5e5380b9d01e5c, 0x7d14085a561130bd, 0xb69c206f083a2051, 0x7e7f61bb65118bf9,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x02a4faf3a2cf257e,
};

static const uint64_t ur_pwm81_swio13_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11dd489d0,
  0x7793bb4cd19b4b47, 0xf52a609f180904b7, 0x83ff20c7ffa51bb3, 0xb03e83d47d28ef96, 0x16594d01827c71ca,
  0x1f3b2f88e32398b0, 0xdc35403ff6608ebd, 0x56b70e40f2cf6c6f, 0xae8a839bc8daf2e5, 0xdf5537d9cea2a551,
  0x39135c0809caed52, 0x115e57212b924bfa, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0x5545a4829c206f08,
  0x8c5fcdb40a8ab7b1, 0x65abcb9357079b28, 0xfa9d598f2076d0d1, 0x22678138d2861539, 0x33d30ae4fc07cd0f,
  0xe9296cf8138cb25c, 0xaac9e4afdcd0ccb0, 0x000000003e4c7458,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_u4[] = {
  0x7bb7777768bb1762, 0xf5bbb5572295a44a, 0xc7617efaff0b1844, 0x2fe877713b426efc, 0x477006dbe3fbb3dc,
  0x5bbbc9dda668cd68, 0xd9f80d304f8c0482, 0xe5ba4f901effd28d, 0x72ac0f9ef51f243b, 0x8b016f74dd42631c,
  0x3af173b08a8fa439, 0x55a95982f71cb182, 0x6ba2a0e6f236bcb9, 0xb7d54df673a8a954, 0x8e44d7020272bb54,
  0x445795c84ae492fe, 0x5380b9d01e5cf6ab, 0x085a561130bd4b5e, 0x206f083a20517d14, 0xe0f365118bf9b69c,
  0x81db43458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd866879133c0, 0xb867a617c68f45fe,
  0x61d252d9f0271964, 0x715593c95fb9a199, 0x00000000003e4c21,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xf304f8c04825bbbc, 0xf20e0ff9c41f3f43, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x0a1cead2f21d71ac, 0x5ae875e74ddbba46, 0x8ec5a73723c8b635,
  0x1fadc37b2d97ce03, 0xaad4021149a546c1, 0x35d15073791b5e5c, 0x5beaa6fb39d454aa, 0x47226b8101395daa,
  0xa22bcae42572497f, 0xe74078e56bae7b55, 0x07440842a417296b, 0x2aa8b49053840de1, 0x118bf9b6815156f6,
  0x2cb579726ae0f365, 0x3f53ab31e40fca1a, 0xe44cf0271a50c2a7, 0x867a615c9f80f9a1, 0x1d252d9f0271964b,
  0x220f3c95fb9a1996, 0x000000000275f087,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0xbbbc9dd1ec5aa38c, 0x3f43f304f8c04825, 0x1995f20e0ff9c41f, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x7c47109cead2ebed, 0xb1aad743af5d4dd9, 0x701c762d31be8c45,
  0x859ff5b86f65c396, 0x839bc8daf2e556ab, 0x37d9cea2a551ae8a, 0x5c0809caed52df55, 0x57212b924bfa3913,
  0x079fad73daad115e, 0x73abd4b0b29b1674, 0x1d10273e8a042d35, 0x88c5fcdb4e103784, 0xa2c6f8b9357079b2,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343c899e07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x0000275d34191079,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ce[] = {
  0x4c1f7777777b1762, 0x0da3bb55722856e2, 0xc69ed0bdad367871, 0xfab682dde8261550, 0x34767ef17d8fdd60,
  0x4b77793bb4cd19fd, 0xbb3ea7a609f18090, 0xffa829f20baffa51, 0xc41f9e00583852ce, 0x0bac984e7736bbfc,
  0xc0c9ef51e719ee58, 0x98b014c79eb1c72a, 0x8ebd1f3b2f88e323, 0xb86fdc35403ff667, 0xbcb955adc3903cb5,
  0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x92fe8e44d7020272, 0xf6ab445795c84ae4, 0x52d7ce80f1cad75c,
  0x1bc20e881085482e, 0xedec55516920a708, 0x8d94462fe6da0518, 0x0eda1a2c79c5c9ab, 0x67a615c9fbab31e4,
  0x252d964a271964b8, 0x593c95fb9a19961d, 0x000000016eaa9d15,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0x6eef277505272e9c, 0xe7edd4c13e301209, 0xf53d7e4604ff3883, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3791b5e5caad4742, 0xb39d454aa35d1507, 0x101395daa5beaa6f, 0x42572497f47226b8, 0x56bae7b55a22bcae,
  0x2a417296be74078e, 0x053840de10744084, 0xd028c76f62aa8b49, 0x4d5c1e6ca2317f36, 0xc7903f2868b1be2e,
  0xef79430a9cfd4eac, 0x781fc65f989ffde1, 0xbfc0fdfb0cd0f226, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3,
  0x5656441e792bf734, 0x0000000000001baf,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xf6b7304f8c04825b, 0x52fe426dff9c41f3, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298ad82f, 0x26be96c65c709c37, 0xc1439d5dba438ea4,
  0x578d8ebce9bb7748, 0xe3b169cdc8f22d8d, 0x226470decb65f380, 0x955a96622934a8d8, 0x46ba2a0e6f236bcb,
  0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f, 0x7ce80f1cad75cf6a, 0x20e881085482e52d,
  0xc55516920a7081bc, 0x4462fe6da0518ede, 0xa1a2c79c5c9ab8d9, 0x615c9fbab31e40fc, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x000014d3c6f220f3,
};

static const uint64_t ur_pwm81_swio13_lednop_pr_ee_ce_u4[] = {
  0x4dddddda2e7cbd5b, 0x2eed55fd4c374490, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf4130,
  0x9ddeefdc1ceb4176, 0x7304f8c04825bbbc, 0xc8149ff0c85f3e6b, 0xb9d8a4b8bea8f677, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x71c270dc3afb1698,
  0xe90e3a909afa5b19, 0xa6eddd23050e7576, 0x23c8b6355e363af3, 0x2d97ce038ec5a737, 0xa4d2a3608991c37b,
  0xbc8daf2e556a5988, 0x9cea2a551ae8a839, 0x809caed52df5537d, 0x12b924bfa39135c0, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x29c206f083a20421, 0x81463b7b15545a48, 0x6ae0f365118bf9b6, 0xe40cd3e3458df172,
  0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343c899e, 0x25c33d30be347a2f, 0xcb0e9296cf8138cb,
  0xbcc9079e4afdcd0c, 0x000000000004fc48,
};

static const uint64_t ur_pwm81_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x012096eef2776c7b, 0xff871e7e034c13e3, 0xf921df2dd27c80f7, 0x1318e395607cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d15073791, 0x95daa5beaa6fb39d, 0x2497f47226b81013,
  0xe7b55a22bcae4257, 0xea5af29c05ce80f2, 0x8be8a042d2b08985, 0xcdb4e1037841d102, 0x93f3fb0ddb288c5f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x00008e2fae8a792b,
};

static const uint64_t ur_pwm81_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0xb77793ba76821e96, 0x67e87e609f180904, 0xad1bf9f20e0ffd0a, 0x0c27fa8f2b53d355, 0x6ef8af027a8f8366,
  0x65c709c370ebec5a, 0x1d71ac9a426be96c, 0xdbba460a1cead2f2, 0xc8b6355ae875e74d, 0x97ce038ec5a73723,
  0xa546c11fadc37b2d, 0x1b5e5caad4021149, 0xd454aa35d1507379, 0x395daa5beaa6fb39, 0x72497f47226b8101,
  0xae7b55a22bcae425, 0x17296be74078e56b, 0x840de107440842a4, 0x5156f62aa8b49053, 0xb8f365118bf9b681,
  0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd866879133, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0x353817d3c95fb9a1, 0x00000000000005bf,
};

static const uint64_t ur_pwm81_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x4825bbbc9dd69df6, 0xf4299f1ad304f8c0, 0x9d717d76ffc8d37f, 0x7dc6883cf127212d, 0xff51f097e21b0911,
  0x64cf17736bf2d337, 0x9ef51e719ee58cfd, 0x014c79eb1c72ac0c, 0xd1f3b2f88e32398b, 0xfdc35403ff6678eb,
  0x955adc3903cb5b86, 0x46ba2a0e6f236bcb, 0x4b7d54df673a8a95, 0xe8e44d7020272bb5, 0xb445795c84ae492f,
  0x7ce80f1cad75cf6a, 0x20e881085482e52d, 0xc55516920a7081bc, 0x4462fe6da0518ede, 0x1539fa82ec6e3cd9,
  0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874,
  0x0000001d66c02b05,
};

// pwm81_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0xbbbc9dd75bae3b5d, 0x3e6b7304f8c04825, 0x51ecef90293fe853, 0x3cf127212149717d, 0x97e21b09117dc688,
  0xe6d7f39753bf51f0, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0xfb1698a62b60bea3, 0xfa5b1971c270dc3a,
  0x0e7576e90e3a909a, 0x363af3a6eddd2305, 0xc5a73723c8b6355e, 0x91c37b2d97ce038e, 0x6a5988a4d2a36089,
  0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0x9135c0809caed52d, 0x15e57212b924bfa3, 0xa03c72b5d73daad1,
  0xa20421520b94b5f3, 0x545a4829c206f083, 0x8bf9b681463b7b15, 0xe7ea0bb1b8f36511, 0xc4ffef0f7bca1854,
  0x66879133c0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x000014040f2617d3,
};

// pwm81_swio13_dual_pr
static const uint64_t ur_pwm81_swio13_dual[] = {
  0xd3ddddddde7c1a4e, 0x7c1f4da62210d83f, 0x7a55fa8ce5dd0b69, 0xc5fc95264e27659f, 0x1628d4d8b77e991f,
  0x823b935dc2d13fdc, 0x609f180904b77792, 0x7c01190f41a45d0e, 0x0c199b7e2fb7e15d, 0xd6a9dd3f27d88185,
  0xbece05166727f994, 0xac0cca9bd477f360, 0x057f98d022847242, 0xf77c5de87c00dc3e, 0x8432d01f110caee2,
  0x82ffd01cf09b7b8a, 0xf2bcb56f9a0c5edd, 0xe4145ff752330586, 0xbdfa8fdd1df2cb5f, 0x299c987b8e395607,
  0xc80234c4e62c05d6, 0x807fecc11d780d4e, 0x9d40f2cf6def1bea, 0xce7afba6ebebd7cf, 0x2a0e6f236bcb955a,
  0x54df673a8a9546ba, 0x4d7020272bb54b7d, 0x795c84ae492fe8e4, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x16920a7081bc20e8, 0x7f36d02a2adec555, 0xce2e4d5c1e6ca231, 0xeacc790334f8d163, 0xc6592e19e985727e,
  0x6866587494b67c09, 0x8371e6483cf257ee, 0x0000000000000018,
};

static const uint64_t ur_pwm81_swio13_dual_pr_u4[] = {
  0xa7bbbbbb44869a4e, 0xf83e9b4c4421b07f, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0xc32c51a9b16efd32,
  0x5047771fd462a3e3, 0xcc13e3012096eef2, 0xaf802321e8348ba1, 0xa183336fc5f6fc2b, 0xbb093ba7e4fb1030,
  0x05f67028b3393fcc, 0x15606654dea3bf9b, 0xf02bfcc681142392, 0x17bbe2ef43e006e1, 0x54219680f8886577,
  0xec17fe80e784dbdc, 0x3795e5ab7cd062f6, 0xff20a2ffff3a982c, 0x3defd47ee8ef965a, 0xb14ce4c3dc71cab0,
  0x764011a62731602e, 0x5403ff6608ebc06a, 0x7cea07967b6f78df, 0xd673d7dd375f5ebe, 0xd15073791b5e5caa,
  0xeaa6fb39d454aa35, 0x226b8101395daa5b, 0x2bcae42572497f47, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xa8b49053840de107, 0x8bf9b6815156f62a, 0xc68b1be1b8f36511, 0xa9cfd4eaccdfc1dd, 0xf989ffde1ef79430,
  0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x00000a49ef05b241,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ee[] = {
  0x80addddddd43573e, 0x91e0fa6d63b26d83, 0xbe8fcdd4e538a059, 0x9eb2331edb37dd8e, 0xee01f557edba0a02,
  0x6ee5c5f7615ef595, 0x4f8c04825bbbc997, 0x01190f41a43a7530, 0x199b7e2fb7e15d7c, 0x49dd3f27d881850c,
  0x4700b5318ffe65d8, 0x1c569bd47275b04b, 0xff31a04508e48558, 0xf177baa001b87c0a, 0x9681454432bb8bdd,
  0xfd01cf098c7c5421, 0xcb56f9a0c5eddfe7, 0x5afffe7530586f2b, 0xedd4d56b47fbbe40, 0xa3e0d9830f7ea3ca,
  0x3afb169bbe2bd37e, 0x9afa5b1971c270dc, 0xead2ec157027e690, 0xd7b19bb18f467a9c, 0x4f4a4710d8d56ba1,
  0x0decbbdd9c071d8b, 0x164511551b047eb7, 0xce7afba6ebebd7c0, 0x2a0e6f236bcb955a, 0x54df673a8a9546ba,
  0x4d7020272bb54b7d, 0x795c84ae492fe8e4, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x16920a7081bc20e8,
  0x7f36d02a2adec555, 0xa2c79c371e6ca231, 0x5c9fbab337f07771, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x00642963fd920f3c,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed1369f3202, 0x07d36b1d936c1c05, 0x8ce6a729c502cc8f, 0x98f6d9beec75c7e6, 0xaabf6dd05014f591,
  0x07d75c5f4d6f700f, 0x096eef265dbb869d, 0x0690e9d4c13e3012, 0xbedf8575f004643d, 0x9f62061430666df8,
  0x31ffccafda2774fc, 0x8e4eb60968e016a6, 0xa11c90ab038ad37a, 0x00370f815fe63408, 0x8657717bbe2ef754,
  0x318f8a8432d028a8, 0x18bdbbfcffa039e1, 0xe60b0de5796adf34, 0xd1feef9016bfd8d0, 0xc3dfa8f2bb75355a,
  0xef8af4dfa8f83660, 0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x63d19ea73ab4bb05, 0x36355ae875ec66ec,
  0x6701c762d3d291c4, 0x46c11fadc37b2ef7, 0xbafaf5f005914455, 0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8,
  0xcaed52df5537d9ce, 0x924bfa39135c0809, 0x73daad115e57212b, 0xb94b5f3a03c72b5d, 0x206f083a20421520,
  0x8ab7b15545a4829c, 0x079b288c5fcdb40a, 0xbf411a2c6f8b9357, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0xdfb0cd0f226781fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x41e792bf734332c3, 0x00000005645e7d16,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ce[] = {
  0xc71ddddddde7ce7c, 0x8bc1f4da62273983, 0x5faeb7a1bb271a56, 0x58341519efda3b54, 0x3f33ed3ec21eec71,
  0xc9866eed9b69eae2, 0x77304f8c04825bbb, 0x5d7c01190f41a43b, 0x850c199b7e2fb7e1, 0x94d6a9dd3f27d881,
  0x6121ce05d66287f9, 0x0ab0328b37a8ff3b, 0xf815fe63408a11c9, 0x8bddf177f6080370, 0x2a10cb426e4432bb,
  0x7383ff4073c264c6, 0x1bcaf2d5be68317b, 0x4f90a7bfdd48cc16, 0x780173b72677fd41, 0x84e7736ba6dcedfe,
  0xea3cbe9ee580bac9, 0xedf5f238e558193d, 0xcec3e231be731602, 0x570f71cb19e3af47, 0x9cf5f74dd7d7af87,
  0x541cde46d7972ab5, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xf2b9095c925fd1c8, 0xa03cfd6b9ed5688a,
  0xab9d5ea58594d8b3, 0x41d10273e3182169, 0x288c5fcdb4e10378, 0x3458f38b9357079b, 0x5c9fbab31e40cd3e,
  0x9f0271964b867a61, 0x95fb9a19961d252d, 0x00073d7ce1920f3c,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x3b83e9b598e7db07, 0x3deef75053d68e3d, 0x0bc9d4cca76f5d84, 0x2d4e900d57efdeec,
  0xef248fbb9e08ce9c, 0x118cc13e3012096e, 0x8575f004643d0691, 0x061430666df8bedf, 0xf997612774fc9f62,
  0x5b61bece1a6e68ad, 0xc90ab0328737a8f9, 0x70f815fe63408a11, 0xbb8bddf177dc8803, 0x2a2a10cb43ba4432,
  0x7b7ff9ff4073c26d, 0x161bcaf2d5be6831, 0xedff9035bfff9d4c, 0x79e24e424a7ae2fa, 0x2fc4361222fb8d10,
  0x736bf59b21fea3e1, 0xbe9ee58cfd64cf17, 0xf238e558193dea3c, 0xe231be731602edf5, 0x71cb19e3af47cec3,
  0xf74dd7d7af87570f, 0xde46d7972ab59cf5, 0xce75152a8d74541c, 0x404e576a96faa9be, 0x095c925fd1c89ae0,
  0xfd6b9ed5688af2b9, 0x5ea58594d8b3a03c, 0x0273e3182169ab9d, 0x5fcdb4e1037841d1, 0x3458df0dc79b288c,
  0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x00000d24085d920f,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ee_ce[] = {
  0xfb2b77777750cf68, 0xd6e0fa6d7a519c60, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0x7f9b4d9bc2960eca,
  0xbb9a3ea74704dd9c, 0x3e3012096eef24c8, 0x08c87a0d208f5cc1, 0xccdbf17dbf0aebe0, 0x4ee9f93ec40c2860,
  0x1c34d4cff3f32ec2, 0xfa7e6f51ffe6c034, 0xf98d022847242ac0, 0x8bbfa9c00dc3e057, 0xb40a5a2195dc5eef,
  0xe80e784df3a2a10c, 0xb56f9a0c5edff5ff, 0xafffe7530586f2bc, 0x4d1dff54650fe469, 0xa92737ff3c49c84b,
  0x6b2b131984e7736b, 0xc1f51ea3cad82ca7, 0x4c5315a9ef51f06c, 0x8cb8e1386e1d7d8b, 0xbb71c31d484d7d2d,
  0xca69db6fa397c73a, 0x14463e58d578d8eb, 0x7b2dc99c071d8b4c, 0xbebd7d8c722991c3, 0xbcb955ace7afba6e,
  0xa9546ba2a0e6f236, 0xbb54b7d54df673a8, 0x92fe8e44d7020272, 0xf6ab445795c84ae4, 0x52d7ce80f1cad75c,
  0x1bc20e881085482e, 0xedec55516920a708, 0xcd94462fe6da0518, 0xfe0eee3458f386e3, 0x70cf4c2b93f75666,
  0xc3a4a5b3e04e32c9, 0xb241e792bf734332, 0x000000000130454e,
};

static const uint64_t ur_pwm81_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x7d36a178ce3074fb, 0xc3d402eb7b2a7170, 0xb7ef72270f9463a3, 0x6d0fde4e4fb67c76,
  0x3e30a05b45c595ee, 0x6eef25a73bb4836d, 0x22f544c13e301209, 0xbf0aebe008c87a0d, 0xc40c2860ccdbf17d,
  0x3f995fb44ee9f93e, 0x77b043e386374dd8, 0xc90ab037f937a8ed, 0x70f815fe63408a11, 0xee2f77c5df1f7003,
  0xd150865a1b3910ca, 0x6ece5ff4073c26ca, 0xc3795e5ab7cd062f, 0xb7c8bc3ff6343982, 0x2701cb5bb8bea8e2,
  0x1b09117dc6883cf1, 0x87f8fbbf51f097e2, 0x5b9b4c6678bb9b5f, 0x0fa8f51e5650e53b, 0x6298add2fa8f8366,
  0x65c709c370ebec5a, 0xdb92b0ea426be96c, 0x94d3b2008c1439d5, 0xbd1e45b1aaf1b1d7, 0xecb726701c762d37,
  0xfaf5f631b866470d, 0xf2e556b39ebee9ba, 0xa551ae8a839bc8da, 0xed52df5537d9cea2, 0x4bfa39135c0809ca,
  0xdaad115e57212b92, 0xb29b1674079fad73, 0x63042d3573abd4b0, 0x9c206f083a204e7c, 0x6ae0f365118bf9b6,
  0xf837e823458df172, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f,
  0x587494b67c09c659, 0xe2c83cf257ee6866, 0x000000000080048b,
};

static const uint64_t ur_pwm81_swio13_dual_hw[] = {
  0x4f777776890d365a, 0xf07d3698884360ff, 0xe7deea3397742da5, 0x7f17f25499389d96, 0xf658a35362ddfa64,
  0xf250477644f5ef4a, 0xa1cc13e3012096ee, 0x2baf802321e8348b, 0x30a183336fc5f6fc, 0xccbb093ba7e4fb10,
  0x9b05f67028b3393f, 0x9215606654dea3bf, 0xe1f02bfcc6811423, 0x7717bbe2ef43e006, 0xdc54219680f88865,
  0xf6ec17fe80e784db, 0x2c3795e5ab7cd062, 0x96bfc828bfe76898, 0xac0f7bf51fba3be5, 0x0bac533930f71c72,
  0x1a9d90046989cc58, 0x37d500ffd9823af0, 0xaf9f3a81e59edbde, 0x2ab59cf5f74dd7d7, 0x8d74541cde46d797,
  0x96faa9bece75152a, 0xd1c89ae0404e576a, 0x688af2b9095c925f, 0xf9d01e395aeb9ed5, 0x41d10210a905ca5a,
  0x8aaa2d2414e10378, 0x4462fe6da05455bd, 0x1539fa82ec6e3cd9, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c,
  0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xf4f257ee68665874, 0x00000018dd778285,
};

static const uint64_t ur_pwm81_swio13_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0x8f07d36b1d936c1c, 0xf47e6ea729c502cc, 0xf59198f6d9beec75, 0x700faabf6dd05014,
  0x2eddddd8dd9bcc5f, 0x609f180904b77793, 0xf802321e834874ea, 0x183336fc5f6fc2ba, 0xb093ba7e4fb1030a,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef75400370f8, 0x432d028a88657717,
  0xcffa039e1318f8a8, 0x5796adf3418bdbbf, 0x202d7f9da260b0de, 0xe576ea6ab5a3fddf, 0xbf51f06cc187bf51,
  0x6e1d7d8b4ddf15e9, 0x484d7d2d8cb8e138, 0x4e7569760ab813f3, 0xd0ebd8cdd8c7a33d, 0xc5a7a523886c6ab5,
  0x5b86f65deece038e, 0xe00b2288aa8d823f, 0xad673d7dd375f5eb, 0x5d15073791b5e5ca, 0xbeaa6fb39d454aa3,
  0x7226b8101395daa5, 0x22bcae42572497f4, 0x74078e56bae7b55a, 0x7440842a417296be, 0xaa8b49053840de10,
  0x18bf9b6815156f62, 0x73f52f571b8f3651, 0x5ce32fcc4fe50c2a, 0x8e7bff826879133c, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0xaed58fe17d3c95fb,
};

static const uint64_t ur_pwm81_swio13_dual_ce_hw[] = {
  0xe52b777776890c86, 0x70783e9b598d7160, 0xef5c2f767120a477, 0xa0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9a66eeeec6ecd, 0x0551304f8c04825b, 0xf0aebe008c87a0d2, 0x40c2860ccdbf17db, 0xff32ec24ee9f93ec,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbf9be00, 0xea2a10cb40c7a219,
  0xf6fbb5ff4073c26e, 0x2c3795e5ab7cd062, 0xafe7c8383fe76898, 0x1e789390913ab8be, 0x4bf10d8488bee344,
  0xdcdaec87495fa8f8, 0x4f9ee58cf13f33c5, 0x7e38e5581dadea38, 0x0234c4e62c0528bb, 0x7feccf1d780d4ec8,
  0x503cb5b9ef1bea80, 0x9ebee9bafaf5f3e7, 0x839bc8daf2e556b3, 0x37d9cea2a551ae8a, 0x5c0809caed52df55,
  0x57212b924bfa3913, 0xc72b5d73daad115e, 0x421520b94b5f3a03, 0xa4829c206f083a20, 0x9b681463b7b15545,
  0xa0bb1b8f365118bf, 0xfef0f7bca1854e7e, 0x79133c0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x004dd4ad417d3c95,
};

static const uint64_t ur_pwm81_swio13_dual_ee_ce_hw[] = {
  0xc21eeeeeeea1a5fb, 0x8b83e9b5e978fec1, 0xae43dda2fb173b4d, 0xc7ac58afaed3d5df, 0xfabe1f614b0421a4,
  0x3ba591aeba55857b, 0x3e3012096eef2437, 0x1190f41a41ecf4c1, 0x99b7e2fb7e15d7c0, 0x9dd3f27d881850c1,
  0x70c41335dfe65d84, 0xffc9bd47d35b07f8, 0xf31a04508e485581, 0x2efe1fc01b87c0af, 0xd0c0888657717bbe,
  0xa039e131758a8432, 0xd5be68317b7986ff, 0x0ff3b44c161bcaf2, 0x101dff54795be462, 0xe54341ff3c49c84b,
  0x6b2b17c984e7736b, 0x83dbfea3cae574a7, 0x98a62bdf7ea3e0d9, 0x1971c270dc3afb16, 0x76e60a3a909afa5b,
  0xd8cdd8c7a33d4e75, 0x4a4710d8d578d8eb, 0xecbbdd9c071d8b4f, 0x2288aa8d8226470d, 0x3d7dd375f5ebe2cf,
  0x073791b5e5caad67, 0x6fb39d454aa35d15, 0xb8101395daa5beaa, 0xae42572497f47226, 0x8e56bae7b55a22bc,
  0x842a417296be7407, 0x49053840de107440, 0x36d028c76f62aa8b, 0xcfec371e6ca2317f, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0x89a638b0be9e4afd,
};

static const uint64_t ur_pwm81_swio13_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0x07d36a17a8c583ef, 0xda6ef76a3e10ce77, 0x7156af2657bc89da, 0x49b43f793b7eec5e,
  0x38c32d6ed3e78296, 0x0904b77792829dd5, 0x3d06917aa2609f18, 0xf8bedf8575f00464, 0xfc9f62061430666d,
  0xcdcb5f99641aa774, 0xa8f8ddb0ec1385e1, 0x14239215606d7737, 0x3006e1f02bfcc681, 0x2195dc5eef8bbec9,
  0x4da6e2a10cb40e0a, 0x0c5edd9cbfe80e78, 0x730586f2bcb56f9a, 0xa3275f22f0fff787, 0x3c58be84af0ee2fa,
  0xf886c2445f71a20f, 0x6b85919ebfd47c25, 0xa76b736be4cf1773, 0xd983dbfea3cae574, 0x1698a62bdf7ea3e0,
  0x5b1971c270dc3afb, 0x7576e60a3a909afa, 0xebd8cdd8c7a33d4e, 0x4f4a4710d8d578d8, 0x0decbbdd9c071d8b,
  0xcf2288aa8d822647, 0x673d7dd375f5ebe2, 0x15073791b5e5caad, 0xaa6fb39d454aa35d, 0x26b8101395daa5be,
  0xbcae42572497f472, 0x078e56bae7b55a22, 0x40842a417296be74, 0x8b49053840de1074, 0x7f36d028c76f62aa,
  0xfd4176371e6ca231, 0x9ffde1ef79430a9c, 0xd0f226781fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x0075d668dda02e79,
};

static const uint64_t ur_pwm81_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x04825bbbc9ddcc49, 0xdb20f9f8f7304f8c, 0x6277cb741f23baff, 0xe471cab03affea3a, 0x78e62c05bdd32003,
  0xc608ebc5cedd2232, 0xf2e556a56087dc72, 0xa551ae8a839bc8da, 0x372bb54b7d59cea2, 0x095b1fbfa391359d,
  0xfd6b9ed5688af2b9, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x2fe6da7081bc20e8, 0x15c9f9fd86ed9446,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x000005496ece8b3c,
};

static const uint64_t ur_pwm81_swio14_noled_pr[] = {
  0xf777777507b128ae, 0x776aae452a1c4a38, 0x6c9ebf63416c13c1, 0x3583886d8cd9ef4f, 0x05f98d69bb1c7a0b,
  0xbc9dd34b1c717891, 0x31f304f8c04825bb, 0x7bf91b7ffd28dd9f, 0xc0c9af51c143be5b, 0x2cb2983da011c72a,
  0x3e764c5188a73160, 0x13ca807fecc11d7a, 0xab5422607967b76b, 0xd74541cde46d7972, 0xdaa5beace75152a8,
  0x8fdfd1c89ace9b95, 0xcf6ab445795c84ad, 0xd8a53c34ef3e2d75, 0xc206f083a2041dd4, 0x3156f62aa8b4b689,
  0xc1e6ca2317f36d84, 0x1db434596af2e4d5, 0xa1854e7ea75663c8, 0x01f343c899e04e34, 0xe32c970cf4c2b93f,
  0x34332c3a4a5b3e04, 0xe4f0862ab2792bf7, 0x0000000000000003,
};

static const uint64_t ur_pwm81_swio14_noled_pr_u4[] = {
  0x89bbbbbb45d8bf82, 0xd6eed55c8a509128, 0x3b50f4d06e246113, 0xfd0ee38f522f892e, 0x6c99fa5f17bb1105,
  0xeef2775718915370, 0x7e3dcc13e3012096, 0xb741f23baff4a376, 0xab03affea3a6277c, 0xc05bdd32003e471c,
  0xbc5cedd223278e62, 0x6a56087dc72c608e, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0xfbfa391359d372bb,
  0xed5688af2b9095b1, 0x01652a7d3bcfd6b9, 0xe2810b4b0b9d4ea7, 0xa7081bc20e8811e5, 0x9ab83cd94462fe6d,
  0x8f2076d0d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1,
  0x66587494b67c09c6, 0x917c5564f257ee68, 0x0000000000001f26,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x83304f8c04825bbb, 0xff91b3bfce20f9f3, 0xa8f2b2eb355ad198, 0x652fd47c1b307d47,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3f90e75697726b8d, 0xaad743af3a6ec7aa, 0x0e3b169c428f7bb1,
  0x047eb70decb65f38, 0x72ab500ba0e7951b, 0xa8d74541cde46d79, 0x95daa5beace75152, 0xad8fdfd1c89ace9b,
  0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0x89c206f083a2041d, 0x843156f62aa8b4b6, 0xd5c1e6ca2317f36d,
  0xc81f943459d3e2e4, 0xfca1854e7ea75663, 0x0f22678b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf,
  0xe792bf734332c3a4, 0x000000275e056441,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0xb3a609f180904b77, 0xbff22577f9c41f3f, 0xf51e57f3a6ab5a3d, 0xadd2fa8f83660e71,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x1ad739d5a5d7dae2, 0x56ba1d7aea6ed2f9, 0x71d8b4c7c47d258d,
  0x07d6e1bd970e59c0, 0x3791b5e5caad571d, 0xb39d454aa35d1507, 0x226b3a6e576a96fa, 0x15e57212b63f7f47,
  0xd3bcf8b5d73daad1, 0x0e881077536294f0, 0xaaa2d2da27081bc2, 0x8c5fcdb610c55bd8, 0x2c6f8b9357079b28,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000275d34191079e,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ce[] = {
  0xbf37777777b128ae, 0x368eed55c8a2d112, 0x377a7ef684dde1c4, 0xab682326a6f1dedb, 0x44895b643c7eedf9,
  0x2ddde4ee9a58e2d1, 0xecf9759827c60241, 0xfeb377c8f9dfe946, 0x4d7e780160e3a53b, 0x2eb26139dcdae1a3,
  0x06b3fd475f27b960, 0x8b0176fcbe8e3956, 0xebd1f3b2628c4539, 0xeb589e5403ff6678, 0xf2e556a844c0f2d6,
  0xa551ae8a839bc8da, 0x372bb54b7d59cea2, 0x095b1fbfa391359d, 0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c,
  0x6d13840de1074408, 0xb61098edec555169, 0x8b93571b288c5fcd, 0x5663c81db43458f3, 0x32c970cf4c2b93f7,
  0x332c3a4a5b2c944e, 0x5c6e2ab2792bf734, 0x00000000000000b7,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ce_u4[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0xb77793ba76821cbb, 0xf3fa6e609f180904, 0xfaf75f232b7f9c41, 0x41e78016b492bae2, 0x84bf10d8488bee34,
  0x5dcdaec87495fa8f, 0x75f27b9633f5933c, 0xcbe8e395606b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0xa839bc8daf2e556a, 0xb7d59cea2a551ae8, 0xfa391359d372bb54, 0x5688af2b9095b1fb,
  0xa7869de7c5aeb9ed, 0xde10744083ba9b14, 0xdec5551696d13840, 0xb288c5fcdb61098e, 0xa1a2c6f8b9357079,
  0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0x79e4afdcd0ccb0e9, 0x0000006eba45f910,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xd36e609f180904b7, 0xbafc819bff3883e7, 0x00b5a419b3bfea8c, 0xe7736bb39747ff3c,
  0xe43ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0x1d7d8b4c53159c3f, 0x4d7d2d8cb8e1386e, 0xfc873abb73931d48,
  0xaf1b1d79d3763d51, 0xe3b169c428f7bb1a, 0x226470decb65f380, 0x955a967d073ca8d8, 0x46ba2a0e6f236bcb,
  0xaed52df5673a8a95, 0x6c7efe8e44d674dc, 0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0x4e1037841d1020ee,
  0x4263b7b15545a5b4, 0x4d5c6ca2317f36d8, 0x8f207e50d163ce2e, 0x25c33d30ae4fdd59, 0xb0e9296cb25138cb,
  0x791079e4afdcd0cc, 0x0000000000a698bf,
};

static const uint64_t ur_pwm81_swio14_noled_pr_ee_ce_u4[] = {
  0x0dddddda2e7c4541, 0x2eed55fd4cc8c489, 0x96bd6d6960cc17e6, 0xa800ada3b836b8dd, 0xd02f928596cf2430,
  0x9dd4024dce2c3e0d, 0x9304f8c04825bbbc, 0xc8adfff8642f9f14, 0x73badfb8bea8f4df, 0x8488bee3441e7801,
  0x233d7fa8f84bf10d, 0xe6def99e2ee6d70b, 0xd2bd4795c8794ed6, 0xa62b387ea3e0d983, 0x71c270dc3afb1698,
  0xe7263a909afa5b19, 0xa6ec7aa3f90e7576, 0x51ef76355e363af3, 0x96cbe701c762d388, 0x0e7951b044c8e1bd,
  0xde46d7972ab52cfa, 0xce75152a8d74541c, 0x89ace9b95daa5bea, 0x5795c84ad8fdfd1c, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0xaa8b4b689c206f08, 0x62fe6db084c76f62, 0x637c5c9ab83cd944, 0xd4eacc790334f8d1,
  0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3,
  0x027e3cdb3241e792,
};

static const uint64_t ur_pwm81_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x04825bbbc9ddcc49, 0xfe1c79f8f7304f8c, 0xd313be5ba0f91dd7, 0x1f238e5581d7ff51, 0x93c731602dee9900,
  0x9630475e2e76e911, 0xd7972ab52b043ee3, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xc84ad8fdfd1c89ac,
  0xe7eb5cf6ab445795, 0xcea75380b2953e9d, 0x4408f2f14085a585, 0x317f36d3840de107, 0x30ae4fcfec376ca2,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000011c56ea29,
};

static const uint64_t ur_pwm81_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0x4b77793bb61b656a, 0x533e706609f18090, 0x5ad198ff91b3bfe8, 0x307d47a8f2b2eb35, 0xd377c5652fd47c1b,
  0x632e384e1b875f62, 0x726b8d64d2135f4b, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0xb65f380e3b169c42,
  0xe7951b047eb70dec, 0xe46d7972ab500ba0, 0xe75152a8d74541cd, 0x9ace9b95daa5beac, 0x795c84ad8fdfd1c8,
  0xef3e2d75cf6ab445, 0xa2041dd4d8a53c34, 0xa8b4b689c206f083, 0x17f36d843156f62a, 0xcfd4176371e6ca23,
  0x89ffde1ef79430a9, 0xcd0f226781fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00000b7ff34c2fa7,
};

static const uint64_t ur_pwm81_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x2412ddde4ee94e1e, 0xfa14cfe9b9827c60, 0x575c5f5eebe4656f, 0x5f71a20f3c49c84a, 0x3fd47c25f886c244,
  0xac99e2ee6d7ec1bc, 0x59fea3af93dcb19f, 0x80bb7e5f471cab03, 0xe8f9d93146229cc5, 0xac4f2a01ffb33c75,
  0x72ab542260796b75, 0xa8d74541cde46d79, 0x95daa5beace75152, 0xad8fdfd1c89ace9b, 0x75cf6ab445795c84,
  0xd4d8a53c34ef3e2d, 0x89c206f083a2041d, 0x084c76f62aa8b4b6, 0xc6e3cd94462fe6db, 0x3def2861539fa82e,
  0xcf03f8cbf313ffbc, 0x17f81fbf619a1e44, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xd93f085f4f257ee6,
  0x00000000000003ac,
};

// pwm81_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0xb77793ba55e89fa1, 0x33e292609f180904, 0xaa3d37f22b7ffe85, 0x0f3c49c84ab7ee2f, 0x25f886c2445f71a2,
  0xe6d736ec291fd47c, 0x794ed6e6def99e2e, 0xe0d983d2bd4795c8, 0xfb1698a62b387ea3, 0xfa5b1971c270dc3a,
  0x0e7576e7263a909a, 0x363af3a6ec7aa3f9, 0x62d38851ef76355e, 0xc8e1bd96cbe701c7, 0xb52cfa0e7951b044,
  0x74541cde46d7972a, 0xaa5beace75152a8d, 0xfdfd1c89ace9b95d, 0xf6ab445795c84ad8, 0x8a53c34ef3e2d75c,
  0x206f083a2041dd4d, 0xc76f62aa8b4b689c, 0x3cd94462fe6db084, 0xf2861539fa82ec6e, 0x3f8cbf313ffbc3de,
  0x81fbf619a1e44cf0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0xab85f4f257ee6866, 0x0000000000028087,
};

static const uint64_t ur_pwm81_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0xc04825bbbc9ddb1e, 0xfdb20f9f80d304f8, 0xc90ef96e83e407bf, 0x318e3956075ffd47, 0xd21cc580b7ba6ea1,
  0x58c11d78b9d84547, 0x5e5caad4acc17b8e, 0x54aa35d15073791b, 0xa6e576a96fab39d4, 0x97d8f47226b81013,
  0x73daad115e57212b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xdb4e1037841d1028, 0x3f3fb0ddb288c5fc,
  0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9, 0x01527d79d16792bf,
};

static const uint64_t ur_pwm81_swio14_lednop_pr[] = {
  0x7bbbbbba83d8ad4e, 0xbbb5572290be251c, 0xb490dbf30fb609e0, 0x9ac1c550c6d97bc2, 0x8eec7bafdd8e3d05,
  0x793ba626e0c33467, 0xbee609f180904b77, 0xf7f223dffa51bb3e, 0x81935ea3a0077cb6, 0x2cb299fcea238e55,
  0x7ced92231be73160, 0xe91500ffd9823af4, 0xad65da81e59edc1f, 0x5d15073791b5e5ca, 0x6a96fab39d454aa3,
  0x47226b81013a6e57, 0xd115e57212b97d8f, 0xf3a03c72b5d73daa, 0x83a20421520b94b5, 0x15545a4829c206f0,
  0x88c5fcdb6318ab7b, 0x165abcb9357079b2, 0x9fa9d598f2076d0d, 0xf22678138d286153, 0xc33d30ae4fc07cd0,
  0x0e9296cf8138cb25, 0x8aac9e4afdcd0ccb, 0x0000000001f2656a,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_u4[] = {
  0x1137777768bb1762, 0x7adddaab914ad225, 0x63b0bf70f8da0c22, 0x17f43b8e3da1377e, 0x11dc01b6f8feec44,
  0x96eef277699a335a, 0x767e034c13e30120, 0xf96e83e407bff4a3, 0x3956075ffd47c90e, 0xc580b7ba6ea1318e,
  0x1d78b9d84547d21c, 0xaad4acc17b8e58c1, 0x35d15073791b5e5c, 0x76a96fab39d454aa, 0xf47226b81013a6e5,
  0xad115e57212b97d8, 0x9b1674079fad73da, 0x042d3573abd4b0b2, 0x1037841d1028be8a, 0x7079b288c5fcdb4e,
  0x40eda1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343c899e0, 0x5c33d30be347a2ff,
  0xb0e9296cf8138cb2, 0xb8aac9e4afdcd0cc, 0x00000000001f2610,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x96a609f180904b77, 0x1ff206b7f9c41f3e, 0xf51e56c166ab5a33, 0xad4f7a8f83660fa8,
  0x09c370ebec5a6ef8, 0xac9a426be96c65c7, 0x47371cead2ee9571, 0x355ae875e74dda44, 0x01c762d35f11c656,
  0x608fd6e1bd96cbe7, 0x2e556a015ac4f2a3, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a, 0xec7a39135c0809d3,
  0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0x37841d10210a905c, 0x5bd8aaa2d2414e10, 0xcd94462fe6db18c5,
  0x2868b3a7c5c9ab83, 0x0a9cfd4eacc7903f, 0xcf1738cbf313f943, 0x27e39effe09a1e44, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x0013ae64c883cf25,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xeef2774ed0439765, 0x7d2d4c13e3012096, 0x7b7fe40d6ff3883e, 0xe3ea3cae43cd56b4, 0xf15feef51f06cc1c,
  0x8e1386e1d7d8b4dd, 0xc5133484d7d2d8cb, 0x911a6273ab4bc065, 0xc6ab5d0ebd75376c, 0xc071d8b4e0fa3b5a,
  0x305fd6e1bd970e59, 0x0e6f236bcb955aae, 0xf5673a8a9546ba2a, 0xd7020274dcaed52d, 0xcae42572fb1e8e44,
  0x80f3f5ae7b55a22b, 0xae757a96165362ce, 0x83a20517d14085a6, 0x5118bf9b69c206f0, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x000009d748bf220f,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ce[] = {
  0x5f9bbbbbbbd8ad4e, 0x1b4776aae450d889, 0x697a34f7c5a450e2, 0xd5b411935a14d971, 0xd199bb0660bf76fc,
  0x2ddde4ee989b82b8, 0xecfb059827c60241, 0xfeb377c8387fe946, 0xadfe780160e1753b, 0xbac984e7736bcedd,
  0x359fea3cbe9ee580, 0x2c058f7a5471cab0, 0x5e8f9db244637ce6, 0x83fd22a01ffb33c7, 0x2e556b2ed40f2d6e,
  0x551ae8a839bc8daf, 0x72bb54b7d59cea2a, 0xec7a39135c0809d3, 0xed5688af2b9095cb, 0xa5af9d01e395aeb9,
  0x37841d10210a905c, 0xdbd8aaa2d2414e10, 0x1b288c5fcdb63131, 0x1db43458f38b9357, 0xcf4c2b93f75663c8,
  0x4a5b2c944e32c970, 0xb2792bf734332c3a, 0x00000000b75e722a,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ce_u4[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0x4b77793baaf99f41, 0x1f3f1ca609f18090, 0x2faf75f22dd7f9c4, 0x441e78016b49a6ee, 0xf84bf10d8488bee3,
  0xc5dcdae495951fa8, 0x8f2fa7b9633f5933, 0xde951c72ac0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0x44d7020274dcaed5, 0x2bcae42572fb1e8e,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xa8b49053840de107, 0x17f36d8c4c76f62a, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x00dd7085e441e792,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xeff2609f180904b7, 0x2ebf20347f9c41f3, 0x8016b481a0effaa3, 0x39dcdaed07044fe7,
  0xb29729dacac7be61, 0xd47c1b307a57a8f2, 0x875f62d314c5650f, 0x135f4b632e384e1b, 0x7371ceaedce94752,
  0xabc6c75e74dda444, 0x38ec5a6be238cac6, 0x08991c37b2d97ce0, 0xe556a59dac4f2a36, 0x51ae8a839bc8daf2,
  0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe, 0x5af9d01e395aeb9e, 0x7841d10210a905ca,
  0xbd8aaa2d2414e103, 0xb288c5fcdb63131d, 0xf943458f38b93571, 0xf4c2b93f75663c81, 0xa5b2c944e32c970c,
  0xe792bf734332c3a4, 0x0000029a6dc7e441,
};

static const uint64_t ur_pwm81_swio14_lednop_pr_ee_ce_u4[] = {
  0x0dddddda2e7c1a4e, 0x2eed55fd4d99c489, 0x3680ada166ec17e6, 0xa800ad9914774cec, 0x46ea5d8596cf2430,
  0x77535dc2d267b829, 0xcc13e3012096eef2, 0x421f7fc3217cff60, 0x9da1f5c5f547a6fe, 0x2445f71a20f3c00b,
  0xae4afd47c25f886c, 0x6def99e2ee6d78fb, 0x2bd479594b94ed6e, 0x62b287ea3e0d983d, 0x1c270dc3afb1698a,
  0x74a3a909afa5b197, 0x6ed22239b8e7576e, 0x1c656355e363af3a, 0x6cbe701c762d35f1, 0x27951b044c8e1bd9,
  0xe46d7972ab52ced6, 0xe75152a8d74541cd, 0x404e9b95daa5beac, 0x84ae5f63d1c89ae0, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x0a7081bc20e88108, 0xb1898edec5551692, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0xca3241e792bf7343, 0x0000000000013f2a,
};

static const uint64_t ur_pwm81_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0xc04825bbbc9ddb1e, 0xffe1c79f80d304f8, 0x3e4877cb741f203d, 0x098c71cab03affea, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551ae8a839bc8, 0x9d372bb54b7d59ce, 0x5cbec7a39135c080,
  0x6b9ed5688af2b909, 0xa58594d8b3a03cfd, 0x45f4502169ab9d5e, 0xe6da7081bc20e881, 0xc9f9fd86ed94462f,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x00004717d7453c95,
};

static const uint64_t ur_pwm81_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x25bbbc9dd4149cb4, 0x299f4b5304f8c048, 0xad68cc7fc81adff4, 0x983ea3d4795b059a, 0x69bbe2b53dea3e0d,
  0xb1971c270dc3afb1, 0xba55c6b26909afa5, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0x5b2f9c071d8b4d7c,
  0x13ca8d823f5b86f6, 0xf236bcb955a8056b, 0x73a8a9546ba2a0e6, 0x20274dcaed52df56, 0x42572fb1e8e44d70,
  0x56bae7b55a22bcae, 0x2a417296be74078e, 0x053840de10744084, 0x6c63156f62aa8b49, 0xbb1b8f365118bf9b,
  0xf0f7bca1854e7ea0, 0x133c0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x5be353817d3c95fb, 0x0000000000000000,
};

static const uint64_t ur_pwm81_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x12096eef2775eb4e, 0xfd0a67e394c13e30, 0xa6ee2faf75f22dd7, 0x2fb8d1079e24e425, 0xe7ea3e12fc436122,
  0xd64cf17736bcc333, 0x59fea3cbe9ee58cf, 0xc058f7a5471cab03, 0xe8f9db244637ce62, 0x3fd22a01ffb33c75,
  0xe556b2ed40f2d6e8, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0xc7a39135c0809d37, 0xd5688af2b9095cbe,
  0x5af9d01e395aeb9e, 0x7841d10210a905ca, 0xbd8aaa2d2414e103, 0xb288c5fcdb63131d, 0x0c2a73f505d8dc79,
  0x197e627ff787bde5, 0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x0be9e4afdcd0ccb0,
  0x00000000759bef82,
};

// pwm81_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0x6eef27768bfbbdae, 0xcff60cc13e301209, 0xa8f4dfc843effa14, 0x3cf12721243eb8be, 0x97e21b09117dc688,
  0x9b5d5d7185ff51f0, 0xe53b5b9b7be678bb, 0x83660f4af51e5652, 0xec5a6298aca1fa8f, 0xe96c65c709c370eb,
  0x39d5db9d28ea426b, 0xd8ebce9bb4888e6e, 0x8b4d7c471958d578, 0x2386f65b2f9c071d, 0xd4b3b589e546c113,
  0xd15073791b5e5caa, 0xa96fab39d454aa35, 0x7226b81013a6e576, 0x115e57212b97d8f4, 0x3a03c72b5d73daad,
  0x3a20421520b94b5f, 0x5545a4829c206f08, 0x18bf9b6c6263b7b1, 0x4e7ea0bb1b8f3651, 0xcc4ffef0f7bca185,
  0x866879133c0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x0000014051a9c17d,
};

// pwm81_swio14_dual_pr
static const uint64_t ur_pwm81_swio14_dual[] = {
  0xa5ddddddde7c50e3, 0x7c1f4da6229c9839, 0xfb9f7b707a750b69, 0xc5fe47652be29562, 0xb3e2d402b74d291f,
  0x2823b82c0f900b85, 0x6609f180904b7779, 0xd7c01190f41a42a4, 0x50c199b7e2fb7e15, 0x4d6a9dd3f27d8818,
  0x0bece05166727f99, 0x2ac0cca9bd477f36, 0xe057f98d02284724, 0x17bbe2ef80000dc3, 0x54219680f8886577,
  0xe50ffe80e784dbdc, 0x3795e5ab7cd062f6, 0x9f22a57fba91982c, 0x188bea3c8877cb0f, 0xac537ee32a38e558,
  0x9da7146f79cc580b, 0xd500ffd9823af01a, 0xbfc303cb3db5af07, 0xd673d7dd375f5ebe, 0xd15073791b5e5caa,
  0xa96fab39d454aa35, 0x7226b81013a6e576, 0x115e57212b97d8f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f,
  0x5545a4829c206f08, 0x8c5fcdb6318ab7b1, 0x58f38b9357079b28, 0x9fbab31e40cd3e34, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x062070a1920f3c95,
};

static const uint64_t ur_pwm81_swio14_dual_pr_u4[] = {
  0x4bbbbbbb4486c541, 0xf83e9b4c45393073, 0x6c5f76e0f4ea16d2, 0x3f8bfc8eca57c52b, 0x3167c5a8056e9a52,
  0x2823bac11fc355ea, 0x6609f180904b7779, 0xd7c01190f41a42a4, 0x50c199b7e2fb7e15, 0x5d849dd3f27d8818,
  0x82fb3814599c9fe6, 0x0ab0332a6f51dfcd, 0xf815fe63408a11c9, 0xc5eef8bbe0000370, 0x150865a03e22195d,
  0xb943ffa039e136f7, 0x0de5796adf3418bd, 0xe7c8a95fffcea60b, 0x0622fa8f221df2c3, 0xeb14dfb8ca8e3956,
  0xa769c51bde731602, 0xf5403ff6608ebc06, 0xaff0c0f2cf6d6bc1, 0xb59cf5f74dd7d7af, 0x74541cde46d7972a,
  0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d, 0xce80f1cad75cf6ab, 0x0e881085482e52d7,
  0x55516920a7081bc2, 0x2317f36d8c62adec, 0xbb8d1637c371e6ca, 0x61539fa9d599bf83, 0xcbf313ffbc3def28,
  0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x83cf257ee6866587, 0x000000149320e564,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ee[] = {
  0xb4eddddddd435032, 0x4783e9b58ed08583, 0xf5a7b74e72be8166, 0xd646676abbd35f7e, 0x5e1f5cedb7415a73,
  0xbaaf6d1febdf7638, 0xe3012096eef265db, 0x4643d0690ba2cc13, 0x66df8bedf8575f00, 0x774fc9f620614306,
  0xc02d4c63ff997612, 0x15a6f51c9d6c12d1, 0xcc68114239215607, 0x5dfdd6006e1f02bf, 0xa051510caee2f77c,
  0x4073c2631f150865, 0xab7cd062f6f3b7ff, 0xffff3a982c3795e5, 0xdcd56b46517e450f, 0xf06cc1995ea3caf7,
  0x7d8b4ddf15dbaf51, 0x7d2d8cb8e1386e1d, 0x697286b813f3484d, 0xd8cdda3da3d28e75, 0x80234c6c6ab5d0eb,
  0xf65deece038ec5a6, 0x195aca8d823f5b86, 0x9ebee9bafaf5f005, 0x839bc8daf2e556b3, 0x7d59cea2a551ae8a,
  0x35c0809d372bb54b, 0xf2b9095cbec7a391, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0x2d2414e1037841d1,
  0xfe6db18c55bd8aaa, 0x458f386e3cd94462, 0xb93f75666fe0eee3, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x0064288beb241e79,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed1369fa0ae, 0x1f4dac76842c1da7, 0x1f9a7395f40b323c, 0x9daaef4d7dfb69ed, 0x73b6dd0569cf5919,
  0xeb757b0faee1787d, 0x96eef265dbbbebef, 0x690ba2cc13e30120, 0xedf8575f004643d0, 0xf62061430666df8b,
  0x1ffccafda2774fc9, 0xe4eb60968e016a63, 0x11c90ab038ad37a8, 0x0370f815fe63408a, 0x657717bbe2efeeb0,
  0x18f8a8432d028a88, 0x17b79dbffa039e13, 0xc161bcaf2d5be683, 0x6517e450fffb1a1c, 0x95ea3caf7dcd56b4,
  0xf15dbaf51f06cc19, 0x8e1386e1d7d8b4dd, 0x813f3484d7d2d8cb, 0xda3d28e75697286b, 0xc6ab5d0ebd8cdda3,
  0xe038ec5a680234c6, 0xd823f5b86f65deec, 0xafaf5f005195aca8, 0xaf2e556b39ebee9b, 0x2a551ae8a839bc8d,
  0xd372bb54b7d59cea, 0xcbec7a39135c0809, 0xb9ed5688af2b9095, 0x5ca5af9d01e395ae, 0x1037841d10210a90,
  0xc55bd8aaa2d2414e, 0x83cd94462fe6db18, 0xdfa08d1637c5c9ab, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca,
  0xefd866879133c0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x20f3c95fb9a19961, 0x00000002b220e38b,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ce[] = {
  0xa76eeeeeef3e43ee, 0x5e0fa6d311498c1f, 0x7da2fd667138d2b4, 0xc1a0b70767120a1d, 0x3d62fd769cb77a72,
  0x4c3377577e44f76d, 0xe9827c602412ddde, 0x75f004643d0691d4, 0x1430666df8bedf85, 0x535aa774fc9f6206,
  0x84873817598a1fe6, 0x2ac0ca2cdea3fced, 0xe057f98d02284724, 0x2f77c5dffae00dc3, 0xa8432d09b910caee,
  0xc6b7fd01cf099318, 0x6f2bcb56f9a0c5ed, 0xbe4305ff75233058, 0xe005ceff71dff59b, 0x84e7736b868d35f9,
  0xf51c149ee580bac9, 0x7bac9238e5581acf, 0xced9151c1f398b01, 0xae9371cb19e3af47, 0xce7afba6ebebd7c3,
  0x2a0e6f236bcb955a, 0x2df5673a8a9546ba, 0x44d7020274dcaed5, 0x2bcae42572fb1e8e, 0xce80f3f5ae7b55a2,
  0xa6ae757a96165362, 0xe107440a2f8c6085, 0x6ca2317f36d3840d, 0xf8d163ce2e4d5c1e, 0x85727eeacc790334,
  0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0001cf5f49c6483c,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ce_u4[] = {
  0x991dddddda2432db, 0x9dc1f4dacc6c5d83, 0x5a9afbad89d9471e, 0x91c9d4ccdd69624e, 0xf8ce947ee7157ee9,
  0x779247ddc7045580, 0x3afa609f180904b7, 0xc2baf802321e8348, 0x030a183336fc5f6f, 0xfccbb093ba7e4fb1,
  0xadb0df670d373456, 0xe4855819439bd47c, 0xb87c0aff31a04508, 0x5dc5eef8bbd90c01, 0x95150865a1dd2219,
  0x7b719bffa039e136, 0x161bcaf2d5be6831, 0x7baf911cbfff9d4c, 0x3cf12721260b717d, 0x97e21b09117dc688,
  0x736bb37d2a3f51f0, 0x149ee58cfd64cf17, 0x9238e5581acff51c, 0x151c1f398b017bac, 0x71cb19e3af47ced9,
  0xfba6ebebd7c3ae93, 0x6f236bcb955ace7a, 0x673a8a9546ba2a0e, 0x020274dcaed52df5, 0xe42572fb1e8e44d7,
  0xf3f5ae7b55a22bca, 0x757a96165362ce80, 0x440a2f8c6085a6ae, 0x317f36d3840de107, 0xb8d1637c371e6ca2,
  0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e44cf03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19,
  0x3cf257ee68665874, 0x0000000692167648,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ee_ce[] = {
  0x79c5bbbbbba86f97, 0xf5b83e9b5e947e30, 0xfdebdeed8bc6ab0c, 0x57c6e9395a083e44, 0x097d7aefc2960ce2,
  0x5dcf046752c8a756, 0x9f180904b7779264, 0x04643d0690724e60, 0x666df8bedf8575f0, 0x2774fc9f62061430,
  0x0e1a6a67f9f99761, 0x7d3f37a8fff3601a, 0xfcc6811423921560, 0x8bbc617006e1f02b, 0xb40a5a2195dc5eef,
  0xe80e784df3a2a10c, 0xb56f9a0c5edf1bbf, 0xbfffe7530586f2bc, 0xdb3bfea8ca5fc84d, 0xa0e089fcf1272124,
  0x595898cc273b9b5d, 0x0cf5f51e5650e53b, 0x6298ad82fa8f8366, 0x65c709c370ebec5a, 0xdba438ea426be96c,
  0x94d3b7748c1439d5, 0xb91e45b1aaf1b1d7, 0xecb726701c762d39, 0x7d7afb18c646470d, 0x7972ab59cf5f74dd,
  0x52a8d74541cde46d, 0x9b95daa5beace751, 0x5f63d1c89ae0404e, 0xcf6ab445795c84ae, 0xe52d7ce80f1cad75,
  0x81bc20e881085482, 0x8edec55516920a70, 0x3cd94462fe6db189, 0x6fe0eee3458f386e, 0x970cf4c2b93f7566,
  0x2c3a4a5b3e04e32c, 0xcb241e792bf73433, 0x000000000004c139,
};

static const uint64_t ur_pwm81_swio14_dual_pr_ee_ce_u4[] = {
  0xb77777689b4fb69f, 0x1f4da85f57b60e58, 0xc16a8fd17eca9c5c, 0xaffabd8261f1c16b, 0x49fbc9c5899f1da2,
  0xe67421c6fe1bc9e4, 0xbbc969cee9017cf2, 0x63d7304f8c04825b, 0x8575f004643d0691, 0x061430666df8bedf,
  0xccafda2774fc9f62, 0xd821f1c31ba6ec1f, 0x85581bfc9bd476bb, 0x7c0aff31a04508e4, 0x17bbe2ef780401b8,
  0xa8432d0d9c886577, 0x4a8ffa039e136568, 0xbcaf2d5be68317b7, 0xf20527fb1a1cc161, 0xe038292e2faa3d9d,
  0x61222fb8d1079e24, 0xd4f00fea3e12fc43, 0x73698ccf17736bfa, 0x9ebea3caca1ca76b, 0x5315b05f51f06cc1,
  0xb8e1386e1d7d8b4c, 0x74871d484d7d2d8c, 0x9a76ee9182873abb, 0x23c8b6355e363af2, 0x96e4ce038ec5a737,
  0xaf5f6318c8c8e1bd, 0x2e556b39ebee9baf, 0x551ae8a839bc8daf, 0x72bb54b7d59cea2a, 0xec7a39135c0809d3,
  0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0x37841d10210a905c, 0xdbd8aaa2d2414e10, 0x9b288c5fcdb63131,
  0x411a2c6f8b935707, 0xa9cfd4eaccdfc1bf, 0xf989ffde1ef79430, 0xb0cd0f226781fc65, 0x4c2f8d1e8bfc0fdf,
  0xa5b3e04e32c970cf, 0xe792bf734332c3a4, 0x0000020002171641,
};

static const uint64_t ur_pwm81_swio14_dual_hw[] = {
  0x2eeeeeed12190907, 0xe0fa6d3114e4c1cd, 0xb17ddb83d3a85b4b, 0xfe2ff23b295f14ad, 0xed9f16a015ba6948,
  0xe4a08eeb41fabef5, 0x919827c602412ddd, 0x575f004643d0690a, 0x61430666df8bedf8, 0x997612774fc9f620,
  0x360bece05166727f, 0x242ac0cca9bd477f, 0xc3e057f98d022847, 0x7717bbe2ef80000d, 0xdc54219680f88865,
  0xf6e50ffe80e784db, 0x2c3795e5ab7cd062, 0xc3e7c8a95fe76898, 0x560622fa8f221df2, 0x02eb14dfb8ca8e39,
  0x06a769c51bde7316, 0xc1f5403ff6608ebc, 0xafaff0c0f2cf6d6b, 0x2ab59cf5f74dd7d7, 0x8d74541cde46d797,
  0x5daa5beace75152a, 0x3d1c89ae0404e9b9, 0xab445795c84ae5f6, 0xd7ce80f1cad75cf6, 0xc20e881085482e52,
  0xec55516920a7081b, 0xca2317f36d8c62ad, 0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f226781fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x2fa792bf734332c3, 0x00000000c6ea41c8,
};

static const uint64_t ur_pwm81_swio14_dual_ee_hw[] = {
  0x76eeeee87ad0cf68, 0xc1f4dac76842c1da, 0xd3dba7395f40b323, 0x2333b55de9afbf7a, 0x0fae76dba0ad39eb,
  0x77347d4eb5bb1c2f, 0x7c602412ddde4cbb, 0x08c87a0d21745982, 0xccdbf17dbf0aebe0, 0x4ee9f93ec40c2860,
  0x3805a98c7ff32ec2, 0xe2b4dea393ad825a, 0xf98d022847242ac0, 0x8bbfbac00dc3e057, 0xb40a2a2195dc5eef,
  0xe80e784c63e2a10c, 0xb56f9a0c5ede76ff, 0x7ffced130586f2bc, 0xbee6ab5a328bf228, 0x8f83660ccaf51e57,
  0xebec5a6ef8aedd7a, 0x6be96c65c709c370, 0xab4b9435c09f9a42, 0x5ec66ed1ed1e9473, 0x34011a636355ae87,
  0x37b2ef76701c762d, 0x28cad6546c11fadc, 0x9cf5f74dd7d7af80, 0x541cde46d7972ab5, 0x5beace75152a8d74,
  0x89ae0404e9b95daa, 0x5795c84ae5f63d1c, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x516920a7081bc20e,
  0x17f36d8c62adec55, 0x7ea5eae371e6ca23, 0x9c65f989fca1854e, 0xcf7ff04d0f22678b, 0x32c970cf4c2b93f1,
  0x4332c3a4a5b3e04e, 0xed22f82fa792bf73, 0x000000000000000a,
};

static const uint64_t ur_pwm81_swio14_dual_ce_hw[] = {
  0x6eb777776890cf68, 0x83c1f4dacc7bb60e, 0xbd07dbaaf9b123bb, 0x1ba5db4e44faafeb, 0x7664caefdfbdd374,
  0xbc9a66ee68fa9d6b, 0x463304f8c04825bb, 0x15d7c01190f41a44, 0x1850c199b7e2fb7e, 0xe65d849dd3f27d88,
  0xdb08e4703833757f, 0x485581cae9bd47d9, 0x87c0aff31a04508e, 0xb8bddf177822401b, 0x4542196818f4432b,
  0x6fff3fe80e784ddd, 0xc3795e5ab7cd062f, 0xc7fc81adfe768982, 0xcf127212383717d4, 0x7e21b09117dc6883,
  0x9b5d2a2e47f51f09, 0x13dcb19e27e678bb, 0x471cab03b87ea3f5, 0xa37bce62c05a95dd, 0xfeccf1d780d4ed38,
  0x0796b72d783ea807, 0xafba6ebebd7d7f86, 0xe6f236bcb955ace7, 0x5673a8a9546ba2a0, 0x7020274dcaed52df,
  0xae42572fb1e8e44d, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x49053840de107440, 0x36d8c4c76f62aa8b,
  0x4176371e6ca2317f, 0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8,
  0xf734332c3a4a5b3e, 0x009babd6c2fa792b,
};

static const uint64_t ur_pwm81_swio14_dual_ee_ce_hw[] = {
  0x9ceddddddd43359b, 0x8b83e9b5e96c1183, 0xb793dd1d74fb3b4d, 0x31eb33e19cc89ae3, 0xbccd937852c139c9,
  0xcee1e198535aebd7, 0x4f8c04825bbbc90d, 0x02321e8348cb6930, 0x3336fc5f6fc2baf8, 0x93ba7e4fb1030a18,
  0x0e188266bbfccbb0, 0x3ff937a8fa6b60ff, 0xfe63408a11c90ab0, 0xe2ef0b200370f815, 0x2d0c0888657717bb,
  0xfa039e131758a843, 0x2d5be68317b7bc3f, 0x5bff3b44c161bcaf, 0xb5b3bfea8f027c8b, 0xece5d1ffcf127212,
  0xdacac5f26139dcda, 0x307dd7a8f2bcad29, 0xd314c572bbd47c1b, 0x632e384e1b875f62, 0xaedc50c752135f4b,
  0x7b19bb47b47a51ce, 0xa008d31b1aaf1b1d, 0xbd977bb380e3b169, 0xe32b5951b044c8e1, 0x73d7dd375f5ebe2c,
  0x5073791b5e5caad6, 0x6fab39d454aa35d1, 0x26b81013a6e576a9, 0x5e57212b97d8f472, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x45a4829c206f083a, 0xbf9b6c6263b7b155, 0x27e7f61b8f365118, 0xc09c6592e19e9857,
  0x7ee6866587494b67, 0x00089a60105f4f25,
};

static const uint64_t ur_pwm81_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d172df, 0x0fa6d42f7f0b07cf, 0x2b7535eabc219cee, 0x4eb6b8bebdda0eeb, 0xf5cfde4ecfbb179c,
  0xa8356865a3821e1d, 0x04b77792829ddb5a, 0x0d21966e609f1809, 0x7dbf0aebe008c87a, 0x3ec40c2860ccdbf1,
  0x96bf32c8354ee9f9, 0xf1bb61d8270bc39b, 0x47242ac0daee6f51, 0x0dc3e057f98d0228, 0x2bb8bddf177a71e0,
  0x4dc54219681c1443, 0xbdb9257fd01cf09b, 0x0b0de5796adf3418, 0x707e41adffef0ee6, 0xb17d091addc5f546,
  0x0d8488bee3441e78, 0x5c170fffa8f84bf1, 0xd6e6d7c99e2ee6d7, 0x83eebd4795e5694e, 0x98a62b95dea3e0d9,
  0x1971c270dc3afb16, 0x76e2863a909afa5b, 0xd8cdda3da3d28e75, 0x004698d8d578d8eb, 0xecbbdd9c071d8b4d,
  0x195aca8d8226470d, 0x9ebee9bafaf5f167, 0x839bc8daf2e556b3, 0x7d59cea2a551ae8a, 0x35c0809d372bb54b,
  0xf2b9095cbec7a391, 0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0x2d2414e1037841d1, 0xfcdb63131dbd8aaa,
  0xf505d8dc79b288c5, 0x7ff787bde50c2a73, 0x43c899e07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x01d756334680b9e4,
};

static const uint64_t ur_pwm81_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x80904b77793bb0bd, 0xfb641f3e63e609f1, 0x109df2dd27c8dbff, 0xd78e395607cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x52a8d74541cde46d, 0xb95daa5beaece751, 0x55abfdfd1c89ace9,
  0x5ae7b55a22bcae42, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0xf9b69c206f083a20, 0x727e7f61bb65118b,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0001522e33a2cf25,
};

static const uint64_t ur_pwm81_swio15_noled_pr[] = {
  0x3bbbbbba83d8bf82, 0xbbb557229e3e2571, 0xea9bdd590e3609e0, 0x9ac68300133792c9, 0x63e178d7ddb89d05,
  0x793bab8c489bb837, 0x7f2609f180904b77, 0x0ffc832bfd28dd9f, 0x81f41ea3cbe3be5a, 0x5965347bd2a38e55,
  0x7ced10a3dece62c0, 0x269500ffd9823af4, 0x56afadc0f2cf6c45, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551,
  0xfbfa391359d372bb, 0x6ab445795c84ab57, 0xa53c34ef3e2d75cf, 0x06f083a2041dd4d8, 0x56f62aa8b4b689c2,
  0x3cd94462fe6d8c91, 0xb6868b2d5e5c9ab8, 0x30a9cfd4eacc7903, 0x3e6879133c09c694, 0x6592e19e985727e0,
  0x866587494b67c09c, 0x4d0245564f257ee6, 0x000000000000003e,
};

static const uint64_t ur_pwm81_swio15_noled_pr_u4[] = {
  0x49bbbbbb45d8b562, 0xadddaab9142f712d, 0x7be3f50e2448c227, 0xfd0eee27767f07a8, 0xb83b6c6569bba905,
  0x5bbbc9ddfa706f0a, 0xd9f31f304f8c0482, 0xe5ba4f91b7ffd28d, 0x72ac0f9ef51e213b, 0x1602dee9b4a5af1c,
  0xebc5ced70d193473, 0x56a5657fdc72c608, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551, 0xfbfa391359d372bb,
  0x6ab445795c84ab57, 0x0b2953e9de7eb5cf, 0x14085a585cea7538, 0x3840de1074408bf7, 0xd5c1e6ca2317f36d,
  0x7903b6868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b,
  0x32c3a4a5b3e04e32, 0x6822ab2792bf7343, 0x0000000000007c9a,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x4c13e3012096eef2, 0xe4456ff3883e7c9d, 0x1e5652e6ab5a37f3, 0x43f51f06cc184ff5,
  0x86e1d7d8b4ddf159, 0x3484d7d2d8cb8e13, 0x2439d5a5d2b2e359, 0xb5d0ebce9bb7508f, 0x1d8b4fe44707ec6a,
  0x3f5b86f65b2f9c07, 0xab500ba4c16a8d82, 0xd74541cde46d7972, 0xaa5beaece75152a8, 0xfdfd1c89ace9b95d,
  0xb55a22bcae4255ab, 0x529e1a779f16bae7, 0x037841d1020eea6c, 0xab7b15545a5b44e1, 0x1e6ca2317f36c648,
  0xf943459d3e2e4d5c, 0x1854e7ea75663c81, 0x2678b9c65f989fca, 0xb93f1cf7ff04d0f2, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x000275f18e441e79,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0xad304f8c04825bbb, 0xaf91beffce20f9f8, 0xd4795ba59aad68cc, 0xb90fea3e0d983403,
  0x270dc3afb169bbe2, 0x266909afa5b1971c, 0x37bce75697a94b8a, 0x56ba1d7aea6ed38a, 0xc762d35ae8ee1d8d,
  0x9f5b86f65c396701, 0xde46d7972ab55c74, 0xce75152a8d74541c, 0x9ace9b95daa5beae, 0xcae4255abfdfd1c8,
  0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x45a5b44e1037841d, 0x17f36c648ab7b155, 0x1be2e4d5c1e6ca23,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f226781fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0013ae59e441e792,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ce[] = {
  0x1b5bbbbbbbd8bf82, 0x1b4776aae4510489, 0x3f7b0cf4bdf370e2, 0xd5b416efc29e98db, 0xf8360ccd8cc774da,
  0x4b77793bab8c4891, 0xbb3e52e609f18090, 0xffa829f21d2ffa51, 0x3b7f9e00583921ce, 0x2eb26139dcdae9b7,
  0x0327bd479ba7b960, 0x3160299538c71cab, 0x1d7a3e768851ef67, 0xdc22934a807feccf, 0x5e5caad5f5b81e5a,
  0x54aa35d15073791b, 0x6e576a96fabb39d4, 0x956aff7f47226b3a, 0xaeb9ed5688af2b90, 0xba9b14a7869de7c5,
  0xd13840de10744083, 0x63218edec5551696, 0x1726ae365118bf9b, 0xacc7903b6868b1e7, 0x6592e19e985727ee,
  0x66587494b659289c, 0x74e45564f257ee68, 0x00000000000002dd,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ce_u4[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0x5bbbc9dd1ec5aa38, 0xf9fd9d304f8c0482, 0xfaedff912bbfce20, 0x41e78016b49beee2, 0x84bf10d8488bee34,
  0x5dcdaf722495fa8f, 0x79ba7b9633f5933c, 0x538c71cab0327bd4, 0x68851ef673160299, 0xa807feccf1d7a3e7,
  0x5f5b81e5adc22934, 0x15073791b5e5caad, 0x6fabb39d454aa35d, 0xf47226b3a6e576a9, 0x688af2b90956aff7,
  0x7869de7c5aeb9ed5, 0xe10744083ba9b14a, 0xec5551696d13840d, 0x65118bf9b63218ed, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd866879133c0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0xf3c95fb9a19961d2, 0x0000006eba683220,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xe9a9827c602412dd, 0xa5fc8ff9fe7107cf, 0x005ad27fc3bfea8c, 0x73b9b5f2a1a0ff9e,
  0x670e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298acbaf, 0x26be96c65c709c37, 0xf2439d5db92b0ea4,
  0x578d8ebce9bb7508, 0xe3b169fc88e0fd8d, 0x226470decb65f380, 0x2ab52cfa4c16a8d8, 0x8d74541cde46d797,
  0xdaa5beaece75152a, 0xbfdfd1c89ace9b95, 0x7b55a22bcae4255a, 0xc529e1a779f16bae, 0x1037841d1020eea6,
  0x63b7b15545a5b44e, 0xab8d94462fe6d8c8, 0xe40fca1a2c79c5c9, 0xb867a615c9fbab31, 0x1d252d964a271964,
  0x220f3c95fb9a1996, 0x0000000014d31e5f,
};

static const uint64_t ur_pwm81_swio15_noled_pr_ee_ce_u4[] = {
  0x8dddddda2e7c7a31, 0x2eed55fd4ec4c496, 0xb6b4ed1a78bc17e6, 0xa80019c4eb83f4de, 0x4ccd608596cf5a30,
  0x77513f0fbed03e37, 0x4c13e3012096eef2, 0x435dffc3217cfe37, 0x9db5ddc5f547b3be, 0x2445f71a20f3c00b,
  0xe3eefd47c25f886c, 0x6def99e2ee6d7e1f, 0xd7d47959c394ed6e, 0x62b2ebea3e0d9833, 0x1c270dc3afb1698a,
  0x4ac3a909afa5b197, 0x6edd423c90e7576e, 0x383f6355e363af3a, 0xd97ce038ec5a7f22, 0x05aa3608991c37b2,
  0x91b5e5caad4b3e93, 0x9d454aa35d150737, 0xb3a6e576a96fabb3, 0xb90956aff7f47226, 0x7c5aeb9ed5688af2,
  0x083ba9b14a7869de, 0x696d13840de10744, 0xf9b63218edec5551, 0xf1726ae0f365118b, 0xab31e40cd3e3458d,
  0x787bde50c2a73f53, 0x899e07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0xf91f5cc9079e4afd, 0x0000000000000009,
};

static const uint64_t ur_pwm81_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x80904b77793bb0bd, 0xffc38f3e63e609f1, 0x7884ef96e93e46df, 0x96bc71cab03e7bd4, 0x64d1cc580b7ba6d2,
  0xcb1823af173b5c34, 0x6bcb955a9595ff71, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x12ad5fefe8e44d67,
  0xfad73daad115e572, 0xa9d4e02ca54fa779, 0x022fdc5021696173, 0x5fcdb4e1037841d1, 0x2b93f3fb0ddb288c,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x0000004712e28a79,
};

static const uint64_t ur_pwm81_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0xddde4ee80a499a73, 0xcf93a9827c602412, 0x5a37f3e4456ffa14, 0x184ff51e5652e6ab, 0xddf15943f51f06cc,
  0xcb8e1386e1d7d8b4, 0xb2e3593484d7d2d8, 0xb7508f2439d5a5d2, 0x07ec6ab5d0ebce9b, 0x2f9c071d8b4fe447,
  0x6a8d823f5b86f65b, 0x6d7972ab500ba4c1, 0x5152a8d74541cde4, 0xe9b95daa5beaece7, 0x4255abfdfd1c89ac,
  0x16bae7b55a22bcae, 0x0eea6c529e1a779f, 0x5b44e1037841d102, 0x36c648ab7b15545a, 0x4176371e6ca2317f,
  0xfde1ef79430a9cfd, 0xf226781fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x00b7ff24c2fa792b,
};

static const uint64_t ur_pwm81_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x12096eef2774a51d, 0xfd0a67f674c13e30, 0x7ddc5f5dbff22577, 0x5f71a20f3c49c84b, 0x6fd47c25f886c244,
  0xac99e2ee6d735b98, 0x93dea3cdd3dcb19f, 0xb014ca9c638e5581, 0xbd1f3b4428f7b398, 0x1149a5403ff6678e,
  0x2e556afadc0f2d6e, 0x551ae8a839bc8daf, 0x2bb54b7d5d9cea2a, 0xb57fbfa391359d37, 0x5cf6ab445795c84a,
  0x4d8a53c34ef3e2d7, 0x9c206f083a2041dd, 0x90c76f62aa8b4b68, 0x8dc79b288c5fcdb1, 0x7bde50c2a73f505d,
  0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xb7c930be9e4afdcd,
  0x0000000000000759,
};

// pwm81_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0x6eef27777ec2da9a, 0xcfe374c13e301209, 0xa8f677c86bbffa14, 0x3cf1272126bbb8be, 0x97e21b09117dc688,
  0x9b5f907575ff51f0, 0xe53b5b9b7be678bb, 0x83660cf5f51e5670, 0xec5a6298acbafa8f, 0xe96c65c709c370eb,
  0x39d5db92b0ea426b, 0xd8ebce9bb7508f24, 0x169fc88e0fd8d578, 0x470decb65f380e3b, 0x52cfa4c16a8d8226,
  0x4541cde46d7972ab, 0x5beaece75152a8d7, 0xfd1c89ace9b95daa, 0x5a22bcae4255abfd, 0x9e1a779f16bae7b5,
  0x7841d1020eea6c52, 0x7b15545a5b44e103, 0xd94462fe6d8c863b, 0x861539fa82ec6e3c, 0x8cbf313ffbc3def2,
  0xfbf619a1e44cf03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x05f4f257ee686658, 0x000000000280864e,
};

static const uint64_t ur_pwm81_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0xc04825bbbc9ddb1e, 0xfdb20f9f80d304f8, 0xc90ef96e93e407bf, 0x98c71cab03e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ac7a39135c0809d,
  0xcf6ab445795c84ae, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0x9b69c206f083a205, 0x27e7f61bb65118bf,
  0x289c6592e19e9857, 0xee6866587494b659, 0x002a4faf3a2cf257,
};

static const uint64_t ur_pwm81_swio15_lednop_pr[] = {
  0x27777777507b1762, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x6f4da9b11ddb89d0,
  0x7793bb4cd19b4b47, 0xf52a609f180904b7, 0x83ff20c7ffa51bb3, 0xb03e83d47d28ef96, 0x16594d01827c71ca,
  0x1f3b2f88e32398b0, 0xdc35403ff6608ebd, 0x56b70e40f2cf6c6f, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551,
  0x39135c0809d372bb, 0x445795c84ae4ac7a, 0xce80f1cad75cf6ab, 0x0e881085482e52d7, 0x55516920a7081bc2,
  0x2317f36d02a2adec, 0x596af2e4d5c1e6ca, 0x7ea75663c81db434, 0xc899e04e34a1854e, 0x0cf4c2b93f01f343,
  0x3a4a5b3e04e32c97, 0x2ab2792bf734332c, 0x000000000f931d16,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_u4[] = {
  0xa937777768bb1762, 0x7adddaab914ad225, 0x63b0bf7d7f858c22, 0x17f43bb89da1377e, 0x11dc01b6f8feeea4,
  0x96eef277699a335a, 0x767e034c13e30120, 0xf96e93e407bff4a3, 0x1cab03e7bd47c90e, 0x62c05bdd375098c7,
  0x8ebc5cec22a3e90e, 0x556a5660bdc72c60, 0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xa39135c0809d372b,
  0xb445795c84ae4ac7, 0xe5380b9d01e5cf6a, 0x4085a561130bd4b5, 0xc206f083a20517d1, 0xae0f365118bf9b69,
  0xc81db43458df1726, 0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0x1715593c95fb9a19, 0x000000000003e4c2,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xf304f8c04825bbbc, 0xf20e0ff9c41f3f43, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa,
  0xc370ebec5a6ef8af, 0x9a426be96c65c709, 0x0a1cead2f21d71ac, 0x5ae875e74ddbba46, 0x8ec5a73723c8b635,
  0x1fadc37b2d97ce03, 0xaad4021149a546c1, 0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0x47226b81013a6e57,
  0x688af2b9095c958f, 0xf9d01e395aeb9ed5, 0x41d10210a905ca5a, 0x8aaa2d2414e10378, 0x4462fe6da05455bd,
  0x8b2d5e5c9ab83cd9, 0xcfd4eacc7903f286, 0x79133c09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0xc883cf257ee68665, 0x00000000009d7c21,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0xbbbc9dd1ec5aa38c, 0x3f43f304f8c04825, 0x1995f20e0ff9c41f, 0x807a8f2b387355ad, 0x7c56e4fd47c1b306,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x7c47109cead2ebed, 0xb1aad743af5d4dd9, 0x701c762d31be8c45,
  0x859ff5b86f65c396, 0x839bc8daf2e556ab, 0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7, 0x95c84ae4ac7a3913,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0x074409cfa2810b4d, 0xa2317f36d3840de1, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f226781fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x000009d74d06441e,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ce[] = {
  0x236b7777777b1762, 0x86d1ddaab9142b71, 0x634f685ed69b3c38, 0xad5b416ef4130aa8, 0x4d1d9fbc5f63f74d,
  0x12ddde4eed33467f, 0x6ecfa9e9827c6024, 0xbfea0a7c82ebfe94, 0x3107e780160e14b3, 0x02eb26139dcdaeff,
  0xb0327bd479c67b96, 0xe62c0531e7ac71ca, 0xe3af47cecbe238c8, 0x6e1bf70d500ffd99, 0xaf2e556b70e40f2d,
  0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ac7a39135c0809d, 0xcf6ab445795c84ae, 0xe52d7ce80f1cad75,
  0x81bc20e881085482, 0x8edec55516920a70, 0xb8d94462fe6da051, 0x40eda1a2c79c5c9a, 0x867a615c9fbab31e,
  0xd252d964a271964b, 0x5593c95fb9a19961, 0x0000000016eaa9d1,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0x6eef277505272e9c, 0xe7edd4c13e301209, 0xf53d7e4604ff3883, 0x83cf002d6932b5c5, 0x097e21b09117dc68,
  0xbb9b5d2a2e47f51f, 0xe493dcb19f8ce678, 0x0a471cab0310fea3, 0x7bd1dac731602f74, 0x2ee39633c75e2e76,
  0x3791b5e5caad4742, 0xb39d454aa35d1507, 0x1013a6e576a96fab, 0x9095c958f47226b8, 0x95aeb9ed5688af2b,
  0x0a905ca5af9d01e3, 0x414e1037841d1021, 0xb40a31dbd8aaa2d2, 0x9357079b288c5fcd, 0x31e40fca1a2c6f8b,
  0x7bde50c2a73f53ab, 0x9e07f197e627ff78, 0x2ff03f7ec3343c89, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138,
  0xd59591079e4afdcd, 0x00000000000006eb,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xf6b7304f8c04825b, 0x52fe426dff9c41f3, 0x005ad226d9dff546, 0x73b9b5d4939bff9e,
  0x650e53b5958f7cc2, 0xa8f83660cf5f51e5, 0x0ebec5a6298ad82f, 0x26be96c65c709c37, 0xc1439d5dba438ea4,
  0x578d8ebce9bb7748, 0xe3b169cdc8f22d8d, 0x226470decb65f380, 0x955a96622934a8d8, 0x46ba2a0e6f236bcb,
  0xed52df57673a8a95, 0xe8e44d7020274dca, 0xad115e57212b92b1, 0x5f3a03c72b5d73da, 0x083a20421520b94b,
  0xb15545a4829c206f, 0x5118bf9b681463b7, 0x2868b1e71726ae36, 0x985727eeacc7903f, 0xb659289c6592e19e,
  0xf257ee6866587494, 0x00000534f1bc883c,
};

static const uint64_t ur_pwm81_swio15_lednop_pr_ee_ce_u4[] = {
  0x8dddddda2e7cbd5b, 0x2eed55fd4c374496, 0x56b62d7ae7ec17e6, 0xa80019d8989de440, 0x453a388596cf5a30,
  0x9ddeefdc1ceb4176, 0x7304f8c04825bbbc, 0xc8149ff0c85f3e6b, 0xb9d8a4b8bea8f677, 0xc2445f71a20f3c00,
  0xa9e01fd47c25f886, 0xe6def99e2ee6d7f5, 0x3d7d479594394ed6, 0xa62b60bea3e0d983, 0x71c270dc3afb1698,
  0xe90e3a909afa5b19, 0xa6eddd23050e7576, 0x23c8b6355e363af3, 0x2d97ce038ec5a737, 0xa4d2a3608991c37b,
  0xbc8daf2e556a5988, 0x9cea2a551ae8a839, 0x809d372bb54b7d5d, 0x84ae4ac7a39135c0, 0xad75cf6ab445795c,
  0x5482e52d7ce80f1c, 0x0a7081bc20e88108, 0xa0518edec5551692, 0x9ab83cd94462fe6d, 0x790334f8d1637c5c,
  0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f2267, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32,
  0x2f3241e792bf7343, 0x0000000000013f12,
};

static const uint64_t ur_pwm81_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0xc04825bbbc9ddb1e, 0xffe1c79f80d304f8, 0x3e4877cb749f203d, 0x84c638e5581f3dea, 0x1f48731602dee9ba,
  0x39630475e2e76115, 0x6d7972ab52b305ee, 0x5152a8d74541cde4, 0xe9b95daa5beaece7, 0x72563d1c89ae0404,
  0x2e7b55a22bcae425, 0x5ea5af29c05ce80f, 0x28be8a042d2b0898, 0xfcdb4e1037841d10, 0xb93f3fb0ddb288c5,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x000008e2fae8a792,
};

static const uint64_t ur_pwm81_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0xb77793ba76821e96, 0x67e87e609f180904, 0xad1bf9f20e0ffd0a, 0x0c27fa8f2b53d355, 0x6ef8af027a8f8366,
  0x65c709c370ebec5a, 0x1d71ac9a426be96c, 0xdbba460a1cead2f2, 0xc8b6355ae875e74d, 0x97ce038ec5a73723,
  0xa546c11fadc37b2d, 0x1b5e5caad4021149, 0xd454aa35d1507379, 0x3a6e576a96fabb39, 0x5c958f47226b8101,
  0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0xe1037841d10210a9, 0x5455bd8aaa2d2414, 0x6e3cd94462fe6da0,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e44c, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xcd4e05f4f257ee68, 0x000000000000016f,
};

static const uint64_t ur_pwm81_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x12096eef2775a77d, 0xfd0a67c6b4c13e30, 0x675c5f5dbff234df, 0x5f71a20f3c49c84b, 0xffd47c25f886c244,
  0x5933c5dcdafcb4cd, 0x27bd479c67b9633f, 0xc0531e7ac71cab03, 0xf47cecbe238c8e62, 0xbf70d500ffd99e3a,
  0xe556b70e40f2d6e1, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0x7a39135c0809d372, 0xab445795c84ae4ac,
  0xd7ce80f1cad75cf6, 0xc20e881085482e52, 0xec55516920a7081b, 0x94462fe6da0518ed, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e44cf03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0x5f4f257ee6866587,
  0x00000001d66c02b0,
};

// pwm81_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm81_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0xbbbc9dd75bae3b5d, 0x3e6b7304f8c04825, 0x51ecef90293fe853, 0x3cf127212149717d, 0x97e21b09117dc688,
  0xe6d7f39753bf51f0, 0x394ed6e6def99e2e, 0xe0d9833d7d479594, 0xfb1698a62b60bea3, 0xfa5b1971c270dc3a,
  0x0e7576e90e3a909a, 0x363af3a6eddd2305, 0xc5a73723c8b6355e, 0x91c37b2d97ce038e, 0x6a5988a4d2a36089,
  0xe8a839bc8daf2e55, 0x4b7d5d9cea2a551a, 0x9135c0809d372bb5, 0x45795c84ae4ac7a3, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x5516920a7081bc20, 0x62fe6da0518edec5, 0x39fa82ec6e3cd944, 0x313ffbc3def28615,
  0x19a1e44cf03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x0000050103c985f4,
};

// pwm81_swio15_dual_pr
static const uint64_t ur_pwm81_swio15_dual[] = {
  0xe3ddddddde7c1a4e, 0x7c1f4da62210d83a, 0x7a55fa8ce5dd0b69, 0xc5fc95264e27659f, 0x1628d4d8b757191f,
  0x823b935dc2d13fdc, 0x609f180904b77792, 0x7c01190f41a45d0e, 0x0c199b7e2fb7e15d, 0xd6a9dd3f27d88185,
  0xbece05166727f994, 0xac0cca9bd477f360, 0x057f98d022847242, 0xf77c5de87c00dc3e, 0x8432d01f110caee2,
  0x82ffd01cf09b7b8a, 0xf2bcb56f9a0c5edd, 0xe4145ff752330586, 0xbdfa8fdd1df2cb5f, 0x299c987b8e395607,
  0xc80234c4e62c05d6, 0x807fecc11d780d4e, 0x9d40f2cf6def1bea, 0xce7afba6ebebd7cf, 0x2a0e6f236bcb955a,
  0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e57212b92b1e8e4, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x45a4829c206f083a, 0x5fcdb40a8ab7b155, 0xf38b9357079b288c, 0xbab31e40cd3e3458, 0x71964b867a615c9f,
  0x9a19961d252d9f02, 0x20dc79920f3c95fb, 0x0000000000000006,
};

static const uint64_t ur_pwm81_swio15_dual_pr_u4[] = {
  0xc7bbbbbb44869a4e, 0xf83e9b4c4421b075, 0x73ef7519cbba16d2, 0x3f8bf92a4c9c4ecb, 0xc32c51a9b16eae32,
  0x5047771fd462a3e3, 0xcc13e3012096eef2, 0xaf802321e8348ba1, 0xa183336fc5f6fc2b, 0xbb093ba7e4fb1030,
  0x05f67028b3393fcc, 0x15606654dea3bf9b, 0xf02bfcc681142392, 0x17bbe2ef43e006e1, 0x54219680f8886577,
  0xec17fe80e784dbdc, 0x3795e5ab7cd062f6, 0xff20a2ffff3a982c, 0x3defd47ee8ef965a, 0xb14ce4c3dc71cab0,
  0x764011a62731602e, 0x5403ff6608ebc06a, 0x7cea07967b6f78df, 0xd673d7dd375f5ebe, 0xd15073791b5e5caa,
  0x96fabb39d454aa35, 0x226b81013a6e576a, 0x8af2b9095c958f47, 0xd01e395aeb9ed568, 0xd10210a905ca5af9,
  0xaa2d2414e1037841, 0x62fe6da05455bd8a, 0x71a2c6f86e3cd944, 0x2a73f53ab337f077, 0x7e627ff787bde50c,
  0xec3343c899e07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x79e4afdcd0ccb0e9, 0x000002927bc16c90,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ee[] = {
  0xd86ddddddd43573e, 0x91e0fa6d63b26d83, 0xbe8fcdd4e538a059, 0x9eb2331edb37dd8e, 0xee01f557edba0b61,
  0x6ee5c5f7615ef595, 0x4f8c04825bbbc997, 0x01190f41a43a7530, 0x199b7e2fb7e15d7c, 0x49dd3f27d881850c,
  0x4700b5318ffe65d8, 0x1c569bd47275b04b, 0xff31a04508e48558, 0xf177baa001b87c0a, 0x9681454432bb8bdd,
  0xfd01cf098c7c5421, 0xcb56f9a0c5eddfe7, 0x5afffe7530586f2b, 0xedd4d56b47fbbe40, 0xa3e0d9830f7ea3ca,
  0x3afb169bbe2bd37e, 0x9afa5b1971c270dc, 0xead2ec157027e690, 0xd7b19bb18f467a9c, 0x4f4a4710d8d56ba1,
  0x0decbbdd9c071d8b, 0x164511551b047eb7, 0xce7afba6ebebd7c0, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba,
  0x4d7020274dcaed52, 0x5e57212b92b1e8e4, 0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x45a4829c206f083a,
  0x5fcdb40a8ab7b155, 0x68b1e70dc79b288c, 0x5727eeaccdfc1ddc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00190a58ff6483cf,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed1369f3202, 0x07d36b1d936c1ec3, 0x8ce6a729c502cc8f, 0x98f6d9beec75c7e6, 0xaabf6dd05b0cf591,
  0x07d75c5f4d6f700f, 0x096eef265dbb869d, 0x0690e9d4c13e3012, 0xbedf8575f004643d, 0x9f62061430666df8,
  0x31ffccafda2774fc, 0x8e4eb60968e016a6, 0xa11c90ab038ad37a, 0x00370f815fe63408, 0x8657717bbe2ef754,
  0x318f8a8432d028a8, 0x18bdbbfcffa039e1, 0xe60b0de5796adf34, 0xd1feef9016bfd8d0, 0xc3dfa8f2bb75355a,
  0xef8af4dfa8f83660, 0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x63d19ea73ab4bb05, 0x36355ae875ec66ec,
  0x6701c762d3d291c4, 0x46c11fadc37b2ef7, 0xbafaf5f005914455, 0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8,
  0xd372bb54b7d5d9ce, 0xe4ac7a39135c0809, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x081bc20e88108548,
  0xa2adec55516920a7, 0xc1e6ca2317f36d02, 0x6fd0468b1be2e4d5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0xf7ec3343c899e07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x9079e4afdcd0ccb0, 0x0000000159179f45,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ce[] = {
  0xcbbddddddde7ce7c, 0x8bc1f4da62273983, 0x5faeb7a1bb271a56, 0x58341519efda3b54, 0x3f33ed3ec21eecbb,
  0xc9866eed9b69eae2, 0x77304f8c04825bbb, 0x5d7c01190f41a43b, 0x850c199b7e2fb7e1, 0x94d6a9dd3f27d881,
  0x6121ce05d66287f9, 0x0ab0328b37a8ff3b, 0xf815fe63408a11c9, 0x8bddf177f6080370, 0x2a10cb426e4432bb,
  0x7383ff4073c264c6, 0x1bcaf2d5be68317b, 0x4f90a7bfdd48cc16, 0x780173b72677fd41, 0x84e7736ba6dcedfe,
  0xea3cbe9ee580bac9, 0xedf5f238e558193d, 0xcec3e231be731602, 0x570f71cb19e3af47, 0x9cf5f74dd7d7af87,
  0x541cde46d7972ab5, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xbcae42572563d1c8, 0xe80f3f5ae7b55a22,
  0x6ae757a96165362c, 0x1074409cf8c6085a, 0xca2317f36d3840de, 0x8d163ce2e4d5c1e6, 0x5727eeacc790334f,
  0x67c09c6592e19e98, 0x257ee6866587494b, 0x0001cf5f386483cf,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ce_u4[] = {
  0xb13bbbbbb4486f97, 0x3b83e9b598e7db07, 0x3deef75053d68e3d, 0x89c9d4cca76f5d84, 0x2d4e900d57efdeed,
  0xef248fbb9e08ce9c, 0x118cc13e3012096e, 0x8575f004643d0691, 0x061430666df8bedf, 0xf997612774fc9f62,
  0x5b61bece1a6e68ad, 0xc90ab0328737a8f9, 0x70f815fe63408a11, 0xbb8bddf177dc8803, 0x2a2a10cb43ba4432,
  0x7b7ff9ff4073c26d, 0x161bcaf2d5be6831, 0xedff9035bfff9d4c, 0x79e24e424a7ae2fa, 0x2fc4361222fb8d10,
  0x736bf59b21fea3e1, 0xbe9ee58cfd64cf17, 0xf238e558193dea3c, 0xe231be731602edf5, 0x71cb19e3af47cec3,
  0xf74dd7d7af87570f, 0xde46d7972ab59cf5, 0xce75152a8d74541c, 0x404e9b95daa5beae, 0x42572563d1c89ae0,
  0x3f5ae7b55a22bcae, 0x57a96165362ce80f, 0x409cf8c6085a6ae7, 0x17f36d3840de1074, 0x8d1637c371e6ca23,
  0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x619a1e44cf03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0xcf257ee686658749, 0x0000034902176483,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ee_ce[] = {
  0xff6b77777750cf68, 0xd6e0fa6d7a519c60, 0xb4af7bb9f6cfac33, 0x57c6e821e44b8585, 0x7f9b4d9bc2960fda,
  0xbb9a3ea74704dd9c, 0x3e3012096eef24c8, 0x08c87a0d208f5cc1, 0xccdbf17dbf0aebe0, 0x4ee9f93ec40c2860,
  0x1c34d4cff3f32ec2, 0xfa7e6f51ffe6c034, 0xf98d022847242ac0, 0x8bbfa9c00dc3e057, 0xb40a5a2195dc5eef,
  0xe80e784df3a2a10c, 0xb56f9a0c5edff5ff, 0xafffe7530586f2bc, 0x4d1dff54650fe469, 0xa92737ff3c49c84b,
  0x6b2b131984e7736b, 0xc1f51ea3cad82ca7, 0x4c5315a9ef51f06c, 0x8cb8e1386e1d7d8b, 0xbb71c31d484d7d2d,
  0xca69db6fa397c73a, 0x14463e58d578d8eb, 0x7b2dc99c071d8b4c, 0xbebd7d8c722991c3, 0xbcb955ace7afba6e,
  0xa9546ba2a0e6f236, 0xdcaed52df57673a8, 0x2b1e8e44d7020274, 0x3daad115e57212b9, 0x94b5f3a03c72b5d7,
  0x06f083a20421520b, 0x3b7b15545a4829c2, 0xf365118bf9b68146, 0xbf83bb8d163ce1b8, 0x5c33d30ae4fdd599,
  0xb0e9296cf8138cb2, 0xac9079e4afdcd0cc, 0x00000000004c1153,
};

static const uint64_t ur_pwm81_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda26d3e6c4f, 0x7d36a178ce307ebb, 0xc3d402eb7b2a7170, 0xb7ef72270f9463a3, 0x6d0fde4eebb67c76,
  0x3e30a05b45c595ee, 0x6eef25a73bb4836d, 0x22f544c13e301209, 0xbf0aebe008c87a0d, 0xc40c2860ccdbf17d,
  0x3f995fb44ee9f93e, 0x77b043e386374dd8, 0xc90ab037f937a8ed, 0x70f815fe63408a11, 0xee2f77c5df1f7003,
  0xd150865a1b3910ca, 0x6ece5ff4073c26ca, 0xc3795e5ab7cd062f, 0xb7c8bc3ff6343982, 0x2701cb5bb8bea8e2,
  0x1b09117dc6883cf1, 0x87f8fbbf51f097e2, 0x5b9b4c6678bb9b5f, 0x0fa8f51e5650e53b, 0x6298add2fa8f8366,
  0x65c709c370ebec5a, 0xdb92b0ea426be96c, 0x94d3b2008c1439d5, 0xbd1e45b1aaf1b1d7, 0xecb726701c762d37,
  0xfaf5f631b866470d, 0xf2e556b39ebee9ba, 0xa551ae8a839bc8da, 0x72bb54b7d5d9cea2, 0xac7a39135c0809d3,
  0xf6ab445795c84ae4, 0x2ca6c59d01e7eb5c, 0x18c10b4d5ceaf52c, 0xa7081bc20e88139f, 0x9ab83cd94462fe6d,
  0xfe0dfa08d1637c5c, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd866879133c, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0xf8b20f3c95fb9a19, 0x0000000000200122,
};

static const uint64_t ur_pwm81_swio15_dual_hw[] = {
  0x8f777776890d365a, 0xf07d3698884360eb, 0xe7deea3397742da5, 0x7f17f25499389d96, 0xf658a35362dd5c64,
  0xf250477644f5ef4a, 0xa1cc13e3012096ee, 0x2baf802321e8348b, 0x30a183336fc5f6fc, 0xccbb093ba7e4fb10,
  0x9b05f67028b3393f, 0x9215606654dea3bf, 0xe1f02bfcc6811423, 0x7717bbe2ef43e006, 0xdc54219680f88865,
  0xf6ec17fe80e784db, 0x2c3795e5ab7cd062, 0x96bfc828bfe76898, 0xac0f7bf51fba3be5, 0x0bac533930f71c72,
  0x1a9d90046989cc58, 0x37d500ffd9823af0, 0xaf9f3a81e59edbde, 0x2ab59cf5f74dd7d7, 0x8d74541cde46d797,
  0xdaa5beaece75152a, 0xd1c89ae0404e9b95, 0x5a22bcae42572563, 0xbe74078e56bae7b5, 0x107440842a417296,
  0x62aa8b49053840de, 0x5118bf9b6815156f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd866879133c0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x00000006375de0a1,
};

static const uint64_t ur_pwm81_swio15_dual_ee_hw[] = {
  0xc36eeeee87ad0c86, 0x8f07d36b1d936c1e, 0xf47e6ea729c502cc, 0xf59198f6d9beec75, 0x700faabf6dd05b0c,
  0x2eddddd8dd9bcc5f, 0x609f180904b77793, 0xf802321e834874ea, 0x183336fc5f6fc2ba, 0xb093ba7e4fb1030a,
  0x968e016a631ffccb, 0xb038ad37a8e4eb60, 0x15fe63408a11c90a, 0xbbe2ef75400370f8, 0x432d028a88657717,
  0xcffa039e1318f8a8, 0x5796adf3418bdbbf, 0x202d7f9da260b0de, 0xe576ea6ab5a3fddf, 0xbf51f06cc187bf51,
  0x6e1d7d8b4ddf15e9, 0x484d7d2d8cb8e138, 0x4e7569760ab813f3, 0xd0ebd8cdd8c7a33d, 0xc5a7a523886c6ab5,
  0x5b86f65deece038e, 0xe00b2288aa8d823f, 0xad673d7dd375f5eb, 0x5d15073791b5e5ca, 0xa96fabb39d454aa3,
  0x7226b81013a6e576, 0x88af2b9095c958f4, 0x9d01e395aeb9ed56, 0x1d10210a905ca5af, 0xaaa2d2414e103784,
  0x462fe6da05455bd8, 0x9cfd4bd5c6e3cd94, 0x1738cbf313f9430a, 0xe39effe09a1e44cf, 0x9c6592e19e985727,
  0xe6866587494b67c0, 0x2bb563f85f4f257e,
};

static const uint64_t ur_pwm81_swio15_dual_ce_hw[] = {
  0xe53b777776890c86, 0x70783e9b598d7160, 0xef5c2f767120a477, 0xe0dd2eec305947d3, 0xe62a10ecd8ebee94,
  0xbbc9a66eeeec6ecd, 0x0551304f8c04825b, 0xf0aebe008c87a0d2, 0x40c2860ccdbf17db, 0xff32ec24ee9f93ec,
  0xced8472381c19bab, 0x7242ac0e574dea3e, 0xdc3e057f98d02284, 0x5dc5eef8bbf9be00, 0xea2a10cb40c7a219,
  0xf6fbb5ff4073c26e, 0x2c3795e5ab7cd062, 0xafe7c8383fe76898, 0x1e789390913ab8be, 0x4bf10d8488bee344,
  0xdcdaec87495fa8f8, 0x4f9ee58cf13f33c5, 0x7e38e5581dadea38, 0x0234c4e62c0528bb, 0x7feccf1d780d4ec8,
  0x503cb5b9ef1bea80, 0x9ebee9bafaf5f3e7, 0x839bc8daf2e556b3, 0xd5d9cea2a551ae8a, 0x5c0809d372bb54b7,
  0x95c84ae4ac7a3913, 0xf1cad75cf6ab4457, 0x1085482e52d7ce80, 0x6920a7081bc20e88, 0xe6da0518edec5551,
  0xa82ec6e3cd94462f, 0xffbc3def2861539f, 0x1e44cf03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x0013752b505f4f25,
};

static const uint64_t ur_pwm81_swio15_dual_ee_ce_hw[] = {
  0xd396eeeeeea1a5fb, 0x8b83e9b5e978fec1, 0xae43dda2fb173b4d, 0xc7ac58afaed3d5df, 0xfabe1f614b053924,
  0x3ba591aeba55857b, 0x3e3012096eef2437, 0x1190f41a41ecf4c1, 0x99b7e2fb7e15d7c0, 0x9dd3f27d881850c1,
  0x70c41335dfe65d84, 0xffc9bd47d35b07f8, 0xf31a04508e485581, 0x2efe1fc01b87c0af, 0xd0c0888657717bbe,
  0xa039e131758a8432, 0xd5be68317b7986ff, 0x0ff3b44c161bcaf2, 0x101dff54795be462, 0xe54341ff3c49c84b,
  0x6b2b17c984e7736b, 0x83dbfea3cae574a7, 0x98a62bdf7ea3e0d9, 0x1971c270dc3afb16, 0x76e60a3a909afa5b,
  0xd8cdd8c7a33d4e75, 0x4a4710d8d578d8eb, 0xecbbdd9c071d8b4f, 0x2288aa8d8226470d, 0x3d7dd375f5ebe2cf,
  0x073791b5e5caad67, 0xabb39d454aa35d15, 0xb81013a6e576a96f, 0x2b9095c958f47226, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0xd2414e1037841d10, 0xcdb40a31dbd8aaa2, 0xf3fb0dc79b288c5f, 0x4e32c970cf4c2b93,
  0x734332c3a4a5b3e0, 0x22698e2c2fa792bf,
};

static const uint64_t ur_pwm81_swio15_dual_ee_ce_u4_hw[] = {
  0x7eeeeeed14682541, 0x07d36a17a8c58395, 0xda6ef76a3e10ce77, 0x7156af2657bc89da, 0x49b43f7938abec5e,
  0x38c32d6ed3e78296, 0x0904b77792829dd5, 0x3d06917aa2609f18, 0xf8bedf8575f00464, 0xfc9f62061430666d,
  0xcdcb5f99641aa774, 0xa8f8ddb0ec1385e1, 0x14239215606d7737, 0x3006e1f02bfcc681, 0x2195dc5eef8bbec9,
  0x4da6e2a10cb40e0a, 0x0c5edd9cbfe80e78, 0x730586f2bcb56f9a, 0xa3275f22f0fff787, 0x3c58be84af0ee2fa,
  0xf886c2445f71a20f, 0x6b85919ebfd47c25, 0xa76b736be4cf1773, 0xd983dbfea3cae574, 0x1698a62bdf7ea3e0,
  0x5b1971c270dc3afb, 0x7576e60a3a909afa, 0xebd8cdd8c7a33d4e, 0x4f4a4710d8d578d8, 0x0decbbdd9c071d8b,
  0xcf2288aa8d822647, 0x673d7dd375f5ebe2, 0x15073791b5e5caad, 0x6fabb39d454aa35d, 0x26b81013a6e576a9,
  0xaf2b9095c958f472, 0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xa2d2414e1037841d, 0x5fcdb40a31dbd8aa,
  0x3f505d8dc79b288c, 0x27ff787bde50c2a7, 0x343c899e07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x001d759a37680b9e,
};

static const uint64_t ur_pwm161_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xeacb59f912609f18, 0x4c4ef9626be4695f, 0x248e3a7f0621fd47, 0x4f1cc580b7ba6ea3,
  0xb1823af173b0df46, 0x5e5caad4ac26b71c, 0x54aa35d15073791b, 0xace576a96fab39d4, 0xae42552fbd7d1c89,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x5a5b44e1037841d1, 0x7cdb2048ab7b1554, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0001527d62cb53c9,
};

// pwm161_swio10_noled_pr_u4
static const uint64_t ur_pwm161_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x3dcc13e30120b657, 0x117e4775ffab567e, 0xf8327bd479b8ef96, 0x05965319538c71d3,
  0x47cecf7a3b58e62c, 0x6b3d500ffd9823af, 0x55aaad503cb3dbb8, 0x6ba2a0e6f236bcb9, 0xed52df5673a8a954,
  0xaa5f7afa391359ca, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0x89c206f083a2041d, 0x409156f62aa8b4b6,
  0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x202c2029e4afdcd0, 0x0000000000003e4c,
};

static const uint64_t ur_pwm161_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0x69827c602416caef, 0xbf91a6fff56acf8d, 0xa8f2b387355ad1c7, 0x65d7d47c1b3067af,
  0x4e1b875f62d377c5, 0x64d2135f4b632e38, 0x3884e75697fdcb8d, 0xaad743af3a6eda52, 0x0e3b169a628c45b1,
  0x047eb70decb65f38, 0xe556a011355fd51b, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5, 0x12a97debe8e44d67,
  0xb5d73daad115e572, 0x77536294f0d3bcf8, 0xda27081bc20e8810, 0xd902455bd8aaa2d2, 0xe4d5c1e6c25ccbe6,
  0x63c81f943459d3e2, 0x89fca1854e7ea756, 0x4d0f327f8b9c65f9, 0xcf4c2b93f1cf7ff0, 0xa4a5b3e04e32c970,
  0x80a792bf734332c3, 0x0000000009d7e9e0,
};

static const uint64_t ur_pwm161_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0xbaf9195bff56acfe, 0xbd4795a569aad68f, 0x57f3bd47c1b3072f,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x463e1cead2f01971, 0xaad743af5d4dd814, 0x1c762d3c8a8fa0b1,
  0x35f5b86f65c39670, 0xcde46d7972ab55c1, 0xace75152a8d74541, 0xf47226b395daa5be, 0x688af2b90954bef5,
  0x7869de7c5aeb9ed5, 0xe10744083ba9b14a, 0xec5551696d13840d, 0x612e65f36c8122ad, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x53c95fb9a19961d2, 0x00000013ae917840,
};

// pwm161_swio10_noled_pr_ce_u4
static const uint64_t ur_pwm161_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0xab3f6ea609f18090, 0xc5f5913e4604ffd5, 0x892c79e3254ef2b5, 0xa3e12fc4361222fb,
  0x33c5dc6e2545c8fe, 0xfd47c927b9633f59, 0x5ee8148e3a7f0782, 0x7cecf7a3b58e62c0, 0xb3d500ffd99e3af4,
  0x56aab540f2d6eb86, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551, 0xa97debe8e44d672b, 0xd73daad115e57212,
  0x536294f0d3bcf8b5, 0x27081bc20e881077, 0x0431dbd8aaa2d2da, 0xab83cd84b997cdb2, 0xf207e50d1637c5c9,
  0xef2861539fa9d598, 0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65,
  0x5941014f257ee686, 0x0000000000006ebd,
};

static const uint64_t ur_pwm161_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0xce1fc8b1fffd5ab3, 0x78c953bb1f3bfea8, 0x6139dc6e1256547e,
  0xf2b74b29dacac7be, 0x1fd47c1b306807a8, 0x1b875f62d314c572, 0x52135f4b632e384e, 0xa47109ceaeddfb87,
  0xc6abc6c75e74ddb4, 0xe038ec5a698a3116, 0x3608991c37b2d97c, 0xe5caad4b326abfaa, 0x4aa35d15073791b5,
  0xce576a96fab39d45, 0xe42552fbd7d1c89a, 0xf16bae7b55a22bca, 0x20eea6c529e1a779, 0xa5b44e1037841d10,
  0x9b640863b7b15545, 0xf38b93571b09732f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x34ec7f080a792bf7, 0x0000000000000005,
};

static const uint64_t ur_pwm161_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0xa1f4c13e30120b65, 0xdd7c8c41ffd4d6cf, 0x942e0e620b8bea8e, 0x10d8488bee24b1e7,
  0xe7539705fa8f84bf, 0x9dadcdbdf33c5dc6, 0xb306807a8f2b74b2, 0x2d314c5721fd47c1, 0xb632e384e1b875f6,
  0xeaeddfb8752135f4, 0x75e74ddb4a47109c, 0xa698a3116c6abc6c, 0xc37b2d97ce038ec5, 0xb326abfaa3608991,
  0x5073791b5e5caad4, 0x6fab39d454aa35d1, 0xbd7d1c89ace576a9, 0xb55a22bcae42552f, 0x529e1a779f16bae7,
  0x037841d1020eea6c, 0x3b7b15545a5b44e1, 0x79b09732f9b64086, 0x6fe0eee3458df0dc, 0x7bca1854e7ea7566,
  0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x5a5ce8b3c95fb9a1,
  0x00000000000027e6,
};

static const uint64_t ur_pwm161_swio10_noled_hw[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xfe1c79f912609f18, 0xd313be589af91a57, 0xc9238e9fc1887f51, 0x93c731602dee9ba8,
  0x2c608ebc5cec37d1, 0xd7972ab52b09adc7, 0x152a8d74541cde46, 0x6b395daa5beace75, 0x2b90954bef5f4722,
  0xe7c5aeb9ed5688af, 0x4083ba9b14a7869d, 0x1696d13840de1074, 0x5f36c8122adec555, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000238bebec14f2,
};

static const uint64_t ur_pwm161_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xd68e3dfc8d37ff42, 0x833d7d47959c39aa, 0x9bbe2b2ebea3e0d9,
  0x1971c270dc3afb16, 0xee5c6b26909afa5b, 0x76d291c4273ab4bf, 0x622d8d56ba1d79d3, 0xb2f9c071d8b4d314,
  0xfea8d823f5b86f65, 0x46d7972ab50089aa, 0x75152a8d74541cde, 0x226b395daa5beace, 0xaf2b90954bef5f47,
  0x9de7c5aeb9ed5688, 0x744083ba9b14a786, 0x551696d13840de10, 0xe65f36c8122adec5, 0x4e7ea0bb1b8f3612,
  0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25,
  0x00000002df00ad45,
};

static const uint64_t ur_pwm161_swio10_noled_ce_hw[] = {
  0xe4dddddda2431768, 0xf8eed55e11219c49, 0xc7ed91dd1835d83d, 0xf26cff5f5a62f362, 0xb5a3d9eb8d3537ba,
  0x0482d95de4ee9ba3, 0xff4299fb75304f8c, 0x656b8beb227c8c09, 0x8bee24b1e7942e0e, 0xb7fa8f84bf10d848,
  0xfd64cf1771b9fae6, 0x1e0bf51f249ee58c, 0x8b017ba05238e9fc, 0xebd1f3b3de8ed639, 0xae1acf5403ff6678,
  0xcb955aaad503cb5b, 0x9546ba2a0e6f236b, 0x9caed52df5673a8a, 0xc84aa5f7afa39135, 0xe2d75cf6ab445795,
  0x41dd4d8a53c34ef3, 0x4b689c206f083a20, 0x36c810c76f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x01d66f843f453c95,
};

// pwm161_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0x51dbaf91883fe853, 0x3cf285c1cc41717d, 0x97e21b09117dc496,
  0xe373541e41ff51f0, 0x594ed6e6def99e2e, 0xe0d983403d4795ba, 0xfb1698a62b90fea3, 0xfa5b1971c270dc3a,
  0x4e7576efdc3a909a, 0x363af3a6eda52388, 0x62d34c5188b6355e, 0xc8e1bd96cbe701c7, 0x6a599355fd51b044,
  0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0x97debe8e44d672bb, 0x73daad115e57212a, 0x36294f0d3bcf8b5d,
  0x7081bc20e8810775, 0x431dbd8aaa2d2da2, 0x6e3cd84b997cdb20, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x0b2d2d14f257ee68, 0x0000000000000028,
};

static const uint64_t ur_pwm161_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xf565acfbf9304f8c, 0xfc877cb135f20caf, 0xf7c71d3f8310fea3, 0xe80e62c05bdd31ea,
  0x2c608ebc5ced6b23, 0xd7972ab52b39edc7, 0x152a8d74541cde46, 0x01395daa5beace75, 0x956ae97f47226b81,
  0xd6b9ed5688af2b90, 0xea58594d8b3a03cf, 0x363fc502169ab9d5, 0x7cdb4e1037841d10, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x0000a90742cb53c9,
};

// pwm161_swio10_lednop_pr_u4
static const uint64_t ur_pwm161_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xe034c13e30120b65, 0xc22fc80f7ffab567, 0x7f064f7a8f389df2, 0x016594c63cf58e3a,
  0xa3e76f911c1f398b, 0xdf40a807fecc11d7, 0x2ab5815a07967b7b, 0x8d74541cde46d797, 0x5daa5beace75152a,
  0xe97f47226b810139, 0xed5688af2b90956a, 0xa5af9d01e395aeb9, 0x37841d10210a905c, 0x5bd8aaa2d2414e10,
  0xe6c25ccbe6d97645, 0xf2868b1be2e4d5c1, 0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc,
  0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970, 0x80a792bf734332c3, 0x00000000f937ea80,
};

static const uint64_t ur_pwm161_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0xf22397fead59feaf, 0x1e5650e6ab5a38f7, 0x82fa8f83660cf5f5,
  0xc370ebec5a6ef8ad, 0x9a426be96c65c709, 0xbe1cead2ff3971ac, 0xb5d0ebce9bb04f46, 0x1d8b4f244637ec6a,
  0x3f5b86f65b2f9c07, 0x56a015c359ea8d82, 0xae8a839bc8daf2e5, 0xb54b7d59cea2a551, 0x2fe8e44d7020272b,
  0xaad115e57212ad5d, 0xb5f3a03c72b5d73d, 0xf083a20421520b94, 0x7b15545a4829c206, 0xd84b997cdb2ec8ab,
  0x868b3a7c5c9ab83c, 0xa9cfd4eacc7903f2, 0xf1738cbf313f9430, 0x7e39effe09a1e64f, 0x09c6592e19e98572,
  0xee6866587494b67c, 0x009d75d81014f257,
};

static const uint64_t ur_pwm161_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xfbaf916ebff56acf, 0xfbd4795c879aad68, 0xc5670fd47c1b3072,
  0x384e1b875f62d377, 0x144cd2135f4b632e, 0x046989cead2e5157, 0x1aad743af5d4dd90, 0x80e3b169bde8ed6b,
  0x5c3fadc37b2e1cb3, 0x1cde46d7972ab55c, 0xeace75152a8d7454, 0x226b8101395daa5b, 0xaf2b90956ae97f47,
  0x01e395aeb9ed5688, 0x10210a905ca5af9d, 0xa2d2414e1037841d, 0xcbe6d976455bd8aa, 0x1be2e4d5c1e6c25c,
  0xd4eacc7903f2868b, 0xffde1ef79430a9cf, 0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f,
  0xbf734332c3a4a5b3, 0x0013ae10b080a792,
};

// pwm161_swio10_lednop_pr_ce_u4
static const uint64_t ur_pwm161_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0xb3f15a609f180905, 0x5f5913e46fbffd5a, 0x92c79e3254eedd5c, 0x3e12fc4361222fb8,
  0x3c5dc6e5253397ea, 0xd470527b9633f593, 0x1ed008e3a7f0782f, 0x3b7c88e0f9cc580a, 0x05403ff6678ebd1f,
  0x6b02b40f2d6edefa, 0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0xfe8e44d7020272bb, 0xad115e57212ad5d2,
  0x5f3a03c72b5d73da, 0x083a20421520b94b, 0xb15545a4829c206f, 0x09732f9b65d863b7, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000000dd72cc202,
};

static const uint64_t ur_pwm161_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x387f2376bff56acf, 0xe3254ef768effaa3, 0x09cee373a3ea49f9,
  0x9597594ed6563df3, 0x7ea3e0d983403d47, 0xdc3afb1698a62b29, 0x909afa5b1971c270, 0xa35f0e7576ef9c3a,
  0x6abc6c75e74dd827, 0x071d8b4f244637ec, 0xc1132386f65b2f9c, 0x72ab52cee1acf546, 0xa8d74541cde46d79,
  0x95daa5beace75152, 0xae97f47226b81013, 0x9ed5688af2b90956, 0xca5af9d01e395aeb, 0x037841d10210a905,
  0x1dbd8aaa2d2414e1, 0xb8d84b997cdb2ec3, 0x40fca1a2c79c5c9a, 0x867a615c9fbab31e, 0xd252d964a271964b,
  0x4053c95fb9a19961, 0x0000000029a670a0,
};

static const uint64_t ur_pwm161_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfebcc13e30120b65, 0xdd7c8801ffd4d6cf, 0x942e0e400b8bea8e, 0x10d8488bee24b1e7,
  0xc0b233d7fa8f84bf, 0x3b5b9b7be678bb8d, 0x660d00f51e565d65, 0x5a6298aca5fa8f83, 0x6c65c709c370ebec,
  0xd5dbbe70ea426be9, 0xd79d37609e8d7c39, 0x3c9118dfb1aaf1b1, 0x1bd96cbe701c762d, 0x3b86b3d51b044c8e,
  0x073791b5e5caad4b, 0xfab39d454aa35d15, 0xc89ae0404e576a96, 0x2bcae4255aba5fd1, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xa8b49053840de107, 0x65f36cbb0c76f62a, 0xc68b1be1b8f3612e, 0xa9cfd4eaccdfc1dd,
  0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0x6792bf734332c3a4,
  0x0000004fcb7219d1,
};

static const uint64_t ur_pwm161_swio10_lednop_hw[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xff0e3cfbf9304f8c, 0xff21df2c4d7c832b, 0xbdf1c74fe0c43fa8, 0xfa0398b016f74c7a,
  0xcb1823af173b5ac8, 0xb5e5caad4ace7b71, 0x454aa35d15073791, 0x404e576a96fab39d, 0x255aba5fd1c89ae0,
  0xf5ae7b55a22bcae4, 0x7a96165362ce80f3, 0x0d8ff14085a6ae75, 0x5f36d3840de10744, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x000011c43aec14f2,
};

static const uint64_t ur_pwm161_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xd1c7bf911cbfe853, 0x67afa8f2b287355a, 0x77c56c17d47c1b30,
  0x2e384e1b875f62d3, 0xcb8d64d2135f4b63, 0x827a35f0e75697f9, 0xbf6355ae875e74dd, 0x7ce038ec5a792231,
  0x546c11fadc37b2d9, 0xd7972ab500ae1acf, 0x152a8d74541cde46, 0x01395daa5beace75, 0x956ae97f47226b81,
  0xaeb9ed5688af2b90, 0x905ca5af9d01e395, 0x4e1037841d10210a, 0x76455bd8aaa2d241, 0x6371e6c25ccbe6d9,
  0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e,
  0xb7cd60a8a792bf73, 0x0000000000000000,
};

static const uint64_t ur_pwm161_swio10_lednop_ce_hw[] = {
  0xf26eeeeed121b768, 0xfc776aaf08942e24, 0x4f4d2eeedb75ec1e, 0x26cff5f5a433c5ef, 0xed9c551682ad1baf,
  0x2416caef2775d92b, 0xfa14cfc569827c60, 0xdd5c5f5913e46fbf, 0x5f71258f3ca17072, 0xafd47c25f886c244,
  0xeb2678bb8dcbc3e5, 0xf05fa8e0a4f72c67, 0xb0143da011c74fe0, 0x7a3e76f911c1f398, 0xbdf40a807feccf1d,
  0x5caad605681e5add, 0xaa35d15073791b5e, 0xe576a96fab39d454, 0xaba5fd1c89ae0404, 0xe7b55a22bcae4255,
  0x7296be74078e56ba, 0x40de107440842a41, 0xc76f62aa8b490538, 0x8f3612e65f36cbb0, 0xbca1854e7ea0bb1b,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x998b453c95fb9a19,
  0x000000000000eb37,
};

// pwm161_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0xa8edd7c8801ff429, 0x1e7942e0e400b8be, 0x4bf10d8488bee24b,
  0xb8dc0a47ce5fa8f8, 0xd653b5b9b7be678b, 0xf83660d00f51e565, 0xbec5a6298aca5fa8, 0xbe96c65c709c370e,
  0xc39d5dbbe70ea426, 0x1b1d79d37609e8d7, 0x62d3c9118dfb1aaf, 0xc8e1bd96cbe701c7, 0xd4b3b86b3d51b044,
  0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xfd1c89ae0404e576, 0x5a22bcae4255aba5, 0xbe74078e56bae7b5,
  0x107440842a417296, 0x62aa8b49053840de, 0x12e65f36cbb0c76f, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1,
  0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d, 0x000000000a02b721,
};

// pwm161_swio10_dual_pr             pwm161_swio10_dual_pr_u4
static const uint64_t ur_pwm161_swio10_dual[] = {
  0xa7bbbbbb44869a4e, 0x5eefdf123021f07f, 0x6e7deea339774168, 0xb8cfdf25499389d9, 0x78658a35362ddfa6,
  0x49b0eee3fa8c547c, 0x7304f8c0482d95de, 0xd7d29190485d22e8, 0x50c199b7e2fb7e15, 0x55bb9dd3f27d8818,
  0x8145383939be77e6, 0x4fe0e3dcdea3afbd, 0x895fe7ef82284724, 0xcdc6bb006e1f0a21, 0x2d01f110caaeef77,
  0xfd01cf09b7b8a843, 0xcb56f9a0c5edca5f, 0xeffdf53930586f2b, 0x4709e77cb645f90b, 0x176fc71d3f83b5bd,
  0x35ae731602eb14c5, 0xd9823af01a9da5f2, 0xf2cf6c7cded500ff, 0xee9bafaf5f0a71c0, 0xbc8daf2e556b39eb,
  0x9cea2a551ae8a839, 0xd7020272bb54b7d5, 0x57212ad5d2fe8e44, 0xc72b5d73daad115e, 0x421520b94b5f3a03,
  0xa4829c206f083a20, 0xcdb2ec8ab7b15545, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000524f782e7459e,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ee[] = {
  0x80addddddd43573e, 0x17bbf7c4d9326f83, 0x7d1f9ba9ca7106e8, 0x58689c3db66fbb1d, 0xee01f557c0151405,
  0x2ee5c5f7615ef595, 0x9f180905b2bbc912, 0xa46412174874ea60, 0x666df8bedf8575f4, 0xe774fc9f62061430,
  0x3818fcc337f9956e, 0xc6b4dea3a5ad805a, 0xe7ef822847244fe0, 0x43006e1f0a21895f, 0x2a21955ddeef9b97,
  0x784c63e2a10cb40a, 0xcd062f6fa6bfe80e, 0xa9c982c3795e5ab7, 0xad68ea57c84b5fef, 0x307b7fd4795cae9a,
  0xd377c57befd47c1b, 0x632e384e1b875f62, 0xa5ae04fcd2135f4b, 0x760f68d0039d5a5c, 0xdefb1aad743af633,
  0x7bb380e3b169ce28, 0x1aa3608fd6e1bd97, 0xe9bafaf5f00437ee, 0xc8daf2e556b39ebe, 0xcea2a551ae8a839b,
  0x7020272bb54b7d59, 0x7212ad5d2fe8e44d, 0x72b5d73daad115e5, 0x21520b94b5f3a03c, 0x4829c206f083a204,
  0xdb2ec8ab7b15545a, 0x8f386e3cd84b997c, 0x3f75666fe0eee345, 0x04e32c970cf4c2b9, 0xf734332c3a4a5b3e,
  0x190a58ff9d16792b,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ee_u4[] = {
  0xb7777768adbb3202, 0xefdf1364c9be0e02, 0x8ce6a729c41ba05e, 0x70f6d9beec75c7e6, 0xd55f0054501561a2,
  0x83ebae2fa6b7b807, 0x0b657792245dc34e, 0x2e90e9d4c13e3012, 0x7dbf0aebe948c824, 0x3ec40c2860ccdbf1,
  0x337f99696fcee9f9, 0x3a5ad805a3818fcc, 0x847244fe0c6b4dea, 0xf0a21895fe7ef822, 0xddeef9b9743006e1,
  0x2a10cb40a2a21955, 0xfa6bfe80e784c63e, 0x3795e5ab7cd062f6, 0xf212d7fa3217982c, 0x1e572ba6ab5a3a95,
  0xfbf51f06cc1edff5, 0x86e1d7d8b4ddf15e, 0x3484d7d2d8cb8e13, 0x00e75697296b813f, 0x5d0ebd8cdd83da34,
  0xec5a738a37bec6ab, 0xf5b86f65deece038, 0x7c010dfb86a8d823, 0x55ace7afba6ebebd, 0x6ba2a0e6f236bcb9,
  0xed52df5673a8a954, 0x4bfa39135c0809ca, 0x6ab445795c84ab57, 0x2d7ce80f1cad75cf, 0xbc20e881085482e5,
  0xdec55516920a7081, 0x3612e65f36cbb22a, 0x763458df1726ae0f, 0xa9cfd4eaccdfc1fb, 0xf989ffde1ef79430,
  0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4, 0x000000ac896d22ab,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ce[] = {
  0x95bbbbbbd82432db, 0xeefdf120beb8f072, 0xb85eece24159391d, 0x3848d860b28fa7de, 0xa421d9b1d7dd2945,
  0xe4aee3822acb0433, 0x609f180905b2bbc9, 0xfa5232090ba40aa2, 0x183336fc5f6fc2ba, 0xb773ba7e4fb1030a,
  0xe09c3abe6a1ffcca, 0xf076ea6f51e396c0, 0xaff3f7c114239227, 0xe29200370f8510c4, 0x031e88655777bbe6,
  0x01cf09bba8a8432d, 0xadf3418bdb8cdffd, 0xfbea7260b0de5796, 0x6b5c5f58f7f22397, 0x5f71258f3ca17070,
  0xffd47c25f886c244, 0x4fccf1771b9cb4cd, 0xe93d473d67b9633c, 0xc055f722471d3f83, 0x0353b4be46b5ce62,
  0x9bdaa01ffb33c75e, 0x7af8538e0796b70f, 0x72ab59cf5f74dd7d, 0xa8d74541cde46d79, 0x95daa5beace75152,
  0xae97f47226b81013, 0x9ed5688af2b90956, 0xca5af9d01e395aeb, 0x037841d10210a905, 0x1dbd8aaa2d2414e1,
  0x3cd84b997cdb2ec3, 0xbf83bb8d165abc6e, 0x8d2861539fa9d599, 0x4fc07cd0f327f813, 0x8138cb25c33d30ae,
  0xfdcd0ccb0e9296cf, 0x00d242b567459e4a,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ce_u4[] = {
  0x817bbbbbb4486f97, 0x1ddfbe2417e7df07, 0xf7bbdd414f5a0dc7, 0x2ec4f2529dbd7610, 0xb53a40355fbf7bb0,
  0xbc95c6ee78233a70, 0x8c6609f180905b2b, 0x575f4a4641217488, 0x61430666df8bedf8, 0x9956ee774fc9f620,
  0xf61a6ce115a61adf, 0x913f8353d37a8fbe, 0x86257f9fbe08a11c, 0xdf3712a001b87c28, 0x0cb43ba4432abbbd,
  0xfff4073c26d2a2a1, 0x5e5ab7cd062f6f63, 0x8adfefa9c982c379, 0xe0e143b8beb227c8, 0x8488bee24b1e7942,
  0xf9d67fa8f84bf10d, 0x58cfd64cf1771b8c, 0x9fc1e0bf51e6e9ee, 0xb398b01644f9238e, 0x678ebd1f3b4648f7,
  0xafaf5f0eba0dc72c, 0xaf2e556b39ebee9b, 0x2a551ae8a839bc8d, 0x0272bb54b7d59cea, 0x2ad5d2fe8e44d702,
  0xad73daad115e5721, 0xd4b0b29b1674079f, 0xd8fe63042d3573ab, 0xf36d3840de107440, 0x8b1be1b8f3612e65,
  0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x000034902179d167,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ee_ce[] = {
  0xfb2b77777750cf68, 0x0dbbf7c493319ce0, 0x695ef773ed9f362b, 0xf68a5043c8970b0b, 0xff369b36b44bbd95,
  0x77347d4e8e09bb38, 0xf8c0482d95de4c0b, 0x46412174823d7304, 0x66df8bedf8575f4a, 0x774fc9f620614306,
  0xe0ff26c41f9956ee, 0x63f37a8e1a361a68, 0x3f7c114239227f07, 0x900370f8510c4aff, 0xd10caaeef77cdcf3,
  0xc26f9d150865a052, 0x68317b7149ff4073, 0x4e4c161bcaf2d5be, 0xf5465d7e4068ff7d, 0x93f3ca17070341df,
  0x4c66139dc6e747d4, 0x7a8f2b29729dacac, 0x5650fd47c1b307a5, 0x84e1b875f62d314c, 0x94752135f4b632e3,
  0xda4447371ceaedce, 0x1958d578d8ebca69, 0xc99c071d8b4d7c47, 0x7d8c46f991c37b2d, 0x55ace7afba6ebebd,
  0x6ba2a0e6f236bcb9, 0xed52df5673a8a954, 0x4bfa39135c0809ca, 0x6ab445795c84ab57, 0x2d7ce80f1cad75cf,
  0xbc20e881085482e5, 0xdec55516920a7081, 0x6c25ccbe6d97618e, 0xf07771a2c79c371e, 0x867a615c9fbab337,
  0x1d252d9f0271964b, 0xce8b3c95fb9a1996, 0x000000000130454e,
};

static const uint64_t ur_pwm161_swio10_dual_pr_ee_ce_u4[] = {
  0xeeeeeed15b77d8be, 0xfbe26c7a8c783efd, 0xd7deed47e35043dd, 0x57932bde44d6d37c, 0x34bb13bf655fb2ab,
  0xf5f654e3c14b24da, 0xde48f677506accd1, 0xd51304f8c0482d95, 0x575f4a464121748b, 0x61430666df8bedf8,
  0xcb4b7e774fc9f620, 0x0bc33872d4ccdffc, 0x7f0687d37a8fd83b, 0x4aff3f7c11423922, 0xdc15400370f8510c,
  0xa070510caaeef77c, 0x4073c26d37150865, 0xab7cd062f6f495ff, 0xfa3217982c3795e5, 0xdc5f54635be4760f,
  0x71258f3ca179df60, 0xd47c25f886c2445f, 0x33c5dc6e1d7c2a8f, 0xf2bc0929dadcdaf9, 0x5bd47c1b307227a8,
  0x1b875f62d314c579, 0x52135f4b632e384e, 0xb46801ceaedc52c7, 0x1aaf1b1d7b19bb07, 0x80e3b169ce28defb,
  0xb044c8e1bd977bb3, 0x7d7af8b31bf70d51, 0x7972ab59cf5f74dd, 0x52a8d74541cde46d, 0x1395daa5beace751,
  0x56ae97f47226b810, 0xeb9ed5688af2b909, 0x05ca5af9d01e395a, 0xe1037841d10210a9, 0xc31dbd8aaa2d2414,
  0xb83cd84b997cdb2e, 0x07edd8d1637c5c9a, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07,
  0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x8aac9e4afdcd0ccb, 0x000000000800080b,
};

static const uint64_t ur_pwm161_swio10_dual_hw[] = {
  0x4f777776890d365a, 0xbddfbe246043e0ff, 0xdcfbdd4672ee82d0, 0x719fbe4a932713b2, 0x5ecb146a6c5bbf4d,
  0xde49b0eec89ebde9, 0xe87304f8c0482d95, 0x15d7d29190485d22, 0x1850c199b7e2fb7e, 0xe655bb9dd3f27d88,
  0xbd8145383939be77, 0x244fe0e3dcdea3af, 0x21895fe7ef822847, 0x77cdc6bb006e1f0a, 0x432d01f110caaeef,
  0x5ffd01cf09b7b8a8, 0x2bcb56f9a0c5edca, 0x0beffdd89f30586f, 0xbd4709e77cb645f9, 0xc5176fc71d3f83b5,
  0xf235ae731602eb14, 0xffd9823af01a9da5, 0xc0f2cf6c7cded500, 0xebee9bafaf5f0a71, 0x39bc8daf2e556b39,
  0xd59cea2a551ae8a8, 0x44d7020272bb54b7, 0x5e57212ad5d2fe8e, 0x03c72b5d73daad11, 0x20421520b94b5f3a,
  0x45a4829c206f083a, 0x97cdb2ec8ab7b155, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3,
  0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000018dd7782d14f,
};

static const uint64_t ur_pwm161_swio10_dual_ee_hw[] = {
  0x056eeeee87ad0c86, 0xbddfbe26c9937c1c, 0xe8fcdd4e53883740, 0xc344e1edb37dd8eb, 0x700faabe00a8a02a,
  0x245dddd8dd9bcc5f, 0xc13e30120b657792, 0xe948c8242e90e9d4, 0x60ccdbf17dbf0aeb, 0xddcee9f93ec40c28,
  0xb47031f9866ff32a, 0xc18d69bd474b5b00, 0xbfcfdf04508e489f, 0x2e8600dc3e144312, 0x1454432abbbddf37,
  0x1cf098c7c5421968, 0x6f9a0c5edf4d7fd0, 0xdd89f30586f2bcb5, 0x355ad1d4af9096bf, 0x3660f6ffa8f2b95d,
  0xc5a6ef8af7dfa8f8, 0x96c65c709c370ebe, 0xb94b5c09f9a426be, 0x66ec1ed1a0073ab4, 0x51bdf6355ae875ec,
  0x2ef76701c762d39c, 0xdc3546c11fadc37b, 0x7dd375f5ebe0086f, 0x3791b5e5caad673d, 0xb39d454aa35d1507,
  0x9ae0404e576a96fa, 0xcae4255aba5fd1c8, 0x78e56bae7b55a22b, 0x0842a417296be740, 0xb49053840de10744,
  0xf9b65d9156f62aa8, 0xa97ab8dc79b09732, 0x197e627f2861539f, 0xdffc1343cc9fe2e7, 0xb25c33d30ae4fc73,
  0xccb0e9296cf8138c, 0x6ac7fa29e4afdcd0, 0x0000000000000057,
};

static const uint64_t ur_pwm161_swio10_dual_ce_hw[] = {
  0xe52b777776890c86, 0x3bddfbe2417d71e0, 0xbd70bdd9c482b272, 0x8a7091b0c1651f4f, 0x98a843b363afba52,
  0xef2792bbbbb1bb37, 0x2a89827c602416ca, 0x0aebe948c8242e90, 0x0c2860ccdbf17dbf, 0xf32addcee9f93ec4,
  0x5b038270eaf9a87f, 0x489fc1dba9bd478e, 0x4312bfcfdf04508e, 0xef9b8a4800dc3e14, 0x0cb40c7a21955dde,
  0x7ff4073c26eea2a1, 0x5e5ab7cd062f6e33, 0x8e5feec4f982c379, 0xc1c1ad717d63dfc8, 0x09117dc4963cf285,
  0xcd90ff51f097e21b, 0xc6789f99e2ee373a, 0x7f07d27a8e7acf72, 0x9cc580abee448e3a, 0x8ebc06a7697c8d6b,
  0x6e1f37b5403ff667, 0xbafaf5f0a71c0f2d, 0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8, 0x20272bb54b7d59ce,
  0x12ad5d2fe8e44d70, 0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x29c206f083a20421, 0x5d863b7b15545a48,
  0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0x26ea56aa29e4afdc,
};

static const uint64_t ur_pwm161_swio10_dual_ee_ce_hw[] = {
  0xc21eeeeeeea1a5fb, 0xd6efdf124cf8ffc1, 0x5c87bb45f62e758e, 0x5618b15f5da7abbf, 0xf57c3e5a25d8434e,
  0x774b235d74ab0af7, 0xf8c0482d95de494e, 0x8c8242e907b3d304, 0xcdbf17dbf0aebe94, 0xee9f93ec40c2860c,
  0x06bb990fbf32addc, 0x689bd477f9b0c407, 0xfdf04508e489fc18, 0x400dc3e144312bfc, 0x4432abbbddf37170,
  0x098bac5421968604, 0x418bdb9adffd01cf, 0x3e60b0de5796adf3, 0xaa353df21fe7fbb1, 0x1f9e50b838ff0eff,
  0x7c984e771b849595, 0xea3caf024a76b2b1, 0x5e56f51f06cc1c89, 0x1386e1d7d8b4c531, 0xb1d484d7d2d8cb8e,
  0xc1ed1a0073abb714, 0xbec6abc6c75ec66e, 0xece038ec5a738a37, 0x546c1132386f65de, 0x375f5ebe2cc6fdc3,
  0x1b5e5caad673d7dd, 0xd454aa35d1507379, 0x0404e576a96fab39, 0x4255aba5fd1c89ae, 0x56bae7b55a22bcae,
  0x2a417296be74078e, 0x053840de10744084, 0xcbb0c76f62aa8b49, 0xf61b8f3612e65f36, 0x6592e19e985727e7,
  0x866587494b67c09c, 0x4d31c5d14f257ee6, 0x0000000000000004,
};

static const uint64_t ur_pwm161_swio10_dual_ee_ce_u4_hw[] = {
  0xdeeeeeed14682541, 0xdfbe26c7a8c783ef, 0xb4ddeed47e35043d, 0xcaad5e4caf7913b5, 0x9368d2ec4efd957e,
  0x71865adda7cf052c, 0x2416caef247b3baa, 0x90ba45ea89827c60, 0xc5f6fc2bafa52320, 0xe4fb1030a183336f,
  0x4ccdffccbb093ba7, 0xa8fd83b0bc33872d, 0x14239227f0687d37, 0x0f8510c4aff3f7c1, 0xaeef77cdc1540037,
  0x7150865a070510ca, 0x6f495ff4073c26d3, 0xc3795e5ab7cd062f, 0xdf23b07fc03ee982, 0xc3073b06e2faa31a,
  0x61222fb892c79e37, 0xbb0b27ea3e12fc43, 0x6e6d7c99e2ee371d, 0x3913d4795e0494ed, 0x8a62bcadea3e0d98,
  0x971c270dc3afb169, 0x6e2963a909afa5b1, 0x8cdd83da3400e757, 0x146f7d8d578d8ebd, 0xcbbdd9c071d8b4e7,
  0xfb86a8d8226470de, 0xafba6ebebd7c598d, 0xe6f236bcb955ace7, 0x5673a8a9546ba2a0, 0x135c0809caed52df,
  0x795c84ab574bfa39, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8, 0x16920a7081bc20e8, 0xbe6d97618edec555,
  0xfd4176371e6c25cc, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x000ebacd1b82fa79,
};

// pwm161_swio12_noled
static const uint64_t ur_pwm161_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x96b3f1ee609f1809, 0x9df2dd07c8eebfd5, 0x1c74fe0ebffa8e98, 0x398b016f74c800f9,
  0x823af173b7488c9e, 0xb955a95821f71cb1, 0x546ba2a0e6f236bc, 0xaed52df57673a8a9, 0x12b637afa391359c,
  0xfad73daad115e572, 0xa9d4e02ca54fa779, 0x023cbc5021696173, 0x97cdb4e1037841d1, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00000a92dc2cb53c,
};

// pwm161_swio11_noled_pr_u4         pwm161_swio12_noled_pr            pwm161_swio12_noled_pr_u4
static const uint64_t ur_pwm161_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x8f9827c602416cae, 0x7bf91b7fff56acf9, 0xe0c9af51c143be5b, 0x2cb2983da011c74f,
  0x3e764c5188a73160, 0x13ca807fecc11d7a, 0xab5422607967b76b, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0x6c6f5f47226b395d, 0xae7b55a22bcae425, 0xa6c529e1a779f16b, 0x4e1037841d1020ee, 0x218ab7b15545a5b4,
  0x57079b09732f9b6c, 0xe40fca1a2c6f8b93, 0xde50c2a73f53ab31, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0xc142029e4afdcd0c, 0x000000000003e4d5,
};

// pwm161_swio12_noled_pr_ee
static const uint64_t ur_pwm161_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0xf91b3bff56acf9c1, 0x8f2b2eb355ad198f, 0x52fd47c1b307d47a,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0xf90e75697726b8d6, 0xad743af3a6ec7aa3, 0xe3b169c428f7bb1a,
  0x47eb70decb65f380, 0x2ab500ba0e7951b0, 0x8d74541cde46d797, 0xdaa5beaece75152a, 0x56c6f5f47226b395,
  0xbae7b55a22bcae42, 0xea6c529e1a779f16, 0x44e1037841d1020e, 0xc218ab7b15545a5b, 0x357079b09732f9b6,
  0xf207e50d1674f8b9, 0x7f2861539fa9d598, 0x43cc9fe2e7197e62, 0xd30ae4fc73dffc13, 0x296cf8138cb25c33,
  0x29e4afdcd0ccb0e9, 0x000000013af02820,
};

// pwm161_swio12_noled_pr_ee_u4
static const uint64_t ur_pwm161_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0xfc895dffab567f67, 0x4795fce9aad68f6f, 0x74bea3e0d9839c7d,
  0x70dc3afb169bbe2b, 0x66909afa5b1971c2, 0xb5ce756975f6b8a2, 0xae875eba9bb4be46, 0x762d31f11f496355,
  0xf5b86f65c396701c, 0xe46d7972ab55c741, 0xe75152a8d74541cd, 0x226b395daa5beaec, 0x2bcae4256c6f5f47,
  0xa779f16bae7b55a2, 0x1d1020eea6c529e1, 0x5545a5b44e103784, 0x732f9b6c218ab7b1, 0x2c6f8b9357079b09,
  0x3f53ab31e40fca1a, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x00004eba6802029e,
};

// pwm161_swio11_noled_pr_ce_u4      pwm161_swio12_noled_pr_ce         pwm161_swio12_noled_pr_ce_u4
static const uint64_t ur_pwm161_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0x5eebe4656ffd5ab3, 0xc79e3254ee575c5f, 0x12fc4361222fb892,
  0x5dc6e321d257ea3e, 0x75f27b9633f5933c, 0xcbe8e3a7f06b3fd4, 0x2628c45398b0176f, 0x403ff6678ebd1f3b,
  0x844c0f2d6eb589e5, 0xa839bc8daf2e556a, 0x7d5d9cea2a551ae8, 0xebe8e44d672bb54b, 0x6ab445795c84ad8d,
  0xa53c34ef3e2d75cf, 0x06f083a2041dd4d8, 0x76f62aa8b4b689c2, 0xe6c25ccbe6db084c, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x80a792bf734332c3, 0x00000000375d22f0,
};

// pwm161_swio12_noled_pr_ee_ce
static const uint64_t ur_pwm161_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0x7e40cdffead59f4d, 0x4a9d8cd9dff5465d, 0x9dc6e339747ff3c6,
  0x90f29dacac7be613, 0x47c1b307a57a8f2b, 0x75f62d314c5670fd, 0x35f4b632e384e1b8, 0xf21ceaedce4c7521,
  0xbc6c75e74dd8f547, 0x8ec5a710a3deec6a, 0x8991c37b2d97ce03, 0x556a59f41cf2a360, 0x1ae8a839bc8daf2e,
  0xb54b7d5d9cea2a55, 0xad8debe8e44d672b, 0x75cf6ab445795c84, 0xd4d8a53c34ef3e2d, 0x89c206f083a2041d,
  0x084c76f62aa8b4b6, 0xe4d5c6c25ccbe6db, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0x7ec2029e4afdcd0c, 0x0000000000014d31,
};

// pwm161_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_pwm161_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x24c13e30120b6577, 0xfc8adfffea6b67c5, 0x5c1cadfb8bea8f4d, 0xb09117dc4963cf28,
  0xdd8593f51f097e21, 0xb736f7ccf1771b8e, 0x1e95ea3cae43ca76, 0xc53159c3f51f06cc, 0xcb8e1386e1d7d8b4,
  0xb73931d484d7d2d8, 0x9d3763d51fc873ab, 0x428f7bb1aaf1b1d7, 0xecb65f380e3b169c, 0xd073ca8d8226470d,
  0xe6f236bcb955a967, 0x7673a8a9546ba2a0, 0xa391359caed52df5, 0xd115e57212b637af, 0xf0d3bcf8b5d73daa,
  0xc20e881077536294, 0xd8aaa2d2da27081b, 0x09732f9b6c2131db, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe,
  0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xce8b3c95fb9a1996,
  0x00000000027e0f57,
};

// pwm161_swio12_noled_hw
static const uint64_t ur_pwm161_swio11_noled_hw[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0x38f3f1ee609f1809, 0x277cb741f23baffc, 0x471d3f83affea3a6, 0x8e62c05bdd32003e,
  0x608ebc5cedd22327, 0x2e556a56087dc72c, 0x551ae8a839bc8daf, 0x2bb54b7d5d9cea2a, 0x84ad8debe8e44d67,
  0x7eb5cf6ab445795c, 0xea75380b2953e9de, 0x408f2f14085a585c, 0x65f36d3840de1074, 0x85727e7f61bb612e,
  0x659289c6592e19e9, 0x257ee6866587494b, 0x0000011c56eec14f,
};

// pwm161_swio12_noled_ee_hw
static const uint64_t ur_pwm161_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0x68cc7fc8d9dff429, 0x3ea3d47959759aad, 0xbbe2b297ea3e0d98,
  0x971c270dc3afb169, 0x35c6b26909afa5b1, 0x63d51fc873ab4bb9, 0xbdd8d56ba1d79d37, 0x2f9c071d8b4e2147,
  0xca8d823f5b86f65b, 0x36bcb955a805d073, 0xa8a9546ba2a0e6f2, 0x359caed52df57673, 0xe57212b637afa391,
  0xbcf8b5d73daad115, 0x881077536294f0d3, 0xa2d2da27081bc20e, 0x97cdb610c55bd8aa, 0x9fa82ec6e3cd84b9,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x0000016ffe69d14f,
};

// pwm161_swio12_noled_ce_hw
static const uint64_t ur_pwm161_swio11_noled_ce_hw[] = {
  0x367eeeeed12198e2, 0x3bb55784469712a1, 0xad177499f1f60f7e, 0xcff5e35cdd95b6a7, 0x3ad41685e15bb426,
  0x16caef2774a70f6d, 0x14cfe9b9827c6024, 0x5c5f5eebe4656ffa, 0x71258f3ca1707257, 0xd47c25f886c2445f,
  0x2678bb8dcec1bc3f, 0x7fa8ebe4f72c67eb, 0x2edf97d1c74fe0d6, 0x3e764c5188a73160, 0x13ca807feccf1d7a,
  0xaad508981e5add6b, 0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0x5b1bd7d1c89ace57, 0xeb9ed5688af2b909,
  0xa9b14a7869de7c5a, 0x13840de10744083b, 0x1098edec5551696d, 0xc6e3cd84b997cdb6, 0x3def2861539fa82e,
  0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d, 0x866587494b67c09c, 0xcd93f0d14f257ee6,
  0x000000000000003a,
};

// pwm161_swio11_noled_ee_ce_u4_hw   pwm161_swio12_noled_ee_ce_hw      pwm161_swio12_noled_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x1e9bf915bfff4299, 0x9e50b8395bf717d5, 0xfc4361222fb892c7,
  0x6e1b76148fea3e12, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b90f, 0x62d314c5670fd47c, 0x4b632e384e1b875f,
  0xceaedce4c752135f, 0xc75e74dd8f547f21, 0x5a710a3deec6abc6, 0x1c37b2d97ce038ec, 0xa59f41cf2a360899,
  0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0xdebe8e44d672bb54, 0xf6ab445795c84ad8, 0x8a53c34ef3e2d75c,
  0x206f083a2041dd4d, 0xc76f62aa8b4b689c, 0x1e6c25ccbe6db084, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x3d5e8a792bf73433, 0x0000000000001404,
};

// pwm161_swio12_lednop
static const uint64_t ur_pwm161_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0x596b3f01a609f180, 0x43be5ba0f901effd, 0x638e9fc1d7ff51f2, 0x8731602dee9ba84c,
  0x30475e2e761151f4, 0x972ab52b305ee396, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5e97f47226b81013,
  0xcf6ab445795c84ae, 0xc2ca6c59d01e7eb5, 0xfa2810b4d5ceaf52, 0x6d3840de107440a2, 0x7e7f61bb612e65f3,
  0x89c6592e19e98572, 0xe6866587494b6592, 0x0549f58b2d4f257e,
};

// pwm161_swio11_lednop_pr_u4        pwm161_swio12_lednop_pr           pwm161_swio12_lednop_pr_u4
static const uint64_t ur_pwm161_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xdcc13e30120b6577, 0xdfc88f7ffab567d7, 0x064d7a8e801df2db, 0xb2ca67f3a88e3a7f,
  0xf3b6488c6f9cc580, 0xa45403ff6608ebd1, 0xb5976a07967b707f, 0x74541cde46d7972a, 0xa5beaece75152a8d,
  0xf47226b8101395da, 0xb445795c84ae5e97, 0x7ce80f1cad75cf6a, 0x20e881085482e52d, 0xc55516920a7081bc,
  0x12e65f36d8c62ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000f93390f8405,
};

// pwm161_swio12_lednop_pr_ee
static const uint64_t ur_pwm161_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xff206b7fead59f4b, 0x51e56c166ab5a331, 0xd4f7a8f83660fa8f,
  0x9c370ebec5a6ef8a, 0xc9a426be96c65c70, 0x7371cead2ee9571a, 0x55ae875e74dda444, 0x1c762d35f11c6563,
  0x08fd6e1bd96cbe70, 0xe556a015ac4f2a36, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0xd2fe8e44d7020272,
  0xed5688af2b9095cb, 0xa5af9d01e395aeb9, 0x37841d10210a905c, 0x5bd8aaa2d2414e10, 0xe6c25ccbe6db18c5,
  0x943459d3e2e4d5c1, 0x854e7ea75663c81f, 0x7f8b9c65f989fca1, 0x93f1cf7ff04d0f32, 0xe04e32c970cf4c2b,
  0xbf734332c3a4a5b3, 0x00013ae64080a792,
};

// pwm161_swio12_lednop_pr_ee_u4
static const uint64_t ur_pwm161_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xdff9035bff56acfa, 0xfa8f2b90f355ad1e, 0x57fbbd47c1b30738,
  0x84e1b875f62d377c, 0x44cd2135f4b632e3, 0x46989cead2f01971, 0xaad743af5d4ddb24, 0x1c762d383e8ed6b1,
  0x17f5b86f65c39670, 0x9bc8daf2e556ab8c, 0xd9cea2a551ae8a83, 0xd7020272bb54b7d5, 0x2b9095cbd2fe8e44,
  0x03cfd6b9ed5688af, 0xb9d5ea58594d8b3a, 0x0e88145f4502169a, 0x25ccbe6da7081bc2, 0x68b1be2e4d5c1e6c,
  0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000275d22f080a,
};

// pwm161_swio11_lednop_pr_ce_u4     pwm161_swio12_lednop_pr_ce        pwm161_swio12_lednop_pr_ce_u4
static const uint64_t ur_pwm161_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xf5eebe45baffd5ab, 0x2c79e3254ef4ddc5, 0xe12fc4361222fb89,
  0xc5dc6e1256547ea3, 0x8f2fa7b9633f5933, 0xde951c74fe0d67fa, 0x6c9118df398b0163, 0xa807feccf1d7a3e7,
  0xcbb503cb5ba0ff48, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa,
  0x74078e56bae7b55a, 0x7440842a417296be, 0xaa8b49053840de10, 0xe65f36d8c4c76f62, 0x58df1726ae0f3612,
  0x7ea75663c81f9434, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x0000dd708584053c,
};

// pwm161_swio12_lednop_pr_ee_ce
static const uint64_t ur_pwm161_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0x5f901a3ff56acfbf, 0xc953b0d077fd5197, 0xe771b8d07044fe78,
  0xca5ca76b2b1ef984, 0x51f06cc1e95ea3ca, 0x1d7d8b4c5315943f, 0x4d7d2d8cb8e1386e, 0xcdc73abb73a51d48,
  0xaf1b1d79d3769111, 0xe3b169af88e32b1a, 0x226470decb65f380, 0x955a9676b13ca8d8, 0x46ba2a0e6f236bcb,
  0xed52df57673a8a95, 0x4bfa39135c0809ca, 0xb55a22bcae42572f, 0x96be74078e56bae7, 0xde107440842a4172,
  0x6f62aa8b49053840, 0x3612e65f36d8c4c7, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1,
  0x14f257ee68665874, 0x0000000a69b71e10,
};

// pwm161_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm161_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x19827c602416caef, 0xf210fbffa9ad9fec, 0x70710fae2faa3d37, 0xc2445f71258f3ca1,
  0xfe3eefd47c25f886, 0xb9b7be678bb8dce1, 0xf4af51e5652e53b5, 0x298aca1fa8f83660, 0x5c709c370ebec5a6,
  0xb9d28ea426be96c6, 0xe9bb4888e6e39d5d, 0xc471958d578d8ebc, 0x65b2f9c071d8b4d7, 0x589e546c1132386f,
  0x3791b5e5caad4b3b, 0xb39d454aa35d1507, 0xae0404e576a96fab, 0x57212b97a5fd1c89, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0xa4829c206f083a20, 0x9b6c6263b7b15545, 0x58df0dc79b09732f, 0x7ea75666fe0eee34,
  0x4ffef0f7bca1854e, 0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0004fc8d4ece8b3c,
};

// pwm161_swio12_lednop_hw
static const uint64_t ur_pwm161_swio11_lednop_hw[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xc38f3f01a609f180, 0x90ef96e83e407bff, 0x18e3a7f075ffd47c, 0x21cc580b7ba6ea13,
  0x8c11d78b9d84547d, 0xe5caad4acc17b8e5, 0x4aa35d15073791b5, 0xe576a96fabb39d45, 0x97a5fd1c89ae0404,
  0x73daad115e57212b, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xdb4e1037841d1028, 0x9f9fd86ed84b997c,
  0xa271964b867a615c, 0xb9a19961d252d964, 0x008e2fafb053c95f,
};

// pwm161_swio12_lednop_ee_hw
static const uint64_t ur_pwm161_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0xb4663fe40d6ffa14, 0x1f51ea3cad82cd56, 0xddf15a9ef51f06cc,
  0xcb8e1386e1d7d8b4, 0x2ae3593484d7d2d8, 0xb4888e6e39d5a5dd, 0x8cac6ab5d0ebce9b, 0x97ce038ec5a6be23,
  0xe546c11fadc37b2d, 0x1b5e5caad402b589, 0xd454aa35d1507379, 0x404e576a96fabb39, 0x12b97a5fd1c89ae0,
  0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x29c206f083a20421, 0x6318ab7b15545a48, 0xec6e3cd84b997cdb,
  0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09,
  0x16f8d4e514f257ee,
};

// pwm161_swio12_lednop_ce_hw
static const uint64_t ur_pwm161_swio11_lednop_ce_hw[] = {
  0x367eeeeed121b7d6, 0x3bb5578447af12a1, 0xab8f746db1160f7e, 0xcff5e35da59bbb27, 0xfdab2210209bb426,
  0x0b657793baf5a716, 0x0a67e394c13e3012, 0xee2faf75f22dd7fd, 0xb892c79e50b839a6, 0xea3e12fc4361222f,
  0x933c5dc6e4c333e7, 0x7fa8f2fa7b9633f5, 0x163de951c74fe0d6, 0x3e76c9118df398b0, 0xf48a807feccf1d7a,
  0x55acbb503cb5ba0f, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954, 0xbfa39135c0809cae, 0x55a22bcae42572f4,
  0x6be74078e56bae7b, 0xe107440842a41729, 0xf62aa8b49053840d, 0x612e65f36d8c4c76, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x5453c95fb9a19961,
  0x000000000eb37df0,
};

// pwm161_swio11_lednop_ee_ce_u4_hw  pwm161_swio12_lednop_ee_ce_hw     pwm161_swio12_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0x7a6fe421f7fd0a67, 0x7942e0e21f5c5f54, 0xf10d8488bee24b1e,
  0xb8aeb8c2ffa8f84b, 0xa76b736f7ccf1771, 0x6cc1e95ea3caca5c, 0x8b4c5315943f51f0, 0x2d8cb8e1386e1d7d,
  0x3abb73a51d484d7d, 0x1d79d3769111cdc7, 0x69af88e32b1aaf1b, 0x70decb65f380e3b1, 0x9676b13ca8d82264,
  0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x39135c0809caed52, 0x22bcae42572f4bfa, 0x74078e56bae7b55a,
  0x7440842a417296be, 0xaa8b49053840de10, 0xe65f36d8c4c76f62, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000014051a9d45,
};

/*
 * pwm161_swio11_dual_pr             pwm161_swio11_dual_pr_u4          pwm161_swio12_dual
 * pwm161_swio12_dual_pr             pwm161_swio12_dual_pr_u4
 */
static const uint64_t ur_pwm161_swio11_dual[] = {
  0x5c7bbbbb448664d6, 0x77ef89185ab83989, 0xabf751dc71a0b42f, 0x67ed609cefb4f5b4, 0x9d76cf9056e9895c,
  0x6c3bb3363c34032c, 0xc13e30120b657792, 0xf4a464121748eeb4, 0x30666df8bedf8575, 0x6ee774fc9f620614,
  0x514e0e4e6f9df995, 0xf838f737a8ebef60, 0x57f9fbe08a11c913, 0xb900001b87c28862, 0xa03e221955ddeef9,
  0xa039e136f7150865, 0x6adf3418bdb943ff, 0x7fbea7260b0de579, 0x3c8877cb0f9f22a5, 0xe32a38e9fc188bea,
  0x6f79cc580bac537e, 0xd9823af01a9da714, 0xcb3db5af07d500ff, 0xdd375f5ebebfc303, 0x791b5e5caad673d7,
  0x39d454aa35d15073, 0xe0404e576a96fabb, 0x7212b97a5fd1c89a, 0x72b5d73daad115e5, 0x21520b94b5f3a03c,
  0x4829c206f083a204, 0xdb6318ab7b15545a, 0xc6f86e3cd84b997c, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00524df8167459e4,
};

// pwm161_swio12_dual_pr_ee
static const uint64_t ur_pwm161_swio11_dual_pr_ee[] = {
  0x1586dddddd437089, 0x77ef89b2787dc1db, 0x6737421fda0dd02f, 0xa271d6c995c68bf4, 0xe16a3f005456c561,
  0x793d6555eeb69682, 0x0120b657792245dd, 0x0485d2379f4c13e3, 0x7e2fb7e15d7d2919, 0x3f27d881850c199b,
  0x3f30cdfe655bb9dd, 0x37a8e96b60168e06, 0xe08a11c913f831ad, 0x1b87c2886257f9fb, 0x655777bbe6e77580,
  0x18f8a8432d028a88, 0x17b79dbffa039e13, 0xc161bcaf2d5be683, 0xca2fc8a1fff7d4e4, 0x2bd4795efb9aad68,
  0xe2bb75ea3e0d9833, 0x1c270dc3afb169bb, 0x027e6909afa5b197, 0xb47a51cead2e50d7, 0x8d56ba1d7b19bb47,
  0xc071d8b4d004698d, 0xb047eb70decbbdd9, 0x5f5ebe00a32b5951, 0x5e5caad673d7dd37, 0x54aa35d15073791b,
  0x4e576a96fabb39d4, 0xb97a5fd1c89ae040, 0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xc206f083a2042152,
  0x18ab7b15545a4829, 0x6e3cd84b997cdb63, 0x666fe0eee3458f38, 0x2c970cf4c2b93f75, 0x332c3a4a5b3e04e3,
  0x0bf79d16792bf734, 0x000000000000190a,
};

// pwm161_swio12_dual_pr_ee_u4
static const uint64_t ur_pwm161_swio11_dual_pr_ee_u4[] = {
  0x36eeeed15b77880b, 0x7c4d93c3ee0ed8ac, 0xfa10fed06e817bbf, 0x6c995c68bc6736fa, 0xf005456c561a271d,
  0xd7939a75682e16a3, 0xaef2448bb849fe9a, 0x6f3e9827c602416c, 0xc2bafa5232090ba4, 0x030a183336fc5f6f,
  0xe65a5bf3ba7e4fb1, 0xb60168e063f30cdf, 0x913f831ad37a8e96, 0x86257f9fbe08a11c, 0xbe6e775801b87c28,
  0x32d028a88655777b, 0xffa039e1318f8a84, 0xf2d5be68317b79db, 0x7ffd190bcc161bca, 0xbee6ab5a328bf228,
  0x8f83660ccaf51e57, 0xebec5a6ef8aedd7a, 0x6be96c65c709c370, 0xab4b9435c09f9a42, 0x5ec66ed1ed1e9473,
  0x34011a636355ae87, 0x37b2ef76701c762d, 0x28cad6546c11fadc, 0x9cf5f74dd7d7af80, 0x541cde46d7972ab5,
  0xbeaece75152a8d74, 0x7226b8101395daa5, 0x45795c84ae5e97f4, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c,
  0x5516920a7081bc20, 0xe65f36d8c62adec5, 0x58df1726ae0f3612, 0xd4eaccdfc1fb7634, 0xffde1ef79430a9cf,
  0x0f327f81fc65f989, 0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x02b279f862ab2792,
};

// pwm161_swio12_dual_pr_ce
static const uint64_t ur_pwm161_swio11_dual_pr_ce[] = {
  0x53b77777b0486f97, 0xfbe2417d77f07764, 0x8ddfb476b2723bdd, 0x2202935d00d8befb, 0x379328bf75d914e1,
  0xaee78233ae3fa9d1, 0x9f180905b2bbc9e4, 0xa4641217484e3e60, 0x666df8bedf8575f4, 0xe774fc9f62061430,
  0x38757cd43ff9956e, 0xedd4dea3c72d81c1, 0xe7ef822847244fe0, 0x89006e1f0a21895f, 0x7a21955ddeef9b80,
  0x3c26eea2a10cb40c, 0xe68317b7ff9ff407, 0xd4e4c161bcaf2d5b, 0xb8bea63fe40d6ff7, 0xe24b1e7942e0e1c1,
  0xa8f84bf10d8488be, 0xccf1771b8cf9d67f, 0xfd47ea27b9633c4f, 0xb52bba8e3a7f0770, 0xa9da7146f79cc580,
  0x7d500ffd99e3af01, 0xfaff0c0f2d6e5af0, 0xab59cf5f74dd7d7a, 0xd74541cde46d7972, 0xaa5beaece75152a8,
  0x7f47226b8101395d, 0xab445795c84ae5e9, 0xd7ce80f1cad75cf6, 0xc20e881085482e52, 0xec55516920a7081b,
  0xc25ccbe6db1898ed, 0x1ddc68b2d5e371e6, 0x430a9cfd4eaccdfc, 0x03e687993fc09c69, 0xc6592e19e985727e,
  0x6866587494b67c09, 0x241d173a2cf257ee, 0x000000000000000d,
};

// pwm161_swio12_dual_pr_ce_u4
static const uint64_t ur_pwm161_swio11_dual_pr_ce_u4[] = {
  0x762777776890cf68, 0xdfbe2417957f0766, 0x71dd3b4d3a0dc71d, 0x89e4a52b53ecb56d, 0xb113d47c75f7599d,
  0x571bb9a3ea75ee1b, 0x9827c602416caef2, 0xbe948c8242e902a8, 0x860ccdbf17dbf0ae, 0xaddcee9f93ec40c2,
  0x34d9c22b4c35bf32, 0x7f06a7a6f51f7dec, 0x4aff3f7c11423922, 0x6e32180370f8510c, 0x6877488655777bbe,
  0xe80e784da5454219, 0xb56f9a0c5edc66ff, 0xbfdf53930586f2bc, 0xc60b717d7baf911c, 0x117dc4963cf285c1,
  0x2a3f51f097e21b09, 0x3f5933c5dc6e337d, 0x06b3fd470527b963, 0x62c05eeb248e3a7f, 0xebd1f3b6454707ce,
  0xf5f0eba4dc72c678, 0xe556b39ebee9bafa, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5, 0xd2fe8e44d7020272,
  0xed5688af2b9095cb, 0x594d8b3a03cfd6b9, 0x3182169ab9d5ea58, 0x4e1037841d1028be, 0xf86e3cd84b997cdb,
  0x3ab337f07771a2c6, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3,
  0xdcd0ccb0e9296cf8, 0x069274f67459e4af,
};

// pwm161_swio12_dual_pr_ee_ce
static const uint64_t ur_pwm161_swio11_dual_pr_ee_ce[] = {
  0x499f6b7777750c86, 0xdbbf7c4933bebf07, 0xd5ef74abcb1362b0, 0xa2945a9a7bdc26be, 0xec13262d12ed267d,
  0xeeec6ec782e62e66, 0x180905b2bbc9816e, 0xc8242e91e7ae609f, 0xdbf17dbf0aebe948, 0xe9f93ec40c2860cc,
  0x1fe4d883f32addce, 0x7e6f51c346c34d1c, 0xef822847244fe0ec, 0x006e1f0a21895fe7, 0x432abbbddf370617,
  0x9be74542196814b4, 0x18bdbe377fd01cf0, 0x260b0de5796adf34, 0x4652fe426dffbea7, 0xe7942e0e26d9dff5,
  0x984e771b8d07044f, 0x3caca1ca76b2b131, 0x05f51f06cc19ebea, 0x86e1d7d8b4c5315b, 0xd484d7d2d8cb8e13,
  0xe9182873abb74871, 0x6355e363af29a76e, 0xe038ec5a73723c8b, 0x318c8c8e1bd96e4c, 0xb39ebee9bafaf5f6,
  0x8a839bc8daf2e556, 0xb7d5d9cea2a551ae, 0x8e44d7020272bb54, 0x88af2b9095cbd2fe, 0x9d01e395aeb9ed56,
  0x1d10210a905ca5af, 0xaaa2d2414e103784, 0xb997cdb63131dbd8, 0xee3458f386e3cd84, 0x4c2b93f75666fe0e,
  0xa5b3e04e32c970cf, 0x6792bf734332c3a4, 0x0000004c100e59d1,
};

// pwm161_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_pwm161_swio11_dual_pr_ee_ce_u4[] = {
  0xfddddda2b6ec3000, 0xc4d8f1e1f071d72a, 0xb5c500c6a087bbf7, 0x0eaf6d3de6be8b37, 0xb123ae55fb2ae739,
  0x422f68f9c158234b, 0x7b3b832d654e0d3a, 0x827c602416caef24, 0x948c8242e91f1079, 0x0ccdbf17dbf0aebe,
  0xfcee9f93ec40c286, 0x70e5a999bff99696, 0x0fa6f51fb0761786, 0x7ef822847244fe0d, 0xf006e1f0a21895fe,
  0x4432abbbddf37138, 0x09b4dc54219681c1, 0x418bdb9257fd01cf, 0x5e60b0de5796adf3, 0x519c1f906b7fe8c8,
  0x3cf285e766b7717d, 0x97e21b09117dc496, 0xe3722314e3ff51f0, 0x694ed6e6d7c99e2e, 0xe0d983eebd4795e5,
  0xfb1698a62b95dea3, 0xfa5b1971c270dc3a, 0x8e7576e2863a909a, 0xd8ebd8cdda3da3d2, 0x8b4d004698d8d578,
  0x470decbbdd9c071d, 0xf167195aca8d8226, 0x56b39ebee9bafaf5, 0xae8a839bc8daf2e5, 0x54b7d5d9cea2a551,
  0xfe8e44d7020272bb, 0x5688af2b9095cbd2, 0xaf9d01e395aeb9ed, 0x841d10210a905ca5, 0xd8aaa2d2414e1037,
  0x84b997cdb63131db, 0x8d1637c5c9ab83cd, 0x73f53ab337f07edd, 0x627ff787bde50c2a, 0x3343cc9fe07f197e,
  0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x000080057058aac9,
};

// pwm161_swio12_dual_hw
static const uint64_t ur_pwm161_swio11_dual_hw[] = {
  0x5c7bbbbb4486ff3e, 0x77ef89185ab83989, 0xabf751dc71a0b42f, 0x67ed609cefb4f5b4, 0x7d76cf9056e9895c,
  0x24d87734f15ef6af, 0x69827c602416caef, 0xebe948c8242e91dd, 0x2860ccdbf17dbf0a, 0x2addcee9f93ec40c,
  0xc0a29c1c9cdf3bf3, 0x27f071ee6f51d7de, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb407c4432abbbdd,
  0xff4073c26dee2a10, 0xf2d5be68317b7287, 0x4aff7627cc161bca, 0xd47910ef961f3e45, 0xfdc65471d3f83117,
  0x28def398b01758a6, 0xffb30475e0353b4e, 0x07967b6b5e0faa01, 0xafba6ebebd7d7f86, 0xe6f236bcb955ace7,
  0x7673a8a9546ba2a0, 0x35c0809caed52df5, 0xcae42572f4bfa391, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xb49053840de10744, 0xf9b6c63156f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00031babf02a29e4,
};

// pwm161_swio12_dual_ee_hw
static const uint64_t ur_pwm161_swio11_dual_ee_hw[] = {
  0xc36eeeeea0a1a5fb, 0xf7c4d93c3ee0ed8a, 0x9ba10fed06e817bb, 0x38eb64cae345fa33, 0xb51f802a2b62b0d1,
  0xd2c8d75d2acb4170, 0x30120b657792245d, 0x90485d2379f4c13e, 0xb7e2fb7e15d7d291, 0xd3f27d881850c199,
  0x63f30cdfe655bb9d, 0xd37a8e96b60168e0, 0xbe08a11c913f831a, 0x01b87c2886257f9f, 0x8655777bbe6e7758,
  0x318f8a8432d028a8, 0x317b79dbffa039e1, 0xcc161bcaf2d5be68, 0x8ca2fc8a1fff7627, 0x32bd4795efb9aad6,
  0xbe2bb75ea3e0d983, 0x71c270dc3afb169b, 0x7027e6909afa5b19, 0x7b47a51cead2e50d, 0xd8d56ba1d7b19bb4,
  0x9c071d8b4d004698, 0x1b047eb70decbbdd, 0x75f5ebe00a32b595, 0xb5e5caad673d7dd3, 0x454aa35d15073791,
  0x04e576a96fabb39d, 0x2b97a5fd1c89ae04, 0x5d73daad115e5721, 0x20b94b5f3a03c72b, 0x9c206f083a204215,
  0x318ab7b15545a482, 0xc6e3cd84b997cdb6, 0x38d2861539fa9b0e, 0xe4fc07cd0f327f81, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x000057685fba29e4,
};

// pwm161_swio12_dual_ce_hw
static const uint64_t ur_pwm161_swio11_dual_ce_hw[] = {
  0x4eddddd0f5a1a5fb, 0xef8905f5dfc1dd91, 0x377ed1dac9c8ef77, 0x880a4d740362fbee, 0xde4ca2fdd7645384,
  0x92bba591aeba5584, 0x827c602416caef27, 0xd29190485d2138f9, 0xc199b7e2fb7e15d7, 0xbb9dd3f27d881850,
  0x04e1d5f350ffe655, 0x83b7537a8f1cb607, 0x7f9fbe08a11c913f, 0x022401b87c288625, 0x31e88655777bbe6e,
  0x1cf09bba8a8432d0, 0x6f9a0c5edffe7fd0, 0xdd89f30586f2bcb5, 0x06e2fa98ff9035bf, 0xfb892c79e50b8387,
  0x7ea3e12fc4361222, 0x3f33c5dc6e4c333e, 0xc3f51fa89ee58cf1, 0x02d4aeea38e9fc1d, 0x06a769c51bde7316,
  0xc1f5403ff6678ebc, 0xebebfc303cb5b96b, 0xcaad673d7dd375f5, 0xa35d15073791b5e5, 0x76a96fabb39d454a,
  0xa5fd1c89ae0404e5, 0xdaad115e57212b97, 0x4b5f3a03c72b5d73, 0x6f083a20421520b9, 0xb7b15545a4829c20,
  0x9b09732f9b6c6263, 0x861539fa97ab8dc7, 0xc9fe2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000004dd4745a29e,
};

// pwm161_swio12_dual_ee_ce_hw
static const uint64_t ur_pwm161_swio11_dual_ee_ce_hw[] = {
  0xb5272dddddd432db, 0x6efdf124cf337c1c, 0xfc3baeb79f6758ed, 0xb0dd773683f366f5, 0x5ec1f2d12ecb5272,
  0xee3822acd33aabdf, 0xf180905b2bbc929c, 0x32090ba471e4e609, 0x36fc5f6fc2bafa52, 0xba7e4fb1030a1833,
  0x1aee643efccab773, 0xa26f51dfe6c3101c, 0xf7c114239227f061, 0x00370f8510c4aff3, 0x10caaeef77cdc0b2,
  0x262eb150865a1811, 0x062f6f787ff4073c, 0xf982c3795e5ab7cd, 0x51e04f916b7feec4, 0xf9e50b8396b677fd,
  0x9309cee3719cba3f, 0x4795e5694ed6562f, 0x95dea3e0d983eebd, 0x70dc3afb1698a62b, 0x3a909afa5b1971c2,
  0x3da3d28e7576e286, 0xd8d578d8ebd8cdda, 0x9c071d8b4d004698, 0x8d8226470decbbdd, 0xbafaf5f167195aca,
  0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8, 0x0272bb54b7d5d9ce, 0x95cbd2fe8e44d702, 0xaeb9ed5688af2b90,
  0x905ca5af9d01e395, 0x4e1037841d10210a, 0x3131dbd8aaa2d241, 0x86e3cd84b997cdb6, 0x64b867a615c9f9fd,
  0x9961d252d9f02719, 0x9e9c7453c95fb9a1, 0x0000000000000226,
};

// pwm161_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio11_dual_ee_ce_u4_hw[] = {
  0xafddddda28d06c4f, 0x7c4d8f1e1f071d72, 0xbb5c500c6a087bbf, 0x9ce43abdb4f6f9af, 0x8d2ec48eb957ecab,
  0xa7da16d1a3e70560, 0xd95de48f6776906d, 0x23e20f304f8c0482, 0x7e15d7d29190485d, 0x881850c199b7e2fb,
  0xffe65d849dd3f27d, 0xc1d85e19c396a666, 0xc913f8343e9bd47e, 0x886257f9fbe08a11, 0x77cdc4e3c01b87c2,
  0x865a070510caaeef, 0x5ff4073c26d37150, 0x5e5ab7cd062f6e49, 0xd6ffc03ee982c379, 0x0d6ee2faa3383f20,
  0x2fb892c79e37c307, 0xffea3e12fc436122, 0x7c99e2ee371705c3, 0xd4795e5694ed6e6d, 0xb95dea3e0d983eeb,
  0x270dc3afb1698a62, 0x63a909afa5b1971c, 0xa3da3d28e7576e28, 0x8d8d578d8ebd8cdd, 0xd9c071d8b4d00469,
  0xa8d8226470decbbd, 0x9bafaf5f167195ac, 0x8daf2e556b39ebee, 0xea2a551ae8a839bc, 0x20272bb54b7d5d9c,
  0x095cbd2fe8e44d70, 0x5aeb9ed5688af2b9, 0xa905ca5af9d01e39, 0x14e1037841d10210, 0x63131dbd8aaa2d24,
  0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3,
  0x6866587494b67c09, 0xebc8b205f4f257ee, 0x000000000000003a,
};

static const uint64_t ur_pwm161_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xeacb59f31f304f8c, 0x109df2dd27c8dbff, 0xd78e3a7f07cf7a8f, 0x9a398b016f74da52,
  0x630475e2e76b868c, 0x7972ab52b2bfee39, 0x52a8d74541cde46d, 0x76a96faa9bece751, 0xab57bd7d1c89ace5,
  0xb5cf6ab445795c84, 0x75380b2953e9de7e, 0x8bf714085a585cea, 0xf36d3840de107440, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x0002a45c0b2d4f25,
};

// pwm161_swio13_noled_pr_u4
static const uint64_t ur_pwm161_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xd07fe4195ffab567, 0xfe0fa0f51e5f1df2, 0x02cb29a3de951c74,
  0xa3e768851ef67316, 0x2934a807fecc11d7, 0x2ab57d6e07967b62, 0x8d74541cde46d797, 0x96faa9bece75152a,
  0x7bd7d1c89ace576a, 0xf6ab445795c84ab5, 0x8a53c34ef3e2d75c, 0x206f083a2041dd4d, 0x156f62aa8b4b689c,
  0xc1e6c25ccbe6d8c9, 0x03f2868b1be2e4d5, 0x9430a9cfd4eacc79, 0xfc65f989ffde1ef7, 0x0fdfb0cd0f327f81,
  0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x6080a792bf734332, 0x0000000000f9354d,
};

static const uint64_t ur_pwm161_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0xf9115bff56acf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc762d3f911c1fb1a,
  0x8fd6e1bd96cbe701, 0xaad402e9305aa360, 0x35d15073791b5e5c, 0x5beaa6fb39d454aa, 0xef5f47226b395daa,
  0xdaad115e57212ad5, 0x294f0d3bcf8b5d73, 0x81bc20e881077536, 0x55bd8aaa2d2da270, 0x079b09732f9b6324,
  0x7e50d1674f8b9357, 0x861539fa9d598f20, 0xc9fe2e7197e627f2, 0xae4fc73dffc1343c, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x000013af8c42029e,
};

static const uint64_t ur_pwm161_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x2be46fbffd5ab3f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8def39d5a5ea52e2, 0x55ae875eba9bb4e2, 0x71d8b4d6ba3b8763,
  0x27d6e1bd970e59c0, 0x3791b5e5caad571d, 0xb39d454aa35d1507, 0x26b395daa5beaa6f, 0xe57212ad5ef5f472,
  0xbcf8b5d73daad115, 0x881077536294f0d3, 0xa2d2da27081bc20e, 0x32f9b632455bd8aa, 0xc6f8b9357079b097,
  0xf53ab31e40fca1a2, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b,
  0xafdcd0ccb0e9296c, 0x00009d72cc2029e4,
};

// pwm161_swio13_noled_pr_ce_u4
static const uint64_t ur_pwm161_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xfaedff912bbff56a, 0x963cf192a77beee2, 0xf097e21b09117dc4,
  0xe2ee372e4492bf51, 0xa3cdd3dcb19fac99, 0xca9c638e9fc193de, 0x3b4428f7b398b014, 0xa5403ff6678ebd1f,
  0x6afadc0f2d6e1149, 0xe8a839bc8daf2e55, 0xf5537d9cea2a551a, 0xafa391359caed52d, 0x5688af2b90956af7,
  0xa7869de7c5aeb9ed, 0xde10744083ba9b14, 0xdec5551696d13840, 0x9b09732f9b63218e, 0xca1a2c6f8b935707,
  0xc2a73f53ab31e40f, 0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3,
  0x029e4afdcd0ccb0e, 0x000000006eba6802,
};

static const uint64_t ur_pwm161_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x297f23fe7fead59f, 0xf192a77ff0effaa3, 0x84e771b9950d07fc,
  0xcace1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x6e1d7d8b4c531597, 0x484d7d2d8cb8e138, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0x01c762d3f911c1fb, 0xb044c8e1bd96cbe7, 0x2e556a59f4982d51, 0x551ae8a839bc8daf,
  0xd52df5537d9cea2a, 0x6af7afa391359cae, 0xb9ed5688af2b9095, 0x9b14a7869de7c5ae, 0x3840de10744083ba,
  0x218edec5551696d1, 0x93571b09732f9b63, 0x63c81f943458f38b, 0xc970cf4c2b93f756, 0x2c3a4a5b2c944e32,
  0x97080a792bf73433, 0x00000000000534c7,
};

static const uint64_t ur_pwm161_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x3be435dfff535b3f, 0x42e0e35ddc5f547b, 0x0d8488bee24b1e79,
  0x5c170fffa8f84bf1, 0xb5b9b7be678bb8dc, 0x60cf5f51e5670e53, 0xa6298acbafa8f836, 0xc65c709c370ebec5,
  0x5db92b0ea426be96, 0xbce9bb7508f2439d, 0xfc88e0fd8d578d8e, 0xdecb65f380e3b169, 0xfa4c16a8d8226470,
  0x1cde46d7972ab52c, 0xbece75152a8d7454, 0xc89ace576a96faa9, 0x5795c84ab57bd7d1, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0xaa8b4b689c206f08, 0xb997cdb190c76f62, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x459e4afdcd0ccb0e,
  0x000000013f064e67,
};

static const uint64_t ur_pwm161_swio13_noled_hw[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xfe1c79f31f304f8c, 0xc4277cb749f236ff, 0xb5e38e9fc1f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x54aa35d15073791b, 0x5daa5beaa6fb39d4, 0x2ad5ef5f47226b39,
  0xad73daad115e5721, 0x9d4e02ca54fa779f, 0x22fdc5021696173a, 0x7cdb4e1037841d10, 0x5c9f9fd86ed84b99,
  0x64a271964b867a61, 0x5fb9a19961d252d9, 0x00004712e3b053c9,
};

static const uint64_t ur_pwm161_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe7c88adff429, 0x309fea3caca5cd56, 0xbbe2b287ea3e0d98,
  0x971c270dc3afb169, 0x65c6b26909afa5b1, 0x6ea11e4873ab4ba5, 0x0fd8d56ba1d79d37, 0x5f380e3b169fc88e,
  0xd51b047eb70decb6, 0xdaf2e556a0174982, 0xa2a551ae8a839bc8, 0xcaed52df5537d9ce, 0x0956af7afa391359,
  0x5aeb9ed5688af2b9, 0x3ba9b14a7869de7c, 0x6d13840de1074408, 0xdb1922adec555169, 0x82ec6e3cd84b997c,
  0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1, 0x09c6592e19e985f1, 0xee6866587494b67c,
  0x0016ffe49d14f257,
};

static const uint64_t ur_pwm161_swio13_noled_ce_hw[] = {
  0xbdeeeeeed121be4a, 0xf8eed55e11069c48, 0xde91fdddb6ebd83d, 0x7b3fd7f1f3f60cf1, 0xb55f040f5c90dd2f,
  0x905b2bbc9dd29475, 0xe8533fb3a609f180, 0xeee2faedff912bbf, 0xfb892c79e50b839b, 0x7ea3e12fc4361222,
  0x5933c5dc6e1adcc3, 0x27bd479ba7b9633f, 0x60299538c71d3f83, 0x7a3e768851ef6731, 0x22934a807feccf1d,
  0x5caad5f5b81e5adc, 0xaa35d15073791b5e, 0xaa5beaa6fb39d454, 0xd5ef5f47226b395d, 0x73daad115e57212a,
  0x36294f0d3bcf8b5d, 0x7081bc20e8810775, 0x431dbd8aaa2d2da2, 0x1b8f3612e65f36c6, 0xf7bca1854e7ea0bb,
  0xfc0fe32fcc4ffef0, 0x5fe07efd86687993, 0x964b867a617c68f4, 0x19961d252d9f0271, 0x36f927453c95fb9a,
  0x00000000000000eb,
};

// pwm161_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ecef90d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xf62d314c565d7d47, 0xf4b632e384e1b875,
  0x1ceaedc958752135, 0x6c75e74ddba84792, 0x8b4fe44707ec6abc, 0x2386f65b2f9c071d, 0xa967d260b546c113,
  0xa2a0e6f236bcb955, 0xd54df673a8a9546b, 0xbe8e44d672bb54b7, 0x5a22bcae4255abde, 0x9e1a779f16bae7b5,
  0x7841d1020eea6c52, 0x7b15545a5b44e103, 0x6c25ccbe6d8c863b, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x728a792bf734332c, 0x0000000000140432,
};

static const uint64_t ur_pwm161_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xf565acfc069827c6, 0xc90ef96e93e407bf, 0x98c71d3f83e7bd47, 0xe90e62c05bdd3750,
  0x2c608ebc5cec22a3, 0xaf2e556a5660bdc7, 0x2a551ae8a839bc8d, 0xaed52df5537d9cea, 0x24bfa39135c0809c,
  0x3daad115e57212b9, 0x52d794e02e740797, 0x5f45021695844c2f, 0x6da7081bc20e8814, 0x4fcfec376c25ccbe,
  0x5138cb25c33d30ae, 0xdcd0ccb0e9296cb2, 0x00a93eb165a9e4af,
};

// pwm161_swio13_lednop_pr_u4
static const uint64_t ur_pwm161_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0xa0ffc831fffab567, 0xfe0fa0f51f4a3be5, 0x05965340609f1c74,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6ba2a0e6f236bcb9, 0xb7d54df673a8a954,
  0x8e44d7020272bb54, 0x445795c84ae492fe, 0xce80f1cad75cf6ab, 0x0e881085482e52d7, 0x55516920a7081bc2,
  0x2e65f36d02a2adec, 0x458df1726ae0f361, 0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00007c9ff5404053,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x7c8383ffab567e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe3b169cdc8f22d8d,
  0x47eb70decb65f380, 0x2ab50084526951b0, 0x8d74541cde46d797, 0x96faa9bece75152a, 0xd1c89ae0404e576a,
  0x688af2b9095c925f, 0xf9d01e395aeb9ed5, 0x41d10210a905ca5a, 0x8aaa2d2414e10378, 0x25ccbe6da05455bd,
  0x4596af2e4d5c1e6c, 0xe7ea75663c81f943, 0x3cc9fe04e34a1854, 0x70cf4c2b93f01f34, 0xc3a4a5b3e04e32c9,
  0x1080a792bf734332, 0x000000000009d7c2,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46657c8383ffab56, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x5c5133484d7d2d8c, 0x5f11c4273ab4bafb, 0x6c6ab5d0ebd75376, 0x9c071d8b4c6fa311,
  0xe167fd6e1bd970e5, 0xa0e6f236bcb955aa, 0x4df673a8a9546ba2, 0xd7020272bb54b7d5, 0x95c84ae492fe8e44,
  0x01e7eb5cf6ab4457, 0x5ceaf52c2ca6c59d, 0x074409cfa2810b4d, 0x12e65f36d3840de1, 0x3458df1726ae0f36,
  0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000009d74d00405,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xf1ad304f8c0482d9, 0x5dbff234dffead59, 0xc79e3254ef675c5f, 0x12fc4361222fb892,
  0x5dc6e2545c8fea3e, 0x79c67b9633f5933c, 0xe7ac71d3f8327bd4, 0xcbe238c8e62c0531, 0x500ffd99e3af47ce,
  0x70e40f2d6e1bf70d, 0xa839bc8daf2e556b, 0x537d9cea2a551ae8, 0x35c0809caed52df5, 0xe57212b924bfa391,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x5a4829c206f083a2, 0xf9b681463b7b1554, 0xf8b9357079b09732,
  0xd598f207e50d1674, 0x7e627f2861539fa9, 0xfc1343cc9fe2e719, 0x5c33d30ae4fc73df, 0xb0e9296cf8138cb2,
  0x782029e4afdcd0cc, 0x00000000000375fa,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f5f91813ff56a, 0x4b1e78c953bcad71, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x47c927b9633f19cc, 0xe8148e3a7f0621fd, 0xecf7a3b58e62c05e, 0x845dc72c678ebc5c,
  0x0e6f236bcb955a8e, 0xdf673a8a9546ba2a, 0x7020272bb54b7d54, 0x5c84ae492fe8e44d, 0x1cad75cf6ab44579,
  0x085482e52d7ce80f, 0x920a7081bc20e881, 0x6da0518edec55516, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be,
  0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04,
  0x75eaca080a792bf7, 0x0000000000000003,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94bf909b7ffab567, 0xf192a769b677fd51, 0x84e771b8a49cdffc,
  0xcaca1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x6e1d7d8b4c5315b0, 0x484d7d2d8cb8e138, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0x01c762d39b91e45b, 0xb044c8e1bd96cbe7, 0x972ab52cc4526951, 0x2a8d74541cde46d7,
  0x6a96faa9bece7515, 0x5fd1c89ae0404e57, 0xd5688af2b9095c92, 0x5af9d01e395aeb9e, 0x7841d10210a905ca,
  0xbd8aaa2d2414e103, 0xd84b997cdb40a31d, 0xfca1a2c79c5c9ab8, 0x7a615c9fbab31e40, 0x52d964a271964b86,
  0x53c95fb9a19961d2, 0x000000029a78d840,
};

static const uint64_t ur_pwm161_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0x677c8149ffd4d6cf, 0x942e0e0a4b8bea8f, 0x10d8488bee24b1e7,
  0x8cf5fad5fa8f84bf, 0x76b736f7ccf1771b, 0xcc19ebea3caca1ca, 0xb4c5315b05f51f06, 0xd8cb8e1386e1d7d8,
  0xabb74871d484d7d2, 0xd79d376ee9182873, 0x39b91e45b1aaf1b1, 0x1bd96cbe701c762d, 0xcc4526951b044c8e,
  0x41cde46d7972ab52, 0x9bece75152a8d745, 0xae0404e576a96faa, 0x2b9095c925fd1c89, 0xe395aeb9ed5688af,
  0x210a905ca5af9d01, 0xd2414e1037841d10, 0xcdb40a31dbd8aaa2, 0x2c6f86e3cd84b997, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x00027e03c9e7459e,
};

static const uint64_t ur_pwm161_swio13_lednop_hw[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xff0e3cfc069827c6, 0xf243be5ba4f901ef, 0x2631c74fe0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546ba2a0e6f23, 0x2bb54b7d54df673a, 0x492fe8e44d702027,
  0xcf6ab445795c84ae, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0x9b69c206f083a205, 0x93f3fb0ddb09732f,
  0x944e32c970cf4c2b, 0xf734332c3a4a5b2c, 0x0011c5f5f60a792b,
};

static const uint64_t ur_pwm161_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f3e41c1ffa14, 0x184ff51e56a7a6ab, 0xddf15e04f51f06cc,
  0xcb8e1386e1d7d8b4, 0x3ae3593484d7d2d8, 0xb7748c1439d5a5e4, 0x916c6ab5d0ebce9b, 0x2f9c071d8b4e6e47,
  0x4a8d823f5b86f65b, 0x36bcb955a8042293, 0xa8a9546ba2a0e6f2, 0x72bb54b7d54df673, 0xe492fe8e44d70202,
  0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x081bc20e88108548, 0xa2adec55516920a7, 0xb8f3612e65f36d02,
  0x7bca1854e7ea0bb1, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xf3539453c95fb9a1, 0x000000000000005b,
};

static const uint64_t ur_pwm161_swio13_lednop_ce_hw[] = {
  0xbdeeeeeed121af43, 0xf8eed55e11282c48, 0x6f7e9eec01e9583d, 0xbd9febf8f8d33f6a, 0xb765345a8ac86e97,
  0x905b2bbc9dd69df6, 0xe8533e35a609f180, 0x3ae2faedff91a6ff, 0xfb892c79e50b839b, 0xfea3e12fc4361222,
  0xb2678bb8dce5a66f, 0x4f7a8f38cf72c67e, 0x80a63cf58e3a7f06, 0xe8f9d97c47191cc5, 0x7ee1aa01ffb33c75,
  0xcaad6e1c81e5adc3, 0xa35d15073791b5e5, 0xa5beaa6fb39d454a, 0xf47226b8101395da, 0x5a22bcae42572497,
  0xbe74078e56bae7b5, 0x107440842a417296, 0x62aa8b49053840de, 0x12e65f36d028c76f, 0x854e7ea0bb1b8f36,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x453c95fb9a19961d,
  0x00000000759b00ad,
};

// pwm161_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9df20527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0x7d8b4c5315b05f51, 0x7d2d8cb8e1386e1d,
  0x873abb74871d484d, 0x1b1d79d376ee9182, 0x62d39b91e45b1aaf, 0xc8e1bd96cbe701c7, 0xb52cc4526951b044,
  0x74541cde46d7972a, 0xfaa9bece75152a8d, 0xc89ae0404e576a96, 0x8af2b9095c925fd1, 0xd01e395aeb9ed568,
  0xd10210a905ca5af9, 0xaa2d2414e1037841, 0x997cdb40a31dbd8a, 0x39fa82ec6e3cd84b, 0x313ffbc3def28615,
  0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00000050103c9d14,
};

// pwm161_swio13_dual_pr             pwm161_swio13_dual_pr_u4
static const uint64_t ur_pwm161_swio13_dual[] = {
  0x67bbbbbb44860aac, 0x5eefdf123235707a, 0x6efdeec4e1234168, 0xb8cfdf4e4e5b29a7, 0xe093ecb11dadda66,
  0x24d8777d5e59113c, 0x89827c602416caef, 0xebe948c8242e90ea, 0x2860ccdbf17dbf0a, 0x2addcee9f93ec40c,
  0xc0a29c1c9cdf3bf3, 0x27f071ee6f51d7de, 0xc4aff3f7c1142392, 0xe6e21f00370f8510, 0x9680f888655777bb,
  0xfe80e784dbdc5421, 0xe5ab7cd062f6ec17, 0x8bfefa9c982c3795, 0x51fba3be596bfc82, 0x930f71c74fe0f7bf,
  0x46989cc580bac533, 0xfd9823af01a9d900, 0x1e59edbde37d500f, 0x5f74dd7d7af9f3a8, 0xcde46d7972ab59cf,
  0xece75152a8d74541, 0x0404e576a96faa9b, 0x9095c925fd1c89ae, 0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3,
  0x414e1037841d1021, 0xda05455bd8aaa2d2, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f,
  0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67, 0x029262a733a2cf25,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ee[] = {
  0xa0addddddd435202, 0x2f77ef89b260fb83, 0xedf5f74b56ca0dd0, 0x0d1395f210d77bad, 0x27dc201802a2a0ab,
  0x7390eb68b8bf35f2, 0x8c0482d95de48917, 0xc8242e9063d7304f, 0xdbf17dbf0aebe948, 0xe9f93ec40c2860cc,
  0x31f9866ff32addce, 0x69bd474b5b00b470, 0xdf04508e489fc18d, 0x00dc3e144312bfcf, 0x432abbbddf371d50,
  0x98c7c54219681454, 0x0c5eddfe7fd01cf0, 0x930586f2bcb56f9a, 0xd1feef9016bfdf53, 0xc3dfa8f2bb75355a,
  0xef8af4dfa8f83660, 0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x63d19ea73ab4bb05, 0x36355ae875ec66ec,
  0x6701c762d3d291c4, 0x46c11fadc37b2ef7, 0xbafaf5f005914455, 0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8,
  0xcaed52df5537d9ce, 0x924bfa39135c0809, 0x73daad115e57212b, 0xb94b5f3a03c72b5d, 0x206f083a20421520,
  0x8ab7b15545a4829c, 0xe3cd84b997cdb40a, 0x66fe0eee3458f386, 0xc970cf4c2b93f756, 0x32c3a4a5b3e04e32,
  0xf2f9d16792bf7343, 0x00000000000190a0,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed15b779231, 0xbf7c4d9307dc1d05, 0x369a5ab6506e817b, 0xaf9086bbdd6efafb, 0x00c015150558689c,
  0xa74e43dad5913ee1, 0xb2bbc9122eeffe19, 0x20c7ae609f180905, 0x7e15d7d29190485d, 0x881850c199b7e2fb,
  0xff32d2df9dd3f27d, 0xb5b00b47031f9866, 0xe489fc18d69bd474, 0x44312bfcfdf04508, 0xddf371d5000dc3e1,
  0x219681454432abbb, 0xe7fd01cf098c7c54, 0x2bcb56f9a0c5eddf, 0x05aff4642f30586f, 0xaedd4d56b47fbbe4,
  0xea3e0d9830f7ea3c, 0xc3afb169bbe2bd37, 0x09afa5b1971c270d, 0xcead2ec157027e69, 0x1d7b19bb18f467a9,
  0xb4f4a4710d8d56ba, 0x70decbbdd9c071d8, 0x0164511551b047eb, 0xace7afba6ebebd7c, 0xa2a0e6f236bcb955,
  0xd54df673a8a9546b, 0x44d7020272bb54b7, 0x5795c84ae492fe8e, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x516920a7081bc20e, 0x65f36d02a2adec55, 0x8df1726ae0f3612e, 0x4eaccdfc1fb76345, 0xfde1ef79430a9cfd,
  0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x1592535a2ab2792b,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ce[] = {
  0xb6eeeeef6090cf68, 0x77ef8905fb37c1de, 0xd0777650f6c9c8ef, 0x848b62eed13f3ef6, 0xc3e42175bdd7ac53,
  0x2bb9a3ea7599b6ec, 0x27c602416caef279, 0x29190485d22c9398, 0x199b7e2fb7e15d7d, 0xb9dd3f27d881850c,
  0x4e1d5f350ffe655b, 0x3b7537a8f1cb6070, 0xf9fbe08a11c913f8, 0x37c01b87c2886257, 0x1e88655777bbe6e7,
  0xcf09bba8a8432d03, 0xf3418bdbeed7fd01, 0xea7260b0de5796ad, 0xae2fabf9f20e0ffb, 0xb892c79e50b8384e,
  0xea3e12fc4361222f, 0xe678bb8dc66fa547, 0xbd4709f3dcb19e27, 0xa5176fc71d3f83b5, 0xa9d90046989cc580,
  0x7d500ffd99e3af01, 0xbe7cea0796b73de3, 0xaad673d7dd375f5e, 0x35d15073791b5e5c, 0x5beaa6fb39d454aa,
  0x47226b8101395daa, 0xa22bcae42572497f, 0xe74078e56bae7b55, 0x07440842a417296b, 0x2aa8b49053840de1,
  0x2e65f36d028c76f6, 0xee34596af1b8f361, 0x854e7ea75666fe0e, 0xf343cc9fe04e34a1, 0x2c970cf4c2b93f01,
  0x332c3a4a5b3e04e3, 0x4faf9d16792bf734, 0x0000000000000d24,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ce_u4[] = {
  0xe1bb777776890c86, 0xe3bbf7c482fdfbe0, 0x5b5dfba3dac341b8, 0xdd62792bb2db178d, 0x83cc50b201a2fdd0,
  0x7792b8ddddd8dd96, 0x9c7cc13e30120b65, 0x0aebe948c8242e90, 0x0c2860ccdbf17dbf, 0xf32addcee9f93ec4,
  0xdec34d9c22b4c35b, 0x9227f06a7a6f51f7, 0x10c4aff3f7c11423, 0xbbe6e5c880370f85, 0x2196877488655777,
  0xf3fe80e784da5454, 0x95e5ab7cd062f6ff, 0x81adfefa9c982c37, 0x5c1c53d717d76ffc, 0xb09117dc4963cf28,
  0xacd90ff51f097e21, 0xcb19fac99e2ee373, 0xd3f8327bd4797d3d, 0x7ce62c05dbebe471, 0x33c75e8f9d87c463,
  0xafaf5f0eae1ee396, 0xaf2e556b39ebee9b, 0x2a551ae8a839bc8d, 0xaed52df5537d9cea, 0x24bfa39135c0809c,
  0x3daad115e57212b9, 0x0b29b1674079fad7, 0xc63042d3573abd4b, 0x69c206f083a204e7, 0xdf0dc79b09732f9b,
  0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x0069240ace8b3c95,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ee_ce[] = {
  0x39ceddddddd432db, 0xc36efdf124cf0fb8, 0xf7eafbbbf7d76d8a, 0x3bed14a8d5b93135, 0xa6d0671c2d689767,
  0x0b771c11560f0cce, 0x04f8c0482d95de4c, 0x29190485d204f273, 0x199b7e2fb7e15d7d, 0xb9dd3f27d881850c,
  0xa383fc9b107e655b, 0x1d8fcdea3868d869, 0xfcfdf04508e489fc, 0x52200dc3e144312b, 0x9688655777bbe6e0,
  0x9e137ce8a8432d02, 0xe68317b7986ffa03, 0xd4e4c161bcaf2d5b, 0xff54650fe4620ff7, 0x8ffe7942e0e18f9d,
  0x898cc273b8dc672e, 0x8f51e5650e53b595, 0x8add2fa8f83660fa, 0x709c370ebec5a629, 0x2b0ea426be96c65c,
  0x3b2008c1439d5db9, 0xe45b1aaf1b1d794d, 0x726701c762d37bd1, 0x5f631b866470decb, 0x556b39ebee9bafaf,
  0x1ae8a839bc8daf2e, 0x2df5537d9cea2a55, 0xa39135c0809caed5, 0xd115e57212b924bf, 0xb1674079fad73daa,
  0x42d3573abd4b0b29, 0x06f083a204e7c630, 0xc79b09732f9b69c2, 0xcdfc1ddc68b1e70d, 0x92e19e985727eeac,
  0x6587494b67c09c65, 0x93b3a2cf257ee686, 0x000000000001304e,
};

static const uint64_t ur_pwm161_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ed022f, 0xfbe26c7cb2707a2f, 0x536bbd13e35043dd, 0xdfc2b8b1f82cde98, 0x4bb1345e55fb2aab,
  0x3f2b8feec782e3fb, 0x247b3bb69f211789, 0xe9827c602416caef, 0x5f4a464121748a46, 0x430666df8bedf857,
  0x4b7e774fc9f62061, 0xc33872d4ccdffccb, 0x0687d37a8fd83b0b, 0xff3f7c114239227f, 0x64980370f8510c4a,
  0xe0a21955ddeef9b9, 0xe784da6e2a10cb40, 0xf9a0c5edd9cbfe80, 0x642f30586f2bcb56, 0xbea8c9d7c8bc3ff4,
  0x4b1e7942f3bbc3b8, 0xf84bf10d8488bee2, 0x8bb8dc1545927fa8, 0x72ba53b5b9b5f267, 0x51f06cc1edff51e5,
  0x1d7d8b4c5315efbf, 0x4d7d2d8cb8e1386e, 0x9ea73abb73051d48, 0xbc6c75ec66ec63d1, 0x8ec5a7a523886c6a,
  0x132386f65deece03, 0xf5f16791445546c1, 0xe556b39ebee9bafa, 0x51ae8a839bc8daf2, 0x52df5537d9cea2a5,
  0xfa39135c0809caed, 0xad115e57212b924b, 0x5f3a03c72b5d73da, 0x083a20421520b94b, 0xb15545a4829c206f,
  0x09732f9b681463b7, 0x1a2c6f8b9357079b, 0xe7ea75666fe0fdbb, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc,
  0x17c68f45fe07efd8, 0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x0001000a9ad15593,
};

static const uint64_t ur_pwm161_swio13_dual_hw[] = {
  0x67bbbbbb4486dd9e, 0x5eefdf123235707a, 0x6efdeec4e1234168, 0xb8cfdf4e4e5b29a7, 0xe2d3ecb11dadda66,
  0xef24d8770fcabdea, 0xea89827c602416ca, 0x0aebe948c8242e90, 0x0c2860ccdbf17dbf, 0xf32addcee9f93ec4,
  0xdec0a29c1c9cdf3b, 0x9227f071ee6f51d7, 0x10c4aff3f7c11423, 0xbbe6e21f00370f85, 0x219680f888655777,
  0x17fe80e784dbdc54, 0x95e5ab7cd062f6ec, 0x828bfeec4f982c37, 0xbf51fba3be596bfc, 0x33930f71c74fe0f7,
  0x0046989cc580bac5, 0x0ffd9823af01a9d9, 0xa81e59edbde37d50, 0xcf5f74dd7d7af9f3, 0x41cde46d7972ab59,
  0x9bece75152a8d745, 0xae0404e576a96faa, 0x2b9095c925fd1c89, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0xd2414e1037841d10, 0xe6da05455bd8aaa2, 0xd4176371e6c25ccb, 0xffde1ef79430a9cf, 0x0f327f81fc65f989,
  0x8d1e8bfc0fdfb0cd, 0xe04e32c970cf4c2f, 0xbf734332c3a4a5b3, 0x000c6ea2a728a792,
};

static const uint64_t ur_pwm161_swio13_dual_ee_hw[] = {
  0x0addddddd41432db, 0xf77ef89b260fb83a, 0xdf5f74b56ca0dd02, 0xd1395f210d77bade, 0x7dc201802a2a0ab0,
  0x8bb8e08ab34ceb22, 0x27c602416caef244, 0xa46412174831eb98, 0x666df8bedf8575f4, 0xe774fc9f62061430,
  0x3818fcc337f9956e, 0xc6b4dea3a5ad805a, 0xe7ef822847244fe0, 0xa8006e1f0a21895f, 0x2a21955ddeef9b8e,
  0x784c63e2a10cb40a, 0xcd062f6eff3fe80e, 0xc4f982c3795e5ab7, 0xad68ff77c80b5fee, 0x3061efd4795dba9a,
  0xd377c57a6fd47c1b, 0x632e384e1b875f62, 0x82ae04fcd2135f4b, 0x7631e8cf539d5a5d, 0xe21b1aad743af633,
  0x7bb380e3b169e948, 0x2aa3608fd6e1bd97, 0x74dd7d7af802c8a2, 0xe46d7972ab59cf5f, 0xe75152a8d74541cd,
  0x04e576a96faa9bec, 0x95c925fd1c89ae04, 0xaeb9ed5688af2b90, 0x905ca5af9d01e395, 0x4e1037841d10210a,
  0x05455bd8aaa2d241, 0x6371e6c25ccbe6da, 0x9c69430a9cfd4d87, 0x727e03e687993fc0, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00002bb43cbd14f2,
};

static const uint64_t ur_pwm161_swio13_dual_ce_hw[] = {
  0xadbbbbba1eb432db, 0xddfbe2417ecdf077, 0xb41ddd943db2723b, 0xe122d8bbb44fcfbd, 0xb0f9085d6f75eb14,
  0x2792bb8e08ab34ce, 0x39827c602416caef, 0xd7d29190485d22c9, 0x50c199b7e2fb7e15, 0x55bb9dd3f27d8818,
  0x0704e1d5f350ffe6, 0x3f83b7537a8f1cb6, 0x257f9fbe08a11c91, 0x6e737c01b87c2886, 0xd031e88655777bbe,
  0xd01cf09bba8a8432, 0x6adf3418bdbeed7f, 0xffbb13e60b0de579, 0x84eae2fabf9f20e0, 0x22fb892c79e50b83,
  0x6ffea3e12fc43612, 0xe27e678bb8dce5a6, 0x3b5bd4709f3dcb19, 0x580a5176fc71d3f8, 0xf01a9d90046989cc,
  0xde37d500ffd99e3a, 0xf5ebe7cea0796b73, 0xe5caad673d7dd375, 0x4aa35d15073791b5, 0xdaa5beaa6fb39d45,
  0x97f47226b8101395, 0xb55a22bcae425724, 0x96be74078e56bae7, 0xde107440842a4172, 0x6f62aa8b49053840,
  0x3612e65f36d028c7, 0x0c2a73f52f571b8f, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000013754faf453c,
};

static const uint64_t ur_pwm161_swio13_dual_ee_ce_hw[] = {
  0x78d5bbbbbba86f97, 0xb5bbf7c4933fabf0, 0x9aa31ddad1579d63, 0x395864fbb0419cc9, 0x595edc2d689771a9,
  0x9cee78233ad53a5c, 0x09f180905b2bbc92, 0x5232090ba409e4e6, 0x3336fc5f6fc2bafa, 0x73ba7e4fb1030a18,
  0x1c1aee643efccab7, 0x61a26f51dfe6c310, 0xf3f7c114239227f0, 0x3f80370f8510c4af, 0x2221955ddeef9b9c,
  0x784c5d62a10cb430, 0x9a0c5ede61bfe80e, 0x89f30586f2bcb56f, 0xfd51e56f91883fdd, 0x07fcf285c1cc4077,
  0x17c984e771b9950d, 0xfea3cae574a76b2b, 0x2bdf7ea3e0d983db, 0xc270dc3afb1698a6, 0x0a3a909afa5b1971,
  0xd8c7a33d4e7576e6, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4f4a47, 0xaa8d8226470decbb, 0xd375f5ebe2cf2288,
  0x91b5e5caad673d7d, 0x9d454aa35d150737, 0x1395daa5beaa6fb3, 0x572497f47226b810, 0xbae7b55a22bcae42,
  0x417296be74078e56, 0x3840de107440842a, 0x28c76f62aa8b4905, 0x1b8f3612e65f36d0, 0x92e19e985727e7f6,
  0x6587494b67c09c65, 0xd3b7514f257ee686, 0x0000000000000044,
};

static const uint64_t ur_pwm161_swio13_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d0421f, 0xdfbe26c7cb2707a2, 0x6f76bbd13e35043d, 0x555efe15c58fcd16, 0x1fda5d89a2f2afd9,
  0xc16d342027763c17, 0x05b2bbc91ecee2fa, 0x5d2291ba609f1809, 0xfb7e15d7d2919048, 0x7d881850c199b7e2,
  0x66ffe65d849dd3f2, 0x7ec1d85e19c396a6, 0x11c913f8343e9bd4, 0xc2886257f9fbe08a, 0xef77cdcb24c01b87,
  0x50865a070510caae, 0xce5ff4073c26d371, 0x795e5ab7cd062f6e, 0x22f0ffc03ee982c3, 0x072f0ee2faa3275f,
  0x222fb892c79e37c3, 0xcf5fea3e12fc4361, 0x6d7c99e2ee3702c8, 0x7fd4795cae94ed6e, 0xc57befd47c1b307b,
  0x384e1b875f62d314, 0xc14752135f4b632e, 0xbb18f467a9ceaedc, 0xe21b1aaf1b1d7b19, 0x7bb380e3b169e948,
  0x1551b044c8e1bd97, 0xba6ebebd7c59e451, 0xf236bcb955ace7af, 0x73a8a9546ba2a0e6, 0x0272bb54b7d54df6,
  0x4ae492fe8e44d702, 0xd75cf6ab445795c8, 0x482e52d7ce80f1ca, 0xa7081bc20e881085, 0x0518edec55516920,
  0x6371e6c25ccbe6da, 0x1ef79430a9cfd417, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e,
  0x4332c3a4a5b3e04e, 0xb1ff842fa792bf73, 0x00000000000003ae,
};

static const uint64_t ur_pwm161_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xd596b3f1ee609f18, 0x989df2dd07c8eebf, 0xf91c74fe0ebffa8e, 0x9e398b016f74c800,
  0xb1823af173b7488c, 0xbcb955a95821f71c, 0xa9546ba2a0e6f236, 0x4dcaed52df5673a8, 0x4256c7efe8e44d67,
  0x3f5ae7b55a22bcae, 0x753a9c0594a9f4ef, 0x2047978a042d2c2e, 0x32f9b69c206f083a, 0xc2b93f3fb0ddb097,
  0xb2c944e32c970cf4, 0x92bf734332c3a4a5, 0x000001525b8596a7,
};

// pwm161_swio14_noled_pr_u4
static const uint64_t ur_pwm161_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xf31f304f8c0482d9, 0xb6f7f236fffead59, 0x9fc1935ea382877c, 0xc05965307b40238e,
  0xf47cec98a3114e62, 0xd6279500ffd9823a, 0xe556a844c0f2cf6e, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0x5b1fbfa391359d37, 0xeb9ed5688af2b909, 0xa9b14a7869de7c5a, 0x13840de10744083b, 0x0862adec5551696d,
  0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x705080a792bf7343, 0x000000000000f935,
};

static const uint64_t ur_pwm161_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x3fe46ceffd5ab3e7, 0xea3cacbacd56b466, 0x594bf51f06cc1f51,
  0x1386e1d7d8b4ddf1, 0x593484d7d2d8cb8e, 0x8fe439d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x038ec5a710a3deec,
  0xc11fadc37b2d97ce, 0x5caad402e839e546, 0xaa35d15073791b5e, 0xe576a96fab39d454, 0x2b63f7f47226b3a6,
  0x5d73daad115e5721, 0x7536294f0d3bcf8b, 0xa27081bc20e88107, 0x610c55bd8aaa2d2d, 0x9ab83cd84b997cdb,
  0x7903f2868b3a7c5c, 0x3f9430a9cfd4eacc, 0xa1e64ff1738cbf31, 0xe985727e39effe09, 0x94b67c09c6592e19,
  0x14f257ee68665874, 0x000000009d781410,
};

static const uint64_t ur_pwm161_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0x6ffc895dffab567f, 0x7d4795fce9aad68f, 0x2b74bea3e0d9839c,
  0xc270dc3afb169bbe, 0xa266909afa5b1971, 0x46b5ce756975f6b8, 0x55ae875eba9bb4be, 0x1c762d31f11f4963,
  0x41f5b86f65c39670, 0xcde46d7972ab55c7, 0xace75152a8d74541, 0xc89ace9b95daa5be, 0x45795c84ad8fdfd1,
  0x34ef3e2d75cf6ab4, 0x83a2041dd4d8a53c, 0x2aa8b4b689c206f0, 0x2e65f36d843156f6, 0x458df1726ae0f361,
  0xe7ea75663c81f943, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000009d74d004053,
};

// pwm161_swio14_noled_pr_ce_u4
static const uint64_t ur_pwm161_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0x67f4dcc13e30120b, 0xbebdd7c8cadffab5, 0x258f3c64a9dcaeb8, 0x7c25f886c2445f71,
  0x78bb8dc643a4afd4, 0xa8ebe4f72c67eb26, 0xdf97d1c74fe0d67f, 0x764c5188a731602e, 0xca807feccf1d7a3e,
  0xd508981e5add6b13, 0xd15073791b5e5caa, 0xa96fab39d454aa35, 0xf7f47226b3a6e576, 0xdaad115e57212b63,
  0x294f0d3bcf8b5d73, 0x81bc20e881077536, 0x1dbd8aaa2d2da270, 0x79b09732f9b6c213, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x2029e4afdcd0ccb0, 0x000000000dd748bc,
};

static const uint64_t ur_pwm161_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x2ebf2066fff56acf, 0xe3254ec66ceffaa3, 0x09cee3719cba3ff9,
  0x95c8794ed6563df3, 0x7ea3e0d983d2bd47, 0xdc3afb1698a62b38, 0x909afa5b1971c270, 0xa3f90e7576e7263a,
  0x355e363af3a6ec7a, 0x01c762d38851ef76, 0xb044c8e1bd96cbe7, 0x972ab52cfa0e7951, 0x2a8d74541cde46d7,
  0xb95daa5beace7515, 0x4ad8fdfd1c89ace9, 0xd75cf6ab445795c8, 0xdd4d8a53c34ef3e2, 0x689c206f083a2041,
  0xb084c76f62aa8b4b, 0x2e4d5c6c25ccbe6d, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138,
  0x17ec2029e4afdcd0, 0x00000000000014d3,
};

static const uint64_t ur_pwm161_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x149304f8c0482d95, 0x37f22b7fffa9ad9f, 0xa17072b7ee2faa3d, 0x86c2445f71258f3c,
  0x3b76164fd47c25f8, 0xdadcdbdf33c5dc6e, 0x307a57a8f2b90f29, 0xd314c5670fd47c1b, 0x632e384e1b875f62,
  0xaedce4c752135f4b, 0x5e74dd8f547f21ce, 0x710a3deec6abc6c7, 0x37b2d97ce038ec5a, 0x9f41cf2a3608991c,
  0x839bc8daf2e556a5, 0x7d59cea2a551ae8a, 0xa391359d372bb54b, 0x688af2b9095b1fbf, 0x7869de7c5aeb9ed5,
  0xe10744083ba9b14a, 0xec5551696d13840d, 0x84b997cdb61098ed, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xe7459e4afdcd0ccb,
  0x00000000013f07ab,
};

static const uint64_t ur_pwm161_swio14_noled_hw[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfc38f3f1ee609f18, 0xa6277cb741f23baf, 0x3e471d3f83affea3, 0x278e62c05bdd3200,
  0x2c608ebc5cedd223, 0xaf2e556a56087dc7, 0x2a551ae8a839bc8d, 0xd372bb54b7d59cea, 0x9095b1fbfa391359,
  0xcfd6b9ed5688af2b, 0x9d4ea701652a7d3b, 0x8811e5e2810b4b0b, 0xccbe6da7081bc20e, 0x30ae4fcfec376c25,
  0x6cb25138cb25c33d, 0xe4afdcd0ccb0e929, 0x000000238addd829,
};

static const uint64_t ur_pwm161_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0xb5a331ff23677fd0, 0x60fa8f51e565d66a, 0xa6ef8aca5fa8f836,
  0xc65c709c370ebec5, 0xe4d71ac9a426be96, 0xdd8f547f21cead2e, 0x1ef76355ae875e74, 0x6cbe701c762d3885,
  0xcf2a3608fd6e1bd9, 0xc8daf2e556a01741, 0xcea2a551ae8a839b, 0x359d372bb54b7d59, 0xf2b9095b1fbfa391,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x51696d13840de107, 0xcbe6db0862adec55, 0xcfd4176371e6c25c,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x000000b7ff34e8a7,
};

static const uint64_t ur_pwm161_swio14_noled_ce_hw[] = {
  0xf26eeeeed12198e2, 0xfc776aaf088d2e24, 0x4f5a2ee933e3ec1e, 0x4d9febc6b9bb2b6d, 0xda75a82d0bc2b75e,
  0x482d95de4ee94e1e, 0xf4299fd37304f8c0, 0xaeb8bebdd7c8cadf, 0xbee24b1e7942e0e4, 0x7fa8f84bf10d8488,
  0xd64cf1771b9d8378, 0xacff51d7c9ee58cf, 0xc05dbf2fa38e9fc1, 0xf47cec98a3114e62, 0xd6279500ffd99e3a,
  0xb955aa11303cb5ba, 0x546ba2a0e6f236bc, 0xcaed52df5673a8a9, 0x56c7efe8e44d674d, 0xbae7b55a22bcae42,
  0xea6c529e1a779f16, 0x44e1037841d1020e, 0x84263b7b15545a5b, 0xb1b8f3612e65f36d, 0x0f7bca1854e7ea0b,
  0x3fc0fe32fcc4ffef, 0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xb364fc3453c95fb9,
  0x000000000000000e,
};

// pwm161_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0x547a6fe456fffd0a, 0x1e7942e0e56fdc5f, 0x4bf10d8488bee24b,
  0x71b86dd8523fa8f8, 0x3ca76b736f7ccf17, 0xf06cc1e95ea3cae4, 0x7d8b4c53159c3f51, 0x7d2d8cb8e1386e1d,
  0x873abb73931d484d, 0x1b1d79d3763d51fc, 0xb169c428f7bb1aaf, 0x6470decb65f380e3, 0x5a967d073ca8d822,
  0xba2a0e6f236bcb95, 0xd52df5673a8a9546, 0x7efe8e44d674dcae, 0x7b55a22bcae4256c, 0xc529e1a779f16bae,
  0x1037841d1020eea6, 0x63b7b15545a5b44e, 0x8f3612e65f36d842, 0xbca1854e7ea0bb1b, 0x0fe32fcc4ffef0f7,
  0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x1eaf453c95fb9a19, 0x0000000000000a02,
};

static const uint64_t ur_pwm161_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfd596b3f01a609f1, 0xf243be5ba0f901ef, 0x4c638e9fc1d7ff51, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x152a8d74541cde46, 0xe9b95daa5beace75, 0xe5f63d1c89ae0404,
  0x5cf6ab445795c84a, 0x2c2ca6c59d01e7eb, 0x2fa2810b4d5ceaf5, 0x36d3840de107440a, 0x27e7f61bb612e65f,
  0x289c6592e19e9857, 0xee6866587494b659, 0x00549f58b2d4f257,
};

// pwm161_swio14_lednop_pr_u4
static const uint64_t ur_pwm161_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xafb9827c602416ca, 0xb7bf911efff56acf, 0xfe0c9af51d003be5, 0x016594cfe7511c74,
  0xa3e76c9118df398b, 0xff48a807fecc11d7, 0x556b2ed40f2cf6e0, 0x1ae8a839bc8daf2e, 0xbb54b7d59cea2a55,
  0x7a39135c0809d372, 0x5688af2b9095cbec, 0xaf9d01e395aeb9ed, 0x841d10210a905ca5, 0xd8aaa2d2414e1037,
  0xc25ccbe6db18c55b, 0x868b1be2e4d5c1e6, 0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65,
  0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf, 0xa792bf734332c3a4, 0x000001f26721f080,
};

static const uint64_t ur_pwm161_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0xc7fc81adffab567d, 0x3d4795b059aad68c, 0x2b53dea3e0d983ea,
  0xc270dc3afb169bbe, 0x6b26909afa5b1971, 0x11cdc73ab4bba55c, 0x8d56ba1d79d37691, 0xc071d8b4d7c47195,
  0xd823f5b86f65b2f9, 0xcb955a8056b13ca8, 0x9546ba2a0e6f236b, 0xdcaed52df5673a8a, 0xfb1e8e44d7020274,
  0x7b55a22bcae42572, 0x296be74078e56bae, 0x0de107440842a417, 0x56f62aa8b4905384, 0x79b09732f9b6c631,
  0xe50d1674f8b93570, 0x61539fa9d598f207, 0x9fe2e7197e627f28, 0xe4fc73dffc1343cc, 0xf8138cb25c33d30a,
  0xafdcd0ccb0e9296c, 0x00004eb9902029e4,
};

static const uint64_t ur_pwm161_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x1edff9035bff56ac, 0x38fa8f2b90f355ad, 0x7c57fbbd47c1b307,
  0xe384e1b875f62d37, 0x7144cd2135f4b632, 0x2446989cead2f019, 0xb1aad743af5d4ddb, 0x701c762d383e8ed6,
  0x8c17f5b86f65c396, 0x839bc8daf2e556ab, 0x7d59cea2a551ae8a, 0x35c0809d372bb54b, 0xf2b9095cbec7a391,
  0xa03cfd6b9ed5688a, 0xab9d5ea58594d8b3, 0x20e88145f4502169, 0xc25ccbe6da7081bc, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0xa792bf734332c3a4, 0x000000275d22f080,
};

// pwm161_swio14_lednop_pr_ce_u4
static const uint64_t ur_pwm161_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0x567e394c13e30120, 0x8bebdd7c8b75ffab, 0x1258f3c64a9de9bb, 0x47c25f886c2445f7,
  0x678bb8dc24aca8fd, 0xf51e5f4f72c67eb2, 0xc7bd2a38e9fc1acf, 0xced92231be731602, 0x91500ffd99e3af47,
  0xb5976a0796b741fe, 0x74541cde46d7972a, 0xaa5beace75152a8d, 0x1c89ae0404e9b95d, 0x445795c84ae5f63d,
  0xce80f1cad75cf6ab, 0x0e881085482e52d7, 0x55516920a7081bc2, 0x5ccbe6db1898edec, 0x8b1be2e4d5c1e6c2,
  0xcfd4eacc7903f286, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c,
  0x92bf734332c3a4a5, 0x00001bae10b080a7,
};

static const uint64_t ur_pwm161_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0xcbafc80d1ffab567, 0x3c64a9d8683bfea8, 0xc273b8dc6838227f,
  0xe5652e53b5958f7c, 0x1fa8f83660f4af51, 0x370ebec5a6298aca, 0xa426be96c65c709c, 0x88e6e39d5db9d28e,
  0x8d578d8ebce9bb48, 0xc071d8b4d7c47195, 0x6c1132386f65b2f9, 0xe5caad4b3b589e54, 0x4aa35d15073791b5,
  0x6e576a96fab39d45, 0x7d8f47226b81013a, 0x3daad115e57212b9, 0x94b5f3a03c72b5d7, 0x06f083a20421520b,
  0x3b7b15545a4829c2, 0x71b09732f9b6c626, 0x81f943458f38b935, 0x0cf4c2b93f75663c, 0xa4a5b2c944e32c97,
  0x80a792bf734332c3, 0x00000000534db8f0,
};

static const uint64_t ur_pwm161_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xb06609f180905b2b, 0xdfc843effea6b67f, 0x85c1c43eb8bea8f4, 0x1b09117dc4963cf2,
  0x87f8fbbf51f097e2, 0xd6e6def99e2ee373, 0x83d2bd479594b94e, 0x98a62b287ea3e0d9, 0x1971c270dc3afb16,
  0x76e74a3a909afa5b, 0xf3a6ed22239b8e75, 0x5f11c656355e363a, 0xbd96cbe701c762d3, 0xed627951b044c8e1,
  0x1cde46d7972ab52c, 0xeace75152a8d7454, 0xae0404e9b95daa5b, 0x95c84ae5f63d1c89, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x6920a7081bc20e88, 0xe6db1898edec5551, 0x1637c371e6c25ccb, 0x9fa9d599bf83bb8d,
  0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00013f2353b3a2cf,
};

static const uint64_t ur_pwm161_swio14_lednop_hw[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e83e407b, 0x1318e3a7f075ffd4, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x454aa35d15073791, 0x3a6e576a96fab39d, 0xb97d8f47226b8101,
  0xd73daad115e57212, 0x4b0b29b1674079fa, 0x8be8a042d3573abd, 0xcdb4e1037841d102, 0xc9f9fd86ed84b997,
  0x4a271964b867a615, 0xfb9a19961d252d96, 0x0008e2fafb053c95,
};

static const uint64_t ur_pwm161_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0x5ad198ff9035bfe8, 0x307d47a8f2b60b35, 0xd377c56a7bd47c1b,
  0x632e384e1b875f62, 0x74ab8d64d2135f4b, 0x6ed22239b8e75697, 0x8e32b1aad743af3a, 0xb65f380e3b169af8,
  0x27951b047eb70dec, 0xe46d7972ab500ad6, 0xe75152a8d74541cd, 0x404e9b95daa5beac, 0x84ae5f63d1c89ae0,
  0xad75cf6ab445795c, 0x5482e52d7ce80f1c, 0x0a7081bc20e88108, 0xd8c62adec5551692, 0xbb1b8f3612e65f36,
  0xf0f7bca1854e7ea0, 0x93fc0fe32fcc4ffe, 0xf45fe07efd866879, 0x71964b867a617c68, 0x9a19961d252d9f02,
  0x05be3539453c95fb,
};

static const uint64_t ur_pwm161_swio14_lednop_ce_hw[] = {
  0xf26eeeeed121b7d6, 0xfc776aaf088f5e24, 0x4f571ee8db622c1e, 0x4d9febc6bb4b3776, 0x2dfb56442041375e,
  0x2416caef2775eb4e, 0xfa14cfc729827c60, 0x4ddc5f5eebe45baf, 0x5f71258f3ca17073, 0xcfd47c25f886c244,
  0xeb2678bb8dc98667, 0xacff51e5f4f72c67, 0x602c7bd2a38e9fc1, 0xf47ced92231be731, 0x1fe91500ffd99e3a,
  0x72ab5976a0796b74, 0xa8d74541cde46d79, 0x95daa5beace75152, 0x63d1c89ae0404e9b, 0x6ab445795c84ae5f,
  0x2d7ce80f1cad75cf, 0xbc20e881085482e5, 0xdec55516920a7081, 0x6c25ccbe6db1898e, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x0a8a792bf734332c,
  0x0000000001d66fbe,
};

// pwm161_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0x51e9bf9087dff429, 0x79e50b83887d717d, 0x2fc4361222fb892c,
  0xc6e2bae30bfea3e1, 0x729dadcdbdf33c5d, 0xc1b307a57a8f2b29, 0xf62d314c5650fd47, 0xf4b632e384e1b875,
  0x1ceaedce94752135, 0x6c75e74dda444737, 0xc5a6be238cac6abc, 0x91c37b2d97ce038e, 0x6a59dac4f2a36089,
  0xe8a839bc8daf2e55, 0x54b7d59cea2a551a, 0x39135c0809d372bb, 0x88af2b9095cbec7a, 0x9d01e395aeb9ed56,
  0x1d10210a905ca5af, 0xaaa2d2414e103784, 0xb997cdb63131dbd8, 0x539fa82ec6e3cd84, 0xf313ffbc3def2861,
  0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000000050146a751,
};

// pwm161_swio14_dual_pr             pwm161_swio14_dual_pr_u4
static const uint64_t ur_pwm161_swio14_dual[] = {
  0xa7bbbbbb448664d6, 0x5eefdf1230b5707f, 0x6957eea3b8e34168, 0xb8cfdac139df69eb, 0x593aed9f20addfa6,
  0x24d877666c786806, 0x69827c602416caef, 0xebe948c8242e91dd, 0x2860ccdbf17dbf0a, 0x2addcee9f93ec40c,
  0xc0a29c1c9cdf3bf3, 0x27f071ee6f51d7de, 0xc4aff3f7c1142392, 0xf3720000370f8510, 0xcb407c4432abbbdd,
  0xff4073c26dee2a10, 0xf2d5be68317b7287, 0x4aff7d4e4c161bca, 0xd47910ef961f3e45, 0xfdc65471d3f83117,
  0x28def398b01758a6, 0xffb30475e0353b4e, 0x07967b6b5e0faa01, 0xafba6ebebd7d7f86, 0xe6f236bcb955ace7,
  0x5673a8a9546ba2a0, 0x7020274dcaed52df, 0xae42572fb1e8e44d, 0x8e56bae7b55a22bc, 0x842a417296be7407,
  0x49053840de107440, 0x9b6c63156f62aa8b, 0x58df0dc79b09732f, 0x7ea75666fe0eee34, 0x4ffef0f7bca1854e,
  0x687993fc0fe32fcc, 0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000a49bf02ce8b3c,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ee[] = {
  0x80addddddd437089, 0x5eefdf1364f0fb83, 0xe8ce6e843fb41ba0, 0xc344e3ad932b8d17, 0x05c2d47e00a8a02a,
  0xbaf27acaabdd6d2d, 0xc602416caef2448b, 0x32090ba46f3e9827, 0x36fc5f6fc2bafa52, 0xba7e4fb1030a1833,
  0x0c7e619bfccab773, 0x5a6f51d2d6c02d1c, 0xf7c114239227f063, 0x00370f8510c4aff3, 0x10caaeef77cdceeb,
  0x2631f150865a0515, 0x062f6f3b7ff4073c, 0xc982c3795e5ab7cd, 0xd1945f9143ffefa9, 0x6657a8f2bdf7355a,
  0x77c576ebd47c1b30, 0x2e384e1b875f62d3, 0xae04fcd2135f4b63, 0x8f68f4a39d5a5ca1, 0x1b1aad743af63376,
  0xb380e3b169a008d3, 0xa3608fd6e1bd977b, 0x6ebebd7c014656b2, 0x36bcb955ace7afba, 0xa8a9546ba2a0e6f2,
  0x274dcaed52df5673, 0x572fb1e8e44d7020, 0xbae7b55a22bcae42, 0x417296be74078e56, 0x3840de107440842a,
  0x63156f62aa8b4905, 0x0dc79b09732f9b6c, 0xaccdfc1ddc68b1e7, 0x6592e19e985727ee, 0x866587494b67c09c,
  0x417ef3a2cf257ee6, 0x0000000000000321,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x7ef89b2787dc1c05, 0xf5f421fda0dd02f7, 0x3ad932b8d178ce6d, 0x47e00a8a02ac344e,
  0x35af2734ead05c2d, 0xd95de489177093fd, 0x48de7d304f8c0482, 0xdf8575f4a4641217, 0x62061430666df8be,
  0xbfccb4b7e774fc9f, 0x2d6c02d1c0c7e619, 0x39227f0635a6f51d, 0x510c4aff3f7c1142, 0xf77cdceeb00370f8,
  0x0865a051510caaee, 0xb7ff4073c2631f15, 0x95e5ab7cd062f6f3, 0x50fffa3217982c37, 0xaf7dcd56b46517e4,
  0xf51f06cc1995ea3c, 0xe1d7d8b4ddf15dba, 0x84d7d2d8cb8e1386, 0xe75697286b813f34, 0x0ebd8cdda3da3d28,
  0x5a680234c6c6ab5d, 0xb86f65deece038ec, 0x005195aca8d823f5, 0x6b39ebee9bafaf5f, 0xe8a839bc8daf2e55,
  0x54b7d59cea2a551a, 0x39135c0809d372bb, 0x88af2b9095cbec7a, 0x9d01e395aeb9ed56, 0x1d10210a905ca5af,
  0xaaa2d2414e103784, 0x5ccbe6db18c55bd8, 0x8b1be2e4d5c1e6c2, 0xfa9d599bf83f6ec6, 0x3ffbc3def2861539,
  0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985, 0x57ee6866587494b6, 0x00564f3f0c5564f2,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ce[] = {
  0x2b777777b0486f97, 0xbbf7c482faefe0e5, 0xf71bbf68ed64e477, 0xc2440526ba01b17d, 0xa26f26517ee94a29,
  0xc95dcf04675c7f53, 0xc13e30120b657793, 0xe948c8242e909c7c, 0x60ccdbf17dbf0aeb, 0xddcee9f93ec40c28,
  0x8270eaf9a87ff32a, 0xc1dba9bd478e5b03, 0xbfcfdf04508e489f, 0x011200dc3e144312, 0x18f4432abbbddf37,
  0x0e784ddd45421968, 0xb7cd062f6fff3fe8, 0xefa9c982c3795e5a, 0x83717d4c7fc81adf, 0x7dc4963cf285c1c3,
  0xff51f097e21b0911, 0x9f99e2ee3719f3ac, 0xe1fa8fd44f72c678, 0x016a57751c74fe0e, 0x0353b4e28def398b,
  0xe0faa01ffb33c75e, 0xf5f5fe181e5adcb5, 0xe556b39ebee9bafa, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0xc7a39135c0809d37, 0xd5688af2b9095cbe, 0x5af9d01e395aeb9e, 0x7841d10210a905ca, 0xbd8aaa2d2414e103,
  0xd84b997cdb63131d, 0x83bb8d165abc6e3c, 0x2861539fa9d599bf, 0xc07cd0f327f8138d, 0x38cb25c33d30ae4f,
  0xcd0ccb0e9296cf81, 0xa483a2e7459e4afd, 0x0000000000000001,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ce_u4[] = {
  0x02f777776890cf68, 0x3bbf7c482f2afe0f, 0xdae3ba769a741b8e, 0xbb13c94a56a7d96a, 0x376227a8f8ebeec0,
  0xe4ae377347d4ebdc, 0x51304f8c0482d95d, 0x5d7d29190485d205, 0x850c199b7e2fb7e1, 0x655bb9dd3f27d881,
  0xd869b38456986b7e, 0x44fe0d4f4dea3efb, 0x1895fe7ef8228472, 0x7cdc643006e1f0a2, 0x32d0ee910caaeef7,
  0xffd01cf09b4a8a84, 0x796adf3418bdb8cd, 0x397fbea7260b0de5, 0x838c16e2faf75f22, 0x1222fb892c79e50b,
  0xfa547ea3e12fc436, 0xc67eb2678bb8dc66, 0xfe0d67fa8e0a4f72, 0x9cc580bdd6491c74, 0xf1d7a3e76c8a8e0f,
  0xf5ebe1d749b8e58c, 0xe5caad673d7dd375, 0x4aa35d15073791b5, 0x6e576a96fab39d45, 0x7d8f47226b81013a,
  0x3daad115e57212b9, 0x0b29b1674079fad7, 0xc63042d3573abd4b, 0x69c206f083a20517, 0xdf0dc79b09732f9b,
  0xa75666fe0eee3458, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c,
  0xfb9a19961d252d9f, 0x00d24e9ece8b3c95,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ee_ce[] = {
  0x0fb2b77777750c86, 0x61b77ef892677d7e, 0x7dabdee9579626c5, 0xfb4528b534f7b84d, 0xcdd8264c5a25deca,
  0xddddd8dd8f05cc5c, 0x3e30120b65779302, 0x9190485d23cf5cc1, 0x99b7e2fb7e15d7d2, 0x9dd3f27d881850c1,
  0x383fc9b107e655bb, 0xd8fcdea3868d869a, 0xcfdf04508e489fc1, 0x2e00dc3e144312bf, 0x688655777bbe6e0c,
  0xe137ce8a8432d029, 0x68317b7c6effa039, 0x4e4c161bcaf2d5be, 0xea8ca5fc84dbff7d, 0x9fcf285c1c4db3bf,
  0x63309cee371a0e08, 0xd479594394ed6562, 0xb60bea3e0d9833d7, 0x270dc3afb1698a62, 0xe3a909afa5b1971c,
  0xddd23050e7576e90, 0x16c6abc6c75e534e, 0x99c071d8b4e6e479, 0xec6319191c37b2dc, 0xad673d7dd375f5eb,
  0x5d15073791b5e5ca, 0x6a96fab39d454aa3, 0x47226b81013a6e57, 0xd115e57212b97d8f, 0xf3a03c72b5d73daa,
  0x83a20421520b94b5, 0x15545a4829c206f0, 0x9732f9b6c6263b7b, 0xddc68b1e70dc79b0, 0xe985727eeaccdfc1,
  0x94b67c09c6592e19, 0x2cf257ee68665874, 0x000000098201cb3a,
};

static const uint64_t ur_pwm161_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xf7c4d8f1e1f07dfb, 0x37b5c500c6a087bb, 0x390eaf6d3de6be8b, 0x4bb13bf655fb2ae7,
  0x3a422f68f9c15823, 0x247b3b832d654e0d, 0x79827c602416caef, 0xbe948c8242e91f10, 0x860ccdbf17dbf0ae,
  0x96fcee9f93ec40c2, 0x8670e5a999bff996, 0x0d0fa6f51fb07617, 0xfe7ef822847244fe, 0x38f006e1f0a21895,
  0xc14432abbbddf371, 0xcf09b4dc54219681, 0xf3418bdb9257fd01, 0xc85e60b0de5796ad, 0x7d519c1f906b7fe8,
  0x963cf285e766b771, 0xf097e21b09117dc4, 0x2ee3722314e3ff51, 0xe5694ed6e6d7c99e, 0xa3e0d983eebd4795,
  0x3afb1698a62b95de, 0x9afa5b1971c270dc, 0xd28e7576e2863a90, 0x78d8ebd8cdda3da3, 0x1d8b4d004698d8d5,
  0x26470decbbdd9c07, 0xf5f167195aca8d82, 0xe556b39ebee9bafa, 0x51ae8a839bc8daf2, 0x2bb54b7d59cea2a5,
  0xc7a39135c0809d37, 0xd5688af2b9095cbe, 0x5af9d01e395aeb9e, 0x7841d10210a905ca, 0xbd8aaa2d2414e103,
  0xd84b997cdb63131d, 0xd8d1637c5c9ab83c, 0xa73f53ab337f07ed, 0xe627ff787bde50c2, 0xc3343cc9fe07f197,
  0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x0000080057058aac,
};

static const uint64_t ur_pwm161_swio14_dual_hw[] = {
  0xa7bbbbbb4486ff3e, 0x5eefdf1230b5707f, 0x6957eea3b8e34168, 0xb8cfdac139df69eb, 0x5efaed9f20addfa6,
  0xde49b0ee69e2bded, 0xbad304f8c0482d95, 0x15d7d29190485d23, 0x1850c199b7e2fb7e, 0xe655bb9dd3f27d88,
  0xbd8145383939be77, 0x244fe0e3dcdea3af, 0x21895fe7ef822847, 0xbbe6e400006e1f0a, 0x219680f888655777,
  0x0ffe80e784dbdc54, 0x95e5ab7cd062f6e5, 0x8a95feec4f982c37, 0x2fa8f221df2c3e7c, 0x4dfb8ca8e3a7f062,
  0x9c51bde731602eb1, 0x03ff6608ebc06a76, 0x0c0f2cf6d6bc1f54, 0xcf5f74dd7d7afaff, 0x41cde46d7972ab59,
  0xbeace75152a8d745, 0x9ae0404e9b95daa5, 0x795c84ae5f63d1c8, 0x0f1cad75cf6ab445, 0x81085482e52d7ce8,
  0x16920a7081bc20e8, 0x5f36d8c62adec555, 0x7ea0bb1b8f3612e6, 0x4ffef0f7bca1854e, 0x687993fc0fe32fcc,
  0x7c68f45fe07efd86, 0x9f0271964b867a61, 0x95fb9a19961d252d, 0x000063757e05453c,
};

static const uint64_t ur_pwm161_swio14_dual_ee_hw[] = {
  0x56eeeeeea0a1a5fb, 0x77ef89b2787dc1c0, 0x6737421fda0dd02f, 0xa271d6c995c68bf4, 0xe16a3f0054501561,
  0xbba591aeba559682, 0x7c602416caef2448, 0x232090ba46f3e982, 0x336fc5f6fc2bafa5, 0x3ba7e4fb1030a183,
  0xc0c7e619bfccab77, 0x35a6f51d2d6c02d1, 0x3f7c114239227f06, 0xb00370f8510c4aff, 0x510caaeef77cdcee,
  0xc2631f150865a051, 0xd062f6f3b7ff4073, 0x4f982c3795e5ab7c, 0xad1945f9143ffeec, 0x06657a8f2bdf7355,
  0x377c576ebd47c1b3, 0x32e384e1b875f62d, 0x1ae04fcd2135f4b6, 0x68f68f4a39d5a5ca, 0x31b1aad743af6337,
  0xbb380e3b169a008d, 0x2a3608fd6e1bd977, 0xa6ebebd7c014656b, 0x236bcb955ace7afb, 0x3a8a9546ba2a0e6f,
  0x0274dcaed52df567, 0x2572fb1e8e44d702, 0x6bae7b55a22bcae4, 0xa417296be74078e5, 0x53840de107440842,
  0xc63156f62aa8b490, 0xd8dc79b09732f9b6, 0x271a50c2a73f5361, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00000aed0bf7453c,
};

static const uint64_t ur_pwm161_swio14_dual_ce_hw[] = {
  0xadddddd0f5a1a5fb, 0xefdf120bebbf8394, 0xdc6efda3b59391de, 0x0910149ae806c5f7, 0x09bc9945fba528a7,
  0x4f25774b235d74ab, 0xf304f8c0482d95de, 0xafa5232090ba4271, 0xa183336fc5f6fc2b, 0xab773ba7e4fb1030,
  0x0e09c3abe6a1ffcc, 0x7f076ea6f51e396c, 0x4aff3f7c11423922, 0xdc04480370f8510c, 0xa063d10caaeef77c,
  0xa039e13775150865, 0x6adf3418bdbffcff, 0x7fbb13e60b0de579, 0x0e0dc5f531ff206b, 0x45f71258f3ca1707,
  0x7cfd47c25f886c24, 0xe27e678bb8dc9866, 0x3b87ea3f513dcb19, 0x2c05a95dd471d3f8, 0x780d4ed38a37bce6,
  0xd783ea807feccf1d, 0xebd7d7f860796b72, 0xcb955ace7afba6eb, 0x9546ba2a0e6f236b, 0xdcaed52df5673a8a,
  0xfb1e8e44d7020274, 0x7b55a22bcae42572, 0x296be74078e56bae, 0x0de107440842a417, 0x76f62aa8b4905384,
  0xf3612e65f36d8c4c, 0x50c2a73f52f571b8, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x0000009ba8e8b453,
};

static const uint64_t ur_pwm161_swio14_dual_ee_ce_hw[] = {
  0x3843ddddddd432db, 0xdaddfbe2499e66f8, 0xebf8775d6f3eceb1, 0xe561baee6d07e6cd, 0xbebd83e5a25d8434,
  0x39dc704559a67557, 0x13e30120b6577925, 0xa464121748e3c9cc, 0x666df8bedf8575f4, 0xe774fc9f62061430,
  0x3835dcc87df9956e, 0xc344dea3bfcd8620, 0xe7ef822847244fe0, 0x64006e1f0a21895f, 0x2221955ddeef9b81,
  0x784c5d62a10cb430, 0x9a0c5edef0ffe80e, 0x89f30586f2bcb56f, 0xfaa3c09f22d6ffdd, 0x7ff3ca17072d6cef,
  0x5f26139dc6e33974, 0x7a8f2bcad29dacac, 0x572bbd47c1b307dd, 0x84e1b875f62d314c, 0x0c752135f4b632e3,
  0xb47b47a51ceaedc5, 0x31b1aaf1b1d7b19b, 0xbb380e3b169a008d, 0x951b044c8e1bd977, 0xd375f5ebe2ce32b5,
  0x91b5e5caad673d7d, 0x9d454aa35d150737, 0x013a6e576a96fab3, 0x12b97d8f47226b81, 0xb5d73daad115e572,
  0x520b94b5f3a03c72, 0x29c206f083a20421, 0xc6263b7b15545a48, 0xb0dc79b09732f9b6, 0x2c970cf4c2b93f3f,
  0x332c3a4a5b3e04e3, 0xd3d38e8a792bf734, 0x0000000000000044,
};

static const uint64_t ur_pwm161_swio14_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d06c4f, 0xbf7c4d8f1e1f07df, 0xafbb5c500c6a087b, 0xab9ce43abdb4f6f9, 0x608d2ec4efd957ec,
  0x6da7da16d1a3e705, 0x82d95de48f677690, 0x5d23e20f304f8c04, 0xfb7e15d7d2919048, 0x7d881850c199b7e2,
  0x66ffe65d849dd3f2, 0x7ec1d85e19c396a6, 0x11c913f8343e9bd4, 0xc2886257f9fbe08a, 0xef77cdc4e3c01b87,
  0x50865a070510caae, 0x495ff4073c26d371, 0x795e5ab7cd062f6e, 0x20d6ffc03ee982c3, 0x070d6ee2faa3383f,
  0x222fb892c79e37c3, 0xc3ffea3e12fc4361, 0x6d7c99e2ee371705, 0xebd4795e5694ed6e, 0x62b95dea3e0d983e,
  0x1c270dc3afb1698a, 0x2863a909afa5b197, 0xdda3da3d28e7576e, 0x698d8d578d8ebd8c, 0xbdd9c071d8b4d004,
  0xaca8d8226470decb, 0xee9bafaf5f167195, 0xbc8daf2e556b39eb, 0x9cea2a551ae8a839, 0x0809d372bb54b7d5,
  0x9095cbec7a39135c, 0x95aeb9ed5688af2b, 0x0a905ca5af9d01e3, 0x414e1037841d1021, 0xb63131dbd8aaa2d2,
  0x2ec6e3cd84b997cd, 0xbc3def2861539fa8, 0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a,
  0xe6866587494b67c0, 0xaebc8b205f4f257e, 0x0000000000000003,
};

static const uint64_t ur_pwm161_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xfab2d67cc7cc13e3, 0xc4277cb749f236ff, 0xb5e38e9fc1f3dea3, 0x268e62c05bdd3694,
  0x58c11d78b9dae1a3, 0x5e5caad4acaffb8e, 0x54aa35d15073791b, 0x6e576a96fabb39d4, 0x956aff7f47226b3a,
  0xd6b9ed5688af2b90, 0x4ea701652a7d3bcf, 0x117ee2810b4b0b9d, 0xbe6da7081bc20e88, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0000548b8165a9e4,
};

// pwm161_swio15_noled_pr_u4
static const uint64_t ur_pwm161_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xd07fe4195ffab567, 0xfe0fa0f51e5f1df2, 0x02cb29a3de951c74,
  0xa3e768851ef67316, 0x2934a807fecc11d7, 0x2ab57d6e07967b62, 0x8d74541cde46d797, 0xdaa5beaece75152a,
  0xbfdfd1c89ace9b95, 0x7b55a22bcae4255a, 0xc529e1a779f16bae, 0x1037841d1020eea6, 0x8ab7b15545a5b44e,
  0xe0f3612e65f36c64, 0x81f943458df1726a, 0xca1854e7ea75663c, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0,
  0xb867a617c68f45fe, 0x61d252d9f0271964, 0xb04053c95fb9a199, 0x00000000007c9aa6,
};

static const uint64_t ur_pwm161_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0xf9115bff56acf93a, 0x479594b9aad68dfc, 0x50fd47c1b30613fd,
  0xe1b875f62d377c56, 0x4d2135f4b632e384, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc762d3f911c1fb1a,
  0x8fd6e1bd96cbe701, 0xaad402e9305aa360, 0x35d15073791b5e5c, 0x6a96fabb39d454aa, 0xff7f47226b3a6e57,
  0xed5688af2b90956a, 0x14a7869de7c5aeb9, 0x40de10744083ba9b, 0x2adec5551696d138, 0x83cd84b997cdb192,
  0x3f2868b3a7c5c9ab, 0x430a9cfd4eacc790, 0x64ff1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000009d7c621014f,
};

static const uint64_t ur_pwm161_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x2be46fbffd5ab3f1, 0xf51e56e966ab5a33, 0xae43fa8f83660d00,
  0x09c370ebec5a6ef8, 0x899a426be96c65c7, 0x8def39d5a5ea52e2, 0x55ae875eba9bb4e2, 0x71d8b4d6ba3b8763,
  0x27d6e1bd970e59c0, 0x3791b5e5caad571d, 0xb39d454aa35d1507, 0x26b3a6e576a96fab, 0xf2b90956aff7f472,
  0xde7c5aeb9ed5688a, 0x44083ba9b14a7869, 0x51696d13840de107, 0x997cdb1922adec55, 0x637c5c9ab83cd84b,
  0xfa9d598f207e50d1, 0x3ffbc3def2861539, 0xa1e64ff03f8cbf31, 0xf1a3d17f81fbf619, 0x7c09c6592e19e985,
  0x57ee6866587494b6, 0x00004eb9661014f2,
};

// pwm161_swio15_noled_pr_ce_u4
static const uint64_t ur_pwm161_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0xb3fb3a609f180905, 0xbebb7fe44aeffd5a, 0x258f3c64a9defbb8, 0x7c25f886c2445f71,
  0x78bb8dcb9124afd4, 0xa8f374f72c67eb26, 0x32a718e3a7f064f7, 0xced10a3dece62c05, 0x69500ffd99e3af47,
  0x5abeb703cb5b8452, 0xba2a0e6f236bcb95, 0x52df57673a8a9546, 0xefe8e44d674dcaed, 0xaad115e57212ad5f,
  0x94f0d3bcf8b5d73d, 0x1bc20e8810775362, 0xdbd8aaa2d2da2708, 0xf3612e65f36c6431, 0xf943458df1726ae0,
  0x1854e7ea75663c81, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8,
  0x4053c95fb9a19961, 0x000000000dd74d00,
};

static const uint64_t ur_pwm161_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x297f23fe7fead59f, 0xf192a77ff0effaa3, 0x84e771b9950d07fc,
  0xcace1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x6e1d7d8b4c531597, 0x484d7d2d8cb8e138, 0x11e4873abb72561d,
  0x1aaf1b1d79d376ea, 0x01c762d3f911c1fb, 0xb044c8e1bd96cbe7, 0x2e556a59f4982d51, 0x551ae8a839bc8daf,
  0x2bb54b7d5d9cea2a, 0xb57fbfa391359d37, 0x5cf6ab445795c84a, 0x4d8a53c34ef3e2d7, 0x9c206f083a2041dd,
  0x90c76f62aa8b4b68, 0xc9ab8d84b997cdb1, 0x31e40fca1a2c79c5, 0x64b867a615c9fbab, 0x961d252d964a2719,
  0xcb84053c95fb9a19, 0x0000000000029a63,
};

static const uint64_t ur_pwm161_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x3be435dfff535b3f, 0x42e0e35ddc5f547b, 0x0d8488bee24b1e79,
  0x5c170fffa8f84bf1, 0xb5b9b7be678bb8dc, 0x60cf5f51e5670e53, 0xa6298acbafa8f836, 0xc65c709c370ebec5,
  0x5db92b0ea426be96, 0xbce9bb7508f2439d, 0xfc88e0fd8d578d8e, 0xdecb65f380e3b169, 0xfa4c16a8d8226470,
  0x1cde46d7972ab52c, 0xaece75152a8d7454, 0xc89ace9b95daa5be, 0x2bcae4255abfdfd1, 0xa779f16bae7b55a2,
  0x1d1020eea6c529e1, 0x5545a5b44e103784, 0x5ccbe6d8c863b7b1, 0xbb8d1637c371e6c2, 0x61539fa9d599bf83,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xa2cf257ee6866587,
  0x000000009f832733,
};

static const uint64_t ur_pwm161_swio15_noled_hw[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xff871e7cc7cc13e3, 0xf109df2dd27c8dbf, 0x2d78e3a7f07cf7a8, 0xc9a398b016f74da5,
  0x9630475e2e76b868, 0xd7972ab52b2bfee3, 0x152a8d74541cde46, 0x9b95daa5beaece75, 0x255abfdfd1c89ace,
  0xf5ae7b55a22bcae4, 0x53a9c0594a9f4ef3, 0x045fb8a042d2c2e7, 0x2f9b69c206f083a2, 0x2b93f3fb0ddb0973,
  0x2c944e32c970cf4c, 0x2bf734332c3a4a5b, 0x000008e25c760a79,
};

static const uint64_t ur_pwm161_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe7c88adff429, 0x309fea3caca5cd56, 0xbbe2b287ea3e0d98,
  0x971c270dc3afb169, 0x65c6b26909afa5b1, 0x6ea11e4873ab4ba5, 0x0fd8d56ba1d79d37, 0x5f380e3b169fc88e,
  0xd51b047eb70decb6, 0xdaf2e556a0174982, 0xa2a551ae8a839bc8, 0xd372bb54b7d5d9ce, 0x84ab57fbfa391359,
  0x2d75cf6ab445795c, 0x1dd4d8a53c34ef3e, 0xb689c206f083a204, 0x6d8c9156f62aa8b4, 0x4176371e6c25ccbe,
  0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0, 0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e,
  0x000b7ff24e8a792b,
};

static const uint64_t ur_pwm161_swio15_noled_ce_hw[] = {
  0x426eeeeed121be4a, 0xfc776aaf08834e25, 0xef48feeedb75ec1e, 0x4d9febf8f9fb0678, 0x6d57c103d7243768,
  0x2416caef2774a51d, 0xfa14cfece9827c60, 0xfbb8bebb7fe44aef, 0xbee24b1e7942e0e6, 0xdfa8f84bf10d8488,
  0xd64cf1771b86b730, 0xc9ef51e6e9ee58cf, 0x580a654e31c74fe0, 0x5e8f9da2147bd9cc, 0x08a4d2a01ffb33c7,
  0x972ab57d6e0796b7, 0x2a8d74541cde46d7, 0x95daa5beaece7515, 0x5abfdfd1c89ace9b, 0xae7b55a22bcae425,
  0xa6c529e1a779f16b, 0x4e1037841d1020ee, 0xc863b7b15545a5b4, 0x6371e6c25ccbe6d8, 0x1ef79430a9cfd417,
  0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x66df24e8a792bf73,
  0x000000000000001d,
};

// pwm161_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ecef90d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xf62d314c565d7d47, 0xf4b632e384e1b875,
  0x1ceaedc958752135, 0x6c75e74ddba84792, 0x8b4fe44707ec6abc, 0x2386f65b2f9c071d, 0xa967d260b546c113,
  0xa2a0e6f236bcb955, 0x2df57673a8a9546b, 0xfe8e44d674dcaed5, 0xad115e57212ad5fe, 0x4f0d3bcf8b5d73da,
  0xbc20e88107753629, 0xbd8aaa2d2da27081, 0x3612e65f36c6431d, 0xa1854e7ea0bb1b8f, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0x39453c95fb9a1996, 0x00000000000a0219,
};

static const uint64_t ur_pwm161_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xfd596b3f01a609f1, 0xf243be5ba4f901ef, 0x2631c74fe0f9ef51, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x8a9546ba2a0e6f23, 0x4dcaed52df57673a, 0x92b1e8e44d702027,
  0x73daad115e57212b, 0xf52d794e02e74079, 0x45f45021695844c2, 0xe6da7081bc20e881, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x000a93eb165a9e4a,
};

// pwm161_swio15_lednop_pr_u4
static const uint64_t ur_pwm161_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0xa0ffc831fffab567, 0xfe0fa0f51f4a3be5, 0x05965340609f1c74,
  0x47cecbe238c8e62c, 0xf70d500ffd9823af, 0x55adc3903cb3db1b, 0x6ba2a0e6f236bcb9, 0xd52df57673a8a954,
  0x8e44d7020274dcae, 0xd115e57212b92b1e, 0xf3a03c72b5d73daa, 0x83a20421520b94b5, 0x15545a4829c206f0,
  0x4b997cdb40a8ab7b, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00001f27fd501014,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x7c8383ffab567e87, 0xa3cad4f4d56b46fe, 0xc09ea3e0d98309fe,
  0x70dc3afb169bbe2b, 0x26909afa5b1971c2, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe3b169cdc8f22d8d,
  0x47eb70decb65f380, 0x2ab50084526951b0, 0x8d74541cde46d797, 0xdaa5beaece75152a, 0xd1c89ae0404e9b95,
  0x5a22bcae42572563, 0xbe74078e56bae7b5, 0x107440842a417296, 0x62aa8b49053840de, 0x09732f9b6815156f,
  0xd165abcb9357079b, 0x39fa9d598f207e50, 0x0f327f8138d28615, 0x5c33d30ae4fc07cd, 0xb0e9296cf8138cb2,
  0x842029e4afdcd0cc, 0x00000000000275f0,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x46657c8383ffab56, 0xa01ea3cace1cd56b, 0xdf15b93f51f06cc1,
  0xb8e1386e1d7d8b4d, 0x5c5133484d7d2d8c, 0x5f11c4273ab4bafb, 0x6c6ab5d0ebd75376, 0x9c071d8b4c6fa311,
  0xe167fd6e1bd970e5, 0xa0e6f236bcb955aa, 0xf57673a8a9546ba2, 0xd7020274dcaed52d, 0xe57212b92b1e8e44,
  0x4079fad73daad115, 0x573abd4b0b29b167, 0x41d10273e8a042d3, 0x84b997cdb4e10378, 0x0d1637c5c9ab83cd,
  0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb, 0x985f1a3d17f81fbf, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000000275d340101,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0x7c6b4c13e30120b6, 0xd76ffc8d37ffab56, 0xb1e78c953bd9d717, 0x84bf10d8488bee24,
  0x1771b8951723fa8f, 0x1e719ee58cfd64cf, 0x79eb1c74fe0c9ef5, 0xb2f88e32398b014c, 0x5403ff6678ebd1f3,
  0xdc3903cb5b86fdc3, 0x2a0e6f236bcb955a, 0xdf57673a8a9546ba, 0x4d7020274dcaed52, 0x5e57212b92b1e8e4,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x45a4829c206f083a, 0x2f9b681463b7b155, 0x4f8b9357079b0973,
  0x9d598f207e50d167, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x25c33d30ae4fc73d, 0xcb0e9296cf8138cb,
  0xa782029e4afdcd0c, 0x000000000000375f,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0x7d4f5f91813ff56a, 0x4b1e78c953bcad71, 0xf84bf10d8488bee2,
  0xf1771b8951723fa8, 0x47c927b9633f19cc, 0xe8148e3a7f0621fd, 0xecf7a3b58e62c05e, 0x845dc72c678ebc5c,
  0x0e6f236bcb955a8e, 0x57673a8a9546ba2a, 0x7020274dcaed52df, 0x57212b92b1e8e44d, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0xa4829c206f083a20, 0x9b681463b7b15545, 0x8b9357079b09732f, 0xab31e40fca1a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0xdd7ab282029e4afd,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x94bf909b7ffab567, 0xf192a769b677fd51, 0x84e771b8a49cdffc,
  0xcaca1ca76b2b1ef9, 0x5f51f06cc19ebea3, 0x6e1d7d8b4c5315b0, 0x484d7d2d8cb8e138, 0x9182873abb74871d,
  0x1aaf1b1d79d376ee, 0x01c762d39b91e45b, 0xb044c8e1bd96cbe7, 0x972ab52cc4526951, 0x2a8d74541cde46d7,
  0x95daa5beaece7515, 0x63d1c89ae0404e9b, 0xb55a22bcae425725, 0x96be74078e56bae7, 0xde107440842a4172,
  0x6f62aa8b49053840, 0x3612e65f36d028c7, 0x3f2868b1e71726ae, 0x9e985727eeacc790, 0x94b659289c6592e1,
  0x14f257ee68665874, 0x00000000a69e3610,
};

static const uint64_t ur_pwm161_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0x677c8149ffd4d6cf, 0x942e0e0a4b8bea8f, 0x10d8488bee24b1e7,
  0x8cf5fad5fa8f84bf, 0x76b736f7ccf1771b, 0xcc19ebea3caca1ca, 0xb4c5315b05f51f06, 0xd8cb8e1386e1d7d8,
  0xabb74871d484d7d2, 0xd79d376ee9182873, 0x39b91e45b1aaf1b1, 0x1bd96cbe701c762d, 0xcc4526951b044c8e,
  0x41cde46d7972ab52, 0xeaece75152a8d745, 0xae0404e9b95daa5b, 0xcae42572563d1c89, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xb49053840de10744, 0xf36d028c76f62aa8, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x00009f80f279d167,
};

static const uint64_t ur_pwm161_swio15_lednop_hw[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffc38f3f01a609f1, 0x7c90ef96e93e407b, 0x098c71d3f83e7bd4, 0x3e90e62c05bdd375,
  0x72c608ebc5cec22a, 0xdaf2e556a5660bdc, 0xa2a551ae8a839bc8, 0xd372bb54b7d5d9ce, 0xe4ac7a39135c0809,
  0x5cf6ab445795c84a, 0xbd4b5e5380b9d01e, 0x517d14085a561130, 0xf9b69c206f083a20, 0xb93f3fb0ddb09732,
  0xc944e32c970cf4c2, 0xbf734332c3a4a5b2, 0x00011c5f5f60a792,
};

static const uint64_t ur_pwm161_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f3e41c1ffa14, 0x184ff51e56a7a6ab, 0xddf15e04f51f06cc,
  0xcb8e1386e1d7d8b4, 0x3ae3593484d7d2d8, 0xb7748c1439d5a5e4, 0x916c6ab5d0ebce9b, 0x2f9c071d8b4e6e47,
  0x4a8d823f5b86f65b, 0x36bcb955a8042293, 0xa8a9546ba2a0e6f2, 0x74dcaed52df57673, 0xb92b1e8e44d70202,
  0xd73daad115e57212, 0x0b94b5f3a03c72b5, 0xc206f083a2042152, 0xa8ab7b15545a4829, 0x6e3cd84b997cdb40,
  0xdef2861539fa82ec, 0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6,
  0xfcd4e514f257ee68, 0x0000000000000016,
};

static const uint64_t ur_pwm161_swio15_lednop_ce_hw[] = {
  0x426eeeeed121af43, 0xfc776aaf08941625, 0x37bf4f7600f4ac1e, 0x26cff5fc7c699fb5, 0xadd94d16a2b21bb4,
  0x2416caef2775a77d, 0xfa14cf8d69827c60, 0xceb8bebb7fe469bf, 0xbee24b1e7942e0e6, 0xffa8f84bf10d8488,
  0xac99e2ee3739699b, 0x93dea3ce33dcb19f, 0x60298f3d638e9fc1, 0x7a3e765f11c64731, 0xdfb86a807feccf1d,
  0x72ab5b8720796b70, 0xa8d74541cde46d79, 0x5daa5beaece75152, 0x3d1c89ae0404e9b9, 0x55a22bcae4257256,
  0x6be74078e56bae7b, 0xe107440842a41729, 0xf62aa8b49053840d, 0x612e65f36d028c76, 0x1854e7ea0bb1b8f3,
  0x32fcc4ffef0f7bca, 0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0xd453c95fb9a19961,
  0x000000000759b00a,
};

// pwm161_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm161_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9df20527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0x7d8b4c5315b05f51, 0x7d2d8cb8e1386e1d,
  0x873abb74871d484d, 0x1b1d79d376ee9182, 0x62d39b91e45b1aaf, 0xc8e1bd96cbe701c7, 0xb52cc4526951b044,
  0x74541cde46d7972a, 0xa5beaece75152a8d, 0xc89ae0404e9b95da, 0x22bcae42572563d1, 0x74078e56bae7b55a,
  0x7440842a417296be, 0xaa8b49053840de10, 0xe65f36d028c76f62, 0x4e7ea0bb1b8f3612, 0xcc4ffef0f7bca185,
  0x86687993fc0fe32f, 0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000014040f2745,
};

// pwm161_swio15_dual_pr             pwm161_swio15_dual_pr_u4
static const uint64_t ur_pwm161_swio15_dual[] = {
  0x13bbbbbb44860aac, 0x5eefdf1232357073, 0x6efdeec4e1234168, 0xb8cfdf4e4e5b29a7, 0xe093ecb11dadd312,
  0x24d8777d5e59113c, 0x89827c602416caef, 0xebe948c8242e90ea, 0x2860ccdbf17dbf0a, 0x2addcee9f93ec40c,
  0xc0a29c1c9cdf3bf3, 0x27f071ee6f51d7de, 0xc4aff3f7c1142392, 0xe6e21f00370f8510, 0x9680f888655777bb,
  0xfe80e784dbdc5421, 0xe5ab7cd062f6ec17, 0x8bfefa9c982c3795, 0x51fba3be596bfc82, 0x930f71c74fe0f7bf,
  0x46989cc580bac533, 0xfd9823af01a9d900, 0x1e59edbde37d500f, 0x5f74dd7d7af9f3a8, 0xcde46d7972ab59cf,
  0xece75152a8d74541, 0x0404e9b95daa5bea, 0xe42572563d1c89ae, 0xe56bae7b55a22bca, 0x42a417296be74078,
  0x9053840de1074408, 0xb6815156f62aa8b4, 0x8df0dc79b09732f9, 0xea75666fe0eee345, 0xffef0f7bca1854e7,
  0x87993fc0fe32fcc4, 0xc68f45fe07efd866, 0xf0271964b867a617, 0x5fb9a19961d252d9, 0x00a498a9cce8b3c9,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ee[] = {
  0xb62ddddddd435202, 0x2f77ef89b260fb83, 0xedf5f74b56ca0dd0, 0x0d1395f210d77bad, 0x27dc201802a2b62b,
  0x7390eb68b8bf35f2, 0x8c0482d95de48917, 0xc8242e9063d7304f, 0xdbf17dbf0aebe948, 0xe9f93ec40c2860cc,
  0x31f9866ff32addce, 0x69bd474b5b00b470, 0xdf04508e489fc18d, 0x00dc3e144312bfcf, 0x432abbbddf371d50,
  0x98c7c54219681454, 0x0c5eddfe7fd01cf0, 0x930586f2bcb56f9a, 0xd1feef9016bfdf53, 0xc3dfa8f2bb75355a,
  0xef8af4dfa8f83660, 0x5c709c370ebec5a6, 0x5c09f9a426be96c6, 0x63d19ea73ab4bb05, 0x36355ae875ec66ec,
  0x6701c762d3d291c4, 0x46c11fadc37b2ef7, 0xbafaf5f005914455, 0xdaf2e556b39ebee9, 0xa2a551ae8a839bc8,
  0xd372bb54b7d5d9ce, 0xe4ac7a39135c0809, 0x5cf6ab445795c84a, 0x2e52d7ce80f1cad7, 0x081bc20e88108548,
  0xa2adec55516920a7, 0xb8f3612e65f36d02, 0x99bf83bb8d163ce1, 0xb25c33d30ae4fdd5, 0xccb0e9296cf8138c,
  0x3cbe7459e4afdcd0, 0x0000000000006428,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed15b779231, 0xbf7c4d9307dc1db1, 0x369a5ab6506e817b, 0xaf9086bbdd6efafb, 0x00c01515b158689c,
  0xa74e43dad5913ee1, 0xb2bbc9122eeffe19, 0x20c7ae609f180905, 0x7e15d7d29190485d, 0x881850c199b7e2fb,
  0xff32d2df9dd3f27d, 0xb5b00b47031f9866, 0xe489fc18d69bd474, 0x44312bfcfdf04508, 0xddf371d5000dc3e1,
  0x219681454432abbb, 0xe7fd01cf098c7c54, 0x2bcb56f9a0c5eddf, 0x05aff4642f30586f, 0xaedd4d56b47fbbe4,
  0xea3e0d9830f7ea3c, 0xc3afb169bbe2bd37, 0x09afa5b1971c270d, 0xcead2ec157027e69, 0x1d7b19bb18f467a9,
  0xb4f4a4710d8d56ba, 0x70decbbdd9c071d8, 0x0164511551b047eb, 0xace7afba6ebebd7c, 0xa2a0e6f236bcb955,
  0x2df57673a8a9546b, 0x44d7020274dcaed5, 0x15e57212b92b1e8e, 0xa03c72b5d73daad1, 0xa20421520b94b5f3,
  0x545a4829c206f083, 0x997cdb40a8ab7b15, 0x637c5c9ab83cd84b, 0x53ab337f07edd8d1, 0xff787bde50c2a73f,
  0x3cc9fe07f197e627, 0x347a2ff03f7ec334, 0x8138cb25c33d30be, 0xfdcd0ccb0e9296cf, 0x056494d68aac9e4a,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ce[] = {
  0x96eeeeef6090cf68, 0x77ef8905fb37c1dd, 0xd0777650f6c9c8ef, 0x848b62eed13f3ef6, 0xc3e42175bdd76453,
  0x2bb9a3ea7599b6ec, 0x27c602416caef279, 0x29190485d22c9398, 0x199b7e2fb7e15d7d, 0xb9dd3f27d881850c,
  0x4e1d5f350ffe655b, 0x3b7537a8f1cb6070, 0xf9fbe08a11c913f8, 0x37c01b87c2886257, 0x1e88655777bbe6e7,
  0xcf09bba8a8432d03, 0xf3418bdbeed7fd01, 0xea7260b0de5796ad, 0xae2fabf9f20e0ffb, 0xb892c79e50b8384e,
  0xea3e12fc4361222f, 0xe678bb8dc66fa547, 0xbd4709f3dcb19e27, 0xa5176fc71d3f83b5, 0xa9d90046989cc580,
  0x7d500ffd99e3af01, 0xbe7cea0796b73de3, 0xaad673d7dd375f5e, 0x35d15073791b5e5c, 0x6a96fabb39d454aa,
  0x47226b81013a6e57, 0x688af2b9095c958f, 0xf9d01e395aeb9ed5, 0x41d10210a905ca5a, 0x8aaa2d2414e10378,
  0x4b997cdb40a31dbd, 0xbb8d165abc6e3cd8, 0x61539fa9d599bf83, 0x7cd0f327f8138d28, 0xcb25c33d30ae4fc0,
  0x0ccb0e9296cf8138, 0x13ebe7459e4afdcd, 0x0000000000000349,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ce_u4[] = {
  0xeccf777776890c86, 0xe3bbf7c482fdfbe0, 0x5b5dfba3dac341b8, 0x6762792bb2db178d, 0x83cc50b201a2fdd6,
  0x7792b8ddddd8dd96, 0x9c7cc13e30120b65, 0x0aebe948c8242e90, 0x0c2860ccdbf17dbf, 0xf32addcee9f93ec4,
  0xdec34d9c22b4c35b, 0x9227f06a7a6f51f7, 0x10c4aff3f7c11423, 0xbbe6e5c880370f85, 0x2196877488655777,
  0xf3fe80e784da5454, 0x95e5ab7cd062f6ff, 0x81adfefa9c982c37, 0x5c1c53d717d76ffc, 0xb09117dc4963cf28,
  0xacd90ff51f097e21, 0xcb19fac99e2ee373, 0xd3f8327bd4797d3d, 0x7ce62c05dbebe471, 0x33c75e8f9d87c463,
  0xafaf5f0eae1ee396, 0xaf2e556b39ebee9b, 0x2a551ae8a839bc8d, 0x372bb54b7d5d9cea, 0x4ac7a39135c0809d,
  0xcf6ab445795c84ae, 0xc2ca6c59d01e7eb5, 0xf18c10b4d5ceaf52, 0xda7081bc20e88139, 0x37c371e6c25ccbe6,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f,
  0x7ee6866587494b67, 0x001a4902b3a2cf25,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ee_ce[] = {
  0x3a4cddddddd432db, 0xc36efdf124cf0fb8, 0xf7eafbbbf7d76d8a, 0x33ed14a8d5b93135, 0xa6d0671c2d689769,
  0x0b771c11560f0cce, 0x04f8c0482d95de4c, 0x29190485d204f273, 0x199b7e2fb7e15d7d, 0xb9dd3f27d881850c,
  0xa383fc9b107e655b, 0x1d8fcdea3868d869, 0xfcfdf04508e489fc, 0x52200dc3e144312b, 0x9688655777bbe6e0,
  0x9e137ce8a8432d02, 0xe68317b7986ffa03, 0xd4e4c161bcaf2d5b, 0xff54650fe4620ff7, 0x8ffe7942e0e18f9d,
  0x898cc273b8dc672e, 0x8f51e5650e53b595, 0x8add2fa8f83660fa, 0x709c370ebec5a629, 0x2b0ea426be96c65c,
  0x3b2008c1439d5db9, 0xe45b1aaf1b1d794d, 0x726701c762d37bd1, 0x5f631b866470decb, 0x556b39ebee9bafaf,
  0x1ae8a839bc8daf2e, 0xb54b7d5d9cea2a55, 0xa39135c0809d372b, 0xb445795c84ae4ac7, 0x6c59d01e7eb5cf6a,
  0x10b4d5ceaf52c2ca, 0x81bc20e88139f18c, 0x71e6c25ccbe6da70, 0x337f07771a2c79c3, 0x64b867a615c9fbab,
  0x9961d252d9f02719, 0xa4ece8b3c95fb9a1, 0x0000000000004c13,
};

static const uint64_t ur_pwm161_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ed022f, 0xfbe26c7cb27071d7, 0x536bbd13e35043dd, 0xdfc2b8b1f82cde98, 0x4bb123ae55fb2aab,
  0x3f2b8feec782e3fb, 0x247b3bb69f211789, 0xe9827c602416caef, 0x5f4a464121748a46, 0x430666df8bedf857,
  0x4b7e774fc9f62061, 0xc33872d4ccdffccb, 0x0687d37a8fd83b0b, 0xff3f7c114239227f, 0x64980370f8510c4a,
  0xe0a21955ddeef9b9, 0xe784da6e2a10cb40, 0xf9a0c5edd9cbfe80, 0x642f30586f2bcb56, 0xbea8c9d7c8bc3ff4,
  0x4b1e7942f3bbc3b8, 0xf84bf10d8488bee2, 0x8bb8dc1545927fa8, 0x72ba53b5b9b5f267, 0x51f06cc1edff51e5,
  0x1d7d8b4c5315efbf, 0x4d7d2d8cb8e1386e, 0x9ea73abb73051d48, 0xbc6c75ec66ec63d1, 0x8ec5a7a523886c6a,
  0x132386f65deece03, 0xf5f16791445546c1, 0xe556b39ebee9bafa, 0x51ae8a839bc8daf2, 0xbb54b7d5d9cea2a5,
  0x7a39135c0809d372, 0xab445795c84ae4ac, 0xd7ce80f1cad75cf6, 0xc20e881085482e52, 0xec55516920a7081b,
  0xc25ccbe6da0518ed, 0xc68b1be2e4d5c1e6, 0x39fa9d599bf83f6e, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00004002a6b45564,
};

static const uint64_t ur_pwm161_swio15_dual_hw[] = {
  0x13bbbbbb4486dd9e, 0x5eefdf1232357073, 0x6efdeec4e1234168, 0xb8cfdf4e4e5b29a7, 0xe2d3ecb11dadd312,
  0xef24d8770fcabdea, 0xea89827c602416ca, 0x0aebe948c8242e90, 0x0c2860ccdbf17dbf, 0xf32addcee9f93ec4,
  0xdec0a29c1c9cdf3b, 0x9227f071ee6f51d7, 0x10c4aff3f7c11423, 0xbbe6e21f00370f85, 0x219680f888655777,
  0x17fe80e784dbdc54, 0x95e5ab7cd062f6ec, 0x828bfeec4f982c37, 0xbf51fba3be596bfc, 0x33930f71c74fe0f7,
  0x0046989cc580bac5, 0x0ffd9823af01a9d9, 0xa81e59edbde37d50, 0xcf5f74dd7d7af9f3, 0x41cde46d7972ab59,
  0xeaece75152a8d745, 0xae0404e9b95daa5b, 0xcae42572563d1c89, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xb49053840de10744, 0xf9b6815156f62aa8, 0xf505d8dc79b09732, 0x7ff787bde50c2a73, 0x43cc9fe07f197e62,
  0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c, 0x00031ba8a9ca29e4,
};

static const uint64_t ur_pwm161_swio15_dual_ee_hw[] = {
  0x62ddddddd41432db, 0xf77ef89b260fb83b, 0xdf5f74b56ca0dd02, 0xd1395f210d77bade, 0x7dc201802a2b62b0,
  0x8bb8e08ab34ceb22, 0x27c602416caef244, 0xa46412174831eb98, 0x666df8bedf8575f4, 0xe774fc9f62061430,
  0x3818fcc337f9956e, 0xc6b4dea3a5ad805a, 0xe7ef822847244fe0, 0xa8006e1f0a21895f, 0x2a21955ddeef9b8e,
  0x784c63e2a10cb40a, 0xcd062f6eff3fe80e, 0xc4f982c3795e5ab7, 0xad68ff77c80b5fee, 0x3061efd4795dba9a,
  0xd377c57a6fd47c1b, 0x632e384e1b875f62, 0x82ae04fcd2135f4b, 0x7631e8cf539d5a5d, 0xe21b1aad743af633,
  0x7bb380e3b169e948, 0x2aa3608fd6e1bd97, 0x74dd7d7af802c8a2, 0xe46d7972ab59cf5f, 0xe75152a8d74541cd,
  0x04e9b95daa5beaec, 0x2572563d1c89ae04, 0x6bae7b55a22bcae4, 0xa417296be74078e5, 0x53840de107440842,
  0x815156f62aa8b490, 0xd8dc79b09732f9b6, 0x271a50c2a73f5361, 0x5c9f80f9a1e64ff0, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x00000aed0f2f453c,
};

static const uint64_t ur_pwm161_swio15_dual_ce_hw[] = {
  0x65bbbbba1eb432db, 0xddfbe2417ecdf077, 0xb41ddd943db2723b, 0xe122d8bbb44fcfbd, 0xb0f9085d6f75d914,
  0x2792bb8e08ab34ce, 0x39827c602416caef, 0xd7d29190485d22c9, 0x50c199b7e2fb7e15, 0x55bb9dd3f27d8818,
  0x0704e1d5f350ffe6, 0x3f83b7537a8f1cb6, 0x257f9fbe08a11c91, 0x6e737c01b87c2886, 0xd031e88655777bbe,
  0xd01cf09bba8a8432, 0x6adf3418bdbeed7f, 0xffbb13e60b0de579, 0x84eae2fabf9f20e0, 0x22fb892c79e50b83,
  0x6ffea3e12fc43612, 0xe27e678bb8dce5a6, 0x3b5bd4709f3dcb19, 0x580a5176fc71d3f8, 0xf01a9d90046989cc,
  0xde37d500ffd99e3a, 0xf5ebe7cea0796b73, 0xe5caad673d7dd375, 0x4aa35d15073791b5, 0xe576a96fabb39d45,
  0x58f47226b81013a6, 0xed5688af2b9095c9, 0xa5af9d01e395aeb9, 0x37841d10210a905c, 0xdbd8aaa2d2414e10,
  0xcd84b997cdb40a31, 0x430a9cfd4bd5c6e3, 0x64ff1738cbf313f9, 0x5727e39effe09a1e, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000004dd53ebd14f,
};

static const uint64_t ur_pwm161_swio15_dual_ee_ce_hw[] = {
  0x72d5bbbbbba86f97, 0xb5bbf7c4933fabf0, 0x9aa31ddad1579d63, 0x395864fbb0419cc9, 0x595edc2d689765a9,
  0x9cee78233ad53a5c, 0x09f180905b2bbc92, 0x5232090ba409e4e6, 0x3336fc5f6fc2bafa, 0x73ba7e4fb1030a18,
  0x1c1aee643efccab7, 0x61a26f51dfe6c310, 0xf3f7c114239227f0, 0x3f80370f8510c4af, 0x2221955ddeef9b9c,
  0x784c5d62a10cb430, 0x9a0c5ede61bfe80e, 0x89f30586f2bcb56f, 0xfd51e56f91883fdd, 0x07fcf285c1cc4077,
  0x17c984e771b9950d, 0xfea3cae574a76b2b, 0x2bdf7ea3e0d983db, 0xc270dc3afb1698a6, 0x0a3a909afa5b1971,
  0xd8c7a33d4e7576e6, 0x10d8d578d8ebd8cd, 0xdd9c071d8b4f4a47, 0xaa8d8226470decbb, 0xd375f5ebe2cf2288,
  0x91b5e5caad673d7d, 0x9d454aa35d150737, 0x13a6e576a96fabb3, 0x95c958f47226b810, 0xaeb9ed5688af2b90,
  0x905ca5af9d01e395, 0x4e1037841d10210a, 0x0a31dbd8aaa2d241, 0x86e3cd84b997cdb4, 0x64b867a615c9f9fd,
  0x9961d252d9f02719, 0x34edd453c95fb9a1, 0x0000000000000011,
};

static const uint64_t ur_pwm161_swio15_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d0421f, 0xdfbe26c7cb27071d, 0x6f76bbd13e35043d, 0x555efe15c58fcd16, 0x1fda5d891d72afd9,
  0xc16d342027763c17, 0x05b2bbc91ecee2fa, 0x5d2291ba609f1809, 0xfb7e15d7d2919048, 0x7d881850c199b7e2,
  0x66ffe65d849dd3f2, 0x7ec1d85e19c396a6, 0x11c913f8343e9bd4, 0xc2886257f9fbe08a, 0xef77cdcb24c01b87,
  0x50865a070510caae, 0xce5ff4073c26d371, 0x795e5ab7cd062f6e, 0x22f0ffc03ee982c3, 0x072f0ee2faa3275f,
  0x222fb892c79e37c3, 0xcf5fea3e12fc4361, 0x6d7c99e2ee3702c8, 0x7fd4795cae94ed6e, 0xc57befd47c1b307b,
  0x384e1b875f62d314, 0xc14752135f4b632e, 0xbb18f467a9ceaedc, 0xe21b1aaf1b1d7b19, 0x7bb380e3b169e948,
  0x1551b044c8e1bd97, 0xba6ebebd7c59e451, 0xf236bcb955ace7af, 0x73a8a9546ba2a0e6, 0x0274dcaed52df576,
  0x12b92b1e8e44d702, 0xb5d73daad115e572, 0x520b94b5f3a03c72, 0x29c206f083a20421, 0x81463b7b15545a48,
  0xd8dc79b09732f9b6, 0x87bde50c2a73f505, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347,
  0xd0ccb0e9296cf813, 0xac7fe10be9e4afdc, 0x00000000000000eb,
};

// pwm216_autobaud_uart0_noled_pr    pwm316_autobaud_uart0_noled       pwm316_autobaud_uart0_noled_pr
static const uint64_t ur_pwm216_autobaud_uart0_noled[] = {
  0xc4b777777759bb37, 0xdddddddd55f85f9b, 0xeea41b4de0fab68c, 0x0bcd875e35f67eee, 0x416caef2776c7b21,
  0xd48e7fba9827c602, 0x14088153e123d7ff, 0x5526bf68c7017435, 0x921c368ded51c2bf, 0xf83349ea3d7f3be5,
  0x0b7ba6b5aa5c71d3, 0x2e763488ccf1cc58, 0x564356e39630475e, 0xce70b37e06256bd8, 0x2de6f0725603bd6b,
  0xbf9b752d5ca52f9c, 0x3a204cf8a042d3b8, 0xc25ccbe6da718de3, 0x90347f1a2c79c376, 0xe19e985727eeacc7,
  0x7494b659289c6592, 0x483cf257ee686658, 0x000000007110248e,
};

// pwm316_autobaud_uart0_noled_pr_u4
static const uint64_t ur_pwm216_autobaud_uart0_noled_pr_u4[] = {
  0x6eeeeeed1222e59b, 0xbbbbbaabf0bedb89, 0xf4bc7cc982fdb1fb, 0x1c00f26eeedc4e1f, 0x93bbc962732193aa,
  0xfcc13e30120b6577, 0x3e12ea3febb467f6, 0x8c70174351408815, 0xded51c2bf5526bf6, 0x51fa03be5843c368,
  0xefb5a38e9fc1a0bf, 0xe8f58731602cb299, 0x7fecc11d7a3e76af, 0x81e59ed8fb33ca80, 0x0b37e06256bd838f,
  0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815, 0x9b6249156f62aa8b, 0x8b9357079b09732f,
  0xab31e40fca1a2c6f, 0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34,
  0xcd0ccb0e9296cf81, 0xc35f5444049e4afd, 0x0000000000000008,
};

/*
 * pwm216_autobaud_uart0_noled_pr_ee_u4 pwm316_autobaud_uart0_noled_pr_ee
 * pwm316_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_pwm216_autobaud_uart0_noled_pr_ee[] = {
  0x96eeeeeed1222a20, 0xbbbbbbaab8bf8d38, 0xb3f60cf1d91fd34b, 0x5c9083236b778f8d, 0xe8f62d51c635040f,
  0x04f8c0482d95de4e, 0x94aeffaed19fd9d3, 0x80ba1a8a0440a9f0, 0xa8e15faa935fb463, 0x26ab5a39c61b46f6,
  0xc1b30698fa8f2b91, 0x5a1143be2beebd47, 0x35f4616588a459a7, 0x3ab4bce2b8d64d21, 0x3af3a6edbda3c167,
  0x28e791871b1aad74, 0xb70decb65cc5c242, 0x801512a6951b047e, 0xbce70b37e06256bd, 0x5bcde01f50603bd6,
  0x8815d54e5e536338, 0xaa8b4b0b9c6378ce, 0x732f9b6249156f62, 0x2c6f8b9357079b09, 0x3f53ab31e40fca1a,
  0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296,
  0x0004d4e4d044049e,
};

/*
 * pwm216_autobaud_uart0_noled_pr_ce_u4 pwm316_autobaud_uart0_noled_pr_ce
 * pwm316_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_pwm216_autobaud_uart0_noled_pr_ce[] = {
  0x2ddddddda2447705, 0xeeeeeeaaf49fc5f1, 0x44d85a331a0ba106, 0x6967ef1deeeed08c, 0xbc9ddb0db2bc8a4c,
  0x95a609f180905b2b, 0x53e12287ff5da33f, 0x68c7017435140881, 0x8ded51c2bf5526bf, 0x54edfcb8beb92436,
  0x61222fb892c79e32, 0xff3107ea3e12fc43, 0xe58cfd64cf1771b8, 0x3a7f07acf51c9e9e, 0xeb0e62c051f3a48e,
  0xd99e3af47ced5fd1, 0xf2d6e1f6679500ff, 0x9bf0312b5ec1c7c0, 0x0fa8301deb5e7385, 0xa72f29b19c2de6f0,
  0x85ce31bc67440aea, 0x624863b7b15545a5, 0x9357079b09732f9b, 0x31e40fca1a2c6f8b, 0x7bde50c2a73f53ab,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x5e6dc4049e4afdcd,
  0x00000000000008dd,
};

// pwm316_autobaud_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm216_autobaud_uart0_noled_pr_ee_ce[] = {
  0x12dddddddd4458e2, 0xeeeeeeeaaf1a0a67, 0x6d71b4537624760d, 0x4b42cb2ab4dd85ea, 0xe94e1ec1b8eb74ee,
  0x04f8c0482d95de4e, 0x20b5ff5da33e3373, 0x01743514088153e1, 0x51c2bf5526bf68c7, 0x1dff546fe4368ded,
  0x7687df9e3254ef02, 0xb2b1ef984e771b8d, 0x1ad7f51e57d44a76, 0x0531584ff51f06cc, 0x0b2c4522cd3ad08a,
  0xabb74e23a909afa3, 0xaf3a6edbda3c1673, 0x1cf230e36355e363, 0xe1bd96cb98b84845, 0x59d12a6951b044c8,
  0xce70b37e06256bd8, 0xbcde01f50603bd6b, 0x815d54e5e5363385, 0xa8b4b0b9c6378ce8, 0x65f36c490c76f62a,
  0x8b1e71726ae3612e, 0x727eeacc7903f286, 0x9289c6592e19e985, 0x7ee6866587494b65, 0x02b369f5e2024f25,
};

// pwm316_autobaud_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_autobaud_uart0_noled_pr_ee_ce_u4[] = {
  0x2ddddddda2435f41, 0x7777775573c14671, 0x6ec48f4eb23a1bb7, 0x6277d3c3f006ead0, 0x3bb45fddb62ae264,
  0xcc13e30120b65779, 0x4a76ffea907cfd6f, 0xc05d0d45022054f8, 0x5470afd549afda31, 0x6e2faa390f0da37b,
  0xb892c79e50b83870, 0xea3e12fc4361222f, 0xe678bb8dce8fa927, 0x8f2bea253b5b9b7b, 0x27fa8f83660d6bfa,
  0x91669d68450298ac, 0x11d484d7d1859622, 0x6ded1e0b39d5dba7, 0x71b1aaf1b1d79d37, 0x65cc5c24228e7918,
  0x34a8d8226470decb, 0xbf0312b5ec2ce895, 0xfa8301deb5e73859, 0x72f29b19c2de6f00, 0x5ce31bc67440aeaa,
  0x24863b7b15545a58, 0xf0dc79b09732f9b6, 0x75666fe0eee3458d, 0xef0f7bca1854e7ea, 0x993fc0fe32fcc4ff,
  0x8f45fe07efd86687, 0x271964b867a617c6, 0xb9a19961d252d9f0, 0x8221b90b4f93c95f, 0x0000000000000000,
};

// pwm316_autobaud_uart0_noled_ee_hw
static const uint64_t ur_pwm216_autobaud_uart0_noled_ee_hw[] = {
  0x96eeeeeed121be4a, 0xbbbbbbaab8bf8d38, 0x1b67ec19e3bd23fb, 0x1eb9210646d6ef1f, 0x793ba528eb6abe08,
  0x674c13e30120b657, 0x54f84a577fd0a67f, 0xda31c05d0d450220, 0xa37b5470afd549af, 0x95c89355ad1ce30d,
  0x5ea3e0d9834c7d47, 0x2cd3ad08a1df15f7, 0x26909afa30b2c452, 0xe0b39d5a5e715c6b, 0x56ba1d79d376ded1,
  0xe1211473c8c38d8d, 0x823f5b86f65b2e62, 0x2b5ec00a89534a8d, 0x1deb5e73859bf031, 0xb19c2de6f00fa830,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0xcd84b997cdb1248a, 0x2861539fa82ec6e3, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0x49d14f257ee68665, 0x00000000001627be,
};

/*
 * pwm216_autobaud_uart0_noled_ee_ce_u4_hw pwm316_autobaud_uart0_noled_ee_ce_hw
 * pwm316_autobaud_uart0_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm216_autobaud_uart0_noled_ee_ce_hw[] = {
  0x5bbbbbbb44864c7f, 0xeeeeeeaae7828ce2, 0xdd891e9d6474376e, 0xc4efa787e00dd5a0, 0x93bbd7773b6abcc8,
  0xfcc13e30120b6577, 0x3e129dbffa14cfd6, 0x8c70174351408815, 0xded51c2bf5526bf6, 0x1c1b8bea8e43c368,
  0x8bee24b1e7942e0e, 0x23fa8f84bf10d848, 0x6f7ccf1771b89517, 0x7f51e57d44a76b73, 0x1584ff51f06cc1ad,
  0xc4522cd3ad08a053, 0x74e23a909afa30b2, 0xa6edbda3c1673abb, 0x230e36355e363af3, 0xd96cb98b848451cf,
  0x12a6951b044c8e1b, 0x0b37e06256bd859d, 0xe01f50603bd6bce7, 0xd54e5e5363385bcd, 0x4b0b9c6378ce8815,
  0x36c490c76f62aa8b, 0xa0bb1b8f3612e65f, 0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668,
  0x0271964b867a617c, 0xfb9a19961d252d9f, 0x0012a43721453c95,
};

// pwm316_autobaud_uart0_lednop
static const uint64_t ur_pwm216_autobaud_uart0_lednop[] = {
  0x44b777777759bb37, 0xfdddddddd55f85c6, 0x520da3afad3c4ef8, 0xd36200db69177777, 0x20b657793bb63d90,
  0xea473f224c13e301, 0x8a0440a9f09695ff, 0xaa935fb46380ba1a, 0xc90e1b46f6a8e15f, 0xfe0cd27a8e4f1df2,
  0x016f74c3e7491c74, 0x173b35f23905398b, 0x1583ef71cb1823af, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xe7f61bb612e65f36, 0x9c6592e19e985727,
  0x6866587494b65928, 0x62fd6e483cf257ee, 0x00000000000000d6,
};

/*
 * pwm216_autobaud_uart0_lednop_pr_u4 pwm316_autobaud_uart0_lednop_pr
 * pwm316_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr[] = {
  0xb77777768911259b, 0xdddddd55f85cb8c4, 0xedbf4a9171debd3d, 0xff1fe2f7776e270f, 0x4eecbbb120ce05c2,
  0x7304f8c0482d95de, 0xf84bbaffaed19f8f, 0x31c05d0d45022054, 0x7b5470afd549afda, 0x47b58ef9610f0da3,
  0x241f8e3a7f0682fd, 0x1a43398b016594df, 0xfd9823af47cecb3d, 0x3cb3db416691500f, 0x66fc0c4ad7b20ad0,
  0x0c077ad79e0404e1, 0x7253a005bcde6c8a, 0xde33a2077ca9bd4a, 0xadec555169aba718, 0x79b09732f9b6e722,
  0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03,
  0xe9296cf8138cb25c, 0x4049e4afdcd0ccb0, 0x000000008c30405c,
};

// pwm316_autobaud_uart0_lednop_pr_ee
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr_ee[] = {
  0xddddddd0f5a22044, 0x7777755717fa0b12, 0x34cfda9bfa7a6277, 0xb210646d6ef1f1b6, 0x829395c1086d16a2,
  0x3e30120b657793ba, 0xa6ffebb467c6b4c1, 0x2e86a281102a7c25, 0x3857eaa4d7ed18e0, 0xaad68e7186d1bdaa,
  0x6cc1a63ea3cacca9, 0x08a1df1587bf51f0, 0xfa30b2c4522cd3ad, 0x5a5cf55c6b26909a, 0xbce9bb4648c9a39d,
  0x09e46f6ac6ab5d0e, 0xc37b2d973170908a, 0x087d99e546c11fad, 0x13859bf0312b5ec0, 0xb228301deb5e7810,
  0xf529c94e8016f379, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xd5c1e6c25ccbe6db, 0xc81f943459d3e2e4,
  0xfca1854e7ea75663, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4,
  0x0000009a9dd3d101,
};

// pwm316_autobaud_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr_ee_u4[] = {
  0x96eeeeeed1222582, 0xbbbbbbaab8bfb4b8, 0x537656da9b45d23f, 0x2f0a83236b74bdfa, 0xd3b410e5d96aa0b4,
  0x09f180905b2bbc9d, 0x2cadff5da33fa6e6, 0x01743514088153e1, 0x51c2bf5526bf68c7, 0xcd56b46be4368ded,
  0x0d983c8bea3cac27, 0xd08a1df15c89ea3e, 0xafa30b2c4522cd3a, 0x569797cb8a266909, 0x7aea6ec22a3e78e7,
  0x2bfa3d658d56ba1d, 0x0decb8723170908a, 0x0c4ad7b1703efeb7, 0x7ad79e0404e166fc, 0xa005bcde6c8a0c07,
  0xa2077ca9bd4a7253, 0x555169aba718de33, 0x9732f9b6e722adec, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x00009a9c917c4049,
};

/*
 * pwm216_autobaud_uart0_lednop_pr_ce_u4 pwm316_autobaud_uart0_lednop_pr_ce
 * pwm316_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr_ce[] = {
  0x96eeeeeed1222044, 0x777777557a4fc338, 0x1c5e6c58fb23ad17, 0xeb8d3537bbbb4231, 0xf277505272e9c10d,
  0xba9827c602416cae, 0x4f84b027fd768cfd, 0xa31c05d0d4502205, 0x37b5470afd549afd, 0xa7752ae2fae490da,
  0x09117dc4963cf192, 0xbf003f51f097e21b, 0x58cfd64cf1771b95, 0xa7f07acf51fa49ee, 0x0ce62c054c4458e3,
  0x678ebd1f3b2cf469, 0xb5b9059a45403ff6, 0xfc0c4ad7b20ad03c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x43458df1726ae0f3, 0x54e7ea75663c81f9,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2,
  0x0000008dd6aca880,
};

// pwm316_autobaud_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x12dddddddd4477d6, 0xeeeeeeeaaf1a0583, 0x6e99ae36968cf51d, 0xbb080b2ab4dd85ea, 0x75eb4e2295f6848c,
  0x827c602416caef27, 0x958fffd768cf8689, 0x80ba1a8a0440a9f0, 0xa8e15faa935fb463, 0xceffaa37f21b46f6,
  0xa4fd7fcf192a77be, 0xacac7be6139dc6e0, 0x06b5fd4795f7529d, 0x814c57b7fd47c1b3, 0xc2cb1148b34eb422,
  0xeaedc7a8ea426be8, 0x75e74dda32464d1c, 0xa09e46f6ac6abc6c, 0x1c37b2d973170908, 0x1663eccf2a360899,
  0x809c2cdf81895af6, 0xcd914180ef5af3c0, 0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xb9c31dbd8aaa2d35,
  0x2e4d5c6c25ccbe6d, 0x598f207e50d163ce, 0xcb25c33d30ae4fdd, 0xccb0e9296cb25138, 0x63fc4049e4afdcd0,
  0x0000000000002b37,
};

// pwm316_autobaud_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_autobaud_uart0_lednop_pr_ee_ce_u4[] = {
  0x2ddddddda2436d3a, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0x776e76cd8f6c98cc,
  0x9827c602416caef2, 0x4b107fd520f9f43e, 0xc05d0d45022054f8, 0x5470afd549afda31, 0xae2faa390f0da37b,
  0xb892c79e50b83896, 0xea3e12fc4361222f, 0xccf1771b8089300f, 0x1e57dd4a76b736f7, 0xdff51f06cc1ad7f5,
  0x22cd3ad08a05315e, 0xa3a909afa30b2c45, 0x68c9193473abb71e, 0xdab1aaf1b1d79d37, 0x65cc5c242282791b,
  0x3ca8d8226470decb, 0x7e06256bd8598fb3, 0x03bd6bcf020270b3, 0x29d002de6f364506, 0x19d103be54dea539,
  0xf62aa8b4d5d38c6f, 0xb09732f9b6e70c76, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x5b4f93c95fb9a199, 0x000000000082265a,
};

// pwm316_autobaud_uart0_lednop_ee_hw
static const uint64_t ur_pwm216_autobaud_uart0_lednop_ee_hw[] = {
  0x96eeeeeed121af43, 0xbbbbbbaab8bfd058, 0x1b634cfda9bdfa7b, 0x6a2b210646d6ef1f, 0xf2775a77dadd94d1,
  0xd69827c602416cae, 0xa9f0969bffa14cf8, 0xb46380ba1a8a0440, 0x46f6a8e15faa935f, 0x2b32a6ab5a39c61b,
  0xfd47c1b30698fa8f, 0xb34eb422877c561e, 0x9a426be8c2cb1148, 0x268e756973d571ac, 0xad743af3a6ed1923,
  0xc242282791bdab1a, 0x047eb70decb65cc5, 0xad7b0021f667951b, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x2f9b6e722adec555, 0x3f505d8dc79b0973, 0x27ff787bde50c2a7,
  0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30, 0x4afdcd0ccb0e9296, 0x000016278056a29e,
};

/*
 * pwm216_autobaud_uart0_lednop_ee_ce_u4_hw pwm316_autobaud_uart0_lednop_ee_ce_hw
 * pwm316_autobaud_uart0_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm216_autobaud_uart0_lednop_ee_ce_hw[] = {
  0x2ddddddda243173e, 0x7777775573c1c9d1, 0x6ed1989134ba52b7, 0xec4f91c3f006ead0, 0xc9ddcfb403a89ecc,
  0xfa609f180905b2bb, 0x4f84b107fd0a67d0, 0xa31c05d0d4502205, 0x37b5470afd549afd, 0x896ae2faa390f0da,
  0x22fb892c79e50b83, 0x397ea3e12fc43612, 0xdbdf33c5dc6e5253, 0x5fd4795f7529dadc, 0xc57b7fd47c1b306b,
  0xb1148b34eb422814, 0xdc7a8ea426be8c2c, 0x74dda32464d1ceae, 0xe46f6ac6abc6c75e, 0x7b2d973170908a09,
  0x3eccf2a3608991c3, 0xc2cdf81895af6166, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a,
  0x31dbd8aaa2d3574e, 0x71e6c25ccbe6db9c, 0xf79430a9cfd41763, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0x996968a792bf7343, 0x0000000000000254,
};

/*
 * pwm216_autobaud_uart0_dual_pr     pwm216_autobaud_uart0_dual_pr_u4  pwm316_autobaud_uart0_dual
 * pwm316_autobaud_uart0_dual_pr     pwm316_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_pwm216_autobaud_uart0_dual[] = {
  0xe0fbbbbbbb4486f9, 0xbbbbbbbbe26c99ce, 0x6247ed1d629da9f7, 0xc31a821d86dddda6, 0x5a2bba6d1c87739f,
  0x9827c602416caef2, 0x4e948c8242e90601, 0x614306acf167a488, 0xf32addcee9f12e20, 0x26c2571c2dd4db3b,
  0x9227f0652e6f51f0, 0x10c4aff3f7c11423, 0xddf3731000370f85, 0x10cb43a84432abbb, 0x0ffe80e784d2fa2a,
  0xe5796adf3404b6e7, 0x849fcff1d4e60b0d, 0x1c05d0d45022054f, 0xb5470afd549afda3, 0x7c8a77cb1350da37,
  0x5ef8e3a7f0621fd4, 0xd7f398b01541e69c, 0xd9823af00676b591, 0xcb3db10e90d500ff, 0x2af9ddc549549d03,
  0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a, 0x455bd8aaa2d3574e,
  0xb8f3612e65f36dce, 0xccdfc1ddc68b1be1, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x55a7d69f2792bf73, 0x0000000000000170,
};

// pwm316_autobaud_uart0_dual_pr_ee
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ee[] = {
  0x1f77777775050c86, 0x7777777c48d3c99c, 0xb2ab8858abf72277, 0xe26eb4b4091dd415, 0xdddd8dd9f57e6283,
  0xe30120b657792ec9, 0x8c8242e91dc7cc13, 0x06acf167a4884e94, 0xddcee9f12e206143, 0x767043e9b1bbf32a,
  0x83d3537a8f88360d, 0x7f9fbe08a11c913f, 0x180401b87c288625, 0x95c88655777bbe6e, 0x39e131438a8432d0,
  0xb7cd012db868ffa0, 0xfc753982c3795e5a, 0x6a281102a7c244eb, 0x7eaa4d7ed18e02e8, 0x68e4486d1bdaa385,
  0x3053d4795afb9aad, 0x3be2ba95ea3e0d98, 0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e,
  0x1f3d6355ae875ea2, 0x97d2cc5c24228115, 0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27,
  0xc8a0c077ad79e040, 0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x8dc79b09732f9b6e,
  0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6, 0xc95fb9a19961d252,
  0x0000a54873eb4f93,
};

// pwm316_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ee_u4[] = {
  0x77777768adbbbb90, 0x77777c48d3c99c1f, 0x8858abf2275a7b77, 0xb4b4091dd415b2ab, 0x25795effad83e26e,
  0x05b2bbc9764ee352, 0x1748ee3e609f1809, 0x8b3d244274a46412, 0x4f8971030a183567, 0xfa6c6efccb4b7e77,
  0xdea3e20d835d9c10, 0x822847244fe0f4d4, 0x6e1f0a21895fe7ef, 0x955ddeef9b860100, 0x50e2a10cb4257221,
  0x4b6e1a3fe80e784c, 0x60b0de5796adf340, 0x02a7c244ebffc80a, 0x7ed18e02e86a2811, 0x6d1bdaa3857eaa4d,
  0x795afb9aad68e448, 0x95ea3e0d983053d4, 0x459a75a1143be2ba, 0x5cd2135f4616588a, 0x7bd9cead2e652e2a,
  0x55ae875ea25da214, 0x5c242281151f3d63, 0x608fd6e1bd97d2cc, 0xee2a4a0109fd62a3, 0xc0c4ad7b27f157ce,
  0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade,
  0x1a2c6f8b9357079b, 0xe7ea75666fe0fdbb, 0xc4ffef0f7bca1854, 0x6687993fc0fe32fc, 0x17c68f45fe07efd8,
  0xd9f0271964b867a6, 0xc95fb9a19961d252, 0x00052a4b2df80653,
};

// pwm316_autobaud_uart0_dual_pr_ce
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ce[] = {
  0x3eeeeeee87ad0c86, 0xddddddf138bd35f8, 0xec806e7162dc3edd, 0x66eb8957eeeebd61, 0x6eeeec6ecbebf317,
  0x9f180905b2bbc966, 0xa4641217483afa60, 0x1835678b3d244274, 0x56ee774f8971030a, 0x9db385adcd5bff99,
  0xf0633737a8e9b7b0, 0xaff3f7c114239227, 0xce8f80370f8510c4, 0x050d10caaeef77cd, 0x073c2674b150865a,
  0xadf3404b6e63fff4, 0xff1d4e60b0de5796, 0x1a8a0440a9f096ce, 0x5faa935fb46380ba, 0x5f54021b46f6a8e1,
  0x258f3ca17071d2dc, 0x7c25f886c2445f71, 0x3c5dc6e6206bbfd4, 0xa38df9ee58cfa973, 0x283e471d3f83a97e,
  0xed6b23afe7316028, 0xaa01ffb33c75e00c, 0xaa4e81e5adc21d21, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a,
  0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf36dce18edec5551, 0x59d3e1b8f3612e65,
  0x7ea75666fe0eee34, 0x9c65f989fca1854e, 0xcf7ff04d0f327f8b, 0x32c970cf4c2b93f1, 0x4332c3a4a5b3e04e,
  0x7b40969f2792bf73, 0x00000000000000ad,
};

// pwm316_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ce_u4[] = {
  0xc1f7777776890c86, 0xeeeeeeef89c5f55f, 0x619d6f7ed396d77e, 0x285900962dddd0dd, 0x89ceeeec6ecb41e6,
  0x609f180905b2bbc9, 0x74a46412174867ae, 0x0a1835678b3d2442, 0x9956ee774f897103, 0xf61ff0e01a26d35f,
  0x44fe0e87e6f51ec7, 0x1895fe7ef8228472, 0x7cdcb91006e1f0a2, 0x65a0e9510caaeef7, 0xff4073c2628b1508,
  0x796adf3404b6fd5f, 0x656ff1d4e60b0de5, 0x0ba1a8a0440a9f09, 0x8e15faa935fb4638, 0x2dc5f55f21b46f6a,
  0xf71258f3ca17070a, 0xfd47c25f886c2445, 0xe333c5dc6e6206bb, 0xe3ea3dc39ee58cf0, 0x02c43bdc71d3f830,
  0x916ec4f237b47316, 0xa3a13fb8e58cf1d7, 0xd7b27f157ceee2a4, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7,
  0x7ca9bd4a7253a005, 0x69aba718de33a207, 0xf36dce18edec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6,
  0x89ffde1ef79430a9, 0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5,
  0x0000ad7b81569f27,
};

// pwm316_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ee_ce[] = {
  0x707dddddddd432db, 0xbbbbbbbbe254db4f, 0xebbf7187c8077eaf, 0x0ce571080a76e9ce, 0xe3822ac1e199d4da,
  0x180905b2bbc93ace, 0xc8242e909e5e609f, 0x6acf167a4884e948, 0xdcee9f12e2061430, 0xc7067c9bacff32ad,
  0x62926f51cd6f6130, 0xf3f7c114239227f0, 0x4880370f8510c4af, 0xd221955ddeef9b81, 0x784db3a2a10cb409,
  0xf3404b6f003fe80e, 0x1d4e60b0de5796ad, 0x8a0440a9f097fcff, 0xaa935fb46380ba1a, 0x6bee1b46f6a8e15f,
  0x3ca170734d9dff54, 0x309cee3731bbb07f, 0x3cacca94ed656443, 0x7bf51f06cc1a63ea, 0x22cd3ad08a053158,
  0xe3a909afa30b2c45, 0xc3e23e90e7576e09, 0x5d8d578d8ebdac4e, 0x7c62e121147408ea, 0x971889f32386f65c,
  0x5af64fe2af9ddc54, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400, 0x2d3574e31bc67440,
  0xbe6db9c31dbd8aaa, 0xa2c79c371e6c25cc, 0x5c9fbab337f07771, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x000c443a4eb4f93c,
};

// pwm316_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ee022f, 0x7777c49bb721f07d, 0xd5fdc7766eb2b777, 0x88f6dda2f44fabdf, 0x2d8004b228c4673c,
  0x29f6eefed1f1ebe6, 0xcc13e30120b65779, 0x3a5232090ba46b82, 0x850c1ab3c59e9221, 0x65a5bf3ba7c4b881,
  0x052438737e6548fe, 0xfe0e92a6f51fa3fb, 0x95fe7ef822847244, 0x70ebe006e1f0a218, 0x09db4432abbbddf3,
  0x039e137fc8a8432d, 0x56f9a025b7643ffa, 0xffe40530586f2bcb, 0x6a281102a7c258dd, 0x7eaa4d7ed18e02e8,
  0x51a9e86d1bdaa385, 0x3cf285e76337717d, 0x97e21b09117dc496, 0xe373541e41ff51f0, 0xc94ed6e6e6e99e2e,
  0xf06cc1af9ea3cadf, 0xad08a05315c06f51, 0x9afa30b2c4522cd3, 0xef673abb71943a90, 0xaf1b1d7a89768851,
  0xe1211408a8f9eb1a, 0x8226470decbe9662, 0xb8a9296627f58a8d, 0x0312b5ec9fc55f3b, 0xdeb5e781013859bf,
  0xe8016f379b228301, 0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0x4b997cdb73863b7b, 0xd1637c5c9ab83cd8,
  0x3f53ab337f07edd8, 0x27ff787bde50c2a7, 0x343cc9fe07f197e6, 0xbe347a2ff03f7ec3, 0xcf8138cb25c33d30,
  0x4afdcd0ccb0e9296, 0x007eadeb2d40329e,
};

// pwm316_autobaud_uart0_dual_ee_hw
static const uint64_t ur_pwm216_autobaud_uart0_dual_ee_hw[] = {
  0xf77777743d686f97, 0x777777c48d3c99c1, 0x2ab8858abf722777, 0x26eb4b4091dd415b, 0x2773c119d6a9d03e,
  0x4f8c0482d95de4bb, 0x5232090ba4771f30, 0x0c1ab3c59e92213a, 0xab773ba7c4b88185, 0x35d9c10fa6c6efcc,
  0xfe0f4d4dea3e20d8, 0x95fe7ef822847244, 0xb8601006e1f0a218, 0x4257221955ddeef9, 0x80e784c50e2a10cb,
  0x6adf3404b6e1a3fe, 0x7fbb13e60b0de579, 0x0d45022054f8489d, 0xafd549afda31c05d, 0xad1c890da37b5470,
  0x060a7a8f2b5f7355, 0x877c5752bd47c1b3, 0xc2cb1148b34eb422, 0xcca5c54b9a426be8, 0x4bb4428f7b39d5a5,
  0xa3e7ac6ab5d0ebd4, 0xb2fa598b84845022, 0x3fac546c11fadc37, 0xfe2af9ddc5494021, 0x09c2cdf81895af64,
  0xd914180ef5af3c08, 0x7a94e4a7400b79bc, 0x4e31bc67440ef953, 0xce455bd8aaa2d357, 0x71b8f3612e65f36d,
  0xc4fe50c2a73f52f5, 0x2687993fc5ce32fc, 0x67a615c9f8e7bff8, 0xd252d9f0271964b8, 0xd453c95fb9a19961,
  0x0000000002c1c8e7,
};

// pwm316_autobaud_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm216_autobaud_uart0_dual_ee_ce_hw[] = {
  0x07dddddddd431f02, 0xbbbbbbbe254dcda7, 0x578fcb41eef5717b, 0x3fa1084053b76351, 0xca31166f4c29f57e,
  0x30120b657793b29d, 0x90485d20f9f4c13e, 0xd59e2cf49109d291, 0xb9dd3e25c40c2860, 0xce0c8735257e655b,
  0x9adcdea3b3e6c3ac, 0xcfdf04508e489fc1, 0x9c00dc3e144312bf, 0xa4432abbbddf373a, 0xf098e0c542196805,
  0xcd012dbfebffd01c, 0xc4f982c3795e5ab7, 0x4088153e12d35fee, 0x526bf68c70174351, 0xc9c368ded51c2bf5,
  0x942e0e0d63bfea8d, 0x84e771b9000527e7, 0xe56fe4a76b2b26e9, 0x37a8f83660d7cf51, 0x1669d68450298ae0,
  0x1d484d7d18596229, 0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f,
  0xaf9ddc5494b313fa, 0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9,
  0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3, 0xc33d30ae4fcfec37, 0x0e9296cf8138cb25, 0x24a29e4afdcd0ccb,
  0x000000000026bf09,
};

// pwm316_autobaud_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_autobaud_uart0_dual_ee_ce_u4_hw[] = {
  0xddddddda28d1ac4f, 0x77777c49bb721f07, 0x5efeafee37bb3777, 0x39e447b6ed17a27d, 0x571fb41aa5914623,
  0xb6577929f6ee9a75, 0xa46b82cc13e30120, 0x9e92213a5232090b, 0xc4b881850c1ab3c5, 0xcca91fccbb093ba7,
  0xa3f47f60a4870e6f, 0x508e489fc1d254de, 0x3e144312bfcfdf04, 0x777bbe6e1d7c00dc, 0x150865a13b688655,
  0xec87ff4073c26ff9, 0x0de5796adf3404b6, 0xe12c6eff00fba60b, 0xc701743514088153, 0xed51c2bf5526bf68,
  0x9bb8bea8d4f4368d, 0xee24b1e78df0c1c1, 0xfa8f84bf10d8488b, 0xe99e2ee3714939bf, 0xa3cadfc94ed6e6e6,
  0xc06f51f06cc1af9e, 0x522cd3ad08a05315, 0x943a909afa30b2c4, 0x768851ef673abb71, 0xf9eb1aaf1b1d7a89,
  0xbe9662e1211408a8, 0xf58a8d8226470dec, 0xc55f3bb8a9296627, 0x3859bf0312b5ec9f, 0x228301deb5e78101,
  0x529c94e8016f379b, 0xc6378ce881df2a6f, 0x863b7b15545a6ae9, 0x6e3cd84b997cdb73, 0xdef2861539fa82ec,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x1a3705f4f257ee68,
  0x00000000000084d3,
};

// pwm216_u1x8_uart0_noled_pr        pwm316_u1x8_uart0_noled           pwm316_u1x8_uart0_noled_pr
static const uint64_t ur_pwm216_u1x8_uart0_noled[] = {
  0x5bbbbbaeed66ef3a, 0xeeeeeeaaec385ee2, 0x656cfddf87f7d2ee, 0x38fd697e6eee9101, 0x5de4ee82f4133164,
  0xf829304f8c0482d9, 0x016f605f27ffa91c, 0x077cb087b9cdfda2, 0x471d3f83417ea3f4, 0x0e62c0596533df6b,
  0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0xc0c4ad7b071f03cb, 0xa0c077ad79ce166f, 0xbca6c670b79bc03e,
  0x38c6f19d102baa9c, 0x922adec555169617, 0xce1bb612e65f36c4, 0x75663c81a3f8d163, 0xe32c970cf4c2b93f,
  0x4332c3a4a5b2c944, 0x00727241e792bf73, 0x00000000000001f2,
};

// pwm316_u1x8_uart0_noled_pr_u4
static const uint64_t ur_pwm216_u1x8_uart0_noled_pr_u4[] = {
  0xdddddd7751222743, 0x7777755761c2f712, 0x5b3f77e1f19a4cf7, 0x3f5a5f9bbba44059, 0xc9dda8bc96c7ac1e,
  0x52609f180905b2bb, 0xdec0be4ffaed19f0, 0xf9610f739bfb4402, 0x3a7f0682fd47e80e, 0xc580b2ca67bed68e,
  0x75e8f9dabfa3d61c, 0x63eccf2a01ffb304, 0x895af60e3e07967b, 0x80ef5af39c2cdf81, 0x4d8ce16f37807d41,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x1e6c25ccbe6d8924, 0x3f2868b1be2e4d5c, 0x430a9cfd4eacc790,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x1012792bf734332c,
  0x000000000f93cb4b,
};

// pwm216_u1x8_uart0_noled_pr_ee_u4  pwm316_u1x8_uart0_noled_pr_ee     pwm316_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm216_u1x8_uart0_noled_pr_ee[] = {
  0xbbbbbaeea24458e2, 0xeeeeeaaeb9041225, 0x853d31b70cf5a5ee, 0x31382f85eeeeff17, 0x4e1ec694eb033363,
  0xf8c0482d95de4ee9, 0xa5ffaed19f297304, 0x6e737f68805bd813, 0xa8f2b9126ab5a39c, 0xbeebd47c1b30698f,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xda3c1673ab4bce2b, 0xb1aad743af3a6edb, 0xcc5c24228e791871,
  0x51b047eb70decb65, 0x06256bd801512a69, 0x0603bd6bce70b37e, 0xe5363385bcde01f5, 0xc6378ce8815d54e5,
  0x9156f62aa8b4b0b9, 0x7079b09732f9b624, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd,
  0x03f7ec3343cc9fe0, 0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xe44049e4afdcd0cc, 0x0000000000275c54,
};

// pwm216_u1x8_uart0_noled_pr_ce_u4  pwm316_u1x8_uart0_noled_pr_ce     pwm316_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_noled_pr_ce[] = {
  0x777775dd4488ba31, 0xddddd55f85ec9c4b, 0x5385ec44ade833dd, 0x1850dbdddd36922b, 0x2776c4d86080052d,
  0xe9827c602416caef, 0xec08a2ffd768cffc, 0xfae49739bfb4402d, 0x4b1e78c953b7f2e2, 0xf84bf10d8488bee2,
  0x3c5dc6e3fcc41fa8, 0xd4727a7b9633f593, 0x47ce9238e9fc1eb3, 0xf3b57f47ac398b01, 0x9e5403ff6678ebd1,
  0x7b071f03cb5b87d9, 0xad79ce166fc0c4ad, 0x70b79bc03ea0c077, 0x9d102baa9cbca6c6, 0xc55516961738c6f1,
  0x25ccbe6d89218ede, 0x68b1be2e4d5c1e6c, 0x9cfd4eacc7903f28, 0x989ffde1ef79430a, 0x0cd0f327f81fc65f,
  0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a, 0x00000dd74cb51012,
};

// pwm316_u1x8_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm216_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbaeed414477d6, 0xdddd55ee0541625b, 0x33f6a6fe9e989ddd, 0x0910e0fbbe96a18d, 0xd38ae0fda68b5159,
  0x180905b2bbc9dd7a, 0x7ff5da33e35a609f, 0xce6fed100b7b02d3, 0x54ef021dff546fe5, 0x771b9d66c87f9e32,
  0xd44a76b2b1ef984e, 0x1f06cc1ad7f51e57, 0x3ad08a0531584ff5, 0x09afa30b2c4522cd, 0x3c1673abb74e23a9,
  0x55e363af3a6edbda, 0xb848451cf230e363, 0xb044c8e1bd96cb98, 0x256bd859d12a6951, 0x03bd6bce70b37e06,
  0x363385bcde01f506, 0x378ce8815d54e5e5, 0x76f62aa8b4b0b9c6, 0xf3612e65f36c490c, 0xca1a2cb579726ae0,
  0xc2a73f53ab31e40f, 0xf9a1e64ff0271a50, 0x964b867a615c9f80, 0x19961d252d9f0271, 0xce9e88093c95fb9a,
  0x000000000000004f,
};

// pwm316_u1x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_noled_pr_ee_ce_u4[] = {
  0x777775dd44867f3e, 0xbbbbaabc68299c4b, 0x6b8da29bbd837bbb, 0x5a165955a6ec2f53, 0x8d545eccdd6fa772,
  0x9f180905b2bbc9dd, 0xb5ff5483e7c66e60, 0xdce6fed100b7b020, 0x2e0e1c1b8bea8e43, 0xd8488bee24b1e794,
  0xa3ea49fa8f84bf10, 0xd6e6def99e2ee373, 0x835afea3cafa894e, 0x40a62b09fea3e0d9, 0x616588a459a75a11,
  0x7576e9c4752135f4, 0x75e74ddb7b4782ce, 0xa39e461c6c6abc6c, 0x1c37b2d973170908, 0x0b3a254d2a360899,
  0x79ce166fc0c4ad7b, 0xb79bc03ea0c077ad, 0x102baa9cbca6c670, 0x5516961738c6f19d, 0xccbe6d89218edec5,
  0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xe4f257ee68665874, 0x00000013f07e0ad3,
};

// pwm216_u1x8_uart0_lednop_pr       pwm316_u1x8_uart0_lednop          pwm316_u1x8_uart0_lednop_pr
static const uint64_t ur_pwm216_u1x8_uart0_lednop[] = {
  0xb777775ddacdc49f, 0xeeeeeeaaec38f244, 0xb2e6fc1cd075d7ee, 0xad0bdbf6ddddcd60, 0x7793bb9892150d68,
  0xebe4c13e30120b65, 0x05bd81263ffea473, 0x1df2c90ee737f688, 0x1c74fe0cd27a8e4f, 0x398b016f74c3e749,
  0x23af173b35f23905, 0x5af61583ef71cb18, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a, 0xef9537a94e4a7400,
  0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xf8d163ce1bb612e6, 0xc2b93f75663c81a3, 0xb2c944e32c970cf4,
  0x92bf734332c3a4a5, 0x00003e439c7241e7,
};

// pwm316_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_pwm216_u1x8_uart0_lednop_pr_u4[] = {
  0xdddddd77512233c3, 0x7777755761c1af12, 0x2f7b3dfb0dbd8037, 0x5d7f89dddd2202ca, 0x3ba47e5dbd38e3e9,
  0x4c13e30120b65779, 0xd814ddff5da33e80, 0x2c21ee737f68805b, 0x4fe0d05fa8f6b1df, 0x602cb29be483f1c7,
  0xe8f9d967a3486731, 0x2cd22a01ffb30475, 0x5af6415a07967b68, 0xf3c0809c2cdf8189, 0xb79bcd914180ef5a,
  0xef9537a94e4a7400, 0x2d3574e31bc67440, 0x5f36dce455bd8aaa, 0xdf1726ae0f3612e6, 0xa75663c81f943458,
  0xfef0f7bca1854e7e, 0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f,
  0x07c9db9088093c95,
};

// pwm216_u1x8_uart0_lednop_pr_ee_u4 pwm316_u1x8_uart0_lednop_pr_ee    pwm316_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm216_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbaeea24477d6, 0xddddd55d72056e25, 0x8261550e85ebd7dd, 0x8f382f85eeeeff16, 0x5a71189fb47ef17d,
  0xe30120b657793baf, 0xd7febb467d4f4c13, 0xb9cdfda2016f6045, 0xa3cacca9aad68e71, 0x87bf51f06cc1a63e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x48c9a39d5a5cf55c, 0xc6ab5d0ebce9bb46, 0x3170908a09e46f6a,
  0x46c11fadc37b2d97, 0x312b5ec0087d99e5, 0xeb5e781013859bf0, 0x8016f379b228301d, 0x881df2a6f529c94e,
  0x5545a6ae9c6378ce, 0x5ccbe6db9c8ab7b1, 0x8b1be2e4d5c1e6c2, 0xcfd4eacc7903f286, 0x89ffde1ef79430a9,
  0xcd0f327f81fc65f9, 0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00009d7271710127,
};

// pwm216_u1x8_uart0_lednop_pr_ce_u4 pwm316_u1x8_uart0_lednop_pr_ce    pwm316_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_lednop_pr_ce[] = {
  0x777775dd4488a493, 0xeeeeeaafc2e4844b, 0xc9b532666ef4fdee, 0x8412a1eeee9b4916, 0x27743720a68a768d,
  0x39827c602416caef, 0xec092b7fd768cf9c, 0xfae49739bfb4402d, 0x963cf192a7752ae2, 0xf097e21b09117dc4,
  0xf1771b95bf003f51, 0x51fa49ee58cfd64c, 0x4c4458e3a7f07acf, 0x3b2cf4690ce62c05, 0x45403ff6678ebd1f,
  0xb20ad03cb5b9059a, 0x0404e166fc0c4ad7, 0xde6c8a0c077ad79e, 0xa9bd4a7253a005bc, 0xaba718de33a2077c,
  0x6dce18edec555169, 0x726ae0f3612e65f3, 0x663c81f943458df1, 0x0f7bca1854e7ea75, 0x3fc0fe32fcc4ffef,
  0x45fe07efd8668799, 0x1964b867a617c68f, 0xa19961d252d9f027, 0xbef0588093c95fb9, 0x000000000000006e,
};

// pwm316_u1x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm216_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbaeed41445541, 0xdddd55ee0564625b, 0x28d35a3c8ef25ddd, 0x9c88707ddf4b50e8, 0x4932271ce5c647c1,
  0x180905b2bbc9dd01, 0xbfebb467fabe609f, 0x9cdfda2016f6051c, 0xa9defb3bfea8dfcb, 0xee372e4492bf3c64,
  0xba94ed6563df309c, 0x3e0d9835afea3caf, 0x75a1140a62bdbfea, 0x135f4616588a459a, 0x3268e7576e3d4752,
  0x55e363af3a6ed192, 0xb8484504f237b563, 0xb044c8e1bd96cb98, 0x4ad7b0b31f667951, 0xd79e0404e166fc0c,
  0x05bcde6c8a0c077a, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0x65f36dce18edec55, 0xb579726ae0f3612e,
  0x53ab31e40fca1a2c, 0x4ff0271a50c2a73f, 0x7a615c9f80f9a1e6, 0x252d9f0271964b86, 0x093c95fb9a19961d,
  0x0000000027e2ec88,
};

// pwm316_u1x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_lednop_pr_ee_ce_u4[] = {
  0x777775dd44864c7f, 0xbbbbaabc68160c4b, 0x74cd71b4bd477bbb, 0xd8405955a6ec2f53, 0xf5ddce29d55e2465,
  0x4f8c0482d95de4ee, 0x8fffd520f9f0d130, 0xee737f68805bd815, 0x170712d5c5f54721, 0x6c2445f71258f3ca,
  0x112601fd47c25f88, 0xd6e6def99e2ee370, 0x835afea3cafba94e, 0x40a62bdbfea3e0d9, 0x616588a459a75a11,
  0x7576e3d4752135f4, 0x3af3a6ed1923268e, 0x504f237b56355e36, 0x8e1bd96cb98b8484, 0x0b31f667951b044c,
  0x404e166fc0c4ad7b, 0xe6c8a0c077ad79e0, 0x9bd4a7253a005bcd, 0xba718de33a2077ca, 0xdce18edec555169a,
  0xbe1b8f3612e65f36, 0x4eaccdfc1ddc68b1, 0xfde1ef79430a9cfd, 0xf327f81fc65f989f, 0xd1e8bfc0fdfb0cd0,
  0x04e32c970cf4c2f8, 0xf734332c3a4a5b3e, 0x04fc4b6969f2792b,
};

// pwm316_u1x8_uart0_dual
static const uint64_t ur_pwm216_u1x8_uart0_dual[] = {
  0x3eeeeeeeefd44511, 0xeeeeeef892e313b8, 0xa2edc1e9c02b5b16, 0x9d914e323bbbb0ce, 0xf24d8772be67da58,
  0x439827c602416cae, 0x44274a4641217486, 0x1030a1835678b3d2, 0xdf995c7ae774f897, 0xbef60514e0e4e6f9,
  0x1c913f838f737a8e, 0x2886257f9fbe08a1, 0xdeef9b835801b87c, 0x50865a03e221955d, 0xdfcffa039e136f71,
  0x1bcaf2d5be68096d, 0xbd81695fe4834c16, 0xf2d5fee737f68805, 0x74fe0d21fa8f6b1d, 0x1602fe1ccf7f411c,
  0xaf22ddaa5a348673, 0x252b241771cb1823, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x02de6f0725603bd6,
  0xc5654ee2ca72f9d0, 0xce881fae2810b4f0, 0xb09732f9b69c6378, 0x5c9f9fd8b9357079, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000065bf6e88093c,
};

// pwm216_u1x8_uart0_dual_pr_u4      pwm316_u1x8_uart0_dual_pr         pwm316_u1x8_uart0_dual_pr_u4
static const uint64_t ur_pwm216_u1x8_uart0_dual_pr[] = {
  0xbbbbbbbe890c5aa4, 0xbbbbe24b8b62e0fb, 0xd38a5233dd95bbbb, 0xc76ac4eeeed055c6, 0xeec3e9b4ebbb043a,
  0xf180905b2bbc93f6, 0x9190485d22e46609, 0x60d59e2cf49109d2, 0x5bb9dd3e25c40c28, 0x3a5381c398a5fe65,
  0xfe0ea54dea3a56d8, 0x95fe7ef822847244, 0xdcb1f006e1f0a218, 0xd0f9110caaeef77c, 0xd01cf0987c8a8432,
  0x2d5be68096de037f, 0xebfe3a9cc161bcaf, 0xae737f68805bd811, 0xc43fa8f914ef9626, 0x83cd38bdf1c74fe0,
  0xed6b23afe731602a, 0xaa01ffb30475e00c, 0xa93a07967b621d21, 0x5ec9fc55f3bb8a92, 0x781013859bf0312b,
  0xf379b228301deb5e, 0xf2a6f529c94e8016, 0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0x1637c371e6c25ccb,
  0x9fa9d599bf83bb8d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x000524d5c16d3e4f,
};

// pwm216_u1x8_uart0_dual_pr_ee_u4   pwm316_u1x8_uart0_dual_pr_ee      pwm316_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm216_u1x8_uart0_dual_pr_ee[] = {
  0xfbbbbbbbbe890c86, 0xbbbbbbe2504aafe0, 0x675bdfb4e5b5dfbb, 0x096285eb8f743758, 0xeec6ecb41e628590,
  0x80905b2bbc989cee, 0x412174867ae609f1, 0x5678b3d244274a46, 0xe774f8971030a183, 0x0e01a26d35f9956e,
  0xe87e6f51ec7f61ff, 0xe7ef822847244fe0, 0x91006e1f0a21895f, 0x9510caaeef77cdcb, 0x3c2628b150865a0e,
  0xf3404b6fd5fff407, 0x1d4e60b0de5796ad, 0x7f68805bd81656ff, 0x6bee6ab5a3912e73, 0xa8f83660c14f51e5,
  0x69d68450ef8aea57, 0x484d7d1859622916, 0x673ab4b994b8a973, 0xba1d7a89768851ef, 0x908a04547cf58d56,
  0x3f5b86f65f4b3170, 0xa9280427f58a8d82, 0x12b5ec9fc55f3bb8, 0xb5e781013859bf03, 0x016f379b228301de,
  0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xe4f257ee68665874,
  0x00000000ac902ad3,
};

// pwm216_u1x8_uart0_dual_pr_ce_u4   pwm316_u1x8_uart0_dual_pr_ce      pwm316_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_dual_pr_ce[] = {
  0xeeeeeeefa243359b, 0xddddf1364c75f83e, 0x7df5dce2d44fdddd, 0x75b4e5bbbb938a76, 0xe1e198509b6badce,
  0x180905b2bbc9122e, 0x32090ba4753a609f, 0x1ab3c59e92213a52, 0x773ba7c4b881850c, 0xd1c0c7e619bfccab,
  0x0635a6f51d2d6c02, 0xff3f7c114239227f, 0x33e00370f8510c4a, 0x28a88655777bbe6e, 0x39e1318f8a8432d0,
  0xb7cd012dbc56ffa0, 0xfc753982c3795e5a, 0xcdfda2016f60452f, 0x5c1c74b717d500b9, 0xb09117dc4963cf28,
  0x293f5ff51f097e21, 0x9633ea5ccf1771b8, 0x4fe0ea5fa8e37e7b, 0xf9cc580a0a0f91c7, 0xcf1d78033b5ac8eb,
  0x6b7087486a807fec, 0x5f3bb8a92a93a079, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x37f07771a2c6f86e, 0xbde50c2a73f53ab3,
  0xe07f197e627ff787, 0xff03f7ec3343cc9f, 0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0x917da7c9e4afdcd0,
  0x0000000000001a48,
};

// pwm316_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm216_u1x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeeeeefd437089, 0xdddddf1350f0fb83, 0xb26571a2fd19cddd, 0xd47c19a33dd3ac9c, 0x7acaabdd6d2d05c2,
  0x416caef26c33baf2, 0x0ba46f3e9827c602, 0xc59e92213a523209, 0xa7c4b881850c1ab3, 0xf5e635bfccab773b,
  0xe6f51e006c0521c3, 0xf822847244fe0ed6, 0x06e1f0a21895fe7e, 0x1955ddeef9b9dd60, 0xd8122a10cb434da2,
  0x096de76ffe80e784, 0xcc161bcaf2d5be68, 0x2016f60543ffe3a9, 0x77fd51b93b9cdfda, 0x3e5afcf285c1c1ac,
  0x959374c273b8dcbc, 0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c,
  0x5ea25da2147bd9ce, 0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0x7b27f157ceee2a4a,
  0xe0404e166fc0c4ad, 0xcde6c8a0c077ad79, 0xca9bd4a7253a005b, 0x9aba718de33a2077, 0x36dce18edec55516,
  0x63ce1b8f3612e65f, 0x4fdd599bf83bb8d1, 0x8138cb25c33d30ae, 0xfdcd0ccb0e9296cf, 0x026082fdda7c9e4a,
};

// pwm316_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777777d15b765f82, 0xeef89537369c1f77, 0x0f76b8bdbc9eeeee, 0x029dbb1a8abc7e5a, 0xaab8ffabf1fd0842,
  0x4eca7774d6fed1ac, 0xd304f8c0482d95de, 0x274a4641217483e7, 0x30a1835678b3d244, 0xccb4b7e774f89710,
  0xd87599c190e6a4af, 0x13f8335b9bd4767c, 0x6257f9fbe08a11c9, 0xe6e753801b87c288, 0x2d00b488655777bb,
  0xfa039e131c18a843, 0xcb56f9a025b7fd7f, 0x35ffe40530586f2b, 0x5ce6fed100b7b02d, 0x2f3b19bb8bea8d4f,
  0xd8488bee24b1e794, 0xa0f20ffa8f84bf10, 0xb737374cf1771b9a, 0x0d7cf51e56fe4a76, 0x0298ae037a8f8366,
  0x85962291669d6845, 0xd5db8ca1d484d7d1, 0xebd44bb4428f7b39, 0xa04547cf58d578d8, 0x386f65f4b3170908,
  0x4b313fac546c1132, 0xaf64fe2af9ddc549, 0x3c0809c2cdf81895, 0x79bcd914180ef5af, 0xf9537a94e4a7400b,
  0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0xe2e4d5c1e6c25ccb, 0x599bf83f6ec68b1b, 0xc3def2861539fa9d,
  0x4ff03f8cbf313ffb, 0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x003d5e0194f257ee,
  0x0000000000000010,
};

// pwm316_u1x8_uart0_dual_ee_hw
static const uint64_t ur_pwm216_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeeefa2436f02, 0xeeeef89412abf83e, 0xd6f7ed396d77eeee, 0x58a17ae3dd0dd619, 0xfc3e6be8b3616402,
  0x02416caef26273b9, 0x0485d219eb9827c6, 0x59e2cf49109d2919, 0x9dd3e25c40c2860d, 0x380689b4d7e655bb,
  0xa1f9bd47b1fd87fc, 0x9fbe08a11c913f83, 0x4401b87c2886257f, 0x54432abbbddf372e, 0xf098a2c54219683a,
  0xcd012dbf57ffd01c, 0xc4f982c3795e5ab7, 0xed100b7b02cadfee, 0x7dcd56b47225ce6f, 0x1f06cc1829ea3cad,
  0x3ad08a1df15d4af5, 0x09afa30b2c4522cd, 0xe756973297152e69, 0x43af512ed10a3dec, 0x11408a8f9eb1aad7,
  0xeb70decbe9662e12, 0x250084feb151b047, 0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6,
  0x3be54dea53929d00, 0x8b4d5d38c6f19d10, 0x97cdb739156f62aa, 0x9fa82ec6e3cd84b9, 0x13ffbc3def286153,
  0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98, 0x257ee6866587494b, 0x000000576a05514f,
};

// pwm316_u1x8_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm216_u1x8_uart0_dual_ee_ce_hw[] = {
  0x7777777ea0a1a5fb, 0xeeef89a8787dc1f7, 0x32b8d17e8ce6eeee, 0x3e0cd19ee9d64e59, 0x91aeba559682e16a,
  0x2416caef26c33ba5, 0x90ba46f3e9827c60, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x3f5e635bfccab773,
  0x6e6f51e006c0521c, 0xef822847244fe0ed, 0x006e1f0a21895fe7, 0x21955ddeef9b9dd6, 0x4d8122a10cb434da,
  0x8096de76ffe80e78, 0x7cc161bcaf2d5be6, 0x100b7b02a1fff762, 0x3bfea8dc9dce6fed, 0x9b21fe7942e0e0d6,
  0xcac9ba6139dc6e75, 0x35f3d4795bf929da, 0x0a62b80dea3e0d98, 0x16588a459a75a114, 0x576e328752135f46,
  0xaf512ed10a3dece7, 0x81151f3d6355e363, 0xe1bd97d2cc5c2422, 0x2cc4feb151b044c8, 0xbd93f8abe7771525,
  0xf020270b37e06256, 0xe6f36450603bd6bc, 0xe54dea53929d002d, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x361d8dc79b09732f, 0xff0271a50c2a73f5, 0xa615c9f80f9a1e64, 0x52d9f0271964b867, 0x53c95fb9a19961d2,
  0x00000000eba8bf74,
};

// pwm316_u1x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_u1x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeeeefa28d19231, 0xdddf12a6e6d383ee, 0xe5a0f77ab8bddddd, 0x842029dbb1a8abc7, 0x69d6ed6afabf1fd0,
  0x6caef27653bbff86, 0xa41f3e9827c60241, 0x9e92213a5232090b, 0xc4b881850c1ab3c5, 0xe6a4afccbb093ba7,
  0xd4767cd87599c190, 0x8a11c913f8335b9b, 0x87c2886257f9fbe0, 0x5777bbe6e753801b, 0x18a8432d00b48865,
  0xb7fd7ffa039e131c, 0x586f2bcb56f9a025, 0xdec0b4d7f807dd30, 0xaa353d739bfb4402, 0x79e37c307066ee2f,
  0x2fc4361222fb892c, 0xb8dc524e6ffea3e1, 0xf253b5b9b9ba678b, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4,
  0x26be8c2cb1148b34, 0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598,
  0xee2a4a5989fd62a3, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f, 0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x12e65f36dce18ede, 0x854e7ea0bb1b8f36, 0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3,
  0x7a617c68f45fe07e, 0x252d9f0271964b86, 0x7d3c95fb9a19961d, 0x0000001d75d10161,
};

// pwm216_u1x12_uart0_noled_pr       pwm316_u1x12_uart0_noled          pwm316_u1x12_uart0_noled_pr
static const uint64_t ur_pwm216_u1x12_uart0_noled[] = {
  0x776d0d783acdfebe, 0xddd55f67367c4b77, 0xbfc48716f1fddddd, 0xa114cdddd910889b, 0x3bbe3f0a2e24878b,
  0x4c13e30120b65779, 0xf093dfffea473f92, 0x68dd27fb6a7f76e9, 0x4f51f9e3be5921c3, 0x30df27a38e9fc19a,
  0xda478cce62c05bdd, 0x771cb1823af173b3, 0x66fc0c4ad7b0aca2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc,
  0x61738c6f19d102ba, 0x6c4922adec555169, 0x163ce1bb612e65f3, 0x93f75663c81a3f8d, 0x944e32c970cf4c2b,
  0xf734332c3a4a5b2c, 0x3e43a4e7241e792b,
};

// pwm316_u1x12_uart0_noled_pr_u4
static const uint64_t ur_pwm216_u1x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488da91, 0xeeaafb395a44b777, 0x22a99b6f46deeeee, 0xb07dddd0b28e3a11, 0xd17a763b976c478f,
  0x3e30120b657793ba, 0x2f9ff5da33f38cc1, 0xd27fb6a7f76e9f09, 0x1fa03be5843c368d, 0xfb5a38e9fc1a0bf5,
  0x8f58731602cb299e, 0xfecc11d7a3e76afe, 0x1e59ed8fb33ca807, 0xb37e06256bd838f8, 0x01f50603bd6bce70,
  0x54e5e5363385bcde, 0xb0b9c6378ce8815d, 0xb6249156f62aa8b4, 0xb9357079b09732f9, 0xb31e40fca1a2c6f8,
  0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc, 0x8cb25c33d30be347, 0xd0ccb0e9296cf813,
  0x4c64e44049e4afdc, 0x000000000000003e,
};

// pwm216_u1x12_uart0_noled_pr_ee_u4 pwm316_u1x12_uart0_noled_pr_ee    pwm316_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm216_u1x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2447768, 0x77557cd636225bbb, 0x4d9711a7b42f7777, 0xd4cd0775228d75a1, 0x7df4e711bb0660bf,
  0x0482d95de4eebb25, 0xfaed19f60b304f8c, 0xb6a7f76e9f091c3f, 0x56b4738c368dd27f, 0x660d31f51e57224d,
  0x22877c57dd7a8f83, 0xe8c2cb1148b34eb4, 0x6979c571ac9a426b, 0xe74ddb7b4782ce75, 0xcf230e36355ae875,
  0x1bd96cb98b848451, 0x2a254d2a3608fd6e, 0xce166fc0c4ad7b00, 0x9bc03ea0c077ad79, 0x2baa9cbca6c670b7,
  0x16961738c6f19d10, 0x5f36c4922adec555, 0xdf1726ae0f3612e6, 0xa75663c81f943458, 0xfef0f7bca1854e7e,
  0x7993fc0fe32fcc4f, 0x68f45fe07efd8668, 0x0271964b867a617c, 0xfb9a19961d252d9f, 0x04ebe8e288093c95,
};

// pwm216_u1x12_uart0_noled_pr_ce_u4 pwm316_u1x12_uart0_noled_pr_ce    pwm316_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm216_u1x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889202, 0xeeaae8778544b777, 0xd8f198bf4ddeeeee, 0xa0b8eeeef89791e9, 0x7599b62b22829905,
  0x827c602416caef27, 0x49c9ffd768cfc879, 0x6e93fdb53fbb74f8, 0xa76fe5c5f5c921b4, 0x09117dc4963cf192,
  0xf9883f51f097e21b, 0x2c67eb2678bb8dc7, 0xd3f83d67a8e4f4f7, 0x587316028f9d2471, 0xccf1d7a3e76afe8f,
  0x96b70fb33ca807fe, 0xdf81895af60e3e07, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780, 0x2e718de33a205755,
  0x12431dbd8aaa2d2c, 0x9ab83cd84b997cdb, 0x8f207e50d1637c5c, 0xdef2861539fa9d59, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x41ca2024f257ee68, 0x0000000000001bae,
};

// pwm316_u1x12_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm216_u1x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447705, 0x557eb0551625bbbb, 0xc90a67be47777777, 0x1ddfba4cf317aed2, 0x23b498695a295b3c,
  0x20b657793bb61b65, 0xbb467c9d4c13e301, 0xa9fddba7c2515bfe, 0xd51bf90da3749fed, 0x1fe78c953bc0877f,
  0x7be6139dc6e759b2, 0xfd4795f5129dacac, 0x5613fd47c1b306b5, 0x1148b34eb422814c, 0xd388ea426be8c2cb,
  0x9bb6f68f059ceaed, 0x8c38d8d578d8ebce, 0x65b2e62e1211473c, 0x4a9a546c1132386f, 0x2cdf81895af61674,
  0x807d4180ef5af39c, 0x5539794d8ce16f37, 0x2c2e718de33a2057, 0xdb12431dbd8aaa2d, 0x5c9ab83cd84b997c,
  0xcc7903f2868b2d5e, 0x09c69430a9cfd4ea, 0x5727e03e687993fc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x000009f98c62024f,
};

// pwm316_u1x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d78344863375, 0xdd55de4392c4b777, 0x269619ea33dddddd, 0x58e3e3fbb63c9031, 0x2ad1bab9d1c7a750,
  0x8c0482d95de4ee96, 0xffaa41f3fbb5304f, 0xf6d4feedd3e1231f, 0x17d51c8786d1ba4f, 0x4963cf285c1c3837,
  0x1f097e21b09117dc, 0x3c5dc6e747d493f5, 0x95f5129dadcdbdf3, 0xfd47c1b306b5fd47, 0xb34eb422814c5613,
  0xea426be8c2cb1148, 0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2,
  0x81895af616744a9a, 0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e,
  0x6e3cd84b997cdb12, 0xb337f07771a2c6f8, 0x87bde50c2a73f53a, 0x9fe07f197e627ff7, 0xa2ff03f7ec3343cc,
  0x8cb25c33d30be347, 0xd0ccb0e9296cf813, 0xcf627da7c9e4afdc, 0x000000000000004f,
};

// pwm216_u1x12_uart0_lednop_pr      pwm316_u1x12_uart0_lednop         pwm316_u1x12_uart0_lednop_pr
static const uint64_t ur_pwm216_u1x12_uart0_lednop[] = {
  0xbbb686bc1d66ef3a, 0xeeeaafb385ee25bb, 0xcfddf87f7d2eeeee, 0xeb4bf37776442226, 0x277417a0998b21c7,
  0x49827c602416caef, 0x3e12f93ffd48e7c1, 0x6d1ba4ff6d4feedd, 0x49ea393c77cb2438, 0xd30f9d2471d3f833,
  0xd7c8e414e62c05bd, 0xbdc72c608ebc5cec, 0xb37e06256bd8560f, 0x0603bd6bcf020270, 0x3929d002de6f3645,
  0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x6ed84b997cdb7391, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0xc9c9079e4afdcd0c, 0x000000000007c801,
};

// pwm316_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_pwm216_u1x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2447f82, 0xeeaafb38ebe25bbb, 0x425f85c76a1eeeee, 0x4c9eeee859471d69, 0x5c62454dc1b267e9,
  0x9f180905b2bbc9dd, 0x4beffaed19f3d660, 0xd27fb6a7f76e9f09, 0x1ed63be5843c368d, 0x907e38e9fc1a0bf5,
  0x690ce62c0596537c, 0xf6608ebd1f3b2cf4, 0xf2cf6d059a45403f, 0x9bf0312b5ec82b40, 0x301deb5e78101385,
  0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63, 0xe6c25ccbe6db9c8a, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x012792bf734332c3, 0x00000001f260f271,
};

/*
 * pwm216_u1x12_uart0_lednop_pr_ee_u4 pwm316_u1x12_uart0_lednop_pr_ee
 * pwm316_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_pwm216_u1x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447705, 0xeeaaf9ad8be25bbb, 0x5a331a0ba106eeee, 0xf53341dd48a35cd8, 0x65791498d2cfde3b,
  0x0120b657793bb61b, 0xfebb467f2b4c13e3, 0xeda9fddba7c2450f, 0x55ad1ce30da3749f, 0xd9834c7d47959953,
  0x1143be2b0f7ea3e0, 0xf4616588a459a75a, 0xb4b9eab8d64d2135, 0x79d3768c9193473a, 0x13c8ded58d56ba1d,
  0x86f65b2e62e12114, 0x10fb33ca8d823f5b, 0x270b37e06256bd80, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xab83cd84b997cdb7, 0xf207e50d1637c5c9, 0xef2861539fa9d598,
  0x03f8cbf313ffbc3d, 0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x36e2024f257ee686,
  0x0000000000013aef,
};

/*
 * pwm216_u1x12_uart0_lednop_pr_ce_u4 pwm316_u1x12_uart0_lednop_pr_ce
 * pwm316_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm216_u1x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a24458e2, 0x7755743b41225bbb, 0xe98db867ad2f7777, 0xc663bbbbe25e4c29, 0xd29c3d8d29d60666,
  0x09f180905b2bbc9d, 0x274bff5da33e52e6, 0xba4ff6d4feedd3e1, 0x3ba95717d72486d1, 0x488bee24b1e78c95,
  0xf801fa8f84bf10d8, 0xc67eb2678bb8dcad, 0x3f83d67a8fd24f72, 0x6731602a6222c71d, 0x3c75e8f9d967a348,
  0xadc82cd22a01ffb3, 0xe06256bd905681e5, 0x3bd6bcf020270b37, 0x9d002de6f3645060, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x09732f9b6e70c76f, 0x1a2c6f8b9357079b, 0xa73f53ab31e40fca, 0xe627ff787bde50c2,
  0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d, 0x9e4afdcd0ccb0e92, 0x00000375c54e4404,
};

// pwm316_u1x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm216_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22044, 0xaabf58223f12dddd, 0xec82c1de9dbbbbbb, 0x0eefdd26798d457a, 0x8c8843312b8cdd9e,
  0x905b2bbc9dd4149c, 0xbb467e87e609f180, 0xa9fddba7c24707fe, 0xd51bf90da3749fed, 0x57e78c953bdf677f,
  0x7be6139dc6e5c892, 0xfd4795f7529dacac, 0x57b7fd47c1b306b5, 0x1148b34eb422814c, 0xc7a8ea426be8c2cb,
  0x4dda32464d1ceaed, 0x46f6ac6abc6c75e7, 0xb2d973170908a09e, 0xeccf2a3608991c37, 0x2cdf81895af61663,
  0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3, 0x1e6c25ccbe6db9c3,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0xf98431012792bf73, 0x0000000000000009,
};

// pwm316_u1x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xbb686bc1a243304a, 0xeeaaef212ee25bbb, 0x531342f7276eeeee, 0x8c71f1fddb1e4872, 0xd47dd9201b82246c,
  0x602416caef2776c5, 0xfea907cfe9a9827c, 0xeda9fddba7c25ff3, 0x2faa390f0da3749f, 0x92c79e50b83896ae,
  0x3e12fc4361222fb8, 0xf1771b8089300fea, 0x57dd4a76b736f7cc, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf,
  0xa909afa30b2c4522, 0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65,
  0x06256bd8598fb33c, 0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19,
  0x9732f9b6e70c76f6, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x4f93c95fb9a19961, 0x000000004fc94d6b,
};

// pwm316_u1x12_uart0_dual
static const uint64_t ur_pwm216_u1x12_uart0_dual[] = {
  0xeeeea4579350d2a8, 0xeeeef89f1f93b83e, 0x45d4672ef5b16eee, 0x3d6295627777469b, 0xc9066ee3ad1ab59f,
  0x46609f180905b2bb, 0x109d29190485d22e, 0x40c2860d59e2cf49, 0x3fe655bb9dd3e25c, 0x945d8393387ce9a4,
  0x239227f06fe4dea3, 0x8510c4aff3f7c114, 0xbbddf370e080370f, 0x2a10cb41ef4432ab, 0xf01bfe80e784c37e,
  0x0de5796adf3404b6, 0x4f848f5ff1d4e60b, 0x1b46e93fdb53fbb7, 0x43f51ee19df2d5fe, 0x732d726a38e9fc1a,
  0x13e8d059cc580bf8, 0x4dc72c608ebc8b76, 0xf157ceee2a4a561a, 0x4e166fc0c4ad7b27, 0x79bcc077ad79e040,
  0x16a72452d5e7400b, 0x2065fe2810b4a9f0, 0x5ccbe6da718de33a, 0x0ae4fcfec371e6c2, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x000196fef255a7c9,
};

// pwm216_u1x12_uart0_dual_pr_u4     pwm316_u1x12_uart0_dual_pr        pwm316_u1x12_uart0_dual_pr_u4
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr[] = {
  0xdd48af25121a559b, 0xddf13e3ced707ddd, 0x4f5a2769cedddddd, 0xacccf7776a298901, 0xe17c7fb17ccdce23,
  0x0120b657792d2ddc, 0x2090ba41254c13e3, 0xab3c59e92213a523, 0x73ba7c4b881850c1, 0x6702973305fccab7,
  0x1fee9bd4774bb038, 0xfcfdf04508e489fc, 0xff800dc3e144312b, 0x5f110caaeef77cdc, 0x1cf099ef8a8432d0,
  0x5be68096dea57fd0, 0xfe3a9cc161bcaf2d, 0xf6d4feedd3e1209f, 0x53be589a86d1ba4f, 0xc71d3f8310fea3e4,
  0x9cc580aa0f34e2f7, 0x11d78033b5ac8ebf, 0xed887486a807fecc, 0xceee2a4aa4e81e59, 0x6fc0c4ad7b27f157,
  0xc077ad79e0404e16, 0x253a005bcde6c8a0, 0xe33a2077ca9bd4a7, 0xdec555169aba718d, 0x9b09732f9b6e722a,
  0xfe0eee3458df0dc7, 0xbca1854e7ea75666, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f,
  0x961d252d9f027196, 0xa8b4f93c95fb9a19, 0x000000000014937e,
};

// pwm316_u1x12_uart0_dual_pr_ee
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr_ee[] = {
  0x77522bc81eb432db, 0xbbbe24d8403c1f77, 0x751796adc99bbbbb, 0xeec7989dd29cd8ae, 0x4558d3c675dd8593,
  0x20b657792645dc70, 0x42e91eb54c13e301, 0xf167a4884e948c82, 0xe9f12e20614306ac, 0x34d4cff3f32addce,
  0x7e6f51ffe6c0341c, 0xef822847244fe0fa, 0x006e1f0a21895fe7, 0x10caaeef77cdc24a, 0x26727150865a070d,
  0x404b6f43fff4073c, 0x4e60b0de5796adf3, 0x7f76e9f096fbff1d, 0x47224368dd27fb6a, 0x829ea3cad7dcd56b,
  0xdf15d4af51f06cc1, 0xb2c4522cd3ad08a1, 0x297152e6909afa30, 0xed10a3dece756973, 0xf9eb1aad743af512,
  0xbe9662e1211408a8, 0xeb151b047eb70dec, 0x8abe77715250084f, 0x70b37e06256bd93f, 0x450603bd6bcf0202,
  0xa53929d002de6f36, 0x8c6f19d103be54de, 0x9156f62aa8b4d5d3, 0x6e3cd84b997cdb73, 0x99bf83bb8d1674f8,
  0x627f2861539fa9d5, 0x1343cc9fe2e7197e, 0x33d30ae4fc73dffc, 0xe9296cf8138cb25c, 0xa7c9e4afdcd0ccb0,
  0x0000000001591765,
};

// pwm316_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr_ee_u4[] = {
  0x777522bc94486f97, 0xeeeef89362b5c1f7, 0x1d7cfb499bddeeee, 0xc6ab1e6277605bd6, 0x08ce9c2d4e900d57,
  0x2416caef2519bb9e, 0x242e901649827c60, 0xcf167a4884e948c8, 0xee9f12e20614306a, 0xc3fe4c1a3f32addc,
  0xaf9bd47e9fd858f9, 0xfbe08a11c913f83e, 0x001b87c2886257f9, 0x4432abbbddf3712a, 0x0997dc5421968256,
  0x68096dce0ffd01cf, 0xa9cc161bcaf2d5be, 0x4feedd3e1253dfe3, 0x68f4a86d1ba4ff6d, 0x3f93d4795c7b9aad,
  0x3be2b31fea3e0d98, 0x16588a459a75a114, 0x27ae105cd2135f46, 0x3b0f88fa439d5a5c, 0xd4bb1aad743af6b1,
  0xb8f8c5c24228e811, 0x54957027feb70dec, 0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef,
  0x40ef9537a94e4a74, 0xaa2d3574e31bc674, 0xe65f36dce455bd8a, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xf2792bf734332c3a,
  0x0000000159021769,
};

// pwm216_u1x12_uart0_dual_pr_ce_u4  pwm316_u1x12_uart0_dual_pr_ce     pwm316_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr_ce[] = {
  0xbbba915e4a2432db, 0xbbbbe270a75be0fb, 0xfbb17d95a9afbbbb, 0xb9c5ab7776c4bb2d, 0x71c115603e33a51f,
  0x8c0482d95de4dc17, 0x190485d21705304f, 0x0d59e2cf49109d29, 0xbb9dd3e25c40c286, 0x7ce033736ed7e655,
  0x064ea6f51c2d6c0c, 0xff3f7c114239227f, 0x75980370f8510c4a, 0x72688655777bbe6e, 0x39e134068a8432d0,
  0xb7cd012db8d6ffa0, 0xfc753982c3795e5a, 0xeda9fddba7c24c17, 0x6e2faa010da3749f, 0xb892c79e50b838e9,
  0xea3e12fc4361222f, 0xb99e2ee370527ebf, 0xbf51c6fcf72c67d4, 0x14141f238e9fc1d4, 0x0676b591d7f398b0,
  0x90d500ffd99e3af0, 0x52552740f2d6e10e, 0x256bd93f8abe7771, 0x6bcf020270b37e06, 0x02de6f36450603bd,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x32f9b6e70c76f62a, 0xe3458df0dc79b097, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867, 0x93c95fb9a19961d2,
  0x00000003490b3b4f,
};

// pwm316_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbbba915e4d436f02, 0xbbbbe273170be0fb, 0x26f66eb5b369bbbb, 0x44f37713b767116a, 0xe6bde4c59b69eb41,
  0x16caef25b13b9fc3, 0x74887939827c6024, 0xb3d244274a464121, 0xf8971030a1835678, 0xdcd30df9956ee774,
  0xbd47149b0fd7381a, 0x08a11c913f83adf9, 0xb87c2886257f9fbe, 0x55777bbe6e000001, 0xae8a8432d08ac886,
  0x5b7b5bffa039e134, 0x0586f2bcb56f9a02, 0x6e9f0974fff8ea73, 0x9c368dd27fb6a7f7, 0x42e0e0d63bfea8dc,
  0x39dc6e5e1f2d7e79, 0x5bf929dacac9ba61, 0xea3e0d9835f3d479, 0x9a75a1140a62b80d, 0x52135f4616588a45,
  0x0a3dece7576e3287, 0x6355e363af512ed1, 0xcc5c242281151f3d, 0x51b044c8e1bd97d2, 0xe77715252cc4feb1,
  0x37e06256bd93f8ab, 0x603bd6bcf020270b, 0x929d002de6f36450, 0xf19d103be54dea53, 0x6f62aa8b4d5d38c6,
  0x9b09732f9b6e70c7, 0xfc1ddc68b1e70dc7, 0xe19e985727eeaccd, 0x87494b67c09c6592, 0x2d3e4f257ee68665,
  0x0000000001304385,
};

// pwm316_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd48af2515b7772df, 0xbe2490e3ff07dddd, 0x77b90f5fc3bbbbbb, 0x96e9621d7bebb4f5, 0x2d15efeaf87d645d,
  0x73bb6b5506af35c3, 0x27c602416caef24e, 0xa4641217483d9e98, 0x1835678b3d244274, 0x4b7e774f8971030a,
  0x219c292a6672fccb, 0x839869bd47eb3d83, 0x7f9fbe08a11c913f, 0x2e0801b87c288625, 0x63e88655777bbe6e,
  0xe784dd5f150865a0, 0xbe68096dcd6ffe80, 0xf9014c161bcaf2d5, 0xb53fbb74f849fe7f, 0xf546a7a1b46e93fd,
  0x58f3ca179d8cddc5, 0xc25f886c2445f712, 0xbb8dcd507907fd47, 0x7f253b5b9b9ba678, 0x47c1b306be7a8f2b,
  0x4eb422814c5701bd, 0x426be8c2cb1148b3, 0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac,
  0x3608991c37b2fa59, 0xeee2a4a5989fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x63458df1726ae0f3, 0x9cfd4eaccdfc1fb7,
  0x989ffde1ef79430a, 0x0cd0f327f81fc65f, 0xc2f8d1e8bfc0fdfb, 0x5b3e04e32c970cf4, 0x792bf734332c3a4a,
  0x00000800b72100ca,
};

// pwm316_u1x12_uart0_dual_ee_hw
static const uint64_t ur_pwm216_u1x12_uart0_dual_ee_hw[] = {
  0xbba915e4a243359b, 0xdddf126c201e0fbb, 0x3a8bcb56e4cddddd, 0xf763cc4ee94e6c57, 0xf0cc29ad75eec2c9,
  0x0482d95de4991770, 0x090ba47ad5304f8c, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0x70d3533fcfccab77,
  0xe9f9bd47ff9b00d0, 0x9fbe08a11c913f83, 0x2801b87c2886257f, 0x34432abbbddf3709, 0xf099c9c54219681c,
  0xcd012dbd0fffd01c, 0xc4f982c3795e5ab7, 0x4feedd3e12df7fee, 0x68e4486d1ba4ff6d, 0x3053d4795afb9aad,
  0x3be2ba95ea3e0d98, 0x16588a459a75a114, 0x652e2a5cd2135f46, 0x5da2147bd9cead2e, 0x1f3d6355ae875ea2,
  0x97d2cc5c24228115, 0xfd62a3608fd6e1bd, 0xf157ceee2a4a0109, 0x4e166fc0c4ad7b27, 0xc8a0c077ad79e040,
  0xd4a7253a005bcde6, 0x718de33a2077ca9b, 0x722adec555169aba, 0x8dc79b09732f9b6e, 0x7bde50c2a73f505d,
  0xfe07f197e627ff78, 0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0xaed2eca29e4afdcd,
};

// pwm316_u1x12_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm216_u1x12_uart0_dual_ee_ce_hw[] = {
  0x77522bc9a8286f97, 0x777c4e62e17c1f77, 0xdecdd6b66d377777, 0x9e6ee276ece22d44, 0x04675aa74d3d6828,
  0x120b657792d89dcf, 0x90ba443c9cc13e30, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x0d6e6986fccab773,
  0xfcdea38a4d87eb9c, 0xdf04508e489fc1d6, 0x00dc3e144312bfcf, 0x432abbbddf370000, 0x9a57454219684564,
  0x012dbdadffd01cf0, 0xf982c3795e5ab7cd, 0xddba7c25d3ffeec4, 0x7270da3749feda9f, 0xe50b838358effaa3,
  0x84e771b9d66c87f9, 0xe56fe4a76b2b26e9, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229,
  0x4428f7b39d5db8ca, 0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa,
  0x2cdf81895af64fe2, 0x4180ef5af3c0809c, 0x4e4a7400b79bcd91, 0x1bc67440ef9537a9, 0x1dbd8aaa2d3574e3,
  0x1e6c25ccbe6db9c3, 0x9430a9cfd4d87637, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x03aea70a514f257e,
};

// pwm316_u1x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_u1x12_uart0_dual_ee_ce_u4_hw[] = {
  0xba915e4a28d11107, 0x77c4921c7fe0fbbb, 0x4f577eb90f777777, 0x45d96e9621d7bebb, 0xf748315efeaf87d6,
  0x7792739dcdfed538, 0xecf4c13e30120b65, 0x2213a5232090ba41, 0x881850c1ab3c59e9, 0x72fccbb093ba7c4b,
  0xeb3d83219c292a66, 0x1c913f839869bd47, 0x2886257f9fbe08a1, 0x7bbe6e2e0801b87c, 0x0865a063e8865577,
  0x6ffe80e784dd5f15, 0xcaf2d5be68096dcd, 0x27f9fe01f74c161b, 0xba4ff6d4feedd3e1, 0x337717d51a9e86d1,
  0x7dc4963cf1be1838, 0xff51f097e21b0911, 0xdd33c5dc6e292737, 0xd4795bf929dadcdc, 0xb80dea3e0d9835f3,
  0x8a459a75a1140a62, 0x328752135f461658, 0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115,
  0xfeb151b044c8e1bd, 0xf8abe77715252cc4, 0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3,
  0x38c6f19d103be54d, 0x70c76f62aa8b4d5d, 0x8dc79b09732f9b6e, 0x7bde50c2a73f505d, 0xfe07f197e627ff78,
  0x2ff03f7ec3343cc9, 0xcb25c33d30be347a, 0x0ccb0e9296cf8138, 0x97c3b0be9e4afdcd, 0x0000000000000eba,
};

// pwm216_u2x8_uart0_noled_pr        pwm316_u2x8_uart0_noled           pwm316_u2x8_uart0_noled_pr
static const uint64_t ur_pwm216_u2x8_uart0_noled[] = {
  0xbbbbbb687acdfebe, 0xeeeeeaafb39b3e25, 0x4ddfe2438b78feee, 0xc5d08a66eeec8844, 0xbc9ddf1f85171243,
  0xc92609f180905b2b, 0x74f849effff5239f, 0x0e1b46f6a8e526fb, 0x0cd27a8fcf1df2c9, 0xdee986f93d1c74fe,
  0x9d9ed23c66731602, 0x6513b8e58c11d78b, 0xe70b37e06256bd85, 0xcde01f50603bd6bc, 0x15d54e5e5363385b,
  0x8b4b0b9c6378ce88, 0x2f9b6249156f62aa, 0xfc68b1e70ddb0973, 0x615c9fbab31e40d1, 0xd964a271964b867a,
  0xc95fb9a19961d252, 0x0001f21d273920f3,
};

// pwm316_u2x8_uart0_noled_pr_u4
static const uint64_t ur_pwm216_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbb6874488da91, 0x7777557d9cad225b, 0x089154cdb7a36f77, 0xc7d83eeee859471d, 0xdd68bd3b1dcbb623,
  0x609f180905b2bbc9, 0x8497cffaed19f9c6, 0xb46f6a8e526fb74f, 0x5fa8fd01df2c21e1, 0x4cf7dad1c74fe0d0,
  0x57f47ac398b01659, 0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0x73859bf0312b5ec1, 0xe6f00fa8301deb5e,
  0x0aeaa72f29b19c2d, 0x45a585ce31bc6744, 0x97cdb1248ab7b155, 0x37c5c9ab83cd84b9, 0xa9d598f207e50d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x01f2632722024f25,
};

// pwm216_u2x8_uart0_noled_pr_ee_u4  pwm316_u2x8_uart0_noled_pr_ee     pwm316_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm216_u2x8_uart0_noled_pr_ee[] = {
  0xdddddb43a2447768, 0xbbbbaabe6b1b112d, 0xd0a6cb88d3da17bb, 0x5fea6683ba9146ba, 0x92befa7388dd8330,
  0xc602416caef2775d, 0x1ffd768cfb059827, 0x6a8e526fb74f848e, 0x126ab5a39c61b46f, 0x7c1b30698fa8f2b9,
  0x75a1143be2beebd4, 0x135f4616588a459a, 0x73ab4bce2b8d64d2, 0x43af3a6edbda3c16, 0x228e791871b1aad7,
  0xeb70decb65cc5c24, 0xd801512a6951b047, 0x6bce70b37e06256b, 0x85bcde01f50603bd, 0xe8815d54e5e53633,
  0x2aa8b4b0b9c6378c, 0x9732f9b6249156f6, 0xa2c6f8b9357079b0, 0x73f53ab31e40fca1, 0x627ff787bde50c2a,
  0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929, 0x0000275f47144049,
};

// pwm216_u2x8_uart0_noled_pr_ce_u4  pwm316_u2x8_uart0_noled_pr_ce     pwm316_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_noled_pr_ce[] = {
  0xbbbbb68744889202, 0x777755743bc2a25b, 0xf4ec78cc5fa6ef77, 0x82d05c77777c4bc8, 0x93baccdb1591414c,
  0x3cc13e30120b6577, 0x7c24e4ffebb467e4, 0x0da37b5472937dba, 0x8c953b7f2e2fae49, 0x10d8488bee24b1e7,
  0x6e3fcc41fa8f84bf, 0xa7b9633f5933c5dc, 0x238e9fc1eb3d4727, 0xf47ac398b0147ce9, 0x3ff6678ebd1f3b57,
  0xf03cb5b87d99e540, 0xe166fc0c4ad7b071, 0xbc03ea0c077ad79c, 0xbaa9cbca6c670b79, 0x6961738c6f19d102,
  0xe6d89218edec5551, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xdd720e51012792bf,
};

// pwm316_u2x8_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm216_u2x8_uart0_noled_pr_ee_ce[] = {
  0xddddb43d41447705, 0xbbaabf582a8b12dd, 0x69648533df23bbbb, 0x9e0eefdd26798bd7, 0xb291da4c34ad14ad,
  0x80905b2bbc9ddb0d, 0xff5da33e4ea609f1, 0xa3949bedd3e128ad, 0x3bfea8dfc86d1bda, 0xcd90ff3c64a9de04,
  0x6563df309cee373a, 0x35afea3cafa894ed, 0x0a62b09fea3e0d98, 0x16588a459a75a114, 0x576e9c4752135f46,
  0x5e74ddb7b4782ce7, 0x39e461c6c6abc6c7, 0xc37b2d973170908a, 0xb3a254d2a3608991, 0x9ce166fc0c4ad7b0,
  0x79bc03ea0c077ad7, 0x02baa9cbca6c670b, 0x516961738c6f19d1, 0xcbe6d89218edec55, 0x6af2e4d5c1e6c25c,
  0xa75663c81f943459, 0x9fe04e34a1854e7e, 0xf4c2b93f01f343cc, 0x4a5b3e04e32c970c, 0x12792bf734332c3a,
  0x000000004fcc6310,
};

// pwm316_u2x8_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_noled_pr_ee_ce_u4[] = {
  0xbbbbb68744863375, 0xeeeeaaef21c9625b, 0x18934b0cf519eeee, 0xa82c71f1fddb1e48, 0x4b1568dd5ce8e3d3,
  0x27c602416caef277, 0x8fffd520f9fdda98, 0xed51ca4df6e9f091, 0xc1b8bea8e43c368d, 0xbee24b1e7942e0e1,
  0x9fa8f84bf10d8488, 0xef99e2ee373a3ea4, 0xea3cafa894ed6e6d, 0xb09fea3e0d9835af, 0x8a459a75a1140a62,
  0x9c4752135f461658, 0xddb7b4782ce7576e, 0x61c6c6abc6c75e74, 0x2d973170908a39e4, 0x54d2a3608991c37b,
  0x66fc0c4ad7b0b3a2, 0x03ea0c077ad79ce1, 0xa9cbca6c670b79bc, 0x61738c6f19d102ba, 0xd89218edec555169,
  0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a,
  0xc09c6592e19e985f, 0x7ee6866587494b67, 0x027e7b13ed3e4f25,
};

// pwm216_u2x8_uart0_lednop_pr       pwm316_u2x8_uart0_lednop          pwm316_u2x8_uart0_lednop_pr
static const uint64_t ur_pwm216_u2x8_uart0_lednop[] = {
  0xddddddb43d66ef3a, 0x77777557d9c2f712, 0x1367eefc3fbe9777, 0xe3f5a5f9bbbb2211, 0x7793ba0bd04cc590,
  0xe0a4c13e30120b65, 0x6e9f097c9ffea473, 0x21c368ded51ca4df, 0xc19a4f51c9e3be59, 0x2dee987ce9238e9f,
  0xe766be4720a73160, 0xb07dee39630475e2, 0x13859bf0312b5ec2, 0xb228301deb5e7810, 0xf529c94e8016f379,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x79c376c25ccbe6db, 0xeeacc790347f1a2c, 0x9c6592e19e985727,
  0x6866587494b65928, 0x400e4e483cf257ee, 0x000000000000003e,
};

// pwm316_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_pwm216_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddb43a2447f82, 0x7777557d9c75f12d, 0xb4a12fc2e3b50f77, 0xf4a64f77742ca38e, 0xeeae3122a6e0d933,
  0x304f8c0482d95de4, 0x84a5f7fd768cf9eb, 0xb46f6a8e526fb74f, 0x5fa8f6b1df2c21e1, 0x9be483f1c74fe0d0,
  0x67a3486731602cb2, 0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x9c2cdf81895af641, 0x914180ef5af3c080,
  0xa94e4a7400b79bcd, 0xe31bc67440ef9537, 0xe455bd8aaa2d3574, 0xae0f3612e65f36dc, 0xc81f943458df1726,
  0xbca1854e7ea75663, 0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196,
  0x9388093c95fb9a19, 0x00000000000f9307,
};

// pwm216_u2x8_uart0_lednop_pr_ee_u4 pwm316_u2x8_uart0_lednop_pr_ee    pwm316_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_pwm216_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddb43a2447705, 0x7777557cd6c5f12d, 0x6c2d198d05d08377, 0x1dfa99a0eea451ae, 0x0db2bc8a4c6967ef,
  0xf180905b2bbc9ddb, 0x87ff5da33f95a609, 0xdaa3949bedd3e122, 0xca9aad68e7186d1b, 0x1f06cc1a63ea3cac,
  0x3ad08a1df1587bf5, 0x09afa30b2c4522cd, 0x39d5a5cf55c6b269, 0xd0ebce9bb4648c9a, 0x08a09e46f6ac6ab5,
  0xfadc37b2d9731709, 0xec0087d99e546c11, 0x81013859bf0312b5, 0x379b228301deb5e7, 0x2a6f529c94e8016f,
  0x6ae9c6378ce881df, 0x6db9c8ab7b15545a, 0x2e4d5c1e6c25ccbe, 0xacc7903f2868b1be, 0xe1ef79430a9cfd4e,
  0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0xd779b71012792bf7,
  0x0000000000000009,
};

// pwm216_u2x8_uart0_lednop_pr_ce_u4 pwm316_u2x8_uart0_lednop_pr_ce    pwm316_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddb43a24458e2, 0xbbbbaaba1da0912d, 0x14f4c6dc33d697bb, 0x336331ddddf12f26, 0x4ee94e1ec694eb03,
  0x7304f8c0482d95de, 0xf093a5ffaed19f29, 0x368ded51ca4df6e9, 0x64a9dd4ab8beb924, 0x86c2445f71258f3c,
  0xe56fc00fd47c25f8, 0x7b9633f5933c5dc6, 0x38e9fc1eb3d47e92, 0x1a43398b01531116, 0xfd99e3af47cecb3d,
  0x0f2d6e416691500f, 0x59bf0312b5ec82b4, 0x8301deb5e7810138, 0x9c94e8016f379b22, 0x378ce881df2a6f52,
  0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0x7e50d1637c5c9ab8, 0x861539fa9d598f20, 0x8cbf313ffbc3def2,
  0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0x2024f257ee686658, 0x000000001bae2a72,
};

// pwm316_u2x8_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm216_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xeeeeda1ea0a22044, 0xddd55fac111f896e, 0xbd764160ef4edddd, 0xcf0777ee933cc6a2, 0x4e4644219895c66e,
  0xc0482d95de4eea0a, 0xff5da33f43f304f8, 0xa3949bedd3e12383, 0x3bfea8dfc86d1bda, 0x4492bf3c64a9defb,
  0x6563df309cee372e, 0x35afea3cafba94ed, 0x0a62bdbfea3e0d98, 0x16588a459a75a114, 0x576e3d4752135f46,
  0xaf3a6ed1923268e7, 0x04f237b56355e363, 0xe1bd96cb98b84845, 0xb31f667951b044c8, 0x04e166fc0c4ad7b0,
  0x6c8a0c077ad79e04, 0xbd4a7253a005bcde, 0xa718de33a2077ca9, 0xce18edec555169ab, 0x6ae0f3612e65f36d,
  0xe40fca1a2cb57972, 0x1a50c2a73f53ab31, 0x9f80f9a1e64ff027, 0x0271964b867a615c, 0xfb9a19961d252d9f,
  0x004fcc2188093c95,
};

// pwm316_u2x8_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_lednop_pr_ee_ce_u4[] = {
  0xdddddb43a243304a, 0x777755779097712d, 0x392989a17b93b777, 0x364638f8feed8f24, 0x62ea3eec900dc112,
  0x3e30120b657793bb, 0xf9ff5483e7f4d4c1, 0xdaa3949bedd3e12f, 0xb5717d51c8786d1b, 0x7dc4963cf285c1c4,
  0x7f51f097e21b0911, 0xbe678bb8dc044980, 0xa8f2beea53b5b9b7, 0xf6ffa8f83660d6bf, 0x291669d68450298a,
  0xf51d484d7d185962, 0xbb4648c9a39d5db8, 0xded58d578d8ebce9, 0x5b2e62e1211413c8, 0x99e546c1132386f6,
  0x9bf0312b5ec2cc7d, 0x301deb5e78101385, 0xc94e8016f379b228, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0xcd84b997cdb73863, 0x7f07771a2c6f86e3, 0xde50c2a73f53ab33, 0x07f197e627ff787b, 0xf03f7ec3343cc9fe,
  0x25c33d30be347a2f, 0xcb0e9296cf8138cb, 0x6b5a7c9e4afdcd0c, 0x0000000000027e4a,
};

// pwm316_u2x8_uart0_dual
static const uint64_t ur_pwm216_u2x8_uart0_dual[] = {
  0xfbbbbba91750d2a8, 0xbbbbbbe27c7e4ee0, 0x6d17519cbbd6c5bb, 0x7cf58a5589dddd1a, 0xef2419bb8eb46ad6,
  0xb919827c602416ca, 0x244274a464121748, 0x71030a1835678b3d, 0x90ff9956ee774f89, 0x8e51760e4ce1f3a6,
  0x508e489fc1bf937a, 0x3e144312bfcfdf04, 0xaeef77cdc38200dc, 0xf8a8432d07bd10ca, 0xdbc06ffa039e130d,
  0x2c3795e5ab7cd012, 0xdd3e123d7fc75398, 0x7f86d1bdaa3949be, 0x0690fd47b8677cb5, 0xfe1ccb5c9a8e3a7f,
  0xdd84fa3416731602, 0x869371cb1823af22, 0xc9fc55f3bb8a9295, 0x1013859bf0312b5e, 0x02de6f301deb5e78,
  0x7c05a9c914b579d0, 0xce88197f8a042d2a, 0xb09732f9b69c6378, 0xf4c2b93f3fb0dc79, 0x4a5b3e04e32c970c,
  0xf2792bf734332c3a, 0x00000065bfbc9569,
};

// pwm216_u2x8_uart0_dual_pr_u4      pwm316_u2x8_uart0_dual_pr         pwm316_u2x8_uart0_dual_pr_u4
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr[] = {
  0x7777522d121a559b, 0x7777c4f8f3b5c1f7, 0x053d689da73b7777, 0x8eb333dddda8a624, 0x7385f1fec5f33738,
  0x8c0482d95de4b4b7, 0x8c8242e90495304f, 0x06acf167a4884e94, 0xddcee9f12e206143, 0xe19c0a5ccc17f32a,
  0xf07fba6f51dd2ec0, 0xaff3f7c114239227, 0x73fe00370f8510c4, 0x417c4432abbbddf3, 0x4073c267be2a10cb,
  0xb56f9a025b7a95ff, 0x7ff8ea730586f2bc, 0x6a8e526fb74f8482, 0xf914ef9626a1b46f, 0xbdf1c74fe0c43fa8,
  0xafe731602a83cd38, 0xb30475e00ced6b23, 0x967b621d21aa01ff, 0x55f3bb8a92a93a07, 0x859bf0312b5ec9fc,
  0x28301deb5e781013, 0x29c94e8016f379b2, 0x6378ce881df2a6f5, 0x8ab7b15545a6ae9c, 0x71e6c25ccbe6db9c,
  0x99bf83bb8d1637c3, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64, 0x6592e19e985f1a3d,
  0x866587494b67c09c, 0xdfaa2d3e4f257ee6, 0x0000000000000524,
};

// pwm316_u2x8_uart0_dual_pr_ee
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr_ee[] = {
  0xddddd48a1eb432db, 0xeeeef8936100f07d, 0xb9d45e5ab7266eee, 0x4fbb1e62774a7362, 0xc115634f19d77616,
  0x0482d95de4991771, 0x090ba47ad5304f8c, 0xb3c59e92213a5232, 0x3ba7c4b881850c1a, 0x70d3533fcfccab77,
  0xe9f9bd47ff9b00d0, 0x9fbe08a11c913f83, 0x2801b87c2886257f, 0x34432abbbddf3709, 0xf099c9c54219681c,
  0xcd012dbd0fffd01c, 0x753982c3795e5ab7, 0x2937dba7c25beffc, 0x5ad1c890da37b547, 0x3060a7a8f2b5f735,
  0x2877c5752bd47c1b, 0x8c2cb1148b34eb42, 0x5cca5c54b9a426be, 0x44bb4428f7b39d5a, 0x2a3e7ac6ab5d0ebd,
  0x7b2fa598b8484502, 0x13fac546c11fadc3, 0x4fe2af9ddc549402, 0x809c2cdf81895af6, 0xcd914180ef5af3c0,
  0x37a94e4a7400b79b, 0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0x3e1b8f3612e65f36, 0x75666fe0eee3459d,
  0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c, 0xd969f2792bf73433,
  0x0000000000005645,
};

// pwm316_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr_ee_u4[] = {
  0xdddddd48b4486f97, 0xbbbbbbe24d8ad707, 0x5875f3ed266f77bb, 0x5f1aac7989dd816f, 0x78233a70b53a4035,
  0x80905b2bbc9466ee, 0x2090ba40592609f1, 0xab3c59e92213a523, 0x73ba7c4b881850c1, 0xe70ff93068fccab7,
  0xfabe6f51fa7f6163, 0xe7ef822847244fe0, 0xa8006e1f0a21895f, 0x5910caaeef77cdc4, 0x3c265f7150865a09,
  0xf9a025b7383ff407, 0x8ea730586f2bcb56, 0xe526fb74f8494f7f, 0xab5a3d2a1b46f6a8, 0x660fe4f51e571ee6,
  0x450ef8acc7fa8f83, 0xd185962291669d68, 0x9709eb84173484d7, 0xac4ec3e23e90e756, 0x04752ec6ab5d0ebd,
  0x7b2e3e3170908a3a, 0x7715255c09ffadc3, 0xe06256bd93f8abe7, 0x3bd6bcf020270b37, 0x9d002de6f3645060,
  0x9d103be54dea5392, 0x62aa8b4d5d38c6f1, 0x84b997cdb739156f, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0xda7c9e4afdcd0ccb,
  0x0000000000564085,
};

// pwm216_u2x8_uart0_dual_pr_ce_u4   pwm316_u2x8_uart0_dual_pr_ce      pwm316_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeeea45a2432db, 0xeeeeef89c29d6f83, 0xb7eec5f656a6beee, 0x7ee716addddb12ec, 0x5dc7045580f8ce94,
  0x3e30120b65779370, 0xa4641217485c14c1, 0x1835678b3d244274, 0x56ee774f8971030a, 0x31f380cdcdbb5f99,
  0xfc193a9bd470b5b0, 0x2bfcfdf04508e489, 0xb9d6600dc3e14431, 0x41c9a21955ddeef9, 0x80e784d01a2a10cb,
  0x6adf3404b6e35bfe, 0x5ff1d4e60b0de579, 0xd51ca4df6e9f0930, 0x3a5b8bea804368de, 0x8bee24b1e7942e0e,
  0xaffa8f84bf10d848, 0xf52e678bb8dc149f, 0x752fd471bf3dcb19, 0x2c050507c8e3a7f0, 0xbc019dad6475fce6,
  0x43a435403ff6678e, 0xdc549549d03cb5b8, 0x81895af64fe2af9d, 0xef5af3c0809c2cdf, 0x7400b79bcd914180,
  0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0x25ccbe6db9c31dbd, 0x3bb8d1637c371e6c, 0x861539fa9d599bf8,
  0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e, 0xd3e4f257ee686658,
  0x0000000000d242ce,
};

// pwm316_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr_ee_ce[] = {
  0xeeeeeea45d436f02, 0xeeeeef89cc5c2f83, 0xa89bd9bad6cda6ee, 0x0513cddc4edd9c45, 0x0f9af793166da7ad,
  0x905b2bbc96c4ee7f, 0x85d221e4e609f180, 0xe2cf49109d291904, 0xd3e25c40c2860d59, 0x6b734c37e655bb9d,
  0xe6f51c526c3f5ce0, 0xf822847244fe0eb7, 0x06e1f0a21895fe7e, 0x1955ddeef9b80000, 0xd2ba2a10cb422b22,
  0x096ded6ffe80e784, 0xcc161bcaf2d5be68, 0x7dba7c25d3ffe3a9, 0x37270da37b547293, 0x9e50b838358effaa,
  0x984e771b9787cb5f, 0x1e56fe4a76b2b26e, 0x037a8f83660d7cf5, 0x91669d68450298ae, 0xa1d484d7d1859622,
  0xb4428f7b39d5db8c, 0xcf58d578d8ebd44b, 0xf4b3170908a04547, 0xac546c1132386f65, 0x2af9ddc5494b313f,
  0xc2cdf81895af64fe, 0x14180ef5af3c0809, 0x94e4a7400b79bcd9, 0x31bc67440ef9537a, 0x31dbd8aaa2d3574e,
  0x71e6c25ccbe6db9c, 0x337f07771a2c79c3, 0x64b867a615c9fbab, 0x9961d252d9f02719, 0xe14b4f93c95fb9a1,
  0x0000000000004c10,
};

// pwm316_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0x777522d15b7772df, 0xeef892438ffc1f77, 0xd5dee43d7f0eeeee, 0x765ba58875efaed3, 0x0cb457bfabe1f591,
  0x39ceedad541abcd7, 0x609f180905b2bbc9, 0xd29190485d20f67a, 0x2860d59e2cf49109, 0x2d2df9dd3e25c40c,
  0x0c8670a4a999cbf3, 0xfe0e61a6f51facf6, 0x95fe7ef822847244, 0xb8b82006e1f0a218, 0x818fa21955ddeef9,
  0x039e13757c542196, 0x56f9a025b735bffa, 0xffe40530586f2bcb, 0xa3949bedd3e127f9, 0x717d51a9e86d1bda,
  0xc4963cf285e76337, 0x51f097e21b09117d, 0x9e2ee373541e41ff, 0xcadfc94ed6e6e6e9, 0x6f51f06cc1af9ea3,
  0x2cd3ad08a05315c0, 0x3a909afa30b2c452, 0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9,
  0x8a8d8226470decbe, 0x5f3bb8a9296627f5, 0x59bf0312b5ec9fc5, 0x8301deb5e7810138, 0x9c94e8016f379b22,
  0x378ce881df2a6f52, 0x3b7b15545a6ae9c6, 0x3cd84b997cdb7386, 0xedd8d1637c5c9ab8, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x329e4afdcd0ccb0e,
  0x00000002002dc840,
};

// pwm316_u2x8_uart0_dual_ee_hw
static const uint64_t ur_pwm216_u2x8_uart0_dual_ee_hw[] = {
  0xeeeeea45a243359b, 0x77777c49b080783e, 0x5cea2f2d5b933777, 0x27dd8f313ba539b1, 0xc3c330a6b5d7bb0b,
  0x30120b657792645d, 0xc8242e91eb54c13e, 0x6acf167a4884e948, 0xdcee9f12e2061430, 0x41c34d4cff3f32ad,
  0x0fa7e6f51ffe6c03, 0xfe7ef822847244fe, 0x24a006e1f0a21895, 0x70d10caaeef77cdc, 0x73c26727150865a0,
  0xdf3404b6f43fff40, 0xbb13e60b0de5796a, 0xe526fb74f84b7dff, 0xab5a39121b46f6a8, 0x660c14f51e56bee6,
  0x450ef8aea57a8f83, 0xd185962291669d68, 0x4b994b8a973484d7, 0xa89768851ef673ab, 0x4547cf58d56ba1d7,
  0x6f65f4b3170908a0, 0x427f58a8d823f5b8, 0xc9fc55f3bb8a9280, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0x002bb4bb28a792bf,
};

// pwm316_u2x8_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm216_u2x8_uart0_dual_ee_ce_hw[] = {
  0xddddd48ba8286f97, 0xddddf1398b85f07d, 0x137b375ad9b4dddd, 0xa279bb89dbb388b5, 0x3c119d6a9d34f5a0,
  0xc0482d95de4b6277, 0x8242e910f27304f8, 0xacf167a4884e948c, 0xcee9f12e20614306, 0x7035b9a61bf32add,
  0x5bf37a8e29361fae, 0x3f7c114239227f07, 0x000370f8510c4aff, 0x910caaeef77cdc00, 0xc2695d150865a115,
  0x3404b6f6b7ff4073, 0x13e60b0de5796adf, 0x4df6e9f0974fffbb, 0xa8dc9c368ded51ca, 0xfe7942e0e0d63bfe,
  0xba6139dc6e759b21, 0xd4795bf929dacac9, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x270b37e06256bd93, 0x6450603bd6bcf020, 0xea53929d002de6f3, 0x38c6f19d103be54d, 0x70c76f62aa8b4d5d,
  0x8dc79b09732f9b6e, 0x71a50c2a73f5361d, 0xc9f80f9a1e64ff02, 0xf0271964b867a615, 0x5fb9a19961d252d9,
  0x0000eba9c29453c9,
};

// pwm316_u2x8_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_u2x8_uart0_dual_ee_ce_u4_hw[] = {
  0xeeeea45a28d11107, 0xdddf124871ff83ee, 0xed3d5dfae43ddddd, 0x591765ba58875efa, 0xe3dd20c57bfabe1f,
  0x95de49ce7737fb54, 0x07b3d304f8c0482d, 0xa4884e948c8242e9, 0x2e20614306acf167, 0x99cbf32ec24ee9f1,
  0x1facf60c8670a4a9, 0x847244fe0e61a6f5, 0xf0a21895fe7ef822, 0xddeef9b8b82006e1, 0x542196818fa21955,
  0x35bffa039e13757c, 0x6f2bcb56f9a025b7, 0x849fe7f807dd3058, 0xb46f6a8e526fb74f, 0x0e0cddc5f546a7a1,
  0x445f71258f3c6f86, 0xcdffd47c25f886c2, 0x37374cf1771b8a49, 0x7cf51e56fe4a76b7, 0x98ae037a8f83660d,
  0x962291669d684502, 0xdb8ca1d484d7d185, 0xd44bb4428f7b39d5, 0x4547cf58d578d8eb, 0x6f65f4b3170908a0,
  0x313fac546c113238, 0x64fe2af9ddc5494b, 0x0809c2cdf81895af, 0xbcd914180ef5af3c, 0x537a94e4a7400b79,
  0x574e31bc67440ef9, 0xdb9c31dbd8aaa2d3, 0x176371e6c25ccbe6, 0xde1ef79430a9cfd4, 0x327f81fc65f989ff,
  0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xaea5f0ec2fa792bf, 0x0000000000000003,
};

// pwm216_u2x12_uart0_noled_pr       pwm316_u2x12_uart0_noled          pwm316_u2x12_uart0_noled_pr
static const uint64_t ur_pwm216_u2x12_uart0_noled[] = {
  0x776d0d783acdfc4f, 0xddd55ce0b4244b77, 0x8a64d0e6b11ddddd, 0xe2f56dddd3c19ee4, 0x77617ad1e3d041af,
  0x9827c602416caef2, 0xe12887ffd48e7e6e, 0x51ca4fe6d4faadd3, 0x9e3be5921c368ded, 0x7a38e9fc19a4f51f,
  0xcce62c05bdd30df2, 0x1823af173b3da478, 0xc4ad7b0aca2771cb, 0xc077ad79ce166fc0, 0xa6c670b79bc03ea0,
  0xc6f19d102baa9cbc, 0x2adec55516961738, 0x1bb612e65f36c492, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0x32c3a4a5b2c944e3, 0x4e7241e792bf7343, 0x000000000000f905,
};

// pwm316_u2x12_uart0_noled_pr_u4
static const uint64_t ur_pwm216_u2x12_uart0_noled_pr_u4[] = {
  0x76d0d7834488a8ae, 0xbaab9c178fc4b777, 0xe4d5a00d2e3bbbbb, 0xf07dddd888913e2d, 0xa69638d931223188,
  0x13e30120b657793b, 0x9029ff5da33fa54c, 0xe527f36a7d56e9f0, 0x1df2c21e1b46f6a8, 0x1c74fe0d05fa8fd0,
  0x398b016594cf7dad, 0x08ebd1f3b57f47ac, 0xf6c7d99e5403ff66, 0x0312b5ec1c7c0f2c, 0x8301deb5e73859bf,
  0xf29b19c2de6f00fa, 0xe31bc67440aeaa72, 0x48ab7b15545a585c, 0xb83cd84b997cdb12, 0x207e50d1637c5c9a,
  0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659,
  0x3a2024f257ee6866, 0x00000000003e4e35,
};

// pwm216_u2x12_uart0_noled_pr_ee_u4 pwm316_u2x12_uart0_noled_pr_ee    pwm316_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_pwm216_u2x12_uart0_noled_pr_ee[] = {
  0xbb686bc1a2446f43, 0xeeaaf2200ce25bbb, 0x90f1ef5f682eeeee, 0x984c3fbaf23af640, 0xed533d950ccddb53,
  0x0120b657793bad3b, 0xfebb467f024c13e3, 0xcda9f55ba7c2452f, 0xe7186d1bdaa3949f, 0x63ea3cae449aad68,
  0xf8afbaf51f06cc1a, 0x962291669d68450e, 0x8ae3593484d7d185, 0xb6f68f059cead2f3, 0x1c6c6ab5d0ebce9b,
  0xd973170908a39e46, 0x9a546c11fadc37b2, 0xdf81895af600544a, 0x7d4180ef5af39c2c, 0x39794d8ce16f3780,
  0x2e718de33a205755, 0x892455bd8aaa2d2c, 0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0xdaf71012792bf734,
  0x00000000000009d7,
};

// pwm216_u2x12_uart0_noled_pr_ce_u4 pwm316_u2x12_uart0_noled_pr_ce    pwm316_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_pwm216_u2x12_uart0_noled_pr_ce[] = {
  0x76d0d78344889768, 0xeeaaf064b444b777, 0x3bdb67ef619eeeee, 0x78fdddd3265ed4de, 0x3747688f8f62b6c8,
  0x9f180905b2bbc9dd, 0xf9dff5da33e5d660, 0xa4fe6d4faadd3e12, 0x8beb924368ded51c, 0x892c79e3254edfcb,
  0xa3e12fc4361222fb, 0x4cf1771b8ff3107e, 0xcf51c9e9ee58cfd6, 0x051f3a48e3a7f07a, 0x47ced5fd1eb0e62c,
  0x6679500ffd99e3af, 0xb5ec1c7c0f2d6e1f, 0xdeb5e73859bf0312, 0x19c2de6f00fa8301, 0xc67440aeaa72f29b,
  0x7b15545a585ce31b, 0xb09732f9b624863b, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c,
  0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x49e4afdcd0ccb0e9, 0x000000375df81440,
};

// pwm316_u2x12_uart0_noled_pr_ee_ce
static const uint64_t ur_pwm216_u2x12_uart0_noled_pr_ee_ce[] = {
  0xb686bc1d41447032, 0xeaaf088d1625bbbb, 0x5a09c97560eeeeee, 0x82917746d82f0828, 0xec9c9cbe99a5c5ed,
  0x2416caef2775b11c, 0xd768cfa5a9827c60, 0xb53eab74f8486b7f, 0xf90da37b547293f9, 0x8c953bc0877fd51b,
  0x139dc6e759b21fe7, 0x95f5129dacac7be6, 0xfd47c1b306b5fd47, 0xb34eb422814c5613, 0xea426be8c2cb1148,
  0xf68f059ceaedd388, 0xd8d578d8ebce9bb6, 0xe62e1211473c8c38, 0x546c1132386f65b2, 0x81895af616744a9a,
  0x4180ef5af39c2cdf, 0x794d8ce16f37807d, 0x718de33a20575539, 0x431dbd8aaa2d2c2e, 0xb83cd84b997cdb12,
  0x03f2868b2d5e5c9a, 0x9430a9cfd4eacc79, 0xe03e687993fc09c6, 0x9c6592e19e985727, 0xe6866587494b67c0,
  0x027e1922024f257e,
};

// pwm316_u2x12_uart0_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x12_uart0_noled_pr_ee_ce_u4[] = {
  0x76d0d7834486cc7f, 0xbaabae43a744b777, 0x7e98d3d89dbbbbbb, 0xa912c47771da09e4, 0x55e52947e0dc71a8,
  0x0120b657793ba9f7, 0xea907cfa6dcc13e3, 0xb53eab74f84866ff, 0x0f0da37b547293f9, 0x50b838706e2faa39,
  0x4361222fb892c79e, 0xce8fa927ea3e12fc, 0x3b5b9b7be678bb8d, 0x660d6bfa8f2bea25, 0x450298ac27fa8f83,
  0xd185962291669d68, 0x39d5dba711d484d7, 0xb1d79d376ded1e0b, 0x228e791871b1aaf1, 0x6470decb65cc5c24,
  0xec2ce89534a8d822, 0xb5e73859bf0312b5, 0xc2de6f00fa8301de, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x9732f9b624863b7b, 0xeee3458df0dc79b0, 0x1854e7ea75666fe0, 0x32fcc4ffef0f7bca, 0xefd86687993fc0fe,
  0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x4f93c95fb9a19961, 0x000000009f9e7e1b,
};

// pwm216_u2x12_uart0_lednop_pr      pwm316_u2x12_uart0_lednop         pwm316_u2x12_uart0_lednop_pr
static const uint64_t ur_pwm216_u2x12_uart0_lednop[] = {
  0x776d0d783acdfc4f, 0xbbaab9c14c9c4b77, 0xdac1d4cd623bbbbb, 0xbf8be6fbbba7833d, 0xc9dd85eb478f4106,
  0x3e609f180905b2bb, 0x9f09201ffea473e1, 0x6a8e527f36a7d56e, 0xe4f1df2c90e1b46f, 0xf3d1c74fe0cd27a8,
  0x20a731602dee986f, 0xb1823af173b07147, 0x312b5ec2b141f71c, 0xeb5e781013859bf0, 0xa005bcde5ba8301d,
  0xe02f7ca9bd4a7253, 0xbc674408ea2810b4, 0x6ed84b997cdb4e31, 0x98f2068fe3458f38, 0xb25c33d30ae4fdd5,
  0xcb0e9296cb25138c, 0x39c9079e4afdcd0c, 0x000000000003e415,
};

// pwm316_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_pwm216_u2x12_uart0_lednop_pr_u4[] = {
  0xbb686bc1a2446d4e, 0xdd55ce0be9625bbb, 0x8b60fe3f731ddddd, 0xe6fbbbb1112278ff, 0x626e09208cc6d933,
  0x3e30120b657793ba, 0x403febb467c27cc1, 0xa4fe6d4faadd3e12, 0xbe5843c368ded51c, 0x8e9fc1a0bf51ed63,
  0x62c0596537c907e3, 0xebd1f3b2cf4690ce, 0xd059a45403ff6608, 0x12b5ec82b40f2cf6, 0xb5e781013859bf03,
  0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15, 0xb1be2e4d5c1e6c25,
  0xfd4eacc7903f2868, 0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2,
  0x2bf734332c3a4a5b, 0x001f2620d5101279,
};

/*
 * pwm216_u2x12_uart0_lednop_pr_ee_u4 pwm316_u2x12_uart0_lednop_pr_ee
 * pwm316_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_pwm216_u2x12_uart0_lednop_pr_ee[] = {
  0xbb686bc1a2447032, 0xeeaaf2207ee25bbb, 0x9005f5176c8eeeee, 0x30987f75e475e0cd, 0xce5829ca85b4bb27,
  0x02416caef2775b11, 0xfd768cfefb9827c6, 0x9b53eab74f8494f7, 0xce30da37b547293f, 0xc7d4795995355ad1,
  0xe2b0f7ea3e0d9834, 0x588a459a75a1143b, 0xab8d64d2135f4616, 0x68c9193473ab4b9e, 0xed58d56ba1d79d37,
  0xb2e62e1211413c8d, 0x3ca8d823f5b86f65, 0x7e06256bd8010fb3, 0x03bd6bcf020270b3, 0x29d002de6f364506,
  0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xd84b997cdb739156, 0x50d1637c5c9ab83c, 0x1539fa9d598f207e,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0x24f257ee68665874,
  0x00000013af756e20,
};

/*
 * pwm216_u2x12_uart0_lednop_pr_ce_u4 pwm316_u2x12_uart0_lednop_pr_ce
 * pwm316_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm216_u2x12_uart0_lednop_pr_ce[] = {
  0xbb686bc1a2447768, 0x7755783236225bbb, 0x4d9711a7b42f7777, 0x60bf7774c997b5a1, 0xbb257df4e711bb06,
  0x4f8c0482d95de4ee, 0x1c3ffaed19f60b30, 0x527f36a7d56e9f09, 0xc5f5c921b46f6a8e, 0x892c79e3254eea55,
  0xa3e12fc4361222fb, 0x99e2ee372b7e007e, 0x9ea3f493dcb19fac, 0x0a9888b1c74fe0f5, 0x3e7659e8d219cc58,
  0x348a807feccf1d7a, 0xaf6415a0796b720b, 0x3c0809c2cdf81895, 0x79bcd914180ef5af, 0xf9537a94e4a7400b,
  0xd3574e31bc67440e, 0xe6db9c31dbd8aaa2, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b, 0xde1ef79430a9cfd4,
  0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0, 0xdd7d1c51012792bf,
};

// pwm316_u2x12_uart0_lednop_pr_ee_ce
static const uint64_t ur_pwm216_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xdb435e0ea0a22a20, 0x75578445c712dddd, 0x015b977b1c777777, 0x82917746d82f68a1, 0xa8171abc8989866d,
  0x2416caef27747b16, 0xaed19fe9f9827c60, 0xd4faadd3e12eafff, 0xe4368ded51ca4fe6, 0x3254ef7d9dff546f,
  0x4e771b9722495f9e, 0x57dd4a76b2b1ef98, 0xf51f06cc1ad7f51e, 0xcd3ad08a05315edf, 0xa909afa30b2c4522,
  0xc9193473abb71ea3, 0xb1aaf1b1d79d3768, 0xcc5c242282791bda, 0xa8d8226470decb65, 0x06256bd8598fb33c,
  0xbd6bcf020270b37e, 0xd002de6f36450603, 0xd103be54dea53929, 0x2aa8b4d5d38c6f19, 0x9732f9b6e70c76f6,
  0x165abcb9357079b0, 0x9fa9d598f207e50d, 0xf327f8138d286153, 0xc33d30ae4fc07cd0, 0x0e9296cf8138cb25,
  0xc4049e4afdcd0ccb, 0x00000000004fc7ad,
};

// pwm316_u2x12_uart0_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x12_uart0_lednop_pr_ee_ce_u4[] = {
  0xddb435e0d1219f68, 0xeeaaeb9012312ddd, 0xef234176c4eeeeee, 0xfa44b11ddc768274, 0xf44f69c164777048,
  0x180905b2bbc9dd2a, 0xffaa41f3eff2609f, 0xf36a7d56e9f09068, 0x721e1b46f6a8e527, 0x3ca170712d5c5f54,
  0xf886c2445f71258f, 0x370112601fd47c25, 0x94ed6e6def99e2ee, 0x0d9835afea3cafba, 0xa1140a62bdbfea3e,
  0x5f4616588a459a75, 0x68e7576e3d475213, 0xe363af3a6ed19232, 0x484504f237b56355, 0x44c8e1bd96cb98b8,
  0xd7b0b31f667951b0, 0x9e0404e166fc0c4a, 0xbcde6c8a0c077ad7, 0x7ca9bd4a7253a005, 0x69aba718de33a207,
  0xf36dce18edec5551, 0x8b1be1b8f3612e65, 0xcfd4eaccdfc1ddc6, 0x89ffde1ef79430a9, 0xcd0f327f81fc65f9,
  0x2f8d1e8bfc0fdfb0, 0xb3e04e32c970cf4c, 0x92bf734332c3a4a5, 0x00013f2e20f69f27,
};

/*
 * pwm216_u2x12_uart0_dual_pr        pwm216_u2x12_uart0_dual_pr_u4     pwm316_u2x12_uart0_dual
 * pwm316_u2x12_uart0_dual_pr        pwm316_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_pwm216_u2x12_uart0_dual[] = {
  0xdd48af2512190907, 0xddf130bceb707ddd, 0x5618c8e843dddddd, 0xc46eb7775a2f9141, 0x683f572afebdeca9,
  0x0120b65779342ddd, 0x2090ba46544c13e3, 0xab3c59e92213a523, 0x73ba7c4b881850c1, 0x67060b3604fccab7,
  0x1a569bd47387b029, 0xfcfdf04508e489fc, 0x0d000dc3e144312b, 0x05110caaeef77cdc, 0x1cf09a218a8432d0,
  0x5be68096dff77fd0, 0xfe3a9cc161bcaf2d, 0xf36a7d56e9f09775, 0x626a1b46f6a8e527, 0xfe0c43fa8f914ef9,
  0x02a83cd38bdf1c74, 0x00ced6b23afe7316, 0xd21aa01ffb30475e, 0xa92a93a07967b621, 0x12b5ec9fc55f3bb8,
  0xb5e781013859bf03, 0x016f379b228301de, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0xccbe6db9c8ab7b15,
  0xb8d1637c371e6c25, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb,
  0x94b67c09c6592e19, 0xe4f257ee68665874, 0x000000524ffaa2d3,
};

// pwm316_u2x12_uart0_dual_pr_ee
static const uint64_t ur_pwm216_u2x12_uart0_dual_pr_ee[] = {
  0xdd48af207ad0cf68, 0x777c48330b707ddd, 0x1fad33ed26f77777, 0xfbc77e4775d91da5, 0xd4e8671bb2bbfbbc,
  0x82d95de4c0b77347, 0x0ba43c03304f8c04, 0xc59e92213a523209, 0xa7c4b881850c1ab3, 0x7f93620fccab773b,
  0xf9bd470d1b0d3470, 0xbe08a11c913f83b1, 0x01b87c2886257f9f, 0x432abbbddf3732a0, 0x9be74542196814b4,
  0x012dbf4fffd01cf0, 0x3982c3795e5ab7cd, 0xf55ba7c25a6ffc75, 0x6d1bdaa3949fcda9, 0x795afb9aad68e448,
  0x95ea3e0d983053d4, 0x459a75a1143be2ba, 0x5cd2135f4616588a, 0x7bd9cead2e652e2a, 0x55ae875ea25da214,
  0x5c242281151f3d63, 0x608fd6e1bd97d2cc, 0xee2a4a0109fd62a3, 0xc0c4ad7b27f157ce, 0x77ad79e0404e166f,
  0x3a005bcde6c8a0c0, 0x3a2077ca9bd4a725, 0xc555169aba718de3, 0x09732f9b6e722ade, 0x7771a2ce9f0dc79b,
  0x0c2a73f53ab337f0, 0x93fc5ce32fcc4fe5, 0x5c9f8e7bff826879, 0x9f0271964b867a61, 0x95fb9a19961d252d,
  0x0000564c21b4f93c,
};

// pwm316_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_pwm216_u2x12_uart0_dual_pr_ee_u4[] = {
  0xeeeea45792890c86, 0xddddf120ceabf83e, 0xadefda72daefdddd, 0xb163bf23ba1bac33, 0x63765a0f3142c804,
  0x482d95de4c4e7777, 0x90ba433d7304f8c0, 0x3c59e92213a52320, 0xba7c4b881850c1ab, 0x00d1369afccab773,
  0x3f37a8f63fb0ff87, 0xf7c114239227f074, 0x80370f8510c4aff3, 0x88655777bbe6e5c8, 0x131458a8432d074a,
  0xa025b7eafffa039e, 0xa730586f2bcb56f9, 0x3eab74f84b2b7f8e, 0x0da37b547293f9b5, 0x8f2b8f7355ad1e95,
  0x63fd47c1b307f27a, 0x48b34eb422877c56, 0x0b9a426be8c2cb11, 0x1f4873ab4b84f5c2, 0x55ae875ed62761f1,
  0xb848451d023a9763, 0x04ffd6e1bd971f18, 0xc9fc55f3bb8a92ae, 0x1013859bf0312b5e, 0x79b228301deb5e78,
  0xa6f529c94e8016f3, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0x37c371e6c25ccbe6, 0xa9d599bf83bb8d16,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x000ac902ad3e4f25,
};

// pwm216_u2x12_uart0_dual_pr_ce_u4  pwm316_u2x12_uart0_dual_pr_ce     pwm316_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_pwm216_u2x12_uart0_dual_pr_ce[] = {
  0xeeea45792890cf68, 0x7777c4ad173b83ee, 0x2f2af39db5c77777, 0xa3ecfb777599b4ea, 0xcd1f53af70dd889e,
  0x30120b6577928edd, 0xc8242e91c3fcc13e, 0x6acf167a4884e948, 0xdcee9f12e2061430, 0x670dda9936ff32ad,
  0x696a6f51cc7f6033, 0xf3f7c114239227f0, 0x2180370f8510c4af, 0x9c88655777bbe6e3, 0x9e1354a8a8432d0f,
  0x7cd012db93affa03, 0xc753982c3795e5ab, 0xda9f55ba7c25813f, 0x0086d1bdaa3949fc, 0xcf285c1c74b717d5,
  0x7e21b09117dc4963, 0x71b8293f5ff51f09, 0x7e7b9633ea5ccf17, 0x91c74fe0ea5fa8e3, 0xc8ebf9cc580a0a0f,
  0x7feccf1d78033b5a, 0xa0796b7087486a80, 0x9fc55f3bb8a92a93, 0x013859bf0312b5ec, 0x9b228301deb5e781,
  0x6f529c94e8016f37, 0xe9c6378ce881df2a, 0x73863b7b15545a6a, 0xf86e3cd84b997cdb, 0x3ab337f07771a2c6,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x069274f5a7c9e4af,
};

// pwm316_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_pwm216_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbbba915e4d43359b, 0x7777c482fb41e0fb, 0xf210d57ef1ff7777, 0x5e19991ddd94cf81, 0x147f0b5d4671a793,
  0x6caef24ed3b87866, 0x489aa49827c60241, 0x3d244274a4641217, 0x8971030a1835678b, 0x4ccf9f9956ee774f,
  0xa8ffafb035b384c3, 0x8a11c913f8380137, 0x87c2886257f9fbe0, 0xaeef77cdc36ec01b, 0x5150865a035910ca,
  0x6f5bfff4073c26b7, 0xb0de5796adf3404b, 0xd3e12b1fff1d4e60, 0xed51ca4fe6d4faad, 0xd63bfea8dc9c368d,
  0x5e1f2d7e7942e0e0, 0xdacac9ba6139dc6e, 0x9835f3d4795bf929, 0x140a62b80dea3e0d, 0x4616588a459a75a1,
  0xe7576e328752135f, 0x63af512ed10a3dec, 0x2281151f3d6355e3, 0xc8e1bd97d2cc5c24, 0x252cc4feb151b044,
  0x56bd93f8abe77715, 0xbcf020270b37e062, 0x2de6f36450603bd6, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x2f9b6e70c76f62aa, 0x68b1e70dc79b0973, 0x5727eeaccdfc1ddc, 0x67c09c6592e19e98, 0x257ee6866587494b,
  0x00001304c6ed3e4f,
};

// pwm316_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xd48af2515b766c4f, 0xbe2504fabf07dddd, 0x2628c74787bbbbbb, 0x3b753edd6ec10673, 0x6d171657b70b23ed,
  0x86eed20db4f8c281, 0x09f180905b2bbc90, 0x5232090ba409e4e6, 0x0c1ab3c59e92213a, 0xa5bf3ba7c4b88185,
  0x251c19ca6e8ffe65, 0x8367c9bd47643d85, 0x7f9fbe08a11c913f, 0xe1fc01b87c288625, 0x66d10caaeef77cdc,
  0xcf09a87e2a10cb40, 0x7cd012dbcc37fd01, 0xf202982c3795e5ab, 0x6a7d56e9f09620ff, 0x7a1b46f6a8e527f3,
  0xa179d8cddc5f546a, 0x86c2445f71258f3c, 0xd507907fd47c25f8, 0xb5b9b9ba678bb8dc, 0x306be7a8f2b7f253,
  0x2814c5701bd47c1b, 0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6,
  0x91c37b2fa598b848, 0x4a5989fd62a36089, 0xad7b27f157ceee2a, 0x79e0404e166fc0c4, 0x5bcde6c8a0c077ad,
  0x77ca9bd4a7253a00, 0x169aba718de33a20, 0x5f36dce18edec555, 0xdf1726ae0f3612e6, 0xeaccdfc1fb763458,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x0000f2700ca792bf, 0x0000000000000001,
};

// pwm316_u2x12_uart0_dual_ee_hw
static const uint64_t ur_pwm216_u2x12_uart0_dual_ee_hw[] = {
  0xbbba915e4a2432db, 0xeeeef8906616e0fb, 0x4a3f5a67da4deeee, 0x79f78efc8eebb23b, 0x71c1156699d577f7,
  0x8c0482d95de4c0b7, 0x32090ba43c03304f, 0x1ab3c59e92213a52, 0x773ba7c4b881850c, 0x34707f93620fccab,
  0x83b1f9bd470d1b0d, 0x7f9fbe08a11c913f, 0x32a001b87c288625, 0x14b4432abbbddf37, 0x1cf09be745421968,
  0xb7cd012dbf4fffd0, 0xeec4f982c3795e5a, 0x6d4faadd3e12d37f, 0x224368ded51ca4fe, 0x9ea3cad7dcd56b47,
  0x15d4af51f06cc182, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x10a3dece75697329, 0xeb1aad743af512ed,
  0x9662e1211408a8f9, 0x151b047eb70decbe, 0xbe77715250084feb, 0xb37e06256bd93f8a, 0x0603bd6bcf020270,
  0x3929d002de6f3645, 0x6f19d103be54dea5, 0x56f62aa8b4d5d38c, 0x3cd84b997cdb7391, 0xf2861539fa82ec6e,
  0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0, 0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x610d14f257ee6866,
  0x0000000000000aed,
};

// pwm316_u2x12_uart0_dual_ee_ce_hw
static const uint64_t ur_pwm216_u2x12_uart0_dual_ee_ce_hw[] = {
  0xeeea457935050c86, 0xdddf120bed0783ee, 0xc84355fbc7fddddd, 0x7866647776533e07, 0x8dd9bcc519c69e4d,
  0x20b657792769dddd, 0x0ba44d524c13e301, 0xc59e92213a523209, 0xa7c4b881850c1ab3, 0x61a667cfccab773b,
  0x9bd47fd7d81ad9c2, 0xf04508e489fc1c00, 0x0dc3e144312bfcfd, 0x655777bbe6e1b760, 0x5ba8a8432d01ac88,
  0x25b7adfffa039e13, 0x30586f2bcb56f9a0, 0xb74f84ac7ffdd89f, 0x37b547293f9b53ea, 0x8358effaa37270da,
  0xb9d66c87f9e50b83, 0xa76b2b26e984e771, 0x3660d7cf51e56fe4, 0x8450298ae037a8f8, 0x7d185962291669d6,
  0xb39d5db8ca1d484d, 0x8d8ebd44bb4428f7, 0x908a04547cf58d57, 0x132386f65f4b3170, 0x5494b313fac546c1,
  0x895af64fe2af9ddc, 0x5af3c0809c2cdf81, 0x00b79bcd914180ef, 0x40ef9537a94e4a74, 0xaa2d3574e31bc674,
  0xccbe6db9c31dbd8a, 0xcfd4d876371e6c25, 0x7993fc09c69430a9, 0xe19e985727e03e68, 0x87494b67c09c6592,
  0x8dd14f257ee68665, 0x0000000000003aeb,
};

// pwm316_u2x12_uart0_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_u2x12_uart0_dual_ee_ce_u4_hw[] = {
  0xba915e4a28d072df, 0x77c4a09f57e0fbbb, 0x673266a8c7777777, 0x3ed3b753edd6ec10, 0xdb580571657b70b2,
  0xbbc9086ee67d72fa, 0x9e4e609f180905b2, 0x2213a5232090ba40, 0x881850c1ab3c59e9, 0x1ffccbb093ba7c4b,
  0xc87b0a4a383394dd, 0x39227f06cf937a8e, 0x510c4aff3f7c1142, 0xeef9b9c3f80370f8, 0x219680cda21955dd,
  0x6ffa039e1350fc54, 0x2bcb56f9a025b798, 0xb107f807dd30586f, 0x293f9b53eab74f84, 0xfaa353d0da37b547,
  0xc79e37c307066ee2, 0x12fc4361222fb892, 0xbb8dc524e6ffea3e, 0x7f253b5b9b9ba678, 0x47c1b306be7a8f2b,
  0x4eb422814c5701bd, 0x426be8c2cb1148b3, 0x47bd9ceaedc650ea, 0x6abc6c75ea25da21, 0x8b84845022a3e7ac,
  0x3608991c37b2fa59, 0xeee2a4a5989fd62a, 0xfc0c4ad7b27f157c, 0x077ad79e0404e166, 0x53a005bcde6c8a0c,
  0x33a2077ca9bd4a72, 0xec555169aba718de, 0x612e65f36dce18ed, 0x1854e7ea0bb1b8f3, 0x32fcc4ffef0f7bca,
  0xefd86687993fc0fe, 0x67a617c68f45fe07, 0xd252d9f0271964b8, 0x17d3c95fb9a19961, 0x00000000eba9b6ea,
};

// pwm316_swio10_noled
static const uint64_t ur_pwm216_swio10_noled[] = {
  0x511377777759bb37, 0x44f5bbb557228322, 0xc4ef8fdd0e28e318, 0x105fd0ef413afad3, 0x869b1006db48bbb1,
  0x0905b2bbc9ddb1ec, 0xff5239f912609f18, 0xa6277cb1352474af, 0x92471d3f8310fea3, 0x278e62c05bdd3751,
  0x58c11d78b9d86fa3, 0xaf2e556a56135b8e, 0x54aa35d09c73c9fd, 0xace576a96fab39d4, 0x9a84aa5f7afa1a89,
  0x7c5aeb9ed5688af2, 0x083ba9b14a7869de, 0x45a5b44e31bc6744, 0x97cdb2048ab7b155, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x0000549f5b920f3c,
};

// pwm216_swio10_noled_pr_u4         pwm316_swio10_noled_pr            pwm316_swio10_noled_pr_u4
static const uint64_t ur_pwm216_swio10_noled_pr[] = {
  0x8f7777768911259b, 0x1776aae450b8c4a3, 0x7af4f54c0e26c13c, 0x9ade17b6fd2a45c7, 0x0bfc7f8bdd8e3d05,
  0x793bb2eec4833817, 0x3dcc13e30120b657, 0x22c91eebfebb467e, 0xf064f7a8f371df2c, 0x0b2ca632a718e3a7,
  0x8f9d9ef476b1cc58, 0xd67aa01ffb30475e, 0xab555aa07967b770, 0xae84e39e4fed7972, 0xb54b7d59cea2a551,
  0x52fbd7d0d44d672b, 0x5cf6ab445794d425, 0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x902455bd8aaa2d2d,
  0x4d5c1e6c25ccbe6d, 0xc7903f2868b1be2e, 0xef79430a9cfd4eac, 0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327,
  0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x10171012792bf734, 0x0000000000001f26,
};

// pwm316_swio10_noled_pr_ee
static const uint64_t ur_pwm216_swio10_noled_pr_ee[] = {
  0x7dddddd0f5a22044, 0xdddaabf0bd05890d, 0xa7a6274b88ce6e64, 0xd0daf4a34cfda9bf, 0x2d4564041b410d7a,
  0x277505272b8210da, 0x69827c602416caef, 0x72474dffd768cf8d, 0x51e5670e6ab5a38f, 0xcbafa8f83660cf5f,
  0x291669d68450ef8a, 0x3593484d7d185962, 0x48e2139d5a5ff72e, 0xc6ab5d0ebce9bb69, 0x98b84845098a3116,
  0xa3608fd6e1bd96cb, 0x5e5caad40226abfa, 0xa9546ba138e793fb, 0x59caed52df5673a8, 0x350954bef5f43513,
  0xf8b5d73daad115e5, 0x1077536294f0d3bc, 0x8b4b689c6378ce88, 0x2f9b6409156f62aa, 0x4f8b9357079b0973,
  0x9d598f207e50d167, 0x97e627f2861539fa, 0xffc1343cc9fe2e71, 0x25c33d30ae4fc73d, 0xcb0e9296cf8138cb,
  0x4f44049e4afdcd0c, 0x0000000000004ebf,
};

// pwm316_swio10_noled_pr_ee_u4
static const uint64_t ur_pwm216_swio10_noled_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2ed2e25, 0xd1748fe933e3fe24, 0xf229835cdd95b6a6, 0x82d0bc2841b41508,
  0xf2774ed0439765aa, 0x9b9827c602416cae, 0x752472b7fd768cfe, 0x7a8f2b4ad355ad1f, 0xafe77a8f83660e5f,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x5118f873ab4bc065, 0xc6ab5d0ebd753760, 0x3170908a322a3e82,
  0xb826beb70decb872, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0, 0x7afa1a89ace576a9, 0xd5688af29a84aa5f,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0x83cd84b997cdb204, 0x07e50d1637c5c9ab,
  0x2861539fa9d598f2, 0xf8cbf313ffbc3def, 0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592,
  0xe2024f257ee68665, 0x00000000009d748b,
};

// pwm216_swio10_noled_pr_ce_u4      pwm316_swio10_noled_pr_ce         pwm316_swio10_noled_pr_ce_u4
static const uint64_t ur_pwm216_swio10_noled_pr_ce[] = {
  0xf26eeeeed1222044, 0xfc776aaf0890ce24, 0xf6475a2e8c1aec1e, 0x9b3fd7d698bcd8b1, 0x70437ae34d4deebc,
  0x5b2bbc9dd4149cba, 0xa33f6ea609f18090, 0x8beb22491c09ff5d, 0x1258f3c64a9de56b, 0x47c25f886c2445f7,
  0x678bb8dc4a8b91fd, 0xfa8f924f72c67eb2, 0xbdd0291c74fe0f05, 0xf9d9ef476b1cc580, 0x67aa01ffb33c75e8,
  0xad556a81e5add70d, 0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x4bef5f4351359cae, 0x73daad115e535095,
  0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x810c76f62aa8b4b6, 0x6ae0f3612e65f36c, 0x3c81f943458df172,
  0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f, 0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719,
  0xaca88093c95fb9a1, 0x000000000000375e,
};

// pwm316_swio10_noled_pr_ee_ce
static const uint64_t ur_pwm216_swio10_noled_pr_ee_ce[] = {
  0xb31ddddddd4477d6, 0xc45ddaabd85160c4, 0x5a33d477a4863b18, 0x1f1f5a353a66b8da, 0xa1232ec20832d5b3,
  0xbbc9dd7ad388a57d, 0xe1a2609f180905b2, 0x9c392363fff5da33, 0xf192a7763e77fd51, 0xc273b8dc24aca8fc,
  0xe56e9653b5958f7c, 0x3fa8f83660d00f51, 0x1669d68450298ae4, 0x1d484d7d18596229, 0xd291c4273abb77ee,
  0x5b1aaf1b1d79d376, 0x2e62e121142628c4, 0xf546c1132386f65b, 0xf6bcb955a9664d57, 0x5152a8d74271cf27,
  0x26b395daa5beace7, 0xca6a12a97debe86a, 0x79f16bae7b55a22b, 0x1020eea6c529e1a7, 0x551696d138c6f19d,
  0xccbe6d90218edec5, 0xd163ce2e4d5c6c25, 0xae4fdd598f207e50, 0xb25138cb25c33d30, 0xafdcd0ccb0e9296c,
  0x0029a763fc4049e4,
};

// pwm316_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio10_noled_pr_ee_ce_u4[] = {
  0x90dddddda2436d3a, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xc667627c88596cf2,
  0x7793bb73b66c7b64, 0xa1f4c13e30120b65, 0xba923883fea907cf, 0x285c1cc41717d51d, 0x21b09117dc4963cf,
  0xcea72e0bf51f097e, 0x3b5b9b7be678bb8d, 0x660d00f51e56e965, 0x450298ae43fa8f83, 0xd185962291669d68,
  0x73abb77ee1d484d7, 0xb1d79d376d291c42, 0x1142628c45b1aaf1, 0x32386f65b2e62e12, 0x5a9664d57f546c11,
  0x74271cf27f6bcb95, 0xaa5beace75152a8d, 0x97debe86a26b395d, 0xe7b55a22bca6a12a, 0x6c529e1a779f16ba,
  0x138c6f19d1020eea, 0x0218edec5551696d, 0xc371e6c25ccbe6d9, 0xd599bf83bb8d1637, 0xbc3def2861539fa9,
  0x64ff03f8cbf313ff, 0x3d17f81fbf619a1e, 0x9c6592e19e985f1a, 0xe6866587494b67c0, 0x9f99696d3e4f257e,
};

// pwm316_swio10_noled_ee_hw
static const uint64_t ur_pwm216_swio10_noled_ee_hw[] = {
  0x6beeeeeed121af43, 0x26eed55f85e82c48, 0x9bdfa7ba5c467373, 0xd7ad0daf4a34cfda, 0x29a2d4564041b410,
  0xd95de4eeb4efb5bb, 0x99f1ad304f8c0482, 0xd68e3dc91d37ff42, 0x833d7d47959c39aa, 0x43be2b2ebea3e0d9,
  0x616588a459a75a11, 0x7fdcb8d64d2135f4, 0xa6eda523884e7569, 0x28c45b1aad743af3, 0xf65b2e62e1211426,
  0x9aafea8d823f5b86, 0x9e4fed7972ab5008, 0x59cea2a551ae84e3, 0xd0d44d672bb54b7d, 0x445794d42552fbd7,
  0xc34ef3e2d75cf6ab, 0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x6c25ccbe6d902455, 0x430a9cfd4176371e,
  0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x5a8a792bf734332c,
  0x000000000005be01,
};

// pwm216_swio10_noled_ee_ce_u4_hw   pwm316_swio10_noled_ee_ce_hw      pwm316_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio10_noled_ee_ce_hw[] = {
  0x90dddddda243173e, 0x62eed55fd4f27448, 0x2e94add86656c17e, 0x430a800d8466244d, 0xf667627c88596cf2,
  0x95de4eee7da01d44, 0x3e87d304f8c0482d, 0x51dba923883fe853, 0x3cf285c1cc41717d, 0x97e21b09117dc496,
  0xe373541e41ff51f0, 0x594ed6e6def99e2e, 0xe0d983403d4795ba, 0x5a1140a62b90fea3, 0x35f4616588a459a7,
  0x109ceaeddfb87521, 0xbc6c75e74ddb4a47, 0x84845098a3116c6a, 0x044c8e1bd96cb98b, 0xe556a599355fd51b,
  0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x4aa5f7afa1a89ace, 0xaeb9ed5688af29a8, 0xba9b14a7869de7c5,
  0x5b44e31bc6744083, 0xb640863b7b15545a, 0x05d8dc79b09732f9, 0xf787bde50c2a73f5, 0xcc9fe07f197e627f,
  0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8, 0x0050165a5a29e4af,
};

// pwm316_swio10_lednop
static const uint64_t ur_pwm216_swio10_lednop[] = {
  0x444ddddddd66ef3a, 0x3d6eed55c8a78b89, 0x3da87ba871224611, 0x4417f43bd05af219, 0x135901b64cc6beec,
  0x0482d95de4ee82f4, 0xffa91cfbf9304f8c, 0xfe43be589a922657, 0x7be38e9fc1887f51, 0xf40731602dee98f5,
  0x9630475e2e76b591, 0x6bcb955a959cf6e3, 0x152a8d74271cf27f, 0x01395daa5beace75, 0x2ad5d2fe86a26b81,
  0x5ae7b55a22bca6a1, 0xa96165362ce80f3f, 0xd8ff14085a6ae757, 0x97cdb4e31bc67440, 0x15c9f9fd86ed84b9,
  0x964a271964b867a6, 0x95fb9a19961d252d, 0x00002a41d3920f3c,
};

// pwm216_swio10_lednop_pr_u4        pwm316_swio10_lednop_pr           pwm316_swio10_lednop_pr_u4
static const uint64_t ur_pwm216_swio10_lednop_pr[] = {
  0x8f77777689110cc5, 0x0bbb55722998c4a3, 0x6f70add590e3609e, 0x59ade165c76dd08a, 0x4d4c17f1fdd8e3d0,
  0x7793bb06c371fb37, 0xe034c13e30120b65, 0x8459221effebb467, 0xfe0c9ef51e713be5, 0x02cb298c79eb1c74,
  0x47cedf22383e7316, 0xbe81500ffd9823af, 0x556b02b40f2cf6f7, 0x35d09c73c9fdaf2e, 0x76a96fab39d454aa,
  0x4bfa1a89ae0404e5, 0xd5688af29a84ab57, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c,
  0x79b09732f9b65d91, 0xfca1a2c6f8b93570, 0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f,
  0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x4049e4afdcd0ccb0, 0x000000007c9bf544,
};

// pwm316_swio10_lednop_pr_ee
static const uint64_t ur_pwm216_swio10_lednop_pr_ee[] = {
  0x7dddddd0f5a232a8, 0xdddaabf0bd91890d, 0x3bc977c7edbe6e64, 0x86d7a5a0a34d68f2, 0x91f06620da086bd6,
  0x774eb46a89ccf971, 0x9827c602416caef2, 0x48c72ffaed19feaf, 0x3caca1cd56b471ee, 0x05f51f06cc19ebea,
  0x22cd3ad08a1df15b, 0xb26909afa30b2c45, 0x1af873ab4bfce5c6, 0xaad743af3a6ec13d, 0x5c24228c9118dfb1,
  0xb047eb70decb65cc, 0x5caad402b86b3d51, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0xae97f435135c0809,
  0x3daad115e5350956, 0x94b5f3a03c72b5d7, 0x18de33a20421520b, 0x22adec55516920a7, 0xe0f3612e65f36cbb,
  0x0fca1a2ce9f1726a, 0x50c2a73f53ab31e4, 0x993fc5ce32fcc4fe, 0x15c9f8e7bff82687, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000004ebaec88093,
};

// pwm316_swio10_lednop_pr_ee_u4
static const uint64_t ur_pwm216_swio10_lednop_pr_ee_u4[] = {
  0xa84dddddda244511, 0x9b4eed55f85debc4, 0xd71efd3d1b6c47c4, 0x1e45306bb4b37764, 0xac884082083682a1,
  0xef27755f33e83658, 0xc729827c602416ca, 0xf75246dd7fd768cf, 0xf7a8f2b90f355ad1, 0x8ace1fa8f83660e5,
  0x62291669d68450ef, 0x5c5133484d7d1859, 0x4011a6273ab4b945, 0xac6ab5d0ebd75376, 0x918b848450f7a3b5,
  0xab8b87f5b86f65c3, 0x09c73c9fdaf2e556, 0x96fab39d454aa35d, 0xa1a89ae0404e576a, 0x88af29a84ab574bf,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x09732f9b65d9156f, 0x1a2c6f8b9357079b,
  0xa73f53ab31e40fca, 0xe627ff787bde50c2, 0xc3343cc9fe07f197, 0x30be347a2ff03f7e, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x0000009d7085c404,
};

// pwm216_swio10_lednop_pr_ce_u4     pwm316_swio10_lednop_pr_ce        pwm316_swio10_lednop_pr_ce_u4
static const uint64_t ur_pwm216_swio10_lednop_pr_ce[] = {
  0xf26eeeeed12232a8, 0xfc776aaf08942e24, 0x697571eedb75ec1e, 0x67fafad219e2f7a6, 0xb3ea8b41568dd793,
  0xb2bbc9dd3ad1a848, 0x33f15a609f180905, 0xbeb22491df7ff5da, 0x258f3c64a9ddbab8, 0x7c25f886c2445f71,
  0x78bb8dca4a672fd4, 0xa8e0a4f72c67eb26, 0x3da011c74fe0f05f, 0x76f911c1f398b014, 0x0a807feccf1d7a3e,
  0xd605681e5addbdf4, 0xa138e793fb5e5caa, 0x52df5673a8a9546b, 0xf435135c0809caed, 0xd115e5350956ae97,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6d97618ed, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x00000006eb967101,
};

// pwm316_swio10_lednop_pr_ee_ce
static const uint64_t ur_pwm216_swio10_lednop_pr_ee_ce[] = {
  0xb31ddddddd445541, 0xc45ddaabd85238c4, 0xbe4ed323a8259318, 0x1f1f5a3535834cde, 0xc8ce0db45832d5b3,
  0x7793ba0292634e39, 0xcedcc13e30120b65, 0x70e48eed7fd768cf, 0xc64a9deed1dff546, 0x139dc6e747d493f3,
  0x2b2eb29dacac7be6, 0xfd47c1b306807a8f, 0xb34eb422814c5652, 0xea426be8c2cb1148, 0x9e8d7c39d5dbbe70,
  0xb1aaf1b1d79d3760, 0xcc5c24228c9118df, 0xa8d8226470decb65, 0xaf2e556a59dc359e, 0x54aa35d09c73c9fd,
  0x04e576a96fab39d4, 0xab574bfa1a89ae04, 0xeb9ed5688af29a84, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xbb0c76f62aa8b490, 0x726ae3612e65f36c, 0xcc7903f2868b1e71, 0x592e19e985727eea, 0x6587494b659289c6,
  0x8522024f257ee686, 0x0000000000014d33,
};

// pwm316_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio10_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44864541, 0xc5ddaabfa9c0b891, 0x9d69dba34f1782fc, 0x8615001b19391998, 0xc5383774e0b2d9e4,
  0x7793ba8049b9c587, 0xfebcc13e30120b65, 0xba923003fea907cf, 0x285c1c801717d51d, 0x21b09117dc4963cf,
  0x816467aff51f097e, 0x76b736f7ccf1771b, 0xcc1a01ea3cacbaca, 0x8a0531594bf51f06, 0xa30b2c4522cd3ad0,
  0xe7576ef9c3a909af, 0xc75e74dd827a35f0, 0x8a3244637ec6abc6, 0x91c37b2d97317090, 0xa96770d67aa36089,
  0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0xe86a26b8101395da, 0xa22bca6a12ad5d2f, 0xe74078e56bae7b55,
  0x67440842a417296b, 0xd8aaa2d2414e31bc, 0x84b997cdb2ec31db, 0x07771a2c6f86e3cd, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x5a7c9e4afdcd0ccb,
  0x00000000013f2dc8,
};

// pwm316_swio10_lednop_ee_hw
static const uint64_t ur_pwm216_swio10_lednop_ee_hw[] = {
  0x6beeeeeed121b032, 0x26eed55f85ec8c48, 0x8df23bbe3f6df373, 0xbd686d7a5a0a34d6, 0x97191f06620da086,
  0x95de4eeb6239da9c, 0x3fd5f304f8c0482d, 0xd1c7b9231cbfe853, 0x67afa8f2b287355a, 0x77c56c17d47c1b30,
  0x2cb1148b34eb4228, 0xf3971ac9a426be8c, 0xbb04f46be1cead2f, 0x637ec6ab5d0ebce9, 0x2d973170908a3244,
  0xacf546c11fadc37b, 0x4fed7972ab500ae1, 0xcea2a551ae84e39e, 0x7020272bb54b7d59, 0xd4255aba5fd0d44d,
  0xcad75cf6ab445794, 0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0xcdb2ec8ab7b15545, 0xa82ec6e3cd84b997,
  0xffbc3def2861539f, 0x1e64ff03f8cbf313, 0x1a3d17f81fbf619a, 0xc09c6592e19e985f, 0x7ee6866587494b67,
  0x00016f9ac1514f25,
};

// pwm216_swio10_lednop_ee_ce_u4_hw  pwm316_swio10_lednop_ee_ce_hw     pwm316_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio10_lednop_ee_ce_hw[] = {
  0x90dddddda2431bc1, 0x62eed55fd4e05c48, 0x4eb4edd1a78bc17e, 0x430a800d8c9c8ccc, 0xb29c1bba70596cf2,
  0xcaef277475d35f7b, 0x9ffd79827c602416, 0xa8edd491801ff429, 0x1e7942e0e400b8be, 0x4bf10d8488bee24b,
  0xb8dc0a47ce5fa8f8, 0xd653b5b9b7be678b, 0xf83660d00f51e565, 0xd68450298aca5fa8, 0x4d7d185962291669,
  0xaf873abb77ce1d48, 0x5e363af3a6ec13d1, 0x84845192231bf635, 0x044c8e1bd96cb98b, 0xcaad4b3b86b3d51b,
  0x46ba138e793fb5e5, 0xaed52df5673a8a95, 0xe97f435135c0809c, 0xdaad115e5350956a, 0x4b5f3a03c72b5d73,
  0x8de33a20421520b9, 0x8edec55516920a71, 0x1e6c25ccbe6d9761, 0x79430a9cfd417637, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x6e428a792bf73433, 0x0000000000001405,
};

/*
 * pwm216_swio10_dual_pr             pwm216_swio10_dual_pr_u4          pwm316_swio10_dual
 * pwm316_swio10_dual_pr             pwm316_swio10_dual_pr_u4
 */
static const uint64_t ur_pwm216_swio10_dual[] = {
  0x13bbbbbb448664d6, 0xbeefdf1230b57073, 0xb4abf751dc71081e, 0xfa70cd609cefb4f5, 0x2c9d76cf9056e989,
  0x926c3bb3363c3403, 0xb4c13e30120b6577, 0x4274a464121748ee, 0x030a1835678b3d24, 0xdf9956ee774f8971,
  0xbef60514e0e4e6f9, 0x1c913f838f737a8e, 0x2886257f9fbe08a1, 0xdeef9b900001b87c, 0x50865a03e221955d,
  0x943ffa039e136f71, 0x3795e5ab7cd012db, 0xc92352bfc753982c, 0x0c45f51e443be587, 0x5079bf71951c74fe,
  0xced38a37bce62c05, 0xfaa01ffb30475e00, 0xb7f8607967b6b5e0, 0xaad67f157ceee2a4, 0x6ba138e793fb5e5c,
  0xed52df5673a8a954, 0x97f435135c0809ca, 0xaad115e5350956ae, 0xb5f3a03c72b5d73d, 0xde33a20421520b94,
  0xadec55516920a718, 0xf3612e65f36cbb22, 0xdfc1ddc68b1be1b8, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e,
  0xfc0fdfb0cd0f327f, 0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xe0569f2792bf7343, 0x0000000000014937,
};

// pwm316_swio10_dual_pr_ee
static const uint64_t ur_pwm216_swio10_dual_pr_ee[] = {
  0xb62ddddddd437089, 0x9eefdf1364f0fb83, 0xe8ce6e843fb46e99, 0x0564e3ad932b8d17, 0x05c2d47e00a8ad88,
  0xbaf27acaabdd6d2d, 0xc602416caef2448b, 0x32090ba46f3e9827, 0x1ab3c59e92213a52, 0x773ba7c4b881850c,
  0xd1c0c7e619bfccab, 0x0635a6f51d2d6c02, 0xff3f7c114239227f, 0xeeb00370f8510c4a, 0x51510caaeef77cdc,
  0x73c2631f150865a0, 0xdf3404b6f3b7ff40, 0xf1d4e60b0de5796a, 0x9aad68ca2c91a1ff, 0x0d98332bd4795efb,
  0xa1143be2bb75ea3e, 0x5f4616588a459a75, 0x5a5ca1ae2a5cd213, 0x7a89768f68f4a39d, 0x1004698d8d56ba1d,
  0x86f65f4b3170908a, 0x05195aca8d823f5b, 0xb59fc55f3bb8a928, 0xe84e39e4fed7972a, 0x54b7d59cea2a551a,
  0xfd0d44d7020272bb, 0xb445794d4255aba5, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637,
  0xd84b997cdb2ec8ab, 0xe0eee3458f386e3c, 0x0cf4c2b93f75666f, 0x3a4a5b3e04e32c97, 0x69f2792bf734332c,
  0x00000000190a0bf7,
};

// pwm316_swio10_dual_pr_ee_u4
static const uint64_t ur_pwm216_swio10_dual_pr_ee_u4[] = {
  0x6eeeeed15b77880b, 0x7ef89b2787dc1db1, 0xf5f421fda374ccf7, 0x3ad932b8d178ce6d, 0x47e00a8ad880564e,
  0x35af2734ead05c2d, 0xd95de489177093fd, 0x48de7d304f8c0482, 0x3d244274a4641217, 0x8971030a1835678b,
  0x619bfccb4b7e774f, 0x51d2d6c02d1c0c7e, 0x14239227f0635a6f, 0x0f8510c4aff3f7c1, 0xaeef77cdceeb0037,
  0xf150865a051510ca, 0x6f3b7ff4073c2631, 0xb0de5796adf3404b, 0x8b24687fffc80a60, 0xf51e57bee6ab5a32,
  0xaedd7a8f83660cca, 0x2291669d68450ef8, 0x8a973484d7d18596, 0xda3d28e75697286b, 0x6355ae875ea25da3,
  0xcc5c242284011a63, 0xa3608fd6e1bd97d2, 0xceee2a4a014656b2, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79,
  0xc0809caed52df567, 0x50956ae97f435135, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7, 0x920a718de33a2042,
  0x36cbb22adec55516, 0x1726ae0f3612e65f, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde,
  0x8bfc0fdfb0cd0f32, 0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x3cfc300ca792bf73, 0x0000000000000159,
};

// pwm316_swio10_dual_pr_ce
static const uint64_t ur_pwm216_swio10_dual_pr_ce[] = {
  0xcb777777b0486f97, 0xbbf7c482faefe0ee, 0xf71bbf68ed19189d, 0x506c0526ba01b17d, 0xa26f26517eebb229,
  0xc95dcf04675c7f53, 0xc13e30120b657793, 0xe948c8242e909c7c, 0x14306acf167a4884, 0x32addcee9f12e206,
  0xb038270eaf9a87ff, 0x89fc1dba9bd478e5, 0x312bfcfdf04508e4, 0xf37011200dc3e144, 0x96818f4432abbbdd,
  0xfe80e784ddd45421, 0x796adf3404b6fff3, 0x8d6ff1d4e60b0de5, 0xe0e1c1b8bea63e48, 0x8488bee24b1e7942,
  0xf9d67fa8f84bf10d, 0x633ea5ccf1771b8c, 0x7f0770fd47ea27b9, 0x9cc580b52bba8e3a, 0x78ebc019da7146f7,
  0x5b96bc1f5403ff66, 0xe7771525bfc303cb, 0x9fdaf2e556b3f8ab, 0x9d454aa35d09c73c, 0xe0404e576a96fab3,
  0xa84ab574bfa1a89a, 0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36cbb0c76f62aa8b,
  0x96af1b8f3612e65f, 0xea75666fe0eee345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x9f2792bf734332c3, 0x000000006920e8b6,
};

// pwm316_swio10_dual_pr_ce_u4
static const uint64_t ur_pwm216_swio10_dual_pr_ce_u4[] = {
  0xccf777776890cf68, 0x3bbf7c482f2afe0e, 0xdae3ba769a75c112, 0x3816b04a56a7d96a, 0x376227a8f8ebeeb3,
  0xe4ae377347d4ebdc, 0x51304f8c0482d95d, 0x109d29190485d205, 0x40c2860d59e2cf49, 0xb7e655bb9dd3e25c,
  0xefbd869b38456986, 0x47244fe0d4f4dea3, 0x0a21895fe7ef8228, 0xef77cdc643006e1f, 0xa8432d0ee910caae,
  0x8cdffd01cf09b4a8, 0x3795e5ab7cd012db, 0xa9231cbfc753982c, 0xf285c1c60b717d7b, 0xe21b09117dc4963c,
  0x6e337d2a3f51f097, 0x9ee58cf0e333c5dc, 0x38e9fc1acff51c14, 0x1c1f398b017bac92, 0xe58cf1d7916ed915,
  0xbe77715251d749b8, 0xc9fdaf2e556b3f8a, 0x39d454aa35d09c73, 0xae0404e576a96fab, 0x9a84ab574bfa1a89,
  0x3cfd6b9ed5688af2, 0x9d5ea58594d8b3a0, 0xa206c7f3182169ab, 0x25ccbe6da718de33, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xd3e4f257ee686658, 0x0000000003493a7a,
};

// pwm316_swio10_dual_pr_ee_ce
static const uint64_t ur_pwm216_swio10_dual_pr_ee_ce[] = {
  0x0e93377777750c86, 0x02b77ef892677d7e, 0x7dabdee957962414, 0xd94ec8b534f7b84d, 0xcdd8264c5a25da4c,
  0xddddd8dd8f05cc5c, 0x3e30120b65779302, 0x9190485d23cf5cc1, 0x60d59e2cf49109d2, 0x5bb9dd3e25c40c28,
  0x69a383fc9b107e65, 0xfc1d8fcdea3868d8, 0x2bfcfdf04508e489, 0xe0c2e00dc3e14431, 0x029688655777bbe6,
  0x039e137ce8a8432d, 0x56f9a025b7c6effa, 0xff8ea730586f2bcb, 0xd9dff54652e48a6d, 0x07044fe7942e0e26,
  0xb2b221984e771b8d, 0x19ebea3caca1ca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a, 0x576e90e3a909afa3,
  0xbdac4eddd23050e7, 0x4dc8f22d8d578d8e, 0x86f65c7c62e12114, 0xceee2a4b8c632323, 0x3fb5e5caad67f157,
  0x3a8a9546ba138e79, 0xc0809caed52df567, 0x50956ae97f435135, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7,
  0x920a718de33a2042, 0x6d97618edec55516, 0xc79c371e6c25ccbe, 0x9fbab337f07771a2, 0x0271964b867a615c,
  0xfb9a19961d252d9f, 0x02608072b4f93c95,
};

// pwm316_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio10_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec3000, 0xf7c4d8f1e1f071d7, 0x37b5c500b3e2d5bb, 0x390eaf6d3de6be8b, 0x4bb123afbf6932e7,
  0x3a422f68f9c15823, 0x247b3b832d654e0d, 0x79827c602416caef, 0x4e948c8242e91f10, 0x614306acf167a488,
  0x99696fcee9f12e20, 0x6178670e5a999bff, 0x4fe0d0fa6f51fb07, 0x895fe7ef82284724, 0x37138f006e1f0a21,
  0x681c14432abbbddf, 0xd01cf09b4dc54219, 0x5ab7cd012db9257f, 0xbfff202982c3795e, 0x5bb8bea8ce0c9135,
  0xbee24b1e7942f3b3, 0xffa8f84bf10d8488, 0x74cf1771b9118a71, 0xa3caf2b4a76b7373, 0xcaef51f06cc1f75e,
  0x522cd3ad08a05315, 0x863a909afa30b2c4, 0xda3da3d28e7576e2, 0x4c6c6abc6c75ea25, 0xfa598b8484508023,
  0x6b2a3608991c37b2, 0x157ceee2a4a59c65, 0xe793fb5e5caad67f, 0x5673a8a9546ba138, 0x135c0809caed52df,
  0xe5350956ae97f435, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6d97618edec55,
  0x1be2e4d5c1e6c25c, 0x9d599bf83f6ec68b, 0xfbc3def2861539fa, 0xe64ff03f8cbf313f, 0xa3d17f81fbf619a1,
  0x09c6592e19e985f1, 0xee6866587494b67c, 0x20015c160194f257,
};

// pwm316_swio10_dual_ee_hw
static const uint64_t ur_pwm216_swio10_dual_ee_hw[] = {
  0x16eeeeeea0a1a5fb, 0x77ef89b2787dc1db, 0x6737421fda374ccf, 0xb271d6c995c68bf4, 0xe16a3f005456c402,
  0xbba591aeba559682, 0x7c602416caef2448, 0x232090ba46f3e982, 0xc1ab3c59e92213a5, 0xb773ba7c4b881850,
  0x2d1c0c7e619bfcca, 0xf0635a6f51d2d6c0, 0xaff3f7c114239227, 0xceeb00370f8510c4, 0x051510caaeef77cd,
  0x073c2631f150865a, 0xadf3404b6f3b7ff4, 0xfbb13e60b0de5796, 0xcd56b4651648d0ff, 0x06cc1995ea3caf7d,
  0xd08a1df15dbaf51f, 0xafa30b2c4522cd3a, 0xad2e50d7152e6909, 0xbd44bb47b47a51ce, 0x080234c6c6ab5d0e,
  0xc37b2fa598b84845, 0x028cad6546c11fad, 0x5acfe2af9ddc5494, 0x74271cf27f6bcb95, 0xaa5beace75152a8d,
  0xfe86a26b8101395d, 0x5a22bca6a12ad5d2, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0x6c25ccbe6d976455, 0x30a9cfd4d876371e, 0x3e687993fc09c694, 0x6592e19e985727e0, 0x866587494b67c09c,
  0xbb42fdd14f257ee6, 0x0000000000000002,
};

// pwm316_swio10_dual_ee_ce_hw
static const uint64_t ur_pwm216_swio10_dual_ee_ce_hw[] = {
  0x396addddddd432db, 0xf6ddfbe2499e66f8, 0xebf8775d6f3ed5f0, 0x8602baee6d07e6cd, 0xbebd83e5a25d96a0,
  0x39dc704559a67557, 0x13e30120b6577925, 0xa464121748e3c9cc, 0x1835678b3d244274, 0x56ee774f8971030a,
  0x6203835dcc87df99, 0xfe0c344dea3bfcd8, 0x95fe7ef822847244, 0xb8164006e1f0a218, 0x4302221955ddeef9,
  0x80e784c5d62a10cb, 0xd5be68096def0ffe, 0xff7627cc161bcaf2, 0xb3bfea8f02491b5b, 0xe5d1ffcf285c1cb5,
  0xb2b26e984e771b8c, 0x1f75ea3caf2b4a76, 0x05315caef51f06cc, 0x0b2c4522cd3ad08a, 0x576e2863a909afa3,
  0x5ea25da3da3d28e7, 0x080234c6c6abc6c7, 0xc37b2fa598b84845, 0x59c656b2a3608991, 0xad67f157ceee2a4a,
  0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x7f435135c0809cae, 0xad115e5350956ae9, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6d97618e, 0x3d30ae4fcfec371e, 0x9296cf8138cb25c3,
  0xa29e4afdcd0ccb0e, 0x000000001134f4e3,
};

// pwm316_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio10_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d06c4f, 0xbf7c4d8f1e1f071d, 0xafbb5c500b3e2d5b, 0xcb9ce43abdb4f6f9, 0x608d2ec48ebefda4,
  0x6da7da16d1a3e705, 0x82d95de48f677690, 0x5d23e20f304f8c04, 0x2cf49109d2919048, 0x3e25c40c2860d59e,
  0x6a666ffe65d849dd, 0xbd47ec1d85e19c39, 0x08a11c913f8343e9, 0xb87c2886257f9fbe, 0xaaeef77cdc4e3c01,
  0x37150865a070510c, 0xb6e495ff4073c26d, 0x0b0de5796adf3404, 0xe0c9135bff00fba6, 0xdf0c1c35bb8bea8c,
  0x0d8488bee24b1e78, 0x5c170fffa8f84bf1, 0xb5b9b9ba678bb8dc, 0x60fbaf51e5795a53, 0x50298ae577a8f836,
  0x185962291669d684, 0x3abb71431d484d7d, 0x3af512ed1ed1e947, 0x284011a636355e36, 0x8e1bd97d2cc5c242,
  0x52ce32b5951b044c, 0x556b3f8abe777152, 0x35d09c73c9fdaf2e, 0x76a96fab39d454aa, 0x4bfa1a89ae0404e5,
  0xd5688af29a84ab57, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x76f62aa8b490538c, 0xf3612e65f36cbb0c,
  0xca1854e7ea0bb1b8, 0xfe32fcc4ffef0f7b, 0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964,
  0xc817d3c95fb9a199, 0x0000000000ebaf22,
};

// pwm216_swio12_noled               pwm316_swio11_noled               pwm316_swio12_noled
static const uint64_t ur_pwm216_swio11_noled[] = {
  0x82ffbbbbbacdc49f, 0x6eed55c8a50912d4, 0x80374d06e246113d, 0x5fd0ee38f522f89d, 0x5a099fa5f17bba90,
  0x05b2bbc9ddcc490d, 0xa473f1ee609f1809, 0x4ef96e8248f75ffe, 0x8e3a7f075ffd474c, 0x1cc580b7ba64007c,
  0xc11d78b9dba4464f, 0x5caad4ac10fb8e58, 0x546ba138e793fb5e, 0xaed52df57673a8a9, 0x256c6f5f4351359c,
  0xeb5cf6ab445794d4, 0xa75380b2953e9de7, 0x08f2f14085a585ce, 0x997cdb4e31bc6744, 0x615c9f9fd86ed84b,
  0xd964a271964b867a, 0xc95fb9a19961d252, 0x000002a4b73920f3,
};

/*
 * pwm216_swio11_noled_pr_u4         pwm216_swio12_noled_pr            pwm216_swio12_noled_pr_u4
 * pwm316_swio11_noled_pr            pwm316_swio11_noled_pr_u4         pwm316_swio12_noled_pr
 * pwm316_swio12_noled_pr_u4
 */
static const uint64_t ur_pwm216_swio11_noled_pr[] = {
  0xd05bbbbb4488af02, 0xddaab914a8712b89, 0xb27afd8d05b04f05, 0xd60e21b63367bd3d, 0x17e635a6edc4e82c,
  0xf277638c0bc5eccc, 0x8f9827c602416cae, 0xf72476fffd768cf9, 0xc1935ea382877cb6, 0x5965307b40238e9f,
  0x7cec98a3114e62c0, 0x279500ffd9823af4, 0x56a844c0f2cf6ed6, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3,
  0x637afa1a89ace576, 0xe7b55a22bca6a12b, 0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0862adec5551696d,
  0xd5c1e6c25ccbe6db, 0x7903f2868b1be2e4, 0xf79430a9cfd4eacc, 0x81fc65f989ffde1e, 0xfc0fdfb0cd0f327f,
  0xc970cf4c2f8d1e8b, 0x32c3a4a5b3e04e32, 0xe0b1012792bf7343, 0x000000000001f26a,
};

// pwm216_swio12_noled_pr_ee         pwm316_swio11_noled_pr_ee         pwm316_swio12_noled_pr_ee
static const uint64_t ur_pwm216_swio11_noled_pr_ee[] = {
  0xb4ddddd0f5a22582, 0xbb557e1708225c7e, 0x699ed43267cdcc9b, 0x0da1942e19e14627, 0xd9136041b4171fad,
  0x774ed0434665a88f, 0x9827c602416caef2, 0x247677fd768cf9c1, 0x1e565d66ab5a331f, 0xa5fa8f83660fa8f5,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8fe439d5a5dc9ae3, 0x6ab5d0ebce9bb1ea, 0x8b84845110a3deec,
  0x3608fd6e1bd96cb9, 0xf2e556a01741cf2a, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45, 0xa12b637afa1a89ac,
  0x16bae7b55a22bca6, 0x0eea6c529e1a779f, 0x696d138c6f19d102, 0xe6db0862adec5551, 0xe2e4d5c1e6c25ccb,
  0x5663c81f943459d3, 0xf989fca1854e7ea7, 0xf04d0f327f8b9c65, 0x70cf4c2b93f1cf7f, 0xc3a4a5b3e04e32c9,
  0x51012792bf734332, 0x000000000009d781,
};

// pwm216_swio12_noled_pr_ee_u4      pwm316_swio11_noled_pr_ee_u4      pwm316_swio12_noled_pr_ee_u4
static const uint64_t ur_pwm216_swio11_noled_pr_ee_u4[] = {
  0x6f26eeeed1222a20, 0x3bb557e171a7122f, 0xfa69776dbaff126d, 0x14ce3e7ec19e3b23, 0x3d724041b4117b79,
  0x3ba3d8b54718d410, 0x4c13e30120b65779, 0x9232bbfebb467f67, 0x8f2bf9d355ad1edf, 0xe97d47c1b30738fa,
  0x48b34eb422877c56, 0x899a426be8c2cb11, 0x1ad739d5a5d7dae2, 0x56ba1d7aea6ed2f9, 0x70908a07c47d258d,
  0xe83eb70decb87231, 0x73c9fdaf2e556ab8, 0xbb39d454aa35d09c, 0xa1a89ace576a96fa, 0xa22bca6a12b637af,
  0xe1a779f16bae7b55, 0xf19d1020eea6c529, 0xdec5551696d138c6, 0x6c25ccbe6db0862a, 0x2868b1be2e4d5c1e,
  0x0a9cfd4eacc7903f, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0x12792bf734332c3a, 0x0000000275d34110,
};

/*
 * pwm216_swio11_noled_pr_ce_u4      pwm216_swio12_noled_pr_ce         pwm216_swio12_noled_pr_ce_u4
 * pwm316_swio11_noled_pr_ce         pwm316_swio11_noled_pr_ce_u4      pwm316_swio12_noled_pr_ce
 * pwm316_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_pwm216_swio11_noled_pr_ce[] = {
  0x367eeeeed1222582, 0x3bb55784469712a1, 0xba47f499f1f60f7e, 0xfaf1ae6ecadb5368, 0xaa0b42f0adda1367,
  0xbbc9dd3b410e5d96, 0xfa6e609f180905b2, 0xbdd491cadff5da33, 0x8f3c64a9dcaeb8be, 0x25f886c2445f7125,
  0xbb8dc643a4afd47c, 0xebe4f72c67eb2678, 0x97d1c74fe0d67fa8, 0x4c5188a731602edf, 0x807feccf1d7a3e76,
  0x08981e5add6b13ca, 0x38e793fb5e5caad5, 0xf57673a8a9546ba1, 0x5f4351359caed52d, 0xab445794d4256c6f,
  0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a, 0x1dbd8aaa2d2da271, 0x79b09732f9b6c213, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x4049e4afdcd0ccb0, 0x000000001bae917c,
};

// pwm216_swio12_noled_pr_ee_ce      pwm316_swio11_noled_pr_ee_ce      pwm316_swio12_noled_pr_ee_ce
static const uint64_t ur_pwm216_swio11_noled_pr_ee_ce[] = {
  0x7f8fdddddd446f43, 0x5ddaabd853a744a1, 0x3bd89dab43d318c4, 0x1f5a63bf23f4c69a, 0xdc71a8b065ab42ff,
  0x2775a77da765b2a0, 0xb9827c602416caef, 0xc9119bffaed19f4d, 0x953b19b3bfea8cba, 0x3b8dc672e8ffe78c,
  0x21e53b5958f7cc27, 0x8f83660f4af51e57, 0x9d68450298ace1fa, 0x84d7d18596229166, 0x1fc873abb73931d4,
  0xaaf1b1d79d3763d5, 0x2e121144428f7bb1, 0x6c1132386f65b2e6, 0xe5caad4b3e839e54, 0x9546ba138e793fb5,
  0xcaed52df57673a8a, 0x4256c6f5f4351359, 0x2d75cf6ab445794d, 0x1dd4d8a53c34ef3e, 0xd2da2718de33a204,
  0x9b6c2131dbd8aaa2, 0xf38b93571b09732f, 0xf75663c81f943458, 0x4e32c970cf4c2b93, 0x34332c3a4a5b2c94,
  0x698bf71012792bf7, 0x000000000000000a,
};

// pwm216_swio12_noled_pr_ee_ce_u4   pwm316_swio11_noled_pr_ee_ce_u4   pwm316_swio12_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio11_noled_pr_ee_ce_u4[] = {
  0x30addddda243306a, 0xbbb557f53323125a, 0xaecb75a583305f98, 0x8540056d1dc1b5c7, 0x6e817c942cb67ad1,
  0x93bb55f930eb2108, 0x24c13e30120b6577, 0x9235bfff5483e7c5, 0xb8395bf717d51e9b, 0x61222fb892c79e50,
  0xbb0b27ea3e12fc43, 0x6e6def99e2ee371d, 0x3d2bd4795c8794ed, 0x0a62b387ea3e0d98, 0x16588a459a75a114,
  0xaedce4c752135f46, 0x5e74dd8f547f21ce, 0x110a3deec6abc6c7, 0xe1bd96cb98b84845, 0x2cfa0e7951b044c8,
  0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0xd7d0d44d672bb54b, 0xaad115e535095b1b, 0x94f0d3bcf8b5d73d,
  0x6378ce8810775362, 0xc76f62aa8b4b689c, 0x1e6c25ccbe6db084, 0x9bf83bb8d1637c37, 0xdef2861539fa9d59,
  0xf03f8cbf313ffbc3, 0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x3d5ed3e4f257ee68,
  0x00000000000009f8,
};

// pwm216_swio12_noled_ee_hw         pwm316_swio11_noled_ee_hw         pwm316_swio12_noled_ee_hw
static const uint64_t ur_pwm216_swio11_noled_ee_hw[] = {
  0xf5a6eeeed121b705, 0xdddaabf0b84112e3, 0xa62776a1933e6e64, 0xfad0da1942e19e15, 0x08fd9136041b4171,
  0x95de4eed86d95a93, 0x9f383304f8c0482d, 0x68cc7c91d9dff429, 0x3ea3d47959759aad, 0x3be2b297ea3e0d98,
  0x16588a459a75a114, 0x726b8d64d2135f46, 0x6ec7aa3f90e75697, 0x8f7bb1aad743af3a, 0x65b2e62e12114442,
  0x073ca8d823f5b86f, 0xf27f6bcb955a805d, 0xce75152a8d74271c, 0x6a26b395daa5beae, 0x8af29a84ad8debe8,
  0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x09732f9b6c218ab7, 0xc2a73f505d8dc79b,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0xa29e4afdcd0ccb0e,
  0x0000000002dffcd3,
};

/*
 * pwm216_swio11_noled_ee_ce_u4_hw   pwm216_swio12_noled_ee_ce_hw      pwm216_swio12_noled_ee_ce_u4_hw
 * pwm316_swio11_noled_ee_ce_hw      pwm316_swio11_noled_ee_ce_u4_hw   pwm316_swio12_noled_ee_ce_hw
 * pwm316_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_pwm216_swio11_noled_ee_ce_hw[] = {
  0x1856eeeed1219f68, 0x5ddaabfa9991892d, 0xd765bad2c1982fcc, 0xc2a002b68ee0dae3, 0x3740be4a165b3d68,
  0x5de4ee957a27e858, 0xf149304f8c0482d9, 0x1e9b9235bfff4299, 0x9e50b8395bf717d5, 0xfc4361222fb892c7,
  0x6e1b76148fea3e12, 0x29dadcdbdf33c5dc, 0x1b307a57a8f2b90f, 0x422814c5670fd47c, 0xbe8c2cb1148b34eb,
  0x439d5db9c98ea426, 0x8d8ebce9bb1ea8fe, 0x908a22147bdd8d57, 0x8991c37b2d973170, 0x556a59f41cf2a360,
  0x35d09c73c9fdaf2e, 0x6a96fabb39d454aa, 0xb637afa1a89ace57, 0xae7b55a22bca6a12, 0xa6c529e1a779f16b,
  0xd138c6f19d1020ee, 0x61098edec5551696, 0xec6e3cd84b997cdb, 0xc3def2861539fa82, 0x4ff03f8cbf313ffb,
  0xd17f81fbf619a1e6, 0xc6592e19e985f1a3, 0x6866587494b67c09, 0x28087abd14f257ee,
};

// pwm216_swio12_lednop              pwm316_swio11_lednop              pwm316_swio12_lednop
static const uint64_t ur_pwm216_swio11_lednop[] = {
  0x905ff7777759bb37, 0xadddaab914ad225a, 0xbe3f770f8da0c227, 0x05fd0ee38f684ddf, 0x69b1006dbe3fbba9,
  0x905b2bbc9ddb1ec8, 0xea473f01a609f180, 0x21df2dd04910f7ff, 0x31c74fe0ebffa8f9, 0x4398b016f74dd426,
  0x1823af173b08a8fa, 0xcb955a95982f71cb, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xbd2fe86a26b81013,
  0x3daad115e535095c, 0x0b29b1674079fad7, 0xe8a042d3573abd4b, 0x36d38c6f19d1028b, 0x27e7f61bb612e65f,
  0x289c6592e19e9857, 0xee6866587494b659, 0x01527d6e483cf257,
};

/*
 * pwm216_swio11_lednop_pr_u4        pwm216_swio12_lednop_pr           pwm216_swio12_lednop_pr_u4
 * pwm316_swio11_lednop_pr           pwm316_swio11_lednop_pr_u4        pwm316_swio12_lednop_pr
 * pwm316_swio12_lednop_pr_u4
 */
static const uint64_t ur_pwm216_swio11_lednop_pr[] = {
  0xa0b777768911fc3b, 0xbb5572290be25713, 0x490dbf30fb609e0b, 0xac1c550c6d97bc2b, 0xeec7bafddb89d059,
  0x93bb704dd43329d8, 0xdcc13e30120b6577, 0xb9231effebb467d7, 0x0c9af51d003be5b7, 0x6594cfe7511c74fe,
  0xe76c9118df398b01, 0x48a807fecc11d7a3, 0x6b2ed40f2cf6e0ff, 0xd09c73c9fdaf2e55, 0x96fabb39d454aa35,
  0xa1a89ae0404e576a, 0x445794d42572f4bf, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb6318ab7, 0x0d1637c5c9ab83cd, 0x539fa9d598f207e5, 0xf313ffbc3def2861, 0x619a1e64ff03f8cb,
  0x985f1a3d17f81fbf, 0x4b67c09c6592e19e, 0x4f257ee686658749, 0x000007c99c87e202,
};

// pwm216_swio12_lednop_pr_ee        pwm316_swio11_lednop_pr_ee        pwm316_swio12_lednop_pr_ee
static const uint64_t ur_pwm216_swio11_lednop_pr_ee[] = {
  0xd69bbbba1eb44511, 0xeed55f85da2c4b8f, 0xeac1dcc46df37326, 0xd0da181050b41392, 0x334b8bc41b4171fa,
  0x4eeabe67d938b17d, 0x5304f8c0482d95de, 0xe488d6ffaed19f4b, 0xa3cad82cd56b4663, 0xa9ef51f06cc1f51e,
  0x522cd3ad08a1df15, 0x6b26909afa30b2c4, 0x11cdc73ab4bba55c, 0x8d56ba1d79d37691, 0x3170908a17c47195,
  0x46c11fadc37b2d97, 0x5e5caad402b589e5, 0xa9546ba138e793fb, 0x9caed52df57673a8, 0xe5e97f435135c080,
  0xb9ed5688af29a84a, 0x5ca5af9d01e395ae, 0x38c6f19d10210a90, 0x63156f62aa8b4905, 0x57079b09732f9b6c,
  0x207e50d1674f8b93, 0xf2861539fa9d598f, 0x3cc9fe2e7197e627, 0x30ae4fc73dffc134, 0x96cf8138cb25c33d,
  0x9e4afdcd0ccb0e92, 0x00000009d7324404,
};

// pwm216_swio12_lednop_pr_ee_u4     pwm316_swio11_lednop_pr_ee_u4     pwm316_swio12_lednop_pr_ee_u4
static const uint64_t ur_pwm216_swio11_lednop_pr_ee_u4[] = {
  0x6f26eeeed1222582, 0x3bb557e172b7122f, 0x5d23fb007a5f126d, 0xbc8a671fd412c9b4, 0x82d0bc5e20da08bd,
  0xf2774ed0439765aa, 0x5a9827c602416cae, 0xbf2446b7fd768cfa, 0xf51e5721e6ab5a3d, 0xaff77a8f83660e71,
  0x2291669d68450ef8, 0xc5133484d7d18596, 0x911a6273ab4bc065, 0xc6ab5d0ebd75376c, 0x3170908a20fa3b5a,
  0x7182feb70decb872, 0x38e793fb5e5caad5, 0xf57673a8a9546ba1, 0x5135c0809caed52d, 0xaf29a84ae5e97f43,
  0x3a03cfd6b9ed5688, 0x9ab9d5ea58594d8b, 0x78ce88145f450216, 0x79b09732f9b69c63, 0xfca1a2c6f8b93570,
  0x0c2a73f53ab31e40, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0x4049e4afdcd0ccb0, 0x0000000013ae917c,
};

/*
 * pwm216_swio11_lednop_pr_ce_u4     pwm216_swio12_lednop_pr_ce        pwm216_swio12_lednop_pr_ce_u4
 * pwm316_swio11_lednop_pr_ce        pwm316_swio11_lednop_pr_ce_u4     pwm316_swio12_lednop_pr_ce
 * pwm316_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_pwm216_swio11_lednop_pr_ce[] = {
  0x26cfddddda244511, 0xc776aaf088f5e254, 0x8f7e9e8db622c1ef, 0xff5e35da59bbb26b, 0x62b2210209bb426c,
  0x2bbc9dd57ccfa0d9, 0x3f1ca609f180905b, 0xebdd491b75ff5da3, 0x58f3c64a9de9bb8b, 0xc25f886c2445f712,
  0x8bb8dc24aca8fd47, 0x1e5f4f72c67eb267, 0xbd2a38e9fc1acff5, 0xd92231be731602c7, 0x500ffd99e3af47ce,
  0x976a0796b741fe91, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0xd44d7020272bb54b, 0x2bca6a12b97a5fd0,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb63131dbd8, 0x1637c5c9ab83cd84,
  0x9fa9d598f207e50d, 0x13ffbc3def286153, 0x9a1e64ff03f8cbf3, 0x5f1a3d17f81fbf61, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00006eb842e2024f,
};

// pwm216_swio12_lednop_pr_ee_ce     pwm316_swio11_lednop_pr_ee_ce     pwm316_swio12_lednop_pr_ee_ce
static const uint64_t ur_pwm216_swio11_lednop_pr_ee_ce[] = {
  0x7f8fdddddd447032, 0x5ddaabd85048c4a1, 0x91db13ac829b18c4, 0x1f5a63be9de46829, 0xddc123f065ab42ff,
  0x2775b11ceb0c9c91, 0xc9827c602416caef, 0xb244347fd768cfbf, 0x92a761a0effaa32e, 0xcee371a0e089fcf1,
  0x94b94ed6563df309, 0xa3e0d983d2bd4795, 0xa75a1140a62b287e, 0x2135f4616588a459, 0x47371ceaedce9475,
  0x6abc6c75e74dda44, 0x8b848450be238cac, 0x1b044c8e1bd96cb9, 0x7972ab52ced62795, 0xa551ae84e39e4fed,
  0x72bb54b7d5d9cea2, 0x97a5fd0d44d70202, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0x131dbd8aaa2d2414, 0x9ab8d84b997cdb63, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0xf88093c95fb9a199, 0x0000000000534db8,
};

// pwm216_swio12_lednop_pr_ee_ce_u4  pwm316_swio11_lednop_pr_ee_ce_u4  pwm316_swio12_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio11_lednop_pr_ee_ce_u4[] = {
  0x615bbbbb44867a31, 0x776aafea6cce24b4, 0x6c36ed0b3760bf31, 0x0a800ad9914774cf, 0x946ea5d8596cf5a3,
  0x277513f0fbed03e2, 0x19827c602416caef, 0x48a1f7fd520f9fec, 0xe0e21f5c5f547a6e, 0x8488bee24b1e7942,
  0xfc7ddfa8f84bf10d, 0x736f7ccf1771b9c3, 0xe95ea3caca5ca76b, 0x5315943f51f06cc1, 0xb2c4522cd3ad08a0,
  0x76e74a3a909afa30, 0xf3a6ed22239b8e75, 0x5f11c656355e363a, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0x71cf27f6bcb955a9, 0xeaece75152a8d742, 0xa26b8101395daa5b, 0x5e535095cbd2fe86, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0xccbe6db1898edec5, 0xb8d1637c371e6c25, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf619a1e64ff03f8c, 0xe985f1a3d17f81fb, 0x94b67c09c6592e19, 0xe4f257ee68665874,
  0x00000013f2353ad3,
};

// pwm216_swio12_lednop_ee_hw        pwm316_swio11_lednop_ee_hw        pwm316_swio12_lednop_ee_hw
static const uint64_t ur_pwm216_swio11_lednop_ee_hw[] = {
  0xfad377776890c044, 0xdddaabf0bb458971, 0xde4bbb988dbe6e64, 0x7eb4368604142d04, 0x7f4cd2e2f106d05c,
  0xcaef277505272d08, 0xcfa5a9827c602416, 0xb4663e488d6ffa14, 0x1f51ea3cad82cd56, 0x1df15a9ef51f06cc,
  0x0b2c4522cd3ad08a, 0xba55c6b26909afa3, 0x3769111cdc73ab4b, 0x471958d56ba1d79d, 0xb2d973170908a17c,
  0x589e546c11fadc37, 0x793fb5e5caad402b, 0x673a8a9546ba138e, 0x5c0809caed52df57, 0x9a84ae5e97f43513,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8, 0xf505d8dc79b09732,
  0x7ff787bde50c2a73, 0x43cc9fe07f197e62, 0xe347a2ff03f7ec33, 0xf8138cb25c33d30b, 0xafdcd0ccb0e9296c,
  0x00002df1a9ca29e4,
};

/*
 * pwm216_swio11_lednop_ee_ce_u4_hw  pwm216_swio12_lednop_ee_ce_hw     pwm216_swio12_lednop_ee_ce_u4_hw
 * pwm316_swio11_lednop_ee_ce_hw     pwm316_swio11_lednop_ee_ce_u4_hw  pwm316_swio12_lednop_ee_ce_hw
 * pwm316_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_pwm216_swio11_lednop_ee_ce_hw[] = {
  0x30addddda2435f41, 0xbbb557f53667125a, 0xb61b76859bb05f98, 0x8540056cc8a3ba67, 0x4a3752ec2cb67ad1,
  0xbbc9dda2feef6b89, 0xfb06609f180905b2, 0x7a6e48a1f7fd0a67, 0x7942e0e21f5c5f54, 0xf10d8488bee24b1e,
  0xb8aeb8c2ffa8f84b, 0xa76b736f7ccf1771, 0x6cc1e95ea3caca5c, 0x08a05315943f51f0, 0xfa30b2c4522cd3ad,
  0x8e7576e74a3a909a, 0x363af3a6ed22239b, 0x42285f11c656355e, 0x26470decb65cc5c2, 0x55a9676b13ca8d82,
  0xd74271cf27f6bcb9, 0xaa5beaece75152a8, 0xfe86a26b8101395d, 0xad115e535095cbd2, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6db1898e, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x3a8a792bf734332c, 0x0000000000280a35,
};

/*
 * pwm216_swio11_dual_pr             pwm216_swio11_dual_pr_u4          pwm216_swio12_dual
 * pwm216_swio12_dual_pr             pwm216_swio12_dual_pr_u4          pwm316_swio11_dual
 * pwm316_swio11_dual_pr             pwm316_swio11_dual_pr_u4          pwm316_swio12_dual
 * pwm316_swio12_dual_pr             pwm316_swio12_dual_pr_u4
 */
static const uint64_t ur_pwm216_swio11_dual[] = {
  0xfa7bbbbb44860aac, 0x77ef89191ab83d33, 0xbf7bb13848840f5f, 0x3867d39396ca69db, 0x24fb2c476b7699fd,
  0x361ddf5796444f38, 0x609f180905b2bbc9, 0x3a5232090ba43aa2, 0x850c1ab3c59e9221, 0xccab773ba7c4b881,
  0x7b028a7072737cef, 0x489fc1c7b9bd475f, 0x4312bfcfdf04508e, 0xef9b887c00dc3e14, 0x865a03e221955dde,
  0x5ffa039e136f7150, 0x95e5ab7cd012dbb0, 0x22517fc753982c37, 0xf7ea3f7477cb2d79, 0xe67261ee38e9fc1e,
  0x2008d31398b01541, 0x807fecc11d78033b, 0x9d40f2cf6def1bea, 0xd67f157ceee2a4af, 0xa138e793fb5e5caa,
  0x2df57673a8a9546b, 0x435135c0809caed5, 0x88af29a84ae5e97f, 0x9d01e395aeb9ed56, 0x9d10210a905ca5af,
  0x62aa8b490538c6f1, 0x09732f9b6c63156f, 0x0eee3458df0dc79b, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b, 0xb4f93c95fb9a1996, 0x000000000a498a9c,
};

// pwm216_swio12_dual_pr_ee          pwm316_swio11_dual_pr_ee          pwm316_swio12_dual_pr_ee
static const uint64_t ur_pwm216_swio11_dual_pr_ee[] = {
  0x500adddddd435202, 0xbbf7c4d9307dc1d0, 0xfafba5ab651ba667, 0xc9caf9086bbdd6f6, 0xee100c015150500a,
  0xc875b45c5f9af913, 0x02416caef2448bb9, 0x12174831eb9827c6, 0x678b3d244274a464, 0x774f8971030a1835,
  0x818fcc337f9956ee, 0x6b4dea3a5ad805a3, 0x7ef822847244fe0c, 0x8006e1f0a21895fe, 0xa21955ddeef9b8ea,
  0x84c63e2a10cb40a2, 0x3404b6eff3fe80e7, 0xd4e60b0de5796adf, 0x56b47fba4885aff1, 0x9830f7ea3caedd4d,
  0x143be2bd37ea3e0d, 0x4616588a459a75a1, 0x5d82ae2a5cd2135f, 0x897631e8cf539d5a, 0xa4710d8d56ba1d7a,
  0xf65f4b3170908a34, 0x2288aa8d823f5b86, 0x3f8abe777152500b, 0x9c73c9fdaf2e556b, 0xfabb39d454aa35d0,
  0xa89ae0404e576a96, 0x5794d42572f4bfa1, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0xb997cdb6318ab7b1, 0xee3458f386e3cd84, 0x4c2b93f75666fe0e, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4,
  0x00000190a0f2f69f,
};

// pwm216_swio12_dual_pr_ee_u4       pwm316_swio11_dual_pr_ee_u4       pwm316_swio12_dual_pr_ee_u4
static const uint64_t ur_pwm216_swio11_dual_pr_ee_u4[] = {
  0x56eeeed15b779231, 0xbe26c983ee0e8280, 0x4d2d5b28dd333ddf, 0xc8435deeb77d7d9b, 0x600a8a8280564e57,
  0xa721ed6ac89f7080, 0x5de4891777ff0cd3, 0x63d7304f8c0482d9, 0x4884e948c8242e90, 0xe20614306acf167a,
  0x37f99696fcee9f12, 0xa5ad805a3818fcc3, 0x47244fe0c6b4dea3, 0x0a21895fe7ef8228, 0xdeef9b8ea8006e1f,
  0xa10cb40a2a21955d, 0xff3fe80e784c63e2, 0xde5796adf3404b6e, 0x92216bffc80a60b0, 0x8f2bb75355ad1fee,
  0x4dfa8f83660c3dfa, 0x91669d68450ef8af, 0x973484d7d1859622, 0x33d4e7569760ab8a, 0x55ae875ea25d8c7a,
  0x5c24228d291c4363, 0x608fd6e1bd97d2cc, 0xdc549402c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x1395daa5beaece75, 0x5cbd2fe86a26b810, 0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x8c62adec55516920, 0x6ae0f3612e65f36d, 0xfc1fb763458df172, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0xad00ca792bf73433, 0x00000000000ac929,
};

// pwm216_swio12_dual_pr_ce          pwm316_swio11_dual_pr_ce          pwm316_swio12_dual_pr_ce
static const uint64_t ur_pwm216_swio11_dual_pr_ce[] = {
  0xa56eeeef6090cf68, 0xf7c482fd9be0ef58, 0x3bbb287b19189dbb, 0x6db177689f9f7b68, 0xf210badeebd62950,
  0xdcd1f53accdb7661, 0xe30120b657793c95, 0x8c8242e91649cc13, 0x06acf167a4884e94, 0xddcee9f12e206143,
  0x8270eaf9a87ff32a, 0xc1dba9bd478e5b03, 0xbfcfdf04508e489f, 0x39be00dc3e144312, 0x18f4432abbbddf37,
  0x0e784ddd45421968, 0x5be68096df76bfe8, 0xfe3a9cc161bcaf2d, 0x13ab8beafe491383, 0x8bee24b1e7942e0e,
  0x51fa8f84bf10d848, 0xd4b99e2ee3719be9, 0xed6f51c27cf72c67, 0x602945dbf1c74fe0, 0xf006764011a62731,
  0xde37d500ffd99e3a, 0x715257cea0796b73, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd, 0x4e576a96fabb39d4,
  0x72f4bfa1a89ae040, 0x5cf6ab445794d425, 0x2e52d7ce80f1cad7, 0x9c6378ce88108548, 0x6263b7b15545a482,
  0x8dc79b09732f9b6c, 0xb337f07771a2cb57, 0x0271a50c2a73f53a, 0x15c9f80f9a1e64ff, 0xd9f0271964b867a6,
  0xc95fb9a19961d252, 0x000069227d7b4f93,
};

// pwm216_swio12_dual_pr_ce_u4       pwm316_swio11_dual_pr_ce_u4       pwm316_swio12_dual_pr_ce_u4
static const uint64_t ur_pwm216_swio11_dual_pr_ce_u4[] = {
  0xdd02f77776890c86, 0xddfbe2417efdf070, 0xaefdd1ed61ae0891, 0x816b05d96d8bc6ad, 0xe6285900d17ee86e,
  0xc95c6eeeec6ecb41, 0x3e609f180905b2bb, 0x4274a4641217484e, 0x030a1835678b3d24, 0xdf9956ee774f8971,
  0xbef61a6ce115a61a, 0x1c913f8353d37a8f, 0x2886257f9fbe08a1, 0xbddf372e4401b87c, 0xa10cb43ba4432abb,
  0xff9ff4073c26d2a2, 0x6f2bcb56f9a025b7, 0xf2446b7f8ea73058, 0xca170714f5c5f5db, 0x886c2445f71258f3,
  0xdceb3643fd47c25f, 0x3dcb19e1c6678bb8, 0x71d3f8327bd4797d, 0x637ce62c05dbebe4, 0xcb19e3af22dd87c4,
  0xf9ddc54947570f71, 0x27f6bcb955acfe2a, 0xe75152a8d74271cf, 0x8101395daa5beaec, 0x5095cbd2fe86a26b,
  0x9fad73daad115e53, 0xabd4b0b29b167407, 0x20517c63042d3573, 0x5ccbe6da718de33a, 0xbb8d1637c371e6c2,
  0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x3e4f257ee6866587, 0x000000001a4902ad,
};

// pwm216_swio12_dual_pr_ee_ce       pwm316_swio11_dual_pr_ee_ce       pwm316_swio12_dual_pr_ee_ce
static const uint64_t ur_pwm216_swio11_dual_pr_ee_ce[] = {
  0xe76cadddddd432db, 0xb77ef8926787dc1c, 0xf57dddfbebb41402, 0xb29d946adc989afb, 0x68338e16b44bb39d,
  0xbb8e08ab07866753, 0x7c602416caef2605, 0x8c8242e902793982, 0x06acf167a4884e94, 0xddcee9f12e206143,
  0x4d1c1fe4d883f32a, 0xe0ec7e6f51c346c3, 0x5fe7ef822847244f, 0x0291006e1f0a2189, 0x14b4432abbbddf37,
  0x1cf09be745421968, 0xb7cd012dbcc37fd0, 0xfc753982c3795e5a, 0xe77fd51943923883, 0xcba3ff9e50b83863,
  0x656443309cee3719, 0x3ea3d479594394ed, 0x0a62b74bea3e0d98, 0x16588a459a75a114, 0xaedc958752135f46,
  0x7b589d900460a1ce, 0x7bd1e45b1aaf1b1d, 0x0decb8f8c5c24228, 0x3bb8a92e31b86647, 0xfed7972ab59fc55f,
  0xea2a551ae84e39e4, 0x20272bb54b7d5d9c, 0x12b97a5fd0d44d70, 0xf5ae7b55a22bca6a, 0x7a96165362ce80f3,
  0x0a2f8c6085a6ae75, 0x997cdb4e31bc6744, 0xe3458f386e3cd84b, 0xc2b93f75666fe0ee, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000982749d69f2,
};

// pwm216_swio12_dual_pr_ee_ce_u4    pwm316_swio11_dual_pr_ee_ce_u4    pwm316_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio11_dual_pr_ee_ce_u4[] = {
  0xbddddda2b6ed022f, 0xe26c7cb2707a2fdf, 0x6bbd13d9f16addfb, 0xc2b8b1f82cde9853, 0xb1345fbf6932abdf,
  0x2b8feec782e3fb4b, 0x7b3bb69f2117893f, 0x827c602416caef24, 0x4a464121748a46e9, 0xa1835678b3d24427,
  0xb4b7e774f8971030, 0xbc33872d4ccdffcc, 0xf0687d37a8fd83b0, 0xaff3f7c114239227, 0x964980370f8510c4,
  0x0e0a21955ddeef9b, 0x0e784da6e2a10cb4, 0x5be68096dd9cbfe8, 0xff9014c161bcaf2d, 0xdc5f5464ea48de1f,
  0x71258f3ca179dde1, 0xd47c25f886c2445f, 0x33c5dc6e0aa2c93f, 0xf2b95d29dadcdcdd, 0xdfa8f83660f6ffa8,
  0x1669d68450298af7, 0x1d484d7d18596229, 0x63d19ea73abb7305, 0x36355e363af512ec, 0x2cc5c24228d291c4,
  0x551b044c8e1bd97d, 0x7ceee2a4a59e4511, 0x93fb5e5caad67f15, 0x73a8a9546ba138e7, 0xc0809caed52df576,
  0xa84ae5e97f435135, 0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d8c4c76f62aa8b,
  0x1726ae0f3612e65f, 0xccdfc1fb763458df, 0x1ef79430a9cfd4ea, 0x7f81fc65f989ffde, 0x8bfc0fdfb0cd0f32,
  0x32c970cf4c2f8d1e, 0x4332c3a4a5b3e04e, 0x0a9ad00ca792bf73, 0x0000000000000100,
};

// pwm216_swio12_dual_ee_hw          pwm316_swio11_dual_ee_hw          pwm316_swio12_dual_ee_hw
static const uint64_t ur_pwm216_swio11_dual_ee_hw[] = {
  0x00adddddd41432db, 0xbf7c4d9307dc1d05, 0xafba5ab651ba667b, 0x9caf9086bbdd6f6f, 0xe100c015150500ac,
  0xdc704559a675913e, 0xe30120b657792245, 0x32090ba418f5cc13, 0x1ab3c59e92213a52, 0x773ba7c4b881850c,
  0xd1c0c7e619bfccab, 0x0635a6f51d2d6c02, 0xff3f7c114239227f, 0x75400370f8510c4a, 0x51510caaeef77cdc,
  0x73c2631f150865a0, 0x6f9a025b77f9ff40, 0xdd89f30586f2bcb5, 0x355ad1fee92216bf, 0x3660c3dfa8f2bb75,
  0x8450ef8af4dfa8f8, 0x7d185962291669d6, 0x69760ab8a973484d, 0xea25d8c7a33d4e75, 0xd291c436355ae875,
  0x1bd97d2cc5c24228, 0x2c8a22aa3608fd6e, 0xacfe2af9ddc54940, 0x4271cf27f6bcb955, 0x5beaece75152a8d7,
  0x86a26b8101395daa, 0x115e535095cbd2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x12e65f36d8c62ade, 0x54e7ea6c3b1b8f36, 0x343cc9fe04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0xa1e5e8a792bf7343, 0x000000000000015d,
};

// pwm216_swio12_dual_ee_ce_hw       pwm316_swio11_dual_ee_ce_hw       pwm316_swio12_dual_ee_ce_hw
static const uint64_t ur_pwm216_swio11_dual_ee_ce_hw[] = {
  0x6a087bbbbba86f97, 0xddfbe2499fd5f83c, 0x518eed68abd5f0f6, 0xc0527dd820ce64cd, 0xaf6e16b44bb8d410,
  0x773c119d6a9d2e2c, 0xf8c0482d95de494e, 0x190485d204f27304, 0x0d59e2cf49109d29, 0xbb9dd3e25c40c286,
  0x80e0d77321f7e655, 0x830d137a8eff3618, 0x7f9fbe08a11c913f, 0xe1fc01b87c288625, 0x81110caaeef77cdc,
  0x73c262eb150865a1, 0xdf3404b6f30dff40, 0xbb13e60b0de5796a, 0xeffaa3cad247107f, 0x1a0ff9e50b839880,
  0x564dd309cee3732a, 0xb7fd4795cae94ed6, 0x4c57befd47c1b307, 0xcb1148b34eb42281, 0xdb9828ea426be8c2,
  0xa897631e8cf539d5, 0x948e21b1aaf1b1d7, 0xdecbe9662e121146, 0xf2288aa8d8226470, 0xb3f8abe77715252c,
  0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0x1a89ae0404e576a9, 0x45794d42572f4bfa, 0xe80f1cad75cf6ab4,
  0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b6c6263b7b, 0xc2b93f3fb0dc79b0, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000002269dba8a,
};

// pwm216_swio12_dual_ee_ce_u4_hw    pwm316_swio11_dual_ee_ce_u4_hw    pwm316_swio12_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio11_dual_ee_ce_u4_hw[] = {
  0xfbddddda28d0421f, 0xbe26c7cb2707a2fd, 0x76bbd13d9f16addf, 0x5efe15c58fcd166f, 0xda5d89a2fdfb4995,
  0x6d342027763c171f, 0xb2bbc91ecee2fac1, 0x2291ba609f180905, 0xf49109d29190485d, 0x25c40c2860d59e2c,
  0x666ffe65d849dd3e, 0x47ec1d85e19c396a, 0xa11c913f8343e9bd, 0x7c2886257f9fbe08, 0xeef77cdcb24c01b8,
  0x150865a070510caa, 0xece5ff4073c26d37, 0x0de5796adf3404b6, 0x491bc3ff00fba60b, 0x0c1cbc3b8bea8c9d,
  0x8488bee24b1e78df, 0x233d7fa8f84bf10d, 0xb9b9ba678bb8dc0b, 0xedff51e572ba53b5, 0x5315efbf51f06cc1,
  0xb2c4522cd3ad08a0, 0x76e60a3a909afa30, 0xea25d8c7a33d4e75, 0xa523886c6abc6c75, 0x37b2fa598b848451,
  0x3c8a22aa3608991c, 0xacfe2af9ddc5494b, 0x4271cf27f6bcb955, 0x5beaece75152a8d7, 0x86a26b8101395daa,
  0x115e535095cbd2fe, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6db1898ede,
  0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xfa792bf734332c3a, 0x0000003aeb1ff842,
};

// pwm316_swio13_noled
static const uint64_t ur_pwm216_swio13_noled[] = {
  0x3ddbbbbbbacdfc4f, 0xf5bbb5572285ee25, 0xf4b8eea1c4891844, 0xe17f43bb89dd9fc1, 0xa3504db632b4dd9e,
  0x0482d95de4eec2f5, 0xff5239f31f304f8c, 0x884ef96e9248edff, 0x6bc71d3f83e7bd47, 0x4d1cc580b7ba6d29,
  0xb1823af173b5c346, 0xbcb955a9595ff71c, 0x52a8d74271cf27f6, 0x76a96faa9bece751, 0x56af7afa1a89ace5,
  0xd73daad115e53509, 0xd4e02ca54fa779fa, 0x2fdc5021696173a9, 0x5f36d38c6f19d102, 0x5727e7f61bb612e6,
  0x59289c6592e19e98, 0x57ee6866587494b6, 0x0000a9170e483cf2,
};

// pwm216_swio13_noled_pr_u4         pwm316_swio13_noled_pr            pwm316_swio13_noled_pr_u4
static const uint64_t ur_pwm216_swio13_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c492, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afba913a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0fc9132bfebb467, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x35d09c73c9fdaf2e, 0x5beaa6fb39d454aa,
  0xdebe86a26b395daa, 0x6ab445794d4255ab, 0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x455bd8aaa2d2da27,
  0x7079b09732f9b632, 0x40fca1a2c6f8b935, 0xe50c2a73f53ab31e, 0x7f197e627ff787bd, 0x03f7ec3343cc9fe0,
  0x5c33d30be347a2ff, 0xb0e9296cf8138cb2, 0xb44049e4afdcd0cc, 0x00000000007c9aa6,
};

// pwm316_swio13_noled_pr_ee
static const uint64_t ur_pwm216_swio13_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd45893a, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da09d7d6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x2462b7fd768cf93a, 0x8f2b297355ad1bf9, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x2a8d74271cf27f6b, 0x6a96faa9bece7515, 0x6af7afa1a89ace57,
  0x73daad115e535095, 0x36294f0d3bcf8b5d, 0x89c6378ce8810775, 0x8c9156f62aa8b4b6, 0x4d5c1e6c25ccbe6d,
  0x3c81f943459d3e2e, 0x9fca1854e7ea7566, 0xd0f327f8b9c65f98, 0xf4c2b93f1cf7ff04, 0x4a5b3e04e32c970c,
  0x12792bf734332c3a, 0x000000009d7c6310,
};

// pwm316_swio13_noled_pr_ee_u4
static const uint64_t ur_pwm216_swio13_noled_pr_ee_u4[] = {
  0xc5eeeeeed12232a8, 0xb4eed55f85e85c4b, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d05e2d,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x5491df7ff5da33f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0x71cf27f6bcb955aa, 0x9bece75152a8d742, 0x1a89ace576a96faa, 0x15e5350956af7afa,
  0xd3bcf8b5d73daad1, 0xce881077536294f0, 0x62aa8b4b689c6378, 0xc25ccbe6d8c9156f, 0x868b1be2e4d5c1e6,
  0xa9cfd4eacc7903f2, 0xf989ffde1ef79430, 0xb0cd0f327f81fc65, 0x4c2f8d1e8bfc0fdf, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x00000004eb967101,
};

// pwm216_swio13_noled_pr_ce_u4      pwm316_swio13_noled_pr_ce         pwm316_swio13_noled_pr_ce_u4
static const uint64_t ur_pwm216_swio13_noled_pr_ce[] = {
  0xbdeeeeeed1222a20, 0xf8eed55e11069c48, 0x8fe9a5ddb6ebd83d, 0x9febf8f9fb0678ec, 0x1a8207ae486e97bd,
  0xcaef27747b16a8e3, 0xcfece9827c602416, 0xf5dbf246577fd768, 0x2c79e3254ef7ddc5, 0xe12fc4361222fb89,
  0xc5dc6e5c89257ea3, 0x479ba7b9633f5933, 0x9538c71d3f8327bd, 0x768851ef67316029, 0x4a807feccf1d7a3e,
  0xd5f5b81e5adc2293, 0xa138e793fb5e5caa, 0xd54df673a8a9546b, 0x7d0d44d672bb54b7, 0x688af29a84ab57bd,
  0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0xe6c25ccbe6d8c863, 0xf2868b1be2e4d5c1,
  0x30a9cfd4eacc7903, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x012792bf734332c3, 0x00000000375d3411,
};

// pwm316_swio13_noled_pr_ee_ce
static const uint64_t ur_pwm216_swio13_noled_pr_ee_ce[] = {
  0x02fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5605,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52e48ffcffaed19f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x8a9546ba138e793f,
  0x2bb54b7d54df673a, 0x4ab57bd7d0d44d67, 0xaeb9ed5688af29a8, 0xba9b14a7869de7c5, 0x5b44e31bc6744083,
  0x6d8c863b7b15545a, 0xce2e4d5c6c25ccbe, 0xdd598f207e50d163, 0x38cb25c33d30ae4f, 0xd0ccb0e9296cb251,
  0xa63cbc4049e4afdc, 0x0000000000000029,
};

// pwm316_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio13_noled_pr_ee_ce_u4[] = {
  0x09bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x4c2a0006713ae0fd, 0xcdd333582165b3d0,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x74916bbffaa41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d, 0xe86a26b395daa5be, 0x445794d4255abdeb, 0xc34ef3e2d75cf6ab,
  0xe33a2041dd4d8a53, 0xbd8aaa2d2da2718d, 0x3612e65f36c6431d, 0xfc1ddc68b1be1b8f, 0x79430a9cfd4eaccd,
  0x1fc65f989ffde1ef, 0xc0fdfb0cd0f327f8, 0x970cf4c2f8d1e8bf, 0x2c3a4a5b3e04e32c, 0x3969f2792bf73433,
  0x000000000004fc19,
};

// pwm316_swio13_noled_ee_hw
static const uint64_t ur_pwm216_swio13_noled_ee_hw[] = {
  0xd7eeeeeed1219541, 0x26eed55f85ea2c49, 0x0da67bbe3f6df373, 0x7d686d1337aed2c9, 0x8d2b452b620da09d,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe4918adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xc9fdaf2e556a0174, 0x39d454aa35d09c73, 0x6b395daa5beaa6fb, 0x4d4255abdebe86a2,
  0x3e2d75cf6ab44579, 0x041dd4d8a53c34ef, 0xa2d2da2718de33a2, 0x32f9b632455bd8aa, 0x73f505d8dc79b097,
  0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3, 0xe4afdcd0ccb0e929,
  0x0000002dffc93a29,
};

// pwm216_swio13_noled_ee_ce_u4_hw   pwm316_swio13_noled_ee_ce_hw      pwm316_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio13_noled_ee_ce_hw[] = {
  0x04dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x26150003389d707e, 0xe6e999ac10b2d9e8,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece922d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x8d74271cf27f6bcb, 0x96faa9bece75152a, 0xf7afa1a89ace576a, 0xdaad115e5350956a, 0x294f0d3bcf8b5d73,
  0xc6378ce881077536, 0x0c76f62aa8b4b689, 0x6e3cd84b997cdb19, 0xdef2861539fa82ec, 0xf03f8cbf313ffbc3,
  0x7f81fbf619a1e64f, 0x592e19e985f1a3d1, 0x66587494b67c09c6, 0x0864e514f257ee68, 0x0000000000000028,
};

// pwm316_swio13_lednop
static const uint64_t ur_pwm216_swio13_lednop[] = {
  0xa7bb77777759bb37, 0x4f5bbb5572295a44, 0xbf7c7eefaff0b184, 0xf70bfa1ddc4ed09b, 0x21a6c401b6f8feec,
  0x02416caef2776c7b, 0xffa91cfc069827c6, 0xe4877cb7492443df, 0x4c638e9fc1f3dea3, 0xf48731602dee9ba8,
  0x9630475e2e761151, 0xd7972ab52b305ee3, 0x2a551ae84e39e4fe, 0xaed52df5537d9cea, 0x497f435135c0809c,
  0xf6ab445794d42572, 0x4b5e5380b9d01e5c, 0x7d14085a561130bd, 0xe6da718de33a2051, 0xe4fcfec376c25ccb,
  0x25138cb25c33d30a, 0xfdcd0ccb0e9296cb, 0x002a4fadc9079e4a,
};

// pwm216_swio13_lednop_pr_u4        pwm316_swio13_lednop_pr           pwm316_swio13_lednop_pr_u4
static const uint64_t ur_pwm216_swio13_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c492, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11dd489d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f92263ffebb467, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xae84e39e4fed7972, 0xdf5537d9cea2a551,
  0x35135c0809caed52, 0x45794d42572497f4, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c,
  0x4b997cdb40a8ab7b, 0xd1637c5c9ab83cd8, 0x39fa9d598f207e50, 0x313ffbc3def28615, 0x19a1e64ff03f8cbf,
  0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494, 0x00003e4ffaa22024,
};

// pwm316_swio13_lednop_pr_ee
static const uint64_t ur_pwm216_swio13_lednop_pr_ee[] = {
  0x7eeeeeeea0a22044, 0x6eed55f85c8fc49d, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd88368275f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x922707febb467e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xdaa5beaa6fb39d45, 0x2fe86a26b8101395,
  0xd5688af29a84ae49, 0x5af9d01e395aeb9e, 0x6f19d10210a905ca, 0x56f62aa8b490538c, 0x79b09732f9b68151,
  0xe50d165abcb93570, 0x61539fa9d598f207, 0x7cd0f327f8138d28, 0xcb25c33d30ae4fc0, 0x0ccb0e9296cf8138,
  0xbe10c4049e4afdcd, 0x000000000000004e,
};

// pwm316_swio13_lednop_pr_ee_u4
static const uint64_t ur_pwm216_swio13_lednop_pr_ee_u4[] = {
  0xc5eeeeeed1222a20, 0xb4eed55f85c19c4b, 0xc8fe9a5d2e233c49, 0xe2de4531d7eb20a6, 0x6a081eb9bb106d05,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca922707febb46, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0xe84e39e4fed7972a, 0xf5537d9cea2a551a, 0x5135c0809caed52d, 0x5794d42572497f43,
  0x9d01e7eb5cf6ab44, 0x4d5ceaf52c2ca6c5, 0xbc674409cfa2810b, 0x3cd84b997cdb4e31, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x2024f257ee686658, 0x0000000004eba682,
};

// pwm316_swio13_lednop_pr_ce
static const uint64_t ur_pwm216_swio13_lednop_pr_ce[] = {
  0xbdddddd0f5a22044, 0x1ddaabc225058917, 0x9e989d803d2b07bf, 0xfebf8f8d33f6a6fe, 0x1b45a8ac86e97bd9,
  0x5de4eea0a4e57042, 0xf1ad304f8c0482d9, 0xbb7e48e9bffaed19, 0x8f3c64a9deceb8be, 0x25f886c2445f7125,
  0xbb8dc4a8b91fd47c, 0xf38cf72c67eb2678, 0xcf58e3a7f064f7a8, 0x97c47191cc580a63, 0xa01ffb33c75e8f9d,
  0xe1c81e5adc37ee1a, 0x38e793fb5e5caad6, 0x4df673a8a9546ba1, 0xd7020272bb54b7d5, 0x535095c925fd0d44,
  0xc72b5d73daad115e, 0x421520b94b5f3a03, 0x16920a718de33a20, 0xbe6da0518edec555, 0x3e2e4d5c1e6c25cc,
  0x75663c81f943459d, 0x5f989fca1854e7ea, 0xff04d0f327f8b9c6, 0x970cf4c2b93f1cf7, 0x2c3a4a5b3e04e32c,
  0x3d1012792bf73433, 0x000000000001bafd,
};

// pwm316_swio13_lednop_pr_ce_u4
static const uint64_t ur_pwm216_swio13_lednop_pr_ce_u4[] = {
  0x9beeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbcdf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9eb247027fd768, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x39e4fed7972ab51d, 0x7d9cea2a551ae84e, 0xc0809caed52df553, 0xd42572497f435135, 0xcad75cf6ab445794,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0x8b9357079b09732f, 0xab31e40fca1a2c6f,
  0x787bde50c2a73f53, 0xc9fe07f197e627ff, 0x7a2ff03f7ec3343c, 0x38cb25c33d30be34, 0xcd0ccb0e9296cf81,
  0xbaf56544049e4afd, 0x0000000000000001,
};

// pwm316_swio13_lednop_pr_ee_ce
static const uint64_t ur_pwm216_swio13_lednop_pr_ee_ce[] = {
  0x817eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ac0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x29724536ffebb467, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0x454aa35d09c73c9f,
  0x95daa5beaa6fb39d, 0x492fe86a26b81013, 0x9ed5688af29a84ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x8c76f62aa8b49053, 0x6ae3612e65f36d02, 0x7903f2868b1e7172, 0x2e19e985727eeacc, 0x87494b659289c659,
  0xe2024f257ee68665, 0x000000000014d3c6,
};

// pwm316_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio13_lednop_pr_ee_ce_u4[] = {
  0x09bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x4c2a000676262779, 0xdd914e8e2165b3d0,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xce922293fea907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xd09c73c9fdaf2e55, 0xeaa6fb39d454aa35, 0xa26b8101395daa5b, 0xaf29a84ae492fe86, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d028c76f62, 0xdc68b1be1b8f3612, 0x0a9cfd4eaccdfc1d,
  0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c, 0xf2792bf734332c3a,
  0x00000009f80f2769,
};

// pwm316_swio13_lednop_ee_hw
static const uint64_t ur_pwm216_swio13_lednop_ee_hw[] = {
  0xebf777776890c582, 0x93776aafc2e47e24, 0x43560eec2f8039b9, 0x5f5a1b44cea2bd76, 0xa312b8cdd8836827,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f2489c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0xf27f6bcb955a8042, 0xce75152a8d74271c, 0x404e576a96faa9be, 0x12b924bfa1a89ae0,
  0x6bae7b55a22bca6a, 0xa417296be74078e5, 0x414e31bc67440842, 0xda05455bd8aaa2d2, 0x176371e6c25ccbe6,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x00b7e6a728a792bf,
};

// pwm216_swio13_lednop_ee_ce_u4_hw  pwm316_swio13_lednop_ee_ce_hw     pwm316_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio13_lednop_ee_ce_hw[] = {
  0x04dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x261500033b1313bc, 0xeec8a74710b2d9e8,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9d244527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0x51ae84e39e4fed79, 0x52df5537d9cea2a5, 0xf435135c0809caed, 0xb445794d42572497, 0x7ce80f1cad75cf6a,
  0x8ce881085482e52d, 0x7b15545a4829c637, 0xb09732f9b681463b, 0x0c2a73f505d8dc79, 0x197e627ff787bde5,
  0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c, 0x3a29e4afdcd0ccb0, 0x0000000000a02079,
};

/*
 * pwm216_swio13_dual_pr             pwm216_swio13_dual_pr_u4          pwm316_swio13_dual
 * pwm316_swio13_dual_pr             pwm316_swio13_dual_pr_u4
 */
static const uint64_t ur_pwm216_swio13_dual[] = {
  0x23bbbbbb448618be, 0xbeefdf12319f707f, 0xb475f772741b081e, 0xfa70ce5d84349961, 0xe0ac5faec7b6ef91,
  0xe49b0eeebd9c1059, 0x01304f8c0482d95d, 0x109d29190485d200, 0x40c2860d59e2cf49, 0x77e655bb9dd3e25c,
  0xafbd8145383939be, 0x47244fe0e3dcdea3, 0x0a21895fe7ef8228, 0x77bbe6e0a4006e1f, 0x54219680f8886557,
  0xea7bfe80e784dbdc, 0x0de5796adf3404b6, 0xbe48feeff1d4e60b, 0x0e0ffa8fb7cef967, 0xa0f32568f71c74fe,
  0x9db4a47109cc580a, 0x25403ff6608ebc01, 0x9702503cb3db4c63, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb,
  0x96faa9bece75152a, 0xa1a89ae0404e576a, 0xa22bca6a12b924bf, 0xe74078e56bae7b55, 0x67440842a417296b,
  0xd8aaa2d2414e31bc, 0xc25ccbe6da05455b, 0x83bb8d1637c371e6, 0x2861539fa9d599bf, 0xf8cbf313ffbc3def,
  0x1fbf619a1e64ff03, 0xe19e985f1a3d17f8, 0x87494b67c09c6592, 0xed3e4f257ee68665, 0x0000000002927924,
};

// pwm316_swio13_dual_pr_ee
static const uint64_t ur_pwm216_swio13_dual_pr_ee[] = {
  0x9daddddddd436f02, 0x9eefdf1364dc2f83, 0x6cda6ec6a4986e99, 0x00ac9d3889bd9bad, 0x4f5a0a27c01514ed,
  0xdcfe1f35ef262cdb, 0xe30120b657792245, 0x32090ba443c9cc13, 0x1ab3c59e92213a52, 0x773ba7c4b881850c,
  0xd1c0c7e619bfccab, 0x0635a6f51d2d6c02, 0xff3f7c114239227f, 0x00000370f8510c4a, 0x51510caaeef77cdc,
  0x73c2631f150865a0, 0xdf3404b6f6b7ff40, 0xf1d4e60b0de5796a, 0x9aad68dc9c91e9ff, 0x1b3071efd4795e9b,
  0x422877c57b3bd47c, 0xbe8c2cb1148b34eb, 0xb4ba9e5c54b9a426, 0x7a89767f11f5073a, 0x0f547f258d56ba1d,
  0x86f65f4b3170908a, 0x043e6f6a8d823f5b, 0xb59fc55f3bb8a928, 0xe84e39e4fed7972a, 0xf5537d9cea2a551a,
  0x5135c0809caed52d, 0x5794d42572497f43, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce,
  0xb997cdb40a8ab7b1, 0xee3458f386e3cd84, 0x4c2b93f75666fe0e, 0xa5b3e04e32c970cf, 0x2792bf734332c3a4,
  0x00000190a1c2969f,
};

// pwm316_swio13_dual_pr_ee_u4
static const uint64_t ur_pwm216_swio13_dual_pr_ee_u4[] = {
  0x6eeeeed15b768f43, 0x7ef89b26e17c1ced, 0xc1363524c374ccf7, 0xe9c44decdd6a6d36, 0x513e00a8a7680564,
  0xb5a9fc3538da7ad0, 0x2d95de489177789f, 0xe910f27304f8c048, 0x67a4884e948c8242, 0xf12e20614306acf1,
  0xcc337f99696fcee9, 0xea3a5ad805a3818f, 0x22847244fe0c6b4d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8000006,
  0x3e2a10cb40a2a219, 0x6ded6ffe80e784c6, 0x161bcaf2d5be6809, 0xe4e48f4ffff9014c, 0x7ea3caf4dcd56b46,
  0x2bd9dea3e0d9838f, 0x88a459a75a1143be, 0xe2a5cd2135f46165, 0xf88fa839d5a5d4f2, 0x2c6ab5d0ebd44bb3,
  0x598b8484507aa3f9, 0x546c11fadc37b2fa, 0xf9ddc5494021f37b, 0x27f6bcb955acfe2a, 0xe75152a8d74271cf,
  0x04e576a96faa9bec, 0x2b924bfa1a89ae04, 0xbae7b55a22bca6a1, 0x417296be74078e56, 0x14e31bc67440842a,
  0xa05455bd8aaa2d24, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x2260194f257ee686, 0x000000000001590c,
};

// pwm316_swio13_dual_pr_ce
static const uint64_t ur_pwm216_swio13_dual_pr_ce[] = {
  0xa76eeeeef6090c86, 0xdbbf7c482fc99c1d, 0xb913ba930eb19189, 0xa541b4155c42c55f, 0xe6283e26eb5bad38,
  0x93c95dddd8dd9f57, 0x7cc13e30120b6577, 0x84e948c8242e91dc, 0x0614306acf167a48, 0xff32addcee9f12e2,
  0xe5b038270eaf9a87, 0xe489fc1dba9bd478, 0x44312bfcfdf04508, 0xddf370c0200dc3e1, 0x2196818f4432abbb,
  0xa3fe80e784ddd454, 0xe5796adf3404b6e1, 0x4893aff1d4e60b0d, 0x85c1ceafb8beb01a, 0x1b09117dc4963cf2,
  0x3acd90ff51f097e2, 0x72c67d4b99e2ee37, 0x3a7f0622fa8f224f, 0x109cc580bfb8ca8e, 0x6678ebc019db4a47,
  0xf2d6e4c6325403ff, 0x8abe7771525c0940, 0x73c9fdaf2e556b3f, 0xfb39d454aa35d09c, 0x8101395daa5beaa6,
  0xa84ae492fe86a26b, 0x95aeb9ed5688af29, 0x0a905ca5af9d01e3, 0x490538c6f19d1021, 0x36d028c76f62aa8b,
  0x96af1b8f3612e65f, 0xea75666fe0eee345, 0xc9fe04e34a1854e7, 0xcf4c2b93f01f343c, 0xa4a5b3e04e32c970,
  0x9f2792bf734332c3, 0x000000003490e7d6,
};

// pwm316_swio13_dual_pr_ce_u4
static const uint64_t ur_pwm216_swio13_dual_pr_ce_u4[] = {
  0xe6eb777776890c86, 0x23bbf7c482fdfbe0, 0x5b5dfba758055c11, 0x7502d60bd6db178d, 0x83cc50b201a2fdd3,
  0x7792b8ddddd8dd96, 0x9c7cc13e30120b65, 0x4884e948c8242e90, 0xe20614306acf167a, 0x35bf32addcee9f12,
  0x1f7dec34d9c22b4c, 0x4239227f06a7a6f5, 0xf8510c4aff3f7c11, 0x777bbe6e5c880370, 0x4542196877488655,
  0x6fff3fe80e784da5, 0xb0de5796adf3404b, 0x32a488d6ff1d4e60, 0xf3ca170714f5c5f5, 0x5f886c2445f71258,
  0xb8dceb3643fd47c2, 0x7d3dcb19e1c6678b, 0xe471d3f8326bd479, 0xc4637ce62c05dbeb, 0x71cb19e3af22dd87,
  0x2af9ddc54947570f, 0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x0404e576a96faa9b, 0xa12b924bfa1a89ae,
  0x80f2e7b55a22bca6, 0x8985ea5af29c05ce, 0xa20517c63042d2b0, 0x25ccbe6da718de33, 0x3bb8d1637c371e6c,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0xd3e4f257ee686658, 0x0000000001a4902a,
};

// pwm316_swio13_dual_pr_ee_ce
static const uint64_t ur_pwm216_swio13_dual_pr_ee_ce[] = {
  0x74e5bbbbbba86f97, 0x056efdf124cc1f70, 0xf7af7ba3ae9f6828, 0xe5b29d933ed421ee, 0x56097d7f70b44bb4,
  0x02ddcf046752c8a7, 0xc13e30120b657793, 0x4a4641217487883c, 0xa1835678b3d24427, 0x956ee774f8971030,
  0x61a68e0ff26c41f9, 0x27f0763f37a8e1a3, 0xc4aff3f7c1142392, 0x9b8aeb80370f8510, 0xb40a5a21955ddeef,
  0xe80e784df3a2a10c, 0x2d5be68096df96bf, 0xbffe3a9cc161bcaf, 0x63e77fd51b059235, 0x32a1a0ff9e50b839,
  0xed656443309cee37, 0x30613fd4795b0594, 0x2814c5721fd47c1b, 0x8c2cb1148b34eb42, 0x9d5dbbe70ea426be,
  0x75ed6276d291cbe3, 0x5098a31f2c6abc6c, 0x8e1bd971f18b8484, 0x5f3bb8a92e31b58c, 0xe4fed7972ab59fc5,
  0x9cea2a551ae84e39, 0x809caed52df5537d, 0x2572497f435135c0, 0xeb5cf6ab445794d4, 0xf52c2ca6c59d01e7,
  0x139f18c10b4d5cea, 0x32f9b69c6378ce88, 0xc68b1e70dc79b097, 0x85727eeaccdfc1dd, 0xb67c09c6592e19e9,
  0xf257ee6866587494, 0x000001304e72d3e4,
};

// pwm316_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio13_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec746e, 0xfbe26c79c170775b, 0xbaeecd8599f16add, 0xfa8c6f26338614d6, 0x697625d6f7ed2628,
  0xf0e90a6b29a3f99b, 0x48f67705b495c7ff, 0x7304f8c0482d95de, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221,
  0x65a5bf3ba7c4b881, 0x85e19c396a666ffe, 0x3f8343e9bd47ec1d, 0x257f9fbe08a11c91, 0xdcee3c01b87c2886,
  0xa070510caaeef77c, 0x4073c26d37150865, 0x6adf3404b6f951ff, 0xbffc80a60b0de579, 0x35c5f547d5f24661,
  0xf71258f3ca179dcc, 0xfd47c25f886c2445, 0xa678bb8dc4e3fb8f, 0x1e57bee53b5b9b9b, 0xdd7a8f83660ccaf5,
  0x91669d68450298ae, 0xe1d484d7d1859622, 0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f,
  0xf6a8d8226470decb, 0x55f3bb8a929663e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809caed52df5537,
  0x42572497f435135c, 0xad75cf6ab445794d, 0x5482e52d7ce80f1c, 0x4829c6378ce88108, 0xb681463b7b15545a,
  0xb9357079b09732f9, 0x66fe0fdbb1a2c6f8, 0xf7bca1854e7ea756, 0xfc0fe32fcc4ffef0, 0x5fe07efd86687993,
  0x964b867a617c68f4, 0x19961d252d9f0271, 0x7ea880653c95fb9a, 0x0000000000000800,
};

// pwm316_swio13_dual_ee_hw
static const uint64_t ur_pwm216_swio13_dual_ee_hw[] = {
  0xb5bbbbbba8286f97, 0xddfbe26c9b85f073, 0x9b4dd8d4930dd333, 0x1593a71137b375ad, 0xeb4144f802a29da0,
  0x22ee78233ad53a69, 0x09f180905b2bbc91, 0x29190485d221e4e6, 0x860d59e2cf49109d, 0x55bb9dd3e25c40c2,
  0x0168e063f30cdfe6, 0x3f831ad37a8e96b6, 0x257f9fbe08a11c91, 0x6e000001b87c2886, 0xd028a88655777bbe,
  0xa039e1318f8a8432, 0xb56f9a025b7b5bff, 0xffdd89f30586f2bc, 0x6e6ab5a3727247a7, 0xf06cc1c7bf51e57a,
  0xad08a1df15ecef51, 0x9afa30b2c4522cd3, 0xead2ea797152e690, 0x75ea25d9fc47d41c, 0x283d51fc96355ae8,
  0x6e1bd97d2cc5c242, 0xa010f9bdaa3608fd, 0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xb7d54df673a8a954,
  0x0d44d7020272bb54, 0x115e535095c925fd, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x12e65f36d02a2ade, 0x54e7ea6c3b1b8f36, 0x343cc9fe04e34a18, 0xc970cf4c2b93f01f, 0x32c3a4a5b3e04e32,
  0xa38528a792bf7343, 0x000000000000015d,
};

// pwm316_swio13_dual_ee_ce_hw
static const uint64_t ur_pwm216_swio13_dual_ee_ce_hw[] = {
  0xecfb77777750cf68, 0xdb77ef89267d7be0, 0xd1e1eedcedfb57c3, 0x602ac5f8ff7d7421, 0xabdfb85a25db3e08,
  0x3b9a3ea75add9793, 0x7c602416caef24a7, 0x8c8242e90f107982, 0x06acf167a4884e94, 0xddcee9f12e206143,
  0x40706bb990fbf32a, 0xc18689bd477f9b0c, 0xbfcfdf04508e489f, 0x33d600dc3e144312, 0xc0888655777bbe6e,
  0x39e131758a8432d0, 0x6f9a025b7e5affa0, 0xdd89f30586f2bcb5, 0xeffaa395d246b7ff, 0xd493f3ca17072b7c,
  0xac9ba6139dc6e747, 0x657a8f2bdf729dac, 0x4c576ebd47c1b306, 0xcb1148b34eb42281, 0xdb94f0ea426be8c2,
  0xd44bb3f88fa839d5, 0xf547f258d578d8eb, 0x6f65f4b3170908a0, 0x31f37b546c113238, 0xacfe2af9ddc5494b,
  0x4271cf27f6bcb955, 0xaa9bece75152a8d7, 0x89ae0404e576a96f, 0xbca6a12b924bfa1a, 0x078e56bae7b55a22,
  0x40842a417296be74, 0xaa2d2414e31bc674, 0x997cdb40a31dbd8a, 0x5c9f9fd86e3cd84b, 0x9f0271964b867a61,
  0x95fb9a19961d252d, 0x000001134d71453c,
};

// pwm316_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio13_dual_ee_ce_u4_hw[] = {
  0xbdddddda28d0f2df, 0xdfbe26c79c170775, 0x0a6eecd8599f16ad, 0x3147d46379319cd3, 0xccdb4bb12eb7bf69,
  0x2101379e5f594d1f, 0x05b2bbc91eceeac0, 0x74879e4e609f1809, 0xb3d244274a464121, 0xf8971030a1835678,
  0xa999bff997612774, 0xf51fb076178670e5, 0x22847244fe0d0fa6, 0xe1f0a21895fe7ef8, 0xabbbddf373b8f006,
  0xdc54219681c14432, 0xdbe547fd01cf09b4, 0x2c3795e5ab7cd012, 0x5f24661bfc03ee98, 0xf860e4c35c5f547d,
  0x6c2445f71258f3c6, 0x1fe3eefd47c25f88, 0x5b9b9ba678bb8dce, 0x0ccaf51e57bee53b, 0x0298aedd7a8f8366,
  0x85962291669d6845, 0xabb729e1d484d7d1, 0xd7a89767f11f5073, 0x41ea8fe4b1aaf1b1, 0x70decbe9662e1211,
  0x9663e6f6a8d82264, 0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0xdf5537d9cea2a551, 0x35135c0809caed52,
  0x45794d42572497f4, 0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b681463b7b,
  0x2a73f505d8dc79b0, 0x7e627ff787bde50c, 0xec3343cc9fe07f19, 0xd30be347a2ff03f7, 0x296cf8138cb25c33,
  0xe9e4afdcd0ccb0e9, 0x000003aeb692310b,
};

// pwm316_swio14_noled
static const uint64_t ur_pwm216_swio14_noled[] = {
  0x889bbbbbbacdc49f, 0x3d6eed55c8a50912, 0x9d80374d06e24611, 0x105fd0ee38f522f8, 0x0d5a099fa5f17bb1,
  0x0905b2bbc9ddcc49, 0xfea473f1ee609f18, 0x4c4ef96e8248f75f, 0x7c8e3a7f075ffd47, 0x4f1cc580b7ba6400,
  0x58c11d78b9dba446, 0x5e5caad4ac10fb8e, 0xa9546ba138e793fb, 0x4dcaed52df5673a8, 0x84ad8fdfd0d44d67,
  0xfd6b9ed5688af29a, 0xd4ea701652a7d3bc, 0x811e5e2810b4b0b9, 0x732f9b69c6378ce8, 0x4c2b93f3fb0ddb09,
  0x5b2c944e32c970cf, 0x792bf734332c3a4a, 0x0000005496e7241e,
};

// pwm216_swio14_noled_pr_u4         pwm316_swio14_noled_pr            pwm316_swio14_noled_pr_u4
static const uint64_t ur_pwm216_swio14_noled_pr[] = {
  0xc7bbbbbb4488af02, 0x0bbb55722950e251, 0x7b64f5fb1a0b609e, 0x59ac1c436c66cf7a, 0x982fcc6b4dd8e3d0,
  0x5de4eec718178bd9, 0xf31f304f8c0482d9, 0x6dee48edfffaed19, 0x3f8326bd47050ef9, 0x80b2ca60f680471d,
  0xe8f9d93146229cc5, 0xac4f2a01ffb30475, 0xcaad508981e59edd, 0x46ba138e793fb5e5, 0xaed52df5673a8a95,
  0xd8fdfd0d44d674dc, 0xb9ed5688af29a84a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc218ab7b15545a5b,
  0x357079b09732f9b6, 0x1e40fca1a2c6f8b9, 0xbde50c2a73f53ab3, 0xe07f197e627ff787, 0xff03f7ec3343cc9f,
  0xb25c33d30be347a2, 0xccb0e9296cf8138c, 0xb82c4049e4afdcd0, 0x0000000000007c9a,
};

// pwm316_swio14_noled_pr_ee
static const uint64_t ur_pwm216_swio14_noled_pr_ee[] = {
  0x7dddddd0f5a22582, 0x6eed55f85c20890d, 0x9da67b50c99f3732, 0xb4368650b8678518, 0x3f644d8106d0435e,
  0xc9dd3b410d1996a2, 0x06609f180905b2bb, 0x7c91d9dff5da33e7, 0xd47959759aad68cc, 0xb297ea3e0d983ea3,
  0x8a459a75a1143be2, 0x8d64d2135f461658, 0xaa3f90e75697726b, 0xb1aad743af3a6ec7, 0xe62e121144428f7b,
  0xa8d823f5b86f65b2, 0x6bcb955a805d073c, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0x5095b1fbfa1a89ac,
  0x8b5d73daad115e53, 0x077536294f0d3bcf, 0xb4b689c6378ce881, 0xf36d843156f62aa8, 0xf1726ae0f3612e65,
  0xab31e40fca1a2ce9, 0xfcc4fe50c2a73f53, 0xf82687993fc5ce32, 0xb867a615c9f8e7bf, 0x61d252d9f0271964,
  0xa88093c95fb9a199, 0x000000000004ebc0,
};

// pwm316_swio14_noled_pr_ee_u4
static const uint64_t ur_pwm216_swio14_noled_pr_ee_u4[] = {
  0x426eeeeed1222a20, 0xda776aafc2e34e25, 0x47f4d2eedb75fe24, 0xf2299c7cfd833c76, 0x103d724041b41508,
  0x793ba3d8b54718d4, 0x674c13e30120b657, 0xdf9232bbfebb467f, 0xfa8f2bf9d355ad1e, 0x56e97d47c1b30738,
  0x1148b34eb422877c, 0xe2899a426be8c2cb, 0xf91ad739d5a5d7da, 0x8d56ba1d7aea6ed2, 0x3170908a07c47d25,
  0xb8e83eb70decb872, 0x9c73c9fdaf2e556a, 0x6fab39d454aa35d0, 0xe86a26b3a6e576a9, 0xb445794d4256c7ef,
  0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0xcd84b997cdb610c5, 0xe50d1637c5c9ab83,
  0x61539fa9d598f207, 0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1,
  0x024f257ee6866587, 0x000000004eba6822,
};

// pwm216_swio14_noled_pr_ce_u4      pwm316_swio14_noled_pr_ce         pwm316_swio14_noled_pr_ce_u4
static const uint64_t ur_pwm216_swio14_noled_pr_ce[] = {
  0xf26eeeeed1222582, 0xfc776aaf088d2e24, 0xd1748fe933e3ec1e, 0xcff5e35cdd95b6a6, 0x2d541685e15baf26,
  0x657793ba76821cbb, 0x67f4dcc13e30120b, 0x7d7ba92395bfebb4, 0x4b1e78c953b95d71, 0xf84bf10d8488bee2,
  0xf1771b8c87495fa8, 0x51d7c9ee58cfd64c, 0xbf2fa38e9fc1acff, 0xec98a3114e62c05d, 0x9500ffd99e3af47c,
  0xaa11303cb5bad627, 0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0xbfa1a89ace9b95da, 0xaad115e535095b1f,
  0x94f0d3bcf8b5d73d, 0x6378ce8810775362, 0xc76f62aa8b4b689c, 0x1e6c25ccbe6db084, 0x3f2868b1be2e4d5c,
  0x430a9cfd4eacc790, 0xc65f989ffde1ef79, 0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97,
  0x1012792bf734332c, 0x0000000006eba45f,
};

// pwm316_swio14_noled_pr_ee_ce
static const uint64_t ur_pwm216_swio14_noled_pr_ee_ce[] = {
  0xb31ddddddd446f43, 0xc45ddaabd853a744, 0x9a3bd89dab43d318, 0x1f1f5a63bf23f4c6, 0x506e38d45832d5b3,
  0x7793bad3bed3b2d9, 0xa6dcc13e30120b65, 0x5d6488cdffd768cf, 0xc64a9d8cd9dff546, 0x139dc6e339747ff3,
  0x2b90f29dacac7be6, 0xfd47c1b307a57a8f, 0xb34eb422814c5670, 0xea426be8c2cb1148, 0xea8fe439d5db9c98,
  0xd8d578d8ebce9bb1, 0x73170908a22147bd, 0x2a3608991c37b2d9, 0xdaf2e556a59f41cf, 0x454aa35d09c73c9f,
  0x3a6e576a96fab39d, 0xd4256c7efe86a26b, 0xe2d75cf6ab445794, 0x41dd4d8a53c34ef3, 0x2d2da2718de33a20,
  0xf9b6c2131dbd8aaa, 0x8f38b93571b09732, 0x3f75663c81f94345, 0x44e32c970cf4c2b9, 0x734332c3a4a5b2c9,
  0xa698bf71012792bf,
};

// pwm316_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio14_noled_pr_ee_ce_u4[] = {
  0x90dddddda243306a, 0x62eed55fd4cc8c48, 0x1ebb2dd6960cc17e, 0x86150015b47706d7, 0x21ba05f250b2d9e4,
  0xde4eed57e4c3ac84, 0x149304f8c0482d95, 0x6e48d6fffd520f9f, 0x42e0e56fdc5f547a, 0x0d8488bee24b1e79,
  0x76ec2c9fa8f84bf1, 0xb5b9b7be678bb8dc, 0x60f4af51e5721e53, 0x50298ace1fa8f836, 0x185962291669d684,
  0x3abb73931d484d7d, 0x1d79d3763d51fc87, 0x144428f7bb1aaf1b, 0x2386f65b2e62e121, 0xd4b3e839e546c113,
  0xa138e793fb5e5caa, 0x52df5673a8a9546b, 0xdfd0d44d674dcaed, 0xd5688af29a84ad8f, 0x4a7869de7c5aeb9e,
  0x31bc6744083ba9b1, 0x63b7b15545a5b44e, 0x8f3612e65f36d842, 0xcdfc1ddc68b1be1b, 0xef79430a9cfd4eac,
  0xf81fc65f989ffde1, 0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x1eaf69f2792bf734,
  0x00000000000004fc,
};

// pwm316_swio14_noled_ee_hw
static const uint64_t ur_pwm216_swio14_noled_ee_hw[] = {
  0x6beeeeeed121b705, 0x93776aafc2e10448, 0x56989dda864cf9b9, 0x35eb4368650b8678, 0x4c23f644d8106d04,
  0xb657793bb61b656a, 0xa67ce0cc13e30120, 0xb5a331f247677fd0, 0x60fa8f51e565d66a, 0x50ef8aca5fa8f836,
  0x185962291669d684, 0x5dc9ae3593484d7d, 0xe9bb1ea8fe439d5a, 0x0a3deec6ab5d0ebc, 0xbd96cb98b8484511,
  0x741cf2a3608fd6e1, 0x73c9fdaf2e556a01, 0xab39d454aa35d09c, 0x6a26b3a6e576a96f, 0x45794d4256c7efe8,
  0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x84b997cdb610c55b, 0x61539fa82ec6e3cd,
  0xcbf313ffbc3def28, 0xbf619a1e64ff03f8, 0x9e985f1a3d17f81f, 0x494b67c09c6592e1, 0xd14f257ee6866587,
  0x00000000016ffe69,
};

// pwm216_swio14_noled_ee_ce_u4_hw   pwm316_swio14_noled_ee_ce_hw      pwm316_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio14_noled_ee_ce_hw[] = {
  0x486eeeeed1219f68, 0x31776aafea664624, 0x8f5d96eb4b0660bf, 0x430a800ada3b836b, 0x60dd02f928596cf2,
  0x657793ba55e89fa1, 0x67c524c13e30120b, 0x547a6e48d6fffd0a, 0x1e7942e0e56fdc5f, 0x4bf10d8488bee24b,
  0x71b86dd8523fa8f8, 0x3ca76b736f7ccf17, 0xf06cc1e95ea3cae4, 0xad08a053159c3f51, 0x9afa30b2c4522cd3,
  0xf90e7576e7263a90, 0x5e363af3a6ec7aa3, 0xc242288851ef7635, 0x8226470decb65cc5, 0xb955a967d073ca8d,
  0xa8d74271cf27f6bc, 0x95daa5beace75152, 0x5b1fbfa1a89ace9b, 0xd73daad115e53509, 0x536294f0d3bcf8b5,
  0x689c6378ce881077, 0xb084c76f62aa8b4b, 0x76371e6c25ccbe6d, 0xe1ef79430a9cfd41, 0x27f81fc65f989ffd,
  0xe8bfc0fdfb0cd0f3, 0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x14043d5e8a792bf7,
};

// pwm316_swio14_lednop
static const uint64_t ur_pwm216_swio14_lednop[] = {
  0x511377777759bb37, 0x27adddaab914ad22, 0xdfbe3f770f8da0c2, 0x1105fd0ee38f684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffea473f01a609f1, 0xf921df2dd04910f7, 0x2631c74fe0ebffa8, 0xfa4398b016f74dd4,
  0xcb1823af173b08a8, 0x6bcb955a95982f71, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0xcbec7a1a89ae0404,
  0x73daad115e535095, 0xb0b29b1674079fad, 0xbe8a042d3573abd4, 0xf36d38c6f19d1028, 0x727e7f61bb612e65,
  0x9289c6592e19e985, 0x7ee6866587494b65, 0x001527d6e483cf25,
};

// pwm216_swio14_lednop_pr_u4        pwm316_swio14_lednop_pr           pwm316_swio14_lednop_pr_u4
static const uint64_t ur_pwm216_swio14_lednop_pr[] = {
  0x8f7777768911fc3b, 0x1776aae45217c4a3, 0x56921b7e61f6c13c, 0xb35838aa18db2f78, 0xb1dd8f75fbb1c7a0,
  0xef2776e09ba86653, 0xafb9827c602416ca, 0x6f72463dffd768cf, 0xfc1935ea3a0077cb, 0x02cb299fcea238e9,
  0x47ced92231be7316, 0xfe91500ffd9823af, 0xaad65da81e59edc1, 0x6ba138e793fb5e5c, 0xed52df5673a8a954,
  0xd0d44d7020274dca, 0x688af29a84ae5f63, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a, 0xf62aa8b490538c6f,
  0xb09732f9b6c63156, 0xa1a2c6f8b9357079, 0x2a73f53ab31e40fc, 0x7e627ff787bde50c, 0xec3343cc9fe07f19,
  0xd30be347a2ff03f7, 0x296cf8138cb25c33, 0x49e4afdcd0ccb0e9, 0x000000f93390fc40,
};

// pwm316_swio14_lednop_pr_ee
static const uint64_t ur_pwm216_swio14_lednop_pr_ee[] = {
  0xafbbbbba1eb44511, 0x9bbb557e1768b121, 0x4bab077311b7cdcc, 0xeb4368604142d04e, 0xf4cd2e2f106d0435,
  0x793baaf99f64e2c5, 0x2d4c13e30120b657, 0x8f92235bfebb467d, 0x7a8f2b60b355ad19, 0x56a7bd47c1b307d4,
  0x1148b34eb422877c, 0x71ac9a426be8c2cb, 0x4447371cead2ee95, 0x56355ae875e74dda, 0x5cc5c242285f11c6,
  0x951b047eb70decb6, 0xed7972ab500ad627, 0xa2a551ae84e39e4f, 0x9d372bb54b7d59ce, 0xb97d8f435135c080,
  0xae7b55a22bca6a12, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x18c55bd8aaa2d241, 0xd5c1e6c25ccbe6db,
  0xc81f943459d3e2e4, 0xfca1854e7ea75663, 0x0f327f8b9c65f989, 0x4c2b93f1cf7ff04d, 0xa5b3e04e32c970cf,
  0x2792bf734332c3a4, 0x0000000275cc9101,
};

// pwm316_swio14_lednop_pr_ee_u4
static const uint64_t ur_pwm216_swio14_lednop_pr_ee_u4[] = {
  0x426eeeeed1222582, 0xda776aafc2e56e25, 0x68ba47f600f4be24, 0x847914ce3fa82593, 0xaa82d0bc5e20da0a,
  0xaef2774ed0439765, 0xfa5a9827c602416c, 0x3dbf2446b7fd768c, 0x71f51e5721e6ab5a, 0xf8aff77a8f83660e,
  0x962291669d68450e, 0x65c5133484d7d185, 0x6c911a6273ab4bc0, 0x5ac6ab5d0ebd7537, 0x723170908a20fa3b,
  0xd57182feb70decb8, 0xa138e793fb5e5caa, 0x52df5673a8a9546b, 0xd44d7020274dcaed, 0x8af29a84ae5f63d0,
  0xb3a03cfd6b9ed568, 0x69ab9d5ea58594d8, 0x378ce88145f45021, 0x079b09732f9b69c6, 0x0fca1a2c6f8b9357,
  0x50c2a73f53ab31e4, 0xf197e627ff787bde, 0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25,
  0xc4049e4afdcd0ccb, 0x00000000013ae917,
};

// pwm216_swio14_lednop_pr_ce_u4     pwm316_swio14_lednop_pr_ce        pwm316_swio14_lednop_pr_ce_u4
static const uint64_t ur_pwm216_swio14_lednop_pr_ce[] = {
  0x9e4dddddda244511, 0xdf8eed55e111ebc4, 0xd71efd3d1b6c4583, 0xd9febc6bb4b37764, 0xb2c56442041375e4,
  0xb657793baaf99f41, 0x467e394c13e30120, 0x17d7ba9236ebfebb, 0x24b1e78c953bd377, 0x8f84bf10d8488bee,
  0xcf1771b8495951fa, 0xea3cbe9ee58cfd64, 0x8f7a5471d3f8359f, 0x9db244637ce62c05, 0x22a01ffb33c75e8f,
  0x6b2ed40f2d6e83fd, 0xd09c73c9fdaf2e55, 0xa96fab39d454aa35, 0x6a26b81013a6e576, 0x45794d42572fb1e8,
  0xe80f1cad75cf6ab4, 0xe881085482e52d7c, 0x15545a4829c6378c, 0x9732f9b6c6263b7b, 0xa2c6f8b9357079b0,
  0x73f53ab31e40fca1, 0x627ff787bde50c2a, 0x3343cc9fe07f197e, 0x0be347a2ff03f7ec, 0x6cf8138cb25c33d3,
  0xe4afdcd0ccb0e929, 0x00000dd7085c4049,
};

// pwm316_swio14_lednop_pr_ee_ce
static const uint64_t ur_pwm216_swio14_lednop_pr_ee_ce[] = {
  0xb31ddddddd447032, 0xc45ddaabd85048c4, 0x2991db13ac829b18, 0x1f1f5a63be9de468, 0x48eee091f832d5b3,
  0x7793bad88e75864e, 0xdfe4c13e30120b65, 0x9759221a3febb467, 0x78c953b0d077fd51, 0x84e771b8d07044fe,
  0xcaca5ca76b2b1ef9, 0x3f51f06cc1e95ea3, 0x2cd3ad08a0531594, 0x3a909afa30b2c452, 0x22239b8e7576e74a,
  0x56355e363af3a6ed, 0x5cc5c242285f11c6, 0xca8d8226470decb6, 0xf6bcb955a9676b13, 0x5152a8d74271cf27,
  0x4e9b95daa5beace7, 0x5cbec7a1a89ae040, 0xd73daad115e53509, 0x0b94b5f3a03c72b5, 0xa718de33a2042152,
  0x1898edec55516920, 0xe4d5c6c25ccbe6db, 0x98f207e50d163ce2, 0xb25c33d30ae4fdd5, 0xcb0e9296cb25138c,
  0xc7c4049e4afdcd0c, 0x0000000000029a6d,
};

// pwm316_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio14_lednop_pr_ee_ce_u4[] = {
  0x21bbbbbb44867a31, 0xc5ddaabfa9b33891, 0x3db0dbb42cdd82fc, 0x0c2a002b66451dd3, 0x8a51ba976165b3c9,
  0xbc9dd44fc3efb40f, 0xb06609f180905b2b, 0xb92287dff5483e7f, 0x0b83887d717d51e9, 0x361222fb892c79e5,
  0x0ff1f77ea3e12fc4, 0xadcdbdf33c5dc6e7, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422,
  0xd5db9d28ea426be8, 0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0x09c73c9fdaf2e556, 0x96fab39d454aa35d, 0xa26b81013a6e576a, 0x5794d42572fb1e86, 0x80f1cad75cf6ab44,
  0x881085482e52d7ce, 0x5545a4829c6378ce, 0x732f9b6c6263b7b1, 0xee3458df0dc79b09, 0x854e7ea75666fe0e,
  0x2fcc4ffef0f7bca1, 0xfd86687993fc0fe3, 0x7a617c68f45fe07e, 0x252d9f0271964b86, 0xf93c95fb9a19961d,
  0x00000004fc8d4eb4,
};

// pwm316_swio14_lednop_ee_hw
static const uint64_t ur_pwm216_swio14_lednop_ee_hw[] = {
  0x35f777776890c044, 0x93776aafc2ed1624, 0x13792eee6236f9b9, 0x0d7ad0da181050b4, 0x21fd334b8bc41b41,
  0x5b2bbc9dd4149cb4, 0x533e96a609f18090, 0x5ad198f92235bfe8, 0x307d47a8f2b60b35, 0x2877c56a7bd47c1b,
  0x8c2cb1148b34eb42, 0x2ee9571ac9a426be, 0x74dda4447371cead, 0xf11c656355ae875e, 0xdecb65cc5c242285,
  0xad627951b047eb70, 0x39e4fed7972ab500, 0xd59cea2a551ae84e, 0x5c0809d372bb54b7, 0xa6a12b97d8f43513,
  0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0xbe6db18c55bd8aaa, 0xfd4176371e6c25cc,
  0x9ffde1ef79430a9c, 0xd0f327f81fc65f98, 0xf8d1e8bfc0fdfb0c, 0x3e04e32c970cf4c2, 0x2bf734332c3a4a5b,
  0x00000b7c6a728a79,
};

// pwm216_swio14_lednop_ee_ce_u4_hw  pwm316_swio14_lednop_ee_ce_hw     pwm316_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio14_lednop_ee_ce_hw[] = {
  0x90dddddda2435f41, 0x62eed55fd4d99c48, 0x9ed86dda166ec17e, 0x86150015b3228ee9, 0x2528dd4bb0b2d9e4,
  0xcaef27768bfbbdae, 0x9fec19827c602416, 0x51e9b92287dff429, 0x79e50b83887d717d, 0x2fc4361222fb892c,
  0xc6e2bae30bfea3e1, 0x729dadcdbdf33c5d, 0xc1b307a57a8f2b29, 0xb422814c5650fd47, 0x6be8c2cb1148b34e,
  0x6e39d5db9d28ea42, 0x78d8ebce9bb4888e, 0x0908a17c471958d5, 0x08991c37b2d97317, 0xe556a59dac4f2a36,
  0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x1e86a26b81013a6e, 0xab445794d42572fb, 0xd7ce80f1cad75cf6,
  0x78ce881085482e52, 0xb7b15545a4829c63, 0x9b09732f9b6c6263, 0x50c2a73f505d8dc7, 0xf197e627ff787bde,
  0x3f7ec3343cc9fe07, 0xc33d30be347a2ff0, 0x0e9296cf8138cb25, 0x4ea29e4afdcd0ccb, 0x00000000000a028d,
};

/*
 * pwm216_swio14_dual_pr             pwm216_swio14_dual_pr_u4          pwm316_swio14_dual
 * pwm316_swio14_dual_pr             pwm316_swio14_dual_pr_u4
 */
static const uint64_t ur_pwm216_swio14_dual[] = {
  0x13bbbbbb44860aac, 0xbeefdf1232357073, 0xb77ef7627091081e, 0xfa70cfa7272d94d3, 0x7049f6588ed6e989,
  0x926c3bbeaf2c889e, 0x44c13e30120b6577, 0x4274a46412174875, 0x030a1835678b3d24, 0xdf9956ee774f8971,
  0xbef60514e0e4e6f9, 0x1c913f838f737a8e, 0x2886257f9fbe08a1, 0xbddf3710f801b87c, 0xa10cb407c4432abb,
  0x60bff4073c26dee2, 0x6f2bcb56f9a025b7, 0xf244a2ff8ea73058, 0x3defd47ee8ef965a, 0x83cce4c3dc71d3f8,
  0x764011a62731602a, 0xd500ffd9823af006, 0x5f3a81e59edbde37, 0x55acfe2af9ddc549, 0xd74271cf27f6bcb9,
  0xdaa5beace75152a8, 0xa1a89ae0404e9b95, 0xd115e535095cbec7, 0xf3a03c72b5d73daa, 0x33a20421520b94b5,
  0xec55516920a718de, 0x612e65f36d8c62ad, 0xc1ddc68b1be1b8f3, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0x0fdfb0cd0f327f81, 0x70cf4c2f8d1e8bfc, 0xc3a4a5b3e04e32c9, 0x969f2792bf734332, 0x0000000001493153,
};

// pwm316_swio14_dual_pr_ee
static const uint64_t ur_pwm216_swio14_dual_pr_ee[] = {
  0xb62ddddddd435202, 0xcf77ef89b260fb83, 0xedf5f74b56ca374c, 0x159395f210d77bad, 0x27dc201802a2b620,
  0x7390eb68b8bf35f2, 0x8c0482d95de48917, 0xc8242e9063d7304f, 0x6acf167a4884e948, 0xdcee9f12e2061430,
  0x47031f9866ff32ad, 0x18d69bd474b5b00b, 0xfcfdf04508e489fc, 0xd5000dc3e144312b, 0x454432abbbddf371,
  0xcf098c7c54219681, 0xbe68096ddfe7fd01, 0xe3a9cc161bcaf2d5, 0x9aad68ff74910b5f, 0x1b3061efd4795dba,
  0x422877c57a6fd47c, 0xbe8c2cb1148b34eb, 0xb4bb055c54b9a426, 0xf512ec63d19ea73a, 0x6948e21b1aad743a,
  0x0decbe9662e12114, 0x164511551b047eb7, 0xd67f157ceee2a4a0, 0xa138e793fb5e5caa, 0x52df5673a8a9546b,
  0xd44d7020274dcaed, 0x8af29a84ae5f63d0, 0xd01e395aeb9ed568, 0xd10210a905ca5af9, 0x2aa8b490538c6f19,
  0x9732f9b6c63156f6, 0xddc68b1e70dc79b0, 0xe985727eeaccdfc1, 0x94b67c09c6592e19, 0xe4f257ee68665874,
  0x00000032141e5ed3,
};

// pwm316_swio14_dual_pr_ee_u4
static const uint64_t ur_pwm216_swio14_dual_pr_ee_u4[] = {
  0x6eeeeed15b779231, 0xbf7c4d9307dc1db1, 0x369a5ab651ba667b, 0xaf9086bbdd6efafb, 0x00c01515b100ac9c,
  0xa74e43dad5913ee1, 0xb2bbc9122eeffe19, 0x20c7ae609f180905, 0xf49109d29190485d, 0x25c40c2860d59e2c,
  0x866ff32d2df9dd3e, 0x474b5b00b47031f9, 0x508e489fc18d69bd, 0x3e144312bfcfdf04, 0xbbbddf371d5000dc,
  0xc54219681454432a, 0xddfe7fd01cf098c7, 0x61bcaf2d5be68096, 0xdd2442d7ff9014c1, 0xf51e576ea6ab5a3f,
  0x5e9bf51f06cc187b, 0x4522cd3ad08a1df1, 0x152e6909afa30b2c, 0xf467a9cead2ec157, 0xc6ab5d0ebd44bb18,
  0x98b848451a523886, 0x46c11fadc37b2fa5, 0x3bb8a92805914455, 0xfed7972ab59fc55f, 0xea2a551ae84e39e4,
  0x09d372bb54b7d59c, 0x2b97d8f435135c08, 0xbae7b55a22bca6a1, 0x417296be74078e56, 0x14e31bc67440842a,
  0xb18c55bd8aaa2d24, 0x4d5c1e6c25ccbe6d, 0xbf83f6ec68b1be2e, 0xef2861539fa9d599, 0x03f8cbf313ffbc3d,
  0xf81fbf619a1e64ff, 0x92e19e985f1a3d17, 0x6587494b67c09c65, 0x35a0194f257ee686, 0x0000000000015925,
};

// pwm316_swio14_dual_pr_ce
static const uint64_t ur_pwm216_swio14_dual_pr_ce[] = {
  0x96eeeeef6090cf68, 0x77ef8905fb37c1dd, 0xd0777650f632313b, 0xa0db62eed13f3ef6, 0xc3e42175bdd76452,
  0x2bb9a3ea7599b6ec, 0x27c602416caef279, 0x29190485d22c9398, 0x860d59e2cf49109d, 0x55bb9dd3e25c40c2,
  0x0704e1d5f350ffe6, 0x3f83b7537a8f1cb6, 0x257f9fbe08a11c91, 0x6e737c01b87c2886, 0xd031e88655777bbe,
  0xd01cf09bba8a8432, 0x5ab7cd012dbeed7f, 0x07fc753982c3795e, 0x1c275717d5fc9227, 0x9117dc4963cf285c,
  0xd2a3f51f097e21b0, 0xcfa9733c5dc6e337, 0xc1dadea384f9ee58, 0x62c0528bb7e38e9f, 0x75e00cec80234c4e,
  0xe7bc6faa01ffb33c, 0xeee2a4af9d40f2d6, 0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x274dcaed52df5673,
  0xae5f63d0d44d7020, 0xeb9ed5688af29a84, 0x05ca5af9d01e395a, 0x538c6f19d10210a9, 0x8c4c76f62aa8b490,
  0xf1b8f3612e65f36d, 0x5666fe0eee34596a, 0xe04e34a1854e7ea7, 0xc2b93f01f343cc9f, 0x5b3e04e32c970cf4,
  0x792bf734332c3a4a, 0x00000d244faf69f2,
};

// pwm316_swio14_dual_pr_ce_u4
static const uint64_t ur_pwm216_swio14_dual_pr_ce_u4[] = {
  0xeccf777776890c86, 0x23bbf7c482fdfbe0, 0x5b5dfba3dac35c11, 0x6702d60bb2db178d, 0x83cc50b201a2fdd6,
  0x7792b8ddddd8dd96, 0x9c7cc13e30120b65, 0x4884e948c8242e90, 0xe20614306acf167a, 0x35bf32addcee9f12,
  0x1f7dec34d9c22b4c, 0x4239227f06a7a6f5, 0xf8510c4aff3f7c11, 0x777bbe6e5c880370, 0x4542196877488655,
  0x6fff3fe80e784da5, 0xb0de5796adf3404b, 0xb7e488d6ff1d4e60, 0xe7942e0e29eb8beb, 0xbf10d8488bee24b1,
  0x71b9d66c87fa8f84, 0xfa7b9633c38ccf17, 0xc8e3a7f064f7a8f2, 0x88c6f9cc580bb7d7, 0xe39633c75e45bb0f,
  0x55f3bb8a928eae1e, 0x9e4fed7972ab59fc, 0x59cea2a551ae84e3, 0xc0809d372bb54b7d, 0x6a12b97d8f435135,
  0xf3f5ae7b55a22bca, 0x757a96165362ce80, 0x440a2f8c6085a6ae, 0x4b997cdb4e31bc67, 0x7771a2c6f86e3cd8,
  0x0c2a73f53ab337f0, 0x197e627ff787bde5, 0xf7ec3343cc9fe07f, 0x33d30be347a2ff03, 0xe9296cf8138cb25c,
  0xa7c9e4afdcd0ccb0, 0x0000000003492055,
};

// pwm316_swio14_dual_pr_ee_ce
static const uint64_t ur_pwm216_swio14_dual_pr_ee_ce[] = {
  0x3a4cddddddd432db, 0x056efdf124cf0fb8, 0xf7eafbbbf7d76828, 0x33653b28d5b93135, 0xa6d0671c2d689769,
  0x0b771c11560f0cce, 0x04f8c0482d95de4c, 0x29190485d204f273, 0x860d59e2cf49109d, 0x55bb9dd3e25c40c2,
  0x869a383fc9b107e6, 0x9fc1d8fcdea3868d, 0x12bfcfdf04508e48, 0x6e052200dc3e1443, 0xd029688655777bbe,
  0xa039e137ce8a8432, 0xb56f9a025b7986ff, 0x07f8ea730586f2bc, 0xc7ceffaa32872471, 0x339747ff3ca17070,
  0xdacac8866139dc6e, 0x307d47a8f2b28729, 0x2814c56e97d47c1b, 0x8c2cb1148b34eb42, 0x9d5db92b0ea426be,
  0x3af6b13b2008c143, 0x50f7a3c8b6355e36, 0x8e1bd971f18b8484, 0xbe7771525c6370cc, 0xc9fdaf2e556b3f8a,
  0x39d454aa35d09c73, 0x1013a6e576a96fab, 0x42572fb1e86a26b8, 0x7eb5cf6ab445794d, 0xaf52c2ca6c59d01e,
  0x8145f18c10b4d5ce, 0x732f9b69c6378ce8, 0xdc68b1e70dc79b09, 0x985727eeaccdfc1d, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x000001304e93ad3e,
};

// pwm316_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio14_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ed022f, 0xfbe26c7cb27071d7, 0x536bbd13d9f16add, 0xdfc2b8b1f82cde98, 0x4bb123afbf6932ab,
  0x3f2b8feec782e3fb, 0x247b3bb69f211789, 0xe9827c602416caef, 0x274a464121748a46, 0x30a1835678b3d244,
  0xccb4b7e774f89710, 0xb0bc33872d4ccdff, 0x27f0687d37a8fd83, 0xc4aff3f7c1142392, 0x9b964980370f8510,
  0xb40e0a21955ddeef, 0xe80e784da6e2a10c, 0x2d5be68096dd9cbf, 0x1fff9014c161bcaf, 0xe1dc5f5464ea48de,
  0x5f71258f3ca179dd, 0x3fd47c25f886c244, 0xdd33c5dc6e0aa2c9, 0xa8f2b95d29dadcdc, 0xf7dfa8f83660f6ff,
  0x291669d68450298a, 0x051d484d7d185962, 0xec63d19ea73abb73, 0xc436355e363af512, 0x7d2cc5c24228d291,
  0x11551b044c8e1bd9, 0x157ceee2a4a59e45, 0xe793fb5e5caad67f, 0x5673a8a9546ba138, 0x7020274dcaed52df,
  0x9a84ae5f63d0d44d, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf36d8c4c76f62aa8,
  0xf1726ae0f3612e65, 0xaccdfc1fb763458d, 0xe1ef79430a9cfd4e, 0x27f81fc65f989ffd, 0xe8bfc0fdfb0cd0f3,
  0xe32c970cf4c2f8d1, 0x34332c3a4a5b3e04, 0x00a9ad00ca792bf7, 0x0000000000000010,
};

// pwm316_swio14_dual_ee_hw
static const uint64_t ur_pwm216_swio14_dual_ee_hw[] = {
  0x62ddddddd41432db, 0xf77ef89b260fb83b, 0xdf5f74b56ca374cc, 0x59395f210d77bade, 0x7dc201802a2b6201,
  0x8bb8e08ab34ceb22, 0x27c602416caef244, 0xa46412174831eb98, 0x1835678b3d244274, 0x56ee774f8971030a,
  0x05a3818fcc337f99, 0xfe0c6b4dea3a5ad8, 0x95fe7ef822847244, 0xb8ea8006e1f0a218, 0x40a2a21955ddeef9,
  0x80e784c63e2a10cb, 0x6adf3404b6eff3fe, 0x7fbb13e60b0de579, 0xea6ab5a3fdd2442d, 0xf06cc187bf51e576,
  0xad08a1df15e9bf51, 0x9afa30b2c4522cd3, 0xead2ec157152e690, 0xebd44bb18f467a9c, 0x51a523886c6ab5d0,
  0xdc37b2fa598b8484, 0x80591445546c11fa, 0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0xb54b7d59cea2a551,
  0x435135c0809d372b, 0xa22bca6a12b97d8f, 0xe74078e56bae7b55, 0x67440842a417296b, 0xd8aaa2d2414e31bc,
  0xc25ccbe6db18c55b, 0x0a9cfd4d876371e6, 0xe687993fc09c6943, 0x592e19e985727e03, 0x66587494b67c09c6,
  0xb43cbd14f257ee68, 0x000000000000002b,
};

// pwm316_swio14_dual_ee_ce_hw
static const uint64_t ur_pwm216_swio14_dual_ee_ce_hw[] = {
  0x72d5bbbbbba86f97, 0xedbbf7c4933fabf0, 0x9aa31ddad157abe1, 0x2180a4fbb0419cc9, 0x595edc2d689765a8,
  0x9cee78233ad53a5c, 0x09f180905b2bbc92, 0x5232090ba409e4e6, 0x0c1ab3c59e92213a, 0xab773ba7c4b88185,
  0x3101c1aee643efcc, 0x7f061a26f51dfe6c, 0x4aff3f7c11423922, 0xb9c3f80370f8510c, 0x4302221955ddeef9,
  0x80e784c5d62a10cb, 0xd5be68096de61bfe, 0xff7627cc161bcaf2, 0x01dff54795a48e20, 0x54341ff3ca170731,
  0xacac9ba6139dc6e6, 0x0f6ffa8f2b95d29d, 0x0298af7dfa8f8366, 0x85962291669d6845, 0xabb73051d484d7d1,
  0xaf512ec63d19ea73, 0x8d291c436355e363, 0xe1bd97d2cc5c2422, 0x59e4511551b044c8, 0xad67f157ceee2a4a,
  0xba138e793fb5e5ca, 0xd52df5673a8a9546, 0x0d44d7020274dcae, 0x88af29a84ae5f63d, 0x9d01e395aeb9ed56,
  0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x12e65f36d8c4c76f, 0x985727e7f61b8f36, 0x4b67c09c6592e19e,
  0x4f257ee686658749, 0x0000000044d3b751,
};

// pwm316_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio14_dual_ee_ce_u4_hw[] = {
  0x7dddddda28d0421f, 0xdfbe26c7cb27071d, 0x6f76bbd13d9f16ad, 0x955efe15c58fcd16, 0x1fda5d891d7dfb49,
  0xc16d342027763c17, 0x05b2bbc91ecee2fa, 0x5d2291ba609f1809, 0x2cf49109d2919048, 0x3e25c40c2860d59e,
  0x6a666ffe65d849dd, 0xbd47ec1d85e19c39, 0x08a11c913f8343e9, 0xb87c2886257f9fbe, 0xaaeef77cdcb24c01,
  0x37150865a070510c, 0xb6ece5ff4073c26d, 0x0b0de5796adf3404, 0x9d491bc3ff00fba6, 0xdf0c1cbc3b8bea8c,
  0x0d8488bee24b1e78, 0x0b233d7fa8f84bf1, 0xb5b9b9ba678bb8dc, 0xc1edff51e572ba53, 0xa05315efbf51f06c,
  0x30b2c4522cd3ad08, 0x7576e60a3a909afa, 0x75ea25d8c7a33d4e, 0x51a523886c6abc6c, 0x1c37b2fa598b8484,
  0x4b3c8a22aa360899, 0x55acfe2af9ddc549, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8, 0xa1a89ae0404e9b95,
  0xd115e535095cbec7, 0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xc25ccbe6db1898ed,
  0x30a9cfd4176371e6, 0x65f989ffde1ef794, 0xdfb0cd0f327f81fc, 0xcf4c2f8d1e8bfc0f, 0xa4a5b3e04e32c970,
  0x2fa792bf734332c3, 0x00000003aeb1ff84,
};

// pwm316_swio15_noled
static const uint64_t ur_pwm216_swio15_noled[] = {
  0xd49bbbbbbacdfc4f, 0x7adddaab9142f712, 0xfa5c7750e2448c22, 0x20bfa1ddc4eecfe0, 0x68d4136d8cad3775,
  0x0120b657793bb0bd, 0xffd48e7cc7cc13e3, 0xe213be5ba4923b7f, 0x5af1c74fe0f9ef51, 0x934731602dee9b4a,
  0x2c608ebc5ced70d1, 0xaf2e556a5657fdc7, 0x54aa35d09c73c9fd, 0x6e576a96fabb39d4, 0x2ad5fefe86a26b3a,
  0x5ae7b55a22bca6a1, 0x3a9c0594a9f4ef3f, 0x45fb8a042d2c2e75, 0xcbe6da718de33a20, 0x0ae4fcfec376c25c,
  0xcb25138cb25c33d3, 0x4afdcd0ccb0e9296, 0x00001522e1c9079e,
};

// pwm216_swio15_noled_pr_u4         pwm316_swio15_noled_pr            pwm316_swio15_noled_pr_u4
static const uint64_t ur_pwm216_swio15_noled_pr[] = {
  0x27777776891190e3, 0x1776aae453c7c4ae, 0x3d537bab21c6c13c, 0xb358d0600266f259, 0xac7c2f1afbb713a0,
  0xef277448b333761b, 0xdfc9827c602416ca, 0xa0fc9132bfebb467, 0xfc1f41ea3cbe3be5, 0x05965347bd2a38e9,
  0x47ced10a3dece62c, 0x5269500ffd9823af, 0x556afadc0f2cf6c4, 0x35d09c73c9fdaf2e, 0x6a96fabb39d454aa,
  0xfefe86a26b3a6e57, 0xb55a22bca6a12ad5, 0x529e1a779f16bae7, 0x8c6f19d1020eea6c, 0x22adec5551696d13,
  0xb83cd84b997cdb19, 0x207e50d1637c5c9a, 0xf2861539fa9d598f, 0x3f8cbf313ffbc3de, 0x81fbf619a1e64ff0,
  0x2e19e985f1a3d17f, 0x587494b67c09c659, 0x5a2024f257ee6866, 0x00000000003e4d53,
};

// pwm316_swio15_noled_pr_ee
static const uint64_t ur_pwm216_swio15_noled_pr_ee[] = {
  0xfdddddd0f5a22a20, 0xdddaabf0bd458971, 0x7be477c7edbe6e64, 0x86d1337aed2c90a6, 0xb452b620da0b8fd6,
  0x7747b16a4771a8d2, 0x9827c602416caef2, 0x2462b7fd768cf93a, 0x8f2b297355ad1bf9, 0xa1fa8f83660c27fa,
  0x91669d68450ef8ac, 0x593484d7d1859622, 0x8f2439d5a5d2b2e3, 0x6ab5d0ebce9bb750, 0x170908a3e44707ec,
  0x6c11fadc37b2d973, 0xcb955a805d260b54, 0x2a8d74271cf27f6b, 0x95daa5beaece7515, 0xb57fbfa1a89ace9b,
  0xb9ed5688af29a84a, 0x9b14a7869de7c5ae, 0x44e31bc6744083ba, 0xc648ab7b15545a5b, 0x26ae0f3612e65f36,
  0x1e40fca1a2ce9f17, 0x4fe50c2a73f53ab3, 0x687993fc5ce32fcc, 0x7a615c9f8e7bff82, 0x252d9f0271964b86,
  0x093c95fb9a19961d, 0x000000004ebe3188,
};

// pwm316_swio15_noled_pr_ee_u4
static const uint64_t ur_pwm216_swio15_noled_pr_ee_u4[] = {
  0xbdeeeeeed12232a8, 0xb4eed55f85e85c48, 0xd2eae3d1b6c47c49, 0xe4531d7c33c5ef4c, 0x8b41568106d045ed,
  0xc9dd3ad1a848b3ea, 0x5a609f180905b2bb, 0x5491df7ff5da33f1, 0xea3cadd2cd56b466, 0x5c87f51f06cc1a01,
  0x4522cd3ad08a1df1, 0x8a266909afa30b2c, 0x8a37bce75697a94b, 0x8d56ba1d7aea6ed3, 0xc5c242285ae8ee1d,
  0xe3a4fadc37b2e1c8, 0x71cf27f6bcb955aa, 0xeaece75152a8d742, 0x1a89ace9b95daa5b, 0x8af29a84ab57fbfa,
  0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0x612e65f36c648ab7, 0x43458df1726ae0f3,
  0x54e7ea75663c81f9, 0xfcc4ffef0f7bca18, 0xd86687993fc0fe32, 0xa617c68f45fe07ef, 0x52d9f0271964b867,
  0x93c95fb9a19961d2, 0x0000000275cb3880,
};

// pwm216_swio15_noled_pr_ce_u4      pwm316_swio15_noled_pr_ce         pwm316_swio15_noled_pr_ce_u4
static const uint64_t ur_pwm216_swio15_noled_pr_ce[] = {
  0x426eeeeed1222a20, 0xfc776aaf08834e25, 0x47f4d2eedb75ec1e, 0xcff5fc7cfd833c76, 0xc6a081eb921bb426,
  0xb2bbc9dd1ec5aa38, 0x33fb3a609f180905, 0x7d76fc9195dff5da, 0x4b1e78c953bdf771, 0xf84bf10d8488bee2,
  0xf1771b9722495fa8, 0x51e6e9ee58cfd64c, 0x654e31c74fe0c9ef, 0x9da2147bd9cc580a, 0xd2a01ffb33c75e8f,
  0xb57d6e0796b708a4, 0xe84e39e4fed7972a, 0x4b7d5d9cea2a551a, 0x7f4351359d372bb5, 0xad115e5350956aff,
  0x4f0d3bcf8b5d73da, 0x378ce88107753629, 0x76f62aa8b4b689c6, 0x3cd84b997cdb190c, 0x7e50d1637c5c9ab8,
  0x861539fa9d598f20, 0x8cbf313ffbc3def2, 0xfbf619a1e64ff03f, 0x19e985f1a3d17f81, 0x7494b67c09c6592e,
  0x2024f257ee686658, 0x0000000006eba682,
};

// pwm316_swio15_noled_pr_ee_ce
static const uint64_t ur_pwm216_swio15_noled_pr_ee_ce[] = {
  0x42fddddddd447705, 0x88bbb557b0a4bb89, 0xb89db93b504b2631, 0xfe3eb47a7c94c4d0, 0x5c11236460cb5685,
  0xde4eed86d94f5926, 0xd35304f8c0482d95, 0x52e48ffcffaed19f, 0xe3254effe1dff546, 0x09cee3732a1a0ff9,
  0x959c394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b2e, 0x752135f4616588a4, 0xa847921ceaedc958,
  0xec6abc6c75e74ddb, 0x73170908a3e44707, 0xaa3608991c37b2d9, 0xb5e5caad4b3e9305, 0x8a9546ba138e793f,
  0x4dcaed52df57673a, 0x255abfdfd0d44d67, 0xd75cf6ab445794d4, 0xdd4d8a53c34ef3e2, 0x2da2718de33a2041,
  0x36c6431dbd8aaa2d, 0xe71726ae3612e65f, 0xeeacc7903f2868b1, 0x9c6592e19e985727, 0x6866587494b65928,
  0xd31e5e2024f257ee, 0x0000000000000014,
};

// pwm316_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio15_noled_pr_ee_ce_u4[] = {
  0xd1bbbbbb448692df, 0xc5ddaabfa9d89892, 0x3d7adba34f1782fc, 0x8c2a0006713ae0fd, 0xcdd333582165b3d6,
  0xde4eea8fa10abe26, 0x8dd304f8c0482d95, 0x74916bbffaa41f3f, 0x85c1c6bbb8bea8f6, 0x1b09117dc4963cf2,
  0xb82e1fff51f097e2, 0x6b736f7ccf1771b8, 0xc19ebea3cace1ca7, 0xa05315975f51f06c, 0x30b2c4522cd3ad08,
  0x7576e4ac3a909afa, 0x3af3a6edd423c90e, 0x51f22383f6355e36, 0x8e1bd96cb98b8484, 0xa59f4982d51b044c,
  0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0xe86a26b3a6e576a9, 0xa22bca6a12ad5fef, 0xe1a779f16bae7b55,
  0xf19d1020eea6c529, 0xdec5551696d138c6, 0x9b09732f9b63218e, 0xfe0eee3458df0dc7, 0xbca1854e7ea75666,
  0x0fe32fcc4ffef0f7, 0xe07efd86687993fc, 0x4b867a617c68f45f, 0x961d252d9f027196, 0x9cb4f93c95fb9a19,
  0x0000000000027e0c,
};

// pwm316_swio15_noled_ee_hw
static const uint64_t ur_pwm216_swio15_noled_ee_hw[] = {
  0x8feeeeeed1219541, 0x26eed55f85ea2c4b, 0x0da67bbe3f6df373, 0xfd686d1337aed2c9, 0x8d2b452b620da0b8,
  0x95de4ee80a499a73, 0x9f275304f8c0482d, 0xb46fe4918adff429, 0x309fea3caca5cd56, 0x3be2b287ea3e0d98,
  0x16588a459a75a114, 0x4acb8d64d2135f46, 0x6edd423c90e75697, 0x1c1fb1aad743af3a, 0xcb65cc5c24228f91,
  0x982d51b047eb70de, 0xc9fdaf2e556a0174, 0x39d454aa35d09c73, 0x6b3a6e576a96fabb, 0xa6a12ad5fefe86a2,
  0x9f16bae7b55a22bc, 0x020eea6c529e1a77, 0x51696d138c6f19d1, 0x997cdb1922adec55, 0x39fa82ec6e3cd84b,
  0x313ffbc3def28615, 0x19a1e64ff03f8cbf, 0x85f1a3d17f81fbf6, 0xb67c09c6592e19e9, 0xf257ee6866587494,
  0x00000016ffe49d14,
};

// pwm216_swio15_noled_ee_ce_u4_hw   pwm316_swio15_noled_ee_ce_hw      pwm316_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio15_noled_ee_ce_hw[] = {
  0x68dddddda2436812, 0x62eed55fd4ec4c49, 0x9ebd6dd1a78bc17e, 0x46150003389d707e, 0xe6e999ac10b2d9eb,
  0xcaef27777ec2da9a, 0x9fc6e9827c602416, 0x51ece922d77ff429, 0x79e50b838d77717d, 0x2fc4361222fb892c,
  0xc6e720eaebfea3e1, 0x729dadcdbdf33c5d, 0xc1b3067afa8f2b38, 0xb422814c565d7d47, 0x6be8c2cb1148b34e,
  0x2439d5db92b0ea42, 0x78d8ebce9bb7508f, 0x121147c88e0fd8d5, 0x1132386f65b2e62e, 0x955a967d260b546c,
  0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0x7fbfa1a89ace9b95, 0xed5688af29a84ab5, 0x14a7869de7c5aeb9,
  0xe31bc6744083ba9b, 0x863b7b15545a5b44, 0x371e6c25ccbe6d8c, 0xef79430a9cfd4176, 0xf81fc65f989ffde1,
  0xbfc0fdfb0cd0f327, 0x2c970cf4c2f8d1e8, 0x332c3a4a5b3e04e3, 0x0432728a792bf734, 0x0000000000000014,
};

// pwm316_swio15_lednop
static const uint64_t ur_pwm216_swio15_lednop[] = {
  0x5a9377777759bb37, 0x27adddaab914ad22, 0xdfbe3f77d7f858c2, 0xa905fd0eee27684d, 0xc869b1006dbe3fbb,
  0x80905b2bbc9ddb1e, 0xffea473f01a609f1, 0xf921df2dd24910f7, 0x1318e3a7f07cf7a8, 0x7d21cc580b7ba6ea,
  0xe58c11d78b9d8454, 0xb5e5caad4acc17b8, 0x8a9546ba138e793f, 0x4dcaed52df57673a, 0x2563d0d44d702027,
  0xcf6ab445794d4257, 0xd4b5e5380b9d01e5, 0x17d14085a561130b, 0xbe6da718de33a205, 0xae4fcfec376c25cc,
  0xb25138cb25c33d30, 0xafdcd0ccb0e9296c, 0x0002a4fadc9079e4,
};

// pwm216_swio15_lednop_pr_u4        pwm316_swio15_lednop_pr           pwm316_swio15_lednop_pr_u4
static const uint64_t ur_pwm216_swio15_lednop_pr[] = {
  0x277777768911d38b, 0x1776aae45017c4ae, 0x86ad1a6d7af6c13c, 0x59ac683e3e00f164, 0x4f4da9b11ddb89d0,
  0x7793ba8cca734b29, 0xea54c13e30120b65, 0x41f92263ffebb467, 0xfc1f41ea3e9477cb, 0x0b2ca680c13e38e9,
  0x8f9d97c47191cc58, 0xee1aa01ffb30475e, 0xab5b87207967b637, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551,
  0x35135c0809d372bb, 0x115e535095c958f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3,
  0x12e65f36d02a2ade, 0x3458df1726ae0f36, 0x4e7ea75663c81f94, 0xcc4ffef0f7bca185, 0x86687993fc0fe32f,
  0x617c68f45fe07efd, 0x2d9f0271964b867a, 0x3c95fb9a19961d25, 0x00000f93fea88809,
};

// pwm316_swio15_lednop_pr_ee
static const uint64_t ur_pwm216_swio15_lednop_pr_ee[] = {
  0xfeeeeeeea0a22044, 0x6eed55f85c8fc4b8, 0x0ef4ed85f0073732, 0xa1b44cea2bd76416, 0x2b8cdd883682e3f5,
  0x9dd4149c8c884331, 0xe609f180905b2bbc, 0x922707febb467e87, 0x4795a9e9aad68dfc, 0x813d47c1b30613fd,
  0x48b34eb422877c57, 0xac9a426be8c2cb11, 0x460a1cead2f21d71, 0x355ae875e74ddbba, 0x8b8484513723c8b6,
  0x3608fd6e1bd96cb9, 0xf2e556a0108a4d2a, 0x4aa35d09c73c9fda, 0xe576a96fabb39d45, 0xb1e86a26b81013a6,
  0xb55a22bca6a12b92, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x1e6c25ccbe6da054,
  0xf9434596af2e4d5c, 0x1854e7ea75663c81, 0x1f343cc9fe04e34a, 0x32c970cf4c2b93f0, 0x4332c3a4a5b3e04e,
  0xaf8431012792bf73, 0x0000000000000013,
};

// pwm316_swio15_lednop_pr_ee_u4
static const uint64_t ur_pwm216_swio15_lednop_pr_ee_u4[] = {
  0xbdeeeeeed1222a20, 0xb4eed55f85c19c48, 0xc8fe9a5d2e233c49, 0x5ede4531d7eb20a6, 0x6a081eb9bb106d04,
  0x2bbc9dd1ec5aa38c, 0x7e87e609f180905b, 0x8cca922707febb46, 0x403d47959c39aad6, 0xbe2b727ea3e0d983,
  0x6588a459a75a1143, 0xed7144cd2135f461, 0xd97c47109cead2eb, 0x45b1aad743af5d4d, 0x1c8c5c242281be8c,
  0xb55c2cffadc37b2e, 0xe84e39e4fed7972a, 0x4b7d5d9cea2a551a, 0x5135c0809d372bb5, 0x15e535095c958f43,
  0x674079fad73daad1, 0xd3573abd4b0b29b1, 0x6f19d10273e8a042, 0x0f3612e65f36d38c, 0x1f943458df1726ae,
  0xa1854e7ea75663c8, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0x88093c95fb9a1996, 0x00000000013ae9a0,
};

// pwm316_swio15_lednop_pr_ce
static const uint64_t ur_pwm216_swio15_lednop_pr_ce[] = {
  0x4dddddd0f5a22044, 0x8eed55e11282c4a8, 0x4f4c4ec01e9583df, 0xff5fc7c699fb537f, 0x86d16a2b21bb426c,
  0x57793ba829395c10, 0x7c6b4c13e30120b6, 0xaedf923a6ffebb46, 0x63cf192a77b3ae2f, 0x097e21b09117dc49,
  0x2ee3712a2e47f51f, 0x3ce33dcb19fac99e, 0xf3d638e9fc193dea, 0x65f11c6473160298, 0xa807feccf1d7a3e7,
  0xb8720796b70dfb86, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x35c0809d372bb54b, 0xe535095c958f4351,
  0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0xcbe6da0518edec55, 0xd3e2e4d5c1e6c25c,
  0xa75663c81f943459, 0x65f989fca1854e7e, 0x7ff04d0f327f8b9c, 0xc970cf4c2b93f1cf, 0x32c3a4a5b3e04e32,
  0xd3d1012792bf7343, 0x0000000000001baf,
};

// pwm316_swio15_lednop_pr_ce_u4
static const uint64_t ur_pwm216_swio15_lednop_pr_ce_u4[] = {
  0x77eeeeeed1222044, 0x3eeed55e11219c4b, 0x6475a2efa5ad14cc, 0x83f85d098bcd8b1f, 0x10deb8d3537bbbbf,
  0xcaef277505272e9c, 0xcfdba9827c602416, 0xfa9eb247027fd768, 0x963cf192a7795ae2, 0xf097e21b09117dc4,
  0xe2ee3712a2e47f51, 0x8f924f72c67e3399, 0xd0291c74fe0c43fa, 0xd9ef476b1cc580bd, 0x08bb8e58cf1d78b9,
  0x39e4fed7972ab51d, 0x5d9cea2a551ae84e, 0xc0809d372bb54b7d, 0x35095c958f435135, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xe2e4d5c1e6c25ccb, 0xeacc7903f2868b1b,
  0xde1ef79430a9cfd4, 0x327f81fc65f989ff, 0x1e8bfc0fdfb0cd0f, 0x4e32c970cf4c2f8d, 0x734332c3a4a5b3e0,
  0x6ebd5951012792bf,
};

// pwm316_swio15_lednop_pr_ee_ce
static const uint64_t ur_pwm216_swio15_lednop_pr_ee_ce[] = {
  0xa17eeeeeeea22044, 0xc45ddaabd8520dc4, 0x82c4ec0bd3630a18, 0xbfc7d68f4e5df250, 0x389c8ccd2c196ad0,
  0xbbc9dd4149c80504, 0xed6e609f180905b2, 0x29724536ffebb467, 0xe3254ed36ceffaa3, 0x09cee3714939bff9,
  0x9594394ed6563df3, 0xbea3e0d9833d7d47, 0x59a75a1140a62b60, 0x752135f4616588a4, 0xba460a1ceaedd21c,
  0x6c6abc6c75e74ddb, 0x73170908a26e4791, 0x2a3608991c37b2d9, 0xdaf2e556a5988a4d, 0x454aa35d09c73c9f,
  0xa6e576a96fabb39d, 0x92b1e86a26b81013, 0xe7b55a22bca6a12b, 0x7296be74078e56ba, 0xe31bc67440842a41,
  0xa31dbd8aaa2d2414, 0x9ab8d84b997cdb40, 0x1e40fca1a2c79c5c, 0x4b867a615c9fbab3, 0x61d252d964a27196,
  0xb88093c95fb9a199, 0x00000000000534f1,
};

// pwm316_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio15_lednop_pr_ee_ce_u4[] = {
  0xd1bbbbbb448650e3, 0xc5ddaabfa986e892, 0x1d015baf5cfd82fc, 0x8c2a000676262779, 0xdd914e8e2165b3d6,
  0x7793ba1607db29c2, 0x9adcc13e30120b65, 0xce922293fea907cf, 0x285c1c149717d51e, 0x21b09117dc4963cf,
  0x19ebf5abf51f097e, 0xed6e6def99e2ee37, 0x9833d7d479594394, 0x140a62b60bea3e0d, 0x4616588a459a75a1,
  0xceaedd21c752135f, 0xc75e74ddbba460a1, 0x8a26e47916c6abc6, 0x91c37b2d97317090, 0x6a5988a4d2a36089,
  0xd09c73c9fdaf2e55, 0x96fabb39d454aa35, 0xa26b81013a6e576a, 0x2bca6a12b92b1e86, 0x4078e56bae7b55a2,
  0x440842a417296be7, 0xaaa2d2414e31bc67, 0xb997cdb40a31dbd8, 0x771a2c6f86e3cd84, 0xc2a73f53ab337f07,
  0x97e627ff787bde50, 0x7ec3343cc9fe07f1, 0x3d30be347a2ff03f, 0x9296cf8138cb25c3, 0x7c9e4afdcd0ccb0e,
  0x000000027e03c9da,
};

// pwm316_swio15_lednop_ee_hw
static const uint64_t ur_pwm216_swio15_lednop_ee_hw[] = {
  0xc7f777776890c582, 0x93776aafc2e47e25, 0x43560eec2f8039b9, 0x3f5a1b44cea2bd76, 0xa312b8cdd883682e,
  0x657793ba76821e96, 0xcfd0fcc13e30120b, 0x5a37f2489c1ffa14, 0x184ff51e56a7a6ab, 0x1df15e04f51f06cc,
  0x0b2c4522cd3ad08a, 0xc875c6b26909afa3, 0x376ee9182873ab4b, 0x8f22d8d56ba1d79d, 0x65b2e62e121144dc,
  0x2934a8d823f5b86f, 0xf27f6bcb955a8042, 0xce75152a8d74271c, 0x404e9b95daa5beae, 0x84ae4ac7a1a89ae0,
  0x5aeb9ed5688af29a, 0xa905ca5af9d01e39, 0x90538c6f19d10210, 0xb6815156f62aa8b4, 0x05d8dc79b09732f9,
  0xf787bde50c2a73f5, 0xcc9fe07f197e627f, 0x47a2ff03f7ec3343, 0x138cb25c33d30be3, 0xdcd0ccb0e9296cf8,
  0x002df9a9ca29e4af,
};

// pwm216_swio15_lednop_ee_ce_u4_hw  pwm316_swio15_lednop_ee_ce_hw     pwm316_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio15_lednop_ee_ce_hw[] = {
  0x68dddddda243704a, 0x62eed55fd4c37449, 0x8e80add7ae7ec17e, 0x461500033b1313bc, 0xeec8a74710b2d9eb,
  0x2bbc9dd75bae3b5d, 0x7cd6e609f180905b, 0xa3d9d244527fd0a6, 0x79e50b838292e2fa, 0x2fc4361222fb892c,
  0x71b9e72ea77ea3e1, 0x1ca76b736f7ccf17, 0xf06cc19ebea3caca, 0xad08a05315b05f51, 0x9afa30b2c4522cd3,
  0x050e7576e90e3a90, 0x5e363af3a6eddd23, 0x8484513723c8b635, 0x044c8e1bd96cb98b, 0x72ab52cc4526951b,
  0x51ae84e39e4fed79, 0xbb54b7d5d9cea2a5, 0xf435135c0809d372, 0xad115e535095c958, 0x5f3a03c72b5d73da,
  0xe33a20421520b94b, 0xdec55516920a718d, 0x6c25ccbe6da0518e, 0x430a9cfd4176371e, 0xc65f989ffde1ef79,
  0xfdfb0cd0f327f81f, 0x0cf4c2f8d1e8bfc0, 0x3a4a5b3e04e32c97, 0x4e8a792bf734332c, 0x000000000028081e,
};

/*
 * pwm216_swio15_dual_pr             pwm216_swio15_dual_pr_u4          pwm316_swio15_dual
 * pwm316_swio15_dual_pr             pwm316_swio15_dual_pr_u4
 */
static const uint64_t ur_pwm216_swio15_dual[] = {
  0x67bbbbbb448618be, 0xbeefdf12319f707a, 0xb475f772741b081e, 0xfa70ce5d84349961, 0xe0ac5faec7b6ed33,
  0xe49b0eeebd9c1059, 0x01304f8c0482d95d, 0x109d29190485d200, 0x40c2860d59e2cf49, 0x77e655bb9dd3e25c,
  0xafbd8145383939be, 0x47244fe0e3dcdea3, 0x0a21895fe7ef8228, 0x77bbe6e0a4006e1f, 0x54219680f8886557,
  0xea7bfe80e784dbdc, 0x0de5796adf3404b6, 0xbe48feeff1d4e60b, 0x0e0ffa8fb7cef967, 0xa0f32568f71c74fe,
  0x9db4a47109cc580a, 0x25403ff6608ebc01, 0x9702503cb3db4c63, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb,
  0xdaa5beaece75152a, 0xa1a89ae0404e9b95, 0x688af29a84ae4ac7, 0xf9d01e395aeb9ed5, 0x19d10210a905ca5a,
  0xf62aa8b490538c6f, 0xb09732f9b6815156, 0xe0eee3458df0dc79, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b,
  0x07efd86687993fc0, 0xb867a617c68f45fe, 0x61d252d9f0271964, 0x3b4f93c95fb9a199, 0x0000000000a49e49,
};

// pwm316_swio15_dual_pr_ee
static const uint64_t ur_pwm216_swio15_dual_pr_ee[] = {
  0xa0addddddd436f02, 0x9eefdf1364dc2f83, 0x6cda6ec6a4986e99, 0x00ac9d3889bd9bad, 0x4f5a0a27c0151505,
  0xdcfe1f35ef262cdb, 0xe30120b657792245, 0x32090ba443c9cc13, 0x1ab3c59e92213a52, 0x773ba7c4b881850c,
  0xd1c0c7e619bfccab, 0x0635a6f51d2d6c02, 0xff3f7c114239227f, 0x00000370f8510c4a, 0x51510caaeef77cdc,
  0x73c2631f150865a0, 0xdf3404b6f6b7ff40, 0xf1d4e60b0de5796a, 0x9aad68dc9c91e9ff, 0x1b3071efd4795e9b,
  0x422877c57b3bd47c, 0xbe8c2cb1148b34eb, 0xb4ba9e5c54b9a426, 0x7a89767f11f5073a, 0x0f547f258d56ba1d,
  0x86f65f4b3170908a, 0x043e6f6a8d823f5b, 0xb59fc55f3bb8a928, 0xe84e39e4fed7972a, 0x4b7d5d9cea2a551a,
  0x5135c0809d372bb5, 0x15e535095c958f43, 0xa03c72b5d73daad1, 0xa20421520b94b5f3, 0x55516920a718de33,
  0x2e65f36d02a2adec, 0xbb8d163ce1b8f361, 0xd30ae4fdd599bf83, 0x296cf8138cb25c33, 0xc9e4afdcd0ccb0e9,
  0x000000642870a5a7,
};

// pwm316_swio15_dual_pr_ee_u4
static const uint64_t ur_pwm216_swio15_dual_pr_ee_u4[] = {
  0x6eeeeed15b768f43, 0x7ef89b26e17c1d05, 0xc1363524c374ccf7, 0xe9c44decdd6a6d36, 0x513e00a8a8280564,
  0xb5a9fc3538da7ad0, 0x2d95de489177789f, 0xe910f27304f8c048, 0x67a4884e948c8242, 0xf12e20614306acf1,
  0xcc337f99696fcee9, 0xea3a5ad805a3818f, 0x22847244fe0c6b4d, 0xe1f0a21895fe7ef8, 0x55ddeef9b8000006,
  0x3e2a10cb40a2a219, 0x6ded6ffe80e784c6, 0x161bcaf2d5be6809, 0xe4e48f4ffff9014c, 0x7ea3caf4dcd56b46,
  0x2bd9dea3e0d9838f, 0x88a459a75a1143be, 0xe2a5cd2135f46165, 0xf88fa839d5a5d4f2, 0x2c6ab5d0ebd44bb3,
  0x598b8484507aa3f9, 0x546c11fadc37b2fa, 0xf9ddc5494021f37b, 0x27f6bcb955acfe2a, 0xe75152a8d74271cf,
  0x04e9b95daa5beaec, 0x4ae4ac7a1a89ae04, 0xaeb9ed5688af29a8, 0x905ca5af9d01e395, 0x0538c6f19d10210a,
  0x6815156f62aa8b49, 0x9357079b09732f9b, 0x6fe0fdbb1a2c6f8b, 0x7bca1854e7ea7566, 0xc0fe32fcc4ffef0f,
  0xfe07efd86687993f, 0x64b867a617c68f45, 0x9961d252d9f02719, 0x08980653c95fb9a1, 0x0000000000005643,
};

// pwm316_swio15_dual_pr_ce
static const uint64_t ur_pwm216_swio15_dual_pr_ce[] = {
  0xeb6eeeeef6090c86, 0xdbbf7c482fc99c1d, 0xb913ba930eb19189, 0xa541b4155c42c55f, 0xe6283e26eb5baf58,
  0x93c95dddd8dd9f57, 0x7cc13e30120b6577, 0x84e948c8242e91dc, 0x0614306acf167a48, 0xff32addcee9f12e2,
  0xe5b038270eaf9a87, 0xe489fc1dba9bd478, 0x44312bfcfdf04508, 0xddf370c0200dc3e1, 0x2196818f4432abbb,
  0xa3fe80e784ddd454, 0xe5796adf3404b6e1, 0x4893aff1d4e60b0d, 0x85c1ceafb8beb01a, 0x1b09117dc4963cf2,
  0x3acd90ff51f097e2, 0x72c67d4b99e2ee37, 0x3a7f0622fa8f224f, 0x109cc580bfb8ca8e, 0x6678ebc019db4a47,
  0xf2d6e4c6325403ff, 0x8abe7771525c0940, 0x73c9fdaf2e556b3f, 0xbb39d454aa35d09c, 0x81013a6e576a96fa,
  0x6a12b92b1e86a26b, 0xe56bae7b55a22bca, 0x42a417296be74078, 0xd2414e31bc674408, 0xcdb40a31dbd8aaa2,
  0x65abc6e3cd84b997, 0xfa9d599bf83bb8d1, 0x327f8138d2861539, 0x33d30ae4fc07cd0f, 0xe9296cf8138cb25c,
  0xa7c9e4afdcd0ccb0, 0x000000000d2439f5,
};

// pwm316_swio15_dual_pr_ce_u4
static const uint64_t ur_pwm216_swio15_dual_pr_ce_u4[] = {
  0xe1bb777776890c86, 0x23bbf7c482fdfbe0, 0x5b5dfba758055c11, 0xdd02d60bd6db178d, 0x83cc50b201a2fdd0,
  0x7792b8ddddd8dd96, 0x9c7cc13e30120b65, 0x4884e948c8242e90, 0xe20614306acf167a, 0x35bf32addcee9f12,
  0x1f7dec34d9c22b4c, 0x4239227f06a7a6f5, 0xf8510c4aff3f7c11, 0x777bbe6e5c880370, 0x4542196877488655,
  0x6fff3fe80e784da5, 0xb0de5796adf3404b, 0x32a488d6ff1d4e60, 0xf3ca170714f5c5f5, 0x5f886c2445f71258,
  0xb8dceb3643fd47c2, 0x7d3dcb19e1c6678b, 0xe471d3f8326bd479, 0xc4637ce62c05dbeb, 0x71cb19e3af22dd87,
  0x2af9ddc54947570f, 0xcf27f6bcb955acfe, 0xece75152a8d74271, 0x0404e9b95daa5bea, 0xa84ae4ac7a1a89ae,
  0xa03cb9ed5688af29, 0x22617a96bca70173, 0xe88145f18c10b4ac, 0x09732f9b69c6378c, 0x0eee3458df0dc79b,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0x7efd86687993fc0f, 0x867a617c68f45fe0, 0x1d252d9f0271964b,
  0xb4f93c95fb9a1996, 0x000000000069240a,
};

// pwm316_swio15_dual_pr_ee_ce
static const uint64_t ur_pwm216_swio15_dual_pr_ee_ce[] = {
  0x739dbbbbbba86f97, 0x056efdf124cc1f70, 0xf7af7ba3ae9f6828, 0x9db29d933ed421ee, 0x56097d7f70b44bb3,
  0x02ddcf046752c8a7, 0xc13e30120b657793, 0x4a4641217487883c, 0xa1835678b3d24427, 0x956ee774f8971030,
  0x61a68e0ff26c41f9, 0x27f0763f37a8e1a3, 0xc4aff3f7c1142392, 0x9b8aeb80370f8510, 0xb40a5a21955ddeef,
  0xe80e784df3a2a10c, 0x2d5be68096df96bf, 0xbffe3a9cc161bcaf, 0x63e77fd51b059235, 0x32a1a0ff9e50b839,
  0xed656443309cee37, 0x30613fd4795b0594, 0x2814c5721fd47c1b, 0x8c2cb1148b34eb42, 0x9d5dbbe70ea426be,
  0x75ed6276d291cbe3, 0x5098a31f2c6abc6c, 0x8e1bd971f18b8484, 0x5f3bb8a92e31b58c, 0xe4fed7972ab59fc5,
  0x9cea2a551ae84e39, 0x809d372bb54b7d5d, 0x095c958f435135c0, 0xfad73daad115e535, 0xbd4b0b29b1674079,
  0x04e7c63042d3573a, 0xccbe6da718de33a2, 0x71a2c79c371e6c25, 0x615c9fbab337f077, 0x2d9f0271964b867a,
  0x3c95fb9a19961d25, 0x0000004c139cb4f9,
};

// pwm316_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_pwm216_swio15_dual_pr_ee_ce_u4[] = {
  0xdddddda2b6ec746e, 0xfbe26c79c1707a2f, 0xbaeecd8599f16add, 0xfa8c6f26338614d6, 0x6976268bf7ed2628,
  0xf0e90a6b29a3f99b, 0x48f67705b495c7ff, 0x7304f8c0482d95de, 0x3a5232090ba43cf2, 0x850c1ab3c59e9221,
  0x65a5bf3ba7c4b881, 0x85e19c396a666ffe, 0x3f8343e9bd47ec1d, 0x257f9fbe08a11c91, 0xdcee3c01b87c2886,
  0xa070510caaeef77c, 0x4073c26d37150865, 0x6adf3404b6f951ff, 0xbffc80a60b0de579, 0x35c5f547d5f24661,
  0xf71258f3ca179dcc, 0xfd47c25f886c2445, 0xa678bb8dc4e3fb8f, 0x1e57bee53b5b9b9b, 0xdd7a8f83660ccaf5,
  0x91669d68450298ae, 0xe1d484d7d1859622, 0x67f11f5073abb729, 0xe4b1aaf1b1d7a897, 0xe9662e121141ea8f,
  0xf6a8d8226470decb, 0x55f3bb8a929663e6, 0x9e4fed7972ab59fc, 0xd9cea2a551ae84e3, 0x0809d372bb54b7d5,
  0x5095c958f435135c, 0x2b5d73daad115e53, 0x1520b94b5f3a03c7, 0x920a718de33a2042, 0x6da0518edec55516,
  0x2e4d5c1e6c25ccbe, 0x99bf83f6ec68b1be, 0x3def2861539fa9d5, 0xff03f8cbf313ffbc, 0x17f81fbf619a1e64,
  0x6592e19e985f1a3d, 0x866587494b67c09c, 0x1faa20194f257ee6, 0x0000000000000200,
};

// pwm316_swio15_dual_ee_hw
static const uint64_t ur_pwm216_swio15_dual_ee_hw[] = {
  0x15bbbbbba8286f97, 0xddfbe26c9b85f074, 0x9b4dd8d4930dd333, 0x1593a71137b375ad, 0xeb4144f802a2a0a0,
  0x22ee78233ad53a69, 0x09f180905b2bbc91, 0x29190485d221e4e6, 0x860d59e2cf49109d, 0x55bb9dd3e25c40c2,
  0x0168e063f30cdfe6, 0x3f831ad37a8e96b6, 0x257f9fbe08a11c91, 0x6e000001b87c2886, 0xd028a88655777bbe,
  0xa039e1318f8a8432, 0xb56f9a025b7b5bff, 0xffdd89f30586f2bc, 0x6e6ab5a3727247a7, 0xf06cc1c7bf51e57a,
  0xad08a1df15ecef51, 0x9afa30b2c4522cd3, 0xead2ea797152e690, 0x75ea25d9fc47d41c, 0x283d51fc96355ae8,
  0x6e1bd97d2cc5c242, 0xa010f9bdaa3608fd, 0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xd52df57673a8a954,
  0x0d44d7020274dcae, 0x445794d42572563d, 0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378,
  0x84b997cdb40a8ab7, 0x1539fa9b0ec6e3cd, 0xcd0f327f8138d286, 0xb25c33d30ae4fc07, 0xccb0e9296cf8138c,
  0x68e14a29e4afdcd0, 0x0000000000000057,
};

// pwm316_swio15_dual_ee_ce_hw
static const uint64_t ur_pwm216_swio15_dual_ee_ce_hw[] = {
  0xf1ab77777750cf68, 0xdb77ef89267d7be0, 0xd1e1eedcedfb57c3, 0x602ac5f8ff7d7421, 0xabdfb85a25dc6a08,
  0x3b9a3ea75add9793, 0x7c602416caef24a7, 0x8c8242e90f107982, 0x06acf167a4884e94, 0xddcee9f12e206143,
  0x40706bb990fbf32a, 0xc18689bd477f9b0c, 0xbfcfdf04508e489f, 0x33d600dc3e144312, 0xc0888655777bbe6e,
  0x39e131758a8432d0, 0x6f9a025b7e5affa0, 0xdd89f30586f2bcb5, 0xeffaa395d246b7ff, 0xd493f3ca17072b7c,
  0xac9ba6139dc6e747, 0x657a8f2bdf729dac, 0x4c576ebd47c1b306, 0xcb1148b34eb42281, 0xdb94f0ea426be8c2,
  0xd44bb3f88fa839d5, 0xf547f258d578d8eb, 0x6f65f4b3170908a0, 0x31f37b546c113238, 0xacfe2af9ddc5494b,
  0x4271cf27f6bcb955, 0x5beaece75152a8d7, 0x89ae0404e9b95daa, 0xaf29a84ae4ac7a1a, 0x01e395aeb9ed5688,
  0x10210a905ca5af9d, 0xaa8b490538c6f19d, 0xe65f36d028c76f62, 0x5727e7f61b8f3612, 0x67c09c6592e19e98,
  0x257ee6866587494b, 0x00000044d35c514f,
};

// pwm316_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_pwm216_swio15_dual_ee_ce_u4_hw[] = {
  0xfdddddda28d0f2df, 0xdfbe26c79c1707a2, 0x0a6eecd8599f16ad, 0x3147d46379319cd3, 0xccdb4bb1345fbf69,
  0x2101379e5f594d1f, 0x05b2bbc91eceeac0, 0x74879e4e609f1809, 0xb3d244274a464121, 0xf8971030a1835678,
  0xa999bff997612774, 0xf51fb076178670e5, 0x22847244fe0d0fa6, 0xe1f0a21895fe7ef8, 0xabbbddf373b8f006,
  0xdc54219681c14432, 0xdbe547fd01cf09b4, 0x2c3795e5ab7cd012, 0x5f24661bfc03ee98, 0xf860e4c35c5f547d,
  0x6c2445f71258f3c6, 0x1fe3eefd47c25f88, 0x5b9b9ba678bb8dce, 0x0ccaf51e57bee53b, 0x0298aedd7a8f8366,
  0x85962291669d6845, 0xabb729e1d484d7d1, 0xd7a89767f11f5073, 0x41ea8fe4b1aaf1b1, 0x70decbe9662e1211,
  0x9663e6f6a8d82264, 0xab59fc55f3bb8a92, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0x35135c0809d372bb,
  0x115e535095c958f4, 0x3a03c72b5d73daad, 0x3a20421520b94b5f, 0xc55516920a718de3, 0x25ccbe6da0518ede,
  0x0a9cfd4176371e6c, 0x5f989ffde1ef7943, 0xfb0cd0f327f81fc6, 0xf4c2f8d1e8bfc0fd, 0x4a5b3e04e32c970c,
  0xfa792bf734332c3a, 0x000000ebada48c42,
};

// usb646_autobaud_uart0_noled_pr    usb647_autobaud_uart0_noled       usb647_autobaud_uart0_noled_pr
static const uint64_t ur_usb646_autobaud_uart0_noled[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53f17, 0x0e827939bfafdf4b, 0xc83af1ae6d6eeeb6, 0x04f8c9dd05e82662,
  0x94befff375cf9eb3, 0x01748b54088153e0, 0xa8e15faa935fc8bf, 0xcf1df2c90e1b46f6, 0xea4871240cd27a8f,
  0x3398b016f74c37c9, 0x608ebc5cecf691e3, 0x2777ec2b289dc72c, 0x0efddf9ce4db7e06, 0xb19c9bf37807d418,
  0xbc67440aeaa72f29, 0xb7b15545a585ce31, 0x1b94b52fcdb1248a, 0x663c81a3f8d163ce, 0x2c970cf4c2b93f75,
  0xccb0e9296ce1c4e3, 0x249421f9e4afdcd0, 0x0000000000007110,
};

// usb647_autobaud_uart0_noled_pr_u4
static const uint64_t ur_usb646_autobaud_uart0_noled_pr_u4[] = {
  0x1bbbbbbb44863f3e, 0x7777774b1ea6c46b, 0xf0b1ae5ecdad8037, 0x9db6c66efdddd9ee, 0x9f193bb64560e3be,
  0xba8ff08533fb7e60, 0x0ba45aa0440a9f04, 0x470afd549afe45f8, 0x80ef9610f0da37b5, 0x52438920682fd47e,
  0x0e62c0596533df6b, 0x823af47ced5fd1eb, 0x3db1f6679500ffd9, 0x8189ddfb071f03cb, 0x0603bf77e73936df,
  0xca6c6726fcde01f5, 0x8c6f19d102baa9cb, 0x22adec5551696173, 0x24c6e52d4bf36c49, 0x4eaccdfc1ddc68b2,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x0230ca2ed1e0b3c9,
};

/*
 * usb646_autobaud_uart0_noled_pr_ee_u4 usb647_autobaud_uart0_noled_pr_ee
 * usb647_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_noled_pr_ee[] = {
  0xc6eeeeeed121be4a, 0xddddddd2c1e09bba, 0xfd295b41217ebd7d, 0x70cde9f0ba99ba5e, 0x9dd29475be9abe1a,
  0xf84299fd9d304f8c, 0x5aa0440a9f04a577, 0xfd549afe45f80ba4, 0xd1ce30da37b5470a, 0x34c7d4795c89355a,
  0x1df15f75ea3e0d98, 0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d,
  0x65b2e62e1211473c, 0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378,
  0x85ce31bc67440aea, 0xb1248ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x000009a9cdf04782,
};

/*
 * usb646_autobaud_uart0_noled_pr_ce_u4 usb647_autobaud_uart0_noled_pr_ce
 * usb647_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_noled_pr_ce[] = {
  0x8ddddddda2435562, 0xddddddd2c4192d15, 0x97b5378ef6dee2fd, 0x18adb21e3f7774c9, 0x9f193ba645a70416,
  0x175ff08533ea7a60, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0x718bf58861b46f6a, 0x8bace1e78f373b8f,
  0xd1fa8f84bf10d848, 0x3abeb264c5c3ffc0, 0x240f59ea393d3dcb, 0xe62c051f3a4a4871, 0xe3af47ced5fd1eb0,
  0x6e1f6679500ffd99, 0x062777ec1c7c0f2d, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f,
  0x63b7b15545a585ce, 0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff,
  0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x11baad1b8f059e4a,
};

/*
 * usb646_autobaud_uart0_noled_pr_ee_ce_u4 usb647_autobaud_uart0_noled_pr_ee_ce
 * usb647_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb44863d5b, 0xeeeeee961721d3ab, 0x82791fa634f519ee, 0x1c6a2a44b11ddc76, 0xeeb3e75b3755a837,
  0x84299fb5b9827c64, 0x54088153e0926dff, 0xaa935fc8bf01748b, 0x7f3a1b46f6a8e15f, 0x78f373b8e518bf54,
  0x4bf10d8488bace1e, 0x3170f494ce5fa8f8, 0x2bea253b5841ef99, 0xfa8f83660d6bfa8f, 0x669d68450298ac27,
  0xd484d7d185962291, 0xed1e0b39d5dba711, 0xb1aaf1b1d79d376d, 0xcc5c24228e791871, 0xa8d8226470decb65,
  0x062777ec2ce89534, 0x180efddf9ce4db7e, 0x29b19c9bf37807d4, 0x31bc67440aeaa72f, 0x63b7b15545a585ce,
  0x2637296a5f9b6248, 0x75666fe0eee34591, 0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x082279f84f059e4a,
};

// usb646_autobaud_uart0_lednop_pr   usb647_autobaud_uart0_lednop      usb647_autobaud_uart0_lednop_pr
static const uint64_t ur_usb646_autobaud_uart0_lednop[] = {
  0x58dddddddd66ef3a, 0xbbbbbbba58f53e6f, 0x6c1d05bc1f56df4b, 0x8b20ebc6becfdddd, 0xcc13e3277417a099,
  0x825dd7ff9bae7e3d, 0xfc05d22d5022054f, 0xdaa3857eaa4d7f22, 0x393c77cb24386d1b, 0xe7a921c4903349ea,
  0x414e62c05bdd30df, 0x630475e2e760e28e, 0xc4eefd856283ee39, 0xbbf3c0809c9b6fc0, 0x026fcde5ba8301df,
  0x05ef9537a94e4a74, 0x8ce8811d4502169c, 0x37296a5f9b69c637, 0xcc790347f1a2c79c, 0x592e19e985727eea,
  0x9961d252d9c389c6, 0x492843f3c95fb9a1, 0x000000000000e220,
};

// usb647_autobaud_uart0_lednop_pr_u4
static const uint64_t ur_usb646_autobaud_uart0_lednop_pr_u4[] = {
  0x8ddddddda24328ae, 0xbbbbbba58f532675, 0xe16c446bf07df1fb, 0x4b88dbd9fbbbb3dd, 0xe32774d2c7153624,
  0x75fe10a67e3dcc13, 0x748b54088153e097, 0xe15faa935fc8bf01, 0x1df2c21e1b46f6a8, 0x4871240d05fa8f6b,
  0x98b016594df241fa, 0x3af47cecb3d1a433, 0xb416691500ffd982, 0x89ddfb20ad03cb3d, 0x77e781013936df81,
  0x137e6f36450603bf, 0x077ca9bd4a7253a0, 0x5169aba718de33a2, 0xa5f9b6e722adec55, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x58f059e4afdcd0cc, 0x00000000008c36d3,
};

/*
 * usb646_autobaud_uart0_lednop_pr_ee_u4 usb647_autobaud_uart0_lednop_pr_ee
 * usb647_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_lednop_pr_ee[] = {
  0xc6eeeeeed121af43, 0xddddddd2c1e0b4ba, 0xfa537656da9ed45d, 0xb42f0ae1753374bd, 0x9dd69df6bc8ecaa0,
  0xf84299f1ad304f8c, 0x5aa0440a9f04b4df, 0xfd549afe45f80ba4, 0xd1ce30da37b5470a, 0x34c7d4795995355a,
  0x3be2b0f7ea3e0d98, 0x16588a459a75a114, 0x9eab8d64d2135f46, 0x3768c9193473ab4b, 0x8ded58d56ba1d79d,
  0x65b2e62e1211413c, 0xb33ca8d823f5b86f, 0xb6fc0c4eefd8010f, 0x301dfbbf3c0809c9, 0x929d009bf379b228,
  0xf19d103be54dea53, 0x6f62aa8b4d5d38c6, 0x1b94b52fcdb73915, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xa9c4fc2782cf257e,
  0x0000000000000009,
};

/*
 * usb646_autobaud_uart0_lednop_pr_ce_u4 usb647_autobaud_uart0_lednop_pr_ce
 * usb647_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_lednop_pr_ce[] = {
  0x8ddddddda2431202, 0xddddddd2c4191b15, 0xcbdad0a6cb8ec33d, 0x28dd83305fbbba64, 0x3e3277599b6268a8,
  0x60bfe10a67e574c1, 0x2e916a81102a7c12, 0x1c2bf5526bf917e0, 0xa317eb10c368ded5, 0x1759c3cf1e6e7701,
  0x6ff51f097e21b091, 0xd5f593262e1d36e7, 0x207acf51fa49ee59, 0x31602a6222d24389, 0x75e8f9d967a34867,
  0xc82cd22a01ffb33c, 0xc4eefd905681e5ad, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df, 0x03be54dea53929d0,
  0xa8b4d5d38c6f19d1, 0xa5f9b6e70c76f62a, 0x0eee345912637296, 0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xb0f059e4afdcd0cc, 0x00000000008dd72a,
};

/*
 * usb646_autobaud_uart0_lednop_pr_ee_ce_u4 usb647_autobaud_uart0_lednop_pr_ee_ce
 * usb647_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb4486cc7f, 0xeeeeee961720246b, 0x8274ef234177276e, 0x7048fa44b11ddc76, 0xea7dd57bb251f477,
  0x4299f6bb9827c64e, 0xa0440a9f049fe7f8, 0x549afe45f80ba45a, 0xf9d0da37b5470afd, 0xc79b9d93a8c5faa3,
  0x5f886c2445d670f3, 0x170f950d07fd47c2, 0xbeea53b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298af6ff,
  0x484d7d1859622916, 0x48c9a39d5db8f51d, 0x8d578d8ebce9bb46, 0x62e1211413c8ded5, 0x46c1132386f65b2e,
  0x62777ec2cc7d99e5, 0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0x52fcdb73863b7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0x0e782cf257ee6866, 0x00000000004112e2,
};

/*
 * usb646_autobaud_uart0_dual_pr     usb646_autobaud_uart0_dual_pr_u4  usb647_autobaud_uart0_dual
 * usb647_autobaud_uart0_dual_pr     usb647_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_dual[] = {
  0xf7777776890c365a, 0x7777770ff8f3b5eb, 0x24053d689dbb2b77, 0x388eb333dddda8a6, 0x977226efafd77369,
  0x05521a0f304f8c96, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x53c70cad36fbfcca, 0x481c879bd47287b0,
  0x5fe7ef8228524482, 0x276c4fae1f0a2189, 0xd0d2910cab397a67, 0xd01cf09a6e8a8432, 0xb0de579096ddd2ff,
  0xa7c127f3fec44260, 0x917e02e916a81102, 0x8ded51c2bf5526bf, 0xf51f229df2c4d436, 0x38bdf490e2481887,
  0x23afe731602a83cd, 0xffb30475e00ced6b, 0x07967b621d21aa01, 0xfc55f3bb8a92a93a, 0x4e4db7e062777ec9,
  0x914180efddf9e040, 0x529c94e804df9bcd, 0xc6378ce881df2a6f, 0xc8ab7b15545a6ae9, 0x4498dca5a97e6db9,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0017057ea83c1679,
};

/*
 * usb646_autobaud_uart0_dual_pr_ee_u4 usb647_autobaud_uart0_dual_pr_ee
 * usb647_autobaud_uart0_dual_pr_ee_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_dual_pr_ee[] = {
  0xbf7777776890cf68, 0xbbbbbbb87cd8403e, 0xb15cea2f2d5b5dfb, 0x0b27dd8f313ba539, 0x9347d4ead05bb3bb,
  0x222319827c64991b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xe15bf3400fcca025, 0xed4dea3cedec2d6c,
  0xef8228524482481e, 0x4fae1f0a21895fe7, 0x110cab397a671490, 0xc262eb150865a181, 0x5e425b7ff9ff4073,
  0x13affb110982c379, 0x1748b54088153e09, 0x8e15faa935fc8bf0, 0x6ab5a39121b46f6a, 0x3660c14f51e56bee,
  0x8450ef8aea57a8f8, 0x7d185962291669d6, 0xb4b994b8a973484d, 0x7a89768851ef673a, 0x04547cf58d56ba1d,
  0x86f65f4b3170908a, 0x0427f58a8d823f5b, 0xec9fc55f3bb8a928, 0x0404e4db7e062777, 0xbcd914180efddf9e,
  0xa6f529c94e804df9, 0xae9c6378ce881df2, 0xdb9c8ab7b15545a6, 0xd164498dca5a97e6, 0x39fa9d599bf83bb8,
  0x313ffbc3def28615, 0xec3347db0e3f8cbf, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4,
  0x00000029522ec3c1,
};

/*
 * usb646_autobaud_uart0_dual_pr_ce_u4 usb647_autobaud_uart0_dual_pr_ce
 * usb647_autobaud_uart0_dual_pr_ce_u4
 */
static const uint64_t ur_usb646_autobaud_uart0_dual_pr_ce[] = {
  0xfddddddda2435202, 0xbbbbbb87ec98ebfa, 0xecfbebb9c5aa3fbb, 0x9ceb69cb77772714, 0xb9390eb69933cd7b,
  0x52387f9827c64891, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0x8700d1369afcca02, 0x743f37a8f63fb0ff,
  0x9fbe08a149120920, 0x113eb87c2886257f, 0x874432ace5e99cb9, 0xcf09bf7454219684, 0xe579096dd2d7fd01,
  0x256ebfec44260b0d, 0xc05d22d5022054f8, 0xaa3857eaa4d7f22f, 0x568c5facbe86d1bd, 0x445d670f3c79b9da,
  0xc00fd47c25f886c2, 0xceaf52e64c5c3d6f, 0x481d4bf51c6fcf72, 0xcc580a0a0f9490e2, 0x1d78033b5ac8ebf9,
  0x7087486a807feccf, 0x3bb8a92a93a0796b, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0x94b52fcdb73863b7, 0x37f07771a2c8931b, 0xbde50c2a73f53ab3,
  0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27, 0xda45e782cf257ee6,
  0x000000000000056b,
};

// usb647_autobaud_uart0_dual_pr_ee_ce
static const uint64_t ur_usb646_autobaud_uart0_dual_pr_ee_ce[] = {
  0xafdddddddd43573e, 0xdddddddc3fe3c1f7, 0x21a10d77bade8fcd, 0xee100e2f477baaf8, 0x5c5f7615ef595913,
  0x598b304f8c901572, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0xcf93759fe650129d, 0x4dea39adec2618e0,
  0xc114292241240c52, 0xd70f8510c4aff3f7, 0x195672f4ce052227, 0xa2b45421968757a2, 0x12dba1f7fd01cf09,
  0xffd8884c161bcaf2, 0x8b54088153e0926d, 0x5faa935fc8bf0174, 0x547fba1b46f6a8e1, 0xbfcf1e6e771cac7f,
  0x0b374ce7587fd735, 0x5f3d4795bf929dac, 0xa62b80dea3e0d983, 0x6588a459a75a1140, 0x76e328752135f461,
  0xf512ed10a3dece75, 0x1151f3d6355e363a, 0x1bd97d2cc5c24228, 0xcc4feb151b044c8e, 0xd93f8abe77715252,
  0x0809c9b6fc0c4eef, 0x79b228301dfbbf3c, 0x4dea53929d009bf3, 0x5d38c6f19d103be5, 0x6e70c76f62aa8b4d,
  0xa2c79c37296a5f9b, 0x5c9fbab337f07771, 0x70e271964b867a61, 0x57ee6866587494b6, 0x0018880f2e782cf2,
};

// usb647_autobaud_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_autobaud_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeeeed150fe72df, 0xddddc3ea6e6d3d7e, 0x7e5a0f77a57bdddd, 0x0842029dbb1a8abc, 0xeb1c15601fabf1fd,
  0x13e327655c99f5cb, 0xf64c8c154813c9cc, 0x20614306d2303775, 0x3fe656024ee9f12e, 0x91d81251c32a2668,
  0x1209206cdf9bd47b, 0x86257f9fbe08a149, 0xa6719eb13eb87c28, 0x0cb4376910cab397, 0x7fd01cf09ba7e2a1,
  0xc161bcaf212dbb3e, 0xa9f0490fbfc990bc, 0xe45f80ba45aa0440, 0xa37b5470afd549af, 0xb31f8c5faa32870d,
  0x1222eb3879e7c033, 0x1ba1fea3e12fc436, 0xb58426e993170e60, 0x306be7a8f2b7f253, 0x2814c5701bd47c1b,
  0x8c2cb1148b34eb42, 0xceaedc650ea426be, 0xc75ea25da2147bd9, 0x45022a3e7ac6abc6, 0x91c37b2fa598b848,
  0x4a5989fd62a36089, 0xddfb27f157ceee2a, 0xe781013936df8189, 0x7e6f36450603bf77, 0x7ca9bd4a7253a013,
  0x69aba718de33a207, 0xf36dce18edec5551, 0xfc68b224c6e52d4b, 0x54e7ea75666fe0d1, 0xfcc4ffef0f7bca18,
  0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x9f9e4afdcd0ccb0e, 0x000000fd5bfb2d16,
};

// usb647_autobaud_uart0_dual_ee_hw
static const uint64_t ur_usb646_autobaud_uart0_dual_ee_hw[] = {
  0xf77777768a345202, 0xbbbbbb87cd8403eb, 0x15cea2f2d5b5dfbb, 0xb27dd8f313ba539b, 0xc9c875b4df35fbb0,
  0x91118cc13e324c8d, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0x70adf9a007e65741, 0x76a6f51e76f616b6,
  0xf7c114292241240f, 0x27d70f8510c4aff3, 0x8886559cbd338a48, 0xe131758a8432d0c0, 0xaf212dbffcffa039,
  0x44ebff9524c161bc, 0x05d22d5022054f82, 0xa3857eaa4d7f22fc, 0x9aad68e4486d1bda, 0x0d983053d4795afb,
  0xa1143be2ba95ea3e, 0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87,
  0xe1bd97d2cc5c2422, 0x0109fd62a3608fd6, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x6f36450603bf77e7,
  0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0xb6e722adec555169, 0x3f509c637296a5f9, 0x27ff787bde50c2a7,
  0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x000058392cd3e514,
};

/*
 * usb646_autobaud_uart0_dual_ee_ce_u4_hw usb647_autobaud_uart0_dual_ee_ce_hw
 * usb647_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_autobaud_uart0_dual_ee_ce_hw[] = {
  0xeeeeeeed1468a0ae, 0xdddddc3ea6e6d3d7, 0xc7e5a0f77a57bddd, 0xd0842029dbb1a8ab, 0xfbfade87d7fabf1f,
  0x27304f8c9d9572fa, 0xddd7d9323055204f, 0xc4b881850c1b48c0, 0x4cd07fccae833ba7, 0xa8f723b024a38654,
  0x4292241240d9bf37, 0xf8510c4aff3f7c11, 0x672f4ce33d627d70, 0xc54219686ed22195, 0x767cffa039e1374f,
  0x2a4982c3795e425b, 0x4088153e0921f7ff, 0xa935fc8bf01748b5, 0x50e1b46f6a8e15fa, 0x790e7663f18bf546,
  0xfc4361222eb3879e, 0xb87672e8ffea3e12, 0xbf929dac21374c98, 0xa3e0d9835f3d4795, 0xa75a1140a62b80de,
  0x2135f4616588a459, 0xa3dece7576e32875, 0x355e363af512ed10, 0xc5c242281151f3d6, 0x1b044c8e1bd97d2c,
  0x77715252cc4feb15, 0xfc0c4eefd93f8abe, 0x1dfbbf3c0809c9b6, 0x9d009bf379b22830, 0x9d103be54dea5392,
  0x62aa8b4d5d38c6f1, 0x296a5f9b6e70c76f, 0xe50c2a73f509c637, 0x7f197e627ff787bd, 0xfe07efd8668fb61c,
  0x64b867a617c68f45, 0x6587494b670e2719, 0x4405d14f257ee686, 0x000000000002134f,
};

// usb646_u1x8_uart0_noled_pr        usb647_u1x8_uart0_noled           usb647_u1x8_uart0_noled_pr
static const uint64_t ur_usb646_u1x8_uart0_noled[] = {
  0x8ddddddb96b3753a, 0x7777774b161448b5, 0x5fcc9b07f0bdad37, 0xcbdbc9ebf7774610, 0xe32774b8d931b6a6,
  0x93ffcdd73e0a4c13, 0xd716fed32637b02f, 0xa0bf51fa03be5843, 0x94cf7dad490e2481, 0xb57f47ac398b0165,
  0x5403ff6608ebd1f3, 0x1c7c0f2cf6c7d99e, 0x9ce4db7e062777ec, 0xf37807d4180efddf, 0x0aeaa72f29b19c9b,
  0x45a585ce31bc6744, 0x2fcdb1248ab7b155, 0xa3f8d163ce1b94b5, 0xf4c2b93f75663c81, 0x296ce1c4e32c970c,
  0xf9e4afdcd0ccb0e9, 0x0000000f90d39421,
};

// usb647_u1x8_uart0_noled_pr_u4
static const uint64_t ur_usb646_u1x8_uart0_noled_pr_u4[] = {
  0x777776e54486d214, 0xddddd2c585122d63, 0xf326c1fc2f6b4ddd, 0xf6f27afdddd18417, 0xc9dd3776446db452,
  0x3fc214cf829304f8, 0x716fed32637b02f9, 0x0bf51fa03be5843d, 0x4cf7dad490e2481a, 0x57f47ac398b01659,
  0x403ff6608ebd1f3b, 0xc7c0f2cf6c7d99e5, 0xce4db7e062777ec1, 0x37807d4180efddf9, 0xaeaa72f29b19c9bf,
  0x5a585ce31bc67440, 0xfcdb1248ab7b1554, 0x771a2c8931b94b52, 0xc2a73f53ab337f07, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x782cf257ee686658, 0x000000003e4f8cd0,
};

// usb646_u1x8_uart0_noled_pr_ee_u4  usb647_u1x8_uart0_noled_pr_ee     usb647_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_usb646_u1x8_uart0_noled_pr_ee[] = {
  0x777776e544862d7b, 0xddddd2c46814dd63, 0x7e3b05fe974d8ddd, 0x8400c391c7bac1f6, 0xea3b29542dd92084,
  0x214cf94b9827c64e, 0xfda64c6f604e97fc, 0xe449aad68e71ae2d, 0x51f06cc1a63ea3ca, 0x69d68450ef8afbaf,
  0x484d7d1859622916, 0x59cead2f38ae3593, 0x5d0ebce9bb6f68f0, 0x908a39e461c6c6ab, 0x1fadc37b2d973170,
  0xbf600544a9a546c1, 0xeefce726dbf0313b, 0xe4df9bc03ea0c077, 0x3a20575539794d8c, 0x8aaa2d2c2e718de3,
  0xa5a97e6d892455bd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x1aa43c16792bf734, 0x00000000000009d7,
};

// usb647_u1x8_uart0_noled_pr_ce
static const uint64_t ur_usb646_u1x8_uart0_noled_pr_ce[] = {
  0x3777776e5acdfc4f, 0x7777774b045377d6, 0xfdc4ef897edac477, 0x8271fad122eeee8b, 0x09f193bb0bd68f1e,
  0x2913ffcdd73e1ee6, 0xd05716fed32637b0, 0xcf370ee76f7d8feb, 0xc67339d61fe7487f, 0xe33f51c43cf72cba,
  0x02dc313f490e2481, 0x173b482a3c667316, 0x83a74f71cb19e3af, 0xf39c9b6fc0c4eefd, 0x6fcde5ba8301dfbb,
  0xdeabaa9cbca6c672, 0xe33a205cd98c10b4, 0x0dca5a97e6da718d, 0xb31e40d1fc68b1e7, 0x964b867a615c9fba,
  0x66587494b670e271, 0x072a10fcf257ee68, 0x00000000000016ea,
};

// usb647_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_usb646_u1x8_uart0_noled_pr_ce_u4[] = {
  0x777776e544869391, 0xddddd2c1c1617d63, 0x7a8636cbded93ddd, 0x3bb1eebf77770fb0, 0x64eef4e3220cec4e,
  0xffc214cfb939827c, 0xe2dfda64c6f604be, 0xcdcee3dc62fd621a, 0xc4361222eb3879e3, 0x70fff0347ea3e12f,
  0x4f4f72ceafac9931, 0x92921c4903d67a8e, 0x7f47ac398b0147ce, 0x03ff6678ebd1f3b5, 0x1f03cb5b87d99e54,
  0x3936df8189ddfb07, 0xde01f50603bf77e7, 0xbaa9cbca6c6726fc, 0x6961738c6f19d102, 0xe6d89218edec5551,
  0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03,
  0xa4a5b387138cb25c, 0xc16792bf734332c3, 0x0000000375f69073,
};

/*
 * usb646_u1x8_uart0_noled_pr_ee_ce_u4 usb647_u1x8_uart0_noled_pr_ee_ce
 * usb647_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u1x8_uart0_noled_pr_ee_ce[] = {
  0x8ddddddb95121911, 0xbbbbbba5884468b5, 0xc1784142d04da67b, 0xcd2e2f6c148bba36, 0x3baaf99f5c12c5f4,
  0xe10a67cc7e609f19, 0x6fed32637b024b5f, 0x71ca317ea8fe7571, 0x0911759c3cf1e6e7, 0x299cbf51f097e21b,
  0x76b083df3262e1e9, 0xcc1ad7f51e57d44a, 0x8a0531584ff51f06, 0xa30b2c4522cd3ad0, 0x73abb74e23a909af,
  0x63af3a6edbda3c16, 0x451cf230e36355e3, 0xc8e1bd96cb98b848, 0xd859d12a6951b044, 0xbf39c9b6fc0c4eef,
  0x37e6f00fa8301dfb, 0x8815d54e5e536339, 0xaa8b4b0b9c6378ce, 0xd4bf36c490c76f62, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x4e1e0b3c95fb9a19, 0x0000000000027e0d,
};

// usb646_u1x8_uart0_lednop_pr       usb647_u1x8_uart0_lednop          usb647_u1x8_uart0_lednop_pr
static const uint64_t ur_usb646_u1x8_uart0_lednop[] = {
  0x3777776e5acdc49f, 0xeeeeee962c294256, 0xbfa453268735d7ee, 0x0d7f17ab6eee8c20, 0xf8c9ddcc490a86b4,
  0x6efff375cfa01304, 0xf5c5bfb4c98dec0a, 0x682fd47b58ef9610, 0xca6f920fd2438920, 0x659e8d219cc580b2,
  0xa807fecc11d7a3e7, 0x05681e59eda0b348, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0x63ce1b94b52fcdb7, 0x3f75663c81a3f8d1, 0xc4e32c970cf4c2b9,
  0xdcd0ccb0e9296ce1, 0x1f20a9d421f9e4af,
};

// usb647_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_usb646_u1x8_uart0_lednop_pr_u4[] = {
  0xeeeeedca890d3b90, 0xddddd2c585284ac6, 0xf48a64d0e6bafddd, 0xafe2f56dddd18417, 0xc9dd696696a1ae31,
  0xbfc214cfa01304f8, 0x716fed32637b029b, 0x0bf51ed63be5843d, 0x9be483f490e2481a, 0x67a3486731602cb2,
  0x01ffb30475e8f9d9, 0x5a07967b682cd22a, 0x726dbf0313bbf641, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c,
  0x31bc67440ef9537a, 0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd,
  0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x01f26cbf09e0b3c9,
};

// usb646_u1x8_uart0_lednop_pr_ee_u4 usb647_u1x8_uart0_lednop_pr_ee    usb647_u1x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_usb646_u1x8_uart0_lednop_pr_ee[] = {
  0xbbbbbb72a2435562, 0x777774b11a05a2b1, 0x3d4de3bdb7b8bf77, 0x878f61c8e3dd60fb, 0xe99169c105862b6c,
  0x214cfa9e9827c64e, 0xfda64c6f6045d7fc, 0xcca9aad68e71ae2d, 0x51f06cc1a63ea3ca, 0xd3ad08a1df1587bf,
  0x909afa30b2c4522c, 0xa39d5a5cf55c6b26, 0x5d0ebce9bb4648c9, 0x908a09e46f6ac6ab, 0x1fadc37b2d973170,
  0x7ec0087d99e546c1, 0xe0404e4db7e06277, 0x9bcd914180efddf9, 0x2a6f529c94e804df, 0x6ae9c6378ce881df,
  0x6db9c8ab7b15545a, 0x8d164498dca5a97e, 0x539fa9d599bf83bb, 0xf313ffbc3def2861, 0x7ec3347db0e3f8cb,
  0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x16792bf734332c3a, 0x00000013aeb46e3c,
};

// usb647_u1x8_uart0_lednop_pr_ce
static const uint64_t ur_usb646_u1x8_uart0_lednop_pr_ce[] = {
  0xc6eeeeedcb59bb37, 0xeeeeeee9608a245a, 0x8bfdc4e993bf3466, 0x5e6c311e3ef26eee, 0xe609f193bb63d908,
  0x605b7fffcdd73e63, 0xd7a0ae2dfda64c6f, 0xbf9e6e1dcee21b1f, 0x758ce673ac3c872e, 0x81e33f51f9e9ee59,
  0x160288ad7d490e24, 0x75e2e76d62334873, 0x7ec1d6b16e39633c, 0xe0404e4db7e06277, 0xf9bc1c9580efddf9,
  0x2a77165397ce804d, 0x81facc6085a7862b, 0x6a5f9b69c6378ce8, 0x0347f1a2c79c3729, 0x19e985727eeacc79,
  0xd252d9c389c6592e, 0x43f3c95fb9a19961, 0x000000000b7500a8,
};

// usb647_u1x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_usb646_u1x8_uart0_lednop_pr_ce_u4[] = {
  0x777776e5448690e3, 0xddddd2c1c15a9d63, 0x3c2fa8635f490ddd, 0x94dbd319bbbb87d8, 0xe3277448b333f61b,
  0xddfe10a67dd2cc13, 0xd716fed32637b02f, 0x1e6e7701a317eb10, 0x7e21b0911759c3cf, 0x2e1d36e76ff51f09,
  0xfa49ee59d5f59326, 0x22d24389207acf51, 0x67a3486731602a62, 0x01ffb33c75e8f9d9, 0x5681e5adc82cd22a,
  0x9c9b6fc0c4eefd90, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x12637296a5f9b6e7, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x006eba5588f059e4,
};

/*
 * usb646_u1x8_uart0_lednop_pr_ee_ce_u4 usb647_u1x8_uart0_lednop_pr_ee_ce
 * usb647_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u1x8_uart0_lednop_pr_ee_ce[] = {
  0x777776e54486b044, 0xeeeee96211171d63, 0xbda284056f560eee, 0x2619b60a45dd1b60, 0x76527dc4eb17f226,
  0x0a67ffe4c13e3277, 0xda64c6f605d3ffe1, 0xd462fd51fceae2df, 0x22eb3879e3cdcec9, 0x83fea3e12fc43612,
  0xc20f7cc98b87ca86, 0x6b5fd4795f7529da, 0x14c57b7fd47c1b30, 0x2cb1148b34eb4228, 0xaedc7a8ea426be8c,
  0x5e74dda32464d1ce, 0x09e46f6ac6abc6c7, 0xc37b2d973170908a, 0x663eccf2a3608991, 0x2726dbf0313bbf61,
  0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574, 0x4498dca5a97e6db9,
  0xa9d599bf83bb8d16, 0xffbc3def2861539f, 0x347db0e3f8cbf313, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0013f2db753c1679,
};

/*
 * usb646_u1x8_uart0_dual_pr         usb646_u1x8_uart0_dual_pr_u4      usb647_u1x8_uart0_dual
 * usb647_u1x8_uart0_dual_pr         usb647_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_usb646_u1x8_uart0_dual[] = {
  0xddddd7ed44864541, 0xddddc3eebcdd7afd, 0x81793b92ed86dddd, 0x6294247777717bd7, 0x8b920126fed61f3d,
  0x154866fcc13e3256, 0x06d2303775f64c8c, 0x094ee9f12e206143, 0xc99c3e74d21ff328, 0x9037f26f51ca2ec1,
  0xbfcfdf0450a48904, 0x02d09f5c3e144312, 0xd04c510cab397a67, 0xd01cf09a328a8432, 0xb0de579096dcc7ff,
  0x37b023d7fec44260, 0xdf2c4d5716fed326, 0x0e2481887f51f229, 0x1602a83cd38bdf49, 0x5e00ced6b23afe73,
  0x21d21aa01ffb3047, 0xb8a92a93a07967b6, 0x062777ec9fc55f3b, 0xfddf9e0404e4db7e, 0x804df9bcd914180e,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0xf83bb8d164498dca, 0xf2861539fa9d599b,
  0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0xe4a3c16792bf7343,
  0x000000000001493d,
};

// usb646_u1x8_uart0_dual_pr_ee_u4   usb647_u1x8_uart0_dual_pr_ee      usb647_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_usb646_u1x8_uart0_dual_pr_ee[] = {
  0xeeeeebf6a2435032, 0xddddc3ed4f3efd7e, 0xf5dc6a1edb5adddd, 0xf651337afba8cd99, 0xeda3f5c7bb28bf7e,
  0xbb9827c64f4eb955, 0x0ddd7d932305521d, 0x7c4b881850c1b48c, 0x6e6ddafcca0253ba, 0xdea385ad818f9c06,
  0x114292241240c9d4, 0x70f8510c4aff3f7c, 0x6559cbd339d6627d, 0x2fb8a8432d04ac88, 0x12db9c1ffa039e13,
  0x7fd8884c161bcaf2, 0xc5bfb4c98dec0b2b, 0xf2b5f7355ad1c895, 0x2bd47c1b3060a7a8, 0x8b34eb422877c575,
  0xb9a426be8c2cb114, 0xf7b39d5a5cca5c54, 0xab5d0ebd44bb4428, 0xb84845022a3e7ac6, 0xc11fadc37b2fa598,
  0xdc54940213fac546, 0x0313bbf64fe2af9d, 0x7eefcf0202726dbf, 0x4026fcde6c8a0c07, 0x440ef9537a94e4a7,
  0xaaa2d3574e31bc67, 0x2d4bf36dce455bd8, 0xfc1ddc68b224c6e5, 0x79430a9cfd4eaccd, 0x1fc65f989ffde1ef,
  0x7f81fbf619a3ed87, 0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x3eb9e0b3c95fb9a1, 0x0000000000001592,
};

// usb646_u1x8_uart0_dual_pr_ce_u4   usb647_u1x8_uart0_dual_pr_ce      usb647_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_usb646_u1x8_uart0_dual_pr_ce[] = {
  0xfdddddd7ed4486f9, 0xddddddc3e5c4b57a, 0x6673bed3d6db17dd, 0xd76cf9056eeeac14, 0x3b94da390eabdfc3,
  0x5520dbb9827c64ae, 0x1b48c0ddd7d93230, 0x253ba7c4b881850c, 0x09c3abe6a1ffcca0, 0x076ea6f51e396c0e,
  0xf9fbe08a14912092, 0xc113eb87c2886257, 0x1fc4432ace5e99ce, 0x0e784db7e2a10cb4, 0x6f2bc84b6fbeffe8,
  0xb02387ff62213058, 0xd65f5716fed32637, 0x879e3cdced2b462f, 0x3e12fc4361222eb3, 0x73262e1eb7e007ea,
  0xfa8e37e7b96757a9, 0x0507ca4871240ea5, 0x9dad6475fce62c05, 0x35403ff6678ebc01, 0x9549d03cb5b843a4,
  0xbbf64fe2af9ddc54, 0xcf0202726dbf0313, 0xfcde6c8a0c077eef, 0xf9537a94e4a74026, 0xd3574e31bc67440e,
  0xe6db9c31dbd8aaa2, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc16792bf734332c3, 0x000000006923f023,
};

// usb647_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_usb646_u1x8_uart0_dual_pr_ee_ce[] = {
  0x777775fb76090c86, 0xeeeee1fa8787debf, 0x932b8d17eb4f6eee, 0xa3e0cd19ee9d64e5, 0x37675ef98b682e16,
  0x49827c64d86b9776, 0x775f64c8c15489aa, 0x12e20614306d2303, 0x3337ff328094ee9f, 0xa3f60ec2f0ce1cb5,
  0x8524482481a1f4de, 0xf0a21895fe7ef822, 0xce5e99ce41c4fae1, 0x4542196813a4432a, 0xde007fd01cf09b67,
  0xc44260b0de579096, 0xfda64c6f6041a3fe, 0x8fc62fd51943ae2d, 0x445d670f3c79b9d9, 0x24afd47c25f886c2,
  0xac21374c98b87b91, 0x835f3d4795bf929d, 0x40a62b80dea3e0d9, 0x616588a459a75a11, 0x7576e328752135f4,
  0x3af512ed10a3dece, 0x281151f3d6355e36, 0x8e1bd97d2cc5c242, 0x52cc4feb151b044c, 0xefd93f8abe777152,
  0x3c0809c9b6fc0c4e, 0xf379b228301dfbbf, 0xe54dea53929d009b, 0x4d5d38c6f19d103b, 0x9b6e70c76f62aa8b,
  0x34581e8637296a5f, 0x4e7ea75666fe0eee, 0xe68fb61c4e34a185, 0x592e19e985727e03, 0x9961d252d9c389c6,
  0x2fd9e0b3c95fb9a1, 0x0000000000001000,
};

// usb647_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0x7775fb5150fed4d6, 0xeee1fa8787debf77, 0x2b8d17eb4f6eeeee, 0xe0cd19ee9d64e593, 0xafd7b66f682e16a3,
  0x09f19361ae4dd8cf, 0x7d9323055226a926, 0x881850c1b48c0ddd, 0xbff9958093ba7c4b, 0xb076178670e5a999,
  0x2241240d0fa6f51f, 0x10c4aff3f7c11429, 0xf4ce720e27d70f85, 0x10cb409d22195672, 0x03fe80e784db3a2a,
  0xf30586f2bc84b6f0, 0x931bd81068ff2642, 0x8bf54650eb8b7f69, 0x670f3cf8067663f1, 0xd47c25f886c2445d,
  0xdd3262e1cc03743f, 0xf51e56fe4a76b084, 0xae037a8f83660d7c, 0x2291669d68450298, 0x8ca1d484d7d18596,
  0x4bb4428f7b39d5db, 0x47cf58d578d8ebd4, 0x65f4b3170908a045, 0x3fac546c1132386f, 0xfe2af9ddc5494b31,
  0x2726dbf0313bbf64, 0xc8a0c077eefcf020, 0xa94e4a74026fcde6, 0xe31bc67440ef9537, 0xc31dbd8aaa2d3574,
  0x4498dca5a97e6db9, 0x4eaccdfc1a3f8d16, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619,
  0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x0200051642d3f3c9,
};

// usb647_u1x8_uart0_dual_ee_hw
static const uint64_t ur_usb646_u1x8_uart0_dual_ee_hw[] = {
  0xf777775fb51468f9, 0xeeeeee1f6a79f7eb, 0xcfaee350f6dad6ee, 0xf7b2899bd7dd466c, 0x94da390f5fc345fb,
  0x21dbb9827c64f4eb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc066e6ddafccae83, 0x9d4dea385ad818f9,
  0xf7c114292241240c, 0x27d70f8510c4aff3, 0xc886559cbd339d66, 0xe132fb8a8432d04a, 0xaf212db9c1ffa039,
  0x595bff9524c161bc, 0x44ae2dfda64c6f60, 0x3d4795afb9aad68e, 0x2ba95ea3e0d98305, 0x88a459a75a1143be,
  0xe2a5cd2135f46165, 0x2147bd9cead2e652, 0xd6355ae875ea25da, 0x2cc5c242281151f3, 0x2a3608fd6e1bd97d,
  0x7ceee2a4a0109fd6, 0x6df8189ddfb27f15, 0x603bf77e78101393, 0x253a0137e6f36450, 0xe33a2077ca9bd4a7,
  0xdec555169aba718d, 0x37296a5f9b6e722a, 0xbde50c2a73f509c6, 0x1c7f197e627ff787, 0x45fe07efd8668fb6,
  0x1964b867a617c68f, 0x866587494b670e27, 0xd233cbd14f257ee6, 0x00000000000000ae,
};

/*
 * usb646_u1x8_uart0_dual_ee_ce_u4_hw usb647_u1x8_uart0_dual_ee_ce_hw
 * usb647_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_u1x8_uart0_dual_ee_ce_hw[] = {
  0xbbbafda8a34404d3, 0x7770fd43c3ef5fbb, 0x95c68bf5a7b77777, 0xf0668cf74eb272c9, 0xf5f68d3ab4170b51,
  0x9827c64d86b979af, 0x75f64c8c15489aa4, 0x2e20614306d23037, 0x337ff32ba0cee9f1, 0x3f60ec2f0ce1cb53,
  0x524482481a1f4dea, 0x0a21895fe7ef8228, 0xe5e99ce41c4fae1f, 0x542196813a4432ac, 0xe007fd01cf09b674,
  0xa9260b0de579096d, 0xed32637b020d1ffc, 0x7e317ea8ca1d716f, 0x45d670f3cf21cecc, 0x1ffd47c25f886c24,
  0x8426e993170ece5d, 0x6be7a8f2b7f253b5, 0x14c5701bd47c1b30, 0x2cb1148b34eb4228, 0xaedc650ea426be8c,
  0x5ea25da2147bd9ce, 0x022a3e7ac6abc6c7, 0xc37b2fa598b84845, 0x5989fd62a3608991, 0xfb27f157ceee2a4a,
  0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c, 0x6dce18edec555169,
  0x7ea138c6e52d4bf3, 0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x00000ebac880ba29,
};

// usb646_u1x12_uart0_noled_pr       usb647_u1x12_uart0_noled          usb647_u1x12_uart0_noled_pr
static const uint64_t ur_usb646_u1x12_uart0_noled[] = {
  0xeeeec49ddacdfebe, 0xddddd2c39c9e4ac6, 0x9cdf839a0ef1fddd, 0xa17b7edbbbb49fd4, 0x64eef8fc28b89215,
  0x7ff9bae7e719827c, 0xfdb53fbb74f824be, 0x01df2c21e1b46e93, 0xa4871240d05fa8fd, 0x1cc580b2ca67bed6,
  0x0475e8f9dabfa3d6, 0x7b63eccf2a01ffb3, 0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea,
  0x18de33a205755397, 0x455bd8aaa2d2c2e7, 0xe70dca5a97e6d892, 0xbab31e40d1fc68b1, 0x71964b867a615c9f,
  0x6866587494b670e2, 0xe439ca10fcf257ee, 0x0000000000000003,
};

// usb647_u1x12_uart0_noled_pr_u4
static const uint64_t ur_usb646_u1x12_uart0_noled_pr_u4[] = {
  0xeeec49dd44862a9c, 0xdddd2c39c9e4ac6e, 0xcdf839a0ef1fdddd, 0x17b7edbbbb49fd49, 0x3bb0cc8f97134b5a,
  0xf84299f9c6609f19, 0xdb53fbb74f824be7, 0x1df2c21e1b46e93f, 0x4871240d05fa8fd0, 0xcc580b2ca67bed6a,
  0x475e8f9dabfa3d61, 0xb63eccf2a01ffb30, 0x313bbf60e3e07967, 0xc077eefce726dbf0, 0x4d8ce4df9bc03ea0,
  0x8de33a2057553979, 0x55bd8aaa2d2c2e71, 0x98dca5a97e6d8924, 0xd599bf83bb8d1644, 0xbc3def2861539fa9,
  0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x1f276cc53c16792b,
};

// usb646_u1x12_uart0_noled_pr_ee_u4 usb647_u1x12_uart0_noled_pr_ee    usb647_u1x12_uart0_noled_pr_ee_u4
static const uint64_t ur_usb646_u1x12_uart0_noled_pr_ee[] = {
  0x777624eea243280b, 0x77774b0f20485637, 0x2c9b53267a0cf777, 0x2a1ece244eef07a1, 0x7273d6a0ad38d841,
  0x0a67d82cc13e3277, 0x9fddba7c12387fe1, 0xd1ce30da3749feda, 0x34c7d4795c89355a, 0x1df15f75ea3e0d98,
  0x0b2c4522cd3ad08a, 0xe715c6b26909afa3, 0x376ded1e0b39d5a5, 0x8c38d8d56ba1d79d, 0x65b2e62e1211473c,
  0x9534a8d823f5b86f, 0xdb7e062777ec00a8, 0x07d4180efddf9ce4, 0xa72f29b19c9bf378, 0x85ce31bc67440aea,
  0xb1248ab7b15545a5, 0xa2c8931b94b52fcd, 0x73f53ab337f07771, 0x627ff787bde50c2a, 0xd8668fb61c7f197e,
  0xa617c68f45fe07ef, 0x4b670e271964b867, 0xcf257ee686658749, 0x0000013af7926782,
};

// usb647_u1x12_uart0_noled_pr_ce
static const uint64_t ur_usb646_u1x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xddddd2c569f48b58, 0x41b4d3277e68cddd, 0x6c311e3ef26eeeea, 0x09f193bb63d9085e,
  0x5b7fffcdd73e63e6, 0xe93fdb53fbb74f82, 0x3b7bec7f5e821b46, 0xb0ff3a43fe79b877, 0x21e7b965d63399ce,
  0xfa4871240f19fa8e, 0x51e33398b016e189, 0x8e58cf1d78b9da41, 0x7e062777ec1d3a7b, 0xd4180efddf9ce4db,
  0xe5e53633937e6f2d, 0xe6cc6085a6f55d54, 0xbf36d38c6f19d102, 0x8fe3458f386e52d4, 0xd30ae4fdd598f206,
  0xa5b387138cb25c33, 0xe792bf734332c3a4, 0x00000016ea015087,
};

// usb647_u1x12_uart0_noled_pr_ce_u4
static const uint64_t ur_usb646_u1x12_uart0_noled_pr_ce_u4[] = {
  0x777624eea2432f02, 0xeeee963d4ec7d637, 0x7cc4b8d69b856eee, 0xc9e3bf4bbbbaa670, 0x3277638c0b376cce,
  0xbfe10a67fe74c13e, 0xfeda9fddba7c1228, 0xb8c5fac430da3749, 0x45d670f3c79b9dc7, 0x68fd47c25f886c24,
  0x9d5f593262e1ffe0, 0x9207acf51c9e9ee5, 0x7316028f9d252438, 0xf1d7a3e76afe8f58, 0xb70fb33ca807fecc,
  0x0313bbf60e3e0796, 0x0c077eefce726dbf, 0x94d8ce4df9bc03ea, 0x18de33a205755397, 0x31dbd8aaa2d2c2e7,
  0x931b94b52fcdb124, 0x3ab337f07771a2c8, 0xf787bde50c2a73f5, 0x8fb61c7f197e627f, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x0375f7548782cf25,
};

/*
 * usb646_u1x12_uart0_noled_pr_ee_ce_u4 usb647_u1x12_uart0_noled_pr_ee_ce
 * usb647_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u1x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd448624d6, 0x7774b010b9a5ac6e, 0x646829b1bc977777, 0x3f62fef26e9716a7, 0xb5d768ed3ee99fd3,
  0x33e337304f8c9ddf, 0xeedd3e0905aff085, 0xfce86d1ba4ff6d4f, 0xe3cdcee39462fd51, 0x2fc4361222eb3879,
  0xc5c3d253397ea3e1, 0xafa894ed6107be64, 0xea3e0d9835afea3c, 0x9a75a1140a62b09f, 0x52135f4616588a45,
  0xb4782ce7576e9c47, 0xc6abc6c75e74ddb7, 0x3170908a39e461c6, 0xa3608991c37b2d97, 0x189ddfb0b3a254d2,
  0x603bf77e73936df8, 0xa6c6726fcde01f50, 0xc6f19d102baa9cbc, 0x8edec55516961738, 0x98dca5a97e6d8921,
  0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be,
  0xf734332c3a4a5b38, 0x09f820ae3c16792b,
};

// usb646_u1x12_uart0_lednop_pr      usb647_u1x12_uart0_lednop         usb647_u1x12_uart0_lednop_pr
static const uint64_t ur_usb646_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x8c9dd05e82662c83,
  0xefff375cf9eb304f, 0xff6d4feedd3e094b, 0xac77cb08786d1ba4, 0xe921c4903417ea3d, 0xce62c0596537c907,
  0x08ebd1f3b2cf4690, 0xf6d059a45403ff66, 0x062777ec82b40f2c, 0xfddf9e0404e4db7e, 0x804df9bcd914180e,
  0x881df2a6f529c94e, 0x5545a6ae9c6378ce, 0x5a97e6db9c8ab7b1, 0x40d1fc68b1e70dca, 0x867a615c9fbab31e,
  0x7494b670e271964b, 0x10fcf257ee686658, 0x0000000007c8124a,
};

// usb647_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_usb646_u1x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd4486ff41, 0xbbba5873978bac6e, 0x7939bfafdf4bbbbb, 0xe35cdadddda4fea4, 0x4eed0bfa79898975,
  0xfe10a67cf59827c6, 0xeda9fddba7c1297d, 0x8ef9610f0da3749f, 0x2438920682fd47b5, 0xcc580b2ca6f920fd,
  0x1d7a3e7659e8d219, 0xda0b348a807fecc1, 0xc4eefd905681e59e, 0xbbf3c0809c9b6fc0, 0x09bf379b228301df,
  0x03be54dea53929d0, 0xa8b4d5d38c6f19d1, 0x52fcdb739156f62a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f,
  0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0xb4782cf257ee6866,
  0x00000000003e4fec,
};

/*
 * usb646_u1x12_uart0_lednop_pr_ee_u4 usb647_u1x12_uart0_lednop_pr_ee
 * usb647_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb646_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb127751218375, 0xbbbba58790642b1b, 0x212164e00d3f7bbb, 0xdc2fd9c489dde0f4, 0xb02c055916c58bca,
  0x8533f95a609f193b, 0x4feedd3e09143ff0, 0x68e7186d1ba4ff6d, 0x1a63ea3cacca9aad, 0x1df1587bf51f06cc,
  0x0b2c4522cd3ad08a, 0xcf55c6b26909afa3, 0x9bb4648c9a39d5a5, 0x46f6ac6ab5d0ebce, 0xb2d973170908a09e,
  0xd99e546c11fadc37, 0xdb7e062777ec0087, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529,
  0xb7b15545a6ae9c63, 0x8dca5a97e6db9c8a, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x9d70d4e3c16792bf,
};

/*
 * usb646_u1x12_uart0_lednop_pr_ce_u4 usb647_u1x12_uart0_lednop_pr_ce
 * usb647_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb646_u1x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd4486fc3b, 0xdddd2c7a9bd3ac6e, 0xec7e62ebf504dddd, 0x20a6f6deeeea99c1, 0x64eedc1374d2ca71,
  0xbfc214cf9c39827c, 0xfdb53fbb74f82495, 0xd18bf58861b46e93, 0x8bace1e78f373b80, 0xb7fa8f84bf10d848,
  0xeafac993170e9b73, 0x903d67a8fd24f72c, 0x98b01531116921c4, 0x3af47cecb3d1a433, 0xe416691500ffd99e,
  0x62777ec82b40f2d6, 0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8,
  0x52fcdb73863b7b15, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7,
  0x4b867a617c68f45f, 0x587494b670e27196, 0xb4782cf257ee6866, 0x0000000000375e0b,
};

/*
 * usb646_u1x12_uart0_lednop_pr_ee_ce_u4 usb647_u1x12_uart0_lednop_pr_ee_ce
 * usb647_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u1x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd4486a4d6, 0x7774b010b989ac6e, 0xd2d91c5fb2ef7777, 0x34c5fde4dd2e2d4c, 0x3b3ecc8957ac1f22,
  0x33e1a2609f193ba7, 0xddba7c12b1fff085, 0xf9d0da3749feda9f, 0xc79b9d93a8c5faa3, 0x5f886c2445d670f3,
  0x170f950d07fd47c2, 0xbeea53b5841ef993, 0xa8f83660d6bfa8f2, 0x69d68450298af6ff, 0x484d7d1859622916,
  0x48c9a39d5db8f51d, 0x8d578d8ebce9bb46, 0x62e1211413c8ded5, 0x46c1132386f65b2e, 0x62777ec2cc7d99e5,
  0xddf9e0404e4db7e0, 0x04df9bcd914180ef, 0x81df2a6f529c94e8, 0x545a6ae9c6378ce8, 0x52fcdb73863b7b15,
  0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde, 0xe07efd8668fb61c7, 0x4b867a617c68f45f,
  0x587494b670e27196, 0x48782cf257ee6866, 0x000000000013f0f5,
};

/*
 * usb646_u1x12_uart0_dual_pr        usb646_u1x12_uart0_dual_pr_u4     usb647_u1x12_uart0_dual
 * usb647_u1x12_uart0_dual_pr        usb647_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_usb646_u1x12_uart0_dual[] = {
  0x776fc60f448650e3, 0x7770ffa5295ebf77, 0x7589e9dad8b77777, 0xf5ae0eeee9fb0803, 0xb90581f24c70bb0c,
  0xaa42544c13e32590, 0x369181bbafb26460, 0x4a774f8971030a18, 0x38e121e62ebf9940, 0x035f737a8ee4f61f,
  0xfcfdf0450a489049, 0x8f89f5c3e144312b, 0x1f222195672f4ce1, 0x039e130f9150865a, 0x1bcaf212dbc06ffa,
  0xf04827ffd8884c16, 0x68dd27fb6a7f76e9, 0x7f51f229df2c4d43, 0xd38bdf490e248188, 0xb23afe731602a83c,
  0x1ffb30475e00ced6, 0xa07967b621d21aa0, 0x9fc55f3bb8a92a93, 0x04e4db7e062777ec, 0xd914180efddf9e04,
  0xf529c94e804df9bc, 0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0x64498dca5a97e6db, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x000149397053c167,
};

// usb646_u1x12_uart0_dual_pr_ee_u4  usb647_u1x12_uart0_dual_pr_ee     usb647_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_usb646_u1x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2437089, 0x7770fbd3dfbf5fbb, 0x72c4afb6abf77777, 0x70db08376271bab1, 0xacad9bada56a8bce,
  0x4c13e32638dcaf27, 0x775f64c8c15480b2, 0x12e20614306d2303, 0x9936ff328094ee9f, 0x51cc7f6033670dda,
  0xa149120920696a6f, 0x7c2886257f9fbe08, 0xace5e99c64313eb8, 0x2c54219683a54432, 0xdbf57ffd01cf098a,
  0xd8884c161bcaf212, 0x6a7f76e9f04b7dff, 0x6b47224368dd27fb, 0xc1829ea3cad7dcd5, 0xa1df15d4af51f06c,
  0x30b2c4522cd3ad08, 0x73297152e6909afa, 0x12ed10a3dece7569, 0xa8f9eb1aad743af5, 0xecbe9662e1211408,
  0x4feb151b047eb70d, 0x3f8abe7771525008, 0x09c9b6fc0c4eefd9, 0xb228301dfbbf3c08, 0xea53929d009bf379,
  0x38c6f19d103be54d, 0x39156f62aa8b4d5d, 0xc8931b94b52fcdb7, 0xf53ab337f07771a2, 0x7ff787bde50c2a73,
  0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b, 0x00002b25594782cf,
};

// usb646_u1x12_uart0_dual_pr_ce_u4  usb647_u1x12_uart0_dual_pr_ce     usb647_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_usb646_u1x12_uart0_dual_pr_ce[] = {
  0x776fc60f44869a4e, 0x7770ff8f67debf77, 0x349961b4abf77777, 0xbb1edbbbb2ee2704, 0x8fea314023c3b17e,
  0x148cc13e324c4dcb, 0x606eebec99182a90, 0xd3e25c40c2860da4, 0x43f374ffe650129d, 0xa6f51ce0ec3abce1,
  0xe08a1491209207b3, 0xeb87c2886257f9fb, 0x432ace5e99cbc313, 0x983dc54219682fb4, 0x9096df4dffd01cf0,
  0x2ffec44260b0de57, 0x3fdb53fbb74f8245, 0x5a317eb2fa1b46e9, 0x11759c3cf1e6e769, 0x003f51f097e21b09,
  0x3abd4b993170f5bf, 0x20752fd471bf3dcb, 0x316028283e524389, 0x75e00ced6b23afe7, 0xc21d21aa01ffb33c,
  0xeee2a4aa4e81e5ad, 0xf8189ddfb27f157c, 0x3bf77e781013936d, 0x3a0137e6f3645060, 0x3a2077ca9bd4a725,
  0xc555169aba718de3, 0x52d4bf36dce18ede, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc, 0x71fc65f989ffde1e,
  0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x32499e0b3c95fb9a, 0x0000000000000349,
};

// usb647_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_usb646_u1x12_uart0_dual_pr_ee_ce[] = {
  0xbb7e307d41436f02, 0xddc3fe97bbf5fbbb, 0xeabfaef49bdddddd, 0x7852c1dd69c75913, 0x5c67059bc995dfbf,
  0x09f1921bae4fe1f3, 0x5f64c8c1548ee3e6, 0xe20614306d230377, 0xf5ff328094ee9f12, 0x7adfd8400380a49b,
  0xa489049039db9bd4, 0x144312bfcfdf0450, 0xe5e99c54889f5c3e, 0x54219685ba4432ac, 0xf4d7fd01cf0994f4,
  0x44260b0de579096d, 0x3fbb74f82416bfec, 0x47fba1b46e93fdb5, 0xfcf1e6e771cac7f5, 0xb374ce7587b9124a,
  0xf3d4795bf929dac0, 0x62b80dea3e0d9835, 0x588a459a75a1140a, 0x6e328752135f4616, 0x512ed10a3dece757,
  0x151f3d6355e363af, 0xbd97d2cc5c242281, 0xc4feb151b044c8e1, 0x93f8abe77715252c, 0x809c9b6fc0c4eefd,
  0x9b228301dfbbf3c0, 0xdea53929d009bf37, 0xd38c6f19d103be54, 0xe70c76f62aa8b4d5, 0x81e8637296a5f9b6,
  0xea75666fe0eee345, 0xfb61c4e34a1854e7, 0xe19e985727e03e68, 0x1d252d9c389c6592, 0x9e0b3c95fb9a1996,
  0x00000000008007ad,
};

// usb647_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87fbb90, 0xee1fcc5c2fd7eeee, 0xd9bad68ce6eeeeee, 0xcddc4edd9c45a89b, 0xeaf7fd6da7ad0513,
  0x27c64b62b91a912b, 0xfb26460aa4279798, 0x1030a18369181bba, 0xa3f32b012774f897, 0xe1ec3968e0cdf992,
  0x4482481e374dea3d, 0x21895fe7ef822852, 0xe99c575c4fae1f0a, 0x2196825a4432ace5, 0x27fd01cf09a39454,
  0xe60b0de579096dc5, 0xdba7c12d35fe4c85, 0x870da3749feda9fd, 0xc033b31f8c5faa32, 0xc4361222eb3879e7,
  0x0e601ba1fea3e12f, 0xf253b58426e99317, 0x7c1b306be7a8f2b7, 0xeb422814c5701bd4, 0x26be8c2cb1148b34,
  0x7bd9ceaedc650ea4, 0xabc6c75ea25da214, 0xb84845022a3e7ac6, 0x608991c37b2fa598, 0xee2a4a5989fd62a3,
  0x8189ddfb27f157ce, 0xbf77e781013936df, 0xa0137e6f36450603, 0xa2077ca9bd4a7253, 0x555169aba718de33,
  0x2d4bf36dce18edec, 0xe0d1fc68b224c6e5, 0xca1854e7ea75666f, 0xfe32fcc4ffef0f7b, 0xfc0fdfb0cd1f6c38,
  0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xc9969f9e4afdcd0c, 0x0000000000100173,
};

// usb647_u1x12_uart0_dual_ee_hw
static const uint64_t ur_usb646_u1x12_uart0_dual_ee_hw[] = {
  0xddbf183d14689a4e, 0xbb87de9efdfafddd, 0x96257db55fbbbbbb, 0x86d841bb138dd58b, 0xf518e8f0eb545e73,
  0x92609f1931c6e5c7, 0x1bbafb26460aa405, 0xf8971030a1836918, 0xd4c9b7f995d06774, 0x7a8e63fb019b386e,
  0x450a489049034b53, 0xc3e144312bfcfdf0, 0x95672f4ce32189f5, 0x5162a10cb41d2a21, 0x96dfabffe80e784c,
  0xffca9260b0de5790, 0xeda9fddba7c12df7, 0x55ad1c890da3749f, 0xb3060a7a8f2b5f73, 0x22877c5752bd47c1,
  0xe8c2cb1148b34eb4, 0xa5cca5c54b9a426b, 0xd44bb4428f7b39d5, 0x22a3e7ac6ab5d0eb, 0x37b2fa598b848450,
  0x213fac546c11fadc, 0x64fe2af9ddc54940, 0x202726dbf0313bbf, 0xe6c8a0c077eefcf0, 0x37a94e4a74026fcd,
  0x74e31bc67440ef95, 0xdce455bd8aaa2d35, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7, 0xcd1f6c38fe32fcc4,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x0000aed73217a29e,
};

/*
 * usb646_u1x12_uart0_dual_ee_ce_u4_hw usb647_u1x12_uart0_dual_ee_ce_hw
 * usb647_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_u1x12_uart0_dual_ee_ce_hw[] = {
  0x76fc60f451a3b46e, 0x770fe62e17ebf777, 0xecdd6b4673777777, 0xe6ee276ece22d44d, 0x93fbffc2d3d68289,
  0x304f8c96c57230a0, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x92a3f32ba0cee9f1, 0x3de1ec3968e0cdf9,
  0x524482481e374dea, 0x0a21895fe7ef8228, 0xe5e99c575c4fae1f, 0x542196825a4432ac, 0xc527fd01cf09a394,
  0xa9260b0de579096d, 0x9fddba7c12d35ffc, 0xa32870da3749feda, 0xcf3c873b31f8c5fa, 0x097e21b0911759c3,
  0x4c5c3b39747ff51f, 0xcadfc94ed6109ba6, 0x6f51f06cc1af9ea3, 0x2cd3ad08a05315c0, 0x3a909afa30b2c452,
  0x8851ef673abb7194, 0xeb1aaf1b1d7a8976, 0x9662e1211408a8f9, 0x8a8d8226470decbe, 0x5f3bb8a9296627f5,
  0xdb7e062777ec9fc5, 0x180efddf9e0404e4, 0xc94e804df9bcd914, 0x78ce881df2a6f529, 0xb7b15545a6ae9c63,
  0x1b94b52fcdb73863, 0xdef2861539fa84e3, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347,
  0x4332c3a4a5b38713, 0x75a0fba8a792bf73, 0x000000000000001d,
};

// usb646_u2x8_uart0_noled_pr        usb647_u2x8_uart0_noled           usb647_u2x8_uart0_noled_pr
static const uint64_t ur_usb646_u2x8_uart0_noled[] = {
  0x377777625acdfebe, 0xeeeeee961ce4f256, 0xa4e6fc1cd0778fee, 0xad0bdbf6dddda4fe, 0xe32777c7e145c490,
  0xf3ffcdd73f38cc13, 0xb5472937dba7c125, 0x7e80ef9610f0da37, 0x6b52438920682fd4, 0xeb0e62c0596533df,
  0xd9823af47ced5fd1, 0xcb3db1f6679500ff, 0xdf8189ddfb071f03, 0xf50603bf77e73936, 0xcbca6c6726fcde01,
  0x738c6f19d102baa9, 0x4922adec55516961, 0x58f386e52d4bf36c, 0x4fdd598f2068fe34, 0x7138cb25c33d30ae,
  0xf734332c3a4a5b38, 0x01f21ce5087e792b,
};

// usb647_u2x8_uart0_noled_pr_u4
static const uint64_t ur_usb646_u2x8_uart0_noled_pr_u4[] = {
  0x7777762544862a9c, 0xeeeee961ce4f2563, 0x4e6fc1cd0778feee, 0xd0bdbf6dddda4fea, 0xc9dd86647cb89a5a,
  0x3fc214cfce3304f8, 0x5472937dba7c125f, 0xe80ef9610f0da37b, 0xb52438920682fd47, 0xb0e62c0596533df6,
  0x9823af47ced5fd1e, 0xb3db1f6679500ffd, 0xf8189ddfb071f03c, 0x50603bf77e73936d, 0xbca6c6726fcde01f,
  0x38c6f19d102baa9c, 0x922adec555169617, 0x224c6e52d4bf36c4, 0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf,
  0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000f93b6629e0b3c,
};

// usb646_u2x8_uart0_noled_pr_ee_u4  usb647_u2x8_uart0_noled_pr_ee     usb647_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_usb646_u2x8_uart0_noled_pr_ee[] = {
  0xbbbbbb12a243280b, 0xbbbbba58790242b1, 0x0964da9933d067bb, 0x0950f6712277783d, 0xbb939eb50569c6c2,
  0x08533ec16609f193, 0x949bedd3e091c3ff, 0xad68e7186d1bdaa3, 0xcc1a63ea3cae449a, 0x450ef8afbaf51f06,
  0xd185962291669d68, 0xd2f38ae3593484d7, 0xce9bb6f68f059cea, 0x9e461c6c6ab5d0eb, 0x37b2d973170908a3,
  0x544a9a546c11fadc, 0x726dbf0313bbf600, 0xbc03ea0c077eefce, 0x75539794d8ce4df9, 0xd2c2e718de33a205,
  0xe6d892455bd8aaa2, 0xb8d164498dca5a97, 0x1539fa9d599bf83b, 0xbf313ffbc3def286, 0xf7ec3347db0e3f8c,
  0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc16792bf734332c3, 0x000000009d7bc933,
};

// usb647_u2x8_uart0_noled_pr_ce
static const uint64_t ur_usb646_u2x8_uart0_noled_pr_ce[] = {
  0xc6eeeeec4b59bb37, 0xeeeeee962b4fa45a, 0x520da6993bf3466e, 0xf36188f1f7937777, 0x304f8c9ddb1ec842,
  0x12dbfffe6eb9f31f, 0xa37b5472937dba7c, 0x3b9dbdf63faf410d, 0xe7587f9d21ff3cdc, 0x4710f3dcb2eb19cc,
  0xc4fd243892078cfd, 0x20a8f199cc580b70, 0x3dc72c678ebc5ced, 0x6dbf0313bbf60e9d, 0x96ea0c077eefce72,
  0xaa72f29b19c9bf37, 0x8173663042d37aae, 0x6a5f9b69c6378ce8, 0x0347f1a2c79c3729, 0x19e985727eeacc79,
  0xd252d9c389c6592e, 0x43f3c95fb9a19961, 0x000000000b7500a8,
};

// usb647_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_usb646_u2x8_uart0_noled_pr_ce_u4[] = {
  0xbbbbbb12a2432f02, 0x777774b1ea763eb1, 0x83e625c6b4dc2b77, 0x764f1dfa5dddd533, 0xf193bb1c6059bb66,
  0x45ff08533ff3a609, 0xdaa3949bedd3e091, 0xe3dc62fd62186d1b, 0x1222eb3879e3cdce, 0xf0347ea3e12fc436,
  0x72ceafac993170ff, 0x1c4903d67a8e4f4f, 0xac398b0147ce9292, 0x6678ebd1f3b57f47, 0xcb5b87d99e5403ff,
  0xdf8189ddfb071f03, 0xf50603bf77e73936, 0xcbca6c6726fcde01, 0x738c6f19d102baa9, 0x9218edec55516961,
  0x64498dca5a97e6d8, 0xfa9d599bf83bb8d1, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x0001bafbaa43c167,
};

/*
 * usb646_u2x8_uart0_noled_pr_ee_ce_u4 usb647_u2x8_uart0_noled_pr_ee_ce
 * usb647_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u2x8_uart0_noled_pr_ee_ce[] = {
  0x77777625448624d6, 0xbbbba58085cd2d63, 0x3b23414d8de4bbbb, 0x99fb17f79374b8b5, 0xfdaebb4769f74cfe,
  0x299f19b9827c64ee, 0x4df6e9f0482d7f84, 0xa8fe74368ded51ca, 0x3cf1e6e771ca317e, 0xf097e21b0911759c,
  0x3262e1e9299cbf51, 0x1e57d44a76b083df, 0x4ff51f06cc1ad7f5, 0x22cd3ad08a053158, 0x23a909afa30b2c45,
  0xdbda3c1673abb74e, 0xe36355e363af3a6e, 0xcb98b848451cf230, 0x6951b044c8e1bd96, 0xfc0c4eefd859d12a,
  0xa8301dfbbf39c9b6, 0x5e53633937e6f00f, 0x9c6378ce8815d54e, 0x90c76f62aa8b4b0b, 0x224c6e52d4bf36c4,
  0xd4eaccdfc1ddc68b, 0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x0004fc10571e0b3c,
};

// usb646_u2x8_uart0_lednop_pr       usb647_u2x8_uart0_lednop          usb647_u2x8_uart0_lednop_pr
static const uint64_t ur_usb646_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5e2eb, 0xa91e4e6febf7d2ee, 0x1d78d736b777693f, 0x7c64ee82f4133164,
  0x5f7ff9bae7cf5982, 0xed51ca4df6e9f04a, 0x1ed63be5843c368d, 0x83f490e2481a0bf5, 0x486731602cb29be4,
  0xb30475e8f9d967a3, 0x967b682cd22a01ff, 0xbf0313bbf6415a07, 0x077eefcf0202726d, 0xa74026fcde6c8a0c,
  0x67440ef9537a94e4, 0xd8aaa2d3574e31bc, 0xe52d4bf36dce455b, 0x8f2068fe3458f386, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x25087e792bf73433, 0x000000000003e409,
};

// usb647_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_usb646_u2x8_uart0_lednop_pr_u4[] = {
  0x777776254486ff41, 0xddddd2c39cbc5d63, 0x23c9cdfd7efa5ddd, 0xaf1ae6d6eeed27f5, 0x3277685fd3cc4c4b,
  0xeff08533e7acc13e, 0xaa3949bedd3e094b, 0xdac77cb08786d1bd, 0x7e921c4903417ea3, 0x0ce62c0596537c90,
  0x608ebd1f3b2cf469, 0xcf6d059a45403ff6, 0xe062777ec82b40f2, 0xefddf9e0404e4db7, 0xe804df9bcd914180,
  0xe881df2a6f529c94, 0x15545a6ae9c6378c, 0xa5a97e6db9c8ab7b, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0xf65a3c16792bf734,
  0x0000000000001f27,
};

// usb646_u2x8_uart0_lednop_pr_ee_u4 usb647_u2x8_uart0_lednop_pr_ee    usb647_u2x8_uart0_lednop_pr_ee_u4
static const uint64_t ur_usb646_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd8951218375, 0xdddddd2c3c832158, 0xa1090b270069fbdd, 0x56e17ece244eef07, 0xdd81602ac8b62c5e,
  0x84299fcad304f8c9, 0xca4df6e9f048a1ff, 0x56b4738c368ded51, 0x660d31f51e56654d, 0x450ef8ac3dfa8f83,
  0xd185962291669d68, 0xd2e7aae3593484d7, 0xe74dda32464d1cea, 0x4f237b56355ae875, 0x1bd96cb98b848450,
  0x43eccf2a3608fd6e, 0x726dbf0313bbf600, 0x8a0c077eefcf0202, 0x94e4a74026fcde6c, 0x31bc67440ef9537a,
  0x455bd8aaa2d3574e, 0x24c6e52d4bf36dce, 0x4eaccdfc1ddc68b2, 0xfde1ef79430a9cfd, 0xa3ed871fc65f989f,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x004eb86a71e0b3c9,
};

// usb646_u2x8_uart0_lednop_pr_ce_u4 usb647_u2x8_uart0_lednop_pr_ce    usb647_u2x8_uart0_lednop_pr_ce_u4
static const uint64_t ur_usb646_u2x8_uart0_lednop_pr_ce[] = {
  0x777776254486fc3b, 0xeeeee963d4de9d63, 0x0f63f3175fa826ee, 0x890537b6f77754ce, 0xe32776e09ba69653,
  0xadfe10a67ce1cc13, 0xb5472937dba7c124, 0xc068c5fac430da37, 0x2445d670f3c79b9d, 0xb9dbfd47c25f886c,
  0x96757d64c98b874d, 0xe2481eb3d47e927b, 0x19cc580a9888b490, 0xcf1d7a3e7659e8d2, 0x6b720b348a807fec,
  0xf0313bbf6415a079, 0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6,
  0xa5a97e6db9c31dbd, 0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x05da3c16792bf734, 0x0000000000001baf,
};

/*
 * usb646_u2x8_uart0_lednop_pr_ee_ce_u4 usb647_u2x8_uart0_lednop_pr_ee_ce
 * usb647_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u2x8_uart0_lednop_pr_ee_ce[] = {
  0x777776254486a4d6, 0xbbbba58085cc4d63, 0x6696c8e2fd977bbb, 0x11a62fef26e9716a, 0x39d9f6644abd60f9,
  0x299f0d1304f8c9dd, 0x9bedd3e0958fff84, 0x51fce86d1bdaa394, 0x79e3cdcec9d462fd, 0xe12fc4361222eb38,
  0xc98b87ca8683fea3, 0x795f7529dac20f7c, 0x7fd47c1b306b5fd4, 0x8b34eb422814c57b, 0x8ea426be8c2cb114,
  0xa32464d1ceaedc7a, 0x6ac6abc6c75e74dd, 0x973170908a09e46f, 0xf2a3608991c37b2d, 0xf0313bbf61663ecc,
  0x77eefcf0202726db, 0x74026fcde6c8a0c0, 0x7440ef9537a94e4a, 0x8aaa2d3574e31bc6, 0xa5a97e6db9c31dbd,
  0xbf83bb8d164498dc, 0xef2861539fa9d599, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a,
  0x332c3a4a5b387138, 0x7aa43c16792bf734, 0x00000000000009f8,
};

/*
 * usb646_u2x8_uart0_dual_pr         usb646_u2x8_uart0_dual_pr_u4      usb647_u2x8_uart0_dual
 * usb647_u2x8_uart0_dual_pr         usb647_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_usb646_u2x8_uart0_dual[] = {
  0xeeeeedf9448650e3, 0xeeeee1ff4a52bd7e, 0x06eb13d3b5b16eee, 0x19eb5c1dddd3f610, 0x21720b03e498e176,
  0xc15484a89827c64b, 0x306d2303775f64c8, 0x8094ee9f12e20614, 0x3e71c243cc5d7f32, 0x9206bee6f51dc9ec,
  0x57f9fbe08a149120, 0xc31f13eb87c28862, 0xb43e44432ace5e99, 0xf4073c261f22a10c, 0x2c3795e425b780df,
  0xd3e0904fffb11098, 0xa86d1bdaa3949bed, 0x310fea3e453be589, 0x079a717be921c490, 0xdad6475fce62c055,
  0x5403ff6608ebc019, 0x52740f2cf6c43a43, 0xfd93f8abe7771525, 0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3,
  0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xdb739156f62aa8b4, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x00000029272e0a78,
};

// usb646_u2x8_uart0_dual_pr_ee_u4   usb647_u2x8_uart0_dual_pr_ee      usb647_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_usb646_u2x8_uart0_dual_pr_ee[] = {
  0x777776fca2437089, 0xeeeee1f7a7bf7ebf, 0x62e5895f6d57eeee, 0x9ce1b6106ec4e375, 0x4f595b375b4ad517,
  0x649827c64c71b95e, 0x06eebec99182a901, 0x3e25c40c2860da46, 0xb5326dfe650129dd, 0xdea398fec066ce1b,
  0x114292241240d2d4, 0x70f8510c4aff3f7c, 0x6559cbd338c8627d, 0x1458a8432d074a88, 0x25b7eafffa039e13,
  0xffb110982c3795e4, 0xa3949bedd3e096fb, 0x9aad68e4486d1bda, 0x0d983053d4795afb, 0xa1143be2ba95ea3e,
  0x5f4616588a459a75, 0xad2e652e2a5cd213, 0x5ea25da2147bd9ce, 0x81151f3d6355ae87, 0xe1bd97d2cc5c2422,
  0x0109fd62a3608fd6, 0xfb27f157ceee2a4a, 0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e,
  0xaba718de33a2077c, 0xb6e722adec555169, 0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185,
  0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x0000000564ab28f0,
};

// usb646_u2x8_uart0_dual_pr_ce_u4   usb647_u2x8_uart0_dual_pr_ce      usb647_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_usb646_u2x8_uart0_dual_pr_ce[] = {
  0xeeeeedf944869a4e, 0xeeeee1ff1ecfbd7e, 0x086932c36957eeee, 0xfd763db77765dc4e, 0x971fd46280478762,
  0x202919827c64989b, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xc287e6e9ffcca025, 0x674dea39c1d87579,
  0xf7c114292241240f, 0x27d70f8510c4aff3, 0x6886559cbd339786, 0xe1307b8a8432d05f, 0xaf212dbe9bffa039,
  0x8a5ffd8884c161bc, 0xded51ca4df6e9f04, 0xed2b462fd65f4368, 0x61222eb3879e3cdc, 0xb7e007ea3e12fc43,
  0xb96757a973262e1e, 0x71240ea5fa8e37e7, 0xfce62c050507ca48, 0x678ebc019dad6475, 0xb5b843a435403ff6,
  0xaf9ddc549549d03c, 0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94,
  0xdbd8aaa2d3574e31, 0x8dca5a97e6db9c31, 0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb,
  0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x69264933c16792bf,
};

// usb647_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_usb646_u2x8_uart0_dual_pr_ee_ce[] = {
  0x77776fcd41436f02, 0xbbbb87fd2f77ebf7, 0x27d57f5de937bbbb, 0x7ef0a583bad38eb2, 0xe6b8ce0b37932bbf,
  0xcc13e324375c9fc3, 0xeebec99182a91dc7, 0x25c40c2860da4606, 0x37ebfe650129dd3e, 0xa8f5bfb080070149,
  0xa14912092073b737, 0x7c2886257f9fbe08, 0x59cbd338a9113eb8, 0xe8a8432d0b748865, 0xdbe9affa039e1329,
  0xd8884c161bcaf212, 0xca4df6e9f0482d7f, 0xfea8ff74368ded51, 0x495f9e3cdcee3958, 0x58166e99ceb0f722,
  0x06be7a8f2b7f253b, 0x814c5701bd47c1b3, 0xc2cb1148b34eb422, 0xeaedc650ea426be8, 0x75ea25da2147bd9c,
  0x5022a3e7ac6abc6c, 0x1c37b2fa598b8484, 0xa5989fd62a360899, 0xdfb27f157ceee2a4, 0x781013936df8189d,
  0xe6f36450603bf77e, 0xca9bd4a7253a0137, 0x9aba718de33a2077, 0x36dce18edec55516, 0x68b03d0c6e52d4bf,
  0x9cfd4eaccdfc1ddc, 0xcd1f6c389c69430a, 0xb25c33d30ae4fc07, 0x32c3a4a5b387138c, 0xf5b3c16792bf7343,
  0x0000000000001000,
};

// usb647_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xddddbf28a87fbb90, 0xdddc3f98b85fafdd, 0x37b375ad19cddddd, 0x279bb89dbb388b51, 0x57d5effadb4f5a0a,
  0x304f8c96c5723522, 0x75f64c8c15484f2f, 0x2e20614306d23037, 0x2547e656024ee9f1, 0x7bc3d872d1c19bf3,
  0xa48904903c6e9bd4, 0x144312bfcfdf0450, 0xcbd338aeb89f5c3e, 0xa8432d04b4886559, 0x8a4ffa039e134728,
  0x0bcc161bcaf212db, 0x6fb74f825a6bfc99, 0x4650e1b46f6a8e52, 0x3cf8067663f18bf5, 0x25f886c2445d670f,
  0x62e1cc03743fd47c, 0x56fe4a76b084dd32, 0x7a8f83660d7cf51e, 0x669d68450298ae03, 0xd484d7d185962291,
  0x428f7b39d5db8ca1, 0x58d578d8ebd44bb4, 0xb3170908a04547cf, 0x546c1132386f65f4, 0xf9ddc5494b313fac,
  0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x4a74026fcde6c8a0, 0xc67440ef9537a94e, 0xbd8aaa2d3574e31b,
  0xdca5a97e6db9c31d, 0xcdfc1a3f8d164498, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed,
  0xc6592e19e985f1a3, 0xa19961d252d9c389, 0x2e7932d3f3c95fb9, 0x0000000000000200,
};

// usb647_u2x8_uart0_dual_ee_hw
static const uint64_t ur_usb646_u2x8_uart0_dual_ee_hw[] = {
  0xbbbbb7e514689a4e, 0x77770fbd3dfbf5fb, 0x172c4afb6abf7777, 0xe70db08376271bab, 0x8fea31d1e1d6a8bc,
  0x0b24c13e32638dcb, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xdda9936ff32ba0ce, 0xa6f51cc7f6033670,
  0xe08a149120920696, 0xeb87c2886257f9fb, 0x432ace5e99c64313, 0x98a2c54219683a54, 0x212dbf57ffd01cf0,
  0xefff9524c161bcaf, 0x6a8e526fb74f825b, 0xee6ab5a39121b46f, 0xf83660c14f51e56b, 0xd68450ef8aea57a8,
  0x4d7d185962291669, 0x3ab4b994b8a97348, 0x1d7a89768851ef67, 0x8a04547cf58d56ba, 0x5b86f65f4b317090,
  0x280427f58a8d823f, 0x77ec9fc55f3bb8a9, 0x9e0404e4db7e0627, 0xf9bcd914180efddf, 0xf2a6f529c94e804d,
  0xa6ae9c6378ce881d, 0xe6db9c8ab7b15545, 0x9cfd42718dca5a97, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0x53c95fb9a19961d2, 0x00000015dae642f4,
};

/*
 * usb646_u2x8_uart0_dual_ee_ce_u4_hw usb647_u2x8_uart0_dual_ee_ce_hw
 * usb647_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_u2x8_uart0_dual_ee_ce_hw[] = {
  0xeeeedf9451a3b46e, 0xeeee1fcc5c2fd7ee, 0x9bd9bad68ce6eeee, 0x13cddc4edd9c45a8, 0x4127f7ff85a7ad05,
  0x5e609f192d8ae461, 0x6eebec99182a909e, 0xe25c40c2860da460, 0xf32547e657419dd3, 0xd47bc3d872d1c19b,
  0x50a48904903c6e9b, 0x3e144312bfcfdf04, 0x59cbd338aeb89f5c, 0x28a8432d04b48865, 0xdb8a4ffa039e1347,
  0xf9524c161bcaf212, 0xe526fb74f825a6bf, 0xbf54650e1b46f6a8, 0x3879e790e7663f18, 0xa3e12fc4361222eb,
  0x74c98b87672e8ffe, 0xd4795bf929dac213, 0xb80dea3e0d9835f3, 0x8a459a75a1140a62, 0x328752135f461658,
  0x2ed10a3dece7576e, 0x1f3d6355e363af51, 0x97d2cc5c24228115, 0xfeb151b044c8e1bd, 0xf8abe77715252cc4,
  0x9c9b6fc0c4eefd93, 0x228301dfbbf3c080, 0xa53929d009bf379b, 0x8c6f19d103be54de, 0x0c76f62aa8b4d5d3,
  0x9c637296a5f9b6e7, 0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x03aeb41f7514f257,
};

// usb646_u2x12_uart0_noled_pr       usb647_u2x12_uart0_noled          usb647_u2x12_uart0_noled_pr
static const uint64_t ur_usb646_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xddddd2c30e17bac6, 0xad9fbbf0feb11ddd, 0x1fad2fcdddd2202c, 0x193bb0bd68f1e827,
  0x9ffe6eb9fd2a609f, 0xfe6d4faadd3e0902, 0x5843c368ded51ca4, 0x2481a0bf51fa03be, 0x016594cf7dad490e,
  0xd1f3b57f47ac398b, 0xd99e5403ff6608eb, 0x77ec1c7c0f2cf6c7, 0xfddf9ce4db7e0627, 0x9c9bf37807d4180e,
  0x67440aeaa72f29b1, 0xb15545a585ce31bc, 0x94b52fcdb1248ab7, 0x3c81a3f8d163ce1b, 0x970cf4c2b93f7566,
  0xb0e9296ce1c4e32c, 0x5421f9e4afdcd0cc, 0x00000000003e400e,
};

// usb647_u2x12_uart0_noled_pr_u4
static const uint64_t ur_usb646_u2x12_uart0_noled_pr_u4[] = {
  0xeeec49dd4486bd3a, 0xdddd2c30e17bac6e, 0xd9fbbf0feb11dddd, 0xfad2fcdddd2202ca, 0x4ee8d35c7e3fe9f1,
  0xfe10a67f4a9827c6, 0xe6d4faadd3e09029, 0x843c368ded51ca4f, 0x481a0bf51fa03be5, 0x16594cf7dad490e2,
  0x1f3b57f47ac398b0, 0x99e5403ff6608ebd, 0x7ec1c7c0f2cf6c7d, 0xddf9ce4db7e06277, 0xc9bf37807d4180ef,
  0x7440aeaa72f29b19, 0x15545a585ce31bc6, 0x4b52fcdb1248ab7b, 0x7f07771a2c8931b9, 0xde50c2a73f53ab33,
  0xc7f197e627ff787b, 0x5fe07efd8668fb61, 0x964b867a617c68f4, 0x66587494b670e271, 0x8f26782cf257ee68,
  0x0000000000003e4e,
};

// usb646_u2x12_uart0_noled_pr_ee_u4 usb647_u2x12_uart0_noled_pr_ee    usb647_u2x12_uart0_noled_pr_ee_u4
static const uint64_t ur_usb646_u2x12_uart0_noled_pr_ee[] = {
  0x777624eea2433a31, 0xeeee961720825637, 0xf0a7a636f4ddeeee, 0x662705f0bddddfe2, 0xb1361aa280a0666c,
  0x299fc09304f8c9dd, 0x7d56e9f048a5ff84, 0x1b46f6a8e527f36a, 0x8f2b9126ab5a39c6, 0xeebd47c1b30698fa,
  0xa459a75a1143be2b, 0xd64d2135f4616588, 0xa3c1673ab4bce2b8, 0x1aad743af3a6edbd, 0xc5c24228e791871b,
  0x1b047eb70decb65c, 0xc4eefd801512a695, 0x01dfbbf39c9b6fc0, 0x3633937e6f00fa83, 0x378ce8815d54e5e5,
  0x56f62aa8b4b0b9c6, 0x637296a5f9b62491, 0x5666fe0eee345912, 0xf0f7bca1854e7ea7, 0xf6c38fe32fcc4ffe,
  0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x275f8d0cf059e4af,
};

// usb647_u2x12_uart0_noled_pr_ce
static const uint64_t ur_usb646_u2x12_uart0_noled_pr_ce[] = {
  0xddddd893bb59bb37, 0xbbbbba5810648b58, 0x941c5a64efcd19bb, 0x9b0c478fbc9bbba5, 0x827c64eed8f64217,
  0x96dffff375cf98f9, 0xca4fe6d4faadd3e0, 0x58febd04368ded51, 0x9fcefcf370ee763e, 0x72cbac67339d61dc,
  0xe2481e33f51ea5cf, 0x7398b017a0487490, 0x678ebc5ced44a350, 0x4eefd83afc3dc72c, 0x1dfbbf39c9b6fc0c,
  0xd894fdf3937e6f30, 0x840c6085a72460d4, 0x2fcdb4e31bc67440, 0xa3f8d163ce1b94b5, 0xf4c2b93f75663c81,
  0x296ce1c4e32c970c, 0xf9e4afdcd0ccb0e9, 0x00000005ba805421,
};

// usb647_u2x12_uart0_noled_pr_ce_u4
static const uint64_t ur_usb646_u2x12_uart0_noled_pr_ce_u4[] = {
  0xeeec49dd44860cc5, 0xdddd2c4c263bac6e, 0x82ff1fc7f568dddd, 0x2ac9933ddddd5b77, 0xc9dd8361ba199bac,
  0xff84299f90f304f8, 0xf36a7d56e9f049c9, 0x58861b46f6a8e527, 0x1e78f373b8f718bf, 0xf84bf10d8488bace,
  0x264c5c3ffc0d1fa8, 0x9ea393d3dcb3abeb, 0x51f3a4a4871240f5, 0x7ced5fd1eb0e62c0, 0x679500ffd99e3af4,
  0x7ec1c7c0f2d6e1f6, 0xddf9ce4db7e06277, 0xc9bf37807d4180ef, 0x7440aeaa72f29b19, 0x15545a585ce31bc6,
  0x96a5f9b624863b7b, 0xfe0eee3459126372, 0xbca1854e7ea75666, 0x8fe32fcc4ffef0f7, 0xbfc0fdfb0cd1f6c3,
  0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3, 0x1768f059e4afdcd0, 0x0000000000006eb8,
};

/*
 * usb646_u2x12_uart0_noled_pr_ee_ce_u4 usb647_u2x12_uart0_noled_pr_ee_ce
 * usb647_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u2x12_uart0_noled_pr_ee_ce[] = {
  0xeeec49dd44864aa4, 0xbbba589c4fd3ac6e, 0x47ea2833de9dbbbb, 0x697a90bdeef8f7a6, 0x9962f93b3ef92d33,
  0x33fbb5304f8c9dd4, 0x55ba7c1231fff085, 0xd1bdaa3949fcda9f, 0xee39462fd51fce86, 0x61222eb3879e3cdc,
  0x253397ea3e12fc43, 0x4ed6107be64c5c3d, 0xd9835afea3cafa89, 0x1140a62b09fea3e0, 0xf4616588a459a75a,
  0xce7576e9c4752135, 0x6c75e74ddb7b4782, 0x08a39e461c6c6abc, 0x991c37b2d9731709, 0xfb0b3a254d2a3608,
  0x77e73936df8189dd, 0x26fcde01f50603bf, 0xd102baa9cbca6c67, 0x55516961738c6f19, 0x5a97e6d89218edec,
  0xf83bb8d164498dca, 0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0x4e33c16792bf7343, 0x0000000000009f89,
};

// usb646_u2x12_uart0_lednop_pr      usb647_u2x12_uart0_lednop         usb647_u2x12_uart0_lednop_pr
static const uint64_t ur_usb646_u2x12_uart0_lednop[] = {
  0xeeeec49ddacdfebe, 0xeeeee961871e4ac6, 0x2e6fc1cd0778feee, 0xd0bdbf6ddddcd60b, 0x32777c7e145c490a,
  0x3ffcdd73f38cc13e, 0xfcda9f55ba7c125f, 0xb24386d1bdaa3949, 0x4903349ea393c77c, 0x02dee987ce92921c,
  0x2e766be4720a7316, 0x2b07dee39630475e, 0x04e4db7e062777ec, 0xd914180efddf9e04, 0xf529c94e804df9bc,
  0x9c6378ce881df2a6, 0x9c8ab7b15545a6ae, 0xb1e70dca5a97e6db, 0x9fbab31e40d1fc68, 0xe271964b867a615c,
  0xee6866587494b670, 0x03e439ca10fcf257,
};

// usb647_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_usb646_u2x12_uart0_lednop_pr_u4[] = {
  0xeeec49dd44861c3b, 0xdddd2c30e0d7ac6e, 0x2f7b3dfb6933dddd, 0x5d7f89dddd2202ca, 0x3bb4169982ff23e9,
  0xf08533e13e609f19, 0x36a7d56e9f04900f, 0x21e1b46f6a8e527f, 0x40d05fa8f6b1df2c, 0x6594df241fa48712,
  0xcecb3d1a43398b01, 0x91500ffd9823af47, 0xb20ad03cb3db4166, 0x1013936df8189ddf, 0xf36450603bf77e78,
  0x9bd4a7253a0137e6, 0xba718de33a2077ca, 0x6e722adec555169a, 0x45912637296a5f9b, 0xe7ea75666fe0eee3,
  0xc4ffef0f7bca1854, 0xb0cd1f6c38fe32fc, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92,
  0x000007c9ae2f8f05,
};

/*
 * usb646_u2x12_uart0_lednop_pr_ee_u4 usb647_u2x12_uart0_lednop_pr_ee
 * usb647_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb646_u2x12_uart0_lednop_pr_ee[] = {
  0x777624eea2432493, 0xdddd2c2e40add637, 0xd04c2aa1eb4bdddd, 0xb1e705f0bddddfe2, 0x3720a23e768fde2f,
  0xa67f7dcc13e32774, 0xf55ba7c1253dfe10, 0x6d1bdaa3949fcda9, 0x3cacca9aad68e718, 0x7bf51f06cc1a63ea,
  0x22cd3ad08a1df158, 0xb26909afa30b2c45, 0x8c9a39d5a5cf55c6, 0x6ab5d0ebce9bb464, 0x170908a09e46f6ac,
  0x6c11fadc37b2d973, 0x2777ec0087d99e54, 0xdf9e0404e4db7e06, 0x4df9bcd914180efd, 0x1df2a6f529c94e80,
  0x45a6ae9c6378ce88, 0x97e6db9c8ab7b155, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xb3c16792bf734332, 0x00000000009d73f5,
};

/*
 * usb646_u2x12_uart0_lednop_pr_ce_u4 usb647_u2x12_uart0_lednop_pr_ce
 * usb647_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb646_u2x12_uart0_lednop_pr_ce[] = {
  0xeeec49dd44862d7b, 0xdddd2c4c229bac6e, 0xe3b05fe974d8dddd, 0x0424200ddddd5b77, 0x327751d94aa16ec9,
  0xbfe10a67ca5cc13e, 0xfcda9f55ba7c1274, 0xd62186d1bdaa3949, 0x879e3cdcee03462f, 0x3e12fc4361222eb3,
  0x264c5c3a6dcedfea, 0x9ea3f493dcb3abeb, 0x54c445a4871240f5, 0xf3b2cf4690ce62c0, 0xa45403ff6678ebd1,
  0xfb20ad03cb5b9059, 0x81013936df8189dd, 0x6f36450603bf77e7, 0xa9bd4a7253a0137e, 0xaba718de33a2077c,
  0x6dce18edec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc, 0x989ffde1ef79430a, 0xf619a3ed871fc65f,
  0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2, 0x0000006eb8d521e0,
};

/*
 * usb646_u2x12_uart0_lednop_pr_ee_ce_u4 usb647_u2x12_uart0_lednop_pr_ee_ce
 * usb647_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_u2x12_uart0_lednop_pr_ee_ce[] = {
  0xeeec49dd448607e1, 0xbbba589c4f91ac6e, 0xf4c8f9fbd123bbbb, 0x7afa90bdeef8f7a7, 0x87bf702c75e5dac1,
  0x99fd35304f8c9dd0, 0xd56e9f04bfe7f842, 0xb46f6a8e527f36a7, 0x3b27518bf547f3a1, 0xd8488bace1e78f37,
  0x2a1a0ffa8f84bf10, 0xa76b083df3262e1f, 0x6cc1ad7f51e57dd4, 0x08a05315edff51f0, 0xfa30b2c4522cd3ad,
  0x473abb71ea3a909a, 0x1b1d79d3768c9193, 0x42282791bdab1aaf, 0x26470decb65cc5c2, 0xfd8598fb33ca8d82,
  0xc0809c9b6fc0c4ee, 0x379b228301dfbbf3, 0x54dea53929d009bf, 0xd5d38c6f19d103be, 0xb6e70c76f62aa8b4,
  0x345912637296a5f9, 0x4e7ea75666fe0eee, 0xcc4ffef0f7bca185, 0xfb0cd1f6c38fe32f, 0xf4c2f8d1e8bfc0fd,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000013f2cb7cf0,
};

/*
 * usb646_u2x12_uart0_dual_pr        usb646_u2x12_uart0_dual_pr_u4     usb647_u2x12_uart0_dual
 * usb647_u2x12_uart0_dual_pr        usb647_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_usb646_u2x12_uart0_dual[] = {
  0x776fc60f4486bd5b, 0x7770f9337adebf77, 0x73338e3a76b77777, 0xc323bdddd697644a, 0xe5ddfb84e5682d8a,
  0x522e46609f19256e, 0xb48c0ddd7d932305, 0x53ba7c4b881850c1, 0xe702eb3143fcca02, 0x19459bd47f9db090,
  0xe7ef822852448248, 0x6c4fae1f0a21895f, 0x5f110cab397a6706, 0x1cf099ef8a8432d0, 0xde579096dea57fd0,
  0xc12eebfec44260b0, 0xa3949fcda9f55ba7, 0x453be589a86d1bda, 0xe921c490310fea3e, 0xce62c055079a717b,
  0x08ebc019dad6475f, 0xf6c43a435403ff66, 0xe777152552740f2c, 0x6fc0c4eefd93f8ab, 0x01dfbbf3c0809c9b,
  0x29d009bf379b2283, 0x19d103be54dea539, 0xf62aa8b4d5d38c6f, 0xb94b52fcdb739156, 0x337f07771a2c8931,
  0x7bde50c2a73f53ab, 0x61c7f197e627ff78, 0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2,
  0x277d50782cf257ee, 0x0000000000000029,
};

// usb646_u2x12_uart0_dual_pr_ee_u4  usb647_u2x12_uart0_dual_pr_ee     usb647_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_usb646_u2x12_uart0_dual_pr_ee[] = {
  0xbbb7e307a2436f02, 0x7770fa9ba2ff5fbb, 0xf4fbfb5a80777777, 0x32e364774c894a2a, 0x35d08459baafad04,
  0x609f19306ee4fe1f, 0x75f64c8c154867ae, 0x2e20614306d23037, 0xa76ff328094ee9f1, 0x1c66f61bb4704db9,
  0x149120920616a6f5, 0xc2886257f9fbe08a, 0xce5e99ca4a13eb87, 0xc54219681c34432a, 0xbd0fffd01cf099c9,
  0x8884c161bcaf212d, 0xa7d56e9f04b4dffd, 0x21b46f6a8e527f36, 0x51e56bee6ab5a391, 0xea57a8f83660c14f,
  0x291669d68450ef8a, 0xa973484d7d185962, 0x51ef673ab4b994b8, 0x8d56ba1d7a897688, 0x3170908a04547cf5,
  0x8d823f5b86f65f4b, 0x3bb8a9280427f58a, 0x7e062777ec9fc55f, 0x0efddf9e0404e4db, 0x4e804df9bcd91418,
  0xce881df2a6f529c9, 0xb15545a6ae9c6378, 0xca5a97e6db9c8ab7, 0x9bf83bb8d164498d, 0xdef2861539fa9d59,
  0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xc89a03c16792bf73,
  0x000000000000000a,
};

// usb646_u2x12_uart0_dual_pr_ce_u4  usb647_u2x12_uart0_dual_pr_ce     usb647_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_usb646_u2x12_uart0_dual_pr_ce[] = {
  0x776fc60f44860aac, 0xeee1f85fd77ebf77, 0x49c9b168ebeeeeee, 0x2eafb7774489918d, 0x7d5e5902c70455f6,
  0x1e729827c64f91b9, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x1d3f358ffe650129, 0x94dea3f57ec287ce,
  0x7c114292241240e3, 0x7d70f8510c4aff3f, 0x886559cbd339cb42, 0x1318f8a8432d028a, 0xf212dbc56ffa039e,
  0x82ffd8884c161bca, 0x27f36a7d56e9f049, 0x7eb2fa1b46f6a8e5, 0x9c3cf1e6e7695a31, 0x51f097e21b091175,
  0x4b993170f5bf003f, 0x2fd471bf3dcb3abd, 0x28283e5243892075, 0x0ced6b23afe73160, 0x21aa01ffb33c75e0,
  0xa4aa4e81e5adc21d, 0x9ddfb27f157ceee2, 0x7e781013936df818, 0x37e6f36450603bf7, 0x77ca9bd4a7253a01,
  0x169aba718de33a20, 0xbf36dce18edec555, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x9e0b3c95fb9a1996, 0x00000000034909c5,
};

// usb647_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_usb646_u2x12_uart0_dual_pr_ee_ce[] = {
  0xbb7e307d4143359b, 0x770f933aeff5fbbb, 0x40362fa0fb777777, 0xad12ef74054e24d7, 0x29368d7526f26517,
  0x827c6494eb90f0cc, 0xd7d932305521d3a9, 0xb881850c1b48c0dd, 0x35bfcca0253ba7c4, 0x1e006c0521c3f5e6,
  0x292241240ed6e6f5, 0x8510c4aff3f7c114, 0x397a673bac27d70f, 0x150865a1b3910cab, 0x77f9ff4073c26cad,
  0x110982c3795e425b, 0x9f55ba7c1231fffb, 0x86d1bdaa3949fcda, 0x9b9dc72b1fd51fee, 0x39d61ee4492bf3c7,
  0xe56fe4a76b02cdd3, 0x37a8f83660d7cf51, 0x1669d68450298ae0, 0x1d484d7d18596229, 0x4428f7b39d5db8ca,
  0xf58d578d8ebd44bb, 0x4b3170908a04547c, 0xc546c1132386f65f, 0xaf9ddc5494b313fa, 0x6dbf0313bbf64fe2,
  0x0c077eefcf020272, 0xe4a74026fcde6c8a, 0xbc67440ef9537a94, 0xdbd8aaa2d3574e31, 0x8dca5a97e6db9c31,
  0x99bf83bb8d1607a1, 0x138d2861539fa9d5, 0x615c9f80f9a3ed87, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000004000e8a782c,
};

// usb647_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xedf8c1e8a87f3202, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0xe4fa6b0ce34f26bc,
  0x19276ae434e83ebd, 0x99182a9047ae609f, 0xc2860da4606eebec, 0xccac049dd3e25c40, 0xb066f9c12a26b91f,
  0x09207d8337a8fcb5, 0x257f9fbe08a14912, 0x7061713eb87c2886, 0x5a016910cab397a6, 0xf4073c2638315086,
  0x586f2bc84b6ffaff, 0x3e093fcff2642f30, 0xd51ca4fe6d4faadd, 0xe317ea8ca1c368de, 0xbace1e79f00cecc7,
  0x7fa8f84bf10d8488, 0x09ba64c5c39806e8, 0xf9ea3cadfc94ed61, 0x315c06f51f06cc1a, 0x2c4522cd3ad08a05,
  0xb71943a909afa30b, 0xa89768851ef673ab, 0x8a8f9eb1aaf1b1d7, 0xdecbe9662e121140, 0x627f58a8d8226470,
  0xc9fc55f3bb8a9296, 0x404e4db7e062777e, 0xcd914180efddf9e0, 0x6f529c94e804df9b, 0xe9c6378ce881df2a,
  0x73863b7b15545a6a, 0x2c8931b94b52fcdb, 0xfa9d599bf8347f1a, 0x3ffbc3def2861539, 0x3347db0e3f8cbf31,
  0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00020022ac45a7e7,
};

// usb647_u2x12_uart0_dual_ee_hw
static const uint64_t ur_usb646_u2x12_uart0_dual_ee_hw[] = {
  0xddbf183d14680aac, 0xbb87d4dd17fafddd, 0xa7dfdad403bbbbbb, 0x971b23ba644a5157, 0xbcb269c1557d6821,
  0xd7304f8c983772fa, 0x1bbafb26460aa433, 0xf8971030a1836918, 0xdcd3b7f995d06774, 0x7a8e337b0dda3826,
  0x450a489049030b53, 0xc3e144312bfcfdf0, 0x95672f4ce52509f5, 0xe4e2a10cb40e1a21, 0x96de87ffe80e784c,
  0xffca9260b0de5790, 0xcda9f55ba7c12d37, 0xe4486d1bdaa3949f, 0x53d4795afb9aad68, 0xe2ba95ea3e0d9830,
  0x588a459a75a1143b, 0x2e2a5cd2135f4616, 0xa2147bd9cead2e65, 0x3d6355ae875ea25d, 0xd2cc5c242281151f,
  0x62a3608fd6e1bd97, 0x57ceee2a4a0109fd, 0x36df8189ddfb27f1, 0x0603bf77e7810139, 0x7253a0137e6f3645,
  0xde33a2077ca9bd4a, 0xadec555169aba718, 0x637296a5f9b6e722, 0x7bde50c2a73f509c, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0x76b8269d14f257ee, 0x0000000000000005,
};

/*
 * usb646_u2x12_uart0_dual_ee_ce_u4_hw usb647_u2x12_uart0_dual_ee_ce_hw
 * usb647_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_u2x12_uart0_dual_ee_ce_hw[] = {
  0xedf8c1e8a3457c3b, 0xdc3e0bed07d7eeee, 0x21aafd9b4ddddddd, 0x33323bbb299f03e4, 0x7eb7fb0ce34f26bc,
  0x09f19276ae4559e2, 0xbec99182a9047ae6, 0xc40c2860da4606ee, 0xc8fe657419dd3e25, 0xe5ad8337ce095135,
  0x48904903ec19bd47, 0x44312bfcfdf0450a, 0xbd33830b89f5c3e1, 0x8432d00b4886559c, 0xd7ffa039e131c18a,
  0x4982c3795e425b7f, 0xd56e9f049fe7ff2a, 0xb46f6a8e527f36a7, 0x7663f18bf54650e1, 0x61222eb3879e790e,
  0x72e8ffea3e12fc43, 0x9dac21374c98b876, 0xd9835f3d4795bf92, 0x1140a62b80dea3e0, 0xf4616588a459a75a,
  0xce7576e328752135, 0x363af512ed10a3de, 0x42281151f3d6355e, 0x4c8e1bd97d2cc5c2, 0x5252cc4feb151b04,
  0x4eefd93f8abe7771, 0xbf3c0809c9b6fc0c, 0x9bf379b228301dfb, 0x3be54dea53929d00, 0x8b4d5d38c6f19d10,
  0x5f9b6e70c76f62aa, 0x2a73f509c637296a, 0x7e627ff787bde50c, 0xefd8668fb61c7f19, 0x67a617c68f45fe07,
  0x494b670e271964b8, 0x514f257ee6866587, 0x000000001d75a334,
};

// usb646_swio10_noled_pr            usb647_swio10_noled               usb647_swio10_noled_pr
static const uint64_t ur_usb646_swio10_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adbbeb0, 0xdac4776e27524192, 0x80f06612226f897e, 0x8f4138fd68917748,
  0x7304f8c9dd85eb47, 0xa48c89ffe6eb9f0f, 0x621fd477bcef9626, 0xba69c722d2438920, 0xb7408d679cc580b7,
  0xafb71cb1823af173, 0x9e4fed7972ab52b1, 0x59cea2a551ae84e3, 0xd22d4d672bb54b7d, 0x4457962d2552fbd7,
  0x953e9de7eb5cf6ab, 0x85a585cea75380b2, 0x31bc674409c29140, 0x3ce1b94b52fcdb4e, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0xe400e5421f9e4afd, 0x0000000000000003,
};

// usb647_swio10_noled_pr_u4
static const uint64_t ur_usb646_swio10_noled_pr_u4[] = {
  0xa4dddddda24328ae, 0xad72d2c42b133ac6, 0xdf1fba6837132219, 0x88f211c6c446bf07, 0x912e236f67eeea48,
  0x4f8c9dd34b1c54d8, 0x3dd7f84299f8f730, 0xef51e6e3be584592, 0x632a71a4871240c9, 0xef476b1cc580b2ca,
  0x01ffb30475e8f9d9, 0xaa07967b770d67aa, 0x39e4fed7972ab555, 0xd59cea2a551ae84e, 0x7d22d4d672bb54b7,
  0xb4457962d2552fbd, 0x3c34ef3e2d75cf6a, 0xde33a2041dd4d8a5, 0x5bd8aaa2d2da2718, 0x8dca5a97e6d90245,
  0x599bf83bb8d16449, 0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0xf27b4d63c16792bf, 0x0000000000000001,
};

// usb646_swio10_noled_pr_ee_u4      usb647_swio10_noled_pr_ee         usb647_swio10_noled_pr_ee_u4
static const uint64_t ur_usb646_swio10_noled_pr_ee[] = {
  0x426eeeeed121af43, 0x6d5cb4b1ea6d2eb1, 0xa7b5177499f1ff12, 0x08f229835cdd95b6, 0x9541685e14452225,
  0x9f193bad3bed791d, 0xe9bff08533e35a60, 0xace1cd56b471ee48, 0xf51f06cc19ebea3c, 0xcd3ad08a1df15975,
  0x6909afa30b2c4522, 0x4273ab4bfee5c6b2, 0x6ba1d79d376d291c, 0x0908a1314622d8d5, 0x11fadc37b2d97317,
  0x955a8044d57f546c, 0x8d74271cf27f6bcb, 0x5daa5beace75152a, 0x2a97debe916a6b39, 0xbae7b55a22bcb169,
  0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0x6c8122adec555169, 0x68b224c6e52d4bf3, 0x9cfd4eaccdfc1ddc,
  0x989ffde1ef79430a, 0xf619a3ed871fc65f, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xb3c95fb9a19961d2,
  0x0000004eb93f09e0,
};

// usb646_swio10_noled_pr_ce_u4      usb647_swio10_noled_pr_ce         usb647_swio10_noled_pr_ce_u4
static const uint64_t ur_usb646_swio10_noled_pr_ce[] = {
  0x07dddddda2431202, 0x1cb96960418d8ac7, 0xc7619eed69b3fd7a, 0x7f12368915685365, 0x2a0a3760cc17eef0,
  0x304f8c9dd666d89a, 0x24582ff84299f95d, 0x79b9da9e8c5faf51, 0xf886c2445d670f3c, 0xb87bc3e5afd47c25,
  0xc927b96757d64c98, 0xa52438920782fd47, 0xbd1dac731602f740, 0x07feccf1d7a3e767, 0xaa0796b75c359ea8,
  0x39e4fed7972ab555, 0xd59cea2a551ae84e, 0x7d22d4d672bb54b7, 0xb4457962d2552fbd, 0x3c34ef3e2d75cf6a,
  0xde33a2041dd4d8a5, 0xdbd8aaa2d2da2718, 0x1b94b52fcdb20431, 0xb337f07771a2c893, 0x87bde50c2a73f53a,
  0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xbaf9558782cf257e,
  0x0000000000000001,
};

// usb646_swio10_noled_pr_ee_ce_u4   usb647_swio10_noled_pr_ee_ce      usb647_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_usb646_swio10_noled_pr_ee_ce[] = {
  0xa7bbbbbb4486cc7f, 0x6ee5a5861c123586, 0x177276e9b185401b, 0x3b1ec454df4ef234, 0xa3bb8247c613c4b5,
  0x327753eeabdd928f, 0x3fc214cfb5dcc13e, 0xe462fd51cae922ff, 0x22eb3879e3cdcedf, 0x397ea3e12fc43612,
  0x083df3262e1c291f, 0xa01ea3cadd2ca76b, 0x5315c87f51f06cc1, 0xb2c4522cd3ad08a0, 0x76efdc3a909afa30,
  0xf3a6eda523884e75, 0x4c5188b6355e363a, 0x0decb65cc5c24228, 0xcc9aafea8d822647, 0xe39e4fed7972ab52,
  0x7d59cea2a551ae84, 0xd7d22d4d672bb54b, 0xab4457962d2552fb, 0x53c34ef3e2d75cf6, 0x8de33a2041dd4d8a,
  0x1dbd8aaa2d2da271, 0x31b94b52fcdb2043, 0xab337f07771a2c89, 0x787bde50c2a73f53, 0xfb61c7f197e627ff,
  0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670, 0x13f2e20e782cf257,
};

// usb647_swio10_noled_ee_hw
static const uint64_t ur_usb646_swio10_noled_ee_hw[] = {
  0x137777768a341202, 0x6ae5a58f5369758a, 0x3da8bba4cf8ff893, 0x47914c1ae6ecadb5, 0xaa0b42f0a2291128,
  0x09f193baccdb16a0, 0x474dff958b3e35a6, 0xe5670e6ab5a38f72, 0xafa8f83660cf5f51, 0x1669d68450ef8acb,
  0x93484d7d18596229, 0xe2139d5a5ff72e35, 0xab5d0ebce9bb6948, 0xb84845098a3116c6, 0x608fd6e1bd96cb98,
  0x5caad40226abfaa3, 0x546ba138e793fb5e, 0xcaed52df5673a8a9, 0x4954bef5f48b5359, 0xb5d73daad115e58b,
  0x77536294f0d3bcf8, 0x4b689c6378ce8810, 0x9b6409156f62aa8b, 0x73f509c637296a5f, 0x627ff787bde50c2a,
  0xd8668fb61c7f197e, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749, 0x00000005bf180051,
};

// usb646_swio10_noled_ee_ce_u4_hw   usb647_swio10_noled_ee_ce_hw      usb647_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_usb646_swio10_noled_ee_ce_hw[] = {
  0x3dddddda28d01107, 0x772d2c30e091ac35, 0xbb93b74d8c2a00db, 0xd8f622a6fa7791a0, 0x1ddc123e309e25a9,
  0xf193ba9c8abf77ed, 0xfcff2b167daee609, 0x7f918bf5472ba48b, 0x911759c3cf3c873b, 0xbaa3f51f097e21b0,
  0xac20f7cc98b87ba1, 0x06807a8f2b74b29d, 0x814c5721fd47c1b3, 0xc2cb1148b34eb422, 0xd5dbbf70ea426be8,
  0xebce9bb6948e2139, 0xa1314622d8d578d8, 0x1c37b2d973170908, 0x4b326abfaa360899, 0x138e793fb5e5caad,
  0x2df5673a8a9546ba, 0xef5f48b5359caed5, 0xdaad115e58b4954b, 0x294f0d3bcf8b5d73, 0xc6378ce881077536,
  0x0c76f62aa8b4b689, 0x38c6e52d4bf36c81, 0xf0f7bca1854e7ea1, 0xf6c38fe32fcc4ffe, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x0280845daa29e4af,
};

// usb646_swio10_lednop_pr           usb647_swio10_lednop              usb647_swio10_lednop_pr
static const uint64_t ur_usb646_swio10_lednop[] = {
  0x088377777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x9101e0cc2444d327, 0x085e6c311e3ef26e,
  0x63e609f193bb63d9, 0x9a923b7fffcdd73e, 0x81887f51e213be58, 0xdee9b4a5af490e24, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0xc73c9fdaf2e556a5, 0xfab39d454aa35d09, 0x5a9ae0404e576a96, 0xaf2c5a4ab574bfa4,
  0x0173a03cb9ed5688, 0xb4ac22617a96bca7, 0x378ce88117ee2810, 0x9c37296a5f9b69c6, 0xeacc790347f1a2c7,
  0xc6592e19e985727e, 0xa19961d252d9c389, 0x9000a843f3c95fb9, 0x000000000000000f,
};

// usb647_swio10_lednop_pr_u4
static const uint64_t ur_usb646_swio10_lednop_pr_u4[] = {
  0x526eeeeed121ad4e, 0x6b5cb4b10ad00563, 0xfa0bf770f8da4886, 0x111e4238c99b11e6, 0x233cc6a197bddd49,
  0x827c64ee989b82b4, 0x221effc214cfc069, 0x9ef51e713be58459, 0x4c63cf5a4871240c, 0xf911c1f398b01659,
  0x807fecc11d7a3e76, 0x15a07967b7bdf40a, 0xe39e4fed7972ab58, 0x7d59cea2a551ae84, 0x2d4d7020272bb54b,
  0x57962d255aba5fd2, 0x80f1cad75cf6ab44, 0x881085482e52d7ce, 0x5545a4829c6378ce, 0xb52fcdb2ec8ab7b1,
  0xf07771a2c8931b94, 0xe50c2a73f53ab337, 0x7f197e627ff787bd, 0xfe07efd8668fb61c, 0x64b867a617c68f45,
  0x6587494b670e2719, 0xb36782cf257ee686, 0x000000000007c9ba,
};

// usb646_swio10_lednop_pr_ee_u4     usb647_swio10_lednop_pr_ee        usb647_swio10_lednop_pr_ee_u4
static const uint64_t ur_usb646_swio10_lednop_pr_ee[] = {
  0x426eeeeed121b032, 0x6d5cb4b1ea6f5eb1, 0x27a47f746db11f12, 0x08f229835da59bbb, 0x72b2210208452225,
  0x4f8c9dd6c473ba72, 0xc72ff08533fd5f30, 0xaca1cd56b471ee48, 0xf51f06cc19ebea3c, 0xcd3ad08a1df15b05,
  0x6909afa30b2c4522, 0xf873ab4bfce5c6b2, 0xd743af3a6ec13d1a, 0x24228c9118dfb1aa, 0x47eb70decb65cc5c,
  0xaad402b86b3d51b0, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f48b535c0809ca, 0xaad115e58b4956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36cbb22, 0xaccdfc1ddc68b224,
  0xe1ef79430a9cfd4e, 0xed871fc65f989ffd, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3,
  0x4ebf7c11e0b3c95f,
};

// usb646_swio10_lednop_pr_ce_u4     usb647_swio10_lednop_pr_ce        usb647_swio10_lednop_pr_ce_u4
static const uint64_t ur_usb646_swio10_lednop_pr_ce[] = {
  0x83eeeeeed12198e2, 0x1cb9696041b17d63, 0xc7685eef1fa13d7a, 0x1fc48da24536168c, 0xc6759a59fbc77bbc,
  0xcc13e32774a70f65, 0x491cadfe10a67f4d, 0x1e6e772ba317ebd4, 0x7e21b0911759c3cf, 0x2e1d9f3acff51f09,
  0xc149ee59d5f59326, 0x01490e2481e0bf51, 0x911c1f398b0143da, 0x07feccf1d7a3e76f, 0x5681e5addbdf40a8,
  0x8e793fb5e5caad60, 0xf5673a8a9546ba13, 0xb535c0809caed52d, 0x5e58b4956ae97f48, 0x03c72b5d73daad11,
  0x20421520b94b5f3a, 0x5516920a718de33a, 0xa97e6d97618edec5, 0x83bb8d164498dca5, 0x2861539fa9d599bf,
  0xf8cbf313ffbc3def, 0xf03f7ec3347db0e3, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x723c16792bf73433,
  0x00000000000dd730,
};

// usb646_swio10_lednop_pr_ee_ce_u4  usb647_swio10_lednop_pr_ee_ce     usb647_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_usb646_swio10_lednop_pr_ee_ce[] = {
  0xa9eeeeeed1219f68, 0xdbb9696187119d61, 0x23b02f7419ad1006, 0x9d8f622a6c48f4eb, 0x8c8c4efa6309e25a,
  0xe32774abd13ec305, 0xbffe10a67c524c13, 0x6fc62fd51cae9235, 0x445d670f3c79b9dd, 0xdbbfd47c25f886c2,
  0xc20f7cc98b87185d, 0x6807a8f2b2eb29da, 0x14c5652fd47c1b30, 0x2cb1148b34eb4228, 0x5dbbe70ea426be8c,
  0x79d37609e8d7c39d, 0xc9118dfb1aaf1b1d, 0x0decb65cc5c24228, 0x9dc359ea8d822647, 0xc73c9fdaf2e556a5,
  0xfab39d454aa35d09, 0x5a9ae0404e576a96, 0xaf2c5a4ab574bfa4, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0xd4bf36cbb0c76f62, 0xc1ddc68b224c6e52, 0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7,
  0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xc81e0b3c95fb9a19, 0x0000000000013f0d,
};

// usb647_swio10_lednop_ee_hw
static const uint64_t ur_usb646_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a18e2, 0xb572d2c7a9bd7ac5, 0x9e91fdd1b6c47c49, 0x23c8a60d76966eec, 0x5ac8840821148894,
  0x827c64ee94e1eda7, 0x231cbfcac59feaf9, 0xf2b287355ad1c7b9, 0x17d47c1b3067afa8, 0x8b34eb422877c56c,
  0xc9a426be8c2cb114, 0x6be1cead2ff3971a, 0xab5d0ebce9bb04f4, 0x70908a3244637ec6, 0xc11fadc37b2d9731,
  0x72ab500ae1acf546, 0x51ae84e39e4fed79, 0x2bb54b7d59cea2a5, 0xba5fd22d4d702027, 0xf6ab4457962d255a,
  0x52d7ce80f1cad75c, 0x6378ce881085482e, 0x8ab7b15545a4829c, 0xe31b94b52fcdb2ec, 0xc3def2861539fa84,
  0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387, 0x02df19e4e8a792bf,
};

// usb646_swio10_lednop_ee_ce_u4_hw  usb647_swio10_lednop_ee_ce_hw     usb647_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_usb646_swio10_lednop_ee_ce_hw[] = {
  0x9eeeeeed14687f3e, 0xbb9696187119d61a, 0x3b02f7419ad1006d, 0xd8f622a6c48f4eb2, 0xc8c4efa6309e25a9,
  0xf193bb1aa8bf5d6c, 0x6fff958b3e292609, 0x5bf18bf5472ba48d, 0x222eb3879e790e77, 0x6ddfea3e12fc4361,
  0xb083df3262e1c000, 0x1a01ea3cacbaca76, 0x0531594bf51f06cc, 0x0b2c4522cd3ad08a, 0x576ef9c3a909afa3,
  0x5e74dd827a35f0e7, 0x3244637ec6abc6c7, 0xc37b2d973170908a, 0x6770d67aa3608991, 0x71cf27f6bcb955a9,
  0xbeace75152a8d742, 0x16a6b8101395daa5, 0x2bcb1692ad5d2fe9, 0x4078e56bae7b55a2, 0x440842a417296be7,
  0xaaa2d2414e31bc67, 0xb52fcdb2ec31dbd8, 0x861539fa84e31b94, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f,
  0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0x04a8a792bf734332, 0x00000000000a020a,
};

/*
 * usb646_swio10_dual_pr             usb646_swio10_dual_pr_u4          usb647_swio10_dual
 * usb647_swio10_dual_pr             usb647_swio10_dual_pr_u4
 */
static const uint64_t ur_usb646_swio10_dual[] = {
  0x06eeeeed121a559b, 0x7edb87cbdabef5e1, 0xa72dd583f4cdd833, 0x0a8211f3b402ac4e, 0xcda4cfb453b7420a,
  0x2f4ee4e17c7fcfbc, 0x460aa4737e609f19, 0xa18369181bbafb26, 0x9404a774f8971030, 0x61018e152a6fddf9,
  0x04903dbf37a8e63f, 0x12bfcfdf0450a489, 0x6731009f5c3e1443, 0x32d08c910cab397a, 0xffd01cf09ad68a84,
  0x60b0de579096dcba, 0x587c92352bfec442, 0x1240c45f51e443be, 0x02a83cdfb8caa487, 0x006769c51bde7316,
  0xf07d500ffd9823af, 0x525bfc303cb3db5a, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0xe576a96fab39d454,
  0x574bfa45a9ae0404, 0x9ed5688af2c5a4ab, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x9156f62aa8b49053,
  0x12637296a5f9b65d, 0xa75666fe0eee3459, 0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00524d0158f059e4,
};

// usb647_swio10_dual_pr_ee
static const uint64_t ur_usb646_swio10_dual_pr_ee[] = {
  0x75bbbbba1eb432db, 0x7edb87fc7a6bfaf3, 0x421dd3ac0291ddc1, 0x74bb7ac806e7162d, 0xeb8957f1f3f66e83,
  0xe47045583f0ceb66, 0x48b24e609f192626, 0xd2303775f64c8c15, 0x4ee9f12e20614306, 0x70a1f9ba7ff32809,
  0xd9d37a8e70761d5e, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0xb4432ace5e99c300, 0xf0983dc54219682f,
  0xaf212dba6dffd01c, 0xd0fffd8884c161bc, 0xaf7dcd56b4651648, 0xf51f06cc1995ea3c, 0xcd3ad08a1df15dba,
  0x6909afa30b2c4522, 0x51cead2e50d7152e, 0x5d0ebd44bb47b47a, 0x4845080234c6c6ab, 0x1fadc37b2fa598b8,
  0x5494028cad6546c1, 0xcb955acfe2af9ddc, 0x2a8d74271cf27f6b, 0x395daa5beace7515, 0xd5d2fe916a6b8101,
  0xe7b55a22bcb1692a, 0x7296be74078e56ba, 0xe31bc67440842a41, 0x6455bd8aaa2d2414, 0xde08dca5a97e6d97,
  0x4eaccdfc1ddc68b3, 0xcbf313f9430a9cfd, 0x3dffc1347db0f738, 0xcb25c33d30ae4fc7, 0x332c3a4a5b387138,
  0x22043c16792bf734, 0x000000000000002b,
};

// usb647_swio10_dual_pr_ee_u4
static const uint64_t ur_usb646_swio10_dual_pr_ee_u4[] = {
  0xb13bbbbbb4486f97, 0xb7edb87fc7a8ffaf, 0xed71dd6c4ec848cb, 0x323e44dd56875c21, 0xae89fd77c7cfdd89,
  0xf7278233af70a749, 0xaa41d7d304f8c923, 0x369181bbafb26460, 0x4a774f8971030a18, 0x91c0e0cdd5ff9940,
  0x072ba6f51f676c23, 0xf9fbe08a14912092, 0x0713eb87c2886257, 0x8f6886559cbd338d, 0x1cf09a448a8432d0,
  0xbcaf212db8cdffd0, 0x244e0ffd8884c161, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x173484d7d1859622, 0x3050e7569790eb84, 0xab5d0ebdac4eddd2, 0x70908a26e47916c6, 0x232fadc37b2e3e31,
  0x59fc55f3bb8a92ae, 0x84e39e4fed7972ab, 0x4b7d59cea2a551ae, 0xd22d4d7020272bb5, 0x4457962d255aba5f,
  0xce80f1cad75cf6ab, 0xce881085482e52d7, 0xb15545a4829c6378, 0x94b52fcdb2ec8ab7, 0x37f07771a2c8931b,
  0xbde50c2a73f53ab3, 0x1c7f197e627ff787, 0x45fe07efd8668fb6, 0x1964b867a617c68f, 0x866587494b670e27,
  0x64c62782cf257ee6, 0x0000000000000005,
};

// usb646_swio10_dual_pr_ce_u4       usb647_swio10_dual_pr_ce          usb647_swio10_dual_pr_ce_u4
static const uint64_t ur_usb646_swio10_dual_pr_ce[] = {
  0x4edddddda243359b, 0x257edb87c656bd7c, 0x99a16dd69c6eba77, 0xc8efe9c0b1d7cfb4, 0x35d500d57c6add89,
  0x93516e43c330a61f, 0xc8c1548f5aa609f1, 0x14306d2303775f64, 0x328094ee9f12e206, 0xec34d9c22b4c35bf,
  0x209206a7a6f51f7d, 0x6257f9fbe08a1491, 0x99c67213eb87c288, 0x19686df4432ace5e, 0xffe80e784c7ac542,
  0x60b0de579096dfa7, 0xa87b92315bfec442, 0x0f3c79b9dc728c5f, 0x7c25f886c2445d67, 0xcc98b87a4a672fd4,
  0xf51fa89ee59d5ea5, 0xa5775490e2481dc3, 0x3b4e28def398b016, 0xea807feccf1d7803, 0xb7f860796b72d783,
  0xaad67f157ceee2a4, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0x97f48b535c0809ca, 0xaad115e58b4956ae,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xedec55516920a718, 0x8dca5a97e6d97618, 0x599bf83bb8d16449,
  0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x1a4810b3c16792bf,
};

// usb647_swio10_dual_pr_ee_ce
static const uint64_t ur_usb646_swio10_dual_pr_ee_ce[] = {
  0x9d6ddddddd436f02, 0x53f6dc3e5eed07d7, 0xecda6e9624e4f58a, 0xf6667b281f210d57, 0xc69e4d705e694eb0,
  0x9fc3e6bde4c59b19, 0x08f5cc13e3251ddc, 0x8c0ddd7d93230552, 0xba7c4b881850c1b4, 0x07f93620fcca0253,
  0x1f9bd470d1b0d347, 0xdf0450a48904903b, 0x9f5c3e144312bfcf, 0x886559cbd33830b8, 0x133a58a8432d0286,
  0xe425b7fd7ffa039e, 0xfcffb110982c3795, 0x6ff2c7f546a7a48b, 0x0ea49cdffcf1e6e7, 0x5a53b58166e99ceb,
  0xf83660fbaf51e579, 0xd68450298ae577a8, 0x4d7d185962291669, 0xe9473abb71431d48, 0x5e363af512ed1ed1,
  0xc242284011a63635, 0x044c8e1bd97d2cc5, 0x715252ce32b5951b, 0xaf2e556b3f8abe77, 0x54aa35d09c73c9fd,
  0x04e576a96fab39d4, 0xab574bfa45a9ae04, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e395a, 0x538c6f19d10210a9,
  0xbb0c76f62aa8b490, 0x58f386e52d4bf36c, 0x93f75666fe0eee34, 0x1c4e32c970cf4c2b, 0xfdcd0ccb0e9296ce,
  0x001304c6cf059e4a,
};

// usb647_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_swio10_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fb202, 0xb6e1f26799bf5e5a, 0x3dd75bcfb57c3d9f, 0xaebb9b41f9b37b79, 0x60f9689765a82180,
  0x48c7bb383955efaf, 0x304f8c929d72feb7, 0xebec99182a9163d7, 0x5c40c2860da4606e, 0x35bfccac049dd3e2,
  0x1e006c0521c3f5e6, 0x292241240ed6e6f5, 0x8510c4aff3f7c114, 0x72f4ce5c9427d70f, 0x2a10cb4367221956,
  0xd2a3fe80e784d95a, 0x85e60b0de579096d, 0xd51c72923faffe4c, 0x3cf3e019dfebc62f, 0xf097e21b0911759c,
  0x262e1d9ebf5abf51, 0xcaf2b4a76b084dd3, 0xef51f06cc1f75ea3, 0x2cd3ad08a05315ca, 0x3a909afa30b2c452,
  0x3da3d28e7576e286, 0x6c6abc6c75ea25da, 0x598b84845080234c, 0x2a3608991c37b2fa, 0x7ceee2a4a59c656b,
  0x93fb5e5caad67f15, 0x73a8a9546ba138e7, 0x5c0809caed52df56, 0x8b4956ae97f48b53, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6d97618edec5551, 0xf8d164498dca5a97, 0xa9cfd4eaccdfc1a3,
  0xf989ffde1ef79430, 0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x3f3c95fb9a19961d,
  0x000000200397e12d,
};

// usb647_swio10_dual_ee_hw
static const uint64_t ur_usb646_swio10_dual_ee_hw[] = {
  0xeb7777768a34359b, 0xfdb70ff8f4d7f5e6, 0x843ba7580523bb82, 0xe976f5900dce2c5a, 0xd712afe3e7ecdd06,
  0xdc8786614d6baecd, 0xa91649cc13e324c4, 0xda4606eebec99182, 0x19dd3e25c40c2860, 0xce143f374ffe6574,
  0x7b3a6f51ce0ec3ab, 0x9fbe08a149120920, 0x113eb87c2886257f, 0xf6886559cbd33860, 0x9e1307b8a8432d05,
  0x95e425b74dbffa03, 0x8d0ffff2a4982c37, 0xcaf7dcd56b465164, 0xaf51f06cc1995ea3, 0x2cd3ad08a1df15db,
  0xe6909afa30b2c452, 0xa51cead2e50d7152, 0xb5d0ebd44bb47b47, 0x84845080234c6c6a, 0x11fadc37b2fa598b,
  0xc5494028cad6546c, 0xbcb955acfe2af9dd, 0x52a8d74271cf27f6, 0x1395daa5beace751, 0xad5d2fe916a6b810,
  0xae7b55a22bcb1692, 0x17296be74078e56b, 0x4e31bc67440842a4, 0x76455bd8aaa2d241, 0x42718dca5a97e6d9,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x000aed48bb5453c9,
};

// usb646_swio10_dual_ee_ce_u4_hw    usb647_swio10_dual_ee_ce_hw       usb647_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_usb646_swio10_dual_ee_ce_hw[] = {
  0xadddddda28d19231, 0xedb87c99e66fd796, 0x4f75d6f3ed5f0f67, 0x2baee6d07e6cdede, 0xd83e5a25d96a0860,
  0xf0cd3addad557beb, 0xeb9827c6494eb97f, 0x3775f64c8c1548b1, 0xf12e20614306d230, 0x798d6ff32ba0cee9,
  0xbd47801b014870fd, 0x450a48904903b5b9, 0xc3e144312bfcfdf0, 0x559cbd33972509f5, 0x568a8432d0d9c886,
  0x5b74a8ffa039e136, 0xff2a4982c3795e42, 0x18bf5471ca48febf, 0xeb3879e790e77faf, 0x7ea3e12fc4361222,
  0x26e993170fe72ea7, 0xaf51e5795a53b584, 0x8ae577a8f83660fb, 0x62291669d6845029, 0x71431d484d7d1859,
  0x12ed1ed1e9473abb, 0x11a636355e363af5, 0xd97d2cc5c2422840, 0x32b5951b044c8e1b, 0x3f8abe77715252ce,
  0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0, 0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa, 0xd01e395aeb9ed568,
  0xd10210a905ca5af9, 0x2aa8b490538c6f19, 0x2d4bf36cbb0c76f6, 0xa1854e7ea138c6e5, 0xe32fcc4ffef0f7bc,
  0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xb90a29e4afdcd0cc, 0x0000000000075d43,
};

/*
 * usb646_swio11_noled_pr            usb646_swio12_noled               usb646_swio12_noled_pr
 * usb647_swio11_noled               usb647_swio11_noled_pr            usb647_swio12_noled
 * usb647_swio12_noled_pr
 */
static const uint64_t ur_usb646_swio11_noled[] = {
  0x13c1dddddd66ef3a, 0xee5a58856e6f586c, 0xe97752267ba0c90e, 0x783309a93783eadb, 0x641d78d7d9fbad82,
  0x827c64ee82f41331, 0x47bafff375cfc7b9, 0xffea3a6277cb7412, 0x99001f2921c4903a, 0xe91193c731602dee,
  0x3ee39630475e2e76, 0xe4fed7972ab52b04, 0x9cea2a551ae84e39, 0x2d4d672bb54b7d5d, 0x15e58b495b1bd7d2,
  0x4fa779fad73daad1, 0x696173a9d4e02ca5, 0x6f19d1023cbc5021, 0x386e52d4bf36d38c, 0xd598f2068fe3458f,
  0x8cb25c33d30ae4fd, 0x4332c3a4a5b38713, 0x40925087e792bf73, 0x000000000000003e,
};

// usb646_swio12_noled_pr_u4         usb647_swio11_noled_pr_u4         usb647_swio12_noled_pr_u4
static const uint64_t ur_usb646_swio11_noled_pr_u4[] = {
  0xa226eeeed121bf82, 0xb9696215b6dd627b, 0x98eea1c489910cd6, 0x1e42e27d2f1f327b, 0xba87003c9bb3dd11,
  0x7c64eeae31238541, 0xb7ffc214cf98f982, 0xf51c143be5b7b923, 0x1ed00a4871240c9a, 0x28c45398b016594c,
  0x3ff6608ebd1f3b26, 0x303cb3dbb589e540, 0xcf27f6bcb955aa11, 0xece75152a8d74271, 0x916a6b395daa5bea,
  0x88af2c5a4ad8debe, 0x869de7c5aeb9ed56, 0xc6744083ba9b14a7, 0x7b15545a5b44e31b, 0x7296a5f9b6c218ab,
  0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x9a69f0f059e4afdc, 0x000000000000007c,
};

/*
 * usb646_swio11_noled_pr_ee_u4      usb646_swio12_noled_pr_ee         usb646_swio12_noled_pr_ee_u4
 * usb647_swio11_noled_pr_ee         usb647_swio11_noled_pr_ee_u4      usb647_swio12_noled_pr_ee
 * usb647_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_usb646_swio11_noled_pr_ee[] = {
  0x6f26eeeed121b705, 0xae5a58f531a7582f, 0xdb23bbb6dd7f8936, 0x7914ce3e7ec19e3b, 0x081eb9204522217b,
  0x8c9ddb0db2b92a4c, 0x77f84299f383304f, 0x5d66ab5a331f2476, 0x8f83660fa8f51e56, 0x9d68450ef8aca5fa,
  0x84d7d18596229166, 0x39d5a5dc9ae35934, 0xd0ebce9bb1ea8fe4, 0x845110a3deec6ab5, 0xfd6e1bd96cb98b84,
  0x56a01741cf2a3608, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3, 0x637afa45a9ace576, 0xe7b55a22bcb1692b,
  0x6c529e1a779f16ba, 0x138c6f19d1020eea, 0x0862adec5551696d, 0x64498dca5a97e6db, 0xfa9d599bf83bb8d1,
  0x3ffbc3def2861539, 0x3347db0e3f8cbf31, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5,
  0x00009d77c933c167,
};

/*
 * usb646_swio11_noled_pr_ce_u4      usb646_swio12_noled_pr_ce         usb646_swio12_noled_pr_ce_u4
 * usb647_swio11_noled_pr_ce         usb647_swio11_noled_pr_ce_u4      usb647_swio12_noled_pr_ce
 * usb647_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_usb646_swio11_noled_pr_ce[] = {
  0xf89ddddda2432493, 0xb96960418add60c9, 0x5a5ee8d7793d7a1c, 0x891b4d9e8261550f, 0xed1fbc5f63f74c9f,
  0x27c64ee86e41447c, 0x2a7bfc214cfefb98, 0xb9de048c5fa84f92, 0x86c2445d670f3c79, 0x798667cfd47c25f8,
  0x27b96757d64c98b8, 0x24389206b3fd475f, 0x6229cc580bb7e5f5, 0xfb33c75e8f9d9314, 0x0796b75ac4f2a01f,
  0xe4fed7972ab54226, 0x9cea2a551ae84e39, 0x2d4d672bb54b7d5d, 0x15e58b495b1bd7d2, 0xd3bcf8b5d73daad1,
  0xce881077536294f0, 0x62aa8b4b689c6378, 0xa5a97e6db084c76f, 0xbf83bb8d164498dc, 0xef2861539fa9d599,
  0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x3f5b3c16792bf734,
  0x0000000000000dd7,
};

/*
 * usb646_swio11_noled_pr_ee_ce_u4   usb646_swio12_noled_pr_ee_ce      usb646_swio12_noled_pr_ee_ce_u4
 * usb647_swio11_noled_pr_ee_ce      usb647_swio11_noled_pr_ee_ce_u4   usb647_swio12_noled_pr_ee_ce
 * usb647_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_swio11_noled_pr_ee_ce[] = {
  0xd8fddddda243304a, 0xb969618720dd631d, 0xa64774ad921006db, 0x63d88e152ef92841, 0x9c8ccd28c2789c77,
  0x2776c5d47deb2018, 0xfe10a67e004c13e3, 0xc62fd51efb9236b7, 0x5d670f3c79b9ddad, 0x7fd47c25f886c244,
  0x0f7cc98b87575c61, 0x57a8f2b90f29dac2, 0xc5670fd47c1b307a, 0xb1148b34eb422814, 0xb9c98ea426be8c2c,
  0xe9bb1ea8fe439d5d, 0x147bdd8d578d8ebc, 0x7b2d973170908a22, 0xf41cf2a3608991c3, 0x73c9fdaf2e556a59,
  0xbb39d454aa35d09c, 0xa45a9ace576a96fa, 0xa22bcb1692b637af, 0xe1a779f16bae7b55, 0xf19d1020eea6c529,
  0xdec5551696d138c6, 0xb94b52fcdb61098e, 0x337f07771a2c8931, 0x7bde50c2a73f53ab, 0x61c7f197e627ff78,
  0xf45fe07efd8668fb, 0x71964b867a617c68, 0x6866587494b670e2, 0xf9317c782cf257ee, 0x0000000000000009,
};

// usb646_swio12_noled_ee_hw         usb647_swio11_noled_ee_hw         usb647_swio12_noled_ee_hw
static const uint64_t ur_usb646_swio11_noled_ee_hw[] = {
  0x793777768a342493, 0x72d2c7a98d3ac17b, 0xd91dddb6ebfc49b5, 0xc8a671f3f60cf1de, 0x40f5c90229110bdb,
  0xf8c9dd0dc82b4ed0, 0xb3bfcac59f383304, 0xb2eb355ad198f923, 0xd47c1b307d47a8f2, 0x34eb422877c5652f,
  0xa426be8c2cb1148b, 0x21cead2ee4d71ac9, 0xae875e74dd8f547f, 0x242288851ef76355, 0x47eb70decb65cc5c,
  0x2ab500ba0e7951b0, 0x1ae84e39e4fed797, 0xb54b7d5d9cea2a55, 0x5b1bd7d22d4d672b, 0xd73daad115e58b49,
  0x536294f0d3bcf8b5, 0x689c6378ce881077, 0xd843156f62aa8b4b, 0xea138c6e52d4bf36, 0xffef0f7bca1854e7,
  0xcd1f6c38fe32fcc4, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00000b7f85daa29e,
};

/*
 * usb646_swio11_noled_ee_ce_u4_hw   usb646_swio12_noled_ee_ce_hw      usb646_swio12_noled_ee_ce_u4_hw
 * usb647_swio11_noled_ee_ce_hw      usb647_swio11_noled_ee_ce_u4_hw   usb647_swio12_noled_ee_ce_hw
 * usb647_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_swio11_noled_ee_ce_hw[] = {
  0xc7eeeeed146807e1, 0xcb4b0c3906eb18ee, 0x323ba56c908036dd, 0x1ec470a977c9420d, 0xe466694613c4e3bb,
  0x3277421efde8ebc4, 0xbff2b167e004c13e, 0x6e317ea8f7dc91b5, 0x45d670f3cf21ceed, 0x00fd47c25f886c24,
  0x083df3262e1fbac0, 0xe95ea3cae43ca76b, 0x53159c3f51f06cc1, 0xb2c4522cd3ad08a0, 0x76e7263a909afa30,
  0xf3a6ec7aa3f90e75, 0x8851ef76355e363a, 0x0decb65cc5c24228, 0x67d073ca8d822647, 0x71cf27f6bcb955a9,
  0xeaece75152a8d742, 0xbe916a6b395daa5b, 0x5688af2c5a4ad8de, 0xa7869de7c5aeb9ed, 0x1bc6744083ba9b14,
  0x3b7b15545a5b44e3, 0xc6e52d4bf36d8426, 0xf7bca1854e7ea138, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x4044e4aa29e4afdc, 0x0000000000000001,
};

// usb646_swio12_lednop              usb647_swio11_lednop              usb647_swio12_lednop
static const uint64_t ur_usb646_swio11_lednop[] = {
  0x13c1dddddd66ef3a, 0xeee5a5885619586c, 0xda87bbe17a0a0c90, 0xe0cc26a475f5a789, 0xc8401b6d22eeb609,
  0xcc13e3277417a09a, 0x923227ff9bae7c3d, 0xd7ff51d7c3be5ba0, 0xd36df97d490e2481, 0x2d74770ce62c05bd,
  0x5b71cb1823af173b, 0x793fb5e5caad4acb, 0x673a8a9546ba138e, 0x5c0809caed52df57, 0xc5a4ae5e97f48b53,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6c63156f62aa8, 0x0ae4fcfec37296a5,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00000549f5d087e7,
};

/*
 * usb646_swio11_lednop_pr_u4        usb646_swio12_lednop_pr           usb646_swio12_lednop_pr_u4
 * usb647_swio11_lednop_pr           usb647_swio11_lednop_pr_u4        usb647_swio12_lednop_pr
 * usb647_swio12_lednop_pr_u4
 */
static const uint64_t ur_usb646_swio11_lednop_pr[] = {
  0x7444ddddda243762, 0xd72d2c42b171ac4f, 0xd8fddf5fe172219a, 0x4790b89db7e9522e, 0xb85fe3fc5eecf744,
  0x7c64eed334668223, 0x1effc214cfafb982, 0xf51d003be5b7b923, 0x7f3a8a4871240c9a, 0x88c6f9cc580b2ca6,
  0x3ff6608ebd1f3b64, 0xa07967b707fa4540, 0x9e4fed7972ab5976, 0xd9cea2a551ae84e3, 0xd7020272bb54b7d5,
  0xb1692b97a5fd22d4, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7e6db18c55bd8aaa,
  0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x3c16792bf734332c, 0x000000001f26959b,
};

/*
 * usb646_swio11_lednop_pr_ee_u4     usb646_swio12_lednop_pr_ee        usb646_swio12_lednop_pr_ee_u4
 * usb647_swio11_lednop_pr_ee        usb647_swio11_lednop_pr_ee_u4     usb647_swio12_lednop_pr_ee
 * usb647_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_usb646_swio11_lednop_pr_ee[] = {
  0xb79377776890c044, 0x572d2c7a9d05ac17, 0xf4d2eec01e97c49b, 0xde45338f8d33f6a6, 0xb45a8ac81148885e,
  0xc64eea0a4e52ec21, 0x5bfc214cfa5a9827, 0x60b355ad198f9223, 0x47c1b307d47a8f2b, 0x4eb422877c56a7bd,
  0x426be8c2cb1148b3, 0x1cead2ee9571ac9a, 0xe875e74dda444737, 0x42285f11c656355a, 0x7eb70decb65cc5c2,
  0xab500ad627951b04, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0xfd22d4d7020272bb, 0x5a22bcb1692b97a5,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xdca5a97e6db18c55, 0x99bf83bb8d164498,
  0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0xeb80563c16792bf7, 0x0000000000000004,
};

/*
 * usb646_swio11_lednop_pr_ce_u4     usb646_swio12_lednop_pr_ce        usb646_swio12_lednop_pr_ce_u4
 * usb647_swio11_lednop_pr_ce        usb647_swio11_lednop_pr_ce_u4     usb647_swio12_lednop_pr_ce
 * usb647_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_usb646_swio11_lednop_pr_ce[] = {
  0xfc4eeeeed121be4a, 0x5cb4b020c6eeb064, 0x5ebeebaf2f7ebd0e, 0x12369b3cada090bf, 0xbe1a70cde9ee993f,
  0x4f8c9dd29475be9a, 0x6577f84299fd9d30, 0x73bdf718bf509f24, 0x0d8488bace1e78f3, 0xd9be951fa8f84bf1,
  0x9ee59d5f593262e1, 0x21c490359fea3cbe, 0x1be731602c7bd2a9, 0xd99e3af47ced9223, 0x796b741fe91500ff,
  0x4fed7972ab5976a0, 0xcea2a551ae84e39e, 0x020272bb54b7d5d9, 0x692b97a5fd22d4d7, 0x56bae7b55a22bcb1,
  0x2a417296be74078e, 0x2414e31bc6744084, 0xdb63131dbd8aaa2d, 0x1a2c8931b94b52fc, 0xa73f53ab337f0777,
  0xe627ff787bde50c2, 0xfd8668fb61c7f197, 0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874,
  0x0000001baedf0478,
};

/*
 * usb646_swio11_lednop_pr_ee_ce_u4  usb646_swio12_lednop_pr_ee_ce     usb646_swio12_lednop_pr_ee_ce_u4
 * usb647_swio11_lednop_pr_ee_ce     usb647_swio11_lednop_pr_ee_ce_u4  usb647_swio12_lednop_pr_ee_ce
 * usb647_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb646_swio11_lednop_pr_ee_ce[] = {
  0xd8fddddda2436812, 0xb969618711dd631d, 0xaccf7717a09006db, 0xc7b11c2a0dcbb68b, 0x2727189184f138ee,
  0x93bbbf6160149af6, 0xfe10a67f1ba609f1, 0xc62fd51efb922d77, 0x5d670f3c79b9db5d, 0x2fd47c25f886c244,
  0x83df3262e1fa9cb8, 0x95ea3caca5ca76b0, 0x315943f51f06cc1e, 0x2c4522cd3ad08a05, 0x6e74a3a909afa30b,
  0x3a6ed22239b8e757, 0xf11c656355e363af, 0xdecb65cc5c242285, 0x76b13ca8d8226470, 0x1cf27f6bcb955a96,
  0xaece75152a8d7427, 0xa6b8101395daa5be, 0xe58b495cbd2fe916, 0x3c72b5d73daad115, 0x0421520b94b5f3a0,
  0x516920a718de33a2, 0x97e6db1898edec55, 0x3bb8d164498dca5a, 0x861539fa9d599bf8, 0x8cbf313ffbc3def2,
  0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xe3c16792bf734332, 0x000000000027e7d9,
};

// usb646_swio12_lednop_ee_hw        usb647_swio11_lednop_ee_hw        usb647_swio12_lednop_ee_hw
static const uint64_t ur_usb646_swio11_lednop_ee_hw[] = {
  0xbc9bbbbb451a3e4a, 0xb96963d4e82d60bd, 0xa6977600f4be24da, 0xf2299c7c699fb537, 0xa2d456408a4442f6,
  0x7c64ee94a3adaaf9, 0x1adfe562cfa5a982, 0x5b059aad68cc7c91, 0xea3e0d983ea3d479, 0x9a75a1143be2b53d,
  0xd2135f4616588a45, 0xb8e7569774ab8d64, 0xd743af3a6ed22239, 0x121142f88e32b1aa, 0x23f5b86f65b2e62e,
  0x955a8056b13ca8d8, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0x2fe916a6b8101395, 0xaad115e58b495cbd,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36d8c62, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x5bf34d6a29e4afdc,
  0x0000000000000000,
};

/*
 * usb646_swio11_lednop_ee_ce_u4_hw  usb646_swio12_lednop_ee_ce_hw     usb646_swio12_lednop_ee_ce_u4_hw
 * usb647_swio11_lednop_ee_ce_hw     usb647_swio11_lednop_ee_ce_u4_hw  usb647_swio12_lednop_ee_ce_hw
 * usb647_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_swio11_lednop_ee_ce_hw[] = {
  0xc7eeeeed14683d5b, 0xcb4b0c388eeb18ee, 0x667bb8bd048036dd, 0x3d88e1506e5db45d, 0x3938c48c2789c776,
  0x8c9dd67ceb7b5ab1, 0xdff958b3f8dd304f, 0x7718bf547bee48b5, 0x22eb3879e790e76d, 0x83fea3e12fc43612,
  0x107be64c5c3ea83c, 0xd2bd479594b94ed6, 0xa62b287ea3e0d983, 0x6588a459a75a1140, 0xedce94752135f461,
  0xe74dda4447371cea, 0xbe238cac6abc6c75, 0x1bd96cb98b848450, 0xced627951b044c8e, 0xe39e4fed7972ab52,
  0xd5d9cea2a551ae84, 0xd4d7020272bb54b7, 0xbcb1692b97a5fd22, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb63131dbd8a, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x928a792bf734332c, 0x00000000005014ea,
};

/*
 * usb646_swio11_dual_pr             usb646_swio11_dual_pr_u4          usb646_swio12_dual
 * usb646_swio12_dual_pr             usb646_swio12_dual_pr_u4          usb647_swio11_dual
 * usb647_swio11_dual_pr             usb647_swio11_dual_pr_u4          usb647_swio12_dual
 * usb647_swio12_dual_pr             usb647_swio12_dual_pr_u4
 */
static const uint64_t ur_usb646_swio11_dual[] = {
  0x41777776890d7f41, 0x6dc3e5ee717afa8b, 0x1eef4e3126ec19bf, 0x410d28f66c502f42, 0x9ced9452b76a2d05,
  0xa772f7199b2affab, 0x05520c03304f8c97, 0xc1b48c0ddd7d9323, 0x0253ba7c4b881850, 0x80c70a9537eefcca,
  0x481edf9bd4731fb0, 0x5fe7ef8228524482, 0x2b7c4fae1f0a2189, 0xd08c910cab397a67, 0xd01cf09ad68a8432,
  0xb0de579096dca5ff, 0xd7922517fec44260, 0x81ef7ea3f7477cb2, 0xa0f33930f7490e24, 0x9d90046989cc580a,
  0xf5403ff6608ebc01, 0x57cea07967b6f78d, 0x556b3f8abe777152, 0x35d09c73c9fdaf2e, 0x6a96fabb39d454aa,
  0xbfa45a9ae0404e57, 0xab4457962d2572f4, 0xd7ce80f1cad75cf6, 0x78ce881085482e52, 0xb7b15545a4829c63,
  0x1b94b52fcdb6318a, 0xb337f07771a2c893, 0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f,
  0x271964b867a617c6, 0xe6866587494b670e, 0x4935ad4782cf257e, 0x0000000000000001,
};

// usb646_swio12_dual_pr_ee          usb647_swio11_dual_pr_ee          usb647_swio12_dual_pr_ee
static const uint64_t ur_usb646_swio11_dual_pr_ee[] = {
  0x1bb777743d686f97, 0xb6e1ff1fddfaf29c, 0x6f755f362477705f, 0x5db4e44faafebbd2, 0xbf7ef8f9fb29c1ba,
  0xf04674338a75932b, 0xee3e609f192626e4, 0x303775f64c8c1548, 0xe9f12e20614306d2, 0xa1f9ba7ff328094e,
  0xd37a8e70761d5e70, 0xf0450a48904903d9, 0xf5c3e144312bfcfd, 0x432ace5e99c54889, 0x983dc54219682fb4,
  0x9096df4d7fd01cf0, 0x6bfec44260b0de57, 0xb75355ad1fee9221, 0x8f83660c3dfa8f2b, 0x9d68450ef8af4dfa,
  0x84d7d18596229166, 0xe7569760ab8a9734, 0x875ea25d8c7a33d4, 0x228d291c436355ae, 0xd6e1bd97d2cc5c24,
  0x9402c8a22aa3608f, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a, 0x2fe916a6b8101395,
  0xaad115e58b495cbd, 0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0x46e52d4bf36d8c62,
  0x666fe0eee3459ef0, 0x989fca1854e7ea75, 0xfe09a3ed87b9c65f, 0x2e19e985727e39ef, 0x61d252d9c389c659,
  0xd9e0b3c95fb9a199, 0x000000000005647a,
};

// usb646_swio12_dual_pr_ee_u4       usb647_swio11_dual_pr_ee_u4       usb647_swio12_dual_pr_ee_u4
static const uint64_t ur_usb646_swio11_dual_pr_ee_u4[] = {
  0x664777776890cf68, 0xf6dc3fe3d00faf81, 0x77eea0a7ac2465db, 0xf9129d73a8bcb56d, 0x0b27df1f3f702cc8,
  0x9347d4ead05bb3bb, 0x222319827c6491fb, 0x48c0ddd7d9323055, 0x3ba7c4b881850c1b, 0xe07066eaffcca025,
  0x95d37a8fb3b611c8, 0xfdf0450a48904903, 0x09f5c3e144312bfc, 0xda2195672f4ce292, 0x3c269122a10cb423,
  0x95e425b7ff9ff407, 0x893affb110982c37, 0xcaf024d56b4701a4, 0x6f51f06cc1c89ea3, 0x2cd3ad08a1df15e5,
  0xe6909afa30b2c452, 0x5f1cead2e70d7082, 0xae875ed6276dbe8e, 0x2422805118f96355, 0x17eb70decb8f8c5c,
  0xfe2af9ddc5495719, 0x71cf27f6bcb955ac, 0xeaece75152a8d742, 0x6a6b8101395daa5b, 0x5e58b495cbd2fe91,
  0x03c72b5d73daad11, 0x20421520b94b5f3a, 0x5516920a718de33a, 0xd4bf36d8c62adec5, 0xc1ddc68b224c6e52,
  0x9430a9cfd4eaccdf, 0xfc65f989ffde1ef7, 0xf81fbf619a3ed871, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x761e0b3c95fb9a19, 0x0000000000001591,
};

/*
 * usb646_swio11_dual_pr_ce_u4       usb646_swio12_dual_pr_ce          usb646_swio12_dual_pr_ce_u4
 * usb647_swio11_dual_pr_ce          usb647_swio11_dual_pr_ce_u4       usb647_swio12_dual_pr_ce
 * usb647_swio12_dual_pr_ce_u4
 */
static const uint64_t ur_usb646_swio11_dual_pr_ce[] = {
  0x91deeeeed121a5fb, 0x7edb87c65cef5f93, 0x4d7ddb0c53ba7725, 0x7f4d99d179579ced, 0x113d47d9f6ee4e47,
  0xa2dca591aea0f8ab, 0x82a917254c13e326, 0x60da4606eebec991, 0x0129dd3e25c40c28, 0x69b38456986b7e65,
  0x240d4f4dea3efbd8, 0xaff3f7c114292241, 0x995027d70f8510c4, 0xd0dbe886559cbd33, 0xd01cf098f58a8432,
  0x61bcaf212db98fff, 0xf7246397fd8884c1, 0x78f373b1ad18bf58, 0x4bf10d8488bace1e, 0x3170e495951fa8f8,
  0x709f3dcb3abd4b99, 0xb7e921c4903b5bd4, 0x80234c4e62c0528b, 0x01ffb33c75e00cec, 0x9d40f2d6e7bc6faa,
  0xd67f157ceee2a4af, 0xa138e793fb5e5caa, 0x2df57673a8a9546b, 0x48b535c0809caed5, 0x88af2c5a4ae5e97f,
  0x9d01e395aeb9ed56, 0x9d10210a905ca5af, 0x62aa8b490538c6f1, 0x52d4bf36d8c4c76f, 0xdfc1ddc68b224c6e,
  0xf79430a9cfd4eacc, 0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0x274f1e0b3c95fb9a, 0x0000000000000069,
};

// usb646_swio12_dual_pr_ee_ce       usb647_swio11_dual_pr_ee_ce       usb647_swio12_dual_pr_ee_ce
static const uint64_t ur_usb646_swio11_dual_pr_ee_ce[] = {
  0xf0f6dddddd431f02, 0xfb6e1f2f7913ebd5, 0x826ef5d8437ac529, 0x333498e164da8fed, 0x1f9dd82f34aaf87b,
  0x4622cdb90cc297d7, 0xcf5cc13e3251ddc9, 0xc0ddd7d932305523, 0xa7c4b881850c1b48, 0x7f93620fcca0253b,
  0xf9bd470d1b0d3470, 0xf0450a48904903b1, 0xf5c3e144312bfcfd, 0x432ace5e99cea709, 0x99d2c54219681434,
  0x212dbf60ffd01cf0, 0xdffd8884c161bcaf, 0xd6ec7f54781248da, 0x8224c03f9e3cdcee, 0x94ed6059ba673ac3,
  0x1b307b7fd4795cae, 0x422814c57befd47c, 0xbe8c2cb1148b34eb, 0x539d5db9828ea426, 0x1b1d7a897631e8cf,
  0x21146948e21b1aaf, 0x26470decbe9662e1, 0x5252cf2288aa8d82, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf,
  0x576a96fabb39d454, 0xf4bfa45a9ae0404e, 0xf6ab4457962d2572, 0x52d7ce80f1cad75c, 0x6378ce881085482e,
  0x63b7b15545a4829c, 0x9c37296a5f9b6c62, 0xbab337f07771a2c7, 0x71964b867a615c9f, 0x6866587494b670e2,
  0x304d38782cf257ee, 0x0000000000000001,
};

// usb646_swio12_dual_pr_ee_ce_u4    usb647_swio11_dual_pr_ee_ce_u4    usb647_swio12_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_swio11_dual_pr_ee_ce_u4[] = {
  0x0f777768a87fa812, 0x70f933fabfaf8d41, 0xddad157abe1ecfdb, 0x4fbb0419cc99ae43, 0xc2d689771a82180a,
  0x72d657f685c595ed, 0x13e324a75c83ebf0, 0xfb26460aa453f0cc, 0x1030a18369181bba, 0x6ff32b012774f897,
  0x801b014870fd798d, 0x48904903b5b9bd47, 0x44312bfcfdf0450a, 0xbd338f0089f5c3e1, 0x8432d0d9c886559c,
  0x43ffa039e136568a, 0x7982c3795e425b76, 0x4635a48f60ff9321, 0x3cf80677d8318bf5, 0x25f886c2445d670f,
  0x8b878fbae4afd47c, 0xb95d29dac21374c9, 0xa8f83660f6ffa8f2, 0x69d68450298af7df, 0x484d7d1859622916,
  0xd19ea73abb73051d, 0x355e363af512ec63, 0xc5c24228d291c436, 0x1b044c8e1bd97d2c, 0xeee2a4a59e451155,
  0xfb5e5caad67f157c, 0xa8a9546ba138e793, 0x809caed52df57673, 0x4ae5e97f48b535c0, 0xaeb9ed5688af2c5a,
  0x905ca5af9d01e395, 0x0538c6f19d10210a, 0xd8c4c76f62aa8b49, 0x8b224c6e52d4bf36, 0x7ea75666fe0d1fc6,
  0x4ffef0f7bca1854e, 0x0cd1f6c38fe32fcc, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929,
  0x000080063c9969f9,
};

// usb646_swio12_dual_ee_hw          usb647_swio11_dual_ee_hw          usb647_swio12_dual_ee_hw
static const uint64_t ur_usb646_swio11_dual_ee_hw[] = {
  0x0ddbbbbb451a25fb, 0xdb70ff8feefd794e, 0x37baaf9b123bb82f, 0x2eda7227d57f5de9, 0xdfbf7c7cfd94e0dd,
  0xe52c8d75d2acc995, 0x48ee3e609f192626, 0xd2303775f64c8c15, 0xcee9f12e20614306, 0x70a1f9ba7ff32ba0,
  0xd9d37a8e70761d5e, 0xfdf0450a48904903, 0x89f5c3e144312bfc, 0xb4432ace5e99c548, 0xf0983dc54219682f,
  0x579096df4d7fd01c, 0x10b5ffca9260b0de, 0x95dba9aad68ff749, 0xfd47c1b3061efd47, 0xb34eb422877c57a6,
  0x9a426be8c2cb1148, 0xea73ab4bb055c54b, 0xd743af512ec63d19, 0x121146948e21b1aa, 0x47eb70decbe9662e,
  0x2a4a0164511551b0, 0xe5caad67f157ceee, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x5e97f48b535c0809,
  0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905, 0x3156f62aa8b49053, 0x9c637296a5f9b6c6,
  0x787bde50c2a73f50, 0xfb61c7f197e627ff, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x02bb5b3c9d14f257,
};

/*
 * usb646_swio11_dual_ee_ce_u4_hw    usb646_swio12_dual_ee_ce_hw       usb646_swio12_dual_ee_ce_u4_hw
 * usb647_swio11_dual_ee_ce_hw       usb647_swio11_dual_ee_ce_u4_hw    usb647_swio12_dual_ee_ce_hw
 * usb647_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb646_swio11_dual_ee_ce_hw[] = {
  0x43ddddda28d08f43, 0xdc3e4cfeafebe350, 0xf76b455eaf87b3f6, 0x93eec10673266b90, 0x70b5a25dc6a08602,
  0xfdad5b538d71657b, 0x0cc13e324a75cbc4, 0xbbafb26460aa453f, 0x8971030a18369181, 0xcc6b7f995d06774f,
  0xea3c00d80a4387eb, 0x28524482481dadcd, 0x1f0a21895fe7ef82, 0xace5e99c78044fae, 0xb454219686ce4432,
  0xdbb21ffd01cf09b2, 0xf9524c161bcaf212, 0xc5faa31ad247b07f, 0x59c3cf3c873bec18, 0xf51f097e21b09117,
  0xdd3262e1c61776ef, 0xea3cae574a76b084, 0xbdf7ea3e0d983dbf, 0x8a459a75a1140a62, 0xc14752135f461658,
  0xbb18f467a9ceaedc, 0x710d8d578d8ebd44, 0x5f4b3170908a34a4, 0x445546c1132386f6, 0xc55f3bb8a9296791,
  0x39e4fed7972ab59f, 0x5d9cea2a551ae84e, 0x4d7020272bb54b7d, 0xcb1692b97a5fd22d, 0x78e56bae7b55a22b,
  0x0842a417296be740, 0xa2d2414e31bc6744, 0x2fcdb63131dbd8aa, 0x1539fa84e31b94b5, 0xbf313ffbc3def286,
  0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0x68a792bf734332c3, 0x000000001d7536dd,
};

// usb646_swio13_noled_pr            usb647_swio13_noled               usb647_swio13_noled_pr
static const uint64_t ur_usb646_swio13_noled[] = {
  0x02cb77777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x0b23c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0x492476ffff9bae7c, 0x81f3dea3c4277cb7, 0xdee9b4a5af490e24, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0xc73c9fdaf2e556a5, 0x6fb39d454aa35d09, 0x16a6b395daa5beaa, 0x57962d255abdebe9,
  0x3e9de7eb5cf6ab44, 0xa585cea75380b295, 0xbc674408bf714085, 0xe1b94b52fcdb4e31, 0x5663c81a3f8d163c,
  0x32c970cf4c2b93f7, 0x0ccb0e9296ce1c4e, 0x8005421f9e4afdcd, 0x000000000000007c,
};

// usb647_swio13_noled_pr_u4
static const uint64_t ur_usb646_swio13_noled_pr_u4[] = {
  0x656eeeeed121b562, 0xad72d2c42b0dbac1, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426e965,
  0xc13e32777e9c1b24, 0x244caff08533efe4, 0xd07a8f2f8ef9683f, 0xa68f7a5524389207, 0xa2147bd9cc580b2c,
  0xa01ffb30475e8f9d, 0xf5b81e59ed88a4d2, 0x38e793fb5e5caad5, 0x4df673a8a9546ba1, 0x22d4d672bb54b7d5,
  0x8af2c5a4ab57bd7d, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78, 0xb15545a5b44e31bc, 0xe52d4bf36c648ab7,
  0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1, 0xd17f81fbf619a3ed, 0xc6592e19e985f1a3,
  0xa19961d252d9c389, 0x3a9c59e0b3c95fb9, 0x00000000000000f9,
};

// usb646_swio13_noled_pr_ee_u4      usb647_swio13_noled_pr_ee         usb647_swio13_noled_pr_ee_u4
static const uint64_t ur_usb646_swio13_noled_pr_ee[] = {
  0xc5eeeeeed1219541, 0xdab96963d4e85d63, 0x4f5a2ee8db623e24, 0x2de4531d7c33c5ef, 0x7545a0ab4114889e,
  0x7c64ee80a498b04e, 0x15bfc214cf93a982, 0x594b9aad68dfc923, 0xd47c1b30613fd479, 0x34eb422877c5650f,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0x6ba138e793fb5e5c, 0xb7d54df673a8a954, 0xbd7d22d4d672bb54, 0xd5688af2c5a4ab57,
  0x4a7869de7c5aeb9e, 0x31bc6744083ba9b1, 0x8ab7b15545a5b44e, 0x24c6e52d4bf36c64, 0x4eaccdfc1ddc68b2,
  0xfde1ef79430a9cfd, 0xa3ed871fc65f989f, 0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9,
  0x004ebe6629e0b3c9,
};

// usb646_swio13_noled_pr_ce_u4      usb647_swio13_noled_pr_ce         usb647_swio13_noled_pr_ce_u4
static const uint64_t ur_usb646_swio13_noled_pr_ce[] = {
  0xefdddddda2431768, 0x3972d2c083033ac6, 0x7e8d3dde3f427af4, 0x7f891b479190243c, 0x947b433376d4f777,
  0x9827c64ee9ba3b46, 0x923813fc214cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0xc6921c490327bd47, 0x428f7b398b014ca9, 0x03ff6678ebd1f3b4, 0xadc0f2d6e1149a54,
  0xc73c9fdaf2e556af, 0x6fb39d454aa35d09, 0x16a6b395daa5beaa, 0x57962d255abdebe9, 0x4ef3e2d75cf6ab44,
  0x3a2041dd4d8a53c3, 0x8aaa2d2da2718de3, 0x52d4bf36c6431dbd, 0xdfc1ddc68b224c6e, 0xf79430a9cfd4eacc,
  0x71fc65f989ffde1e, 0x17f81fbf619a3ed8, 0x6592e19e985f1a3d, 0x19961d252d9c389c, 0x31c49e0b3c95fb9a,
  0x0000000000000dd7,
};

// usb646_swio13_noled_pr_ee_ce_u4   usb647_swio13_noled_pr_ee_ce      usb647_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_usb646_swio13_noled_pr_ee_ce[] = {
  0xd3dddddda243173e, 0xb772d2c30e5c1ac3, 0x176c4ee8335a200d, 0x9d8f622484715835, 0xf2723b5c6309e25e,
  0x8c9ddcfb402d3913, 0x0ff08533e87d304f, 0x4118bf5476ea48e2, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114, 0xaedc958752135f46,
  0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991, 0x38e793fb5e5caad4,
  0x4df673a8a9546ba1, 0x22d4d672bb54b7d5, 0x8af2c5a4ab57bd7d, 0x69de7c5aeb9ed568, 0x6744083ba9b14a78,
  0xb15545a5b44e31bc, 0xca5a97e6d8c863b7, 0x9bf83bb8d164498d, 0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3,
  0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xe1ea83c16792bf73, 0x0000000000000027,
};

// usb647_swio13_noled_ee_hw
static const uint64_t ur_usb646_swio13_noled_ee_hw[] = {
  0x2f7777768a341768, 0xd5cb4b1ea742eb1e, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a444f1,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0xcaca5cd56b46fe49, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0xa35d09c73c9fdaf2, 0xa5beaa6fb39d454a, 0xbdebe916a6b395da, 0xf6ab4457962d255a,
  0x8a53c34ef3e2d75c, 0x718de33a2041dd4d, 0x2455bd8aaa2d2da2, 0x09c637296a5f9b63, 0xf787bde50c2a73f5,
  0x8fb61c7f197e627f, 0xc68f45fe07efd866, 0x0e271964b867a617, 0x7ee6866587494b67, 0x0005bfaacdd14f25,
};

// usb646_swio13_noled_ee_ce_u4_hw   usb647_swio13_noled_ee_ce_hw      usb647_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_usb646_swio13_noled_ee_ce_hw[] = {
  0x3dddddda28d0ac4f, 0x772d2c30e5c1ac3d, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e25e9,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476ea48e, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5,
  0x537d9cea2a551ae8, 0x48b5359caed52df5, 0x22bcb1692ad5ef5f, 0x1a779f16bae7b55a, 0x19d1020eea6c529e,
  0xec5551696d138c6f, 0x7296a5f9b63218ed, 0xde50c2a73f509c63, 0xc7f197e627ff787b, 0x5fe07efd8668fb61,
  0x964b867a617c68f4, 0x66587494b670e271, 0x448b2514f257ee68, 0x0000000000000140,
};

// usb647_swio13_lednop
static const uint64_t ur_usb646_swio13_lednop[] = {
  0x02cb77777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd0b2,
  0x7304f8c9ddb1ec86, 0x248f75ffe6eb9f8f, 0x3e7bd479b8ef96e9, 0xee98ca9c6921c490, 0x767bd1dac731602d,
  0x822ee39630475e2e, 0x1cf27f6bcb955a95, 0xbece75152a8d7427, 0xe0404e576a96faa9, 0x1692b924bfa45a9a,
  0xe56bae7b55a22bcb, 0x42a417296be74078, 0xd2414e31bc674408, 0xe6da05455bd8aaa2, 0x2b93f3fb0dca5a97,
  0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x00005492ff421f9e,
};

// usb646_swio13_lednop_pr_u4        usb647_swio13_lednop_pr           usb647_swio13_lednop_pr_u4
static const uint64_t ur_usb646_swio13_lednop_pr[] = {
  0xcadddddda2432aac, 0x5ae5a58856a87582, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6e965,
  0x609f193bbe451db2, 0x4898fff08533f52a, 0xd07a8fa51df2d07e, 0x4d01827d24389207, 0x2f88e32398b01659,
  0x403ff6608ebd1f3b, 0x0e40f2cf6c6fdc35, 0xc73c9fdaf2e556b7, 0x6fb39d454aa35d09, 0xb8101395daa5beaa,
  0xc5a4ae492fe916a6, 0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8,
  0xee345912637296a5, 0x854e7ea75666fe0e, 0x2fcc4ffef0f7bca1, 0xfdfb0cd1f6c38fe3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0xf059e4afdcd0ccb0, 0x000000007c9899a0,
};

// usb646_swio13_lednop_pr_ee_u4     usb647_swio13_lednop_pr_ee        usb647_swio13_lednop_pr_ee_u4
static const uint64_t ur_usb646_swio13_lednop_pr_ee[] = {
  0xe2f777776890c582, 0x36ae5a58f53082b1, 0xf0ad5c7ba5c46789, 0x3c5bc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x89c1ff08533f43f3, 0xe56a7a6ab5a37f24, 0x4f51f06cc184ff51, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0xa8d74271cf27f6bc, 0xa96faa9bece75152, 0xfa45a9ae0404e576, 0x5a22bcb1692b924b,
  0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b, 0xdca5a97e6da05455, 0x99bf83bb8d164498,
  0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871,
  0xd7fcd33c16792bf7, 0x0000000000000009,
};

// usb646_swio13_lednop_pr_ce_u4     usb647_swio13_lednop_pr_ce        usb647_swio13_lednop_pr_ce_u4
static const uint64_t ur_usb646_swio13_lednop_pr_ce[] = {
  0x77eeeeeed121b768, 0x1cb96960418fdd63, 0x7ed05dd623e2fd7a, 0xff12368f20336401, 0x4ce2a16d2ec9eeee,
  0x304f8c9dd764af8c, 0x2477dff84299f8ad, 0x79b9ddba8c5fac89, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0xd6921c490327bd47, 0xf11c6473160298f3, 0x07feccf1d7a3e765, 0x720796b70dfb86a8,
  0x39e4fed7972ab5b8, 0x7d9cea2a551ae84e, 0xc0809caed52df553, 0x2d2572497f48b535, 0xcad75cf6ab445796,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b681463b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x059e4afdcd0ccb0e,
  0x0000000375cc110f,
};

// usb646_swio13_lednop_pr_ee_ce_u4  usb647_swio13_lednop_pr_ee_ce     usb647_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_usb646_swio13_lednop_pr_ee_ce[] = {
  0xd3dddddda2431bc1, 0xb772d2c30e44eac3, 0x7f4376e9bb64200d, 0x9d8f622485c18e24, 0xe05991a66309e25e,
  0xc64ee8eba6bb62ee, 0x07f84299ffd79827, 0x008c5faa3b752460, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46,
  0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0x9c73c9fdaf2e556a,
  0xa6fb39d454aa35d0, 0x6b8101395daa5bea, 0x2c5a4ae492fe916a, 0xe395aeb9ed5688af, 0x210a905ca5af9d01,
  0x8b490538c6f19d10, 0xbf36d028c76f62aa, 0xddc68b224c6e52d4, 0x30a9cfd4eaccdfc1, 0x65f989ffde1ef794,
  0x1fbf619a3ed871fc, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592, 0x1e0b3c95fb9a1996, 0x00000000013f026b,
};

// usb647_swio13_lednop_ee_hw
static const uint64_t ur_usb646_swio13_lednop_ee_hw[] = {
  0x17bbbbbb451a3768, 0xb572d2c7a984158f, 0x856ae3dd2e233c49, 0xe2de4531d7d0b867, 0x7111fb226c114889,
  0x304f8c9dd764afb6, 0x244e0ff958b3f43f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x9546ba138e793fb5, 0xb54b7d54df673a8a, 0x5fd22d4d7020272b, 0xaad115e58b495c92,
  0xb5f3a03c72b5d73d, 0xde33a20421520b94, 0xadec55516920a718, 0xc6e52d4bf36d02a2, 0xf7bca1854e7ea138,
  0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x5bfd04aa29e4afdc,
  0x0000000000000000,
};

// usb646_swio13_lednop_ee_ce_u4_hw  usb647_swio13_lednop_ee_ce_hw     usb647_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_usb646_swio13_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683375, 0xbb9696187227561e, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f12f4,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xdc008c5faa3b7524, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0x4271cf27f6bcb955,
  0xaa9bece75152a8d7, 0xa9ae0404e576a96f, 0xbcb1692b924bfa45, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb40a31dbd8a, 0x61539fa84e31b94b, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8,
  0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x168a792bf734332c, 0x0000000000a02fb3,
};

/*
 * usb646_swio13_dual_pr             usb646_swio13_dual_pr_u4          usb647_swio13_dual
 * usb647_swio13_dual_pr             usb647_swio13_dual_pr_u4
 */
static const uint64_t ur_usb646_swio13_dual[] = {
  0x8eeeeeed12190907, 0xfdb70f97bfb5ebec, 0x2d5bb2ee999bb066, 0x15045c675905333d, 0xf69c9263b2ddb234,
  0xbd3b95a0fd5f7efa, 0x182a90a919827c64, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x84063854a9bf77e6,
  0x1240f6fcdea398fd, 0x4aff3f7c11429224, 0x38d7627d70f8510c, 0x968464886559cbd3, 0xfe80e784d6b45421,
  0x0586f2bc84b6e50f, 0xcf7c91fddff62213, 0x481c1ff51f6f9df2, 0xaa0f32568f7490e2, 0x19db4a47109cc580,
  0x325403ff6608ebc0, 0x49702503cb3db4c6, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0xa96faa9bece75152,
  0xfa45a9ae0404e576, 0x5a22bcb1692b924b, 0xbe74078e56bae7b5, 0xc67440842a417296, 0xbd8aaa2d2414e31b,
  0xdca5a97e6da05455, 0x99bf83bb8d164498, 0x3def2861539fa9d5, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x49a0e33c16792bf7, 0x000000000000000a,
};

// usb647_swio13_dual_pr_ee
static const uint64_t ur_usb646_swio13_dual_pr_ee[] = {
  0x56eeeee87ad0cf68, 0xfdb70ff8fae3ebca, 0x87dbb3890523bb82, 0xe9776182ca3e9f7b, 0xd9b1d7e3e7eca506,
  0x9a3ea757d76ec421, 0x0ba2cc13e324c4dc, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x143f374ffe650129,
  0x3a6f51ce0ec3abce, 0xbe08a1491209207b, 0x3eb87c2886257f9f, 0x886559cbd3397431, 0x1307b8a8432d05f6,
  0xe425b79dbffa039e, 0x9fffb110982c3795, 0xe9b9aad68dc9c91e, 0x47c1b3071efd4795, 0x4eb422877c57b3bd,
  0x426be8c2cb1148b3, 0x73ab4ba9e5c54b9a, 0xa1d7a89767f11f50, 0x08a0f547f258d56b, 0xf5b86f65f4b31709,
  0x928043e6f6a8d823, 0x72ab59fc55f3bb8a, 0x51ae84e39e4fed79, 0x52df5537d9cea2a5, 0xf48b535c0809caed,
  0xb4457962d2572497, 0x7ce80f1cad75cf6a, 0x8ce881085482e52d, 0x7b15545a4829c637, 0xb94b52fcdb40a8ab,
  0x9bf83bb8d167bc11, 0x27f2861539fa9d59, 0x8268fb61ee7197e6, 0x867a615c9f8e7bff, 0x7494b670e271964b,
  0x782cf257ee686658, 0x0000000001590ad4,
};

// usb647_swio13_dual_pr_ee_u4
static const uint64_t ur_usb646_swio13_dual_pr_ee_u4[] = {
  0xeccf777776890c86, 0x76fdb70ff8f44ff5, 0x5bb37ba769a70919, 0x647c894aaaf75b8d, 0xc535ec5f8f9fb666,
  0xdcbbb1bb322798b5, 0x5481544c13e3248f, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x2381c19babff3280,
  0x0e574dea3eced847, 0xf3f7c11429224124, 0x1227d70f8510c4af, 0x1ed10cab397a6701, 0x39e13489150865a1,
  0x795e425b7ddaffa0, 0x91eafffb110982c3, 0x795e569aad68d7dc, 0x5dea3e0d983eebd4, 0x459a75a1143be2b9,
  0x5cd2135f4616588a, 0xe7139d5a5cbaae10, 0xad743af6b13b1948, 0x8484512f91ad7b1a, 0x3e7d6e1bd971f18b,
  0xcfe2af9ddc549570, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0x9ae0404e576a96fa, 0xcb1692b924bfa45a,
  0x78e56bae7b55a22b, 0x0842a417296be740, 0xa2d2414e31bc6744, 0x97e6da05455bd8aa, 0x3bb8d164498dca5a,
  0x861539fa9d599bf8, 0x8cbf313ffbc3def2, 0x03f7ec3347db0e3f, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2,
  0x43c16792bf734332, 0x000000000000ac86,
};

// usb646_swio13_dual_pr_ce_u4       usb647_swio13_dual_pr_ce          usb647_swio13_dual_pr_ce_u4
static const uint64_t ur_usb646_swio13_dual_pr_ce[] = {
  0x991dddddda2432db, 0x92bf6dc3e32abfd7, 0xe5bddee80a295d3b, 0x28efe986e75bdfb4, 0x599d05900962dd32,
  0xc64d45b91c115638, 0x932305521e019827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0xf7b0d36708ad30d6,
  0x4482481a9e9bd47d, 0x21895fe7ef822852, 0xf4ce747c4fae1f0a, 0x10cb436fa2195672, 0x3fff4073c263d62a,
  0x130586f2bc84b6f6, 0xfd4c7c911adff622, 0x3879e3cdcece0c62, 0xa3e12fc4361222eb, 0x5cc98b87672e8ffe,
  0x5f51e449ee59d5ea, 0xbfb8caa4871240c4, 0x19db4a47109cc580, 0x325403ff6678ebc0, 0x525c0940f2d6e4c6,
  0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0xaa5beaa6fb39d454, 0xfe916a6b8101395d, 0x5688af2c5a4ae492,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x6e52d4bf36d028c7, 0xccdfc1ddc68b224c,
  0x1ef79430a9cfd4ea, 0xd871fc65f989ffde, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0x3492051e0b3c95fb,
};

// usb647_swio13_dual_pr_ee_ce
static const uint64_t ur_usb646_swio13_dual_pr_ee_ce[] = {
  0xce2ddddddd43359b, 0x53f6dc3e5eda7bd7, 0xbc7fdd4fb2d4f58a, 0xecccce77b8c3e403, 0x419cae20bcd2ce21,
  0x21e19851fc2d759b, 0x83e7d304f8c94777, 0x2303775f64c8c154, 0xee9f12e20614306d, 0xc1fe4d883f328094,
  0xc7e6f51c346c34d1, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0xa2195672f4ce3b76, 0x84ce962a10cb40a1,
  0x79096dcd6ffe80e7, 0x883fec44260b0de5, 0xde20b1fd51e56923, 0x87e6faa47f3c79b9, 0xf729dac0b374ce75,
  0x7c1b306657a8f2bd, 0xeb422814c576ebd4, 0x26be8c2cb1148b34, 0xfa839d5db94f0ea4, 0x578d8ebd44bb3f88,
  0x70908a0f547f258d, 0xc1132386f65f4b31, 0xdc5494b31f37b546, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x576a96faa9bece75, 0x24bfa45a9ae0404e, 0x7b55a22bcb1692b9, 0x296be74078e56bae, 0x31bc67440842a417,
  0x31dbd8aaa2d2414e, 0xce1b94b52fcdb40a, 0xdd599bf83bb8d163, 0x38cb25c33d30ae4f, 0x34332c3a4a5b3871,
  0xc13a4e3c16792bf7, 0x0000000000000004,
};

// usb647_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_swio13_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x6dc3e4cfaf7ebd9f, 0x1ddb9dbf6af87b3f, 0x58bf1fefae843afe, 0xf70b44bb67c10c05,
  0xb456d2ae3ef2757b, 0x09f19253ae5d35bf, 0x7d932305522f67a6, 0x881850c1b48c0ddd, 0xb7f9958093ba7c4b,
  0xc00d80a4387ebcc6, 0x24482481dadcdea3, 0xa21895fe7ef82285, 0x5e99c3af84fae1f0, 0x4219686ce4432ace,
  0xc8ffd01cf09b2b45, 0xbcc161bcaf212dbd, 0xa3383244d6ffc990, 0x9e7c033b35b8c5fa, 0x12fc4361222eb387,
  0xc5c3fad4f00fea3e, 0x5efb94ed6109ba64, 0xea3e0d98332bd479, 0x9a75a1140a62bb75, 0x52135f4616588a45,
  0xc47d41ceaedca787, 0xc6abc6c75ea25d9f, 0x98b8484507aa3f92, 0xa3608991c37b2fa5, 0xceee2a4a598f9bda,
  0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0x272bb54b7d54df67, 0x5c925fd22d4d7020, 0xd73daad115e58b49,
  0x0b94b5f3a03c72b5, 0xa718de33a2042152, 0x0518edec55516920, 0x64498dca5a97e6da, 0xd4eaccdfc1a3f8d1,
  0xffde1ef79430a9cf, 0x9a3ed871fc65f989, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d,
  0x00200145da2d3f3c,
};

// usb647_swio13_dual_ee_hw
static const uint64_t ur_usb646_swio13_dual_ee_hw[] = {
  0x52b7777768a342db, 0x17edb87fc7d71f5e, 0xdc3edd9c48291ddc, 0x374bbb0c1651f4fb, 0x0ecd8ebf1f3f6528,
  0x89b91c1156699d21, 0x055217459827c649, 0xc1b48c0ddd7d9323, 0xe833ba7c4b881850, 0x579c287e6e9ffcca,
  0x40f674dea39c1d87, 0xff3f7c1142922412, 0xe8627d70f8510c4a, 0x0bed10cab397a672, 0x073c260f7150865a,
  0x6f2bc84b6f3b7ff4, 0xc91e9fffe5493058, 0x4795e9b9aad68dc9, 0xb3bd47c1b3071efd, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x1f5073ab4ba9e5c5, 0xd56ba1d7a89767f1, 0x170908a0f547f258, 0xd823f5b86f65f4b3,
  0xbb8a928043e6f6a8, 0xed7972ab59fc55f3, 0xa2a551ae84e39e4f, 0xcaed52df5537d9ce, 0x2497f48b535c0809,
  0xcf6ab4457962d257, 0xe52d7ce80f1cad75, 0xc6378ce881085482, 0xa8ab7b15545a4829, 0x4e31b94b52fcdb40,
  0xbc3def2861539fa8, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x00aed3d96a8a792b,
};

// usb646_swio13_dual_ee_ce_u4_hw    usb647_swio13_dual_ee_ce_hw       usb647_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_usb646_swio13_dual_ee_ce_hw[] = {
  0xedddddda28d11107, 0xedb87c99f5efd7b3, 0xc3bb73b7ed5f0f67, 0xab17e3fdf5d0875f, 0x7ee168976cf82180,
  0xed538f74835e4eaf, 0x7a609f19253ae4df, 0xddd7d932305522f6, 0xc4b881850c1b48c0, 0xe635bfccae833ba7,
  0xf51e006c0521c3f5, 0x14292241240ed6e6, 0x0f8510c4aff3f7c1, 0x5672f4ce1d7c27d7, 0x5a2a10cb43672219,
  0x6dee47fe80e784d9, 0xfca9260b0de57909, 0x62fd519c19226b7f, 0xace1e79e439d9adc, 0xfa8f84bf10d8488b,
  0x9ba64c5c3f539705, 0xbd4795efb94ed610, 0x2bb75ea3e0d98332, 0x88a459a75a1140a6, 0xca78752135f46165,
  0x25d9fc47d41ceaed, 0xa3f92c6abc6c75ea, 0xb2fa598b8484507a, 0xf9bdaa3608991c37, 0x7f157ceee2a4a598,
  0x38e793fb5e5caad6, 0x4df673a8a9546ba1, 0xd7020272bb54b7d5, 0x58b495c925fd22d4, 0xc72b5d73daad115e,
  0x421520b94b5f3a03, 0x16920a718de33a20, 0x7e6da0518edec555, 0xa9cfd42718dca5a9, 0xf989ffde1ef79430,
  0xbf619a3ed871fc65, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x453c95fb9a19961d, 0x00000000ebadab37,
};

// usb646_swio14_noled_pr            usb647_swio14_noled               usb647_swio14_noled_pr
static const uint64_t ur_usb646_swio14_noled[] = {
  0x220ddddddd66ef3a, 0x0eee5a58856e6f58, 0xdbe97752267ba0c9, 0x40783309a93783ea, 0x31641d78d7d9fba4,
  0xb9827c64ee82f413, 0x1247bafff375cfc7, 0x3affea3a6277cb74, 0xee99001f2921c490, 0x76e91193c731602d,
  0x043ee39630475e2e, 0x39e4fed7972ab52b, 0xd59cea2a551ae84e, 0x8b5359d372bb54b7, 0x22bcb1692b63f7f4,
  0xa9f4ef3f5ae7b55a, 0x2d2c2e753a9c0594, 0x8de33a2047978a04, 0xe70dca5a97e6da71, 0xbab31e40d1fc68b1,
  0x71964b867a615c9f, 0x6866587494b670e2, 0xc8124a10fcf257ee, 0x0000000000000007,
};

// usb647_swio14_noled_pr_u4
static const uint64_t ur_usb646_swio14_noled_pr_u4[] = {
  0x526eeeeed121bf82, 0xd6b9696215b6dd63, 0x7b98eea1c489910c, 0x111e42e27d2f1f32, 0xa0dd43801e4ddd49,
  0xc13e3277571891c2, 0x91dbffe10a67cc7c, 0x4d7a8e0a1df2dbdc, 0xa60f680524389206, 0x93146229cc580b2c,
  0xa01ffb30475e8f9d, 0x08981e59eddac4f2, 0x38e793fb5e5caad5, 0xdf5673a8a9546ba1, 0xd22d4d674dcaed52,
  0x688af2c5a4ad8fdf, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a, 0xb7b15545a5b44e31, 0x37296a5f9b6c218a,
  0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d,
  0xcd0ccb0e9296ce1c, 0xc9a69f0f059e4afd, 0x0000000000000007,
};

// usb646_swio14_noled_pr_ee_u4      usb647_swio14_noled_pr_ee         usb647_swio14_noled_pr_ee_u4
static const uint64_t ur_usb646_swio14_noled_pr_ee[] = {
  0x426eeeeed121b705, 0x6d5cb4b1ea634eb1, 0x77b647776dbaff12, 0x08f2299c7cfd833c, 0x4c081eb920452225,
  0x4f8c9ddb0db2b92a, 0x7677f84299f38330, 0x565d66ab5a331f24, 0xfa8f83660fa8f51e, 0x669d68450ef8aca5,
  0x3484d7d185962291, 0xe439d5a5dc9ae359, 0xb5d0ebce9bb1ea8f, 0x84845110a3deec6a, 0x08fd6e1bd96cb98b,
  0xe556a01741cf2a36, 0xa35d09c73c9fdaf2, 0x576a96fab39d454a, 0x6c7efe916a6b3a6e, 0x5cf6ab4457962d25,
  0x4d8a53c34ef3e2d7, 0xa2718de33a2041dd, 0x610c55bd8aaa2d2d, 0x2c8931b94b52fcdb, 0x3f53ab337f07771a,
  0x27ff787bde50c2a7, 0x8668fb61c7f197e6, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000013aef926782c,
};

// usb646_swio14_noled_pr_ce_u4      usb647_swio14_noled_pr_ce         usb647_swio14_noled_pr_ce_u4
static const uint64_t ur_usb646_swio14_noled_pr_ce[] = {
  0x07dddddda2432493, 0x3972d2c08315bac7, 0x1eb4bdd1aef27af4, 0x7f12369b3d04c2aa, 0xf9da3f78bec7eef0,
  0x304f8c9dd0dc8288, 0x2454f7f84299fdf7, 0xf373bc0918bf509f, 0xf10d8488bace1e78, 0x70f30ccf9fa8f84b,
  0xbe4f72ceafac9931, 0xea4871240d67fa8e, 0x28c45398b0176fcb, 0x3ff6678ebd1f3b26, 0x4c0f2d6eb589e540,
  0x73c9fdaf2e556a84, 0xab39d454aa35d09c, 0x16a6b3a6e576a96f, 0x457962d256c7efe9, 0x34ef3e2d75cf6ab4,
  0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x296a5f9b6c2131db, 0x6fe0eee345912637, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xcfd6cf059e4afdcd,
  0x0000000000000375,
};

// usb646_swio14_noled_pr_ee_ce_u4   usb647_swio14_noled_pr_ee_ce      usb647_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_usb646_swio14_noled_pr_ee_ce[] = {
  0x53dddddda243304a, 0xb772d2c30e41bac3, 0x834c8ee95b24200d, 0x4ec7b11c2a5df250, 0x3139199a5184f12d,
  0xc64eed8ba8fbd640, 0x6ffc214cfc009827, 0x5b8c5faa3df7246d, 0x88bace1e78f373bb, 0xc2ffa8f84bf10d84,
  0x841ef993170eaeb8, 0xf4af51e5721e53b5, 0x298ace1fa8f83660, 0x5962291669d68450, 0xbb73931d484d7d18,
  0x79d3763d51fc873a, 0x4428f7bb1aaf1b1d, 0x86f65b2e62e12114, 0xb3e839e546c11323, 0x38e793fb5e5caad4,
  0xdf5673a8a9546ba1, 0xd22d4d674dcaed52, 0x688af2c5a4ad8fdf, 0x7869de7c5aeb9ed5, 0xbc6744083ba9b14a,
  0xb7b15545a5b44e31, 0x6e52d4bf36d84263, 0xccdfc1ddc68b224c, 0x1ef79430a9cfd4ea, 0xd871fc65f989ffde,
  0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x7e4c5f1e0b3c95fb, 0x0000000000000002,
};

// usb647_swio14_noled_ee_hw
static const uint64_t ur_usb646_swio14_noled_ee_hw[] = {
  0x137777768a342493, 0x6ae5a58f531a758a, 0xbdb23bbb6dd7f893, 0x47914ce3e7ec19e3, 0xd040f5c902291128,
  0x04f8c9dd0dc82b4e, 0x23b3bfcac59f3833, 0xf2b2eb355ad198f9, 0x2fd47c1b307d47a8, 0x8b34eb422877c565,
  0xc9a426be8c2cb114, 0x7f21cead2ee4d71a, 0x55ae875e74dd8f54, 0x5c242288851ef763, 0xb047eb70decb65cc,
  0x972ab500ba0e7951, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0x2b63f7f48b5359d3, 0xbae7b55a22bcb169,
  0xea6c529e1a779f16, 0x6d138c6f19d1020e, 0xdb0862adec555169, 0xfd42718dca5a97e6, 0x9ffde1ef79430a9c,
  0x19a3ed871fc65f98, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x0000016ff0bb5453,
};

// usb646_swio14_noled_ee_ce_u4_hw   usb647_swio14_noled_ee_ce_hw      usb647_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_usb646_swio14_noled_ee_ce_hw[] = {
  0x9eeeeeed146807e1, 0xbb969618720dd61a, 0x1a64774ad921006d, 0x763d88e152ef9284, 0x89c8ccd28c27896a,
  0x7c64ee843dfbd1d7, 0x6b7fe562cfc00982, 0xdadc62fd51efb923, 0x488bace1e79e439d, 0x8001fa8f84bf10d8,
  0xd6107be64c5c3f75, 0x83d2bd4795c8794e, 0x40a62b387ea3e0d9, 0x616588a459a75a11, 0xeaedce4c752135f4,
  0x75e74dd8f547f21c, 0x5110a3deec6abc6c, 0x8e1bd96cb98b8484, 0x52cfa0e7951b044c, 0x84e39e4fed7972ab,
  0x4b7d59cea2a551ae, 0x7f48b5359d372bb5, 0x55a22bcb1692b63f, 0x29e1a779f16bae7b, 0xc6f19d1020eea6c5,
  0x8edec5551696d138, 0x31b94b52fcdb6109, 0x3def2861539fa84e, 0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d,
  0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x5011392a8a792bf7,
};

// usb647_swio14_lednop
static const uint64_t ur_usb646_swio14_lednop[] = {
  0x220ddddddd66ef3a, 0x90eee5a588561958, 0x89da87bbe17a0a0c, 0x01e0cc26a475f5a7, 0x9ac8401b6d22ee91,
  0x3dcc13e3277417a0, 0xa0923227ff9bae7c, 0x81d7ff51d7c3be5b, 0xbdd36df97d490e24, 0x3b2d74770ce62c05,
  0xcb5b71cb1823af17, 0x8e793fb5e5caad4a, 0xf5673a8a9546ba13, 0xd7020274dcaed52d, 0x2c5a4ae5f63d22d4,
  0xe395aeb9ed5688af, 0x210a905ca5af9d01, 0x8b490538c6f19d10, 0x5f9b6c63156f62aa, 0x30ae4fcfec37296a,
  0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x000000549f5d087e,
};

// usb646_swio14_lednop_pr_u4        usb647_swio14_lednop_pr           usb647_swio14_lednop_pr_u4
static const uint64_t ur_usb646_swio14_lednop_pr[] = {
  0x6a4dddddda243762, 0x9ad72d2c42b171ac, 0x2ed8fddf5fe17221, 0x444790b89db7e952, 0x11dc2ff1fe2f7752,
  0xc13e3277699a3341, 0x918f7fe10a67d7dc, 0x4d7a8e801df2dbdc, 0x533f9d4524389206, 0xb244637ce62c0596,
  0xa01ffb30475e8f9d, 0xbb503cb3db83fd22, 0x71cf27f6bcb955ac, 0xbeace75152a8d742, 0x9ae0404e9b95daa5,
  0xe58b495cbec7a45a, 0x3c72b5d73daad115, 0x0421520b94b5f3a0, 0x516920a718de33a2, 0x4bf36d8c62adec55,
  0x1ddc68b224c6e52d, 0x430a9cfd4eaccdfc, 0xc65f989ffde1ef79, 0x81fbf619a3ed871f, 0x2e19e985f1a3d17f,
  0x61d252d9c389c659, 0xd9e0b3c95fb9a199, 0x0000000000f934ac,
};

// usb646_swio14_lednop_pr_ee_u4     usb647_swio14_lednop_pr_ee        usb647_swio14_lednop_pr_ee_u4
static const uint64_t ur_usb646_swio14_lednop_pr_ee[] = {
  0xa13777776890c044, 0x36ae5a58f53a0b58, 0x4de9a5dd803d2f89, 0x423c8a671f1a67ed, 0x21b45a8ac8114889,
  0x27c64eea0a4e52ec, 0x235bfc214cfa5a98, 0x2b60b355ad198f92, 0xbd47c1b307d47a8f, 0xb34eb422877c56a7,
  0x9a426be8c2cb1148, 0x371cead2ee9571ac, 0x5ae875e74dda4447, 0xc242285f11c65635, 0x047eb70decb65cc5,
  0x72ab500ad627951b, 0x51ae84e39e4fed79, 0x2bb54b7d59cea2a5, 0x8f48b535c0809d37, 0x55a22bcb1692b97d,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0x5bd8aaa2d2414e31, 0x8dca5a97e6db18c5, 0x599bf83bb8d16449,
  0xc3def2861539fa9d, 0xdb0e3f8cbf313ffb, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x4eb80563c16792bf,
};

// usb646_swio14_lednop_pr_ce_u4     usb647_swio14_lednop_pr_ce        usb647_swio14_lednop_pr_ce_u4
static const uint64_t ur_usb646_swio14_lednop_pr_ce[] = {
  0x83eeeeeed121be4a, 0x1cb96960418ddd63, 0x7ebd7dd75e5efd7a, 0xfe246d36795b4121, 0x357c34e19bd3dde0,
  0x609f193ba528eb7d, 0x48caeff08533fb3a, 0xe6e77bee317ea13e, 0xe21b0911759c3cf1, 0xc3b37d2a3f51f097,
  0x7d3dcb3abeb264c5, 0x524389206b3fd479, 0x4637ce62c058f7a5, 0xffb33c75e8f9db24, 0x40f2d6e83fd22a01,
  0x3c9fdaf2e556b2ed, 0xb39d454aa35d09c7, 0x81013a6e576a96fa, 0x2d2572fb1e916a6b, 0xcad75cf6ab445796,
  0x85482e52d7ce80f1, 0xa4829c6378ce8810, 0x9b6c6263b7b15545, 0xe345912637296a5f, 0x54e7ea75666fe0ee,
  0xfcc4ffef0f7bca18, 0xdfb0cd1f6c38fe32, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970, 0x059e4afdcd0ccb0e,
  0x0000000375dbe08f,
};

// usb646_swio14_lednop_pr_ee_ce_u4  usb647_swio14_lednop_pr_ee_ce     usb647_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_usb646_swio14_lednop_pr_ee_ce[] = {
  0x53dddddda2436812, 0xb772d2c30e23bac3, 0x17599eee2f41200d, 0x9d8f6238541b976d, 0xec4e4e312309e25a,
  0xe327777ec2c02935, 0xeffc214cfe374c13, 0xbb8c5faa3df7245a, 0x88bace1e78f373b6, 0x705fa8f84bf10d84,
  0x6107be64c5c3f539, 0x3d2bd479594b94ed, 0x0a62b287ea3e0d98, 0x16588a459a75a114, 0xaedce94752135f46,
  0x5e74dda4447371ce, 0x0be238cac6abc6c7, 0xe1bd96cb98b84845, 0x2ced627951b044c8, 0x4e39e4fed7972ab5,
  0xb7d59cea2a551ae8, 0x535c0809d372bb54, 0xbcb1692b97d8f48b, 0x078e56bae7b55a22, 0x40842a417296be74,
  0xaa2d2414e31bc674, 0x52fcdb63131dbd8a, 0x07771a2c8931b94b, 0x50c2a73f53ab337f, 0xf197e627ff787bde,
  0xe07efd8668fb61c7, 0x4b867a617c68f45f, 0x587494b670e27196, 0x3c782cf257ee6866, 0x000000000004fcfb,
};

// usb647_swio14_lednop_ee_hw
static const uint64_t ur_usb646_swio14_lednop_ee_hw[] = {
  0x09bbbbbb451a3e4a, 0xb572d2c7a9d05ac5, 0x6f4d2eec01e97c49, 0x11e45338f8d33f6a, 0xf9a2d456408a444a,
  0x827c64ee94a3adaa, 0x911adfe562cfa5a9, 0x795b059aad68cc7c, 0x3dea3e0d983ea3d4, 0x459a75a1143be2b5,
  0x64d2135f4616588a, 0x39b8e7569774ab8d, 0xaad743af3a6ed222, 0x2e121142f88e32b1, 0xd823f5b86f65b2e6,
  0xcb955a8056b13ca8, 0x2a8d74271cf27f6b, 0xb95daa5beace7515, 0xec7a45a9ae0404e9, 0xdaad115e58b495cb,
  0x4b5f3a03c72b5d73, 0x8de33a20421520b9, 0x2adec55516920a71, 0x8c6e52d4bf36d8c6, 0x0f7bca1854e7ea13,
  0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x05bf34d6a29e4afd,
};

// usb646_swio14_lednop_ee_ce_u4_hw  usb647_swio14_lednop_ee_ce_hw     usb647_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_usb646_swio14_lednop_ee_ce_hw[] = {
  0x9eeeeeed14683d5b, 0xbb969618711dd61a, 0xbaccf7717a09006d, 0xec7b11c2a0dcbb68, 0x62727189184f12d4,
  0x9f193bacf9d6f6b5, 0x6bbff2b167f1ba60, 0xdaee317ea8f7dc91, 0x2445d670f3cf21ce, 0x7907fd47c25f886c,
  0xac20f7cc98b87d50, 0x07a57a8f2b29729d, 0x814c5650fd47c1b3, 0xc2cb1148b34eb422, 0xd5db9d28ea426be8,
  0xebce9bb4888e6e39, 0xa17c471958d578d8, 0x1c37b2d973170908, 0xa59dac4f2a360899, 0x09c73c9fdaf2e556,
  0x96fab39d454aa35d, 0x6a6b81013a6e576a, 0x57962d2572fb1e91, 0x80f1cad75cf6ab44, 0x881085482e52d7ce,
  0x5545a4829c6378ce, 0x6a5f9b6c6263b7b1, 0x0c2a73f509c63729, 0x197e627ff787bde5, 0x07efd8668fb61c7f,
  0xb867a617c68f45fe, 0x87494b670e271964, 0x52514f257ee68665, 0x00000000000a029d,
};

/*
 * usb646_swio14_dual_pr             usb646_swio14_dual_pr_u4          usb647_swio14_dual
 * usb647_swio14_dual_pr             usb647_swio14_dual_pr_u4
 */
static const uint64_t ur_usb646_swio14_dual[] = {
  0x83777776890d7f41, 0xbf6dc3e5ee717af0, 0x421eef4e3126ec19, 0x05410d28f66c502f, 0xd5ce76ca295ba105,
  0x4bd3b97b8ccd957f, 0x9182a906019827c6, 0x2860da4606eebec9, 0x650129dd3e25c40c, 0xd84063854a9bf77e,
  0x41240f6fcdea398f, 0xc4aff3f7c1142922, 0x3395be27d70f8510, 0x1968464886559cbd, 0xffe80e784d6b4542,
  0x30586f2bc84b6e52, 0x596bc9128bff6221, 0x1240f7bf51fba3be, 0x0550799c987ba487, 0x00cec80234c4e62c,
  0xc6faa01ffb30475e, 0xa92be7503cb3db7b, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a,
  0xd8f48b535c0809d3, 0xb55a22bcb1692b97, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3,
  0x98dca5a97e6db18c, 0xd599bf83bb8d1644, 0xbc3def2861539fa9, 0x7db0e3f8cbf313ff, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0a49ad6a3c16792b,
};

// usb647_swio14_dual_pr_ee
static const uint64_t ur_usb646_swio14_dual_pr_ee[] = {
  0xeb7777743d686f97, 0xbf6dc3fe3fbbf5e6, 0xa4deeabe6c48eee0, 0x74bb69c89f55fd77, 0x577efdf1f3f66e83,
  0xc9e08ce86714eb26, 0x91dc7cc13e324c4d, 0xa4606eebec99182a, 0x9dd3e25c40c2860d, 0xe143f374ffe65012,
  0xb3a6f51ce0ec3abc, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0x6886559cbd338a91, 0xe1307b8a8432d05f,
  0xaf212dbe9affa039, 0x42d7fd8884c161bc, 0x576ea6ab5a3fdd24, 0xf51f06cc187bf51e, 0xcd3ad08a1df15e9b,
  0x6909afa30b2c4522, 0xa9cead2ec157152e, 0x5d0ebd44bb18f467, 0x48451a523886c6ab, 0x1fadc37b2fa598b8,
  0xa9280591445546c1, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a, 0xd8f48b535c0809d3,
  0xb55a22bcb1692b97, 0x96be74078e56bae7, 0x1bc67440842a4172, 0x55bd8aaa2d2414e3, 0x08dca5a97e6db18c,
  0xaccdfc1ddc68b3de, 0xf313f9430a9cfd4e, 0xffc1347db0f738cb, 0x25c33d30ae4fc73d, 0x2c3a4a5b387138cb,
  0x5b3c16792bf73433, 0x000000000000ac8f,
};

// usb647_swio14_dual_pr_ee_u4
static const uint64_t ur_usb646_swio14_dual_pr_ee_u4[] = {
  0x627777776890cf68, 0xb7edb87fc7a01f5f, 0xdaefdd414f5848cb, 0x91f2253ae751796a, 0x76164fbe3e7eec49,
  0xf7268fa9d5a0b767, 0xaa44463304f8c923, 0x369181bbafb26460, 0x4a774f8971030a18, 0x91c0e0cdd5ff9940,
  0x072ba6f51f676c23, 0xf9fbe08a14912092, 0x2413eb87c2886257, 0x47b4432ace5e99c5, 0x0e784d2245421968,
  0x6f2bc84b6fff3fe8, 0x491275ff62213058, 0x4795e049aad68e03, 0xcadea3e0d983913d, 0xa459a75a1143be2b,
  0x05cd2135f4616588, 0x1cbe39d5a5ce1ae1, 0xab5d0ebdac4edb7d, 0xb8484500a231f2c6, 0x322fd6e1bd971f18,
  0x59fc55f3bb8a92ae, 0x84e39e4fed7972ab, 0x4b7d59cea2a551ae, 0xb535c0809d372bb5, 0x2bcb1692b97d8f48,
  0x4078e56bae7b55a2, 0x440842a417296be7, 0xaaa2d2414e31bc67, 0x5a97e6db18c55bd8, 0xf83bb8d164498dca,
  0xf2861539fa9d599b, 0x3f8cbf313ffbc3de, 0xff03f7ec3347db0e, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0x2ec3c16792bf7343, 0x00000000000002b2,
};

// usb646_swio14_dual_pr_ce_u4       usb647_swio14_dual_pr_ce          usb647_swio14_dual_pr_ce_u4
static const uint64_t ur_usb646_swio14_dual_pr_ce[] = {
  0x276eeeeed121a5fb, 0x4afdb70f8cb9debe, 0xda9afbb618a774ee, 0x8efe9b33a2f2af39, 0x56227a8fb3edd89c,
  0x4d45b94b235d41f1, 0x2305522e4a9827c6, 0x50c1b48c0ddd7d93, 0xca0253ba7c4b8818, 0xb0d36708ad30d6fc,
  0x82481a9e9bd47df7, 0x895fe7ef82285244, 0x6732a04fae1f0a21, 0x65a1b7d10cab397a, 0xffa039e131eb1508,
  0x82c3795e425b731f, 0xb1ee48c72ffb1109, 0x3cf1e6e7635a317e, 0xf097e21b0911759c, 0x3262e1c92b2a3f51,
  0xa8e13e7b96757a97, 0x176fd243892076b7, 0xd90046989cc580a5, 0x5403ff6678ebc019, 0x5f3a81e5adcf78df,
  0x55acfe2af9ddc549, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8, 0xa45a9ae0404e9b95, 0xd115e58b495cbec7,
  0xf3a03c72b5d73daa, 0x33a20421520b94b5, 0xec55516920a718de, 0xca5a97e6db1898ed, 0x9bf83bb8d164498d,
  0xdef2861539fa9d59, 0x0e3f8cbf313ffbc3, 0xa2ff03f7ec3347db, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0x24e9e3c16792bf73, 0x000000000000000d,
};

// usb647_swio14_dual_pr_ee_ce
static const uint64_t ur_usb646_swio14_dual_pr_ee_ce[] = {
  0x9d6ddddddd431f02, 0x53f6dc3e5ef227d7, 0xdb04ddebb086f58a, 0xf6666931c2c9b51f, 0xae3f3bb05e694eb0,
  0x928c459b7219852f, 0x479eb9827c64a3bb, 0x9181bbafb26460aa, 0x774f8971030a1836, 0xe0ff26c41f99404a,
  0x63f37a8e1a361a68, 0xfbe08a1491209207, 0x13eb87c2886257f9, 0x6886559cbd339d4e, 0xe133a58a8432d028,
  0x5e425b7ec1ffa039, 0xb5bffb110982c379, 0xddadd8fea8f02491, 0x870449807f3c79b9, 0x5d29dac0b374ce75,
  0xf83660f6ffa8f2b9, 0xd68450298af7dfa8, 0x4d7d185962291669, 0x9ea73abb73051d48, 0x5e363af512ec63d1,
  0xc24228d291c43635, 0x044c8e1bd97d2cc5, 0xe2a4a59e4511551b, 0x5e5caad67f157cee, 0xa9546ba138e793fb,
  0x4dcaed52df5673a8, 0x5f63d22d4d702027, 0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x4c76f62aa8b49053, 0xf386e52d4bf36d8c, 0xf75666fe0eee3458, 0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c,
  0x2609a70f059e4afd,
};

// usb647_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_swio14_dual_pr_ee_ce_u4[] = {
  0xb7777768a87fa812, 0xb6e1f267f57f5e5a, 0x87bb5a2af57c3d9f, 0x149f76083399335c, 0xdb85ad12ecb50430,
  0xe0e5acafed0b8b2b, 0x9827c6494eb907d7, 0x75f64c8c1548a7e1, 0x2e20614306d23037, 0x1adfe656024ee9f1,
  0x8f00360290e1faf3, 0x14912092076b737a, 0xc2886257f9fbe08a, 0x397a671e0113eb87, 0x150865a1b3910cab,
  0xec87ff4073c26cad, 0x42f30586f2bc84b6, 0xea8c6b491ec1ff26, 0x1e79f00cefb06317, 0xf84bf10d8488bace,
  0x93170f1f75c95fa8, 0xe572ba53b58426e9, 0xbf51f06cc1edff51, 0x2cd3ad08a05315ef, 0x3a909afa30b2c452,
  0xc7a33d4e7576e60a, 0x6c6abc6c75ea25d8, 0x598b848451a52388, 0xaa3608991c37b2fa, 0xf9ddc5494b3c8a22,
  0x27f6bcb955acfe2a, 0xe75152a8d74271cf, 0x404e9b95daa5beac, 0x495cbec7a45a9ae0, 0xb5d73daad115e58b,
  0x520b94b5f3a03c72, 0x20a718de33a20421, 0xdb1898edec555169, 0xd164498dca5a97e6, 0xcfd4eaccdfc1a3f8,
  0x89ffde1ef79430a9, 0x619a3ed871fc65f9, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x00001000c7932d3f,
};

// usb647_swio14_dual_ee_hw
static const uint64_t ur_usb646_swio14_dual_ee_hw[] = {
  0x75bbbbbb451a25fb, 0x5fb6e1ff1fddfaf3, 0xd26f755f36247770, 0xba5db4e44faafebb, 0x2bbf7ef8f9fb3741,
  0x4dca591aeba55993, 0x2a91dc7cc13e324c, 0x0da4606eebec9918, 0x419dd3e25c40c286, 0xbce143f374ffe657,
  0x07b3a6f51ce0ec3a, 0xf9fbe08a14912092, 0x9113eb87c2886257, 0x5f6886559cbd338a, 0x39e1307b8a8432d0,
  0xbcaf212dbe9affa0, 0x92216bff9524c161, 0x8f2bb75355ad1fee, 0x4dfa8f83660c3dfa, 0x91669d68450ef8af,
  0x973484d7d1859622, 0x33d4e7569760ab8a, 0x55ae875ea25d8c7a, 0x5c24228d291c4363, 0x608fd6e1bd97d2cc,
  0xdc549402c8a22aa3, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f, 0xe9b95daa5beace75, 0xcbec7a45a9ae0404,
  0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0xc62adec55516920a, 0x138c6e52d4bf36d8,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x00576b6793a29e4a,
};

// usb646_swio14_dual_ee_ce_u4_hw    usb647_swio14_dual_ee_ce_hw       usb647_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_usb646_swio14_dual_ee_ce_hw[] = {
  0xadddddda28d08f43, 0xedb87c99fd5fd796, 0x21eed68abd5f0f67, 0x0527dd820ce64cd7, 0xf6e16b44bb2d410c,
  0x89fb5ab6a71ae2ca, 0x7e19827c6494eb97, 0x03775f64c8c1548a, 0x9f12e20614306d23, 0xd798d6ff32ba0cee,
  0x9bd47801b014870f, 0x0450a48904903b5b, 0x5c3e144312bfcfdf, 0x6559cbd338f0089f, 0x6568a8432d0d9c88,
  0x25b7643ffa039e13, 0xfff2a4982c3795e4, 0x318bf54635a48f60, 0x2eb3879e790e77d8, 0xdfea3e12fc436122,
  0x09ba64c5c38c2eed, 0x7fd4795cae94ed61, 0xc57befd47c1b307b, 0xb1148b34eb422814, 0xb9828ea426be8c2c,
  0x897631e8cf539d5d, 0x48e21b1aaf1b1d7a, 0xecbe9662e1211469, 0x2288aa8d8226470d, 0x3f8abe77715252cf,
  0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0, 0xa6b81013a6e576a9, 0x7962d2572fb1e916, 0x0f1cad75cf6ab445,
  0x81085482e52d7ce8, 0x545a4829c6378ce8, 0xa5f9b6c6263b7b15, 0xc2a73f509c637296, 0x97e627ff787bde50,
  0x7efd8668fb61c7f1, 0x867a617c68f45fe0, 0x7494b670e271964b, 0xad14f257ee686658, 0x0000000003aea6db,
};

// usb646_swio15_noled_pr            usb647_swio15_noled               usb647_swio15_noled_pr
static const uint64_t ur_usb646_swio15_noled[] = {
  0x1b0777777759bb37, 0x43bb9696215922d6, 0x7e68cdd1b42ca832, 0x6c13c19849eed327, 0x10bcd8623c7de4dd,
  0xc7cc13e32776c7b2, 0x492476ffff9bae7c, 0x81f3dea3c4277cb7, 0xdee9b4a5af490e24, 0xced70d1934731602,
  0x657fdc72c608ebc5, 0xc73c9fdaf2e556a5, 0xabb39d454aa35d09, 0x16a6b3a6e576a96f, 0x2bcb1692ad5fefe9,
  0x9f4ef3f5ae7b55a2, 0xd2c2e753a9c0594a, 0xde33a2045fb8a042, 0x70dca5a97e6da718, 0xab31e40d1fc68b1e,
  0x1964b867a615c9fb, 0x866587494b670e27, 0x4002a10fcf257ee6, 0x000000000000003e,
};

// usb647_swio15_noled_pr_u4
static const uint64_t ur_usb646_swio15_noled_pr_u4[] = {
  0xf76eeeeed121b562, 0xad72d2c42b0dbac4, 0xec2fddc3e3692219, 0x44479048918ebf77, 0x2e0f8f2e3426ecf7,
  0xc13e32777e9c1b24, 0x244caff08533efe4, 0xd07a8f2f8ef9683f, 0xa68f7a5524389207, 0xa2147bd9cc580b2c,
  0xa01ffb30475e8f9d, 0xf5b81e59ed88a4d2, 0x38e793fb5e5caad5, 0xf57673a8a9546ba1, 0x22d4d674dcaed52d,
  0x457962d255abfdfd, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c, 0xd8aaa2d2da2718de, 0x7296a5f9b632455b,
  0x66fe0eee34591263, 0xf7bca1854e7ea756, 0xc38fe32fcc4ffef0, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1,
  0xd0ccb0e9296ce1c4, 0x9d4e2cf059e4afdc, 0x000000000000007c,
};

// usb646_swio15_noled_pr_ee_u4      usb647_swio15_noled_pr_ee         usb647_swio15_noled_pr_ee_u4
static const uint64_t ur_usb646_swio15_noled_pr_ee[] = {
  0xbdeeeeeed1219541, 0xdab96963d4e85d60, 0x4f5a2ee8db623e24, 0xede4531d7c33c5ef, 0x7545a0ab41148885,
  0x7c64ee80a498b04e, 0x15bfc214cf93a982, 0x594b9aad68dfc923, 0xd47c1b30613fd479, 0x34eb422877c5650f,
  0xa426be8c2cb1148b, 0x21cead2e95971ac9, 0xae875e74ddba8479, 0x48451f22383f6355, 0x8fd6e1bd96cb98b8,
  0xaad402e9305aa360, 0x6ba138e793fb5e5c, 0xd52df57673a8a954, 0xfdfd22d4d674dcae, 0x6ab4457962d255ab,
  0xa53c34ef3e2d75cf, 0x18de33a2041dd4d8, 0x455bd8aaa2d2da27, 0x12637296a5f9b632, 0xa75666fe0eee3459,
  0xfef0f7bca1854e7e, 0xd1f6c38fe32fcc4f, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c,
  0x00275f3314f059e4,
};

// usb646_swio15_noled_pr_ce_u4      usb647_swio15_noled_pr_ce         usb647_swio15_noled_pr_ce_u4
static const uint64_t ur_usb646_swio15_noled_pr_ce[] = {
  0x93dddddda2431768, 0x3972d2c083033ac1, 0x7e8d3dde3f427af4, 0x9f891b479190243c, 0x947b433376d4f74c,
  0x9827c64ee9ba3b46, 0x923813fc214cfdba, 0x3cdcef2b462fd644, 0xfc4361222eb3879e, 0xb87e5a66ffea3e12,
  0x9ba7b96757d64c98, 0xc6921c490327bd47, 0x428f7b398b014ca9, 0x03ff6678ebd1f3b4, 0xadc0f2d6e1149a54,
  0xc73c9fdaf2e556af, 0xabb39d454aa35d09, 0x16a6b3a6e576a96f, 0x2bcb1692ad5fefe9, 0xa779f16bae7b55a2,
  0x9d1020eea6c529e1, 0xc5551696d138c6f1, 0x296a5f9b63218ede, 0x6fe0eee345912637, 0x7bca1854e7ea7566,
  0x38fe32fcc4ffef0f, 0x8bfc0fdfb0cd1f6c, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0x98e24f059e4afdcd,
  0x00000000000006eb,
};

// usb646_swio15_noled_pr_ee_ce_u4   usb647_swio15_noled_pr_ee_ce      usb647_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_usb646_swio15_noled_pr_ee_ce[] = {
  0x3bdddddda243173e, 0xb772d2c30e5c1ac6, 0x176c4ee8335a200d, 0xdd8f622484715835, 0xf2723b5c6309e271,
  0x8c9ddcfb402d3913, 0x0ff08533e87d304f, 0x4118bf5476ea48e2, 0x88bace1e78f373bc, 0xa9dfa8f84bf10d84,
  0x6107be64c5c3f9cb, 0x33d7d47959c394ed, 0x0a62b2ebea3e0d98, 0x16588a459a75a114, 0xaedc958752135f46,
  0x5e74ddba847921ce, 0x3e44707ec6abc6c7, 0xc37b2d973170908a, 0xb3e9305aa3608991, 0x38e793fb5e5caad4,
  0xf57673a8a9546ba1, 0x22d4d674dcaed52d, 0x457962d255abfdfd, 0x34ef3e2d75cf6ab4, 0x33a2041dd4d8a53c,
  0xd8aaa2d2da2718de, 0xe52d4bf36c6431db, 0xcdfc1ddc68b224c6, 0xef79430a9cfd4eac, 0x871fc65f989ffde1,
  0xd17f81fbf619a3ed, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xf0f541e0b3c95fb9, 0x0000000000000013,
};

// usb647_swio15_noled_ee_hw
static const uint64_t ur_usb646_swio15_noled_ee_hw[] = {
  0xef7777768a341768, 0xd5cb4b1ea742eb05, 0x7ad17746db11f126, 0x6f2298ebe19e2f7a, 0xaa2d055a08a4442f,
  0x27c64ee9ba3b5a3d, 0x18adfe562cf93a98, 0xcaca5cd56b46fe49, 0x7ea3e0d98309fea3, 0x59a75a1143be2b28,
  0x4d2135f4616588a4, 0xc90e756974acb8d6, 0xad743af3a6edd423, 0xc24228f911c1fb1a, 0x047eb70decb65cc5,
  0xe556a0174982d51b, 0xa35d09c73c9fdaf2, 0x76a96fabb39d454a, 0x5fefe916a6b3a6e5, 0x7b55a22bcb1692ad,
  0xc529e1a779f16bae, 0x38c6f19d1020eea6, 0x922adec5551696d1, 0x84e31b94b52fcdb1, 0xfbc3def2861539fa,
  0x47db0e3f8cbf313f, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0002dfd566e8a792,
};

// usb646_swio15_noled_ee_ce_u4_hw   usb647_swio15_noled_ee_ce_hw      usb647_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_usb646_swio15_noled_ee_ce_hw[] = {
  0xbdddddda28d0ac4f, 0x772d2c30e5c1ac63, 0x76c4ee8335a200db, 0xd8f6224847158351, 0x2723b5c6309e271d,
  0xf193ba5a875f68bf, 0x20ff2b167d0fa609, 0xc4118bf5476ea48e, 0x911759c3cf3c873b, 0xd507f51f097e21b0,
  0x5841ef993170eea8, 0x0cf5f51e5670e53b, 0x0298acbafa8f8366, 0x85962291669d6845, 0xabb72561d484d7d1,
  0xd79d376ea11e4873, 0x8f911c1fb1aaf1b1, 0x70decb65cc5c2422, 0x2cfa4c16a8d82264, 0x4e39e4fed7972ab5,
  0x7d5d9cea2a551ae8, 0x48b5359d372bb54b, 0x115e58b4956aff7f, 0x0d3bcf8b5d73daad, 0x8ce881077536294f,
  0xf62aa8b4b689c637, 0xb94b52fcdb190c76, 0xef2861539fa84e31, 0xe3f8cbf313ffbc3d, 0x2ff03f7ec3347db0,
  0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x2245928a792bf734, 0x00000000000000a0,
};

// usb647_swio15_lednop
static const uint64_t ur_usb646_swio15_lednop[] = {
  0x1b0777777759bb37, 0x43bb9696215899d6, 0x3ef8fdd0e28e3832, 0x3c19849ee62235f8, 0x9b05c46decfdd6c1,
  0x7304f8c9ddb1ec86, 0x248f75ffe6eb9f8f, 0x3e7bd479b8ef96e9, 0xee98ca9c6921c490, 0x767bd1dac731602d,
  0x822ee39630475e2e, 0x1cf27f6bcb955a95, 0xaece75152a8d7427, 0xe0404e9b95daa5be, 0xc5a4ae4ac7a45a9a,
  0x395aeb9ed5688af2, 0x10a905ca5af9d01e, 0xb490538c6f19d102, 0xf9b6815156f62aa8, 0x0ae4fcfec37296a5,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00001524bfd087e7,
};

// usb646_swio15_lednop_pr_u4        usb647_swio15_lednop_pr           usb647_swio15_lednop_pr_u4
static const uint64_t ur_usb646_swio15_lednop_pr[] = {
  0xeedddddda2432aac, 0x5ae5a58856a87589, 0xeb53dd53038a4433, 0x4447904891b63367, 0x113817e635a6ecf7,
  0x609f193bbe451db2, 0x4898fff08533f52a, 0xd07a8fa51df2d07e, 0x4d01827d24389207, 0x2f88e32398b01659,
  0x403ff6608ebd1f3b, 0x0e40f2cf6c6fdc35, 0xc73c9fdaf2e556b7, 0xabb39d454aa35d09, 0xb81013a6e576a96f,
  0xb1692b92b1e916a6, 0x8e56bae7b55a22bc, 0x842a417296be7407, 0x2d2414e31bc67440, 0x7e6da05455bd8aaa,
  0xbb8d164498dca5a9, 0x61539fa9d599bf83, 0xcbf313ffbc3def28, 0x3f7ec3347db0e3f8, 0xc33d30be347a2ff0,
  0x3a4a5b387138cb25, 0x3c16792bf734332c, 0x000000001f262668,
};

// usb646_swio15_lednop_pr_ee_u4     usb647_swio15_lednop_pr_ee        usb647_swio15_lednop_pr_ee_u4
static const uint64_t ur_usb646_swio15_lednop_pr_ee[] = {
  0x5ef777776890c582, 0x36ae5a58f53082b0, 0xf0ad5c7ba5c46789, 0x0bdbc8a63afa170c, 0x96a23f644d822911,
  0x04f8c9dd3b410e38, 0x89c1ff08533f43f3, 0xe56a7a6ab5a37f24, 0x4f51f06cc184ff51, 0x2cd3ad08a1df15e0,
  0x26909afa30b2c452, 0x82873ab4bc875c6b, 0x56ba1d79d376ee91, 0xe121144dc8f22d8d, 0x823f5b86f65b2e62,
  0xb955a80422934a8d, 0xa8d74271cf27f6bc, 0x5daa5beaece75152, 0x7a45a9ae0404e9b9, 0x5688af2c5a4ae4ac,
  0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6, 0x37296a5f9b681515, 0x666fe0eee3459126,
  0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c,
  0x75ff34cf059e4afd, 0x0000000000000002,
};

// usb646_swio15_lednop_pr_ce_u4     usb647_swio15_lednop_pr_ce        usb647_swio15_lednop_pr_ce_u4
static const uint64_t ur_usb646_swio15_lednop_pr_ce[] = {
  0xc9eeeeeed121b768, 0x1cb96960418fdd60, 0x7ed05dd623e2fd7a, 0x3f12368f20336401, 0x4ce2a16d2ec9ee99,
  0x304f8c9dd764af8c, 0x2477dff84299f8ad, 0x79b9ddba8c5fac89, 0xf886c2445d670f3c, 0xb87eb3643fd47c25,
  0x9c67b96757d64c98, 0xd6921c490327bd47, 0xf11c6473160298f3, 0x07feccf1d7a3e765, 0x720796b70dfb86a8,
  0x39e4fed7972ab5b8, 0x5d9cea2a551ae84e, 0xc0809d372bb54b7d, 0x8b495c958f48b535, 0x72b5d73daad115e5,
  0x21520b94b5f3a03c, 0x6920a718de33a204, 0xe6da0518edec5551, 0xb8d164498dca5a97, 0x1539fa9d599bf83b,
  0xbf313ffbc3def286, 0xf7ec3347db0e3f8c, 0x33d30be347a2ff03, 0xa4a5b387138cb25c, 0xc16792bf734332c3,
  0x00000000dd730443,
};

// usb646_swio15_lednop_pr_ee_ce_u4  usb647_swio15_lednop_pr_ee_ce     usb647_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_usb646_swio15_lednop_pr_ee_ce[] = {
  0x3bdddddda2431bc1, 0xb772d2c30e44eac6, 0x7f4376e9bb64200d, 0xdd8f622485c18e24, 0xe05991a66309e271,
  0xc64ee8eba6bb62ee, 0x07f84299ffd79827, 0x008c5faa3b752460, 0x445d670f3c79b9dc, 0x164fd47c25f886c2,
  0x6107be64c5c3bb76, 0x33d7d479594394ed, 0x0a62b60bea3e0d98, 0x16588a459a75a114, 0xaedd21c752135f46,
  0x5e74ddbba460a1ce, 0x26e47916c6abc6c7, 0xc37b2d973170908a, 0x5988a4d2a3608991, 0x9c73c9fdaf2e556a,
  0xfabb39d454aa35d0, 0x6b81013a6e576a96, 0xcb1692b92b1e916a, 0x78e56bae7b55a22b, 0x0842a417296be740,
  0xa2d2414e31bc6744, 0x2fcdb40a31dbd8aa, 0x7771a2c8931b94b5, 0x0c2a73f53ab337f0, 0x197e627ff787bde5,
  0x07efd8668fb61c7f, 0xb867a617c68f45fe, 0x87494b670e271964, 0xc782cf257ee68665, 0x00000000004fc09a,
};

// usb647_swio15_lednop_ee_hw
static const uint64_t ur_usb646_swio15_lednop_ee_hw[] = {
  0xf7bbbbbb451a3768, 0xb572d2c7a9841582, 0x856ae3dd2e233c49, 0x5ede4531d7d0b867, 0x7111fb226c114888,
  0x304f8c9dd764afb6, 0x244e0ff958b3f43f, 0x8f2b53d355ad1bf9, 0x027a8f83660c27fa, 0x91669d68450ef8af,
  0x593484d7d1859622, 0x8c1439d5a5e43ae3, 0x6ab5d0ebce9bb774, 0x170908a26e47916c, 0x6c11fadc37b2d973,
  0xe5caad4021149a54, 0x9546ba138e793fb5, 0xcaed52df57673a8a, 0x63d22d4d7020274d, 0x6ab4457962d25725,
  0x2d7ce80f1cad75cf, 0x378ce881085482e5, 0xab7b15545a4829c6, 0x31b94b52fcdb40a8, 0x3def2861539fa84e,
  0xb0e3f8cbf313ffbc, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x16ff412a8a792bf7,
};

// usb646_swio15_lednop_ee_ce_u4_hw  usb647_swio15_lednop_ee_ce_hw     usb647_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_usb646_swio15_lednop_ee_ce_hw[] = {
  0xdeeeeeed14683375, 0xbb96961872275631, 0xfa1bb74ddb21006d, 0xec7b11242e0c7123, 0x02cc8d33184f138e,
  0x4f8c9dd2c55adb9d, 0x6007f958b3ffaf30, 0xdc008c5faa3b7524, 0x8488bace1e79e439, 0xd8523fa8f84bf10d,
  0xb5841ef993170e6d, 0x60cf5f51e5650e53, 0x50298ad82fa8f836, 0x185962291669d684, 0x3abb74871d484d7d,
  0x1d79d376ee918287, 0x289b91e45b1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226, 0x4271cf27f6bcb955,
  0x5beaece75152a8d7, 0xa9ae0404e9b95daa, 0xaf2c5a4ae4ac7a45, 0x01e395aeb9ed5688, 0x10210a905ca5af9d,
  0xaa8b490538c6f19d, 0xd4bf36d028c76f62, 0x1854e7ea138c6e52, 0x32fcc4ffef0f7bca, 0x0fdfb0cd1f6c38fe,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xc5a29e4afdcd0ccb, 0x0000000000280bec,
};

/*
 * usb646_swio15_dual_pr             usb646_swio15_dual_pr_u4          usb647_swio15_dual
 * usb647_swio15_dual_pr             usb647_swio15_dual_pr_u4
 */
static const uint64_t ur_usb646_swio15_dual[] = {
  0x2eeeeeed12190907, 0xfdb70f97bfb5ebea, 0x2d5bb2ee999bb066, 0x15045c675905333d, 0xf69c9263b2dda8b4,
  0xbd3b95a0fd5f7efa, 0x182a90a919827c64, 0x860da4606eebec99, 0x50129dd3e25c40c2, 0x84063854a9bf77e6,
  0x1240f6fcdea398fd, 0x4aff3f7c11429224, 0x38d7627d70f8510c, 0x968464886559cbd3, 0xfe80e784d6b45421,
  0x0586f2bc84b6e50f, 0xcf7c91fddff62213, 0x481c1ff51f6f9df2, 0xaa0f32568f7490e2, 0x19db4a47109cc580,
  0x325403ff6608ebc0, 0x49702503cb3db4c6, 0xb955acfe2af9ddc5, 0xa8d74271cf27f6bc, 0x5daa5beaece75152,
  0x7a45a9ae0404e9b9, 0x5688af2c5a4ae4ac, 0xaf9d01e395aeb9ed, 0xf19d10210a905ca5, 0x6f62aa8b490538c6,
  0x37296a5f9b681515, 0x666fe0eee3459126, 0x0f7bca1854e7ea75, 0x6c38fe32fcc4ffef, 0x1e8bfc0fdfb0cd1f,
  0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x926838cf059e4afd, 0x0000000000000002,
};

// usb647_swio15_dual_pr_ee
static const uint64_t ur_usb646_swio15_dual_pr_ee[] = {
  0x76eeeee87ad0cf68, 0xfdb70ff8fae3ebca, 0x87dbb3890523bb82, 0xe9776182ca3e9f7b, 0xd9b1d7e3e7eca706,
  0x9a3ea757d76ec421, 0x0ba2cc13e324c4dc, 0x4606eebec99182a9, 0xdd3e25c40c2860da, 0x143f374ffe650129,
  0x3a6f51ce0ec3abce, 0xbe08a1491209207b, 0x3eb87c2886257f9f, 0x886559cbd3397431, 0x1307b8a8432d05f6,
  0xe425b79dbffa039e, 0x9fffb110982c3795, 0xe9b9aad68dc9c91e, 0x47c1b3071efd4795, 0x4eb422877c57b3bd,
  0x426be8c2cb1148b3, 0x73ab4ba9e5c54b9a, 0xa1d7a89767f11f50, 0x08a0f547f258d56b, 0xf5b86f65f4b31709,
  0x928043e6f6a8d823, 0x72ab59fc55f3bb8a, 0x51ae84e39e4fed79, 0xbb54b7d5d9cea2a5, 0xf48b535c0809d372,
  0xad115e58b495c958, 0x5f3a03c72b5d73da, 0xe33a20421520b94b, 0xdec55516920a718d, 0x6e52d4bf36d02a2a,
  0x66fe0eee3459ef04, 0x89fca1854e7ea756, 0xe09a3ed87b9c65f9, 0xe19e985727e39eff, 0x1d252d9c389c6592,
  0x1e0b3c95fb9a1996, 0x00000000005642b5,
};

// usb647_swio15_dual_pr_ee_u4
static const uint64_t ur_usb646_swio15_dual_pr_ee_u4[] = {
  0xf02f777776890c86, 0x76fdb70ff8f44ff5, 0x5bb37ba769a70919, 0x647c894aaaf75b8d, 0xc535ec5f8f9fb816,
  0xdcbbb1bb322798b5, 0x5481544c13e3248f, 0x6d2303775f64c8c1, 0x94ee9f12e2061430, 0x2381c19babff3280,
  0x0e574dea3eced847, 0xf3f7c11429224124, 0x1227d70f8510c4af, 0x1ed10cab397a6701, 0x39e13489150865a1,
  0x795e425b7ddaffa0, 0x91eafffb110982c3, 0x795e569aad68d7dc, 0x5dea3e0d983eebd4, 0x459a75a1143be2b9,
  0x5cd2135f4616588a, 0xe7139d5a5cbaae10, 0xad743af6b13b1948, 0x8484512f91ad7b1a, 0x3e7d6e1bd971f18b,
  0xcfe2af9ddc549570, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0x9ae0404e9b95daa5, 0xf2c5a4ae4ac7a45a,
  0x1e395aeb9ed5688a, 0x0210a905ca5af9d0, 0xa8b490538c6f19d1, 0xa5f9b6815156f62a, 0x0eee345912637296,
  0xa1854e7ea75666fe, 0xe32fcc4ffef0f7bc, 0xc0fdfb0cd1f6c38f, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c,
  0x90f059e4afdcd0cc, 0x0000000000002b21,
};

// usb646_swio15_dual_pr_ce_u4       usb647_swio15_dual_pr_ce          usb647_swio15_dual_pr_ce_u4
static const uint64_t ur_usb646_swio15_dual_pr_ce[] = {
  0xe4edddddda2432db, 0x92bf6dc3e32abfd7, 0xe5bddee80a295d3b, 0xc8efe986e75bdfb4, 0x599d05900962ddc9,
  0xc64d45b91c115638, 0x932305521e019827, 0x1850c1b48c0ddd7d, 0xfcca0253ba7c4b88, 0xf7b0d36708ad30d6,
  0x4482481a9e9bd47d, 0x21895fe7ef822852, 0xf4ce747c4fae1f0a, 0x10cb436fa2195672, 0x3fff4073c263d62a,
  0x130586f2bc84b6f6, 0xfd4c7c911adff622, 0x3879e3cdcece0c62, 0xa3e12fc4361222eb, 0x5cc98b87672e8ffe,
  0x5f51e449ee59d5ea, 0xbfb8caa4871240c4, 0x19db4a47109cc580, 0x325403ff6678ebc0, 0x525c0940f2d6e4c6,
  0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0x576a96fabb39d454, 0x1e916a6b81013a6e, 0x55a22bcb1692b92b,
  0x6be74078e56bae7b, 0xbc67440842a41729, 0xdbd8aaa2d2414e31, 0x1b94b52fcdb40a31, 0xb337f07771a2c893,
  0x87bde50c2a73f53a, 0xb61c7f197e627ff7, 0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e,
  0x0d24814782cf257e,
};

// usb647_swio15_dual_pr_ee_ce
static const uint64_t ur_usb646_swio15_dual_pr_ee_ce[] = {
  0xabeddddddd43359b, 0x53f6dc3e5eda7bd7, 0xbc7fdd4fb2d4f58a, 0xecccce77b8c3e403, 0x419cae20bcd2abe1,
  0x21e19851fc2d759b, 0x83e7d304f8c94777, 0x2303775f64c8c154, 0xee9f12e20614306d, 0xc1fe4d883f328094,
  0xc7e6f51c346c34d1, 0xf7c114292241240e, 0x27d70f8510c4aff3, 0xa2195672f4ce3b76, 0x84ce962a10cb40a1,
  0x79096dcd6ffe80e7, 0x883fec44260b0de5, 0xde20b1fd51e56923, 0x87e6faa47f3c79b9, 0xf729dac0b374ce75,
  0x7c1b306657a8f2bd, 0xeb422814c576ebd4, 0x26be8c2cb1148b34, 0xfa839d5db94f0ea4, 0x578d8ebd44bb3f88,
  0x70908a0f547f258d, 0xc1132386f65f4b31, 0xdc5494b31f37b546, 0x6bcb955acfe2af9d, 0x152a8d74271cf27f,
  0x9b95daa5beaece75, 0x4ac7a45a9ae0404e, 0x9ed5688af2c5a4ae, 0xca5af9d01e395aeb, 0x8c6f19d10210a905,
  0x8c76f62aa8b49053, 0xf386e52d4bf36d02, 0xf75666fe0eee3458, 0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c,
  0x304e938f059e4afd, 0x0000000000000001,
};

// usb647_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_usb646_swio15_dual_pr_ee_ce_u4[] = {
  0x6eeeeed150fe5f82, 0x6dc3e4cfaf7ebe35, 0x1ddb9dbf6af87b3f, 0x58bf1fefae843afe, 0xf70b44bb8d410c05,
  0xb456d2ae3ef2757b, 0x09f19253ae5d35bf, 0x7d932305522f67a6, 0x881850c1b48c0ddd, 0xb7f9958093ba7c4b,
  0xc00d80a4387ebcc6, 0x24482481dadcdea3, 0xa21895fe7ef82285, 0x5e99c3af84fae1f0, 0x4219686ce4432ace,
  0xc8ffd01cf09b2b45, 0xbcc161bcaf212dbd, 0xa3383244d6ffc990, 0x9e7c033b35b8c5fa, 0x12fc4361222eb387,
  0xc5c3fad4f00fea3e, 0x5efb94ed6109ba64, 0xea3e0d98332bd479, 0x9a75a1140a62bb75, 0x52135f4616588a45,
  0xc47d41ceaedca787, 0xc6abc6c75ea25d9f, 0x98b8484507aa3f92, 0xa3608991c37b2fa5, 0xceee2a4a598f9bda,
  0x3fb5e5caad67f157, 0x3a8a9546ba138e79, 0x274dcaed52df5767, 0x572563d22d4d7020, 0x75cf6ab4457962d2,
  0x82e52d7ce80f1cad, 0x29c6378ce8810854, 0x81463b7b15545a48, 0x5912637296a5f9b6, 0xf53ab337f068fe34,
  0x7ff787bde50c2a73, 0x668fb61c7f197e62, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x00080051768b4fcf,
};

// usb647_swio15_dual_ee_hw
static const uint64_t ur_usb646_swio15_dual_ee_hw[] = {
  0x53b7777768a342db, 0x17edb87fc7d71f5e, 0xdc3edd9c48291ddc, 0x374bbb0c1651f4fb, 0x0ecd8ebf1f3f6538,
  0x89b91c1156699d21, 0x055217459827c649, 0xc1b48c0ddd7d9323, 0xe833ba7c4b881850, 0x579c287e6e9ffcca,
  0x40f674dea39c1d87, 0xff3f7c1142922412, 0xe8627d70f8510c4a, 0x0bed10cab397a672, 0x073c260f7150865a,
  0x6f2bc84b6f3b7ff4, 0xc91e9fffe5493058, 0x4795e9b9aad68dc9, 0xb3bd47c1b3071efd, 0x48b34eb422877c57,
  0x4b9a426be8c2cb11, 0x1f5073ab4ba9e5c5, 0xd56ba1d7a89767f1, 0x170908a0f547f258, 0xd823f5b86f65f4b3,
  0xbb8a928043e6f6a8, 0xed7972ab59fc55f3, 0xa2a551ae84e39e4f, 0xd372bb54b7d5d9ce, 0xc958f48b535c0809,
  0x73daad115e58b495, 0xb94b5f3a03c72b5d, 0x718de33a20421520, 0x2a2adec55516920a, 0x138c6e52d4bf36d0,
  0xef0f7bca1854e7ea, 0x1f6c38fe32fcc4ff, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x002bb4f65aa29e4a,
};

// usb646_swio15_dual_ee_ce_u4_hw    usb647_swio15_dual_ee_ce_hw       usb647_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_usb646_swio15_dual_ee_ce_hw[] = {
  0xadddddda28d11107, 0xedb87c99f5efd7c6, 0xc3bb73b7ed5f0f67, 0xab17e3fdf5d0875f, 0x7ee1689771a82180,
  0xed538f74835e4eaf, 0x7a609f19253ae4df, 0xddd7d932305522f6, 0xc4b881850c1b48c0, 0xe635bfccae833ba7,
  0xf51e006c0521c3f5, 0x14292241240ed6e6, 0x0f8510c4aff3f7c1, 0x5672f4ce1d7c27d7, 0x5a2a10cb43672219,
  0x6dee47fe80e784d9, 0xfca9260b0de57909, 0x62fd519c19226b7f, 0xace1e79e439d9adc, 0xfa8f84bf10d8488b,
  0x9ba64c5c3f539705, 0xbd4795efb94ed610, 0x2bb75ea3e0d98332, 0x88a459a75a1140a6, 0xca78752135f46165,
  0x25d9fc47d41ceaed, 0xa3f92c6abc6c75ea, 0xb2fa598b8484507a, 0xf9bdaa3608991c37, 0x7f157ceee2a4a598,
  0x38e793fb5e5caad6, 0xf57673a8a9546ba1, 0xd7020274dcaed52d, 0x962d2572563d22d4, 0xf1cad75cf6ab4457,
  0x1085482e52d7ce80, 0x45a4829c6378ce88, 0x5f9b681463b7b155, 0x2a73f509c637296a, 0x7e627ff787bde50c,
  0xefd8668fb61c7f19, 0x67a617c68f45fe07, 0x494b670e271964b8, 0xd14f257ee6866587, 0x000000003aeb6acd,
};

// usb1287_autobaud_uart0_noled
static const uint64_t ur_usb1286_autobaud_uart0_noled[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea635e, 0x822f7b3fd7e8dbd8, 0x418ebfc4eeeeb60e, 0x827c64eec2f5a350,
  0x4900fff375cf84f9, 0x80ba45aa0440a9f0, 0x5470afd549afe45f, 0xe78ef964870da37b, 0x0524389206693d47,
  0xcce62c05bdd30f9d, 0xc11d78baf0d4b478, 0x3bbf615920bb8e58, 0x77eefce726dbf031, 0x8ce4df9bcf82a0c0,
  0x4aca43717539794d, 0x5a5612718de33a20, 0x6cce54e8ab7b1554, 0x0cc377c252d4bf2b, 0xb867a615c9f9fd8f,
  0x87494b670e271964, 0xa10fcf257ee68665, 0x000000003598a38b,
};

/*
 * usb1286_autobaud_uart0_noled_pr_u4 usb1287_autobaud_uart0_noled_pr
 * usb1287_autobaud_uart0_noled_pr_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_noled_pr[] = {
  0x37777776890ce59b, 0x7eeeeee963d4c656, 0x85bafad0dadcc761, 0x2e3b6d22eeeecf77, 0xc64eef2589cc864e,
  0x13fc214cf87b9827, 0xe916a81102a7c129, 0xc2bf5526bf917e02, 0x3be5843c368ded51, 0x90e2481a0bf51fa0,
  0x98b016594df26f74, 0x75e8faf0e0b47ac3, 0xb0e344aa01ffb304, 0x2777ec4d5f03cb3d, 0x0efddf9ce4db7e06,
  0xb19c9bf379f05418, 0x0959486e2ea72f29, 0x8b4ac24e31bc6744, 0x6d99ca9d156f62aa, 0xe1986ef84a5a97e5,
  0x7771a2cf7f8817b1, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x2cf257ee68665874, 0x0000008c32502478,
};

/*
 * usb1286_autobaud_uart0_noled_pr_ee_u4 usb1287_autobaud_uart0_noled_pr_ee
 * usb1287_autobaud_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_noled_pr_ee[] = {
  0x637777776890ca20, 0x2eeeeee960f0619d, 0x4b8bcd885fb6475a, 0xd3537c2ea66e97bf, 0x747b16a8e31aa828,
  0x10a67e394c13e327, 0xa81102a7c12b75fe, 0x5526bf917e02e916, 0x738c368ded51c2bf, 0x31f51e57224d56b4,
  0x7c56657a8f83660d, 0xcb1148b34eb42287, 0xd571ac9a426be8c2, 0x08df4782ce756973, 0xe36355ae875e74ef,
  0x973170908a167a30, 0x7546c11fadc37b2d, 0x8189ddfb00290550, 0x0603bf77e73936df, 0xca6c6726fcde7c15,
  0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19, 0xf95b6672a7455bd8, 0xec78661bbe1296a5, 0xfc1ddc68b3dfe205,
  0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0x9e0b3c95fb9a1996, 0x000000004d4ee10f,
};

/*
 * usb1286_autobaud_uart0_noled_pr_ce_u4 usb1287_autobaud_uart0_noled_pr_ce
 * usb1287_autobaud_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_noled_pr_ce[] = {
  0x637777776890c044, 0x2eeeeee962440ddd, 0xaf2b68278fd0836a, 0xe85c337a7bbbaf23, 0xe3277505272e9c10,
  0x5dfe10a67f674c13, 0xe916a81102a7c129, 0xc2bf5526bf917e02, 0x06fea0a4368ded51, 0xf3ce10b6f373bfdc,
  0x097e21b0913d9670, 0x4e1e000a4fd4784f, 0xe5bebd64d9edc244, 0x389207acf51c9e9e, 0x58731602a636b524,
  0x678ebd1f5e1c168f, 0x5adc1c6895403ff6, 0xf0313bbf626af81e, 0xa0c077eefce726db, 0x794d8ce4df9bcf82,
  0x3a204aca43717539, 0x15545a5612718de3, 0x7e56d99ca9c63b7b, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x4782cf257ee68665, 0x00000000046eadf0,
};

/*
 * usb1286_autobaud_uart0_noled_pr_ee_ce_u4 usb1287_autobaud_uart0_noled_pr_ee_ce
 * usb1287_autobaud_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_noled_pr_ee_ce[] = {
  0x1bbbbbbb448692df, 0x6eeeee96293e8eeb, 0xe0dcbba8ba6eb4a7, 0xe3128706dee9218b, 0xa8fa10abe26e05e4,
  0x299fc6e9827c64ee, 0x088153e0935dff84, 0x935fc8bf01748b54, 0x2e1b46f6a8e15faa, 0x79b9d85a037f5465,
  0x489ecb3879e7085b, 0x47ea3c2784bf10d8, 0xcf6e122270f74375, 0xcafa894ed63a7be6, 0x5ea3e0d9835afea3,
  0x2cd3ad08a05315f7, 0x3a909afa30b2c452, 0x6fa3c1673abb71ea, 0x6355e363af3a7784, 0x3170908a167a30e3,
  0xa3608991c37b2d97, 0xc4eefd859c82a83a, 0x01dfbbf39c9b6fc0, 0x3633937e6f3e0a83, 0x812b290dc5d4e5e5,
  0x51695849c6378ce8, 0x5b6672a718edec55, 0x78661bbe1296a5f9, 0x1ddc68b3dfe205ec, 0x0c2a44ad4eaccdfc,
  0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1, 0x0b3c95fb9a19961d,
  0x00000004113ecf1e,
};

// usb1287_autobaud_uart0_lednop
static const uint64_t ur_usb1286_autobaud_uart0_lednop[] = {
  0xb1bbbbbbbacdfc4f, 0x03777774b1ea7b3e, 0x0e82dddfab68dbd8, 0xa820c75f426eeeb6, 0xe4c13e3277617ad1,
  0x7c1232bffcdd73ef, 0x17e02e916a81102a, 0xded51c2bf5526bf9, 0x51c9e3be5921c368, 0xc59f490e24819a4f,
  0x720a731602dee987, 0x58c11d78baf0a434, 0x189ddfb0acc67b8e, 0xf77e781013936df8, 0x804df9bcb750603b,
  0x690e1aa6f529c94e, 0x81b745021696bfc4, 0xf2b6cce9c6378ce8, 0xd8f0cc377c252d4b, 0x964b867a615c9f9f,
  0x66587494b670e271, 0x38ba10fcf257ee68, 0x000000000003598a,
};

/*
 * usb1286_autobaud_uart0_lednop_pr_u4 usb1287_autobaud_uart0_lednop_pr
 * usb1287_autobaud_uart0_lednop_pr_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_lednop_pr[] = {
  0x1bbbbbbb4486259b, 0xf777774b1ea636eb, 0x1631d7f07db1fad4, 0xcc4b8d09bbbb3dde, 0x8c9dd97762419c0b,
  0x2bfc214cfbf9304f, 0xe916a81102a7c123, 0xc2bf5526bf917e02, 0x3be5843c368ded51, 0x90e2481a0bf51ed6,
  0x98b016594d374654, 0xebd1f5e12691a433, 0xded0fb5403ff6608, 0x9ddfb3dc140f2cf6, 0x7e781013936df818,
  0xdf9bcda450603bf7, 0xe1aa6f529c94e804, 0x718de33a207c4690, 0xe455bd8aaa2d30ca, 0xf094b52fcadb33b4,
  0x9eff102f63c330dd, 0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1,
  0xc4e32c970cf4c2f8, 0xdcd0ccb0e9296ce1, 0x8c354e2cf059e4af, 0x0000000000000000,
};

/*
 * usb1286_autobaud_uart0_lednop_pr_ee_u4 usb1287_autobaud_uart0_lednop_pr_ee
 * usb1287_autobaud_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_lednop_pr_ee[] = {
  0x1bbbbbbb4486bf3e, 0xf777774b078342eb, 0xb0cf17b53d34bab8, 0x2ad1c2ea66e97bf4, 0x671162b83d776468,
  0x0a67c9d4c13e3277, 0x81102a7c128adfe1, 0x526bf917e02e916a, 0x38c368ded51c2bf5, 0x1f51e56654d56b47,
  0x8acc7fa8f83660d3, 0x62291669d68450ef, 0x2e3593484d7d1859, 0x47c464d1cead2f22, 0xab1aad743af3a778,
  0x5cc5c24228e811bd, 0x551b047eb70decb6, 0xc0c4eefd801071a2, 0xdfbbf3c0809c9b6f, 0x4026fcde6d228301,
  0x34870d537a94e4a7, 0x86538c6f19d103e2, 0x9da722adec555169, 0x86ef84a5a97e56d9, 0x1a2cf7f8817b1e19,
  0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6,
  0x257ee6866587494b, 0x0009a9d998a782cf,
};

/*
 * usb1286_autobaud_uart0_lednop_pr_ce_u4 usb1287_autobaud_uart0_lednop_pr_ce
 * usb1287_autobaud_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_lednop_pr_ce[] = {
  0x637777776890d2a8, 0xfeeeeee962441a5d, 0xbcdd95b05fad1748, 0x820a17856eeebc8e, 0xe32774eb46a122cf,
  0x37fe10a67c6b4c13, 0xe916a81102a7c12d, 0xc2bf5526bf917e02, 0x06fea0a4368ded51, 0xf3ce10b6f373bf9c,
  0x097e21b0913d9670, 0x387c6eec1fd4784f, 0x96faf59367b70911, 0xe2481eb3d47e927b, 0x3398b0172483f490,
  0x78ebd1f5e12691a4, 0x5b9ed0fb5403ff66, 0x062777ecf70503cb, 0xfddf9e0404e4db7e, 0x0137e6f36914180e,
  0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xda70c76f62aa8b4c, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x0046ea4fc2782cf2,
};

/*
 * usb1286_autobaud_uart0_lednop_pr_ee_ce_u4 usb1287_autobaud_uart0_lednop_pr_ee_ce
 * usb1287_autobaud_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_lednop_pr_ee_ce[] = {
  0x1bbbbbbb448650e3, 0x6eeeee96293e646b, 0xd1dc1b23faecb5eb, 0xbe4a8706dee9218b, 0xa1607db29c2cdd40,
  0x0a67cd6e609f193b, 0x81102a7c12149fe1, 0x526bf917e02e916a, 0xa5c368ded51c2bf5, 0xde6e7763e06fea8c,
  0x1227b2ce1e79c216, 0x77fa8f09e12fc436, 0x67b709113870001b, 0xe57dd4a76b1d3df3, 0xbf51f06cc1ad7f51,
  0x2cd3ad08a0531587, 0x3a909afa30b2c452, 0x1f1193473abb7488, 0x58d578d8ebce9de1, 0xe62e121147408ded,
  0x546c1132386f65b2, 0x0313bbf61661c689, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d,
  0x194e31bc67440f88, 0xed3863b7b15545a6, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8,
  0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b,
  0x0008220f573c1679,
};

/*
 * usb1286_autobaud_uart0_dual_pr    usb1286_autobaud_uart0_dual_pr_u4 usb1287_autobaud_uart0_dual
 * usb1287_autobaud_uart0_dual_pr    usb1287_autobaud_uart0_dual_pr_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_dual[] = {
  0x7ddddddda2437089, 0xeeeeeeeef2419f73, 0x086931eb68ebed17, 0x7d763db777560a33, 0x2bc9eb2abbeb699f,
  0x40523304f8c95c77, 0x4606eeab50c8da8a, 0xdd3e25c40c2860da, 0xc5d2d7e6584a0129, 0xd478adb01ac70275,
  0xe8524482481efb9b, 0xff3f7c117e53e5c5, 0xfd703770f8510c4a, 0x77f25f2f973f21f2, 0x0cbfe420b486f971,
  0x9a6e8a8432d0d291, 0x9096dce1ffd01cf0, 0xdffc566e60b0de57, 0xa45aa0440a9f0497, 0x0afd549afe45f80b,
  0x77cb1350da37b547, 0x438920621fd47c8a, 0xc580aa0f31eb10d2, 0xbc01af0ef68ebf9c, 0xcf09f5403ff6608e,
  0x715258a7207967b7, 0x0c4eefd93f8abe77, 0xfbbf3c0809c9b6fc, 0x026fcde6d228301d, 0x4870d537a94e4a74,
  0x6538c6f19d103e23, 0xda722adec5551698, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x12b53ab337f07771,
  0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61, 0x57ee6866587494b6,
  0x001705c926782cf2,
};

// usb1287_autobaud_uart0_dual_pr_ee
static const uint64_t ur_usb1286_autobaud_uart0_dual_pr_ee[] = {
  0xf37dddddddd432db, 0x09bbbbbbbbe82b85, 0x9137b3745fb369b6, 0x0513cd8467ba7593, 0xe08ab07866743f2d,
  0x3cbcc13e326c35c8, 0x037755a8646d4521, 0x9f12e20614306d23, 0xd9f3f32c250094ee, 0xfebec0d6ce130dc5,
  0x92241240e004dea3, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x4be5f2e7e43e46dd, 0xfc841690df2e2efe,
  0x62a10cb430222197, 0x6e1a3fe80e784c5d, 0x2b3730586f2bc84b, 0x5022054f82496bfe, 0xaa4d7f22fc05d22d,
  0xe4486d1bdaa3857e, 0x53d4795afb9aad68, 0xe2bfddea3e0d9830, 0x588a459a75a1143b, 0xae2a5cd2135f4616,
  0xe488f7b39d5a5cc7, 0xd6355ae875ea26f0, 0x598b84845107d1f3, 0x546c11fadc37b2fa, 0xceee2a4a0135f20b,
  0xdf8189ddfb27f157, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0xb33b4e455bd8aaa2, 0x330ddf094b52fcad, 0xb8d167bfc413ee3c, 0x30ae4fdd599bf83b, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000208bce143c16,
};

// usb1287_autobaud_uart0_dual_pr_ee_u4
static const uint64_t ur_usb1286_autobaud_uart0_dual_pr_ee_u4[] = {
  0xeeeeeed150fed8be, 0xddddddf415c2f9be, 0xd9ba2fd9b4db04dd, 0xe6c233dd3ac9c89b, 0x61e197d61f968289,
  0x4f8c9b0d7279d690, 0x6a191b51484f2f30, 0x81850c1b48c0ddd5, 0x961298093ba7c4b8, 0x6b670986e2ecf9f9,
  0x2070026f51ff5f60, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0x73f21f236ec0ddc3, 0x486f97177f25f2f9,
  0x5a181110cbfe420b, 0xf4073c262eb15086, 0x2c3795e425b70d1f, 0xa7c124b5fe156298, 0x917e02e916a81102,
  0x8ded51c2bf5526bf, 0xad7dcd56b4722436, 0xf51f06cc1829ea3c, 0xcd3ad08a1df15fee, 0x6909afa30b2c4522,
  0xd9cead2e63d7152e, 0x743af5137872447b, 0x422883e8f9eb1aad, 0xfd6e1bd97d2cc5c2, 0x25009af905aa3608,
  0xeefd93f8abe77715, 0xf3c0809c9b6fc0c4, 0xfcde6d228301dfbb, 0x0d537a94e4a74026, 0x8c6f19d103e23487,
  0x22adec5551698653, 0x84a5a97e56d99da7, 0xf7f8817b1e1986ef, 0x9d599bf8347f1a2c, 0xef0f7bca1854895a,
  0x8cec38fe32fcc4ff, 0x7a2ff03f7ec3347d, 0x38cb25c33d30be34, 0x34332c3a4a5b3871, 0x25cf265a7e792bf7,
  0x0000000000000295,
};

// usb1287_autobaud_uart0_dual_pr_ce
static const uint64_t ur_usb1286_autobaud_uart0_dual_pr_ce[] = {
  0x7dddddddd41432db, 0xddddddddec8227f3, 0x55eeb610f508749b, 0xa6bd8beeee9ba015, 0x91c115658219d577,
  0x902a89827c64e4eb, 0x9181bbaad43236a2, 0x774f8971030a1836, 0xe2f5bff99612804a, 0x51d36f613b670b5b,
  0x4292241240c66e6f, 0xf9fbe08bf29f2e2f, 0x8f81bb87c2886257, 0x7f25f2f973f21f2e, 0xcbfe420b486f9717,
  0x3f9150865a1fb910, 0x12db9c1ffa039e13, 0xff8acdcc161bcaf2, 0x8b54088153e09656, 0x5faa935fc8bf0174,
  0xdf5f921b46f6a8e1, 0x7085b79b9d945015, 0x122270ed7687df9e, 0x3dcb3dba97340aee, 0x438920752fd471bf,
  0xafe731602a00f7d2, 0x99e3af006bc3bda3, 0x96b773c27d500ffd, 0xabe77715258a7207, 0x9b6fc0c4eefd93f8,
  0x8301dfbbf3c0809c, 0xe4a74026fcde6d22, 0x03e234870d537a94, 0x516986538c6f19d1, 0xadb33b4e18edec55,
  0x3c330ddf094b52fc, 0x1ddc68b3dfe204e3, 0x0c2a44ad4eaccdfc, 0x7cd1f633b0e271a5, 0xcb25c33d30ae4fc0,
  0x332c3a4a5b387138, 0xf6643c16792bf734, 0x000000000000015a,
};

// usb1287_autobaud_uart0_dual_pr_ce_u4
static const uint64_t ur_usb1286_autobaud_uart0_dual_pr_ce_u4[] = {
  0xeeeeeed150fe8f43, 0xddddddf42f0fb9be, 0xae3bf7a339b7d7dd, 0x6a3fbbba7692664c, 0xdad4fe1a9c7912e1,
  0x4c13e325eb5cbc4f, 0xeab50c8da8a44d52, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xb0fd7381adf17986,
  0x04903adf9bd47149, 0x22fca7cb8bd0a489, 0xe1f0a21895fe7ef8, 0xbe5cfc87c800006e, 0x82d21be5c5dfc97c,
  0x219683054432ff90, 0xe7fd01cf09a43c54, 0xa60b0de579096dff, 0x40a9f0489d7f8558, 0xafe45f80ba45aa04,
  0x0da37b5470afd549, 0xf00ceca181bfaf51, 0x913d9670f3ce10b7, 0xffd4784f097e21b0, 0xcf6e122270fcb4cd,
  0x471bf3dcb7d752e6, 0x0f7d2438920752fd, 0x3bda3afe731602a0, 0x00ffd99e3af006bc, 0xa720796b773c27d5,
  0xd93f8abe77715258, 0x0809c9b6fc0c4eef, 0xe6d228301dfbbf3c, 0x37a94e4a74026fcd, 0xf19d103e234870d5,
  0xdec55516986538c6, 0xb52fcadb33b4e18e, 0x102f63c330ddf094, 0x337f068fe3459eff, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x590b4fcf257ee686,
  0x0000000000ad7b14,
};

/*
 * usb1286_autobaud_uart0_dual_pr_ee_ce_u4 usb1287_autobaud_uart0_dual_pr_ee_ce
 * usb1287_autobaud_uart0_dual_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_autobaud_uart0_dual_pr_ee_ce[] = {
  0xbbbbbb4543ff2812, 0x777777bd7eece6fb, 0x18df5f4ceb54eb77, 0x45266ea01d9b3825, 0xc7f4130a56d0af62,
  0xa2fb97c7acaa719b, 0xa8a418bb5304f8c9, 0x0da4606eeab50c8d, 0x049dd3e25c40c286, 0x91e2fe72fccb094c,
  0xea38003606dd9c02, 0xd0a48904903548cd, 0xfe7ef822fca7cb8b, 0xf2606ee1f0a21895, 0xfe4be5f2e7e43e50,
  0x97fc841690df2e2e, 0x76a2a10cb41fe221, 0x2db9257fd01cf09b, 0xf0ab14c161bcaf21, 0x6a81102a7c12986f,
  0xf5526bf917e02e91, 0x8e574368ded51c2b, 0x2dfc033bd3406fea, 0x6c244f659c3cf384, 0x753bf51e13c25f88,
  0xd367b70911387f39, 0x51e56fe4a76b1d4d, 0xea57a8f83660d7cf, 0x291669d68450298a, 0x8f1d484d7d185962,
  0xe1c911ef673abb71, 0xcf58d578d8ebd44d, 0xe9662e1211441f47, 0x16a8d8226470decb, 0xaf9ddc5494b36be4,
  0x6dbf0313bbf64fe2, 0x0c077eefcf020272, 0x929d009bf379b48a, 0x0f88d21c354dea53, 0x45a6194e31bc6744,
  0xb6cced3863b7b155, 0xf0cc377c252d4bf2, 0xa3f8d167bfc40bd8, 0xc2a44ad4eaccdfc1, 0x97e627ff787bde50,
  0xf619a3ec6761c7f1, 0xe985f1a3d17f81fb, 0x52d9c389c6592e19, 0xf3c95fb9a19961d2, 0x00001fab7baa42d3,
};

// usb1287_autobaud_uart0_dual_ee_hw
static const uint64_t ur_usb1286_autobaud_uart0_dual_ee_hw[] = {
  0xddddddda28d0d4d6, 0xbbbbbbbe82b85f37, 0x7b3745fb369b609b, 0x3cd8467ba7593913, 0xc67d7d66e3f2d051,
  0x2f304f8c9b0d726e, 0xddd56a191b51484f, 0xc4b881850c1b48c0, 0x7cfccb094e833ba7, 0xafb035b384c37176,
  0x890490380137a8ff, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f91b760, 0x2105a437cb8bbf92,
  0xa8432d0c088865ff, 0x868ffa039e131758, 0x2d4c161bcaf212db, 0x022054f82496bfe3, 0xa4d7f22fc05d22d5,
  0x4486d1bdaa3857ea, 0x3d4795afb9aad68e, 0x2bfddea3e0d98305, 0x88a459a75a1143be, 0xe2a5cd2135f46165,
  0x488f7b39d5a5cc7a, 0x6355ae875ea26f0e, 0x98b84845107d1f3d, 0x46c11fadc37b2fa5, 0xeee2a4a0135f20b5,
  0xf8189ddfb27f157c, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94, 0x30ca718de33a207c,
  0x33b4e455bd8aaa2d, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3,
  0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xea29e4afdcd0ccb0, 0x000000002c1ca83e,
};

/*
 * usb1286_autobaud_uart0_dual_ee_ce_u4_hw usb1287_autobaud_uart0_dual_ee_ce_hw
 * usb1287_autobaud_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_autobaud_uart0_dual_ee_ce_hw[] = {
  0xddddddda28d10668, 0xbbbbbbbdebf76737, 0x28c6fafa675aa75b, 0x1229337500ecd9c1, 0x0373341852b6857b,
  0x7c64d17dcaae3ec0, 0x8646d4520c5da982, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x6700a478bf9cbf32,
  0x52337a8e000d81b7, 0xf2e2f4292241240d, 0x86257f9fbe08bf29, 0x0f943c981bb87c28, 0xcb8bbf92f97cb9f9,
  0xf88865ff2105a437, 0x3c26dda8a8432d07, 0x2bc84b6e495ff407, 0x2986ff8cb530586f, 0x02e916a81102a7c1,
  0x51c2bf5526bf917e, 0x06fea8e574368ded, 0xe79c216fc873bd34, 0x12fc4361227b2ce1, 0xc3dd0dd51fa8f09e,
  0x58ea6e9b3db84889, 0x06be7a8f2b7f253b, 0x814c5752bd47c1b3, 0xc2cb1148b34eb422, 0xd5db8c78ea426be8,
  0x5ea26f0e488f7b39, 0x20fa3e7ac6abc6c7, 0x86f65f4b3170908a, 0x9b5f20b546c11323, 0xb27f157ceee2a4a5,
  0x1013936df8189ddf, 0xcda450603bf77e78, 0x6f529c94e804df9b, 0xe33a207c4690e1aa, 0xbd8aaa2d30ca718d,
  0x6a5f95b66769c31d, 0xd417678661bbe129, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x09a64cf2f453c95f, 0x0000000000000001,
};

// usb1286_u1x8_uart0_noled_pr       usb1287_u1x8_uart0_noled          usb1287_u1x8_uart0_noled_pr
static const uint64_t ur_usb1286_u1x8_uart0_noled[] = {
  0x3777776e5acdc49f, 0xdddddd2c5850c9d6, 0xec1f56d05be2f6b4, 0x9cdcd077775e4293, 0xc9ddcc490a86b43c,
  0xfff375cfe49304f8, 0xc5bfb4c98dec09ef, 0x93d47e78ef964875, 0x30f9d05243892066, 0x4b478cce62c05bdd,
  0xb8e58c11d78baf0d, 0xbf0313bbf615920b, 0x2a0c077eefce726d, 0x9794d8ce4df9bcf8, 0x33a204aca4371753,
  0xb15545a5612718de, 0x4bf2b6cce54e8ab7, 0x4fb8f0cc377c252d, 0xf2068fe3459eff10, 0x5c33d30ae4fdd598,
  0xc3a4a5b387138cb2, 0x5087e792bf734332, 0x0000000001f2070a,
};

// usb1287_u1x8_uart0_noled_pr_u4
static const uint64_t ur_usb1286_u1x8_uart0_noled_pr_u4[] = {
  0x6eeeeedca890c743, 0xdddddd2c5851e4ac, 0xe6fc1fc2f588efa5, 0xcbdbf6dddd18417f, 0x3bb51792d8f58235,
  0xf84299f9c6609f19, 0x2dfda64c6f604be7, 0x7ea3f4077cb087ae, 0xbe4dee921c490341, 0x168f58731602cb29,
  0x3ff6608ebd1f5e1c, 0xe07967b61c689540, 0x9b6fc0c4eefd89ab, 0x3e0a8301dfbbf39c, 0xd4e5e53633937e6f,
  0x378ce8812b290dc5, 0xadec5551695849c6, 0x4b52fcadb33953a2, 0xf102f63c330ddf09, 0x5666fe0eee3459ef,
  0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e,
  0xdb314f059e4afdcd, 0x00000000000007c9,
};

// usb1286_u1x8_uart0_noled_pr_ee_u4 usb1287_u1x8_uart0_noled_pr_ee    usb1287_u1x8_uart0_noled_pr_ee_u4
static const uint64_t ur_usb1286_u1x8_uart0_noled_pr_ee[] = {
  0xddddddb9512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0x50d87238f7583ecf, 0xa70f634a758ada09,
  0xa67d82cc13e32774, 0xd32637b02387fe10, 0x24d56b4738d716fe, 0xf83660d31f51e572, 0xeb422877c56657a8,
  0x26be8c2cb1148b34, 0xe756973d571ac9a4, 0x75e74ef08df4782c, 0xa167a30e36355ae8, 0xdc37b2d973170908,
  0x02905507546c11fa, 0x73936df8189ddfb0, 0xcde7c150603bf77e, 0xb8ba9cbca6c6726f, 0x38c6f19d10256521,
  0x7455bd8aaa2d2b09, 0xe1296a5f95b6672a, 0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a,
  0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x4ebde499e0b3c95f,
};

// usb1286_u1x8_uart0_noled_pr_ce_u4 usb1287_u1x8_uart0_noled_pr_ce    usb1287_u1x8_uart0_noled_pr_ce_u4
static const uint64_t ur_usb1286_u1x8_uart0_noled_pr_ce[] = {
  0xbbbbbb72a2432493, 0xeeeee962712a6eb1, 0x1d82f75fa0cf717e, 0x8121006eeedf9cdf, 0x93ba1b9053453b4c,
  0xff08533e52e609f1, 0x8b7f69931bd813a5, 0x9b9dfee037f5052b, 0x89ecb3879e7085b7, 0x7ea3c2784bf10d84,
  0xcf6e122270f00052, 0xa8e4f4f72df5eb26, 0x31b5a921c4903d67, 0xf0e0b47ac398b015, 0xaa01ffb33c75e8fa,
  0x1357c0f2d6e0e344, 0xe73936df8189ddfb, 0xfcde7c150603bf77, 0x1b8ba9cbca6c6726, 0x938c6f19d1025652,
  0x4e31dbd8aaa2d2b0, 0x7c252d4bf2b6cce5, 0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489,
  0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0dd71aa43c16792b,
};

/*
 * usb1286_u1x8_uart0_noled_pr_ee_ce_u4 usb1287_u1x8_uart0_noled_pr_ee_ce
 * usb1287_u1x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u1x8_uart0_noled_pr_ee_ce[] = {
  0xbbbbbb72a243304a, 0x777774b1c2fe46b1, 0xf4c8fe2fdb83a8cf, 0x7af3dde2f7731b27, 0x1751f76480638ac1,
  0x99fd35304f8c9ddb, 0x4c98dec0bfe7f842, 0x01bfaa32975c5bfb, 0x3cf3842dbcdcec2d, 0xc25f886c244f659c,
  0x387ba1baa3f51e13, 0x6b1d3df367b70911, 0xc1ad7f51e57d44a7, 0x50298afbaf51f06c, 0x185962291669d684,
  0x9d5db8f51d484d7d, 0xd79d3bc237d1e0b3, 0x0b3d1871b1aaf1b1, 0xe1bd96cb98b84845, 0xce41541d51b044c8,
  0xce4db7e062777ec2, 0x379f054180efddf9, 0xe2ea72f29b19c9bf, 0xe31bc67440959486, 0x8c76f62aa8b4ac24,
  0x094b52fcadb33953, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0x3f2cb7cf059e4afd, 0x0000000000000001,
};

// usb1286_u1x8_uart0_lednop_pr      usb1287_u1x8_uart0_lednop         usb1287_u1x8_uart0_lednop_pr
static const uint64_t ur_usb1286_u1x8_uart0_lednop[] = {
  0xc6eeeeedcb59bb37, 0xfbbbbba58b0a245a, 0xe64d83a44ef1fd75, 0x5bc9ebf7775e4293, 0xc9ddb1ec842f363c,
  0xfff375cf829304f8, 0xc5bfb4c98dec0be4, 0x93d47278ef964875, 0x32636b5243892066, 0xfe8e414e62c05bdd,
  0x71cb1823af175e1a, 0xbf0313bbf61581c7, 0x077eefcf0202726d, 0x9d009bf379b48a0c, 0x88d21c354dea5392,
  0xa6194e31bc67440f, 0x66769c8ab7b15545, 0x661bbe1296a5f95b, 0xf1a2cf7f8827dc78, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00001f21a72843f3,
};

// usb1287_u1x8_uart0_lednop_pr_u4
static const uint64_t ur_usb1286_u1x8_uart0_lednop_pr_u4[] = {
  0x6eeeeedca890d3c3, 0xbbbbba58b0a78bac, 0xbc9cdd0e6933ddb7, 0x11ae6d6eee8c20bf, 0x4ee91f976f4e38b1,
  0xfe10a67cf59827c6, 0x16fed32637b0297d, 0xbf51ed63be5843d7, 0xd37465490e2481a0, 0x691a43398b016594,
  0x3ff6608ebd1f5e12, 0x40f2cf6ded0fb540, 0x36df8189ddfb3dc1, 0x0603bf77e7810139, 0xc94e804df9bcda45,
  0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0xadb33b4e455bd8aa, 0x3c330ddf094b52fc, 0x0eee3459eff102f6,
  0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f, 0x9296ce1c4e32c970,
  0x059e4afdcd0ccb0e, 0x00000007c9fd968f,
};

/*
 * usb1286_u1x8_uart0_lednop_pr_ee_u4 usb1287_u1x8_uart0_lednop_pr_ee
 * usb1287_u1x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_u1x8_uart0_lednop_pr_ee[] = {
  0xddddddb95121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0x85ec391c7bac1f67, 0xeb4e2313f68dd95b,
  0xa67f2b4c13e32775, 0xd32637b02287fe10, 0x54d56b4738d716fe, 0xf83660d31f51e566, 0xd68450ef8acc7fa8,
  0x4d7d185962291669, 0xcead2f222e359348, 0x3af3a77847c464d1, 0x28e811bdab1aad74, 0xb70decb65cc5c242,
  0x801071a2551b047e, 0x809c9b6fc0c4eefd, 0x6d228301dfbbf3c0, 0x7a94e4a74026fcde, 0x19d103e234870d53,
  0xec55516986538c6f, 0xa97e56d99da722ad, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xa9c782cf257ee686,
  0x0000000000013ae1,
};

/*
 * usb1286_u1x8_uart0_lednop_pr_ce_u4 usb1287_u1x8_uart0_lednop_pr_ce
 * usb1287_u1x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_u1x8_uart0_lednop_pr_ce[] = {
  0xddddddb95121be4a, 0xbbbbba589c4ad158, 0x75378ec669fbd867, 0x0cd90f1fbbbb7e73, 0x193ba528eb2e357c,
  0x5ff08533ea7a609f, 0xb8b7f69931bd8117, 0x79b9dfce037f5052, 0x489ecb3879e7085b, 0x0fea3c2784bf10d8,
  0xb3db84889c3e3776, 0xea3f493dcb7d7ac9, 0x9241fa4871240f59, 0xf09348d219cc580b, 0xaa01ffb33c75e8fa,
  0x7b8281e5adcf687d, 0x02726dbf0313bbf6, 0xb48a0c077eefcf02, 0xea53929d009bf379, 0x67440f88d21c354d,
  0xb15545a6194e31bc, 0x4bf2b6cced3863b7, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x6e3c16792bf73433,
  0x00000000001baeb4,
};

/*
 * usb1286_u1x8_uart0_lednop_pr_ee_ce_u4 usb1287_u1x8_uart0_lednop_pr_ee_ce
 * usb1287_u1x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u1x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb72a2436812, 0x777774b1c2fd3ab1, 0xe47e9c33d89db93b, 0xa8b3dde2f7731b27, 0x7ec2d61935ee0c71,
  0x4cfdadcc13e32777, 0x4c98dec0936ffc21, 0x81bfaa32975c5bfb, 0x79e7085b79b9dd8f, 0x84bf10d8489ecb38,
  0xe1c0006ddfea3c27, 0xac74f7cd9edc2444, 0x06b5fd4795f7529d, 0x814c561efd47c1b3, 0xc2cb1148b34eb422,
  0xeaedd220ea426be8, 0xaf3a77847c464d1c, 0x1d0237b56355e363, 0xe1bd96cb98b84845, 0x59871a2551b044c8,
  0x09c9b6fc0c4eefd8, 0xd228301dfbbf3c08, 0xa94e4a74026fcde6, 0x9d103e234870d537, 0xc55516986538c6f1,
  0x2fcadb33b4e18ede, 0x2f63c330ddf094b5, 0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0x84f059e4afdcd0cc, 0x000000000027e79f,
};

/*
 * usb1286_u1x8_uart0_dual_pr        usb1286_u1x8_uart0_dual_pr_u4     usb1287_u1x8_uart0_dual
 * usb1287_u1x8_uart0_dual_pr        usb1287_u1x8_uart0_dual_pr_u4
 */
static const uint64_t ur_usb1286_u1x8_uart0_dual[] = {
  0xbbbbbb3e890ddb75, 0xddddddf98abee6fb, 0xa01593b4b56c6add, 0xda29dbbbb646999d, 0xafaf793ad390ce77,
  0x8e6fcc13e32469dc, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x8befbfccb0940253, 0xa8e50f60a78e195b,
  0xd0a4890490390f37, 0xfe7ef822fca7cb8b, 0x3b606ee1f0a21895, 0xefe4be5f2e7e43e5, 0x197fc841690df2e2,
  0x3465150865a098a2, 0x212dbc06ffa039e1, 0xfff8acdcc161bcaf, 0xb8b7f69931bd8104, 0x43fa8f914ef9626a,
  0xe63d621a4871240c, 0xded1d7f398b01541, 0x07fecc11d78035e1, 0xe40f2cf6f9e13ea8, 0x27f157ceee2a4b14,
  0x013936df8189ddfb, 0xda450603bf77e781, 0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de,
  0x52fcadb33b4e455b, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x158f059e4afdcd0c, 0x00000000000524d0,
};

// usb1287_u1x8_uart0_dual_pr_ee
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ee[] = {
  0xbbbbbb3f5050cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0xda9d33dd29482900, 0x7599b6ecc995c4ab,
  0xc13e326c4dc9a3ea, 0xaad43236a291649c, 0x71030a18369181bb, 0xf99612804a774f89, 0xb0b5b3856ff17801,
  0x09207bb537a8f3b7, 0x45f94f9717a14912, 0xc3e144312bfcfdf0, 0xbe5cfc87c94900dd, 0x82d21be5c5dfc97c,
  0x219682564432ff90, 0x7ffd01cf0997dc54, 0xcc161bcaf212dbf5, 0x931bd816fbff8acd, 0x6ab5a3912b8b7f69,
  0x3660c14f51e56bee, 0x8450ef8aff77a8f8, 0x7d185962291669d6, 0x69731eb8a973484d, 0xa89bc39223dece75,
  0x1f47cf58d56ba1d7, 0xdecbe9662e121144, 0xd7c82d51b047eb70, 0x9fc55f3bb8a92804, 0x04e4db7e062777ec,
  0x6914180efddf9e04, 0xd4a7253a0137e6f3, 0xce881f11a4386a9b, 0x62aa8b4c329c6378, 0x4bf2b6cced39156f,
  0x138cf0cc377c252d, 0x37f07771a2cf7f88, 0xc69430a912b53ab3, 0x3f01f347d8cec389, 0xc4e32c970cf4c2b9,
  0xdcd0ccb0e9296ce1, 0x00ac8810f059e4af,
};

// usb1287_u1x8_uart0_dual_pr_ee_u4
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ee_u4[] = {
  0xfbbbbbbb3e890c86, 0x7777777795b4fbe6, 0x9dacfb65685b535f, 0xb59f6d4e99eeb336, 0x7763765a0f31547e,
  0x138f9827c64a3bb9, 0x3037755a8646d452, 0xe9f12e20614306d2, 0x5ed6ff32c250094e, 0x3eed6c136ce13b7c,
  0x52448248198fcdea, 0x3f7c117e53e5c5e8, 0x803770f8510c4aff, 0xf25f2f973f21f24a, 0xbfe420b486f97177,
  0xf7150865a152910c, 0x5b7275ff4073c268, 0xf159b982c3795e42, 0x6fed32637b0295df, 0x56654d56b47a5571,
  0x7a8f83660fe4f51e, 0xb34eb422877c5722, 0x9a426be8c2cb1148, 0x9a39d5a5cf55c20b, 0xba1d7b58af088a8c,
  0x4228afe8ded58d56, 0xfeb70decb8f8c5c2, 0xe2af9ddc5495703e, 0x726dbf0313bbf64f, 0x9bcc077eefcf0202,
  0xd4e48a5abce804df, 0x4085a7017be5217a, 0x3a718de33a204751, 0x0ddf094b52fcadb3, 0x3459eff102f63c33,
  0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x00002b22680f059e,
};

// usb1287_u1x8_uart0_dual_pr_ce
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ce[] = {
  0xdddddd9fd82432db, 0xddddddec8227f37d, 0xeeb610f508749bdd, 0xbd8beeee9ba01555, 0xc115658219d577a6,
  0x2a89827c64e4eb91, 0x81bbaad43236a290, 0x4f8971030a183691, 0xf5bff99612804a77, 0xd36f613b670b5be2,
  0x92241240c66e6f51, 0xfbe08bf29f2e2f42, 0x81bb87c2886257f9, 0x25f2f973f21f2e8f, 0xfe420b486f97177f,
  0x9150865a1fb910cb, 0xdb9c1ffa039e133f, 0x8acdcc161bcaf212, 0x7f69931bd81656ff, 0x9d943037f5ea2b8b,
  0xecb3879e7085b79b, 0xa3c2784bf10d8489, 0xb84889c3b5da1f7e, 0x6fcf72df5d4b9b3d, 0xf490e2481d4bf51c,
  0x68ebf9cc580a803d, 0xff6678ebc01af0ef, 0x81e5addcf09f5403, 0xfe2af9ddc549629c, 0x2726dbf0313bbf64,
  0x48a0c077eefcf020, 0xa53929d009bf379b, 0x7440f88d21c354de, 0x15545a6194e31bc6, 0xbf2b6cced3863b7b,
  0x38cf0cc377c252d4, 0x7f07771a2cf7f881, 0x69430a912b53ab33, 0xf01f347d8cec389c, 0x4e32c970cf4c2b93,
  0xcd0ccb0e9296ce1c, 0x0692190f059e4afd,
};

// usb1287_u1x8_uart0_dual_pr_ce_u4
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ce_u4[] = {
  0xbbbbbbb3e890cf68, 0xbbbbbbbd90ebbe6f, 0xad8d5f6b513f42db, 0xbdd6ec5f7774c894, 0xdc9a3ea75ee1bb2a,
  0x1481544c13e3260d, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0xa38be9afccb09402, 0x6f51ec7f61ff0e01,
  0x2f4292241240e87e, 0x57f9fbe08bf29f2e, 0x975981bb87c28862, 0x8bbf92f97cb9f90f, 0x8865ff2105a437cb,
  0x09b6fc54219683f8, 0x79096dce0ffd01cf, 0x2b7fc566e60b0de5, 0xd5c5bfb4c98dec0b, 0xb79b9dd4a037f597,
  0x8489ecb3879e7085, 0x377ea3c2784bf10d, 0x9b3db84889c3a1f6, 0xf51ee1cf72df5871, 0x10f49490e2481871,
  0xe1afe8ded1cc580b, 0x38ee39633c75e45d, 0x9fc55f3bb8a928e8, 0x04e4db7e062777ec, 0x2dd4180efddf9e04,
  0xbd4a7253a0137e6f, 0x85a5aff11a4386a9, 0xe31bc67440db8c60, 0xbe1296a5f95b6674, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x01a489179e0b3c95,
};

// usb1287_u1x8_uart0_dual_pr_ee_ce
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ee_ce[] = {
  0xfbbbbbbb3f50cf68, 0x77777777b53b41e6, 0x7c8435ade3fee66f, 0xd71a702f767116a0, 0xa74704dd97d769e4,
  0xcc13e325b15c9a3e, 0x755a8646d45208f5, 0x2e20614306d23037, 0xff32c250094ee9f1, 0xec2618e0cf9c5fac,
  0x41240c524dea39ad, 0x08bf29f2e2f42922, 0xb87c2886257f9fbe, 0x5f2e7e43e414881b, 0x41690df2e2efe4be,
  0x10cb425722197fc8, 0x6bfe80e784c50e2a, 0x730586f2bc84b6fa, 0x64c6f60416bfe2b3, 0x577d51feeae2dfda,
  0x79c216de6e767040, 0xb84889c3b3e759fe, 0xa94ed7e2310cd02b, 0xf06cc1a63ea3cacc, 0xad08a0531598ff51,
  0x9afa30b2c4522cd3, 0xe90e7576edbe3a90, 0xc6c75ed62bc2f7a3, 0x21145c34752ec6ab, 0xe32386f65c7c62e1,
  0xc55f3bb8a92e316b, 0xe4db7e062777ec9f, 0x14180efddf9e0404, 0xa7253a0137e6f369, 0x881f11a4386a9bd4,
  0xaa8b4c329c6378ce, 0xe56d99da70c76f62, 0x71e1986ef84a5a97, 0xc1ddc68b3dfe209f, 0x19e985727eeaccdf,
  0xd252d9c389c6592e, 0xe0b3c95fb9a19961, 0x00000000026098d9,
};

// usb1287_u1x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_u1x8_uart0_dual_pr_ee_ce_u4[] = {
  0xeeeecfa2a1fe022f, 0xdddde6c2e2f9beee, 0xf937af05ad1fdddd, 0x80addcfbb9dd7be3, 0xb0001e1b90da7971,
  0x1aae5fda3e3d7cc5, 0x6a2917aa2609f193, 0x8369181bbaad4323, 0x012774f8971030a1, 0x37f8baa47f32c253,
  0x6f51fa3fb0524387, 0x2f4292241240e92a, 0x57f9fbe08bf29f2e, 0x475f01bb87c28862, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x989d4542196874fa, 0x212dbde1ffd01cf0, 0xfff0ab14c161bcaf, 0x716fed32637b02ad,
  0x33bd3406fea8e575, 0xf659c3cf3842dfc0, 0x51e13c25f886c244, 0x70911387f39753bf, 0xfe4a76b1d4dd367b,
  0x8f83660d7cf51e56, 0x9d68450298aea57a, 0x84d7d18596229166, 0x1ef673abb718f1d4, 0x578d8ebd44de1c91,
  0xe1211441f47cf58d, 0x8226470decbe9662, 0xc5494b36be416a8d, 0x313bbf64fe2af9dd, 0xeefcf0202726dbf0,
  0x09bf379b48a0c077, 0x21c354dea53929d0, 0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce,
  0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a,
  0x389c6592e19e985f, 0xfb9a19961d252d9c, 0x1001b4d62d3f3c95,
};

// usb1287_u1x8_uart0_dual_ee_hw
static const uint64_t ur_usb1286_u1x8_uart0_dual_ee_hw[] = {
  0xeeeeeeecfa28d086, 0xddddddde56d35f9b, 0x0373a356e1f683ed, 0xaf6a74cf74a520a4, 0x763766f317265712,
  0xc939827c64d89b97, 0x037755a8646d4522, 0x9f12e20614306d23, 0xf003f32c253a0cee, 0xe76f616b670adfe2,
  0x92241240f76a6f51, 0xfbe08bf29f2e2f42, 0x01bb87c2886257f9, 0x92f97cb9f90f9292, 0xff2105a437cb8bbf,
  0xb8a8432d04ac8865, 0xb7eafffa039e132f, 0xc65a982c3795e425, 0xbfb4c98dec0b7dff, 0xb5f7355ad1c895c5,
  0xd47c1b3060a7a8f2, 0x34eb422877c57fbb, 0xa426be8c2cb1148b, 0x673ab4b98f5c54b9, 0xd0ebd44de1c911ef,
  0x08a20fa3e7ac6ab5, 0xf5b86f65f4b31709, 0x94026be416a8d823, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313,
  0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c, 0x8ab7b15545a6194e, 0x1296a5f95b66769c,
  0x44ad417678661bbe, 0x627ff787bde50c2a, 0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98,
  0x95fb9a19961d252d, 0x0000aed48bb5453c,
};

/*
 * usb1286_u1x8_uart0_dual_ee_ce_u4_hw usb1287_u1x8_uart0_dual_ee_ce_hw
 * usb1287_u1x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_u1x8_uart0_dual_ee_ce_hw[] = {
  0xeeeeecfa28d1ac4f, 0xddddde6c2e2f9bee, 0x3f937af05ad1fddd, 0x180addcfbb9dd7be, 0xed06a1e1b90da797,
  0xe326355ca69d55c7, 0x8646d4522f544c13, 0x614306d23037755a, 0xc253a0cee9f12e20, 0x438737f8baa47f32,
  0xe92a6f51fa3fb052, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xe43e475f01bb87c2, 0xdf2e2efe4be5f2e7,
  0x74fa2197fc841690, 0x1cf0989d45421968, 0xbcaf212dbde1ffd0, 0xc0ab7ffe32d4c161, 0x395d5c5bfb4c98de,
  0x5bf21cef4d01bfaa, 0xd8489ecb3879e708, 0x7547ea3c2784bf10, 0xa6cf6e122270f743, 0xa3cadfc94ed63a9b,
  0xd4af51f06cc1af9e, 0x522cd3ad08a05315, 0x1e3a909afa30b2c4, 0xc39223dece7576e3, 0x9eb1aaf1b1d7a89b,
  0xd2cc5c2422883e8f, 0x2d51b044c8e1bd97, 0x5f3bb8a92966d7c8, 0xdb7e062777ec9fc5, 0x180efddf9e0404e4,
  0x253a0137e6f36914, 0x1f11a4386a9bd4a7, 0x8b4c329c6378ce88, 0x6d99da70c76f62aa, 0xe1986ef84a5a97e5,
  0xf79430a912b505d9, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0x3c9d14f257ee6866, 0x000000000001d752,
};

// usb1286_u1x12_uart0_noled_pr      usb1287_u1x12_uart0_noled         usb1287_u1x12_uart0_noled_pr
static const uint64_t ur_usb1286_u1x12_uart0_noled[] = {
  0x7777624eed66ef3a, 0xddddd2c39cb9bd63, 0x0736ae2746bef1fd, 0x67e1fdddd5c81107, 0x77417a0998b205ef,
  0xfcdd73f374c13e32, 0xda9fddba7c12887f, 0xef964870da3749fe, 0x4389206693d47e78, 0x62c05bdd30f9d052,
  0xd78baf0d4b478cce, 0xf615920bb8e58c11, 0xefce726dbf0313bb, 0x4df9bcf82a0c077e, 0xa43717539794d8ce,
  0x612718de33a204ac, 0xe54e8ab7b15545a5, 0x377c252d4bf2b6cc, 0x459eff104fb8f0cc, 0xe4fdd598f2068fe3,
  0x87138cb25c33d30a, 0xbf734332c3a4a5b3, 0x001f218dd087e792,
};

// usb1287_u1x12_uart0_noled_pr_u4
static const uint64_t ur_usb1286_u1x12_uart0_noled_pr_u4[] = {
  0x777624eea2435a91, 0xdddd2c39c8bdd637, 0x9fbbcd07466933dd, 0xad2fcdddda4fea4d, 0xeeb45e9d8ee5dbaf,
  0xe10a67f4a9827c64, 0x6d4feedd3e09029f, 0x77cb08786d1ba4ff, 0x21c4903417ea3f40, 0x31602cb29be4dee9,
  0xebd1f5e1c168f587, 0x61c6895403ff6608, 0x4eefd89abe07967b, 0x1dfbbf39c9b6fc0c, 0x633937e6f3e0a830,
  0x12b290dc5d4e5e53, 0x1695849c6378ce88, 0xdb33953a2adec555, 0xc330ddf094b52fca, 0xeee3459eff102f63,
  0x6152256a75666fe0, 0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c,
  0x59e4afdcd0ccb0e9, 0x0000007c9d1e4cf0,
};

/*
 * usb1286_u1x12_uart0_noled_pr_ee_u4 usb1287_u1x12_uart0_noled_pr_ee
 * usb1287_u1x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0x31d9c489dde0f426, 0xb257df4e7162f363,
  0x4cfe049827c64eeb, 0xfbb74f82452ffc21, 0x39c61b46e93fdb53, 0x98fa8f2b9126ab5a, 0xbe2b32bd47c1b306,
  0x6588a459a75a1143, 0xeab8d64d2135f461, 0x846fa3c1673ab4b9, 0x71b1aad743af3a77, 0xcb98b848450b3d18,
  0x3aa3608fd6e1bd96, 0xc0c4eefd801482a8, 0x8301dfbbf39c9b6f, 0xe53633937e6f3e0a, 0xe8812b290dc5d4e5,
  0x5551695849c6378c, 0xfcadb33953a2adec, 0xf63c330ddf094b52, 0xfe0eee3459eff102, 0xf286152256a75666,
  0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0xcf059e4afdcd0ccb,
  0x000000000275f8d0,
};

/*
 * usb1286_u1x12_uart0_noled_pr_ce_u4 usb1287_u1x12_uart0_noled_pr_ce
 * usb1287_u1x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_noled_pr_ce[] = {
  0xbbbb1277512198e2, 0x77774b11a0242b1b, 0x4da9fa5d377a7ef7, 0x412a1eeeeb07d9f6, 0xee94e1ec694eb15b,
  0xc214cfb059827c64, 0xb53fbb74f82470ff, 0x37f50521b46e93fd, 0x9e7085b79b9dfee0, 0x4bf10d8489ecb387,
  0x70f000527ea3c278, 0x2df5eb26cf6e1222, 0xc4903d67a8e4f4f7, 0xc398b01531b5a921, 0x3c75e8faf0e0b47a,
  0xd6e0e344aa01ffb3, 0x8189ddfb1357c0f2, 0x0603bf77e73936df, 0xca6c6726fcde7c15, 0xd10256521b8ba9cb,
  0xaaa2d2b0938c6f19, 0xf2b6cce54e31dbd8, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b,
  0xfe32fcc4ffef0f7b, 0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x3c16792bf734332c,
  0x000000000dd7bc93,
};

/*
 * usb1286_u1x12_uart0_noled_pr_ee_ce_u4 usb1287_u1x12_uart0_noled_pr_ee_ce
 * usb1287_u1x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_noled_pr_ee_ce[] = {
  0xbbbb127751219f68, 0x77774b0876b06b1b, 0xcd719fbd477b13b7, 0x20d0435f7417e154, 0xaf44f69c168372ec,
  0x99f7f9304f8c9dd2, 0xf76e9f048347f842, 0xca5c368dd27fb6a7, 0xb6f373b0b406fea8, 0xb0913d9670f3ce10,
  0xea8fd4784f097e21, 0xcd9edc2444e1ee86, 0x4795f5129dac74f7, 0xeebd47c1b306b5fd, 0xa459a75a1140a62b,
  0xd4752135f4616588, 0x08df4782ce7576e3, 0xc6c6abc6c75e74ef, 0x2e62e121142cf461, 0x7546c1132386f65b,
  0x8189ddfb0b390550, 0x0603bf77e73936df, 0xca6c6726fcde7c15, 0xd10256521b8ba9cb, 0xaaa2d2b0938c6f19,
  0xf2b6cce54e31dbd8, 0xd8f0cc377c252d4b, 0xf83bb8d167bfc40b, 0xca1854895a9d599b, 0xfe32fcc4ffef0f7b,
  0x3f7ec3347d8cec38, 0xc33d30be347a2ff0, 0x3a4a5b387138cb25, 0x3c16792bf734332c, 0x00000000027e25b4,
};

// usb1286_u1x12_uart0_lednop_pr     usb1287_u1x12_uart0_lednop        usb1287_u1x12_uart0_lednop_pr
static const uint64_t ur_usb1286_u1x12_uart0_lednop[] = {
  0x7777624eed66ef3a, 0xeeeee961ce46d563, 0x0d7ede17a35f78fe, 0xdecff13bbbab9022, 0x64ee82f41331640b,
  0xfff375cf84f9827c, 0xfb6a7f76e9f04900, 0xe3be5921c368dd27, 0x490e24819a4f51c9, 0x731602dee987c59f,
  0x1d78baf0a434720a, 0xdfb0acc67b8e58c1, 0x781013936df8189d, 0xf9bcb750603bf77e, 0x1aa6f529c94e804d,
  0x45021696bfc4690e, 0xcce9c6378ce881b7, 0xcc377c252d4bf2b6, 0xe3459eff104fb8f0, 0x0ae4fdd598f2068f,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00001f218dd087e7,
};

// usb1287_u1x12_uart0_lednop_pr_u4
static const uint64_t ur_usb1286_u1x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121bf82, 0xeeee961ce435eb1b, 0xef67fafd1b7b006e, 0xaff13bbbb49fd485, 0x7757189153706c63,
  0xe10a67c27cc13e32, 0x6d4feedd3e09201f, 0x77cb08786d1ba4ff, 0x21c4903417ea3dac, 0x31602cb29a6e8ca9,
  0xd7a3ebc24d234867, 0xbda1f6a807fecc11, 0x3bbf67b8281e59ed, 0xfcf0202726dbf031, 0xbf379b48a0c077ee,
  0xc354dea53929d009, 0xe31bc67440f88d21, 0xc8ab7b15545a6194, 0xe1296a5f95b66769, 0x3dfe205ec78661bb,
  0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3, 0x89c6592e19e985f1,
  0xb9a19961d252d9c3, 0xf935c5f1e0b3c95f,
};

/*
 * usb1286_u1x12_uart0_lednop_pr_ee_u4 usb1287_u1x12_uart0_lednop_pr_ee
 * usb1287_u1x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0xc7ece244eef07a11, 0x0db2bc8a4c8678be,
  0x99fdf7304f8c9ddb, 0xf76e9f0494f7f842, 0x738c368dd27fb6a7, 0x31f51e56654d56b4, 0xf8acc7fa8f83660d,
  0x962291669d68450e, 0x22e3593484d7d185, 0x847c464d1cead2f2, 0xdab1aad743af3a77, 0x65cc5c24228e811b,
  0x2551b047eb70decb, 0xfc0c4eefd801071a, 0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a,
  0x986538c6f19d103e, 0x99da722adec55516, 0x986ef84a5a97e56d, 0x71a2cf7f8817b1e1, 0xa912b53ab337f077,
  0xf989ffde1ef79430, 0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494,
  0x000013ae7eb6782c,
};

/*
 * usb1286_u1x12_uart0_lednop_pr_ce_u4 usb1287_u1x12_uart0_lednop_pr_ce
 * usb1287_u1x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b7d6, 0x77774b11a0642b1b, 0x42c9edbd697a34f7, 0x2b70bf777583ecf2, 0xeebd69c4627ed1bb,
  0xc214cfe569827c64, 0xb53fbb74f82450ff, 0x37f50521b46e93fd, 0x9e7085b79b9dfce0, 0x4bf10d8489ecb387,
  0xc3e37760fea3c278, 0xb7d7ac9b3db84889, 0x1240f59ea3f493dc, 0x9cc580b9241fa487, 0xc75e8faf09348d21,
  0xdcf687daa01ffb33, 0x313bbf67b8281e5a, 0xeefcf0202726dbf0, 0x09bf379b48a0c077, 0x21c354dea53929d0,
  0x94e31bc67440f88d, 0xd3863b7b15545a61, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0x95a9d599bf83bb8d,
  0x4ffef0f7bca18548, 0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3,
  0x00dd70d4e3c16792,
};

/*
 * usb1286_u1x12_uart0_lednop_pr_ee_ce_u4 usb1287_u1x12_uart0_lednop_pr_ee_ce
 * usb1287_u1x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2435f41, 0xeeee9610ee38d637, 0x0d331a7a6476c4ee, 0x8ba086bee82fc296, 0xbfbb6c55c51dc1b6,
  0xcfd6fcc13e327768, 0x76e9f04a76ffc214, 0xa5c368dd27fb6a7f, 0xde6e7763e06fea8c, 0x1227b2ce1e79c216,
  0x77fa8f09e12fc436, 0x67b709113870001b, 0xe57dd4a76b1d3df3, 0xbf51f06cc1ad7f51, 0x2cd3ad08a0531587,
  0x3a909afa30b2c452, 0x1f1193473abb7488, 0x58d578d8ebce9de1, 0xe62e121147408ded, 0x546c1132386f65b2,
  0x0313bbf61661c689, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88,
  0xed3863b7b15545a6, 0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x895a9d599bf83bb8, 0xc4ffef0f7bca1854,
  0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30, 0x2bf734332c3a4a5b, 0x0004fc30893c1679,
};

/*
 * usb1286_u1x12_uart0_dual_pr       usb1286_u1x12_uart0_dual_pr_u4    usb1287_u1x12_uart0_dual
 * usb1287_u1x12_uart0_dual_pr       usb1287_u1x12_uart0_dual_pr_u4
 */
static const uint64_t ur_usb1286_u1x12_uart0_dual[] = {
  0x77684f174486c541, 0x7777782ffb5cdf77, 0x05589d67da58b777, 0x1d96eee91fe4a759, 0x11fc355ea3108693,
  0x48cc13e325ebdcac, 0x0ddd56a191b51485, 0x7c4b881850c1b48c, 0xe9bfccb0940253ba, 0xea7b61958e1bef8b,
  0xa489049032eb37a8, 0x7ef822fca7cb8bd0, 0x606ee1f0a21895fe, 0xe4be5f2e7e43e56b, 0x7fc841690df2e2ef,
  0xf9150865a1f22219, 0x2dbd4affa039e130, 0xf8acdcc161bcaf21, 0xb6a7f76e9f04bbaf, 0x9df2c4d4368dd27f,
  0x90e2481887f51f22, 0x31602a83cc7ac434, 0xaf006bc3bda3afe7, 0xf3c27d500ffd9823, 0xdc549629c81e59ed,
  0x0313bbf64fe2af9d, 0x7eefcf0202726dbf, 0x009bf379b48a0c07, 0xd21c354dea53929d, 0x194e31bc67440f88,
  0x769c8ab7b15545a6, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x000524d0719e0b3c,
};

// usb1287_u1x12_uart0_dual_pr_ee
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd435032, 0xbbbbbbf17d71e6fb, 0x28f962d70bdf71bb, 0x77a7c9775eb0f60b, 0x8ff5efbb09bd9b1d,
  0x609f192ccee557b6, 0xd56a191b51485d16, 0xb881850c1b48c0dd, 0xfccb0940253ba7c4, 0xec2b7ce10038b8a4,
  0x82481a6dcdea3dad, 0x117e53e5c5e85244, 0x70f8510c4aff3f7c, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xe60b0de579096de8, 0x76e9f04b4dffc566, 0x224368dd27fb6a7f,
  0x9ea3cad7dcd56b47, 0x15feef51f06cc182, 0xc4522cd3ad08a1df, 0x7152e6909afa30b2, 0x2447bd9cead2e63d,
  0xb1aad743af513787, 0xcc5c2422883e8f9e, 0xa3608fd6e1bd97d2, 0x7771525009af905a, 0xfc0c4eefd93f8abe,
  0x1dfbbf3c0809c9b6, 0x74026fcde6d22830, 0x234870d537a94e4a, 0x986538c6f19d103e, 0x99da722adec55516,
  0x986ef84a5a97e56d, 0xc68b3dfe209f71e1, 0x85727eeaccdfc1dd, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x000032142b51e0b3,
};

// usb1287_u1x12_uart0_dual_pr_ee_u4
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0x9f25dd7ac3d82ca3, 0xf5ecaf26f66c75de,
  0x27c64b33b973159b, 0x5a8646d452174598, 0x20614306d2303775, 0x6584a6024ee9f12e, 0x15be70801c5c527e,
  0x240d36e6f51ed6f6, 0xbf29f2e2f4292241, 0x7c2886257f9fbe08, 0x973f21f2e6f81bb8, 0xb486f97177f25f2f,
  0x65a0e9510cbfe420, 0xff4073c2628b1508, 0x0586f2bc84b6f43f, 0x74f825a6ffc2ac53, 0x21b46e93fdb53fbb,
  0x51e56bee6ab5a391, 0xff77a8f83660c14f, 0x291669d68450ef8a, 0xa973484d7d185962, 0x23dece7569731eb8,
  0xd56ba1d7a89bc392, 0x2e1211441f47cf58, 0xb047eb70decbe966, 0xb8a92804d7c82d51, 0x062777ec9fc55f3b,
  0xfddf9e0404e4db7e, 0x0137e6f36914180e, 0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xed39156f62aa8b4c,
  0x377c252d4bf2b6cc, 0xd167bfc40bd8f0cc, 0x4ad4eaccdfc1a3f8, 0x27ff787bde50c2a4, 0xa3ec6761c7f197e6,
  0xf1a3d17f81fbf619, 0xc389c6592e19e985, 0x5fb9a19961d252d9, 0x00ac8b4d62d3f3c9,
};

// usb1287_u1x12_uart0_dual_pr_ce
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ce[] = {
  0xdda13c5f6090cf68, 0xbbbbcada6bf37ddd, 0x746adc3ed07dbbbb, 0x57eeee94a414806e, 0xd4eb336dd9932b89,
  0x39827c64d89b9347, 0x7755a8646d4522c9, 0x12e20614306d2303, 0x03f32c250094ee9f, 0x6f616b670adfe2f0,
  0x241240f76a6f51e7, 0xe08bf29f2e2f4292, 0xbb87c2886257f9fb, 0xf97cb9f90f929201, 0x2105a437cb8bbf92,
  0xa8432d04ac8865ff, 0xeafffa039e132fb8, 0x9b982c3795e425b7, 0xfddba7c12df7ff15, 0xaf510da3749feda9,
  0x842dbcdceca181bf, 0x886c244f659c3cf3, 0xaed0fbf51e13c25f, 0xea5cd9edc2444e1d, 0xea5fa8e37e7b96fa,
  0xc05401efa4871240, 0x00d7877b475fce62, 0x84faa01ffb33c75e, 0x2a4b14e40f2d6ee7, 0x89ddfb27f157ceee,
  0x77e781013936df81, 0x4df9bcda450603bf, 0x0e1aa6f529c94e80, 0xa718de33a207c469, 0x9c31dbd8aaa2d30c,
  0xbe1296a5f95b6676, 0x67bfc409c678661b, 0x5a9d599bf83bb8d1, 0x6761c4e34a185489, 0x7a615c9f80f9a3ec,
  0x94b670e271964b86, 0x2cf257ee68665874, 0x00000000d2440878,
};

// usb1287_u1x12_uart0_dual_pr_ce_u4
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ce_u4[] = {
  0xeeeed09e2e890c86, 0xdddddde56d3ef9be, 0x6b3ed95a16d4d7dd, 0x7eb59f7bbbb02deb, 0xb97763765a0f3154,
  0x52138f9827c64a33, 0xd23037755a8646d4, 0x4ee9f12e20614306, 0xae2eff3f32c25009, 0xdea3ffcd80683869,
  0x5e8524482481f4fc, 0xaff3f7c117e53e5c, 0x24a803770f8510c4, 0x177f25f2f973f21f, 0x10cbfe420b486f97,
  0x260f7150865a0bed, 0xe425b7275ff4073c, 0x5dff159b982c3795, 0x9feda9fddba7c129, 0xfb037f597d0da374,
  0x3879e7085b79b9da, 0x2784bf10d8489ecb, 0x22270f000527ea3c, 0x3dcb7d61c66cf6e1, 0x21c49030e3ea3f49,
  0xa43398b01531e829, 0xc678ebc8bbc221d1, 0x9ddc549475acdc72, 0xbf0313bbf64fe2af, 0x077eefcf0202726d,
  0xbe74026fcde0e4ac, 0xedd20a7d53b8b29c, 0xd102b83182169b15, 0x97e56d99d38c6f19, 0x17b1e1986ef84a5a,
  0x37f07771a2cf7f88, 0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f,
  0x587494b670e27196, 0x40782cf257ee6866, 0x0000000000034913,
};

// usb1287_u1x12_uart0_dual_pr_ee_ce
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ee_ce[] = {
  0x7777684f17a86f97, 0x7777777bd3c99cdf, 0x6b8d57ed826f1ff7, 0x26deb86eddd94cfb, 0x233a96453a19cc89,
  0x0f304f8c93b57278, 0x7755a8646d4521e2, 0x12e20614306d2303, 0x0ff32c250094ee9f, 0x36c19f0e1d67c5d9,
  0x482481febcdea3cc, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7, 0xcbe5cfc87cb90703, 0x082d21be5c5dfc97,
  0x4219685ba4432ff9, 0x007fd01cf0994f45, 0x6e60b0de579096de, 0xf76e9f048347fc56, 0xff74368dd27fb6a7,
  0x6f373bb7402bbea8, 0xe1ef0f96bf3ce10b, 0xf118866815dc2444, 0xd31f51e56654a76b, 0x14c57227a8f83660,
  0x2cb1148b34eb4228, 0x5db8278ea426be8c, 0x6b15e183e8fa439d, 0x5a3a976355e363af, 0x7b2e3e3170908a30,
  0xee2a4b8c438991c3, 0x8189ddfb27f157ce, 0xbf77e781013936df, 0xe804df9bcb750603, 0x4690e1aa6f529c94,
  0x1036e31821696bfc, 0x7e56d99d38c6f19d, 0xf71e1986ef84a5a9, 0xfc1ddc68b3dfe209, 0xe19e985727eeaccd,
  0x1d252d9c389c6592, 0x9e0b3c95fb9a1996, 0x0000000002608dc7,
};

// usb1287_u1x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_u1x12_uart0_dual_pr_ee_ce_u4[] = {
  0xda13c5d150ffd8be, 0x777833721f37dddd, 0x1f6f766eb2b77777, 0xadddfb51fabdfd5c, 0x4e1c128c4670c4a0,
  0x2b9506accd1f5f65, 0x148a46e9827c6496, 0xb48c0ddd56a191b5, 0x93ba7c4b881850c1, 0x3c5fbadf99612980,
  0xa8ea49b0e6f9c152, 0xa1491209206ce537, 0xfcfdf045f94f9717, 0xaa00ddc3e144312b, 0xbf92f97cb9f90f90,
  0x65ff2105a437cb8b, 0x4b5150865a163e88, 0x4b6fcb5ff4073c26, 0xfc2ac530586f2bc8, 0xdb53fbb74f825003,
  0x7f5472ba1b46e93f, 0x9c216fe019de9a03, 0xfc4361227b2ce1e7, 0xf9cba9dfa8f09e12, 0xea6e9b3db84889c3,
  0xbe7a8f2b7f253b58, 0x4c5752bd47c1b306, 0xcb1148b34eb42281, 0xdb8c78ea426be8c2, 0xa26f0e488f7b39d5,
  0xfa3e7ac6abc6c75e, 0xf65f4b3170908a20, 0x5f20b546c1132386, 0x7f157ceee2a4a59b, 0x13936df8189ddfb2,
  0xa450603bf77e7810, 0x529c94e804df9bcd, 0x3a207c4690e1aa6f, 0x8aaa2d30ca718de3, 0x5f95b66769c31dbd,
  0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20, 0xf286152256a75666, 0x3f8cbf313ffbc3de, 0x0fdfb0cd1f633b0e,
  0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x969f9e4afdcd0ccb, 0x000000000800a9c5,
};

// usb1287_u1x12_uart0_dual_ee_hw
static const uint64_t ur_usb1286_u1x12_uart0_dual_ee_hw[] = {
  0xbb4278ba28d15aa4, 0xbbbbf17d71e6fbbb, 0xf962d70bdf71bbbb, 0xa7c9775eb0f60b28, 0x91dfaf89bd9b1d77,
  0x04f8c966772ada1a, 0xab50c8da8a42e8b3, 0xc40c2860da4606ee, 0xe6584a7419dd3e25, 0x615be70801c5c527,
  0x1240d36e6f51ed6f, 0x8bf29f2e2f429224, 0x87c2886257f9fbe0, 0xf973f21f2e6f81bb, 0x0b486f97177f25f2,
  0x865a0e9510cbfe42, 0xfff4073c2628b150, 0x30586f2bc84b6f43, 0xedd3e0969bff8cb5, 0x4486d1ba4ff6d4fe,
  0x3d4795afb9aad68e, 0x2bfddea3e0d98305, 0x88a459a75a1143be, 0xe2a5cd2135f46165, 0x488f7b39d5a5cc7a,
  0x6355ae875ea26f0e, 0x98b84845107d1f3d, 0x46c11fadc37b2fa5, 0xeee2a4a0135f20b5, 0xf8189ddfb27f157c,
  0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94, 0x30ca718de33a207c, 0x33b4e455bd8aaa2d,
  0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def, 0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0,
  0xe9296ce1c4e32c97, 0xaa29e4afdcd0ccb0, 0x0000000002bb4f65,
};

/*
 * usb1286_u1x12_uart0_dual_ee_ce_u4_hw usb1287_u1x12_uart0_dual_ee_ce_hw
 * usb1287_u1x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_u1x12_uart0_dual_ee_ce_hw[] = {
  0xdda13c5d14682541, 0x7777833721f37ddd, 0xc1f6f766eb2b7777, 0x0adddfb51fabdfd5, 0x69f1c128c4670c4a,
  0xc92c572a9c6196b7, 0x236a29148dd304f8, 0xa18369181bbaad43, 0x29d06774f8971030, 0xc1523c5fbadf9961,
  0xe537a8ea49b0e6f9, 0x9717a1491209206c, 0x312bfcfdf045f94f, 0x0f90aa00ddc3e144, 0xcb8bbf92f97cb9f9,
  0x3e8865ff2105a437, 0x3c264b5150865a16, 0x2bc84b6fcb5ff407, 0x9400ff8cb530586f, 0xba4ff6d4feedd3e0,
  0xa680dfd51cae86d1, 0x9c3cf3842df90e77, 0x13c25f886c244f65, 0x11387ba1baa3f51e, 0xa76b1d4dd367b709,
  0x3660d7cf51e56fe4, 0x8450298aea57a8f8, 0x7d185962291669d6, 0x673abb718f1d484d, 0xd8ebd44de1c911ef,
  0x11441f47cf58d578, 0x6470decbe9662e12, 0x94b36be416a8d822, 0xbbf64fe2af9ddc54, 0xcf0202726dbf0313,
  0xf379b48a0c077eef, 0x354dea53929d009b, 0x31bc67440f88d21c, 0x63b7b15545a6194e, 0x252d4bf2b6cced38,
  0x895a82ecf0cc377c, 0xc4ffef0f7bca1854, 0x347d8cec38fe32fc, 0xbe347a2ff03f7ec3, 0x387138cb25c33d30,
  0x2bf734332c3a4a5b, 0x0000eba8d1ba8a79,
};

// usb1286_u2x8_uart0_noled_pr       usb1287_u2x8_uart0_noled          usb1287_u2x8_uart0_noled_pr
static const uint64_t ur_usb1286_u2x8_uart0_noled[] = {
  0x1bbbbbb12d66ef3a, 0xeeeeee961ce5cdeb, 0x3839b5713a35f78f, 0x7b3f0feeeeae4088, 0x93ba0bd04cc5902f,
  0xffe6eb9f9ba609f1, 0xa3949bedd3e09443, 0x3c77cb24386d1bda, 0x2921c4903349ea3f, 0x6731602dee987ce8,
  0x08ebc5d786a5a3c6, 0xddfb0ac905dc72c6, 0xbf77e73936df8189, 0x6726fcde7c150603, 0x56521b8ba9cbca6c,
  0xd2b0938c6f19d102, 0x6672a7455bd8aaa2, 0x661bbe1296a5f95b, 0xf1a2cf7f8827dc78, 0x85727eeacc790347,
  0xd9c389c6592e19e9, 0xc95fb9a19961d252, 0x00000f90c6e843f3,
};

// usb1287_u2x8_uart0_noled_pr_u4
static const uint64_t ur_usb1286_u2x8_uart0_noled_pr_u4[] = {
  0xbbbbbb12a2435a91, 0xeeeee961ce45eeb1, 0x6cfdde683a33499e, 0x7d697e6eeed27f52, 0x2775a2f4ec772edd,
  0xff08533fa54c13e3, 0x51ca4df6e9f04814, 0xa03be5843c368ded, 0x7490e2481a0bf51f, 0xc398b016594df26f,
  0x0475e8faf0e0b47a, 0x3db0e344aa01ffb3, 0x062777ec4d5f03cb, 0x180efddf9ce4db7e, 0x29b19c9bf379f054,
  0x440959486e2ea72f, 0xaa8b4ac24e31bc67, 0xe56d99ca9d156f62, 0xb1e1986ef84a5a97, 0xf07771a2cf7f8817,
  0x9430a912b53ab337, 0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b,
  0x782cf257ee686658, 0x000000003e4e8f26,
};

// usb1286_u2x8_uart0_noled_pr_ee_u4 usb1287_u2x8_uart0_noled_pr_ee    usb1287_u2x8_uart0_noled_pr_ee_u4
static const uint64_t ur_usb1286_u2x8_uart0_noled_pr_ee[] = {
  0xdddddd895121b768, 0xdddddd2c3c820958, 0x30a7a64cf619eb4b, 0x198ece244eef07a1, 0x5d92befa738b179b,
  0x0a67f024c13e3277, 0x937dba7c12297fe1, 0xad1ce30da37b5472, 0x834c7d4795c89355, 0xa1df15995ea3e0d9,
  0x30b2c4522cd3ad08, 0x5cf55c6b26909afa, 0x3bc237d1e0b39d5a, 0x8c38d8d56ba1d79d, 0xcb65cc5c2422859e,
  0x541d51b047eb70de, 0xb7e062777ec00a41, 0x054180efddf9ce4d, 0x72f29b19c9bf379f, 0xc67440959486e2ea,
  0xf62aa8b4ac24e31b, 0xa97e56d99ca9d156, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab,
  0x871fc65f989ffde1, 0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0x686782cf257ee686,
  0x0000000000013afc,
};

// usb1286_u2x8_uart0_noled_pr_ce_u4 usb1287_u2x8_uart0_noled_pr_ce    usb1287_u2x8_uart0_noled_pr_ce_u4
static const uint64_t ur_usb1286_u2x8_uart0_noled_pr_ce[] = {
  0xdddddd89512198e2, 0xbbbbba588d012158, 0xb26d4fd2e9bbd3f7, 0xda0950f777583ecf, 0x2774a70f634a758a,
  0xfe10a67d82cc13e3, 0x472937dba7c12387, 0x701bfa8290da37b5, 0xc3cf3842dbcdceff, 0x3c25f886c244f659,
  0x11387800293f51e1, 0x7b96faf59367b709, 0x90e2481eb3d4727a, 0x3d61cc580a98dad4, 0xd99e3af47d78705a,
  0x796b7071a25500ff, 0x6fc0c4eefd89abe0, 0x0a8301dfbbf39c9b, 0xe5e53633937e6f3e, 0x8ce8812b290dc5d4,
  0xec5551695849c637, 0xa5f95b6672a718ed, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac,
  0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0x499e0b3c95fb9a19,
  0x000000000006ebde,
};

/*
 * usb1286_u2x8_uart0_noled_pr_ee_ce_u4 usb1287_u2x8_uart0_noled_pr_ee_ce
 * usb1287_u2x8_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u2x8_uart0_noled_pr_ee_ce[] = {
  0xdddddd8951219f68, 0xbbbbba5843b58358, 0xa66b8cfdea3bd89d, 0x6106821afba0bf0a, 0x957a27b4e0b41b97,
  0x14cfbfc9827c64ee, 0x26fb74f8241a3fc2, 0x54652e1b46f6a8e5, 0x085b79b9d85a037f, 0x10d8489ecb3879e7,
  0x437547ea3c2784bf, 0x7be6cf6e122270f7, 0xfea3cafa894ed63a, 0x15f75ea3e0d9835a, 0xc4522cd3ad08a053,
  0x71ea3a909afa30b2, 0x77846fa3c1673abb, 0x30e36355e363af3a, 0x2d973170908a167a, 0xa83aa3608991c37b,
  0x6fc0c4eefd859c82, 0x0a8301dfbbf39c9b, 0xe5e53633937e6f3e, 0x8ce8812b290dc5d4, 0xec5551695849c637,
  0xa5f95b6672a718ed, 0x05ec78661bbe1296, 0xcdfc1ddc68b3dfe2, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xda1e0b3c95fb9a19, 0x0000000000013f12,
};

// usb1286_u2x8_uart0_lednop_pr      usb1287_u2x8_uart0_lednop         usb1287_u2x8_uart0_lednop_pr
static const uint64_t ur_usb1286_u2x8_uart0_lednop[] = {
  0x1bbbbbb12d66ef3a, 0xf777774b0e7236ab, 0x106bf6f0bd1afbc7, 0x5ef67f89dddd5c81, 0xe3277417a0998b20,
  0x07ff9bae7c27cc13, 0x6a8e526fb74f8248, 0xe4f1df2c90e1b46f, 0xcfa4871240cd27a8, 0x05398b016f74c3e2,
  0x608ebc5d78521a39, 0x4eefd856633dc72c, 0xbf3c0809c9b6fc0c, 0x26fcde5ba8301dfb, 0x870d537a94e4a740,
  0xdba2810b4b5fe234, 0x5b6674e31bc67440, 0x78661bbe1296a5f9, 0x47f1a2cf7f8827dc, 0xe985727eeacc7903,
  0x52d9c389c6592e19, 0xf3c95fb9a19961d2, 0x0000000f90c6e843,
};

// usb1287_u2x8_uart0_lednop_pr_u4
static const uint64_t ur_usb1286_u2x8_uart0_lednop_pr_u4[] = {
  0xdddddd895121bf82, 0x777774b0e721af58, 0x2f7b3fd7e8dbd803, 0x1d7f89dddda4fea4, 0x93bab8c48a9b8363,
  0xff08533e13e609f1, 0x51ca4df6e9f04900, 0xd63be5843c368ded, 0x5490e2481a0bf51e, 0x3398b016594d3746,
  0x08ebd1f5e12691a4, 0xf6ded0fb5403ff66, 0x189ddfb3dc140f2c, 0xf77e781013936df8, 0x04df9bcda450603b,
  0x90e1aa6f529c94e8, 0xca718de33a207c46, 0xb4e455bd8aaa2d30, 0xddf094b52fcadb33, 0x459eff102f63c330,
  0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2,
  0xafdcd0ccb0e9296c, 0x007c9ae2f8f059e4,
};

/*
 * usb1286_u2x8_uart0_lednop_pr_ee_u4 usb1287_u2x8_uart0_lednop_pr_ee
 * usb1287_u2x8_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_u2x8_uart0_lednop_pr_ee[] = {
  0xdddddd895121b705, 0xbbbbba587902b758, 0x882615006d0bd7af, 0xf63f6712277783d0, 0xd86d95e4526433c5,
  0x14cfefb9827c64ee, 0x26fb74f824a7bfc2, 0x5a39c61b46f6a8e5, 0x0698fa8f2b32a6ab, 0x877c5663fd47c1b3,
  0xc2cb1148b34eb422, 0x791171ac9a426be8, 0x3bc23e23268e7569, 0x8ded58d56ba1d79d, 0x65b2e62e12114740,
  0x8d12a8d823f5b86f, 0xdb7e062777ec0083, 0x180efddf9e0404e4, 0x253a0137e6f36914, 0x1f11a4386a9bd4a7,
  0x8b4c329c6378ce88, 0xb6cced39156f62aa, 0xf0cc377c252d4bf2, 0x3bb8d167bfc40bd8, 0x1854895a9d599bf8,
  0x32fcc4ffef0f7bca, 0x7ec3347d8cec38fe, 0x3d30be347a2ff03f, 0x4a5b387138cb25c3, 0x16792bf734332c3a,
  0x00000009d73f5b3c,
};

/*
 * usb1286_u2x8_uart0_lednop_pr_ce_u4 usb1287_u2x8_uart0_lednop_pr_ce
 * usb1287_u2x8_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_u2x8_uart0_lednop_pr_ce[] = {
  0xdddddd895121b7d6, 0xbbbbba588d032158, 0x92164f6deb4bd1a7, 0xd95b85fbbbac1f67, 0x2775eb4e2313f68d,
  0xfe10a67f2b4c13e3, 0x472937dba7c12287, 0x701bfa8290da37b5, 0xc3cf3842dbcdcefe, 0x3c25f886c244f659,
  0x44e1f1bbb07f51e1, 0xee5bebd64d9edc24, 0x4389207acf51fa49, 0x90ce62c05c920fd2, 0x99e3af47d7849a46,
  0x2d6e7b43ed500ffd, 0xf8189ddfb3dc140f, 0x3bf77e781013936d, 0xe804df9bcda45060, 0x4690e1aa6f529c94,
  0x30ca718de33a207c, 0x6769c31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0xa44ad4eaccdfc1dd,
  0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x00006eb86a71e0b3,
};

/*
 * usb1286_u2x8_uart0_lednop_pr_ee_ce_u4 usb1287_u2x8_uart0_lednop_pr_ee_ce
 * usb1287_u2x8_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u2x8_uart0_lednop_pr_ee_ce[] = {
  0xbbbbbb12a2435f41, 0x777774b08771c6b1, 0xb06998d3d323b627, 0xb45d0435f7417e14, 0x45fddb62ae28ee0d,
  0xa67eb7e609f193bb, 0x6fb74f8253b7fe10, 0x4652e1b46f6a8e52, 0x0b6f373bb1f037f5, 0x1b0913d9670f3ce1,
  0x0dbbfd4784f097e2, 0xf9b3db84889c3800, 0xa8f2beea53b58e9e, 0xc3dfa8f83660d6bf, 0x291669d68450298a,
  0x441d484d7d185962, 0xf08f88c9a39d5dba, 0xf6ac6abc6c75e74e, 0xd973170908a3a046, 0x44aa3608991c37b2,
  0xdf8189ddfb0b30e3, 0x03bf77e781013936, 0x4e804df9bcda4506, 0xc4690e1aa6f529c9, 0xd30ca718de33a207,
  0x66769c31dbd8aaa2, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d, 0x7e627ff787bde50c,
  0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000027e18449e0b,
};

/*
 * usb1286_u2x8_uart0_dual_pr        usb1286_u2x8_uart0_dual_pr_u4     usb1287_u2x8_uart0_dual
 * usb1287_u2x8_uart0_dual_pr        usb1287_u2x8_uart0_dual_pr_u4
 */
static const uint64_t ur_usb1286_u2x8_uart0_dual[] = {
  0xeeeeed094486c541, 0xeeeeeef05ff6b9be, 0xb20ab13acfb4b16e, 0x263b2dddd23fc94e, 0x5823f86abd46210d,
  0x0a919827c64bd7b9, 0x181bbaad43236a29, 0x74f8971030a18369, 0x17d37f99612804a7, 0x51d4f6c32b1c37df,
  0xa14912092065d66f, 0xfcfdf045f94f9717, 0xd6c0ddc3e144312b, 0xdfc97cbe5cfc87ca, 0x32ff9082d21be5c5,
  0x61f22a10cb43e444, 0x425b7a95ff4073c2, 0x5ff159b982c3795e, 0xaa3949bedd3e0977, 0xe453be589a86d1bd,
  0x86921c490310fea3, 0xfce62c0550798f58, 0x0475e00d7877b475, 0x3dbe784faa01ffb3, 0xf3bb8a92c53903cb,
  0xb7e062777ec9fc55, 0x80efddf9e0404e4d, 0x53a0137e6f369141, 0xf11a4386a9bd4a72, 0xb4c329c6378ce881,
  0x6cced39156f62aa8, 0x0cc377c252d4bf2b, 0xbb8d167bfc40bd8f, 0x854895a9d599bf83, 0x2fcc4ffef0f7bca1,
  0xec3347d8cec38fe3, 0xd30be347a2ff03f7, 0xa5b387138cb25c33, 0x6792bf734332c3a4, 0x000000a49a0e33c1,
};

// usb1287_u2x8_uart0_dual_pr_ee
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ee[] = {
  0xf77777684d435032, 0x77777777e2fae3cd, 0x1651f2c5ae17bee3, 0x3aef4f92eebd61ec, 0x6d1febdf76137b36,
  0x2cc13e32599dcaaf, 0xbbaad43236a290ba, 0x8971030a18369181, 0x49f99612804a774f, 0x5bd856f9c2007171,
  0x89049034db9bd47b, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0x7cbe5cfc87cb9be0, 0x9082d21be5c5dfc9,
  0x54219683a54432ff, 0xd0fffd01cf098a2c, 0xcdcc161bcaf212db, 0x9bedd3e0969bff8a, 0x68e4486d1bdaa394,
  0x3053d4795afb9aad, 0x3be2bfddea3e0d98, 0x16588a459a75a114, 0xc7ae2a5cd2135f46, 0xf0e488f7b39d5a5c,
  0xf3d6355ae875ea26, 0xfa598b84845107d1, 0x0b546c11fadc37b2, 0x57ceee2a4a0135f2, 0x36df8189ddfb27f1,
  0x0603bf77e7810139, 0xc94e804df9bcda45, 0x07c4690e1aa6f529, 0xa2d30ca718de33a2, 0xadb33b4e455bd8aa,
  0x3c330ddf094b52fc, 0x3bb8d167bfc413ee, 0x3d30ae4fdd599bf8, 0x4a5b387138cb25c3, 0x16792bf734332c3a,
  0x0000000642856a3c,
};

// usb1287_u2x8_uart0_dual_pr_ee_u4
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ee_u4[] = {
  0xdddda128a87fce4a, 0xdddddf8beb8f37dd, 0x47cb16b85efb8ddd, 0xbd3e4bbaf587b059, 0x37ebd95e4decd8eb,
  0x304f8c966772e62b, 0xeab50c8da8a42e8b, 0x5c40c2860da4606e, 0xfccb094c049dd3e2, 0xec2b7ce10038b8a4,
  0x82481a6dcdea3dad, 0x117e53e5c5e85244, 0x70f8510c4aff3f7c, 0x5f2e7e43e5cdf037, 0x41690df2e2efe4be,
  0x10cb41d2a2197fc8, 0x7ffe80e784c5162a, 0xa60b0de579096de8, 0xf6e9f04b4dff8558, 0x7224368ded51ca4d,
  0x29ea3cad7dcd56b4, 0xf15feef51f06cc18, 0x2c4522cd3ad08a1d, 0xd7152e6909afa30b, 0x72447bd9cead2e63,
  0xeb1aad743af51378, 0x2cc5c2422883e8f9, 0xaa3608fd6e1bd97d, 0xe7771525009af905, 0x6fc0c4eefd93f8ab,
  0x01dfbbf3c0809c9b, 0xa74026fcde6d2283, 0xe234870d537a94e4, 0x6986538c6f19d103, 0xd99da722adec5551,
  0x1986ef84a5a97e56, 0x7f1a2cf7f8817b1e, 0x54895a9d599bf834, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32,
  0x30be347a2ff03f7e, 0x5b387138cb25c33d, 0x792bf734332c3a4a, 0x0000159169ac5a7e,
};

// usb1287_u2x8_uart0_dual_pr_ce
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ce[] = {
  0xbbbbb4276090cf68, 0x77777795b4d7e6fb, 0xdce8d5b87da0fb77, 0x12afdddd29482900, 0x8fa9d666dbb32657,
  0x927304f8c9b13726, 0x06eeab50c8da8a45, 0x3e25c40c2860da46, 0xe007e6584a0129dd, 0xcedec2d6ce15bfc5,
  0x24482481eed4dea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x25f2f973f21f2524, 0xfe420b486f97177f,
  0x7150865a095910cb, 0x6fd5fff4073c265f, 0x2b3730586f2bc84b, 0x526fb74f825beffe, 0x37f5ea21b46f6a8e,
  0x9e7085b79b9d9430, 0x4bf10d8489ecb387, 0xc3b5da1f7ea3c278, 0xdf5d4b9b3db84889, 0x481d4bf51c6fcf72,
  0xcc580a803df490e2, 0xebc01af0ef68ebf9, 0xdcf09f5403ff6678, 0xddc549629c81e5ad, 0xf0313bbf64fe2af9,
  0x77eefcf0202726db, 0xd009bf379b48a0c0, 0x8d21c354dea53929, 0x6194e31bc67440f8, 0xced3863b7b15545a,
  0xc377c252d4bf2b6c, 0x1a2cf7f88138cf0c, 0x912b53ab337f0777, 0x7d8cec389c69430a, 0x70cf4c2b93f01f34,
  0x0e9296ce1c4e32c9, 0x0f059e4afdcd0ccb, 0x00000000001a4881,
};

// usb1287_u2x8_uart0_dual_pr_ce_u4
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ce_u4[] = {
  0x7dddddda12890c86, 0xbbbbbbbbcada7df3, 0xd6d67db2b42da9af, 0xa8fd6b3ef777605b, 0x6772eec6ecb41e62,
  0xa8a4271f304f8c94, 0x0da4606eeab50c8d, 0x129dd3e25c40c286, 0xd35c5dfe7e6584a0, 0xf9bd47ff9b00d070,
  0xb8bd0a48904903e9, 0x895fe7ef822fca7c, 0x3e495006ee1f0a21, 0x2e2efe4be5f2e7e4, 0xda2197fc841690df,
  0x784c1ee2a10cb417, 0x2bc84b6e4ebfe80e, 0x52bbfe2b3730586f, 0x6f6a8e526fb74f82, 0x3b5f606feb2fa1b4,
  0xd9670f3ce10b6f37, 0x4784f097e21b0913, 0xdc2444e1e000a4fd, 0xe927b96fac38cd9e, 0x05243892061c7d47,
  0x3a3486731602a63d, 0x8e58cf1d79177844, 0x55f3bb8a928eb59b, 0x4db7e062777ec9fc, 0x9580efddf9e0404e,
  0x5397ce804df9bc1c, 0x62bdba414faa7716, 0xe33a2057063042d3, 0x4b52fcadb33a718d, 0xf102f63c330ddf09,
  0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63, 0x32c970cf4c2f8d1e,
  0x0ccb0e9296ce1c4e, 0x22680f059e4afdcd, 0x0000000000000069,
};

// usb1287_u2x8_uart0_dual_pr_ee_ce
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ee_ce[] = {
  0xbeeeeeed09a86f97, 0xeeeeeeeef7a79339, 0xf6d71aafdb04de3f, 0x124dbd70ddbbb299, 0xf046752c8a743399,
  0xc41e609f19276ae4, 0x06eeab50c8da8a43, 0x3e25c40c2860da46, 0xb21fe6584a0129dd, 0x986d833e1c3acf8b,
  0x48904903fd79bd47, 0xef822fca7cb8bd0a, 0x06ee1f0a21895fe7, 0x2f97cb9f90f9720e, 0xf2105a437cb8bbf9,
  0x8a8432d0b748865f, 0xbc00ffa039e1329e, 0xacdcc161bcaf212d, 0x49bedd3e09068ff8, 0xd51fee86d1bdaa39,
  0x216de6e776e80577, 0x889c3de1f2d7e79c, 0xed7e2310cd02bb84, 0xcc1a63ea3cacca94, 0x450298ae44f51f06,
  0xd185962291669d68, 0x73abb704f1d484d7, 0x75ed62bc307d1f48, 0x460b4752ec6abc6c, 0x386f65c7c62e1211,
  0xf9ddc54971887132, 0xdbf0313bbf64fe2a, 0xc077eefcf0202726, 0x929d009bf3796ea0, 0x7f88d21c354dea53,
  0x33a206dc63042d2d, 0xb52fcadb33a718de, 0x413ee3c330ddf094, 0x99bf83bb8d167bfc, 0xb25c33d30ae4fdd5,
  0x32c3a4a5b387138c, 0xb8f3c16792bf7343, 0x0000000000004c11,
};

// usb1287_u2x8_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_u2x8_uart0_dual_pr_ee_ce_u4[] = {
  0xbbbb425150ffd8be, 0xeeeef066e43e6fbb, 0xb83edeecdd656eee, 0x415bbbf6a3f57bfa, 0xca9c3825188ce189,
  0x2c572a0d599a3ebe, 0x6a29148dd304f8c9, 0x8369181bbaad4323, 0x012774f8971030a1, 0xa478bf75bf32c253,
  0x6f51d49361cdf382, 0x2f4292241240d9ca, 0x57f9fbe08bf29f2e, 0x215401bb87c28862, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x4c96a2a10cb42c7d, 0x9096df96bfe80e78, 0x07f8558a60b0de57, 0xd51ca4df6e9f04a0,
  0x406fea8e574368de, 0x3cf3842dfc033bd3, 0xc25f886c244f659c, 0x387f39753bf51e13, 0x6b1d4dd367b70911,
  0x60d7cf51e56fe4a7, 0x50298aea57a8f836, 0x185962291669d684, 0x3abb718f1d484d7d, 0xebd44de1c911ef67,
  0x441f47cf58d578d8, 0x70decbe9662e1211, 0xb36be416a8d82264, 0xf64fe2af9ddc5494, 0x0202726dbf0313bb,
  0x79b48a0c077eefcf, 0x4dea53929d009bf3, 0xbc67440f88d21c35, 0xb7b15545a6194e31, 0x2d4bf2b6cced3863,
  0xc40bd8f0cc377c25, 0xccdfc1a3f8d167bf, 0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67,
  0x592e19e985f1a3d1, 0x9961d252d9c389c6, 0x38b2d3f3c95fb9a1, 0x0000000000010015,
};

// usb1287_u2x8_uart0_dual_ee_hw
static const uint64_t ur_usb1286_u2x8_uart0_dual_ee_hw[] = {
  0x7777684a28d15aa4, 0x777777e2fae3cdf7, 0x51f2c5ae17bee377, 0xef4f92eebd61ec16, 0x3523bf5f137b363a,
  0x6609f192ccee55b4, 0xdd56a191b51485d1, 0x4b881850c1b48c0d, 0x4fccb094e833ba7c, 0xdec2b7ce10038b8a,
  0x482481a6dcdea3da, 0xc117e53e5c5e8524, 0x770f8510c4aff3f7, 0xe5f2e7e43e5cdf03, 0x841690df2e2efe4b,
  0xa10cb41d2a2197fc, 0x87ffe80e784c5162, 0x6a60b0de579096de, 0x37dba7c12d37ff19, 0xd1c890da37b54729,
  0x60a7a8f2b5f7355a, 0x77c57fbbd47c1b30, 0x2cb1148b34eb4228, 0x8f5c54b9a426be8c, 0xe1c911ef673ab4b9,
  0xe7ac6ab5d0ebd44d, 0xf4b3170908a20fa3, 0x16a8d823f5b86f65, 0xaf9ddc5494026be4, 0x6dbf0313bbf64fe2,
  0x0c077eefcf020272, 0x929d009bf379b48a, 0x0f88d21c354dea53, 0x45a6194e31bc6744, 0x5b66769c8ab7b155,
  0x78661bbe1296a5f9, 0xbde50c2a44ad4176, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17,
  0x961d252d9c389c65, 0xecb5453c95fb9a19, 0x0000000000005769,
};

/*
 * usb1286_u2x8_uart0_dual_ee_ce_u4_hw usb1287_u2x8_uart0_dual_ee_ce_hw
 * usb1287_u2x8_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_u2x8_uart0_dual_ee_ce_hw[] = {
  0xbbbbb42514682541, 0xeeeeef066e43e6fb, 0xab83edeecdd656ee, 0x9415bbbf6a3f57bf, 0x6ed3e3825188ce18,
  0xf19258ae5538c32d, 0x8646d452291ba609, 0x614306d23037755a, 0xc253a0cee9f12e20, 0xf382a478bf75bf32,
  0xd9ca6f51d49361cd, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xf21f215401bb87c2, 0x6f97177f25f2f973,
  0x2c7d10cbfe420b48, 0x0e784c96a2a10cb4, 0xde579096df96bfe8, 0xc12801ff196a60b0, 0xda37b5472937dba7,
  0xcef4d01bfaa395d0, 0xecb3879e7085bf21, 0xa3c2784bf10d8489, 0xe122270f7437547e, 0xfc94ed63a9ba6cf6,
  0x1f06cc1af9ea3cad, 0x3ad08a05315d4af5, 0x09afa30b2c4522cd, 0x3dece7576e31e3a9, 0xaf1b1d7a89bc3922,
  0xc2422883e8f9eb1a, 0x044c8e1bd97d2cc5, 0x8a92966d7c82d51b, 0x62777ec9fc55f3bb, 0xddf9e0404e4db7e0,
  0x137e6f36914180ef, 0x4386a9bd4a7253a0, 0x29c6378ce881f11a, 0xa70c76f62aa8b4c3, 0xef84a5a97e56d99d,
  0x0a912b505d9e1986, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867,
  0x4f257ee686658749, 0x0000001d751a3751,
};

// usb1286_u2x12_uart0_noled_pr      usb1287_u2x12_uart0_noled         usb1287_u2x12_uart0_noled_pr
static const uint64_t ur_usb1286_u2x12_uart0_noled[] = {
  0xeeeec49ddacdfc4f, 0xeeeee961872fcac6, 0xcb54c1b4dad346be, 0x8448ac1f77773582, 0x8c9dd85eb478f412,
  0x1fff375cff51304f, 0x7f36a7d56e9f04a7, 0x2c90e1b46f6a8e52, 0x1240cd27a8fcf1df, 0x02dee986fd7fa487,
  0x175e1d623c667316, 0x2b358b71cb1823af, 0x9ce4db7e062777ec, 0x7e6f2dd4180efddf, 0x0dc5d4e5e5363393,
  0xfd714085a7862b29, 0x5b6674e31bc67440, 0x78661bbe1296a5f9, 0x47f1a2cf7f8827dc, 0xe985727eeacc7903,
  0x52d9c389c6592e19, 0xf3c95fb9a19961d2, 0x000000f906e3e843,
};

// usb1287_u2x12_uart0_noled_pr_u4
static const uint64_t ur_usb1286_u2x12_uart0_noled_pr_u4[] = {
  0x777624eea24328ae, 0x77774b0c395a5637, 0x1122e1fddb7a36f7, 0x8fb07dddd2202caa, 0xba69638d93123e97,
  0x84299fea2609f193, 0xb53eab74f82538ff, 0x0f0da37b547293f9, 0x0682fd47e80ef961, 0x96537c9bdd243892,
  0xbc382d1eb0e62c05, 0x2a807fecc11d7a3e, 0x1357c0f2cf6c38d1, 0xe73936df8189ddfb, 0xfcde7c150603bf77,
  0x1b8ba9cbca6c6726, 0x938c6f19d1025652, 0xa7455bd8aaa2d2b0, 0xbe1296a5f95b6672, 0xb3dfe205ec78661b,
  0xad4eaccdfc1ddc68, 0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f,
  0xfb9a19961d252d9c, 0x0f93a7251e0b3c95,
};

/*
 * usb1286_u2x12_uart0_noled_pr_ee_u4 usb1287_u2x12_uart0_noled_pr_ee
 * usb1287_u2x12_uart0_noled_pr_ee_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_noled_pr_ee[] = {
  0xbbbb12775121af43, 0x77774b0b90362b1b, 0xa14d8dbd1a7b42f7, 0x79c17c2f7777f8b5, 0xdf6a99eca3f60cc1,
  0x9f95d304f8c9dd69, 0x56e9f04982ff8429, 0x46f6a8e527f36a7d, 0x2b9126ab5a39c61b, 0xbd47c1b30698fa8f,
  0x59a75a1143be2b32, 0x4d2135f4616588a4, 0xc1673ab4b9eab8d6, 0xd743af3a77846fa3, 0x48450b3d1871b1aa,
  0x8fd6e1bd96cb98b8, 0xfd801482a83aa360, 0xbbf39c9b6fc0c4ee, 0x937e6f3e0a8301df, 0x290dc5d4e5e53633,
  0x5849c6378ce8812b, 0x3953a2adec555169, 0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee,
  0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x000275f2ab0f059e,
};

/*
 * usb1286_u2x12_uart0_noled_pr_ce_u4 usb1287_u2x12_uart0_noled_pr_ce
 * usb1287_u2x12_uart0_noled_pr_ce_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_noled_pr_ce[] = {
  0xbbbb12775121b768, 0xbbbba58790412b1b, 0x14f4c99ec33d697b, 0xf36331dddde0f426, 0x4eebb257df4e7162,
  0xfc214cfe049827c6, 0x9b53eab74f82452f, 0x8290da37b547293f, 0x42dbcdceff701bfa, 0x86c244f659c3cf38,
  0x00293f51e13c25f8, 0xf59367b709113878, 0x1eb3d4727a7b96fa, 0x580a98dad490e248, 0xf47d78705a3d61cc,
  0x71a25500ffd99e3a, 0xeefd89abe0796b70, 0xdfbbf39c9b6fc0c4, 0x33937e6f3e0a8301, 0x2b290dc5d4e5e536,
  0x695849c6378ce881, 0x6672a718edec5551, 0x661bbe1296a5f95b, 0xdc68b3dfe205ec78, 0x2a44ad4eaccdfc1d,
  0x7e627ff787bde50c, 0x619a3ec6761c7f19, 0x985f1a3d17f81fbf, 0x2d9c389c6592e19e, 0x3c95fb9a19961d25,
  0x000006ebf1a19e0b,
};

/*
 * usb1286_u2x12_uart0_noled_pr_ee_ce_u4 usb1287_u2x12_uart0_noled_pr_ee_ce
 * usb1287_u2x12_uart0_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_noled_pr_ee_ce[] = {
  0x777624eea2431bc1, 0xeeee9620ca5dd637, 0x2989697b93b4c8ee, 0x46e25d7eeb535a39, 0x74d7015dda331236,
  0x9fc41304f8c9dd1d, 0x56e9f04b4d7f8429, 0x46f6a8e527f36a7d, 0xd85a037f54652e1b, 0xcb3879e7085b79b9,
  0x3c2784bf10d8489e, 0x122270f7437547ea, 0x894ed63a7be6cf6e, 0xe0d9835afea3cafa, 0xad08a05315f75ea3,
  0x9afa30b2c4522cd3, 0xc1673abb71ea3a90, 0xe363af3a77846fa3, 0x908a167a30e36355, 0x8991c37b2d973170,
  0xfd859c82a83aa360, 0xbbf39c9b6fc0c4ee, 0x937e6f3e0a8301df, 0x290dc5d4e5e53633, 0x5849c6378ce8812b,
  0x72a718edec555169, 0x1bbe1296a5f95b66, 0x68b3dfe205ec7866, 0x44ad4eaccdfc1ddc, 0x627ff787bde50c2a,
  0x9a3ec6761c7f197e, 0x5f1a3d17f81fbf61, 0x9c389c6592e19e98, 0x95fb9a19961d252d, 0x00027e4a6b1e0b3c,
};

// usb1286_u2x12_uart0_lednop_pr     usb1287_u2x12_uart0_lednop        usb1287_u2x12_uart0_lednop_pr
static const uint64_t ur_usb1286_u2x12_uart0_lednop[] = {
  0xddddd893bb59bb37, 0xbbbbba5861c60f58, 0x65bab0716f1fd75f, 0xe2de4e0fbbbb9ac1, 0xc64eed8f642179b1,
  0x57ff9bae7e449827, 0x3f9b53eab74f825a, 0x964870da37b54729, 0x1240cd27a8eb3cef, 0x02dee9b22e0ba487,
  0x5d78505a33487316, 0x5619edc72c608ebc, 0x09c9b6fc0c4eefd8, 0x8392b01dfbbf3c08, 0xe2ca72f9d009bf37,
  0x5a6c57b74829f54e, 0x18de33a205711408, 0xf094b52fcadb33a7, 0x7bfc413ee3c330dd, 0xf75663c81a3f8d16,
  0x4e32c970cf4c2b93, 0xcd0ccb0e9296ce1c, 0xf90d39421f9e4afd,
};

// usb1287_u2x12_uart0_lednop_pr_u4
static const uint64_t ur_usb1286_u2x12_uart0_lednop_pr_u4[] = {
  0xbbbb12775121ad4e, 0x77774b0c38ebeb1b, 0x69423f6d2e3b50f7, 0xe94c9eeee9101655, 0xee989b8248233db7,
  0xe10a67fba9827c64, 0x6d4faadd3e091ebf, 0x43c368ded51ca4fe, 0x81a0bf51ed63be58, 0x6594d37465490e24,
  0x5e12691a43398b01, 0xb5403ff6608ebd1f, 0x3dc140f2cf6ded0f, 0x013936df8189ddfb, 0xda450603bf77e781,
  0xf529c94e804df9bc, 0x33a207c4690e1aa6, 0xd8aaa2d30ca718de, 0x52fcadb33b4e455b, 0x02f63c330ddf094b,
  0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b,
  0xcb0e9296ce1c4e32, 0xe4cf059e4afdcd0c, 0x000000000007c9b1,
};

/*
 * usb1286_u2x12_uart0_lednop_pr_ee_u4 usb1287_u2x12_uart0_lednop_pr_ee
 * usb1287_u2x12_uart0_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_lednop_pr_ee[] = {
  0xbbbb12775121b032, 0xeeee9617218beb1b, 0xb0b4543da0ba106e, 0xece0be17bbbbfc59, 0x239cb05390d33f78,
  0xcfe9b9827c64eeb6, 0xab74f82595bfc214, 0xa37b547293f9b53e, 0x95995355ad1ce30d, 0xfea3e0d9834c7d47,
  0x59a75a1143be2b31, 0x4d2135f4616588a4, 0x93473ab4bc88b8d6, 0xb5d0ebce9de11f11, 0x0908a3a046f6ac6a,
  0x11fadc37b2d97317, 0xbbf60041c689546c, 0xcf0202726dbf0313, 0xf379b48a0c077eef, 0x354dea53929d009b,
  0x31bc67440f88d21c, 0x8ab7b15545a6194e, 0x1296a5f95b66769c, 0xdfe205ec78661bbe, 0x4eaccdfc1ddc68b3,
  0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38,
  0xeb98391e0b3c95fb, 0x0000000000000004,
};

/*
 * usb1286_u2x12_uart0_lednop_pr_ce_u4 usb1287_u2x12_uart0_lednop_pr_ce
 * usb1287_u2x12_uart0_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_lednop_pr_ce[] = {
  0xbbbb12775121b705, 0x77774b0f2056eb1b, 0x04c2a00da17af5f7, 0x78bec7eeeef07a11, 0x9ddb0db2bc8a4c86,
  0xf84299fdf7304f8c, 0x36a7d56e9f0494f7, 0x0521b46f6a8e527f, 0x85b79b9dfce037f5, 0x0d8489ecb3879e70,
  0x7760fea3c2784bf1, 0xac9b3db84889c3e3, 0xf59ea3f493dcb7d7, 0x80b9241fa4871240, 0x8faf09348d219cc5,
  0x87daa01ffb33c75e, 0xbf67b8281e5adcf6, 0xf0202726dbf0313b, 0x379b48a0c077eefc, 0x54dea53929d009bf,
  0x1bc67440f88d21c3, 0x3b7b15545a6194e3, 0x52d4bf2b6cced386, 0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b,
  0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0x73f5b3c16792bf73, 0x00000000000000dd,
};

/*
 * usb1286_u2x12_uart0_lednop_pr_ee_ce_u4 usb1287_u2x12_uart0_lednop_pr_ee_ce
 * usb1287_u2x12_uart0_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_lednop_pr_ee_ce[] = {
  0x777624eea2431000, 0xeeee9620ca0dd637, 0xdf257afb02f599ee, 0x96e25d7eeb535a25, 0xabbced6cde4e4666,
  0xcfc009827c64eed6, 0x56e9f04ad6ffc214, 0x46f6a8e527f36a7d, 0xbb1f037f54652e1b, 0x9670f3ce10b6f373,
  0x784f097e21b0913d, 0x4889c38000dbbfd4, 0xa53b58e9ef9b3db8, 0x83660d6bfa8f2bee, 0x68450298ac3dfa8f,
  0xd7d185962291669d, 0x9a39d5dba441d484, 0xc6c75e74ef08f88c, 0x908a3a046f6ac6ab, 0x8991c37b2d973170,
  0xdfb0b30e344aa360, 0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1,
  0x1dbd8aaa2d30ca71, 0x296a5f95b66769c3, 0xfe205ec78661bbe1, 0xeaccdfc1ddc68b3d, 0x787bde50c2a44ad4,
  0x6761c7f197e627ff, 0xd17f81fbf619a3ec, 0xc6592e19e985f1a3, 0xa19961d252d9c389, 0xe4c5f1e0b3c95fb9,
  0x0000000000000027,
};

/*
 * usb1286_u2x12_uart0_dual_pr       usb1286_u2x12_uart0_dual_pr_u4    usb1287_u2x12_uart0_dual
 * usb1287_u2x12_uart0_dual_pr       usb1287_u2x12_uart0_dual_pr_u4
 */
static const uint64_t ur_usb1286_u2x12_uart0_dual[] = {
  0x77684f17448664d6, 0x77777b53499cdf77, 0xecccf7aef53ef777, 0x69dbbbab8fa74e21, 0x6c78680659235272,
  0xeb4c13e32420b966, 0x0ddd56a191b5148e, 0x7c4b881850c1b48c, 0xc56fccb0940253ba, 0xf95b61bece1a6f8b,
  0xa4890490328737a8, 0x7ef822fca7cb8bd0, 0xe06ee1f0a21895fe, 0xe4be5f2e7e43e55b, 0x7fc841690df2e2ef,
  0xdf150865a0be2219, 0x2dbfeeffa039e133, 0xf8acdcc161bcaf21, 0x36a7d56e9f048caf, 0x26a1b46f6a8e527f,
  0x40c43fa8f914ef96, 0x541e63d621a48712, 0x5e1ded1d7f398b01, 0xea807fecc11d7803, 0xb14e40f2cf6f9e13,
  0xdfb27f157ceee2a4, 0x781013936df8189d, 0x9bcda450603bf77e, 0xaa6f529c94e804df, 0x8de33a207c4690e1,
  0x55bd8aaa2d30ca71, 0x94b52fcadb33b4e4, 0xff102f63c330ddf0, 0x75666fe0eee3459e, 0xbc3def286152256a,
  0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6, 0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0x269968f059e4afdc,
  0x0000000000000029,
};

// usb1287_u2x12_uart0_dual_pr_ee
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ee[] = {
  0xbbbb4278bd437089, 0x7777779fbd9be6fb, 0x13d3ef6d07722777, 0x537d3b76c32beeed, 0x557bada03e42175b,
  0x27c649bab95e4f59, 0xb50c8da8a46f3e98, 0x40c2860da4606eea, 0x6584a0129dd3e25c, 0x1000e02938bfebfe,
  0x240e76e6f51eb7f6, 0xbf29f2e2f4292241, 0x7c2886257f9fbe08, 0x973f21f254881bb8, 0xb486f97177f25f2f,
  0x65a070d10cbfe420, 0xff4073c267271508, 0x0586f2bc84b6fd3f, 0x74f82515bfe2b373, 0x7b547293f9b53eab,
  0x5f7355ad1c890da3, 0x47c1b3060a7a8f2b, 0x4eb422877c57fbbd, 0x426be8c2cb1148b3, 0x73ab4b98f5c54b9a,
  0x0ebd44de1c911ef6, 0x8a20fa3e7ac6ab5d, 0x5b86f65f4b317090, 0x4026be416a8d823f, 0xbf64fe2af9ddc549,
  0xf0202726dbf0313b, 0x379b48a0c077eefc, 0x54dea53929d009bf, 0x1bc67440f88d21c3, 0xab7b15545a6194e3,
  0x296a5f95b66769c8, 0xf8827dc78661bbe1, 0xab337f07771a2cf7, 0x1964b867a615c9fb, 0x866587494b670e27,
  0x44fae782cf257ee6, 0x0000000000000321,
};

// usb1287_u2x12_uart0_dual_pr_ee_u4
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ee_u4[] = {
  0xed09e2e8a87fa0ae, 0xddde7ef66f9beeee, 0x4fbdb41dc89ddddd, 0xf4eddb0cafbbb44f, 0xb0fae0f9085d6d4d,
  0x24dd5cbebefeb757, 0x46d452379f4c13e3, 0x4306d23037755a86, 0xa6024ee9f12e2061, 0xe02938bfebfe6584,
  0x76e6f51eb7f61000, 0xf2e2f4292241240e, 0x86257f9fbe08bf29, 0x21f254881bb87c28, 0xf97177f25f2f973f,
  0x70d10cbfe420b486, 0x73c26727150865a0, 0xf2bc84b6fd3fff40, 0x2515bfc2ac530586, 0x7293f9b53eab74f8,
  0x55ad1c890da37b54, 0xb3060a7a8f2b5f73, 0x22877c57fbbd47c1, 0xe8c2cb1148b34eb4, 0x4b98f5c54b9a426b,
  0x44de1c911ef673ab, 0xfa3e7ac6ab5d0ebd, 0xf65f4b3170908a20, 0xbe416a8d823f5b86, 0xfe2af9ddc5494026,
  0x2726dbf0313bbf64, 0x48a0c077eefcf020, 0xa53929d009bf379b, 0x7440f88d21c354de, 0x15545a6194e31bc6,
  0x5f95b66769c8ab7b, 0x5ec78661bbe1296a, 0xfe0d1fc68b3dfe20, 0xf286152256a75666, 0x3f8cbf313ffbc3de,
  0x0fdfb0cd1f633b0e, 0x70cf4c2f8d1e8bfc, 0x0e9296ce1c4e32c9, 0x169f9e4afdcd0ccb, 0x000000000ac8c1f7,
};

// usb1287_u2x12_uart0_dual_pr_ce
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ce[] = {
  0xbb4278bd41437089, 0x7777d9375be6fbbb, 0xbce2d4d7deef7777, 0xd5bbbb938a76fdd8, 0xd65644d6d100dce2,
  0xa609f192246e5793, 0xdd56a191b51488fb, 0x4b881850c1b48c0d, 0xbfccb0940253ba7c, 0xfb019b386ed7174d,
  0x9049034b537a8e63, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef, 0xe5f2e7e43e4c8606, 0x841690df2e2efe4b,
  0xa10cb40c7a2197fc, 0xb75ff4073c26eea2, 0x9b982c3795e425b7, 0xf55ba7c122ebff15, 0x6d1bdaa3949fcda9,
  0x6e765140577d7e48, 0xb5da1f7e79c216de, 0xea5cd02bb84889c3, 0xd4bf51c6fcf72cf6, 0x80a803df490e2481,
  0x01af0ef68ebf9cc5, 0x09f5403ff6678ebc, 0x549629c81e5addcf, 0x13bbf64fe2af9ddc, 0xefcf0202726dbf03,
  0x9bf379b48a0c077e, 0x1c354dea53929d00, 0x4e31bc67440f88d2, 0x3863b7b15545a619, 0x7c252d4bf2b6cced,
  0xcf7f88138cf0cc37, 0xb53ab337f07771a2, 0xcec389c69430a912, 0xf4c2b93f01f347d8, 0x296ce1c4e32c970c,
  0x59e4afdcd0ccb0e9, 0x00000000d242ccf0,
};

// usb1287_u2x12_uart0_dual_pr_ce_u4
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ce_u4[] = {
  0xed09e2e8a87fce4a, 0xeeefc5f5c79beeee, 0xe58b5c2f7dc6eeee, 0xd7dddd7ac3d82ca3, 0x566fd7b2bc9bd9b1,
  0x16609f192ccee5cc, 0xddd56a191b51485d, 0xc4b881850c1b48c0, 0x49f9961298093ba7, 0x5bd856f9c2007171,
  0x89049034db9bd47b, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0x7cbe5cfc87cb9be0, 0x9082d21be5c5dfc9,
  0x54219683a54432ff, 0xd0fffd01cf098a2c, 0xb14c161bcaf212db, 0xfaadd3e0969bff0a, 0x368ded51ca4fe6d4,
  0xc033b28606febd44, 0x44f659c3cf3842df, 0xff51e13c25f886c2, 0x3db84889c3f2d337, 0x1c6fcf72df5d4b9b,
  0x3df490e2481d4bf5, 0xef68ebf9cc580a80, 0x03ff6678ebc01af0, 0x9c81e5addcf09f54, 0x64fe2af9ddc54962,
  0x202726dbf0313bbf, 0x9b48a0c077eefcf0, 0xdea53929d009bf37, 0xc67440f88d21c354, 0x7b15545a6194e31b,
  0xd4bf2b6cced3863b, 0x40bd8f0cc377c252, 0xcdfc1a3f8d167bfc, 0xbde50c2a44ad4eac, 0x1c7f197e627ff787,
  0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65, 0xd62d3f3c95fb9a19, 0x00000000001a48b4,
};

// usb1287_u2x12_uart0_dual_pr_ee_ce
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ee_ce[] = {
  0xeeeeed09e2f50c86, 0x77777777a9b26f9b, 0xeecda01dccdefd5f, 0x01f04053b74e775d, 0xb1bb1e0b98b3683f,
  0xf5cc13e324eb5cbb, 0x6eeab50c8da8a458, 0xe25c40c2860da460, 0x257e6584a0129dd3, 0x7cd87599c190f8bd,
  0x890490335b9bd476, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f92bae0, 0x2105a437cb8bbf92,
  0xa8432d0d9c8865ff, 0x8a4ffa039e136568, 0xcdcc161bcaf212db, 0xfaadd3e0969aff8a, 0x368ded51ca4fe6d4,
  0x3bb7402bbea8ff74, 0x0f96bf3ce10b6f37, 0x866815dc2444e1ef, 0x51e56654a76bf118, 0x7227a8f83660d31f,
  0x148b34eb422814c5, 0x278ea426be8c2cb1, 0xe183e8fa439d5db8, 0x976355e363af6b15, 0x3e3170908a305a3a,
  0x4b8c438991c37b2e, 0xddfb27f157ceee2a, 0xe781013936df8189, 0xdf9bcb750603bf77, 0xe1aa6f529c94e804,
  0xe31821696bfc4690, 0xd99d38c6f19d1036, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d,
  0x2d9c389c6592e19e, 0x3c95fb9a19961d25, 0x0000004c134e1e0b,
};

// usb1287_u2x12_uart0_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_u2x12_uart0_dual_pr_ee_ce_u4[] = {
  0xb4278ba2a1fd022f, 0xeef376a31e6fbbbb, 0xe36b69be6beeeeee, 0x6ed17a27de4caf7e, 0x3da3f2c9369e447b,
  0x72da7c845e24fcae, 0x8631fe609f1929f7, 0x8c0ddd56a191b514, 0xba7c4b881850c1b4, 0x5c001f9961298093,
  0xf9bfb05489c3badc, 0x24482481f47e6f51, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x97cbe5cfc87cac93,
  0xf9082d21be5c5dfc, 0x454219687fc4432f, 0x766fffd01cf0982d, 0x562982c3795e425b, 0x9f55ba7c12149fe1,
  0x86d1bdaa3949fcda, 0x0677a680dfd51cae, 0x9ecb3879e7085bf8, 0xea3c2784bf10d848, 0x6e122270fe72ea77,
  0xdfc94ed63a9ba6cf, 0x51f06cc1af9ea3ca, 0xd3ad08a05315d4af, 0x909afa30b2c4522c, 0x23dece7576e31e3a,
  0xaaf1b1d7a89bc392, 0x5c2422883e8f9eb1, 0xb044c8e1bd97d2cc, 0xb8a92966d7c82d51, 0x062777ec9fc55f3b,
  0xfddf9e0404e4db7e, 0x0137e6f36914180e, 0xa4386a9bd4a7253a, 0x329c6378ce881f11, 0xda70c76f62aa8b4c,
  0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198, 0x95a9d599bf8347f1, 0x4ffef0f7bca18548, 0x47d8cec38fe32fcc,
  0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x020012b365a7e792,
};

// usb1287_u2x12_uart0_dual_ee_hw
static const uint64_t ur_usb1286_u2x12_uart0_dual_ee_hw[] = {
  0x7684f17451a12793, 0xeeef3f7b37cdf777, 0xa7deda0ee44eeeee, 0xfa76ed8657ddda27, 0xb449f07c842eb6a6,
  0x7c649bab90b3634e, 0x50c8da8a46f3e982, 0x0c2860da4606eeab, 0x584a7419dd3e25c4, 0x000e02938bfebfe6,
  0x40e76e6f51eb7f61, 0xf29f2e2f42922412, 0xc2886257f9fbe08b, 0x73f21f254881bb87, 0x486f97177f25f2f9,
  0x5a070d10cbfe420b, 0xf4073c2672715086, 0x586f2bc84b6fd3ff, 0xd3e09456ff8cb530, 0xed51ca4fe6d4faad,
  0x7dcd56b47224368d, 0x1f06cc1829ea3cad, 0x3ad08a1df15feef5, 0x09afa30b2c4522cd, 0xcead2e63d7152e69,
  0x3af5137872447bd9, 0x2883e8f9eb1aad74, 0x6e1bd97d2cc5c242, 0x009af905aa3608fd, 0xfd93f8abe7771525,
  0xc0809c9b6fc0c4ee, 0xde6d228301dfbbf3, 0x537a94e4a74026fc, 0x6f19d103e234870d, 0xadec55516986538c,
  0xa5a97e56d99da722, 0x2b505d9e1986ef84, 0x9ffde1ef79430a91, 0x8fb19d871fc65f98, 0xc68f45fe07efd866,
  0x0e271964b867a617, 0x7ee6866587494b67, 0x002bb4b483d14f25,
};

/*
 * usb1286_u2x12_uart0_dual_ee_ce_u4_hw usb1287_u2x12_uart0_dual_ee_ce_hw
 * usb1287_u2x12_uart0_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_u2x12_uart0_dual_ee_ce_hw[] = {
  0xbb4278ba28d0421f, 0xeeef376a31e6fbbb, 0xee36b69be6beeeee, 0xb6ed17a27de4caf7, 0x011a3f2c9369e447,
  0x94fbb917d60b69a1, 0xda8a4318ff304f8c, 0x60da4606eeab50c8, 0x7419dd3e25c40c28, 0xeeb7170007e6584a,
  0x9bd47e6fec152270, 0x17a1491209207d1f, 0x2bfcfdf045f94f97, 0x2b24c0ddc3e14431, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x260b5150865a1ff1, 0x9096dd9bfff4073c, 0x49ff196a60b0de57, 0x9fcda9f55ba7c121,
  0x51cae86d1bdaa394, 0x42df90e77a680dfd, 0x86c244f659c3cf38, 0x1baa3f51e13c25f8, 0xdd367b70911387ba,
  0xf51e56fe4a76b1d4, 0xaea57a8f83660d7c, 0x2291669d68450298, 0x18f1d484d7d18596, 0xde1c911ef673abb7,
  0x7cf58d578d8ebd44, 0xbe9662e1211441f4, 0x416a8d8226470dec, 0x2af9ddc5494b36be, 0x26dbf0313bbf64fe,
  0xa0c077eefcf02027, 0x3929d009bf379b48, 0x40f88d21c354dea5, 0x545a6194e31bc674, 0x2b6cced3863b7b15,
  0xcf0cc377c252d4bf, 0xf7bca1854895a82e, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2,
  0x32c3a4a5b387138c, 0xcd1ba8a792bf7343, 0x0000000000000eba,
};

// usb1287_swio10_noled
static const uint64_t ur_usb1286_swio10_noled[] = {
  0x441bbbbbbacdc49f, 0x1ddcb4b10ac916b0, 0xdb7a36ee27524192, 0x7833091134c9bf6d, 0xad1e978fbc9ba440,
  0xf9827c64eee62486, 0xa48edffff375cf98, 0x621fd477bcef9626, 0xba63d56bd2438920, 0x1b868d679cc580b7,
  0xff71cb1823af175e, 0xf27f6bcb955a9595, 0xce75152a8d74271c, 0x916a6b395daa5bea, 0x22bcb1692a97debe,
  0xa9f4ef3f5ae7b55a, 0x2617a41afa9c0594, 0x88117ee2810b4ac2, 0xbf2b6cce9c6378ce, 0xfd8f0cc377c252d4,
  0x1964b867a615c9f9, 0x866587494b670e27, 0x9002a10fcf257ee6, 0x000000000000000a,
};

// usb1286_swio10_noled_pr_u4        usb1287_swio10_noled_pr           usb1287_swio10_noled_pr_u4
static const uint64_t ur_usb1286_swio10_noled_pr[] = {
  0x49bbbbbb4486259b, 0x5ae5a588561b758d, 0x1fad4cd06e264433, 0x8f211c631d7f07db, 0x2f312e3426eea488,
  0x3e327765dd890670, 0x4caff08533efe4c1, 0xdea3cdc77cb08b24, 0x8c7e95490e248193, 0x851dac731602cb29,
  0x3ff6608ebd1f5e18, 0x703cb3db1149a540, 0xcf27f6bcb955abeb, 0xace75152a8d74271, 0xe916a6b395daa5be,
  0xa22bcb1692a97deb, 0xc34ef00febae7b55, 0x1757a4185d4d8a53, 0x5a52179c6378ce88, 0x6d99c648ab7b1554,
  0xe1986ef84a5a97e5, 0x7771a2cf7f8817b1, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc,
  0x7a617c68f45fe07e, 0x94b670e271964b86, 0x2cf257ee68665874, 0x0000003e4ea71678,
};

// usb1286_swio10_noled_pr_ee_u4     usb1287_swio10_noled_pr_ee        usb1287_swio10_noled_pr_ee_u4
static const uint64_t ur_usb1286_swio10_noled_pr_ee[] = {
  0x09bbbbbb4486bf3e, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x64eece22c5707aee, 0xbfc214cf93a9827c, 0x87355ad1c7b92315, 0x7c1b3067afa8f2b3, 0xeb422877c5650fd4,
  0x26be8c2cb1148b34, 0xcead2ff3971ac9a4, 0x3af3a7787a847109, 0x147c88c45b1aad74, 0x5b86f65b2e62e121,
  0x500ba4c16a8d823f, 0x84e39e4fed7972ab, 0x4b7d59cea2a551ae, 0xfbd7d22d4d672bb5, 0xf6ab4457962d2552,
  0x14a7869de01fd75c, 0x9d102eaf4830ba9b, 0x2aa8b4a42f38c6f1, 0x2fcadb338c9156f6, 0x2f63c330ddf094b5,
  0x6fe0eee3459eff10, 0xef286152256a7566, 0xe3f8cbf313ffbc3d, 0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf,
  0xb0e9296ce1c4e32c, 0x14f059e4afdcd0cc, 0x0000000000275f33,
};

// usb1286_swio10_noled_pr_ce_u4     usb1287_swio10_noled_pr_ce        usb1287_swio10_noled_pr_ce_u4
static const uint64_t ur_usb1286_swio10_noled_pr_ce[] = {
  0xb3f777776890d2a8, 0x56b96960e0ad2eb1, 0xeb45d23fe96b436b, 0x9170ff8b37656c17, 0x59f04142f0addd9e,
  0x827c64ee9d68d424, 0x23a6ffc214cf8d69, 0xe6e77b380dfd4ca9, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1d9cba3, 0x51f249ee5bebd64d, 0xdce3490e2481e0bf, 0x0c428ed6398b0143, 0xa01ffb33c75e8faf,
  0x7d6e0796b708a4d2, 0x4e39e4fed7972ab5, 0xb7d59cea2a551ae8, 0xbd7d22d4d672bb54, 0x6ab4457962d2552f,
  0x4a7869de01fd75cf, 0xd102eaf4830ba9b1, 0xaa8b4a42f38c6f19, 0xf95b667190c76f62, 0xec78661bbe1296a5,
  0xfc1ddc68b3dfe205, 0xe50c2a44ad4eaccd, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8,
  0x1d252d9c389c6592, 0x9e0b3c95fb9a1996, 0x0000000006eb93f0,
};

// usb1286_swio10_noled_pr_ee_ce_u4  usb1287_swio10_noled_pr_ee_ce     usb1287_swio10_noled_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio10_noled_pr_ee_ce[] = {
  0x15bbbbbb448650e3, 0x1f72d2c422191ac6, 0x5d96bd63f66c42ff, 0x9b1b6c823b83647f, 0xea05f256c148b852,
  0xc9dd0b03ed94e166, 0xff08533e6b7304f8, 0x4037f54715a488a4, 0x879e7085b79b9d8a, 0x784bf10d8489ecb3,
  0x9c3fad4f00fea3c2, 0xb58e9ef9b3db8488, 0x60d00f51e56e9653, 0x50298acbafa8f836, 0x185962291669d684,
  0x3abb77ce1d484d7d, 0xebce9de1ea11c427, 0xa3e44622d8d578d8, 0x1c37b2d973170908, 0x4b3e9305aa360899,
  0x138e793fb5e5caad, 0x2df5673a8a9546ba, 0xef5f48b5359caed5, 0xdaad115e58b4954b, 0x529e1a77807f5d73,
  0x7440babd20c2ea6c, 0xaaa2d290bce31bc6, 0x7e56d99c6431dbd8, 0x7b1e1986ef84a5a9, 0x7f07771a2cf7f881,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0xe782cf257ee68665, 0x00000000004fc1ea,
};

// usb1287_swio10_noled_ee_hw
static const uint64_t ur_usb1286_swio10_noled_ee_hw[] = {
  0x09bbbbbb451a2f43, 0xb572d2c7a9d0bac5, 0x4d2eae3267c7fc49, 0xe45306bc33c5ed4f, 0xc8d055a08a444a11,
  0x7c64eeb4efb5bb2a, 0x8adfe562cf93a982, 0x59c39aad68e3dc91, 0xea3e0d9833d7d479, 0x9a75a1143be2b287,
  0xd2135f4616588a45, 0x84e75697f9cb8d64, 0xba1d79d3bc3d4238, 0x908a3e44622d8d56, 0x1fadc37b2d973170,
  0x55a805d260b546c1, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8, 0xa97debe916a6b395, 0xae7b55a22bcb1692,
  0x4d8a53c34ef00feb, 0x78ce881757a4185d, 0x7b15545a52179c63, 0x5a97e56d99c648ab, 0xb505d9e1986ef84a,
  0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c, 0xee6866587494b670,
  0x005bfaacdd14f257,
};

// usb1286_swio10_noled_ee_ce_u4_hw  usb1287_swio10_noled_ee_ce_hw     usb1287_swio10_noled_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio10_noled_ee_ce_hw[] = {
  0x2b7777768a341bc1, 0x3ee5a5884432358c, 0xbb2d7ac7ecd885fe, 0x3636d9047706c8fe, 0xd40be4ad829170a5,
  0x8c9dd1d74d7deecd, 0x27f958b3e6b7304f, 0x5201bfaa38ad2445, 0x3879e7085bf21cec, 0x2784bf10d8489ecb,
  0x2270fe72ea77ea3c, 0x4ed63a7be6cf6e12, 0xd983403d4795ba59, 0x1140a62b2ebea3e0, 0xf4616588a459a75a,
  0x9ceaeddf38752135, 0x63af3a7787a84710, 0x228f91188b6355e3, 0x6470decb65cc5c24, 0xb52cfa4c16a8d822,
  0xe84e39e4fed7972a, 0x54b7d59cea2a551a, 0x2fbd7d22d4d672bb, 0xcf6ab4457962d255, 0xb14a7869de01fd75,
  0x19d102eaf4830ba9, 0x62aa8b4a42f38c6f, 0xa5f95b667190c76f, 0x417678661bbe1296, 0xf787bde50c2a44ad,
  0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a, 0x9a19961d252d9c38, 0x5014cf27453c95fb,
};

// usb1287_swio10_lednop
static const uint64_t ur_usb1286_swio10_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xa5c76a18da165419, 0x07833091135229b5, 0xd3636dfa5f17ba44,
  0xee609f193bb63d90, 0xa9231efffcdd73eb, 0x1887f51fe43be589, 0xf74d22443490e248, 0xf0ef68fa0398b016,
  0x59fb8e58c11d78ba, 0xe793fb5e5caad4ac, 0x5673a8a9546ba138, 0x535c0809caed52df, 0xe58b4956ae97f48b,
  0x4079fad73daad115, 0x482c254b0b29b167, 0x4e7d14085a61919f, 0xadb33a718de33a20, 0x3c330ddf094b52fc,
  0x92e19e985727e7f6, 0x961d252d9c389c65, 0xba843f3c95fb9a19, 0x0000000000001525,
};

// usb1286_swio10_lednop_pr_u4       usb1287_swio10_lednop_pr          usb1287_swio10_lednop_pr_u4
static const uint64_t ur_usb1286_swio10_lednop_pr[] = {
  0x49bbbbbb44860cc5, 0x5ae5a58856a8758d, 0xd3db2787c6d24433, 0x47908e31b6339beb, 0x7563f31ad3775244,
  0x9f193bb06c371fb3, 0x98fff08533f52a60, 0xbd479c4ef9611648, 0x5f613e921c490327, 0x88e0f9cc580b2ca6,
  0xffb30475e8faf0af, 0x07967b637ee1aa01, 0xe4fed7972ab5b872, 0x9cea2a551ae84e39, 0xd7020272bb54b7d5,
  0x62d255aba5fd22d4, 0x364d75cf6ab44579, 0x575482e52d7ce80f, 0x718de33a205cdd21, 0xa2adec555169d75e,
  0x84a5a97e56d99d02, 0xf7f8817b1e1986ef, 0x53ab337f07771a2c, 0xfde1ef79430a912b, 0xb19d871fc65f989f,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xe4c4cd0782cf257e, 0x0000000000000003,
};

// usb1286_swio10_lednop_pr_ee_u4    usb1287_swio10_lednop_pr_ee       usb1287_swio10_lednop_pr_ee_u4
static const uint64_t ur_usb1286_swio10_lednop_pr_ee[] = {
  0x09bbbbbb44864aa4, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x64eea4cb1789d9f6, 0xff84299fa1f9827c, 0x0e6ab5a38f7244e0, 0xf83660cf5f51e565, 0xd68450ef8af027a8,
  0x4d7d185962291669, 0x9d5a5ce1ae359348, 0x75e74ef0f748d7c3, 0x5137231bf6355ae8, 0x6e1bd96cb98b8484,
  0xa0108a4d2a3608fd, 0x09c73c9fdaf2e556, 0x96fab39d454aa35d, 0xa45a9ae0404e576a, 0x88af2c5a4ab574bf,
  0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af, 0x3aebce31bc67440b, 0x33a05455bd8aaa2d, 0x30ddf094b52fcadb,
  0xe3459eff102f63c3, 0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb,
  0x6ce1c4e32c970cf4, 0xe4afdcd0ccb0e929, 0x0000275ff34cf059,
};

// usb1286_swio10_lednop_pr_ce_u4    usb1287_swio10_lednop_pr_ce       usb1287_swio10_lednop_pr_ce_u4
static const uint64_t ur_usb1286_swio10_lednop_pr_ce[] = {
  0x9fbbbbbb448624d6, 0xb5cb4b07057af58d, 0xae3dfa64cf8f9b5a, 0x170ff8b6966ef1de, 0x7db4508104ddd9e9,
  0x9f193bbf6baed19a, 0x8e5fe10a67fabe60, 0x73b1ac06fea65491, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0xdc2444e1da0e089f, 0xc149ee5bebd64d9e, 0xeb490e2481e0bf51, 0xf88e0f9cc580afe1, 0x1ffb33c75e8faf0a,
  0xc81e5adc37ee1aa0, 0xe793fb5e5caad6e1, 0x5673a8a9546ba138, 0x535c0809caed52df, 0xe58b4956ae97f48b,
  0x3cd935d73daad115, 0x855d520b94b5f3a0, 0x79c6378ce8817374, 0x1463b7b15545a75d, 0x7c252d4bf2b6cce8,
  0x67bfc40bd8f0cc37, 0x5a9d599bf83bb8d1, 0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334,
  0x7138cb25c33d30be, 0xf734332c3a4a5b38, 0x0dd7ef823c16792b,
};

// usb1286_swio10_lednop_pr_ee_ce_u4 usb1287_swio10_lednop_pr_ee_ce    usb1287_swio10_lednop_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio10_lednop_pr_ee_ce[] = {
  0x15bbbbbb4486d0e3, 0x1f72d2c422333ac6, 0xd86d014d2c19c2ff, 0x3636d903228efe9e, 0x91ba976d829170a5,
  0x9ddae36829cb225d, 0xf08533fcb5304f8c, 0x06fea8e2b491ec1f, 0xe79c216de6e77d82, 0x12fc4361227b2ce1,
  0x873af8551fa8f09e, 0xb1d3df367b709113, 0x1a01ea3cacbaca76, 0x05315b05f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e3863a909afa3, 0x79d3bc3dd235f0e7, 0x9b918dfb1aaf1b1d, 0x0decb65cc5c24228, 0x6622934a8d822647,
  0x71cf27f6bcb955a9, 0xbeace75152a8d742, 0x16a6b8101395daa5, 0x2bcb1692ad5d2fe9, 0x4079b26bae7b55a2,
  0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0xd028c76f62aa8b4e, 0x6ef84a5a97e56d99, 0xa2cf7f8817b1e198,
  0x12b53ab337f07771, 0x89ffde1ef79430a9, 0x68fb19d871fc65f9, 0x7c68f45fe07efd86, 0x70e271964b867a61,
  0x57ee6866587494b6, 0x0009f91a9c782cf2,
};

// usb1287_swio10_lednop_ee_hw
static const uint64_t ur_usb1286_swio10_lednop_ee_hw[] = {
  0x09bbbbbb451a3032, 0xdab96963d4c20ac5, 0xa6276998db623e24, 0xf229835e85c33b27, 0x696c89b045222508,
  0x3e32775b11ced4e4, 0x383fe562cfd0fcc1, 0x59439aad68e3dc91, 0xea3e0d9833d7d479, 0x9a75a1143be2bc09,
  0xd2135f4616588a45, 0xf0e75697386b8d64, 0xba1d79d3bc3dd235, 0x21144dc8c6fd8d56, 0x3f5b86f65b2e62e1,
  0x55a80422934a8d82, 0xd74271cf27f6bcb9, 0xdaa5beace75152a8, 0x2fe916a6b8101395, 0x55a22bcb1692ad5d,
  0x6be74079b26bae7b, 0x02e6e90abaa41729, 0x8b4ebaf38c6f19d1, 0xb6cce815156f62aa, 0xf0cc377c252d4bf2,
  0x7bca1854895a82ec, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0x412a8a792bf73433, 0x00000000000016ff,
};

// usb1286_swio10_lednop_ee_ce_u4_hw usb1287_swio10_lednop_ee_ce_hw    usb1287_swio10_lednop_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio10_lednop_ee_ce_hw[] = {
  0x2b7777768a341000, 0x3ee5a5884466758c, 0xb0da029a583385fe, 0x6c6db206451dfd3d, 0x23752edb0522e14a,
  0x8c9ddad577eecdbb, 0x0ff958b3fcb5304f, 0xc1037f54715a48f6, 0xe1e79c216fc873be, 0x9e12fc4361227b2c,
  0x138776ec2c9fa8f0, 0x76b1d3df367b7091, 0xcc1a01ea3cacbaca, 0x8a05315b05f51f06, 0xa30b2c4522cd3ad0,
  0xe7576e3863a909af, 0x1d79d3bc3dd235f0, 0x289b918dfb1aaf1b, 0x470decb65cc5c242, 0xa96622934a8d8226,
  0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0xe916a6b8101395da, 0xa22bcb1692ad5d2f, 0xe74079b26bae7b55,
  0xe6e90abaa417296b, 0x4ebaf38c6f19d102, 0x99d028c76f62aa8b, 0x986ef84a5a97e56d, 0x9430a912b505d9e1,
  0xfc65f989ffde1ef7, 0x7efd8668fb19d871, 0x867a617c68f45fe0, 0x7494b670e271964b, 0x0d14f257ee686658,
  0x00000000028083ff,
};

/*
 * usb1286_swio10_dual_pr            usb1286_swio10_dual_pr_u4         usb1287_swio10_dual
 * usb1287_swio10_dual_pr            usb1287_swio10_dual_pr_u4
 */
static const uint64_t ur_usb1286_swio10_dual[] = {
  0x25dddddda2431f02, 0xecfddde36d3ef9bf, 0x6b6e7191b82d16a2, 0x685c7167c10c056d, 0x0ebe7dce2dde4be4,
  0xfb928c459b42130a, 0x45206179827c64e2, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x4be2ec17f32c2500,
  0x4dea3ba5d81c3381, 0xe2f4292241240ff7, 0x257f9fbe08bf29f2, 0xf95e181bb87c2886, 0xb8bbf92f97cb9f90,
  0x48865ff2105a437c, 0x784d6b4542196846, 0x2bc84b6e50ffe80e, 0x3fbbfe2b3730586f, 0x5f51e443be587c92,
  0xbe747ba4871240c4, 0x5237bce62c055079, 0xffd9823af006bc3a, 0x40f2cf6d318c9500, 0x3f8abe7771525c09,
  0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0, 0x45a9ae0404e576a9, 0x8af2c5a4ab574bfa, 0xd01e6c9aeb9ed568,
  0xba42aea905ca5af9, 0xaebce31bc67440b9, 0x3a05455bd8aaa2d3, 0x0ddf094b52fcadb3, 0x3459eff102f63c33,
  0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c,
  0x4afdcd0ccb0e9296, 0x0002927b5ecf059e,
};

// usb1287_swio10_dual_pr_ee
static const uint64_t ur_usb1286_swio10_dual_pr_ee[] = {
  0x6e3db77777750c86, 0x14ed9fbbbc90c89e, 0x7337bf5767c739d9, 0xb502fed38593773b, 0xd07e777e3c8f8f63,
  0xb97763763c173166, 0xa479eb9827c64a33, 0xa4606eeab50c8da8, 0x9dd3e25c40c2860d, 0x5c5dfe7e6584a012,
  0xbd47ff9b00d070d3, 0xbd0a48904903e9f9, 0x5fe7ef822fca7cb8, 0x2bae06ee1f0a2189, 0xbbf92f97cb9f90f9,
  0x865ff2105a437cb8, 0x307b8a8432d05f68, 0x425b79dbffa039e1, 0xfff159b982c3795e, 0xf7355ad1945923d3,
  0x7c1b306657a8f2bd, 0xeb422877c57b3bd4, 0x26be8c2cb1148b34, 0x3ab4be045c54b9a4, 0xebd44de17f11e947,
  0x507aa34c6c6ab5d0, 0xdc37b2fa598b8484, 0x4021f37b546c11fa, 0x55acfe2af9ddc549, 0xd74271cf27f6bcb9,
  0xdaa5beace75152a8, 0x2fe916a6b8101395, 0x55a22bcb1692ad5d, 0x6be74079b26bae7b, 0x02e6e90abaa41729,
  0x8b4ebaf38c6f19d1, 0xb6cce815156f62aa, 0xf0cc377c252d4bf2, 0xeee3459eff104fb8, 0xf4c2b93f75666fe0,
  0x296ce1c4e32c970c, 0x59e4afdcd0ccb0e9, 0x00000006429a70f0,
};

// usb1287_swio10_dual_pr_ee_u4
static const uint64_t ur_usb1286_swio10_dual_pr_ee_u4[] = {
  0xb7777768a87f2906, 0x9fbbbc90c89e6e3d, 0xbf5767c739d914ed, 0xfed38593773b7337, 0x777e3c8f8f63b502,
  0x9016f0548c66d07e, 0x5cc13e32519dc8af, 0x7755a8646d4523cf, 0x12e20614306d2303, 0xe7e6584a6024ee9f,
  0xf9b00d070d35c5df, 0x8904903e9f9bd47f, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f92bae0,
  0x2105a437cb8bbf92, 0xa8432d05f68865ff, 0x9dbffa039e1307b8, 0x62982c3795e425b7, 0xad1945923d3ffe15,
  0x06657a8f2bdf7355, 0x877c57b3bd47c1b3, 0xc2cb1148b34eb422, 0xe045c54b9a426be8, 0xde17f11e9473ab4b,
  0x34c6c6ab5d0ebd44, 0x2fa598b8484507aa, 0x37b546c11fadc37b, 0xe2af9ddc5494021f, 0x1cf27f6bcb955acf,
  0xeace75152a8d7427, 0x6a6b8101395daa5b, 0xbcb1692ad5d2fe91, 0x079b26bae7b55a22, 0x90abaa417296be74,
  0xaf38c6f19d102e6e, 0x815156f62aa8b4eb, 0x77c252d4bf2b6cce, 0x167bfc40bd8f0cc3, 0xad4eaccdfc1a3f8d,
  0x7ff787bde50c2a44, 0x3ec6761c7f197e62, 0x1a3d17f81fbf619a, 0x389c6592e19e985f, 0xfb9a19961d252d9c,
  0x0ac9c6682d3f3c95,
};

// usb1287_swio10_dual_pr_ce
static const uint64_t ur_usb1286_swio10_dual_pr_ce[] = {
  0x1bb7777775050c86, 0xdecfdddf50fbbe6e, 0x1f6b858f6b0c8ce0, 0xf4e76489f55ecfb4, 0x8435dfbf7ba1b999,
  0x3b97763767d5f98a, 0x4523b8f9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0x37a8f1cb60704e1d, 0x8bd0a48904903b75, 0x95fe7ef822fca7cb, 0xc811206ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0xc260522a10cb40f5, 0x5e425b74b5ff4073, 0xb75ff159b982c379, 0x77a6c0577d427c91,
  0x56547e79c216de6e, 0x5cd02bb84889c392, 0x1fa8fd44f72cf6ea, 0xae4ccaa4871240ee, 0xd7874a46f79cc580,
  0x92a01ffb33c75e00, 0x92e04a0796b72631, 0x72ab59fc55f3bb8a, 0x51ae84e39e4fed79, 0x2bb54b7d59cea2a5,
  0xba5fd22d4d702027, 0xf6ab4457962d255a, 0x52d7ce80f364d75c, 0xa205cdd21575482e, 0x55169d75e718de33,
  0xcadb33a0518edec5, 0x33c330ddf094b52f, 0xc1ddc68b3dfe204e, 0x50c2a44ad4eaccdf, 0x07cd1f633b0e271a,
  0x8cb25c33d30ae4fc, 0x4332c3a4a5b38713, 0x48f5b3c16792bf73, 0x000000000000001a,
};

// usb1287_swio10_dual_pr_ce_u4
static const uint64_t ur_usb1286_swio10_dual_pr_ce_u4[] = {
  0x6eeeeed150fe72df, 0x3f777a9bf71cdd05, 0x78fe5ab6514e0ddb, 0x57d87d931d6f6c13, 0x32242dba829b1191,
  0x7d72fad2c9580467, 0x927304f8c9837726, 0x0ddd56a191b51483, 0x7c4b881850c1b48c, 0xd35f9961298093ba,
  0xd8fec3fe1c034717, 0x24482481d0fcdea3, 0xf7c117e53e5c5e85, 0x03770f8510c4aff3, 0x97cbe5cfc87cb907,
  0xf9082d21be5c5dfc, 0xe2a10cb41fc4432f, 0xdd36ffe80e784db7, 0x558a60b0de579096, 0x06feabee48d0fff8,
  0xcf3842dfc033b0b4, 0x25f886c244f659c3, 0x87ba1baa3f51e13c, 0xbeba97367b709113, 0x481dc3f51fa89ee5,
  0x98b015c9995490e2, 0xebc01af0e948def3, 0xe4c6325403ff6678, 0x7771525c0940f2d6, 0xfdaf2e556b3f8abe,
  0xd454aa35d09c73c9, 0x0404e576a96fab39, 0xa4ab574bfa45a9ae, 0x9aeb9ed5688af2c5, 0xa905ca5af9d01e6c,
  0x1bc67440b9ba42ae, 0xdbd8aaa2d3aebce3, 0x96a5f95b66740a31, 0xe205ec78661bbe12, 0x666fe0d1fc68b3df,
  0x3def286152256a75, 0xb0e3f8cbf313ffbc, 0xbfc0fdfb0cd1f633, 0x2c970cf4c2f8d1e8, 0xccb0e9296ce1c4e3,
  0x8b2169f9e4afdcd0, 0x000000000001a492,
};

// usb1286_swio10_dual_pr_ee_ce_u4   usb1287_swio10_dual_pr_ee_ce      usb1287_swio10_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio10_dual_pr_ee_ce[] = {
  0xbbbbbb4543fad164, 0xeeefc2bcd7e6ea3f, 0x470fabbcabec5f67, 0x761c171ff798ba6a, 0xa52947eabd9f26bf,
  0xef4e8ce8c29793a8, 0x9972ca9c6a2c81f5, 0x8a42afc3304f8c94, 0xda4606eeab50c8da, 0x49dd3e25c40c2860,
  0x8e2ed07fccb094c0, 0xf51ee476049470ca, 0xe8524482481b37e6, 0xff3f7c117e53e5c5, 0xcc503770f8510c4a,
  0x7f25f2f973f21f22, 0xcbfe420b486f9717, 0xd9d150865a04e910, 0x96dfa3fff4073c26, 0xf8558a60b0de5790,
  0x06fea8d2d49166ff, 0x3ce10b7f00ced9be, 0x97e21b0913d9670f, 0xeba2ef3efd4784f0, 0x3a9ba6cf6e122270,
  0xeebd4795e5694ed6, 0xa62bb75ea3e0d983, 0x6588a459a75a1140, 0xedd810752135f461, 0x513785fc47a51cea,
  0xd51a636355e363af, 0xbd97d2cc5c242283, 0xc7cded51b044c8e1, 0xb3f8abe77715252c, 0x09c73c9fdaf2e556,
  0x96fab39d454aa35d, 0xa45a9ae0404e576a, 0x88af2c5a4ab574bf, 0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af,
  0x3aebce31bc67440b, 0x6740a31dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786, 0x2256a75666fe0d1f,
  0x313ffbc3def28615, 0xcd1f633b0e3f8cbf, 0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296,
  0x00080082ed169f9e,
};

// usb1287_swio10_dual_ee_hw
static const uint64_t ur_usb1286_swio10_dual_ee_hw[] = {
  0xb6eeeeed1468a0ae, 0xb3f777921913cdc7, 0xf7eaecf8e73b229d, 0x5fda70b26ee76e66, 0xceefc791f1ec76a0,
  0xd7dfd6f43ebcda0f, 0x9eb9827c64a33b97, 0x06eeab50c8da8a47, 0x3e25c40c2860da46, 0xdfe7e6584a7419dd,
  0x7ff9b00d070d35c5, 0xa48904903e9f9bd4, 0x7ef822fca7cb8bd0, 0xe06ee1f0a21895fe, 0x92f97cb9f90f92ba,
  0xff2105a437cb8bbf, 0xb8a8432d05f68865, 0xb79dbffa039e1307, 0xc65a982c3795e425, 0xd56b4651648f4fff,
  0x6cc1995ea3caf7dc, 0x08a1df15ecef51f0, 0xfa30b2c4522cd3ad, 0xd2f8117152e6909a, 0x513785fc47a51cea,
  0xea8d31b1aad743af, 0xdecbe9662e121141, 0x87cded51b047eb70, 0xb3f8abe777152500, 0x09c73c9fdaf2e556,
  0x96fab39d454aa35d, 0xa45a9ae0404e576a, 0x88af2c5a4ab574bf, 0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af,
  0x3aebce31bc67440b, 0x33a05455bd8aaa2d, 0x30ddf094b52fcadb, 0x286152256a0bb3c3, 0xf8cbf313ffbc3def,
  0xfdfb0cd1f633b0e3, 0x0cf4c2f8d1e8bfc0, 0xe9296ce1c4e32c97, 0xca29e4afdcd0ccb0, 0x0000000002bb41a7,
};

// usb1286_swio10_dual_ee_ce_u4_hw   usb1287_swio10_dual_ee_ce_hw      usb1287_swio10_dual_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio10_dual_ee_ce_hw[] = {
  0xfbbbbbb451a1022f, 0x7eeefc2bcd7e6ea3, 0xa470fabbcabec5f6, 0xf761c171ff798ba6, 0x8a52947eabd9f26b,
  0xecae3cce8c29793a, 0xe325265cb69f2117, 0x3236a290abf0cc13, 0x0a18369181bbaad4, 0x129d06774f897103,
  0x8e1951c5da0ff996, 0x66fcdea3dc8ec092, 0x7cb8bd0a48904903, 0x21895fe7ef822fca, 0x43e4598a06ee1f0a,
  0xf2e2efe4be5f2e7e, 0x9d22197fc841690d, 0xe784db3a2a10cb40, 0xcaf212dbf47ffe80, 0x8b37ffe32d4c161b,
  0x76cdf037f54696a4, 0x659c3cf3842df90e, 0x1e13c25f886c244f, 0x2444e1fd6a7807f5, 0xd29dac75374d9edc,
  0xc1b307dd7a8f2bca, 0xb422814c576ebd47, 0x6be8c2cb1148b34e, 0x4a39d5dbb020ea42, 0xc6c75ea26f0bf88f,
  0x484507aa34c6c6ab, 0x8991c37b2fa598b8, 0x2a4a598f9bdaa360, 0xe5caad67f157ceee, 0x9546ba138e793fb5,
  0x9caed52df5673a8a, 0x6ae97f48b535c080, 0x73daad115e58b495, 0xb94b5f3a03cd935d, 0xce8817374855d520,
  0x15545a75d79c6378, 0xbf2b6cce81463b7b, 0x2ecf0cc377c252d4, 0xf0f7bca1854895a8, 0xcec38fe32fcc4ffe,
  0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0xd699e5e8a792bf73, 0x0000000000000075,
};

// usb1286_swio12_noled              usb1287_swio11_noled              usb1287_swio12_noled
static const uint64_t ur_usb1286_swio11_noled[] = {
  0x2783bbbbbacdfc4f, 0xdcb4b10adb3eb0d8, 0x7b00244cf741921d, 0x1984d49bbbf56d1b, 0x0418ebe84dd6c13c,
  0x9827c64eec2f5a35, 0x922657ff9bae7dfc, 0xd7ff51d313be5ba0, 0x74dd43df490e2481, 0x0dac8c9e398b016f,
  0x3db8e58c11d78baf, 0x3c9fdaf2e556a567, 0xb39d454aa35d09c7, 0x45a9ace576a96fab, 0x22bcb1692b637afa,
  0xa9f4ef3f5ae7b55a, 0x2617a41afa9c0594, 0x881b1fe2810b4ac2, 0xbf2b6cce9c6378ce, 0xfd8f0cc377c252d4,
  0x1964b867a615c9f9, 0x866587494b670e27, 0x838ba10fcf257ee6, 0x0000000000000054,
};

/*
 * usb1286_swio11_noled_pr_u4        usb1286_swio12_noled_pr           usb1286_swio12_noled_pr_u4
 * usb1287_swio11_noled_pr           usb1287_swio11_noled_pr_u4        usb1287_swio12_noled_pr
 * usb1287_swio12_noled_pr_u4
 */
static const uint64_t ur_usb1286_swio11_noled_pr[] = {
  0x444ddddda2432f02, 0xb9696215a00ac4f7, 0xf71da1c489910cd6, 0x42e2499b11327ad4, 0x7d432f7bb3dd111e,
  0x277638c0bc5ecce1, 0xfe10a67e034c13e3, 0xe0a1df2dbdc910f7, 0x7ad243892064d7a8, 0x114e62c0596533f8,
  0xcc11d7a3ebc3f223, 0x967b7bdf40a807fe, 0xfed7972ab5815a07, 0xea2a551ae84e39e4, 0x4d672bb54b7d5d9c,
  0xe58b495b1bd7d22d, 0x7807f5d73daad115, 0xd20c2ea6c529e1a7, 0x0bce31bc67440bab, 0x976455bd8aaa2d29,
  0xddf094b52fcadb33, 0x459eff102f63c330, 0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3,
  0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00f937566cf059e4,
};

/*
 * usb1286_swio11_noled_pr_ee_u4     usb1286_swio12_noled_pr_ee        usb1286_swio12_noled_pr_ee_u4
 * usb1287_swio11_noled_pr_ee        usb1287_swio11_noled_pr_ee_u4     usb1287_swio12_noled_pr_ee
 * usb1287_swio12_noled_pr_ee_u4
 */
static const uint64_t ur_usb1286_swio11_noled_pr_ee[] = {
  0xbc9bbbbb448624d6, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0xeefdaebb4669f6d1, 0x84299feaf9827c64, 0x6ab5a331f246397f, 0x3660fa8f51e565d6, 0x8450ef8ad82fa8f8,
  0x7d185962291669d6, 0x5a5dd2ae3593484d, 0xce9de109e8fe439d, 0x9223deec6ab5d0eb, 0x1bd96cb98b848451,
  0x570d67aa3608fd6e, 0x1cf27f6bcb955a80, 0xaece75152a8d7427, 0xe916a6b395daa5be, 0x688af2c5a4ad8deb,
  0xf0d3bc03faeb9ed5, 0x05d5e90617536294, 0x169485e718de33a2, 0x6d99cbb22adec555, 0xe1986ef84a5a97e5,
  0x7771a2cf7f8817b1, 0x30a912b53ab337f0, 0x65f989ffde1ef794, 0xfd8668fb19d871fc, 0x7a617c68f45fe07e,
  0x94b670e271964b86, 0x2cf257ee68665874, 0x00000013afdf0478,
};

/*
 * usb1286_swio11_noled_pr_ce_u4     usb1286_swio12_noled_pr_ce        usb1286_swio12_noled_pr_ce_u4
 * usb1287_swio11_noled_pr_ce        usb1287_swio11_noled_pr_ce_u4     usb1287_swio12_noled_pr_ce
 * usb1287_swio12_noled_pr_ce_u4
 */
static const uint64_t ur_usb1286_swio11_noled_pr_ce[] = {
  0x9122eeeeed121911, 0xb5cb4b07051a7587, 0xe91fd34a306b9b5a, 0x48b87eb43f60cec7, 0x658aa2bd724375e4,
  0xc13e327755f33e83, 0x91d9dfe10a67ce0c, 0xe6e771580dfd43dc, 0x227b2ce1e79c216d, 0xffa8f09e12fc4361,
  0x9edc2444e1f2a1a0, 0x51d7c9ee5bebd64d, 0xda01490e2481acff, 0x0fc88c45398b0163, 0xa01ffb33c75e8faf,
  0x815a0796b76f7d02, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0xd7d22d4d672bb54b, 0xaad115e58b495b1b,
  0x29e1a77807f5d73d, 0x440babd20c2ea6c5, 0xaa2d290bce31bc67, 0x95b6672ec31dbd8a, 0xc78661bbe1296a5f,
  0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xe0b3c95fb9a19961, 0x000000006ebbe499,
};

/*
 * usb1286_swio11_noled_pr_ee_ce_u4  usb1286_swio12_noled_pr_ee_ce     usb1286_swio12_noled_pr_ee_ce_u4
 * usb1287_swio11_noled_pr_ee_ce     usb1287_swio11_noled_pr_ee_ce_u4  usb1287_swio12_noled_pr_ee_ce
 * usb1287_swio12_noled_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_swio11_noled_pr_ee_ce[] = {
  0x537bbbbb44861a4e, 0xb96962112c4d6090, 0xb6b4e86656e17f8f, 0x1b66c44eb826975e, 0x99ac16c148a4829b,
  0xea6bb85a4cf70539, 0x4299fbc39827c64e, 0x7f5471ca48e377f8, 0xce10b6f373bc6e03, 0x7e21b0913d9670f3,
  0xb928ebefd4784f09, 0xd3df367b70911387, 0x95ea3cae43ca76b1, 0x31594bf51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e74a3a909afa30b, 0xa778427a3f90e757, 0x11ef76355e363af3, 0xecb65cc5c24228c9, 0xc359ea8d8226470d,
  0x3c9fdaf2e556a59d, 0xb39d454aa35d09c7, 0x45a9ace576a96fab, 0x22bcb1692b637afa, 0x34ef00febae7b55a,
  0x757a4185d4d8a53c, 0xa52179c6378ce881, 0xcce5d863b7b15545, 0xcc377c252d4bf2b6, 0xb8d167bfc40bd8f0,
  0x54895a9d599bf83b, 0xfcc4ffef0f7bca18, 0xc3347d8cec38fe32, 0x30be347a2ff03f7e, 0x5b387138cb25c33d,
  0x792bf734332c3a4a, 0x0000027e0c9c3c16,
};

// usb1286_swio12_noled_ee_hw        usb1287_swio11_noled_ee_hw        usb1287_swio12_noled_ee_hw
static const uint64_t ur_usb1286_swio11_noled_ee_hw[] = {
  0xbc9bbbbb451a3705, 0xb96963d4debd60bd, 0x8f7e9edb75fe24da, 0x299c7da59bbc77ab, 0x4204108a4442f6f2,
  0x32776c36cad498d1, 0x5fe562cff57cc13e, 0x759aad68cc7c918e, 0x3e0d983ea3d47959, 0x75a1143be2b60bea,
  0x135f4616588a459a, 0xe7569774ab8d64d2, 0x3af3a778427a3f90, 0x146488f7bb1aad74, 0x5b86f65b2e62e121,
  0xa015c359ea8d823f, 0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0x7afa45a9ace576a9, 0xb55a22bcb1692b63,
  0xa53c34ef00febae7, 0xe881757a4185d4d8, 0x5545a52179c6378c, 0xf95b6672ec8ab7b1, 0x7678661bbe1296a5,
  0x87bde50c2a44ad41, 0x761c7f197e627ff7, 0x17f81fbf619a3ec6, 0x6592e19e985f1a3d, 0x19961d252d9c389c,
  0xf8cf27453c95fb9a, 0x0000000000000016,
};

/*
 * usb1286_swio11_noled_ee_ce_u4_hw  usb1286_swio12_noled_ee_ce_hw     usb1286_swio12_noled_ee_ce_u4_hw
 * usb1287_swio11_noled_ee_ce_hw     usb1287_swio11_noled_ee_ce_u4_hw  usb1287_swio12_noled_ee_ce_hw
 * usb1287_swio12_noled_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_swio11_noled_ee_ce_hw[] = {
  0xa6f777768a345f41, 0x72d2c422589ac120, 0x6d69d0ccadc2ff1f, 0x36cd889d704d2ebd, 0x33582d8291490536,
  0x4eed17f77b5c4a73, 0xfcac59fbc39827c6, 0x01bfaa38e52471bb, 0xf3ce10b7e439de37, 0x097e21b0913d9670,
  0x87185ddbbfd4784f, 0xb1d3df367b709113, 0x1e95ea3cae43ca76, 0x0531594bf51f06cc, 0x0b2c4522cd3ad08a,
  0x576e74a3a909afa3, 0xf3a778427a3f90e7, 0xc911ef76355e363a, 0x0decb65cc5c24228, 0x9dc359ea8d822647,
  0xc73c9fdaf2e556a5, 0xabb39d454aa35d09, 0xfa45a9ace576a96f, 0x5a22bcb1692b637a, 0x3c34ef00febae7b5,
  0x81757a4185d4d8a5, 0x45a52179c6378ce8, 0xb6cce5d863b7b155, 0xf0cc377c252d4bf2, 0x7bca1854895a82ec,
  0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0x9e4e8a792bf73433,
  0x000000000000a025,
};

// usb1286_swio12_lednop             usb1287_swio11_lednop             usb1287_swio12_lednop
static const uint64_t ur_usb1286_swio11_lednop[] = {
  0x04f077777759bb37, 0xddcb4b10ad42561b, 0xe3b50fc2f4141921, 0xc1984d49a914dad2, 0xb1b6fd2f8bdd6c13,
  0x304f8c9ddb1ec869, 0x918f7ffe6eb9f5f7, 0xbffa8ff21df2dd04, 0xa691221a4871240e, 0x77b47d01cc580b7b,
  0xfdc72c608ebc5d78, 0xc9fdaf2e556a562c, 0x39d454aa35d09c73, 0xe0404e576a96fabb, 0x2d2572f4bfa45a9a,
  0xd01e5cf6ab445796, 0x5200bd4b5e5380b9, 0xcfa2810b49521408, 0xb6674e31bc674409, 0x8661bbe1296a5f95,
  0x5c33d30ae4fcfec7, 0xc3a4a5b387138cb2, 0x5087e792bf734332, 0x000000000002a4b7,
};

/*
 * usb1286_swio11_lednop_pr_u4       usb1286_swio12_lednop_pr          usb1286_swio12_lednop_pr_u4
 * usb1287_swio11_lednop_pr          usb1287_swio11_lednop_pr_u4       usb1287_swio12_lednop_pr
 * usb1287_swio12_lednop_pr_u4
 */
static const uint64_t ur_usb1286_swio11_lednop_pr[] = {
  0x889bbbbb4486fc3b, 0xe5a58856f1f589ee, 0xd537ebfc2e44335a, 0x85c4c004cd22ed93, 0x385e35f767ba223c,
  0x4eedc13750cca735, 0xfc214cf9459827c6, 0xe801df2dbdc917f3, 0x225243892064d7a8, 0x6f9cc580b2ca6a95,
  0x30475e8faf0cdc8c, 0x59edc656b2a01ffb, 0xed7972ab53ea881e, 0xa2a551ae84e39e4f, 0x0272bb54b7d5d9ce,
  0x2b97a5fd22d4d702, 0xbae7b55a22bcb169, 0x417296be74079b26, 0xf19d102e6e90abaa, 0xf62aa8b4ebaf38c6,
  0xa97e56d99dd3d156, 0x817b1e1986ef84a5, 0x337f07771a2cf7f8, 0xef79430a912b53ab, 0x871fc65f989ffde1,
  0xfe07efd8668fb19d, 0x64b867a617c68f45, 0x6587494b670e2719, 0xcd0782cf257ee686, 0x000000000003e4e4,
};

/*
 * usb1286_swio11_lednop_pr_ee_u4    usb1286_swio12_lednop_pr_ee       usb1286_swio12_lednop_pr_ee_u4
 * usb1287_swio11_lednop_pr_ee       usb1287_swio11_lednop_pr_ee_u4    usb1287_swio12_lednop_pr_ee
 * usb1287_swio12_lednop_pr_ee_u4
 */
static const uint64_t ur_usb1286_swio11_lednop_pr_ee[] = {
  0xbc9bbbbb4486a4d6, 0xb96963d4ea2d60bd, 0x67be4600f4be24da, 0x14ce3ef5da5a9bda, 0xb452b64522217b79,
  0xdd39d9f7938abd71, 0x84299f0b5304f8c9, 0x6ab5a331f2449d7f, 0x3660fa8f51e56c16, 0x8450ef8af2b7a8f8,
  0x7d185962291669d6, 0x5a5cbaae3593484d, 0xce9de1dbe8e6e39d, 0x0a238cac6ab5d0eb, 0x1bd96cb98b848450,
  0x16f7d02a3608fd6e, 0xc73c9fdaf2e556a0, 0xabb39d454aa35d09, 0xa9ae0404e576a96f, 0x7962d2572f4bfa45,
  0x0f364d75cf6ab445, 0x21575482e52d7ce8, 0x5e718de33a205cdd, 0xa7a2adec555169d7, 0xdf094b52fcadb33b,
  0x59eff102f63c330d, 0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd,
  0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce, 0x0275ff24cf059e4a,
};

/*
 * usb1286_swio11_lednop_pr_ce_u4    usb1286_swio12_lednop_pr_ce       usb1286_swio12_lednop_pr_ce_u4
 * usb1287_swio11_lednop_pr_ce       usb1287_swio11_lednop_pr_ce_u4    usb1287_swio12_lednop_pr_ce
 * usb1287_swio12_lednop_pr_ce_u4
 */
static const uint64_t ur_usb1286_swio11_lednop_pr_ce[] = {
  0x48bbbbbb4486b044, 0x72d2c1c1682d61e4, 0x4f4c4edb75e6d6ad, 0xe1fad0699fb7a7bf, 0x723f51590dd79122,
  0xe327776527da3bb1, 0xadfe10a67d2d4c13, 0x767040dfd43dc911, 0xb2ce1e79c216de6e, 0x8f09e12fc4361227,
  0xc2444e1d4939bffa, 0xbe9ee5bebd64d9ed, 0x2921c490359fea3c, 0x231be731602c06ea, 0xfeccf1d7a3ebc337,
  0x81e5add195aca807, 0xe4fed7972ab53ea8, 0x9cea2a551ae84e39, 0x7020272bb54b7d5d, 0x1692b97a5fd22d4d,
  0xb26bae7b55a22bcb, 0xbaa417296be74079, 0x8c6f19d102e6e90a, 0xc76f62aa8b4ebaf3, 0x94b52fcadb33ba78,
  0xff102f63c330ddf0, 0x75666fe0eee3459e, 0xbc3def286152256a, 0x33b0e3f8cbf313ff, 0xe8bfc0fdfb0cd1f6,
  0xe32c970cf4c2f8d1, 0xd0ccb0e9296ce1c4, 0xae0158f059e4afdc, 0x000000000000001b,
};

/*
 * usb1286_swio11_lednop_pr_ee_ce_u4 usb1286_swio12_lednop_pr_ee_ce    usb1286_swio12_lednop_pr_ee_ce_u4
 * usb1287_swio11_lednop_pr_ee_ce    usb1287_swio11_lednop_pr_ee_ce_u4 usb1287_swio12_lednop_pr_ee_ce
 * usb1287_swio12_lednop_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_swio11_lednop_pr_ee_ce[] = {
  0x29bddddda24343ee, 0xdcb4b10881bab048, 0x2b5b10d3c5f0bfc7, 0x8db362c4c4e313a0, 0x53a38b60a452414d,
  0xed77e4484369e7ac, 0x4299f67c9827c64e, 0x7f5471ca489adff8, 0xce10b6f373b35b03, 0x7e21b0913d9670f3,
  0x88c538ffd4784f09, 0xd3df367b70911387, 0x95ea3caca5ca76b1, 0x315a9ef51f06cc1e, 0x2c4522cd3ad08a05,
  0x6e2ea3a909afa30b, 0xa77876fa39b8e757, 0x11c656355e363af3, 0xecb65cc5c2422805, 0xbdf40a8d8226470d,
  0xcf27f6bcb955a967, 0xece75152a8d74271, 0x6b8101395daa5bea, 0x58b495cbd2fe916a, 0xcd935d73daad115e,
  0x55d520b94b5f3a03, 0x9c6378ce88173748, 0xc63b7b15545a75d7, 0x84a5a97e56d99dd3, 0xf7f8817b1e1986ef,
  0x53ab337f07771a2c, 0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x9f80f26782cf257e,
};

// usb1286_swio12_lednop_ee_hw       usb1287_swio11_lednop_ee_hw       usb1287_swio12_lednop_ee_hw
static const uint64_t ur_usb1286_swio11_lednop_ee_hw[] = {
  0xde4ddddda28d0044, 0x5cb4b1ea7516b05e, 0x33df23007a5f126d, 0x8a671f7aed2d4ded, 0xda295b229110bdbc,
  0x3277505272d086b8, 0xaff2b167c2d4c13e, 0x82cd56b4663e4893, 0x1f06cc1f51ea3cad, 0x3ad08a1df15e56f5,
  0x09afa30b2c4522cd, 0x73ab4b9755c6b269, 0x1d79d3bc3b7d1cdc, 0x8a014471958d56ba, 0xadc37b2d97317090,
  0xd402defa0546c11f, 0xa138e793fb5e5caa, 0x2df57673a8a9546b, 0x48b535c0809caed5, 0x88af2c5a4ae5e97f,
  0x9d01e6c9aeb9ed56, 0x9ba42aea905ca5af, 0x3aebce31bc67440b, 0x6774f455bd8aaa2d, 0x61bbe1296a5f95b6,
  0x50c2a44ad4176786, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81, 0xd252d9c389c6592e,
  0x1453c95fb9a19961, 0x0000000000b7c8cd,
};

/*
 * usb1286_swio11_lednop_ee_ce_u4_hw usb1286_swio12_lednop_ee_ce_hw    usb1286_swio12_lednop_ee_ce_u4_hw
 * usb1287_swio11_lednop_ee_ce_hw    usb1287_swio11_lednop_ee_ce_u4_hw usb1287_swio12_lednop_ee_ce_hw
 * usb1287_swio12_lednop_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_swio11_lednop_ee_ce_hw[] = {
  0xa6f777768a346d3a, 0x72d2c42206eac120, 0xad6c434f17c2ff1f, 0x36cd8b13138c4e80, 0x4e8e2d8291490536,
  0x9ddb9db37b931eb1, 0xf958b3ecf9304f8c, 0x037f5471ca489adf, 0xe79c216fc873b35b, 0x12fc4361227b2ce1,
  0x875c170fffa8f09e, 0xb1d3df367b709113, 0x1e95ea3caca5ca76, 0x05315a9ef51f06cc, 0x0b2c4522cd3ad08a,
  0x576e2ea3a909afa3, 0xf3a77876fa39b8e7, 0x0511c656355e363a, 0x0decb65cc5c24228, 0x67bdf40a8d822647,
  0x71cf27f6bcb955a9, 0xeaece75152a8d742, 0x6a6b8101395daa5b, 0x5e58b495cbd2fe91, 0x03cd935d73daad11,
  0x4855d520b94b5f3a, 0xd79c6378ce881737, 0xd3c63b7b15545a75, 0xef84a5a97e56d99d, 0x0a912b505d9e1986,
  0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef, 0x4b670e271964b867, 0x4f257ee686658749,
  0x000000140441f751,
};

/*
 * usb1286_swio11_dual_pr            usb1286_swio11_dual_pr_u4         usb1286_swio12_dual
 * usb1286_swio12_dual_pr            usb1286_swio12_dual_pr_u4         usb1287_swio11_dual
 * usb1287_swio11_dual_pr            usb1287_swio11_dual_pr_u4         usb1287_swio12_dual
 * usb1287_swio12_dual_pr            usb1287_swio12_dual_pr_u4
 */
static const uint64_t ur_usb1286_swio11_dual[] = {
  0xf91ddddda243359b, 0x7eeef1b762fcdd60, 0x6abec4a3368b5176, 0x6244b116a6c5b73b, 0xe55ff6b7560f91a1,
  0xc878661426daeb45, 0x48ea74c13e32717d, 0x48c0ddd56a191b51, 0x3ba7c4b881850c1b, 0xf8bb05fccb094025,
  0x7a8ee976070ce052, 0xbd0a48904903fdd3, 0x5fe7ef822fca7cb8, 0x530c06ee1f0a2189, 0x2efe4be5f2e7e43e,
  0x2197fc841690df2e, 0x135ad150865a1192, 0xf212dbb05ffa039e, 0x93ff8acdcc161bca, 0xa8fdd1df2cb5e48b,
  0x94c7d24389207bdf, 0x1a62731602a83cce, 0xecc11d78035e13d5, 0xf2cf6e21c8aa807f, 0xc55f3bb8a92b88c0,
  0x39e4fed7972ab59f, 0x5d9cea2a551ae84e, 0x4d7020272bb54b7d, 0xcb1692b97a5fd22d, 0x79b26bae7b55a22b,
  0x0abaa417296be740, 0xf38c6f19d102e6e9, 0x3d156f62aa8b4eba, 0xf84a5a97e56d99dd, 0xcf7f8817b1e1986e,
  0xb53ab337f07771a2, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668, 0xe271964b867a617c,
  0xee6866587494b670, 0x149379b6782cf257,
};

// usb1286_swio12_dual_pr_ee         usb1287_swio11_dual_pr_ee         usb1287_swio12_dual_pr_ee
static const uint64_t ur_usb1286_swio11_dual_pr_ee[] = {
  0xb1586dddddd432db, 0x7b3f777920e17cdd, 0x69b60810fed06e81, 0x138eb137b3745fb3, 0x8289fe3c8fb62b0d,
  0x7045583c333a1f96, 0x9e5e609f1931c6e4, 0x81bbaad43236a290, 0x4f8971030a183691, 0x70d1f99612804a77,
  0x7e9fd858f9c3fe71, 0xa48904903eaf9bd4, 0x7ef822fca7cb8bd0, 0x606ee1f0a21895fe, 0x92f97cb9f90f91b7,
  0xff2105a437cb8bbf, 0x48a8432d08f68865, 0x6dc347fd01cf09a4, 0xc566e60b0de57909, 0x6ab5a380d2452d7f,
  0x3660e44f51e57812, 0x8450ef8af7dfa8f8, 0x7d185962291669d6, 0x697286b84173484d, 0x58af087b472f8e75,
  0x1463e58d56ba1d7b, 0x7b2e3e3170908a27, 0x7715255c2d7fadc3, 0xdaf2e556b3f8abe7, 0x454aa35d09c73c9f,
  0x04e576a96fabb39d, 0x572f4bfa45a9ae04, 0x75cf6ab4457962d2, 0x82e52d7ce80f364d, 0xe33a205cdd215754,
  0xec555169d75e718d, 0x52fcadb33ba7a2ad, 0x13ee3c330ddf094b, 0x9bf83bb8d167bfc4, 0x25c33d30ae4fdd59,
  0x2c3a4a5b387138cb, 0x143c16792bf73433, 0x00000000000c850e,
};

// usb1286_swio12_dual_pr_ee_u4      usb1287_swio11_dual_pr_ee_u4      usb1287_swio12_dual_pr_ee_u4
static const uint64_t ur_usb1286_swio11_dual_pr_ee_u4[] = {
  0x6b777768a87fb202, 0xddde4834f7373ac7, 0xbd9624e4ec8a76cf, 0xaf7187d55fbf57de, 0x7c791f3ac76a05ec,
  0x2d1fe0e56083395c, 0x7c64a33b97f5ba46, 0x50c8da8a41f3e982, 0x0c2860da4606eeab, 0xb094c049dd3e25c4,
  0x1a0e1a6b8bbfcfcc, 0x207d3f37a8fff360, 0xf94f9717a1491209, 0xe144312bfcfdf045, 0xb9f90f979c80ddc3,
  0xa437cb8bbf92f97c, 0x2d05f68865ff2105, 0xfa039e1307b8a843, 0x161bcaf212dbbfcf, 0xf749131fff0ab14c,
  0xfd4795dba9aad68f, 0x5715bd47c1b3061e, 0x1148b34eb422877c, 0xc54b9a426be8c2cb, 0x1919ea73ab4be565,
  0x8d56ba1d7a89bc30, 0x3170908a3a84710d, 0x8d823f5b86f65f4b, 0xeee2a4a012d783ea, 0xfb5e5caad67f157c,
  0xa8a9546ba138e793, 0x809caed52df57673, 0x4ae5e97f48b535c0, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e6c9,
  0xbc67440b9ba42aea, 0xbd8aaa2d3aebce31, 0x6a5f95b66774f455, 0x205ec78661bbe129, 0x66fe0d1fc68b3dfe,
  0xdef286152256a756, 0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32,
  0x3e169f9e4afdcd0c, 0x000000000005648d,
};

// usb1286_swio12_dual_pr_ce         usb1287_swio11_dual_pr_ce         usb1287_swio12_dual_pr_ce
static const uint64_t ur_usb1286_swio11_dual_pr_ce[] = {
  0xd333dddddd435032, 0xb3f777d43ae3cdcd, 0xbdf7075805233837, 0xa73d60b28f962d70, 0x9bd9b1d7dd374ccf,
  0xee557b68ff5efbb0, 0x1485d16609f193f4, 0xb48c0ddd56a191b5, 0x53ba7c4b881850c1, 0x7f17a1ffccb09402,
  0xdea3c72d81c13875, 0x2f4292241240edd4, 0x57f9fbe08bf29f2e, 0x2e6f81bb87c28862, 0x177f25f2f973f21f,
  0x10cbfe420b486f97, 0x098148a8432d03d5, 0xf212dbd0fffd01cf, 0x9bff8acdcc161bca, 0xdece015df591248e,
  0x730df9e7085b79b9, 0x7340aee122270e6b, 0xbd4709f3dcb3dba9, 0x4ac1ee921c4903b5, 0xbc27aa34c4e62c05,
  0x5500ffd99e3af006, 0x95c460796b744391, 0x955acfe2af9ddc54, 0x8d74271cf27f6bcb, 0xdaa5beaece75152a,
  0x2fe916a6b8101395, 0xaad115e58b495cbd, 0xb5f3a03cd935d73d, 0x817374855d520b94, 0x45a75d79c6378ce8,
  0x6d99dd3c63b7b155, 0xe1986ef84a5a97e5, 0xddc68b3dfe209f71, 0xe985727eeaccdfc1, 0x52d9c389c6592e19,
  0xb3c95fb9a19961d2, 0x00000039eb2b51e0,
};

// usb1286_swio12_dual_pr_ce_u4      usb1287_swio11_dual_pr_ce_u4      usb1287_swio12_dual_pr_ce_u4
static const uint64_t ur_usb1286_swio11_dual_pr_ce_u4[] = {
  0x16eeeed150ffbf5b, 0x777a9bb41e6e769b, 0x371a92614e0ddb3f, 0x103e421ad6f1ff73, 0xf26bee9da6c46467,
  0xeb009c1480bbebb4, 0xae609f19306ee4cd, 0xbbaad43236a29047, 0x8971030a18369181, 0x6bf32c253012774f,
  0x1fd87fc38068e2fa, 0x8904903a1f9bd47b, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f905220,
  0x2105a437cb8bbf92, 0x54219683f88865ff, 0xf4d7fd01cf09b6fc, 0x58a60b0de579096d, 0x37f5a952442d7f85,
  0xf3842dfc033be9f0, 0x5f886c244f659c3c, 0x7eeb0003f51e13c2, 0xeba97367b7091138, 0x81dadea384f9ee5b,
  0x1602a560f7490e24, 0x78035e13d51a6273, 0x21c8aa807feccf1d, 0xee2a4ae2303cb5ba, 0xb5e5caad67f157ce,
  0x8a9546ba138e793f, 0x09caed52df57673a, 0xae5e97f48b535c08, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e6c9a,
  0xc67440b9ba42aea9, 0xd8aaa2d3aebce31b, 0x4bf2b6ccee9e31db, 0x0bd8f0cc377c252d, 0xdfc1a3f8d167bfc4,
  0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x22d3f3c95fb9a199, 0x0000000001a49156,
};

/*
 * usb1286_swio11_dual_pr_ee_ce_u4   usb1286_swio12_dual_pr_ee_ce      usb1286_swio12_dual_pr_ee_ce_u4
 * usb1287_swio11_dual_pr_ee_ce      usb1287_swio11_dual_pr_ee_ce_u4   usb1287_swio12_dual_pr_ee_ce
 * usb1287_swio12_dual_pr_ee_ce_u4
 */
static const uint64_t ur_usb1286_swio11_dual_pr_ee_ce[] = {
  0xfbbbbb4543f81907, 0x77e142cdf3740355, 0x07db3655f62fb3f7, 0x9e0b337a6a477ebe, 0xa5201aaf67dddeb2,
  0xacda9d35d5c87514, 0x972422fbd3ae9ac2, 0x522f549304f8c949, 0xd23037755a8646d4, 0x4ee9f12e20614306,
  0x717683fe6584a602, 0xa8f723b024a38654, 0x4292241240d9bf37, 0xf9fbe08bf29f2e2f, 0xcb81bb87c2886257,
  0xfc97cbe5cfc87c93, 0x2ff9082d21be5c5d, 0x674542196813a443, 0x5b7683ffd01cf09b, 0xe1562982c3795e42,
  0x1bfaa3a1f923d67f, 0x79c216fe019df598, 0x2fc4361227b2ce1e, 0xba7463d7fa8f09e1, 0xea6e9b3db84889c3,
  0xdff51e572ba53b58, 0x315e9bf51f06cc1e, 0x2c4522cd3ad08a05, 0x6ecac3a909afa30b, 0x1378603233d4e757,
  0x11c436355e363af5, 0xd97d2cc5c24228ea, 0xaf07d51b044c8e1b, 0xfe2af9ddc5494b35, 0x71cf27f6bcb955ac,
  0xeaece75152a8d742, 0x6a6b8101395daa5b, 0x5e58b495cbd2fe91, 0x03cd935d73daad11, 0x4855d520b94b5f3a,
  0xd79c6378ce881737, 0xd3c63b7b15545a75, 0xef84a5a97e56d99d, 0x2cf7f8817b1e1986, 0x5a9d599bf8347f1a,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x2001843e5a7e792b,
};

// usb1286_swio12_dual_ee_hw         usb1287_swio11_dual_ee_hw         usb1287_swio12_dual_ee_hw
static const uint64_t ur_usb1286_swio11_dual_ee_hw[] = {
  0xed6eeeed14683202, 0xfbbbc9069ee6e758, 0xd7b2c49c9d914ed9, 0x95ee30faabf7eafb, 0x8f8f23e758ed40bd,
  0x0fafbd35ac10672b, 0x9827c64a33b90d3a, 0xeab50c8da8a41f3e, 0x5c40c2860da4606e, 0x7e6584a7419dd3e2,
  0x9b00d070d35c5dfe, 0x904903e9f9bd47ff, 0x822fca7cb8bd0a48, 0xee1f0a21895fe7ef, 0xcbe5cfc87cbce406,
  0x082d21be5c5dfc97, 0x4219682fb4432ff9, 0xfe7fd01cf0983dc5, 0x6a60b0de579096dd, 0xad1fee92263fff19,
  0x0c3dfa8f2bb75355, 0x0ef8ae2b7a8f8366, 0x85962291669d6845, 0xcacb8a973484d7d1, 0x78603233d4e75697,
  0xe21b1aad743af513, 0xbe9662e121147508, 0x07d51b047eb70dec, 0x2af9ddc5494025af, 0xcf27f6bcb955acfe,
  0xece75152a8d74271, 0x6b8101395daa5bea, 0x58b495cbd2fe916a, 0xcd935d73daad115e, 0x55d520b94b5f3a03,
  0x9c6378ce88173748, 0xe8ab7b15545a75d7, 0xc252d4bf2b6ccee9, 0x4895a82ecf0cc377, 0xcc4ffef0f7bca185,
  0x3347d8cec38fe32f, 0x0be347a2ff03f7ec, 0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x00000aed2ea928a7,
};

/*
 * usb1286_swio11_dual_ee_ce_u4_hw   usb1286_swio12_dual_ee_ce_hw      usb1286_swio12_dual_ee_ce_u4_hw
 * usb1287_swio11_dual_ee_ce_hw      usb1287_swio11_dual_ee_ce_u4_hw   usb1287_swio12_dual_ee_ce_hw
 * usb1287_swio12_dual_ee_ce_u4_hw
 */
static const uint64_t ur_usb1286_swio11_dual_ee_ce_hw[] = {
  0x5fbbbbb451a0746e, 0x777e142cdf374035, 0xe07db3655f62fb3f, 0x29e0b337a6a477eb, 0x4a5201aaf67dddeb,
  0xe90a29d35d5c8751, 0x64a4cb905b495c7e, 0x236a2917aa49827c, 0xa18369181bbaad43, 0x29d06774f8971030,
  0xe1951c5da0ff9961, 0x6fcdea3dc8ec0928, 0xcb8bd0a489049036, 0x1895fe7ef822fca7, 0x1f24f2e06ee1f0a2,
  0x97177f25f2f973f2, 0xe910cbfe420b486f, 0x3c26d9d150865a04, 0x579096dda0fff407, 0x3d67ff196a60b0de,
  0xdf5981bfaa3a1f92, 0x9670f3ce10b7e439, 0x784f097e21b0913d, 0x911387b928ebefd4, 0x4a76b1d4dd367b70,
  0x0d983dbfea3cae57, 0xa1140a62bd37ea3e, 0x5f4616588a459a75, 0xa9ceaedd95875213, 0x6c75ea26f0c06467,
  0x8451d423886c6abc, 0x991c37b2fa598b84, 0x92966b5e0faa3608, 0x72ab59fc55f3bb8a, 0x51ae84e39e4fed79,
  0xbb54b7d5d9cea2a5, 0xa5fd22d4d7020272, 0xb55a22bcb1692b97, 0x96be74079b26bae7, 0x102e6e90abaa4172,
  0xa8b4ebaf38c6f19d, 0xadb33ba78c76f62a, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x3b90a29e4afdcd0c, 0x00000000000075d6,
};

// usb1287_swio13_noled
static const uint64_t ur_usb1286_swio13_noled[] = {
  0x0b2ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x1e0cc24f76f37bf3, 0x590266c44bdee859,
  0x69827c64ee82f413, 0x24887bfff375cfc0, 0x3e7bd47884ef96e9, 0xdd304f4c6921c490, 0xc222a3268e62c05b,
  0x05ee39630475e2eb, 0x9e4fed7972ab52b3, 0xd9cea2a551ae84e3, 0x5359caed52df5537, 0xcb1692ad5ef5f48b,
  0x4ef3f5ae7b55a22b, 0x7a41afa9c0594a9f, 0xa2fa2810b4ac2261, 0x5b6674e31bc67440, 0x78661bbe1296a5f9,
  0x25c33d30ae4fcfec, 0x2c3a4a5b387138cb, 0x1d087e792bf73433, 0x00000000000549a7,
};

// usb1286_swio13_noled_pr_u4        usb1287_swio13_noled_pr           usb1287_swio13_noled_pr_u4
static const uint64_t ur_usb1286_swio13_noled_pr[] = {
  0x95bbbbbb448690e3, 0xb5cb4b10ac5c6b05, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd2ca888,
  0x193ba245999bb0dc, 0xbff08533ebee609f, 0x1e5f1df2d07e48c7, 0xba8a4871240fa0f5, 0xf7b398b016594d01,
  0xb30475e8faf0e488, 0xcb3db83fd22a01ff, 0x7f6bcb955acbb503, 0x75152a8d74271cf2, 0xce576a96faa9bece,
  0xb4956af7afa45a9a, 0x7f5d73daad115e58, 0xc2ea6c529e1a7780, 0xe31bc67440babd20, 0xc55bd8aaa2d290bc,
  0x094b52fcadb33b18, 0xeff102f63c330ddf, 0xa75666fe0eee3459, 0xfbc3def286152256, 0x633b0e3f8cbf313f,
  0x1e8bfc0fdfb0cd1f, 0x4e32c970cf4c2f8d, 0xcd0ccb0e9296ce1c, 0xc9a566cf059e4afd, 0x0000000000000007,
};

// usb1286_swio13_noled_pr_ee_u4     usb1287_swio13_noled_pr_ee        usb1287_swio13_noled_pr_ee_u4
static const uint64_t ur_usb1286_swio13_noled_pr_ee[] = {
  0x17bbbbbb4486b044, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0x27776527da3bb172, 0xfe10a67d2d4c13e3, 0x5cd56b46fe4911ad, 0xe0d98309fea3caca, 0x5a1143be2b53dea3,
  0x35f4616588a459a7, 0x7569790eb8d64d21, 0xd79d3bc32223c90e, 0x42f88e0fd8d56ba1, 0xb86f65b2e62e1211,
  0x8056b13ca8d823f5, 0x271cf27f6bcb955a, 0xa9bece75152a8d74, 0xa45a9ace576a96fa, 0x115e58b4956af7af,
  0x1a77807f5d73daad, 0xbabd20c2ea6c529e, 0xd290bce31bc67440, 0xb33b18c55bd8aaa2, 0x330ddf094b52fcad,
  0xee3459eff102f63c, 0x152256a75666fe0e, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf,
  0x96ce1c4e32c970cf, 0x9e4afdcd0ccb0e92, 0x0000013ae0158f05,
};

// usb1286_swio13_noled_pr_ce_u4     usb1287_swio13_noled_pr_ce        usb1287_swio13_noled_pr_ce_u4
static const uint64_t ur_usb1286_swio13_noled_pr_ce[] = {
  0x09bbbbbb4486bf3e, 0x5ae5a58382d0bac5, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a376844,
  0x27c64eece22c5707, 0x315bfc214cf93a98, 0xdcee3901bfac7b92, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xe95490e248193dea, 0xe488f7b398b014c7, 0x01ffb33c75e8faf0,
  0xed40f2d6e83fd22a, 0xc73c9fdaf2e556b2, 0x6fb39d454aa35d09, 0x16a6b395daa5beaa, 0x57962d255abdebe9,
  0x9de01fd75cf6ab44, 0xaf4830ba9b14a786, 0xa42f38c6f19d102e, 0x9d8c4c76f62aa8b4, 0x86ef84a5a97e56d9,
  0x1a2cf7f8817b1e19, 0x912b53ab337f0777, 0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8,
  0x670e271964b867a6, 0x257ee6866587494b, 0x0001baf998a782cf,
};

// usb1286_swio13_noled_pr_ee_ce_u4  usb1287_swio13_noled_pr_ee_ce     usb1287_swio13_noled_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio13_noled_pr_ee_ce[] = {
  0xd1bbbbbb4486bd5b, 0x1f72d2c42240bac2, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522ad0a,
  0x4eef77ee0e75a094, 0xf84299f9869827c6, 0x037f54635a48febf, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x19ebea3cace1ca76, 0x05315943f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e90e3a909afa3, 0x79d3bc32223c90e7, 0x5f11c1fb1aaf1b1d, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0x71cf27f6bcb955a9, 0x9bece75152a8d742, 0x45a9ace576a96faa, 0x15e58b4956af7afa, 0xa77807f5d73daad1,
  0xabd20c2ea6c529e1, 0x290bce31bc67440b, 0x6763131dbd8aaa2d, 0x61bbe1296a5f95b6, 0xc68b3dfe205ec786,
  0xa44ad4eaccdfc1dd, 0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9,
  0xc95fb9a19961d252, 0x000013f2dc81e0b3,
};

// usb1287_swio13_noled_ee_hw
static const uint64_t ur_usb1286_swio13_noled_ee_hw[] = {
  0x17bbbbbb451a1541, 0x6ae5a58f53a0b58f, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229113c5b,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0xb297355ad1bf9244, 0xa8f83660c27fa8f2, 0x69d68450ef8ad4f7,
  0x484d7d1859622916, 0x439d5a5e43ae3593, 0xe875e74ef0c888f2, 0x8450be2383f6355a, 0xfd6e1bd96cb98b84,
  0x56a015ac4f2a3608, 0x5d09c73c9fdaf2e5, 0xbeaa6fb39d454aa3, 0xebe916a6b395daa5, 0xab4457962d255abd,
  0xa7869de01fd75cf6, 0x102eaf4830ba9b14, 0xa8b4a42f38c6f19d, 0x2b6ccec63156f62a, 0xcf0cc377c252d4bf,
  0xf7bca1854895a82e, 0xc38fe32fcc4ffef0, 0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c,
  0xcd35a8a792bf7343, 0x000000000000016f,
};

// usb1286_swio13_noled_ee_ce_u4_hw  usb1287_swio13_noled_ee_ce_hw     usb1287_swio13_noled_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio13_noled_ee_ce_hw[] = {
  0xa37777768a34704a, 0x3ee5a58844817585, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a455a14,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0xb81bfaa31ad247f5, 0x0f3ce10b7e439dfe, 0xf097e21b0913d967,
  0x4e1fa9cb82fd4784, 0xdac74f7cd9edc244, 0x3067afa8f2b38729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42,
  0x9d5dba438ea426be, 0x75e74ef0c888f243, 0xa17c4707ec6abc6c, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0x09c73c9fdaf2e556, 0xaa6fb39d454aa35d, 0xe916a6b395daa5be, 0x4457962d255abdeb, 0x869de01fd75cf6ab,
  0x2eaf4830ba9b14a7, 0xb4a42f38c6f19d10, 0xd99d8c4c76f62aa8, 0x1986ef84a5a97e56, 0x79430a912b505d9e,
  0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964, 0xf7514f257ee68665,
  0x0000000000140581,
};

/*
 * usb1286_swio13_lednop_pr          usb1286_swio13_lednop_pr_u4       usb1287_swio13_lednop
 * usb1287_swio13_lednop_pr          usb1287_swio13_lednop_pr_u4
 */
static const uint64_t ur_usb1286_swio13_lednop[] = {
  0x95bbbbbb4486d38b, 0x5ae5a58856cc6b05, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fba59511,
  0xe327751994e69652, 0x0dfe10a67ff74c13, 0x51f4a3be5a0fc918, 0x17baa4871240fa0f, 0x8e32398b016594c5,
  0xfb30475e8faf0828, 0x3cb3dbc8a22aa01f, 0x9fdaf2e556a52170, 0x9d454aa35d09c73c, 0x1395daa5beaa6fb3,
  0xae492fe916a6b810, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e6c9a, 0xc67440b9ba42aea9, 0xd8aaa2d3aebce31b,
  0x4bf2b6cce085c55b, 0x0bd8f0cc377c252d, 0x9bf83bb8d167bfc4, 0x7bca1854895a9d59, 0x38fe32fcc4ffef0f,
  0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb, 0xe13c16792bf73433, 0x00000000003e4c57,
};

// usb1286_swio13_lednop_pr_ee_u4    usb1287_swio13_lednop_pr_ee       usb1287_swio13_lednop_pr_ee_u4
static const uint64_t ur_usb1286_swio13_lednop_pr_ee[] = {
  0x2f777776890c1107, 0xd5cb4b1ea7646b1e, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229113c5,
  0x64eea722af323bf7, 0xff84299fe9f9827c, 0x7a6ab5a37f248f57, 0xf06cc184ff51e56a, 0xad08a1df15caef51,
  0x9afa30b2c4522cd3, 0x3ab4b94b5c6b2690, 0xebce9de132918287, 0x44be47916c6ab5d0, 0xb86f65b2e62e1211,
  0x00a0ff48a8d823f5, 0x4e39e4fed7972ab5, 0x537d9cea2a551ae8, 0x35c0809caed52df5, 0x962d2572497f48b5,
  0xf364d75cf6ab4457, 0x1575482e52d7ce80, 0xe718de33a205cdd2, 0x2e2adec555169d75, 0xe1296a5f95b66704,
  0x3dfe205ec78661bb, 0xd4eaccdfc1ddc68b, 0xff787bde50c2a44a, 0xec6761c7f197e627, 0xa3d17f81fbf619a3,
  0x89c6592e19e985f1, 0xb9a19961d252d9c3, 0x4eb9ac11e0b3c95f,
};

// usb1286_swio13_lednop_pr_ce_u4    usb1287_swio13_lednop_pr_ce       usb1287_swio13_lednop_pr_ce_u4
static const uint64_t ur_usb1286_swio13_lednop_pr_ce[] = {
  0x09bbbbbb44864aa4, 0xad72d2c1c1420ac5, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1bb422,
  0x27c64eea4cb1789d, 0x4e0ff84299fa1f98, 0xb9d93a037f58f724, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x27d243892064f7a8, 0x1447191cc580abec, 0x0ffd99e3af47d784,
  0x2e0796b764511550, 0xe793fb5e5caad4a4, 0xf673a8a9546ba138, 0x020272bb54b7d54d, 0xb495c925fd22d4d7,
  0x935d73daad115e58, 0xd520b94b5f3a03cd, 0x6378ce8817374855, 0x3b7b15545a75d79c, 0x4b52fcadb3382166,
  0xf102f63c330ddf09, 0x5666fe0eee3459ef, 0xc3def286152256a7, 0x3b0e3f8cbf313ffb, 0x8bfc0fdfb0cd1f63,
  0x32c970cf4c2f8d1e, 0x0ccb0e9296ce1c4e, 0xff34cf059e4afdcd, 0x0000000000000375,
};

// usb1286_swio13_lednop_pr_ee_ce_u4 usb1287_swio13_lednop_pr_ee_ce    usb1287_swio13_lednop_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio13_lednop_pr_ee_ce[] = {
  0x2d1bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522ad0,
  0x93bbb36d3c5a87e3, 0xfc214cfb37e609f1, 0x81bfaa31ad246f0f, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x067afa8f2b28729d, 0x814c57813d47c1b3, 0xc2cb1148b34eb422,
  0xd5db8a58ea426be8, 0x5e74ef09948c1439, 0x4be47916c6abc6c7, 0x86f65b2e62e12114, 0x6707fa4546c11323,
  0x71cf27f6bcb955a9, 0x9bece75152a8d742, 0xae0404e576a96faa, 0xb1692b924bfa45a9, 0x9b26bae7b55a22bc,
  0xabaa417296be7407, 0x38c6f19d102e6e90, 0xcc76f62aa8b4ebaf, 0x1296a5f95b667042, 0xdfe205ec78661bbe,
  0x4eaccdfc1ddc68b3, 0xf787bde50c2a44ad, 0xc6761c7f197e627f, 0x3d17f81fbf619a3e, 0x9c6592e19e985f1a,
  0x9a19961d252d9c38, 0x7e6f251e0b3c95fb, 0x0000000000000002,
};

// usb1287_swio13_lednop_ee_hw
static const uint64_t ur_usb1286_swio13_lednop_ee_hw[] = {
  0x8bdddddda28d0582, 0xb572d2c7a9d91ac7, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a444f1,
  0x4f8c9dd3b410f4b5, 0xf57ff958b3fd3f30, 0x56a7a6ab5a37f248, 0xf51f06cc184ff51e, 0xcd3ad08a1df15cae,
  0x6909afa30b2c4522, 0x2873ab4b94b5c6b2, 0x5d0ebce9de132918, 0x21144be47916c6ab, 0x3f5b86f65b2e62e1,
  0xab500a0ff48a8d82, 0xae84e39e4fed7972, 0xdf5537d9cea2a551, 0x8b535c0809caed52, 0x457962d2572497f4,
  0xe80f364d75cf6ab4, 0xdd21575482e52d7c, 0xd75e718de33a205c, 0x7042e2adec555169, 0x1bbe1296a5f95b66,
  0x0c2a44ad41767866, 0x197e627ff787bde5, 0xbf619a3ec6761c7f, 0x9e985f1a3d17f81f, 0x252d9c389c6592e1,
  0x453c95fb9a19961d, 0x0000000016f8d20f,
};

// usb1286_swio13_lednop_ee_ce_u4_hw usb1287_swio13_lednop_ee_ce_hw    usb1287_swio13_lednop_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio13_lednop_ee_ce_hw[] = {
  0xa37777768a34306a, 0x3ee5a58844375585, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a455a14,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x3037f54635a48de1, 0x1e79c216fc873bbc, 0xe12fc4361227b2ce,
  0x3870b233d7fa8f09, 0x6b1d3df367b70911, 0xc19ebea3caca1ca7, 0xa05315e04f51f06c, 0x30b2c4522cd3ad08,
  0x7576e2963a909afa, 0xd79d3bc26523050e, 0x12f91e45b1aaf1b1, 0xe1bd96cb98b84845, 0x59c1fe9151b044c8,
  0x9c73c9fdaf2e556a, 0xa6fb39d454aa35d0, 0x6b8101395daa5bea, 0x2c5a4ae492fe916a, 0xe6c9aeb9ed5688af,
  0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0xb31dbd8aaa2d3aeb, 0x84a5a97e56d99c10, 0x912b505d9e1986ef,
  0x989ffde1ef79430a, 0x668fb19d871fc65f, 0x17c68f45fe07efd8, 0x670e271964b867a6, 0x257ee6866587494b,
  0x000014059800514f,
};

/*
 * usb1286_swio13_dual_pr            usb1286_swio13_dual_pr_u4         usb1287_swio13_dual
 * usb1287_swio13_dual_pr            usb1287_swio13_dual_pr_u4
 */
static const uint64_t ur_usb1286_swio13_dual[] = {
  0xa76eeeeed121a5fb, 0x767eeef1b79f7cdf, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadde9de46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x97c5d82fe6584a01,
  0x9bd4774bb0386702, 0xc5e8524482481fee, 0x4aff3f7c117e53e5, 0xf2e5a03770f8510c, 0x7177f25f2f973f21,
  0x910cbfe420b486f9, 0xf09ad68a8432d08c, 0x579096dd4f7fd01c, 0x52b7fc566e60b0de, 0xfd47dbe77cb3df24,
  0x90efe52438920707, 0x08e21398b01541e6, 0xff6608ebc01af0f5, 0x03cb3dbf907c5403, 0x3f8abe7771525f65,
  0x9c73c9fdaf2e556b, 0xa6fb39d454aa35d0, 0x6b8101395daa5bea, 0x2c5a4ae492fe916a, 0xe6c9aeb9ed5688af,
  0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0x5c55bd8aaa2d3aeb, 0xc252d4bf2b6cce08, 0x7bfc40bd8f0cc377,
  0xa9d599bf83bb8d16, 0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3,
  0x734332c3a4a5b387, 0xa49c7d73c16792bf,
};

// usb1287_swio13_dual_pr_ee
static const uint64_t ur_usb1286_swio13_dual_pr_ee[] = {
  0x7415bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47d0558,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x7170d1f99612804a,
  0xd47e9fd858f9c3fe, 0xd0a48904903eaf9b, 0xfe7ef822fca7cb8b, 0x20e06ee1f0a21895, 0xbf92f97cb9f90f97,
  0x65ff2105a437cb8b, 0xa448a8432d08f688, 0x12dba6dffd01cf09, 0xff8acdcc161bcaf2, 0x69aad68d7dc91a1f,
  0xe0d983eebd4795e5, 0x5a1143be2bb75ea3, 0x35f4616588a459a7, 0xd5a5d82ae105cd21, 0xf6b15e18f68e7139,
  0x4011ad7b1aad743a, 0x0decb8f8c5c24228, 0xceee2a4ab87bfeb7, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79,
  0x272bb54b7d54df67, 0x5c925fd22d4d7020, 0xd73daad115e58b49, 0x0b94b5f3a03cd935, 0x8ce8817374855d52,
  0xb15545a75d79c637, 0x97e56d99c10b8ab7, 0x9f71e1986ef84a5a, 0xdfc1ddc68b3dfe20, 0x2e19e985727eeacc,
  0x61d252d9c389c659, 0x79e0b3c95fb9a199, 0x00000000006428dc,
};

// usb1287_swio13_dual_pr_ee_u4
static const uint64_t ur_usb1286_swio13_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6eaf, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23eaf8ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x6584a6024ee9f12e,
  0x00d070d35c5dfe7e, 0x4903e9f9bd47ff9b, 0x2fca7cb8bd0a4890, 0x1f0a21895fe7ef82, 0xcb9f90f90c2e06ee,
  0x5a437cb8bbf92f97, 0x32d05f68865ff210, 0xffa039e1307b8a84, 0x82c3795e425b7b5b, 0xb9392363ffe15629,
  0xdfa8f2bd37355ad1, 0x8ae397a8f83660e3, 0x62291669d68450ef, 0xb8a973484d7d1859, 0x7da3ea0e7569795c,
  0xb1aad743af513785, 0xcc5c2422809e8fe4, 0xa3608fd6e1bd97d2, 0x9ddc5494027bc6fa, 0x7f6bcb955acfe2af,
  0x75152a8d74271cf2, 0x4e576a96faa9bece, 0xb924bfa45a9ae040, 0xae7b55a22bcb1692, 0x17296be74079b26b,
  0x19d102e6e90abaa4, 0x62aa8b4ebaf38c6f, 0x2fcadb338217156f, 0x2f63c330ddf094b5, 0x7f068fe3459eff10,
  0x79430a912b53ab33, 0x1fc65f989ffde1ef, 0x07efd8668fb19d87, 0xb867a617c68f45fe, 0x87494b670e271964,
  0x4b4fcf257ee68665, 0x0000000002b25b31,
};

// usb1287_swio13_dual_pr_ce
static const uint64_t ur_usb1286_swio13_dual_pr_ce[] = {
  0x94eddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba53999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0x37a8f1cb60704e1d, 0x8bd0a48904903b75, 0x95fe7ef822fca7cb, 0xc8c0206ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0xc260522a10cb40f5, 0x5e425b70b5ff4073, 0xd9dff159b982c379, 0x3b8ac02bbebdd491,
  0x0f96bf3ce10b6f37, 0x2e6815dc2444e1ef, 0x17d479127b967b75, 0x5f9d1ee921c49031, 0x6bc3d423884e62c0,
  0xf1500ffd99e3af00, 0x525f6503cb5bbe41, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0xaa5beaa6fb39d454,
  0xfe916a6b8101395d, 0x5688af2c5a4ae492, 0xaf9d01e6c9aeb9ed, 0x0b9ba42aea905ca5, 0x2d3aebce31bc6744,
  0xd99c10b31dbd8aaa, 0x1986ef84a5a97e56, 0xdc68b3dfe209f71e, 0x985727eeaccdfc1d, 0x2d9c389c6592e19e,
  0x3c95fb9a19961d25, 0x0000073d63a29e0b,
};

// usb1287_swio13_dual_pr_ce_u4
static const uint64_t ur_usb1286_swio13_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e3d, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd1ecd88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2fa6bf32c2530127,
  0x47b1fd87fc38068e, 0x0a48904903a1f9bd, 0xe7ef822fca7cb8bd, 0xae06ee1f0a21895f, 0xf92f97cb9f90f92b,
  0x5ff2105a437cb8bb, 0x6fc54219683f8886, 0x2dbcedffd01cf09b, 0xf0ab14c161bcaf21, 0x7c0dfd4a2c91e9ff,
  0x0f3ce10b7f00cecc, 0xf097e21b0913d967, 0x9c3baa3541fd4784, 0x2df5d4b9b3db8488, 0x8920622fa8f224f7,
  0x9cc580bf3a3dd243, 0xc75e00d787a84710, 0xb77c83e2a01ffb33, 0x7ceee2a4beca0796, 0x93fb5e5caad67f15,
  0x73a8a9546ba138e7, 0x0272bb54b7d54df6, 0x95c925fd22d4d702, 0x5d73daad115e58b4, 0x20b94b5f3a03cd93,
  0x78ce8817374855d5, 0x7b15545a75d79c63, 0x52fcadb33821663b, 0x02f63c330ddf094b, 0x37f068fe3459eff1,
  0xf79430a912b53ab3, 0x71fc65f989ffde1e, 0xe07efd8668fb19d8, 0x4b867a617c68f45f, 0x587494b670e27196,
  0xa0b4fcf257ee6866, 0x0000000000692719,
};

// usb1286_swio13_dual_pr_ee_ce_u4   usb1287_swio13_dual_pr_ee_ce      usb1287_swio13_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio13_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xf777e14614e6e89f, 0x3a70bc9855f62fb3, 0xda347feafbf5f68d, 0xa52913eabd9f571a,
  0x5fe82dd8558fe1a8, 0x4cb94ae3c559b9a7, 0x452357e19827c64a, 0x6d23037755a8646d, 0x24ee9f12e2061430,
  0x4717683fe6584a60, 0x7a8f723b024a3865, 0xf4292241240d9bf3, 0x7f9fbe08bf29f2e2, 0xe4981bb87c288625,
  0xdfc97cbe5cfc87c8, 0x32ff9082d21be5c5, 0xb674542196813a44, 0x12dba927fd01cf09, 0xff0ab14c161bcaf2,
  0x006fea8c2d4914a8, 0x79e7085bf8067695, 0x84bf10d8489ecb38, 0x1f79f43c9fea3c27, 0xc75374d9edc2444e,
  0x6657a8f2bdf729da, 0x14c57b3bd47c1b30, 0x2cb1148b34eb4228, 0x5dba570ea426be8c, 0xd44de15f68fa839d,
  0x4f47f258d578d8eb, 0xdecbe9662e121140, 0xdef1bea8d8226470, 0xb3f8abe77715252c, 0x09c73c9fdaf2e556,
  0xaa6fb39d454aa35d, 0xa6b8101395daa5be, 0xf2c5a4ae492fe916, 0x1e6c9aeb9ed5688a, 0x42aea905ca5af9d0,
  0xbce31bc67440b9ba, 0x0b31dbd8aaa2d3ae, 0xf84a5a97e56d99c1, 0xcf7f8817b1e1986e, 0xa9d599bf8347f1a2,
  0xfef0f7bca1854895, 0xd8cec38fe32fcc4f, 0x47a2ff03f7ec3347, 0x138cb25c33d30be3, 0x734332c3a4a5b387,
  0x00035485a7e792bf, 0x0000000000000001,
};

// usb1287_swio13_dual_ee_hw
static const uint64_t ur_usb1286_swio13_dual_ee_hw[] = {
  0xedddddda28d1880b, 0xb3f7779203f39bab, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8fabe3b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0xe7e6584a7419dd3e,
  0xf9b00d070d35c5df, 0x8904903e9f9bd47f, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f90c2e0,
  0x2105a437cb8bbf92, 0xa8432d05f68865ff, 0xb5bffa039e1307b8, 0x5a982c3795e425b7, 0x6b46e4e48d8fffc6,
  0x838f7ea3caf4dcd5, 0x43be2b8e5ea3e0d9, 0x616588a459a75a11, 0xe572e2a5cd2135f4, 0xde15f68fa839d5a5,
  0x3f92c6ab5d0ebd44, 0x5f4b3170908a027a, 0x1bea8d823f5b86f6, 0x8abe7771525009ef, 0x73c9fdaf2e556b3f,
  0xfb39d454aa35d09c, 0x8101395daa5beaa6, 0x5a4ae492fe916a6b, 0xc9aeb9ed5688af2c, 0xea905ca5af9d01e6,
  0x31bc67440b9ba42a, 0x55bd8aaa2d3aebce, 0x52d4bf2b6cce085c, 0x95a82ecf0cc377c2, 0x4ffef0f7bca18548,
  0x47d8cec38fe32fcc, 0xe347a2ff03f7ec33, 0x87138cb25c33d30b, 0xbf734332c3a4a5b3, 0x0015da39e4e8a792,
};

// usb1286_swio13_dual_ee_ce_u4_hw   usb1287_swio13_dual_ee_ce_hw      usb1287_swio13_dual_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio13_dual_ee_ce_hw[] = {
  0xf7777768a347e907, 0x7eeefc28c29cdd13, 0xa74e17930abec5f6, 0x5b468ffd5f7ebed1, 0x14a5227d57b3eae3,
  0xd6d1b9bb0ab1fc35, 0xc64a4cb90404d214, 0x646d452357e19827, 0x14306d23037755a8, 0x253a0cee9f12e206,
  0x1c32a38bb41ff32c, 0xcdf9bd47b91d8125, 0xf9717a1491209206, 0x4312bfcfdf045f94, 0x43e4724c0ddc3e14,
  0xf2e2efe4be5f2e7e, 0x9d22197fc841690d, 0xe784db3a2a10cb40, 0xe579096dd493fe80, 0x22951ff196a60b0d,
  0xced2a00dfd5185a9, 0xecb3879e7085bf21, 0xa3c2784bf10d8489, 0x84889c3bc03118fe, 0xee53b58ea6e9b3db,
  0xf83660ccaf51e57b, 0xd68450298af677a8, 0x4d7d185962291669, 0xf5073abb74ae1d48, 0xf1b1d7a89bc2bed1,
  0x2422809e8fe4b1aa, 0x44c8e1bd97d2cc5c, 0x2a4a59bde37d51b0, 0xe5caad67f157ceee, 0x9546ba138e793fb5,
  0xb54b7d54df673a8a, 0x5fd22d4d7020272b, 0xaad115e58b495c92, 0xb5f3a03cd935d73d, 0x817374855d520b94,
  0x45a75d79c6378ce8, 0xdb33821663b7b155, 0xc330ddf094b52fca, 0xef286152256a0bb3, 0xe3f8cbf313ffbc3d,
  0xc0fdfb0cd1f633b0, 0x970cf4c2f8d1e8bf, 0xb0e9296ce1c4e32c, 0xfe1a29e4afdcd0cc, 0x00000000000ebaa7,
};

// usb1287_swio14_noled
static const uint64_t ur_usb1286_swio14_noled[] = {
  0x441bbbbbbacdfc4f, 0x1ddcb4b10adb3eb0, 0x1b7b00244cf74192, 0x3c1984d49bbbf56d, 0x350418ebe84dd220,
  0xfc9827c64eec2f5a, 0xa0922657ff9bae7d, 0x81d7ff51d313be5b, 0x6f74dd43df490e24, 0xaf0dac8c9e398b01,
  0x673db8e58c11d78b, 0xc73c9fdaf2e556a5, 0xfab39d454aa35d09, 0x916a6b3a6e576a96, 0x4457962d256c7efe,
  0x953e9de7eb5cf6ab, 0x44c2f4835f5380b2, 0xd10363fc50216958, 0x97e56d99d38c6f19, 0x3fb1e1986ef84a5a,
  0xe32c970cf4c2b93f, 0xd0ccb0e9296ce1c4, 0x90717421f9e4afdc, 0x000000000000000a,
};

// usb1286_swio14_noled_pr_u4        usb1287_swio14_noled_pr           usb1287_swio14_noled_pr_u4
static const uint64_t ur_usb1286_swio14_noled_pr[] = {
  0xa4dddddda2432f02, 0xd6b9696215a00ac6, 0xd4f71da1c489910c, 0x1e42e2499b11327a, 0x70bea197bddd4911,
  0xf193bb1c605e2f66, 0x7bff08533f01a609, 0xd47050ef96dee488, 0xfc3d6921c490326b, 0x1188a731602cb299,
  0xff6608ebd1f5e1f9, 0x03cb3dbdefa05403, 0xf27f6bcb955ac0ad, 0xce75152a8d74271c, 0xa9ace9b95daa5bea,
  0x5e58b495b1fbfa45, 0x77807f5d73daad11, 0xbd20c2ea6c529e1a, 0x90bce31bc67440ba, 0x3976455bd8aaa2d2,
  0x0ddf094b52fcadb3, 0x3459eff102f63c33, 0x2256a75666fe0eee, 0x313ffbc3def28615, 0xcd1f633b0e3f8cbf,
  0x2f8d1e8bfc0fdfb0, 0xce1c4e32c970cf4c, 0x4afdcd0ccb0e9296, 0x000f937566cf059e,
};

// usb1286_swio14_noled_pr_ee_u4     usb1287_swio14_noled_pr_ee        usb1287_swio14_noled_pr_ee_u4
static const uint64_t ur_usb1286_swio14_noled_pr_ee[] = {
  0x09bbbbbb448624d6, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x64eefdaebb4669f6, 0x7f84299feaf9827c, 0xd66ab5a331f24639, 0xf83660fa8f51e565, 0xd68450ef8ad82fa8,
  0x4d7d185962291669, 0x9d5a5dd2ae359348, 0xebce9de109e8fe43, 0x519223deec6ab5d0, 0x6e1bd96cb98b8484,
  0x80570d67aa3608fd, 0x271cf27f6bcb955a, 0x5beace75152a8d74, 0xfa45a9ace9b95daa, 0xad115e58b495b1fb,
  0x9e1a77807f5d73da, 0x40babd20c2ea6c52, 0xa2d290bce31bc674, 0xadb33976455bd8aa, 0x3c330ddf094b52fc,
  0x0eee3459eff102f6, 0x86152256a75666fe, 0x8cbf313ffbc3def2, 0xdfb0cd1f633b0e3f, 0xcf4c2f8d1e8bfc0f,
  0x9296ce1c4e32c970, 0x059e4afdcd0ccb0e, 0x0000000275fbe08f,
};

// usb1286_swio14_noled_pr_ce_u4     usb1287_swio14_noled_pr_ce        usb1287_swio14_noled_pr_ce_u4
static const uint64_t ur_usb1286_swio14_noled_pr_ce[] = {
  0x367eeeeeed121911, 0x6ad72d2c1c1469d6, 0x1fa47f4d28c1ae6d, 0x3d22e1fad0fd833b, 0x1b2c5515eb921bbb,
  0x6609f193baaf99f4, 0xe48eceff08533e70, 0x6f373b8ac06fea1e, 0x0913d9670f3ce10b, 0x07fd4784f097e21b,
  0x6cf6e122270f950d, 0xfa8ebe4f72df5eb2, 0x1ed00a4871240d67, 0x787e446229cc580b, 0x1500ffd99e3af47d,
  0xac0ad03cb5bb7be8, 0x4271cf27f6bcb955, 0xa5beace75152a8d7, 0xbfa45a9ace9b95da, 0xaad115e58b495b1f,
  0x29e1a77807f5d73d, 0x440babd20c2ea6c5, 0xaa2d290bce31bc67, 0x95b6672ec31dbd8a, 0xc78661bbe1296a5f,
  0xc1ddc68b3dfe205e, 0x50c2a44ad4eaccdf, 0xf197e627ff787bde, 0xfbf619a3ec6761c7, 0x19e985f1a3d17f81,
  0xd252d9c389c6592e, 0xe0b3c95fb9a19961, 0x000000006ebbe499,
};

// usb1286_swio14_noled_pr_ee_ce_u4  usb1287_swio14_noled_pr_ee_ce     usb1287_swio14_noled_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio14_noled_pr_ee_ce[] = {
  0x15bbbbbb44861a4e, 0x1f72d2c422589ac6, 0xbd6d69d0ccadc2ff, 0x3636cd889d704d2e, 0x7333582d829170a5,
  0x9dd4d770b499ee0a, 0xf08533f787304f8c, 0x06fea8e39491c6ef, 0xe79c216de6e778dc, 0x12fc4361227b2ce1,
  0x0f7251d7dfa8f09e, 0x63a7be6cf6e12227, 0x3d2bd4795c8794ed, 0x0a62b297ea3e0d98, 0x16588a459a75a114,
  0xaedce94752135f46, 0xe74ef084f47f21ce, 0x9223deec6abc6c75, 0x1bd96cb98b848451, 0x3b86b3d51b044c8e,
  0x8e793fb5e5caad4b, 0xf5673a8a9546ba13, 0x22d4d674dcaed52d, 0x88af2c5a4ad8fdfd, 0x0d3bc03faeb9ed56,
  0x5d5e90617536294f, 0x69485e718de33a20, 0xb3397618edec5551, 0x330ddf094b52fcad, 0xee3459eff102f63c,
  0x152256a75666fe0e, 0xbf313ffbc3def286, 0xb0cd1f633b0e3f8c, 0x4c2f8d1e8bfc0fdf, 0x96ce1c4e32c970cf,
  0x9e4afdcd0ccb0e92, 0x0000009f83270f05,
};

// usb1287_swio14_noled_ee_hw
static const uint64_t ur_usb1286_swio14_noled_ee_hw[] = {
  0x09bbbbbb451a3705, 0xb572d2c7a9bd7ac5, 0x571efd3db6ebfc49, 0xe45338fb4b3778ef, 0xd14204108a444a11,
  0x3e32776c36cad498, 0x8e5fe562cff57cc1, 0x59759aad68cc7c91, 0xea3e0d983ea3d479, 0x9a75a1143be2b60b,
  0xd2135f4616588a45, 0x90e7569774ab8d64, 0x743af3a778427a3f, 0x21146488f7bb1aad, 0x3f5b86f65b2e62e1,
  0x56a015c359ea8d82, 0x5d09c73c9fdaf2e5, 0x6a96fab39d454aa3, 0x7efe916a6b3a6e57, 0xf6ab4457962d256c,
  0x14a7869de01fd75c, 0x9d102eaf4830ba9b, 0x2aa8b4a42f38c6f1, 0xbf2b6cce5d9156f6, 0x2ecf0cc377c252d4,
  0xf0f7bca1854895a8, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8, 0x8cb25c33d30be347, 0x4332c3a4a5b38713,
  0xdf19e4e8a792bf73, 0x0000000000000002,
};

// usb1286_swio14_noled_ee_ce_u4_hw  usb1287_swio14_noled_ee_ce_hw     usb1287_swio14_noled_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio14_noled_ee_ce_hw[] = {
  0x2b7777768a345f41, 0x3ee5a58844b1358c, 0x7adad3a1995b85fe, 0x6c6d9b113ae09a5d, 0xe666b05b0522e14a,
  0x8c9dda2feef6b894, 0x77f958b3f787304f, 0x6e037f5471ca48e3, 0xe1e79c216fc873bc, 0x9e12fc4361227b2c,
  0x270e30bbb77fa8f0, 0xed63a7be6cf6e122, 0x983d2bd4795c8794, 0x140a62b297ea3e0d, 0x4616588a459a75a1,
  0xceaedce94752135f, 0x75e74ef084f47f21, 0x519223deec6abc6c, 0x8e1bd96cb98b8484, 0x4b3b86b3d51b044c,
  0x138e793fb5e5caad, 0x2df5673a8a9546ba, 0xfd22d4d674dcaed5, 0x5688af2c5a4ad8fd, 0x4f0d3bc03faeb9ed,
  0x205d5e9061753629, 0x5169485e718de33a, 0xadb3397618edec55, 0x3c330ddf094b52fc, 0xdef286152256a0bb,
  0x0e3f8cbf313ffbc3, 0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x6793a29e4afdcd0c,
  0x0000000000002809,
};

// usb1287_swio14_lednop
static const uint64_t ur_usb1286_swio14_lednop[] = {
  0x088377777759bb37, 0x21ddcb4b10ad4256, 0xd2e3b50fc2f41419, 0x03c1984d49a914da, 0x69b1b6fd2f8bdd22,
  0xf7304f8c9ddb1ec8, 0x04918f7ffe6eb9f5, 0x0ebffa8ff21df2dd, 0x7ba691221a487124, 0x7877b47d01cc580b,
  0x2cfdc72c608ebc5d, 0x73c9fdaf2e556a56, 0xab39d454aa35d09c, 0xb81013a6e576a96f, 0x62d2572fb1e916a6,
  0x9d01e5cf6ab44579, 0x85200bd4b5e5380b, 0x9cfa2810b4952140, 0x5b6674e31bc67440, 0x78661bbe1296a5f9,
  0x25c33d30ae4fcfec, 0x2c3a4a5b387138cb, 0x75087e792bf73433, 0x0000000000002a4b,
};

// usb1286_swio14_lednop_pr_u4       usb1287_swio14_lednop_pr          usb1287_swio14_lednop_pr_u4
static const uint64_t ur_usb1286_swio14_lednop_pr[] = {
  0x49bbbbbb4486fc3b, 0x5ae5a58856f1f58d, 0x93d537ebfc2e4433, 0x3c85c4c004cd22ed, 0x9a9c2f1afbba9222,
  0xe32776e09ba86653, 0xf9fe10a67ca2cc13, 0xd47400ef96dee48b, 0x4a912921c490326b, 0x4637ce62c0596535,
  0xfd9823af47d7866e, 0x0f2cf6e32b59500f, 0x27f6bcb955a9f544, 0xe75152a8d74271cf, 0x404e9b95daa5beac,
  0x495cbec7a45a9ae0, 0x35d73daad115e58b, 0x520b94b5f3a03cd9, 0x378ce8817374855d, 0xb7b15545a75d79c6,
  0x2d4bf2b6ccee9e8a, 0xc40bd8f0cc377c25, 0x599bf83bb8d167bf, 0x0f7bca1854895a9d, 0xec38fe32fcc4ffef,
  0x2ff03f7ec3347d8c, 0xcb25c33d30be347a, 0x332c3a4a5b387138, 0x26683c16792bf734, 0x0000000000001f27,
};

// usb1286_swio14_lednop_pr_ee_u4    usb1287_swio14_lednop_pr_ee       usb1287_swio14_lednop_pr_ee_u4
static const uint64_t ur_usb1286_swio14_lednop_pr_ee[] = {
  0x09bbbbbb4486a4d6, 0xb572d2c7a9d45ac5, 0xb4cf7c8c01e97c49, 0xf2299c7debb4b537, 0x71b452b645222508,
  0xc9dd39d9f7938abd, 0x7f84299f0b5304f8, 0x166ab5a331f2449d, 0xf83660fa8f51e56c, 0xd68450ef8af2b7a8,
  0x4d7d185962291669, 0x9d5a5cbaae359348, 0xebce9de1dbe8e6e3, 0x500a238cac6ab5d0, 0x6e1bd96cb98b8484,
  0xa016f7d02a3608fd, 0x09c73c9fdaf2e556, 0x96fab39d454aa35d, 0x6a6b81013a6e576a, 0x57962d2572fb1e91,
  0x80f364d75cf6ab44, 0xd21575482e52d7ce, 0x75e718de33a205cd, 0xba7a2adec555169d, 0xddf094b52fcadb33,
  0x459eff102f63c330, 0x256a75666fe0eee3, 0x13ffbc3def286152, 0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c,
  0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x00275ff24cf059e4,
};

// usb1286_swio14_lednop_pr_ce_u4    usb1287_swio14_lednop_pr_ce       usb1287_swio14_lednop_pr_ce_u4
static const uint64_t ur_usb1286_swio14_lednop_pr_ce[] = {
  0x9fbbbbbb4486b044, 0xb5cb4b0705a0b58d, 0xfd3d313b6dd79b5a, 0x8b87eb41a67ede9e, 0x8b91fa8ac86eecf4,
  0x9f193bbb293ed1dd, 0x8d6ff08533e96a60, 0x73b38206fea1ee48, 0x3d9670f3ce10b6f3, 0xd4784f097e21b091,
  0x6e122270ea49cdff, 0xe5f4f72df5eb26cf, 0x51490e2481acff51, 0xb918df398b016037, 0x3ff6678ebd1f5e19,
  0x440f2d6e8cad6540, 0xcf27f6bcb955a9f5, 0xace75152a8d74271, 0xe0404e9b95daa5be, 0x8b495cbec7a45a9a,
  0xd935d73daad115e5, 0x5d520b94b5f3a03c, 0xc6378ce881737485, 0x63b7b15545a75d79, 0x4a5a97e56d99dd3c,
  0x7f8817b1e1986ef8, 0x3ab337f07771a2cf, 0xde1ef79430a912b5, 0x19d871fc65f989ff, 0xf45fe07efd8668fb,
  0x71964b867a617c68, 0x6866587494b670e2, 0xd700ac782cf257ee, 0x000000000000000d,
};

// usb1286_swio14_lednop_pr_ee_ce_u4 usb1287_swio14_lednop_pr_ee_ce    usb1287_swio14_lednop_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio14_lednop_pr_ee_ce[] = {
  0x0adddddda24343ee, 0x8fb9696211037563, 0x4056b621a78be17f, 0x9b1b66c58989c627, 0x58a74716c148b852,
  0x9ddaefc89086d3cf, 0xf08533ecf9304f8c, 0x06fea8e3949135bf, 0xe79c216de6e766b6, 0x12fc4361227b2ce1,
  0x0f118a71ffa8f09e, 0x63a7be6cf6e12227, 0x3d2bd479594b94ed, 0x0a62b53dea3e0d98, 0x16588a459a75a114,
  0xaedc5d4752135f46, 0xe74ef0edf47371ce, 0x0a238cac6abc6c75, 0x1bd96cb98b848450, 0xcf7be8151b044c8e,
  0xe39e4fed7972ab52, 0x7d59cea2a551ae84, 0x35c0809d372bb54b, 0xcb1692b97d8f48b5, 0x79b26bae7b55a22b,
  0x0abaa417296be740, 0xf38c6f19d102e6e9, 0x78c76f62aa8b4eba, 0xf094b52fcadb33ba, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x13f01e4cf059e4af,
};

// usb1287_swio14_lednop_ee_hw
static const uint64_t ur_usb1286_swio14_lednop_ee_hw[] = {
  0x84dddddda28d0044, 0xdab96963d4ea2d62, 0xda67be4600f4be24, 0x7914ce3ef5da5a9b, 0xb8da295b22911284,
  0x3e3277505272d086, 0x93aff2b167c2d4c1, 0xad82cd56b4663e48, 0xf51f06cc1f51ea3c, 0xcd3ad08a1df15e56,
  0x6909afa30b2c4522, 0xdc73ab4b9755c6b2, 0xba1d79d3bc3b7d1c, 0x908a014471958d56, 0x1fadc37b2d973170,
  0xaad402defa0546c1, 0x6ba138e793fb5e5c, 0xed52df5673a8a954, 0xd22d4d7020274dca, 0x688af2c5a4ae5f63,
  0xf9d01e6c9aeb9ed5, 0xb9ba42aea905ca5a, 0xd3aebce31bc67440, 0x66774f455bd8aaa2, 0x661bbe1296a5f95b,
  0xe50c2a44ad417678, 0x7f197e627ff787bd, 0x1fbf619a3ec6761c, 0xe19e985f1a3d17f8, 0x1d252d9c389c6592,
  0xd1453c95fb9a1996, 0x00000000000b7c8c,
};

// usb1286_swio14_lednop_ee_ce_u4_hw usb1287_swio14_lednop_ee_ce_hw    usb1287_swio14_lednop_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio14_lednop_ee_ce_hw[] = {
  0x2b7777768a346d3a, 0x3ee5a588440dd58c, 0x015ad8869e2f85fe, 0x6c6d9b162627189d, 0x629d1c5b0522e14a,
  0x193bb73b66f7263d, 0xbff2b167d9f2609f, 0xb606fea8e3949135, 0xc3cf3842df90e766, 0x3c25f886c244f659,
  0x270eb82e1fff51e1, 0xed63a7be6cf6e122, 0x983d2bd479594b94, 0x140a62b53dea3e0d, 0x4616588a459a75a1,
  0xceaedc5d4752135f, 0x75e74ef0edf47371, 0x500a238cac6abc6c, 0x8e1bd96cb98b8484, 0x52cf7be8151b044c,
  0x84e39e4fed7972ab, 0x4b7d59cea2a551ae, 0xb535c0809d372bb5, 0x2bcb1692b97d8f48, 0x4079b26bae7b55a2,
  0xe90abaa417296be7, 0xbaf38c6f19d102e6, 0xba78c76f62aa8b4e, 0xddf094b52fcadb33, 0x6152256a0bb3c330,
  0xcbf313ffbc3def28, 0xfb0cd1f633b0e3f8, 0xf4c2f8d1e8bfc0fd, 0x296ce1c4e32c970c, 0x29e4afdcd0ccb0e9,
  0x0000000280883eea,
};

/*
 * usb1286_swio14_dual_pr            usb1286_swio14_dual_pr_u4         usb1287_swio14_dual
 * usb1287_swio14_dual_pr            usb1287_swio14_dual_pr_u4
 */
static const uint64_t ur_usb1286_swio14_dual[] = {
  0x25dddddda243359b, 0xecfddde36ec5f9bf, 0x76d57d89466d16a2, 0x42c489622d4d8b6e, 0x8bcabfed6ef25f23,
  0xfb90f0cc284db5d6, 0xa291d4e9827c64e2, 0x369181bbaad43236, 0x4a774f8971030a18, 0xa5f1760bf9961280,
  0xa6f51dd2ec0e19c0, 0x717a1491209207fb, 0x12bfcfdf045f94f9, 0x7ca6180ddc3e1443, 0x5c5dfc97cbe5cfc8,
  0x24432ff9082d21be, 0x3c26b5a2a10cb423, 0x95e425b760bff407, 0x1727ff159b982c37, 0xbf51fba3be596bc9,
  0x9d298fa4871240f7, 0xaa34c4e62c055079, 0xffd9823af006bc27, 0x81e59edc43915500, 0x3f8abe7771525711,
  0x9c73c9fdaf2e556b, 0x6fab39d454aa35d0, 0xa6b81013a6e576a9, 0x7962d2572fb1e916, 0x0f364d75cf6ab445,
  0x21575482e52d7ce8, 0x5e718de33a205cdd, 0xa7a2adec555169d7, 0xdf094b52fcadb33b, 0x59eff102f63c330d,
  0x56a75666fe0eee34, 0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f,
  0xfdcd0ccb0e9296ce, 0x02926f36cf059e4a,
};

// usb1287_swio14_dual_pr_ee
static const uint64_t ur_usb1286_swio14_dual_pr_ee[] = {
  0xb80addddddd432db, 0x02f67eeef241c2f9, 0x66d36c1021fda0dd, 0x1a271d626f66e8bf, 0x2d0513fc791f0156,
  0xc8e08ab07866743f, 0x213cbcc13e32638d, 0x23037755a8646d45, 0xee9f12e20614306d, 0xe2e1a3f32c250094,
  0xa8fd3fb0b1f387fc, 0xa1491209207d5f37, 0xfcfdf045f94f9717, 0x6ec0ddc3e144312b, 0x7f25f2f973f21f23,
  0xcbfe420b486f9717, 0x489150865a11ed10, 0x12db868ffa039e13, 0xff8acdcc161bcaf2, 0x24d56b4701a48a5a,
  0xf06cc1c89ea3caf0, 0xad08a1df15efbf51, 0x9afa30b2c4522cd3, 0xead2e50d7082e690, 0xf6b15e10f68e5f1c,
  0x4e28c7cb1aad743a, 0x86f65c7c62e12114, 0xceee2a4ab85aff5b, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79,
  0x0274dcaed52df567, 0x4ae5f63d22d4d702, 0xaeb9ed5688af2c5a, 0x905ca5af9d01e6c9, 0xbc67440b9ba42aea,
  0xbd8aaa2d3aebce31, 0x6a5f95b66774f455, 0x827dc78661bbe129, 0x337f07771a2cf7f8, 0x64b867a615c9fbab,
  0x6587494b670e2719, 0xc28782cf257ee686, 0x00000000000190a1,
};

// usb1287_swio14_dual_pr_ee_u4
static const uint64_t ur_usb1286_swio14_dual_pr_ee_u4[] = {
  0xb7777768a87fb202, 0x9fbbbc9069ee6e3d, 0xbd7b2c49c9d914ed, 0xd95ee30faabf7eaf, 0xb8f8f23e3d8ed40b,
  0x8c5a3fc1cac10672, 0x04f8c946772feb74, 0x56a191b51483e7d3, 0x881850c1b48c0ddd, 0x9961298093ba7c4b,
  0xc0341c34d7177f9f, 0x1240fa7e6f51ffe6, 0x8bf29f2e2f429224, 0x87c2886257f9fbe0, 0xf973f21f2f3901bb,
  0x0b486f97177f25f2, 0x865a0bed10cbfe42, 0x9ff4073c260f7150, 0x982c3795e425b77f, 0x1fee92263ffe1562,
  0x3dfa8f2bb75355ad, 0xf8ae2b7a8f83660c, 0x962291669d68450e, 0xcb8a973484d7d185, 0x603233d4e75697ca,
  0x1b1aad743af51378, 0x9662e121147508e2, 0xd51b047eb70decbe, 0xf9ddc5494025af07, 0x27f6bcb955acfe2a,
  0xe75152a8d74271cf, 0x404e9b95daa5beac, 0x495cbec7a45a9ae0, 0x35d73daad115e58b, 0x520b94b5f3a03cd9,
  0x378ce8817374855d, 0xb7b15545a75d79c6, 0x2d4bf2b6ccee9e8a, 0xc40bd8f0cc377c25, 0xccdfc1a3f8d167bf,
  0x7bde50c2a44ad4ea, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0xa7c2d3f3c95fb9a1, 0x000000000000ac91,
};

// usb1287_swio14_dual_pr_ce
static const uint64_t ur_usb1286_swio14_dual_pr_ce[] = {
  0x86eddddddd435032, 0x6f67eeefa875c79b, 0xe17bee0eb00a4670, 0x9f4e7ac1651f2c5a, 0x6137b363afba1b99,
  0xe9dcaaf6d1febdf7, 0x6a290ba2cc13e327, 0x8369181bbaad4323, 0x04a774f8971030a1, 0xeafe2f43ff996128,
  0xa9bd478e5b038270, 0x5c5e8524482481db, 0xc4aff3f7c117e53e, 0x3e5cdf03770f8510, 0x2e2efe4be5f2e7e4,
  0xaa2197fc841690df, 0x9e13029150865a07, 0x95e425b7a1fffa03, 0x1d37ff159b982c37, 0x73bd9c02bbeb2249,
  0xd6e61bf3ce10b6f3, 0x52e6815dc2444e1c, 0x6b7a8e13e7b967b7, 0x0a9583dd24389207, 0x0d784f546989cc58,
  0x22aa01ffb33c75e0, 0xa92b88c0f2d6e887, 0x972ab59fc55f3bb8, 0x551ae84e39e4fed7, 0x72bb54b7d59cea2a,
  0xd8f48b535c0809d3, 0xb55a22bcb1692b97, 0x96be74079b26bae7, 0x102e6e90abaa4172, 0xa8b4ebaf38c6f19d,
  0xadb33ba78c76f62a, 0x3c330ddf094b52fc, 0x3bb8d167bfc413ee, 0x3d30ae4fdd599bf8, 0x4a5b387138cb25c3,
  0x16792bf734332c3a, 0x000000073d656a3c,
};

// usb1287_swio14_dual_pr_ce_u4
static const uint64_t ur_usb1286_swio14_dual_pr_ce_u4[] = {
  0x6eeeeed150ffbf5b, 0x7eeef537683cdd05, 0xe66e3524c29c1bb6, 0xce207c8435ade3fe, 0x69e4d7dd414d88c8,
  0x9bd60138290177d7, 0x8f5cc13e3260ddc9, 0x037755a8646d4520, 0x9f12e20614306d23, 0xf4d7e6584a6024ee,
  0xf63fb0ff8700d1c5, 0x49120920743f37a8, 0xfdf045f94f9717a1, 0x40ddc3e144312bfc, 0x25f2f973f21f20a4,
  0xfe420b486f97177f, 0xf8a8432d07f110cb, 0xdbe9affa039e136d, 0x0ab14c161bcaf212, 0xe06feb52a4885aff,
  0x79e7085bf80677d3, 0x84bf10d8489ecb38, 0x70fdd60007ea3c27, 0xb7d752e6cf6e1222, 0x4903b5bd4709f3dc,
  0xe62c054ac1ee921c, 0x3af006bc27aa34c4, 0x7443915500ffd99e, 0x9ddc5495c460796b, 0x7f6bcb955acfe2af,
  0x75152a8d74271cf2, 0x04e9b95daa5beace, 0x95cbec7a45a9ae04, 0x5d73daad115e58b4, 0x20b94b5f3a03cd93,
  0x78ce8817374855d5, 0x7b15545a75d79c63, 0xa97e56d99dd3c63b, 0x817b1e1986ef84a5, 0x9bf8347f1a2cf7f8,
  0x7bca1854895a9d59, 0x38fe32fcc4ffef0f, 0xf03f7ec3347d8cec, 0x25c33d30be347a2f, 0x2c3a4a5b387138cb,
  0xc45a7e792bf73433, 0x000000000034922a,
};

// usb1286_swio14_dual_pr_ee_ce_u4   usb1287_swio14_dual_pr_ee_ce      usb1287_swio14_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio14_dual_pr_ee_ce[] = {
  0xbbbbbb4543f81907, 0xeeefc2859be6ea3f, 0x7c0fb66cabec5f67, 0x653c1666f4d48efd, 0x5294a3f55ecfbbbd,
  0x0ab36a74d75721d4, 0x265c908bef4eba6b, 0x5148bd524c13e325, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x51c5da0ff9961298, 0xdea3dc8ec0928e19, 0xbd0a4890490366fc, 0x5fe7ef822fca7cb8, 0x4f2e06ee1f0a2189,
  0x77f25f2f973f21f2, 0x0cbfe420b486f971, 0x6d9d150865a04e91, 0x096dda0fff4073c2, 0xff8558a60b0de579,
  0x606fea8e87e48f59, 0x79e7085bf80677d6, 0x84bf10d8489ecb38, 0x0ee9d18f5fea3c27, 0x63a9ba6cf6e12227,
  0x7b7fd4795cae94ed, 0x14c57a6fd47c1b30, 0x2cb1148b34eb4228, 0x5dbb2b0ea426be8c, 0xd44de180c8cf539d,
  0xa84710d8d578d8eb, 0x6f65f4b3170908a3, 0xd6bc1f546c113238, 0xb3f8abe77715252c, 0x09c73c9fdaf2e556,
  0x96fab39d454aa35d, 0x6a6b81013a6e576a, 0x57962d2572fb1e91, 0x80f364d75cf6ab44, 0xd21575482e52d7ce,
  0x75e718de33a205cd, 0x74f18edec555169d, 0xbbe1296a5f95b667, 0x8b3dfe205ec78661, 0x56a75666fe0d1fc6,
  0x3ffbc3def2861522, 0x1f633b0e3f8cbf31, 0x8d1e8bfc0fdfb0cd, 0x1c4e32c970cf4c2f, 0xfdcd0ccb0e9296ce,
  0x0800610f969f9e4a,
};

// usb1287_swio14_dual_ee_hw
static const uint64_t ur_usb1286_swio14_dual_ee_hw[] = {
  0xb6eeeeed14683202, 0xb3f777920d3dcdc7, 0xf7af6589393b229d, 0x7b2bdc61f557efd5, 0x571f1e47c7b1da81,
  0x741f5f7a6b5820ce, 0x7d304f8c9467721a, 0xddd56a191b51483e, 0xc4b881850c1b48c0, 0xfcfccb094e833ba7,
  0xff3601a0e1a6b8bb, 0x91209207d3f37a8f, 0xdf045f94f9717a14, 0x0ddc3e144312bfcf, 0x2f97cb9f90f979c8,
  0xf2105a437cb8bbf9, 0x8a8432d05f68865f, 0xbbfcffa039e1307b, 0x32d4c161bcaf212d, 0xab5a3fdd244c7ffe,
  0xcc187bf51e576ea6, 0x8a1df15c56f51f06, 0xa30b2c4522cd3ad0, 0x2f9597152e6909af, 0x26f0c06467a9cead,
  0x11c436355ae875ea, 0xd97d2cc5c24228ea, 0x5e0faa3608fd6e1b, 0xfc55f3bb8a92804b, 0xe39e4fed7972ab59,
  0x7d59cea2a551ae84, 0x35c0809d372bb54b, 0xcb1692b97d8f48b5, 0x79b26bae7b55a22b, 0x0abaa417296be740,
  0xf38c6f19d102e6e9, 0x3d156f62aa8b4eba, 0xf84a5a97e56d99dd, 0xa912b505d9e1986e, 0xf989ffde1ef79430,
  0x8668fb19d871fc65, 0x617c68f45fe07efd, 0xb670e271964b867a, 0xf257ee6866587494, 0x0000015da5d52514,
};

// usb1286_swio14_dual_ee_ce_u4_hw   usb1287_swio14_dual_ee_ce_hw      usb1287_swio14_dual_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio14_dual_ee_ce_hw[] = {
  0xfbbbbbb451a0746e, 0x7eeefc2859be6ea3, 0xd7c0fb66cabec5f6, 0xd653c1666f4d48ef, 0x45294a3f55ecfbbb,
  0xfba428a74d75721d, 0xf192932e416d2571, 0x0c8da8a45ea92609, 0xc2860da4606eeab5, 0x84a7419dd3e25c40,
  0xa38654717683fe65, 0xd9bf37a8f723b024, 0x9f2e2f4292241240, 0x886257f9fbe08bf2, 0xc87c93cb81bb87c2,
  0xbe5c5dfc97cbe5cf, 0x13a4432ff9082d21, 0x1cf09b6745421968, 0x795e425b7683ffd0, 0x48f59ffc65a982c3,
  0xe77d6606fea8e87e, 0xf659c3cf3842df90, 0x51e13c25f886c244, 0xc2444e1ee4a3afbf, 0x5d29dac75374d9ed,
  0xf83660f6ffa8f2b9, 0xd68450298af4dfa8, 0x4d7d185962291669, 0x9ea73abb76561d48, 0xf1b1d7a89bc30191,
  0x121147508e21b1aa, 0x226470decbe9662e, 0x2a4a59ad783ea8d8, 0xe5caad67f157ceee, 0x9546ba138e793fb5,
  0xdcaed52df5673a8a, 0xf63d22d4d7020274, 0xed5688af2c5a4ae5, 0xa5af9d01e6c9aeb9, 0x440b9ba42aea905c,
  0xaa2d3aebce31bc67, 0x2b6ccee9e31dbd8a, 0xcf0cc377c252d4bf, 0xf7bca1854895a82e, 0xc38fe32fcc4ffef0,
  0xff03f7ec3347d8ce, 0xb25c33d30be347a2, 0x32c3a4a5b387138c, 0x8ee428a792bf7343, 0x0000000000001d75,
};

// usb1287_swio15_noled
static const uint64_t ur_usb1286_swio15_noled[] = {
  0x6c1ddddddd66ef3a, 0x87772d2c42b3c958, 0x600d2e2368595064, 0x9e0cc24f76f37bf3, 0x590266c44bdeeb60,
  0x69827c64ee82f413, 0x24887bfff375cfc0, 0x3e7bd47884ef96e9, 0xdd304f4c6921c490, 0xc222a3268e62c05b,
  0x05ee39630475e2eb, 0x9e4fed7972ab52b3, 0xd9cea2a551ae84e3, 0x5359d372bb54b7d5, 0xe58b4956aff7f48b,
  0xa779fad73daad115, 0xbd20d7d4e02ca54f, 0x517d14085a561130, 0xadb33a718de33a20, 0x3c330ddf094b52fc,
  0x92e19e985727e7f6, 0x961d252d9c389c65, 0x8e843f3c95fb9a19, 0x000000000002a4d3,
};

// usb1286_swio15_noled_pr_u4        usb1287_swio15_noled_pr           usb1287_swio15_noled_pr_u4
static const uint64_t ur_usb1286_swio15_noled_pr[] = {
  0xddbbbbbb448690e3, 0xb5cb4b10ac5c6b13, 0x77af4f0f8da48866, 0xf20913b6fd2eefdc, 0x0bfc7f8bdd9ee888,
  0x193ba245999bb0dc, 0xbff08533ebee609f, 0x1e5f1df2d07e48c7, 0xba8a4871240fa0f5, 0xf7b398b016594d01,
  0xb30475e8faf0e488, 0xcb3db83fd22a01ff, 0x7f6bcb955acbb503, 0x75152a8d74271cf2, 0xce9b95daa5beaece,
  0x5a4ab57fbfa45a9a, 0x3faeb9ed5688af2c, 0x617536294f0d3bc0, 0x718de33a205d5e90, 0x62adec555169485e,
  0x84a5a97e56d99d8c, 0xf7f8817b1e1986ef, 0x53ab337f07771a2c, 0xfde1ef79430a912b, 0xb19d871fc65f989f,
  0x8f45fe07efd8668f, 0x271964b867a617c6, 0xe6866587494b670e, 0xe4d2b36782cf257e, 0x0000000000000003,
};

// usb1286_swio15_noled_pr_ee_u4     usb1287_swio15_noled_pr_ee        usb1287_swio15_noled_pr_ee_u4
static const uint64_t ur_usb1286_swio15_noled_pr_ee[] = {
  0xf7bbbbbb4486b044, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0x27776527da3bb172, 0xfe10a67d2d4c13e3, 0x5cd56b46fe4911ad, 0xe0d98309fea3caca, 0x5a1143be2b53dea3,
  0x35f4616588a459a7, 0x7569790eb8d64d21, 0xd79d3bc32223c90e, 0x42f88e0fd8d56ba1, 0xb86f65b2e62e1211,
  0x8056b13ca8d823f5, 0x271cf27f6bcb955a, 0xbeaece75152a8d74, 0xa45a9ace9b95daa5, 0x88af2c5a4ab57fbf,
  0x0d3bc03faeb9ed56, 0x5d5e90617536294f, 0x69485e718de33a20, 0xd99d8c62adec5551, 0x1986ef84a5a97e56,
  0x771a2cf7f8817b1e, 0x0a912b53ab337f07, 0x5f989ffde1ef7943, 0xd8668fb19d871fc6, 0xa617c68f45fe07ef,
  0x4b670e271964b867, 0xcf257ee686658749, 0x0000009d700ac782,
};

// usb1286_swio15_noled_pr_ce_u4     usb1287_swio15_noled_pr_ce        usb1287_swio15_noled_pr_ce_u4
static const uint64_t ur_usb1286_swio15_noled_pr_ce[] = {
  0xc9bbbbbb4486bf3e, 0x5ae5a58382d0bac3, 0x4d2eae3267c7cdad, 0x8b87c6bc33c5ed4f, 0xaeec8d055a375e44,
  0x27c64eece22c5707, 0x315bfc214cf93a98, 0xdcee3901bfac7b92, 0x4f659c3cf3842dbc, 0xf51e13c25f886c24,
  0xdb84889c3f47d493, 0x3cdd3dcb7d7ac9b3, 0xe95490e248193dea, 0xe488f7b398b014c7, 0x01ffb33c75e8faf0,
  0xed40f2d6e83fd22a, 0xc73c9fdaf2e556b2, 0xabb39d454aa35d09, 0x16a6b3a6e576a96f, 0x2bcb1692ad5fefe9,
  0x4ef00febae7b55a2, 0x57a4185d4d8a53c3, 0x52179c6378ce8817, 0xcec6263b7b15545a, 0xc377c252d4bf2b6c,
  0x8d167bfc40bd8f0c, 0x4895a9d599bf83bb, 0xcc4ffef0f7bca185, 0x3347d8cec38fe32f, 0x0be347a2ff03f7ec,
  0xb387138cb25c33d3, 0x92bf734332c3a4a5, 0x0000dd7ccc53c167,
};

// usb1286_swio15_noled_pr_ee_ce_u4  usb1287_swio15_noled_pr_ee_ce     usb1287_swio15_noled_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio15_noled_pr_ee_ce[] = {
  0x21bbbbbb4486bd5b, 0x1f72d2c42240bac1, 0xb4edb0cd2c19c2ff, 0x6c6d95bc9c8cd71e, 0xa0ddd39b0522920a,
  0x4eef77ee0e75a094, 0xf84299f9869827c6, 0x037f54635a48febf, 0xf3ce10b6f373bfd7, 0x097e21b0913d9670,
  0x877806231fd4784f, 0xb1d3df367b709113, 0x19ebea3cace1ca76, 0x05315943f51f06cc, 0x0b2c4522cd3ad08a,
  0x576e90e3a909afa3, 0x79d3bc32223c90e7, 0x5f11c1fb1aaf1b1d, 0x0decb65cc5c24228, 0x676b13ca8d822647,
  0x71cf27f6bcb955a9, 0xeaece75152a8d742, 0x45a9ace9b95daa5b, 0x8af2c5a4ab57fbfa, 0xd3bc03faeb9ed568,
  0xd5e90617536294f0, 0x9485e718de33a205, 0x33b1898edec55516, 0x30ddf094b52fcadb, 0xe3459eff102f63c3,
  0x52256a75666fe0ee, 0xf313ffbc3def2861, 0x0cd1f633b0e3f8cb, 0xc2f8d1e8bfc0fdfb, 0x6ce1c4e32c970cf4,
  0xe4afdcd0ccb0e929, 0x000009f96e40f059,
};

// usb1287_swio15_noled_ee_hw
static const uint64_t ur_usb1286_swio15_noled_ee_hw[] = {
  0xf7bbbbbb451a1541, 0x6ae5a58f53a0b582, 0xfd3d31236d88f893, 0xc8a63af1a67ede9e, 0x3f51590229110bdb,
  0xf193ba0292669ce2, 0x6b7f958b3e96a609, 0xb297355ad1bf9244, 0xa8f83660c27fa8f2, 0x69d68450ef8ad4f7,
  0x484d7d1859622916, 0x439d5a5e43ae3593, 0xe875e74ef0c888f2, 0x8450be2383f6355a, 0xfd6e1bd96cb98b84,
  0x56a015ac4f2a3608, 0x5d09c73c9fdaf2e5, 0xa96fabb39d454aa3, 0xefe916a6b3a6e576, 0x55a22bcb1692ad5f,
  0x53c34ef00febae7b, 0x881757a4185d4d8a, 0x545a52179c6378ce, 0x95b6676318ab7b15, 0x678661bbe1296a5f,
  0x7bde50c2a44ad417, 0x61c7f197e627ff78, 0x7f81fbf619a3ec67, 0x592e19e985f1a3d1, 0x9961d252d9c389c6,
  0xe69ad453c95fb9a1, 0x00000000000000b7,
};

// usb1286_swio15_noled_ee_ce_u4_hw  usb1287_swio15_noled_ee_ce_hw     usb1287_swio15_noled_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio15_noled_ee_ce_hw[] = {
  0x437777768a34704a, 0x3ee5a58844817582, 0x69db619a583385fe, 0xd8db2b793919ae3d, 0x41bba7360a452414,
  0x64eebadd71daef29, 0xffcac59f9869827c, 0xb81bfaa31ad247f5, 0x0f3ce10b7e439dfe, 0xf097e21b0913d967,
  0x4e1fa9cb82fd4784, 0xdac74f7cd9edc244, 0x3067afa8f2b38729, 0x2814c5650fd47c1b, 0x8c2cb1148b34eb42,
  0x9d5dba438ea426be, 0x75e74ef0c888f243, 0xa17c4707ec6abc6c, 0x1c37b2d973170908, 0xa59dac4f2a360899,
  0x09c73c9fdaf2e556, 0x6fabb39d454aa35d, 0xe916a6b3a6e576a9, 0xa22bcb1692ad5fef, 0xc34ef00febae7b55,
  0x1757a4185d4d8a53, 0x5a52179c6378ce88, 0x6ccec6263b7b1554, 0x0cc377c252d4bf2b, 0xbca1854895a82ecf,
  0x8fe32fcc4ffef0f7, 0x03f7ec3347d8cec3, 0x5c33d30be347a2ff, 0xc3a4a5b387138cb2, 0xfba8a792bf734332,
  0x00000000000a02c0,
};

/*
 * usb1286_swio15_lednop_pr          usb1286_swio15_lednop_pr_u4       usb1287_swio15_lednop
 * usb1287_swio15_lednop_pr          usb1287_swio15_lednop_pr_u4
 */
static const uint64_t ur_usb1286_swio15_lednop[] = {
  0xddbbbbbb4486d38b, 0x5ae5a58856cc6b13, 0xa6f70a53038a4433, 0x1e41224b8edbd9fa, 0xb1d82fe3fbb3dd11,
  0xe327751994e69652, 0x0dfe10a67ff74c13, 0x51f4a3be5a0fc918, 0x17baa4871240fa0f, 0x8e32398b016594c5,
  0xfb30475e8faf0828, 0x3cb3dbc8a22aa01f, 0x9fdaf2e556a52170, 0x9d454aa35d09c73c, 0x13a6e576a96fabb3,
  0x2b92b1e916a6b810, 0xbae7b55a22bcb169, 0x417296be74079b26, 0xf19d102e6e90abaa, 0xf62aa8b4ebaf38c6,
  0x52fcadb338217156, 0x02f63c330ddf094b, 0x66fe0eee3459eff1, 0xdef286152256a756, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0xf84f059e4afdcd0c, 0x00000000000f9315,
};

// usb1286_swio15_lednop_pr_ee_u4    usb1287_swio15_lednop_pr_ee       usb1287_swio15_lednop_pr_ee_u4
static const uint64_t ur_usb1286_swio15_lednop_pr_ee[] = {
  0xef777776890c1107, 0xd5cb4b1ea7646b05, 0xdf23bc94b88cf126, 0xbc8a63afa0a34f0a, 0xf4c8f833229110bd,
  0x64eea722af323bf7, 0xff84299fe9f9827c, 0x7a6ab5a37f248f57, 0xf06cc184ff51e56a, 0xad08a1df15caef51,
  0x9afa30b2c4522cd3, 0x3ab4b94b5c6b2690, 0xebce9de132918287, 0x44be47916c6ab5d0, 0xb86f65b2e62e1211,
  0x00a0ff48a8d823f5, 0x4e39e4fed7972ab5, 0x7d5d9cea2a551ae8, 0x35c0809d372bb54b, 0xe58b495c958f48b5,
  0x3cd935d73daad115, 0x855d520b94b5f3a0, 0x79c6378ce8817374, 0x0b8ab7b15545a75d, 0xf84a5a97e56d99c1,
  0xcf7f8817b1e1986e, 0xb53ab337f07771a2, 0xffde1ef79430a912, 0xfb19d871fc65f989, 0x68f45fe07efd8668,
  0xe271964b867a617c, 0xee6866587494b670, 0x13ae6b04782cf257,
};

// usb1286_swio15_lednop_pr_ce_u4    usb1287_swio15_lednop_pr_ce       usb1287_swio15_lednop_pr_ce_u4
static const uint64_t ur_usb1286_swio15_lednop_pr_ce[] = {
  0xc9bbbbbb44864aa4, 0xad72d2c1c1420ac3, 0xa6276998db6226d6, 0x45c3e35e85c33b27, 0x9f6696c89b1baf22,
  0x27c64eea4cb1789d, 0x4e0ff84299fa1f98, 0xb9d93a037f58f724, 0x9ecb3879e7085b79, 0xea3c2784bf10d848,
  0x6e122270e089300f, 0xf38cf72df5eb26cf, 0x27d243892064f7a8, 0x1447191cc580abec, 0x0ffd99e3af47d784,
  0x2e0796b764511550, 0xe793fb5e5caad4a4, 0x7673a8a9546ba138, 0x020274dcaed52df5, 0x2d2572563d22d4d7,
  0x64d75cf6ab445796, 0x75482e52d7ce80f3, 0x18de33a205cdd215, 0x8edec555169d75e7, 0x52d4bf2b6cce0859,
  0xfc40bd8f0cc377c2, 0xd599bf83bb8d167b, 0xf0f7bca1854895a9, 0xcec38fe32fcc4ffe, 0xa2ff03f7ec3347d8,
  0x8cb25c33d30be347, 0x4332c3a4a5b38713, 0x7fcd33c16792bf73, 0x00000000000000dd,
};

// usb1286_swio15_lednop_pr_ee_ce_u4 usb1287_swio15_lednop_pr_ee_ce    usb1287_swio15_lednop_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio15_lednop_pr_ee_ce[] = {
  0x121bbbbbb4486e7c, 0xf1f72d2c4221baac, 0xeb62d41542cddc2f, 0xa6c6d95b81793a99, 0x4e294245b0522920,
  0x93bbb36d3c5a87e3, 0xfc214cfb37e609f1, 0x81bfaa31ad246f0f, 0x79e7085b79b9dde1, 0x84bf10d8489ecb38,
  0xe1c551649fea3c27, 0xac74f7cd9edc2444, 0x067afa8f2b28729d, 0x814c57813d47c1b3, 0xc2cb1148b34eb422,
  0xd5db8a58ea426be8, 0x5e74ef09948c1439, 0x4be47916c6abc6c7, 0x86f65b2e62e12114, 0x6707fa4546c11323,
  0x71cf27f6bcb955a9, 0xeaece75152a8d742, 0xae0404e9b95daa5b, 0x2c5a4ae4ac7a45a9, 0xe6c9aeb9ed5688af,
  0x2aea905ca5af9d01, 0xce31bc67440b9ba4, 0xb31dbd8aaa2d3aeb, 0x84a5a97e56d99c10, 0xf7f8817b1e1986ef,
  0x53ab337f07771a2c, 0xfde1ef79430a912b, 0xb19d871fc65f989f, 0x8f45fe07efd8668f, 0x271964b867a617c6,
  0xe6866587494b670e, 0x9f9bc94782cf257e,
};

// usb1287_swio15_lednop_ee_hw
static const uint64_t ur_usb1286_swio15_lednop_ee_hw[] = {
  0x7bdddddda28d0582, 0xb572d2c7a9d91ac1, 0xb7c8ef252e233c49, 0x6f2298ebe828d3c2, 0x7d323e0cc8a4442f,
  0x4f8c9dd3b410f4b5, 0xf57ff958b3fd3f30, 0x56a7a6ab5a37f248, 0xf51f06cc184ff51e, 0xcd3ad08a1df15cae,
  0x6909afa30b2c4522, 0x2873ab4b94b5c6b2, 0x5d0ebce9de132918, 0x21144be47916c6ab, 0x3f5b86f65b2e62e1,
  0xab500a0ff48a8d82, 0xae84e39e4fed7972, 0x54b7d5d9cea2a551, 0x8b535c0809d372bb, 0x115e58b495c958f4,
  0x3a03cd935d73daad, 0x374855d520b94b5f, 0x75d79c6378ce8817, 0x9c10b8ab7b15545a, 0x86ef84a5a97e56d9,
  0x430a912b505d9e19, 0xc65f989ffde1ef79, 0xefd8668fb19d871f, 0x67a617c68f45fe07, 0x494b670e271964b8,
  0xd14f257ee6866587, 0x0000000005be3483,
};

// usb1286_swio15_lednop_ee_ce_u4_hw usb1287_swio15_lednop_ee_ce_hw    usb1287_swio15_lednop_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio15_lednop_ee_ce_hw[] = {
  0x437777768a34306a, 0x3ee5a58844375582, 0x6c5a82a859bb85fe, 0xd8db2b702f27533d, 0xc52848b60a452414,
  0x64eed57e4cd42169, 0xff958b3ecdf9827c, 0x3037f54635a48de1, 0x1e79c216fc873bbc, 0xe12fc4361227b2ce,
  0x3870b233d7fa8f09, 0x6b1d3df367b70911, 0xc19ebea3caca1ca7, 0xa05315e04f51f06c, 0x30b2c4522cd3ad08,
  0x7576e2963a909afa, 0xd79d3bc26523050e, 0x12f91e45b1aaf1b1, 0xe1bd96cb98b84845, 0x59c1fe9151b044c8,
  0x9c73c9fdaf2e556a, 0xfabb39d454aa35d0, 0x6b81013a6e576a96, 0xcb1692b92b1e916a, 0x79b26bae7b55a22b,
  0x0abaa417296be740, 0xf38c6f19d102e6e9, 0x2cc76f62aa8b4eba, 0xe1296a5f95b66704, 0xa44ad417678661bb,
  0xe627ff787bde50c2, 0x19a3ec6761c7f197, 0x85f1a3d17f81fbf6, 0xd9c389c6592e19e9, 0xc95fb9a19961d252,
  0x0000050166001453,
};

/*
 * usb1286_swio15_dual_pr            usb1286_swio15_dual_pr_u4         usb1287_swio15_dual
 * usb1287_swio15_dual_pr            usb1287_swio15_dual_pr_u4
 */
static const uint64_t ur_usb1286_swio15_dual[] = {
  0x60eeeeeed121a5fb, 0x767eeef1b79f7cdd, 0xbf547e05a3b68b51, 0x85c1bebb8d482b6a, 0xadefdecadd583e46,
  0xf729646bae1f1563, 0x8a43b77304f8c9c5, 0xda4606eeab50c8da, 0x29dd3e25c40c2860, 0x97c5d82fe6584a01,
  0x9bd4774bb0386702, 0xc5e8524482481fee, 0x4aff3f7c117e53e5, 0xf2e5a03770f8510c, 0x7177f25f2f973f21,
  0x910cbfe420b486f9, 0xf09ad68a8432d08c, 0x579096dd4f7fd01c, 0x52b7fc566e60b0de, 0xfd47dbe77cb3df24,
  0x90efe52438920707, 0x08e21398b01541e6, 0xff6608ebc01af0f5, 0x03cb3dbf907c5403, 0x3f8abe7771525f65,
  0x9c73c9fdaf2e556b, 0xfabb39d454aa35d0, 0x6b81013a6e576a96, 0xcb1692b92b1e916a, 0x79b26bae7b55a22b,
  0x0abaa417296be740, 0xf38c6f19d102e6e9, 0x17156f62aa8b4eba, 0xf094b52fcadb3382, 0x9eff102f63c330dd,
  0x6a75666fe0eee345, 0xffbc3def28615225, 0xf633b0e3f8cbf313, 0xd1e8bfc0fdfb0cd1, 0xc4e32c970cf4c2f8,
  0xdcd0ccb0e9296ce1, 0x29271f5cf059e4af,
};

// usb1287_swio15_dual_pr_ee
static const uint64_t ur_usb1286_swio15_dual_pr_ee[] = {
  0x76c5bbbbbba86f97, 0x02f67eeef243dc73, 0xd826f1fcb56ca0dd, 0x689cafb0fb263ade, 0x991216f1e47db158,
  0xe4f046752c8a7433, 0x90724e609f1931c6, 0x9181bbaad43236a2, 0x774f8971030a1836, 0x7170d1f99612804a,
  0xd47e9fd858f9c3fe, 0xd0a48904903eaf9b, 0xfe7ef822fca7cb8b, 0x20e06ee1f0a21895, 0xbf92f97cb9f90f97,
  0x65ff2105a437cb8b, 0xa448a8432d08f688, 0x12dba6dffd01cf09, 0xff8acdcc161bcaf2, 0x69aad68d7dc91a1f,
  0xe0d983eebd4795e5, 0x5a1143be2bb75ea3, 0x35f4616588a459a7, 0xd5a5d82ae105cd21, 0xf6b15e18f68e7139,
  0x4011ad7b1aad743a, 0x0decb8f8c5c24228, 0xceee2a4ab87bfeb7, 0x3fb5e5caad67f157, 0x3a8a9546ba138e79,
  0x274dcaed52df5767, 0x572563d22d4d7020, 0x75cf6ab4457962d2, 0x82e52d7ce80f364d, 0xe33a205cdd215754,
  0xec555169d75e718d, 0xa5f95b667042e2ad, 0x27dc78661bbe1296, 0x37f07771a2cf7f88, 0x4b867a615c9fbab3,
  0x587494b670e27196, 0x1e782cf257ee6866, 0x0000000000190a37,
};

// usb1287_swio15_dual_pr_ee_u4
static const uint64_t ur_usb1286_swio15_dual_pr_ee_u4[] = {
  0xb7777768a87fa812, 0xcfddde480fce6e75, 0xa57bebb086ec8a76, 0x4996820f947f7af7, 0x77f8f23e758ed40b,
  0x72eecfed1c7fbebd, 0x13e32519dc83ebf0, 0x5a8646d45232da4c, 0x20614306d2303775, 0x6584a6024ee9f12e,
  0x00d070d35c5dfe7e, 0x4903e9f9bd47ff9b, 0x2fca7cb8bd0a4890, 0x1f0a21895fe7ef82, 0xcb9f90f90c2e06ee,
  0x5a437cb8bbf92f97, 0x32d05f68865ff210, 0xffa039e1307b8a84, 0x82c3795e425b7b5b, 0xb9392363ffe15629,
  0xdfa8f2bd37355ad1, 0x8ae397a8f83660e3, 0x62291669d68450ef, 0xb8a973484d7d1859, 0x7da3ea0e7569795c,
  0xb1aad743af513785, 0xcc5c2422809e8fe4, 0xa3608fd6e1bd97d2, 0x9ddc5494027bc6fa, 0x7f6bcb955acfe2af,
  0x75152a8d74271cf2, 0x4e9b95daa5beaece, 0xae4ac7a45a9ae040, 0xeb9ed5688af2c5a4, 0x05ca5af9d01e6c9a,
  0xc67440b9ba42aea9, 0xd8aaa2d3aebce31b, 0x4bf2b6cce085c55b, 0x0bd8f0cc377c252d, 0xdfc1a3f8d167bfc4,
  0xde50c2a44ad4eacc, 0xc7f197e627ff787b, 0x81fbf619a3ec6761, 0x2e19e985f1a3d17f, 0x61d252d9c389c659,
  0x52d3f3c95fb9a199, 0x0000000000ac96cc,
};

// usb1287_swio15_dual_pr_ce
static const uint64_t ur_usb1286_swio15_dual_pr_ce[] = {
  0x9baddddddd43573e, 0xdecfdddf50ebbf9b, 0xdc6da0abe6c48ce0, 0xf4e69c9ae807aef7, 0xc3ec9945fba6e999,
  0x3b92e2fbb0af7aca, 0x4521d3a9827c64fd, 0x6d23037755a8646d, 0x94ee9f12e2061430, 0x5fc5e87ff32c2500,
  0x37a8f1cb60704e1d, 0x8bd0a48904903b75, 0x95fe7ef822fca7cb, 0xc8c0206ee1f0a218, 0xc5dfc97cbe5cfc87,
  0x4432ff9082d21be5, 0xc260522a10cb40f5, 0x5e425b70b5ff4073, 0xd9dff159b982c379, 0x3b8ac02bbebdd491,
  0x0f96bf3ce10b6f37, 0x2e6815dc2444e1ef, 0x17d479127b967b75, 0x5f9d1ee921c49031, 0x6bc3d423884e62c0,
  0xf1500ffd99e3af00, 0x525f6503cb5bbe41, 0x2e556b3f8abe7771, 0xaa35d09c73c9fdaf, 0x576a96fabb39d454,
  0x1e916a6b81013a6e, 0x55a22bcb1692b92b, 0x6be74079b26bae7b, 0x02e6e90abaa41729, 0x8b4ebaf38c6f19d1,
  0xb667042cc76f62aa, 0x8661bbe1296a5f95, 0x771a2cf7f8827dc7, 0xa615c9fbab337f07, 0x4b670e271964b867,
  0xcf257ee686658749, 0x000001cf58e8a782,
};

// usb1287_swio15_dual_pr_ce_u4
static const uint64_t ur_usb1286_swio15_dual_pr_ce_u4[] = {
  0xb7777768a87f2906, 0x3f777a9bc89e6e76, 0x7eaecf8e714e0ddb, 0xfda70b26ee76e66f, 0x83f3bbdd3b4d88c8,
  0x457c80b782a46336, 0x1e7ae609f19306ee, 0x181bbaad43236a29, 0x74f8971030a18369, 0x2fa6bf32c2530127,
  0x47b1fd87fc38068e, 0x0a48904903a1f9bd, 0xe7ef822fca7cb8bd, 0xae06ee1f0a21895f, 0xf92f97cb9f90f92b,
  0x5ff2105a437cb8bb, 0x6fc54219683f8886, 0x2dbcedffd01cf09b, 0xf0ab14c161bcaf21, 0x7c0dfd4a2c91e9ff,
  0x0f3ce10b7f00cecc, 0xf097e21b0913d967, 0x9c3baa3541fd4784, 0x2df5d4b9b3db8488, 0x8920622fa8f224f7,
  0x9cc580bf3a3dd243, 0xc75e00d787a84710, 0xb77c83e2a01ffb33, 0x7ceee2a4beca0796, 0x93fb5e5caad67f15,
  0x73a8a9546ba138e7, 0x0274dcaed52df576, 0x2572563d22d4d702, 0xd75cf6ab4457962d, 0x482e52d7ce80f364,
  0xde33a205cdd21575, 0xdec555169d75e718, 0xd4bf2b6cce08598e, 0x40bd8f0cc377c252, 0xcdfc1a3f8d167bfc,
  0xbde50c2a44ad4eac, 0x1c7f197e627ff787, 0xf81fbf619a3ec676, 0x92e19e985f1a3d17, 0x961d252d9c389c65,
  0x682d3f3c95fb9a19, 0x00000000001a49c6,
};

// usb1286_swio15_dual_pr_ee_ce_u4   usb1287_swio15_dual_pr_ee_ce      usb1287_swio15_dual_pr_ee_ce_u4
static const uint64_t ur_usb1286_swio15_dual_pr_ee_ce[] = {
  0xbbbbbb4543fed164, 0xfbbbf0a30a737403, 0x9d385e4c2afb17d9, 0x6d1a3ff57dfafb46, 0x294a40355ecfab8d,
  0xd7fa0b761563f86a, 0x932e52b8f1566e69, 0x5148d5f86609f192, 0x1b48c0ddd56a191b, 0x093ba7c4b881850c,
  0x51c5da0ff9961298, 0xdea3dc8ec0928e19, 0xbd0a4890490366fc, 0x5fe7ef822fca7cb8, 0x392606ee1f0a2189,
  0x77f25f2f973f21f2, 0x0cbfe420b486f971, 0x6d9d150865a04e91, 0x84b6ea49ff4073c2, 0x3fc2ac530586f2bc,
  0x401bfaa30b52452a, 0x1e79c216fe019da5, 0xe12fc4361227b2ce, 0x87de7d0f27fa8f09, 0xb1d4dd367b709113,
  0x1995ea3caf7dca76, 0x05315ecef51f06cc, 0x0b2c4522cd3ad08a, 0x576e95c3a909afa3, 0xf5137857da3ea0e7,
  0x13d1fc96355e363a, 0x37b2fa598b848450, 0x37bc6faa3608991c, 0xacfe2af9ddc5494b, 0x4271cf27f6bcb955,
  0x5beaece75152a8d7, 0xa9ae0404e9b95daa, 0xaf2c5a4ae4ac7a45, 0x01e6c9aeb9ed5688, 0xa42aea905ca5af9d,
  0xebce31bc67440b9b, 0x10b31dbd8aaa2d3a, 0xef84a5a97e56d99c, 0x2cf7f8817b1e1986, 0x5a9d599bf8347f1a,
  0xffef0f7bca185489, 0x7d8cec38fe32fcc4, 0x347a2ff03f7ec334, 0x7138cb25c33d30be, 0xf734332c3a4a5b38,
  0x100035485a7e792b,
};

// usb1287_swio15_dual_ee_hw
static const uint64_t ur_usb1286_swio15_dual_ee_hw[] = {
  0x6dddddda28d1880b, 0xb3f7779203f39b9d, 0xe95efaec21bb229d, 0xd265a083e51fdebd, 0x5dfe3c8f9d63b502,
  0xfd35b669d71fefaf, 0x49827c64a33b9093, 0xeeab50c8da8a465b, 0x25c40c2860da4606, 0xe7e6584a7419dd3e,
  0xf9b00d070d35c5df, 0x8904903e9f9bd47f, 0xf822fca7cb8bd0a4, 0x6ee1f0a21895fe7e, 0xf97cb9f90f90c2e0,
  0x2105a437cb8bbf92, 0xa8432d05f68865ff, 0xb5bffa039e1307b8, 0x5a982c3795e425b7, 0x6b46e4e48d8fffc6,
  0x838f7ea3caf4dcd5, 0x43be2b8e5ea3e0d9, 0x616588a459a75a11, 0xe572e2a5cd2135f4, 0xde15f68fa839d5a5,
  0x3f92c6ab5d0ebd44, 0x5f4b3170908a027a, 0x1bea8d823f5b86f6, 0x8abe7771525009ef, 0x73c9fdaf2e556b3f,
  0xbb39d454aa35d09c, 0x81013a6e576a96fa, 0x1692b92b1e916a6b, 0xb26bae7b55a22bcb, 0xbaa417296be74079,
  0x8c6f19d102e6e90a, 0x156f62aa8b4ebaf3, 0x94b52fcadb338217, 0x256a0bb3c330ddf0, 0x13ffbc3def286152,
  0xd1f633b0e3f8cbf3, 0xf8d1e8bfc0fdfb0c, 0xe1c4e32c970cf4c2, 0xafdcd0ccb0e9296c, 0x0005768e793a29e4,
};

// usb1286_swio15_dual_ee_ce_u4_hw   usb1287_swio15_dual_ee_ce_hw      usb1287_swio15_dual_ee_ce_u4_hw
static const uint64_t ur_usb1286_swio15_dual_ee_ce_hw[] = {
  0x77777768a347e907, 0x3f777e14614e6e80, 0xd3a70bc9855f62fb, 0xada347feafbf5f68, 0x45294806abd9f571,
  0x35b46e6ec2ac7f0d, 0xf192932e41013485, 0x191b5148d5f86609, 0x850c1b48c0ddd56a, 0x094e833ba7c4b881,
  0x470ca8e2ed07fccb, 0xb37e6f51ee476049, 0x3e5c5e8524482481, 0x10c4aff3f7c117e5, 0x90f91c9303770f85,
  0x7cb8bbf92f97cb9f, 0x2748865ff2105a43, 0x39e136ce8a8432d0, 0x795e425b7524ffa0, 0x48a547fc65a982c3,
  0x73b4a8037f54616a, 0x7b2ce1e79c216fc8, 0xa8f09e12fc436122, 0xe122270ef00c463f, 0xfb94ed63a9ba6cf6,
  0x3e0d98332bd4795e, 0x75a1140a62bd9dea, 0x135f4616588a459a, 0x7d41ceaedd2b8752, 0xbc6c75ea26f0afb4,
  0x0908a027a3f92c6a, 0x1132386f65f4b317, 0x8a92966f78df546c, 0x7972ab59fc55f3bb, 0xa551ae84e39e4fed,
  0x72bb54b7d5d9cea2, 0x58f48b535c0809d3, 0xdaad115e58b495c9, 0x4b5f3a03cd935d73, 0x8817374855d520b9,
  0x545a75d79c6378ce, 0xadb33821663b7b15, 0x3c330ddf094b52fc, 0xdef286152256a0bb, 0x0e3f8cbf313ffbc3,
  0xfc0fdfb0cd1f633b, 0xc970cf4c2f8d1e8b, 0xcb0e9296ce1c4e32, 0x7fe1a29e4afdcd0c, 0x000000000000ebaa,
};


/*
 * This is a list of 65205 bootloader templates, each one described by a unique number
 *
 *   n = ((mcu*UL_IOTYPE_N + io)*UL_BLTYPE_N + blt)*UL_CONFIG_N + cfg,
 *
 * where mcu in [0, 165] specifies the MCU; io in [0, 30] the I/O type; blt in [0, 2] the
 * bootloader type, cfg in [0, 13] the configuration type of the bootloader. These values can be
 * obtained from n by
 *
 *  mcu = n/(UL_IOTYPE_N*UL*BLTYPE_N*UL_CONFIG_N) = n/1302
 *   io = (n/(UL_BLTYPE_N*UL_CONFIG_N))%UL_IOTYPE_N = (n/42)%31
 *  blt = (n/UL_CONFIG_N)%UL_BLTYPE_N = (n/14)%3
 *  cfg = n%UL_CONFIG_N = n%14
 *
 * This list dispatches to 17059 unique/different bootloader templates, which can be parametrised
 * to create specific working bootloaders for a certain baud rate, IO pin, LED pin etc. The data
 * for the bootloader are Huffman-compressed and, after decompression, yield 16-bit words, which
 * are
 *   - Size of the bootloader in bytes (number of code bytes incl 6 bytes for table at flash end)
 *   - Usage of the bootloader in bytes (smallest hardware boot section or multiple of page size)
 *   - Update flash level: extent to which flash is checked whether it needs writing/erasing
 *   - 39 word indices into the bootloader code where parameters can be set (0 if n/a)
 *   - Size/2 - 3 words of bootloader code
 *   - 3 words of a version table to be put on top of flash
 *
 * These templates need around 5.144 MiBi read-only storage and can create around 1.55 quadrillion
 * different bootloaders.
 */

typedef struct {
  int32_t n;                    // Unique number as described above
  const uint64_t *bl;           // Compressed bootloader template as described above
} Ul_urlist;

static Ul_urlist urbootlist[65205] = {
 {      0, ur_m169_autobaud_uart0_noled },
 {      1, ur_m169_autobaud_uart0_noled },
 {      2, ur_m169_autobaud_uart0_noled_pr_u4 },
 {      3, ur_m169_autobaud_uart0_noled_pr_ee },
 {      4, ur_m169_autobaud_uart0_noled_pr_ee },
 {      5, ur_m169_autobaud_uart0_noled_pr_ce },
 {      6, ur_m169_autobaud_uart0_noled_pr_ce },
 {      7, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {      8, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {      9, ur_m169_autobaud_uart0_noled_hw },
 {     10, ur_m169_autobaud_uart0_noled_ee_hw },
 {     11, ur_m169_autobaud_uart0_noled_ce_hw },
 {     12, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {     13, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {     14, ur_m169_autobaud_uart0_lednop },
 {     15, ur_m169_autobaud_uart0_lednop_pr },
 {     16, ur_m169_autobaud_uart0_lednop_pr },
 {     17, ur_m169_autobaud_uart0_lednop_pr_ee },
 {     18, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {     19, ur_m169_autobaud_uart0_lednop_pr_ce },
 {     20, ur_m169_autobaud_uart0_lednop_pr_ce },
 {     21, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {     22, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {     23, ur_m169_autobaud_uart0_lednop_hw },
 {     24, ur_m169_autobaud_uart0_lednop_ee_hw },
 {     25, ur_m169_autobaud_uart0_lednop_ce_hw },
 {     26, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {     27, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {     28, ur_m169_autobaud_uart0_dual },
 {     29, ur_m169_autobaud_uart0_dual },
 {     30, ur_m169_autobaud_uart0_dual },
 {     31, ur_m169_autobaud_uart0_dual_pr_ee },
 {     32, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {     33, ur_m169_autobaud_uart0_dual_pr_ce },
 {     34, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {     35, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {     36, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {     37, ur_m169_autobaud_uart0_dual_hw },
 {     38, ur_m169_autobaud_uart0_dual_ee_hw },
 {     39, ur_m169_autobaud_uart0_dual_ce_hw },
 {     40, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {     41, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {    210, ur_m169_u1x8_uart0_noled },
 {    211, ur_m169_u1x8_uart0_noled },
 {    212, ur_m169_u1x8_uart0_noled_pr_u4 },
 {    213, ur_m169_u1x8_uart0_noled_pr_ee },
 {    214, ur_m169_u1x8_uart0_noled_pr_ee },
 {    215, ur_m169_u1x8_uart0_noled_pr_ce },
 {    216, ur_m169_u1x8_uart0_noled_pr_ce },
 {    217, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {    218, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {    219, ur_m169_u1x8_uart0_noled_hw },
 {    220, ur_m169_u1x8_uart0_noled_ee_hw },
 {    221, ur_m169_u1x8_uart0_noled_ce_hw },
 {    222, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {    223, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {    224, ur_m169_u1x8_uart0_lednop },
 {    225, ur_m169_u1x8_uart0_lednop },
 {    226, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {    227, ur_m169_u1x8_uart0_lednop_pr_ee },
 {    228, ur_m169_u1x8_uart0_lednop_pr_ee },
 {    229, ur_m169_u1x8_uart0_lednop_pr_ce },
 {    230, ur_m169_u1x8_uart0_lednop_pr_ce },
 {    231, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {    232, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {    233, ur_m169_u1x8_uart0_lednop_hw },
 {    234, ur_m169_u1x8_uart0_lednop_ee_hw },
 {    235, ur_m169_u1x8_uart0_lednop_ce_hw },
 {    236, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {    237, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {    238, ur_m169_u1x8_uart0_dual },
 {    239, ur_m169_u1x8_uart0_dual_pr },
 {    240, ur_m169_u1x8_uart0_dual_pr },
 {    241, ur_m169_u1x8_uart0_dual_pr_ee },
 {    242, ur_m169_u1x8_uart0_dual_pr_ee },
 {    243, ur_m169_u1x8_uart0_dual_pr_ce },
 {    244, ur_m169_u1x8_uart0_dual_pr_ce },
 {    245, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {    246, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {    247, ur_m169_u1x8_uart0_dual_hw },
 {    248, ur_m169_u1x8_uart0_dual_ee_hw },
 {    249, ur_m169_u1x8_uart0_dual_ce_hw },
 {    250, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {    251, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {    420, ur_m169_u1x12_uart0_noled },
 {    421, ur_m169_u1x12_uart0_noled },
 {    422, ur_m169_u1x12_uart0_noled_pr_u4 },
 {    423, ur_m169_u1x12_uart0_noled_pr_ee },
 {    424, ur_m169_u1x12_uart0_noled_pr_ee },
 {    425, ur_m169_u1x12_uart0_noled_pr_ce },
 {    426, ur_m169_u1x12_uart0_noled_pr_ce },
 {    427, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {    428, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {    429, ur_m169_u1x12_uart0_noled_hw },
 {    430, ur_m169_u1x12_uart0_noled_ee_hw },
 {    431, ur_m169_u1x12_uart0_noled_ce_hw },
 {    432, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {    433, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {    434, ur_m169_u1x12_uart0_lednop },
 {    435, ur_m169_u1x12_uart0_lednop },
 {    436, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {    437, ur_m169_u1x12_uart0_lednop_pr_ee },
 {    438, ur_m169_u1x12_uart0_lednop_pr_ee },
 {    439, ur_m169_u1x12_uart0_lednop_pr_ce },
 {    440, ur_m169_u1x12_uart0_lednop_pr_ce },
 {    441, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {    442, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {    443, ur_m169_u1x12_uart0_lednop_hw },
 {    444, ur_m169_u1x12_uart0_lednop_ee_hw },
 {    445, ur_m169_u1x12_uart0_lednop_ce_hw },
 {    446, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {    447, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {    448, ur_m169_u1x12_uart0_dual },
 {    449, ur_m169_u1x12_uart0_dual_pr },
 {    450, ur_m169_u1x12_uart0_dual_pr },
 {    451, ur_m169_u1x12_uart0_dual_pr_ee },
 {    452, ur_m169_u1x12_uart0_dual_pr_ee },
 {    453, ur_m169_u1x12_uart0_dual_pr_ce },
 {    454, ur_m169_u1x12_uart0_dual_pr_ce },
 {    455, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {    456, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {    457, ur_m169_u1x12_uart0_dual_hw },
 {    458, ur_m169_u1x12_uart0_dual_ee_hw },
 {    459, ur_m169_u1x12_uart0_dual_ce_hw },
 {    460, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {    461, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {    630, ur_m169_u2x8_uart0_noled },
 {    631, ur_m169_u2x8_uart0_noled },
 {    632, ur_m169_u2x8_uart0_noled_pr_u4 },
 {    633, ur_m169_u2x8_uart0_noled_pr_ee },
 {    634, ur_m169_u2x8_uart0_noled_pr_ee },
 {    635, ur_m169_u2x8_uart0_noled_pr_ce },
 {    636, ur_m169_u2x8_uart0_noled_pr_ce },
 {    637, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {    638, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {    639, ur_m169_u2x8_uart0_noled_hw },
 {    640, ur_m169_u2x8_uart0_noled_ee_hw },
 {    641, ur_m169_u2x8_uart0_noled_ce_hw },
 {    642, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {    643, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {    644, ur_m169_u2x8_uart0_lednop },
 {    645, ur_m169_u2x8_uart0_lednop },
 {    646, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {    647, ur_m169_u2x8_uart0_lednop_pr_ee },
 {    648, ur_m169_u2x8_uart0_lednop_pr_ee },
 {    649, ur_m169_u2x8_uart0_lednop_pr_ce },
 {    650, ur_m169_u2x8_uart0_lednop_pr_ce },
 {    651, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {    652, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {    653, ur_m169_u2x8_uart0_lednop_hw },
 {    654, ur_m169_u2x8_uart0_lednop_ee_hw },
 {    655, ur_m169_u2x8_uart0_lednop_ce_hw },
 {    656, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {    657, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {    658, ur_m169_u2x8_uart0_dual },
 {    659, ur_m169_u2x8_uart0_dual_pr },
 {    660, ur_m169_u2x8_uart0_dual_pr },
 {    661, ur_m169_u2x8_uart0_dual_pr_ee },
 {    662, ur_m169_u2x8_uart0_dual_pr_ee },
 {    663, ur_m169_u2x8_uart0_dual_pr_ce },
 {    664, ur_m169_u2x8_uart0_dual_pr_ce },
 {    665, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {    666, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {    667, ur_m169_u2x8_uart0_dual_hw },
 {    668, ur_m169_u2x8_uart0_dual_ee_hw },
 {    669, ur_m169_u2x8_uart0_dual_ce_hw },
 {    670, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {    671, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {    840, ur_m169_u2x12_uart0_noled },
 {    841, ur_m169_u2x12_uart0_noled },
 {    842, ur_m169_u2x12_uart0_noled_pr_u4 },
 {    843, ur_m169_u2x12_uart0_noled_pr_ee },
 {    844, ur_m169_u2x12_uart0_noled_pr_ee },
 {    845, ur_m169_u2x12_uart0_noled_pr_ce },
 {    846, ur_m169_u2x12_uart0_noled_pr_ce },
 {    847, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {    848, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {    849, ur_m169_u2x12_uart0_noled_hw },
 {    850, ur_m169_u2x12_uart0_noled_ee_hw },
 {    851, ur_m169_u2x12_uart0_noled_ce_hw },
 {    852, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {    853, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {    854, ur_m169_u2x12_uart0_lednop },
 {    855, ur_m169_u2x12_uart0_lednop },
 {    856, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {    857, ur_m169_u2x12_uart0_lednop_pr_ee },
 {    858, ur_m169_u2x12_uart0_lednop_pr_ee },
 {    859, ur_m169_u2x12_uart0_lednop_pr_ce },
 {    860, ur_m169_u2x12_uart0_lednop_pr_ce },
 {    861, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {    862, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {    863, ur_m169_u2x12_uart0_lednop_hw },
 {    864, ur_m169_u2x12_uart0_lednop_ee_hw },
 {    865, ur_m169_u2x12_uart0_lednop_ce_hw },
 {    866, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {    867, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {    868, ur_m169_u2x12_uart0_dual },
 {    869, ur_m169_u2x12_uart0_dual_pr },
 {    870, ur_m169_u2x12_uart0_dual_pr },
 {    871, ur_m169_u2x12_uart0_dual_pr_ee },
 {    872, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {    873, ur_m169_u2x12_uart0_dual_pr_ce },
 {    874, ur_m169_u2x12_uart0_dual_pr_ce },
 {    875, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {    876, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {    877, ur_m169_u2x12_uart0_dual_hw },
 {    878, ur_m169_u2x12_uart0_dual_ee_hw },
 {    879, ur_m169_u2x12_uart0_dual_ce_hw },
 {    880, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {    881, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {   1050, ur_m169_swio10_noled },
 {   1051, ur_m169_swio10_noled_pr },
 {   1052, ur_m169_swio10_noled_pr },
 {   1053, ur_m169_swio10_noled_pr_ee },
 {   1054, ur_m169_swio10_noled_pr_ee_u4 },
 {   1055, ur_m169_swio10_noled_pr_ce },
 {   1056, ur_m169_swio10_noled_pr_ce },
 {   1057, ur_m169_swio10_noled_pr_ee_ce },
 {   1058, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {   1059, ur_m169_swio10_noled_hw },
 {   1060, ur_m169_swio10_noled_ee_hw },
 {   1061, ur_m169_swio10_noled_ce_hw },
 {   1062, ur_m169_swio10_noled_ee_ce_hw },
 {   1063, ur_m169_swio10_noled_ee_ce_hw },
 {   1064, ur_m169_swio10_lednop },
 {   1065, ur_m169_swio10_lednop_pr },
 {   1066, ur_m169_swio10_lednop_pr },
 {   1067, ur_m169_swio10_lednop_pr_ee },
 {   1068, ur_m169_swio10_lednop_pr_ee_u4 },
 {   1069, ur_m169_swio10_lednop_pr_ce },
 {   1070, ur_m169_swio10_lednop_pr_ce },
 {   1071, ur_m169_swio10_lednop_pr_ee_ce },
 {   1072, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {   1073, ur_m169_swio10_lednop_hw },
 {   1074, ur_m169_swio10_lednop_ee_hw },
 {   1075, ur_m169_swio10_lednop_ce_hw },
 {   1076, ur_m169_swio10_lednop_ee_ce_hw },
 {   1077, ur_m169_swio10_lednop_ee_ce_hw },
 {   1078, ur_m169_swio10_dual },
 {   1079, ur_m169_swio10_dual },
 {   1080, ur_m169_swio10_dual },
 {   1081, ur_m169_swio10_dual_pr_ee },
 {   1082, ur_m169_swio10_dual_pr_ee_u4 },
 {   1083, ur_m169_swio10_dual_pr_ce },
 {   1084, ur_m169_swio10_dual_pr_ce_u4 },
 {   1085, ur_m169_swio10_dual_pr_ee_ce },
 {   1086, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {   1087, ur_m169_swio10_dual_hw },
 {   1088, ur_m169_swio10_dual_ee_hw },
 {   1089, ur_m169_swio10_dual_ce_hw },
 {   1090, ur_m169_swio10_dual_ee_ce_hw },
 {   1091, ur_m169_swio10_dual_ee_ce_u4_hw },
 {   1092, ur_m169_swio11_noled },
 {   1093, ur_m169_swio11_noled_pr },
 {   1094, ur_m169_swio11_noled_pr },
 {   1095, ur_m169_swio11_noled_pr_ee },
 {   1096, ur_m169_swio11_noled_pr_ee_u4 },
 {   1097, ur_m169_swio11_noled_pr_ce },
 {   1098, ur_m169_swio11_noled_pr_ce },
 {   1099, ur_m169_swio11_noled_pr_ee_ce },
 {   1100, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   1101, ur_m169_swio11_noled_hw },
 {   1102, ur_m169_swio11_noled_ee_hw },
 {   1103, ur_m169_swio11_noled_ce_hw },
 {   1104, ur_m169_swio11_noled_ee_ce_hw },
 {   1105, ur_m169_swio11_noled_ee_ce_hw },
 {   1106, ur_m169_swio11_lednop },
 {   1107, ur_m169_swio11_lednop_pr },
 {   1108, ur_m169_swio11_lednop_pr },
 {   1109, ur_m169_swio11_lednop_pr_ee },
 {   1110, ur_m169_swio11_lednop_pr_ee_u4 },
 {   1111, ur_m169_swio11_lednop_pr_ce },
 {   1112, ur_m169_swio11_lednop_pr_ce },
 {   1113, ur_m169_swio11_lednop_pr_ee_ce },
 {   1114, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   1115, ur_m169_swio11_lednop_hw },
 {   1116, ur_m169_swio11_lednop_ee_hw },
 {   1117, ur_m169_swio11_lednop_ce_hw },
 {   1118, ur_m169_swio11_lednop_ee_ce_hw },
 {   1119, ur_m169_swio11_lednop_ee_ce_hw },
 {   1120, ur_m169_swio11_dual },
 {   1121, ur_m169_swio11_dual },
 {   1122, ur_m169_swio11_dual },
 {   1123, ur_m169_swio11_dual_pr_ee },
 {   1124, ur_m169_swio11_dual_pr_ee_u4 },
 {   1125, ur_m169_swio11_dual_pr_ce },
 {   1126, ur_m169_swio11_dual_pr_ce_u4 },
 {   1127, ur_m169_swio11_dual_pr_ee_ce },
 {   1128, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   1129, ur_m169_swio11_dual_hw },
 {   1130, ur_m169_swio11_dual_ee_hw },
 {   1131, ur_m169_swio11_dual_ce_hw },
 {   1132, ur_m169_swio11_dual_ee_ce_hw },
 {   1133, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   1134, ur_m169_swio11_noled },
 {   1135, ur_m169_swio11_noled_pr },
 {   1136, ur_m169_swio11_noled_pr },
 {   1137, ur_m169_swio11_noled_pr_ee },
 {   1138, ur_m169_swio11_noled_pr_ee_u4 },
 {   1139, ur_m169_swio11_noled_pr_ce },
 {   1140, ur_m169_swio11_noled_pr_ce },
 {   1141, ur_m169_swio11_noled_pr_ee_ce },
 {   1142, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   1143, ur_m169_swio11_noled_hw },
 {   1144, ur_m169_swio11_noled_ee_hw },
 {   1145, ur_m169_swio11_noled_ce_hw },
 {   1146, ur_m169_swio11_noled_ee_ce_hw },
 {   1147, ur_m169_swio11_noled_ee_ce_hw },
 {   1148, ur_m169_swio11_lednop },
 {   1149, ur_m169_swio11_lednop_pr },
 {   1150, ur_m169_swio11_lednop_pr },
 {   1151, ur_m169_swio11_lednop_pr_ee },
 {   1152, ur_m169_swio11_lednop_pr_ee_u4 },
 {   1153, ur_m169_swio11_lednop_pr_ce },
 {   1154, ur_m169_swio11_lednop_pr_ce },
 {   1155, ur_m169_swio11_lednop_pr_ee_ce },
 {   1156, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   1157, ur_m169_swio11_lednop_hw },
 {   1158, ur_m169_swio11_lednop_ee_hw },
 {   1159, ur_m169_swio11_lednop_ce_hw },
 {   1160, ur_m169_swio11_lednop_ee_ce_hw },
 {   1161, ur_m169_swio11_lednop_ee_ce_hw },
 {   1162, ur_m169_swio11_dual },
 {   1163, ur_m169_swio11_dual },
 {   1164, ur_m169_swio11_dual },
 {   1165, ur_m169_swio11_dual_pr_ee },
 {   1166, ur_m169_swio11_dual_pr_ee_u4 },
 {   1167, ur_m169_swio11_dual_pr_ce },
 {   1168, ur_m169_swio11_dual_pr_ce_u4 },
 {   1169, ur_m169_swio11_dual_pr_ee_ce },
 {   1170, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   1171, ur_m169_swio11_dual_hw },
 {   1172, ur_m169_swio11_dual_ee_hw },
 {   1173, ur_m169_swio11_dual_ce_hw },
 {   1174, ur_m169_swio11_dual_ee_ce_hw },
 {   1175, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   1176, ur_m169_swio13_noled },
 {   1177, ur_m169_swio13_noled_pr },
 {   1178, ur_m169_swio13_noled_pr },
 {   1179, ur_m169_swio13_noled_pr_ee },
 {   1180, ur_m169_swio13_noled_pr_ee_u4 },
 {   1181, ur_m169_swio13_noled_pr_ce },
 {   1182, ur_m169_swio13_noled_pr_ce },
 {   1183, ur_m169_swio13_noled_pr_ee_ce },
 {   1184, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {   1185, ur_m169_swio13_noled_hw },
 {   1186, ur_m169_swio13_noled_ee_hw },
 {   1187, ur_m169_swio13_noled_ce_hw },
 {   1188, ur_m169_swio13_noled_ee_ce_hw },
 {   1189, ur_m169_swio13_noled_ee_ce_hw },
 {   1190, ur_m169_swio13_lednop },
 {   1191, ur_m169_swio13_lednop_pr },
 {   1192, ur_m169_swio13_lednop_pr },
 {   1193, ur_m169_swio13_lednop_pr_ee },
 {   1194, ur_m169_swio13_lednop_pr_ee_u4 },
 {   1195, ur_m169_swio13_lednop_pr_ce },
 {   1196, ur_m169_swio13_lednop_pr_ce_u4 },
 {   1197, ur_m169_swio13_lednop_pr_ee_ce },
 {   1198, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {   1199, ur_m169_swio13_lednop_hw },
 {   1200, ur_m169_swio13_lednop_ee_hw },
 {   1201, ur_m169_swio13_lednop_ce_hw },
 {   1202, ur_m169_swio13_lednop_ee_ce_hw },
 {   1203, ur_m169_swio13_lednop_ee_ce_hw },
 {   1204, ur_m169_swio13_dual },
 {   1205, ur_m169_swio13_dual },
 {   1206, ur_m169_swio13_dual },
 {   1207, ur_m169_swio13_dual_pr_ee },
 {   1208, ur_m169_swio13_dual_pr_ee_u4 },
 {   1209, ur_m169_swio13_dual_pr_ce },
 {   1210, ur_m169_swio13_dual_pr_ce_u4 },
 {   1211, ur_m169_swio13_dual_pr_ee_ce },
 {   1212, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {   1213, ur_m169_swio13_dual_hw },
 {   1214, ur_m169_swio13_dual_ee_hw },
 {   1215, ur_m169_swio13_dual_ce_hw },
 {   1216, ur_m169_swio13_dual_ee_ce_hw },
 {   1217, ur_m169_swio13_dual_ee_ce_u4_hw },
 {   1218, ur_m169_swio14_noled },
 {   1219, ur_m169_swio14_noled_pr },
 {   1220, ur_m169_swio14_noled_pr },
 {   1221, ur_m169_swio14_noled_pr_ee },
 {   1222, ur_m169_swio14_noled_pr_ee_u4 },
 {   1223, ur_m169_swio14_noled_pr_ce },
 {   1224, ur_m169_swio14_noled_pr_ce },
 {   1225, ur_m169_swio14_noled_pr_ee_ce },
 {   1226, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {   1227, ur_m169_swio14_noled_hw },
 {   1228, ur_m169_swio14_noled_ee_hw },
 {   1229, ur_m169_swio14_noled_ce_hw },
 {   1230, ur_m169_swio14_noled_ee_ce_hw },
 {   1231, ur_m169_swio14_noled_ee_ce_hw },
 {   1232, ur_m169_swio14_lednop },
 {   1233, ur_m169_swio14_lednop_pr },
 {   1234, ur_m169_swio14_lednop_pr },
 {   1235, ur_m169_swio14_lednop_pr_ee },
 {   1236, ur_m169_swio14_lednop_pr_ee_u4 },
 {   1237, ur_m169_swio14_lednop_pr_ce },
 {   1238, ur_m169_swio14_lednop_pr_ce },
 {   1239, ur_m169_swio14_lednop_pr_ee_ce },
 {   1240, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {   1241, ur_m169_swio14_lednop_hw },
 {   1242, ur_m169_swio14_lednop_ee_hw },
 {   1243, ur_m169_swio14_lednop_ce_hw },
 {   1244, ur_m169_swio14_lednop_ee_ce_hw },
 {   1245, ur_m169_swio14_lednop_ee_ce_hw },
 {   1246, ur_m169_swio14_dual },
 {   1247, ur_m169_swio14_dual },
 {   1248, ur_m169_swio14_dual },
 {   1249, ur_m169_swio14_dual_pr_ee },
 {   1250, ur_m169_swio14_dual_pr_ee_u4 },
 {   1251, ur_m169_swio14_dual_pr_ce },
 {   1252, ur_m169_swio14_dual_pr_ce_u4 },
 {   1253, ur_m169_swio14_dual_pr_ee_ce },
 {   1254, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {   1255, ur_m169_swio14_dual_hw },
 {   1256, ur_m169_swio14_dual_ee_hw },
 {   1257, ur_m169_swio14_dual_ce_hw },
 {   1258, ur_m169_swio14_dual_ee_ce_hw },
 {   1259, ur_m169_swio14_dual_ee_ce_u4_hw },
 {   1260, ur_m169_swio15_noled },
 {   1261, ur_m169_swio15_noled_pr },
 {   1262, ur_m169_swio15_noled_pr },
 {   1263, ur_m169_swio15_noled_pr_ee },
 {   1264, ur_m169_swio15_noled_pr_ee_u4 },
 {   1265, ur_m169_swio15_noled_pr_ce },
 {   1266, ur_m169_swio15_noled_pr_ce },
 {   1267, ur_m169_swio15_noled_pr_ee_ce },
 {   1268, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {   1269, ur_m169_swio15_noled_hw },
 {   1270, ur_m169_swio15_noled_ee_hw },
 {   1271, ur_m169_swio15_noled_ce_hw },
 {   1272, ur_m169_swio15_noled_ee_ce_hw },
 {   1273, ur_m169_swio15_noled_ee_ce_hw },
 {   1274, ur_m169_swio15_lednop },
 {   1275, ur_m169_swio15_lednop_pr },
 {   1276, ur_m169_swio15_lednop_pr },
 {   1277, ur_m169_swio15_lednop_pr_ee },
 {   1278, ur_m169_swio15_lednop_pr_ee_u4 },
 {   1279, ur_m169_swio15_lednop_pr_ce },
 {   1280, ur_m169_swio15_lednop_pr_ce_u4 },
 {   1281, ur_m169_swio15_lednop_pr_ee_ce },
 {   1282, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {   1283, ur_m169_swio15_lednop_hw },
 {   1284, ur_m169_swio15_lednop_ee_hw },
 {   1285, ur_m169_swio15_lednop_ce_hw },
 {   1286, ur_m169_swio15_lednop_ee_ce_hw },
 {   1287, ur_m169_swio15_lednop_ee_ce_hw },
 {   1288, ur_m169_swio15_dual },
 {   1289, ur_m169_swio15_dual },
 {   1290, ur_m169_swio15_dual },
 {   1291, ur_m169_swio15_dual_pr_ee },
 {   1292, ur_m169_swio15_dual_pr_ee_u4 },
 {   1293, ur_m169_swio15_dual_pr_ce },
 {   1294, ur_m169_swio15_dual_pr_ce_u4 },
 {   1295, ur_m169_swio15_dual_pr_ee_ce },
 {   1296, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {   1297, ur_m169_swio15_dual_hw },
 {   1298, ur_m169_swio15_dual_ee_hw },
 {   1299, ur_m169_swio15_dual_ce_hw },
 {   1300, ur_m169_swio15_dual_ee_ce_hw },
 {   1301, ur_m169_swio15_dual_ee_ce_u4_hw },
 {   1302, ur_m169_autobaud_uart0_noled },
 {   1303, ur_m169_autobaud_uart0_noled },
 {   1304, ur_m169_autobaud_uart0_noled_pr_u4 },
 {   1305, ur_m169_autobaud_uart0_noled_pr_ee },
 {   1306, ur_m169_autobaud_uart0_noled_pr_ee },
 {   1307, ur_m169_autobaud_uart0_noled_pr_ce },
 {   1308, ur_m169_autobaud_uart0_noled_pr_ce },
 {   1309, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {   1310, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   1311, ur_m169_autobaud_uart0_noled_hw },
 {   1312, ur_m169_autobaud_uart0_noled_ee_hw },
 {   1313, ur_m169_autobaud_uart0_noled_ce_hw },
 {   1314, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   1315, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   1316, ur_m169_autobaud_uart0_lednop },
 {   1317, ur_m169_autobaud_uart0_lednop_pr },
 {   1318, ur_m169_autobaud_uart0_lednop_pr },
 {   1319, ur_m169_autobaud_uart0_lednop_pr_ee },
 {   1320, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {   1321, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   1322, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   1323, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {   1324, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   1325, ur_m169_autobaud_uart0_lednop_hw },
 {   1326, ur_m169_autobaud_uart0_lednop_ee_hw },
 {   1327, ur_m169_autobaud_uart0_lednop_ce_hw },
 {   1328, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   1329, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   1330, ur_m169_autobaud_uart0_dual },
 {   1331, ur_m169_autobaud_uart0_dual },
 {   1332, ur_m169_autobaud_uart0_dual },
 {   1333, ur_m169_autobaud_uart0_dual_pr_ee },
 {   1334, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {   1335, ur_m169_autobaud_uart0_dual_pr_ce },
 {   1336, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {   1337, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {   1338, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   1339, ur_m169_autobaud_uart0_dual_hw },
 {   1340, ur_m169_autobaud_uart0_dual_ee_hw },
 {   1341, ur_m169_autobaud_uart0_dual_ce_hw },
 {   1342, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {   1343, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {   1512, ur_m169_u1x8_uart0_noled },
 {   1513, ur_m169_u1x8_uart0_noled },
 {   1514, ur_m169_u1x8_uart0_noled_pr_u4 },
 {   1515, ur_m169_u1x8_uart0_noled_pr_ee },
 {   1516, ur_m169_u1x8_uart0_noled_pr_ee },
 {   1517, ur_m169_u1x8_uart0_noled_pr_ce },
 {   1518, ur_m169_u1x8_uart0_noled_pr_ce },
 {   1519, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {   1520, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   1521, ur_m169_u1x8_uart0_noled_hw },
 {   1522, ur_m169_u1x8_uart0_noled_ee_hw },
 {   1523, ur_m169_u1x8_uart0_noled_ce_hw },
 {   1524, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   1525, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   1526, ur_m169_u1x8_uart0_lednop },
 {   1527, ur_m169_u1x8_uart0_lednop },
 {   1528, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {   1529, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   1530, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   1531, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   1532, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   1533, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {   1534, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   1535, ur_m169_u1x8_uart0_lednop_hw },
 {   1536, ur_m169_u1x8_uart0_lednop_ee_hw },
 {   1537, ur_m169_u1x8_uart0_lednop_ce_hw },
 {   1538, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   1539, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   1540, ur_m169_u1x8_uart0_dual },
 {   1541, ur_m169_u1x8_uart0_dual_pr },
 {   1542, ur_m169_u1x8_uart0_dual_pr },
 {   1543, ur_m169_u1x8_uart0_dual_pr_ee },
 {   1544, ur_m169_u1x8_uart0_dual_pr_ee },
 {   1545, ur_m169_u1x8_uart0_dual_pr_ce },
 {   1546, ur_m169_u1x8_uart0_dual_pr_ce },
 {   1547, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {   1548, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   1549, ur_m169_u1x8_uart0_dual_hw },
 {   1550, ur_m169_u1x8_uart0_dual_ee_hw },
 {   1551, ur_m169_u1x8_uart0_dual_ce_hw },
 {   1552, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {   1553, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {   1722, ur_m169_u1x12_uart0_noled },
 {   1723, ur_m169_u1x12_uart0_noled },
 {   1724, ur_m169_u1x12_uart0_noled_pr_u4 },
 {   1725, ur_m169_u1x12_uart0_noled_pr_ee },
 {   1726, ur_m169_u1x12_uart0_noled_pr_ee },
 {   1727, ur_m169_u1x12_uart0_noled_pr_ce },
 {   1728, ur_m169_u1x12_uart0_noled_pr_ce },
 {   1729, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {   1730, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   1731, ur_m169_u1x12_uart0_noled_hw },
 {   1732, ur_m169_u1x12_uart0_noled_ee_hw },
 {   1733, ur_m169_u1x12_uart0_noled_ce_hw },
 {   1734, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   1735, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   1736, ur_m169_u1x12_uart0_lednop },
 {   1737, ur_m169_u1x12_uart0_lednop },
 {   1738, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {   1739, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   1740, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   1741, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   1742, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   1743, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {   1744, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   1745, ur_m169_u1x12_uart0_lednop_hw },
 {   1746, ur_m169_u1x12_uart0_lednop_ee_hw },
 {   1747, ur_m169_u1x12_uart0_lednop_ce_hw },
 {   1748, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   1749, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   1750, ur_m169_u1x12_uart0_dual },
 {   1751, ur_m169_u1x12_uart0_dual_pr },
 {   1752, ur_m169_u1x12_uart0_dual_pr },
 {   1753, ur_m169_u1x12_uart0_dual_pr_ee },
 {   1754, ur_m169_u1x12_uart0_dual_pr_ee },
 {   1755, ur_m169_u1x12_uart0_dual_pr_ce },
 {   1756, ur_m169_u1x12_uart0_dual_pr_ce },
 {   1757, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {   1758, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   1759, ur_m169_u1x12_uart0_dual_hw },
 {   1760, ur_m169_u1x12_uart0_dual_ee_hw },
 {   1761, ur_m169_u1x12_uart0_dual_ce_hw },
 {   1762, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {   1763, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {   1932, ur_m169_u2x8_uart0_noled },
 {   1933, ur_m169_u2x8_uart0_noled },
 {   1934, ur_m169_u2x8_uart0_noled_pr_u4 },
 {   1935, ur_m169_u2x8_uart0_noled_pr_ee },
 {   1936, ur_m169_u2x8_uart0_noled_pr_ee },
 {   1937, ur_m169_u2x8_uart0_noled_pr_ce },
 {   1938, ur_m169_u2x8_uart0_noled_pr_ce },
 {   1939, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {   1940, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   1941, ur_m169_u2x8_uart0_noled_hw },
 {   1942, ur_m169_u2x8_uart0_noled_ee_hw },
 {   1943, ur_m169_u2x8_uart0_noled_ce_hw },
 {   1944, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   1945, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   1946, ur_m169_u2x8_uart0_lednop },
 {   1947, ur_m169_u2x8_uart0_lednop },
 {   1948, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {   1949, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   1950, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   1951, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   1952, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   1953, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {   1954, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   1955, ur_m169_u2x8_uart0_lednop_hw },
 {   1956, ur_m169_u2x8_uart0_lednop_ee_hw },
 {   1957, ur_m169_u2x8_uart0_lednop_ce_hw },
 {   1958, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   1959, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   1960, ur_m169_u2x8_uart0_dual },
 {   1961, ur_m169_u2x8_uart0_dual_pr },
 {   1962, ur_m169_u2x8_uart0_dual_pr },
 {   1963, ur_m169_u2x8_uart0_dual_pr_ee },
 {   1964, ur_m169_u2x8_uart0_dual_pr_ee },
 {   1965, ur_m169_u2x8_uart0_dual_pr_ce },
 {   1966, ur_m169_u2x8_uart0_dual_pr_ce },
 {   1967, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {   1968, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   1969, ur_m169_u2x8_uart0_dual_hw },
 {   1970, ur_m169_u2x8_uart0_dual_ee_hw },
 {   1971, ur_m169_u2x8_uart0_dual_ce_hw },
 {   1972, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {   1973, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {   2142, ur_m169_u2x12_uart0_noled },
 {   2143, ur_m169_u2x12_uart0_noled },
 {   2144, ur_m169_u2x12_uart0_noled_pr_u4 },
 {   2145, ur_m169_u2x12_uart0_noled_pr_ee },
 {   2146, ur_m169_u2x12_uart0_noled_pr_ee },
 {   2147, ur_m169_u2x12_uart0_noled_pr_ce },
 {   2148, ur_m169_u2x12_uart0_noled_pr_ce },
 {   2149, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {   2150, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   2151, ur_m169_u2x12_uart0_noled_hw },
 {   2152, ur_m169_u2x12_uart0_noled_ee_hw },
 {   2153, ur_m169_u2x12_uart0_noled_ce_hw },
 {   2154, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   2155, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   2156, ur_m169_u2x12_uart0_lednop },
 {   2157, ur_m169_u2x12_uart0_lednop },
 {   2158, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {   2159, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   2160, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   2161, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   2162, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   2163, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {   2164, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   2165, ur_m169_u2x12_uart0_lednop_hw },
 {   2166, ur_m169_u2x12_uart0_lednop_ee_hw },
 {   2167, ur_m169_u2x12_uart0_lednop_ce_hw },
 {   2168, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   2169, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   2170, ur_m169_u2x12_uart0_dual },
 {   2171, ur_m169_u2x12_uart0_dual_pr },
 {   2172, ur_m169_u2x12_uart0_dual_pr },
 {   2173, ur_m169_u2x12_uart0_dual_pr_ee },
 {   2174, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {   2175, ur_m169_u2x12_uart0_dual_pr_ce },
 {   2176, ur_m169_u2x12_uart0_dual_pr_ce },
 {   2177, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {   2178, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   2179, ur_m169_u2x12_uart0_dual_hw },
 {   2180, ur_m169_u2x12_uart0_dual_ee_hw },
 {   2181, ur_m169_u2x12_uart0_dual_ce_hw },
 {   2182, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {   2183, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {   2352, ur_m169_swio10_noled },
 {   2353, ur_m169_swio10_noled_pr },
 {   2354, ur_m169_swio10_noled_pr },
 {   2355, ur_m169_swio10_noled_pr_ee },
 {   2356, ur_m169_swio10_noled_pr_ee_u4 },
 {   2357, ur_m169_swio10_noled_pr_ce },
 {   2358, ur_m169_swio10_noled_pr_ce },
 {   2359, ur_m169_swio10_noled_pr_ee_ce },
 {   2360, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {   2361, ur_m169_swio10_noled_hw },
 {   2362, ur_m169_swio10_noled_ee_hw },
 {   2363, ur_m169_swio10_noled_ce_hw },
 {   2364, ur_m169_swio10_noled_ee_ce_hw },
 {   2365, ur_m169_swio10_noled_ee_ce_hw },
 {   2366, ur_m169_swio10_lednop },
 {   2367, ur_m169_swio10_lednop_pr },
 {   2368, ur_m169_swio10_lednop_pr },
 {   2369, ur_m169_swio10_lednop_pr_ee },
 {   2370, ur_m169_swio10_lednop_pr_ee_u4 },
 {   2371, ur_m169_swio10_lednop_pr_ce },
 {   2372, ur_m169_swio10_lednop_pr_ce },
 {   2373, ur_m169_swio10_lednop_pr_ee_ce },
 {   2374, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {   2375, ur_m169_swio10_lednop_hw },
 {   2376, ur_m169_swio10_lednop_ee_hw },
 {   2377, ur_m169_swio10_lednop_ce_hw },
 {   2378, ur_m169_swio10_lednop_ee_ce_hw },
 {   2379, ur_m169_swio10_lednop_ee_ce_hw },
 {   2380, ur_m169_swio10_dual },
 {   2381, ur_m169_swio10_dual },
 {   2382, ur_m169_swio10_dual },
 {   2383, ur_m169_swio10_dual_pr_ee },
 {   2384, ur_m169_swio10_dual_pr_ee_u4 },
 {   2385, ur_m169_swio10_dual_pr_ce },
 {   2386, ur_m169_swio10_dual_pr_ce_u4 },
 {   2387, ur_m169_swio10_dual_pr_ee_ce },
 {   2388, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {   2389, ur_m169_swio10_dual_hw },
 {   2390, ur_m169_swio10_dual_ee_hw },
 {   2391, ur_m169_swio10_dual_ce_hw },
 {   2392, ur_m169_swio10_dual_ee_ce_hw },
 {   2393, ur_m169_swio10_dual_ee_ce_u4_hw },
 {   2394, ur_m169_swio11_noled },
 {   2395, ur_m169_swio11_noled_pr },
 {   2396, ur_m169_swio11_noled_pr },
 {   2397, ur_m169_swio11_noled_pr_ee },
 {   2398, ur_m169_swio11_noled_pr_ee_u4 },
 {   2399, ur_m169_swio11_noled_pr_ce },
 {   2400, ur_m169_swio11_noled_pr_ce },
 {   2401, ur_m169_swio11_noled_pr_ee_ce },
 {   2402, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   2403, ur_m169_swio11_noled_hw },
 {   2404, ur_m169_swio11_noled_ee_hw },
 {   2405, ur_m169_swio11_noled_ce_hw },
 {   2406, ur_m169_swio11_noled_ee_ce_hw },
 {   2407, ur_m169_swio11_noled_ee_ce_hw },
 {   2408, ur_m169_swio11_lednop },
 {   2409, ur_m169_swio11_lednop_pr },
 {   2410, ur_m169_swio11_lednop_pr },
 {   2411, ur_m169_swio11_lednop_pr_ee },
 {   2412, ur_m169_swio11_lednop_pr_ee_u4 },
 {   2413, ur_m169_swio11_lednop_pr_ce },
 {   2414, ur_m169_swio11_lednop_pr_ce },
 {   2415, ur_m169_swio11_lednop_pr_ee_ce },
 {   2416, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   2417, ur_m169_swio11_lednop_hw },
 {   2418, ur_m169_swio11_lednop_ee_hw },
 {   2419, ur_m169_swio11_lednop_ce_hw },
 {   2420, ur_m169_swio11_lednop_ee_ce_hw },
 {   2421, ur_m169_swio11_lednop_ee_ce_hw },
 {   2422, ur_m169_swio11_dual },
 {   2423, ur_m169_swio11_dual },
 {   2424, ur_m169_swio11_dual },
 {   2425, ur_m169_swio11_dual_pr_ee },
 {   2426, ur_m169_swio11_dual_pr_ee_u4 },
 {   2427, ur_m169_swio11_dual_pr_ce },
 {   2428, ur_m169_swio11_dual_pr_ce_u4 },
 {   2429, ur_m169_swio11_dual_pr_ee_ce },
 {   2430, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   2431, ur_m169_swio11_dual_hw },
 {   2432, ur_m169_swio11_dual_ee_hw },
 {   2433, ur_m169_swio11_dual_ce_hw },
 {   2434, ur_m169_swio11_dual_ee_ce_hw },
 {   2435, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   2436, ur_m169_swio11_noled },
 {   2437, ur_m169_swio11_noled_pr },
 {   2438, ur_m169_swio11_noled_pr },
 {   2439, ur_m169_swio11_noled_pr_ee },
 {   2440, ur_m169_swio11_noled_pr_ee_u4 },
 {   2441, ur_m169_swio11_noled_pr_ce },
 {   2442, ur_m169_swio11_noled_pr_ce },
 {   2443, ur_m169_swio11_noled_pr_ee_ce },
 {   2444, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   2445, ur_m169_swio11_noled_hw },
 {   2446, ur_m169_swio11_noled_ee_hw },
 {   2447, ur_m169_swio11_noled_ce_hw },
 {   2448, ur_m169_swio11_noled_ee_ce_hw },
 {   2449, ur_m169_swio11_noled_ee_ce_hw },
 {   2450, ur_m169_swio11_lednop },
 {   2451, ur_m169_swio11_lednop_pr },
 {   2452, ur_m169_swio11_lednop_pr },
 {   2453, ur_m169_swio11_lednop_pr_ee },
 {   2454, ur_m169_swio11_lednop_pr_ee_u4 },
 {   2455, ur_m169_swio11_lednop_pr_ce },
 {   2456, ur_m169_swio11_lednop_pr_ce },
 {   2457, ur_m169_swio11_lednop_pr_ee_ce },
 {   2458, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   2459, ur_m169_swio11_lednop_hw },
 {   2460, ur_m169_swio11_lednop_ee_hw },
 {   2461, ur_m169_swio11_lednop_ce_hw },
 {   2462, ur_m169_swio11_lednop_ee_ce_hw },
 {   2463, ur_m169_swio11_lednop_ee_ce_hw },
 {   2464, ur_m169_swio11_dual },
 {   2465, ur_m169_swio11_dual },
 {   2466, ur_m169_swio11_dual },
 {   2467, ur_m169_swio11_dual_pr_ee },
 {   2468, ur_m169_swio11_dual_pr_ee_u4 },
 {   2469, ur_m169_swio11_dual_pr_ce },
 {   2470, ur_m169_swio11_dual_pr_ce_u4 },
 {   2471, ur_m169_swio11_dual_pr_ee_ce },
 {   2472, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   2473, ur_m169_swio11_dual_hw },
 {   2474, ur_m169_swio11_dual_ee_hw },
 {   2475, ur_m169_swio11_dual_ce_hw },
 {   2476, ur_m169_swio11_dual_ee_ce_hw },
 {   2477, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   2478, ur_m169_swio13_noled },
 {   2479, ur_m169_swio13_noled_pr },
 {   2480, ur_m169_swio13_noled_pr },
 {   2481, ur_m169_swio13_noled_pr_ee },
 {   2482, ur_m169_swio13_noled_pr_ee_u4 },
 {   2483, ur_m169_swio13_noled_pr_ce },
 {   2484, ur_m169_swio13_noled_pr_ce },
 {   2485, ur_m169_swio13_noled_pr_ee_ce },
 {   2486, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {   2487, ur_m169_swio13_noled_hw },
 {   2488, ur_m169_swio13_noled_ee_hw },
 {   2489, ur_m169_swio13_noled_ce_hw },
 {   2490, ur_m169_swio13_noled_ee_ce_hw },
 {   2491, ur_m169_swio13_noled_ee_ce_hw },
 {   2492, ur_m169_swio13_lednop },
 {   2493, ur_m169_swio13_lednop_pr },
 {   2494, ur_m169_swio13_lednop_pr },
 {   2495, ur_m169_swio13_lednop_pr_ee },
 {   2496, ur_m169_swio13_lednop_pr_ee_u4 },
 {   2497, ur_m169_swio13_lednop_pr_ce },
 {   2498, ur_m169_swio13_lednop_pr_ce_u4 },
 {   2499, ur_m169_swio13_lednop_pr_ee_ce },
 {   2500, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {   2501, ur_m169_swio13_lednop_hw },
 {   2502, ur_m169_swio13_lednop_ee_hw },
 {   2503, ur_m169_swio13_lednop_ce_hw },
 {   2504, ur_m169_swio13_lednop_ee_ce_hw },
 {   2505, ur_m169_swio13_lednop_ee_ce_hw },
 {   2506, ur_m169_swio13_dual },
 {   2507, ur_m169_swio13_dual },
 {   2508, ur_m169_swio13_dual },
 {   2509, ur_m169_swio13_dual_pr_ee },
 {   2510, ur_m169_swio13_dual_pr_ee_u4 },
 {   2511, ur_m169_swio13_dual_pr_ce },
 {   2512, ur_m169_swio13_dual_pr_ce_u4 },
 {   2513, ur_m169_swio13_dual_pr_ee_ce },
 {   2514, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {   2515, ur_m169_swio13_dual_hw },
 {   2516, ur_m169_swio13_dual_ee_hw },
 {   2517, ur_m169_swio13_dual_ce_hw },
 {   2518, ur_m169_swio13_dual_ee_ce_hw },
 {   2519, ur_m169_swio13_dual_ee_ce_u4_hw },
 {   2520, ur_m169_swio14_noled },
 {   2521, ur_m169_swio14_noled_pr },
 {   2522, ur_m169_swio14_noled_pr },
 {   2523, ur_m169_swio14_noled_pr_ee },
 {   2524, ur_m169_swio14_noled_pr_ee_u4 },
 {   2525, ur_m169_swio14_noled_pr_ce },
 {   2526, ur_m169_swio14_noled_pr_ce },
 {   2527, ur_m169_swio14_noled_pr_ee_ce },
 {   2528, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {   2529, ur_m169_swio14_noled_hw },
 {   2530, ur_m169_swio14_noled_ee_hw },
 {   2531, ur_m169_swio14_noled_ce_hw },
 {   2532, ur_m169_swio14_noled_ee_ce_hw },
 {   2533, ur_m169_swio14_noled_ee_ce_hw },
 {   2534, ur_m169_swio14_lednop },
 {   2535, ur_m169_swio14_lednop_pr },
 {   2536, ur_m169_swio14_lednop_pr },
 {   2537, ur_m169_swio14_lednop_pr_ee },
 {   2538, ur_m169_swio14_lednop_pr_ee_u4 },
 {   2539, ur_m169_swio14_lednop_pr_ce },
 {   2540, ur_m169_swio14_lednop_pr_ce },
 {   2541, ur_m169_swio14_lednop_pr_ee_ce },
 {   2542, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {   2543, ur_m169_swio14_lednop_hw },
 {   2544, ur_m169_swio14_lednop_ee_hw },
 {   2545, ur_m169_swio14_lednop_ce_hw },
 {   2546, ur_m169_swio14_lednop_ee_ce_hw },
 {   2547, ur_m169_swio14_lednop_ee_ce_hw },
 {   2548, ur_m169_swio14_dual },
 {   2549, ur_m169_swio14_dual },
 {   2550, ur_m169_swio14_dual },
 {   2551, ur_m169_swio14_dual_pr_ee },
 {   2552, ur_m169_swio14_dual_pr_ee_u4 },
 {   2553, ur_m169_swio14_dual_pr_ce },
 {   2554, ur_m169_swio14_dual_pr_ce_u4 },
 {   2555, ur_m169_swio14_dual_pr_ee_ce },
 {   2556, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {   2557, ur_m169_swio14_dual_hw },
 {   2558, ur_m169_swio14_dual_ee_hw },
 {   2559, ur_m169_swio14_dual_ce_hw },
 {   2560, ur_m169_swio14_dual_ee_ce_hw },
 {   2561, ur_m169_swio14_dual_ee_ce_u4_hw },
 {   2562, ur_m169_swio15_noled },
 {   2563, ur_m169_swio15_noled_pr },
 {   2564, ur_m169_swio15_noled_pr },
 {   2565, ur_m169_swio15_noled_pr_ee },
 {   2566, ur_m169_swio15_noled_pr_ee_u4 },
 {   2567, ur_m169_swio15_noled_pr_ce },
 {   2568, ur_m169_swio15_noled_pr_ce },
 {   2569, ur_m169_swio15_noled_pr_ee_ce },
 {   2570, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {   2571, ur_m169_swio15_noled_hw },
 {   2572, ur_m169_swio15_noled_ee_hw },
 {   2573, ur_m169_swio15_noled_ce_hw },
 {   2574, ur_m169_swio15_noled_ee_ce_hw },
 {   2575, ur_m169_swio15_noled_ee_ce_hw },
 {   2576, ur_m169_swio15_lednop },
 {   2577, ur_m169_swio15_lednop_pr },
 {   2578, ur_m169_swio15_lednop_pr },
 {   2579, ur_m169_swio15_lednop_pr_ee },
 {   2580, ur_m169_swio15_lednop_pr_ee_u4 },
 {   2581, ur_m169_swio15_lednop_pr_ce },
 {   2582, ur_m169_swio15_lednop_pr_ce_u4 },
 {   2583, ur_m169_swio15_lednop_pr_ee_ce },
 {   2584, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {   2585, ur_m169_swio15_lednop_hw },
 {   2586, ur_m169_swio15_lednop_ee_hw },
 {   2587, ur_m169_swio15_lednop_ce_hw },
 {   2588, ur_m169_swio15_lednop_ee_ce_hw },
 {   2589, ur_m169_swio15_lednop_ee_ce_hw },
 {   2590, ur_m169_swio15_dual },
 {   2591, ur_m169_swio15_dual },
 {   2592, ur_m169_swio15_dual },
 {   2593, ur_m169_swio15_dual_pr_ee },
 {   2594, ur_m169_swio15_dual_pr_ee_u4 },
 {   2595, ur_m169_swio15_dual_pr_ce },
 {   2596, ur_m169_swio15_dual_pr_ce_u4 },
 {   2597, ur_m169_swio15_dual_pr_ee_ce },
 {   2598, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {   2599, ur_m169_swio15_dual_hw },
 {   2600, ur_m169_swio15_dual_ee_hw },
 {   2601, ur_m169_swio15_dual_ce_hw },
 {   2602, ur_m169_swio15_dual_ee_ce_hw },
 {   2603, ur_m169_swio15_dual_ee_ce_u4_hw },
 {   2604, ur_m169_autobaud_uart0_noled },
 {   2605, ur_m169_autobaud_uart0_noled },
 {   2606, ur_m169_autobaud_uart0_noled_pr_u4 },
 {   2607, ur_m169_autobaud_uart0_noled_pr_ee },
 {   2608, ur_m169_autobaud_uart0_noled_pr_ee },
 {   2609, ur_m169_autobaud_uart0_noled_pr_ce },
 {   2610, ur_m169_autobaud_uart0_noled_pr_ce },
 {   2611, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {   2612, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   2613, ur_m169_autobaud_uart0_noled_hw },
 {   2614, ur_m169_autobaud_uart0_noled_ee_hw },
 {   2615, ur_m169_autobaud_uart0_noled_ce_hw },
 {   2616, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   2617, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   2618, ur_m169_autobaud_uart0_lednop },
 {   2619, ur_m169_autobaud_uart0_lednop_pr },
 {   2620, ur_m169_autobaud_uart0_lednop_pr },
 {   2621, ur_m169_autobaud_uart0_lednop_pr_ee },
 {   2622, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {   2623, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   2624, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   2625, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {   2626, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   2627, ur_m169_autobaud_uart0_lednop_hw },
 {   2628, ur_m169_autobaud_uart0_lednop_ee_hw },
 {   2629, ur_m169_autobaud_uart0_lednop_ce_hw },
 {   2630, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   2631, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   2632, ur_m169_autobaud_uart0_dual },
 {   2633, ur_m169_autobaud_uart0_dual },
 {   2634, ur_m169_autobaud_uart0_dual },
 {   2635, ur_m169_autobaud_uart0_dual_pr_ee },
 {   2636, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {   2637, ur_m169_autobaud_uart0_dual_pr_ce },
 {   2638, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {   2639, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {   2640, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   2641, ur_m169_autobaud_uart0_dual_hw },
 {   2642, ur_m169_autobaud_uart0_dual_ee_hw },
 {   2643, ur_m169_autobaud_uart0_dual_ce_hw },
 {   2644, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {   2645, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {   2814, ur_m169_u1x8_uart0_noled },
 {   2815, ur_m169_u1x8_uart0_noled },
 {   2816, ur_m169_u1x8_uart0_noled_pr_u4 },
 {   2817, ur_m169_u1x8_uart0_noled_pr_ee },
 {   2818, ur_m169_u1x8_uart0_noled_pr_ee },
 {   2819, ur_m169_u1x8_uart0_noled_pr_ce },
 {   2820, ur_m169_u1x8_uart0_noled_pr_ce },
 {   2821, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {   2822, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   2823, ur_m169_u1x8_uart0_noled_hw },
 {   2824, ur_m169_u1x8_uart0_noled_ee_hw },
 {   2825, ur_m169_u1x8_uart0_noled_ce_hw },
 {   2826, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   2827, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   2828, ur_m169_u1x8_uart0_lednop },
 {   2829, ur_m169_u1x8_uart0_lednop },
 {   2830, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {   2831, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   2832, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   2833, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   2834, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   2835, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {   2836, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   2837, ur_m169_u1x8_uart0_lednop_hw },
 {   2838, ur_m169_u1x8_uart0_lednop_ee_hw },
 {   2839, ur_m169_u1x8_uart0_lednop_ce_hw },
 {   2840, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   2841, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   2842, ur_m169_u1x8_uart0_dual },
 {   2843, ur_m169_u1x8_uart0_dual_pr },
 {   2844, ur_m169_u1x8_uart0_dual_pr },
 {   2845, ur_m169_u1x8_uart0_dual_pr_ee },
 {   2846, ur_m169_u1x8_uart0_dual_pr_ee },
 {   2847, ur_m169_u1x8_uart0_dual_pr_ce },
 {   2848, ur_m169_u1x8_uart0_dual_pr_ce },
 {   2849, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {   2850, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   2851, ur_m169_u1x8_uart0_dual_hw },
 {   2852, ur_m169_u1x8_uart0_dual_ee_hw },
 {   2853, ur_m169_u1x8_uart0_dual_ce_hw },
 {   2854, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {   2855, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {   3024, ur_m169_u1x12_uart0_noled },
 {   3025, ur_m169_u1x12_uart0_noled },
 {   3026, ur_m169_u1x12_uart0_noled_pr_u4 },
 {   3027, ur_m169_u1x12_uart0_noled_pr_ee },
 {   3028, ur_m169_u1x12_uart0_noled_pr_ee },
 {   3029, ur_m169_u1x12_uart0_noled_pr_ce },
 {   3030, ur_m169_u1x12_uart0_noled_pr_ce },
 {   3031, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {   3032, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   3033, ur_m169_u1x12_uart0_noled_hw },
 {   3034, ur_m169_u1x12_uart0_noled_ee_hw },
 {   3035, ur_m169_u1x12_uart0_noled_ce_hw },
 {   3036, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   3037, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   3038, ur_m169_u1x12_uart0_lednop },
 {   3039, ur_m169_u1x12_uart0_lednop },
 {   3040, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {   3041, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   3042, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   3043, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   3044, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   3045, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {   3046, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   3047, ur_m169_u1x12_uart0_lednop_hw },
 {   3048, ur_m169_u1x12_uart0_lednop_ee_hw },
 {   3049, ur_m169_u1x12_uart0_lednop_ce_hw },
 {   3050, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   3051, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   3052, ur_m169_u1x12_uart0_dual },
 {   3053, ur_m169_u1x12_uart0_dual_pr },
 {   3054, ur_m169_u1x12_uart0_dual_pr },
 {   3055, ur_m169_u1x12_uart0_dual_pr_ee },
 {   3056, ur_m169_u1x12_uart0_dual_pr_ee },
 {   3057, ur_m169_u1x12_uart0_dual_pr_ce },
 {   3058, ur_m169_u1x12_uart0_dual_pr_ce },
 {   3059, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {   3060, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   3061, ur_m169_u1x12_uart0_dual_hw },
 {   3062, ur_m169_u1x12_uart0_dual_ee_hw },
 {   3063, ur_m169_u1x12_uart0_dual_ce_hw },
 {   3064, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {   3065, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {   3234, ur_m169_u2x8_uart0_noled },
 {   3235, ur_m169_u2x8_uart0_noled },
 {   3236, ur_m169_u2x8_uart0_noled_pr_u4 },
 {   3237, ur_m169_u2x8_uart0_noled_pr_ee },
 {   3238, ur_m169_u2x8_uart0_noled_pr_ee },
 {   3239, ur_m169_u2x8_uart0_noled_pr_ce },
 {   3240, ur_m169_u2x8_uart0_noled_pr_ce },
 {   3241, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {   3242, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   3243, ur_m169_u2x8_uart0_noled_hw },
 {   3244, ur_m169_u2x8_uart0_noled_ee_hw },
 {   3245, ur_m169_u2x8_uart0_noled_ce_hw },
 {   3246, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   3247, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   3248, ur_m169_u2x8_uart0_lednop },
 {   3249, ur_m169_u2x8_uart0_lednop },
 {   3250, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {   3251, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   3252, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   3253, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   3254, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   3255, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {   3256, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   3257, ur_m169_u2x8_uart0_lednop_hw },
 {   3258, ur_m169_u2x8_uart0_lednop_ee_hw },
 {   3259, ur_m169_u2x8_uart0_lednop_ce_hw },
 {   3260, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   3261, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   3262, ur_m169_u2x8_uart0_dual },
 {   3263, ur_m169_u2x8_uart0_dual_pr },
 {   3264, ur_m169_u2x8_uart0_dual_pr },
 {   3265, ur_m169_u2x8_uart0_dual_pr_ee },
 {   3266, ur_m169_u2x8_uart0_dual_pr_ee },
 {   3267, ur_m169_u2x8_uart0_dual_pr_ce },
 {   3268, ur_m169_u2x8_uart0_dual_pr_ce },
 {   3269, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {   3270, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   3271, ur_m169_u2x8_uart0_dual_hw },
 {   3272, ur_m169_u2x8_uart0_dual_ee_hw },
 {   3273, ur_m169_u2x8_uart0_dual_ce_hw },
 {   3274, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {   3275, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {   3444, ur_m169_u2x12_uart0_noled },
 {   3445, ur_m169_u2x12_uart0_noled },
 {   3446, ur_m169_u2x12_uart0_noled_pr_u4 },
 {   3447, ur_m169_u2x12_uart0_noled_pr_ee },
 {   3448, ur_m169_u2x12_uart0_noled_pr_ee },
 {   3449, ur_m169_u2x12_uart0_noled_pr_ce },
 {   3450, ur_m169_u2x12_uart0_noled_pr_ce },
 {   3451, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {   3452, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   3453, ur_m169_u2x12_uart0_noled_hw },
 {   3454, ur_m169_u2x12_uart0_noled_ee_hw },
 {   3455, ur_m169_u2x12_uart0_noled_ce_hw },
 {   3456, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   3457, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   3458, ur_m169_u2x12_uart0_lednop },
 {   3459, ur_m169_u2x12_uart0_lednop },
 {   3460, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {   3461, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   3462, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   3463, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   3464, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   3465, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {   3466, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   3467, ur_m169_u2x12_uart0_lednop_hw },
 {   3468, ur_m169_u2x12_uart0_lednop_ee_hw },
 {   3469, ur_m169_u2x12_uart0_lednop_ce_hw },
 {   3470, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   3471, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   3472, ur_m169_u2x12_uart0_dual },
 {   3473, ur_m169_u2x12_uart0_dual_pr },
 {   3474, ur_m169_u2x12_uart0_dual_pr },
 {   3475, ur_m169_u2x12_uart0_dual_pr_ee },
 {   3476, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {   3477, ur_m169_u2x12_uart0_dual_pr_ce },
 {   3478, ur_m169_u2x12_uart0_dual_pr_ce },
 {   3479, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {   3480, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   3481, ur_m169_u2x12_uart0_dual_hw },
 {   3482, ur_m169_u2x12_uart0_dual_ee_hw },
 {   3483, ur_m169_u2x12_uart0_dual_ce_hw },
 {   3484, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {   3485, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {   3654, ur_m169_swio10_noled },
 {   3655, ur_m169_swio10_noled_pr },
 {   3656, ur_m169_swio10_noled_pr },
 {   3657, ur_m169_swio10_noled_pr_ee },
 {   3658, ur_m169_swio10_noled_pr_ee_u4 },
 {   3659, ur_m169_swio10_noled_pr_ce },
 {   3660, ur_m169_swio10_noled_pr_ce },
 {   3661, ur_m169_swio10_noled_pr_ee_ce },
 {   3662, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {   3663, ur_m169_swio10_noled_hw },
 {   3664, ur_m169_swio10_noled_ee_hw },
 {   3665, ur_m169_swio10_noled_ce_hw },
 {   3666, ur_m169_swio10_noled_ee_ce_hw },
 {   3667, ur_m169_swio10_noled_ee_ce_hw },
 {   3668, ur_m169_swio10_lednop },
 {   3669, ur_m169_swio10_lednop_pr },
 {   3670, ur_m169_swio10_lednop_pr },
 {   3671, ur_m169_swio10_lednop_pr_ee },
 {   3672, ur_m169_swio10_lednop_pr_ee_u4 },
 {   3673, ur_m169_swio10_lednop_pr_ce },
 {   3674, ur_m169_swio10_lednop_pr_ce },
 {   3675, ur_m169_swio10_lednop_pr_ee_ce },
 {   3676, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {   3677, ur_m169_swio10_lednop_hw },
 {   3678, ur_m169_swio10_lednop_ee_hw },
 {   3679, ur_m169_swio10_lednop_ce_hw },
 {   3680, ur_m169_swio10_lednop_ee_ce_hw },
 {   3681, ur_m169_swio10_lednop_ee_ce_hw },
 {   3682, ur_m169_swio10_dual },
 {   3683, ur_m169_swio10_dual },
 {   3684, ur_m169_swio10_dual },
 {   3685, ur_m169_swio10_dual_pr_ee },
 {   3686, ur_m169_swio10_dual_pr_ee_u4 },
 {   3687, ur_m169_swio10_dual_pr_ce },
 {   3688, ur_m169_swio10_dual_pr_ce_u4 },
 {   3689, ur_m169_swio10_dual_pr_ee_ce },
 {   3690, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {   3691, ur_m169_swio10_dual_hw },
 {   3692, ur_m169_swio10_dual_ee_hw },
 {   3693, ur_m169_swio10_dual_ce_hw },
 {   3694, ur_m169_swio10_dual_ee_ce_hw },
 {   3695, ur_m169_swio10_dual_ee_ce_u4_hw },
 {   3696, ur_m169_swio11_noled },
 {   3697, ur_m169_swio11_noled_pr },
 {   3698, ur_m169_swio11_noled_pr },
 {   3699, ur_m169_swio11_noled_pr_ee },
 {   3700, ur_m169_swio11_noled_pr_ee_u4 },
 {   3701, ur_m169_swio11_noled_pr_ce },
 {   3702, ur_m169_swio11_noled_pr_ce },
 {   3703, ur_m169_swio11_noled_pr_ee_ce },
 {   3704, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   3705, ur_m169_swio11_noled_hw },
 {   3706, ur_m169_swio11_noled_ee_hw },
 {   3707, ur_m169_swio11_noled_ce_hw },
 {   3708, ur_m169_swio11_noled_ee_ce_hw },
 {   3709, ur_m169_swio11_noled_ee_ce_hw },
 {   3710, ur_m169_swio11_lednop },
 {   3711, ur_m169_swio11_lednop_pr },
 {   3712, ur_m169_swio11_lednop_pr },
 {   3713, ur_m169_swio11_lednop_pr_ee },
 {   3714, ur_m169_swio11_lednop_pr_ee_u4 },
 {   3715, ur_m169_swio11_lednop_pr_ce },
 {   3716, ur_m169_swio11_lednop_pr_ce },
 {   3717, ur_m169_swio11_lednop_pr_ee_ce },
 {   3718, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   3719, ur_m169_swio11_lednop_hw },
 {   3720, ur_m169_swio11_lednop_ee_hw },
 {   3721, ur_m169_swio11_lednop_ce_hw },
 {   3722, ur_m169_swio11_lednop_ee_ce_hw },
 {   3723, ur_m169_swio11_lednop_ee_ce_hw },
 {   3724, ur_m169_swio11_dual },
 {   3725, ur_m169_swio11_dual },
 {   3726, ur_m169_swio11_dual },
 {   3727, ur_m169_swio11_dual_pr_ee },
 {   3728, ur_m169_swio11_dual_pr_ee_u4 },
 {   3729, ur_m169_swio11_dual_pr_ce },
 {   3730, ur_m169_swio11_dual_pr_ce_u4 },
 {   3731, ur_m169_swio11_dual_pr_ee_ce },
 {   3732, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   3733, ur_m169_swio11_dual_hw },
 {   3734, ur_m169_swio11_dual_ee_hw },
 {   3735, ur_m169_swio11_dual_ce_hw },
 {   3736, ur_m169_swio11_dual_ee_ce_hw },
 {   3737, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   3738, ur_m169_swio11_noled },
 {   3739, ur_m169_swio11_noled_pr },
 {   3740, ur_m169_swio11_noled_pr },
 {   3741, ur_m169_swio11_noled_pr_ee },
 {   3742, ur_m169_swio11_noled_pr_ee_u4 },
 {   3743, ur_m169_swio11_noled_pr_ce },
 {   3744, ur_m169_swio11_noled_pr_ce },
 {   3745, ur_m169_swio11_noled_pr_ee_ce },
 {   3746, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   3747, ur_m169_swio11_noled_hw },
 {   3748, ur_m169_swio11_noled_ee_hw },
 {   3749, ur_m169_swio11_noled_ce_hw },
 {   3750, ur_m169_swio11_noled_ee_ce_hw },
 {   3751, ur_m169_swio11_noled_ee_ce_hw },
 {   3752, ur_m169_swio11_lednop },
 {   3753, ur_m169_swio11_lednop_pr },
 {   3754, ur_m169_swio11_lednop_pr },
 {   3755, ur_m169_swio11_lednop_pr_ee },
 {   3756, ur_m169_swio11_lednop_pr_ee_u4 },
 {   3757, ur_m169_swio11_lednop_pr_ce },
 {   3758, ur_m169_swio11_lednop_pr_ce },
 {   3759, ur_m169_swio11_lednop_pr_ee_ce },
 {   3760, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   3761, ur_m169_swio11_lednop_hw },
 {   3762, ur_m169_swio11_lednop_ee_hw },
 {   3763, ur_m169_swio11_lednop_ce_hw },
 {   3764, ur_m169_swio11_lednop_ee_ce_hw },
 {   3765, ur_m169_swio11_lednop_ee_ce_hw },
 {   3766, ur_m169_swio11_dual },
 {   3767, ur_m169_swio11_dual },
 {   3768, ur_m169_swio11_dual },
 {   3769, ur_m169_swio11_dual_pr_ee },
 {   3770, ur_m169_swio11_dual_pr_ee_u4 },
 {   3771, ur_m169_swio11_dual_pr_ce },
 {   3772, ur_m169_swio11_dual_pr_ce_u4 },
 {   3773, ur_m169_swio11_dual_pr_ee_ce },
 {   3774, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   3775, ur_m169_swio11_dual_hw },
 {   3776, ur_m169_swio11_dual_ee_hw },
 {   3777, ur_m169_swio11_dual_ce_hw },
 {   3778, ur_m169_swio11_dual_ee_ce_hw },
 {   3779, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   3780, ur_m169_swio13_noled },
 {   3781, ur_m169_swio13_noled_pr },
 {   3782, ur_m169_swio13_noled_pr },
 {   3783, ur_m169_swio13_noled_pr_ee },
 {   3784, ur_m169_swio13_noled_pr_ee_u4 },
 {   3785, ur_m169_swio13_noled_pr_ce },
 {   3786, ur_m169_swio13_noled_pr_ce },
 {   3787, ur_m169_swio13_noled_pr_ee_ce },
 {   3788, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {   3789, ur_m169_swio13_noled_hw },
 {   3790, ur_m169_swio13_noled_ee_hw },
 {   3791, ur_m169_swio13_noled_ce_hw },
 {   3792, ur_m169_swio13_noled_ee_ce_hw },
 {   3793, ur_m169_swio13_noled_ee_ce_hw },
 {   3794, ur_m169_swio13_lednop },
 {   3795, ur_m169_swio13_lednop_pr },
 {   3796, ur_m169_swio13_lednop_pr },
 {   3797, ur_m169_swio13_lednop_pr_ee },
 {   3798, ur_m169_swio13_lednop_pr_ee_u4 },
 {   3799, ur_m169_swio13_lednop_pr_ce },
 {   3800, ur_m169_swio13_lednop_pr_ce_u4 },
 {   3801, ur_m169_swio13_lednop_pr_ee_ce },
 {   3802, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {   3803, ur_m169_swio13_lednop_hw },
 {   3804, ur_m169_swio13_lednop_ee_hw },
 {   3805, ur_m169_swio13_lednop_ce_hw },
 {   3806, ur_m169_swio13_lednop_ee_ce_hw },
 {   3807, ur_m169_swio13_lednop_ee_ce_hw },
 {   3808, ur_m169_swio13_dual },
 {   3809, ur_m169_swio13_dual },
 {   3810, ur_m169_swio13_dual },
 {   3811, ur_m169_swio13_dual_pr_ee },
 {   3812, ur_m169_swio13_dual_pr_ee_u4 },
 {   3813, ur_m169_swio13_dual_pr_ce },
 {   3814, ur_m169_swio13_dual_pr_ce_u4 },
 {   3815, ur_m169_swio13_dual_pr_ee_ce },
 {   3816, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {   3817, ur_m169_swio13_dual_hw },
 {   3818, ur_m169_swio13_dual_ee_hw },
 {   3819, ur_m169_swio13_dual_ce_hw },
 {   3820, ur_m169_swio13_dual_ee_ce_hw },
 {   3821, ur_m169_swio13_dual_ee_ce_u4_hw },
 {   3822, ur_m169_swio14_noled },
 {   3823, ur_m169_swio14_noled_pr },
 {   3824, ur_m169_swio14_noled_pr },
 {   3825, ur_m169_swio14_noled_pr_ee },
 {   3826, ur_m169_swio14_noled_pr_ee_u4 },
 {   3827, ur_m169_swio14_noled_pr_ce },
 {   3828, ur_m169_swio14_noled_pr_ce },
 {   3829, ur_m169_swio14_noled_pr_ee_ce },
 {   3830, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {   3831, ur_m169_swio14_noled_hw },
 {   3832, ur_m169_swio14_noled_ee_hw },
 {   3833, ur_m169_swio14_noled_ce_hw },
 {   3834, ur_m169_swio14_noled_ee_ce_hw },
 {   3835, ur_m169_swio14_noled_ee_ce_hw },
 {   3836, ur_m169_swio14_lednop },
 {   3837, ur_m169_swio14_lednop_pr },
 {   3838, ur_m169_swio14_lednop_pr },
 {   3839, ur_m169_swio14_lednop_pr_ee },
 {   3840, ur_m169_swio14_lednop_pr_ee_u4 },
 {   3841, ur_m169_swio14_lednop_pr_ce },
 {   3842, ur_m169_swio14_lednop_pr_ce },
 {   3843, ur_m169_swio14_lednop_pr_ee_ce },
 {   3844, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {   3845, ur_m169_swio14_lednop_hw },
 {   3846, ur_m169_swio14_lednop_ee_hw },
 {   3847, ur_m169_swio14_lednop_ce_hw },
 {   3848, ur_m169_swio14_lednop_ee_ce_hw },
 {   3849, ur_m169_swio14_lednop_ee_ce_hw },
 {   3850, ur_m169_swio14_dual },
 {   3851, ur_m169_swio14_dual },
 {   3852, ur_m169_swio14_dual },
 {   3853, ur_m169_swio14_dual_pr_ee },
 {   3854, ur_m169_swio14_dual_pr_ee_u4 },
 {   3855, ur_m169_swio14_dual_pr_ce },
 {   3856, ur_m169_swio14_dual_pr_ce_u4 },
 {   3857, ur_m169_swio14_dual_pr_ee_ce },
 {   3858, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {   3859, ur_m169_swio14_dual_hw },
 {   3860, ur_m169_swio14_dual_ee_hw },
 {   3861, ur_m169_swio14_dual_ce_hw },
 {   3862, ur_m169_swio14_dual_ee_ce_hw },
 {   3863, ur_m169_swio14_dual_ee_ce_u4_hw },
 {   3864, ur_m169_swio15_noled },
 {   3865, ur_m169_swio15_noled_pr },
 {   3866, ur_m169_swio15_noled_pr },
 {   3867, ur_m169_swio15_noled_pr_ee },
 {   3868, ur_m169_swio15_noled_pr_ee_u4 },
 {   3869, ur_m169_swio15_noled_pr_ce },
 {   3870, ur_m169_swio15_noled_pr_ce },
 {   3871, ur_m169_swio15_noled_pr_ee_ce },
 {   3872, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {   3873, ur_m169_swio15_noled_hw },
 {   3874, ur_m169_swio15_noled_ee_hw },
 {   3875, ur_m169_swio15_noled_ce_hw },
 {   3876, ur_m169_swio15_noled_ee_ce_hw },
 {   3877, ur_m169_swio15_noled_ee_ce_hw },
 {   3878, ur_m169_swio15_lednop },
 {   3879, ur_m169_swio15_lednop_pr },
 {   3880, ur_m169_swio15_lednop_pr },
 {   3881, ur_m169_swio15_lednop_pr_ee },
 {   3882, ur_m169_swio15_lednop_pr_ee_u4 },
 {   3883, ur_m169_swio15_lednop_pr_ce },
 {   3884, ur_m169_swio15_lednop_pr_ce_u4 },
 {   3885, ur_m169_swio15_lednop_pr_ee_ce },
 {   3886, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {   3887, ur_m169_swio15_lednop_hw },
 {   3888, ur_m169_swio15_lednop_ee_hw },
 {   3889, ur_m169_swio15_lednop_ce_hw },
 {   3890, ur_m169_swio15_lednop_ee_ce_hw },
 {   3891, ur_m169_swio15_lednop_ee_ce_hw },
 {   3892, ur_m169_swio15_dual },
 {   3893, ur_m169_swio15_dual },
 {   3894, ur_m169_swio15_dual },
 {   3895, ur_m169_swio15_dual_pr_ee },
 {   3896, ur_m169_swio15_dual_pr_ee_u4 },
 {   3897, ur_m169_swio15_dual_pr_ce },
 {   3898, ur_m169_swio15_dual_pr_ce_u4 },
 {   3899, ur_m169_swio15_dual_pr_ee_ce },
 {   3900, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {   3901, ur_m169_swio15_dual_hw },
 {   3902, ur_m169_swio15_dual_ee_hw },
 {   3903, ur_m169_swio15_dual_ce_hw },
 {   3904, ur_m169_swio15_dual_ee_ce_hw },
 {   3905, ur_m169_swio15_dual_ee_ce_u4_hw },
 {   3906, ur_m169_autobaud_uart0_noled },
 {   3907, ur_m169_autobaud_uart0_noled },
 {   3908, ur_m169_autobaud_uart0_noled_pr_u4 },
 {   3909, ur_m169_autobaud_uart0_noled_pr_ee },
 {   3910, ur_m169_autobaud_uart0_noled_pr_ee },
 {   3911, ur_m169_autobaud_uart0_noled_pr_ce },
 {   3912, ur_m169_autobaud_uart0_noled_pr_ce },
 {   3913, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {   3914, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   3915, ur_m169_autobaud_uart0_noled_hw },
 {   3916, ur_m169_autobaud_uart0_noled_ee_hw },
 {   3917, ur_m169_autobaud_uart0_noled_ce_hw },
 {   3918, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   3919, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {   3920, ur_m169_autobaud_uart0_lednop },
 {   3921, ur_m169_autobaud_uart0_lednop_pr },
 {   3922, ur_m169_autobaud_uart0_lednop_pr },
 {   3923, ur_m169_autobaud_uart0_lednop_pr_ee },
 {   3924, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {   3925, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   3926, ur_m169_autobaud_uart0_lednop_pr_ce },
 {   3927, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {   3928, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   3929, ur_m169_autobaud_uart0_lednop_hw },
 {   3930, ur_m169_autobaud_uart0_lednop_ee_hw },
 {   3931, ur_m169_autobaud_uart0_lednop_ce_hw },
 {   3932, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   3933, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {   3934, ur_m169_autobaud_uart0_dual },
 {   3935, ur_m169_autobaud_uart0_dual },
 {   3936, ur_m169_autobaud_uart0_dual },
 {   3937, ur_m169_autobaud_uart0_dual_pr_ee },
 {   3938, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {   3939, ur_m169_autobaud_uart0_dual_pr_ce },
 {   3940, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {   3941, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {   3942, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   3943, ur_m169_autobaud_uart0_dual_hw },
 {   3944, ur_m169_autobaud_uart0_dual_ee_hw },
 {   3945, ur_m169_autobaud_uart0_dual_ce_hw },
 {   3946, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {   3947, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {   4116, ur_m169_u1x8_uart0_noled },
 {   4117, ur_m169_u1x8_uart0_noled },
 {   4118, ur_m169_u1x8_uart0_noled_pr_u4 },
 {   4119, ur_m169_u1x8_uart0_noled_pr_ee },
 {   4120, ur_m169_u1x8_uart0_noled_pr_ee },
 {   4121, ur_m169_u1x8_uart0_noled_pr_ce },
 {   4122, ur_m169_u1x8_uart0_noled_pr_ce },
 {   4123, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {   4124, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   4125, ur_m169_u1x8_uart0_noled_hw },
 {   4126, ur_m169_u1x8_uart0_noled_ee_hw },
 {   4127, ur_m169_u1x8_uart0_noled_ce_hw },
 {   4128, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   4129, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {   4130, ur_m169_u1x8_uart0_lednop },
 {   4131, ur_m169_u1x8_uart0_lednop },
 {   4132, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {   4133, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   4134, ur_m169_u1x8_uart0_lednop_pr_ee },
 {   4135, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   4136, ur_m169_u1x8_uart0_lednop_pr_ce },
 {   4137, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {   4138, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   4139, ur_m169_u1x8_uart0_lednop_hw },
 {   4140, ur_m169_u1x8_uart0_lednop_ee_hw },
 {   4141, ur_m169_u1x8_uart0_lednop_ce_hw },
 {   4142, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   4143, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {   4144, ur_m169_u1x8_uart0_dual },
 {   4145, ur_m169_u1x8_uart0_dual_pr },
 {   4146, ur_m169_u1x8_uart0_dual_pr },
 {   4147, ur_m169_u1x8_uart0_dual_pr_ee },
 {   4148, ur_m169_u1x8_uart0_dual_pr_ee },
 {   4149, ur_m169_u1x8_uart0_dual_pr_ce },
 {   4150, ur_m169_u1x8_uart0_dual_pr_ce },
 {   4151, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {   4152, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   4153, ur_m169_u1x8_uart0_dual_hw },
 {   4154, ur_m169_u1x8_uart0_dual_ee_hw },
 {   4155, ur_m169_u1x8_uart0_dual_ce_hw },
 {   4156, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {   4157, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {   4326, ur_m169_u1x12_uart0_noled },
 {   4327, ur_m169_u1x12_uart0_noled },
 {   4328, ur_m169_u1x12_uart0_noled_pr_u4 },
 {   4329, ur_m169_u1x12_uart0_noled_pr_ee },
 {   4330, ur_m169_u1x12_uart0_noled_pr_ee },
 {   4331, ur_m169_u1x12_uart0_noled_pr_ce },
 {   4332, ur_m169_u1x12_uart0_noled_pr_ce },
 {   4333, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {   4334, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   4335, ur_m169_u1x12_uart0_noled_hw },
 {   4336, ur_m169_u1x12_uart0_noled_ee_hw },
 {   4337, ur_m169_u1x12_uart0_noled_ce_hw },
 {   4338, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   4339, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {   4340, ur_m169_u1x12_uart0_lednop },
 {   4341, ur_m169_u1x12_uart0_lednop },
 {   4342, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {   4343, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   4344, ur_m169_u1x12_uart0_lednop_pr_ee },
 {   4345, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   4346, ur_m169_u1x12_uart0_lednop_pr_ce },
 {   4347, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {   4348, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   4349, ur_m169_u1x12_uart0_lednop_hw },
 {   4350, ur_m169_u1x12_uart0_lednop_ee_hw },
 {   4351, ur_m169_u1x12_uart0_lednop_ce_hw },
 {   4352, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   4353, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {   4354, ur_m169_u1x12_uart0_dual },
 {   4355, ur_m169_u1x12_uart0_dual_pr },
 {   4356, ur_m169_u1x12_uart0_dual_pr },
 {   4357, ur_m169_u1x12_uart0_dual_pr_ee },
 {   4358, ur_m169_u1x12_uart0_dual_pr_ee },
 {   4359, ur_m169_u1x12_uart0_dual_pr_ce },
 {   4360, ur_m169_u1x12_uart0_dual_pr_ce },
 {   4361, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {   4362, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   4363, ur_m169_u1x12_uart0_dual_hw },
 {   4364, ur_m169_u1x12_uart0_dual_ee_hw },
 {   4365, ur_m169_u1x12_uart0_dual_ce_hw },
 {   4366, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {   4367, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {   4536, ur_m169_u2x8_uart0_noled },
 {   4537, ur_m169_u2x8_uart0_noled },
 {   4538, ur_m169_u2x8_uart0_noled_pr_u4 },
 {   4539, ur_m169_u2x8_uart0_noled_pr_ee },
 {   4540, ur_m169_u2x8_uart0_noled_pr_ee },
 {   4541, ur_m169_u2x8_uart0_noled_pr_ce },
 {   4542, ur_m169_u2x8_uart0_noled_pr_ce },
 {   4543, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {   4544, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   4545, ur_m169_u2x8_uart0_noled_hw },
 {   4546, ur_m169_u2x8_uart0_noled_ee_hw },
 {   4547, ur_m169_u2x8_uart0_noled_ce_hw },
 {   4548, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   4549, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {   4550, ur_m169_u2x8_uart0_lednop },
 {   4551, ur_m169_u2x8_uart0_lednop },
 {   4552, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {   4553, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   4554, ur_m169_u2x8_uart0_lednop_pr_ee },
 {   4555, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   4556, ur_m169_u2x8_uart0_lednop_pr_ce },
 {   4557, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {   4558, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   4559, ur_m169_u2x8_uart0_lednop_hw },
 {   4560, ur_m169_u2x8_uart0_lednop_ee_hw },
 {   4561, ur_m169_u2x8_uart0_lednop_ce_hw },
 {   4562, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   4563, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {   4564, ur_m169_u2x8_uart0_dual },
 {   4565, ur_m169_u2x8_uart0_dual_pr },
 {   4566, ur_m169_u2x8_uart0_dual_pr },
 {   4567, ur_m169_u2x8_uart0_dual_pr_ee },
 {   4568, ur_m169_u2x8_uart0_dual_pr_ee },
 {   4569, ur_m169_u2x8_uart0_dual_pr_ce },
 {   4570, ur_m169_u2x8_uart0_dual_pr_ce },
 {   4571, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {   4572, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   4573, ur_m169_u2x8_uart0_dual_hw },
 {   4574, ur_m169_u2x8_uart0_dual_ee_hw },
 {   4575, ur_m169_u2x8_uart0_dual_ce_hw },
 {   4576, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {   4577, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {   4746, ur_m169_u2x12_uart0_noled },
 {   4747, ur_m169_u2x12_uart0_noled },
 {   4748, ur_m169_u2x12_uart0_noled_pr_u4 },
 {   4749, ur_m169_u2x12_uart0_noled_pr_ee },
 {   4750, ur_m169_u2x12_uart0_noled_pr_ee },
 {   4751, ur_m169_u2x12_uart0_noled_pr_ce },
 {   4752, ur_m169_u2x12_uart0_noled_pr_ce },
 {   4753, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {   4754, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   4755, ur_m169_u2x12_uart0_noled_hw },
 {   4756, ur_m169_u2x12_uart0_noled_ee_hw },
 {   4757, ur_m169_u2x12_uart0_noled_ce_hw },
 {   4758, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   4759, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {   4760, ur_m169_u2x12_uart0_lednop },
 {   4761, ur_m169_u2x12_uart0_lednop },
 {   4762, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {   4763, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   4764, ur_m169_u2x12_uart0_lednop_pr_ee },
 {   4765, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   4766, ur_m169_u2x12_uart0_lednop_pr_ce },
 {   4767, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {   4768, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   4769, ur_m169_u2x12_uart0_lednop_hw },
 {   4770, ur_m169_u2x12_uart0_lednop_ee_hw },
 {   4771, ur_m169_u2x12_uart0_lednop_ce_hw },
 {   4772, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   4773, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {   4774, ur_m169_u2x12_uart0_dual },
 {   4775, ur_m169_u2x12_uart0_dual_pr },
 {   4776, ur_m169_u2x12_uart0_dual_pr },
 {   4777, ur_m169_u2x12_uart0_dual_pr_ee },
 {   4778, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {   4779, ur_m169_u2x12_uart0_dual_pr_ce },
 {   4780, ur_m169_u2x12_uart0_dual_pr_ce },
 {   4781, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {   4782, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   4783, ur_m169_u2x12_uart0_dual_hw },
 {   4784, ur_m169_u2x12_uart0_dual_ee_hw },
 {   4785, ur_m169_u2x12_uart0_dual_ce_hw },
 {   4786, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {   4787, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {   4956, ur_m169_swio10_noled },
 {   4957, ur_m169_swio10_noled_pr },
 {   4958, ur_m169_swio10_noled_pr },
 {   4959, ur_m169_swio10_noled_pr_ee },
 {   4960, ur_m169_swio10_noled_pr_ee_u4 },
 {   4961, ur_m169_swio10_noled_pr_ce },
 {   4962, ur_m169_swio10_noled_pr_ce },
 {   4963, ur_m169_swio10_noled_pr_ee_ce },
 {   4964, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {   4965, ur_m169_swio10_noled_hw },
 {   4966, ur_m169_swio10_noled_ee_hw },
 {   4967, ur_m169_swio10_noled_ce_hw },
 {   4968, ur_m169_swio10_noled_ee_ce_hw },
 {   4969, ur_m169_swio10_noled_ee_ce_hw },
 {   4970, ur_m169_swio10_lednop },
 {   4971, ur_m169_swio10_lednop_pr },
 {   4972, ur_m169_swio10_lednop_pr },
 {   4973, ur_m169_swio10_lednop_pr_ee },
 {   4974, ur_m169_swio10_lednop_pr_ee_u4 },
 {   4975, ur_m169_swio10_lednop_pr_ce },
 {   4976, ur_m169_swio10_lednop_pr_ce },
 {   4977, ur_m169_swio10_lednop_pr_ee_ce },
 {   4978, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {   4979, ur_m169_swio10_lednop_hw },
 {   4980, ur_m169_swio10_lednop_ee_hw },
 {   4981, ur_m169_swio10_lednop_ce_hw },
 {   4982, ur_m169_swio10_lednop_ee_ce_hw },
 {   4983, ur_m169_swio10_lednop_ee_ce_hw },
 {   4984, ur_m169_swio10_dual },
 {   4985, ur_m169_swio10_dual },
 {   4986, ur_m169_swio10_dual },
 {   4987, ur_m169_swio10_dual_pr_ee },
 {   4988, ur_m169_swio10_dual_pr_ee_u4 },
 {   4989, ur_m169_swio10_dual_pr_ce },
 {   4990, ur_m169_swio10_dual_pr_ce_u4 },
 {   4991, ur_m169_swio10_dual_pr_ee_ce },
 {   4992, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {   4993, ur_m169_swio10_dual_hw },
 {   4994, ur_m169_swio10_dual_ee_hw },
 {   4995, ur_m169_swio10_dual_ce_hw },
 {   4996, ur_m169_swio10_dual_ee_ce_hw },
 {   4997, ur_m169_swio10_dual_ee_ce_u4_hw },
 {   4998, ur_m169_swio11_noled },
 {   4999, ur_m169_swio11_noled_pr },
 {   5000, ur_m169_swio11_noled_pr },
 {   5001, ur_m169_swio11_noled_pr_ee },
 {   5002, ur_m169_swio11_noled_pr_ee_u4 },
 {   5003, ur_m169_swio11_noled_pr_ce },
 {   5004, ur_m169_swio11_noled_pr_ce },
 {   5005, ur_m169_swio11_noled_pr_ee_ce },
 {   5006, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   5007, ur_m169_swio11_noled_hw },
 {   5008, ur_m169_swio11_noled_ee_hw },
 {   5009, ur_m169_swio11_noled_ce_hw },
 {   5010, ur_m169_swio11_noled_ee_ce_hw },
 {   5011, ur_m169_swio11_noled_ee_ce_hw },
 {   5012, ur_m169_swio11_lednop },
 {   5013, ur_m169_swio11_lednop_pr },
 {   5014, ur_m169_swio11_lednop_pr },
 {   5015, ur_m169_swio11_lednop_pr_ee },
 {   5016, ur_m169_swio11_lednop_pr_ee_u4 },
 {   5017, ur_m169_swio11_lednop_pr_ce },
 {   5018, ur_m169_swio11_lednop_pr_ce },
 {   5019, ur_m169_swio11_lednop_pr_ee_ce },
 {   5020, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   5021, ur_m169_swio11_lednop_hw },
 {   5022, ur_m169_swio11_lednop_ee_hw },
 {   5023, ur_m169_swio11_lednop_ce_hw },
 {   5024, ur_m169_swio11_lednop_ee_ce_hw },
 {   5025, ur_m169_swio11_lednop_ee_ce_hw },
 {   5026, ur_m169_swio11_dual },
 {   5027, ur_m169_swio11_dual },
 {   5028, ur_m169_swio11_dual },
 {   5029, ur_m169_swio11_dual_pr_ee },
 {   5030, ur_m169_swio11_dual_pr_ee_u4 },
 {   5031, ur_m169_swio11_dual_pr_ce },
 {   5032, ur_m169_swio11_dual_pr_ce_u4 },
 {   5033, ur_m169_swio11_dual_pr_ee_ce },
 {   5034, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   5035, ur_m169_swio11_dual_hw },
 {   5036, ur_m169_swio11_dual_ee_hw },
 {   5037, ur_m169_swio11_dual_ce_hw },
 {   5038, ur_m169_swio11_dual_ee_ce_hw },
 {   5039, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   5040, ur_m169_swio11_noled },
 {   5041, ur_m169_swio11_noled_pr },
 {   5042, ur_m169_swio11_noled_pr },
 {   5043, ur_m169_swio11_noled_pr_ee },
 {   5044, ur_m169_swio11_noled_pr_ee_u4 },
 {   5045, ur_m169_swio11_noled_pr_ce },
 {   5046, ur_m169_swio11_noled_pr_ce },
 {   5047, ur_m169_swio11_noled_pr_ee_ce },
 {   5048, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {   5049, ur_m169_swio11_noled_hw },
 {   5050, ur_m169_swio11_noled_ee_hw },
 {   5051, ur_m169_swio11_noled_ce_hw },
 {   5052, ur_m169_swio11_noled_ee_ce_hw },
 {   5053, ur_m169_swio11_noled_ee_ce_hw },
 {   5054, ur_m169_swio11_lednop },
 {   5055, ur_m169_swio11_lednop_pr },
 {   5056, ur_m169_swio11_lednop_pr },
 {   5057, ur_m169_swio11_lednop_pr_ee },
 {   5058, ur_m169_swio11_lednop_pr_ee_u4 },
 {   5059, ur_m169_swio11_lednop_pr_ce },
 {   5060, ur_m169_swio11_lednop_pr_ce },
 {   5061, ur_m169_swio11_lednop_pr_ee_ce },
 {   5062, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {   5063, ur_m169_swio11_lednop_hw },
 {   5064, ur_m169_swio11_lednop_ee_hw },
 {   5065, ur_m169_swio11_lednop_ce_hw },
 {   5066, ur_m169_swio11_lednop_ee_ce_hw },
 {   5067, ur_m169_swio11_lednop_ee_ce_hw },
 {   5068, ur_m169_swio11_dual },
 {   5069, ur_m169_swio11_dual },
 {   5070, ur_m169_swio11_dual },
 {   5071, ur_m169_swio11_dual_pr_ee },
 {   5072, ur_m169_swio11_dual_pr_ee_u4 },
 {   5073, ur_m169_swio11_dual_pr_ce },
 {   5074, ur_m169_swio11_dual_pr_ce_u4 },
 {   5075, ur_m169_swio11_dual_pr_ee_ce },
 {   5076, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {   5077, ur_m169_swio11_dual_hw },
 {   5078, ur_m169_swio11_dual_ee_hw },
 {   5079, ur_m169_swio11_dual_ce_hw },
 {   5080, ur_m169_swio11_dual_ee_ce_hw },
 {   5081, ur_m169_swio11_dual_ee_ce_u4_hw },
 {   5082, ur_m169_swio13_noled },
 {   5083, ur_m169_swio13_noled_pr },
 {   5084, ur_m169_swio13_noled_pr },
 {   5085, ur_m169_swio13_noled_pr_ee },
 {   5086, ur_m169_swio13_noled_pr_ee_u4 },
 {   5087, ur_m169_swio13_noled_pr_ce },
 {   5088, ur_m169_swio13_noled_pr_ce },
 {   5089, ur_m169_swio13_noled_pr_ee_ce },
 {   5090, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {   5091, ur_m169_swio13_noled_hw },
 {   5092, ur_m169_swio13_noled_ee_hw },
 {   5093, ur_m169_swio13_noled_ce_hw },
 {   5094, ur_m169_swio13_noled_ee_ce_hw },
 {   5095, ur_m169_swio13_noled_ee_ce_hw },
 {   5096, ur_m169_swio13_lednop },
 {   5097, ur_m169_swio13_lednop_pr },
 {   5098, ur_m169_swio13_lednop_pr },
 {   5099, ur_m169_swio13_lednop_pr_ee },
 {   5100, ur_m169_swio13_lednop_pr_ee_u4 },
 {   5101, ur_m169_swio13_lednop_pr_ce },
 {   5102, ur_m169_swio13_lednop_pr_ce_u4 },
 {   5103, ur_m169_swio13_lednop_pr_ee_ce },
 {   5104, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {   5105, ur_m169_swio13_lednop_hw },
 {   5106, ur_m169_swio13_lednop_ee_hw },
 {   5107, ur_m169_swio13_lednop_ce_hw },
 {   5108, ur_m169_swio13_lednop_ee_ce_hw },
 {   5109, ur_m169_swio13_lednop_ee_ce_hw },
 {   5110, ur_m169_swio13_dual },
 {   5111, ur_m169_swio13_dual },
 {   5112, ur_m169_swio13_dual },
 {   5113, ur_m169_swio13_dual_pr_ee },
 {   5114, ur_m169_swio13_dual_pr_ee_u4 },
 {   5115, ur_m169_swio13_dual_pr_ce },
 {   5116, ur_m169_swio13_dual_pr_ce_u4 },
 {   5117, ur_m169_swio13_dual_pr_ee_ce },
 {   5118, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {   5119, ur_m169_swio13_dual_hw },
 {   5120, ur_m169_swio13_dual_ee_hw },
 {   5121, ur_m169_swio13_dual_ce_hw },
 {   5122, ur_m169_swio13_dual_ee_ce_hw },
 {   5123, ur_m169_swio13_dual_ee_ce_u4_hw },
 {   5124, ur_m169_swio14_noled },
 {   5125, ur_m169_swio14_noled_pr },
 {   5126, ur_m169_swio14_noled_pr },
 {   5127, ur_m169_swio14_noled_pr_ee },
 {   5128, ur_m169_swio14_noled_pr_ee_u4 },
 {   5129, ur_m169_swio14_noled_pr_ce },
 {   5130, ur_m169_swio14_noled_pr_ce },
 {   5131, ur_m169_swio14_noled_pr_ee_ce },
 {   5132, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {   5133, ur_m169_swio14_noled_hw },
 {   5134, ur_m169_swio14_noled_ee_hw },
 {   5135, ur_m169_swio14_noled_ce_hw },
 {   5136, ur_m169_swio14_noled_ee_ce_hw },
 {   5137, ur_m169_swio14_noled_ee_ce_hw },
 {   5138, ur_m169_swio14_lednop },
 {   5139, ur_m169_swio14_lednop_pr },
 {   5140, ur_m169_swio14_lednop_pr },
 {   5141, ur_m169_swio14_lednop_pr_ee },
 {   5142, ur_m169_swio14_lednop_pr_ee_u4 },
 {   5143, ur_m169_swio14_lednop_pr_ce },
 {   5144, ur_m169_swio14_lednop_pr_ce },
 {   5145, ur_m169_swio14_lednop_pr_ee_ce },
 {   5146, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {   5147, ur_m169_swio14_lednop_hw },
 {   5148, ur_m169_swio14_lednop_ee_hw },
 {   5149, ur_m169_swio14_lednop_ce_hw },
 {   5150, ur_m169_swio14_lednop_ee_ce_hw },
 {   5151, ur_m169_swio14_lednop_ee_ce_hw },
 {   5152, ur_m169_swio14_dual },
 {   5153, ur_m169_swio14_dual },
 {   5154, ur_m169_swio14_dual },
 {   5155, ur_m169_swio14_dual_pr_ee },
 {   5156, ur_m169_swio14_dual_pr_ee_u4 },
 {   5157, ur_m169_swio14_dual_pr_ce },
 {   5158, ur_m169_swio14_dual_pr_ce_u4 },
 {   5159, ur_m169_swio14_dual_pr_ee_ce },
 {   5160, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {   5161, ur_m169_swio14_dual_hw },
 {   5162, ur_m169_swio14_dual_ee_hw },
 {   5163, ur_m169_swio14_dual_ce_hw },
 {   5164, ur_m169_swio14_dual_ee_ce_hw },
 {   5165, ur_m169_swio14_dual_ee_ce_u4_hw },
 {   5166, ur_m169_swio15_noled },
 {   5167, ur_m169_swio15_noled_pr },
 {   5168, ur_m169_swio15_noled_pr },
 {   5169, ur_m169_swio15_noled_pr_ee },
 {   5170, ur_m169_swio15_noled_pr_ee_u4 },
 {   5171, ur_m169_swio15_noled_pr_ce },
 {   5172, ur_m169_swio15_noled_pr_ce },
 {   5173, ur_m169_swio15_noled_pr_ee_ce },
 {   5174, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {   5175, ur_m169_swio15_noled_hw },
 {   5176, ur_m169_swio15_noled_ee_hw },
 {   5177, ur_m169_swio15_noled_ce_hw },
 {   5178, ur_m169_swio15_noled_ee_ce_hw },
 {   5179, ur_m169_swio15_noled_ee_ce_hw },
 {   5180, ur_m169_swio15_lednop },
 {   5181, ur_m169_swio15_lednop_pr },
 {   5182, ur_m169_swio15_lednop_pr },
 {   5183, ur_m169_swio15_lednop_pr_ee },
 {   5184, ur_m169_swio15_lednop_pr_ee_u4 },
 {   5185, ur_m169_swio15_lednop_pr_ce },
 {   5186, ur_m169_swio15_lednop_pr_ce_u4 },
 {   5187, ur_m169_swio15_lednop_pr_ee_ce },
 {   5188, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {   5189, ur_m169_swio15_lednop_hw },
 {   5190, ur_m169_swio15_lednop_ee_hw },
 {   5191, ur_m169_swio15_lednop_ce_hw },
 {   5192, ur_m169_swio15_lednop_ee_ce_hw },
 {   5193, ur_m169_swio15_lednop_ee_ce_hw },
 {   5194, ur_m169_swio15_dual },
 {   5195, ur_m169_swio15_dual },
 {   5196, ur_m169_swio15_dual },
 {   5197, ur_m169_swio15_dual_pr_ee },
 {   5198, ur_m169_swio15_dual_pr_ee_u4 },
 {   5199, ur_m169_swio15_dual_pr_ce },
 {   5200, ur_m169_swio15_dual_pr_ce_u4 },
 {   5201, ur_m169_swio15_dual_pr_ee_ce },
 {   5202, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {   5203, ur_m169_swio15_dual_hw },
 {   5204, ur_m169_swio15_dual_ee_hw },
 {   5205, ur_m169_swio15_dual_ce_hw },
 {   5206, ur_m169_swio15_dual_ee_ce_hw },
 {   5207, ur_m169_swio15_dual_ee_ce_u4_hw },
 {   5208, ur_m329_autobaud_uart0_noled },
 {   5209, ur_m329_autobaud_uart0_noled },
 {   5210, ur_m329_autobaud_uart0_noled_pr_u4 },
 {   5211, ur_m329_autobaud_uart0_noled_pr_ee },
 {   5212, ur_m329_autobaud_uart0_noled_pr_ee },
 {   5213, ur_m329_autobaud_uart0_noled_pr_ce },
 {   5214, ur_m329_autobaud_uart0_noled_pr_ce },
 {   5215, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {   5216, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   5218, ur_m329_autobaud_uart0_noled_ee_hw },
 {   5220, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   5221, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   5222, ur_m329_autobaud_uart0_lednop },
 {   5223, ur_m329_autobaud_uart0_lednop_pr },
 {   5224, ur_m329_autobaud_uart0_lednop_pr },
 {   5225, ur_m329_autobaud_uart0_lednop_pr_ee },
 {   5226, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {   5227, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   5228, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   5229, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {   5230, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   5232, ur_m329_autobaud_uart0_lednop_ee_hw },
 {   5234, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   5235, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   5236, ur_m329_autobaud_uart0_dual },
 {   5237, ur_m329_autobaud_uart0_dual },
 {   5238, ur_m329_autobaud_uart0_dual },
 {   5239, ur_m329_autobaud_uart0_dual_pr_ee },
 {   5240, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {   5241, ur_m329_autobaud_uart0_dual_pr_ce },
 {   5242, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {   5243, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {   5244, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   5246, ur_m329_autobaud_uart0_dual_ee_hw },
 {   5248, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {   5249, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {   5418, ur_m329_u1x8_uart0_noled },
 {   5419, ur_m329_u1x8_uart0_noled },
 {   5420, ur_m329_u1x8_uart0_noled_pr_u4 },
 {   5421, ur_m329_u1x8_uart0_noled_pr_ee },
 {   5422, ur_m329_u1x8_uart0_noled_pr_ee },
 {   5423, ur_m329_u1x8_uart0_noled_pr_ce },
 {   5424, ur_m329_u1x8_uart0_noled_pr_ce },
 {   5425, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {   5426, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   5428, ur_m329_u1x8_uart0_noled_ee_hw },
 {   5430, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   5431, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   5432, ur_m329_u1x8_uart0_lednop },
 {   5433, ur_m329_u1x8_uart0_lednop },
 {   5434, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {   5435, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   5436, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   5437, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   5438, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   5439, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {   5440, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   5442, ur_m329_u1x8_uart0_lednop_ee_hw },
 {   5444, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   5445, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   5446, ur_m329_u1x8_uart0_dual },
 {   5447, ur_m329_u1x8_uart0_dual_pr },
 {   5448, ur_m329_u1x8_uart0_dual_pr },
 {   5449, ur_m329_u1x8_uart0_dual_pr_ee },
 {   5450, ur_m329_u1x8_uart0_dual_pr_ee },
 {   5451, ur_m329_u1x8_uart0_dual_pr_ce },
 {   5452, ur_m329_u1x8_uart0_dual_pr_ce },
 {   5453, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {   5454, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   5456, ur_m329_u1x8_uart0_dual_ee_hw },
 {   5458, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {   5459, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {   5628, ur_m329_u1x12_uart0_noled },
 {   5629, ur_m329_u1x12_uart0_noled },
 {   5630, ur_m329_u1x12_uart0_noled_pr_u4 },
 {   5631, ur_m329_u1x12_uart0_noled_pr_ee },
 {   5632, ur_m329_u1x12_uart0_noled_pr_ee },
 {   5633, ur_m329_u1x12_uart0_noled_pr_ce },
 {   5634, ur_m329_u1x12_uart0_noled_pr_ce },
 {   5635, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {   5636, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   5638, ur_m329_u1x12_uart0_noled_ee_hw },
 {   5640, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   5641, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   5642, ur_m329_u1x12_uart0_lednop },
 {   5643, ur_m329_u1x12_uart0_lednop },
 {   5644, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {   5645, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   5646, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   5647, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   5648, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   5649, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {   5650, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   5652, ur_m329_u1x12_uart0_lednop_ee_hw },
 {   5654, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   5655, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   5656, ur_m329_u1x12_uart0_dual },
 {   5657, ur_m329_u1x12_uart0_dual_pr },
 {   5658, ur_m329_u1x12_uart0_dual_pr },
 {   5659, ur_m329_u1x12_uart0_dual_pr_ee },
 {   5660, ur_m329_u1x12_uart0_dual_pr_ee },
 {   5661, ur_m329_u1x12_uart0_dual_pr_ce },
 {   5662, ur_m329_u1x12_uart0_dual_pr_ce },
 {   5663, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {   5664, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   5666, ur_m329_u1x12_uart0_dual_ee_hw },
 {   5668, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {   5669, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {   5838, ur_m329_u2x8_uart0_noled },
 {   5839, ur_m329_u2x8_uart0_noled },
 {   5840, ur_m329_u2x8_uart0_noled_pr_u4 },
 {   5841, ur_m329_u2x8_uart0_noled_pr_ee },
 {   5842, ur_m329_u2x8_uart0_noled_pr_ee },
 {   5843, ur_m329_u2x8_uart0_noled_pr_ce },
 {   5844, ur_m329_u2x8_uart0_noled_pr_ce },
 {   5845, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {   5846, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   5848, ur_m329_u2x8_uart0_noled_ee_hw },
 {   5850, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   5851, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   5852, ur_m329_u2x8_uart0_lednop },
 {   5853, ur_m329_u2x8_uart0_lednop },
 {   5854, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {   5855, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   5856, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   5857, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   5858, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   5859, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {   5860, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   5862, ur_m329_u2x8_uart0_lednop_ee_hw },
 {   5864, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   5865, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   5866, ur_m329_u2x8_uart0_dual },
 {   5867, ur_m329_u2x8_uart0_dual_pr },
 {   5868, ur_m329_u2x8_uart0_dual_pr },
 {   5869, ur_m329_u2x8_uart0_dual_pr_ee },
 {   5870, ur_m329_u2x8_uart0_dual_pr_ee },
 {   5871, ur_m329_u2x8_uart0_dual_pr_ce },
 {   5872, ur_m329_u2x8_uart0_dual_pr_ce },
 {   5873, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {   5874, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   5876, ur_m329_u2x8_uart0_dual_ee_hw },
 {   5878, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {   5879, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {   6048, ur_m329_u2x12_uart0_noled },
 {   6049, ur_m329_u2x12_uart0_noled },
 {   6050, ur_m329_u2x12_uart0_noled_pr_u4 },
 {   6051, ur_m329_u2x12_uart0_noled_pr_ee },
 {   6052, ur_m329_u2x12_uart0_noled_pr_ee },
 {   6053, ur_m329_u2x12_uart0_noled_pr_ce },
 {   6054, ur_m329_u2x12_uart0_noled_pr_ce },
 {   6055, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {   6056, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   6058, ur_m329_u2x12_uart0_noled_ee_hw },
 {   6060, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   6061, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   6062, ur_m329_u2x12_uart0_lednop },
 {   6063, ur_m329_u2x12_uart0_lednop },
 {   6064, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {   6065, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   6066, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   6067, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   6068, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   6069, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {   6070, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   6072, ur_m329_u2x12_uart0_lednop_ee_hw },
 {   6074, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   6075, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   6076, ur_m329_u2x12_uart0_dual },
 {   6077, ur_m329_u2x12_uart0_dual_pr },
 {   6078, ur_m329_u2x12_uart0_dual_pr },
 {   6079, ur_m329_u2x12_uart0_dual_pr_ee },
 {   6080, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {   6081, ur_m329_u2x12_uart0_dual_pr_ce },
 {   6082, ur_m329_u2x12_uart0_dual_pr_ce },
 {   6083, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {   6084, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   6086, ur_m329_u2x12_uart0_dual_ee_hw },
 {   6088, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {   6089, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {   6258, ur_m329_swio10_noled },
 {   6259, ur_m329_swio10_noled_pr },
 {   6260, ur_m329_swio10_noled_pr },
 {   6261, ur_m329_swio10_noled_pr_ee },
 {   6262, ur_m329_swio10_noled_pr_ee_u4 },
 {   6263, ur_m329_swio10_noled_pr_ce },
 {   6264, ur_m329_swio10_noled_pr_ce },
 {   6265, ur_m329_swio10_noled_pr_ee_ce },
 {   6266, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {   6268, ur_m329_swio10_noled_ee_hw },
 {   6270, ur_m329_swio10_noled_ee_ce_hw },
 {   6271, ur_m329_swio10_noled_ee_ce_hw },
 {   6272, ur_m329_swio10_lednop },
 {   6273, ur_m329_swio10_lednop_pr },
 {   6274, ur_m329_swio10_lednop_pr },
 {   6275, ur_m329_swio10_lednop_pr_ee },
 {   6276, ur_m329_swio10_lednop_pr_ee_u4 },
 {   6277, ur_m329_swio10_lednop_pr_ce },
 {   6278, ur_m329_swio10_lednop_pr_ce },
 {   6279, ur_m329_swio10_lednop_pr_ee_ce },
 {   6280, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {   6282, ur_m329_swio10_lednop_ee_hw },
 {   6284, ur_m329_swio10_lednop_ee_ce_hw },
 {   6285, ur_m329_swio10_lednop_ee_ce_hw },
 {   6286, ur_m329_swio10_dual },
 {   6287, ur_m329_swio10_dual },
 {   6288, ur_m329_swio10_dual },
 {   6289, ur_m329_swio10_dual_pr_ee },
 {   6290, ur_m329_swio10_dual_pr_ee_u4 },
 {   6291, ur_m329_swio10_dual_pr_ce },
 {   6292, ur_m329_swio10_dual_pr_ce_u4 },
 {   6293, ur_m329_swio10_dual_pr_ee_ce },
 {   6294, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {   6296, ur_m329_swio10_dual_ee_hw },
 {   6298, ur_m329_swio10_dual_ee_ce_hw },
 {   6299, ur_m329_swio10_dual_ee_ce_u4_hw },
 {   6300, ur_m329_swio11_noled },
 {   6301, ur_m329_swio11_noled_pr },
 {   6302, ur_m329_swio11_noled_pr },
 {   6303, ur_m329_swio11_noled_pr_ee },
 {   6304, ur_m329_swio11_noled_pr_ee_u4 },
 {   6305, ur_m329_swio11_noled_pr_ce },
 {   6306, ur_m329_swio11_noled_pr_ce },
 {   6307, ur_m329_swio11_noled_pr_ee_ce },
 {   6308, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   6310, ur_m329_swio11_noled_ee_hw },
 {   6312, ur_m329_swio11_noled_ee_ce_hw },
 {   6313, ur_m329_swio11_noled_ee_ce_hw },
 {   6314, ur_m329_swio11_lednop },
 {   6315, ur_m329_swio11_lednop_pr },
 {   6316, ur_m329_swio11_lednop_pr },
 {   6317, ur_m329_swio11_lednop_pr_ee },
 {   6318, ur_m329_swio11_lednop_pr_ee_u4 },
 {   6319, ur_m329_swio11_lednop_pr_ce },
 {   6320, ur_m329_swio11_lednop_pr_ce },
 {   6321, ur_m329_swio11_lednop_pr_ee_ce },
 {   6322, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   6324, ur_m329_swio11_lednop_ee_hw },
 {   6326, ur_m329_swio11_lednop_ee_ce_hw },
 {   6327, ur_m329_swio11_lednop_ee_ce_hw },
 {   6328, ur_m329_swio11_dual },
 {   6329, ur_m329_swio11_dual },
 {   6330, ur_m329_swio11_dual },
 {   6331, ur_m329_swio11_dual_pr_ee },
 {   6332, ur_m329_swio11_dual_pr_ee_u4 },
 {   6333, ur_m329_swio11_dual_pr_ce },
 {   6334, ur_m329_swio11_dual_pr_ce_u4 },
 {   6335, ur_m329_swio11_dual_pr_ee_ce },
 {   6336, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   6338, ur_m329_swio11_dual_ee_hw },
 {   6340, ur_m329_swio11_dual_ee_ce_hw },
 {   6341, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   6342, ur_m329_swio11_noled },
 {   6343, ur_m329_swio11_noled_pr },
 {   6344, ur_m329_swio11_noled_pr },
 {   6345, ur_m329_swio11_noled_pr_ee },
 {   6346, ur_m329_swio11_noled_pr_ee_u4 },
 {   6347, ur_m329_swio11_noled_pr_ce },
 {   6348, ur_m329_swio11_noled_pr_ce },
 {   6349, ur_m329_swio11_noled_pr_ee_ce },
 {   6350, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   6352, ur_m329_swio11_noled_ee_hw },
 {   6354, ur_m329_swio11_noled_ee_ce_hw },
 {   6355, ur_m329_swio11_noled_ee_ce_hw },
 {   6356, ur_m329_swio11_lednop },
 {   6357, ur_m329_swio11_lednop_pr },
 {   6358, ur_m329_swio11_lednop_pr },
 {   6359, ur_m329_swio11_lednop_pr_ee },
 {   6360, ur_m329_swio11_lednop_pr_ee_u4 },
 {   6361, ur_m329_swio11_lednop_pr_ce },
 {   6362, ur_m329_swio11_lednop_pr_ce },
 {   6363, ur_m329_swio11_lednop_pr_ee_ce },
 {   6364, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   6366, ur_m329_swio11_lednop_ee_hw },
 {   6368, ur_m329_swio11_lednop_ee_ce_hw },
 {   6369, ur_m329_swio11_lednop_ee_ce_hw },
 {   6370, ur_m329_swio11_dual },
 {   6371, ur_m329_swio11_dual },
 {   6372, ur_m329_swio11_dual },
 {   6373, ur_m329_swio11_dual_pr_ee },
 {   6374, ur_m329_swio11_dual_pr_ee_u4 },
 {   6375, ur_m329_swio11_dual_pr_ce },
 {   6376, ur_m329_swio11_dual_pr_ce_u4 },
 {   6377, ur_m329_swio11_dual_pr_ee_ce },
 {   6378, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   6380, ur_m329_swio11_dual_ee_hw },
 {   6382, ur_m329_swio11_dual_ee_ce_hw },
 {   6383, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   6384, ur_m329_swio13_noled },
 {   6385, ur_m329_swio13_noled_pr },
 {   6386, ur_m329_swio13_noled_pr },
 {   6387, ur_m329_swio13_noled_pr_ee },
 {   6388, ur_m329_swio13_noled_pr_ee_u4 },
 {   6389, ur_m329_swio13_noled_pr_ce },
 {   6390, ur_m329_swio13_noled_pr_ce },
 {   6391, ur_m329_swio13_noled_pr_ee_ce },
 {   6392, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {   6394, ur_m329_swio13_noled_ee_hw },
 {   6396, ur_m329_swio13_noled_ee_ce_hw },
 {   6397, ur_m329_swio13_noled_ee_ce_hw },
 {   6398, ur_m329_swio13_lednop },
 {   6399, ur_m329_swio13_lednop_pr },
 {   6400, ur_m329_swio13_lednop_pr },
 {   6401, ur_m329_swio13_lednop_pr_ee },
 {   6402, ur_m329_swio13_lednop_pr_ee_u4 },
 {   6403, ur_m329_swio13_lednop_pr_ce },
 {   6404, ur_m329_swio13_lednop_pr_ce_u4 },
 {   6405, ur_m329_swio13_lednop_pr_ee_ce },
 {   6406, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {   6408, ur_m329_swio13_lednop_ee_hw },
 {   6410, ur_m329_swio13_lednop_ee_ce_hw },
 {   6411, ur_m329_swio13_lednop_ee_ce_hw },
 {   6412, ur_m329_swio13_dual },
 {   6413, ur_m329_swio13_dual },
 {   6414, ur_m329_swio13_dual },
 {   6415, ur_m329_swio13_dual_pr_ee },
 {   6416, ur_m329_swio13_dual_pr_ee_u4 },
 {   6417, ur_m329_swio13_dual_pr_ce },
 {   6418, ur_m329_swio13_dual_pr_ce_u4 },
 {   6419, ur_m329_swio13_dual_pr_ee_ce },
 {   6420, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {   6422, ur_m329_swio13_dual_ee_hw },
 {   6424, ur_m329_swio13_dual_ee_ce_hw },
 {   6425, ur_m329_swio13_dual_ee_ce_u4_hw },
 {   6426, ur_m329_swio14_noled },
 {   6427, ur_m329_swio14_noled_pr },
 {   6428, ur_m329_swio14_noled_pr },
 {   6429, ur_m329_swio14_noled_pr_ee },
 {   6430, ur_m329_swio14_noled_pr_ee_u4 },
 {   6431, ur_m329_swio14_noled_pr_ce },
 {   6432, ur_m329_swio14_noled_pr_ce },
 {   6433, ur_m329_swio14_noled_pr_ee_ce },
 {   6434, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {   6436, ur_m329_swio14_noled_ee_hw },
 {   6438, ur_m329_swio14_noled_ee_ce_hw },
 {   6439, ur_m329_swio14_noled_ee_ce_hw },
 {   6440, ur_m329_swio14_lednop },
 {   6441, ur_m329_swio14_lednop_pr },
 {   6442, ur_m329_swio14_lednop_pr },
 {   6443, ur_m329_swio14_lednop_pr_ee },
 {   6444, ur_m329_swio14_lednop_pr_ee_u4 },
 {   6445, ur_m329_swio14_lednop_pr_ce },
 {   6446, ur_m329_swio14_lednop_pr_ce },
 {   6447, ur_m329_swio14_lednop_pr_ee_ce },
 {   6448, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {   6450, ur_m329_swio14_lednop_ee_hw },
 {   6452, ur_m329_swio14_lednop_ee_ce_hw },
 {   6453, ur_m329_swio14_lednop_ee_ce_hw },
 {   6454, ur_m329_swio14_dual },
 {   6455, ur_m329_swio14_dual },
 {   6456, ur_m329_swio14_dual },
 {   6457, ur_m329_swio14_dual_pr_ee },
 {   6458, ur_m329_swio14_dual_pr_ee_u4 },
 {   6459, ur_m329_swio14_dual_pr_ce },
 {   6460, ur_m329_swio14_dual_pr_ce_u4 },
 {   6461, ur_m329_swio14_dual_pr_ee_ce },
 {   6462, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {   6464, ur_m329_swio14_dual_ee_hw },
 {   6466, ur_m329_swio14_dual_ee_ce_hw },
 {   6467, ur_m329_swio14_dual_ee_ce_u4_hw },
 {   6468, ur_m329_swio15_noled },
 {   6469, ur_m329_swio15_noled_pr },
 {   6470, ur_m329_swio15_noled_pr },
 {   6471, ur_m329_swio15_noled_pr_ee },
 {   6472, ur_m329_swio15_noled_pr_ee_u4 },
 {   6473, ur_m329_swio15_noled_pr_ce },
 {   6474, ur_m329_swio15_noled_pr_ce },
 {   6475, ur_m329_swio15_noled_pr_ee_ce },
 {   6476, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {   6478, ur_m329_swio15_noled_ee_hw },
 {   6480, ur_m329_swio15_noled_ee_ce_hw },
 {   6481, ur_m329_swio15_noled_ee_ce_hw },
 {   6482, ur_m329_swio15_lednop },
 {   6483, ur_m329_swio15_lednop_pr },
 {   6484, ur_m329_swio15_lednop_pr },
 {   6485, ur_m329_swio15_lednop_pr_ee },
 {   6486, ur_m329_swio15_lednop_pr_ee_u4 },
 {   6487, ur_m329_swio15_lednop_pr_ce },
 {   6488, ur_m329_swio15_lednop_pr_ce_u4 },
 {   6489, ur_m329_swio15_lednop_pr_ee_ce },
 {   6490, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {   6492, ur_m329_swio15_lednop_ee_hw },
 {   6494, ur_m329_swio15_lednop_ee_ce_hw },
 {   6495, ur_m329_swio15_lednop_ee_ce_hw },
 {   6496, ur_m329_swio15_dual },
 {   6497, ur_m329_swio15_dual },
 {   6498, ur_m329_swio15_dual },
 {   6499, ur_m329_swio15_dual_pr_ee },
 {   6500, ur_m329_swio15_dual_pr_ee_u4 },
 {   6501, ur_m329_swio15_dual_pr_ce },
 {   6502, ur_m329_swio15_dual_pr_ce_u4 },
 {   6503, ur_m329_swio15_dual_pr_ee_ce },
 {   6504, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {   6506, ur_m329_swio15_dual_ee_hw },
 {   6508, ur_m329_swio15_dual_ee_ce_hw },
 {   6509, ur_m329_swio15_dual_ee_ce_u4_hw },
 {   6510, ur_m329_autobaud_uart0_noled },
 {   6511, ur_m329_autobaud_uart0_noled },
 {   6512, ur_m329_autobaud_uart0_noled_pr_u4 },
 {   6513, ur_m329_autobaud_uart0_noled_pr_ee },
 {   6514, ur_m329_autobaud_uart0_noled_pr_ee },
 {   6515, ur_m329_autobaud_uart0_noled_pr_ce },
 {   6516, ur_m329_autobaud_uart0_noled_pr_ce },
 {   6517, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {   6518, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   6520, ur_m329_autobaud_uart0_noled_ee_hw },
 {   6522, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   6523, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   6524, ur_m329_autobaud_uart0_lednop },
 {   6525, ur_m329_autobaud_uart0_lednop_pr },
 {   6526, ur_m329_autobaud_uart0_lednop_pr },
 {   6527, ur_m329_autobaud_uart0_lednop_pr_ee },
 {   6528, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {   6529, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   6530, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   6531, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {   6532, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   6534, ur_m329_autobaud_uart0_lednop_ee_hw },
 {   6536, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   6537, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   6538, ur_m329_autobaud_uart0_dual },
 {   6539, ur_m329_autobaud_uart0_dual },
 {   6540, ur_m329_autobaud_uart0_dual },
 {   6541, ur_m329_autobaud_uart0_dual_pr_ee },
 {   6542, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {   6543, ur_m329_autobaud_uart0_dual_pr_ce },
 {   6544, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {   6545, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {   6546, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   6548, ur_m329_autobaud_uart0_dual_ee_hw },
 {   6550, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {   6551, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {   6720, ur_m329_u1x8_uart0_noled },
 {   6721, ur_m329_u1x8_uart0_noled },
 {   6722, ur_m329_u1x8_uart0_noled_pr_u4 },
 {   6723, ur_m329_u1x8_uart0_noled_pr_ee },
 {   6724, ur_m329_u1x8_uart0_noled_pr_ee },
 {   6725, ur_m329_u1x8_uart0_noled_pr_ce },
 {   6726, ur_m329_u1x8_uart0_noled_pr_ce },
 {   6727, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {   6728, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   6730, ur_m329_u1x8_uart0_noled_ee_hw },
 {   6732, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   6733, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   6734, ur_m329_u1x8_uart0_lednop },
 {   6735, ur_m329_u1x8_uart0_lednop },
 {   6736, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {   6737, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   6738, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   6739, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   6740, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   6741, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {   6742, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   6744, ur_m329_u1x8_uart0_lednop_ee_hw },
 {   6746, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   6747, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   6748, ur_m329_u1x8_uart0_dual },
 {   6749, ur_m329_u1x8_uart0_dual_pr },
 {   6750, ur_m329_u1x8_uart0_dual_pr },
 {   6751, ur_m329_u1x8_uart0_dual_pr_ee },
 {   6752, ur_m329_u1x8_uart0_dual_pr_ee },
 {   6753, ur_m329_u1x8_uart0_dual_pr_ce },
 {   6754, ur_m329_u1x8_uart0_dual_pr_ce },
 {   6755, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {   6756, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   6758, ur_m329_u1x8_uart0_dual_ee_hw },
 {   6760, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {   6761, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {   6930, ur_m329_u1x12_uart0_noled },
 {   6931, ur_m329_u1x12_uart0_noled },
 {   6932, ur_m329_u1x12_uart0_noled_pr_u4 },
 {   6933, ur_m329_u1x12_uart0_noled_pr_ee },
 {   6934, ur_m329_u1x12_uart0_noled_pr_ee },
 {   6935, ur_m329_u1x12_uart0_noled_pr_ce },
 {   6936, ur_m329_u1x12_uart0_noled_pr_ce },
 {   6937, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {   6938, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   6940, ur_m329_u1x12_uart0_noled_ee_hw },
 {   6942, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   6943, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   6944, ur_m329_u1x12_uart0_lednop },
 {   6945, ur_m329_u1x12_uart0_lednop },
 {   6946, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {   6947, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   6948, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   6949, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   6950, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   6951, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {   6952, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   6954, ur_m329_u1x12_uart0_lednop_ee_hw },
 {   6956, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   6957, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   6958, ur_m329_u1x12_uart0_dual },
 {   6959, ur_m329_u1x12_uart0_dual_pr },
 {   6960, ur_m329_u1x12_uart0_dual_pr },
 {   6961, ur_m329_u1x12_uart0_dual_pr_ee },
 {   6962, ur_m329_u1x12_uart0_dual_pr_ee },
 {   6963, ur_m329_u1x12_uart0_dual_pr_ce },
 {   6964, ur_m329_u1x12_uart0_dual_pr_ce },
 {   6965, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {   6966, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   6968, ur_m329_u1x12_uart0_dual_ee_hw },
 {   6970, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {   6971, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {   7140, ur_m329_u2x8_uart0_noled },
 {   7141, ur_m329_u2x8_uart0_noled },
 {   7142, ur_m329_u2x8_uart0_noled_pr_u4 },
 {   7143, ur_m329_u2x8_uart0_noled_pr_ee },
 {   7144, ur_m329_u2x8_uart0_noled_pr_ee },
 {   7145, ur_m329_u2x8_uart0_noled_pr_ce },
 {   7146, ur_m329_u2x8_uart0_noled_pr_ce },
 {   7147, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {   7148, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   7150, ur_m329_u2x8_uart0_noled_ee_hw },
 {   7152, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   7153, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   7154, ur_m329_u2x8_uart0_lednop },
 {   7155, ur_m329_u2x8_uart0_lednop },
 {   7156, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {   7157, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   7158, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   7159, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   7160, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   7161, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {   7162, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   7164, ur_m329_u2x8_uart0_lednop_ee_hw },
 {   7166, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   7167, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   7168, ur_m329_u2x8_uart0_dual },
 {   7169, ur_m329_u2x8_uart0_dual_pr },
 {   7170, ur_m329_u2x8_uart0_dual_pr },
 {   7171, ur_m329_u2x8_uart0_dual_pr_ee },
 {   7172, ur_m329_u2x8_uart0_dual_pr_ee },
 {   7173, ur_m329_u2x8_uart0_dual_pr_ce },
 {   7174, ur_m329_u2x8_uart0_dual_pr_ce },
 {   7175, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {   7176, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   7178, ur_m329_u2x8_uart0_dual_ee_hw },
 {   7180, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {   7181, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {   7350, ur_m329_u2x12_uart0_noled },
 {   7351, ur_m329_u2x12_uart0_noled },
 {   7352, ur_m329_u2x12_uart0_noled_pr_u4 },
 {   7353, ur_m329_u2x12_uart0_noled_pr_ee },
 {   7354, ur_m329_u2x12_uart0_noled_pr_ee },
 {   7355, ur_m329_u2x12_uart0_noled_pr_ce },
 {   7356, ur_m329_u2x12_uart0_noled_pr_ce },
 {   7357, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {   7358, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   7360, ur_m329_u2x12_uart0_noled_ee_hw },
 {   7362, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   7363, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   7364, ur_m329_u2x12_uart0_lednop },
 {   7365, ur_m329_u2x12_uart0_lednop },
 {   7366, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {   7367, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   7368, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   7369, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   7370, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   7371, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {   7372, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   7374, ur_m329_u2x12_uart0_lednop_ee_hw },
 {   7376, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   7377, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   7378, ur_m329_u2x12_uart0_dual },
 {   7379, ur_m329_u2x12_uart0_dual_pr },
 {   7380, ur_m329_u2x12_uart0_dual_pr },
 {   7381, ur_m329_u2x12_uart0_dual_pr_ee },
 {   7382, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {   7383, ur_m329_u2x12_uart0_dual_pr_ce },
 {   7384, ur_m329_u2x12_uart0_dual_pr_ce },
 {   7385, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {   7386, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   7388, ur_m329_u2x12_uart0_dual_ee_hw },
 {   7390, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {   7391, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {   7560, ur_m329_swio10_noled },
 {   7561, ur_m329_swio10_noled_pr },
 {   7562, ur_m329_swio10_noled_pr },
 {   7563, ur_m329_swio10_noled_pr_ee },
 {   7564, ur_m329_swio10_noled_pr_ee_u4 },
 {   7565, ur_m329_swio10_noled_pr_ce },
 {   7566, ur_m329_swio10_noled_pr_ce },
 {   7567, ur_m329_swio10_noled_pr_ee_ce },
 {   7568, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {   7570, ur_m329_swio10_noled_ee_hw },
 {   7572, ur_m329_swio10_noled_ee_ce_hw },
 {   7573, ur_m329_swio10_noled_ee_ce_hw },
 {   7574, ur_m329_swio10_lednop },
 {   7575, ur_m329_swio10_lednop_pr },
 {   7576, ur_m329_swio10_lednop_pr },
 {   7577, ur_m329_swio10_lednop_pr_ee },
 {   7578, ur_m329_swio10_lednop_pr_ee_u4 },
 {   7579, ur_m329_swio10_lednop_pr_ce },
 {   7580, ur_m329_swio10_lednop_pr_ce },
 {   7581, ur_m329_swio10_lednop_pr_ee_ce },
 {   7582, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {   7584, ur_m329_swio10_lednop_ee_hw },
 {   7586, ur_m329_swio10_lednop_ee_ce_hw },
 {   7587, ur_m329_swio10_lednop_ee_ce_hw },
 {   7588, ur_m329_swio10_dual },
 {   7589, ur_m329_swio10_dual },
 {   7590, ur_m329_swio10_dual },
 {   7591, ur_m329_swio10_dual_pr_ee },
 {   7592, ur_m329_swio10_dual_pr_ee_u4 },
 {   7593, ur_m329_swio10_dual_pr_ce },
 {   7594, ur_m329_swio10_dual_pr_ce_u4 },
 {   7595, ur_m329_swio10_dual_pr_ee_ce },
 {   7596, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {   7598, ur_m329_swio10_dual_ee_hw },
 {   7600, ur_m329_swio10_dual_ee_ce_hw },
 {   7601, ur_m329_swio10_dual_ee_ce_u4_hw },
 {   7602, ur_m329_swio11_noled },
 {   7603, ur_m329_swio11_noled_pr },
 {   7604, ur_m329_swio11_noled_pr },
 {   7605, ur_m329_swio11_noled_pr_ee },
 {   7606, ur_m329_swio11_noled_pr_ee_u4 },
 {   7607, ur_m329_swio11_noled_pr_ce },
 {   7608, ur_m329_swio11_noled_pr_ce },
 {   7609, ur_m329_swio11_noled_pr_ee_ce },
 {   7610, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   7612, ur_m329_swio11_noled_ee_hw },
 {   7614, ur_m329_swio11_noled_ee_ce_hw },
 {   7615, ur_m329_swio11_noled_ee_ce_hw },
 {   7616, ur_m329_swio11_lednop },
 {   7617, ur_m329_swio11_lednop_pr },
 {   7618, ur_m329_swio11_lednop_pr },
 {   7619, ur_m329_swio11_lednop_pr_ee },
 {   7620, ur_m329_swio11_lednop_pr_ee_u4 },
 {   7621, ur_m329_swio11_lednop_pr_ce },
 {   7622, ur_m329_swio11_lednop_pr_ce },
 {   7623, ur_m329_swio11_lednop_pr_ee_ce },
 {   7624, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   7626, ur_m329_swio11_lednop_ee_hw },
 {   7628, ur_m329_swio11_lednop_ee_ce_hw },
 {   7629, ur_m329_swio11_lednop_ee_ce_hw },
 {   7630, ur_m329_swio11_dual },
 {   7631, ur_m329_swio11_dual },
 {   7632, ur_m329_swio11_dual },
 {   7633, ur_m329_swio11_dual_pr_ee },
 {   7634, ur_m329_swio11_dual_pr_ee_u4 },
 {   7635, ur_m329_swio11_dual_pr_ce },
 {   7636, ur_m329_swio11_dual_pr_ce_u4 },
 {   7637, ur_m329_swio11_dual_pr_ee_ce },
 {   7638, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   7640, ur_m329_swio11_dual_ee_hw },
 {   7642, ur_m329_swio11_dual_ee_ce_hw },
 {   7643, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   7644, ur_m329_swio11_noled },
 {   7645, ur_m329_swio11_noled_pr },
 {   7646, ur_m329_swio11_noled_pr },
 {   7647, ur_m329_swio11_noled_pr_ee },
 {   7648, ur_m329_swio11_noled_pr_ee_u4 },
 {   7649, ur_m329_swio11_noled_pr_ce },
 {   7650, ur_m329_swio11_noled_pr_ce },
 {   7651, ur_m329_swio11_noled_pr_ee_ce },
 {   7652, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   7654, ur_m329_swio11_noled_ee_hw },
 {   7656, ur_m329_swio11_noled_ee_ce_hw },
 {   7657, ur_m329_swio11_noled_ee_ce_hw },
 {   7658, ur_m329_swio11_lednop },
 {   7659, ur_m329_swio11_lednop_pr },
 {   7660, ur_m329_swio11_lednop_pr },
 {   7661, ur_m329_swio11_lednop_pr_ee },
 {   7662, ur_m329_swio11_lednop_pr_ee_u4 },
 {   7663, ur_m329_swio11_lednop_pr_ce },
 {   7664, ur_m329_swio11_lednop_pr_ce },
 {   7665, ur_m329_swio11_lednop_pr_ee_ce },
 {   7666, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   7668, ur_m329_swio11_lednop_ee_hw },
 {   7670, ur_m329_swio11_lednop_ee_ce_hw },
 {   7671, ur_m329_swio11_lednop_ee_ce_hw },
 {   7672, ur_m329_swio11_dual },
 {   7673, ur_m329_swio11_dual },
 {   7674, ur_m329_swio11_dual },
 {   7675, ur_m329_swio11_dual_pr_ee },
 {   7676, ur_m329_swio11_dual_pr_ee_u4 },
 {   7677, ur_m329_swio11_dual_pr_ce },
 {   7678, ur_m329_swio11_dual_pr_ce_u4 },
 {   7679, ur_m329_swio11_dual_pr_ee_ce },
 {   7680, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   7682, ur_m329_swio11_dual_ee_hw },
 {   7684, ur_m329_swio11_dual_ee_ce_hw },
 {   7685, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   7686, ur_m329_swio13_noled },
 {   7687, ur_m329_swio13_noled_pr },
 {   7688, ur_m329_swio13_noled_pr },
 {   7689, ur_m329_swio13_noled_pr_ee },
 {   7690, ur_m329_swio13_noled_pr_ee_u4 },
 {   7691, ur_m329_swio13_noled_pr_ce },
 {   7692, ur_m329_swio13_noled_pr_ce },
 {   7693, ur_m329_swio13_noled_pr_ee_ce },
 {   7694, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {   7696, ur_m329_swio13_noled_ee_hw },
 {   7698, ur_m329_swio13_noled_ee_ce_hw },
 {   7699, ur_m329_swio13_noled_ee_ce_hw },
 {   7700, ur_m329_swio13_lednop },
 {   7701, ur_m329_swio13_lednop_pr },
 {   7702, ur_m329_swio13_lednop_pr },
 {   7703, ur_m329_swio13_lednop_pr_ee },
 {   7704, ur_m329_swio13_lednop_pr_ee_u4 },
 {   7705, ur_m329_swio13_lednop_pr_ce },
 {   7706, ur_m329_swio13_lednop_pr_ce_u4 },
 {   7707, ur_m329_swio13_lednop_pr_ee_ce },
 {   7708, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {   7710, ur_m329_swio13_lednop_ee_hw },
 {   7712, ur_m329_swio13_lednop_ee_ce_hw },
 {   7713, ur_m329_swio13_lednop_ee_ce_hw },
 {   7714, ur_m329_swio13_dual },
 {   7715, ur_m329_swio13_dual },
 {   7716, ur_m329_swio13_dual },
 {   7717, ur_m329_swio13_dual_pr_ee },
 {   7718, ur_m329_swio13_dual_pr_ee_u4 },
 {   7719, ur_m329_swio13_dual_pr_ce },
 {   7720, ur_m329_swio13_dual_pr_ce_u4 },
 {   7721, ur_m329_swio13_dual_pr_ee_ce },
 {   7722, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {   7724, ur_m329_swio13_dual_ee_hw },
 {   7726, ur_m329_swio13_dual_ee_ce_hw },
 {   7727, ur_m329_swio13_dual_ee_ce_u4_hw },
 {   7728, ur_m329_swio14_noled },
 {   7729, ur_m329_swio14_noled_pr },
 {   7730, ur_m329_swio14_noled_pr },
 {   7731, ur_m329_swio14_noled_pr_ee },
 {   7732, ur_m329_swio14_noled_pr_ee_u4 },
 {   7733, ur_m329_swio14_noled_pr_ce },
 {   7734, ur_m329_swio14_noled_pr_ce },
 {   7735, ur_m329_swio14_noled_pr_ee_ce },
 {   7736, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {   7738, ur_m329_swio14_noled_ee_hw },
 {   7740, ur_m329_swio14_noled_ee_ce_hw },
 {   7741, ur_m329_swio14_noled_ee_ce_hw },
 {   7742, ur_m329_swio14_lednop },
 {   7743, ur_m329_swio14_lednop_pr },
 {   7744, ur_m329_swio14_lednop_pr },
 {   7745, ur_m329_swio14_lednop_pr_ee },
 {   7746, ur_m329_swio14_lednop_pr_ee_u4 },
 {   7747, ur_m329_swio14_lednop_pr_ce },
 {   7748, ur_m329_swio14_lednop_pr_ce },
 {   7749, ur_m329_swio14_lednop_pr_ee_ce },
 {   7750, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {   7752, ur_m329_swio14_lednop_ee_hw },
 {   7754, ur_m329_swio14_lednop_ee_ce_hw },
 {   7755, ur_m329_swio14_lednop_ee_ce_hw },
 {   7756, ur_m329_swio14_dual },
 {   7757, ur_m329_swio14_dual },
 {   7758, ur_m329_swio14_dual },
 {   7759, ur_m329_swio14_dual_pr_ee },
 {   7760, ur_m329_swio14_dual_pr_ee_u4 },
 {   7761, ur_m329_swio14_dual_pr_ce },
 {   7762, ur_m329_swio14_dual_pr_ce_u4 },
 {   7763, ur_m329_swio14_dual_pr_ee_ce },
 {   7764, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {   7766, ur_m329_swio14_dual_ee_hw },
 {   7768, ur_m329_swio14_dual_ee_ce_hw },
 {   7769, ur_m329_swio14_dual_ee_ce_u4_hw },
 {   7770, ur_m329_swio15_noled },
 {   7771, ur_m329_swio15_noled_pr },
 {   7772, ur_m329_swio15_noled_pr },
 {   7773, ur_m329_swio15_noled_pr_ee },
 {   7774, ur_m329_swio15_noled_pr_ee_u4 },
 {   7775, ur_m329_swio15_noled_pr_ce },
 {   7776, ur_m329_swio15_noled_pr_ce },
 {   7777, ur_m329_swio15_noled_pr_ee_ce },
 {   7778, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {   7780, ur_m329_swio15_noled_ee_hw },
 {   7782, ur_m329_swio15_noled_ee_ce_hw },
 {   7783, ur_m329_swio15_noled_ee_ce_hw },
 {   7784, ur_m329_swio15_lednop },
 {   7785, ur_m329_swio15_lednop_pr },
 {   7786, ur_m329_swio15_lednop_pr },
 {   7787, ur_m329_swio15_lednop_pr_ee },
 {   7788, ur_m329_swio15_lednop_pr_ee_u4 },
 {   7789, ur_m329_swio15_lednop_pr_ce },
 {   7790, ur_m329_swio15_lednop_pr_ce_u4 },
 {   7791, ur_m329_swio15_lednop_pr_ee_ce },
 {   7792, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {   7794, ur_m329_swio15_lednop_ee_hw },
 {   7796, ur_m329_swio15_lednop_ee_ce_hw },
 {   7797, ur_m329_swio15_lednop_ee_ce_hw },
 {   7798, ur_m329_swio15_dual },
 {   7799, ur_m329_swio15_dual },
 {   7800, ur_m329_swio15_dual },
 {   7801, ur_m329_swio15_dual_pr_ee },
 {   7802, ur_m329_swio15_dual_pr_ee_u4 },
 {   7803, ur_m329_swio15_dual_pr_ce },
 {   7804, ur_m329_swio15_dual_pr_ce_u4 },
 {   7805, ur_m329_swio15_dual_pr_ee_ce },
 {   7806, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {   7808, ur_m329_swio15_dual_ee_hw },
 {   7810, ur_m329_swio15_dual_ee_ce_hw },
 {   7811, ur_m329_swio15_dual_ee_ce_u4_hw },
 {   7812, ur_m329_autobaud_uart0_noled },
 {   7813, ur_m329_autobaud_uart0_noled },
 {   7814, ur_m329_autobaud_uart0_noled_pr_u4 },
 {   7815, ur_m329_autobaud_uart0_noled_pr_ee },
 {   7816, ur_m329_autobaud_uart0_noled_pr_ee },
 {   7817, ur_m329_autobaud_uart0_noled_pr_ce },
 {   7818, ur_m329_autobaud_uart0_noled_pr_ce },
 {   7819, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {   7820, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   7822, ur_m329_autobaud_uart0_noled_ee_hw },
 {   7824, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   7825, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   7826, ur_m329_autobaud_uart0_lednop },
 {   7827, ur_m329_autobaud_uart0_lednop_pr },
 {   7828, ur_m329_autobaud_uart0_lednop_pr },
 {   7829, ur_m329_autobaud_uart0_lednop_pr_ee },
 {   7830, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {   7831, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   7832, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   7833, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {   7834, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   7836, ur_m329_autobaud_uart0_lednop_ee_hw },
 {   7838, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   7839, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   7840, ur_m329_autobaud_uart0_dual },
 {   7841, ur_m329_autobaud_uart0_dual },
 {   7842, ur_m329_autobaud_uart0_dual },
 {   7843, ur_m329_autobaud_uart0_dual_pr_ee },
 {   7844, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {   7845, ur_m329_autobaud_uart0_dual_pr_ce },
 {   7846, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {   7847, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {   7848, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   7850, ur_m329_autobaud_uart0_dual_ee_hw },
 {   7852, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {   7853, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {   8022, ur_m329_u1x8_uart0_noled },
 {   8023, ur_m329_u1x8_uart0_noled },
 {   8024, ur_m329_u1x8_uart0_noled_pr_u4 },
 {   8025, ur_m329_u1x8_uart0_noled_pr_ee },
 {   8026, ur_m329_u1x8_uart0_noled_pr_ee },
 {   8027, ur_m329_u1x8_uart0_noled_pr_ce },
 {   8028, ur_m329_u1x8_uart0_noled_pr_ce },
 {   8029, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {   8030, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   8032, ur_m329_u1x8_uart0_noled_ee_hw },
 {   8034, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   8035, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   8036, ur_m329_u1x8_uart0_lednop },
 {   8037, ur_m329_u1x8_uart0_lednop },
 {   8038, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {   8039, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   8040, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   8041, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   8042, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   8043, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {   8044, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   8046, ur_m329_u1x8_uart0_lednop_ee_hw },
 {   8048, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   8049, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   8050, ur_m329_u1x8_uart0_dual },
 {   8051, ur_m329_u1x8_uart0_dual_pr },
 {   8052, ur_m329_u1x8_uart0_dual_pr },
 {   8053, ur_m329_u1x8_uart0_dual_pr_ee },
 {   8054, ur_m329_u1x8_uart0_dual_pr_ee },
 {   8055, ur_m329_u1x8_uart0_dual_pr_ce },
 {   8056, ur_m329_u1x8_uart0_dual_pr_ce },
 {   8057, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {   8058, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   8060, ur_m329_u1x8_uart0_dual_ee_hw },
 {   8062, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {   8063, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {   8232, ur_m329_u1x12_uart0_noled },
 {   8233, ur_m329_u1x12_uart0_noled },
 {   8234, ur_m329_u1x12_uart0_noled_pr_u4 },
 {   8235, ur_m329_u1x12_uart0_noled_pr_ee },
 {   8236, ur_m329_u1x12_uart0_noled_pr_ee },
 {   8237, ur_m329_u1x12_uart0_noled_pr_ce },
 {   8238, ur_m329_u1x12_uart0_noled_pr_ce },
 {   8239, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {   8240, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   8242, ur_m329_u1x12_uart0_noled_ee_hw },
 {   8244, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   8245, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   8246, ur_m329_u1x12_uart0_lednop },
 {   8247, ur_m329_u1x12_uart0_lednop },
 {   8248, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {   8249, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   8250, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   8251, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   8252, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   8253, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {   8254, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   8256, ur_m329_u1x12_uart0_lednop_ee_hw },
 {   8258, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   8259, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   8260, ur_m329_u1x12_uart0_dual },
 {   8261, ur_m329_u1x12_uart0_dual_pr },
 {   8262, ur_m329_u1x12_uart0_dual_pr },
 {   8263, ur_m329_u1x12_uart0_dual_pr_ee },
 {   8264, ur_m329_u1x12_uart0_dual_pr_ee },
 {   8265, ur_m329_u1x12_uart0_dual_pr_ce },
 {   8266, ur_m329_u1x12_uart0_dual_pr_ce },
 {   8267, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {   8268, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   8270, ur_m329_u1x12_uart0_dual_ee_hw },
 {   8272, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {   8273, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {   8442, ur_m329_u2x8_uart0_noled },
 {   8443, ur_m329_u2x8_uart0_noled },
 {   8444, ur_m329_u2x8_uart0_noled_pr_u4 },
 {   8445, ur_m329_u2x8_uart0_noled_pr_ee },
 {   8446, ur_m329_u2x8_uart0_noled_pr_ee },
 {   8447, ur_m329_u2x8_uart0_noled_pr_ce },
 {   8448, ur_m329_u2x8_uart0_noled_pr_ce },
 {   8449, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {   8450, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   8452, ur_m329_u2x8_uart0_noled_ee_hw },
 {   8454, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   8455, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   8456, ur_m329_u2x8_uart0_lednop },
 {   8457, ur_m329_u2x8_uart0_lednop },
 {   8458, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {   8459, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   8460, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   8461, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   8462, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   8463, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {   8464, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   8466, ur_m329_u2x8_uart0_lednop_ee_hw },
 {   8468, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   8469, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   8470, ur_m329_u2x8_uart0_dual },
 {   8471, ur_m329_u2x8_uart0_dual_pr },
 {   8472, ur_m329_u2x8_uart0_dual_pr },
 {   8473, ur_m329_u2x8_uart0_dual_pr_ee },
 {   8474, ur_m329_u2x8_uart0_dual_pr_ee },
 {   8475, ur_m329_u2x8_uart0_dual_pr_ce },
 {   8476, ur_m329_u2x8_uart0_dual_pr_ce },
 {   8477, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {   8478, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   8480, ur_m329_u2x8_uart0_dual_ee_hw },
 {   8482, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {   8483, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {   8652, ur_m329_u2x12_uart0_noled },
 {   8653, ur_m329_u2x12_uart0_noled },
 {   8654, ur_m329_u2x12_uart0_noled_pr_u4 },
 {   8655, ur_m329_u2x12_uart0_noled_pr_ee },
 {   8656, ur_m329_u2x12_uart0_noled_pr_ee },
 {   8657, ur_m329_u2x12_uart0_noled_pr_ce },
 {   8658, ur_m329_u2x12_uart0_noled_pr_ce },
 {   8659, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {   8660, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   8662, ur_m329_u2x12_uart0_noled_ee_hw },
 {   8664, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   8665, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   8666, ur_m329_u2x12_uart0_lednop },
 {   8667, ur_m329_u2x12_uart0_lednop },
 {   8668, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {   8669, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   8670, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   8671, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   8672, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   8673, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {   8674, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   8676, ur_m329_u2x12_uart0_lednop_ee_hw },
 {   8678, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   8679, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   8680, ur_m329_u2x12_uart0_dual },
 {   8681, ur_m329_u2x12_uart0_dual_pr },
 {   8682, ur_m329_u2x12_uart0_dual_pr },
 {   8683, ur_m329_u2x12_uart0_dual_pr_ee },
 {   8684, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {   8685, ur_m329_u2x12_uart0_dual_pr_ce },
 {   8686, ur_m329_u2x12_uart0_dual_pr_ce },
 {   8687, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {   8688, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   8690, ur_m329_u2x12_uart0_dual_ee_hw },
 {   8692, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {   8693, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {   8862, ur_m329_swio10_noled },
 {   8863, ur_m329_swio10_noled_pr },
 {   8864, ur_m329_swio10_noled_pr },
 {   8865, ur_m329_swio10_noled_pr_ee },
 {   8866, ur_m329_swio10_noled_pr_ee_u4 },
 {   8867, ur_m329_swio10_noled_pr_ce },
 {   8868, ur_m329_swio10_noled_pr_ce },
 {   8869, ur_m329_swio10_noled_pr_ee_ce },
 {   8870, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {   8872, ur_m329_swio10_noled_ee_hw },
 {   8874, ur_m329_swio10_noled_ee_ce_hw },
 {   8875, ur_m329_swio10_noled_ee_ce_hw },
 {   8876, ur_m329_swio10_lednop },
 {   8877, ur_m329_swio10_lednop_pr },
 {   8878, ur_m329_swio10_lednop_pr },
 {   8879, ur_m329_swio10_lednop_pr_ee },
 {   8880, ur_m329_swio10_lednop_pr_ee_u4 },
 {   8881, ur_m329_swio10_lednop_pr_ce },
 {   8882, ur_m329_swio10_lednop_pr_ce },
 {   8883, ur_m329_swio10_lednop_pr_ee_ce },
 {   8884, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {   8886, ur_m329_swio10_lednop_ee_hw },
 {   8888, ur_m329_swio10_lednop_ee_ce_hw },
 {   8889, ur_m329_swio10_lednop_ee_ce_hw },
 {   8890, ur_m329_swio10_dual },
 {   8891, ur_m329_swio10_dual },
 {   8892, ur_m329_swio10_dual },
 {   8893, ur_m329_swio10_dual_pr_ee },
 {   8894, ur_m329_swio10_dual_pr_ee_u4 },
 {   8895, ur_m329_swio10_dual_pr_ce },
 {   8896, ur_m329_swio10_dual_pr_ce_u4 },
 {   8897, ur_m329_swio10_dual_pr_ee_ce },
 {   8898, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {   8900, ur_m329_swio10_dual_ee_hw },
 {   8902, ur_m329_swio10_dual_ee_ce_hw },
 {   8903, ur_m329_swio10_dual_ee_ce_u4_hw },
 {   8904, ur_m329_swio11_noled },
 {   8905, ur_m329_swio11_noled_pr },
 {   8906, ur_m329_swio11_noled_pr },
 {   8907, ur_m329_swio11_noled_pr_ee },
 {   8908, ur_m329_swio11_noled_pr_ee_u4 },
 {   8909, ur_m329_swio11_noled_pr_ce },
 {   8910, ur_m329_swio11_noled_pr_ce },
 {   8911, ur_m329_swio11_noled_pr_ee_ce },
 {   8912, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   8914, ur_m329_swio11_noled_ee_hw },
 {   8916, ur_m329_swio11_noled_ee_ce_hw },
 {   8917, ur_m329_swio11_noled_ee_ce_hw },
 {   8918, ur_m329_swio11_lednop },
 {   8919, ur_m329_swio11_lednop_pr },
 {   8920, ur_m329_swio11_lednop_pr },
 {   8921, ur_m329_swio11_lednop_pr_ee },
 {   8922, ur_m329_swio11_lednop_pr_ee_u4 },
 {   8923, ur_m329_swio11_lednop_pr_ce },
 {   8924, ur_m329_swio11_lednop_pr_ce },
 {   8925, ur_m329_swio11_lednop_pr_ee_ce },
 {   8926, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   8928, ur_m329_swio11_lednop_ee_hw },
 {   8930, ur_m329_swio11_lednop_ee_ce_hw },
 {   8931, ur_m329_swio11_lednop_ee_ce_hw },
 {   8932, ur_m329_swio11_dual },
 {   8933, ur_m329_swio11_dual },
 {   8934, ur_m329_swio11_dual },
 {   8935, ur_m329_swio11_dual_pr_ee },
 {   8936, ur_m329_swio11_dual_pr_ee_u4 },
 {   8937, ur_m329_swio11_dual_pr_ce },
 {   8938, ur_m329_swio11_dual_pr_ce_u4 },
 {   8939, ur_m329_swio11_dual_pr_ee_ce },
 {   8940, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   8942, ur_m329_swio11_dual_ee_hw },
 {   8944, ur_m329_swio11_dual_ee_ce_hw },
 {   8945, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   8946, ur_m329_swio11_noled },
 {   8947, ur_m329_swio11_noled_pr },
 {   8948, ur_m329_swio11_noled_pr },
 {   8949, ur_m329_swio11_noled_pr_ee },
 {   8950, ur_m329_swio11_noled_pr_ee_u4 },
 {   8951, ur_m329_swio11_noled_pr_ce },
 {   8952, ur_m329_swio11_noled_pr_ce },
 {   8953, ur_m329_swio11_noled_pr_ee_ce },
 {   8954, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {   8956, ur_m329_swio11_noled_ee_hw },
 {   8958, ur_m329_swio11_noled_ee_ce_hw },
 {   8959, ur_m329_swio11_noled_ee_ce_hw },
 {   8960, ur_m329_swio11_lednop },
 {   8961, ur_m329_swio11_lednop_pr },
 {   8962, ur_m329_swio11_lednop_pr },
 {   8963, ur_m329_swio11_lednop_pr_ee },
 {   8964, ur_m329_swio11_lednop_pr_ee_u4 },
 {   8965, ur_m329_swio11_lednop_pr_ce },
 {   8966, ur_m329_swio11_lednop_pr_ce },
 {   8967, ur_m329_swio11_lednop_pr_ee_ce },
 {   8968, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {   8970, ur_m329_swio11_lednop_ee_hw },
 {   8972, ur_m329_swio11_lednop_ee_ce_hw },
 {   8973, ur_m329_swio11_lednop_ee_ce_hw },
 {   8974, ur_m329_swio11_dual },
 {   8975, ur_m329_swio11_dual },
 {   8976, ur_m329_swio11_dual },
 {   8977, ur_m329_swio11_dual_pr_ee },
 {   8978, ur_m329_swio11_dual_pr_ee_u4 },
 {   8979, ur_m329_swio11_dual_pr_ce },
 {   8980, ur_m329_swio11_dual_pr_ce_u4 },
 {   8981, ur_m329_swio11_dual_pr_ee_ce },
 {   8982, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {   8984, ur_m329_swio11_dual_ee_hw },
 {   8986, ur_m329_swio11_dual_ee_ce_hw },
 {   8987, ur_m329_swio11_dual_ee_ce_u4_hw },
 {   8988, ur_m329_swio13_noled },
 {   8989, ur_m329_swio13_noled_pr },
 {   8990, ur_m329_swio13_noled_pr },
 {   8991, ur_m329_swio13_noled_pr_ee },
 {   8992, ur_m329_swio13_noled_pr_ee_u4 },
 {   8993, ur_m329_swio13_noled_pr_ce },
 {   8994, ur_m329_swio13_noled_pr_ce },
 {   8995, ur_m329_swio13_noled_pr_ee_ce },
 {   8996, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {   8998, ur_m329_swio13_noled_ee_hw },
 {   9000, ur_m329_swio13_noled_ee_ce_hw },
 {   9001, ur_m329_swio13_noled_ee_ce_hw },
 {   9002, ur_m329_swio13_lednop },
 {   9003, ur_m329_swio13_lednop_pr },
 {   9004, ur_m329_swio13_lednop_pr },
 {   9005, ur_m329_swio13_lednop_pr_ee },
 {   9006, ur_m329_swio13_lednop_pr_ee_u4 },
 {   9007, ur_m329_swio13_lednop_pr_ce },
 {   9008, ur_m329_swio13_lednop_pr_ce_u4 },
 {   9009, ur_m329_swio13_lednop_pr_ee_ce },
 {   9010, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {   9012, ur_m329_swio13_lednop_ee_hw },
 {   9014, ur_m329_swio13_lednop_ee_ce_hw },
 {   9015, ur_m329_swio13_lednop_ee_ce_hw },
 {   9016, ur_m329_swio13_dual },
 {   9017, ur_m329_swio13_dual },
 {   9018, ur_m329_swio13_dual },
 {   9019, ur_m329_swio13_dual_pr_ee },
 {   9020, ur_m329_swio13_dual_pr_ee_u4 },
 {   9021, ur_m329_swio13_dual_pr_ce },
 {   9022, ur_m329_swio13_dual_pr_ce_u4 },
 {   9023, ur_m329_swio13_dual_pr_ee_ce },
 {   9024, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {   9026, ur_m329_swio13_dual_ee_hw },
 {   9028, ur_m329_swio13_dual_ee_ce_hw },
 {   9029, ur_m329_swio13_dual_ee_ce_u4_hw },
 {   9030, ur_m329_swio14_noled },
 {   9031, ur_m329_swio14_noled_pr },
 {   9032, ur_m329_swio14_noled_pr },
 {   9033, ur_m329_swio14_noled_pr_ee },
 {   9034, ur_m329_swio14_noled_pr_ee_u4 },
 {   9035, ur_m329_swio14_noled_pr_ce },
 {   9036, ur_m329_swio14_noled_pr_ce },
 {   9037, ur_m329_swio14_noled_pr_ee_ce },
 {   9038, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {   9040, ur_m329_swio14_noled_ee_hw },
 {   9042, ur_m329_swio14_noled_ee_ce_hw },
 {   9043, ur_m329_swio14_noled_ee_ce_hw },
 {   9044, ur_m329_swio14_lednop },
 {   9045, ur_m329_swio14_lednop_pr },
 {   9046, ur_m329_swio14_lednop_pr },
 {   9047, ur_m329_swio14_lednop_pr_ee },
 {   9048, ur_m329_swio14_lednop_pr_ee_u4 },
 {   9049, ur_m329_swio14_lednop_pr_ce },
 {   9050, ur_m329_swio14_lednop_pr_ce },
 {   9051, ur_m329_swio14_lednop_pr_ee_ce },
 {   9052, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {   9054, ur_m329_swio14_lednop_ee_hw },
 {   9056, ur_m329_swio14_lednop_ee_ce_hw },
 {   9057, ur_m329_swio14_lednop_ee_ce_hw },
 {   9058, ur_m329_swio14_dual },
 {   9059, ur_m329_swio14_dual },
 {   9060, ur_m329_swio14_dual },
 {   9061, ur_m329_swio14_dual_pr_ee },
 {   9062, ur_m329_swio14_dual_pr_ee_u4 },
 {   9063, ur_m329_swio14_dual_pr_ce },
 {   9064, ur_m329_swio14_dual_pr_ce_u4 },
 {   9065, ur_m329_swio14_dual_pr_ee_ce },
 {   9066, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {   9068, ur_m329_swio14_dual_ee_hw },
 {   9070, ur_m329_swio14_dual_ee_ce_hw },
 {   9071, ur_m329_swio14_dual_ee_ce_u4_hw },
 {   9072, ur_m329_swio15_noled },
 {   9073, ur_m329_swio15_noled_pr },
 {   9074, ur_m329_swio15_noled_pr },
 {   9075, ur_m329_swio15_noled_pr_ee },
 {   9076, ur_m329_swio15_noled_pr_ee_u4 },
 {   9077, ur_m329_swio15_noled_pr_ce },
 {   9078, ur_m329_swio15_noled_pr_ce },
 {   9079, ur_m329_swio15_noled_pr_ee_ce },
 {   9080, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {   9082, ur_m329_swio15_noled_ee_hw },
 {   9084, ur_m329_swio15_noled_ee_ce_hw },
 {   9085, ur_m329_swio15_noled_ee_ce_hw },
 {   9086, ur_m329_swio15_lednop },
 {   9087, ur_m329_swio15_lednop_pr },
 {   9088, ur_m329_swio15_lednop_pr },
 {   9089, ur_m329_swio15_lednop_pr_ee },
 {   9090, ur_m329_swio15_lednop_pr_ee_u4 },
 {   9091, ur_m329_swio15_lednop_pr_ce },
 {   9092, ur_m329_swio15_lednop_pr_ce_u4 },
 {   9093, ur_m329_swio15_lednop_pr_ee_ce },
 {   9094, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {   9096, ur_m329_swio15_lednop_ee_hw },
 {   9098, ur_m329_swio15_lednop_ee_ce_hw },
 {   9099, ur_m329_swio15_lednop_ee_ce_hw },
 {   9100, ur_m329_swio15_dual },
 {   9101, ur_m329_swio15_dual },
 {   9102, ur_m329_swio15_dual },
 {   9103, ur_m329_swio15_dual_pr_ee },
 {   9104, ur_m329_swio15_dual_pr_ee_u4 },
 {   9105, ur_m329_swio15_dual_pr_ce },
 {   9106, ur_m329_swio15_dual_pr_ce_u4 },
 {   9107, ur_m329_swio15_dual_pr_ee_ce },
 {   9108, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {   9110, ur_m329_swio15_dual_ee_hw },
 {   9112, ur_m329_swio15_dual_ee_ce_hw },
 {   9113, ur_m329_swio15_dual_ee_ce_u4_hw },
 {   9114, ur_m329_autobaud_uart0_noled },
 {   9115, ur_m329_autobaud_uart0_noled },
 {   9116, ur_m329_autobaud_uart0_noled_pr_u4 },
 {   9117, ur_m329_autobaud_uart0_noled_pr_ee },
 {   9118, ur_m329_autobaud_uart0_noled_pr_ee },
 {   9119, ur_m329_autobaud_uart0_noled_pr_ce },
 {   9120, ur_m329_autobaud_uart0_noled_pr_ce },
 {   9121, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {   9122, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {   9124, ur_m329_autobaud_uart0_noled_ee_hw },
 {   9126, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   9127, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {   9128, ur_m329_autobaud_uart0_lednop },
 {   9129, ur_m329_autobaud_uart0_lednop_pr },
 {   9130, ur_m329_autobaud_uart0_lednop_pr },
 {   9131, ur_m329_autobaud_uart0_lednop_pr_ee },
 {   9132, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {   9133, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   9134, ur_m329_autobaud_uart0_lednop_pr_ce },
 {   9135, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {   9136, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {   9138, ur_m329_autobaud_uart0_lednop_ee_hw },
 {   9140, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   9141, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {   9142, ur_m329_autobaud_uart0_dual },
 {   9143, ur_m329_autobaud_uart0_dual },
 {   9144, ur_m329_autobaud_uart0_dual },
 {   9145, ur_m329_autobaud_uart0_dual_pr_ee },
 {   9146, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {   9147, ur_m329_autobaud_uart0_dual_pr_ce },
 {   9148, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {   9149, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {   9150, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {   9152, ur_m329_autobaud_uart0_dual_ee_hw },
 {   9154, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {   9155, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {   9324, ur_m329_u1x8_uart0_noled },
 {   9325, ur_m329_u1x8_uart0_noled },
 {   9326, ur_m329_u1x8_uart0_noled_pr_u4 },
 {   9327, ur_m329_u1x8_uart0_noled_pr_ee },
 {   9328, ur_m329_u1x8_uart0_noled_pr_ee },
 {   9329, ur_m329_u1x8_uart0_noled_pr_ce },
 {   9330, ur_m329_u1x8_uart0_noled_pr_ce },
 {   9331, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {   9332, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {   9334, ur_m329_u1x8_uart0_noled_ee_hw },
 {   9336, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   9337, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {   9338, ur_m329_u1x8_uart0_lednop },
 {   9339, ur_m329_u1x8_uart0_lednop },
 {   9340, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {   9341, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   9342, ur_m329_u1x8_uart0_lednop_pr_ee },
 {   9343, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   9344, ur_m329_u1x8_uart0_lednop_pr_ce },
 {   9345, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {   9346, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {   9348, ur_m329_u1x8_uart0_lednop_ee_hw },
 {   9350, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   9351, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {   9352, ur_m329_u1x8_uart0_dual },
 {   9353, ur_m329_u1x8_uart0_dual_pr },
 {   9354, ur_m329_u1x8_uart0_dual_pr },
 {   9355, ur_m329_u1x8_uart0_dual_pr_ee },
 {   9356, ur_m329_u1x8_uart0_dual_pr_ee },
 {   9357, ur_m329_u1x8_uart0_dual_pr_ce },
 {   9358, ur_m329_u1x8_uart0_dual_pr_ce },
 {   9359, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {   9360, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {   9362, ur_m329_u1x8_uart0_dual_ee_hw },
 {   9364, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {   9365, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {   9534, ur_m329_u1x12_uart0_noled },
 {   9535, ur_m329_u1x12_uart0_noled },
 {   9536, ur_m329_u1x12_uart0_noled_pr_u4 },
 {   9537, ur_m329_u1x12_uart0_noled_pr_ee },
 {   9538, ur_m329_u1x12_uart0_noled_pr_ee },
 {   9539, ur_m329_u1x12_uart0_noled_pr_ce },
 {   9540, ur_m329_u1x12_uart0_noled_pr_ce },
 {   9541, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {   9542, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {   9544, ur_m329_u1x12_uart0_noled_ee_hw },
 {   9546, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   9547, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {   9548, ur_m329_u1x12_uart0_lednop },
 {   9549, ur_m329_u1x12_uart0_lednop },
 {   9550, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {   9551, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   9552, ur_m329_u1x12_uart0_lednop_pr_ee },
 {   9553, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   9554, ur_m329_u1x12_uart0_lednop_pr_ce },
 {   9555, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {   9556, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {   9558, ur_m329_u1x12_uart0_lednop_ee_hw },
 {   9560, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   9561, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {   9562, ur_m329_u1x12_uart0_dual },
 {   9563, ur_m329_u1x12_uart0_dual_pr },
 {   9564, ur_m329_u1x12_uart0_dual_pr },
 {   9565, ur_m329_u1x12_uart0_dual_pr_ee },
 {   9566, ur_m329_u1x12_uart0_dual_pr_ee },
 {   9567, ur_m329_u1x12_uart0_dual_pr_ce },
 {   9568, ur_m329_u1x12_uart0_dual_pr_ce },
 {   9569, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {   9570, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {   9572, ur_m329_u1x12_uart0_dual_ee_hw },
 {   9574, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {   9575, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {   9744, ur_m329_u2x8_uart0_noled },
 {   9745, ur_m329_u2x8_uart0_noled },
 {   9746, ur_m329_u2x8_uart0_noled_pr_u4 },
 {   9747, ur_m329_u2x8_uart0_noled_pr_ee },
 {   9748, ur_m329_u2x8_uart0_noled_pr_ee },
 {   9749, ur_m329_u2x8_uart0_noled_pr_ce },
 {   9750, ur_m329_u2x8_uart0_noled_pr_ce },
 {   9751, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {   9752, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {   9754, ur_m329_u2x8_uart0_noled_ee_hw },
 {   9756, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   9757, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {   9758, ur_m329_u2x8_uart0_lednop },
 {   9759, ur_m329_u2x8_uart0_lednop },
 {   9760, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {   9761, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   9762, ur_m329_u2x8_uart0_lednop_pr_ee },
 {   9763, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   9764, ur_m329_u2x8_uart0_lednop_pr_ce },
 {   9765, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {   9766, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {   9768, ur_m329_u2x8_uart0_lednop_ee_hw },
 {   9770, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   9771, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {   9772, ur_m329_u2x8_uart0_dual },
 {   9773, ur_m329_u2x8_uart0_dual_pr },
 {   9774, ur_m329_u2x8_uart0_dual_pr },
 {   9775, ur_m329_u2x8_uart0_dual_pr_ee },
 {   9776, ur_m329_u2x8_uart0_dual_pr_ee },
 {   9777, ur_m329_u2x8_uart0_dual_pr_ce },
 {   9778, ur_m329_u2x8_uart0_dual_pr_ce },
 {   9779, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {   9780, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {   9782, ur_m329_u2x8_uart0_dual_ee_hw },
 {   9784, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {   9785, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {   9954, ur_m329_u2x12_uart0_noled },
 {   9955, ur_m329_u2x12_uart0_noled },
 {   9956, ur_m329_u2x12_uart0_noled_pr_u4 },
 {   9957, ur_m329_u2x12_uart0_noled_pr_ee },
 {   9958, ur_m329_u2x12_uart0_noled_pr_ee },
 {   9959, ur_m329_u2x12_uart0_noled_pr_ce },
 {   9960, ur_m329_u2x12_uart0_noled_pr_ce },
 {   9961, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {   9962, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {   9964, ur_m329_u2x12_uart0_noled_ee_hw },
 {   9966, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   9967, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {   9968, ur_m329_u2x12_uart0_lednop },
 {   9969, ur_m329_u2x12_uart0_lednop },
 {   9970, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {   9971, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   9972, ur_m329_u2x12_uart0_lednop_pr_ee },
 {   9973, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   9974, ur_m329_u2x12_uart0_lednop_pr_ce },
 {   9975, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {   9976, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {   9978, ur_m329_u2x12_uart0_lednop_ee_hw },
 {   9980, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   9981, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {   9982, ur_m329_u2x12_uart0_dual },
 {   9983, ur_m329_u2x12_uart0_dual_pr },
 {   9984, ur_m329_u2x12_uart0_dual_pr },
 {   9985, ur_m329_u2x12_uart0_dual_pr_ee },
 {   9986, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {   9987, ur_m329_u2x12_uart0_dual_pr_ce },
 {   9988, ur_m329_u2x12_uart0_dual_pr_ce },
 {   9989, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {   9990, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {   9992, ur_m329_u2x12_uart0_dual_ee_hw },
 {   9994, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {   9995, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  10164, ur_m329_swio10_noled },
 {  10165, ur_m329_swio10_noled_pr },
 {  10166, ur_m329_swio10_noled_pr },
 {  10167, ur_m329_swio10_noled_pr_ee },
 {  10168, ur_m329_swio10_noled_pr_ee_u4 },
 {  10169, ur_m329_swio10_noled_pr_ce },
 {  10170, ur_m329_swio10_noled_pr_ce },
 {  10171, ur_m329_swio10_noled_pr_ee_ce },
 {  10172, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  10174, ur_m329_swio10_noled_ee_hw },
 {  10176, ur_m329_swio10_noled_ee_ce_hw },
 {  10177, ur_m329_swio10_noled_ee_ce_hw },
 {  10178, ur_m329_swio10_lednop },
 {  10179, ur_m329_swio10_lednop_pr },
 {  10180, ur_m329_swio10_lednop_pr },
 {  10181, ur_m329_swio10_lednop_pr_ee },
 {  10182, ur_m329_swio10_lednop_pr_ee_u4 },
 {  10183, ur_m329_swio10_lednop_pr_ce },
 {  10184, ur_m329_swio10_lednop_pr_ce },
 {  10185, ur_m329_swio10_lednop_pr_ee_ce },
 {  10186, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  10188, ur_m329_swio10_lednop_ee_hw },
 {  10190, ur_m329_swio10_lednop_ee_ce_hw },
 {  10191, ur_m329_swio10_lednop_ee_ce_hw },
 {  10192, ur_m329_swio10_dual },
 {  10193, ur_m329_swio10_dual },
 {  10194, ur_m329_swio10_dual },
 {  10195, ur_m329_swio10_dual_pr_ee },
 {  10196, ur_m329_swio10_dual_pr_ee_u4 },
 {  10197, ur_m329_swio10_dual_pr_ce },
 {  10198, ur_m329_swio10_dual_pr_ce_u4 },
 {  10199, ur_m329_swio10_dual_pr_ee_ce },
 {  10200, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  10202, ur_m329_swio10_dual_ee_hw },
 {  10204, ur_m329_swio10_dual_ee_ce_hw },
 {  10205, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  10206, ur_m329_swio11_noled },
 {  10207, ur_m329_swio11_noled_pr },
 {  10208, ur_m329_swio11_noled_pr },
 {  10209, ur_m329_swio11_noled_pr_ee },
 {  10210, ur_m329_swio11_noled_pr_ee_u4 },
 {  10211, ur_m329_swio11_noled_pr_ce },
 {  10212, ur_m329_swio11_noled_pr_ce },
 {  10213, ur_m329_swio11_noled_pr_ee_ce },
 {  10214, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  10216, ur_m329_swio11_noled_ee_hw },
 {  10218, ur_m329_swio11_noled_ee_ce_hw },
 {  10219, ur_m329_swio11_noled_ee_ce_hw },
 {  10220, ur_m329_swio11_lednop },
 {  10221, ur_m329_swio11_lednop_pr },
 {  10222, ur_m329_swio11_lednop_pr },
 {  10223, ur_m329_swio11_lednop_pr_ee },
 {  10224, ur_m329_swio11_lednop_pr_ee_u4 },
 {  10225, ur_m329_swio11_lednop_pr_ce },
 {  10226, ur_m329_swio11_lednop_pr_ce },
 {  10227, ur_m329_swio11_lednop_pr_ee_ce },
 {  10228, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  10230, ur_m329_swio11_lednop_ee_hw },
 {  10232, ur_m329_swio11_lednop_ee_ce_hw },
 {  10233, ur_m329_swio11_lednop_ee_ce_hw },
 {  10234, ur_m329_swio11_dual },
 {  10235, ur_m329_swio11_dual },
 {  10236, ur_m329_swio11_dual },
 {  10237, ur_m329_swio11_dual_pr_ee },
 {  10238, ur_m329_swio11_dual_pr_ee_u4 },
 {  10239, ur_m329_swio11_dual_pr_ce },
 {  10240, ur_m329_swio11_dual_pr_ce_u4 },
 {  10241, ur_m329_swio11_dual_pr_ee_ce },
 {  10242, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  10244, ur_m329_swio11_dual_ee_hw },
 {  10246, ur_m329_swio11_dual_ee_ce_hw },
 {  10247, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  10248, ur_m329_swio11_noled },
 {  10249, ur_m329_swio11_noled_pr },
 {  10250, ur_m329_swio11_noled_pr },
 {  10251, ur_m329_swio11_noled_pr_ee },
 {  10252, ur_m329_swio11_noled_pr_ee_u4 },
 {  10253, ur_m329_swio11_noled_pr_ce },
 {  10254, ur_m329_swio11_noled_pr_ce },
 {  10255, ur_m329_swio11_noled_pr_ee_ce },
 {  10256, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  10258, ur_m329_swio11_noled_ee_hw },
 {  10260, ur_m329_swio11_noled_ee_ce_hw },
 {  10261, ur_m329_swio11_noled_ee_ce_hw },
 {  10262, ur_m329_swio11_lednop },
 {  10263, ur_m329_swio11_lednop_pr },
 {  10264, ur_m329_swio11_lednop_pr },
 {  10265, ur_m329_swio11_lednop_pr_ee },
 {  10266, ur_m329_swio11_lednop_pr_ee_u4 },
 {  10267, ur_m329_swio11_lednop_pr_ce },
 {  10268, ur_m329_swio11_lednop_pr_ce },
 {  10269, ur_m329_swio11_lednop_pr_ee_ce },
 {  10270, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  10272, ur_m329_swio11_lednop_ee_hw },
 {  10274, ur_m329_swio11_lednop_ee_ce_hw },
 {  10275, ur_m329_swio11_lednop_ee_ce_hw },
 {  10276, ur_m329_swio11_dual },
 {  10277, ur_m329_swio11_dual },
 {  10278, ur_m329_swio11_dual },
 {  10279, ur_m329_swio11_dual_pr_ee },
 {  10280, ur_m329_swio11_dual_pr_ee_u4 },
 {  10281, ur_m329_swio11_dual_pr_ce },
 {  10282, ur_m329_swio11_dual_pr_ce_u4 },
 {  10283, ur_m329_swio11_dual_pr_ee_ce },
 {  10284, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  10286, ur_m329_swio11_dual_ee_hw },
 {  10288, ur_m329_swio11_dual_ee_ce_hw },
 {  10289, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  10290, ur_m329_swio13_noled },
 {  10291, ur_m329_swio13_noled_pr },
 {  10292, ur_m329_swio13_noled_pr },
 {  10293, ur_m329_swio13_noled_pr_ee },
 {  10294, ur_m329_swio13_noled_pr_ee_u4 },
 {  10295, ur_m329_swio13_noled_pr_ce },
 {  10296, ur_m329_swio13_noled_pr_ce },
 {  10297, ur_m329_swio13_noled_pr_ee_ce },
 {  10298, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  10300, ur_m329_swio13_noled_ee_hw },
 {  10302, ur_m329_swio13_noled_ee_ce_hw },
 {  10303, ur_m329_swio13_noled_ee_ce_hw },
 {  10304, ur_m329_swio13_lednop },
 {  10305, ur_m329_swio13_lednop_pr },
 {  10306, ur_m329_swio13_lednop_pr },
 {  10307, ur_m329_swio13_lednop_pr_ee },
 {  10308, ur_m329_swio13_lednop_pr_ee_u4 },
 {  10309, ur_m329_swio13_lednop_pr_ce },
 {  10310, ur_m329_swio13_lednop_pr_ce_u4 },
 {  10311, ur_m329_swio13_lednop_pr_ee_ce },
 {  10312, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  10314, ur_m329_swio13_lednop_ee_hw },
 {  10316, ur_m329_swio13_lednop_ee_ce_hw },
 {  10317, ur_m329_swio13_lednop_ee_ce_hw },
 {  10318, ur_m329_swio13_dual },
 {  10319, ur_m329_swio13_dual },
 {  10320, ur_m329_swio13_dual },
 {  10321, ur_m329_swio13_dual_pr_ee },
 {  10322, ur_m329_swio13_dual_pr_ee_u4 },
 {  10323, ur_m329_swio13_dual_pr_ce },
 {  10324, ur_m329_swio13_dual_pr_ce_u4 },
 {  10325, ur_m329_swio13_dual_pr_ee_ce },
 {  10326, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  10328, ur_m329_swio13_dual_ee_hw },
 {  10330, ur_m329_swio13_dual_ee_ce_hw },
 {  10331, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  10332, ur_m329_swio14_noled },
 {  10333, ur_m329_swio14_noled_pr },
 {  10334, ur_m329_swio14_noled_pr },
 {  10335, ur_m329_swio14_noled_pr_ee },
 {  10336, ur_m329_swio14_noled_pr_ee_u4 },
 {  10337, ur_m329_swio14_noled_pr_ce },
 {  10338, ur_m329_swio14_noled_pr_ce },
 {  10339, ur_m329_swio14_noled_pr_ee_ce },
 {  10340, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  10342, ur_m329_swio14_noled_ee_hw },
 {  10344, ur_m329_swio14_noled_ee_ce_hw },
 {  10345, ur_m329_swio14_noled_ee_ce_hw },
 {  10346, ur_m329_swio14_lednop },
 {  10347, ur_m329_swio14_lednop_pr },
 {  10348, ur_m329_swio14_lednop_pr },
 {  10349, ur_m329_swio14_lednop_pr_ee },
 {  10350, ur_m329_swio14_lednop_pr_ee_u4 },
 {  10351, ur_m329_swio14_lednop_pr_ce },
 {  10352, ur_m329_swio14_lednop_pr_ce },
 {  10353, ur_m329_swio14_lednop_pr_ee_ce },
 {  10354, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  10356, ur_m329_swio14_lednop_ee_hw },
 {  10358, ur_m329_swio14_lednop_ee_ce_hw },
 {  10359, ur_m329_swio14_lednop_ee_ce_hw },
 {  10360, ur_m329_swio14_dual },
 {  10361, ur_m329_swio14_dual },
 {  10362, ur_m329_swio14_dual },
 {  10363, ur_m329_swio14_dual_pr_ee },
 {  10364, ur_m329_swio14_dual_pr_ee_u4 },
 {  10365, ur_m329_swio14_dual_pr_ce },
 {  10366, ur_m329_swio14_dual_pr_ce_u4 },
 {  10367, ur_m329_swio14_dual_pr_ee_ce },
 {  10368, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  10370, ur_m329_swio14_dual_ee_hw },
 {  10372, ur_m329_swio14_dual_ee_ce_hw },
 {  10373, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  10374, ur_m329_swio15_noled },
 {  10375, ur_m329_swio15_noled_pr },
 {  10376, ur_m329_swio15_noled_pr },
 {  10377, ur_m329_swio15_noled_pr_ee },
 {  10378, ur_m329_swio15_noled_pr_ee_u4 },
 {  10379, ur_m329_swio15_noled_pr_ce },
 {  10380, ur_m329_swio15_noled_pr_ce },
 {  10381, ur_m329_swio15_noled_pr_ee_ce },
 {  10382, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  10384, ur_m329_swio15_noled_ee_hw },
 {  10386, ur_m329_swio15_noled_ee_ce_hw },
 {  10387, ur_m329_swio15_noled_ee_ce_hw },
 {  10388, ur_m329_swio15_lednop },
 {  10389, ur_m329_swio15_lednop_pr },
 {  10390, ur_m329_swio15_lednop_pr },
 {  10391, ur_m329_swio15_lednop_pr_ee },
 {  10392, ur_m329_swio15_lednop_pr_ee_u4 },
 {  10393, ur_m329_swio15_lednop_pr_ce },
 {  10394, ur_m329_swio15_lednop_pr_ce_u4 },
 {  10395, ur_m329_swio15_lednop_pr_ee_ce },
 {  10396, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  10398, ur_m329_swio15_lednop_ee_hw },
 {  10400, ur_m329_swio15_lednop_ee_ce_hw },
 {  10401, ur_m329_swio15_lednop_ee_ce_hw },
 {  10402, ur_m329_swio15_dual },
 {  10403, ur_m329_swio15_dual },
 {  10404, ur_m329_swio15_dual },
 {  10405, ur_m329_swio15_dual_pr_ee },
 {  10406, ur_m329_swio15_dual_pr_ee_u4 },
 {  10407, ur_m329_swio15_dual_pr_ce },
 {  10408, ur_m329_swio15_dual_pr_ce_u4 },
 {  10409, ur_m329_swio15_dual_pr_ee_ce },
 {  10410, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  10412, ur_m329_swio15_dual_ee_hw },
 {  10414, ur_m329_swio15_dual_ee_ce_hw },
 {  10415, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  10416, ur_m329_autobaud_uart0_noled },
 {  10417, ur_m329_autobaud_uart0_noled },
 {  10418, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  10419, ur_m329_autobaud_uart0_noled_pr_ee },
 {  10420, ur_m329_autobaud_uart0_noled_pr_ee },
 {  10421, ur_m329_autobaud_uart0_noled_pr_ce },
 {  10422, ur_m329_autobaud_uart0_noled_pr_ce },
 {  10423, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  10424, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  10426, ur_m329_autobaud_uart0_noled_ee_hw },
 {  10428, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  10429, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  10430, ur_m329_autobaud_uart0_lednop },
 {  10431, ur_m329_autobaud_uart0_lednop_pr },
 {  10432, ur_m329_autobaud_uart0_lednop_pr },
 {  10433, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  10434, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  10435, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  10436, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  10437, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  10438, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  10440, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  10442, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  10443, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  10444, ur_m329_autobaud_uart0_dual },
 {  10445, ur_m329_autobaud_uart0_dual },
 {  10446, ur_m329_autobaud_uart0_dual },
 {  10447, ur_m329_autobaud_uart0_dual_pr_ee },
 {  10448, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  10449, ur_m329_autobaud_uart0_dual_pr_ce },
 {  10450, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  10451, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  10452, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  10454, ur_m329_autobaud_uart0_dual_ee_hw },
 {  10456, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  10457, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  10626, ur_m329_u1x8_uart0_noled },
 {  10627, ur_m329_u1x8_uart0_noled },
 {  10628, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  10629, ur_m329_u1x8_uart0_noled_pr_ee },
 {  10630, ur_m329_u1x8_uart0_noled_pr_ee },
 {  10631, ur_m329_u1x8_uart0_noled_pr_ce },
 {  10632, ur_m329_u1x8_uart0_noled_pr_ce },
 {  10633, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  10634, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  10636, ur_m329_u1x8_uart0_noled_ee_hw },
 {  10638, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  10639, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  10640, ur_m329_u1x8_uart0_lednop },
 {  10641, ur_m329_u1x8_uart0_lednop },
 {  10642, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  10643, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  10644, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  10645, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  10646, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  10647, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  10648, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  10650, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  10652, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  10653, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  10654, ur_m329_u1x8_uart0_dual },
 {  10655, ur_m329_u1x8_uart0_dual_pr },
 {  10656, ur_m329_u1x8_uart0_dual_pr },
 {  10657, ur_m329_u1x8_uart0_dual_pr_ee },
 {  10658, ur_m329_u1x8_uart0_dual_pr_ee },
 {  10659, ur_m329_u1x8_uart0_dual_pr_ce },
 {  10660, ur_m329_u1x8_uart0_dual_pr_ce },
 {  10661, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  10662, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  10664, ur_m329_u1x8_uart0_dual_ee_hw },
 {  10666, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  10667, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  10836, ur_m329_u1x12_uart0_noled },
 {  10837, ur_m329_u1x12_uart0_noled },
 {  10838, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  10839, ur_m329_u1x12_uart0_noled_pr_ee },
 {  10840, ur_m329_u1x12_uart0_noled_pr_ee },
 {  10841, ur_m329_u1x12_uart0_noled_pr_ce },
 {  10842, ur_m329_u1x12_uart0_noled_pr_ce },
 {  10843, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  10844, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  10846, ur_m329_u1x12_uart0_noled_ee_hw },
 {  10848, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  10849, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  10850, ur_m329_u1x12_uart0_lednop },
 {  10851, ur_m329_u1x12_uart0_lednop },
 {  10852, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  10853, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  10854, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  10855, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  10856, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  10857, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  10858, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  10860, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  10862, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  10863, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  10864, ur_m329_u1x12_uart0_dual },
 {  10865, ur_m329_u1x12_uart0_dual_pr },
 {  10866, ur_m329_u1x12_uart0_dual_pr },
 {  10867, ur_m329_u1x12_uart0_dual_pr_ee },
 {  10868, ur_m329_u1x12_uart0_dual_pr_ee },
 {  10869, ur_m329_u1x12_uart0_dual_pr_ce },
 {  10870, ur_m329_u1x12_uart0_dual_pr_ce },
 {  10871, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  10872, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  10874, ur_m329_u1x12_uart0_dual_ee_hw },
 {  10876, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  10877, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  11046, ur_m329_u2x8_uart0_noled },
 {  11047, ur_m329_u2x8_uart0_noled },
 {  11048, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  11049, ur_m329_u2x8_uart0_noled_pr_ee },
 {  11050, ur_m329_u2x8_uart0_noled_pr_ee },
 {  11051, ur_m329_u2x8_uart0_noled_pr_ce },
 {  11052, ur_m329_u2x8_uart0_noled_pr_ce },
 {  11053, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  11054, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  11056, ur_m329_u2x8_uart0_noled_ee_hw },
 {  11058, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  11059, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  11060, ur_m329_u2x8_uart0_lednop },
 {  11061, ur_m329_u2x8_uart0_lednop },
 {  11062, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  11063, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  11064, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  11065, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  11066, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  11067, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  11068, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  11070, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  11072, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  11073, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  11074, ur_m329_u2x8_uart0_dual },
 {  11075, ur_m329_u2x8_uart0_dual_pr },
 {  11076, ur_m329_u2x8_uart0_dual_pr },
 {  11077, ur_m329_u2x8_uart0_dual_pr_ee },
 {  11078, ur_m329_u2x8_uart0_dual_pr_ee },
 {  11079, ur_m329_u2x8_uart0_dual_pr_ce },
 {  11080, ur_m329_u2x8_uart0_dual_pr_ce },
 {  11081, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  11082, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  11084, ur_m329_u2x8_uart0_dual_ee_hw },
 {  11086, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  11087, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  11256, ur_m329_u2x12_uart0_noled },
 {  11257, ur_m329_u2x12_uart0_noled },
 {  11258, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  11259, ur_m329_u2x12_uart0_noled_pr_ee },
 {  11260, ur_m329_u2x12_uart0_noled_pr_ee },
 {  11261, ur_m329_u2x12_uart0_noled_pr_ce },
 {  11262, ur_m329_u2x12_uart0_noled_pr_ce },
 {  11263, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  11264, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  11266, ur_m329_u2x12_uart0_noled_ee_hw },
 {  11268, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  11269, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  11270, ur_m329_u2x12_uart0_lednop },
 {  11271, ur_m329_u2x12_uart0_lednop },
 {  11272, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  11273, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  11274, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  11275, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  11276, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  11277, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  11278, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  11280, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  11282, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  11283, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  11284, ur_m329_u2x12_uart0_dual },
 {  11285, ur_m329_u2x12_uart0_dual_pr },
 {  11286, ur_m329_u2x12_uart0_dual_pr },
 {  11287, ur_m329_u2x12_uart0_dual_pr_ee },
 {  11288, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  11289, ur_m329_u2x12_uart0_dual_pr_ce },
 {  11290, ur_m329_u2x12_uart0_dual_pr_ce },
 {  11291, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  11292, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  11294, ur_m329_u2x12_uart0_dual_ee_hw },
 {  11296, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  11297, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  11466, ur_m329_swio10_noled },
 {  11467, ur_m329_swio10_noled_pr },
 {  11468, ur_m329_swio10_noled_pr },
 {  11469, ur_m329_swio10_noled_pr_ee },
 {  11470, ur_m329_swio10_noled_pr_ee_u4 },
 {  11471, ur_m329_swio10_noled_pr_ce },
 {  11472, ur_m329_swio10_noled_pr_ce },
 {  11473, ur_m329_swio10_noled_pr_ee_ce },
 {  11474, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  11476, ur_m329_swio10_noled_ee_hw },
 {  11478, ur_m329_swio10_noled_ee_ce_hw },
 {  11479, ur_m329_swio10_noled_ee_ce_hw },
 {  11480, ur_m329_swio10_lednop },
 {  11481, ur_m329_swio10_lednop_pr },
 {  11482, ur_m329_swio10_lednop_pr },
 {  11483, ur_m329_swio10_lednop_pr_ee },
 {  11484, ur_m329_swio10_lednop_pr_ee_u4 },
 {  11485, ur_m329_swio10_lednop_pr_ce },
 {  11486, ur_m329_swio10_lednop_pr_ce },
 {  11487, ur_m329_swio10_lednop_pr_ee_ce },
 {  11488, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  11490, ur_m329_swio10_lednop_ee_hw },
 {  11492, ur_m329_swio10_lednop_ee_ce_hw },
 {  11493, ur_m329_swio10_lednop_ee_ce_hw },
 {  11494, ur_m329_swio10_dual },
 {  11495, ur_m329_swio10_dual },
 {  11496, ur_m329_swio10_dual },
 {  11497, ur_m329_swio10_dual_pr_ee },
 {  11498, ur_m329_swio10_dual_pr_ee_u4 },
 {  11499, ur_m329_swio10_dual_pr_ce },
 {  11500, ur_m329_swio10_dual_pr_ce_u4 },
 {  11501, ur_m329_swio10_dual_pr_ee_ce },
 {  11502, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  11504, ur_m329_swio10_dual_ee_hw },
 {  11506, ur_m329_swio10_dual_ee_ce_hw },
 {  11507, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  11508, ur_m329_swio11_noled },
 {  11509, ur_m329_swio11_noled_pr },
 {  11510, ur_m329_swio11_noled_pr },
 {  11511, ur_m329_swio11_noled_pr_ee },
 {  11512, ur_m329_swio11_noled_pr_ee_u4 },
 {  11513, ur_m329_swio11_noled_pr_ce },
 {  11514, ur_m329_swio11_noled_pr_ce },
 {  11515, ur_m329_swio11_noled_pr_ee_ce },
 {  11516, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  11518, ur_m329_swio11_noled_ee_hw },
 {  11520, ur_m329_swio11_noled_ee_ce_hw },
 {  11521, ur_m329_swio11_noled_ee_ce_hw },
 {  11522, ur_m329_swio11_lednop },
 {  11523, ur_m329_swio11_lednop_pr },
 {  11524, ur_m329_swio11_lednop_pr },
 {  11525, ur_m329_swio11_lednop_pr_ee },
 {  11526, ur_m329_swio11_lednop_pr_ee_u4 },
 {  11527, ur_m329_swio11_lednop_pr_ce },
 {  11528, ur_m329_swio11_lednop_pr_ce },
 {  11529, ur_m329_swio11_lednop_pr_ee_ce },
 {  11530, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  11532, ur_m329_swio11_lednop_ee_hw },
 {  11534, ur_m329_swio11_lednop_ee_ce_hw },
 {  11535, ur_m329_swio11_lednop_ee_ce_hw },
 {  11536, ur_m329_swio11_dual },
 {  11537, ur_m329_swio11_dual },
 {  11538, ur_m329_swio11_dual },
 {  11539, ur_m329_swio11_dual_pr_ee },
 {  11540, ur_m329_swio11_dual_pr_ee_u4 },
 {  11541, ur_m329_swio11_dual_pr_ce },
 {  11542, ur_m329_swio11_dual_pr_ce_u4 },
 {  11543, ur_m329_swio11_dual_pr_ee_ce },
 {  11544, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  11546, ur_m329_swio11_dual_ee_hw },
 {  11548, ur_m329_swio11_dual_ee_ce_hw },
 {  11549, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  11550, ur_m329_swio11_noled },
 {  11551, ur_m329_swio11_noled_pr },
 {  11552, ur_m329_swio11_noled_pr },
 {  11553, ur_m329_swio11_noled_pr_ee },
 {  11554, ur_m329_swio11_noled_pr_ee_u4 },
 {  11555, ur_m329_swio11_noled_pr_ce },
 {  11556, ur_m329_swio11_noled_pr_ce },
 {  11557, ur_m329_swio11_noled_pr_ee_ce },
 {  11558, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  11560, ur_m329_swio11_noled_ee_hw },
 {  11562, ur_m329_swio11_noled_ee_ce_hw },
 {  11563, ur_m329_swio11_noled_ee_ce_hw },
 {  11564, ur_m329_swio11_lednop },
 {  11565, ur_m329_swio11_lednop_pr },
 {  11566, ur_m329_swio11_lednop_pr },
 {  11567, ur_m329_swio11_lednop_pr_ee },
 {  11568, ur_m329_swio11_lednop_pr_ee_u4 },
 {  11569, ur_m329_swio11_lednop_pr_ce },
 {  11570, ur_m329_swio11_lednop_pr_ce },
 {  11571, ur_m329_swio11_lednop_pr_ee_ce },
 {  11572, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  11574, ur_m329_swio11_lednop_ee_hw },
 {  11576, ur_m329_swio11_lednop_ee_ce_hw },
 {  11577, ur_m329_swio11_lednop_ee_ce_hw },
 {  11578, ur_m329_swio11_dual },
 {  11579, ur_m329_swio11_dual },
 {  11580, ur_m329_swio11_dual },
 {  11581, ur_m329_swio11_dual_pr_ee },
 {  11582, ur_m329_swio11_dual_pr_ee_u4 },
 {  11583, ur_m329_swio11_dual_pr_ce },
 {  11584, ur_m329_swio11_dual_pr_ce_u4 },
 {  11585, ur_m329_swio11_dual_pr_ee_ce },
 {  11586, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  11588, ur_m329_swio11_dual_ee_hw },
 {  11590, ur_m329_swio11_dual_ee_ce_hw },
 {  11591, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  11592, ur_m329_swio13_noled },
 {  11593, ur_m329_swio13_noled_pr },
 {  11594, ur_m329_swio13_noled_pr },
 {  11595, ur_m329_swio13_noled_pr_ee },
 {  11596, ur_m329_swio13_noled_pr_ee_u4 },
 {  11597, ur_m329_swio13_noled_pr_ce },
 {  11598, ur_m329_swio13_noled_pr_ce },
 {  11599, ur_m329_swio13_noled_pr_ee_ce },
 {  11600, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  11602, ur_m329_swio13_noled_ee_hw },
 {  11604, ur_m329_swio13_noled_ee_ce_hw },
 {  11605, ur_m329_swio13_noled_ee_ce_hw },
 {  11606, ur_m329_swio13_lednop },
 {  11607, ur_m329_swio13_lednop_pr },
 {  11608, ur_m329_swio13_lednop_pr },
 {  11609, ur_m329_swio13_lednop_pr_ee },
 {  11610, ur_m329_swio13_lednop_pr_ee_u4 },
 {  11611, ur_m329_swio13_lednop_pr_ce },
 {  11612, ur_m329_swio13_lednop_pr_ce_u4 },
 {  11613, ur_m329_swio13_lednop_pr_ee_ce },
 {  11614, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  11616, ur_m329_swio13_lednop_ee_hw },
 {  11618, ur_m329_swio13_lednop_ee_ce_hw },
 {  11619, ur_m329_swio13_lednop_ee_ce_hw },
 {  11620, ur_m329_swio13_dual },
 {  11621, ur_m329_swio13_dual },
 {  11622, ur_m329_swio13_dual },
 {  11623, ur_m329_swio13_dual_pr_ee },
 {  11624, ur_m329_swio13_dual_pr_ee_u4 },
 {  11625, ur_m329_swio13_dual_pr_ce },
 {  11626, ur_m329_swio13_dual_pr_ce_u4 },
 {  11627, ur_m329_swio13_dual_pr_ee_ce },
 {  11628, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  11630, ur_m329_swio13_dual_ee_hw },
 {  11632, ur_m329_swio13_dual_ee_ce_hw },
 {  11633, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  11634, ur_m329_swio14_noled },
 {  11635, ur_m329_swio14_noled_pr },
 {  11636, ur_m329_swio14_noled_pr },
 {  11637, ur_m329_swio14_noled_pr_ee },
 {  11638, ur_m329_swio14_noled_pr_ee_u4 },
 {  11639, ur_m329_swio14_noled_pr_ce },
 {  11640, ur_m329_swio14_noled_pr_ce },
 {  11641, ur_m329_swio14_noled_pr_ee_ce },
 {  11642, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  11644, ur_m329_swio14_noled_ee_hw },
 {  11646, ur_m329_swio14_noled_ee_ce_hw },
 {  11647, ur_m329_swio14_noled_ee_ce_hw },
 {  11648, ur_m329_swio14_lednop },
 {  11649, ur_m329_swio14_lednop_pr },
 {  11650, ur_m329_swio14_lednop_pr },
 {  11651, ur_m329_swio14_lednop_pr_ee },
 {  11652, ur_m329_swio14_lednop_pr_ee_u4 },
 {  11653, ur_m329_swio14_lednop_pr_ce },
 {  11654, ur_m329_swio14_lednop_pr_ce },
 {  11655, ur_m329_swio14_lednop_pr_ee_ce },
 {  11656, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  11658, ur_m329_swio14_lednop_ee_hw },
 {  11660, ur_m329_swio14_lednop_ee_ce_hw },
 {  11661, ur_m329_swio14_lednop_ee_ce_hw },
 {  11662, ur_m329_swio14_dual },
 {  11663, ur_m329_swio14_dual },
 {  11664, ur_m329_swio14_dual },
 {  11665, ur_m329_swio14_dual_pr_ee },
 {  11666, ur_m329_swio14_dual_pr_ee_u4 },
 {  11667, ur_m329_swio14_dual_pr_ce },
 {  11668, ur_m329_swio14_dual_pr_ce_u4 },
 {  11669, ur_m329_swio14_dual_pr_ee_ce },
 {  11670, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  11672, ur_m329_swio14_dual_ee_hw },
 {  11674, ur_m329_swio14_dual_ee_ce_hw },
 {  11675, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  11676, ur_m329_swio15_noled },
 {  11677, ur_m329_swio15_noled_pr },
 {  11678, ur_m329_swio15_noled_pr },
 {  11679, ur_m329_swio15_noled_pr_ee },
 {  11680, ur_m329_swio15_noled_pr_ee_u4 },
 {  11681, ur_m329_swio15_noled_pr_ce },
 {  11682, ur_m329_swio15_noled_pr_ce },
 {  11683, ur_m329_swio15_noled_pr_ee_ce },
 {  11684, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  11686, ur_m329_swio15_noled_ee_hw },
 {  11688, ur_m329_swio15_noled_ee_ce_hw },
 {  11689, ur_m329_swio15_noled_ee_ce_hw },
 {  11690, ur_m329_swio15_lednop },
 {  11691, ur_m329_swio15_lednop_pr },
 {  11692, ur_m329_swio15_lednop_pr },
 {  11693, ur_m329_swio15_lednop_pr_ee },
 {  11694, ur_m329_swio15_lednop_pr_ee_u4 },
 {  11695, ur_m329_swio15_lednop_pr_ce },
 {  11696, ur_m329_swio15_lednop_pr_ce_u4 },
 {  11697, ur_m329_swio15_lednop_pr_ee_ce },
 {  11698, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  11700, ur_m329_swio15_lednop_ee_hw },
 {  11702, ur_m329_swio15_lednop_ee_ce_hw },
 {  11703, ur_m329_swio15_lednop_ee_ce_hw },
 {  11704, ur_m329_swio15_dual },
 {  11705, ur_m329_swio15_dual },
 {  11706, ur_m329_swio15_dual },
 {  11707, ur_m329_swio15_dual_pr_ee },
 {  11708, ur_m329_swio15_dual_pr_ee_u4 },
 {  11709, ur_m329_swio15_dual_pr_ce },
 {  11710, ur_m329_swio15_dual_pr_ce_u4 },
 {  11711, ur_m329_swio15_dual_pr_ee_ce },
 {  11712, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  11714, ur_m329_swio15_dual_ee_hw },
 {  11716, ur_m329_swio15_dual_ee_ce_hw },
 {  11717, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  11718, ur_m329_autobaud_uart0_noled },
 {  11719, ur_m329_autobaud_uart0_noled },
 {  11720, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  11721, ur_m329_autobaud_uart0_noled_pr_ee },
 {  11722, ur_m329_autobaud_uart0_noled_pr_ee },
 {  11723, ur_m329_autobaud_uart0_noled_pr_ce },
 {  11724, ur_m329_autobaud_uart0_noled_pr_ce },
 {  11725, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  11726, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  11728, ur_m329_autobaud_uart0_noled_ee_hw },
 {  11730, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  11731, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  11732, ur_m329_autobaud_uart0_lednop },
 {  11733, ur_m329_autobaud_uart0_lednop_pr },
 {  11734, ur_m329_autobaud_uart0_lednop_pr },
 {  11735, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  11736, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  11737, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  11738, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  11739, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  11740, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  11742, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  11744, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  11745, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  11746, ur_m329_autobaud_uart0_dual },
 {  11747, ur_m329_autobaud_uart0_dual },
 {  11748, ur_m329_autobaud_uart0_dual },
 {  11749, ur_m329_autobaud_uart0_dual_pr_ee },
 {  11750, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  11751, ur_m329_autobaud_uart0_dual_pr_ce },
 {  11752, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  11753, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  11754, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  11756, ur_m329_autobaud_uart0_dual_ee_hw },
 {  11758, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  11759, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  11928, ur_m329_u1x8_uart0_noled },
 {  11929, ur_m329_u1x8_uart0_noled },
 {  11930, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  11931, ur_m329_u1x8_uart0_noled_pr_ee },
 {  11932, ur_m329_u1x8_uart0_noled_pr_ee },
 {  11933, ur_m329_u1x8_uart0_noled_pr_ce },
 {  11934, ur_m329_u1x8_uart0_noled_pr_ce },
 {  11935, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  11936, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  11938, ur_m329_u1x8_uart0_noled_ee_hw },
 {  11940, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  11941, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  11942, ur_m329_u1x8_uart0_lednop },
 {  11943, ur_m329_u1x8_uart0_lednop },
 {  11944, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  11945, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  11946, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  11947, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  11948, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  11949, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  11950, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  11952, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  11954, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  11955, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  11956, ur_m329_u1x8_uart0_dual },
 {  11957, ur_m329_u1x8_uart0_dual_pr },
 {  11958, ur_m329_u1x8_uart0_dual_pr },
 {  11959, ur_m329_u1x8_uart0_dual_pr_ee },
 {  11960, ur_m329_u1x8_uart0_dual_pr_ee },
 {  11961, ur_m329_u1x8_uart0_dual_pr_ce },
 {  11962, ur_m329_u1x8_uart0_dual_pr_ce },
 {  11963, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  11964, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  11966, ur_m329_u1x8_uart0_dual_ee_hw },
 {  11968, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  11969, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  12138, ur_m329_u1x12_uart0_noled },
 {  12139, ur_m329_u1x12_uart0_noled },
 {  12140, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  12141, ur_m329_u1x12_uart0_noled_pr_ee },
 {  12142, ur_m329_u1x12_uart0_noled_pr_ee },
 {  12143, ur_m329_u1x12_uart0_noled_pr_ce },
 {  12144, ur_m329_u1x12_uart0_noled_pr_ce },
 {  12145, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  12146, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  12148, ur_m329_u1x12_uart0_noled_ee_hw },
 {  12150, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  12151, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  12152, ur_m329_u1x12_uart0_lednop },
 {  12153, ur_m329_u1x12_uart0_lednop },
 {  12154, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  12155, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  12156, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  12157, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  12158, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  12159, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  12160, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  12162, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  12164, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  12165, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  12166, ur_m329_u1x12_uart0_dual },
 {  12167, ur_m329_u1x12_uart0_dual_pr },
 {  12168, ur_m329_u1x12_uart0_dual_pr },
 {  12169, ur_m329_u1x12_uart0_dual_pr_ee },
 {  12170, ur_m329_u1x12_uart0_dual_pr_ee },
 {  12171, ur_m329_u1x12_uart0_dual_pr_ce },
 {  12172, ur_m329_u1x12_uart0_dual_pr_ce },
 {  12173, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  12174, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  12176, ur_m329_u1x12_uart0_dual_ee_hw },
 {  12178, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  12179, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  12348, ur_m329_u2x8_uart0_noled },
 {  12349, ur_m329_u2x8_uart0_noled },
 {  12350, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  12351, ur_m329_u2x8_uart0_noled_pr_ee },
 {  12352, ur_m329_u2x8_uart0_noled_pr_ee },
 {  12353, ur_m329_u2x8_uart0_noled_pr_ce },
 {  12354, ur_m329_u2x8_uart0_noled_pr_ce },
 {  12355, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  12356, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  12358, ur_m329_u2x8_uart0_noled_ee_hw },
 {  12360, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  12361, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  12362, ur_m329_u2x8_uart0_lednop },
 {  12363, ur_m329_u2x8_uart0_lednop },
 {  12364, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  12365, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  12366, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  12367, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  12368, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  12369, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  12370, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  12372, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  12374, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  12375, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  12376, ur_m329_u2x8_uart0_dual },
 {  12377, ur_m329_u2x8_uart0_dual_pr },
 {  12378, ur_m329_u2x8_uart0_dual_pr },
 {  12379, ur_m329_u2x8_uart0_dual_pr_ee },
 {  12380, ur_m329_u2x8_uart0_dual_pr_ee },
 {  12381, ur_m329_u2x8_uart0_dual_pr_ce },
 {  12382, ur_m329_u2x8_uart0_dual_pr_ce },
 {  12383, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  12384, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  12386, ur_m329_u2x8_uart0_dual_ee_hw },
 {  12388, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  12389, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  12558, ur_m329_u2x12_uart0_noled },
 {  12559, ur_m329_u2x12_uart0_noled },
 {  12560, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  12561, ur_m329_u2x12_uart0_noled_pr_ee },
 {  12562, ur_m329_u2x12_uart0_noled_pr_ee },
 {  12563, ur_m329_u2x12_uart0_noled_pr_ce },
 {  12564, ur_m329_u2x12_uart0_noled_pr_ce },
 {  12565, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  12566, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  12568, ur_m329_u2x12_uart0_noled_ee_hw },
 {  12570, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  12571, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  12572, ur_m329_u2x12_uart0_lednop },
 {  12573, ur_m329_u2x12_uart0_lednop },
 {  12574, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  12575, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  12576, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  12577, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  12578, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  12579, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  12580, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  12582, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  12584, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  12585, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  12586, ur_m329_u2x12_uart0_dual },
 {  12587, ur_m329_u2x12_uart0_dual_pr },
 {  12588, ur_m329_u2x12_uart0_dual_pr },
 {  12589, ur_m329_u2x12_uart0_dual_pr_ee },
 {  12590, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  12591, ur_m329_u2x12_uart0_dual_pr_ce },
 {  12592, ur_m329_u2x12_uart0_dual_pr_ce },
 {  12593, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  12594, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  12596, ur_m329_u2x12_uart0_dual_ee_hw },
 {  12598, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  12599, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  12768, ur_m329_swio10_noled },
 {  12769, ur_m329_swio10_noled_pr },
 {  12770, ur_m329_swio10_noled_pr },
 {  12771, ur_m329_swio10_noled_pr_ee },
 {  12772, ur_m329_swio10_noled_pr_ee_u4 },
 {  12773, ur_m329_swio10_noled_pr_ce },
 {  12774, ur_m329_swio10_noled_pr_ce },
 {  12775, ur_m329_swio10_noled_pr_ee_ce },
 {  12776, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  12778, ur_m329_swio10_noled_ee_hw },
 {  12780, ur_m329_swio10_noled_ee_ce_hw },
 {  12781, ur_m329_swio10_noled_ee_ce_hw },
 {  12782, ur_m329_swio10_lednop },
 {  12783, ur_m329_swio10_lednop_pr },
 {  12784, ur_m329_swio10_lednop_pr },
 {  12785, ur_m329_swio10_lednop_pr_ee },
 {  12786, ur_m329_swio10_lednop_pr_ee_u4 },
 {  12787, ur_m329_swio10_lednop_pr_ce },
 {  12788, ur_m329_swio10_lednop_pr_ce },
 {  12789, ur_m329_swio10_lednop_pr_ee_ce },
 {  12790, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  12792, ur_m329_swio10_lednop_ee_hw },
 {  12794, ur_m329_swio10_lednop_ee_ce_hw },
 {  12795, ur_m329_swio10_lednop_ee_ce_hw },
 {  12796, ur_m329_swio10_dual },
 {  12797, ur_m329_swio10_dual },
 {  12798, ur_m329_swio10_dual },
 {  12799, ur_m329_swio10_dual_pr_ee },
 {  12800, ur_m329_swio10_dual_pr_ee_u4 },
 {  12801, ur_m329_swio10_dual_pr_ce },
 {  12802, ur_m329_swio10_dual_pr_ce_u4 },
 {  12803, ur_m329_swio10_dual_pr_ee_ce },
 {  12804, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  12806, ur_m329_swio10_dual_ee_hw },
 {  12808, ur_m329_swio10_dual_ee_ce_hw },
 {  12809, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  12810, ur_m329_swio11_noled },
 {  12811, ur_m329_swio11_noled_pr },
 {  12812, ur_m329_swio11_noled_pr },
 {  12813, ur_m329_swio11_noled_pr_ee },
 {  12814, ur_m329_swio11_noled_pr_ee_u4 },
 {  12815, ur_m329_swio11_noled_pr_ce },
 {  12816, ur_m329_swio11_noled_pr_ce },
 {  12817, ur_m329_swio11_noled_pr_ee_ce },
 {  12818, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  12820, ur_m329_swio11_noled_ee_hw },
 {  12822, ur_m329_swio11_noled_ee_ce_hw },
 {  12823, ur_m329_swio11_noled_ee_ce_hw },
 {  12824, ur_m329_swio11_lednop },
 {  12825, ur_m329_swio11_lednop_pr },
 {  12826, ur_m329_swio11_lednop_pr },
 {  12827, ur_m329_swio11_lednop_pr_ee },
 {  12828, ur_m329_swio11_lednop_pr_ee_u4 },
 {  12829, ur_m329_swio11_lednop_pr_ce },
 {  12830, ur_m329_swio11_lednop_pr_ce },
 {  12831, ur_m329_swio11_lednop_pr_ee_ce },
 {  12832, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  12834, ur_m329_swio11_lednop_ee_hw },
 {  12836, ur_m329_swio11_lednop_ee_ce_hw },
 {  12837, ur_m329_swio11_lednop_ee_ce_hw },
 {  12838, ur_m329_swio11_dual },
 {  12839, ur_m329_swio11_dual },
 {  12840, ur_m329_swio11_dual },
 {  12841, ur_m329_swio11_dual_pr_ee },
 {  12842, ur_m329_swio11_dual_pr_ee_u4 },
 {  12843, ur_m329_swio11_dual_pr_ce },
 {  12844, ur_m329_swio11_dual_pr_ce_u4 },
 {  12845, ur_m329_swio11_dual_pr_ee_ce },
 {  12846, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  12848, ur_m329_swio11_dual_ee_hw },
 {  12850, ur_m329_swio11_dual_ee_ce_hw },
 {  12851, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  12852, ur_m329_swio11_noled },
 {  12853, ur_m329_swio11_noled_pr },
 {  12854, ur_m329_swio11_noled_pr },
 {  12855, ur_m329_swio11_noled_pr_ee },
 {  12856, ur_m329_swio11_noled_pr_ee_u4 },
 {  12857, ur_m329_swio11_noled_pr_ce },
 {  12858, ur_m329_swio11_noled_pr_ce },
 {  12859, ur_m329_swio11_noled_pr_ee_ce },
 {  12860, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  12862, ur_m329_swio11_noled_ee_hw },
 {  12864, ur_m329_swio11_noled_ee_ce_hw },
 {  12865, ur_m329_swio11_noled_ee_ce_hw },
 {  12866, ur_m329_swio11_lednop },
 {  12867, ur_m329_swio11_lednop_pr },
 {  12868, ur_m329_swio11_lednop_pr },
 {  12869, ur_m329_swio11_lednop_pr_ee },
 {  12870, ur_m329_swio11_lednop_pr_ee_u4 },
 {  12871, ur_m329_swio11_lednop_pr_ce },
 {  12872, ur_m329_swio11_lednop_pr_ce },
 {  12873, ur_m329_swio11_lednop_pr_ee_ce },
 {  12874, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  12876, ur_m329_swio11_lednop_ee_hw },
 {  12878, ur_m329_swio11_lednop_ee_ce_hw },
 {  12879, ur_m329_swio11_lednop_ee_ce_hw },
 {  12880, ur_m329_swio11_dual },
 {  12881, ur_m329_swio11_dual },
 {  12882, ur_m329_swio11_dual },
 {  12883, ur_m329_swio11_dual_pr_ee },
 {  12884, ur_m329_swio11_dual_pr_ee_u4 },
 {  12885, ur_m329_swio11_dual_pr_ce },
 {  12886, ur_m329_swio11_dual_pr_ce_u4 },
 {  12887, ur_m329_swio11_dual_pr_ee_ce },
 {  12888, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  12890, ur_m329_swio11_dual_ee_hw },
 {  12892, ur_m329_swio11_dual_ee_ce_hw },
 {  12893, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  12894, ur_m329_swio13_noled },
 {  12895, ur_m329_swio13_noled_pr },
 {  12896, ur_m329_swio13_noled_pr },
 {  12897, ur_m329_swio13_noled_pr_ee },
 {  12898, ur_m329_swio13_noled_pr_ee_u4 },
 {  12899, ur_m329_swio13_noled_pr_ce },
 {  12900, ur_m329_swio13_noled_pr_ce },
 {  12901, ur_m329_swio13_noled_pr_ee_ce },
 {  12902, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  12904, ur_m329_swio13_noled_ee_hw },
 {  12906, ur_m329_swio13_noled_ee_ce_hw },
 {  12907, ur_m329_swio13_noled_ee_ce_hw },
 {  12908, ur_m329_swio13_lednop },
 {  12909, ur_m329_swio13_lednop_pr },
 {  12910, ur_m329_swio13_lednop_pr },
 {  12911, ur_m329_swio13_lednop_pr_ee },
 {  12912, ur_m329_swio13_lednop_pr_ee_u4 },
 {  12913, ur_m329_swio13_lednop_pr_ce },
 {  12914, ur_m329_swio13_lednop_pr_ce_u4 },
 {  12915, ur_m329_swio13_lednop_pr_ee_ce },
 {  12916, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  12918, ur_m329_swio13_lednop_ee_hw },
 {  12920, ur_m329_swio13_lednop_ee_ce_hw },
 {  12921, ur_m329_swio13_lednop_ee_ce_hw },
 {  12922, ur_m329_swio13_dual },
 {  12923, ur_m329_swio13_dual },
 {  12924, ur_m329_swio13_dual },
 {  12925, ur_m329_swio13_dual_pr_ee },
 {  12926, ur_m329_swio13_dual_pr_ee_u4 },
 {  12927, ur_m329_swio13_dual_pr_ce },
 {  12928, ur_m329_swio13_dual_pr_ce_u4 },
 {  12929, ur_m329_swio13_dual_pr_ee_ce },
 {  12930, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  12932, ur_m329_swio13_dual_ee_hw },
 {  12934, ur_m329_swio13_dual_ee_ce_hw },
 {  12935, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  12936, ur_m329_swio14_noled },
 {  12937, ur_m329_swio14_noled_pr },
 {  12938, ur_m329_swio14_noled_pr },
 {  12939, ur_m329_swio14_noled_pr_ee },
 {  12940, ur_m329_swio14_noled_pr_ee_u4 },
 {  12941, ur_m329_swio14_noled_pr_ce },
 {  12942, ur_m329_swio14_noled_pr_ce },
 {  12943, ur_m329_swio14_noled_pr_ee_ce },
 {  12944, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  12946, ur_m329_swio14_noled_ee_hw },
 {  12948, ur_m329_swio14_noled_ee_ce_hw },
 {  12949, ur_m329_swio14_noled_ee_ce_hw },
 {  12950, ur_m329_swio14_lednop },
 {  12951, ur_m329_swio14_lednop_pr },
 {  12952, ur_m329_swio14_lednop_pr },
 {  12953, ur_m329_swio14_lednop_pr_ee },
 {  12954, ur_m329_swio14_lednop_pr_ee_u4 },
 {  12955, ur_m329_swio14_lednop_pr_ce },
 {  12956, ur_m329_swio14_lednop_pr_ce },
 {  12957, ur_m329_swio14_lednop_pr_ee_ce },
 {  12958, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  12960, ur_m329_swio14_lednop_ee_hw },
 {  12962, ur_m329_swio14_lednop_ee_ce_hw },
 {  12963, ur_m329_swio14_lednop_ee_ce_hw },
 {  12964, ur_m329_swio14_dual },
 {  12965, ur_m329_swio14_dual },
 {  12966, ur_m329_swio14_dual },
 {  12967, ur_m329_swio14_dual_pr_ee },
 {  12968, ur_m329_swio14_dual_pr_ee_u4 },
 {  12969, ur_m329_swio14_dual_pr_ce },
 {  12970, ur_m329_swio14_dual_pr_ce_u4 },
 {  12971, ur_m329_swio14_dual_pr_ee_ce },
 {  12972, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  12974, ur_m329_swio14_dual_ee_hw },
 {  12976, ur_m329_swio14_dual_ee_ce_hw },
 {  12977, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  12978, ur_m329_swio15_noled },
 {  12979, ur_m329_swio15_noled_pr },
 {  12980, ur_m329_swio15_noled_pr },
 {  12981, ur_m329_swio15_noled_pr_ee },
 {  12982, ur_m329_swio15_noled_pr_ee_u4 },
 {  12983, ur_m329_swio15_noled_pr_ce },
 {  12984, ur_m329_swio15_noled_pr_ce },
 {  12985, ur_m329_swio15_noled_pr_ee_ce },
 {  12986, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  12988, ur_m329_swio15_noled_ee_hw },
 {  12990, ur_m329_swio15_noled_ee_ce_hw },
 {  12991, ur_m329_swio15_noled_ee_ce_hw },
 {  12992, ur_m329_swio15_lednop },
 {  12993, ur_m329_swio15_lednop_pr },
 {  12994, ur_m329_swio15_lednop_pr },
 {  12995, ur_m329_swio15_lednop_pr_ee },
 {  12996, ur_m329_swio15_lednop_pr_ee_u4 },
 {  12997, ur_m329_swio15_lednop_pr_ce },
 {  12998, ur_m329_swio15_lednop_pr_ce_u4 },
 {  12999, ur_m329_swio15_lednop_pr_ee_ce },
 {  13000, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  13002, ur_m329_swio15_lednop_ee_hw },
 {  13004, ur_m329_swio15_lednop_ee_ce_hw },
 {  13005, ur_m329_swio15_lednop_ee_ce_hw },
 {  13006, ur_m329_swio15_dual },
 {  13007, ur_m329_swio15_dual },
 {  13008, ur_m329_swio15_dual },
 {  13009, ur_m329_swio15_dual_pr_ee },
 {  13010, ur_m329_swio15_dual_pr_ee_u4 },
 {  13011, ur_m329_swio15_dual_pr_ce },
 {  13012, ur_m329_swio15_dual_pr_ce_u4 },
 {  13013, ur_m329_swio15_dual_pr_ee_ce },
 {  13014, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  13016, ur_m329_swio15_dual_ee_hw },
 {  13018, ur_m329_swio15_dual_ee_ce_hw },
 {  13019, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  13020, ur_m329_autobaud_uart0_noled },
 {  13021, ur_m329_autobaud_uart0_noled },
 {  13022, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  13023, ur_m329_autobaud_uart0_noled_pr_ee },
 {  13024, ur_m329_autobaud_uart0_noled_pr_ee },
 {  13025, ur_m329_autobaud_uart0_noled_pr_ce },
 {  13026, ur_m329_autobaud_uart0_noled_pr_ce },
 {  13027, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  13028, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  13030, ur_m329_autobaud_uart0_noled_ee_hw },
 {  13032, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  13033, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  13034, ur_m329_autobaud_uart0_lednop },
 {  13035, ur_m329_autobaud_uart0_lednop_pr },
 {  13036, ur_m329_autobaud_uart0_lednop_pr },
 {  13037, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  13038, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  13039, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  13040, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  13041, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  13042, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  13044, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  13046, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  13047, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  13048, ur_m329_autobaud_uart0_dual },
 {  13049, ur_m329_autobaud_uart0_dual },
 {  13050, ur_m329_autobaud_uart0_dual },
 {  13051, ur_m329_autobaud_uart0_dual_pr_ee },
 {  13052, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  13053, ur_m329_autobaud_uart0_dual_pr_ce },
 {  13054, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  13055, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  13056, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  13058, ur_m329_autobaud_uart0_dual_ee_hw },
 {  13060, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  13061, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  13230, ur_m329_u1x8_uart0_noled },
 {  13231, ur_m329_u1x8_uart0_noled },
 {  13232, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  13233, ur_m329_u1x8_uart0_noled_pr_ee },
 {  13234, ur_m329_u1x8_uart0_noled_pr_ee },
 {  13235, ur_m329_u1x8_uart0_noled_pr_ce },
 {  13236, ur_m329_u1x8_uart0_noled_pr_ce },
 {  13237, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  13238, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  13240, ur_m329_u1x8_uart0_noled_ee_hw },
 {  13242, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  13243, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  13244, ur_m329_u1x8_uart0_lednop },
 {  13245, ur_m329_u1x8_uart0_lednop },
 {  13246, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  13247, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  13248, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  13249, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  13250, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  13251, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  13252, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  13254, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  13256, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  13257, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  13258, ur_m329_u1x8_uart0_dual },
 {  13259, ur_m329_u1x8_uart0_dual_pr },
 {  13260, ur_m329_u1x8_uart0_dual_pr },
 {  13261, ur_m329_u1x8_uart0_dual_pr_ee },
 {  13262, ur_m329_u1x8_uart0_dual_pr_ee },
 {  13263, ur_m329_u1x8_uart0_dual_pr_ce },
 {  13264, ur_m329_u1x8_uart0_dual_pr_ce },
 {  13265, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  13266, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  13268, ur_m329_u1x8_uart0_dual_ee_hw },
 {  13270, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  13271, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  13440, ur_m329_u1x12_uart0_noled },
 {  13441, ur_m329_u1x12_uart0_noled },
 {  13442, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  13443, ur_m329_u1x12_uart0_noled_pr_ee },
 {  13444, ur_m329_u1x12_uart0_noled_pr_ee },
 {  13445, ur_m329_u1x12_uart0_noled_pr_ce },
 {  13446, ur_m329_u1x12_uart0_noled_pr_ce },
 {  13447, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  13448, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  13450, ur_m329_u1x12_uart0_noled_ee_hw },
 {  13452, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  13453, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  13454, ur_m329_u1x12_uart0_lednop },
 {  13455, ur_m329_u1x12_uart0_lednop },
 {  13456, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  13457, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  13458, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  13459, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  13460, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  13461, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  13462, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  13464, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  13466, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  13467, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  13468, ur_m329_u1x12_uart0_dual },
 {  13469, ur_m329_u1x12_uart0_dual_pr },
 {  13470, ur_m329_u1x12_uart0_dual_pr },
 {  13471, ur_m329_u1x12_uart0_dual_pr_ee },
 {  13472, ur_m329_u1x12_uart0_dual_pr_ee },
 {  13473, ur_m329_u1x12_uart0_dual_pr_ce },
 {  13474, ur_m329_u1x12_uart0_dual_pr_ce },
 {  13475, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  13476, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  13478, ur_m329_u1x12_uart0_dual_ee_hw },
 {  13480, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  13481, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  13650, ur_m329_u2x8_uart0_noled },
 {  13651, ur_m329_u2x8_uart0_noled },
 {  13652, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  13653, ur_m329_u2x8_uart0_noled_pr_ee },
 {  13654, ur_m329_u2x8_uart0_noled_pr_ee },
 {  13655, ur_m329_u2x8_uart0_noled_pr_ce },
 {  13656, ur_m329_u2x8_uart0_noled_pr_ce },
 {  13657, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  13658, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  13660, ur_m329_u2x8_uart0_noled_ee_hw },
 {  13662, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  13663, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  13664, ur_m329_u2x8_uart0_lednop },
 {  13665, ur_m329_u2x8_uart0_lednop },
 {  13666, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  13667, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  13668, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  13669, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  13670, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  13671, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  13672, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  13674, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  13676, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  13677, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  13678, ur_m329_u2x8_uart0_dual },
 {  13679, ur_m329_u2x8_uart0_dual_pr },
 {  13680, ur_m329_u2x8_uart0_dual_pr },
 {  13681, ur_m329_u2x8_uart0_dual_pr_ee },
 {  13682, ur_m329_u2x8_uart0_dual_pr_ee },
 {  13683, ur_m329_u2x8_uart0_dual_pr_ce },
 {  13684, ur_m329_u2x8_uart0_dual_pr_ce },
 {  13685, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  13686, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  13688, ur_m329_u2x8_uart0_dual_ee_hw },
 {  13690, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  13691, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  13860, ur_m329_u2x12_uart0_noled },
 {  13861, ur_m329_u2x12_uart0_noled },
 {  13862, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  13863, ur_m329_u2x12_uart0_noled_pr_ee },
 {  13864, ur_m329_u2x12_uart0_noled_pr_ee },
 {  13865, ur_m329_u2x12_uart0_noled_pr_ce },
 {  13866, ur_m329_u2x12_uart0_noled_pr_ce },
 {  13867, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  13868, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  13870, ur_m329_u2x12_uart0_noled_ee_hw },
 {  13872, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  13873, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  13874, ur_m329_u2x12_uart0_lednop },
 {  13875, ur_m329_u2x12_uart0_lednop },
 {  13876, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  13877, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  13878, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  13879, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  13880, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  13881, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  13882, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  13884, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  13886, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  13887, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  13888, ur_m329_u2x12_uart0_dual },
 {  13889, ur_m329_u2x12_uart0_dual_pr },
 {  13890, ur_m329_u2x12_uart0_dual_pr },
 {  13891, ur_m329_u2x12_uart0_dual_pr_ee },
 {  13892, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  13893, ur_m329_u2x12_uart0_dual_pr_ce },
 {  13894, ur_m329_u2x12_uart0_dual_pr_ce },
 {  13895, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  13896, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  13898, ur_m329_u2x12_uart0_dual_ee_hw },
 {  13900, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  13901, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  14070, ur_m329_swio10_noled },
 {  14071, ur_m329_swio10_noled_pr },
 {  14072, ur_m329_swio10_noled_pr },
 {  14073, ur_m329_swio10_noled_pr_ee },
 {  14074, ur_m329_swio10_noled_pr_ee_u4 },
 {  14075, ur_m329_swio10_noled_pr_ce },
 {  14076, ur_m329_swio10_noled_pr_ce },
 {  14077, ur_m329_swio10_noled_pr_ee_ce },
 {  14078, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  14080, ur_m329_swio10_noled_ee_hw },
 {  14082, ur_m329_swio10_noled_ee_ce_hw },
 {  14083, ur_m329_swio10_noled_ee_ce_hw },
 {  14084, ur_m329_swio10_lednop },
 {  14085, ur_m329_swio10_lednop_pr },
 {  14086, ur_m329_swio10_lednop_pr },
 {  14087, ur_m329_swio10_lednop_pr_ee },
 {  14088, ur_m329_swio10_lednop_pr_ee_u4 },
 {  14089, ur_m329_swio10_lednop_pr_ce },
 {  14090, ur_m329_swio10_lednop_pr_ce },
 {  14091, ur_m329_swio10_lednop_pr_ee_ce },
 {  14092, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  14094, ur_m329_swio10_lednop_ee_hw },
 {  14096, ur_m329_swio10_lednop_ee_ce_hw },
 {  14097, ur_m329_swio10_lednop_ee_ce_hw },
 {  14098, ur_m329_swio10_dual },
 {  14099, ur_m329_swio10_dual },
 {  14100, ur_m329_swio10_dual },
 {  14101, ur_m329_swio10_dual_pr_ee },
 {  14102, ur_m329_swio10_dual_pr_ee_u4 },
 {  14103, ur_m329_swio10_dual_pr_ce },
 {  14104, ur_m329_swio10_dual_pr_ce_u4 },
 {  14105, ur_m329_swio10_dual_pr_ee_ce },
 {  14106, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  14108, ur_m329_swio10_dual_ee_hw },
 {  14110, ur_m329_swio10_dual_ee_ce_hw },
 {  14111, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  14112, ur_m329_swio11_noled },
 {  14113, ur_m329_swio11_noled_pr },
 {  14114, ur_m329_swio11_noled_pr },
 {  14115, ur_m329_swio11_noled_pr_ee },
 {  14116, ur_m329_swio11_noled_pr_ee_u4 },
 {  14117, ur_m329_swio11_noled_pr_ce },
 {  14118, ur_m329_swio11_noled_pr_ce },
 {  14119, ur_m329_swio11_noled_pr_ee_ce },
 {  14120, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  14122, ur_m329_swio11_noled_ee_hw },
 {  14124, ur_m329_swio11_noled_ee_ce_hw },
 {  14125, ur_m329_swio11_noled_ee_ce_hw },
 {  14126, ur_m329_swio11_lednop },
 {  14127, ur_m329_swio11_lednop_pr },
 {  14128, ur_m329_swio11_lednop_pr },
 {  14129, ur_m329_swio11_lednop_pr_ee },
 {  14130, ur_m329_swio11_lednop_pr_ee_u4 },
 {  14131, ur_m329_swio11_lednop_pr_ce },
 {  14132, ur_m329_swio11_lednop_pr_ce },
 {  14133, ur_m329_swio11_lednop_pr_ee_ce },
 {  14134, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  14136, ur_m329_swio11_lednop_ee_hw },
 {  14138, ur_m329_swio11_lednop_ee_ce_hw },
 {  14139, ur_m329_swio11_lednop_ee_ce_hw },
 {  14140, ur_m329_swio11_dual },
 {  14141, ur_m329_swio11_dual },
 {  14142, ur_m329_swio11_dual },
 {  14143, ur_m329_swio11_dual_pr_ee },
 {  14144, ur_m329_swio11_dual_pr_ee_u4 },
 {  14145, ur_m329_swio11_dual_pr_ce },
 {  14146, ur_m329_swio11_dual_pr_ce_u4 },
 {  14147, ur_m329_swio11_dual_pr_ee_ce },
 {  14148, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  14150, ur_m329_swio11_dual_ee_hw },
 {  14152, ur_m329_swio11_dual_ee_ce_hw },
 {  14153, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  14154, ur_m329_swio11_noled },
 {  14155, ur_m329_swio11_noled_pr },
 {  14156, ur_m329_swio11_noled_pr },
 {  14157, ur_m329_swio11_noled_pr_ee },
 {  14158, ur_m329_swio11_noled_pr_ee_u4 },
 {  14159, ur_m329_swio11_noled_pr_ce },
 {  14160, ur_m329_swio11_noled_pr_ce },
 {  14161, ur_m329_swio11_noled_pr_ee_ce },
 {  14162, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  14164, ur_m329_swio11_noled_ee_hw },
 {  14166, ur_m329_swio11_noled_ee_ce_hw },
 {  14167, ur_m329_swio11_noled_ee_ce_hw },
 {  14168, ur_m329_swio11_lednop },
 {  14169, ur_m329_swio11_lednop_pr },
 {  14170, ur_m329_swio11_lednop_pr },
 {  14171, ur_m329_swio11_lednop_pr_ee },
 {  14172, ur_m329_swio11_lednop_pr_ee_u4 },
 {  14173, ur_m329_swio11_lednop_pr_ce },
 {  14174, ur_m329_swio11_lednop_pr_ce },
 {  14175, ur_m329_swio11_lednop_pr_ee_ce },
 {  14176, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  14178, ur_m329_swio11_lednop_ee_hw },
 {  14180, ur_m329_swio11_lednop_ee_ce_hw },
 {  14181, ur_m329_swio11_lednop_ee_ce_hw },
 {  14182, ur_m329_swio11_dual },
 {  14183, ur_m329_swio11_dual },
 {  14184, ur_m329_swio11_dual },
 {  14185, ur_m329_swio11_dual_pr_ee },
 {  14186, ur_m329_swio11_dual_pr_ee_u4 },
 {  14187, ur_m329_swio11_dual_pr_ce },
 {  14188, ur_m329_swio11_dual_pr_ce_u4 },
 {  14189, ur_m329_swio11_dual_pr_ee_ce },
 {  14190, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  14192, ur_m329_swio11_dual_ee_hw },
 {  14194, ur_m329_swio11_dual_ee_ce_hw },
 {  14195, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  14196, ur_m329_swio13_noled },
 {  14197, ur_m329_swio13_noled_pr },
 {  14198, ur_m329_swio13_noled_pr },
 {  14199, ur_m329_swio13_noled_pr_ee },
 {  14200, ur_m329_swio13_noled_pr_ee_u4 },
 {  14201, ur_m329_swio13_noled_pr_ce },
 {  14202, ur_m329_swio13_noled_pr_ce },
 {  14203, ur_m329_swio13_noled_pr_ee_ce },
 {  14204, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  14206, ur_m329_swio13_noled_ee_hw },
 {  14208, ur_m329_swio13_noled_ee_ce_hw },
 {  14209, ur_m329_swio13_noled_ee_ce_hw },
 {  14210, ur_m329_swio13_lednop },
 {  14211, ur_m329_swio13_lednop_pr },
 {  14212, ur_m329_swio13_lednop_pr },
 {  14213, ur_m329_swio13_lednop_pr_ee },
 {  14214, ur_m329_swio13_lednop_pr_ee_u4 },
 {  14215, ur_m329_swio13_lednop_pr_ce },
 {  14216, ur_m329_swio13_lednop_pr_ce_u4 },
 {  14217, ur_m329_swio13_lednop_pr_ee_ce },
 {  14218, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  14220, ur_m329_swio13_lednop_ee_hw },
 {  14222, ur_m329_swio13_lednop_ee_ce_hw },
 {  14223, ur_m329_swio13_lednop_ee_ce_hw },
 {  14224, ur_m329_swio13_dual },
 {  14225, ur_m329_swio13_dual },
 {  14226, ur_m329_swio13_dual },
 {  14227, ur_m329_swio13_dual_pr_ee },
 {  14228, ur_m329_swio13_dual_pr_ee_u4 },
 {  14229, ur_m329_swio13_dual_pr_ce },
 {  14230, ur_m329_swio13_dual_pr_ce_u4 },
 {  14231, ur_m329_swio13_dual_pr_ee_ce },
 {  14232, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  14234, ur_m329_swio13_dual_ee_hw },
 {  14236, ur_m329_swio13_dual_ee_ce_hw },
 {  14237, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  14238, ur_m329_swio14_noled },
 {  14239, ur_m329_swio14_noled_pr },
 {  14240, ur_m329_swio14_noled_pr },
 {  14241, ur_m329_swio14_noled_pr_ee },
 {  14242, ur_m329_swio14_noled_pr_ee_u4 },
 {  14243, ur_m329_swio14_noled_pr_ce },
 {  14244, ur_m329_swio14_noled_pr_ce },
 {  14245, ur_m329_swio14_noled_pr_ee_ce },
 {  14246, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  14248, ur_m329_swio14_noled_ee_hw },
 {  14250, ur_m329_swio14_noled_ee_ce_hw },
 {  14251, ur_m329_swio14_noled_ee_ce_hw },
 {  14252, ur_m329_swio14_lednop },
 {  14253, ur_m329_swio14_lednop_pr },
 {  14254, ur_m329_swio14_lednop_pr },
 {  14255, ur_m329_swio14_lednop_pr_ee },
 {  14256, ur_m329_swio14_lednop_pr_ee_u4 },
 {  14257, ur_m329_swio14_lednop_pr_ce },
 {  14258, ur_m329_swio14_lednop_pr_ce },
 {  14259, ur_m329_swio14_lednop_pr_ee_ce },
 {  14260, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  14262, ur_m329_swio14_lednop_ee_hw },
 {  14264, ur_m329_swio14_lednop_ee_ce_hw },
 {  14265, ur_m329_swio14_lednop_ee_ce_hw },
 {  14266, ur_m329_swio14_dual },
 {  14267, ur_m329_swio14_dual },
 {  14268, ur_m329_swio14_dual },
 {  14269, ur_m329_swio14_dual_pr_ee },
 {  14270, ur_m329_swio14_dual_pr_ee_u4 },
 {  14271, ur_m329_swio14_dual_pr_ce },
 {  14272, ur_m329_swio14_dual_pr_ce_u4 },
 {  14273, ur_m329_swio14_dual_pr_ee_ce },
 {  14274, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  14276, ur_m329_swio14_dual_ee_hw },
 {  14278, ur_m329_swio14_dual_ee_ce_hw },
 {  14279, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  14280, ur_m329_swio15_noled },
 {  14281, ur_m329_swio15_noled_pr },
 {  14282, ur_m329_swio15_noled_pr },
 {  14283, ur_m329_swio15_noled_pr_ee },
 {  14284, ur_m329_swio15_noled_pr_ee_u4 },
 {  14285, ur_m329_swio15_noled_pr_ce },
 {  14286, ur_m329_swio15_noled_pr_ce },
 {  14287, ur_m329_swio15_noled_pr_ee_ce },
 {  14288, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  14290, ur_m329_swio15_noled_ee_hw },
 {  14292, ur_m329_swio15_noled_ee_ce_hw },
 {  14293, ur_m329_swio15_noled_ee_ce_hw },
 {  14294, ur_m329_swio15_lednop },
 {  14295, ur_m329_swio15_lednop_pr },
 {  14296, ur_m329_swio15_lednop_pr },
 {  14297, ur_m329_swio15_lednop_pr_ee },
 {  14298, ur_m329_swio15_lednop_pr_ee_u4 },
 {  14299, ur_m329_swio15_lednop_pr_ce },
 {  14300, ur_m329_swio15_lednop_pr_ce_u4 },
 {  14301, ur_m329_swio15_lednop_pr_ee_ce },
 {  14302, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  14304, ur_m329_swio15_lednop_ee_hw },
 {  14306, ur_m329_swio15_lednop_ee_ce_hw },
 {  14307, ur_m329_swio15_lednop_ee_ce_hw },
 {  14308, ur_m329_swio15_dual },
 {  14309, ur_m329_swio15_dual },
 {  14310, ur_m329_swio15_dual },
 {  14311, ur_m329_swio15_dual_pr_ee },
 {  14312, ur_m329_swio15_dual_pr_ee_u4 },
 {  14313, ur_m329_swio15_dual_pr_ce },
 {  14314, ur_m329_swio15_dual_pr_ce_u4 },
 {  14315, ur_m329_swio15_dual_pr_ee_ce },
 {  14316, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  14318, ur_m329_swio15_dual_ee_hw },
 {  14320, ur_m329_swio15_dual_ee_ce_hw },
 {  14321, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  14322, ur_m329_autobaud_uart0_noled },
 {  14323, ur_m329_autobaud_uart0_noled },
 {  14324, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  14325, ur_m329_autobaud_uart0_noled_pr_ee },
 {  14326, ur_m329_autobaud_uart0_noled_pr_ee },
 {  14327, ur_m329_autobaud_uart0_noled_pr_ce },
 {  14328, ur_m329_autobaud_uart0_noled_pr_ce },
 {  14329, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  14330, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  14332, ur_m329_autobaud_uart0_noled_ee_hw },
 {  14334, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  14335, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  14336, ur_m329_autobaud_uart0_lednop },
 {  14337, ur_m329_autobaud_uart0_lednop_pr },
 {  14338, ur_m329_autobaud_uart0_lednop_pr },
 {  14339, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  14340, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  14341, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  14342, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  14343, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  14344, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  14346, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  14348, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  14349, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  14350, ur_m329_autobaud_uart0_dual },
 {  14351, ur_m329_autobaud_uart0_dual },
 {  14352, ur_m329_autobaud_uart0_dual },
 {  14353, ur_m329_autobaud_uart0_dual_pr_ee },
 {  14354, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  14355, ur_m329_autobaud_uart0_dual_pr_ce },
 {  14356, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  14357, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  14358, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  14360, ur_m329_autobaud_uart0_dual_ee_hw },
 {  14362, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  14363, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  14532, ur_m329_u1x8_uart0_noled },
 {  14533, ur_m329_u1x8_uart0_noled },
 {  14534, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  14535, ur_m329_u1x8_uart0_noled_pr_ee },
 {  14536, ur_m329_u1x8_uart0_noled_pr_ee },
 {  14537, ur_m329_u1x8_uart0_noled_pr_ce },
 {  14538, ur_m329_u1x8_uart0_noled_pr_ce },
 {  14539, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  14540, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  14542, ur_m329_u1x8_uart0_noled_ee_hw },
 {  14544, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  14545, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  14546, ur_m329_u1x8_uart0_lednop },
 {  14547, ur_m329_u1x8_uart0_lednop },
 {  14548, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  14549, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  14550, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  14551, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  14552, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  14553, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  14554, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  14556, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  14558, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  14559, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  14560, ur_m329_u1x8_uart0_dual },
 {  14561, ur_m329_u1x8_uart0_dual_pr },
 {  14562, ur_m329_u1x8_uart0_dual_pr },
 {  14563, ur_m329_u1x8_uart0_dual_pr_ee },
 {  14564, ur_m329_u1x8_uart0_dual_pr_ee },
 {  14565, ur_m329_u1x8_uart0_dual_pr_ce },
 {  14566, ur_m329_u1x8_uart0_dual_pr_ce },
 {  14567, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  14568, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  14570, ur_m329_u1x8_uart0_dual_ee_hw },
 {  14572, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  14573, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  14742, ur_m329_u1x12_uart0_noled },
 {  14743, ur_m329_u1x12_uart0_noled },
 {  14744, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  14745, ur_m329_u1x12_uart0_noled_pr_ee },
 {  14746, ur_m329_u1x12_uart0_noled_pr_ee },
 {  14747, ur_m329_u1x12_uart0_noled_pr_ce },
 {  14748, ur_m329_u1x12_uart0_noled_pr_ce },
 {  14749, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  14750, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  14752, ur_m329_u1x12_uart0_noled_ee_hw },
 {  14754, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  14755, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  14756, ur_m329_u1x12_uart0_lednop },
 {  14757, ur_m329_u1x12_uart0_lednop },
 {  14758, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  14759, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  14760, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  14761, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  14762, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  14763, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  14764, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  14766, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  14768, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  14769, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  14770, ur_m329_u1x12_uart0_dual },
 {  14771, ur_m329_u1x12_uart0_dual_pr },
 {  14772, ur_m329_u1x12_uart0_dual_pr },
 {  14773, ur_m329_u1x12_uart0_dual_pr_ee },
 {  14774, ur_m329_u1x12_uart0_dual_pr_ee },
 {  14775, ur_m329_u1x12_uart0_dual_pr_ce },
 {  14776, ur_m329_u1x12_uart0_dual_pr_ce },
 {  14777, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  14778, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  14780, ur_m329_u1x12_uart0_dual_ee_hw },
 {  14782, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  14783, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  14952, ur_m329_u2x8_uart0_noled },
 {  14953, ur_m329_u2x8_uart0_noled },
 {  14954, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  14955, ur_m329_u2x8_uart0_noled_pr_ee },
 {  14956, ur_m329_u2x8_uart0_noled_pr_ee },
 {  14957, ur_m329_u2x8_uart0_noled_pr_ce },
 {  14958, ur_m329_u2x8_uart0_noled_pr_ce },
 {  14959, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  14960, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  14962, ur_m329_u2x8_uart0_noled_ee_hw },
 {  14964, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  14965, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  14966, ur_m329_u2x8_uart0_lednop },
 {  14967, ur_m329_u2x8_uart0_lednop },
 {  14968, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  14969, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  14970, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  14971, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  14972, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  14973, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  14974, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  14976, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  14978, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  14979, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  14980, ur_m329_u2x8_uart0_dual },
 {  14981, ur_m329_u2x8_uart0_dual_pr },
 {  14982, ur_m329_u2x8_uart0_dual_pr },
 {  14983, ur_m329_u2x8_uart0_dual_pr_ee },
 {  14984, ur_m329_u2x8_uart0_dual_pr_ee },
 {  14985, ur_m329_u2x8_uart0_dual_pr_ce },
 {  14986, ur_m329_u2x8_uart0_dual_pr_ce },
 {  14987, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  14988, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  14990, ur_m329_u2x8_uart0_dual_ee_hw },
 {  14992, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  14993, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  15162, ur_m329_u2x12_uart0_noled },
 {  15163, ur_m329_u2x12_uart0_noled },
 {  15164, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  15165, ur_m329_u2x12_uart0_noled_pr_ee },
 {  15166, ur_m329_u2x12_uart0_noled_pr_ee },
 {  15167, ur_m329_u2x12_uart0_noled_pr_ce },
 {  15168, ur_m329_u2x12_uart0_noled_pr_ce },
 {  15169, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  15170, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  15172, ur_m329_u2x12_uart0_noled_ee_hw },
 {  15174, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  15175, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  15176, ur_m329_u2x12_uart0_lednop },
 {  15177, ur_m329_u2x12_uart0_lednop },
 {  15178, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  15179, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  15180, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  15181, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  15182, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  15183, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  15184, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  15186, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  15188, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  15189, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  15190, ur_m329_u2x12_uart0_dual },
 {  15191, ur_m329_u2x12_uart0_dual_pr },
 {  15192, ur_m329_u2x12_uart0_dual_pr },
 {  15193, ur_m329_u2x12_uart0_dual_pr_ee },
 {  15194, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  15195, ur_m329_u2x12_uart0_dual_pr_ce },
 {  15196, ur_m329_u2x12_uart0_dual_pr_ce },
 {  15197, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  15198, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  15200, ur_m329_u2x12_uart0_dual_ee_hw },
 {  15202, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  15203, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  15372, ur_m329_swio10_noled },
 {  15373, ur_m329_swio10_noled_pr },
 {  15374, ur_m329_swio10_noled_pr },
 {  15375, ur_m329_swio10_noled_pr_ee },
 {  15376, ur_m329_swio10_noled_pr_ee_u4 },
 {  15377, ur_m329_swio10_noled_pr_ce },
 {  15378, ur_m329_swio10_noled_pr_ce },
 {  15379, ur_m329_swio10_noled_pr_ee_ce },
 {  15380, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  15382, ur_m329_swio10_noled_ee_hw },
 {  15384, ur_m329_swio10_noled_ee_ce_hw },
 {  15385, ur_m329_swio10_noled_ee_ce_hw },
 {  15386, ur_m329_swio10_lednop },
 {  15387, ur_m329_swio10_lednop_pr },
 {  15388, ur_m329_swio10_lednop_pr },
 {  15389, ur_m329_swio10_lednop_pr_ee },
 {  15390, ur_m329_swio10_lednop_pr_ee_u4 },
 {  15391, ur_m329_swio10_lednop_pr_ce },
 {  15392, ur_m329_swio10_lednop_pr_ce },
 {  15393, ur_m329_swio10_lednop_pr_ee_ce },
 {  15394, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  15396, ur_m329_swio10_lednop_ee_hw },
 {  15398, ur_m329_swio10_lednop_ee_ce_hw },
 {  15399, ur_m329_swio10_lednop_ee_ce_hw },
 {  15400, ur_m329_swio10_dual },
 {  15401, ur_m329_swio10_dual },
 {  15402, ur_m329_swio10_dual },
 {  15403, ur_m329_swio10_dual_pr_ee },
 {  15404, ur_m329_swio10_dual_pr_ee_u4 },
 {  15405, ur_m329_swio10_dual_pr_ce },
 {  15406, ur_m329_swio10_dual_pr_ce_u4 },
 {  15407, ur_m329_swio10_dual_pr_ee_ce },
 {  15408, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  15410, ur_m329_swio10_dual_ee_hw },
 {  15412, ur_m329_swio10_dual_ee_ce_hw },
 {  15413, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  15414, ur_m329_swio11_noled },
 {  15415, ur_m329_swio11_noled_pr },
 {  15416, ur_m329_swio11_noled_pr },
 {  15417, ur_m329_swio11_noled_pr_ee },
 {  15418, ur_m329_swio11_noled_pr_ee_u4 },
 {  15419, ur_m329_swio11_noled_pr_ce },
 {  15420, ur_m329_swio11_noled_pr_ce },
 {  15421, ur_m329_swio11_noled_pr_ee_ce },
 {  15422, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  15424, ur_m329_swio11_noled_ee_hw },
 {  15426, ur_m329_swio11_noled_ee_ce_hw },
 {  15427, ur_m329_swio11_noled_ee_ce_hw },
 {  15428, ur_m329_swio11_lednop },
 {  15429, ur_m329_swio11_lednop_pr },
 {  15430, ur_m329_swio11_lednop_pr },
 {  15431, ur_m329_swio11_lednop_pr_ee },
 {  15432, ur_m329_swio11_lednop_pr_ee_u4 },
 {  15433, ur_m329_swio11_lednop_pr_ce },
 {  15434, ur_m329_swio11_lednop_pr_ce },
 {  15435, ur_m329_swio11_lednop_pr_ee_ce },
 {  15436, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  15438, ur_m329_swio11_lednop_ee_hw },
 {  15440, ur_m329_swio11_lednop_ee_ce_hw },
 {  15441, ur_m329_swio11_lednop_ee_ce_hw },
 {  15442, ur_m329_swio11_dual },
 {  15443, ur_m329_swio11_dual },
 {  15444, ur_m329_swio11_dual },
 {  15445, ur_m329_swio11_dual_pr_ee },
 {  15446, ur_m329_swio11_dual_pr_ee_u4 },
 {  15447, ur_m329_swio11_dual_pr_ce },
 {  15448, ur_m329_swio11_dual_pr_ce_u4 },
 {  15449, ur_m329_swio11_dual_pr_ee_ce },
 {  15450, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  15452, ur_m329_swio11_dual_ee_hw },
 {  15454, ur_m329_swio11_dual_ee_ce_hw },
 {  15455, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  15456, ur_m329_swio11_noled },
 {  15457, ur_m329_swio11_noled_pr },
 {  15458, ur_m329_swio11_noled_pr },
 {  15459, ur_m329_swio11_noled_pr_ee },
 {  15460, ur_m329_swio11_noled_pr_ee_u4 },
 {  15461, ur_m329_swio11_noled_pr_ce },
 {  15462, ur_m329_swio11_noled_pr_ce },
 {  15463, ur_m329_swio11_noled_pr_ee_ce },
 {  15464, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  15466, ur_m329_swio11_noled_ee_hw },
 {  15468, ur_m329_swio11_noled_ee_ce_hw },
 {  15469, ur_m329_swio11_noled_ee_ce_hw },
 {  15470, ur_m329_swio11_lednop },
 {  15471, ur_m329_swio11_lednop_pr },
 {  15472, ur_m329_swio11_lednop_pr },
 {  15473, ur_m329_swio11_lednop_pr_ee },
 {  15474, ur_m329_swio11_lednop_pr_ee_u4 },
 {  15475, ur_m329_swio11_lednop_pr_ce },
 {  15476, ur_m329_swio11_lednop_pr_ce },
 {  15477, ur_m329_swio11_lednop_pr_ee_ce },
 {  15478, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  15480, ur_m329_swio11_lednop_ee_hw },
 {  15482, ur_m329_swio11_lednop_ee_ce_hw },
 {  15483, ur_m329_swio11_lednop_ee_ce_hw },
 {  15484, ur_m329_swio11_dual },
 {  15485, ur_m329_swio11_dual },
 {  15486, ur_m329_swio11_dual },
 {  15487, ur_m329_swio11_dual_pr_ee },
 {  15488, ur_m329_swio11_dual_pr_ee_u4 },
 {  15489, ur_m329_swio11_dual_pr_ce },
 {  15490, ur_m329_swio11_dual_pr_ce_u4 },
 {  15491, ur_m329_swio11_dual_pr_ee_ce },
 {  15492, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  15494, ur_m329_swio11_dual_ee_hw },
 {  15496, ur_m329_swio11_dual_ee_ce_hw },
 {  15497, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  15498, ur_m329_swio13_noled },
 {  15499, ur_m329_swio13_noled_pr },
 {  15500, ur_m329_swio13_noled_pr },
 {  15501, ur_m329_swio13_noled_pr_ee },
 {  15502, ur_m329_swio13_noled_pr_ee_u4 },
 {  15503, ur_m329_swio13_noled_pr_ce },
 {  15504, ur_m329_swio13_noled_pr_ce },
 {  15505, ur_m329_swio13_noled_pr_ee_ce },
 {  15506, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  15508, ur_m329_swio13_noled_ee_hw },
 {  15510, ur_m329_swio13_noled_ee_ce_hw },
 {  15511, ur_m329_swio13_noled_ee_ce_hw },
 {  15512, ur_m329_swio13_lednop },
 {  15513, ur_m329_swio13_lednop_pr },
 {  15514, ur_m329_swio13_lednop_pr },
 {  15515, ur_m329_swio13_lednop_pr_ee },
 {  15516, ur_m329_swio13_lednop_pr_ee_u4 },
 {  15517, ur_m329_swio13_lednop_pr_ce },
 {  15518, ur_m329_swio13_lednop_pr_ce_u4 },
 {  15519, ur_m329_swio13_lednop_pr_ee_ce },
 {  15520, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  15522, ur_m329_swio13_lednop_ee_hw },
 {  15524, ur_m329_swio13_lednop_ee_ce_hw },
 {  15525, ur_m329_swio13_lednop_ee_ce_hw },
 {  15526, ur_m329_swio13_dual },
 {  15527, ur_m329_swio13_dual },
 {  15528, ur_m329_swio13_dual },
 {  15529, ur_m329_swio13_dual_pr_ee },
 {  15530, ur_m329_swio13_dual_pr_ee_u4 },
 {  15531, ur_m329_swio13_dual_pr_ce },
 {  15532, ur_m329_swio13_dual_pr_ce_u4 },
 {  15533, ur_m329_swio13_dual_pr_ee_ce },
 {  15534, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  15536, ur_m329_swio13_dual_ee_hw },
 {  15538, ur_m329_swio13_dual_ee_ce_hw },
 {  15539, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  15540, ur_m329_swio14_noled },
 {  15541, ur_m329_swio14_noled_pr },
 {  15542, ur_m329_swio14_noled_pr },
 {  15543, ur_m329_swio14_noled_pr_ee },
 {  15544, ur_m329_swio14_noled_pr_ee_u4 },
 {  15545, ur_m329_swio14_noled_pr_ce },
 {  15546, ur_m329_swio14_noled_pr_ce },
 {  15547, ur_m329_swio14_noled_pr_ee_ce },
 {  15548, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  15550, ur_m329_swio14_noled_ee_hw },
 {  15552, ur_m329_swio14_noled_ee_ce_hw },
 {  15553, ur_m329_swio14_noled_ee_ce_hw },
 {  15554, ur_m329_swio14_lednop },
 {  15555, ur_m329_swio14_lednop_pr },
 {  15556, ur_m329_swio14_lednop_pr },
 {  15557, ur_m329_swio14_lednop_pr_ee },
 {  15558, ur_m329_swio14_lednop_pr_ee_u4 },
 {  15559, ur_m329_swio14_lednop_pr_ce },
 {  15560, ur_m329_swio14_lednop_pr_ce },
 {  15561, ur_m329_swio14_lednop_pr_ee_ce },
 {  15562, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  15564, ur_m329_swio14_lednop_ee_hw },
 {  15566, ur_m329_swio14_lednop_ee_ce_hw },
 {  15567, ur_m329_swio14_lednop_ee_ce_hw },
 {  15568, ur_m329_swio14_dual },
 {  15569, ur_m329_swio14_dual },
 {  15570, ur_m329_swio14_dual },
 {  15571, ur_m329_swio14_dual_pr_ee },
 {  15572, ur_m329_swio14_dual_pr_ee_u4 },
 {  15573, ur_m329_swio14_dual_pr_ce },
 {  15574, ur_m329_swio14_dual_pr_ce_u4 },
 {  15575, ur_m329_swio14_dual_pr_ee_ce },
 {  15576, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  15578, ur_m329_swio14_dual_ee_hw },
 {  15580, ur_m329_swio14_dual_ee_ce_hw },
 {  15581, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  15582, ur_m329_swio15_noled },
 {  15583, ur_m329_swio15_noled_pr },
 {  15584, ur_m329_swio15_noled_pr },
 {  15585, ur_m329_swio15_noled_pr_ee },
 {  15586, ur_m329_swio15_noled_pr_ee_u4 },
 {  15587, ur_m329_swio15_noled_pr_ce },
 {  15588, ur_m329_swio15_noled_pr_ce },
 {  15589, ur_m329_swio15_noled_pr_ee_ce },
 {  15590, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  15592, ur_m329_swio15_noled_ee_hw },
 {  15594, ur_m329_swio15_noled_ee_ce_hw },
 {  15595, ur_m329_swio15_noled_ee_ce_hw },
 {  15596, ur_m329_swio15_lednop },
 {  15597, ur_m329_swio15_lednop_pr },
 {  15598, ur_m329_swio15_lednop_pr },
 {  15599, ur_m329_swio15_lednop_pr_ee },
 {  15600, ur_m329_swio15_lednop_pr_ee_u4 },
 {  15601, ur_m329_swio15_lednop_pr_ce },
 {  15602, ur_m329_swio15_lednop_pr_ce_u4 },
 {  15603, ur_m329_swio15_lednop_pr_ee_ce },
 {  15604, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  15606, ur_m329_swio15_lednop_ee_hw },
 {  15608, ur_m329_swio15_lednop_ee_ce_hw },
 {  15609, ur_m329_swio15_lednop_ee_ce_hw },
 {  15610, ur_m329_swio15_dual },
 {  15611, ur_m329_swio15_dual },
 {  15612, ur_m329_swio15_dual },
 {  15613, ur_m329_swio15_dual_pr_ee },
 {  15614, ur_m329_swio15_dual_pr_ee_u4 },
 {  15615, ur_m329_swio15_dual_pr_ce },
 {  15616, ur_m329_swio15_dual_pr_ce_u4 },
 {  15617, ur_m329_swio15_dual_pr_ee_ce },
 {  15618, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  15620, ur_m329_swio15_dual_ee_hw },
 {  15622, ur_m329_swio15_dual_ee_ce_hw },
 {  15623, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  15624, ur_m649_autobaud_uart0_noled },
 {  15625, ur_m649_autobaud_uart0_noled },
 {  15626, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  15627, ur_m649_autobaud_uart0_noled_pr_ee },
 {  15628, ur_m649_autobaud_uart0_noled_pr_ee },
 {  15629, ur_m649_autobaud_uart0_noled_pr_ce },
 {  15630, ur_m649_autobaud_uart0_noled_pr_ce },
 {  15631, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  15632, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  15634, ur_m649_autobaud_uart0_noled_ee_hw },
 {  15636, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  15637, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  15638, ur_m649_autobaud_uart0_lednop },
 {  15639, ur_m649_autobaud_uart0_lednop_pr },
 {  15640, ur_m649_autobaud_uart0_lednop_pr },
 {  15641, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  15642, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  15643, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  15644, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  15645, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  15646, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  15648, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  15650, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  15651, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  15652, ur_m649_autobaud_uart0_dual },
 {  15653, ur_m649_autobaud_uart0_dual },
 {  15654, ur_m649_autobaud_uart0_dual },
 {  15655, ur_m649_autobaud_uart0_dual_pr_ee },
 {  15656, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  15657, ur_m649_autobaud_uart0_dual_pr_ce },
 {  15658, ur_m649_autobaud_uart0_dual_pr_ce },
 {  15659, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  15660, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  15662, ur_m649_autobaud_uart0_dual_ee_hw },
 {  15664, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  15665, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  15834, ur_m649_u1x8_uart0_noled },
 {  15835, ur_m649_u1x8_uart0_noled },
 {  15836, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  15837, ur_m649_u1x8_uart0_noled_pr_ee },
 {  15838, ur_m649_u1x8_uart0_noled_pr_ee },
 {  15839, ur_m649_u1x8_uart0_noled_pr_ce },
 {  15840, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  15841, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  15842, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  15844, ur_m649_u1x8_uart0_noled_ee_hw },
 {  15846, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  15847, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  15848, ur_m649_u1x8_uart0_lednop },
 {  15849, ur_m649_u1x8_uart0_lednop },
 {  15850, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  15851, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  15852, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  15853, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  15854, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  15855, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  15856, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  15858, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  15860, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  15861, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  15862, ur_m649_u1x8_uart0_dual },
 {  15863, ur_m649_u1x8_uart0_dual },
 {  15864, ur_m649_u1x8_uart0_dual },
 {  15865, ur_m649_u1x8_uart0_dual_pr_ee },
 {  15866, ur_m649_u1x8_uart0_dual_pr_ee },
 {  15867, ur_m649_u1x8_uart0_dual_pr_ce },
 {  15868, ur_m649_u1x8_uart0_dual_pr_ce },
 {  15869, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  15870, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  15872, ur_m649_u1x8_uart0_dual_ee_hw },
 {  15874, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  15875, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  16044, ur_m649_u1x12_uart0_noled },
 {  16045, ur_m649_u1x12_uart0_noled },
 {  16046, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  16047, ur_m649_u1x12_uart0_noled_pr_ee },
 {  16048, ur_m649_u1x12_uart0_noled_pr_ee },
 {  16049, ur_m649_u1x12_uart0_noled_pr_ce },
 {  16050, ur_m649_u1x12_uart0_noled_pr_ce },
 {  16051, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  16052, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  16054, ur_m649_u1x12_uart0_noled_ee_hw },
 {  16056, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  16057, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  16058, ur_m649_u1x12_uart0_lednop },
 {  16059, ur_m649_u1x12_uart0_lednop },
 {  16060, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  16061, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  16062, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  16063, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  16064, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  16065, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  16066, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  16068, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  16070, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  16071, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  16072, ur_m649_u1x12_uart0_dual },
 {  16073, ur_m649_u1x12_uart0_dual },
 {  16074, ur_m649_u1x12_uart0_dual },
 {  16075, ur_m649_u1x12_uart0_dual_pr_ee },
 {  16076, ur_m649_u1x12_uart0_dual_pr_ee },
 {  16077, ur_m649_u1x12_uart0_dual_pr_ce },
 {  16078, ur_m649_u1x12_uart0_dual_pr_ce },
 {  16079, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  16080, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  16082, ur_m649_u1x12_uart0_dual_ee_hw },
 {  16084, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  16085, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  16254, ur_m649_u2x8_uart0_noled },
 {  16255, ur_m649_u2x8_uart0_noled },
 {  16256, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  16257, ur_m649_u2x8_uart0_noled_pr_ee },
 {  16258, ur_m649_u2x8_uart0_noled_pr_ee },
 {  16259, ur_m649_u2x8_uart0_noled_pr_ce },
 {  16260, ur_m649_u2x8_uart0_noled_pr_ce },
 {  16261, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  16262, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  16264, ur_m649_u2x8_uart0_noled_ee_hw },
 {  16266, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  16267, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  16268, ur_m649_u2x8_uart0_lednop },
 {  16269, ur_m649_u2x8_uart0_lednop },
 {  16270, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  16271, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  16272, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  16273, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  16274, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  16275, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  16276, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  16278, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  16280, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  16281, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  16282, ur_m649_u2x8_uart0_dual },
 {  16283, ur_m649_u2x8_uart0_dual },
 {  16284, ur_m649_u2x8_uart0_dual },
 {  16285, ur_m649_u2x8_uart0_dual_pr_ee },
 {  16286, ur_m649_u2x8_uart0_dual_pr_ee },
 {  16287, ur_m649_u2x8_uart0_dual_pr_ce },
 {  16288, ur_m649_u2x8_uart0_dual_pr_ce },
 {  16289, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  16290, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  16292, ur_m649_u2x8_uart0_dual_ee_hw },
 {  16294, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  16295, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  16464, ur_m649_u2x12_uart0_noled },
 {  16465, ur_m649_u2x12_uart0_noled },
 {  16466, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  16467, ur_m649_u2x12_uart0_noled_pr_ee },
 {  16468, ur_m649_u2x12_uart0_noled_pr_ee },
 {  16469, ur_m649_u2x12_uart0_noled_pr_ce },
 {  16470, ur_m649_u2x12_uart0_noled_pr_ce },
 {  16471, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  16472, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  16474, ur_m649_u2x12_uart0_noled_ee_hw },
 {  16476, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  16477, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  16478, ur_m649_u2x12_uart0_lednop },
 {  16479, ur_m649_u2x12_uart0_lednop },
 {  16480, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  16481, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  16482, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  16483, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  16484, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  16485, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  16486, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  16488, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  16490, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  16491, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  16492, ur_m649_u2x12_uart0_dual },
 {  16493, ur_m649_u2x12_uart0_dual },
 {  16494, ur_m649_u2x12_uart0_dual },
 {  16495, ur_m649_u2x12_uart0_dual_pr_ee },
 {  16496, ur_m649_u2x12_uart0_dual_pr_ee },
 {  16497, ur_m649_u2x12_uart0_dual_pr_ce },
 {  16498, ur_m649_u2x12_uart0_dual_pr_ce },
 {  16499, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  16500, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  16502, ur_m649_u2x12_uart0_dual_ee_hw },
 {  16504, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  16505, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  16674, ur_m649_swio10_noled },
 {  16675, ur_m649_swio10_noled_pr },
 {  16676, ur_m649_swio10_noled_pr },
 {  16677, ur_m649_swio10_noled_pr_ee },
 {  16678, ur_m649_swio10_noled_pr_ee },
 {  16679, ur_m649_swio10_noled_pr_ce },
 {  16680, ur_m649_swio10_noled_pr_ce },
 {  16681, ur_m649_swio10_noled_pr_ee_ce },
 {  16682, ur_m649_swio10_noled_pr_ee_ce },
 {  16684, ur_m649_swio10_noled_ee_hw },
 {  16686, ur_m649_swio10_noled_ee_ce_hw },
 {  16687, ur_m649_swio10_noled_ee_ce_hw },
 {  16688, ur_m649_swio10_lednop },
 {  16689, ur_m649_swio10_lednop_pr },
 {  16690, ur_m649_swio10_lednop_pr },
 {  16691, ur_m649_swio10_lednop_pr_ee },
 {  16692, ur_m649_swio10_lednop_pr_ee },
 {  16693, ur_m649_swio10_lednop_pr_ce },
 {  16694, ur_m649_swio10_lednop_pr_ce },
 {  16695, ur_m649_swio10_lednop_pr_ee_ce },
 {  16696, ur_m649_swio10_lednop_pr_ee_ce },
 {  16698, ur_m649_swio10_lednop_ee_hw },
 {  16700, ur_m649_swio10_lednop_ee_ce_hw },
 {  16701, ur_m649_swio10_lednop_ee_ce_hw },
 {  16702, ur_m649_swio10_dual },
 {  16703, ur_m649_swio10_dual },
 {  16704, ur_m649_swio10_dual },
 {  16705, ur_m649_swio10_dual_pr_ee },
 {  16706, ur_m649_swio10_dual_pr_ee_u4 },
 {  16707, ur_m649_swio10_dual_pr_ce },
 {  16708, ur_m649_swio10_dual_pr_ce },
 {  16709, ur_m649_swio10_dual_pr_ee_ce },
 {  16710, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  16712, ur_m649_swio10_dual_ee_hw },
 {  16714, ur_m649_swio10_dual_ee_ce_hw },
 {  16715, ur_m649_swio10_dual_ee_ce_hw },
 {  16716, ur_m649_swio11_noled },
 {  16717, ur_m649_swio11_noled_pr },
 {  16718, ur_m649_swio11_noled_pr },
 {  16719, ur_m649_swio11_noled_pr_ee },
 {  16720, ur_m649_swio11_noled_pr_ee },
 {  16721, ur_m649_swio11_noled_pr_ce },
 {  16722, ur_m649_swio11_noled_pr_ce },
 {  16723, ur_m649_swio11_noled_pr_ee_ce },
 {  16724, ur_m649_swio11_noled_pr_ee_ce },
 {  16726, ur_m649_swio11_noled_ee_hw },
 {  16728, ur_m649_swio11_noled_ee_ce_hw },
 {  16729, ur_m649_swio11_noled_ee_ce_hw },
 {  16730, ur_m649_swio11_lednop },
 {  16731, ur_m649_swio11_lednop_pr },
 {  16732, ur_m649_swio11_lednop_pr },
 {  16733, ur_m649_swio11_lednop_pr_ee },
 {  16734, ur_m649_swio11_lednop_pr_ee },
 {  16735, ur_m649_swio11_lednop_pr_ce },
 {  16736, ur_m649_swio11_lednop_pr_ce },
 {  16737, ur_m649_swio11_lednop_pr_ee_ce },
 {  16738, ur_m649_swio11_lednop_pr_ee_ce },
 {  16740, ur_m649_swio11_lednop_ee_hw },
 {  16742, ur_m649_swio11_lednop_ee_ce_hw },
 {  16743, ur_m649_swio11_lednop_ee_ce_hw },
 {  16744, ur_m649_swio11_dual },
 {  16745, ur_m649_swio11_dual },
 {  16746, ur_m649_swio11_dual },
 {  16747, ur_m649_swio11_dual_pr_ee },
 {  16748, ur_m649_swio11_dual_pr_ee_u4 },
 {  16749, ur_m649_swio11_dual_pr_ce },
 {  16750, ur_m649_swio11_dual_pr_ce },
 {  16751, ur_m649_swio11_dual_pr_ee_ce },
 {  16752, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  16754, ur_m649_swio11_dual_ee_hw },
 {  16756, ur_m649_swio11_dual_ee_ce_hw },
 {  16757, ur_m649_swio11_dual_ee_ce_hw },
 {  16758, ur_m649_swio11_noled },
 {  16759, ur_m649_swio11_noled_pr },
 {  16760, ur_m649_swio11_noled_pr },
 {  16761, ur_m649_swio11_noled_pr_ee },
 {  16762, ur_m649_swio11_noled_pr_ee },
 {  16763, ur_m649_swio11_noled_pr_ce },
 {  16764, ur_m649_swio11_noled_pr_ce },
 {  16765, ur_m649_swio11_noled_pr_ee_ce },
 {  16766, ur_m649_swio11_noled_pr_ee_ce },
 {  16768, ur_m649_swio11_noled_ee_hw },
 {  16770, ur_m649_swio11_noled_ee_ce_hw },
 {  16771, ur_m649_swio11_noled_ee_ce_hw },
 {  16772, ur_m649_swio11_lednop },
 {  16773, ur_m649_swio11_lednop_pr },
 {  16774, ur_m649_swio11_lednop_pr },
 {  16775, ur_m649_swio11_lednop_pr_ee },
 {  16776, ur_m649_swio11_lednop_pr_ee },
 {  16777, ur_m649_swio11_lednop_pr_ce },
 {  16778, ur_m649_swio11_lednop_pr_ce },
 {  16779, ur_m649_swio11_lednop_pr_ee_ce },
 {  16780, ur_m649_swio11_lednop_pr_ee_ce },
 {  16782, ur_m649_swio11_lednop_ee_hw },
 {  16784, ur_m649_swio11_lednop_ee_ce_hw },
 {  16785, ur_m649_swio11_lednop_ee_ce_hw },
 {  16786, ur_m649_swio11_dual },
 {  16787, ur_m649_swio11_dual },
 {  16788, ur_m649_swio11_dual },
 {  16789, ur_m649_swio11_dual_pr_ee },
 {  16790, ur_m649_swio11_dual_pr_ee_u4 },
 {  16791, ur_m649_swio11_dual_pr_ce },
 {  16792, ur_m649_swio11_dual_pr_ce },
 {  16793, ur_m649_swio11_dual_pr_ee_ce },
 {  16794, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  16796, ur_m649_swio11_dual_ee_hw },
 {  16798, ur_m649_swio11_dual_ee_ce_hw },
 {  16799, ur_m649_swio11_dual_ee_ce_hw },
 {  16800, ur_m649_swio13_noled },
 {  16801, ur_m649_swio13_noled_pr },
 {  16802, ur_m649_swio13_noled_pr },
 {  16803, ur_m649_swio13_noled_pr_ee },
 {  16804, ur_m649_swio13_noled_pr_ee },
 {  16805, ur_m649_swio13_noled_pr_ce },
 {  16806, ur_m649_swio13_noled_pr_ce },
 {  16807, ur_m649_swio13_noled_pr_ee_ce },
 {  16808, ur_m649_swio13_noled_pr_ee_ce },
 {  16810, ur_m649_swio13_noled_ee_hw },
 {  16812, ur_m649_swio13_noled_ee_ce_hw },
 {  16813, ur_m649_swio13_noled_ee_ce_hw },
 {  16814, ur_m649_swio13_lednop },
 {  16815, ur_m649_swio13_lednop_pr },
 {  16816, ur_m649_swio13_lednop_pr },
 {  16817, ur_m649_swio13_lednop_pr_ee },
 {  16818, ur_m649_swio13_lednop_pr_ee },
 {  16819, ur_m649_swio13_lednop_pr_ce },
 {  16820, ur_m649_swio13_lednop_pr_ce },
 {  16821, ur_m649_swio13_lednop_pr_ee_ce },
 {  16822, ur_m649_swio13_lednop_pr_ee_ce },
 {  16824, ur_m649_swio13_lednop_ee_hw },
 {  16826, ur_m649_swio13_lednop_ee_ce_hw },
 {  16827, ur_m649_swio13_lednop_ee_ce_hw },
 {  16828, ur_m649_swio13_dual },
 {  16829, ur_m649_swio13_dual },
 {  16830, ur_m649_swio13_dual },
 {  16831, ur_m649_swio13_dual_pr_ee },
 {  16832, ur_m649_swio13_dual_pr_ee_u4 },
 {  16833, ur_m649_swio13_dual_pr_ce },
 {  16834, ur_m649_swio13_dual_pr_ce_u4 },
 {  16835, ur_m649_swio13_dual_pr_ee_ce },
 {  16836, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  16838, ur_m649_swio13_dual_ee_hw },
 {  16840, ur_m649_swio13_dual_ee_ce_hw },
 {  16841, ur_m649_swio13_dual_ee_ce_hw },
 {  16842, ur_m649_swio14_noled },
 {  16843, ur_m649_swio14_noled_pr },
 {  16844, ur_m649_swio14_noled_pr },
 {  16845, ur_m649_swio14_noled_pr_ee },
 {  16846, ur_m649_swio14_noled_pr_ee },
 {  16847, ur_m649_swio14_noled_pr_ce },
 {  16848, ur_m649_swio14_noled_pr_ce },
 {  16849, ur_m649_swio14_noled_pr_ee_ce },
 {  16850, ur_m649_swio14_noled_pr_ee_ce },
 {  16852, ur_m649_swio14_noled_ee_hw },
 {  16854, ur_m649_swio14_noled_ee_ce_hw },
 {  16855, ur_m649_swio14_noled_ee_ce_hw },
 {  16856, ur_m649_swio14_lednop },
 {  16857, ur_m649_swio14_lednop_pr },
 {  16858, ur_m649_swio14_lednop_pr },
 {  16859, ur_m649_swio14_lednop_pr_ee },
 {  16860, ur_m649_swio14_lednop_pr_ee },
 {  16861, ur_m649_swio14_lednop_pr_ce },
 {  16862, ur_m649_swio14_lednop_pr_ce },
 {  16863, ur_m649_swio14_lednop_pr_ee_ce },
 {  16864, ur_m649_swio14_lednop_pr_ee_ce },
 {  16866, ur_m649_swio14_lednop_ee_hw },
 {  16868, ur_m649_swio14_lednop_ee_ce_hw },
 {  16869, ur_m649_swio14_lednop_ee_ce_hw },
 {  16870, ur_m649_swio14_dual },
 {  16871, ur_m649_swio14_dual },
 {  16872, ur_m649_swio14_dual },
 {  16873, ur_m649_swio14_dual_pr_ee },
 {  16874, ur_m649_swio14_dual_pr_ee_u4 },
 {  16875, ur_m649_swio14_dual_pr_ce },
 {  16876, ur_m649_swio14_dual_pr_ce },
 {  16877, ur_m649_swio14_dual_pr_ee_ce },
 {  16878, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  16880, ur_m649_swio14_dual_ee_hw },
 {  16882, ur_m649_swio14_dual_ee_ce_hw },
 {  16883, ur_m649_swio14_dual_ee_ce_hw },
 {  16884, ur_m649_swio15_noled },
 {  16885, ur_m649_swio15_noled_pr },
 {  16886, ur_m649_swio15_noled_pr },
 {  16887, ur_m649_swio15_noled_pr_ee },
 {  16888, ur_m649_swio15_noled_pr_ee },
 {  16889, ur_m649_swio15_noled_pr_ce },
 {  16890, ur_m649_swio15_noled_pr_ce },
 {  16891, ur_m649_swio15_noled_pr_ee_ce },
 {  16892, ur_m649_swio15_noled_pr_ee_ce },
 {  16894, ur_m649_swio15_noled_ee_hw },
 {  16896, ur_m649_swio15_noled_ee_ce_hw },
 {  16897, ur_m649_swio15_noled_ee_ce_hw },
 {  16898, ur_m649_swio15_lednop },
 {  16899, ur_m649_swio15_lednop_pr },
 {  16900, ur_m649_swio15_lednop_pr },
 {  16901, ur_m649_swio15_lednop_pr_ee },
 {  16902, ur_m649_swio15_lednop_pr_ee },
 {  16903, ur_m649_swio15_lednop_pr_ce },
 {  16904, ur_m649_swio15_lednop_pr_ce },
 {  16905, ur_m649_swio15_lednop_pr_ee_ce },
 {  16906, ur_m649_swio15_lednop_pr_ee_ce },
 {  16908, ur_m649_swio15_lednop_ee_hw },
 {  16910, ur_m649_swio15_lednop_ee_ce_hw },
 {  16911, ur_m649_swio15_lednop_ee_ce_hw },
 {  16912, ur_m649_swio15_dual },
 {  16913, ur_m649_swio15_dual },
 {  16914, ur_m649_swio15_dual },
 {  16915, ur_m649_swio15_dual_pr_ee },
 {  16916, ur_m649_swio15_dual_pr_ee_u4 },
 {  16917, ur_m649_swio15_dual_pr_ce },
 {  16918, ur_m649_swio15_dual_pr_ce_u4 },
 {  16919, ur_m649_swio15_dual_pr_ee_ce },
 {  16920, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  16922, ur_m649_swio15_dual_ee_hw },
 {  16924, ur_m649_swio15_dual_ee_ce_hw },
 {  16925, ur_m649_swio15_dual_ee_ce_hw },
 {  16926, ur_m649_autobaud_uart0_noled },
 {  16927, ur_m649_autobaud_uart0_noled },
 {  16928, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  16929, ur_m649_autobaud_uart0_noled_pr_ee },
 {  16930, ur_m649_autobaud_uart0_noled_pr_ee },
 {  16931, ur_m649_autobaud_uart0_noled_pr_ce },
 {  16932, ur_m649_autobaud_uart0_noled_pr_ce },
 {  16933, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  16934, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  16936, ur_m649_autobaud_uart0_noled_ee_hw },
 {  16938, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  16939, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  16940, ur_m649_autobaud_uart0_lednop },
 {  16941, ur_m649_autobaud_uart0_lednop_pr },
 {  16942, ur_m649_autobaud_uart0_lednop_pr },
 {  16943, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  16944, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  16945, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  16946, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  16947, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  16948, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  16950, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  16952, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  16953, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  16954, ur_m649_autobaud_uart0_dual },
 {  16955, ur_m649_autobaud_uart0_dual },
 {  16956, ur_m649_autobaud_uart0_dual },
 {  16957, ur_m649_autobaud_uart0_dual_pr_ee },
 {  16958, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  16959, ur_m649_autobaud_uart0_dual_pr_ce },
 {  16960, ur_m649_autobaud_uart0_dual_pr_ce },
 {  16961, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  16962, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  16964, ur_m649_autobaud_uart0_dual_ee_hw },
 {  16966, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  16967, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  17136, ur_m649_u1x8_uart0_noled },
 {  17137, ur_m649_u1x8_uart0_noled },
 {  17138, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  17139, ur_m649_u1x8_uart0_noled_pr_ee },
 {  17140, ur_m649_u1x8_uart0_noled_pr_ee },
 {  17141, ur_m649_u1x8_uart0_noled_pr_ce },
 {  17142, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  17143, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  17144, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  17146, ur_m649_u1x8_uart0_noled_ee_hw },
 {  17148, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  17149, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  17150, ur_m649_u1x8_uart0_lednop },
 {  17151, ur_m649_u1x8_uart0_lednop },
 {  17152, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  17153, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  17154, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  17155, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  17156, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  17157, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  17158, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  17160, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  17162, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  17163, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  17164, ur_m649_u1x8_uart0_dual },
 {  17165, ur_m649_u1x8_uart0_dual },
 {  17166, ur_m649_u1x8_uart0_dual },
 {  17167, ur_m649_u1x8_uart0_dual_pr_ee },
 {  17168, ur_m649_u1x8_uart0_dual_pr_ee },
 {  17169, ur_m649_u1x8_uart0_dual_pr_ce },
 {  17170, ur_m649_u1x8_uart0_dual_pr_ce },
 {  17171, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  17172, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  17174, ur_m649_u1x8_uart0_dual_ee_hw },
 {  17176, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  17177, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  17346, ur_m649_u1x12_uart0_noled },
 {  17347, ur_m649_u1x12_uart0_noled },
 {  17348, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  17349, ur_m649_u1x12_uart0_noled_pr_ee },
 {  17350, ur_m649_u1x12_uart0_noled_pr_ee },
 {  17351, ur_m649_u1x12_uart0_noled_pr_ce },
 {  17352, ur_m649_u1x12_uart0_noled_pr_ce },
 {  17353, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  17354, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  17356, ur_m649_u1x12_uart0_noled_ee_hw },
 {  17358, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  17359, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  17360, ur_m649_u1x12_uart0_lednop },
 {  17361, ur_m649_u1x12_uart0_lednop },
 {  17362, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  17363, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  17364, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  17365, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  17366, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  17367, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  17368, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  17370, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  17372, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  17373, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  17374, ur_m649_u1x12_uart0_dual },
 {  17375, ur_m649_u1x12_uart0_dual },
 {  17376, ur_m649_u1x12_uart0_dual },
 {  17377, ur_m649_u1x12_uart0_dual_pr_ee },
 {  17378, ur_m649_u1x12_uart0_dual_pr_ee },
 {  17379, ur_m649_u1x12_uart0_dual_pr_ce },
 {  17380, ur_m649_u1x12_uart0_dual_pr_ce },
 {  17381, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  17382, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  17384, ur_m649_u1x12_uart0_dual_ee_hw },
 {  17386, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  17387, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  17556, ur_m649_u2x8_uart0_noled },
 {  17557, ur_m649_u2x8_uart0_noled },
 {  17558, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  17559, ur_m649_u2x8_uart0_noled_pr_ee },
 {  17560, ur_m649_u2x8_uart0_noled_pr_ee },
 {  17561, ur_m649_u2x8_uart0_noled_pr_ce },
 {  17562, ur_m649_u2x8_uart0_noled_pr_ce },
 {  17563, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  17564, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  17566, ur_m649_u2x8_uart0_noled_ee_hw },
 {  17568, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  17569, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  17570, ur_m649_u2x8_uart0_lednop },
 {  17571, ur_m649_u2x8_uart0_lednop },
 {  17572, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  17573, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  17574, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  17575, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  17576, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  17577, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  17578, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  17580, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  17582, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  17583, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  17584, ur_m649_u2x8_uart0_dual },
 {  17585, ur_m649_u2x8_uart0_dual },
 {  17586, ur_m649_u2x8_uart0_dual },
 {  17587, ur_m649_u2x8_uart0_dual_pr_ee },
 {  17588, ur_m649_u2x8_uart0_dual_pr_ee },
 {  17589, ur_m649_u2x8_uart0_dual_pr_ce },
 {  17590, ur_m649_u2x8_uart0_dual_pr_ce },
 {  17591, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  17592, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  17594, ur_m649_u2x8_uart0_dual_ee_hw },
 {  17596, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  17597, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  17766, ur_m649_u2x12_uart0_noled },
 {  17767, ur_m649_u2x12_uart0_noled },
 {  17768, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  17769, ur_m649_u2x12_uart0_noled_pr_ee },
 {  17770, ur_m649_u2x12_uart0_noled_pr_ee },
 {  17771, ur_m649_u2x12_uart0_noled_pr_ce },
 {  17772, ur_m649_u2x12_uart0_noled_pr_ce },
 {  17773, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  17774, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  17776, ur_m649_u2x12_uart0_noled_ee_hw },
 {  17778, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  17779, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  17780, ur_m649_u2x12_uart0_lednop },
 {  17781, ur_m649_u2x12_uart0_lednop },
 {  17782, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  17783, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  17784, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  17785, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  17786, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  17787, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  17788, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  17790, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  17792, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  17793, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  17794, ur_m649_u2x12_uart0_dual },
 {  17795, ur_m649_u2x12_uart0_dual },
 {  17796, ur_m649_u2x12_uart0_dual },
 {  17797, ur_m649_u2x12_uart0_dual_pr_ee },
 {  17798, ur_m649_u2x12_uart0_dual_pr_ee },
 {  17799, ur_m649_u2x12_uart0_dual_pr_ce },
 {  17800, ur_m649_u2x12_uart0_dual_pr_ce },
 {  17801, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  17802, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  17804, ur_m649_u2x12_uart0_dual_ee_hw },
 {  17806, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  17807, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  17976, ur_m649_swio10_noled },
 {  17977, ur_m649_swio10_noled_pr },
 {  17978, ur_m649_swio10_noled_pr },
 {  17979, ur_m649_swio10_noled_pr_ee },
 {  17980, ur_m649_swio10_noled_pr_ee },
 {  17981, ur_m649_swio10_noled_pr_ce },
 {  17982, ur_m649_swio10_noled_pr_ce },
 {  17983, ur_m649_swio10_noled_pr_ee_ce },
 {  17984, ur_m649_swio10_noled_pr_ee_ce },
 {  17986, ur_m649_swio10_noled_ee_hw },
 {  17988, ur_m649_swio10_noled_ee_ce_hw },
 {  17989, ur_m649_swio10_noled_ee_ce_hw },
 {  17990, ur_m649_swio10_lednop },
 {  17991, ur_m649_swio10_lednop_pr },
 {  17992, ur_m649_swio10_lednop_pr },
 {  17993, ur_m649_swio10_lednop_pr_ee },
 {  17994, ur_m649_swio10_lednop_pr_ee },
 {  17995, ur_m649_swio10_lednop_pr_ce },
 {  17996, ur_m649_swio10_lednop_pr_ce },
 {  17997, ur_m649_swio10_lednop_pr_ee_ce },
 {  17998, ur_m649_swio10_lednop_pr_ee_ce },
 {  18000, ur_m649_swio10_lednop_ee_hw },
 {  18002, ur_m649_swio10_lednop_ee_ce_hw },
 {  18003, ur_m649_swio10_lednop_ee_ce_hw },
 {  18004, ur_m649_swio10_dual },
 {  18005, ur_m649_swio10_dual },
 {  18006, ur_m649_swio10_dual },
 {  18007, ur_m649_swio10_dual_pr_ee },
 {  18008, ur_m649_swio10_dual_pr_ee_u4 },
 {  18009, ur_m649_swio10_dual_pr_ce },
 {  18010, ur_m649_swio10_dual_pr_ce },
 {  18011, ur_m649_swio10_dual_pr_ee_ce },
 {  18012, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  18014, ur_m649_swio10_dual_ee_hw },
 {  18016, ur_m649_swio10_dual_ee_ce_hw },
 {  18017, ur_m649_swio10_dual_ee_ce_hw },
 {  18018, ur_m649_swio11_noled },
 {  18019, ur_m649_swio11_noled_pr },
 {  18020, ur_m649_swio11_noled_pr },
 {  18021, ur_m649_swio11_noled_pr_ee },
 {  18022, ur_m649_swio11_noled_pr_ee },
 {  18023, ur_m649_swio11_noled_pr_ce },
 {  18024, ur_m649_swio11_noled_pr_ce },
 {  18025, ur_m649_swio11_noled_pr_ee_ce },
 {  18026, ur_m649_swio11_noled_pr_ee_ce },
 {  18028, ur_m649_swio11_noled_ee_hw },
 {  18030, ur_m649_swio11_noled_ee_ce_hw },
 {  18031, ur_m649_swio11_noled_ee_ce_hw },
 {  18032, ur_m649_swio11_lednop },
 {  18033, ur_m649_swio11_lednop_pr },
 {  18034, ur_m649_swio11_lednop_pr },
 {  18035, ur_m649_swio11_lednop_pr_ee },
 {  18036, ur_m649_swio11_lednop_pr_ee },
 {  18037, ur_m649_swio11_lednop_pr_ce },
 {  18038, ur_m649_swio11_lednop_pr_ce },
 {  18039, ur_m649_swio11_lednop_pr_ee_ce },
 {  18040, ur_m649_swio11_lednop_pr_ee_ce },
 {  18042, ur_m649_swio11_lednop_ee_hw },
 {  18044, ur_m649_swio11_lednop_ee_ce_hw },
 {  18045, ur_m649_swio11_lednop_ee_ce_hw },
 {  18046, ur_m649_swio11_dual },
 {  18047, ur_m649_swio11_dual },
 {  18048, ur_m649_swio11_dual },
 {  18049, ur_m649_swio11_dual_pr_ee },
 {  18050, ur_m649_swio11_dual_pr_ee_u4 },
 {  18051, ur_m649_swio11_dual_pr_ce },
 {  18052, ur_m649_swio11_dual_pr_ce },
 {  18053, ur_m649_swio11_dual_pr_ee_ce },
 {  18054, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  18056, ur_m649_swio11_dual_ee_hw },
 {  18058, ur_m649_swio11_dual_ee_ce_hw },
 {  18059, ur_m649_swio11_dual_ee_ce_hw },
 {  18060, ur_m649_swio11_noled },
 {  18061, ur_m649_swio11_noled_pr },
 {  18062, ur_m649_swio11_noled_pr },
 {  18063, ur_m649_swio11_noled_pr_ee },
 {  18064, ur_m649_swio11_noled_pr_ee },
 {  18065, ur_m649_swio11_noled_pr_ce },
 {  18066, ur_m649_swio11_noled_pr_ce },
 {  18067, ur_m649_swio11_noled_pr_ee_ce },
 {  18068, ur_m649_swio11_noled_pr_ee_ce },
 {  18070, ur_m649_swio11_noled_ee_hw },
 {  18072, ur_m649_swio11_noled_ee_ce_hw },
 {  18073, ur_m649_swio11_noled_ee_ce_hw },
 {  18074, ur_m649_swio11_lednop },
 {  18075, ur_m649_swio11_lednop_pr },
 {  18076, ur_m649_swio11_lednop_pr },
 {  18077, ur_m649_swio11_lednop_pr_ee },
 {  18078, ur_m649_swio11_lednop_pr_ee },
 {  18079, ur_m649_swio11_lednop_pr_ce },
 {  18080, ur_m649_swio11_lednop_pr_ce },
 {  18081, ur_m649_swio11_lednop_pr_ee_ce },
 {  18082, ur_m649_swio11_lednop_pr_ee_ce },
 {  18084, ur_m649_swio11_lednop_ee_hw },
 {  18086, ur_m649_swio11_lednop_ee_ce_hw },
 {  18087, ur_m649_swio11_lednop_ee_ce_hw },
 {  18088, ur_m649_swio11_dual },
 {  18089, ur_m649_swio11_dual },
 {  18090, ur_m649_swio11_dual },
 {  18091, ur_m649_swio11_dual_pr_ee },
 {  18092, ur_m649_swio11_dual_pr_ee_u4 },
 {  18093, ur_m649_swio11_dual_pr_ce },
 {  18094, ur_m649_swio11_dual_pr_ce },
 {  18095, ur_m649_swio11_dual_pr_ee_ce },
 {  18096, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  18098, ur_m649_swio11_dual_ee_hw },
 {  18100, ur_m649_swio11_dual_ee_ce_hw },
 {  18101, ur_m649_swio11_dual_ee_ce_hw },
 {  18102, ur_m649_swio13_noled },
 {  18103, ur_m649_swio13_noled_pr },
 {  18104, ur_m649_swio13_noled_pr },
 {  18105, ur_m649_swio13_noled_pr_ee },
 {  18106, ur_m649_swio13_noled_pr_ee },
 {  18107, ur_m649_swio13_noled_pr_ce },
 {  18108, ur_m649_swio13_noled_pr_ce },
 {  18109, ur_m649_swio13_noled_pr_ee_ce },
 {  18110, ur_m649_swio13_noled_pr_ee_ce },
 {  18112, ur_m649_swio13_noled_ee_hw },
 {  18114, ur_m649_swio13_noled_ee_ce_hw },
 {  18115, ur_m649_swio13_noled_ee_ce_hw },
 {  18116, ur_m649_swio13_lednop },
 {  18117, ur_m649_swio13_lednop_pr },
 {  18118, ur_m649_swio13_lednop_pr },
 {  18119, ur_m649_swio13_lednop_pr_ee },
 {  18120, ur_m649_swio13_lednop_pr_ee },
 {  18121, ur_m649_swio13_lednop_pr_ce },
 {  18122, ur_m649_swio13_lednop_pr_ce },
 {  18123, ur_m649_swio13_lednop_pr_ee_ce },
 {  18124, ur_m649_swio13_lednop_pr_ee_ce },
 {  18126, ur_m649_swio13_lednop_ee_hw },
 {  18128, ur_m649_swio13_lednop_ee_ce_hw },
 {  18129, ur_m649_swio13_lednop_ee_ce_hw },
 {  18130, ur_m649_swio13_dual },
 {  18131, ur_m649_swio13_dual },
 {  18132, ur_m649_swio13_dual },
 {  18133, ur_m649_swio13_dual_pr_ee },
 {  18134, ur_m649_swio13_dual_pr_ee_u4 },
 {  18135, ur_m649_swio13_dual_pr_ce },
 {  18136, ur_m649_swio13_dual_pr_ce_u4 },
 {  18137, ur_m649_swio13_dual_pr_ee_ce },
 {  18138, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  18140, ur_m649_swio13_dual_ee_hw },
 {  18142, ur_m649_swio13_dual_ee_ce_hw },
 {  18143, ur_m649_swio13_dual_ee_ce_hw },
 {  18144, ur_m649_swio14_noled },
 {  18145, ur_m649_swio14_noled_pr },
 {  18146, ur_m649_swio14_noled_pr },
 {  18147, ur_m649_swio14_noled_pr_ee },
 {  18148, ur_m649_swio14_noled_pr_ee },
 {  18149, ur_m649_swio14_noled_pr_ce },
 {  18150, ur_m649_swio14_noled_pr_ce },
 {  18151, ur_m649_swio14_noled_pr_ee_ce },
 {  18152, ur_m649_swio14_noled_pr_ee_ce },
 {  18154, ur_m649_swio14_noled_ee_hw },
 {  18156, ur_m649_swio14_noled_ee_ce_hw },
 {  18157, ur_m649_swio14_noled_ee_ce_hw },
 {  18158, ur_m649_swio14_lednop },
 {  18159, ur_m649_swio14_lednop_pr },
 {  18160, ur_m649_swio14_lednop_pr },
 {  18161, ur_m649_swio14_lednop_pr_ee },
 {  18162, ur_m649_swio14_lednop_pr_ee },
 {  18163, ur_m649_swio14_lednop_pr_ce },
 {  18164, ur_m649_swio14_lednop_pr_ce },
 {  18165, ur_m649_swio14_lednop_pr_ee_ce },
 {  18166, ur_m649_swio14_lednop_pr_ee_ce },
 {  18168, ur_m649_swio14_lednop_ee_hw },
 {  18170, ur_m649_swio14_lednop_ee_ce_hw },
 {  18171, ur_m649_swio14_lednop_ee_ce_hw },
 {  18172, ur_m649_swio14_dual },
 {  18173, ur_m649_swio14_dual },
 {  18174, ur_m649_swio14_dual },
 {  18175, ur_m649_swio14_dual_pr_ee },
 {  18176, ur_m649_swio14_dual_pr_ee_u4 },
 {  18177, ur_m649_swio14_dual_pr_ce },
 {  18178, ur_m649_swio14_dual_pr_ce },
 {  18179, ur_m649_swio14_dual_pr_ee_ce },
 {  18180, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  18182, ur_m649_swio14_dual_ee_hw },
 {  18184, ur_m649_swio14_dual_ee_ce_hw },
 {  18185, ur_m649_swio14_dual_ee_ce_hw },
 {  18186, ur_m649_swio15_noled },
 {  18187, ur_m649_swio15_noled_pr },
 {  18188, ur_m649_swio15_noled_pr },
 {  18189, ur_m649_swio15_noled_pr_ee },
 {  18190, ur_m649_swio15_noled_pr_ee },
 {  18191, ur_m649_swio15_noled_pr_ce },
 {  18192, ur_m649_swio15_noled_pr_ce },
 {  18193, ur_m649_swio15_noled_pr_ee_ce },
 {  18194, ur_m649_swio15_noled_pr_ee_ce },
 {  18196, ur_m649_swio15_noled_ee_hw },
 {  18198, ur_m649_swio15_noled_ee_ce_hw },
 {  18199, ur_m649_swio15_noled_ee_ce_hw },
 {  18200, ur_m649_swio15_lednop },
 {  18201, ur_m649_swio15_lednop_pr },
 {  18202, ur_m649_swio15_lednop_pr },
 {  18203, ur_m649_swio15_lednop_pr_ee },
 {  18204, ur_m649_swio15_lednop_pr_ee },
 {  18205, ur_m649_swio15_lednop_pr_ce },
 {  18206, ur_m649_swio15_lednop_pr_ce },
 {  18207, ur_m649_swio15_lednop_pr_ee_ce },
 {  18208, ur_m649_swio15_lednop_pr_ee_ce },
 {  18210, ur_m649_swio15_lednop_ee_hw },
 {  18212, ur_m649_swio15_lednop_ee_ce_hw },
 {  18213, ur_m649_swio15_lednop_ee_ce_hw },
 {  18214, ur_m649_swio15_dual },
 {  18215, ur_m649_swio15_dual },
 {  18216, ur_m649_swio15_dual },
 {  18217, ur_m649_swio15_dual_pr_ee },
 {  18218, ur_m649_swio15_dual_pr_ee_u4 },
 {  18219, ur_m649_swio15_dual_pr_ce },
 {  18220, ur_m649_swio15_dual_pr_ce_u4 },
 {  18221, ur_m649_swio15_dual_pr_ee_ce },
 {  18222, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  18224, ur_m649_swio15_dual_ee_hw },
 {  18226, ur_m649_swio15_dual_ee_ce_hw },
 {  18227, ur_m649_swio15_dual_ee_ce_hw },
 {  18228, ur_m649_autobaud_uart0_noled },
 {  18229, ur_m649_autobaud_uart0_noled },
 {  18230, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  18231, ur_m649_autobaud_uart0_noled_pr_ee },
 {  18232, ur_m649_autobaud_uart0_noled_pr_ee },
 {  18233, ur_m649_autobaud_uart0_noled_pr_ce },
 {  18234, ur_m649_autobaud_uart0_noled_pr_ce },
 {  18235, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  18236, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  18238, ur_m649_autobaud_uart0_noled_ee_hw },
 {  18240, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  18241, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  18242, ur_m649_autobaud_uart0_lednop },
 {  18243, ur_m649_autobaud_uart0_lednop_pr },
 {  18244, ur_m649_autobaud_uart0_lednop_pr },
 {  18245, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  18246, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  18247, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  18248, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  18249, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  18250, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  18252, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  18254, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  18255, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  18256, ur_m649_autobaud_uart0_dual },
 {  18257, ur_m649_autobaud_uart0_dual },
 {  18258, ur_m649_autobaud_uart0_dual },
 {  18259, ur_m649_autobaud_uart0_dual_pr_ee },
 {  18260, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  18261, ur_m649_autobaud_uart0_dual_pr_ce },
 {  18262, ur_m649_autobaud_uart0_dual_pr_ce },
 {  18263, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  18264, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  18266, ur_m649_autobaud_uart0_dual_ee_hw },
 {  18268, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  18269, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  18438, ur_m649_u1x8_uart0_noled },
 {  18439, ur_m649_u1x8_uart0_noled },
 {  18440, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  18441, ur_m649_u1x8_uart0_noled_pr_ee },
 {  18442, ur_m649_u1x8_uart0_noled_pr_ee },
 {  18443, ur_m649_u1x8_uart0_noled_pr_ce },
 {  18444, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  18445, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  18446, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  18448, ur_m649_u1x8_uart0_noled_ee_hw },
 {  18450, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  18451, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  18452, ur_m649_u1x8_uart0_lednop },
 {  18453, ur_m649_u1x8_uart0_lednop },
 {  18454, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  18455, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  18456, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  18457, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  18458, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  18459, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  18460, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  18462, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  18464, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  18465, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  18466, ur_m649_u1x8_uart0_dual },
 {  18467, ur_m649_u1x8_uart0_dual },
 {  18468, ur_m649_u1x8_uart0_dual },
 {  18469, ur_m649_u1x8_uart0_dual_pr_ee },
 {  18470, ur_m649_u1x8_uart0_dual_pr_ee },
 {  18471, ur_m649_u1x8_uart0_dual_pr_ce },
 {  18472, ur_m649_u1x8_uart0_dual_pr_ce },
 {  18473, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  18474, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  18476, ur_m649_u1x8_uart0_dual_ee_hw },
 {  18478, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  18479, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  18648, ur_m649_u1x12_uart0_noled },
 {  18649, ur_m649_u1x12_uart0_noled },
 {  18650, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  18651, ur_m649_u1x12_uart0_noled_pr_ee },
 {  18652, ur_m649_u1x12_uart0_noled_pr_ee },
 {  18653, ur_m649_u1x12_uart0_noled_pr_ce },
 {  18654, ur_m649_u1x12_uart0_noled_pr_ce },
 {  18655, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  18656, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  18658, ur_m649_u1x12_uart0_noled_ee_hw },
 {  18660, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  18661, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  18662, ur_m649_u1x12_uart0_lednop },
 {  18663, ur_m649_u1x12_uart0_lednop },
 {  18664, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  18665, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  18666, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  18667, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  18668, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  18669, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  18670, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  18672, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  18674, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  18675, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  18676, ur_m649_u1x12_uart0_dual },
 {  18677, ur_m649_u1x12_uart0_dual },
 {  18678, ur_m649_u1x12_uart0_dual },
 {  18679, ur_m649_u1x12_uart0_dual_pr_ee },
 {  18680, ur_m649_u1x12_uart0_dual_pr_ee },
 {  18681, ur_m649_u1x12_uart0_dual_pr_ce },
 {  18682, ur_m649_u1x12_uart0_dual_pr_ce },
 {  18683, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  18684, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  18686, ur_m649_u1x12_uart0_dual_ee_hw },
 {  18688, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  18689, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  18858, ur_m649_u2x8_uart0_noled },
 {  18859, ur_m649_u2x8_uart0_noled },
 {  18860, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  18861, ur_m649_u2x8_uart0_noled_pr_ee },
 {  18862, ur_m649_u2x8_uart0_noled_pr_ee },
 {  18863, ur_m649_u2x8_uart0_noled_pr_ce },
 {  18864, ur_m649_u2x8_uart0_noled_pr_ce },
 {  18865, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  18866, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  18868, ur_m649_u2x8_uart0_noled_ee_hw },
 {  18870, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  18871, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  18872, ur_m649_u2x8_uart0_lednop },
 {  18873, ur_m649_u2x8_uart0_lednop },
 {  18874, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  18875, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  18876, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  18877, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  18878, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  18879, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  18880, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  18882, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  18884, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  18885, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  18886, ur_m649_u2x8_uart0_dual },
 {  18887, ur_m649_u2x8_uart0_dual },
 {  18888, ur_m649_u2x8_uart0_dual },
 {  18889, ur_m649_u2x8_uart0_dual_pr_ee },
 {  18890, ur_m649_u2x8_uart0_dual_pr_ee },
 {  18891, ur_m649_u2x8_uart0_dual_pr_ce },
 {  18892, ur_m649_u2x8_uart0_dual_pr_ce },
 {  18893, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  18894, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  18896, ur_m649_u2x8_uart0_dual_ee_hw },
 {  18898, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  18899, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  19068, ur_m649_u2x12_uart0_noled },
 {  19069, ur_m649_u2x12_uart0_noled },
 {  19070, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  19071, ur_m649_u2x12_uart0_noled_pr_ee },
 {  19072, ur_m649_u2x12_uart0_noled_pr_ee },
 {  19073, ur_m649_u2x12_uart0_noled_pr_ce },
 {  19074, ur_m649_u2x12_uart0_noled_pr_ce },
 {  19075, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  19076, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  19078, ur_m649_u2x12_uart0_noled_ee_hw },
 {  19080, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  19081, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  19082, ur_m649_u2x12_uart0_lednop },
 {  19083, ur_m649_u2x12_uart0_lednop },
 {  19084, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  19085, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  19086, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  19087, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  19088, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  19089, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  19090, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  19092, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  19094, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  19095, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  19096, ur_m649_u2x12_uart0_dual },
 {  19097, ur_m649_u2x12_uart0_dual },
 {  19098, ur_m649_u2x12_uart0_dual },
 {  19099, ur_m649_u2x12_uart0_dual_pr_ee },
 {  19100, ur_m649_u2x12_uart0_dual_pr_ee },
 {  19101, ur_m649_u2x12_uart0_dual_pr_ce },
 {  19102, ur_m649_u2x12_uart0_dual_pr_ce },
 {  19103, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  19104, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  19106, ur_m649_u2x12_uart0_dual_ee_hw },
 {  19108, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  19109, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  19278, ur_m649_swio10_noled },
 {  19279, ur_m649_swio10_noled_pr },
 {  19280, ur_m649_swio10_noled_pr },
 {  19281, ur_m649_swio10_noled_pr_ee },
 {  19282, ur_m649_swio10_noled_pr_ee },
 {  19283, ur_m649_swio10_noled_pr_ce },
 {  19284, ur_m649_swio10_noled_pr_ce },
 {  19285, ur_m649_swio10_noled_pr_ee_ce },
 {  19286, ur_m649_swio10_noled_pr_ee_ce },
 {  19288, ur_m649_swio10_noled_ee_hw },
 {  19290, ur_m649_swio10_noled_ee_ce_hw },
 {  19291, ur_m649_swio10_noled_ee_ce_hw },
 {  19292, ur_m649_swio10_lednop },
 {  19293, ur_m649_swio10_lednop_pr },
 {  19294, ur_m649_swio10_lednop_pr },
 {  19295, ur_m649_swio10_lednop_pr_ee },
 {  19296, ur_m649_swio10_lednop_pr_ee },
 {  19297, ur_m649_swio10_lednop_pr_ce },
 {  19298, ur_m649_swio10_lednop_pr_ce },
 {  19299, ur_m649_swio10_lednop_pr_ee_ce },
 {  19300, ur_m649_swio10_lednop_pr_ee_ce },
 {  19302, ur_m649_swio10_lednop_ee_hw },
 {  19304, ur_m649_swio10_lednop_ee_ce_hw },
 {  19305, ur_m649_swio10_lednop_ee_ce_hw },
 {  19306, ur_m649_swio10_dual },
 {  19307, ur_m649_swio10_dual },
 {  19308, ur_m649_swio10_dual },
 {  19309, ur_m649_swio10_dual_pr_ee },
 {  19310, ur_m649_swio10_dual_pr_ee_u4 },
 {  19311, ur_m649_swio10_dual_pr_ce },
 {  19312, ur_m649_swio10_dual_pr_ce },
 {  19313, ur_m649_swio10_dual_pr_ee_ce },
 {  19314, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  19316, ur_m649_swio10_dual_ee_hw },
 {  19318, ur_m649_swio10_dual_ee_ce_hw },
 {  19319, ur_m649_swio10_dual_ee_ce_hw },
 {  19320, ur_m649_swio11_noled },
 {  19321, ur_m649_swio11_noled_pr },
 {  19322, ur_m649_swio11_noled_pr },
 {  19323, ur_m649_swio11_noled_pr_ee },
 {  19324, ur_m649_swio11_noled_pr_ee },
 {  19325, ur_m649_swio11_noled_pr_ce },
 {  19326, ur_m649_swio11_noled_pr_ce },
 {  19327, ur_m649_swio11_noled_pr_ee_ce },
 {  19328, ur_m649_swio11_noled_pr_ee_ce },
 {  19330, ur_m649_swio11_noled_ee_hw },
 {  19332, ur_m649_swio11_noled_ee_ce_hw },
 {  19333, ur_m649_swio11_noled_ee_ce_hw },
 {  19334, ur_m649_swio11_lednop },
 {  19335, ur_m649_swio11_lednop_pr },
 {  19336, ur_m649_swio11_lednop_pr },
 {  19337, ur_m649_swio11_lednop_pr_ee },
 {  19338, ur_m649_swio11_lednop_pr_ee },
 {  19339, ur_m649_swio11_lednop_pr_ce },
 {  19340, ur_m649_swio11_lednop_pr_ce },
 {  19341, ur_m649_swio11_lednop_pr_ee_ce },
 {  19342, ur_m649_swio11_lednop_pr_ee_ce },
 {  19344, ur_m649_swio11_lednop_ee_hw },
 {  19346, ur_m649_swio11_lednop_ee_ce_hw },
 {  19347, ur_m649_swio11_lednop_ee_ce_hw },
 {  19348, ur_m649_swio11_dual },
 {  19349, ur_m649_swio11_dual },
 {  19350, ur_m649_swio11_dual },
 {  19351, ur_m649_swio11_dual_pr_ee },
 {  19352, ur_m649_swio11_dual_pr_ee_u4 },
 {  19353, ur_m649_swio11_dual_pr_ce },
 {  19354, ur_m649_swio11_dual_pr_ce },
 {  19355, ur_m649_swio11_dual_pr_ee_ce },
 {  19356, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  19358, ur_m649_swio11_dual_ee_hw },
 {  19360, ur_m649_swio11_dual_ee_ce_hw },
 {  19361, ur_m649_swio11_dual_ee_ce_hw },
 {  19362, ur_m649_swio11_noled },
 {  19363, ur_m649_swio11_noled_pr },
 {  19364, ur_m649_swio11_noled_pr },
 {  19365, ur_m649_swio11_noled_pr_ee },
 {  19366, ur_m649_swio11_noled_pr_ee },
 {  19367, ur_m649_swio11_noled_pr_ce },
 {  19368, ur_m649_swio11_noled_pr_ce },
 {  19369, ur_m649_swio11_noled_pr_ee_ce },
 {  19370, ur_m649_swio11_noled_pr_ee_ce },
 {  19372, ur_m649_swio11_noled_ee_hw },
 {  19374, ur_m649_swio11_noled_ee_ce_hw },
 {  19375, ur_m649_swio11_noled_ee_ce_hw },
 {  19376, ur_m649_swio11_lednop },
 {  19377, ur_m649_swio11_lednop_pr },
 {  19378, ur_m649_swio11_lednop_pr },
 {  19379, ur_m649_swio11_lednop_pr_ee },
 {  19380, ur_m649_swio11_lednop_pr_ee },
 {  19381, ur_m649_swio11_lednop_pr_ce },
 {  19382, ur_m649_swio11_lednop_pr_ce },
 {  19383, ur_m649_swio11_lednop_pr_ee_ce },
 {  19384, ur_m649_swio11_lednop_pr_ee_ce },
 {  19386, ur_m649_swio11_lednop_ee_hw },
 {  19388, ur_m649_swio11_lednop_ee_ce_hw },
 {  19389, ur_m649_swio11_lednop_ee_ce_hw },
 {  19390, ur_m649_swio11_dual },
 {  19391, ur_m649_swio11_dual },
 {  19392, ur_m649_swio11_dual },
 {  19393, ur_m649_swio11_dual_pr_ee },
 {  19394, ur_m649_swio11_dual_pr_ee_u4 },
 {  19395, ur_m649_swio11_dual_pr_ce },
 {  19396, ur_m649_swio11_dual_pr_ce },
 {  19397, ur_m649_swio11_dual_pr_ee_ce },
 {  19398, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  19400, ur_m649_swio11_dual_ee_hw },
 {  19402, ur_m649_swio11_dual_ee_ce_hw },
 {  19403, ur_m649_swio11_dual_ee_ce_hw },
 {  19404, ur_m649_swio13_noled },
 {  19405, ur_m649_swio13_noled_pr },
 {  19406, ur_m649_swio13_noled_pr },
 {  19407, ur_m649_swio13_noled_pr_ee },
 {  19408, ur_m649_swio13_noled_pr_ee },
 {  19409, ur_m649_swio13_noled_pr_ce },
 {  19410, ur_m649_swio13_noled_pr_ce },
 {  19411, ur_m649_swio13_noled_pr_ee_ce },
 {  19412, ur_m649_swio13_noled_pr_ee_ce },
 {  19414, ur_m649_swio13_noled_ee_hw },
 {  19416, ur_m649_swio13_noled_ee_ce_hw },
 {  19417, ur_m649_swio13_noled_ee_ce_hw },
 {  19418, ur_m649_swio13_lednop },
 {  19419, ur_m649_swio13_lednop_pr },
 {  19420, ur_m649_swio13_lednop_pr },
 {  19421, ur_m649_swio13_lednop_pr_ee },
 {  19422, ur_m649_swio13_lednop_pr_ee },
 {  19423, ur_m649_swio13_lednop_pr_ce },
 {  19424, ur_m649_swio13_lednop_pr_ce },
 {  19425, ur_m649_swio13_lednop_pr_ee_ce },
 {  19426, ur_m649_swio13_lednop_pr_ee_ce },
 {  19428, ur_m649_swio13_lednop_ee_hw },
 {  19430, ur_m649_swio13_lednop_ee_ce_hw },
 {  19431, ur_m649_swio13_lednop_ee_ce_hw },
 {  19432, ur_m649_swio13_dual },
 {  19433, ur_m649_swio13_dual },
 {  19434, ur_m649_swio13_dual },
 {  19435, ur_m649_swio13_dual_pr_ee },
 {  19436, ur_m649_swio13_dual_pr_ee_u4 },
 {  19437, ur_m649_swio13_dual_pr_ce },
 {  19438, ur_m649_swio13_dual_pr_ce_u4 },
 {  19439, ur_m649_swio13_dual_pr_ee_ce },
 {  19440, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  19442, ur_m649_swio13_dual_ee_hw },
 {  19444, ur_m649_swio13_dual_ee_ce_hw },
 {  19445, ur_m649_swio13_dual_ee_ce_hw },
 {  19446, ur_m649_swio14_noled },
 {  19447, ur_m649_swio14_noled_pr },
 {  19448, ur_m649_swio14_noled_pr },
 {  19449, ur_m649_swio14_noled_pr_ee },
 {  19450, ur_m649_swio14_noled_pr_ee },
 {  19451, ur_m649_swio14_noled_pr_ce },
 {  19452, ur_m649_swio14_noled_pr_ce },
 {  19453, ur_m649_swio14_noled_pr_ee_ce },
 {  19454, ur_m649_swio14_noled_pr_ee_ce },
 {  19456, ur_m649_swio14_noled_ee_hw },
 {  19458, ur_m649_swio14_noled_ee_ce_hw },
 {  19459, ur_m649_swio14_noled_ee_ce_hw },
 {  19460, ur_m649_swio14_lednop },
 {  19461, ur_m649_swio14_lednop_pr },
 {  19462, ur_m649_swio14_lednop_pr },
 {  19463, ur_m649_swio14_lednop_pr_ee },
 {  19464, ur_m649_swio14_lednop_pr_ee },
 {  19465, ur_m649_swio14_lednop_pr_ce },
 {  19466, ur_m649_swio14_lednop_pr_ce },
 {  19467, ur_m649_swio14_lednop_pr_ee_ce },
 {  19468, ur_m649_swio14_lednop_pr_ee_ce },
 {  19470, ur_m649_swio14_lednop_ee_hw },
 {  19472, ur_m649_swio14_lednop_ee_ce_hw },
 {  19473, ur_m649_swio14_lednop_ee_ce_hw },
 {  19474, ur_m649_swio14_dual },
 {  19475, ur_m649_swio14_dual },
 {  19476, ur_m649_swio14_dual },
 {  19477, ur_m649_swio14_dual_pr_ee },
 {  19478, ur_m649_swio14_dual_pr_ee_u4 },
 {  19479, ur_m649_swio14_dual_pr_ce },
 {  19480, ur_m649_swio14_dual_pr_ce },
 {  19481, ur_m649_swio14_dual_pr_ee_ce },
 {  19482, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  19484, ur_m649_swio14_dual_ee_hw },
 {  19486, ur_m649_swio14_dual_ee_ce_hw },
 {  19487, ur_m649_swio14_dual_ee_ce_hw },
 {  19488, ur_m649_swio15_noled },
 {  19489, ur_m649_swio15_noled_pr },
 {  19490, ur_m649_swio15_noled_pr },
 {  19491, ur_m649_swio15_noled_pr_ee },
 {  19492, ur_m649_swio15_noled_pr_ee },
 {  19493, ur_m649_swio15_noled_pr_ce },
 {  19494, ur_m649_swio15_noled_pr_ce },
 {  19495, ur_m649_swio15_noled_pr_ee_ce },
 {  19496, ur_m649_swio15_noled_pr_ee_ce },
 {  19498, ur_m649_swio15_noled_ee_hw },
 {  19500, ur_m649_swio15_noled_ee_ce_hw },
 {  19501, ur_m649_swio15_noled_ee_ce_hw },
 {  19502, ur_m649_swio15_lednop },
 {  19503, ur_m649_swio15_lednop_pr },
 {  19504, ur_m649_swio15_lednop_pr },
 {  19505, ur_m649_swio15_lednop_pr_ee },
 {  19506, ur_m649_swio15_lednop_pr_ee },
 {  19507, ur_m649_swio15_lednop_pr_ce },
 {  19508, ur_m649_swio15_lednop_pr_ce },
 {  19509, ur_m649_swio15_lednop_pr_ee_ce },
 {  19510, ur_m649_swio15_lednop_pr_ee_ce },
 {  19512, ur_m649_swio15_lednop_ee_hw },
 {  19514, ur_m649_swio15_lednop_ee_ce_hw },
 {  19515, ur_m649_swio15_lednop_ee_ce_hw },
 {  19516, ur_m649_swio15_dual },
 {  19517, ur_m649_swio15_dual },
 {  19518, ur_m649_swio15_dual },
 {  19519, ur_m649_swio15_dual_pr_ee },
 {  19520, ur_m649_swio15_dual_pr_ee_u4 },
 {  19521, ur_m649_swio15_dual_pr_ce },
 {  19522, ur_m649_swio15_dual_pr_ce_u4 },
 {  19523, ur_m649_swio15_dual_pr_ee_ce },
 {  19524, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  19526, ur_m649_swio15_dual_ee_hw },
 {  19528, ur_m649_swio15_dual_ee_ce_hw },
 {  19529, ur_m649_swio15_dual_ee_ce_hw },
 {  19530, ur_m649_autobaud_uart0_noled },
 {  19531, ur_m649_autobaud_uart0_noled },
 {  19532, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  19533, ur_m649_autobaud_uart0_noled_pr_ee },
 {  19534, ur_m649_autobaud_uart0_noled_pr_ee },
 {  19535, ur_m649_autobaud_uart0_noled_pr_ce },
 {  19536, ur_m649_autobaud_uart0_noled_pr_ce },
 {  19537, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  19538, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  19540, ur_m649_autobaud_uart0_noled_ee_hw },
 {  19542, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  19543, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  19544, ur_m649_autobaud_uart0_lednop },
 {  19545, ur_m649_autobaud_uart0_lednop_pr },
 {  19546, ur_m649_autobaud_uart0_lednop_pr },
 {  19547, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  19548, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  19549, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  19550, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  19551, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  19552, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  19554, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  19556, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  19557, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  19558, ur_m649_autobaud_uart0_dual },
 {  19559, ur_m649_autobaud_uart0_dual },
 {  19560, ur_m649_autobaud_uart0_dual },
 {  19561, ur_m649_autobaud_uart0_dual_pr_ee },
 {  19562, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  19563, ur_m649_autobaud_uart0_dual_pr_ce },
 {  19564, ur_m649_autobaud_uart0_dual_pr_ce },
 {  19565, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  19566, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  19568, ur_m649_autobaud_uart0_dual_ee_hw },
 {  19570, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  19571, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  19740, ur_m649_u1x8_uart0_noled },
 {  19741, ur_m649_u1x8_uart0_noled },
 {  19742, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  19743, ur_m649_u1x8_uart0_noled_pr_ee },
 {  19744, ur_m649_u1x8_uart0_noled_pr_ee },
 {  19745, ur_m649_u1x8_uart0_noled_pr_ce },
 {  19746, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  19747, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  19748, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  19750, ur_m649_u1x8_uart0_noled_ee_hw },
 {  19752, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  19753, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  19754, ur_m649_u1x8_uart0_lednop },
 {  19755, ur_m649_u1x8_uart0_lednop },
 {  19756, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  19757, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  19758, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  19759, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  19760, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  19761, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  19762, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  19764, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  19766, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  19767, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  19768, ur_m649_u1x8_uart0_dual },
 {  19769, ur_m649_u1x8_uart0_dual },
 {  19770, ur_m649_u1x8_uart0_dual },
 {  19771, ur_m649_u1x8_uart0_dual_pr_ee },
 {  19772, ur_m649_u1x8_uart0_dual_pr_ee },
 {  19773, ur_m649_u1x8_uart0_dual_pr_ce },
 {  19774, ur_m649_u1x8_uart0_dual_pr_ce },
 {  19775, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  19776, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  19778, ur_m649_u1x8_uart0_dual_ee_hw },
 {  19780, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  19781, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  19950, ur_m649_u1x12_uart0_noled },
 {  19951, ur_m649_u1x12_uart0_noled },
 {  19952, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  19953, ur_m649_u1x12_uart0_noled_pr_ee },
 {  19954, ur_m649_u1x12_uart0_noled_pr_ee },
 {  19955, ur_m649_u1x12_uart0_noled_pr_ce },
 {  19956, ur_m649_u1x12_uart0_noled_pr_ce },
 {  19957, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  19958, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  19960, ur_m649_u1x12_uart0_noled_ee_hw },
 {  19962, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  19963, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  19964, ur_m649_u1x12_uart0_lednop },
 {  19965, ur_m649_u1x12_uart0_lednop },
 {  19966, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  19967, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  19968, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  19969, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  19970, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  19971, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  19972, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  19974, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  19976, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  19977, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  19978, ur_m649_u1x12_uart0_dual },
 {  19979, ur_m649_u1x12_uart0_dual },
 {  19980, ur_m649_u1x12_uart0_dual },
 {  19981, ur_m649_u1x12_uart0_dual_pr_ee },
 {  19982, ur_m649_u1x12_uart0_dual_pr_ee },
 {  19983, ur_m649_u1x12_uart0_dual_pr_ce },
 {  19984, ur_m649_u1x12_uart0_dual_pr_ce },
 {  19985, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  19986, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  19988, ur_m649_u1x12_uart0_dual_ee_hw },
 {  19990, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  19991, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  20160, ur_m649_u2x8_uart0_noled },
 {  20161, ur_m649_u2x8_uart0_noled },
 {  20162, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  20163, ur_m649_u2x8_uart0_noled_pr_ee },
 {  20164, ur_m649_u2x8_uart0_noled_pr_ee },
 {  20165, ur_m649_u2x8_uart0_noled_pr_ce },
 {  20166, ur_m649_u2x8_uart0_noled_pr_ce },
 {  20167, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  20168, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  20170, ur_m649_u2x8_uart0_noled_ee_hw },
 {  20172, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  20173, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  20174, ur_m649_u2x8_uart0_lednop },
 {  20175, ur_m649_u2x8_uart0_lednop },
 {  20176, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  20177, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  20178, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  20179, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  20180, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  20181, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  20182, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  20184, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  20186, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  20187, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  20188, ur_m649_u2x8_uart0_dual },
 {  20189, ur_m649_u2x8_uart0_dual },
 {  20190, ur_m649_u2x8_uart0_dual },
 {  20191, ur_m649_u2x8_uart0_dual_pr_ee },
 {  20192, ur_m649_u2x8_uart0_dual_pr_ee },
 {  20193, ur_m649_u2x8_uart0_dual_pr_ce },
 {  20194, ur_m649_u2x8_uart0_dual_pr_ce },
 {  20195, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  20196, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  20198, ur_m649_u2x8_uart0_dual_ee_hw },
 {  20200, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  20201, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  20370, ur_m649_u2x12_uart0_noled },
 {  20371, ur_m649_u2x12_uart0_noled },
 {  20372, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  20373, ur_m649_u2x12_uart0_noled_pr_ee },
 {  20374, ur_m649_u2x12_uart0_noled_pr_ee },
 {  20375, ur_m649_u2x12_uart0_noled_pr_ce },
 {  20376, ur_m649_u2x12_uart0_noled_pr_ce },
 {  20377, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  20378, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  20380, ur_m649_u2x12_uart0_noled_ee_hw },
 {  20382, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  20383, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  20384, ur_m649_u2x12_uart0_lednop },
 {  20385, ur_m649_u2x12_uart0_lednop },
 {  20386, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  20387, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  20388, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  20389, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  20390, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  20391, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  20392, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  20394, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  20396, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  20397, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  20398, ur_m649_u2x12_uart0_dual },
 {  20399, ur_m649_u2x12_uart0_dual },
 {  20400, ur_m649_u2x12_uart0_dual },
 {  20401, ur_m649_u2x12_uart0_dual_pr_ee },
 {  20402, ur_m649_u2x12_uart0_dual_pr_ee },
 {  20403, ur_m649_u2x12_uart0_dual_pr_ce },
 {  20404, ur_m649_u2x12_uart0_dual_pr_ce },
 {  20405, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  20406, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  20408, ur_m649_u2x12_uart0_dual_ee_hw },
 {  20410, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  20411, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  20580, ur_m649_swio10_noled },
 {  20581, ur_m649_swio10_noled_pr },
 {  20582, ur_m649_swio10_noled_pr },
 {  20583, ur_m649_swio10_noled_pr_ee },
 {  20584, ur_m649_swio10_noled_pr_ee },
 {  20585, ur_m649_swio10_noled_pr_ce },
 {  20586, ur_m649_swio10_noled_pr_ce },
 {  20587, ur_m649_swio10_noled_pr_ee_ce },
 {  20588, ur_m649_swio10_noled_pr_ee_ce },
 {  20590, ur_m649_swio10_noled_ee_hw },
 {  20592, ur_m649_swio10_noled_ee_ce_hw },
 {  20593, ur_m649_swio10_noled_ee_ce_hw },
 {  20594, ur_m649_swio10_lednop },
 {  20595, ur_m649_swio10_lednop_pr },
 {  20596, ur_m649_swio10_lednop_pr },
 {  20597, ur_m649_swio10_lednop_pr_ee },
 {  20598, ur_m649_swio10_lednop_pr_ee },
 {  20599, ur_m649_swio10_lednop_pr_ce },
 {  20600, ur_m649_swio10_lednop_pr_ce },
 {  20601, ur_m649_swio10_lednop_pr_ee_ce },
 {  20602, ur_m649_swio10_lednop_pr_ee_ce },
 {  20604, ur_m649_swio10_lednop_ee_hw },
 {  20606, ur_m649_swio10_lednop_ee_ce_hw },
 {  20607, ur_m649_swio10_lednop_ee_ce_hw },
 {  20608, ur_m649_swio10_dual },
 {  20609, ur_m649_swio10_dual },
 {  20610, ur_m649_swio10_dual },
 {  20611, ur_m649_swio10_dual_pr_ee },
 {  20612, ur_m649_swio10_dual_pr_ee_u4 },
 {  20613, ur_m649_swio10_dual_pr_ce },
 {  20614, ur_m649_swio10_dual_pr_ce },
 {  20615, ur_m649_swio10_dual_pr_ee_ce },
 {  20616, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  20618, ur_m649_swio10_dual_ee_hw },
 {  20620, ur_m649_swio10_dual_ee_ce_hw },
 {  20621, ur_m649_swio10_dual_ee_ce_hw },
 {  20622, ur_m649_swio11_noled },
 {  20623, ur_m649_swio11_noled_pr },
 {  20624, ur_m649_swio11_noled_pr },
 {  20625, ur_m649_swio11_noled_pr_ee },
 {  20626, ur_m649_swio11_noled_pr_ee },
 {  20627, ur_m649_swio11_noled_pr_ce },
 {  20628, ur_m649_swio11_noled_pr_ce },
 {  20629, ur_m649_swio11_noled_pr_ee_ce },
 {  20630, ur_m649_swio11_noled_pr_ee_ce },
 {  20632, ur_m649_swio11_noled_ee_hw },
 {  20634, ur_m649_swio11_noled_ee_ce_hw },
 {  20635, ur_m649_swio11_noled_ee_ce_hw },
 {  20636, ur_m649_swio11_lednop },
 {  20637, ur_m649_swio11_lednop_pr },
 {  20638, ur_m649_swio11_lednop_pr },
 {  20639, ur_m649_swio11_lednop_pr_ee },
 {  20640, ur_m649_swio11_lednop_pr_ee },
 {  20641, ur_m649_swio11_lednop_pr_ce },
 {  20642, ur_m649_swio11_lednop_pr_ce },
 {  20643, ur_m649_swio11_lednop_pr_ee_ce },
 {  20644, ur_m649_swio11_lednop_pr_ee_ce },
 {  20646, ur_m649_swio11_lednop_ee_hw },
 {  20648, ur_m649_swio11_lednop_ee_ce_hw },
 {  20649, ur_m649_swio11_lednop_ee_ce_hw },
 {  20650, ur_m649_swio11_dual },
 {  20651, ur_m649_swio11_dual },
 {  20652, ur_m649_swio11_dual },
 {  20653, ur_m649_swio11_dual_pr_ee },
 {  20654, ur_m649_swio11_dual_pr_ee_u4 },
 {  20655, ur_m649_swio11_dual_pr_ce },
 {  20656, ur_m649_swio11_dual_pr_ce },
 {  20657, ur_m649_swio11_dual_pr_ee_ce },
 {  20658, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  20660, ur_m649_swio11_dual_ee_hw },
 {  20662, ur_m649_swio11_dual_ee_ce_hw },
 {  20663, ur_m649_swio11_dual_ee_ce_hw },
 {  20664, ur_m649_swio11_noled },
 {  20665, ur_m649_swio11_noled_pr },
 {  20666, ur_m649_swio11_noled_pr },
 {  20667, ur_m649_swio11_noled_pr_ee },
 {  20668, ur_m649_swio11_noled_pr_ee },
 {  20669, ur_m649_swio11_noled_pr_ce },
 {  20670, ur_m649_swio11_noled_pr_ce },
 {  20671, ur_m649_swio11_noled_pr_ee_ce },
 {  20672, ur_m649_swio11_noled_pr_ee_ce },
 {  20674, ur_m649_swio11_noled_ee_hw },
 {  20676, ur_m649_swio11_noled_ee_ce_hw },
 {  20677, ur_m649_swio11_noled_ee_ce_hw },
 {  20678, ur_m649_swio11_lednop },
 {  20679, ur_m649_swio11_lednop_pr },
 {  20680, ur_m649_swio11_lednop_pr },
 {  20681, ur_m649_swio11_lednop_pr_ee },
 {  20682, ur_m649_swio11_lednop_pr_ee },
 {  20683, ur_m649_swio11_lednop_pr_ce },
 {  20684, ur_m649_swio11_lednop_pr_ce },
 {  20685, ur_m649_swio11_lednop_pr_ee_ce },
 {  20686, ur_m649_swio11_lednop_pr_ee_ce },
 {  20688, ur_m649_swio11_lednop_ee_hw },
 {  20690, ur_m649_swio11_lednop_ee_ce_hw },
 {  20691, ur_m649_swio11_lednop_ee_ce_hw },
 {  20692, ur_m649_swio11_dual },
 {  20693, ur_m649_swio11_dual },
 {  20694, ur_m649_swio11_dual },
 {  20695, ur_m649_swio11_dual_pr_ee },
 {  20696, ur_m649_swio11_dual_pr_ee_u4 },
 {  20697, ur_m649_swio11_dual_pr_ce },
 {  20698, ur_m649_swio11_dual_pr_ce },
 {  20699, ur_m649_swio11_dual_pr_ee_ce },
 {  20700, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  20702, ur_m649_swio11_dual_ee_hw },
 {  20704, ur_m649_swio11_dual_ee_ce_hw },
 {  20705, ur_m649_swio11_dual_ee_ce_hw },
 {  20706, ur_m649_swio13_noled },
 {  20707, ur_m649_swio13_noled_pr },
 {  20708, ur_m649_swio13_noled_pr },
 {  20709, ur_m649_swio13_noled_pr_ee },
 {  20710, ur_m649_swio13_noled_pr_ee },
 {  20711, ur_m649_swio13_noled_pr_ce },
 {  20712, ur_m649_swio13_noled_pr_ce },
 {  20713, ur_m649_swio13_noled_pr_ee_ce },
 {  20714, ur_m649_swio13_noled_pr_ee_ce },
 {  20716, ur_m649_swio13_noled_ee_hw },
 {  20718, ur_m649_swio13_noled_ee_ce_hw },
 {  20719, ur_m649_swio13_noled_ee_ce_hw },
 {  20720, ur_m649_swio13_lednop },
 {  20721, ur_m649_swio13_lednop_pr },
 {  20722, ur_m649_swio13_lednop_pr },
 {  20723, ur_m649_swio13_lednop_pr_ee },
 {  20724, ur_m649_swio13_lednop_pr_ee },
 {  20725, ur_m649_swio13_lednop_pr_ce },
 {  20726, ur_m649_swio13_lednop_pr_ce },
 {  20727, ur_m649_swio13_lednop_pr_ee_ce },
 {  20728, ur_m649_swio13_lednop_pr_ee_ce },
 {  20730, ur_m649_swio13_lednop_ee_hw },
 {  20732, ur_m649_swio13_lednop_ee_ce_hw },
 {  20733, ur_m649_swio13_lednop_ee_ce_hw },
 {  20734, ur_m649_swio13_dual },
 {  20735, ur_m649_swio13_dual },
 {  20736, ur_m649_swio13_dual },
 {  20737, ur_m649_swio13_dual_pr_ee },
 {  20738, ur_m649_swio13_dual_pr_ee_u4 },
 {  20739, ur_m649_swio13_dual_pr_ce },
 {  20740, ur_m649_swio13_dual_pr_ce_u4 },
 {  20741, ur_m649_swio13_dual_pr_ee_ce },
 {  20742, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  20744, ur_m649_swio13_dual_ee_hw },
 {  20746, ur_m649_swio13_dual_ee_ce_hw },
 {  20747, ur_m649_swio13_dual_ee_ce_hw },
 {  20748, ur_m649_swio14_noled },
 {  20749, ur_m649_swio14_noled_pr },
 {  20750, ur_m649_swio14_noled_pr },
 {  20751, ur_m649_swio14_noled_pr_ee },
 {  20752, ur_m649_swio14_noled_pr_ee },
 {  20753, ur_m649_swio14_noled_pr_ce },
 {  20754, ur_m649_swio14_noled_pr_ce },
 {  20755, ur_m649_swio14_noled_pr_ee_ce },
 {  20756, ur_m649_swio14_noled_pr_ee_ce },
 {  20758, ur_m649_swio14_noled_ee_hw },
 {  20760, ur_m649_swio14_noled_ee_ce_hw },
 {  20761, ur_m649_swio14_noled_ee_ce_hw },
 {  20762, ur_m649_swio14_lednop },
 {  20763, ur_m649_swio14_lednop_pr },
 {  20764, ur_m649_swio14_lednop_pr },
 {  20765, ur_m649_swio14_lednop_pr_ee },
 {  20766, ur_m649_swio14_lednop_pr_ee },
 {  20767, ur_m649_swio14_lednop_pr_ce },
 {  20768, ur_m649_swio14_lednop_pr_ce },
 {  20769, ur_m649_swio14_lednop_pr_ee_ce },
 {  20770, ur_m649_swio14_lednop_pr_ee_ce },
 {  20772, ur_m649_swio14_lednop_ee_hw },
 {  20774, ur_m649_swio14_lednop_ee_ce_hw },
 {  20775, ur_m649_swio14_lednop_ee_ce_hw },
 {  20776, ur_m649_swio14_dual },
 {  20777, ur_m649_swio14_dual },
 {  20778, ur_m649_swio14_dual },
 {  20779, ur_m649_swio14_dual_pr_ee },
 {  20780, ur_m649_swio14_dual_pr_ee_u4 },
 {  20781, ur_m649_swio14_dual_pr_ce },
 {  20782, ur_m649_swio14_dual_pr_ce },
 {  20783, ur_m649_swio14_dual_pr_ee_ce },
 {  20784, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  20786, ur_m649_swio14_dual_ee_hw },
 {  20788, ur_m649_swio14_dual_ee_ce_hw },
 {  20789, ur_m649_swio14_dual_ee_ce_hw },
 {  20790, ur_m649_swio15_noled },
 {  20791, ur_m649_swio15_noled_pr },
 {  20792, ur_m649_swio15_noled_pr },
 {  20793, ur_m649_swio15_noled_pr_ee },
 {  20794, ur_m649_swio15_noled_pr_ee },
 {  20795, ur_m649_swio15_noled_pr_ce },
 {  20796, ur_m649_swio15_noled_pr_ce },
 {  20797, ur_m649_swio15_noled_pr_ee_ce },
 {  20798, ur_m649_swio15_noled_pr_ee_ce },
 {  20800, ur_m649_swio15_noled_ee_hw },
 {  20802, ur_m649_swio15_noled_ee_ce_hw },
 {  20803, ur_m649_swio15_noled_ee_ce_hw },
 {  20804, ur_m649_swio15_lednop },
 {  20805, ur_m649_swio15_lednop_pr },
 {  20806, ur_m649_swio15_lednop_pr },
 {  20807, ur_m649_swio15_lednop_pr_ee },
 {  20808, ur_m649_swio15_lednop_pr_ee },
 {  20809, ur_m649_swio15_lednop_pr_ce },
 {  20810, ur_m649_swio15_lednop_pr_ce },
 {  20811, ur_m649_swio15_lednop_pr_ee_ce },
 {  20812, ur_m649_swio15_lednop_pr_ee_ce },
 {  20814, ur_m649_swio15_lednop_ee_hw },
 {  20816, ur_m649_swio15_lednop_ee_ce_hw },
 {  20817, ur_m649_swio15_lednop_ee_ce_hw },
 {  20818, ur_m649_swio15_dual },
 {  20819, ur_m649_swio15_dual },
 {  20820, ur_m649_swio15_dual },
 {  20821, ur_m649_swio15_dual_pr_ee },
 {  20822, ur_m649_swio15_dual_pr_ee_u4 },
 {  20823, ur_m649_swio15_dual_pr_ce },
 {  20824, ur_m649_swio15_dual_pr_ce_u4 },
 {  20825, ur_m649_swio15_dual_pr_ee_ce },
 {  20826, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  20828, ur_m649_swio15_dual_ee_hw },
 {  20830, ur_m649_swio15_dual_ee_ce_hw },
 {  20831, ur_m649_swio15_dual_ee_ce_hw },
 {  20832, ur_m649_autobaud_uart0_noled },
 {  20833, ur_m649_autobaud_uart0_noled },
 {  20834, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  20835, ur_m649_autobaud_uart0_noled_pr_ee },
 {  20836, ur_m649_autobaud_uart0_noled_pr_ee },
 {  20837, ur_m649_autobaud_uart0_noled_pr_ce },
 {  20838, ur_m649_autobaud_uart0_noled_pr_ce },
 {  20839, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  20840, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  20842, ur_m649_autobaud_uart0_noled_ee_hw },
 {  20844, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  20845, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  20846, ur_m649_autobaud_uart0_lednop },
 {  20847, ur_m649_autobaud_uart0_lednop_pr },
 {  20848, ur_m649_autobaud_uart0_lednop_pr },
 {  20849, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  20850, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  20851, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  20852, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  20853, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  20854, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  20856, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  20858, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  20859, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  20860, ur_m649_autobaud_uart0_dual },
 {  20861, ur_m649_autobaud_uart0_dual },
 {  20862, ur_m649_autobaud_uart0_dual },
 {  20863, ur_m649_autobaud_uart0_dual_pr_ee },
 {  20864, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  20865, ur_m649_autobaud_uart0_dual_pr_ce },
 {  20866, ur_m649_autobaud_uart0_dual_pr_ce },
 {  20867, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  20868, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  20870, ur_m649_autobaud_uart0_dual_ee_hw },
 {  20872, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  20873, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  21042, ur_m649_u1x8_uart0_noled },
 {  21043, ur_m649_u1x8_uart0_noled },
 {  21044, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  21045, ur_m649_u1x8_uart0_noled_pr_ee },
 {  21046, ur_m649_u1x8_uart0_noled_pr_ee },
 {  21047, ur_m649_u1x8_uart0_noled_pr_ce },
 {  21048, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  21049, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  21050, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  21052, ur_m649_u1x8_uart0_noled_ee_hw },
 {  21054, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  21055, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  21056, ur_m649_u1x8_uart0_lednop },
 {  21057, ur_m649_u1x8_uart0_lednop },
 {  21058, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  21059, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  21060, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  21061, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  21062, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  21063, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  21064, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  21066, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  21068, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  21069, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  21070, ur_m649_u1x8_uart0_dual },
 {  21071, ur_m649_u1x8_uart0_dual },
 {  21072, ur_m649_u1x8_uart0_dual },
 {  21073, ur_m649_u1x8_uart0_dual_pr_ee },
 {  21074, ur_m649_u1x8_uart0_dual_pr_ee },
 {  21075, ur_m649_u1x8_uart0_dual_pr_ce },
 {  21076, ur_m649_u1x8_uart0_dual_pr_ce },
 {  21077, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  21078, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  21080, ur_m649_u1x8_uart0_dual_ee_hw },
 {  21082, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  21083, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  21252, ur_m649_u1x12_uart0_noled },
 {  21253, ur_m649_u1x12_uart0_noled },
 {  21254, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  21255, ur_m649_u1x12_uart0_noled_pr_ee },
 {  21256, ur_m649_u1x12_uart0_noled_pr_ee },
 {  21257, ur_m649_u1x12_uart0_noled_pr_ce },
 {  21258, ur_m649_u1x12_uart0_noled_pr_ce },
 {  21259, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  21260, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  21262, ur_m649_u1x12_uart0_noled_ee_hw },
 {  21264, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  21265, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  21266, ur_m649_u1x12_uart0_lednop },
 {  21267, ur_m649_u1x12_uart0_lednop },
 {  21268, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  21269, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  21270, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  21271, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  21272, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  21273, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  21274, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  21276, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  21278, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  21279, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  21280, ur_m649_u1x12_uart0_dual },
 {  21281, ur_m649_u1x12_uart0_dual },
 {  21282, ur_m649_u1x12_uart0_dual },
 {  21283, ur_m649_u1x12_uart0_dual_pr_ee },
 {  21284, ur_m649_u1x12_uart0_dual_pr_ee },
 {  21285, ur_m649_u1x12_uart0_dual_pr_ce },
 {  21286, ur_m649_u1x12_uart0_dual_pr_ce },
 {  21287, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  21288, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  21290, ur_m649_u1x12_uart0_dual_ee_hw },
 {  21292, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  21293, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  21462, ur_m649_u2x8_uart0_noled },
 {  21463, ur_m649_u2x8_uart0_noled },
 {  21464, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  21465, ur_m649_u2x8_uart0_noled_pr_ee },
 {  21466, ur_m649_u2x8_uart0_noled_pr_ee },
 {  21467, ur_m649_u2x8_uart0_noled_pr_ce },
 {  21468, ur_m649_u2x8_uart0_noled_pr_ce },
 {  21469, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  21470, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  21472, ur_m649_u2x8_uart0_noled_ee_hw },
 {  21474, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  21475, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  21476, ur_m649_u2x8_uart0_lednop },
 {  21477, ur_m649_u2x8_uart0_lednop },
 {  21478, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  21479, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  21480, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  21481, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  21482, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  21483, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  21484, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  21486, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  21488, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  21489, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  21490, ur_m649_u2x8_uart0_dual },
 {  21491, ur_m649_u2x8_uart0_dual },
 {  21492, ur_m649_u2x8_uart0_dual },
 {  21493, ur_m649_u2x8_uart0_dual_pr_ee },
 {  21494, ur_m649_u2x8_uart0_dual_pr_ee },
 {  21495, ur_m649_u2x8_uart0_dual_pr_ce },
 {  21496, ur_m649_u2x8_uart0_dual_pr_ce },
 {  21497, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  21498, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  21500, ur_m649_u2x8_uart0_dual_ee_hw },
 {  21502, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  21503, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  21672, ur_m649_u2x12_uart0_noled },
 {  21673, ur_m649_u2x12_uart0_noled },
 {  21674, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  21675, ur_m649_u2x12_uart0_noled_pr_ee },
 {  21676, ur_m649_u2x12_uart0_noled_pr_ee },
 {  21677, ur_m649_u2x12_uart0_noled_pr_ce },
 {  21678, ur_m649_u2x12_uart0_noled_pr_ce },
 {  21679, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  21680, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  21682, ur_m649_u2x12_uart0_noled_ee_hw },
 {  21684, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  21685, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  21686, ur_m649_u2x12_uart0_lednop },
 {  21687, ur_m649_u2x12_uart0_lednop },
 {  21688, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  21689, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  21690, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  21691, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  21692, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  21693, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  21694, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  21696, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  21698, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  21699, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  21700, ur_m649_u2x12_uart0_dual },
 {  21701, ur_m649_u2x12_uart0_dual },
 {  21702, ur_m649_u2x12_uart0_dual },
 {  21703, ur_m649_u2x12_uart0_dual_pr_ee },
 {  21704, ur_m649_u2x12_uart0_dual_pr_ee },
 {  21705, ur_m649_u2x12_uart0_dual_pr_ce },
 {  21706, ur_m649_u2x12_uart0_dual_pr_ce },
 {  21707, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  21708, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  21710, ur_m649_u2x12_uart0_dual_ee_hw },
 {  21712, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  21713, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  21882, ur_m649_swio10_noled },
 {  21883, ur_m649_swio10_noled_pr },
 {  21884, ur_m649_swio10_noled_pr },
 {  21885, ur_m649_swio10_noled_pr_ee },
 {  21886, ur_m649_swio10_noled_pr_ee },
 {  21887, ur_m649_swio10_noled_pr_ce },
 {  21888, ur_m649_swio10_noled_pr_ce },
 {  21889, ur_m649_swio10_noled_pr_ee_ce },
 {  21890, ur_m649_swio10_noled_pr_ee_ce },
 {  21892, ur_m649_swio10_noled_ee_hw },
 {  21894, ur_m649_swio10_noled_ee_ce_hw },
 {  21895, ur_m649_swio10_noled_ee_ce_hw },
 {  21896, ur_m649_swio10_lednop },
 {  21897, ur_m649_swio10_lednop_pr },
 {  21898, ur_m649_swio10_lednop_pr },
 {  21899, ur_m649_swio10_lednop_pr_ee },
 {  21900, ur_m649_swio10_lednop_pr_ee },
 {  21901, ur_m649_swio10_lednop_pr_ce },
 {  21902, ur_m649_swio10_lednop_pr_ce },
 {  21903, ur_m649_swio10_lednop_pr_ee_ce },
 {  21904, ur_m649_swio10_lednop_pr_ee_ce },
 {  21906, ur_m649_swio10_lednop_ee_hw },
 {  21908, ur_m649_swio10_lednop_ee_ce_hw },
 {  21909, ur_m649_swio10_lednop_ee_ce_hw },
 {  21910, ur_m649_swio10_dual },
 {  21911, ur_m649_swio10_dual },
 {  21912, ur_m649_swio10_dual },
 {  21913, ur_m649_swio10_dual_pr_ee },
 {  21914, ur_m649_swio10_dual_pr_ee_u4 },
 {  21915, ur_m649_swio10_dual_pr_ce },
 {  21916, ur_m649_swio10_dual_pr_ce },
 {  21917, ur_m649_swio10_dual_pr_ee_ce },
 {  21918, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  21920, ur_m649_swio10_dual_ee_hw },
 {  21922, ur_m649_swio10_dual_ee_ce_hw },
 {  21923, ur_m649_swio10_dual_ee_ce_hw },
 {  21924, ur_m649_swio11_noled },
 {  21925, ur_m649_swio11_noled_pr },
 {  21926, ur_m649_swio11_noled_pr },
 {  21927, ur_m649_swio11_noled_pr_ee },
 {  21928, ur_m649_swio11_noled_pr_ee },
 {  21929, ur_m649_swio11_noled_pr_ce },
 {  21930, ur_m649_swio11_noled_pr_ce },
 {  21931, ur_m649_swio11_noled_pr_ee_ce },
 {  21932, ur_m649_swio11_noled_pr_ee_ce },
 {  21934, ur_m649_swio11_noled_ee_hw },
 {  21936, ur_m649_swio11_noled_ee_ce_hw },
 {  21937, ur_m649_swio11_noled_ee_ce_hw },
 {  21938, ur_m649_swio11_lednop },
 {  21939, ur_m649_swio11_lednop_pr },
 {  21940, ur_m649_swio11_lednop_pr },
 {  21941, ur_m649_swio11_lednop_pr_ee },
 {  21942, ur_m649_swio11_lednop_pr_ee },
 {  21943, ur_m649_swio11_lednop_pr_ce },
 {  21944, ur_m649_swio11_lednop_pr_ce },
 {  21945, ur_m649_swio11_lednop_pr_ee_ce },
 {  21946, ur_m649_swio11_lednop_pr_ee_ce },
 {  21948, ur_m649_swio11_lednop_ee_hw },
 {  21950, ur_m649_swio11_lednop_ee_ce_hw },
 {  21951, ur_m649_swio11_lednop_ee_ce_hw },
 {  21952, ur_m649_swio11_dual },
 {  21953, ur_m649_swio11_dual },
 {  21954, ur_m649_swio11_dual },
 {  21955, ur_m649_swio11_dual_pr_ee },
 {  21956, ur_m649_swio11_dual_pr_ee_u4 },
 {  21957, ur_m649_swio11_dual_pr_ce },
 {  21958, ur_m649_swio11_dual_pr_ce },
 {  21959, ur_m649_swio11_dual_pr_ee_ce },
 {  21960, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  21962, ur_m649_swio11_dual_ee_hw },
 {  21964, ur_m649_swio11_dual_ee_ce_hw },
 {  21965, ur_m649_swio11_dual_ee_ce_hw },
 {  21966, ur_m649_swio11_noled },
 {  21967, ur_m649_swio11_noled_pr },
 {  21968, ur_m649_swio11_noled_pr },
 {  21969, ur_m649_swio11_noled_pr_ee },
 {  21970, ur_m649_swio11_noled_pr_ee },
 {  21971, ur_m649_swio11_noled_pr_ce },
 {  21972, ur_m649_swio11_noled_pr_ce },
 {  21973, ur_m649_swio11_noled_pr_ee_ce },
 {  21974, ur_m649_swio11_noled_pr_ee_ce },
 {  21976, ur_m649_swio11_noled_ee_hw },
 {  21978, ur_m649_swio11_noled_ee_ce_hw },
 {  21979, ur_m649_swio11_noled_ee_ce_hw },
 {  21980, ur_m649_swio11_lednop },
 {  21981, ur_m649_swio11_lednop_pr },
 {  21982, ur_m649_swio11_lednop_pr },
 {  21983, ur_m649_swio11_lednop_pr_ee },
 {  21984, ur_m649_swio11_lednop_pr_ee },
 {  21985, ur_m649_swio11_lednop_pr_ce },
 {  21986, ur_m649_swio11_lednop_pr_ce },
 {  21987, ur_m649_swio11_lednop_pr_ee_ce },
 {  21988, ur_m649_swio11_lednop_pr_ee_ce },
 {  21990, ur_m649_swio11_lednop_ee_hw },
 {  21992, ur_m649_swio11_lednop_ee_ce_hw },
 {  21993, ur_m649_swio11_lednop_ee_ce_hw },
 {  21994, ur_m649_swio11_dual },
 {  21995, ur_m649_swio11_dual },
 {  21996, ur_m649_swio11_dual },
 {  21997, ur_m649_swio11_dual_pr_ee },
 {  21998, ur_m649_swio11_dual_pr_ee_u4 },
 {  21999, ur_m649_swio11_dual_pr_ce },
 {  22000, ur_m649_swio11_dual_pr_ce },
 {  22001, ur_m649_swio11_dual_pr_ee_ce },
 {  22002, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  22004, ur_m649_swio11_dual_ee_hw },
 {  22006, ur_m649_swio11_dual_ee_ce_hw },
 {  22007, ur_m649_swio11_dual_ee_ce_hw },
 {  22008, ur_m649_swio13_noled },
 {  22009, ur_m649_swio13_noled_pr },
 {  22010, ur_m649_swio13_noled_pr },
 {  22011, ur_m649_swio13_noled_pr_ee },
 {  22012, ur_m649_swio13_noled_pr_ee },
 {  22013, ur_m649_swio13_noled_pr_ce },
 {  22014, ur_m649_swio13_noled_pr_ce },
 {  22015, ur_m649_swio13_noled_pr_ee_ce },
 {  22016, ur_m649_swio13_noled_pr_ee_ce },
 {  22018, ur_m649_swio13_noled_ee_hw },
 {  22020, ur_m649_swio13_noled_ee_ce_hw },
 {  22021, ur_m649_swio13_noled_ee_ce_hw },
 {  22022, ur_m649_swio13_lednop },
 {  22023, ur_m649_swio13_lednop_pr },
 {  22024, ur_m649_swio13_lednop_pr },
 {  22025, ur_m649_swio13_lednop_pr_ee },
 {  22026, ur_m649_swio13_lednop_pr_ee },
 {  22027, ur_m649_swio13_lednop_pr_ce },
 {  22028, ur_m649_swio13_lednop_pr_ce },
 {  22029, ur_m649_swio13_lednop_pr_ee_ce },
 {  22030, ur_m649_swio13_lednop_pr_ee_ce },
 {  22032, ur_m649_swio13_lednop_ee_hw },
 {  22034, ur_m649_swio13_lednop_ee_ce_hw },
 {  22035, ur_m649_swio13_lednop_ee_ce_hw },
 {  22036, ur_m649_swio13_dual },
 {  22037, ur_m649_swio13_dual },
 {  22038, ur_m649_swio13_dual },
 {  22039, ur_m649_swio13_dual_pr_ee },
 {  22040, ur_m649_swio13_dual_pr_ee_u4 },
 {  22041, ur_m649_swio13_dual_pr_ce },
 {  22042, ur_m649_swio13_dual_pr_ce_u4 },
 {  22043, ur_m649_swio13_dual_pr_ee_ce },
 {  22044, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  22046, ur_m649_swio13_dual_ee_hw },
 {  22048, ur_m649_swio13_dual_ee_ce_hw },
 {  22049, ur_m649_swio13_dual_ee_ce_hw },
 {  22050, ur_m649_swio14_noled },
 {  22051, ur_m649_swio14_noled_pr },
 {  22052, ur_m649_swio14_noled_pr },
 {  22053, ur_m649_swio14_noled_pr_ee },
 {  22054, ur_m649_swio14_noled_pr_ee },
 {  22055, ur_m649_swio14_noled_pr_ce },
 {  22056, ur_m649_swio14_noled_pr_ce },
 {  22057, ur_m649_swio14_noled_pr_ee_ce },
 {  22058, ur_m649_swio14_noled_pr_ee_ce },
 {  22060, ur_m649_swio14_noled_ee_hw },
 {  22062, ur_m649_swio14_noled_ee_ce_hw },
 {  22063, ur_m649_swio14_noled_ee_ce_hw },
 {  22064, ur_m649_swio14_lednop },
 {  22065, ur_m649_swio14_lednop_pr },
 {  22066, ur_m649_swio14_lednop_pr },
 {  22067, ur_m649_swio14_lednop_pr_ee },
 {  22068, ur_m649_swio14_lednop_pr_ee },
 {  22069, ur_m649_swio14_lednop_pr_ce },
 {  22070, ur_m649_swio14_lednop_pr_ce },
 {  22071, ur_m649_swio14_lednop_pr_ee_ce },
 {  22072, ur_m649_swio14_lednop_pr_ee_ce },
 {  22074, ur_m649_swio14_lednop_ee_hw },
 {  22076, ur_m649_swio14_lednop_ee_ce_hw },
 {  22077, ur_m649_swio14_lednop_ee_ce_hw },
 {  22078, ur_m649_swio14_dual },
 {  22079, ur_m649_swio14_dual },
 {  22080, ur_m649_swio14_dual },
 {  22081, ur_m649_swio14_dual_pr_ee },
 {  22082, ur_m649_swio14_dual_pr_ee_u4 },
 {  22083, ur_m649_swio14_dual_pr_ce },
 {  22084, ur_m649_swio14_dual_pr_ce },
 {  22085, ur_m649_swio14_dual_pr_ee_ce },
 {  22086, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  22088, ur_m649_swio14_dual_ee_hw },
 {  22090, ur_m649_swio14_dual_ee_ce_hw },
 {  22091, ur_m649_swio14_dual_ee_ce_hw },
 {  22092, ur_m649_swio15_noled },
 {  22093, ur_m649_swio15_noled_pr },
 {  22094, ur_m649_swio15_noled_pr },
 {  22095, ur_m649_swio15_noled_pr_ee },
 {  22096, ur_m649_swio15_noled_pr_ee },
 {  22097, ur_m649_swio15_noled_pr_ce },
 {  22098, ur_m649_swio15_noled_pr_ce },
 {  22099, ur_m649_swio15_noled_pr_ee_ce },
 {  22100, ur_m649_swio15_noled_pr_ee_ce },
 {  22102, ur_m649_swio15_noled_ee_hw },
 {  22104, ur_m649_swio15_noled_ee_ce_hw },
 {  22105, ur_m649_swio15_noled_ee_ce_hw },
 {  22106, ur_m649_swio15_lednop },
 {  22107, ur_m649_swio15_lednop_pr },
 {  22108, ur_m649_swio15_lednop_pr },
 {  22109, ur_m649_swio15_lednop_pr_ee },
 {  22110, ur_m649_swio15_lednop_pr_ee },
 {  22111, ur_m649_swio15_lednop_pr_ce },
 {  22112, ur_m649_swio15_lednop_pr_ce },
 {  22113, ur_m649_swio15_lednop_pr_ee_ce },
 {  22114, ur_m649_swio15_lednop_pr_ee_ce },
 {  22116, ur_m649_swio15_lednop_ee_hw },
 {  22118, ur_m649_swio15_lednop_ee_ce_hw },
 {  22119, ur_m649_swio15_lednop_ee_ce_hw },
 {  22120, ur_m649_swio15_dual },
 {  22121, ur_m649_swio15_dual },
 {  22122, ur_m649_swio15_dual },
 {  22123, ur_m649_swio15_dual_pr_ee },
 {  22124, ur_m649_swio15_dual_pr_ee_u4 },
 {  22125, ur_m649_swio15_dual_pr_ce },
 {  22126, ur_m649_swio15_dual_pr_ce_u4 },
 {  22127, ur_m649_swio15_dual_pr_ee_ce },
 {  22128, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  22130, ur_m649_swio15_dual_ee_hw },
 {  22132, ur_m649_swio15_dual_ee_ce_hw },
 {  22133, ur_m649_swio15_dual_ee_ce_hw },
 {  22134, ur_m649_autobaud_uart0_noled },
 {  22135, ur_m649_autobaud_uart0_noled },
 {  22136, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  22137, ur_m649_autobaud_uart0_noled_pr_ee },
 {  22138, ur_m649_autobaud_uart0_noled_pr_ee },
 {  22139, ur_m649_autobaud_uart0_noled_pr_ce },
 {  22140, ur_m649_autobaud_uart0_noled_pr_ce },
 {  22141, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  22142, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  22144, ur_m649_autobaud_uart0_noled_ee_hw },
 {  22146, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  22147, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  22148, ur_m649_autobaud_uart0_lednop },
 {  22149, ur_m649_autobaud_uart0_lednop_pr },
 {  22150, ur_m649_autobaud_uart0_lednop_pr },
 {  22151, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  22152, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  22153, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  22154, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  22155, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  22156, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  22158, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  22160, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  22161, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  22162, ur_m649_autobaud_uart0_dual },
 {  22163, ur_m649_autobaud_uart0_dual },
 {  22164, ur_m649_autobaud_uart0_dual },
 {  22165, ur_m649_autobaud_uart0_dual_pr_ee },
 {  22166, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  22167, ur_m649_autobaud_uart0_dual_pr_ce },
 {  22168, ur_m649_autobaud_uart0_dual_pr_ce },
 {  22169, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  22170, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  22172, ur_m649_autobaud_uart0_dual_ee_hw },
 {  22174, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  22175, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  22344, ur_m649_u1x8_uart0_noled },
 {  22345, ur_m649_u1x8_uart0_noled },
 {  22346, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  22347, ur_m649_u1x8_uart0_noled_pr_ee },
 {  22348, ur_m649_u1x8_uart0_noled_pr_ee },
 {  22349, ur_m649_u1x8_uart0_noled_pr_ce },
 {  22350, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  22351, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  22352, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  22354, ur_m649_u1x8_uart0_noled_ee_hw },
 {  22356, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  22357, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  22358, ur_m649_u1x8_uart0_lednop },
 {  22359, ur_m649_u1x8_uart0_lednop },
 {  22360, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  22361, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  22362, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  22363, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  22364, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  22365, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  22366, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  22368, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  22370, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  22371, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  22372, ur_m649_u1x8_uart0_dual },
 {  22373, ur_m649_u1x8_uart0_dual },
 {  22374, ur_m649_u1x8_uart0_dual },
 {  22375, ur_m649_u1x8_uart0_dual_pr_ee },
 {  22376, ur_m649_u1x8_uart0_dual_pr_ee },
 {  22377, ur_m649_u1x8_uart0_dual_pr_ce },
 {  22378, ur_m649_u1x8_uart0_dual_pr_ce },
 {  22379, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  22380, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  22382, ur_m649_u1x8_uart0_dual_ee_hw },
 {  22384, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  22385, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  22554, ur_m649_u1x12_uart0_noled },
 {  22555, ur_m649_u1x12_uart0_noled },
 {  22556, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  22557, ur_m649_u1x12_uart0_noled_pr_ee },
 {  22558, ur_m649_u1x12_uart0_noled_pr_ee },
 {  22559, ur_m649_u1x12_uart0_noled_pr_ce },
 {  22560, ur_m649_u1x12_uart0_noled_pr_ce },
 {  22561, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  22562, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  22564, ur_m649_u1x12_uart0_noled_ee_hw },
 {  22566, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  22567, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  22568, ur_m649_u1x12_uart0_lednop },
 {  22569, ur_m649_u1x12_uart0_lednop },
 {  22570, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  22571, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  22572, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  22573, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  22574, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  22575, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  22576, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  22578, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  22580, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  22581, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  22582, ur_m649_u1x12_uart0_dual },
 {  22583, ur_m649_u1x12_uart0_dual },
 {  22584, ur_m649_u1x12_uart0_dual },
 {  22585, ur_m649_u1x12_uart0_dual_pr_ee },
 {  22586, ur_m649_u1x12_uart0_dual_pr_ee },
 {  22587, ur_m649_u1x12_uart0_dual_pr_ce },
 {  22588, ur_m649_u1x12_uart0_dual_pr_ce },
 {  22589, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  22590, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  22592, ur_m649_u1x12_uart0_dual_ee_hw },
 {  22594, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  22595, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  22764, ur_m649_u2x8_uart0_noled },
 {  22765, ur_m649_u2x8_uart0_noled },
 {  22766, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  22767, ur_m649_u2x8_uart0_noled_pr_ee },
 {  22768, ur_m649_u2x8_uart0_noled_pr_ee },
 {  22769, ur_m649_u2x8_uart0_noled_pr_ce },
 {  22770, ur_m649_u2x8_uart0_noled_pr_ce },
 {  22771, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  22772, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  22774, ur_m649_u2x8_uart0_noled_ee_hw },
 {  22776, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  22777, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  22778, ur_m649_u2x8_uart0_lednop },
 {  22779, ur_m649_u2x8_uart0_lednop },
 {  22780, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  22781, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  22782, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  22783, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  22784, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  22785, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  22786, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  22788, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  22790, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  22791, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  22792, ur_m649_u2x8_uart0_dual },
 {  22793, ur_m649_u2x8_uart0_dual },
 {  22794, ur_m649_u2x8_uart0_dual },
 {  22795, ur_m649_u2x8_uart0_dual_pr_ee },
 {  22796, ur_m649_u2x8_uart0_dual_pr_ee },
 {  22797, ur_m649_u2x8_uart0_dual_pr_ce },
 {  22798, ur_m649_u2x8_uart0_dual_pr_ce },
 {  22799, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  22800, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  22802, ur_m649_u2x8_uart0_dual_ee_hw },
 {  22804, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  22805, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  22974, ur_m649_u2x12_uart0_noled },
 {  22975, ur_m649_u2x12_uart0_noled },
 {  22976, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  22977, ur_m649_u2x12_uart0_noled_pr_ee },
 {  22978, ur_m649_u2x12_uart0_noled_pr_ee },
 {  22979, ur_m649_u2x12_uart0_noled_pr_ce },
 {  22980, ur_m649_u2x12_uart0_noled_pr_ce },
 {  22981, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  22982, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  22984, ur_m649_u2x12_uart0_noled_ee_hw },
 {  22986, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  22987, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  22988, ur_m649_u2x12_uart0_lednop },
 {  22989, ur_m649_u2x12_uart0_lednop },
 {  22990, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  22991, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  22992, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  22993, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  22994, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  22995, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  22996, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  22998, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  23000, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  23001, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  23002, ur_m649_u2x12_uart0_dual },
 {  23003, ur_m649_u2x12_uart0_dual },
 {  23004, ur_m649_u2x12_uart0_dual },
 {  23005, ur_m649_u2x12_uart0_dual_pr_ee },
 {  23006, ur_m649_u2x12_uart0_dual_pr_ee },
 {  23007, ur_m649_u2x12_uart0_dual_pr_ce },
 {  23008, ur_m649_u2x12_uart0_dual_pr_ce },
 {  23009, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  23010, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  23012, ur_m649_u2x12_uart0_dual_ee_hw },
 {  23014, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  23015, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  23184, ur_m649_swio10_noled },
 {  23185, ur_m649_swio10_noled_pr },
 {  23186, ur_m649_swio10_noled_pr },
 {  23187, ur_m649_swio10_noled_pr_ee },
 {  23188, ur_m649_swio10_noled_pr_ee },
 {  23189, ur_m649_swio10_noled_pr_ce },
 {  23190, ur_m649_swio10_noled_pr_ce },
 {  23191, ur_m649_swio10_noled_pr_ee_ce },
 {  23192, ur_m649_swio10_noled_pr_ee_ce },
 {  23194, ur_m649_swio10_noled_ee_hw },
 {  23196, ur_m649_swio10_noled_ee_ce_hw },
 {  23197, ur_m649_swio10_noled_ee_ce_hw },
 {  23198, ur_m649_swio10_lednop },
 {  23199, ur_m649_swio10_lednop_pr },
 {  23200, ur_m649_swio10_lednop_pr },
 {  23201, ur_m649_swio10_lednop_pr_ee },
 {  23202, ur_m649_swio10_lednop_pr_ee },
 {  23203, ur_m649_swio10_lednop_pr_ce },
 {  23204, ur_m649_swio10_lednop_pr_ce },
 {  23205, ur_m649_swio10_lednop_pr_ee_ce },
 {  23206, ur_m649_swio10_lednop_pr_ee_ce },
 {  23208, ur_m649_swio10_lednop_ee_hw },
 {  23210, ur_m649_swio10_lednop_ee_ce_hw },
 {  23211, ur_m649_swio10_lednop_ee_ce_hw },
 {  23212, ur_m649_swio10_dual },
 {  23213, ur_m649_swio10_dual },
 {  23214, ur_m649_swio10_dual },
 {  23215, ur_m649_swio10_dual_pr_ee },
 {  23216, ur_m649_swio10_dual_pr_ee_u4 },
 {  23217, ur_m649_swio10_dual_pr_ce },
 {  23218, ur_m649_swio10_dual_pr_ce },
 {  23219, ur_m649_swio10_dual_pr_ee_ce },
 {  23220, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  23222, ur_m649_swio10_dual_ee_hw },
 {  23224, ur_m649_swio10_dual_ee_ce_hw },
 {  23225, ur_m649_swio10_dual_ee_ce_hw },
 {  23226, ur_m649_swio11_noled },
 {  23227, ur_m649_swio11_noled_pr },
 {  23228, ur_m649_swio11_noled_pr },
 {  23229, ur_m649_swio11_noled_pr_ee },
 {  23230, ur_m649_swio11_noled_pr_ee },
 {  23231, ur_m649_swio11_noled_pr_ce },
 {  23232, ur_m649_swio11_noled_pr_ce },
 {  23233, ur_m649_swio11_noled_pr_ee_ce },
 {  23234, ur_m649_swio11_noled_pr_ee_ce },
 {  23236, ur_m649_swio11_noled_ee_hw },
 {  23238, ur_m649_swio11_noled_ee_ce_hw },
 {  23239, ur_m649_swio11_noled_ee_ce_hw },
 {  23240, ur_m649_swio11_lednop },
 {  23241, ur_m649_swio11_lednop_pr },
 {  23242, ur_m649_swio11_lednop_pr },
 {  23243, ur_m649_swio11_lednop_pr_ee },
 {  23244, ur_m649_swio11_lednop_pr_ee },
 {  23245, ur_m649_swio11_lednop_pr_ce },
 {  23246, ur_m649_swio11_lednop_pr_ce },
 {  23247, ur_m649_swio11_lednop_pr_ee_ce },
 {  23248, ur_m649_swio11_lednop_pr_ee_ce },
 {  23250, ur_m649_swio11_lednop_ee_hw },
 {  23252, ur_m649_swio11_lednop_ee_ce_hw },
 {  23253, ur_m649_swio11_lednop_ee_ce_hw },
 {  23254, ur_m649_swio11_dual },
 {  23255, ur_m649_swio11_dual },
 {  23256, ur_m649_swio11_dual },
 {  23257, ur_m649_swio11_dual_pr_ee },
 {  23258, ur_m649_swio11_dual_pr_ee_u4 },
 {  23259, ur_m649_swio11_dual_pr_ce },
 {  23260, ur_m649_swio11_dual_pr_ce },
 {  23261, ur_m649_swio11_dual_pr_ee_ce },
 {  23262, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  23264, ur_m649_swio11_dual_ee_hw },
 {  23266, ur_m649_swio11_dual_ee_ce_hw },
 {  23267, ur_m649_swio11_dual_ee_ce_hw },
 {  23268, ur_m649_swio11_noled },
 {  23269, ur_m649_swio11_noled_pr },
 {  23270, ur_m649_swio11_noled_pr },
 {  23271, ur_m649_swio11_noled_pr_ee },
 {  23272, ur_m649_swio11_noled_pr_ee },
 {  23273, ur_m649_swio11_noled_pr_ce },
 {  23274, ur_m649_swio11_noled_pr_ce },
 {  23275, ur_m649_swio11_noled_pr_ee_ce },
 {  23276, ur_m649_swio11_noled_pr_ee_ce },
 {  23278, ur_m649_swio11_noled_ee_hw },
 {  23280, ur_m649_swio11_noled_ee_ce_hw },
 {  23281, ur_m649_swio11_noled_ee_ce_hw },
 {  23282, ur_m649_swio11_lednop },
 {  23283, ur_m649_swio11_lednop_pr },
 {  23284, ur_m649_swio11_lednop_pr },
 {  23285, ur_m649_swio11_lednop_pr_ee },
 {  23286, ur_m649_swio11_lednop_pr_ee },
 {  23287, ur_m649_swio11_lednop_pr_ce },
 {  23288, ur_m649_swio11_lednop_pr_ce },
 {  23289, ur_m649_swio11_lednop_pr_ee_ce },
 {  23290, ur_m649_swio11_lednop_pr_ee_ce },
 {  23292, ur_m649_swio11_lednop_ee_hw },
 {  23294, ur_m649_swio11_lednop_ee_ce_hw },
 {  23295, ur_m649_swio11_lednop_ee_ce_hw },
 {  23296, ur_m649_swio11_dual },
 {  23297, ur_m649_swio11_dual },
 {  23298, ur_m649_swio11_dual },
 {  23299, ur_m649_swio11_dual_pr_ee },
 {  23300, ur_m649_swio11_dual_pr_ee_u4 },
 {  23301, ur_m649_swio11_dual_pr_ce },
 {  23302, ur_m649_swio11_dual_pr_ce },
 {  23303, ur_m649_swio11_dual_pr_ee_ce },
 {  23304, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  23306, ur_m649_swio11_dual_ee_hw },
 {  23308, ur_m649_swio11_dual_ee_ce_hw },
 {  23309, ur_m649_swio11_dual_ee_ce_hw },
 {  23310, ur_m649_swio13_noled },
 {  23311, ur_m649_swio13_noled_pr },
 {  23312, ur_m649_swio13_noled_pr },
 {  23313, ur_m649_swio13_noled_pr_ee },
 {  23314, ur_m649_swio13_noled_pr_ee },
 {  23315, ur_m649_swio13_noled_pr_ce },
 {  23316, ur_m649_swio13_noled_pr_ce },
 {  23317, ur_m649_swio13_noled_pr_ee_ce },
 {  23318, ur_m649_swio13_noled_pr_ee_ce },
 {  23320, ur_m649_swio13_noled_ee_hw },
 {  23322, ur_m649_swio13_noled_ee_ce_hw },
 {  23323, ur_m649_swio13_noled_ee_ce_hw },
 {  23324, ur_m649_swio13_lednop },
 {  23325, ur_m649_swio13_lednop_pr },
 {  23326, ur_m649_swio13_lednop_pr },
 {  23327, ur_m649_swio13_lednop_pr_ee },
 {  23328, ur_m649_swio13_lednop_pr_ee },
 {  23329, ur_m649_swio13_lednop_pr_ce },
 {  23330, ur_m649_swio13_lednop_pr_ce },
 {  23331, ur_m649_swio13_lednop_pr_ee_ce },
 {  23332, ur_m649_swio13_lednop_pr_ee_ce },
 {  23334, ur_m649_swio13_lednop_ee_hw },
 {  23336, ur_m649_swio13_lednop_ee_ce_hw },
 {  23337, ur_m649_swio13_lednop_ee_ce_hw },
 {  23338, ur_m649_swio13_dual },
 {  23339, ur_m649_swio13_dual },
 {  23340, ur_m649_swio13_dual },
 {  23341, ur_m649_swio13_dual_pr_ee },
 {  23342, ur_m649_swio13_dual_pr_ee_u4 },
 {  23343, ur_m649_swio13_dual_pr_ce },
 {  23344, ur_m649_swio13_dual_pr_ce_u4 },
 {  23345, ur_m649_swio13_dual_pr_ee_ce },
 {  23346, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  23348, ur_m649_swio13_dual_ee_hw },
 {  23350, ur_m649_swio13_dual_ee_ce_hw },
 {  23351, ur_m649_swio13_dual_ee_ce_hw },
 {  23352, ur_m649_swio14_noled },
 {  23353, ur_m649_swio14_noled_pr },
 {  23354, ur_m649_swio14_noled_pr },
 {  23355, ur_m649_swio14_noled_pr_ee },
 {  23356, ur_m649_swio14_noled_pr_ee },
 {  23357, ur_m649_swio14_noled_pr_ce },
 {  23358, ur_m649_swio14_noled_pr_ce },
 {  23359, ur_m649_swio14_noled_pr_ee_ce },
 {  23360, ur_m649_swio14_noled_pr_ee_ce },
 {  23362, ur_m649_swio14_noled_ee_hw },
 {  23364, ur_m649_swio14_noled_ee_ce_hw },
 {  23365, ur_m649_swio14_noled_ee_ce_hw },
 {  23366, ur_m649_swio14_lednop },
 {  23367, ur_m649_swio14_lednop_pr },
 {  23368, ur_m649_swio14_lednop_pr },
 {  23369, ur_m649_swio14_lednop_pr_ee },
 {  23370, ur_m649_swio14_lednop_pr_ee },
 {  23371, ur_m649_swio14_lednop_pr_ce },
 {  23372, ur_m649_swio14_lednop_pr_ce },
 {  23373, ur_m649_swio14_lednop_pr_ee_ce },
 {  23374, ur_m649_swio14_lednop_pr_ee_ce },
 {  23376, ur_m649_swio14_lednop_ee_hw },
 {  23378, ur_m649_swio14_lednop_ee_ce_hw },
 {  23379, ur_m649_swio14_lednop_ee_ce_hw },
 {  23380, ur_m649_swio14_dual },
 {  23381, ur_m649_swio14_dual },
 {  23382, ur_m649_swio14_dual },
 {  23383, ur_m649_swio14_dual_pr_ee },
 {  23384, ur_m649_swio14_dual_pr_ee_u4 },
 {  23385, ur_m649_swio14_dual_pr_ce },
 {  23386, ur_m649_swio14_dual_pr_ce },
 {  23387, ur_m649_swio14_dual_pr_ee_ce },
 {  23388, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  23390, ur_m649_swio14_dual_ee_hw },
 {  23392, ur_m649_swio14_dual_ee_ce_hw },
 {  23393, ur_m649_swio14_dual_ee_ce_hw },
 {  23394, ur_m649_swio15_noled },
 {  23395, ur_m649_swio15_noled_pr },
 {  23396, ur_m649_swio15_noled_pr },
 {  23397, ur_m649_swio15_noled_pr_ee },
 {  23398, ur_m649_swio15_noled_pr_ee },
 {  23399, ur_m649_swio15_noled_pr_ce },
 {  23400, ur_m649_swio15_noled_pr_ce },
 {  23401, ur_m649_swio15_noled_pr_ee_ce },
 {  23402, ur_m649_swio15_noled_pr_ee_ce },
 {  23404, ur_m649_swio15_noled_ee_hw },
 {  23406, ur_m649_swio15_noled_ee_ce_hw },
 {  23407, ur_m649_swio15_noled_ee_ce_hw },
 {  23408, ur_m649_swio15_lednop },
 {  23409, ur_m649_swio15_lednop_pr },
 {  23410, ur_m649_swio15_lednop_pr },
 {  23411, ur_m649_swio15_lednop_pr_ee },
 {  23412, ur_m649_swio15_lednop_pr_ee },
 {  23413, ur_m649_swio15_lednop_pr_ce },
 {  23414, ur_m649_swio15_lednop_pr_ce },
 {  23415, ur_m649_swio15_lednop_pr_ee_ce },
 {  23416, ur_m649_swio15_lednop_pr_ee_ce },
 {  23418, ur_m649_swio15_lednop_ee_hw },
 {  23420, ur_m649_swio15_lednop_ee_ce_hw },
 {  23421, ur_m649_swio15_lednop_ee_ce_hw },
 {  23422, ur_m649_swio15_dual },
 {  23423, ur_m649_swio15_dual },
 {  23424, ur_m649_swio15_dual },
 {  23425, ur_m649_swio15_dual_pr_ee },
 {  23426, ur_m649_swio15_dual_pr_ee_u4 },
 {  23427, ur_m649_swio15_dual_pr_ce },
 {  23428, ur_m649_swio15_dual_pr_ce_u4 },
 {  23429, ur_m649_swio15_dual_pr_ee_ce },
 {  23430, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  23432, ur_m649_swio15_dual_ee_hw },
 {  23434, ur_m649_swio15_dual_ee_ce_hw },
 {  23435, ur_m649_swio15_dual_ee_ce_hw },
 {  23436, ur_m48_autobaud_uart0_noled },
 {  23437, ur_m48_autobaud_uart0_noled },
 {  23438, ur_m48_autobaud_uart0_noled_pr_u4 },
 {  23439, ur_m48_autobaud_uart0_noled_pr_ee },
 {  23440, ur_m48_autobaud_uart0_noled_pr_ee_u4 },
 {  23441, ur_m48_autobaud_uart0_noled_pr_ce },
 {  23442, ur_m48_autobaud_uart0_noled_pr_ce_u4 },
 {  23443, ur_m48_autobaud_uart0_noled_pr_ee_ce },
 {  23444, ur_m48_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  23450, ur_m48_autobaud_uart0_lednop },
 {  23451, ur_m48_autobaud_uart0_lednop },
 {  23452, ur_m48_autobaud_uart0_lednop_pr_u4 },
 {  23453, ur_m48_autobaud_uart0_lednop_pr_ee },
 {  23454, ur_m48_autobaud_uart0_lednop_pr_ee_u4 },
 {  23455, ur_m48_autobaud_uart0_lednop_pr_ce },
 {  23456, ur_m48_autobaud_uart0_lednop_pr_ce_u4 },
 {  23457, ur_m48_autobaud_uart0_lednop_pr_ee_ce },
 {  23458, ur_m48_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  23464, ur_m48_autobaud_uart0_dual },
 {  23465, ur_m48_autobaud_uart0_dual_pr },
 {  23466, ur_m48_autobaud_uart0_dual_pr_u4 },
 {  23467, ur_m48_autobaud_uart0_dual_pr_ee },
 {  23468, ur_m48_autobaud_uart0_dual_pr_ee_u4 },
 {  23469, ur_m48_autobaud_uart0_dual_pr_ce },
 {  23470, ur_m48_autobaud_uart0_dual_pr_ce_u4 },
 {  23471, ur_m48_autobaud_uart0_dual_pr_ee_ce },
 {  23472, ur_m48_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  23646, ur_m48_u1x8_uart0_noled },
 {  23647, ur_m48_u1x8_uart0_noled },
 {  23648, ur_m48_u1x8_uart0_noled_pr_u4 },
 {  23649, ur_m48_u1x8_uart0_noled_pr_ee },
 {  23650, ur_m48_u1x8_uart0_noled_pr_ee_u4 },
 {  23651, ur_m48_u1x8_uart0_noled_pr_ce },
 {  23652, ur_m48_u1x8_uart0_noled_pr_ce_u4 },
 {  23653, ur_m48_u1x8_uart0_noled_pr_ee_ce },
 {  23654, ur_m48_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  23660, ur_m48_u1x8_uart0_lednop },
 {  23661, ur_m48_u1x8_uart0_lednop },
 {  23662, ur_m48_u1x8_uart0_lednop_pr_u4 },
 {  23663, ur_m48_u1x8_uart0_lednop_pr_ee },
 {  23664, ur_m48_u1x8_uart0_lednop_pr_ee_u4 },
 {  23665, ur_m48_u1x8_uart0_lednop_pr_ce },
 {  23666, ur_m48_u1x8_uart0_lednop_pr_ce_u4 },
 {  23667, ur_m48_u1x8_uart0_lednop_pr_ee_ce },
 {  23668, ur_m48_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  23674, ur_m48_u1x8_uart0_dual },
 {  23675, ur_m48_u1x8_uart0_dual },
 {  23676, ur_m48_u1x8_uart0_dual_pr_u4 },
 {  23677, ur_m48_u1x8_uart0_dual_pr_ee },
 {  23678, ur_m48_u1x8_uart0_dual_pr_ee_u4 },
 {  23679, ur_m48_u1x8_uart0_dual_pr_ce },
 {  23680, ur_m48_u1x8_uart0_dual_pr_ce_u4 },
 {  23681, ur_m48_u1x8_uart0_dual_pr_ee_ce },
 {  23682, ur_m48_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  23856, ur_m48_u1x12_uart0_noled },
 {  23857, ur_m48_u1x12_uart0_noled },
 {  23858, ur_m48_u1x12_uart0_noled_pr_u4 },
 {  23859, ur_m48_u1x12_uart0_noled_pr_ee },
 {  23860, ur_m48_u1x12_uart0_noled_pr_ee_u4 },
 {  23861, ur_m48_u1x12_uart0_noled_pr_ce },
 {  23862, ur_m48_u1x12_uart0_noled_pr_ce_u4 },
 {  23863, ur_m48_u1x12_uart0_noled_pr_ee_ce },
 {  23864, ur_m48_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  23870, ur_m48_u1x12_uart0_lednop },
 {  23871, ur_m48_u1x12_uart0_lednop },
 {  23872, ur_m48_u1x12_uart0_lednop_pr_u4 },
 {  23873, ur_m48_u1x12_uart0_lednop_pr_ee },
 {  23874, ur_m48_u1x12_uart0_lednop_pr_ee_u4 },
 {  23875, ur_m48_u1x12_uart0_lednop_pr_ce },
 {  23876, ur_m48_u1x12_uart0_lednop_pr_ce_u4 },
 {  23877, ur_m48_u1x12_uart0_lednop_pr_ee_ce },
 {  23878, ur_m48_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  23884, ur_m48_u1x12_uart0_dual },
 {  23885, ur_m48_u1x12_uart0_dual },
 {  23886, ur_m48_u1x12_uart0_dual_pr_u4 },
 {  23887, ur_m48_u1x12_uart0_dual_pr_ee },
 {  23888, ur_m48_u1x12_uart0_dual_pr_ee_u4 },
 {  23889, ur_m48_u1x12_uart0_dual_pr_ce },
 {  23890, ur_m48_u1x12_uart0_dual_pr_ce_u4 },
 {  23891, ur_m48_u1x12_uart0_dual_pr_ee_ce },
 {  23892, ur_m48_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  24066, ur_m48_u2x8_uart0_noled },
 {  24067, ur_m48_u2x8_uart0_noled },
 {  24068, ur_m48_u2x8_uart0_noled_pr_u4 },
 {  24069, ur_m48_u2x8_uart0_noled_pr_ee },
 {  24070, ur_m48_u2x8_uart0_noled_pr_ee_u4 },
 {  24071, ur_m48_u2x8_uart0_noled_pr_ce },
 {  24072, ur_m48_u2x8_uart0_noled_pr_ce_u4 },
 {  24073, ur_m48_u2x8_uart0_noled_pr_ee_ce },
 {  24074, ur_m48_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  24080, ur_m48_u2x8_uart0_lednop },
 {  24081, ur_m48_u2x8_uart0_lednop },
 {  24082, ur_m48_u2x8_uart0_lednop_pr_u4 },
 {  24083, ur_m48_u2x8_uart0_lednop_pr_ee },
 {  24084, ur_m48_u2x8_uart0_lednop_pr_ee_u4 },
 {  24085, ur_m48_u2x8_uart0_lednop_pr_ce },
 {  24086, ur_m48_u2x8_uart0_lednop_pr_ce_u4 },
 {  24087, ur_m48_u2x8_uart0_lednop_pr_ee_ce },
 {  24088, ur_m48_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  24094, ur_m48_u2x8_uart0_dual },
 {  24095, ur_m48_u2x8_uart0_dual },
 {  24096, ur_m48_u2x8_uart0_dual_pr_u4 },
 {  24097, ur_m48_u2x8_uart0_dual_pr_ee },
 {  24098, ur_m48_u2x8_uart0_dual_pr_ee_u4 },
 {  24099, ur_m48_u2x8_uart0_dual_pr_ce },
 {  24100, ur_m48_u2x8_uart0_dual_pr_ce_u4 },
 {  24101, ur_m48_u2x8_uart0_dual_pr_ee_ce },
 {  24102, ur_m48_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  24276, ur_m48_u2x12_uart0_noled },
 {  24277, ur_m48_u2x12_uart0_noled },
 {  24278, ur_m48_u2x12_uart0_noled_pr_u4 },
 {  24279, ur_m48_u2x12_uart0_noled_pr_ee },
 {  24280, ur_m48_u2x12_uart0_noled_pr_ee_u4 },
 {  24281, ur_m48_u2x12_uart0_noled_pr_ce },
 {  24282, ur_m48_u2x12_uart0_noled_pr_ce_u4 },
 {  24283, ur_m48_u2x12_uart0_noled_pr_ee_ce },
 {  24284, ur_m48_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  24290, ur_m48_u2x12_uart0_lednop },
 {  24291, ur_m48_u2x12_uart0_lednop },
 {  24292, ur_m48_u2x12_uart0_lednop_pr_u4 },
 {  24293, ur_m48_u2x12_uart0_lednop_pr_ee },
 {  24294, ur_m48_u2x12_uart0_lednop_pr_ee_u4 },
 {  24295, ur_m48_u2x12_uart0_lednop_pr_ce },
 {  24296, ur_m48_u2x12_uart0_lednop_pr_ce_u4 },
 {  24297, ur_m48_u2x12_uart0_lednop_pr_ee_ce },
 {  24298, ur_m48_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  24304, ur_m48_u2x12_uart0_dual },
 {  24305, ur_m48_u2x12_uart0_dual },
 {  24306, ur_m48_u2x12_uart0_dual_pr_u4 },
 {  24307, ur_m48_u2x12_uart0_dual_pr_ee },
 {  24308, ur_m48_u2x12_uart0_dual_pr_ee_u4 },
 {  24309, ur_m48_u2x12_uart0_dual_pr_ce },
 {  24310, ur_m48_u2x12_uart0_dual_pr_ce_u4 },
 {  24311, ur_m48_u2x12_uart0_dual_pr_ee_ce },
 {  24312, ur_m48_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  24486, ur_m48_swio10_noled },
 {  24487, ur_m48_swio10_noled },
 {  24488, ur_m48_swio10_noled_pr_u4 },
 {  24489, ur_m48_swio10_noled_pr_ee },
 {  24490, ur_m48_swio10_noled_pr_ee_u4 },
 {  24491, ur_m48_swio10_noled_pr_ce },
 {  24492, ur_m48_swio10_noled_pr_ce_u4 },
 {  24493, ur_m48_swio10_noled_pr_ee_ce },
 {  24494, ur_m48_swio10_noled_pr_ee_ce_u4 },
 {  24500, ur_m48_swio10_lednop },
 {  24501, ur_m48_swio10_lednop },
 {  24502, ur_m48_swio10_lednop_pr_u4 },
 {  24503, ur_m48_swio10_lednop_pr_ee },
 {  24504, ur_m48_swio10_lednop_pr_ee_u4 },
 {  24505, ur_m48_swio10_lednop_pr_ce },
 {  24506, ur_m48_swio10_lednop_pr_ce_u4 },
 {  24507, ur_m48_swio10_lednop_pr_ee_ce },
 {  24508, ur_m48_swio10_lednop_pr_ee_ce_u4 },
 {  24514, ur_m48_swio10_dual },
 {  24515, ur_m48_swio10_dual_pr },
 {  24516, ur_m48_swio10_dual_pr_u4 },
 {  24517, ur_m48_swio10_dual_pr_ee },
 {  24518, ur_m48_swio10_dual_pr_ee },
 {  24519, ur_m48_swio10_dual_pr_ce },
 {  24520, ur_m48_swio10_dual_pr_ce_u4 },
 {  24521, ur_m48_swio10_dual_pr_ee_ce },
 {  24522, ur_m48_swio10_dual_pr_ee_ce_u4 },
 {  24528, ur_m48_swio11_noled },
 {  24529, ur_m48_swio11_noled },
 {  24530, ur_m48_swio11_noled_pr_u4 },
 {  24531, ur_m48_swio11_noled_pr_ee },
 {  24532, ur_m48_swio11_noled_pr_ee_u4 },
 {  24533, ur_m48_swio11_noled_pr_ce },
 {  24534, ur_m48_swio11_noled_pr_ce_u4 },
 {  24535, ur_m48_swio11_noled_pr_ee_ce },
 {  24536, ur_m48_swio11_noled_pr_ee_ce_u4 },
 {  24542, ur_m48_swio11_lednop },
 {  24543, ur_m48_swio11_lednop },
 {  24544, ur_m48_swio11_lednop_pr_u4 },
 {  24545, ur_m48_swio11_lednop_pr_ee },
 {  24546, ur_m48_swio11_lednop_pr_ee_u4 },
 {  24547, ur_m48_swio11_lednop_pr_ce },
 {  24548, ur_m48_swio11_lednop_pr_ce_u4 },
 {  24549, ur_m48_swio11_lednop_pr_ee_ce },
 {  24550, ur_m48_swio11_lednop_pr_ee_ce_u4 },
 {  24556, ur_m48_swio11_dual },
 {  24557, ur_m48_swio11_dual },
 {  24558, ur_m48_swio11_dual_pr_u4 },
 {  24559, ur_m48_swio11_dual_pr_ee },
 {  24560, ur_m48_swio11_dual_pr_ee_u4 },
 {  24561, ur_m48_swio11_dual_pr_ce },
 {  24562, ur_m48_swio11_dual_pr_ce_u4 },
 {  24563, ur_m48_swio11_dual_pr_ee_ce },
 {  24564, ur_m48_swio11_dual_pr_ee_ce_u4 },
 {  24570, ur_m48_swio11_noled },
 {  24571, ur_m48_swio11_noled },
 {  24572, ur_m48_swio11_noled_pr_u4 },
 {  24573, ur_m48_swio11_noled_pr_ee },
 {  24574, ur_m48_swio11_noled_pr_ee_u4 },
 {  24575, ur_m48_swio11_noled_pr_ce },
 {  24576, ur_m48_swio11_noled_pr_ce_u4 },
 {  24577, ur_m48_swio11_noled_pr_ee_ce },
 {  24578, ur_m48_swio11_noled_pr_ee_ce_u4 },
 {  24584, ur_m48_swio11_lednop },
 {  24585, ur_m48_swio11_lednop },
 {  24586, ur_m48_swio11_lednop_pr_u4 },
 {  24587, ur_m48_swio11_lednop_pr_ee },
 {  24588, ur_m48_swio11_lednop_pr_ee_u4 },
 {  24589, ur_m48_swio11_lednop_pr_ce },
 {  24590, ur_m48_swio11_lednop_pr_ce_u4 },
 {  24591, ur_m48_swio11_lednop_pr_ee_ce },
 {  24592, ur_m48_swio11_lednop_pr_ee_ce_u4 },
 {  24598, ur_m48_swio11_dual },
 {  24599, ur_m48_swio11_dual },
 {  24600, ur_m48_swio11_dual_pr_u4 },
 {  24601, ur_m48_swio11_dual_pr_ee },
 {  24602, ur_m48_swio11_dual_pr_ee_u4 },
 {  24603, ur_m48_swio11_dual_pr_ce },
 {  24604, ur_m48_swio11_dual_pr_ce_u4 },
 {  24605, ur_m48_swio11_dual_pr_ee_ce },
 {  24606, ur_m48_swio11_dual_pr_ee_ce_u4 },
 {  24612, ur_m48_swio13_noled },
 {  24613, ur_m48_swio13_noled },
 {  24614, ur_m48_swio13_noled_pr_u4 },
 {  24615, ur_m48_swio13_noled_pr_ee },
 {  24616, ur_m48_swio13_noled_pr_ee_u4 },
 {  24617, ur_m48_swio13_noled_pr_ce },
 {  24618, ur_m48_swio13_noled_pr_ce_u4 },
 {  24619, ur_m48_swio13_noled_pr_ee_ce },
 {  24620, ur_m48_swio13_noled_pr_ee_ce_u4 },
 {  24626, ur_m48_swio13_lednop },
 {  24627, ur_m48_swio13_lednop_pr },
 {  24628, ur_m48_swio13_lednop_pr_u4 },
 {  24629, ur_m48_swio13_lednop_pr_ee },
 {  24630, ur_m48_swio13_lednop_pr_ee_u4 },
 {  24631, ur_m48_swio13_lednop_pr_ce },
 {  24632, ur_m48_swio13_lednop_pr_ce_u4 },
 {  24633, ur_m48_swio13_lednop_pr_ee_ce },
 {  24634, ur_m48_swio13_lednop_pr_ee_ce_u4 },
 {  24640, ur_m48_swio13_dual },
 {  24641, ur_m48_swio13_dual },
 {  24642, ur_m48_swio13_dual_pr_u4 },
 {  24643, ur_m48_swio13_dual_pr_ee },
 {  24644, ur_m48_swio13_dual_pr_ee_u4 },
 {  24645, ur_m48_swio13_dual_pr_ce },
 {  24646, ur_m48_swio13_dual_pr_ce_u4 },
 {  24647, ur_m48_swio13_dual_pr_ee_ce },
 {  24648, ur_m48_swio13_dual_pr_ee_ce_u4 },
 {  24654, ur_m48_swio14_noled },
 {  24655, ur_m48_swio14_noled },
 {  24656, ur_m48_swio14_noled_pr_u4 },
 {  24657, ur_m48_swio14_noled_pr_ee },
 {  24658, ur_m48_swio14_noled_pr_ee_u4 },
 {  24659, ur_m48_swio14_noled_pr_ce },
 {  24660, ur_m48_swio14_noled_pr_ce_u4 },
 {  24661, ur_m48_swio14_noled_pr_ee_ce },
 {  24662, ur_m48_swio14_noled_pr_ee_ce_u4 },
 {  24668, ur_m48_swio14_lednop },
 {  24669, ur_m48_swio14_lednop },
 {  24670, ur_m48_swio14_lednop_pr_u4 },
 {  24671, ur_m48_swio14_lednop_pr_ee },
 {  24672, ur_m48_swio14_lednop_pr_ee_u4 },
 {  24673, ur_m48_swio14_lednop_pr_ce },
 {  24674, ur_m48_swio14_lednop_pr_ce_u4 },
 {  24675, ur_m48_swio14_lednop_pr_ee_ce },
 {  24676, ur_m48_swio14_lednop_pr_ee_ce_u4 },
 {  24682, ur_m48_swio14_dual },
 {  24683, ur_m48_swio14_dual },
 {  24684, ur_m48_swio14_dual_pr_u4 },
 {  24685, ur_m48_swio14_dual_pr_ee },
 {  24686, ur_m48_swio14_dual_pr_ee_u4 },
 {  24687, ur_m48_swio14_dual_pr_ce },
 {  24688, ur_m48_swio14_dual_pr_ce_u4 },
 {  24689, ur_m48_swio14_dual_pr_ee_ce },
 {  24690, ur_m48_swio14_dual_pr_ee_ce_u4 },
 {  24696, ur_m48_swio15_noled },
 {  24697, ur_m48_swio15_noled },
 {  24698, ur_m48_swio15_noled_pr_u4 },
 {  24699, ur_m48_swio15_noled_pr_ee },
 {  24700, ur_m48_swio15_noled_pr_ee_u4 },
 {  24701, ur_m48_swio15_noled_pr_ce },
 {  24702, ur_m48_swio15_noled_pr_ce_u4 },
 {  24703, ur_m48_swio15_noled_pr_ee_ce },
 {  24704, ur_m48_swio15_noled_pr_ee_ce_u4 },
 {  24710, ur_m48_swio15_lednop },
 {  24711, ur_m48_swio15_lednop_pr },
 {  24712, ur_m48_swio15_lednop_pr_u4 },
 {  24713, ur_m48_swio15_lednop_pr_ee },
 {  24714, ur_m48_swio15_lednop_pr_ee_u4 },
 {  24715, ur_m48_swio15_lednop_pr_ce },
 {  24716, ur_m48_swio15_lednop_pr_ce_u4 },
 {  24717, ur_m48_swio15_lednop_pr_ee_ce },
 {  24718, ur_m48_swio15_lednop_pr_ee_ce_u4 },
 {  24724, ur_m48_swio15_dual },
 {  24725, ur_m48_swio15_dual },
 {  24726, ur_m48_swio15_dual_pr_u4 },
 {  24727, ur_m48_swio15_dual_pr_ee },
 {  24728, ur_m48_swio15_dual_pr_ee_u4 },
 {  24729, ur_m48_swio15_dual_pr_ce },
 {  24730, ur_m48_swio15_dual_pr_ce_u4 },
 {  24731, ur_m48_swio15_dual_pr_ee_ce },
 {  24732, ur_m48_swio15_dual_pr_ee_ce_u4 },
 {  24738, ur_m48_autobaud_uart0_noled },
 {  24739, ur_m48_autobaud_uart0_noled },
 {  24740, ur_m48_autobaud_uart0_noled_pr_u4 },
 {  24741, ur_m48_autobaud_uart0_noled_pr_ee },
 {  24742, ur_m48_autobaud_uart0_noled_pr_ee_u4 },
 {  24743, ur_m48_autobaud_uart0_noled_pr_ce },
 {  24744, ur_m48_autobaud_uart0_noled_pr_ce_u4 },
 {  24745, ur_m48_autobaud_uart0_noled_pr_ee_ce },
 {  24746, ur_m48_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  24752, ur_m48_autobaud_uart0_lednop },
 {  24753, ur_m48_autobaud_uart0_lednop },
 {  24754, ur_m48_autobaud_uart0_lednop_pr_u4 },
 {  24755, ur_m48_autobaud_uart0_lednop_pr_ee },
 {  24756, ur_m48_autobaud_uart0_lednop_pr_ee_u4 },
 {  24757, ur_m48_autobaud_uart0_lednop_pr_ce },
 {  24758, ur_m48_autobaud_uart0_lednop_pr_ce_u4 },
 {  24759, ur_m48_autobaud_uart0_lednop_pr_ee_ce },
 {  24760, ur_m48_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  24766, ur_m48_autobaud_uart0_dual },
 {  24767, ur_m48_autobaud_uart0_dual_pr },
 {  24768, ur_m48_autobaud_uart0_dual_pr_u4 },
 {  24769, ur_m48_autobaud_uart0_dual_pr_ee },
 {  24770, ur_m48_autobaud_uart0_dual_pr_ee_u4 },
 {  24771, ur_m48_autobaud_uart0_dual_pr_ce },
 {  24772, ur_m48_autobaud_uart0_dual_pr_ce_u4 },
 {  24773, ur_m48_autobaud_uart0_dual_pr_ee_ce },
 {  24774, ur_m48_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  24948, ur_m48_u1x8_uart0_noled },
 {  24949, ur_m48_u1x8_uart0_noled },
 {  24950, ur_m48_u1x8_uart0_noled_pr_u4 },
 {  24951, ur_m48_u1x8_uart0_noled_pr_ee },
 {  24952, ur_m48_u1x8_uart0_noled_pr_ee_u4 },
 {  24953, ur_m48_u1x8_uart0_noled_pr_ce },
 {  24954, ur_m48_u1x8_uart0_noled_pr_ce_u4 },
 {  24955, ur_m48_u1x8_uart0_noled_pr_ee_ce },
 {  24956, ur_m48_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  24962, ur_m48_u1x8_uart0_lednop },
 {  24963, ur_m48_u1x8_uart0_lednop },
 {  24964, ur_m48_u1x8_uart0_lednop_pr_u4 },
 {  24965, ur_m48_u1x8_uart0_lednop_pr_ee },
 {  24966, ur_m48_u1x8_uart0_lednop_pr_ee_u4 },
 {  24967, ur_m48_u1x8_uart0_lednop_pr_ce },
 {  24968, ur_m48_u1x8_uart0_lednop_pr_ce_u4 },
 {  24969, ur_m48_u1x8_uart0_lednop_pr_ee_ce },
 {  24970, ur_m48_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  24976, ur_m48_u1x8_uart0_dual },
 {  24977, ur_m48_u1x8_uart0_dual },
 {  24978, ur_m48_u1x8_uart0_dual_pr_u4 },
 {  24979, ur_m48_u1x8_uart0_dual_pr_ee },
 {  24980, ur_m48_u1x8_uart0_dual_pr_ee_u4 },
 {  24981, ur_m48_u1x8_uart0_dual_pr_ce },
 {  24982, ur_m48_u1x8_uart0_dual_pr_ce_u4 },
 {  24983, ur_m48_u1x8_uart0_dual_pr_ee_ce },
 {  24984, ur_m48_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  25158, ur_m48_u1x12_uart0_noled },
 {  25159, ur_m48_u1x12_uart0_noled },
 {  25160, ur_m48_u1x12_uart0_noled_pr_u4 },
 {  25161, ur_m48_u1x12_uart0_noled_pr_ee },
 {  25162, ur_m48_u1x12_uart0_noled_pr_ee_u4 },
 {  25163, ur_m48_u1x12_uart0_noled_pr_ce },
 {  25164, ur_m48_u1x12_uart0_noled_pr_ce_u4 },
 {  25165, ur_m48_u1x12_uart0_noled_pr_ee_ce },
 {  25166, ur_m48_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  25172, ur_m48_u1x12_uart0_lednop },
 {  25173, ur_m48_u1x12_uart0_lednop },
 {  25174, ur_m48_u1x12_uart0_lednop_pr_u4 },
 {  25175, ur_m48_u1x12_uart0_lednop_pr_ee },
 {  25176, ur_m48_u1x12_uart0_lednop_pr_ee_u4 },
 {  25177, ur_m48_u1x12_uart0_lednop_pr_ce },
 {  25178, ur_m48_u1x12_uart0_lednop_pr_ce_u4 },
 {  25179, ur_m48_u1x12_uart0_lednop_pr_ee_ce },
 {  25180, ur_m48_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  25186, ur_m48_u1x12_uart0_dual },
 {  25187, ur_m48_u1x12_uart0_dual },
 {  25188, ur_m48_u1x12_uart0_dual_pr_u4 },
 {  25189, ur_m48_u1x12_uart0_dual_pr_ee },
 {  25190, ur_m48_u1x12_uart0_dual_pr_ee_u4 },
 {  25191, ur_m48_u1x12_uart0_dual_pr_ce },
 {  25192, ur_m48_u1x12_uart0_dual_pr_ce_u4 },
 {  25193, ur_m48_u1x12_uart0_dual_pr_ee_ce },
 {  25194, ur_m48_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  25368, ur_m48_u2x8_uart0_noled },
 {  25369, ur_m48_u2x8_uart0_noled },
 {  25370, ur_m48_u2x8_uart0_noled_pr_u4 },
 {  25371, ur_m48_u2x8_uart0_noled_pr_ee },
 {  25372, ur_m48_u2x8_uart0_noled_pr_ee_u4 },
 {  25373, ur_m48_u2x8_uart0_noled_pr_ce },
 {  25374, ur_m48_u2x8_uart0_noled_pr_ce_u4 },
 {  25375, ur_m48_u2x8_uart0_noled_pr_ee_ce },
 {  25376, ur_m48_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  25382, ur_m48_u2x8_uart0_lednop },
 {  25383, ur_m48_u2x8_uart0_lednop },
 {  25384, ur_m48_u2x8_uart0_lednop_pr_u4 },
 {  25385, ur_m48_u2x8_uart0_lednop_pr_ee },
 {  25386, ur_m48_u2x8_uart0_lednop_pr_ee_u4 },
 {  25387, ur_m48_u2x8_uart0_lednop_pr_ce },
 {  25388, ur_m48_u2x8_uart0_lednop_pr_ce_u4 },
 {  25389, ur_m48_u2x8_uart0_lednop_pr_ee_ce },
 {  25390, ur_m48_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  25396, ur_m48_u2x8_uart0_dual },
 {  25397, ur_m48_u2x8_uart0_dual },
 {  25398, ur_m48_u2x8_uart0_dual_pr_u4 },
 {  25399, ur_m48_u2x8_uart0_dual_pr_ee },
 {  25400, ur_m48_u2x8_uart0_dual_pr_ee_u4 },
 {  25401, ur_m48_u2x8_uart0_dual_pr_ce },
 {  25402, ur_m48_u2x8_uart0_dual_pr_ce_u4 },
 {  25403, ur_m48_u2x8_uart0_dual_pr_ee_ce },
 {  25404, ur_m48_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  25578, ur_m48_u2x12_uart0_noled },
 {  25579, ur_m48_u2x12_uart0_noled },
 {  25580, ur_m48_u2x12_uart0_noled_pr_u4 },
 {  25581, ur_m48_u2x12_uart0_noled_pr_ee },
 {  25582, ur_m48_u2x12_uart0_noled_pr_ee_u4 },
 {  25583, ur_m48_u2x12_uart0_noled_pr_ce },
 {  25584, ur_m48_u2x12_uart0_noled_pr_ce_u4 },
 {  25585, ur_m48_u2x12_uart0_noled_pr_ee_ce },
 {  25586, ur_m48_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  25592, ur_m48_u2x12_uart0_lednop },
 {  25593, ur_m48_u2x12_uart0_lednop },
 {  25594, ur_m48_u2x12_uart0_lednop_pr_u4 },
 {  25595, ur_m48_u2x12_uart0_lednop_pr_ee },
 {  25596, ur_m48_u2x12_uart0_lednop_pr_ee_u4 },
 {  25597, ur_m48_u2x12_uart0_lednop_pr_ce },
 {  25598, ur_m48_u2x12_uart0_lednop_pr_ce_u4 },
 {  25599, ur_m48_u2x12_uart0_lednop_pr_ee_ce },
 {  25600, ur_m48_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  25606, ur_m48_u2x12_uart0_dual },
 {  25607, ur_m48_u2x12_uart0_dual },
 {  25608, ur_m48_u2x12_uart0_dual_pr_u4 },
 {  25609, ur_m48_u2x12_uart0_dual_pr_ee },
 {  25610, ur_m48_u2x12_uart0_dual_pr_ee_u4 },
 {  25611, ur_m48_u2x12_uart0_dual_pr_ce },
 {  25612, ur_m48_u2x12_uart0_dual_pr_ce_u4 },
 {  25613, ur_m48_u2x12_uart0_dual_pr_ee_ce },
 {  25614, ur_m48_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  25788, ur_m48_swio10_noled },
 {  25789, ur_m48_swio10_noled },
 {  25790, ur_m48_swio10_noled_pr_u4 },
 {  25791, ur_m48_swio10_noled_pr_ee },
 {  25792, ur_m48_swio10_noled_pr_ee_u4 },
 {  25793, ur_m48_swio10_noled_pr_ce },
 {  25794, ur_m48_swio10_noled_pr_ce_u4 },
 {  25795, ur_m48_swio10_noled_pr_ee_ce },
 {  25796, ur_m48_swio10_noled_pr_ee_ce_u4 },
 {  25802, ur_m48_swio10_lednop },
 {  25803, ur_m48_swio10_lednop },
 {  25804, ur_m48_swio10_lednop_pr_u4 },
 {  25805, ur_m48_swio10_lednop_pr_ee },
 {  25806, ur_m48_swio10_lednop_pr_ee_u4 },
 {  25807, ur_m48_swio10_lednop_pr_ce },
 {  25808, ur_m48_swio10_lednop_pr_ce_u4 },
 {  25809, ur_m48_swio10_lednop_pr_ee_ce },
 {  25810, ur_m48_swio10_lednop_pr_ee_ce_u4 },
 {  25816, ur_m48_swio10_dual },
 {  25817, ur_m48_swio10_dual_pr },
 {  25818, ur_m48_swio10_dual_pr_u4 },
 {  25819, ur_m48_swio10_dual_pr_ee },
 {  25820, ur_m48_swio10_dual_pr_ee },
 {  25821, ur_m48_swio10_dual_pr_ce },
 {  25822, ur_m48_swio10_dual_pr_ce_u4 },
 {  25823, ur_m48_swio10_dual_pr_ee_ce },
 {  25824, ur_m48_swio10_dual_pr_ee_ce_u4 },
 {  25830, ur_m48_swio11_noled },
 {  25831, ur_m48_swio11_noled },
 {  25832, ur_m48_swio11_noled_pr_u4 },
 {  25833, ur_m48_swio11_noled_pr_ee },
 {  25834, ur_m48_swio11_noled_pr_ee_u4 },
 {  25835, ur_m48_swio11_noled_pr_ce },
 {  25836, ur_m48_swio11_noled_pr_ce_u4 },
 {  25837, ur_m48_swio11_noled_pr_ee_ce },
 {  25838, ur_m48_swio11_noled_pr_ee_ce_u4 },
 {  25844, ur_m48_swio11_lednop },
 {  25845, ur_m48_swio11_lednop },
 {  25846, ur_m48_swio11_lednop_pr_u4 },
 {  25847, ur_m48_swio11_lednop_pr_ee },
 {  25848, ur_m48_swio11_lednop_pr_ee_u4 },
 {  25849, ur_m48_swio11_lednop_pr_ce },
 {  25850, ur_m48_swio11_lednop_pr_ce_u4 },
 {  25851, ur_m48_swio11_lednop_pr_ee_ce },
 {  25852, ur_m48_swio11_lednop_pr_ee_ce_u4 },
 {  25858, ur_m48_swio11_dual },
 {  25859, ur_m48_swio11_dual },
 {  25860, ur_m48_swio11_dual_pr_u4 },
 {  25861, ur_m48_swio11_dual_pr_ee },
 {  25862, ur_m48_swio11_dual_pr_ee_u4 },
 {  25863, ur_m48_swio11_dual_pr_ce },
 {  25864, ur_m48_swio11_dual_pr_ce_u4 },
 {  25865, ur_m48_swio11_dual_pr_ee_ce },
 {  25866, ur_m48_swio11_dual_pr_ee_ce_u4 },
 {  25872, ur_m48_swio11_noled },
 {  25873, ur_m48_swio11_noled },
 {  25874, ur_m48_swio11_noled_pr_u4 },
 {  25875, ur_m48_swio11_noled_pr_ee },
 {  25876, ur_m48_swio11_noled_pr_ee_u4 },
 {  25877, ur_m48_swio11_noled_pr_ce },
 {  25878, ur_m48_swio11_noled_pr_ce_u4 },
 {  25879, ur_m48_swio11_noled_pr_ee_ce },
 {  25880, ur_m48_swio11_noled_pr_ee_ce_u4 },
 {  25886, ur_m48_swio11_lednop },
 {  25887, ur_m48_swio11_lednop },
 {  25888, ur_m48_swio11_lednop_pr_u4 },
 {  25889, ur_m48_swio11_lednop_pr_ee },
 {  25890, ur_m48_swio11_lednop_pr_ee_u4 },
 {  25891, ur_m48_swio11_lednop_pr_ce },
 {  25892, ur_m48_swio11_lednop_pr_ce_u4 },
 {  25893, ur_m48_swio11_lednop_pr_ee_ce },
 {  25894, ur_m48_swio11_lednop_pr_ee_ce_u4 },
 {  25900, ur_m48_swio11_dual },
 {  25901, ur_m48_swio11_dual },
 {  25902, ur_m48_swio11_dual_pr_u4 },
 {  25903, ur_m48_swio11_dual_pr_ee },
 {  25904, ur_m48_swio11_dual_pr_ee_u4 },
 {  25905, ur_m48_swio11_dual_pr_ce },
 {  25906, ur_m48_swio11_dual_pr_ce_u4 },
 {  25907, ur_m48_swio11_dual_pr_ee_ce },
 {  25908, ur_m48_swio11_dual_pr_ee_ce_u4 },
 {  25914, ur_m48_swio13_noled },
 {  25915, ur_m48_swio13_noled },
 {  25916, ur_m48_swio13_noled_pr_u4 },
 {  25917, ur_m48_swio13_noled_pr_ee },
 {  25918, ur_m48_swio13_noled_pr_ee_u4 },
 {  25919, ur_m48_swio13_noled_pr_ce },
 {  25920, ur_m48_swio13_noled_pr_ce_u4 },
 {  25921, ur_m48_swio13_noled_pr_ee_ce },
 {  25922, ur_m48_swio13_noled_pr_ee_ce_u4 },
 {  25928, ur_m48_swio13_lednop },
 {  25929, ur_m48_swio13_lednop_pr },
 {  25930, ur_m48_swio13_lednop_pr_u4 },
 {  25931, ur_m48_swio13_lednop_pr_ee },
 {  25932, ur_m48_swio13_lednop_pr_ee_u4 },
 {  25933, ur_m48_swio13_lednop_pr_ce },
 {  25934, ur_m48_swio13_lednop_pr_ce_u4 },
 {  25935, ur_m48_swio13_lednop_pr_ee_ce },
 {  25936, ur_m48_swio13_lednop_pr_ee_ce_u4 },
 {  25942, ur_m48_swio13_dual },
 {  25943, ur_m48_swio13_dual },
 {  25944, ur_m48_swio13_dual_pr_u4 },
 {  25945, ur_m48_swio13_dual_pr_ee },
 {  25946, ur_m48_swio13_dual_pr_ee_u4 },
 {  25947, ur_m48_swio13_dual_pr_ce },
 {  25948, ur_m48_swio13_dual_pr_ce_u4 },
 {  25949, ur_m48_swio13_dual_pr_ee_ce },
 {  25950, ur_m48_swio13_dual_pr_ee_ce_u4 },
 {  25956, ur_m48_swio14_noled },
 {  25957, ur_m48_swio14_noled },
 {  25958, ur_m48_swio14_noled_pr_u4 },
 {  25959, ur_m48_swio14_noled_pr_ee },
 {  25960, ur_m48_swio14_noled_pr_ee_u4 },
 {  25961, ur_m48_swio14_noled_pr_ce },
 {  25962, ur_m48_swio14_noled_pr_ce_u4 },
 {  25963, ur_m48_swio14_noled_pr_ee_ce },
 {  25964, ur_m48_swio14_noled_pr_ee_ce_u4 },
 {  25970, ur_m48_swio14_lednop },
 {  25971, ur_m48_swio14_lednop },
 {  25972, ur_m48_swio14_lednop_pr_u4 },
 {  25973, ur_m48_swio14_lednop_pr_ee },
 {  25974, ur_m48_swio14_lednop_pr_ee_u4 },
 {  25975, ur_m48_swio14_lednop_pr_ce },
 {  25976, ur_m48_swio14_lednop_pr_ce_u4 },
 {  25977, ur_m48_swio14_lednop_pr_ee_ce },
 {  25978, ur_m48_swio14_lednop_pr_ee_ce_u4 },
 {  25984, ur_m48_swio14_dual },
 {  25985, ur_m48_swio14_dual },
 {  25986, ur_m48_swio14_dual_pr_u4 },
 {  25987, ur_m48_swio14_dual_pr_ee },
 {  25988, ur_m48_swio14_dual_pr_ee_u4 },
 {  25989, ur_m48_swio14_dual_pr_ce },
 {  25990, ur_m48_swio14_dual_pr_ce_u4 },
 {  25991, ur_m48_swio14_dual_pr_ee_ce },
 {  25992, ur_m48_swio14_dual_pr_ee_ce_u4 },
 {  25998, ur_m48_swio15_noled },
 {  25999, ur_m48_swio15_noled },
 {  26000, ur_m48_swio15_noled_pr_u4 },
 {  26001, ur_m48_swio15_noled_pr_ee },
 {  26002, ur_m48_swio15_noled_pr_ee_u4 },
 {  26003, ur_m48_swio15_noled_pr_ce },
 {  26004, ur_m48_swio15_noled_pr_ce_u4 },
 {  26005, ur_m48_swio15_noled_pr_ee_ce },
 {  26006, ur_m48_swio15_noled_pr_ee_ce_u4 },
 {  26012, ur_m48_swio15_lednop },
 {  26013, ur_m48_swio15_lednop_pr },
 {  26014, ur_m48_swio15_lednop_pr_u4 },
 {  26015, ur_m48_swio15_lednop_pr_ee },
 {  26016, ur_m48_swio15_lednop_pr_ee_u4 },
 {  26017, ur_m48_swio15_lednop_pr_ce },
 {  26018, ur_m48_swio15_lednop_pr_ce_u4 },
 {  26019, ur_m48_swio15_lednop_pr_ee_ce },
 {  26020, ur_m48_swio15_lednop_pr_ee_ce_u4 },
 {  26026, ur_m48_swio15_dual },
 {  26027, ur_m48_swio15_dual },
 {  26028, ur_m48_swio15_dual_pr_u4 },
 {  26029, ur_m48_swio15_dual_pr_ee },
 {  26030, ur_m48_swio15_dual_pr_ee_u4 },
 {  26031, ur_m48_swio15_dual_pr_ce },
 {  26032, ur_m48_swio15_dual_pr_ce_u4 },
 {  26033, ur_m48_swio15_dual_pr_ee_ce },
 {  26034, ur_m48_swio15_dual_pr_ee_ce_u4 },
 {  26040, ur_m48p_autobaud_uart0_noled },
 {  26041, ur_m48p_autobaud_uart0_noled },
 {  26042, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  26043, ur_m48p_autobaud_uart0_noled_pr_ee },
 {  26044, ur_m48p_autobaud_uart0_noled_pr_ee_u4 },
 {  26045, ur_m48p_autobaud_uart0_noled_pr_ce },
 {  26046, ur_m48p_autobaud_uart0_noled_pr_ce_u4 },
 {  26047, ur_m48p_autobaud_uart0_noled_pr_ee_ce },
 {  26048, ur_m48p_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  26054, ur_m48p_autobaud_uart0_lednop },
 {  26055, ur_m48p_autobaud_uart0_lednop },
 {  26056, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  26057, ur_m48p_autobaud_uart0_lednop_pr_ee },
 {  26058, ur_m48p_autobaud_uart0_lednop_pr_ee_u4 },
 {  26059, ur_m48p_autobaud_uart0_lednop_pr_ce },
 {  26060, ur_m48p_autobaud_uart0_lednop_pr_ce_u4 },
 {  26061, ur_m48p_autobaud_uart0_lednop_pr_ee_ce },
 {  26062, ur_m48p_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  26068, ur_m48p_autobaud_uart0_dual },
 {  26069, ur_m48p_autobaud_uart0_dual_pr },
 {  26070, ur_m48p_autobaud_uart0_dual_pr_u4 },
 {  26071, ur_m48p_autobaud_uart0_dual_pr_ee },
 {  26072, ur_m48p_autobaud_uart0_dual_pr_ee },
 {  26073, ur_m48p_autobaud_uart0_dual_pr_ce },
 {  26074, ur_m48p_autobaud_uart0_dual_pr_ce_u4 },
 {  26075, ur_m48p_autobaud_uart0_dual_pr_ee_ce },
 {  26076, ur_m48p_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  26250, ur_m48p_u1x8_uart0_noled },
 {  26251, ur_m48p_u1x8_uart0_noled },
 {  26252, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  26253, ur_m48p_u1x8_uart0_noled_pr_ee },
 {  26254, ur_m48p_u1x8_uart0_noled_pr_ee_u4 },
 {  26255, ur_m48p_u1x8_uart0_noled_pr_ce },
 {  26256, ur_m48p_u1x8_uart0_noled_pr_ce_u4 },
 {  26257, ur_m48p_u1x8_uart0_noled_pr_ee_ce },
 {  26258, ur_m48p_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  26264, ur_m48p_u1x8_uart0_lednop },
 {  26265, ur_m48p_u1x8_uart0_lednop },
 {  26266, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  26267, ur_m48p_u1x8_uart0_lednop_pr_ee },
 {  26268, ur_m48p_u1x8_uart0_lednop_pr_ee_u4 },
 {  26269, ur_m48p_u1x8_uart0_lednop_pr_ce },
 {  26270, ur_m48p_u1x8_uart0_lednop_pr_ce_u4 },
 {  26271, ur_m48p_u1x8_uart0_lednop_pr_ee_ce },
 {  26272, ur_m48p_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  26278, ur_m48p_u1x8_uart0_dual },
 {  26279, ur_m48p_u1x8_uart0_dual },
 {  26280, ur_m48p_u1x8_uart0_dual_pr_u4 },
 {  26281, ur_m48p_u1x8_uart0_dual_pr_ee },
 {  26282, ur_m48p_u1x8_uart0_dual_pr_ee_u4 },
 {  26283, ur_m48p_u1x8_uart0_dual_pr_ce },
 {  26284, ur_m48p_u1x8_uart0_dual_pr_ce_u4 },
 {  26285, ur_m48p_u1x8_uart0_dual_pr_ee_ce },
 {  26286, ur_m48p_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  26460, ur_m48p_u1x12_uart0_noled },
 {  26461, ur_m48p_u1x12_uart0_noled },
 {  26462, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  26463, ur_m48p_u1x12_uart0_noled_pr_ee },
 {  26464, ur_m48p_u1x12_uart0_noled_pr_ee_u4 },
 {  26465, ur_m48p_u1x12_uart0_noled_pr_ce },
 {  26466, ur_m48p_u1x12_uart0_noled_pr_ce_u4 },
 {  26467, ur_m48p_u1x12_uart0_noled_pr_ee_ce },
 {  26468, ur_m48p_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  26474, ur_m48p_u1x12_uart0_lednop },
 {  26475, ur_m48p_u1x12_uart0_lednop },
 {  26476, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  26477, ur_m48p_u1x12_uart0_lednop_pr_ee },
 {  26478, ur_m48p_u1x12_uart0_lednop_pr_ee_u4 },
 {  26479, ur_m48p_u1x12_uart0_lednop_pr_ce },
 {  26480, ur_m48p_u1x12_uart0_lednop_pr_ce_u4 },
 {  26481, ur_m48p_u1x12_uart0_lednop_pr_ee_ce },
 {  26482, ur_m48p_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  26488, ur_m48p_u1x12_uart0_dual },
 {  26489, ur_m48p_u1x12_uart0_dual },
 {  26490, ur_m48p_u1x12_uart0_dual_pr_u4 },
 {  26491, ur_m48p_u1x12_uart0_dual_pr_ee },
 {  26492, ur_m48p_u1x12_uart0_dual_pr_ee_u4 },
 {  26493, ur_m48p_u1x12_uart0_dual_pr_ce },
 {  26494, ur_m48p_u1x12_uart0_dual_pr_ce_u4 },
 {  26495, ur_m48p_u1x12_uart0_dual_pr_ee_ce },
 {  26496, ur_m48p_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  26670, ur_m48p_u2x8_uart0_noled },
 {  26671, ur_m48p_u2x8_uart0_noled },
 {  26672, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  26673, ur_m48p_u2x8_uart0_noled_pr_ee },
 {  26674, ur_m48p_u2x8_uart0_noled_pr_ee_u4 },
 {  26675, ur_m48p_u2x8_uart0_noled_pr_ce },
 {  26676, ur_m48p_u2x8_uart0_noled_pr_ce_u4 },
 {  26677, ur_m48p_u2x8_uart0_noled_pr_ee_ce },
 {  26678, ur_m48p_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  26684, ur_m48p_u2x8_uart0_lednop },
 {  26685, ur_m48p_u2x8_uart0_lednop },
 {  26686, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  26687, ur_m48p_u2x8_uart0_lednop_pr_ee },
 {  26688, ur_m48p_u2x8_uart0_lednop_pr_ee_u4 },
 {  26689, ur_m48p_u2x8_uart0_lednop_pr_ce },
 {  26690, ur_m48p_u2x8_uart0_lednop_pr_ce_u4 },
 {  26691, ur_m48p_u2x8_uart0_lednop_pr_ee_ce },
 {  26692, ur_m48p_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  26698, ur_m48p_u2x8_uart0_dual },
 {  26699, ur_m48p_u2x8_uart0_dual },
 {  26700, ur_m48p_u2x8_uart0_dual_pr_u4 },
 {  26701, ur_m48p_u2x8_uart0_dual_pr_ee },
 {  26702, ur_m48p_u2x8_uart0_dual_pr_ee_u4 },
 {  26703, ur_m48p_u2x8_uart0_dual_pr_ce },
 {  26704, ur_m48p_u2x8_uart0_dual_pr_ce_u4 },
 {  26705, ur_m48p_u2x8_uart0_dual_pr_ee_ce },
 {  26706, ur_m48p_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  26880, ur_m48p_u2x12_uart0_noled },
 {  26881, ur_m48p_u2x12_uart0_noled },
 {  26882, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  26883, ur_m48p_u2x12_uart0_noled_pr_ee },
 {  26884, ur_m48p_u2x12_uart0_noled_pr_ee_u4 },
 {  26885, ur_m48p_u2x12_uart0_noled_pr_ce },
 {  26886, ur_m48p_u2x12_uart0_noled_pr_ce_u4 },
 {  26887, ur_m48p_u2x12_uart0_noled_pr_ee_ce },
 {  26888, ur_m48p_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  26894, ur_m48p_u2x12_uart0_lednop },
 {  26895, ur_m48p_u2x12_uart0_lednop },
 {  26896, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  26897, ur_m48p_u2x12_uart0_lednop_pr_ee },
 {  26898, ur_m48p_u2x12_uart0_lednop_pr_ee_u4 },
 {  26899, ur_m48p_u2x12_uart0_lednop_pr_ce },
 {  26900, ur_m48p_u2x12_uart0_lednop_pr_ce_u4 },
 {  26901, ur_m48p_u2x12_uart0_lednop_pr_ee_ce },
 {  26902, ur_m48p_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  26908, ur_m48p_u2x12_uart0_dual },
 {  26909, ur_m48p_u2x12_uart0_dual_pr },
 {  26910, ur_m48p_u2x12_uart0_dual_pr_u4 },
 {  26911, ur_m48p_u2x12_uart0_dual_pr_ee },
 {  26912, ur_m48p_u2x12_uart0_dual_pr_ee_u4 },
 {  26913, ur_m48p_u2x12_uart0_dual_pr_ce },
 {  26914, ur_m48p_u2x12_uart0_dual_pr_ce_u4 },
 {  26915, ur_m48p_u2x12_uart0_dual_pr_ee_ce },
 {  26916, ur_m48p_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  27090, ur_m48p_swio10_noled },
 {  27091, ur_m48p_swio10_noled },
 {  27092, ur_m48p_swio10_noled_pr_u4 },
 {  27093, ur_m48p_swio10_noled_pr_ee },
 {  27094, ur_m48p_swio10_noled_pr_ee_u4 },
 {  27095, ur_m48p_swio10_noled_pr_ce },
 {  27096, ur_m48p_swio10_noled_pr_ce_u4 },
 {  27097, ur_m48p_swio10_noled_pr_ee_ce },
 {  27098, ur_m48p_swio10_noled_pr_ee_ce_u4 },
 {  27104, ur_m48p_swio10_lednop },
 {  27105, ur_m48p_swio10_lednop_pr },
 {  27106, ur_m48p_swio10_lednop_pr_u4 },
 {  27107, ur_m48p_swio10_lednop_pr_ee },
 {  27108, ur_m48p_swio10_lednop_pr_ee_u4 },
 {  27109, ur_m48p_swio10_lednop_pr_ce },
 {  27110, ur_m48p_swio10_lednop_pr_ce_u4 },
 {  27111, ur_m48p_swio10_lednop_pr_ee_ce },
 {  27112, ur_m48p_swio10_lednop_pr_ee_ce_u4 },
 {  27118, ur_m48p_swio10_dual },
 {  27119, ur_m48p_swio10_dual },
 {  27120, ur_m48p_swio10_dual_pr_u4 },
 {  27121, ur_m48p_swio10_dual_pr_ee },
 {  27122, ur_m48p_swio10_dual_pr_ee_u4 },
 {  27123, ur_m48p_swio10_dual_pr_ce },
 {  27124, ur_m48p_swio10_dual_pr_ce_u4 },
 {  27125, ur_m48p_swio10_dual_pr_ee_ce },
 {  27126, ur_m48p_swio10_dual_pr_ee_ce_u4 },
 {  27132, ur_m48p_swio11_noled },
 {  27133, ur_m48p_swio11_noled },
 {  27134, ur_m48p_swio11_noled_pr_u4 },
 {  27135, ur_m48p_swio11_noled_pr_ee },
 {  27136, ur_m48p_swio11_noled_pr_ee_u4 },
 {  27137, ur_m48p_swio11_noled_pr_ce },
 {  27138, ur_m48p_swio11_noled_pr_ce_u4 },
 {  27139, ur_m48p_swio11_noled_pr_ee_ce },
 {  27140, ur_m48p_swio11_noled_pr_ee_ce_u4 },
 {  27146, ur_m48p_swio11_lednop },
 {  27147, ur_m48p_swio11_lednop_pr },
 {  27148, ur_m48p_swio11_lednop_pr_u4 },
 {  27149, ur_m48p_swio11_lednop_pr_ee },
 {  27150, ur_m48p_swio11_lednop_pr_ee_u4 },
 {  27151, ur_m48p_swio11_lednop_pr_ce },
 {  27152, ur_m48p_swio11_lednop_pr_ce_u4 },
 {  27153, ur_m48p_swio11_lednop_pr_ee_ce },
 {  27154, ur_m48p_swio11_lednop_pr_ee_ce_u4 },
 {  27160, ur_m48p_swio11_dual },
 {  27161, ur_m48p_swio11_dual },
 {  27162, ur_m48p_swio11_dual_pr_u4 },
 {  27163, ur_m48p_swio11_dual_pr_ee },
 {  27164, ur_m48p_swio11_dual_pr_ee_u4 },
 {  27165, ur_m48p_swio11_dual_pr_ce },
 {  27166, ur_m48p_swio11_dual_pr_ce_u4 },
 {  27167, ur_m48p_swio11_dual_pr_ee_ce },
 {  27168, ur_m48p_swio11_dual_pr_ee_ce_u4 },
 {  27174, ur_m48p_swio11_noled },
 {  27175, ur_m48p_swio11_noled },
 {  27176, ur_m48p_swio11_noled_pr_u4 },
 {  27177, ur_m48p_swio11_noled_pr_ee },
 {  27178, ur_m48p_swio11_noled_pr_ee_u4 },
 {  27179, ur_m48p_swio11_noled_pr_ce },
 {  27180, ur_m48p_swio11_noled_pr_ce_u4 },
 {  27181, ur_m48p_swio11_noled_pr_ee_ce },
 {  27182, ur_m48p_swio11_noled_pr_ee_ce_u4 },
 {  27188, ur_m48p_swio11_lednop },
 {  27189, ur_m48p_swio11_lednop_pr },
 {  27190, ur_m48p_swio11_lednop_pr_u4 },
 {  27191, ur_m48p_swio11_lednop_pr_ee },
 {  27192, ur_m48p_swio11_lednop_pr_ee_u4 },
 {  27193, ur_m48p_swio11_lednop_pr_ce },
 {  27194, ur_m48p_swio11_lednop_pr_ce_u4 },
 {  27195, ur_m48p_swio11_lednop_pr_ee_ce },
 {  27196, ur_m48p_swio11_lednop_pr_ee_ce_u4 },
 {  27202, ur_m48p_swio11_dual },
 {  27203, ur_m48p_swio11_dual },
 {  27204, ur_m48p_swio11_dual_pr_u4 },
 {  27205, ur_m48p_swio11_dual_pr_ee },
 {  27206, ur_m48p_swio11_dual_pr_ee_u4 },
 {  27207, ur_m48p_swio11_dual_pr_ce },
 {  27208, ur_m48p_swio11_dual_pr_ce_u4 },
 {  27209, ur_m48p_swio11_dual_pr_ee_ce },
 {  27210, ur_m48p_swio11_dual_pr_ee_ce_u4 },
 {  27216, ur_m48p_swio13_noled },
 {  27217, ur_m48p_swio13_noled },
 {  27218, ur_m48p_swio13_noled_pr_u4 },
 {  27219, ur_m48p_swio13_noled_pr_ee },
 {  27220, ur_m48p_swio13_noled_pr_ee_u4 },
 {  27221, ur_m48p_swio13_noled_pr_ce },
 {  27222, ur_m48p_swio13_noled_pr_ce_u4 },
 {  27223, ur_m48p_swio13_noled_pr_ee_ce },
 {  27224, ur_m48p_swio13_noled_pr_ee_ce_u4 },
 {  27230, ur_m48p_swio13_lednop },
 {  27231, ur_m48p_swio13_lednop_pr },
 {  27232, ur_m48p_swio13_lednop_pr_u4 },
 {  27233, ur_m48p_swio13_lednop_pr_ee },
 {  27234, ur_m48p_swio13_lednop_pr_ee_u4 },
 {  27235, ur_m48p_swio13_lednop_pr_ce },
 {  27236, ur_m48p_swio13_lednop_pr_ce_u4 },
 {  27237, ur_m48p_swio13_lednop_pr_ee_ce },
 {  27238, ur_m48p_swio13_lednop_pr_ee_ce_u4 },
 {  27244, ur_m48p_swio13_dual },
 {  27245, ur_m48p_swio13_dual },
 {  27246, ur_m48p_swio13_dual_pr_u4 },
 {  27247, ur_m48p_swio13_dual_pr_ee },
 {  27248, ur_m48p_swio13_dual_pr_ee_u4 },
 {  27249, ur_m48p_swio13_dual_pr_ce },
 {  27250, ur_m48p_swio13_dual_pr_ce_u4 },
 {  27251, ur_m48p_swio13_dual_pr_ee_ce },
 {  27252, ur_m48p_swio13_dual_pr_ee_ce_u4 },
 {  27258, ur_m48p_swio14_noled },
 {  27259, ur_m48p_swio14_noled },
 {  27260, ur_m48p_swio14_noled_pr_u4 },
 {  27261, ur_m48p_swio14_noled_pr_ee },
 {  27262, ur_m48p_swio14_noled_pr_ee_u4 },
 {  27263, ur_m48p_swio14_noled_pr_ce },
 {  27264, ur_m48p_swio14_noled_pr_ce_u4 },
 {  27265, ur_m48p_swio14_noled_pr_ee_ce },
 {  27266, ur_m48p_swio14_noled_pr_ee_ce_u4 },
 {  27272, ur_m48p_swio14_lednop },
 {  27273, ur_m48p_swio14_lednop_pr },
 {  27274, ur_m48p_swio14_lednop_pr_u4 },
 {  27275, ur_m48p_swio14_lednop_pr_ee },
 {  27276, ur_m48p_swio14_lednop_pr_ee_u4 },
 {  27277, ur_m48p_swio14_lednop_pr_ce },
 {  27278, ur_m48p_swio14_lednop_pr_ce_u4 },
 {  27279, ur_m48p_swio14_lednop_pr_ee_ce },
 {  27280, ur_m48p_swio14_lednop_pr_ee_ce_u4 },
 {  27286, ur_m48p_swio14_dual },
 {  27287, ur_m48p_swio14_dual },
 {  27288, ur_m48p_swio14_dual_pr_u4 },
 {  27289, ur_m48p_swio14_dual_pr_ee },
 {  27290, ur_m48p_swio14_dual_pr_ee_u4 },
 {  27291, ur_m48p_swio14_dual_pr_ce },
 {  27292, ur_m48p_swio14_dual_pr_ce_u4 },
 {  27293, ur_m48p_swio14_dual_pr_ee_ce },
 {  27294, ur_m48p_swio14_dual_pr_ee_ce_u4 },
 {  27300, ur_m48p_swio15_noled },
 {  27301, ur_m48p_swio15_noled },
 {  27302, ur_m48p_swio15_noled_pr_u4 },
 {  27303, ur_m48p_swio15_noled_pr_ee },
 {  27304, ur_m48p_swio15_noled_pr_ee_u4 },
 {  27305, ur_m48p_swio15_noled_pr_ce },
 {  27306, ur_m48p_swio15_noled_pr_ce_u4 },
 {  27307, ur_m48p_swio15_noled_pr_ee_ce },
 {  27308, ur_m48p_swio15_noled_pr_ee_ce_u4 },
 {  27314, ur_m48p_swio15_lednop },
 {  27315, ur_m48p_swio15_lednop_pr },
 {  27316, ur_m48p_swio15_lednop_pr_u4 },
 {  27317, ur_m48p_swio15_lednop_pr_ee },
 {  27318, ur_m48p_swio15_lednop_pr_ee_u4 },
 {  27319, ur_m48p_swio15_lednop_pr_ce },
 {  27320, ur_m48p_swio15_lednop_pr_ce_u4 },
 {  27321, ur_m48p_swio15_lednop_pr_ee_ce },
 {  27322, ur_m48p_swio15_lednop_pr_ee_ce_u4 },
 {  27328, ur_m48p_swio15_dual },
 {  27329, ur_m48p_swio15_dual },
 {  27330, ur_m48p_swio15_dual_pr_u4 },
 {  27331, ur_m48p_swio15_dual_pr_ee },
 {  27332, ur_m48p_swio15_dual_pr_ee_u4 },
 {  27333, ur_m48p_swio15_dual_pr_ce },
 {  27334, ur_m48p_swio15_dual_pr_ce_u4 },
 {  27335, ur_m48p_swio15_dual_pr_ee_ce },
 {  27336, ur_m48p_swio15_dual_pr_ee_ce_u4 },
 {  27342, ur_m48p_autobaud_uart0_noled },
 {  27343, ur_m48p_autobaud_uart0_noled },
 {  27344, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  27345, ur_m48p_autobaud_uart0_noled_pr_ee },
 {  27346, ur_m48p_autobaud_uart0_noled_pr_ee_u4 },
 {  27347, ur_m48p_autobaud_uart0_noled_pr_ce },
 {  27348, ur_m48p_autobaud_uart0_noled_pr_ce_u4 },
 {  27349, ur_m48p_autobaud_uart0_noled_pr_ee_ce },
 {  27350, ur_m48p_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  27356, ur_m48p_autobaud_uart0_lednop },
 {  27357, ur_m48p_autobaud_uart0_lednop },
 {  27358, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  27359, ur_m48p_autobaud_uart0_lednop_pr_ee },
 {  27360, ur_m48p_autobaud_uart0_lednop_pr_ee_u4 },
 {  27361, ur_m48p_autobaud_uart0_lednop_pr_ce },
 {  27362, ur_m48p_autobaud_uart0_lednop_pr_ce_u4 },
 {  27363, ur_m48p_autobaud_uart0_lednop_pr_ee_ce },
 {  27364, ur_m48p_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  27370, ur_m48p_autobaud_uart0_dual },
 {  27371, ur_m48p_autobaud_uart0_dual_pr },
 {  27372, ur_m48p_autobaud_uart0_dual_pr_u4 },
 {  27373, ur_m48p_autobaud_uart0_dual_pr_ee },
 {  27374, ur_m48p_autobaud_uart0_dual_pr_ee },
 {  27375, ur_m48p_autobaud_uart0_dual_pr_ce },
 {  27376, ur_m48p_autobaud_uart0_dual_pr_ce_u4 },
 {  27377, ur_m48p_autobaud_uart0_dual_pr_ee_ce },
 {  27378, ur_m48p_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  27552, ur_m48p_u1x8_uart0_noled },
 {  27553, ur_m48p_u1x8_uart0_noled },
 {  27554, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  27555, ur_m48p_u1x8_uart0_noled_pr_ee },
 {  27556, ur_m48p_u1x8_uart0_noled_pr_ee_u4 },
 {  27557, ur_m48p_u1x8_uart0_noled_pr_ce },
 {  27558, ur_m48p_u1x8_uart0_noled_pr_ce_u4 },
 {  27559, ur_m48p_u1x8_uart0_noled_pr_ee_ce },
 {  27560, ur_m48p_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  27566, ur_m48p_u1x8_uart0_lednop },
 {  27567, ur_m48p_u1x8_uart0_lednop },
 {  27568, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  27569, ur_m48p_u1x8_uart0_lednop_pr_ee },
 {  27570, ur_m48p_u1x8_uart0_lednop_pr_ee_u4 },
 {  27571, ur_m48p_u1x8_uart0_lednop_pr_ce },
 {  27572, ur_m48p_u1x8_uart0_lednop_pr_ce_u4 },
 {  27573, ur_m48p_u1x8_uart0_lednop_pr_ee_ce },
 {  27574, ur_m48p_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  27580, ur_m48p_u1x8_uart0_dual },
 {  27581, ur_m48p_u1x8_uart0_dual },
 {  27582, ur_m48p_u1x8_uart0_dual_pr_u4 },
 {  27583, ur_m48p_u1x8_uart0_dual_pr_ee },
 {  27584, ur_m48p_u1x8_uart0_dual_pr_ee_u4 },
 {  27585, ur_m48p_u1x8_uart0_dual_pr_ce },
 {  27586, ur_m48p_u1x8_uart0_dual_pr_ce_u4 },
 {  27587, ur_m48p_u1x8_uart0_dual_pr_ee_ce },
 {  27588, ur_m48p_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  27762, ur_m48p_u1x12_uart0_noled },
 {  27763, ur_m48p_u1x12_uart0_noled },
 {  27764, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  27765, ur_m48p_u1x12_uart0_noled_pr_ee },
 {  27766, ur_m48p_u1x12_uart0_noled_pr_ee_u4 },
 {  27767, ur_m48p_u1x12_uart0_noled_pr_ce },
 {  27768, ur_m48p_u1x12_uart0_noled_pr_ce_u4 },
 {  27769, ur_m48p_u1x12_uart0_noled_pr_ee_ce },
 {  27770, ur_m48p_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  27776, ur_m48p_u1x12_uart0_lednop },
 {  27777, ur_m48p_u1x12_uart0_lednop },
 {  27778, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  27779, ur_m48p_u1x12_uart0_lednop_pr_ee },
 {  27780, ur_m48p_u1x12_uart0_lednop_pr_ee_u4 },
 {  27781, ur_m48p_u1x12_uart0_lednop_pr_ce },
 {  27782, ur_m48p_u1x12_uart0_lednop_pr_ce_u4 },
 {  27783, ur_m48p_u1x12_uart0_lednop_pr_ee_ce },
 {  27784, ur_m48p_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  27790, ur_m48p_u1x12_uart0_dual },
 {  27791, ur_m48p_u1x12_uart0_dual },
 {  27792, ur_m48p_u1x12_uart0_dual_pr_u4 },
 {  27793, ur_m48p_u1x12_uart0_dual_pr_ee },
 {  27794, ur_m48p_u1x12_uart0_dual_pr_ee_u4 },
 {  27795, ur_m48p_u1x12_uart0_dual_pr_ce },
 {  27796, ur_m48p_u1x12_uart0_dual_pr_ce_u4 },
 {  27797, ur_m48p_u1x12_uart0_dual_pr_ee_ce },
 {  27798, ur_m48p_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  27972, ur_m48p_u2x8_uart0_noled },
 {  27973, ur_m48p_u2x8_uart0_noled },
 {  27974, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  27975, ur_m48p_u2x8_uart0_noled_pr_ee },
 {  27976, ur_m48p_u2x8_uart0_noled_pr_ee_u4 },
 {  27977, ur_m48p_u2x8_uart0_noled_pr_ce },
 {  27978, ur_m48p_u2x8_uart0_noled_pr_ce_u4 },
 {  27979, ur_m48p_u2x8_uart0_noled_pr_ee_ce },
 {  27980, ur_m48p_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  27986, ur_m48p_u2x8_uart0_lednop },
 {  27987, ur_m48p_u2x8_uart0_lednop },
 {  27988, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  27989, ur_m48p_u2x8_uart0_lednop_pr_ee },
 {  27990, ur_m48p_u2x8_uart0_lednop_pr_ee_u4 },
 {  27991, ur_m48p_u2x8_uart0_lednop_pr_ce },
 {  27992, ur_m48p_u2x8_uart0_lednop_pr_ce_u4 },
 {  27993, ur_m48p_u2x8_uart0_lednop_pr_ee_ce },
 {  27994, ur_m48p_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  28000, ur_m48p_u2x8_uart0_dual },
 {  28001, ur_m48p_u2x8_uart0_dual },
 {  28002, ur_m48p_u2x8_uart0_dual_pr_u4 },
 {  28003, ur_m48p_u2x8_uart0_dual_pr_ee },
 {  28004, ur_m48p_u2x8_uart0_dual_pr_ee_u4 },
 {  28005, ur_m48p_u2x8_uart0_dual_pr_ce },
 {  28006, ur_m48p_u2x8_uart0_dual_pr_ce_u4 },
 {  28007, ur_m48p_u2x8_uart0_dual_pr_ee_ce },
 {  28008, ur_m48p_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  28182, ur_m48p_u2x12_uart0_noled },
 {  28183, ur_m48p_u2x12_uart0_noled },
 {  28184, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  28185, ur_m48p_u2x12_uart0_noled_pr_ee },
 {  28186, ur_m48p_u2x12_uart0_noled_pr_ee_u4 },
 {  28187, ur_m48p_u2x12_uart0_noled_pr_ce },
 {  28188, ur_m48p_u2x12_uart0_noled_pr_ce_u4 },
 {  28189, ur_m48p_u2x12_uart0_noled_pr_ee_ce },
 {  28190, ur_m48p_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  28196, ur_m48p_u2x12_uart0_lednop },
 {  28197, ur_m48p_u2x12_uart0_lednop },
 {  28198, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  28199, ur_m48p_u2x12_uart0_lednop_pr_ee },
 {  28200, ur_m48p_u2x12_uart0_lednop_pr_ee_u4 },
 {  28201, ur_m48p_u2x12_uart0_lednop_pr_ce },
 {  28202, ur_m48p_u2x12_uart0_lednop_pr_ce_u4 },
 {  28203, ur_m48p_u2x12_uart0_lednop_pr_ee_ce },
 {  28204, ur_m48p_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  28210, ur_m48p_u2x12_uart0_dual },
 {  28211, ur_m48p_u2x12_uart0_dual_pr },
 {  28212, ur_m48p_u2x12_uart0_dual_pr_u4 },
 {  28213, ur_m48p_u2x12_uart0_dual_pr_ee },
 {  28214, ur_m48p_u2x12_uart0_dual_pr_ee_u4 },
 {  28215, ur_m48p_u2x12_uart0_dual_pr_ce },
 {  28216, ur_m48p_u2x12_uart0_dual_pr_ce_u4 },
 {  28217, ur_m48p_u2x12_uart0_dual_pr_ee_ce },
 {  28218, ur_m48p_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  28392, ur_m48p_swio10_noled },
 {  28393, ur_m48p_swio10_noled },
 {  28394, ur_m48p_swio10_noled_pr_u4 },
 {  28395, ur_m48p_swio10_noled_pr_ee },
 {  28396, ur_m48p_swio10_noled_pr_ee_u4 },
 {  28397, ur_m48p_swio10_noled_pr_ce },
 {  28398, ur_m48p_swio10_noled_pr_ce_u4 },
 {  28399, ur_m48p_swio10_noled_pr_ee_ce },
 {  28400, ur_m48p_swio10_noled_pr_ee_ce_u4 },
 {  28406, ur_m48p_swio10_lednop },
 {  28407, ur_m48p_swio10_lednop_pr },
 {  28408, ur_m48p_swio10_lednop_pr_u4 },
 {  28409, ur_m48p_swio10_lednop_pr_ee },
 {  28410, ur_m48p_swio10_lednop_pr_ee_u4 },
 {  28411, ur_m48p_swio10_lednop_pr_ce },
 {  28412, ur_m48p_swio10_lednop_pr_ce_u4 },
 {  28413, ur_m48p_swio10_lednop_pr_ee_ce },
 {  28414, ur_m48p_swio10_lednop_pr_ee_ce_u4 },
 {  28420, ur_m48p_swio10_dual },
 {  28421, ur_m48p_swio10_dual },
 {  28422, ur_m48p_swio10_dual_pr_u4 },
 {  28423, ur_m48p_swio10_dual_pr_ee },
 {  28424, ur_m48p_swio10_dual_pr_ee_u4 },
 {  28425, ur_m48p_swio10_dual_pr_ce },
 {  28426, ur_m48p_swio10_dual_pr_ce_u4 },
 {  28427, ur_m48p_swio10_dual_pr_ee_ce },
 {  28428, ur_m48p_swio10_dual_pr_ee_ce_u4 },
 {  28434, ur_m48p_swio11_noled },
 {  28435, ur_m48p_swio11_noled },
 {  28436, ur_m48p_swio11_noled_pr_u4 },
 {  28437, ur_m48p_swio11_noled_pr_ee },
 {  28438, ur_m48p_swio11_noled_pr_ee_u4 },
 {  28439, ur_m48p_swio11_noled_pr_ce },
 {  28440, ur_m48p_swio11_noled_pr_ce_u4 },
 {  28441, ur_m48p_swio11_noled_pr_ee_ce },
 {  28442, ur_m48p_swio11_noled_pr_ee_ce_u4 },
 {  28448, ur_m48p_swio11_lednop },
 {  28449, ur_m48p_swio11_lednop_pr },
 {  28450, ur_m48p_swio11_lednop_pr_u4 },
 {  28451, ur_m48p_swio11_lednop_pr_ee },
 {  28452, ur_m48p_swio11_lednop_pr_ee_u4 },
 {  28453, ur_m48p_swio11_lednop_pr_ce },
 {  28454, ur_m48p_swio11_lednop_pr_ce_u4 },
 {  28455, ur_m48p_swio11_lednop_pr_ee_ce },
 {  28456, ur_m48p_swio11_lednop_pr_ee_ce_u4 },
 {  28462, ur_m48p_swio11_dual },
 {  28463, ur_m48p_swio11_dual },
 {  28464, ur_m48p_swio11_dual_pr_u4 },
 {  28465, ur_m48p_swio11_dual_pr_ee },
 {  28466, ur_m48p_swio11_dual_pr_ee_u4 },
 {  28467, ur_m48p_swio11_dual_pr_ce },
 {  28468, ur_m48p_swio11_dual_pr_ce_u4 },
 {  28469, ur_m48p_swio11_dual_pr_ee_ce },
 {  28470, ur_m48p_swio11_dual_pr_ee_ce_u4 },
 {  28476, ur_m48p_swio11_noled },
 {  28477, ur_m48p_swio11_noled },
 {  28478, ur_m48p_swio11_noled_pr_u4 },
 {  28479, ur_m48p_swio11_noled_pr_ee },
 {  28480, ur_m48p_swio11_noled_pr_ee_u4 },
 {  28481, ur_m48p_swio11_noled_pr_ce },
 {  28482, ur_m48p_swio11_noled_pr_ce_u4 },
 {  28483, ur_m48p_swio11_noled_pr_ee_ce },
 {  28484, ur_m48p_swio11_noled_pr_ee_ce_u4 },
 {  28490, ur_m48p_swio11_lednop },
 {  28491, ur_m48p_swio11_lednop_pr },
 {  28492, ur_m48p_swio11_lednop_pr_u4 },
 {  28493, ur_m48p_swio11_lednop_pr_ee },
 {  28494, ur_m48p_swio11_lednop_pr_ee_u4 },
 {  28495, ur_m48p_swio11_lednop_pr_ce },
 {  28496, ur_m48p_swio11_lednop_pr_ce_u4 },
 {  28497, ur_m48p_swio11_lednop_pr_ee_ce },
 {  28498, ur_m48p_swio11_lednop_pr_ee_ce_u4 },
 {  28504, ur_m48p_swio11_dual },
 {  28505, ur_m48p_swio11_dual },
 {  28506, ur_m48p_swio11_dual_pr_u4 },
 {  28507, ur_m48p_swio11_dual_pr_ee },
 {  28508, ur_m48p_swio11_dual_pr_ee_u4 },
 {  28509, ur_m48p_swio11_dual_pr_ce },
 {  28510, ur_m48p_swio11_dual_pr_ce_u4 },
 {  28511, ur_m48p_swio11_dual_pr_ee_ce },
 {  28512, ur_m48p_swio11_dual_pr_ee_ce_u4 },
 {  28518, ur_m48p_swio13_noled },
 {  28519, ur_m48p_swio13_noled },
 {  28520, ur_m48p_swio13_noled_pr_u4 },
 {  28521, ur_m48p_swio13_noled_pr_ee },
 {  28522, ur_m48p_swio13_noled_pr_ee_u4 },
 {  28523, ur_m48p_swio13_noled_pr_ce },
 {  28524, ur_m48p_swio13_noled_pr_ce_u4 },
 {  28525, ur_m48p_swio13_noled_pr_ee_ce },
 {  28526, ur_m48p_swio13_noled_pr_ee_ce_u4 },
 {  28532, ur_m48p_swio13_lednop },
 {  28533, ur_m48p_swio13_lednop_pr },
 {  28534, ur_m48p_swio13_lednop_pr_u4 },
 {  28535, ur_m48p_swio13_lednop_pr_ee },
 {  28536, ur_m48p_swio13_lednop_pr_ee_u4 },
 {  28537, ur_m48p_swio13_lednop_pr_ce },
 {  28538, ur_m48p_swio13_lednop_pr_ce_u4 },
 {  28539, ur_m48p_swio13_lednop_pr_ee_ce },
 {  28540, ur_m48p_swio13_lednop_pr_ee_ce_u4 },
 {  28546, ur_m48p_swio13_dual },
 {  28547, ur_m48p_swio13_dual },
 {  28548, ur_m48p_swio13_dual_pr_u4 },
 {  28549, ur_m48p_swio13_dual_pr_ee },
 {  28550, ur_m48p_swio13_dual_pr_ee_u4 },
 {  28551, ur_m48p_swio13_dual_pr_ce },
 {  28552, ur_m48p_swio13_dual_pr_ce_u4 },
 {  28553, ur_m48p_swio13_dual_pr_ee_ce },
 {  28554, ur_m48p_swio13_dual_pr_ee_ce_u4 },
 {  28560, ur_m48p_swio14_noled },
 {  28561, ur_m48p_swio14_noled },
 {  28562, ur_m48p_swio14_noled_pr_u4 },
 {  28563, ur_m48p_swio14_noled_pr_ee },
 {  28564, ur_m48p_swio14_noled_pr_ee_u4 },
 {  28565, ur_m48p_swio14_noled_pr_ce },
 {  28566, ur_m48p_swio14_noled_pr_ce_u4 },
 {  28567, ur_m48p_swio14_noled_pr_ee_ce },
 {  28568, ur_m48p_swio14_noled_pr_ee_ce_u4 },
 {  28574, ur_m48p_swio14_lednop },
 {  28575, ur_m48p_swio14_lednop_pr },
 {  28576, ur_m48p_swio14_lednop_pr_u4 },
 {  28577, ur_m48p_swio14_lednop_pr_ee },
 {  28578, ur_m48p_swio14_lednop_pr_ee_u4 },
 {  28579, ur_m48p_swio14_lednop_pr_ce },
 {  28580, ur_m48p_swio14_lednop_pr_ce_u4 },
 {  28581, ur_m48p_swio14_lednop_pr_ee_ce },
 {  28582, ur_m48p_swio14_lednop_pr_ee_ce_u4 },
 {  28588, ur_m48p_swio14_dual },
 {  28589, ur_m48p_swio14_dual },
 {  28590, ur_m48p_swio14_dual_pr_u4 },
 {  28591, ur_m48p_swio14_dual_pr_ee },
 {  28592, ur_m48p_swio14_dual_pr_ee_u4 },
 {  28593, ur_m48p_swio14_dual_pr_ce },
 {  28594, ur_m48p_swio14_dual_pr_ce_u4 },
 {  28595, ur_m48p_swio14_dual_pr_ee_ce },
 {  28596, ur_m48p_swio14_dual_pr_ee_ce_u4 },
 {  28602, ur_m48p_swio15_noled },
 {  28603, ur_m48p_swio15_noled },
 {  28604, ur_m48p_swio15_noled_pr_u4 },
 {  28605, ur_m48p_swio15_noled_pr_ee },
 {  28606, ur_m48p_swio15_noled_pr_ee_u4 },
 {  28607, ur_m48p_swio15_noled_pr_ce },
 {  28608, ur_m48p_swio15_noled_pr_ce_u4 },
 {  28609, ur_m48p_swio15_noled_pr_ee_ce },
 {  28610, ur_m48p_swio15_noled_pr_ee_ce_u4 },
 {  28616, ur_m48p_swio15_lednop },
 {  28617, ur_m48p_swio15_lednop_pr },
 {  28618, ur_m48p_swio15_lednop_pr_u4 },
 {  28619, ur_m48p_swio15_lednop_pr_ee },
 {  28620, ur_m48p_swio15_lednop_pr_ee_u4 },
 {  28621, ur_m48p_swio15_lednop_pr_ce },
 {  28622, ur_m48p_swio15_lednop_pr_ce_u4 },
 {  28623, ur_m48p_swio15_lednop_pr_ee_ce },
 {  28624, ur_m48p_swio15_lednop_pr_ee_ce_u4 },
 {  28630, ur_m48p_swio15_dual },
 {  28631, ur_m48p_swio15_dual },
 {  28632, ur_m48p_swio15_dual_pr_u4 },
 {  28633, ur_m48p_swio15_dual_pr_ee },
 {  28634, ur_m48p_swio15_dual_pr_ee_u4 },
 {  28635, ur_m48p_swio15_dual_pr_ce },
 {  28636, ur_m48p_swio15_dual_pr_ce_u4 },
 {  28637, ur_m48p_swio15_dual_pr_ee_ce },
 {  28638, ur_m48p_swio15_dual_pr_ee_ce_u4 },
 {  28644, ur_m48pb_autobaud_uart0_noled },
 {  28645, ur_m48pb_autobaud_uart0_noled },
 {  28646, ur_m48pb_autobaud_uart0_noled_pr_u4 },
 {  28647, ur_m48pb_autobaud_uart0_noled_pr_ee },
 {  28648, ur_m48pb_autobaud_uart0_noled_pr_ee_u4 },
 {  28649, ur_m48pb_autobaud_uart0_noled_pr_ce },
 {  28650, ur_m48pb_autobaud_uart0_noled_pr_ce_u4 },
 {  28651, ur_m48pb_autobaud_uart0_noled_pr_ee_ce },
 {  28652, ur_m48pb_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  28658, ur_m48pb_autobaud_uart0_lednop },
 {  28659, ur_m48pb_autobaud_uart0_lednop_pr },
 {  28660, ur_m48pb_autobaud_uart0_lednop_pr_u4 },
 {  28661, ur_m48pb_autobaud_uart0_lednop_pr_ee },
 {  28662, ur_m48pb_autobaud_uart0_lednop_pr_ee_u4 },
 {  28663, ur_m48pb_autobaud_uart0_lednop_pr_ce },
 {  28664, ur_m48pb_autobaud_uart0_lednop_pr_ce_u4 },
 {  28665, ur_m48pb_autobaud_uart0_lednop_pr_ee_ce },
 {  28666, ur_m48pb_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  28672, ur_m48pb_autobaud_uart0_dual },
 {  28673, ur_m48pb_autobaud_uart0_dual },
 {  28674, ur_m48pb_autobaud_uart0_dual_pr_u4 },
 {  28675, ur_m48pb_autobaud_uart0_dual_pr_ee },
 {  28676, ur_m48pb_autobaud_uart0_dual_pr_ee_u4 },
 {  28677, ur_m48pb_autobaud_uart0_dual_pr_ce },
 {  28678, ur_m48pb_autobaud_uart0_dual_pr_ce_u4 },
 {  28679, ur_m48pb_autobaud_uart0_dual_pr_ee_ce },
 {  28680, ur_m48pb_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  28854, ur_m48pb_u1x8_uart0_noled },
 {  28855, ur_m48pb_u1x8_uart0_noled },
 {  28856, ur_m48pb_u1x8_uart0_noled_pr_u4 },
 {  28857, ur_m48pb_u1x8_uart0_noled_pr_ee },
 {  28858, ur_m48pb_u1x8_uart0_noled_pr_ee_u4 },
 {  28859, ur_m48pb_u1x8_uart0_noled_pr_ce },
 {  28860, ur_m48pb_u1x8_uart0_noled_pr_ce_u4 },
 {  28861, ur_m48pb_u1x8_uart0_noled_pr_ee_ce },
 {  28862, ur_m48pb_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  28868, ur_m48pb_u1x8_uart0_lednop },
 {  28869, ur_m48pb_u1x8_uart0_lednop },
 {  28870, ur_m48pb_u1x8_uart0_lednop_pr_u4 },
 {  28871, ur_m48pb_u1x8_uart0_lednop_pr_ee },
 {  28872, ur_m48pb_u1x8_uart0_lednop_pr_ee_u4 },
 {  28873, ur_m48pb_u1x8_uart0_lednop_pr_ce },
 {  28874, ur_m48pb_u1x8_uart0_lednop_pr_ce_u4 },
 {  28875, ur_m48pb_u1x8_uart0_lednop_pr_ee_ce },
 {  28876, ur_m48pb_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  28882, ur_m48pb_u1x8_uart0_dual },
 {  28883, ur_m48pb_u1x8_uart0_dual_pr },
 {  28884, ur_m48pb_u1x8_uart0_dual_pr_u4 },
 {  28885, ur_m48pb_u1x8_uart0_dual_pr_ee },
 {  28886, ur_m48pb_u1x8_uart0_dual_pr_ee_u4 },
 {  28887, ur_m48pb_u1x8_uart0_dual_pr_ce },
 {  28888, ur_m48pb_u1x8_uart0_dual_pr_ce_u4 },
 {  28889, ur_m48pb_u1x8_uart0_dual_pr_ee_ce },
 {  28890, ur_m48pb_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  29064, ur_m48pb_u1x12_uart0_noled },
 {  29065, ur_m48pb_u1x12_uart0_noled },
 {  29066, ur_m48pb_u1x12_uart0_noled_pr_u4 },
 {  29067, ur_m48pb_u1x12_uart0_noled_pr_ee },
 {  29068, ur_m48pb_u1x12_uart0_noled_pr_ee_u4 },
 {  29069, ur_m48pb_u1x12_uart0_noled_pr_ce },
 {  29070, ur_m48pb_u1x12_uart0_noled_pr_ce_u4 },
 {  29071, ur_m48pb_u1x12_uart0_noled_pr_ee_ce },
 {  29072, ur_m48pb_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  29078, ur_m48pb_u1x12_uart0_lednop },
 {  29079, ur_m48pb_u1x12_uart0_lednop },
 {  29080, ur_m48pb_u1x12_uart0_lednop_pr_u4 },
 {  29081, ur_m48pb_u1x12_uart0_lednop_pr_ee },
 {  29082, ur_m48pb_u1x12_uart0_lednop_pr_ee_u4 },
 {  29083, ur_m48pb_u1x12_uart0_lednop_pr_ce },
 {  29084, ur_m48pb_u1x12_uart0_lednop_pr_ce_u4 },
 {  29085, ur_m48pb_u1x12_uart0_lednop_pr_ee_ce },
 {  29086, ur_m48pb_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  29092, ur_m48pb_u1x12_uart0_dual },
 {  29093, ur_m48pb_u1x12_uart0_dual_pr },
 {  29094, ur_m48pb_u1x12_uart0_dual_pr_u4 },
 {  29095, ur_m48pb_u1x12_uart0_dual_pr_ee },
 {  29096, ur_m48pb_u1x12_uart0_dual_pr_ee_u4 },
 {  29097, ur_m48pb_u1x12_uart0_dual_pr_ce },
 {  29098, ur_m48pb_u1x12_uart0_dual_pr_ce_u4 },
 {  29099, ur_m48pb_u1x12_uart0_dual_pr_ee_ce },
 {  29100, ur_m48pb_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  29274, ur_m48pb_u2x8_uart0_noled },
 {  29275, ur_m48pb_u2x8_uart0_noled },
 {  29276, ur_m48pb_u2x8_uart0_noled_pr_u4 },
 {  29277, ur_m48pb_u2x8_uart0_noled_pr_ee },
 {  29278, ur_m48pb_u2x8_uart0_noled_pr_ee_u4 },
 {  29279, ur_m48pb_u2x8_uart0_noled_pr_ce },
 {  29280, ur_m48pb_u2x8_uart0_noled_pr_ce_u4 },
 {  29281, ur_m48pb_u2x8_uart0_noled_pr_ee_ce },
 {  29282, ur_m48pb_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  29288, ur_m48pb_u2x8_uart0_lednop },
 {  29289, ur_m48pb_u2x8_uart0_lednop },
 {  29290, ur_m48pb_u2x8_uart0_lednop_pr_u4 },
 {  29291, ur_m48pb_u2x8_uart0_lednop_pr_ee },
 {  29292, ur_m48pb_u2x8_uart0_lednop_pr_ee_u4 },
 {  29293, ur_m48pb_u2x8_uart0_lednop_pr_ce },
 {  29294, ur_m48pb_u2x8_uart0_lednop_pr_ce_u4 },
 {  29295, ur_m48pb_u2x8_uart0_lednop_pr_ee_ce },
 {  29296, ur_m48pb_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  29302, ur_m48pb_u2x8_uart0_dual },
 {  29303, ur_m48pb_u2x8_uart0_dual_pr },
 {  29304, ur_m48pb_u2x8_uart0_dual_pr_u4 },
 {  29305, ur_m48pb_u2x8_uart0_dual_pr_ee },
 {  29306, ur_m48pb_u2x8_uart0_dual_pr_ee_u4 },
 {  29307, ur_m48pb_u2x8_uart0_dual_pr_ce },
 {  29308, ur_m48pb_u2x8_uart0_dual_pr_ce_u4 },
 {  29309, ur_m48pb_u2x8_uart0_dual_pr_ee_ce },
 {  29310, ur_m48pb_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  29484, ur_m48pb_u2x12_uart0_noled },
 {  29485, ur_m48pb_u2x12_uart0_noled },
 {  29486, ur_m48pb_u2x12_uart0_noled_pr_u4 },
 {  29487, ur_m48pb_u2x12_uart0_noled_pr_ee },
 {  29488, ur_m48pb_u2x12_uart0_noled_pr_ee_u4 },
 {  29489, ur_m48pb_u2x12_uart0_noled_pr_ce },
 {  29490, ur_m48pb_u2x12_uart0_noled_pr_ce_u4 },
 {  29491, ur_m48pb_u2x12_uart0_noled_pr_ee_ce },
 {  29492, ur_m48pb_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  29498, ur_m48pb_u2x12_uart0_lednop },
 {  29499, ur_m48pb_u2x12_uart0_lednop },
 {  29500, ur_m48pb_u2x12_uart0_lednop_pr_u4 },
 {  29501, ur_m48pb_u2x12_uart0_lednop_pr_ee },
 {  29502, ur_m48pb_u2x12_uart0_lednop_pr_ee_u4 },
 {  29503, ur_m48pb_u2x12_uart0_lednop_pr_ce },
 {  29504, ur_m48pb_u2x12_uart0_lednop_pr_ce_u4 },
 {  29505, ur_m48pb_u2x12_uart0_lednop_pr_ee_ce },
 {  29506, ur_m48pb_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  29512, ur_m48pb_u2x12_uart0_dual },
 {  29513, ur_m48pb_u2x12_uart0_dual_pr },
 {  29514, ur_m48pb_u2x12_uart0_dual_pr_u4 },
 {  29515, ur_m48pb_u2x12_uart0_dual_pr_ee },
 {  29516, ur_m48pb_u2x12_uart0_dual_pr_ee_u4 },
 {  29517, ur_m48pb_u2x12_uart0_dual_pr_ce },
 {  29518, ur_m48pb_u2x12_uart0_dual_pr_ce_u4 },
 {  29519, ur_m48pb_u2x12_uart0_dual_pr_ee_ce },
 {  29520, ur_m48pb_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  29694, ur_m48pb_swio10_noled },
 {  29695, ur_m48pb_swio10_noled_pr },
 {  29696, ur_m48pb_swio10_noled_pr_u4 },
 {  29697, ur_m48pb_swio10_noled_pr_ee },
 {  29698, ur_m48pb_swio10_noled_pr_ee_u4 },
 {  29699, ur_m48pb_swio10_noled_pr_ce },
 {  29700, ur_m48pb_swio10_noled_pr_ce_u4 },
 {  29701, ur_m48pb_swio10_noled_pr_ee_ce },
 {  29702, ur_m48pb_swio10_noled_pr_ee_ce_u4 },
 {  29708, ur_m48pb_swio10_lednop },
 {  29709, ur_m48pb_swio10_lednop_pr },
 {  29710, ur_m48pb_swio10_lednop_pr_u4 },
 {  29711, ur_m48pb_swio10_lednop_pr_ee },
 {  29712, ur_m48pb_swio10_lednop_pr_ee_u4 },
 {  29713, ur_m48pb_swio10_lednop_pr_ce },
 {  29714, ur_m48pb_swio10_lednop_pr_ce_u4 },
 {  29715, ur_m48pb_swio10_lednop_pr_ee_ce },
 {  29716, ur_m48pb_swio10_lednop_pr_ee_ce_u4 },
 {  29722, ur_m48pb_swio10_dual },
 {  29723, ur_m48pb_swio10_dual },
 {  29724, ur_m48pb_swio10_dual_pr_u4 },
 {  29725, ur_m48pb_swio10_dual_pr_ee },
 {  29726, ur_m48pb_swio10_dual_pr_ee_u4 },
 {  29727, ur_m48pb_swio10_dual_pr_ce },
 {  29728, ur_m48pb_swio10_dual_pr_ce_u4 },
 {  29729, ur_m48pb_swio10_dual_pr_ee_ce },
 {  29730, ur_m48pb_swio10_dual_pr_ee_ce_u4 },
 {  29736, ur_m48pb_swio11_noled },
 {  29737, ur_m48pb_swio11_noled_pr },
 {  29738, ur_m48pb_swio11_noled_pr_u4 },
 {  29739, ur_m48pb_swio11_noled_pr_ee },
 {  29740, ur_m48pb_swio11_noled_pr_ee_u4 },
 {  29741, ur_m48pb_swio11_noled_pr_ce },
 {  29742, ur_m48pb_swio11_noled_pr_ce_u4 },
 {  29743, ur_m48pb_swio11_noled_pr_ee_ce },
 {  29744, ur_m48pb_swio11_noled_pr_ee_ce_u4 },
 {  29750, ur_m48pb_swio11_lednop },
 {  29751, ur_m48pb_swio11_lednop_pr },
 {  29752, ur_m48pb_swio11_lednop_pr_u4 },
 {  29753, ur_m48pb_swio11_lednop_pr_ee },
 {  29754, ur_m48pb_swio11_lednop_pr_ee_u4 },
 {  29755, ur_m48pb_swio11_lednop_pr_ce },
 {  29756, ur_m48pb_swio11_lednop_pr_ce_u4 },
 {  29757, ur_m48pb_swio11_lednop_pr_ee_ce },
 {  29758, ur_m48pb_swio11_lednop_pr_ee_ce_u4 },
 {  29764, ur_m48pb_swio11_dual },
 {  29765, ur_m48pb_swio11_dual },
 {  29766, ur_m48pb_swio11_dual_pr_u4 },
 {  29767, ur_m48pb_swio11_dual_pr_ee },
 {  29768, ur_m48pb_swio11_dual_pr_ee_u4 },
 {  29769, ur_m48pb_swio11_dual_pr_ce },
 {  29770, ur_m48pb_swio11_dual_pr_ce_u4 },
 {  29771, ur_m48pb_swio11_dual_pr_ee_ce },
 {  29772, ur_m48pb_swio11_dual_pr_ee_ce_u4 },
 {  29778, ur_m48pb_swio11_noled },
 {  29779, ur_m48pb_swio11_noled_pr },
 {  29780, ur_m48pb_swio11_noled_pr_u4 },
 {  29781, ur_m48pb_swio11_noled_pr_ee },
 {  29782, ur_m48pb_swio11_noled_pr_ee_u4 },
 {  29783, ur_m48pb_swio11_noled_pr_ce },
 {  29784, ur_m48pb_swio11_noled_pr_ce_u4 },
 {  29785, ur_m48pb_swio11_noled_pr_ee_ce },
 {  29786, ur_m48pb_swio11_noled_pr_ee_ce_u4 },
 {  29792, ur_m48pb_swio11_lednop },
 {  29793, ur_m48pb_swio11_lednop_pr },
 {  29794, ur_m48pb_swio11_lednop_pr_u4 },
 {  29795, ur_m48pb_swio11_lednop_pr_ee },
 {  29796, ur_m48pb_swio11_lednop_pr_ee_u4 },
 {  29797, ur_m48pb_swio11_lednop_pr_ce },
 {  29798, ur_m48pb_swio11_lednop_pr_ce_u4 },
 {  29799, ur_m48pb_swio11_lednop_pr_ee_ce },
 {  29800, ur_m48pb_swio11_lednop_pr_ee_ce_u4 },
 {  29806, ur_m48pb_swio11_dual },
 {  29807, ur_m48pb_swio11_dual },
 {  29808, ur_m48pb_swio11_dual_pr_u4 },
 {  29809, ur_m48pb_swio11_dual_pr_ee },
 {  29810, ur_m48pb_swio11_dual_pr_ee_u4 },
 {  29811, ur_m48pb_swio11_dual_pr_ce },
 {  29812, ur_m48pb_swio11_dual_pr_ce_u4 },
 {  29813, ur_m48pb_swio11_dual_pr_ee_ce },
 {  29814, ur_m48pb_swio11_dual_pr_ee_ce_u4 },
 {  29820, ur_m48pb_swio13_noled },
 {  29821, ur_m48pb_swio13_noled_pr },
 {  29822, ur_m48pb_swio13_noled_pr_u4 },
 {  29823, ur_m48pb_swio13_noled_pr_ee },
 {  29824, ur_m48pb_swio13_noled_pr_ee_u4 },
 {  29825, ur_m48pb_swio13_noled_pr_ce },
 {  29826, ur_m48pb_swio13_noled_pr_ce_u4 },
 {  29827, ur_m48pb_swio13_noled_pr_ee_ce },
 {  29828, ur_m48pb_swio13_noled_pr_ee_ce_u4 },
 {  29834, ur_m48pb_swio13_lednop },
 {  29835, ur_m48pb_swio13_lednop_pr },
 {  29836, ur_m48pb_swio13_lednop_pr_u4 },
 {  29837, ur_m48pb_swio13_lednop_pr_ee },
 {  29838, ur_m48pb_swio13_lednop_pr_ee_u4 },
 {  29839, ur_m48pb_swio13_lednop_pr_ce },
 {  29840, ur_m48pb_swio13_lednop_pr_ce_u4 },
 {  29841, ur_m48pb_swio13_lednop_pr_ee_ce },
 {  29842, ur_m48pb_swio13_lednop_pr_ee_ce_u4 },
 {  29848, ur_m48pb_swio13_dual },
 {  29849, ur_m48pb_swio13_dual },
 {  29850, ur_m48pb_swio13_dual_pr_u4 },
 {  29851, ur_m48pb_swio13_dual_pr_ee },
 {  29852, ur_m48pb_swio13_dual_pr_ee_u4 },
 {  29853, ur_m48pb_swio13_dual_pr_ce },
 {  29854, ur_m48pb_swio13_dual_pr_ce_u4 },
 {  29855, ur_m48pb_swio13_dual_pr_ee_ce },
 {  29856, ur_m48pb_swio13_dual_pr_ee_ce_u4 },
 {  29862, ur_m48pb_swio14_noled },
 {  29863, ur_m48pb_swio14_noled_pr },
 {  29864, ur_m48pb_swio14_noled_pr_u4 },
 {  29865, ur_m48pb_swio14_noled_pr_ee },
 {  29866, ur_m48pb_swio14_noled_pr_ee_u4 },
 {  29867, ur_m48pb_swio14_noled_pr_ce },
 {  29868, ur_m48pb_swio14_noled_pr_ce_u4 },
 {  29869, ur_m48pb_swio14_noled_pr_ee_ce },
 {  29870, ur_m48pb_swio14_noled_pr_ee_ce_u4 },
 {  29876, ur_m48pb_swio14_lednop },
 {  29877, ur_m48pb_swio14_lednop_pr },
 {  29878, ur_m48pb_swio14_lednop_pr_u4 },
 {  29879, ur_m48pb_swio14_lednop_pr_ee },
 {  29880, ur_m48pb_swio14_lednop_pr_ee_u4 },
 {  29881, ur_m48pb_swio14_lednop_pr_ce },
 {  29882, ur_m48pb_swio14_lednop_pr_ce_u4 },
 {  29883, ur_m48pb_swio14_lednop_pr_ee_ce },
 {  29884, ur_m48pb_swio14_lednop_pr_ee_ce_u4 },
 {  29890, ur_m48pb_swio14_dual },
 {  29891, ur_m48pb_swio14_dual },
 {  29892, ur_m48pb_swio14_dual_pr_u4 },
 {  29893, ur_m48pb_swio14_dual_pr_ee },
 {  29894, ur_m48pb_swio14_dual_pr_ee_u4 },
 {  29895, ur_m48pb_swio14_dual_pr_ce },
 {  29896, ur_m48pb_swio14_dual_pr_ce_u4 },
 {  29897, ur_m48pb_swio14_dual_pr_ee_ce },
 {  29898, ur_m48pb_swio14_dual_pr_ee_ce_u4 },
 {  29904, ur_m48pb_swio15_noled },
 {  29905, ur_m48pb_swio15_noled_pr },
 {  29906, ur_m48pb_swio15_noled_pr_u4 },
 {  29907, ur_m48pb_swio15_noled_pr_ee },
 {  29908, ur_m48pb_swio15_noled_pr_ee_u4 },
 {  29909, ur_m48pb_swio15_noled_pr_ce },
 {  29910, ur_m48pb_swio15_noled_pr_ce_u4 },
 {  29911, ur_m48pb_swio15_noled_pr_ee_ce },
 {  29912, ur_m48pb_swio15_noled_pr_ee_ce_u4 },
 {  29918, ur_m48pb_swio15_lednop },
 {  29919, ur_m48pb_swio15_lednop_pr },
 {  29920, ur_m48pb_swio15_lednop_pr_u4 },
 {  29921, ur_m48pb_swio15_lednop_pr_ee },
 {  29922, ur_m48pb_swio15_lednop_pr_ee_u4 },
 {  29923, ur_m48pb_swio15_lednop_pr_ce },
 {  29924, ur_m48pb_swio15_lednop_pr_ce_u4 },
 {  29925, ur_m48pb_swio15_lednop_pr_ee_ce },
 {  29926, ur_m48pb_swio15_lednop_pr_ee_ce_u4 },
 {  29932, ur_m48pb_swio15_dual },
 {  29933, ur_m48pb_swio15_dual },
 {  29934, ur_m48pb_swio15_dual_pr_u4 },
 {  29935, ur_m48pb_swio15_dual_pr_ee },
 {  29936, ur_m48pb_swio15_dual_pr_ee_u4 },
 {  29937, ur_m48pb_swio15_dual_pr_ce },
 {  29938, ur_m48pb_swio15_dual_pr_ce_u4 },
 {  29939, ur_m48pb_swio15_dual_pr_ee_ce },
 {  29940, ur_m48pb_swio15_dual_pr_ee_ce_u4 },
 {  29946, ur_m48p_autobaud_uart0_noled },
 {  29947, ur_m48p_autobaud_uart0_noled },
 {  29948, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  29949, ur_m88_autobaud_uart0_noled_pr_ee },
 {  29950, ur_m88_autobaud_uart0_noled_pr_ee_u4 },
 {  29951, ur_m88_autobaud_uart0_noled_pr_ce },
 {  29952, ur_m88_autobaud_uart0_noled_pr_ce_u4 },
 {  29953, ur_m88_autobaud_uart0_noled_pr_ee_ce },
 {  29954, ur_m88_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  29955, ur_m88_autobaud_uart0_noled_hw },
 {  29956, ur_m88_autobaud_uart0_noled_ee_hw },
 {  29957, ur_m88_autobaud_uart0_noled_ce_hw },
 {  29958, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  29959, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  29960, ur_m48p_autobaud_uart0_lednop },
 {  29961, ur_m48p_autobaud_uart0_lednop },
 {  29962, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  29963, ur_m88_autobaud_uart0_lednop_pr_ee },
 {  29964, ur_m88_autobaud_uart0_lednop_pr_ee_u4 },
 {  29965, ur_m88_autobaud_uart0_lednop_pr_ce },
 {  29966, ur_m88_autobaud_uart0_lednop_pr_ce_u4 },
 {  29967, ur_m88_autobaud_uart0_lednop_pr_ee_ce },
 {  29968, ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  29969, ur_m88_autobaud_uart0_lednop_hw },
 {  29970, ur_m88_autobaud_uart0_lednop_ee_hw },
 {  29971, ur_m88_autobaud_uart0_lednop_ce_hw },
 {  29972, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  29973, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  29974, ur_m88_autobaud_uart0_dual },
 {  29975, ur_m88_autobaud_uart0_dual_pr },
 {  29976, ur_m88_autobaud_uart0_dual_pr_u4 },
 {  29977, ur_m88_autobaud_uart0_dual_pr_ee },
 {  29978, ur_m88_autobaud_uart0_dual_pr_ee_u4 },
 {  29979, ur_m88_autobaud_uart0_dual_pr_ce },
 {  29980, ur_m88_autobaud_uart0_dual_pr_ce_u4 },
 {  29981, ur_m88_autobaud_uart0_dual_pr_ee_ce },
 {  29982, ur_m88_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  29983, ur_m88_autobaud_uart0_dual_hw },
 {  29984, ur_m88_autobaud_uart0_dual_ee_hw },
 {  29985, ur_m88_autobaud_uart0_dual_ce_hw },
 {  29986, ur_m88_autobaud_uart0_dual_ee_ce_hw },
 {  29987, ur_m88_autobaud_uart0_dual_ee_ce_u4_hw },
 {  30156, ur_m48p_u1x8_uart0_noled },
 {  30157, ur_m48p_u1x8_uart0_noled },
 {  30158, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  30159, ur_m88_u1x8_uart0_noled_pr_ee },
 {  30160, ur_m88_u1x8_uart0_noled_pr_ee_u4 },
 {  30161, ur_m88_u1x8_uart0_noled_pr_ce },
 {  30162, ur_m88_u1x8_uart0_noled_pr_ce_u4 },
 {  30163, ur_m88_u1x8_uart0_noled_pr_ee_ce },
 {  30164, ur_m88_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  30165, ur_m88_u1x8_uart0_noled_hw },
 {  30166, ur_m88_u1x8_uart0_noled_ee_hw },
 {  30167, ur_m88_u1x8_uart0_noled_ce_hw },
 {  30168, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  30169, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  30170, ur_m48p_u1x8_uart0_lednop },
 {  30171, ur_m48p_u1x8_uart0_lednop },
 {  30172, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  30173, ur_m88_u1x8_uart0_lednop_pr_ee },
 {  30174, ur_m88_u1x8_uart0_lednop_pr_ee_u4 },
 {  30175, ur_m88_u1x8_uart0_lednop_pr_ce },
 {  30176, ur_m88_u1x8_uart0_lednop_pr_ce_u4 },
 {  30177, ur_m88_u1x8_uart0_lednop_pr_ee_ce },
 {  30178, ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  30179, ur_m88_u1x8_uart0_lednop_hw },
 {  30180, ur_m88_u1x8_uart0_lednop_ee_hw },
 {  30181, ur_m88_u1x8_uart0_lednop_ce_hw },
 {  30182, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  30183, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  30184, ur_m88_u1x8_uart0_dual },
 {  30185, ur_m88_u1x8_uart0_dual },
 {  30186, ur_m88_u1x8_uart0_dual_pr_u4 },
 {  30187, ur_m88_u1x8_uart0_dual_pr_ee },
 {  30188, ur_m88_u1x8_uart0_dual_pr_ee_u4 },
 {  30189, ur_m88_u1x8_uart0_dual_pr_ce },
 {  30190, ur_m88_u1x8_uart0_dual_pr_ce_u4 },
 {  30191, ur_m88_u1x8_uart0_dual_pr_ee_ce },
 {  30192, ur_m88_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  30193, ur_m88_u1x8_uart0_dual_hw },
 {  30194, ur_m88_u1x8_uart0_dual_ee_hw },
 {  30195, ur_m88_u1x8_uart0_dual_ce_hw },
 {  30196, ur_m88_u1x8_uart0_dual_ee_ce_hw },
 {  30197, ur_m88_u1x8_uart0_dual_ee_ce_u4_hw },
 {  30366, ur_m48p_u1x12_uart0_noled },
 {  30367, ur_m48p_u1x12_uart0_noled },
 {  30368, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  30369, ur_m88_u1x12_uart0_noled_pr_ee },
 {  30370, ur_m88_u1x12_uart0_noled_pr_ee_u4 },
 {  30371, ur_m88_u1x12_uart0_noled_pr_ce },
 {  30372, ur_m88_u1x12_uart0_noled_pr_ce_u4 },
 {  30373, ur_m88_u1x12_uart0_noled_pr_ee_ce },
 {  30374, ur_m88_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  30375, ur_m88_u1x12_uart0_noled_hw },
 {  30376, ur_m88_u1x12_uart0_noled_ee_hw },
 {  30377, ur_m88_u1x12_uart0_noled_ce_hw },
 {  30378, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  30379, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  30380, ur_m48p_u1x12_uart0_lednop },
 {  30381, ur_m48p_u1x12_uart0_lednop },
 {  30382, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  30383, ur_m88_u1x12_uart0_lednop_pr_ee },
 {  30384, ur_m88_u1x12_uart0_lednop_pr_ee_u4 },
 {  30385, ur_m88_u1x12_uart0_lednop_pr_ce },
 {  30386, ur_m88_u1x12_uart0_lednop_pr_ce_u4 },
 {  30387, ur_m88_u1x12_uart0_lednop_pr_ee_ce },
 {  30388, ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  30389, ur_m88_u1x12_uart0_lednop_hw },
 {  30390, ur_m88_u1x12_uart0_lednop_ee_hw },
 {  30391, ur_m88_u1x12_uart0_lednop_ce_hw },
 {  30392, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  30393, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  30394, ur_m88_u1x12_uart0_dual },
 {  30395, ur_m88_u1x12_uart0_dual },
 {  30396, ur_m88_u1x12_uart0_dual_pr_u4 },
 {  30397, ur_m88_u1x12_uart0_dual_pr_ee },
 {  30398, ur_m88_u1x12_uart0_dual_pr_ee_u4 },
 {  30399, ur_m88_u1x12_uart0_dual_pr_ce },
 {  30400, ur_m88_u1x12_uart0_dual_pr_ce_u4 },
 {  30401, ur_m88_u1x12_uart0_dual_pr_ee_ce },
 {  30402, ur_m88_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  30403, ur_m88_u1x12_uart0_dual_hw },
 {  30404, ur_m88_u1x12_uart0_dual_ee_hw },
 {  30405, ur_m88_u1x12_uart0_dual_ce_hw },
 {  30406, ur_m88_u1x12_uart0_dual_ee_ce_hw },
 {  30407, ur_m88_u1x12_uart0_dual_ee_ce_u4_hw },
 {  30576, ur_m48p_u2x8_uart0_noled },
 {  30577, ur_m48p_u2x8_uart0_noled },
 {  30578, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  30579, ur_m88_u2x8_uart0_noled_pr_ee },
 {  30580, ur_m88_u2x8_uart0_noled_pr_ee_u4 },
 {  30581, ur_m88_u2x8_uart0_noled_pr_ce },
 {  30582, ur_m88_u2x8_uart0_noled_pr_ce_u4 },
 {  30583, ur_m88_u2x8_uart0_noled_pr_ee_ce },
 {  30584, ur_m88_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  30585, ur_m88_u2x8_uart0_noled_hw },
 {  30586, ur_m88_u2x8_uart0_noled_ee_hw },
 {  30587, ur_m88_u2x8_uart0_noled_ce_hw },
 {  30588, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  30589, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  30590, ur_m48p_u2x8_uart0_lednop },
 {  30591, ur_m48p_u2x8_uart0_lednop },
 {  30592, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  30593, ur_m88_u2x8_uart0_lednop_pr_ee },
 {  30594, ur_m88_u2x8_uart0_lednop_pr_ee_u4 },
 {  30595, ur_m88_u2x8_uart0_lednop_pr_ce },
 {  30596, ur_m88_u2x8_uart0_lednop_pr_ce_u4 },
 {  30597, ur_m88_u2x8_uart0_lednop_pr_ee_ce },
 {  30598, ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  30599, ur_m88_u2x8_uart0_lednop_hw },
 {  30600, ur_m88_u2x8_uart0_lednop_ee_hw },
 {  30601, ur_m88_u2x8_uart0_lednop_ce_hw },
 {  30602, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  30603, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  30604, ur_m88_u2x8_uart0_dual },
 {  30605, ur_m88_u2x8_uart0_dual },
 {  30606, ur_m88_u2x8_uart0_dual_pr_u4 },
 {  30607, ur_m88_u2x8_uart0_dual_pr_ee },
 {  30608, ur_m88_u2x8_uart0_dual_pr_ee_u4 },
 {  30609, ur_m88_u2x8_uart0_dual_pr_ce },
 {  30610, ur_m88_u2x8_uart0_dual_pr_ce_u4 },
 {  30611, ur_m88_u2x8_uart0_dual_pr_ee_ce },
 {  30612, ur_m88_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  30613, ur_m88_u2x8_uart0_dual_hw },
 {  30614, ur_m88_u2x8_uart0_dual_ee_hw },
 {  30615, ur_m88_u2x8_uart0_dual_ce_hw },
 {  30616, ur_m88_u2x8_uart0_dual_ee_ce_hw },
 {  30617, ur_m88_u2x8_uart0_dual_ee_ce_u4_hw },
 {  30786, ur_m48p_u2x12_uart0_noled },
 {  30787, ur_m48p_u2x12_uart0_noled },
 {  30788, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  30789, ur_m88_u2x12_uart0_noled_pr_ee },
 {  30790, ur_m88_u2x12_uart0_noled_pr_ee_u4 },
 {  30791, ur_m88_u2x12_uart0_noled_pr_ce },
 {  30792, ur_m88_u2x12_uart0_noled_pr_ce_u4 },
 {  30793, ur_m88_u2x12_uart0_noled_pr_ee_ce },
 {  30794, ur_m88_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  30795, ur_m88_u2x12_uart0_noled_hw },
 {  30796, ur_m88_u2x12_uart0_noled_ee_hw },
 {  30797, ur_m88_u2x12_uart0_noled_ce_hw },
 {  30798, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  30799, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  30800, ur_m48p_u2x12_uart0_lednop },
 {  30801, ur_m48p_u2x12_uart0_lednop },
 {  30802, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  30803, ur_m88_u2x12_uart0_lednop_pr_ee },
 {  30804, ur_m88_u2x12_uart0_lednop_pr_ee_u4 },
 {  30805, ur_m88_u2x12_uart0_lednop_pr_ce },
 {  30806, ur_m88_u2x12_uart0_lednop_pr_ce_u4 },
 {  30807, ur_m88_u2x12_uart0_lednop_pr_ee_ce },
 {  30808, ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  30809, ur_m88_u2x12_uart0_lednop_hw },
 {  30810, ur_m88_u2x12_uart0_lednop_ee_hw },
 {  30811, ur_m88_u2x12_uart0_lednop_ce_hw },
 {  30812, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  30813, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  30814, ur_m88_u2x12_uart0_dual },
 {  30815, ur_m88_u2x12_uart0_dual_pr },
 {  30816, ur_m88_u2x12_uart0_dual_pr_u4 },
 {  30817, ur_m88_u2x12_uart0_dual_pr_ee },
 {  30818, ur_m88_u2x12_uart0_dual_pr_ee_u4 },
 {  30819, ur_m88_u2x12_uart0_dual_pr_ce },
 {  30820, ur_m88_u2x12_uart0_dual_pr_ce_u4 },
 {  30821, ur_m88_u2x12_uart0_dual_pr_ee_ce },
 {  30822, ur_m88_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  30823, ur_m88_u2x12_uart0_dual_hw },
 {  30824, ur_m88_u2x12_uart0_dual_ee_hw },
 {  30825, ur_m88_u2x12_uart0_dual_ce_hw },
 {  30826, ur_m88_u2x12_uart0_dual_ee_ce_hw },
 {  30827, ur_m88_u2x12_uart0_dual_ee_ce_u4_hw },
 {  30996, ur_m48p_swio10_noled },
 {  30997, ur_m48p_swio10_noled },
 {  30998, ur_m48p_swio10_noled_pr_u4 },
 {  30999, ur_m88_swio10_noled_pr_ee },
 {  31000, ur_m88_swio10_noled_pr_ee_u4 },
 {  31001, ur_m88_swio10_noled_pr_ce },
 {  31002, ur_m88_swio10_noled_pr_ce_u4 },
 {  31003, ur_m88_swio10_noled_pr_ee_ce },
 {  31004, ur_m88_swio10_noled_pr_ee_ce_u4 },
 {  31005, ur_m88_swio10_noled_hw },
 {  31006, ur_m88_swio10_noled_ee_hw },
 {  31007, ur_m88_swio10_noled_ce_hw },
 {  31008, ur_m88_swio10_noled_ee_ce_hw },
 {  31009, ur_m88_swio10_noled_ee_ce_hw },
 {  31010, ur_m48p_swio10_lednop },
 {  31011, ur_m48p_swio10_lednop_pr },
 {  31012, ur_m48p_swio10_lednop_pr_u4 },
 {  31013, ur_m88_swio10_lednop_pr_ee },
 {  31014, ur_m88_swio10_lednop_pr_ee_u4 },
 {  31015, ur_m88_swio10_lednop_pr_ce },
 {  31016, ur_m88_swio10_lednop_pr_ce_u4 },
 {  31017, ur_m88_swio10_lednop_pr_ee_ce },
 {  31018, ur_m88_swio10_lednop_pr_ee_ce_u4 },
 {  31019, ur_m88_swio10_lednop_hw },
 {  31020, ur_m88_swio10_lednop_ee_hw },
 {  31021, ur_m88_swio10_lednop_ce_hw },
 {  31022, ur_m88_swio10_lednop_ee_ce_hw },
 {  31023, ur_m88_swio10_lednop_ee_ce_hw },
 {  31024, ur_m88_swio10_dual },
 {  31025, ur_m88_swio10_dual },
 {  31026, ur_m88_swio10_dual_pr_u4 },
 {  31027, ur_m88_swio10_dual_pr_ee },
 {  31028, ur_m88_swio10_dual_pr_ee_u4 },
 {  31029, ur_m88_swio10_dual_pr_ce },
 {  31030, ur_m88_swio10_dual_pr_ce_u4 },
 {  31031, ur_m88_swio10_dual_pr_ee_ce },
 {  31032, ur_m88_swio10_dual_pr_ee_ce_u4 },
 {  31033, ur_m88_swio10_dual_hw },
 {  31034, ur_m88_swio10_dual_ee_hw },
 {  31035, ur_m88_swio10_dual_ce_hw },
 {  31036, ur_m88_swio10_dual_ee_ce_hw },
 {  31037, ur_m88_swio10_dual_ee_ce_u4_hw },
 {  31038, ur_m48p_swio11_noled },
 {  31039, ur_m48p_swio11_noled },
 {  31040, ur_m48p_swio11_noled_pr_u4 },
 {  31041, ur_m88_swio11_noled_pr_ee },
 {  31042, ur_m88_swio11_noled_pr_ee_u4 },
 {  31043, ur_m88_swio11_noled_pr_ce },
 {  31044, ur_m88_swio11_noled_pr_ce_u4 },
 {  31045, ur_m88_swio11_noled_pr_ee_ce },
 {  31046, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  31047, ur_m88_swio11_noled_hw },
 {  31048, ur_m88_swio11_noled_ee_hw },
 {  31049, ur_m88_swio11_noled_ce_hw },
 {  31050, ur_m88_swio11_noled_ee_ce_hw },
 {  31051, ur_m88_swio11_noled_ee_ce_hw },
 {  31052, ur_m48p_swio11_lednop },
 {  31053, ur_m48p_swio11_lednop_pr },
 {  31054, ur_m48p_swio11_lednop_pr_u4 },
 {  31055, ur_m88_swio11_lednop_pr_ee },
 {  31056, ur_m88_swio11_lednop_pr_ee_u4 },
 {  31057, ur_m88_swio11_lednop_pr_ce },
 {  31058, ur_m88_swio11_lednop_pr_ce_u4 },
 {  31059, ur_m88_swio11_lednop_pr_ee_ce },
 {  31060, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  31061, ur_m88_swio11_lednop_hw },
 {  31062, ur_m88_swio11_lednop_ee_hw },
 {  31063, ur_m88_swio11_lednop_ce_hw },
 {  31064, ur_m88_swio11_lednop_ee_ce_hw },
 {  31065, ur_m88_swio11_lednop_ee_ce_hw },
 {  31066, ur_m88_swio11_dual },
 {  31067, ur_m88_swio11_dual },
 {  31068, ur_m88_swio11_dual_pr_u4 },
 {  31069, ur_m88_swio11_dual_pr_ee },
 {  31070, ur_m88_swio11_dual_pr_ee_u4 },
 {  31071, ur_m88_swio11_dual_pr_ce },
 {  31072, ur_m88_swio11_dual_pr_ce_u4 },
 {  31073, ur_m88_swio11_dual_pr_ee_ce },
 {  31074, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  31075, ur_m88_swio11_dual_hw },
 {  31076, ur_m88_swio11_dual_ee_hw },
 {  31077, ur_m88_swio11_dual_ce_hw },
 {  31078, ur_m88_swio11_dual_ee_ce_hw },
 {  31079, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  31080, ur_m48p_swio11_noled },
 {  31081, ur_m48p_swio11_noled },
 {  31082, ur_m48p_swio11_noled_pr_u4 },
 {  31083, ur_m88_swio11_noled_pr_ee },
 {  31084, ur_m88_swio11_noled_pr_ee_u4 },
 {  31085, ur_m88_swio11_noled_pr_ce },
 {  31086, ur_m88_swio11_noled_pr_ce_u4 },
 {  31087, ur_m88_swio11_noled_pr_ee_ce },
 {  31088, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  31089, ur_m88_swio11_noled_hw },
 {  31090, ur_m88_swio11_noled_ee_hw },
 {  31091, ur_m88_swio11_noled_ce_hw },
 {  31092, ur_m88_swio11_noled_ee_ce_hw },
 {  31093, ur_m88_swio11_noled_ee_ce_hw },
 {  31094, ur_m48p_swio11_lednop },
 {  31095, ur_m48p_swio11_lednop_pr },
 {  31096, ur_m48p_swio11_lednop_pr_u4 },
 {  31097, ur_m88_swio11_lednop_pr_ee },
 {  31098, ur_m88_swio11_lednop_pr_ee_u4 },
 {  31099, ur_m88_swio11_lednop_pr_ce },
 {  31100, ur_m88_swio11_lednop_pr_ce_u4 },
 {  31101, ur_m88_swio11_lednop_pr_ee_ce },
 {  31102, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  31103, ur_m88_swio11_lednop_hw },
 {  31104, ur_m88_swio11_lednop_ee_hw },
 {  31105, ur_m88_swio11_lednop_ce_hw },
 {  31106, ur_m88_swio11_lednop_ee_ce_hw },
 {  31107, ur_m88_swio11_lednop_ee_ce_hw },
 {  31108, ur_m88_swio11_dual },
 {  31109, ur_m88_swio11_dual },
 {  31110, ur_m88_swio11_dual_pr_u4 },
 {  31111, ur_m88_swio11_dual_pr_ee },
 {  31112, ur_m88_swio11_dual_pr_ee_u4 },
 {  31113, ur_m88_swio11_dual_pr_ce },
 {  31114, ur_m88_swio11_dual_pr_ce_u4 },
 {  31115, ur_m88_swio11_dual_pr_ee_ce },
 {  31116, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  31117, ur_m88_swio11_dual_hw },
 {  31118, ur_m88_swio11_dual_ee_hw },
 {  31119, ur_m88_swio11_dual_ce_hw },
 {  31120, ur_m88_swio11_dual_ee_ce_hw },
 {  31121, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  31122, ur_m48p_swio13_noled },
 {  31123, ur_m48p_swio13_noled },
 {  31124, ur_m48p_swio13_noled_pr_u4 },
 {  31125, ur_m88_swio13_noled_pr_ee },
 {  31126, ur_m88_swio13_noled_pr_ee_u4 },
 {  31127, ur_m88_swio13_noled_pr_ce },
 {  31128, ur_m88_swio13_noled_pr_ce_u4 },
 {  31129, ur_m88_swio13_noled_pr_ee_ce },
 {  31130, ur_m88_swio13_noled_pr_ee_ce_u4 },
 {  31131, ur_m88_swio13_noled_hw },
 {  31132, ur_m88_swio13_noled_ee_hw },
 {  31133, ur_m88_swio13_noled_ce_hw },
 {  31134, ur_m88_swio13_noled_ee_ce_hw },
 {  31135, ur_m88_swio13_noled_ee_ce_hw },
 {  31136, ur_m48p_swio13_lednop },
 {  31137, ur_m48p_swio13_lednop_pr },
 {  31138, ur_m48p_swio13_lednop_pr_u4 },
 {  31139, ur_m88_swio13_lednop_pr_ee },
 {  31140, ur_m88_swio13_lednop_pr_ee_u4 },
 {  31141, ur_m88_swio13_lednop_pr_ce },
 {  31142, ur_m88_swio13_lednop_pr_ce_u4 },
 {  31143, ur_m88_swio13_lednop_pr_ee_ce },
 {  31144, ur_m88_swio13_lednop_pr_ee_ce_u4 },
 {  31145, ur_m88_swio13_lednop_hw },
 {  31146, ur_m88_swio13_lednop_ee_hw },
 {  31147, ur_m88_swio13_lednop_ce_hw },
 {  31148, ur_m88_swio13_lednop_ee_ce_hw },
 {  31149, ur_m88_swio13_lednop_ee_ce_hw },
 {  31150, ur_m88_swio13_dual },
 {  31151, ur_m88_swio13_dual },
 {  31152, ur_m88_swio13_dual_pr_u4 },
 {  31153, ur_m88_swio13_dual_pr_ee },
 {  31154, ur_m88_swio13_dual_pr_ee_u4 },
 {  31155, ur_m88_swio13_dual_pr_ce },
 {  31156, ur_m88_swio13_dual_pr_ce_u4 },
 {  31157, ur_m88_swio13_dual_pr_ee_ce },
 {  31158, ur_m88_swio13_dual_pr_ee_ce_u4 },
 {  31159, ur_m88_swio13_dual_hw },
 {  31160, ur_m88_swio13_dual_ee_hw },
 {  31161, ur_m88_swio13_dual_ce_hw },
 {  31162, ur_m88_swio13_dual_ee_ce_hw },
 {  31163, ur_m88_swio13_dual_ee_ce_u4_hw },
 {  31164, ur_m48p_swio14_noled },
 {  31165, ur_m48p_swio14_noled },
 {  31166, ur_m48p_swio14_noled_pr_u4 },
 {  31167, ur_m88_swio14_noled_pr_ee },
 {  31168, ur_m88_swio14_noled_pr_ee_u4 },
 {  31169, ur_m88_swio14_noled_pr_ce },
 {  31170, ur_m88_swio14_noled_pr_ce_u4 },
 {  31171, ur_m88_swio14_noled_pr_ee_ce },
 {  31172, ur_m88_swio14_noled_pr_ee_ce_u4 },
 {  31173, ur_m88_swio14_noled_hw },
 {  31174, ur_m88_swio14_noled_ee_hw },
 {  31175, ur_m88_swio14_noled_ce_hw },
 {  31176, ur_m88_swio14_noled_ee_ce_hw },
 {  31177, ur_m88_swio14_noled_ee_ce_hw },
 {  31178, ur_m48p_swio14_lednop },
 {  31179, ur_m48p_swio14_lednop_pr },
 {  31180, ur_m48p_swio14_lednop_pr_u4 },
 {  31181, ur_m88_swio14_lednop_pr_ee },
 {  31182, ur_m88_swio14_lednop_pr_ee_u4 },
 {  31183, ur_m88_swio14_lednop_pr_ce },
 {  31184, ur_m88_swio14_lednop_pr_ce_u4 },
 {  31185, ur_m88_swio14_lednop_pr_ee_ce },
 {  31186, ur_m88_swio14_lednop_pr_ee_ce_u4 },
 {  31187, ur_m88_swio14_lednop_hw },
 {  31188, ur_m88_swio14_lednop_ee_hw },
 {  31189, ur_m88_swio14_lednop_ce_hw },
 {  31190, ur_m88_swio14_lednop_ee_ce_hw },
 {  31191, ur_m88_swio14_lednop_ee_ce_hw },
 {  31192, ur_m88_swio14_dual },
 {  31193, ur_m88_swio14_dual },
 {  31194, ur_m88_swio14_dual_pr_u4 },
 {  31195, ur_m88_swio14_dual_pr_ee },
 {  31196, ur_m88_swio14_dual_pr_ee_u4 },
 {  31197, ur_m88_swio14_dual_pr_ce },
 {  31198, ur_m88_swio14_dual_pr_ce_u4 },
 {  31199, ur_m88_swio14_dual_pr_ee_ce },
 {  31200, ur_m88_swio14_dual_pr_ee_ce_u4 },
 {  31201, ur_m88_swio14_dual_hw },
 {  31202, ur_m88_swio14_dual_ee_hw },
 {  31203, ur_m88_swio14_dual_ce_hw },
 {  31204, ur_m88_swio14_dual_ee_ce_hw },
 {  31205, ur_m88_swio14_dual_ee_ce_u4_hw },
 {  31206, ur_m48p_swio15_noled },
 {  31207, ur_m48p_swio15_noled },
 {  31208, ur_m48p_swio15_noled_pr_u4 },
 {  31209, ur_m88_swio15_noled_pr_ee },
 {  31210, ur_m88_swio15_noled_pr_ee_u4 },
 {  31211, ur_m88_swio15_noled_pr_ce },
 {  31212, ur_m88_swio15_noled_pr_ce_u4 },
 {  31213, ur_m88_swio15_noled_pr_ee_ce },
 {  31214, ur_m88_swio15_noled_pr_ee_ce_u4 },
 {  31215, ur_m88_swio15_noled_hw },
 {  31216, ur_m88_swio15_noled_ee_hw },
 {  31217, ur_m88_swio15_noled_ce_hw },
 {  31218, ur_m88_swio15_noled_ee_ce_hw },
 {  31219, ur_m88_swio15_noled_ee_ce_hw },
 {  31220, ur_m48p_swio15_lednop },
 {  31221, ur_m48p_swio15_lednop_pr },
 {  31222, ur_m48p_swio15_lednop_pr_u4 },
 {  31223, ur_m88_swio15_lednop_pr_ee },
 {  31224, ur_m88_swio15_lednop_pr_ee_u4 },
 {  31225, ur_m88_swio15_lednop_pr_ce },
 {  31226, ur_m88_swio15_lednop_pr_ce_u4 },
 {  31227, ur_m88_swio15_lednop_pr_ee_ce },
 {  31228, ur_m88_swio15_lednop_pr_ee_ce_u4 },
 {  31229, ur_m88_swio15_lednop_hw },
 {  31230, ur_m88_swio15_lednop_ee_hw },
 {  31231, ur_m88_swio15_lednop_ce_hw },
 {  31232, ur_m88_swio15_lednop_ee_ce_hw },
 {  31233, ur_m88_swio15_lednop_ee_ce_hw },
 {  31234, ur_m88_swio15_dual },
 {  31235, ur_m88_swio15_dual },
 {  31236, ur_m88_swio15_dual_pr_u4 },
 {  31237, ur_m88_swio15_dual_pr_ee },
 {  31238, ur_m88_swio15_dual_pr_ee_u4 },
 {  31239, ur_m88_swio15_dual_pr_ce },
 {  31240, ur_m88_swio15_dual_pr_ce_u4 },
 {  31241, ur_m88_swio15_dual_pr_ee_ce },
 {  31242, ur_m88_swio15_dual_pr_ee_ce_u4 },
 {  31243, ur_m88_swio15_dual_hw },
 {  31244, ur_m88_swio15_dual_ee_hw },
 {  31245, ur_m88_swio15_dual_ce_hw },
 {  31246, ur_m88_swio15_dual_ee_ce_hw },
 {  31247, ur_m88_swio15_dual_ee_ce_u4_hw },
 {  31248, ur_m48p_autobaud_uart0_noled },
 {  31249, ur_m48p_autobaud_uart0_noled },
 {  31250, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  31251, ur_m88_autobaud_uart0_noled_pr_ee },
 {  31252, ur_m88_autobaud_uart0_noled_pr_ee_u4 },
 {  31253, ur_m88_autobaud_uart0_noled_pr_ce },
 {  31254, ur_m88_autobaud_uart0_noled_pr_ce_u4 },
 {  31255, ur_m88_autobaud_uart0_noled_pr_ee_ce },
 {  31256, ur_m88_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  31257, ur_m88_autobaud_uart0_noled_hw },
 {  31258, ur_m88_autobaud_uart0_noled_ee_hw },
 {  31259, ur_m88_autobaud_uart0_noled_ce_hw },
 {  31260, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  31261, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  31262, ur_m48p_autobaud_uart0_lednop },
 {  31263, ur_m48p_autobaud_uart0_lednop },
 {  31264, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  31265, ur_m88_autobaud_uart0_lednop_pr_ee },
 {  31266, ur_m88_autobaud_uart0_lednop_pr_ee_u4 },
 {  31267, ur_m88_autobaud_uart0_lednop_pr_ce },
 {  31268, ur_m88_autobaud_uart0_lednop_pr_ce_u4 },
 {  31269, ur_m88_autobaud_uart0_lednop_pr_ee_ce },
 {  31270, ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  31271, ur_m88_autobaud_uart0_lednop_hw },
 {  31272, ur_m88_autobaud_uart0_lednop_ee_hw },
 {  31273, ur_m88_autobaud_uart0_lednop_ce_hw },
 {  31274, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  31275, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  31276, ur_m88_autobaud_uart0_dual },
 {  31277, ur_m88_autobaud_uart0_dual_pr },
 {  31278, ur_m88_autobaud_uart0_dual_pr_u4 },
 {  31279, ur_m88_autobaud_uart0_dual_pr_ee },
 {  31280, ur_m88_autobaud_uart0_dual_pr_ee_u4 },
 {  31281, ur_m88_autobaud_uart0_dual_pr_ce },
 {  31282, ur_m88_autobaud_uart0_dual_pr_ce_u4 },
 {  31283, ur_m88_autobaud_uart0_dual_pr_ee_ce },
 {  31284, ur_m88_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  31285, ur_m88_autobaud_uart0_dual_hw },
 {  31286, ur_m88_autobaud_uart0_dual_ee_hw },
 {  31287, ur_m88_autobaud_uart0_dual_ce_hw },
 {  31288, ur_m88_autobaud_uart0_dual_ee_ce_hw },
 {  31289, ur_m88_autobaud_uart0_dual_ee_ce_u4_hw },
 {  31458, ur_m48p_u1x8_uart0_noled },
 {  31459, ur_m48p_u1x8_uart0_noled },
 {  31460, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  31461, ur_m88_u1x8_uart0_noled_pr_ee },
 {  31462, ur_m88_u1x8_uart0_noled_pr_ee_u4 },
 {  31463, ur_m88_u1x8_uart0_noled_pr_ce },
 {  31464, ur_m88_u1x8_uart0_noled_pr_ce_u4 },
 {  31465, ur_m88_u1x8_uart0_noled_pr_ee_ce },
 {  31466, ur_m88_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  31467, ur_m88_u1x8_uart0_noled_hw },
 {  31468, ur_m88_u1x8_uart0_noled_ee_hw },
 {  31469, ur_m88_u1x8_uart0_noled_ce_hw },
 {  31470, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  31471, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  31472, ur_m48p_u1x8_uart0_lednop },
 {  31473, ur_m48p_u1x8_uart0_lednop },
 {  31474, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  31475, ur_m88_u1x8_uart0_lednop_pr_ee },
 {  31476, ur_m88_u1x8_uart0_lednop_pr_ee_u4 },
 {  31477, ur_m88_u1x8_uart0_lednop_pr_ce },
 {  31478, ur_m88_u1x8_uart0_lednop_pr_ce_u4 },
 {  31479, ur_m88_u1x8_uart0_lednop_pr_ee_ce },
 {  31480, ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  31481, ur_m88_u1x8_uart0_lednop_hw },
 {  31482, ur_m88_u1x8_uart0_lednop_ee_hw },
 {  31483, ur_m88_u1x8_uart0_lednop_ce_hw },
 {  31484, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  31485, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  31486, ur_m88_u1x8_uart0_dual },
 {  31487, ur_m88_u1x8_uart0_dual },
 {  31488, ur_m88_u1x8_uart0_dual_pr_u4 },
 {  31489, ur_m88_u1x8_uart0_dual_pr_ee },
 {  31490, ur_m88_u1x8_uart0_dual_pr_ee_u4 },
 {  31491, ur_m88_u1x8_uart0_dual_pr_ce },
 {  31492, ur_m88_u1x8_uart0_dual_pr_ce_u4 },
 {  31493, ur_m88_u1x8_uart0_dual_pr_ee_ce },
 {  31494, ur_m88_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  31495, ur_m88_u1x8_uart0_dual_hw },
 {  31496, ur_m88_u1x8_uart0_dual_ee_hw },
 {  31497, ur_m88_u1x8_uart0_dual_ce_hw },
 {  31498, ur_m88_u1x8_uart0_dual_ee_ce_hw },
 {  31499, ur_m88_u1x8_uart0_dual_ee_ce_u4_hw },
 {  31668, ur_m48p_u1x12_uart0_noled },
 {  31669, ur_m48p_u1x12_uart0_noled },
 {  31670, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  31671, ur_m88_u1x12_uart0_noled_pr_ee },
 {  31672, ur_m88_u1x12_uart0_noled_pr_ee_u4 },
 {  31673, ur_m88_u1x12_uart0_noled_pr_ce },
 {  31674, ur_m88_u1x12_uart0_noled_pr_ce_u4 },
 {  31675, ur_m88_u1x12_uart0_noled_pr_ee_ce },
 {  31676, ur_m88_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  31677, ur_m88_u1x12_uart0_noled_hw },
 {  31678, ur_m88_u1x12_uart0_noled_ee_hw },
 {  31679, ur_m88_u1x12_uart0_noled_ce_hw },
 {  31680, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  31681, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  31682, ur_m48p_u1x12_uart0_lednop },
 {  31683, ur_m48p_u1x12_uart0_lednop },
 {  31684, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  31685, ur_m88_u1x12_uart0_lednop_pr_ee },
 {  31686, ur_m88_u1x12_uart0_lednop_pr_ee_u4 },
 {  31687, ur_m88_u1x12_uart0_lednop_pr_ce },
 {  31688, ur_m88_u1x12_uart0_lednop_pr_ce_u4 },
 {  31689, ur_m88_u1x12_uart0_lednop_pr_ee_ce },
 {  31690, ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  31691, ur_m88_u1x12_uart0_lednop_hw },
 {  31692, ur_m88_u1x12_uart0_lednop_ee_hw },
 {  31693, ur_m88_u1x12_uart0_lednop_ce_hw },
 {  31694, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  31695, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  31696, ur_m88_u1x12_uart0_dual },
 {  31697, ur_m88_u1x12_uart0_dual },
 {  31698, ur_m88_u1x12_uart0_dual_pr_u4 },
 {  31699, ur_m88_u1x12_uart0_dual_pr_ee },
 {  31700, ur_m88_u1x12_uart0_dual_pr_ee_u4 },
 {  31701, ur_m88_u1x12_uart0_dual_pr_ce },
 {  31702, ur_m88_u1x12_uart0_dual_pr_ce_u4 },
 {  31703, ur_m88_u1x12_uart0_dual_pr_ee_ce },
 {  31704, ur_m88_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  31705, ur_m88_u1x12_uart0_dual_hw },
 {  31706, ur_m88_u1x12_uart0_dual_ee_hw },
 {  31707, ur_m88_u1x12_uart0_dual_ce_hw },
 {  31708, ur_m88_u1x12_uart0_dual_ee_ce_hw },
 {  31709, ur_m88_u1x12_uart0_dual_ee_ce_u4_hw },
 {  31878, ur_m48p_u2x8_uart0_noled },
 {  31879, ur_m48p_u2x8_uart0_noled },
 {  31880, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  31881, ur_m88_u2x8_uart0_noled_pr_ee },
 {  31882, ur_m88_u2x8_uart0_noled_pr_ee_u4 },
 {  31883, ur_m88_u2x8_uart0_noled_pr_ce },
 {  31884, ur_m88_u2x8_uart0_noled_pr_ce_u4 },
 {  31885, ur_m88_u2x8_uart0_noled_pr_ee_ce },
 {  31886, ur_m88_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  31887, ur_m88_u2x8_uart0_noled_hw },
 {  31888, ur_m88_u2x8_uart0_noled_ee_hw },
 {  31889, ur_m88_u2x8_uart0_noled_ce_hw },
 {  31890, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  31891, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  31892, ur_m48p_u2x8_uart0_lednop },
 {  31893, ur_m48p_u2x8_uart0_lednop },
 {  31894, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  31895, ur_m88_u2x8_uart0_lednop_pr_ee },
 {  31896, ur_m88_u2x8_uart0_lednop_pr_ee_u4 },
 {  31897, ur_m88_u2x8_uart0_lednop_pr_ce },
 {  31898, ur_m88_u2x8_uart0_lednop_pr_ce_u4 },
 {  31899, ur_m88_u2x8_uart0_lednop_pr_ee_ce },
 {  31900, ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  31901, ur_m88_u2x8_uart0_lednop_hw },
 {  31902, ur_m88_u2x8_uart0_lednop_ee_hw },
 {  31903, ur_m88_u2x8_uart0_lednop_ce_hw },
 {  31904, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  31905, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  31906, ur_m88_u2x8_uart0_dual },
 {  31907, ur_m88_u2x8_uart0_dual },
 {  31908, ur_m88_u2x8_uart0_dual_pr_u4 },
 {  31909, ur_m88_u2x8_uart0_dual_pr_ee },
 {  31910, ur_m88_u2x8_uart0_dual_pr_ee_u4 },
 {  31911, ur_m88_u2x8_uart0_dual_pr_ce },
 {  31912, ur_m88_u2x8_uart0_dual_pr_ce_u4 },
 {  31913, ur_m88_u2x8_uart0_dual_pr_ee_ce },
 {  31914, ur_m88_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  31915, ur_m88_u2x8_uart0_dual_hw },
 {  31916, ur_m88_u2x8_uart0_dual_ee_hw },
 {  31917, ur_m88_u2x8_uart0_dual_ce_hw },
 {  31918, ur_m88_u2x8_uart0_dual_ee_ce_hw },
 {  31919, ur_m88_u2x8_uart0_dual_ee_ce_u4_hw },
 {  32088, ur_m48p_u2x12_uart0_noled },
 {  32089, ur_m48p_u2x12_uart0_noled },
 {  32090, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  32091, ur_m88_u2x12_uart0_noled_pr_ee },
 {  32092, ur_m88_u2x12_uart0_noled_pr_ee_u4 },
 {  32093, ur_m88_u2x12_uart0_noled_pr_ce },
 {  32094, ur_m88_u2x12_uart0_noled_pr_ce_u4 },
 {  32095, ur_m88_u2x12_uart0_noled_pr_ee_ce },
 {  32096, ur_m88_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  32097, ur_m88_u2x12_uart0_noled_hw },
 {  32098, ur_m88_u2x12_uart0_noled_ee_hw },
 {  32099, ur_m88_u2x12_uart0_noled_ce_hw },
 {  32100, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  32101, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  32102, ur_m48p_u2x12_uart0_lednop },
 {  32103, ur_m48p_u2x12_uart0_lednop },
 {  32104, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  32105, ur_m88_u2x12_uart0_lednop_pr_ee },
 {  32106, ur_m88_u2x12_uart0_lednop_pr_ee_u4 },
 {  32107, ur_m88_u2x12_uart0_lednop_pr_ce },
 {  32108, ur_m88_u2x12_uart0_lednop_pr_ce_u4 },
 {  32109, ur_m88_u2x12_uart0_lednop_pr_ee_ce },
 {  32110, ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  32111, ur_m88_u2x12_uart0_lednop_hw },
 {  32112, ur_m88_u2x12_uart0_lednop_ee_hw },
 {  32113, ur_m88_u2x12_uart0_lednop_ce_hw },
 {  32114, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  32115, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  32116, ur_m88_u2x12_uart0_dual },
 {  32117, ur_m88_u2x12_uart0_dual_pr },
 {  32118, ur_m88_u2x12_uart0_dual_pr_u4 },
 {  32119, ur_m88_u2x12_uart0_dual_pr_ee },
 {  32120, ur_m88_u2x12_uart0_dual_pr_ee_u4 },
 {  32121, ur_m88_u2x12_uart0_dual_pr_ce },
 {  32122, ur_m88_u2x12_uart0_dual_pr_ce_u4 },
 {  32123, ur_m88_u2x12_uart0_dual_pr_ee_ce },
 {  32124, ur_m88_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  32125, ur_m88_u2x12_uart0_dual_hw },
 {  32126, ur_m88_u2x12_uart0_dual_ee_hw },
 {  32127, ur_m88_u2x12_uart0_dual_ce_hw },
 {  32128, ur_m88_u2x12_uart0_dual_ee_ce_hw },
 {  32129, ur_m88_u2x12_uart0_dual_ee_ce_u4_hw },
 {  32298, ur_m48p_swio10_noled },
 {  32299, ur_m48p_swio10_noled },
 {  32300, ur_m48p_swio10_noled_pr_u4 },
 {  32301, ur_m88_swio10_noled_pr_ee },
 {  32302, ur_m88_swio10_noled_pr_ee_u4 },
 {  32303, ur_m88_swio10_noled_pr_ce },
 {  32304, ur_m88_swio10_noled_pr_ce_u4 },
 {  32305, ur_m88_swio10_noled_pr_ee_ce },
 {  32306, ur_m88_swio10_noled_pr_ee_ce_u4 },
 {  32307, ur_m88_swio10_noled_hw },
 {  32308, ur_m88_swio10_noled_ee_hw },
 {  32309, ur_m88_swio10_noled_ce_hw },
 {  32310, ur_m88_swio10_noled_ee_ce_hw },
 {  32311, ur_m88_swio10_noled_ee_ce_hw },
 {  32312, ur_m48p_swio10_lednop },
 {  32313, ur_m48p_swio10_lednop_pr },
 {  32314, ur_m48p_swio10_lednop_pr_u4 },
 {  32315, ur_m88_swio10_lednop_pr_ee },
 {  32316, ur_m88_swio10_lednop_pr_ee_u4 },
 {  32317, ur_m88_swio10_lednop_pr_ce },
 {  32318, ur_m88_swio10_lednop_pr_ce_u4 },
 {  32319, ur_m88_swio10_lednop_pr_ee_ce },
 {  32320, ur_m88_swio10_lednop_pr_ee_ce_u4 },
 {  32321, ur_m88_swio10_lednop_hw },
 {  32322, ur_m88_swio10_lednop_ee_hw },
 {  32323, ur_m88_swio10_lednop_ce_hw },
 {  32324, ur_m88_swio10_lednop_ee_ce_hw },
 {  32325, ur_m88_swio10_lednop_ee_ce_hw },
 {  32326, ur_m88_swio10_dual },
 {  32327, ur_m88_swio10_dual },
 {  32328, ur_m88_swio10_dual_pr_u4 },
 {  32329, ur_m88_swio10_dual_pr_ee },
 {  32330, ur_m88_swio10_dual_pr_ee_u4 },
 {  32331, ur_m88_swio10_dual_pr_ce },
 {  32332, ur_m88_swio10_dual_pr_ce_u4 },
 {  32333, ur_m88_swio10_dual_pr_ee_ce },
 {  32334, ur_m88_swio10_dual_pr_ee_ce_u4 },
 {  32335, ur_m88_swio10_dual_hw },
 {  32336, ur_m88_swio10_dual_ee_hw },
 {  32337, ur_m88_swio10_dual_ce_hw },
 {  32338, ur_m88_swio10_dual_ee_ce_hw },
 {  32339, ur_m88_swio10_dual_ee_ce_u4_hw },
 {  32340, ur_m48p_swio11_noled },
 {  32341, ur_m48p_swio11_noled },
 {  32342, ur_m48p_swio11_noled_pr_u4 },
 {  32343, ur_m88_swio11_noled_pr_ee },
 {  32344, ur_m88_swio11_noled_pr_ee_u4 },
 {  32345, ur_m88_swio11_noled_pr_ce },
 {  32346, ur_m88_swio11_noled_pr_ce_u4 },
 {  32347, ur_m88_swio11_noled_pr_ee_ce },
 {  32348, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  32349, ur_m88_swio11_noled_hw },
 {  32350, ur_m88_swio11_noled_ee_hw },
 {  32351, ur_m88_swio11_noled_ce_hw },
 {  32352, ur_m88_swio11_noled_ee_ce_hw },
 {  32353, ur_m88_swio11_noled_ee_ce_hw },
 {  32354, ur_m48p_swio11_lednop },
 {  32355, ur_m48p_swio11_lednop_pr },
 {  32356, ur_m48p_swio11_lednop_pr_u4 },
 {  32357, ur_m88_swio11_lednop_pr_ee },
 {  32358, ur_m88_swio11_lednop_pr_ee_u4 },
 {  32359, ur_m88_swio11_lednop_pr_ce },
 {  32360, ur_m88_swio11_lednop_pr_ce_u4 },
 {  32361, ur_m88_swio11_lednop_pr_ee_ce },
 {  32362, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  32363, ur_m88_swio11_lednop_hw },
 {  32364, ur_m88_swio11_lednop_ee_hw },
 {  32365, ur_m88_swio11_lednop_ce_hw },
 {  32366, ur_m88_swio11_lednop_ee_ce_hw },
 {  32367, ur_m88_swio11_lednop_ee_ce_hw },
 {  32368, ur_m88_swio11_dual },
 {  32369, ur_m88_swio11_dual },
 {  32370, ur_m88_swio11_dual_pr_u4 },
 {  32371, ur_m88_swio11_dual_pr_ee },
 {  32372, ur_m88_swio11_dual_pr_ee_u4 },
 {  32373, ur_m88_swio11_dual_pr_ce },
 {  32374, ur_m88_swio11_dual_pr_ce_u4 },
 {  32375, ur_m88_swio11_dual_pr_ee_ce },
 {  32376, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  32377, ur_m88_swio11_dual_hw },
 {  32378, ur_m88_swio11_dual_ee_hw },
 {  32379, ur_m88_swio11_dual_ce_hw },
 {  32380, ur_m88_swio11_dual_ee_ce_hw },
 {  32381, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  32382, ur_m48p_swio11_noled },
 {  32383, ur_m48p_swio11_noled },
 {  32384, ur_m48p_swio11_noled_pr_u4 },
 {  32385, ur_m88_swio11_noled_pr_ee },
 {  32386, ur_m88_swio11_noled_pr_ee_u4 },
 {  32387, ur_m88_swio11_noled_pr_ce },
 {  32388, ur_m88_swio11_noled_pr_ce_u4 },
 {  32389, ur_m88_swio11_noled_pr_ee_ce },
 {  32390, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  32391, ur_m88_swio11_noled_hw },
 {  32392, ur_m88_swio11_noled_ee_hw },
 {  32393, ur_m88_swio11_noled_ce_hw },
 {  32394, ur_m88_swio11_noled_ee_ce_hw },
 {  32395, ur_m88_swio11_noled_ee_ce_hw },
 {  32396, ur_m48p_swio11_lednop },
 {  32397, ur_m48p_swio11_lednop_pr },
 {  32398, ur_m48p_swio11_lednop_pr_u4 },
 {  32399, ur_m88_swio11_lednop_pr_ee },
 {  32400, ur_m88_swio11_lednop_pr_ee_u4 },
 {  32401, ur_m88_swio11_lednop_pr_ce },
 {  32402, ur_m88_swio11_lednop_pr_ce_u4 },
 {  32403, ur_m88_swio11_lednop_pr_ee_ce },
 {  32404, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  32405, ur_m88_swio11_lednop_hw },
 {  32406, ur_m88_swio11_lednop_ee_hw },
 {  32407, ur_m88_swio11_lednop_ce_hw },
 {  32408, ur_m88_swio11_lednop_ee_ce_hw },
 {  32409, ur_m88_swio11_lednop_ee_ce_hw },
 {  32410, ur_m88_swio11_dual },
 {  32411, ur_m88_swio11_dual },
 {  32412, ur_m88_swio11_dual_pr_u4 },
 {  32413, ur_m88_swio11_dual_pr_ee },
 {  32414, ur_m88_swio11_dual_pr_ee_u4 },
 {  32415, ur_m88_swio11_dual_pr_ce },
 {  32416, ur_m88_swio11_dual_pr_ce_u4 },
 {  32417, ur_m88_swio11_dual_pr_ee_ce },
 {  32418, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  32419, ur_m88_swio11_dual_hw },
 {  32420, ur_m88_swio11_dual_ee_hw },
 {  32421, ur_m88_swio11_dual_ce_hw },
 {  32422, ur_m88_swio11_dual_ee_ce_hw },
 {  32423, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  32424, ur_m48p_swio13_noled },
 {  32425, ur_m48p_swio13_noled },
 {  32426, ur_m48p_swio13_noled_pr_u4 },
 {  32427, ur_m88_swio13_noled_pr_ee },
 {  32428, ur_m88_swio13_noled_pr_ee_u4 },
 {  32429, ur_m88_swio13_noled_pr_ce },
 {  32430, ur_m88_swio13_noled_pr_ce_u4 },
 {  32431, ur_m88_swio13_noled_pr_ee_ce },
 {  32432, ur_m88_swio13_noled_pr_ee_ce_u4 },
 {  32433, ur_m88_swio13_noled_hw },
 {  32434, ur_m88_swio13_noled_ee_hw },
 {  32435, ur_m88_swio13_noled_ce_hw },
 {  32436, ur_m88_swio13_noled_ee_ce_hw },
 {  32437, ur_m88_swio13_noled_ee_ce_hw },
 {  32438, ur_m48p_swio13_lednop },
 {  32439, ur_m48p_swio13_lednop_pr },
 {  32440, ur_m48p_swio13_lednop_pr_u4 },
 {  32441, ur_m88_swio13_lednop_pr_ee },
 {  32442, ur_m88_swio13_lednop_pr_ee_u4 },
 {  32443, ur_m88_swio13_lednop_pr_ce },
 {  32444, ur_m88_swio13_lednop_pr_ce_u4 },
 {  32445, ur_m88_swio13_lednop_pr_ee_ce },
 {  32446, ur_m88_swio13_lednop_pr_ee_ce_u4 },
 {  32447, ur_m88_swio13_lednop_hw },
 {  32448, ur_m88_swio13_lednop_ee_hw },
 {  32449, ur_m88_swio13_lednop_ce_hw },
 {  32450, ur_m88_swio13_lednop_ee_ce_hw },
 {  32451, ur_m88_swio13_lednop_ee_ce_hw },
 {  32452, ur_m88_swio13_dual },
 {  32453, ur_m88_swio13_dual },
 {  32454, ur_m88_swio13_dual_pr_u4 },
 {  32455, ur_m88_swio13_dual_pr_ee },
 {  32456, ur_m88_swio13_dual_pr_ee_u4 },
 {  32457, ur_m88_swio13_dual_pr_ce },
 {  32458, ur_m88_swio13_dual_pr_ce_u4 },
 {  32459, ur_m88_swio13_dual_pr_ee_ce },
 {  32460, ur_m88_swio13_dual_pr_ee_ce_u4 },
 {  32461, ur_m88_swio13_dual_hw },
 {  32462, ur_m88_swio13_dual_ee_hw },
 {  32463, ur_m88_swio13_dual_ce_hw },
 {  32464, ur_m88_swio13_dual_ee_ce_hw },
 {  32465, ur_m88_swio13_dual_ee_ce_u4_hw },
 {  32466, ur_m48p_swio14_noled },
 {  32467, ur_m48p_swio14_noled },
 {  32468, ur_m48p_swio14_noled_pr_u4 },
 {  32469, ur_m88_swio14_noled_pr_ee },
 {  32470, ur_m88_swio14_noled_pr_ee_u4 },
 {  32471, ur_m88_swio14_noled_pr_ce },
 {  32472, ur_m88_swio14_noled_pr_ce_u4 },
 {  32473, ur_m88_swio14_noled_pr_ee_ce },
 {  32474, ur_m88_swio14_noled_pr_ee_ce_u4 },
 {  32475, ur_m88_swio14_noled_hw },
 {  32476, ur_m88_swio14_noled_ee_hw },
 {  32477, ur_m88_swio14_noled_ce_hw },
 {  32478, ur_m88_swio14_noled_ee_ce_hw },
 {  32479, ur_m88_swio14_noled_ee_ce_hw },
 {  32480, ur_m48p_swio14_lednop },
 {  32481, ur_m48p_swio14_lednop_pr },
 {  32482, ur_m48p_swio14_lednop_pr_u4 },
 {  32483, ur_m88_swio14_lednop_pr_ee },
 {  32484, ur_m88_swio14_lednop_pr_ee_u4 },
 {  32485, ur_m88_swio14_lednop_pr_ce },
 {  32486, ur_m88_swio14_lednop_pr_ce_u4 },
 {  32487, ur_m88_swio14_lednop_pr_ee_ce },
 {  32488, ur_m88_swio14_lednop_pr_ee_ce_u4 },
 {  32489, ur_m88_swio14_lednop_hw },
 {  32490, ur_m88_swio14_lednop_ee_hw },
 {  32491, ur_m88_swio14_lednop_ce_hw },
 {  32492, ur_m88_swio14_lednop_ee_ce_hw },
 {  32493, ur_m88_swio14_lednop_ee_ce_hw },
 {  32494, ur_m88_swio14_dual },
 {  32495, ur_m88_swio14_dual },
 {  32496, ur_m88_swio14_dual_pr_u4 },
 {  32497, ur_m88_swio14_dual_pr_ee },
 {  32498, ur_m88_swio14_dual_pr_ee_u4 },
 {  32499, ur_m88_swio14_dual_pr_ce },
 {  32500, ur_m88_swio14_dual_pr_ce_u4 },
 {  32501, ur_m88_swio14_dual_pr_ee_ce },
 {  32502, ur_m88_swio14_dual_pr_ee_ce_u4 },
 {  32503, ur_m88_swio14_dual_hw },
 {  32504, ur_m88_swio14_dual_ee_hw },
 {  32505, ur_m88_swio14_dual_ce_hw },
 {  32506, ur_m88_swio14_dual_ee_ce_hw },
 {  32507, ur_m88_swio14_dual_ee_ce_u4_hw },
 {  32508, ur_m48p_swio15_noled },
 {  32509, ur_m48p_swio15_noled },
 {  32510, ur_m48p_swio15_noled_pr_u4 },
 {  32511, ur_m88_swio15_noled_pr_ee },
 {  32512, ur_m88_swio15_noled_pr_ee_u4 },
 {  32513, ur_m88_swio15_noled_pr_ce },
 {  32514, ur_m88_swio15_noled_pr_ce_u4 },
 {  32515, ur_m88_swio15_noled_pr_ee_ce },
 {  32516, ur_m88_swio15_noled_pr_ee_ce_u4 },
 {  32517, ur_m88_swio15_noled_hw },
 {  32518, ur_m88_swio15_noled_ee_hw },
 {  32519, ur_m88_swio15_noled_ce_hw },
 {  32520, ur_m88_swio15_noled_ee_ce_hw },
 {  32521, ur_m88_swio15_noled_ee_ce_hw },
 {  32522, ur_m48p_swio15_lednop },
 {  32523, ur_m48p_swio15_lednop_pr },
 {  32524, ur_m48p_swio15_lednop_pr_u4 },
 {  32525, ur_m88_swio15_lednop_pr_ee },
 {  32526, ur_m88_swio15_lednop_pr_ee_u4 },
 {  32527, ur_m88_swio15_lednop_pr_ce },
 {  32528, ur_m88_swio15_lednop_pr_ce_u4 },
 {  32529, ur_m88_swio15_lednop_pr_ee_ce },
 {  32530, ur_m88_swio15_lednop_pr_ee_ce_u4 },
 {  32531, ur_m88_swio15_lednop_hw },
 {  32532, ur_m88_swio15_lednop_ee_hw },
 {  32533, ur_m88_swio15_lednop_ce_hw },
 {  32534, ur_m88_swio15_lednop_ee_ce_hw },
 {  32535, ur_m88_swio15_lednop_ee_ce_hw },
 {  32536, ur_m88_swio15_dual },
 {  32537, ur_m88_swio15_dual },
 {  32538, ur_m88_swio15_dual_pr_u4 },
 {  32539, ur_m88_swio15_dual_pr_ee },
 {  32540, ur_m88_swio15_dual_pr_ee_u4 },
 {  32541, ur_m88_swio15_dual_pr_ce },
 {  32542, ur_m88_swio15_dual_pr_ce_u4 },
 {  32543, ur_m88_swio15_dual_pr_ee_ce },
 {  32544, ur_m88_swio15_dual_pr_ee_ce_u4 },
 {  32545, ur_m88_swio15_dual_hw },
 {  32546, ur_m88_swio15_dual_ee_hw },
 {  32547, ur_m88_swio15_dual_ce_hw },
 {  32548, ur_m88_swio15_dual_ee_ce_hw },
 {  32549, ur_m88_swio15_dual_ee_ce_u4_hw },
 {  32550, ur_m48p_autobaud_uart0_noled },
 {  32551, ur_m48p_autobaud_uart0_noled },
 {  32552, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  32553, ur_m88_autobaud_uart0_noled_pr_ee },
 {  32554, ur_m88_autobaud_uart0_noled_pr_ee_u4 },
 {  32555, ur_m88_autobaud_uart0_noled_pr_ce },
 {  32556, ur_m88_autobaud_uart0_noled_pr_ce_u4 },
 {  32557, ur_m88_autobaud_uart0_noled_pr_ee_ce },
 {  32558, ur_m88_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  32559, ur_m88_autobaud_uart0_noled_hw },
 {  32560, ur_m88_autobaud_uart0_noled_ee_hw },
 {  32561, ur_m88_autobaud_uart0_noled_ce_hw },
 {  32562, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  32563, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  32564, ur_m48p_autobaud_uart0_lednop },
 {  32565, ur_m48p_autobaud_uart0_lednop },
 {  32566, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  32567, ur_m88_autobaud_uart0_lednop_pr_ee },
 {  32568, ur_m88_autobaud_uart0_lednop_pr_ee_u4 },
 {  32569, ur_m88_autobaud_uart0_lednop_pr_ce },
 {  32570, ur_m88_autobaud_uart0_lednop_pr_ce_u4 },
 {  32571, ur_m88_autobaud_uart0_lednop_pr_ee_ce },
 {  32572, ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  32573, ur_m88_autobaud_uart0_lednop_hw },
 {  32574, ur_m88_autobaud_uart0_lednop_ee_hw },
 {  32575, ur_m88_autobaud_uart0_lednop_ce_hw },
 {  32576, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  32577, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  32578, ur_m88_autobaud_uart0_dual },
 {  32579, ur_m88_autobaud_uart0_dual_pr },
 {  32580, ur_m88_autobaud_uart0_dual_pr_u4 },
 {  32581, ur_m88_autobaud_uart0_dual_pr_ee },
 {  32582, ur_m88_autobaud_uart0_dual_pr_ee_u4 },
 {  32583, ur_m88_autobaud_uart0_dual_pr_ce },
 {  32584, ur_m88_autobaud_uart0_dual_pr_ce_u4 },
 {  32585, ur_m88_autobaud_uart0_dual_pr_ee_ce },
 {  32586, ur_m88_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  32587, ur_m88_autobaud_uart0_dual_hw },
 {  32588, ur_m88_autobaud_uart0_dual_ee_hw },
 {  32589, ur_m88_autobaud_uart0_dual_ce_hw },
 {  32590, ur_m88_autobaud_uart0_dual_ee_ce_hw },
 {  32591, ur_m88_autobaud_uart0_dual_ee_ce_u4_hw },
 {  32760, ur_m48p_u1x8_uart0_noled },
 {  32761, ur_m48p_u1x8_uart0_noled },
 {  32762, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  32763, ur_m88_u1x8_uart0_noled_pr_ee },
 {  32764, ur_m88_u1x8_uart0_noled_pr_ee_u4 },
 {  32765, ur_m88_u1x8_uart0_noled_pr_ce },
 {  32766, ur_m88_u1x8_uart0_noled_pr_ce_u4 },
 {  32767, ur_m88_u1x8_uart0_noled_pr_ee_ce },
 {  32768, ur_m88_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  32769, ur_m88_u1x8_uart0_noled_hw },
 {  32770, ur_m88_u1x8_uart0_noled_ee_hw },
 {  32771, ur_m88_u1x8_uart0_noled_ce_hw },
 {  32772, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  32773, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  32774, ur_m48p_u1x8_uart0_lednop },
 {  32775, ur_m48p_u1x8_uart0_lednop },
 {  32776, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  32777, ur_m88_u1x8_uart0_lednop_pr_ee },
 {  32778, ur_m88_u1x8_uart0_lednop_pr_ee_u4 },
 {  32779, ur_m88_u1x8_uart0_lednop_pr_ce },
 {  32780, ur_m88_u1x8_uart0_lednop_pr_ce_u4 },
 {  32781, ur_m88_u1x8_uart0_lednop_pr_ee_ce },
 {  32782, ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  32783, ur_m88_u1x8_uart0_lednop_hw },
 {  32784, ur_m88_u1x8_uart0_lednop_ee_hw },
 {  32785, ur_m88_u1x8_uart0_lednop_ce_hw },
 {  32786, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  32787, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  32788, ur_m88_u1x8_uart0_dual },
 {  32789, ur_m88_u1x8_uart0_dual },
 {  32790, ur_m88_u1x8_uart0_dual_pr_u4 },
 {  32791, ur_m88_u1x8_uart0_dual_pr_ee },
 {  32792, ur_m88_u1x8_uart0_dual_pr_ee_u4 },
 {  32793, ur_m88_u1x8_uart0_dual_pr_ce },
 {  32794, ur_m88_u1x8_uart0_dual_pr_ce_u4 },
 {  32795, ur_m88_u1x8_uart0_dual_pr_ee_ce },
 {  32796, ur_m88_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  32797, ur_m88_u1x8_uart0_dual_hw },
 {  32798, ur_m88_u1x8_uart0_dual_ee_hw },
 {  32799, ur_m88_u1x8_uart0_dual_ce_hw },
 {  32800, ur_m88_u1x8_uart0_dual_ee_ce_hw },
 {  32801, ur_m88_u1x8_uart0_dual_ee_ce_u4_hw },
 {  32970, ur_m48p_u1x12_uart0_noled },
 {  32971, ur_m48p_u1x12_uart0_noled },
 {  32972, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  32973, ur_m88_u1x12_uart0_noled_pr_ee },
 {  32974, ur_m88_u1x12_uart0_noled_pr_ee_u4 },
 {  32975, ur_m88_u1x12_uart0_noled_pr_ce },
 {  32976, ur_m88_u1x12_uart0_noled_pr_ce_u4 },
 {  32977, ur_m88_u1x12_uart0_noled_pr_ee_ce },
 {  32978, ur_m88_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  32979, ur_m88_u1x12_uart0_noled_hw },
 {  32980, ur_m88_u1x12_uart0_noled_ee_hw },
 {  32981, ur_m88_u1x12_uart0_noled_ce_hw },
 {  32982, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  32983, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  32984, ur_m48p_u1x12_uart0_lednop },
 {  32985, ur_m48p_u1x12_uart0_lednop },
 {  32986, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  32987, ur_m88_u1x12_uart0_lednop_pr_ee },
 {  32988, ur_m88_u1x12_uart0_lednop_pr_ee_u4 },
 {  32989, ur_m88_u1x12_uart0_lednop_pr_ce },
 {  32990, ur_m88_u1x12_uart0_lednop_pr_ce_u4 },
 {  32991, ur_m88_u1x12_uart0_lednop_pr_ee_ce },
 {  32992, ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  32993, ur_m88_u1x12_uart0_lednop_hw },
 {  32994, ur_m88_u1x12_uart0_lednop_ee_hw },
 {  32995, ur_m88_u1x12_uart0_lednop_ce_hw },
 {  32996, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  32997, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  32998, ur_m88_u1x12_uart0_dual },
 {  32999, ur_m88_u1x12_uart0_dual },
 {  33000, ur_m88_u1x12_uart0_dual_pr_u4 },
 {  33001, ur_m88_u1x12_uart0_dual_pr_ee },
 {  33002, ur_m88_u1x12_uart0_dual_pr_ee_u4 },
 {  33003, ur_m88_u1x12_uart0_dual_pr_ce },
 {  33004, ur_m88_u1x12_uart0_dual_pr_ce_u4 },
 {  33005, ur_m88_u1x12_uart0_dual_pr_ee_ce },
 {  33006, ur_m88_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  33007, ur_m88_u1x12_uart0_dual_hw },
 {  33008, ur_m88_u1x12_uart0_dual_ee_hw },
 {  33009, ur_m88_u1x12_uart0_dual_ce_hw },
 {  33010, ur_m88_u1x12_uart0_dual_ee_ce_hw },
 {  33011, ur_m88_u1x12_uart0_dual_ee_ce_u4_hw },
 {  33180, ur_m48p_u2x8_uart0_noled },
 {  33181, ur_m48p_u2x8_uart0_noled },
 {  33182, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  33183, ur_m88_u2x8_uart0_noled_pr_ee },
 {  33184, ur_m88_u2x8_uart0_noled_pr_ee_u4 },
 {  33185, ur_m88_u2x8_uart0_noled_pr_ce },
 {  33186, ur_m88_u2x8_uart0_noled_pr_ce_u4 },
 {  33187, ur_m88_u2x8_uart0_noled_pr_ee_ce },
 {  33188, ur_m88_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  33189, ur_m88_u2x8_uart0_noled_hw },
 {  33190, ur_m88_u2x8_uart0_noled_ee_hw },
 {  33191, ur_m88_u2x8_uart0_noled_ce_hw },
 {  33192, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  33193, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  33194, ur_m48p_u2x8_uart0_lednop },
 {  33195, ur_m48p_u2x8_uart0_lednop },
 {  33196, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  33197, ur_m88_u2x8_uart0_lednop_pr_ee },
 {  33198, ur_m88_u2x8_uart0_lednop_pr_ee_u4 },
 {  33199, ur_m88_u2x8_uart0_lednop_pr_ce },
 {  33200, ur_m88_u2x8_uart0_lednop_pr_ce_u4 },
 {  33201, ur_m88_u2x8_uart0_lednop_pr_ee_ce },
 {  33202, ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  33203, ur_m88_u2x8_uart0_lednop_hw },
 {  33204, ur_m88_u2x8_uart0_lednop_ee_hw },
 {  33205, ur_m88_u2x8_uart0_lednop_ce_hw },
 {  33206, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  33207, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  33208, ur_m88_u2x8_uart0_dual },
 {  33209, ur_m88_u2x8_uart0_dual },
 {  33210, ur_m88_u2x8_uart0_dual_pr_u4 },
 {  33211, ur_m88_u2x8_uart0_dual_pr_ee },
 {  33212, ur_m88_u2x8_uart0_dual_pr_ee_u4 },
 {  33213, ur_m88_u2x8_uart0_dual_pr_ce },
 {  33214, ur_m88_u2x8_uart0_dual_pr_ce_u4 },
 {  33215, ur_m88_u2x8_uart0_dual_pr_ee_ce },
 {  33216, ur_m88_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  33217, ur_m88_u2x8_uart0_dual_hw },
 {  33218, ur_m88_u2x8_uart0_dual_ee_hw },
 {  33219, ur_m88_u2x8_uart0_dual_ce_hw },
 {  33220, ur_m88_u2x8_uart0_dual_ee_ce_hw },
 {  33221, ur_m88_u2x8_uart0_dual_ee_ce_u4_hw },
 {  33390, ur_m48p_u2x12_uart0_noled },
 {  33391, ur_m48p_u2x12_uart0_noled },
 {  33392, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  33393, ur_m88_u2x12_uart0_noled_pr_ee },
 {  33394, ur_m88_u2x12_uart0_noled_pr_ee_u4 },
 {  33395, ur_m88_u2x12_uart0_noled_pr_ce },
 {  33396, ur_m88_u2x12_uart0_noled_pr_ce_u4 },
 {  33397, ur_m88_u2x12_uart0_noled_pr_ee_ce },
 {  33398, ur_m88_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  33399, ur_m88_u2x12_uart0_noled_hw },
 {  33400, ur_m88_u2x12_uart0_noled_ee_hw },
 {  33401, ur_m88_u2x12_uart0_noled_ce_hw },
 {  33402, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  33403, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  33404, ur_m48p_u2x12_uart0_lednop },
 {  33405, ur_m48p_u2x12_uart0_lednop },
 {  33406, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  33407, ur_m88_u2x12_uart0_lednop_pr_ee },
 {  33408, ur_m88_u2x12_uart0_lednop_pr_ee_u4 },
 {  33409, ur_m88_u2x12_uart0_lednop_pr_ce },
 {  33410, ur_m88_u2x12_uart0_lednop_pr_ce_u4 },
 {  33411, ur_m88_u2x12_uart0_lednop_pr_ee_ce },
 {  33412, ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  33413, ur_m88_u2x12_uart0_lednop_hw },
 {  33414, ur_m88_u2x12_uart0_lednop_ee_hw },
 {  33415, ur_m88_u2x12_uart0_lednop_ce_hw },
 {  33416, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  33417, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  33418, ur_m88_u2x12_uart0_dual },
 {  33419, ur_m88_u2x12_uart0_dual_pr },
 {  33420, ur_m88_u2x12_uart0_dual_pr_u4 },
 {  33421, ur_m88_u2x12_uart0_dual_pr_ee },
 {  33422, ur_m88_u2x12_uart0_dual_pr_ee_u4 },
 {  33423, ur_m88_u2x12_uart0_dual_pr_ce },
 {  33424, ur_m88_u2x12_uart0_dual_pr_ce_u4 },
 {  33425, ur_m88_u2x12_uart0_dual_pr_ee_ce },
 {  33426, ur_m88_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  33427, ur_m88_u2x12_uart0_dual_hw },
 {  33428, ur_m88_u2x12_uart0_dual_ee_hw },
 {  33429, ur_m88_u2x12_uart0_dual_ce_hw },
 {  33430, ur_m88_u2x12_uart0_dual_ee_ce_hw },
 {  33431, ur_m88_u2x12_uart0_dual_ee_ce_u4_hw },
 {  33600, ur_m48p_swio10_noled },
 {  33601, ur_m48p_swio10_noled },
 {  33602, ur_m48p_swio10_noled_pr_u4 },
 {  33603, ur_m88_swio10_noled_pr_ee },
 {  33604, ur_m88_swio10_noled_pr_ee_u4 },
 {  33605, ur_m88_swio10_noled_pr_ce },
 {  33606, ur_m88_swio10_noled_pr_ce_u4 },
 {  33607, ur_m88_swio10_noled_pr_ee_ce },
 {  33608, ur_m88_swio10_noled_pr_ee_ce_u4 },
 {  33609, ur_m88_swio10_noled_hw },
 {  33610, ur_m88_swio10_noled_ee_hw },
 {  33611, ur_m88_swio10_noled_ce_hw },
 {  33612, ur_m88_swio10_noled_ee_ce_hw },
 {  33613, ur_m88_swio10_noled_ee_ce_hw },
 {  33614, ur_m48p_swio10_lednop },
 {  33615, ur_m48p_swio10_lednop_pr },
 {  33616, ur_m48p_swio10_lednop_pr_u4 },
 {  33617, ur_m88_swio10_lednop_pr_ee },
 {  33618, ur_m88_swio10_lednop_pr_ee_u4 },
 {  33619, ur_m88_swio10_lednop_pr_ce },
 {  33620, ur_m88_swio10_lednop_pr_ce_u4 },
 {  33621, ur_m88_swio10_lednop_pr_ee_ce },
 {  33622, ur_m88_swio10_lednop_pr_ee_ce_u4 },
 {  33623, ur_m88_swio10_lednop_hw },
 {  33624, ur_m88_swio10_lednop_ee_hw },
 {  33625, ur_m88_swio10_lednop_ce_hw },
 {  33626, ur_m88_swio10_lednop_ee_ce_hw },
 {  33627, ur_m88_swio10_lednop_ee_ce_hw },
 {  33628, ur_m88_swio10_dual },
 {  33629, ur_m88_swio10_dual },
 {  33630, ur_m88_swio10_dual_pr_u4 },
 {  33631, ur_m88_swio10_dual_pr_ee },
 {  33632, ur_m88_swio10_dual_pr_ee_u4 },
 {  33633, ur_m88_swio10_dual_pr_ce },
 {  33634, ur_m88_swio10_dual_pr_ce_u4 },
 {  33635, ur_m88_swio10_dual_pr_ee_ce },
 {  33636, ur_m88_swio10_dual_pr_ee_ce_u4 },
 {  33637, ur_m88_swio10_dual_hw },
 {  33638, ur_m88_swio10_dual_ee_hw },
 {  33639, ur_m88_swio10_dual_ce_hw },
 {  33640, ur_m88_swio10_dual_ee_ce_hw },
 {  33641, ur_m88_swio10_dual_ee_ce_u4_hw },
 {  33642, ur_m48p_swio11_noled },
 {  33643, ur_m48p_swio11_noled },
 {  33644, ur_m48p_swio11_noled_pr_u4 },
 {  33645, ur_m88_swio11_noled_pr_ee },
 {  33646, ur_m88_swio11_noled_pr_ee_u4 },
 {  33647, ur_m88_swio11_noled_pr_ce },
 {  33648, ur_m88_swio11_noled_pr_ce_u4 },
 {  33649, ur_m88_swio11_noled_pr_ee_ce },
 {  33650, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  33651, ur_m88_swio11_noled_hw },
 {  33652, ur_m88_swio11_noled_ee_hw },
 {  33653, ur_m88_swio11_noled_ce_hw },
 {  33654, ur_m88_swio11_noled_ee_ce_hw },
 {  33655, ur_m88_swio11_noled_ee_ce_hw },
 {  33656, ur_m48p_swio11_lednop },
 {  33657, ur_m48p_swio11_lednop_pr },
 {  33658, ur_m48p_swio11_lednop_pr_u4 },
 {  33659, ur_m88_swio11_lednop_pr_ee },
 {  33660, ur_m88_swio11_lednop_pr_ee_u4 },
 {  33661, ur_m88_swio11_lednop_pr_ce },
 {  33662, ur_m88_swio11_lednop_pr_ce_u4 },
 {  33663, ur_m88_swio11_lednop_pr_ee_ce },
 {  33664, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  33665, ur_m88_swio11_lednop_hw },
 {  33666, ur_m88_swio11_lednop_ee_hw },
 {  33667, ur_m88_swio11_lednop_ce_hw },
 {  33668, ur_m88_swio11_lednop_ee_ce_hw },
 {  33669, ur_m88_swio11_lednop_ee_ce_hw },
 {  33670, ur_m88_swio11_dual },
 {  33671, ur_m88_swio11_dual },
 {  33672, ur_m88_swio11_dual_pr_u4 },
 {  33673, ur_m88_swio11_dual_pr_ee },
 {  33674, ur_m88_swio11_dual_pr_ee_u4 },
 {  33675, ur_m88_swio11_dual_pr_ce },
 {  33676, ur_m88_swio11_dual_pr_ce_u4 },
 {  33677, ur_m88_swio11_dual_pr_ee_ce },
 {  33678, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  33679, ur_m88_swio11_dual_hw },
 {  33680, ur_m88_swio11_dual_ee_hw },
 {  33681, ur_m88_swio11_dual_ce_hw },
 {  33682, ur_m88_swio11_dual_ee_ce_hw },
 {  33683, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  33684, ur_m48p_swio11_noled },
 {  33685, ur_m48p_swio11_noled },
 {  33686, ur_m48p_swio11_noled_pr_u4 },
 {  33687, ur_m88_swio11_noled_pr_ee },
 {  33688, ur_m88_swio11_noled_pr_ee_u4 },
 {  33689, ur_m88_swio11_noled_pr_ce },
 {  33690, ur_m88_swio11_noled_pr_ce_u4 },
 {  33691, ur_m88_swio11_noled_pr_ee_ce },
 {  33692, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  33693, ur_m88_swio11_noled_hw },
 {  33694, ur_m88_swio11_noled_ee_hw },
 {  33695, ur_m88_swio11_noled_ce_hw },
 {  33696, ur_m88_swio11_noled_ee_ce_hw },
 {  33697, ur_m88_swio11_noled_ee_ce_hw },
 {  33698, ur_m48p_swio11_lednop },
 {  33699, ur_m48p_swio11_lednop_pr },
 {  33700, ur_m48p_swio11_lednop_pr_u4 },
 {  33701, ur_m88_swio11_lednop_pr_ee },
 {  33702, ur_m88_swio11_lednop_pr_ee_u4 },
 {  33703, ur_m88_swio11_lednop_pr_ce },
 {  33704, ur_m88_swio11_lednop_pr_ce_u4 },
 {  33705, ur_m88_swio11_lednop_pr_ee_ce },
 {  33706, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  33707, ur_m88_swio11_lednop_hw },
 {  33708, ur_m88_swio11_lednop_ee_hw },
 {  33709, ur_m88_swio11_lednop_ce_hw },
 {  33710, ur_m88_swio11_lednop_ee_ce_hw },
 {  33711, ur_m88_swio11_lednop_ee_ce_hw },
 {  33712, ur_m88_swio11_dual },
 {  33713, ur_m88_swio11_dual },
 {  33714, ur_m88_swio11_dual_pr_u4 },
 {  33715, ur_m88_swio11_dual_pr_ee },
 {  33716, ur_m88_swio11_dual_pr_ee_u4 },
 {  33717, ur_m88_swio11_dual_pr_ce },
 {  33718, ur_m88_swio11_dual_pr_ce_u4 },
 {  33719, ur_m88_swio11_dual_pr_ee_ce },
 {  33720, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  33721, ur_m88_swio11_dual_hw },
 {  33722, ur_m88_swio11_dual_ee_hw },
 {  33723, ur_m88_swio11_dual_ce_hw },
 {  33724, ur_m88_swio11_dual_ee_ce_hw },
 {  33725, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  33726, ur_m48p_swio13_noled },
 {  33727, ur_m48p_swio13_noled },
 {  33728, ur_m48p_swio13_noled_pr_u4 },
 {  33729, ur_m88_swio13_noled_pr_ee },
 {  33730, ur_m88_swio13_noled_pr_ee_u4 },
 {  33731, ur_m88_swio13_noled_pr_ce },
 {  33732, ur_m88_swio13_noled_pr_ce_u4 },
 {  33733, ur_m88_swio13_noled_pr_ee_ce },
 {  33734, ur_m88_swio13_noled_pr_ee_ce_u4 },
 {  33735, ur_m88_swio13_noled_hw },
 {  33736, ur_m88_swio13_noled_ee_hw },
 {  33737, ur_m88_swio13_noled_ce_hw },
 {  33738, ur_m88_swio13_noled_ee_ce_hw },
 {  33739, ur_m88_swio13_noled_ee_ce_hw },
 {  33740, ur_m48p_swio13_lednop },
 {  33741, ur_m48p_swio13_lednop_pr },
 {  33742, ur_m48p_swio13_lednop_pr_u4 },
 {  33743, ur_m88_swio13_lednop_pr_ee },
 {  33744, ur_m88_swio13_lednop_pr_ee_u4 },
 {  33745, ur_m88_swio13_lednop_pr_ce },
 {  33746, ur_m88_swio13_lednop_pr_ce_u4 },
 {  33747, ur_m88_swio13_lednop_pr_ee_ce },
 {  33748, ur_m88_swio13_lednop_pr_ee_ce_u4 },
 {  33749, ur_m88_swio13_lednop_hw },
 {  33750, ur_m88_swio13_lednop_ee_hw },
 {  33751, ur_m88_swio13_lednop_ce_hw },
 {  33752, ur_m88_swio13_lednop_ee_ce_hw },
 {  33753, ur_m88_swio13_lednop_ee_ce_hw },
 {  33754, ur_m88_swio13_dual },
 {  33755, ur_m88_swio13_dual },
 {  33756, ur_m88_swio13_dual_pr_u4 },
 {  33757, ur_m88_swio13_dual_pr_ee },
 {  33758, ur_m88_swio13_dual_pr_ee_u4 },
 {  33759, ur_m88_swio13_dual_pr_ce },
 {  33760, ur_m88_swio13_dual_pr_ce_u4 },
 {  33761, ur_m88_swio13_dual_pr_ee_ce },
 {  33762, ur_m88_swio13_dual_pr_ee_ce_u4 },
 {  33763, ur_m88_swio13_dual_hw },
 {  33764, ur_m88_swio13_dual_ee_hw },
 {  33765, ur_m88_swio13_dual_ce_hw },
 {  33766, ur_m88_swio13_dual_ee_ce_hw },
 {  33767, ur_m88_swio13_dual_ee_ce_u4_hw },
 {  33768, ur_m48p_swio14_noled },
 {  33769, ur_m48p_swio14_noled },
 {  33770, ur_m48p_swio14_noled_pr_u4 },
 {  33771, ur_m88_swio14_noled_pr_ee },
 {  33772, ur_m88_swio14_noled_pr_ee_u4 },
 {  33773, ur_m88_swio14_noled_pr_ce },
 {  33774, ur_m88_swio14_noled_pr_ce_u4 },
 {  33775, ur_m88_swio14_noled_pr_ee_ce },
 {  33776, ur_m88_swio14_noled_pr_ee_ce_u4 },
 {  33777, ur_m88_swio14_noled_hw },
 {  33778, ur_m88_swio14_noled_ee_hw },
 {  33779, ur_m88_swio14_noled_ce_hw },
 {  33780, ur_m88_swio14_noled_ee_ce_hw },
 {  33781, ur_m88_swio14_noled_ee_ce_hw },
 {  33782, ur_m48p_swio14_lednop },
 {  33783, ur_m48p_swio14_lednop_pr },
 {  33784, ur_m48p_swio14_lednop_pr_u4 },
 {  33785, ur_m88_swio14_lednop_pr_ee },
 {  33786, ur_m88_swio14_lednop_pr_ee_u4 },
 {  33787, ur_m88_swio14_lednop_pr_ce },
 {  33788, ur_m88_swio14_lednop_pr_ce_u4 },
 {  33789, ur_m88_swio14_lednop_pr_ee_ce },
 {  33790, ur_m88_swio14_lednop_pr_ee_ce_u4 },
 {  33791, ur_m88_swio14_lednop_hw },
 {  33792, ur_m88_swio14_lednop_ee_hw },
 {  33793, ur_m88_swio14_lednop_ce_hw },
 {  33794, ur_m88_swio14_lednop_ee_ce_hw },
 {  33795, ur_m88_swio14_lednop_ee_ce_hw },
 {  33796, ur_m88_swio14_dual },
 {  33797, ur_m88_swio14_dual },
 {  33798, ur_m88_swio14_dual_pr_u4 },
 {  33799, ur_m88_swio14_dual_pr_ee },
 {  33800, ur_m88_swio14_dual_pr_ee_u4 },
 {  33801, ur_m88_swio14_dual_pr_ce },
 {  33802, ur_m88_swio14_dual_pr_ce_u4 },
 {  33803, ur_m88_swio14_dual_pr_ee_ce },
 {  33804, ur_m88_swio14_dual_pr_ee_ce_u4 },
 {  33805, ur_m88_swio14_dual_hw },
 {  33806, ur_m88_swio14_dual_ee_hw },
 {  33807, ur_m88_swio14_dual_ce_hw },
 {  33808, ur_m88_swio14_dual_ee_ce_hw },
 {  33809, ur_m88_swio14_dual_ee_ce_u4_hw },
 {  33810, ur_m48p_swio15_noled },
 {  33811, ur_m48p_swio15_noled },
 {  33812, ur_m48p_swio15_noled_pr_u4 },
 {  33813, ur_m88_swio15_noled_pr_ee },
 {  33814, ur_m88_swio15_noled_pr_ee_u4 },
 {  33815, ur_m88_swio15_noled_pr_ce },
 {  33816, ur_m88_swio15_noled_pr_ce_u4 },
 {  33817, ur_m88_swio15_noled_pr_ee_ce },
 {  33818, ur_m88_swio15_noled_pr_ee_ce_u4 },
 {  33819, ur_m88_swio15_noled_hw },
 {  33820, ur_m88_swio15_noled_ee_hw },
 {  33821, ur_m88_swio15_noled_ce_hw },
 {  33822, ur_m88_swio15_noled_ee_ce_hw },
 {  33823, ur_m88_swio15_noled_ee_ce_hw },
 {  33824, ur_m48p_swio15_lednop },
 {  33825, ur_m48p_swio15_lednop_pr },
 {  33826, ur_m48p_swio15_lednop_pr_u4 },
 {  33827, ur_m88_swio15_lednop_pr_ee },
 {  33828, ur_m88_swio15_lednop_pr_ee_u4 },
 {  33829, ur_m88_swio15_lednop_pr_ce },
 {  33830, ur_m88_swio15_lednop_pr_ce_u4 },
 {  33831, ur_m88_swio15_lednop_pr_ee_ce },
 {  33832, ur_m88_swio15_lednop_pr_ee_ce_u4 },
 {  33833, ur_m88_swio15_lednop_hw },
 {  33834, ur_m88_swio15_lednop_ee_hw },
 {  33835, ur_m88_swio15_lednop_ce_hw },
 {  33836, ur_m88_swio15_lednop_ee_ce_hw },
 {  33837, ur_m88_swio15_lednop_ee_ce_hw },
 {  33838, ur_m88_swio15_dual },
 {  33839, ur_m88_swio15_dual },
 {  33840, ur_m88_swio15_dual_pr_u4 },
 {  33841, ur_m88_swio15_dual_pr_ee },
 {  33842, ur_m88_swio15_dual_pr_ee_u4 },
 {  33843, ur_m88_swio15_dual_pr_ce },
 {  33844, ur_m88_swio15_dual_pr_ce_u4 },
 {  33845, ur_m88_swio15_dual_pr_ee_ce },
 {  33846, ur_m88_swio15_dual_pr_ee_ce_u4 },
 {  33847, ur_m88_swio15_dual_hw },
 {  33848, ur_m88_swio15_dual_ee_hw },
 {  33849, ur_m88_swio15_dual_ce_hw },
 {  33850, ur_m88_swio15_dual_ee_ce_hw },
 {  33851, ur_m88_swio15_dual_ee_ce_u4_hw },
 {  33852, ur_m48p_autobaud_uart0_noled },
 {  33853, ur_m48p_autobaud_uart0_noled },
 {  33854, ur_m48p_autobaud_uart0_noled_pr_u4 },
 {  33855, ur_m88_autobaud_uart0_noled_pr_ee },
 {  33856, ur_m88_autobaud_uart0_noled_pr_ee_u4 },
 {  33857, ur_m88_autobaud_uart0_noled_pr_ce },
 {  33858, ur_m88_autobaud_uart0_noled_pr_ce_u4 },
 {  33859, ur_m88_autobaud_uart0_noled_pr_ee_ce },
 {  33860, ur_m88_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  33861, ur_m88_autobaud_uart0_noled_hw },
 {  33862, ur_m88_autobaud_uart0_noled_ee_hw },
 {  33863, ur_m88_autobaud_uart0_noled_ce_hw },
 {  33864, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  33865, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 {  33866, ur_m48p_autobaud_uart0_lednop },
 {  33867, ur_m48p_autobaud_uart0_lednop },
 {  33868, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 {  33869, ur_m88_autobaud_uart0_lednop_pr_ee },
 {  33870, ur_m88_autobaud_uart0_lednop_pr_ee_u4 },
 {  33871, ur_m88_autobaud_uart0_lednop_pr_ce },
 {  33872, ur_m88_autobaud_uart0_lednop_pr_ce_u4 },
 {  33873, ur_m88_autobaud_uart0_lednop_pr_ee_ce },
 {  33874, ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  33875, ur_m88_autobaud_uart0_lednop_hw },
 {  33876, ur_m88_autobaud_uart0_lednop_ee_hw },
 {  33877, ur_m88_autobaud_uart0_lednop_ce_hw },
 {  33878, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  33879, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 {  33880, ur_m88_autobaud_uart0_dual },
 {  33881, ur_m88_autobaud_uart0_dual_pr },
 {  33882, ur_m88_autobaud_uart0_dual_pr_u4 },
 {  33883, ur_m88_autobaud_uart0_dual_pr_ee },
 {  33884, ur_m88_autobaud_uart0_dual_pr_ee_u4 },
 {  33885, ur_m88_autobaud_uart0_dual_pr_ce },
 {  33886, ur_m88_autobaud_uart0_dual_pr_ce_u4 },
 {  33887, ur_m88_autobaud_uart0_dual_pr_ee_ce },
 {  33888, ur_m88_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  33889, ur_m88_autobaud_uart0_dual_hw },
 {  33890, ur_m88_autobaud_uart0_dual_ee_hw },
 {  33891, ur_m88_autobaud_uart0_dual_ce_hw },
 {  33892, ur_m88_autobaud_uart0_dual_ee_ce_hw },
 {  33893, ur_m88_autobaud_uart0_dual_ee_ce_u4_hw },
 {  34062, ur_m48p_u1x8_uart0_noled },
 {  34063, ur_m48p_u1x8_uart0_noled },
 {  34064, ur_m48p_u1x8_uart0_noled_pr_u4 },
 {  34065, ur_m88_u1x8_uart0_noled_pr_ee },
 {  34066, ur_m88_u1x8_uart0_noled_pr_ee_u4 },
 {  34067, ur_m88_u1x8_uart0_noled_pr_ce },
 {  34068, ur_m88_u1x8_uart0_noled_pr_ce_u4 },
 {  34069, ur_m88_u1x8_uart0_noled_pr_ee_ce },
 {  34070, ur_m88_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  34071, ur_m88_u1x8_uart0_noled_hw },
 {  34072, ur_m88_u1x8_uart0_noled_ee_hw },
 {  34073, ur_m88_u1x8_uart0_noled_ce_hw },
 {  34074, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  34075, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 {  34076, ur_m48p_u1x8_uart0_lednop },
 {  34077, ur_m48p_u1x8_uart0_lednop },
 {  34078, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 {  34079, ur_m88_u1x8_uart0_lednop_pr_ee },
 {  34080, ur_m88_u1x8_uart0_lednop_pr_ee_u4 },
 {  34081, ur_m88_u1x8_uart0_lednop_pr_ce },
 {  34082, ur_m88_u1x8_uart0_lednop_pr_ce_u4 },
 {  34083, ur_m88_u1x8_uart0_lednop_pr_ee_ce },
 {  34084, ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  34085, ur_m88_u1x8_uart0_lednop_hw },
 {  34086, ur_m88_u1x8_uart0_lednop_ee_hw },
 {  34087, ur_m88_u1x8_uart0_lednop_ce_hw },
 {  34088, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  34089, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 {  34090, ur_m88_u1x8_uart0_dual },
 {  34091, ur_m88_u1x8_uart0_dual },
 {  34092, ur_m88_u1x8_uart0_dual_pr_u4 },
 {  34093, ur_m88_u1x8_uart0_dual_pr_ee },
 {  34094, ur_m88_u1x8_uart0_dual_pr_ee_u4 },
 {  34095, ur_m88_u1x8_uart0_dual_pr_ce },
 {  34096, ur_m88_u1x8_uart0_dual_pr_ce_u4 },
 {  34097, ur_m88_u1x8_uart0_dual_pr_ee_ce },
 {  34098, ur_m88_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  34099, ur_m88_u1x8_uart0_dual_hw },
 {  34100, ur_m88_u1x8_uart0_dual_ee_hw },
 {  34101, ur_m88_u1x8_uart0_dual_ce_hw },
 {  34102, ur_m88_u1x8_uart0_dual_ee_ce_hw },
 {  34103, ur_m88_u1x8_uart0_dual_ee_ce_u4_hw },
 {  34272, ur_m48p_u1x12_uart0_noled },
 {  34273, ur_m48p_u1x12_uart0_noled },
 {  34274, ur_m48p_u1x12_uart0_noled_pr_u4 },
 {  34275, ur_m88_u1x12_uart0_noled_pr_ee },
 {  34276, ur_m88_u1x12_uart0_noled_pr_ee_u4 },
 {  34277, ur_m88_u1x12_uart0_noled_pr_ce },
 {  34278, ur_m88_u1x12_uart0_noled_pr_ce_u4 },
 {  34279, ur_m88_u1x12_uart0_noled_pr_ee_ce },
 {  34280, ur_m88_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  34281, ur_m88_u1x12_uart0_noled_hw },
 {  34282, ur_m88_u1x12_uart0_noled_ee_hw },
 {  34283, ur_m88_u1x12_uart0_noled_ce_hw },
 {  34284, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  34285, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 {  34286, ur_m48p_u1x12_uart0_lednop },
 {  34287, ur_m48p_u1x12_uart0_lednop },
 {  34288, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 {  34289, ur_m88_u1x12_uart0_lednop_pr_ee },
 {  34290, ur_m88_u1x12_uart0_lednop_pr_ee_u4 },
 {  34291, ur_m88_u1x12_uart0_lednop_pr_ce },
 {  34292, ur_m88_u1x12_uart0_lednop_pr_ce_u4 },
 {  34293, ur_m88_u1x12_uart0_lednop_pr_ee_ce },
 {  34294, ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  34295, ur_m88_u1x12_uart0_lednop_hw },
 {  34296, ur_m88_u1x12_uart0_lednop_ee_hw },
 {  34297, ur_m88_u1x12_uart0_lednop_ce_hw },
 {  34298, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  34299, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 {  34300, ur_m88_u1x12_uart0_dual },
 {  34301, ur_m88_u1x12_uart0_dual },
 {  34302, ur_m88_u1x12_uart0_dual_pr_u4 },
 {  34303, ur_m88_u1x12_uart0_dual_pr_ee },
 {  34304, ur_m88_u1x12_uart0_dual_pr_ee_u4 },
 {  34305, ur_m88_u1x12_uart0_dual_pr_ce },
 {  34306, ur_m88_u1x12_uart0_dual_pr_ce_u4 },
 {  34307, ur_m88_u1x12_uart0_dual_pr_ee_ce },
 {  34308, ur_m88_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  34309, ur_m88_u1x12_uart0_dual_hw },
 {  34310, ur_m88_u1x12_uart0_dual_ee_hw },
 {  34311, ur_m88_u1x12_uart0_dual_ce_hw },
 {  34312, ur_m88_u1x12_uart0_dual_ee_ce_hw },
 {  34313, ur_m88_u1x12_uart0_dual_ee_ce_u4_hw },
 {  34482, ur_m48p_u2x8_uart0_noled },
 {  34483, ur_m48p_u2x8_uart0_noled },
 {  34484, ur_m48p_u2x8_uart0_noled_pr_u4 },
 {  34485, ur_m88_u2x8_uart0_noled_pr_ee },
 {  34486, ur_m88_u2x8_uart0_noled_pr_ee_u4 },
 {  34487, ur_m88_u2x8_uart0_noled_pr_ce },
 {  34488, ur_m88_u2x8_uart0_noled_pr_ce_u4 },
 {  34489, ur_m88_u2x8_uart0_noled_pr_ee_ce },
 {  34490, ur_m88_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  34491, ur_m88_u2x8_uart0_noled_hw },
 {  34492, ur_m88_u2x8_uart0_noled_ee_hw },
 {  34493, ur_m88_u2x8_uart0_noled_ce_hw },
 {  34494, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  34495, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 {  34496, ur_m48p_u2x8_uart0_lednop },
 {  34497, ur_m48p_u2x8_uart0_lednop },
 {  34498, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 {  34499, ur_m88_u2x8_uart0_lednop_pr_ee },
 {  34500, ur_m88_u2x8_uart0_lednop_pr_ee_u4 },
 {  34501, ur_m88_u2x8_uart0_lednop_pr_ce },
 {  34502, ur_m88_u2x8_uart0_lednop_pr_ce_u4 },
 {  34503, ur_m88_u2x8_uart0_lednop_pr_ee_ce },
 {  34504, ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  34505, ur_m88_u2x8_uart0_lednop_hw },
 {  34506, ur_m88_u2x8_uart0_lednop_ee_hw },
 {  34507, ur_m88_u2x8_uart0_lednop_ce_hw },
 {  34508, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  34509, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 {  34510, ur_m88_u2x8_uart0_dual },
 {  34511, ur_m88_u2x8_uart0_dual },
 {  34512, ur_m88_u2x8_uart0_dual_pr_u4 },
 {  34513, ur_m88_u2x8_uart0_dual_pr_ee },
 {  34514, ur_m88_u2x8_uart0_dual_pr_ee_u4 },
 {  34515, ur_m88_u2x8_uart0_dual_pr_ce },
 {  34516, ur_m88_u2x8_uart0_dual_pr_ce_u4 },
 {  34517, ur_m88_u2x8_uart0_dual_pr_ee_ce },
 {  34518, ur_m88_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  34519, ur_m88_u2x8_uart0_dual_hw },
 {  34520, ur_m88_u2x8_uart0_dual_ee_hw },
 {  34521, ur_m88_u2x8_uart0_dual_ce_hw },
 {  34522, ur_m88_u2x8_uart0_dual_ee_ce_hw },
 {  34523, ur_m88_u2x8_uart0_dual_ee_ce_u4_hw },
 {  34692, ur_m48p_u2x12_uart0_noled },
 {  34693, ur_m48p_u2x12_uart0_noled },
 {  34694, ur_m48p_u2x12_uart0_noled_pr_u4 },
 {  34695, ur_m88_u2x12_uart0_noled_pr_ee },
 {  34696, ur_m88_u2x12_uart0_noled_pr_ee_u4 },
 {  34697, ur_m88_u2x12_uart0_noled_pr_ce },
 {  34698, ur_m88_u2x12_uart0_noled_pr_ce_u4 },
 {  34699, ur_m88_u2x12_uart0_noled_pr_ee_ce },
 {  34700, ur_m88_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  34701, ur_m88_u2x12_uart0_noled_hw },
 {  34702, ur_m88_u2x12_uart0_noled_ee_hw },
 {  34703, ur_m88_u2x12_uart0_noled_ce_hw },
 {  34704, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  34705, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 {  34706, ur_m48p_u2x12_uart0_lednop },
 {  34707, ur_m48p_u2x12_uart0_lednop },
 {  34708, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 {  34709, ur_m88_u2x12_uart0_lednop_pr_ee },
 {  34710, ur_m88_u2x12_uart0_lednop_pr_ee_u4 },
 {  34711, ur_m88_u2x12_uart0_lednop_pr_ce },
 {  34712, ur_m88_u2x12_uart0_lednop_pr_ce_u4 },
 {  34713, ur_m88_u2x12_uart0_lednop_pr_ee_ce },
 {  34714, ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  34715, ur_m88_u2x12_uart0_lednop_hw },
 {  34716, ur_m88_u2x12_uart0_lednop_ee_hw },
 {  34717, ur_m88_u2x12_uart0_lednop_ce_hw },
 {  34718, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  34719, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 {  34720, ur_m88_u2x12_uart0_dual },
 {  34721, ur_m88_u2x12_uart0_dual_pr },
 {  34722, ur_m88_u2x12_uart0_dual_pr_u4 },
 {  34723, ur_m88_u2x12_uart0_dual_pr_ee },
 {  34724, ur_m88_u2x12_uart0_dual_pr_ee_u4 },
 {  34725, ur_m88_u2x12_uart0_dual_pr_ce },
 {  34726, ur_m88_u2x12_uart0_dual_pr_ce_u4 },
 {  34727, ur_m88_u2x12_uart0_dual_pr_ee_ce },
 {  34728, ur_m88_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  34729, ur_m88_u2x12_uart0_dual_hw },
 {  34730, ur_m88_u2x12_uart0_dual_ee_hw },
 {  34731, ur_m88_u2x12_uart0_dual_ce_hw },
 {  34732, ur_m88_u2x12_uart0_dual_ee_ce_hw },
 {  34733, ur_m88_u2x12_uart0_dual_ee_ce_u4_hw },
 {  34902, ur_m48p_swio10_noled },
 {  34903, ur_m48p_swio10_noled },
 {  34904, ur_m48p_swio10_noled_pr_u4 },
 {  34905, ur_m88_swio10_noled_pr_ee },
 {  34906, ur_m88_swio10_noled_pr_ee_u4 },
 {  34907, ur_m88_swio10_noled_pr_ce },
 {  34908, ur_m88_swio10_noled_pr_ce_u4 },
 {  34909, ur_m88_swio10_noled_pr_ee_ce },
 {  34910, ur_m88_swio10_noled_pr_ee_ce_u4 },
 {  34911, ur_m88_swio10_noled_hw },
 {  34912, ur_m88_swio10_noled_ee_hw },
 {  34913, ur_m88_swio10_noled_ce_hw },
 {  34914, ur_m88_swio10_noled_ee_ce_hw },
 {  34915, ur_m88_swio10_noled_ee_ce_hw },
 {  34916, ur_m48p_swio10_lednop },
 {  34917, ur_m48p_swio10_lednop_pr },
 {  34918, ur_m48p_swio10_lednop_pr_u4 },
 {  34919, ur_m88_swio10_lednop_pr_ee },
 {  34920, ur_m88_swio10_lednop_pr_ee_u4 },
 {  34921, ur_m88_swio10_lednop_pr_ce },
 {  34922, ur_m88_swio10_lednop_pr_ce_u4 },
 {  34923, ur_m88_swio10_lednop_pr_ee_ce },
 {  34924, ur_m88_swio10_lednop_pr_ee_ce_u4 },
 {  34925, ur_m88_swio10_lednop_hw },
 {  34926, ur_m88_swio10_lednop_ee_hw },
 {  34927, ur_m88_swio10_lednop_ce_hw },
 {  34928, ur_m88_swio10_lednop_ee_ce_hw },
 {  34929, ur_m88_swio10_lednop_ee_ce_hw },
 {  34930, ur_m88_swio10_dual },
 {  34931, ur_m88_swio10_dual },
 {  34932, ur_m88_swio10_dual_pr_u4 },
 {  34933, ur_m88_swio10_dual_pr_ee },
 {  34934, ur_m88_swio10_dual_pr_ee_u4 },
 {  34935, ur_m88_swio10_dual_pr_ce },
 {  34936, ur_m88_swio10_dual_pr_ce_u4 },
 {  34937, ur_m88_swio10_dual_pr_ee_ce },
 {  34938, ur_m88_swio10_dual_pr_ee_ce_u4 },
 {  34939, ur_m88_swio10_dual_hw },
 {  34940, ur_m88_swio10_dual_ee_hw },
 {  34941, ur_m88_swio10_dual_ce_hw },
 {  34942, ur_m88_swio10_dual_ee_ce_hw },
 {  34943, ur_m88_swio10_dual_ee_ce_u4_hw },
 {  34944, ur_m48p_swio11_noled },
 {  34945, ur_m48p_swio11_noled },
 {  34946, ur_m48p_swio11_noled_pr_u4 },
 {  34947, ur_m88_swio11_noled_pr_ee },
 {  34948, ur_m88_swio11_noled_pr_ee_u4 },
 {  34949, ur_m88_swio11_noled_pr_ce },
 {  34950, ur_m88_swio11_noled_pr_ce_u4 },
 {  34951, ur_m88_swio11_noled_pr_ee_ce },
 {  34952, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  34953, ur_m88_swio11_noled_hw },
 {  34954, ur_m88_swio11_noled_ee_hw },
 {  34955, ur_m88_swio11_noled_ce_hw },
 {  34956, ur_m88_swio11_noled_ee_ce_hw },
 {  34957, ur_m88_swio11_noled_ee_ce_hw },
 {  34958, ur_m48p_swio11_lednop },
 {  34959, ur_m48p_swio11_lednop_pr },
 {  34960, ur_m48p_swio11_lednop_pr_u4 },
 {  34961, ur_m88_swio11_lednop_pr_ee },
 {  34962, ur_m88_swio11_lednop_pr_ee_u4 },
 {  34963, ur_m88_swio11_lednop_pr_ce },
 {  34964, ur_m88_swio11_lednop_pr_ce_u4 },
 {  34965, ur_m88_swio11_lednop_pr_ee_ce },
 {  34966, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  34967, ur_m88_swio11_lednop_hw },
 {  34968, ur_m88_swio11_lednop_ee_hw },
 {  34969, ur_m88_swio11_lednop_ce_hw },
 {  34970, ur_m88_swio11_lednop_ee_ce_hw },
 {  34971, ur_m88_swio11_lednop_ee_ce_hw },
 {  34972, ur_m88_swio11_dual },
 {  34973, ur_m88_swio11_dual },
 {  34974, ur_m88_swio11_dual_pr_u4 },
 {  34975, ur_m88_swio11_dual_pr_ee },
 {  34976, ur_m88_swio11_dual_pr_ee_u4 },
 {  34977, ur_m88_swio11_dual_pr_ce },
 {  34978, ur_m88_swio11_dual_pr_ce_u4 },
 {  34979, ur_m88_swio11_dual_pr_ee_ce },
 {  34980, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  34981, ur_m88_swio11_dual_hw },
 {  34982, ur_m88_swio11_dual_ee_hw },
 {  34983, ur_m88_swio11_dual_ce_hw },
 {  34984, ur_m88_swio11_dual_ee_ce_hw },
 {  34985, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  34986, ur_m48p_swio11_noled },
 {  34987, ur_m48p_swio11_noled },
 {  34988, ur_m48p_swio11_noled_pr_u4 },
 {  34989, ur_m88_swio11_noled_pr_ee },
 {  34990, ur_m88_swio11_noled_pr_ee_u4 },
 {  34991, ur_m88_swio11_noled_pr_ce },
 {  34992, ur_m88_swio11_noled_pr_ce_u4 },
 {  34993, ur_m88_swio11_noled_pr_ee_ce },
 {  34994, ur_m88_swio11_noled_pr_ee_ce_u4 },
 {  34995, ur_m88_swio11_noled_hw },
 {  34996, ur_m88_swio11_noled_ee_hw },
 {  34997, ur_m88_swio11_noled_ce_hw },
 {  34998, ur_m88_swio11_noled_ee_ce_hw },
 {  34999, ur_m88_swio11_noled_ee_ce_hw },
 {  35000, ur_m48p_swio11_lednop },
 {  35001, ur_m48p_swio11_lednop_pr },
 {  35002, ur_m48p_swio11_lednop_pr_u4 },
 {  35003, ur_m88_swio11_lednop_pr_ee },
 {  35004, ur_m88_swio11_lednop_pr_ee_u4 },
 {  35005, ur_m88_swio11_lednop_pr_ce },
 {  35006, ur_m88_swio11_lednop_pr_ce_u4 },
 {  35007, ur_m88_swio11_lednop_pr_ee_ce },
 {  35008, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 {  35009, ur_m88_swio11_lednop_hw },
 {  35010, ur_m88_swio11_lednop_ee_hw },
 {  35011, ur_m88_swio11_lednop_ce_hw },
 {  35012, ur_m88_swio11_lednop_ee_ce_hw },
 {  35013, ur_m88_swio11_lednop_ee_ce_hw },
 {  35014, ur_m88_swio11_dual },
 {  35015, ur_m88_swio11_dual },
 {  35016, ur_m88_swio11_dual_pr_u4 },
 {  35017, ur_m88_swio11_dual_pr_ee },
 {  35018, ur_m88_swio11_dual_pr_ee_u4 },
 {  35019, ur_m88_swio11_dual_pr_ce },
 {  35020, ur_m88_swio11_dual_pr_ce_u4 },
 {  35021, ur_m88_swio11_dual_pr_ee_ce },
 {  35022, ur_m88_swio11_dual_pr_ee_ce_u4 },
 {  35023, ur_m88_swio11_dual_hw },
 {  35024, ur_m88_swio11_dual_ee_hw },
 {  35025, ur_m88_swio11_dual_ce_hw },
 {  35026, ur_m88_swio11_dual_ee_ce_hw },
 {  35027, ur_m88_swio11_dual_ee_ce_u4_hw },
 {  35028, ur_m48p_swio13_noled },
 {  35029, ur_m48p_swio13_noled },
 {  35030, ur_m48p_swio13_noled_pr_u4 },
 {  35031, ur_m88_swio13_noled_pr_ee },
 {  35032, ur_m88_swio13_noled_pr_ee_u4 },
 {  35033, ur_m88_swio13_noled_pr_ce },
 {  35034, ur_m88_swio13_noled_pr_ce_u4 },
 {  35035, ur_m88_swio13_noled_pr_ee_ce },
 {  35036, ur_m88_swio13_noled_pr_ee_ce_u4 },
 {  35037, ur_m88_swio13_noled_hw },
 {  35038, ur_m88_swio13_noled_ee_hw },
 {  35039, ur_m88_swio13_noled_ce_hw },
 {  35040, ur_m88_swio13_noled_ee_ce_hw },
 {  35041, ur_m88_swio13_noled_ee_ce_hw },
 {  35042, ur_m48p_swio13_lednop },
 {  35043, ur_m48p_swio13_lednop_pr },
 {  35044, ur_m48p_swio13_lednop_pr_u4 },
 {  35045, ur_m88_swio13_lednop_pr_ee },
 {  35046, ur_m88_swio13_lednop_pr_ee_u4 },
 {  35047, ur_m88_swio13_lednop_pr_ce },
 {  35048, ur_m88_swio13_lednop_pr_ce_u4 },
 {  35049, ur_m88_swio13_lednop_pr_ee_ce },
 {  35050, ur_m88_swio13_lednop_pr_ee_ce_u4 },
 {  35051, ur_m88_swio13_lednop_hw },
 {  35052, ur_m88_swio13_lednop_ee_hw },
 {  35053, ur_m88_swio13_lednop_ce_hw },
 {  35054, ur_m88_swio13_lednop_ee_ce_hw },
 {  35055, ur_m88_swio13_lednop_ee_ce_hw },
 {  35056, ur_m88_swio13_dual },
 {  35057, ur_m88_swio13_dual },
 {  35058, ur_m88_swio13_dual_pr_u4 },
 {  35059, ur_m88_swio13_dual_pr_ee },
 {  35060, ur_m88_swio13_dual_pr_ee_u4 },
 {  35061, ur_m88_swio13_dual_pr_ce },
 {  35062, ur_m88_swio13_dual_pr_ce_u4 },
 {  35063, ur_m88_swio13_dual_pr_ee_ce },
 {  35064, ur_m88_swio13_dual_pr_ee_ce_u4 },
 {  35065, ur_m88_swio13_dual_hw },
 {  35066, ur_m88_swio13_dual_ee_hw },
 {  35067, ur_m88_swio13_dual_ce_hw },
 {  35068, ur_m88_swio13_dual_ee_ce_hw },
 {  35069, ur_m88_swio13_dual_ee_ce_u4_hw },
 {  35070, ur_m48p_swio14_noled },
 {  35071, ur_m48p_swio14_noled },
 {  35072, ur_m48p_swio14_noled_pr_u4 },
 {  35073, ur_m88_swio14_noled_pr_ee },
 {  35074, ur_m88_swio14_noled_pr_ee_u4 },
 {  35075, ur_m88_swio14_noled_pr_ce },
 {  35076, ur_m88_swio14_noled_pr_ce_u4 },
 {  35077, ur_m88_swio14_noled_pr_ee_ce },
 {  35078, ur_m88_swio14_noled_pr_ee_ce_u4 },
 {  35079, ur_m88_swio14_noled_hw },
 {  35080, ur_m88_swio14_noled_ee_hw },
 {  35081, ur_m88_swio14_noled_ce_hw },
 {  35082, ur_m88_swio14_noled_ee_ce_hw },
 {  35083, ur_m88_swio14_noled_ee_ce_hw },
 {  35084, ur_m48p_swio14_lednop },
 {  35085, ur_m48p_swio14_lednop_pr },
 {  35086, ur_m48p_swio14_lednop_pr_u4 },
 {  35087, ur_m88_swio14_lednop_pr_ee },
 {  35088, ur_m88_swio14_lednop_pr_ee_u4 },
 {  35089, ur_m88_swio14_lednop_pr_ce },
 {  35090, ur_m88_swio14_lednop_pr_ce_u4 },
 {  35091, ur_m88_swio14_lednop_pr_ee_ce },
 {  35092, ur_m88_swio14_lednop_pr_ee_ce_u4 },
 {  35093, ur_m88_swio14_lednop_hw },
 {  35094, ur_m88_swio14_lednop_ee_hw },
 {  35095, ur_m88_swio14_lednop_ce_hw },
 {  35096, ur_m88_swio14_lednop_ee_ce_hw },
 {  35097, ur_m88_swio14_lednop_ee_ce_hw },
 {  35098, ur_m88_swio14_dual },
 {  35099, ur_m88_swio14_dual },
 {  35100, ur_m88_swio14_dual_pr_u4 },
 {  35101, ur_m88_swio14_dual_pr_ee },
 {  35102, ur_m88_swio14_dual_pr_ee_u4 },
 {  35103, ur_m88_swio14_dual_pr_ce },
 {  35104, ur_m88_swio14_dual_pr_ce_u4 },
 {  35105, ur_m88_swio14_dual_pr_ee_ce },
 {  35106, ur_m88_swio14_dual_pr_ee_ce_u4 },
 {  35107, ur_m88_swio14_dual_hw },
 {  35108, ur_m88_swio14_dual_ee_hw },
 {  35109, ur_m88_swio14_dual_ce_hw },
 {  35110, ur_m88_swio14_dual_ee_ce_hw },
 {  35111, ur_m88_swio14_dual_ee_ce_u4_hw },
 {  35112, ur_m48p_swio15_noled },
 {  35113, ur_m48p_swio15_noled },
 {  35114, ur_m48p_swio15_noled_pr_u4 },
 {  35115, ur_m88_swio15_noled_pr_ee },
 {  35116, ur_m88_swio15_noled_pr_ee_u4 },
 {  35117, ur_m88_swio15_noled_pr_ce },
 {  35118, ur_m88_swio15_noled_pr_ce_u4 },
 {  35119, ur_m88_swio15_noled_pr_ee_ce },
 {  35120, ur_m88_swio15_noled_pr_ee_ce_u4 },
 {  35121, ur_m88_swio15_noled_hw },
 {  35122, ur_m88_swio15_noled_ee_hw },
 {  35123, ur_m88_swio15_noled_ce_hw },
 {  35124, ur_m88_swio15_noled_ee_ce_hw },
 {  35125, ur_m88_swio15_noled_ee_ce_hw },
 {  35126, ur_m48p_swio15_lednop },
 {  35127, ur_m48p_swio15_lednop_pr },
 {  35128, ur_m48p_swio15_lednop_pr_u4 },
 {  35129, ur_m88_swio15_lednop_pr_ee },
 {  35130, ur_m88_swio15_lednop_pr_ee_u4 },
 {  35131, ur_m88_swio15_lednop_pr_ce },
 {  35132, ur_m88_swio15_lednop_pr_ce_u4 },
 {  35133, ur_m88_swio15_lednop_pr_ee_ce },
 {  35134, ur_m88_swio15_lednop_pr_ee_ce_u4 },
 {  35135, ur_m88_swio15_lednop_hw },
 {  35136, ur_m88_swio15_lednop_ee_hw },
 {  35137, ur_m88_swio15_lednop_ce_hw },
 {  35138, ur_m88_swio15_lednop_ee_ce_hw },
 {  35139, ur_m88_swio15_lednop_ee_ce_hw },
 {  35140, ur_m88_swio15_dual },
 {  35141, ur_m88_swio15_dual },
 {  35142, ur_m88_swio15_dual_pr_u4 },
 {  35143, ur_m88_swio15_dual_pr_ee },
 {  35144, ur_m88_swio15_dual_pr_ee_u4 },
 {  35145, ur_m88_swio15_dual_pr_ce },
 {  35146, ur_m88_swio15_dual_pr_ce_u4 },
 {  35147, ur_m88_swio15_dual_pr_ee_ce },
 {  35148, ur_m88_swio15_dual_pr_ee_ce_u4 },
 {  35149, ur_m88_swio15_dual_hw },
 {  35150, ur_m88_swio15_dual_ee_hw },
 {  35151, ur_m88_swio15_dual_ce_hw },
 {  35152, ur_m88_swio15_dual_ee_ce_hw },
 {  35153, ur_m88_swio15_dual_ee_ce_u4_hw },
 {  35154, ur_m88pb_autobaud_uart0_noled },
 {  35155, ur_m88pb_autobaud_uart0_noled },
 {  35156, ur_m88pb_autobaud_uart0_noled_pr_u4 },
 {  35157, ur_m88pb_autobaud_uart0_noled_pr_ee },
 {  35158, ur_m88pb_autobaud_uart0_noled_pr_ee_u4 },
 {  35159, ur_m88pb_autobaud_uart0_noled_pr_ce },
 {  35160, ur_m88pb_autobaud_uart0_noled_pr_ce_u4 },
 {  35161, ur_m88pb_autobaud_uart0_noled_pr_ee_ce },
 {  35162, ur_m88pb_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  35163, ur_m88pb_autobaud_uart0_noled_hw },
 {  35164, ur_m88pb_autobaud_uart0_noled_ee_hw },
 {  35165, ur_m88pb_autobaud_uart0_noled_ce_hw },
 {  35166, ur_m88pb_autobaud_uart0_noled_ee_ce_hw },
 {  35167, ur_m88pb_autobaud_uart0_noled_ee_ce_hw },
 {  35168, ur_m88pb_autobaud_uart0_lednop },
 {  35169, ur_m88pb_autobaud_uart0_lednop_pr },
 {  35170, ur_m88pb_autobaud_uart0_lednop_pr_u4 },
 {  35171, ur_m88pb_autobaud_uart0_lednop_pr_ee },
 {  35172, ur_m88pb_autobaud_uart0_lednop_pr_ee_u4 },
 {  35173, ur_m88pb_autobaud_uart0_lednop_pr_ce },
 {  35174, ur_m88pb_autobaud_uart0_lednop_pr_ce_u4 },
 {  35175, ur_m88pb_autobaud_uart0_lednop_pr_ee_ce },
 {  35176, ur_m88pb_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  35177, ur_m88pb_autobaud_uart0_lednop_hw },
 {  35178, ur_m88pb_autobaud_uart0_lednop_ee_hw },
 {  35179, ur_m88pb_autobaud_uart0_lednop_ce_hw },
 {  35180, ur_m88pb_autobaud_uart0_lednop_ee_ce_hw },
 {  35181, ur_m88pb_autobaud_uart0_lednop_ee_ce_hw },
 {  35182, ur_m88pb_autobaud_uart0_dual },
 {  35183, ur_m88pb_autobaud_uart0_dual },
 {  35184, ur_m88pb_autobaud_uart0_dual_pr_u4 },
 {  35185, ur_m88pb_autobaud_uart0_dual_pr_ee },
 {  35186, ur_m88pb_autobaud_uart0_dual_pr_ee_u4 },
 {  35187, ur_m88pb_autobaud_uart0_dual_pr_ce },
 {  35188, ur_m88pb_autobaud_uart0_dual_pr_ce_u4 },
 {  35189, ur_m88pb_autobaud_uart0_dual_pr_ee_ce },
 {  35190, ur_m88pb_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  35191, ur_m88pb_autobaud_uart0_dual_hw },
 {  35192, ur_m88pb_autobaud_uart0_dual_ee_hw },
 {  35193, ur_m88pb_autobaud_uart0_dual_ce_hw },
 {  35194, ur_m88pb_autobaud_uart0_dual_ee_ce_hw },
 {  35195, ur_m88pb_autobaud_uart0_dual_ee_ce_u4_hw },
 {  35364, ur_m88pb_u1x8_uart0_noled },
 {  35365, ur_m88pb_u1x8_uart0_noled },
 {  35366, ur_m88pb_u1x8_uart0_noled_pr_u4 },
 {  35367, ur_m88pb_u1x8_uart0_noled_pr_ee },
 {  35368, ur_m88pb_u1x8_uart0_noled_pr_ee_u4 },
 {  35369, ur_m88pb_u1x8_uart0_noled_pr_ce },
 {  35370, ur_m88pb_u1x8_uart0_noled_pr_ce_u4 },
 {  35371, ur_m88pb_u1x8_uart0_noled_pr_ee_ce },
 {  35372, ur_m88pb_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  35373, ur_m88pb_u1x8_uart0_noled_hw },
 {  35374, ur_m88pb_u1x8_uart0_noled_ee_hw },
 {  35375, ur_m88pb_u1x8_uart0_noled_ce_hw },
 {  35376, ur_m88pb_u1x8_uart0_noled_ee_ce_hw },
 {  35377, ur_m88pb_u1x8_uart0_noled_ee_ce_hw },
 {  35378, ur_m88pb_u1x8_uart0_lednop },
 {  35379, ur_m88pb_u1x8_uart0_lednop },
 {  35380, ur_m88pb_u1x8_uart0_lednop_pr_u4 },
 {  35381, ur_m88pb_u1x8_uart0_lednop_pr_ee },
 {  35382, ur_m88pb_u1x8_uart0_lednop_pr_ee_u4 },
 {  35383, ur_m88pb_u1x8_uart0_lednop_pr_ce },
 {  35384, ur_m88pb_u1x8_uart0_lednop_pr_ce_u4 },
 {  35385, ur_m88pb_u1x8_uart0_lednop_pr_ee_ce },
 {  35386, ur_m88pb_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  35387, ur_m88pb_u1x8_uart0_lednop_hw },
 {  35388, ur_m88pb_u1x8_uart0_lednop_ee_hw },
 {  35389, ur_m88pb_u1x8_uart0_lednop_ce_hw },
 {  35390, ur_m88pb_u1x8_uart0_lednop_ee_ce_hw },
 {  35391, ur_m88pb_u1x8_uart0_lednop_ee_ce_hw },
 {  35392, ur_m88pb_u1x8_uart0_dual },
 {  35393, ur_m88pb_u1x8_uart0_dual_pr },
 {  35394, ur_m88pb_u1x8_uart0_dual_pr_u4 },
 {  35395, ur_m88pb_u1x8_uart0_dual_pr_ee },
 {  35396, ur_m88pb_u1x8_uart0_dual_pr_ee_u4 },
 {  35397, ur_m88pb_u1x8_uart0_dual_pr_ce },
 {  35398, ur_m88pb_u1x8_uart0_dual_pr_ce_u4 },
 {  35399, ur_m88pb_u1x8_uart0_dual_pr_ee_ce },
 {  35400, ur_m88pb_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  35401, ur_m88pb_u1x8_uart0_dual_hw },
 {  35402, ur_m88pb_u1x8_uart0_dual_ee_hw },
 {  35403, ur_m88pb_u1x8_uart0_dual_ce_hw },
 {  35404, ur_m88pb_u1x8_uart0_dual_ee_ce_hw },
 {  35405, ur_m88pb_u1x8_uart0_dual_ee_ce_u4_hw },
 {  35574, ur_m88pb_u1x12_uart0_noled },
 {  35575, ur_m88pb_u1x12_uart0_noled },
 {  35576, ur_m88pb_u1x12_uart0_noled_pr_u4 },
 {  35577, ur_m88pb_u1x12_uart0_noled_pr_ee },
 {  35578, ur_m88pb_u1x12_uart0_noled_pr_ee_u4 },
 {  35579, ur_m88pb_u1x12_uart0_noled_pr_ce },
 {  35580, ur_m88pb_u1x12_uart0_noled_pr_ce_u4 },
 {  35581, ur_m88pb_u1x12_uart0_noled_pr_ee_ce },
 {  35582, ur_m88pb_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  35583, ur_m88pb_u1x12_uart0_noled_hw },
 {  35584, ur_m88pb_u1x12_uart0_noled_ee_hw },
 {  35585, ur_m88pb_u1x12_uart0_noled_ce_hw },
 {  35586, ur_m88pb_u1x12_uart0_noled_ee_ce_hw },
 {  35587, ur_m88pb_u1x12_uart0_noled_ee_ce_hw },
 {  35588, ur_m88pb_u1x12_uart0_lednop },
 {  35589, ur_m88pb_u1x12_uart0_lednop },
 {  35590, ur_m88pb_u1x12_uart0_lednop_pr_u4 },
 {  35591, ur_m88pb_u1x12_uart0_lednop_pr_ee },
 {  35592, ur_m88pb_u1x12_uart0_lednop_pr_ee_u4 },
 {  35593, ur_m88pb_u1x12_uart0_lednop_pr_ce },
 {  35594, ur_m88pb_u1x12_uart0_lednop_pr_ce_u4 },
 {  35595, ur_m88pb_u1x12_uart0_lednop_pr_ee_ce },
 {  35596, ur_m88pb_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  35597, ur_m88pb_u1x12_uart0_lednop_hw },
 {  35598, ur_m88pb_u1x12_uart0_lednop_ee_hw },
 {  35599, ur_m88pb_u1x12_uart0_lednop_ce_hw },
 {  35600, ur_m88pb_u1x12_uart0_lednop_ee_ce_hw },
 {  35601, ur_m88pb_u1x12_uart0_lednop_ee_ce_hw },
 {  35602, ur_m88pb_u1x12_uart0_dual },
 {  35603, ur_m88pb_u1x12_uart0_dual_pr },
 {  35604, ur_m88pb_u1x12_uart0_dual_pr_u4 },
 {  35605, ur_m88pb_u1x12_uart0_dual_pr_ee },
 {  35606, ur_m88pb_u1x12_uart0_dual_pr_ee_u4 },
 {  35607, ur_m88pb_u1x12_uart0_dual_pr_ce },
 {  35608, ur_m88pb_u1x12_uart0_dual_pr_ce_u4 },
 {  35609, ur_m88pb_u1x12_uart0_dual_pr_ee_ce },
 {  35610, ur_m88pb_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  35611, ur_m88pb_u1x12_uart0_dual_hw },
 {  35612, ur_m88pb_u1x12_uart0_dual_ee_hw },
 {  35613, ur_m88pb_u1x12_uart0_dual_ce_hw },
 {  35614, ur_m88pb_u1x12_uart0_dual_ee_ce_hw },
 {  35615, ur_m88pb_u1x12_uart0_dual_ee_ce_u4_hw },
 {  35784, ur_m88pb_u2x8_uart0_noled },
 {  35785, ur_m88pb_u2x8_uart0_noled },
 {  35786, ur_m88pb_u2x8_uart0_noled_pr_u4 },
 {  35787, ur_m88pb_u2x8_uart0_noled_pr_ee },
 {  35788, ur_m88pb_u2x8_uart0_noled_pr_ee_u4 },
 {  35789, ur_m88pb_u2x8_uart0_noled_pr_ce },
 {  35790, ur_m88pb_u2x8_uart0_noled_pr_ce_u4 },
 {  35791, ur_m88pb_u2x8_uart0_noled_pr_ee_ce },
 {  35792, ur_m88pb_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  35793, ur_m88pb_u2x8_uart0_noled_hw },
 {  35794, ur_m88pb_u2x8_uart0_noled_ee_hw },
 {  35795, ur_m88pb_u2x8_uart0_noled_ce_hw },
 {  35796, ur_m88pb_u2x8_uart0_noled_ee_ce_hw },
 {  35797, ur_m88pb_u2x8_uart0_noled_ee_ce_hw },
 {  35798, ur_m88pb_u2x8_uart0_lednop },
 {  35799, ur_m88pb_u2x8_uart0_lednop },
 {  35800, ur_m88pb_u2x8_uart0_lednop_pr_u4 },
 {  35801, ur_m88pb_u2x8_uart0_lednop_pr_ee },
 {  35802, ur_m88pb_u2x8_uart0_lednop_pr_ee_u4 },
 {  35803, ur_m88pb_u2x8_uart0_lednop_pr_ce },
 {  35804, ur_m88pb_u2x8_uart0_lednop_pr_ce_u4 },
 {  35805, ur_m88pb_u2x8_uart0_lednop_pr_ee_ce },
 {  35806, ur_m88pb_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  35807, ur_m88pb_u2x8_uart0_lednop_hw },
 {  35808, ur_m88pb_u2x8_uart0_lednop_ee_hw },
 {  35809, ur_m88pb_u2x8_uart0_lednop_ce_hw },
 {  35810, ur_m88pb_u2x8_uart0_lednop_ee_ce_hw },
 {  35811, ur_m88pb_u2x8_uart0_lednop_ee_ce_hw },
 {  35812, ur_m88pb_u2x8_uart0_dual },
 {  35813, ur_m88pb_u2x8_uart0_dual_pr },
 {  35814, ur_m88pb_u2x8_uart0_dual_pr_u4 },
 {  35815, ur_m88pb_u2x8_uart0_dual_pr_ee },
 {  35816, ur_m88pb_u2x8_uart0_dual_pr_ee_u4 },
 {  35817, ur_m88pb_u2x8_uart0_dual_pr_ce },
 {  35818, ur_m88pb_u2x8_uart0_dual_pr_ce_u4 },
 {  35819, ur_m88pb_u2x8_uart0_dual_pr_ee_ce },
 {  35820, ur_m88pb_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  35821, ur_m88pb_u2x8_uart0_dual_hw },
 {  35822, ur_m88pb_u2x8_uart0_dual_ee_hw },
 {  35823, ur_m88pb_u2x8_uart0_dual_ce_hw },
 {  35824, ur_m88pb_u2x8_uart0_dual_ee_ce_hw },
 {  35825, ur_m88pb_u2x8_uart0_dual_ee_ce_u4_hw },
 {  35994, ur_m88pb_u2x12_uart0_noled },
 {  35995, ur_m88pb_u2x12_uart0_noled },
 {  35996, ur_m88pb_u2x12_uart0_noled_pr_u4 },
 {  35997, ur_m88pb_u2x12_uart0_noled_pr_ee },
 {  35998, ur_m88pb_u2x12_uart0_noled_pr_ee_u4 },
 {  35999, ur_m88pb_u2x12_uart0_noled_pr_ce },
 {  36000, ur_m88pb_u2x12_uart0_noled_pr_ce_u4 },
 {  36001, ur_m88pb_u2x12_uart0_noled_pr_ee_ce },
 {  36002, ur_m88pb_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  36003, ur_m88pb_u2x12_uart0_noled_hw },
 {  36004, ur_m88pb_u2x12_uart0_noled_ee_hw },
 {  36005, ur_m88pb_u2x12_uart0_noled_ce_hw },
 {  36006, ur_m88pb_u2x12_uart0_noled_ee_ce_hw },
 {  36007, ur_m88pb_u2x12_uart0_noled_ee_ce_hw },
 {  36008, ur_m88pb_u2x12_uart0_lednop },
 {  36009, ur_m88pb_u2x12_uart0_lednop },
 {  36010, ur_m88pb_u2x12_uart0_lednop_pr_u4 },
 {  36011, ur_m88pb_u2x12_uart0_lednop_pr_ee },
 {  36012, ur_m88pb_u2x12_uart0_lednop_pr_ee_u4 },
 {  36013, ur_m88pb_u2x12_uart0_lednop_pr_ce },
 {  36014, ur_m88pb_u2x12_uart0_lednop_pr_ce_u4 },
 {  36015, ur_m88pb_u2x12_uart0_lednop_pr_ee_ce },
 {  36016, ur_m88pb_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  36017, ur_m88pb_u2x12_uart0_lednop_hw },
 {  36018, ur_m88pb_u2x12_uart0_lednop_ee_hw },
 {  36019, ur_m88pb_u2x12_uart0_lednop_ce_hw },
 {  36020, ur_m88pb_u2x12_uart0_lednop_ee_ce_hw },
 {  36021, ur_m88pb_u2x12_uart0_lednop_ee_ce_hw },
 {  36022, ur_m88pb_u2x12_uart0_dual },
 {  36023, ur_m88pb_u2x12_uart0_dual_pr },
 {  36024, ur_m88pb_u2x12_uart0_dual_pr_u4 },
 {  36025, ur_m88pb_u2x12_uart0_dual_pr_ee },
 {  36026, ur_m88pb_u2x12_uart0_dual_pr_ee },
 {  36027, ur_m88pb_u2x12_uart0_dual_pr_ce },
 {  36028, ur_m88pb_u2x12_uart0_dual_pr_ce_u4 },
 {  36029, ur_m88pb_u2x12_uart0_dual_pr_ee_ce },
 {  36030, ur_m88pb_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  36031, ur_m88pb_u2x12_uart0_dual_hw },
 {  36032, ur_m88pb_u2x12_uart0_dual_ee_hw },
 {  36033, ur_m88pb_u2x12_uart0_dual_ce_hw },
 {  36034, ur_m88pb_u2x12_uart0_dual_ee_ce_hw },
 {  36035, ur_m88pb_u2x12_uart0_dual_ee_ce_u4_hw },
 {  36204, ur_m88pb_swio10_noled },
 {  36205, ur_m88pb_swio10_noled_pr },
 {  36206, ur_m88pb_swio10_noled_pr_u4 },
 {  36207, ur_m88pb_swio10_noled_pr_ee },
 {  36208, ur_m88pb_swio10_noled_pr_ee_u4 },
 {  36209, ur_m88pb_swio10_noled_pr_ce },
 {  36210, ur_m88pb_swio10_noled_pr_ce_u4 },
 {  36211, ur_m88pb_swio10_noled_pr_ee_ce },
 {  36212, ur_m88pb_swio10_noled_pr_ee_ce_u4 },
 {  36213, ur_m88pb_swio10_noled_hw },
 {  36214, ur_m88pb_swio10_noled_ee_hw },
 {  36215, ur_m88pb_swio10_noled_ce_hw },
 {  36216, ur_m88pb_swio10_noled_ee_ce_hw },
 {  36217, ur_m88pb_swio10_noled_ee_ce_hw },
 {  36218, ur_m88pb_swio10_lednop },
 {  36219, ur_m88pb_swio10_lednop_pr },
 {  36220, ur_m88pb_swio10_lednop_pr_u4 },
 {  36221, ur_m88pb_swio10_lednop_pr_ee },
 {  36222, ur_m88pb_swio10_lednop_pr_ee_u4 },
 {  36223, ur_m88pb_swio10_lednop_pr_ce },
 {  36224, ur_m88pb_swio10_lednop_pr_ce_u4 },
 {  36225, ur_m88pb_swio10_lednop_pr_ee_ce },
 {  36226, ur_m88pb_swio10_lednop_pr_ee_ce_u4 },
 {  36227, ur_m88pb_swio10_lednop_hw },
 {  36228, ur_m88pb_swio10_lednop_ee_hw },
 {  36229, ur_m88pb_swio10_lednop_ce_hw },
 {  36230, ur_m88pb_swio10_lednop_ee_ce_hw },
 {  36231, ur_m88pb_swio10_lednop_ee_ce_hw },
 {  36232, ur_m88pb_swio10_dual },
 {  36233, ur_m88pb_swio10_dual },
 {  36234, ur_m88pb_swio10_dual_pr_u4 },
 {  36235, ur_m88pb_swio10_dual_pr_ee },
 {  36236, ur_m88pb_swio10_dual_pr_ee_u4 },
 {  36237, ur_m88pb_swio10_dual_pr_ce },
 {  36238, ur_m88pb_swio10_dual_pr_ce_u4 },
 {  36239, ur_m88pb_swio10_dual_pr_ee_ce },
 {  36240, ur_m88pb_swio10_dual_pr_ee_ce_u4 },
 {  36241, ur_m88pb_swio10_dual_hw },
 {  36242, ur_m88pb_swio10_dual_ee_hw },
 {  36243, ur_m88pb_swio10_dual_ce_hw },
 {  36244, ur_m88pb_swio10_dual_ee_ce_hw },
 {  36245, ur_m88pb_swio10_dual_ee_ce_u4_hw },
 {  36246, ur_m88pb_swio11_noled },
 {  36247, ur_m88pb_swio11_noled_pr },
 {  36248, ur_m88pb_swio11_noled_pr_u4 },
 {  36249, ur_m88pb_swio11_noled_pr_ee },
 {  36250, ur_m88pb_swio11_noled_pr_ee_u4 },
 {  36251, ur_m88pb_swio11_noled_pr_ce },
 {  36252, ur_m88pb_swio11_noled_pr_ce_u4 },
 {  36253, ur_m88pb_swio11_noled_pr_ee_ce },
 {  36254, ur_m88pb_swio11_noled_pr_ee_ce_u4 },
 {  36255, ur_m88pb_swio11_noled_hw },
 {  36256, ur_m88pb_swio11_noled_ee_hw },
 {  36257, ur_m88pb_swio11_noled_ce_hw },
 {  36258, ur_m88pb_swio11_noled_ee_ce_hw },
 {  36259, ur_m88pb_swio11_noled_ee_ce_hw },
 {  36260, ur_m88pb_swio11_lednop },
 {  36261, ur_m88pb_swio11_lednop_pr },
 {  36262, ur_m88pb_swio11_lednop_pr_u4 },
 {  36263, ur_m88pb_swio11_lednop_pr_ee },
 {  36264, ur_m88pb_swio11_lednop_pr_ee_u4 },
 {  36265, ur_m88pb_swio11_lednop_pr_ce },
 {  36266, ur_m88pb_swio11_lednop_pr_ce_u4 },
 {  36267, ur_m88pb_swio11_lednop_pr_ee_ce },
 {  36268, ur_m88pb_swio11_lednop_pr_ee_ce_u4 },
 {  36269, ur_m88pb_swio11_lednop_hw },
 {  36270, ur_m88pb_swio11_lednop_ee_hw },
 {  36271, ur_m88pb_swio11_lednop_ce_hw },
 {  36272, ur_m88pb_swio11_lednop_ee_ce_hw },
 {  36273, ur_m88pb_swio11_lednop_ee_ce_hw },
 {  36274, ur_m88pb_swio11_dual },
 {  36275, ur_m88pb_swio11_dual },
 {  36276, ur_m88pb_swio11_dual_pr_u4 },
 {  36277, ur_m88pb_swio11_dual_pr_ee },
 {  36278, ur_m88pb_swio11_dual_pr_ee_u4 },
 {  36279, ur_m88pb_swio11_dual_pr_ce },
 {  36280, ur_m88pb_swio11_dual_pr_ce_u4 },
 {  36281, ur_m88pb_swio11_dual_pr_ee_ce },
 {  36282, ur_m88pb_swio11_dual_pr_ee_ce_u4 },
 {  36283, ur_m88pb_swio11_dual_hw },
 {  36284, ur_m88pb_swio11_dual_ee_hw },
 {  36285, ur_m88pb_swio11_dual_ce_hw },
 {  36286, ur_m88pb_swio11_dual_ee_ce_hw },
 {  36287, ur_m88pb_swio11_dual_ee_ce_u4_hw },
 {  36288, ur_m88pb_swio11_noled },
 {  36289, ur_m88pb_swio11_noled_pr },
 {  36290, ur_m88pb_swio11_noled_pr_u4 },
 {  36291, ur_m88pb_swio11_noled_pr_ee },
 {  36292, ur_m88pb_swio11_noled_pr_ee_u4 },
 {  36293, ur_m88pb_swio11_noled_pr_ce },
 {  36294, ur_m88pb_swio11_noled_pr_ce_u4 },
 {  36295, ur_m88pb_swio11_noled_pr_ee_ce },
 {  36296, ur_m88pb_swio11_noled_pr_ee_ce_u4 },
 {  36297, ur_m88pb_swio11_noled_hw },
 {  36298, ur_m88pb_swio11_noled_ee_hw },
 {  36299, ur_m88pb_swio11_noled_ce_hw },
 {  36300, ur_m88pb_swio11_noled_ee_ce_hw },
 {  36301, ur_m88pb_swio11_noled_ee_ce_hw },
 {  36302, ur_m88pb_swio11_lednop },
 {  36303, ur_m88pb_swio11_lednop_pr },
 {  36304, ur_m88pb_swio11_lednop_pr_u4 },
 {  36305, ur_m88pb_swio11_lednop_pr_ee },
 {  36306, ur_m88pb_swio11_lednop_pr_ee_u4 },
 {  36307, ur_m88pb_swio11_lednop_pr_ce },
 {  36308, ur_m88pb_swio11_lednop_pr_ce_u4 },
 {  36309, ur_m88pb_swio11_lednop_pr_ee_ce },
 {  36310, ur_m88pb_swio11_lednop_pr_ee_ce_u4 },
 {  36311, ur_m88pb_swio11_lednop_hw },
 {  36312, ur_m88pb_swio11_lednop_ee_hw },
 {  36313, ur_m88pb_swio11_lednop_ce_hw },
 {  36314, ur_m88pb_swio11_lednop_ee_ce_hw },
 {  36315, ur_m88pb_swio11_lednop_ee_ce_hw },
 {  36316, ur_m88pb_swio11_dual },
 {  36317, ur_m88pb_swio11_dual },
 {  36318, ur_m88pb_swio11_dual_pr_u4 },
 {  36319, ur_m88pb_swio11_dual_pr_ee },
 {  36320, ur_m88pb_swio11_dual_pr_ee_u4 },
 {  36321, ur_m88pb_swio11_dual_pr_ce },
 {  36322, ur_m88pb_swio11_dual_pr_ce_u4 },
 {  36323, ur_m88pb_swio11_dual_pr_ee_ce },
 {  36324, ur_m88pb_swio11_dual_pr_ee_ce_u4 },
 {  36325, ur_m88pb_swio11_dual_hw },
 {  36326, ur_m88pb_swio11_dual_ee_hw },
 {  36327, ur_m88pb_swio11_dual_ce_hw },
 {  36328, ur_m88pb_swio11_dual_ee_ce_hw },
 {  36329, ur_m88pb_swio11_dual_ee_ce_u4_hw },
 {  36330, ur_m88pb_swio13_noled },
 {  36331, ur_m88pb_swio13_noled_pr },
 {  36332, ur_m88pb_swio13_noled_pr_u4 },
 {  36333, ur_m88pb_swio13_noled_pr_ee },
 {  36334, ur_m88pb_swio13_noled_pr_ee_u4 },
 {  36335, ur_m88pb_swio13_noled_pr_ce },
 {  36336, ur_m88pb_swio13_noled_pr_ce_u4 },
 {  36337, ur_m88pb_swio13_noled_pr_ee_ce },
 {  36338, ur_m88pb_swio13_noled_pr_ee_ce_u4 },
 {  36339, ur_m88pb_swio13_noled_hw },
 {  36340, ur_m88pb_swio13_noled_ee_hw },
 {  36341, ur_m88pb_swio13_noled_ce_hw },
 {  36342, ur_m88pb_swio13_noled_ee_ce_hw },
 {  36343, ur_m88pb_swio13_noled_ee_ce_hw },
 {  36344, ur_m88pb_swio13_lednop },
 {  36345, ur_m88pb_swio13_lednop_pr },
 {  36346, ur_m88pb_swio13_lednop_pr_u4 },
 {  36347, ur_m88pb_swio13_lednop_pr_ee },
 {  36348, ur_m88pb_swio13_lednop_pr_ee_u4 },
 {  36349, ur_m88pb_swio13_lednop_pr_ce },
 {  36350, ur_m88pb_swio13_lednop_pr_ce_u4 },
 {  36351, ur_m88pb_swio13_lednop_pr_ee_ce },
 {  36352, ur_m88pb_swio13_lednop_pr_ee_ce_u4 },
 {  36353, ur_m88pb_swio13_lednop_hw },
 {  36354, ur_m88pb_swio13_lednop_ee_hw },
 {  36355, ur_m88pb_swio13_lednop_ce_hw },
 {  36356, ur_m88pb_swio13_lednop_ee_ce_hw },
 {  36357, ur_m88pb_swio13_lednop_ee_ce_hw },
 {  36358, ur_m88pb_swio13_dual },
 {  36359, ur_m88pb_swio13_dual },
 {  36360, ur_m88pb_swio13_dual_pr_u4 },
 {  36361, ur_m88pb_swio13_dual_pr_ee },
 {  36362, ur_m88pb_swio13_dual_pr_ee_u4 },
 {  36363, ur_m88pb_swio13_dual_pr_ce },
 {  36364, ur_m88pb_swio13_dual_pr_ce_u4 },
 {  36365, ur_m88pb_swio13_dual_pr_ee_ce },
 {  36366, ur_m88pb_swio13_dual_pr_ee_ce_u4 },
 {  36367, ur_m88pb_swio13_dual_hw },
 {  36368, ur_m88pb_swio13_dual_ee_hw },
 {  36369, ur_m88pb_swio13_dual_ce_hw },
 {  36370, ur_m88pb_swio13_dual_ee_ce_hw },
 {  36371, ur_m88pb_swio13_dual_ee_ce_u4_hw },
 {  36372, ur_m88pb_swio14_noled },
 {  36373, ur_m88pb_swio14_noled_pr },
 {  36374, ur_m88pb_swio14_noled_pr_u4 },
 {  36375, ur_m88pb_swio14_noled_pr_ee },
 {  36376, ur_m88pb_swio14_noled_pr_ee_u4 },
 {  36377, ur_m88pb_swio14_noled_pr_ce },
 {  36378, ur_m88pb_swio14_noled_pr_ce_u4 },
 {  36379, ur_m88pb_swio14_noled_pr_ee_ce },
 {  36380, ur_m88pb_swio14_noled_pr_ee_ce_u4 },
 {  36381, ur_m88pb_swio14_noled_hw },
 {  36382, ur_m88pb_swio14_noled_ee_hw },
 {  36383, ur_m88pb_swio14_noled_ce_hw },
 {  36384, ur_m88pb_swio14_noled_ee_ce_hw },
 {  36385, ur_m88pb_swio14_noled_ee_ce_hw },
 {  36386, ur_m88pb_swio14_lednop },
 {  36387, ur_m88pb_swio14_lednop_pr },
 {  36388, ur_m88pb_swio14_lednop_pr_u4 },
 {  36389, ur_m88pb_swio14_lednop_pr_ee },
 {  36390, ur_m88pb_swio14_lednop_pr_ee_u4 },
 {  36391, ur_m88pb_swio14_lednop_pr_ce },
 {  36392, ur_m88pb_swio14_lednop_pr_ce_u4 },
 {  36393, ur_m88pb_swio14_lednop_pr_ee_ce },
 {  36394, ur_m88pb_swio14_lednop_pr_ee_ce_u4 },
 {  36395, ur_m88pb_swio14_lednop_hw },
 {  36396, ur_m88pb_swio14_lednop_ee_hw },
 {  36397, ur_m88pb_swio14_lednop_ce_hw },
 {  36398, ur_m88pb_swio14_lednop_ee_ce_hw },
 {  36399, ur_m88pb_swio14_lednop_ee_ce_hw },
 {  36400, ur_m88pb_swio14_dual },
 {  36401, ur_m88pb_swio14_dual },
 {  36402, ur_m88pb_swio14_dual_pr_u4 },
 {  36403, ur_m88pb_swio14_dual_pr_ee },
 {  36404, ur_m88pb_swio14_dual_pr_ee_u4 },
 {  36405, ur_m88pb_swio14_dual_pr_ce },
 {  36406, ur_m88pb_swio14_dual_pr_ce_u4 },
 {  36407, ur_m88pb_swio14_dual_pr_ee_ce },
 {  36408, ur_m88pb_swio14_dual_pr_ee_ce_u4 },
 {  36409, ur_m88pb_swio14_dual_hw },
 {  36410, ur_m88pb_swio14_dual_ee_hw },
 {  36411, ur_m88pb_swio14_dual_ce_hw },
 {  36412, ur_m88pb_swio14_dual_ee_ce_hw },
 {  36413, ur_m88pb_swio14_dual_ee_ce_u4_hw },
 {  36414, ur_m88pb_swio15_noled },
 {  36415, ur_m88pb_swio15_noled_pr },
 {  36416, ur_m88pb_swio15_noled_pr_u4 },
 {  36417, ur_m88pb_swio15_noled_pr_ee },
 {  36418, ur_m88pb_swio15_noled_pr_ee_u4 },
 {  36419, ur_m88pb_swio15_noled_pr_ce },
 {  36420, ur_m88pb_swio15_noled_pr_ce_u4 },
 {  36421, ur_m88pb_swio15_noled_pr_ee_ce },
 {  36422, ur_m88pb_swio15_noled_pr_ee_ce_u4 },
 {  36423, ur_m88pb_swio15_noled_hw },
 {  36424, ur_m88pb_swio15_noled_ee_hw },
 {  36425, ur_m88pb_swio15_noled_ce_hw },
 {  36426, ur_m88pb_swio15_noled_ee_ce_hw },
 {  36427, ur_m88pb_swio15_noled_ee_ce_hw },
 {  36428, ur_m88pb_swio15_lednop },
 {  36429, ur_m88pb_swio15_lednop_pr },
 {  36430, ur_m88pb_swio15_lednop_pr_u4 },
 {  36431, ur_m88pb_swio15_lednop_pr_ee },
 {  36432, ur_m88pb_swio15_lednop_pr_ee_u4 },
 {  36433, ur_m88pb_swio15_lednop_pr_ce },
 {  36434, ur_m88pb_swio15_lednop_pr_ce_u4 },
 {  36435, ur_m88pb_swio15_lednop_pr_ee_ce },
 {  36436, ur_m88pb_swio15_lednop_pr_ee_ce_u4 },
 {  36437, ur_m88pb_swio15_lednop_hw },
 {  36438, ur_m88pb_swio15_lednop_ee_hw },
 {  36439, ur_m88pb_swio15_lednop_ce_hw },
 {  36440, ur_m88pb_swio15_lednop_ee_ce_hw },
 {  36441, ur_m88pb_swio15_lednop_ee_ce_hw },
 {  36442, ur_m88pb_swio15_dual },
 {  36443, ur_m88pb_swio15_dual },
 {  36444, ur_m88pb_swio15_dual_pr_u4 },
 {  36445, ur_m88pb_swio15_dual_pr_ee },
 {  36446, ur_m88pb_swio15_dual_pr_ee_u4 },
 {  36447, ur_m88pb_swio15_dual_pr_ce },
 {  36448, ur_m88pb_swio15_dual_pr_ce_u4 },
 {  36449, ur_m88pb_swio15_dual_pr_ee_ce },
 {  36450, ur_m88pb_swio15_dual_pr_ee_ce_u4 },
 {  36451, ur_m88pb_swio15_dual_hw },
 {  36452, ur_m88pb_swio15_dual_ee_hw },
 {  36453, ur_m88pb_swio15_dual_ce_hw },
 {  36454, ur_m88pb_swio15_dual_ee_ce_hw },
 {  36455, ur_m88pb_swio15_dual_ee_ce_u4_hw },
 {  36456, ur_m168_autobaud_uart0_noled },
 {  36457, ur_m168_autobaud_uart0_noled },
 {  36458, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  36459, ur_m168_autobaud_uart0_noled_pr_ee },
 {  36460, ur_m168_autobaud_uart0_noled_pr_ee },
 {  36461, ur_m168_autobaud_uart0_noled_pr_ce },
 {  36462, ur_m168_autobaud_uart0_noled_pr_ce },
 {  36463, ur_m168_autobaud_uart0_noled_pr_ee_ce },
 {  36464, ur_m168_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  36465, ur_m168_autobaud_uart0_noled_hw },
 {  36466, ur_m168_autobaud_uart0_noled_ee_hw },
 {  36467, ur_m168_autobaud_uart0_noled_ce_hw },
 {  36468, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  36469, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  36470, ur_m168_autobaud_uart0_lednop },
 {  36471, ur_m168_autobaud_uart0_lednop },
 {  36472, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  36473, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  36474, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  36475, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  36476, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  36477, ur_m168_autobaud_uart0_lednop_pr_ee_ce },
 {  36478, ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  36479, ur_m168_autobaud_uart0_lednop_hw },
 {  36480, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  36481, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  36482, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  36483, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  36484, ur_m168_autobaud_uart0_dual },
 {  36485, ur_m168_autobaud_uart0_dual },
 {  36486, ur_m168_autobaud_uart0_dual },
 {  36487, ur_m168_autobaud_uart0_dual_pr_ee },
 {  36488, ur_m168_autobaud_uart0_dual_pr_ee_u4 },
 {  36489, ur_m168_autobaud_uart0_dual_pr_ce },
 {  36490, ur_m168_autobaud_uart0_dual_pr_ce },
 {  36491, ur_m168_autobaud_uart0_dual_pr_ee_ce },
 {  36492, ur_m168_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  36493, ur_m168_autobaud_uart0_dual_hw },
 {  36494, ur_m168_autobaud_uart0_dual_ee_hw },
 {  36495, ur_m168_autobaud_uart0_dual_ce_hw },
 {  36496, ur_m168_autobaud_uart0_dual_ee_ce_hw },
 {  36497, ur_m168_autobaud_uart0_dual_ee_ce_u4_hw },
 {  36666, ur_m168_u1x8_uart0_noled },
 {  36667, ur_m168_u1x8_uart0_noled },
 {  36668, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  36669, ur_m168_u1x8_uart0_noled_pr_ee },
 {  36670, ur_m168_u1x8_uart0_noled_pr_ee },
 {  36671, ur_m168_u1x8_uart0_noled_pr_ce },
 {  36672, ur_m168_u1x8_uart0_noled_pr_ce_u4 },
 {  36673, ur_m168_u1x8_uart0_noled_pr_ee_ce },
 {  36674, ur_m168_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  36675, ur_m168_u1x8_uart0_noled_hw },
 {  36676, ur_m168_u1x8_uart0_noled_ee_hw },
 {  36677, ur_m168_u1x8_uart0_noled_ce_hw },
 {  36678, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  36679, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  36680, ur_m168_u1x8_uart0_lednop },
 {  36681, ur_m168_u1x8_uart0_lednop },
 {  36682, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  36683, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  36684, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  36685, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  36686, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  36687, ur_m168_u1x8_uart0_lednop_pr_ee_ce },
 {  36688, ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  36689, ur_m168_u1x8_uart0_lednop_hw },
 {  36690, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  36691, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  36692, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  36693, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  36694, ur_m168_u1x8_uart0_dual },
 {  36695, ur_m168_u1x8_uart0_dual },
 {  36696, ur_m168_u1x8_uart0_dual_pr_u4 },
 {  36697, ur_m168_u1x8_uart0_dual_pr_ee },
 {  36698, ur_m168_u1x8_uart0_dual_pr_ee },
 {  36699, ur_m168_u1x8_uart0_dual_pr_ce },
 {  36700, ur_m168_u1x8_uart0_dual_pr_ce },
 {  36701, ur_m168_u1x8_uart0_dual_pr_ee_ce },
 {  36702, ur_m168_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  36703, ur_m168_u1x8_uart0_dual_hw },
 {  36704, ur_m168_u1x8_uart0_dual_ee_hw },
 {  36705, ur_m168_u1x8_uart0_dual_ce_hw },
 {  36706, ur_m168_u1x8_uart0_dual_ee_ce_hw },
 {  36707, ur_m168_u1x8_uart0_dual_ee_ce_u4_hw },
 {  36876, ur_m168_u1x12_uart0_noled },
 {  36877, ur_m168_u1x12_uart0_noled },
 {  36878, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  36879, ur_m168_u1x12_uart0_noled_pr_ee },
 {  36880, ur_m168_u1x12_uart0_noled_pr_ee },
 {  36881, ur_m168_u1x12_uart0_noled_pr_ce },
 {  36882, ur_m168_u1x12_uart0_noled_pr_ce_u4 },
 {  36883, ur_m168_u1x12_uart0_noled_pr_ee_ce },
 {  36884, ur_m168_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  36885, ur_m168_u1x12_uart0_noled_hw },
 {  36886, ur_m168_u1x12_uart0_noled_ee_hw },
 {  36887, ur_m168_u1x12_uart0_noled_ce_hw },
 {  36888, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  36889, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  36890, ur_m168_u1x12_uart0_lednop },
 {  36891, ur_m168_u1x12_uart0_lednop },
 {  36892, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  36893, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  36894, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  36895, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  36896, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  36897, ur_m168_u1x12_uart0_lednop_pr_ee_ce },
 {  36898, ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  36899, ur_m168_u1x12_uart0_lednop_hw },
 {  36900, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  36901, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  36902, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  36903, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  36904, ur_m168_u1x12_uart0_dual },
 {  36905, ur_m168_u1x12_uart0_dual_pr },
 {  36906, ur_m168_u1x12_uart0_dual_pr_u4 },
 {  36907, ur_m168_u1x12_uart0_dual_pr_ee },
 {  36908, ur_m168_u1x12_uart0_dual_pr_ee },
 {  36909, ur_m168_u1x12_uart0_dual_pr_ce },
 {  36910, ur_m168_u1x12_uart0_dual_pr_ce },
 {  36911, ur_m168_u1x12_uart0_dual_pr_ee_ce },
 {  36912, ur_m168_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  36913, ur_m168_u1x12_uart0_dual_hw },
 {  36914, ur_m168_u1x12_uart0_dual_ee_hw },
 {  36915, ur_m168_u1x12_uart0_dual_ce_hw },
 {  36916, ur_m168_u1x12_uart0_dual_ee_ce_hw },
 {  36917, ur_m168_u1x12_uart0_dual_ee_ce_u4_hw },
 {  37086, ur_m168_u2x8_uart0_noled },
 {  37087, ur_m168_u2x8_uart0_noled },
 {  37088, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  37089, ur_m168_u2x8_uart0_noled_pr_ee },
 {  37090, ur_m168_u2x8_uart0_noled_pr_ee },
 {  37091, ur_m168_u2x8_uart0_noled_pr_ce },
 {  37092, ur_m168_u2x8_uart0_noled_pr_ce_u4 },
 {  37093, ur_m168_u2x8_uart0_noled_pr_ee_ce },
 {  37094, ur_m168_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  37095, ur_m168_u2x8_uart0_noled_hw },
 {  37096, ur_m168_u2x8_uart0_noled_ee_hw },
 {  37097, ur_m168_u2x8_uart0_noled_ce_hw },
 {  37098, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  37099, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  37100, ur_m168_u2x8_uart0_lednop },
 {  37101, ur_m168_u2x8_uart0_lednop },
 {  37102, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  37103, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  37104, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  37105, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  37106, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  37107, ur_m168_u2x8_uart0_lednop_pr_ee_ce },
 {  37108, ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  37109, ur_m168_u2x8_uart0_lednop_hw },
 {  37110, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  37111, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  37112, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  37113, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  37114, ur_m168_u2x8_uart0_dual },
 {  37115, ur_m168_u2x8_uart0_dual_pr },
 {  37116, ur_m168_u2x8_uart0_dual_pr_u4 },
 {  37117, ur_m168_u2x8_uart0_dual_pr_ee },
 {  37118, ur_m168_u2x8_uart0_dual_pr_ee },
 {  37119, ur_m168_u2x8_uart0_dual_pr_ce },
 {  37120, ur_m168_u2x8_uart0_dual_pr_ce },
 {  37121, ur_m168_u2x8_uart0_dual_pr_ee_ce },
 {  37122, ur_m168_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  37123, ur_m168_u2x8_uart0_dual_hw },
 {  37124, ur_m168_u2x8_uart0_dual_ee_hw },
 {  37125, ur_m168_u2x8_uart0_dual_ce_hw },
 {  37126, ur_m168_u2x8_uart0_dual_ee_ce_hw },
 {  37127, ur_m168_u2x8_uart0_dual_ee_ce_u4_hw },
 {  37296, ur_m168_u2x12_uart0_noled },
 {  37297, ur_m168_u2x12_uart0_noled },
 {  37298, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  37299, ur_m168_u2x12_uart0_noled_pr_ee },
 {  37300, ur_m168_u2x12_uart0_noled_pr_ee },
 {  37301, ur_m168_u2x12_uart0_noled_pr_ce },
 {  37302, ur_m168_u2x12_uart0_noled_pr_ce },
 {  37303, ur_m168_u2x12_uart0_noled_pr_ee_ce },
 {  37304, ur_m168_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  37305, ur_m168_u2x12_uart0_noled_hw },
 {  37306, ur_m168_u2x12_uart0_noled_ee_hw },
 {  37307, ur_m168_u2x12_uart0_noled_ce_hw },
 {  37308, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  37309, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  37310, ur_m168_u2x12_uart0_lednop },
 {  37311, ur_m168_u2x12_uart0_lednop },
 {  37312, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  37313, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  37314, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  37315, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  37316, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  37317, ur_m168_u2x12_uart0_lednop_pr_ee_ce },
 {  37318, ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  37319, ur_m168_u2x12_uart0_lednop_hw },
 {  37320, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  37321, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  37322, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  37323, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  37324, ur_m168_u2x12_uart0_dual },
 {  37325, ur_m168_u2x12_uart0_dual_pr },
 {  37326, ur_m168_u2x12_uart0_dual_pr },
 {  37327, ur_m168_u2x12_uart0_dual_pr_ee },
 {  37328, ur_m168_u2x12_uart0_dual_pr_ee },
 {  37329, ur_m168_u2x12_uart0_dual_pr_ce },
 {  37330, ur_m168_u2x12_uart0_dual_pr_ce },
 {  37331, ur_m168_u2x12_uart0_dual_pr_ee_ce },
 {  37332, ur_m168_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  37333, ur_m168_u2x12_uart0_dual_hw },
 {  37334, ur_m168_u2x12_uart0_dual_ee_hw },
 {  37335, ur_m168_u2x12_uart0_dual_ce_hw },
 {  37336, ur_m168_u2x12_uart0_dual_ee_ce_hw },
 {  37337, ur_m168_u2x12_uart0_dual_ee_ce_u4_hw },
 {  37506, ur_m168_swio10_noled },
 {  37507, ur_m168_swio10_noled },
 {  37508, ur_m168_swio10_noled_pr_u4 },
 {  37509, ur_m168_swio10_noled_pr_ee },
 {  37510, ur_m168_swio10_noled_pr_ee },
 {  37511, ur_m168_swio10_noled_pr_ce },
 {  37512, ur_m168_swio10_noled_pr_ce },
 {  37513, ur_m168_swio10_noled_pr_ee_ce },
 {  37514, ur_m168_swio10_noled_pr_ee_ce_u4 },
 {  37515, ur_m168_swio10_noled_hw },
 {  37516, ur_m168_swio10_noled_ee_hw },
 {  37517, ur_m168_swio10_noled_ce_hw },
 {  37518, ur_m168_swio10_noled_ee_ce_hw },
 {  37519, ur_m168_swio10_noled_ee_ce_hw },
 {  37520, ur_m168_swio10_lednop },
 {  37521, ur_m168_swio10_lednop_pr },
 {  37522, ur_m168_swio10_lednop_pr },
 {  37523, ur_m168_swio10_lednop_pr_ee },
 {  37524, ur_m168_swio10_lednop_pr_ee },
 {  37525, ur_m168_swio10_lednop_pr_ce },
 {  37526, ur_m168_swio10_lednop_pr_ce },
 {  37527, ur_m168_swio10_lednop_pr_ee_ce },
 {  37528, ur_m168_swio10_lednop_pr_ee_ce_u4 },
 {  37529, ur_m168_swio10_lednop_hw },
 {  37530, ur_m168_swio10_lednop_ee_hw },
 {  37531, ur_m168_swio10_lednop_ce_hw },
 {  37532, ur_m168_swio10_lednop_ee_ce_hw },
 {  37533, ur_m168_swio10_lednop_ee_ce_hw },
 {  37534, ur_m168_swio10_dual },
 {  37535, ur_m168_swio10_dual },
 {  37536, ur_m168_swio10_dual },
 {  37537, ur_m168_swio10_dual_pr_ee },
 {  37538, ur_m168_swio10_dual_pr_ee_u4 },
 {  37539, ur_m168_swio10_dual_pr_ce },
 {  37540, ur_m168_swio10_dual_pr_ce_u4 },
 {  37541, ur_m168_swio10_dual_pr_ee_ce },
 {  37542, ur_m168_swio10_dual_pr_ee_ce_u4 },
 {  37543, ur_m168_swio10_dual_hw },
 {  37544, ur_m168_swio10_dual_ee_hw },
 {  37545, ur_m168_swio10_dual_ce_hw },
 {  37546, ur_m168_swio10_dual_ee_ce_hw },
 {  37547, ur_m168_swio10_dual_ee_ce_u4_hw },
 {  37548, ur_m168_swio11_noled },
 {  37549, ur_m168_swio11_noled },
 {  37550, ur_m168_swio11_noled_pr_u4 },
 {  37551, ur_m168_swio11_noled_pr_ee },
 {  37552, ur_m168_swio11_noled_pr_ee },
 {  37553, ur_m168_swio11_noled_pr_ce },
 {  37554, ur_m168_swio11_noled_pr_ce },
 {  37555, ur_m168_swio11_noled_pr_ee_ce },
 {  37556, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  37557, ur_m168_swio11_noled_hw },
 {  37558, ur_m168_swio11_noled_ee_hw },
 {  37559, ur_m168_swio11_noled_ce_hw },
 {  37560, ur_m168_swio11_noled_ee_ce_hw },
 {  37561, ur_m168_swio11_noled_ee_ce_hw },
 {  37562, ur_m168_swio11_lednop },
 {  37563, ur_m168_swio11_lednop_pr },
 {  37564, ur_m168_swio11_lednop_pr },
 {  37565, ur_m168_swio11_lednop_pr_ee },
 {  37566, ur_m168_swio11_lednop_pr_ee_u4 },
 {  37567, ur_m168_swio11_lednop_pr_ce },
 {  37568, ur_m168_swio11_lednop_pr_ce },
 {  37569, ur_m168_swio11_lednop_pr_ee_ce },
 {  37570, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  37571, ur_m168_swio11_lednop_hw },
 {  37572, ur_m168_swio11_lednop_ee_hw },
 {  37573, ur_m168_swio11_lednop_ce_hw },
 {  37574, ur_m168_swio11_lednop_ee_ce_hw },
 {  37575, ur_m168_swio11_lednop_ee_ce_hw },
 {  37576, ur_m168_swio11_dual },
 {  37577, ur_m168_swio11_dual },
 {  37578, ur_m168_swio11_dual },
 {  37579, ur_m168_swio11_dual_pr_ee },
 {  37580, ur_m168_swio11_dual_pr_ee_u4 },
 {  37581, ur_m168_swio11_dual_pr_ce },
 {  37582, ur_m168_swio11_dual_pr_ce_u4 },
 {  37583, ur_m168_swio11_dual_pr_ee_ce },
 {  37584, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  37585, ur_m168_swio11_dual_hw },
 {  37586, ur_m168_swio11_dual_ee_hw },
 {  37587, ur_m168_swio11_dual_ce_hw },
 {  37588, ur_m168_swio11_dual_ee_ce_hw },
 {  37589, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  37590, ur_m168_swio11_noled },
 {  37591, ur_m168_swio11_noled },
 {  37592, ur_m168_swio11_noled_pr_u4 },
 {  37593, ur_m168_swio11_noled_pr_ee },
 {  37594, ur_m168_swio11_noled_pr_ee },
 {  37595, ur_m168_swio11_noled_pr_ce },
 {  37596, ur_m168_swio11_noled_pr_ce },
 {  37597, ur_m168_swio11_noled_pr_ee_ce },
 {  37598, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  37599, ur_m168_swio11_noled_hw },
 {  37600, ur_m168_swio11_noled_ee_hw },
 {  37601, ur_m168_swio11_noled_ce_hw },
 {  37602, ur_m168_swio11_noled_ee_ce_hw },
 {  37603, ur_m168_swio11_noled_ee_ce_hw },
 {  37604, ur_m168_swio11_lednop },
 {  37605, ur_m168_swio11_lednop_pr },
 {  37606, ur_m168_swio11_lednop_pr },
 {  37607, ur_m168_swio11_lednop_pr_ee },
 {  37608, ur_m168_swio11_lednop_pr_ee_u4 },
 {  37609, ur_m168_swio11_lednop_pr_ce },
 {  37610, ur_m168_swio11_lednop_pr_ce },
 {  37611, ur_m168_swio11_lednop_pr_ee_ce },
 {  37612, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  37613, ur_m168_swio11_lednop_hw },
 {  37614, ur_m168_swio11_lednop_ee_hw },
 {  37615, ur_m168_swio11_lednop_ce_hw },
 {  37616, ur_m168_swio11_lednop_ee_ce_hw },
 {  37617, ur_m168_swio11_lednop_ee_ce_hw },
 {  37618, ur_m168_swio11_dual },
 {  37619, ur_m168_swio11_dual },
 {  37620, ur_m168_swio11_dual },
 {  37621, ur_m168_swio11_dual_pr_ee },
 {  37622, ur_m168_swio11_dual_pr_ee_u4 },
 {  37623, ur_m168_swio11_dual_pr_ce },
 {  37624, ur_m168_swio11_dual_pr_ce_u4 },
 {  37625, ur_m168_swio11_dual_pr_ee_ce },
 {  37626, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  37627, ur_m168_swio11_dual_hw },
 {  37628, ur_m168_swio11_dual_ee_hw },
 {  37629, ur_m168_swio11_dual_ce_hw },
 {  37630, ur_m168_swio11_dual_ee_ce_hw },
 {  37631, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  37632, ur_m168_swio13_noled },
 {  37633, ur_m168_swio13_noled },
 {  37634, ur_m168_swio13_noled_pr_u4 },
 {  37635, ur_m168_swio13_noled_pr_ee },
 {  37636, ur_m168_swio13_noled_pr_ee },
 {  37637, ur_m168_swio13_noled_pr_ce },
 {  37638, ur_m168_swio13_noled_pr_ce },
 {  37639, ur_m168_swio13_noled_pr_ee_ce },
 {  37640, ur_m168_swio13_noled_pr_ee_ce_u4 },
 {  37641, ur_m168_swio13_noled_hw },
 {  37642, ur_m168_swio13_noled_ee_hw },
 {  37643, ur_m168_swio13_noled_ce_hw },
 {  37644, ur_m168_swio13_noled_ee_ce_hw },
 {  37645, ur_m168_swio13_noled_ee_ce_hw },
 {  37646, ur_m168_swio13_lednop },
 {  37647, ur_m168_swio13_lednop_pr },
 {  37648, ur_m168_swio13_lednop_pr },
 {  37649, ur_m168_swio13_lednop_pr_ee },
 {  37650, ur_m168_swio13_lednop_pr_ee_u4 },
 {  37651, ur_m168_swio13_lednop_pr_ce },
 {  37652, ur_m168_swio13_lednop_pr_ce },
 {  37653, ur_m168_swio13_lednop_pr_ee_ce },
 {  37654, ur_m168_swio13_lednop_pr_ee_ce_u4 },
 {  37655, ur_m168_swio13_lednop_hw },
 {  37656, ur_m168_swio13_lednop_ee_hw },
 {  37657, ur_m168_swio13_lednop_ce_hw },
 {  37658, ur_m168_swio13_lednop_ee_ce_hw },
 {  37659, ur_m168_swio13_lednop_ee_ce_hw },
 {  37660, ur_m168_swio13_dual },
 {  37661, ur_m168_swio13_dual },
 {  37662, ur_m168_swio13_dual },
 {  37663, ur_m168_swio13_dual_pr_ee },
 {  37664, ur_m168_swio13_dual_pr_ee_u4 },
 {  37665, ur_m168_swio13_dual_pr_ce },
 {  37666, ur_m168_swio13_dual_pr_ce_u4 },
 {  37667, ur_m168_swio13_dual_pr_ee_ce },
 {  37668, ur_m168_swio13_dual_pr_ee_ce_u4 },
 {  37669, ur_m168_swio13_dual_hw },
 {  37670, ur_m168_swio13_dual_ee_hw },
 {  37671, ur_m168_swio13_dual_ce_hw },
 {  37672, ur_m168_swio13_dual_ee_ce_hw },
 {  37673, ur_m168_swio13_dual_ee_ce_u4_hw },
 {  37674, ur_m168_swio14_noled },
 {  37675, ur_m168_swio14_noled },
 {  37676, ur_m168_swio14_noled_pr_u4 },
 {  37677, ur_m168_swio14_noled_pr_ee },
 {  37678, ur_m168_swio14_noled_pr_ee },
 {  37679, ur_m168_swio14_noled_pr_ce },
 {  37680, ur_m168_swio14_noled_pr_ce },
 {  37681, ur_m168_swio14_noled_pr_ee_ce },
 {  37682, ur_m168_swio14_noled_pr_ee_ce_u4 },
 {  37683, ur_m168_swio14_noled_hw },
 {  37684, ur_m168_swio14_noled_ee_hw },
 {  37685, ur_m168_swio14_noled_ce_hw },
 {  37686, ur_m168_swio14_noled_ee_ce_hw },
 {  37687, ur_m168_swio14_noled_ee_ce_hw },
 {  37688, ur_m168_swio14_lednop },
 {  37689, ur_m168_swio14_lednop_pr },
 {  37690, ur_m168_swio14_lednop_pr },
 {  37691, ur_m168_swio14_lednop_pr_ee },
 {  37692, ur_m168_swio14_lednop_pr_ee_u4 },
 {  37693, ur_m168_swio14_lednop_pr_ce },
 {  37694, ur_m168_swio14_lednop_pr_ce },
 {  37695, ur_m168_swio14_lednop_pr_ee_ce },
 {  37696, ur_m168_swio14_lednop_pr_ee_ce_u4 },
 {  37697, ur_m168_swio14_lednop_hw },
 {  37698, ur_m168_swio14_lednop_ee_hw },
 {  37699, ur_m168_swio14_lednop_ce_hw },
 {  37700, ur_m168_swio14_lednop_ee_ce_hw },
 {  37701, ur_m168_swio14_lednop_ee_ce_hw },
 {  37702, ur_m168_swio14_dual },
 {  37703, ur_m168_swio14_dual },
 {  37704, ur_m168_swio14_dual },
 {  37705, ur_m168_swio14_dual_pr_ee },
 {  37706, ur_m168_swio14_dual_pr_ee_u4 },
 {  37707, ur_m168_swio14_dual_pr_ce },
 {  37708, ur_m168_swio14_dual_pr_ce_u4 },
 {  37709, ur_m168_swio14_dual_pr_ee_ce },
 {  37710, ur_m168_swio14_dual_pr_ee_ce_u4 },
 {  37711, ur_m168_swio14_dual_hw },
 {  37712, ur_m168_swio14_dual_ee_hw },
 {  37713, ur_m168_swio14_dual_ce_hw },
 {  37714, ur_m168_swio14_dual_ee_ce_hw },
 {  37715, ur_m168_swio14_dual_ee_ce_u4_hw },
 {  37716, ur_m168_swio15_noled },
 {  37717, ur_m168_swio15_noled },
 {  37718, ur_m168_swio15_noled_pr_u4 },
 {  37719, ur_m168_swio15_noled_pr_ee },
 {  37720, ur_m168_swio15_noled_pr_ee },
 {  37721, ur_m168_swio15_noled_pr_ce },
 {  37722, ur_m168_swio15_noled_pr_ce },
 {  37723, ur_m168_swio15_noled_pr_ee_ce },
 {  37724, ur_m168_swio15_noled_pr_ee_ce_u4 },
 {  37725, ur_m168_swio15_noled_hw },
 {  37726, ur_m168_swio15_noled_ee_hw },
 {  37727, ur_m168_swio15_noled_ce_hw },
 {  37728, ur_m168_swio15_noled_ee_ce_hw },
 {  37729, ur_m168_swio15_noled_ee_ce_hw },
 {  37730, ur_m168_swio15_lednop },
 {  37731, ur_m168_swio15_lednop_pr },
 {  37732, ur_m168_swio15_lednop_pr },
 {  37733, ur_m168_swio15_lednop_pr_ee },
 {  37734, ur_m168_swio15_lednop_pr_ee_u4 },
 {  37735, ur_m168_swio15_lednop_pr_ce },
 {  37736, ur_m168_swio15_lednop_pr_ce },
 {  37737, ur_m168_swio15_lednop_pr_ee_ce },
 {  37738, ur_m168_swio15_lednop_pr_ee_ce_u4 },
 {  37739, ur_m168_swio15_lednop_hw },
 {  37740, ur_m168_swio15_lednop_ee_hw },
 {  37741, ur_m168_swio15_lednop_ce_hw },
 {  37742, ur_m168_swio15_lednop_ee_ce_hw },
 {  37743, ur_m168_swio15_lednop_ee_ce_hw },
 {  37744, ur_m168_swio15_dual },
 {  37745, ur_m168_swio15_dual },
 {  37746, ur_m168_swio15_dual },
 {  37747, ur_m168_swio15_dual_pr_ee },
 {  37748, ur_m168_swio15_dual_pr_ee_u4 },
 {  37749, ur_m168_swio15_dual_pr_ce },
 {  37750, ur_m168_swio15_dual_pr_ce_u4 },
 {  37751, ur_m168_swio15_dual_pr_ee_ce },
 {  37752, ur_m168_swio15_dual_pr_ee_ce_u4 },
 {  37753, ur_m168_swio15_dual_hw },
 {  37754, ur_m168_swio15_dual_ee_hw },
 {  37755, ur_m168_swio15_dual_ce_hw },
 {  37756, ur_m168_swio15_dual_ee_ce_hw },
 {  37757, ur_m168_swio15_dual_ee_ce_u4_hw },
 {  37758, ur_m168_autobaud_uart0_noled },
 {  37759, ur_m168_autobaud_uart0_noled },
 {  37760, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  37761, ur_m168_autobaud_uart0_noled_pr_ee },
 {  37762, ur_m168_autobaud_uart0_noled_pr_ee },
 {  37763, ur_m168_autobaud_uart0_noled_pr_ce },
 {  37764, ur_m168_autobaud_uart0_noled_pr_ce },
 {  37765, ur_m168_autobaud_uart0_noled_pr_ee_ce },
 {  37766, ur_m168_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  37767, ur_m168_autobaud_uart0_noled_hw },
 {  37768, ur_m168_autobaud_uart0_noled_ee_hw },
 {  37769, ur_m168_autobaud_uart0_noled_ce_hw },
 {  37770, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  37771, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  37772, ur_m168_autobaud_uart0_lednop },
 {  37773, ur_m168_autobaud_uart0_lednop },
 {  37774, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  37775, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  37776, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  37777, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  37778, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  37779, ur_m168_autobaud_uart0_lednop_pr_ee_ce },
 {  37780, ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  37781, ur_m168_autobaud_uart0_lednop_hw },
 {  37782, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  37783, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  37784, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  37785, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  37786, ur_m168_autobaud_uart0_dual },
 {  37787, ur_m168_autobaud_uart0_dual },
 {  37788, ur_m168_autobaud_uart0_dual },
 {  37789, ur_m168_autobaud_uart0_dual_pr_ee },
 {  37790, ur_m168_autobaud_uart0_dual_pr_ee_u4 },
 {  37791, ur_m168_autobaud_uart0_dual_pr_ce },
 {  37792, ur_m168_autobaud_uart0_dual_pr_ce },
 {  37793, ur_m168_autobaud_uart0_dual_pr_ee_ce },
 {  37794, ur_m168_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  37795, ur_m168_autobaud_uart0_dual_hw },
 {  37796, ur_m168_autobaud_uart0_dual_ee_hw },
 {  37797, ur_m168_autobaud_uart0_dual_ce_hw },
 {  37798, ur_m168_autobaud_uart0_dual_ee_ce_hw },
 {  37799, ur_m168_autobaud_uart0_dual_ee_ce_u4_hw },
 {  37968, ur_m168_u1x8_uart0_noled },
 {  37969, ur_m168_u1x8_uart0_noled },
 {  37970, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  37971, ur_m168_u1x8_uart0_noled_pr_ee },
 {  37972, ur_m168_u1x8_uart0_noled_pr_ee },
 {  37973, ur_m168_u1x8_uart0_noled_pr_ce },
 {  37974, ur_m168_u1x8_uart0_noled_pr_ce_u4 },
 {  37975, ur_m168_u1x8_uart0_noled_pr_ee_ce },
 {  37976, ur_m168_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  37977, ur_m168_u1x8_uart0_noled_hw },
 {  37978, ur_m168_u1x8_uart0_noled_ee_hw },
 {  37979, ur_m168_u1x8_uart0_noled_ce_hw },
 {  37980, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  37981, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  37982, ur_m168_u1x8_uart0_lednop },
 {  37983, ur_m168_u1x8_uart0_lednop },
 {  37984, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  37985, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  37986, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  37987, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  37988, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  37989, ur_m168_u1x8_uart0_lednop_pr_ee_ce },
 {  37990, ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  37991, ur_m168_u1x8_uart0_lednop_hw },
 {  37992, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  37993, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  37994, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  37995, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  37996, ur_m168_u1x8_uart0_dual },
 {  37997, ur_m168_u1x8_uart0_dual },
 {  37998, ur_m168_u1x8_uart0_dual_pr_u4 },
 {  37999, ur_m168_u1x8_uart0_dual_pr_ee },
 {  38000, ur_m168_u1x8_uart0_dual_pr_ee },
 {  38001, ur_m168_u1x8_uart0_dual_pr_ce },
 {  38002, ur_m168_u1x8_uart0_dual_pr_ce },
 {  38003, ur_m168_u1x8_uart0_dual_pr_ee_ce },
 {  38004, ur_m168_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  38005, ur_m168_u1x8_uart0_dual_hw },
 {  38006, ur_m168_u1x8_uart0_dual_ee_hw },
 {  38007, ur_m168_u1x8_uart0_dual_ce_hw },
 {  38008, ur_m168_u1x8_uart0_dual_ee_ce_hw },
 {  38009, ur_m168_u1x8_uart0_dual_ee_ce_u4_hw },
 {  38178, ur_m168_u1x12_uart0_noled },
 {  38179, ur_m168_u1x12_uart0_noled },
 {  38180, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  38181, ur_m168_u1x12_uart0_noled_pr_ee },
 {  38182, ur_m168_u1x12_uart0_noled_pr_ee },
 {  38183, ur_m168_u1x12_uart0_noled_pr_ce },
 {  38184, ur_m168_u1x12_uart0_noled_pr_ce_u4 },
 {  38185, ur_m168_u1x12_uart0_noled_pr_ee_ce },
 {  38186, ur_m168_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  38187, ur_m168_u1x12_uart0_noled_hw },
 {  38188, ur_m168_u1x12_uart0_noled_ee_hw },
 {  38189, ur_m168_u1x12_uart0_noled_ce_hw },
 {  38190, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  38191, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  38192, ur_m168_u1x12_uart0_lednop },
 {  38193, ur_m168_u1x12_uart0_lednop },
 {  38194, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  38195, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  38196, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  38197, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  38198, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  38199, ur_m168_u1x12_uart0_lednop_pr_ee_ce },
 {  38200, ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  38201, ur_m168_u1x12_uart0_lednop_hw },
 {  38202, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  38203, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  38204, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  38205, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  38206, ur_m168_u1x12_uart0_dual },
 {  38207, ur_m168_u1x12_uart0_dual_pr },
 {  38208, ur_m168_u1x12_uart0_dual_pr_u4 },
 {  38209, ur_m168_u1x12_uart0_dual_pr_ee },
 {  38210, ur_m168_u1x12_uart0_dual_pr_ee },
 {  38211, ur_m168_u1x12_uart0_dual_pr_ce },
 {  38212, ur_m168_u1x12_uart0_dual_pr_ce },
 {  38213, ur_m168_u1x12_uart0_dual_pr_ee_ce },
 {  38214, ur_m168_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  38215, ur_m168_u1x12_uart0_dual_hw },
 {  38216, ur_m168_u1x12_uart0_dual_ee_hw },
 {  38217, ur_m168_u1x12_uart0_dual_ce_hw },
 {  38218, ur_m168_u1x12_uart0_dual_ee_ce_hw },
 {  38219, ur_m168_u1x12_uart0_dual_ee_ce_u4_hw },
 {  38388, ur_m168_u2x8_uart0_noled },
 {  38389, ur_m168_u2x8_uart0_noled },
 {  38390, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  38391, ur_m168_u2x8_uart0_noled_pr_ee },
 {  38392, ur_m168_u2x8_uart0_noled_pr_ee },
 {  38393, ur_m168_u2x8_uart0_noled_pr_ce },
 {  38394, ur_m168_u2x8_uart0_noled_pr_ce_u4 },
 {  38395, ur_m168_u2x8_uart0_noled_pr_ee_ce },
 {  38396, ur_m168_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  38397, ur_m168_u2x8_uart0_noled_hw },
 {  38398, ur_m168_u2x8_uart0_noled_ee_hw },
 {  38399, ur_m168_u2x8_uart0_noled_ce_hw },
 {  38400, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  38401, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  38402, ur_m168_u2x8_uart0_lednop },
 {  38403, ur_m168_u2x8_uart0_lednop },
 {  38404, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  38405, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  38406, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  38407, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  38408, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  38409, ur_m168_u2x8_uart0_lednop_pr_ee_ce },
 {  38410, ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  38411, ur_m168_u2x8_uart0_lednop_hw },
 {  38412, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  38413, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  38414, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  38415, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  38416, ur_m168_u2x8_uart0_dual },
 {  38417, ur_m168_u2x8_uart0_dual_pr },
 {  38418, ur_m168_u2x8_uart0_dual_pr_u4 },
 {  38419, ur_m168_u2x8_uart0_dual_pr_ee },
 {  38420, ur_m168_u2x8_uart0_dual_pr_ee },
 {  38421, ur_m168_u2x8_uart0_dual_pr_ce },
 {  38422, ur_m168_u2x8_uart0_dual_pr_ce },
 {  38423, ur_m168_u2x8_uart0_dual_pr_ee_ce },
 {  38424, ur_m168_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  38425, ur_m168_u2x8_uart0_dual_hw },
 {  38426, ur_m168_u2x8_uart0_dual_ee_hw },
 {  38427, ur_m168_u2x8_uart0_dual_ce_hw },
 {  38428, ur_m168_u2x8_uart0_dual_ee_ce_hw },
 {  38429, ur_m168_u2x8_uart0_dual_ee_ce_u4_hw },
 {  38598, ur_m168_u2x12_uart0_noled },
 {  38599, ur_m168_u2x12_uart0_noled },
 {  38600, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  38601, ur_m168_u2x12_uart0_noled_pr_ee },
 {  38602, ur_m168_u2x12_uart0_noled_pr_ee },
 {  38603, ur_m168_u2x12_uart0_noled_pr_ce },
 {  38604, ur_m168_u2x12_uart0_noled_pr_ce },
 {  38605, ur_m168_u2x12_uart0_noled_pr_ee_ce },
 {  38606, ur_m168_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  38607, ur_m168_u2x12_uart0_noled_hw },
 {  38608, ur_m168_u2x12_uart0_noled_ee_hw },
 {  38609, ur_m168_u2x12_uart0_noled_ce_hw },
 {  38610, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  38611, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  38612, ur_m168_u2x12_uart0_lednop },
 {  38613, ur_m168_u2x12_uart0_lednop },
 {  38614, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  38615, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  38616, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  38617, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  38618, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  38619, ur_m168_u2x12_uart0_lednop_pr_ee_ce },
 {  38620, ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  38621, ur_m168_u2x12_uart0_lednop_hw },
 {  38622, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  38623, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  38624, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  38625, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  38626, ur_m168_u2x12_uart0_dual },
 {  38627, ur_m168_u2x12_uart0_dual_pr },
 {  38628, ur_m168_u2x12_uart0_dual_pr },
 {  38629, ur_m168_u2x12_uart0_dual_pr_ee },
 {  38630, ur_m168_u2x12_uart0_dual_pr_ee },
 {  38631, ur_m168_u2x12_uart0_dual_pr_ce },
 {  38632, ur_m168_u2x12_uart0_dual_pr_ce },
 {  38633, ur_m168_u2x12_uart0_dual_pr_ee_ce },
 {  38634, ur_m168_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  38635, ur_m168_u2x12_uart0_dual_hw },
 {  38636, ur_m168_u2x12_uart0_dual_ee_hw },
 {  38637, ur_m168_u2x12_uart0_dual_ce_hw },
 {  38638, ur_m168_u2x12_uart0_dual_ee_ce_hw },
 {  38639, ur_m168_u2x12_uart0_dual_ee_ce_u4_hw },
 {  38808, ur_m168_swio10_noled },
 {  38809, ur_m168_swio10_noled },
 {  38810, ur_m168_swio10_noled_pr_u4 },
 {  38811, ur_m168_swio10_noled_pr_ee },
 {  38812, ur_m168_swio10_noled_pr_ee },
 {  38813, ur_m168_swio10_noled_pr_ce },
 {  38814, ur_m168_swio10_noled_pr_ce },
 {  38815, ur_m168_swio10_noled_pr_ee_ce },
 {  38816, ur_m168_swio10_noled_pr_ee_ce_u4 },
 {  38817, ur_m168_swio10_noled_hw },
 {  38818, ur_m168_swio10_noled_ee_hw },
 {  38819, ur_m168_swio10_noled_ce_hw },
 {  38820, ur_m168_swio10_noled_ee_ce_hw },
 {  38821, ur_m168_swio10_noled_ee_ce_hw },
 {  38822, ur_m168_swio10_lednop },
 {  38823, ur_m168_swio10_lednop_pr },
 {  38824, ur_m168_swio10_lednop_pr },
 {  38825, ur_m168_swio10_lednop_pr_ee },
 {  38826, ur_m168_swio10_lednop_pr_ee },
 {  38827, ur_m168_swio10_lednop_pr_ce },
 {  38828, ur_m168_swio10_lednop_pr_ce },
 {  38829, ur_m168_swio10_lednop_pr_ee_ce },
 {  38830, ur_m168_swio10_lednop_pr_ee_ce_u4 },
 {  38831, ur_m168_swio10_lednop_hw },
 {  38832, ur_m168_swio10_lednop_ee_hw },
 {  38833, ur_m168_swio10_lednop_ce_hw },
 {  38834, ur_m168_swio10_lednop_ee_ce_hw },
 {  38835, ur_m168_swio10_lednop_ee_ce_hw },
 {  38836, ur_m168_swio10_dual },
 {  38837, ur_m168_swio10_dual },
 {  38838, ur_m168_swio10_dual },
 {  38839, ur_m168_swio10_dual_pr_ee },
 {  38840, ur_m168_swio10_dual_pr_ee_u4 },
 {  38841, ur_m168_swio10_dual_pr_ce },
 {  38842, ur_m168_swio10_dual_pr_ce_u4 },
 {  38843, ur_m168_swio10_dual_pr_ee_ce },
 {  38844, ur_m168_swio10_dual_pr_ee_ce_u4 },
 {  38845, ur_m168_swio10_dual_hw },
 {  38846, ur_m168_swio10_dual_ee_hw },
 {  38847, ur_m168_swio10_dual_ce_hw },
 {  38848, ur_m168_swio10_dual_ee_ce_hw },
 {  38849, ur_m168_swio10_dual_ee_ce_u4_hw },
 {  38850, ur_m168_swio11_noled },
 {  38851, ur_m168_swio11_noled },
 {  38852, ur_m168_swio11_noled_pr_u4 },
 {  38853, ur_m168_swio11_noled_pr_ee },
 {  38854, ur_m168_swio11_noled_pr_ee },
 {  38855, ur_m168_swio11_noled_pr_ce },
 {  38856, ur_m168_swio11_noled_pr_ce },
 {  38857, ur_m168_swio11_noled_pr_ee_ce },
 {  38858, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  38859, ur_m168_swio11_noled_hw },
 {  38860, ur_m168_swio11_noled_ee_hw },
 {  38861, ur_m168_swio11_noled_ce_hw },
 {  38862, ur_m168_swio11_noled_ee_ce_hw },
 {  38863, ur_m168_swio11_noled_ee_ce_hw },
 {  38864, ur_m168_swio11_lednop },
 {  38865, ur_m168_swio11_lednop_pr },
 {  38866, ur_m168_swio11_lednop_pr },
 {  38867, ur_m168_swio11_lednop_pr_ee },
 {  38868, ur_m168_swio11_lednop_pr_ee_u4 },
 {  38869, ur_m168_swio11_lednop_pr_ce },
 {  38870, ur_m168_swio11_lednop_pr_ce },
 {  38871, ur_m168_swio11_lednop_pr_ee_ce },
 {  38872, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  38873, ur_m168_swio11_lednop_hw },
 {  38874, ur_m168_swio11_lednop_ee_hw },
 {  38875, ur_m168_swio11_lednop_ce_hw },
 {  38876, ur_m168_swio11_lednop_ee_ce_hw },
 {  38877, ur_m168_swio11_lednop_ee_ce_hw },
 {  38878, ur_m168_swio11_dual },
 {  38879, ur_m168_swio11_dual },
 {  38880, ur_m168_swio11_dual },
 {  38881, ur_m168_swio11_dual_pr_ee },
 {  38882, ur_m168_swio11_dual_pr_ee_u4 },
 {  38883, ur_m168_swio11_dual_pr_ce },
 {  38884, ur_m168_swio11_dual_pr_ce_u4 },
 {  38885, ur_m168_swio11_dual_pr_ee_ce },
 {  38886, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  38887, ur_m168_swio11_dual_hw },
 {  38888, ur_m168_swio11_dual_ee_hw },
 {  38889, ur_m168_swio11_dual_ce_hw },
 {  38890, ur_m168_swio11_dual_ee_ce_hw },
 {  38891, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  38892, ur_m168_swio11_noled },
 {  38893, ur_m168_swio11_noled },
 {  38894, ur_m168_swio11_noled_pr_u4 },
 {  38895, ur_m168_swio11_noled_pr_ee },
 {  38896, ur_m168_swio11_noled_pr_ee },
 {  38897, ur_m168_swio11_noled_pr_ce },
 {  38898, ur_m168_swio11_noled_pr_ce },
 {  38899, ur_m168_swio11_noled_pr_ee_ce },
 {  38900, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  38901, ur_m168_swio11_noled_hw },
 {  38902, ur_m168_swio11_noled_ee_hw },
 {  38903, ur_m168_swio11_noled_ce_hw },
 {  38904, ur_m168_swio11_noled_ee_ce_hw },
 {  38905, ur_m168_swio11_noled_ee_ce_hw },
 {  38906, ur_m168_swio11_lednop },
 {  38907, ur_m168_swio11_lednop_pr },
 {  38908, ur_m168_swio11_lednop_pr },
 {  38909, ur_m168_swio11_lednop_pr_ee },
 {  38910, ur_m168_swio11_lednop_pr_ee_u4 },
 {  38911, ur_m168_swio11_lednop_pr_ce },
 {  38912, ur_m168_swio11_lednop_pr_ce },
 {  38913, ur_m168_swio11_lednop_pr_ee_ce },
 {  38914, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  38915, ur_m168_swio11_lednop_hw },
 {  38916, ur_m168_swio11_lednop_ee_hw },
 {  38917, ur_m168_swio11_lednop_ce_hw },
 {  38918, ur_m168_swio11_lednop_ee_ce_hw },
 {  38919, ur_m168_swio11_lednop_ee_ce_hw },
 {  38920, ur_m168_swio11_dual },
 {  38921, ur_m168_swio11_dual },
 {  38922, ur_m168_swio11_dual },
 {  38923, ur_m168_swio11_dual_pr_ee },
 {  38924, ur_m168_swio11_dual_pr_ee_u4 },
 {  38925, ur_m168_swio11_dual_pr_ce },
 {  38926, ur_m168_swio11_dual_pr_ce_u4 },
 {  38927, ur_m168_swio11_dual_pr_ee_ce },
 {  38928, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  38929, ur_m168_swio11_dual_hw },
 {  38930, ur_m168_swio11_dual_ee_hw },
 {  38931, ur_m168_swio11_dual_ce_hw },
 {  38932, ur_m168_swio11_dual_ee_ce_hw },
 {  38933, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  38934, ur_m168_swio13_noled },
 {  38935, ur_m168_swio13_noled },
 {  38936, ur_m168_swio13_noled_pr_u4 },
 {  38937, ur_m168_swio13_noled_pr_ee },
 {  38938, ur_m168_swio13_noled_pr_ee },
 {  38939, ur_m168_swio13_noled_pr_ce },
 {  38940, ur_m168_swio13_noled_pr_ce },
 {  38941, ur_m168_swio13_noled_pr_ee_ce },
 {  38942, ur_m168_swio13_noled_pr_ee_ce_u4 },
 {  38943, ur_m168_swio13_noled_hw },
 {  38944, ur_m168_swio13_noled_ee_hw },
 {  38945, ur_m168_swio13_noled_ce_hw },
 {  38946, ur_m168_swio13_noled_ee_ce_hw },
 {  38947, ur_m168_swio13_noled_ee_ce_hw },
 {  38948, ur_m168_swio13_lednop },
 {  38949, ur_m168_swio13_lednop_pr },
 {  38950, ur_m168_swio13_lednop_pr },
 {  38951, ur_m168_swio13_lednop_pr_ee },
 {  38952, ur_m168_swio13_lednop_pr_ee_u4 },
 {  38953, ur_m168_swio13_lednop_pr_ce },
 {  38954, ur_m168_swio13_lednop_pr_ce },
 {  38955, ur_m168_swio13_lednop_pr_ee_ce },
 {  38956, ur_m168_swio13_lednop_pr_ee_ce_u4 },
 {  38957, ur_m168_swio13_lednop_hw },
 {  38958, ur_m168_swio13_lednop_ee_hw },
 {  38959, ur_m168_swio13_lednop_ce_hw },
 {  38960, ur_m168_swio13_lednop_ee_ce_hw },
 {  38961, ur_m168_swio13_lednop_ee_ce_hw },
 {  38962, ur_m168_swio13_dual },
 {  38963, ur_m168_swio13_dual },
 {  38964, ur_m168_swio13_dual },
 {  38965, ur_m168_swio13_dual_pr_ee },
 {  38966, ur_m168_swio13_dual_pr_ee_u4 },
 {  38967, ur_m168_swio13_dual_pr_ce },
 {  38968, ur_m168_swio13_dual_pr_ce_u4 },
 {  38969, ur_m168_swio13_dual_pr_ee_ce },
 {  38970, ur_m168_swio13_dual_pr_ee_ce_u4 },
 {  38971, ur_m168_swio13_dual_hw },
 {  38972, ur_m168_swio13_dual_ee_hw },
 {  38973, ur_m168_swio13_dual_ce_hw },
 {  38974, ur_m168_swio13_dual_ee_ce_hw },
 {  38975, ur_m168_swio13_dual_ee_ce_u4_hw },
 {  38976, ur_m168_swio14_noled },
 {  38977, ur_m168_swio14_noled },
 {  38978, ur_m168_swio14_noled_pr_u4 },
 {  38979, ur_m168_swio14_noled_pr_ee },
 {  38980, ur_m168_swio14_noled_pr_ee },
 {  38981, ur_m168_swio14_noled_pr_ce },
 {  38982, ur_m168_swio14_noled_pr_ce },
 {  38983, ur_m168_swio14_noled_pr_ee_ce },
 {  38984, ur_m168_swio14_noled_pr_ee_ce_u4 },
 {  38985, ur_m168_swio14_noled_hw },
 {  38986, ur_m168_swio14_noled_ee_hw },
 {  38987, ur_m168_swio14_noled_ce_hw },
 {  38988, ur_m168_swio14_noled_ee_ce_hw },
 {  38989, ur_m168_swio14_noled_ee_ce_hw },
 {  38990, ur_m168_swio14_lednop },
 {  38991, ur_m168_swio14_lednop_pr },
 {  38992, ur_m168_swio14_lednop_pr },
 {  38993, ur_m168_swio14_lednop_pr_ee },
 {  38994, ur_m168_swio14_lednop_pr_ee_u4 },
 {  38995, ur_m168_swio14_lednop_pr_ce },
 {  38996, ur_m168_swio14_lednop_pr_ce },
 {  38997, ur_m168_swio14_lednop_pr_ee_ce },
 {  38998, ur_m168_swio14_lednop_pr_ee_ce_u4 },
 {  38999, ur_m168_swio14_lednop_hw },
 {  39000, ur_m168_swio14_lednop_ee_hw },
 {  39001, ur_m168_swio14_lednop_ce_hw },
 {  39002, ur_m168_swio14_lednop_ee_ce_hw },
 {  39003, ur_m168_swio14_lednop_ee_ce_hw },
 {  39004, ur_m168_swio14_dual },
 {  39005, ur_m168_swio14_dual },
 {  39006, ur_m168_swio14_dual },
 {  39007, ur_m168_swio14_dual_pr_ee },
 {  39008, ur_m168_swio14_dual_pr_ee_u4 },
 {  39009, ur_m168_swio14_dual_pr_ce },
 {  39010, ur_m168_swio14_dual_pr_ce_u4 },
 {  39011, ur_m168_swio14_dual_pr_ee_ce },
 {  39012, ur_m168_swio14_dual_pr_ee_ce_u4 },
 {  39013, ur_m168_swio14_dual_hw },
 {  39014, ur_m168_swio14_dual_ee_hw },
 {  39015, ur_m168_swio14_dual_ce_hw },
 {  39016, ur_m168_swio14_dual_ee_ce_hw },
 {  39017, ur_m168_swio14_dual_ee_ce_u4_hw },
 {  39018, ur_m168_swio15_noled },
 {  39019, ur_m168_swio15_noled },
 {  39020, ur_m168_swio15_noled_pr_u4 },
 {  39021, ur_m168_swio15_noled_pr_ee },
 {  39022, ur_m168_swio15_noled_pr_ee },
 {  39023, ur_m168_swio15_noled_pr_ce },
 {  39024, ur_m168_swio15_noled_pr_ce },
 {  39025, ur_m168_swio15_noled_pr_ee_ce },
 {  39026, ur_m168_swio15_noled_pr_ee_ce_u4 },
 {  39027, ur_m168_swio15_noled_hw },
 {  39028, ur_m168_swio15_noled_ee_hw },
 {  39029, ur_m168_swio15_noled_ce_hw },
 {  39030, ur_m168_swio15_noled_ee_ce_hw },
 {  39031, ur_m168_swio15_noled_ee_ce_hw },
 {  39032, ur_m168_swio15_lednop },
 {  39033, ur_m168_swio15_lednop_pr },
 {  39034, ur_m168_swio15_lednop_pr },
 {  39035, ur_m168_swio15_lednop_pr_ee },
 {  39036, ur_m168_swio15_lednop_pr_ee_u4 },
 {  39037, ur_m168_swio15_lednop_pr_ce },
 {  39038, ur_m168_swio15_lednop_pr_ce },
 {  39039, ur_m168_swio15_lednop_pr_ee_ce },
 {  39040, ur_m168_swio15_lednop_pr_ee_ce_u4 },
 {  39041, ur_m168_swio15_lednop_hw },
 {  39042, ur_m168_swio15_lednop_ee_hw },
 {  39043, ur_m168_swio15_lednop_ce_hw },
 {  39044, ur_m168_swio15_lednop_ee_ce_hw },
 {  39045, ur_m168_swio15_lednop_ee_ce_hw },
 {  39046, ur_m168_swio15_dual },
 {  39047, ur_m168_swio15_dual },
 {  39048, ur_m168_swio15_dual },
 {  39049, ur_m168_swio15_dual_pr_ee },
 {  39050, ur_m168_swio15_dual_pr_ee_u4 },
 {  39051, ur_m168_swio15_dual_pr_ce },
 {  39052, ur_m168_swio15_dual_pr_ce_u4 },
 {  39053, ur_m168_swio15_dual_pr_ee_ce },
 {  39054, ur_m168_swio15_dual_pr_ee_ce_u4 },
 {  39055, ur_m168_swio15_dual_hw },
 {  39056, ur_m168_swio15_dual_ee_hw },
 {  39057, ur_m168_swio15_dual_ce_hw },
 {  39058, ur_m168_swio15_dual_ee_ce_hw },
 {  39059, ur_m168_swio15_dual_ee_ce_u4_hw },
 {  39060, ur_m168_autobaud_uart0_noled },
 {  39061, ur_m168_autobaud_uart0_noled },
 {  39062, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  39063, ur_m168_autobaud_uart0_noled_pr_ee },
 {  39064, ur_m168_autobaud_uart0_noled_pr_ee },
 {  39065, ur_m168_autobaud_uart0_noled_pr_ce },
 {  39066, ur_m168_autobaud_uart0_noled_pr_ce },
 {  39067, ur_m168_autobaud_uart0_noled_pr_ee_ce },
 {  39068, ur_m168_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  39069, ur_m168_autobaud_uart0_noled_hw },
 {  39070, ur_m168_autobaud_uart0_noled_ee_hw },
 {  39071, ur_m168_autobaud_uart0_noled_ce_hw },
 {  39072, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  39073, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  39074, ur_m168_autobaud_uart0_lednop },
 {  39075, ur_m168_autobaud_uart0_lednop },
 {  39076, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  39077, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  39078, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  39079, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  39080, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  39081, ur_m168_autobaud_uart0_lednop_pr_ee_ce },
 {  39082, ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  39083, ur_m168_autobaud_uart0_lednop_hw },
 {  39084, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  39085, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  39086, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  39087, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  39088, ur_m168_autobaud_uart0_dual },
 {  39089, ur_m168_autobaud_uart0_dual },
 {  39090, ur_m168_autobaud_uart0_dual },
 {  39091, ur_m168_autobaud_uart0_dual_pr_ee },
 {  39092, ur_m168_autobaud_uart0_dual_pr_ee_u4 },
 {  39093, ur_m168_autobaud_uart0_dual_pr_ce },
 {  39094, ur_m168_autobaud_uart0_dual_pr_ce },
 {  39095, ur_m168_autobaud_uart0_dual_pr_ee_ce },
 {  39096, ur_m168_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  39097, ur_m168_autobaud_uart0_dual_hw },
 {  39098, ur_m168_autobaud_uart0_dual_ee_hw },
 {  39099, ur_m168_autobaud_uart0_dual_ce_hw },
 {  39100, ur_m168_autobaud_uart0_dual_ee_ce_hw },
 {  39101, ur_m168_autobaud_uart0_dual_ee_ce_u4_hw },
 {  39270, ur_m168_u1x8_uart0_noled },
 {  39271, ur_m168_u1x8_uart0_noled },
 {  39272, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  39273, ur_m168_u1x8_uart0_noled_pr_ee },
 {  39274, ur_m168_u1x8_uart0_noled_pr_ee },
 {  39275, ur_m168_u1x8_uart0_noled_pr_ce },
 {  39276, ur_m168_u1x8_uart0_noled_pr_ce_u4 },
 {  39277, ur_m168_u1x8_uart0_noled_pr_ee_ce },
 {  39278, ur_m168_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  39279, ur_m168_u1x8_uart0_noled_hw },
 {  39280, ur_m168_u1x8_uart0_noled_ee_hw },
 {  39281, ur_m168_u1x8_uart0_noled_ce_hw },
 {  39282, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  39283, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  39284, ur_m168_u1x8_uart0_lednop },
 {  39285, ur_m168_u1x8_uart0_lednop },
 {  39286, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  39287, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  39288, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  39289, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  39290, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  39291, ur_m168_u1x8_uart0_lednop_pr_ee_ce },
 {  39292, ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  39293, ur_m168_u1x8_uart0_lednop_hw },
 {  39294, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  39295, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  39296, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  39297, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  39298, ur_m168_u1x8_uart0_dual },
 {  39299, ur_m168_u1x8_uart0_dual },
 {  39300, ur_m168_u1x8_uart0_dual_pr_u4 },
 {  39301, ur_m168_u1x8_uart0_dual_pr_ee },
 {  39302, ur_m168_u1x8_uart0_dual_pr_ee },
 {  39303, ur_m168_u1x8_uart0_dual_pr_ce },
 {  39304, ur_m168_u1x8_uart0_dual_pr_ce },
 {  39305, ur_m168_u1x8_uart0_dual_pr_ee_ce },
 {  39306, ur_m168_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  39307, ur_m168_u1x8_uart0_dual_hw },
 {  39308, ur_m168_u1x8_uart0_dual_ee_hw },
 {  39309, ur_m168_u1x8_uart0_dual_ce_hw },
 {  39310, ur_m168_u1x8_uart0_dual_ee_ce_hw },
 {  39311, ur_m168_u1x8_uart0_dual_ee_ce_u4_hw },
 {  39480, ur_m168_u1x12_uart0_noled },
 {  39481, ur_m168_u1x12_uart0_noled },
 {  39482, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  39483, ur_m168_u1x12_uart0_noled_pr_ee },
 {  39484, ur_m168_u1x12_uart0_noled_pr_ee },
 {  39485, ur_m168_u1x12_uart0_noled_pr_ce },
 {  39486, ur_m168_u1x12_uart0_noled_pr_ce_u4 },
 {  39487, ur_m168_u1x12_uart0_noled_pr_ee_ce },
 {  39488, ur_m168_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  39489, ur_m168_u1x12_uart0_noled_hw },
 {  39490, ur_m168_u1x12_uart0_noled_ee_hw },
 {  39491, ur_m168_u1x12_uart0_noled_ce_hw },
 {  39492, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  39493, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  39494, ur_m168_u1x12_uart0_lednop },
 {  39495, ur_m168_u1x12_uart0_lednop },
 {  39496, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  39497, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  39498, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  39499, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  39500, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  39501, ur_m168_u1x12_uart0_lednop_pr_ee_ce },
 {  39502, ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  39503, ur_m168_u1x12_uart0_lednop_hw },
 {  39504, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  39505, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  39506, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  39507, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  39508, ur_m168_u1x12_uart0_dual },
 {  39509, ur_m168_u1x12_uart0_dual_pr },
 {  39510, ur_m168_u1x12_uart0_dual_pr_u4 },
 {  39511, ur_m168_u1x12_uart0_dual_pr_ee },
 {  39512, ur_m168_u1x12_uart0_dual_pr_ee },
 {  39513, ur_m168_u1x12_uart0_dual_pr_ce },
 {  39514, ur_m168_u1x12_uart0_dual_pr_ce },
 {  39515, ur_m168_u1x12_uart0_dual_pr_ee_ce },
 {  39516, ur_m168_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  39517, ur_m168_u1x12_uart0_dual_hw },
 {  39518, ur_m168_u1x12_uart0_dual_ee_hw },
 {  39519, ur_m168_u1x12_uart0_dual_ce_hw },
 {  39520, ur_m168_u1x12_uart0_dual_ee_ce_hw },
 {  39521, ur_m168_u1x12_uart0_dual_ee_ce_u4_hw },
 {  39690, ur_m168_u2x8_uart0_noled },
 {  39691, ur_m168_u2x8_uart0_noled },
 {  39692, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  39693, ur_m168_u2x8_uart0_noled_pr_ee },
 {  39694, ur_m168_u2x8_uart0_noled_pr_ee },
 {  39695, ur_m168_u2x8_uart0_noled_pr_ce },
 {  39696, ur_m168_u2x8_uart0_noled_pr_ce_u4 },
 {  39697, ur_m168_u2x8_uart0_noled_pr_ee_ce },
 {  39698, ur_m168_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  39699, ur_m168_u2x8_uart0_noled_hw },
 {  39700, ur_m168_u2x8_uart0_noled_ee_hw },
 {  39701, ur_m168_u2x8_uart0_noled_ce_hw },
 {  39702, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  39703, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  39704, ur_m168_u2x8_uart0_lednop },
 {  39705, ur_m168_u2x8_uart0_lednop },
 {  39706, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  39707, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  39708, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  39709, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  39710, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  39711, ur_m168_u2x8_uart0_lednop_pr_ee_ce },
 {  39712, ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  39713, ur_m168_u2x8_uart0_lednop_hw },
 {  39714, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  39715, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  39716, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  39717, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  39718, ur_m168_u2x8_uart0_dual },
 {  39719, ur_m168_u2x8_uart0_dual_pr },
 {  39720, ur_m168_u2x8_uart0_dual_pr_u4 },
 {  39721, ur_m168_u2x8_uart0_dual_pr_ee },
 {  39722, ur_m168_u2x8_uart0_dual_pr_ee },
 {  39723, ur_m168_u2x8_uart0_dual_pr_ce },
 {  39724, ur_m168_u2x8_uart0_dual_pr_ce },
 {  39725, ur_m168_u2x8_uart0_dual_pr_ee_ce },
 {  39726, ur_m168_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  39727, ur_m168_u2x8_uart0_dual_hw },
 {  39728, ur_m168_u2x8_uart0_dual_ee_hw },
 {  39729, ur_m168_u2x8_uart0_dual_ce_hw },
 {  39730, ur_m168_u2x8_uart0_dual_ee_ce_hw },
 {  39731, ur_m168_u2x8_uart0_dual_ee_ce_u4_hw },
 {  39900, ur_m168_u2x12_uart0_noled },
 {  39901, ur_m168_u2x12_uart0_noled },
 {  39902, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  39903, ur_m168_u2x12_uart0_noled_pr_ee },
 {  39904, ur_m168_u2x12_uart0_noled_pr_ee },
 {  39905, ur_m168_u2x12_uart0_noled_pr_ce },
 {  39906, ur_m168_u2x12_uart0_noled_pr_ce },
 {  39907, ur_m168_u2x12_uart0_noled_pr_ee_ce },
 {  39908, ur_m168_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  39909, ur_m168_u2x12_uart0_noled_hw },
 {  39910, ur_m168_u2x12_uart0_noled_ee_hw },
 {  39911, ur_m168_u2x12_uart0_noled_ce_hw },
 {  39912, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  39913, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  39914, ur_m168_u2x12_uart0_lednop },
 {  39915, ur_m168_u2x12_uart0_lednop },
 {  39916, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  39917, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  39918, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  39919, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  39920, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  39921, ur_m168_u2x12_uart0_lednop_pr_ee_ce },
 {  39922, ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  39923, ur_m168_u2x12_uart0_lednop_hw },
 {  39924, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  39925, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  39926, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  39927, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  39928, ur_m168_u2x12_uart0_dual },
 {  39929, ur_m168_u2x12_uart0_dual_pr },
 {  39930, ur_m168_u2x12_uart0_dual_pr },
 {  39931, ur_m168_u2x12_uart0_dual_pr_ee },
 {  39932, ur_m168_u2x12_uart0_dual_pr_ee },
 {  39933, ur_m168_u2x12_uart0_dual_pr_ce },
 {  39934, ur_m168_u2x12_uart0_dual_pr_ce },
 {  39935, ur_m168_u2x12_uart0_dual_pr_ee_ce },
 {  39936, ur_m168_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  39937, ur_m168_u2x12_uart0_dual_hw },
 {  39938, ur_m168_u2x12_uart0_dual_ee_hw },
 {  39939, ur_m168_u2x12_uart0_dual_ce_hw },
 {  39940, ur_m168_u2x12_uart0_dual_ee_ce_hw },
 {  39941, ur_m168_u2x12_uart0_dual_ee_ce_u4_hw },
 {  40110, ur_m168_swio10_noled },
 {  40111, ur_m168_swio10_noled },
 {  40112, ur_m168_swio10_noled_pr_u4 },
 {  40113, ur_m168_swio10_noled_pr_ee },
 {  40114, ur_m168_swio10_noled_pr_ee },
 {  40115, ur_m168_swio10_noled_pr_ce },
 {  40116, ur_m168_swio10_noled_pr_ce },
 {  40117, ur_m168_swio10_noled_pr_ee_ce },
 {  40118, ur_m168_swio10_noled_pr_ee_ce_u4 },
 {  40119, ur_m168_swio10_noled_hw },
 {  40120, ur_m168_swio10_noled_ee_hw },
 {  40121, ur_m168_swio10_noled_ce_hw },
 {  40122, ur_m168_swio10_noled_ee_ce_hw },
 {  40123, ur_m168_swio10_noled_ee_ce_hw },
 {  40124, ur_m168_swio10_lednop },
 {  40125, ur_m168_swio10_lednop_pr },
 {  40126, ur_m168_swio10_lednop_pr },
 {  40127, ur_m168_swio10_lednop_pr_ee },
 {  40128, ur_m168_swio10_lednop_pr_ee },
 {  40129, ur_m168_swio10_lednop_pr_ce },
 {  40130, ur_m168_swio10_lednop_pr_ce },
 {  40131, ur_m168_swio10_lednop_pr_ee_ce },
 {  40132, ur_m168_swio10_lednop_pr_ee_ce_u4 },
 {  40133, ur_m168_swio10_lednop_hw },
 {  40134, ur_m168_swio10_lednop_ee_hw },
 {  40135, ur_m168_swio10_lednop_ce_hw },
 {  40136, ur_m168_swio10_lednop_ee_ce_hw },
 {  40137, ur_m168_swio10_lednop_ee_ce_hw },
 {  40138, ur_m168_swio10_dual },
 {  40139, ur_m168_swio10_dual },
 {  40140, ur_m168_swio10_dual },
 {  40141, ur_m168_swio10_dual_pr_ee },
 {  40142, ur_m168_swio10_dual_pr_ee_u4 },
 {  40143, ur_m168_swio10_dual_pr_ce },
 {  40144, ur_m168_swio10_dual_pr_ce_u4 },
 {  40145, ur_m168_swio10_dual_pr_ee_ce },
 {  40146, ur_m168_swio10_dual_pr_ee_ce_u4 },
 {  40147, ur_m168_swio10_dual_hw },
 {  40148, ur_m168_swio10_dual_ee_hw },
 {  40149, ur_m168_swio10_dual_ce_hw },
 {  40150, ur_m168_swio10_dual_ee_ce_hw },
 {  40151, ur_m168_swio10_dual_ee_ce_u4_hw },
 {  40152, ur_m168_swio11_noled },
 {  40153, ur_m168_swio11_noled },
 {  40154, ur_m168_swio11_noled_pr_u4 },
 {  40155, ur_m168_swio11_noled_pr_ee },
 {  40156, ur_m168_swio11_noled_pr_ee },
 {  40157, ur_m168_swio11_noled_pr_ce },
 {  40158, ur_m168_swio11_noled_pr_ce },
 {  40159, ur_m168_swio11_noled_pr_ee_ce },
 {  40160, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  40161, ur_m168_swio11_noled_hw },
 {  40162, ur_m168_swio11_noled_ee_hw },
 {  40163, ur_m168_swio11_noled_ce_hw },
 {  40164, ur_m168_swio11_noled_ee_ce_hw },
 {  40165, ur_m168_swio11_noled_ee_ce_hw },
 {  40166, ur_m168_swio11_lednop },
 {  40167, ur_m168_swio11_lednop_pr },
 {  40168, ur_m168_swio11_lednop_pr },
 {  40169, ur_m168_swio11_lednop_pr_ee },
 {  40170, ur_m168_swio11_lednop_pr_ee_u4 },
 {  40171, ur_m168_swio11_lednop_pr_ce },
 {  40172, ur_m168_swio11_lednop_pr_ce },
 {  40173, ur_m168_swio11_lednop_pr_ee_ce },
 {  40174, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  40175, ur_m168_swio11_lednop_hw },
 {  40176, ur_m168_swio11_lednop_ee_hw },
 {  40177, ur_m168_swio11_lednop_ce_hw },
 {  40178, ur_m168_swio11_lednop_ee_ce_hw },
 {  40179, ur_m168_swio11_lednop_ee_ce_hw },
 {  40180, ur_m168_swio11_dual },
 {  40181, ur_m168_swio11_dual },
 {  40182, ur_m168_swio11_dual },
 {  40183, ur_m168_swio11_dual_pr_ee },
 {  40184, ur_m168_swio11_dual_pr_ee_u4 },
 {  40185, ur_m168_swio11_dual_pr_ce },
 {  40186, ur_m168_swio11_dual_pr_ce_u4 },
 {  40187, ur_m168_swio11_dual_pr_ee_ce },
 {  40188, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  40189, ur_m168_swio11_dual_hw },
 {  40190, ur_m168_swio11_dual_ee_hw },
 {  40191, ur_m168_swio11_dual_ce_hw },
 {  40192, ur_m168_swio11_dual_ee_ce_hw },
 {  40193, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  40194, ur_m168_swio11_noled },
 {  40195, ur_m168_swio11_noled },
 {  40196, ur_m168_swio11_noled_pr_u4 },
 {  40197, ur_m168_swio11_noled_pr_ee },
 {  40198, ur_m168_swio11_noled_pr_ee },
 {  40199, ur_m168_swio11_noled_pr_ce },
 {  40200, ur_m168_swio11_noled_pr_ce },
 {  40201, ur_m168_swio11_noled_pr_ee_ce },
 {  40202, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  40203, ur_m168_swio11_noled_hw },
 {  40204, ur_m168_swio11_noled_ee_hw },
 {  40205, ur_m168_swio11_noled_ce_hw },
 {  40206, ur_m168_swio11_noled_ee_ce_hw },
 {  40207, ur_m168_swio11_noled_ee_ce_hw },
 {  40208, ur_m168_swio11_lednop },
 {  40209, ur_m168_swio11_lednop_pr },
 {  40210, ur_m168_swio11_lednop_pr },
 {  40211, ur_m168_swio11_lednop_pr_ee },
 {  40212, ur_m168_swio11_lednop_pr_ee_u4 },
 {  40213, ur_m168_swio11_lednop_pr_ce },
 {  40214, ur_m168_swio11_lednop_pr_ce },
 {  40215, ur_m168_swio11_lednop_pr_ee_ce },
 {  40216, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  40217, ur_m168_swio11_lednop_hw },
 {  40218, ur_m168_swio11_lednop_ee_hw },
 {  40219, ur_m168_swio11_lednop_ce_hw },
 {  40220, ur_m168_swio11_lednop_ee_ce_hw },
 {  40221, ur_m168_swio11_lednop_ee_ce_hw },
 {  40222, ur_m168_swio11_dual },
 {  40223, ur_m168_swio11_dual },
 {  40224, ur_m168_swio11_dual },
 {  40225, ur_m168_swio11_dual_pr_ee },
 {  40226, ur_m168_swio11_dual_pr_ee_u4 },
 {  40227, ur_m168_swio11_dual_pr_ce },
 {  40228, ur_m168_swio11_dual_pr_ce_u4 },
 {  40229, ur_m168_swio11_dual_pr_ee_ce },
 {  40230, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  40231, ur_m168_swio11_dual_hw },
 {  40232, ur_m168_swio11_dual_ee_hw },
 {  40233, ur_m168_swio11_dual_ce_hw },
 {  40234, ur_m168_swio11_dual_ee_ce_hw },
 {  40235, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  40236, ur_m168_swio13_noled },
 {  40237, ur_m168_swio13_noled },
 {  40238, ur_m168_swio13_noled_pr_u4 },
 {  40239, ur_m168_swio13_noled_pr_ee },
 {  40240, ur_m168_swio13_noled_pr_ee },
 {  40241, ur_m168_swio13_noled_pr_ce },
 {  40242, ur_m168_swio13_noled_pr_ce },
 {  40243, ur_m168_swio13_noled_pr_ee_ce },
 {  40244, ur_m168_swio13_noled_pr_ee_ce_u4 },
 {  40245, ur_m168_swio13_noled_hw },
 {  40246, ur_m168_swio13_noled_ee_hw },
 {  40247, ur_m168_swio13_noled_ce_hw },
 {  40248, ur_m168_swio13_noled_ee_ce_hw },
 {  40249, ur_m168_swio13_noled_ee_ce_hw },
 {  40250, ur_m168_swio13_lednop },
 {  40251, ur_m168_swio13_lednop_pr },
 {  40252, ur_m168_swio13_lednop_pr },
 {  40253, ur_m168_swio13_lednop_pr_ee },
 {  40254, ur_m168_swio13_lednop_pr_ee_u4 },
 {  40255, ur_m168_swio13_lednop_pr_ce },
 {  40256, ur_m168_swio13_lednop_pr_ce },
 {  40257, ur_m168_swio13_lednop_pr_ee_ce },
 {  40258, ur_m168_swio13_lednop_pr_ee_ce_u4 },
 {  40259, ur_m168_swio13_lednop_hw },
 {  40260, ur_m168_swio13_lednop_ee_hw },
 {  40261, ur_m168_swio13_lednop_ce_hw },
 {  40262, ur_m168_swio13_lednop_ee_ce_hw },
 {  40263, ur_m168_swio13_lednop_ee_ce_hw },
 {  40264, ur_m168_swio13_dual },
 {  40265, ur_m168_swio13_dual },
 {  40266, ur_m168_swio13_dual },
 {  40267, ur_m168_swio13_dual_pr_ee },
 {  40268, ur_m168_swio13_dual_pr_ee_u4 },
 {  40269, ur_m168_swio13_dual_pr_ce },
 {  40270, ur_m168_swio13_dual_pr_ce_u4 },
 {  40271, ur_m168_swio13_dual_pr_ee_ce },
 {  40272, ur_m168_swio13_dual_pr_ee_ce_u4 },
 {  40273, ur_m168_swio13_dual_hw },
 {  40274, ur_m168_swio13_dual_ee_hw },
 {  40275, ur_m168_swio13_dual_ce_hw },
 {  40276, ur_m168_swio13_dual_ee_ce_hw },
 {  40277, ur_m168_swio13_dual_ee_ce_u4_hw },
 {  40278, ur_m168_swio14_noled },
 {  40279, ur_m168_swio14_noled },
 {  40280, ur_m168_swio14_noled_pr_u4 },
 {  40281, ur_m168_swio14_noled_pr_ee },
 {  40282, ur_m168_swio14_noled_pr_ee },
 {  40283, ur_m168_swio14_noled_pr_ce },
 {  40284, ur_m168_swio14_noled_pr_ce },
 {  40285, ur_m168_swio14_noled_pr_ee_ce },
 {  40286, ur_m168_swio14_noled_pr_ee_ce_u4 },
 {  40287, ur_m168_swio14_noled_hw },
 {  40288, ur_m168_swio14_noled_ee_hw },
 {  40289, ur_m168_swio14_noled_ce_hw },
 {  40290, ur_m168_swio14_noled_ee_ce_hw },
 {  40291, ur_m168_swio14_noled_ee_ce_hw },
 {  40292, ur_m168_swio14_lednop },
 {  40293, ur_m168_swio14_lednop_pr },
 {  40294, ur_m168_swio14_lednop_pr },
 {  40295, ur_m168_swio14_lednop_pr_ee },
 {  40296, ur_m168_swio14_lednop_pr_ee_u4 },
 {  40297, ur_m168_swio14_lednop_pr_ce },
 {  40298, ur_m168_swio14_lednop_pr_ce },
 {  40299, ur_m168_swio14_lednop_pr_ee_ce },
 {  40300, ur_m168_swio14_lednop_pr_ee_ce_u4 },
 {  40301, ur_m168_swio14_lednop_hw },
 {  40302, ur_m168_swio14_lednop_ee_hw },
 {  40303, ur_m168_swio14_lednop_ce_hw },
 {  40304, ur_m168_swio14_lednop_ee_ce_hw },
 {  40305, ur_m168_swio14_lednop_ee_ce_hw },
 {  40306, ur_m168_swio14_dual },
 {  40307, ur_m168_swio14_dual },
 {  40308, ur_m168_swio14_dual },
 {  40309, ur_m168_swio14_dual_pr_ee },
 {  40310, ur_m168_swio14_dual_pr_ee_u4 },
 {  40311, ur_m168_swio14_dual_pr_ce },
 {  40312, ur_m168_swio14_dual_pr_ce_u4 },
 {  40313, ur_m168_swio14_dual_pr_ee_ce },
 {  40314, ur_m168_swio14_dual_pr_ee_ce_u4 },
 {  40315, ur_m168_swio14_dual_hw },
 {  40316, ur_m168_swio14_dual_ee_hw },
 {  40317, ur_m168_swio14_dual_ce_hw },
 {  40318, ur_m168_swio14_dual_ee_ce_hw },
 {  40319, ur_m168_swio14_dual_ee_ce_u4_hw },
 {  40320, ur_m168_swio15_noled },
 {  40321, ur_m168_swio15_noled },
 {  40322, ur_m168_swio15_noled_pr_u4 },
 {  40323, ur_m168_swio15_noled_pr_ee },
 {  40324, ur_m168_swio15_noled_pr_ee },
 {  40325, ur_m168_swio15_noled_pr_ce },
 {  40326, ur_m168_swio15_noled_pr_ce },
 {  40327, ur_m168_swio15_noled_pr_ee_ce },
 {  40328, ur_m168_swio15_noled_pr_ee_ce_u4 },
 {  40329, ur_m168_swio15_noled_hw },
 {  40330, ur_m168_swio15_noled_ee_hw },
 {  40331, ur_m168_swio15_noled_ce_hw },
 {  40332, ur_m168_swio15_noled_ee_ce_hw },
 {  40333, ur_m168_swio15_noled_ee_ce_hw },
 {  40334, ur_m168_swio15_lednop },
 {  40335, ur_m168_swio15_lednop_pr },
 {  40336, ur_m168_swio15_lednop_pr },
 {  40337, ur_m168_swio15_lednop_pr_ee },
 {  40338, ur_m168_swio15_lednop_pr_ee_u4 },
 {  40339, ur_m168_swio15_lednop_pr_ce },
 {  40340, ur_m168_swio15_lednop_pr_ce },
 {  40341, ur_m168_swio15_lednop_pr_ee_ce },
 {  40342, ur_m168_swio15_lednop_pr_ee_ce_u4 },
 {  40343, ur_m168_swio15_lednop_hw },
 {  40344, ur_m168_swio15_lednop_ee_hw },
 {  40345, ur_m168_swio15_lednop_ce_hw },
 {  40346, ur_m168_swio15_lednop_ee_ce_hw },
 {  40347, ur_m168_swio15_lednop_ee_ce_hw },
 {  40348, ur_m168_swio15_dual },
 {  40349, ur_m168_swio15_dual },
 {  40350, ur_m168_swio15_dual },
 {  40351, ur_m168_swio15_dual_pr_ee },
 {  40352, ur_m168_swio15_dual_pr_ee_u4 },
 {  40353, ur_m168_swio15_dual_pr_ce },
 {  40354, ur_m168_swio15_dual_pr_ce_u4 },
 {  40355, ur_m168_swio15_dual_pr_ee_ce },
 {  40356, ur_m168_swio15_dual_pr_ee_ce_u4 },
 {  40357, ur_m168_swio15_dual_hw },
 {  40358, ur_m168_swio15_dual_ee_hw },
 {  40359, ur_m168_swio15_dual_ce_hw },
 {  40360, ur_m168_swio15_dual_ee_ce_hw },
 {  40361, ur_m168_swio15_dual_ee_ce_u4_hw },
 {  40362, ur_m168_autobaud_uart0_noled },
 {  40363, ur_m168_autobaud_uart0_noled },
 {  40364, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  40365, ur_m168_autobaud_uart0_noled_pr_ee },
 {  40366, ur_m168_autobaud_uart0_noled_pr_ee },
 {  40367, ur_m168_autobaud_uart0_noled_pr_ce },
 {  40368, ur_m168_autobaud_uart0_noled_pr_ce },
 {  40369, ur_m168_autobaud_uart0_noled_pr_ee_ce },
 {  40370, ur_m168_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  40371, ur_m168_autobaud_uart0_noled_hw },
 {  40372, ur_m168_autobaud_uart0_noled_ee_hw },
 {  40373, ur_m168_autobaud_uart0_noled_ce_hw },
 {  40374, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  40375, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  40376, ur_m168_autobaud_uart0_lednop },
 {  40377, ur_m168_autobaud_uart0_lednop },
 {  40378, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  40379, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  40380, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  40381, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  40382, ur_m168_autobaud_uart0_lednop_pr_ce },
 {  40383, ur_m168_autobaud_uart0_lednop_pr_ee_ce },
 {  40384, ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  40385, ur_m168_autobaud_uart0_lednop_hw },
 {  40386, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  40387, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  40388, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  40389, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  40390, ur_m168_autobaud_uart0_dual },
 {  40391, ur_m168_autobaud_uart0_dual },
 {  40392, ur_m168_autobaud_uart0_dual },
 {  40393, ur_m168_autobaud_uart0_dual_pr_ee },
 {  40394, ur_m168_autobaud_uart0_dual_pr_ee_u4 },
 {  40395, ur_m168_autobaud_uart0_dual_pr_ce },
 {  40396, ur_m168_autobaud_uart0_dual_pr_ce },
 {  40397, ur_m168_autobaud_uart0_dual_pr_ee_ce },
 {  40398, ur_m168_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  40399, ur_m168_autobaud_uart0_dual_hw },
 {  40400, ur_m168_autobaud_uart0_dual_ee_hw },
 {  40401, ur_m168_autobaud_uart0_dual_ce_hw },
 {  40402, ur_m168_autobaud_uart0_dual_ee_ce_hw },
 {  40403, ur_m168_autobaud_uart0_dual_ee_ce_u4_hw },
 {  40572, ur_m168_u1x8_uart0_noled },
 {  40573, ur_m168_u1x8_uart0_noled },
 {  40574, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  40575, ur_m168_u1x8_uart0_noled_pr_ee },
 {  40576, ur_m168_u1x8_uart0_noled_pr_ee },
 {  40577, ur_m168_u1x8_uart0_noled_pr_ce },
 {  40578, ur_m168_u1x8_uart0_noled_pr_ce_u4 },
 {  40579, ur_m168_u1x8_uart0_noled_pr_ee_ce },
 {  40580, ur_m168_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  40581, ur_m168_u1x8_uart0_noled_hw },
 {  40582, ur_m168_u1x8_uart0_noled_ee_hw },
 {  40583, ur_m168_u1x8_uart0_noled_ce_hw },
 {  40584, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  40585, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  40586, ur_m168_u1x8_uart0_lednop },
 {  40587, ur_m168_u1x8_uart0_lednop },
 {  40588, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  40589, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  40590, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  40591, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  40592, ur_m168_u1x8_uart0_lednop_pr_ce },
 {  40593, ur_m168_u1x8_uart0_lednop_pr_ee_ce },
 {  40594, ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  40595, ur_m168_u1x8_uart0_lednop_hw },
 {  40596, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  40597, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  40598, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  40599, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  40600, ur_m168_u1x8_uart0_dual },
 {  40601, ur_m168_u1x8_uart0_dual },
 {  40602, ur_m168_u1x8_uart0_dual_pr_u4 },
 {  40603, ur_m168_u1x8_uart0_dual_pr_ee },
 {  40604, ur_m168_u1x8_uart0_dual_pr_ee },
 {  40605, ur_m168_u1x8_uart0_dual_pr_ce },
 {  40606, ur_m168_u1x8_uart0_dual_pr_ce },
 {  40607, ur_m168_u1x8_uart0_dual_pr_ee_ce },
 {  40608, ur_m168_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  40609, ur_m168_u1x8_uart0_dual_hw },
 {  40610, ur_m168_u1x8_uart0_dual_ee_hw },
 {  40611, ur_m168_u1x8_uart0_dual_ce_hw },
 {  40612, ur_m168_u1x8_uart0_dual_ee_ce_hw },
 {  40613, ur_m168_u1x8_uart0_dual_ee_ce_u4_hw },
 {  40782, ur_m168_u1x12_uart0_noled },
 {  40783, ur_m168_u1x12_uart0_noled },
 {  40784, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  40785, ur_m168_u1x12_uart0_noled_pr_ee },
 {  40786, ur_m168_u1x12_uart0_noled_pr_ee },
 {  40787, ur_m168_u1x12_uart0_noled_pr_ce },
 {  40788, ur_m168_u1x12_uart0_noled_pr_ce_u4 },
 {  40789, ur_m168_u1x12_uart0_noled_pr_ee_ce },
 {  40790, ur_m168_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  40791, ur_m168_u1x12_uart0_noled_hw },
 {  40792, ur_m168_u1x12_uart0_noled_ee_hw },
 {  40793, ur_m168_u1x12_uart0_noled_ce_hw },
 {  40794, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  40795, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  40796, ur_m168_u1x12_uart0_lednop },
 {  40797, ur_m168_u1x12_uart0_lednop },
 {  40798, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  40799, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  40800, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  40801, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  40802, ur_m168_u1x12_uart0_lednop_pr_ce },
 {  40803, ur_m168_u1x12_uart0_lednop_pr_ee_ce },
 {  40804, ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  40805, ur_m168_u1x12_uart0_lednop_hw },
 {  40806, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  40807, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  40808, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  40809, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  40810, ur_m168_u1x12_uart0_dual },
 {  40811, ur_m168_u1x12_uart0_dual_pr },
 {  40812, ur_m168_u1x12_uart0_dual_pr_u4 },
 {  40813, ur_m168_u1x12_uart0_dual_pr_ee },
 {  40814, ur_m168_u1x12_uart0_dual_pr_ee },
 {  40815, ur_m168_u1x12_uart0_dual_pr_ce },
 {  40816, ur_m168_u1x12_uart0_dual_pr_ce },
 {  40817, ur_m168_u1x12_uart0_dual_pr_ee_ce },
 {  40818, ur_m168_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  40819, ur_m168_u1x12_uart0_dual_hw },
 {  40820, ur_m168_u1x12_uart0_dual_ee_hw },
 {  40821, ur_m168_u1x12_uart0_dual_ce_hw },
 {  40822, ur_m168_u1x12_uart0_dual_ee_ce_hw },
 {  40823, ur_m168_u1x12_uart0_dual_ee_ce_u4_hw },
 {  40992, ur_m168_u2x8_uart0_noled },
 {  40993, ur_m168_u2x8_uart0_noled },
 {  40994, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  40995, ur_m168_u2x8_uart0_noled_pr_ee },
 {  40996, ur_m168_u2x8_uart0_noled_pr_ee },
 {  40997, ur_m168_u2x8_uart0_noled_pr_ce },
 {  40998, ur_m168_u2x8_uart0_noled_pr_ce_u4 },
 {  40999, ur_m168_u2x8_uart0_noled_pr_ee_ce },
 {  41000, ur_m168_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  41001, ur_m168_u2x8_uart0_noled_hw },
 {  41002, ur_m168_u2x8_uart0_noled_ee_hw },
 {  41003, ur_m168_u2x8_uart0_noled_ce_hw },
 {  41004, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  41005, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  41006, ur_m168_u2x8_uart0_lednop },
 {  41007, ur_m168_u2x8_uart0_lednop },
 {  41008, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  41009, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  41010, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  41011, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  41012, ur_m168_u2x8_uart0_lednop_pr_ce },
 {  41013, ur_m168_u2x8_uart0_lednop_pr_ee_ce },
 {  41014, ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  41015, ur_m168_u2x8_uart0_lednop_hw },
 {  41016, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  41017, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  41018, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  41019, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  41020, ur_m168_u2x8_uart0_dual },
 {  41021, ur_m168_u2x8_uart0_dual_pr },
 {  41022, ur_m168_u2x8_uart0_dual_pr_u4 },
 {  41023, ur_m168_u2x8_uart0_dual_pr_ee },
 {  41024, ur_m168_u2x8_uart0_dual_pr_ee },
 {  41025, ur_m168_u2x8_uart0_dual_pr_ce },
 {  41026, ur_m168_u2x8_uart0_dual_pr_ce },
 {  41027, ur_m168_u2x8_uart0_dual_pr_ee_ce },
 {  41028, ur_m168_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  41029, ur_m168_u2x8_uart0_dual_hw },
 {  41030, ur_m168_u2x8_uart0_dual_ee_hw },
 {  41031, ur_m168_u2x8_uart0_dual_ce_hw },
 {  41032, ur_m168_u2x8_uart0_dual_ee_ce_hw },
 {  41033, ur_m168_u2x8_uart0_dual_ee_ce_u4_hw },
 {  41202, ur_m168_u2x12_uart0_noled },
 {  41203, ur_m168_u2x12_uart0_noled },
 {  41204, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  41205, ur_m168_u2x12_uart0_noled_pr_ee },
 {  41206, ur_m168_u2x12_uart0_noled_pr_ee },
 {  41207, ur_m168_u2x12_uart0_noled_pr_ce },
 {  41208, ur_m168_u2x12_uart0_noled_pr_ce },
 {  41209, ur_m168_u2x12_uart0_noled_pr_ee_ce },
 {  41210, ur_m168_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  41211, ur_m168_u2x12_uart0_noled_hw },
 {  41212, ur_m168_u2x12_uart0_noled_ee_hw },
 {  41213, ur_m168_u2x12_uart0_noled_ce_hw },
 {  41214, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  41215, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  41216, ur_m168_u2x12_uart0_lednop },
 {  41217, ur_m168_u2x12_uart0_lednop },
 {  41218, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  41219, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  41220, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  41221, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  41222, ur_m168_u2x12_uart0_lednop_pr_ce },
 {  41223, ur_m168_u2x12_uart0_lednop_pr_ee_ce },
 {  41224, ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  41225, ur_m168_u2x12_uart0_lednop_hw },
 {  41226, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  41227, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  41228, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  41229, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  41230, ur_m168_u2x12_uart0_dual },
 {  41231, ur_m168_u2x12_uart0_dual_pr },
 {  41232, ur_m168_u2x12_uart0_dual_pr },
 {  41233, ur_m168_u2x12_uart0_dual_pr_ee },
 {  41234, ur_m168_u2x12_uart0_dual_pr_ee },
 {  41235, ur_m168_u2x12_uart0_dual_pr_ce },
 {  41236, ur_m168_u2x12_uart0_dual_pr_ce },
 {  41237, ur_m168_u2x12_uart0_dual_pr_ee_ce },
 {  41238, ur_m168_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  41239, ur_m168_u2x12_uart0_dual_hw },
 {  41240, ur_m168_u2x12_uart0_dual_ee_hw },
 {  41241, ur_m168_u2x12_uart0_dual_ce_hw },
 {  41242, ur_m168_u2x12_uart0_dual_ee_ce_hw },
 {  41243, ur_m168_u2x12_uart0_dual_ee_ce_u4_hw },
 {  41412, ur_m168_swio10_noled },
 {  41413, ur_m168_swio10_noled },
 {  41414, ur_m168_swio10_noled_pr_u4 },
 {  41415, ur_m168_swio10_noled_pr_ee },
 {  41416, ur_m168_swio10_noled_pr_ee },
 {  41417, ur_m168_swio10_noled_pr_ce },
 {  41418, ur_m168_swio10_noled_pr_ce },
 {  41419, ur_m168_swio10_noled_pr_ee_ce },
 {  41420, ur_m168_swio10_noled_pr_ee_ce_u4 },
 {  41421, ur_m168_swio10_noled_hw },
 {  41422, ur_m168_swio10_noled_ee_hw },
 {  41423, ur_m168_swio10_noled_ce_hw },
 {  41424, ur_m168_swio10_noled_ee_ce_hw },
 {  41425, ur_m168_swio10_noled_ee_ce_hw },
 {  41426, ur_m168_swio10_lednop },
 {  41427, ur_m168_swio10_lednop_pr },
 {  41428, ur_m168_swio10_lednop_pr },
 {  41429, ur_m168_swio10_lednop_pr_ee },
 {  41430, ur_m168_swio10_lednop_pr_ee },
 {  41431, ur_m168_swio10_lednop_pr_ce },
 {  41432, ur_m168_swio10_lednop_pr_ce },
 {  41433, ur_m168_swio10_lednop_pr_ee_ce },
 {  41434, ur_m168_swio10_lednop_pr_ee_ce_u4 },
 {  41435, ur_m168_swio10_lednop_hw },
 {  41436, ur_m168_swio10_lednop_ee_hw },
 {  41437, ur_m168_swio10_lednop_ce_hw },
 {  41438, ur_m168_swio10_lednop_ee_ce_hw },
 {  41439, ur_m168_swio10_lednop_ee_ce_hw },
 {  41440, ur_m168_swio10_dual },
 {  41441, ur_m168_swio10_dual },
 {  41442, ur_m168_swio10_dual },
 {  41443, ur_m168_swio10_dual_pr_ee },
 {  41444, ur_m168_swio10_dual_pr_ee_u4 },
 {  41445, ur_m168_swio10_dual_pr_ce },
 {  41446, ur_m168_swio10_dual_pr_ce_u4 },
 {  41447, ur_m168_swio10_dual_pr_ee_ce },
 {  41448, ur_m168_swio10_dual_pr_ee_ce_u4 },
 {  41449, ur_m168_swio10_dual_hw },
 {  41450, ur_m168_swio10_dual_ee_hw },
 {  41451, ur_m168_swio10_dual_ce_hw },
 {  41452, ur_m168_swio10_dual_ee_ce_hw },
 {  41453, ur_m168_swio10_dual_ee_ce_u4_hw },
 {  41454, ur_m168_swio11_noled },
 {  41455, ur_m168_swio11_noled },
 {  41456, ur_m168_swio11_noled_pr_u4 },
 {  41457, ur_m168_swio11_noled_pr_ee },
 {  41458, ur_m168_swio11_noled_pr_ee },
 {  41459, ur_m168_swio11_noled_pr_ce },
 {  41460, ur_m168_swio11_noled_pr_ce },
 {  41461, ur_m168_swio11_noled_pr_ee_ce },
 {  41462, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  41463, ur_m168_swio11_noled_hw },
 {  41464, ur_m168_swio11_noled_ee_hw },
 {  41465, ur_m168_swio11_noled_ce_hw },
 {  41466, ur_m168_swio11_noled_ee_ce_hw },
 {  41467, ur_m168_swio11_noled_ee_ce_hw },
 {  41468, ur_m168_swio11_lednop },
 {  41469, ur_m168_swio11_lednop_pr },
 {  41470, ur_m168_swio11_lednop_pr },
 {  41471, ur_m168_swio11_lednop_pr_ee },
 {  41472, ur_m168_swio11_lednop_pr_ee_u4 },
 {  41473, ur_m168_swio11_lednop_pr_ce },
 {  41474, ur_m168_swio11_lednop_pr_ce },
 {  41475, ur_m168_swio11_lednop_pr_ee_ce },
 {  41476, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  41477, ur_m168_swio11_lednop_hw },
 {  41478, ur_m168_swio11_lednop_ee_hw },
 {  41479, ur_m168_swio11_lednop_ce_hw },
 {  41480, ur_m168_swio11_lednop_ee_ce_hw },
 {  41481, ur_m168_swio11_lednop_ee_ce_hw },
 {  41482, ur_m168_swio11_dual },
 {  41483, ur_m168_swio11_dual },
 {  41484, ur_m168_swio11_dual },
 {  41485, ur_m168_swio11_dual_pr_ee },
 {  41486, ur_m168_swio11_dual_pr_ee_u4 },
 {  41487, ur_m168_swio11_dual_pr_ce },
 {  41488, ur_m168_swio11_dual_pr_ce_u4 },
 {  41489, ur_m168_swio11_dual_pr_ee_ce },
 {  41490, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  41491, ur_m168_swio11_dual_hw },
 {  41492, ur_m168_swio11_dual_ee_hw },
 {  41493, ur_m168_swio11_dual_ce_hw },
 {  41494, ur_m168_swio11_dual_ee_ce_hw },
 {  41495, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  41496, ur_m168_swio11_noled },
 {  41497, ur_m168_swio11_noled },
 {  41498, ur_m168_swio11_noled_pr_u4 },
 {  41499, ur_m168_swio11_noled_pr_ee },
 {  41500, ur_m168_swio11_noled_pr_ee },
 {  41501, ur_m168_swio11_noled_pr_ce },
 {  41502, ur_m168_swio11_noled_pr_ce },
 {  41503, ur_m168_swio11_noled_pr_ee_ce },
 {  41504, ur_m168_swio11_noled_pr_ee_ce_u4 },
 {  41505, ur_m168_swio11_noled_hw },
 {  41506, ur_m168_swio11_noled_ee_hw },
 {  41507, ur_m168_swio11_noled_ce_hw },
 {  41508, ur_m168_swio11_noled_ee_ce_hw },
 {  41509, ur_m168_swio11_noled_ee_ce_hw },
 {  41510, ur_m168_swio11_lednop },
 {  41511, ur_m168_swio11_lednop_pr },
 {  41512, ur_m168_swio11_lednop_pr },
 {  41513, ur_m168_swio11_lednop_pr_ee },
 {  41514, ur_m168_swio11_lednop_pr_ee_u4 },
 {  41515, ur_m168_swio11_lednop_pr_ce },
 {  41516, ur_m168_swio11_lednop_pr_ce },
 {  41517, ur_m168_swio11_lednop_pr_ee_ce },
 {  41518, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 {  41519, ur_m168_swio11_lednop_hw },
 {  41520, ur_m168_swio11_lednop_ee_hw },
 {  41521, ur_m168_swio11_lednop_ce_hw },
 {  41522, ur_m168_swio11_lednop_ee_ce_hw },
 {  41523, ur_m168_swio11_lednop_ee_ce_hw },
 {  41524, ur_m168_swio11_dual },
 {  41525, ur_m168_swio11_dual },
 {  41526, ur_m168_swio11_dual },
 {  41527, ur_m168_swio11_dual_pr_ee },
 {  41528, ur_m168_swio11_dual_pr_ee_u4 },
 {  41529, ur_m168_swio11_dual_pr_ce },
 {  41530, ur_m168_swio11_dual_pr_ce_u4 },
 {  41531, ur_m168_swio11_dual_pr_ee_ce },
 {  41532, ur_m168_swio11_dual_pr_ee_ce_u4 },
 {  41533, ur_m168_swio11_dual_hw },
 {  41534, ur_m168_swio11_dual_ee_hw },
 {  41535, ur_m168_swio11_dual_ce_hw },
 {  41536, ur_m168_swio11_dual_ee_ce_hw },
 {  41537, ur_m168_swio11_dual_ee_ce_u4_hw },
 {  41538, ur_m168_swio13_noled },
 {  41539, ur_m168_swio13_noled },
 {  41540, ur_m168_swio13_noled_pr_u4 },
 {  41541, ur_m168_swio13_noled_pr_ee },
 {  41542, ur_m168_swio13_noled_pr_ee },
 {  41543, ur_m168_swio13_noled_pr_ce },
 {  41544, ur_m168_swio13_noled_pr_ce },
 {  41545, ur_m168_swio13_noled_pr_ee_ce },
 {  41546, ur_m168_swio13_noled_pr_ee_ce_u4 },
 {  41547, ur_m168_swio13_noled_hw },
 {  41548, ur_m168_swio13_noled_ee_hw },
 {  41549, ur_m168_swio13_noled_ce_hw },
 {  41550, ur_m168_swio13_noled_ee_ce_hw },
 {  41551, ur_m168_swio13_noled_ee_ce_hw },
 {  41552, ur_m168_swio13_lednop },
 {  41553, ur_m168_swio13_lednop_pr },
 {  41554, ur_m168_swio13_lednop_pr },
 {  41555, ur_m168_swio13_lednop_pr_ee },
 {  41556, ur_m168_swio13_lednop_pr_ee_u4 },
 {  41557, ur_m168_swio13_lednop_pr_ce },
 {  41558, ur_m168_swio13_lednop_pr_ce },
 {  41559, ur_m168_swio13_lednop_pr_ee_ce },
 {  41560, ur_m168_swio13_lednop_pr_ee_ce_u4 },
 {  41561, ur_m168_swio13_lednop_hw },
 {  41562, ur_m168_swio13_lednop_ee_hw },
 {  41563, ur_m168_swio13_lednop_ce_hw },
 {  41564, ur_m168_swio13_lednop_ee_ce_hw },
 {  41565, ur_m168_swio13_lednop_ee_ce_hw },
 {  41566, ur_m168_swio13_dual },
 {  41567, ur_m168_swio13_dual },
 {  41568, ur_m168_swio13_dual },
 {  41569, ur_m168_swio13_dual_pr_ee },
 {  41570, ur_m168_swio13_dual_pr_ee_u4 },
 {  41571, ur_m168_swio13_dual_pr_ce },
 {  41572, ur_m168_swio13_dual_pr_ce_u4 },
 {  41573, ur_m168_swio13_dual_pr_ee_ce },
 {  41574, ur_m168_swio13_dual_pr_ee_ce_u4 },
 {  41575, ur_m168_swio13_dual_hw },
 {  41576, ur_m168_swio13_dual_ee_hw },
 {  41577, ur_m168_swio13_dual_ce_hw },
 {  41578, ur_m168_swio13_dual_ee_ce_hw },
 {  41579, ur_m168_swio13_dual_ee_ce_u4_hw },
 {  41580, ur_m168_swio14_noled },
 {  41581, ur_m168_swio14_noled },
 {  41582, ur_m168_swio14_noled_pr_u4 },
 {  41583, ur_m168_swio14_noled_pr_ee },
 {  41584, ur_m168_swio14_noled_pr_ee },
 {  41585, ur_m168_swio14_noled_pr_ce },
 {  41586, ur_m168_swio14_noled_pr_ce },
 {  41587, ur_m168_swio14_noled_pr_ee_ce },
 {  41588, ur_m168_swio14_noled_pr_ee_ce_u4 },
 {  41589, ur_m168_swio14_noled_hw },
 {  41590, ur_m168_swio14_noled_ee_hw },
 {  41591, ur_m168_swio14_noled_ce_hw },
 {  41592, ur_m168_swio14_noled_ee_ce_hw },
 {  41593, ur_m168_swio14_noled_ee_ce_hw },
 {  41594, ur_m168_swio14_lednop },
 {  41595, ur_m168_swio14_lednop_pr },
 {  41596, ur_m168_swio14_lednop_pr },
 {  41597, ur_m168_swio14_lednop_pr_ee },
 {  41598, ur_m168_swio14_lednop_pr_ee_u4 },
 {  41599, ur_m168_swio14_lednop_pr_ce },
 {  41600, ur_m168_swio14_lednop_pr_ce },
 {  41601, ur_m168_swio14_lednop_pr_ee_ce },
 {  41602, ur_m168_swio14_lednop_pr_ee_ce_u4 },
 {  41603, ur_m168_swio14_lednop_hw },
 {  41604, ur_m168_swio14_lednop_ee_hw },
 {  41605, ur_m168_swio14_lednop_ce_hw },
 {  41606, ur_m168_swio14_lednop_ee_ce_hw },
 {  41607, ur_m168_swio14_lednop_ee_ce_hw },
 {  41608, ur_m168_swio14_dual },
 {  41609, ur_m168_swio14_dual },
 {  41610, ur_m168_swio14_dual },
 {  41611, ur_m168_swio14_dual_pr_ee },
 {  41612, ur_m168_swio14_dual_pr_ee_u4 },
 {  41613, ur_m168_swio14_dual_pr_ce },
 {  41614, ur_m168_swio14_dual_pr_ce_u4 },
 {  41615, ur_m168_swio14_dual_pr_ee_ce },
 {  41616, ur_m168_swio14_dual_pr_ee_ce_u4 },
 {  41617, ur_m168_swio14_dual_hw },
 {  41618, ur_m168_swio14_dual_ee_hw },
 {  41619, ur_m168_swio14_dual_ce_hw },
 {  41620, ur_m168_swio14_dual_ee_ce_hw },
 {  41621, ur_m168_swio14_dual_ee_ce_u4_hw },
 {  41622, ur_m168_swio15_noled },
 {  41623, ur_m168_swio15_noled },
 {  41624, ur_m168_swio15_noled_pr_u4 },
 {  41625, ur_m168_swio15_noled_pr_ee },
 {  41626, ur_m168_swio15_noled_pr_ee },
 {  41627, ur_m168_swio15_noled_pr_ce },
 {  41628, ur_m168_swio15_noled_pr_ce },
 {  41629, ur_m168_swio15_noled_pr_ee_ce },
 {  41630, ur_m168_swio15_noled_pr_ee_ce_u4 },
 {  41631, ur_m168_swio15_noled_hw },
 {  41632, ur_m168_swio15_noled_ee_hw },
 {  41633, ur_m168_swio15_noled_ce_hw },
 {  41634, ur_m168_swio15_noled_ee_ce_hw },
 {  41635, ur_m168_swio15_noled_ee_ce_hw },
 {  41636, ur_m168_swio15_lednop },
 {  41637, ur_m168_swio15_lednop_pr },
 {  41638, ur_m168_swio15_lednop_pr },
 {  41639, ur_m168_swio15_lednop_pr_ee },
 {  41640, ur_m168_swio15_lednop_pr_ee_u4 },
 {  41641, ur_m168_swio15_lednop_pr_ce },
 {  41642, ur_m168_swio15_lednop_pr_ce },
 {  41643, ur_m168_swio15_lednop_pr_ee_ce },
 {  41644, ur_m168_swio15_lednop_pr_ee_ce_u4 },
 {  41645, ur_m168_swio15_lednop_hw },
 {  41646, ur_m168_swio15_lednop_ee_hw },
 {  41647, ur_m168_swio15_lednop_ce_hw },
 {  41648, ur_m168_swio15_lednop_ee_ce_hw },
 {  41649, ur_m168_swio15_lednop_ee_ce_hw },
 {  41650, ur_m168_swio15_dual },
 {  41651, ur_m168_swio15_dual },
 {  41652, ur_m168_swio15_dual },
 {  41653, ur_m168_swio15_dual_pr_ee },
 {  41654, ur_m168_swio15_dual_pr_ee_u4 },
 {  41655, ur_m168_swio15_dual_pr_ce },
 {  41656, ur_m168_swio15_dual_pr_ce_u4 },
 {  41657, ur_m168_swio15_dual_pr_ee_ce },
 {  41658, ur_m168_swio15_dual_pr_ee_ce_u4 },
 {  41659, ur_m168_swio15_dual_hw },
 {  41660, ur_m168_swio15_dual_ee_hw },
 {  41661, ur_m168_swio15_dual_ce_hw },
 {  41662, ur_m168_swio15_dual_ee_ce_hw },
 {  41663, ur_m168_swio15_dual_ee_ce_u4_hw },
 {  41664, ur_m168pb_autobaud_uart0_noled },
 {  41665, ur_m168pb_autobaud_uart0_noled },
 {  41666, ur_m168pb_autobaud_uart0_noled_pr_u4 },
 {  41667, ur_m168pb_autobaud_uart0_noled_pr_ee },
 {  41668, ur_m168pb_autobaud_uart0_noled_pr_ee },
 {  41669, ur_m168pb_autobaud_uart0_noled_pr_ce },
 {  41670, ur_m168pb_autobaud_uart0_noled_pr_ce },
 {  41671, ur_m168pb_autobaud_uart0_noled_pr_ee_ce },
 {  41672, ur_m168pb_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  41673, ur_m168pb_autobaud_uart0_noled_hw },
 {  41674, ur_m168pb_autobaud_uart0_noled_ee_hw },
 {  41675, ur_m168pb_autobaud_uart0_noled_ce_hw },
 {  41676, ur_m168pb_autobaud_uart0_noled_ee_ce_hw },
 {  41677, ur_m168pb_autobaud_uart0_noled_ee_ce_hw },
 {  41678, ur_m168pb_autobaud_uart0_lednop },
 {  41679, ur_m168pb_autobaud_uart0_lednop_pr },
 {  41680, ur_m168pb_autobaud_uart0_lednop_pr },
 {  41681, ur_m168pb_autobaud_uart0_lednop_pr_ee },
 {  41682, ur_m168pb_autobaud_uart0_lednop_pr_ee_u4 },
 {  41683, ur_m168pb_autobaud_uart0_lednop_pr_ce },
 {  41684, ur_m168pb_autobaud_uart0_lednop_pr_ce },
 {  41685, ur_m168pb_autobaud_uart0_lednop_pr_ee_ce },
 {  41686, ur_m168pb_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  41687, ur_m168pb_autobaud_uart0_lednop_hw },
 {  41688, ur_m168pb_autobaud_uart0_lednop_ee_hw },
 {  41689, ur_m168pb_autobaud_uart0_lednop_ce_hw },
 {  41690, ur_m168pb_autobaud_uart0_lednop_ee_ce_hw },
 {  41691, ur_m168pb_autobaud_uart0_lednop_ee_ce_hw },
 {  41692, ur_m168pb_autobaud_uart0_dual },
 {  41693, ur_m168pb_autobaud_uart0_dual },
 {  41694, ur_m168pb_autobaud_uart0_dual },
 {  41695, ur_m168pb_autobaud_uart0_dual_pr_ee },
 {  41696, ur_m168pb_autobaud_uart0_dual_pr_ee_u4 },
 {  41697, ur_m168pb_autobaud_uart0_dual_pr_ce },
 {  41698, ur_m168pb_autobaud_uart0_dual_pr_ce_u4 },
 {  41699, ur_m168pb_autobaud_uart0_dual_pr_ee_ce },
 {  41700, ur_m168pb_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  41701, ur_m168pb_autobaud_uart0_dual_hw },
 {  41702, ur_m168pb_autobaud_uart0_dual_ee_hw },
 {  41703, ur_m168pb_autobaud_uart0_dual_ce_hw },
 {  41704, ur_m168pb_autobaud_uart0_dual_ee_ce_hw },
 {  41705, ur_m168pb_autobaud_uart0_dual_ee_ce_u4_hw },
 {  41874, ur_m168pb_u1x8_uart0_noled },
 {  41875, ur_m168pb_u1x8_uart0_noled },
 {  41876, ur_m168pb_u1x8_uart0_noled_pr_u4 },
 {  41877, ur_m168pb_u1x8_uart0_noled_pr_ee },
 {  41878, ur_m168pb_u1x8_uart0_noled_pr_ee },
 {  41879, ur_m168pb_u1x8_uart0_noled_pr_ce },
 {  41880, ur_m168pb_u1x8_uart0_noled_pr_ce },
 {  41881, ur_m168pb_u1x8_uart0_noled_pr_ee_ce },
 {  41882, ur_m168pb_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  41883, ur_m169_u1x8_uart0_noled_hw },
 {  41884, ur_m169_u1x8_uart0_noled_ee_hw },
 {  41885, ur_m169_u1x8_uart0_noled_ce_hw },
 {  41886, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  41887, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  41888, ur_m168pb_u1x8_uart0_lednop },
 {  41889, ur_m168pb_u1x8_uart0_lednop },
 {  41890, ur_m168pb_u1x8_uart0_lednop_pr_u4 },
 {  41891, ur_m168pb_u1x8_uart0_lednop_pr_ee },
 {  41892, ur_m168pb_u1x8_uart0_lednop_pr_ee },
 {  41893, ur_m168pb_u1x8_uart0_lednop_pr_ce },
 {  41894, ur_m168pb_u1x8_uart0_lednop_pr_ce },
 {  41895, ur_m168pb_u1x8_uart0_lednop_pr_ee_ce },
 {  41896, ur_m168pb_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  41897, ur_m169_u1x8_uart0_lednop_hw },
 {  41898, ur_m169_u1x8_uart0_lednop_ee_hw },
 {  41899, ur_m169_u1x8_uart0_lednop_ce_hw },
 {  41900, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  41901, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  41902, ur_m168pb_u1x8_uart0_dual },
 {  41903, ur_m168pb_u1x8_uart0_dual_pr },
 {  41904, ur_m168pb_u1x8_uart0_dual_pr },
 {  41905, ur_m168pb_u1x8_uart0_dual_pr_ee },
 {  41906, ur_m168pb_u1x8_uart0_dual_pr_ee },
 {  41907, ur_m168pb_u1x8_uart0_dual_pr_ce },
 {  41908, ur_m168pb_u1x8_uart0_dual_pr_ce },
 {  41909, ur_m168pb_u1x8_uart0_dual_pr_ee_ce },
 {  41910, ur_m168pb_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  41911, ur_m168pb_u1x8_uart0_dual_hw },
 {  41912, ur_m168pb_u1x8_uart0_dual_ee_hw },
 {  41913, ur_m168pb_u1x8_uart0_dual_ce_hw },
 {  41914, ur_m168pb_u1x8_uart0_dual_ee_ce_hw },
 {  41915, ur_m168pb_u1x8_uart0_dual_ee_ce_u4_hw },
 {  42084, ur_m168pb_u1x12_uart0_noled },
 {  42085, ur_m168pb_u1x12_uart0_noled },
 {  42086, ur_m168pb_u1x12_uart0_noled_pr_u4 },
 {  42087, ur_m168pb_u1x12_uart0_noled_pr_ee },
 {  42088, ur_m168pb_u1x12_uart0_noled_pr_ee },
 {  42089, ur_m168pb_u1x12_uart0_noled_pr_ce },
 {  42090, ur_m168pb_u1x12_uart0_noled_pr_ce },
 {  42091, ur_m168pb_u1x12_uart0_noled_pr_ee_ce },
 {  42092, ur_m168pb_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  42093, ur_m169_u1x12_uart0_noled_hw },
 {  42094, ur_m169_u1x12_uart0_noled_ee_hw },
 {  42095, ur_m169_u1x12_uart0_noled_ce_hw },
 {  42096, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  42097, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  42098, ur_m168pb_u1x12_uart0_lednop },
 {  42099, ur_m168pb_u1x12_uart0_lednop },
 {  42100, ur_m168pb_u1x12_uart0_lednop_pr_u4 },
 {  42101, ur_m168pb_u1x12_uart0_lednop_pr_ee },
 {  42102, ur_m168pb_u1x12_uart0_lednop_pr_ee },
 {  42103, ur_m168pb_u1x12_uart0_lednop_pr_ce },
 {  42104, ur_m168pb_u1x12_uart0_lednop_pr_ce },
 {  42105, ur_m168pb_u1x12_uart0_lednop_pr_ee_ce },
 {  42106, ur_m168pb_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  42107, ur_m169_u1x12_uart0_lednop_hw },
 {  42108, ur_m169_u1x12_uart0_lednop_ee_hw },
 {  42109, ur_m169_u1x12_uart0_lednop_ce_hw },
 {  42110, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  42111, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  42112, ur_m168pb_u1x12_uart0_dual },
 {  42113, ur_m168pb_u1x12_uart0_dual_pr },
 {  42114, ur_m168pb_u1x12_uart0_dual_pr },
 {  42115, ur_m168pb_u1x12_uart0_dual_pr_ee },
 {  42116, ur_m168pb_u1x12_uart0_dual_pr_ee },
 {  42117, ur_m168pb_u1x12_uart0_dual_pr_ce },
 {  42118, ur_m168pb_u1x12_uart0_dual_pr_ce },
 {  42119, ur_m168pb_u1x12_uart0_dual_pr_ee_ce },
 {  42120, ur_m168pb_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  42121, ur_m168pb_u1x12_uart0_dual_hw },
 {  42122, ur_m168pb_u1x12_uart0_dual_ee_hw },
 {  42123, ur_m168pb_u1x12_uart0_dual_ce_hw },
 {  42124, ur_m168pb_u1x12_uart0_dual_ee_ce_hw },
 {  42125, ur_m168pb_u1x12_uart0_dual_ee_ce_u4_hw },
 {  42294, ur_m168pb_u2x8_uart0_noled },
 {  42295, ur_m168pb_u2x8_uart0_noled },
 {  42296, ur_m168pb_u2x8_uart0_noled_pr_u4 },
 {  42297, ur_m168pb_u2x8_uart0_noled_pr_ee },
 {  42298, ur_m168pb_u2x8_uart0_noled_pr_ee },
 {  42299, ur_m168pb_u2x8_uart0_noled_pr_ce },
 {  42300, ur_m168pb_u2x8_uart0_noled_pr_ce },
 {  42301, ur_m168pb_u2x8_uart0_noled_pr_ee_ce },
 {  42302, ur_m168pb_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  42303, ur_m169_u2x8_uart0_noled_hw },
 {  42304, ur_m169_u2x8_uart0_noled_ee_hw },
 {  42305, ur_m169_u2x8_uart0_noled_ce_hw },
 {  42306, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  42307, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  42308, ur_m168pb_u2x8_uart0_lednop },
 {  42309, ur_m168pb_u2x8_uart0_lednop },
 {  42310, ur_m168pb_u2x8_uart0_lednop_pr_u4 },
 {  42311, ur_m168pb_u2x8_uart0_lednop_pr_ee },
 {  42312, ur_m168pb_u2x8_uart0_lednop_pr_ee },
 {  42313, ur_m168pb_u2x8_uart0_lednop_pr_ce },
 {  42314, ur_m168pb_u2x8_uart0_lednop_pr_ce },
 {  42315, ur_m168pb_u2x8_uart0_lednop_pr_ee_ce },
 {  42316, ur_m168pb_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  42317, ur_m169_u2x8_uart0_lednop_hw },
 {  42318, ur_m169_u2x8_uart0_lednop_ee_hw },
 {  42319, ur_m169_u2x8_uart0_lednop_ce_hw },
 {  42320, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  42321, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  42322, ur_m168pb_u2x8_uart0_dual },
 {  42323, ur_m168pb_u2x8_uart0_dual_pr },
 {  42324, ur_m168pb_u2x8_uart0_dual_pr },
 {  42325, ur_m168pb_u2x8_uart0_dual_pr_ee },
 {  42326, ur_m168pb_u2x8_uart0_dual_pr_ee },
 {  42327, ur_m168pb_u2x8_uart0_dual_pr_ce },
 {  42328, ur_m168pb_u2x8_uart0_dual_pr_ce },
 {  42329, ur_m168pb_u2x8_uart0_dual_pr_ee_ce },
 {  42330, ur_m168pb_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  42331, ur_m168pb_u2x8_uart0_dual_hw },
 {  42332, ur_m168pb_u2x8_uart0_dual_ee_hw },
 {  42333, ur_m168pb_u2x8_uart0_dual_ce_hw },
 {  42334, ur_m168pb_u2x8_uart0_dual_ee_ce_hw },
 {  42335, ur_m168pb_u2x8_uart0_dual_ee_ce_u4_hw },
 {  42504, ur_m168pb_u2x12_uart0_noled },
 {  42505, ur_m168pb_u2x12_uart0_noled },
 {  42506, ur_m168pb_u2x12_uart0_noled_pr_u4 },
 {  42507, ur_m168pb_u2x12_uart0_noled_pr_ee },
 {  42508, ur_m168pb_u2x12_uart0_noled_pr_ee },
 {  42509, ur_m168pb_u2x12_uart0_noled_pr_ce },
 {  42510, ur_m168pb_u2x12_uart0_noled_pr_ce },
 {  42511, ur_m168pb_u2x12_uart0_noled_pr_ee_ce },
 {  42512, ur_m168pb_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  42513, ur_m169_u2x12_uart0_noled_hw },
 {  42514, ur_m169_u2x12_uart0_noled_ee_hw },
 {  42515, ur_m169_u2x12_uart0_noled_ce_hw },
 {  42516, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  42517, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  42518, ur_m168pb_u2x12_uart0_lednop },
 {  42519, ur_m168pb_u2x12_uart0_lednop },
 {  42520, ur_m168pb_u2x12_uart0_lednop_pr_u4 },
 {  42521, ur_m168pb_u2x12_uart0_lednop_pr_ee },
 {  42522, ur_m168pb_u2x12_uart0_lednop_pr_ee },
 {  42523, ur_m168pb_u2x12_uart0_lednop_pr_ce },
 {  42524, ur_m168pb_u2x12_uart0_lednop_pr_ce },
 {  42525, ur_m168pb_u2x12_uart0_lednop_pr_ee_ce },
 {  42526, ur_m168pb_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  42527, ur_m169_u2x12_uart0_lednop_hw },
 {  42528, ur_m169_u2x12_uart0_lednop_ee_hw },
 {  42529, ur_m169_u2x12_uart0_lednop_ce_hw },
 {  42530, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  42531, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  42532, ur_m168pb_u2x12_uart0_dual },
 {  42533, ur_m168pb_u2x12_uart0_dual_pr },
 {  42534, ur_m168pb_u2x12_uart0_dual_pr },
 {  42535, ur_m168pb_u2x12_uart0_dual_pr_ee },
 {  42536, ur_m168pb_u2x12_uart0_dual_pr_ee_u4 },
 {  42537, ur_m168pb_u2x12_uart0_dual_pr_ce },
 {  42538, ur_m168pb_u2x12_uart0_dual_pr_ce },
 {  42539, ur_m168pb_u2x12_uart0_dual_pr_ee_ce },
 {  42540, ur_m168pb_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  42541, ur_m168pb_u2x12_uart0_dual_hw },
 {  42542, ur_m168pb_u2x12_uart0_dual_ee_hw },
 {  42543, ur_m168pb_u2x12_uart0_dual_ce_hw },
 {  42544, ur_m168pb_u2x12_uart0_dual_ee_ce_hw },
 {  42545, ur_m168pb_u2x12_uart0_dual_ee_ce_u4_hw },
 {  42714, ur_m168pb_swio10_noled },
 {  42715, ur_m168pb_swio10_noled_pr },
 {  42716, ur_m168pb_swio10_noled_pr },
 {  42717, ur_m168pb_swio10_noled_pr_ee },
 {  42718, ur_m168pb_swio10_noled_pr_ee_u4 },
 {  42719, ur_m168pb_swio10_noled_pr_ce },
 {  42720, ur_m168pb_swio10_noled_pr_ce },
 {  42721, ur_m168pb_swio10_noled_pr_ee_ce },
 {  42722, ur_m168pb_swio10_noled_pr_ee_ce_u4 },
 {  42723, ur_m168pb_swio10_noled_hw },
 {  42724, ur_m168pb_swio10_noled_ee_hw },
 {  42725, ur_m168pb_swio10_noled_ce_hw },
 {  42726, ur_m168pb_swio10_noled_ee_ce_hw },
 {  42727, ur_m168pb_swio10_noled_ee_ce_hw },
 {  42728, ur_m168pb_swio10_lednop },
 {  42729, ur_m168pb_swio10_lednop_pr },
 {  42730, ur_m168pb_swio10_lednop_pr },
 {  42731, ur_m168pb_swio10_lednop_pr_ee },
 {  42732, ur_m168pb_swio10_lednop_pr_ee_u4 },
 {  42733, ur_m168pb_swio10_lednop_pr_ce },
 {  42734, ur_m168pb_swio10_lednop_pr_ce },
 {  42735, ur_m168pb_swio10_lednop_pr_ee_ce },
 {  42736, ur_m168pb_swio10_lednop_pr_ee_ce_u4 },
 {  42737, ur_m168pb_swio10_lednop_hw },
 {  42738, ur_m168pb_swio10_lednop_ee_hw },
 {  42739, ur_m168pb_swio10_lednop_ce_hw },
 {  42740, ur_m168pb_swio10_lednop_ee_ce_hw },
 {  42741, ur_m168pb_swio10_lednop_ee_ce_hw },
 {  42742, ur_m168pb_swio10_dual },
 {  42743, ur_m168pb_swio10_dual },
 {  42744, ur_m168pb_swio10_dual },
 {  42745, ur_m168pb_swio10_dual_pr_ee },
 {  42746, ur_m168pb_swio10_dual_pr_ee_u4 },
 {  42747, ur_m168pb_swio10_dual_pr_ce },
 {  42748, ur_m168pb_swio10_dual_pr_ce_u4 },
 {  42749, ur_m168pb_swio10_dual_pr_ee_ce },
 {  42750, ur_m168pb_swio10_dual_pr_ee_ce_u4 },
 {  42751, ur_m168pb_swio10_dual_hw },
 {  42752, ur_m168pb_swio10_dual_ee_hw },
 {  42753, ur_m168pb_swio10_dual_ce_hw },
 {  42754, ur_m168pb_swio10_dual_ee_ce_hw },
 {  42755, ur_m168pb_swio10_dual_ee_ce_u4_hw },
 {  42756, ur_m168pb_swio11_noled },
 {  42757, ur_m168pb_swio11_noled_pr },
 {  42758, ur_m168pb_swio11_noled_pr },
 {  42759, ur_m168pb_swio11_noled_pr_ee },
 {  42760, ur_m168pb_swio11_noled_pr_ee_u4 },
 {  42761, ur_m168pb_swio11_noled_pr_ce },
 {  42762, ur_m168pb_swio11_noled_pr_ce },
 {  42763, ur_m168pb_swio11_noled_pr_ee_ce },
 {  42764, ur_m168pb_swio11_noled_pr_ee_ce_u4 },
 {  42765, ur_m168pb_swio11_noled_hw },
 {  42766, ur_m168pb_swio11_noled_ee_hw },
 {  42767, ur_m168pb_swio11_noled_ce_hw },
 {  42768, ur_m168pb_swio11_noled_ee_ce_hw },
 {  42769, ur_m168pb_swio11_noled_ee_ce_hw },
 {  42770, ur_m168pb_swio11_lednop },
 {  42771, ur_m168pb_swio11_lednop_pr },
 {  42772, ur_m168pb_swio11_lednop_pr },
 {  42773, ur_m168pb_swio11_lednop_pr_ee },
 {  42774, ur_m168pb_swio11_lednop_pr_ee_u4 },
 {  42775, ur_m168pb_swio11_lednop_pr_ce },
 {  42776, ur_m168pb_swio11_lednop_pr_ce },
 {  42777, ur_m168pb_swio11_lednop_pr_ee_ce },
 {  42778, ur_m168pb_swio11_lednop_pr_ee_ce_u4 },
 {  42779, ur_m168pb_swio11_lednop_hw },
 {  42780, ur_m168pb_swio11_lednop_ee_hw },
 {  42781, ur_m168pb_swio11_lednop_ce_hw },
 {  42782, ur_m168pb_swio11_lednop_ee_ce_hw },
 {  42783, ur_m168pb_swio11_lednop_ee_ce_hw },
 {  42784, ur_m168pb_swio11_dual },
 {  42785, ur_m168pb_swio11_dual },
 {  42786, ur_m168pb_swio11_dual },
 {  42787, ur_m168pb_swio11_dual_pr_ee },
 {  42788, ur_m168pb_swio11_dual_pr_ee_u4 },
 {  42789, ur_m168pb_swio11_dual_pr_ce },
 {  42790, ur_m168pb_swio11_dual_pr_ce_u4 },
 {  42791, ur_m168pb_swio11_dual_pr_ee_ce },
 {  42792, ur_m168pb_swio11_dual_pr_ee_ce_u4 },
 {  42793, ur_m168pb_swio11_dual_hw },
 {  42794, ur_m168pb_swio11_dual_ee_hw },
 {  42795, ur_m168pb_swio11_dual_ce_hw },
 {  42796, ur_m168pb_swio11_dual_ee_ce_hw },
 {  42797, ur_m168pb_swio11_dual_ee_ce_u4_hw },
 {  42798, ur_m168pb_swio11_noled },
 {  42799, ur_m168pb_swio11_noled_pr },
 {  42800, ur_m168pb_swio11_noled_pr },
 {  42801, ur_m168pb_swio11_noled_pr_ee },
 {  42802, ur_m168pb_swio11_noled_pr_ee_u4 },
 {  42803, ur_m168pb_swio11_noled_pr_ce },
 {  42804, ur_m168pb_swio11_noled_pr_ce },
 {  42805, ur_m168pb_swio11_noled_pr_ee_ce },
 {  42806, ur_m168pb_swio11_noled_pr_ee_ce_u4 },
 {  42807, ur_m168pb_swio11_noled_hw },
 {  42808, ur_m168pb_swio11_noled_ee_hw },
 {  42809, ur_m168pb_swio11_noled_ce_hw },
 {  42810, ur_m168pb_swio11_noled_ee_ce_hw },
 {  42811, ur_m168pb_swio11_noled_ee_ce_hw },
 {  42812, ur_m168pb_swio11_lednop },
 {  42813, ur_m168pb_swio11_lednop_pr },
 {  42814, ur_m168pb_swio11_lednop_pr },
 {  42815, ur_m168pb_swio11_lednop_pr_ee },
 {  42816, ur_m168pb_swio11_lednop_pr_ee_u4 },
 {  42817, ur_m168pb_swio11_lednop_pr_ce },
 {  42818, ur_m168pb_swio11_lednop_pr_ce },
 {  42819, ur_m168pb_swio11_lednop_pr_ee_ce },
 {  42820, ur_m168pb_swio11_lednop_pr_ee_ce_u4 },
 {  42821, ur_m168pb_swio11_lednop_hw },
 {  42822, ur_m168pb_swio11_lednop_ee_hw },
 {  42823, ur_m168pb_swio11_lednop_ce_hw },
 {  42824, ur_m168pb_swio11_lednop_ee_ce_hw },
 {  42825, ur_m168pb_swio11_lednop_ee_ce_hw },
 {  42826, ur_m168pb_swio11_dual },
 {  42827, ur_m168pb_swio11_dual },
 {  42828, ur_m168pb_swio11_dual },
 {  42829, ur_m168pb_swio11_dual_pr_ee },
 {  42830, ur_m168pb_swio11_dual_pr_ee_u4 },
 {  42831, ur_m168pb_swio11_dual_pr_ce },
 {  42832, ur_m168pb_swio11_dual_pr_ce_u4 },
 {  42833, ur_m168pb_swio11_dual_pr_ee_ce },
 {  42834, ur_m168pb_swio11_dual_pr_ee_ce_u4 },
 {  42835, ur_m168pb_swio11_dual_hw },
 {  42836, ur_m168pb_swio11_dual_ee_hw },
 {  42837, ur_m168pb_swio11_dual_ce_hw },
 {  42838, ur_m168pb_swio11_dual_ee_ce_hw },
 {  42839, ur_m168pb_swio11_dual_ee_ce_u4_hw },
 {  42840, ur_m168pb_swio13_noled },
 {  42841, ur_m168pb_swio13_noled_pr },
 {  42842, ur_m168pb_swio13_noled_pr },
 {  42843, ur_m168pb_swio13_noled_pr_ee },
 {  42844, ur_m168pb_swio13_noled_pr_ee_u4 },
 {  42845, ur_m168pb_swio13_noled_pr_ce },
 {  42846, ur_m168pb_swio13_noled_pr_ce },
 {  42847, ur_m168pb_swio13_noled_pr_ee_ce },
 {  42848, ur_m168pb_swio13_noled_pr_ee_ce_u4 },
 {  42849, ur_m168pb_swio13_noled_hw },
 {  42850, ur_m168pb_swio13_noled_ee_hw },
 {  42851, ur_m168pb_swio13_noled_ce_hw },
 {  42852, ur_m168pb_swio13_noled_ee_ce_hw },
 {  42853, ur_m168pb_swio13_noled_ee_ce_hw },
 {  42854, ur_m168pb_swio13_lednop },
 {  42855, ur_m168pb_swio13_lednop_pr },
 {  42856, ur_m168pb_swio13_lednop_pr },
 {  42857, ur_m168pb_swio13_lednop_pr_ee },
 {  42858, ur_m168pb_swio13_lednop_pr_ee_u4 },
 {  42859, ur_m168pb_swio13_lednop_pr_ce },
 {  42860, ur_m168pb_swio13_lednop_pr_ce_u4 },
 {  42861, ur_m168pb_swio13_lednop_pr_ee_ce },
 {  42862, ur_m168pb_swio13_lednop_pr_ee_ce_u4 },
 {  42863, ur_m168pb_swio13_lednop_hw },
 {  42864, ur_m168pb_swio13_lednop_ee_hw },
 {  42865, ur_m168pb_swio13_lednop_ce_hw },
 {  42866, ur_m168pb_swio13_lednop_ee_ce_hw },
 {  42867, ur_m168pb_swio13_lednop_ee_ce_hw },
 {  42868, ur_m168pb_swio13_dual },
 {  42869, ur_m168pb_swio13_dual },
 {  42870, ur_m168pb_swio13_dual },
 {  42871, ur_m168pb_swio13_dual_pr_ee },
 {  42872, ur_m168pb_swio13_dual_pr_ee_u4 },
 {  42873, ur_m168pb_swio13_dual_pr_ce },
 {  42874, ur_m168pb_swio13_dual_pr_ce_u4 },
 {  42875, ur_m168pb_swio13_dual_pr_ee_ce },
 {  42876, ur_m168pb_swio13_dual_pr_ee_ce_u4 },
 {  42877, ur_m168pb_swio13_dual_hw },
 {  42878, ur_m168pb_swio13_dual_ee_hw },
 {  42879, ur_m168pb_swio13_dual_ce_hw },
 {  42880, ur_m168pb_swio13_dual_ee_ce_hw },
 {  42881, ur_m168pb_swio13_dual_ee_ce_u4_hw },
 {  42882, ur_m168pb_swio14_noled },
 {  42883, ur_m168pb_swio14_noled_pr },
 {  42884, ur_m168pb_swio14_noled_pr },
 {  42885, ur_m168pb_swio14_noled_pr_ee },
 {  42886, ur_m168pb_swio14_noled_pr_ee_u4 },
 {  42887, ur_m168pb_swio14_noled_pr_ce },
 {  42888, ur_m168pb_swio14_noled_pr_ce },
 {  42889, ur_m168pb_swio14_noled_pr_ee_ce },
 {  42890, ur_m168pb_swio14_noled_pr_ee_ce_u4 },
 {  42891, ur_m168pb_swio14_noled_hw },
 {  42892, ur_m168pb_swio14_noled_ee_hw },
 {  42893, ur_m168pb_swio14_noled_ce_hw },
 {  42894, ur_m168pb_swio14_noled_ee_ce_hw },
 {  42895, ur_m168pb_swio14_noled_ee_ce_hw },
 {  42896, ur_m168pb_swio14_lednop },
 {  42897, ur_m168pb_swio14_lednop_pr },
 {  42898, ur_m168pb_swio14_lednop_pr },
 {  42899, ur_m168pb_swio14_lednop_pr_ee },
 {  42900, ur_m168pb_swio14_lednop_pr_ee_u4 },
 {  42901, ur_m168pb_swio14_lednop_pr_ce },
 {  42902, ur_m168pb_swio14_lednop_pr_ce },
 {  42903, ur_m168pb_swio14_lednop_pr_ee_ce },
 {  42904, ur_m168pb_swio14_lednop_pr_ee_ce_u4 },
 {  42905, ur_m168pb_swio14_lednop_hw },
 {  42906, ur_m168pb_swio14_lednop_ee_hw },
 {  42907, ur_m168pb_swio14_lednop_ce_hw },
 {  42908, ur_m168pb_swio14_lednop_ee_ce_hw },
 {  42909, ur_m168pb_swio14_lednop_ee_ce_hw },
 {  42910, ur_m168pb_swio14_dual },
 {  42911, ur_m168pb_swio14_dual },
 {  42912, ur_m168pb_swio14_dual },
 {  42913, ur_m168pb_swio14_dual_pr_ee },
 {  42914, ur_m168pb_swio14_dual_pr_ee_u4 },
 {  42915, ur_m168pb_swio14_dual_pr_ce },
 {  42916, ur_m168pb_swio14_dual_pr_ce_u4 },
 {  42917, ur_m168pb_swio14_dual_pr_ee_ce },
 {  42918, ur_m168pb_swio14_dual_pr_ee_ce_u4 },
 {  42919, ur_m168pb_swio14_dual_hw },
 {  42920, ur_m168pb_swio14_dual_ee_hw },
 {  42921, ur_m168pb_swio14_dual_ce_hw },
 {  42922, ur_m168pb_swio14_dual_ee_ce_hw },
 {  42923, ur_m168pb_swio14_dual_ee_ce_u4_hw },
 {  42924, ur_m168pb_swio15_noled },
 {  42925, ur_m168pb_swio15_noled_pr },
 {  42926, ur_m168pb_swio15_noled_pr },
 {  42927, ur_m168pb_swio15_noled_pr_ee },
 {  42928, ur_m168pb_swio15_noled_pr_ee_u4 },
 {  42929, ur_m168pb_swio15_noled_pr_ce },
 {  42930, ur_m168pb_swio15_noled_pr_ce },
 {  42931, ur_m168pb_swio15_noled_pr_ee_ce },
 {  42932, ur_m168pb_swio15_noled_pr_ee_ce_u4 },
 {  42933, ur_m168pb_swio15_noled_hw },
 {  42934, ur_m168pb_swio15_noled_ee_hw },
 {  42935, ur_m168pb_swio15_noled_ce_hw },
 {  42936, ur_m168pb_swio15_noled_ee_ce_hw },
 {  42937, ur_m168pb_swio15_noled_ee_ce_hw },
 {  42938, ur_m168pb_swio15_lednop },
 {  42939, ur_m168pb_swio15_lednop_pr },
 {  42940, ur_m168pb_swio15_lednop_pr },
 {  42941, ur_m168pb_swio15_lednop_pr_ee },
 {  42942, ur_m168pb_swio15_lednop_pr_ee_u4 },
 {  42943, ur_m168pb_swio15_lednop_pr_ce },
 {  42944, ur_m168pb_swio15_lednop_pr_ce_u4 },
 {  42945, ur_m168pb_swio15_lednop_pr_ee_ce },
 {  42946, ur_m168pb_swio15_lednop_pr_ee_ce_u4 },
 {  42947, ur_m168pb_swio15_lednop_hw },
 {  42948, ur_m168pb_swio15_lednop_ee_hw },
 {  42949, ur_m168pb_swio15_lednop_ce_hw },
 {  42950, ur_m168pb_swio15_lednop_ee_ce_hw },
 {  42951, ur_m168pb_swio15_lednop_ee_ce_hw },
 {  42952, ur_m168pb_swio15_dual },
 {  42953, ur_m168pb_swio15_dual },
 {  42954, ur_m168pb_swio15_dual },
 {  42955, ur_m168pb_swio15_dual_pr_ee },
 {  42956, ur_m168pb_swio15_dual_pr_ee_u4 },
 {  42957, ur_m168pb_swio15_dual_pr_ce },
 {  42958, ur_m168pb_swio15_dual_pr_ce_u4 },
 {  42959, ur_m168pb_swio15_dual_pr_ee_ce },
 {  42960, ur_m168pb_swio15_dual_pr_ee_ce_u4 },
 {  42961, ur_m168pb_swio15_dual_hw },
 {  42962, ur_m168pb_swio15_dual_ee_hw },
 {  42963, ur_m168pb_swio15_dual_ce_hw },
 {  42964, ur_m168pb_swio15_dual_ee_ce_hw },
 {  42965, ur_m168pb_swio15_dual_ee_ce_u4_hw },
 {  42966, ur_m168_autobaud_uart0_noled },
 {  42967, ur_m168_autobaud_uart0_noled },
 {  42968, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  42969, ur_m168_autobaud_uart0_noled_pr_ee },
 {  42970, ur_m168_autobaud_uart0_noled_pr_ee },
 {  42971, ur_m328_autobaud_uart0_noled_pr_ce },
 {  42972, ur_m328_autobaud_uart0_noled_pr_ce },
 {  42973, ur_m328_autobaud_uart0_noled_pr_ee_ce },
 {  42974, ur_m328_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  42976, ur_m168_autobaud_uart0_noled_ee_hw },
 {  42978, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  42979, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  42980, ur_m168_autobaud_uart0_lednop },
 {  42981, ur_m168_autobaud_uart0_lednop },
 {  42982, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  42983, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  42984, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  42985, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  42986, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  42987, ur_m328_autobaud_uart0_lednop_pr_ee_ce },
 {  42988, ur_m328_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  42990, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  42992, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  42993, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  42994, ur_m328_autobaud_uart0_dual },
 {  42995, ur_m328_autobaud_uart0_dual },
 {  42996, ur_m328_autobaud_uart0_dual },
 {  42997, ur_m328_autobaud_uart0_dual_pr_ee },
 {  42998, ur_m328_autobaud_uart0_dual_pr_ee_u4 },
 {  42999, ur_m328_autobaud_uart0_dual_pr_ce },
 {  43000, ur_m328_autobaud_uart0_dual_pr_ce },
 {  43001, ur_m328_autobaud_uart0_dual_pr_ee_ce },
 {  43002, ur_m328_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  43004, ur_m328_autobaud_uart0_dual_ee_hw },
 {  43006, ur_m328_autobaud_uart0_dual_ee_ce_hw },
 {  43007, ur_m328_autobaud_uart0_dual_ee_ce_u4_hw },
 {  43176, ur_m168_u1x8_uart0_noled },
 {  43177, ur_m168_u1x8_uart0_noled },
 {  43178, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  43179, ur_m168_u1x8_uart0_noled_pr_ee },
 {  43180, ur_m168_u1x8_uart0_noled_pr_ee },
 {  43181, ur_m328_u1x8_uart0_noled_pr_ce },
 {  43182, ur_m328_u1x8_uart0_noled_pr_ce_u4 },
 {  43183, ur_m328_u1x8_uart0_noled_pr_ee_ce },
 {  43184, ur_m328_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  43186, ur_m168_u1x8_uart0_noled_ee_hw },
 {  43188, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  43189, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  43190, ur_m168_u1x8_uart0_lednop },
 {  43191, ur_m168_u1x8_uart0_lednop },
 {  43192, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  43193, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  43194, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  43195, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  43196, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  43197, ur_m328_u1x8_uart0_lednop_pr_ee_ce },
 {  43198, ur_m328_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  43200, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  43202, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  43203, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  43204, ur_m328_u1x8_uart0_dual },
 {  43205, ur_m328_u1x8_uart0_dual },
 {  43206, ur_m328_u1x8_uart0_dual_pr_u4 },
 {  43207, ur_m328_u1x8_uart0_dual_pr_ee },
 {  43208, ur_m328_u1x8_uart0_dual_pr_ee },
 {  43209, ur_m328_u1x8_uart0_dual_pr_ce },
 {  43210, ur_m328_u1x8_uart0_dual_pr_ce },
 {  43211, ur_m328_u1x8_uart0_dual_pr_ee_ce },
 {  43212, ur_m328_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  43214, ur_m328_u1x8_uart0_dual_ee_hw },
 {  43216, ur_m328_u1x8_uart0_dual_ee_ce_hw },
 {  43217, ur_m328_u1x8_uart0_dual_ee_ce_u4_hw },
 {  43386, ur_m168_u1x12_uart0_noled },
 {  43387, ur_m168_u1x12_uart0_noled },
 {  43388, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  43389, ur_m168_u1x12_uart0_noled_pr_ee },
 {  43390, ur_m168_u1x12_uart0_noled_pr_ee },
 {  43391, ur_m328_u1x12_uart0_noled_pr_ce },
 {  43392, ur_m328_u1x12_uart0_noled_pr_ce_u4 },
 {  43393, ur_m328_u1x12_uart0_noled_pr_ee_ce },
 {  43394, ur_m328_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  43396, ur_m168_u1x12_uart0_noled_ee_hw },
 {  43398, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  43399, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  43400, ur_m168_u1x12_uart0_lednop },
 {  43401, ur_m168_u1x12_uart0_lednop },
 {  43402, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  43403, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  43404, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  43405, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  43406, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  43407, ur_m328_u1x12_uart0_lednop_pr_ee_ce },
 {  43408, ur_m328_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  43410, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  43412, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  43413, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  43414, ur_m328_u1x12_uart0_dual },
 {  43415, ur_m328_u1x12_uart0_dual_pr },
 {  43416, ur_m328_u1x12_uart0_dual_pr_u4 },
 {  43417, ur_m328_u1x12_uart0_dual_pr_ee },
 {  43418, ur_m328_u1x12_uart0_dual_pr_ee },
 {  43419, ur_m328_u1x12_uart0_dual_pr_ce },
 {  43420, ur_m328_u1x12_uart0_dual_pr_ce },
 {  43421, ur_m328_u1x12_uart0_dual_pr_ee_ce },
 {  43422, ur_m328_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  43424, ur_m328_u1x12_uart0_dual_ee_hw },
 {  43426, ur_m328_u1x12_uart0_dual_ee_ce_hw },
 {  43427, ur_m328_u1x12_uart0_dual_ee_ce_u4_hw },
 {  43596, ur_m168_u2x8_uart0_noled },
 {  43597, ur_m168_u2x8_uart0_noled },
 {  43598, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  43599, ur_m168_u2x8_uart0_noled_pr_ee },
 {  43600, ur_m168_u2x8_uart0_noled_pr_ee },
 {  43601, ur_m328_u2x8_uart0_noled_pr_ce },
 {  43602, ur_m328_u2x8_uart0_noled_pr_ce_u4 },
 {  43603, ur_m328_u2x8_uart0_noled_pr_ee_ce },
 {  43604, ur_m328_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  43606, ur_m168_u2x8_uart0_noled_ee_hw },
 {  43608, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  43609, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  43610, ur_m168_u2x8_uart0_lednop },
 {  43611, ur_m168_u2x8_uart0_lednop },
 {  43612, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  43613, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  43614, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  43615, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  43616, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  43617, ur_m328_u2x8_uart0_lednop_pr_ee_ce },
 {  43618, ur_m328_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  43620, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  43622, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  43623, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  43624, ur_m328_u2x8_uart0_dual },
 {  43625, ur_m328_u2x8_uart0_dual_pr },
 {  43626, ur_m328_u2x8_uart0_dual_pr_u4 },
 {  43627, ur_m328_u2x8_uart0_dual_pr_ee },
 {  43628, ur_m328_u2x8_uart0_dual_pr_ee },
 {  43629, ur_m328_u2x8_uart0_dual_pr_ce },
 {  43630, ur_m328_u2x8_uart0_dual_pr_ce },
 {  43631, ur_m328_u2x8_uart0_dual_pr_ee_ce },
 {  43632, ur_m328_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  43634, ur_m328_u2x8_uart0_dual_ee_hw },
 {  43636, ur_m328_u2x8_uart0_dual_ee_ce_hw },
 {  43637, ur_m328_u2x8_uart0_dual_ee_ce_u4_hw },
 {  43806, ur_m168_u2x12_uart0_noled },
 {  43807, ur_m168_u2x12_uart0_noled },
 {  43808, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  43809, ur_m168_u2x12_uart0_noled_pr_ee },
 {  43810, ur_m168_u2x12_uart0_noled_pr_ee },
 {  43811, ur_m328_u2x12_uart0_noled_pr_ce },
 {  43812, ur_m328_u2x12_uart0_noled_pr_ce },
 {  43813, ur_m328_u2x12_uart0_noled_pr_ee_ce },
 {  43814, ur_m328_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  43816, ur_m168_u2x12_uart0_noled_ee_hw },
 {  43818, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  43819, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  43820, ur_m168_u2x12_uart0_lednop },
 {  43821, ur_m168_u2x12_uart0_lednop },
 {  43822, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  43823, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  43824, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  43825, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  43826, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  43827, ur_m328_u2x12_uart0_lednop_pr_ee_ce },
 {  43828, ur_m328_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  43830, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  43832, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  43833, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  43834, ur_m328_u2x12_uart0_dual },
 {  43835, ur_m328_u2x12_uart0_dual_pr },
 {  43836, ur_m328_u2x12_uart0_dual_pr },
 {  43837, ur_m328_u2x12_uart0_dual_pr_ee },
 {  43838, ur_m328_u2x12_uart0_dual_pr_ee },
 {  43839, ur_m328_u2x12_uart0_dual_pr_ce },
 {  43840, ur_m328_u2x12_uart0_dual_pr_ce },
 {  43841, ur_m328_u2x12_uart0_dual_pr_ee_ce },
 {  43842, ur_m328_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  43844, ur_m328_u2x12_uart0_dual_ee_hw },
 {  43846, ur_m328_u2x12_uart0_dual_ee_ce_hw },
 {  43847, ur_m328_u2x12_uart0_dual_ee_ce_u4_hw },
 {  44016, ur_m168_swio10_noled },
 {  44017, ur_m168_swio10_noled },
 {  44018, ur_m168_swio10_noled_pr_u4 },
 {  44019, ur_m168_swio10_noled_pr_ee },
 {  44020, ur_m168_swio10_noled_pr_ee },
 {  44021, ur_m328_swio10_noled_pr_ce },
 {  44022, ur_m328_swio10_noled_pr_ce },
 {  44023, ur_m328_swio10_noled_pr_ee_ce },
 {  44024, ur_m328_swio10_noled_pr_ee_ce_u4 },
 {  44026, ur_m168_swio10_noled_ee_hw },
 {  44028, ur_m328_swio10_noled_ee_ce_hw },
 {  44029, ur_m328_swio10_noled_ee_ce_hw },
 {  44030, ur_m168_swio10_lednop },
 {  44031, ur_m168_swio10_lednop_pr },
 {  44032, ur_m168_swio10_lednop_pr },
 {  44033, ur_m168_swio10_lednop_pr_ee },
 {  44034, ur_m168_swio10_lednop_pr_ee },
 {  44035, ur_m328_swio10_lednop_pr_ce },
 {  44036, ur_m328_swio10_lednop_pr_ce },
 {  44037, ur_m328_swio10_lednop_pr_ee_ce },
 {  44038, ur_m328_swio10_lednop_pr_ee_ce_u4 },
 {  44040, ur_m168_swio10_lednop_ee_hw },
 {  44042, ur_m328_swio10_lednop_ee_ce_hw },
 {  44043, ur_m328_swio10_lednop_ee_ce_hw },
 {  44044, ur_m328_swio10_dual },
 {  44045, ur_m328_swio10_dual },
 {  44046, ur_m328_swio10_dual },
 {  44047, ur_m328_swio10_dual_pr_ee },
 {  44048, ur_m328_swio10_dual_pr_ee_u4 },
 {  44049, ur_m328_swio10_dual_pr_ce },
 {  44050, ur_m328_swio10_dual_pr_ce_u4 },
 {  44051, ur_m328_swio10_dual_pr_ee_ce },
 {  44052, ur_m328_swio10_dual_pr_ee_ce_u4 },
 {  44054, ur_m328_swio10_dual_ee_hw },
 {  44056, ur_m328_swio10_dual_ee_ce_hw },
 {  44057, ur_m328_swio10_dual_ee_ce_u4_hw },
 {  44058, ur_m168_swio11_noled },
 {  44059, ur_m168_swio11_noled },
 {  44060, ur_m168_swio11_noled_pr_u4 },
 {  44061, ur_m168_swio11_noled_pr_ee },
 {  44062, ur_m168_swio11_noled_pr_ee },
 {  44063, ur_m328_swio11_noled_pr_ce },
 {  44064, ur_m328_swio11_noled_pr_ce },
 {  44065, ur_m328_swio11_noled_pr_ee_ce },
 {  44066, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  44068, ur_m168_swio11_noled_ee_hw },
 {  44070, ur_m328_swio11_noled_ee_ce_hw },
 {  44071, ur_m328_swio11_noled_ee_ce_hw },
 {  44072, ur_m168_swio11_lednop },
 {  44073, ur_m168_swio11_lednop_pr },
 {  44074, ur_m168_swio11_lednop_pr },
 {  44075, ur_m168_swio11_lednop_pr_ee },
 {  44076, ur_m168_swio11_lednop_pr_ee_u4 },
 {  44077, ur_m328_swio11_lednop_pr_ce },
 {  44078, ur_m328_swio11_lednop_pr_ce },
 {  44079, ur_m328_swio11_lednop_pr_ee_ce },
 {  44080, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  44082, ur_m168_swio11_lednop_ee_hw },
 {  44084, ur_m328_swio11_lednop_ee_ce_hw },
 {  44085, ur_m328_swio11_lednop_ee_ce_hw },
 {  44086, ur_m328_swio11_dual },
 {  44087, ur_m328_swio11_dual },
 {  44088, ur_m328_swio11_dual },
 {  44089, ur_m328_swio11_dual_pr_ee },
 {  44090, ur_m328_swio11_dual_pr_ee_u4 },
 {  44091, ur_m328_swio11_dual_pr_ce },
 {  44092, ur_m328_swio11_dual_pr_ce_u4 },
 {  44093, ur_m328_swio11_dual_pr_ee_ce },
 {  44094, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  44096, ur_m328_swio11_dual_ee_hw },
 {  44098, ur_m328_swio11_dual_ee_ce_hw },
 {  44099, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  44100, ur_m168_swio11_noled },
 {  44101, ur_m168_swio11_noled },
 {  44102, ur_m168_swio11_noled_pr_u4 },
 {  44103, ur_m168_swio11_noled_pr_ee },
 {  44104, ur_m168_swio11_noled_pr_ee },
 {  44105, ur_m328_swio11_noled_pr_ce },
 {  44106, ur_m328_swio11_noled_pr_ce },
 {  44107, ur_m328_swio11_noled_pr_ee_ce },
 {  44108, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  44110, ur_m168_swio11_noled_ee_hw },
 {  44112, ur_m328_swio11_noled_ee_ce_hw },
 {  44113, ur_m328_swio11_noled_ee_ce_hw },
 {  44114, ur_m168_swio11_lednop },
 {  44115, ur_m168_swio11_lednop_pr },
 {  44116, ur_m168_swio11_lednop_pr },
 {  44117, ur_m168_swio11_lednop_pr_ee },
 {  44118, ur_m168_swio11_lednop_pr_ee_u4 },
 {  44119, ur_m328_swio11_lednop_pr_ce },
 {  44120, ur_m328_swio11_lednop_pr_ce },
 {  44121, ur_m328_swio11_lednop_pr_ee_ce },
 {  44122, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  44124, ur_m168_swio11_lednop_ee_hw },
 {  44126, ur_m328_swio11_lednop_ee_ce_hw },
 {  44127, ur_m328_swio11_lednop_ee_ce_hw },
 {  44128, ur_m328_swio11_dual },
 {  44129, ur_m328_swio11_dual },
 {  44130, ur_m328_swio11_dual },
 {  44131, ur_m328_swio11_dual_pr_ee },
 {  44132, ur_m328_swio11_dual_pr_ee_u4 },
 {  44133, ur_m328_swio11_dual_pr_ce },
 {  44134, ur_m328_swio11_dual_pr_ce_u4 },
 {  44135, ur_m328_swio11_dual_pr_ee_ce },
 {  44136, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  44138, ur_m328_swio11_dual_ee_hw },
 {  44140, ur_m328_swio11_dual_ee_ce_hw },
 {  44141, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  44142, ur_m168_swio13_noled },
 {  44143, ur_m168_swio13_noled },
 {  44144, ur_m168_swio13_noled_pr_u4 },
 {  44145, ur_m168_swio13_noled_pr_ee },
 {  44146, ur_m168_swio13_noled_pr_ee },
 {  44147, ur_m328_swio13_noled_pr_ce },
 {  44148, ur_m328_swio13_noled_pr_ce },
 {  44149, ur_m328_swio13_noled_pr_ee_ce },
 {  44150, ur_m328_swio13_noled_pr_ee_ce_u4 },
 {  44152, ur_m168_swio13_noled_ee_hw },
 {  44154, ur_m328_swio13_noled_ee_ce_hw },
 {  44155, ur_m328_swio13_noled_ee_ce_hw },
 {  44156, ur_m168_swio13_lednop },
 {  44157, ur_m168_swio13_lednop_pr },
 {  44158, ur_m168_swio13_lednop_pr },
 {  44159, ur_m168_swio13_lednop_pr_ee },
 {  44160, ur_m168_swio13_lednop_pr_ee_u4 },
 {  44161, ur_m328_swio13_lednop_pr_ce },
 {  44162, ur_m328_swio13_lednop_pr_ce },
 {  44163, ur_m328_swio13_lednop_pr_ee_ce },
 {  44164, ur_m328_swio13_lednop_pr_ee_ce_u4 },
 {  44166, ur_m168_swio13_lednop_ee_hw },
 {  44168, ur_m328_swio13_lednop_ee_ce_hw },
 {  44169, ur_m328_swio13_lednop_ee_ce_hw },
 {  44170, ur_m328_swio13_dual },
 {  44171, ur_m328_swio13_dual },
 {  44172, ur_m328_swio13_dual },
 {  44173, ur_m328_swio13_dual_pr_ee },
 {  44174, ur_m328_swio13_dual_pr_ee_u4 },
 {  44175, ur_m328_swio13_dual_pr_ce },
 {  44176, ur_m328_swio13_dual_pr_ce_u4 },
 {  44177, ur_m328_swio13_dual_pr_ee_ce },
 {  44178, ur_m328_swio13_dual_pr_ee_ce_u4 },
 {  44180, ur_m328_swio13_dual_ee_hw },
 {  44182, ur_m328_swio13_dual_ee_ce_hw },
 {  44183, ur_m328_swio13_dual_ee_ce_u4_hw },
 {  44184, ur_m168_swio14_noled },
 {  44185, ur_m168_swio14_noled },
 {  44186, ur_m168_swio14_noled_pr_u4 },
 {  44187, ur_m168_swio14_noled_pr_ee },
 {  44188, ur_m168_swio14_noled_pr_ee },
 {  44189, ur_m328_swio14_noled_pr_ce },
 {  44190, ur_m328_swio14_noled_pr_ce },
 {  44191, ur_m328_swio14_noled_pr_ee_ce },
 {  44192, ur_m328_swio14_noled_pr_ee_ce_u4 },
 {  44194, ur_m168_swio14_noled_ee_hw },
 {  44196, ur_m328_swio14_noled_ee_ce_hw },
 {  44197, ur_m328_swio14_noled_ee_ce_hw },
 {  44198, ur_m168_swio14_lednop },
 {  44199, ur_m168_swio14_lednop_pr },
 {  44200, ur_m168_swio14_lednop_pr },
 {  44201, ur_m168_swio14_lednop_pr_ee },
 {  44202, ur_m168_swio14_lednop_pr_ee_u4 },
 {  44203, ur_m328_swio14_lednop_pr_ce },
 {  44204, ur_m328_swio14_lednop_pr_ce },
 {  44205, ur_m328_swio14_lednop_pr_ee_ce },
 {  44206, ur_m328_swio14_lednop_pr_ee_ce_u4 },
 {  44208, ur_m168_swio14_lednop_ee_hw },
 {  44210, ur_m328_swio14_lednop_ee_ce_hw },
 {  44211, ur_m328_swio14_lednop_ee_ce_hw },
 {  44212, ur_m328_swio14_dual },
 {  44213, ur_m328_swio14_dual },
 {  44214, ur_m328_swio14_dual },
 {  44215, ur_m328_swio14_dual_pr_ee },
 {  44216, ur_m328_swio14_dual_pr_ee_u4 },
 {  44217, ur_m328_swio14_dual_pr_ce },
 {  44218, ur_m328_swio14_dual_pr_ce_u4 },
 {  44219, ur_m328_swio14_dual_pr_ee_ce },
 {  44220, ur_m328_swio14_dual_pr_ee_ce_u4 },
 {  44222, ur_m328_swio14_dual_ee_hw },
 {  44224, ur_m328_swio14_dual_ee_ce_hw },
 {  44225, ur_m328_swio14_dual_ee_ce_u4_hw },
 {  44226, ur_m168_swio15_noled },
 {  44227, ur_m168_swio15_noled },
 {  44228, ur_m168_swio15_noled_pr_u4 },
 {  44229, ur_m168_swio15_noled_pr_ee },
 {  44230, ur_m168_swio15_noled_pr_ee },
 {  44231, ur_m328_swio15_noled_pr_ce },
 {  44232, ur_m328_swio15_noled_pr_ce },
 {  44233, ur_m328_swio15_noled_pr_ee_ce },
 {  44234, ur_m328_swio15_noled_pr_ee_ce_u4 },
 {  44236, ur_m168_swio15_noled_ee_hw },
 {  44238, ur_m328_swio15_noled_ee_ce_hw },
 {  44239, ur_m328_swio15_noled_ee_ce_hw },
 {  44240, ur_m168_swio15_lednop },
 {  44241, ur_m168_swio15_lednop_pr },
 {  44242, ur_m168_swio15_lednop_pr },
 {  44243, ur_m168_swio15_lednop_pr_ee },
 {  44244, ur_m168_swio15_lednop_pr_ee_u4 },
 {  44245, ur_m328_swio15_lednop_pr_ce },
 {  44246, ur_m328_swio15_lednop_pr_ce },
 {  44247, ur_m328_swio15_lednop_pr_ee_ce },
 {  44248, ur_m328_swio15_lednop_pr_ee_ce_u4 },
 {  44250, ur_m168_swio15_lednop_ee_hw },
 {  44252, ur_m328_swio15_lednop_ee_ce_hw },
 {  44253, ur_m328_swio15_lednop_ee_ce_hw },
 {  44254, ur_m328_swio15_dual },
 {  44255, ur_m328_swio15_dual },
 {  44256, ur_m328_swio15_dual },
 {  44257, ur_m328_swio15_dual_pr_ee },
 {  44258, ur_m328_swio15_dual_pr_ee_u4 },
 {  44259, ur_m328_swio15_dual_pr_ce },
 {  44260, ur_m328_swio15_dual_pr_ce_u4 },
 {  44261, ur_m328_swio15_dual_pr_ee_ce },
 {  44262, ur_m328_swio15_dual_pr_ee_ce_u4 },
 {  44264, ur_m328_swio15_dual_ee_hw },
 {  44266, ur_m328_swio15_dual_ee_ce_hw },
 {  44267, ur_m328_swio15_dual_ee_ce_u4_hw },
 {  44268, ur_m168_autobaud_uart0_noled },
 {  44269, ur_m168_autobaud_uart0_noled },
 {  44270, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  44271, ur_m168_autobaud_uart0_noled_pr_ee },
 {  44272, ur_m168_autobaud_uart0_noled_pr_ee },
 {  44273, ur_m328_autobaud_uart0_noled_pr_ce },
 {  44274, ur_m328_autobaud_uart0_noled_pr_ce },
 {  44275, ur_m328_autobaud_uart0_noled_pr_ee_ce },
 {  44276, ur_m328_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  44278, ur_m168_autobaud_uart0_noled_ee_hw },
 {  44280, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  44281, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  44282, ur_m168_autobaud_uart0_lednop },
 {  44283, ur_m168_autobaud_uart0_lednop },
 {  44284, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  44285, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  44286, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  44287, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  44288, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  44289, ur_m328_autobaud_uart0_lednop_pr_ee_ce },
 {  44290, ur_m328_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  44292, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  44294, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  44295, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  44296, ur_m328_autobaud_uart0_dual },
 {  44297, ur_m328_autobaud_uart0_dual },
 {  44298, ur_m328_autobaud_uart0_dual },
 {  44299, ur_m328_autobaud_uart0_dual_pr_ee },
 {  44300, ur_m328_autobaud_uart0_dual_pr_ee_u4 },
 {  44301, ur_m328_autobaud_uart0_dual_pr_ce },
 {  44302, ur_m328_autobaud_uart0_dual_pr_ce },
 {  44303, ur_m328_autobaud_uart0_dual_pr_ee_ce },
 {  44304, ur_m328_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  44306, ur_m328_autobaud_uart0_dual_ee_hw },
 {  44308, ur_m328_autobaud_uart0_dual_ee_ce_hw },
 {  44309, ur_m328_autobaud_uart0_dual_ee_ce_u4_hw },
 {  44478, ur_m168_u1x8_uart0_noled },
 {  44479, ur_m168_u1x8_uart0_noled },
 {  44480, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  44481, ur_m168_u1x8_uart0_noled_pr_ee },
 {  44482, ur_m168_u1x8_uart0_noled_pr_ee },
 {  44483, ur_m328_u1x8_uart0_noled_pr_ce },
 {  44484, ur_m328_u1x8_uart0_noled_pr_ce_u4 },
 {  44485, ur_m328_u1x8_uart0_noled_pr_ee_ce },
 {  44486, ur_m328_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  44488, ur_m168_u1x8_uart0_noled_ee_hw },
 {  44490, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  44491, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  44492, ur_m168_u1x8_uart0_lednop },
 {  44493, ur_m168_u1x8_uart0_lednop },
 {  44494, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  44495, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  44496, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  44497, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  44498, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  44499, ur_m328_u1x8_uart0_lednop_pr_ee_ce },
 {  44500, ur_m328_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  44502, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  44504, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  44505, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  44506, ur_m328_u1x8_uart0_dual },
 {  44507, ur_m328_u1x8_uart0_dual },
 {  44508, ur_m328_u1x8_uart0_dual_pr_u4 },
 {  44509, ur_m328_u1x8_uart0_dual_pr_ee },
 {  44510, ur_m328_u1x8_uart0_dual_pr_ee },
 {  44511, ur_m328_u1x8_uart0_dual_pr_ce },
 {  44512, ur_m328_u1x8_uart0_dual_pr_ce },
 {  44513, ur_m328_u1x8_uart0_dual_pr_ee_ce },
 {  44514, ur_m328_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  44516, ur_m328_u1x8_uart0_dual_ee_hw },
 {  44518, ur_m328_u1x8_uart0_dual_ee_ce_hw },
 {  44519, ur_m328_u1x8_uart0_dual_ee_ce_u4_hw },
 {  44688, ur_m168_u1x12_uart0_noled },
 {  44689, ur_m168_u1x12_uart0_noled },
 {  44690, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  44691, ur_m168_u1x12_uart0_noled_pr_ee },
 {  44692, ur_m168_u1x12_uart0_noled_pr_ee },
 {  44693, ur_m328_u1x12_uart0_noled_pr_ce },
 {  44694, ur_m328_u1x12_uart0_noled_pr_ce_u4 },
 {  44695, ur_m328_u1x12_uart0_noled_pr_ee_ce },
 {  44696, ur_m328_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  44698, ur_m168_u1x12_uart0_noled_ee_hw },
 {  44700, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  44701, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  44702, ur_m168_u1x12_uart0_lednop },
 {  44703, ur_m168_u1x12_uart0_lednop },
 {  44704, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  44705, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  44706, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  44707, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  44708, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  44709, ur_m328_u1x12_uart0_lednop_pr_ee_ce },
 {  44710, ur_m328_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  44712, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  44714, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  44715, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  44716, ur_m328_u1x12_uart0_dual },
 {  44717, ur_m328_u1x12_uart0_dual_pr },
 {  44718, ur_m328_u1x12_uart0_dual_pr_u4 },
 {  44719, ur_m328_u1x12_uart0_dual_pr_ee },
 {  44720, ur_m328_u1x12_uart0_dual_pr_ee },
 {  44721, ur_m328_u1x12_uart0_dual_pr_ce },
 {  44722, ur_m328_u1x12_uart0_dual_pr_ce },
 {  44723, ur_m328_u1x12_uart0_dual_pr_ee_ce },
 {  44724, ur_m328_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  44726, ur_m328_u1x12_uart0_dual_ee_hw },
 {  44728, ur_m328_u1x12_uart0_dual_ee_ce_hw },
 {  44729, ur_m328_u1x12_uart0_dual_ee_ce_u4_hw },
 {  44898, ur_m168_u2x8_uart0_noled },
 {  44899, ur_m168_u2x8_uart0_noled },
 {  44900, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  44901, ur_m168_u2x8_uart0_noled_pr_ee },
 {  44902, ur_m168_u2x8_uart0_noled_pr_ee },
 {  44903, ur_m328_u2x8_uart0_noled_pr_ce },
 {  44904, ur_m328_u2x8_uart0_noled_pr_ce_u4 },
 {  44905, ur_m328_u2x8_uart0_noled_pr_ee_ce },
 {  44906, ur_m328_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  44908, ur_m168_u2x8_uart0_noled_ee_hw },
 {  44910, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  44911, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  44912, ur_m168_u2x8_uart0_lednop },
 {  44913, ur_m168_u2x8_uart0_lednop },
 {  44914, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  44915, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  44916, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  44917, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  44918, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  44919, ur_m328_u2x8_uart0_lednop_pr_ee_ce },
 {  44920, ur_m328_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  44922, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  44924, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  44925, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  44926, ur_m328_u2x8_uart0_dual },
 {  44927, ur_m328_u2x8_uart0_dual_pr },
 {  44928, ur_m328_u2x8_uart0_dual_pr_u4 },
 {  44929, ur_m328_u2x8_uart0_dual_pr_ee },
 {  44930, ur_m328_u2x8_uart0_dual_pr_ee },
 {  44931, ur_m328_u2x8_uart0_dual_pr_ce },
 {  44932, ur_m328_u2x8_uart0_dual_pr_ce },
 {  44933, ur_m328_u2x8_uart0_dual_pr_ee_ce },
 {  44934, ur_m328_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  44936, ur_m328_u2x8_uart0_dual_ee_hw },
 {  44938, ur_m328_u2x8_uart0_dual_ee_ce_hw },
 {  44939, ur_m328_u2x8_uart0_dual_ee_ce_u4_hw },
 {  45108, ur_m168_u2x12_uart0_noled },
 {  45109, ur_m168_u2x12_uart0_noled },
 {  45110, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  45111, ur_m168_u2x12_uart0_noled_pr_ee },
 {  45112, ur_m168_u2x12_uart0_noled_pr_ee },
 {  45113, ur_m328_u2x12_uart0_noled_pr_ce },
 {  45114, ur_m328_u2x12_uart0_noled_pr_ce },
 {  45115, ur_m328_u2x12_uart0_noled_pr_ee_ce },
 {  45116, ur_m328_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  45118, ur_m168_u2x12_uart0_noled_ee_hw },
 {  45120, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  45121, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  45122, ur_m168_u2x12_uart0_lednop },
 {  45123, ur_m168_u2x12_uart0_lednop },
 {  45124, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  45125, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  45126, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  45127, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  45128, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  45129, ur_m328_u2x12_uart0_lednop_pr_ee_ce },
 {  45130, ur_m328_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  45132, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  45134, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  45135, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  45136, ur_m328_u2x12_uart0_dual },
 {  45137, ur_m328_u2x12_uart0_dual_pr },
 {  45138, ur_m328_u2x12_uart0_dual_pr },
 {  45139, ur_m328_u2x12_uart0_dual_pr_ee },
 {  45140, ur_m328_u2x12_uart0_dual_pr_ee },
 {  45141, ur_m328_u2x12_uart0_dual_pr_ce },
 {  45142, ur_m328_u2x12_uart0_dual_pr_ce },
 {  45143, ur_m328_u2x12_uart0_dual_pr_ee_ce },
 {  45144, ur_m328_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  45146, ur_m328_u2x12_uart0_dual_ee_hw },
 {  45148, ur_m328_u2x12_uart0_dual_ee_ce_hw },
 {  45149, ur_m328_u2x12_uart0_dual_ee_ce_u4_hw },
 {  45318, ur_m168_swio10_noled },
 {  45319, ur_m168_swio10_noled },
 {  45320, ur_m168_swio10_noled_pr_u4 },
 {  45321, ur_m168_swio10_noled_pr_ee },
 {  45322, ur_m168_swio10_noled_pr_ee },
 {  45323, ur_m328_swio10_noled_pr_ce },
 {  45324, ur_m328_swio10_noled_pr_ce },
 {  45325, ur_m328_swio10_noled_pr_ee_ce },
 {  45326, ur_m328_swio10_noled_pr_ee_ce_u4 },
 {  45328, ur_m168_swio10_noled_ee_hw },
 {  45330, ur_m328_swio10_noled_ee_ce_hw },
 {  45331, ur_m328_swio10_noled_ee_ce_hw },
 {  45332, ur_m168_swio10_lednop },
 {  45333, ur_m168_swio10_lednop_pr },
 {  45334, ur_m168_swio10_lednop_pr },
 {  45335, ur_m168_swio10_lednop_pr_ee },
 {  45336, ur_m168_swio10_lednop_pr_ee },
 {  45337, ur_m328_swio10_lednop_pr_ce },
 {  45338, ur_m328_swio10_lednop_pr_ce },
 {  45339, ur_m328_swio10_lednop_pr_ee_ce },
 {  45340, ur_m328_swio10_lednop_pr_ee_ce_u4 },
 {  45342, ur_m168_swio10_lednop_ee_hw },
 {  45344, ur_m328_swio10_lednop_ee_ce_hw },
 {  45345, ur_m328_swio10_lednop_ee_ce_hw },
 {  45346, ur_m328_swio10_dual },
 {  45347, ur_m328_swio10_dual },
 {  45348, ur_m328_swio10_dual },
 {  45349, ur_m328_swio10_dual_pr_ee },
 {  45350, ur_m328_swio10_dual_pr_ee_u4 },
 {  45351, ur_m328_swio10_dual_pr_ce },
 {  45352, ur_m328_swio10_dual_pr_ce_u4 },
 {  45353, ur_m328_swio10_dual_pr_ee_ce },
 {  45354, ur_m328_swio10_dual_pr_ee_ce_u4 },
 {  45356, ur_m328_swio10_dual_ee_hw },
 {  45358, ur_m328_swio10_dual_ee_ce_hw },
 {  45359, ur_m328_swio10_dual_ee_ce_u4_hw },
 {  45360, ur_m168_swio11_noled },
 {  45361, ur_m168_swio11_noled },
 {  45362, ur_m168_swio11_noled_pr_u4 },
 {  45363, ur_m168_swio11_noled_pr_ee },
 {  45364, ur_m168_swio11_noled_pr_ee },
 {  45365, ur_m328_swio11_noled_pr_ce },
 {  45366, ur_m328_swio11_noled_pr_ce },
 {  45367, ur_m328_swio11_noled_pr_ee_ce },
 {  45368, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  45370, ur_m168_swio11_noled_ee_hw },
 {  45372, ur_m328_swio11_noled_ee_ce_hw },
 {  45373, ur_m328_swio11_noled_ee_ce_hw },
 {  45374, ur_m168_swio11_lednop },
 {  45375, ur_m168_swio11_lednop_pr },
 {  45376, ur_m168_swio11_lednop_pr },
 {  45377, ur_m168_swio11_lednop_pr_ee },
 {  45378, ur_m168_swio11_lednop_pr_ee_u4 },
 {  45379, ur_m328_swio11_lednop_pr_ce },
 {  45380, ur_m328_swio11_lednop_pr_ce },
 {  45381, ur_m328_swio11_lednop_pr_ee_ce },
 {  45382, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  45384, ur_m168_swio11_lednop_ee_hw },
 {  45386, ur_m328_swio11_lednop_ee_ce_hw },
 {  45387, ur_m328_swio11_lednop_ee_ce_hw },
 {  45388, ur_m328_swio11_dual },
 {  45389, ur_m328_swio11_dual },
 {  45390, ur_m328_swio11_dual },
 {  45391, ur_m328_swio11_dual_pr_ee },
 {  45392, ur_m328_swio11_dual_pr_ee_u4 },
 {  45393, ur_m328_swio11_dual_pr_ce },
 {  45394, ur_m328_swio11_dual_pr_ce_u4 },
 {  45395, ur_m328_swio11_dual_pr_ee_ce },
 {  45396, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  45398, ur_m328_swio11_dual_ee_hw },
 {  45400, ur_m328_swio11_dual_ee_ce_hw },
 {  45401, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  45402, ur_m168_swio11_noled },
 {  45403, ur_m168_swio11_noled },
 {  45404, ur_m168_swio11_noled_pr_u4 },
 {  45405, ur_m168_swio11_noled_pr_ee },
 {  45406, ur_m168_swio11_noled_pr_ee },
 {  45407, ur_m328_swio11_noled_pr_ce },
 {  45408, ur_m328_swio11_noled_pr_ce },
 {  45409, ur_m328_swio11_noled_pr_ee_ce },
 {  45410, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  45412, ur_m168_swio11_noled_ee_hw },
 {  45414, ur_m328_swio11_noled_ee_ce_hw },
 {  45415, ur_m328_swio11_noled_ee_ce_hw },
 {  45416, ur_m168_swio11_lednop },
 {  45417, ur_m168_swio11_lednop_pr },
 {  45418, ur_m168_swio11_lednop_pr },
 {  45419, ur_m168_swio11_lednop_pr_ee },
 {  45420, ur_m168_swio11_lednop_pr_ee_u4 },
 {  45421, ur_m328_swio11_lednop_pr_ce },
 {  45422, ur_m328_swio11_lednop_pr_ce },
 {  45423, ur_m328_swio11_lednop_pr_ee_ce },
 {  45424, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  45426, ur_m168_swio11_lednop_ee_hw },
 {  45428, ur_m328_swio11_lednop_ee_ce_hw },
 {  45429, ur_m328_swio11_lednop_ee_ce_hw },
 {  45430, ur_m328_swio11_dual },
 {  45431, ur_m328_swio11_dual },
 {  45432, ur_m328_swio11_dual },
 {  45433, ur_m328_swio11_dual_pr_ee },
 {  45434, ur_m328_swio11_dual_pr_ee_u4 },
 {  45435, ur_m328_swio11_dual_pr_ce },
 {  45436, ur_m328_swio11_dual_pr_ce_u4 },
 {  45437, ur_m328_swio11_dual_pr_ee_ce },
 {  45438, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  45440, ur_m328_swio11_dual_ee_hw },
 {  45442, ur_m328_swio11_dual_ee_ce_hw },
 {  45443, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  45444, ur_m168_swio13_noled },
 {  45445, ur_m168_swio13_noled },
 {  45446, ur_m168_swio13_noled_pr_u4 },
 {  45447, ur_m168_swio13_noled_pr_ee },
 {  45448, ur_m168_swio13_noled_pr_ee },
 {  45449, ur_m328_swio13_noled_pr_ce },
 {  45450, ur_m328_swio13_noled_pr_ce },
 {  45451, ur_m328_swio13_noled_pr_ee_ce },
 {  45452, ur_m328_swio13_noled_pr_ee_ce_u4 },
 {  45454, ur_m168_swio13_noled_ee_hw },
 {  45456, ur_m328_swio13_noled_ee_ce_hw },
 {  45457, ur_m328_swio13_noled_ee_ce_hw },
 {  45458, ur_m168_swio13_lednop },
 {  45459, ur_m168_swio13_lednop_pr },
 {  45460, ur_m168_swio13_lednop_pr },
 {  45461, ur_m168_swio13_lednop_pr_ee },
 {  45462, ur_m168_swio13_lednop_pr_ee_u4 },
 {  45463, ur_m328_swio13_lednop_pr_ce },
 {  45464, ur_m328_swio13_lednop_pr_ce },
 {  45465, ur_m328_swio13_lednop_pr_ee_ce },
 {  45466, ur_m328_swio13_lednop_pr_ee_ce_u4 },
 {  45468, ur_m168_swio13_lednop_ee_hw },
 {  45470, ur_m328_swio13_lednop_ee_ce_hw },
 {  45471, ur_m328_swio13_lednop_ee_ce_hw },
 {  45472, ur_m328_swio13_dual },
 {  45473, ur_m328_swio13_dual },
 {  45474, ur_m328_swio13_dual },
 {  45475, ur_m328_swio13_dual_pr_ee },
 {  45476, ur_m328_swio13_dual_pr_ee_u4 },
 {  45477, ur_m328_swio13_dual_pr_ce },
 {  45478, ur_m328_swio13_dual_pr_ce_u4 },
 {  45479, ur_m328_swio13_dual_pr_ee_ce },
 {  45480, ur_m328_swio13_dual_pr_ee_ce_u4 },
 {  45482, ur_m328_swio13_dual_ee_hw },
 {  45484, ur_m328_swio13_dual_ee_ce_hw },
 {  45485, ur_m328_swio13_dual_ee_ce_u4_hw },
 {  45486, ur_m168_swio14_noled },
 {  45487, ur_m168_swio14_noled },
 {  45488, ur_m168_swio14_noled_pr_u4 },
 {  45489, ur_m168_swio14_noled_pr_ee },
 {  45490, ur_m168_swio14_noled_pr_ee },
 {  45491, ur_m328_swio14_noled_pr_ce },
 {  45492, ur_m328_swio14_noled_pr_ce },
 {  45493, ur_m328_swio14_noled_pr_ee_ce },
 {  45494, ur_m328_swio14_noled_pr_ee_ce_u4 },
 {  45496, ur_m168_swio14_noled_ee_hw },
 {  45498, ur_m328_swio14_noled_ee_ce_hw },
 {  45499, ur_m328_swio14_noled_ee_ce_hw },
 {  45500, ur_m168_swio14_lednop },
 {  45501, ur_m168_swio14_lednop_pr },
 {  45502, ur_m168_swio14_lednop_pr },
 {  45503, ur_m168_swio14_lednop_pr_ee },
 {  45504, ur_m168_swio14_lednop_pr_ee_u4 },
 {  45505, ur_m328_swio14_lednop_pr_ce },
 {  45506, ur_m328_swio14_lednop_pr_ce },
 {  45507, ur_m328_swio14_lednop_pr_ee_ce },
 {  45508, ur_m328_swio14_lednop_pr_ee_ce_u4 },
 {  45510, ur_m168_swio14_lednop_ee_hw },
 {  45512, ur_m328_swio14_lednop_ee_ce_hw },
 {  45513, ur_m328_swio14_lednop_ee_ce_hw },
 {  45514, ur_m328_swio14_dual },
 {  45515, ur_m328_swio14_dual },
 {  45516, ur_m328_swio14_dual },
 {  45517, ur_m328_swio14_dual_pr_ee },
 {  45518, ur_m328_swio14_dual_pr_ee_u4 },
 {  45519, ur_m328_swio14_dual_pr_ce },
 {  45520, ur_m328_swio14_dual_pr_ce_u4 },
 {  45521, ur_m328_swio14_dual_pr_ee_ce },
 {  45522, ur_m328_swio14_dual_pr_ee_ce_u4 },
 {  45524, ur_m328_swio14_dual_ee_hw },
 {  45526, ur_m328_swio14_dual_ee_ce_hw },
 {  45527, ur_m328_swio14_dual_ee_ce_u4_hw },
 {  45528, ur_m168_swio15_noled },
 {  45529, ur_m168_swio15_noled },
 {  45530, ur_m168_swio15_noled_pr_u4 },
 {  45531, ur_m168_swio15_noled_pr_ee },
 {  45532, ur_m168_swio15_noled_pr_ee },
 {  45533, ur_m328_swio15_noled_pr_ce },
 {  45534, ur_m328_swio15_noled_pr_ce },
 {  45535, ur_m328_swio15_noled_pr_ee_ce },
 {  45536, ur_m328_swio15_noled_pr_ee_ce_u4 },
 {  45538, ur_m168_swio15_noled_ee_hw },
 {  45540, ur_m328_swio15_noled_ee_ce_hw },
 {  45541, ur_m328_swio15_noled_ee_ce_hw },
 {  45542, ur_m168_swio15_lednop },
 {  45543, ur_m168_swio15_lednop_pr },
 {  45544, ur_m168_swio15_lednop_pr },
 {  45545, ur_m168_swio15_lednop_pr_ee },
 {  45546, ur_m168_swio15_lednop_pr_ee_u4 },
 {  45547, ur_m328_swio15_lednop_pr_ce },
 {  45548, ur_m328_swio15_lednop_pr_ce },
 {  45549, ur_m328_swio15_lednop_pr_ee_ce },
 {  45550, ur_m328_swio15_lednop_pr_ee_ce_u4 },
 {  45552, ur_m168_swio15_lednop_ee_hw },
 {  45554, ur_m328_swio15_lednop_ee_ce_hw },
 {  45555, ur_m328_swio15_lednop_ee_ce_hw },
 {  45556, ur_m328_swio15_dual },
 {  45557, ur_m328_swio15_dual },
 {  45558, ur_m328_swio15_dual },
 {  45559, ur_m328_swio15_dual_pr_ee },
 {  45560, ur_m328_swio15_dual_pr_ee_u4 },
 {  45561, ur_m328_swio15_dual_pr_ce },
 {  45562, ur_m328_swio15_dual_pr_ce_u4 },
 {  45563, ur_m328_swio15_dual_pr_ee_ce },
 {  45564, ur_m328_swio15_dual_pr_ee_ce_u4 },
 {  45566, ur_m328_swio15_dual_ee_hw },
 {  45568, ur_m328_swio15_dual_ee_ce_hw },
 {  45569, ur_m328_swio15_dual_ee_ce_u4_hw },
 {  45570, ur_m168_autobaud_uart0_noled },
 {  45571, ur_m168_autobaud_uart0_noled },
 {  45572, ur_m168_autobaud_uart0_noled_pr_u4 },
 {  45573, ur_m168_autobaud_uart0_noled_pr_ee },
 {  45574, ur_m168_autobaud_uart0_noled_pr_ee },
 {  45575, ur_m328_autobaud_uart0_noled_pr_ce },
 {  45576, ur_m328_autobaud_uart0_noled_pr_ce },
 {  45577, ur_m328_autobaud_uart0_noled_pr_ee_ce },
 {  45578, ur_m328_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  45580, ur_m168_autobaud_uart0_noled_ee_hw },
 {  45582, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  45583, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  45584, ur_m168_autobaud_uart0_lednop },
 {  45585, ur_m168_autobaud_uart0_lednop },
 {  45586, ur_m168_autobaud_uart0_lednop_pr_u4 },
 {  45587, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  45588, ur_m168_autobaud_uart0_lednop_pr_ee },
 {  45589, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  45590, ur_m328_autobaud_uart0_lednop_pr_ce },
 {  45591, ur_m328_autobaud_uart0_lednop_pr_ee_ce },
 {  45592, ur_m328_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  45594, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  45596, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  45597, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  45598, ur_m328_autobaud_uart0_dual },
 {  45599, ur_m328_autobaud_uart0_dual },
 {  45600, ur_m328_autobaud_uart0_dual },
 {  45601, ur_m328_autobaud_uart0_dual_pr_ee },
 {  45602, ur_m328_autobaud_uart0_dual_pr_ee_u4 },
 {  45603, ur_m328_autobaud_uart0_dual_pr_ce },
 {  45604, ur_m328_autobaud_uart0_dual_pr_ce },
 {  45605, ur_m328_autobaud_uart0_dual_pr_ee_ce },
 {  45606, ur_m328_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  45608, ur_m328_autobaud_uart0_dual_ee_hw },
 {  45610, ur_m328_autobaud_uart0_dual_ee_ce_hw },
 {  45611, ur_m328_autobaud_uart0_dual_ee_ce_u4_hw },
 {  45654, ur_m328pb_autobaud_uart1_noled },
 {  45655, ur_m328pb_autobaud_uart1_noled },
 {  45656, ur_m328pb_autobaud_uart1_noled_pr_u4 },
 {  45657, ur_m328pb_autobaud_uart1_noled_pr_ee },
 {  45658, ur_m328pb_autobaud_uart1_noled_pr_ee },
 {  45659, ur_m328pb_autobaud_uart1_noled_pr_ce },
 {  45660, ur_m328pb_autobaud_uart1_noled_pr_ce },
 {  45661, ur_m328pb_autobaud_uart1_noled_pr_ee_ce },
 {  45662, ur_m328pb_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  45664, ur_m328pb_autobaud_uart1_noled_ee_hw },
 {  45666, ur_m328pb_autobaud_uart1_noled_ee_ce_hw },
 {  45667, ur_m328pb_autobaud_uart1_noled_ee_ce_hw },
 {  45668, ur_m328pb_autobaud_uart1_lednop },
 {  45669, ur_m328pb_autobaud_uart1_lednop },
 {  45670, ur_m328pb_autobaud_uart1_lednop_pr_u4 },
 {  45671, ur_m328pb_autobaud_uart1_lednop_pr_ee },
 {  45672, ur_m328pb_autobaud_uart1_lednop_pr_ee },
 {  45673, ur_m328pb_autobaud_uart1_lednop_pr_ce },
 {  45674, ur_m328pb_autobaud_uart1_lednop_pr_ce },
 {  45675, ur_m328pb_autobaud_uart1_lednop_pr_ee_ce },
 {  45676, ur_m328pb_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  45678, ur_m328pb_autobaud_uart1_lednop_ee_hw },
 {  45680, ur_m328pb_autobaud_uart1_lednop_ee_ce_hw },
 {  45681, ur_m328pb_autobaud_uart1_lednop_ee_ce_hw },
 {  45682, ur_m328pb_autobaud_uart1_dual },
 {  45683, ur_m328pb_autobaud_uart1_dual },
 {  45684, ur_m328pb_autobaud_uart1_dual },
 {  45685, ur_m328pb_autobaud_uart1_dual_pr_ee },
 {  45686, ur_m328pb_autobaud_uart1_dual_pr_ee_u4 },
 {  45687, ur_m328pb_autobaud_uart1_dual_pr_ce },
 {  45688, ur_m328pb_autobaud_uart1_dual_pr_ce },
 {  45689, ur_m328pb_autobaud_uart1_dual_pr_ee_ce },
 {  45690, ur_m328pb_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  45692, ur_m328pb_autobaud_uart1_dual_ee_hw },
 {  45694, ur_m328pb_autobaud_uart1_dual_ee_ce_hw },
 {  45695, ur_m328pb_autobaud_uart1_dual_ee_ce_u4_hw },
 {  45780, ur_m168_u1x8_uart0_noled },
 {  45781, ur_m168_u1x8_uart0_noled },
 {  45782, ur_m168_u1x8_uart0_noled_pr_u4 },
 {  45783, ur_m168_u1x8_uart0_noled_pr_ee },
 {  45784, ur_m168_u1x8_uart0_noled_pr_ee },
 {  45785, ur_m328_u1x8_uart0_noled_pr_ce },
 {  45786, ur_m328_u1x8_uart0_noled_pr_ce_u4 },
 {  45787, ur_m328_u1x8_uart0_noled_pr_ee_ce },
 {  45788, ur_m328_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  45790, ur_m168_u1x8_uart0_noled_ee_hw },
 {  45792, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  45793, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  45794, ur_m168_u1x8_uart0_lednop },
 {  45795, ur_m168_u1x8_uart0_lednop },
 {  45796, ur_m168_u1x8_uart0_lednop_pr_u4 },
 {  45797, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  45798, ur_m168_u1x8_uart0_lednop_pr_ee },
 {  45799, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  45800, ur_m328_u1x8_uart0_lednop_pr_ce },
 {  45801, ur_m328_u1x8_uart0_lednop_pr_ee_ce },
 {  45802, ur_m328_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  45804, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  45806, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  45807, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  45808, ur_m328_u1x8_uart0_dual },
 {  45809, ur_m328_u1x8_uart0_dual },
 {  45810, ur_m328_u1x8_uart0_dual_pr_u4 },
 {  45811, ur_m328_u1x8_uart0_dual_pr_ee },
 {  45812, ur_m328_u1x8_uart0_dual_pr_ee },
 {  45813, ur_m328_u1x8_uart0_dual_pr_ce },
 {  45814, ur_m328_u1x8_uart0_dual_pr_ce },
 {  45815, ur_m328_u1x8_uart0_dual_pr_ee_ce },
 {  45816, ur_m328_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  45818, ur_m328_u1x8_uart0_dual_ee_hw },
 {  45820, ur_m328_u1x8_uart0_dual_ee_ce_hw },
 {  45821, ur_m328_u1x8_uart0_dual_ee_ce_u4_hw },
 {  45864, ur_m328pb_u1x8_uart1_noled },
 {  45865, ur_m328pb_u1x8_uart1_noled },
 {  45866, ur_m328pb_u1x8_uart1_noled_pr_u4 },
 {  45867, ur_m328pb_u1x8_uart1_noled_pr_ee },
 {  45868, ur_m328pb_u1x8_uart1_noled_pr_ee },
 {  45869, ur_m328pb_u1x8_uart1_noled_pr_ce },
 {  45870, ur_m328pb_u1x8_uart1_noled_pr_ce_u4 },
 {  45871, ur_m328pb_u1x8_uart1_noled_pr_ee_ce },
 {  45872, ur_m328pb_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  45874, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  45876, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  45877, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  45878, ur_m328pb_u1x8_uart1_lednop },
 {  45879, ur_m328pb_u1x8_uart1_lednop },
 {  45880, ur_m328pb_u1x8_uart1_lednop_pr_u4 },
 {  45881, ur_m328pb_u1x8_uart1_lednop_pr_ee },
 {  45882, ur_m328pb_u1x8_uart1_lednop_pr_ee },
 {  45883, ur_m328pb_u1x8_uart1_lednop_pr_ce },
 {  45884, ur_m328pb_u1x8_uart1_lednop_pr_ce },
 {  45885, ur_m328pb_u1x8_uart1_lednop_pr_ee_ce },
 {  45886, ur_m328pb_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  45888, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  45890, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  45891, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  45892, ur_m328pb_u1x8_uart1_dual },
 {  45893, ur_m328pb_u1x8_uart1_dual },
 {  45894, ur_m328pb_u1x8_uart1_dual_pr_u4 },
 {  45895, ur_m328pb_u1x8_uart1_dual_pr_ee },
 {  45896, ur_m328pb_u1x8_uart1_dual_pr_ee },
 {  45897, ur_m328pb_u1x8_uart1_dual_pr_ce },
 {  45898, ur_m328pb_u1x8_uart1_dual_pr_ce },
 {  45899, ur_m328pb_u1x8_uart1_dual_pr_ee_ce },
 {  45900, ur_m328pb_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  45902, ur_m328pb_u1x8_uart1_dual_ee_hw },
 {  45904, ur_m328pb_u1x8_uart1_dual_ee_ce_hw },
 {  45905, ur_m328pb_u1x8_uart1_dual_ee_ce_u4_hw },
 {  45990, ur_m168_u1x12_uart0_noled },
 {  45991, ur_m168_u1x12_uart0_noled },
 {  45992, ur_m168_u1x12_uart0_noled_pr_u4 },
 {  45993, ur_m168_u1x12_uart0_noled_pr_ee },
 {  45994, ur_m168_u1x12_uart0_noled_pr_ee },
 {  45995, ur_m328_u1x12_uart0_noled_pr_ce },
 {  45996, ur_m328_u1x12_uart0_noled_pr_ce_u4 },
 {  45997, ur_m328_u1x12_uart0_noled_pr_ee_ce },
 {  45998, ur_m328_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  46000, ur_m168_u1x12_uart0_noled_ee_hw },
 {  46002, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  46003, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  46004, ur_m168_u1x12_uart0_lednop },
 {  46005, ur_m168_u1x12_uart0_lednop },
 {  46006, ur_m168_u1x12_uart0_lednop_pr_u4 },
 {  46007, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  46008, ur_m168_u1x12_uart0_lednop_pr_ee },
 {  46009, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  46010, ur_m328_u1x12_uart0_lednop_pr_ce },
 {  46011, ur_m328_u1x12_uart0_lednop_pr_ee_ce },
 {  46012, ur_m328_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  46014, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  46016, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  46017, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  46018, ur_m328_u1x12_uart0_dual },
 {  46019, ur_m328_u1x12_uart0_dual_pr },
 {  46020, ur_m328_u1x12_uart0_dual_pr_u4 },
 {  46021, ur_m328_u1x12_uart0_dual_pr_ee },
 {  46022, ur_m328_u1x12_uart0_dual_pr_ee },
 {  46023, ur_m328_u1x12_uart0_dual_pr_ce },
 {  46024, ur_m328_u1x12_uart0_dual_pr_ce },
 {  46025, ur_m328_u1x12_uart0_dual_pr_ee_ce },
 {  46026, ur_m328_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  46028, ur_m328_u1x12_uart0_dual_ee_hw },
 {  46030, ur_m328_u1x12_uart0_dual_ee_ce_hw },
 {  46031, ur_m328_u1x12_uart0_dual_ee_ce_u4_hw },
 {  46074, ur_m328pb_u1x12_uart1_noled },
 {  46075, ur_m328pb_u1x12_uart1_noled },
 {  46076, ur_m328pb_u1x12_uart1_noled_pr_u4 },
 {  46077, ur_m328pb_u1x12_uart1_noled_pr_ee },
 {  46078, ur_m328pb_u1x12_uart1_noled_pr_ee },
 {  46079, ur_m328pb_u1x12_uart1_noled_pr_ce },
 {  46080, ur_m328pb_u1x12_uart1_noled_pr_ce_u4 },
 {  46081, ur_m328pb_u1x12_uart1_noled_pr_ee_ce },
 {  46082, ur_m328pb_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  46084, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  46086, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  46087, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  46088, ur_m328pb_u1x12_uart1_lednop },
 {  46089, ur_m328pb_u1x12_uart1_lednop },
 {  46090, ur_m328pb_u1x12_uart1_lednop_pr_u4 },
 {  46091, ur_m328pb_u1x12_uart1_lednop_pr_ee },
 {  46092, ur_m328pb_u1x12_uart1_lednop_pr_ee },
 {  46093, ur_m328pb_u1x12_uart1_lednop_pr_ce },
 {  46094, ur_m328pb_u1x12_uart1_lednop_pr_ce },
 {  46095, ur_m328pb_u1x12_uart1_lednop_pr_ee_ce },
 {  46096, ur_m328pb_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  46098, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  46100, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  46101, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  46102, ur_m328pb_u1x12_uart1_dual },
 {  46103, ur_m328pb_u1x12_uart1_dual_pr },
 {  46104, ur_m328pb_u1x12_uart1_dual_pr_u4 },
 {  46105, ur_m328pb_u1x12_uart1_dual_pr_ee },
 {  46106, ur_m328pb_u1x12_uart1_dual_pr_ee },
 {  46107, ur_m328pb_u1x12_uart1_dual_pr_ce },
 {  46108, ur_m328pb_u1x12_uart1_dual_pr_ce },
 {  46109, ur_m328pb_u1x12_uart1_dual_pr_ee_ce },
 {  46110, ur_m328pb_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  46112, ur_m328pb_u1x12_uart1_dual_ee_hw },
 {  46114, ur_m328pb_u1x12_uart1_dual_ee_ce_hw },
 {  46115, ur_m328pb_u1x12_uart1_dual_ee_ce_u4_hw },
 {  46200, ur_m168_u2x8_uart0_noled },
 {  46201, ur_m168_u2x8_uart0_noled },
 {  46202, ur_m168_u2x8_uart0_noled_pr_u4 },
 {  46203, ur_m168_u2x8_uart0_noled_pr_ee },
 {  46204, ur_m168_u2x8_uart0_noled_pr_ee },
 {  46205, ur_m328_u2x8_uart0_noled_pr_ce },
 {  46206, ur_m328_u2x8_uart0_noled_pr_ce_u4 },
 {  46207, ur_m328_u2x8_uart0_noled_pr_ee_ce },
 {  46208, ur_m328_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  46210, ur_m168_u2x8_uart0_noled_ee_hw },
 {  46212, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  46213, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  46214, ur_m168_u2x8_uart0_lednop },
 {  46215, ur_m168_u2x8_uart0_lednop },
 {  46216, ur_m168_u2x8_uart0_lednop_pr_u4 },
 {  46217, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  46218, ur_m168_u2x8_uart0_lednop_pr_ee },
 {  46219, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  46220, ur_m328_u2x8_uart0_lednop_pr_ce },
 {  46221, ur_m328_u2x8_uart0_lednop_pr_ee_ce },
 {  46222, ur_m328_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  46224, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  46226, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  46227, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  46228, ur_m328_u2x8_uart0_dual },
 {  46229, ur_m328_u2x8_uart0_dual_pr },
 {  46230, ur_m328_u2x8_uart0_dual_pr_u4 },
 {  46231, ur_m328_u2x8_uart0_dual_pr_ee },
 {  46232, ur_m328_u2x8_uart0_dual_pr_ee },
 {  46233, ur_m328_u2x8_uart0_dual_pr_ce },
 {  46234, ur_m328_u2x8_uart0_dual_pr_ce },
 {  46235, ur_m328_u2x8_uart0_dual_pr_ee_ce },
 {  46236, ur_m328_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  46238, ur_m328_u2x8_uart0_dual_ee_hw },
 {  46240, ur_m328_u2x8_uart0_dual_ee_ce_hw },
 {  46241, ur_m328_u2x8_uart0_dual_ee_ce_u4_hw },
 {  46284, ur_m328pb_u2x8_uart1_noled },
 {  46285, ur_m328pb_u2x8_uart1_noled },
 {  46286, ur_m328pb_u2x8_uart1_noled_pr_u4 },
 {  46287, ur_m328pb_u2x8_uart1_noled_pr_ee },
 {  46288, ur_m328pb_u2x8_uart1_noled_pr_ee },
 {  46289, ur_m328pb_u2x8_uart1_noled_pr_ce },
 {  46290, ur_m328pb_u2x8_uart1_noled_pr_ce_u4 },
 {  46291, ur_m328pb_u2x8_uart1_noled_pr_ee_ce },
 {  46292, ur_m328pb_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  46294, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  46296, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  46297, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  46298, ur_m328pb_u2x8_uart1_lednop },
 {  46299, ur_m328pb_u2x8_uart1_lednop },
 {  46300, ur_m328pb_u2x8_uart1_lednop_pr_u4 },
 {  46301, ur_m328pb_u2x8_uart1_lednop_pr_ee },
 {  46302, ur_m328pb_u2x8_uart1_lednop_pr_ee },
 {  46303, ur_m328pb_u2x8_uart1_lednop_pr_ce },
 {  46304, ur_m328pb_u2x8_uart1_lednop_pr_ce },
 {  46305, ur_m328pb_u2x8_uart1_lednop_pr_ee_ce },
 {  46306, ur_m328pb_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  46308, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  46310, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  46311, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  46312, ur_m328pb_u2x8_uart1_dual },
 {  46313, ur_m328pb_u2x8_uart1_dual_pr },
 {  46314, ur_m328pb_u2x8_uart1_dual_pr_u4 },
 {  46315, ur_m328pb_u2x8_uart1_dual_pr_ee },
 {  46316, ur_m328pb_u2x8_uart1_dual_pr_ee },
 {  46317, ur_m328pb_u2x8_uart1_dual_pr_ce },
 {  46318, ur_m328pb_u2x8_uart1_dual_pr_ce },
 {  46319, ur_m328pb_u2x8_uart1_dual_pr_ee_ce },
 {  46320, ur_m328pb_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  46322, ur_m328pb_u2x8_uart1_dual_ee_hw },
 {  46324, ur_m328pb_u2x8_uart1_dual_ee_ce_hw },
 {  46325, ur_m328pb_u2x8_uart1_dual_ee_ce_u4_hw },
 {  46410, ur_m168_u2x12_uart0_noled },
 {  46411, ur_m168_u2x12_uart0_noled },
 {  46412, ur_m168_u2x12_uart0_noled_pr_u4 },
 {  46413, ur_m168_u2x12_uart0_noled_pr_ee },
 {  46414, ur_m168_u2x12_uart0_noled_pr_ee },
 {  46415, ur_m328_u2x12_uart0_noled_pr_ce },
 {  46416, ur_m328_u2x12_uart0_noled_pr_ce },
 {  46417, ur_m328_u2x12_uart0_noled_pr_ee_ce },
 {  46418, ur_m328_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  46420, ur_m168_u2x12_uart0_noled_ee_hw },
 {  46422, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  46423, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  46424, ur_m168_u2x12_uart0_lednop },
 {  46425, ur_m168_u2x12_uart0_lednop },
 {  46426, ur_m168_u2x12_uart0_lednop_pr_u4 },
 {  46427, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  46428, ur_m168_u2x12_uart0_lednop_pr_ee },
 {  46429, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  46430, ur_m328_u2x12_uart0_lednop_pr_ce },
 {  46431, ur_m328_u2x12_uart0_lednop_pr_ee_ce },
 {  46432, ur_m328_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  46434, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  46436, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  46437, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  46438, ur_m328_u2x12_uart0_dual },
 {  46439, ur_m328_u2x12_uart0_dual_pr },
 {  46440, ur_m328_u2x12_uart0_dual_pr },
 {  46441, ur_m328_u2x12_uart0_dual_pr_ee },
 {  46442, ur_m328_u2x12_uart0_dual_pr_ee },
 {  46443, ur_m328_u2x12_uart0_dual_pr_ce },
 {  46444, ur_m328_u2x12_uart0_dual_pr_ce },
 {  46445, ur_m328_u2x12_uart0_dual_pr_ee_ce },
 {  46446, ur_m328_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  46448, ur_m328_u2x12_uart0_dual_ee_hw },
 {  46450, ur_m328_u2x12_uart0_dual_ee_ce_hw },
 {  46451, ur_m328_u2x12_uart0_dual_ee_ce_u4_hw },
 {  46494, ur_m328pb_u2x12_uart1_noled },
 {  46495, ur_m328pb_u2x12_uart1_noled },
 {  46496, ur_m328pb_u2x12_uart1_noled_pr_u4 },
 {  46497, ur_m328pb_u2x12_uart1_noled_pr_ee },
 {  46498, ur_m328pb_u2x12_uart1_noled_pr_ee },
 {  46499, ur_m328pb_u2x12_uart1_noled_pr_ce },
 {  46500, ur_m328pb_u2x12_uart1_noled_pr_ce },
 {  46501, ur_m328pb_u2x12_uart1_noled_pr_ee_ce },
 {  46502, ur_m328pb_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  46504, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  46506, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  46507, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  46508, ur_m328pb_u2x12_uart1_lednop },
 {  46509, ur_m328pb_u2x12_uart1_lednop },
 {  46510, ur_m328pb_u2x12_uart1_lednop_pr_u4 },
 {  46511, ur_m328pb_u2x12_uart1_lednop_pr_ee },
 {  46512, ur_m328pb_u2x12_uart1_lednop_pr_ee },
 {  46513, ur_m328pb_u2x12_uart1_lednop_pr_ce },
 {  46514, ur_m328pb_u2x12_uart1_lednop_pr_ce },
 {  46515, ur_m328pb_u2x12_uart1_lednop_pr_ee_ce },
 {  46516, ur_m328pb_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  46518, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  46520, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  46521, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  46522, ur_m328pb_u2x12_uart1_dual },
 {  46523, ur_m328pb_u2x12_uart1_dual_pr },
 {  46524, ur_m328pb_u2x12_uart1_dual_pr },
 {  46525, ur_m328pb_u2x12_uart1_dual_pr_ee },
 {  46526, ur_m328pb_u2x12_uart1_dual_pr_ee },
 {  46527, ur_m328pb_u2x12_uart1_dual_pr_ce },
 {  46528, ur_m328pb_u2x12_uart1_dual_pr_ce },
 {  46529, ur_m328pb_u2x12_uart1_dual_pr_ee_ce },
 {  46530, ur_m328pb_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  46532, ur_m328pb_u2x12_uart1_dual_ee_hw },
 {  46534, ur_m328pb_u2x12_uart1_dual_ee_ce_hw },
 {  46535, ur_m328pb_u2x12_uart1_dual_ee_ce_u4_hw },
 {  46620, ur_m168_swio10_noled },
 {  46621, ur_m168_swio10_noled },
 {  46622, ur_m168_swio10_noled_pr_u4 },
 {  46623, ur_m168_swio10_noled_pr_ee },
 {  46624, ur_m168_swio10_noled_pr_ee },
 {  46625, ur_m328_swio10_noled_pr_ce },
 {  46626, ur_m328_swio10_noled_pr_ce },
 {  46627, ur_m328_swio10_noled_pr_ee_ce },
 {  46628, ur_m328_swio10_noled_pr_ee_ce_u4 },
 {  46630, ur_m168_swio10_noled_ee_hw },
 {  46632, ur_m328_swio10_noled_ee_ce_hw },
 {  46633, ur_m328_swio10_noled_ee_ce_hw },
 {  46634, ur_m168_swio10_lednop },
 {  46635, ur_m168_swio10_lednop_pr },
 {  46636, ur_m168_swio10_lednop_pr },
 {  46637, ur_m168_swio10_lednop_pr_ee },
 {  46638, ur_m168_swio10_lednop_pr_ee },
 {  46639, ur_m328_swio10_lednop_pr_ce },
 {  46640, ur_m328_swio10_lednop_pr_ce },
 {  46641, ur_m328_swio10_lednop_pr_ee_ce },
 {  46642, ur_m328_swio10_lednop_pr_ee_ce_u4 },
 {  46644, ur_m168_swio10_lednop_ee_hw },
 {  46646, ur_m328_swio10_lednop_ee_ce_hw },
 {  46647, ur_m328_swio10_lednop_ee_ce_hw },
 {  46648, ur_m328_swio10_dual },
 {  46649, ur_m328_swio10_dual },
 {  46650, ur_m328_swio10_dual },
 {  46651, ur_m328_swio10_dual_pr_ee },
 {  46652, ur_m328_swio10_dual_pr_ee_u4 },
 {  46653, ur_m328_swio10_dual_pr_ce },
 {  46654, ur_m328_swio10_dual_pr_ce_u4 },
 {  46655, ur_m328_swio10_dual_pr_ee_ce },
 {  46656, ur_m328_swio10_dual_pr_ee_ce_u4 },
 {  46658, ur_m328_swio10_dual_ee_hw },
 {  46660, ur_m328_swio10_dual_ee_ce_hw },
 {  46661, ur_m328_swio10_dual_ee_ce_u4_hw },
 {  46662, ur_m168_swio11_noled },
 {  46663, ur_m168_swio11_noled },
 {  46664, ur_m168_swio11_noled_pr_u4 },
 {  46665, ur_m168_swio11_noled_pr_ee },
 {  46666, ur_m168_swio11_noled_pr_ee },
 {  46667, ur_m328_swio11_noled_pr_ce },
 {  46668, ur_m328_swio11_noled_pr_ce },
 {  46669, ur_m328_swio11_noled_pr_ee_ce },
 {  46670, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  46672, ur_m168_swio11_noled_ee_hw },
 {  46674, ur_m328_swio11_noled_ee_ce_hw },
 {  46675, ur_m328_swio11_noled_ee_ce_hw },
 {  46676, ur_m168_swio11_lednop },
 {  46677, ur_m168_swio11_lednop_pr },
 {  46678, ur_m168_swio11_lednop_pr },
 {  46679, ur_m168_swio11_lednop_pr_ee },
 {  46680, ur_m168_swio11_lednop_pr_ee_u4 },
 {  46681, ur_m328_swio11_lednop_pr_ce },
 {  46682, ur_m328_swio11_lednop_pr_ce },
 {  46683, ur_m328_swio11_lednop_pr_ee_ce },
 {  46684, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  46686, ur_m168_swio11_lednop_ee_hw },
 {  46688, ur_m328_swio11_lednop_ee_ce_hw },
 {  46689, ur_m328_swio11_lednop_ee_ce_hw },
 {  46690, ur_m328_swio11_dual },
 {  46691, ur_m328_swio11_dual },
 {  46692, ur_m328_swio11_dual },
 {  46693, ur_m328_swio11_dual_pr_ee },
 {  46694, ur_m328_swio11_dual_pr_ee_u4 },
 {  46695, ur_m328_swio11_dual_pr_ce },
 {  46696, ur_m328_swio11_dual_pr_ce_u4 },
 {  46697, ur_m328_swio11_dual_pr_ee_ce },
 {  46698, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  46700, ur_m328_swio11_dual_ee_hw },
 {  46702, ur_m328_swio11_dual_ee_ce_hw },
 {  46703, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  46704, ur_m168_swio11_noled },
 {  46705, ur_m168_swio11_noled },
 {  46706, ur_m168_swio11_noled_pr_u4 },
 {  46707, ur_m168_swio11_noled_pr_ee },
 {  46708, ur_m168_swio11_noled_pr_ee },
 {  46709, ur_m328_swio11_noled_pr_ce },
 {  46710, ur_m328_swio11_noled_pr_ce },
 {  46711, ur_m328_swio11_noled_pr_ee_ce },
 {  46712, ur_m328_swio11_noled_pr_ee_ce_u4 },
 {  46714, ur_m168_swio11_noled_ee_hw },
 {  46716, ur_m328_swio11_noled_ee_ce_hw },
 {  46717, ur_m328_swio11_noled_ee_ce_hw },
 {  46718, ur_m168_swio11_lednop },
 {  46719, ur_m168_swio11_lednop_pr },
 {  46720, ur_m168_swio11_lednop_pr },
 {  46721, ur_m168_swio11_lednop_pr_ee },
 {  46722, ur_m168_swio11_lednop_pr_ee_u4 },
 {  46723, ur_m328_swio11_lednop_pr_ce },
 {  46724, ur_m328_swio11_lednop_pr_ce },
 {  46725, ur_m328_swio11_lednop_pr_ee_ce },
 {  46726, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 {  46728, ur_m168_swio11_lednop_ee_hw },
 {  46730, ur_m328_swio11_lednop_ee_ce_hw },
 {  46731, ur_m328_swio11_lednop_ee_ce_hw },
 {  46732, ur_m328_swio11_dual },
 {  46733, ur_m328_swio11_dual },
 {  46734, ur_m328_swio11_dual },
 {  46735, ur_m328_swio11_dual_pr_ee },
 {  46736, ur_m328_swio11_dual_pr_ee_u4 },
 {  46737, ur_m328_swio11_dual_pr_ce },
 {  46738, ur_m328_swio11_dual_pr_ce_u4 },
 {  46739, ur_m328_swio11_dual_pr_ee_ce },
 {  46740, ur_m328_swio11_dual_pr_ee_ce_u4 },
 {  46742, ur_m328_swio11_dual_ee_hw },
 {  46744, ur_m328_swio11_dual_ee_ce_hw },
 {  46745, ur_m328_swio11_dual_ee_ce_u4_hw },
 {  46746, ur_m168_swio13_noled },
 {  46747, ur_m168_swio13_noled },
 {  46748, ur_m168_swio13_noled_pr_u4 },
 {  46749, ur_m168_swio13_noled_pr_ee },
 {  46750, ur_m168_swio13_noled_pr_ee },
 {  46751, ur_m328_swio13_noled_pr_ce },
 {  46752, ur_m328_swio13_noled_pr_ce },
 {  46753, ur_m328_swio13_noled_pr_ee_ce },
 {  46754, ur_m328_swio13_noled_pr_ee_ce_u4 },
 {  46756, ur_m168_swio13_noled_ee_hw },
 {  46758, ur_m328_swio13_noled_ee_ce_hw },
 {  46759, ur_m328_swio13_noled_ee_ce_hw },
 {  46760, ur_m168_swio13_lednop },
 {  46761, ur_m168_swio13_lednop_pr },
 {  46762, ur_m168_swio13_lednop_pr },
 {  46763, ur_m168_swio13_lednop_pr_ee },
 {  46764, ur_m168_swio13_lednop_pr_ee_u4 },
 {  46765, ur_m328_swio13_lednop_pr_ce },
 {  46766, ur_m328_swio13_lednop_pr_ce },
 {  46767, ur_m328_swio13_lednop_pr_ee_ce },
 {  46768, ur_m328_swio13_lednop_pr_ee_ce_u4 },
 {  46770, ur_m168_swio13_lednop_ee_hw },
 {  46772, ur_m328_swio13_lednop_ee_ce_hw },
 {  46773, ur_m328_swio13_lednop_ee_ce_hw },
 {  46774, ur_m328_swio13_dual },
 {  46775, ur_m328_swio13_dual },
 {  46776, ur_m328_swio13_dual },
 {  46777, ur_m328_swio13_dual_pr_ee },
 {  46778, ur_m328_swio13_dual_pr_ee_u4 },
 {  46779, ur_m328_swio13_dual_pr_ce },
 {  46780, ur_m328_swio13_dual_pr_ce_u4 },
 {  46781, ur_m328_swio13_dual_pr_ee_ce },
 {  46782, ur_m328_swio13_dual_pr_ee_ce_u4 },
 {  46784, ur_m328_swio13_dual_ee_hw },
 {  46786, ur_m328_swio13_dual_ee_ce_hw },
 {  46787, ur_m328_swio13_dual_ee_ce_u4_hw },
 {  46788, ur_m168_swio14_noled },
 {  46789, ur_m168_swio14_noled },
 {  46790, ur_m168_swio14_noled_pr_u4 },
 {  46791, ur_m168_swio14_noled_pr_ee },
 {  46792, ur_m168_swio14_noled_pr_ee },
 {  46793, ur_m328_swio14_noled_pr_ce },
 {  46794, ur_m328_swio14_noled_pr_ce },
 {  46795, ur_m328_swio14_noled_pr_ee_ce },
 {  46796, ur_m328_swio14_noled_pr_ee_ce_u4 },
 {  46798, ur_m168_swio14_noled_ee_hw },
 {  46800, ur_m328_swio14_noled_ee_ce_hw },
 {  46801, ur_m328_swio14_noled_ee_ce_hw },
 {  46802, ur_m168_swio14_lednop },
 {  46803, ur_m168_swio14_lednop_pr },
 {  46804, ur_m168_swio14_lednop_pr },
 {  46805, ur_m168_swio14_lednop_pr_ee },
 {  46806, ur_m168_swio14_lednop_pr_ee_u4 },
 {  46807, ur_m328_swio14_lednop_pr_ce },
 {  46808, ur_m328_swio14_lednop_pr_ce },
 {  46809, ur_m328_swio14_lednop_pr_ee_ce },
 {  46810, ur_m328_swio14_lednop_pr_ee_ce_u4 },
 {  46812, ur_m168_swio14_lednop_ee_hw },
 {  46814, ur_m328_swio14_lednop_ee_ce_hw },
 {  46815, ur_m328_swio14_lednop_ee_ce_hw },
 {  46816, ur_m328_swio14_dual },
 {  46817, ur_m328_swio14_dual },
 {  46818, ur_m328_swio14_dual },
 {  46819, ur_m328_swio14_dual_pr_ee },
 {  46820, ur_m328_swio14_dual_pr_ee_u4 },
 {  46821, ur_m328_swio14_dual_pr_ce },
 {  46822, ur_m328_swio14_dual_pr_ce_u4 },
 {  46823, ur_m328_swio14_dual_pr_ee_ce },
 {  46824, ur_m328_swio14_dual_pr_ee_ce_u4 },
 {  46826, ur_m328_swio14_dual_ee_hw },
 {  46828, ur_m328_swio14_dual_ee_ce_hw },
 {  46829, ur_m328_swio14_dual_ee_ce_u4_hw },
 {  46830, ur_m168_swio15_noled },
 {  46831, ur_m168_swio15_noled },
 {  46832, ur_m168_swio15_noled_pr_u4 },
 {  46833, ur_m168_swio15_noled_pr_ee },
 {  46834, ur_m168_swio15_noled_pr_ee },
 {  46835, ur_m328_swio15_noled_pr_ce },
 {  46836, ur_m328_swio15_noled_pr_ce },
 {  46837, ur_m328_swio15_noled_pr_ee_ce },
 {  46838, ur_m328_swio15_noled_pr_ee_ce_u4 },
 {  46840, ur_m168_swio15_noled_ee_hw },
 {  46842, ur_m328_swio15_noled_ee_ce_hw },
 {  46843, ur_m328_swio15_noled_ee_ce_hw },
 {  46844, ur_m168_swio15_lednop },
 {  46845, ur_m168_swio15_lednop_pr },
 {  46846, ur_m168_swio15_lednop_pr },
 {  46847, ur_m168_swio15_lednop_pr_ee },
 {  46848, ur_m168_swio15_lednop_pr_ee_u4 },
 {  46849, ur_m328_swio15_lednop_pr_ce },
 {  46850, ur_m328_swio15_lednop_pr_ce },
 {  46851, ur_m328_swio15_lednop_pr_ee_ce },
 {  46852, ur_m328_swio15_lednop_pr_ee_ce_u4 },
 {  46854, ur_m168_swio15_lednop_ee_hw },
 {  46856, ur_m328_swio15_lednop_ee_ce_hw },
 {  46857, ur_m328_swio15_lednop_ee_ce_hw },
 {  46858, ur_m328_swio15_dual },
 {  46859, ur_m328_swio15_dual },
 {  46860, ur_m328_swio15_dual },
 {  46861, ur_m328_swio15_dual_pr_ee },
 {  46862, ur_m328_swio15_dual_pr_ee_u4 },
 {  46863, ur_m328_swio15_dual_pr_ce },
 {  46864, ur_m328_swio15_dual_pr_ce_u4 },
 {  46865, ur_m328_swio15_dual_pr_ee_ce },
 {  46866, ur_m328_swio15_dual_pr_ee_ce_u4 },
 {  46868, ur_m328_swio15_dual_ee_hw },
 {  46870, ur_m328_swio15_dual_ee_ce_hw },
 {  46871, ur_m328_swio15_dual_ee_ce_u4_hw },
 {  47922, ur_m406_swio10_noled },
 {  47923, ur_m406_swio10_noled },
 {  47924, ur_m406_swio10_noled_pr_u4 },
 {  47925, ur_m406_swio10_noled_pr_ee },
 {  47926, ur_m406_swio10_noled_pr_ee },
 {  47927, ur_m406_swio10_noled_pr_ce },
 {  47928, ur_m406_swio10_noled_pr_ce },
 {  47929, ur_m406_swio10_noled_pr_ee_ce },
 {  47930, ur_m406_swio10_noled_pr_ee_ce_u4 },
 {  47932, ur_m406_swio10_noled_ee_hw },
 {  47934, ur_m406_swio10_noled_ee_ce_hw },
 {  47935, ur_m406_swio10_noled_ee_ce_hw },
 {  47936, ur_m406_swio10_lednop },
 {  47937, ur_m406_swio10_lednop },
 {  47938, ur_m406_swio10_lednop_pr_u4 },
 {  47939, ur_m406_swio10_lednop_pr_ee },
 {  47940, ur_m406_swio10_lednop_pr_ee },
 {  47941, ur_m406_swio10_lednop_pr_ce },
 {  47942, ur_m406_swio10_lednop_pr_ce },
 {  47943, ur_m406_swio10_lednop_pr_ee_ce },
 {  47944, ur_m406_swio10_lednop_pr_ee_ce_u4 },
 {  47946, ur_m406_swio10_lednop_ee_hw },
 {  47948, ur_m406_swio10_lednop_ee_ce_hw },
 {  47949, ur_m406_swio10_lednop_ee_ce_hw },
 {  47964, ur_m406_swio11_noled },
 {  47965, ur_m406_swio11_noled },
 {  47966, ur_m406_swio11_noled_pr_u4 },
 {  47967, ur_m406_swio11_noled_pr_ee },
 {  47968, ur_m406_swio11_noled_pr_ee },
 {  47969, ur_m406_swio11_noled_pr_ce },
 {  47970, ur_m406_swio11_noled_pr_ce },
 {  47971, ur_m406_swio11_noled_pr_ee_ce },
 {  47972, ur_m406_swio11_noled_pr_ee_ce_u4 },
 {  47974, ur_m406_swio11_noled_ee_hw },
 {  47976, ur_m406_swio11_noled_ee_ce_hw },
 {  47977, ur_m406_swio11_noled_ee_ce_hw },
 {  47978, ur_m406_swio11_lednop },
 {  47979, ur_m406_swio11_lednop },
 {  47980, ur_m406_swio11_lednop_pr_u4 },
 {  47981, ur_m406_swio11_lednop_pr_ee },
 {  47982, ur_m406_swio11_lednop_pr_ee },
 {  47983, ur_m406_swio11_lednop_pr_ce },
 {  47984, ur_m406_swio11_lednop_pr_ce },
 {  47985, ur_m406_swio11_lednop_pr_ee_ce },
 {  47986, ur_m406_swio11_lednop_pr_ee_ce_u4 },
 {  47988, ur_m406_swio11_lednop_ee_hw },
 {  47990, ur_m406_swio11_lednop_ee_ce_hw },
 {  47991, ur_m406_swio11_lednop_ee_ce_hw },
 {  48006, ur_m406_swio11_noled },
 {  48007, ur_m406_swio11_noled },
 {  48008, ur_m406_swio11_noled_pr_u4 },
 {  48009, ur_m406_swio11_noled_pr_ee },
 {  48010, ur_m406_swio11_noled_pr_ee },
 {  48011, ur_m406_swio11_noled_pr_ce },
 {  48012, ur_m406_swio11_noled_pr_ce },
 {  48013, ur_m406_swio11_noled_pr_ee_ce },
 {  48014, ur_m406_swio11_noled_pr_ee_ce_u4 },
 {  48016, ur_m406_swio11_noled_ee_hw },
 {  48018, ur_m406_swio11_noled_ee_ce_hw },
 {  48019, ur_m406_swio11_noled_ee_ce_hw },
 {  48020, ur_m406_swio11_lednop },
 {  48021, ur_m406_swio11_lednop },
 {  48022, ur_m406_swio11_lednop_pr_u4 },
 {  48023, ur_m406_swio11_lednop_pr_ee },
 {  48024, ur_m406_swio11_lednop_pr_ee },
 {  48025, ur_m406_swio11_lednop_pr_ce },
 {  48026, ur_m406_swio11_lednop_pr_ce },
 {  48027, ur_m406_swio11_lednop_pr_ee_ce },
 {  48028, ur_m406_swio11_lednop_pr_ee_ce_u4 },
 {  48030, ur_m406_swio11_lednop_ee_hw },
 {  48032, ur_m406_swio11_lednop_ee_ce_hw },
 {  48033, ur_m406_swio11_lednop_ee_ce_hw },
 {  48048, ur_m406_swio13_noled },
 {  48049, ur_m406_swio13_noled },
 {  48050, ur_m406_swio13_noled_pr_u4 },
 {  48051, ur_m406_swio13_noled_pr_ee },
 {  48052, ur_m406_swio13_noled_pr_ee },
 {  48053, ur_m406_swio13_noled_pr_ce },
 {  48054, ur_m406_swio13_noled_pr_ce },
 {  48055, ur_m406_swio13_noled_pr_ee_ce },
 {  48056, ur_m406_swio13_noled_pr_ee_ce_u4 },
 {  48058, ur_m406_swio13_noled_ee_hw },
 {  48060, ur_m406_swio13_noled_ee_ce_hw },
 {  48061, ur_m406_swio13_noled_ee_ce_hw },
 {  48062, ur_m406_swio13_lednop },
 {  48063, ur_m406_swio13_lednop },
 {  48064, ur_m406_swio13_lednop },
 {  48065, ur_m406_swio13_lednop_pr_ee },
 {  48066, ur_m406_swio13_lednop_pr_ee },
 {  48067, ur_m406_swio13_lednop_pr_ce },
 {  48068, ur_m406_swio13_lednop_pr_ce },
 {  48069, ur_m406_swio13_lednop_pr_ee_ce },
 {  48070, ur_m406_swio13_lednop_pr_ee_ce_u4 },
 {  48072, ur_m406_swio13_lednop_ee_hw },
 {  48074, ur_m406_swio13_lednop_ee_ce_hw },
 {  48075, ur_m406_swio13_lednop_ee_ce_hw },
 {  48090, ur_m406_swio14_noled },
 {  48091, ur_m406_swio14_noled },
 {  48092, ur_m406_swio14_noled_pr_u4 },
 {  48093, ur_m406_swio14_noled_pr_ee },
 {  48094, ur_m406_swio14_noled_pr_ee },
 {  48095, ur_m406_swio14_noled_pr_ce },
 {  48096, ur_m406_swio14_noled_pr_ce },
 {  48097, ur_m406_swio14_noled_pr_ee_ce },
 {  48098, ur_m406_swio14_noled_pr_ee_ce_u4 },
 {  48100, ur_m406_swio14_noled_ee_hw },
 {  48102, ur_m406_swio14_noled_ee_ce_hw },
 {  48103, ur_m406_swio14_noled_ee_ce_hw },
 {  48104, ur_m406_swio14_lednop },
 {  48105, ur_m406_swio14_lednop },
 {  48106, ur_m406_swio14_lednop_pr_u4 },
 {  48107, ur_m406_swio14_lednop_pr_ee },
 {  48108, ur_m406_swio14_lednop_pr_ee },
 {  48109, ur_m406_swio14_lednop_pr_ce },
 {  48110, ur_m406_swio14_lednop_pr_ce },
 {  48111, ur_m406_swio14_lednop_pr_ee_ce },
 {  48112, ur_m406_swio14_lednop_pr_ee_ce_u4 },
 {  48114, ur_m406_swio14_lednop_ee_hw },
 {  48116, ur_m406_swio14_lednop_ee_ce_hw },
 {  48117, ur_m406_swio14_lednop_ee_ce_hw },
 {  48132, ur_m406_swio15_noled },
 {  48133, ur_m406_swio15_noled },
 {  48134, ur_m406_swio15_noled_pr_u4 },
 {  48135, ur_m406_swio15_noled_pr_ee },
 {  48136, ur_m406_swio15_noled_pr_ee },
 {  48137, ur_m406_swio15_noled_pr_ce },
 {  48138, ur_m406_swio15_noled_pr_ce },
 {  48139, ur_m406_swio15_noled_pr_ee_ce },
 {  48140, ur_m406_swio15_noled_pr_ee_ce_u4 },
 {  48142, ur_m406_swio15_noled_ee_hw },
 {  48144, ur_m406_swio15_noled_ee_ce_hw },
 {  48145, ur_m406_swio15_noled_ee_ce_hw },
 {  48146, ur_m406_swio15_lednop },
 {  48147, ur_m406_swio15_lednop },
 {  48148, ur_m406_swio15_lednop },
 {  48149, ur_m406_swio15_lednop_pr_ee },
 {  48150, ur_m406_swio15_lednop_pr_ee },
 {  48151, ur_m406_swio15_lednop_pr_ce },
 {  48152, ur_m406_swio15_lednop_pr_ce },
 {  48153, ur_m406_swio15_lednop_pr_ee_ce },
 {  48154, ur_m406_swio15_lednop_pr_ee_ce_u4 },
 {  48156, ur_m406_swio15_lednop_ee_hw },
 {  48158, ur_m406_swio15_lednop_ee_ce_hw },
 {  48159, ur_m406_swio15_lednop_ee_ce_hw },
 {  48174, ur_m169_autobaud_uart0_noled },
 {  48175, ur_m169_autobaud_uart0_noled },
 {  48176, ur_m169_autobaud_uart0_noled_pr_u4 },
 {  48177, ur_m169_autobaud_uart0_noled_pr_ee },
 {  48178, ur_m169_autobaud_uart0_noled_pr_ee },
 {  48179, ur_m169_autobaud_uart0_noled_pr_ce },
 {  48180, ur_m169_autobaud_uart0_noled_pr_ce },
 {  48181, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {  48182, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  48183, ur_m169_autobaud_uart0_noled_hw },
 {  48184, ur_m169_autobaud_uart0_noled_ee_hw },
 {  48185, ur_m169_autobaud_uart0_noled_ce_hw },
 {  48186, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  48187, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  48188, ur_m169_autobaud_uart0_lednop },
 {  48189, ur_m169_autobaud_uart0_lednop_pr },
 {  48190, ur_m169_autobaud_uart0_lednop_pr },
 {  48191, ur_m169_autobaud_uart0_lednop_pr_ee },
 {  48192, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {  48193, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  48194, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  48195, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {  48196, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  48197, ur_m169_autobaud_uart0_lednop_hw },
 {  48198, ur_m169_autobaud_uart0_lednop_ee_hw },
 {  48199, ur_m169_autobaud_uart0_lednop_ce_hw },
 {  48200, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  48201, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  48202, ur_m169_autobaud_uart0_dual },
 {  48203, ur_m169_autobaud_uart0_dual },
 {  48204, ur_m169_autobaud_uart0_dual },
 {  48205, ur_m169_autobaud_uart0_dual_pr_ee },
 {  48206, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {  48207, ur_m169_autobaud_uart0_dual_pr_ce },
 {  48208, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {  48209, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {  48210, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  48211, ur_m169_autobaud_uart0_dual_hw },
 {  48212, ur_m169_autobaud_uart0_dual_ee_hw },
 {  48213, ur_m169_autobaud_uart0_dual_ce_hw },
 {  48214, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {  48215, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {  48384, ur_m169_u1x8_uart0_noled },
 {  48385, ur_m169_u1x8_uart0_noled },
 {  48386, ur_m169_u1x8_uart0_noled_pr_u4 },
 {  48387, ur_m169_u1x8_uart0_noled_pr_ee },
 {  48388, ur_m169_u1x8_uart0_noled_pr_ee },
 {  48389, ur_m169_u1x8_uart0_noled_pr_ce },
 {  48390, ur_m169_u1x8_uart0_noled_pr_ce },
 {  48391, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {  48392, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  48393, ur_m169_u1x8_uart0_noled_hw },
 {  48394, ur_m169_u1x8_uart0_noled_ee_hw },
 {  48395, ur_m169_u1x8_uart0_noled_ce_hw },
 {  48396, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  48397, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  48398, ur_m169_u1x8_uart0_lednop },
 {  48399, ur_m169_u1x8_uart0_lednop },
 {  48400, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {  48401, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  48402, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  48403, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  48404, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  48405, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {  48406, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  48407, ur_m169_u1x8_uart0_lednop_hw },
 {  48408, ur_m169_u1x8_uart0_lednop_ee_hw },
 {  48409, ur_m169_u1x8_uart0_lednop_ce_hw },
 {  48410, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  48411, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  48412, ur_m169_u1x8_uart0_dual },
 {  48413, ur_m169_u1x8_uart0_dual_pr },
 {  48414, ur_m169_u1x8_uart0_dual_pr },
 {  48415, ur_m169_u1x8_uart0_dual_pr_ee },
 {  48416, ur_m169_u1x8_uart0_dual_pr_ee },
 {  48417, ur_m169_u1x8_uart0_dual_pr_ce },
 {  48418, ur_m169_u1x8_uart0_dual_pr_ce },
 {  48419, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {  48420, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  48421, ur_m169_u1x8_uart0_dual_hw },
 {  48422, ur_m169_u1x8_uart0_dual_ee_hw },
 {  48423, ur_m169_u1x8_uart0_dual_ce_hw },
 {  48424, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {  48425, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {  48594, ur_m169_u1x12_uart0_noled },
 {  48595, ur_m169_u1x12_uart0_noled },
 {  48596, ur_m169_u1x12_uart0_noled_pr_u4 },
 {  48597, ur_m169_u1x12_uart0_noled_pr_ee },
 {  48598, ur_m169_u1x12_uart0_noled_pr_ee },
 {  48599, ur_m169_u1x12_uart0_noled_pr_ce },
 {  48600, ur_m169_u1x12_uart0_noled_pr_ce },
 {  48601, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {  48602, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  48603, ur_m169_u1x12_uart0_noled_hw },
 {  48604, ur_m169_u1x12_uart0_noled_ee_hw },
 {  48605, ur_m169_u1x12_uart0_noled_ce_hw },
 {  48606, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  48607, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  48608, ur_m169_u1x12_uart0_lednop },
 {  48609, ur_m169_u1x12_uart0_lednop },
 {  48610, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {  48611, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  48612, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  48613, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  48614, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  48615, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {  48616, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  48617, ur_m169_u1x12_uart0_lednop_hw },
 {  48618, ur_m169_u1x12_uart0_lednop_ee_hw },
 {  48619, ur_m169_u1x12_uart0_lednop_ce_hw },
 {  48620, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  48621, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  48622, ur_m169_u1x12_uart0_dual },
 {  48623, ur_m169_u1x12_uart0_dual_pr },
 {  48624, ur_m169_u1x12_uart0_dual_pr },
 {  48625, ur_m169_u1x12_uart0_dual_pr_ee },
 {  48626, ur_m169_u1x12_uart0_dual_pr_ee },
 {  48627, ur_m169_u1x12_uart0_dual_pr_ce },
 {  48628, ur_m169_u1x12_uart0_dual_pr_ce },
 {  48629, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {  48630, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  48631, ur_m169_u1x12_uart0_dual_hw },
 {  48632, ur_m169_u1x12_uart0_dual_ee_hw },
 {  48633, ur_m169_u1x12_uart0_dual_ce_hw },
 {  48634, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {  48635, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {  48804, ur_m169_u2x8_uart0_noled },
 {  48805, ur_m169_u2x8_uart0_noled },
 {  48806, ur_m169_u2x8_uart0_noled_pr_u4 },
 {  48807, ur_m169_u2x8_uart0_noled_pr_ee },
 {  48808, ur_m169_u2x8_uart0_noled_pr_ee },
 {  48809, ur_m169_u2x8_uart0_noled_pr_ce },
 {  48810, ur_m169_u2x8_uart0_noled_pr_ce },
 {  48811, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {  48812, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  48813, ur_m169_u2x8_uart0_noled_hw },
 {  48814, ur_m169_u2x8_uart0_noled_ee_hw },
 {  48815, ur_m169_u2x8_uart0_noled_ce_hw },
 {  48816, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  48817, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  48818, ur_m169_u2x8_uart0_lednop },
 {  48819, ur_m169_u2x8_uart0_lednop },
 {  48820, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {  48821, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  48822, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  48823, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  48824, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  48825, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {  48826, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  48827, ur_m169_u2x8_uart0_lednop_hw },
 {  48828, ur_m169_u2x8_uart0_lednop_ee_hw },
 {  48829, ur_m169_u2x8_uart0_lednop_ce_hw },
 {  48830, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  48831, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  48832, ur_m169_u2x8_uart0_dual },
 {  48833, ur_m169_u2x8_uart0_dual_pr },
 {  48834, ur_m169_u2x8_uart0_dual_pr },
 {  48835, ur_m169_u2x8_uart0_dual_pr_ee },
 {  48836, ur_m169_u2x8_uart0_dual_pr_ee },
 {  48837, ur_m169_u2x8_uart0_dual_pr_ce },
 {  48838, ur_m169_u2x8_uart0_dual_pr_ce },
 {  48839, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {  48840, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  48841, ur_m169_u2x8_uart0_dual_hw },
 {  48842, ur_m169_u2x8_uart0_dual_ee_hw },
 {  48843, ur_m169_u2x8_uart0_dual_ce_hw },
 {  48844, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {  48845, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {  49014, ur_m169_u2x12_uart0_noled },
 {  49015, ur_m169_u2x12_uart0_noled },
 {  49016, ur_m169_u2x12_uart0_noled_pr_u4 },
 {  49017, ur_m169_u2x12_uart0_noled_pr_ee },
 {  49018, ur_m169_u2x12_uart0_noled_pr_ee },
 {  49019, ur_m169_u2x12_uart0_noled_pr_ce },
 {  49020, ur_m169_u2x12_uart0_noled_pr_ce },
 {  49021, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {  49022, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  49023, ur_m169_u2x12_uart0_noled_hw },
 {  49024, ur_m169_u2x12_uart0_noled_ee_hw },
 {  49025, ur_m169_u2x12_uart0_noled_ce_hw },
 {  49026, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  49027, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  49028, ur_m169_u2x12_uart0_lednop },
 {  49029, ur_m169_u2x12_uart0_lednop },
 {  49030, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {  49031, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  49032, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  49033, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  49034, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  49035, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {  49036, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  49037, ur_m169_u2x12_uart0_lednop_hw },
 {  49038, ur_m169_u2x12_uart0_lednop_ee_hw },
 {  49039, ur_m169_u2x12_uart0_lednop_ce_hw },
 {  49040, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  49041, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  49042, ur_m169_u2x12_uart0_dual },
 {  49043, ur_m169_u2x12_uart0_dual_pr },
 {  49044, ur_m169_u2x12_uart0_dual_pr },
 {  49045, ur_m169_u2x12_uart0_dual_pr_ee },
 {  49046, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {  49047, ur_m169_u2x12_uart0_dual_pr_ce },
 {  49048, ur_m169_u2x12_uart0_dual_pr_ce },
 {  49049, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {  49050, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  49051, ur_m169_u2x12_uart0_dual_hw },
 {  49052, ur_m169_u2x12_uart0_dual_ee_hw },
 {  49053, ur_m169_u2x12_uart0_dual_ce_hw },
 {  49054, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {  49055, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {  49224, ur_m169_swio10_noled },
 {  49225, ur_m169_swio10_noled_pr },
 {  49226, ur_m169_swio10_noled_pr },
 {  49227, ur_m169_swio10_noled_pr_ee },
 {  49228, ur_m169_swio10_noled_pr_ee_u4 },
 {  49229, ur_m169_swio10_noled_pr_ce },
 {  49230, ur_m169_swio10_noled_pr_ce },
 {  49231, ur_m169_swio10_noled_pr_ee_ce },
 {  49232, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {  49233, ur_m169_swio10_noled_hw },
 {  49234, ur_m169_swio10_noled_ee_hw },
 {  49235, ur_m169_swio10_noled_ce_hw },
 {  49236, ur_m169_swio10_noled_ee_ce_hw },
 {  49237, ur_m169_swio10_noled_ee_ce_hw },
 {  49238, ur_m169_swio10_lednop },
 {  49239, ur_m169_swio10_lednop_pr },
 {  49240, ur_m169_swio10_lednop_pr },
 {  49241, ur_m169_swio10_lednop_pr_ee },
 {  49242, ur_m169_swio10_lednop_pr_ee_u4 },
 {  49243, ur_m169_swio10_lednop_pr_ce },
 {  49244, ur_m169_swio10_lednop_pr_ce },
 {  49245, ur_m169_swio10_lednop_pr_ee_ce },
 {  49246, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {  49247, ur_m169_swio10_lednop_hw },
 {  49248, ur_m169_swio10_lednop_ee_hw },
 {  49249, ur_m169_swio10_lednop_ce_hw },
 {  49250, ur_m169_swio10_lednop_ee_ce_hw },
 {  49251, ur_m169_swio10_lednop_ee_ce_hw },
 {  49252, ur_m169_swio10_dual },
 {  49253, ur_m169_swio10_dual },
 {  49254, ur_m169_swio10_dual },
 {  49255, ur_m169_swio10_dual_pr_ee },
 {  49256, ur_m169_swio10_dual_pr_ee_u4 },
 {  49257, ur_m169_swio10_dual_pr_ce },
 {  49258, ur_m169_swio10_dual_pr_ce_u4 },
 {  49259, ur_m169_swio10_dual_pr_ee_ce },
 {  49260, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {  49261, ur_m169_swio10_dual_hw },
 {  49262, ur_m169_swio10_dual_ee_hw },
 {  49263, ur_m169_swio10_dual_ce_hw },
 {  49264, ur_m169_swio10_dual_ee_ce_hw },
 {  49265, ur_m169_swio10_dual_ee_ce_u4_hw },
 {  49266, ur_m169_swio11_noled },
 {  49267, ur_m169_swio11_noled_pr },
 {  49268, ur_m169_swio11_noled_pr },
 {  49269, ur_m169_swio11_noled_pr_ee },
 {  49270, ur_m169_swio11_noled_pr_ee_u4 },
 {  49271, ur_m169_swio11_noled_pr_ce },
 {  49272, ur_m169_swio11_noled_pr_ce },
 {  49273, ur_m169_swio11_noled_pr_ee_ce },
 {  49274, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  49275, ur_m169_swio11_noled_hw },
 {  49276, ur_m169_swio11_noled_ee_hw },
 {  49277, ur_m169_swio11_noled_ce_hw },
 {  49278, ur_m169_swio11_noled_ee_ce_hw },
 {  49279, ur_m169_swio11_noled_ee_ce_hw },
 {  49280, ur_m169_swio11_lednop },
 {  49281, ur_m169_swio11_lednop_pr },
 {  49282, ur_m169_swio11_lednop_pr },
 {  49283, ur_m169_swio11_lednop_pr_ee },
 {  49284, ur_m169_swio11_lednop_pr_ee_u4 },
 {  49285, ur_m169_swio11_lednop_pr_ce },
 {  49286, ur_m169_swio11_lednop_pr_ce },
 {  49287, ur_m169_swio11_lednop_pr_ee_ce },
 {  49288, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  49289, ur_m169_swio11_lednop_hw },
 {  49290, ur_m169_swio11_lednop_ee_hw },
 {  49291, ur_m169_swio11_lednop_ce_hw },
 {  49292, ur_m169_swio11_lednop_ee_ce_hw },
 {  49293, ur_m169_swio11_lednop_ee_ce_hw },
 {  49294, ur_m169_swio11_dual },
 {  49295, ur_m169_swio11_dual },
 {  49296, ur_m169_swio11_dual },
 {  49297, ur_m169_swio11_dual_pr_ee },
 {  49298, ur_m169_swio11_dual_pr_ee_u4 },
 {  49299, ur_m169_swio11_dual_pr_ce },
 {  49300, ur_m169_swio11_dual_pr_ce_u4 },
 {  49301, ur_m169_swio11_dual_pr_ee_ce },
 {  49302, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  49303, ur_m169_swio11_dual_hw },
 {  49304, ur_m169_swio11_dual_ee_hw },
 {  49305, ur_m169_swio11_dual_ce_hw },
 {  49306, ur_m169_swio11_dual_ee_ce_hw },
 {  49307, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  49308, ur_m169_swio11_noled },
 {  49309, ur_m169_swio11_noled_pr },
 {  49310, ur_m169_swio11_noled_pr },
 {  49311, ur_m169_swio11_noled_pr_ee },
 {  49312, ur_m169_swio11_noled_pr_ee_u4 },
 {  49313, ur_m169_swio11_noled_pr_ce },
 {  49314, ur_m169_swio11_noled_pr_ce },
 {  49315, ur_m169_swio11_noled_pr_ee_ce },
 {  49316, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  49317, ur_m169_swio11_noled_hw },
 {  49318, ur_m169_swio11_noled_ee_hw },
 {  49319, ur_m169_swio11_noled_ce_hw },
 {  49320, ur_m169_swio11_noled_ee_ce_hw },
 {  49321, ur_m169_swio11_noled_ee_ce_hw },
 {  49322, ur_m169_swio11_lednop },
 {  49323, ur_m169_swio11_lednop_pr },
 {  49324, ur_m169_swio11_lednop_pr },
 {  49325, ur_m169_swio11_lednop_pr_ee },
 {  49326, ur_m169_swio11_lednop_pr_ee_u4 },
 {  49327, ur_m169_swio11_lednop_pr_ce },
 {  49328, ur_m169_swio11_lednop_pr_ce },
 {  49329, ur_m169_swio11_lednop_pr_ee_ce },
 {  49330, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  49331, ur_m169_swio11_lednop_hw },
 {  49332, ur_m169_swio11_lednop_ee_hw },
 {  49333, ur_m169_swio11_lednop_ce_hw },
 {  49334, ur_m169_swio11_lednop_ee_ce_hw },
 {  49335, ur_m169_swio11_lednop_ee_ce_hw },
 {  49336, ur_m169_swio11_dual },
 {  49337, ur_m169_swio11_dual },
 {  49338, ur_m169_swio11_dual },
 {  49339, ur_m169_swio11_dual_pr_ee },
 {  49340, ur_m169_swio11_dual_pr_ee_u4 },
 {  49341, ur_m169_swio11_dual_pr_ce },
 {  49342, ur_m169_swio11_dual_pr_ce_u4 },
 {  49343, ur_m169_swio11_dual_pr_ee_ce },
 {  49344, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  49345, ur_m169_swio11_dual_hw },
 {  49346, ur_m169_swio11_dual_ee_hw },
 {  49347, ur_m169_swio11_dual_ce_hw },
 {  49348, ur_m169_swio11_dual_ee_ce_hw },
 {  49349, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  49350, ur_m169_swio13_noled },
 {  49351, ur_m169_swio13_noled_pr },
 {  49352, ur_m169_swio13_noled_pr },
 {  49353, ur_m169_swio13_noled_pr_ee },
 {  49354, ur_m169_swio13_noled_pr_ee_u4 },
 {  49355, ur_m169_swio13_noled_pr_ce },
 {  49356, ur_m169_swio13_noled_pr_ce },
 {  49357, ur_m169_swio13_noled_pr_ee_ce },
 {  49358, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {  49359, ur_m169_swio13_noled_hw },
 {  49360, ur_m169_swio13_noled_ee_hw },
 {  49361, ur_m169_swio13_noled_ce_hw },
 {  49362, ur_m169_swio13_noled_ee_ce_hw },
 {  49363, ur_m169_swio13_noled_ee_ce_hw },
 {  49364, ur_m169_swio13_lednop },
 {  49365, ur_m169_swio13_lednop_pr },
 {  49366, ur_m169_swio13_lednop_pr },
 {  49367, ur_m169_swio13_lednop_pr_ee },
 {  49368, ur_m169_swio13_lednop_pr_ee_u4 },
 {  49369, ur_m169_swio13_lednop_pr_ce },
 {  49370, ur_m169_swio13_lednop_pr_ce_u4 },
 {  49371, ur_m169_swio13_lednop_pr_ee_ce },
 {  49372, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {  49373, ur_m169_swio13_lednop_hw },
 {  49374, ur_m169_swio13_lednop_ee_hw },
 {  49375, ur_m169_swio13_lednop_ce_hw },
 {  49376, ur_m169_swio13_lednop_ee_ce_hw },
 {  49377, ur_m169_swio13_lednop_ee_ce_hw },
 {  49378, ur_m169_swio13_dual },
 {  49379, ur_m169_swio13_dual },
 {  49380, ur_m169_swio13_dual },
 {  49381, ur_m169_swio13_dual_pr_ee },
 {  49382, ur_m169_swio13_dual_pr_ee_u4 },
 {  49383, ur_m169_swio13_dual_pr_ce },
 {  49384, ur_m169_swio13_dual_pr_ce_u4 },
 {  49385, ur_m169_swio13_dual_pr_ee_ce },
 {  49386, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {  49387, ur_m169_swio13_dual_hw },
 {  49388, ur_m169_swio13_dual_ee_hw },
 {  49389, ur_m169_swio13_dual_ce_hw },
 {  49390, ur_m169_swio13_dual_ee_ce_hw },
 {  49391, ur_m169_swio13_dual_ee_ce_u4_hw },
 {  49392, ur_m169_swio14_noled },
 {  49393, ur_m169_swio14_noled_pr },
 {  49394, ur_m169_swio14_noled_pr },
 {  49395, ur_m169_swio14_noled_pr_ee },
 {  49396, ur_m169_swio14_noled_pr_ee_u4 },
 {  49397, ur_m169_swio14_noled_pr_ce },
 {  49398, ur_m169_swio14_noled_pr_ce },
 {  49399, ur_m169_swio14_noled_pr_ee_ce },
 {  49400, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {  49401, ur_m169_swio14_noled_hw },
 {  49402, ur_m169_swio14_noled_ee_hw },
 {  49403, ur_m169_swio14_noled_ce_hw },
 {  49404, ur_m169_swio14_noled_ee_ce_hw },
 {  49405, ur_m169_swio14_noled_ee_ce_hw },
 {  49406, ur_m169_swio14_lednop },
 {  49407, ur_m169_swio14_lednop_pr },
 {  49408, ur_m169_swio14_lednop_pr },
 {  49409, ur_m169_swio14_lednop_pr_ee },
 {  49410, ur_m169_swio14_lednop_pr_ee_u4 },
 {  49411, ur_m169_swio14_lednop_pr_ce },
 {  49412, ur_m169_swio14_lednop_pr_ce },
 {  49413, ur_m169_swio14_lednop_pr_ee_ce },
 {  49414, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {  49415, ur_m169_swio14_lednop_hw },
 {  49416, ur_m169_swio14_lednop_ee_hw },
 {  49417, ur_m169_swio14_lednop_ce_hw },
 {  49418, ur_m169_swio14_lednop_ee_ce_hw },
 {  49419, ur_m169_swio14_lednop_ee_ce_hw },
 {  49420, ur_m169_swio14_dual },
 {  49421, ur_m169_swio14_dual },
 {  49422, ur_m169_swio14_dual },
 {  49423, ur_m169_swio14_dual_pr_ee },
 {  49424, ur_m169_swio14_dual_pr_ee_u4 },
 {  49425, ur_m169_swio14_dual_pr_ce },
 {  49426, ur_m169_swio14_dual_pr_ce_u4 },
 {  49427, ur_m169_swio14_dual_pr_ee_ce },
 {  49428, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {  49429, ur_m169_swio14_dual_hw },
 {  49430, ur_m169_swio14_dual_ee_hw },
 {  49431, ur_m169_swio14_dual_ce_hw },
 {  49432, ur_m169_swio14_dual_ee_ce_hw },
 {  49433, ur_m169_swio14_dual_ee_ce_u4_hw },
 {  49434, ur_m169_swio15_noled },
 {  49435, ur_m169_swio15_noled_pr },
 {  49436, ur_m169_swio15_noled_pr },
 {  49437, ur_m169_swio15_noled_pr_ee },
 {  49438, ur_m169_swio15_noled_pr_ee_u4 },
 {  49439, ur_m169_swio15_noled_pr_ce },
 {  49440, ur_m169_swio15_noled_pr_ce },
 {  49441, ur_m169_swio15_noled_pr_ee_ce },
 {  49442, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {  49443, ur_m169_swio15_noled_hw },
 {  49444, ur_m169_swio15_noled_ee_hw },
 {  49445, ur_m169_swio15_noled_ce_hw },
 {  49446, ur_m169_swio15_noled_ee_ce_hw },
 {  49447, ur_m169_swio15_noled_ee_ce_hw },
 {  49448, ur_m169_swio15_lednop },
 {  49449, ur_m169_swio15_lednop_pr },
 {  49450, ur_m169_swio15_lednop_pr },
 {  49451, ur_m169_swio15_lednop_pr_ee },
 {  49452, ur_m169_swio15_lednop_pr_ee_u4 },
 {  49453, ur_m169_swio15_lednop_pr_ce },
 {  49454, ur_m169_swio15_lednop_pr_ce_u4 },
 {  49455, ur_m169_swio15_lednop_pr_ee_ce },
 {  49456, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {  49457, ur_m169_swio15_lednop_hw },
 {  49458, ur_m169_swio15_lednop_ee_hw },
 {  49459, ur_m169_swio15_lednop_ce_hw },
 {  49460, ur_m169_swio15_lednop_ee_ce_hw },
 {  49461, ur_m169_swio15_lednop_ee_ce_hw },
 {  49462, ur_m169_swio15_dual },
 {  49463, ur_m169_swio15_dual },
 {  49464, ur_m169_swio15_dual },
 {  49465, ur_m169_swio15_dual_pr_ee },
 {  49466, ur_m169_swio15_dual_pr_ee_u4 },
 {  49467, ur_m169_swio15_dual_pr_ce },
 {  49468, ur_m169_swio15_dual_pr_ce_u4 },
 {  49469, ur_m169_swio15_dual_pr_ee_ce },
 {  49470, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {  49471, ur_m169_swio15_dual_hw },
 {  49472, ur_m169_swio15_dual_ee_hw },
 {  49473, ur_m169_swio15_dual_ce_hw },
 {  49474, ur_m169_swio15_dual_ee_ce_hw },
 {  49475, ur_m169_swio15_dual_ee_ce_u4_hw },
 {  49476, ur_m169_autobaud_uart0_noled },
 {  49477, ur_m169_autobaud_uart0_noled },
 {  49478, ur_m169_autobaud_uart0_noled_pr_u4 },
 {  49479, ur_m169_autobaud_uart0_noled_pr_ee },
 {  49480, ur_m169_autobaud_uart0_noled_pr_ee },
 {  49481, ur_m169_autobaud_uart0_noled_pr_ce },
 {  49482, ur_m169_autobaud_uart0_noled_pr_ce },
 {  49483, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {  49484, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  49485, ur_m169_autobaud_uart0_noled_hw },
 {  49486, ur_m169_autobaud_uart0_noled_ee_hw },
 {  49487, ur_m169_autobaud_uart0_noled_ce_hw },
 {  49488, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  49489, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  49490, ur_m169_autobaud_uart0_lednop },
 {  49491, ur_m169_autobaud_uart0_lednop_pr },
 {  49492, ur_m169_autobaud_uart0_lednop_pr },
 {  49493, ur_m169_autobaud_uart0_lednop_pr_ee },
 {  49494, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {  49495, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  49496, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  49497, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {  49498, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  49499, ur_m169_autobaud_uart0_lednop_hw },
 {  49500, ur_m169_autobaud_uart0_lednop_ee_hw },
 {  49501, ur_m169_autobaud_uart0_lednop_ce_hw },
 {  49502, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  49503, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  49504, ur_m169_autobaud_uart0_dual },
 {  49505, ur_m169_autobaud_uart0_dual },
 {  49506, ur_m169_autobaud_uart0_dual },
 {  49507, ur_m169_autobaud_uart0_dual_pr_ee },
 {  49508, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {  49509, ur_m169_autobaud_uart0_dual_pr_ce },
 {  49510, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {  49511, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {  49512, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  49513, ur_m169_autobaud_uart0_dual_hw },
 {  49514, ur_m169_autobaud_uart0_dual_ee_hw },
 {  49515, ur_m169_autobaud_uart0_dual_ce_hw },
 {  49516, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {  49517, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {  49686, ur_m169_u1x8_uart0_noled },
 {  49687, ur_m169_u1x8_uart0_noled },
 {  49688, ur_m169_u1x8_uart0_noled_pr_u4 },
 {  49689, ur_m169_u1x8_uart0_noled_pr_ee },
 {  49690, ur_m169_u1x8_uart0_noled_pr_ee },
 {  49691, ur_m169_u1x8_uart0_noled_pr_ce },
 {  49692, ur_m169_u1x8_uart0_noled_pr_ce },
 {  49693, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {  49694, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  49695, ur_m169_u1x8_uart0_noled_hw },
 {  49696, ur_m169_u1x8_uart0_noled_ee_hw },
 {  49697, ur_m169_u1x8_uart0_noled_ce_hw },
 {  49698, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  49699, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  49700, ur_m169_u1x8_uart0_lednop },
 {  49701, ur_m169_u1x8_uart0_lednop },
 {  49702, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {  49703, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  49704, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  49705, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  49706, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  49707, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {  49708, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  49709, ur_m169_u1x8_uart0_lednop_hw },
 {  49710, ur_m169_u1x8_uart0_lednop_ee_hw },
 {  49711, ur_m169_u1x8_uart0_lednop_ce_hw },
 {  49712, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  49713, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  49714, ur_m169_u1x8_uart0_dual },
 {  49715, ur_m169_u1x8_uart0_dual_pr },
 {  49716, ur_m169_u1x8_uart0_dual_pr },
 {  49717, ur_m169_u1x8_uart0_dual_pr_ee },
 {  49718, ur_m169_u1x8_uart0_dual_pr_ee },
 {  49719, ur_m169_u1x8_uart0_dual_pr_ce },
 {  49720, ur_m169_u1x8_uart0_dual_pr_ce },
 {  49721, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {  49722, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  49723, ur_m169_u1x8_uart0_dual_hw },
 {  49724, ur_m169_u1x8_uart0_dual_ee_hw },
 {  49725, ur_m169_u1x8_uart0_dual_ce_hw },
 {  49726, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {  49727, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {  49896, ur_m169_u1x12_uart0_noled },
 {  49897, ur_m169_u1x12_uart0_noled },
 {  49898, ur_m169_u1x12_uart0_noled_pr_u4 },
 {  49899, ur_m169_u1x12_uart0_noled_pr_ee },
 {  49900, ur_m169_u1x12_uart0_noled_pr_ee },
 {  49901, ur_m169_u1x12_uart0_noled_pr_ce },
 {  49902, ur_m169_u1x12_uart0_noled_pr_ce },
 {  49903, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {  49904, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  49905, ur_m169_u1x12_uart0_noled_hw },
 {  49906, ur_m169_u1x12_uart0_noled_ee_hw },
 {  49907, ur_m169_u1x12_uart0_noled_ce_hw },
 {  49908, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  49909, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  49910, ur_m169_u1x12_uart0_lednop },
 {  49911, ur_m169_u1x12_uart0_lednop },
 {  49912, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {  49913, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  49914, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  49915, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  49916, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  49917, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {  49918, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  49919, ur_m169_u1x12_uart0_lednop_hw },
 {  49920, ur_m169_u1x12_uart0_lednop_ee_hw },
 {  49921, ur_m169_u1x12_uart0_lednop_ce_hw },
 {  49922, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  49923, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  49924, ur_m169_u1x12_uart0_dual },
 {  49925, ur_m169_u1x12_uart0_dual_pr },
 {  49926, ur_m169_u1x12_uart0_dual_pr },
 {  49927, ur_m169_u1x12_uart0_dual_pr_ee },
 {  49928, ur_m169_u1x12_uart0_dual_pr_ee },
 {  49929, ur_m169_u1x12_uart0_dual_pr_ce },
 {  49930, ur_m169_u1x12_uart0_dual_pr_ce },
 {  49931, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {  49932, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  49933, ur_m169_u1x12_uart0_dual_hw },
 {  49934, ur_m169_u1x12_uart0_dual_ee_hw },
 {  49935, ur_m169_u1x12_uart0_dual_ce_hw },
 {  49936, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {  49937, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {  50106, ur_m169_u2x8_uart0_noled },
 {  50107, ur_m169_u2x8_uart0_noled },
 {  50108, ur_m169_u2x8_uart0_noled_pr_u4 },
 {  50109, ur_m169_u2x8_uart0_noled_pr_ee },
 {  50110, ur_m169_u2x8_uart0_noled_pr_ee },
 {  50111, ur_m169_u2x8_uart0_noled_pr_ce },
 {  50112, ur_m169_u2x8_uart0_noled_pr_ce },
 {  50113, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {  50114, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  50115, ur_m169_u2x8_uart0_noled_hw },
 {  50116, ur_m169_u2x8_uart0_noled_ee_hw },
 {  50117, ur_m169_u2x8_uart0_noled_ce_hw },
 {  50118, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  50119, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  50120, ur_m169_u2x8_uart0_lednop },
 {  50121, ur_m169_u2x8_uart0_lednop },
 {  50122, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {  50123, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  50124, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  50125, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  50126, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  50127, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {  50128, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  50129, ur_m169_u2x8_uart0_lednop_hw },
 {  50130, ur_m169_u2x8_uart0_lednop_ee_hw },
 {  50131, ur_m169_u2x8_uart0_lednop_ce_hw },
 {  50132, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  50133, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  50134, ur_m169_u2x8_uart0_dual },
 {  50135, ur_m169_u2x8_uart0_dual_pr },
 {  50136, ur_m169_u2x8_uart0_dual_pr },
 {  50137, ur_m169_u2x8_uart0_dual_pr_ee },
 {  50138, ur_m169_u2x8_uart0_dual_pr_ee },
 {  50139, ur_m169_u2x8_uart0_dual_pr_ce },
 {  50140, ur_m169_u2x8_uart0_dual_pr_ce },
 {  50141, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {  50142, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  50143, ur_m169_u2x8_uart0_dual_hw },
 {  50144, ur_m169_u2x8_uart0_dual_ee_hw },
 {  50145, ur_m169_u2x8_uart0_dual_ce_hw },
 {  50146, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {  50147, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {  50316, ur_m169_u2x12_uart0_noled },
 {  50317, ur_m169_u2x12_uart0_noled },
 {  50318, ur_m169_u2x12_uart0_noled_pr_u4 },
 {  50319, ur_m169_u2x12_uart0_noled_pr_ee },
 {  50320, ur_m169_u2x12_uart0_noled_pr_ee },
 {  50321, ur_m169_u2x12_uart0_noled_pr_ce },
 {  50322, ur_m169_u2x12_uart0_noled_pr_ce },
 {  50323, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {  50324, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  50325, ur_m169_u2x12_uart0_noled_hw },
 {  50326, ur_m169_u2x12_uart0_noled_ee_hw },
 {  50327, ur_m169_u2x12_uart0_noled_ce_hw },
 {  50328, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  50329, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  50330, ur_m169_u2x12_uart0_lednop },
 {  50331, ur_m169_u2x12_uart0_lednop },
 {  50332, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {  50333, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  50334, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  50335, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  50336, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  50337, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {  50338, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  50339, ur_m169_u2x12_uart0_lednop_hw },
 {  50340, ur_m169_u2x12_uart0_lednop_ee_hw },
 {  50341, ur_m169_u2x12_uart0_lednop_ce_hw },
 {  50342, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  50343, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  50344, ur_m169_u2x12_uart0_dual },
 {  50345, ur_m169_u2x12_uart0_dual_pr },
 {  50346, ur_m169_u2x12_uart0_dual_pr },
 {  50347, ur_m169_u2x12_uart0_dual_pr_ee },
 {  50348, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {  50349, ur_m169_u2x12_uart0_dual_pr_ce },
 {  50350, ur_m169_u2x12_uart0_dual_pr_ce },
 {  50351, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {  50352, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  50353, ur_m169_u2x12_uart0_dual_hw },
 {  50354, ur_m169_u2x12_uart0_dual_ee_hw },
 {  50355, ur_m169_u2x12_uart0_dual_ce_hw },
 {  50356, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {  50357, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {  50526, ur_m169_swio10_noled },
 {  50527, ur_m169_swio10_noled_pr },
 {  50528, ur_m169_swio10_noled_pr },
 {  50529, ur_m169_swio10_noled_pr_ee },
 {  50530, ur_m169_swio10_noled_pr_ee_u4 },
 {  50531, ur_m169_swio10_noled_pr_ce },
 {  50532, ur_m169_swio10_noled_pr_ce },
 {  50533, ur_m169_swio10_noled_pr_ee_ce },
 {  50534, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {  50535, ur_m169_swio10_noled_hw },
 {  50536, ur_m169_swio10_noled_ee_hw },
 {  50537, ur_m169_swio10_noled_ce_hw },
 {  50538, ur_m169_swio10_noled_ee_ce_hw },
 {  50539, ur_m169_swio10_noled_ee_ce_hw },
 {  50540, ur_m169_swio10_lednop },
 {  50541, ur_m169_swio10_lednop_pr },
 {  50542, ur_m169_swio10_lednop_pr },
 {  50543, ur_m169_swio10_lednop_pr_ee },
 {  50544, ur_m169_swio10_lednop_pr_ee_u4 },
 {  50545, ur_m169_swio10_lednop_pr_ce },
 {  50546, ur_m169_swio10_lednop_pr_ce },
 {  50547, ur_m169_swio10_lednop_pr_ee_ce },
 {  50548, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {  50549, ur_m169_swio10_lednop_hw },
 {  50550, ur_m169_swio10_lednop_ee_hw },
 {  50551, ur_m169_swio10_lednop_ce_hw },
 {  50552, ur_m169_swio10_lednop_ee_ce_hw },
 {  50553, ur_m169_swio10_lednop_ee_ce_hw },
 {  50554, ur_m169_swio10_dual },
 {  50555, ur_m169_swio10_dual },
 {  50556, ur_m169_swio10_dual },
 {  50557, ur_m169_swio10_dual_pr_ee },
 {  50558, ur_m169_swio10_dual_pr_ee_u4 },
 {  50559, ur_m169_swio10_dual_pr_ce },
 {  50560, ur_m169_swio10_dual_pr_ce_u4 },
 {  50561, ur_m169_swio10_dual_pr_ee_ce },
 {  50562, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {  50563, ur_m169_swio10_dual_hw },
 {  50564, ur_m169_swio10_dual_ee_hw },
 {  50565, ur_m169_swio10_dual_ce_hw },
 {  50566, ur_m169_swio10_dual_ee_ce_hw },
 {  50567, ur_m169_swio10_dual_ee_ce_u4_hw },
 {  50568, ur_m169_swio11_noled },
 {  50569, ur_m169_swio11_noled_pr },
 {  50570, ur_m169_swio11_noled_pr },
 {  50571, ur_m169_swio11_noled_pr_ee },
 {  50572, ur_m169_swio11_noled_pr_ee_u4 },
 {  50573, ur_m169_swio11_noled_pr_ce },
 {  50574, ur_m169_swio11_noled_pr_ce },
 {  50575, ur_m169_swio11_noled_pr_ee_ce },
 {  50576, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  50577, ur_m169_swio11_noled_hw },
 {  50578, ur_m169_swio11_noled_ee_hw },
 {  50579, ur_m169_swio11_noled_ce_hw },
 {  50580, ur_m169_swio11_noled_ee_ce_hw },
 {  50581, ur_m169_swio11_noled_ee_ce_hw },
 {  50582, ur_m169_swio11_lednop },
 {  50583, ur_m169_swio11_lednop_pr },
 {  50584, ur_m169_swio11_lednop_pr },
 {  50585, ur_m169_swio11_lednop_pr_ee },
 {  50586, ur_m169_swio11_lednop_pr_ee_u4 },
 {  50587, ur_m169_swio11_lednop_pr_ce },
 {  50588, ur_m169_swio11_lednop_pr_ce },
 {  50589, ur_m169_swio11_lednop_pr_ee_ce },
 {  50590, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  50591, ur_m169_swio11_lednop_hw },
 {  50592, ur_m169_swio11_lednop_ee_hw },
 {  50593, ur_m169_swio11_lednop_ce_hw },
 {  50594, ur_m169_swio11_lednop_ee_ce_hw },
 {  50595, ur_m169_swio11_lednop_ee_ce_hw },
 {  50596, ur_m169_swio11_dual },
 {  50597, ur_m169_swio11_dual },
 {  50598, ur_m169_swio11_dual },
 {  50599, ur_m169_swio11_dual_pr_ee },
 {  50600, ur_m169_swio11_dual_pr_ee_u4 },
 {  50601, ur_m169_swio11_dual_pr_ce },
 {  50602, ur_m169_swio11_dual_pr_ce_u4 },
 {  50603, ur_m169_swio11_dual_pr_ee_ce },
 {  50604, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  50605, ur_m169_swio11_dual_hw },
 {  50606, ur_m169_swio11_dual_ee_hw },
 {  50607, ur_m169_swio11_dual_ce_hw },
 {  50608, ur_m169_swio11_dual_ee_ce_hw },
 {  50609, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  50610, ur_m169_swio11_noled },
 {  50611, ur_m169_swio11_noled_pr },
 {  50612, ur_m169_swio11_noled_pr },
 {  50613, ur_m169_swio11_noled_pr_ee },
 {  50614, ur_m169_swio11_noled_pr_ee_u4 },
 {  50615, ur_m169_swio11_noled_pr_ce },
 {  50616, ur_m169_swio11_noled_pr_ce },
 {  50617, ur_m169_swio11_noled_pr_ee_ce },
 {  50618, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  50619, ur_m169_swio11_noled_hw },
 {  50620, ur_m169_swio11_noled_ee_hw },
 {  50621, ur_m169_swio11_noled_ce_hw },
 {  50622, ur_m169_swio11_noled_ee_ce_hw },
 {  50623, ur_m169_swio11_noled_ee_ce_hw },
 {  50624, ur_m169_swio11_lednop },
 {  50625, ur_m169_swio11_lednop_pr },
 {  50626, ur_m169_swio11_lednop_pr },
 {  50627, ur_m169_swio11_lednop_pr_ee },
 {  50628, ur_m169_swio11_lednop_pr_ee_u4 },
 {  50629, ur_m169_swio11_lednop_pr_ce },
 {  50630, ur_m169_swio11_lednop_pr_ce },
 {  50631, ur_m169_swio11_lednop_pr_ee_ce },
 {  50632, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  50633, ur_m169_swio11_lednop_hw },
 {  50634, ur_m169_swio11_lednop_ee_hw },
 {  50635, ur_m169_swio11_lednop_ce_hw },
 {  50636, ur_m169_swio11_lednop_ee_ce_hw },
 {  50637, ur_m169_swio11_lednop_ee_ce_hw },
 {  50638, ur_m169_swio11_dual },
 {  50639, ur_m169_swio11_dual },
 {  50640, ur_m169_swio11_dual },
 {  50641, ur_m169_swio11_dual_pr_ee },
 {  50642, ur_m169_swio11_dual_pr_ee_u4 },
 {  50643, ur_m169_swio11_dual_pr_ce },
 {  50644, ur_m169_swio11_dual_pr_ce_u4 },
 {  50645, ur_m169_swio11_dual_pr_ee_ce },
 {  50646, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  50647, ur_m169_swio11_dual_hw },
 {  50648, ur_m169_swio11_dual_ee_hw },
 {  50649, ur_m169_swio11_dual_ce_hw },
 {  50650, ur_m169_swio11_dual_ee_ce_hw },
 {  50651, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  50652, ur_m169_swio13_noled },
 {  50653, ur_m169_swio13_noled_pr },
 {  50654, ur_m169_swio13_noled_pr },
 {  50655, ur_m169_swio13_noled_pr_ee },
 {  50656, ur_m169_swio13_noled_pr_ee_u4 },
 {  50657, ur_m169_swio13_noled_pr_ce },
 {  50658, ur_m169_swio13_noled_pr_ce },
 {  50659, ur_m169_swio13_noled_pr_ee_ce },
 {  50660, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {  50661, ur_m169_swio13_noled_hw },
 {  50662, ur_m169_swio13_noled_ee_hw },
 {  50663, ur_m169_swio13_noled_ce_hw },
 {  50664, ur_m169_swio13_noled_ee_ce_hw },
 {  50665, ur_m169_swio13_noled_ee_ce_hw },
 {  50666, ur_m169_swio13_lednop },
 {  50667, ur_m169_swio13_lednop_pr },
 {  50668, ur_m169_swio13_lednop_pr },
 {  50669, ur_m169_swio13_lednop_pr_ee },
 {  50670, ur_m169_swio13_lednop_pr_ee_u4 },
 {  50671, ur_m169_swio13_lednop_pr_ce },
 {  50672, ur_m169_swio13_lednop_pr_ce_u4 },
 {  50673, ur_m169_swio13_lednop_pr_ee_ce },
 {  50674, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {  50675, ur_m169_swio13_lednop_hw },
 {  50676, ur_m169_swio13_lednop_ee_hw },
 {  50677, ur_m169_swio13_lednop_ce_hw },
 {  50678, ur_m169_swio13_lednop_ee_ce_hw },
 {  50679, ur_m169_swio13_lednop_ee_ce_hw },
 {  50680, ur_m169_swio13_dual },
 {  50681, ur_m169_swio13_dual },
 {  50682, ur_m169_swio13_dual },
 {  50683, ur_m169_swio13_dual_pr_ee },
 {  50684, ur_m169_swio13_dual_pr_ee_u4 },
 {  50685, ur_m169_swio13_dual_pr_ce },
 {  50686, ur_m169_swio13_dual_pr_ce_u4 },
 {  50687, ur_m169_swio13_dual_pr_ee_ce },
 {  50688, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {  50689, ur_m169_swio13_dual_hw },
 {  50690, ur_m169_swio13_dual_ee_hw },
 {  50691, ur_m169_swio13_dual_ce_hw },
 {  50692, ur_m169_swio13_dual_ee_ce_hw },
 {  50693, ur_m169_swio13_dual_ee_ce_u4_hw },
 {  50694, ur_m169_swio14_noled },
 {  50695, ur_m169_swio14_noled_pr },
 {  50696, ur_m169_swio14_noled_pr },
 {  50697, ur_m169_swio14_noled_pr_ee },
 {  50698, ur_m169_swio14_noled_pr_ee_u4 },
 {  50699, ur_m169_swio14_noled_pr_ce },
 {  50700, ur_m169_swio14_noled_pr_ce },
 {  50701, ur_m169_swio14_noled_pr_ee_ce },
 {  50702, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {  50703, ur_m169_swio14_noled_hw },
 {  50704, ur_m169_swio14_noled_ee_hw },
 {  50705, ur_m169_swio14_noled_ce_hw },
 {  50706, ur_m169_swio14_noled_ee_ce_hw },
 {  50707, ur_m169_swio14_noled_ee_ce_hw },
 {  50708, ur_m169_swio14_lednop },
 {  50709, ur_m169_swio14_lednop_pr },
 {  50710, ur_m169_swio14_lednop_pr },
 {  50711, ur_m169_swio14_lednop_pr_ee },
 {  50712, ur_m169_swio14_lednop_pr_ee_u4 },
 {  50713, ur_m169_swio14_lednop_pr_ce },
 {  50714, ur_m169_swio14_lednop_pr_ce },
 {  50715, ur_m169_swio14_lednop_pr_ee_ce },
 {  50716, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {  50717, ur_m169_swio14_lednop_hw },
 {  50718, ur_m169_swio14_lednop_ee_hw },
 {  50719, ur_m169_swio14_lednop_ce_hw },
 {  50720, ur_m169_swio14_lednop_ee_ce_hw },
 {  50721, ur_m169_swio14_lednop_ee_ce_hw },
 {  50722, ur_m169_swio14_dual },
 {  50723, ur_m169_swio14_dual },
 {  50724, ur_m169_swio14_dual },
 {  50725, ur_m169_swio14_dual_pr_ee },
 {  50726, ur_m169_swio14_dual_pr_ee_u4 },
 {  50727, ur_m169_swio14_dual_pr_ce },
 {  50728, ur_m169_swio14_dual_pr_ce_u4 },
 {  50729, ur_m169_swio14_dual_pr_ee_ce },
 {  50730, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {  50731, ur_m169_swio14_dual_hw },
 {  50732, ur_m169_swio14_dual_ee_hw },
 {  50733, ur_m169_swio14_dual_ce_hw },
 {  50734, ur_m169_swio14_dual_ee_ce_hw },
 {  50735, ur_m169_swio14_dual_ee_ce_u4_hw },
 {  50736, ur_m169_swio15_noled },
 {  50737, ur_m169_swio15_noled_pr },
 {  50738, ur_m169_swio15_noled_pr },
 {  50739, ur_m169_swio15_noled_pr_ee },
 {  50740, ur_m169_swio15_noled_pr_ee_u4 },
 {  50741, ur_m169_swio15_noled_pr_ce },
 {  50742, ur_m169_swio15_noled_pr_ce },
 {  50743, ur_m169_swio15_noled_pr_ee_ce },
 {  50744, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {  50745, ur_m169_swio15_noled_hw },
 {  50746, ur_m169_swio15_noled_ee_hw },
 {  50747, ur_m169_swio15_noled_ce_hw },
 {  50748, ur_m169_swio15_noled_ee_ce_hw },
 {  50749, ur_m169_swio15_noled_ee_ce_hw },
 {  50750, ur_m169_swio15_lednop },
 {  50751, ur_m169_swio15_lednop_pr },
 {  50752, ur_m169_swio15_lednop_pr },
 {  50753, ur_m169_swio15_lednop_pr_ee },
 {  50754, ur_m169_swio15_lednop_pr_ee_u4 },
 {  50755, ur_m169_swio15_lednop_pr_ce },
 {  50756, ur_m169_swio15_lednop_pr_ce_u4 },
 {  50757, ur_m169_swio15_lednop_pr_ee_ce },
 {  50758, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {  50759, ur_m169_swio15_lednop_hw },
 {  50760, ur_m169_swio15_lednop_ee_hw },
 {  50761, ur_m169_swio15_lednop_ce_hw },
 {  50762, ur_m169_swio15_lednop_ee_ce_hw },
 {  50763, ur_m169_swio15_lednop_ee_ce_hw },
 {  50764, ur_m169_swio15_dual },
 {  50765, ur_m169_swio15_dual },
 {  50766, ur_m169_swio15_dual },
 {  50767, ur_m169_swio15_dual_pr_ee },
 {  50768, ur_m169_swio15_dual_pr_ee_u4 },
 {  50769, ur_m169_swio15_dual_pr_ce },
 {  50770, ur_m169_swio15_dual_pr_ce_u4 },
 {  50771, ur_m169_swio15_dual_pr_ee_ce },
 {  50772, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {  50773, ur_m169_swio15_dual_hw },
 {  50774, ur_m169_swio15_dual_ee_hw },
 {  50775, ur_m169_swio15_dual_ce_hw },
 {  50776, ur_m169_swio15_dual_ee_ce_hw },
 {  50777, ur_m169_swio15_dual_ee_ce_u4_hw },
 {  50778, ur_m169_autobaud_uart0_noled },
 {  50779, ur_m169_autobaud_uart0_noled },
 {  50780, ur_m169_autobaud_uart0_noled_pr_u4 },
 {  50781, ur_m169_autobaud_uart0_noled_pr_ee },
 {  50782, ur_m169_autobaud_uart0_noled_pr_ee },
 {  50783, ur_m169_autobaud_uart0_noled_pr_ce },
 {  50784, ur_m169_autobaud_uart0_noled_pr_ce },
 {  50785, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {  50786, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  50787, ur_m169_autobaud_uart0_noled_hw },
 {  50788, ur_m169_autobaud_uart0_noled_ee_hw },
 {  50789, ur_m169_autobaud_uart0_noled_ce_hw },
 {  50790, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  50791, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  50792, ur_m169_autobaud_uart0_lednop },
 {  50793, ur_m169_autobaud_uart0_lednop_pr },
 {  50794, ur_m169_autobaud_uart0_lednop_pr },
 {  50795, ur_m169_autobaud_uart0_lednop_pr_ee },
 {  50796, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {  50797, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  50798, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  50799, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {  50800, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  50801, ur_m169_autobaud_uart0_lednop_hw },
 {  50802, ur_m169_autobaud_uart0_lednop_ee_hw },
 {  50803, ur_m169_autobaud_uart0_lednop_ce_hw },
 {  50804, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  50805, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  50806, ur_m169_autobaud_uart0_dual },
 {  50807, ur_m169_autobaud_uart0_dual },
 {  50808, ur_m169_autobaud_uart0_dual },
 {  50809, ur_m169_autobaud_uart0_dual_pr_ee },
 {  50810, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {  50811, ur_m169_autobaud_uart0_dual_pr_ce },
 {  50812, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {  50813, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {  50814, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  50815, ur_m169_autobaud_uart0_dual_hw },
 {  50816, ur_m169_autobaud_uart0_dual_ee_hw },
 {  50817, ur_m169_autobaud_uart0_dual_ce_hw },
 {  50818, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {  50819, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {  50988, ur_m169_u1x8_uart0_noled },
 {  50989, ur_m169_u1x8_uart0_noled },
 {  50990, ur_m169_u1x8_uart0_noled_pr_u4 },
 {  50991, ur_m169_u1x8_uart0_noled_pr_ee },
 {  50992, ur_m169_u1x8_uart0_noled_pr_ee },
 {  50993, ur_m169_u1x8_uart0_noled_pr_ce },
 {  50994, ur_m169_u1x8_uart0_noled_pr_ce },
 {  50995, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {  50996, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  50997, ur_m169_u1x8_uart0_noled_hw },
 {  50998, ur_m169_u1x8_uart0_noled_ee_hw },
 {  50999, ur_m169_u1x8_uart0_noled_ce_hw },
 {  51000, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  51001, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  51002, ur_m169_u1x8_uart0_lednop },
 {  51003, ur_m169_u1x8_uart0_lednop },
 {  51004, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {  51005, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  51006, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  51007, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  51008, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  51009, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {  51010, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  51011, ur_m169_u1x8_uart0_lednop_hw },
 {  51012, ur_m169_u1x8_uart0_lednop_ee_hw },
 {  51013, ur_m169_u1x8_uart0_lednop_ce_hw },
 {  51014, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  51015, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  51016, ur_m169_u1x8_uart0_dual },
 {  51017, ur_m169_u1x8_uart0_dual_pr },
 {  51018, ur_m169_u1x8_uart0_dual_pr },
 {  51019, ur_m169_u1x8_uart0_dual_pr_ee },
 {  51020, ur_m169_u1x8_uart0_dual_pr_ee },
 {  51021, ur_m169_u1x8_uart0_dual_pr_ce },
 {  51022, ur_m169_u1x8_uart0_dual_pr_ce },
 {  51023, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {  51024, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  51025, ur_m169_u1x8_uart0_dual_hw },
 {  51026, ur_m169_u1x8_uart0_dual_ee_hw },
 {  51027, ur_m169_u1x8_uart0_dual_ce_hw },
 {  51028, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {  51029, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {  51198, ur_m169_u1x12_uart0_noled },
 {  51199, ur_m169_u1x12_uart0_noled },
 {  51200, ur_m169_u1x12_uart0_noled_pr_u4 },
 {  51201, ur_m169_u1x12_uart0_noled_pr_ee },
 {  51202, ur_m169_u1x12_uart0_noled_pr_ee },
 {  51203, ur_m169_u1x12_uart0_noled_pr_ce },
 {  51204, ur_m169_u1x12_uart0_noled_pr_ce },
 {  51205, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {  51206, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  51207, ur_m169_u1x12_uart0_noled_hw },
 {  51208, ur_m169_u1x12_uart0_noled_ee_hw },
 {  51209, ur_m169_u1x12_uart0_noled_ce_hw },
 {  51210, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  51211, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  51212, ur_m169_u1x12_uart0_lednop },
 {  51213, ur_m169_u1x12_uart0_lednop },
 {  51214, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {  51215, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  51216, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  51217, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  51218, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  51219, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {  51220, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  51221, ur_m169_u1x12_uart0_lednop_hw },
 {  51222, ur_m169_u1x12_uart0_lednop_ee_hw },
 {  51223, ur_m169_u1x12_uart0_lednop_ce_hw },
 {  51224, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  51225, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  51226, ur_m169_u1x12_uart0_dual },
 {  51227, ur_m169_u1x12_uart0_dual_pr },
 {  51228, ur_m169_u1x12_uart0_dual_pr },
 {  51229, ur_m169_u1x12_uart0_dual_pr_ee },
 {  51230, ur_m169_u1x12_uart0_dual_pr_ee },
 {  51231, ur_m169_u1x12_uart0_dual_pr_ce },
 {  51232, ur_m169_u1x12_uart0_dual_pr_ce },
 {  51233, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {  51234, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  51235, ur_m169_u1x12_uart0_dual_hw },
 {  51236, ur_m169_u1x12_uart0_dual_ee_hw },
 {  51237, ur_m169_u1x12_uart0_dual_ce_hw },
 {  51238, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {  51239, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {  51408, ur_m169_u2x8_uart0_noled },
 {  51409, ur_m169_u2x8_uart0_noled },
 {  51410, ur_m169_u2x8_uart0_noled_pr_u4 },
 {  51411, ur_m169_u2x8_uart0_noled_pr_ee },
 {  51412, ur_m169_u2x8_uart0_noled_pr_ee },
 {  51413, ur_m169_u2x8_uart0_noled_pr_ce },
 {  51414, ur_m169_u2x8_uart0_noled_pr_ce },
 {  51415, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {  51416, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  51417, ur_m169_u2x8_uart0_noled_hw },
 {  51418, ur_m169_u2x8_uart0_noled_ee_hw },
 {  51419, ur_m169_u2x8_uart0_noled_ce_hw },
 {  51420, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  51421, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  51422, ur_m169_u2x8_uart0_lednop },
 {  51423, ur_m169_u2x8_uart0_lednop },
 {  51424, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {  51425, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  51426, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  51427, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  51428, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  51429, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {  51430, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  51431, ur_m169_u2x8_uart0_lednop_hw },
 {  51432, ur_m169_u2x8_uart0_lednop_ee_hw },
 {  51433, ur_m169_u2x8_uart0_lednop_ce_hw },
 {  51434, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  51435, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  51436, ur_m169_u2x8_uart0_dual },
 {  51437, ur_m169_u2x8_uart0_dual_pr },
 {  51438, ur_m169_u2x8_uart0_dual_pr },
 {  51439, ur_m169_u2x8_uart0_dual_pr_ee },
 {  51440, ur_m169_u2x8_uart0_dual_pr_ee },
 {  51441, ur_m169_u2x8_uart0_dual_pr_ce },
 {  51442, ur_m169_u2x8_uart0_dual_pr_ce },
 {  51443, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {  51444, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  51445, ur_m169_u2x8_uart0_dual_hw },
 {  51446, ur_m169_u2x8_uart0_dual_ee_hw },
 {  51447, ur_m169_u2x8_uart0_dual_ce_hw },
 {  51448, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {  51449, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {  51618, ur_m169_u2x12_uart0_noled },
 {  51619, ur_m169_u2x12_uart0_noled },
 {  51620, ur_m169_u2x12_uart0_noled_pr_u4 },
 {  51621, ur_m169_u2x12_uart0_noled_pr_ee },
 {  51622, ur_m169_u2x12_uart0_noled_pr_ee },
 {  51623, ur_m169_u2x12_uart0_noled_pr_ce },
 {  51624, ur_m169_u2x12_uart0_noled_pr_ce },
 {  51625, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {  51626, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  51627, ur_m169_u2x12_uart0_noled_hw },
 {  51628, ur_m169_u2x12_uart0_noled_ee_hw },
 {  51629, ur_m169_u2x12_uart0_noled_ce_hw },
 {  51630, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  51631, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  51632, ur_m169_u2x12_uart0_lednop },
 {  51633, ur_m169_u2x12_uart0_lednop },
 {  51634, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {  51635, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  51636, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  51637, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  51638, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  51639, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {  51640, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  51641, ur_m169_u2x12_uart0_lednop_hw },
 {  51642, ur_m169_u2x12_uart0_lednop_ee_hw },
 {  51643, ur_m169_u2x12_uart0_lednop_ce_hw },
 {  51644, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  51645, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  51646, ur_m169_u2x12_uart0_dual },
 {  51647, ur_m169_u2x12_uart0_dual_pr },
 {  51648, ur_m169_u2x12_uart0_dual_pr },
 {  51649, ur_m169_u2x12_uart0_dual_pr_ee },
 {  51650, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {  51651, ur_m169_u2x12_uart0_dual_pr_ce },
 {  51652, ur_m169_u2x12_uart0_dual_pr_ce },
 {  51653, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {  51654, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  51655, ur_m169_u2x12_uart0_dual_hw },
 {  51656, ur_m169_u2x12_uart0_dual_ee_hw },
 {  51657, ur_m169_u2x12_uart0_dual_ce_hw },
 {  51658, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {  51659, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {  51828, ur_m169_swio10_noled },
 {  51829, ur_m169_swio10_noled_pr },
 {  51830, ur_m169_swio10_noled_pr },
 {  51831, ur_m169_swio10_noled_pr_ee },
 {  51832, ur_m169_swio10_noled_pr_ee_u4 },
 {  51833, ur_m169_swio10_noled_pr_ce },
 {  51834, ur_m169_swio10_noled_pr_ce },
 {  51835, ur_m169_swio10_noled_pr_ee_ce },
 {  51836, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {  51837, ur_m169_swio10_noled_hw },
 {  51838, ur_m169_swio10_noled_ee_hw },
 {  51839, ur_m169_swio10_noled_ce_hw },
 {  51840, ur_m169_swio10_noled_ee_ce_hw },
 {  51841, ur_m169_swio10_noled_ee_ce_hw },
 {  51842, ur_m169_swio10_lednop },
 {  51843, ur_m169_swio10_lednop_pr },
 {  51844, ur_m169_swio10_lednop_pr },
 {  51845, ur_m169_swio10_lednop_pr_ee },
 {  51846, ur_m169_swio10_lednop_pr_ee_u4 },
 {  51847, ur_m169_swio10_lednop_pr_ce },
 {  51848, ur_m169_swio10_lednop_pr_ce },
 {  51849, ur_m169_swio10_lednop_pr_ee_ce },
 {  51850, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {  51851, ur_m169_swio10_lednop_hw },
 {  51852, ur_m169_swio10_lednop_ee_hw },
 {  51853, ur_m169_swio10_lednop_ce_hw },
 {  51854, ur_m169_swio10_lednop_ee_ce_hw },
 {  51855, ur_m169_swio10_lednop_ee_ce_hw },
 {  51856, ur_m169_swio10_dual },
 {  51857, ur_m169_swio10_dual },
 {  51858, ur_m169_swio10_dual },
 {  51859, ur_m169_swio10_dual_pr_ee },
 {  51860, ur_m169_swio10_dual_pr_ee_u4 },
 {  51861, ur_m169_swio10_dual_pr_ce },
 {  51862, ur_m169_swio10_dual_pr_ce_u4 },
 {  51863, ur_m169_swio10_dual_pr_ee_ce },
 {  51864, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {  51865, ur_m169_swio10_dual_hw },
 {  51866, ur_m169_swio10_dual_ee_hw },
 {  51867, ur_m169_swio10_dual_ce_hw },
 {  51868, ur_m169_swio10_dual_ee_ce_hw },
 {  51869, ur_m169_swio10_dual_ee_ce_u4_hw },
 {  51870, ur_m169_swio11_noled },
 {  51871, ur_m169_swio11_noled_pr },
 {  51872, ur_m169_swio11_noled_pr },
 {  51873, ur_m169_swio11_noled_pr_ee },
 {  51874, ur_m169_swio11_noled_pr_ee_u4 },
 {  51875, ur_m169_swio11_noled_pr_ce },
 {  51876, ur_m169_swio11_noled_pr_ce },
 {  51877, ur_m169_swio11_noled_pr_ee_ce },
 {  51878, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  51879, ur_m169_swio11_noled_hw },
 {  51880, ur_m169_swio11_noled_ee_hw },
 {  51881, ur_m169_swio11_noled_ce_hw },
 {  51882, ur_m169_swio11_noled_ee_ce_hw },
 {  51883, ur_m169_swio11_noled_ee_ce_hw },
 {  51884, ur_m169_swio11_lednop },
 {  51885, ur_m169_swio11_lednop_pr },
 {  51886, ur_m169_swio11_lednop_pr },
 {  51887, ur_m169_swio11_lednop_pr_ee },
 {  51888, ur_m169_swio11_lednop_pr_ee_u4 },
 {  51889, ur_m169_swio11_lednop_pr_ce },
 {  51890, ur_m169_swio11_lednop_pr_ce },
 {  51891, ur_m169_swio11_lednop_pr_ee_ce },
 {  51892, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  51893, ur_m169_swio11_lednop_hw },
 {  51894, ur_m169_swio11_lednop_ee_hw },
 {  51895, ur_m169_swio11_lednop_ce_hw },
 {  51896, ur_m169_swio11_lednop_ee_ce_hw },
 {  51897, ur_m169_swio11_lednop_ee_ce_hw },
 {  51898, ur_m169_swio11_dual },
 {  51899, ur_m169_swio11_dual },
 {  51900, ur_m169_swio11_dual },
 {  51901, ur_m169_swio11_dual_pr_ee },
 {  51902, ur_m169_swio11_dual_pr_ee_u4 },
 {  51903, ur_m169_swio11_dual_pr_ce },
 {  51904, ur_m169_swio11_dual_pr_ce_u4 },
 {  51905, ur_m169_swio11_dual_pr_ee_ce },
 {  51906, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  51907, ur_m169_swio11_dual_hw },
 {  51908, ur_m169_swio11_dual_ee_hw },
 {  51909, ur_m169_swio11_dual_ce_hw },
 {  51910, ur_m169_swio11_dual_ee_ce_hw },
 {  51911, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  51912, ur_m169_swio11_noled },
 {  51913, ur_m169_swio11_noled_pr },
 {  51914, ur_m169_swio11_noled_pr },
 {  51915, ur_m169_swio11_noled_pr_ee },
 {  51916, ur_m169_swio11_noled_pr_ee_u4 },
 {  51917, ur_m169_swio11_noled_pr_ce },
 {  51918, ur_m169_swio11_noled_pr_ce },
 {  51919, ur_m169_swio11_noled_pr_ee_ce },
 {  51920, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  51921, ur_m169_swio11_noled_hw },
 {  51922, ur_m169_swio11_noled_ee_hw },
 {  51923, ur_m169_swio11_noled_ce_hw },
 {  51924, ur_m169_swio11_noled_ee_ce_hw },
 {  51925, ur_m169_swio11_noled_ee_ce_hw },
 {  51926, ur_m169_swio11_lednop },
 {  51927, ur_m169_swio11_lednop_pr },
 {  51928, ur_m169_swio11_lednop_pr },
 {  51929, ur_m169_swio11_lednop_pr_ee },
 {  51930, ur_m169_swio11_lednop_pr_ee_u4 },
 {  51931, ur_m169_swio11_lednop_pr_ce },
 {  51932, ur_m169_swio11_lednop_pr_ce },
 {  51933, ur_m169_swio11_lednop_pr_ee_ce },
 {  51934, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  51935, ur_m169_swio11_lednop_hw },
 {  51936, ur_m169_swio11_lednop_ee_hw },
 {  51937, ur_m169_swio11_lednop_ce_hw },
 {  51938, ur_m169_swio11_lednop_ee_ce_hw },
 {  51939, ur_m169_swio11_lednop_ee_ce_hw },
 {  51940, ur_m169_swio11_dual },
 {  51941, ur_m169_swio11_dual },
 {  51942, ur_m169_swio11_dual },
 {  51943, ur_m169_swio11_dual_pr_ee },
 {  51944, ur_m169_swio11_dual_pr_ee_u4 },
 {  51945, ur_m169_swio11_dual_pr_ce },
 {  51946, ur_m169_swio11_dual_pr_ce_u4 },
 {  51947, ur_m169_swio11_dual_pr_ee_ce },
 {  51948, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  51949, ur_m169_swio11_dual_hw },
 {  51950, ur_m169_swio11_dual_ee_hw },
 {  51951, ur_m169_swio11_dual_ce_hw },
 {  51952, ur_m169_swio11_dual_ee_ce_hw },
 {  51953, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  51954, ur_m169_swio13_noled },
 {  51955, ur_m169_swio13_noled_pr },
 {  51956, ur_m169_swio13_noled_pr },
 {  51957, ur_m169_swio13_noled_pr_ee },
 {  51958, ur_m169_swio13_noled_pr_ee_u4 },
 {  51959, ur_m169_swio13_noled_pr_ce },
 {  51960, ur_m169_swio13_noled_pr_ce },
 {  51961, ur_m169_swio13_noled_pr_ee_ce },
 {  51962, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {  51963, ur_m169_swio13_noled_hw },
 {  51964, ur_m169_swio13_noled_ee_hw },
 {  51965, ur_m169_swio13_noled_ce_hw },
 {  51966, ur_m169_swio13_noled_ee_ce_hw },
 {  51967, ur_m169_swio13_noled_ee_ce_hw },
 {  51968, ur_m169_swio13_lednop },
 {  51969, ur_m169_swio13_lednop_pr },
 {  51970, ur_m169_swio13_lednop_pr },
 {  51971, ur_m169_swio13_lednop_pr_ee },
 {  51972, ur_m169_swio13_lednop_pr_ee_u4 },
 {  51973, ur_m169_swio13_lednop_pr_ce },
 {  51974, ur_m169_swio13_lednop_pr_ce_u4 },
 {  51975, ur_m169_swio13_lednop_pr_ee_ce },
 {  51976, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {  51977, ur_m169_swio13_lednop_hw },
 {  51978, ur_m169_swio13_lednop_ee_hw },
 {  51979, ur_m169_swio13_lednop_ce_hw },
 {  51980, ur_m169_swio13_lednop_ee_ce_hw },
 {  51981, ur_m169_swio13_lednop_ee_ce_hw },
 {  51982, ur_m169_swio13_dual },
 {  51983, ur_m169_swio13_dual },
 {  51984, ur_m169_swio13_dual },
 {  51985, ur_m169_swio13_dual_pr_ee },
 {  51986, ur_m169_swio13_dual_pr_ee_u4 },
 {  51987, ur_m169_swio13_dual_pr_ce },
 {  51988, ur_m169_swio13_dual_pr_ce_u4 },
 {  51989, ur_m169_swio13_dual_pr_ee_ce },
 {  51990, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {  51991, ur_m169_swio13_dual_hw },
 {  51992, ur_m169_swio13_dual_ee_hw },
 {  51993, ur_m169_swio13_dual_ce_hw },
 {  51994, ur_m169_swio13_dual_ee_ce_hw },
 {  51995, ur_m169_swio13_dual_ee_ce_u4_hw },
 {  51996, ur_m169_swio14_noled },
 {  51997, ur_m169_swio14_noled_pr },
 {  51998, ur_m169_swio14_noled_pr },
 {  51999, ur_m169_swio14_noled_pr_ee },
 {  52000, ur_m169_swio14_noled_pr_ee_u4 },
 {  52001, ur_m169_swio14_noled_pr_ce },
 {  52002, ur_m169_swio14_noled_pr_ce },
 {  52003, ur_m169_swio14_noled_pr_ee_ce },
 {  52004, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {  52005, ur_m169_swio14_noled_hw },
 {  52006, ur_m169_swio14_noled_ee_hw },
 {  52007, ur_m169_swio14_noled_ce_hw },
 {  52008, ur_m169_swio14_noled_ee_ce_hw },
 {  52009, ur_m169_swio14_noled_ee_ce_hw },
 {  52010, ur_m169_swio14_lednop },
 {  52011, ur_m169_swio14_lednop_pr },
 {  52012, ur_m169_swio14_lednop_pr },
 {  52013, ur_m169_swio14_lednop_pr_ee },
 {  52014, ur_m169_swio14_lednop_pr_ee_u4 },
 {  52015, ur_m169_swio14_lednop_pr_ce },
 {  52016, ur_m169_swio14_lednop_pr_ce },
 {  52017, ur_m169_swio14_lednop_pr_ee_ce },
 {  52018, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {  52019, ur_m169_swio14_lednop_hw },
 {  52020, ur_m169_swio14_lednop_ee_hw },
 {  52021, ur_m169_swio14_lednop_ce_hw },
 {  52022, ur_m169_swio14_lednop_ee_ce_hw },
 {  52023, ur_m169_swio14_lednop_ee_ce_hw },
 {  52024, ur_m169_swio14_dual },
 {  52025, ur_m169_swio14_dual },
 {  52026, ur_m169_swio14_dual },
 {  52027, ur_m169_swio14_dual_pr_ee },
 {  52028, ur_m169_swio14_dual_pr_ee_u4 },
 {  52029, ur_m169_swio14_dual_pr_ce },
 {  52030, ur_m169_swio14_dual_pr_ce_u4 },
 {  52031, ur_m169_swio14_dual_pr_ee_ce },
 {  52032, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {  52033, ur_m169_swio14_dual_hw },
 {  52034, ur_m169_swio14_dual_ee_hw },
 {  52035, ur_m169_swio14_dual_ce_hw },
 {  52036, ur_m169_swio14_dual_ee_ce_hw },
 {  52037, ur_m169_swio14_dual_ee_ce_u4_hw },
 {  52038, ur_m169_swio15_noled },
 {  52039, ur_m169_swio15_noled_pr },
 {  52040, ur_m169_swio15_noled_pr },
 {  52041, ur_m169_swio15_noled_pr_ee },
 {  52042, ur_m169_swio15_noled_pr_ee_u4 },
 {  52043, ur_m169_swio15_noled_pr_ce },
 {  52044, ur_m169_swio15_noled_pr_ce },
 {  52045, ur_m169_swio15_noled_pr_ee_ce },
 {  52046, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {  52047, ur_m169_swio15_noled_hw },
 {  52048, ur_m169_swio15_noled_ee_hw },
 {  52049, ur_m169_swio15_noled_ce_hw },
 {  52050, ur_m169_swio15_noled_ee_ce_hw },
 {  52051, ur_m169_swio15_noled_ee_ce_hw },
 {  52052, ur_m169_swio15_lednop },
 {  52053, ur_m169_swio15_lednop_pr },
 {  52054, ur_m169_swio15_lednop_pr },
 {  52055, ur_m169_swio15_lednop_pr_ee },
 {  52056, ur_m169_swio15_lednop_pr_ee_u4 },
 {  52057, ur_m169_swio15_lednop_pr_ce },
 {  52058, ur_m169_swio15_lednop_pr_ce_u4 },
 {  52059, ur_m169_swio15_lednop_pr_ee_ce },
 {  52060, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {  52061, ur_m169_swio15_lednop_hw },
 {  52062, ur_m169_swio15_lednop_ee_hw },
 {  52063, ur_m169_swio15_lednop_ce_hw },
 {  52064, ur_m169_swio15_lednop_ee_ce_hw },
 {  52065, ur_m169_swio15_lednop_ee_ce_hw },
 {  52066, ur_m169_swio15_dual },
 {  52067, ur_m169_swio15_dual },
 {  52068, ur_m169_swio15_dual },
 {  52069, ur_m169_swio15_dual_pr_ee },
 {  52070, ur_m169_swio15_dual_pr_ee_u4 },
 {  52071, ur_m169_swio15_dual_pr_ce },
 {  52072, ur_m169_swio15_dual_pr_ce_u4 },
 {  52073, ur_m169_swio15_dual_pr_ee_ce },
 {  52074, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {  52075, ur_m169_swio15_dual_hw },
 {  52076, ur_m169_swio15_dual_ee_hw },
 {  52077, ur_m169_swio15_dual_ce_hw },
 {  52078, ur_m169_swio15_dual_ee_ce_hw },
 {  52079, ur_m169_swio15_dual_ee_ce_u4_hw },
 {  52080, ur_m169_autobaud_uart0_noled },
 {  52081, ur_m169_autobaud_uart0_noled },
 {  52082, ur_m169_autobaud_uart0_noled_pr_u4 },
 {  52083, ur_m169_autobaud_uart0_noled_pr_ee },
 {  52084, ur_m169_autobaud_uart0_noled_pr_ee },
 {  52085, ur_m169_autobaud_uart0_noled_pr_ce },
 {  52086, ur_m169_autobaud_uart0_noled_pr_ce },
 {  52087, ur_m169_autobaud_uart0_noled_pr_ee_ce },
 {  52088, ur_m169_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  52089, ur_m169_autobaud_uart0_noled_hw },
 {  52090, ur_m169_autobaud_uart0_noled_ee_hw },
 {  52091, ur_m169_autobaud_uart0_noled_ce_hw },
 {  52092, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  52093, ur_m169_autobaud_uart0_noled_ee_ce_hw },
 {  52094, ur_m169_autobaud_uart0_lednop },
 {  52095, ur_m169_autobaud_uart0_lednop_pr },
 {  52096, ur_m169_autobaud_uart0_lednop_pr },
 {  52097, ur_m169_autobaud_uart0_lednop_pr_ee },
 {  52098, ur_m169_autobaud_uart0_lednop_pr_ee_u4 },
 {  52099, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  52100, ur_m169_autobaud_uart0_lednop_pr_ce },
 {  52101, ur_m169_autobaud_uart0_lednop_pr_ee_ce },
 {  52102, ur_m169_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  52103, ur_m169_autobaud_uart0_lednop_hw },
 {  52104, ur_m169_autobaud_uart0_lednop_ee_hw },
 {  52105, ur_m169_autobaud_uart0_lednop_ce_hw },
 {  52106, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  52107, ur_m169_autobaud_uart0_lednop_ee_ce_hw },
 {  52108, ur_m169_autobaud_uart0_dual },
 {  52109, ur_m169_autobaud_uart0_dual },
 {  52110, ur_m169_autobaud_uart0_dual },
 {  52111, ur_m169_autobaud_uart0_dual_pr_ee },
 {  52112, ur_m169_autobaud_uart0_dual_pr_ee_u4 },
 {  52113, ur_m169_autobaud_uart0_dual_pr_ce },
 {  52114, ur_m169_autobaud_uart0_dual_pr_ce_u4 },
 {  52115, ur_m169_autobaud_uart0_dual_pr_ee_ce },
 {  52116, ur_m169_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  52117, ur_m169_autobaud_uart0_dual_hw },
 {  52118, ur_m169_autobaud_uart0_dual_ee_hw },
 {  52119, ur_m169_autobaud_uart0_dual_ce_hw },
 {  52120, ur_m169_autobaud_uart0_dual_ee_ce_hw },
 {  52121, ur_m169_autobaud_uart0_dual_ee_ce_u4_hw },
 {  52290, ur_m169_u1x8_uart0_noled },
 {  52291, ur_m169_u1x8_uart0_noled },
 {  52292, ur_m169_u1x8_uart0_noled_pr_u4 },
 {  52293, ur_m169_u1x8_uart0_noled_pr_ee },
 {  52294, ur_m169_u1x8_uart0_noled_pr_ee },
 {  52295, ur_m169_u1x8_uart0_noled_pr_ce },
 {  52296, ur_m169_u1x8_uart0_noled_pr_ce },
 {  52297, ur_m169_u1x8_uart0_noled_pr_ee_ce },
 {  52298, ur_m169_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  52299, ur_m169_u1x8_uart0_noled_hw },
 {  52300, ur_m169_u1x8_uart0_noled_ee_hw },
 {  52301, ur_m169_u1x8_uart0_noled_ce_hw },
 {  52302, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  52303, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 {  52304, ur_m169_u1x8_uart0_lednop },
 {  52305, ur_m169_u1x8_uart0_lednop },
 {  52306, ur_m169_u1x8_uart0_lednop_pr_u4 },
 {  52307, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  52308, ur_m169_u1x8_uart0_lednop_pr_ee },
 {  52309, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  52310, ur_m169_u1x8_uart0_lednop_pr_ce },
 {  52311, ur_m169_u1x8_uart0_lednop_pr_ee_ce },
 {  52312, ur_m169_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  52313, ur_m169_u1x8_uart0_lednop_hw },
 {  52314, ur_m169_u1x8_uart0_lednop_ee_hw },
 {  52315, ur_m169_u1x8_uart0_lednop_ce_hw },
 {  52316, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  52317, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 {  52318, ur_m169_u1x8_uart0_dual },
 {  52319, ur_m169_u1x8_uart0_dual_pr },
 {  52320, ur_m169_u1x8_uart0_dual_pr },
 {  52321, ur_m169_u1x8_uart0_dual_pr_ee },
 {  52322, ur_m169_u1x8_uart0_dual_pr_ee },
 {  52323, ur_m169_u1x8_uart0_dual_pr_ce },
 {  52324, ur_m169_u1x8_uart0_dual_pr_ce },
 {  52325, ur_m169_u1x8_uart0_dual_pr_ee_ce },
 {  52326, ur_m169_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  52327, ur_m169_u1x8_uart0_dual_hw },
 {  52328, ur_m169_u1x8_uart0_dual_ee_hw },
 {  52329, ur_m169_u1x8_uart0_dual_ce_hw },
 {  52330, ur_m169_u1x8_uart0_dual_ee_ce_hw },
 {  52331, ur_m169_u1x8_uart0_dual_ee_ce_u4_hw },
 {  52500, ur_m169_u1x12_uart0_noled },
 {  52501, ur_m169_u1x12_uart0_noled },
 {  52502, ur_m169_u1x12_uart0_noled_pr_u4 },
 {  52503, ur_m169_u1x12_uart0_noled_pr_ee },
 {  52504, ur_m169_u1x12_uart0_noled_pr_ee },
 {  52505, ur_m169_u1x12_uart0_noled_pr_ce },
 {  52506, ur_m169_u1x12_uart0_noled_pr_ce },
 {  52507, ur_m169_u1x12_uart0_noled_pr_ee_ce },
 {  52508, ur_m169_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  52509, ur_m169_u1x12_uart0_noled_hw },
 {  52510, ur_m169_u1x12_uart0_noled_ee_hw },
 {  52511, ur_m169_u1x12_uart0_noled_ce_hw },
 {  52512, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  52513, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 {  52514, ur_m169_u1x12_uart0_lednop },
 {  52515, ur_m169_u1x12_uart0_lednop },
 {  52516, ur_m169_u1x12_uart0_lednop_pr_u4 },
 {  52517, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  52518, ur_m169_u1x12_uart0_lednop_pr_ee },
 {  52519, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  52520, ur_m169_u1x12_uart0_lednop_pr_ce },
 {  52521, ur_m169_u1x12_uart0_lednop_pr_ee_ce },
 {  52522, ur_m169_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  52523, ur_m169_u1x12_uart0_lednop_hw },
 {  52524, ur_m169_u1x12_uart0_lednop_ee_hw },
 {  52525, ur_m169_u1x12_uart0_lednop_ce_hw },
 {  52526, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  52527, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 {  52528, ur_m169_u1x12_uart0_dual },
 {  52529, ur_m169_u1x12_uart0_dual_pr },
 {  52530, ur_m169_u1x12_uart0_dual_pr },
 {  52531, ur_m169_u1x12_uart0_dual_pr_ee },
 {  52532, ur_m169_u1x12_uart0_dual_pr_ee },
 {  52533, ur_m169_u1x12_uart0_dual_pr_ce },
 {  52534, ur_m169_u1x12_uart0_dual_pr_ce },
 {  52535, ur_m169_u1x12_uart0_dual_pr_ee_ce },
 {  52536, ur_m169_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  52537, ur_m169_u1x12_uart0_dual_hw },
 {  52538, ur_m169_u1x12_uart0_dual_ee_hw },
 {  52539, ur_m169_u1x12_uart0_dual_ce_hw },
 {  52540, ur_m169_u1x12_uart0_dual_ee_ce_hw },
 {  52541, ur_m169_u1x12_uart0_dual_ee_ce_u4_hw },
 {  52710, ur_m169_u2x8_uart0_noled },
 {  52711, ur_m169_u2x8_uart0_noled },
 {  52712, ur_m169_u2x8_uart0_noled_pr_u4 },
 {  52713, ur_m169_u2x8_uart0_noled_pr_ee },
 {  52714, ur_m169_u2x8_uart0_noled_pr_ee },
 {  52715, ur_m169_u2x8_uart0_noled_pr_ce },
 {  52716, ur_m169_u2x8_uart0_noled_pr_ce },
 {  52717, ur_m169_u2x8_uart0_noled_pr_ee_ce },
 {  52718, ur_m169_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  52719, ur_m169_u2x8_uart0_noled_hw },
 {  52720, ur_m169_u2x8_uart0_noled_ee_hw },
 {  52721, ur_m169_u2x8_uart0_noled_ce_hw },
 {  52722, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  52723, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 {  52724, ur_m169_u2x8_uart0_lednop },
 {  52725, ur_m169_u2x8_uart0_lednop },
 {  52726, ur_m169_u2x8_uart0_lednop_pr_u4 },
 {  52727, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  52728, ur_m169_u2x8_uart0_lednop_pr_ee },
 {  52729, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  52730, ur_m169_u2x8_uart0_lednop_pr_ce },
 {  52731, ur_m169_u2x8_uart0_lednop_pr_ee_ce },
 {  52732, ur_m169_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  52733, ur_m169_u2x8_uart0_lednop_hw },
 {  52734, ur_m169_u2x8_uart0_lednop_ee_hw },
 {  52735, ur_m169_u2x8_uart0_lednop_ce_hw },
 {  52736, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  52737, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 {  52738, ur_m169_u2x8_uart0_dual },
 {  52739, ur_m169_u2x8_uart0_dual_pr },
 {  52740, ur_m169_u2x8_uart0_dual_pr },
 {  52741, ur_m169_u2x8_uart0_dual_pr_ee },
 {  52742, ur_m169_u2x8_uart0_dual_pr_ee },
 {  52743, ur_m169_u2x8_uart0_dual_pr_ce },
 {  52744, ur_m169_u2x8_uart0_dual_pr_ce },
 {  52745, ur_m169_u2x8_uart0_dual_pr_ee_ce },
 {  52746, ur_m169_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  52747, ur_m169_u2x8_uart0_dual_hw },
 {  52748, ur_m169_u2x8_uart0_dual_ee_hw },
 {  52749, ur_m169_u2x8_uart0_dual_ce_hw },
 {  52750, ur_m169_u2x8_uart0_dual_ee_ce_hw },
 {  52751, ur_m169_u2x8_uart0_dual_ee_ce_u4_hw },
 {  52920, ur_m169_u2x12_uart0_noled },
 {  52921, ur_m169_u2x12_uart0_noled },
 {  52922, ur_m169_u2x12_uart0_noled_pr_u4 },
 {  52923, ur_m169_u2x12_uart0_noled_pr_ee },
 {  52924, ur_m169_u2x12_uart0_noled_pr_ee },
 {  52925, ur_m169_u2x12_uart0_noled_pr_ce },
 {  52926, ur_m169_u2x12_uart0_noled_pr_ce },
 {  52927, ur_m169_u2x12_uart0_noled_pr_ee_ce },
 {  52928, ur_m169_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  52929, ur_m169_u2x12_uart0_noled_hw },
 {  52930, ur_m169_u2x12_uart0_noled_ee_hw },
 {  52931, ur_m169_u2x12_uart0_noled_ce_hw },
 {  52932, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  52933, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 {  52934, ur_m169_u2x12_uart0_lednop },
 {  52935, ur_m169_u2x12_uart0_lednop },
 {  52936, ur_m169_u2x12_uart0_lednop_pr_u4 },
 {  52937, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  52938, ur_m169_u2x12_uart0_lednop_pr_ee },
 {  52939, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  52940, ur_m169_u2x12_uart0_lednop_pr_ce },
 {  52941, ur_m169_u2x12_uart0_lednop_pr_ee_ce },
 {  52942, ur_m169_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  52943, ur_m169_u2x12_uart0_lednop_hw },
 {  52944, ur_m169_u2x12_uart0_lednop_ee_hw },
 {  52945, ur_m169_u2x12_uart0_lednop_ce_hw },
 {  52946, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  52947, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 {  52948, ur_m169_u2x12_uart0_dual },
 {  52949, ur_m169_u2x12_uart0_dual_pr },
 {  52950, ur_m169_u2x12_uart0_dual_pr },
 {  52951, ur_m169_u2x12_uart0_dual_pr_ee },
 {  52952, ur_m169_u2x12_uart0_dual_pr_ee_u4 },
 {  52953, ur_m169_u2x12_uart0_dual_pr_ce },
 {  52954, ur_m169_u2x12_uart0_dual_pr_ce },
 {  52955, ur_m169_u2x12_uart0_dual_pr_ee_ce },
 {  52956, ur_m169_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  52957, ur_m169_u2x12_uart0_dual_hw },
 {  52958, ur_m169_u2x12_uart0_dual_ee_hw },
 {  52959, ur_m169_u2x12_uart0_dual_ce_hw },
 {  52960, ur_m169_u2x12_uart0_dual_ee_ce_hw },
 {  52961, ur_m169_u2x12_uart0_dual_ee_ce_u4_hw },
 {  53130, ur_m169_swio10_noled },
 {  53131, ur_m169_swio10_noled_pr },
 {  53132, ur_m169_swio10_noled_pr },
 {  53133, ur_m169_swio10_noled_pr_ee },
 {  53134, ur_m169_swio10_noled_pr_ee_u4 },
 {  53135, ur_m169_swio10_noled_pr_ce },
 {  53136, ur_m169_swio10_noled_pr_ce },
 {  53137, ur_m169_swio10_noled_pr_ee_ce },
 {  53138, ur_m169_swio10_noled_pr_ee_ce_u4 },
 {  53139, ur_m169_swio10_noled_hw },
 {  53140, ur_m169_swio10_noled_ee_hw },
 {  53141, ur_m169_swio10_noled_ce_hw },
 {  53142, ur_m169_swio10_noled_ee_ce_hw },
 {  53143, ur_m169_swio10_noled_ee_ce_hw },
 {  53144, ur_m169_swio10_lednop },
 {  53145, ur_m169_swio10_lednop_pr },
 {  53146, ur_m169_swio10_lednop_pr },
 {  53147, ur_m169_swio10_lednop_pr_ee },
 {  53148, ur_m169_swio10_lednop_pr_ee_u4 },
 {  53149, ur_m169_swio10_lednop_pr_ce },
 {  53150, ur_m169_swio10_lednop_pr_ce },
 {  53151, ur_m169_swio10_lednop_pr_ee_ce },
 {  53152, ur_m169_swio10_lednop_pr_ee_ce_u4 },
 {  53153, ur_m169_swio10_lednop_hw },
 {  53154, ur_m169_swio10_lednop_ee_hw },
 {  53155, ur_m169_swio10_lednop_ce_hw },
 {  53156, ur_m169_swio10_lednop_ee_ce_hw },
 {  53157, ur_m169_swio10_lednop_ee_ce_hw },
 {  53158, ur_m169_swio10_dual },
 {  53159, ur_m169_swio10_dual },
 {  53160, ur_m169_swio10_dual },
 {  53161, ur_m169_swio10_dual_pr_ee },
 {  53162, ur_m169_swio10_dual_pr_ee_u4 },
 {  53163, ur_m169_swio10_dual_pr_ce },
 {  53164, ur_m169_swio10_dual_pr_ce_u4 },
 {  53165, ur_m169_swio10_dual_pr_ee_ce },
 {  53166, ur_m169_swio10_dual_pr_ee_ce_u4 },
 {  53167, ur_m169_swio10_dual_hw },
 {  53168, ur_m169_swio10_dual_ee_hw },
 {  53169, ur_m169_swio10_dual_ce_hw },
 {  53170, ur_m169_swio10_dual_ee_ce_hw },
 {  53171, ur_m169_swio10_dual_ee_ce_u4_hw },
 {  53172, ur_m169_swio11_noled },
 {  53173, ur_m169_swio11_noled_pr },
 {  53174, ur_m169_swio11_noled_pr },
 {  53175, ur_m169_swio11_noled_pr_ee },
 {  53176, ur_m169_swio11_noled_pr_ee_u4 },
 {  53177, ur_m169_swio11_noled_pr_ce },
 {  53178, ur_m169_swio11_noled_pr_ce },
 {  53179, ur_m169_swio11_noled_pr_ee_ce },
 {  53180, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  53181, ur_m169_swio11_noled_hw },
 {  53182, ur_m169_swio11_noled_ee_hw },
 {  53183, ur_m169_swio11_noled_ce_hw },
 {  53184, ur_m169_swio11_noled_ee_ce_hw },
 {  53185, ur_m169_swio11_noled_ee_ce_hw },
 {  53186, ur_m169_swio11_lednop },
 {  53187, ur_m169_swio11_lednop_pr },
 {  53188, ur_m169_swio11_lednop_pr },
 {  53189, ur_m169_swio11_lednop_pr_ee },
 {  53190, ur_m169_swio11_lednop_pr_ee_u4 },
 {  53191, ur_m169_swio11_lednop_pr_ce },
 {  53192, ur_m169_swio11_lednop_pr_ce },
 {  53193, ur_m169_swio11_lednop_pr_ee_ce },
 {  53194, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  53195, ur_m169_swio11_lednop_hw },
 {  53196, ur_m169_swio11_lednop_ee_hw },
 {  53197, ur_m169_swio11_lednop_ce_hw },
 {  53198, ur_m169_swio11_lednop_ee_ce_hw },
 {  53199, ur_m169_swio11_lednop_ee_ce_hw },
 {  53200, ur_m169_swio11_dual },
 {  53201, ur_m169_swio11_dual },
 {  53202, ur_m169_swio11_dual },
 {  53203, ur_m169_swio11_dual_pr_ee },
 {  53204, ur_m169_swio11_dual_pr_ee_u4 },
 {  53205, ur_m169_swio11_dual_pr_ce },
 {  53206, ur_m169_swio11_dual_pr_ce_u4 },
 {  53207, ur_m169_swio11_dual_pr_ee_ce },
 {  53208, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  53209, ur_m169_swio11_dual_hw },
 {  53210, ur_m169_swio11_dual_ee_hw },
 {  53211, ur_m169_swio11_dual_ce_hw },
 {  53212, ur_m169_swio11_dual_ee_ce_hw },
 {  53213, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  53214, ur_m169_swio11_noled },
 {  53215, ur_m169_swio11_noled_pr },
 {  53216, ur_m169_swio11_noled_pr },
 {  53217, ur_m169_swio11_noled_pr_ee },
 {  53218, ur_m169_swio11_noled_pr_ee_u4 },
 {  53219, ur_m169_swio11_noled_pr_ce },
 {  53220, ur_m169_swio11_noled_pr_ce },
 {  53221, ur_m169_swio11_noled_pr_ee_ce },
 {  53222, ur_m169_swio11_noled_pr_ee_ce_u4 },
 {  53223, ur_m169_swio11_noled_hw },
 {  53224, ur_m169_swio11_noled_ee_hw },
 {  53225, ur_m169_swio11_noled_ce_hw },
 {  53226, ur_m169_swio11_noled_ee_ce_hw },
 {  53227, ur_m169_swio11_noled_ee_ce_hw },
 {  53228, ur_m169_swio11_lednop },
 {  53229, ur_m169_swio11_lednop_pr },
 {  53230, ur_m169_swio11_lednop_pr },
 {  53231, ur_m169_swio11_lednop_pr_ee },
 {  53232, ur_m169_swio11_lednop_pr_ee_u4 },
 {  53233, ur_m169_swio11_lednop_pr_ce },
 {  53234, ur_m169_swio11_lednop_pr_ce },
 {  53235, ur_m169_swio11_lednop_pr_ee_ce },
 {  53236, ur_m169_swio11_lednop_pr_ee_ce_u4 },
 {  53237, ur_m169_swio11_lednop_hw },
 {  53238, ur_m169_swio11_lednop_ee_hw },
 {  53239, ur_m169_swio11_lednop_ce_hw },
 {  53240, ur_m169_swio11_lednop_ee_ce_hw },
 {  53241, ur_m169_swio11_lednop_ee_ce_hw },
 {  53242, ur_m169_swio11_dual },
 {  53243, ur_m169_swio11_dual },
 {  53244, ur_m169_swio11_dual },
 {  53245, ur_m169_swio11_dual_pr_ee },
 {  53246, ur_m169_swio11_dual_pr_ee_u4 },
 {  53247, ur_m169_swio11_dual_pr_ce },
 {  53248, ur_m169_swio11_dual_pr_ce_u4 },
 {  53249, ur_m169_swio11_dual_pr_ee_ce },
 {  53250, ur_m169_swio11_dual_pr_ee_ce_u4 },
 {  53251, ur_m169_swio11_dual_hw },
 {  53252, ur_m169_swio11_dual_ee_hw },
 {  53253, ur_m169_swio11_dual_ce_hw },
 {  53254, ur_m169_swio11_dual_ee_ce_hw },
 {  53255, ur_m169_swio11_dual_ee_ce_u4_hw },
 {  53256, ur_m169_swio13_noled },
 {  53257, ur_m169_swio13_noled_pr },
 {  53258, ur_m169_swio13_noled_pr },
 {  53259, ur_m169_swio13_noled_pr_ee },
 {  53260, ur_m169_swio13_noled_pr_ee_u4 },
 {  53261, ur_m169_swio13_noled_pr_ce },
 {  53262, ur_m169_swio13_noled_pr_ce },
 {  53263, ur_m169_swio13_noled_pr_ee_ce },
 {  53264, ur_m169_swio13_noled_pr_ee_ce_u4 },
 {  53265, ur_m169_swio13_noled_hw },
 {  53266, ur_m169_swio13_noled_ee_hw },
 {  53267, ur_m169_swio13_noled_ce_hw },
 {  53268, ur_m169_swio13_noled_ee_ce_hw },
 {  53269, ur_m169_swio13_noled_ee_ce_hw },
 {  53270, ur_m169_swio13_lednop },
 {  53271, ur_m169_swio13_lednop_pr },
 {  53272, ur_m169_swio13_lednop_pr },
 {  53273, ur_m169_swio13_lednop_pr_ee },
 {  53274, ur_m169_swio13_lednop_pr_ee_u4 },
 {  53275, ur_m169_swio13_lednop_pr_ce },
 {  53276, ur_m169_swio13_lednop_pr_ce_u4 },
 {  53277, ur_m169_swio13_lednop_pr_ee_ce },
 {  53278, ur_m169_swio13_lednop_pr_ee_ce_u4 },
 {  53279, ur_m169_swio13_lednop_hw },
 {  53280, ur_m169_swio13_lednop_ee_hw },
 {  53281, ur_m169_swio13_lednop_ce_hw },
 {  53282, ur_m169_swio13_lednop_ee_ce_hw },
 {  53283, ur_m169_swio13_lednop_ee_ce_hw },
 {  53284, ur_m169_swio13_dual },
 {  53285, ur_m169_swio13_dual },
 {  53286, ur_m169_swio13_dual },
 {  53287, ur_m169_swio13_dual_pr_ee },
 {  53288, ur_m169_swio13_dual_pr_ee_u4 },
 {  53289, ur_m169_swio13_dual_pr_ce },
 {  53290, ur_m169_swio13_dual_pr_ce_u4 },
 {  53291, ur_m169_swio13_dual_pr_ee_ce },
 {  53292, ur_m169_swio13_dual_pr_ee_ce_u4 },
 {  53293, ur_m169_swio13_dual_hw },
 {  53294, ur_m169_swio13_dual_ee_hw },
 {  53295, ur_m169_swio13_dual_ce_hw },
 {  53296, ur_m169_swio13_dual_ee_ce_hw },
 {  53297, ur_m169_swio13_dual_ee_ce_u4_hw },
 {  53298, ur_m169_swio14_noled },
 {  53299, ur_m169_swio14_noled_pr },
 {  53300, ur_m169_swio14_noled_pr },
 {  53301, ur_m169_swio14_noled_pr_ee },
 {  53302, ur_m169_swio14_noled_pr_ee_u4 },
 {  53303, ur_m169_swio14_noled_pr_ce },
 {  53304, ur_m169_swio14_noled_pr_ce },
 {  53305, ur_m169_swio14_noled_pr_ee_ce },
 {  53306, ur_m169_swio14_noled_pr_ee_ce_u4 },
 {  53307, ur_m169_swio14_noled_hw },
 {  53308, ur_m169_swio14_noled_ee_hw },
 {  53309, ur_m169_swio14_noled_ce_hw },
 {  53310, ur_m169_swio14_noled_ee_ce_hw },
 {  53311, ur_m169_swio14_noled_ee_ce_hw },
 {  53312, ur_m169_swio14_lednop },
 {  53313, ur_m169_swio14_lednop_pr },
 {  53314, ur_m169_swio14_lednop_pr },
 {  53315, ur_m169_swio14_lednop_pr_ee },
 {  53316, ur_m169_swio14_lednop_pr_ee_u4 },
 {  53317, ur_m169_swio14_lednop_pr_ce },
 {  53318, ur_m169_swio14_lednop_pr_ce },
 {  53319, ur_m169_swio14_lednop_pr_ee_ce },
 {  53320, ur_m169_swio14_lednop_pr_ee_ce_u4 },
 {  53321, ur_m169_swio14_lednop_hw },
 {  53322, ur_m169_swio14_lednop_ee_hw },
 {  53323, ur_m169_swio14_lednop_ce_hw },
 {  53324, ur_m169_swio14_lednop_ee_ce_hw },
 {  53325, ur_m169_swio14_lednop_ee_ce_hw },
 {  53326, ur_m169_swio14_dual },
 {  53327, ur_m169_swio14_dual },
 {  53328, ur_m169_swio14_dual },
 {  53329, ur_m169_swio14_dual_pr_ee },
 {  53330, ur_m169_swio14_dual_pr_ee_u4 },
 {  53331, ur_m169_swio14_dual_pr_ce },
 {  53332, ur_m169_swio14_dual_pr_ce_u4 },
 {  53333, ur_m169_swio14_dual_pr_ee_ce },
 {  53334, ur_m169_swio14_dual_pr_ee_ce_u4 },
 {  53335, ur_m169_swio14_dual_hw },
 {  53336, ur_m169_swio14_dual_ee_hw },
 {  53337, ur_m169_swio14_dual_ce_hw },
 {  53338, ur_m169_swio14_dual_ee_ce_hw },
 {  53339, ur_m169_swio14_dual_ee_ce_u4_hw },
 {  53340, ur_m169_swio15_noled },
 {  53341, ur_m169_swio15_noled_pr },
 {  53342, ur_m169_swio15_noled_pr },
 {  53343, ur_m169_swio15_noled_pr_ee },
 {  53344, ur_m169_swio15_noled_pr_ee_u4 },
 {  53345, ur_m169_swio15_noled_pr_ce },
 {  53346, ur_m169_swio15_noled_pr_ce },
 {  53347, ur_m169_swio15_noled_pr_ee_ce },
 {  53348, ur_m169_swio15_noled_pr_ee_ce_u4 },
 {  53349, ur_m169_swio15_noled_hw },
 {  53350, ur_m169_swio15_noled_ee_hw },
 {  53351, ur_m169_swio15_noled_ce_hw },
 {  53352, ur_m169_swio15_noled_ee_ce_hw },
 {  53353, ur_m169_swio15_noled_ee_ce_hw },
 {  53354, ur_m169_swio15_lednop },
 {  53355, ur_m169_swio15_lednop_pr },
 {  53356, ur_m169_swio15_lednop_pr },
 {  53357, ur_m169_swio15_lednop_pr_ee },
 {  53358, ur_m169_swio15_lednop_pr_ee_u4 },
 {  53359, ur_m169_swio15_lednop_pr_ce },
 {  53360, ur_m169_swio15_lednop_pr_ce_u4 },
 {  53361, ur_m169_swio15_lednop_pr_ee_ce },
 {  53362, ur_m169_swio15_lednop_pr_ee_ce_u4 },
 {  53363, ur_m169_swio15_lednop_hw },
 {  53364, ur_m169_swio15_lednop_ee_hw },
 {  53365, ur_m169_swio15_lednop_ce_hw },
 {  53366, ur_m169_swio15_lednop_ee_ce_hw },
 {  53367, ur_m169_swio15_lednop_ee_ce_hw },
 {  53368, ur_m169_swio15_dual },
 {  53369, ur_m169_swio15_dual },
 {  53370, ur_m169_swio15_dual },
 {  53371, ur_m169_swio15_dual_pr_ee },
 {  53372, ur_m169_swio15_dual_pr_ee_u4 },
 {  53373, ur_m169_swio15_dual_pr_ce },
 {  53374, ur_m169_swio15_dual_pr_ce_u4 },
 {  53375, ur_m169_swio15_dual_pr_ee_ce },
 {  53376, ur_m169_swio15_dual_pr_ee_ce_u4 },
 {  53377, ur_m169_swio15_dual_hw },
 {  53378, ur_m169_swio15_dual_ee_hw },
 {  53379, ur_m169_swio15_dual_ce_hw },
 {  53380, ur_m169_swio15_dual_ee_ce_hw },
 {  53381, ur_m169_swio15_dual_ee_ce_u4_hw },
 {  53382, ur_m329_autobaud_uart0_noled },
 {  53383, ur_m329_autobaud_uart0_noled },
 {  53384, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  53385, ur_m329_autobaud_uart0_noled_pr_ee },
 {  53386, ur_m329_autobaud_uart0_noled_pr_ee },
 {  53387, ur_m329_autobaud_uart0_noled_pr_ce },
 {  53388, ur_m329_autobaud_uart0_noled_pr_ce },
 {  53389, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  53390, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  53392, ur_m329_autobaud_uart0_noled_ee_hw },
 {  53394, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  53395, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  53396, ur_m329_autobaud_uart0_lednop },
 {  53397, ur_m329_autobaud_uart0_lednop_pr },
 {  53398, ur_m329_autobaud_uart0_lednop_pr },
 {  53399, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  53400, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  53401, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  53402, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  53403, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  53404, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  53406, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  53408, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  53409, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  53410, ur_m329_autobaud_uart0_dual },
 {  53411, ur_m329_autobaud_uart0_dual },
 {  53412, ur_m329_autobaud_uart0_dual },
 {  53413, ur_m329_autobaud_uart0_dual_pr_ee },
 {  53414, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  53415, ur_m329_autobaud_uart0_dual_pr_ce },
 {  53416, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  53417, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  53418, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  53420, ur_m329_autobaud_uart0_dual_ee_hw },
 {  53422, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  53423, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  53592, ur_m329_u1x8_uart0_noled },
 {  53593, ur_m329_u1x8_uart0_noled },
 {  53594, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  53595, ur_m329_u1x8_uart0_noled_pr_ee },
 {  53596, ur_m329_u1x8_uart0_noled_pr_ee },
 {  53597, ur_m329_u1x8_uart0_noled_pr_ce },
 {  53598, ur_m329_u1x8_uart0_noled_pr_ce },
 {  53599, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  53600, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  53602, ur_m329_u1x8_uart0_noled_ee_hw },
 {  53604, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  53605, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  53606, ur_m329_u1x8_uart0_lednop },
 {  53607, ur_m329_u1x8_uart0_lednop },
 {  53608, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  53609, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  53610, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  53611, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  53612, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  53613, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  53614, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  53616, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  53618, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  53619, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  53620, ur_m329_u1x8_uart0_dual },
 {  53621, ur_m329_u1x8_uart0_dual_pr },
 {  53622, ur_m329_u1x8_uart0_dual_pr },
 {  53623, ur_m329_u1x8_uart0_dual_pr_ee },
 {  53624, ur_m329_u1x8_uart0_dual_pr_ee },
 {  53625, ur_m329_u1x8_uart0_dual_pr_ce },
 {  53626, ur_m329_u1x8_uart0_dual_pr_ce },
 {  53627, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  53628, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  53630, ur_m329_u1x8_uart0_dual_ee_hw },
 {  53632, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  53633, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  53802, ur_m329_u1x12_uart0_noled },
 {  53803, ur_m329_u1x12_uart0_noled },
 {  53804, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  53805, ur_m329_u1x12_uart0_noled_pr_ee },
 {  53806, ur_m329_u1x12_uart0_noled_pr_ee },
 {  53807, ur_m329_u1x12_uart0_noled_pr_ce },
 {  53808, ur_m329_u1x12_uart0_noled_pr_ce },
 {  53809, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  53810, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  53812, ur_m329_u1x12_uart0_noled_ee_hw },
 {  53814, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  53815, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  53816, ur_m329_u1x12_uart0_lednop },
 {  53817, ur_m329_u1x12_uart0_lednop },
 {  53818, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  53819, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  53820, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  53821, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  53822, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  53823, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  53824, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  53826, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  53828, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  53829, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  53830, ur_m329_u1x12_uart0_dual },
 {  53831, ur_m329_u1x12_uart0_dual_pr },
 {  53832, ur_m329_u1x12_uart0_dual_pr },
 {  53833, ur_m329_u1x12_uart0_dual_pr_ee },
 {  53834, ur_m329_u1x12_uart0_dual_pr_ee },
 {  53835, ur_m329_u1x12_uart0_dual_pr_ce },
 {  53836, ur_m329_u1x12_uart0_dual_pr_ce },
 {  53837, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  53838, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  53840, ur_m329_u1x12_uart0_dual_ee_hw },
 {  53842, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  53843, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  54012, ur_m329_u2x8_uart0_noled },
 {  54013, ur_m329_u2x8_uart0_noled },
 {  54014, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  54015, ur_m329_u2x8_uart0_noled_pr_ee },
 {  54016, ur_m329_u2x8_uart0_noled_pr_ee },
 {  54017, ur_m329_u2x8_uart0_noled_pr_ce },
 {  54018, ur_m329_u2x8_uart0_noled_pr_ce },
 {  54019, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  54020, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  54022, ur_m329_u2x8_uart0_noled_ee_hw },
 {  54024, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  54025, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  54026, ur_m329_u2x8_uart0_lednop },
 {  54027, ur_m329_u2x8_uart0_lednop },
 {  54028, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  54029, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  54030, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  54031, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  54032, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  54033, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  54034, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  54036, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  54038, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  54039, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  54040, ur_m329_u2x8_uart0_dual },
 {  54041, ur_m329_u2x8_uart0_dual_pr },
 {  54042, ur_m329_u2x8_uart0_dual_pr },
 {  54043, ur_m329_u2x8_uart0_dual_pr_ee },
 {  54044, ur_m329_u2x8_uart0_dual_pr_ee },
 {  54045, ur_m329_u2x8_uart0_dual_pr_ce },
 {  54046, ur_m329_u2x8_uart0_dual_pr_ce },
 {  54047, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  54048, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  54050, ur_m329_u2x8_uart0_dual_ee_hw },
 {  54052, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  54053, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  54222, ur_m329_u2x12_uart0_noled },
 {  54223, ur_m329_u2x12_uart0_noled },
 {  54224, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  54225, ur_m329_u2x12_uart0_noled_pr_ee },
 {  54226, ur_m329_u2x12_uart0_noled_pr_ee },
 {  54227, ur_m329_u2x12_uart0_noled_pr_ce },
 {  54228, ur_m329_u2x12_uart0_noled_pr_ce },
 {  54229, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  54230, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  54232, ur_m329_u2x12_uart0_noled_ee_hw },
 {  54234, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  54235, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  54236, ur_m329_u2x12_uart0_lednop },
 {  54237, ur_m329_u2x12_uart0_lednop },
 {  54238, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  54239, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  54240, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  54241, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  54242, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  54243, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  54244, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  54246, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  54248, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  54249, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  54250, ur_m329_u2x12_uart0_dual },
 {  54251, ur_m329_u2x12_uart0_dual_pr },
 {  54252, ur_m329_u2x12_uart0_dual_pr },
 {  54253, ur_m329_u2x12_uart0_dual_pr_ee },
 {  54254, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  54255, ur_m329_u2x12_uart0_dual_pr_ce },
 {  54256, ur_m329_u2x12_uart0_dual_pr_ce },
 {  54257, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  54258, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  54260, ur_m329_u2x12_uart0_dual_ee_hw },
 {  54262, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  54263, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  54432, ur_m329_swio10_noled },
 {  54433, ur_m329_swio10_noled_pr },
 {  54434, ur_m329_swio10_noled_pr },
 {  54435, ur_m329_swio10_noled_pr_ee },
 {  54436, ur_m329_swio10_noled_pr_ee_u4 },
 {  54437, ur_m329_swio10_noled_pr_ce },
 {  54438, ur_m329_swio10_noled_pr_ce },
 {  54439, ur_m329_swio10_noled_pr_ee_ce },
 {  54440, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  54442, ur_m329_swio10_noled_ee_hw },
 {  54444, ur_m329_swio10_noled_ee_ce_hw },
 {  54445, ur_m329_swio10_noled_ee_ce_hw },
 {  54446, ur_m329_swio10_lednop },
 {  54447, ur_m329_swio10_lednop_pr },
 {  54448, ur_m329_swio10_lednop_pr },
 {  54449, ur_m329_swio10_lednop_pr_ee },
 {  54450, ur_m329_swio10_lednop_pr_ee_u4 },
 {  54451, ur_m329_swio10_lednop_pr_ce },
 {  54452, ur_m329_swio10_lednop_pr_ce },
 {  54453, ur_m329_swio10_lednop_pr_ee_ce },
 {  54454, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  54456, ur_m329_swio10_lednop_ee_hw },
 {  54458, ur_m329_swio10_lednop_ee_ce_hw },
 {  54459, ur_m329_swio10_lednop_ee_ce_hw },
 {  54460, ur_m329_swio10_dual },
 {  54461, ur_m329_swio10_dual },
 {  54462, ur_m329_swio10_dual },
 {  54463, ur_m329_swio10_dual_pr_ee },
 {  54464, ur_m329_swio10_dual_pr_ee_u4 },
 {  54465, ur_m329_swio10_dual_pr_ce },
 {  54466, ur_m329_swio10_dual_pr_ce_u4 },
 {  54467, ur_m329_swio10_dual_pr_ee_ce },
 {  54468, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  54470, ur_m329_swio10_dual_ee_hw },
 {  54472, ur_m329_swio10_dual_ee_ce_hw },
 {  54473, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  54474, ur_m329_swio11_noled },
 {  54475, ur_m329_swio11_noled_pr },
 {  54476, ur_m329_swio11_noled_pr },
 {  54477, ur_m329_swio11_noled_pr_ee },
 {  54478, ur_m329_swio11_noled_pr_ee_u4 },
 {  54479, ur_m329_swio11_noled_pr_ce },
 {  54480, ur_m329_swio11_noled_pr_ce },
 {  54481, ur_m329_swio11_noled_pr_ee_ce },
 {  54482, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  54484, ur_m329_swio11_noled_ee_hw },
 {  54486, ur_m329_swio11_noled_ee_ce_hw },
 {  54487, ur_m329_swio11_noled_ee_ce_hw },
 {  54488, ur_m329_swio11_lednop },
 {  54489, ur_m329_swio11_lednop_pr },
 {  54490, ur_m329_swio11_lednop_pr },
 {  54491, ur_m329_swio11_lednop_pr_ee },
 {  54492, ur_m329_swio11_lednop_pr_ee_u4 },
 {  54493, ur_m329_swio11_lednop_pr_ce },
 {  54494, ur_m329_swio11_lednop_pr_ce },
 {  54495, ur_m329_swio11_lednop_pr_ee_ce },
 {  54496, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  54498, ur_m329_swio11_lednop_ee_hw },
 {  54500, ur_m329_swio11_lednop_ee_ce_hw },
 {  54501, ur_m329_swio11_lednop_ee_ce_hw },
 {  54502, ur_m329_swio11_dual },
 {  54503, ur_m329_swio11_dual },
 {  54504, ur_m329_swio11_dual },
 {  54505, ur_m329_swio11_dual_pr_ee },
 {  54506, ur_m329_swio11_dual_pr_ee_u4 },
 {  54507, ur_m329_swio11_dual_pr_ce },
 {  54508, ur_m329_swio11_dual_pr_ce_u4 },
 {  54509, ur_m329_swio11_dual_pr_ee_ce },
 {  54510, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  54512, ur_m329_swio11_dual_ee_hw },
 {  54514, ur_m329_swio11_dual_ee_ce_hw },
 {  54515, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  54516, ur_m329_swio11_noled },
 {  54517, ur_m329_swio11_noled_pr },
 {  54518, ur_m329_swio11_noled_pr },
 {  54519, ur_m329_swio11_noled_pr_ee },
 {  54520, ur_m329_swio11_noled_pr_ee_u4 },
 {  54521, ur_m329_swio11_noled_pr_ce },
 {  54522, ur_m329_swio11_noled_pr_ce },
 {  54523, ur_m329_swio11_noled_pr_ee_ce },
 {  54524, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  54526, ur_m329_swio11_noled_ee_hw },
 {  54528, ur_m329_swio11_noled_ee_ce_hw },
 {  54529, ur_m329_swio11_noled_ee_ce_hw },
 {  54530, ur_m329_swio11_lednop },
 {  54531, ur_m329_swio11_lednop_pr },
 {  54532, ur_m329_swio11_lednop_pr },
 {  54533, ur_m329_swio11_lednop_pr_ee },
 {  54534, ur_m329_swio11_lednop_pr_ee_u4 },
 {  54535, ur_m329_swio11_lednop_pr_ce },
 {  54536, ur_m329_swio11_lednop_pr_ce },
 {  54537, ur_m329_swio11_lednop_pr_ee_ce },
 {  54538, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  54540, ur_m329_swio11_lednop_ee_hw },
 {  54542, ur_m329_swio11_lednop_ee_ce_hw },
 {  54543, ur_m329_swio11_lednop_ee_ce_hw },
 {  54544, ur_m329_swio11_dual },
 {  54545, ur_m329_swio11_dual },
 {  54546, ur_m329_swio11_dual },
 {  54547, ur_m329_swio11_dual_pr_ee },
 {  54548, ur_m329_swio11_dual_pr_ee_u4 },
 {  54549, ur_m329_swio11_dual_pr_ce },
 {  54550, ur_m329_swio11_dual_pr_ce_u4 },
 {  54551, ur_m329_swio11_dual_pr_ee_ce },
 {  54552, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  54554, ur_m329_swio11_dual_ee_hw },
 {  54556, ur_m329_swio11_dual_ee_ce_hw },
 {  54557, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  54558, ur_m329_swio13_noled },
 {  54559, ur_m329_swio13_noled_pr },
 {  54560, ur_m329_swio13_noled_pr },
 {  54561, ur_m329_swio13_noled_pr_ee },
 {  54562, ur_m329_swio13_noled_pr_ee_u4 },
 {  54563, ur_m329_swio13_noled_pr_ce },
 {  54564, ur_m329_swio13_noled_pr_ce },
 {  54565, ur_m329_swio13_noled_pr_ee_ce },
 {  54566, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  54568, ur_m329_swio13_noled_ee_hw },
 {  54570, ur_m329_swio13_noled_ee_ce_hw },
 {  54571, ur_m329_swio13_noled_ee_ce_hw },
 {  54572, ur_m329_swio13_lednop },
 {  54573, ur_m329_swio13_lednop_pr },
 {  54574, ur_m329_swio13_lednop_pr },
 {  54575, ur_m329_swio13_lednop_pr_ee },
 {  54576, ur_m329_swio13_lednop_pr_ee_u4 },
 {  54577, ur_m329_swio13_lednop_pr_ce },
 {  54578, ur_m329_swio13_lednop_pr_ce_u4 },
 {  54579, ur_m329_swio13_lednop_pr_ee_ce },
 {  54580, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  54582, ur_m329_swio13_lednop_ee_hw },
 {  54584, ur_m329_swio13_lednop_ee_ce_hw },
 {  54585, ur_m329_swio13_lednop_ee_ce_hw },
 {  54586, ur_m329_swio13_dual },
 {  54587, ur_m329_swio13_dual },
 {  54588, ur_m329_swio13_dual },
 {  54589, ur_m329_swio13_dual_pr_ee },
 {  54590, ur_m329_swio13_dual_pr_ee_u4 },
 {  54591, ur_m329_swio13_dual_pr_ce },
 {  54592, ur_m329_swio13_dual_pr_ce_u4 },
 {  54593, ur_m329_swio13_dual_pr_ee_ce },
 {  54594, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  54596, ur_m329_swio13_dual_ee_hw },
 {  54598, ur_m329_swio13_dual_ee_ce_hw },
 {  54599, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  54600, ur_m329_swio14_noled },
 {  54601, ur_m329_swio14_noled_pr },
 {  54602, ur_m329_swio14_noled_pr },
 {  54603, ur_m329_swio14_noled_pr_ee },
 {  54604, ur_m329_swio14_noled_pr_ee_u4 },
 {  54605, ur_m329_swio14_noled_pr_ce },
 {  54606, ur_m329_swio14_noled_pr_ce },
 {  54607, ur_m329_swio14_noled_pr_ee_ce },
 {  54608, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  54610, ur_m329_swio14_noled_ee_hw },
 {  54612, ur_m329_swio14_noled_ee_ce_hw },
 {  54613, ur_m329_swio14_noled_ee_ce_hw },
 {  54614, ur_m329_swio14_lednop },
 {  54615, ur_m329_swio14_lednop_pr },
 {  54616, ur_m329_swio14_lednop_pr },
 {  54617, ur_m329_swio14_lednop_pr_ee },
 {  54618, ur_m329_swio14_lednop_pr_ee_u4 },
 {  54619, ur_m329_swio14_lednop_pr_ce },
 {  54620, ur_m329_swio14_lednop_pr_ce },
 {  54621, ur_m329_swio14_lednop_pr_ee_ce },
 {  54622, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  54624, ur_m329_swio14_lednop_ee_hw },
 {  54626, ur_m329_swio14_lednop_ee_ce_hw },
 {  54627, ur_m329_swio14_lednop_ee_ce_hw },
 {  54628, ur_m329_swio14_dual },
 {  54629, ur_m329_swio14_dual },
 {  54630, ur_m329_swio14_dual },
 {  54631, ur_m329_swio14_dual_pr_ee },
 {  54632, ur_m329_swio14_dual_pr_ee_u4 },
 {  54633, ur_m329_swio14_dual_pr_ce },
 {  54634, ur_m329_swio14_dual_pr_ce_u4 },
 {  54635, ur_m329_swio14_dual_pr_ee_ce },
 {  54636, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  54638, ur_m329_swio14_dual_ee_hw },
 {  54640, ur_m329_swio14_dual_ee_ce_hw },
 {  54641, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  54642, ur_m329_swio15_noled },
 {  54643, ur_m329_swio15_noled_pr },
 {  54644, ur_m329_swio15_noled_pr },
 {  54645, ur_m329_swio15_noled_pr_ee },
 {  54646, ur_m329_swio15_noled_pr_ee_u4 },
 {  54647, ur_m329_swio15_noled_pr_ce },
 {  54648, ur_m329_swio15_noled_pr_ce },
 {  54649, ur_m329_swio15_noled_pr_ee_ce },
 {  54650, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  54652, ur_m329_swio15_noled_ee_hw },
 {  54654, ur_m329_swio15_noled_ee_ce_hw },
 {  54655, ur_m329_swio15_noled_ee_ce_hw },
 {  54656, ur_m329_swio15_lednop },
 {  54657, ur_m329_swio15_lednop_pr },
 {  54658, ur_m329_swio15_lednop_pr },
 {  54659, ur_m329_swio15_lednop_pr_ee },
 {  54660, ur_m329_swio15_lednop_pr_ee_u4 },
 {  54661, ur_m329_swio15_lednop_pr_ce },
 {  54662, ur_m329_swio15_lednop_pr_ce_u4 },
 {  54663, ur_m329_swio15_lednop_pr_ee_ce },
 {  54664, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  54666, ur_m329_swio15_lednop_ee_hw },
 {  54668, ur_m329_swio15_lednop_ee_ce_hw },
 {  54669, ur_m329_swio15_lednop_ee_ce_hw },
 {  54670, ur_m329_swio15_dual },
 {  54671, ur_m329_swio15_dual },
 {  54672, ur_m329_swio15_dual },
 {  54673, ur_m329_swio15_dual_pr_ee },
 {  54674, ur_m329_swio15_dual_pr_ee_u4 },
 {  54675, ur_m329_swio15_dual_pr_ce },
 {  54676, ur_m329_swio15_dual_pr_ce_u4 },
 {  54677, ur_m329_swio15_dual_pr_ee_ce },
 {  54678, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  54680, ur_m329_swio15_dual_ee_hw },
 {  54682, ur_m329_swio15_dual_ee_ce_hw },
 {  54683, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  54684, ur_m329_autobaud_uart0_noled },
 {  54685, ur_m329_autobaud_uart0_noled },
 {  54686, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  54687, ur_m329_autobaud_uart0_noled_pr_ee },
 {  54688, ur_m329_autobaud_uart0_noled_pr_ee },
 {  54689, ur_m329_autobaud_uart0_noled_pr_ce },
 {  54690, ur_m329_autobaud_uart0_noled_pr_ce },
 {  54691, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  54692, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  54694, ur_m329_autobaud_uart0_noled_ee_hw },
 {  54696, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  54697, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  54698, ur_m329_autobaud_uart0_lednop },
 {  54699, ur_m329_autobaud_uart0_lednop_pr },
 {  54700, ur_m329_autobaud_uart0_lednop_pr },
 {  54701, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  54702, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  54703, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  54704, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  54705, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  54706, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  54708, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  54710, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  54711, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  54712, ur_m329_autobaud_uart0_dual },
 {  54713, ur_m329_autobaud_uart0_dual },
 {  54714, ur_m329_autobaud_uart0_dual },
 {  54715, ur_m329_autobaud_uart0_dual_pr_ee },
 {  54716, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  54717, ur_m329_autobaud_uart0_dual_pr_ce },
 {  54718, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  54719, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  54720, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  54722, ur_m329_autobaud_uart0_dual_ee_hw },
 {  54724, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  54725, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  54894, ur_m329_u1x8_uart0_noled },
 {  54895, ur_m329_u1x8_uart0_noled },
 {  54896, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  54897, ur_m329_u1x8_uart0_noled_pr_ee },
 {  54898, ur_m329_u1x8_uart0_noled_pr_ee },
 {  54899, ur_m329_u1x8_uart0_noled_pr_ce },
 {  54900, ur_m329_u1x8_uart0_noled_pr_ce },
 {  54901, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  54902, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  54904, ur_m329_u1x8_uart0_noled_ee_hw },
 {  54906, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  54907, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  54908, ur_m329_u1x8_uart0_lednop },
 {  54909, ur_m329_u1x8_uart0_lednop },
 {  54910, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  54911, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  54912, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  54913, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  54914, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  54915, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  54916, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  54918, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  54920, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  54921, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  54922, ur_m329_u1x8_uart0_dual },
 {  54923, ur_m329_u1x8_uart0_dual_pr },
 {  54924, ur_m329_u1x8_uart0_dual_pr },
 {  54925, ur_m329_u1x8_uart0_dual_pr_ee },
 {  54926, ur_m329_u1x8_uart0_dual_pr_ee },
 {  54927, ur_m329_u1x8_uart0_dual_pr_ce },
 {  54928, ur_m329_u1x8_uart0_dual_pr_ce },
 {  54929, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  54930, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  54932, ur_m329_u1x8_uart0_dual_ee_hw },
 {  54934, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  54935, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  55104, ur_m329_u1x12_uart0_noled },
 {  55105, ur_m329_u1x12_uart0_noled },
 {  55106, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  55107, ur_m329_u1x12_uart0_noled_pr_ee },
 {  55108, ur_m329_u1x12_uart0_noled_pr_ee },
 {  55109, ur_m329_u1x12_uart0_noled_pr_ce },
 {  55110, ur_m329_u1x12_uart0_noled_pr_ce },
 {  55111, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  55112, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  55114, ur_m329_u1x12_uart0_noled_ee_hw },
 {  55116, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  55117, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  55118, ur_m329_u1x12_uart0_lednop },
 {  55119, ur_m329_u1x12_uart0_lednop },
 {  55120, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  55121, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  55122, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  55123, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  55124, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  55125, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  55126, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  55128, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  55130, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  55131, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  55132, ur_m329_u1x12_uart0_dual },
 {  55133, ur_m329_u1x12_uart0_dual_pr },
 {  55134, ur_m329_u1x12_uart0_dual_pr },
 {  55135, ur_m329_u1x12_uart0_dual_pr_ee },
 {  55136, ur_m329_u1x12_uart0_dual_pr_ee },
 {  55137, ur_m329_u1x12_uart0_dual_pr_ce },
 {  55138, ur_m329_u1x12_uart0_dual_pr_ce },
 {  55139, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  55140, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  55142, ur_m329_u1x12_uart0_dual_ee_hw },
 {  55144, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  55145, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  55314, ur_m329_u2x8_uart0_noled },
 {  55315, ur_m329_u2x8_uart0_noled },
 {  55316, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  55317, ur_m329_u2x8_uart0_noled_pr_ee },
 {  55318, ur_m329_u2x8_uart0_noled_pr_ee },
 {  55319, ur_m329_u2x8_uart0_noled_pr_ce },
 {  55320, ur_m329_u2x8_uart0_noled_pr_ce },
 {  55321, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  55322, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  55324, ur_m329_u2x8_uart0_noled_ee_hw },
 {  55326, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  55327, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  55328, ur_m329_u2x8_uart0_lednop },
 {  55329, ur_m329_u2x8_uart0_lednop },
 {  55330, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  55331, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  55332, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  55333, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  55334, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  55335, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  55336, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  55338, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  55340, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  55341, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  55342, ur_m329_u2x8_uart0_dual },
 {  55343, ur_m329_u2x8_uart0_dual_pr },
 {  55344, ur_m329_u2x8_uart0_dual_pr },
 {  55345, ur_m329_u2x8_uart0_dual_pr_ee },
 {  55346, ur_m329_u2x8_uart0_dual_pr_ee },
 {  55347, ur_m329_u2x8_uart0_dual_pr_ce },
 {  55348, ur_m329_u2x8_uart0_dual_pr_ce },
 {  55349, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  55350, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  55352, ur_m329_u2x8_uart0_dual_ee_hw },
 {  55354, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  55355, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  55524, ur_m329_u2x12_uart0_noled },
 {  55525, ur_m329_u2x12_uart0_noled },
 {  55526, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  55527, ur_m329_u2x12_uart0_noled_pr_ee },
 {  55528, ur_m329_u2x12_uart0_noled_pr_ee },
 {  55529, ur_m329_u2x12_uart0_noled_pr_ce },
 {  55530, ur_m329_u2x12_uart0_noled_pr_ce },
 {  55531, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  55532, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  55534, ur_m329_u2x12_uart0_noled_ee_hw },
 {  55536, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  55537, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  55538, ur_m329_u2x12_uart0_lednop },
 {  55539, ur_m329_u2x12_uart0_lednop },
 {  55540, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  55541, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  55542, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  55543, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  55544, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  55545, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  55546, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  55548, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  55550, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  55551, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  55552, ur_m329_u2x12_uart0_dual },
 {  55553, ur_m329_u2x12_uart0_dual_pr },
 {  55554, ur_m329_u2x12_uart0_dual_pr },
 {  55555, ur_m329_u2x12_uart0_dual_pr_ee },
 {  55556, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  55557, ur_m329_u2x12_uart0_dual_pr_ce },
 {  55558, ur_m329_u2x12_uart0_dual_pr_ce },
 {  55559, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  55560, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  55562, ur_m329_u2x12_uart0_dual_ee_hw },
 {  55564, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  55565, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  55734, ur_m329_swio10_noled },
 {  55735, ur_m329_swio10_noled_pr },
 {  55736, ur_m329_swio10_noled_pr },
 {  55737, ur_m329_swio10_noled_pr_ee },
 {  55738, ur_m329_swio10_noled_pr_ee_u4 },
 {  55739, ur_m329_swio10_noled_pr_ce },
 {  55740, ur_m329_swio10_noled_pr_ce },
 {  55741, ur_m329_swio10_noled_pr_ee_ce },
 {  55742, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  55744, ur_m329_swio10_noled_ee_hw },
 {  55746, ur_m329_swio10_noled_ee_ce_hw },
 {  55747, ur_m329_swio10_noled_ee_ce_hw },
 {  55748, ur_m329_swio10_lednop },
 {  55749, ur_m329_swio10_lednop_pr },
 {  55750, ur_m329_swio10_lednop_pr },
 {  55751, ur_m329_swio10_lednop_pr_ee },
 {  55752, ur_m329_swio10_lednop_pr_ee_u4 },
 {  55753, ur_m329_swio10_lednop_pr_ce },
 {  55754, ur_m329_swio10_lednop_pr_ce },
 {  55755, ur_m329_swio10_lednop_pr_ee_ce },
 {  55756, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  55758, ur_m329_swio10_lednop_ee_hw },
 {  55760, ur_m329_swio10_lednop_ee_ce_hw },
 {  55761, ur_m329_swio10_lednop_ee_ce_hw },
 {  55762, ur_m329_swio10_dual },
 {  55763, ur_m329_swio10_dual },
 {  55764, ur_m329_swio10_dual },
 {  55765, ur_m329_swio10_dual_pr_ee },
 {  55766, ur_m329_swio10_dual_pr_ee_u4 },
 {  55767, ur_m329_swio10_dual_pr_ce },
 {  55768, ur_m329_swio10_dual_pr_ce_u4 },
 {  55769, ur_m329_swio10_dual_pr_ee_ce },
 {  55770, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  55772, ur_m329_swio10_dual_ee_hw },
 {  55774, ur_m329_swio10_dual_ee_ce_hw },
 {  55775, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  55776, ur_m329_swio11_noled },
 {  55777, ur_m329_swio11_noled_pr },
 {  55778, ur_m329_swio11_noled_pr },
 {  55779, ur_m329_swio11_noled_pr_ee },
 {  55780, ur_m329_swio11_noled_pr_ee_u4 },
 {  55781, ur_m329_swio11_noled_pr_ce },
 {  55782, ur_m329_swio11_noled_pr_ce },
 {  55783, ur_m329_swio11_noled_pr_ee_ce },
 {  55784, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  55786, ur_m329_swio11_noled_ee_hw },
 {  55788, ur_m329_swio11_noled_ee_ce_hw },
 {  55789, ur_m329_swio11_noled_ee_ce_hw },
 {  55790, ur_m329_swio11_lednop },
 {  55791, ur_m329_swio11_lednop_pr },
 {  55792, ur_m329_swio11_lednop_pr },
 {  55793, ur_m329_swio11_lednop_pr_ee },
 {  55794, ur_m329_swio11_lednop_pr_ee_u4 },
 {  55795, ur_m329_swio11_lednop_pr_ce },
 {  55796, ur_m329_swio11_lednop_pr_ce },
 {  55797, ur_m329_swio11_lednop_pr_ee_ce },
 {  55798, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  55800, ur_m329_swio11_lednop_ee_hw },
 {  55802, ur_m329_swio11_lednop_ee_ce_hw },
 {  55803, ur_m329_swio11_lednop_ee_ce_hw },
 {  55804, ur_m329_swio11_dual },
 {  55805, ur_m329_swio11_dual },
 {  55806, ur_m329_swio11_dual },
 {  55807, ur_m329_swio11_dual_pr_ee },
 {  55808, ur_m329_swio11_dual_pr_ee_u4 },
 {  55809, ur_m329_swio11_dual_pr_ce },
 {  55810, ur_m329_swio11_dual_pr_ce_u4 },
 {  55811, ur_m329_swio11_dual_pr_ee_ce },
 {  55812, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  55814, ur_m329_swio11_dual_ee_hw },
 {  55816, ur_m329_swio11_dual_ee_ce_hw },
 {  55817, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  55818, ur_m329_swio11_noled },
 {  55819, ur_m329_swio11_noled_pr },
 {  55820, ur_m329_swio11_noled_pr },
 {  55821, ur_m329_swio11_noled_pr_ee },
 {  55822, ur_m329_swio11_noled_pr_ee_u4 },
 {  55823, ur_m329_swio11_noled_pr_ce },
 {  55824, ur_m329_swio11_noled_pr_ce },
 {  55825, ur_m329_swio11_noled_pr_ee_ce },
 {  55826, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  55828, ur_m329_swio11_noled_ee_hw },
 {  55830, ur_m329_swio11_noled_ee_ce_hw },
 {  55831, ur_m329_swio11_noled_ee_ce_hw },
 {  55832, ur_m329_swio11_lednop },
 {  55833, ur_m329_swio11_lednop_pr },
 {  55834, ur_m329_swio11_lednop_pr },
 {  55835, ur_m329_swio11_lednop_pr_ee },
 {  55836, ur_m329_swio11_lednop_pr_ee_u4 },
 {  55837, ur_m329_swio11_lednop_pr_ce },
 {  55838, ur_m329_swio11_lednop_pr_ce },
 {  55839, ur_m329_swio11_lednop_pr_ee_ce },
 {  55840, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  55842, ur_m329_swio11_lednop_ee_hw },
 {  55844, ur_m329_swio11_lednop_ee_ce_hw },
 {  55845, ur_m329_swio11_lednop_ee_ce_hw },
 {  55846, ur_m329_swio11_dual },
 {  55847, ur_m329_swio11_dual },
 {  55848, ur_m329_swio11_dual },
 {  55849, ur_m329_swio11_dual_pr_ee },
 {  55850, ur_m329_swio11_dual_pr_ee_u4 },
 {  55851, ur_m329_swio11_dual_pr_ce },
 {  55852, ur_m329_swio11_dual_pr_ce_u4 },
 {  55853, ur_m329_swio11_dual_pr_ee_ce },
 {  55854, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  55856, ur_m329_swio11_dual_ee_hw },
 {  55858, ur_m329_swio11_dual_ee_ce_hw },
 {  55859, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  55860, ur_m329_swio13_noled },
 {  55861, ur_m329_swio13_noled_pr },
 {  55862, ur_m329_swio13_noled_pr },
 {  55863, ur_m329_swio13_noled_pr_ee },
 {  55864, ur_m329_swio13_noled_pr_ee_u4 },
 {  55865, ur_m329_swio13_noled_pr_ce },
 {  55866, ur_m329_swio13_noled_pr_ce },
 {  55867, ur_m329_swio13_noled_pr_ee_ce },
 {  55868, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  55870, ur_m329_swio13_noled_ee_hw },
 {  55872, ur_m329_swio13_noled_ee_ce_hw },
 {  55873, ur_m329_swio13_noled_ee_ce_hw },
 {  55874, ur_m329_swio13_lednop },
 {  55875, ur_m329_swio13_lednop_pr },
 {  55876, ur_m329_swio13_lednop_pr },
 {  55877, ur_m329_swio13_lednop_pr_ee },
 {  55878, ur_m329_swio13_lednop_pr_ee_u4 },
 {  55879, ur_m329_swio13_lednop_pr_ce },
 {  55880, ur_m329_swio13_lednop_pr_ce_u4 },
 {  55881, ur_m329_swio13_lednop_pr_ee_ce },
 {  55882, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  55884, ur_m329_swio13_lednop_ee_hw },
 {  55886, ur_m329_swio13_lednop_ee_ce_hw },
 {  55887, ur_m329_swio13_lednop_ee_ce_hw },
 {  55888, ur_m329_swio13_dual },
 {  55889, ur_m329_swio13_dual },
 {  55890, ur_m329_swio13_dual },
 {  55891, ur_m329_swio13_dual_pr_ee },
 {  55892, ur_m329_swio13_dual_pr_ee_u4 },
 {  55893, ur_m329_swio13_dual_pr_ce },
 {  55894, ur_m329_swio13_dual_pr_ce_u4 },
 {  55895, ur_m329_swio13_dual_pr_ee_ce },
 {  55896, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  55898, ur_m329_swio13_dual_ee_hw },
 {  55900, ur_m329_swio13_dual_ee_ce_hw },
 {  55901, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  55902, ur_m329_swio14_noled },
 {  55903, ur_m329_swio14_noled_pr },
 {  55904, ur_m329_swio14_noled_pr },
 {  55905, ur_m329_swio14_noled_pr_ee },
 {  55906, ur_m329_swio14_noled_pr_ee_u4 },
 {  55907, ur_m329_swio14_noled_pr_ce },
 {  55908, ur_m329_swio14_noled_pr_ce },
 {  55909, ur_m329_swio14_noled_pr_ee_ce },
 {  55910, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  55912, ur_m329_swio14_noled_ee_hw },
 {  55914, ur_m329_swio14_noled_ee_ce_hw },
 {  55915, ur_m329_swio14_noled_ee_ce_hw },
 {  55916, ur_m329_swio14_lednop },
 {  55917, ur_m329_swio14_lednop_pr },
 {  55918, ur_m329_swio14_lednop_pr },
 {  55919, ur_m329_swio14_lednop_pr_ee },
 {  55920, ur_m329_swio14_lednop_pr_ee_u4 },
 {  55921, ur_m329_swio14_lednop_pr_ce },
 {  55922, ur_m329_swio14_lednop_pr_ce },
 {  55923, ur_m329_swio14_lednop_pr_ee_ce },
 {  55924, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  55926, ur_m329_swio14_lednop_ee_hw },
 {  55928, ur_m329_swio14_lednop_ee_ce_hw },
 {  55929, ur_m329_swio14_lednop_ee_ce_hw },
 {  55930, ur_m329_swio14_dual },
 {  55931, ur_m329_swio14_dual },
 {  55932, ur_m329_swio14_dual },
 {  55933, ur_m329_swio14_dual_pr_ee },
 {  55934, ur_m329_swio14_dual_pr_ee_u4 },
 {  55935, ur_m329_swio14_dual_pr_ce },
 {  55936, ur_m329_swio14_dual_pr_ce_u4 },
 {  55937, ur_m329_swio14_dual_pr_ee_ce },
 {  55938, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  55940, ur_m329_swio14_dual_ee_hw },
 {  55942, ur_m329_swio14_dual_ee_ce_hw },
 {  55943, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  55944, ur_m329_swio15_noled },
 {  55945, ur_m329_swio15_noled_pr },
 {  55946, ur_m329_swio15_noled_pr },
 {  55947, ur_m329_swio15_noled_pr_ee },
 {  55948, ur_m329_swio15_noled_pr_ee_u4 },
 {  55949, ur_m329_swio15_noled_pr_ce },
 {  55950, ur_m329_swio15_noled_pr_ce },
 {  55951, ur_m329_swio15_noled_pr_ee_ce },
 {  55952, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  55954, ur_m329_swio15_noled_ee_hw },
 {  55956, ur_m329_swio15_noled_ee_ce_hw },
 {  55957, ur_m329_swio15_noled_ee_ce_hw },
 {  55958, ur_m329_swio15_lednop },
 {  55959, ur_m329_swio15_lednop_pr },
 {  55960, ur_m329_swio15_lednop_pr },
 {  55961, ur_m329_swio15_lednop_pr_ee },
 {  55962, ur_m329_swio15_lednop_pr_ee_u4 },
 {  55963, ur_m329_swio15_lednop_pr_ce },
 {  55964, ur_m329_swio15_lednop_pr_ce_u4 },
 {  55965, ur_m329_swio15_lednop_pr_ee_ce },
 {  55966, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  55968, ur_m329_swio15_lednop_ee_hw },
 {  55970, ur_m329_swio15_lednop_ee_ce_hw },
 {  55971, ur_m329_swio15_lednop_ee_ce_hw },
 {  55972, ur_m329_swio15_dual },
 {  55973, ur_m329_swio15_dual },
 {  55974, ur_m329_swio15_dual },
 {  55975, ur_m329_swio15_dual_pr_ee },
 {  55976, ur_m329_swio15_dual_pr_ee_u4 },
 {  55977, ur_m329_swio15_dual_pr_ce },
 {  55978, ur_m329_swio15_dual_pr_ce_u4 },
 {  55979, ur_m329_swio15_dual_pr_ee_ce },
 {  55980, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  55982, ur_m329_swio15_dual_ee_hw },
 {  55984, ur_m329_swio15_dual_ee_ce_hw },
 {  55985, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  55986, ur_m329_autobaud_uart0_noled },
 {  55987, ur_m329_autobaud_uart0_noled },
 {  55988, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  55989, ur_m329_autobaud_uart0_noled_pr_ee },
 {  55990, ur_m329_autobaud_uart0_noled_pr_ee },
 {  55991, ur_m329_autobaud_uart0_noled_pr_ce },
 {  55992, ur_m329_autobaud_uart0_noled_pr_ce },
 {  55993, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  55994, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  55996, ur_m329_autobaud_uart0_noled_ee_hw },
 {  55998, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  55999, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  56000, ur_m329_autobaud_uart0_lednop },
 {  56001, ur_m329_autobaud_uart0_lednop_pr },
 {  56002, ur_m329_autobaud_uart0_lednop_pr },
 {  56003, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  56004, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  56005, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  56006, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  56007, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  56008, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  56010, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  56012, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  56013, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  56014, ur_m329_autobaud_uart0_dual },
 {  56015, ur_m329_autobaud_uart0_dual },
 {  56016, ur_m329_autobaud_uart0_dual },
 {  56017, ur_m329_autobaud_uart0_dual_pr_ee },
 {  56018, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  56019, ur_m329_autobaud_uart0_dual_pr_ce },
 {  56020, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  56021, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  56022, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  56024, ur_m329_autobaud_uart0_dual_ee_hw },
 {  56026, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  56027, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  56196, ur_m329_u1x8_uart0_noled },
 {  56197, ur_m329_u1x8_uart0_noled },
 {  56198, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  56199, ur_m329_u1x8_uart0_noled_pr_ee },
 {  56200, ur_m329_u1x8_uart0_noled_pr_ee },
 {  56201, ur_m329_u1x8_uart0_noled_pr_ce },
 {  56202, ur_m329_u1x8_uart0_noled_pr_ce },
 {  56203, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  56204, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  56206, ur_m329_u1x8_uart0_noled_ee_hw },
 {  56208, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  56209, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  56210, ur_m329_u1x8_uart0_lednop },
 {  56211, ur_m329_u1x8_uart0_lednop },
 {  56212, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  56213, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  56214, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  56215, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  56216, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  56217, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  56218, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  56220, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  56222, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  56223, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  56224, ur_m329_u1x8_uart0_dual },
 {  56225, ur_m329_u1x8_uart0_dual_pr },
 {  56226, ur_m329_u1x8_uart0_dual_pr },
 {  56227, ur_m329_u1x8_uart0_dual_pr_ee },
 {  56228, ur_m329_u1x8_uart0_dual_pr_ee },
 {  56229, ur_m329_u1x8_uart0_dual_pr_ce },
 {  56230, ur_m329_u1x8_uart0_dual_pr_ce },
 {  56231, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  56232, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  56234, ur_m329_u1x8_uart0_dual_ee_hw },
 {  56236, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  56237, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  56406, ur_m329_u1x12_uart0_noled },
 {  56407, ur_m329_u1x12_uart0_noled },
 {  56408, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  56409, ur_m329_u1x12_uart0_noled_pr_ee },
 {  56410, ur_m329_u1x12_uart0_noled_pr_ee },
 {  56411, ur_m329_u1x12_uart0_noled_pr_ce },
 {  56412, ur_m329_u1x12_uart0_noled_pr_ce },
 {  56413, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  56414, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  56416, ur_m329_u1x12_uart0_noled_ee_hw },
 {  56418, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  56419, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  56420, ur_m329_u1x12_uart0_lednop },
 {  56421, ur_m329_u1x12_uart0_lednop },
 {  56422, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  56423, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  56424, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  56425, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  56426, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  56427, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  56428, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  56430, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  56432, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  56433, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  56434, ur_m329_u1x12_uart0_dual },
 {  56435, ur_m329_u1x12_uart0_dual_pr },
 {  56436, ur_m329_u1x12_uart0_dual_pr },
 {  56437, ur_m329_u1x12_uart0_dual_pr_ee },
 {  56438, ur_m329_u1x12_uart0_dual_pr_ee },
 {  56439, ur_m329_u1x12_uart0_dual_pr_ce },
 {  56440, ur_m329_u1x12_uart0_dual_pr_ce },
 {  56441, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  56442, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  56444, ur_m329_u1x12_uart0_dual_ee_hw },
 {  56446, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  56447, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  56616, ur_m329_u2x8_uart0_noled },
 {  56617, ur_m329_u2x8_uart0_noled },
 {  56618, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  56619, ur_m329_u2x8_uart0_noled_pr_ee },
 {  56620, ur_m329_u2x8_uart0_noled_pr_ee },
 {  56621, ur_m329_u2x8_uart0_noled_pr_ce },
 {  56622, ur_m329_u2x8_uart0_noled_pr_ce },
 {  56623, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  56624, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  56626, ur_m329_u2x8_uart0_noled_ee_hw },
 {  56628, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  56629, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  56630, ur_m329_u2x8_uart0_lednop },
 {  56631, ur_m329_u2x8_uart0_lednop },
 {  56632, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  56633, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  56634, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  56635, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  56636, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  56637, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  56638, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  56640, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  56642, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  56643, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  56644, ur_m329_u2x8_uart0_dual },
 {  56645, ur_m329_u2x8_uart0_dual_pr },
 {  56646, ur_m329_u2x8_uart0_dual_pr },
 {  56647, ur_m329_u2x8_uart0_dual_pr_ee },
 {  56648, ur_m329_u2x8_uart0_dual_pr_ee },
 {  56649, ur_m329_u2x8_uart0_dual_pr_ce },
 {  56650, ur_m329_u2x8_uart0_dual_pr_ce },
 {  56651, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  56652, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  56654, ur_m329_u2x8_uart0_dual_ee_hw },
 {  56656, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  56657, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  56826, ur_m329_u2x12_uart0_noled },
 {  56827, ur_m329_u2x12_uart0_noled },
 {  56828, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  56829, ur_m329_u2x12_uart0_noled_pr_ee },
 {  56830, ur_m329_u2x12_uart0_noled_pr_ee },
 {  56831, ur_m329_u2x12_uart0_noled_pr_ce },
 {  56832, ur_m329_u2x12_uart0_noled_pr_ce },
 {  56833, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  56834, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  56836, ur_m329_u2x12_uart0_noled_ee_hw },
 {  56838, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  56839, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  56840, ur_m329_u2x12_uart0_lednop },
 {  56841, ur_m329_u2x12_uart0_lednop },
 {  56842, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  56843, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  56844, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  56845, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  56846, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  56847, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  56848, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  56850, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  56852, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  56853, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  56854, ur_m329_u2x12_uart0_dual },
 {  56855, ur_m329_u2x12_uart0_dual_pr },
 {  56856, ur_m329_u2x12_uart0_dual_pr },
 {  56857, ur_m329_u2x12_uart0_dual_pr_ee },
 {  56858, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  56859, ur_m329_u2x12_uart0_dual_pr_ce },
 {  56860, ur_m329_u2x12_uart0_dual_pr_ce },
 {  56861, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  56862, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  56864, ur_m329_u2x12_uart0_dual_ee_hw },
 {  56866, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  56867, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  57036, ur_m329_swio10_noled },
 {  57037, ur_m329_swio10_noled_pr },
 {  57038, ur_m329_swio10_noled_pr },
 {  57039, ur_m329_swio10_noled_pr_ee },
 {  57040, ur_m329_swio10_noled_pr_ee_u4 },
 {  57041, ur_m329_swio10_noled_pr_ce },
 {  57042, ur_m329_swio10_noled_pr_ce },
 {  57043, ur_m329_swio10_noled_pr_ee_ce },
 {  57044, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  57046, ur_m329_swio10_noled_ee_hw },
 {  57048, ur_m329_swio10_noled_ee_ce_hw },
 {  57049, ur_m329_swio10_noled_ee_ce_hw },
 {  57050, ur_m329_swio10_lednop },
 {  57051, ur_m329_swio10_lednop_pr },
 {  57052, ur_m329_swio10_lednop_pr },
 {  57053, ur_m329_swio10_lednop_pr_ee },
 {  57054, ur_m329_swio10_lednop_pr_ee_u4 },
 {  57055, ur_m329_swio10_lednop_pr_ce },
 {  57056, ur_m329_swio10_lednop_pr_ce },
 {  57057, ur_m329_swio10_lednop_pr_ee_ce },
 {  57058, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  57060, ur_m329_swio10_lednop_ee_hw },
 {  57062, ur_m329_swio10_lednop_ee_ce_hw },
 {  57063, ur_m329_swio10_lednop_ee_ce_hw },
 {  57064, ur_m329_swio10_dual },
 {  57065, ur_m329_swio10_dual },
 {  57066, ur_m329_swio10_dual },
 {  57067, ur_m329_swio10_dual_pr_ee },
 {  57068, ur_m329_swio10_dual_pr_ee_u4 },
 {  57069, ur_m329_swio10_dual_pr_ce },
 {  57070, ur_m329_swio10_dual_pr_ce_u4 },
 {  57071, ur_m329_swio10_dual_pr_ee_ce },
 {  57072, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  57074, ur_m329_swio10_dual_ee_hw },
 {  57076, ur_m329_swio10_dual_ee_ce_hw },
 {  57077, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  57078, ur_m329_swio11_noled },
 {  57079, ur_m329_swio11_noled_pr },
 {  57080, ur_m329_swio11_noled_pr },
 {  57081, ur_m329_swio11_noled_pr_ee },
 {  57082, ur_m329_swio11_noled_pr_ee_u4 },
 {  57083, ur_m329_swio11_noled_pr_ce },
 {  57084, ur_m329_swio11_noled_pr_ce },
 {  57085, ur_m329_swio11_noled_pr_ee_ce },
 {  57086, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  57088, ur_m329_swio11_noled_ee_hw },
 {  57090, ur_m329_swio11_noled_ee_ce_hw },
 {  57091, ur_m329_swio11_noled_ee_ce_hw },
 {  57092, ur_m329_swio11_lednop },
 {  57093, ur_m329_swio11_lednop_pr },
 {  57094, ur_m329_swio11_lednop_pr },
 {  57095, ur_m329_swio11_lednop_pr_ee },
 {  57096, ur_m329_swio11_lednop_pr_ee_u4 },
 {  57097, ur_m329_swio11_lednop_pr_ce },
 {  57098, ur_m329_swio11_lednop_pr_ce },
 {  57099, ur_m329_swio11_lednop_pr_ee_ce },
 {  57100, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  57102, ur_m329_swio11_lednop_ee_hw },
 {  57104, ur_m329_swio11_lednop_ee_ce_hw },
 {  57105, ur_m329_swio11_lednop_ee_ce_hw },
 {  57106, ur_m329_swio11_dual },
 {  57107, ur_m329_swio11_dual },
 {  57108, ur_m329_swio11_dual },
 {  57109, ur_m329_swio11_dual_pr_ee },
 {  57110, ur_m329_swio11_dual_pr_ee_u4 },
 {  57111, ur_m329_swio11_dual_pr_ce },
 {  57112, ur_m329_swio11_dual_pr_ce_u4 },
 {  57113, ur_m329_swio11_dual_pr_ee_ce },
 {  57114, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  57116, ur_m329_swio11_dual_ee_hw },
 {  57118, ur_m329_swio11_dual_ee_ce_hw },
 {  57119, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  57120, ur_m329_swio11_noled },
 {  57121, ur_m329_swio11_noled_pr },
 {  57122, ur_m329_swio11_noled_pr },
 {  57123, ur_m329_swio11_noled_pr_ee },
 {  57124, ur_m329_swio11_noled_pr_ee_u4 },
 {  57125, ur_m329_swio11_noled_pr_ce },
 {  57126, ur_m329_swio11_noled_pr_ce },
 {  57127, ur_m329_swio11_noled_pr_ee_ce },
 {  57128, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  57130, ur_m329_swio11_noled_ee_hw },
 {  57132, ur_m329_swio11_noled_ee_ce_hw },
 {  57133, ur_m329_swio11_noled_ee_ce_hw },
 {  57134, ur_m329_swio11_lednop },
 {  57135, ur_m329_swio11_lednop_pr },
 {  57136, ur_m329_swio11_lednop_pr },
 {  57137, ur_m329_swio11_lednop_pr_ee },
 {  57138, ur_m329_swio11_lednop_pr_ee_u4 },
 {  57139, ur_m329_swio11_lednop_pr_ce },
 {  57140, ur_m329_swio11_lednop_pr_ce },
 {  57141, ur_m329_swio11_lednop_pr_ee_ce },
 {  57142, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  57144, ur_m329_swio11_lednop_ee_hw },
 {  57146, ur_m329_swio11_lednop_ee_ce_hw },
 {  57147, ur_m329_swio11_lednop_ee_ce_hw },
 {  57148, ur_m329_swio11_dual },
 {  57149, ur_m329_swio11_dual },
 {  57150, ur_m329_swio11_dual },
 {  57151, ur_m329_swio11_dual_pr_ee },
 {  57152, ur_m329_swio11_dual_pr_ee_u4 },
 {  57153, ur_m329_swio11_dual_pr_ce },
 {  57154, ur_m329_swio11_dual_pr_ce_u4 },
 {  57155, ur_m329_swio11_dual_pr_ee_ce },
 {  57156, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  57158, ur_m329_swio11_dual_ee_hw },
 {  57160, ur_m329_swio11_dual_ee_ce_hw },
 {  57161, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  57162, ur_m329_swio13_noled },
 {  57163, ur_m329_swio13_noled_pr },
 {  57164, ur_m329_swio13_noled_pr },
 {  57165, ur_m329_swio13_noled_pr_ee },
 {  57166, ur_m329_swio13_noled_pr_ee_u4 },
 {  57167, ur_m329_swio13_noled_pr_ce },
 {  57168, ur_m329_swio13_noled_pr_ce },
 {  57169, ur_m329_swio13_noled_pr_ee_ce },
 {  57170, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  57172, ur_m329_swio13_noled_ee_hw },
 {  57174, ur_m329_swio13_noled_ee_ce_hw },
 {  57175, ur_m329_swio13_noled_ee_ce_hw },
 {  57176, ur_m329_swio13_lednop },
 {  57177, ur_m329_swio13_lednop_pr },
 {  57178, ur_m329_swio13_lednop_pr },
 {  57179, ur_m329_swio13_lednop_pr_ee },
 {  57180, ur_m329_swio13_lednop_pr_ee_u4 },
 {  57181, ur_m329_swio13_lednop_pr_ce },
 {  57182, ur_m329_swio13_lednop_pr_ce_u4 },
 {  57183, ur_m329_swio13_lednop_pr_ee_ce },
 {  57184, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  57186, ur_m329_swio13_lednop_ee_hw },
 {  57188, ur_m329_swio13_lednop_ee_ce_hw },
 {  57189, ur_m329_swio13_lednop_ee_ce_hw },
 {  57190, ur_m329_swio13_dual },
 {  57191, ur_m329_swio13_dual },
 {  57192, ur_m329_swio13_dual },
 {  57193, ur_m329_swio13_dual_pr_ee },
 {  57194, ur_m329_swio13_dual_pr_ee_u4 },
 {  57195, ur_m329_swio13_dual_pr_ce },
 {  57196, ur_m329_swio13_dual_pr_ce_u4 },
 {  57197, ur_m329_swio13_dual_pr_ee_ce },
 {  57198, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  57200, ur_m329_swio13_dual_ee_hw },
 {  57202, ur_m329_swio13_dual_ee_ce_hw },
 {  57203, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  57204, ur_m329_swio14_noled },
 {  57205, ur_m329_swio14_noled_pr },
 {  57206, ur_m329_swio14_noled_pr },
 {  57207, ur_m329_swio14_noled_pr_ee },
 {  57208, ur_m329_swio14_noled_pr_ee_u4 },
 {  57209, ur_m329_swio14_noled_pr_ce },
 {  57210, ur_m329_swio14_noled_pr_ce },
 {  57211, ur_m329_swio14_noled_pr_ee_ce },
 {  57212, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  57214, ur_m329_swio14_noled_ee_hw },
 {  57216, ur_m329_swio14_noled_ee_ce_hw },
 {  57217, ur_m329_swio14_noled_ee_ce_hw },
 {  57218, ur_m329_swio14_lednop },
 {  57219, ur_m329_swio14_lednop_pr },
 {  57220, ur_m329_swio14_lednop_pr },
 {  57221, ur_m329_swio14_lednop_pr_ee },
 {  57222, ur_m329_swio14_lednop_pr_ee_u4 },
 {  57223, ur_m329_swio14_lednop_pr_ce },
 {  57224, ur_m329_swio14_lednop_pr_ce },
 {  57225, ur_m329_swio14_lednop_pr_ee_ce },
 {  57226, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  57228, ur_m329_swio14_lednop_ee_hw },
 {  57230, ur_m329_swio14_lednop_ee_ce_hw },
 {  57231, ur_m329_swio14_lednop_ee_ce_hw },
 {  57232, ur_m329_swio14_dual },
 {  57233, ur_m329_swio14_dual },
 {  57234, ur_m329_swio14_dual },
 {  57235, ur_m329_swio14_dual_pr_ee },
 {  57236, ur_m329_swio14_dual_pr_ee_u4 },
 {  57237, ur_m329_swio14_dual_pr_ce },
 {  57238, ur_m329_swio14_dual_pr_ce_u4 },
 {  57239, ur_m329_swio14_dual_pr_ee_ce },
 {  57240, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  57242, ur_m329_swio14_dual_ee_hw },
 {  57244, ur_m329_swio14_dual_ee_ce_hw },
 {  57245, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  57246, ur_m329_swio15_noled },
 {  57247, ur_m329_swio15_noled_pr },
 {  57248, ur_m329_swio15_noled_pr },
 {  57249, ur_m329_swio15_noled_pr_ee },
 {  57250, ur_m329_swio15_noled_pr_ee_u4 },
 {  57251, ur_m329_swio15_noled_pr_ce },
 {  57252, ur_m329_swio15_noled_pr_ce },
 {  57253, ur_m329_swio15_noled_pr_ee_ce },
 {  57254, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  57256, ur_m329_swio15_noled_ee_hw },
 {  57258, ur_m329_swio15_noled_ee_ce_hw },
 {  57259, ur_m329_swio15_noled_ee_ce_hw },
 {  57260, ur_m329_swio15_lednop },
 {  57261, ur_m329_swio15_lednop_pr },
 {  57262, ur_m329_swio15_lednop_pr },
 {  57263, ur_m329_swio15_lednop_pr_ee },
 {  57264, ur_m329_swio15_lednop_pr_ee_u4 },
 {  57265, ur_m329_swio15_lednop_pr_ce },
 {  57266, ur_m329_swio15_lednop_pr_ce_u4 },
 {  57267, ur_m329_swio15_lednop_pr_ee_ce },
 {  57268, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  57270, ur_m329_swio15_lednop_ee_hw },
 {  57272, ur_m329_swio15_lednop_ee_ce_hw },
 {  57273, ur_m329_swio15_lednop_ee_ce_hw },
 {  57274, ur_m329_swio15_dual },
 {  57275, ur_m329_swio15_dual },
 {  57276, ur_m329_swio15_dual },
 {  57277, ur_m329_swio15_dual_pr_ee },
 {  57278, ur_m329_swio15_dual_pr_ee_u4 },
 {  57279, ur_m329_swio15_dual_pr_ce },
 {  57280, ur_m329_swio15_dual_pr_ce_u4 },
 {  57281, ur_m329_swio15_dual_pr_ee_ce },
 {  57282, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  57284, ur_m329_swio15_dual_ee_hw },
 {  57286, ur_m329_swio15_dual_ee_ce_hw },
 {  57287, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  57288, ur_m329_autobaud_uart0_noled },
 {  57289, ur_m329_autobaud_uart0_noled },
 {  57290, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  57291, ur_m329_autobaud_uart0_noled_pr_ee },
 {  57292, ur_m329_autobaud_uart0_noled_pr_ee },
 {  57293, ur_m329_autobaud_uart0_noled_pr_ce },
 {  57294, ur_m329_autobaud_uart0_noled_pr_ce },
 {  57295, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  57296, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  57298, ur_m329_autobaud_uart0_noled_ee_hw },
 {  57300, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  57301, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  57302, ur_m329_autobaud_uart0_lednop },
 {  57303, ur_m329_autobaud_uart0_lednop_pr },
 {  57304, ur_m329_autobaud_uart0_lednop_pr },
 {  57305, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  57306, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  57307, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  57308, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  57309, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  57310, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  57312, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  57314, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  57315, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  57316, ur_m329_autobaud_uart0_dual },
 {  57317, ur_m329_autobaud_uart0_dual },
 {  57318, ur_m329_autobaud_uart0_dual },
 {  57319, ur_m329_autobaud_uart0_dual_pr_ee },
 {  57320, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  57321, ur_m329_autobaud_uart0_dual_pr_ce },
 {  57322, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  57323, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  57324, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  57326, ur_m329_autobaud_uart0_dual_ee_hw },
 {  57328, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  57329, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  57498, ur_m329_u1x8_uart0_noled },
 {  57499, ur_m329_u1x8_uart0_noled },
 {  57500, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  57501, ur_m329_u1x8_uart0_noled_pr_ee },
 {  57502, ur_m329_u1x8_uart0_noled_pr_ee },
 {  57503, ur_m329_u1x8_uart0_noled_pr_ce },
 {  57504, ur_m329_u1x8_uart0_noled_pr_ce },
 {  57505, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  57506, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  57508, ur_m329_u1x8_uart0_noled_ee_hw },
 {  57510, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  57511, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  57512, ur_m329_u1x8_uart0_lednop },
 {  57513, ur_m329_u1x8_uart0_lednop },
 {  57514, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  57515, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  57516, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  57517, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  57518, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  57519, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  57520, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  57522, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  57524, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  57525, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  57526, ur_m329_u1x8_uart0_dual },
 {  57527, ur_m329_u1x8_uart0_dual_pr },
 {  57528, ur_m329_u1x8_uart0_dual_pr },
 {  57529, ur_m329_u1x8_uart0_dual_pr_ee },
 {  57530, ur_m329_u1x8_uart0_dual_pr_ee },
 {  57531, ur_m329_u1x8_uart0_dual_pr_ce },
 {  57532, ur_m329_u1x8_uart0_dual_pr_ce },
 {  57533, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  57534, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  57536, ur_m329_u1x8_uart0_dual_ee_hw },
 {  57538, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  57539, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  57708, ur_m329_u1x12_uart0_noled },
 {  57709, ur_m329_u1x12_uart0_noled },
 {  57710, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  57711, ur_m329_u1x12_uart0_noled_pr_ee },
 {  57712, ur_m329_u1x12_uart0_noled_pr_ee },
 {  57713, ur_m329_u1x12_uart0_noled_pr_ce },
 {  57714, ur_m329_u1x12_uart0_noled_pr_ce },
 {  57715, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  57716, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  57718, ur_m329_u1x12_uart0_noled_ee_hw },
 {  57720, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  57721, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  57722, ur_m329_u1x12_uart0_lednop },
 {  57723, ur_m329_u1x12_uart0_lednop },
 {  57724, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  57725, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  57726, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  57727, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  57728, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  57729, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  57730, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  57732, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  57734, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  57735, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  57736, ur_m329_u1x12_uart0_dual },
 {  57737, ur_m329_u1x12_uart0_dual_pr },
 {  57738, ur_m329_u1x12_uart0_dual_pr },
 {  57739, ur_m329_u1x12_uart0_dual_pr_ee },
 {  57740, ur_m329_u1x12_uart0_dual_pr_ee },
 {  57741, ur_m329_u1x12_uart0_dual_pr_ce },
 {  57742, ur_m329_u1x12_uart0_dual_pr_ce },
 {  57743, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  57744, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  57746, ur_m329_u1x12_uart0_dual_ee_hw },
 {  57748, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  57749, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  57918, ur_m329_u2x8_uart0_noled },
 {  57919, ur_m329_u2x8_uart0_noled },
 {  57920, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  57921, ur_m329_u2x8_uart0_noled_pr_ee },
 {  57922, ur_m329_u2x8_uart0_noled_pr_ee },
 {  57923, ur_m329_u2x8_uart0_noled_pr_ce },
 {  57924, ur_m329_u2x8_uart0_noled_pr_ce },
 {  57925, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  57926, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  57928, ur_m329_u2x8_uart0_noled_ee_hw },
 {  57930, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  57931, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  57932, ur_m329_u2x8_uart0_lednop },
 {  57933, ur_m329_u2x8_uart0_lednop },
 {  57934, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  57935, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  57936, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  57937, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  57938, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  57939, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  57940, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  57942, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  57944, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  57945, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  57946, ur_m329_u2x8_uart0_dual },
 {  57947, ur_m329_u2x8_uart0_dual_pr },
 {  57948, ur_m329_u2x8_uart0_dual_pr },
 {  57949, ur_m329_u2x8_uart0_dual_pr_ee },
 {  57950, ur_m329_u2x8_uart0_dual_pr_ee },
 {  57951, ur_m329_u2x8_uart0_dual_pr_ce },
 {  57952, ur_m329_u2x8_uart0_dual_pr_ce },
 {  57953, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  57954, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  57956, ur_m329_u2x8_uart0_dual_ee_hw },
 {  57958, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  57959, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  58128, ur_m329_u2x12_uart0_noled },
 {  58129, ur_m329_u2x12_uart0_noled },
 {  58130, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  58131, ur_m329_u2x12_uart0_noled_pr_ee },
 {  58132, ur_m329_u2x12_uart0_noled_pr_ee },
 {  58133, ur_m329_u2x12_uart0_noled_pr_ce },
 {  58134, ur_m329_u2x12_uart0_noled_pr_ce },
 {  58135, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  58136, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  58138, ur_m329_u2x12_uart0_noled_ee_hw },
 {  58140, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  58141, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  58142, ur_m329_u2x12_uart0_lednop },
 {  58143, ur_m329_u2x12_uart0_lednop },
 {  58144, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  58145, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  58146, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  58147, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  58148, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  58149, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  58150, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  58152, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  58154, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  58155, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  58156, ur_m329_u2x12_uart0_dual },
 {  58157, ur_m329_u2x12_uart0_dual_pr },
 {  58158, ur_m329_u2x12_uart0_dual_pr },
 {  58159, ur_m329_u2x12_uart0_dual_pr_ee },
 {  58160, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  58161, ur_m329_u2x12_uart0_dual_pr_ce },
 {  58162, ur_m329_u2x12_uart0_dual_pr_ce },
 {  58163, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  58164, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  58166, ur_m329_u2x12_uart0_dual_ee_hw },
 {  58168, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  58169, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  58338, ur_m329_swio10_noled },
 {  58339, ur_m329_swio10_noled_pr },
 {  58340, ur_m329_swio10_noled_pr },
 {  58341, ur_m329_swio10_noled_pr_ee },
 {  58342, ur_m329_swio10_noled_pr_ee_u4 },
 {  58343, ur_m329_swio10_noled_pr_ce },
 {  58344, ur_m329_swio10_noled_pr_ce },
 {  58345, ur_m329_swio10_noled_pr_ee_ce },
 {  58346, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  58348, ur_m329_swio10_noled_ee_hw },
 {  58350, ur_m329_swio10_noled_ee_ce_hw },
 {  58351, ur_m329_swio10_noled_ee_ce_hw },
 {  58352, ur_m329_swio10_lednop },
 {  58353, ur_m329_swio10_lednop_pr },
 {  58354, ur_m329_swio10_lednop_pr },
 {  58355, ur_m329_swio10_lednop_pr_ee },
 {  58356, ur_m329_swio10_lednop_pr_ee_u4 },
 {  58357, ur_m329_swio10_lednop_pr_ce },
 {  58358, ur_m329_swio10_lednop_pr_ce },
 {  58359, ur_m329_swio10_lednop_pr_ee_ce },
 {  58360, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  58362, ur_m329_swio10_lednop_ee_hw },
 {  58364, ur_m329_swio10_lednop_ee_ce_hw },
 {  58365, ur_m329_swio10_lednop_ee_ce_hw },
 {  58366, ur_m329_swio10_dual },
 {  58367, ur_m329_swio10_dual },
 {  58368, ur_m329_swio10_dual },
 {  58369, ur_m329_swio10_dual_pr_ee },
 {  58370, ur_m329_swio10_dual_pr_ee_u4 },
 {  58371, ur_m329_swio10_dual_pr_ce },
 {  58372, ur_m329_swio10_dual_pr_ce_u4 },
 {  58373, ur_m329_swio10_dual_pr_ee_ce },
 {  58374, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  58376, ur_m329_swio10_dual_ee_hw },
 {  58378, ur_m329_swio10_dual_ee_ce_hw },
 {  58379, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  58380, ur_m329_swio11_noled },
 {  58381, ur_m329_swio11_noled_pr },
 {  58382, ur_m329_swio11_noled_pr },
 {  58383, ur_m329_swio11_noled_pr_ee },
 {  58384, ur_m329_swio11_noled_pr_ee_u4 },
 {  58385, ur_m329_swio11_noled_pr_ce },
 {  58386, ur_m329_swio11_noled_pr_ce },
 {  58387, ur_m329_swio11_noled_pr_ee_ce },
 {  58388, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  58390, ur_m329_swio11_noled_ee_hw },
 {  58392, ur_m329_swio11_noled_ee_ce_hw },
 {  58393, ur_m329_swio11_noled_ee_ce_hw },
 {  58394, ur_m329_swio11_lednop },
 {  58395, ur_m329_swio11_lednop_pr },
 {  58396, ur_m329_swio11_lednop_pr },
 {  58397, ur_m329_swio11_lednop_pr_ee },
 {  58398, ur_m329_swio11_lednop_pr_ee_u4 },
 {  58399, ur_m329_swio11_lednop_pr_ce },
 {  58400, ur_m329_swio11_lednop_pr_ce },
 {  58401, ur_m329_swio11_lednop_pr_ee_ce },
 {  58402, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  58404, ur_m329_swio11_lednop_ee_hw },
 {  58406, ur_m329_swio11_lednop_ee_ce_hw },
 {  58407, ur_m329_swio11_lednop_ee_ce_hw },
 {  58408, ur_m329_swio11_dual },
 {  58409, ur_m329_swio11_dual },
 {  58410, ur_m329_swio11_dual },
 {  58411, ur_m329_swio11_dual_pr_ee },
 {  58412, ur_m329_swio11_dual_pr_ee_u4 },
 {  58413, ur_m329_swio11_dual_pr_ce },
 {  58414, ur_m329_swio11_dual_pr_ce_u4 },
 {  58415, ur_m329_swio11_dual_pr_ee_ce },
 {  58416, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  58418, ur_m329_swio11_dual_ee_hw },
 {  58420, ur_m329_swio11_dual_ee_ce_hw },
 {  58421, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  58422, ur_m329_swio11_noled },
 {  58423, ur_m329_swio11_noled_pr },
 {  58424, ur_m329_swio11_noled_pr },
 {  58425, ur_m329_swio11_noled_pr_ee },
 {  58426, ur_m329_swio11_noled_pr_ee_u4 },
 {  58427, ur_m329_swio11_noled_pr_ce },
 {  58428, ur_m329_swio11_noled_pr_ce },
 {  58429, ur_m329_swio11_noled_pr_ee_ce },
 {  58430, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  58432, ur_m329_swio11_noled_ee_hw },
 {  58434, ur_m329_swio11_noled_ee_ce_hw },
 {  58435, ur_m329_swio11_noled_ee_ce_hw },
 {  58436, ur_m329_swio11_lednop },
 {  58437, ur_m329_swio11_lednop_pr },
 {  58438, ur_m329_swio11_lednop_pr },
 {  58439, ur_m329_swio11_lednop_pr_ee },
 {  58440, ur_m329_swio11_lednop_pr_ee_u4 },
 {  58441, ur_m329_swio11_lednop_pr_ce },
 {  58442, ur_m329_swio11_lednop_pr_ce },
 {  58443, ur_m329_swio11_lednop_pr_ee_ce },
 {  58444, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  58446, ur_m329_swio11_lednop_ee_hw },
 {  58448, ur_m329_swio11_lednop_ee_ce_hw },
 {  58449, ur_m329_swio11_lednop_ee_ce_hw },
 {  58450, ur_m329_swio11_dual },
 {  58451, ur_m329_swio11_dual },
 {  58452, ur_m329_swio11_dual },
 {  58453, ur_m329_swio11_dual_pr_ee },
 {  58454, ur_m329_swio11_dual_pr_ee_u4 },
 {  58455, ur_m329_swio11_dual_pr_ce },
 {  58456, ur_m329_swio11_dual_pr_ce_u4 },
 {  58457, ur_m329_swio11_dual_pr_ee_ce },
 {  58458, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  58460, ur_m329_swio11_dual_ee_hw },
 {  58462, ur_m329_swio11_dual_ee_ce_hw },
 {  58463, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  58464, ur_m329_swio13_noled },
 {  58465, ur_m329_swio13_noled_pr },
 {  58466, ur_m329_swio13_noled_pr },
 {  58467, ur_m329_swio13_noled_pr_ee },
 {  58468, ur_m329_swio13_noled_pr_ee_u4 },
 {  58469, ur_m329_swio13_noled_pr_ce },
 {  58470, ur_m329_swio13_noled_pr_ce },
 {  58471, ur_m329_swio13_noled_pr_ee_ce },
 {  58472, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  58474, ur_m329_swio13_noled_ee_hw },
 {  58476, ur_m329_swio13_noled_ee_ce_hw },
 {  58477, ur_m329_swio13_noled_ee_ce_hw },
 {  58478, ur_m329_swio13_lednop },
 {  58479, ur_m329_swio13_lednop_pr },
 {  58480, ur_m329_swio13_lednop_pr },
 {  58481, ur_m329_swio13_lednop_pr_ee },
 {  58482, ur_m329_swio13_lednop_pr_ee_u4 },
 {  58483, ur_m329_swio13_lednop_pr_ce },
 {  58484, ur_m329_swio13_lednop_pr_ce_u4 },
 {  58485, ur_m329_swio13_lednop_pr_ee_ce },
 {  58486, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  58488, ur_m329_swio13_lednop_ee_hw },
 {  58490, ur_m329_swio13_lednop_ee_ce_hw },
 {  58491, ur_m329_swio13_lednop_ee_ce_hw },
 {  58492, ur_m329_swio13_dual },
 {  58493, ur_m329_swio13_dual },
 {  58494, ur_m329_swio13_dual },
 {  58495, ur_m329_swio13_dual_pr_ee },
 {  58496, ur_m329_swio13_dual_pr_ee_u4 },
 {  58497, ur_m329_swio13_dual_pr_ce },
 {  58498, ur_m329_swio13_dual_pr_ce_u4 },
 {  58499, ur_m329_swio13_dual_pr_ee_ce },
 {  58500, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  58502, ur_m329_swio13_dual_ee_hw },
 {  58504, ur_m329_swio13_dual_ee_ce_hw },
 {  58505, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  58506, ur_m329_swio14_noled },
 {  58507, ur_m329_swio14_noled_pr },
 {  58508, ur_m329_swio14_noled_pr },
 {  58509, ur_m329_swio14_noled_pr_ee },
 {  58510, ur_m329_swio14_noled_pr_ee_u4 },
 {  58511, ur_m329_swio14_noled_pr_ce },
 {  58512, ur_m329_swio14_noled_pr_ce },
 {  58513, ur_m329_swio14_noled_pr_ee_ce },
 {  58514, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  58516, ur_m329_swio14_noled_ee_hw },
 {  58518, ur_m329_swio14_noled_ee_ce_hw },
 {  58519, ur_m329_swio14_noled_ee_ce_hw },
 {  58520, ur_m329_swio14_lednop },
 {  58521, ur_m329_swio14_lednop_pr },
 {  58522, ur_m329_swio14_lednop_pr },
 {  58523, ur_m329_swio14_lednop_pr_ee },
 {  58524, ur_m329_swio14_lednop_pr_ee_u4 },
 {  58525, ur_m329_swio14_lednop_pr_ce },
 {  58526, ur_m329_swio14_lednop_pr_ce },
 {  58527, ur_m329_swio14_lednop_pr_ee_ce },
 {  58528, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  58530, ur_m329_swio14_lednop_ee_hw },
 {  58532, ur_m329_swio14_lednop_ee_ce_hw },
 {  58533, ur_m329_swio14_lednop_ee_ce_hw },
 {  58534, ur_m329_swio14_dual },
 {  58535, ur_m329_swio14_dual },
 {  58536, ur_m329_swio14_dual },
 {  58537, ur_m329_swio14_dual_pr_ee },
 {  58538, ur_m329_swio14_dual_pr_ee_u4 },
 {  58539, ur_m329_swio14_dual_pr_ce },
 {  58540, ur_m329_swio14_dual_pr_ce_u4 },
 {  58541, ur_m329_swio14_dual_pr_ee_ce },
 {  58542, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  58544, ur_m329_swio14_dual_ee_hw },
 {  58546, ur_m329_swio14_dual_ee_ce_hw },
 {  58547, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  58548, ur_m329_swio15_noled },
 {  58549, ur_m329_swio15_noled_pr },
 {  58550, ur_m329_swio15_noled_pr },
 {  58551, ur_m329_swio15_noled_pr_ee },
 {  58552, ur_m329_swio15_noled_pr_ee_u4 },
 {  58553, ur_m329_swio15_noled_pr_ce },
 {  58554, ur_m329_swio15_noled_pr_ce },
 {  58555, ur_m329_swio15_noled_pr_ee_ce },
 {  58556, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  58558, ur_m329_swio15_noled_ee_hw },
 {  58560, ur_m329_swio15_noled_ee_ce_hw },
 {  58561, ur_m329_swio15_noled_ee_ce_hw },
 {  58562, ur_m329_swio15_lednop },
 {  58563, ur_m329_swio15_lednop_pr },
 {  58564, ur_m329_swio15_lednop_pr },
 {  58565, ur_m329_swio15_lednop_pr_ee },
 {  58566, ur_m329_swio15_lednop_pr_ee_u4 },
 {  58567, ur_m329_swio15_lednop_pr_ce },
 {  58568, ur_m329_swio15_lednop_pr_ce_u4 },
 {  58569, ur_m329_swio15_lednop_pr_ee_ce },
 {  58570, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  58572, ur_m329_swio15_lednop_ee_hw },
 {  58574, ur_m329_swio15_lednop_ee_ce_hw },
 {  58575, ur_m329_swio15_lednop_ee_ce_hw },
 {  58576, ur_m329_swio15_dual },
 {  58577, ur_m329_swio15_dual },
 {  58578, ur_m329_swio15_dual },
 {  58579, ur_m329_swio15_dual_pr_ee },
 {  58580, ur_m329_swio15_dual_pr_ee_u4 },
 {  58581, ur_m329_swio15_dual_pr_ce },
 {  58582, ur_m329_swio15_dual_pr_ce_u4 },
 {  58583, ur_m329_swio15_dual_pr_ee_ce },
 {  58584, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  58586, ur_m329_swio15_dual_ee_hw },
 {  58588, ur_m329_swio15_dual_ee_ce_hw },
 {  58589, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  58590, ur_m329_autobaud_uart0_noled },
 {  58591, ur_m329_autobaud_uart0_noled },
 {  58592, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  58593, ur_m329_autobaud_uart0_noled_pr_ee },
 {  58594, ur_m329_autobaud_uart0_noled_pr_ee },
 {  58595, ur_m329_autobaud_uart0_noled_pr_ce },
 {  58596, ur_m329_autobaud_uart0_noled_pr_ce },
 {  58597, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  58598, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  58600, ur_m329_autobaud_uart0_noled_ee_hw },
 {  58602, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  58603, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  58604, ur_m329_autobaud_uart0_lednop },
 {  58605, ur_m329_autobaud_uart0_lednop_pr },
 {  58606, ur_m329_autobaud_uart0_lednop_pr },
 {  58607, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  58608, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  58609, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  58610, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  58611, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  58612, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  58614, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  58616, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  58617, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  58618, ur_m329_autobaud_uart0_dual },
 {  58619, ur_m329_autobaud_uart0_dual },
 {  58620, ur_m329_autobaud_uart0_dual },
 {  58621, ur_m329_autobaud_uart0_dual_pr_ee },
 {  58622, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  58623, ur_m329_autobaud_uart0_dual_pr_ce },
 {  58624, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  58625, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  58626, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  58628, ur_m329_autobaud_uart0_dual_ee_hw },
 {  58630, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  58631, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  58800, ur_m329_u1x8_uart0_noled },
 {  58801, ur_m329_u1x8_uart0_noled },
 {  58802, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  58803, ur_m329_u1x8_uart0_noled_pr_ee },
 {  58804, ur_m329_u1x8_uart0_noled_pr_ee },
 {  58805, ur_m329_u1x8_uart0_noled_pr_ce },
 {  58806, ur_m329_u1x8_uart0_noled_pr_ce },
 {  58807, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  58808, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  58810, ur_m329_u1x8_uart0_noled_ee_hw },
 {  58812, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  58813, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  58814, ur_m329_u1x8_uart0_lednop },
 {  58815, ur_m329_u1x8_uart0_lednop },
 {  58816, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  58817, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  58818, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  58819, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  58820, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  58821, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  58822, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  58824, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  58826, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  58827, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  58828, ur_m329_u1x8_uart0_dual },
 {  58829, ur_m329_u1x8_uart0_dual_pr },
 {  58830, ur_m329_u1x8_uart0_dual_pr },
 {  58831, ur_m329_u1x8_uart0_dual_pr_ee },
 {  58832, ur_m329_u1x8_uart0_dual_pr_ee },
 {  58833, ur_m329_u1x8_uart0_dual_pr_ce },
 {  58834, ur_m329_u1x8_uart0_dual_pr_ce },
 {  58835, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  58836, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  58838, ur_m329_u1x8_uart0_dual_ee_hw },
 {  58840, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  58841, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  59010, ur_m329_u1x12_uart0_noled },
 {  59011, ur_m329_u1x12_uart0_noled },
 {  59012, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  59013, ur_m329_u1x12_uart0_noled_pr_ee },
 {  59014, ur_m329_u1x12_uart0_noled_pr_ee },
 {  59015, ur_m329_u1x12_uart0_noled_pr_ce },
 {  59016, ur_m329_u1x12_uart0_noled_pr_ce },
 {  59017, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  59018, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  59020, ur_m329_u1x12_uart0_noled_ee_hw },
 {  59022, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  59023, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  59024, ur_m329_u1x12_uart0_lednop },
 {  59025, ur_m329_u1x12_uart0_lednop },
 {  59026, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  59027, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  59028, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  59029, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  59030, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  59031, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  59032, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  59034, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  59036, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  59037, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  59038, ur_m329_u1x12_uart0_dual },
 {  59039, ur_m329_u1x12_uart0_dual_pr },
 {  59040, ur_m329_u1x12_uart0_dual_pr },
 {  59041, ur_m329_u1x12_uart0_dual_pr_ee },
 {  59042, ur_m329_u1x12_uart0_dual_pr_ee },
 {  59043, ur_m329_u1x12_uart0_dual_pr_ce },
 {  59044, ur_m329_u1x12_uart0_dual_pr_ce },
 {  59045, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  59046, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  59048, ur_m329_u1x12_uart0_dual_ee_hw },
 {  59050, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  59051, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  59220, ur_m329_u2x8_uart0_noled },
 {  59221, ur_m329_u2x8_uart0_noled },
 {  59222, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  59223, ur_m329_u2x8_uart0_noled_pr_ee },
 {  59224, ur_m329_u2x8_uart0_noled_pr_ee },
 {  59225, ur_m329_u2x8_uart0_noled_pr_ce },
 {  59226, ur_m329_u2x8_uart0_noled_pr_ce },
 {  59227, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  59228, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  59230, ur_m329_u2x8_uart0_noled_ee_hw },
 {  59232, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  59233, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  59234, ur_m329_u2x8_uart0_lednop },
 {  59235, ur_m329_u2x8_uart0_lednop },
 {  59236, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  59237, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  59238, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  59239, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  59240, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  59241, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  59242, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  59244, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  59246, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  59247, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  59248, ur_m329_u2x8_uart0_dual },
 {  59249, ur_m329_u2x8_uart0_dual_pr },
 {  59250, ur_m329_u2x8_uart0_dual_pr },
 {  59251, ur_m329_u2x8_uart0_dual_pr_ee },
 {  59252, ur_m329_u2x8_uart0_dual_pr_ee },
 {  59253, ur_m329_u2x8_uart0_dual_pr_ce },
 {  59254, ur_m329_u2x8_uart0_dual_pr_ce },
 {  59255, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  59256, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  59258, ur_m329_u2x8_uart0_dual_ee_hw },
 {  59260, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  59261, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  59430, ur_m329_u2x12_uart0_noled },
 {  59431, ur_m329_u2x12_uart0_noled },
 {  59432, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  59433, ur_m329_u2x12_uart0_noled_pr_ee },
 {  59434, ur_m329_u2x12_uart0_noled_pr_ee },
 {  59435, ur_m329_u2x12_uart0_noled_pr_ce },
 {  59436, ur_m329_u2x12_uart0_noled_pr_ce },
 {  59437, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  59438, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  59440, ur_m329_u2x12_uart0_noled_ee_hw },
 {  59442, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  59443, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  59444, ur_m329_u2x12_uart0_lednop },
 {  59445, ur_m329_u2x12_uart0_lednop },
 {  59446, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  59447, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  59448, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  59449, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  59450, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  59451, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  59452, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  59454, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  59456, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  59457, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  59458, ur_m329_u2x12_uart0_dual },
 {  59459, ur_m329_u2x12_uart0_dual_pr },
 {  59460, ur_m329_u2x12_uart0_dual_pr },
 {  59461, ur_m329_u2x12_uart0_dual_pr_ee },
 {  59462, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  59463, ur_m329_u2x12_uart0_dual_pr_ce },
 {  59464, ur_m329_u2x12_uart0_dual_pr_ce },
 {  59465, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  59466, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  59468, ur_m329_u2x12_uart0_dual_ee_hw },
 {  59470, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  59471, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  59640, ur_m329_swio10_noled },
 {  59641, ur_m329_swio10_noled_pr },
 {  59642, ur_m329_swio10_noled_pr },
 {  59643, ur_m329_swio10_noled_pr_ee },
 {  59644, ur_m329_swio10_noled_pr_ee_u4 },
 {  59645, ur_m329_swio10_noled_pr_ce },
 {  59646, ur_m329_swio10_noled_pr_ce },
 {  59647, ur_m329_swio10_noled_pr_ee_ce },
 {  59648, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  59650, ur_m329_swio10_noled_ee_hw },
 {  59652, ur_m329_swio10_noled_ee_ce_hw },
 {  59653, ur_m329_swio10_noled_ee_ce_hw },
 {  59654, ur_m329_swio10_lednop },
 {  59655, ur_m329_swio10_lednop_pr },
 {  59656, ur_m329_swio10_lednop_pr },
 {  59657, ur_m329_swio10_lednop_pr_ee },
 {  59658, ur_m329_swio10_lednop_pr_ee_u4 },
 {  59659, ur_m329_swio10_lednop_pr_ce },
 {  59660, ur_m329_swio10_lednop_pr_ce },
 {  59661, ur_m329_swio10_lednop_pr_ee_ce },
 {  59662, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  59664, ur_m329_swio10_lednop_ee_hw },
 {  59666, ur_m329_swio10_lednop_ee_ce_hw },
 {  59667, ur_m329_swio10_lednop_ee_ce_hw },
 {  59668, ur_m329_swio10_dual },
 {  59669, ur_m329_swio10_dual },
 {  59670, ur_m329_swio10_dual },
 {  59671, ur_m329_swio10_dual_pr_ee },
 {  59672, ur_m329_swio10_dual_pr_ee_u4 },
 {  59673, ur_m329_swio10_dual_pr_ce },
 {  59674, ur_m329_swio10_dual_pr_ce_u4 },
 {  59675, ur_m329_swio10_dual_pr_ee_ce },
 {  59676, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  59678, ur_m329_swio10_dual_ee_hw },
 {  59680, ur_m329_swio10_dual_ee_ce_hw },
 {  59681, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  59682, ur_m329_swio11_noled },
 {  59683, ur_m329_swio11_noled_pr },
 {  59684, ur_m329_swio11_noled_pr },
 {  59685, ur_m329_swio11_noled_pr_ee },
 {  59686, ur_m329_swio11_noled_pr_ee_u4 },
 {  59687, ur_m329_swio11_noled_pr_ce },
 {  59688, ur_m329_swio11_noled_pr_ce },
 {  59689, ur_m329_swio11_noled_pr_ee_ce },
 {  59690, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  59692, ur_m329_swio11_noled_ee_hw },
 {  59694, ur_m329_swio11_noled_ee_ce_hw },
 {  59695, ur_m329_swio11_noled_ee_ce_hw },
 {  59696, ur_m329_swio11_lednop },
 {  59697, ur_m329_swio11_lednop_pr },
 {  59698, ur_m329_swio11_lednop_pr },
 {  59699, ur_m329_swio11_lednop_pr_ee },
 {  59700, ur_m329_swio11_lednop_pr_ee_u4 },
 {  59701, ur_m329_swio11_lednop_pr_ce },
 {  59702, ur_m329_swio11_lednop_pr_ce },
 {  59703, ur_m329_swio11_lednop_pr_ee_ce },
 {  59704, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  59706, ur_m329_swio11_lednop_ee_hw },
 {  59708, ur_m329_swio11_lednop_ee_ce_hw },
 {  59709, ur_m329_swio11_lednop_ee_ce_hw },
 {  59710, ur_m329_swio11_dual },
 {  59711, ur_m329_swio11_dual },
 {  59712, ur_m329_swio11_dual },
 {  59713, ur_m329_swio11_dual_pr_ee },
 {  59714, ur_m329_swio11_dual_pr_ee_u4 },
 {  59715, ur_m329_swio11_dual_pr_ce },
 {  59716, ur_m329_swio11_dual_pr_ce_u4 },
 {  59717, ur_m329_swio11_dual_pr_ee_ce },
 {  59718, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  59720, ur_m329_swio11_dual_ee_hw },
 {  59722, ur_m329_swio11_dual_ee_ce_hw },
 {  59723, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  59724, ur_m329_swio11_noled },
 {  59725, ur_m329_swio11_noled_pr },
 {  59726, ur_m329_swio11_noled_pr },
 {  59727, ur_m329_swio11_noled_pr_ee },
 {  59728, ur_m329_swio11_noled_pr_ee_u4 },
 {  59729, ur_m329_swio11_noled_pr_ce },
 {  59730, ur_m329_swio11_noled_pr_ce },
 {  59731, ur_m329_swio11_noled_pr_ee_ce },
 {  59732, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  59734, ur_m329_swio11_noled_ee_hw },
 {  59736, ur_m329_swio11_noled_ee_ce_hw },
 {  59737, ur_m329_swio11_noled_ee_ce_hw },
 {  59738, ur_m329_swio11_lednop },
 {  59739, ur_m329_swio11_lednop_pr },
 {  59740, ur_m329_swio11_lednop_pr },
 {  59741, ur_m329_swio11_lednop_pr_ee },
 {  59742, ur_m329_swio11_lednop_pr_ee_u4 },
 {  59743, ur_m329_swio11_lednop_pr_ce },
 {  59744, ur_m329_swio11_lednop_pr_ce },
 {  59745, ur_m329_swio11_lednop_pr_ee_ce },
 {  59746, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  59748, ur_m329_swio11_lednop_ee_hw },
 {  59750, ur_m329_swio11_lednop_ee_ce_hw },
 {  59751, ur_m329_swio11_lednop_ee_ce_hw },
 {  59752, ur_m329_swio11_dual },
 {  59753, ur_m329_swio11_dual },
 {  59754, ur_m329_swio11_dual },
 {  59755, ur_m329_swio11_dual_pr_ee },
 {  59756, ur_m329_swio11_dual_pr_ee_u4 },
 {  59757, ur_m329_swio11_dual_pr_ce },
 {  59758, ur_m329_swio11_dual_pr_ce_u4 },
 {  59759, ur_m329_swio11_dual_pr_ee_ce },
 {  59760, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  59762, ur_m329_swio11_dual_ee_hw },
 {  59764, ur_m329_swio11_dual_ee_ce_hw },
 {  59765, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  59766, ur_m329_swio13_noled },
 {  59767, ur_m329_swio13_noled_pr },
 {  59768, ur_m329_swio13_noled_pr },
 {  59769, ur_m329_swio13_noled_pr_ee },
 {  59770, ur_m329_swio13_noled_pr_ee_u4 },
 {  59771, ur_m329_swio13_noled_pr_ce },
 {  59772, ur_m329_swio13_noled_pr_ce },
 {  59773, ur_m329_swio13_noled_pr_ee_ce },
 {  59774, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  59776, ur_m329_swio13_noled_ee_hw },
 {  59778, ur_m329_swio13_noled_ee_ce_hw },
 {  59779, ur_m329_swio13_noled_ee_ce_hw },
 {  59780, ur_m329_swio13_lednop },
 {  59781, ur_m329_swio13_lednop_pr },
 {  59782, ur_m329_swio13_lednop_pr },
 {  59783, ur_m329_swio13_lednop_pr_ee },
 {  59784, ur_m329_swio13_lednop_pr_ee_u4 },
 {  59785, ur_m329_swio13_lednop_pr_ce },
 {  59786, ur_m329_swio13_lednop_pr_ce_u4 },
 {  59787, ur_m329_swio13_lednop_pr_ee_ce },
 {  59788, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  59790, ur_m329_swio13_lednop_ee_hw },
 {  59792, ur_m329_swio13_lednop_ee_ce_hw },
 {  59793, ur_m329_swio13_lednop_ee_ce_hw },
 {  59794, ur_m329_swio13_dual },
 {  59795, ur_m329_swio13_dual },
 {  59796, ur_m329_swio13_dual },
 {  59797, ur_m329_swio13_dual_pr_ee },
 {  59798, ur_m329_swio13_dual_pr_ee_u4 },
 {  59799, ur_m329_swio13_dual_pr_ce },
 {  59800, ur_m329_swio13_dual_pr_ce_u4 },
 {  59801, ur_m329_swio13_dual_pr_ee_ce },
 {  59802, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  59804, ur_m329_swio13_dual_ee_hw },
 {  59806, ur_m329_swio13_dual_ee_ce_hw },
 {  59807, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  59808, ur_m329_swio14_noled },
 {  59809, ur_m329_swio14_noled_pr },
 {  59810, ur_m329_swio14_noled_pr },
 {  59811, ur_m329_swio14_noled_pr_ee },
 {  59812, ur_m329_swio14_noled_pr_ee_u4 },
 {  59813, ur_m329_swio14_noled_pr_ce },
 {  59814, ur_m329_swio14_noled_pr_ce },
 {  59815, ur_m329_swio14_noled_pr_ee_ce },
 {  59816, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  59818, ur_m329_swio14_noled_ee_hw },
 {  59820, ur_m329_swio14_noled_ee_ce_hw },
 {  59821, ur_m329_swio14_noled_ee_ce_hw },
 {  59822, ur_m329_swio14_lednop },
 {  59823, ur_m329_swio14_lednop_pr },
 {  59824, ur_m329_swio14_lednop_pr },
 {  59825, ur_m329_swio14_lednop_pr_ee },
 {  59826, ur_m329_swio14_lednop_pr_ee_u4 },
 {  59827, ur_m329_swio14_lednop_pr_ce },
 {  59828, ur_m329_swio14_lednop_pr_ce },
 {  59829, ur_m329_swio14_lednop_pr_ee_ce },
 {  59830, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  59832, ur_m329_swio14_lednop_ee_hw },
 {  59834, ur_m329_swio14_lednop_ee_ce_hw },
 {  59835, ur_m329_swio14_lednop_ee_ce_hw },
 {  59836, ur_m329_swio14_dual },
 {  59837, ur_m329_swio14_dual },
 {  59838, ur_m329_swio14_dual },
 {  59839, ur_m329_swio14_dual_pr_ee },
 {  59840, ur_m329_swio14_dual_pr_ee_u4 },
 {  59841, ur_m329_swio14_dual_pr_ce },
 {  59842, ur_m329_swio14_dual_pr_ce_u4 },
 {  59843, ur_m329_swio14_dual_pr_ee_ce },
 {  59844, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  59846, ur_m329_swio14_dual_ee_hw },
 {  59848, ur_m329_swio14_dual_ee_ce_hw },
 {  59849, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  59850, ur_m329_swio15_noled },
 {  59851, ur_m329_swio15_noled_pr },
 {  59852, ur_m329_swio15_noled_pr },
 {  59853, ur_m329_swio15_noled_pr_ee },
 {  59854, ur_m329_swio15_noled_pr_ee_u4 },
 {  59855, ur_m329_swio15_noled_pr_ce },
 {  59856, ur_m329_swio15_noled_pr_ce },
 {  59857, ur_m329_swio15_noled_pr_ee_ce },
 {  59858, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  59860, ur_m329_swio15_noled_ee_hw },
 {  59862, ur_m329_swio15_noled_ee_ce_hw },
 {  59863, ur_m329_swio15_noled_ee_ce_hw },
 {  59864, ur_m329_swio15_lednop },
 {  59865, ur_m329_swio15_lednop_pr },
 {  59866, ur_m329_swio15_lednop_pr },
 {  59867, ur_m329_swio15_lednop_pr_ee },
 {  59868, ur_m329_swio15_lednop_pr_ee_u4 },
 {  59869, ur_m329_swio15_lednop_pr_ce },
 {  59870, ur_m329_swio15_lednop_pr_ce_u4 },
 {  59871, ur_m329_swio15_lednop_pr_ee_ce },
 {  59872, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  59874, ur_m329_swio15_lednop_ee_hw },
 {  59876, ur_m329_swio15_lednop_ee_ce_hw },
 {  59877, ur_m329_swio15_lednop_ee_ce_hw },
 {  59878, ur_m329_swio15_dual },
 {  59879, ur_m329_swio15_dual },
 {  59880, ur_m329_swio15_dual },
 {  59881, ur_m329_swio15_dual_pr_ee },
 {  59882, ur_m329_swio15_dual_pr_ee_u4 },
 {  59883, ur_m329_swio15_dual_pr_ce },
 {  59884, ur_m329_swio15_dual_pr_ce_u4 },
 {  59885, ur_m329_swio15_dual_pr_ee_ce },
 {  59886, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  59888, ur_m329_swio15_dual_ee_hw },
 {  59890, ur_m329_swio15_dual_ee_ce_hw },
 {  59891, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  59892, ur_m329_autobaud_uart0_noled },
 {  59893, ur_m329_autobaud_uart0_noled },
 {  59894, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  59895, ur_m329_autobaud_uart0_noled_pr_ee },
 {  59896, ur_m329_autobaud_uart0_noled_pr_ee },
 {  59897, ur_m329_autobaud_uart0_noled_pr_ce },
 {  59898, ur_m329_autobaud_uart0_noled_pr_ce },
 {  59899, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  59900, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  59902, ur_m329_autobaud_uart0_noled_ee_hw },
 {  59904, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  59905, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  59906, ur_m329_autobaud_uart0_lednop },
 {  59907, ur_m329_autobaud_uart0_lednop_pr },
 {  59908, ur_m329_autobaud_uart0_lednop_pr },
 {  59909, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  59910, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  59911, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  59912, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  59913, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  59914, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  59916, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  59918, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  59919, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  59920, ur_m329_autobaud_uart0_dual },
 {  59921, ur_m329_autobaud_uart0_dual },
 {  59922, ur_m329_autobaud_uart0_dual },
 {  59923, ur_m329_autobaud_uart0_dual_pr_ee },
 {  59924, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  59925, ur_m329_autobaud_uart0_dual_pr_ce },
 {  59926, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  59927, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  59928, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  59930, ur_m329_autobaud_uart0_dual_ee_hw },
 {  59932, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  59933, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  60102, ur_m329_u1x8_uart0_noled },
 {  60103, ur_m329_u1x8_uart0_noled },
 {  60104, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  60105, ur_m329_u1x8_uart0_noled_pr_ee },
 {  60106, ur_m329_u1x8_uart0_noled_pr_ee },
 {  60107, ur_m329_u1x8_uart0_noled_pr_ce },
 {  60108, ur_m329_u1x8_uart0_noled_pr_ce },
 {  60109, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  60110, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  60112, ur_m329_u1x8_uart0_noled_ee_hw },
 {  60114, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  60115, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  60116, ur_m329_u1x8_uart0_lednop },
 {  60117, ur_m329_u1x8_uart0_lednop },
 {  60118, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  60119, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  60120, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  60121, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  60122, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  60123, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  60124, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  60126, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  60128, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  60129, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  60130, ur_m329_u1x8_uart0_dual },
 {  60131, ur_m329_u1x8_uart0_dual_pr },
 {  60132, ur_m329_u1x8_uart0_dual_pr },
 {  60133, ur_m329_u1x8_uart0_dual_pr_ee },
 {  60134, ur_m329_u1x8_uart0_dual_pr_ee },
 {  60135, ur_m329_u1x8_uart0_dual_pr_ce },
 {  60136, ur_m329_u1x8_uart0_dual_pr_ce },
 {  60137, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  60138, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  60140, ur_m329_u1x8_uart0_dual_ee_hw },
 {  60142, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  60143, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  60312, ur_m329_u1x12_uart0_noled },
 {  60313, ur_m329_u1x12_uart0_noled },
 {  60314, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  60315, ur_m329_u1x12_uart0_noled_pr_ee },
 {  60316, ur_m329_u1x12_uart0_noled_pr_ee },
 {  60317, ur_m329_u1x12_uart0_noled_pr_ce },
 {  60318, ur_m329_u1x12_uart0_noled_pr_ce },
 {  60319, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  60320, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  60322, ur_m329_u1x12_uart0_noled_ee_hw },
 {  60324, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  60325, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  60326, ur_m329_u1x12_uart0_lednop },
 {  60327, ur_m329_u1x12_uart0_lednop },
 {  60328, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  60329, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  60330, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  60331, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  60332, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  60333, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  60334, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  60336, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  60338, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  60339, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  60340, ur_m329_u1x12_uart0_dual },
 {  60341, ur_m329_u1x12_uart0_dual_pr },
 {  60342, ur_m329_u1x12_uart0_dual_pr },
 {  60343, ur_m329_u1x12_uart0_dual_pr_ee },
 {  60344, ur_m329_u1x12_uart0_dual_pr_ee },
 {  60345, ur_m329_u1x12_uart0_dual_pr_ce },
 {  60346, ur_m329_u1x12_uart0_dual_pr_ce },
 {  60347, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  60348, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  60350, ur_m329_u1x12_uart0_dual_ee_hw },
 {  60352, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  60353, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  60522, ur_m329_u2x8_uart0_noled },
 {  60523, ur_m329_u2x8_uart0_noled },
 {  60524, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  60525, ur_m329_u2x8_uart0_noled_pr_ee },
 {  60526, ur_m329_u2x8_uart0_noled_pr_ee },
 {  60527, ur_m329_u2x8_uart0_noled_pr_ce },
 {  60528, ur_m329_u2x8_uart0_noled_pr_ce },
 {  60529, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  60530, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  60532, ur_m329_u2x8_uart0_noled_ee_hw },
 {  60534, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  60535, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  60536, ur_m329_u2x8_uart0_lednop },
 {  60537, ur_m329_u2x8_uart0_lednop },
 {  60538, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  60539, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  60540, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  60541, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  60542, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  60543, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  60544, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  60546, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  60548, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  60549, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  60550, ur_m329_u2x8_uart0_dual },
 {  60551, ur_m329_u2x8_uart0_dual_pr },
 {  60552, ur_m329_u2x8_uart0_dual_pr },
 {  60553, ur_m329_u2x8_uart0_dual_pr_ee },
 {  60554, ur_m329_u2x8_uart0_dual_pr_ee },
 {  60555, ur_m329_u2x8_uart0_dual_pr_ce },
 {  60556, ur_m329_u2x8_uart0_dual_pr_ce },
 {  60557, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  60558, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  60560, ur_m329_u2x8_uart0_dual_ee_hw },
 {  60562, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  60563, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  60732, ur_m329_u2x12_uart0_noled },
 {  60733, ur_m329_u2x12_uart0_noled },
 {  60734, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  60735, ur_m329_u2x12_uart0_noled_pr_ee },
 {  60736, ur_m329_u2x12_uart0_noled_pr_ee },
 {  60737, ur_m329_u2x12_uart0_noled_pr_ce },
 {  60738, ur_m329_u2x12_uart0_noled_pr_ce },
 {  60739, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  60740, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  60742, ur_m329_u2x12_uart0_noled_ee_hw },
 {  60744, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  60745, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  60746, ur_m329_u2x12_uart0_lednop },
 {  60747, ur_m329_u2x12_uart0_lednop },
 {  60748, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  60749, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  60750, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  60751, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  60752, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  60753, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  60754, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  60756, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  60758, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  60759, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  60760, ur_m329_u2x12_uart0_dual },
 {  60761, ur_m329_u2x12_uart0_dual_pr },
 {  60762, ur_m329_u2x12_uart0_dual_pr },
 {  60763, ur_m329_u2x12_uart0_dual_pr_ee },
 {  60764, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  60765, ur_m329_u2x12_uart0_dual_pr_ce },
 {  60766, ur_m329_u2x12_uart0_dual_pr_ce },
 {  60767, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  60768, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  60770, ur_m329_u2x12_uart0_dual_ee_hw },
 {  60772, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  60773, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  60942, ur_m329_swio10_noled },
 {  60943, ur_m329_swio10_noled_pr },
 {  60944, ur_m329_swio10_noled_pr },
 {  60945, ur_m329_swio10_noled_pr_ee },
 {  60946, ur_m329_swio10_noled_pr_ee_u4 },
 {  60947, ur_m329_swio10_noled_pr_ce },
 {  60948, ur_m329_swio10_noled_pr_ce },
 {  60949, ur_m329_swio10_noled_pr_ee_ce },
 {  60950, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  60952, ur_m329_swio10_noled_ee_hw },
 {  60954, ur_m329_swio10_noled_ee_ce_hw },
 {  60955, ur_m329_swio10_noled_ee_ce_hw },
 {  60956, ur_m329_swio10_lednop },
 {  60957, ur_m329_swio10_lednop_pr },
 {  60958, ur_m329_swio10_lednop_pr },
 {  60959, ur_m329_swio10_lednop_pr_ee },
 {  60960, ur_m329_swio10_lednop_pr_ee_u4 },
 {  60961, ur_m329_swio10_lednop_pr_ce },
 {  60962, ur_m329_swio10_lednop_pr_ce },
 {  60963, ur_m329_swio10_lednop_pr_ee_ce },
 {  60964, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  60966, ur_m329_swio10_lednop_ee_hw },
 {  60968, ur_m329_swio10_lednop_ee_ce_hw },
 {  60969, ur_m329_swio10_lednop_ee_ce_hw },
 {  60970, ur_m329_swio10_dual },
 {  60971, ur_m329_swio10_dual },
 {  60972, ur_m329_swio10_dual },
 {  60973, ur_m329_swio10_dual_pr_ee },
 {  60974, ur_m329_swio10_dual_pr_ee_u4 },
 {  60975, ur_m329_swio10_dual_pr_ce },
 {  60976, ur_m329_swio10_dual_pr_ce_u4 },
 {  60977, ur_m329_swio10_dual_pr_ee_ce },
 {  60978, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  60980, ur_m329_swio10_dual_ee_hw },
 {  60982, ur_m329_swio10_dual_ee_ce_hw },
 {  60983, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  60984, ur_m329_swio11_noled },
 {  60985, ur_m329_swio11_noled_pr },
 {  60986, ur_m329_swio11_noled_pr },
 {  60987, ur_m329_swio11_noled_pr_ee },
 {  60988, ur_m329_swio11_noled_pr_ee_u4 },
 {  60989, ur_m329_swio11_noled_pr_ce },
 {  60990, ur_m329_swio11_noled_pr_ce },
 {  60991, ur_m329_swio11_noled_pr_ee_ce },
 {  60992, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  60994, ur_m329_swio11_noled_ee_hw },
 {  60996, ur_m329_swio11_noled_ee_ce_hw },
 {  60997, ur_m329_swio11_noled_ee_ce_hw },
 {  60998, ur_m329_swio11_lednop },
 {  60999, ur_m329_swio11_lednop_pr },
 {  61000, ur_m329_swio11_lednop_pr },
 {  61001, ur_m329_swio11_lednop_pr_ee },
 {  61002, ur_m329_swio11_lednop_pr_ee_u4 },
 {  61003, ur_m329_swio11_lednop_pr_ce },
 {  61004, ur_m329_swio11_lednop_pr_ce },
 {  61005, ur_m329_swio11_lednop_pr_ee_ce },
 {  61006, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  61008, ur_m329_swio11_lednop_ee_hw },
 {  61010, ur_m329_swio11_lednop_ee_ce_hw },
 {  61011, ur_m329_swio11_lednop_ee_ce_hw },
 {  61012, ur_m329_swio11_dual },
 {  61013, ur_m329_swio11_dual },
 {  61014, ur_m329_swio11_dual },
 {  61015, ur_m329_swio11_dual_pr_ee },
 {  61016, ur_m329_swio11_dual_pr_ee_u4 },
 {  61017, ur_m329_swio11_dual_pr_ce },
 {  61018, ur_m329_swio11_dual_pr_ce_u4 },
 {  61019, ur_m329_swio11_dual_pr_ee_ce },
 {  61020, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  61022, ur_m329_swio11_dual_ee_hw },
 {  61024, ur_m329_swio11_dual_ee_ce_hw },
 {  61025, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  61026, ur_m329_swio11_noled },
 {  61027, ur_m329_swio11_noled_pr },
 {  61028, ur_m329_swio11_noled_pr },
 {  61029, ur_m329_swio11_noled_pr_ee },
 {  61030, ur_m329_swio11_noled_pr_ee_u4 },
 {  61031, ur_m329_swio11_noled_pr_ce },
 {  61032, ur_m329_swio11_noled_pr_ce },
 {  61033, ur_m329_swio11_noled_pr_ee_ce },
 {  61034, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  61036, ur_m329_swio11_noled_ee_hw },
 {  61038, ur_m329_swio11_noled_ee_ce_hw },
 {  61039, ur_m329_swio11_noled_ee_ce_hw },
 {  61040, ur_m329_swio11_lednop },
 {  61041, ur_m329_swio11_lednop_pr },
 {  61042, ur_m329_swio11_lednop_pr },
 {  61043, ur_m329_swio11_lednop_pr_ee },
 {  61044, ur_m329_swio11_lednop_pr_ee_u4 },
 {  61045, ur_m329_swio11_lednop_pr_ce },
 {  61046, ur_m329_swio11_lednop_pr_ce },
 {  61047, ur_m329_swio11_lednop_pr_ee_ce },
 {  61048, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  61050, ur_m329_swio11_lednop_ee_hw },
 {  61052, ur_m329_swio11_lednop_ee_ce_hw },
 {  61053, ur_m329_swio11_lednop_ee_ce_hw },
 {  61054, ur_m329_swio11_dual },
 {  61055, ur_m329_swio11_dual },
 {  61056, ur_m329_swio11_dual },
 {  61057, ur_m329_swio11_dual_pr_ee },
 {  61058, ur_m329_swio11_dual_pr_ee_u4 },
 {  61059, ur_m329_swio11_dual_pr_ce },
 {  61060, ur_m329_swio11_dual_pr_ce_u4 },
 {  61061, ur_m329_swio11_dual_pr_ee_ce },
 {  61062, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  61064, ur_m329_swio11_dual_ee_hw },
 {  61066, ur_m329_swio11_dual_ee_ce_hw },
 {  61067, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  61068, ur_m329_swio13_noled },
 {  61069, ur_m329_swio13_noled_pr },
 {  61070, ur_m329_swio13_noled_pr },
 {  61071, ur_m329_swio13_noled_pr_ee },
 {  61072, ur_m329_swio13_noled_pr_ee_u4 },
 {  61073, ur_m329_swio13_noled_pr_ce },
 {  61074, ur_m329_swio13_noled_pr_ce },
 {  61075, ur_m329_swio13_noled_pr_ee_ce },
 {  61076, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  61078, ur_m329_swio13_noled_ee_hw },
 {  61080, ur_m329_swio13_noled_ee_ce_hw },
 {  61081, ur_m329_swio13_noled_ee_ce_hw },
 {  61082, ur_m329_swio13_lednop },
 {  61083, ur_m329_swio13_lednop_pr },
 {  61084, ur_m329_swio13_lednop_pr },
 {  61085, ur_m329_swio13_lednop_pr_ee },
 {  61086, ur_m329_swio13_lednop_pr_ee_u4 },
 {  61087, ur_m329_swio13_lednop_pr_ce },
 {  61088, ur_m329_swio13_lednop_pr_ce_u4 },
 {  61089, ur_m329_swio13_lednop_pr_ee_ce },
 {  61090, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  61092, ur_m329_swio13_lednop_ee_hw },
 {  61094, ur_m329_swio13_lednop_ee_ce_hw },
 {  61095, ur_m329_swio13_lednop_ee_ce_hw },
 {  61096, ur_m329_swio13_dual },
 {  61097, ur_m329_swio13_dual },
 {  61098, ur_m329_swio13_dual },
 {  61099, ur_m329_swio13_dual_pr_ee },
 {  61100, ur_m329_swio13_dual_pr_ee_u4 },
 {  61101, ur_m329_swio13_dual_pr_ce },
 {  61102, ur_m329_swio13_dual_pr_ce_u4 },
 {  61103, ur_m329_swio13_dual_pr_ee_ce },
 {  61104, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  61106, ur_m329_swio13_dual_ee_hw },
 {  61108, ur_m329_swio13_dual_ee_ce_hw },
 {  61109, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  61110, ur_m329_swio14_noled },
 {  61111, ur_m329_swio14_noled_pr },
 {  61112, ur_m329_swio14_noled_pr },
 {  61113, ur_m329_swio14_noled_pr_ee },
 {  61114, ur_m329_swio14_noled_pr_ee_u4 },
 {  61115, ur_m329_swio14_noled_pr_ce },
 {  61116, ur_m329_swio14_noled_pr_ce },
 {  61117, ur_m329_swio14_noled_pr_ee_ce },
 {  61118, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  61120, ur_m329_swio14_noled_ee_hw },
 {  61122, ur_m329_swio14_noled_ee_ce_hw },
 {  61123, ur_m329_swio14_noled_ee_ce_hw },
 {  61124, ur_m329_swio14_lednop },
 {  61125, ur_m329_swio14_lednop_pr },
 {  61126, ur_m329_swio14_lednop_pr },
 {  61127, ur_m329_swio14_lednop_pr_ee },
 {  61128, ur_m329_swio14_lednop_pr_ee_u4 },
 {  61129, ur_m329_swio14_lednop_pr_ce },
 {  61130, ur_m329_swio14_lednop_pr_ce },
 {  61131, ur_m329_swio14_lednop_pr_ee_ce },
 {  61132, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  61134, ur_m329_swio14_lednop_ee_hw },
 {  61136, ur_m329_swio14_lednop_ee_ce_hw },
 {  61137, ur_m329_swio14_lednop_ee_ce_hw },
 {  61138, ur_m329_swio14_dual },
 {  61139, ur_m329_swio14_dual },
 {  61140, ur_m329_swio14_dual },
 {  61141, ur_m329_swio14_dual_pr_ee },
 {  61142, ur_m329_swio14_dual_pr_ee_u4 },
 {  61143, ur_m329_swio14_dual_pr_ce },
 {  61144, ur_m329_swio14_dual_pr_ce_u4 },
 {  61145, ur_m329_swio14_dual_pr_ee_ce },
 {  61146, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  61148, ur_m329_swio14_dual_ee_hw },
 {  61150, ur_m329_swio14_dual_ee_ce_hw },
 {  61151, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  61152, ur_m329_swio15_noled },
 {  61153, ur_m329_swio15_noled_pr },
 {  61154, ur_m329_swio15_noled_pr },
 {  61155, ur_m329_swio15_noled_pr_ee },
 {  61156, ur_m329_swio15_noled_pr_ee_u4 },
 {  61157, ur_m329_swio15_noled_pr_ce },
 {  61158, ur_m329_swio15_noled_pr_ce },
 {  61159, ur_m329_swio15_noled_pr_ee_ce },
 {  61160, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  61162, ur_m329_swio15_noled_ee_hw },
 {  61164, ur_m329_swio15_noled_ee_ce_hw },
 {  61165, ur_m329_swio15_noled_ee_ce_hw },
 {  61166, ur_m329_swio15_lednop },
 {  61167, ur_m329_swio15_lednop_pr },
 {  61168, ur_m329_swio15_lednop_pr },
 {  61169, ur_m329_swio15_lednop_pr_ee },
 {  61170, ur_m329_swio15_lednop_pr_ee_u4 },
 {  61171, ur_m329_swio15_lednop_pr_ce },
 {  61172, ur_m329_swio15_lednop_pr_ce_u4 },
 {  61173, ur_m329_swio15_lednop_pr_ee_ce },
 {  61174, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  61176, ur_m329_swio15_lednop_ee_hw },
 {  61178, ur_m329_swio15_lednop_ee_ce_hw },
 {  61179, ur_m329_swio15_lednop_ee_ce_hw },
 {  61180, ur_m329_swio15_dual },
 {  61181, ur_m329_swio15_dual },
 {  61182, ur_m329_swio15_dual },
 {  61183, ur_m329_swio15_dual_pr_ee },
 {  61184, ur_m329_swio15_dual_pr_ee_u4 },
 {  61185, ur_m329_swio15_dual_pr_ce },
 {  61186, ur_m329_swio15_dual_pr_ce_u4 },
 {  61187, ur_m329_swio15_dual_pr_ee_ce },
 {  61188, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  61190, ur_m329_swio15_dual_ee_hw },
 {  61192, ur_m329_swio15_dual_ee_ce_hw },
 {  61193, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  61194, ur_m329_autobaud_uart0_noled },
 {  61195, ur_m329_autobaud_uart0_noled },
 {  61196, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  61197, ur_m329_autobaud_uart0_noled_pr_ee },
 {  61198, ur_m329_autobaud_uart0_noled_pr_ee },
 {  61199, ur_m329_autobaud_uart0_noled_pr_ce },
 {  61200, ur_m329_autobaud_uart0_noled_pr_ce },
 {  61201, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  61202, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  61204, ur_m329_autobaud_uart0_noled_ee_hw },
 {  61206, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  61207, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  61208, ur_m329_autobaud_uart0_lednop },
 {  61209, ur_m329_autobaud_uart0_lednop_pr },
 {  61210, ur_m329_autobaud_uart0_lednop_pr },
 {  61211, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  61212, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  61213, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  61214, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  61215, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  61216, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  61218, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  61220, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  61221, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  61222, ur_m329_autobaud_uart0_dual },
 {  61223, ur_m329_autobaud_uart0_dual },
 {  61224, ur_m329_autobaud_uart0_dual },
 {  61225, ur_m329_autobaud_uart0_dual_pr_ee },
 {  61226, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  61227, ur_m329_autobaud_uart0_dual_pr_ce },
 {  61228, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  61229, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  61230, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  61232, ur_m329_autobaud_uart0_dual_ee_hw },
 {  61234, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  61235, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  61404, ur_m329_u1x8_uart0_noled },
 {  61405, ur_m329_u1x8_uart0_noled },
 {  61406, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  61407, ur_m329_u1x8_uart0_noled_pr_ee },
 {  61408, ur_m329_u1x8_uart0_noled_pr_ee },
 {  61409, ur_m329_u1x8_uart0_noled_pr_ce },
 {  61410, ur_m329_u1x8_uart0_noled_pr_ce },
 {  61411, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  61412, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  61414, ur_m329_u1x8_uart0_noled_ee_hw },
 {  61416, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  61417, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  61418, ur_m329_u1x8_uart0_lednop },
 {  61419, ur_m329_u1x8_uart0_lednop },
 {  61420, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  61421, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  61422, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  61423, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  61424, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  61425, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  61426, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  61428, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  61430, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  61431, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  61432, ur_m329_u1x8_uart0_dual },
 {  61433, ur_m329_u1x8_uart0_dual_pr },
 {  61434, ur_m329_u1x8_uart0_dual_pr },
 {  61435, ur_m329_u1x8_uart0_dual_pr_ee },
 {  61436, ur_m329_u1x8_uart0_dual_pr_ee },
 {  61437, ur_m329_u1x8_uart0_dual_pr_ce },
 {  61438, ur_m329_u1x8_uart0_dual_pr_ce },
 {  61439, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  61440, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  61442, ur_m329_u1x8_uart0_dual_ee_hw },
 {  61444, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  61445, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  61614, ur_m329_u1x12_uart0_noled },
 {  61615, ur_m329_u1x12_uart0_noled },
 {  61616, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  61617, ur_m329_u1x12_uart0_noled_pr_ee },
 {  61618, ur_m329_u1x12_uart0_noled_pr_ee },
 {  61619, ur_m329_u1x12_uart0_noled_pr_ce },
 {  61620, ur_m329_u1x12_uart0_noled_pr_ce },
 {  61621, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  61622, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  61624, ur_m329_u1x12_uart0_noled_ee_hw },
 {  61626, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  61627, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  61628, ur_m329_u1x12_uart0_lednop },
 {  61629, ur_m329_u1x12_uart0_lednop },
 {  61630, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  61631, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  61632, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  61633, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  61634, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  61635, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  61636, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  61638, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  61640, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  61641, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  61642, ur_m329_u1x12_uart0_dual },
 {  61643, ur_m329_u1x12_uart0_dual_pr },
 {  61644, ur_m329_u1x12_uart0_dual_pr },
 {  61645, ur_m329_u1x12_uart0_dual_pr_ee },
 {  61646, ur_m329_u1x12_uart0_dual_pr_ee },
 {  61647, ur_m329_u1x12_uart0_dual_pr_ce },
 {  61648, ur_m329_u1x12_uart0_dual_pr_ce },
 {  61649, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  61650, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  61652, ur_m329_u1x12_uart0_dual_ee_hw },
 {  61654, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  61655, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  61824, ur_m329_u2x8_uart0_noled },
 {  61825, ur_m329_u2x8_uart0_noled },
 {  61826, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  61827, ur_m329_u2x8_uart0_noled_pr_ee },
 {  61828, ur_m329_u2x8_uart0_noled_pr_ee },
 {  61829, ur_m329_u2x8_uart0_noled_pr_ce },
 {  61830, ur_m329_u2x8_uart0_noled_pr_ce },
 {  61831, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  61832, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  61834, ur_m329_u2x8_uart0_noled_ee_hw },
 {  61836, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  61837, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  61838, ur_m329_u2x8_uart0_lednop },
 {  61839, ur_m329_u2x8_uart0_lednop },
 {  61840, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  61841, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  61842, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  61843, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  61844, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  61845, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  61846, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  61848, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  61850, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  61851, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  61852, ur_m329_u2x8_uart0_dual },
 {  61853, ur_m329_u2x8_uart0_dual_pr },
 {  61854, ur_m329_u2x8_uart0_dual_pr },
 {  61855, ur_m329_u2x8_uart0_dual_pr_ee },
 {  61856, ur_m329_u2x8_uart0_dual_pr_ee },
 {  61857, ur_m329_u2x8_uart0_dual_pr_ce },
 {  61858, ur_m329_u2x8_uart0_dual_pr_ce },
 {  61859, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  61860, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  61862, ur_m329_u2x8_uart0_dual_ee_hw },
 {  61864, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  61865, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  62034, ur_m329_u2x12_uart0_noled },
 {  62035, ur_m329_u2x12_uart0_noled },
 {  62036, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  62037, ur_m329_u2x12_uart0_noled_pr_ee },
 {  62038, ur_m329_u2x12_uart0_noled_pr_ee },
 {  62039, ur_m329_u2x12_uart0_noled_pr_ce },
 {  62040, ur_m329_u2x12_uart0_noled_pr_ce },
 {  62041, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  62042, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  62044, ur_m329_u2x12_uart0_noled_ee_hw },
 {  62046, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  62047, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  62048, ur_m329_u2x12_uart0_lednop },
 {  62049, ur_m329_u2x12_uart0_lednop },
 {  62050, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  62051, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  62052, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  62053, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  62054, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  62055, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  62056, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  62058, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  62060, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  62061, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  62062, ur_m329_u2x12_uart0_dual },
 {  62063, ur_m329_u2x12_uart0_dual_pr },
 {  62064, ur_m329_u2x12_uart0_dual_pr },
 {  62065, ur_m329_u2x12_uart0_dual_pr_ee },
 {  62066, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  62067, ur_m329_u2x12_uart0_dual_pr_ce },
 {  62068, ur_m329_u2x12_uart0_dual_pr_ce },
 {  62069, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  62070, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  62072, ur_m329_u2x12_uart0_dual_ee_hw },
 {  62074, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  62075, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  62244, ur_m329_swio10_noled },
 {  62245, ur_m329_swio10_noled_pr },
 {  62246, ur_m329_swio10_noled_pr },
 {  62247, ur_m329_swio10_noled_pr_ee },
 {  62248, ur_m329_swio10_noled_pr_ee_u4 },
 {  62249, ur_m329_swio10_noled_pr_ce },
 {  62250, ur_m329_swio10_noled_pr_ce },
 {  62251, ur_m329_swio10_noled_pr_ee_ce },
 {  62252, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  62254, ur_m329_swio10_noled_ee_hw },
 {  62256, ur_m329_swio10_noled_ee_ce_hw },
 {  62257, ur_m329_swio10_noled_ee_ce_hw },
 {  62258, ur_m329_swio10_lednop },
 {  62259, ur_m329_swio10_lednop_pr },
 {  62260, ur_m329_swio10_lednop_pr },
 {  62261, ur_m329_swio10_lednop_pr_ee },
 {  62262, ur_m329_swio10_lednop_pr_ee_u4 },
 {  62263, ur_m329_swio10_lednop_pr_ce },
 {  62264, ur_m329_swio10_lednop_pr_ce },
 {  62265, ur_m329_swio10_lednop_pr_ee_ce },
 {  62266, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  62268, ur_m329_swio10_lednop_ee_hw },
 {  62270, ur_m329_swio10_lednop_ee_ce_hw },
 {  62271, ur_m329_swio10_lednop_ee_ce_hw },
 {  62272, ur_m329_swio10_dual },
 {  62273, ur_m329_swio10_dual },
 {  62274, ur_m329_swio10_dual },
 {  62275, ur_m329_swio10_dual_pr_ee },
 {  62276, ur_m329_swio10_dual_pr_ee_u4 },
 {  62277, ur_m329_swio10_dual_pr_ce },
 {  62278, ur_m329_swio10_dual_pr_ce_u4 },
 {  62279, ur_m329_swio10_dual_pr_ee_ce },
 {  62280, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  62282, ur_m329_swio10_dual_ee_hw },
 {  62284, ur_m329_swio10_dual_ee_ce_hw },
 {  62285, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  62286, ur_m329_swio11_noled },
 {  62287, ur_m329_swio11_noled_pr },
 {  62288, ur_m329_swio11_noled_pr },
 {  62289, ur_m329_swio11_noled_pr_ee },
 {  62290, ur_m329_swio11_noled_pr_ee_u4 },
 {  62291, ur_m329_swio11_noled_pr_ce },
 {  62292, ur_m329_swio11_noled_pr_ce },
 {  62293, ur_m329_swio11_noled_pr_ee_ce },
 {  62294, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  62296, ur_m329_swio11_noled_ee_hw },
 {  62298, ur_m329_swio11_noled_ee_ce_hw },
 {  62299, ur_m329_swio11_noled_ee_ce_hw },
 {  62300, ur_m329_swio11_lednop },
 {  62301, ur_m329_swio11_lednop_pr },
 {  62302, ur_m329_swio11_lednop_pr },
 {  62303, ur_m329_swio11_lednop_pr_ee },
 {  62304, ur_m329_swio11_lednop_pr_ee_u4 },
 {  62305, ur_m329_swio11_lednop_pr_ce },
 {  62306, ur_m329_swio11_lednop_pr_ce },
 {  62307, ur_m329_swio11_lednop_pr_ee_ce },
 {  62308, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  62310, ur_m329_swio11_lednop_ee_hw },
 {  62312, ur_m329_swio11_lednop_ee_ce_hw },
 {  62313, ur_m329_swio11_lednop_ee_ce_hw },
 {  62314, ur_m329_swio11_dual },
 {  62315, ur_m329_swio11_dual },
 {  62316, ur_m329_swio11_dual },
 {  62317, ur_m329_swio11_dual_pr_ee },
 {  62318, ur_m329_swio11_dual_pr_ee_u4 },
 {  62319, ur_m329_swio11_dual_pr_ce },
 {  62320, ur_m329_swio11_dual_pr_ce_u4 },
 {  62321, ur_m329_swio11_dual_pr_ee_ce },
 {  62322, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  62324, ur_m329_swio11_dual_ee_hw },
 {  62326, ur_m329_swio11_dual_ee_ce_hw },
 {  62327, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  62328, ur_m329_swio11_noled },
 {  62329, ur_m329_swio11_noled_pr },
 {  62330, ur_m329_swio11_noled_pr },
 {  62331, ur_m329_swio11_noled_pr_ee },
 {  62332, ur_m329_swio11_noled_pr_ee_u4 },
 {  62333, ur_m329_swio11_noled_pr_ce },
 {  62334, ur_m329_swio11_noled_pr_ce },
 {  62335, ur_m329_swio11_noled_pr_ee_ce },
 {  62336, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  62338, ur_m329_swio11_noled_ee_hw },
 {  62340, ur_m329_swio11_noled_ee_ce_hw },
 {  62341, ur_m329_swio11_noled_ee_ce_hw },
 {  62342, ur_m329_swio11_lednop },
 {  62343, ur_m329_swio11_lednop_pr },
 {  62344, ur_m329_swio11_lednop_pr },
 {  62345, ur_m329_swio11_lednop_pr_ee },
 {  62346, ur_m329_swio11_lednop_pr_ee_u4 },
 {  62347, ur_m329_swio11_lednop_pr_ce },
 {  62348, ur_m329_swio11_lednop_pr_ce },
 {  62349, ur_m329_swio11_lednop_pr_ee_ce },
 {  62350, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  62352, ur_m329_swio11_lednop_ee_hw },
 {  62354, ur_m329_swio11_lednop_ee_ce_hw },
 {  62355, ur_m329_swio11_lednop_ee_ce_hw },
 {  62356, ur_m329_swio11_dual },
 {  62357, ur_m329_swio11_dual },
 {  62358, ur_m329_swio11_dual },
 {  62359, ur_m329_swio11_dual_pr_ee },
 {  62360, ur_m329_swio11_dual_pr_ee_u4 },
 {  62361, ur_m329_swio11_dual_pr_ce },
 {  62362, ur_m329_swio11_dual_pr_ce_u4 },
 {  62363, ur_m329_swio11_dual_pr_ee_ce },
 {  62364, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  62366, ur_m329_swio11_dual_ee_hw },
 {  62368, ur_m329_swio11_dual_ee_ce_hw },
 {  62369, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  62370, ur_m329_swio13_noled },
 {  62371, ur_m329_swio13_noled_pr },
 {  62372, ur_m329_swio13_noled_pr },
 {  62373, ur_m329_swio13_noled_pr_ee },
 {  62374, ur_m329_swio13_noled_pr_ee_u4 },
 {  62375, ur_m329_swio13_noled_pr_ce },
 {  62376, ur_m329_swio13_noled_pr_ce },
 {  62377, ur_m329_swio13_noled_pr_ee_ce },
 {  62378, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  62380, ur_m329_swio13_noled_ee_hw },
 {  62382, ur_m329_swio13_noled_ee_ce_hw },
 {  62383, ur_m329_swio13_noled_ee_ce_hw },
 {  62384, ur_m329_swio13_lednop },
 {  62385, ur_m329_swio13_lednop_pr },
 {  62386, ur_m329_swio13_lednop_pr },
 {  62387, ur_m329_swio13_lednop_pr_ee },
 {  62388, ur_m329_swio13_lednop_pr_ee_u4 },
 {  62389, ur_m329_swio13_lednop_pr_ce },
 {  62390, ur_m329_swio13_lednop_pr_ce_u4 },
 {  62391, ur_m329_swio13_lednop_pr_ee_ce },
 {  62392, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  62394, ur_m329_swio13_lednop_ee_hw },
 {  62396, ur_m329_swio13_lednop_ee_ce_hw },
 {  62397, ur_m329_swio13_lednop_ee_ce_hw },
 {  62398, ur_m329_swio13_dual },
 {  62399, ur_m329_swio13_dual },
 {  62400, ur_m329_swio13_dual },
 {  62401, ur_m329_swio13_dual_pr_ee },
 {  62402, ur_m329_swio13_dual_pr_ee_u4 },
 {  62403, ur_m329_swio13_dual_pr_ce },
 {  62404, ur_m329_swio13_dual_pr_ce_u4 },
 {  62405, ur_m329_swio13_dual_pr_ee_ce },
 {  62406, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  62408, ur_m329_swio13_dual_ee_hw },
 {  62410, ur_m329_swio13_dual_ee_ce_hw },
 {  62411, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  62412, ur_m329_swio14_noled },
 {  62413, ur_m329_swio14_noled_pr },
 {  62414, ur_m329_swio14_noled_pr },
 {  62415, ur_m329_swio14_noled_pr_ee },
 {  62416, ur_m329_swio14_noled_pr_ee_u4 },
 {  62417, ur_m329_swio14_noled_pr_ce },
 {  62418, ur_m329_swio14_noled_pr_ce },
 {  62419, ur_m329_swio14_noled_pr_ee_ce },
 {  62420, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  62422, ur_m329_swio14_noled_ee_hw },
 {  62424, ur_m329_swio14_noled_ee_ce_hw },
 {  62425, ur_m329_swio14_noled_ee_ce_hw },
 {  62426, ur_m329_swio14_lednop },
 {  62427, ur_m329_swio14_lednop_pr },
 {  62428, ur_m329_swio14_lednop_pr },
 {  62429, ur_m329_swio14_lednop_pr_ee },
 {  62430, ur_m329_swio14_lednop_pr_ee_u4 },
 {  62431, ur_m329_swio14_lednop_pr_ce },
 {  62432, ur_m329_swio14_lednop_pr_ce },
 {  62433, ur_m329_swio14_lednop_pr_ee_ce },
 {  62434, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  62436, ur_m329_swio14_lednop_ee_hw },
 {  62438, ur_m329_swio14_lednop_ee_ce_hw },
 {  62439, ur_m329_swio14_lednop_ee_ce_hw },
 {  62440, ur_m329_swio14_dual },
 {  62441, ur_m329_swio14_dual },
 {  62442, ur_m329_swio14_dual },
 {  62443, ur_m329_swio14_dual_pr_ee },
 {  62444, ur_m329_swio14_dual_pr_ee_u4 },
 {  62445, ur_m329_swio14_dual_pr_ce },
 {  62446, ur_m329_swio14_dual_pr_ce_u4 },
 {  62447, ur_m329_swio14_dual_pr_ee_ce },
 {  62448, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  62450, ur_m329_swio14_dual_ee_hw },
 {  62452, ur_m329_swio14_dual_ee_ce_hw },
 {  62453, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  62454, ur_m329_swio15_noled },
 {  62455, ur_m329_swio15_noled_pr },
 {  62456, ur_m329_swio15_noled_pr },
 {  62457, ur_m329_swio15_noled_pr_ee },
 {  62458, ur_m329_swio15_noled_pr_ee_u4 },
 {  62459, ur_m329_swio15_noled_pr_ce },
 {  62460, ur_m329_swio15_noled_pr_ce },
 {  62461, ur_m329_swio15_noled_pr_ee_ce },
 {  62462, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  62464, ur_m329_swio15_noled_ee_hw },
 {  62466, ur_m329_swio15_noled_ee_ce_hw },
 {  62467, ur_m329_swio15_noled_ee_ce_hw },
 {  62468, ur_m329_swio15_lednop },
 {  62469, ur_m329_swio15_lednop_pr },
 {  62470, ur_m329_swio15_lednop_pr },
 {  62471, ur_m329_swio15_lednop_pr_ee },
 {  62472, ur_m329_swio15_lednop_pr_ee_u4 },
 {  62473, ur_m329_swio15_lednop_pr_ce },
 {  62474, ur_m329_swio15_lednop_pr_ce_u4 },
 {  62475, ur_m329_swio15_lednop_pr_ee_ce },
 {  62476, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  62478, ur_m329_swio15_lednop_ee_hw },
 {  62480, ur_m329_swio15_lednop_ee_ce_hw },
 {  62481, ur_m329_swio15_lednop_ee_ce_hw },
 {  62482, ur_m329_swio15_dual },
 {  62483, ur_m329_swio15_dual },
 {  62484, ur_m329_swio15_dual },
 {  62485, ur_m329_swio15_dual_pr_ee },
 {  62486, ur_m329_swio15_dual_pr_ee_u4 },
 {  62487, ur_m329_swio15_dual_pr_ce },
 {  62488, ur_m329_swio15_dual_pr_ce_u4 },
 {  62489, ur_m329_swio15_dual_pr_ee_ce },
 {  62490, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  62492, ur_m329_swio15_dual_ee_hw },
 {  62494, ur_m329_swio15_dual_ee_ce_hw },
 {  62495, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  62496, ur_m329_autobaud_uart0_noled },
 {  62497, ur_m329_autobaud_uart0_noled },
 {  62498, ur_m329_autobaud_uart0_noled_pr_u4 },
 {  62499, ur_m329_autobaud_uart0_noled_pr_ee },
 {  62500, ur_m329_autobaud_uart0_noled_pr_ee },
 {  62501, ur_m329_autobaud_uart0_noled_pr_ce },
 {  62502, ur_m329_autobaud_uart0_noled_pr_ce },
 {  62503, ur_m329_autobaud_uart0_noled_pr_ee_ce },
 {  62504, ur_m329_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  62506, ur_m329_autobaud_uart0_noled_ee_hw },
 {  62508, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  62509, ur_m329_autobaud_uart0_noled_ee_ce_hw },
 {  62510, ur_m329_autobaud_uart0_lednop },
 {  62511, ur_m329_autobaud_uart0_lednop_pr },
 {  62512, ur_m329_autobaud_uart0_lednop_pr },
 {  62513, ur_m329_autobaud_uart0_lednop_pr_ee },
 {  62514, ur_m329_autobaud_uart0_lednop_pr_ee_u4 },
 {  62515, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  62516, ur_m329_autobaud_uart0_lednop_pr_ce },
 {  62517, ur_m329_autobaud_uart0_lednop_pr_ee_ce },
 {  62518, ur_m329_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  62520, ur_m329_autobaud_uart0_lednop_ee_hw },
 {  62522, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  62523, ur_m329_autobaud_uart0_lednop_ee_ce_hw },
 {  62524, ur_m329_autobaud_uart0_dual },
 {  62525, ur_m329_autobaud_uart0_dual },
 {  62526, ur_m329_autobaud_uart0_dual },
 {  62527, ur_m329_autobaud_uart0_dual_pr_ee },
 {  62528, ur_m329_autobaud_uart0_dual_pr_ee_u4 },
 {  62529, ur_m329_autobaud_uart0_dual_pr_ce },
 {  62530, ur_m329_autobaud_uart0_dual_pr_ce_u4 },
 {  62531, ur_m329_autobaud_uart0_dual_pr_ee_ce },
 {  62532, ur_m329_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  62534, ur_m329_autobaud_uart0_dual_ee_hw },
 {  62536, ur_m329_autobaud_uart0_dual_ee_ce_hw },
 {  62537, ur_m329_autobaud_uart0_dual_ee_ce_u4_hw },
 {  62706, ur_m329_u1x8_uart0_noled },
 {  62707, ur_m329_u1x8_uart0_noled },
 {  62708, ur_m329_u1x8_uart0_noled_pr_u4 },
 {  62709, ur_m329_u1x8_uart0_noled_pr_ee },
 {  62710, ur_m329_u1x8_uart0_noled_pr_ee },
 {  62711, ur_m329_u1x8_uart0_noled_pr_ce },
 {  62712, ur_m329_u1x8_uart0_noled_pr_ce },
 {  62713, ur_m329_u1x8_uart0_noled_pr_ee_ce },
 {  62714, ur_m329_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  62716, ur_m329_u1x8_uart0_noled_ee_hw },
 {  62718, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  62719, ur_m329_u1x8_uart0_noled_ee_ce_hw },
 {  62720, ur_m329_u1x8_uart0_lednop },
 {  62721, ur_m329_u1x8_uart0_lednop },
 {  62722, ur_m329_u1x8_uart0_lednop_pr_u4 },
 {  62723, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  62724, ur_m329_u1x8_uart0_lednop_pr_ee },
 {  62725, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  62726, ur_m329_u1x8_uart0_lednop_pr_ce },
 {  62727, ur_m329_u1x8_uart0_lednop_pr_ee_ce },
 {  62728, ur_m329_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  62730, ur_m329_u1x8_uart0_lednop_ee_hw },
 {  62732, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  62733, ur_m329_u1x8_uart0_lednop_ee_ce_hw },
 {  62734, ur_m329_u1x8_uart0_dual },
 {  62735, ur_m329_u1x8_uart0_dual_pr },
 {  62736, ur_m329_u1x8_uart0_dual_pr },
 {  62737, ur_m329_u1x8_uart0_dual_pr_ee },
 {  62738, ur_m329_u1x8_uart0_dual_pr_ee },
 {  62739, ur_m329_u1x8_uart0_dual_pr_ce },
 {  62740, ur_m329_u1x8_uart0_dual_pr_ce },
 {  62741, ur_m329_u1x8_uart0_dual_pr_ee_ce },
 {  62742, ur_m329_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  62744, ur_m329_u1x8_uart0_dual_ee_hw },
 {  62746, ur_m329_u1x8_uart0_dual_ee_ce_hw },
 {  62747, ur_m329_u1x8_uart0_dual_ee_ce_u4_hw },
 {  62916, ur_m329_u1x12_uart0_noled },
 {  62917, ur_m329_u1x12_uart0_noled },
 {  62918, ur_m329_u1x12_uart0_noled_pr_u4 },
 {  62919, ur_m329_u1x12_uart0_noled_pr_ee },
 {  62920, ur_m329_u1x12_uart0_noled_pr_ee },
 {  62921, ur_m329_u1x12_uart0_noled_pr_ce },
 {  62922, ur_m329_u1x12_uart0_noled_pr_ce },
 {  62923, ur_m329_u1x12_uart0_noled_pr_ee_ce },
 {  62924, ur_m329_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  62926, ur_m329_u1x12_uart0_noled_ee_hw },
 {  62928, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  62929, ur_m329_u1x12_uart0_noled_ee_ce_hw },
 {  62930, ur_m329_u1x12_uart0_lednop },
 {  62931, ur_m329_u1x12_uart0_lednop },
 {  62932, ur_m329_u1x12_uart0_lednop_pr_u4 },
 {  62933, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  62934, ur_m329_u1x12_uart0_lednop_pr_ee },
 {  62935, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  62936, ur_m329_u1x12_uart0_lednop_pr_ce },
 {  62937, ur_m329_u1x12_uart0_lednop_pr_ee_ce },
 {  62938, ur_m329_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  62940, ur_m329_u1x12_uart0_lednop_ee_hw },
 {  62942, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  62943, ur_m329_u1x12_uart0_lednop_ee_ce_hw },
 {  62944, ur_m329_u1x12_uart0_dual },
 {  62945, ur_m329_u1x12_uart0_dual_pr },
 {  62946, ur_m329_u1x12_uart0_dual_pr },
 {  62947, ur_m329_u1x12_uart0_dual_pr_ee },
 {  62948, ur_m329_u1x12_uart0_dual_pr_ee },
 {  62949, ur_m329_u1x12_uart0_dual_pr_ce },
 {  62950, ur_m329_u1x12_uart0_dual_pr_ce },
 {  62951, ur_m329_u1x12_uart0_dual_pr_ee_ce },
 {  62952, ur_m329_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  62954, ur_m329_u1x12_uart0_dual_ee_hw },
 {  62956, ur_m329_u1x12_uart0_dual_ee_ce_hw },
 {  62957, ur_m329_u1x12_uart0_dual_ee_ce_u4_hw },
 {  63126, ur_m329_u2x8_uart0_noled },
 {  63127, ur_m329_u2x8_uart0_noled },
 {  63128, ur_m329_u2x8_uart0_noled_pr_u4 },
 {  63129, ur_m329_u2x8_uart0_noled_pr_ee },
 {  63130, ur_m329_u2x8_uart0_noled_pr_ee },
 {  63131, ur_m329_u2x8_uart0_noled_pr_ce },
 {  63132, ur_m329_u2x8_uart0_noled_pr_ce },
 {  63133, ur_m329_u2x8_uart0_noled_pr_ee_ce },
 {  63134, ur_m329_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  63136, ur_m329_u2x8_uart0_noled_ee_hw },
 {  63138, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  63139, ur_m329_u2x8_uart0_noled_ee_ce_hw },
 {  63140, ur_m329_u2x8_uart0_lednop },
 {  63141, ur_m329_u2x8_uart0_lednop },
 {  63142, ur_m329_u2x8_uart0_lednop_pr_u4 },
 {  63143, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  63144, ur_m329_u2x8_uart0_lednop_pr_ee },
 {  63145, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  63146, ur_m329_u2x8_uart0_lednop_pr_ce },
 {  63147, ur_m329_u2x8_uart0_lednop_pr_ee_ce },
 {  63148, ur_m329_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  63150, ur_m329_u2x8_uart0_lednop_ee_hw },
 {  63152, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  63153, ur_m329_u2x8_uart0_lednop_ee_ce_hw },
 {  63154, ur_m329_u2x8_uart0_dual },
 {  63155, ur_m329_u2x8_uart0_dual_pr },
 {  63156, ur_m329_u2x8_uart0_dual_pr },
 {  63157, ur_m329_u2x8_uart0_dual_pr_ee },
 {  63158, ur_m329_u2x8_uart0_dual_pr_ee },
 {  63159, ur_m329_u2x8_uart0_dual_pr_ce },
 {  63160, ur_m329_u2x8_uart0_dual_pr_ce },
 {  63161, ur_m329_u2x8_uart0_dual_pr_ee_ce },
 {  63162, ur_m329_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  63164, ur_m329_u2x8_uart0_dual_ee_hw },
 {  63166, ur_m329_u2x8_uart0_dual_ee_ce_hw },
 {  63167, ur_m329_u2x8_uart0_dual_ee_ce_u4_hw },
 {  63336, ur_m329_u2x12_uart0_noled },
 {  63337, ur_m329_u2x12_uart0_noled },
 {  63338, ur_m329_u2x12_uart0_noled_pr_u4 },
 {  63339, ur_m329_u2x12_uart0_noled_pr_ee },
 {  63340, ur_m329_u2x12_uart0_noled_pr_ee },
 {  63341, ur_m329_u2x12_uart0_noled_pr_ce },
 {  63342, ur_m329_u2x12_uart0_noled_pr_ce },
 {  63343, ur_m329_u2x12_uart0_noled_pr_ee_ce },
 {  63344, ur_m329_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  63346, ur_m329_u2x12_uart0_noled_ee_hw },
 {  63348, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  63349, ur_m329_u2x12_uart0_noled_ee_ce_hw },
 {  63350, ur_m329_u2x12_uart0_lednop },
 {  63351, ur_m329_u2x12_uart0_lednop },
 {  63352, ur_m329_u2x12_uart0_lednop_pr_u4 },
 {  63353, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  63354, ur_m329_u2x12_uart0_lednop_pr_ee },
 {  63355, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  63356, ur_m329_u2x12_uart0_lednop_pr_ce },
 {  63357, ur_m329_u2x12_uart0_lednop_pr_ee_ce },
 {  63358, ur_m329_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  63360, ur_m329_u2x12_uart0_lednop_ee_hw },
 {  63362, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  63363, ur_m329_u2x12_uart0_lednop_ee_ce_hw },
 {  63364, ur_m329_u2x12_uart0_dual },
 {  63365, ur_m329_u2x12_uart0_dual_pr },
 {  63366, ur_m329_u2x12_uart0_dual_pr },
 {  63367, ur_m329_u2x12_uart0_dual_pr_ee },
 {  63368, ur_m329_u2x12_uart0_dual_pr_ee_u4 },
 {  63369, ur_m329_u2x12_uart0_dual_pr_ce },
 {  63370, ur_m329_u2x12_uart0_dual_pr_ce },
 {  63371, ur_m329_u2x12_uart0_dual_pr_ee_ce },
 {  63372, ur_m329_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  63374, ur_m329_u2x12_uart0_dual_ee_hw },
 {  63376, ur_m329_u2x12_uart0_dual_ee_ce_hw },
 {  63377, ur_m329_u2x12_uart0_dual_ee_ce_u4_hw },
 {  63546, ur_m329_swio10_noled },
 {  63547, ur_m329_swio10_noled_pr },
 {  63548, ur_m329_swio10_noled_pr },
 {  63549, ur_m329_swio10_noled_pr_ee },
 {  63550, ur_m329_swio10_noled_pr_ee_u4 },
 {  63551, ur_m329_swio10_noled_pr_ce },
 {  63552, ur_m329_swio10_noled_pr_ce },
 {  63553, ur_m329_swio10_noled_pr_ee_ce },
 {  63554, ur_m329_swio10_noled_pr_ee_ce_u4 },
 {  63556, ur_m329_swio10_noled_ee_hw },
 {  63558, ur_m329_swio10_noled_ee_ce_hw },
 {  63559, ur_m329_swio10_noled_ee_ce_hw },
 {  63560, ur_m329_swio10_lednop },
 {  63561, ur_m329_swio10_lednop_pr },
 {  63562, ur_m329_swio10_lednop_pr },
 {  63563, ur_m329_swio10_lednop_pr_ee },
 {  63564, ur_m329_swio10_lednop_pr_ee_u4 },
 {  63565, ur_m329_swio10_lednop_pr_ce },
 {  63566, ur_m329_swio10_lednop_pr_ce },
 {  63567, ur_m329_swio10_lednop_pr_ee_ce },
 {  63568, ur_m329_swio10_lednop_pr_ee_ce_u4 },
 {  63570, ur_m329_swio10_lednop_ee_hw },
 {  63572, ur_m329_swio10_lednop_ee_ce_hw },
 {  63573, ur_m329_swio10_lednop_ee_ce_hw },
 {  63574, ur_m329_swio10_dual },
 {  63575, ur_m329_swio10_dual },
 {  63576, ur_m329_swio10_dual },
 {  63577, ur_m329_swio10_dual_pr_ee },
 {  63578, ur_m329_swio10_dual_pr_ee_u4 },
 {  63579, ur_m329_swio10_dual_pr_ce },
 {  63580, ur_m329_swio10_dual_pr_ce_u4 },
 {  63581, ur_m329_swio10_dual_pr_ee_ce },
 {  63582, ur_m329_swio10_dual_pr_ee_ce_u4 },
 {  63584, ur_m329_swio10_dual_ee_hw },
 {  63586, ur_m329_swio10_dual_ee_ce_hw },
 {  63587, ur_m329_swio10_dual_ee_ce_u4_hw },
 {  63588, ur_m329_swio11_noled },
 {  63589, ur_m329_swio11_noled_pr },
 {  63590, ur_m329_swio11_noled_pr },
 {  63591, ur_m329_swio11_noled_pr_ee },
 {  63592, ur_m329_swio11_noled_pr_ee_u4 },
 {  63593, ur_m329_swio11_noled_pr_ce },
 {  63594, ur_m329_swio11_noled_pr_ce },
 {  63595, ur_m329_swio11_noled_pr_ee_ce },
 {  63596, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  63598, ur_m329_swio11_noled_ee_hw },
 {  63600, ur_m329_swio11_noled_ee_ce_hw },
 {  63601, ur_m329_swio11_noled_ee_ce_hw },
 {  63602, ur_m329_swio11_lednop },
 {  63603, ur_m329_swio11_lednop_pr },
 {  63604, ur_m329_swio11_lednop_pr },
 {  63605, ur_m329_swio11_lednop_pr_ee },
 {  63606, ur_m329_swio11_lednop_pr_ee_u4 },
 {  63607, ur_m329_swio11_lednop_pr_ce },
 {  63608, ur_m329_swio11_lednop_pr_ce },
 {  63609, ur_m329_swio11_lednop_pr_ee_ce },
 {  63610, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  63612, ur_m329_swio11_lednop_ee_hw },
 {  63614, ur_m329_swio11_lednop_ee_ce_hw },
 {  63615, ur_m329_swio11_lednop_ee_ce_hw },
 {  63616, ur_m329_swio11_dual },
 {  63617, ur_m329_swio11_dual },
 {  63618, ur_m329_swio11_dual },
 {  63619, ur_m329_swio11_dual_pr_ee },
 {  63620, ur_m329_swio11_dual_pr_ee_u4 },
 {  63621, ur_m329_swio11_dual_pr_ce },
 {  63622, ur_m329_swio11_dual_pr_ce_u4 },
 {  63623, ur_m329_swio11_dual_pr_ee_ce },
 {  63624, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  63626, ur_m329_swio11_dual_ee_hw },
 {  63628, ur_m329_swio11_dual_ee_ce_hw },
 {  63629, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  63630, ur_m329_swio11_noled },
 {  63631, ur_m329_swio11_noled_pr },
 {  63632, ur_m329_swio11_noled_pr },
 {  63633, ur_m329_swio11_noled_pr_ee },
 {  63634, ur_m329_swio11_noled_pr_ee_u4 },
 {  63635, ur_m329_swio11_noled_pr_ce },
 {  63636, ur_m329_swio11_noled_pr_ce },
 {  63637, ur_m329_swio11_noled_pr_ee_ce },
 {  63638, ur_m329_swio11_noled_pr_ee_ce_u4 },
 {  63640, ur_m329_swio11_noled_ee_hw },
 {  63642, ur_m329_swio11_noled_ee_ce_hw },
 {  63643, ur_m329_swio11_noled_ee_ce_hw },
 {  63644, ur_m329_swio11_lednop },
 {  63645, ur_m329_swio11_lednop_pr },
 {  63646, ur_m329_swio11_lednop_pr },
 {  63647, ur_m329_swio11_lednop_pr_ee },
 {  63648, ur_m329_swio11_lednop_pr_ee_u4 },
 {  63649, ur_m329_swio11_lednop_pr_ce },
 {  63650, ur_m329_swio11_lednop_pr_ce },
 {  63651, ur_m329_swio11_lednop_pr_ee_ce },
 {  63652, ur_m329_swio11_lednop_pr_ee_ce_u4 },
 {  63654, ur_m329_swio11_lednop_ee_hw },
 {  63656, ur_m329_swio11_lednop_ee_ce_hw },
 {  63657, ur_m329_swio11_lednop_ee_ce_hw },
 {  63658, ur_m329_swio11_dual },
 {  63659, ur_m329_swio11_dual },
 {  63660, ur_m329_swio11_dual },
 {  63661, ur_m329_swio11_dual_pr_ee },
 {  63662, ur_m329_swio11_dual_pr_ee_u4 },
 {  63663, ur_m329_swio11_dual_pr_ce },
 {  63664, ur_m329_swio11_dual_pr_ce_u4 },
 {  63665, ur_m329_swio11_dual_pr_ee_ce },
 {  63666, ur_m329_swio11_dual_pr_ee_ce_u4 },
 {  63668, ur_m329_swio11_dual_ee_hw },
 {  63670, ur_m329_swio11_dual_ee_ce_hw },
 {  63671, ur_m329_swio11_dual_ee_ce_u4_hw },
 {  63672, ur_m329_swio13_noled },
 {  63673, ur_m329_swio13_noled_pr },
 {  63674, ur_m329_swio13_noled_pr },
 {  63675, ur_m329_swio13_noled_pr_ee },
 {  63676, ur_m329_swio13_noled_pr_ee_u4 },
 {  63677, ur_m329_swio13_noled_pr_ce },
 {  63678, ur_m329_swio13_noled_pr_ce },
 {  63679, ur_m329_swio13_noled_pr_ee_ce },
 {  63680, ur_m329_swio13_noled_pr_ee_ce_u4 },
 {  63682, ur_m329_swio13_noled_ee_hw },
 {  63684, ur_m329_swio13_noled_ee_ce_hw },
 {  63685, ur_m329_swio13_noled_ee_ce_hw },
 {  63686, ur_m329_swio13_lednop },
 {  63687, ur_m329_swio13_lednop_pr },
 {  63688, ur_m329_swio13_lednop_pr },
 {  63689, ur_m329_swio13_lednop_pr_ee },
 {  63690, ur_m329_swio13_lednop_pr_ee_u4 },
 {  63691, ur_m329_swio13_lednop_pr_ce },
 {  63692, ur_m329_swio13_lednop_pr_ce_u4 },
 {  63693, ur_m329_swio13_lednop_pr_ee_ce },
 {  63694, ur_m329_swio13_lednop_pr_ee_ce_u4 },
 {  63696, ur_m329_swio13_lednop_ee_hw },
 {  63698, ur_m329_swio13_lednop_ee_ce_hw },
 {  63699, ur_m329_swio13_lednop_ee_ce_hw },
 {  63700, ur_m329_swio13_dual },
 {  63701, ur_m329_swio13_dual },
 {  63702, ur_m329_swio13_dual },
 {  63703, ur_m329_swio13_dual_pr_ee },
 {  63704, ur_m329_swio13_dual_pr_ee_u4 },
 {  63705, ur_m329_swio13_dual_pr_ce },
 {  63706, ur_m329_swio13_dual_pr_ce_u4 },
 {  63707, ur_m329_swio13_dual_pr_ee_ce },
 {  63708, ur_m329_swio13_dual_pr_ee_ce_u4 },
 {  63710, ur_m329_swio13_dual_ee_hw },
 {  63712, ur_m329_swio13_dual_ee_ce_hw },
 {  63713, ur_m329_swio13_dual_ee_ce_u4_hw },
 {  63714, ur_m329_swio14_noled },
 {  63715, ur_m329_swio14_noled_pr },
 {  63716, ur_m329_swio14_noled_pr },
 {  63717, ur_m329_swio14_noled_pr_ee },
 {  63718, ur_m329_swio14_noled_pr_ee_u4 },
 {  63719, ur_m329_swio14_noled_pr_ce },
 {  63720, ur_m329_swio14_noled_pr_ce },
 {  63721, ur_m329_swio14_noled_pr_ee_ce },
 {  63722, ur_m329_swio14_noled_pr_ee_ce_u4 },
 {  63724, ur_m329_swio14_noled_ee_hw },
 {  63726, ur_m329_swio14_noled_ee_ce_hw },
 {  63727, ur_m329_swio14_noled_ee_ce_hw },
 {  63728, ur_m329_swio14_lednop },
 {  63729, ur_m329_swio14_lednop_pr },
 {  63730, ur_m329_swio14_lednop_pr },
 {  63731, ur_m329_swio14_lednop_pr_ee },
 {  63732, ur_m329_swio14_lednop_pr_ee_u4 },
 {  63733, ur_m329_swio14_lednop_pr_ce },
 {  63734, ur_m329_swio14_lednop_pr_ce },
 {  63735, ur_m329_swio14_lednop_pr_ee_ce },
 {  63736, ur_m329_swio14_lednop_pr_ee_ce_u4 },
 {  63738, ur_m329_swio14_lednop_ee_hw },
 {  63740, ur_m329_swio14_lednop_ee_ce_hw },
 {  63741, ur_m329_swio14_lednop_ee_ce_hw },
 {  63742, ur_m329_swio14_dual },
 {  63743, ur_m329_swio14_dual },
 {  63744, ur_m329_swio14_dual },
 {  63745, ur_m329_swio14_dual_pr_ee },
 {  63746, ur_m329_swio14_dual_pr_ee_u4 },
 {  63747, ur_m329_swio14_dual_pr_ce },
 {  63748, ur_m329_swio14_dual_pr_ce_u4 },
 {  63749, ur_m329_swio14_dual_pr_ee_ce },
 {  63750, ur_m329_swio14_dual_pr_ee_ce_u4 },
 {  63752, ur_m329_swio14_dual_ee_hw },
 {  63754, ur_m329_swio14_dual_ee_ce_hw },
 {  63755, ur_m329_swio14_dual_ee_ce_u4_hw },
 {  63756, ur_m329_swio15_noled },
 {  63757, ur_m329_swio15_noled_pr },
 {  63758, ur_m329_swio15_noled_pr },
 {  63759, ur_m329_swio15_noled_pr_ee },
 {  63760, ur_m329_swio15_noled_pr_ee_u4 },
 {  63761, ur_m329_swio15_noled_pr_ce },
 {  63762, ur_m329_swio15_noled_pr_ce },
 {  63763, ur_m329_swio15_noled_pr_ee_ce },
 {  63764, ur_m329_swio15_noled_pr_ee_ce_u4 },
 {  63766, ur_m329_swio15_noled_ee_hw },
 {  63768, ur_m329_swio15_noled_ee_ce_hw },
 {  63769, ur_m329_swio15_noled_ee_ce_hw },
 {  63770, ur_m329_swio15_lednop },
 {  63771, ur_m329_swio15_lednop_pr },
 {  63772, ur_m329_swio15_lednop_pr },
 {  63773, ur_m329_swio15_lednop_pr_ee },
 {  63774, ur_m329_swio15_lednop_pr_ee_u4 },
 {  63775, ur_m329_swio15_lednop_pr_ce },
 {  63776, ur_m329_swio15_lednop_pr_ce_u4 },
 {  63777, ur_m329_swio15_lednop_pr_ee_ce },
 {  63778, ur_m329_swio15_lednop_pr_ee_ce_u4 },
 {  63780, ur_m329_swio15_lednop_ee_hw },
 {  63782, ur_m329_swio15_lednop_ee_ce_hw },
 {  63783, ur_m329_swio15_lednop_ee_ce_hw },
 {  63784, ur_m329_swio15_dual },
 {  63785, ur_m329_swio15_dual },
 {  63786, ur_m329_swio15_dual },
 {  63787, ur_m329_swio15_dual_pr_ee },
 {  63788, ur_m329_swio15_dual_pr_ee_u4 },
 {  63789, ur_m329_swio15_dual_pr_ce },
 {  63790, ur_m329_swio15_dual_pr_ce_u4 },
 {  63791, ur_m329_swio15_dual_pr_ee_ce },
 {  63792, ur_m329_swio15_dual_pr_ee_ce_u4 },
 {  63794, ur_m329_swio15_dual_ee_hw },
 {  63796, ur_m329_swio15_dual_ee_ce_hw },
 {  63797, ur_m329_swio15_dual_ee_ce_u4_hw },
 {  63798, ur_m649_autobaud_uart0_noled },
 {  63799, ur_m649_autobaud_uart0_noled },
 {  63800, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  63801, ur_m649_autobaud_uart0_noled_pr_ee },
 {  63802, ur_m649_autobaud_uart0_noled_pr_ee },
 {  63803, ur_m649_autobaud_uart0_noled_pr_ce },
 {  63804, ur_m649_autobaud_uart0_noled_pr_ce },
 {  63805, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  63806, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  63808, ur_m649_autobaud_uart0_noled_ee_hw },
 {  63810, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  63811, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  63812, ur_m649_autobaud_uart0_lednop },
 {  63813, ur_m649_autobaud_uart0_lednop_pr },
 {  63814, ur_m649_autobaud_uart0_lednop_pr },
 {  63815, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  63816, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  63817, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  63818, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  63819, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  63820, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  63822, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  63824, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  63825, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  63826, ur_m649_autobaud_uart0_dual },
 {  63827, ur_m649_autobaud_uart0_dual },
 {  63828, ur_m649_autobaud_uart0_dual },
 {  63829, ur_m649_autobaud_uart0_dual_pr_ee },
 {  63830, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  63831, ur_m649_autobaud_uart0_dual_pr_ce },
 {  63832, ur_m649_autobaud_uart0_dual_pr_ce },
 {  63833, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  63834, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  63836, ur_m649_autobaud_uart0_dual_ee_hw },
 {  63838, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  63839, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  64008, ur_m649_u1x8_uart0_noled },
 {  64009, ur_m649_u1x8_uart0_noled },
 {  64010, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  64011, ur_m649_u1x8_uart0_noled_pr_ee },
 {  64012, ur_m649_u1x8_uart0_noled_pr_ee },
 {  64013, ur_m649_u1x8_uart0_noled_pr_ce },
 {  64014, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  64015, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  64016, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  64018, ur_m649_u1x8_uart0_noled_ee_hw },
 {  64020, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  64021, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  64022, ur_m649_u1x8_uart0_lednop },
 {  64023, ur_m649_u1x8_uart0_lednop },
 {  64024, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  64025, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  64026, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  64027, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  64028, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  64029, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  64030, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  64032, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  64034, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  64035, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  64036, ur_m649_u1x8_uart0_dual },
 {  64037, ur_m649_u1x8_uart0_dual },
 {  64038, ur_m649_u1x8_uart0_dual },
 {  64039, ur_m649_u1x8_uart0_dual_pr_ee },
 {  64040, ur_m649_u1x8_uart0_dual_pr_ee },
 {  64041, ur_m649_u1x8_uart0_dual_pr_ce },
 {  64042, ur_m649_u1x8_uart0_dual_pr_ce },
 {  64043, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  64044, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  64046, ur_m649_u1x8_uart0_dual_ee_hw },
 {  64048, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  64049, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  64218, ur_m649_u1x12_uart0_noled },
 {  64219, ur_m649_u1x12_uart0_noled },
 {  64220, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  64221, ur_m649_u1x12_uart0_noled_pr_ee },
 {  64222, ur_m649_u1x12_uart0_noled_pr_ee },
 {  64223, ur_m649_u1x12_uart0_noled_pr_ce },
 {  64224, ur_m649_u1x12_uart0_noled_pr_ce },
 {  64225, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  64226, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  64228, ur_m649_u1x12_uart0_noled_ee_hw },
 {  64230, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  64231, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  64232, ur_m649_u1x12_uart0_lednop },
 {  64233, ur_m649_u1x12_uart0_lednop },
 {  64234, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  64235, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  64236, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  64237, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  64238, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  64239, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  64240, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  64242, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  64244, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  64245, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  64246, ur_m649_u1x12_uart0_dual },
 {  64247, ur_m649_u1x12_uart0_dual },
 {  64248, ur_m649_u1x12_uart0_dual },
 {  64249, ur_m649_u1x12_uart0_dual_pr_ee },
 {  64250, ur_m649_u1x12_uart0_dual_pr_ee },
 {  64251, ur_m649_u1x12_uart0_dual_pr_ce },
 {  64252, ur_m649_u1x12_uart0_dual_pr_ce },
 {  64253, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  64254, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  64256, ur_m649_u1x12_uart0_dual_ee_hw },
 {  64258, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  64259, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  64428, ur_m649_u2x8_uart0_noled },
 {  64429, ur_m649_u2x8_uart0_noled },
 {  64430, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  64431, ur_m649_u2x8_uart0_noled_pr_ee },
 {  64432, ur_m649_u2x8_uart0_noled_pr_ee },
 {  64433, ur_m649_u2x8_uart0_noled_pr_ce },
 {  64434, ur_m649_u2x8_uart0_noled_pr_ce },
 {  64435, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  64436, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  64438, ur_m649_u2x8_uart0_noled_ee_hw },
 {  64440, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  64441, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  64442, ur_m649_u2x8_uart0_lednop },
 {  64443, ur_m649_u2x8_uart0_lednop },
 {  64444, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  64445, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  64446, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  64447, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  64448, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  64449, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  64450, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  64452, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  64454, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  64455, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  64456, ur_m649_u2x8_uart0_dual },
 {  64457, ur_m649_u2x8_uart0_dual },
 {  64458, ur_m649_u2x8_uart0_dual },
 {  64459, ur_m649_u2x8_uart0_dual_pr_ee },
 {  64460, ur_m649_u2x8_uart0_dual_pr_ee },
 {  64461, ur_m649_u2x8_uart0_dual_pr_ce },
 {  64462, ur_m649_u2x8_uart0_dual_pr_ce },
 {  64463, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  64464, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  64466, ur_m649_u2x8_uart0_dual_ee_hw },
 {  64468, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  64469, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  64638, ur_m649_u2x12_uart0_noled },
 {  64639, ur_m649_u2x12_uart0_noled },
 {  64640, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  64641, ur_m649_u2x12_uart0_noled_pr_ee },
 {  64642, ur_m649_u2x12_uart0_noled_pr_ee },
 {  64643, ur_m649_u2x12_uart0_noled_pr_ce },
 {  64644, ur_m649_u2x12_uart0_noled_pr_ce },
 {  64645, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  64646, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  64648, ur_m649_u2x12_uart0_noled_ee_hw },
 {  64650, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  64651, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  64652, ur_m649_u2x12_uart0_lednop },
 {  64653, ur_m649_u2x12_uart0_lednop },
 {  64654, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  64655, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  64656, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  64657, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  64658, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  64659, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  64660, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  64662, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  64664, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  64665, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  64666, ur_m649_u2x12_uart0_dual },
 {  64667, ur_m649_u2x12_uart0_dual },
 {  64668, ur_m649_u2x12_uart0_dual },
 {  64669, ur_m649_u2x12_uart0_dual_pr_ee },
 {  64670, ur_m649_u2x12_uart0_dual_pr_ee },
 {  64671, ur_m649_u2x12_uart0_dual_pr_ce },
 {  64672, ur_m649_u2x12_uart0_dual_pr_ce },
 {  64673, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  64674, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  64676, ur_m649_u2x12_uart0_dual_ee_hw },
 {  64678, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  64679, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  64848, ur_m649_swio10_noled },
 {  64849, ur_m649_swio10_noled_pr },
 {  64850, ur_m649_swio10_noled_pr },
 {  64851, ur_m649_swio10_noled_pr_ee },
 {  64852, ur_m649_swio10_noled_pr_ee },
 {  64853, ur_m649_swio10_noled_pr_ce },
 {  64854, ur_m649_swio10_noled_pr_ce },
 {  64855, ur_m649_swio10_noled_pr_ee_ce },
 {  64856, ur_m649_swio10_noled_pr_ee_ce },
 {  64858, ur_m649_swio10_noled_ee_hw },
 {  64860, ur_m649_swio10_noled_ee_ce_hw },
 {  64861, ur_m649_swio10_noled_ee_ce_hw },
 {  64862, ur_m649_swio10_lednop },
 {  64863, ur_m649_swio10_lednop_pr },
 {  64864, ur_m649_swio10_lednop_pr },
 {  64865, ur_m649_swio10_lednop_pr_ee },
 {  64866, ur_m649_swio10_lednop_pr_ee },
 {  64867, ur_m649_swio10_lednop_pr_ce },
 {  64868, ur_m649_swio10_lednop_pr_ce },
 {  64869, ur_m649_swio10_lednop_pr_ee_ce },
 {  64870, ur_m649_swio10_lednop_pr_ee_ce },
 {  64872, ur_m649_swio10_lednop_ee_hw },
 {  64874, ur_m649_swio10_lednop_ee_ce_hw },
 {  64875, ur_m649_swio10_lednop_ee_ce_hw },
 {  64876, ur_m649_swio10_dual },
 {  64877, ur_m649_swio10_dual },
 {  64878, ur_m649_swio10_dual },
 {  64879, ur_m649_swio10_dual_pr_ee },
 {  64880, ur_m649_swio10_dual_pr_ee_u4 },
 {  64881, ur_m649_swio10_dual_pr_ce },
 {  64882, ur_m649_swio10_dual_pr_ce },
 {  64883, ur_m649_swio10_dual_pr_ee_ce },
 {  64884, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  64886, ur_m649_swio10_dual_ee_hw },
 {  64888, ur_m649_swio10_dual_ee_ce_hw },
 {  64889, ur_m649_swio10_dual_ee_ce_hw },
 {  64890, ur_m649_swio11_noled },
 {  64891, ur_m649_swio11_noled_pr },
 {  64892, ur_m649_swio11_noled_pr },
 {  64893, ur_m649_swio11_noled_pr_ee },
 {  64894, ur_m649_swio11_noled_pr_ee },
 {  64895, ur_m649_swio11_noled_pr_ce },
 {  64896, ur_m649_swio11_noled_pr_ce },
 {  64897, ur_m649_swio11_noled_pr_ee_ce },
 {  64898, ur_m649_swio11_noled_pr_ee_ce },
 {  64900, ur_m649_swio11_noled_ee_hw },
 {  64902, ur_m649_swio11_noled_ee_ce_hw },
 {  64903, ur_m649_swio11_noled_ee_ce_hw },
 {  64904, ur_m649_swio11_lednop },
 {  64905, ur_m649_swio11_lednop_pr },
 {  64906, ur_m649_swio11_lednop_pr },
 {  64907, ur_m649_swio11_lednop_pr_ee },
 {  64908, ur_m649_swio11_lednop_pr_ee },
 {  64909, ur_m649_swio11_lednop_pr_ce },
 {  64910, ur_m649_swio11_lednop_pr_ce },
 {  64911, ur_m649_swio11_lednop_pr_ee_ce },
 {  64912, ur_m649_swio11_lednop_pr_ee_ce },
 {  64914, ur_m649_swio11_lednop_ee_hw },
 {  64916, ur_m649_swio11_lednop_ee_ce_hw },
 {  64917, ur_m649_swio11_lednop_ee_ce_hw },
 {  64918, ur_m649_swio11_dual },
 {  64919, ur_m649_swio11_dual },
 {  64920, ur_m649_swio11_dual },
 {  64921, ur_m649_swio11_dual_pr_ee },
 {  64922, ur_m649_swio11_dual_pr_ee_u4 },
 {  64923, ur_m649_swio11_dual_pr_ce },
 {  64924, ur_m649_swio11_dual_pr_ce },
 {  64925, ur_m649_swio11_dual_pr_ee_ce },
 {  64926, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  64928, ur_m649_swio11_dual_ee_hw },
 {  64930, ur_m649_swio11_dual_ee_ce_hw },
 {  64931, ur_m649_swio11_dual_ee_ce_hw },
 {  64932, ur_m649_swio11_noled },
 {  64933, ur_m649_swio11_noled_pr },
 {  64934, ur_m649_swio11_noled_pr },
 {  64935, ur_m649_swio11_noled_pr_ee },
 {  64936, ur_m649_swio11_noled_pr_ee },
 {  64937, ur_m649_swio11_noled_pr_ce },
 {  64938, ur_m649_swio11_noled_pr_ce },
 {  64939, ur_m649_swio11_noled_pr_ee_ce },
 {  64940, ur_m649_swio11_noled_pr_ee_ce },
 {  64942, ur_m649_swio11_noled_ee_hw },
 {  64944, ur_m649_swio11_noled_ee_ce_hw },
 {  64945, ur_m649_swio11_noled_ee_ce_hw },
 {  64946, ur_m649_swio11_lednop },
 {  64947, ur_m649_swio11_lednop_pr },
 {  64948, ur_m649_swio11_lednop_pr },
 {  64949, ur_m649_swio11_lednop_pr_ee },
 {  64950, ur_m649_swio11_lednop_pr_ee },
 {  64951, ur_m649_swio11_lednop_pr_ce },
 {  64952, ur_m649_swio11_lednop_pr_ce },
 {  64953, ur_m649_swio11_lednop_pr_ee_ce },
 {  64954, ur_m649_swio11_lednop_pr_ee_ce },
 {  64956, ur_m649_swio11_lednop_ee_hw },
 {  64958, ur_m649_swio11_lednop_ee_ce_hw },
 {  64959, ur_m649_swio11_lednop_ee_ce_hw },
 {  64960, ur_m649_swio11_dual },
 {  64961, ur_m649_swio11_dual },
 {  64962, ur_m649_swio11_dual },
 {  64963, ur_m649_swio11_dual_pr_ee },
 {  64964, ur_m649_swio11_dual_pr_ee_u4 },
 {  64965, ur_m649_swio11_dual_pr_ce },
 {  64966, ur_m649_swio11_dual_pr_ce },
 {  64967, ur_m649_swio11_dual_pr_ee_ce },
 {  64968, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  64970, ur_m649_swio11_dual_ee_hw },
 {  64972, ur_m649_swio11_dual_ee_ce_hw },
 {  64973, ur_m649_swio11_dual_ee_ce_hw },
 {  64974, ur_m649_swio13_noled },
 {  64975, ur_m649_swio13_noled_pr },
 {  64976, ur_m649_swio13_noled_pr },
 {  64977, ur_m649_swio13_noled_pr_ee },
 {  64978, ur_m649_swio13_noled_pr_ee },
 {  64979, ur_m649_swio13_noled_pr_ce },
 {  64980, ur_m649_swio13_noled_pr_ce },
 {  64981, ur_m649_swio13_noled_pr_ee_ce },
 {  64982, ur_m649_swio13_noled_pr_ee_ce },
 {  64984, ur_m649_swio13_noled_ee_hw },
 {  64986, ur_m649_swio13_noled_ee_ce_hw },
 {  64987, ur_m649_swio13_noled_ee_ce_hw },
 {  64988, ur_m649_swio13_lednop },
 {  64989, ur_m649_swio13_lednop_pr },
 {  64990, ur_m649_swio13_lednop_pr },
 {  64991, ur_m649_swio13_lednop_pr_ee },
 {  64992, ur_m649_swio13_lednop_pr_ee },
 {  64993, ur_m649_swio13_lednop_pr_ce },
 {  64994, ur_m649_swio13_lednop_pr_ce },
 {  64995, ur_m649_swio13_lednop_pr_ee_ce },
 {  64996, ur_m649_swio13_lednop_pr_ee_ce },
 {  64998, ur_m649_swio13_lednop_ee_hw },
 {  65000, ur_m649_swio13_lednop_ee_ce_hw },
 {  65001, ur_m649_swio13_lednop_ee_ce_hw },
 {  65002, ur_m649_swio13_dual },
 {  65003, ur_m649_swio13_dual },
 {  65004, ur_m649_swio13_dual },
 {  65005, ur_m649_swio13_dual_pr_ee },
 {  65006, ur_m649_swio13_dual_pr_ee_u4 },
 {  65007, ur_m649_swio13_dual_pr_ce },
 {  65008, ur_m649_swio13_dual_pr_ce_u4 },
 {  65009, ur_m649_swio13_dual_pr_ee_ce },
 {  65010, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  65012, ur_m649_swio13_dual_ee_hw },
 {  65014, ur_m649_swio13_dual_ee_ce_hw },
 {  65015, ur_m649_swio13_dual_ee_ce_hw },
 {  65016, ur_m649_swio14_noled },
 {  65017, ur_m649_swio14_noled_pr },
 {  65018, ur_m649_swio14_noled_pr },
 {  65019, ur_m649_swio14_noled_pr_ee },
 {  65020, ur_m649_swio14_noled_pr_ee },
 {  65021, ur_m649_swio14_noled_pr_ce },
 {  65022, ur_m649_swio14_noled_pr_ce },
 {  65023, ur_m649_swio14_noled_pr_ee_ce },
 {  65024, ur_m649_swio14_noled_pr_ee_ce },
 {  65026, ur_m649_swio14_noled_ee_hw },
 {  65028, ur_m649_swio14_noled_ee_ce_hw },
 {  65029, ur_m649_swio14_noled_ee_ce_hw },
 {  65030, ur_m649_swio14_lednop },
 {  65031, ur_m649_swio14_lednop_pr },
 {  65032, ur_m649_swio14_lednop_pr },
 {  65033, ur_m649_swio14_lednop_pr_ee },
 {  65034, ur_m649_swio14_lednop_pr_ee },
 {  65035, ur_m649_swio14_lednop_pr_ce },
 {  65036, ur_m649_swio14_lednop_pr_ce },
 {  65037, ur_m649_swio14_lednop_pr_ee_ce },
 {  65038, ur_m649_swio14_lednop_pr_ee_ce },
 {  65040, ur_m649_swio14_lednop_ee_hw },
 {  65042, ur_m649_swio14_lednop_ee_ce_hw },
 {  65043, ur_m649_swio14_lednop_ee_ce_hw },
 {  65044, ur_m649_swio14_dual },
 {  65045, ur_m649_swio14_dual },
 {  65046, ur_m649_swio14_dual },
 {  65047, ur_m649_swio14_dual_pr_ee },
 {  65048, ur_m649_swio14_dual_pr_ee_u4 },
 {  65049, ur_m649_swio14_dual_pr_ce },
 {  65050, ur_m649_swio14_dual_pr_ce },
 {  65051, ur_m649_swio14_dual_pr_ee_ce },
 {  65052, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  65054, ur_m649_swio14_dual_ee_hw },
 {  65056, ur_m649_swio14_dual_ee_ce_hw },
 {  65057, ur_m649_swio14_dual_ee_ce_hw },
 {  65058, ur_m649_swio15_noled },
 {  65059, ur_m649_swio15_noled_pr },
 {  65060, ur_m649_swio15_noled_pr },
 {  65061, ur_m649_swio15_noled_pr_ee },
 {  65062, ur_m649_swio15_noled_pr_ee },
 {  65063, ur_m649_swio15_noled_pr_ce },
 {  65064, ur_m649_swio15_noled_pr_ce },
 {  65065, ur_m649_swio15_noled_pr_ee_ce },
 {  65066, ur_m649_swio15_noled_pr_ee_ce },
 {  65068, ur_m649_swio15_noled_ee_hw },
 {  65070, ur_m649_swio15_noled_ee_ce_hw },
 {  65071, ur_m649_swio15_noled_ee_ce_hw },
 {  65072, ur_m649_swio15_lednop },
 {  65073, ur_m649_swio15_lednop_pr },
 {  65074, ur_m649_swio15_lednop_pr },
 {  65075, ur_m649_swio15_lednop_pr_ee },
 {  65076, ur_m649_swio15_lednop_pr_ee },
 {  65077, ur_m649_swio15_lednop_pr_ce },
 {  65078, ur_m649_swio15_lednop_pr_ce },
 {  65079, ur_m649_swio15_lednop_pr_ee_ce },
 {  65080, ur_m649_swio15_lednop_pr_ee_ce },
 {  65082, ur_m649_swio15_lednop_ee_hw },
 {  65084, ur_m649_swio15_lednop_ee_ce_hw },
 {  65085, ur_m649_swio15_lednop_ee_ce_hw },
 {  65086, ur_m649_swio15_dual },
 {  65087, ur_m649_swio15_dual },
 {  65088, ur_m649_swio15_dual },
 {  65089, ur_m649_swio15_dual_pr_ee },
 {  65090, ur_m649_swio15_dual_pr_ee_u4 },
 {  65091, ur_m649_swio15_dual_pr_ce },
 {  65092, ur_m649_swio15_dual_pr_ce_u4 },
 {  65093, ur_m649_swio15_dual_pr_ee_ce },
 {  65094, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  65096, ur_m649_swio15_dual_ee_hw },
 {  65098, ur_m649_swio15_dual_ee_ce_hw },
 {  65099, ur_m649_swio15_dual_ee_ce_hw },
 {  65100, ur_m649_autobaud_uart0_noled },
 {  65101, ur_m649_autobaud_uart0_noled },
 {  65102, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  65103, ur_m649_autobaud_uart0_noled_pr_ee },
 {  65104, ur_m649_autobaud_uart0_noled_pr_ee },
 {  65105, ur_m649_autobaud_uart0_noled_pr_ce },
 {  65106, ur_m649_autobaud_uart0_noled_pr_ce },
 {  65107, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  65108, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  65110, ur_m649_autobaud_uart0_noled_ee_hw },
 {  65112, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  65113, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  65114, ur_m649_autobaud_uart0_lednop },
 {  65115, ur_m649_autobaud_uart0_lednop_pr },
 {  65116, ur_m649_autobaud_uart0_lednop_pr },
 {  65117, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  65118, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  65119, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  65120, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  65121, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  65122, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  65124, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  65126, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  65127, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  65128, ur_m649_autobaud_uart0_dual },
 {  65129, ur_m649_autobaud_uart0_dual },
 {  65130, ur_m649_autobaud_uart0_dual },
 {  65131, ur_m649_autobaud_uart0_dual_pr_ee },
 {  65132, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  65133, ur_m649_autobaud_uart0_dual_pr_ce },
 {  65134, ur_m649_autobaud_uart0_dual_pr_ce },
 {  65135, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  65136, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  65138, ur_m649_autobaud_uart0_dual_ee_hw },
 {  65140, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  65141, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  65310, ur_m649_u1x8_uart0_noled },
 {  65311, ur_m649_u1x8_uart0_noled },
 {  65312, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  65313, ur_m649_u1x8_uart0_noled_pr_ee },
 {  65314, ur_m649_u1x8_uart0_noled_pr_ee },
 {  65315, ur_m649_u1x8_uart0_noled_pr_ce },
 {  65316, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  65317, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  65318, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  65320, ur_m649_u1x8_uart0_noled_ee_hw },
 {  65322, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  65323, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  65324, ur_m649_u1x8_uart0_lednop },
 {  65325, ur_m649_u1x8_uart0_lednop },
 {  65326, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  65327, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  65328, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  65329, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  65330, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  65331, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  65332, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  65334, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  65336, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  65337, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  65338, ur_m649_u1x8_uart0_dual },
 {  65339, ur_m649_u1x8_uart0_dual },
 {  65340, ur_m649_u1x8_uart0_dual },
 {  65341, ur_m649_u1x8_uart0_dual_pr_ee },
 {  65342, ur_m649_u1x8_uart0_dual_pr_ee },
 {  65343, ur_m649_u1x8_uart0_dual_pr_ce },
 {  65344, ur_m649_u1x8_uart0_dual_pr_ce },
 {  65345, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  65346, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  65348, ur_m649_u1x8_uart0_dual_ee_hw },
 {  65350, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  65351, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  65520, ur_m649_u1x12_uart0_noled },
 {  65521, ur_m649_u1x12_uart0_noled },
 {  65522, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  65523, ur_m649_u1x12_uart0_noled_pr_ee },
 {  65524, ur_m649_u1x12_uart0_noled_pr_ee },
 {  65525, ur_m649_u1x12_uart0_noled_pr_ce },
 {  65526, ur_m649_u1x12_uart0_noled_pr_ce },
 {  65527, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  65528, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  65530, ur_m649_u1x12_uart0_noled_ee_hw },
 {  65532, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  65533, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  65534, ur_m649_u1x12_uart0_lednop },
 {  65535, ur_m649_u1x12_uart0_lednop },
 {  65536, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  65537, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  65538, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  65539, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  65540, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  65541, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  65542, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  65544, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  65546, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  65547, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  65548, ur_m649_u1x12_uart0_dual },
 {  65549, ur_m649_u1x12_uart0_dual },
 {  65550, ur_m649_u1x12_uart0_dual },
 {  65551, ur_m649_u1x12_uart0_dual_pr_ee },
 {  65552, ur_m649_u1x12_uart0_dual_pr_ee },
 {  65553, ur_m649_u1x12_uart0_dual_pr_ce },
 {  65554, ur_m649_u1x12_uart0_dual_pr_ce },
 {  65555, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  65556, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  65558, ur_m649_u1x12_uart0_dual_ee_hw },
 {  65560, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  65561, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  65730, ur_m649_u2x8_uart0_noled },
 {  65731, ur_m649_u2x8_uart0_noled },
 {  65732, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  65733, ur_m649_u2x8_uart0_noled_pr_ee },
 {  65734, ur_m649_u2x8_uart0_noled_pr_ee },
 {  65735, ur_m649_u2x8_uart0_noled_pr_ce },
 {  65736, ur_m649_u2x8_uart0_noled_pr_ce },
 {  65737, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  65738, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  65740, ur_m649_u2x8_uart0_noled_ee_hw },
 {  65742, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  65743, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  65744, ur_m649_u2x8_uart0_lednop },
 {  65745, ur_m649_u2x8_uart0_lednop },
 {  65746, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  65747, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  65748, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  65749, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  65750, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  65751, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  65752, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  65754, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  65756, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  65757, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  65758, ur_m649_u2x8_uart0_dual },
 {  65759, ur_m649_u2x8_uart0_dual },
 {  65760, ur_m649_u2x8_uart0_dual },
 {  65761, ur_m649_u2x8_uart0_dual_pr_ee },
 {  65762, ur_m649_u2x8_uart0_dual_pr_ee },
 {  65763, ur_m649_u2x8_uart0_dual_pr_ce },
 {  65764, ur_m649_u2x8_uart0_dual_pr_ce },
 {  65765, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  65766, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  65768, ur_m649_u2x8_uart0_dual_ee_hw },
 {  65770, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  65771, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  65940, ur_m649_u2x12_uart0_noled },
 {  65941, ur_m649_u2x12_uart0_noled },
 {  65942, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  65943, ur_m649_u2x12_uart0_noled_pr_ee },
 {  65944, ur_m649_u2x12_uart0_noled_pr_ee },
 {  65945, ur_m649_u2x12_uart0_noled_pr_ce },
 {  65946, ur_m649_u2x12_uart0_noled_pr_ce },
 {  65947, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  65948, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  65950, ur_m649_u2x12_uart0_noled_ee_hw },
 {  65952, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  65953, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  65954, ur_m649_u2x12_uart0_lednop },
 {  65955, ur_m649_u2x12_uart0_lednop },
 {  65956, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  65957, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  65958, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  65959, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  65960, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  65961, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  65962, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  65964, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  65966, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  65967, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  65968, ur_m649_u2x12_uart0_dual },
 {  65969, ur_m649_u2x12_uart0_dual },
 {  65970, ur_m649_u2x12_uart0_dual },
 {  65971, ur_m649_u2x12_uart0_dual_pr_ee },
 {  65972, ur_m649_u2x12_uart0_dual_pr_ee },
 {  65973, ur_m649_u2x12_uart0_dual_pr_ce },
 {  65974, ur_m649_u2x12_uart0_dual_pr_ce },
 {  65975, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  65976, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  65978, ur_m649_u2x12_uart0_dual_ee_hw },
 {  65980, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  65981, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  66150, ur_m649_swio10_noled },
 {  66151, ur_m649_swio10_noled_pr },
 {  66152, ur_m649_swio10_noled_pr },
 {  66153, ur_m649_swio10_noled_pr_ee },
 {  66154, ur_m649_swio10_noled_pr_ee },
 {  66155, ur_m649_swio10_noled_pr_ce },
 {  66156, ur_m649_swio10_noled_pr_ce },
 {  66157, ur_m649_swio10_noled_pr_ee_ce },
 {  66158, ur_m649_swio10_noled_pr_ee_ce },
 {  66160, ur_m649_swio10_noled_ee_hw },
 {  66162, ur_m649_swio10_noled_ee_ce_hw },
 {  66163, ur_m649_swio10_noled_ee_ce_hw },
 {  66164, ur_m649_swio10_lednop },
 {  66165, ur_m649_swio10_lednop_pr },
 {  66166, ur_m649_swio10_lednop_pr },
 {  66167, ur_m649_swio10_lednop_pr_ee },
 {  66168, ur_m649_swio10_lednop_pr_ee },
 {  66169, ur_m649_swio10_lednop_pr_ce },
 {  66170, ur_m649_swio10_lednop_pr_ce },
 {  66171, ur_m649_swio10_lednop_pr_ee_ce },
 {  66172, ur_m649_swio10_lednop_pr_ee_ce },
 {  66174, ur_m649_swio10_lednop_ee_hw },
 {  66176, ur_m649_swio10_lednop_ee_ce_hw },
 {  66177, ur_m649_swio10_lednop_ee_ce_hw },
 {  66178, ur_m649_swio10_dual },
 {  66179, ur_m649_swio10_dual },
 {  66180, ur_m649_swio10_dual },
 {  66181, ur_m649_swio10_dual_pr_ee },
 {  66182, ur_m649_swio10_dual_pr_ee_u4 },
 {  66183, ur_m649_swio10_dual_pr_ce },
 {  66184, ur_m649_swio10_dual_pr_ce },
 {  66185, ur_m649_swio10_dual_pr_ee_ce },
 {  66186, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  66188, ur_m649_swio10_dual_ee_hw },
 {  66190, ur_m649_swio10_dual_ee_ce_hw },
 {  66191, ur_m649_swio10_dual_ee_ce_hw },
 {  66192, ur_m649_swio11_noled },
 {  66193, ur_m649_swio11_noled_pr },
 {  66194, ur_m649_swio11_noled_pr },
 {  66195, ur_m649_swio11_noled_pr_ee },
 {  66196, ur_m649_swio11_noled_pr_ee },
 {  66197, ur_m649_swio11_noled_pr_ce },
 {  66198, ur_m649_swio11_noled_pr_ce },
 {  66199, ur_m649_swio11_noled_pr_ee_ce },
 {  66200, ur_m649_swio11_noled_pr_ee_ce },
 {  66202, ur_m649_swio11_noled_ee_hw },
 {  66204, ur_m649_swio11_noled_ee_ce_hw },
 {  66205, ur_m649_swio11_noled_ee_ce_hw },
 {  66206, ur_m649_swio11_lednop },
 {  66207, ur_m649_swio11_lednop_pr },
 {  66208, ur_m649_swio11_lednop_pr },
 {  66209, ur_m649_swio11_lednop_pr_ee },
 {  66210, ur_m649_swio11_lednop_pr_ee },
 {  66211, ur_m649_swio11_lednop_pr_ce },
 {  66212, ur_m649_swio11_lednop_pr_ce },
 {  66213, ur_m649_swio11_lednop_pr_ee_ce },
 {  66214, ur_m649_swio11_lednop_pr_ee_ce },
 {  66216, ur_m649_swio11_lednop_ee_hw },
 {  66218, ur_m649_swio11_lednop_ee_ce_hw },
 {  66219, ur_m649_swio11_lednop_ee_ce_hw },
 {  66220, ur_m649_swio11_dual },
 {  66221, ur_m649_swio11_dual },
 {  66222, ur_m649_swio11_dual },
 {  66223, ur_m649_swio11_dual_pr_ee },
 {  66224, ur_m649_swio11_dual_pr_ee_u4 },
 {  66225, ur_m649_swio11_dual_pr_ce },
 {  66226, ur_m649_swio11_dual_pr_ce },
 {  66227, ur_m649_swio11_dual_pr_ee_ce },
 {  66228, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  66230, ur_m649_swio11_dual_ee_hw },
 {  66232, ur_m649_swio11_dual_ee_ce_hw },
 {  66233, ur_m649_swio11_dual_ee_ce_hw },
 {  66234, ur_m649_swio11_noled },
 {  66235, ur_m649_swio11_noled_pr },
 {  66236, ur_m649_swio11_noled_pr },
 {  66237, ur_m649_swio11_noled_pr_ee },
 {  66238, ur_m649_swio11_noled_pr_ee },
 {  66239, ur_m649_swio11_noled_pr_ce },
 {  66240, ur_m649_swio11_noled_pr_ce },
 {  66241, ur_m649_swio11_noled_pr_ee_ce },
 {  66242, ur_m649_swio11_noled_pr_ee_ce },
 {  66244, ur_m649_swio11_noled_ee_hw },
 {  66246, ur_m649_swio11_noled_ee_ce_hw },
 {  66247, ur_m649_swio11_noled_ee_ce_hw },
 {  66248, ur_m649_swio11_lednop },
 {  66249, ur_m649_swio11_lednop_pr },
 {  66250, ur_m649_swio11_lednop_pr },
 {  66251, ur_m649_swio11_lednop_pr_ee },
 {  66252, ur_m649_swio11_lednop_pr_ee },
 {  66253, ur_m649_swio11_lednop_pr_ce },
 {  66254, ur_m649_swio11_lednop_pr_ce },
 {  66255, ur_m649_swio11_lednop_pr_ee_ce },
 {  66256, ur_m649_swio11_lednop_pr_ee_ce },
 {  66258, ur_m649_swio11_lednop_ee_hw },
 {  66260, ur_m649_swio11_lednop_ee_ce_hw },
 {  66261, ur_m649_swio11_lednop_ee_ce_hw },
 {  66262, ur_m649_swio11_dual },
 {  66263, ur_m649_swio11_dual },
 {  66264, ur_m649_swio11_dual },
 {  66265, ur_m649_swio11_dual_pr_ee },
 {  66266, ur_m649_swio11_dual_pr_ee_u4 },
 {  66267, ur_m649_swio11_dual_pr_ce },
 {  66268, ur_m649_swio11_dual_pr_ce },
 {  66269, ur_m649_swio11_dual_pr_ee_ce },
 {  66270, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  66272, ur_m649_swio11_dual_ee_hw },
 {  66274, ur_m649_swio11_dual_ee_ce_hw },
 {  66275, ur_m649_swio11_dual_ee_ce_hw },
 {  66276, ur_m649_swio13_noled },
 {  66277, ur_m649_swio13_noled_pr },
 {  66278, ur_m649_swio13_noled_pr },
 {  66279, ur_m649_swio13_noled_pr_ee },
 {  66280, ur_m649_swio13_noled_pr_ee },
 {  66281, ur_m649_swio13_noled_pr_ce },
 {  66282, ur_m649_swio13_noled_pr_ce },
 {  66283, ur_m649_swio13_noled_pr_ee_ce },
 {  66284, ur_m649_swio13_noled_pr_ee_ce },
 {  66286, ur_m649_swio13_noled_ee_hw },
 {  66288, ur_m649_swio13_noled_ee_ce_hw },
 {  66289, ur_m649_swio13_noled_ee_ce_hw },
 {  66290, ur_m649_swio13_lednop },
 {  66291, ur_m649_swio13_lednop_pr },
 {  66292, ur_m649_swio13_lednop_pr },
 {  66293, ur_m649_swio13_lednop_pr_ee },
 {  66294, ur_m649_swio13_lednop_pr_ee },
 {  66295, ur_m649_swio13_lednop_pr_ce },
 {  66296, ur_m649_swio13_lednop_pr_ce },
 {  66297, ur_m649_swio13_lednop_pr_ee_ce },
 {  66298, ur_m649_swio13_lednop_pr_ee_ce },
 {  66300, ur_m649_swio13_lednop_ee_hw },
 {  66302, ur_m649_swio13_lednop_ee_ce_hw },
 {  66303, ur_m649_swio13_lednop_ee_ce_hw },
 {  66304, ur_m649_swio13_dual },
 {  66305, ur_m649_swio13_dual },
 {  66306, ur_m649_swio13_dual },
 {  66307, ur_m649_swio13_dual_pr_ee },
 {  66308, ur_m649_swio13_dual_pr_ee_u4 },
 {  66309, ur_m649_swio13_dual_pr_ce },
 {  66310, ur_m649_swio13_dual_pr_ce_u4 },
 {  66311, ur_m649_swio13_dual_pr_ee_ce },
 {  66312, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  66314, ur_m649_swio13_dual_ee_hw },
 {  66316, ur_m649_swio13_dual_ee_ce_hw },
 {  66317, ur_m649_swio13_dual_ee_ce_hw },
 {  66318, ur_m649_swio14_noled },
 {  66319, ur_m649_swio14_noled_pr },
 {  66320, ur_m649_swio14_noled_pr },
 {  66321, ur_m649_swio14_noled_pr_ee },
 {  66322, ur_m649_swio14_noled_pr_ee },
 {  66323, ur_m649_swio14_noled_pr_ce },
 {  66324, ur_m649_swio14_noled_pr_ce },
 {  66325, ur_m649_swio14_noled_pr_ee_ce },
 {  66326, ur_m649_swio14_noled_pr_ee_ce },
 {  66328, ur_m649_swio14_noled_ee_hw },
 {  66330, ur_m649_swio14_noled_ee_ce_hw },
 {  66331, ur_m649_swio14_noled_ee_ce_hw },
 {  66332, ur_m649_swio14_lednop },
 {  66333, ur_m649_swio14_lednop_pr },
 {  66334, ur_m649_swio14_lednop_pr },
 {  66335, ur_m649_swio14_lednop_pr_ee },
 {  66336, ur_m649_swio14_lednop_pr_ee },
 {  66337, ur_m649_swio14_lednop_pr_ce },
 {  66338, ur_m649_swio14_lednop_pr_ce },
 {  66339, ur_m649_swio14_lednop_pr_ee_ce },
 {  66340, ur_m649_swio14_lednop_pr_ee_ce },
 {  66342, ur_m649_swio14_lednop_ee_hw },
 {  66344, ur_m649_swio14_lednop_ee_ce_hw },
 {  66345, ur_m649_swio14_lednop_ee_ce_hw },
 {  66346, ur_m649_swio14_dual },
 {  66347, ur_m649_swio14_dual },
 {  66348, ur_m649_swio14_dual },
 {  66349, ur_m649_swio14_dual_pr_ee },
 {  66350, ur_m649_swio14_dual_pr_ee_u4 },
 {  66351, ur_m649_swio14_dual_pr_ce },
 {  66352, ur_m649_swio14_dual_pr_ce },
 {  66353, ur_m649_swio14_dual_pr_ee_ce },
 {  66354, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  66356, ur_m649_swio14_dual_ee_hw },
 {  66358, ur_m649_swio14_dual_ee_ce_hw },
 {  66359, ur_m649_swio14_dual_ee_ce_hw },
 {  66360, ur_m649_swio15_noled },
 {  66361, ur_m649_swio15_noled_pr },
 {  66362, ur_m649_swio15_noled_pr },
 {  66363, ur_m649_swio15_noled_pr_ee },
 {  66364, ur_m649_swio15_noled_pr_ee },
 {  66365, ur_m649_swio15_noled_pr_ce },
 {  66366, ur_m649_swio15_noled_pr_ce },
 {  66367, ur_m649_swio15_noled_pr_ee_ce },
 {  66368, ur_m649_swio15_noled_pr_ee_ce },
 {  66370, ur_m649_swio15_noled_ee_hw },
 {  66372, ur_m649_swio15_noled_ee_ce_hw },
 {  66373, ur_m649_swio15_noled_ee_ce_hw },
 {  66374, ur_m649_swio15_lednop },
 {  66375, ur_m649_swio15_lednop_pr },
 {  66376, ur_m649_swio15_lednop_pr },
 {  66377, ur_m649_swio15_lednop_pr_ee },
 {  66378, ur_m649_swio15_lednop_pr_ee },
 {  66379, ur_m649_swio15_lednop_pr_ce },
 {  66380, ur_m649_swio15_lednop_pr_ce },
 {  66381, ur_m649_swio15_lednop_pr_ee_ce },
 {  66382, ur_m649_swio15_lednop_pr_ee_ce },
 {  66384, ur_m649_swio15_lednop_ee_hw },
 {  66386, ur_m649_swio15_lednop_ee_ce_hw },
 {  66387, ur_m649_swio15_lednop_ee_ce_hw },
 {  66388, ur_m649_swio15_dual },
 {  66389, ur_m649_swio15_dual },
 {  66390, ur_m649_swio15_dual },
 {  66391, ur_m649_swio15_dual_pr_ee },
 {  66392, ur_m649_swio15_dual_pr_ee_u4 },
 {  66393, ur_m649_swio15_dual_pr_ce },
 {  66394, ur_m649_swio15_dual_pr_ce_u4 },
 {  66395, ur_m649_swio15_dual_pr_ee_ce },
 {  66396, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  66398, ur_m649_swio15_dual_ee_hw },
 {  66400, ur_m649_swio15_dual_ee_ce_hw },
 {  66401, ur_m649_swio15_dual_ee_ce_hw },
 {  66402, ur_m649_autobaud_uart0_noled },
 {  66403, ur_m649_autobaud_uart0_noled },
 {  66404, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  66405, ur_m649_autobaud_uart0_noled_pr_ee },
 {  66406, ur_m649_autobaud_uart0_noled_pr_ee },
 {  66407, ur_m649_autobaud_uart0_noled_pr_ce },
 {  66408, ur_m649_autobaud_uart0_noled_pr_ce },
 {  66409, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  66410, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  66412, ur_m649_autobaud_uart0_noled_ee_hw },
 {  66414, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  66415, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  66416, ur_m649_autobaud_uart0_lednop },
 {  66417, ur_m649_autobaud_uart0_lednop_pr },
 {  66418, ur_m649_autobaud_uart0_lednop_pr },
 {  66419, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  66420, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  66421, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  66422, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  66423, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  66424, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  66426, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  66428, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  66429, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  66430, ur_m649_autobaud_uart0_dual },
 {  66431, ur_m649_autobaud_uart0_dual },
 {  66432, ur_m649_autobaud_uart0_dual },
 {  66433, ur_m649_autobaud_uart0_dual_pr_ee },
 {  66434, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  66435, ur_m649_autobaud_uart0_dual_pr_ce },
 {  66436, ur_m649_autobaud_uart0_dual_pr_ce },
 {  66437, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  66438, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  66440, ur_m649_autobaud_uart0_dual_ee_hw },
 {  66442, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  66443, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  66612, ur_m649_u1x8_uart0_noled },
 {  66613, ur_m649_u1x8_uart0_noled },
 {  66614, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  66615, ur_m649_u1x8_uart0_noled_pr_ee },
 {  66616, ur_m649_u1x8_uart0_noled_pr_ee },
 {  66617, ur_m649_u1x8_uart0_noled_pr_ce },
 {  66618, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  66619, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  66620, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  66622, ur_m649_u1x8_uart0_noled_ee_hw },
 {  66624, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  66625, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  66626, ur_m649_u1x8_uart0_lednop },
 {  66627, ur_m649_u1x8_uart0_lednop },
 {  66628, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  66629, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  66630, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  66631, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  66632, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  66633, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  66634, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  66636, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  66638, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  66639, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  66640, ur_m649_u1x8_uart0_dual },
 {  66641, ur_m649_u1x8_uart0_dual },
 {  66642, ur_m649_u1x8_uart0_dual },
 {  66643, ur_m649_u1x8_uart0_dual_pr_ee },
 {  66644, ur_m649_u1x8_uart0_dual_pr_ee },
 {  66645, ur_m649_u1x8_uart0_dual_pr_ce },
 {  66646, ur_m649_u1x8_uart0_dual_pr_ce },
 {  66647, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  66648, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  66650, ur_m649_u1x8_uart0_dual_ee_hw },
 {  66652, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  66653, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  66822, ur_m649_u1x12_uart0_noled },
 {  66823, ur_m649_u1x12_uart0_noled },
 {  66824, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  66825, ur_m649_u1x12_uart0_noled_pr_ee },
 {  66826, ur_m649_u1x12_uart0_noled_pr_ee },
 {  66827, ur_m649_u1x12_uart0_noled_pr_ce },
 {  66828, ur_m649_u1x12_uart0_noled_pr_ce },
 {  66829, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  66830, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  66832, ur_m649_u1x12_uart0_noled_ee_hw },
 {  66834, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  66835, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  66836, ur_m649_u1x12_uart0_lednop },
 {  66837, ur_m649_u1x12_uart0_lednop },
 {  66838, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  66839, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  66840, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  66841, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  66842, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  66843, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  66844, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  66846, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  66848, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  66849, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  66850, ur_m649_u1x12_uart0_dual },
 {  66851, ur_m649_u1x12_uart0_dual },
 {  66852, ur_m649_u1x12_uart0_dual },
 {  66853, ur_m649_u1x12_uart0_dual_pr_ee },
 {  66854, ur_m649_u1x12_uart0_dual_pr_ee },
 {  66855, ur_m649_u1x12_uart0_dual_pr_ce },
 {  66856, ur_m649_u1x12_uart0_dual_pr_ce },
 {  66857, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  66858, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  66860, ur_m649_u1x12_uart0_dual_ee_hw },
 {  66862, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  66863, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  67032, ur_m649_u2x8_uart0_noled },
 {  67033, ur_m649_u2x8_uart0_noled },
 {  67034, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  67035, ur_m649_u2x8_uart0_noled_pr_ee },
 {  67036, ur_m649_u2x8_uart0_noled_pr_ee },
 {  67037, ur_m649_u2x8_uart0_noled_pr_ce },
 {  67038, ur_m649_u2x8_uart0_noled_pr_ce },
 {  67039, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  67040, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  67042, ur_m649_u2x8_uart0_noled_ee_hw },
 {  67044, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  67045, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  67046, ur_m649_u2x8_uart0_lednop },
 {  67047, ur_m649_u2x8_uart0_lednop },
 {  67048, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  67049, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  67050, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  67051, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  67052, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  67053, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  67054, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  67056, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  67058, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  67059, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  67060, ur_m649_u2x8_uart0_dual },
 {  67061, ur_m649_u2x8_uart0_dual },
 {  67062, ur_m649_u2x8_uart0_dual },
 {  67063, ur_m649_u2x8_uart0_dual_pr_ee },
 {  67064, ur_m649_u2x8_uart0_dual_pr_ee },
 {  67065, ur_m649_u2x8_uart0_dual_pr_ce },
 {  67066, ur_m649_u2x8_uart0_dual_pr_ce },
 {  67067, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  67068, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  67070, ur_m649_u2x8_uart0_dual_ee_hw },
 {  67072, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  67073, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  67242, ur_m649_u2x12_uart0_noled },
 {  67243, ur_m649_u2x12_uart0_noled },
 {  67244, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  67245, ur_m649_u2x12_uart0_noled_pr_ee },
 {  67246, ur_m649_u2x12_uart0_noled_pr_ee },
 {  67247, ur_m649_u2x12_uart0_noled_pr_ce },
 {  67248, ur_m649_u2x12_uart0_noled_pr_ce },
 {  67249, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  67250, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  67252, ur_m649_u2x12_uart0_noled_ee_hw },
 {  67254, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  67255, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  67256, ur_m649_u2x12_uart0_lednop },
 {  67257, ur_m649_u2x12_uart0_lednop },
 {  67258, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  67259, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  67260, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  67261, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  67262, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  67263, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  67264, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  67266, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  67268, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  67269, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  67270, ur_m649_u2x12_uart0_dual },
 {  67271, ur_m649_u2x12_uart0_dual },
 {  67272, ur_m649_u2x12_uart0_dual },
 {  67273, ur_m649_u2x12_uart0_dual_pr_ee },
 {  67274, ur_m649_u2x12_uart0_dual_pr_ee },
 {  67275, ur_m649_u2x12_uart0_dual_pr_ce },
 {  67276, ur_m649_u2x12_uart0_dual_pr_ce },
 {  67277, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  67278, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  67280, ur_m649_u2x12_uart0_dual_ee_hw },
 {  67282, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  67283, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  67452, ur_m649_swio10_noled },
 {  67453, ur_m649_swio10_noled_pr },
 {  67454, ur_m649_swio10_noled_pr },
 {  67455, ur_m649_swio10_noled_pr_ee },
 {  67456, ur_m649_swio10_noled_pr_ee },
 {  67457, ur_m649_swio10_noled_pr_ce },
 {  67458, ur_m649_swio10_noled_pr_ce },
 {  67459, ur_m649_swio10_noled_pr_ee_ce },
 {  67460, ur_m649_swio10_noled_pr_ee_ce },
 {  67462, ur_m649_swio10_noled_ee_hw },
 {  67464, ur_m649_swio10_noled_ee_ce_hw },
 {  67465, ur_m649_swio10_noled_ee_ce_hw },
 {  67466, ur_m649_swio10_lednop },
 {  67467, ur_m649_swio10_lednop_pr },
 {  67468, ur_m649_swio10_lednop_pr },
 {  67469, ur_m649_swio10_lednop_pr_ee },
 {  67470, ur_m649_swio10_lednop_pr_ee },
 {  67471, ur_m649_swio10_lednop_pr_ce },
 {  67472, ur_m649_swio10_lednop_pr_ce },
 {  67473, ur_m649_swio10_lednop_pr_ee_ce },
 {  67474, ur_m649_swio10_lednop_pr_ee_ce },
 {  67476, ur_m649_swio10_lednop_ee_hw },
 {  67478, ur_m649_swio10_lednop_ee_ce_hw },
 {  67479, ur_m649_swio10_lednop_ee_ce_hw },
 {  67480, ur_m649_swio10_dual },
 {  67481, ur_m649_swio10_dual },
 {  67482, ur_m649_swio10_dual },
 {  67483, ur_m649_swio10_dual_pr_ee },
 {  67484, ur_m649_swio10_dual_pr_ee_u4 },
 {  67485, ur_m649_swio10_dual_pr_ce },
 {  67486, ur_m649_swio10_dual_pr_ce },
 {  67487, ur_m649_swio10_dual_pr_ee_ce },
 {  67488, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  67490, ur_m649_swio10_dual_ee_hw },
 {  67492, ur_m649_swio10_dual_ee_ce_hw },
 {  67493, ur_m649_swio10_dual_ee_ce_hw },
 {  67494, ur_m649_swio11_noled },
 {  67495, ur_m649_swio11_noled_pr },
 {  67496, ur_m649_swio11_noled_pr },
 {  67497, ur_m649_swio11_noled_pr_ee },
 {  67498, ur_m649_swio11_noled_pr_ee },
 {  67499, ur_m649_swio11_noled_pr_ce },
 {  67500, ur_m649_swio11_noled_pr_ce },
 {  67501, ur_m649_swio11_noled_pr_ee_ce },
 {  67502, ur_m649_swio11_noled_pr_ee_ce },
 {  67504, ur_m649_swio11_noled_ee_hw },
 {  67506, ur_m649_swio11_noled_ee_ce_hw },
 {  67507, ur_m649_swio11_noled_ee_ce_hw },
 {  67508, ur_m649_swio11_lednop },
 {  67509, ur_m649_swio11_lednop_pr },
 {  67510, ur_m649_swio11_lednop_pr },
 {  67511, ur_m649_swio11_lednop_pr_ee },
 {  67512, ur_m649_swio11_lednop_pr_ee },
 {  67513, ur_m649_swio11_lednop_pr_ce },
 {  67514, ur_m649_swio11_lednop_pr_ce },
 {  67515, ur_m649_swio11_lednop_pr_ee_ce },
 {  67516, ur_m649_swio11_lednop_pr_ee_ce },
 {  67518, ur_m649_swio11_lednop_ee_hw },
 {  67520, ur_m649_swio11_lednop_ee_ce_hw },
 {  67521, ur_m649_swio11_lednop_ee_ce_hw },
 {  67522, ur_m649_swio11_dual },
 {  67523, ur_m649_swio11_dual },
 {  67524, ur_m649_swio11_dual },
 {  67525, ur_m649_swio11_dual_pr_ee },
 {  67526, ur_m649_swio11_dual_pr_ee_u4 },
 {  67527, ur_m649_swio11_dual_pr_ce },
 {  67528, ur_m649_swio11_dual_pr_ce },
 {  67529, ur_m649_swio11_dual_pr_ee_ce },
 {  67530, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  67532, ur_m649_swio11_dual_ee_hw },
 {  67534, ur_m649_swio11_dual_ee_ce_hw },
 {  67535, ur_m649_swio11_dual_ee_ce_hw },
 {  67536, ur_m649_swio11_noled },
 {  67537, ur_m649_swio11_noled_pr },
 {  67538, ur_m649_swio11_noled_pr },
 {  67539, ur_m649_swio11_noled_pr_ee },
 {  67540, ur_m649_swio11_noled_pr_ee },
 {  67541, ur_m649_swio11_noled_pr_ce },
 {  67542, ur_m649_swio11_noled_pr_ce },
 {  67543, ur_m649_swio11_noled_pr_ee_ce },
 {  67544, ur_m649_swio11_noled_pr_ee_ce },
 {  67546, ur_m649_swio11_noled_ee_hw },
 {  67548, ur_m649_swio11_noled_ee_ce_hw },
 {  67549, ur_m649_swio11_noled_ee_ce_hw },
 {  67550, ur_m649_swio11_lednop },
 {  67551, ur_m649_swio11_lednop_pr },
 {  67552, ur_m649_swio11_lednop_pr },
 {  67553, ur_m649_swio11_lednop_pr_ee },
 {  67554, ur_m649_swio11_lednop_pr_ee },
 {  67555, ur_m649_swio11_lednop_pr_ce },
 {  67556, ur_m649_swio11_lednop_pr_ce },
 {  67557, ur_m649_swio11_lednop_pr_ee_ce },
 {  67558, ur_m649_swio11_lednop_pr_ee_ce },
 {  67560, ur_m649_swio11_lednop_ee_hw },
 {  67562, ur_m649_swio11_lednop_ee_ce_hw },
 {  67563, ur_m649_swio11_lednop_ee_ce_hw },
 {  67564, ur_m649_swio11_dual },
 {  67565, ur_m649_swio11_dual },
 {  67566, ur_m649_swio11_dual },
 {  67567, ur_m649_swio11_dual_pr_ee },
 {  67568, ur_m649_swio11_dual_pr_ee_u4 },
 {  67569, ur_m649_swio11_dual_pr_ce },
 {  67570, ur_m649_swio11_dual_pr_ce },
 {  67571, ur_m649_swio11_dual_pr_ee_ce },
 {  67572, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  67574, ur_m649_swio11_dual_ee_hw },
 {  67576, ur_m649_swio11_dual_ee_ce_hw },
 {  67577, ur_m649_swio11_dual_ee_ce_hw },
 {  67578, ur_m649_swio13_noled },
 {  67579, ur_m649_swio13_noled_pr },
 {  67580, ur_m649_swio13_noled_pr },
 {  67581, ur_m649_swio13_noled_pr_ee },
 {  67582, ur_m649_swio13_noled_pr_ee },
 {  67583, ur_m649_swio13_noled_pr_ce },
 {  67584, ur_m649_swio13_noled_pr_ce },
 {  67585, ur_m649_swio13_noled_pr_ee_ce },
 {  67586, ur_m649_swio13_noled_pr_ee_ce },
 {  67588, ur_m649_swio13_noled_ee_hw },
 {  67590, ur_m649_swio13_noled_ee_ce_hw },
 {  67591, ur_m649_swio13_noled_ee_ce_hw },
 {  67592, ur_m649_swio13_lednop },
 {  67593, ur_m649_swio13_lednop_pr },
 {  67594, ur_m649_swio13_lednop_pr },
 {  67595, ur_m649_swio13_lednop_pr_ee },
 {  67596, ur_m649_swio13_lednop_pr_ee },
 {  67597, ur_m649_swio13_lednop_pr_ce },
 {  67598, ur_m649_swio13_lednop_pr_ce },
 {  67599, ur_m649_swio13_lednop_pr_ee_ce },
 {  67600, ur_m649_swio13_lednop_pr_ee_ce },
 {  67602, ur_m649_swio13_lednop_ee_hw },
 {  67604, ur_m649_swio13_lednop_ee_ce_hw },
 {  67605, ur_m649_swio13_lednop_ee_ce_hw },
 {  67606, ur_m649_swio13_dual },
 {  67607, ur_m649_swio13_dual },
 {  67608, ur_m649_swio13_dual },
 {  67609, ur_m649_swio13_dual_pr_ee },
 {  67610, ur_m649_swio13_dual_pr_ee_u4 },
 {  67611, ur_m649_swio13_dual_pr_ce },
 {  67612, ur_m649_swio13_dual_pr_ce_u4 },
 {  67613, ur_m649_swio13_dual_pr_ee_ce },
 {  67614, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  67616, ur_m649_swio13_dual_ee_hw },
 {  67618, ur_m649_swio13_dual_ee_ce_hw },
 {  67619, ur_m649_swio13_dual_ee_ce_hw },
 {  67620, ur_m649_swio14_noled },
 {  67621, ur_m649_swio14_noled_pr },
 {  67622, ur_m649_swio14_noled_pr },
 {  67623, ur_m649_swio14_noled_pr_ee },
 {  67624, ur_m649_swio14_noled_pr_ee },
 {  67625, ur_m649_swio14_noled_pr_ce },
 {  67626, ur_m649_swio14_noled_pr_ce },
 {  67627, ur_m649_swio14_noled_pr_ee_ce },
 {  67628, ur_m649_swio14_noled_pr_ee_ce },
 {  67630, ur_m649_swio14_noled_ee_hw },
 {  67632, ur_m649_swio14_noled_ee_ce_hw },
 {  67633, ur_m649_swio14_noled_ee_ce_hw },
 {  67634, ur_m649_swio14_lednop },
 {  67635, ur_m649_swio14_lednop_pr },
 {  67636, ur_m649_swio14_lednop_pr },
 {  67637, ur_m649_swio14_lednop_pr_ee },
 {  67638, ur_m649_swio14_lednop_pr_ee },
 {  67639, ur_m649_swio14_lednop_pr_ce },
 {  67640, ur_m649_swio14_lednop_pr_ce },
 {  67641, ur_m649_swio14_lednop_pr_ee_ce },
 {  67642, ur_m649_swio14_lednop_pr_ee_ce },
 {  67644, ur_m649_swio14_lednop_ee_hw },
 {  67646, ur_m649_swio14_lednop_ee_ce_hw },
 {  67647, ur_m649_swio14_lednop_ee_ce_hw },
 {  67648, ur_m649_swio14_dual },
 {  67649, ur_m649_swio14_dual },
 {  67650, ur_m649_swio14_dual },
 {  67651, ur_m649_swio14_dual_pr_ee },
 {  67652, ur_m649_swio14_dual_pr_ee_u4 },
 {  67653, ur_m649_swio14_dual_pr_ce },
 {  67654, ur_m649_swio14_dual_pr_ce },
 {  67655, ur_m649_swio14_dual_pr_ee_ce },
 {  67656, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  67658, ur_m649_swio14_dual_ee_hw },
 {  67660, ur_m649_swio14_dual_ee_ce_hw },
 {  67661, ur_m649_swio14_dual_ee_ce_hw },
 {  67662, ur_m649_swio15_noled },
 {  67663, ur_m649_swio15_noled_pr },
 {  67664, ur_m649_swio15_noled_pr },
 {  67665, ur_m649_swio15_noled_pr_ee },
 {  67666, ur_m649_swio15_noled_pr_ee },
 {  67667, ur_m649_swio15_noled_pr_ce },
 {  67668, ur_m649_swio15_noled_pr_ce },
 {  67669, ur_m649_swio15_noled_pr_ee_ce },
 {  67670, ur_m649_swio15_noled_pr_ee_ce },
 {  67672, ur_m649_swio15_noled_ee_hw },
 {  67674, ur_m649_swio15_noled_ee_ce_hw },
 {  67675, ur_m649_swio15_noled_ee_ce_hw },
 {  67676, ur_m649_swio15_lednop },
 {  67677, ur_m649_swio15_lednop_pr },
 {  67678, ur_m649_swio15_lednop_pr },
 {  67679, ur_m649_swio15_lednop_pr_ee },
 {  67680, ur_m649_swio15_lednop_pr_ee },
 {  67681, ur_m649_swio15_lednop_pr_ce },
 {  67682, ur_m649_swio15_lednop_pr_ce },
 {  67683, ur_m649_swio15_lednop_pr_ee_ce },
 {  67684, ur_m649_swio15_lednop_pr_ee_ce },
 {  67686, ur_m649_swio15_lednop_ee_hw },
 {  67688, ur_m649_swio15_lednop_ee_ce_hw },
 {  67689, ur_m649_swio15_lednop_ee_ce_hw },
 {  67690, ur_m649_swio15_dual },
 {  67691, ur_m649_swio15_dual },
 {  67692, ur_m649_swio15_dual },
 {  67693, ur_m649_swio15_dual_pr_ee },
 {  67694, ur_m649_swio15_dual_pr_ee_u4 },
 {  67695, ur_m649_swio15_dual_pr_ce },
 {  67696, ur_m649_swio15_dual_pr_ce_u4 },
 {  67697, ur_m649_swio15_dual_pr_ee_ce },
 {  67698, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  67700, ur_m649_swio15_dual_ee_hw },
 {  67702, ur_m649_swio15_dual_ee_ce_hw },
 {  67703, ur_m649_swio15_dual_ee_ce_hw },
 {  67704, ur_m649_autobaud_uart0_noled },
 {  67705, ur_m649_autobaud_uart0_noled },
 {  67706, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  67707, ur_m649_autobaud_uart0_noled_pr_ee },
 {  67708, ur_m649_autobaud_uart0_noled_pr_ee },
 {  67709, ur_m649_autobaud_uart0_noled_pr_ce },
 {  67710, ur_m649_autobaud_uart0_noled_pr_ce },
 {  67711, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  67712, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  67714, ur_m649_autobaud_uart0_noled_ee_hw },
 {  67716, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  67717, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  67718, ur_m649_autobaud_uart0_lednop },
 {  67719, ur_m649_autobaud_uart0_lednop_pr },
 {  67720, ur_m649_autobaud_uart0_lednop_pr },
 {  67721, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  67722, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  67723, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  67724, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  67725, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  67726, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  67728, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  67730, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  67731, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  67732, ur_m649_autobaud_uart0_dual },
 {  67733, ur_m649_autobaud_uart0_dual },
 {  67734, ur_m649_autobaud_uart0_dual },
 {  67735, ur_m649_autobaud_uart0_dual_pr_ee },
 {  67736, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  67737, ur_m649_autobaud_uart0_dual_pr_ce },
 {  67738, ur_m649_autobaud_uart0_dual_pr_ce },
 {  67739, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  67740, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  67742, ur_m649_autobaud_uart0_dual_ee_hw },
 {  67744, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  67745, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  67914, ur_m649_u1x8_uart0_noled },
 {  67915, ur_m649_u1x8_uart0_noled },
 {  67916, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  67917, ur_m649_u1x8_uart0_noled_pr_ee },
 {  67918, ur_m649_u1x8_uart0_noled_pr_ee },
 {  67919, ur_m649_u1x8_uart0_noled_pr_ce },
 {  67920, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  67921, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  67922, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  67924, ur_m649_u1x8_uart0_noled_ee_hw },
 {  67926, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  67927, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  67928, ur_m649_u1x8_uart0_lednop },
 {  67929, ur_m649_u1x8_uart0_lednop },
 {  67930, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  67931, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  67932, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  67933, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  67934, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  67935, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  67936, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  67938, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  67940, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  67941, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  67942, ur_m649_u1x8_uart0_dual },
 {  67943, ur_m649_u1x8_uart0_dual },
 {  67944, ur_m649_u1x8_uart0_dual },
 {  67945, ur_m649_u1x8_uart0_dual_pr_ee },
 {  67946, ur_m649_u1x8_uart0_dual_pr_ee },
 {  67947, ur_m649_u1x8_uart0_dual_pr_ce },
 {  67948, ur_m649_u1x8_uart0_dual_pr_ce },
 {  67949, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  67950, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  67952, ur_m649_u1x8_uart0_dual_ee_hw },
 {  67954, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  67955, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  68124, ur_m649_u1x12_uart0_noled },
 {  68125, ur_m649_u1x12_uart0_noled },
 {  68126, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  68127, ur_m649_u1x12_uart0_noled_pr_ee },
 {  68128, ur_m649_u1x12_uart0_noled_pr_ee },
 {  68129, ur_m649_u1x12_uart0_noled_pr_ce },
 {  68130, ur_m649_u1x12_uart0_noled_pr_ce },
 {  68131, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  68132, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  68134, ur_m649_u1x12_uart0_noled_ee_hw },
 {  68136, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  68137, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  68138, ur_m649_u1x12_uart0_lednop },
 {  68139, ur_m649_u1x12_uart0_lednop },
 {  68140, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  68141, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  68142, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  68143, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  68144, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  68145, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  68146, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  68148, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  68150, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  68151, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  68152, ur_m649_u1x12_uart0_dual },
 {  68153, ur_m649_u1x12_uart0_dual },
 {  68154, ur_m649_u1x12_uart0_dual },
 {  68155, ur_m649_u1x12_uart0_dual_pr_ee },
 {  68156, ur_m649_u1x12_uart0_dual_pr_ee },
 {  68157, ur_m649_u1x12_uart0_dual_pr_ce },
 {  68158, ur_m649_u1x12_uart0_dual_pr_ce },
 {  68159, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  68160, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  68162, ur_m649_u1x12_uart0_dual_ee_hw },
 {  68164, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  68165, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  68334, ur_m649_u2x8_uart0_noled },
 {  68335, ur_m649_u2x8_uart0_noled },
 {  68336, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  68337, ur_m649_u2x8_uart0_noled_pr_ee },
 {  68338, ur_m649_u2x8_uart0_noled_pr_ee },
 {  68339, ur_m649_u2x8_uart0_noled_pr_ce },
 {  68340, ur_m649_u2x8_uart0_noled_pr_ce },
 {  68341, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  68342, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  68344, ur_m649_u2x8_uart0_noled_ee_hw },
 {  68346, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  68347, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  68348, ur_m649_u2x8_uart0_lednop },
 {  68349, ur_m649_u2x8_uart0_lednop },
 {  68350, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  68351, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  68352, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  68353, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  68354, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  68355, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  68356, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  68358, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  68360, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  68361, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  68362, ur_m649_u2x8_uart0_dual },
 {  68363, ur_m649_u2x8_uart0_dual },
 {  68364, ur_m649_u2x8_uart0_dual },
 {  68365, ur_m649_u2x8_uart0_dual_pr_ee },
 {  68366, ur_m649_u2x8_uart0_dual_pr_ee },
 {  68367, ur_m649_u2x8_uart0_dual_pr_ce },
 {  68368, ur_m649_u2x8_uart0_dual_pr_ce },
 {  68369, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  68370, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  68372, ur_m649_u2x8_uart0_dual_ee_hw },
 {  68374, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  68375, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  68544, ur_m649_u2x12_uart0_noled },
 {  68545, ur_m649_u2x12_uart0_noled },
 {  68546, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  68547, ur_m649_u2x12_uart0_noled_pr_ee },
 {  68548, ur_m649_u2x12_uart0_noled_pr_ee },
 {  68549, ur_m649_u2x12_uart0_noled_pr_ce },
 {  68550, ur_m649_u2x12_uart0_noled_pr_ce },
 {  68551, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  68552, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  68554, ur_m649_u2x12_uart0_noled_ee_hw },
 {  68556, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  68557, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  68558, ur_m649_u2x12_uart0_lednop },
 {  68559, ur_m649_u2x12_uart0_lednop },
 {  68560, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  68561, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  68562, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  68563, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  68564, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  68565, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  68566, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  68568, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  68570, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  68571, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  68572, ur_m649_u2x12_uart0_dual },
 {  68573, ur_m649_u2x12_uart0_dual },
 {  68574, ur_m649_u2x12_uart0_dual },
 {  68575, ur_m649_u2x12_uart0_dual_pr_ee },
 {  68576, ur_m649_u2x12_uart0_dual_pr_ee },
 {  68577, ur_m649_u2x12_uart0_dual_pr_ce },
 {  68578, ur_m649_u2x12_uart0_dual_pr_ce },
 {  68579, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  68580, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  68582, ur_m649_u2x12_uart0_dual_ee_hw },
 {  68584, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  68585, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  68754, ur_m649_swio10_noled },
 {  68755, ur_m649_swio10_noled_pr },
 {  68756, ur_m649_swio10_noled_pr },
 {  68757, ur_m649_swio10_noled_pr_ee },
 {  68758, ur_m649_swio10_noled_pr_ee },
 {  68759, ur_m649_swio10_noled_pr_ce },
 {  68760, ur_m649_swio10_noled_pr_ce },
 {  68761, ur_m649_swio10_noled_pr_ee_ce },
 {  68762, ur_m649_swio10_noled_pr_ee_ce },
 {  68764, ur_m649_swio10_noled_ee_hw },
 {  68766, ur_m649_swio10_noled_ee_ce_hw },
 {  68767, ur_m649_swio10_noled_ee_ce_hw },
 {  68768, ur_m649_swio10_lednop },
 {  68769, ur_m649_swio10_lednop_pr },
 {  68770, ur_m649_swio10_lednop_pr },
 {  68771, ur_m649_swio10_lednop_pr_ee },
 {  68772, ur_m649_swio10_lednop_pr_ee },
 {  68773, ur_m649_swio10_lednop_pr_ce },
 {  68774, ur_m649_swio10_lednop_pr_ce },
 {  68775, ur_m649_swio10_lednop_pr_ee_ce },
 {  68776, ur_m649_swio10_lednop_pr_ee_ce },
 {  68778, ur_m649_swio10_lednop_ee_hw },
 {  68780, ur_m649_swio10_lednop_ee_ce_hw },
 {  68781, ur_m649_swio10_lednop_ee_ce_hw },
 {  68782, ur_m649_swio10_dual },
 {  68783, ur_m649_swio10_dual },
 {  68784, ur_m649_swio10_dual },
 {  68785, ur_m649_swio10_dual_pr_ee },
 {  68786, ur_m649_swio10_dual_pr_ee_u4 },
 {  68787, ur_m649_swio10_dual_pr_ce },
 {  68788, ur_m649_swio10_dual_pr_ce },
 {  68789, ur_m649_swio10_dual_pr_ee_ce },
 {  68790, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  68792, ur_m649_swio10_dual_ee_hw },
 {  68794, ur_m649_swio10_dual_ee_ce_hw },
 {  68795, ur_m649_swio10_dual_ee_ce_hw },
 {  68796, ur_m649_swio11_noled },
 {  68797, ur_m649_swio11_noled_pr },
 {  68798, ur_m649_swio11_noled_pr },
 {  68799, ur_m649_swio11_noled_pr_ee },
 {  68800, ur_m649_swio11_noled_pr_ee },
 {  68801, ur_m649_swio11_noled_pr_ce },
 {  68802, ur_m649_swio11_noled_pr_ce },
 {  68803, ur_m649_swio11_noled_pr_ee_ce },
 {  68804, ur_m649_swio11_noled_pr_ee_ce },
 {  68806, ur_m649_swio11_noled_ee_hw },
 {  68808, ur_m649_swio11_noled_ee_ce_hw },
 {  68809, ur_m649_swio11_noled_ee_ce_hw },
 {  68810, ur_m649_swio11_lednop },
 {  68811, ur_m649_swio11_lednop_pr },
 {  68812, ur_m649_swio11_lednop_pr },
 {  68813, ur_m649_swio11_lednop_pr_ee },
 {  68814, ur_m649_swio11_lednop_pr_ee },
 {  68815, ur_m649_swio11_lednop_pr_ce },
 {  68816, ur_m649_swio11_lednop_pr_ce },
 {  68817, ur_m649_swio11_lednop_pr_ee_ce },
 {  68818, ur_m649_swio11_lednop_pr_ee_ce },
 {  68820, ur_m649_swio11_lednop_ee_hw },
 {  68822, ur_m649_swio11_lednop_ee_ce_hw },
 {  68823, ur_m649_swio11_lednop_ee_ce_hw },
 {  68824, ur_m649_swio11_dual },
 {  68825, ur_m649_swio11_dual },
 {  68826, ur_m649_swio11_dual },
 {  68827, ur_m649_swio11_dual_pr_ee },
 {  68828, ur_m649_swio11_dual_pr_ee_u4 },
 {  68829, ur_m649_swio11_dual_pr_ce },
 {  68830, ur_m649_swio11_dual_pr_ce },
 {  68831, ur_m649_swio11_dual_pr_ee_ce },
 {  68832, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  68834, ur_m649_swio11_dual_ee_hw },
 {  68836, ur_m649_swio11_dual_ee_ce_hw },
 {  68837, ur_m649_swio11_dual_ee_ce_hw },
 {  68838, ur_m649_swio11_noled },
 {  68839, ur_m649_swio11_noled_pr },
 {  68840, ur_m649_swio11_noled_pr },
 {  68841, ur_m649_swio11_noled_pr_ee },
 {  68842, ur_m649_swio11_noled_pr_ee },
 {  68843, ur_m649_swio11_noled_pr_ce },
 {  68844, ur_m649_swio11_noled_pr_ce },
 {  68845, ur_m649_swio11_noled_pr_ee_ce },
 {  68846, ur_m649_swio11_noled_pr_ee_ce },
 {  68848, ur_m649_swio11_noled_ee_hw },
 {  68850, ur_m649_swio11_noled_ee_ce_hw },
 {  68851, ur_m649_swio11_noled_ee_ce_hw },
 {  68852, ur_m649_swio11_lednop },
 {  68853, ur_m649_swio11_lednop_pr },
 {  68854, ur_m649_swio11_lednop_pr },
 {  68855, ur_m649_swio11_lednop_pr_ee },
 {  68856, ur_m649_swio11_lednop_pr_ee },
 {  68857, ur_m649_swio11_lednop_pr_ce },
 {  68858, ur_m649_swio11_lednop_pr_ce },
 {  68859, ur_m649_swio11_lednop_pr_ee_ce },
 {  68860, ur_m649_swio11_lednop_pr_ee_ce },
 {  68862, ur_m649_swio11_lednop_ee_hw },
 {  68864, ur_m649_swio11_lednop_ee_ce_hw },
 {  68865, ur_m649_swio11_lednop_ee_ce_hw },
 {  68866, ur_m649_swio11_dual },
 {  68867, ur_m649_swio11_dual },
 {  68868, ur_m649_swio11_dual },
 {  68869, ur_m649_swio11_dual_pr_ee },
 {  68870, ur_m649_swio11_dual_pr_ee_u4 },
 {  68871, ur_m649_swio11_dual_pr_ce },
 {  68872, ur_m649_swio11_dual_pr_ce },
 {  68873, ur_m649_swio11_dual_pr_ee_ce },
 {  68874, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  68876, ur_m649_swio11_dual_ee_hw },
 {  68878, ur_m649_swio11_dual_ee_ce_hw },
 {  68879, ur_m649_swio11_dual_ee_ce_hw },
 {  68880, ur_m649_swio13_noled },
 {  68881, ur_m649_swio13_noled_pr },
 {  68882, ur_m649_swio13_noled_pr },
 {  68883, ur_m649_swio13_noled_pr_ee },
 {  68884, ur_m649_swio13_noled_pr_ee },
 {  68885, ur_m649_swio13_noled_pr_ce },
 {  68886, ur_m649_swio13_noled_pr_ce },
 {  68887, ur_m649_swio13_noled_pr_ee_ce },
 {  68888, ur_m649_swio13_noled_pr_ee_ce },
 {  68890, ur_m649_swio13_noled_ee_hw },
 {  68892, ur_m649_swio13_noled_ee_ce_hw },
 {  68893, ur_m649_swio13_noled_ee_ce_hw },
 {  68894, ur_m649_swio13_lednop },
 {  68895, ur_m649_swio13_lednop_pr },
 {  68896, ur_m649_swio13_lednop_pr },
 {  68897, ur_m649_swio13_lednop_pr_ee },
 {  68898, ur_m649_swio13_lednop_pr_ee },
 {  68899, ur_m649_swio13_lednop_pr_ce },
 {  68900, ur_m649_swio13_lednop_pr_ce },
 {  68901, ur_m649_swio13_lednop_pr_ee_ce },
 {  68902, ur_m649_swio13_lednop_pr_ee_ce },
 {  68904, ur_m649_swio13_lednop_ee_hw },
 {  68906, ur_m649_swio13_lednop_ee_ce_hw },
 {  68907, ur_m649_swio13_lednop_ee_ce_hw },
 {  68908, ur_m649_swio13_dual },
 {  68909, ur_m649_swio13_dual },
 {  68910, ur_m649_swio13_dual },
 {  68911, ur_m649_swio13_dual_pr_ee },
 {  68912, ur_m649_swio13_dual_pr_ee_u4 },
 {  68913, ur_m649_swio13_dual_pr_ce },
 {  68914, ur_m649_swio13_dual_pr_ce_u4 },
 {  68915, ur_m649_swio13_dual_pr_ee_ce },
 {  68916, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  68918, ur_m649_swio13_dual_ee_hw },
 {  68920, ur_m649_swio13_dual_ee_ce_hw },
 {  68921, ur_m649_swio13_dual_ee_ce_hw },
 {  68922, ur_m649_swio14_noled },
 {  68923, ur_m649_swio14_noled_pr },
 {  68924, ur_m649_swio14_noled_pr },
 {  68925, ur_m649_swio14_noled_pr_ee },
 {  68926, ur_m649_swio14_noled_pr_ee },
 {  68927, ur_m649_swio14_noled_pr_ce },
 {  68928, ur_m649_swio14_noled_pr_ce },
 {  68929, ur_m649_swio14_noled_pr_ee_ce },
 {  68930, ur_m649_swio14_noled_pr_ee_ce },
 {  68932, ur_m649_swio14_noled_ee_hw },
 {  68934, ur_m649_swio14_noled_ee_ce_hw },
 {  68935, ur_m649_swio14_noled_ee_ce_hw },
 {  68936, ur_m649_swio14_lednop },
 {  68937, ur_m649_swio14_lednop_pr },
 {  68938, ur_m649_swio14_lednop_pr },
 {  68939, ur_m649_swio14_lednop_pr_ee },
 {  68940, ur_m649_swio14_lednop_pr_ee },
 {  68941, ur_m649_swio14_lednop_pr_ce },
 {  68942, ur_m649_swio14_lednop_pr_ce },
 {  68943, ur_m649_swio14_lednop_pr_ee_ce },
 {  68944, ur_m649_swio14_lednop_pr_ee_ce },
 {  68946, ur_m649_swio14_lednop_ee_hw },
 {  68948, ur_m649_swio14_lednop_ee_ce_hw },
 {  68949, ur_m649_swio14_lednop_ee_ce_hw },
 {  68950, ur_m649_swio14_dual },
 {  68951, ur_m649_swio14_dual },
 {  68952, ur_m649_swio14_dual },
 {  68953, ur_m649_swio14_dual_pr_ee },
 {  68954, ur_m649_swio14_dual_pr_ee_u4 },
 {  68955, ur_m649_swio14_dual_pr_ce },
 {  68956, ur_m649_swio14_dual_pr_ce },
 {  68957, ur_m649_swio14_dual_pr_ee_ce },
 {  68958, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  68960, ur_m649_swio14_dual_ee_hw },
 {  68962, ur_m649_swio14_dual_ee_ce_hw },
 {  68963, ur_m649_swio14_dual_ee_ce_hw },
 {  68964, ur_m649_swio15_noled },
 {  68965, ur_m649_swio15_noled_pr },
 {  68966, ur_m649_swio15_noled_pr },
 {  68967, ur_m649_swio15_noled_pr_ee },
 {  68968, ur_m649_swio15_noled_pr_ee },
 {  68969, ur_m649_swio15_noled_pr_ce },
 {  68970, ur_m649_swio15_noled_pr_ce },
 {  68971, ur_m649_swio15_noled_pr_ee_ce },
 {  68972, ur_m649_swio15_noled_pr_ee_ce },
 {  68974, ur_m649_swio15_noled_ee_hw },
 {  68976, ur_m649_swio15_noled_ee_ce_hw },
 {  68977, ur_m649_swio15_noled_ee_ce_hw },
 {  68978, ur_m649_swio15_lednop },
 {  68979, ur_m649_swio15_lednop_pr },
 {  68980, ur_m649_swio15_lednop_pr },
 {  68981, ur_m649_swio15_lednop_pr_ee },
 {  68982, ur_m649_swio15_lednop_pr_ee },
 {  68983, ur_m649_swio15_lednop_pr_ce },
 {  68984, ur_m649_swio15_lednop_pr_ce },
 {  68985, ur_m649_swio15_lednop_pr_ee_ce },
 {  68986, ur_m649_swio15_lednop_pr_ee_ce },
 {  68988, ur_m649_swio15_lednop_ee_hw },
 {  68990, ur_m649_swio15_lednop_ee_ce_hw },
 {  68991, ur_m649_swio15_lednop_ee_ce_hw },
 {  68992, ur_m649_swio15_dual },
 {  68993, ur_m649_swio15_dual },
 {  68994, ur_m649_swio15_dual },
 {  68995, ur_m649_swio15_dual_pr_ee },
 {  68996, ur_m649_swio15_dual_pr_ee_u4 },
 {  68997, ur_m649_swio15_dual_pr_ce },
 {  68998, ur_m649_swio15_dual_pr_ce_u4 },
 {  68999, ur_m649_swio15_dual_pr_ee_ce },
 {  69000, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  69002, ur_m649_swio15_dual_ee_hw },
 {  69004, ur_m649_swio15_dual_ee_ce_hw },
 {  69005, ur_m649_swio15_dual_ee_ce_hw },
 {  69006, ur_m649_autobaud_uart0_noled },
 {  69007, ur_m649_autobaud_uart0_noled },
 {  69008, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  69009, ur_m649_autobaud_uart0_noled_pr_ee },
 {  69010, ur_m649_autobaud_uart0_noled_pr_ee },
 {  69011, ur_m649_autobaud_uart0_noled_pr_ce },
 {  69012, ur_m649_autobaud_uart0_noled_pr_ce },
 {  69013, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  69014, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  69016, ur_m649_autobaud_uart0_noled_ee_hw },
 {  69018, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  69019, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  69020, ur_m649_autobaud_uart0_lednop },
 {  69021, ur_m649_autobaud_uart0_lednop_pr },
 {  69022, ur_m649_autobaud_uart0_lednop_pr },
 {  69023, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  69024, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  69025, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  69026, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  69027, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  69028, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  69030, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  69032, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  69033, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  69034, ur_m649_autobaud_uart0_dual },
 {  69035, ur_m649_autobaud_uart0_dual },
 {  69036, ur_m649_autobaud_uart0_dual },
 {  69037, ur_m649_autobaud_uart0_dual_pr_ee },
 {  69038, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  69039, ur_m649_autobaud_uart0_dual_pr_ce },
 {  69040, ur_m649_autobaud_uart0_dual_pr_ce },
 {  69041, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  69042, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  69044, ur_m649_autobaud_uart0_dual_ee_hw },
 {  69046, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  69047, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  69216, ur_m649_u1x8_uart0_noled },
 {  69217, ur_m649_u1x8_uart0_noled },
 {  69218, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  69219, ur_m649_u1x8_uart0_noled_pr_ee },
 {  69220, ur_m649_u1x8_uart0_noled_pr_ee },
 {  69221, ur_m649_u1x8_uart0_noled_pr_ce },
 {  69222, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  69223, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  69224, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  69226, ur_m649_u1x8_uart0_noled_ee_hw },
 {  69228, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  69229, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  69230, ur_m649_u1x8_uart0_lednop },
 {  69231, ur_m649_u1x8_uart0_lednop },
 {  69232, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  69233, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  69234, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  69235, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  69236, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  69237, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  69238, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  69240, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  69242, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  69243, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  69244, ur_m649_u1x8_uart0_dual },
 {  69245, ur_m649_u1x8_uart0_dual },
 {  69246, ur_m649_u1x8_uart0_dual },
 {  69247, ur_m649_u1x8_uart0_dual_pr_ee },
 {  69248, ur_m649_u1x8_uart0_dual_pr_ee },
 {  69249, ur_m649_u1x8_uart0_dual_pr_ce },
 {  69250, ur_m649_u1x8_uart0_dual_pr_ce },
 {  69251, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  69252, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  69254, ur_m649_u1x8_uart0_dual_ee_hw },
 {  69256, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  69257, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  69426, ur_m649_u1x12_uart0_noled },
 {  69427, ur_m649_u1x12_uart0_noled },
 {  69428, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  69429, ur_m649_u1x12_uart0_noled_pr_ee },
 {  69430, ur_m649_u1x12_uart0_noled_pr_ee },
 {  69431, ur_m649_u1x12_uart0_noled_pr_ce },
 {  69432, ur_m649_u1x12_uart0_noled_pr_ce },
 {  69433, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  69434, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  69436, ur_m649_u1x12_uart0_noled_ee_hw },
 {  69438, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  69439, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  69440, ur_m649_u1x12_uart0_lednop },
 {  69441, ur_m649_u1x12_uart0_lednop },
 {  69442, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  69443, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  69444, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  69445, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  69446, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  69447, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  69448, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  69450, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  69452, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  69453, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  69454, ur_m649_u1x12_uart0_dual },
 {  69455, ur_m649_u1x12_uart0_dual },
 {  69456, ur_m649_u1x12_uart0_dual },
 {  69457, ur_m649_u1x12_uart0_dual_pr_ee },
 {  69458, ur_m649_u1x12_uart0_dual_pr_ee },
 {  69459, ur_m649_u1x12_uart0_dual_pr_ce },
 {  69460, ur_m649_u1x12_uart0_dual_pr_ce },
 {  69461, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  69462, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  69464, ur_m649_u1x12_uart0_dual_ee_hw },
 {  69466, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  69467, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  69636, ur_m649_u2x8_uart0_noled },
 {  69637, ur_m649_u2x8_uart0_noled },
 {  69638, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  69639, ur_m649_u2x8_uart0_noled_pr_ee },
 {  69640, ur_m649_u2x8_uart0_noled_pr_ee },
 {  69641, ur_m649_u2x8_uart0_noled_pr_ce },
 {  69642, ur_m649_u2x8_uart0_noled_pr_ce },
 {  69643, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  69644, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  69646, ur_m649_u2x8_uart0_noled_ee_hw },
 {  69648, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  69649, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  69650, ur_m649_u2x8_uart0_lednop },
 {  69651, ur_m649_u2x8_uart0_lednop },
 {  69652, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  69653, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  69654, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  69655, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  69656, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  69657, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  69658, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  69660, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  69662, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  69663, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  69664, ur_m649_u2x8_uart0_dual },
 {  69665, ur_m649_u2x8_uart0_dual },
 {  69666, ur_m649_u2x8_uart0_dual },
 {  69667, ur_m649_u2x8_uart0_dual_pr_ee },
 {  69668, ur_m649_u2x8_uart0_dual_pr_ee },
 {  69669, ur_m649_u2x8_uart0_dual_pr_ce },
 {  69670, ur_m649_u2x8_uart0_dual_pr_ce },
 {  69671, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  69672, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  69674, ur_m649_u2x8_uart0_dual_ee_hw },
 {  69676, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  69677, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  69846, ur_m649_u2x12_uart0_noled },
 {  69847, ur_m649_u2x12_uart0_noled },
 {  69848, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  69849, ur_m649_u2x12_uart0_noled_pr_ee },
 {  69850, ur_m649_u2x12_uart0_noled_pr_ee },
 {  69851, ur_m649_u2x12_uart0_noled_pr_ce },
 {  69852, ur_m649_u2x12_uart0_noled_pr_ce },
 {  69853, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  69854, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  69856, ur_m649_u2x12_uart0_noled_ee_hw },
 {  69858, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  69859, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  69860, ur_m649_u2x12_uart0_lednop },
 {  69861, ur_m649_u2x12_uart0_lednop },
 {  69862, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  69863, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  69864, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  69865, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  69866, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  69867, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  69868, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  69870, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  69872, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  69873, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  69874, ur_m649_u2x12_uart0_dual },
 {  69875, ur_m649_u2x12_uart0_dual },
 {  69876, ur_m649_u2x12_uart0_dual },
 {  69877, ur_m649_u2x12_uart0_dual_pr_ee },
 {  69878, ur_m649_u2x12_uart0_dual_pr_ee },
 {  69879, ur_m649_u2x12_uart0_dual_pr_ce },
 {  69880, ur_m649_u2x12_uart0_dual_pr_ce },
 {  69881, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  69882, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  69884, ur_m649_u2x12_uart0_dual_ee_hw },
 {  69886, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  69887, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  70056, ur_m649_swio10_noled },
 {  70057, ur_m649_swio10_noled_pr },
 {  70058, ur_m649_swio10_noled_pr },
 {  70059, ur_m649_swio10_noled_pr_ee },
 {  70060, ur_m649_swio10_noled_pr_ee },
 {  70061, ur_m649_swio10_noled_pr_ce },
 {  70062, ur_m649_swio10_noled_pr_ce },
 {  70063, ur_m649_swio10_noled_pr_ee_ce },
 {  70064, ur_m649_swio10_noled_pr_ee_ce },
 {  70066, ur_m649_swio10_noled_ee_hw },
 {  70068, ur_m649_swio10_noled_ee_ce_hw },
 {  70069, ur_m649_swio10_noled_ee_ce_hw },
 {  70070, ur_m649_swio10_lednop },
 {  70071, ur_m649_swio10_lednop_pr },
 {  70072, ur_m649_swio10_lednop_pr },
 {  70073, ur_m649_swio10_lednop_pr_ee },
 {  70074, ur_m649_swio10_lednop_pr_ee },
 {  70075, ur_m649_swio10_lednop_pr_ce },
 {  70076, ur_m649_swio10_lednop_pr_ce },
 {  70077, ur_m649_swio10_lednop_pr_ee_ce },
 {  70078, ur_m649_swio10_lednop_pr_ee_ce },
 {  70080, ur_m649_swio10_lednop_ee_hw },
 {  70082, ur_m649_swio10_lednop_ee_ce_hw },
 {  70083, ur_m649_swio10_lednop_ee_ce_hw },
 {  70084, ur_m649_swio10_dual },
 {  70085, ur_m649_swio10_dual },
 {  70086, ur_m649_swio10_dual },
 {  70087, ur_m649_swio10_dual_pr_ee },
 {  70088, ur_m649_swio10_dual_pr_ee_u4 },
 {  70089, ur_m649_swio10_dual_pr_ce },
 {  70090, ur_m649_swio10_dual_pr_ce },
 {  70091, ur_m649_swio10_dual_pr_ee_ce },
 {  70092, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  70094, ur_m649_swio10_dual_ee_hw },
 {  70096, ur_m649_swio10_dual_ee_ce_hw },
 {  70097, ur_m649_swio10_dual_ee_ce_hw },
 {  70098, ur_m649_swio11_noled },
 {  70099, ur_m649_swio11_noled_pr },
 {  70100, ur_m649_swio11_noled_pr },
 {  70101, ur_m649_swio11_noled_pr_ee },
 {  70102, ur_m649_swio11_noled_pr_ee },
 {  70103, ur_m649_swio11_noled_pr_ce },
 {  70104, ur_m649_swio11_noled_pr_ce },
 {  70105, ur_m649_swio11_noled_pr_ee_ce },
 {  70106, ur_m649_swio11_noled_pr_ee_ce },
 {  70108, ur_m649_swio11_noled_ee_hw },
 {  70110, ur_m649_swio11_noled_ee_ce_hw },
 {  70111, ur_m649_swio11_noled_ee_ce_hw },
 {  70112, ur_m649_swio11_lednop },
 {  70113, ur_m649_swio11_lednop_pr },
 {  70114, ur_m649_swio11_lednop_pr },
 {  70115, ur_m649_swio11_lednop_pr_ee },
 {  70116, ur_m649_swio11_lednop_pr_ee },
 {  70117, ur_m649_swio11_lednop_pr_ce },
 {  70118, ur_m649_swio11_lednop_pr_ce },
 {  70119, ur_m649_swio11_lednop_pr_ee_ce },
 {  70120, ur_m649_swio11_lednop_pr_ee_ce },
 {  70122, ur_m649_swio11_lednop_ee_hw },
 {  70124, ur_m649_swio11_lednop_ee_ce_hw },
 {  70125, ur_m649_swio11_lednop_ee_ce_hw },
 {  70126, ur_m649_swio11_dual },
 {  70127, ur_m649_swio11_dual },
 {  70128, ur_m649_swio11_dual },
 {  70129, ur_m649_swio11_dual_pr_ee },
 {  70130, ur_m649_swio11_dual_pr_ee_u4 },
 {  70131, ur_m649_swio11_dual_pr_ce },
 {  70132, ur_m649_swio11_dual_pr_ce },
 {  70133, ur_m649_swio11_dual_pr_ee_ce },
 {  70134, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  70136, ur_m649_swio11_dual_ee_hw },
 {  70138, ur_m649_swio11_dual_ee_ce_hw },
 {  70139, ur_m649_swio11_dual_ee_ce_hw },
 {  70140, ur_m649_swio11_noled },
 {  70141, ur_m649_swio11_noled_pr },
 {  70142, ur_m649_swio11_noled_pr },
 {  70143, ur_m649_swio11_noled_pr_ee },
 {  70144, ur_m649_swio11_noled_pr_ee },
 {  70145, ur_m649_swio11_noled_pr_ce },
 {  70146, ur_m649_swio11_noled_pr_ce },
 {  70147, ur_m649_swio11_noled_pr_ee_ce },
 {  70148, ur_m649_swio11_noled_pr_ee_ce },
 {  70150, ur_m649_swio11_noled_ee_hw },
 {  70152, ur_m649_swio11_noled_ee_ce_hw },
 {  70153, ur_m649_swio11_noled_ee_ce_hw },
 {  70154, ur_m649_swio11_lednop },
 {  70155, ur_m649_swio11_lednop_pr },
 {  70156, ur_m649_swio11_lednop_pr },
 {  70157, ur_m649_swio11_lednop_pr_ee },
 {  70158, ur_m649_swio11_lednop_pr_ee },
 {  70159, ur_m649_swio11_lednop_pr_ce },
 {  70160, ur_m649_swio11_lednop_pr_ce },
 {  70161, ur_m649_swio11_lednop_pr_ee_ce },
 {  70162, ur_m649_swio11_lednop_pr_ee_ce },
 {  70164, ur_m649_swio11_lednop_ee_hw },
 {  70166, ur_m649_swio11_lednop_ee_ce_hw },
 {  70167, ur_m649_swio11_lednop_ee_ce_hw },
 {  70168, ur_m649_swio11_dual },
 {  70169, ur_m649_swio11_dual },
 {  70170, ur_m649_swio11_dual },
 {  70171, ur_m649_swio11_dual_pr_ee },
 {  70172, ur_m649_swio11_dual_pr_ee_u4 },
 {  70173, ur_m649_swio11_dual_pr_ce },
 {  70174, ur_m649_swio11_dual_pr_ce },
 {  70175, ur_m649_swio11_dual_pr_ee_ce },
 {  70176, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  70178, ur_m649_swio11_dual_ee_hw },
 {  70180, ur_m649_swio11_dual_ee_ce_hw },
 {  70181, ur_m649_swio11_dual_ee_ce_hw },
 {  70182, ur_m649_swio13_noled },
 {  70183, ur_m649_swio13_noled_pr },
 {  70184, ur_m649_swio13_noled_pr },
 {  70185, ur_m649_swio13_noled_pr_ee },
 {  70186, ur_m649_swio13_noled_pr_ee },
 {  70187, ur_m649_swio13_noled_pr_ce },
 {  70188, ur_m649_swio13_noled_pr_ce },
 {  70189, ur_m649_swio13_noled_pr_ee_ce },
 {  70190, ur_m649_swio13_noled_pr_ee_ce },
 {  70192, ur_m649_swio13_noled_ee_hw },
 {  70194, ur_m649_swio13_noled_ee_ce_hw },
 {  70195, ur_m649_swio13_noled_ee_ce_hw },
 {  70196, ur_m649_swio13_lednop },
 {  70197, ur_m649_swio13_lednop_pr },
 {  70198, ur_m649_swio13_lednop_pr },
 {  70199, ur_m649_swio13_lednop_pr_ee },
 {  70200, ur_m649_swio13_lednop_pr_ee },
 {  70201, ur_m649_swio13_lednop_pr_ce },
 {  70202, ur_m649_swio13_lednop_pr_ce },
 {  70203, ur_m649_swio13_lednop_pr_ee_ce },
 {  70204, ur_m649_swio13_lednop_pr_ee_ce },
 {  70206, ur_m649_swio13_lednop_ee_hw },
 {  70208, ur_m649_swio13_lednop_ee_ce_hw },
 {  70209, ur_m649_swio13_lednop_ee_ce_hw },
 {  70210, ur_m649_swio13_dual },
 {  70211, ur_m649_swio13_dual },
 {  70212, ur_m649_swio13_dual },
 {  70213, ur_m649_swio13_dual_pr_ee },
 {  70214, ur_m649_swio13_dual_pr_ee_u4 },
 {  70215, ur_m649_swio13_dual_pr_ce },
 {  70216, ur_m649_swio13_dual_pr_ce_u4 },
 {  70217, ur_m649_swio13_dual_pr_ee_ce },
 {  70218, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  70220, ur_m649_swio13_dual_ee_hw },
 {  70222, ur_m649_swio13_dual_ee_ce_hw },
 {  70223, ur_m649_swio13_dual_ee_ce_hw },
 {  70224, ur_m649_swio14_noled },
 {  70225, ur_m649_swio14_noled_pr },
 {  70226, ur_m649_swio14_noled_pr },
 {  70227, ur_m649_swio14_noled_pr_ee },
 {  70228, ur_m649_swio14_noled_pr_ee },
 {  70229, ur_m649_swio14_noled_pr_ce },
 {  70230, ur_m649_swio14_noled_pr_ce },
 {  70231, ur_m649_swio14_noled_pr_ee_ce },
 {  70232, ur_m649_swio14_noled_pr_ee_ce },
 {  70234, ur_m649_swio14_noled_ee_hw },
 {  70236, ur_m649_swio14_noled_ee_ce_hw },
 {  70237, ur_m649_swio14_noled_ee_ce_hw },
 {  70238, ur_m649_swio14_lednop },
 {  70239, ur_m649_swio14_lednop_pr },
 {  70240, ur_m649_swio14_lednop_pr },
 {  70241, ur_m649_swio14_lednop_pr_ee },
 {  70242, ur_m649_swio14_lednop_pr_ee },
 {  70243, ur_m649_swio14_lednop_pr_ce },
 {  70244, ur_m649_swio14_lednop_pr_ce },
 {  70245, ur_m649_swio14_lednop_pr_ee_ce },
 {  70246, ur_m649_swio14_lednop_pr_ee_ce },
 {  70248, ur_m649_swio14_lednop_ee_hw },
 {  70250, ur_m649_swio14_lednop_ee_ce_hw },
 {  70251, ur_m649_swio14_lednop_ee_ce_hw },
 {  70252, ur_m649_swio14_dual },
 {  70253, ur_m649_swio14_dual },
 {  70254, ur_m649_swio14_dual },
 {  70255, ur_m649_swio14_dual_pr_ee },
 {  70256, ur_m649_swio14_dual_pr_ee_u4 },
 {  70257, ur_m649_swio14_dual_pr_ce },
 {  70258, ur_m649_swio14_dual_pr_ce },
 {  70259, ur_m649_swio14_dual_pr_ee_ce },
 {  70260, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  70262, ur_m649_swio14_dual_ee_hw },
 {  70264, ur_m649_swio14_dual_ee_ce_hw },
 {  70265, ur_m649_swio14_dual_ee_ce_hw },
 {  70266, ur_m649_swio15_noled },
 {  70267, ur_m649_swio15_noled_pr },
 {  70268, ur_m649_swio15_noled_pr },
 {  70269, ur_m649_swio15_noled_pr_ee },
 {  70270, ur_m649_swio15_noled_pr_ee },
 {  70271, ur_m649_swio15_noled_pr_ce },
 {  70272, ur_m649_swio15_noled_pr_ce },
 {  70273, ur_m649_swio15_noled_pr_ee_ce },
 {  70274, ur_m649_swio15_noled_pr_ee_ce },
 {  70276, ur_m649_swio15_noled_ee_hw },
 {  70278, ur_m649_swio15_noled_ee_ce_hw },
 {  70279, ur_m649_swio15_noled_ee_ce_hw },
 {  70280, ur_m649_swio15_lednop },
 {  70281, ur_m649_swio15_lednop_pr },
 {  70282, ur_m649_swio15_lednop_pr },
 {  70283, ur_m649_swio15_lednop_pr_ee },
 {  70284, ur_m649_swio15_lednop_pr_ee },
 {  70285, ur_m649_swio15_lednop_pr_ce },
 {  70286, ur_m649_swio15_lednop_pr_ce },
 {  70287, ur_m649_swio15_lednop_pr_ee_ce },
 {  70288, ur_m649_swio15_lednop_pr_ee_ce },
 {  70290, ur_m649_swio15_lednop_ee_hw },
 {  70292, ur_m649_swio15_lednop_ee_ce_hw },
 {  70293, ur_m649_swio15_lednop_ee_ce_hw },
 {  70294, ur_m649_swio15_dual },
 {  70295, ur_m649_swio15_dual },
 {  70296, ur_m649_swio15_dual },
 {  70297, ur_m649_swio15_dual_pr_ee },
 {  70298, ur_m649_swio15_dual_pr_ee_u4 },
 {  70299, ur_m649_swio15_dual_pr_ce },
 {  70300, ur_m649_swio15_dual_pr_ce_u4 },
 {  70301, ur_m649_swio15_dual_pr_ee_ce },
 {  70302, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  70304, ur_m649_swio15_dual_ee_hw },
 {  70306, ur_m649_swio15_dual_ee_ce_hw },
 {  70307, ur_m649_swio15_dual_ee_ce_hw },
 {  70308, ur_m649_autobaud_uart0_noled },
 {  70309, ur_m649_autobaud_uart0_noled },
 {  70310, ur_m649_autobaud_uart0_noled_pr_u4 },
 {  70311, ur_m649_autobaud_uart0_noled_pr_ee },
 {  70312, ur_m649_autobaud_uart0_noled_pr_ee },
 {  70313, ur_m649_autobaud_uart0_noled_pr_ce },
 {  70314, ur_m649_autobaud_uart0_noled_pr_ce },
 {  70315, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  70316, ur_m649_autobaud_uart0_noled_pr_ee_ce },
 {  70318, ur_m649_autobaud_uart0_noled_ee_hw },
 {  70320, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  70321, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 {  70322, ur_m649_autobaud_uart0_lednop },
 {  70323, ur_m649_autobaud_uart0_lednop_pr },
 {  70324, ur_m649_autobaud_uart0_lednop_pr },
 {  70325, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  70326, ur_m649_autobaud_uart0_lednop_pr_ee },
 {  70327, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  70328, ur_m649_autobaud_uart0_lednop_pr_ce },
 {  70329, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  70330, ur_m649_autobaud_uart0_lednop_pr_ee_ce },
 {  70332, ur_m649_autobaud_uart0_lednop_ee_hw },
 {  70334, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  70335, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 {  70336, ur_m649_autobaud_uart0_dual },
 {  70337, ur_m649_autobaud_uart0_dual },
 {  70338, ur_m649_autobaud_uart0_dual },
 {  70339, ur_m649_autobaud_uart0_dual_pr_ee },
 {  70340, ur_m649_autobaud_uart0_dual_pr_ee_u4 },
 {  70341, ur_m649_autobaud_uart0_dual_pr_ce },
 {  70342, ur_m649_autobaud_uart0_dual_pr_ce },
 {  70343, ur_m649_autobaud_uart0_dual_pr_ee_ce },
 {  70344, ur_m649_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  70346, ur_m649_autobaud_uart0_dual_ee_hw },
 {  70348, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  70349, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 {  70518, ur_m649_u1x8_uart0_noled },
 {  70519, ur_m649_u1x8_uart0_noled },
 {  70520, ur_m649_u1x8_uart0_noled_pr_u4 },
 {  70521, ur_m649_u1x8_uart0_noled_pr_ee },
 {  70522, ur_m649_u1x8_uart0_noled_pr_ee },
 {  70523, ur_m649_u1x8_uart0_noled_pr_ce },
 {  70524, ur_m649_u1x8_uart0_noled_pr_ce_u4 },
 {  70525, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  70526, ur_m649_u1x8_uart0_noled_pr_ee_ce },
 {  70528, ur_m649_u1x8_uart0_noled_ee_hw },
 {  70530, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  70531, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 {  70532, ur_m649_u1x8_uart0_lednop },
 {  70533, ur_m649_u1x8_uart0_lednop },
 {  70534, ur_m649_u1x8_uart0_lednop_pr_u4 },
 {  70535, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  70536, ur_m649_u1x8_uart0_lednop_pr_ee },
 {  70537, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  70538, ur_m649_u1x8_uart0_lednop_pr_ce },
 {  70539, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  70540, ur_m649_u1x8_uart0_lednop_pr_ee_ce },
 {  70542, ur_m649_u1x8_uart0_lednop_ee_hw },
 {  70544, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  70545, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 {  70546, ur_m649_u1x8_uart0_dual },
 {  70547, ur_m649_u1x8_uart0_dual },
 {  70548, ur_m649_u1x8_uart0_dual },
 {  70549, ur_m649_u1x8_uart0_dual_pr_ee },
 {  70550, ur_m649_u1x8_uart0_dual_pr_ee },
 {  70551, ur_m649_u1x8_uart0_dual_pr_ce },
 {  70552, ur_m649_u1x8_uart0_dual_pr_ce },
 {  70553, ur_m649_u1x8_uart0_dual_pr_ee_ce },
 {  70554, ur_m649_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  70556, ur_m649_u1x8_uart0_dual_ee_hw },
 {  70558, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  70559, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 {  70728, ur_m649_u1x12_uart0_noled },
 {  70729, ur_m649_u1x12_uart0_noled },
 {  70730, ur_m649_u1x12_uart0_noled_pr_u4 },
 {  70731, ur_m649_u1x12_uart0_noled_pr_ee },
 {  70732, ur_m649_u1x12_uart0_noled_pr_ee },
 {  70733, ur_m649_u1x12_uart0_noled_pr_ce },
 {  70734, ur_m649_u1x12_uart0_noled_pr_ce },
 {  70735, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  70736, ur_m649_u1x12_uart0_noled_pr_ee_ce },
 {  70738, ur_m649_u1x12_uart0_noled_ee_hw },
 {  70740, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  70741, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 {  70742, ur_m649_u1x12_uart0_lednop },
 {  70743, ur_m649_u1x12_uart0_lednop },
 {  70744, ur_m649_u1x12_uart0_lednop_pr_u4 },
 {  70745, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  70746, ur_m649_u1x12_uart0_lednop_pr_ee },
 {  70747, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  70748, ur_m649_u1x12_uart0_lednop_pr_ce },
 {  70749, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  70750, ur_m649_u1x12_uart0_lednop_pr_ee_ce },
 {  70752, ur_m649_u1x12_uart0_lednop_ee_hw },
 {  70754, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  70755, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 {  70756, ur_m649_u1x12_uart0_dual },
 {  70757, ur_m649_u1x12_uart0_dual },
 {  70758, ur_m649_u1x12_uart0_dual },
 {  70759, ur_m649_u1x12_uart0_dual_pr_ee },
 {  70760, ur_m649_u1x12_uart0_dual_pr_ee },
 {  70761, ur_m649_u1x12_uart0_dual_pr_ce },
 {  70762, ur_m649_u1x12_uart0_dual_pr_ce },
 {  70763, ur_m649_u1x12_uart0_dual_pr_ee_ce },
 {  70764, ur_m649_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  70766, ur_m649_u1x12_uart0_dual_ee_hw },
 {  70768, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  70769, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 {  70938, ur_m649_u2x8_uart0_noled },
 {  70939, ur_m649_u2x8_uart0_noled },
 {  70940, ur_m649_u2x8_uart0_noled_pr_u4 },
 {  70941, ur_m649_u2x8_uart0_noled_pr_ee },
 {  70942, ur_m649_u2x8_uart0_noled_pr_ee },
 {  70943, ur_m649_u2x8_uart0_noled_pr_ce },
 {  70944, ur_m649_u2x8_uart0_noled_pr_ce },
 {  70945, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  70946, ur_m649_u2x8_uart0_noled_pr_ee_ce },
 {  70948, ur_m649_u2x8_uart0_noled_ee_hw },
 {  70950, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  70951, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 {  70952, ur_m649_u2x8_uart0_lednop },
 {  70953, ur_m649_u2x8_uart0_lednop },
 {  70954, ur_m649_u2x8_uart0_lednop_pr_u4 },
 {  70955, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  70956, ur_m649_u2x8_uart0_lednop_pr_ee },
 {  70957, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  70958, ur_m649_u2x8_uart0_lednop_pr_ce },
 {  70959, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  70960, ur_m649_u2x8_uart0_lednop_pr_ee_ce },
 {  70962, ur_m649_u2x8_uart0_lednop_ee_hw },
 {  70964, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  70965, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 {  70966, ur_m649_u2x8_uart0_dual },
 {  70967, ur_m649_u2x8_uart0_dual },
 {  70968, ur_m649_u2x8_uart0_dual },
 {  70969, ur_m649_u2x8_uart0_dual_pr_ee },
 {  70970, ur_m649_u2x8_uart0_dual_pr_ee },
 {  70971, ur_m649_u2x8_uart0_dual_pr_ce },
 {  70972, ur_m649_u2x8_uart0_dual_pr_ce },
 {  70973, ur_m649_u2x8_uart0_dual_pr_ee_ce },
 {  70974, ur_m649_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  70976, ur_m649_u2x8_uart0_dual_ee_hw },
 {  70978, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  70979, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 {  71148, ur_m649_u2x12_uart0_noled },
 {  71149, ur_m649_u2x12_uart0_noled },
 {  71150, ur_m649_u2x12_uart0_noled_pr_u4 },
 {  71151, ur_m649_u2x12_uart0_noled_pr_ee },
 {  71152, ur_m649_u2x12_uart0_noled_pr_ee },
 {  71153, ur_m649_u2x12_uart0_noled_pr_ce },
 {  71154, ur_m649_u2x12_uart0_noled_pr_ce },
 {  71155, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  71156, ur_m649_u2x12_uart0_noled_pr_ee_ce },
 {  71158, ur_m649_u2x12_uart0_noled_ee_hw },
 {  71160, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  71161, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 {  71162, ur_m649_u2x12_uart0_lednop },
 {  71163, ur_m649_u2x12_uart0_lednop },
 {  71164, ur_m649_u2x12_uart0_lednop_pr_u4 },
 {  71165, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  71166, ur_m649_u2x12_uart0_lednop_pr_ee },
 {  71167, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  71168, ur_m649_u2x12_uart0_lednop_pr_ce },
 {  71169, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  71170, ur_m649_u2x12_uart0_lednop_pr_ee_ce },
 {  71172, ur_m649_u2x12_uart0_lednop_ee_hw },
 {  71174, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  71175, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 {  71176, ur_m649_u2x12_uart0_dual },
 {  71177, ur_m649_u2x12_uart0_dual },
 {  71178, ur_m649_u2x12_uart0_dual },
 {  71179, ur_m649_u2x12_uart0_dual_pr_ee },
 {  71180, ur_m649_u2x12_uart0_dual_pr_ee },
 {  71181, ur_m649_u2x12_uart0_dual_pr_ce },
 {  71182, ur_m649_u2x12_uart0_dual_pr_ce },
 {  71183, ur_m649_u2x12_uart0_dual_pr_ee_ce },
 {  71184, ur_m649_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  71186, ur_m649_u2x12_uart0_dual_ee_hw },
 {  71188, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  71189, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 {  71358, ur_m649_swio10_noled },
 {  71359, ur_m649_swio10_noled_pr },
 {  71360, ur_m649_swio10_noled_pr },
 {  71361, ur_m649_swio10_noled_pr_ee },
 {  71362, ur_m649_swio10_noled_pr_ee },
 {  71363, ur_m649_swio10_noled_pr_ce },
 {  71364, ur_m649_swio10_noled_pr_ce },
 {  71365, ur_m649_swio10_noled_pr_ee_ce },
 {  71366, ur_m649_swio10_noled_pr_ee_ce },
 {  71368, ur_m649_swio10_noled_ee_hw },
 {  71370, ur_m649_swio10_noled_ee_ce_hw },
 {  71371, ur_m649_swio10_noled_ee_ce_hw },
 {  71372, ur_m649_swio10_lednop },
 {  71373, ur_m649_swio10_lednop_pr },
 {  71374, ur_m649_swio10_lednop_pr },
 {  71375, ur_m649_swio10_lednop_pr_ee },
 {  71376, ur_m649_swio10_lednop_pr_ee },
 {  71377, ur_m649_swio10_lednop_pr_ce },
 {  71378, ur_m649_swio10_lednop_pr_ce },
 {  71379, ur_m649_swio10_lednop_pr_ee_ce },
 {  71380, ur_m649_swio10_lednop_pr_ee_ce },
 {  71382, ur_m649_swio10_lednop_ee_hw },
 {  71384, ur_m649_swio10_lednop_ee_ce_hw },
 {  71385, ur_m649_swio10_lednop_ee_ce_hw },
 {  71386, ur_m649_swio10_dual },
 {  71387, ur_m649_swio10_dual },
 {  71388, ur_m649_swio10_dual },
 {  71389, ur_m649_swio10_dual_pr_ee },
 {  71390, ur_m649_swio10_dual_pr_ee_u4 },
 {  71391, ur_m649_swio10_dual_pr_ce },
 {  71392, ur_m649_swio10_dual_pr_ce },
 {  71393, ur_m649_swio10_dual_pr_ee_ce },
 {  71394, ur_m649_swio10_dual_pr_ee_ce_u4 },
 {  71396, ur_m649_swio10_dual_ee_hw },
 {  71398, ur_m649_swio10_dual_ee_ce_hw },
 {  71399, ur_m649_swio10_dual_ee_ce_hw },
 {  71400, ur_m649_swio11_noled },
 {  71401, ur_m649_swio11_noled_pr },
 {  71402, ur_m649_swio11_noled_pr },
 {  71403, ur_m649_swio11_noled_pr_ee },
 {  71404, ur_m649_swio11_noled_pr_ee },
 {  71405, ur_m649_swio11_noled_pr_ce },
 {  71406, ur_m649_swio11_noled_pr_ce },
 {  71407, ur_m649_swio11_noled_pr_ee_ce },
 {  71408, ur_m649_swio11_noled_pr_ee_ce },
 {  71410, ur_m649_swio11_noled_ee_hw },
 {  71412, ur_m649_swio11_noled_ee_ce_hw },
 {  71413, ur_m649_swio11_noled_ee_ce_hw },
 {  71414, ur_m649_swio11_lednop },
 {  71415, ur_m649_swio11_lednop_pr },
 {  71416, ur_m649_swio11_lednop_pr },
 {  71417, ur_m649_swio11_lednop_pr_ee },
 {  71418, ur_m649_swio11_lednop_pr_ee },
 {  71419, ur_m649_swio11_lednop_pr_ce },
 {  71420, ur_m649_swio11_lednop_pr_ce },
 {  71421, ur_m649_swio11_lednop_pr_ee_ce },
 {  71422, ur_m649_swio11_lednop_pr_ee_ce },
 {  71424, ur_m649_swio11_lednop_ee_hw },
 {  71426, ur_m649_swio11_lednop_ee_ce_hw },
 {  71427, ur_m649_swio11_lednop_ee_ce_hw },
 {  71428, ur_m649_swio11_dual },
 {  71429, ur_m649_swio11_dual },
 {  71430, ur_m649_swio11_dual },
 {  71431, ur_m649_swio11_dual_pr_ee },
 {  71432, ur_m649_swio11_dual_pr_ee_u4 },
 {  71433, ur_m649_swio11_dual_pr_ce },
 {  71434, ur_m649_swio11_dual_pr_ce },
 {  71435, ur_m649_swio11_dual_pr_ee_ce },
 {  71436, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  71438, ur_m649_swio11_dual_ee_hw },
 {  71440, ur_m649_swio11_dual_ee_ce_hw },
 {  71441, ur_m649_swio11_dual_ee_ce_hw },
 {  71442, ur_m649_swio11_noled },
 {  71443, ur_m649_swio11_noled_pr },
 {  71444, ur_m649_swio11_noled_pr },
 {  71445, ur_m649_swio11_noled_pr_ee },
 {  71446, ur_m649_swio11_noled_pr_ee },
 {  71447, ur_m649_swio11_noled_pr_ce },
 {  71448, ur_m649_swio11_noled_pr_ce },
 {  71449, ur_m649_swio11_noled_pr_ee_ce },
 {  71450, ur_m649_swio11_noled_pr_ee_ce },
 {  71452, ur_m649_swio11_noled_ee_hw },
 {  71454, ur_m649_swio11_noled_ee_ce_hw },
 {  71455, ur_m649_swio11_noled_ee_ce_hw },
 {  71456, ur_m649_swio11_lednop },
 {  71457, ur_m649_swio11_lednop_pr },
 {  71458, ur_m649_swio11_lednop_pr },
 {  71459, ur_m649_swio11_lednop_pr_ee },
 {  71460, ur_m649_swio11_lednop_pr_ee },
 {  71461, ur_m649_swio11_lednop_pr_ce },
 {  71462, ur_m649_swio11_lednop_pr_ce },
 {  71463, ur_m649_swio11_lednop_pr_ee_ce },
 {  71464, ur_m649_swio11_lednop_pr_ee_ce },
 {  71466, ur_m649_swio11_lednop_ee_hw },
 {  71468, ur_m649_swio11_lednop_ee_ce_hw },
 {  71469, ur_m649_swio11_lednop_ee_ce_hw },
 {  71470, ur_m649_swio11_dual },
 {  71471, ur_m649_swio11_dual },
 {  71472, ur_m649_swio11_dual },
 {  71473, ur_m649_swio11_dual_pr_ee },
 {  71474, ur_m649_swio11_dual_pr_ee_u4 },
 {  71475, ur_m649_swio11_dual_pr_ce },
 {  71476, ur_m649_swio11_dual_pr_ce },
 {  71477, ur_m649_swio11_dual_pr_ee_ce },
 {  71478, ur_m649_swio11_dual_pr_ee_ce_u4 },
 {  71480, ur_m649_swio11_dual_ee_hw },
 {  71482, ur_m649_swio11_dual_ee_ce_hw },
 {  71483, ur_m649_swio11_dual_ee_ce_hw },
 {  71484, ur_m649_swio13_noled },
 {  71485, ur_m649_swio13_noled_pr },
 {  71486, ur_m649_swio13_noled_pr },
 {  71487, ur_m649_swio13_noled_pr_ee },
 {  71488, ur_m649_swio13_noled_pr_ee },
 {  71489, ur_m649_swio13_noled_pr_ce },
 {  71490, ur_m649_swio13_noled_pr_ce },
 {  71491, ur_m649_swio13_noled_pr_ee_ce },
 {  71492, ur_m649_swio13_noled_pr_ee_ce },
 {  71494, ur_m649_swio13_noled_ee_hw },
 {  71496, ur_m649_swio13_noled_ee_ce_hw },
 {  71497, ur_m649_swio13_noled_ee_ce_hw },
 {  71498, ur_m649_swio13_lednop },
 {  71499, ur_m649_swio13_lednop_pr },
 {  71500, ur_m649_swio13_lednop_pr },
 {  71501, ur_m649_swio13_lednop_pr_ee },
 {  71502, ur_m649_swio13_lednop_pr_ee },
 {  71503, ur_m649_swio13_lednop_pr_ce },
 {  71504, ur_m649_swio13_lednop_pr_ce },
 {  71505, ur_m649_swio13_lednop_pr_ee_ce },
 {  71506, ur_m649_swio13_lednop_pr_ee_ce },
 {  71508, ur_m649_swio13_lednop_ee_hw },
 {  71510, ur_m649_swio13_lednop_ee_ce_hw },
 {  71511, ur_m649_swio13_lednop_ee_ce_hw },
 {  71512, ur_m649_swio13_dual },
 {  71513, ur_m649_swio13_dual },
 {  71514, ur_m649_swio13_dual },
 {  71515, ur_m649_swio13_dual_pr_ee },
 {  71516, ur_m649_swio13_dual_pr_ee_u4 },
 {  71517, ur_m649_swio13_dual_pr_ce },
 {  71518, ur_m649_swio13_dual_pr_ce_u4 },
 {  71519, ur_m649_swio13_dual_pr_ee_ce },
 {  71520, ur_m649_swio13_dual_pr_ee_ce_u4 },
 {  71522, ur_m649_swio13_dual_ee_hw },
 {  71524, ur_m649_swio13_dual_ee_ce_hw },
 {  71525, ur_m649_swio13_dual_ee_ce_hw },
 {  71526, ur_m649_swio14_noled },
 {  71527, ur_m649_swio14_noled_pr },
 {  71528, ur_m649_swio14_noled_pr },
 {  71529, ur_m649_swio14_noled_pr_ee },
 {  71530, ur_m649_swio14_noled_pr_ee },
 {  71531, ur_m649_swio14_noled_pr_ce },
 {  71532, ur_m649_swio14_noled_pr_ce },
 {  71533, ur_m649_swio14_noled_pr_ee_ce },
 {  71534, ur_m649_swio14_noled_pr_ee_ce },
 {  71536, ur_m649_swio14_noled_ee_hw },
 {  71538, ur_m649_swio14_noled_ee_ce_hw },
 {  71539, ur_m649_swio14_noled_ee_ce_hw },
 {  71540, ur_m649_swio14_lednop },
 {  71541, ur_m649_swio14_lednop_pr },
 {  71542, ur_m649_swio14_lednop_pr },
 {  71543, ur_m649_swio14_lednop_pr_ee },
 {  71544, ur_m649_swio14_lednop_pr_ee },
 {  71545, ur_m649_swio14_lednop_pr_ce },
 {  71546, ur_m649_swio14_lednop_pr_ce },
 {  71547, ur_m649_swio14_lednop_pr_ee_ce },
 {  71548, ur_m649_swio14_lednop_pr_ee_ce },
 {  71550, ur_m649_swio14_lednop_ee_hw },
 {  71552, ur_m649_swio14_lednop_ee_ce_hw },
 {  71553, ur_m649_swio14_lednop_ee_ce_hw },
 {  71554, ur_m649_swio14_dual },
 {  71555, ur_m649_swio14_dual },
 {  71556, ur_m649_swio14_dual },
 {  71557, ur_m649_swio14_dual_pr_ee },
 {  71558, ur_m649_swio14_dual_pr_ee_u4 },
 {  71559, ur_m649_swio14_dual_pr_ce },
 {  71560, ur_m649_swio14_dual_pr_ce },
 {  71561, ur_m649_swio14_dual_pr_ee_ce },
 {  71562, ur_m649_swio14_dual_pr_ee_ce_u4 },
 {  71564, ur_m649_swio14_dual_ee_hw },
 {  71566, ur_m649_swio14_dual_ee_ce_hw },
 {  71567, ur_m649_swio14_dual_ee_ce_hw },
 {  71568, ur_m649_swio15_noled },
 {  71569, ur_m649_swio15_noled_pr },
 {  71570, ur_m649_swio15_noled_pr },
 {  71571, ur_m649_swio15_noled_pr_ee },
 {  71572, ur_m649_swio15_noled_pr_ee },
 {  71573, ur_m649_swio15_noled_pr_ce },
 {  71574, ur_m649_swio15_noled_pr_ce },
 {  71575, ur_m649_swio15_noled_pr_ee_ce },
 {  71576, ur_m649_swio15_noled_pr_ee_ce },
 {  71578, ur_m649_swio15_noled_ee_hw },
 {  71580, ur_m649_swio15_noled_ee_ce_hw },
 {  71581, ur_m649_swio15_noled_ee_ce_hw },
 {  71582, ur_m649_swio15_lednop },
 {  71583, ur_m649_swio15_lednop_pr },
 {  71584, ur_m649_swio15_lednop_pr },
 {  71585, ur_m649_swio15_lednop_pr_ee },
 {  71586, ur_m649_swio15_lednop_pr_ee },
 {  71587, ur_m649_swio15_lednop_pr_ce },
 {  71588, ur_m649_swio15_lednop_pr_ce },
 {  71589, ur_m649_swio15_lednop_pr_ee_ce },
 {  71590, ur_m649_swio15_lednop_pr_ee_ce },
 {  71592, ur_m649_swio15_lednop_ee_hw },
 {  71594, ur_m649_swio15_lednop_ee_ce_hw },
 {  71595, ur_m649_swio15_lednop_ee_ce_hw },
 {  71596, ur_m649_swio15_dual },
 {  71597, ur_m649_swio15_dual },
 {  71598, ur_m649_swio15_dual },
 {  71599, ur_m649_swio15_dual_pr_ee },
 {  71600, ur_m649_swio15_dual_pr_ee_u4 },
 {  71601, ur_m649_swio15_dual_pr_ce },
 {  71602, ur_m649_swio15_dual_pr_ce_u4 },
 {  71603, ur_m649_swio15_dual_pr_ee_ce },
 {  71604, ur_m649_swio15_dual_pr_ee_ce_u4 },
 {  71606, ur_m649_swio15_dual_ee_hw },
 {  71608, ur_m649_swio15_dual_ee_ce_hw },
 {  71609, ur_m649_swio15_dual_ee_ce_hw },
 {  71610, ur_m8515_autobaud_uart0_noled },
 {  71611, ur_m8515_autobaud_uart0_noled },
 {  71612, ur_m8515_autobaud_uart0_noled_pr_u4 },
 {  71613, ur_m8515_autobaud_uart0_noled_pr_ee },
 {  71614, ur_m8515_autobaud_uart0_noled_pr_ee_u4 },
 {  71615, ur_m8515_autobaud_uart0_noled_pr_ce },
 {  71616, ur_m8515_autobaud_uart0_noled_pr_ce_u4 },
 {  71617, ur_m8515_autobaud_uart0_noled_pr_ee_ce },
 {  71618, ur_m8515_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  71619, ur_m8515_autobaud_uart0_noled_hw },
 {  71620, ur_m8515_autobaud_uart0_noled_ee_hw },
 {  71621, ur_m8515_autobaud_uart0_noled_ce_hw },
 {  71622, ur_m8515_autobaud_uart0_noled_ee_ce_hw },
 {  71623, ur_m8515_autobaud_uart0_noled_ee_ce_hw },
 {  71624, ur_m8515_autobaud_uart0_lednop },
 {  71625, ur_m8515_autobaud_uart0_lednop },
 {  71626, ur_m8515_autobaud_uart0_lednop_pr_u4 },
 {  71627, ur_m8515_autobaud_uart0_lednop_pr_ee },
 {  71628, ur_m8515_autobaud_uart0_lednop_pr_ee_u4 },
 {  71629, ur_m8515_autobaud_uart0_lednop_pr_ce },
 {  71630, ur_m8515_autobaud_uart0_lednop_pr_ce_u4 },
 {  71631, ur_m8515_autobaud_uart0_lednop_pr_ee_ce },
 {  71632, ur_m8515_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  71633, ur_m8515_autobaud_uart0_lednop_hw },
 {  71634, ur_m8515_autobaud_uart0_lednop_ee_hw },
 {  71635, ur_m8515_autobaud_uart0_lednop_ce_hw },
 {  71636, ur_m8515_autobaud_uart0_lednop_ee_ce_hw },
 {  71637, ur_m8515_autobaud_uart0_lednop_ee_ce_hw },
 {  71638, ur_m8515_autobaud_uart0_dual },
 {  71639, ur_m8515_autobaud_uart0_dual },
 {  71640, ur_m8515_autobaud_uart0_dual_pr_u4 },
 {  71641, ur_m8515_autobaud_uart0_dual_pr_ee },
 {  71642, ur_m8515_autobaud_uart0_dual_pr_ee_u4 },
 {  71643, ur_m8515_autobaud_uart0_dual_pr_ce },
 {  71644, ur_m8515_autobaud_uart0_dual_pr_ce_u4 },
 {  71645, ur_m8515_autobaud_uart0_dual_pr_ee_ce },
 {  71646, ur_m8515_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  71647, ur_m8515_autobaud_uart0_dual_hw },
 {  71648, ur_m8515_autobaud_uart0_dual_ee_hw },
 {  71649, ur_m8515_autobaud_uart0_dual_ce_hw },
 {  71650, ur_m8515_autobaud_uart0_dual_ee_ce_hw },
 {  71651, ur_m8515_autobaud_uart0_dual_ee_ce_u4_hw },
 {  71820, ur_m8515_u1x8_uart0_noled },
 {  71821, ur_m8515_u1x8_uart0_noled },
 {  71822, ur_m8515_u1x8_uart0_noled_pr_u4 },
 {  71823, ur_m8515_u1x8_uart0_noled_pr_ee },
 {  71824, ur_m8515_u1x8_uart0_noled_pr_ee_u4 },
 {  71825, ur_m8515_u1x8_uart0_noled_pr_ce },
 {  71826, ur_m8515_u1x8_uart0_noled_pr_ce_u4 },
 {  71827, ur_m8515_u1x8_uart0_noled_pr_ee_ce },
 {  71828, ur_m8515_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  71829, ur_m8515_u1x8_uart0_noled_hw },
 {  71830, ur_m8515_u1x8_uart0_noled_ee_hw },
 {  71831, ur_m8515_u1x8_uart0_noled_ce_hw },
 {  71832, ur_m8515_u1x8_uart0_noled_ee_ce_hw },
 {  71833, ur_m8515_u1x8_uart0_noled_ee_ce_hw },
 {  71834, ur_m8515_u1x8_uart0_lednop },
 {  71835, ur_m8515_u1x8_uart0_lednop },
 {  71836, ur_m8515_u1x8_uart0_lednop_pr_u4 },
 {  71837, ur_m8515_u1x8_uart0_lednop_pr_ee },
 {  71838, ur_m8515_u1x8_uart0_lednop_pr_ee_u4 },
 {  71839, ur_m8515_u1x8_uart0_lednop_pr_ce },
 {  71840, ur_m8515_u1x8_uart0_lednop_pr_ce_u4 },
 {  71841, ur_m8515_u1x8_uart0_lednop_pr_ee_ce },
 {  71842, ur_m8515_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  71843, ur_m8515_u1x8_uart0_lednop_hw },
 {  71844, ur_m8515_u1x8_uart0_lednop_ee_hw },
 {  71845, ur_m8515_u1x8_uart0_lednop_ce_hw },
 {  71846, ur_m8515_u1x8_uart0_lednop_ee_ce_hw },
 {  71847, ur_m8515_u1x8_uart0_lednop_ee_ce_hw },
 {  71848, ur_m8515_u1x8_uart0_dual },
 {  71849, ur_m8515_u1x8_uart0_dual },
 {  71850, ur_m8515_u1x8_uart0_dual_pr_u4 },
 {  71851, ur_m8515_u1x8_uart0_dual_pr_ee },
 {  71852, ur_m8515_u1x8_uart0_dual_pr_ee_u4 },
 {  71853, ur_m8515_u1x8_uart0_dual_pr_ce },
 {  71854, ur_m8515_u1x8_uart0_dual_pr_ce_u4 },
 {  71855, ur_m8515_u1x8_uart0_dual_pr_ee_ce },
 {  71856, ur_m8515_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  71857, ur_m8515_u1x8_uart0_dual_hw },
 {  71858, ur_m8515_u1x8_uart0_dual_ee_hw },
 {  71859, ur_m8515_u1x8_uart0_dual_ce_hw },
 {  71860, ur_m8515_u1x8_uart0_dual_ee_ce_hw },
 {  71861, ur_m8515_u1x8_uart0_dual_ee_ce_hw },
 {  72030, ur_m8515_u1x12_uart0_noled },
 {  72031, ur_m8515_u1x12_uart0_noled },
 {  72032, ur_m8515_u1x12_uart0_noled_pr_u4 },
 {  72033, ur_m8515_u1x12_uart0_noled_pr_ee },
 {  72034, ur_m8515_u1x12_uart0_noled_pr_ee_u4 },
 {  72035, ur_m8515_u1x12_uart0_noled_pr_ce },
 {  72036, ur_m8515_u1x12_uart0_noled_pr_ce_u4 },
 {  72037, ur_m8515_u1x12_uart0_noled_pr_ee_ce },
 {  72038, ur_m8515_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  72039, ur_m8515_u1x12_uart0_noled_hw },
 {  72040, ur_m8515_u1x12_uart0_noled_ee_hw },
 {  72041, ur_m8515_u1x12_uart0_noled_ce_hw },
 {  72042, ur_m8515_u1x12_uart0_noled_ee_ce_hw },
 {  72043, ur_m8515_u1x12_uart0_noled_ee_ce_hw },
 {  72044, ur_m8515_u1x12_uart0_lednop },
 {  72045, ur_m8515_u1x12_uart0_lednop },
 {  72046, ur_m8515_u1x12_uart0_lednop_pr_u4 },
 {  72047, ur_m8515_u1x12_uart0_lednop_pr_ee },
 {  72048, ur_m8515_u1x12_uart0_lednop_pr_ee_u4 },
 {  72049, ur_m8515_u1x12_uart0_lednop_pr_ce },
 {  72050, ur_m8515_u1x12_uart0_lednop_pr_ce_u4 },
 {  72051, ur_m8515_u1x12_uart0_lednop_pr_ee_ce },
 {  72052, ur_m8515_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  72053, ur_m8515_u1x12_uart0_lednop_hw },
 {  72054, ur_m8515_u1x12_uart0_lednop_ee_hw },
 {  72055, ur_m8515_u1x12_uart0_lednop_ce_hw },
 {  72056, ur_m8515_u1x12_uart0_lednop_ee_ce_hw },
 {  72057, ur_m8515_u1x12_uart0_lednop_ee_ce_hw },
 {  72058, ur_m8515_u1x12_uart0_dual },
 {  72059, ur_m8515_u1x12_uart0_dual },
 {  72060, ur_m8515_u1x12_uart0_dual_pr_u4 },
 {  72061, ur_m8515_u1x12_uart0_dual_pr_ee },
 {  72062, ur_m8515_u1x12_uart0_dual_pr_ee_u4 },
 {  72063, ur_m8515_u1x12_uart0_dual_pr_ce },
 {  72064, ur_m8515_u1x12_uart0_dual_pr_ce_u4 },
 {  72065, ur_m8515_u1x12_uart0_dual_pr_ee_ce },
 {  72066, ur_m8515_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  72067, ur_m8515_u1x12_uart0_dual_hw },
 {  72068, ur_m8515_u1x12_uart0_dual_ee_hw },
 {  72069, ur_m8515_u1x12_uart0_dual_ce_hw },
 {  72070, ur_m8515_u1x12_uart0_dual_ee_ce_hw },
 {  72071, ur_m8515_u1x12_uart0_dual_ee_ce_u4_hw },
 {  72240, ur_m8515_u2x8_uart0_noled },
 {  72241, ur_m8515_u2x8_uart0_noled },
 {  72242, ur_m8515_u2x8_uart0_noled_pr_u4 },
 {  72243, ur_m8515_u2x8_uart0_noled_pr_ee },
 {  72244, ur_m8515_u2x8_uart0_noled_pr_ee_u4 },
 {  72245, ur_m8515_u2x8_uart0_noled_pr_ce },
 {  72246, ur_m8515_u2x8_uart0_noled_pr_ce_u4 },
 {  72247, ur_m8515_u2x8_uart0_noled_pr_ee_ce },
 {  72248, ur_m8515_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  72249, ur_m8515_u2x8_uart0_noled_hw },
 {  72250, ur_m8515_u2x8_uart0_noled_ee_hw },
 {  72251, ur_m8515_u2x8_uart0_noled_ce_hw },
 {  72252, ur_m8515_u2x8_uart0_noled_ee_ce_hw },
 {  72253, ur_m8515_u2x8_uart0_noled_ee_ce_hw },
 {  72254, ur_m8515_u2x8_uart0_lednop },
 {  72255, ur_m8515_u2x8_uart0_lednop },
 {  72256, ur_m8515_u2x8_uart0_lednop_pr_u4 },
 {  72257, ur_m8515_u2x8_uart0_lednop_pr_ee },
 {  72258, ur_m8515_u2x8_uart0_lednop_pr_ee_u4 },
 {  72259, ur_m8515_u2x8_uart0_lednop_pr_ce },
 {  72260, ur_m8515_u2x8_uart0_lednop_pr_ce_u4 },
 {  72261, ur_m8515_u2x8_uart0_lednop_pr_ee_ce },
 {  72262, ur_m8515_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  72263, ur_m8515_u2x8_uart0_lednop_hw },
 {  72264, ur_m8515_u2x8_uart0_lednop_ee_hw },
 {  72265, ur_m8515_u2x8_uart0_lednop_ce_hw },
 {  72266, ur_m8515_u2x8_uart0_lednop_ee_ce_hw },
 {  72267, ur_m8515_u2x8_uart0_lednop_ee_ce_hw },
 {  72268, ur_m8515_u2x8_uart0_dual },
 {  72269, ur_m8515_u2x8_uart0_dual },
 {  72270, ur_m8515_u2x8_uart0_dual_pr_u4 },
 {  72271, ur_m8515_u2x8_uart0_dual_pr_ee },
 {  72272, ur_m8515_u2x8_uart0_dual_pr_ee_u4 },
 {  72273, ur_m8515_u2x8_uart0_dual_pr_ce },
 {  72274, ur_m8515_u2x8_uart0_dual_pr_ce_u4 },
 {  72275, ur_m8515_u2x8_uart0_dual_pr_ee_ce },
 {  72276, ur_m8515_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  72277, ur_m8515_u2x8_uart0_dual_hw },
 {  72278, ur_m8515_u2x8_uart0_dual_ee_hw },
 {  72279, ur_m8515_u2x8_uart0_dual_ce_hw },
 {  72280, ur_m8515_u2x8_uart0_dual_ee_ce_hw },
 {  72281, ur_m8515_u2x8_uart0_dual_ee_ce_u4_hw },
 {  72450, ur_m8515_u2x12_uart0_noled },
 {  72451, ur_m8515_u2x12_uart0_noled },
 {  72452, ur_m8515_u2x12_uart0_noled_pr_u4 },
 {  72453, ur_m8515_u2x12_uart0_noled_pr_ee },
 {  72454, ur_m8515_u2x12_uart0_noled_pr_ee_u4 },
 {  72455, ur_m8515_u2x12_uart0_noled_pr_ce },
 {  72456, ur_m8515_u2x12_uart0_noled_pr_ce_u4 },
 {  72457, ur_m8515_u2x12_uart0_noled_pr_ee_ce },
 {  72458, ur_m8515_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  72459, ur_m8515_u2x12_uart0_noled_hw },
 {  72460, ur_m8515_u2x12_uart0_noled_ee_hw },
 {  72461, ur_m8515_u2x12_uart0_noled_ce_hw },
 {  72462, ur_m8515_u2x12_uart0_noled_ee_ce_hw },
 {  72463, ur_m8515_u2x12_uart0_noled_ee_ce_hw },
 {  72464, ur_m8515_u2x12_uart0_lednop },
 {  72465, ur_m8515_u2x12_uart0_lednop },
 {  72466, ur_m8515_u2x12_uart0_lednop_pr_u4 },
 {  72467, ur_m8515_u2x12_uart0_lednop_pr_ee },
 {  72468, ur_m8515_u2x12_uart0_lednop_pr_ee_u4 },
 {  72469, ur_m8515_u2x12_uart0_lednop_pr_ce },
 {  72470, ur_m8515_u2x12_uart0_lednop_pr_ce_u4 },
 {  72471, ur_m8515_u2x12_uart0_lednop_pr_ee_ce },
 {  72472, ur_m8515_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  72473, ur_m8515_u2x12_uart0_lednop_hw },
 {  72474, ur_m8515_u2x12_uart0_lednop_ee_hw },
 {  72475, ur_m8515_u2x12_uart0_lednop_ce_hw },
 {  72476, ur_m8515_u2x12_uart0_lednop_ee_ce_hw },
 {  72477, ur_m8515_u2x12_uart0_lednop_ee_ce_hw },
 {  72478, ur_m8515_u2x12_uart0_dual },
 {  72479, ur_m8515_u2x12_uart0_dual },
 {  72480, ur_m8515_u2x12_uart0_dual_pr_u4 },
 {  72481, ur_m8515_u2x12_uart0_dual_pr_ee },
 {  72482, ur_m8515_u2x12_uart0_dual_pr_ee_u4 },
 {  72483, ur_m8515_u2x12_uart0_dual_pr_ce },
 {  72484, ur_m8515_u2x12_uart0_dual_pr_ce_u4 },
 {  72485, ur_m8515_u2x12_uart0_dual_pr_ee_ce },
 {  72486, ur_m8515_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  72487, ur_m8515_u2x12_uart0_dual_hw },
 {  72488, ur_m8515_u2x12_uart0_dual_ee_hw },
 {  72489, ur_m8515_u2x12_uart0_dual_ce_hw },
 {  72490, ur_m8515_u2x12_uart0_dual_ee_ce_hw },
 {  72491, ur_m8515_u2x12_uart0_dual_ee_ce_u4_hw },
 {  72660, ur_m8515_swio10_noled },
 {  72661, ur_m8515_swio10_noled },
 {  72662, ur_m8515_swio10_noled_pr_u4 },
 {  72663, ur_m8515_swio10_noled_pr_ee },
 {  72664, ur_m8515_swio10_noled_pr_ee_u4 },
 {  72665, ur_m8515_swio10_noled_pr_ce },
 {  72666, ur_m8515_swio10_noled_pr_ce_u4 },
 {  72667, ur_m8515_swio10_noled_pr_ee_ce },
 {  72668, ur_m8515_swio10_noled_pr_ee_ce_u4 },
 {  72669, ur_m8515_swio10_noled_hw },
 {  72670, ur_m8515_swio10_noled_ee_hw },
 {  72671, ur_m8515_swio10_noled_ce_hw },
 {  72672, ur_m8515_swio10_noled_ee_ce_hw },
 {  72673, ur_m8515_swio10_noled_ee_ce_hw },
 {  72674, ur_m8515_swio10_lednop },
 {  72675, ur_m8515_swio10_lednop_pr },
 {  72676, ur_m8515_swio10_lednop_pr_u4 },
 {  72677, ur_m8515_swio10_lednop_pr_ee },
 {  72678, ur_m8515_swio10_lednop_pr_ee_u4 },
 {  72679, ur_m8515_swio10_lednop_pr_ce },
 {  72680, ur_m8515_swio10_lednop_pr_ce_u4 },
 {  72681, ur_m8515_swio10_lednop_pr_ee_ce },
 {  72682, ur_m8515_swio10_lednop_pr_ee_ce_u4 },
 {  72683, ur_m8515_swio10_lednop_hw },
 {  72684, ur_m8515_swio10_lednop_ee_hw },
 {  72685, ur_m8515_swio10_lednop_ce_hw },
 {  72686, ur_m8515_swio10_lednop_ee_ce_hw },
 {  72687, ur_m8515_swio10_lednop_ee_ce_hw },
 {  72688, ur_m8515_swio10_dual },
 {  72689, ur_m8515_swio10_dual },
 {  72690, ur_m8515_swio10_dual_pr_u4 },
 {  72691, ur_m8515_swio10_dual_pr_ee },
 {  72692, ur_m8515_swio10_dual_pr_ee_u4 },
 {  72693, ur_m8515_swio10_dual_pr_ce },
 {  72694, ur_m8515_swio10_dual_pr_ce_u4 },
 {  72695, ur_m8515_swio10_dual_pr_ee_ce },
 {  72696, ur_m8515_swio10_dual_pr_ee_ce_u4 },
 {  72697, ur_m8515_swio10_dual_hw },
 {  72698, ur_m8515_swio10_dual_ee_hw },
 {  72699, ur_m8515_swio10_dual_ce_hw },
 {  72700, ur_m8515_swio10_dual_ee_ce_hw },
 {  72701, ur_m8515_swio10_dual_ee_ce_u4_hw },
 {  72702, ur_m8515_swio11_noled },
 {  72703, ur_m8515_swio11_noled_pr },
 {  72704, ur_m8515_swio11_noled_pr_u4 },
 {  72705, ur_m8515_swio11_noled_pr_ee },
 {  72706, ur_m8515_swio11_noled_pr_ee_u4 },
 {  72707, ur_m8515_swio11_noled_pr_ce },
 {  72708, ur_m8515_swio11_noled_pr_ce_u4 },
 {  72709, ur_m8515_swio11_noled_pr_ee_ce },
 {  72710, ur_m8515_swio11_noled_pr_ee_ce_u4 },
 {  72711, ur_m8515_swio11_noled_hw },
 {  72712, ur_m8515_swio11_noled_ee_hw },
 {  72713, ur_m8515_swio11_noled_ce_hw },
 {  72714, ur_m8515_swio11_noled_ee_ce_hw },
 {  72715, ur_m8515_swio11_noled_ee_ce_hw },
 {  72716, ur_m8515_swio11_lednop },
 {  72717, ur_m8515_swio11_lednop_pr },
 {  72718, ur_m8515_swio11_lednop_pr_u4 },
 {  72719, ur_m8515_swio11_lednop_pr_ee },
 {  72720, ur_m8515_swio11_lednop_pr_ee_u4 },
 {  72721, ur_m8515_swio11_lednop_pr_ce },
 {  72722, ur_m8515_swio11_lednop_pr_ce_u4 },
 {  72723, ur_m8515_swio11_lednop_pr_ee_ce },
 {  72724, ur_m8515_swio11_lednop_pr_ee_ce_u4 },
 {  72725, ur_m8515_swio11_lednop_hw },
 {  72726, ur_m8515_swio11_lednop_ee_hw },
 {  72727, ur_m8515_swio11_lednop_ce_hw },
 {  72728, ur_m8515_swio11_lednop_ee_ce_hw },
 {  72729, ur_m8515_swio11_lednop_ee_ce_hw },
 {  72730, ur_m8515_swio11_dual },
 {  72731, ur_m8515_swio11_dual },
 {  72732, ur_m8515_swio11_dual_pr_u4 },
 {  72733, ur_m8515_swio11_dual_pr_ee },
 {  72734, ur_m8515_swio11_dual_pr_ee_u4 },
 {  72735, ur_m8515_swio11_dual_pr_ce },
 {  72736, ur_m8515_swio11_dual_pr_ce_u4 },
 {  72737, ur_m8515_swio11_dual_pr_ee_ce },
 {  72738, ur_m8515_swio11_dual_pr_ee_ce_u4 },
 {  72739, ur_m8515_swio11_dual_hw },
 {  72740, ur_m8515_swio11_dual_ee_hw },
 {  72741, ur_m8515_swio11_dual_ce_hw },
 {  72742, ur_m8515_swio11_dual_ee_ce_hw },
 {  72743, ur_m8515_swio11_dual_ee_ce_u4_hw },
 {  72744, ur_m8515_swio11_noled },
 {  72745, ur_m8515_swio11_noled_pr },
 {  72746, ur_m8515_swio11_noled_pr_u4 },
 {  72747, ur_m8515_swio11_noled_pr_ee },
 {  72748, ur_m8515_swio11_noled_pr_ee_u4 },
 {  72749, ur_m8515_swio11_noled_pr_ce },
 {  72750, ur_m8515_swio11_noled_pr_ce_u4 },
 {  72751, ur_m8515_swio11_noled_pr_ee_ce },
 {  72752, ur_m8515_swio11_noled_pr_ee_ce_u4 },
 {  72753, ur_m8515_swio11_noled_hw },
 {  72754, ur_m8515_swio11_noled_ee_hw },
 {  72755, ur_m8515_swio11_noled_ce_hw },
 {  72756, ur_m8515_swio11_noled_ee_ce_hw },
 {  72757, ur_m8515_swio11_noled_ee_ce_hw },
 {  72758, ur_m8515_swio11_lednop },
 {  72759, ur_m8515_swio11_lednop_pr },
 {  72760, ur_m8515_swio11_lednop_pr_u4 },
 {  72761, ur_m8515_swio11_lednop_pr_ee },
 {  72762, ur_m8515_swio11_lednop_pr_ee_u4 },
 {  72763, ur_m8515_swio11_lednop_pr_ce },
 {  72764, ur_m8515_swio11_lednop_pr_ce_u4 },
 {  72765, ur_m8515_swio11_lednop_pr_ee_ce },
 {  72766, ur_m8515_swio11_lednop_pr_ee_ce_u4 },
 {  72767, ur_m8515_swio11_lednop_hw },
 {  72768, ur_m8515_swio11_lednop_ee_hw },
 {  72769, ur_m8515_swio11_lednop_ce_hw },
 {  72770, ur_m8515_swio11_lednop_ee_ce_hw },
 {  72771, ur_m8515_swio11_lednop_ee_ce_hw },
 {  72772, ur_m8515_swio11_dual },
 {  72773, ur_m8515_swio11_dual },
 {  72774, ur_m8515_swio11_dual_pr_u4 },
 {  72775, ur_m8515_swio11_dual_pr_ee },
 {  72776, ur_m8515_swio11_dual_pr_ee_u4 },
 {  72777, ur_m8515_swio11_dual_pr_ce },
 {  72778, ur_m8515_swio11_dual_pr_ce_u4 },
 {  72779, ur_m8515_swio11_dual_pr_ee_ce },
 {  72780, ur_m8515_swio11_dual_pr_ee_ce_u4 },
 {  72781, ur_m8515_swio11_dual_hw },
 {  72782, ur_m8515_swio11_dual_ee_hw },
 {  72783, ur_m8515_swio11_dual_ce_hw },
 {  72784, ur_m8515_swio11_dual_ee_ce_hw },
 {  72785, ur_m8515_swio11_dual_ee_ce_u4_hw },
 {  72786, ur_m8515_swio13_noled },
 {  72787, ur_m8515_swio13_noled_pr },
 {  72788, ur_m8515_swio13_noled_pr_u4 },
 {  72789, ur_m8515_swio13_noled_pr_ee },
 {  72790, ur_m8515_swio13_noled_pr_ee_u4 },
 {  72791, ur_m8515_swio13_noled_pr_ce },
 {  72792, ur_m8515_swio13_noled_pr_ce_u4 },
 {  72793, ur_m8515_swio13_noled_pr_ee_ce },
 {  72794, ur_m8515_swio13_noled_pr_ee_ce_u4 },
 {  72795, ur_m8515_swio13_noled_hw },
 {  72796, ur_m8515_swio13_noled_ee_hw },
 {  72797, ur_m8515_swio13_noled_ce_hw },
 {  72798, ur_m8515_swio13_noled_ee_ce_hw },
 {  72799, ur_m8515_swio13_noled_ee_ce_hw },
 {  72800, ur_m8515_swio13_lednop },
 {  72801, ur_m8515_swio13_lednop_pr },
 {  72802, ur_m8515_swio13_lednop_pr_u4 },
 {  72803, ur_m8515_swio13_lednop_pr_ee },
 {  72804, ur_m8515_swio13_lednop_pr_ee_u4 },
 {  72805, ur_m8515_swio13_lednop_pr_ce },
 {  72806, ur_m8515_swio13_lednop_pr_ce_u4 },
 {  72807, ur_m8515_swio13_lednop_pr_ee_ce },
 {  72808, ur_m8515_swio13_lednop_pr_ee_ce_u4 },
 {  72809, ur_m8515_swio13_lednop_hw },
 {  72810, ur_m8515_swio13_lednop_ee_hw },
 {  72811, ur_m8515_swio13_lednop_ce_hw },
 {  72812, ur_m8515_swio13_lednop_ee_ce_hw },
 {  72813, ur_m8515_swio13_lednop_ee_ce_hw },
 {  72814, ur_m8515_swio13_dual },
 {  72815, ur_m8515_swio13_dual },
 {  72816, ur_m8515_swio13_dual_pr_u4 },
 {  72817, ur_m8515_swio13_dual_pr_ee },
 {  72818, ur_m8515_swio13_dual_pr_ee_u4 },
 {  72819, ur_m8515_swio13_dual_pr_ce },
 {  72820, ur_m8515_swio13_dual_pr_ce_u4 },
 {  72821, ur_m8515_swio13_dual_pr_ee_ce },
 {  72822, ur_m8515_swio13_dual_pr_ee_ce_u4 },
 {  72823, ur_m8515_swio13_dual_hw },
 {  72824, ur_m8515_swio13_dual_ee_hw },
 {  72825, ur_m8515_swio13_dual_ce_hw },
 {  72826, ur_m8515_swio13_dual_ee_ce_hw },
 {  72827, ur_m8515_swio13_dual_ee_ce_u4_hw },
 {  72828, ur_m8515_swio14_noled },
 {  72829, ur_m8515_swio14_noled_pr },
 {  72830, ur_m8515_swio14_noled_pr_u4 },
 {  72831, ur_m8515_swio14_noled_pr_ee },
 {  72832, ur_m8515_swio14_noled_pr_ee_u4 },
 {  72833, ur_m8515_swio14_noled_pr_ce },
 {  72834, ur_m8515_swio14_noled_pr_ce_u4 },
 {  72835, ur_m8515_swio14_noled_pr_ee_ce },
 {  72836, ur_m8515_swio14_noled_pr_ee_ce_u4 },
 {  72837, ur_m8515_swio14_noled_hw },
 {  72838, ur_m8515_swio14_noled_ee_hw },
 {  72839, ur_m8515_swio14_noled_ce_hw },
 {  72840, ur_m8515_swio14_noled_ee_ce_hw },
 {  72841, ur_m8515_swio14_noled_ee_ce_hw },
 {  72842, ur_m8515_swio14_lednop },
 {  72843, ur_m8515_swio14_lednop_pr },
 {  72844, ur_m8515_swio14_lednop_pr_u4 },
 {  72845, ur_m8515_swio14_lednop_pr_ee },
 {  72846, ur_m8515_swio14_lednop_pr_ee_u4 },
 {  72847, ur_m8515_swio14_lednop_pr_ce },
 {  72848, ur_m8515_swio14_lednop_pr_ce_u4 },
 {  72849, ur_m8515_swio14_lednop_pr_ee_ce },
 {  72850, ur_m8515_swio14_lednop_pr_ee_ce_u4 },
 {  72851, ur_m8515_swio14_lednop_hw },
 {  72852, ur_m8515_swio14_lednop_ee_hw },
 {  72853, ur_m8515_swio14_lednop_ce_hw },
 {  72854, ur_m8515_swio14_lednop_ee_ce_hw },
 {  72855, ur_m8515_swio14_lednop_ee_ce_hw },
 {  72856, ur_m8515_swio14_dual },
 {  72857, ur_m8515_swio14_dual },
 {  72858, ur_m8515_swio14_dual_pr_u4 },
 {  72859, ur_m8515_swio14_dual_pr_ee },
 {  72860, ur_m8515_swio14_dual_pr_ee_u4 },
 {  72861, ur_m8515_swio14_dual_pr_ce },
 {  72862, ur_m8515_swio14_dual_pr_ce_u4 },
 {  72863, ur_m8515_swio14_dual_pr_ee_ce },
 {  72864, ur_m8515_swio14_dual_pr_ee_ce_u4 },
 {  72865, ur_m8515_swio14_dual_hw },
 {  72866, ur_m8515_swio14_dual_ee_hw },
 {  72867, ur_m8515_swio14_dual_ce_hw },
 {  72868, ur_m8515_swio14_dual_ee_ce_hw },
 {  72869, ur_m8515_swio14_dual_ee_ce_u4_hw },
 {  72870, ur_m8515_swio15_noled },
 {  72871, ur_m8515_swio15_noled_pr },
 {  72872, ur_m8515_swio15_noled_pr_u4 },
 {  72873, ur_m8515_swio15_noled_pr_ee },
 {  72874, ur_m8515_swio15_noled_pr_ee_u4 },
 {  72875, ur_m8515_swio15_noled_pr_ce },
 {  72876, ur_m8515_swio15_noled_pr_ce_u4 },
 {  72877, ur_m8515_swio15_noled_pr_ee_ce },
 {  72878, ur_m8515_swio15_noled_pr_ee_ce_u4 },
 {  72879, ur_m8515_swio15_noled_hw },
 {  72880, ur_m8515_swio15_noled_ee_hw },
 {  72881, ur_m8515_swio15_noled_ce_hw },
 {  72882, ur_m8515_swio15_noled_ee_ce_hw },
 {  72883, ur_m8515_swio15_noled_ee_ce_hw },
 {  72884, ur_m8515_swio15_lednop },
 {  72885, ur_m8515_swio15_lednop_pr },
 {  72886, ur_m8515_swio15_lednop_pr_u4 },
 {  72887, ur_m8515_swio15_lednop_pr_ee },
 {  72888, ur_m8515_swio15_lednop_pr_ee_u4 },
 {  72889, ur_m8515_swio15_lednop_pr_ce },
 {  72890, ur_m8515_swio15_lednop_pr_ce_u4 },
 {  72891, ur_m8515_swio15_lednop_pr_ee_ce },
 {  72892, ur_m8515_swio15_lednop_pr_ee_ce_u4 },
 {  72893, ur_m8515_swio15_lednop_hw },
 {  72894, ur_m8515_swio15_lednop_ee_hw },
 {  72895, ur_m8515_swio15_lednop_ce_hw },
 {  72896, ur_m8515_swio15_lednop_ee_ce_hw },
 {  72897, ur_m8515_swio15_lednop_ee_ce_hw },
 {  72898, ur_m8515_swio15_dual },
 {  72899, ur_m8515_swio15_dual },
 {  72900, ur_m8515_swio15_dual_pr_u4 },
 {  72901, ur_m8515_swio15_dual_pr_ee },
 {  72902, ur_m8515_swio15_dual_pr_ee_u4 },
 {  72903, ur_m8515_swio15_dual_pr_ce },
 {  72904, ur_m8515_swio15_dual_pr_ce_u4 },
 {  72905, ur_m8515_swio15_dual_pr_ee_ce },
 {  72906, ur_m8515_swio15_dual_pr_ee_ce_u4 },
 {  72907, ur_m8515_swio15_dual_hw },
 {  72908, ur_m8515_swio15_dual_ee_hw },
 {  72909, ur_m8515_swio15_dual_ce_hw },
 {  72910, ur_m8515_swio15_dual_ee_ce_hw },
 {  72911, ur_m8515_swio15_dual_ee_ce_u4_hw },
 {  72912, ur_m8535_autobaud_uart0_noled },
 {  72913, ur_m8535_autobaud_uart0_noled },
 {  72914, ur_m8535_autobaud_uart0_noled_pr_u4 },
 {  72915, ur_m8535_autobaud_uart0_noled_pr_ee },
 {  72916, ur_m8535_autobaud_uart0_noled_pr_ee_u4 },
 {  72917, ur_m8535_autobaud_uart0_noled_pr_ce },
 {  72918, ur_m8535_autobaud_uart0_noled_pr_ce_u4 },
 {  72919, ur_m8535_autobaud_uart0_noled_pr_ee_ce },
 {  72920, ur_m8535_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  72921, ur_m8515_autobaud_uart0_noled_hw },
 {  72922, ur_m8515_autobaud_uart0_noled_ee_hw },
 {  72923, ur_m8515_autobaud_uart0_noled_ce_hw },
 {  72924, ur_m8515_autobaud_uart0_noled_ee_ce_hw },
 {  72925, ur_m8515_autobaud_uart0_noled_ee_ce_hw },
 {  72926, ur_m8535_autobaud_uart0_lednop },
 {  72927, ur_m8535_autobaud_uart0_lednop },
 {  72928, ur_m8535_autobaud_uart0_lednop_pr_u4 },
 {  72929, ur_m8535_autobaud_uart0_lednop_pr_ee },
 {  72930, ur_m8535_autobaud_uart0_lednop_pr_ee_u4 },
 {  72931, ur_m8535_autobaud_uart0_lednop_pr_ce },
 {  72932, ur_m8535_autobaud_uart0_lednop_pr_ce_u4 },
 {  72933, ur_m8535_autobaud_uart0_lednop_pr_ee_ce },
 {  72934, ur_m8535_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  72935, ur_m8515_autobaud_uart0_lednop_hw },
 {  72936, ur_m8515_autobaud_uart0_lednop_ee_hw },
 {  72937, ur_m8515_autobaud_uart0_lednop_ce_hw },
 {  72938, ur_m8515_autobaud_uart0_lednop_ee_ce_hw },
 {  72939, ur_m8515_autobaud_uart0_lednop_ee_ce_hw },
 {  72940, ur_m8535_autobaud_uart0_dual },
 {  72941, ur_m8535_autobaud_uart0_dual },
 {  72942, ur_m8535_autobaud_uart0_dual_pr_u4 },
 {  72943, ur_m8535_autobaud_uart0_dual_pr_ee },
 {  72944, ur_m8535_autobaud_uart0_dual_pr_ee_u4 },
 {  72945, ur_m8535_autobaud_uart0_dual_pr_ce },
 {  72946, ur_m8535_autobaud_uart0_dual_pr_ce_u4 },
 {  72947, ur_m8535_autobaud_uart0_dual_pr_ee_ce },
 {  72948, ur_m8535_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  72949, ur_m8515_autobaud_uart0_dual_hw },
 {  72950, ur_m8515_autobaud_uart0_dual_ee_hw },
 {  72951, ur_m8515_autobaud_uart0_dual_ce_hw },
 {  72952, ur_m8515_autobaud_uart0_dual_ee_ce_hw },
 {  72953, ur_m8515_autobaud_uart0_dual_ee_ce_u4_hw },
 {  73122, ur_m8535_u1x8_uart0_noled },
 {  73123, ur_m8535_u1x8_uart0_noled },
 {  73124, ur_m8535_u1x8_uart0_noled_pr_u4 },
 {  73125, ur_m8535_u1x8_uart0_noled_pr_ee },
 {  73126, ur_m8535_u1x8_uart0_noled_pr_ee_u4 },
 {  73127, ur_m8535_u1x8_uart0_noled_pr_ce },
 {  73128, ur_m8535_u1x8_uart0_noled_pr_ce_u4 },
 {  73129, ur_m8535_u1x8_uart0_noled_pr_ee_ce },
 {  73130, ur_m8535_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  73131, ur_m8515_u1x8_uart0_noled_hw },
 {  73132, ur_m8515_u1x8_uart0_noled_ee_hw },
 {  73133, ur_m8515_u1x8_uart0_noled_ce_hw },
 {  73134, ur_m8515_u1x8_uart0_noled_ee_ce_hw },
 {  73135, ur_m8515_u1x8_uart0_noled_ee_ce_hw },
 {  73136, ur_m8535_u1x8_uart0_lednop },
 {  73137, ur_m8535_u1x8_uart0_lednop },
 {  73138, ur_m8535_u1x8_uart0_lednop_pr_u4 },
 {  73139, ur_m8535_u1x8_uart0_lednop_pr_ee },
 {  73140, ur_m8535_u1x8_uart0_lednop_pr_ee_u4 },
 {  73141, ur_m8535_u1x8_uart0_lednop_pr_ce },
 {  73142, ur_m8535_u1x8_uart0_lednop_pr_ce_u4 },
 {  73143, ur_m8535_u1x8_uart0_lednop_pr_ee_ce },
 {  73144, ur_m8535_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  73145, ur_m8515_u1x8_uart0_lednop_hw },
 {  73146, ur_m8515_u1x8_uart0_lednop_ee_hw },
 {  73147, ur_m8515_u1x8_uart0_lednop_ce_hw },
 {  73148, ur_m8515_u1x8_uart0_lednop_ee_ce_hw },
 {  73149, ur_m8515_u1x8_uart0_lednop_ee_ce_hw },
 {  73150, ur_m8535_u1x8_uart0_dual },
 {  73151, ur_m8535_u1x8_uart0_dual },
 {  73152, ur_m8535_u1x8_uart0_dual_pr_u4 },
 {  73153, ur_m8535_u1x8_uart0_dual_pr_ee },
 {  73154, ur_m8535_u1x8_uart0_dual_pr_ee_u4 },
 {  73155, ur_m8535_u1x8_uart0_dual_pr_ce },
 {  73156, ur_m8535_u1x8_uart0_dual_pr_ce_u4 },
 {  73157, ur_m8535_u1x8_uart0_dual_pr_ee_ce },
 {  73158, ur_m8535_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  73159, ur_m8515_u1x8_uart0_dual_hw },
 {  73160, ur_m8515_u1x8_uart0_dual_ee_hw },
 {  73161, ur_m8515_u1x8_uart0_dual_ce_hw },
 {  73162, ur_m8515_u1x8_uart0_dual_ee_ce_hw },
 {  73163, ur_m8515_u1x8_uart0_dual_ee_ce_hw },
 {  73332, ur_m8535_u1x12_uart0_noled },
 {  73333, ur_m8535_u1x12_uart0_noled },
 {  73334, ur_m8535_u1x12_uart0_noled_pr_u4 },
 {  73335, ur_m8535_u1x12_uart0_noled_pr_ee },
 {  73336, ur_m8535_u1x12_uart0_noled_pr_ee_u4 },
 {  73337, ur_m8535_u1x12_uart0_noled_pr_ce },
 {  73338, ur_m8535_u1x12_uart0_noled_pr_ce_u4 },
 {  73339, ur_m8535_u1x12_uart0_noled_pr_ee_ce },
 {  73340, ur_m8535_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  73341, ur_m8515_u1x12_uart0_noled_hw },
 {  73342, ur_m8515_u1x12_uart0_noled_ee_hw },
 {  73343, ur_m8515_u1x12_uart0_noled_ce_hw },
 {  73344, ur_m8515_u1x12_uart0_noled_ee_ce_hw },
 {  73345, ur_m8515_u1x12_uart0_noled_ee_ce_hw },
 {  73346, ur_m8535_u1x12_uart0_lednop },
 {  73347, ur_m8535_u1x12_uart0_lednop },
 {  73348, ur_m8535_u1x12_uart0_lednop_pr_u4 },
 {  73349, ur_m8535_u1x12_uart0_lednop_pr_ee },
 {  73350, ur_m8535_u1x12_uart0_lednop_pr_ee_u4 },
 {  73351, ur_m8535_u1x12_uart0_lednop_pr_ce },
 {  73352, ur_m8535_u1x12_uart0_lednop_pr_ce_u4 },
 {  73353, ur_m8535_u1x12_uart0_lednop_pr_ee_ce },
 {  73354, ur_m8535_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  73355, ur_m8515_u1x12_uart0_lednop_hw },
 {  73356, ur_m8515_u1x12_uart0_lednop_ee_hw },
 {  73357, ur_m8515_u1x12_uart0_lednop_ce_hw },
 {  73358, ur_m8515_u1x12_uart0_lednop_ee_ce_hw },
 {  73359, ur_m8515_u1x12_uart0_lednop_ee_ce_hw },
 {  73360, ur_m8535_u1x12_uart0_dual },
 {  73361, ur_m8535_u1x12_uart0_dual },
 {  73362, ur_m8535_u1x12_uart0_dual_pr_u4 },
 {  73363, ur_m8535_u1x12_uart0_dual_pr_ee },
 {  73364, ur_m8535_u1x12_uart0_dual_pr_ee_u4 },
 {  73365, ur_m8535_u1x12_uart0_dual_pr_ce },
 {  73366, ur_m8535_u1x12_uart0_dual_pr_ce_u4 },
 {  73367, ur_m8535_u1x12_uart0_dual_pr_ee_ce },
 {  73368, ur_m8535_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  73369, ur_m8515_u1x12_uart0_dual_hw },
 {  73370, ur_m8515_u1x12_uart0_dual_ee_hw },
 {  73371, ur_m8515_u1x12_uart0_dual_ce_hw },
 {  73372, ur_m8515_u1x12_uart0_dual_ee_ce_hw },
 {  73373, ur_m8515_u1x12_uart0_dual_ee_ce_u4_hw },
 {  73542, ur_m8535_u2x8_uart0_noled },
 {  73543, ur_m8535_u2x8_uart0_noled },
 {  73544, ur_m8535_u2x8_uart0_noled_pr_u4 },
 {  73545, ur_m8535_u2x8_uart0_noled_pr_ee },
 {  73546, ur_m8535_u2x8_uart0_noled_pr_ee_u4 },
 {  73547, ur_m8535_u2x8_uart0_noled_pr_ce },
 {  73548, ur_m8535_u2x8_uart0_noled_pr_ce_u4 },
 {  73549, ur_m8535_u2x8_uart0_noled_pr_ee_ce },
 {  73550, ur_m8535_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  73551, ur_m8515_u2x8_uart0_noled_hw },
 {  73552, ur_m8515_u2x8_uart0_noled_ee_hw },
 {  73553, ur_m8515_u2x8_uart0_noled_ce_hw },
 {  73554, ur_m8515_u2x8_uart0_noled_ee_ce_hw },
 {  73555, ur_m8515_u2x8_uart0_noled_ee_ce_hw },
 {  73556, ur_m8535_u2x8_uart0_lednop },
 {  73557, ur_m8535_u2x8_uart0_lednop },
 {  73558, ur_m8535_u2x8_uart0_lednop_pr_u4 },
 {  73559, ur_m8535_u2x8_uart0_lednop_pr_ee },
 {  73560, ur_m8535_u2x8_uart0_lednop_pr_ee_u4 },
 {  73561, ur_m8535_u2x8_uart0_lednop_pr_ce },
 {  73562, ur_m8535_u2x8_uart0_lednop_pr_ce_u4 },
 {  73563, ur_m8535_u2x8_uart0_lednop_pr_ee_ce },
 {  73564, ur_m8535_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  73565, ur_m8515_u2x8_uart0_lednop_hw },
 {  73566, ur_m8515_u2x8_uart0_lednop_ee_hw },
 {  73567, ur_m8515_u2x8_uart0_lednop_ce_hw },
 {  73568, ur_m8515_u2x8_uart0_lednop_ee_ce_hw },
 {  73569, ur_m8515_u2x8_uart0_lednop_ee_ce_hw },
 {  73570, ur_m8535_u2x8_uart0_dual },
 {  73571, ur_m8535_u2x8_uart0_dual },
 {  73572, ur_m8535_u2x8_uart0_dual_pr_u4 },
 {  73573, ur_m8535_u2x8_uart0_dual_pr_ee },
 {  73574, ur_m8535_u2x8_uart0_dual_pr_ee_u4 },
 {  73575, ur_m8535_u2x8_uart0_dual_pr_ce },
 {  73576, ur_m8535_u2x8_uart0_dual_pr_ce_u4 },
 {  73577, ur_m8535_u2x8_uart0_dual_pr_ee_ce },
 {  73578, ur_m8535_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  73579, ur_m8515_u2x8_uart0_dual_hw },
 {  73580, ur_m8515_u2x8_uart0_dual_ee_hw },
 {  73581, ur_m8515_u2x8_uart0_dual_ce_hw },
 {  73582, ur_m8515_u2x8_uart0_dual_ee_ce_hw },
 {  73583, ur_m8515_u2x8_uart0_dual_ee_ce_u4_hw },
 {  73752, ur_m8535_u2x12_uart0_noled },
 {  73753, ur_m8535_u2x12_uart0_noled },
 {  73754, ur_m8535_u2x12_uart0_noled_pr_u4 },
 {  73755, ur_m8535_u2x12_uart0_noled_pr_ee },
 {  73756, ur_m8535_u2x12_uart0_noled_pr_ee_u4 },
 {  73757, ur_m8535_u2x12_uart0_noled_pr_ce },
 {  73758, ur_m8535_u2x12_uart0_noled_pr_ce_u4 },
 {  73759, ur_m8535_u2x12_uart0_noled_pr_ee_ce },
 {  73760, ur_m8535_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  73761, ur_m8515_u2x12_uart0_noled_hw },
 {  73762, ur_m8515_u2x12_uart0_noled_ee_hw },
 {  73763, ur_m8515_u2x12_uart0_noled_ce_hw },
 {  73764, ur_m8515_u2x12_uart0_noled_ee_ce_hw },
 {  73765, ur_m8515_u2x12_uart0_noled_ee_ce_hw },
 {  73766, ur_m8535_u2x12_uart0_lednop },
 {  73767, ur_m8535_u2x12_uart0_lednop },
 {  73768, ur_m8535_u2x12_uart0_lednop_pr_u4 },
 {  73769, ur_m8535_u2x12_uart0_lednop_pr_ee },
 {  73770, ur_m8535_u2x12_uart0_lednop_pr_ee_u4 },
 {  73771, ur_m8535_u2x12_uart0_lednop_pr_ce },
 {  73772, ur_m8535_u2x12_uart0_lednop_pr_ce_u4 },
 {  73773, ur_m8535_u2x12_uart0_lednop_pr_ee_ce },
 {  73774, ur_m8535_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  73775, ur_m8515_u2x12_uart0_lednop_hw },
 {  73776, ur_m8515_u2x12_uart0_lednop_ee_hw },
 {  73777, ur_m8515_u2x12_uart0_lednop_ce_hw },
 {  73778, ur_m8515_u2x12_uart0_lednop_ee_ce_hw },
 {  73779, ur_m8515_u2x12_uart0_lednop_ee_ce_hw },
 {  73780, ur_m8535_u2x12_uart0_dual },
 {  73781, ur_m8535_u2x12_uart0_dual },
 {  73782, ur_m8535_u2x12_uart0_dual_pr_u4 },
 {  73783, ur_m8535_u2x12_uart0_dual_pr_ee },
 {  73784, ur_m8535_u2x12_uart0_dual_pr_ee_u4 },
 {  73785, ur_m8535_u2x12_uart0_dual_pr_ce },
 {  73786, ur_m8535_u2x12_uart0_dual_pr_ce_u4 },
 {  73787, ur_m8535_u2x12_uart0_dual_pr_ee_ce },
 {  73788, ur_m8535_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  73789, ur_m8515_u2x12_uart0_dual_hw },
 {  73790, ur_m8515_u2x12_uart0_dual_ee_hw },
 {  73791, ur_m8515_u2x12_uart0_dual_ce_hw },
 {  73792, ur_m8515_u2x12_uart0_dual_ee_ce_hw },
 {  73793, ur_m8515_u2x12_uart0_dual_ee_ce_u4_hw },
 {  73962, ur_m8535_swio10_noled },
 {  73963, ur_m8535_swio10_noled },
 {  73964, ur_m8535_swio10_noled_pr_u4 },
 {  73965, ur_m8535_swio10_noled_pr_ee },
 {  73966, ur_m8535_swio10_noled_pr_ee_u4 },
 {  73967, ur_m8535_swio10_noled_pr_ce },
 {  73968, ur_m8535_swio10_noled_pr_ce_u4 },
 {  73969, ur_m8535_swio10_noled_pr_ee_ce },
 {  73970, ur_m8535_swio10_noled_pr_ee_ce_u4 },
 {  73971, ur_m8515_swio10_noled_hw },
 {  73972, ur_m8515_swio10_noled_ee_hw },
 {  73973, ur_m8515_swio10_noled_ce_hw },
 {  73974, ur_m8515_swio10_noled_ee_ce_hw },
 {  73975, ur_m8515_swio10_noled_ee_ce_hw },
 {  73976, ur_m8535_swio10_lednop },
 {  73977, ur_m8535_swio10_lednop_pr },
 {  73978, ur_m8535_swio10_lednop_pr_u4 },
 {  73979, ur_m8535_swio10_lednop_pr_ee },
 {  73980, ur_m8535_swio10_lednop_pr_ee_u4 },
 {  73981, ur_m8535_swio10_lednop_pr_ce },
 {  73982, ur_m8535_swio10_lednop_pr_ce_u4 },
 {  73983, ur_m8535_swio10_lednop_pr_ee_ce },
 {  73984, ur_m8535_swio10_lednop_pr_ee_ce_u4 },
 {  73985, ur_m8515_swio10_lednop_hw },
 {  73986, ur_m8515_swio10_lednop_ee_hw },
 {  73987, ur_m8515_swio10_lednop_ce_hw },
 {  73988, ur_m8515_swio10_lednop_ee_ce_hw },
 {  73989, ur_m8515_swio10_lednop_ee_ce_hw },
 {  73990, ur_m8535_swio10_dual },
 {  73991, ur_m8535_swio10_dual },
 {  73992, ur_m8535_swio10_dual_pr_u4 },
 {  73993, ur_m8535_swio10_dual_pr_ee },
 {  73994, ur_m8535_swio10_dual_pr_ee_u4 },
 {  73995, ur_m8535_swio10_dual_pr_ce },
 {  73996, ur_m8535_swio10_dual_pr_ce_u4 },
 {  73997, ur_m8535_swio10_dual_pr_ee_ce },
 {  73998, ur_m8535_swio10_dual_pr_ee_ce_u4 },
 {  73999, ur_m8515_swio10_dual_hw },
 {  74000, ur_m8515_swio10_dual_ee_hw },
 {  74001, ur_m8515_swio10_dual_ce_hw },
 {  74002, ur_m8515_swio10_dual_ee_ce_hw },
 {  74003, ur_m8515_swio10_dual_ee_ce_u4_hw },
 {  74004, ur_m8535_swio11_noled },
 {  74005, ur_m8535_swio11_noled_pr },
 {  74006, ur_m8535_swio11_noled_pr_u4 },
 {  74007, ur_m8535_swio11_noled_pr_ee },
 {  74008, ur_m8535_swio11_noled_pr_ee_u4 },
 {  74009, ur_m8535_swio11_noled_pr_ce },
 {  74010, ur_m8535_swio11_noled_pr_ce_u4 },
 {  74011, ur_m8535_swio11_noled_pr_ee_ce },
 {  74012, ur_m8535_swio11_noled_pr_ee_ce_u4 },
 {  74013, ur_m8515_swio11_noled_hw },
 {  74014, ur_m8515_swio11_noled_ee_hw },
 {  74015, ur_m8515_swio11_noled_ce_hw },
 {  74016, ur_m8515_swio11_noled_ee_ce_hw },
 {  74017, ur_m8515_swio11_noled_ee_ce_hw },
 {  74018, ur_m8535_swio11_lednop },
 {  74019, ur_m8535_swio11_lednop_pr },
 {  74020, ur_m8535_swio11_lednop_pr_u4 },
 {  74021, ur_m8535_swio11_lednop_pr_ee },
 {  74022, ur_m8535_swio11_lednop_pr_ee_u4 },
 {  74023, ur_m8535_swio11_lednop_pr_ce },
 {  74024, ur_m8535_swio11_lednop_pr_ce_u4 },
 {  74025, ur_m8535_swio11_lednop_pr_ee_ce },
 {  74026, ur_m8535_swio11_lednop_pr_ee_ce_u4 },
 {  74027, ur_m8515_swio11_lednop_hw },
 {  74028, ur_m8515_swio11_lednop_ee_hw },
 {  74029, ur_m8515_swio11_lednop_ce_hw },
 {  74030, ur_m8515_swio11_lednop_ee_ce_hw },
 {  74031, ur_m8515_swio11_lednop_ee_ce_hw },
 {  74032, ur_m8535_swio11_dual },
 {  74033, ur_m8535_swio11_dual },
 {  74034, ur_m8535_swio11_dual_pr_u4 },
 {  74035, ur_m8535_swio11_dual_pr_ee },
 {  74036, ur_m8535_swio11_dual_pr_ee_u4 },
 {  74037, ur_m8535_swio11_dual_pr_ce },
 {  74038, ur_m8535_swio11_dual_pr_ce_u4 },
 {  74039, ur_m8535_swio11_dual_pr_ee_ce },
 {  74040, ur_m8535_swio11_dual_pr_ee_ce_u4 },
 {  74041, ur_m8515_swio11_dual_hw },
 {  74042, ur_m8515_swio11_dual_ee_hw },
 {  74043, ur_m8515_swio11_dual_ce_hw },
 {  74044, ur_m8515_swio11_dual_ee_ce_hw },
 {  74045, ur_m8515_swio11_dual_ee_ce_u4_hw },
 {  74046, ur_m8535_swio11_noled },
 {  74047, ur_m8535_swio11_noled_pr },
 {  74048, ur_m8535_swio11_noled_pr_u4 },
 {  74049, ur_m8535_swio11_noled_pr_ee },
 {  74050, ur_m8535_swio11_noled_pr_ee_u4 },
 {  74051, ur_m8535_swio11_noled_pr_ce },
 {  74052, ur_m8535_swio11_noled_pr_ce_u4 },
 {  74053, ur_m8535_swio11_noled_pr_ee_ce },
 {  74054, ur_m8535_swio11_noled_pr_ee_ce_u4 },
 {  74055, ur_m8515_swio11_noled_hw },
 {  74056, ur_m8515_swio11_noled_ee_hw },
 {  74057, ur_m8515_swio11_noled_ce_hw },
 {  74058, ur_m8515_swio11_noled_ee_ce_hw },
 {  74059, ur_m8515_swio11_noled_ee_ce_hw },
 {  74060, ur_m8535_swio11_lednop },
 {  74061, ur_m8535_swio11_lednop_pr },
 {  74062, ur_m8535_swio11_lednop_pr_u4 },
 {  74063, ur_m8535_swio11_lednop_pr_ee },
 {  74064, ur_m8535_swio11_lednop_pr_ee_u4 },
 {  74065, ur_m8535_swio11_lednop_pr_ce },
 {  74066, ur_m8535_swio11_lednop_pr_ce_u4 },
 {  74067, ur_m8535_swio11_lednop_pr_ee_ce },
 {  74068, ur_m8535_swio11_lednop_pr_ee_ce_u4 },
 {  74069, ur_m8515_swio11_lednop_hw },
 {  74070, ur_m8515_swio11_lednop_ee_hw },
 {  74071, ur_m8515_swio11_lednop_ce_hw },
 {  74072, ur_m8515_swio11_lednop_ee_ce_hw },
 {  74073, ur_m8515_swio11_lednop_ee_ce_hw },
 {  74074, ur_m8535_swio11_dual },
 {  74075, ur_m8535_swio11_dual },
 {  74076, ur_m8535_swio11_dual_pr_u4 },
 {  74077, ur_m8535_swio11_dual_pr_ee },
 {  74078, ur_m8535_swio11_dual_pr_ee_u4 },
 {  74079, ur_m8535_swio11_dual_pr_ce },
 {  74080, ur_m8535_swio11_dual_pr_ce_u4 },
 {  74081, ur_m8535_swio11_dual_pr_ee_ce },
 {  74082, ur_m8535_swio11_dual_pr_ee_ce_u4 },
 {  74083, ur_m8515_swio11_dual_hw },
 {  74084, ur_m8515_swio11_dual_ee_hw },
 {  74085, ur_m8515_swio11_dual_ce_hw },
 {  74086, ur_m8515_swio11_dual_ee_ce_hw },
 {  74087, ur_m8515_swio11_dual_ee_ce_u4_hw },
 {  74088, ur_m8535_swio13_noled },
 {  74089, ur_m8535_swio13_noled_pr },
 {  74090, ur_m8535_swio13_noled_pr_u4 },
 {  74091, ur_m8535_swio13_noled_pr_ee },
 {  74092, ur_m8535_swio13_noled_pr_ee_u4 },
 {  74093, ur_m8535_swio13_noled_pr_ce },
 {  74094, ur_m8535_swio13_noled_pr_ce_u4 },
 {  74095, ur_m8535_swio13_noled_pr_ee_ce },
 {  74096, ur_m8535_swio13_noled_pr_ee_ce_u4 },
 {  74097, ur_m8515_swio13_noled_hw },
 {  74098, ur_m8515_swio13_noled_ee_hw },
 {  74099, ur_m8515_swio13_noled_ce_hw },
 {  74100, ur_m8515_swio13_noled_ee_ce_hw },
 {  74101, ur_m8515_swio13_noled_ee_ce_hw },
 {  74102, ur_m8535_swio13_lednop },
 {  74103, ur_m8535_swio13_lednop_pr },
 {  74104, ur_m8535_swio13_lednop_pr_u4 },
 {  74105, ur_m8535_swio13_lednop_pr_ee },
 {  74106, ur_m8535_swio13_lednop_pr_ee_u4 },
 {  74107, ur_m8535_swio13_lednop_pr_ce },
 {  74108, ur_m8535_swio13_lednop_pr_ce_u4 },
 {  74109, ur_m8535_swio13_lednop_pr_ee_ce },
 {  74110, ur_m8535_swio13_lednop_pr_ee_ce_u4 },
 {  74111, ur_m8515_swio13_lednop_hw },
 {  74112, ur_m8515_swio13_lednop_ee_hw },
 {  74113, ur_m8515_swio13_lednop_ce_hw },
 {  74114, ur_m8515_swio13_lednop_ee_ce_hw },
 {  74115, ur_m8515_swio13_lednop_ee_ce_hw },
 {  74116, ur_m8535_swio13_dual },
 {  74117, ur_m8535_swio13_dual },
 {  74118, ur_m8535_swio13_dual_pr_u4 },
 {  74119, ur_m8535_swio13_dual_pr_ee },
 {  74120, ur_m8535_swio13_dual_pr_ee_u4 },
 {  74121, ur_m8535_swio13_dual_pr_ce },
 {  74122, ur_m8535_swio13_dual_pr_ce_u4 },
 {  74123, ur_m8535_swio13_dual_pr_ee_ce },
 {  74124, ur_m8535_swio13_dual_pr_ee_ce_u4 },
 {  74125, ur_m8515_swio13_dual_hw },
 {  74126, ur_m8515_swio13_dual_ee_hw },
 {  74127, ur_m8515_swio13_dual_ce_hw },
 {  74128, ur_m8515_swio13_dual_ee_ce_hw },
 {  74129, ur_m8515_swio13_dual_ee_ce_u4_hw },
 {  74130, ur_m8535_swio14_noled },
 {  74131, ur_m8535_swio14_noled_pr },
 {  74132, ur_m8535_swio14_noled_pr_u4 },
 {  74133, ur_m8535_swio14_noled_pr_ee },
 {  74134, ur_m8535_swio14_noled_pr_ee_u4 },
 {  74135, ur_m8535_swio14_noled_pr_ce },
 {  74136, ur_m8535_swio14_noled_pr_ce_u4 },
 {  74137, ur_m8535_swio14_noled_pr_ee_ce },
 {  74138, ur_m8535_swio14_noled_pr_ee_ce_u4 },
 {  74139, ur_m8515_swio14_noled_hw },
 {  74140, ur_m8515_swio14_noled_ee_hw },
 {  74141, ur_m8515_swio14_noled_ce_hw },
 {  74142, ur_m8515_swio14_noled_ee_ce_hw },
 {  74143, ur_m8515_swio14_noled_ee_ce_hw },
 {  74144, ur_m8535_swio14_lednop },
 {  74145, ur_m8535_swio14_lednop_pr },
 {  74146, ur_m8535_swio14_lednop_pr_u4 },
 {  74147, ur_m8535_swio14_lednop_pr_ee },
 {  74148, ur_m8535_swio14_lednop_pr_ee_u4 },
 {  74149, ur_m8535_swio14_lednop_pr_ce },
 {  74150, ur_m8535_swio14_lednop_pr_ce_u4 },
 {  74151, ur_m8535_swio14_lednop_pr_ee_ce },
 {  74152, ur_m8535_swio14_lednop_pr_ee_ce_u4 },
 {  74153, ur_m8515_swio14_lednop_hw },
 {  74154, ur_m8515_swio14_lednop_ee_hw },
 {  74155, ur_m8515_swio14_lednop_ce_hw },
 {  74156, ur_m8515_swio14_lednop_ee_ce_hw },
 {  74157, ur_m8515_swio14_lednop_ee_ce_hw },
 {  74158, ur_m8535_swio14_dual },
 {  74159, ur_m8535_swio14_dual },
 {  74160, ur_m8535_swio14_dual_pr_u4 },
 {  74161, ur_m8535_swio14_dual_pr_ee },
 {  74162, ur_m8535_swio14_dual_pr_ee_u4 },
 {  74163, ur_m8535_swio14_dual_pr_ce },
 {  74164, ur_m8535_swio14_dual_pr_ce_u4 },
 {  74165, ur_m8535_swio14_dual_pr_ee_ce },
 {  74166, ur_m8535_swio14_dual_pr_ee_ce_u4 },
 {  74167, ur_m8515_swio14_dual_hw },
 {  74168, ur_m8515_swio14_dual_ee_hw },
 {  74169, ur_m8515_swio14_dual_ce_hw },
 {  74170, ur_m8515_swio14_dual_ee_ce_hw },
 {  74171, ur_m8515_swio14_dual_ee_ce_u4_hw },
 {  74172, ur_m8535_swio15_noled },
 {  74173, ur_m8535_swio15_noled_pr },
 {  74174, ur_m8535_swio15_noled_pr_u4 },
 {  74175, ur_m8535_swio15_noled_pr_ee },
 {  74176, ur_m8535_swio15_noled_pr_ee_u4 },
 {  74177, ur_m8535_swio15_noled_pr_ce },
 {  74178, ur_m8535_swio15_noled_pr_ce_u4 },
 {  74179, ur_m8535_swio15_noled_pr_ee_ce },
 {  74180, ur_m8535_swio15_noled_pr_ee_ce_u4 },
 {  74181, ur_m8515_swio15_noled_hw },
 {  74182, ur_m8515_swio15_noled_ee_hw },
 {  74183, ur_m8515_swio15_noled_ce_hw },
 {  74184, ur_m8515_swio15_noled_ee_ce_hw },
 {  74185, ur_m8515_swio15_noled_ee_ce_hw },
 {  74186, ur_m8535_swio15_lednop },
 {  74187, ur_m8535_swio15_lednop_pr },
 {  74188, ur_m8535_swio15_lednop_pr_u4 },
 {  74189, ur_m8535_swio15_lednop_pr_ee },
 {  74190, ur_m8535_swio15_lednop_pr_ee_u4 },
 {  74191, ur_m8535_swio15_lednop_pr_ce },
 {  74192, ur_m8535_swio15_lednop_pr_ce_u4 },
 {  74193, ur_m8535_swio15_lednop_pr_ee_ce },
 {  74194, ur_m8535_swio15_lednop_pr_ee_ce_u4 },
 {  74195, ur_m8515_swio15_lednop_hw },
 {  74196, ur_m8515_swio15_lednop_ee_hw },
 {  74197, ur_m8515_swio15_lednop_ce_hw },
 {  74198, ur_m8515_swio15_lednop_ee_ce_hw },
 {  74199, ur_m8515_swio15_lednop_ee_ce_hw },
 {  74200, ur_m8535_swio15_dual },
 {  74201, ur_m8535_swio15_dual },
 {  74202, ur_m8535_swio15_dual_pr_u4 },
 {  74203, ur_m8535_swio15_dual_pr_ee },
 {  74204, ur_m8535_swio15_dual_pr_ee_u4 },
 {  74205, ur_m8535_swio15_dual_pr_ce },
 {  74206, ur_m8535_swio15_dual_pr_ce_u4 },
 {  74207, ur_m8535_swio15_dual_pr_ee_ce },
 {  74208, ur_m8535_swio15_dual_pr_ee_ce_u4 },
 {  74209, ur_m8515_swio15_dual_hw },
 {  74210, ur_m8515_swio15_dual_ee_hw },
 {  74211, ur_m8515_swio15_dual_ce_hw },
 {  74212, ur_m8515_swio15_dual_ee_ce_hw },
 {  74213, ur_m8515_swio15_dual_ee_ce_u4_hw },
 {  74214, ur_m164a_autobaud_uart0_noled },
 {  74215, ur_m164a_autobaud_uart0_noled },
 {  74216, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  74217, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  74218, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  74219, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  74220, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  74221, ur_m164a_autobaud_uart0_noled_pr_ee_ce },
 {  74222, ur_m164a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  74223, ur_m168_autobaud_uart0_noled_hw },
 {  74224, ur_m168_autobaud_uart0_noled_ee_hw },
 {  74225, ur_m168_autobaud_uart0_noled_ce_hw },
 {  74226, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  74227, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  74228, ur_m164a_autobaud_uart0_lednop },
 {  74229, ur_m164a_autobaud_uart0_lednop },
 {  74230, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  74231, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  74232, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  74233, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  74234, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  74235, ur_m164a_autobaud_uart0_lednop_pr_ee_ce },
 {  74236, ur_m164a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  74237, ur_m168_autobaud_uart0_lednop_hw },
 {  74238, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  74239, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  74240, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  74241, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  74242, ur_m164a_autobaud_uart0_dual },
 {  74243, ur_m164a_autobaud_uart0_dual_pr },
 {  74244, ur_m164a_autobaud_uart0_dual_pr },
 {  74245, ur_m164a_autobaud_uart0_dual_pr_ee },
 {  74246, ur_m164a_autobaud_uart0_dual_pr_ee_u4 },
 {  74247, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  74248, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  74249, ur_m164a_autobaud_uart0_dual_pr_ee_ce },
 {  74250, ur_m164a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  74251, ur_m164a_autobaud_uart0_dual_hw },
 {  74252, ur_m164a_autobaud_uart0_dual_ee_hw },
 {  74253, ur_m164a_autobaud_uart0_dual_ce_hw },
 {  74254, ur_m164a_autobaud_uart0_dual_ee_ce_hw },
 {  74255, ur_m164a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  74298, ur_m164a_autobaud_uart1_noled },
 {  74299, ur_m164a_autobaud_uart1_noled },
 {  74300, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  74301, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  74302, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  74303, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  74304, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  74305, ur_m164a_autobaud_uart1_noled_pr_ee_ce },
 {  74306, ur_m164a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  74307, ur_m164a_autobaud_uart1_noled_hw },
 {  74308, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  74309, ur_m164a_autobaud_uart1_noled_ce_hw },
 {  74310, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  74311, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  74312, ur_m164a_autobaud_uart1_lednop },
 {  74313, ur_m164a_autobaud_uart1_lednop },
 {  74314, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  74315, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  74316, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  74317, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  74318, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  74319, ur_m164a_autobaud_uart1_lednop_pr_ee_ce },
 {  74320, ur_m164a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  74321, ur_m164a_autobaud_uart1_lednop_hw },
 {  74322, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  74323, ur_m164a_autobaud_uart1_lednop_ce_hw },
 {  74324, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  74325, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  74326, ur_m164a_autobaud_uart1_dual },
 {  74327, ur_m164a_autobaud_uart1_dual_pr },
 {  74328, ur_m164a_autobaud_uart1_dual_pr },
 {  74329, ur_m164a_autobaud_uart1_dual_pr_ee },
 {  74330, ur_m164a_autobaud_uart1_dual_pr_ee_u4 },
 {  74331, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  74332, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  74333, ur_m164a_autobaud_uart1_dual_pr_ee_ce },
 {  74334, ur_m164a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  74335, ur_m164a_autobaud_uart1_dual_hw },
 {  74336, ur_m164a_autobaud_uart1_dual_ee_hw },
 {  74337, ur_m164a_autobaud_uart1_dual_ce_hw },
 {  74338, ur_m164a_autobaud_uart1_dual_ee_ce_hw },
 {  74339, ur_m164a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  74424, ur_m164a_u1x8_uart0_noled },
 {  74425, ur_m164a_u1x8_uart0_noled },
 {  74426, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  74427, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  74428, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  74429, ur_m164a_u1x8_uart0_noled_pr_ce },
 {  74430, ur_m164a_u1x8_uart0_noled_pr_ce_u4 },
 {  74431, ur_m164a_u1x8_uart0_noled_pr_ee_ce },
 {  74432, ur_m164a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  74433, ur_m168_u1x8_uart0_noled_hw },
 {  74434, ur_m168_u1x8_uart0_noled_ee_hw },
 {  74435, ur_m168_u1x8_uart0_noled_ce_hw },
 {  74436, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  74437, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  74438, ur_m164a_u1x8_uart0_lednop },
 {  74439, ur_m164a_u1x8_uart0_lednop },
 {  74440, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  74441, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  74442, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  74443, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  74444, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  74445, ur_m164a_u1x8_uart0_lednop_pr_ee_ce },
 {  74446, ur_m164a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  74447, ur_m168_u1x8_uart0_lednop_hw },
 {  74448, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  74449, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  74450, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  74451, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  74452, ur_m164a_u1x8_uart0_dual },
 {  74453, ur_m164a_u1x8_uart0_dual },
 {  74454, ur_m164a_u1x8_uart0_dual_pr_u4 },
 {  74455, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  74456, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  74457, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  74458, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  74459, ur_m164a_u1x8_uart0_dual_pr_ee_ce },
 {  74460, ur_m164a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  74461, ur_m164a_u1x8_uart0_dual_hw },
 {  74462, ur_m164a_u1x8_uart0_dual_ee_hw },
 {  74463, ur_m164a_u1x8_uart0_dual_ce_hw },
 {  74464, ur_m164a_u1x8_uart0_dual_ee_ce_hw },
 {  74465, ur_m164a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  74508, ur_m164a_u1x8_uart1_noled },
 {  74509, ur_m164a_u1x8_uart1_noled },
 {  74510, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  74511, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  74512, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  74513, ur_m164a_u1x8_uart1_noled_pr_ce },
 {  74514, ur_m164a_u1x8_uart1_noled_pr_ce_u4 },
 {  74515, ur_m164a_u1x8_uart1_noled_pr_ee_ce },
 {  74516, ur_m164a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  74517, ur_m164a_u1x8_uart1_noled_hw },
 {  74518, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  74519, ur_m164a_u1x8_uart1_noled_ce_hw },
 {  74520, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  74521, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  74522, ur_m164a_u1x8_uart1_lednop },
 {  74523, ur_m164a_u1x8_uart1_lednop },
 {  74524, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  74525, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  74526, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  74527, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  74528, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  74529, ur_m164a_u1x8_uart1_lednop_pr_ee_ce },
 {  74530, ur_m164a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  74531, ur_m164a_u1x8_uart1_lednop_hw },
 {  74532, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  74533, ur_m164a_u1x8_uart1_lednop_ce_hw },
 {  74534, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  74535, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  74536, ur_m164a_u1x8_uart1_dual },
 {  74537, ur_m164a_u1x8_uart1_dual },
 {  74538, ur_m164a_u1x8_uart1_dual_pr_u4 },
 {  74539, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  74540, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  74541, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  74542, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  74543, ur_m164a_u1x8_uart1_dual_pr_ee_ce },
 {  74544, ur_m164a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  74545, ur_m164a_u1x8_uart1_dual_hw },
 {  74546, ur_m164a_u1x8_uart1_dual_ee_hw },
 {  74547, ur_m164a_u1x8_uart1_dual_ce_hw },
 {  74548, ur_m164a_u1x8_uart1_dual_ee_ce_hw },
 {  74549, ur_m164a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  74634, ur_m164a_u1x12_uart0_noled },
 {  74635, ur_m164a_u1x12_uart0_noled },
 {  74636, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  74637, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  74638, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  74639, ur_m164a_u1x12_uart0_noled_pr_ce },
 {  74640, ur_m164a_u1x12_uart0_noled_pr_ce_u4 },
 {  74641, ur_m164a_u1x12_uart0_noled_pr_ee_ce },
 {  74642, ur_m164a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  74643, ur_m168_u1x12_uart0_noled_hw },
 {  74644, ur_m168_u1x12_uart0_noled_ee_hw },
 {  74645, ur_m168_u1x12_uart0_noled_ce_hw },
 {  74646, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  74647, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  74648, ur_m164a_u1x12_uart0_lednop },
 {  74649, ur_m164a_u1x12_uart0_lednop },
 {  74650, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  74651, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  74652, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  74653, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  74654, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  74655, ur_m164a_u1x12_uart0_lednop_pr_ee_ce },
 {  74656, ur_m164a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  74657, ur_m168_u1x12_uart0_lednop_hw },
 {  74658, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  74659, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  74660, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  74661, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  74662, ur_m164a_u1x12_uart0_dual },
 {  74663, ur_m164a_u1x12_uart0_dual },
 {  74664, ur_m164a_u1x12_uart0_dual_pr_u4 },
 {  74665, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  74666, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  74667, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  74668, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  74669, ur_m164a_u1x12_uart0_dual_pr_ee_ce },
 {  74670, ur_m164a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  74671, ur_m164a_u1x12_uart0_dual_hw },
 {  74672, ur_m164a_u1x12_uart0_dual_ee_hw },
 {  74673, ur_m164a_u1x12_uart0_dual_ce_hw },
 {  74674, ur_m164a_u1x12_uart0_dual_ee_ce_hw },
 {  74675, ur_m164a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  74718, ur_m164a_u1x12_uart1_noled },
 {  74719, ur_m164a_u1x12_uart1_noled },
 {  74720, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  74721, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  74722, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  74723, ur_m164a_u1x12_uart1_noled_pr_ce },
 {  74724, ur_m164a_u1x12_uart1_noled_pr_ce_u4 },
 {  74725, ur_m164a_u1x12_uart1_noled_pr_ee_ce },
 {  74726, ur_m164a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  74727, ur_m164a_u1x12_uart1_noled_hw },
 {  74728, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  74729, ur_m164a_u1x12_uart1_noled_ce_hw },
 {  74730, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  74731, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  74732, ur_m164a_u1x12_uart1_lednop },
 {  74733, ur_m164a_u1x12_uart1_lednop },
 {  74734, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  74735, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  74736, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  74737, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  74738, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  74739, ur_m164a_u1x12_uart1_lednop_pr_ee_ce },
 {  74740, ur_m164a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  74741, ur_m164a_u1x12_uart1_lednop_hw },
 {  74742, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  74743, ur_m164a_u1x12_uart1_lednop_ce_hw },
 {  74744, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  74745, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  74746, ur_m164a_u1x12_uart1_dual },
 {  74747, ur_m164a_u1x12_uart1_dual },
 {  74748, ur_m164a_u1x12_uart1_dual_pr_u4 },
 {  74749, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  74750, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  74751, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  74752, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  74753, ur_m164a_u1x12_uart1_dual_pr_ee_ce },
 {  74754, ur_m164a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  74755, ur_m164a_u1x12_uart1_dual_hw },
 {  74756, ur_m164a_u1x12_uart1_dual_ee_hw },
 {  74757, ur_m164a_u1x12_uart1_dual_ce_hw },
 {  74758, ur_m164a_u1x12_uart1_dual_ee_ce_hw },
 {  74759, ur_m164a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  74844, ur_m164a_u2x8_uart0_noled },
 {  74845, ur_m164a_u2x8_uart0_noled },
 {  74846, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  74847, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  74848, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  74849, ur_m164a_u2x8_uart0_noled_pr_ce },
 {  74850, ur_m164a_u2x8_uart0_noled_pr_ce_u4 },
 {  74851, ur_m164a_u2x8_uart0_noled_pr_ee_ce },
 {  74852, ur_m164a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  74853, ur_m168_u2x8_uart0_noled_hw },
 {  74854, ur_m168_u2x8_uart0_noled_ee_hw },
 {  74855, ur_m168_u2x8_uart0_noled_ce_hw },
 {  74856, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  74857, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  74858, ur_m164a_u2x8_uart0_lednop },
 {  74859, ur_m164a_u2x8_uart0_lednop },
 {  74860, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  74861, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  74862, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  74863, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  74864, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  74865, ur_m164a_u2x8_uart0_lednop_pr_ee_ce },
 {  74866, ur_m164a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  74867, ur_m168_u2x8_uart0_lednop_hw },
 {  74868, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  74869, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  74870, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  74871, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  74872, ur_m164a_u2x8_uart0_dual },
 {  74873, ur_m164a_u2x8_uart0_dual },
 {  74874, ur_m164a_u2x8_uart0_dual_pr_u4 },
 {  74875, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  74876, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  74877, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  74878, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  74879, ur_m164a_u2x8_uart0_dual_pr_ee_ce },
 {  74880, ur_m164a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  74881, ur_m164a_u2x8_uart0_dual_hw },
 {  74882, ur_m164a_u2x8_uart0_dual_ee_hw },
 {  74883, ur_m164a_u2x8_uart0_dual_ce_hw },
 {  74884, ur_m164a_u2x8_uart0_dual_ee_ce_hw },
 {  74885, ur_m164a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  74928, ur_m164a_u2x8_uart1_noled },
 {  74929, ur_m164a_u2x8_uart1_noled },
 {  74930, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  74931, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  74932, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  74933, ur_m164a_u2x8_uart1_noled_pr_ce },
 {  74934, ur_m164a_u2x8_uart1_noled_pr_ce_u4 },
 {  74935, ur_m164a_u2x8_uart1_noled_pr_ee_ce },
 {  74936, ur_m164a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  74937, ur_m164a_u2x8_uart1_noled_hw },
 {  74938, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  74939, ur_m164a_u2x8_uart1_noled_ce_hw },
 {  74940, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  74941, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  74942, ur_m164a_u2x8_uart1_lednop },
 {  74943, ur_m164a_u2x8_uart1_lednop },
 {  74944, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  74945, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  74946, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  74947, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  74948, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  74949, ur_m164a_u2x8_uart1_lednop_pr_ee_ce },
 {  74950, ur_m164a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  74951, ur_m164a_u2x8_uart1_lednop_hw },
 {  74952, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  74953, ur_m164a_u2x8_uart1_lednop_ce_hw },
 {  74954, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  74955, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  74956, ur_m164a_u2x8_uart1_dual },
 {  74957, ur_m164a_u2x8_uart1_dual },
 {  74958, ur_m164a_u2x8_uart1_dual_pr_u4 },
 {  74959, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  74960, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  74961, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  74962, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  74963, ur_m164a_u2x8_uart1_dual_pr_ee_ce },
 {  74964, ur_m164a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  74965, ur_m164a_u2x8_uart1_dual_hw },
 {  74966, ur_m164a_u2x8_uart1_dual_ee_hw },
 {  74967, ur_m164a_u2x8_uart1_dual_ce_hw },
 {  74968, ur_m164a_u2x8_uart1_dual_ee_ce_hw },
 {  74969, ur_m164a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  75054, ur_m164a_u2x12_uart0_noled },
 {  75055, ur_m164a_u2x12_uart0_noled },
 {  75056, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  75057, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  75058, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  75059, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  75060, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  75061, ur_m164a_u2x12_uart0_noled_pr_ee_ce },
 {  75062, ur_m164a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  75063, ur_m168_u2x12_uart0_noled_hw },
 {  75064, ur_m168_u2x12_uart0_noled_ee_hw },
 {  75065, ur_m168_u2x12_uart0_noled_ce_hw },
 {  75066, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  75067, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  75068, ur_m164a_u2x12_uart0_lednop },
 {  75069, ur_m164a_u2x12_uart0_lednop },
 {  75070, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  75071, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  75072, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  75073, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  75074, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  75075, ur_m164a_u2x12_uart0_lednop_pr_ee_ce },
 {  75076, ur_m164a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  75077, ur_m168_u2x12_uart0_lednop_hw },
 {  75078, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  75079, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  75080, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  75081, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  75082, ur_m164a_u2x12_uart0_dual },
 {  75083, ur_m164a_u2x12_uart0_dual_pr },
 {  75084, ur_m164a_u2x12_uart0_dual_pr },
 {  75085, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  75086, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  75087, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  75088, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  75089, ur_m164a_u2x12_uart0_dual_pr_ee_ce },
 {  75090, ur_m164a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  75091, ur_m164a_u2x12_uart0_dual_hw },
 {  75092, ur_m164a_u2x12_uart0_dual_ee_hw },
 {  75093, ur_m164a_u2x12_uart0_dual_ce_hw },
 {  75094, ur_m164a_u2x12_uart0_dual_ee_ce_hw },
 {  75095, ur_m164a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  75138, ur_m164a_u2x12_uart1_noled },
 {  75139, ur_m164a_u2x12_uart1_noled },
 {  75140, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  75141, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  75142, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  75143, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  75144, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  75145, ur_m164a_u2x12_uart1_noled_pr_ee_ce },
 {  75146, ur_m164a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  75147, ur_m164a_u2x12_uart1_noled_hw },
 {  75148, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  75149, ur_m164a_u2x12_uart1_noled_ce_hw },
 {  75150, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  75151, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  75152, ur_m164a_u2x12_uart1_lednop },
 {  75153, ur_m164a_u2x12_uart1_lednop },
 {  75154, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  75155, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  75156, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  75157, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  75158, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  75159, ur_m164a_u2x12_uart1_lednop_pr_ee_ce },
 {  75160, ur_m164a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  75161, ur_m164a_u2x12_uart1_lednop_hw },
 {  75162, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  75163, ur_m164a_u2x12_uart1_lednop_ce_hw },
 {  75164, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  75165, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  75166, ur_m164a_u2x12_uart1_dual },
 {  75167, ur_m164a_u2x12_uart1_dual_pr },
 {  75168, ur_m164a_u2x12_uart1_dual_pr },
 {  75169, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  75170, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  75171, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  75172, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  75173, ur_m164a_u2x12_uart1_dual_pr_ee_ce },
 {  75174, ur_m164a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  75175, ur_m164a_u2x12_uart1_dual_hw },
 {  75176, ur_m164a_u2x12_uart1_dual_ee_hw },
 {  75177, ur_m164a_u2x12_uart1_dual_ce_hw },
 {  75178, ur_m164a_u2x12_uart1_dual_ee_ce_hw },
 {  75179, ur_m164a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  75264, ur_m164a_swio10_noled },
 {  75265, ur_m164a_swio10_noled },
 {  75266, ur_m164a_swio10_noled_pr_u4 },
 {  75267, ur_m164a_swio10_noled_pr_ee },
 {  75268, ur_m164a_swio10_noled_pr_ee },
 {  75269, ur_m164a_swio10_noled_pr_ce },
 {  75270, ur_m164a_swio10_noled_pr_ce },
 {  75271, ur_m164a_swio10_noled_pr_ee_ce },
 {  75272, ur_m164a_swio10_noled_pr_ee_ce_u4 },
 {  75273, ur_m168_swio10_noled_hw },
 {  75274, ur_m168_swio10_noled_ee_hw },
 {  75275, ur_m168_swio10_noled_ce_hw },
 {  75276, ur_m168_swio10_noled_ee_ce_hw },
 {  75277, ur_m168_swio10_noled_ee_ce_hw },
 {  75278, ur_m164a_swio10_lednop },
 {  75279, ur_m164a_swio10_lednop_pr },
 {  75280, ur_m164a_swio10_lednop_pr },
 {  75281, ur_m164a_swio10_lednop_pr_ee },
 {  75282, ur_m164a_swio10_lednop_pr_ee },
 {  75283, ur_m164a_swio10_lednop_pr_ce },
 {  75284, ur_m164a_swio10_lednop_pr_ce },
 {  75285, ur_m164a_swio10_lednop_pr_ee_ce },
 {  75286, ur_m164a_swio10_lednop_pr_ee_ce_u4 },
 {  75287, ur_m168_swio10_lednop_hw },
 {  75288, ur_m168_swio10_lednop_ee_hw },
 {  75289, ur_m168_swio10_lednop_ce_hw },
 {  75290, ur_m168_swio10_lednop_ee_ce_hw },
 {  75291, ur_m168_swio10_lednop_ee_ce_hw },
 {  75292, ur_m164a_swio10_dual },
 {  75293, ur_m164a_swio10_dual },
 {  75294, ur_m164a_swio10_dual },
 {  75295, ur_m164a_swio10_dual_pr_ee },
 {  75296, ur_m164a_swio10_dual_pr_ee_u4 },
 {  75297, ur_m164a_swio10_dual_pr_ce },
 {  75298, ur_m164a_swio10_dual_pr_ce },
 {  75299, ur_m164a_swio10_dual_pr_ee_ce },
 {  75300, ur_m164a_swio10_dual_pr_ee_ce_u4 },
 {  75301, ur_m164a_swio10_dual_hw },
 {  75302, ur_m164a_swio10_dual_ee_hw },
 {  75303, ur_m164a_swio10_dual_ce_hw },
 {  75304, ur_m164a_swio10_dual_ee_ce_hw },
 {  75305, ur_m164a_swio10_dual_ee_ce_u4_hw },
 {  75306, ur_m164a_swio11_noled },
 {  75307, ur_m164a_swio11_noled },
 {  75308, ur_m164a_swio11_noled_pr_u4 },
 {  75309, ur_m164a_swio11_noled_pr_ee },
 {  75310, ur_m164a_swio11_noled_pr_ee },
 {  75311, ur_m164a_swio11_noled_pr_ce },
 {  75312, ur_m164a_swio11_noled_pr_ce },
 {  75313, ur_m164a_swio11_noled_pr_ee_ce },
 {  75314, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  75315, ur_m168_swio11_noled_hw },
 {  75316, ur_m168_swio11_noled_ee_hw },
 {  75317, ur_m168_swio11_noled_ce_hw },
 {  75318, ur_m168_swio11_noled_ee_ce_hw },
 {  75319, ur_m168_swio11_noled_ee_ce_hw },
 {  75320, ur_m164a_swio11_lednop },
 {  75321, ur_m164a_swio11_lednop_pr },
 {  75322, ur_m164a_swio11_lednop_pr },
 {  75323, ur_m164a_swio11_lednop_pr_ee },
 {  75324, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  75325, ur_m164a_swio11_lednop_pr_ce },
 {  75326, ur_m164a_swio11_lednop_pr_ce },
 {  75327, ur_m164a_swio11_lednop_pr_ee_ce },
 {  75328, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  75329, ur_m168_swio11_lednop_hw },
 {  75330, ur_m168_swio11_lednop_ee_hw },
 {  75331, ur_m168_swio11_lednop_ce_hw },
 {  75332, ur_m168_swio11_lednop_ee_ce_hw },
 {  75333, ur_m168_swio11_lednop_ee_ce_hw },
 {  75334, ur_m164a_swio11_dual },
 {  75335, ur_m164a_swio11_dual },
 {  75336, ur_m164a_swio11_dual },
 {  75337, ur_m164a_swio11_dual_pr_ee },
 {  75338, ur_m164a_swio11_dual_pr_ee_u4 },
 {  75339, ur_m164a_swio11_dual_pr_ce },
 {  75340, ur_m164a_swio11_dual_pr_ce_u4 },
 {  75341, ur_m164a_swio11_dual_pr_ee_ce },
 {  75342, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  75343, ur_m164a_swio11_dual_hw },
 {  75344, ur_m164a_swio11_dual_ee_hw },
 {  75345, ur_m164a_swio11_dual_ce_hw },
 {  75346, ur_m164a_swio11_dual_ee_ce_hw },
 {  75347, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  75348, ur_m164a_swio11_noled },
 {  75349, ur_m164a_swio11_noled },
 {  75350, ur_m164a_swio11_noled_pr_u4 },
 {  75351, ur_m164a_swio11_noled_pr_ee },
 {  75352, ur_m164a_swio11_noled_pr_ee },
 {  75353, ur_m164a_swio11_noled_pr_ce },
 {  75354, ur_m164a_swio11_noled_pr_ce },
 {  75355, ur_m164a_swio11_noled_pr_ee_ce },
 {  75356, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  75357, ur_m168_swio11_noled_hw },
 {  75358, ur_m168_swio11_noled_ee_hw },
 {  75359, ur_m168_swio11_noled_ce_hw },
 {  75360, ur_m168_swio11_noled_ee_ce_hw },
 {  75361, ur_m168_swio11_noled_ee_ce_hw },
 {  75362, ur_m164a_swio11_lednop },
 {  75363, ur_m164a_swio11_lednop_pr },
 {  75364, ur_m164a_swio11_lednop_pr },
 {  75365, ur_m164a_swio11_lednop_pr_ee },
 {  75366, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  75367, ur_m164a_swio11_lednop_pr_ce },
 {  75368, ur_m164a_swio11_lednop_pr_ce },
 {  75369, ur_m164a_swio11_lednop_pr_ee_ce },
 {  75370, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  75371, ur_m168_swio11_lednop_hw },
 {  75372, ur_m168_swio11_lednop_ee_hw },
 {  75373, ur_m168_swio11_lednop_ce_hw },
 {  75374, ur_m168_swio11_lednop_ee_ce_hw },
 {  75375, ur_m168_swio11_lednop_ee_ce_hw },
 {  75376, ur_m164a_swio11_dual },
 {  75377, ur_m164a_swio11_dual },
 {  75378, ur_m164a_swio11_dual },
 {  75379, ur_m164a_swio11_dual_pr_ee },
 {  75380, ur_m164a_swio11_dual_pr_ee_u4 },
 {  75381, ur_m164a_swio11_dual_pr_ce },
 {  75382, ur_m164a_swio11_dual_pr_ce_u4 },
 {  75383, ur_m164a_swio11_dual_pr_ee_ce },
 {  75384, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  75385, ur_m164a_swio11_dual_hw },
 {  75386, ur_m164a_swio11_dual_ee_hw },
 {  75387, ur_m164a_swio11_dual_ce_hw },
 {  75388, ur_m164a_swio11_dual_ee_ce_hw },
 {  75389, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  75390, ur_m164a_swio13_noled },
 {  75391, ur_m164a_swio13_noled },
 {  75392, ur_m164a_swio13_noled_pr_u4 },
 {  75393, ur_m164a_swio13_noled_pr_ee },
 {  75394, ur_m164a_swio13_noled_pr_ee },
 {  75395, ur_m164a_swio13_noled_pr_ce },
 {  75396, ur_m164a_swio13_noled_pr_ce },
 {  75397, ur_m164a_swio13_noled_pr_ee_ce },
 {  75398, ur_m164a_swio13_noled_pr_ee_ce_u4 },
 {  75399, ur_m168_swio13_noled_hw },
 {  75400, ur_m168_swio13_noled_ee_hw },
 {  75401, ur_m168_swio13_noled_ce_hw },
 {  75402, ur_m168_swio13_noled_ee_ce_hw },
 {  75403, ur_m168_swio13_noled_ee_ce_hw },
 {  75404, ur_m164a_swio13_lednop },
 {  75405, ur_m164a_swio13_lednop_pr },
 {  75406, ur_m164a_swio13_lednop_pr },
 {  75407, ur_m164a_swio13_lednop_pr_ee },
 {  75408, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  75409, ur_m164a_swio13_lednop_pr_ce },
 {  75410, ur_m164a_swio13_lednop_pr_ce },
 {  75411, ur_m164a_swio13_lednop_pr_ee_ce },
 {  75412, ur_m164a_swio13_lednop_pr_ee_ce_u4 },
 {  75413, ur_m168_swio13_lednop_hw },
 {  75414, ur_m168_swio13_lednop_ee_hw },
 {  75415, ur_m168_swio13_lednop_ce_hw },
 {  75416, ur_m168_swio13_lednop_ee_ce_hw },
 {  75417, ur_m168_swio13_lednop_ee_ce_hw },
 {  75418, ur_m164a_swio13_dual },
 {  75419, ur_m164a_swio13_dual },
 {  75420, ur_m164a_swio13_dual },
 {  75421, ur_m164a_swio13_dual_pr_ee },
 {  75422, ur_m164a_swio13_dual_pr_ee_u4 },
 {  75423, ur_m164a_swio13_dual_pr_ce },
 {  75424, ur_m164a_swio13_dual_pr_ce_u4 },
 {  75425, ur_m164a_swio13_dual_pr_ee_ce },
 {  75426, ur_m164a_swio13_dual_pr_ee_ce_u4 },
 {  75427, ur_m164a_swio13_dual_hw },
 {  75428, ur_m164a_swio13_dual_ee_hw },
 {  75429, ur_m164a_swio13_dual_ce_hw },
 {  75430, ur_m164a_swio13_dual_ee_ce_hw },
 {  75431, ur_m164a_swio13_dual_ee_ce_u4_hw },
 {  75432, ur_m164a_swio14_noled },
 {  75433, ur_m164a_swio14_noled },
 {  75434, ur_m164a_swio14_noled_pr_u4 },
 {  75435, ur_m164a_swio14_noled_pr_ee },
 {  75436, ur_m164a_swio14_noled_pr_ee },
 {  75437, ur_m164a_swio14_noled_pr_ce },
 {  75438, ur_m164a_swio14_noled_pr_ce },
 {  75439, ur_m164a_swio14_noled_pr_ee_ce },
 {  75440, ur_m164a_swio14_noled_pr_ee_ce_u4 },
 {  75441, ur_m168_swio14_noled_hw },
 {  75442, ur_m168_swio14_noled_ee_hw },
 {  75443, ur_m168_swio14_noled_ce_hw },
 {  75444, ur_m168_swio14_noled_ee_ce_hw },
 {  75445, ur_m168_swio14_noled_ee_ce_hw },
 {  75446, ur_m164a_swio14_lednop },
 {  75447, ur_m164a_swio14_lednop_pr },
 {  75448, ur_m164a_swio14_lednop_pr },
 {  75449, ur_m164a_swio14_lednop_pr_ee },
 {  75450, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  75451, ur_m164a_swio14_lednop_pr_ce },
 {  75452, ur_m164a_swio14_lednop_pr_ce },
 {  75453, ur_m164a_swio14_lednop_pr_ee_ce },
 {  75454, ur_m164a_swio14_lednop_pr_ee_ce_u4 },
 {  75455, ur_m168_swio14_lednop_hw },
 {  75456, ur_m168_swio14_lednop_ee_hw },
 {  75457, ur_m168_swio14_lednop_ce_hw },
 {  75458, ur_m168_swio14_lednop_ee_ce_hw },
 {  75459, ur_m168_swio14_lednop_ee_ce_hw },
 {  75460, ur_m164a_swio14_dual },
 {  75461, ur_m164a_swio14_dual },
 {  75462, ur_m164a_swio14_dual },
 {  75463, ur_m164a_swio14_dual_pr_ee },
 {  75464, ur_m164a_swio14_dual_pr_ee_u4 },
 {  75465, ur_m164a_swio14_dual_pr_ce },
 {  75466, ur_m164a_swio14_dual_pr_ce_u4 },
 {  75467, ur_m164a_swio14_dual_pr_ee_ce },
 {  75468, ur_m164a_swio14_dual_pr_ee_ce_u4 },
 {  75469, ur_m164a_swio14_dual_hw },
 {  75470, ur_m164a_swio14_dual_ee_hw },
 {  75471, ur_m164a_swio14_dual_ce_hw },
 {  75472, ur_m164a_swio14_dual_ee_ce_hw },
 {  75473, ur_m164a_swio14_dual_ee_ce_u4_hw },
 {  75474, ur_m164a_swio15_noled },
 {  75475, ur_m164a_swio15_noled },
 {  75476, ur_m164a_swio15_noled_pr_u4 },
 {  75477, ur_m164a_swio15_noled_pr_ee },
 {  75478, ur_m164a_swio15_noled_pr_ee },
 {  75479, ur_m164a_swio15_noled_pr_ce },
 {  75480, ur_m164a_swio15_noled_pr_ce },
 {  75481, ur_m164a_swio15_noled_pr_ee_ce },
 {  75482, ur_m164a_swio15_noled_pr_ee_ce_u4 },
 {  75483, ur_m168_swio15_noled_hw },
 {  75484, ur_m168_swio15_noled_ee_hw },
 {  75485, ur_m168_swio15_noled_ce_hw },
 {  75486, ur_m168_swio15_noled_ee_ce_hw },
 {  75487, ur_m168_swio15_noled_ee_ce_hw },
 {  75488, ur_m164a_swio15_lednop },
 {  75489, ur_m164a_swio15_lednop_pr },
 {  75490, ur_m164a_swio15_lednop_pr },
 {  75491, ur_m164a_swio15_lednop_pr_ee },
 {  75492, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  75493, ur_m164a_swio15_lednop_pr_ce },
 {  75494, ur_m164a_swio15_lednop_pr_ce },
 {  75495, ur_m164a_swio15_lednop_pr_ee_ce },
 {  75496, ur_m164a_swio15_lednop_pr_ee_ce_u4 },
 {  75497, ur_m168_swio15_lednop_hw },
 {  75498, ur_m168_swio15_lednop_ee_hw },
 {  75499, ur_m168_swio15_lednop_ce_hw },
 {  75500, ur_m168_swio15_lednop_ee_ce_hw },
 {  75501, ur_m168_swio15_lednop_ee_ce_hw },
 {  75502, ur_m164a_swio15_dual },
 {  75503, ur_m164a_swio15_dual },
 {  75504, ur_m164a_swio15_dual },
 {  75505, ur_m164a_swio15_dual_pr_ee },
 {  75506, ur_m164a_swio15_dual_pr_ee_u4 },
 {  75507, ur_m164a_swio15_dual_pr_ce },
 {  75508, ur_m164a_swio15_dual_pr_ce_u4 },
 {  75509, ur_m164a_swio15_dual_pr_ee_ce },
 {  75510, ur_m164a_swio15_dual_pr_ee_ce_u4 },
 {  75511, ur_m164a_swio15_dual_hw },
 {  75512, ur_m164a_swio15_dual_ee_hw },
 {  75513, ur_m164a_swio15_dual_ce_hw },
 {  75514, ur_m164a_swio15_dual_ee_ce_hw },
 {  75515, ur_m164a_swio15_dual_ee_ce_u4_hw },
 {  75516, ur_m164a_autobaud_uart0_noled },
 {  75517, ur_m164a_autobaud_uart0_noled },
 {  75518, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  75519, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  75520, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  75521, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  75522, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  75523, ur_m164a_autobaud_uart0_noled_pr_ee_ce },
 {  75524, ur_m164a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  75525, ur_m168_autobaud_uart0_noled_hw },
 {  75526, ur_m168_autobaud_uart0_noled_ee_hw },
 {  75527, ur_m168_autobaud_uart0_noled_ce_hw },
 {  75528, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  75529, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  75530, ur_m164a_autobaud_uart0_lednop },
 {  75531, ur_m164a_autobaud_uart0_lednop },
 {  75532, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  75533, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  75534, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  75535, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  75536, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  75537, ur_m164a_autobaud_uart0_lednop_pr_ee_ce },
 {  75538, ur_m164a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  75539, ur_m168_autobaud_uart0_lednop_hw },
 {  75540, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  75541, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  75542, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  75543, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  75544, ur_m164a_autobaud_uart0_dual },
 {  75545, ur_m164a_autobaud_uart0_dual_pr },
 {  75546, ur_m164a_autobaud_uart0_dual_pr },
 {  75547, ur_m164a_autobaud_uart0_dual_pr_ee },
 {  75548, ur_m164a_autobaud_uart0_dual_pr_ee_u4 },
 {  75549, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  75550, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  75551, ur_m164a_autobaud_uart0_dual_pr_ee_ce },
 {  75552, ur_m164a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  75553, ur_m164a_autobaud_uart0_dual_hw },
 {  75554, ur_m164a_autobaud_uart0_dual_ee_hw },
 {  75555, ur_m164a_autobaud_uart0_dual_ce_hw },
 {  75556, ur_m164a_autobaud_uart0_dual_ee_ce_hw },
 {  75557, ur_m164a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  75600, ur_m164a_autobaud_uart1_noled },
 {  75601, ur_m164a_autobaud_uart1_noled },
 {  75602, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  75603, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  75604, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  75605, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  75606, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  75607, ur_m164a_autobaud_uart1_noled_pr_ee_ce },
 {  75608, ur_m164a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  75609, ur_m164a_autobaud_uart1_noled_hw },
 {  75610, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  75611, ur_m164a_autobaud_uart1_noled_ce_hw },
 {  75612, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  75613, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  75614, ur_m164a_autobaud_uart1_lednop },
 {  75615, ur_m164a_autobaud_uart1_lednop },
 {  75616, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  75617, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  75618, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  75619, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  75620, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  75621, ur_m164a_autobaud_uart1_lednop_pr_ee_ce },
 {  75622, ur_m164a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  75623, ur_m164a_autobaud_uart1_lednop_hw },
 {  75624, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  75625, ur_m164a_autobaud_uart1_lednop_ce_hw },
 {  75626, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  75627, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  75628, ur_m164a_autobaud_uart1_dual },
 {  75629, ur_m164a_autobaud_uart1_dual_pr },
 {  75630, ur_m164a_autobaud_uart1_dual_pr },
 {  75631, ur_m164a_autobaud_uart1_dual_pr_ee },
 {  75632, ur_m164a_autobaud_uart1_dual_pr_ee_u4 },
 {  75633, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  75634, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  75635, ur_m164a_autobaud_uart1_dual_pr_ee_ce },
 {  75636, ur_m164a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  75637, ur_m164a_autobaud_uart1_dual_hw },
 {  75638, ur_m164a_autobaud_uart1_dual_ee_hw },
 {  75639, ur_m164a_autobaud_uart1_dual_ce_hw },
 {  75640, ur_m164a_autobaud_uart1_dual_ee_ce_hw },
 {  75641, ur_m164a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  75726, ur_m164a_u1x8_uart0_noled },
 {  75727, ur_m164a_u1x8_uart0_noled },
 {  75728, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  75729, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  75730, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  75731, ur_m164a_u1x8_uart0_noled_pr_ce },
 {  75732, ur_m164a_u1x8_uart0_noled_pr_ce_u4 },
 {  75733, ur_m164a_u1x8_uart0_noled_pr_ee_ce },
 {  75734, ur_m164a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  75735, ur_m168_u1x8_uart0_noled_hw },
 {  75736, ur_m168_u1x8_uart0_noled_ee_hw },
 {  75737, ur_m168_u1x8_uart0_noled_ce_hw },
 {  75738, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  75739, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  75740, ur_m164a_u1x8_uart0_lednop },
 {  75741, ur_m164a_u1x8_uart0_lednop },
 {  75742, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  75743, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  75744, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  75745, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  75746, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  75747, ur_m164a_u1x8_uart0_lednop_pr_ee_ce },
 {  75748, ur_m164a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  75749, ur_m168_u1x8_uart0_lednop_hw },
 {  75750, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  75751, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  75752, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  75753, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  75754, ur_m164a_u1x8_uart0_dual },
 {  75755, ur_m164a_u1x8_uart0_dual },
 {  75756, ur_m164a_u1x8_uart0_dual_pr_u4 },
 {  75757, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  75758, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  75759, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  75760, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  75761, ur_m164a_u1x8_uart0_dual_pr_ee_ce },
 {  75762, ur_m164a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  75763, ur_m164a_u1x8_uart0_dual_hw },
 {  75764, ur_m164a_u1x8_uart0_dual_ee_hw },
 {  75765, ur_m164a_u1x8_uart0_dual_ce_hw },
 {  75766, ur_m164a_u1x8_uart0_dual_ee_ce_hw },
 {  75767, ur_m164a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  75810, ur_m164a_u1x8_uart1_noled },
 {  75811, ur_m164a_u1x8_uart1_noled },
 {  75812, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  75813, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  75814, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  75815, ur_m164a_u1x8_uart1_noled_pr_ce },
 {  75816, ur_m164a_u1x8_uart1_noled_pr_ce_u4 },
 {  75817, ur_m164a_u1x8_uart1_noled_pr_ee_ce },
 {  75818, ur_m164a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  75819, ur_m164a_u1x8_uart1_noled_hw },
 {  75820, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  75821, ur_m164a_u1x8_uart1_noled_ce_hw },
 {  75822, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  75823, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  75824, ur_m164a_u1x8_uart1_lednop },
 {  75825, ur_m164a_u1x8_uart1_lednop },
 {  75826, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  75827, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  75828, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  75829, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  75830, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  75831, ur_m164a_u1x8_uart1_lednop_pr_ee_ce },
 {  75832, ur_m164a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  75833, ur_m164a_u1x8_uart1_lednop_hw },
 {  75834, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  75835, ur_m164a_u1x8_uart1_lednop_ce_hw },
 {  75836, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  75837, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  75838, ur_m164a_u1x8_uart1_dual },
 {  75839, ur_m164a_u1x8_uart1_dual },
 {  75840, ur_m164a_u1x8_uart1_dual_pr_u4 },
 {  75841, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  75842, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  75843, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  75844, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  75845, ur_m164a_u1x8_uart1_dual_pr_ee_ce },
 {  75846, ur_m164a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  75847, ur_m164a_u1x8_uart1_dual_hw },
 {  75848, ur_m164a_u1x8_uart1_dual_ee_hw },
 {  75849, ur_m164a_u1x8_uart1_dual_ce_hw },
 {  75850, ur_m164a_u1x8_uart1_dual_ee_ce_hw },
 {  75851, ur_m164a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  75936, ur_m164a_u1x12_uart0_noled },
 {  75937, ur_m164a_u1x12_uart0_noled },
 {  75938, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  75939, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  75940, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  75941, ur_m164a_u1x12_uart0_noled_pr_ce },
 {  75942, ur_m164a_u1x12_uart0_noled_pr_ce_u4 },
 {  75943, ur_m164a_u1x12_uart0_noled_pr_ee_ce },
 {  75944, ur_m164a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  75945, ur_m168_u1x12_uart0_noled_hw },
 {  75946, ur_m168_u1x12_uart0_noled_ee_hw },
 {  75947, ur_m168_u1x12_uart0_noled_ce_hw },
 {  75948, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  75949, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  75950, ur_m164a_u1x12_uart0_lednop },
 {  75951, ur_m164a_u1x12_uart0_lednop },
 {  75952, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  75953, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  75954, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  75955, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  75956, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  75957, ur_m164a_u1x12_uart0_lednop_pr_ee_ce },
 {  75958, ur_m164a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  75959, ur_m168_u1x12_uart0_lednop_hw },
 {  75960, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  75961, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  75962, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  75963, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  75964, ur_m164a_u1x12_uart0_dual },
 {  75965, ur_m164a_u1x12_uart0_dual },
 {  75966, ur_m164a_u1x12_uart0_dual_pr_u4 },
 {  75967, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  75968, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  75969, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  75970, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  75971, ur_m164a_u1x12_uart0_dual_pr_ee_ce },
 {  75972, ur_m164a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  75973, ur_m164a_u1x12_uart0_dual_hw },
 {  75974, ur_m164a_u1x12_uart0_dual_ee_hw },
 {  75975, ur_m164a_u1x12_uart0_dual_ce_hw },
 {  75976, ur_m164a_u1x12_uart0_dual_ee_ce_hw },
 {  75977, ur_m164a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  76020, ur_m164a_u1x12_uart1_noled },
 {  76021, ur_m164a_u1x12_uart1_noled },
 {  76022, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  76023, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  76024, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  76025, ur_m164a_u1x12_uart1_noled_pr_ce },
 {  76026, ur_m164a_u1x12_uart1_noled_pr_ce_u4 },
 {  76027, ur_m164a_u1x12_uart1_noled_pr_ee_ce },
 {  76028, ur_m164a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  76029, ur_m164a_u1x12_uart1_noled_hw },
 {  76030, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  76031, ur_m164a_u1x12_uart1_noled_ce_hw },
 {  76032, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  76033, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  76034, ur_m164a_u1x12_uart1_lednop },
 {  76035, ur_m164a_u1x12_uart1_lednop },
 {  76036, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  76037, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  76038, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  76039, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  76040, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  76041, ur_m164a_u1x12_uart1_lednop_pr_ee_ce },
 {  76042, ur_m164a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  76043, ur_m164a_u1x12_uart1_lednop_hw },
 {  76044, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  76045, ur_m164a_u1x12_uart1_lednop_ce_hw },
 {  76046, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  76047, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  76048, ur_m164a_u1x12_uart1_dual },
 {  76049, ur_m164a_u1x12_uart1_dual },
 {  76050, ur_m164a_u1x12_uart1_dual_pr_u4 },
 {  76051, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  76052, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  76053, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  76054, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  76055, ur_m164a_u1x12_uart1_dual_pr_ee_ce },
 {  76056, ur_m164a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  76057, ur_m164a_u1x12_uart1_dual_hw },
 {  76058, ur_m164a_u1x12_uart1_dual_ee_hw },
 {  76059, ur_m164a_u1x12_uart1_dual_ce_hw },
 {  76060, ur_m164a_u1x12_uart1_dual_ee_ce_hw },
 {  76061, ur_m164a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  76146, ur_m164a_u2x8_uart0_noled },
 {  76147, ur_m164a_u2x8_uart0_noled },
 {  76148, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  76149, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  76150, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  76151, ur_m164a_u2x8_uart0_noled_pr_ce },
 {  76152, ur_m164a_u2x8_uart0_noled_pr_ce_u4 },
 {  76153, ur_m164a_u2x8_uart0_noled_pr_ee_ce },
 {  76154, ur_m164a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  76155, ur_m168_u2x8_uart0_noled_hw },
 {  76156, ur_m168_u2x8_uart0_noled_ee_hw },
 {  76157, ur_m168_u2x8_uart0_noled_ce_hw },
 {  76158, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  76159, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  76160, ur_m164a_u2x8_uart0_lednop },
 {  76161, ur_m164a_u2x8_uart0_lednop },
 {  76162, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  76163, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  76164, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  76165, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  76166, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  76167, ur_m164a_u2x8_uart0_lednop_pr_ee_ce },
 {  76168, ur_m164a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  76169, ur_m168_u2x8_uart0_lednop_hw },
 {  76170, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  76171, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  76172, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  76173, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  76174, ur_m164a_u2x8_uart0_dual },
 {  76175, ur_m164a_u2x8_uart0_dual },
 {  76176, ur_m164a_u2x8_uart0_dual_pr_u4 },
 {  76177, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  76178, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  76179, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  76180, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  76181, ur_m164a_u2x8_uart0_dual_pr_ee_ce },
 {  76182, ur_m164a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  76183, ur_m164a_u2x8_uart0_dual_hw },
 {  76184, ur_m164a_u2x8_uart0_dual_ee_hw },
 {  76185, ur_m164a_u2x8_uart0_dual_ce_hw },
 {  76186, ur_m164a_u2x8_uart0_dual_ee_ce_hw },
 {  76187, ur_m164a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  76230, ur_m164a_u2x8_uart1_noled },
 {  76231, ur_m164a_u2x8_uart1_noled },
 {  76232, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  76233, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  76234, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  76235, ur_m164a_u2x8_uart1_noled_pr_ce },
 {  76236, ur_m164a_u2x8_uart1_noled_pr_ce_u4 },
 {  76237, ur_m164a_u2x8_uart1_noled_pr_ee_ce },
 {  76238, ur_m164a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  76239, ur_m164a_u2x8_uart1_noled_hw },
 {  76240, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  76241, ur_m164a_u2x8_uart1_noled_ce_hw },
 {  76242, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  76243, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  76244, ur_m164a_u2x8_uart1_lednop },
 {  76245, ur_m164a_u2x8_uart1_lednop },
 {  76246, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  76247, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  76248, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  76249, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  76250, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  76251, ur_m164a_u2x8_uart1_lednop_pr_ee_ce },
 {  76252, ur_m164a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  76253, ur_m164a_u2x8_uart1_lednop_hw },
 {  76254, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  76255, ur_m164a_u2x8_uart1_lednop_ce_hw },
 {  76256, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  76257, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  76258, ur_m164a_u2x8_uart1_dual },
 {  76259, ur_m164a_u2x8_uart1_dual },
 {  76260, ur_m164a_u2x8_uart1_dual_pr_u4 },
 {  76261, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  76262, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  76263, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  76264, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  76265, ur_m164a_u2x8_uart1_dual_pr_ee_ce },
 {  76266, ur_m164a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  76267, ur_m164a_u2x8_uart1_dual_hw },
 {  76268, ur_m164a_u2x8_uart1_dual_ee_hw },
 {  76269, ur_m164a_u2x8_uart1_dual_ce_hw },
 {  76270, ur_m164a_u2x8_uart1_dual_ee_ce_hw },
 {  76271, ur_m164a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  76356, ur_m164a_u2x12_uart0_noled },
 {  76357, ur_m164a_u2x12_uart0_noled },
 {  76358, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  76359, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  76360, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  76361, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  76362, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  76363, ur_m164a_u2x12_uart0_noled_pr_ee_ce },
 {  76364, ur_m164a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  76365, ur_m168_u2x12_uart0_noled_hw },
 {  76366, ur_m168_u2x12_uart0_noled_ee_hw },
 {  76367, ur_m168_u2x12_uart0_noled_ce_hw },
 {  76368, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  76369, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  76370, ur_m164a_u2x12_uart0_lednop },
 {  76371, ur_m164a_u2x12_uart0_lednop },
 {  76372, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  76373, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  76374, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  76375, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  76376, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  76377, ur_m164a_u2x12_uart0_lednop_pr_ee_ce },
 {  76378, ur_m164a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  76379, ur_m168_u2x12_uart0_lednop_hw },
 {  76380, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  76381, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  76382, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  76383, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  76384, ur_m164a_u2x12_uart0_dual },
 {  76385, ur_m164a_u2x12_uart0_dual_pr },
 {  76386, ur_m164a_u2x12_uart0_dual_pr },
 {  76387, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  76388, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  76389, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  76390, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  76391, ur_m164a_u2x12_uart0_dual_pr_ee_ce },
 {  76392, ur_m164a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  76393, ur_m164a_u2x12_uart0_dual_hw },
 {  76394, ur_m164a_u2x12_uart0_dual_ee_hw },
 {  76395, ur_m164a_u2x12_uart0_dual_ce_hw },
 {  76396, ur_m164a_u2x12_uart0_dual_ee_ce_hw },
 {  76397, ur_m164a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  76440, ur_m164a_u2x12_uart1_noled },
 {  76441, ur_m164a_u2x12_uart1_noled },
 {  76442, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  76443, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  76444, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  76445, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  76446, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  76447, ur_m164a_u2x12_uart1_noled_pr_ee_ce },
 {  76448, ur_m164a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  76449, ur_m164a_u2x12_uart1_noled_hw },
 {  76450, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  76451, ur_m164a_u2x12_uart1_noled_ce_hw },
 {  76452, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  76453, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  76454, ur_m164a_u2x12_uart1_lednop },
 {  76455, ur_m164a_u2x12_uart1_lednop },
 {  76456, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  76457, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  76458, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  76459, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  76460, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  76461, ur_m164a_u2x12_uart1_lednop_pr_ee_ce },
 {  76462, ur_m164a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  76463, ur_m164a_u2x12_uart1_lednop_hw },
 {  76464, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  76465, ur_m164a_u2x12_uart1_lednop_ce_hw },
 {  76466, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  76467, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  76468, ur_m164a_u2x12_uart1_dual },
 {  76469, ur_m164a_u2x12_uart1_dual_pr },
 {  76470, ur_m164a_u2x12_uart1_dual_pr },
 {  76471, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  76472, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  76473, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  76474, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  76475, ur_m164a_u2x12_uart1_dual_pr_ee_ce },
 {  76476, ur_m164a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  76477, ur_m164a_u2x12_uart1_dual_hw },
 {  76478, ur_m164a_u2x12_uart1_dual_ee_hw },
 {  76479, ur_m164a_u2x12_uart1_dual_ce_hw },
 {  76480, ur_m164a_u2x12_uart1_dual_ee_ce_hw },
 {  76481, ur_m164a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  76566, ur_m164a_swio10_noled },
 {  76567, ur_m164a_swio10_noled },
 {  76568, ur_m164a_swio10_noled_pr_u4 },
 {  76569, ur_m164a_swio10_noled_pr_ee },
 {  76570, ur_m164a_swio10_noled_pr_ee },
 {  76571, ur_m164a_swio10_noled_pr_ce },
 {  76572, ur_m164a_swio10_noled_pr_ce },
 {  76573, ur_m164a_swio10_noled_pr_ee_ce },
 {  76574, ur_m164a_swio10_noled_pr_ee_ce_u4 },
 {  76575, ur_m168_swio10_noled_hw },
 {  76576, ur_m168_swio10_noled_ee_hw },
 {  76577, ur_m168_swio10_noled_ce_hw },
 {  76578, ur_m168_swio10_noled_ee_ce_hw },
 {  76579, ur_m168_swio10_noled_ee_ce_hw },
 {  76580, ur_m164a_swio10_lednop },
 {  76581, ur_m164a_swio10_lednop_pr },
 {  76582, ur_m164a_swio10_lednop_pr },
 {  76583, ur_m164a_swio10_lednop_pr_ee },
 {  76584, ur_m164a_swio10_lednop_pr_ee },
 {  76585, ur_m164a_swio10_lednop_pr_ce },
 {  76586, ur_m164a_swio10_lednop_pr_ce },
 {  76587, ur_m164a_swio10_lednop_pr_ee_ce },
 {  76588, ur_m164a_swio10_lednop_pr_ee_ce_u4 },
 {  76589, ur_m168_swio10_lednop_hw },
 {  76590, ur_m168_swio10_lednop_ee_hw },
 {  76591, ur_m168_swio10_lednop_ce_hw },
 {  76592, ur_m168_swio10_lednop_ee_ce_hw },
 {  76593, ur_m168_swio10_lednop_ee_ce_hw },
 {  76594, ur_m164a_swio10_dual },
 {  76595, ur_m164a_swio10_dual },
 {  76596, ur_m164a_swio10_dual },
 {  76597, ur_m164a_swio10_dual_pr_ee },
 {  76598, ur_m164a_swio10_dual_pr_ee_u4 },
 {  76599, ur_m164a_swio10_dual_pr_ce },
 {  76600, ur_m164a_swio10_dual_pr_ce },
 {  76601, ur_m164a_swio10_dual_pr_ee_ce },
 {  76602, ur_m164a_swio10_dual_pr_ee_ce_u4 },
 {  76603, ur_m164a_swio10_dual_hw },
 {  76604, ur_m164a_swio10_dual_ee_hw },
 {  76605, ur_m164a_swio10_dual_ce_hw },
 {  76606, ur_m164a_swio10_dual_ee_ce_hw },
 {  76607, ur_m164a_swio10_dual_ee_ce_u4_hw },
 {  76608, ur_m164a_swio11_noled },
 {  76609, ur_m164a_swio11_noled },
 {  76610, ur_m164a_swio11_noled_pr_u4 },
 {  76611, ur_m164a_swio11_noled_pr_ee },
 {  76612, ur_m164a_swio11_noled_pr_ee },
 {  76613, ur_m164a_swio11_noled_pr_ce },
 {  76614, ur_m164a_swio11_noled_pr_ce },
 {  76615, ur_m164a_swio11_noled_pr_ee_ce },
 {  76616, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  76617, ur_m168_swio11_noled_hw },
 {  76618, ur_m168_swio11_noled_ee_hw },
 {  76619, ur_m168_swio11_noled_ce_hw },
 {  76620, ur_m168_swio11_noled_ee_ce_hw },
 {  76621, ur_m168_swio11_noled_ee_ce_hw },
 {  76622, ur_m164a_swio11_lednop },
 {  76623, ur_m164a_swio11_lednop_pr },
 {  76624, ur_m164a_swio11_lednop_pr },
 {  76625, ur_m164a_swio11_lednop_pr_ee },
 {  76626, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  76627, ur_m164a_swio11_lednop_pr_ce },
 {  76628, ur_m164a_swio11_lednop_pr_ce },
 {  76629, ur_m164a_swio11_lednop_pr_ee_ce },
 {  76630, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  76631, ur_m168_swio11_lednop_hw },
 {  76632, ur_m168_swio11_lednop_ee_hw },
 {  76633, ur_m168_swio11_lednop_ce_hw },
 {  76634, ur_m168_swio11_lednop_ee_ce_hw },
 {  76635, ur_m168_swio11_lednop_ee_ce_hw },
 {  76636, ur_m164a_swio11_dual },
 {  76637, ur_m164a_swio11_dual },
 {  76638, ur_m164a_swio11_dual },
 {  76639, ur_m164a_swio11_dual_pr_ee },
 {  76640, ur_m164a_swio11_dual_pr_ee_u4 },
 {  76641, ur_m164a_swio11_dual_pr_ce },
 {  76642, ur_m164a_swio11_dual_pr_ce_u4 },
 {  76643, ur_m164a_swio11_dual_pr_ee_ce },
 {  76644, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  76645, ur_m164a_swio11_dual_hw },
 {  76646, ur_m164a_swio11_dual_ee_hw },
 {  76647, ur_m164a_swio11_dual_ce_hw },
 {  76648, ur_m164a_swio11_dual_ee_ce_hw },
 {  76649, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  76650, ur_m164a_swio11_noled },
 {  76651, ur_m164a_swio11_noled },
 {  76652, ur_m164a_swio11_noled_pr_u4 },
 {  76653, ur_m164a_swio11_noled_pr_ee },
 {  76654, ur_m164a_swio11_noled_pr_ee },
 {  76655, ur_m164a_swio11_noled_pr_ce },
 {  76656, ur_m164a_swio11_noled_pr_ce },
 {  76657, ur_m164a_swio11_noled_pr_ee_ce },
 {  76658, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  76659, ur_m168_swio11_noled_hw },
 {  76660, ur_m168_swio11_noled_ee_hw },
 {  76661, ur_m168_swio11_noled_ce_hw },
 {  76662, ur_m168_swio11_noled_ee_ce_hw },
 {  76663, ur_m168_swio11_noled_ee_ce_hw },
 {  76664, ur_m164a_swio11_lednop },
 {  76665, ur_m164a_swio11_lednop_pr },
 {  76666, ur_m164a_swio11_lednop_pr },
 {  76667, ur_m164a_swio11_lednop_pr_ee },
 {  76668, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  76669, ur_m164a_swio11_lednop_pr_ce },
 {  76670, ur_m164a_swio11_lednop_pr_ce },
 {  76671, ur_m164a_swio11_lednop_pr_ee_ce },
 {  76672, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  76673, ur_m168_swio11_lednop_hw },
 {  76674, ur_m168_swio11_lednop_ee_hw },
 {  76675, ur_m168_swio11_lednop_ce_hw },
 {  76676, ur_m168_swio11_lednop_ee_ce_hw },
 {  76677, ur_m168_swio11_lednop_ee_ce_hw },
 {  76678, ur_m164a_swio11_dual },
 {  76679, ur_m164a_swio11_dual },
 {  76680, ur_m164a_swio11_dual },
 {  76681, ur_m164a_swio11_dual_pr_ee },
 {  76682, ur_m164a_swio11_dual_pr_ee_u4 },
 {  76683, ur_m164a_swio11_dual_pr_ce },
 {  76684, ur_m164a_swio11_dual_pr_ce_u4 },
 {  76685, ur_m164a_swio11_dual_pr_ee_ce },
 {  76686, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  76687, ur_m164a_swio11_dual_hw },
 {  76688, ur_m164a_swio11_dual_ee_hw },
 {  76689, ur_m164a_swio11_dual_ce_hw },
 {  76690, ur_m164a_swio11_dual_ee_ce_hw },
 {  76691, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  76692, ur_m164a_swio13_noled },
 {  76693, ur_m164a_swio13_noled },
 {  76694, ur_m164a_swio13_noled_pr_u4 },
 {  76695, ur_m164a_swio13_noled_pr_ee },
 {  76696, ur_m164a_swio13_noled_pr_ee },
 {  76697, ur_m164a_swio13_noled_pr_ce },
 {  76698, ur_m164a_swio13_noled_pr_ce },
 {  76699, ur_m164a_swio13_noled_pr_ee_ce },
 {  76700, ur_m164a_swio13_noled_pr_ee_ce_u4 },
 {  76701, ur_m168_swio13_noled_hw },
 {  76702, ur_m168_swio13_noled_ee_hw },
 {  76703, ur_m168_swio13_noled_ce_hw },
 {  76704, ur_m168_swio13_noled_ee_ce_hw },
 {  76705, ur_m168_swio13_noled_ee_ce_hw },
 {  76706, ur_m164a_swio13_lednop },
 {  76707, ur_m164a_swio13_lednop_pr },
 {  76708, ur_m164a_swio13_lednop_pr },
 {  76709, ur_m164a_swio13_lednop_pr_ee },
 {  76710, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  76711, ur_m164a_swio13_lednop_pr_ce },
 {  76712, ur_m164a_swio13_lednop_pr_ce },
 {  76713, ur_m164a_swio13_lednop_pr_ee_ce },
 {  76714, ur_m164a_swio13_lednop_pr_ee_ce_u4 },
 {  76715, ur_m168_swio13_lednop_hw },
 {  76716, ur_m168_swio13_lednop_ee_hw },
 {  76717, ur_m168_swio13_lednop_ce_hw },
 {  76718, ur_m168_swio13_lednop_ee_ce_hw },
 {  76719, ur_m168_swio13_lednop_ee_ce_hw },
 {  76720, ur_m164a_swio13_dual },
 {  76721, ur_m164a_swio13_dual },
 {  76722, ur_m164a_swio13_dual },
 {  76723, ur_m164a_swio13_dual_pr_ee },
 {  76724, ur_m164a_swio13_dual_pr_ee_u4 },
 {  76725, ur_m164a_swio13_dual_pr_ce },
 {  76726, ur_m164a_swio13_dual_pr_ce_u4 },
 {  76727, ur_m164a_swio13_dual_pr_ee_ce },
 {  76728, ur_m164a_swio13_dual_pr_ee_ce_u4 },
 {  76729, ur_m164a_swio13_dual_hw },
 {  76730, ur_m164a_swio13_dual_ee_hw },
 {  76731, ur_m164a_swio13_dual_ce_hw },
 {  76732, ur_m164a_swio13_dual_ee_ce_hw },
 {  76733, ur_m164a_swio13_dual_ee_ce_u4_hw },
 {  76734, ur_m164a_swio14_noled },
 {  76735, ur_m164a_swio14_noled },
 {  76736, ur_m164a_swio14_noled_pr_u4 },
 {  76737, ur_m164a_swio14_noled_pr_ee },
 {  76738, ur_m164a_swio14_noled_pr_ee },
 {  76739, ur_m164a_swio14_noled_pr_ce },
 {  76740, ur_m164a_swio14_noled_pr_ce },
 {  76741, ur_m164a_swio14_noled_pr_ee_ce },
 {  76742, ur_m164a_swio14_noled_pr_ee_ce_u4 },
 {  76743, ur_m168_swio14_noled_hw },
 {  76744, ur_m168_swio14_noled_ee_hw },
 {  76745, ur_m168_swio14_noled_ce_hw },
 {  76746, ur_m168_swio14_noled_ee_ce_hw },
 {  76747, ur_m168_swio14_noled_ee_ce_hw },
 {  76748, ur_m164a_swio14_lednop },
 {  76749, ur_m164a_swio14_lednop_pr },
 {  76750, ur_m164a_swio14_lednop_pr },
 {  76751, ur_m164a_swio14_lednop_pr_ee },
 {  76752, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  76753, ur_m164a_swio14_lednop_pr_ce },
 {  76754, ur_m164a_swio14_lednop_pr_ce },
 {  76755, ur_m164a_swio14_lednop_pr_ee_ce },
 {  76756, ur_m164a_swio14_lednop_pr_ee_ce_u4 },
 {  76757, ur_m168_swio14_lednop_hw },
 {  76758, ur_m168_swio14_lednop_ee_hw },
 {  76759, ur_m168_swio14_lednop_ce_hw },
 {  76760, ur_m168_swio14_lednop_ee_ce_hw },
 {  76761, ur_m168_swio14_lednop_ee_ce_hw },
 {  76762, ur_m164a_swio14_dual },
 {  76763, ur_m164a_swio14_dual },
 {  76764, ur_m164a_swio14_dual },
 {  76765, ur_m164a_swio14_dual_pr_ee },
 {  76766, ur_m164a_swio14_dual_pr_ee_u4 },
 {  76767, ur_m164a_swio14_dual_pr_ce },
 {  76768, ur_m164a_swio14_dual_pr_ce_u4 },
 {  76769, ur_m164a_swio14_dual_pr_ee_ce },
 {  76770, ur_m164a_swio14_dual_pr_ee_ce_u4 },
 {  76771, ur_m164a_swio14_dual_hw },
 {  76772, ur_m164a_swio14_dual_ee_hw },
 {  76773, ur_m164a_swio14_dual_ce_hw },
 {  76774, ur_m164a_swio14_dual_ee_ce_hw },
 {  76775, ur_m164a_swio14_dual_ee_ce_u4_hw },
 {  76776, ur_m164a_swio15_noled },
 {  76777, ur_m164a_swio15_noled },
 {  76778, ur_m164a_swio15_noled_pr_u4 },
 {  76779, ur_m164a_swio15_noled_pr_ee },
 {  76780, ur_m164a_swio15_noled_pr_ee },
 {  76781, ur_m164a_swio15_noled_pr_ce },
 {  76782, ur_m164a_swio15_noled_pr_ce },
 {  76783, ur_m164a_swio15_noled_pr_ee_ce },
 {  76784, ur_m164a_swio15_noled_pr_ee_ce_u4 },
 {  76785, ur_m168_swio15_noled_hw },
 {  76786, ur_m168_swio15_noled_ee_hw },
 {  76787, ur_m168_swio15_noled_ce_hw },
 {  76788, ur_m168_swio15_noled_ee_ce_hw },
 {  76789, ur_m168_swio15_noled_ee_ce_hw },
 {  76790, ur_m164a_swio15_lednop },
 {  76791, ur_m164a_swio15_lednop_pr },
 {  76792, ur_m164a_swio15_lednop_pr },
 {  76793, ur_m164a_swio15_lednop_pr_ee },
 {  76794, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  76795, ur_m164a_swio15_lednop_pr_ce },
 {  76796, ur_m164a_swio15_lednop_pr_ce },
 {  76797, ur_m164a_swio15_lednop_pr_ee_ce },
 {  76798, ur_m164a_swio15_lednop_pr_ee_ce_u4 },
 {  76799, ur_m168_swio15_lednop_hw },
 {  76800, ur_m168_swio15_lednop_ee_hw },
 {  76801, ur_m168_swio15_lednop_ce_hw },
 {  76802, ur_m168_swio15_lednop_ee_ce_hw },
 {  76803, ur_m168_swio15_lednop_ee_ce_hw },
 {  76804, ur_m164a_swio15_dual },
 {  76805, ur_m164a_swio15_dual },
 {  76806, ur_m164a_swio15_dual },
 {  76807, ur_m164a_swio15_dual_pr_ee },
 {  76808, ur_m164a_swio15_dual_pr_ee_u4 },
 {  76809, ur_m164a_swio15_dual_pr_ce },
 {  76810, ur_m164a_swio15_dual_pr_ce_u4 },
 {  76811, ur_m164a_swio15_dual_pr_ee_ce },
 {  76812, ur_m164a_swio15_dual_pr_ee_ce_u4 },
 {  76813, ur_m164a_swio15_dual_hw },
 {  76814, ur_m164a_swio15_dual_ee_hw },
 {  76815, ur_m164a_swio15_dual_ce_hw },
 {  76816, ur_m164a_swio15_dual_ee_ce_hw },
 {  76817, ur_m164a_swio15_dual_ee_ce_u4_hw },
 {  76818, ur_m164a_autobaud_uart0_noled },
 {  76819, ur_m164a_autobaud_uart0_noled },
 {  76820, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  76821, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  76822, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  76823, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  76824, ur_m164a_autobaud_uart0_noled_pr_ce },
 {  76825, ur_m164a_autobaud_uart0_noled_pr_ee_ce },
 {  76826, ur_m164a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  76827, ur_m168_autobaud_uart0_noled_hw },
 {  76828, ur_m168_autobaud_uart0_noled_ee_hw },
 {  76829, ur_m168_autobaud_uart0_noled_ce_hw },
 {  76830, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  76831, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 {  76832, ur_m164a_autobaud_uart0_lednop },
 {  76833, ur_m164a_autobaud_uart0_lednop },
 {  76834, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  76835, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  76836, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  76837, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  76838, ur_m164a_autobaud_uart0_lednop_pr_ce },
 {  76839, ur_m164a_autobaud_uart0_lednop_pr_ee_ce },
 {  76840, ur_m164a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  76841, ur_m168_autobaud_uart0_lednop_hw },
 {  76842, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  76843, ur_m168_autobaud_uart0_lednop_ce_hw },
 {  76844, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  76845, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 {  76846, ur_m164a_autobaud_uart0_dual },
 {  76847, ur_m164a_autobaud_uart0_dual_pr },
 {  76848, ur_m164a_autobaud_uart0_dual_pr },
 {  76849, ur_m164a_autobaud_uart0_dual_pr_ee },
 {  76850, ur_m164a_autobaud_uart0_dual_pr_ee_u4 },
 {  76851, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  76852, ur_m164a_autobaud_uart0_dual_pr_ce },
 {  76853, ur_m164a_autobaud_uart0_dual_pr_ee_ce },
 {  76854, ur_m164a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  76855, ur_m164a_autobaud_uart0_dual_hw },
 {  76856, ur_m164a_autobaud_uart0_dual_ee_hw },
 {  76857, ur_m164a_autobaud_uart0_dual_ce_hw },
 {  76858, ur_m164a_autobaud_uart0_dual_ee_ce_hw },
 {  76859, ur_m164a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  76902, ur_m164a_autobaud_uart1_noled },
 {  76903, ur_m164a_autobaud_uart1_noled },
 {  76904, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  76905, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  76906, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  76907, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  76908, ur_m164a_autobaud_uart1_noled_pr_ce },
 {  76909, ur_m164a_autobaud_uart1_noled_pr_ee_ce },
 {  76910, ur_m164a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  76911, ur_m164a_autobaud_uart1_noled_hw },
 {  76912, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  76913, ur_m164a_autobaud_uart1_noled_ce_hw },
 {  76914, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  76915, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 {  76916, ur_m164a_autobaud_uart1_lednop },
 {  76917, ur_m164a_autobaud_uart1_lednop },
 {  76918, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  76919, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  76920, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  76921, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  76922, ur_m164a_autobaud_uart1_lednop_pr_ce },
 {  76923, ur_m164a_autobaud_uart1_lednop_pr_ee_ce },
 {  76924, ur_m164a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  76925, ur_m164a_autobaud_uart1_lednop_hw },
 {  76926, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  76927, ur_m164a_autobaud_uart1_lednop_ce_hw },
 {  76928, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  76929, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 {  76930, ur_m164a_autobaud_uart1_dual },
 {  76931, ur_m164a_autobaud_uart1_dual_pr },
 {  76932, ur_m164a_autobaud_uart1_dual_pr },
 {  76933, ur_m164a_autobaud_uart1_dual_pr_ee },
 {  76934, ur_m164a_autobaud_uart1_dual_pr_ee_u4 },
 {  76935, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  76936, ur_m164a_autobaud_uart1_dual_pr_ce },
 {  76937, ur_m164a_autobaud_uart1_dual_pr_ee_ce },
 {  76938, ur_m164a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  76939, ur_m164a_autobaud_uart1_dual_hw },
 {  76940, ur_m164a_autobaud_uart1_dual_ee_hw },
 {  76941, ur_m164a_autobaud_uart1_dual_ce_hw },
 {  76942, ur_m164a_autobaud_uart1_dual_ee_ce_hw },
 {  76943, ur_m164a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  77028, ur_m164a_u1x8_uart0_noled },
 {  77029, ur_m164a_u1x8_uart0_noled },
 {  77030, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  77031, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  77032, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  77033, ur_m164a_u1x8_uart0_noled_pr_ce },
 {  77034, ur_m164a_u1x8_uart0_noled_pr_ce_u4 },
 {  77035, ur_m164a_u1x8_uart0_noled_pr_ee_ce },
 {  77036, ur_m164a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  77037, ur_m168_u1x8_uart0_noled_hw },
 {  77038, ur_m168_u1x8_uart0_noled_ee_hw },
 {  77039, ur_m168_u1x8_uart0_noled_ce_hw },
 {  77040, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  77041, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 {  77042, ur_m164a_u1x8_uart0_lednop },
 {  77043, ur_m164a_u1x8_uart0_lednop },
 {  77044, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  77045, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  77046, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  77047, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  77048, ur_m164a_u1x8_uart0_lednop_pr_ce },
 {  77049, ur_m164a_u1x8_uart0_lednop_pr_ee_ce },
 {  77050, ur_m164a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  77051, ur_m168_u1x8_uart0_lednop_hw },
 {  77052, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  77053, ur_m168_u1x8_uart0_lednop_ce_hw },
 {  77054, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  77055, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 {  77056, ur_m164a_u1x8_uart0_dual },
 {  77057, ur_m164a_u1x8_uart0_dual },
 {  77058, ur_m164a_u1x8_uart0_dual_pr_u4 },
 {  77059, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  77060, ur_m164a_u1x8_uart0_dual_pr_ee },
 {  77061, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  77062, ur_m164a_u1x8_uart0_dual_pr_ce },
 {  77063, ur_m164a_u1x8_uart0_dual_pr_ee_ce },
 {  77064, ur_m164a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  77065, ur_m164a_u1x8_uart0_dual_hw },
 {  77066, ur_m164a_u1x8_uart0_dual_ee_hw },
 {  77067, ur_m164a_u1x8_uart0_dual_ce_hw },
 {  77068, ur_m164a_u1x8_uart0_dual_ee_ce_hw },
 {  77069, ur_m164a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  77112, ur_m164a_u1x8_uart1_noled },
 {  77113, ur_m164a_u1x8_uart1_noled },
 {  77114, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  77115, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  77116, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  77117, ur_m164a_u1x8_uart1_noled_pr_ce },
 {  77118, ur_m164a_u1x8_uart1_noled_pr_ce_u4 },
 {  77119, ur_m164a_u1x8_uart1_noled_pr_ee_ce },
 {  77120, ur_m164a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  77121, ur_m164a_u1x8_uart1_noled_hw },
 {  77122, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  77123, ur_m164a_u1x8_uart1_noled_ce_hw },
 {  77124, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  77125, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 {  77126, ur_m164a_u1x8_uart1_lednop },
 {  77127, ur_m164a_u1x8_uart1_lednop },
 {  77128, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  77129, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  77130, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  77131, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  77132, ur_m164a_u1x8_uart1_lednop_pr_ce },
 {  77133, ur_m164a_u1x8_uart1_lednop_pr_ee_ce },
 {  77134, ur_m164a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  77135, ur_m164a_u1x8_uart1_lednop_hw },
 {  77136, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  77137, ur_m164a_u1x8_uart1_lednop_ce_hw },
 {  77138, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  77139, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 {  77140, ur_m164a_u1x8_uart1_dual },
 {  77141, ur_m164a_u1x8_uart1_dual },
 {  77142, ur_m164a_u1x8_uart1_dual_pr_u4 },
 {  77143, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  77144, ur_m164a_u1x8_uart1_dual_pr_ee },
 {  77145, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  77146, ur_m164a_u1x8_uart1_dual_pr_ce },
 {  77147, ur_m164a_u1x8_uart1_dual_pr_ee_ce },
 {  77148, ur_m164a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  77149, ur_m164a_u1x8_uart1_dual_hw },
 {  77150, ur_m164a_u1x8_uart1_dual_ee_hw },
 {  77151, ur_m164a_u1x8_uart1_dual_ce_hw },
 {  77152, ur_m164a_u1x8_uart1_dual_ee_ce_hw },
 {  77153, ur_m164a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  77238, ur_m164a_u1x12_uart0_noled },
 {  77239, ur_m164a_u1x12_uart0_noled },
 {  77240, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  77241, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  77242, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  77243, ur_m164a_u1x12_uart0_noled_pr_ce },
 {  77244, ur_m164a_u1x12_uart0_noled_pr_ce_u4 },
 {  77245, ur_m164a_u1x12_uart0_noled_pr_ee_ce },
 {  77246, ur_m164a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  77247, ur_m168_u1x12_uart0_noled_hw },
 {  77248, ur_m168_u1x12_uart0_noled_ee_hw },
 {  77249, ur_m168_u1x12_uart0_noled_ce_hw },
 {  77250, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  77251, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 {  77252, ur_m164a_u1x12_uart0_lednop },
 {  77253, ur_m164a_u1x12_uart0_lednop },
 {  77254, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  77255, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  77256, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  77257, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  77258, ur_m164a_u1x12_uart0_lednop_pr_ce },
 {  77259, ur_m164a_u1x12_uart0_lednop_pr_ee_ce },
 {  77260, ur_m164a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  77261, ur_m168_u1x12_uart0_lednop_hw },
 {  77262, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  77263, ur_m168_u1x12_uart0_lednop_ce_hw },
 {  77264, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  77265, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 {  77266, ur_m164a_u1x12_uart0_dual },
 {  77267, ur_m164a_u1x12_uart0_dual },
 {  77268, ur_m164a_u1x12_uart0_dual_pr_u4 },
 {  77269, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  77270, ur_m164a_u1x12_uart0_dual_pr_ee },
 {  77271, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  77272, ur_m164a_u1x12_uart0_dual_pr_ce },
 {  77273, ur_m164a_u1x12_uart0_dual_pr_ee_ce },
 {  77274, ur_m164a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  77275, ur_m164a_u1x12_uart0_dual_hw },
 {  77276, ur_m164a_u1x12_uart0_dual_ee_hw },
 {  77277, ur_m164a_u1x12_uart0_dual_ce_hw },
 {  77278, ur_m164a_u1x12_uart0_dual_ee_ce_hw },
 {  77279, ur_m164a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  77322, ur_m164a_u1x12_uart1_noled },
 {  77323, ur_m164a_u1x12_uart1_noled },
 {  77324, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  77325, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  77326, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  77327, ur_m164a_u1x12_uart1_noled_pr_ce },
 {  77328, ur_m164a_u1x12_uart1_noled_pr_ce_u4 },
 {  77329, ur_m164a_u1x12_uart1_noled_pr_ee_ce },
 {  77330, ur_m164a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  77331, ur_m164a_u1x12_uart1_noled_hw },
 {  77332, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  77333, ur_m164a_u1x12_uart1_noled_ce_hw },
 {  77334, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  77335, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 {  77336, ur_m164a_u1x12_uart1_lednop },
 {  77337, ur_m164a_u1x12_uart1_lednop },
 {  77338, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  77339, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  77340, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  77341, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  77342, ur_m164a_u1x12_uart1_lednop_pr_ce },
 {  77343, ur_m164a_u1x12_uart1_lednop_pr_ee_ce },
 {  77344, ur_m164a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  77345, ur_m164a_u1x12_uart1_lednop_hw },
 {  77346, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  77347, ur_m164a_u1x12_uart1_lednop_ce_hw },
 {  77348, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  77349, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 {  77350, ur_m164a_u1x12_uart1_dual },
 {  77351, ur_m164a_u1x12_uart1_dual },
 {  77352, ur_m164a_u1x12_uart1_dual_pr_u4 },
 {  77353, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  77354, ur_m164a_u1x12_uart1_dual_pr_ee },
 {  77355, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  77356, ur_m164a_u1x12_uart1_dual_pr_ce },
 {  77357, ur_m164a_u1x12_uart1_dual_pr_ee_ce },
 {  77358, ur_m164a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  77359, ur_m164a_u1x12_uart1_dual_hw },
 {  77360, ur_m164a_u1x12_uart1_dual_ee_hw },
 {  77361, ur_m164a_u1x12_uart1_dual_ce_hw },
 {  77362, ur_m164a_u1x12_uart1_dual_ee_ce_hw },
 {  77363, ur_m164a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  77448, ur_m164a_u2x8_uart0_noled },
 {  77449, ur_m164a_u2x8_uart0_noled },
 {  77450, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  77451, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  77452, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  77453, ur_m164a_u2x8_uart0_noled_pr_ce },
 {  77454, ur_m164a_u2x8_uart0_noled_pr_ce_u4 },
 {  77455, ur_m164a_u2x8_uart0_noled_pr_ee_ce },
 {  77456, ur_m164a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  77457, ur_m168_u2x8_uart0_noled_hw },
 {  77458, ur_m168_u2x8_uart0_noled_ee_hw },
 {  77459, ur_m168_u2x8_uart0_noled_ce_hw },
 {  77460, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  77461, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 {  77462, ur_m164a_u2x8_uart0_lednop },
 {  77463, ur_m164a_u2x8_uart0_lednop },
 {  77464, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  77465, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  77466, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  77467, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  77468, ur_m164a_u2x8_uart0_lednop_pr_ce },
 {  77469, ur_m164a_u2x8_uart0_lednop_pr_ee_ce },
 {  77470, ur_m164a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  77471, ur_m168_u2x8_uart0_lednop_hw },
 {  77472, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  77473, ur_m168_u2x8_uart0_lednop_ce_hw },
 {  77474, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  77475, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 {  77476, ur_m164a_u2x8_uart0_dual },
 {  77477, ur_m164a_u2x8_uart0_dual },
 {  77478, ur_m164a_u2x8_uart0_dual_pr_u4 },
 {  77479, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  77480, ur_m164a_u2x8_uart0_dual_pr_ee },
 {  77481, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  77482, ur_m164a_u2x8_uart0_dual_pr_ce },
 {  77483, ur_m164a_u2x8_uart0_dual_pr_ee_ce },
 {  77484, ur_m164a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  77485, ur_m164a_u2x8_uart0_dual_hw },
 {  77486, ur_m164a_u2x8_uart0_dual_ee_hw },
 {  77487, ur_m164a_u2x8_uart0_dual_ce_hw },
 {  77488, ur_m164a_u2x8_uart0_dual_ee_ce_hw },
 {  77489, ur_m164a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  77532, ur_m164a_u2x8_uart1_noled },
 {  77533, ur_m164a_u2x8_uart1_noled },
 {  77534, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  77535, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  77536, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  77537, ur_m164a_u2x8_uart1_noled_pr_ce },
 {  77538, ur_m164a_u2x8_uart1_noled_pr_ce_u4 },
 {  77539, ur_m164a_u2x8_uart1_noled_pr_ee_ce },
 {  77540, ur_m164a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  77541, ur_m164a_u2x8_uart1_noled_hw },
 {  77542, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  77543, ur_m164a_u2x8_uart1_noled_ce_hw },
 {  77544, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  77545, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 {  77546, ur_m164a_u2x8_uart1_lednop },
 {  77547, ur_m164a_u2x8_uart1_lednop },
 {  77548, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  77549, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  77550, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  77551, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  77552, ur_m164a_u2x8_uart1_lednop_pr_ce },
 {  77553, ur_m164a_u2x8_uart1_lednop_pr_ee_ce },
 {  77554, ur_m164a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  77555, ur_m164a_u2x8_uart1_lednop_hw },
 {  77556, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  77557, ur_m164a_u2x8_uart1_lednop_ce_hw },
 {  77558, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  77559, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 {  77560, ur_m164a_u2x8_uart1_dual },
 {  77561, ur_m164a_u2x8_uart1_dual },
 {  77562, ur_m164a_u2x8_uart1_dual_pr_u4 },
 {  77563, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  77564, ur_m164a_u2x8_uart1_dual_pr_ee },
 {  77565, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  77566, ur_m164a_u2x8_uart1_dual_pr_ce },
 {  77567, ur_m164a_u2x8_uart1_dual_pr_ee_ce },
 {  77568, ur_m164a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  77569, ur_m164a_u2x8_uart1_dual_hw },
 {  77570, ur_m164a_u2x8_uart1_dual_ee_hw },
 {  77571, ur_m164a_u2x8_uart1_dual_ce_hw },
 {  77572, ur_m164a_u2x8_uart1_dual_ee_ce_hw },
 {  77573, ur_m164a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  77658, ur_m164a_u2x12_uart0_noled },
 {  77659, ur_m164a_u2x12_uart0_noled },
 {  77660, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  77661, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  77662, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  77663, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  77664, ur_m164a_u2x12_uart0_noled_pr_ce },
 {  77665, ur_m164a_u2x12_uart0_noled_pr_ee_ce },
 {  77666, ur_m164a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  77667, ur_m168_u2x12_uart0_noled_hw },
 {  77668, ur_m168_u2x12_uart0_noled_ee_hw },
 {  77669, ur_m168_u2x12_uart0_noled_ce_hw },
 {  77670, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  77671, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 {  77672, ur_m164a_u2x12_uart0_lednop },
 {  77673, ur_m164a_u2x12_uart0_lednop },
 {  77674, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  77675, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  77676, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  77677, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  77678, ur_m164a_u2x12_uart0_lednop_pr_ce },
 {  77679, ur_m164a_u2x12_uart0_lednop_pr_ee_ce },
 {  77680, ur_m164a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  77681, ur_m168_u2x12_uart0_lednop_hw },
 {  77682, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  77683, ur_m168_u2x12_uart0_lednop_ce_hw },
 {  77684, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  77685, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 {  77686, ur_m164a_u2x12_uart0_dual },
 {  77687, ur_m164a_u2x12_uart0_dual_pr },
 {  77688, ur_m164a_u2x12_uart0_dual_pr },
 {  77689, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  77690, ur_m164a_u2x12_uart0_dual_pr_ee },
 {  77691, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  77692, ur_m164a_u2x12_uart0_dual_pr_ce },
 {  77693, ur_m164a_u2x12_uart0_dual_pr_ee_ce },
 {  77694, ur_m164a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  77695, ur_m164a_u2x12_uart0_dual_hw },
 {  77696, ur_m164a_u2x12_uart0_dual_ee_hw },
 {  77697, ur_m164a_u2x12_uart0_dual_ce_hw },
 {  77698, ur_m164a_u2x12_uart0_dual_ee_ce_hw },
 {  77699, ur_m164a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  77742, ur_m164a_u2x12_uart1_noled },
 {  77743, ur_m164a_u2x12_uart1_noled },
 {  77744, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  77745, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  77746, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  77747, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  77748, ur_m164a_u2x12_uart1_noled_pr_ce },
 {  77749, ur_m164a_u2x12_uart1_noled_pr_ee_ce },
 {  77750, ur_m164a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  77751, ur_m164a_u2x12_uart1_noled_hw },
 {  77752, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  77753, ur_m164a_u2x12_uart1_noled_ce_hw },
 {  77754, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  77755, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 {  77756, ur_m164a_u2x12_uart1_lednop },
 {  77757, ur_m164a_u2x12_uart1_lednop },
 {  77758, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  77759, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  77760, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  77761, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  77762, ur_m164a_u2x12_uart1_lednop_pr_ce },
 {  77763, ur_m164a_u2x12_uart1_lednop_pr_ee_ce },
 {  77764, ur_m164a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  77765, ur_m164a_u2x12_uart1_lednop_hw },
 {  77766, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  77767, ur_m164a_u2x12_uart1_lednop_ce_hw },
 {  77768, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  77769, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 {  77770, ur_m164a_u2x12_uart1_dual },
 {  77771, ur_m164a_u2x12_uart1_dual_pr },
 {  77772, ur_m164a_u2x12_uart1_dual_pr },
 {  77773, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  77774, ur_m164a_u2x12_uart1_dual_pr_ee },
 {  77775, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  77776, ur_m164a_u2x12_uart1_dual_pr_ce },
 {  77777, ur_m164a_u2x12_uart1_dual_pr_ee_ce },
 {  77778, ur_m164a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  77779, ur_m164a_u2x12_uart1_dual_hw },
 {  77780, ur_m164a_u2x12_uart1_dual_ee_hw },
 {  77781, ur_m164a_u2x12_uart1_dual_ce_hw },
 {  77782, ur_m164a_u2x12_uart1_dual_ee_ce_hw },
 {  77783, ur_m164a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  77868, ur_m164a_swio10_noled },
 {  77869, ur_m164a_swio10_noled },
 {  77870, ur_m164a_swio10_noled_pr_u4 },
 {  77871, ur_m164a_swio10_noled_pr_ee },
 {  77872, ur_m164a_swio10_noled_pr_ee },
 {  77873, ur_m164a_swio10_noled_pr_ce },
 {  77874, ur_m164a_swio10_noled_pr_ce },
 {  77875, ur_m164a_swio10_noled_pr_ee_ce },
 {  77876, ur_m164a_swio10_noled_pr_ee_ce_u4 },
 {  77877, ur_m168_swio10_noled_hw },
 {  77878, ur_m168_swio10_noled_ee_hw },
 {  77879, ur_m168_swio10_noled_ce_hw },
 {  77880, ur_m168_swio10_noled_ee_ce_hw },
 {  77881, ur_m168_swio10_noled_ee_ce_hw },
 {  77882, ur_m164a_swio10_lednop },
 {  77883, ur_m164a_swio10_lednop_pr },
 {  77884, ur_m164a_swio10_lednop_pr },
 {  77885, ur_m164a_swio10_lednop_pr_ee },
 {  77886, ur_m164a_swio10_lednop_pr_ee },
 {  77887, ur_m164a_swio10_lednop_pr_ce },
 {  77888, ur_m164a_swio10_lednop_pr_ce },
 {  77889, ur_m164a_swio10_lednop_pr_ee_ce },
 {  77890, ur_m164a_swio10_lednop_pr_ee_ce_u4 },
 {  77891, ur_m168_swio10_lednop_hw },
 {  77892, ur_m168_swio10_lednop_ee_hw },
 {  77893, ur_m168_swio10_lednop_ce_hw },
 {  77894, ur_m168_swio10_lednop_ee_ce_hw },
 {  77895, ur_m168_swio10_lednop_ee_ce_hw },
 {  77896, ur_m164a_swio10_dual },
 {  77897, ur_m164a_swio10_dual },
 {  77898, ur_m164a_swio10_dual },
 {  77899, ur_m164a_swio10_dual_pr_ee },
 {  77900, ur_m164a_swio10_dual_pr_ee_u4 },
 {  77901, ur_m164a_swio10_dual_pr_ce },
 {  77902, ur_m164a_swio10_dual_pr_ce },
 {  77903, ur_m164a_swio10_dual_pr_ee_ce },
 {  77904, ur_m164a_swio10_dual_pr_ee_ce_u4 },
 {  77905, ur_m164a_swio10_dual_hw },
 {  77906, ur_m164a_swio10_dual_ee_hw },
 {  77907, ur_m164a_swio10_dual_ce_hw },
 {  77908, ur_m164a_swio10_dual_ee_ce_hw },
 {  77909, ur_m164a_swio10_dual_ee_ce_u4_hw },
 {  77910, ur_m164a_swio11_noled },
 {  77911, ur_m164a_swio11_noled },
 {  77912, ur_m164a_swio11_noled_pr_u4 },
 {  77913, ur_m164a_swio11_noled_pr_ee },
 {  77914, ur_m164a_swio11_noled_pr_ee },
 {  77915, ur_m164a_swio11_noled_pr_ce },
 {  77916, ur_m164a_swio11_noled_pr_ce },
 {  77917, ur_m164a_swio11_noled_pr_ee_ce },
 {  77918, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  77919, ur_m168_swio11_noled_hw },
 {  77920, ur_m168_swio11_noled_ee_hw },
 {  77921, ur_m168_swio11_noled_ce_hw },
 {  77922, ur_m168_swio11_noled_ee_ce_hw },
 {  77923, ur_m168_swio11_noled_ee_ce_hw },
 {  77924, ur_m164a_swio11_lednop },
 {  77925, ur_m164a_swio11_lednop_pr },
 {  77926, ur_m164a_swio11_lednop_pr },
 {  77927, ur_m164a_swio11_lednop_pr_ee },
 {  77928, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  77929, ur_m164a_swio11_lednop_pr_ce },
 {  77930, ur_m164a_swio11_lednop_pr_ce },
 {  77931, ur_m164a_swio11_lednop_pr_ee_ce },
 {  77932, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  77933, ur_m168_swio11_lednop_hw },
 {  77934, ur_m168_swio11_lednop_ee_hw },
 {  77935, ur_m168_swio11_lednop_ce_hw },
 {  77936, ur_m168_swio11_lednop_ee_ce_hw },
 {  77937, ur_m168_swio11_lednop_ee_ce_hw },
 {  77938, ur_m164a_swio11_dual },
 {  77939, ur_m164a_swio11_dual },
 {  77940, ur_m164a_swio11_dual },
 {  77941, ur_m164a_swio11_dual_pr_ee },
 {  77942, ur_m164a_swio11_dual_pr_ee_u4 },
 {  77943, ur_m164a_swio11_dual_pr_ce },
 {  77944, ur_m164a_swio11_dual_pr_ce_u4 },
 {  77945, ur_m164a_swio11_dual_pr_ee_ce },
 {  77946, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  77947, ur_m164a_swio11_dual_hw },
 {  77948, ur_m164a_swio11_dual_ee_hw },
 {  77949, ur_m164a_swio11_dual_ce_hw },
 {  77950, ur_m164a_swio11_dual_ee_ce_hw },
 {  77951, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  77952, ur_m164a_swio11_noled },
 {  77953, ur_m164a_swio11_noled },
 {  77954, ur_m164a_swio11_noled_pr_u4 },
 {  77955, ur_m164a_swio11_noled_pr_ee },
 {  77956, ur_m164a_swio11_noled_pr_ee },
 {  77957, ur_m164a_swio11_noled_pr_ce },
 {  77958, ur_m164a_swio11_noled_pr_ce },
 {  77959, ur_m164a_swio11_noled_pr_ee_ce },
 {  77960, ur_m164a_swio11_noled_pr_ee_ce_u4 },
 {  77961, ur_m168_swio11_noled_hw },
 {  77962, ur_m168_swio11_noled_ee_hw },
 {  77963, ur_m168_swio11_noled_ce_hw },
 {  77964, ur_m168_swio11_noled_ee_ce_hw },
 {  77965, ur_m168_swio11_noled_ee_ce_hw },
 {  77966, ur_m164a_swio11_lednop },
 {  77967, ur_m164a_swio11_lednop_pr },
 {  77968, ur_m164a_swio11_lednop_pr },
 {  77969, ur_m164a_swio11_lednop_pr_ee },
 {  77970, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  77971, ur_m164a_swio11_lednop_pr_ce },
 {  77972, ur_m164a_swio11_lednop_pr_ce },
 {  77973, ur_m164a_swio11_lednop_pr_ee_ce },
 {  77974, ur_m164a_swio11_lednop_pr_ee_ce_u4 },
 {  77975, ur_m168_swio11_lednop_hw },
 {  77976, ur_m168_swio11_lednop_ee_hw },
 {  77977, ur_m168_swio11_lednop_ce_hw },
 {  77978, ur_m168_swio11_lednop_ee_ce_hw },
 {  77979, ur_m168_swio11_lednop_ee_ce_hw },
 {  77980, ur_m164a_swio11_dual },
 {  77981, ur_m164a_swio11_dual },
 {  77982, ur_m164a_swio11_dual },
 {  77983, ur_m164a_swio11_dual_pr_ee },
 {  77984, ur_m164a_swio11_dual_pr_ee_u4 },
 {  77985, ur_m164a_swio11_dual_pr_ce },
 {  77986, ur_m164a_swio11_dual_pr_ce_u4 },
 {  77987, ur_m164a_swio11_dual_pr_ee_ce },
 {  77988, ur_m164a_swio11_dual_pr_ee_ce_u4 },
 {  77989, ur_m164a_swio11_dual_hw },
 {  77990, ur_m164a_swio11_dual_ee_hw },
 {  77991, ur_m164a_swio11_dual_ce_hw },
 {  77992, ur_m164a_swio11_dual_ee_ce_hw },
 {  77993, ur_m164a_swio11_dual_ee_ce_u4_hw },
 {  77994, ur_m164a_swio13_noled },
 {  77995, ur_m164a_swio13_noled },
 {  77996, ur_m164a_swio13_noled_pr_u4 },
 {  77997, ur_m164a_swio13_noled_pr_ee },
 {  77998, ur_m164a_swio13_noled_pr_ee },
 {  77999, ur_m164a_swio13_noled_pr_ce },
 {  78000, ur_m164a_swio13_noled_pr_ce },
 {  78001, ur_m164a_swio13_noled_pr_ee_ce },
 {  78002, ur_m164a_swio13_noled_pr_ee_ce_u4 },
 {  78003, ur_m168_swio13_noled_hw },
 {  78004, ur_m168_swio13_noled_ee_hw },
 {  78005, ur_m168_swio13_noled_ce_hw },
 {  78006, ur_m168_swio13_noled_ee_ce_hw },
 {  78007, ur_m168_swio13_noled_ee_ce_hw },
 {  78008, ur_m164a_swio13_lednop },
 {  78009, ur_m164a_swio13_lednop_pr },
 {  78010, ur_m164a_swio13_lednop_pr },
 {  78011, ur_m164a_swio13_lednop_pr_ee },
 {  78012, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  78013, ur_m164a_swio13_lednop_pr_ce },
 {  78014, ur_m164a_swio13_lednop_pr_ce },
 {  78015, ur_m164a_swio13_lednop_pr_ee_ce },
 {  78016, ur_m164a_swio13_lednop_pr_ee_ce_u4 },
 {  78017, ur_m168_swio13_lednop_hw },
 {  78018, ur_m168_swio13_lednop_ee_hw },
 {  78019, ur_m168_swio13_lednop_ce_hw },
 {  78020, ur_m168_swio13_lednop_ee_ce_hw },
 {  78021, ur_m168_swio13_lednop_ee_ce_hw },
 {  78022, ur_m164a_swio13_dual },
 {  78023, ur_m164a_swio13_dual },
 {  78024, ur_m164a_swio13_dual },
 {  78025, ur_m164a_swio13_dual_pr_ee },
 {  78026, ur_m164a_swio13_dual_pr_ee_u4 },
 {  78027, ur_m164a_swio13_dual_pr_ce },
 {  78028, ur_m164a_swio13_dual_pr_ce_u4 },
 {  78029, ur_m164a_swio13_dual_pr_ee_ce },
 {  78030, ur_m164a_swio13_dual_pr_ee_ce_u4 },
 {  78031, ur_m164a_swio13_dual_hw },
 {  78032, ur_m164a_swio13_dual_ee_hw },
 {  78033, ur_m164a_swio13_dual_ce_hw },
 {  78034, ur_m164a_swio13_dual_ee_ce_hw },
 {  78035, ur_m164a_swio13_dual_ee_ce_u4_hw },
 {  78036, ur_m164a_swio14_noled },
 {  78037, ur_m164a_swio14_noled },
 {  78038, ur_m164a_swio14_noled_pr_u4 },
 {  78039, ur_m164a_swio14_noled_pr_ee },
 {  78040, ur_m164a_swio14_noled_pr_ee },
 {  78041, ur_m164a_swio14_noled_pr_ce },
 {  78042, ur_m164a_swio14_noled_pr_ce },
 {  78043, ur_m164a_swio14_noled_pr_ee_ce },
 {  78044, ur_m164a_swio14_noled_pr_ee_ce_u4 },
 {  78045, ur_m168_swio14_noled_hw },
 {  78046, ur_m168_swio14_noled_ee_hw },
 {  78047, ur_m168_swio14_noled_ce_hw },
 {  78048, ur_m168_swio14_noled_ee_ce_hw },
 {  78049, ur_m168_swio14_noled_ee_ce_hw },
 {  78050, ur_m164a_swio14_lednop },
 {  78051, ur_m164a_swio14_lednop_pr },
 {  78052, ur_m164a_swio14_lednop_pr },
 {  78053, ur_m164a_swio14_lednop_pr_ee },
 {  78054, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  78055, ur_m164a_swio14_lednop_pr_ce },
 {  78056, ur_m164a_swio14_lednop_pr_ce },
 {  78057, ur_m164a_swio14_lednop_pr_ee_ce },
 {  78058, ur_m164a_swio14_lednop_pr_ee_ce_u4 },
 {  78059, ur_m168_swio14_lednop_hw },
 {  78060, ur_m168_swio14_lednop_ee_hw },
 {  78061, ur_m168_swio14_lednop_ce_hw },
 {  78062, ur_m168_swio14_lednop_ee_ce_hw },
 {  78063, ur_m168_swio14_lednop_ee_ce_hw },
 {  78064, ur_m164a_swio14_dual },
 {  78065, ur_m164a_swio14_dual },
 {  78066, ur_m164a_swio14_dual },
 {  78067, ur_m164a_swio14_dual_pr_ee },
 {  78068, ur_m164a_swio14_dual_pr_ee_u4 },
 {  78069, ur_m164a_swio14_dual_pr_ce },
 {  78070, ur_m164a_swio14_dual_pr_ce_u4 },
 {  78071, ur_m164a_swio14_dual_pr_ee_ce },
 {  78072, ur_m164a_swio14_dual_pr_ee_ce_u4 },
 {  78073, ur_m164a_swio14_dual_hw },
 {  78074, ur_m164a_swio14_dual_ee_hw },
 {  78075, ur_m164a_swio14_dual_ce_hw },
 {  78076, ur_m164a_swio14_dual_ee_ce_hw },
 {  78077, ur_m164a_swio14_dual_ee_ce_u4_hw },
 {  78078, ur_m164a_swio15_noled },
 {  78079, ur_m164a_swio15_noled },
 {  78080, ur_m164a_swio15_noled_pr_u4 },
 {  78081, ur_m164a_swio15_noled_pr_ee },
 {  78082, ur_m164a_swio15_noled_pr_ee },
 {  78083, ur_m164a_swio15_noled_pr_ce },
 {  78084, ur_m164a_swio15_noled_pr_ce },
 {  78085, ur_m164a_swio15_noled_pr_ee_ce },
 {  78086, ur_m164a_swio15_noled_pr_ee_ce_u4 },
 {  78087, ur_m168_swio15_noled_hw },
 {  78088, ur_m168_swio15_noled_ee_hw },
 {  78089, ur_m168_swio15_noled_ce_hw },
 {  78090, ur_m168_swio15_noled_ee_ce_hw },
 {  78091, ur_m168_swio15_noled_ee_ce_hw },
 {  78092, ur_m164a_swio15_lednop },
 {  78093, ur_m164a_swio15_lednop_pr },
 {  78094, ur_m164a_swio15_lednop_pr },
 {  78095, ur_m164a_swio15_lednop_pr_ee },
 {  78096, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  78097, ur_m164a_swio15_lednop_pr_ce },
 {  78098, ur_m164a_swio15_lednop_pr_ce },
 {  78099, ur_m164a_swio15_lednop_pr_ee_ce },
 {  78100, ur_m164a_swio15_lednop_pr_ee_ce_u4 },
 {  78101, ur_m168_swio15_lednop_hw },
 {  78102, ur_m168_swio15_lednop_ee_hw },
 {  78103, ur_m168_swio15_lednop_ce_hw },
 {  78104, ur_m168_swio15_lednop_ee_ce_hw },
 {  78105, ur_m168_swio15_lednop_ee_ce_hw },
 {  78106, ur_m164a_swio15_dual },
 {  78107, ur_m164a_swio15_dual },
 {  78108, ur_m164a_swio15_dual },
 {  78109, ur_m164a_swio15_dual_pr_ee },
 {  78110, ur_m164a_swio15_dual_pr_ee_u4 },
 {  78111, ur_m164a_swio15_dual_pr_ce },
 {  78112, ur_m164a_swio15_dual_pr_ce_u4 },
 {  78113, ur_m164a_swio15_dual_pr_ee_ce },
 {  78114, ur_m164a_swio15_dual_pr_ee_ce_u4 },
 {  78115, ur_m164a_swio15_dual_hw },
 {  78116, ur_m164a_swio15_dual_ee_hw },
 {  78117, ur_m164a_swio15_dual_ce_hw },
 {  78118, ur_m164a_swio15_dual_ee_ce_hw },
 {  78119, ur_m164a_swio15_dual_ee_ce_u4_hw },
 {  78120, ur_m164a_autobaud_uart0_noled },
 {  78121, ur_m164a_autobaud_uart0_noled },
 {  78122, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  78123, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  78124, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  78125, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  78126, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  78127, ur_m324a_autobaud_uart0_noled_pr_ee_ce },
 {  78128, ur_m324a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  78130, ur_m168_autobaud_uart0_noled_ee_hw },
 {  78132, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  78133, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  78134, ur_m164a_autobaud_uart0_lednop },
 {  78135, ur_m164a_autobaud_uart0_lednop },
 {  78136, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  78137, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  78138, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  78139, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  78140, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  78141, ur_m324a_autobaud_uart0_lednop_pr_ee_ce },
 {  78142, ur_m324a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  78144, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  78146, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  78147, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  78148, ur_m324a_autobaud_uart0_dual },
 {  78149, ur_m324a_autobaud_uart0_dual_pr },
 {  78150, ur_m324a_autobaud_uart0_dual_pr },
 {  78151, ur_m324a_autobaud_uart0_dual_pr_ee },
 {  78152, ur_m324a_autobaud_uart0_dual_pr_ee_u4 },
 {  78153, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  78154, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  78155, ur_m324a_autobaud_uart0_dual_pr_ee_ce },
 {  78156, ur_m324a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  78158, ur_m324a_autobaud_uart0_dual_ee_hw },
 {  78160, ur_m324a_autobaud_uart0_dual_ee_ce_hw },
 {  78161, ur_m324a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  78204, ur_m164a_autobaud_uart1_noled },
 {  78205, ur_m164a_autobaud_uart1_noled },
 {  78206, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  78207, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  78208, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  78209, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  78210, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  78211, ur_m324a_autobaud_uart1_noled_pr_ee_ce },
 {  78212, ur_m324a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  78214, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  78216, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  78217, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  78218, ur_m164a_autobaud_uart1_lednop },
 {  78219, ur_m164a_autobaud_uart1_lednop },
 {  78220, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  78221, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  78222, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  78223, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  78224, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  78225, ur_m324a_autobaud_uart1_lednop_pr_ee_ce },
 {  78226, ur_m324a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  78228, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  78230, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  78231, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  78232, ur_m324a_autobaud_uart1_dual },
 {  78233, ur_m324a_autobaud_uart1_dual_pr },
 {  78234, ur_m324a_autobaud_uart1_dual_pr },
 {  78235, ur_m324a_autobaud_uart1_dual_pr_ee },
 {  78236, ur_m324a_autobaud_uart1_dual_pr_ee_u4 },
 {  78237, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  78238, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  78239, ur_m324a_autobaud_uart1_dual_pr_ee_ce },
 {  78240, ur_m324a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  78242, ur_m324a_autobaud_uart1_dual_ee_hw },
 {  78244, ur_m324a_autobaud_uart1_dual_ee_ce_hw },
 {  78245, ur_m324a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  78330, ur_m164a_u1x8_uart0_noled },
 {  78331, ur_m164a_u1x8_uart0_noled },
 {  78332, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  78333, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  78334, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  78335, ur_m324a_u1x8_uart0_noled_pr_ce },
 {  78336, ur_m324a_u1x8_uart0_noled_pr_ce_u4 },
 {  78337, ur_m324a_u1x8_uart0_noled_pr_ee_ce },
 {  78338, ur_m324a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  78340, ur_m168_u1x8_uart0_noled_ee_hw },
 {  78342, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  78343, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  78344, ur_m164a_u1x8_uart0_lednop },
 {  78345, ur_m164a_u1x8_uart0_lednop },
 {  78346, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  78347, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  78348, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  78349, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  78350, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  78351, ur_m324a_u1x8_uart0_lednop_pr_ee_ce },
 {  78352, ur_m324a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  78354, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  78356, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  78357, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  78358, ur_m324a_u1x8_uart0_dual },
 {  78359, ur_m324a_u1x8_uart0_dual },
 {  78360, ur_m324a_u1x8_uart0_dual_pr_u4 },
 {  78361, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  78362, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  78363, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  78364, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  78365, ur_m324a_u1x8_uart0_dual_pr_ee_ce },
 {  78366, ur_m324a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  78368, ur_m324a_u1x8_uart0_dual_ee_hw },
 {  78370, ur_m324a_u1x8_uart0_dual_ee_ce_hw },
 {  78371, ur_m324a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  78414, ur_m164a_u1x8_uart1_noled },
 {  78415, ur_m164a_u1x8_uart1_noled },
 {  78416, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  78417, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  78418, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  78419, ur_m324a_u1x8_uart1_noled_pr_ce },
 {  78420, ur_m324a_u1x8_uart1_noled_pr_ce_u4 },
 {  78421, ur_m324a_u1x8_uart1_noled_pr_ee_ce },
 {  78422, ur_m324a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  78424, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  78426, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  78427, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  78428, ur_m164a_u1x8_uart1_lednop },
 {  78429, ur_m164a_u1x8_uart1_lednop },
 {  78430, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  78431, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  78432, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  78433, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  78434, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  78435, ur_m324a_u1x8_uart1_lednop_pr_ee_ce },
 {  78436, ur_m324a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  78438, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  78440, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  78441, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  78442, ur_m324a_u1x8_uart1_dual },
 {  78443, ur_m324a_u1x8_uart1_dual },
 {  78444, ur_m324a_u1x8_uart1_dual_pr_u4 },
 {  78445, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  78446, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  78447, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  78448, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  78449, ur_m324a_u1x8_uart1_dual_pr_ee_ce },
 {  78450, ur_m324a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  78452, ur_m324a_u1x8_uart1_dual_ee_hw },
 {  78454, ur_m324a_u1x8_uart1_dual_ee_ce_hw },
 {  78455, ur_m324a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  78540, ur_m164a_u1x12_uart0_noled },
 {  78541, ur_m164a_u1x12_uart0_noled },
 {  78542, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  78543, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  78544, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  78545, ur_m324a_u1x12_uart0_noled_pr_ce },
 {  78546, ur_m324a_u1x12_uart0_noled_pr_ce_u4 },
 {  78547, ur_m324a_u1x12_uart0_noled_pr_ee_ce },
 {  78548, ur_m324a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  78550, ur_m168_u1x12_uart0_noled_ee_hw },
 {  78552, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  78553, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  78554, ur_m164a_u1x12_uart0_lednop },
 {  78555, ur_m164a_u1x12_uart0_lednop },
 {  78556, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  78557, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  78558, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  78559, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  78560, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  78561, ur_m324a_u1x12_uart0_lednop_pr_ee_ce },
 {  78562, ur_m324a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  78564, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  78566, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  78567, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  78568, ur_m324a_u1x12_uart0_dual },
 {  78569, ur_m324a_u1x12_uart0_dual },
 {  78570, ur_m324a_u1x12_uart0_dual_pr_u4 },
 {  78571, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  78572, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  78573, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  78574, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  78575, ur_m324a_u1x12_uart0_dual_pr_ee_ce },
 {  78576, ur_m324a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  78578, ur_m324a_u1x12_uart0_dual_ee_hw },
 {  78580, ur_m324a_u1x12_uart0_dual_ee_ce_hw },
 {  78581, ur_m324a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  78624, ur_m164a_u1x12_uart1_noled },
 {  78625, ur_m164a_u1x12_uart1_noled },
 {  78626, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  78627, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  78628, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  78629, ur_m324a_u1x12_uart1_noled_pr_ce },
 {  78630, ur_m324a_u1x12_uart1_noled_pr_ce_u4 },
 {  78631, ur_m324a_u1x12_uart1_noled_pr_ee_ce },
 {  78632, ur_m324a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  78634, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  78636, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  78637, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  78638, ur_m164a_u1x12_uart1_lednop },
 {  78639, ur_m164a_u1x12_uart1_lednop },
 {  78640, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  78641, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  78642, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  78643, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  78644, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  78645, ur_m324a_u1x12_uart1_lednop_pr_ee_ce },
 {  78646, ur_m324a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  78648, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  78650, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  78651, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  78652, ur_m324a_u1x12_uart1_dual },
 {  78653, ur_m324a_u1x12_uart1_dual },
 {  78654, ur_m324a_u1x12_uart1_dual_pr_u4 },
 {  78655, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  78656, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  78657, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  78658, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  78659, ur_m324a_u1x12_uart1_dual_pr_ee_ce },
 {  78660, ur_m324a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  78662, ur_m324a_u1x12_uart1_dual_ee_hw },
 {  78664, ur_m324a_u1x12_uart1_dual_ee_ce_hw },
 {  78665, ur_m324a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  78750, ur_m164a_u2x8_uart0_noled },
 {  78751, ur_m164a_u2x8_uart0_noled },
 {  78752, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  78753, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  78754, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  78755, ur_m324a_u2x8_uart0_noled_pr_ce },
 {  78756, ur_m324a_u2x8_uart0_noled_pr_ce_u4 },
 {  78757, ur_m324a_u2x8_uart0_noled_pr_ee_ce },
 {  78758, ur_m324a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  78760, ur_m168_u2x8_uart0_noled_ee_hw },
 {  78762, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  78763, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  78764, ur_m164a_u2x8_uart0_lednop },
 {  78765, ur_m164a_u2x8_uart0_lednop },
 {  78766, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  78767, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  78768, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  78769, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  78770, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  78771, ur_m324a_u2x8_uart0_lednop_pr_ee_ce },
 {  78772, ur_m324a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  78774, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  78776, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  78777, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  78778, ur_m324a_u2x8_uart0_dual },
 {  78779, ur_m324a_u2x8_uart0_dual },
 {  78780, ur_m324a_u2x8_uart0_dual_pr_u4 },
 {  78781, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  78782, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  78783, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  78784, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  78785, ur_m324a_u2x8_uart0_dual_pr_ee_ce },
 {  78786, ur_m324a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  78788, ur_m324a_u2x8_uart0_dual_ee_hw },
 {  78790, ur_m324a_u2x8_uart0_dual_ee_ce_hw },
 {  78791, ur_m324a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  78834, ur_m164a_u2x8_uart1_noled },
 {  78835, ur_m164a_u2x8_uart1_noled },
 {  78836, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  78837, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  78838, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  78839, ur_m324a_u2x8_uart1_noled_pr_ce },
 {  78840, ur_m324a_u2x8_uart1_noled_pr_ce_u4 },
 {  78841, ur_m324a_u2x8_uart1_noled_pr_ee_ce },
 {  78842, ur_m324a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  78844, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  78846, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  78847, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  78848, ur_m164a_u2x8_uart1_lednop },
 {  78849, ur_m164a_u2x8_uart1_lednop },
 {  78850, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  78851, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  78852, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  78853, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  78854, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  78855, ur_m324a_u2x8_uart1_lednop_pr_ee_ce },
 {  78856, ur_m324a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  78858, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  78860, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  78861, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  78862, ur_m324a_u2x8_uart1_dual },
 {  78863, ur_m324a_u2x8_uart1_dual },
 {  78864, ur_m324a_u2x8_uart1_dual_pr_u4 },
 {  78865, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  78866, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  78867, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  78868, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  78869, ur_m324a_u2x8_uart1_dual_pr_ee_ce },
 {  78870, ur_m324a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  78872, ur_m324a_u2x8_uart1_dual_ee_hw },
 {  78874, ur_m324a_u2x8_uart1_dual_ee_ce_hw },
 {  78875, ur_m324a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  78960, ur_m164a_u2x12_uart0_noled },
 {  78961, ur_m164a_u2x12_uart0_noled },
 {  78962, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  78963, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  78964, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  78965, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  78966, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  78967, ur_m324a_u2x12_uart0_noled_pr_ee_ce },
 {  78968, ur_m324a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  78970, ur_m168_u2x12_uart0_noled_ee_hw },
 {  78972, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  78973, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  78974, ur_m164a_u2x12_uart0_lednop },
 {  78975, ur_m164a_u2x12_uart0_lednop },
 {  78976, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  78977, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  78978, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  78979, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  78980, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  78981, ur_m324a_u2x12_uart0_lednop_pr_ee_ce },
 {  78982, ur_m324a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  78984, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  78986, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  78987, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  78988, ur_m324a_u2x12_uart0_dual },
 {  78989, ur_m324a_u2x12_uart0_dual_pr },
 {  78990, ur_m324a_u2x12_uart0_dual_pr },
 {  78991, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  78992, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  78993, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  78994, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  78995, ur_m324a_u2x12_uart0_dual_pr_ee_ce },
 {  78996, ur_m324a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  78998, ur_m324a_u2x12_uart0_dual_ee_hw },
 {  79000, ur_m324a_u2x12_uart0_dual_ee_ce_hw },
 {  79001, ur_m324a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  79044, ur_m164a_u2x12_uart1_noled },
 {  79045, ur_m164a_u2x12_uart1_noled },
 {  79046, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  79047, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  79048, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  79049, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  79050, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  79051, ur_m324a_u2x12_uart1_noled_pr_ee_ce },
 {  79052, ur_m324a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  79054, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  79056, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  79057, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  79058, ur_m164a_u2x12_uart1_lednop },
 {  79059, ur_m164a_u2x12_uart1_lednop },
 {  79060, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  79061, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  79062, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  79063, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  79064, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  79065, ur_m324a_u2x12_uart1_lednop_pr_ee_ce },
 {  79066, ur_m324a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  79068, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  79070, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  79071, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  79072, ur_m324a_u2x12_uart1_dual },
 {  79073, ur_m324a_u2x12_uart1_dual_pr },
 {  79074, ur_m324a_u2x12_uart1_dual_pr },
 {  79075, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  79076, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  79077, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  79078, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  79079, ur_m324a_u2x12_uart1_dual_pr_ee_ce },
 {  79080, ur_m324a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  79082, ur_m324a_u2x12_uart1_dual_ee_hw },
 {  79084, ur_m324a_u2x12_uart1_dual_ee_ce_hw },
 {  79085, ur_m324a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  79170, ur_m164a_swio10_noled },
 {  79171, ur_m164a_swio10_noled },
 {  79172, ur_m164a_swio10_noled_pr_u4 },
 {  79173, ur_m164a_swio10_noled_pr_ee },
 {  79174, ur_m164a_swio10_noled_pr_ee },
 {  79175, ur_m324a_swio10_noled_pr_ce },
 {  79176, ur_m324a_swio10_noled_pr_ce },
 {  79177, ur_m324a_swio10_noled_pr_ee_ce },
 {  79178, ur_m324a_swio10_noled_pr_ee_ce_u4 },
 {  79180, ur_m168_swio10_noled_ee_hw },
 {  79182, ur_m328_swio10_noled_ee_ce_hw },
 {  79183, ur_m328_swio10_noled_ee_ce_hw },
 {  79184, ur_m164a_swio10_lednop },
 {  79185, ur_m164a_swio10_lednop_pr },
 {  79186, ur_m164a_swio10_lednop_pr },
 {  79187, ur_m164a_swio10_lednop_pr_ee },
 {  79188, ur_m164a_swio10_lednop_pr_ee },
 {  79189, ur_m324a_swio10_lednop_pr_ce },
 {  79190, ur_m324a_swio10_lednop_pr_ce },
 {  79191, ur_m324a_swio10_lednop_pr_ee_ce },
 {  79192, ur_m324a_swio10_lednop_pr_ee_ce_u4 },
 {  79194, ur_m168_swio10_lednop_ee_hw },
 {  79196, ur_m328_swio10_lednop_ee_ce_hw },
 {  79197, ur_m328_swio10_lednop_ee_ce_hw },
 {  79198, ur_m324a_swio10_dual },
 {  79199, ur_m324a_swio10_dual },
 {  79200, ur_m324a_swio10_dual },
 {  79201, ur_m324a_swio10_dual_pr_ee },
 {  79202, ur_m324a_swio10_dual_pr_ee_u4 },
 {  79203, ur_m324a_swio10_dual_pr_ce },
 {  79204, ur_m324a_swio10_dual_pr_ce },
 {  79205, ur_m324a_swio10_dual_pr_ee_ce },
 {  79206, ur_m324a_swio10_dual_pr_ee_ce_u4 },
 {  79208, ur_m324a_swio10_dual_ee_hw },
 {  79210, ur_m324a_swio10_dual_ee_ce_hw },
 {  79211, ur_m324a_swio10_dual_ee_ce_u4_hw },
 {  79212, ur_m164a_swio11_noled },
 {  79213, ur_m164a_swio11_noled },
 {  79214, ur_m164a_swio11_noled_pr_u4 },
 {  79215, ur_m164a_swio11_noled_pr_ee },
 {  79216, ur_m164a_swio11_noled_pr_ee },
 {  79217, ur_m324a_swio11_noled_pr_ce },
 {  79218, ur_m324a_swio11_noled_pr_ce },
 {  79219, ur_m324a_swio11_noled_pr_ee_ce },
 {  79220, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  79222, ur_m168_swio11_noled_ee_hw },
 {  79224, ur_m328_swio11_noled_ee_ce_hw },
 {  79225, ur_m328_swio11_noled_ee_ce_hw },
 {  79226, ur_m164a_swio11_lednop },
 {  79227, ur_m164a_swio11_lednop_pr },
 {  79228, ur_m164a_swio11_lednop_pr },
 {  79229, ur_m164a_swio11_lednop_pr_ee },
 {  79230, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  79231, ur_m324a_swio11_lednop_pr_ce },
 {  79232, ur_m324a_swio11_lednop_pr_ce },
 {  79233, ur_m324a_swio11_lednop_pr_ee_ce },
 {  79234, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  79236, ur_m168_swio11_lednop_ee_hw },
 {  79238, ur_m328_swio11_lednop_ee_ce_hw },
 {  79239, ur_m328_swio11_lednop_ee_ce_hw },
 {  79240, ur_m324a_swio11_dual },
 {  79241, ur_m324a_swio11_dual },
 {  79242, ur_m324a_swio11_dual },
 {  79243, ur_m324a_swio11_dual_pr_ee },
 {  79244, ur_m324a_swio11_dual_pr_ee_u4 },
 {  79245, ur_m324a_swio11_dual_pr_ce },
 {  79246, ur_m324a_swio11_dual_pr_ce_u4 },
 {  79247, ur_m324a_swio11_dual_pr_ee_ce },
 {  79248, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  79250, ur_m324a_swio11_dual_ee_hw },
 {  79252, ur_m324a_swio11_dual_ee_ce_hw },
 {  79253, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  79254, ur_m164a_swio11_noled },
 {  79255, ur_m164a_swio11_noled },
 {  79256, ur_m164a_swio11_noled_pr_u4 },
 {  79257, ur_m164a_swio11_noled_pr_ee },
 {  79258, ur_m164a_swio11_noled_pr_ee },
 {  79259, ur_m324a_swio11_noled_pr_ce },
 {  79260, ur_m324a_swio11_noled_pr_ce },
 {  79261, ur_m324a_swio11_noled_pr_ee_ce },
 {  79262, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  79264, ur_m168_swio11_noled_ee_hw },
 {  79266, ur_m328_swio11_noled_ee_ce_hw },
 {  79267, ur_m328_swio11_noled_ee_ce_hw },
 {  79268, ur_m164a_swio11_lednop },
 {  79269, ur_m164a_swio11_lednop_pr },
 {  79270, ur_m164a_swio11_lednop_pr },
 {  79271, ur_m164a_swio11_lednop_pr_ee },
 {  79272, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  79273, ur_m324a_swio11_lednop_pr_ce },
 {  79274, ur_m324a_swio11_lednop_pr_ce },
 {  79275, ur_m324a_swio11_lednop_pr_ee_ce },
 {  79276, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  79278, ur_m168_swio11_lednop_ee_hw },
 {  79280, ur_m328_swio11_lednop_ee_ce_hw },
 {  79281, ur_m328_swio11_lednop_ee_ce_hw },
 {  79282, ur_m324a_swio11_dual },
 {  79283, ur_m324a_swio11_dual },
 {  79284, ur_m324a_swio11_dual },
 {  79285, ur_m324a_swio11_dual_pr_ee },
 {  79286, ur_m324a_swio11_dual_pr_ee_u4 },
 {  79287, ur_m324a_swio11_dual_pr_ce },
 {  79288, ur_m324a_swio11_dual_pr_ce_u4 },
 {  79289, ur_m324a_swio11_dual_pr_ee_ce },
 {  79290, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  79292, ur_m324a_swio11_dual_ee_hw },
 {  79294, ur_m324a_swio11_dual_ee_ce_hw },
 {  79295, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  79296, ur_m164a_swio13_noled },
 {  79297, ur_m164a_swio13_noled },
 {  79298, ur_m164a_swio13_noled_pr_u4 },
 {  79299, ur_m164a_swio13_noled_pr_ee },
 {  79300, ur_m164a_swio13_noled_pr_ee },
 {  79301, ur_m324a_swio13_noled_pr_ce },
 {  79302, ur_m324a_swio13_noled_pr_ce },
 {  79303, ur_m324a_swio13_noled_pr_ee_ce },
 {  79304, ur_m324a_swio13_noled_pr_ee_ce_u4 },
 {  79306, ur_m168_swio13_noled_ee_hw },
 {  79308, ur_m328_swio13_noled_ee_ce_hw },
 {  79309, ur_m328_swio13_noled_ee_ce_hw },
 {  79310, ur_m164a_swio13_lednop },
 {  79311, ur_m164a_swio13_lednop_pr },
 {  79312, ur_m164a_swio13_lednop_pr },
 {  79313, ur_m164a_swio13_lednop_pr_ee },
 {  79314, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  79315, ur_m324a_swio13_lednop_pr_ce },
 {  79316, ur_m324a_swio13_lednop_pr_ce },
 {  79317, ur_m324a_swio13_lednop_pr_ee_ce },
 {  79318, ur_m324a_swio13_lednop_pr_ee_ce_u4 },
 {  79320, ur_m168_swio13_lednop_ee_hw },
 {  79322, ur_m328_swio13_lednop_ee_ce_hw },
 {  79323, ur_m328_swio13_lednop_ee_ce_hw },
 {  79324, ur_m324a_swio13_dual },
 {  79325, ur_m324a_swio13_dual },
 {  79326, ur_m324a_swio13_dual },
 {  79327, ur_m324a_swio13_dual_pr_ee },
 {  79328, ur_m324a_swio13_dual_pr_ee_u4 },
 {  79329, ur_m324a_swio13_dual_pr_ce },
 {  79330, ur_m324a_swio13_dual_pr_ce_u4 },
 {  79331, ur_m324a_swio13_dual_pr_ee_ce },
 {  79332, ur_m324a_swio13_dual_pr_ee_ce_u4 },
 {  79334, ur_m324a_swio13_dual_ee_hw },
 {  79336, ur_m324a_swio13_dual_ee_ce_hw },
 {  79337, ur_m324a_swio13_dual_ee_ce_u4_hw },
 {  79338, ur_m164a_swio14_noled },
 {  79339, ur_m164a_swio14_noled },
 {  79340, ur_m164a_swio14_noled_pr_u4 },
 {  79341, ur_m164a_swio14_noled_pr_ee },
 {  79342, ur_m164a_swio14_noled_pr_ee },
 {  79343, ur_m324a_swio14_noled_pr_ce },
 {  79344, ur_m324a_swio14_noled_pr_ce },
 {  79345, ur_m324a_swio14_noled_pr_ee_ce },
 {  79346, ur_m324a_swio14_noled_pr_ee_ce_u4 },
 {  79348, ur_m168_swio14_noled_ee_hw },
 {  79350, ur_m328_swio14_noled_ee_ce_hw },
 {  79351, ur_m328_swio14_noled_ee_ce_hw },
 {  79352, ur_m164a_swio14_lednop },
 {  79353, ur_m164a_swio14_lednop_pr },
 {  79354, ur_m164a_swio14_lednop_pr },
 {  79355, ur_m164a_swio14_lednop_pr_ee },
 {  79356, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  79357, ur_m324a_swio14_lednop_pr_ce },
 {  79358, ur_m324a_swio14_lednop_pr_ce },
 {  79359, ur_m324a_swio14_lednop_pr_ee_ce },
 {  79360, ur_m324a_swio14_lednop_pr_ee_ce_u4 },
 {  79362, ur_m168_swio14_lednop_ee_hw },
 {  79364, ur_m328_swio14_lednop_ee_ce_hw },
 {  79365, ur_m328_swio14_lednop_ee_ce_hw },
 {  79366, ur_m324a_swio14_dual },
 {  79367, ur_m324a_swio14_dual },
 {  79368, ur_m324a_swio14_dual },
 {  79369, ur_m324a_swio14_dual_pr_ee },
 {  79370, ur_m324a_swio14_dual_pr_ee_u4 },
 {  79371, ur_m324a_swio14_dual_pr_ce },
 {  79372, ur_m324a_swio14_dual_pr_ce_u4 },
 {  79373, ur_m324a_swio14_dual_pr_ee_ce },
 {  79374, ur_m324a_swio14_dual_pr_ee_ce_u4 },
 {  79376, ur_m324a_swio14_dual_ee_hw },
 {  79378, ur_m324a_swio14_dual_ee_ce_hw },
 {  79379, ur_m324a_swio14_dual_ee_ce_u4_hw },
 {  79380, ur_m164a_swio15_noled },
 {  79381, ur_m164a_swio15_noled },
 {  79382, ur_m164a_swio15_noled_pr_u4 },
 {  79383, ur_m164a_swio15_noled_pr_ee },
 {  79384, ur_m164a_swio15_noled_pr_ee },
 {  79385, ur_m324a_swio15_noled_pr_ce },
 {  79386, ur_m324a_swio15_noled_pr_ce },
 {  79387, ur_m324a_swio15_noled_pr_ee_ce },
 {  79388, ur_m324a_swio15_noled_pr_ee_ce_u4 },
 {  79390, ur_m168_swio15_noled_ee_hw },
 {  79392, ur_m328_swio15_noled_ee_ce_hw },
 {  79393, ur_m328_swio15_noled_ee_ce_hw },
 {  79394, ur_m164a_swio15_lednop },
 {  79395, ur_m164a_swio15_lednop_pr },
 {  79396, ur_m164a_swio15_lednop_pr },
 {  79397, ur_m164a_swio15_lednop_pr_ee },
 {  79398, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  79399, ur_m324a_swio15_lednop_pr_ce },
 {  79400, ur_m324a_swio15_lednop_pr_ce },
 {  79401, ur_m324a_swio15_lednop_pr_ee_ce },
 {  79402, ur_m324a_swio15_lednop_pr_ee_ce_u4 },
 {  79404, ur_m168_swio15_lednop_ee_hw },
 {  79406, ur_m328_swio15_lednop_ee_ce_hw },
 {  79407, ur_m328_swio15_lednop_ee_ce_hw },
 {  79408, ur_m324a_swio15_dual },
 {  79409, ur_m324a_swio15_dual },
 {  79410, ur_m324a_swio15_dual },
 {  79411, ur_m324a_swio15_dual_pr_ee },
 {  79412, ur_m324a_swio15_dual_pr_ee_u4 },
 {  79413, ur_m324a_swio15_dual_pr_ce },
 {  79414, ur_m324a_swio15_dual_pr_ce_u4 },
 {  79415, ur_m324a_swio15_dual_pr_ee_ce },
 {  79416, ur_m324a_swio15_dual_pr_ee_ce_u4 },
 {  79418, ur_m324a_swio15_dual_ee_hw },
 {  79420, ur_m324a_swio15_dual_ee_ce_hw },
 {  79421, ur_m324a_swio15_dual_ee_ce_u4_hw },
 {  79422, ur_m164a_autobaud_uart0_noled },
 {  79423, ur_m164a_autobaud_uart0_noled },
 {  79424, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  79425, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  79426, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  79427, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  79428, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  79429, ur_m324a_autobaud_uart0_noled_pr_ee_ce },
 {  79430, ur_m324a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  79432, ur_m168_autobaud_uart0_noled_ee_hw },
 {  79434, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  79435, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  79436, ur_m164a_autobaud_uart0_lednop },
 {  79437, ur_m164a_autobaud_uart0_lednop },
 {  79438, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  79439, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  79440, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  79441, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  79442, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  79443, ur_m324a_autobaud_uart0_lednop_pr_ee_ce },
 {  79444, ur_m324a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  79446, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  79448, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  79449, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  79450, ur_m324a_autobaud_uart0_dual },
 {  79451, ur_m324a_autobaud_uart0_dual_pr },
 {  79452, ur_m324a_autobaud_uart0_dual_pr },
 {  79453, ur_m324a_autobaud_uart0_dual_pr_ee },
 {  79454, ur_m324a_autobaud_uart0_dual_pr_ee_u4 },
 {  79455, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  79456, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  79457, ur_m324a_autobaud_uart0_dual_pr_ee_ce },
 {  79458, ur_m324a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  79460, ur_m324a_autobaud_uart0_dual_ee_hw },
 {  79462, ur_m324a_autobaud_uart0_dual_ee_ce_hw },
 {  79463, ur_m324a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  79506, ur_m164a_autobaud_uart1_noled },
 {  79507, ur_m164a_autobaud_uart1_noled },
 {  79508, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  79509, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  79510, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  79511, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  79512, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  79513, ur_m324a_autobaud_uart1_noled_pr_ee_ce },
 {  79514, ur_m324a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  79516, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  79518, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  79519, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  79520, ur_m164a_autobaud_uart1_lednop },
 {  79521, ur_m164a_autobaud_uart1_lednop },
 {  79522, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  79523, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  79524, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  79525, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  79526, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  79527, ur_m324a_autobaud_uart1_lednop_pr_ee_ce },
 {  79528, ur_m324a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  79530, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  79532, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  79533, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  79534, ur_m324a_autobaud_uart1_dual },
 {  79535, ur_m324a_autobaud_uart1_dual_pr },
 {  79536, ur_m324a_autobaud_uart1_dual_pr },
 {  79537, ur_m324a_autobaud_uart1_dual_pr_ee },
 {  79538, ur_m324a_autobaud_uart1_dual_pr_ee_u4 },
 {  79539, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  79540, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  79541, ur_m324a_autobaud_uart1_dual_pr_ee_ce },
 {  79542, ur_m324a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  79544, ur_m324a_autobaud_uart1_dual_ee_hw },
 {  79546, ur_m324a_autobaud_uart1_dual_ee_ce_hw },
 {  79547, ur_m324a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  79632, ur_m164a_u1x8_uart0_noled },
 {  79633, ur_m164a_u1x8_uart0_noled },
 {  79634, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  79635, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  79636, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  79637, ur_m324a_u1x8_uart0_noled_pr_ce },
 {  79638, ur_m324a_u1x8_uart0_noled_pr_ce_u4 },
 {  79639, ur_m324a_u1x8_uart0_noled_pr_ee_ce },
 {  79640, ur_m324a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  79642, ur_m168_u1x8_uart0_noled_ee_hw },
 {  79644, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  79645, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  79646, ur_m164a_u1x8_uart0_lednop },
 {  79647, ur_m164a_u1x8_uart0_lednop },
 {  79648, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  79649, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  79650, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  79651, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  79652, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  79653, ur_m324a_u1x8_uart0_lednop_pr_ee_ce },
 {  79654, ur_m324a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  79656, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  79658, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  79659, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  79660, ur_m324a_u1x8_uart0_dual },
 {  79661, ur_m324a_u1x8_uart0_dual },
 {  79662, ur_m324a_u1x8_uart0_dual_pr_u4 },
 {  79663, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  79664, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  79665, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  79666, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  79667, ur_m324a_u1x8_uart0_dual_pr_ee_ce },
 {  79668, ur_m324a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  79670, ur_m324a_u1x8_uart0_dual_ee_hw },
 {  79672, ur_m324a_u1x8_uart0_dual_ee_ce_hw },
 {  79673, ur_m324a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  79716, ur_m164a_u1x8_uart1_noled },
 {  79717, ur_m164a_u1x8_uart1_noled },
 {  79718, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  79719, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  79720, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  79721, ur_m324a_u1x8_uart1_noled_pr_ce },
 {  79722, ur_m324a_u1x8_uart1_noled_pr_ce_u4 },
 {  79723, ur_m324a_u1x8_uart1_noled_pr_ee_ce },
 {  79724, ur_m324a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  79726, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  79728, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  79729, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  79730, ur_m164a_u1x8_uart1_lednop },
 {  79731, ur_m164a_u1x8_uart1_lednop },
 {  79732, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  79733, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  79734, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  79735, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  79736, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  79737, ur_m324a_u1x8_uart1_lednop_pr_ee_ce },
 {  79738, ur_m324a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  79740, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  79742, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  79743, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  79744, ur_m324a_u1x8_uart1_dual },
 {  79745, ur_m324a_u1x8_uart1_dual },
 {  79746, ur_m324a_u1x8_uart1_dual_pr_u4 },
 {  79747, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  79748, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  79749, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  79750, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  79751, ur_m324a_u1x8_uart1_dual_pr_ee_ce },
 {  79752, ur_m324a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  79754, ur_m324a_u1x8_uart1_dual_ee_hw },
 {  79756, ur_m324a_u1x8_uart1_dual_ee_ce_hw },
 {  79757, ur_m324a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  79842, ur_m164a_u1x12_uart0_noled },
 {  79843, ur_m164a_u1x12_uart0_noled },
 {  79844, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  79845, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  79846, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  79847, ur_m324a_u1x12_uart0_noled_pr_ce },
 {  79848, ur_m324a_u1x12_uart0_noled_pr_ce_u4 },
 {  79849, ur_m324a_u1x12_uart0_noled_pr_ee_ce },
 {  79850, ur_m324a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  79852, ur_m168_u1x12_uart0_noled_ee_hw },
 {  79854, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  79855, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  79856, ur_m164a_u1x12_uart0_lednop },
 {  79857, ur_m164a_u1x12_uart0_lednop },
 {  79858, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  79859, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  79860, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  79861, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  79862, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  79863, ur_m324a_u1x12_uart0_lednop_pr_ee_ce },
 {  79864, ur_m324a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  79866, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  79868, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  79869, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  79870, ur_m324a_u1x12_uart0_dual },
 {  79871, ur_m324a_u1x12_uart0_dual },
 {  79872, ur_m324a_u1x12_uart0_dual_pr_u4 },
 {  79873, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  79874, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  79875, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  79876, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  79877, ur_m324a_u1x12_uart0_dual_pr_ee_ce },
 {  79878, ur_m324a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  79880, ur_m324a_u1x12_uart0_dual_ee_hw },
 {  79882, ur_m324a_u1x12_uart0_dual_ee_ce_hw },
 {  79883, ur_m324a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  79926, ur_m164a_u1x12_uart1_noled },
 {  79927, ur_m164a_u1x12_uart1_noled },
 {  79928, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  79929, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  79930, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  79931, ur_m324a_u1x12_uart1_noled_pr_ce },
 {  79932, ur_m324a_u1x12_uart1_noled_pr_ce_u4 },
 {  79933, ur_m324a_u1x12_uart1_noled_pr_ee_ce },
 {  79934, ur_m324a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  79936, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  79938, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  79939, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  79940, ur_m164a_u1x12_uart1_lednop },
 {  79941, ur_m164a_u1x12_uart1_lednop },
 {  79942, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  79943, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  79944, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  79945, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  79946, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  79947, ur_m324a_u1x12_uart1_lednop_pr_ee_ce },
 {  79948, ur_m324a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  79950, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  79952, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  79953, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  79954, ur_m324a_u1x12_uart1_dual },
 {  79955, ur_m324a_u1x12_uart1_dual },
 {  79956, ur_m324a_u1x12_uart1_dual_pr_u4 },
 {  79957, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  79958, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  79959, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  79960, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  79961, ur_m324a_u1x12_uart1_dual_pr_ee_ce },
 {  79962, ur_m324a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  79964, ur_m324a_u1x12_uart1_dual_ee_hw },
 {  79966, ur_m324a_u1x12_uart1_dual_ee_ce_hw },
 {  79967, ur_m324a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  80052, ur_m164a_u2x8_uart0_noled },
 {  80053, ur_m164a_u2x8_uart0_noled },
 {  80054, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  80055, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  80056, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  80057, ur_m324a_u2x8_uart0_noled_pr_ce },
 {  80058, ur_m324a_u2x8_uart0_noled_pr_ce_u4 },
 {  80059, ur_m324a_u2x8_uart0_noled_pr_ee_ce },
 {  80060, ur_m324a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  80062, ur_m168_u2x8_uart0_noled_ee_hw },
 {  80064, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  80065, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  80066, ur_m164a_u2x8_uart0_lednop },
 {  80067, ur_m164a_u2x8_uart0_lednop },
 {  80068, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  80069, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  80070, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  80071, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  80072, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  80073, ur_m324a_u2x8_uart0_lednop_pr_ee_ce },
 {  80074, ur_m324a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  80076, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  80078, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  80079, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  80080, ur_m324a_u2x8_uart0_dual },
 {  80081, ur_m324a_u2x8_uart0_dual },
 {  80082, ur_m324a_u2x8_uart0_dual_pr_u4 },
 {  80083, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  80084, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  80085, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  80086, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  80087, ur_m324a_u2x8_uart0_dual_pr_ee_ce },
 {  80088, ur_m324a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  80090, ur_m324a_u2x8_uart0_dual_ee_hw },
 {  80092, ur_m324a_u2x8_uart0_dual_ee_ce_hw },
 {  80093, ur_m324a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  80136, ur_m164a_u2x8_uart1_noled },
 {  80137, ur_m164a_u2x8_uart1_noled },
 {  80138, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  80139, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  80140, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  80141, ur_m324a_u2x8_uart1_noled_pr_ce },
 {  80142, ur_m324a_u2x8_uart1_noled_pr_ce_u4 },
 {  80143, ur_m324a_u2x8_uart1_noled_pr_ee_ce },
 {  80144, ur_m324a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  80146, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  80148, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  80149, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  80150, ur_m164a_u2x8_uart1_lednop },
 {  80151, ur_m164a_u2x8_uart1_lednop },
 {  80152, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  80153, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  80154, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  80155, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  80156, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  80157, ur_m324a_u2x8_uart1_lednop_pr_ee_ce },
 {  80158, ur_m324a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  80160, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  80162, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  80163, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  80164, ur_m324a_u2x8_uart1_dual },
 {  80165, ur_m324a_u2x8_uart1_dual },
 {  80166, ur_m324a_u2x8_uart1_dual_pr_u4 },
 {  80167, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  80168, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  80169, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  80170, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  80171, ur_m324a_u2x8_uart1_dual_pr_ee_ce },
 {  80172, ur_m324a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  80174, ur_m324a_u2x8_uart1_dual_ee_hw },
 {  80176, ur_m324a_u2x8_uart1_dual_ee_ce_hw },
 {  80177, ur_m324a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  80262, ur_m164a_u2x12_uart0_noled },
 {  80263, ur_m164a_u2x12_uart0_noled },
 {  80264, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  80265, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  80266, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  80267, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  80268, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  80269, ur_m324a_u2x12_uart0_noled_pr_ee_ce },
 {  80270, ur_m324a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  80272, ur_m168_u2x12_uart0_noled_ee_hw },
 {  80274, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  80275, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  80276, ur_m164a_u2x12_uart0_lednop },
 {  80277, ur_m164a_u2x12_uart0_lednop },
 {  80278, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  80279, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  80280, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  80281, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  80282, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  80283, ur_m324a_u2x12_uart0_lednop_pr_ee_ce },
 {  80284, ur_m324a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  80286, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  80288, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  80289, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  80290, ur_m324a_u2x12_uart0_dual },
 {  80291, ur_m324a_u2x12_uart0_dual_pr },
 {  80292, ur_m324a_u2x12_uart0_dual_pr },
 {  80293, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  80294, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  80295, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  80296, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  80297, ur_m324a_u2x12_uart0_dual_pr_ee_ce },
 {  80298, ur_m324a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  80300, ur_m324a_u2x12_uart0_dual_ee_hw },
 {  80302, ur_m324a_u2x12_uart0_dual_ee_ce_hw },
 {  80303, ur_m324a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  80346, ur_m164a_u2x12_uart1_noled },
 {  80347, ur_m164a_u2x12_uart1_noled },
 {  80348, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  80349, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  80350, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  80351, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  80352, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  80353, ur_m324a_u2x12_uart1_noled_pr_ee_ce },
 {  80354, ur_m324a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  80356, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  80358, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  80359, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  80360, ur_m164a_u2x12_uart1_lednop },
 {  80361, ur_m164a_u2x12_uart1_lednop },
 {  80362, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  80363, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  80364, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  80365, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  80366, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  80367, ur_m324a_u2x12_uart1_lednop_pr_ee_ce },
 {  80368, ur_m324a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  80370, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  80372, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  80373, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  80374, ur_m324a_u2x12_uart1_dual },
 {  80375, ur_m324a_u2x12_uart1_dual_pr },
 {  80376, ur_m324a_u2x12_uart1_dual_pr },
 {  80377, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  80378, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  80379, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  80380, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  80381, ur_m324a_u2x12_uart1_dual_pr_ee_ce },
 {  80382, ur_m324a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  80384, ur_m324a_u2x12_uart1_dual_ee_hw },
 {  80386, ur_m324a_u2x12_uart1_dual_ee_ce_hw },
 {  80387, ur_m324a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  80472, ur_m164a_swio10_noled },
 {  80473, ur_m164a_swio10_noled },
 {  80474, ur_m164a_swio10_noled_pr_u4 },
 {  80475, ur_m164a_swio10_noled_pr_ee },
 {  80476, ur_m164a_swio10_noled_pr_ee },
 {  80477, ur_m324a_swio10_noled_pr_ce },
 {  80478, ur_m324a_swio10_noled_pr_ce },
 {  80479, ur_m324a_swio10_noled_pr_ee_ce },
 {  80480, ur_m324a_swio10_noled_pr_ee_ce_u4 },
 {  80482, ur_m168_swio10_noled_ee_hw },
 {  80484, ur_m328_swio10_noled_ee_ce_hw },
 {  80485, ur_m328_swio10_noled_ee_ce_hw },
 {  80486, ur_m164a_swio10_lednop },
 {  80487, ur_m164a_swio10_lednop_pr },
 {  80488, ur_m164a_swio10_lednop_pr },
 {  80489, ur_m164a_swio10_lednop_pr_ee },
 {  80490, ur_m164a_swio10_lednop_pr_ee },
 {  80491, ur_m324a_swio10_lednop_pr_ce },
 {  80492, ur_m324a_swio10_lednop_pr_ce },
 {  80493, ur_m324a_swio10_lednop_pr_ee_ce },
 {  80494, ur_m324a_swio10_lednop_pr_ee_ce_u4 },
 {  80496, ur_m168_swio10_lednop_ee_hw },
 {  80498, ur_m328_swio10_lednop_ee_ce_hw },
 {  80499, ur_m328_swio10_lednop_ee_ce_hw },
 {  80500, ur_m324a_swio10_dual },
 {  80501, ur_m324a_swio10_dual },
 {  80502, ur_m324a_swio10_dual },
 {  80503, ur_m324a_swio10_dual_pr_ee },
 {  80504, ur_m324a_swio10_dual_pr_ee_u4 },
 {  80505, ur_m324a_swio10_dual_pr_ce },
 {  80506, ur_m324a_swio10_dual_pr_ce },
 {  80507, ur_m324a_swio10_dual_pr_ee_ce },
 {  80508, ur_m324a_swio10_dual_pr_ee_ce_u4 },
 {  80510, ur_m324a_swio10_dual_ee_hw },
 {  80512, ur_m324a_swio10_dual_ee_ce_hw },
 {  80513, ur_m324a_swio10_dual_ee_ce_u4_hw },
 {  80514, ur_m164a_swio11_noled },
 {  80515, ur_m164a_swio11_noled },
 {  80516, ur_m164a_swio11_noled_pr_u4 },
 {  80517, ur_m164a_swio11_noled_pr_ee },
 {  80518, ur_m164a_swio11_noled_pr_ee },
 {  80519, ur_m324a_swio11_noled_pr_ce },
 {  80520, ur_m324a_swio11_noled_pr_ce },
 {  80521, ur_m324a_swio11_noled_pr_ee_ce },
 {  80522, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  80524, ur_m168_swio11_noled_ee_hw },
 {  80526, ur_m328_swio11_noled_ee_ce_hw },
 {  80527, ur_m328_swio11_noled_ee_ce_hw },
 {  80528, ur_m164a_swio11_lednop },
 {  80529, ur_m164a_swio11_lednop_pr },
 {  80530, ur_m164a_swio11_lednop_pr },
 {  80531, ur_m164a_swio11_lednop_pr_ee },
 {  80532, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  80533, ur_m324a_swio11_lednop_pr_ce },
 {  80534, ur_m324a_swio11_lednop_pr_ce },
 {  80535, ur_m324a_swio11_lednop_pr_ee_ce },
 {  80536, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  80538, ur_m168_swio11_lednop_ee_hw },
 {  80540, ur_m328_swio11_lednop_ee_ce_hw },
 {  80541, ur_m328_swio11_lednop_ee_ce_hw },
 {  80542, ur_m324a_swio11_dual },
 {  80543, ur_m324a_swio11_dual },
 {  80544, ur_m324a_swio11_dual },
 {  80545, ur_m324a_swio11_dual_pr_ee },
 {  80546, ur_m324a_swio11_dual_pr_ee_u4 },
 {  80547, ur_m324a_swio11_dual_pr_ce },
 {  80548, ur_m324a_swio11_dual_pr_ce_u4 },
 {  80549, ur_m324a_swio11_dual_pr_ee_ce },
 {  80550, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  80552, ur_m324a_swio11_dual_ee_hw },
 {  80554, ur_m324a_swio11_dual_ee_ce_hw },
 {  80555, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  80556, ur_m164a_swio11_noled },
 {  80557, ur_m164a_swio11_noled },
 {  80558, ur_m164a_swio11_noled_pr_u4 },
 {  80559, ur_m164a_swio11_noled_pr_ee },
 {  80560, ur_m164a_swio11_noled_pr_ee },
 {  80561, ur_m324a_swio11_noled_pr_ce },
 {  80562, ur_m324a_swio11_noled_pr_ce },
 {  80563, ur_m324a_swio11_noled_pr_ee_ce },
 {  80564, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  80566, ur_m168_swio11_noled_ee_hw },
 {  80568, ur_m328_swio11_noled_ee_ce_hw },
 {  80569, ur_m328_swio11_noled_ee_ce_hw },
 {  80570, ur_m164a_swio11_lednop },
 {  80571, ur_m164a_swio11_lednop_pr },
 {  80572, ur_m164a_swio11_lednop_pr },
 {  80573, ur_m164a_swio11_lednop_pr_ee },
 {  80574, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  80575, ur_m324a_swio11_lednop_pr_ce },
 {  80576, ur_m324a_swio11_lednop_pr_ce },
 {  80577, ur_m324a_swio11_lednop_pr_ee_ce },
 {  80578, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  80580, ur_m168_swio11_lednop_ee_hw },
 {  80582, ur_m328_swio11_lednop_ee_ce_hw },
 {  80583, ur_m328_swio11_lednop_ee_ce_hw },
 {  80584, ur_m324a_swio11_dual },
 {  80585, ur_m324a_swio11_dual },
 {  80586, ur_m324a_swio11_dual },
 {  80587, ur_m324a_swio11_dual_pr_ee },
 {  80588, ur_m324a_swio11_dual_pr_ee_u4 },
 {  80589, ur_m324a_swio11_dual_pr_ce },
 {  80590, ur_m324a_swio11_dual_pr_ce_u4 },
 {  80591, ur_m324a_swio11_dual_pr_ee_ce },
 {  80592, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  80594, ur_m324a_swio11_dual_ee_hw },
 {  80596, ur_m324a_swio11_dual_ee_ce_hw },
 {  80597, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  80598, ur_m164a_swio13_noled },
 {  80599, ur_m164a_swio13_noled },
 {  80600, ur_m164a_swio13_noled_pr_u4 },
 {  80601, ur_m164a_swio13_noled_pr_ee },
 {  80602, ur_m164a_swio13_noled_pr_ee },
 {  80603, ur_m324a_swio13_noled_pr_ce },
 {  80604, ur_m324a_swio13_noled_pr_ce },
 {  80605, ur_m324a_swio13_noled_pr_ee_ce },
 {  80606, ur_m324a_swio13_noled_pr_ee_ce_u4 },
 {  80608, ur_m168_swio13_noled_ee_hw },
 {  80610, ur_m328_swio13_noled_ee_ce_hw },
 {  80611, ur_m328_swio13_noled_ee_ce_hw },
 {  80612, ur_m164a_swio13_lednop },
 {  80613, ur_m164a_swio13_lednop_pr },
 {  80614, ur_m164a_swio13_lednop_pr },
 {  80615, ur_m164a_swio13_lednop_pr_ee },
 {  80616, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  80617, ur_m324a_swio13_lednop_pr_ce },
 {  80618, ur_m324a_swio13_lednop_pr_ce },
 {  80619, ur_m324a_swio13_lednop_pr_ee_ce },
 {  80620, ur_m324a_swio13_lednop_pr_ee_ce_u4 },
 {  80622, ur_m168_swio13_lednop_ee_hw },
 {  80624, ur_m328_swio13_lednop_ee_ce_hw },
 {  80625, ur_m328_swio13_lednop_ee_ce_hw },
 {  80626, ur_m324a_swio13_dual },
 {  80627, ur_m324a_swio13_dual },
 {  80628, ur_m324a_swio13_dual },
 {  80629, ur_m324a_swio13_dual_pr_ee },
 {  80630, ur_m324a_swio13_dual_pr_ee_u4 },
 {  80631, ur_m324a_swio13_dual_pr_ce },
 {  80632, ur_m324a_swio13_dual_pr_ce_u4 },
 {  80633, ur_m324a_swio13_dual_pr_ee_ce },
 {  80634, ur_m324a_swio13_dual_pr_ee_ce_u4 },
 {  80636, ur_m324a_swio13_dual_ee_hw },
 {  80638, ur_m324a_swio13_dual_ee_ce_hw },
 {  80639, ur_m324a_swio13_dual_ee_ce_u4_hw },
 {  80640, ur_m164a_swio14_noled },
 {  80641, ur_m164a_swio14_noled },
 {  80642, ur_m164a_swio14_noled_pr_u4 },
 {  80643, ur_m164a_swio14_noled_pr_ee },
 {  80644, ur_m164a_swio14_noled_pr_ee },
 {  80645, ur_m324a_swio14_noled_pr_ce },
 {  80646, ur_m324a_swio14_noled_pr_ce },
 {  80647, ur_m324a_swio14_noled_pr_ee_ce },
 {  80648, ur_m324a_swio14_noled_pr_ee_ce_u4 },
 {  80650, ur_m168_swio14_noled_ee_hw },
 {  80652, ur_m328_swio14_noled_ee_ce_hw },
 {  80653, ur_m328_swio14_noled_ee_ce_hw },
 {  80654, ur_m164a_swio14_lednop },
 {  80655, ur_m164a_swio14_lednop_pr },
 {  80656, ur_m164a_swio14_lednop_pr },
 {  80657, ur_m164a_swio14_lednop_pr_ee },
 {  80658, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  80659, ur_m324a_swio14_lednop_pr_ce },
 {  80660, ur_m324a_swio14_lednop_pr_ce },
 {  80661, ur_m324a_swio14_lednop_pr_ee_ce },
 {  80662, ur_m324a_swio14_lednop_pr_ee_ce_u4 },
 {  80664, ur_m168_swio14_lednop_ee_hw },
 {  80666, ur_m328_swio14_lednop_ee_ce_hw },
 {  80667, ur_m328_swio14_lednop_ee_ce_hw },
 {  80668, ur_m324a_swio14_dual },
 {  80669, ur_m324a_swio14_dual },
 {  80670, ur_m324a_swio14_dual },
 {  80671, ur_m324a_swio14_dual_pr_ee },
 {  80672, ur_m324a_swio14_dual_pr_ee_u4 },
 {  80673, ur_m324a_swio14_dual_pr_ce },
 {  80674, ur_m324a_swio14_dual_pr_ce_u4 },
 {  80675, ur_m324a_swio14_dual_pr_ee_ce },
 {  80676, ur_m324a_swio14_dual_pr_ee_ce_u4 },
 {  80678, ur_m324a_swio14_dual_ee_hw },
 {  80680, ur_m324a_swio14_dual_ee_ce_hw },
 {  80681, ur_m324a_swio14_dual_ee_ce_u4_hw },
 {  80682, ur_m164a_swio15_noled },
 {  80683, ur_m164a_swio15_noled },
 {  80684, ur_m164a_swio15_noled_pr_u4 },
 {  80685, ur_m164a_swio15_noled_pr_ee },
 {  80686, ur_m164a_swio15_noled_pr_ee },
 {  80687, ur_m324a_swio15_noled_pr_ce },
 {  80688, ur_m324a_swio15_noled_pr_ce },
 {  80689, ur_m324a_swio15_noled_pr_ee_ce },
 {  80690, ur_m324a_swio15_noled_pr_ee_ce_u4 },
 {  80692, ur_m168_swio15_noled_ee_hw },
 {  80694, ur_m328_swio15_noled_ee_ce_hw },
 {  80695, ur_m328_swio15_noled_ee_ce_hw },
 {  80696, ur_m164a_swio15_lednop },
 {  80697, ur_m164a_swio15_lednop_pr },
 {  80698, ur_m164a_swio15_lednop_pr },
 {  80699, ur_m164a_swio15_lednop_pr_ee },
 {  80700, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  80701, ur_m324a_swio15_lednop_pr_ce },
 {  80702, ur_m324a_swio15_lednop_pr_ce },
 {  80703, ur_m324a_swio15_lednop_pr_ee_ce },
 {  80704, ur_m324a_swio15_lednop_pr_ee_ce_u4 },
 {  80706, ur_m168_swio15_lednop_ee_hw },
 {  80708, ur_m328_swio15_lednop_ee_ce_hw },
 {  80709, ur_m328_swio15_lednop_ee_ce_hw },
 {  80710, ur_m324a_swio15_dual },
 {  80711, ur_m324a_swio15_dual },
 {  80712, ur_m324a_swio15_dual },
 {  80713, ur_m324a_swio15_dual_pr_ee },
 {  80714, ur_m324a_swio15_dual_pr_ee_u4 },
 {  80715, ur_m324a_swio15_dual_pr_ce },
 {  80716, ur_m324a_swio15_dual_pr_ce_u4 },
 {  80717, ur_m324a_swio15_dual_pr_ee_ce },
 {  80718, ur_m324a_swio15_dual_pr_ee_ce_u4 },
 {  80720, ur_m324a_swio15_dual_ee_hw },
 {  80722, ur_m324a_swio15_dual_ee_ce_hw },
 {  80723, ur_m324a_swio15_dual_ee_ce_u4_hw },
 {  80724, ur_m164a_autobaud_uart0_noled },
 {  80725, ur_m164a_autobaud_uart0_noled },
 {  80726, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  80727, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  80728, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  80729, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  80730, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  80731, ur_m324a_autobaud_uart0_noled_pr_ee_ce },
 {  80732, ur_m324a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  80734, ur_m168_autobaud_uart0_noled_ee_hw },
 {  80736, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  80737, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  80738, ur_m164a_autobaud_uart0_lednop },
 {  80739, ur_m164a_autobaud_uart0_lednop },
 {  80740, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  80741, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  80742, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  80743, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  80744, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  80745, ur_m324a_autobaud_uart0_lednop_pr_ee_ce },
 {  80746, ur_m324a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  80748, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  80750, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  80751, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  80752, ur_m324a_autobaud_uart0_dual },
 {  80753, ur_m324a_autobaud_uart0_dual_pr },
 {  80754, ur_m324a_autobaud_uart0_dual_pr },
 {  80755, ur_m324a_autobaud_uart0_dual_pr_ee },
 {  80756, ur_m324a_autobaud_uart0_dual_pr_ee_u4 },
 {  80757, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  80758, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  80759, ur_m324a_autobaud_uart0_dual_pr_ee_ce },
 {  80760, ur_m324a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  80762, ur_m324a_autobaud_uart0_dual_ee_hw },
 {  80764, ur_m324a_autobaud_uart0_dual_ee_ce_hw },
 {  80765, ur_m324a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  80808, ur_m164a_autobaud_uart1_noled },
 {  80809, ur_m164a_autobaud_uart1_noled },
 {  80810, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  80811, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  80812, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  80813, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  80814, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  80815, ur_m324a_autobaud_uart1_noled_pr_ee_ce },
 {  80816, ur_m324a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  80818, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  80820, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  80821, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  80822, ur_m164a_autobaud_uart1_lednop },
 {  80823, ur_m164a_autobaud_uart1_lednop },
 {  80824, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  80825, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  80826, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  80827, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  80828, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  80829, ur_m324a_autobaud_uart1_lednop_pr_ee_ce },
 {  80830, ur_m324a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  80832, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  80834, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  80835, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  80836, ur_m324a_autobaud_uart1_dual },
 {  80837, ur_m324a_autobaud_uart1_dual_pr },
 {  80838, ur_m324a_autobaud_uart1_dual_pr },
 {  80839, ur_m324a_autobaud_uart1_dual_pr_ee },
 {  80840, ur_m324a_autobaud_uart1_dual_pr_ee_u4 },
 {  80841, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  80842, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  80843, ur_m324a_autobaud_uart1_dual_pr_ee_ce },
 {  80844, ur_m324a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  80846, ur_m324a_autobaud_uart1_dual_ee_hw },
 {  80848, ur_m324a_autobaud_uart1_dual_ee_ce_hw },
 {  80849, ur_m324a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  80934, ur_m164a_u1x8_uart0_noled },
 {  80935, ur_m164a_u1x8_uart0_noled },
 {  80936, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  80937, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  80938, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  80939, ur_m324a_u1x8_uart0_noled_pr_ce },
 {  80940, ur_m324a_u1x8_uart0_noled_pr_ce_u4 },
 {  80941, ur_m324a_u1x8_uart0_noled_pr_ee_ce },
 {  80942, ur_m324a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  80944, ur_m168_u1x8_uart0_noled_ee_hw },
 {  80946, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  80947, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  80948, ur_m164a_u1x8_uart0_lednop },
 {  80949, ur_m164a_u1x8_uart0_lednop },
 {  80950, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  80951, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  80952, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  80953, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  80954, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  80955, ur_m324a_u1x8_uart0_lednop_pr_ee_ce },
 {  80956, ur_m324a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  80958, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  80960, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  80961, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  80962, ur_m324a_u1x8_uart0_dual },
 {  80963, ur_m324a_u1x8_uart0_dual },
 {  80964, ur_m324a_u1x8_uart0_dual_pr_u4 },
 {  80965, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  80966, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  80967, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  80968, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  80969, ur_m324a_u1x8_uart0_dual_pr_ee_ce },
 {  80970, ur_m324a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  80972, ur_m324a_u1x8_uart0_dual_ee_hw },
 {  80974, ur_m324a_u1x8_uart0_dual_ee_ce_hw },
 {  80975, ur_m324a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  81018, ur_m164a_u1x8_uart1_noled },
 {  81019, ur_m164a_u1x8_uart1_noled },
 {  81020, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  81021, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  81022, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  81023, ur_m324a_u1x8_uart1_noled_pr_ce },
 {  81024, ur_m324a_u1x8_uart1_noled_pr_ce_u4 },
 {  81025, ur_m324a_u1x8_uart1_noled_pr_ee_ce },
 {  81026, ur_m324a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  81028, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  81030, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  81031, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  81032, ur_m164a_u1x8_uart1_lednop },
 {  81033, ur_m164a_u1x8_uart1_lednop },
 {  81034, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  81035, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  81036, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  81037, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  81038, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  81039, ur_m324a_u1x8_uart1_lednop_pr_ee_ce },
 {  81040, ur_m324a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  81042, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  81044, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  81045, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  81046, ur_m324a_u1x8_uart1_dual },
 {  81047, ur_m324a_u1x8_uart1_dual },
 {  81048, ur_m324a_u1x8_uart1_dual_pr_u4 },
 {  81049, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  81050, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  81051, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  81052, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  81053, ur_m324a_u1x8_uart1_dual_pr_ee_ce },
 {  81054, ur_m324a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  81056, ur_m324a_u1x8_uart1_dual_ee_hw },
 {  81058, ur_m324a_u1x8_uart1_dual_ee_ce_hw },
 {  81059, ur_m324a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  81144, ur_m164a_u1x12_uart0_noled },
 {  81145, ur_m164a_u1x12_uart0_noled },
 {  81146, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  81147, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  81148, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  81149, ur_m324a_u1x12_uart0_noled_pr_ce },
 {  81150, ur_m324a_u1x12_uart0_noled_pr_ce_u4 },
 {  81151, ur_m324a_u1x12_uart0_noled_pr_ee_ce },
 {  81152, ur_m324a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  81154, ur_m168_u1x12_uart0_noled_ee_hw },
 {  81156, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  81157, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  81158, ur_m164a_u1x12_uart0_lednop },
 {  81159, ur_m164a_u1x12_uart0_lednop },
 {  81160, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  81161, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  81162, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  81163, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  81164, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  81165, ur_m324a_u1x12_uart0_lednop_pr_ee_ce },
 {  81166, ur_m324a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  81168, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  81170, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  81171, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  81172, ur_m324a_u1x12_uart0_dual },
 {  81173, ur_m324a_u1x12_uart0_dual },
 {  81174, ur_m324a_u1x12_uart0_dual_pr_u4 },
 {  81175, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  81176, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  81177, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  81178, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  81179, ur_m324a_u1x12_uart0_dual_pr_ee_ce },
 {  81180, ur_m324a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  81182, ur_m324a_u1x12_uart0_dual_ee_hw },
 {  81184, ur_m324a_u1x12_uart0_dual_ee_ce_hw },
 {  81185, ur_m324a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  81228, ur_m164a_u1x12_uart1_noled },
 {  81229, ur_m164a_u1x12_uart1_noled },
 {  81230, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  81231, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  81232, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  81233, ur_m324a_u1x12_uart1_noled_pr_ce },
 {  81234, ur_m324a_u1x12_uart1_noled_pr_ce_u4 },
 {  81235, ur_m324a_u1x12_uart1_noled_pr_ee_ce },
 {  81236, ur_m324a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  81238, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  81240, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  81241, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  81242, ur_m164a_u1x12_uart1_lednop },
 {  81243, ur_m164a_u1x12_uart1_lednop },
 {  81244, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  81245, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  81246, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  81247, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  81248, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  81249, ur_m324a_u1x12_uart1_lednop_pr_ee_ce },
 {  81250, ur_m324a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  81252, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  81254, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  81255, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  81256, ur_m324a_u1x12_uart1_dual },
 {  81257, ur_m324a_u1x12_uart1_dual },
 {  81258, ur_m324a_u1x12_uart1_dual_pr_u4 },
 {  81259, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  81260, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  81261, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  81262, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  81263, ur_m324a_u1x12_uart1_dual_pr_ee_ce },
 {  81264, ur_m324a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  81266, ur_m324a_u1x12_uart1_dual_ee_hw },
 {  81268, ur_m324a_u1x12_uart1_dual_ee_ce_hw },
 {  81269, ur_m324a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  81354, ur_m164a_u2x8_uart0_noled },
 {  81355, ur_m164a_u2x8_uart0_noled },
 {  81356, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  81357, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  81358, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  81359, ur_m324a_u2x8_uart0_noled_pr_ce },
 {  81360, ur_m324a_u2x8_uart0_noled_pr_ce_u4 },
 {  81361, ur_m324a_u2x8_uart0_noled_pr_ee_ce },
 {  81362, ur_m324a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  81364, ur_m168_u2x8_uart0_noled_ee_hw },
 {  81366, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  81367, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  81368, ur_m164a_u2x8_uart0_lednop },
 {  81369, ur_m164a_u2x8_uart0_lednop },
 {  81370, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  81371, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  81372, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  81373, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  81374, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  81375, ur_m324a_u2x8_uart0_lednop_pr_ee_ce },
 {  81376, ur_m324a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  81378, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  81380, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  81381, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  81382, ur_m324a_u2x8_uart0_dual },
 {  81383, ur_m324a_u2x8_uart0_dual },
 {  81384, ur_m324a_u2x8_uart0_dual_pr_u4 },
 {  81385, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  81386, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  81387, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  81388, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  81389, ur_m324a_u2x8_uart0_dual_pr_ee_ce },
 {  81390, ur_m324a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  81392, ur_m324a_u2x8_uart0_dual_ee_hw },
 {  81394, ur_m324a_u2x8_uart0_dual_ee_ce_hw },
 {  81395, ur_m324a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  81438, ur_m164a_u2x8_uart1_noled },
 {  81439, ur_m164a_u2x8_uart1_noled },
 {  81440, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  81441, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  81442, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  81443, ur_m324a_u2x8_uart1_noled_pr_ce },
 {  81444, ur_m324a_u2x8_uart1_noled_pr_ce_u4 },
 {  81445, ur_m324a_u2x8_uart1_noled_pr_ee_ce },
 {  81446, ur_m324a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  81448, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  81450, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  81451, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  81452, ur_m164a_u2x8_uart1_lednop },
 {  81453, ur_m164a_u2x8_uart1_lednop },
 {  81454, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  81455, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  81456, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  81457, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  81458, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  81459, ur_m324a_u2x8_uart1_lednop_pr_ee_ce },
 {  81460, ur_m324a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  81462, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  81464, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  81465, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  81466, ur_m324a_u2x8_uart1_dual },
 {  81467, ur_m324a_u2x8_uart1_dual },
 {  81468, ur_m324a_u2x8_uart1_dual_pr_u4 },
 {  81469, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  81470, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  81471, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  81472, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  81473, ur_m324a_u2x8_uart1_dual_pr_ee_ce },
 {  81474, ur_m324a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  81476, ur_m324a_u2x8_uart1_dual_ee_hw },
 {  81478, ur_m324a_u2x8_uart1_dual_ee_ce_hw },
 {  81479, ur_m324a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  81564, ur_m164a_u2x12_uart0_noled },
 {  81565, ur_m164a_u2x12_uart0_noled },
 {  81566, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  81567, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  81568, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  81569, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  81570, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  81571, ur_m324a_u2x12_uart0_noled_pr_ee_ce },
 {  81572, ur_m324a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  81574, ur_m168_u2x12_uart0_noled_ee_hw },
 {  81576, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  81577, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  81578, ur_m164a_u2x12_uart0_lednop },
 {  81579, ur_m164a_u2x12_uart0_lednop },
 {  81580, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  81581, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  81582, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  81583, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  81584, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  81585, ur_m324a_u2x12_uart0_lednop_pr_ee_ce },
 {  81586, ur_m324a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  81588, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  81590, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  81591, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  81592, ur_m324a_u2x12_uart0_dual },
 {  81593, ur_m324a_u2x12_uart0_dual_pr },
 {  81594, ur_m324a_u2x12_uart0_dual_pr },
 {  81595, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  81596, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  81597, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  81598, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  81599, ur_m324a_u2x12_uart0_dual_pr_ee_ce },
 {  81600, ur_m324a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  81602, ur_m324a_u2x12_uart0_dual_ee_hw },
 {  81604, ur_m324a_u2x12_uart0_dual_ee_ce_hw },
 {  81605, ur_m324a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  81648, ur_m164a_u2x12_uart1_noled },
 {  81649, ur_m164a_u2x12_uart1_noled },
 {  81650, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  81651, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  81652, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  81653, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  81654, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  81655, ur_m324a_u2x12_uart1_noled_pr_ee_ce },
 {  81656, ur_m324a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  81658, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  81660, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  81661, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  81662, ur_m164a_u2x12_uart1_lednop },
 {  81663, ur_m164a_u2x12_uart1_lednop },
 {  81664, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  81665, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  81666, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  81667, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  81668, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  81669, ur_m324a_u2x12_uart1_lednop_pr_ee_ce },
 {  81670, ur_m324a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  81672, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  81674, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  81675, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  81676, ur_m324a_u2x12_uart1_dual },
 {  81677, ur_m324a_u2x12_uart1_dual_pr },
 {  81678, ur_m324a_u2x12_uart1_dual_pr },
 {  81679, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  81680, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  81681, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  81682, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  81683, ur_m324a_u2x12_uart1_dual_pr_ee_ce },
 {  81684, ur_m324a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  81686, ur_m324a_u2x12_uart1_dual_ee_hw },
 {  81688, ur_m324a_u2x12_uart1_dual_ee_ce_hw },
 {  81689, ur_m324a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  81774, ur_m164a_swio10_noled },
 {  81775, ur_m164a_swio10_noled },
 {  81776, ur_m164a_swio10_noled_pr_u4 },
 {  81777, ur_m164a_swio10_noled_pr_ee },
 {  81778, ur_m164a_swio10_noled_pr_ee },
 {  81779, ur_m324a_swio10_noled_pr_ce },
 {  81780, ur_m324a_swio10_noled_pr_ce },
 {  81781, ur_m324a_swio10_noled_pr_ee_ce },
 {  81782, ur_m324a_swio10_noled_pr_ee_ce_u4 },
 {  81784, ur_m168_swio10_noled_ee_hw },
 {  81786, ur_m328_swio10_noled_ee_ce_hw },
 {  81787, ur_m328_swio10_noled_ee_ce_hw },
 {  81788, ur_m164a_swio10_lednop },
 {  81789, ur_m164a_swio10_lednop_pr },
 {  81790, ur_m164a_swio10_lednop_pr },
 {  81791, ur_m164a_swio10_lednop_pr_ee },
 {  81792, ur_m164a_swio10_lednop_pr_ee },
 {  81793, ur_m324a_swio10_lednop_pr_ce },
 {  81794, ur_m324a_swio10_lednop_pr_ce },
 {  81795, ur_m324a_swio10_lednop_pr_ee_ce },
 {  81796, ur_m324a_swio10_lednop_pr_ee_ce_u4 },
 {  81798, ur_m168_swio10_lednop_ee_hw },
 {  81800, ur_m328_swio10_lednop_ee_ce_hw },
 {  81801, ur_m328_swio10_lednop_ee_ce_hw },
 {  81802, ur_m324a_swio10_dual },
 {  81803, ur_m324a_swio10_dual },
 {  81804, ur_m324a_swio10_dual },
 {  81805, ur_m324a_swio10_dual_pr_ee },
 {  81806, ur_m324a_swio10_dual_pr_ee_u4 },
 {  81807, ur_m324a_swio10_dual_pr_ce },
 {  81808, ur_m324a_swio10_dual_pr_ce },
 {  81809, ur_m324a_swio10_dual_pr_ee_ce },
 {  81810, ur_m324a_swio10_dual_pr_ee_ce_u4 },
 {  81812, ur_m324a_swio10_dual_ee_hw },
 {  81814, ur_m324a_swio10_dual_ee_ce_hw },
 {  81815, ur_m324a_swio10_dual_ee_ce_u4_hw },
 {  81816, ur_m164a_swio11_noled },
 {  81817, ur_m164a_swio11_noled },
 {  81818, ur_m164a_swio11_noled_pr_u4 },
 {  81819, ur_m164a_swio11_noled_pr_ee },
 {  81820, ur_m164a_swio11_noled_pr_ee },
 {  81821, ur_m324a_swio11_noled_pr_ce },
 {  81822, ur_m324a_swio11_noled_pr_ce },
 {  81823, ur_m324a_swio11_noled_pr_ee_ce },
 {  81824, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  81826, ur_m168_swio11_noled_ee_hw },
 {  81828, ur_m328_swio11_noled_ee_ce_hw },
 {  81829, ur_m328_swio11_noled_ee_ce_hw },
 {  81830, ur_m164a_swio11_lednop },
 {  81831, ur_m164a_swio11_lednop_pr },
 {  81832, ur_m164a_swio11_lednop_pr },
 {  81833, ur_m164a_swio11_lednop_pr_ee },
 {  81834, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  81835, ur_m324a_swio11_lednop_pr_ce },
 {  81836, ur_m324a_swio11_lednop_pr_ce },
 {  81837, ur_m324a_swio11_lednop_pr_ee_ce },
 {  81838, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  81840, ur_m168_swio11_lednop_ee_hw },
 {  81842, ur_m328_swio11_lednop_ee_ce_hw },
 {  81843, ur_m328_swio11_lednop_ee_ce_hw },
 {  81844, ur_m324a_swio11_dual },
 {  81845, ur_m324a_swio11_dual },
 {  81846, ur_m324a_swio11_dual },
 {  81847, ur_m324a_swio11_dual_pr_ee },
 {  81848, ur_m324a_swio11_dual_pr_ee_u4 },
 {  81849, ur_m324a_swio11_dual_pr_ce },
 {  81850, ur_m324a_swio11_dual_pr_ce_u4 },
 {  81851, ur_m324a_swio11_dual_pr_ee_ce },
 {  81852, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  81854, ur_m324a_swio11_dual_ee_hw },
 {  81856, ur_m324a_swio11_dual_ee_ce_hw },
 {  81857, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  81858, ur_m164a_swio11_noled },
 {  81859, ur_m164a_swio11_noled },
 {  81860, ur_m164a_swio11_noled_pr_u4 },
 {  81861, ur_m164a_swio11_noled_pr_ee },
 {  81862, ur_m164a_swio11_noled_pr_ee },
 {  81863, ur_m324a_swio11_noled_pr_ce },
 {  81864, ur_m324a_swio11_noled_pr_ce },
 {  81865, ur_m324a_swio11_noled_pr_ee_ce },
 {  81866, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  81868, ur_m168_swio11_noled_ee_hw },
 {  81870, ur_m328_swio11_noled_ee_ce_hw },
 {  81871, ur_m328_swio11_noled_ee_ce_hw },
 {  81872, ur_m164a_swio11_lednop },
 {  81873, ur_m164a_swio11_lednop_pr },
 {  81874, ur_m164a_swio11_lednop_pr },
 {  81875, ur_m164a_swio11_lednop_pr_ee },
 {  81876, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  81877, ur_m324a_swio11_lednop_pr_ce },
 {  81878, ur_m324a_swio11_lednop_pr_ce },
 {  81879, ur_m324a_swio11_lednop_pr_ee_ce },
 {  81880, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  81882, ur_m168_swio11_lednop_ee_hw },
 {  81884, ur_m328_swio11_lednop_ee_ce_hw },
 {  81885, ur_m328_swio11_lednop_ee_ce_hw },
 {  81886, ur_m324a_swio11_dual },
 {  81887, ur_m324a_swio11_dual },
 {  81888, ur_m324a_swio11_dual },
 {  81889, ur_m324a_swio11_dual_pr_ee },
 {  81890, ur_m324a_swio11_dual_pr_ee_u4 },
 {  81891, ur_m324a_swio11_dual_pr_ce },
 {  81892, ur_m324a_swio11_dual_pr_ce_u4 },
 {  81893, ur_m324a_swio11_dual_pr_ee_ce },
 {  81894, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  81896, ur_m324a_swio11_dual_ee_hw },
 {  81898, ur_m324a_swio11_dual_ee_ce_hw },
 {  81899, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  81900, ur_m164a_swio13_noled },
 {  81901, ur_m164a_swio13_noled },
 {  81902, ur_m164a_swio13_noled_pr_u4 },
 {  81903, ur_m164a_swio13_noled_pr_ee },
 {  81904, ur_m164a_swio13_noled_pr_ee },
 {  81905, ur_m324a_swio13_noled_pr_ce },
 {  81906, ur_m324a_swio13_noled_pr_ce },
 {  81907, ur_m324a_swio13_noled_pr_ee_ce },
 {  81908, ur_m324a_swio13_noled_pr_ee_ce_u4 },
 {  81910, ur_m168_swio13_noled_ee_hw },
 {  81912, ur_m328_swio13_noled_ee_ce_hw },
 {  81913, ur_m328_swio13_noled_ee_ce_hw },
 {  81914, ur_m164a_swio13_lednop },
 {  81915, ur_m164a_swio13_lednop_pr },
 {  81916, ur_m164a_swio13_lednop_pr },
 {  81917, ur_m164a_swio13_lednop_pr_ee },
 {  81918, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  81919, ur_m324a_swio13_lednop_pr_ce },
 {  81920, ur_m324a_swio13_lednop_pr_ce },
 {  81921, ur_m324a_swio13_lednop_pr_ee_ce },
 {  81922, ur_m324a_swio13_lednop_pr_ee_ce_u4 },
 {  81924, ur_m168_swio13_lednop_ee_hw },
 {  81926, ur_m328_swio13_lednop_ee_ce_hw },
 {  81927, ur_m328_swio13_lednop_ee_ce_hw },
 {  81928, ur_m324a_swio13_dual },
 {  81929, ur_m324a_swio13_dual },
 {  81930, ur_m324a_swio13_dual },
 {  81931, ur_m324a_swio13_dual_pr_ee },
 {  81932, ur_m324a_swio13_dual_pr_ee_u4 },
 {  81933, ur_m324a_swio13_dual_pr_ce },
 {  81934, ur_m324a_swio13_dual_pr_ce_u4 },
 {  81935, ur_m324a_swio13_dual_pr_ee_ce },
 {  81936, ur_m324a_swio13_dual_pr_ee_ce_u4 },
 {  81938, ur_m324a_swio13_dual_ee_hw },
 {  81940, ur_m324a_swio13_dual_ee_ce_hw },
 {  81941, ur_m324a_swio13_dual_ee_ce_u4_hw },
 {  81942, ur_m164a_swio14_noled },
 {  81943, ur_m164a_swio14_noled },
 {  81944, ur_m164a_swio14_noled_pr_u4 },
 {  81945, ur_m164a_swio14_noled_pr_ee },
 {  81946, ur_m164a_swio14_noled_pr_ee },
 {  81947, ur_m324a_swio14_noled_pr_ce },
 {  81948, ur_m324a_swio14_noled_pr_ce },
 {  81949, ur_m324a_swio14_noled_pr_ee_ce },
 {  81950, ur_m324a_swio14_noled_pr_ee_ce_u4 },
 {  81952, ur_m168_swio14_noled_ee_hw },
 {  81954, ur_m328_swio14_noled_ee_ce_hw },
 {  81955, ur_m328_swio14_noled_ee_ce_hw },
 {  81956, ur_m164a_swio14_lednop },
 {  81957, ur_m164a_swio14_lednop_pr },
 {  81958, ur_m164a_swio14_lednop_pr },
 {  81959, ur_m164a_swio14_lednop_pr_ee },
 {  81960, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  81961, ur_m324a_swio14_lednop_pr_ce },
 {  81962, ur_m324a_swio14_lednop_pr_ce },
 {  81963, ur_m324a_swio14_lednop_pr_ee_ce },
 {  81964, ur_m324a_swio14_lednop_pr_ee_ce_u4 },
 {  81966, ur_m168_swio14_lednop_ee_hw },
 {  81968, ur_m328_swio14_lednop_ee_ce_hw },
 {  81969, ur_m328_swio14_lednop_ee_ce_hw },
 {  81970, ur_m324a_swio14_dual },
 {  81971, ur_m324a_swio14_dual },
 {  81972, ur_m324a_swio14_dual },
 {  81973, ur_m324a_swio14_dual_pr_ee },
 {  81974, ur_m324a_swio14_dual_pr_ee_u4 },
 {  81975, ur_m324a_swio14_dual_pr_ce },
 {  81976, ur_m324a_swio14_dual_pr_ce_u4 },
 {  81977, ur_m324a_swio14_dual_pr_ee_ce },
 {  81978, ur_m324a_swio14_dual_pr_ee_ce_u4 },
 {  81980, ur_m324a_swio14_dual_ee_hw },
 {  81982, ur_m324a_swio14_dual_ee_ce_hw },
 {  81983, ur_m324a_swio14_dual_ee_ce_u4_hw },
 {  81984, ur_m164a_swio15_noled },
 {  81985, ur_m164a_swio15_noled },
 {  81986, ur_m164a_swio15_noled_pr_u4 },
 {  81987, ur_m164a_swio15_noled_pr_ee },
 {  81988, ur_m164a_swio15_noled_pr_ee },
 {  81989, ur_m324a_swio15_noled_pr_ce },
 {  81990, ur_m324a_swio15_noled_pr_ce },
 {  81991, ur_m324a_swio15_noled_pr_ee_ce },
 {  81992, ur_m324a_swio15_noled_pr_ee_ce_u4 },
 {  81994, ur_m168_swio15_noled_ee_hw },
 {  81996, ur_m328_swio15_noled_ee_ce_hw },
 {  81997, ur_m328_swio15_noled_ee_ce_hw },
 {  81998, ur_m164a_swio15_lednop },
 {  81999, ur_m164a_swio15_lednop_pr },
 {  82000, ur_m164a_swio15_lednop_pr },
 {  82001, ur_m164a_swio15_lednop_pr_ee },
 {  82002, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  82003, ur_m324a_swio15_lednop_pr_ce },
 {  82004, ur_m324a_swio15_lednop_pr_ce },
 {  82005, ur_m324a_swio15_lednop_pr_ee_ce },
 {  82006, ur_m324a_swio15_lednop_pr_ee_ce_u4 },
 {  82008, ur_m168_swio15_lednop_ee_hw },
 {  82010, ur_m328_swio15_lednop_ee_ce_hw },
 {  82011, ur_m328_swio15_lednop_ee_ce_hw },
 {  82012, ur_m324a_swio15_dual },
 {  82013, ur_m324a_swio15_dual },
 {  82014, ur_m324a_swio15_dual },
 {  82015, ur_m324a_swio15_dual_pr_ee },
 {  82016, ur_m324a_swio15_dual_pr_ee_u4 },
 {  82017, ur_m324a_swio15_dual_pr_ce },
 {  82018, ur_m324a_swio15_dual_pr_ce_u4 },
 {  82019, ur_m324a_swio15_dual_pr_ee_ce },
 {  82020, ur_m324a_swio15_dual_pr_ee_ce_u4 },
 {  82022, ur_m324a_swio15_dual_ee_hw },
 {  82024, ur_m324a_swio15_dual_ee_ce_hw },
 {  82025, ur_m324a_swio15_dual_ee_ce_u4_hw },
 {  82026, ur_m164a_autobaud_uart0_noled },
 {  82027, ur_m164a_autobaud_uart0_noled },
 {  82028, ur_m164a_autobaud_uart0_noled_pr_u4 },
 {  82029, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  82030, ur_m164a_autobaud_uart0_noled_pr_ee },
 {  82031, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  82032, ur_m324a_autobaud_uart0_noled_pr_ce },
 {  82033, ur_m324a_autobaud_uart0_noled_pr_ee_ce },
 {  82034, ur_m324a_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  82036, ur_m168_autobaud_uart0_noled_ee_hw },
 {  82038, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  82039, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 {  82040, ur_m164a_autobaud_uart0_lednop },
 {  82041, ur_m164a_autobaud_uart0_lednop },
 {  82042, ur_m164a_autobaud_uart0_lednop_pr_u4 },
 {  82043, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  82044, ur_m164a_autobaud_uart0_lednop_pr_ee },
 {  82045, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  82046, ur_m324a_autobaud_uart0_lednop_pr_ce },
 {  82047, ur_m324a_autobaud_uart0_lednop_pr_ee_ce },
 {  82048, ur_m324a_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  82050, ur_m168_autobaud_uart0_lednop_ee_hw },
 {  82052, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  82053, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 {  82054, ur_m324a_autobaud_uart0_dual },
 {  82055, ur_m324a_autobaud_uart0_dual_pr },
 {  82056, ur_m324a_autobaud_uart0_dual_pr },
 {  82057, ur_m324a_autobaud_uart0_dual_pr_ee },
 {  82058, ur_m324a_autobaud_uart0_dual_pr_ee_u4 },
 {  82059, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  82060, ur_m324a_autobaud_uart0_dual_pr_ce },
 {  82061, ur_m324a_autobaud_uart0_dual_pr_ee_ce },
 {  82062, ur_m324a_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  82064, ur_m324a_autobaud_uart0_dual_ee_hw },
 {  82066, ur_m324a_autobaud_uart0_dual_ee_ce_hw },
 {  82067, ur_m324a_autobaud_uart0_dual_ee_ce_u4_hw },
 {  82110, ur_m164a_autobaud_uart1_noled },
 {  82111, ur_m164a_autobaud_uart1_noled },
 {  82112, ur_m164a_autobaud_uart1_noled_pr_u4 },
 {  82113, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  82114, ur_m164a_autobaud_uart1_noled_pr_ee },
 {  82115, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  82116, ur_m324a_autobaud_uart1_noled_pr_ce },
 {  82117, ur_m324a_autobaud_uart1_noled_pr_ee_ce },
 {  82118, ur_m324a_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  82120, ur_m164a_autobaud_uart1_noled_ee_hw },
 {  82122, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  82123, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 {  82124, ur_m164a_autobaud_uart1_lednop },
 {  82125, ur_m164a_autobaud_uart1_lednop },
 {  82126, ur_m164a_autobaud_uart1_lednop_pr_u4 },
 {  82127, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  82128, ur_m164a_autobaud_uart1_lednop_pr_ee },
 {  82129, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  82130, ur_m324a_autobaud_uart1_lednop_pr_ce },
 {  82131, ur_m324a_autobaud_uart1_lednop_pr_ee_ce },
 {  82132, ur_m324a_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  82134, ur_m164a_autobaud_uart1_lednop_ee_hw },
 {  82136, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  82137, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 {  82138, ur_m324a_autobaud_uart1_dual },
 {  82139, ur_m324a_autobaud_uart1_dual_pr },
 {  82140, ur_m324a_autobaud_uart1_dual_pr },
 {  82141, ur_m324a_autobaud_uart1_dual_pr_ee },
 {  82142, ur_m324a_autobaud_uart1_dual_pr_ee_u4 },
 {  82143, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  82144, ur_m324a_autobaud_uart1_dual_pr_ce },
 {  82145, ur_m324a_autobaud_uart1_dual_pr_ee_ce },
 {  82146, ur_m324a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  82148, ur_m324a_autobaud_uart1_dual_ee_hw },
 {  82150, ur_m324a_autobaud_uart1_dual_ee_ce_hw },
 {  82151, ur_m324a_autobaud_uart1_dual_ee_ce_u4_hw },
 {  82152, ur_m324pb_autobaud_uart2_noled },
 {  82153, ur_m324pb_autobaud_uart2_noled },
 {  82154, ur_m324pb_autobaud_uart2_noled_pr_u4 },
 {  82155, ur_m324pb_autobaud_uart2_noled_pr_ee },
 {  82156, ur_m324pb_autobaud_uart2_noled_pr_ee },
 {  82157, ur_m324pb_autobaud_uart2_noled_pr_ce },
 {  82158, ur_m324pb_autobaud_uart2_noled_pr_ce },
 {  82159, ur_m324pb_autobaud_uart2_noled_pr_ee_ce },
 {  82160, ur_m324pb_autobaud_uart2_noled_pr_ee_ce_u4 },
 {  82162, ur_m324pb_autobaud_uart2_noled_ee_hw },
 {  82164, ur_m324pb_autobaud_uart2_noled_ee_ce_hw },
 {  82165, ur_m324pb_autobaud_uart2_noled_ee_ce_hw },
 {  82166, ur_m324pb_autobaud_uart2_lednop },
 {  82167, ur_m324pb_autobaud_uart2_lednop },
 {  82168, ur_m324pb_autobaud_uart2_lednop_pr_u4 },
 {  82169, ur_m324pb_autobaud_uart2_lednop_pr_ee },
 {  82170, ur_m324pb_autobaud_uart2_lednop_pr_ee },
 {  82171, ur_m324pb_autobaud_uart2_lednop_pr_ce },
 {  82172, ur_m324pb_autobaud_uart2_lednop_pr_ce },
 {  82173, ur_m324pb_autobaud_uart2_lednop_pr_ee_ce },
 {  82174, ur_m324pb_autobaud_uart2_lednop_pr_ee_ce_u4 },
 {  82176, ur_m324pb_autobaud_uart2_lednop_ee_hw },
 {  82178, ur_m324pb_autobaud_uart2_lednop_ee_ce_hw },
 {  82179, ur_m324pb_autobaud_uart2_lednop_ee_ce_hw },
 {  82180, ur_m324pb_autobaud_uart2_dual },
 {  82181, ur_m324pb_autobaud_uart2_dual_pr },
 {  82182, ur_m324pb_autobaud_uart2_dual_pr },
 {  82183, ur_m324pb_autobaud_uart2_dual_pr_ee },
 {  82184, ur_m324pb_autobaud_uart2_dual_pr_ee_u4 },
 {  82185, ur_m324pb_autobaud_uart2_dual_pr_ce },
 {  82186, ur_m324pb_autobaud_uart2_dual_pr_ce },
 {  82187, ur_m324pb_autobaud_uart2_dual_pr_ee_ce },
 {  82188, ur_m324pb_autobaud_uart2_dual_pr_ee_ce_u4 },
 {  82190, ur_m324pb_autobaud_uart2_dual_ee_hw },
 {  82192, ur_m324pb_autobaud_uart2_dual_ee_ce_hw },
 {  82193, ur_m324pb_autobaud_uart2_dual_ee_ce_u4_hw },
 {  82236, ur_m164a_u1x8_uart0_noled },
 {  82237, ur_m164a_u1x8_uart0_noled },
 {  82238, ur_m164a_u1x8_uart0_noled_pr_u4 },
 {  82239, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  82240, ur_m164a_u1x8_uart0_noled_pr_ee },
 {  82241, ur_m324a_u1x8_uart0_noled_pr_ce },
 {  82242, ur_m324a_u1x8_uart0_noled_pr_ce_u4 },
 {  82243, ur_m324a_u1x8_uart0_noled_pr_ee_ce },
 {  82244, ur_m324a_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  82246, ur_m168_u1x8_uart0_noled_ee_hw },
 {  82248, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  82249, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 {  82250, ur_m164a_u1x8_uart0_lednop },
 {  82251, ur_m164a_u1x8_uart0_lednop },
 {  82252, ur_m164a_u1x8_uart0_lednop_pr_u4 },
 {  82253, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  82254, ur_m164a_u1x8_uart0_lednop_pr_ee },
 {  82255, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  82256, ur_m324a_u1x8_uart0_lednop_pr_ce },
 {  82257, ur_m324a_u1x8_uart0_lednop_pr_ee_ce },
 {  82258, ur_m324a_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  82260, ur_m168_u1x8_uart0_lednop_ee_hw },
 {  82262, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  82263, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 {  82264, ur_m324a_u1x8_uart0_dual },
 {  82265, ur_m324a_u1x8_uart0_dual },
 {  82266, ur_m324a_u1x8_uart0_dual_pr_u4 },
 {  82267, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  82268, ur_m324a_u1x8_uart0_dual_pr_ee },
 {  82269, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  82270, ur_m324a_u1x8_uart0_dual_pr_ce },
 {  82271, ur_m324a_u1x8_uart0_dual_pr_ee_ce },
 {  82272, ur_m324a_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  82274, ur_m324a_u1x8_uart0_dual_ee_hw },
 {  82276, ur_m324a_u1x8_uart0_dual_ee_ce_hw },
 {  82277, ur_m324a_u1x8_uart0_dual_ee_ce_u4_hw },
 {  82320, ur_m164a_u1x8_uart1_noled },
 {  82321, ur_m164a_u1x8_uart1_noled },
 {  82322, ur_m164a_u1x8_uart1_noled_pr_u4 },
 {  82323, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  82324, ur_m164a_u1x8_uart1_noled_pr_ee },
 {  82325, ur_m324a_u1x8_uart1_noled_pr_ce },
 {  82326, ur_m324a_u1x8_uart1_noled_pr_ce_u4 },
 {  82327, ur_m324a_u1x8_uart1_noled_pr_ee_ce },
 {  82328, ur_m324a_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  82330, ur_m328pb_u1x8_uart1_noled_ee_hw },
 {  82332, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  82333, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 {  82334, ur_m164a_u1x8_uart1_lednop },
 {  82335, ur_m164a_u1x8_uart1_lednop },
 {  82336, ur_m164a_u1x8_uart1_lednop_pr_u4 },
 {  82337, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  82338, ur_m164a_u1x8_uart1_lednop_pr_ee },
 {  82339, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  82340, ur_m324a_u1x8_uart1_lednop_pr_ce },
 {  82341, ur_m324a_u1x8_uart1_lednop_pr_ee_ce },
 {  82342, ur_m324a_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  82344, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 {  82346, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  82347, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 {  82348, ur_m324a_u1x8_uart1_dual },
 {  82349, ur_m324a_u1x8_uart1_dual },
 {  82350, ur_m324a_u1x8_uart1_dual_pr_u4 },
 {  82351, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  82352, ur_m324a_u1x8_uart1_dual_pr_ee },
 {  82353, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  82354, ur_m324a_u1x8_uart1_dual_pr_ce },
 {  82355, ur_m324a_u1x8_uart1_dual_pr_ee_ce },
 {  82356, ur_m324a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  82358, ur_m324a_u1x8_uart1_dual_ee_hw },
 {  82360, ur_m324a_u1x8_uart1_dual_ee_ce_hw },
 {  82361, ur_m324a_u1x8_uart1_dual_ee_ce_u4_hw },
 {  82362, ur_m324pb_u1x8_uart2_noled },
 {  82363, ur_m324pb_u1x8_uart2_noled },
 {  82364, ur_m324pb_u1x8_uart2_noled_pr_u4 },
 {  82365, ur_m324pb_u1x8_uart2_noled_pr_ee },
 {  82366, ur_m324pb_u1x8_uart2_noled_pr_ee },
 {  82367, ur_m324pb_u1x8_uart2_noled_pr_ce },
 {  82368, ur_m324pb_u1x8_uart2_noled_pr_ce_u4 },
 {  82369, ur_m324pb_u1x8_uart2_noled_pr_ee_ce },
 {  82370, ur_m324pb_u1x8_uart2_noled_pr_ee_ce_u4 },
 {  82372, ur_m324pb_u1x8_uart2_noled_ee_hw },
 {  82374, ur_m324pb_u1x8_uart2_noled_ee_ce_hw },
 {  82375, ur_m324pb_u1x8_uart2_noled_ee_ce_hw },
 {  82376, ur_m324pb_u1x8_uart2_lednop },
 {  82377, ur_m324pb_u1x8_uart2_lednop },
 {  82378, ur_m324pb_u1x8_uart2_lednop_pr_u4 },
 {  82379, ur_m324pb_u1x8_uart2_lednop_pr_ee },
 {  82380, ur_m324pb_u1x8_uart2_lednop_pr_ee },
 {  82381, ur_m324pb_u1x8_uart2_lednop_pr_ce },
 {  82382, ur_m324pb_u1x8_uart2_lednop_pr_ce },
 {  82383, ur_m324pb_u1x8_uart2_lednop_pr_ee_ce },
 {  82384, ur_m324pb_u1x8_uart2_lednop_pr_ee_ce_u4 },
 {  82386, ur_m324pb_u1x8_uart2_lednop_ee_hw },
 {  82388, ur_m324pb_u1x8_uart2_lednop_ee_ce_hw },
 {  82389, ur_m324pb_u1x8_uart2_lednop_ee_ce_hw },
 {  82390, ur_m324pb_u1x8_uart2_dual },
 {  82391, ur_m324pb_u1x8_uart2_dual },
 {  82392, ur_m324pb_u1x8_uart2_dual_pr_u4 },
 {  82393, ur_m324pb_u1x8_uart2_dual_pr_ee },
 {  82394, ur_m324pb_u1x8_uart2_dual_pr_ee },
 {  82395, ur_m324pb_u1x8_uart2_dual_pr_ce },
 {  82396, ur_m324pb_u1x8_uart2_dual_pr_ce },
 {  82397, ur_m324pb_u1x8_uart2_dual_pr_ee_ce },
 {  82398, ur_m324pb_u1x8_uart2_dual_pr_ee_ce_u4 },
 {  82400, ur_m324pb_u1x8_uart2_dual_ee_hw },
 {  82402, ur_m324pb_u1x8_uart2_dual_ee_ce_hw },
 {  82403, ur_m324pb_u1x8_uart2_dual_ee_ce_u4_hw },
 {  82446, ur_m164a_u1x12_uart0_noled },
 {  82447, ur_m164a_u1x12_uart0_noled },
 {  82448, ur_m164a_u1x12_uart0_noled_pr_u4 },
 {  82449, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  82450, ur_m164a_u1x12_uart0_noled_pr_ee },
 {  82451, ur_m324a_u1x12_uart0_noled_pr_ce },
 {  82452, ur_m324a_u1x12_uart0_noled_pr_ce_u4 },
 {  82453, ur_m324a_u1x12_uart0_noled_pr_ee_ce },
 {  82454, ur_m324a_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  82456, ur_m168_u1x12_uart0_noled_ee_hw },
 {  82458, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  82459, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 {  82460, ur_m164a_u1x12_uart0_lednop },
 {  82461, ur_m164a_u1x12_uart0_lednop },
 {  82462, ur_m164a_u1x12_uart0_lednop_pr_u4 },
 {  82463, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  82464, ur_m164a_u1x12_uart0_lednop_pr_ee },
 {  82465, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  82466, ur_m324a_u1x12_uart0_lednop_pr_ce },
 {  82467, ur_m324a_u1x12_uart0_lednop_pr_ee_ce },
 {  82468, ur_m324a_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  82470, ur_m168_u1x12_uart0_lednop_ee_hw },
 {  82472, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  82473, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 {  82474, ur_m324a_u1x12_uart0_dual },
 {  82475, ur_m324a_u1x12_uart0_dual },
 {  82476, ur_m324a_u1x12_uart0_dual_pr_u4 },
 {  82477, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  82478, ur_m324a_u1x12_uart0_dual_pr_ee },
 {  82479, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  82480, ur_m324a_u1x12_uart0_dual_pr_ce },
 {  82481, ur_m324a_u1x12_uart0_dual_pr_ee_ce },
 {  82482, ur_m324a_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  82484, ur_m324a_u1x12_uart0_dual_ee_hw },
 {  82486, ur_m324a_u1x12_uart0_dual_ee_ce_hw },
 {  82487, ur_m324a_u1x12_uart0_dual_ee_ce_u4_hw },
 {  82530, ur_m164a_u1x12_uart1_noled },
 {  82531, ur_m164a_u1x12_uart1_noled },
 {  82532, ur_m164a_u1x12_uart1_noled_pr_u4 },
 {  82533, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  82534, ur_m164a_u1x12_uart1_noled_pr_ee },
 {  82535, ur_m324a_u1x12_uart1_noled_pr_ce },
 {  82536, ur_m324a_u1x12_uart1_noled_pr_ce_u4 },
 {  82537, ur_m324a_u1x12_uart1_noled_pr_ee_ce },
 {  82538, ur_m324a_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  82540, ur_m328pb_u1x12_uart1_noled_ee_hw },
 {  82542, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  82543, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 {  82544, ur_m164a_u1x12_uart1_lednop },
 {  82545, ur_m164a_u1x12_uart1_lednop },
 {  82546, ur_m164a_u1x12_uart1_lednop_pr_u4 },
 {  82547, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  82548, ur_m164a_u1x12_uart1_lednop_pr_ee },
 {  82549, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  82550, ur_m324a_u1x12_uart1_lednop_pr_ce },
 {  82551, ur_m324a_u1x12_uart1_lednop_pr_ee_ce },
 {  82552, ur_m324a_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  82554, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 {  82556, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  82557, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 {  82558, ur_m324a_u1x12_uart1_dual },
 {  82559, ur_m324a_u1x12_uart1_dual },
 {  82560, ur_m324a_u1x12_uart1_dual_pr_u4 },
 {  82561, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  82562, ur_m324a_u1x12_uart1_dual_pr_ee },
 {  82563, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  82564, ur_m324a_u1x12_uart1_dual_pr_ce },
 {  82565, ur_m324a_u1x12_uart1_dual_pr_ee_ce },
 {  82566, ur_m324a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  82568, ur_m324a_u1x12_uart1_dual_ee_hw },
 {  82570, ur_m324a_u1x12_uart1_dual_ee_ce_hw },
 {  82571, ur_m324a_u1x12_uart1_dual_ee_ce_u4_hw },
 {  82572, ur_m324pb_u1x12_uart2_noled },
 {  82573, ur_m324pb_u1x12_uart2_noled },
 {  82574, ur_m324pb_u1x12_uart2_noled_pr_u4 },
 {  82575, ur_m324pb_u1x12_uart2_noled_pr_ee },
 {  82576, ur_m324pb_u1x12_uart2_noled_pr_ee },
 {  82577, ur_m324pb_u1x12_uart2_noled_pr_ce },
 {  82578, ur_m324pb_u1x12_uart2_noled_pr_ce_u4 },
 {  82579, ur_m324pb_u1x12_uart2_noled_pr_ee_ce },
 {  82580, ur_m324pb_u1x12_uart2_noled_pr_ee_ce_u4 },
 {  82582, ur_m324pb_u1x12_uart2_noled_ee_hw },
 {  82584, ur_m324pb_u1x12_uart2_noled_ee_ce_hw },
 {  82585, ur_m324pb_u1x12_uart2_noled_ee_ce_hw },
 {  82586, ur_m324pb_u1x12_uart2_lednop },
 {  82587, ur_m324pb_u1x12_uart2_lednop },
 {  82588, ur_m324pb_u1x12_uart2_lednop_pr_u4 },
 {  82589, ur_m324pb_u1x12_uart2_lednop_pr_ee },
 {  82590, ur_m324pb_u1x12_uart2_lednop_pr_ee },
 {  82591, ur_m324pb_u1x12_uart2_lednop_pr_ce },
 {  82592, ur_m324pb_u1x12_uart2_lednop_pr_ce },
 {  82593, ur_m324pb_u1x12_uart2_lednop_pr_ee_ce },
 {  82594, ur_m324pb_u1x12_uart2_lednop_pr_ee_ce_u4 },
 {  82596, ur_m324pb_u1x12_uart2_lednop_ee_hw },
 {  82598, ur_m324pb_u1x12_uart2_lednop_ee_ce_hw },
 {  82599, ur_m324pb_u1x12_uart2_lednop_ee_ce_hw },
 {  82600, ur_m324pb_u1x12_uart2_dual },
 {  82601, ur_m324pb_u1x12_uart2_dual },
 {  82602, ur_m324pb_u1x12_uart2_dual_pr_u4 },
 {  82603, ur_m324pb_u1x12_uart2_dual_pr_ee },
 {  82604, ur_m324pb_u1x12_uart2_dual_pr_ee },
 {  82605, ur_m324pb_u1x12_uart2_dual_pr_ce },
 {  82606, ur_m324pb_u1x12_uart2_dual_pr_ce },
 {  82607, ur_m324pb_u1x12_uart2_dual_pr_ee_ce },
 {  82608, ur_m324pb_u1x12_uart2_dual_pr_ee_ce_u4 },
 {  82610, ur_m324pb_u1x12_uart2_dual_ee_hw },
 {  82612, ur_m324pb_u1x12_uart2_dual_ee_ce_hw },
 {  82613, ur_m324pb_u1x12_uart2_dual_ee_ce_u4_hw },
 {  82656, ur_m164a_u2x8_uart0_noled },
 {  82657, ur_m164a_u2x8_uart0_noled },
 {  82658, ur_m164a_u2x8_uart0_noled_pr_u4 },
 {  82659, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  82660, ur_m164a_u2x8_uart0_noled_pr_ee },
 {  82661, ur_m324a_u2x8_uart0_noled_pr_ce },
 {  82662, ur_m324a_u2x8_uart0_noled_pr_ce_u4 },
 {  82663, ur_m324a_u2x8_uart0_noled_pr_ee_ce },
 {  82664, ur_m324a_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  82666, ur_m168_u2x8_uart0_noled_ee_hw },
 {  82668, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  82669, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 {  82670, ur_m164a_u2x8_uart0_lednop },
 {  82671, ur_m164a_u2x8_uart0_lednop },
 {  82672, ur_m164a_u2x8_uart0_lednop_pr_u4 },
 {  82673, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  82674, ur_m164a_u2x8_uart0_lednop_pr_ee },
 {  82675, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  82676, ur_m324a_u2x8_uart0_lednop_pr_ce },
 {  82677, ur_m324a_u2x8_uart0_lednop_pr_ee_ce },
 {  82678, ur_m324a_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  82680, ur_m168_u2x8_uart0_lednop_ee_hw },
 {  82682, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  82683, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 {  82684, ur_m324a_u2x8_uart0_dual },
 {  82685, ur_m324a_u2x8_uart0_dual },
 {  82686, ur_m324a_u2x8_uart0_dual_pr_u4 },
 {  82687, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  82688, ur_m324a_u2x8_uart0_dual_pr_ee },
 {  82689, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  82690, ur_m324a_u2x8_uart0_dual_pr_ce },
 {  82691, ur_m324a_u2x8_uart0_dual_pr_ee_ce },
 {  82692, ur_m324a_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  82694, ur_m324a_u2x8_uart0_dual_ee_hw },
 {  82696, ur_m324a_u2x8_uart0_dual_ee_ce_hw },
 {  82697, ur_m324a_u2x8_uart0_dual_ee_ce_u4_hw },
 {  82740, ur_m164a_u2x8_uart1_noled },
 {  82741, ur_m164a_u2x8_uart1_noled },
 {  82742, ur_m164a_u2x8_uart1_noled_pr_u4 },
 {  82743, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  82744, ur_m164a_u2x8_uart1_noled_pr_ee },
 {  82745, ur_m324a_u2x8_uart1_noled_pr_ce },
 {  82746, ur_m324a_u2x8_uart1_noled_pr_ce_u4 },
 {  82747, ur_m324a_u2x8_uart1_noled_pr_ee_ce },
 {  82748, ur_m324a_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  82750, ur_m328pb_u2x8_uart1_noled_ee_hw },
 {  82752, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  82753, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 {  82754, ur_m164a_u2x8_uart1_lednop },
 {  82755, ur_m164a_u2x8_uart1_lednop },
 {  82756, ur_m164a_u2x8_uart1_lednop_pr_u4 },
 {  82757, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  82758, ur_m164a_u2x8_uart1_lednop_pr_ee },
 {  82759, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  82760, ur_m324a_u2x8_uart1_lednop_pr_ce },
 {  82761, ur_m324a_u2x8_uart1_lednop_pr_ee_ce },
 {  82762, ur_m324a_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  82764, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 {  82766, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  82767, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 {  82768, ur_m324a_u2x8_uart1_dual },
 {  82769, ur_m324a_u2x8_uart1_dual },
 {  82770, ur_m324a_u2x8_uart1_dual_pr_u4 },
 {  82771, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  82772, ur_m324a_u2x8_uart1_dual_pr_ee },
 {  82773, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  82774, ur_m324a_u2x8_uart1_dual_pr_ce },
 {  82775, ur_m324a_u2x8_uart1_dual_pr_ee_ce },
 {  82776, ur_m324a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  82778, ur_m324a_u2x8_uart1_dual_ee_hw },
 {  82780, ur_m324a_u2x8_uart1_dual_ee_ce_hw },
 {  82781, ur_m324a_u2x8_uart1_dual_ee_ce_u4_hw },
 {  82782, ur_m324pb_u2x8_uart2_noled },
 {  82783, ur_m324pb_u2x8_uart2_noled },
 {  82784, ur_m324pb_u2x8_uart2_noled_pr_u4 },
 {  82785, ur_m324pb_u2x8_uart2_noled_pr_ee },
 {  82786, ur_m324pb_u2x8_uart2_noled_pr_ee },
 {  82787, ur_m324pb_u2x8_uart2_noled_pr_ce },
 {  82788, ur_m324pb_u2x8_uart2_noled_pr_ce_u4 },
 {  82789, ur_m324pb_u2x8_uart2_noled_pr_ee_ce },
 {  82790, ur_m324pb_u2x8_uart2_noled_pr_ee_ce_u4 },
 {  82792, ur_m324pb_u2x8_uart2_noled_ee_hw },
 {  82794, ur_m324pb_u2x8_uart2_noled_ee_ce_hw },
 {  82795, ur_m324pb_u2x8_uart2_noled_ee_ce_hw },
 {  82796, ur_m324pb_u2x8_uart2_lednop },
 {  82797, ur_m324pb_u2x8_uart2_lednop },
 {  82798, ur_m324pb_u2x8_uart2_lednop_pr_u4 },
 {  82799, ur_m324pb_u2x8_uart2_lednop_pr_ee },
 {  82800, ur_m324pb_u2x8_uart2_lednop_pr_ee },
 {  82801, ur_m324pb_u2x8_uart2_lednop_pr_ce },
 {  82802, ur_m324pb_u2x8_uart2_lednop_pr_ce },
 {  82803, ur_m324pb_u2x8_uart2_lednop_pr_ee_ce },
 {  82804, ur_m324pb_u2x8_uart2_lednop_pr_ee_ce_u4 },
 {  82806, ur_m324pb_u2x8_uart2_lednop_ee_hw },
 {  82808, ur_m324pb_u2x8_uart2_lednop_ee_ce_hw },
 {  82809, ur_m324pb_u2x8_uart2_lednop_ee_ce_hw },
 {  82810, ur_m324pb_u2x8_uart2_dual },
 {  82811, ur_m324pb_u2x8_uart2_dual },
 {  82812, ur_m324pb_u2x8_uart2_dual_pr_u4 },
 {  82813, ur_m324pb_u2x8_uart2_dual_pr_ee },
 {  82814, ur_m324pb_u2x8_uart2_dual_pr_ee },
 {  82815, ur_m324pb_u2x8_uart2_dual_pr_ce },
 {  82816, ur_m324pb_u2x8_uart2_dual_pr_ce },
 {  82817, ur_m324pb_u2x8_uart2_dual_pr_ee_ce },
 {  82818, ur_m324pb_u2x8_uart2_dual_pr_ee_ce_u4 },
 {  82820, ur_m324pb_u2x8_uart2_dual_ee_hw },
 {  82822, ur_m324pb_u2x8_uart2_dual_ee_ce_hw },
 {  82823, ur_m324pb_u2x8_uart2_dual_ee_ce_u4_hw },
 {  82866, ur_m164a_u2x12_uart0_noled },
 {  82867, ur_m164a_u2x12_uart0_noled },
 {  82868, ur_m164a_u2x12_uart0_noled_pr_u4 },
 {  82869, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  82870, ur_m164a_u2x12_uart0_noled_pr_ee },
 {  82871, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  82872, ur_m324a_u2x12_uart0_noled_pr_ce },
 {  82873, ur_m324a_u2x12_uart0_noled_pr_ee_ce },
 {  82874, ur_m324a_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  82876, ur_m168_u2x12_uart0_noled_ee_hw },
 {  82878, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  82879, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 {  82880, ur_m164a_u2x12_uart0_lednop },
 {  82881, ur_m164a_u2x12_uart0_lednop },
 {  82882, ur_m164a_u2x12_uart0_lednop_pr_u4 },
 {  82883, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  82884, ur_m164a_u2x12_uart0_lednop_pr_ee },
 {  82885, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  82886, ur_m324a_u2x12_uart0_lednop_pr_ce },
 {  82887, ur_m324a_u2x12_uart0_lednop_pr_ee_ce },
 {  82888, ur_m324a_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  82890, ur_m168_u2x12_uart0_lednop_ee_hw },
 {  82892, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  82893, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 {  82894, ur_m324a_u2x12_uart0_dual },
 {  82895, ur_m324a_u2x12_uart0_dual_pr },
 {  82896, ur_m324a_u2x12_uart0_dual_pr },
 {  82897, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  82898, ur_m324a_u2x12_uart0_dual_pr_ee },
 {  82899, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  82900, ur_m324a_u2x12_uart0_dual_pr_ce },
 {  82901, ur_m324a_u2x12_uart0_dual_pr_ee_ce },
 {  82902, ur_m324a_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  82904, ur_m324a_u2x12_uart0_dual_ee_hw },
 {  82906, ur_m324a_u2x12_uart0_dual_ee_ce_hw },
 {  82907, ur_m324a_u2x12_uart0_dual_ee_ce_u4_hw },
 {  82950, ur_m164a_u2x12_uart1_noled },
 {  82951, ur_m164a_u2x12_uart1_noled },
 {  82952, ur_m164a_u2x12_uart1_noled_pr_u4 },
 {  82953, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  82954, ur_m164a_u2x12_uart1_noled_pr_ee },
 {  82955, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  82956, ur_m324a_u2x12_uart1_noled_pr_ce },
 {  82957, ur_m324a_u2x12_uart1_noled_pr_ee_ce },
 {  82958, ur_m324a_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  82960, ur_m328pb_u2x12_uart1_noled_ee_hw },
 {  82962, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  82963, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 {  82964, ur_m164a_u2x12_uart1_lednop },
 {  82965, ur_m164a_u2x12_uart1_lednop },
 {  82966, ur_m164a_u2x12_uart1_lednop_pr_u4 },
 {  82967, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  82968, ur_m164a_u2x12_uart1_lednop_pr_ee },
 {  82969, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  82970, ur_m324a_u2x12_uart1_lednop_pr_ce },
 {  82971, ur_m324a_u2x12_uart1_lednop_pr_ee_ce },
 {  82972, ur_m324a_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  82974, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 {  82976, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  82977, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 {  82978, ur_m324a_u2x12_uart1_dual },
 {  82979, ur_m324a_u2x12_uart1_dual_pr },
 {  82980, ur_m324a_u2x12_uart1_dual_pr },
 {  82981, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  82982, ur_m324a_u2x12_uart1_dual_pr_ee },
 {  82983, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  82984, ur_m324a_u2x12_uart1_dual_pr_ce },
 {  82985, ur_m324a_u2x12_uart1_dual_pr_ee_ce },
 {  82986, ur_m324a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  82988, ur_m324a_u2x12_uart1_dual_ee_hw },
 {  82990, ur_m324a_u2x12_uart1_dual_ee_ce_hw },
 {  82991, ur_m324a_u2x12_uart1_dual_ee_ce_u4_hw },
 {  82992, ur_m324pb_u2x12_uart2_noled },
 {  82993, ur_m324pb_u2x12_uart2_noled },
 {  82994, ur_m324pb_u2x12_uart2_noled_pr_u4 },
 {  82995, ur_m324pb_u2x12_uart2_noled_pr_ee },
 {  82996, ur_m324pb_u2x12_uart2_noled_pr_ee },
 {  82997, ur_m324pb_u2x12_uart2_noled_pr_ce },
 {  82998, ur_m324pb_u2x12_uart2_noled_pr_ce },
 {  82999, ur_m324pb_u2x12_uart2_noled_pr_ee_ce },
 {  83000, ur_m324pb_u2x12_uart2_noled_pr_ee_ce_u4 },
 {  83002, ur_m324pb_u2x12_uart2_noled_ee_hw },
 {  83004, ur_m324pb_u2x12_uart2_noled_ee_ce_hw },
 {  83005, ur_m324pb_u2x12_uart2_noled_ee_ce_hw },
 {  83006, ur_m324pb_u2x12_uart2_lednop },
 {  83007, ur_m324pb_u2x12_uart2_lednop },
 {  83008, ur_m324pb_u2x12_uart2_lednop_pr_u4 },
 {  83009, ur_m324pb_u2x12_uart2_lednop_pr_ee },
 {  83010, ur_m324pb_u2x12_uart2_lednop_pr_ee },
 {  83011, ur_m324pb_u2x12_uart2_lednop_pr_ce },
 {  83012, ur_m324pb_u2x12_uart2_lednop_pr_ce },
 {  83013, ur_m324pb_u2x12_uart2_lednop_pr_ee_ce },
 {  83014, ur_m324pb_u2x12_uart2_lednop_pr_ee_ce_u4 },
 {  83016, ur_m324pb_u2x12_uart2_lednop_ee_hw },
 {  83018, ur_m324pb_u2x12_uart2_lednop_ee_ce_hw },
 {  83019, ur_m324pb_u2x12_uart2_lednop_ee_ce_hw },
 {  83020, ur_m324pb_u2x12_uart2_dual },
 {  83021, ur_m324pb_u2x12_uart2_dual_pr },
 {  83022, ur_m324pb_u2x12_uart2_dual_pr },
 {  83023, ur_m324pb_u2x12_uart2_dual_pr_ee },
 {  83024, ur_m324pb_u2x12_uart2_dual_pr_ee },
 {  83025, ur_m324pb_u2x12_uart2_dual_pr_ce },
 {  83026, ur_m324pb_u2x12_uart2_dual_pr_ce },
 {  83027, ur_m324pb_u2x12_uart2_dual_pr_ee_ce },
 {  83028, ur_m324pb_u2x12_uart2_dual_pr_ee_ce_u4 },
 {  83030, ur_m324pb_u2x12_uart2_dual_ee_hw },
 {  83032, ur_m324pb_u2x12_uart2_dual_ee_ce_hw },
 {  83033, ur_m324pb_u2x12_uart2_dual_ee_ce_u4_hw },
 {  83076, ur_m164a_swio10_noled },
 {  83077, ur_m164a_swio10_noled },
 {  83078, ur_m164a_swio10_noled_pr_u4 },
 {  83079, ur_m164a_swio10_noled_pr_ee },
 {  83080, ur_m164a_swio10_noled_pr_ee },
 {  83081, ur_m324a_swio10_noled_pr_ce },
 {  83082, ur_m324a_swio10_noled_pr_ce },
 {  83083, ur_m324a_swio10_noled_pr_ee_ce },
 {  83084, ur_m324a_swio10_noled_pr_ee_ce_u4 },
 {  83086, ur_m168_swio10_noled_ee_hw },
 {  83088, ur_m328_swio10_noled_ee_ce_hw },
 {  83089, ur_m328_swio10_noled_ee_ce_hw },
 {  83090, ur_m164a_swio10_lednop },
 {  83091, ur_m164a_swio10_lednop_pr },
 {  83092, ur_m164a_swio10_lednop_pr },
 {  83093, ur_m164a_swio10_lednop_pr_ee },
 {  83094, ur_m164a_swio10_lednop_pr_ee },
 {  83095, ur_m324a_swio10_lednop_pr_ce },
 {  83096, ur_m324a_swio10_lednop_pr_ce },
 {  83097, ur_m324a_swio10_lednop_pr_ee_ce },
 {  83098, ur_m324a_swio10_lednop_pr_ee_ce_u4 },
 {  83100, ur_m168_swio10_lednop_ee_hw },
 {  83102, ur_m328_swio10_lednop_ee_ce_hw },
 {  83103, ur_m328_swio10_lednop_ee_ce_hw },
 {  83104, ur_m324a_swio10_dual },
 {  83105, ur_m324a_swio10_dual },
 {  83106, ur_m324a_swio10_dual },
 {  83107, ur_m324a_swio10_dual_pr_ee },
 {  83108, ur_m324a_swio10_dual_pr_ee_u4 },
 {  83109, ur_m324a_swio10_dual_pr_ce },
 {  83110, ur_m324a_swio10_dual_pr_ce },
 {  83111, ur_m324a_swio10_dual_pr_ee_ce },
 {  83112, ur_m324a_swio10_dual_pr_ee_ce_u4 },
 {  83114, ur_m324a_swio10_dual_ee_hw },
 {  83116, ur_m324a_swio10_dual_ee_ce_hw },
 {  83117, ur_m324a_swio10_dual_ee_ce_u4_hw },
 {  83118, ur_m164a_swio11_noled },
 {  83119, ur_m164a_swio11_noled },
 {  83120, ur_m164a_swio11_noled_pr_u4 },
 {  83121, ur_m164a_swio11_noled_pr_ee },
 {  83122, ur_m164a_swio11_noled_pr_ee },
 {  83123, ur_m324a_swio11_noled_pr_ce },
 {  83124, ur_m324a_swio11_noled_pr_ce },
 {  83125, ur_m324a_swio11_noled_pr_ee_ce },
 {  83126, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  83128, ur_m168_swio11_noled_ee_hw },
 {  83130, ur_m328_swio11_noled_ee_ce_hw },
 {  83131, ur_m328_swio11_noled_ee_ce_hw },
 {  83132, ur_m164a_swio11_lednop },
 {  83133, ur_m164a_swio11_lednop_pr },
 {  83134, ur_m164a_swio11_lednop_pr },
 {  83135, ur_m164a_swio11_lednop_pr_ee },
 {  83136, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  83137, ur_m324a_swio11_lednop_pr_ce },
 {  83138, ur_m324a_swio11_lednop_pr_ce },
 {  83139, ur_m324a_swio11_lednop_pr_ee_ce },
 {  83140, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  83142, ur_m168_swio11_lednop_ee_hw },
 {  83144, ur_m328_swio11_lednop_ee_ce_hw },
 {  83145, ur_m328_swio11_lednop_ee_ce_hw },
 {  83146, ur_m324a_swio11_dual },
 {  83147, ur_m324a_swio11_dual },
 {  83148, ur_m324a_swio11_dual },
 {  83149, ur_m324a_swio11_dual_pr_ee },
 {  83150, ur_m324a_swio11_dual_pr_ee_u4 },
 {  83151, ur_m324a_swio11_dual_pr_ce },
 {  83152, ur_m324a_swio11_dual_pr_ce_u4 },
 {  83153, ur_m324a_swio11_dual_pr_ee_ce },
 {  83154, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  83156, ur_m324a_swio11_dual_ee_hw },
 {  83158, ur_m324a_swio11_dual_ee_ce_hw },
 {  83159, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  83160, ur_m164a_swio11_noled },
 {  83161, ur_m164a_swio11_noled },
 {  83162, ur_m164a_swio11_noled_pr_u4 },
 {  83163, ur_m164a_swio11_noled_pr_ee },
 {  83164, ur_m164a_swio11_noled_pr_ee },
 {  83165, ur_m324a_swio11_noled_pr_ce },
 {  83166, ur_m324a_swio11_noled_pr_ce },
 {  83167, ur_m324a_swio11_noled_pr_ee_ce },
 {  83168, ur_m324a_swio11_noled_pr_ee_ce_u4 },
 {  83170, ur_m168_swio11_noled_ee_hw },
 {  83172, ur_m328_swio11_noled_ee_ce_hw },
 {  83173, ur_m328_swio11_noled_ee_ce_hw },
 {  83174, ur_m164a_swio11_lednop },
 {  83175, ur_m164a_swio11_lednop_pr },
 {  83176, ur_m164a_swio11_lednop_pr },
 {  83177, ur_m164a_swio11_lednop_pr_ee },
 {  83178, ur_m164a_swio11_lednop_pr_ee_u4 },
 {  83179, ur_m324a_swio11_lednop_pr_ce },
 {  83180, ur_m324a_swio11_lednop_pr_ce },
 {  83181, ur_m324a_swio11_lednop_pr_ee_ce },
 {  83182, ur_m324a_swio11_lednop_pr_ee_ce_u4 },
 {  83184, ur_m168_swio11_lednop_ee_hw },
 {  83186, ur_m328_swio11_lednop_ee_ce_hw },
 {  83187, ur_m328_swio11_lednop_ee_ce_hw },
 {  83188, ur_m324a_swio11_dual },
 {  83189, ur_m324a_swio11_dual },
 {  83190, ur_m324a_swio11_dual },
 {  83191, ur_m324a_swio11_dual_pr_ee },
 {  83192, ur_m324a_swio11_dual_pr_ee_u4 },
 {  83193, ur_m324a_swio11_dual_pr_ce },
 {  83194, ur_m324a_swio11_dual_pr_ce_u4 },
 {  83195, ur_m324a_swio11_dual_pr_ee_ce },
 {  83196, ur_m324a_swio11_dual_pr_ee_ce_u4 },
 {  83198, ur_m324a_swio11_dual_ee_hw },
 {  83200, ur_m324a_swio11_dual_ee_ce_hw },
 {  83201, ur_m324a_swio11_dual_ee_ce_u4_hw },
 {  83202, ur_m164a_swio13_noled },
 {  83203, ur_m164a_swio13_noled },
 {  83204, ur_m164a_swio13_noled_pr_u4 },
 {  83205, ur_m164a_swio13_noled_pr_ee },
 {  83206, ur_m164a_swio13_noled_pr_ee },
 {  83207, ur_m324a_swio13_noled_pr_ce },
 {  83208, ur_m324a_swio13_noled_pr_ce },
 {  83209, ur_m324a_swio13_noled_pr_ee_ce },
 {  83210, ur_m324a_swio13_noled_pr_ee_ce_u4 },
 {  83212, ur_m168_swio13_noled_ee_hw },
 {  83214, ur_m328_swio13_noled_ee_ce_hw },
 {  83215, ur_m328_swio13_noled_ee_ce_hw },
 {  83216, ur_m164a_swio13_lednop },
 {  83217, ur_m164a_swio13_lednop_pr },
 {  83218, ur_m164a_swio13_lednop_pr },
 {  83219, ur_m164a_swio13_lednop_pr_ee },
 {  83220, ur_m164a_swio13_lednop_pr_ee_u4 },
 {  83221, ur_m324a_swio13_lednop_pr_ce },
 {  83222, ur_m324a_swio13_lednop_pr_ce },
 {  83223, ur_m324a_swio13_lednop_pr_ee_ce },
 {  83224, ur_m324a_swio13_lednop_pr_ee_ce_u4 },
 {  83226, ur_m168_swio13_lednop_ee_hw },
 {  83228, ur_m328_swio13_lednop_ee_ce_hw },
 {  83229, ur_m328_swio13_lednop_ee_ce_hw },
 {  83230, ur_m324a_swio13_dual },
 {  83231, ur_m324a_swio13_dual },
 {  83232, ur_m324a_swio13_dual },
 {  83233, ur_m324a_swio13_dual_pr_ee },
 {  83234, ur_m324a_swio13_dual_pr_ee_u4 },
 {  83235, ur_m324a_swio13_dual_pr_ce },
 {  83236, ur_m324a_swio13_dual_pr_ce_u4 },
 {  83237, ur_m324a_swio13_dual_pr_ee_ce },
 {  83238, ur_m324a_swio13_dual_pr_ee_ce_u4 },
 {  83240, ur_m324a_swio13_dual_ee_hw },
 {  83242, ur_m324a_swio13_dual_ee_ce_hw },
 {  83243, ur_m324a_swio13_dual_ee_ce_u4_hw },
 {  83244, ur_m164a_swio14_noled },
 {  83245, ur_m164a_swio14_noled },
 {  83246, ur_m164a_swio14_noled_pr_u4 },
 {  83247, ur_m164a_swio14_noled_pr_ee },
 {  83248, ur_m164a_swio14_noled_pr_ee },
 {  83249, ur_m324a_swio14_noled_pr_ce },
 {  83250, ur_m324a_swio14_noled_pr_ce },
 {  83251, ur_m324a_swio14_noled_pr_ee_ce },
 {  83252, ur_m324a_swio14_noled_pr_ee_ce_u4 },
 {  83254, ur_m168_swio14_noled_ee_hw },
 {  83256, ur_m328_swio14_noled_ee_ce_hw },
 {  83257, ur_m328_swio14_noled_ee_ce_hw },
 {  83258, ur_m164a_swio14_lednop },
 {  83259, ur_m164a_swio14_lednop_pr },
 {  83260, ur_m164a_swio14_lednop_pr },
 {  83261, ur_m164a_swio14_lednop_pr_ee },
 {  83262, ur_m164a_swio14_lednop_pr_ee_u4 },
 {  83263, ur_m324a_swio14_lednop_pr_ce },
 {  83264, ur_m324a_swio14_lednop_pr_ce },
 {  83265, ur_m324a_swio14_lednop_pr_ee_ce },
 {  83266, ur_m324a_swio14_lednop_pr_ee_ce_u4 },
 {  83268, ur_m168_swio14_lednop_ee_hw },
 {  83270, ur_m328_swio14_lednop_ee_ce_hw },
 {  83271, ur_m328_swio14_lednop_ee_ce_hw },
 {  83272, ur_m324a_swio14_dual },
 {  83273, ur_m324a_swio14_dual },
 {  83274, ur_m324a_swio14_dual },
 {  83275, ur_m324a_swio14_dual_pr_ee },
 {  83276, ur_m324a_swio14_dual_pr_ee_u4 },
 {  83277, ur_m324a_swio14_dual_pr_ce },
 {  83278, ur_m324a_swio14_dual_pr_ce_u4 },
 {  83279, ur_m324a_swio14_dual_pr_ee_ce },
 {  83280, ur_m324a_swio14_dual_pr_ee_ce_u4 },
 {  83282, ur_m324a_swio14_dual_ee_hw },
 {  83284, ur_m324a_swio14_dual_ee_ce_hw },
 {  83285, ur_m324a_swio14_dual_ee_ce_u4_hw },
 {  83286, ur_m164a_swio15_noled },
 {  83287, ur_m164a_swio15_noled },
 {  83288, ur_m164a_swio15_noled_pr_u4 },
 {  83289, ur_m164a_swio15_noled_pr_ee },
 {  83290, ur_m164a_swio15_noled_pr_ee },
 {  83291, ur_m324a_swio15_noled_pr_ce },
 {  83292, ur_m324a_swio15_noled_pr_ce },
 {  83293, ur_m324a_swio15_noled_pr_ee_ce },
 {  83294, ur_m324a_swio15_noled_pr_ee_ce_u4 },
 {  83296, ur_m168_swio15_noled_ee_hw },
 {  83298, ur_m328_swio15_noled_ee_ce_hw },
 {  83299, ur_m328_swio15_noled_ee_ce_hw },
 {  83300, ur_m164a_swio15_lednop },
 {  83301, ur_m164a_swio15_lednop_pr },
 {  83302, ur_m164a_swio15_lednop_pr },
 {  83303, ur_m164a_swio15_lednop_pr_ee },
 {  83304, ur_m164a_swio15_lednop_pr_ee_u4 },
 {  83305, ur_m324a_swio15_lednop_pr_ce },
 {  83306, ur_m324a_swio15_lednop_pr_ce },
 {  83307, ur_m324a_swio15_lednop_pr_ee_ce },
 {  83308, ur_m324a_swio15_lednop_pr_ee_ce_u4 },
 {  83310, ur_m168_swio15_lednop_ee_hw },
 {  83312, ur_m328_swio15_lednop_ee_ce_hw },
 {  83313, ur_m328_swio15_lednop_ee_ce_hw },
 {  83314, ur_m324a_swio15_dual },
 {  83315, ur_m324a_swio15_dual },
 {  83316, ur_m324a_swio15_dual },
 {  83317, ur_m324a_swio15_dual_pr_ee },
 {  83318, ur_m324a_swio15_dual_pr_ee_u4 },
 {  83319, ur_m324a_swio15_dual_pr_ce },
 {  83320, ur_m324a_swio15_dual_pr_ce_u4 },
 {  83321, ur_m324a_swio15_dual_pr_ee_ce },
 {  83322, ur_m324a_swio15_dual_pr_ee_ce_u4 },
 {  83324, ur_m324a_swio15_dual_ee_hw },
 {  83326, ur_m324a_swio15_dual_ee_ce_hw },
 {  83327, ur_m324a_swio15_dual_ee_ce_u4_hw },
 {  83328, ur_m644_autobaud_uart0_noled },
 {  83329, ur_m644_autobaud_uart0_noled },
 {  83330, ur_m644_autobaud_uart0_noled_pr_u4 },
 {  83331, ur_m644_autobaud_uart0_noled_pr_ee },
 {  83332, ur_m644_autobaud_uart0_noled_pr_ee },
 {  83333, ur_m644_autobaud_uart0_noled_pr_ce },
 {  83334, ur_m644_autobaud_uart0_noled_pr_ce },
 {  83335, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  83336, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  83338, ur_m644_autobaud_uart0_noled_ee_hw },
 {  83340, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  83341, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  83342, ur_m644_autobaud_uart0_lednop },
 {  83343, ur_m644_autobaud_uart0_lednop },
 {  83344, ur_m644_autobaud_uart0_lednop_pr_u4 },
 {  83345, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  83346, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  83347, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  83348, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  83349, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  83350, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  83352, ur_m644_autobaud_uart0_lednop_ee_hw },
 {  83354, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  83355, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  83356, ur_m644_autobaud_uart0_dual },
 {  83357, ur_m644_autobaud_uart0_dual },
 {  83358, ur_m644_autobaud_uart0_dual },
 {  83359, ur_m644_autobaud_uart0_dual_pr_ee },
 {  83360, ur_m644_autobaud_uart0_dual_pr_ee },
 {  83361, ur_m644_autobaud_uart0_dual_pr_ce },
 {  83362, ur_m644_autobaud_uart0_dual_pr_ce },
 {  83363, ur_m644_autobaud_uart0_dual_pr_ee_ce },
 {  83364, ur_m644_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  83366, ur_m644_autobaud_uart0_dual_ee_hw },
 {  83368, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  83369, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  83538, ur_m644_u1x8_uart0_noled },
 {  83539, ur_m644_u1x8_uart0_noled },
 {  83540, ur_m644_u1x8_uart0_noled_pr_u4 },
 {  83541, ur_m644_u1x8_uart0_noled_pr_ee },
 {  83542, ur_m644_u1x8_uart0_noled_pr_ee },
 {  83543, ur_m644_u1x8_uart0_noled_pr_ce },
 {  83544, ur_m644_u1x8_uart0_noled_pr_ce_u4 },
 {  83545, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  83546, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  83548, ur_m644_u1x8_uart0_noled_ee_hw },
 {  83550, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  83551, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  83552, ur_m644_u1x8_uart0_lednop },
 {  83553, ur_m644_u1x8_uart0_lednop },
 {  83554, ur_m644_u1x8_uart0_lednop_pr_u4 },
 {  83555, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  83556, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  83557, ur_m644_u1x8_uart0_lednop_pr_ce },
 {  83558, ur_m644_u1x8_uart0_lednop_pr_ce_u4 },
 {  83559, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  83560, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  83562, ur_m644_u1x8_uart0_lednop_ee_hw },
 {  83564, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  83565, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  83566, ur_m644_u1x8_uart0_dual },
 {  83567, ur_m644_u1x8_uart0_dual },
 {  83568, ur_m644_u1x8_uart0_dual },
 {  83569, ur_m644_u1x8_uart0_dual_pr_ee },
 {  83570, ur_m644_u1x8_uart0_dual_pr_ee },
 {  83571, ur_m644_u1x8_uart0_dual_pr_ce },
 {  83572, ur_m644_u1x8_uart0_dual_pr_ce },
 {  83573, ur_m644_u1x8_uart0_dual_pr_ee_ce },
 {  83574, ur_m644_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  83576, ur_m644_u1x8_uart0_dual_ee_hw },
 {  83578, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  83579, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  83748, ur_m644_u1x12_uart0_noled },
 {  83749, ur_m644_u1x12_uart0_noled },
 {  83750, ur_m644_u1x12_uart0_noled_pr_u4 },
 {  83751, ur_m644_u1x12_uart0_noled_pr_ee },
 {  83752, ur_m644_u1x12_uart0_noled_pr_ee },
 {  83753, ur_m644_u1x12_uart0_noled_pr_ce },
 {  83754, ur_m644_u1x12_uart0_noled_pr_ce_u4 },
 {  83755, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  83756, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  83758, ur_m644_u1x12_uart0_noled_ee_hw },
 {  83760, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  83761, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  83762, ur_m644_u1x12_uart0_lednop },
 {  83763, ur_m644_u1x12_uart0_lednop },
 {  83764, ur_m644_u1x12_uart0_lednop_pr_u4 },
 {  83765, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  83766, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  83767, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  83768, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  83769, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  83770, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  83772, ur_m644_u1x12_uart0_lednop_ee_hw },
 {  83774, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  83775, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  83776, ur_m644_u1x12_uart0_dual },
 {  83777, ur_m644_u1x12_uart0_dual },
 {  83778, ur_m644_u1x12_uart0_dual },
 {  83779, ur_m644_u1x12_uart0_dual_pr_ee },
 {  83780, ur_m644_u1x12_uart0_dual_pr_ee },
 {  83781, ur_m644_u1x12_uart0_dual_pr_ce },
 {  83782, ur_m644_u1x12_uart0_dual_pr_ce },
 {  83783, ur_m644_u1x12_uart0_dual_pr_ee_ce },
 {  83784, ur_m644_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  83786, ur_m644_u1x12_uart0_dual_ee_hw },
 {  83788, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  83789, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  83958, ur_m644_u2x8_uart0_noled },
 {  83959, ur_m644_u2x8_uart0_noled },
 {  83960, ur_m644_u2x8_uart0_noled_pr_u4 },
 {  83961, ur_m644_u2x8_uart0_noled_pr_ee },
 {  83962, ur_m644_u2x8_uart0_noled_pr_ee },
 {  83963, ur_m644_u2x8_uart0_noled_pr_ce },
 {  83964, ur_m644_u2x8_uart0_noled_pr_ce_u4 },
 {  83965, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  83966, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  83968, ur_m644_u2x8_uart0_noled_ee_hw },
 {  83970, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  83971, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  83972, ur_m644_u2x8_uart0_lednop },
 {  83973, ur_m644_u2x8_uart0_lednop },
 {  83974, ur_m644_u2x8_uart0_lednop_pr_u4 },
 {  83975, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  83976, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  83977, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  83978, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  83979, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  83980, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  83982, ur_m644_u2x8_uart0_lednop_ee_hw },
 {  83984, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  83985, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  83986, ur_m644_u2x8_uart0_dual },
 {  83987, ur_m644_u2x8_uart0_dual },
 {  83988, ur_m644_u2x8_uart0_dual },
 {  83989, ur_m644_u2x8_uart0_dual_pr_ee },
 {  83990, ur_m644_u2x8_uart0_dual_pr_ee },
 {  83991, ur_m644_u2x8_uart0_dual_pr_ce },
 {  83992, ur_m644_u2x8_uart0_dual_pr_ce },
 {  83993, ur_m644_u2x8_uart0_dual_pr_ee_ce },
 {  83994, ur_m644_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  83996, ur_m644_u2x8_uart0_dual_ee_hw },
 {  83998, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  83999, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  84168, ur_m644_u2x12_uart0_noled },
 {  84169, ur_m644_u2x12_uart0_noled },
 {  84170, ur_m644_u2x12_uart0_noled_pr_u4 },
 {  84171, ur_m644_u2x12_uart0_noled_pr_ee },
 {  84172, ur_m644_u2x12_uart0_noled_pr_ee },
 {  84173, ur_m644_u2x12_uart0_noled_pr_ce },
 {  84174, ur_m644_u2x12_uart0_noled_pr_ce_u4 },
 {  84175, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  84176, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  84178, ur_m644_u2x12_uart0_noled_ee_hw },
 {  84180, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  84181, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  84182, ur_m644_u2x12_uart0_lednop },
 {  84183, ur_m644_u2x12_uart0_lednop },
 {  84184, ur_m644_u2x12_uart0_lednop_pr_u4 },
 {  84185, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  84186, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  84187, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  84188, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  84189, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  84190, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  84192, ur_m644_u2x12_uart0_lednop_ee_hw },
 {  84194, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  84195, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  84196, ur_m644_u2x12_uart0_dual },
 {  84197, ur_m644_u2x12_uart0_dual },
 {  84198, ur_m644_u2x12_uart0_dual },
 {  84199, ur_m644_u2x12_uart0_dual_pr_ee },
 {  84200, ur_m644_u2x12_uart0_dual_pr_ee },
 {  84201, ur_m644_u2x12_uart0_dual_pr_ce },
 {  84202, ur_m644_u2x12_uart0_dual_pr_ce },
 {  84203, ur_m644_u2x12_uart0_dual_pr_ee_ce },
 {  84204, ur_m644_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  84206, ur_m644_u2x12_uart0_dual_ee_hw },
 {  84208, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  84209, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  84378, ur_m644_swio10_noled },
 {  84379, ur_m644_swio10_noled },
 {  84380, ur_m644_swio10_noled_pr_u4 },
 {  84381, ur_m644_swio10_noled_pr_ee },
 {  84382, ur_m644_swio10_noled_pr_ee },
 {  84383, ur_m644_swio10_noled_pr_ce },
 {  84384, ur_m644_swio10_noled_pr_ce },
 {  84385, ur_m644_swio10_noled_pr_ee_ce },
 {  84386, ur_m644_swio10_noled_pr_ee_ce },
 {  84388, ur_m644_swio10_noled_ee_hw },
 {  84390, ur_m644_swio10_noled_ee_ce_hw },
 {  84391, ur_m644_swio10_noled_ee_ce_hw },
 {  84392, ur_m644_swio10_lednop },
 {  84393, ur_m644_swio10_lednop },
 {  84394, ur_m644_swio10_lednop_pr_u4 },
 {  84395, ur_m644_swio10_lednop_pr_ee },
 {  84396, ur_m644_swio10_lednop_pr_ee },
 {  84397, ur_m644_swio10_lednop_pr_ce },
 {  84398, ur_m644_swio10_lednop_pr_ce },
 {  84399, ur_m644_swio10_lednop_pr_ee_ce },
 {  84400, ur_m644_swio10_lednop_pr_ee_ce },
 {  84402, ur_m644_swio10_lednop_ee_hw },
 {  84404, ur_m644_swio10_lednop_ee_ce_hw },
 {  84405, ur_m644_swio10_lednop_ee_ce_hw },
 {  84406, ur_m644_swio10_dual },
 {  84407, ur_m644_swio10_dual },
 {  84408, ur_m644_swio10_dual },
 {  84409, ur_m644_swio10_dual_pr_ee },
 {  84410, ur_m644_swio10_dual_pr_ee_u4 },
 {  84411, ur_m644_swio10_dual_pr_ce },
 {  84412, ur_m644_swio10_dual_pr_ce },
 {  84413, ur_m644_swio10_dual_pr_ee_ce },
 {  84414, ur_m644_swio10_dual_pr_ee_ce_u4 },
 {  84416, ur_m644_swio10_dual_ee_hw },
 {  84418, ur_m644_swio10_dual_ee_ce_hw },
 {  84419, ur_m644_swio10_dual_ee_ce_hw },
 {  84420, ur_m644_swio11_noled },
 {  84421, ur_m644_swio11_noled },
 {  84422, ur_m644_swio11_noled_pr_u4 },
 {  84423, ur_m644_swio11_noled_pr_ee },
 {  84424, ur_m644_swio11_noled_pr_ee },
 {  84425, ur_m644_swio11_noled_pr_ce },
 {  84426, ur_m644_swio11_noled_pr_ce },
 {  84427, ur_m644_swio11_noled_pr_ee_ce },
 {  84428, ur_m644_swio11_noled_pr_ee_ce },
 {  84430, ur_m644_swio11_noled_ee_hw },
 {  84432, ur_m644_swio11_noled_ee_ce_hw },
 {  84433, ur_m644_swio11_noled_ee_ce_hw },
 {  84434, ur_m644_swio11_lednop },
 {  84435, ur_m644_swio11_lednop_pr },
 {  84436, ur_m644_swio11_lednop_pr },
 {  84437, ur_m644_swio11_lednop_pr_ee },
 {  84438, ur_m644_swio11_lednop_pr_ee },
 {  84439, ur_m644_swio11_lednop_pr_ce },
 {  84440, ur_m644_swio11_lednop_pr_ce },
 {  84441, ur_m644_swio11_lednop_pr_ee_ce },
 {  84442, ur_m644_swio11_lednop_pr_ee_ce },
 {  84444, ur_m644_swio11_lednop_ee_hw },
 {  84446, ur_m644_swio11_lednop_ee_ce_hw },
 {  84447, ur_m644_swio11_lednop_ee_ce_hw },
 {  84448, ur_m644_swio11_dual },
 {  84449, ur_m644_swio11_dual },
 {  84450, ur_m644_swio11_dual },
 {  84451, ur_m644_swio11_dual_pr_ee },
 {  84452, ur_m644_swio11_dual_pr_ee_u4 },
 {  84453, ur_m644_swio11_dual_pr_ce },
 {  84454, ur_m644_swio11_dual_pr_ce },
 {  84455, ur_m644_swio11_dual_pr_ee_ce },
 {  84456, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  84458, ur_m644_swio11_dual_ee_hw },
 {  84460, ur_m644_swio11_dual_ee_ce_hw },
 {  84461, ur_m644_swio11_dual_ee_ce_hw },
 {  84462, ur_m644_swio11_noled },
 {  84463, ur_m644_swio11_noled },
 {  84464, ur_m644_swio11_noled_pr_u4 },
 {  84465, ur_m644_swio11_noled_pr_ee },
 {  84466, ur_m644_swio11_noled_pr_ee },
 {  84467, ur_m644_swio11_noled_pr_ce },
 {  84468, ur_m644_swio11_noled_pr_ce },
 {  84469, ur_m644_swio11_noled_pr_ee_ce },
 {  84470, ur_m644_swio11_noled_pr_ee_ce },
 {  84472, ur_m644_swio11_noled_ee_hw },
 {  84474, ur_m644_swio11_noled_ee_ce_hw },
 {  84475, ur_m644_swio11_noled_ee_ce_hw },
 {  84476, ur_m644_swio11_lednop },
 {  84477, ur_m644_swio11_lednop_pr },
 {  84478, ur_m644_swio11_lednop_pr },
 {  84479, ur_m644_swio11_lednop_pr_ee },
 {  84480, ur_m644_swio11_lednop_pr_ee },
 {  84481, ur_m644_swio11_lednop_pr_ce },
 {  84482, ur_m644_swio11_lednop_pr_ce },
 {  84483, ur_m644_swio11_lednop_pr_ee_ce },
 {  84484, ur_m644_swio11_lednop_pr_ee_ce },
 {  84486, ur_m644_swio11_lednop_ee_hw },
 {  84488, ur_m644_swio11_lednop_ee_ce_hw },
 {  84489, ur_m644_swio11_lednop_ee_ce_hw },
 {  84490, ur_m644_swio11_dual },
 {  84491, ur_m644_swio11_dual },
 {  84492, ur_m644_swio11_dual },
 {  84493, ur_m644_swio11_dual_pr_ee },
 {  84494, ur_m644_swio11_dual_pr_ee_u4 },
 {  84495, ur_m644_swio11_dual_pr_ce },
 {  84496, ur_m644_swio11_dual_pr_ce },
 {  84497, ur_m644_swio11_dual_pr_ee_ce },
 {  84498, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  84500, ur_m644_swio11_dual_ee_hw },
 {  84502, ur_m644_swio11_dual_ee_ce_hw },
 {  84503, ur_m644_swio11_dual_ee_ce_hw },
 {  84504, ur_m644_swio13_noled },
 {  84505, ur_m644_swio13_noled },
 {  84506, ur_m644_swio13_noled_pr_u4 },
 {  84507, ur_m644_swio13_noled_pr_ee },
 {  84508, ur_m644_swio13_noled_pr_ee },
 {  84509, ur_m644_swio13_noled_pr_ce },
 {  84510, ur_m644_swio13_noled_pr_ce },
 {  84511, ur_m644_swio13_noled_pr_ee_ce },
 {  84512, ur_m644_swio13_noled_pr_ee_ce },
 {  84514, ur_m644_swio13_noled_ee_hw },
 {  84516, ur_m644_swio13_noled_ee_ce_hw },
 {  84517, ur_m644_swio13_noled_ee_ce_hw },
 {  84518, ur_m644_swio13_lednop },
 {  84519, ur_m644_swio13_lednop_pr },
 {  84520, ur_m644_swio13_lednop_pr },
 {  84521, ur_m644_swio13_lednop_pr_ee },
 {  84522, ur_m644_swio13_lednop_pr_ee },
 {  84523, ur_m644_swio13_lednop_pr_ce },
 {  84524, ur_m644_swio13_lednop_pr_ce },
 {  84525, ur_m644_swio13_lednop_pr_ee_ce },
 {  84526, ur_m644_swio13_lednop_pr_ee_ce },
 {  84528, ur_m644_swio13_lednop_ee_hw },
 {  84530, ur_m644_swio13_lednop_ee_ce_hw },
 {  84531, ur_m644_swio13_lednop_ee_ce_hw },
 {  84532, ur_m644_swio13_dual },
 {  84533, ur_m644_swio13_dual },
 {  84534, ur_m644_swio13_dual },
 {  84535, ur_m644_swio13_dual_pr_ee },
 {  84536, ur_m644_swio13_dual_pr_ee_u4 },
 {  84537, ur_m644_swio13_dual_pr_ce },
 {  84538, ur_m644_swio13_dual_pr_ce },
 {  84539, ur_m644_swio13_dual_pr_ee_ce },
 {  84540, ur_m644_swio13_dual_pr_ee_ce_u4 },
 {  84542, ur_m644_swio13_dual_ee_hw },
 {  84544, ur_m644_swio13_dual_ee_ce_hw },
 {  84545, ur_m644_swio13_dual_ee_ce_hw },
 {  84546, ur_m644_swio14_noled },
 {  84547, ur_m644_swio14_noled },
 {  84548, ur_m644_swio14_noled_pr_u4 },
 {  84549, ur_m644_swio14_noled_pr_ee },
 {  84550, ur_m644_swio14_noled_pr_ee },
 {  84551, ur_m644_swio14_noled_pr_ce },
 {  84552, ur_m644_swio14_noled_pr_ce },
 {  84553, ur_m644_swio14_noled_pr_ee_ce },
 {  84554, ur_m644_swio14_noled_pr_ee_ce },
 {  84556, ur_m644_swio14_noled_ee_hw },
 {  84558, ur_m644_swio14_noled_ee_ce_hw },
 {  84559, ur_m644_swio14_noled_ee_ce_hw },
 {  84560, ur_m644_swio14_lednop },
 {  84561, ur_m644_swio14_lednop_pr },
 {  84562, ur_m644_swio14_lednop_pr },
 {  84563, ur_m644_swio14_lednop_pr_ee },
 {  84564, ur_m644_swio14_lednop_pr_ee },
 {  84565, ur_m644_swio14_lednop_pr_ce },
 {  84566, ur_m644_swio14_lednop_pr_ce },
 {  84567, ur_m644_swio14_lednop_pr_ee_ce },
 {  84568, ur_m644_swio14_lednop_pr_ee_ce },
 {  84570, ur_m644_swio14_lednop_ee_hw },
 {  84572, ur_m644_swio14_lednop_ee_ce_hw },
 {  84573, ur_m644_swio14_lednop_ee_ce_hw },
 {  84574, ur_m644_swio14_dual },
 {  84575, ur_m644_swio14_dual },
 {  84576, ur_m644_swio14_dual },
 {  84577, ur_m644_swio14_dual_pr_ee },
 {  84578, ur_m644_swio14_dual_pr_ee_u4 },
 {  84579, ur_m644_swio14_dual_pr_ce },
 {  84580, ur_m644_swio14_dual_pr_ce },
 {  84581, ur_m644_swio14_dual_pr_ee_ce },
 {  84582, ur_m644_swio14_dual_pr_ee_ce_u4 },
 {  84584, ur_m644_swio14_dual_ee_hw },
 {  84586, ur_m644_swio14_dual_ee_ce_hw },
 {  84587, ur_m644_swio14_dual_ee_ce_hw },
 {  84588, ur_m644_swio15_noled },
 {  84589, ur_m644_swio15_noled },
 {  84590, ur_m644_swio15_noled_pr_u4 },
 {  84591, ur_m644_swio15_noled_pr_ee },
 {  84592, ur_m644_swio15_noled_pr_ee },
 {  84593, ur_m644_swio15_noled_pr_ce },
 {  84594, ur_m644_swio15_noled_pr_ce },
 {  84595, ur_m644_swio15_noled_pr_ee_ce },
 {  84596, ur_m644_swio15_noled_pr_ee_ce },
 {  84598, ur_m644_swio15_noled_ee_hw },
 {  84600, ur_m644_swio15_noled_ee_ce_hw },
 {  84601, ur_m644_swio15_noled_ee_ce_hw },
 {  84602, ur_m644_swio15_lednop },
 {  84603, ur_m644_swio15_lednop_pr },
 {  84604, ur_m644_swio15_lednop_pr },
 {  84605, ur_m644_swio15_lednop_pr_ee },
 {  84606, ur_m644_swio15_lednop_pr_ee },
 {  84607, ur_m644_swio15_lednop_pr_ce },
 {  84608, ur_m644_swio15_lednop_pr_ce },
 {  84609, ur_m644_swio15_lednop_pr_ee_ce },
 {  84610, ur_m644_swio15_lednop_pr_ee_ce },
 {  84612, ur_m644_swio15_lednop_ee_hw },
 {  84614, ur_m644_swio15_lednop_ee_ce_hw },
 {  84615, ur_m644_swio15_lednop_ee_ce_hw },
 {  84616, ur_m644_swio15_dual },
 {  84617, ur_m644_swio15_dual },
 {  84618, ur_m644_swio15_dual },
 {  84619, ur_m644_swio15_dual_pr_ee },
 {  84620, ur_m644_swio15_dual_pr_ee_u4 },
 {  84621, ur_m644_swio15_dual_pr_ce },
 {  84622, ur_m644_swio15_dual_pr_ce },
 {  84623, ur_m644_swio15_dual_pr_ee_ce },
 {  84624, ur_m644_swio15_dual_pr_ee_ce_u4 },
 {  84626, ur_m644_swio15_dual_ee_hw },
 {  84628, ur_m644_swio15_dual_ee_ce_hw },
 {  84629, ur_m644_swio15_dual_ee_ce_hw },
 {  84630, ur_m644_autobaud_uart0_noled },
 {  84631, ur_m644_autobaud_uart0_noled },
 {  84632, ur_m644_autobaud_uart0_noled_pr_u4 },
 {  84633, ur_m644_autobaud_uart0_noled_pr_ee },
 {  84634, ur_m644_autobaud_uart0_noled_pr_ee },
 {  84635, ur_m644_autobaud_uart0_noled_pr_ce },
 {  84636, ur_m644_autobaud_uart0_noled_pr_ce },
 {  84637, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  84638, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  84640, ur_m644_autobaud_uart0_noled_ee_hw },
 {  84642, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  84643, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  84644, ur_m644_autobaud_uart0_lednop },
 {  84645, ur_m644_autobaud_uart0_lednop },
 {  84646, ur_m644_autobaud_uart0_lednop_pr_u4 },
 {  84647, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  84648, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  84649, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  84650, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  84651, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  84652, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  84654, ur_m644_autobaud_uart0_lednop_ee_hw },
 {  84656, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  84657, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  84658, ur_m644_autobaud_uart0_dual },
 {  84659, ur_m644_autobaud_uart0_dual },
 {  84660, ur_m644_autobaud_uart0_dual },
 {  84661, ur_m644_autobaud_uart0_dual_pr_ee },
 {  84662, ur_m644_autobaud_uart0_dual_pr_ee },
 {  84663, ur_m644_autobaud_uart0_dual_pr_ce },
 {  84664, ur_m644_autobaud_uart0_dual_pr_ce },
 {  84665, ur_m644_autobaud_uart0_dual_pr_ee_ce },
 {  84666, ur_m644_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  84668, ur_m644_autobaud_uart0_dual_ee_hw },
 {  84670, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  84671, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  84714, ur_m644a_autobaud_uart1_noled },
 {  84715, ur_m644a_autobaud_uart1_noled },
 {  84716, ur_m644a_autobaud_uart1_noled_pr_u4 },
 {  84717, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  84718, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  84719, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  84720, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  84721, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  84722, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  84724, ur_m644a_autobaud_uart1_noled_ee_hw },
 {  84726, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  84727, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  84728, ur_m644a_autobaud_uart1_lednop },
 {  84729, ur_m644a_autobaud_uart1_lednop },
 {  84730, ur_m644a_autobaud_uart1_lednop_pr_u4 },
 {  84731, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  84732, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  84733, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  84734, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  84735, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  84736, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  84738, ur_m644a_autobaud_uart1_lednop_ee_hw },
 {  84740, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  84741, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  84742, ur_m644a_autobaud_uart1_dual },
 {  84743, ur_m644a_autobaud_uart1_dual },
 {  84744, ur_m644a_autobaud_uart1_dual },
 {  84745, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  84746, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  84747, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  84748, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  84749, ur_m644a_autobaud_uart1_dual_pr_ee_ce },
 {  84750, ur_m644a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  84752, ur_m644a_autobaud_uart1_dual_ee_hw },
 {  84754, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  84755, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  84840, ur_m644_u1x8_uart0_noled },
 {  84841, ur_m644_u1x8_uart0_noled },
 {  84842, ur_m644_u1x8_uart0_noled_pr_u4 },
 {  84843, ur_m644_u1x8_uart0_noled_pr_ee },
 {  84844, ur_m644_u1x8_uart0_noled_pr_ee },
 {  84845, ur_m644_u1x8_uart0_noled_pr_ce },
 {  84846, ur_m644_u1x8_uart0_noled_pr_ce_u4 },
 {  84847, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  84848, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  84850, ur_m644_u1x8_uart0_noled_ee_hw },
 {  84852, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  84853, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  84854, ur_m644_u1x8_uart0_lednop },
 {  84855, ur_m644_u1x8_uart0_lednop },
 {  84856, ur_m644_u1x8_uart0_lednop_pr_u4 },
 {  84857, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  84858, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  84859, ur_m644_u1x8_uart0_lednop_pr_ce },
 {  84860, ur_m644_u1x8_uart0_lednop_pr_ce_u4 },
 {  84861, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  84862, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  84864, ur_m644_u1x8_uart0_lednop_ee_hw },
 {  84866, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  84867, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  84868, ur_m644_u1x8_uart0_dual },
 {  84869, ur_m644_u1x8_uart0_dual },
 {  84870, ur_m644_u1x8_uart0_dual },
 {  84871, ur_m644_u1x8_uart0_dual_pr_ee },
 {  84872, ur_m644_u1x8_uart0_dual_pr_ee },
 {  84873, ur_m644_u1x8_uart0_dual_pr_ce },
 {  84874, ur_m644_u1x8_uart0_dual_pr_ce },
 {  84875, ur_m644_u1x8_uart0_dual_pr_ee_ce },
 {  84876, ur_m644_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  84878, ur_m644_u1x8_uart0_dual_ee_hw },
 {  84880, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  84881, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  84924, ur_m644a_u1x8_uart1_noled },
 {  84925, ur_m644a_u1x8_uart1_noled },
 {  84926, ur_m644a_u1x8_uart1_noled_pr_u4 },
 {  84927, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  84928, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  84929, ur_m644a_u1x8_uart1_noled_pr_ce },
 {  84930, ur_m644a_u1x8_uart1_noled_pr_ce_u4 },
 {  84931, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  84932, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  84934, ur_m644a_u1x8_uart1_noled_ee_hw },
 {  84936, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  84937, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  84938, ur_m644a_u1x8_uart1_lednop },
 {  84939, ur_m644a_u1x8_uart1_lednop },
 {  84940, ur_m644a_u1x8_uart1_lednop_pr_u4 },
 {  84941, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  84942, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  84943, ur_m644a_u1x8_uart1_lednop_pr_ce },
 {  84944, ur_m644a_u1x8_uart1_lednop_pr_ce_u4 },
 {  84945, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  84946, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  84948, ur_m644a_u1x8_uart1_lednop_ee_hw },
 {  84950, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  84951, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  84952, ur_m644a_u1x8_uart1_dual },
 {  84953, ur_m644a_u1x8_uart1_dual },
 {  84954, ur_m644a_u1x8_uart1_dual },
 {  84955, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  84956, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  84957, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  84958, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  84959, ur_m644a_u1x8_uart1_dual_pr_ee_ce },
 {  84960, ur_m644a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  84962, ur_m644a_u1x8_uart1_dual_ee_hw },
 {  84964, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  84965, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  85050, ur_m644_u1x12_uart0_noled },
 {  85051, ur_m644_u1x12_uart0_noled },
 {  85052, ur_m644_u1x12_uart0_noled_pr_u4 },
 {  85053, ur_m644_u1x12_uart0_noled_pr_ee },
 {  85054, ur_m644_u1x12_uart0_noled_pr_ee },
 {  85055, ur_m644_u1x12_uart0_noled_pr_ce },
 {  85056, ur_m644_u1x12_uart0_noled_pr_ce_u4 },
 {  85057, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  85058, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  85060, ur_m644_u1x12_uart0_noled_ee_hw },
 {  85062, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  85063, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  85064, ur_m644_u1x12_uart0_lednop },
 {  85065, ur_m644_u1x12_uart0_lednop },
 {  85066, ur_m644_u1x12_uart0_lednop_pr_u4 },
 {  85067, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  85068, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  85069, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  85070, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  85071, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  85072, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  85074, ur_m644_u1x12_uart0_lednop_ee_hw },
 {  85076, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  85077, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  85078, ur_m644_u1x12_uart0_dual },
 {  85079, ur_m644_u1x12_uart0_dual },
 {  85080, ur_m644_u1x12_uart0_dual },
 {  85081, ur_m644_u1x12_uart0_dual_pr_ee },
 {  85082, ur_m644_u1x12_uart0_dual_pr_ee },
 {  85083, ur_m644_u1x12_uart0_dual_pr_ce },
 {  85084, ur_m644_u1x12_uart0_dual_pr_ce },
 {  85085, ur_m644_u1x12_uart0_dual_pr_ee_ce },
 {  85086, ur_m644_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  85088, ur_m644_u1x12_uart0_dual_ee_hw },
 {  85090, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  85091, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  85134, ur_m644a_u1x12_uart1_noled },
 {  85135, ur_m644a_u1x12_uart1_noled },
 {  85136, ur_m644a_u1x12_uart1_noled_pr_u4 },
 {  85137, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  85138, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  85139, ur_m644a_u1x12_uart1_noled_pr_ce },
 {  85140, ur_m644a_u1x12_uart1_noled_pr_ce_u4 },
 {  85141, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  85142, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  85144, ur_m644a_u1x12_uart1_noled_ee_hw },
 {  85146, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  85147, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  85148, ur_m644a_u1x12_uart1_lednop },
 {  85149, ur_m644a_u1x12_uart1_lednop },
 {  85150, ur_m644a_u1x12_uart1_lednop_pr_u4 },
 {  85151, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  85152, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  85153, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  85154, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  85155, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  85156, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  85158, ur_m644a_u1x12_uart1_lednop_ee_hw },
 {  85160, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  85161, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  85162, ur_m644a_u1x12_uart1_dual },
 {  85163, ur_m644a_u1x12_uart1_dual },
 {  85164, ur_m644a_u1x12_uart1_dual },
 {  85165, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  85166, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  85167, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  85168, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  85169, ur_m644a_u1x12_uart1_dual_pr_ee_ce },
 {  85170, ur_m644a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  85172, ur_m644a_u1x12_uart1_dual_ee_hw },
 {  85174, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  85175, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  85260, ur_m644_u2x8_uart0_noled },
 {  85261, ur_m644_u2x8_uart0_noled },
 {  85262, ur_m644_u2x8_uart0_noled_pr_u4 },
 {  85263, ur_m644_u2x8_uart0_noled_pr_ee },
 {  85264, ur_m644_u2x8_uart0_noled_pr_ee },
 {  85265, ur_m644_u2x8_uart0_noled_pr_ce },
 {  85266, ur_m644_u2x8_uart0_noled_pr_ce_u4 },
 {  85267, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  85268, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  85270, ur_m644_u2x8_uart0_noled_ee_hw },
 {  85272, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  85273, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  85274, ur_m644_u2x8_uart0_lednop },
 {  85275, ur_m644_u2x8_uart0_lednop },
 {  85276, ur_m644_u2x8_uart0_lednop_pr_u4 },
 {  85277, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  85278, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  85279, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  85280, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  85281, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  85282, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  85284, ur_m644_u2x8_uart0_lednop_ee_hw },
 {  85286, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  85287, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  85288, ur_m644_u2x8_uart0_dual },
 {  85289, ur_m644_u2x8_uart0_dual },
 {  85290, ur_m644_u2x8_uart0_dual },
 {  85291, ur_m644_u2x8_uart0_dual_pr_ee },
 {  85292, ur_m644_u2x8_uart0_dual_pr_ee },
 {  85293, ur_m644_u2x8_uart0_dual_pr_ce },
 {  85294, ur_m644_u2x8_uart0_dual_pr_ce },
 {  85295, ur_m644_u2x8_uart0_dual_pr_ee_ce },
 {  85296, ur_m644_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  85298, ur_m644_u2x8_uart0_dual_ee_hw },
 {  85300, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  85301, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  85344, ur_m644a_u2x8_uart1_noled },
 {  85345, ur_m644a_u2x8_uart1_noled },
 {  85346, ur_m644a_u2x8_uart1_noled_pr_u4 },
 {  85347, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  85348, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  85349, ur_m644a_u2x8_uart1_noled_pr_ce },
 {  85350, ur_m644a_u2x8_uart1_noled_pr_ce_u4 },
 {  85351, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  85352, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  85354, ur_m644a_u2x8_uart1_noled_ee_hw },
 {  85356, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  85357, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  85358, ur_m644a_u2x8_uart1_lednop },
 {  85359, ur_m644a_u2x8_uart1_lednop },
 {  85360, ur_m644a_u2x8_uart1_lednop_pr_u4 },
 {  85361, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  85362, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  85363, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  85364, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  85365, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  85366, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  85368, ur_m644a_u2x8_uart1_lednop_ee_hw },
 {  85370, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  85371, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  85372, ur_m644a_u2x8_uart1_dual },
 {  85373, ur_m644a_u2x8_uart1_dual },
 {  85374, ur_m644a_u2x8_uart1_dual },
 {  85375, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  85376, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  85377, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  85378, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  85379, ur_m644a_u2x8_uart1_dual_pr_ee_ce },
 {  85380, ur_m644a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  85382, ur_m644a_u2x8_uart1_dual_ee_hw },
 {  85384, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  85385, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  85470, ur_m644_u2x12_uart0_noled },
 {  85471, ur_m644_u2x12_uart0_noled },
 {  85472, ur_m644_u2x12_uart0_noled_pr_u4 },
 {  85473, ur_m644_u2x12_uart0_noled_pr_ee },
 {  85474, ur_m644_u2x12_uart0_noled_pr_ee },
 {  85475, ur_m644_u2x12_uart0_noled_pr_ce },
 {  85476, ur_m644_u2x12_uart0_noled_pr_ce_u4 },
 {  85477, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  85478, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  85480, ur_m644_u2x12_uart0_noled_ee_hw },
 {  85482, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  85483, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  85484, ur_m644_u2x12_uart0_lednop },
 {  85485, ur_m644_u2x12_uart0_lednop },
 {  85486, ur_m644_u2x12_uart0_lednop_pr_u4 },
 {  85487, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  85488, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  85489, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  85490, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  85491, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  85492, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  85494, ur_m644_u2x12_uart0_lednop_ee_hw },
 {  85496, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  85497, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  85498, ur_m644_u2x12_uart0_dual },
 {  85499, ur_m644_u2x12_uart0_dual },
 {  85500, ur_m644_u2x12_uart0_dual },
 {  85501, ur_m644_u2x12_uart0_dual_pr_ee },
 {  85502, ur_m644_u2x12_uart0_dual_pr_ee },
 {  85503, ur_m644_u2x12_uart0_dual_pr_ce },
 {  85504, ur_m644_u2x12_uart0_dual_pr_ce },
 {  85505, ur_m644_u2x12_uart0_dual_pr_ee_ce },
 {  85506, ur_m644_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  85508, ur_m644_u2x12_uart0_dual_ee_hw },
 {  85510, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  85511, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  85554, ur_m644a_u2x12_uart1_noled },
 {  85555, ur_m644a_u2x12_uart1_noled },
 {  85556, ur_m644a_u2x12_uart1_noled_pr_u4 },
 {  85557, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  85558, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  85559, ur_m644a_u2x12_uart1_noled_pr_ce },
 {  85560, ur_m644a_u2x12_uart1_noled_pr_ce_u4 },
 {  85561, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  85562, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  85564, ur_m644a_u2x12_uart1_noled_ee_hw },
 {  85566, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  85567, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  85568, ur_m644a_u2x12_uart1_lednop },
 {  85569, ur_m644a_u2x12_uart1_lednop },
 {  85570, ur_m644a_u2x12_uart1_lednop_pr_u4 },
 {  85571, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  85572, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  85573, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  85574, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  85575, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  85576, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  85578, ur_m644a_u2x12_uart1_lednop_ee_hw },
 {  85580, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  85581, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  85582, ur_m644a_u2x12_uart1_dual },
 {  85583, ur_m644a_u2x12_uart1_dual },
 {  85584, ur_m644a_u2x12_uart1_dual },
 {  85585, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  85586, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  85587, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  85588, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  85589, ur_m644a_u2x12_uart1_dual_pr_ee_ce },
 {  85590, ur_m644a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  85592, ur_m644a_u2x12_uart1_dual_ee_hw },
 {  85594, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  85595, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  85680, ur_m644_swio10_noled },
 {  85681, ur_m644_swio10_noled },
 {  85682, ur_m644_swio10_noled_pr_u4 },
 {  85683, ur_m644_swio10_noled_pr_ee },
 {  85684, ur_m644_swio10_noled_pr_ee },
 {  85685, ur_m644_swio10_noled_pr_ce },
 {  85686, ur_m644_swio10_noled_pr_ce },
 {  85687, ur_m644_swio10_noled_pr_ee_ce },
 {  85688, ur_m644_swio10_noled_pr_ee_ce },
 {  85690, ur_m644_swio10_noled_ee_hw },
 {  85692, ur_m644_swio10_noled_ee_ce_hw },
 {  85693, ur_m644_swio10_noled_ee_ce_hw },
 {  85694, ur_m644_swio10_lednop },
 {  85695, ur_m644_swio10_lednop },
 {  85696, ur_m644_swio10_lednop_pr_u4 },
 {  85697, ur_m644_swio10_lednop_pr_ee },
 {  85698, ur_m644_swio10_lednop_pr_ee },
 {  85699, ur_m644_swio10_lednop_pr_ce },
 {  85700, ur_m644_swio10_lednop_pr_ce },
 {  85701, ur_m644_swio10_lednop_pr_ee_ce },
 {  85702, ur_m644_swio10_lednop_pr_ee_ce },
 {  85704, ur_m644_swio10_lednop_ee_hw },
 {  85706, ur_m644_swio10_lednop_ee_ce_hw },
 {  85707, ur_m644_swio10_lednop_ee_ce_hw },
 {  85708, ur_m644_swio10_dual },
 {  85709, ur_m644_swio10_dual },
 {  85710, ur_m644_swio10_dual },
 {  85711, ur_m644_swio10_dual_pr_ee },
 {  85712, ur_m644_swio10_dual_pr_ee_u4 },
 {  85713, ur_m644_swio10_dual_pr_ce },
 {  85714, ur_m644_swio10_dual_pr_ce },
 {  85715, ur_m644_swio10_dual_pr_ee_ce },
 {  85716, ur_m644_swio10_dual_pr_ee_ce_u4 },
 {  85718, ur_m644_swio10_dual_ee_hw },
 {  85720, ur_m644_swio10_dual_ee_ce_hw },
 {  85721, ur_m644_swio10_dual_ee_ce_hw },
 {  85722, ur_m644_swio11_noled },
 {  85723, ur_m644_swio11_noled },
 {  85724, ur_m644_swio11_noled_pr_u4 },
 {  85725, ur_m644_swio11_noled_pr_ee },
 {  85726, ur_m644_swio11_noled_pr_ee },
 {  85727, ur_m644_swio11_noled_pr_ce },
 {  85728, ur_m644_swio11_noled_pr_ce },
 {  85729, ur_m644_swio11_noled_pr_ee_ce },
 {  85730, ur_m644_swio11_noled_pr_ee_ce },
 {  85732, ur_m644_swio11_noled_ee_hw },
 {  85734, ur_m644_swio11_noled_ee_ce_hw },
 {  85735, ur_m644_swio11_noled_ee_ce_hw },
 {  85736, ur_m644_swio11_lednop },
 {  85737, ur_m644_swio11_lednop_pr },
 {  85738, ur_m644_swio11_lednop_pr },
 {  85739, ur_m644_swio11_lednop_pr_ee },
 {  85740, ur_m644_swio11_lednop_pr_ee },
 {  85741, ur_m644_swio11_lednop_pr_ce },
 {  85742, ur_m644_swio11_lednop_pr_ce },
 {  85743, ur_m644_swio11_lednop_pr_ee_ce },
 {  85744, ur_m644_swio11_lednop_pr_ee_ce },
 {  85746, ur_m644_swio11_lednop_ee_hw },
 {  85748, ur_m644_swio11_lednop_ee_ce_hw },
 {  85749, ur_m644_swio11_lednop_ee_ce_hw },
 {  85750, ur_m644_swio11_dual },
 {  85751, ur_m644_swio11_dual },
 {  85752, ur_m644_swio11_dual },
 {  85753, ur_m644_swio11_dual_pr_ee },
 {  85754, ur_m644_swio11_dual_pr_ee_u4 },
 {  85755, ur_m644_swio11_dual_pr_ce },
 {  85756, ur_m644_swio11_dual_pr_ce },
 {  85757, ur_m644_swio11_dual_pr_ee_ce },
 {  85758, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  85760, ur_m644_swio11_dual_ee_hw },
 {  85762, ur_m644_swio11_dual_ee_ce_hw },
 {  85763, ur_m644_swio11_dual_ee_ce_hw },
 {  85764, ur_m644_swio11_noled },
 {  85765, ur_m644_swio11_noled },
 {  85766, ur_m644_swio11_noled_pr_u4 },
 {  85767, ur_m644_swio11_noled_pr_ee },
 {  85768, ur_m644_swio11_noled_pr_ee },
 {  85769, ur_m644_swio11_noled_pr_ce },
 {  85770, ur_m644_swio11_noled_pr_ce },
 {  85771, ur_m644_swio11_noled_pr_ee_ce },
 {  85772, ur_m644_swio11_noled_pr_ee_ce },
 {  85774, ur_m644_swio11_noled_ee_hw },
 {  85776, ur_m644_swio11_noled_ee_ce_hw },
 {  85777, ur_m644_swio11_noled_ee_ce_hw },
 {  85778, ur_m644_swio11_lednop },
 {  85779, ur_m644_swio11_lednop_pr },
 {  85780, ur_m644_swio11_lednop_pr },
 {  85781, ur_m644_swio11_lednop_pr_ee },
 {  85782, ur_m644_swio11_lednop_pr_ee },
 {  85783, ur_m644_swio11_lednop_pr_ce },
 {  85784, ur_m644_swio11_lednop_pr_ce },
 {  85785, ur_m644_swio11_lednop_pr_ee_ce },
 {  85786, ur_m644_swio11_lednop_pr_ee_ce },
 {  85788, ur_m644_swio11_lednop_ee_hw },
 {  85790, ur_m644_swio11_lednop_ee_ce_hw },
 {  85791, ur_m644_swio11_lednop_ee_ce_hw },
 {  85792, ur_m644_swio11_dual },
 {  85793, ur_m644_swio11_dual },
 {  85794, ur_m644_swio11_dual },
 {  85795, ur_m644_swio11_dual_pr_ee },
 {  85796, ur_m644_swio11_dual_pr_ee_u4 },
 {  85797, ur_m644_swio11_dual_pr_ce },
 {  85798, ur_m644_swio11_dual_pr_ce },
 {  85799, ur_m644_swio11_dual_pr_ee_ce },
 {  85800, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  85802, ur_m644_swio11_dual_ee_hw },
 {  85804, ur_m644_swio11_dual_ee_ce_hw },
 {  85805, ur_m644_swio11_dual_ee_ce_hw },
 {  85806, ur_m644_swio13_noled },
 {  85807, ur_m644_swio13_noled },
 {  85808, ur_m644_swio13_noled_pr_u4 },
 {  85809, ur_m644_swio13_noled_pr_ee },
 {  85810, ur_m644_swio13_noled_pr_ee },
 {  85811, ur_m644_swio13_noled_pr_ce },
 {  85812, ur_m644_swio13_noled_pr_ce },
 {  85813, ur_m644_swio13_noled_pr_ee_ce },
 {  85814, ur_m644_swio13_noled_pr_ee_ce },
 {  85816, ur_m644_swio13_noled_ee_hw },
 {  85818, ur_m644_swio13_noled_ee_ce_hw },
 {  85819, ur_m644_swio13_noled_ee_ce_hw },
 {  85820, ur_m644_swio13_lednop },
 {  85821, ur_m644_swio13_lednop_pr },
 {  85822, ur_m644_swio13_lednop_pr },
 {  85823, ur_m644_swio13_lednop_pr_ee },
 {  85824, ur_m644_swio13_lednop_pr_ee },
 {  85825, ur_m644_swio13_lednop_pr_ce },
 {  85826, ur_m644_swio13_lednop_pr_ce },
 {  85827, ur_m644_swio13_lednop_pr_ee_ce },
 {  85828, ur_m644_swio13_lednop_pr_ee_ce },
 {  85830, ur_m644_swio13_lednop_ee_hw },
 {  85832, ur_m644_swio13_lednop_ee_ce_hw },
 {  85833, ur_m644_swio13_lednop_ee_ce_hw },
 {  85834, ur_m644_swio13_dual },
 {  85835, ur_m644_swio13_dual },
 {  85836, ur_m644_swio13_dual },
 {  85837, ur_m644_swio13_dual_pr_ee },
 {  85838, ur_m644_swio13_dual_pr_ee_u4 },
 {  85839, ur_m644_swio13_dual_pr_ce },
 {  85840, ur_m644_swio13_dual_pr_ce },
 {  85841, ur_m644_swio13_dual_pr_ee_ce },
 {  85842, ur_m644_swio13_dual_pr_ee_ce_u4 },
 {  85844, ur_m644_swio13_dual_ee_hw },
 {  85846, ur_m644_swio13_dual_ee_ce_hw },
 {  85847, ur_m644_swio13_dual_ee_ce_hw },
 {  85848, ur_m644_swio14_noled },
 {  85849, ur_m644_swio14_noled },
 {  85850, ur_m644_swio14_noled_pr_u4 },
 {  85851, ur_m644_swio14_noled_pr_ee },
 {  85852, ur_m644_swio14_noled_pr_ee },
 {  85853, ur_m644_swio14_noled_pr_ce },
 {  85854, ur_m644_swio14_noled_pr_ce },
 {  85855, ur_m644_swio14_noled_pr_ee_ce },
 {  85856, ur_m644_swio14_noled_pr_ee_ce },
 {  85858, ur_m644_swio14_noled_ee_hw },
 {  85860, ur_m644_swio14_noled_ee_ce_hw },
 {  85861, ur_m644_swio14_noled_ee_ce_hw },
 {  85862, ur_m644_swio14_lednop },
 {  85863, ur_m644_swio14_lednop_pr },
 {  85864, ur_m644_swio14_lednop_pr },
 {  85865, ur_m644_swio14_lednop_pr_ee },
 {  85866, ur_m644_swio14_lednop_pr_ee },
 {  85867, ur_m644_swio14_lednop_pr_ce },
 {  85868, ur_m644_swio14_lednop_pr_ce },
 {  85869, ur_m644_swio14_lednop_pr_ee_ce },
 {  85870, ur_m644_swio14_lednop_pr_ee_ce },
 {  85872, ur_m644_swio14_lednop_ee_hw },
 {  85874, ur_m644_swio14_lednop_ee_ce_hw },
 {  85875, ur_m644_swio14_lednop_ee_ce_hw },
 {  85876, ur_m644_swio14_dual },
 {  85877, ur_m644_swio14_dual },
 {  85878, ur_m644_swio14_dual },
 {  85879, ur_m644_swio14_dual_pr_ee },
 {  85880, ur_m644_swio14_dual_pr_ee_u4 },
 {  85881, ur_m644_swio14_dual_pr_ce },
 {  85882, ur_m644_swio14_dual_pr_ce },
 {  85883, ur_m644_swio14_dual_pr_ee_ce },
 {  85884, ur_m644_swio14_dual_pr_ee_ce_u4 },
 {  85886, ur_m644_swio14_dual_ee_hw },
 {  85888, ur_m644_swio14_dual_ee_ce_hw },
 {  85889, ur_m644_swio14_dual_ee_ce_hw },
 {  85890, ur_m644_swio15_noled },
 {  85891, ur_m644_swio15_noled },
 {  85892, ur_m644_swio15_noled_pr_u4 },
 {  85893, ur_m644_swio15_noled_pr_ee },
 {  85894, ur_m644_swio15_noled_pr_ee },
 {  85895, ur_m644_swio15_noled_pr_ce },
 {  85896, ur_m644_swio15_noled_pr_ce },
 {  85897, ur_m644_swio15_noled_pr_ee_ce },
 {  85898, ur_m644_swio15_noled_pr_ee_ce },
 {  85900, ur_m644_swio15_noled_ee_hw },
 {  85902, ur_m644_swio15_noled_ee_ce_hw },
 {  85903, ur_m644_swio15_noled_ee_ce_hw },
 {  85904, ur_m644_swio15_lednop },
 {  85905, ur_m644_swio15_lednop_pr },
 {  85906, ur_m644_swio15_lednop_pr },
 {  85907, ur_m644_swio15_lednop_pr_ee },
 {  85908, ur_m644_swio15_lednop_pr_ee },
 {  85909, ur_m644_swio15_lednop_pr_ce },
 {  85910, ur_m644_swio15_lednop_pr_ce },
 {  85911, ur_m644_swio15_lednop_pr_ee_ce },
 {  85912, ur_m644_swio15_lednop_pr_ee_ce },
 {  85914, ur_m644_swio15_lednop_ee_hw },
 {  85916, ur_m644_swio15_lednop_ee_ce_hw },
 {  85917, ur_m644_swio15_lednop_ee_ce_hw },
 {  85918, ur_m644_swio15_dual },
 {  85919, ur_m644_swio15_dual },
 {  85920, ur_m644_swio15_dual },
 {  85921, ur_m644_swio15_dual_pr_ee },
 {  85922, ur_m644_swio15_dual_pr_ee_u4 },
 {  85923, ur_m644_swio15_dual_pr_ce },
 {  85924, ur_m644_swio15_dual_pr_ce },
 {  85925, ur_m644_swio15_dual_pr_ee_ce },
 {  85926, ur_m644_swio15_dual_pr_ee_ce_u4 },
 {  85928, ur_m644_swio15_dual_ee_hw },
 {  85930, ur_m644_swio15_dual_ee_ce_hw },
 {  85931, ur_m644_swio15_dual_ee_ce_hw },
 {  85932, ur_m644_autobaud_uart0_noled },
 {  85933, ur_m644_autobaud_uart0_noled },
 {  85934, ur_m644_autobaud_uart0_noled_pr_u4 },
 {  85935, ur_m644_autobaud_uart0_noled_pr_ee },
 {  85936, ur_m644_autobaud_uart0_noled_pr_ee },
 {  85937, ur_m644_autobaud_uart0_noled_pr_ce },
 {  85938, ur_m644_autobaud_uart0_noled_pr_ce },
 {  85939, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  85940, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  85942, ur_m644_autobaud_uart0_noled_ee_hw },
 {  85944, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  85945, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  85946, ur_m644_autobaud_uart0_lednop },
 {  85947, ur_m644_autobaud_uart0_lednop },
 {  85948, ur_m644_autobaud_uart0_lednop_pr_u4 },
 {  85949, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  85950, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  85951, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  85952, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  85953, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  85954, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  85956, ur_m644_autobaud_uart0_lednop_ee_hw },
 {  85958, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  85959, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  85960, ur_m644_autobaud_uart0_dual },
 {  85961, ur_m644_autobaud_uart0_dual },
 {  85962, ur_m644_autobaud_uart0_dual },
 {  85963, ur_m644_autobaud_uart0_dual_pr_ee },
 {  85964, ur_m644_autobaud_uart0_dual_pr_ee },
 {  85965, ur_m644_autobaud_uart0_dual_pr_ce },
 {  85966, ur_m644_autobaud_uart0_dual_pr_ce },
 {  85967, ur_m644_autobaud_uart0_dual_pr_ee_ce },
 {  85968, ur_m644_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  85970, ur_m644_autobaud_uart0_dual_ee_hw },
 {  85972, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  85973, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  86016, ur_m644a_autobaud_uart1_noled },
 {  86017, ur_m644a_autobaud_uart1_noled },
 {  86018, ur_m644a_autobaud_uart1_noled_pr_u4 },
 {  86019, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  86020, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  86021, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  86022, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  86023, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  86024, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  86026, ur_m644a_autobaud_uart1_noled_ee_hw },
 {  86028, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  86029, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  86030, ur_m644a_autobaud_uart1_lednop },
 {  86031, ur_m644a_autobaud_uart1_lednop },
 {  86032, ur_m644a_autobaud_uart1_lednop_pr_u4 },
 {  86033, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  86034, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  86035, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  86036, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  86037, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  86038, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  86040, ur_m644a_autobaud_uart1_lednop_ee_hw },
 {  86042, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  86043, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  86044, ur_m644a_autobaud_uart1_dual },
 {  86045, ur_m644a_autobaud_uart1_dual },
 {  86046, ur_m644a_autobaud_uart1_dual },
 {  86047, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  86048, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  86049, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  86050, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  86051, ur_m644a_autobaud_uart1_dual_pr_ee_ce },
 {  86052, ur_m644a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  86054, ur_m644a_autobaud_uart1_dual_ee_hw },
 {  86056, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  86057, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  86142, ur_m644_u1x8_uart0_noled },
 {  86143, ur_m644_u1x8_uart0_noled },
 {  86144, ur_m644_u1x8_uart0_noled_pr_u4 },
 {  86145, ur_m644_u1x8_uart0_noled_pr_ee },
 {  86146, ur_m644_u1x8_uart0_noled_pr_ee },
 {  86147, ur_m644_u1x8_uart0_noled_pr_ce },
 {  86148, ur_m644_u1x8_uart0_noled_pr_ce_u4 },
 {  86149, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  86150, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  86152, ur_m644_u1x8_uart0_noled_ee_hw },
 {  86154, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  86155, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  86156, ur_m644_u1x8_uart0_lednop },
 {  86157, ur_m644_u1x8_uart0_lednop },
 {  86158, ur_m644_u1x8_uart0_lednop_pr_u4 },
 {  86159, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  86160, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  86161, ur_m644_u1x8_uart0_lednop_pr_ce },
 {  86162, ur_m644_u1x8_uart0_lednop_pr_ce_u4 },
 {  86163, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  86164, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  86166, ur_m644_u1x8_uart0_lednop_ee_hw },
 {  86168, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  86169, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  86170, ur_m644_u1x8_uart0_dual },
 {  86171, ur_m644_u1x8_uart0_dual },
 {  86172, ur_m644_u1x8_uart0_dual },
 {  86173, ur_m644_u1x8_uart0_dual_pr_ee },
 {  86174, ur_m644_u1x8_uart0_dual_pr_ee },
 {  86175, ur_m644_u1x8_uart0_dual_pr_ce },
 {  86176, ur_m644_u1x8_uart0_dual_pr_ce },
 {  86177, ur_m644_u1x8_uart0_dual_pr_ee_ce },
 {  86178, ur_m644_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  86180, ur_m644_u1x8_uart0_dual_ee_hw },
 {  86182, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  86183, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  86226, ur_m644a_u1x8_uart1_noled },
 {  86227, ur_m644a_u1x8_uart1_noled },
 {  86228, ur_m644a_u1x8_uart1_noled_pr_u4 },
 {  86229, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  86230, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  86231, ur_m644a_u1x8_uart1_noled_pr_ce },
 {  86232, ur_m644a_u1x8_uart1_noled_pr_ce_u4 },
 {  86233, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  86234, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  86236, ur_m644a_u1x8_uart1_noled_ee_hw },
 {  86238, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  86239, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  86240, ur_m644a_u1x8_uart1_lednop },
 {  86241, ur_m644a_u1x8_uart1_lednop },
 {  86242, ur_m644a_u1x8_uart1_lednop_pr_u4 },
 {  86243, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  86244, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  86245, ur_m644a_u1x8_uart1_lednop_pr_ce },
 {  86246, ur_m644a_u1x8_uart1_lednop_pr_ce_u4 },
 {  86247, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  86248, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  86250, ur_m644a_u1x8_uart1_lednop_ee_hw },
 {  86252, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  86253, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  86254, ur_m644a_u1x8_uart1_dual },
 {  86255, ur_m644a_u1x8_uart1_dual },
 {  86256, ur_m644a_u1x8_uart1_dual },
 {  86257, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  86258, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  86259, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  86260, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  86261, ur_m644a_u1x8_uart1_dual_pr_ee_ce },
 {  86262, ur_m644a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  86264, ur_m644a_u1x8_uart1_dual_ee_hw },
 {  86266, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  86267, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  86352, ur_m644_u1x12_uart0_noled },
 {  86353, ur_m644_u1x12_uart0_noled },
 {  86354, ur_m644_u1x12_uart0_noled_pr_u4 },
 {  86355, ur_m644_u1x12_uart0_noled_pr_ee },
 {  86356, ur_m644_u1x12_uart0_noled_pr_ee },
 {  86357, ur_m644_u1x12_uart0_noled_pr_ce },
 {  86358, ur_m644_u1x12_uart0_noled_pr_ce_u4 },
 {  86359, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  86360, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  86362, ur_m644_u1x12_uart0_noled_ee_hw },
 {  86364, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  86365, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  86366, ur_m644_u1x12_uart0_lednop },
 {  86367, ur_m644_u1x12_uart0_lednop },
 {  86368, ur_m644_u1x12_uart0_lednop_pr_u4 },
 {  86369, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  86370, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  86371, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  86372, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  86373, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  86374, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  86376, ur_m644_u1x12_uart0_lednop_ee_hw },
 {  86378, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  86379, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  86380, ur_m644_u1x12_uart0_dual },
 {  86381, ur_m644_u1x12_uart0_dual },
 {  86382, ur_m644_u1x12_uart0_dual },
 {  86383, ur_m644_u1x12_uart0_dual_pr_ee },
 {  86384, ur_m644_u1x12_uart0_dual_pr_ee },
 {  86385, ur_m644_u1x12_uart0_dual_pr_ce },
 {  86386, ur_m644_u1x12_uart0_dual_pr_ce },
 {  86387, ur_m644_u1x12_uart0_dual_pr_ee_ce },
 {  86388, ur_m644_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  86390, ur_m644_u1x12_uart0_dual_ee_hw },
 {  86392, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  86393, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  86436, ur_m644a_u1x12_uart1_noled },
 {  86437, ur_m644a_u1x12_uart1_noled },
 {  86438, ur_m644a_u1x12_uart1_noled_pr_u4 },
 {  86439, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  86440, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  86441, ur_m644a_u1x12_uart1_noled_pr_ce },
 {  86442, ur_m644a_u1x12_uart1_noled_pr_ce_u4 },
 {  86443, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  86444, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  86446, ur_m644a_u1x12_uart1_noled_ee_hw },
 {  86448, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  86449, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  86450, ur_m644a_u1x12_uart1_lednop },
 {  86451, ur_m644a_u1x12_uart1_lednop },
 {  86452, ur_m644a_u1x12_uart1_lednop_pr_u4 },
 {  86453, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  86454, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  86455, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  86456, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  86457, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  86458, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  86460, ur_m644a_u1x12_uart1_lednop_ee_hw },
 {  86462, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  86463, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  86464, ur_m644a_u1x12_uart1_dual },
 {  86465, ur_m644a_u1x12_uart1_dual },
 {  86466, ur_m644a_u1x12_uart1_dual },
 {  86467, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  86468, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  86469, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  86470, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  86471, ur_m644a_u1x12_uart1_dual_pr_ee_ce },
 {  86472, ur_m644a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  86474, ur_m644a_u1x12_uart1_dual_ee_hw },
 {  86476, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  86477, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  86562, ur_m644_u2x8_uart0_noled },
 {  86563, ur_m644_u2x8_uart0_noled },
 {  86564, ur_m644_u2x8_uart0_noled_pr_u4 },
 {  86565, ur_m644_u2x8_uart0_noled_pr_ee },
 {  86566, ur_m644_u2x8_uart0_noled_pr_ee },
 {  86567, ur_m644_u2x8_uart0_noled_pr_ce },
 {  86568, ur_m644_u2x8_uart0_noled_pr_ce_u4 },
 {  86569, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  86570, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  86572, ur_m644_u2x8_uart0_noled_ee_hw },
 {  86574, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  86575, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  86576, ur_m644_u2x8_uart0_lednop },
 {  86577, ur_m644_u2x8_uart0_lednop },
 {  86578, ur_m644_u2x8_uart0_lednop_pr_u4 },
 {  86579, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  86580, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  86581, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  86582, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  86583, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  86584, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  86586, ur_m644_u2x8_uart0_lednop_ee_hw },
 {  86588, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  86589, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  86590, ur_m644_u2x8_uart0_dual },
 {  86591, ur_m644_u2x8_uart0_dual },
 {  86592, ur_m644_u2x8_uart0_dual },
 {  86593, ur_m644_u2x8_uart0_dual_pr_ee },
 {  86594, ur_m644_u2x8_uart0_dual_pr_ee },
 {  86595, ur_m644_u2x8_uart0_dual_pr_ce },
 {  86596, ur_m644_u2x8_uart0_dual_pr_ce },
 {  86597, ur_m644_u2x8_uart0_dual_pr_ee_ce },
 {  86598, ur_m644_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  86600, ur_m644_u2x8_uart0_dual_ee_hw },
 {  86602, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  86603, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  86646, ur_m644a_u2x8_uart1_noled },
 {  86647, ur_m644a_u2x8_uart1_noled },
 {  86648, ur_m644a_u2x8_uart1_noled_pr_u4 },
 {  86649, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  86650, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  86651, ur_m644a_u2x8_uart1_noled_pr_ce },
 {  86652, ur_m644a_u2x8_uart1_noled_pr_ce_u4 },
 {  86653, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  86654, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  86656, ur_m644a_u2x8_uart1_noled_ee_hw },
 {  86658, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  86659, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  86660, ur_m644a_u2x8_uart1_lednop },
 {  86661, ur_m644a_u2x8_uart1_lednop },
 {  86662, ur_m644a_u2x8_uart1_lednop_pr_u4 },
 {  86663, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  86664, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  86665, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  86666, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  86667, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  86668, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  86670, ur_m644a_u2x8_uart1_lednop_ee_hw },
 {  86672, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  86673, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  86674, ur_m644a_u2x8_uart1_dual },
 {  86675, ur_m644a_u2x8_uart1_dual },
 {  86676, ur_m644a_u2x8_uart1_dual },
 {  86677, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  86678, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  86679, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  86680, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  86681, ur_m644a_u2x8_uart1_dual_pr_ee_ce },
 {  86682, ur_m644a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  86684, ur_m644a_u2x8_uart1_dual_ee_hw },
 {  86686, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  86687, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  86772, ur_m644_u2x12_uart0_noled },
 {  86773, ur_m644_u2x12_uart0_noled },
 {  86774, ur_m644_u2x12_uart0_noled_pr_u4 },
 {  86775, ur_m644_u2x12_uart0_noled_pr_ee },
 {  86776, ur_m644_u2x12_uart0_noled_pr_ee },
 {  86777, ur_m644_u2x12_uart0_noled_pr_ce },
 {  86778, ur_m644_u2x12_uart0_noled_pr_ce_u4 },
 {  86779, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  86780, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  86782, ur_m644_u2x12_uart0_noled_ee_hw },
 {  86784, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  86785, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  86786, ur_m644_u2x12_uart0_lednop },
 {  86787, ur_m644_u2x12_uart0_lednop },
 {  86788, ur_m644_u2x12_uart0_lednop_pr_u4 },
 {  86789, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  86790, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  86791, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  86792, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  86793, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  86794, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  86796, ur_m644_u2x12_uart0_lednop_ee_hw },
 {  86798, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  86799, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  86800, ur_m644_u2x12_uart0_dual },
 {  86801, ur_m644_u2x12_uart0_dual },
 {  86802, ur_m644_u2x12_uart0_dual },
 {  86803, ur_m644_u2x12_uart0_dual_pr_ee },
 {  86804, ur_m644_u2x12_uart0_dual_pr_ee },
 {  86805, ur_m644_u2x12_uart0_dual_pr_ce },
 {  86806, ur_m644_u2x12_uart0_dual_pr_ce },
 {  86807, ur_m644_u2x12_uart0_dual_pr_ee_ce },
 {  86808, ur_m644_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  86810, ur_m644_u2x12_uart0_dual_ee_hw },
 {  86812, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  86813, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  86856, ur_m644a_u2x12_uart1_noled },
 {  86857, ur_m644a_u2x12_uart1_noled },
 {  86858, ur_m644a_u2x12_uart1_noled_pr_u4 },
 {  86859, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  86860, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  86861, ur_m644a_u2x12_uart1_noled_pr_ce },
 {  86862, ur_m644a_u2x12_uart1_noled_pr_ce_u4 },
 {  86863, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  86864, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  86866, ur_m644a_u2x12_uart1_noled_ee_hw },
 {  86868, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  86869, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  86870, ur_m644a_u2x12_uart1_lednop },
 {  86871, ur_m644a_u2x12_uart1_lednop },
 {  86872, ur_m644a_u2x12_uart1_lednop_pr_u4 },
 {  86873, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  86874, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  86875, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  86876, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  86877, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  86878, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  86880, ur_m644a_u2x12_uart1_lednop_ee_hw },
 {  86882, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  86883, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  86884, ur_m644a_u2x12_uart1_dual },
 {  86885, ur_m644a_u2x12_uart1_dual },
 {  86886, ur_m644a_u2x12_uart1_dual },
 {  86887, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  86888, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  86889, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  86890, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  86891, ur_m644a_u2x12_uart1_dual_pr_ee_ce },
 {  86892, ur_m644a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  86894, ur_m644a_u2x12_uart1_dual_ee_hw },
 {  86896, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  86897, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  86982, ur_m644_swio10_noled },
 {  86983, ur_m644_swio10_noled },
 {  86984, ur_m644_swio10_noled_pr_u4 },
 {  86985, ur_m644_swio10_noled_pr_ee },
 {  86986, ur_m644_swio10_noled_pr_ee },
 {  86987, ur_m644_swio10_noled_pr_ce },
 {  86988, ur_m644_swio10_noled_pr_ce },
 {  86989, ur_m644_swio10_noled_pr_ee_ce },
 {  86990, ur_m644_swio10_noled_pr_ee_ce },
 {  86992, ur_m644_swio10_noled_ee_hw },
 {  86994, ur_m644_swio10_noled_ee_ce_hw },
 {  86995, ur_m644_swio10_noled_ee_ce_hw },
 {  86996, ur_m644_swio10_lednop },
 {  86997, ur_m644_swio10_lednop },
 {  86998, ur_m644_swio10_lednop_pr_u4 },
 {  86999, ur_m644_swio10_lednop_pr_ee },
 {  87000, ur_m644_swio10_lednop_pr_ee },
 {  87001, ur_m644_swio10_lednop_pr_ce },
 {  87002, ur_m644_swio10_lednop_pr_ce },
 {  87003, ur_m644_swio10_lednop_pr_ee_ce },
 {  87004, ur_m644_swio10_lednop_pr_ee_ce },
 {  87006, ur_m644_swio10_lednop_ee_hw },
 {  87008, ur_m644_swio10_lednop_ee_ce_hw },
 {  87009, ur_m644_swio10_lednop_ee_ce_hw },
 {  87010, ur_m644_swio10_dual },
 {  87011, ur_m644_swio10_dual },
 {  87012, ur_m644_swio10_dual },
 {  87013, ur_m644_swio10_dual_pr_ee },
 {  87014, ur_m644_swio10_dual_pr_ee_u4 },
 {  87015, ur_m644_swio10_dual_pr_ce },
 {  87016, ur_m644_swio10_dual_pr_ce },
 {  87017, ur_m644_swio10_dual_pr_ee_ce },
 {  87018, ur_m644_swio10_dual_pr_ee_ce_u4 },
 {  87020, ur_m644_swio10_dual_ee_hw },
 {  87022, ur_m644_swio10_dual_ee_ce_hw },
 {  87023, ur_m644_swio10_dual_ee_ce_hw },
 {  87024, ur_m644_swio11_noled },
 {  87025, ur_m644_swio11_noled },
 {  87026, ur_m644_swio11_noled_pr_u4 },
 {  87027, ur_m644_swio11_noled_pr_ee },
 {  87028, ur_m644_swio11_noled_pr_ee },
 {  87029, ur_m644_swio11_noled_pr_ce },
 {  87030, ur_m644_swio11_noled_pr_ce },
 {  87031, ur_m644_swio11_noled_pr_ee_ce },
 {  87032, ur_m644_swio11_noled_pr_ee_ce },
 {  87034, ur_m644_swio11_noled_ee_hw },
 {  87036, ur_m644_swio11_noled_ee_ce_hw },
 {  87037, ur_m644_swio11_noled_ee_ce_hw },
 {  87038, ur_m644_swio11_lednop },
 {  87039, ur_m644_swio11_lednop_pr },
 {  87040, ur_m644_swio11_lednop_pr },
 {  87041, ur_m644_swio11_lednop_pr_ee },
 {  87042, ur_m644_swio11_lednop_pr_ee },
 {  87043, ur_m644_swio11_lednop_pr_ce },
 {  87044, ur_m644_swio11_lednop_pr_ce },
 {  87045, ur_m644_swio11_lednop_pr_ee_ce },
 {  87046, ur_m644_swio11_lednop_pr_ee_ce },
 {  87048, ur_m644_swio11_lednop_ee_hw },
 {  87050, ur_m644_swio11_lednop_ee_ce_hw },
 {  87051, ur_m644_swio11_lednop_ee_ce_hw },
 {  87052, ur_m644_swio11_dual },
 {  87053, ur_m644_swio11_dual },
 {  87054, ur_m644_swio11_dual },
 {  87055, ur_m644_swio11_dual_pr_ee },
 {  87056, ur_m644_swio11_dual_pr_ee_u4 },
 {  87057, ur_m644_swio11_dual_pr_ce },
 {  87058, ur_m644_swio11_dual_pr_ce },
 {  87059, ur_m644_swio11_dual_pr_ee_ce },
 {  87060, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  87062, ur_m644_swio11_dual_ee_hw },
 {  87064, ur_m644_swio11_dual_ee_ce_hw },
 {  87065, ur_m644_swio11_dual_ee_ce_hw },
 {  87066, ur_m644_swio11_noled },
 {  87067, ur_m644_swio11_noled },
 {  87068, ur_m644_swio11_noled_pr_u4 },
 {  87069, ur_m644_swio11_noled_pr_ee },
 {  87070, ur_m644_swio11_noled_pr_ee },
 {  87071, ur_m644_swio11_noled_pr_ce },
 {  87072, ur_m644_swio11_noled_pr_ce },
 {  87073, ur_m644_swio11_noled_pr_ee_ce },
 {  87074, ur_m644_swio11_noled_pr_ee_ce },
 {  87076, ur_m644_swio11_noled_ee_hw },
 {  87078, ur_m644_swio11_noled_ee_ce_hw },
 {  87079, ur_m644_swio11_noled_ee_ce_hw },
 {  87080, ur_m644_swio11_lednop },
 {  87081, ur_m644_swio11_lednop_pr },
 {  87082, ur_m644_swio11_lednop_pr },
 {  87083, ur_m644_swio11_lednop_pr_ee },
 {  87084, ur_m644_swio11_lednop_pr_ee },
 {  87085, ur_m644_swio11_lednop_pr_ce },
 {  87086, ur_m644_swio11_lednop_pr_ce },
 {  87087, ur_m644_swio11_lednop_pr_ee_ce },
 {  87088, ur_m644_swio11_lednop_pr_ee_ce },
 {  87090, ur_m644_swio11_lednop_ee_hw },
 {  87092, ur_m644_swio11_lednop_ee_ce_hw },
 {  87093, ur_m644_swio11_lednop_ee_ce_hw },
 {  87094, ur_m644_swio11_dual },
 {  87095, ur_m644_swio11_dual },
 {  87096, ur_m644_swio11_dual },
 {  87097, ur_m644_swio11_dual_pr_ee },
 {  87098, ur_m644_swio11_dual_pr_ee_u4 },
 {  87099, ur_m644_swio11_dual_pr_ce },
 {  87100, ur_m644_swio11_dual_pr_ce },
 {  87101, ur_m644_swio11_dual_pr_ee_ce },
 {  87102, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  87104, ur_m644_swio11_dual_ee_hw },
 {  87106, ur_m644_swio11_dual_ee_ce_hw },
 {  87107, ur_m644_swio11_dual_ee_ce_hw },
 {  87108, ur_m644_swio13_noled },
 {  87109, ur_m644_swio13_noled },
 {  87110, ur_m644_swio13_noled_pr_u4 },
 {  87111, ur_m644_swio13_noled_pr_ee },
 {  87112, ur_m644_swio13_noled_pr_ee },
 {  87113, ur_m644_swio13_noled_pr_ce },
 {  87114, ur_m644_swio13_noled_pr_ce },
 {  87115, ur_m644_swio13_noled_pr_ee_ce },
 {  87116, ur_m644_swio13_noled_pr_ee_ce },
 {  87118, ur_m644_swio13_noled_ee_hw },
 {  87120, ur_m644_swio13_noled_ee_ce_hw },
 {  87121, ur_m644_swio13_noled_ee_ce_hw },
 {  87122, ur_m644_swio13_lednop },
 {  87123, ur_m644_swio13_lednop_pr },
 {  87124, ur_m644_swio13_lednop_pr },
 {  87125, ur_m644_swio13_lednop_pr_ee },
 {  87126, ur_m644_swio13_lednop_pr_ee },
 {  87127, ur_m644_swio13_lednop_pr_ce },
 {  87128, ur_m644_swio13_lednop_pr_ce },
 {  87129, ur_m644_swio13_lednop_pr_ee_ce },
 {  87130, ur_m644_swio13_lednop_pr_ee_ce },
 {  87132, ur_m644_swio13_lednop_ee_hw },
 {  87134, ur_m644_swio13_lednop_ee_ce_hw },
 {  87135, ur_m644_swio13_lednop_ee_ce_hw },
 {  87136, ur_m644_swio13_dual },
 {  87137, ur_m644_swio13_dual },
 {  87138, ur_m644_swio13_dual },
 {  87139, ur_m644_swio13_dual_pr_ee },
 {  87140, ur_m644_swio13_dual_pr_ee_u4 },
 {  87141, ur_m644_swio13_dual_pr_ce },
 {  87142, ur_m644_swio13_dual_pr_ce },
 {  87143, ur_m644_swio13_dual_pr_ee_ce },
 {  87144, ur_m644_swio13_dual_pr_ee_ce_u4 },
 {  87146, ur_m644_swio13_dual_ee_hw },
 {  87148, ur_m644_swio13_dual_ee_ce_hw },
 {  87149, ur_m644_swio13_dual_ee_ce_hw },
 {  87150, ur_m644_swio14_noled },
 {  87151, ur_m644_swio14_noled },
 {  87152, ur_m644_swio14_noled_pr_u4 },
 {  87153, ur_m644_swio14_noled_pr_ee },
 {  87154, ur_m644_swio14_noled_pr_ee },
 {  87155, ur_m644_swio14_noled_pr_ce },
 {  87156, ur_m644_swio14_noled_pr_ce },
 {  87157, ur_m644_swio14_noled_pr_ee_ce },
 {  87158, ur_m644_swio14_noled_pr_ee_ce },
 {  87160, ur_m644_swio14_noled_ee_hw },
 {  87162, ur_m644_swio14_noled_ee_ce_hw },
 {  87163, ur_m644_swio14_noled_ee_ce_hw },
 {  87164, ur_m644_swio14_lednop },
 {  87165, ur_m644_swio14_lednop_pr },
 {  87166, ur_m644_swio14_lednop_pr },
 {  87167, ur_m644_swio14_lednop_pr_ee },
 {  87168, ur_m644_swio14_lednop_pr_ee },
 {  87169, ur_m644_swio14_lednop_pr_ce },
 {  87170, ur_m644_swio14_lednop_pr_ce },
 {  87171, ur_m644_swio14_lednop_pr_ee_ce },
 {  87172, ur_m644_swio14_lednop_pr_ee_ce },
 {  87174, ur_m644_swio14_lednop_ee_hw },
 {  87176, ur_m644_swio14_lednop_ee_ce_hw },
 {  87177, ur_m644_swio14_lednop_ee_ce_hw },
 {  87178, ur_m644_swio14_dual },
 {  87179, ur_m644_swio14_dual },
 {  87180, ur_m644_swio14_dual },
 {  87181, ur_m644_swio14_dual_pr_ee },
 {  87182, ur_m644_swio14_dual_pr_ee_u4 },
 {  87183, ur_m644_swio14_dual_pr_ce },
 {  87184, ur_m644_swio14_dual_pr_ce },
 {  87185, ur_m644_swio14_dual_pr_ee_ce },
 {  87186, ur_m644_swio14_dual_pr_ee_ce_u4 },
 {  87188, ur_m644_swio14_dual_ee_hw },
 {  87190, ur_m644_swio14_dual_ee_ce_hw },
 {  87191, ur_m644_swio14_dual_ee_ce_hw },
 {  87192, ur_m644_swio15_noled },
 {  87193, ur_m644_swio15_noled },
 {  87194, ur_m644_swio15_noled_pr_u4 },
 {  87195, ur_m644_swio15_noled_pr_ee },
 {  87196, ur_m644_swio15_noled_pr_ee },
 {  87197, ur_m644_swio15_noled_pr_ce },
 {  87198, ur_m644_swio15_noled_pr_ce },
 {  87199, ur_m644_swio15_noled_pr_ee_ce },
 {  87200, ur_m644_swio15_noled_pr_ee_ce },
 {  87202, ur_m644_swio15_noled_ee_hw },
 {  87204, ur_m644_swio15_noled_ee_ce_hw },
 {  87205, ur_m644_swio15_noled_ee_ce_hw },
 {  87206, ur_m644_swio15_lednop },
 {  87207, ur_m644_swio15_lednop_pr },
 {  87208, ur_m644_swio15_lednop_pr },
 {  87209, ur_m644_swio15_lednop_pr_ee },
 {  87210, ur_m644_swio15_lednop_pr_ee },
 {  87211, ur_m644_swio15_lednop_pr_ce },
 {  87212, ur_m644_swio15_lednop_pr_ce },
 {  87213, ur_m644_swio15_lednop_pr_ee_ce },
 {  87214, ur_m644_swio15_lednop_pr_ee_ce },
 {  87216, ur_m644_swio15_lednop_ee_hw },
 {  87218, ur_m644_swio15_lednop_ee_ce_hw },
 {  87219, ur_m644_swio15_lednop_ee_ce_hw },
 {  87220, ur_m644_swio15_dual },
 {  87221, ur_m644_swio15_dual },
 {  87222, ur_m644_swio15_dual },
 {  87223, ur_m644_swio15_dual_pr_ee },
 {  87224, ur_m644_swio15_dual_pr_ee_u4 },
 {  87225, ur_m644_swio15_dual_pr_ce },
 {  87226, ur_m644_swio15_dual_pr_ce },
 {  87227, ur_m644_swio15_dual_pr_ee_ce },
 {  87228, ur_m644_swio15_dual_pr_ee_ce_u4 },
 {  87230, ur_m644_swio15_dual_ee_hw },
 {  87232, ur_m644_swio15_dual_ee_ce_hw },
 {  87233, ur_m644_swio15_dual_ee_ce_hw },
 {  87234, ur_m644_autobaud_uart0_noled },
 {  87235, ur_m644_autobaud_uart0_noled },
 {  87236, ur_m644_autobaud_uart0_noled_pr_u4 },
 {  87237, ur_m644_autobaud_uart0_noled_pr_ee },
 {  87238, ur_m644_autobaud_uart0_noled_pr_ee },
 {  87239, ur_m644_autobaud_uart0_noled_pr_ce },
 {  87240, ur_m644_autobaud_uart0_noled_pr_ce },
 {  87241, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  87242, ur_m644_autobaud_uart0_noled_pr_ee_ce },
 {  87244, ur_m644_autobaud_uart0_noled_ee_hw },
 {  87246, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  87247, ur_m644_autobaud_uart0_noled_ee_ce_hw },
 {  87248, ur_m644_autobaud_uart0_lednop },
 {  87249, ur_m644_autobaud_uart0_lednop },
 {  87250, ur_m644_autobaud_uart0_lednop_pr_u4 },
 {  87251, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  87252, ur_m644_autobaud_uart0_lednop_pr_ee },
 {  87253, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  87254, ur_m644_autobaud_uart0_lednop_pr_ce },
 {  87255, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  87256, ur_m644_autobaud_uart0_lednop_pr_ee_ce },
 {  87258, ur_m644_autobaud_uart0_lednop_ee_hw },
 {  87260, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  87261, ur_m644_autobaud_uart0_lednop_ee_ce_hw },
 {  87262, ur_m644_autobaud_uart0_dual },
 {  87263, ur_m644_autobaud_uart0_dual },
 {  87264, ur_m644_autobaud_uart0_dual },
 {  87265, ur_m644_autobaud_uart0_dual_pr_ee },
 {  87266, ur_m644_autobaud_uart0_dual_pr_ee },
 {  87267, ur_m644_autobaud_uart0_dual_pr_ce },
 {  87268, ur_m644_autobaud_uart0_dual_pr_ce },
 {  87269, ur_m644_autobaud_uart0_dual_pr_ee_ce },
 {  87270, ur_m644_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  87272, ur_m644_autobaud_uart0_dual_ee_hw },
 {  87274, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  87275, ur_m644_autobaud_uart0_dual_ee_ce_hw },
 {  87318, ur_m644a_autobaud_uart1_noled },
 {  87319, ur_m644a_autobaud_uart1_noled },
 {  87320, ur_m644a_autobaud_uart1_noled_pr_u4 },
 {  87321, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  87322, ur_m644a_autobaud_uart1_noled_pr_ee },
 {  87323, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  87324, ur_m644a_autobaud_uart1_noled_pr_ce },
 {  87325, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  87326, ur_m644a_autobaud_uart1_noled_pr_ee_ce },
 {  87328, ur_m644a_autobaud_uart1_noled_ee_hw },
 {  87330, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  87331, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 {  87332, ur_m644a_autobaud_uart1_lednop },
 {  87333, ur_m644a_autobaud_uart1_lednop },
 {  87334, ur_m644a_autobaud_uart1_lednop_pr_u4 },
 {  87335, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  87336, ur_m644a_autobaud_uart1_lednop_pr_ee },
 {  87337, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  87338, ur_m644a_autobaud_uart1_lednop_pr_ce },
 {  87339, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  87340, ur_m644a_autobaud_uart1_lednop_pr_ee_ce },
 {  87342, ur_m644a_autobaud_uart1_lednop_ee_hw },
 {  87344, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  87345, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 {  87346, ur_m644a_autobaud_uart1_dual },
 {  87347, ur_m644a_autobaud_uart1_dual },
 {  87348, ur_m644a_autobaud_uart1_dual },
 {  87349, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  87350, ur_m644a_autobaud_uart1_dual_pr_ee },
 {  87351, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  87352, ur_m644a_autobaud_uart1_dual_pr_ce },
 {  87353, ur_m644a_autobaud_uart1_dual_pr_ee_ce },
 {  87354, ur_m644a_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  87356, ur_m644a_autobaud_uart1_dual_ee_hw },
 {  87358, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  87359, ur_m644a_autobaud_uart1_dual_ee_ce_hw },
 {  87444, ur_m644_u1x8_uart0_noled },
 {  87445, ur_m644_u1x8_uart0_noled },
 {  87446, ur_m644_u1x8_uart0_noled_pr_u4 },
 {  87447, ur_m644_u1x8_uart0_noled_pr_ee },
 {  87448, ur_m644_u1x8_uart0_noled_pr_ee },
 {  87449, ur_m644_u1x8_uart0_noled_pr_ce },
 {  87450, ur_m644_u1x8_uart0_noled_pr_ce_u4 },
 {  87451, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  87452, ur_m644_u1x8_uart0_noled_pr_ee_ce },
 {  87454, ur_m644_u1x8_uart0_noled_ee_hw },
 {  87456, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  87457, ur_m644_u1x8_uart0_noled_ee_ce_hw },
 {  87458, ur_m644_u1x8_uart0_lednop },
 {  87459, ur_m644_u1x8_uart0_lednop },
 {  87460, ur_m644_u1x8_uart0_lednop_pr_u4 },
 {  87461, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  87462, ur_m644_u1x8_uart0_lednop_pr_ee },
 {  87463, ur_m644_u1x8_uart0_lednop_pr_ce },
 {  87464, ur_m644_u1x8_uart0_lednop_pr_ce_u4 },
 {  87465, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  87466, ur_m644_u1x8_uart0_lednop_pr_ee_ce },
 {  87468, ur_m644_u1x8_uart0_lednop_ee_hw },
 {  87470, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  87471, ur_m644_u1x8_uart0_lednop_ee_ce_hw },
 {  87472, ur_m644_u1x8_uart0_dual },
 {  87473, ur_m644_u1x8_uart0_dual },
 {  87474, ur_m644_u1x8_uart0_dual },
 {  87475, ur_m644_u1x8_uart0_dual_pr_ee },
 {  87476, ur_m644_u1x8_uart0_dual_pr_ee },
 {  87477, ur_m644_u1x8_uart0_dual_pr_ce },
 {  87478, ur_m644_u1x8_uart0_dual_pr_ce },
 {  87479, ur_m644_u1x8_uart0_dual_pr_ee_ce },
 {  87480, ur_m644_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  87482, ur_m644_u1x8_uart0_dual_ee_hw },
 {  87484, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  87485, ur_m644_u1x8_uart0_dual_ee_ce_hw },
 {  87528, ur_m644a_u1x8_uart1_noled },
 {  87529, ur_m644a_u1x8_uart1_noled },
 {  87530, ur_m644a_u1x8_uart1_noled_pr_u4 },
 {  87531, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  87532, ur_m644a_u1x8_uart1_noled_pr_ee },
 {  87533, ur_m644a_u1x8_uart1_noled_pr_ce },
 {  87534, ur_m644a_u1x8_uart1_noled_pr_ce_u4 },
 {  87535, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  87536, ur_m644a_u1x8_uart1_noled_pr_ee_ce },
 {  87538, ur_m644a_u1x8_uart1_noled_ee_hw },
 {  87540, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  87541, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 {  87542, ur_m644a_u1x8_uart1_lednop },
 {  87543, ur_m644a_u1x8_uart1_lednop },
 {  87544, ur_m644a_u1x8_uart1_lednop_pr_u4 },
 {  87545, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  87546, ur_m644a_u1x8_uart1_lednop_pr_ee },
 {  87547, ur_m644a_u1x8_uart1_lednop_pr_ce },
 {  87548, ur_m644a_u1x8_uart1_lednop_pr_ce_u4 },
 {  87549, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  87550, ur_m644a_u1x8_uart1_lednop_pr_ee_ce },
 {  87552, ur_m644a_u1x8_uart1_lednop_ee_hw },
 {  87554, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  87555, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 {  87556, ur_m644a_u1x8_uart1_dual },
 {  87557, ur_m644a_u1x8_uart1_dual },
 {  87558, ur_m644a_u1x8_uart1_dual },
 {  87559, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  87560, ur_m644a_u1x8_uart1_dual_pr_ee },
 {  87561, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  87562, ur_m644a_u1x8_uart1_dual_pr_ce },
 {  87563, ur_m644a_u1x8_uart1_dual_pr_ee_ce },
 {  87564, ur_m644a_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  87566, ur_m644a_u1x8_uart1_dual_ee_hw },
 {  87568, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  87569, ur_m644a_u1x8_uart1_dual_ee_ce_hw },
 {  87654, ur_m644_u1x12_uart0_noled },
 {  87655, ur_m644_u1x12_uart0_noled },
 {  87656, ur_m644_u1x12_uart0_noled_pr_u4 },
 {  87657, ur_m644_u1x12_uart0_noled_pr_ee },
 {  87658, ur_m644_u1x12_uart0_noled_pr_ee },
 {  87659, ur_m644_u1x12_uart0_noled_pr_ce },
 {  87660, ur_m644_u1x12_uart0_noled_pr_ce_u4 },
 {  87661, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  87662, ur_m644_u1x12_uart0_noled_pr_ee_ce },
 {  87664, ur_m644_u1x12_uart0_noled_ee_hw },
 {  87666, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  87667, ur_m644_u1x12_uart0_noled_ee_ce_hw },
 {  87668, ur_m644_u1x12_uart0_lednop },
 {  87669, ur_m644_u1x12_uart0_lednop },
 {  87670, ur_m644_u1x12_uart0_lednop_pr_u4 },
 {  87671, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  87672, ur_m644_u1x12_uart0_lednop_pr_ee },
 {  87673, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  87674, ur_m644_u1x12_uart0_lednop_pr_ce },
 {  87675, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  87676, ur_m644_u1x12_uart0_lednop_pr_ee_ce },
 {  87678, ur_m644_u1x12_uart0_lednop_ee_hw },
 {  87680, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  87681, ur_m644_u1x12_uart0_lednop_ee_ce_hw },
 {  87682, ur_m644_u1x12_uart0_dual },
 {  87683, ur_m644_u1x12_uart0_dual },
 {  87684, ur_m644_u1x12_uart0_dual },
 {  87685, ur_m644_u1x12_uart0_dual_pr_ee },
 {  87686, ur_m644_u1x12_uart0_dual_pr_ee },
 {  87687, ur_m644_u1x12_uart0_dual_pr_ce },
 {  87688, ur_m644_u1x12_uart0_dual_pr_ce },
 {  87689, ur_m644_u1x12_uart0_dual_pr_ee_ce },
 {  87690, ur_m644_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  87692, ur_m644_u1x12_uart0_dual_ee_hw },
 {  87694, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  87695, ur_m644_u1x12_uart0_dual_ee_ce_hw },
 {  87738, ur_m644a_u1x12_uart1_noled },
 {  87739, ur_m644a_u1x12_uart1_noled },
 {  87740, ur_m644a_u1x12_uart1_noled_pr_u4 },
 {  87741, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  87742, ur_m644a_u1x12_uart1_noled_pr_ee },
 {  87743, ur_m644a_u1x12_uart1_noled_pr_ce },
 {  87744, ur_m644a_u1x12_uart1_noled_pr_ce_u4 },
 {  87745, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  87746, ur_m644a_u1x12_uart1_noled_pr_ee_ce },
 {  87748, ur_m644a_u1x12_uart1_noled_ee_hw },
 {  87750, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  87751, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 {  87752, ur_m644a_u1x12_uart1_lednop },
 {  87753, ur_m644a_u1x12_uart1_lednop },
 {  87754, ur_m644a_u1x12_uart1_lednop_pr_u4 },
 {  87755, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  87756, ur_m644a_u1x12_uart1_lednop_pr_ee },
 {  87757, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  87758, ur_m644a_u1x12_uart1_lednop_pr_ce },
 {  87759, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  87760, ur_m644a_u1x12_uart1_lednop_pr_ee_ce },
 {  87762, ur_m644a_u1x12_uart1_lednop_ee_hw },
 {  87764, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  87765, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 {  87766, ur_m644a_u1x12_uart1_dual },
 {  87767, ur_m644a_u1x12_uart1_dual },
 {  87768, ur_m644a_u1x12_uart1_dual },
 {  87769, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  87770, ur_m644a_u1x12_uart1_dual_pr_ee },
 {  87771, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  87772, ur_m644a_u1x12_uart1_dual_pr_ce },
 {  87773, ur_m644a_u1x12_uart1_dual_pr_ee_ce },
 {  87774, ur_m644a_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  87776, ur_m644a_u1x12_uart1_dual_ee_hw },
 {  87778, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  87779, ur_m644a_u1x12_uart1_dual_ee_ce_hw },
 {  87864, ur_m644_u2x8_uart0_noled },
 {  87865, ur_m644_u2x8_uart0_noled },
 {  87866, ur_m644_u2x8_uart0_noled_pr_u4 },
 {  87867, ur_m644_u2x8_uart0_noled_pr_ee },
 {  87868, ur_m644_u2x8_uart0_noled_pr_ee },
 {  87869, ur_m644_u2x8_uart0_noled_pr_ce },
 {  87870, ur_m644_u2x8_uart0_noled_pr_ce_u4 },
 {  87871, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  87872, ur_m644_u2x8_uart0_noled_pr_ee_ce },
 {  87874, ur_m644_u2x8_uart0_noled_ee_hw },
 {  87876, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  87877, ur_m644_u2x8_uart0_noled_ee_ce_hw },
 {  87878, ur_m644_u2x8_uart0_lednop },
 {  87879, ur_m644_u2x8_uart0_lednop },
 {  87880, ur_m644_u2x8_uart0_lednop_pr_u4 },
 {  87881, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  87882, ur_m644_u2x8_uart0_lednop_pr_ee },
 {  87883, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  87884, ur_m644_u2x8_uart0_lednop_pr_ce },
 {  87885, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  87886, ur_m644_u2x8_uart0_lednop_pr_ee_ce },
 {  87888, ur_m644_u2x8_uart0_lednop_ee_hw },
 {  87890, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  87891, ur_m644_u2x8_uart0_lednop_ee_ce_hw },
 {  87892, ur_m644_u2x8_uart0_dual },
 {  87893, ur_m644_u2x8_uart0_dual },
 {  87894, ur_m644_u2x8_uart0_dual },
 {  87895, ur_m644_u2x8_uart0_dual_pr_ee },
 {  87896, ur_m644_u2x8_uart0_dual_pr_ee },
 {  87897, ur_m644_u2x8_uart0_dual_pr_ce },
 {  87898, ur_m644_u2x8_uart0_dual_pr_ce },
 {  87899, ur_m644_u2x8_uart0_dual_pr_ee_ce },
 {  87900, ur_m644_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  87902, ur_m644_u2x8_uart0_dual_ee_hw },
 {  87904, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  87905, ur_m644_u2x8_uart0_dual_ee_ce_hw },
 {  87948, ur_m644a_u2x8_uart1_noled },
 {  87949, ur_m644a_u2x8_uart1_noled },
 {  87950, ur_m644a_u2x8_uart1_noled_pr_u4 },
 {  87951, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  87952, ur_m644a_u2x8_uart1_noled_pr_ee },
 {  87953, ur_m644a_u2x8_uart1_noled_pr_ce },
 {  87954, ur_m644a_u2x8_uart1_noled_pr_ce_u4 },
 {  87955, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  87956, ur_m644a_u2x8_uart1_noled_pr_ee_ce },
 {  87958, ur_m644a_u2x8_uart1_noled_ee_hw },
 {  87960, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  87961, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 {  87962, ur_m644a_u2x8_uart1_lednop },
 {  87963, ur_m644a_u2x8_uart1_lednop },
 {  87964, ur_m644a_u2x8_uart1_lednop_pr_u4 },
 {  87965, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  87966, ur_m644a_u2x8_uart1_lednop_pr_ee },
 {  87967, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  87968, ur_m644a_u2x8_uart1_lednop_pr_ce },
 {  87969, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  87970, ur_m644a_u2x8_uart1_lednop_pr_ee_ce },
 {  87972, ur_m644a_u2x8_uart1_lednop_ee_hw },
 {  87974, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  87975, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 {  87976, ur_m644a_u2x8_uart1_dual },
 {  87977, ur_m644a_u2x8_uart1_dual },
 {  87978, ur_m644a_u2x8_uart1_dual },
 {  87979, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  87980, ur_m644a_u2x8_uart1_dual_pr_ee },
 {  87981, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  87982, ur_m644a_u2x8_uart1_dual_pr_ce },
 {  87983, ur_m644a_u2x8_uart1_dual_pr_ee_ce },
 {  87984, ur_m644a_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  87986, ur_m644a_u2x8_uart1_dual_ee_hw },
 {  87988, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  87989, ur_m644a_u2x8_uart1_dual_ee_ce_hw },
 {  88074, ur_m644_u2x12_uart0_noled },
 {  88075, ur_m644_u2x12_uart0_noled },
 {  88076, ur_m644_u2x12_uart0_noled_pr_u4 },
 {  88077, ur_m644_u2x12_uart0_noled_pr_ee },
 {  88078, ur_m644_u2x12_uart0_noled_pr_ee },
 {  88079, ur_m644_u2x12_uart0_noled_pr_ce },
 {  88080, ur_m644_u2x12_uart0_noled_pr_ce_u4 },
 {  88081, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  88082, ur_m644_u2x12_uart0_noled_pr_ee_ce },
 {  88084, ur_m644_u2x12_uart0_noled_ee_hw },
 {  88086, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  88087, ur_m644_u2x12_uart0_noled_ee_ce_hw },
 {  88088, ur_m644_u2x12_uart0_lednop },
 {  88089, ur_m644_u2x12_uart0_lednop },
 {  88090, ur_m644_u2x12_uart0_lednop_pr_u4 },
 {  88091, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  88092, ur_m644_u2x12_uart0_lednop_pr_ee },
 {  88093, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  88094, ur_m644_u2x12_uart0_lednop_pr_ce },
 {  88095, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  88096, ur_m644_u2x12_uart0_lednop_pr_ee_ce },
 {  88098, ur_m644_u2x12_uart0_lednop_ee_hw },
 {  88100, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  88101, ur_m644_u2x12_uart0_lednop_ee_ce_hw },
 {  88102, ur_m644_u2x12_uart0_dual },
 {  88103, ur_m644_u2x12_uart0_dual },
 {  88104, ur_m644_u2x12_uart0_dual },
 {  88105, ur_m644_u2x12_uart0_dual_pr_ee },
 {  88106, ur_m644_u2x12_uart0_dual_pr_ee },
 {  88107, ur_m644_u2x12_uart0_dual_pr_ce },
 {  88108, ur_m644_u2x12_uart0_dual_pr_ce },
 {  88109, ur_m644_u2x12_uart0_dual_pr_ee_ce },
 {  88110, ur_m644_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  88112, ur_m644_u2x12_uart0_dual_ee_hw },
 {  88114, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  88115, ur_m644_u2x12_uart0_dual_ee_ce_hw },
 {  88158, ur_m644a_u2x12_uart1_noled },
 {  88159, ur_m644a_u2x12_uart1_noled },
 {  88160, ur_m644a_u2x12_uart1_noled_pr_u4 },
 {  88161, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  88162, ur_m644a_u2x12_uart1_noled_pr_ee },
 {  88163, ur_m644a_u2x12_uart1_noled_pr_ce },
 {  88164, ur_m644a_u2x12_uart1_noled_pr_ce_u4 },
 {  88165, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  88166, ur_m644a_u2x12_uart1_noled_pr_ee_ce },
 {  88168, ur_m644a_u2x12_uart1_noled_ee_hw },
 {  88170, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  88171, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 {  88172, ur_m644a_u2x12_uart1_lednop },
 {  88173, ur_m644a_u2x12_uart1_lednop },
 {  88174, ur_m644a_u2x12_uart1_lednop_pr_u4 },
 {  88175, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  88176, ur_m644a_u2x12_uart1_lednop_pr_ee },
 {  88177, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  88178, ur_m644a_u2x12_uart1_lednop_pr_ce },
 {  88179, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  88180, ur_m644a_u2x12_uart1_lednop_pr_ee_ce },
 {  88182, ur_m644a_u2x12_uart1_lednop_ee_hw },
 {  88184, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  88185, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 {  88186, ur_m644a_u2x12_uart1_dual },
 {  88187, ur_m644a_u2x12_uart1_dual },
 {  88188, ur_m644a_u2x12_uart1_dual },
 {  88189, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  88190, ur_m644a_u2x12_uart1_dual_pr_ee },
 {  88191, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  88192, ur_m644a_u2x12_uart1_dual_pr_ce },
 {  88193, ur_m644a_u2x12_uart1_dual_pr_ee_ce },
 {  88194, ur_m644a_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  88196, ur_m644a_u2x12_uart1_dual_ee_hw },
 {  88198, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  88199, ur_m644a_u2x12_uart1_dual_ee_ce_hw },
 {  88284, ur_m644_swio10_noled },
 {  88285, ur_m644_swio10_noled },
 {  88286, ur_m644_swio10_noled_pr_u4 },
 {  88287, ur_m644_swio10_noled_pr_ee },
 {  88288, ur_m644_swio10_noled_pr_ee },
 {  88289, ur_m644_swio10_noled_pr_ce },
 {  88290, ur_m644_swio10_noled_pr_ce },
 {  88291, ur_m644_swio10_noled_pr_ee_ce },
 {  88292, ur_m644_swio10_noled_pr_ee_ce },
 {  88294, ur_m644_swio10_noled_ee_hw },
 {  88296, ur_m644_swio10_noled_ee_ce_hw },
 {  88297, ur_m644_swio10_noled_ee_ce_hw },
 {  88298, ur_m644_swio10_lednop },
 {  88299, ur_m644_swio10_lednop },
 {  88300, ur_m644_swio10_lednop_pr_u4 },
 {  88301, ur_m644_swio10_lednop_pr_ee },
 {  88302, ur_m644_swio10_lednop_pr_ee },
 {  88303, ur_m644_swio10_lednop_pr_ce },
 {  88304, ur_m644_swio10_lednop_pr_ce },
 {  88305, ur_m644_swio10_lednop_pr_ee_ce },
 {  88306, ur_m644_swio10_lednop_pr_ee_ce },
 {  88308, ur_m644_swio10_lednop_ee_hw },
 {  88310, ur_m644_swio10_lednop_ee_ce_hw },
 {  88311, ur_m644_swio10_lednop_ee_ce_hw },
 {  88312, ur_m644_swio10_dual },
 {  88313, ur_m644_swio10_dual },
 {  88314, ur_m644_swio10_dual },
 {  88315, ur_m644_swio10_dual_pr_ee },
 {  88316, ur_m644_swio10_dual_pr_ee_u4 },
 {  88317, ur_m644_swio10_dual_pr_ce },
 {  88318, ur_m644_swio10_dual_pr_ce },
 {  88319, ur_m644_swio10_dual_pr_ee_ce },
 {  88320, ur_m644_swio10_dual_pr_ee_ce_u4 },
 {  88322, ur_m644_swio10_dual_ee_hw },
 {  88324, ur_m644_swio10_dual_ee_ce_hw },
 {  88325, ur_m644_swio10_dual_ee_ce_hw },
 {  88326, ur_m644_swio11_noled },
 {  88327, ur_m644_swio11_noled },
 {  88328, ur_m644_swio11_noled_pr_u4 },
 {  88329, ur_m644_swio11_noled_pr_ee },
 {  88330, ur_m644_swio11_noled_pr_ee },
 {  88331, ur_m644_swio11_noled_pr_ce },
 {  88332, ur_m644_swio11_noled_pr_ce },
 {  88333, ur_m644_swio11_noled_pr_ee_ce },
 {  88334, ur_m644_swio11_noled_pr_ee_ce },
 {  88336, ur_m644_swio11_noled_ee_hw },
 {  88338, ur_m644_swio11_noled_ee_ce_hw },
 {  88339, ur_m644_swio11_noled_ee_ce_hw },
 {  88340, ur_m644_swio11_lednop },
 {  88341, ur_m644_swio11_lednop_pr },
 {  88342, ur_m644_swio11_lednop_pr },
 {  88343, ur_m644_swio11_lednop_pr_ee },
 {  88344, ur_m644_swio11_lednop_pr_ee },
 {  88345, ur_m644_swio11_lednop_pr_ce },
 {  88346, ur_m644_swio11_lednop_pr_ce },
 {  88347, ur_m644_swio11_lednop_pr_ee_ce },
 {  88348, ur_m644_swio11_lednop_pr_ee_ce },
 {  88350, ur_m644_swio11_lednop_ee_hw },
 {  88352, ur_m644_swio11_lednop_ee_ce_hw },
 {  88353, ur_m644_swio11_lednop_ee_ce_hw },
 {  88354, ur_m644_swio11_dual },
 {  88355, ur_m644_swio11_dual },
 {  88356, ur_m644_swio11_dual },
 {  88357, ur_m644_swio11_dual_pr_ee },
 {  88358, ur_m644_swio11_dual_pr_ee_u4 },
 {  88359, ur_m644_swio11_dual_pr_ce },
 {  88360, ur_m644_swio11_dual_pr_ce },
 {  88361, ur_m644_swio11_dual_pr_ee_ce },
 {  88362, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  88364, ur_m644_swio11_dual_ee_hw },
 {  88366, ur_m644_swio11_dual_ee_ce_hw },
 {  88367, ur_m644_swio11_dual_ee_ce_hw },
 {  88368, ur_m644_swio11_noled },
 {  88369, ur_m644_swio11_noled },
 {  88370, ur_m644_swio11_noled_pr_u4 },
 {  88371, ur_m644_swio11_noled_pr_ee },
 {  88372, ur_m644_swio11_noled_pr_ee },
 {  88373, ur_m644_swio11_noled_pr_ce },
 {  88374, ur_m644_swio11_noled_pr_ce },
 {  88375, ur_m644_swio11_noled_pr_ee_ce },
 {  88376, ur_m644_swio11_noled_pr_ee_ce },
 {  88378, ur_m644_swio11_noled_ee_hw },
 {  88380, ur_m644_swio11_noled_ee_ce_hw },
 {  88381, ur_m644_swio11_noled_ee_ce_hw },
 {  88382, ur_m644_swio11_lednop },
 {  88383, ur_m644_swio11_lednop_pr },
 {  88384, ur_m644_swio11_lednop_pr },
 {  88385, ur_m644_swio11_lednop_pr_ee },
 {  88386, ur_m644_swio11_lednop_pr_ee },
 {  88387, ur_m644_swio11_lednop_pr_ce },
 {  88388, ur_m644_swio11_lednop_pr_ce },
 {  88389, ur_m644_swio11_lednop_pr_ee_ce },
 {  88390, ur_m644_swio11_lednop_pr_ee_ce },
 {  88392, ur_m644_swio11_lednop_ee_hw },
 {  88394, ur_m644_swio11_lednop_ee_ce_hw },
 {  88395, ur_m644_swio11_lednop_ee_ce_hw },
 {  88396, ur_m644_swio11_dual },
 {  88397, ur_m644_swio11_dual },
 {  88398, ur_m644_swio11_dual },
 {  88399, ur_m644_swio11_dual_pr_ee },
 {  88400, ur_m644_swio11_dual_pr_ee_u4 },
 {  88401, ur_m644_swio11_dual_pr_ce },
 {  88402, ur_m644_swio11_dual_pr_ce },
 {  88403, ur_m644_swio11_dual_pr_ee_ce },
 {  88404, ur_m644_swio11_dual_pr_ee_ce_u4 },
 {  88406, ur_m644_swio11_dual_ee_hw },
 {  88408, ur_m644_swio11_dual_ee_ce_hw },
 {  88409, ur_m644_swio11_dual_ee_ce_hw },
 {  88410, ur_m644_swio13_noled },
 {  88411, ur_m644_swio13_noled },
 {  88412, ur_m644_swio13_noled_pr_u4 },
 {  88413, ur_m644_swio13_noled_pr_ee },
 {  88414, ur_m644_swio13_noled_pr_ee },
 {  88415, ur_m644_swio13_noled_pr_ce },
 {  88416, ur_m644_swio13_noled_pr_ce },
 {  88417, ur_m644_swio13_noled_pr_ee_ce },
 {  88418, ur_m644_swio13_noled_pr_ee_ce },
 {  88420, ur_m644_swio13_noled_ee_hw },
 {  88422, ur_m644_swio13_noled_ee_ce_hw },
 {  88423, ur_m644_swio13_noled_ee_ce_hw },
 {  88424, ur_m644_swio13_lednop },
 {  88425, ur_m644_swio13_lednop_pr },
 {  88426, ur_m644_swio13_lednop_pr },
 {  88427, ur_m644_swio13_lednop_pr_ee },
 {  88428, ur_m644_swio13_lednop_pr_ee },
 {  88429, ur_m644_swio13_lednop_pr_ce },
 {  88430, ur_m644_swio13_lednop_pr_ce },
 {  88431, ur_m644_swio13_lednop_pr_ee_ce },
 {  88432, ur_m644_swio13_lednop_pr_ee_ce },
 {  88434, ur_m644_swio13_lednop_ee_hw },
 {  88436, ur_m644_swio13_lednop_ee_ce_hw },
 {  88437, ur_m644_swio13_lednop_ee_ce_hw },
 {  88438, ur_m644_swio13_dual },
 {  88439, ur_m644_swio13_dual },
 {  88440, ur_m644_swio13_dual },
 {  88441, ur_m644_swio13_dual_pr_ee },
 {  88442, ur_m644_swio13_dual_pr_ee_u4 },
 {  88443, ur_m644_swio13_dual_pr_ce },
 {  88444, ur_m644_swio13_dual_pr_ce },
 {  88445, ur_m644_swio13_dual_pr_ee_ce },
 {  88446, ur_m644_swio13_dual_pr_ee_ce_u4 },
 {  88448, ur_m644_swio13_dual_ee_hw },
 {  88450, ur_m644_swio13_dual_ee_ce_hw },
 {  88451, ur_m644_swio13_dual_ee_ce_hw },
 {  88452, ur_m644_swio14_noled },
 {  88453, ur_m644_swio14_noled },
 {  88454, ur_m644_swio14_noled_pr_u4 },
 {  88455, ur_m644_swio14_noled_pr_ee },
 {  88456, ur_m644_swio14_noled_pr_ee },
 {  88457, ur_m644_swio14_noled_pr_ce },
 {  88458, ur_m644_swio14_noled_pr_ce },
 {  88459, ur_m644_swio14_noled_pr_ee_ce },
 {  88460, ur_m644_swio14_noled_pr_ee_ce },
 {  88462, ur_m644_swio14_noled_ee_hw },
 {  88464, ur_m644_swio14_noled_ee_ce_hw },
 {  88465, ur_m644_swio14_noled_ee_ce_hw },
 {  88466, ur_m644_swio14_lednop },
 {  88467, ur_m644_swio14_lednop_pr },
 {  88468, ur_m644_swio14_lednop_pr },
 {  88469, ur_m644_swio14_lednop_pr_ee },
 {  88470, ur_m644_swio14_lednop_pr_ee },
 {  88471, ur_m644_swio14_lednop_pr_ce },
 {  88472, ur_m644_swio14_lednop_pr_ce },
 {  88473, ur_m644_swio14_lednop_pr_ee_ce },
 {  88474, ur_m644_swio14_lednop_pr_ee_ce },
 {  88476, ur_m644_swio14_lednop_ee_hw },
 {  88478, ur_m644_swio14_lednop_ee_ce_hw },
 {  88479, ur_m644_swio14_lednop_ee_ce_hw },
 {  88480, ur_m644_swio14_dual },
 {  88481, ur_m644_swio14_dual },
 {  88482, ur_m644_swio14_dual },
 {  88483, ur_m644_swio14_dual_pr_ee },
 {  88484, ur_m644_swio14_dual_pr_ee_u4 },
 {  88485, ur_m644_swio14_dual_pr_ce },
 {  88486, ur_m644_swio14_dual_pr_ce },
 {  88487, ur_m644_swio14_dual_pr_ee_ce },
 {  88488, ur_m644_swio14_dual_pr_ee_ce_u4 },
 {  88490, ur_m644_swio14_dual_ee_hw },
 {  88492, ur_m644_swio14_dual_ee_ce_hw },
 {  88493, ur_m644_swio14_dual_ee_ce_hw },
 {  88494, ur_m644_swio15_noled },
 {  88495, ur_m644_swio15_noled },
 {  88496, ur_m644_swio15_noled_pr_u4 },
 {  88497, ur_m644_swio15_noled_pr_ee },
 {  88498, ur_m644_swio15_noled_pr_ee },
 {  88499, ur_m644_swio15_noled_pr_ce },
 {  88500, ur_m644_swio15_noled_pr_ce },
 {  88501, ur_m644_swio15_noled_pr_ee_ce },
 {  88502, ur_m644_swio15_noled_pr_ee_ce },
 {  88504, ur_m644_swio15_noled_ee_hw },
 {  88506, ur_m644_swio15_noled_ee_ce_hw },
 {  88507, ur_m644_swio15_noled_ee_ce_hw },
 {  88508, ur_m644_swio15_lednop },
 {  88509, ur_m644_swio15_lednop_pr },
 {  88510, ur_m644_swio15_lednop_pr },
 {  88511, ur_m644_swio15_lednop_pr_ee },
 {  88512, ur_m644_swio15_lednop_pr_ee },
 {  88513, ur_m644_swio15_lednop_pr_ce },
 {  88514, ur_m644_swio15_lednop_pr_ce },
 {  88515, ur_m644_swio15_lednop_pr_ee_ce },
 {  88516, ur_m644_swio15_lednop_pr_ee_ce },
 {  88518, ur_m644_swio15_lednop_ee_hw },
 {  88520, ur_m644_swio15_lednop_ee_ce_hw },
 {  88521, ur_m644_swio15_lednop_ee_ce_hw },
 {  88522, ur_m644_swio15_dual },
 {  88523, ur_m644_swio15_dual },
 {  88524, ur_m644_swio15_dual },
 {  88525, ur_m644_swio15_dual_pr_ee },
 {  88526, ur_m644_swio15_dual_pr_ee_u4 },
 {  88527, ur_m644_swio15_dual_pr_ce },
 {  88528, ur_m644_swio15_dual_pr_ce },
 {  88529, ur_m644_swio15_dual_pr_ee_ce },
 {  88530, ur_m644_swio15_dual_pr_ee_ce_u4 },
 {  88532, ur_m644_swio15_dual_ee_hw },
 {  88534, ur_m644_swio15_dual_ee_ce_hw },
 {  88535, ur_m644_swio15_dual_ee_ce_hw },
 {  88536, ur_m644rfr2_autobaud_uart0_noled },
 {  88537, ur_m644rfr2_autobaud_uart0_noled },
 {  88538, ur_m644rfr2_autobaud_uart0_noled_pr_u4 },
 {  88539, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 {  88540, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 {  88541, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 {  88542, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 {  88543, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  88544, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  88546, ur_m644rfr2_autobaud_uart0_noled_ee_hw },
 {  88548, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  88549, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  88550, ur_m644rfr2_autobaud_uart0_lednop },
 {  88551, ur_m644rfr2_autobaud_uart0_lednop },
 {  88552, ur_m644rfr2_autobaud_uart0_lednop_pr_u4 },
 {  88553, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 {  88554, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 {  88555, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 {  88556, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 {  88557, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  88558, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  88560, ur_m644rfr2_autobaud_uart0_lednop_ee_hw },
 {  88562, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  88563, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  88564, ur_m644rfr2_autobaud_uart0_dual },
 {  88565, ur_m644rfr2_autobaud_uart0_dual },
 {  88566, ur_m644rfr2_autobaud_uart0_dual },
 {  88567, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 {  88568, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 {  88569, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 {  88570, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 {  88571, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce },
 {  88572, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  88574, ur_m644rfr2_autobaud_uart0_dual_ee_hw },
 {  88576, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  88577, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  88620, ur_m644rfr2_autobaud_uart1_noled },
 {  88621, ur_m644rfr2_autobaud_uart1_noled },
 {  88622, ur_m644rfr2_autobaud_uart1_noled_pr_u4 },
 {  88623, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 {  88624, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 {  88625, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 {  88626, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 {  88627, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  88628, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  88630, ur_m644rfr2_autobaud_uart1_noled_ee_hw },
 {  88632, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  88633, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  88634, ur_m644rfr2_autobaud_uart1_lednop },
 {  88635, ur_m644rfr2_autobaud_uart1_lednop },
 {  88636, ur_m644rfr2_autobaud_uart1_lednop_pr_u4 },
 {  88637, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 {  88638, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 {  88639, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 {  88640, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 {  88641, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  88642, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  88644, ur_m644rfr2_autobaud_uart1_lednop_ee_hw },
 {  88646, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  88647, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  88648, ur_m644rfr2_autobaud_uart1_dual },
 {  88649, ur_m644rfr2_autobaud_uart1_dual },
 {  88650, ur_m644rfr2_autobaud_uart1_dual },
 {  88651, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 {  88652, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 {  88653, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 {  88654, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 {  88655, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce },
 {  88656, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  88658, ur_m644rfr2_autobaud_uart1_dual_ee_hw },
 {  88660, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  88661, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  88746, ur_m644rfr2_u1x8_uart0_noled },
 {  88747, ur_m644rfr2_u1x8_uart0_noled },
 {  88748, ur_m644rfr2_u1x8_uart0_noled_pr_u4 },
 {  88749, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 {  88750, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 {  88751, ur_m644rfr2_u1x8_uart0_noled_pr_ce },
 {  88752, ur_m644rfr2_u1x8_uart0_noled_pr_ce_u4 },
 {  88753, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  88754, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  88756, ur_m644rfr2_u1x8_uart0_noled_ee_hw },
 {  88758, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  88759, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  88760, ur_m644rfr2_u1x8_uart0_lednop },
 {  88761, ur_m644rfr2_u1x8_uart0_lednop },
 {  88762, ur_m644rfr2_u1x8_uart0_lednop_pr_u4 },
 {  88763, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 {  88764, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 {  88765, ur_m644rfr2_u1x8_uart0_lednop_pr_ce },
 {  88766, ur_m644rfr2_u1x8_uart0_lednop_pr_ce_u4 },
 {  88767, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  88768, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  88770, ur_m644rfr2_u1x8_uart0_lednop_ee_hw },
 {  88772, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  88773, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  88774, ur_m644rfr2_u1x8_uart0_dual },
 {  88775, ur_m644rfr2_u1x8_uart0_dual },
 {  88776, ur_m644rfr2_u1x8_uart0_dual },
 {  88777, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 {  88778, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 {  88779, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 {  88780, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 {  88781, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce },
 {  88782, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  88784, ur_m644rfr2_u1x8_uart0_dual_ee_hw },
 {  88786, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  88787, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  88830, ur_m644rfr2_u1x8_uart1_noled },
 {  88831, ur_m644rfr2_u1x8_uart1_noled },
 {  88832, ur_m644rfr2_u1x8_uart1_noled_pr_u4 },
 {  88833, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 {  88834, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 {  88835, ur_m644rfr2_u1x8_uart1_noled_pr_ce },
 {  88836, ur_m644rfr2_u1x8_uart1_noled_pr_ce_u4 },
 {  88837, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  88838, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  88840, ur_m644rfr2_u1x8_uart1_noled_ee_hw },
 {  88842, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  88843, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  88844, ur_m644rfr2_u1x8_uart1_lednop },
 {  88845, ur_m644rfr2_u1x8_uart1_lednop },
 {  88846, ur_m644rfr2_u1x8_uart1_lednop_pr_u4 },
 {  88847, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 {  88848, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 {  88849, ur_m644rfr2_u1x8_uart1_lednop_pr_ce },
 {  88850, ur_m644rfr2_u1x8_uart1_lednop_pr_ce_u4 },
 {  88851, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  88852, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  88854, ur_m644rfr2_u1x8_uart1_lednop_ee_hw },
 {  88856, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  88857, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  88858, ur_m644rfr2_u1x8_uart1_dual },
 {  88859, ur_m644rfr2_u1x8_uart1_dual },
 {  88860, ur_m644rfr2_u1x8_uart1_dual },
 {  88861, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 {  88862, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 {  88863, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 {  88864, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 {  88865, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce },
 {  88866, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  88868, ur_m644rfr2_u1x8_uart1_dual_ee_hw },
 {  88870, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  88871, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  88956, ur_m644rfr2_u1x12_uart0_noled },
 {  88957, ur_m644rfr2_u1x12_uart0_noled },
 {  88958, ur_m644rfr2_u1x12_uart0_noled_pr_u4 },
 {  88959, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 {  88960, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 {  88961, ur_m644rfr2_u1x12_uart0_noled_pr_ce },
 {  88962, ur_m644rfr2_u1x12_uart0_noled_pr_ce_u4 },
 {  88963, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  88964, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  88966, ur_m644rfr2_u1x12_uart0_noled_ee_hw },
 {  88968, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  88969, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  88970, ur_m644rfr2_u1x12_uart0_lednop },
 {  88971, ur_m644rfr2_u1x12_uart0_lednop },
 {  88972, ur_m644rfr2_u1x12_uart0_lednop_pr_u4 },
 {  88973, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 {  88974, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 {  88975, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 {  88976, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 {  88977, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  88978, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  88980, ur_m644rfr2_u1x12_uart0_lednop_ee_hw },
 {  88982, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  88983, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  88984, ur_m644rfr2_u1x12_uart0_dual },
 {  88985, ur_m644rfr2_u1x12_uart0_dual },
 {  88986, ur_m644rfr2_u1x12_uart0_dual },
 {  88987, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 {  88988, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 {  88989, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 {  88990, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 {  88991, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce },
 {  88992, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  88994, ur_m644rfr2_u1x12_uart0_dual_ee_hw },
 {  88996, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  88997, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  89040, ur_m644rfr2_u1x12_uart1_noled },
 {  89041, ur_m644rfr2_u1x12_uart1_noled },
 {  89042, ur_m644rfr2_u1x12_uart1_noled_pr_u4 },
 {  89043, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 {  89044, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 {  89045, ur_m644rfr2_u1x12_uart1_noled_pr_ce },
 {  89046, ur_m644rfr2_u1x12_uart1_noled_pr_ce_u4 },
 {  89047, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  89048, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  89050, ur_m644rfr2_u1x12_uart1_noled_ee_hw },
 {  89052, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  89053, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  89054, ur_m644rfr2_u1x12_uart1_lednop },
 {  89055, ur_m644rfr2_u1x12_uart1_lednop },
 {  89056, ur_m644rfr2_u1x12_uart1_lednop_pr_u4 },
 {  89057, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 {  89058, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 {  89059, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 {  89060, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 {  89061, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  89062, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  89064, ur_m644rfr2_u1x12_uart1_lednop_ee_hw },
 {  89066, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  89067, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  89068, ur_m644rfr2_u1x12_uart1_dual },
 {  89069, ur_m644rfr2_u1x12_uart1_dual },
 {  89070, ur_m644rfr2_u1x12_uart1_dual },
 {  89071, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 {  89072, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 {  89073, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 {  89074, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 {  89075, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce },
 {  89076, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  89078, ur_m644rfr2_u1x12_uart1_dual_ee_hw },
 {  89080, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  89081, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  89166, ur_m644rfr2_u2x8_uart0_noled },
 {  89167, ur_m644rfr2_u2x8_uart0_noled },
 {  89168, ur_m644rfr2_u2x8_uart0_noled_pr_u4 },
 {  89169, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 {  89170, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 {  89171, ur_m644rfr2_u2x8_uart0_noled_pr_ce },
 {  89172, ur_m644rfr2_u2x8_uart0_noled_pr_ce_u4 },
 {  89173, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  89174, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  89176, ur_m644rfr2_u2x8_uart0_noled_ee_hw },
 {  89178, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  89179, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  89180, ur_m644rfr2_u2x8_uart0_lednop },
 {  89181, ur_m644rfr2_u2x8_uart0_lednop },
 {  89182, ur_m644rfr2_u2x8_uart0_lednop_pr_u4 },
 {  89183, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 {  89184, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 {  89185, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 {  89186, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 {  89187, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  89188, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  89190, ur_m644rfr2_u2x8_uart0_lednop_ee_hw },
 {  89192, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  89193, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  89194, ur_m644rfr2_u2x8_uart0_dual },
 {  89195, ur_m644rfr2_u2x8_uart0_dual },
 {  89196, ur_m644rfr2_u2x8_uart0_dual },
 {  89197, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 {  89198, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 {  89199, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 {  89200, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 {  89201, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce },
 {  89202, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  89204, ur_m644rfr2_u2x8_uart0_dual_ee_hw },
 {  89206, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  89207, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  89250, ur_m644rfr2_u2x8_uart1_noled },
 {  89251, ur_m644rfr2_u2x8_uart1_noled },
 {  89252, ur_m644rfr2_u2x8_uart1_noled_pr_u4 },
 {  89253, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 {  89254, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 {  89255, ur_m644rfr2_u2x8_uart1_noled_pr_ce },
 {  89256, ur_m644rfr2_u2x8_uart1_noled_pr_ce_u4 },
 {  89257, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  89258, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  89260, ur_m644rfr2_u2x8_uart1_noled_ee_hw },
 {  89262, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  89263, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  89264, ur_m644rfr2_u2x8_uart1_lednop },
 {  89265, ur_m644rfr2_u2x8_uart1_lednop },
 {  89266, ur_m644rfr2_u2x8_uart1_lednop_pr_u4 },
 {  89267, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 {  89268, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 {  89269, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 {  89270, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 {  89271, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  89272, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  89274, ur_m644rfr2_u2x8_uart1_lednop_ee_hw },
 {  89276, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  89277, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  89278, ur_m644rfr2_u2x8_uart1_dual },
 {  89279, ur_m644rfr2_u2x8_uart1_dual },
 {  89280, ur_m644rfr2_u2x8_uart1_dual },
 {  89281, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 {  89282, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 {  89283, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 {  89284, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 {  89285, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce },
 {  89286, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  89288, ur_m644rfr2_u2x8_uart1_dual_ee_hw },
 {  89290, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  89291, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  89376, ur_m644rfr2_u2x12_uart0_noled },
 {  89377, ur_m644rfr2_u2x12_uart0_noled },
 {  89378, ur_m644rfr2_u2x12_uart0_noled_pr_u4 },
 {  89379, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 {  89380, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 {  89381, ur_m644rfr2_u2x12_uart0_noled_pr_ce },
 {  89382, ur_m644rfr2_u2x12_uart0_noled_pr_ce_u4 },
 {  89383, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  89384, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  89386, ur_m644rfr2_u2x12_uart0_noled_ee_hw },
 {  89388, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  89389, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  89390, ur_m644rfr2_u2x12_uart0_lednop },
 {  89391, ur_m644rfr2_u2x12_uart0_lednop },
 {  89392, ur_m644rfr2_u2x12_uart0_lednop_pr_u4 },
 {  89393, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 {  89394, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 {  89395, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 {  89396, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 {  89397, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  89398, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  89400, ur_m644rfr2_u2x12_uart0_lednop_ee_hw },
 {  89402, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  89403, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  89404, ur_m644rfr2_u2x12_uart0_dual },
 {  89405, ur_m644rfr2_u2x12_uart0_dual },
 {  89406, ur_m644rfr2_u2x12_uart0_dual },
 {  89407, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 {  89408, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 {  89409, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 {  89410, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 {  89411, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce },
 {  89412, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  89414, ur_m644rfr2_u2x12_uart0_dual_ee_hw },
 {  89416, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  89417, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  89460, ur_m644rfr2_u2x12_uart1_noled },
 {  89461, ur_m644rfr2_u2x12_uart1_noled },
 {  89462, ur_m644rfr2_u2x12_uart1_noled_pr_u4 },
 {  89463, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 {  89464, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 {  89465, ur_m644rfr2_u2x12_uart1_noled_pr_ce },
 {  89466, ur_m644rfr2_u2x12_uart1_noled_pr_ce_u4 },
 {  89467, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  89468, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  89470, ur_m644rfr2_u2x12_uart1_noled_ee_hw },
 {  89472, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  89473, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  89474, ur_m644rfr2_u2x12_uart1_lednop },
 {  89475, ur_m644rfr2_u2x12_uart1_lednop },
 {  89476, ur_m644rfr2_u2x12_uart1_lednop_pr_u4 },
 {  89477, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 {  89478, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 {  89479, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 {  89480, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 {  89481, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  89482, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  89484, ur_m644rfr2_u2x12_uart1_lednop_ee_hw },
 {  89486, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  89487, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  89488, ur_m644rfr2_u2x12_uart1_dual },
 {  89489, ur_m644rfr2_u2x12_uart1_dual },
 {  89490, ur_m644rfr2_u2x12_uart1_dual },
 {  89491, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 {  89492, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 {  89493, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 {  89494, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 {  89495, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce },
 {  89496, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  89498, ur_m644rfr2_u2x12_uart1_dual_ee_hw },
 {  89500, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  89501, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  89586, ur_m644rfr2_swio10_noled },
 {  89587, ur_m644rfr2_swio10_noled },
 {  89588, ur_m644rfr2_swio10_noled_pr_u4 },
 {  89589, ur_m644rfr2_swio10_noled_pr_ee },
 {  89590, ur_m644rfr2_swio10_noled_pr_ee },
 {  89591, ur_m644rfr2_swio10_noled_pr_ce },
 {  89592, ur_m644rfr2_swio10_noled_pr_ce },
 {  89593, ur_m644rfr2_swio10_noled_pr_ee_ce },
 {  89594, ur_m644rfr2_swio10_noled_pr_ee_ce },
 {  89596, ur_m644rfr2_swio10_noled_ee_hw },
 {  89598, ur_m644rfr2_swio10_noled_ee_ce_hw },
 {  89599, ur_m644rfr2_swio10_noled_ee_ce_hw },
 {  89600, ur_m644rfr2_swio10_lednop },
 {  89601, ur_m644rfr2_swio10_lednop },
 {  89602, ur_m644rfr2_swio10_lednop_pr_u4 },
 {  89603, ur_m644rfr2_swio10_lednop_pr_ee },
 {  89604, ur_m644rfr2_swio10_lednop_pr_ee },
 {  89605, ur_m644rfr2_swio10_lednop_pr_ce },
 {  89606, ur_m644rfr2_swio10_lednop_pr_ce },
 {  89607, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 {  89608, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 {  89610, ur_m644rfr2_swio10_lednop_ee_hw },
 {  89612, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 {  89613, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 {  89614, ur_m644rfr2_swio10_dual },
 {  89615, ur_m644rfr2_swio10_dual },
 {  89616, ur_m644rfr2_swio10_dual },
 {  89617, ur_m644rfr2_swio10_dual_pr_ee },
 {  89618, ur_m644rfr2_swio10_dual_pr_ee_u4 },
 {  89619, ur_m644rfr2_swio10_dual_pr_ce },
 {  89620, ur_m644rfr2_swio10_dual_pr_ce },
 {  89621, ur_m644rfr2_swio10_dual_pr_ee_ce },
 {  89622, ur_m644rfr2_swio10_dual_pr_ee_ce_u4 },
 {  89624, ur_m644rfr2_swio10_dual_ee_hw },
 {  89626, ur_m644rfr2_swio10_dual_ee_ce_hw },
 {  89627, ur_m644rfr2_swio10_dual_ee_ce_hw },
 {  89628, ur_m644rfr2_swio11_noled },
 {  89629, ur_m644rfr2_swio11_noled },
 {  89630, ur_m644rfr2_swio11_noled_pr_u4 },
 {  89631, ur_m644rfr2_swio11_noled_pr_ee },
 {  89632, ur_m644rfr2_swio11_noled_pr_ee },
 {  89633, ur_m644rfr2_swio11_noled_pr_ce },
 {  89634, ur_m644rfr2_swio11_noled_pr_ce },
 {  89635, ur_m644rfr2_swio11_noled_pr_ee_ce },
 {  89636, ur_m644rfr2_swio11_noled_pr_ee_ce },
 {  89638, ur_m644rfr2_swio11_noled_ee_hw },
 {  89640, ur_m644rfr2_swio11_noled_ee_ce_hw },
 {  89641, ur_m644rfr2_swio11_noled_ee_ce_hw },
 {  89642, ur_m644rfr2_swio11_lednop },
 {  89643, ur_m644rfr2_swio11_lednop_pr },
 {  89644, ur_m644rfr2_swio11_lednop_pr },
 {  89645, ur_m644rfr2_swio11_lednop_pr_ee },
 {  89646, ur_m644rfr2_swio11_lednop_pr_ee },
 {  89647, ur_m644rfr2_swio11_lednop_pr_ce },
 {  89648, ur_m644rfr2_swio11_lednop_pr_ce },
 {  89649, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 {  89650, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 {  89652, ur_m644rfr2_swio11_lednop_ee_hw },
 {  89654, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 {  89655, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 {  89656, ur_m644rfr2_swio11_dual },
 {  89657, ur_m644rfr2_swio11_dual },
 {  89658, ur_m644rfr2_swio11_dual },
 {  89659, ur_m644rfr2_swio11_dual_pr_ee },
 {  89660, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 {  89661, ur_m644rfr2_swio11_dual_pr_ce },
 {  89662, ur_m644rfr2_swio11_dual_pr_ce },
 {  89663, ur_m644rfr2_swio11_dual_pr_ee_ce },
 {  89664, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 {  89666, ur_m644rfr2_swio11_dual_ee_hw },
 {  89668, ur_m644rfr2_swio11_dual_ee_ce_hw },
 {  89669, ur_m644rfr2_swio11_dual_ee_ce_hw },
 {  89670, ur_m644rfr2_swio11_noled },
 {  89671, ur_m644rfr2_swio11_noled },
 {  89672, ur_m644rfr2_swio11_noled_pr_u4 },
 {  89673, ur_m644rfr2_swio11_noled_pr_ee },
 {  89674, ur_m644rfr2_swio11_noled_pr_ee },
 {  89675, ur_m644rfr2_swio11_noled_pr_ce },
 {  89676, ur_m644rfr2_swio11_noled_pr_ce },
 {  89677, ur_m644rfr2_swio11_noled_pr_ee_ce },
 {  89678, ur_m644rfr2_swio11_noled_pr_ee_ce },
 {  89680, ur_m644rfr2_swio11_noled_ee_hw },
 {  89682, ur_m644rfr2_swio11_noled_ee_ce_hw },
 {  89683, ur_m644rfr2_swio11_noled_ee_ce_hw },
 {  89684, ur_m644rfr2_swio11_lednop },
 {  89685, ur_m644rfr2_swio11_lednop_pr },
 {  89686, ur_m644rfr2_swio11_lednop_pr },
 {  89687, ur_m644rfr2_swio11_lednop_pr_ee },
 {  89688, ur_m644rfr2_swio11_lednop_pr_ee },
 {  89689, ur_m644rfr2_swio11_lednop_pr_ce },
 {  89690, ur_m644rfr2_swio11_lednop_pr_ce },
 {  89691, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 {  89692, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 {  89694, ur_m644rfr2_swio11_lednop_ee_hw },
 {  89696, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 {  89697, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 {  89698, ur_m644rfr2_swio11_dual },
 {  89699, ur_m644rfr2_swio11_dual },
 {  89700, ur_m644rfr2_swio11_dual },
 {  89701, ur_m644rfr2_swio11_dual_pr_ee },
 {  89702, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 {  89703, ur_m644rfr2_swio11_dual_pr_ce },
 {  89704, ur_m644rfr2_swio11_dual_pr_ce },
 {  89705, ur_m644rfr2_swio11_dual_pr_ee_ce },
 {  89706, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 {  89708, ur_m644rfr2_swio11_dual_ee_hw },
 {  89710, ur_m644rfr2_swio11_dual_ee_ce_hw },
 {  89711, ur_m644rfr2_swio11_dual_ee_ce_hw },
 {  89712, ur_m644rfr2_swio13_noled },
 {  89713, ur_m644rfr2_swio13_noled },
 {  89714, ur_m644rfr2_swio13_noled_pr_u4 },
 {  89715, ur_m644rfr2_swio13_noled_pr_ee },
 {  89716, ur_m644rfr2_swio13_noled_pr_ee },
 {  89717, ur_m644rfr2_swio13_noled_pr_ce },
 {  89718, ur_m644rfr2_swio13_noled_pr_ce },
 {  89719, ur_m644rfr2_swio13_noled_pr_ee_ce },
 {  89720, ur_m644rfr2_swio13_noled_pr_ee_ce },
 {  89722, ur_m644rfr2_swio13_noled_ee_hw },
 {  89724, ur_m644rfr2_swio13_noled_ee_ce_hw },
 {  89725, ur_m644rfr2_swio13_noled_ee_ce_hw },
 {  89726, ur_m644rfr2_swio13_lednop },
 {  89727, ur_m644rfr2_swio13_lednop_pr },
 {  89728, ur_m644rfr2_swio13_lednop_pr },
 {  89729, ur_m644rfr2_swio13_lednop_pr_ee },
 {  89730, ur_m644rfr2_swio13_lednop_pr_ee },
 {  89731, ur_m644rfr2_swio13_lednop_pr_ce },
 {  89732, ur_m644rfr2_swio13_lednop_pr_ce },
 {  89733, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 {  89734, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 {  89736, ur_m644rfr2_swio13_lednop_ee_hw },
 {  89738, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 {  89739, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 {  89740, ur_m644rfr2_swio13_dual },
 {  89741, ur_m644rfr2_swio13_dual },
 {  89742, ur_m644rfr2_swio13_dual },
 {  89743, ur_m644rfr2_swio13_dual_pr_ee },
 {  89744, ur_m644rfr2_swio13_dual_pr_ee_u4 },
 {  89745, ur_m644rfr2_swio13_dual_pr_ce },
 {  89746, ur_m644rfr2_swio13_dual_pr_ce },
 {  89747, ur_m644rfr2_swio13_dual_pr_ee_ce },
 {  89748, ur_m644rfr2_swio13_dual_pr_ee_ce_u4 },
 {  89750, ur_m644rfr2_swio13_dual_ee_hw },
 {  89752, ur_m644rfr2_swio13_dual_ee_ce_hw },
 {  89753, ur_m644rfr2_swio13_dual_ee_ce_hw },
 {  89754, ur_m644rfr2_swio14_noled },
 {  89755, ur_m644rfr2_swio14_noled },
 {  89756, ur_m644rfr2_swio14_noled_pr_u4 },
 {  89757, ur_m644rfr2_swio14_noled_pr_ee },
 {  89758, ur_m644rfr2_swio14_noled_pr_ee },
 {  89759, ur_m644rfr2_swio14_noled_pr_ce },
 {  89760, ur_m644rfr2_swio14_noled_pr_ce },
 {  89761, ur_m644rfr2_swio14_noled_pr_ee_ce },
 {  89762, ur_m644rfr2_swio14_noled_pr_ee_ce },
 {  89764, ur_m644rfr2_swio14_noled_ee_hw },
 {  89766, ur_m644rfr2_swio14_noled_ee_ce_hw },
 {  89767, ur_m644rfr2_swio14_noled_ee_ce_hw },
 {  89768, ur_m644rfr2_swio14_lednop },
 {  89769, ur_m644rfr2_swio14_lednop_pr },
 {  89770, ur_m644rfr2_swio14_lednop_pr },
 {  89771, ur_m644rfr2_swio14_lednop_pr_ee },
 {  89772, ur_m644rfr2_swio14_lednop_pr_ee },
 {  89773, ur_m644rfr2_swio14_lednop_pr_ce },
 {  89774, ur_m644rfr2_swio14_lednop_pr_ce },
 {  89775, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 {  89776, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 {  89778, ur_m644rfr2_swio14_lednop_ee_hw },
 {  89780, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 {  89781, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 {  89782, ur_m644rfr2_swio14_dual },
 {  89783, ur_m644rfr2_swio14_dual },
 {  89784, ur_m644rfr2_swio14_dual },
 {  89785, ur_m644rfr2_swio14_dual_pr_ee },
 {  89786, ur_m644rfr2_swio14_dual_pr_ee_u4 },
 {  89787, ur_m644rfr2_swio14_dual_pr_ce },
 {  89788, ur_m644rfr2_swio14_dual_pr_ce },
 {  89789, ur_m644rfr2_swio14_dual_pr_ee_ce },
 {  89790, ur_m644rfr2_swio14_dual_pr_ee_ce_u4 },
 {  89792, ur_m644rfr2_swio14_dual_ee_hw },
 {  89794, ur_m644rfr2_swio14_dual_ee_ce_hw },
 {  89795, ur_m644rfr2_swio14_dual_ee_ce_hw },
 {  89796, ur_m644rfr2_swio15_noled },
 {  89797, ur_m644rfr2_swio15_noled },
 {  89798, ur_m644rfr2_swio15_noled_pr_u4 },
 {  89799, ur_m644rfr2_swio15_noled_pr_ee },
 {  89800, ur_m644rfr2_swio15_noled_pr_ee },
 {  89801, ur_m644rfr2_swio15_noled_pr_ce },
 {  89802, ur_m644rfr2_swio15_noled_pr_ce },
 {  89803, ur_m644rfr2_swio15_noled_pr_ee_ce },
 {  89804, ur_m644rfr2_swio15_noled_pr_ee_ce },
 {  89806, ur_m644rfr2_swio15_noled_ee_hw },
 {  89808, ur_m644rfr2_swio15_noled_ee_ce_hw },
 {  89809, ur_m644rfr2_swio15_noled_ee_ce_hw },
 {  89810, ur_m644rfr2_swio15_lednop },
 {  89811, ur_m644rfr2_swio15_lednop_pr },
 {  89812, ur_m644rfr2_swio15_lednop_pr },
 {  89813, ur_m644rfr2_swio15_lednop_pr_ee },
 {  89814, ur_m644rfr2_swio15_lednop_pr_ee },
 {  89815, ur_m644rfr2_swio15_lednop_pr_ce },
 {  89816, ur_m644rfr2_swio15_lednop_pr_ce },
 {  89817, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 {  89818, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 {  89820, ur_m644rfr2_swio15_lednop_ee_hw },
 {  89822, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 {  89823, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 {  89824, ur_m644rfr2_swio15_dual },
 {  89825, ur_m644rfr2_swio15_dual },
 {  89826, ur_m644rfr2_swio15_dual },
 {  89827, ur_m644rfr2_swio15_dual_pr_ee },
 {  89828, ur_m644rfr2_swio15_dual_pr_ee_u4 },
 {  89829, ur_m644rfr2_swio15_dual_pr_ce },
 {  89830, ur_m644rfr2_swio15_dual_pr_ce },
 {  89831, ur_m644rfr2_swio15_dual_pr_ee_ce },
 {  89832, ur_m644rfr2_swio15_dual_pr_ee_ce_u4 },
 {  89834, ur_m644rfr2_swio15_dual_ee_hw },
 {  89836, ur_m644rfr2_swio15_dual_ee_ce_hw },
 {  89837, ur_m644rfr2_swio15_dual_ee_ce_hw },
 {  89838, ur_m1284_autobaud_uart0_noled },
 {  89839, ur_m1284_autobaud_uart0_noled_pr },
 {  89840, ur_m1284_autobaud_uart0_noled_pr },
 {  89841, ur_m1284_autobaud_uart0_noled_pr_ee },
 {  89842, ur_m1284_autobaud_uart0_noled_pr_ee },
 {  89843, ur_m1284_autobaud_uart0_noled_pr_ce },
 {  89844, ur_m1284_autobaud_uart0_noled_pr_ce },
 {  89845, ur_m1284_autobaud_uart0_noled_pr_ee_ce },
 {  89846, ur_m1284_autobaud_uart0_noled_pr_ee_ce },
 {  89848, ur_m1284_autobaud_uart0_noled_ee_hw },
 {  89850, ur_m1284_autobaud_uart0_noled_ee_ce_hw },
 {  89851, ur_m1284_autobaud_uart0_noled_ee_ce_hw },
 {  89852, ur_m1284_autobaud_uart0_lednop },
 {  89853, ur_m1284_autobaud_uart0_lednop_pr },
 {  89854, ur_m1284_autobaud_uart0_lednop_pr },
 {  89855, ur_m1284_autobaud_uart0_lednop_pr_ee },
 {  89856, ur_m1284_autobaud_uart0_lednop_pr_ee },
 {  89857, ur_m1284_autobaud_uart0_lednop_pr_ce },
 {  89858, ur_m1284_autobaud_uart0_lednop_pr_ce },
 {  89859, ur_m1284_autobaud_uart0_lednop_pr_ee_ce },
 {  89860, ur_m1284_autobaud_uart0_lednop_pr_ee_ce },
 {  89862, ur_m1284_autobaud_uart0_lednop_ee_hw },
 {  89864, ur_m1284_autobaud_uart0_lednop_ee_ce_hw },
 {  89865, ur_m1284_autobaud_uart0_lednop_ee_ce_hw },
 {  89866, ur_m1284_autobaud_uart0_dual },
 {  89867, ur_m1284_autobaud_uart0_dual },
 {  89868, ur_m1284_autobaud_uart0_dual },
 {  89869, ur_m1284_autobaud_uart0_dual_pr_ee },
 {  89870, ur_m1284_autobaud_uart0_dual_pr_ee_u4 },
 {  89871, ur_m1284_autobaud_uart0_dual_pr_ce },
 {  89872, ur_m1284_autobaud_uart0_dual_pr_ce_u4 },
 {  89873, ur_m1284_autobaud_uart0_dual_pr_ee_ce },
 {  89874, ur_m1284_autobaud_uart0_dual_pr_ee_ce },
 {  89876, ur_m1284_autobaud_uart0_dual_ee_hw },
 {  89878, ur_m1284_autobaud_uart0_dual_ee_ce_hw },
 {  89879, ur_m1284_autobaud_uart0_dual_ee_ce_hw },
 {  89922, ur_m1284_autobaud_uart1_noled },
 {  89923, ur_m1284_autobaud_uart1_noled_pr },
 {  89924, ur_m1284_autobaud_uart1_noled_pr },
 {  89925, ur_m1284_autobaud_uart1_noled_pr_ee },
 {  89926, ur_m1284_autobaud_uart1_noled_pr_ee },
 {  89927, ur_m1284_autobaud_uart1_noled_pr_ce },
 {  89928, ur_m1284_autobaud_uart1_noled_pr_ce },
 {  89929, ur_m1284_autobaud_uart1_noled_pr_ee_ce },
 {  89930, ur_m1284_autobaud_uart1_noled_pr_ee_ce },
 {  89932, ur_m1284_autobaud_uart1_noled_ee_hw },
 {  89934, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 {  89935, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 {  89936, ur_m1284_autobaud_uart1_lednop },
 {  89937, ur_m1284_autobaud_uart1_lednop_pr },
 {  89938, ur_m1284_autobaud_uart1_lednop_pr },
 {  89939, ur_m1284_autobaud_uart1_lednop_pr_ee },
 {  89940, ur_m1284_autobaud_uart1_lednop_pr_ee },
 {  89941, ur_m1284_autobaud_uart1_lednop_pr_ce },
 {  89942, ur_m1284_autobaud_uart1_lednop_pr_ce },
 {  89943, ur_m1284_autobaud_uart1_lednop_pr_ee_ce },
 {  89944, ur_m1284_autobaud_uart1_lednop_pr_ee_ce },
 {  89946, ur_m1284_autobaud_uart1_lednop_ee_hw },
 {  89948, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 {  89949, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 {  89950, ur_m1284_autobaud_uart1_dual },
 {  89951, ur_m1284_autobaud_uart1_dual },
 {  89952, ur_m1284_autobaud_uart1_dual },
 {  89953, ur_m1284_autobaud_uart1_dual_pr_ee },
 {  89954, ur_m1284_autobaud_uart1_dual_pr_ee_u4 },
 {  89955, ur_m1284_autobaud_uart1_dual_pr_ce },
 {  89956, ur_m1284_autobaud_uart1_dual_pr_ce_u4 },
 {  89957, ur_m1284_autobaud_uart1_dual_pr_ee_ce },
 {  89958, ur_m1284_autobaud_uart1_dual_pr_ee_ce },
 {  89960, ur_m1284_autobaud_uart1_dual_ee_hw },
 {  89962, ur_m1284_autobaud_uart1_dual_ee_ce_hw },
 {  89963, ur_m1284_autobaud_uart1_dual_ee_ce_hw },
 {  90048, ur_m1284_u1x8_uart0_noled },
 {  90049, ur_m1284_u1x8_uart0_noled },
 {  90050, ur_m1284_u1x8_uart0_noled_pr_u4 },
 {  90051, ur_m1284_u1x8_uart0_noled_pr_ee },
 {  90052, ur_m1284_u1x8_uart0_noled_pr_ee },
 {  90053, ur_m1284_u1x8_uart0_noled_pr_ce },
 {  90054, ur_m1284_u1x8_uart0_noled_pr_ce },
 {  90055, ur_m1284_u1x8_uart0_noled_pr_ee_ce },
 {  90056, ur_m1284_u1x8_uart0_noled_pr_ee_ce },
 {  90058, ur_m1284_u1x8_uart0_noled_ee_hw },
 {  90060, ur_m1284_u1x8_uart0_noled_ee_ce_hw },
 {  90061, ur_m1284_u1x8_uart0_noled_ee_ce_hw },
 {  90062, ur_m1284_u1x8_uart0_lednop },
 {  90063, ur_m1284_u1x8_uart0_lednop },
 {  90064, ur_m1284_u1x8_uart0_lednop_pr_u4 },
 {  90065, ur_m1284_u1x8_uart0_lednop_pr_ee },
 {  90066, ur_m1284_u1x8_uart0_lednop_pr_ee },
 {  90067, ur_m1284_u1x8_uart0_lednop_pr_ce },
 {  90068, ur_m1284_u1x8_uart0_lednop_pr_ce },
 {  90069, ur_m1284_u1x8_uart0_lednop_pr_ee_ce },
 {  90070, ur_m1284_u1x8_uart0_lednop_pr_ee_ce },
 {  90072, ur_m1284_u1x8_uart0_lednop_ee_hw },
 {  90074, ur_m1284_u1x8_uart0_lednop_ee_ce_hw },
 {  90075, ur_m1284_u1x8_uart0_lednop_ee_ce_hw },
 {  90076, ur_m1284_u1x8_uart0_dual },
 {  90077, ur_m1284_u1x8_uart0_dual },
 {  90078, ur_m1284_u1x8_uart0_dual },
 {  90079, ur_m1284_u1x8_uart0_dual_pr_ee },
 {  90080, ur_m1284_u1x8_uart0_dual_pr_ee_u4 },
 {  90081, ur_m1284_u1x8_uart0_dual_pr_ce },
 {  90082, ur_m1284_u1x8_uart0_dual_pr_ce_u4 },
 {  90083, ur_m1284_u1x8_uart0_dual_pr_ee_ce },
 {  90084, ur_m1284_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  90086, ur_m1284_u1x8_uart0_dual_ee_hw },
 {  90088, ur_m1284_u1x8_uart0_dual_ee_ce_hw },
 {  90089, ur_m1284_u1x8_uart0_dual_ee_ce_hw },
 {  90132, ur_m1284_u1x8_uart1_noled },
 {  90133, ur_m1284_u1x8_uart1_noled },
 {  90134, ur_m1284_u1x8_uart1_noled_pr_u4 },
 {  90135, ur_m1284_u1x8_uart1_noled_pr_ee },
 {  90136, ur_m1284_u1x8_uart1_noled_pr_ee },
 {  90137, ur_m1284_u1x8_uart1_noled_pr_ce },
 {  90138, ur_m1284_u1x8_uart1_noled_pr_ce },
 {  90139, ur_m1284_u1x8_uart1_noled_pr_ee_ce },
 {  90140, ur_m1284_u1x8_uart1_noled_pr_ee_ce },
 {  90142, ur_m1284_u1x8_uart1_noled_ee_hw },
 {  90144, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 {  90145, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 {  90146, ur_m1284_u1x8_uart1_lednop },
 {  90147, ur_m1284_u1x8_uart1_lednop },
 {  90148, ur_m1284_u1x8_uart1_lednop_pr_u4 },
 {  90149, ur_m1284_u1x8_uart1_lednop_pr_ee },
 {  90150, ur_m1284_u1x8_uart1_lednop_pr_ee },
 {  90151, ur_m1284_u1x8_uart1_lednop_pr_ce },
 {  90152, ur_m1284_u1x8_uart1_lednop_pr_ce },
 {  90153, ur_m1284_u1x8_uart1_lednop_pr_ee_ce },
 {  90154, ur_m1284_u1x8_uart1_lednop_pr_ee_ce },
 {  90156, ur_m1284_u1x8_uart1_lednop_ee_hw },
 {  90158, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 {  90159, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 {  90160, ur_m1284_u1x8_uart1_dual },
 {  90161, ur_m1284_u1x8_uart1_dual },
 {  90162, ur_m1284_u1x8_uart1_dual },
 {  90163, ur_m1284_u1x8_uart1_dual_pr_ee },
 {  90164, ur_m1284_u1x8_uart1_dual_pr_ee_u4 },
 {  90165, ur_m1284_u1x8_uart1_dual_pr_ce },
 {  90166, ur_m1284_u1x8_uart1_dual_pr_ce_u4 },
 {  90167, ur_m1284_u1x8_uart1_dual_pr_ee_ce },
 {  90168, ur_m1284_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  90170, ur_m1284_u1x8_uart1_dual_ee_hw },
 {  90172, ur_m1284_u1x8_uart1_dual_ee_ce_hw },
 {  90173, ur_m1284_u1x8_uart1_dual_ee_ce_hw },
 {  90258, ur_m1284_u1x12_uart0_noled },
 {  90259, ur_m1284_u1x12_uart0_noled },
 {  90260, ur_m1284_u1x12_uart0_noled_pr_u4 },
 {  90261, ur_m1284_u1x12_uart0_noled_pr_ee },
 {  90262, ur_m1284_u1x12_uart0_noled_pr_ee },
 {  90263, ur_m1284_u1x12_uart0_noled_pr_ce },
 {  90264, ur_m1284_u1x12_uart0_noled_pr_ce },
 {  90265, ur_m1284_u1x12_uart0_noled_pr_ee_ce },
 {  90266, ur_m1284_u1x12_uart0_noled_pr_ee_ce },
 {  90268, ur_m1284_u1x12_uart0_noled_ee_hw },
 {  90270, ur_m1284_u1x12_uart0_noled_ee_ce_hw },
 {  90271, ur_m1284_u1x12_uart0_noled_ee_ce_hw },
 {  90272, ur_m1284_u1x12_uart0_lednop },
 {  90273, ur_m1284_u1x12_uart0_lednop },
 {  90274, ur_m1284_u1x12_uart0_lednop_pr_u4 },
 {  90275, ur_m1284_u1x12_uart0_lednop_pr_ee },
 {  90276, ur_m1284_u1x12_uart0_lednop_pr_ee },
 {  90277, ur_m1284_u1x12_uart0_lednop_pr_ce },
 {  90278, ur_m1284_u1x12_uart0_lednop_pr_ce },
 {  90279, ur_m1284_u1x12_uart0_lednop_pr_ee_ce },
 {  90280, ur_m1284_u1x12_uart0_lednop_pr_ee_ce },
 {  90282, ur_m1284_u1x12_uart0_lednop_ee_hw },
 {  90284, ur_m1284_u1x12_uart0_lednop_ee_ce_hw },
 {  90285, ur_m1284_u1x12_uart0_lednop_ee_ce_hw },
 {  90286, ur_m1284_u1x12_uart0_dual },
 {  90287, ur_m1284_u1x12_uart0_dual },
 {  90288, ur_m1284_u1x12_uart0_dual },
 {  90289, ur_m1284_u1x12_uart0_dual_pr_ee },
 {  90290, ur_m1284_u1x12_uart0_dual_pr_ee_u4 },
 {  90291, ur_m1284_u1x12_uart0_dual_pr_ce },
 {  90292, ur_m1284_u1x12_uart0_dual_pr_ce_u4 },
 {  90293, ur_m1284_u1x12_uart0_dual_pr_ee_ce },
 {  90294, ur_m1284_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  90296, ur_m1284_u1x12_uart0_dual_ee_hw },
 {  90298, ur_m1284_u1x12_uart0_dual_ee_ce_hw },
 {  90299, ur_m1284_u1x12_uart0_dual_ee_ce_hw },
 {  90342, ur_m1284_u1x12_uart1_noled },
 {  90343, ur_m1284_u1x12_uart1_noled },
 {  90344, ur_m1284_u1x12_uart1_noled_pr_u4 },
 {  90345, ur_m1284_u1x12_uart1_noled_pr_ee },
 {  90346, ur_m1284_u1x12_uart1_noled_pr_ee },
 {  90347, ur_m1284_u1x12_uart1_noled_pr_ce },
 {  90348, ur_m1284_u1x12_uart1_noled_pr_ce },
 {  90349, ur_m1284_u1x12_uart1_noled_pr_ee_ce },
 {  90350, ur_m1284_u1x12_uart1_noled_pr_ee_ce },
 {  90352, ur_m1284_u1x12_uart1_noled_ee_hw },
 {  90354, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 {  90355, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 {  90356, ur_m1284_u1x12_uart1_lednop },
 {  90357, ur_m1284_u1x12_uart1_lednop },
 {  90358, ur_m1284_u1x12_uart1_lednop_pr_u4 },
 {  90359, ur_m1284_u1x12_uart1_lednop_pr_ee },
 {  90360, ur_m1284_u1x12_uart1_lednop_pr_ee },
 {  90361, ur_m1284_u1x12_uart1_lednop_pr_ce },
 {  90362, ur_m1284_u1x12_uart1_lednop_pr_ce },
 {  90363, ur_m1284_u1x12_uart1_lednop_pr_ee_ce },
 {  90364, ur_m1284_u1x12_uart1_lednop_pr_ee_ce },
 {  90366, ur_m1284_u1x12_uart1_lednop_ee_hw },
 {  90368, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 {  90369, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 {  90370, ur_m1284_u1x12_uart1_dual },
 {  90371, ur_m1284_u1x12_uart1_dual },
 {  90372, ur_m1284_u1x12_uart1_dual },
 {  90373, ur_m1284_u1x12_uart1_dual_pr_ee },
 {  90374, ur_m1284_u1x12_uart1_dual_pr_ee_u4 },
 {  90375, ur_m1284_u1x12_uart1_dual_pr_ce },
 {  90376, ur_m1284_u1x12_uart1_dual_pr_ce_u4 },
 {  90377, ur_m1284_u1x12_uart1_dual_pr_ee_ce },
 {  90378, ur_m1284_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  90380, ur_m1284_u1x12_uart1_dual_ee_hw },
 {  90382, ur_m1284_u1x12_uart1_dual_ee_ce_hw },
 {  90383, ur_m1284_u1x12_uart1_dual_ee_ce_hw },
 {  90468, ur_m1284_u2x8_uart0_noled },
 {  90469, ur_m1284_u2x8_uart0_noled },
 {  90470, ur_m1284_u2x8_uart0_noled_pr_u4 },
 {  90471, ur_m1284_u2x8_uart0_noled_pr_ee },
 {  90472, ur_m1284_u2x8_uart0_noled_pr_ee },
 {  90473, ur_m1284_u2x8_uart0_noled_pr_ce },
 {  90474, ur_m1284_u2x8_uart0_noled_pr_ce },
 {  90475, ur_m1284_u2x8_uart0_noled_pr_ee_ce },
 {  90476, ur_m1284_u2x8_uart0_noled_pr_ee_ce },
 {  90478, ur_m1284_u2x8_uart0_noled_ee_hw },
 {  90480, ur_m1284_u2x8_uart0_noled_ee_ce_hw },
 {  90481, ur_m1284_u2x8_uart0_noled_ee_ce_hw },
 {  90482, ur_m1284_u2x8_uart0_lednop },
 {  90483, ur_m1284_u2x8_uart0_lednop },
 {  90484, ur_m1284_u2x8_uart0_lednop_pr_u4 },
 {  90485, ur_m1284_u2x8_uart0_lednop_pr_ee },
 {  90486, ur_m1284_u2x8_uart0_lednop_pr_ee },
 {  90487, ur_m1284_u2x8_uart0_lednop_pr_ce },
 {  90488, ur_m1284_u2x8_uart0_lednop_pr_ce },
 {  90489, ur_m1284_u2x8_uart0_lednop_pr_ee_ce },
 {  90490, ur_m1284_u2x8_uart0_lednop_pr_ee_ce },
 {  90492, ur_m1284_u2x8_uart0_lednop_ee_hw },
 {  90494, ur_m1284_u2x8_uart0_lednop_ee_ce_hw },
 {  90495, ur_m1284_u2x8_uart0_lednop_ee_ce_hw },
 {  90496, ur_m1284_u2x8_uart0_dual },
 {  90497, ur_m1284_u2x8_uart0_dual },
 {  90498, ur_m1284_u2x8_uart0_dual },
 {  90499, ur_m1284_u2x8_uart0_dual_pr_ee },
 {  90500, ur_m1284_u2x8_uart0_dual_pr_ee_u4 },
 {  90501, ur_m1284_u2x8_uart0_dual_pr_ce },
 {  90502, ur_m1284_u2x8_uart0_dual_pr_ce_u4 },
 {  90503, ur_m1284_u2x8_uart0_dual_pr_ee_ce },
 {  90504, ur_m1284_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  90506, ur_m1284_u2x8_uart0_dual_ee_hw },
 {  90508, ur_m1284_u2x8_uart0_dual_ee_ce_hw },
 {  90509, ur_m1284_u2x8_uart0_dual_ee_ce_hw },
 {  90552, ur_m1284_u2x8_uart1_noled },
 {  90553, ur_m1284_u2x8_uart1_noled },
 {  90554, ur_m1284_u2x8_uart1_noled_pr_u4 },
 {  90555, ur_m1284_u2x8_uart1_noled_pr_ee },
 {  90556, ur_m1284_u2x8_uart1_noled_pr_ee },
 {  90557, ur_m1284_u2x8_uart1_noled_pr_ce },
 {  90558, ur_m1284_u2x8_uart1_noled_pr_ce },
 {  90559, ur_m1284_u2x8_uart1_noled_pr_ee_ce },
 {  90560, ur_m1284_u2x8_uart1_noled_pr_ee_ce },
 {  90562, ur_m1284_u2x8_uart1_noled_ee_hw },
 {  90564, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 {  90565, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 {  90566, ur_m1284_u2x8_uart1_lednop },
 {  90567, ur_m1284_u2x8_uart1_lednop },
 {  90568, ur_m1284_u2x8_uart1_lednop_pr_u4 },
 {  90569, ur_m1284_u2x8_uart1_lednop_pr_ee },
 {  90570, ur_m1284_u2x8_uart1_lednop_pr_ee },
 {  90571, ur_m1284_u2x8_uart1_lednop_pr_ce },
 {  90572, ur_m1284_u2x8_uart1_lednop_pr_ce },
 {  90573, ur_m1284_u2x8_uart1_lednop_pr_ee_ce },
 {  90574, ur_m1284_u2x8_uart1_lednop_pr_ee_ce },
 {  90576, ur_m1284_u2x8_uart1_lednop_ee_hw },
 {  90578, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 {  90579, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 {  90580, ur_m1284_u2x8_uart1_dual },
 {  90581, ur_m1284_u2x8_uart1_dual },
 {  90582, ur_m1284_u2x8_uart1_dual },
 {  90583, ur_m1284_u2x8_uart1_dual_pr_ee },
 {  90584, ur_m1284_u2x8_uart1_dual_pr_ee_u4 },
 {  90585, ur_m1284_u2x8_uart1_dual_pr_ce },
 {  90586, ur_m1284_u2x8_uart1_dual_pr_ce_u4 },
 {  90587, ur_m1284_u2x8_uart1_dual_pr_ee_ce },
 {  90588, ur_m1284_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  90590, ur_m1284_u2x8_uart1_dual_ee_hw },
 {  90592, ur_m1284_u2x8_uart1_dual_ee_ce_hw },
 {  90593, ur_m1284_u2x8_uart1_dual_ee_ce_hw },
 {  90678, ur_m1284_u2x12_uart0_noled },
 {  90679, ur_m1284_u2x12_uart0_noled },
 {  90680, ur_m1284_u2x12_uart0_noled_pr_u4 },
 {  90681, ur_m1284_u2x12_uart0_noled_pr_ee },
 {  90682, ur_m1284_u2x12_uart0_noled_pr_ee },
 {  90683, ur_m1284_u2x12_uart0_noled_pr_ce },
 {  90684, ur_m1284_u2x12_uart0_noled_pr_ce },
 {  90685, ur_m1284_u2x12_uart0_noled_pr_ee_ce },
 {  90686, ur_m1284_u2x12_uart0_noled_pr_ee_ce },
 {  90688, ur_m1284_u2x12_uart0_noled_ee_hw },
 {  90690, ur_m1284_u2x12_uart0_noled_ee_ce_hw },
 {  90691, ur_m1284_u2x12_uart0_noled_ee_ce_hw },
 {  90692, ur_m1284_u2x12_uart0_lednop },
 {  90693, ur_m1284_u2x12_uart0_lednop },
 {  90694, ur_m1284_u2x12_uart0_lednop_pr_u4 },
 {  90695, ur_m1284_u2x12_uart0_lednop_pr_ee },
 {  90696, ur_m1284_u2x12_uart0_lednop_pr_ee },
 {  90697, ur_m1284_u2x12_uart0_lednop_pr_ce },
 {  90698, ur_m1284_u2x12_uart0_lednop_pr_ce },
 {  90699, ur_m1284_u2x12_uart0_lednop_pr_ee_ce },
 {  90700, ur_m1284_u2x12_uart0_lednop_pr_ee_ce },
 {  90702, ur_m1284_u2x12_uart0_lednop_ee_hw },
 {  90704, ur_m1284_u2x12_uart0_lednop_ee_ce_hw },
 {  90705, ur_m1284_u2x12_uart0_lednop_ee_ce_hw },
 {  90706, ur_m1284_u2x12_uart0_dual },
 {  90707, ur_m1284_u2x12_uart0_dual },
 {  90708, ur_m1284_u2x12_uart0_dual },
 {  90709, ur_m1284_u2x12_uart0_dual_pr_ee },
 {  90710, ur_m1284_u2x12_uart0_dual_pr_ee_u4 },
 {  90711, ur_m1284_u2x12_uart0_dual_pr_ce },
 {  90712, ur_m1284_u2x12_uart0_dual_pr_ce_u4 },
 {  90713, ur_m1284_u2x12_uart0_dual_pr_ee_ce },
 {  90714, ur_m1284_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  90716, ur_m1284_u2x12_uart0_dual_ee_hw },
 {  90718, ur_m1284_u2x12_uart0_dual_ee_ce_hw },
 {  90719, ur_m1284_u2x12_uart0_dual_ee_ce_hw },
 {  90762, ur_m1284_u2x12_uart1_noled },
 {  90763, ur_m1284_u2x12_uart1_noled },
 {  90764, ur_m1284_u2x12_uart1_noled_pr_u4 },
 {  90765, ur_m1284_u2x12_uart1_noled_pr_ee },
 {  90766, ur_m1284_u2x12_uart1_noled_pr_ee },
 {  90767, ur_m1284_u2x12_uart1_noled_pr_ce },
 {  90768, ur_m1284_u2x12_uart1_noled_pr_ce },
 {  90769, ur_m1284_u2x12_uart1_noled_pr_ee_ce },
 {  90770, ur_m1284_u2x12_uart1_noled_pr_ee_ce },
 {  90772, ur_m1284_u2x12_uart1_noled_ee_hw },
 {  90774, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 {  90775, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 {  90776, ur_m1284_u2x12_uart1_lednop },
 {  90777, ur_m1284_u2x12_uart1_lednop },
 {  90778, ur_m1284_u2x12_uart1_lednop_pr_u4 },
 {  90779, ur_m1284_u2x12_uart1_lednop_pr_ee },
 {  90780, ur_m1284_u2x12_uart1_lednop_pr_ee },
 {  90781, ur_m1284_u2x12_uart1_lednop_pr_ce },
 {  90782, ur_m1284_u2x12_uart1_lednop_pr_ce },
 {  90783, ur_m1284_u2x12_uart1_lednop_pr_ee_ce },
 {  90784, ur_m1284_u2x12_uart1_lednop_pr_ee_ce },
 {  90786, ur_m1284_u2x12_uart1_lednop_ee_hw },
 {  90788, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 {  90789, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 {  90790, ur_m1284_u2x12_uart1_dual },
 {  90791, ur_m1284_u2x12_uart1_dual },
 {  90792, ur_m1284_u2x12_uart1_dual },
 {  90793, ur_m1284_u2x12_uart1_dual_pr_ee },
 {  90794, ur_m1284_u2x12_uart1_dual_pr_ee_u4 },
 {  90795, ur_m1284_u2x12_uart1_dual_pr_ce },
 {  90796, ur_m1284_u2x12_uart1_dual_pr_ce_u4 },
 {  90797, ur_m1284_u2x12_uart1_dual_pr_ee_ce },
 {  90798, ur_m1284_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  90800, ur_m1284_u2x12_uart1_dual_ee_hw },
 {  90802, ur_m1284_u2x12_uart1_dual_ee_ce_hw },
 {  90803, ur_m1284_u2x12_uart1_dual_ee_ce_hw },
 {  90888, ur_m1284_swio10_noled },
 {  90889, ur_m1284_swio10_noled_pr },
 {  90890, ur_m1284_swio10_noled_pr },
 {  90891, ur_m1284_swio10_noled_pr_ee },
 {  90892, ur_m1284_swio10_noled_pr_ee },
 {  90893, ur_m1284_swio10_noled_pr_ce },
 {  90894, ur_m1284_swio10_noled_pr_ce },
 {  90895, ur_m1284_swio10_noled_pr_ee_ce },
 {  90896, ur_m1284_swio10_noled_pr_ee_ce },
 {  90898, ur_m1284_swio10_noled_ee_hw },
 {  90900, ur_m1284_swio10_noled_ee_ce_hw },
 {  90901, ur_m1284_swio10_noled_ee_ce_hw },
 {  90902, ur_m1284_swio10_lednop },
 {  90903, ur_m1284_swio10_lednop_pr },
 {  90904, ur_m1284_swio10_lednop_pr },
 {  90905, ur_m1284_swio10_lednop_pr_ee },
 {  90906, ur_m1284_swio10_lednop_pr_ee },
 {  90907, ur_m1284_swio10_lednop_pr_ce },
 {  90908, ur_m1284_swio10_lednop_pr_ce },
 {  90909, ur_m1284_swio10_lednop_pr_ee_ce },
 {  90910, ur_m1284_swio10_lednop_pr_ee_ce },
 {  90912, ur_m1284_swio10_lednop_ee_hw },
 {  90914, ur_m1284_swio10_lednop_ee_ce_hw },
 {  90915, ur_m1284_swio10_lednop_ee_ce_hw },
 {  90916, ur_m1284_swio10_dual },
 {  90917, ur_m1284_swio10_dual },
 {  90918, ur_m1284_swio10_dual },
 {  90919, ur_m1284_swio10_dual_pr_ee },
 {  90920, ur_m1284_swio10_dual_pr_ee_u4 },
 {  90921, ur_m1284_swio10_dual_pr_ce },
 {  90922, ur_m1284_swio10_dual_pr_ce_u4 },
 {  90923, ur_m1284_swio10_dual_pr_ee_ce },
 {  90924, ur_m1284_swio10_dual_pr_ee_ce },
 {  90926, ur_m1284_swio10_dual_ee_hw },
 {  90928, ur_m1284_swio10_dual_ee_ce_hw },
 {  90929, ur_m1284_swio10_dual_ee_ce_hw },
 {  90930, ur_m1284_swio11_noled },
 {  90931, ur_m1284_swio11_noled_pr },
 {  90932, ur_m1284_swio11_noled_pr },
 {  90933, ur_m1284_swio11_noled_pr_ee },
 {  90934, ur_m1284_swio11_noled_pr_ee },
 {  90935, ur_m1284_swio11_noled_pr_ce },
 {  90936, ur_m1284_swio11_noled_pr_ce },
 {  90937, ur_m1284_swio11_noled_pr_ee_ce },
 {  90938, ur_m1284_swio11_noled_pr_ee_ce },
 {  90940, ur_m1284_swio11_noled_ee_hw },
 {  90942, ur_m1284_swio11_noled_ee_ce_hw },
 {  90943, ur_m1284_swio11_noled_ee_ce_hw },
 {  90944, ur_m1284_swio11_lednop },
 {  90945, ur_m1284_swio11_lednop_pr },
 {  90946, ur_m1284_swio11_lednop_pr },
 {  90947, ur_m1284_swio11_lednop_pr_ee },
 {  90948, ur_m1284_swio11_lednop_pr_ee },
 {  90949, ur_m1284_swio11_lednop_pr_ce },
 {  90950, ur_m1284_swio11_lednop_pr_ce },
 {  90951, ur_m1284_swio11_lednop_pr_ee_ce },
 {  90952, ur_m1284_swio11_lednop_pr_ee_ce },
 {  90954, ur_m1284_swio11_lednop_ee_hw },
 {  90956, ur_m1284_swio11_lednop_ee_ce_hw },
 {  90957, ur_m1284_swio11_lednop_ee_ce_hw },
 {  90958, ur_m1284_swio11_dual },
 {  90959, ur_m1284_swio11_dual },
 {  90960, ur_m1284_swio11_dual },
 {  90961, ur_m1284_swio11_dual_pr_ee },
 {  90962, ur_m1284_swio11_dual_pr_ee_u4 },
 {  90963, ur_m1284_swio11_dual_pr_ce },
 {  90964, ur_m1284_swio11_dual_pr_ce_u4 },
 {  90965, ur_m1284_swio11_dual_pr_ee_ce },
 {  90966, ur_m1284_swio11_dual_pr_ee_ce },
 {  90968, ur_m1284_swio11_dual_ee_hw },
 {  90970, ur_m1284_swio11_dual_ee_ce_hw },
 {  90971, ur_m1284_swio11_dual_ee_ce_hw },
 {  90972, ur_m1284_swio11_noled },
 {  90973, ur_m1284_swio11_noled_pr },
 {  90974, ur_m1284_swio11_noled_pr },
 {  90975, ur_m1284_swio11_noled_pr_ee },
 {  90976, ur_m1284_swio11_noled_pr_ee },
 {  90977, ur_m1284_swio11_noled_pr_ce },
 {  90978, ur_m1284_swio11_noled_pr_ce },
 {  90979, ur_m1284_swio11_noled_pr_ee_ce },
 {  90980, ur_m1284_swio11_noled_pr_ee_ce },
 {  90982, ur_m1284_swio11_noled_ee_hw },
 {  90984, ur_m1284_swio11_noled_ee_ce_hw },
 {  90985, ur_m1284_swio11_noled_ee_ce_hw },
 {  90986, ur_m1284_swio11_lednop },
 {  90987, ur_m1284_swio11_lednop_pr },
 {  90988, ur_m1284_swio11_lednop_pr },
 {  90989, ur_m1284_swio11_lednop_pr_ee },
 {  90990, ur_m1284_swio11_lednop_pr_ee },
 {  90991, ur_m1284_swio11_lednop_pr_ce },
 {  90992, ur_m1284_swio11_lednop_pr_ce },
 {  90993, ur_m1284_swio11_lednop_pr_ee_ce },
 {  90994, ur_m1284_swio11_lednop_pr_ee_ce },
 {  90996, ur_m1284_swio11_lednop_ee_hw },
 {  90998, ur_m1284_swio11_lednop_ee_ce_hw },
 {  90999, ur_m1284_swio11_lednop_ee_ce_hw },
 {  91000, ur_m1284_swio11_dual },
 {  91001, ur_m1284_swio11_dual },
 {  91002, ur_m1284_swio11_dual },
 {  91003, ur_m1284_swio11_dual_pr_ee },
 {  91004, ur_m1284_swio11_dual_pr_ee_u4 },
 {  91005, ur_m1284_swio11_dual_pr_ce },
 {  91006, ur_m1284_swio11_dual_pr_ce_u4 },
 {  91007, ur_m1284_swio11_dual_pr_ee_ce },
 {  91008, ur_m1284_swio11_dual_pr_ee_ce },
 {  91010, ur_m1284_swio11_dual_ee_hw },
 {  91012, ur_m1284_swio11_dual_ee_ce_hw },
 {  91013, ur_m1284_swio11_dual_ee_ce_hw },
 {  91014, ur_m1284_swio13_noled },
 {  91015, ur_m1284_swio13_noled_pr },
 {  91016, ur_m1284_swio13_noled_pr },
 {  91017, ur_m1284_swio13_noled_pr_ee },
 {  91018, ur_m1284_swio13_noled_pr_ee },
 {  91019, ur_m1284_swio13_noled_pr_ce },
 {  91020, ur_m1284_swio13_noled_pr_ce },
 {  91021, ur_m1284_swio13_noled_pr_ee_ce },
 {  91022, ur_m1284_swio13_noled_pr_ee_ce },
 {  91024, ur_m1284_swio13_noled_ee_hw },
 {  91026, ur_m1284_swio13_noled_ee_ce_hw },
 {  91027, ur_m1284_swio13_noled_ee_ce_hw },
 {  91028, ur_m1284_swio13_lednop },
 {  91029, ur_m1284_swio13_lednop },
 {  91030, ur_m1284_swio13_lednop },
 {  91031, ur_m1284_swio13_lednop_pr_ee },
 {  91032, ur_m1284_swio13_lednop_pr_ee },
 {  91033, ur_m1284_swio13_lednop_pr_ce },
 {  91034, ur_m1284_swio13_lednop_pr_ce },
 {  91035, ur_m1284_swio13_lednop_pr_ee_ce },
 {  91036, ur_m1284_swio13_lednop_pr_ee_ce },
 {  91038, ur_m1284_swio13_lednop_ee_hw },
 {  91040, ur_m1284_swio13_lednop_ee_ce_hw },
 {  91041, ur_m1284_swio13_lednop_ee_ce_hw },
 {  91042, ur_m1284_swio13_dual },
 {  91043, ur_m1284_swio13_dual },
 {  91044, ur_m1284_swio13_dual },
 {  91045, ur_m1284_swio13_dual_pr_ee },
 {  91046, ur_m1284_swio13_dual_pr_ee_u4 },
 {  91047, ur_m1284_swio13_dual_pr_ce },
 {  91048, ur_m1284_swio13_dual_pr_ce_u4 },
 {  91049, ur_m1284_swio13_dual_pr_ee_ce },
 {  91050, ur_m1284_swio13_dual_pr_ee_ce },
 {  91052, ur_m1284_swio13_dual_ee_hw },
 {  91054, ur_m1284_swio13_dual_ee_ce_hw },
 {  91055, ur_m1284_swio13_dual_ee_ce_hw },
 {  91056, ur_m1284_swio14_noled },
 {  91057, ur_m1284_swio14_noled_pr },
 {  91058, ur_m1284_swio14_noled_pr },
 {  91059, ur_m1284_swio14_noled_pr_ee },
 {  91060, ur_m1284_swio14_noled_pr_ee },
 {  91061, ur_m1284_swio14_noled_pr_ce },
 {  91062, ur_m1284_swio14_noled_pr_ce },
 {  91063, ur_m1284_swio14_noled_pr_ee_ce },
 {  91064, ur_m1284_swio14_noled_pr_ee_ce },
 {  91066, ur_m1284_swio14_noled_ee_hw },
 {  91068, ur_m1284_swio14_noled_ee_ce_hw },
 {  91069, ur_m1284_swio14_noled_ee_ce_hw },
 {  91070, ur_m1284_swio14_lednop },
 {  91071, ur_m1284_swio14_lednop_pr },
 {  91072, ur_m1284_swio14_lednop_pr },
 {  91073, ur_m1284_swio14_lednop_pr_ee },
 {  91074, ur_m1284_swio14_lednop_pr_ee },
 {  91075, ur_m1284_swio14_lednop_pr_ce },
 {  91076, ur_m1284_swio14_lednop_pr_ce },
 {  91077, ur_m1284_swio14_lednop_pr_ee_ce },
 {  91078, ur_m1284_swio14_lednop_pr_ee_ce },
 {  91080, ur_m1284_swio14_lednop_ee_hw },
 {  91082, ur_m1284_swio14_lednop_ee_ce_hw },
 {  91083, ur_m1284_swio14_lednop_ee_ce_hw },
 {  91084, ur_m1284_swio14_dual },
 {  91085, ur_m1284_swio14_dual },
 {  91086, ur_m1284_swio14_dual },
 {  91087, ur_m1284_swio14_dual_pr_ee },
 {  91088, ur_m1284_swio14_dual_pr_ee_u4 },
 {  91089, ur_m1284_swio14_dual_pr_ce },
 {  91090, ur_m1284_swio14_dual_pr_ce_u4 },
 {  91091, ur_m1284_swio14_dual_pr_ee_ce },
 {  91092, ur_m1284_swio14_dual_pr_ee_ce },
 {  91094, ur_m1284_swio14_dual_ee_hw },
 {  91096, ur_m1284_swio14_dual_ee_ce_hw },
 {  91097, ur_m1284_swio14_dual_ee_ce_hw },
 {  91098, ur_m1284_swio15_noled },
 {  91099, ur_m1284_swio15_noled_pr },
 {  91100, ur_m1284_swio15_noled_pr },
 {  91101, ur_m1284_swio15_noled_pr_ee },
 {  91102, ur_m1284_swio15_noled_pr_ee },
 {  91103, ur_m1284_swio15_noled_pr_ce },
 {  91104, ur_m1284_swio15_noled_pr_ce },
 {  91105, ur_m1284_swio15_noled_pr_ee_ce },
 {  91106, ur_m1284_swio15_noled_pr_ee_ce },
 {  91108, ur_m1284_swio15_noled_ee_hw },
 {  91110, ur_m1284_swio15_noled_ee_ce_hw },
 {  91111, ur_m1284_swio15_noled_ee_ce_hw },
 {  91112, ur_m1284_swio15_lednop },
 {  91113, ur_m1284_swio15_lednop },
 {  91114, ur_m1284_swio15_lednop },
 {  91115, ur_m1284_swio15_lednop_pr_ee },
 {  91116, ur_m1284_swio15_lednop_pr_ee },
 {  91117, ur_m1284_swio15_lednop_pr_ce },
 {  91118, ur_m1284_swio15_lednop_pr_ce },
 {  91119, ur_m1284_swio15_lednop_pr_ee_ce },
 {  91120, ur_m1284_swio15_lednop_pr_ee_ce },
 {  91122, ur_m1284_swio15_lednop_ee_hw },
 {  91124, ur_m1284_swio15_lednop_ee_ce_hw },
 {  91125, ur_m1284_swio15_lednop_ee_ce_hw },
 {  91126, ur_m1284_swio15_dual },
 {  91127, ur_m1284_swio15_dual },
 {  91128, ur_m1284_swio15_dual },
 {  91129, ur_m1284_swio15_dual_pr_ee },
 {  91130, ur_m1284_swio15_dual_pr_ee_u4 },
 {  91131, ur_m1284_swio15_dual_pr_ce },
 {  91132, ur_m1284_swio15_dual_pr_ce_u4 },
 {  91133, ur_m1284_swio15_dual_pr_ee_ce },
 {  91134, ur_m1284_swio15_dual_pr_ee_ce },
 {  91136, ur_m1284_swio15_dual_ee_hw },
 {  91138, ur_m1284_swio15_dual_ee_ce_hw },
 {  91139, ur_m1284_swio15_dual_ee_ce_hw },
 {  91140, ur_m1284_autobaud_uart0_noled },
 {  91141, ur_m1284_autobaud_uart0_noled_pr },
 {  91142, ur_m1284_autobaud_uart0_noled_pr },
 {  91143, ur_m1284_autobaud_uart0_noled_pr_ee },
 {  91144, ur_m1284_autobaud_uart0_noled_pr_ee },
 {  91145, ur_m1284_autobaud_uart0_noled_pr_ce },
 {  91146, ur_m1284_autobaud_uart0_noled_pr_ce },
 {  91147, ur_m1284_autobaud_uart0_noled_pr_ee_ce },
 {  91148, ur_m1284_autobaud_uart0_noled_pr_ee_ce },
 {  91150, ur_m1284_autobaud_uart0_noled_ee_hw },
 {  91152, ur_m1284_autobaud_uart0_noled_ee_ce_hw },
 {  91153, ur_m1284_autobaud_uart0_noled_ee_ce_hw },
 {  91154, ur_m1284_autobaud_uart0_lednop },
 {  91155, ur_m1284_autobaud_uart0_lednop_pr },
 {  91156, ur_m1284_autobaud_uart0_lednop_pr },
 {  91157, ur_m1284_autobaud_uart0_lednop_pr_ee },
 {  91158, ur_m1284_autobaud_uart0_lednop_pr_ee },
 {  91159, ur_m1284_autobaud_uart0_lednop_pr_ce },
 {  91160, ur_m1284_autobaud_uart0_lednop_pr_ce },
 {  91161, ur_m1284_autobaud_uart0_lednop_pr_ee_ce },
 {  91162, ur_m1284_autobaud_uart0_lednop_pr_ee_ce },
 {  91164, ur_m1284_autobaud_uart0_lednop_ee_hw },
 {  91166, ur_m1284_autobaud_uart0_lednop_ee_ce_hw },
 {  91167, ur_m1284_autobaud_uart0_lednop_ee_ce_hw },
 {  91168, ur_m1284_autobaud_uart0_dual },
 {  91169, ur_m1284_autobaud_uart0_dual },
 {  91170, ur_m1284_autobaud_uart0_dual },
 {  91171, ur_m1284_autobaud_uart0_dual_pr_ee },
 {  91172, ur_m1284_autobaud_uart0_dual_pr_ee_u4 },
 {  91173, ur_m1284_autobaud_uart0_dual_pr_ce },
 {  91174, ur_m1284_autobaud_uart0_dual_pr_ce_u4 },
 {  91175, ur_m1284_autobaud_uart0_dual_pr_ee_ce },
 {  91176, ur_m1284_autobaud_uart0_dual_pr_ee_ce },
 {  91178, ur_m1284_autobaud_uart0_dual_ee_hw },
 {  91180, ur_m1284_autobaud_uart0_dual_ee_ce_hw },
 {  91181, ur_m1284_autobaud_uart0_dual_ee_ce_hw },
 {  91224, ur_m1284_autobaud_uart1_noled },
 {  91225, ur_m1284_autobaud_uart1_noled_pr },
 {  91226, ur_m1284_autobaud_uart1_noled_pr },
 {  91227, ur_m1284_autobaud_uart1_noled_pr_ee },
 {  91228, ur_m1284_autobaud_uart1_noled_pr_ee },
 {  91229, ur_m1284_autobaud_uart1_noled_pr_ce },
 {  91230, ur_m1284_autobaud_uart1_noled_pr_ce },
 {  91231, ur_m1284_autobaud_uart1_noled_pr_ee_ce },
 {  91232, ur_m1284_autobaud_uart1_noled_pr_ee_ce },
 {  91234, ur_m1284_autobaud_uart1_noled_ee_hw },
 {  91236, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 {  91237, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 {  91238, ur_m1284_autobaud_uart1_lednop },
 {  91239, ur_m1284_autobaud_uart1_lednop_pr },
 {  91240, ur_m1284_autobaud_uart1_lednop_pr },
 {  91241, ur_m1284_autobaud_uart1_lednop_pr_ee },
 {  91242, ur_m1284_autobaud_uart1_lednop_pr_ee },
 {  91243, ur_m1284_autobaud_uart1_lednop_pr_ce },
 {  91244, ur_m1284_autobaud_uart1_lednop_pr_ce },
 {  91245, ur_m1284_autobaud_uart1_lednop_pr_ee_ce },
 {  91246, ur_m1284_autobaud_uart1_lednop_pr_ee_ce },
 {  91248, ur_m1284_autobaud_uart1_lednop_ee_hw },
 {  91250, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 {  91251, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 {  91252, ur_m1284_autobaud_uart1_dual },
 {  91253, ur_m1284_autobaud_uart1_dual },
 {  91254, ur_m1284_autobaud_uart1_dual },
 {  91255, ur_m1284_autobaud_uart1_dual_pr_ee },
 {  91256, ur_m1284_autobaud_uart1_dual_pr_ee_u4 },
 {  91257, ur_m1284_autobaud_uart1_dual_pr_ce },
 {  91258, ur_m1284_autobaud_uart1_dual_pr_ce_u4 },
 {  91259, ur_m1284_autobaud_uart1_dual_pr_ee_ce },
 {  91260, ur_m1284_autobaud_uart1_dual_pr_ee_ce },
 {  91262, ur_m1284_autobaud_uart1_dual_ee_hw },
 {  91264, ur_m1284_autobaud_uart1_dual_ee_ce_hw },
 {  91265, ur_m1284_autobaud_uart1_dual_ee_ce_hw },
 {  91350, ur_m1284_u1x8_uart0_noled },
 {  91351, ur_m1284_u1x8_uart0_noled },
 {  91352, ur_m1284_u1x8_uart0_noled_pr_u4 },
 {  91353, ur_m1284_u1x8_uart0_noled_pr_ee },
 {  91354, ur_m1284_u1x8_uart0_noled_pr_ee },
 {  91355, ur_m1284_u1x8_uart0_noled_pr_ce },
 {  91356, ur_m1284_u1x8_uart0_noled_pr_ce },
 {  91357, ur_m1284_u1x8_uart0_noled_pr_ee_ce },
 {  91358, ur_m1284_u1x8_uart0_noled_pr_ee_ce },
 {  91360, ur_m1284_u1x8_uart0_noled_ee_hw },
 {  91362, ur_m1284_u1x8_uart0_noled_ee_ce_hw },
 {  91363, ur_m1284_u1x8_uart0_noled_ee_ce_hw },
 {  91364, ur_m1284_u1x8_uart0_lednop },
 {  91365, ur_m1284_u1x8_uart0_lednop },
 {  91366, ur_m1284_u1x8_uart0_lednop_pr_u4 },
 {  91367, ur_m1284_u1x8_uart0_lednop_pr_ee },
 {  91368, ur_m1284_u1x8_uart0_lednop_pr_ee },
 {  91369, ur_m1284_u1x8_uart0_lednop_pr_ce },
 {  91370, ur_m1284_u1x8_uart0_lednop_pr_ce },
 {  91371, ur_m1284_u1x8_uart0_lednop_pr_ee_ce },
 {  91372, ur_m1284_u1x8_uart0_lednop_pr_ee_ce },
 {  91374, ur_m1284_u1x8_uart0_lednop_ee_hw },
 {  91376, ur_m1284_u1x8_uart0_lednop_ee_ce_hw },
 {  91377, ur_m1284_u1x8_uart0_lednop_ee_ce_hw },
 {  91378, ur_m1284_u1x8_uart0_dual },
 {  91379, ur_m1284_u1x8_uart0_dual },
 {  91380, ur_m1284_u1x8_uart0_dual },
 {  91381, ur_m1284_u1x8_uart0_dual_pr_ee },
 {  91382, ur_m1284_u1x8_uart0_dual_pr_ee_u4 },
 {  91383, ur_m1284_u1x8_uart0_dual_pr_ce },
 {  91384, ur_m1284_u1x8_uart0_dual_pr_ce_u4 },
 {  91385, ur_m1284_u1x8_uart0_dual_pr_ee_ce },
 {  91386, ur_m1284_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  91388, ur_m1284_u1x8_uart0_dual_ee_hw },
 {  91390, ur_m1284_u1x8_uart0_dual_ee_ce_hw },
 {  91391, ur_m1284_u1x8_uart0_dual_ee_ce_hw },
 {  91434, ur_m1284_u1x8_uart1_noled },
 {  91435, ur_m1284_u1x8_uart1_noled },
 {  91436, ur_m1284_u1x8_uart1_noled_pr_u4 },
 {  91437, ur_m1284_u1x8_uart1_noled_pr_ee },
 {  91438, ur_m1284_u1x8_uart1_noled_pr_ee },
 {  91439, ur_m1284_u1x8_uart1_noled_pr_ce },
 {  91440, ur_m1284_u1x8_uart1_noled_pr_ce },
 {  91441, ur_m1284_u1x8_uart1_noled_pr_ee_ce },
 {  91442, ur_m1284_u1x8_uart1_noled_pr_ee_ce },
 {  91444, ur_m1284_u1x8_uart1_noled_ee_hw },
 {  91446, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 {  91447, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 {  91448, ur_m1284_u1x8_uart1_lednop },
 {  91449, ur_m1284_u1x8_uart1_lednop },
 {  91450, ur_m1284_u1x8_uart1_lednop_pr_u4 },
 {  91451, ur_m1284_u1x8_uart1_lednop_pr_ee },
 {  91452, ur_m1284_u1x8_uart1_lednop_pr_ee },
 {  91453, ur_m1284_u1x8_uart1_lednop_pr_ce },
 {  91454, ur_m1284_u1x8_uart1_lednop_pr_ce },
 {  91455, ur_m1284_u1x8_uart1_lednop_pr_ee_ce },
 {  91456, ur_m1284_u1x8_uart1_lednop_pr_ee_ce },
 {  91458, ur_m1284_u1x8_uart1_lednop_ee_hw },
 {  91460, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 {  91461, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 {  91462, ur_m1284_u1x8_uart1_dual },
 {  91463, ur_m1284_u1x8_uart1_dual },
 {  91464, ur_m1284_u1x8_uart1_dual },
 {  91465, ur_m1284_u1x8_uart1_dual_pr_ee },
 {  91466, ur_m1284_u1x8_uart1_dual_pr_ee_u4 },
 {  91467, ur_m1284_u1x8_uart1_dual_pr_ce },
 {  91468, ur_m1284_u1x8_uart1_dual_pr_ce_u4 },
 {  91469, ur_m1284_u1x8_uart1_dual_pr_ee_ce },
 {  91470, ur_m1284_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  91472, ur_m1284_u1x8_uart1_dual_ee_hw },
 {  91474, ur_m1284_u1x8_uart1_dual_ee_ce_hw },
 {  91475, ur_m1284_u1x8_uart1_dual_ee_ce_hw },
 {  91560, ur_m1284_u1x12_uart0_noled },
 {  91561, ur_m1284_u1x12_uart0_noled },
 {  91562, ur_m1284_u1x12_uart0_noled_pr_u4 },
 {  91563, ur_m1284_u1x12_uart0_noled_pr_ee },
 {  91564, ur_m1284_u1x12_uart0_noled_pr_ee },
 {  91565, ur_m1284_u1x12_uart0_noled_pr_ce },
 {  91566, ur_m1284_u1x12_uart0_noled_pr_ce },
 {  91567, ur_m1284_u1x12_uart0_noled_pr_ee_ce },
 {  91568, ur_m1284_u1x12_uart0_noled_pr_ee_ce },
 {  91570, ur_m1284_u1x12_uart0_noled_ee_hw },
 {  91572, ur_m1284_u1x12_uart0_noled_ee_ce_hw },
 {  91573, ur_m1284_u1x12_uart0_noled_ee_ce_hw },
 {  91574, ur_m1284_u1x12_uart0_lednop },
 {  91575, ur_m1284_u1x12_uart0_lednop },
 {  91576, ur_m1284_u1x12_uart0_lednop_pr_u4 },
 {  91577, ur_m1284_u1x12_uart0_lednop_pr_ee },
 {  91578, ur_m1284_u1x12_uart0_lednop_pr_ee },
 {  91579, ur_m1284_u1x12_uart0_lednop_pr_ce },
 {  91580, ur_m1284_u1x12_uart0_lednop_pr_ce },
 {  91581, ur_m1284_u1x12_uart0_lednop_pr_ee_ce },
 {  91582, ur_m1284_u1x12_uart0_lednop_pr_ee_ce },
 {  91584, ur_m1284_u1x12_uart0_lednop_ee_hw },
 {  91586, ur_m1284_u1x12_uart0_lednop_ee_ce_hw },
 {  91587, ur_m1284_u1x12_uart0_lednop_ee_ce_hw },
 {  91588, ur_m1284_u1x12_uart0_dual },
 {  91589, ur_m1284_u1x12_uart0_dual },
 {  91590, ur_m1284_u1x12_uart0_dual },
 {  91591, ur_m1284_u1x12_uart0_dual_pr_ee },
 {  91592, ur_m1284_u1x12_uart0_dual_pr_ee_u4 },
 {  91593, ur_m1284_u1x12_uart0_dual_pr_ce },
 {  91594, ur_m1284_u1x12_uart0_dual_pr_ce_u4 },
 {  91595, ur_m1284_u1x12_uart0_dual_pr_ee_ce },
 {  91596, ur_m1284_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  91598, ur_m1284_u1x12_uart0_dual_ee_hw },
 {  91600, ur_m1284_u1x12_uart0_dual_ee_ce_hw },
 {  91601, ur_m1284_u1x12_uart0_dual_ee_ce_hw },
 {  91644, ur_m1284_u1x12_uart1_noled },
 {  91645, ur_m1284_u1x12_uart1_noled },
 {  91646, ur_m1284_u1x12_uart1_noled_pr_u4 },
 {  91647, ur_m1284_u1x12_uart1_noled_pr_ee },
 {  91648, ur_m1284_u1x12_uart1_noled_pr_ee },
 {  91649, ur_m1284_u1x12_uart1_noled_pr_ce },
 {  91650, ur_m1284_u1x12_uart1_noled_pr_ce },
 {  91651, ur_m1284_u1x12_uart1_noled_pr_ee_ce },
 {  91652, ur_m1284_u1x12_uart1_noled_pr_ee_ce },
 {  91654, ur_m1284_u1x12_uart1_noled_ee_hw },
 {  91656, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 {  91657, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 {  91658, ur_m1284_u1x12_uart1_lednop },
 {  91659, ur_m1284_u1x12_uart1_lednop },
 {  91660, ur_m1284_u1x12_uart1_lednop_pr_u4 },
 {  91661, ur_m1284_u1x12_uart1_lednop_pr_ee },
 {  91662, ur_m1284_u1x12_uart1_lednop_pr_ee },
 {  91663, ur_m1284_u1x12_uart1_lednop_pr_ce },
 {  91664, ur_m1284_u1x12_uart1_lednop_pr_ce },
 {  91665, ur_m1284_u1x12_uart1_lednop_pr_ee_ce },
 {  91666, ur_m1284_u1x12_uart1_lednop_pr_ee_ce },
 {  91668, ur_m1284_u1x12_uart1_lednop_ee_hw },
 {  91670, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 {  91671, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 {  91672, ur_m1284_u1x12_uart1_dual },
 {  91673, ur_m1284_u1x12_uart1_dual },
 {  91674, ur_m1284_u1x12_uart1_dual },
 {  91675, ur_m1284_u1x12_uart1_dual_pr_ee },
 {  91676, ur_m1284_u1x12_uart1_dual_pr_ee_u4 },
 {  91677, ur_m1284_u1x12_uart1_dual_pr_ce },
 {  91678, ur_m1284_u1x12_uart1_dual_pr_ce_u4 },
 {  91679, ur_m1284_u1x12_uart1_dual_pr_ee_ce },
 {  91680, ur_m1284_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  91682, ur_m1284_u1x12_uart1_dual_ee_hw },
 {  91684, ur_m1284_u1x12_uart1_dual_ee_ce_hw },
 {  91685, ur_m1284_u1x12_uart1_dual_ee_ce_hw },
 {  91770, ur_m1284_u2x8_uart0_noled },
 {  91771, ur_m1284_u2x8_uart0_noled },
 {  91772, ur_m1284_u2x8_uart0_noled_pr_u4 },
 {  91773, ur_m1284_u2x8_uart0_noled_pr_ee },
 {  91774, ur_m1284_u2x8_uart0_noled_pr_ee },
 {  91775, ur_m1284_u2x8_uart0_noled_pr_ce },
 {  91776, ur_m1284_u2x8_uart0_noled_pr_ce },
 {  91777, ur_m1284_u2x8_uart0_noled_pr_ee_ce },
 {  91778, ur_m1284_u2x8_uart0_noled_pr_ee_ce },
 {  91780, ur_m1284_u2x8_uart0_noled_ee_hw },
 {  91782, ur_m1284_u2x8_uart0_noled_ee_ce_hw },
 {  91783, ur_m1284_u2x8_uart0_noled_ee_ce_hw },
 {  91784, ur_m1284_u2x8_uart0_lednop },
 {  91785, ur_m1284_u2x8_uart0_lednop },
 {  91786, ur_m1284_u2x8_uart0_lednop_pr_u4 },
 {  91787, ur_m1284_u2x8_uart0_lednop_pr_ee },
 {  91788, ur_m1284_u2x8_uart0_lednop_pr_ee },
 {  91789, ur_m1284_u2x8_uart0_lednop_pr_ce },
 {  91790, ur_m1284_u2x8_uart0_lednop_pr_ce },
 {  91791, ur_m1284_u2x8_uart0_lednop_pr_ee_ce },
 {  91792, ur_m1284_u2x8_uart0_lednop_pr_ee_ce },
 {  91794, ur_m1284_u2x8_uart0_lednop_ee_hw },
 {  91796, ur_m1284_u2x8_uart0_lednop_ee_ce_hw },
 {  91797, ur_m1284_u2x8_uart0_lednop_ee_ce_hw },
 {  91798, ur_m1284_u2x8_uart0_dual },
 {  91799, ur_m1284_u2x8_uart0_dual },
 {  91800, ur_m1284_u2x8_uart0_dual },
 {  91801, ur_m1284_u2x8_uart0_dual_pr_ee },
 {  91802, ur_m1284_u2x8_uart0_dual_pr_ee_u4 },
 {  91803, ur_m1284_u2x8_uart0_dual_pr_ce },
 {  91804, ur_m1284_u2x8_uart0_dual_pr_ce_u4 },
 {  91805, ur_m1284_u2x8_uart0_dual_pr_ee_ce },
 {  91806, ur_m1284_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  91808, ur_m1284_u2x8_uart0_dual_ee_hw },
 {  91810, ur_m1284_u2x8_uart0_dual_ee_ce_hw },
 {  91811, ur_m1284_u2x8_uart0_dual_ee_ce_hw },
 {  91854, ur_m1284_u2x8_uart1_noled },
 {  91855, ur_m1284_u2x8_uart1_noled },
 {  91856, ur_m1284_u2x8_uart1_noled_pr_u4 },
 {  91857, ur_m1284_u2x8_uart1_noled_pr_ee },
 {  91858, ur_m1284_u2x8_uart1_noled_pr_ee },
 {  91859, ur_m1284_u2x8_uart1_noled_pr_ce },
 {  91860, ur_m1284_u2x8_uart1_noled_pr_ce },
 {  91861, ur_m1284_u2x8_uart1_noled_pr_ee_ce },
 {  91862, ur_m1284_u2x8_uart1_noled_pr_ee_ce },
 {  91864, ur_m1284_u2x8_uart1_noled_ee_hw },
 {  91866, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 {  91867, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 {  91868, ur_m1284_u2x8_uart1_lednop },
 {  91869, ur_m1284_u2x8_uart1_lednop },
 {  91870, ur_m1284_u2x8_uart1_lednop_pr_u4 },
 {  91871, ur_m1284_u2x8_uart1_lednop_pr_ee },
 {  91872, ur_m1284_u2x8_uart1_lednop_pr_ee },
 {  91873, ur_m1284_u2x8_uart1_lednop_pr_ce },
 {  91874, ur_m1284_u2x8_uart1_lednop_pr_ce },
 {  91875, ur_m1284_u2x8_uart1_lednop_pr_ee_ce },
 {  91876, ur_m1284_u2x8_uart1_lednop_pr_ee_ce },
 {  91878, ur_m1284_u2x8_uart1_lednop_ee_hw },
 {  91880, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 {  91881, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 {  91882, ur_m1284_u2x8_uart1_dual },
 {  91883, ur_m1284_u2x8_uart1_dual },
 {  91884, ur_m1284_u2x8_uart1_dual },
 {  91885, ur_m1284_u2x8_uart1_dual_pr_ee },
 {  91886, ur_m1284_u2x8_uart1_dual_pr_ee_u4 },
 {  91887, ur_m1284_u2x8_uart1_dual_pr_ce },
 {  91888, ur_m1284_u2x8_uart1_dual_pr_ce_u4 },
 {  91889, ur_m1284_u2x8_uart1_dual_pr_ee_ce },
 {  91890, ur_m1284_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  91892, ur_m1284_u2x8_uart1_dual_ee_hw },
 {  91894, ur_m1284_u2x8_uart1_dual_ee_ce_hw },
 {  91895, ur_m1284_u2x8_uart1_dual_ee_ce_hw },
 {  91980, ur_m1284_u2x12_uart0_noled },
 {  91981, ur_m1284_u2x12_uart0_noled },
 {  91982, ur_m1284_u2x12_uart0_noled_pr_u4 },
 {  91983, ur_m1284_u2x12_uart0_noled_pr_ee },
 {  91984, ur_m1284_u2x12_uart0_noled_pr_ee },
 {  91985, ur_m1284_u2x12_uart0_noled_pr_ce },
 {  91986, ur_m1284_u2x12_uart0_noled_pr_ce },
 {  91987, ur_m1284_u2x12_uart0_noled_pr_ee_ce },
 {  91988, ur_m1284_u2x12_uart0_noled_pr_ee_ce },
 {  91990, ur_m1284_u2x12_uart0_noled_ee_hw },
 {  91992, ur_m1284_u2x12_uart0_noled_ee_ce_hw },
 {  91993, ur_m1284_u2x12_uart0_noled_ee_ce_hw },
 {  91994, ur_m1284_u2x12_uart0_lednop },
 {  91995, ur_m1284_u2x12_uart0_lednop },
 {  91996, ur_m1284_u2x12_uart0_lednop_pr_u4 },
 {  91997, ur_m1284_u2x12_uart0_lednop_pr_ee },
 {  91998, ur_m1284_u2x12_uart0_lednop_pr_ee },
 {  91999, ur_m1284_u2x12_uart0_lednop_pr_ce },
 {  92000, ur_m1284_u2x12_uart0_lednop_pr_ce },
 {  92001, ur_m1284_u2x12_uart0_lednop_pr_ee_ce },
 {  92002, ur_m1284_u2x12_uart0_lednop_pr_ee_ce },
 {  92004, ur_m1284_u2x12_uart0_lednop_ee_hw },
 {  92006, ur_m1284_u2x12_uart0_lednop_ee_ce_hw },
 {  92007, ur_m1284_u2x12_uart0_lednop_ee_ce_hw },
 {  92008, ur_m1284_u2x12_uart0_dual },
 {  92009, ur_m1284_u2x12_uart0_dual },
 {  92010, ur_m1284_u2x12_uart0_dual },
 {  92011, ur_m1284_u2x12_uart0_dual_pr_ee },
 {  92012, ur_m1284_u2x12_uart0_dual_pr_ee_u4 },
 {  92013, ur_m1284_u2x12_uart0_dual_pr_ce },
 {  92014, ur_m1284_u2x12_uart0_dual_pr_ce_u4 },
 {  92015, ur_m1284_u2x12_uart0_dual_pr_ee_ce },
 {  92016, ur_m1284_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  92018, ur_m1284_u2x12_uart0_dual_ee_hw },
 {  92020, ur_m1284_u2x12_uart0_dual_ee_ce_hw },
 {  92021, ur_m1284_u2x12_uart0_dual_ee_ce_hw },
 {  92064, ur_m1284_u2x12_uart1_noled },
 {  92065, ur_m1284_u2x12_uart1_noled },
 {  92066, ur_m1284_u2x12_uart1_noled_pr_u4 },
 {  92067, ur_m1284_u2x12_uart1_noled_pr_ee },
 {  92068, ur_m1284_u2x12_uart1_noled_pr_ee },
 {  92069, ur_m1284_u2x12_uart1_noled_pr_ce },
 {  92070, ur_m1284_u2x12_uart1_noled_pr_ce },
 {  92071, ur_m1284_u2x12_uart1_noled_pr_ee_ce },
 {  92072, ur_m1284_u2x12_uart1_noled_pr_ee_ce },
 {  92074, ur_m1284_u2x12_uart1_noled_ee_hw },
 {  92076, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 {  92077, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 {  92078, ur_m1284_u2x12_uart1_lednop },
 {  92079, ur_m1284_u2x12_uart1_lednop },
 {  92080, ur_m1284_u2x12_uart1_lednop_pr_u4 },
 {  92081, ur_m1284_u2x12_uart1_lednop_pr_ee },
 {  92082, ur_m1284_u2x12_uart1_lednop_pr_ee },
 {  92083, ur_m1284_u2x12_uart1_lednop_pr_ce },
 {  92084, ur_m1284_u2x12_uart1_lednop_pr_ce },
 {  92085, ur_m1284_u2x12_uart1_lednop_pr_ee_ce },
 {  92086, ur_m1284_u2x12_uart1_lednop_pr_ee_ce },
 {  92088, ur_m1284_u2x12_uart1_lednop_ee_hw },
 {  92090, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 {  92091, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 {  92092, ur_m1284_u2x12_uart1_dual },
 {  92093, ur_m1284_u2x12_uart1_dual },
 {  92094, ur_m1284_u2x12_uart1_dual },
 {  92095, ur_m1284_u2x12_uart1_dual_pr_ee },
 {  92096, ur_m1284_u2x12_uart1_dual_pr_ee_u4 },
 {  92097, ur_m1284_u2x12_uart1_dual_pr_ce },
 {  92098, ur_m1284_u2x12_uart1_dual_pr_ce_u4 },
 {  92099, ur_m1284_u2x12_uart1_dual_pr_ee_ce },
 {  92100, ur_m1284_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  92102, ur_m1284_u2x12_uart1_dual_ee_hw },
 {  92104, ur_m1284_u2x12_uart1_dual_ee_ce_hw },
 {  92105, ur_m1284_u2x12_uart1_dual_ee_ce_hw },
 {  92190, ur_m1284_swio10_noled },
 {  92191, ur_m1284_swio10_noled_pr },
 {  92192, ur_m1284_swio10_noled_pr },
 {  92193, ur_m1284_swio10_noled_pr_ee },
 {  92194, ur_m1284_swio10_noled_pr_ee },
 {  92195, ur_m1284_swio10_noled_pr_ce },
 {  92196, ur_m1284_swio10_noled_pr_ce },
 {  92197, ur_m1284_swio10_noled_pr_ee_ce },
 {  92198, ur_m1284_swio10_noled_pr_ee_ce },
 {  92200, ur_m1284_swio10_noled_ee_hw },
 {  92202, ur_m1284_swio10_noled_ee_ce_hw },
 {  92203, ur_m1284_swio10_noled_ee_ce_hw },
 {  92204, ur_m1284_swio10_lednop },
 {  92205, ur_m1284_swio10_lednop_pr },
 {  92206, ur_m1284_swio10_lednop_pr },
 {  92207, ur_m1284_swio10_lednop_pr_ee },
 {  92208, ur_m1284_swio10_lednop_pr_ee },
 {  92209, ur_m1284_swio10_lednop_pr_ce },
 {  92210, ur_m1284_swio10_lednop_pr_ce },
 {  92211, ur_m1284_swio10_lednop_pr_ee_ce },
 {  92212, ur_m1284_swio10_lednop_pr_ee_ce },
 {  92214, ur_m1284_swio10_lednop_ee_hw },
 {  92216, ur_m1284_swio10_lednop_ee_ce_hw },
 {  92217, ur_m1284_swio10_lednop_ee_ce_hw },
 {  92218, ur_m1284_swio10_dual },
 {  92219, ur_m1284_swio10_dual },
 {  92220, ur_m1284_swio10_dual },
 {  92221, ur_m1284_swio10_dual_pr_ee },
 {  92222, ur_m1284_swio10_dual_pr_ee_u4 },
 {  92223, ur_m1284_swio10_dual_pr_ce },
 {  92224, ur_m1284_swio10_dual_pr_ce_u4 },
 {  92225, ur_m1284_swio10_dual_pr_ee_ce },
 {  92226, ur_m1284_swio10_dual_pr_ee_ce },
 {  92228, ur_m1284_swio10_dual_ee_hw },
 {  92230, ur_m1284_swio10_dual_ee_ce_hw },
 {  92231, ur_m1284_swio10_dual_ee_ce_hw },
 {  92232, ur_m1284_swio11_noled },
 {  92233, ur_m1284_swio11_noled_pr },
 {  92234, ur_m1284_swio11_noled_pr },
 {  92235, ur_m1284_swio11_noled_pr_ee },
 {  92236, ur_m1284_swio11_noled_pr_ee },
 {  92237, ur_m1284_swio11_noled_pr_ce },
 {  92238, ur_m1284_swio11_noled_pr_ce },
 {  92239, ur_m1284_swio11_noled_pr_ee_ce },
 {  92240, ur_m1284_swio11_noled_pr_ee_ce },
 {  92242, ur_m1284_swio11_noled_ee_hw },
 {  92244, ur_m1284_swio11_noled_ee_ce_hw },
 {  92245, ur_m1284_swio11_noled_ee_ce_hw },
 {  92246, ur_m1284_swio11_lednop },
 {  92247, ur_m1284_swio11_lednop_pr },
 {  92248, ur_m1284_swio11_lednop_pr },
 {  92249, ur_m1284_swio11_lednop_pr_ee },
 {  92250, ur_m1284_swio11_lednop_pr_ee },
 {  92251, ur_m1284_swio11_lednop_pr_ce },
 {  92252, ur_m1284_swio11_lednop_pr_ce },
 {  92253, ur_m1284_swio11_lednop_pr_ee_ce },
 {  92254, ur_m1284_swio11_lednop_pr_ee_ce },
 {  92256, ur_m1284_swio11_lednop_ee_hw },
 {  92258, ur_m1284_swio11_lednop_ee_ce_hw },
 {  92259, ur_m1284_swio11_lednop_ee_ce_hw },
 {  92260, ur_m1284_swio11_dual },
 {  92261, ur_m1284_swio11_dual },
 {  92262, ur_m1284_swio11_dual },
 {  92263, ur_m1284_swio11_dual_pr_ee },
 {  92264, ur_m1284_swio11_dual_pr_ee_u4 },
 {  92265, ur_m1284_swio11_dual_pr_ce },
 {  92266, ur_m1284_swio11_dual_pr_ce_u4 },
 {  92267, ur_m1284_swio11_dual_pr_ee_ce },
 {  92268, ur_m1284_swio11_dual_pr_ee_ce },
 {  92270, ur_m1284_swio11_dual_ee_hw },
 {  92272, ur_m1284_swio11_dual_ee_ce_hw },
 {  92273, ur_m1284_swio11_dual_ee_ce_hw },
 {  92274, ur_m1284_swio11_noled },
 {  92275, ur_m1284_swio11_noled_pr },
 {  92276, ur_m1284_swio11_noled_pr },
 {  92277, ur_m1284_swio11_noled_pr_ee },
 {  92278, ur_m1284_swio11_noled_pr_ee },
 {  92279, ur_m1284_swio11_noled_pr_ce },
 {  92280, ur_m1284_swio11_noled_pr_ce },
 {  92281, ur_m1284_swio11_noled_pr_ee_ce },
 {  92282, ur_m1284_swio11_noled_pr_ee_ce },
 {  92284, ur_m1284_swio11_noled_ee_hw },
 {  92286, ur_m1284_swio11_noled_ee_ce_hw },
 {  92287, ur_m1284_swio11_noled_ee_ce_hw },
 {  92288, ur_m1284_swio11_lednop },
 {  92289, ur_m1284_swio11_lednop_pr },
 {  92290, ur_m1284_swio11_lednop_pr },
 {  92291, ur_m1284_swio11_lednop_pr_ee },
 {  92292, ur_m1284_swio11_lednop_pr_ee },
 {  92293, ur_m1284_swio11_lednop_pr_ce },
 {  92294, ur_m1284_swio11_lednop_pr_ce },
 {  92295, ur_m1284_swio11_lednop_pr_ee_ce },
 {  92296, ur_m1284_swio11_lednop_pr_ee_ce },
 {  92298, ur_m1284_swio11_lednop_ee_hw },
 {  92300, ur_m1284_swio11_lednop_ee_ce_hw },
 {  92301, ur_m1284_swio11_lednop_ee_ce_hw },
 {  92302, ur_m1284_swio11_dual },
 {  92303, ur_m1284_swio11_dual },
 {  92304, ur_m1284_swio11_dual },
 {  92305, ur_m1284_swio11_dual_pr_ee },
 {  92306, ur_m1284_swio11_dual_pr_ee_u4 },
 {  92307, ur_m1284_swio11_dual_pr_ce },
 {  92308, ur_m1284_swio11_dual_pr_ce_u4 },
 {  92309, ur_m1284_swio11_dual_pr_ee_ce },
 {  92310, ur_m1284_swio11_dual_pr_ee_ce },
 {  92312, ur_m1284_swio11_dual_ee_hw },
 {  92314, ur_m1284_swio11_dual_ee_ce_hw },
 {  92315, ur_m1284_swio11_dual_ee_ce_hw },
 {  92316, ur_m1284_swio13_noled },
 {  92317, ur_m1284_swio13_noled_pr },
 {  92318, ur_m1284_swio13_noled_pr },
 {  92319, ur_m1284_swio13_noled_pr_ee },
 {  92320, ur_m1284_swio13_noled_pr_ee },
 {  92321, ur_m1284_swio13_noled_pr_ce },
 {  92322, ur_m1284_swio13_noled_pr_ce },
 {  92323, ur_m1284_swio13_noled_pr_ee_ce },
 {  92324, ur_m1284_swio13_noled_pr_ee_ce },
 {  92326, ur_m1284_swio13_noled_ee_hw },
 {  92328, ur_m1284_swio13_noled_ee_ce_hw },
 {  92329, ur_m1284_swio13_noled_ee_ce_hw },
 {  92330, ur_m1284_swio13_lednop },
 {  92331, ur_m1284_swio13_lednop },
 {  92332, ur_m1284_swio13_lednop },
 {  92333, ur_m1284_swio13_lednop_pr_ee },
 {  92334, ur_m1284_swio13_lednop_pr_ee },
 {  92335, ur_m1284_swio13_lednop_pr_ce },
 {  92336, ur_m1284_swio13_lednop_pr_ce },
 {  92337, ur_m1284_swio13_lednop_pr_ee_ce },
 {  92338, ur_m1284_swio13_lednop_pr_ee_ce },
 {  92340, ur_m1284_swio13_lednop_ee_hw },
 {  92342, ur_m1284_swio13_lednop_ee_ce_hw },
 {  92343, ur_m1284_swio13_lednop_ee_ce_hw },
 {  92344, ur_m1284_swio13_dual },
 {  92345, ur_m1284_swio13_dual },
 {  92346, ur_m1284_swio13_dual },
 {  92347, ur_m1284_swio13_dual_pr_ee },
 {  92348, ur_m1284_swio13_dual_pr_ee_u4 },
 {  92349, ur_m1284_swio13_dual_pr_ce },
 {  92350, ur_m1284_swio13_dual_pr_ce_u4 },
 {  92351, ur_m1284_swio13_dual_pr_ee_ce },
 {  92352, ur_m1284_swio13_dual_pr_ee_ce },
 {  92354, ur_m1284_swio13_dual_ee_hw },
 {  92356, ur_m1284_swio13_dual_ee_ce_hw },
 {  92357, ur_m1284_swio13_dual_ee_ce_hw },
 {  92358, ur_m1284_swio14_noled },
 {  92359, ur_m1284_swio14_noled_pr },
 {  92360, ur_m1284_swio14_noled_pr },
 {  92361, ur_m1284_swio14_noled_pr_ee },
 {  92362, ur_m1284_swio14_noled_pr_ee },
 {  92363, ur_m1284_swio14_noled_pr_ce },
 {  92364, ur_m1284_swio14_noled_pr_ce },
 {  92365, ur_m1284_swio14_noled_pr_ee_ce },
 {  92366, ur_m1284_swio14_noled_pr_ee_ce },
 {  92368, ur_m1284_swio14_noled_ee_hw },
 {  92370, ur_m1284_swio14_noled_ee_ce_hw },
 {  92371, ur_m1284_swio14_noled_ee_ce_hw },
 {  92372, ur_m1284_swio14_lednop },
 {  92373, ur_m1284_swio14_lednop_pr },
 {  92374, ur_m1284_swio14_lednop_pr },
 {  92375, ur_m1284_swio14_lednop_pr_ee },
 {  92376, ur_m1284_swio14_lednop_pr_ee },
 {  92377, ur_m1284_swio14_lednop_pr_ce },
 {  92378, ur_m1284_swio14_lednop_pr_ce },
 {  92379, ur_m1284_swio14_lednop_pr_ee_ce },
 {  92380, ur_m1284_swio14_lednop_pr_ee_ce },
 {  92382, ur_m1284_swio14_lednop_ee_hw },
 {  92384, ur_m1284_swio14_lednop_ee_ce_hw },
 {  92385, ur_m1284_swio14_lednop_ee_ce_hw },
 {  92386, ur_m1284_swio14_dual },
 {  92387, ur_m1284_swio14_dual },
 {  92388, ur_m1284_swio14_dual },
 {  92389, ur_m1284_swio14_dual_pr_ee },
 {  92390, ur_m1284_swio14_dual_pr_ee_u4 },
 {  92391, ur_m1284_swio14_dual_pr_ce },
 {  92392, ur_m1284_swio14_dual_pr_ce_u4 },
 {  92393, ur_m1284_swio14_dual_pr_ee_ce },
 {  92394, ur_m1284_swio14_dual_pr_ee_ce },
 {  92396, ur_m1284_swio14_dual_ee_hw },
 {  92398, ur_m1284_swio14_dual_ee_ce_hw },
 {  92399, ur_m1284_swio14_dual_ee_ce_hw },
 {  92400, ur_m1284_swio15_noled },
 {  92401, ur_m1284_swio15_noled_pr },
 {  92402, ur_m1284_swio15_noled_pr },
 {  92403, ur_m1284_swio15_noled_pr_ee },
 {  92404, ur_m1284_swio15_noled_pr_ee },
 {  92405, ur_m1284_swio15_noled_pr_ce },
 {  92406, ur_m1284_swio15_noled_pr_ce },
 {  92407, ur_m1284_swio15_noled_pr_ee_ce },
 {  92408, ur_m1284_swio15_noled_pr_ee_ce },
 {  92410, ur_m1284_swio15_noled_ee_hw },
 {  92412, ur_m1284_swio15_noled_ee_ce_hw },
 {  92413, ur_m1284_swio15_noled_ee_ce_hw },
 {  92414, ur_m1284_swio15_lednop },
 {  92415, ur_m1284_swio15_lednop },
 {  92416, ur_m1284_swio15_lednop },
 {  92417, ur_m1284_swio15_lednop_pr_ee },
 {  92418, ur_m1284_swio15_lednop_pr_ee },
 {  92419, ur_m1284_swio15_lednop_pr_ce },
 {  92420, ur_m1284_swio15_lednop_pr_ce },
 {  92421, ur_m1284_swio15_lednop_pr_ee_ce },
 {  92422, ur_m1284_swio15_lednop_pr_ee_ce },
 {  92424, ur_m1284_swio15_lednop_ee_hw },
 {  92426, ur_m1284_swio15_lednop_ee_ce_hw },
 {  92427, ur_m1284_swio15_lednop_ee_ce_hw },
 {  92428, ur_m1284_swio15_dual },
 {  92429, ur_m1284_swio15_dual },
 {  92430, ur_m1284_swio15_dual },
 {  92431, ur_m1284_swio15_dual_pr_ee },
 {  92432, ur_m1284_swio15_dual_pr_ee_u4 },
 {  92433, ur_m1284_swio15_dual_pr_ce },
 {  92434, ur_m1284_swio15_dual_pr_ce_u4 },
 {  92435, ur_m1284_swio15_dual_pr_ee_ce },
 {  92436, ur_m1284_swio15_dual_pr_ee_ce },
 {  92438, ur_m1284_swio15_dual_ee_hw },
 {  92440, ur_m1284_swio15_dual_ee_ce_hw },
 {  92441, ur_m1284_swio15_dual_ee_ce_hw },
 {  92442, ur_m1284rfr2_autobaud_uart0_noled },
 {  92443, ur_m1284rfr2_autobaud_uart0_noled_pr },
 {  92444, ur_m1284rfr2_autobaud_uart0_noled_pr },
 {  92445, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 {  92446, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 {  92447, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 {  92448, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 {  92449, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  92450, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  92452, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 {  92454, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  92455, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  92456, ur_m1284rfr2_autobaud_uart0_lednop },
 {  92457, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 {  92458, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 {  92459, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 {  92460, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 {  92461, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 {  92462, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 {  92463, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  92464, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  92466, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 {  92468, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  92469, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  92470, ur_m1284rfr2_autobaud_uart0_dual },
 {  92471, ur_m1284rfr2_autobaud_uart0_dual },
 {  92472, ur_m1284rfr2_autobaud_uart0_dual },
 {  92473, ur_m1284rfr2_autobaud_uart0_dual_pr_ee },
 {  92474, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4 },
 {  92475, ur_m1284rfr2_autobaud_uart0_dual_pr_ce },
 {  92476, ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4 },
 {  92477, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 {  92478, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 {  92480, ur_m1284rfr2_autobaud_uart0_dual_ee_hw },
 {  92482, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  92483, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  92526, ur_m1284rfr2_autobaud_uart1_noled },
 {  92527, ur_m1284rfr2_autobaud_uart1_noled_pr },
 {  92528, ur_m1284rfr2_autobaud_uart1_noled_pr },
 {  92529, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 {  92530, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 {  92531, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 {  92532, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 {  92533, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  92534, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  92536, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 {  92538, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  92539, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  92540, ur_m1284rfr2_autobaud_uart1_lednop },
 {  92541, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 {  92542, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 {  92543, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 {  92544, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 {  92545, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 {  92546, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 {  92547, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  92548, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  92550, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 {  92552, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  92553, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  92554, ur_m1284rfr2_autobaud_uart1_dual },
 {  92555, ur_m1284rfr2_autobaud_uart1_dual },
 {  92556, ur_m1284rfr2_autobaud_uart1_dual },
 {  92557, ur_m1284rfr2_autobaud_uart1_dual_pr_ee },
 {  92558, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4 },
 {  92559, ur_m1284rfr2_autobaud_uart1_dual_pr_ce },
 {  92560, ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4 },
 {  92561, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 {  92562, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 {  92564, ur_m1284rfr2_autobaud_uart1_dual_ee_hw },
 {  92566, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  92567, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  92652, ur_m1284rfr2_u1x8_uart0_noled },
 {  92653, ur_m1284rfr2_u1x8_uart0_noled },
 {  92654, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 {  92655, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 {  92656, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 {  92657, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 {  92658, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 {  92659, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  92660, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  92662, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 {  92664, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  92665, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  92666, ur_m1284rfr2_u1x8_uart0_lednop },
 {  92667, ur_m1284rfr2_u1x8_uart0_lednop },
 {  92668, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 {  92669, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 {  92670, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 {  92671, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 {  92672, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 {  92673, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  92674, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  92676, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 {  92678, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  92679, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  92680, ur_m1284rfr2_u1x8_uart0_dual },
 {  92681, ur_m1284rfr2_u1x8_uart0_dual },
 {  92682, ur_m1284rfr2_u1x8_uart0_dual },
 {  92683, ur_m1284rfr2_u1x8_uart0_dual_pr_ee },
 {  92684, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4 },
 {  92685, ur_m1284rfr2_u1x8_uart0_dual_pr_ce },
 {  92686, ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4 },
 {  92687, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce },
 {  92688, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  92690, ur_m1284rfr2_u1x8_uart0_dual_ee_hw },
 {  92692, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  92693, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  92736, ur_m1284rfr2_u1x8_uart1_noled },
 {  92737, ur_m1284rfr2_u1x8_uart1_noled },
 {  92738, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 {  92739, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 {  92740, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 {  92741, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 {  92742, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 {  92743, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  92744, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  92746, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 {  92748, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  92749, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  92750, ur_m1284rfr2_u1x8_uart1_lednop },
 {  92751, ur_m1284rfr2_u1x8_uart1_lednop },
 {  92752, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 {  92753, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 {  92754, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 {  92755, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 {  92756, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 {  92757, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  92758, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  92760, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 {  92762, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  92763, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  92764, ur_m1284rfr2_u1x8_uart1_dual },
 {  92765, ur_m1284rfr2_u1x8_uart1_dual },
 {  92766, ur_m1284rfr2_u1x8_uart1_dual },
 {  92767, ur_m1284rfr2_u1x8_uart1_dual_pr_ee },
 {  92768, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4 },
 {  92769, ur_m1284rfr2_u1x8_uart1_dual_pr_ce },
 {  92770, ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4 },
 {  92771, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce },
 {  92772, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  92774, ur_m1284rfr2_u1x8_uart1_dual_ee_hw },
 {  92776, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  92777, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  92862, ur_m1284rfr2_u1x12_uart0_noled },
 {  92863, ur_m1284rfr2_u1x12_uart0_noled },
 {  92864, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 {  92865, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 {  92866, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 {  92867, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 {  92868, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 {  92869, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  92870, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  92872, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 {  92874, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  92875, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  92876, ur_m1284rfr2_u1x12_uart0_lednop },
 {  92877, ur_m1284rfr2_u1x12_uart0_lednop },
 {  92878, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 {  92879, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 {  92880, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 {  92881, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 {  92882, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 {  92883, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  92884, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  92886, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 {  92888, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  92889, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  92890, ur_m1284rfr2_u1x12_uart0_dual },
 {  92891, ur_m1284rfr2_u1x12_uart0_dual },
 {  92892, ur_m1284rfr2_u1x12_uart0_dual },
 {  92893, ur_m1284rfr2_u1x12_uart0_dual_pr_ee },
 {  92894, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4 },
 {  92895, ur_m1284rfr2_u1x12_uart0_dual_pr_ce },
 {  92896, ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4 },
 {  92897, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce },
 {  92898, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  92900, ur_m1284rfr2_u1x12_uart0_dual_ee_hw },
 {  92902, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  92903, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  92946, ur_m1284rfr2_u1x12_uart1_noled },
 {  92947, ur_m1284rfr2_u1x12_uart1_noled },
 {  92948, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 {  92949, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 {  92950, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 {  92951, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 {  92952, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 {  92953, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  92954, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  92956, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 {  92958, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  92959, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  92960, ur_m1284rfr2_u1x12_uart1_lednop },
 {  92961, ur_m1284rfr2_u1x12_uart1_lednop },
 {  92962, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 {  92963, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 {  92964, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 {  92965, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 {  92966, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 {  92967, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  92968, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  92970, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 {  92972, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  92973, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  92974, ur_m1284rfr2_u1x12_uart1_dual },
 {  92975, ur_m1284rfr2_u1x12_uart1_dual },
 {  92976, ur_m1284rfr2_u1x12_uart1_dual },
 {  92977, ur_m1284rfr2_u1x12_uart1_dual_pr_ee },
 {  92978, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4 },
 {  92979, ur_m1284rfr2_u1x12_uart1_dual_pr_ce },
 {  92980, ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4 },
 {  92981, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce },
 {  92982, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  92984, ur_m1284rfr2_u1x12_uart1_dual_ee_hw },
 {  92986, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  92987, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  93072, ur_m1284rfr2_u2x8_uart0_noled },
 {  93073, ur_m1284rfr2_u2x8_uart0_noled },
 {  93074, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 {  93075, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 {  93076, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 {  93077, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 {  93078, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 {  93079, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  93080, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  93082, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 {  93084, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  93085, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  93086, ur_m1284rfr2_u2x8_uart0_lednop },
 {  93087, ur_m1284rfr2_u2x8_uart0_lednop },
 {  93088, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 {  93089, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 {  93090, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 {  93091, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 {  93092, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 {  93093, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  93094, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  93096, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 {  93098, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  93099, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  93100, ur_m1284rfr2_u2x8_uart0_dual },
 {  93101, ur_m1284rfr2_u2x8_uart0_dual },
 {  93102, ur_m1284rfr2_u2x8_uart0_dual },
 {  93103, ur_m1284rfr2_u2x8_uart0_dual_pr_ee },
 {  93104, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4 },
 {  93105, ur_m1284rfr2_u2x8_uart0_dual_pr_ce },
 {  93106, ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4 },
 {  93107, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce },
 {  93108, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  93110, ur_m1284rfr2_u2x8_uart0_dual_ee_hw },
 {  93112, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  93113, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  93156, ur_m1284rfr2_u2x8_uart1_noled },
 {  93157, ur_m1284rfr2_u2x8_uart1_noled },
 {  93158, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 {  93159, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 {  93160, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 {  93161, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 {  93162, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 {  93163, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  93164, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  93166, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 {  93168, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  93169, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  93170, ur_m1284rfr2_u2x8_uart1_lednop },
 {  93171, ur_m1284rfr2_u2x8_uart1_lednop },
 {  93172, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 {  93173, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 {  93174, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 {  93175, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 {  93176, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 {  93177, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  93178, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  93180, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 {  93182, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  93183, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  93184, ur_m1284rfr2_u2x8_uart1_dual },
 {  93185, ur_m1284rfr2_u2x8_uart1_dual },
 {  93186, ur_m1284rfr2_u2x8_uart1_dual },
 {  93187, ur_m1284rfr2_u2x8_uart1_dual_pr_ee },
 {  93188, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4 },
 {  93189, ur_m1284rfr2_u2x8_uart1_dual_pr_ce },
 {  93190, ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4 },
 {  93191, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce },
 {  93192, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  93194, ur_m1284rfr2_u2x8_uart1_dual_ee_hw },
 {  93196, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  93197, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  93282, ur_m1284rfr2_u2x12_uart0_noled },
 {  93283, ur_m1284rfr2_u2x12_uart0_noled },
 {  93284, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 {  93285, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 {  93286, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 {  93287, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 {  93288, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 {  93289, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  93290, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  93292, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 {  93294, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  93295, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  93296, ur_m1284rfr2_u2x12_uart0_lednop },
 {  93297, ur_m1284rfr2_u2x12_uart0_lednop },
 {  93298, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 {  93299, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 {  93300, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 {  93301, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 {  93302, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 {  93303, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  93304, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  93306, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 {  93308, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  93309, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  93310, ur_m1284rfr2_u2x12_uart0_dual },
 {  93311, ur_m1284rfr2_u2x12_uart0_dual },
 {  93312, ur_m1284rfr2_u2x12_uart0_dual },
 {  93313, ur_m1284rfr2_u2x12_uart0_dual_pr_ee },
 {  93314, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4 },
 {  93315, ur_m1284rfr2_u2x12_uart0_dual_pr_ce },
 {  93316, ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4 },
 {  93317, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce },
 {  93318, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  93320, ur_m1284rfr2_u2x12_uart0_dual_ee_hw },
 {  93322, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  93323, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  93366, ur_m1284rfr2_u2x12_uart1_noled },
 {  93367, ur_m1284rfr2_u2x12_uart1_noled },
 {  93368, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 {  93369, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 {  93370, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 {  93371, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 {  93372, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 {  93373, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  93374, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  93376, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 {  93378, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  93379, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  93380, ur_m1284rfr2_u2x12_uart1_lednop },
 {  93381, ur_m1284rfr2_u2x12_uart1_lednop },
 {  93382, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 {  93383, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 {  93384, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 {  93385, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 {  93386, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 {  93387, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  93388, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  93390, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 {  93392, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  93393, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  93394, ur_m1284rfr2_u2x12_uart1_dual },
 {  93395, ur_m1284rfr2_u2x12_uart1_dual },
 {  93396, ur_m1284rfr2_u2x12_uart1_dual },
 {  93397, ur_m1284rfr2_u2x12_uart1_dual_pr_ee },
 {  93398, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4 },
 {  93399, ur_m1284rfr2_u2x12_uart1_dual_pr_ce },
 {  93400, ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4 },
 {  93401, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce },
 {  93402, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  93404, ur_m1284rfr2_u2x12_uart1_dual_ee_hw },
 {  93406, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  93407, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  93492, ur_m1284rfr2_swio10_noled },
 {  93493, ur_m1284rfr2_swio10_noled_pr },
 {  93494, ur_m1284rfr2_swio10_noled_pr },
 {  93495, ur_m1284rfr2_swio10_noled_pr_ee },
 {  93496, ur_m1284rfr2_swio10_noled_pr_ee },
 {  93497, ur_m1284rfr2_swio10_noled_pr_ce },
 {  93498, ur_m1284rfr2_swio10_noled_pr_ce },
 {  93499, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 {  93500, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 {  93502, ur_m1284rfr2_swio10_noled_ee_hw },
 {  93504, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 {  93505, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 {  93506, ur_m1284rfr2_swio10_lednop },
 {  93507, ur_m1284rfr2_swio10_lednop_pr },
 {  93508, ur_m1284rfr2_swio10_lednop_pr },
 {  93509, ur_m1284rfr2_swio10_lednop_pr_ee },
 {  93510, ur_m1284rfr2_swio10_lednop_pr_ee },
 {  93511, ur_m1284rfr2_swio10_lednop_pr_ce },
 {  93512, ur_m1284rfr2_swio10_lednop_pr_ce },
 {  93513, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 {  93514, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 {  93516, ur_m1284rfr2_swio10_lednop_ee_hw },
 {  93518, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 {  93519, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 {  93520, ur_m1284rfr2_swio10_dual },
 {  93521, ur_m1284rfr2_swio10_dual },
 {  93522, ur_m1284rfr2_swio10_dual },
 {  93523, ur_m1284rfr2_swio10_dual_pr_ee },
 {  93524, ur_m1284rfr2_swio10_dual_pr_ee_u4 },
 {  93525, ur_m1284rfr2_swio10_dual_pr_ce },
 {  93526, ur_m1284rfr2_swio10_dual_pr_ce_u4 },
 {  93527, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 {  93528, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 {  93530, ur_m1284rfr2_swio10_dual_ee_hw },
 {  93532, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 {  93533, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 {  93534, ur_m1284rfr2_swio11_noled },
 {  93535, ur_m1284rfr2_swio11_noled_pr },
 {  93536, ur_m1284rfr2_swio11_noled_pr },
 {  93537, ur_m1284rfr2_swio11_noled_pr_ee },
 {  93538, ur_m1284rfr2_swio11_noled_pr_ee },
 {  93539, ur_m1284rfr2_swio11_noled_pr_ce },
 {  93540, ur_m1284rfr2_swio11_noled_pr_ce },
 {  93541, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 {  93542, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 {  93544, ur_m1284rfr2_swio11_noled_ee_hw },
 {  93546, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 {  93547, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 {  93548, ur_m1284rfr2_swio11_lednop },
 {  93549, ur_m1284rfr2_swio11_lednop_pr },
 {  93550, ur_m1284rfr2_swio11_lednop_pr },
 {  93551, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  93552, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  93553, ur_m1284rfr2_swio11_lednop_pr_ce },
 {  93554, ur_m1284rfr2_swio11_lednop_pr_ce },
 {  93555, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 {  93556, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 {  93558, ur_m1284rfr2_swio11_lednop_ee_hw },
 {  93560, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 {  93561, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 {  93562, ur_m1284rfr2_swio11_dual },
 {  93563, ur_m1284rfr2_swio11_dual },
 {  93564, ur_m1284rfr2_swio11_dual },
 {  93565, ur_m1284rfr2_swio11_dual_pr_ee },
 {  93566, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 {  93567, ur_m1284rfr2_swio11_dual_pr_ce },
 {  93568, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 {  93569, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 {  93570, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 {  93572, ur_m1284rfr2_swio11_dual_ee_hw },
 {  93574, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 {  93575, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 {  93576, ur_m1284rfr2_swio11_noled },
 {  93577, ur_m1284rfr2_swio11_noled_pr },
 {  93578, ur_m1284rfr2_swio11_noled_pr },
 {  93579, ur_m1284rfr2_swio11_noled_pr_ee },
 {  93580, ur_m1284rfr2_swio11_noled_pr_ee },
 {  93581, ur_m1284rfr2_swio11_noled_pr_ce },
 {  93582, ur_m1284rfr2_swio11_noled_pr_ce },
 {  93583, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 {  93584, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 {  93586, ur_m1284rfr2_swio11_noled_ee_hw },
 {  93588, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 {  93589, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 {  93590, ur_m1284rfr2_swio11_lednop },
 {  93591, ur_m1284rfr2_swio11_lednop_pr },
 {  93592, ur_m1284rfr2_swio11_lednop_pr },
 {  93593, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  93594, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  93595, ur_m1284rfr2_swio11_lednop_pr_ce },
 {  93596, ur_m1284rfr2_swio11_lednop_pr_ce },
 {  93597, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 {  93598, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 {  93600, ur_m1284rfr2_swio11_lednop_ee_hw },
 {  93602, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 {  93603, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 {  93604, ur_m1284rfr2_swio11_dual },
 {  93605, ur_m1284rfr2_swio11_dual },
 {  93606, ur_m1284rfr2_swio11_dual },
 {  93607, ur_m1284rfr2_swio11_dual_pr_ee },
 {  93608, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 {  93609, ur_m1284rfr2_swio11_dual_pr_ce },
 {  93610, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 {  93611, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 {  93612, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 {  93614, ur_m1284rfr2_swio11_dual_ee_hw },
 {  93616, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 {  93617, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 {  93618, ur_m1284rfr2_swio13_noled },
 {  93619, ur_m1284rfr2_swio13_noled_pr },
 {  93620, ur_m1284rfr2_swio13_noled_pr },
 {  93621, ur_m1284rfr2_swio13_noled_pr_ee },
 {  93622, ur_m1284rfr2_swio13_noled_pr_ee },
 {  93623, ur_m1284rfr2_swio13_noled_pr_ce },
 {  93624, ur_m1284rfr2_swio13_noled_pr_ce },
 {  93625, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 {  93626, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 {  93628, ur_m1284rfr2_swio13_noled_ee_hw },
 {  93630, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 {  93631, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 {  93632, ur_m1284rfr2_swio13_lednop },
 {  93633, ur_m1284rfr2_swio13_lednop },
 {  93634, ur_m1284rfr2_swio13_lednop },
 {  93635, ur_m1284rfr2_swio13_lednop_pr_ee },
 {  93636, ur_m1284rfr2_swio13_lednop_pr_ee },
 {  93637, ur_m1284rfr2_swio13_lednop_pr_ce },
 {  93638, ur_m1284rfr2_swio13_lednop_pr_ce },
 {  93639, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 {  93640, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 {  93642, ur_m1284rfr2_swio13_lednop_ee_hw },
 {  93644, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 {  93645, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 {  93646, ur_m1284rfr2_swio13_dual },
 {  93647, ur_m1284rfr2_swio13_dual },
 {  93648, ur_m1284rfr2_swio13_dual },
 {  93649, ur_m1284rfr2_swio13_dual_pr_ee },
 {  93650, ur_m1284rfr2_swio13_dual_pr_ee_u4 },
 {  93651, ur_m1284rfr2_swio13_dual_pr_ce },
 {  93652, ur_m1284rfr2_swio13_dual_pr_ce_u4 },
 {  93653, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 {  93654, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 {  93656, ur_m1284rfr2_swio13_dual_ee_hw },
 {  93658, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 {  93659, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 {  93660, ur_m1284rfr2_swio14_noled },
 {  93661, ur_m1284rfr2_swio14_noled_pr },
 {  93662, ur_m1284rfr2_swio14_noled_pr },
 {  93663, ur_m1284rfr2_swio14_noled_pr_ee },
 {  93664, ur_m1284rfr2_swio14_noled_pr_ee },
 {  93665, ur_m1284rfr2_swio14_noled_pr_ce },
 {  93666, ur_m1284rfr2_swio14_noled_pr_ce },
 {  93667, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 {  93668, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 {  93670, ur_m1284rfr2_swio14_noled_ee_hw },
 {  93672, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 {  93673, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 {  93674, ur_m1284rfr2_swio14_lednop },
 {  93675, ur_m1284rfr2_swio14_lednop_pr },
 {  93676, ur_m1284rfr2_swio14_lednop_pr },
 {  93677, ur_m1284rfr2_swio14_lednop_pr_ee },
 {  93678, ur_m1284rfr2_swio14_lednop_pr_ee },
 {  93679, ur_m1284rfr2_swio14_lednop_pr_ce },
 {  93680, ur_m1284rfr2_swio14_lednop_pr_ce },
 {  93681, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 {  93682, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 {  93684, ur_m1284rfr2_swio14_lednop_ee_hw },
 {  93686, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 {  93687, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 {  93688, ur_m1284rfr2_swio14_dual },
 {  93689, ur_m1284rfr2_swio14_dual },
 {  93690, ur_m1284rfr2_swio14_dual },
 {  93691, ur_m1284rfr2_swio14_dual_pr_ee },
 {  93692, ur_m1284rfr2_swio14_dual_pr_ee_u4 },
 {  93693, ur_m1284rfr2_swio14_dual_pr_ce },
 {  93694, ur_m1284rfr2_swio14_dual_pr_ce_u4 },
 {  93695, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 {  93696, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 {  93698, ur_m1284rfr2_swio14_dual_ee_hw },
 {  93700, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 {  93701, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 {  93702, ur_m1284rfr2_swio15_noled },
 {  93703, ur_m1284rfr2_swio15_noled_pr },
 {  93704, ur_m1284rfr2_swio15_noled_pr },
 {  93705, ur_m1284rfr2_swio15_noled_pr_ee },
 {  93706, ur_m1284rfr2_swio15_noled_pr_ee },
 {  93707, ur_m1284rfr2_swio15_noled_pr_ce },
 {  93708, ur_m1284rfr2_swio15_noled_pr_ce },
 {  93709, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 {  93710, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 {  93712, ur_m1284rfr2_swio15_noled_ee_hw },
 {  93714, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 {  93715, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 {  93716, ur_m1284rfr2_swio15_lednop },
 {  93717, ur_m1284rfr2_swio15_lednop },
 {  93718, ur_m1284rfr2_swio15_lednop },
 {  93719, ur_m1284rfr2_swio15_lednop_pr_ee },
 {  93720, ur_m1284rfr2_swio15_lednop_pr_ee },
 {  93721, ur_m1284rfr2_swio15_lednop_pr_ce },
 {  93722, ur_m1284rfr2_swio15_lednop_pr_ce },
 {  93723, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 {  93724, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 {  93726, ur_m1284rfr2_swio15_lednop_ee_hw },
 {  93728, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 {  93729, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 {  93730, ur_m1284rfr2_swio15_dual },
 {  93731, ur_m1284rfr2_swio15_dual },
 {  93732, ur_m1284rfr2_swio15_dual },
 {  93733, ur_m1284rfr2_swio15_dual_pr_ee },
 {  93734, ur_m1284rfr2_swio15_dual_pr_ee_u4 },
 {  93735, ur_m1284rfr2_swio15_dual_pr_ce },
 {  93736, ur_m1284rfr2_swio15_dual_pr_ce_u4 },
 {  93737, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 {  93738, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 {  93740, ur_m1284rfr2_swio15_dual_ee_hw },
 {  93742, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 {  93743, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 {  93744, ur_m1284rfr2_autobaud_uart0_noled },
 {  93745, ur_m1284rfr2_autobaud_uart0_noled_pr },
 {  93746, ur_m1284rfr2_autobaud_uart0_noled_pr },
 {  93747, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 {  93748, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 {  93749, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 {  93750, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 {  93751, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  93752, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 {  93754, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 {  93756, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  93757, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 {  93758, ur_m1284rfr2_autobaud_uart0_lednop },
 {  93759, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 {  93760, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 {  93761, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 {  93762, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 {  93763, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 {  93764, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 {  93765, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  93766, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 {  93768, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 {  93770, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  93771, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 {  93772, ur_m2564rfr2_autobaud_uart0_dual },
 {  93773, ur_m2564rfr2_autobaud_uart0_dual },
 {  93774, ur_m2564rfr2_autobaud_uart0_dual },
 {  93775, ur_m2564rfr2_autobaud_uart0_dual_pr_ee },
 {  93776, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_u4 },
 {  93777, ur_m2564rfr2_autobaud_uart0_dual_pr_ce },
 {  93778, ur_m2564rfr2_autobaud_uart0_dual_pr_ce_u4 },
 {  93779, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 {  93780, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 {  93782, ur_m2564rfr2_autobaud_uart0_dual_ee_hw },
 {  93784, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  93785, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 {  93828, ur_m1284rfr2_autobaud_uart1_noled },
 {  93829, ur_m1284rfr2_autobaud_uart1_noled_pr },
 {  93830, ur_m1284rfr2_autobaud_uart1_noled_pr },
 {  93831, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 {  93832, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 {  93833, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 {  93834, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 {  93835, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  93836, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 {  93838, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 {  93840, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  93841, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 {  93842, ur_m1284rfr2_autobaud_uart1_lednop },
 {  93843, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 {  93844, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 {  93845, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 {  93846, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 {  93847, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 {  93848, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 {  93849, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  93850, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 {  93852, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 {  93854, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  93855, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 {  93856, ur_m2564rfr2_autobaud_uart1_dual },
 {  93857, ur_m2564rfr2_autobaud_uart1_dual },
 {  93858, ur_m2564rfr2_autobaud_uart1_dual },
 {  93859, ur_m2564rfr2_autobaud_uart1_dual_pr_ee },
 {  93860, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_u4 },
 {  93861, ur_m2564rfr2_autobaud_uart1_dual_pr_ce },
 {  93862, ur_m2564rfr2_autobaud_uart1_dual_pr_ce_u4 },
 {  93863, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 {  93864, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 {  93866, ur_m2564rfr2_autobaud_uart1_dual_ee_hw },
 {  93868, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  93869, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 {  93954, ur_m1284rfr2_u1x8_uart0_noled },
 {  93955, ur_m1284rfr2_u1x8_uart0_noled },
 {  93956, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 {  93957, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 {  93958, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 {  93959, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 {  93960, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 {  93961, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  93962, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 {  93964, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 {  93966, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  93967, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 {  93968, ur_m1284rfr2_u1x8_uart0_lednop },
 {  93969, ur_m1284rfr2_u1x8_uart0_lednop },
 {  93970, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 {  93971, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 {  93972, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 {  93973, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 {  93974, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 {  93975, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  93976, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 {  93978, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 {  93980, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  93981, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 {  93982, ur_m2564rfr2_u1x8_uart0_dual },
 {  93983, ur_m2564rfr2_u1x8_uart0_dual },
 {  93984, ur_m2564rfr2_u1x8_uart0_dual },
 {  93985, ur_m2564rfr2_u1x8_uart0_dual_pr_ee },
 {  93986, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_u4 },
 {  93987, ur_m2564rfr2_u1x8_uart0_dual_pr_ce },
 {  93988, ur_m2564rfr2_u1x8_uart0_dual_pr_ce_u4 },
 {  93989, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce },
 {  93990, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  93992, ur_m2564rfr2_u1x8_uart0_dual_ee_hw },
 {  93994, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  93995, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 {  94038, ur_m1284rfr2_u1x8_uart1_noled },
 {  94039, ur_m1284rfr2_u1x8_uart1_noled },
 {  94040, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 {  94041, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 {  94042, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 {  94043, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 {  94044, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 {  94045, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  94046, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 {  94048, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 {  94050, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  94051, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 {  94052, ur_m1284rfr2_u1x8_uart1_lednop },
 {  94053, ur_m1284rfr2_u1x8_uart1_lednop },
 {  94054, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 {  94055, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 {  94056, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 {  94057, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 {  94058, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 {  94059, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  94060, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 {  94062, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 {  94064, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  94065, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 {  94066, ur_m2564rfr2_u1x8_uart1_dual },
 {  94067, ur_m2564rfr2_u1x8_uart1_dual },
 {  94068, ur_m2564rfr2_u1x8_uart1_dual },
 {  94069, ur_m2564rfr2_u1x8_uart1_dual_pr_ee },
 {  94070, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_u4 },
 {  94071, ur_m2564rfr2_u1x8_uart1_dual_pr_ce },
 {  94072, ur_m2564rfr2_u1x8_uart1_dual_pr_ce_u4 },
 {  94073, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce },
 {  94074, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  94076, ur_m2564rfr2_u1x8_uart1_dual_ee_hw },
 {  94078, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  94079, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 {  94164, ur_m1284rfr2_u1x12_uart0_noled },
 {  94165, ur_m1284rfr2_u1x12_uart0_noled },
 {  94166, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 {  94167, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 {  94168, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 {  94169, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 {  94170, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 {  94171, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  94172, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 {  94174, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 {  94176, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  94177, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 {  94178, ur_m1284rfr2_u1x12_uart0_lednop },
 {  94179, ur_m1284rfr2_u1x12_uart0_lednop },
 {  94180, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 {  94181, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 {  94182, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 {  94183, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 {  94184, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 {  94185, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  94186, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 {  94188, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 {  94190, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  94191, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 {  94192, ur_m2564rfr2_u1x12_uart0_dual },
 {  94193, ur_m2564rfr2_u1x12_uart0_dual },
 {  94194, ur_m2564rfr2_u1x12_uart0_dual },
 {  94195, ur_m2564rfr2_u1x12_uart0_dual_pr_ee },
 {  94196, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_u4 },
 {  94197, ur_m2564rfr2_u1x12_uart0_dual_pr_ce },
 {  94198, ur_m2564rfr2_u1x12_uart0_dual_pr_ce_u4 },
 {  94199, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce },
 {  94200, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  94202, ur_m2564rfr2_u1x12_uart0_dual_ee_hw },
 {  94204, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  94205, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 {  94248, ur_m1284rfr2_u1x12_uart1_noled },
 {  94249, ur_m1284rfr2_u1x12_uart1_noled },
 {  94250, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 {  94251, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 {  94252, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 {  94253, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 {  94254, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 {  94255, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  94256, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 {  94258, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 {  94260, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  94261, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 {  94262, ur_m1284rfr2_u1x12_uart1_lednop },
 {  94263, ur_m1284rfr2_u1x12_uart1_lednop },
 {  94264, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 {  94265, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 {  94266, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 {  94267, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 {  94268, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 {  94269, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  94270, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 {  94272, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 {  94274, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  94275, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 {  94276, ur_m2564rfr2_u1x12_uart1_dual },
 {  94277, ur_m2564rfr2_u1x12_uart1_dual },
 {  94278, ur_m2564rfr2_u1x12_uart1_dual },
 {  94279, ur_m2564rfr2_u1x12_uart1_dual_pr_ee },
 {  94280, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_u4 },
 {  94281, ur_m2564rfr2_u1x12_uart1_dual_pr_ce },
 {  94282, ur_m2564rfr2_u1x12_uart1_dual_pr_ce_u4 },
 {  94283, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce },
 {  94284, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  94286, ur_m2564rfr2_u1x12_uart1_dual_ee_hw },
 {  94288, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  94289, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 {  94374, ur_m1284rfr2_u2x8_uart0_noled },
 {  94375, ur_m1284rfr2_u2x8_uart0_noled },
 {  94376, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 {  94377, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 {  94378, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 {  94379, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 {  94380, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 {  94381, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  94382, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 {  94384, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 {  94386, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  94387, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 {  94388, ur_m1284rfr2_u2x8_uart0_lednop },
 {  94389, ur_m1284rfr2_u2x8_uart0_lednop },
 {  94390, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 {  94391, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 {  94392, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 {  94393, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 {  94394, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 {  94395, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  94396, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 {  94398, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 {  94400, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  94401, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 {  94402, ur_m2564rfr2_u2x8_uart0_dual },
 {  94403, ur_m2564rfr2_u2x8_uart0_dual },
 {  94404, ur_m2564rfr2_u2x8_uart0_dual },
 {  94405, ur_m2564rfr2_u2x8_uart0_dual_pr_ee },
 {  94406, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_u4 },
 {  94407, ur_m2564rfr2_u2x8_uart0_dual_pr_ce },
 {  94408, ur_m2564rfr2_u2x8_uart0_dual_pr_ce_u4 },
 {  94409, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce },
 {  94410, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  94412, ur_m2564rfr2_u2x8_uart0_dual_ee_hw },
 {  94414, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  94415, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 {  94458, ur_m1284rfr2_u2x8_uart1_noled },
 {  94459, ur_m1284rfr2_u2x8_uart1_noled },
 {  94460, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 {  94461, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 {  94462, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 {  94463, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 {  94464, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 {  94465, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  94466, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 {  94468, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 {  94470, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  94471, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 {  94472, ur_m1284rfr2_u2x8_uart1_lednop },
 {  94473, ur_m1284rfr2_u2x8_uart1_lednop },
 {  94474, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 {  94475, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 {  94476, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 {  94477, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 {  94478, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 {  94479, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  94480, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 {  94482, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 {  94484, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  94485, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 {  94486, ur_m2564rfr2_u2x8_uart1_dual },
 {  94487, ur_m2564rfr2_u2x8_uart1_dual },
 {  94488, ur_m2564rfr2_u2x8_uart1_dual },
 {  94489, ur_m2564rfr2_u2x8_uart1_dual_pr_ee },
 {  94490, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_u4 },
 {  94491, ur_m2564rfr2_u2x8_uart1_dual_pr_ce },
 {  94492, ur_m2564rfr2_u2x8_uart1_dual_pr_ce_u4 },
 {  94493, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce },
 {  94494, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  94496, ur_m2564rfr2_u2x8_uart1_dual_ee_hw },
 {  94498, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  94499, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 {  94584, ur_m1284rfr2_u2x12_uart0_noled },
 {  94585, ur_m1284rfr2_u2x12_uart0_noled },
 {  94586, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 {  94587, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 {  94588, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 {  94589, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 {  94590, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 {  94591, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  94592, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 {  94594, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 {  94596, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  94597, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 {  94598, ur_m1284rfr2_u2x12_uart0_lednop },
 {  94599, ur_m1284rfr2_u2x12_uart0_lednop },
 {  94600, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 {  94601, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 {  94602, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 {  94603, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 {  94604, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 {  94605, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  94606, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 {  94608, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 {  94610, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  94611, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 {  94612, ur_m2564rfr2_u2x12_uart0_dual },
 {  94613, ur_m2564rfr2_u2x12_uart0_dual },
 {  94614, ur_m2564rfr2_u2x12_uart0_dual },
 {  94615, ur_m2564rfr2_u2x12_uart0_dual_pr_ee },
 {  94616, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_u4 },
 {  94617, ur_m2564rfr2_u2x12_uart0_dual_pr_ce },
 {  94618, ur_m2564rfr2_u2x12_uart0_dual_pr_ce_u4 },
 {  94619, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce },
 {  94620, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  94622, ur_m2564rfr2_u2x12_uart0_dual_ee_hw },
 {  94624, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  94625, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 {  94668, ur_m1284rfr2_u2x12_uart1_noled },
 {  94669, ur_m1284rfr2_u2x12_uart1_noled },
 {  94670, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 {  94671, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 {  94672, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 {  94673, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 {  94674, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 {  94675, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  94676, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 {  94678, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 {  94680, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  94681, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 {  94682, ur_m1284rfr2_u2x12_uart1_lednop },
 {  94683, ur_m1284rfr2_u2x12_uart1_lednop },
 {  94684, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 {  94685, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 {  94686, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 {  94687, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 {  94688, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 {  94689, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  94690, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 {  94692, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 {  94694, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  94695, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 {  94696, ur_m2564rfr2_u2x12_uart1_dual },
 {  94697, ur_m2564rfr2_u2x12_uart1_dual },
 {  94698, ur_m2564rfr2_u2x12_uart1_dual },
 {  94699, ur_m2564rfr2_u2x12_uart1_dual_pr_ee },
 {  94700, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_u4 },
 {  94701, ur_m2564rfr2_u2x12_uart1_dual_pr_ce },
 {  94702, ur_m2564rfr2_u2x12_uart1_dual_pr_ce_u4 },
 {  94703, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce },
 {  94704, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  94706, ur_m2564rfr2_u2x12_uart1_dual_ee_hw },
 {  94708, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  94709, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 {  94794, ur_m1284rfr2_swio10_noled },
 {  94795, ur_m1284rfr2_swio10_noled_pr },
 {  94796, ur_m1284rfr2_swio10_noled_pr },
 {  94797, ur_m1284rfr2_swio10_noled_pr_ee },
 {  94798, ur_m1284rfr2_swio10_noled_pr_ee },
 {  94799, ur_m2564rfr2_swio10_noled_pr_ce },
 {  94800, ur_m2564rfr2_swio10_noled_pr_ce },
 {  94801, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 {  94802, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 {  94804, ur_m1284rfr2_swio10_noled_ee_hw },
 {  94806, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 {  94807, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 {  94808, ur_m1284rfr2_swio10_lednop },
 {  94809, ur_m1284rfr2_swio10_lednop_pr },
 {  94810, ur_m1284rfr2_swio10_lednop_pr },
 {  94811, ur_m1284rfr2_swio10_lednop_pr_ee },
 {  94812, ur_m1284rfr2_swio10_lednop_pr_ee },
 {  94813, ur_m2564rfr2_swio10_lednop_pr_ce },
 {  94814, ur_m2564rfr2_swio10_lednop_pr_ce },
 {  94815, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 {  94816, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 {  94818, ur_m1284rfr2_swio10_lednop_ee_hw },
 {  94820, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 {  94821, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 {  94822, ur_m2564rfr2_swio10_dual },
 {  94823, ur_m2564rfr2_swio10_dual },
 {  94824, ur_m2564rfr2_swio10_dual },
 {  94825, ur_m2564rfr2_swio10_dual_pr_ee },
 {  94826, ur_m2564rfr2_swio10_dual_pr_ee_u4 },
 {  94827, ur_m2564rfr2_swio10_dual_pr_ce },
 {  94828, ur_m2564rfr2_swio10_dual_pr_ce_u4 },
 {  94829, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 {  94830, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 {  94832, ur_m2564rfr2_swio10_dual_ee_hw },
 {  94834, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 {  94835, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 {  94836, ur_m1284rfr2_swio11_noled },
 {  94837, ur_m1284rfr2_swio11_noled_pr },
 {  94838, ur_m1284rfr2_swio11_noled_pr },
 {  94839, ur_m1284rfr2_swio11_noled_pr_ee },
 {  94840, ur_m1284rfr2_swio11_noled_pr_ee },
 {  94841, ur_m2564rfr2_swio11_noled_pr_ce },
 {  94842, ur_m2564rfr2_swio11_noled_pr_ce },
 {  94843, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 {  94844, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 {  94846, ur_m1284rfr2_swio11_noled_ee_hw },
 {  94848, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 {  94849, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 {  94850, ur_m1284rfr2_swio11_lednop },
 {  94851, ur_m1284rfr2_swio11_lednop_pr },
 {  94852, ur_m1284rfr2_swio11_lednop_pr },
 {  94853, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  94854, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  94855, ur_m2564rfr2_swio11_lednop_pr_ce },
 {  94856, ur_m2564rfr2_swio11_lednop_pr_ce },
 {  94857, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 {  94858, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 {  94860, ur_m1284rfr2_swio11_lednop_ee_hw },
 {  94862, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 {  94863, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 {  94864, ur_m2564rfr2_swio11_dual },
 {  94865, ur_m2564rfr2_swio11_dual },
 {  94866, ur_m2564rfr2_swio11_dual },
 {  94867, ur_m2564rfr2_swio11_dual_pr_ee },
 {  94868, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 {  94869, ur_m2564rfr2_swio11_dual_pr_ce },
 {  94870, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 {  94871, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 {  94872, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 {  94874, ur_m2564rfr2_swio11_dual_ee_hw },
 {  94876, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 {  94877, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 {  94878, ur_m1284rfr2_swio11_noled },
 {  94879, ur_m1284rfr2_swio11_noled_pr },
 {  94880, ur_m1284rfr2_swio11_noled_pr },
 {  94881, ur_m1284rfr2_swio11_noled_pr_ee },
 {  94882, ur_m1284rfr2_swio11_noled_pr_ee },
 {  94883, ur_m2564rfr2_swio11_noled_pr_ce },
 {  94884, ur_m2564rfr2_swio11_noled_pr_ce },
 {  94885, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 {  94886, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 {  94888, ur_m1284rfr2_swio11_noled_ee_hw },
 {  94890, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 {  94891, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 {  94892, ur_m1284rfr2_swio11_lednop },
 {  94893, ur_m1284rfr2_swio11_lednop_pr },
 {  94894, ur_m1284rfr2_swio11_lednop_pr },
 {  94895, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  94896, ur_m1284rfr2_swio11_lednop_pr_ee },
 {  94897, ur_m2564rfr2_swio11_lednop_pr_ce },
 {  94898, ur_m2564rfr2_swio11_lednop_pr_ce },
 {  94899, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 {  94900, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 {  94902, ur_m1284rfr2_swio11_lednop_ee_hw },
 {  94904, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 {  94905, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 {  94906, ur_m2564rfr2_swio11_dual },
 {  94907, ur_m2564rfr2_swio11_dual },
 {  94908, ur_m2564rfr2_swio11_dual },
 {  94909, ur_m2564rfr2_swio11_dual_pr_ee },
 {  94910, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 {  94911, ur_m2564rfr2_swio11_dual_pr_ce },
 {  94912, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 {  94913, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 {  94914, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 {  94916, ur_m2564rfr2_swio11_dual_ee_hw },
 {  94918, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 {  94919, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 {  94920, ur_m1284rfr2_swio13_noled },
 {  94921, ur_m1284rfr2_swio13_noled_pr },
 {  94922, ur_m1284rfr2_swio13_noled_pr },
 {  94923, ur_m1284rfr2_swio13_noled_pr_ee },
 {  94924, ur_m1284rfr2_swio13_noled_pr_ee },
 {  94925, ur_m2564rfr2_swio13_noled_pr_ce },
 {  94926, ur_m2564rfr2_swio13_noled_pr_ce },
 {  94927, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 {  94928, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 {  94930, ur_m1284rfr2_swio13_noled_ee_hw },
 {  94932, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 {  94933, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 {  94934, ur_m1284rfr2_swio13_lednop },
 {  94935, ur_m1284rfr2_swio13_lednop },
 {  94936, ur_m1284rfr2_swio13_lednop },
 {  94937, ur_m1284rfr2_swio13_lednop_pr_ee },
 {  94938, ur_m1284rfr2_swio13_lednop_pr_ee },
 {  94939, ur_m2564rfr2_swio13_lednop_pr_ce },
 {  94940, ur_m2564rfr2_swio13_lednop_pr_ce },
 {  94941, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 {  94942, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 {  94944, ur_m1284rfr2_swio13_lednop_ee_hw },
 {  94946, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 {  94947, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 {  94948, ur_m2564rfr2_swio13_dual },
 {  94949, ur_m2564rfr2_swio13_dual },
 {  94950, ur_m2564rfr2_swio13_dual },
 {  94951, ur_m2564rfr2_swio13_dual_pr_ee },
 {  94952, ur_m2564rfr2_swio13_dual_pr_ee_u4 },
 {  94953, ur_m2564rfr2_swio13_dual_pr_ce },
 {  94954, ur_m2564rfr2_swio13_dual_pr_ce_u4 },
 {  94955, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 {  94956, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 {  94958, ur_m2564rfr2_swio13_dual_ee_hw },
 {  94960, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 {  94961, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 {  94962, ur_m1284rfr2_swio14_noled },
 {  94963, ur_m1284rfr2_swio14_noled_pr },
 {  94964, ur_m1284rfr2_swio14_noled_pr },
 {  94965, ur_m1284rfr2_swio14_noled_pr_ee },
 {  94966, ur_m1284rfr2_swio14_noled_pr_ee },
 {  94967, ur_m2564rfr2_swio14_noled_pr_ce },
 {  94968, ur_m2564rfr2_swio14_noled_pr_ce },
 {  94969, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 {  94970, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 {  94972, ur_m1284rfr2_swio14_noled_ee_hw },
 {  94974, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 {  94975, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 {  94976, ur_m1284rfr2_swio14_lednop },
 {  94977, ur_m1284rfr2_swio14_lednop_pr },
 {  94978, ur_m1284rfr2_swio14_lednop_pr },
 {  94979, ur_m1284rfr2_swio14_lednop_pr_ee },
 {  94980, ur_m1284rfr2_swio14_lednop_pr_ee },
 {  94981, ur_m2564rfr2_swio14_lednop_pr_ce },
 {  94982, ur_m2564rfr2_swio14_lednop_pr_ce },
 {  94983, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 {  94984, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 {  94986, ur_m1284rfr2_swio14_lednop_ee_hw },
 {  94988, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 {  94989, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 {  94990, ur_m2564rfr2_swio14_dual },
 {  94991, ur_m2564rfr2_swio14_dual },
 {  94992, ur_m2564rfr2_swio14_dual },
 {  94993, ur_m2564rfr2_swio14_dual_pr_ee },
 {  94994, ur_m2564rfr2_swio14_dual_pr_ee_u4 },
 {  94995, ur_m2564rfr2_swio14_dual_pr_ce },
 {  94996, ur_m2564rfr2_swio14_dual_pr_ce_u4 },
 {  94997, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 {  94998, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 {  95000, ur_m2564rfr2_swio14_dual_ee_hw },
 {  95002, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 {  95003, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 {  95004, ur_m1284rfr2_swio15_noled },
 {  95005, ur_m1284rfr2_swio15_noled_pr },
 {  95006, ur_m1284rfr2_swio15_noled_pr },
 {  95007, ur_m1284rfr2_swio15_noled_pr_ee },
 {  95008, ur_m1284rfr2_swio15_noled_pr_ee },
 {  95009, ur_m2564rfr2_swio15_noled_pr_ce },
 {  95010, ur_m2564rfr2_swio15_noled_pr_ce },
 {  95011, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 {  95012, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 {  95014, ur_m1284rfr2_swio15_noled_ee_hw },
 {  95016, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 {  95017, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 {  95018, ur_m1284rfr2_swio15_lednop },
 {  95019, ur_m1284rfr2_swio15_lednop },
 {  95020, ur_m1284rfr2_swio15_lednop },
 {  95021, ur_m1284rfr2_swio15_lednop_pr_ee },
 {  95022, ur_m1284rfr2_swio15_lednop_pr_ee },
 {  95023, ur_m2564rfr2_swio15_lednop_pr_ce },
 {  95024, ur_m2564rfr2_swio15_lednop_pr_ce },
 {  95025, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 {  95026, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 {  95028, ur_m1284rfr2_swio15_lednop_ee_hw },
 {  95030, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 {  95031, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 {  95032, ur_m2564rfr2_swio15_dual },
 {  95033, ur_m2564rfr2_swio15_dual },
 {  95034, ur_m2564rfr2_swio15_dual },
 {  95035, ur_m2564rfr2_swio15_dual_pr_ee },
 {  95036, ur_m2564rfr2_swio15_dual_pr_ee_u4 },
 {  95037, ur_m2564rfr2_swio15_dual_pr_ce },
 {  95038, ur_m2564rfr2_swio15_dual_pr_ce_u4 },
 {  95039, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 {  95040, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 {  95042, ur_m2564rfr2_swio15_dual_ee_hw },
 {  95044, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 {  95045, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 {  95046, ur_m163_autobaud_uart0_noled },
 {  95047, ur_m163_autobaud_uart0_noled },
 {  95048, ur_m163_autobaud_uart0_noled_pr_u4 },
 {  95049, ur_m163_autobaud_uart0_noled_pr_ee },
 {  95050, ur_m163_autobaud_uart0_noled_pr_ee },
 {  95051, ur_m163_autobaud_uart0_noled_pr_ce },
 {  95052, ur_m163_autobaud_uart0_noled_pr_ce },
 {  95053, ur_m163_autobaud_uart0_noled_pr_ee_ce },
 {  95054, ur_m163_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  95055, ur_m163_autobaud_uart0_noled_hw },
 {  95056, ur_m163_autobaud_uart0_noled_ee_hw },
 {  95057, ur_m163_autobaud_uart0_noled_ce_hw },
 {  95058, ur_m163_autobaud_uart0_noled_ee_ce_hw },
 {  95059, ur_m163_autobaud_uart0_noled_ee_ce_hw },
 {  95060, ur_m163_autobaud_uart0_lednop },
 {  95061, ur_m163_autobaud_uart0_lednop },
 {  95062, ur_m163_autobaud_uart0_lednop_pr_u4 },
 {  95063, ur_m163_autobaud_uart0_lednop_pr_ee },
 {  95064, ur_m163_autobaud_uart0_lednop_pr_ee },
 {  95065, ur_m163_autobaud_uart0_lednop_pr_ce },
 {  95066, ur_m163_autobaud_uart0_lednop_pr_ce },
 {  95067, ur_m163_autobaud_uart0_lednop_pr_ee_ce },
 {  95068, ur_m163_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  95069, ur_m163_autobaud_uart0_lednop_hw },
 {  95070, ur_m163_autobaud_uart0_lednop_ee_hw },
 {  95071, ur_m163_autobaud_uart0_lednop_ce_hw },
 {  95072, ur_m163_autobaud_uart0_lednop_ee_ce_hw },
 {  95073, ur_m163_autobaud_uart0_lednop_ee_ce_hw },
 {  95074, ur_m163_autobaud_uart0_dual },
 {  95075, ur_m163_autobaud_uart0_dual_pr },
 {  95076, ur_m163_autobaud_uart0_dual_pr_u4 },
 {  95077, ur_m163_autobaud_uart0_dual_pr_ee },
 {  95078, ur_m163_autobaud_uart0_dual_pr_ee },
 {  95079, ur_m163_autobaud_uart0_dual_pr_ce },
 {  95080, ur_m163_autobaud_uart0_dual_pr_ce },
 {  95081, ur_m163_autobaud_uart0_dual_pr_ee_ce },
 {  95082, ur_m163_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  95083, ur_m163_autobaud_uart0_dual_hw },
 {  95084, ur_m163_autobaud_uart0_dual_ee_hw },
 {  95085, ur_m163_autobaud_uart0_dual_ce_hw },
 {  95086, ur_m163_autobaud_uart0_dual_ee_ce_hw },
 {  95087, ur_m163_autobaud_uart0_dual_ee_ce_u4_hw },
 {  95256, ur_m163_u1x8_uart0_noled },
 {  95257, ur_m163_u1x8_uart0_noled },
 {  95258, ur_m163_u1x8_uart0_noled_pr_u4 },
 {  95259, ur_m163_u1x8_uart0_noled_pr_ee },
 {  95260, ur_m163_u1x8_uart0_noled_pr_ee },
 {  95261, ur_m163_u1x8_uart0_noled_pr_ce },
 {  95262, ur_m163_u1x8_uart0_noled_pr_ce_u4 },
 {  95263, ur_m163_u1x8_uart0_noled_pr_ee_ce },
 {  95264, ur_m163_u1x8_uart0_noled_pr_ee_ce },
 {  95265, ur_m163_u1x8_uart0_noled_hw },
 {  95266, ur_m163_u1x8_uart0_noled_ee_hw },
 {  95267, ur_m163_u1x8_uart0_noled_ce_hw },
 {  95268, ur_m163_u1x8_uart0_noled_ee_ce_hw },
 {  95269, ur_m163_u1x8_uart0_noled_ee_ce_hw },
 {  95270, ur_m163_u1x8_uart0_lednop },
 {  95271, ur_m163_u1x8_uart0_lednop },
 {  95272, ur_m163_u1x8_uart0_lednop_pr_u4 },
 {  95273, ur_m163_u1x8_uart0_lednop_pr_ee },
 {  95274, ur_m163_u1x8_uart0_lednop_pr_ee },
 {  95275, ur_m163_u1x8_uart0_lednop_pr_ce },
 {  95276, ur_m163_u1x8_uart0_lednop_pr_ce_u4 },
 {  95277, ur_m163_u1x8_uart0_lednop_pr_ee_ce },
 {  95278, ur_m163_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  95279, ur_m163_u1x8_uart0_lednop_hw },
 {  95280, ur_m163_u1x8_uart0_lednop_ee_hw },
 {  95281, ur_m163_u1x8_uart0_lednop_ce_hw },
 {  95282, ur_m163_u1x8_uart0_lednop_ee_ce_hw },
 {  95283, ur_m163_u1x8_uart0_lednop_ee_ce_hw },
 {  95284, ur_m163_u1x8_uart0_dual },
 {  95285, ur_m163_u1x8_uart0_dual },
 {  95286, ur_m163_u1x8_uart0_dual_pr_u4 },
 {  95287, ur_m163_u1x8_uart0_dual_pr_ee },
 {  95288, ur_m163_u1x8_uart0_dual_pr_ee },
 {  95289, ur_m163_u1x8_uart0_dual_pr_ce },
 {  95290, ur_m163_u1x8_uart0_dual_pr_ce },
 {  95291, ur_m163_u1x8_uart0_dual_pr_ee_ce },
 {  95292, ur_m163_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  95293, ur_m163_u1x8_uart0_dual_hw },
 {  95294, ur_m163_u1x8_uart0_dual_ee_hw },
 {  95295, ur_m163_u1x8_uart0_dual_ce_hw },
 {  95296, ur_m163_u1x8_uart0_dual_ee_ce_hw },
 {  95297, ur_m163_u1x8_uart0_dual_ee_ce_hw },
 {  95676, ur_m163_u2x8_uart0_noled },
 {  95677, ur_m163_u2x8_uart0_noled },
 {  95678, ur_m163_u2x8_uart0_noled_pr_u4 },
 {  95679, ur_m163_u2x8_uart0_noled_pr_ee },
 {  95680, ur_m163_u2x8_uart0_noled_pr_ee },
 {  95681, ur_m163_u2x8_uart0_noled_pr_ce },
 {  95682, ur_m163_u2x8_uart0_noled_pr_ce_u4 },
 {  95683, ur_m163_u2x8_uart0_noled_pr_ee_ce },
 {  95684, ur_m163_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  95685, ur_m163_u2x8_uart0_noled_hw },
 {  95686, ur_m163_u2x8_uart0_noled_ee_hw },
 {  95687, ur_m163_u2x8_uart0_noled_ce_hw },
 {  95688, ur_m163_u2x8_uart0_noled_ee_ce_hw },
 {  95689, ur_m163_u2x8_uart0_noled_ee_ce_hw },
 {  95690, ur_m163_u2x8_uart0_lednop },
 {  95691, ur_m163_u2x8_uart0_lednop },
 {  95692, ur_m163_u2x8_uart0_lednop_pr_u4 },
 {  95693, ur_m163_u2x8_uart0_lednop_pr_ee },
 {  95694, ur_m163_u2x8_uart0_lednop_pr_ee },
 {  95695, ur_m163_u2x8_uart0_lednop_pr_ce },
 {  95696, ur_m163_u2x8_uart0_lednop_pr_ce_u4 },
 {  95697, ur_m163_u2x8_uart0_lednop_pr_ee_ce },
 {  95698, ur_m163_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  95699, ur_m163_u2x8_uart0_lednop_hw },
 {  95700, ur_m163_u2x8_uart0_lednop_ee_hw },
 {  95701, ur_m163_u2x8_uart0_lednop_ce_hw },
 {  95702, ur_m163_u2x8_uart0_lednop_ee_ce_hw },
 {  95703, ur_m163_u2x8_uart0_lednop_ee_ce_hw },
 {  95704, ur_m163_u2x8_uart0_dual },
 {  95705, ur_m163_u2x8_uart0_dual },
 {  95706, ur_m163_u2x8_uart0_dual_pr_u4 },
 {  95707, ur_m163_u2x8_uart0_dual_pr_ee },
 {  95708, ur_m163_u2x8_uart0_dual_pr_ee },
 {  95709, ur_m163_u2x8_uart0_dual_pr_ce },
 {  95710, ur_m163_u2x8_uart0_dual_pr_ce },
 {  95711, ur_m163_u2x8_uart0_dual_pr_ee_ce },
 {  95712, ur_m163_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  95713, ur_m163_u2x8_uart0_dual_hw },
 {  95714, ur_m163_u2x8_uart0_dual_ee_hw },
 {  95715, ur_m163_u2x8_uart0_dual_ce_hw },
 {  95716, ur_m163_u2x8_uart0_dual_ee_ce_hw },
 {  95717, ur_m163_u2x8_uart0_dual_ee_ce_u4_hw },
 {  96096, ur_m163_swio10_noled },
 {  96097, ur_m163_swio10_noled },
 {  96098, ur_m163_swio10_noled_pr_u4 },
 {  96099, ur_m163_swio10_noled_pr_ee },
 {  96100, ur_m163_swio10_noled_pr_ee },
 {  96101, ur_m163_swio10_noled_pr_ce },
 {  96102, ur_m163_swio10_noled_pr_ce },
 {  96103, ur_m163_swio10_noled_pr_ee_ce },
 {  96104, ur_m163_swio10_noled_pr_ee_ce_u4 },
 {  96105, ur_m163_swio10_noled_hw },
 {  96106, ur_m163_swio10_noled_ee_hw },
 {  96107, ur_m163_swio10_noled_ce_hw },
 {  96108, ur_m163_swio10_noled_ee_ce_hw },
 {  96109, ur_m163_swio10_noled_ee_ce_hw },
 {  96110, ur_m163_swio10_lednop },
 {  96111, ur_m163_swio10_lednop_pr },
 {  96112, ur_m163_swio10_lednop_pr },
 {  96113, ur_m163_swio10_lednop_pr_ee },
 {  96114, ur_m163_swio10_lednop_pr_ee_u4 },
 {  96115, ur_m163_swio10_lednop_pr_ce },
 {  96116, ur_m163_swio10_lednop_pr_ce },
 {  96117, ur_m163_swio10_lednop_pr_ee_ce },
 {  96118, ur_m163_swio10_lednop_pr_ee_ce_u4 },
 {  96119, ur_m163_swio10_lednop_hw },
 {  96120, ur_m163_swio10_lednop_ee_hw },
 {  96121, ur_m163_swio10_lednop_ce_hw },
 {  96122, ur_m163_swio10_lednop_ee_ce_hw },
 {  96123, ur_m163_swio10_lednop_ee_ce_hw },
 {  96124, ur_m163_swio10_dual },
 {  96125, ur_m163_swio10_dual },
 {  96126, ur_m163_swio10_dual },
 {  96127, ur_m163_swio10_dual_pr_ee },
 {  96128, ur_m163_swio10_dual_pr_ee_u4 },
 {  96129, ur_m163_swio10_dual_pr_ce },
 {  96130, ur_m163_swio10_dual_pr_ce },
 {  96131, ur_m163_swio10_dual_pr_ee_ce },
 {  96132, ur_m163_swio10_dual_pr_ee_ce_u4 },
 {  96133, ur_m163_swio10_dual_hw },
 {  96134, ur_m163_swio10_dual_ee_hw },
 {  96135, ur_m163_swio10_dual_ce_hw },
 {  96136, ur_m163_swio10_dual_ee_ce_hw },
 {  96137, ur_m163_swio10_dual_ee_ce_u4_hw },
 {  96138, ur_m163_swio11_noled },
 {  96139, ur_m163_swio11_noled_pr },
 {  96140, ur_m163_swio11_noled_pr },
 {  96141, ur_m163_swio11_noled_pr_ee },
 {  96142, ur_m163_swio11_noled_pr_ee },
 {  96143, ur_m163_swio11_noled_pr_ce },
 {  96144, ur_m163_swio11_noled_pr_ce },
 {  96145, ur_m163_swio11_noled_pr_ee_ce },
 {  96146, ur_m163_swio11_noled_pr_ee_ce_u4 },
 {  96147, ur_m163_swio11_noled_hw },
 {  96148, ur_m163_swio11_noled_ee_hw },
 {  96149, ur_m163_swio11_noled_ce_hw },
 {  96150, ur_m163_swio11_noled_ee_ce_hw },
 {  96151, ur_m163_swio11_noled_ee_ce_hw },
 {  96152, ur_m163_swio11_lednop },
 {  96153, ur_m163_swio11_lednop_pr },
 {  96154, ur_m163_swio11_lednop_pr },
 {  96155, ur_m163_swio11_lednop_pr_ee },
 {  96156, ur_m163_swio11_lednop_pr_ee_u4 },
 {  96157, ur_m163_swio11_lednop_pr_ce },
 {  96158, ur_m163_swio11_lednop_pr_ce },
 {  96159, ur_m163_swio11_lednop_pr_ee_ce },
 {  96160, ur_m163_swio11_lednop_pr_ee_ce_u4 },
 {  96161, ur_m163_swio11_lednop_hw },
 {  96162, ur_m163_swio11_lednop_ee_hw },
 {  96163, ur_m163_swio11_lednop_ce_hw },
 {  96164, ur_m163_swio11_lednop_ee_ce_hw },
 {  96165, ur_m163_swio11_lednop_ee_ce_hw },
 {  96166, ur_m163_swio11_dual },
 {  96167, ur_m163_swio11_dual },
 {  96168, ur_m163_swio11_dual },
 {  96169, ur_m163_swio11_dual_pr_ee },
 {  96170, ur_m163_swio11_dual_pr_ee_u4 },
 {  96171, ur_m163_swio11_dual_pr_ce },
 {  96172, ur_m163_swio11_dual_pr_ce_u4 },
 {  96173, ur_m163_swio11_dual_pr_ee_ce },
 {  96174, ur_m163_swio11_dual_pr_ee_ce_u4 },
 {  96175, ur_m163_swio11_dual_hw },
 {  96176, ur_m163_swio11_dual_ee_hw },
 {  96177, ur_m163_swio11_dual_ce_hw },
 {  96178, ur_m163_swio11_dual_ee_ce_hw },
 {  96179, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  96180, ur_m163_swio11_noled },
 {  96181, ur_m163_swio11_noled_pr },
 {  96182, ur_m163_swio11_noled_pr },
 {  96183, ur_m163_swio11_noled_pr_ee },
 {  96184, ur_m163_swio11_noled_pr_ee },
 {  96185, ur_m163_swio11_noled_pr_ce },
 {  96186, ur_m163_swio11_noled_pr_ce },
 {  96187, ur_m163_swio11_noled_pr_ee_ce },
 {  96188, ur_m163_swio11_noled_pr_ee_ce_u4 },
 {  96189, ur_m163_swio11_noled_hw },
 {  96190, ur_m163_swio11_noled_ee_hw },
 {  96191, ur_m163_swio11_noled_ce_hw },
 {  96192, ur_m163_swio11_noled_ee_ce_hw },
 {  96193, ur_m163_swio11_noled_ee_ce_hw },
 {  96194, ur_m163_swio11_lednop },
 {  96195, ur_m163_swio11_lednop_pr },
 {  96196, ur_m163_swio11_lednop_pr },
 {  96197, ur_m163_swio11_lednop_pr_ee },
 {  96198, ur_m163_swio11_lednop_pr_ee_u4 },
 {  96199, ur_m163_swio11_lednop_pr_ce },
 {  96200, ur_m163_swio11_lednop_pr_ce },
 {  96201, ur_m163_swio11_lednop_pr_ee_ce },
 {  96202, ur_m163_swio11_lednop_pr_ee_ce_u4 },
 {  96203, ur_m163_swio11_lednop_hw },
 {  96204, ur_m163_swio11_lednop_ee_hw },
 {  96205, ur_m163_swio11_lednop_ce_hw },
 {  96206, ur_m163_swio11_lednop_ee_ce_hw },
 {  96207, ur_m163_swio11_lednop_ee_ce_hw },
 {  96208, ur_m163_swio11_dual },
 {  96209, ur_m163_swio11_dual },
 {  96210, ur_m163_swio11_dual },
 {  96211, ur_m163_swio11_dual_pr_ee },
 {  96212, ur_m163_swio11_dual_pr_ee_u4 },
 {  96213, ur_m163_swio11_dual_pr_ce },
 {  96214, ur_m163_swio11_dual_pr_ce_u4 },
 {  96215, ur_m163_swio11_dual_pr_ee_ce },
 {  96216, ur_m163_swio11_dual_pr_ee_ce_u4 },
 {  96217, ur_m163_swio11_dual_hw },
 {  96218, ur_m163_swio11_dual_ee_hw },
 {  96219, ur_m163_swio11_dual_ce_hw },
 {  96220, ur_m163_swio11_dual_ee_ce_hw },
 {  96221, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  96222, ur_m163_swio13_noled },
 {  96223, ur_m163_swio13_noled_pr },
 {  96224, ur_m163_swio13_noled_pr },
 {  96225, ur_m163_swio13_noled_pr_ee },
 {  96226, ur_m163_swio13_noled_pr_ee_u4 },
 {  96227, ur_m163_swio13_noled_pr_ce },
 {  96228, ur_m163_swio13_noled_pr_ce },
 {  96229, ur_m163_swio13_noled_pr_ee_ce },
 {  96230, ur_m163_swio13_noled_pr_ee_ce_u4 },
 {  96231, ur_m163_swio13_noled_hw },
 {  96232, ur_m163_swio13_noled_ee_hw },
 {  96233, ur_m163_swio13_noled_ce_hw },
 {  96234, ur_m163_swio13_noled_ee_ce_hw },
 {  96235, ur_m163_swio13_noled_ee_ce_hw },
 {  96236, ur_m163_swio13_lednop },
 {  96237, ur_m163_swio13_lednop_pr },
 {  96238, ur_m163_swio13_lednop_pr },
 {  96239, ur_m163_swio13_lednop_pr_ee },
 {  96240, ur_m163_swio13_lednop_pr_ee_u4 },
 {  96241, ur_m163_swio13_lednop_pr_ce },
 {  96242, ur_m163_swio13_lednop_pr_ce },
 {  96243, ur_m163_swio13_lednop_pr_ee_ce },
 {  96244, ur_m163_swio13_lednop_pr_ee_ce_u4 },
 {  96245, ur_m163_swio13_lednop_hw },
 {  96246, ur_m163_swio13_lednop_ee_hw },
 {  96247, ur_m163_swio13_lednop_ce_hw },
 {  96248, ur_m163_swio13_lednop_ee_ce_hw },
 {  96249, ur_m163_swio13_lednop_ee_ce_hw },
 {  96250, ur_m163_swio13_dual },
 {  96251, ur_m163_swio13_dual },
 {  96252, ur_m163_swio13_dual },
 {  96253, ur_m163_swio13_dual_pr_ee },
 {  96254, ur_m163_swio13_dual_pr_ee_u4 },
 {  96255, ur_m163_swio13_dual_pr_ce },
 {  96256, ur_m163_swio13_dual_pr_ce_u4 },
 {  96257, ur_m163_swio13_dual_pr_ee_ce },
 {  96258, ur_m163_swio13_dual_pr_ee_ce_u4 },
 {  96259, ur_m163_swio13_dual_hw },
 {  96260, ur_m163_swio13_dual_ee_hw },
 {  96261, ur_m163_swio13_dual_ce_hw },
 {  96262, ur_m163_swio13_dual_ee_ce_hw },
 {  96263, ur_m163_swio13_dual_ee_ce_u4_hw },
 {  96264, ur_m163_swio14_noled },
 {  96265, ur_m163_swio14_noled_pr },
 {  96266, ur_m163_swio14_noled_pr },
 {  96267, ur_m163_swio14_noled_pr_ee },
 {  96268, ur_m163_swio14_noled_pr_ee },
 {  96269, ur_m163_swio14_noled_pr_ce },
 {  96270, ur_m163_swio14_noled_pr_ce },
 {  96271, ur_m163_swio14_noled_pr_ee_ce },
 {  96272, ur_m163_swio14_noled_pr_ee_ce_u4 },
 {  96273, ur_m163_swio14_noled_hw },
 {  96274, ur_m163_swio14_noled_ee_hw },
 {  96275, ur_m163_swio14_noled_ce_hw },
 {  96276, ur_m163_swio14_noled_ee_ce_hw },
 {  96277, ur_m163_swio14_noled_ee_ce_hw },
 {  96278, ur_m163_swio14_lednop },
 {  96279, ur_m163_swio14_lednop_pr },
 {  96280, ur_m163_swio14_lednop_pr },
 {  96281, ur_m163_swio14_lednop_pr_ee },
 {  96282, ur_m163_swio14_lednop_pr_ee_u4 },
 {  96283, ur_m163_swio14_lednop_pr_ce },
 {  96284, ur_m163_swio14_lednop_pr_ce },
 {  96285, ur_m163_swio14_lednop_pr_ee_ce },
 {  96286, ur_m163_swio14_lednop_pr_ee_ce_u4 },
 {  96287, ur_m163_swio14_lednop_hw },
 {  96288, ur_m163_swio14_lednop_ee_hw },
 {  96289, ur_m163_swio14_lednop_ce_hw },
 {  96290, ur_m163_swio14_lednop_ee_ce_hw },
 {  96291, ur_m163_swio14_lednop_ee_ce_hw },
 {  96292, ur_m163_swio14_dual },
 {  96293, ur_m163_swio14_dual },
 {  96294, ur_m163_swio14_dual },
 {  96295, ur_m163_swio14_dual_pr_ee },
 {  96296, ur_m163_swio14_dual_pr_ee_u4 },
 {  96297, ur_m163_swio14_dual_pr_ce },
 {  96298, ur_m163_swio14_dual_pr_ce_u4 },
 {  96299, ur_m163_swio14_dual_pr_ee_ce },
 {  96300, ur_m163_swio14_dual_pr_ee_ce_u4 },
 {  96301, ur_m163_swio14_dual_hw },
 {  96302, ur_m163_swio14_dual_ee_hw },
 {  96303, ur_m163_swio14_dual_ce_hw },
 {  96304, ur_m163_swio14_dual_ee_ce_hw },
 {  96305, ur_m163_swio14_dual_ee_ce_u4_hw },
 {  96306, ur_m163_swio15_noled },
 {  96307, ur_m163_swio15_noled_pr },
 {  96308, ur_m163_swio15_noled_pr },
 {  96309, ur_m163_swio15_noled_pr_ee },
 {  96310, ur_m163_swio15_noled_pr_ee_u4 },
 {  96311, ur_m163_swio15_noled_pr_ce },
 {  96312, ur_m163_swio15_noled_pr_ce },
 {  96313, ur_m163_swio15_noled_pr_ee_ce },
 {  96314, ur_m163_swio15_noled_pr_ee_ce_u4 },
 {  96315, ur_m163_swio15_noled_hw },
 {  96316, ur_m163_swio15_noled_ee_hw },
 {  96317, ur_m163_swio15_noled_ce_hw },
 {  96318, ur_m163_swio15_noled_ee_ce_hw },
 {  96319, ur_m163_swio15_noled_ee_ce_hw },
 {  96320, ur_m163_swio15_lednop },
 {  96321, ur_m163_swio15_lednop_pr },
 {  96322, ur_m163_swio15_lednop_pr },
 {  96323, ur_m163_swio15_lednop_pr_ee },
 {  96324, ur_m163_swio15_lednop_pr_ee_u4 },
 {  96325, ur_m163_swio15_lednop_pr_ce },
 {  96326, ur_m163_swio15_lednop_pr_ce },
 {  96327, ur_m163_swio15_lednop_pr_ee_ce },
 {  96328, ur_m163_swio15_lednop_pr_ee_ce_u4 },
 {  96329, ur_m163_swio15_lednop_hw },
 {  96330, ur_m163_swio15_lednop_ee_hw },
 {  96331, ur_m163_swio15_lednop_ce_hw },
 {  96332, ur_m163_swio15_lednop_ee_ce_hw },
 {  96333, ur_m163_swio15_lednop_ee_ce_hw },
 {  96334, ur_m163_swio15_dual },
 {  96335, ur_m163_swio15_dual },
 {  96336, ur_m163_swio15_dual },
 {  96337, ur_m163_swio15_dual_pr_ee },
 {  96338, ur_m163_swio15_dual_pr_ee_u4 },
 {  96339, ur_m163_swio15_dual_pr_ce },
 {  96340, ur_m163_swio15_dual_pr_ce_u4 },
 {  96341, ur_m163_swio15_dual_pr_ee_ce },
 {  96342, ur_m163_swio15_dual_pr_ee_ce_u4 },
 {  96343, ur_m163_swio15_dual_hw },
 {  96344, ur_m163_swio15_dual_ee_hw },
 {  96345, ur_m163_swio15_dual_ce_hw },
 {  96346, ur_m163_swio15_dual_ee_ce_hw },
 {  96347, ur_m163_swio15_dual_ee_ce_u4_hw },
 {  96348, ur_m162_autobaud_uart0_noled },
 {  96349, ur_m162_autobaud_uart0_noled },
 {  96350, ur_m162_autobaud_uart0_noled_pr_u4 },
 {  96351, ur_m162_autobaud_uart0_noled_pr_ee },
 {  96352, ur_m162_autobaud_uart0_noled_pr_ee },
 {  96353, ur_m162_autobaud_uart0_noled_pr_ce },
 {  96354, ur_m162_autobaud_uart0_noled_pr_ce },
 {  96355, ur_m162_autobaud_uart0_noled_pr_ee_ce },
 {  96356, ur_m162_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  96357, ur_m162_autobaud_uart0_noled_hw },
 {  96358, ur_m162_autobaud_uart0_noled_ee_hw },
 {  96359, ur_m162_autobaud_uart0_noled_ce_hw },
 {  96360, ur_m162_autobaud_uart0_noled_ee_ce_hw },
 {  96361, ur_m162_autobaud_uart0_noled_ee_ce_hw },
 {  96362, ur_m162_autobaud_uart0_lednop },
 {  96363, ur_m162_autobaud_uart0_lednop },
 {  96364, ur_m162_autobaud_uart0_lednop_pr_u4 },
 {  96365, ur_m162_autobaud_uart0_lednop_pr_ee },
 {  96366, ur_m162_autobaud_uart0_lednop_pr_ee },
 {  96367, ur_m162_autobaud_uart0_lednop_pr_ce },
 {  96368, ur_m162_autobaud_uart0_lednop_pr_ce },
 {  96369, ur_m162_autobaud_uart0_lednop_pr_ee_ce },
 {  96370, ur_m162_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  96371, ur_m162_autobaud_uart0_lednop_hw },
 {  96372, ur_m162_autobaud_uart0_lednop_ee_hw },
 {  96373, ur_m162_autobaud_uart0_lednop_ce_hw },
 {  96374, ur_m162_autobaud_uart0_lednop_ee_ce_hw },
 {  96375, ur_m162_autobaud_uart0_lednop_ee_ce_hw },
 {  96376, ur_m162_autobaud_uart0_dual },
 {  96377, ur_m162_autobaud_uart0_dual_pr },
 {  96378, ur_m162_autobaud_uart0_dual_pr_u4 },
 {  96379, ur_m162_autobaud_uart0_dual_pr_ee },
 {  96380, ur_m162_autobaud_uart0_dual_pr_ee },
 {  96381, ur_m162_autobaud_uart0_dual_pr_ce },
 {  96382, ur_m162_autobaud_uart0_dual_pr_ce },
 {  96383, ur_m162_autobaud_uart0_dual_pr_ee_ce },
 {  96384, ur_m162_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  96385, ur_m162_autobaud_uart0_dual_hw },
 {  96386, ur_m162_autobaud_uart0_dual_ee_hw },
 {  96387, ur_m162_autobaud_uart0_dual_ce_hw },
 {  96388, ur_m162_autobaud_uart0_dual_ee_ce_hw },
 {  96389, ur_m162_autobaud_uart0_dual_ee_ce_u4_hw },
 {  96432, ur_m162_autobaud_uart1_noled },
 {  96433, ur_m162_autobaud_uart1_noled },
 {  96434, ur_m162_autobaud_uart1_noled_pr_u4 },
 {  96435, ur_m162_autobaud_uart1_noled_pr_ee },
 {  96436, ur_m162_autobaud_uart1_noled_pr_ee },
 {  96437, ur_m162_autobaud_uart1_noled_pr_ce },
 {  96438, ur_m162_autobaud_uart1_noled_pr_ce },
 {  96439, ur_m162_autobaud_uart1_noled_pr_ee_ce },
 {  96440, ur_m162_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  96441, ur_m162_autobaud_uart1_noled_hw },
 {  96442, ur_m162_autobaud_uart1_noled_ee_hw },
 {  96443, ur_m162_autobaud_uart1_noled_ce_hw },
 {  96444, ur_m162_autobaud_uart1_noled_ee_ce_hw },
 {  96445, ur_m162_autobaud_uart1_noled_ee_ce_hw },
 {  96446, ur_m162_autobaud_uart1_lednop },
 {  96447, ur_m162_autobaud_uart1_lednop },
 {  96448, ur_m162_autobaud_uart1_lednop_pr_u4 },
 {  96449, ur_m162_autobaud_uart1_lednop_pr_ee },
 {  96450, ur_m162_autobaud_uart1_lednop_pr_ee },
 {  96451, ur_m162_autobaud_uart1_lednop_pr_ce },
 {  96452, ur_m162_autobaud_uart1_lednop_pr_ce },
 {  96453, ur_m162_autobaud_uart1_lednop_pr_ee_ce },
 {  96454, ur_m162_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  96455, ur_m162_autobaud_uart1_lednop_hw },
 {  96456, ur_m162_autobaud_uart1_lednop_ee_hw },
 {  96457, ur_m162_autobaud_uart1_lednop_ce_hw },
 {  96458, ur_m162_autobaud_uart1_lednop_ee_ce_hw },
 {  96459, ur_m162_autobaud_uart1_lednop_ee_ce_hw },
 {  96460, ur_m162_autobaud_uart1_dual },
 {  96461, ur_m162_autobaud_uart1_dual_pr },
 {  96462, ur_m162_autobaud_uart1_dual_pr_u4 },
 {  96463, ur_m162_autobaud_uart1_dual_pr_ee },
 {  96464, ur_m162_autobaud_uart1_dual_pr_ee },
 {  96465, ur_m162_autobaud_uart1_dual_pr_ce },
 {  96466, ur_m162_autobaud_uart1_dual_pr_ce },
 {  96467, ur_m162_autobaud_uart1_dual_pr_ee_ce },
 {  96468, ur_m162_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  96469, ur_m162_autobaud_uart1_dual_hw },
 {  96470, ur_m162_autobaud_uart1_dual_ee_hw },
 {  96471, ur_m162_autobaud_uart1_dual_ce_hw },
 {  96472, ur_m162_autobaud_uart1_dual_ee_ce_hw },
 {  96473, ur_m162_autobaud_uart1_dual_ee_ce_u4_hw },
 {  96558, ur_m162_u1x8_uart0_noled },
 {  96559, ur_m162_u1x8_uart0_noled },
 {  96560, ur_m162_u1x8_uart0_noled_pr_u4 },
 {  96561, ur_m162_u1x8_uart0_noled_pr_ee },
 {  96562, ur_m162_u1x8_uart0_noled_pr_ee },
 {  96563, ur_m162_u1x8_uart0_noled_pr_ce },
 {  96564, ur_m162_u1x8_uart0_noled_pr_ce_u4 },
 {  96565, ur_m162_u1x8_uart0_noled_pr_ee_ce },
 {  96566, ur_m162_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  96567, ur_m162_u1x8_uart0_noled_hw },
 {  96568, ur_m162_u1x8_uart0_noled_ee_hw },
 {  96569, ur_m162_u1x8_uart0_noled_ce_hw },
 {  96570, ur_m162_u1x8_uart0_noled_ee_ce_hw },
 {  96571, ur_m162_u1x8_uart0_noled_ee_ce_hw },
 {  96572, ur_m162_u1x8_uart0_lednop },
 {  96573, ur_m162_u1x8_uart0_lednop },
 {  96574, ur_m162_u1x8_uart0_lednop_pr_u4 },
 {  96575, ur_m162_u1x8_uart0_lednop_pr_ee },
 {  96576, ur_m162_u1x8_uart0_lednop_pr_ee },
 {  96577, ur_m162_u1x8_uart0_lednop_pr_ce },
 {  96578, ur_m162_u1x8_uart0_lednop_pr_ce_u4 },
 {  96579, ur_m162_u1x8_uart0_lednop_pr_ee_ce },
 {  96580, ur_m162_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  96581, ur_m162_u1x8_uart0_lednop_hw },
 {  96582, ur_m162_u1x8_uart0_lednop_ee_hw },
 {  96583, ur_m162_u1x8_uart0_lednop_ce_hw },
 {  96584, ur_m162_u1x8_uart0_lednop_ee_ce_hw },
 {  96585, ur_m162_u1x8_uart0_lednop_ee_ce_hw },
 {  96586, ur_m162_u1x8_uart0_dual },
 {  96587, ur_m162_u1x8_uart0_dual },
 {  96588, ur_m162_u1x8_uart0_dual_pr_u4 },
 {  96589, ur_m162_u1x8_uart0_dual_pr_ee },
 {  96590, ur_m162_u1x8_uart0_dual_pr_ee },
 {  96591, ur_m162_u1x8_uart0_dual_pr_ce },
 {  96592, ur_m162_u1x8_uart0_dual_pr_ce },
 {  96593, ur_m162_u1x8_uart0_dual_pr_ee_ce },
 {  96594, ur_m162_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  96595, ur_m162_u1x8_uart0_dual_hw },
 {  96596, ur_m162_u1x8_uart0_dual_ee_hw },
 {  96597, ur_m162_u1x8_uart0_dual_ce_hw },
 {  96598, ur_m162_u1x8_uart0_dual_ee_ce_hw },
 {  96599, ur_m162_u1x8_uart0_dual_ee_ce_u4_hw },
 {  96642, ur_m162_u1x8_uart1_noled },
 {  96643, ur_m162_u1x8_uart1_noled },
 {  96644, ur_m162_u1x8_uart1_noled_pr_u4 },
 {  96645, ur_m162_u1x8_uart1_noled_pr_ee },
 {  96646, ur_m162_u1x8_uart1_noled_pr_ee },
 {  96647, ur_m162_u1x8_uart1_noled_pr_ce },
 {  96648, ur_m162_u1x8_uart1_noled_pr_ce_u4 },
 {  96649, ur_m162_u1x8_uart1_noled_pr_ee_ce },
 {  96650, ur_m162_u1x8_uart1_noled_pr_ee_ce_u4 },
 {  96651, ur_m162_u1x8_uart1_noled_hw },
 {  96652, ur_m162_u1x8_uart1_noled_ee_hw },
 {  96653, ur_m162_u1x8_uart1_noled_ce_hw },
 {  96654, ur_m162_u1x8_uart1_noled_ee_ce_hw },
 {  96655, ur_m162_u1x8_uart1_noled_ee_ce_hw },
 {  96656, ur_m162_u1x8_uart1_lednop },
 {  96657, ur_m162_u1x8_uart1_lednop },
 {  96658, ur_m162_u1x8_uart1_lednop_pr_u4 },
 {  96659, ur_m162_u1x8_uart1_lednop_pr_ee },
 {  96660, ur_m162_u1x8_uart1_lednop_pr_ee },
 {  96661, ur_m162_u1x8_uart1_lednop_pr_ce },
 {  96662, ur_m162_u1x8_uart1_lednop_pr_ce_u4 },
 {  96663, ur_m162_u1x8_uart1_lednop_pr_ee_ce },
 {  96664, ur_m162_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  96665, ur_m162_u1x8_uart1_lednop_hw },
 {  96666, ur_m162_u1x8_uart1_lednop_ee_hw },
 {  96667, ur_m162_u1x8_uart1_lednop_ce_hw },
 {  96668, ur_m162_u1x8_uart1_lednop_ee_ce_hw },
 {  96669, ur_m162_u1x8_uart1_lednop_ee_ce_hw },
 {  96670, ur_m162_u1x8_uart1_dual },
 {  96671, ur_m162_u1x8_uart1_dual },
 {  96672, ur_m162_u1x8_uart1_dual_pr_u4 },
 {  96673, ur_m162_u1x8_uart1_dual_pr_ee },
 {  96674, ur_m162_u1x8_uart1_dual_pr_ee },
 {  96675, ur_m162_u1x8_uart1_dual_pr_ce },
 {  96676, ur_m162_u1x8_uart1_dual_pr_ce },
 {  96677, ur_m162_u1x8_uart1_dual_pr_ee_ce },
 {  96678, ur_m162_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  96679, ur_m162_u1x8_uart1_dual_hw },
 {  96680, ur_m162_u1x8_uart1_dual_ee_hw },
 {  96681, ur_m162_u1x8_uart1_dual_ce_hw },
 {  96682, ur_m162_u1x8_uart1_dual_ee_ce_hw },
 {  96683, ur_m162_u1x8_uart1_dual_ee_ce_u4_hw },
 {  96768, ur_m162_u1x12_uart0_noled },
 {  96769, ur_m162_u1x12_uart0_noled },
 {  96770, ur_m162_u1x12_uart0_noled_pr_u4 },
 {  96771, ur_m162_u1x12_uart0_noled_pr_ee },
 {  96772, ur_m162_u1x12_uart0_noled_pr_ee },
 {  96773, ur_m162_u1x12_uart0_noled_pr_ce },
 {  96774, ur_m162_u1x12_uart0_noled_pr_ce_u4 },
 {  96775, ur_m162_u1x12_uart0_noled_pr_ee_ce },
 {  96776, ur_m162_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  96777, ur_m162_u1x12_uart0_noled_hw },
 {  96778, ur_m162_u1x12_uart0_noled_ee_hw },
 {  96779, ur_m162_u1x12_uart0_noled_ce_hw },
 {  96780, ur_m162_u1x12_uart0_noled_ee_ce_hw },
 {  96781, ur_m162_u1x12_uart0_noled_ee_ce_hw },
 {  96782, ur_m162_u1x12_uart0_lednop },
 {  96783, ur_m162_u1x12_uart0_lednop },
 {  96784, ur_m162_u1x12_uart0_lednop_pr_u4 },
 {  96785, ur_m162_u1x12_uart0_lednop_pr_ee },
 {  96786, ur_m162_u1x12_uart0_lednop_pr_ee },
 {  96787, ur_m162_u1x12_uart0_lednop_pr_ce },
 {  96788, ur_m162_u1x12_uart0_lednop_pr_ce_u4 },
 {  96789, ur_m162_u1x12_uart0_lednop_pr_ee_ce },
 {  96790, ur_m162_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  96791, ur_m162_u1x12_uart0_lednop_hw },
 {  96792, ur_m162_u1x12_uart0_lednop_ee_hw },
 {  96793, ur_m162_u1x12_uart0_lednop_ce_hw },
 {  96794, ur_m162_u1x12_uart0_lednop_ee_ce_hw },
 {  96795, ur_m162_u1x12_uart0_lednop_ee_ce_hw },
 {  96796, ur_m162_u1x12_uart0_dual },
 {  96797, ur_m162_u1x12_uart0_dual },
 {  96798, ur_m162_u1x12_uart0_dual_pr_u4 },
 {  96799, ur_m162_u1x12_uart0_dual_pr_ee },
 {  96800, ur_m162_u1x12_uart0_dual_pr_ee },
 {  96801, ur_m162_u1x12_uart0_dual_pr_ce },
 {  96802, ur_m162_u1x12_uart0_dual_pr_ce },
 {  96803, ur_m162_u1x12_uart0_dual_pr_ee_ce },
 {  96804, ur_m162_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  96805, ur_m162_u1x12_uart0_dual_hw },
 {  96806, ur_m162_u1x12_uart0_dual_ee_hw },
 {  96807, ur_m162_u1x12_uart0_dual_ce_hw },
 {  96808, ur_m162_u1x12_uart0_dual_ee_ce_hw },
 {  96809, ur_m162_u1x12_uart0_dual_ee_ce_u4_hw },
 {  96852, ur_m162_u1x12_uart1_noled },
 {  96853, ur_m162_u1x12_uart1_noled },
 {  96854, ur_m162_u1x12_uart1_noled_pr_u4 },
 {  96855, ur_m162_u1x12_uart1_noled_pr_ee },
 {  96856, ur_m162_u1x12_uart1_noled_pr_ee },
 {  96857, ur_m162_u1x12_uart1_noled_pr_ce },
 {  96858, ur_m162_u1x12_uart1_noled_pr_ce_u4 },
 {  96859, ur_m162_u1x12_uart1_noled_pr_ee_ce },
 {  96860, ur_m162_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  96861, ur_m162_u1x12_uart1_noled_hw },
 {  96862, ur_m162_u1x12_uart1_noled_ee_hw },
 {  96863, ur_m162_u1x12_uart1_noled_ce_hw },
 {  96864, ur_m162_u1x12_uart1_noled_ee_ce_hw },
 {  96865, ur_m162_u1x12_uart1_noled_ee_ce_hw },
 {  96866, ur_m162_u1x12_uart1_lednop },
 {  96867, ur_m162_u1x12_uart1_lednop },
 {  96868, ur_m162_u1x12_uart1_lednop_pr_u4 },
 {  96869, ur_m162_u1x12_uart1_lednop_pr_ee },
 {  96870, ur_m162_u1x12_uart1_lednop_pr_ee },
 {  96871, ur_m162_u1x12_uart1_lednop_pr_ce },
 {  96872, ur_m162_u1x12_uart1_lednop_pr_ce_u4 },
 {  96873, ur_m162_u1x12_uart1_lednop_pr_ee_ce },
 {  96874, ur_m162_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  96875, ur_m162_u1x12_uart1_lednop_hw },
 {  96876, ur_m162_u1x12_uart1_lednop_ee_hw },
 {  96877, ur_m162_u1x12_uart1_lednop_ce_hw },
 {  96878, ur_m162_u1x12_uart1_lednop_ee_ce_hw },
 {  96879, ur_m162_u1x12_uart1_lednop_ee_ce_hw },
 {  96880, ur_m162_u1x12_uart1_dual },
 {  96881, ur_m162_u1x12_uart1_dual },
 {  96882, ur_m162_u1x12_uart1_dual_pr_u4 },
 {  96883, ur_m162_u1x12_uart1_dual_pr_ee },
 {  96884, ur_m162_u1x12_uart1_dual_pr_ee },
 {  96885, ur_m162_u1x12_uart1_dual_pr_ce },
 {  96886, ur_m162_u1x12_uart1_dual_pr_ce },
 {  96887, ur_m162_u1x12_uart1_dual_pr_ee_ce },
 {  96888, ur_m162_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  96889, ur_m162_u1x12_uart1_dual_hw },
 {  96890, ur_m162_u1x12_uart1_dual_ee_hw },
 {  96891, ur_m162_u1x12_uart1_dual_ce_hw },
 {  96892, ur_m162_u1x12_uart1_dual_ee_ce_hw },
 {  96893, ur_m162_u1x12_uart1_dual_ee_ce_u4_hw },
 {  96978, ur_m162_u2x8_uart0_noled },
 {  96979, ur_m162_u2x8_uart0_noled },
 {  96980, ur_m162_u2x8_uart0_noled_pr_u4 },
 {  96981, ur_m162_u2x8_uart0_noled_pr_ee },
 {  96982, ur_m162_u2x8_uart0_noled_pr_ee },
 {  96983, ur_m162_u2x8_uart0_noled_pr_ce },
 {  96984, ur_m162_u2x8_uart0_noled_pr_ce_u4 },
 {  96985, ur_m162_u2x8_uart0_noled_pr_ee_ce },
 {  96986, ur_m162_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  96987, ur_m162_u2x8_uart0_noled_hw },
 {  96988, ur_m162_u2x8_uart0_noled_ee_hw },
 {  96989, ur_m162_u2x8_uart0_noled_ce_hw },
 {  96990, ur_m162_u2x8_uart0_noled_ee_ce_hw },
 {  96991, ur_m162_u2x8_uart0_noled_ee_ce_hw },
 {  96992, ur_m162_u2x8_uart0_lednop },
 {  96993, ur_m162_u2x8_uart0_lednop },
 {  96994, ur_m162_u2x8_uart0_lednop_pr_u4 },
 {  96995, ur_m162_u2x8_uart0_lednop_pr_ee },
 {  96996, ur_m162_u2x8_uart0_lednop_pr_ee },
 {  96997, ur_m162_u2x8_uart0_lednop_pr_ce },
 {  96998, ur_m162_u2x8_uart0_lednop_pr_ce_u4 },
 {  96999, ur_m162_u2x8_uart0_lednop_pr_ee_ce },
 {  97000, ur_m162_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  97001, ur_m162_u2x8_uart0_lednop_hw },
 {  97002, ur_m162_u2x8_uart0_lednop_ee_hw },
 {  97003, ur_m162_u2x8_uart0_lednop_ce_hw },
 {  97004, ur_m162_u2x8_uart0_lednop_ee_ce_hw },
 {  97005, ur_m162_u2x8_uart0_lednop_ee_ce_hw },
 {  97006, ur_m162_u2x8_uart0_dual },
 {  97007, ur_m162_u2x8_uart0_dual },
 {  97008, ur_m162_u2x8_uart0_dual_pr_u4 },
 {  97009, ur_m162_u2x8_uart0_dual_pr_ee },
 {  97010, ur_m162_u2x8_uart0_dual_pr_ee },
 {  97011, ur_m162_u2x8_uart0_dual_pr_ce },
 {  97012, ur_m162_u2x8_uart0_dual_pr_ce },
 {  97013, ur_m162_u2x8_uart0_dual_pr_ee_ce },
 {  97014, ur_m162_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  97015, ur_m162_u2x8_uart0_dual_hw },
 {  97016, ur_m162_u2x8_uart0_dual_ee_hw },
 {  97017, ur_m162_u2x8_uart0_dual_ce_hw },
 {  97018, ur_m162_u2x8_uart0_dual_ee_ce_hw },
 {  97019, ur_m162_u2x8_uart0_dual_ee_ce_u4_hw },
 {  97062, ur_m162_u2x8_uart1_noled },
 {  97063, ur_m162_u2x8_uart1_noled },
 {  97064, ur_m162_u2x8_uart1_noled_pr_u4 },
 {  97065, ur_m162_u2x8_uart1_noled_pr_ee },
 {  97066, ur_m162_u2x8_uart1_noled_pr_ee },
 {  97067, ur_m162_u2x8_uart1_noled_pr_ce },
 {  97068, ur_m162_u2x8_uart1_noled_pr_ce_u4 },
 {  97069, ur_m162_u2x8_uart1_noled_pr_ee_ce },
 {  97070, ur_m162_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  97071, ur_m162_u2x8_uart1_noled_hw },
 {  97072, ur_m162_u2x8_uart1_noled_ee_hw },
 {  97073, ur_m162_u2x8_uart1_noled_ce_hw },
 {  97074, ur_m162_u2x8_uart1_noled_ee_ce_hw },
 {  97075, ur_m162_u2x8_uart1_noled_ee_ce_hw },
 {  97076, ur_m162_u2x8_uart1_lednop },
 {  97077, ur_m162_u2x8_uart1_lednop },
 {  97078, ur_m162_u2x8_uart1_lednop_pr_u4 },
 {  97079, ur_m162_u2x8_uart1_lednop_pr_ee },
 {  97080, ur_m162_u2x8_uart1_lednop_pr_ee },
 {  97081, ur_m162_u2x8_uart1_lednop_pr_ce },
 {  97082, ur_m162_u2x8_uart1_lednop_pr_ce_u4 },
 {  97083, ur_m162_u2x8_uart1_lednop_pr_ee_ce },
 {  97084, ur_m162_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  97085, ur_m162_u2x8_uart1_lednop_hw },
 {  97086, ur_m162_u2x8_uart1_lednop_ee_hw },
 {  97087, ur_m162_u2x8_uart1_lednop_ce_hw },
 {  97088, ur_m162_u2x8_uart1_lednop_ee_ce_hw },
 {  97089, ur_m162_u2x8_uart1_lednop_ee_ce_hw },
 {  97090, ur_m162_u2x8_uart1_dual },
 {  97091, ur_m162_u2x8_uart1_dual },
 {  97092, ur_m162_u2x8_uart1_dual_pr_u4 },
 {  97093, ur_m162_u2x8_uart1_dual_pr_ee },
 {  97094, ur_m162_u2x8_uart1_dual_pr_ee },
 {  97095, ur_m162_u2x8_uart1_dual_pr_ce },
 {  97096, ur_m162_u2x8_uart1_dual_pr_ce },
 {  97097, ur_m162_u2x8_uart1_dual_pr_ee_ce },
 {  97098, ur_m162_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  97099, ur_m162_u2x8_uart1_dual_hw },
 {  97100, ur_m162_u2x8_uart1_dual_ee_hw },
 {  97101, ur_m162_u2x8_uart1_dual_ce_hw },
 {  97102, ur_m162_u2x8_uart1_dual_ee_ce_hw },
 {  97103, ur_m162_u2x8_uart1_dual_ee_ce_u4_hw },
 {  97188, ur_m162_u2x12_uart0_noled },
 {  97189, ur_m162_u2x12_uart0_noled },
 {  97190, ur_m162_u2x12_uart0_noled_pr_u4 },
 {  97191, ur_m162_u2x12_uart0_noled_pr_ee },
 {  97192, ur_m162_u2x12_uart0_noled_pr_ee },
 {  97193, ur_m162_u2x12_uart0_noled_pr_ce },
 {  97194, ur_m162_u2x12_uart0_noled_pr_ce_u4 },
 {  97195, ur_m162_u2x12_uart0_noled_pr_ee_ce },
 {  97196, ur_m162_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  97197, ur_m162_u2x12_uart0_noled_hw },
 {  97198, ur_m162_u2x12_uart0_noled_ee_hw },
 {  97199, ur_m162_u2x12_uart0_noled_ce_hw },
 {  97200, ur_m162_u2x12_uart0_noled_ee_ce_hw },
 {  97201, ur_m162_u2x12_uart0_noled_ee_ce_hw },
 {  97202, ur_m162_u2x12_uart0_lednop },
 {  97203, ur_m162_u2x12_uart0_lednop },
 {  97204, ur_m162_u2x12_uart0_lednop_pr_u4 },
 {  97205, ur_m162_u2x12_uart0_lednop_pr_ee },
 {  97206, ur_m162_u2x12_uart0_lednop_pr_ee },
 {  97207, ur_m162_u2x12_uart0_lednop_pr_ce },
 {  97208, ur_m162_u2x12_uart0_lednop_pr_ce_u4 },
 {  97209, ur_m162_u2x12_uart0_lednop_pr_ee_ce },
 {  97210, ur_m162_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  97211, ur_m162_u2x12_uart0_lednop_hw },
 {  97212, ur_m162_u2x12_uart0_lednop_ee_hw },
 {  97213, ur_m162_u2x12_uart0_lednop_ce_hw },
 {  97214, ur_m162_u2x12_uart0_lednop_ee_ce_hw },
 {  97215, ur_m162_u2x12_uart0_lednop_ee_ce_hw },
 {  97216, ur_m162_u2x12_uart0_dual },
 {  97217, ur_m162_u2x12_uart0_dual },
 {  97218, ur_m162_u2x12_uart0_dual_pr_u4 },
 {  97219, ur_m162_u2x12_uart0_dual_pr_ee },
 {  97220, ur_m162_u2x12_uart0_dual_pr_ee },
 {  97221, ur_m162_u2x12_uart0_dual_pr_ce },
 {  97222, ur_m162_u2x12_uart0_dual_pr_ce },
 {  97223, ur_m162_u2x12_uart0_dual_pr_ee_ce },
 {  97224, ur_m162_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  97225, ur_m162_u2x12_uart0_dual_hw },
 {  97226, ur_m162_u2x12_uart0_dual_ee_hw },
 {  97227, ur_m162_u2x12_uart0_dual_ce_hw },
 {  97228, ur_m162_u2x12_uart0_dual_ee_ce_hw },
 {  97229, ur_m162_u2x12_uart0_dual_ee_ce_u4_hw },
 {  97272, ur_m162_u2x12_uart1_noled },
 {  97273, ur_m162_u2x12_uart1_noled },
 {  97274, ur_m162_u2x12_uart1_noled_pr_u4 },
 {  97275, ur_m162_u2x12_uart1_noled_pr_ee },
 {  97276, ur_m162_u2x12_uart1_noled_pr_ee },
 {  97277, ur_m162_u2x12_uart1_noled_pr_ce },
 {  97278, ur_m162_u2x12_uart1_noled_pr_ce_u4 },
 {  97279, ur_m162_u2x12_uart1_noled_pr_ee_ce },
 {  97280, ur_m162_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  97281, ur_m162_u2x12_uart1_noled_hw },
 {  97282, ur_m162_u2x12_uart1_noled_ee_hw },
 {  97283, ur_m162_u2x12_uart1_noled_ce_hw },
 {  97284, ur_m162_u2x12_uart1_noled_ee_ce_hw },
 {  97285, ur_m162_u2x12_uart1_noled_ee_ce_hw },
 {  97286, ur_m162_u2x12_uart1_lednop },
 {  97287, ur_m162_u2x12_uart1_lednop },
 {  97288, ur_m162_u2x12_uart1_lednop_pr_u4 },
 {  97289, ur_m162_u2x12_uart1_lednop_pr_ee },
 {  97290, ur_m162_u2x12_uart1_lednop_pr_ee },
 {  97291, ur_m162_u2x12_uart1_lednop_pr_ce },
 {  97292, ur_m162_u2x12_uart1_lednop_pr_ce_u4 },
 {  97293, ur_m162_u2x12_uart1_lednop_pr_ee_ce },
 {  97294, ur_m162_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  97295, ur_m162_u2x12_uart1_lednop_hw },
 {  97296, ur_m162_u2x12_uart1_lednop_ee_hw },
 {  97297, ur_m162_u2x12_uart1_lednop_ce_hw },
 {  97298, ur_m162_u2x12_uart1_lednop_ee_ce_hw },
 {  97299, ur_m162_u2x12_uart1_lednop_ee_ce_hw },
 {  97300, ur_m162_u2x12_uart1_dual },
 {  97301, ur_m162_u2x12_uart1_dual },
 {  97302, ur_m162_u2x12_uart1_dual_pr_u4 },
 {  97303, ur_m162_u2x12_uart1_dual_pr_ee },
 {  97304, ur_m162_u2x12_uart1_dual_pr_ee },
 {  97305, ur_m162_u2x12_uart1_dual_pr_ce },
 {  97306, ur_m162_u2x12_uart1_dual_pr_ce },
 {  97307, ur_m162_u2x12_uart1_dual_pr_ee_ce },
 {  97308, ur_m162_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  97309, ur_m162_u2x12_uart1_dual_hw },
 {  97310, ur_m162_u2x12_uart1_dual_ee_hw },
 {  97311, ur_m162_u2x12_uart1_dual_ce_hw },
 {  97312, ur_m162_u2x12_uart1_dual_ee_ce_hw },
 {  97313, ur_m162_u2x12_uart1_dual_ee_ce_u4_hw },
 {  97398, ur_m162_swio10_noled },
 {  97399, ur_m162_swio10_noled },
 {  97400, ur_m162_swio10_noled_pr_u4 },
 {  97401, ur_m162_swio10_noled_pr_ee },
 {  97402, ur_m162_swio10_noled_pr_ee },
 {  97403, ur_m162_swio10_noled_pr_ce },
 {  97404, ur_m162_swio10_noled_pr_ce },
 {  97405, ur_m162_swio10_noled_pr_ee_ce },
 {  97406, ur_m162_swio10_noled_pr_ee_ce_u4 },
 {  97407, ur_m162_swio10_noled_hw },
 {  97408, ur_m162_swio10_noled_ee_hw },
 {  97409, ur_m162_swio10_noled_ce_hw },
 {  97410, ur_m162_swio10_noled_ee_ce_hw },
 {  97411, ur_m162_swio10_noled_ee_ce_hw },
 {  97412, ur_m162_swio10_lednop },
 {  97413, ur_m162_swio10_lednop_pr },
 {  97414, ur_m162_swio10_lednop_pr },
 {  97415, ur_m162_swio10_lednop_pr_ee },
 {  97416, ur_m162_swio10_lednop_pr_ee_u4 },
 {  97417, ur_m162_swio10_lednop_pr_ce },
 {  97418, ur_m162_swio10_lednop_pr_ce },
 {  97419, ur_m162_swio10_lednop_pr_ee_ce },
 {  97420, ur_m162_swio10_lednop_pr_ee_ce_u4 },
 {  97421, ur_m162_swio10_lednop_hw },
 {  97422, ur_m162_swio10_lednop_ee_hw },
 {  97423, ur_m162_swio10_lednop_ce_hw },
 {  97424, ur_m162_swio10_lednop_ee_ce_hw },
 {  97425, ur_m162_swio10_lednop_ee_ce_hw },
 {  97426, ur_m162_swio10_dual },
 {  97427, ur_m162_swio10_dual },
 {  97428, ur_m162_swio10_dual },
 {  97429, ur_m162_swio10_dual_pr_ee },
 {  97430, ur_m162_swio10_dual_pr_ee_u4 },
 {  97431, ur_m162_swio10_dual_pr_ce },
 {  97432, ur_m162_swio10_dual_pr_ce_u4 },
 {  97433, ur_m162_swio10_dual_pr_ee_ce },
 {  97434, ur_m162_swio10_dual_pr_ee_ce_u4 },
 {  97435, ur_m162_swio10_dual_hw },
 {  97436, ur_m162_swio10_dual_ee_hw },
 {  97437, ur_m162_swio10_dual_ce_hw },
 {  97438, ur_m162_swio10_dual_ee_ce_hw },
 {  97439, ur_m162_swio10_dual_ee_ce_u4_hw },
 {  97440, ur_m162_swio11_noled },
 {  97441, ur_m162_swio11_noled_pr },
 {  97442, ur_m162_swio11_noled_pr },
 {  97443, ur_m162_swio11_noled_pr_ee },
 {  97444, ur_m162_swio11_noled_pr_ee },
 {  97445, ur_m162_swio11_noled_pr_ce },
 {  97446, ur_m162_swio11_noled_pr_ce },
 {  97447, ur_m162_swio11_noled_pr_ee_ce },
 {  97448, ur_m162_swio11_noled_pr_ee_ce_u4 },
 {  97449, ur_m162_swio11_noled_hw },
 {  97450, ur_m162_swio11_noled_ee_hw },
 {  97451, ur_m162_swio11_noled_ce_hw },
 {  97452, ur_m162_swio11_noled_ee_ce_hw },
 {  97453, ur_m162_swio11_noled_ee_ce_hw },
 {  97454, ur_m162_swio11_lednop },
 {  97455, ur_m162_swio11_lednop_pr },
 {  97456, ur_m162_swio11_lednop_pr },
 {  97457, ur_m162_swio11_lednop_pr_ee },
 {  97458, ur_m162_swio11_lednop_pr_ee_u4 },
 {  97459, ur_m162_swio11_lednop_pr_ce },
 {  97460, ur_m162_swio11_lednop_pr_ce },
 {  97461, ur_m162_swio11_lednop_pr_ee_ce },
 {  97462, ur_m162_swio11_lednop_pr_ee_ce_u4 },
 {  97463, ur_m162_swio11_lednop_hw },
 {  97464, ur_m162_swio11_lednop_ee_hw },
 {  97465, ur_m162_swio11_lednop_ce_hw },
 {  97466, ur_m162_swio11_lednop_ee_ce_hw },
 {  97467, ur_m162_swio11_lednop_ee_ce_hw },
 {  97468, ur_m162_swio11_dual },
 {  97469, ur_m162_swio11_dual },
 {  97470, ur_m162_swio11_dual },
 {  97471, ur_m162_swio11_dual_pr_ee },
 {  97472, ur_m162_swio11_dual_pr_ee_u4 },
 {  97473, ur_m162_swio11_dual_pr_ce },
 {  97474, ur_m162_swio11_dual_pr_ce_u4 },
 {  97475, ur_m162_swio11_dual_pr_ee_ce },
 {  97476, ur_m162_swio11_dual_pr_ee_ce_u4 },
 {  97477, ur_m162_swio11_dual_hw },
 {  97478, ur_m162_swio11_dual_ee_hw },
 {  97479, ur_m162_swio11_dual_ce_hw },
 {  97480, ur_m162_swio11_dual_ee_ce_hw },
 {  97481, ur_m162_swio11_dual_ee_ce_u4_hw },
 {  97482, ur_m162_swio11_noled },
 {  97483, ur_m162_swio11_noled_pr },
 {  97484, ur_m162_swio11_noled_pr },
 {  97485, ur_m162_swio11_noled_pr_ee },
 {  97486, ur_m162_swio11_noled_pr_ee },
 {  97487, ur_m162_swio11_noled_pr_ce },
 {  97488, ur_m162_swio11_noled_pr_ce },
 {  97489, ur_m162_swio11_noled_pr_ee_ce },
 {  97490, ur_m162_swio11_noled_pr_ee_ce_u4 },
 {  97491, ur_m162_swio11_noled_hw },
 {  97492, ur_m162_swio11_noled_ee_hw },
 {  97493, ur_m162_swio11_noled_ce_hw },
 {  97494, ur_m162_swio11_noled_ee_ce_hw },
 {  97495, ur_m162_swio11_noled_ee_ce_hw },
 {  97496, ur_m162_swio11_lednop },
 {  97497, ur_m162_swio11_lednop_pr },
 {  97498, ur_m162_swio11_lednop_pr },
 {  97499, ur_m162_swio11_lednop_pr_ee },
 {  97500, ur_m162_swio11_lednop_pr_ee_u4 },
 {  97501, ur_m162_swio11_lednop_pr_ce },
 {  97502, ur_m162_swio11_lednop_pr_ce },
 {  97503, ur_m162_swio11_lednop_pr_ee_ce },
 {  97504, ur_m162_swio11_lednop_pr_ee_ce_u4 },
 {  97505, ur_m162_swio11_lednop_hw },
 {  97506, ur_m162_swio11_lednop_ee_hw },
 {  97507, ur_m162_swio11_lednop_ce_hw },
 {  97508, ur_m162_swio11_lednop_ee_ce_hw },
 {  97509, ur_m162_swio11_lednop_ee_ce_hw },
 {  97510, ur_m162_swio11_dual },
 {  97511, ur_m162_swio11_dual },
 {  97512, ur_m162_swio11_dual },
 {  97513, ur_m162_swio11_dual_pr_ee },
 {  97514, ur_m162_swio11_dual_pr_ee_u4 },
 {  97515, ur_m162_swio11_dual_pr_ce },
 {  97516, ur_m162_swio11_dual_pr_ce_u4 },
 {  97517, ur_m162_swio11_dual_pr_ee_ce },
 {  97518, ur_m162_swio11_dual_pr_ee_ce_u4 },
 {  97519, ur_m162_swio11_dual_hw },
 {  97520, ur_m162_swio11_dual_ee_hw },
 {  97521, ur_m162_swio11_dual_ce_hw },
 {  97522, ur_m162_swio11_dual_ee_ce_hw },
 {  97523, ur_m162_swio11_dual_ee_ce_u4_hw },
 {  97524, ur_m162_swio13_noled },
 {  97525, ur_m162_swio13_noled_pr },
 {  97526, ur_m162_swio13_noled_pr },
 {  97527, ur_m162_swio13_noled_pr_ee },
 {  97528, ur_m162_swio13_noled_pr_ee_u4 },
 {  97529, ur_m162_swio13_noled_pr_ce },
 {  97530, ur_m162_swio13_noled_pr_ce },
 {  97531, ur_m162_swio13_noled_pr_ee_ce },
 {  97532, ur_m162_swio13_noled_pr_ee_ce_u4 },
 {  97533, ur_m162_swio13_noled_hw },
 {  97534, ur_m162_swio13_noled_ee_hw },
 {  97535, ur_m162_swio13_noled_ce_hw },
 {  97536, ur_m162_swio13_noled_ee_ce_hw },
 {  97537, ur_m162_swio13_noled_ee_ce_hw },
 {  97538, ur_m162_swio13_lednop },
 {  97539, ur_m162_swio13_lednop_pr },
 {  97540, ur_m162_swio13_lednop_pr },
 {  97541, ur_m162_swio13_lednop_pr_ee },
 {  97542, ur_m162_swio13_lednop_pr_ee_u4 },
 {  97543, ur_m162_swio13_lednop_pr_ce },
 {  97544, ur_m162_swio13_lednop_pr_ce },
 {  97545, ur_m162_swio13_lednop_pr_ee_ce },
 {  97546, ur_m162_swio13_lednop_pr_ee_ce_u4 },
 {  97547, ur_m162_swio13_lednop_hw },
 {  97548, ur_m162_swio13_lednop_ee_hw },
 {  97549, ur_m162_swio13_lednop_ce_hw },
 {  97550, ur_m162_swio13_lednop_ee_ce_hw },
 {  97551, ur_m162_swio13_lednop_ee_ce_hw },
 {  97552, ur_m162_swio13_dual },
 {  97553, ur_m162_swio13_dual },
 {  97554, ur_m162_swio13_dual },
 {  97555, ur_m162_swio13_dual_pr_ee },
 {  97556, ur_m162_swio13_dual_pr_ee_u4 },
 {  97557, ur_m162_swio13_dual_pr_ce },
 {  97558, ur_m162_swio13_dual_pr_ce_u4 },
 {  97559, ur_m162_swio13_dual_pr_ee_ce },
 {  97560, ur_m162_swio13_dual_pr_ee_ce_u4 },
 {  97561, ur_m162_swio13_dual_hw },
 {  97562, ur_m162_swio13_dual_ee_hw },
 {  97563, ur_m162_swio13_dual_ce_hw },
 {  97564, ur_m162_swio13_dual_ee_ce_hw },
 {  97565, ur_m162_swio13_dual_ee_ce_u4_hw },
 {  97566, ur_m162_swio14_noled },
 {  97567, ur_m162_swio14_noled_pr },
 {  97568, ur_m162_swio14_noled_pr },
 {  97569, ur_m162_swio14_noled_pr_ee },
 {  97570, ur_m162_swio14_noled_pr_ee },
 {  97571, ur_m162_swio14_noled_pr_ce },
 {  97572, ur_m162_swio14_noled_pr_ce },
 {  97573, ur_m162_swio14_noled_pr_ee_ce },
 {  97574, ur_m162_swio14_noled_pr_ee_ce_u4 },
 {  97575, ur_m162_swio14_noled_hw },
 {  97576, ur_m162_swio14_noled_ee_hw },
 {  97577, ur_m162_swio14_noled_ce_hw },
 {  97578, ur_m162_swio14_noled_ee_ce_hw },
 {  97579, ur_m162_swio14_noled_ee_ce_hw },
 {  97580, ur_m162_swio14_lednop },
 {  97581, ur_m162_swio14_lednop_pr },
 {  97582, ur_m162_swio14_lednop_pr },
 {  97583, ur_m162_swio14_lednop_pr_ee },
 {  97584, ur_m162_swio14_lednop_pr_ee_u4 },
 {  97585, ur_m162_swio14_lednop_pr_ce },
 {  97586, ur_m162_swio14_lednop_pr_ce },
 {  97587, ur_m162_swio14_lednop_pr_ee_ce },
 {  97588, ur_m162_swio14_lednop_pr_ee_ce_u4 },
 {  97589, ur_m162_swio14_lednop_hw },
 {  97590, ur_m162_swio14_lednop_ee_hw },
 {  97591, ur_m162_swio14_lednop_ce_hw },
 {  97592, ur_m162_swio14_lednop_ee_ce_hw },
 {  97593, ur_m162_swio14_lednop_ee_ce_hw },
 {  97594, ur_m162_swio14_dual },
 {  97595, ur_m162_swio14_dual },
 {  97596, ur_m162_swio14_dual },
 {  97597, ur_m162_swio14_dual_pr_ee },
 {  97598, ur_m162_swio14_dual_pr_ee_u4 },
 {  97599, ur_m162_swio14_dual_pr_ce },
 {  97600, ur_m162_swio14_dual_pr_ce_u4 },
 {  97601, ur_m162_swio14_dual_pr_ee_ce },
 {  97602, ur_m162_swio14_dual_pr_ee_ce_u4 },
 {  97603, ur_m162_swio14_dual_hw },
 {  97604, ur_m162_swio14_dual_ee_hw },
 {  97605, ur_m162_swio14_dual_ce_hw },
 {  97606, ur_m162_swio14_dual_ee_ce_hw },
 {  97607, ur_m162_swio14_dual_ee_ce_u4_hw },
 {  97608, ur_m162_swio15_noled },
 {  97609, ur_m162_swio15_noled_pr },
 {  97610, ur_m162_swio15_noled_pr },
 {  97611, ur_m162_swio15_noled_pr_ee },
 {  97612, ur_m162_swio15_noled_pr_ee_u4 },
 {  97613, ur_m162_swio15_noled_pr_ce },
 {  97614, ur_m162_swio15_noled_pr_ce },
 {  97615, ur_m162_swio15_noled_pr_ee_ce },
 {  97616, ur_m162_swio15_noled_pr_ee_ce_u4 },
 {  97617, ur_m162_swio15_noled_hw },
 {  97618, ur_m162_swio15_noled_ee_hw },
 {  97619, ur_m162_swio15_noled_ce_hw },
 {  97620, ur_m162_swio15_noled_ee_ce_hw },
 {  97621, ur_m162_swio15_noled_ee_ce_hw },
 {  97622, ur_m162_swio15_lednop },
 {  97623, ur_m162_swio15_lednop_pr },
 {  97624, ur_m162_swio15_lednop_pr },
 {  97625, ur_m162_swio15_lednop_pr_ee },
 {  97626, ur_m162_swio15_lednop_pr_ee_u4 },
 {  97627, ur_m162_swio15_lednop_pr_ce },
 {  97628, ur_m162_swio15_lednop_pr_ce },
 {  97629, ur_m162_swio15_lednop_pr_ee_ce },
 {  97630, ur_m162_swio15_lednop_pr_ee_ce_u4 },
 {  97631, ur_m162_swio15_lednop_hw },
 {  97632, ur_m162_swio15_lednop_ee_hw },
 {  97633, ur_m162_swio15_lednop_ce_hw },
 {  97634, ur_m162_swio15_lednop_ee_ce_hw },
 {  97635, ur_m162_swio15_lednop_ee_ce_hw },
 {  97636, ur_m162_swio15_dual },
 {  97637, ur_m162_swio15_dual },
 {  97638, ur_m162_swio15_dual },
 {  97639, ur_m162_swio15_dual_pr_ee },
 {  97640, ur_m162_swio15_dual_pr_ee_u4 },
 {  97641, ur_m162_swio15_dual_pr_ce },
 {  97642, ur_m162_swio15_dual_pr_ce_u4 },
 {  97643, ur_m162_swio15_dual_pr_ee_ce },
 {  97644, ur_m162_swio15_dual_pr_ee_ce_u4 },
 {  97645, ur_m162_swio15_dual_hw },
 {  97646, ur_m162_swio15_dual_ee_hw },
 {  97647, ur_m162_swio15_dual_ce_hw },
 {  97648, ur_m162_swio15_dual_ee_ce_hw },
 {  97649, ur_m162_swio15_dual_ee_ce_u4_hw },
 {  97650, ur_m161_autobaud_uart0_noled },
 {  97651, ur_m161_autobaud_uart0_noled },
 {  97652, ur_m161_autobaud_uart0_noled_pr_u4 },
 {  97653, ur_m161_autobaud_uart0_noled_pr_ee },
 {  97654, ur_m161_autobaud_uart0_noled_pr_ee },
 {  97655, ur_m161_autobaud_uart0_noled_pr_ce },
 {  97656, ur_m161_autobaud_uart0_noled_pr_ce },
 {  97657, ur_m161_autobaud_uart0_noled_pr_ee_ce },
 {  97658, ur_m161_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  97660, ur_m161_autobaud_uart0_noled_ee_hw },
 {  97662, ur_m161_autobaud_uart0_noled_ee_ce_hw },
 {  97663, ur_m161_autobaud_uart0_noled_ee_ce_hw },
 {  97664, ur_m161_autobaud_uart0_lednop },
 {  97665, ur_m161_autobaud_uart0_lednop },
 {  97666, ur_m161_autobaud_uart0_lednop_pr_u4 },
 {  97667, ur_m161_autobaud_uart0_lednop_pr_ee },
 {  97668, ur_m161_autobaud_uart0_lednop_pr_ee },
 {  97669, ur_m161_autobaud_uart0_lednop_pr_ce },
 {  97670, ur_m161_autobaud_uart0_lednop_pr_ce },
 {  97671, ur_m161_autobaud_uart0_lednop_pr_ee_ce },
 {  97672, ur_m161_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  97674, ur_m161_autobaud_uart0_lednop_ee_hw },
 {  97676, ur_m161_autobaud_uart0_lednop_ee_ce_hw },
 {  97677, ur_m161_autobaud_uart0_lednop_ee_ce_hw },
 {  97678, ur_m161_autobaud_uart0_dual },
 {  97679, ur_m161_autobaud_uart0_dual_pr },
 {  97680, ur_m161_autobaud_uart0_dual_pr_u4 },
 {  97681, ur_m161_autobaud_uart0_dual_pr_ee },
 {  97682, ur_m161_autobaud_uart0_dual_pr_ee },
 {  97683, ur_m161_autobaud_uart0_dual_pr_ce },
 {  97684, ur_m161_autobaud_uart0_dual_pr_ce },
 {  97685, ur_m161_autobaud_uart0_dual_pr_ee_ce },
 {  97686, ur_m161_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  97688, ur_m161_autobaud_uart0_dual_ee_hw },
 {  97690, ur_m163_autobaud_uart0_dual_ee_ce_u4_hw },
 {  97691, ur_m163_autobaud_uart0_dual_ee_ce_u4_hw },
 {  97734, ur_m161_autobaud_uart1_noled },
 {  97735, ur_m161_autobaud_uart1_noled },
 {  97736, ur_m161_autobaud_uart1_noled_pr_u4 },
 {  97737, ur_m161_autobaud_uart1_noled_pr_ee },
 {  97738, ur_m161_autobaud_uart1_noled_pr_ee },
 {  97739, ur_m161_autobaud_uart1_noled_pr_ce },
 {  97740, ur_m161_autobaud_uart1_noled_pr_ce },
 {  97741, ur_m161_autobaud_uart1_noled_pr_ee_ce },
 {  97742, ur_m161_autobaud_uart1_noled_pr_ee_ce_u4 },
 {  97744, ur_m161_autobaud_uart1_noled_ee_hw },
 {  97746, ur_m161_autobaud_uart1_noled_ee_ce_hw },
 {  97747, ur_m161_autobaud_uart1_noled_ee_ce_hw },
 {  97748, ur_m161_autobaud_uart1_lednop },
 {  97749, ur_m161_autobaud_uart1_lednop },
 {  97750, ur_m161_autobaud_uart1_lednop_pr_u4 },
 {  97751, ur_m161_autobaud_uart1_lednop_pr_ee },
 {  97752, ur_m161_autobaud_uart1_lednop_pr_ee },
 {  97753, ur_m161_autobaud_uart1_lednop_pr_ce },
 {  97754, ur_m161_autobaud_uart1_lednop_pr_ce },
 {  97755, ur_m161_autobaud_uart1_lednop_pr_ee_ce },
 {  97756, ur_m161_autobaud_uart1_lednop_pr_ee_ce_u4 },
 {  97758, ur_m161_autobaud_uart1_lednop_ee_hw },
 {  97760, ur_m161_autobaud_uart1_lednop_ee_ce_hw },
 {  97761, ur_m161_autobaud_uart1_lednop_ee_ce_hw },
 {  97762, ur_m161_autobaud_uart1_dual },
 {  97763, ur_m161_autobaud_uart1_dual_pr },
 {  97764, ur_m161_autobaud_uart1_dual_pr_u4 },
 {  97765, ur_m161_autobaud_uart1_dual_pr_ee },
 {  97766, ur_m161_autobaud_uart1_dual_pr_ee },
 {  97767, ur_m161_autobaud_uart1_dual_pr_ce },
 {  97768, ur_m161_autobaud_uart1_dual_pr_ce },
 {  97769, ur_m161_autobaud_uart1_dual_pr_ee_ce },
 {  97770, ur_m161_autobaud_uart1_dual_pr_ee_ce_u4 },
 {  97772, ur_m161_autobaud_uart1_dual_ee_hw },
 {  97774, ur_m161_autobaud_uart1_dual_ee_ce_hw },
 {  97775, ur_m161_autobaud_uart1_dual_ee_ce_hw },
 {  97860, ur_m161_u1x8_uart0_noled },
 {  97861, ur_m161_u1x8_uart0_noled },
 {  97862, ur_m161_u1x8_uart0_noled_pr_u4 },
 {  97863, ur_m161_u1x8_uart0_noled_pr_ee },
 {  97864, ur_m161_u1x8_uart0_noled_pr_ee },
 {  97865, ur_m161_u1x8_uart0_noled_pr_ce },
 {  97866, ur_m161_u1x8_uart0_noled_pr_ce_u4 },
 {  97867, ur_m161_u1x8_uart0_noled_pr_ee_ce },
 {  97868, ur_m161_u1x8_uart0_noled_pr_ee_ce },
 {  97870, ur_m161_u1x8_uart0_noled_ee_hw },
 {  97872, ur_m161_u1x8_uart0_noled_ee_ce_hw },
 {  97873, ur_m161_u1x8_uart0_noled_ee_ce_hw },
 {  97874, ur_m161_u1x8_uart0_lednop },
 {  97875, ur_m161_u1x8_uart0_lednop },
 {  97876, ur_m161_u1x8_uart0_lednop_pr_u4 },
 {  97877, ur_m161_u1x8_uart0_lednop_pr_ee },
 {  97878, ur_m161_u1x8_uart0_lednop_pr_ee },
 {  97879, ur_m161_u1x8_uart0_lednop_pr_ce },
 {  97880, ur_m161_u1x8_uart0_lednop_pr_ce_u4 },
 {  97881, ur_m161_u1x8_uart0_lednop_pr_ee_ce },
 {  97882, ur_m161_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  97884, ur_m161_u1x8_uart0_lednop_ee_hw },
 {  97886, ur_m161_u1x8_uart0_lednop_ee_ce_hw },
 {  97887, ur_m161_u1x8_uart0_lednop_ee_ce_hw },
 {  97888, ur_m161_u1x8_uart0_dual },
 {  97889, ur_m161_u1x8_uart0_dual },
 {  97890, ur_m161_u1x8_uart0_dual_pr_u4 },
 {  97891, ur_m161_u1x8_uart0_dual_pr_ee },
 {  97892, ur_m161_u1x8_uart0_dual_pr_ee },
 {  97893, ur_m161_u1x8_uart0_dual_pr_ce },
 {  97894, ur_m161_u1x8_uart0_dual_pr_ce },
 {  97895, ur_m161_u1x8_uart0_dual_pr_ee_ce },
 {  97896, ur_m161_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  97898, ur_m161_u1x8_uart0_dual_ee_hw },
 {  97900, ur_m161_u1x8_uart0_dual_ee_ce_hw },
 {  97901, ur_m161_u1x8_uart0_dual_ee_ce_hw },
 {  97944, ur_m161_u1x8_uart1_noled },
 {  97945, ur_m161_u1x8_uart1_noled },
 {  97946, ur_m161_u1x8_uart1_noled_pr_u4 },
 {  97947, ur_m161_u1x8_uart1_noled_pr_ee },
 {  97948, ur_m161_u1x8_uart1_noled_pr_ee },
 {  97949, ur_m161_u1x8_uart1_noled_pr_ce },
 {  97950, ur_m161_u1x8_uart1_noled_pr_ce_u4 },
 {  97951, ur_m161_u1x8_uart1_noled_pr_ee_ce },
 {  97952, ur_m161_u1x8_uart1_noled_pr_ee_ce },
 {  97954, ur_m161_u1x8_uart1_noled_ee_hw },
 {  97956, ur_m161_u1x8_uart1_noled_ee_ce_hw },
 {  97957, ur_m161_u1x8_uart1_noled_ee_ce_hw },
 {  97958, ur_m161_u1x8_uart1_lednop },
 {  97959, ur_m161_u1x8_uart1_lednop },
 {  97960, ur_m161_u1x8_uart1_lednop_pr_u4 },
 {  97961, ur_m161_u1x8_uart1_lednop_pr_ee },
 {  97962, ur_m161_u1x8_uart1_lednop_pr_ee },
 {  97963, ur_m161_u1x8_uart1_lednop_pr_ce },
 {  97964, ur_m161_u1x8_uart1_lednop_pr_ce_u4 },
 {  97965, ur_m161_u1x8_uart1_lednop_pr_ee_ce },
 {  97966, ur_m161_u1x8_uart1_lednop_pr_ee_ce_u4 },
 {  97968, ur_m161_u1x8_uart1_lednop_ee_hw },
 {  97970, ur_m161_u1x8_uart1_lednop_ee_ce_hw },
 {  97971, ur_m161_u1x8_uart1_lednop_ee_ce_hw },
 {  97972, ur_m161_u1x8_uart1_dual },
 {  97973, ur_m161_u1x8_uart1_dual },
 {  97974, ur_m161_u1x8_uart1_dual_pr_u4 },
 {  97975, ur_m161_u1x8_uart1_dual_pr_ee },
 {  97976, ur_m161_u1x8_uart1_dual_pr_ee },
 {  97977, ur_m161_u1x8_uart1_dual_pr_ce },
 {  97978, ur_m161_u1x8_uart1_dual_pr_ce },
 {  97979, ur_m161_u1x8_uart1_dual_pr_ee_ce },
 {  97980, ur_m161_u1x8_uart1_dual_pr_ee_ce_u4 },
 {  97982, ur_m161_u1x8_uart1_dual_ee_hw },
 {  97984, ur_m161_u1x8_uart1_dual_ee_ce_hw },
 {  97985, ur_m161_u1x8_uart1_dual_ee_ce_hw },
 {  98070, ur_m161_u1x12_uart0_noled },
 {  98071, ur_m161_u1x12_uart0_noled },
 {  98072, ur_m161_u1x12_uart0_noled_pr_u4 },
 {  98073, ur_m161_u1x12_uart0_noled_pr_ee },
 {  98074, ur_m161_u1x12_uart0_noled_pr_ee },
 {  98075, ur_m161_u1x12_uart0_noled_pr_ce },
 {  98076, ur_m161_u1x12_uart0_noled_pr_ce_u4 },
 {  98077, ur_m161_u1x12_uart0_noled_pr_ee_ce },
 {  98078, ur_m161_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  98080, ur_m161_u1x12_uart0_noled_ee_hw },
 {  98082, ur_m161_u1x12_uart0_noled_ee_ce_hw },
 {  98083, ur_m161_u1x12_uart0_noled_ee_ce_hw },
 {  98084, ur_m161_u1x12_uart0_lednop },
 {  98085, ur_m161_u1x12_uart0_lednop },
 {  98086, ur_m161_u1x12_uart0_lednop_pr_u4 },
 {  98087, ur_m161_u1x12_uart0_lednop_pr_ee },
 {  98088, ur_m161_u1x12_uart0_lednop_pr_ee },
 {  98089, ur_m161_u1x12_uart0_lednop_pr_ce },
 {  98090, ur_m161_u1x12_uart0_lednop_pr_ce_u4 },
 {  98091, ur_m161_u1x12_uart0_lednop_pr_ee_ce },
 {  98092, ur_m161_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  98094, ur_m161_u1x12_uart0_lednop_ee_hw },
 {  98096, ur_m161_u1x12_uart0_lednop_ee_ce_hw },
 {  98097, ur_m161_u1x12_uart0_lednop_ee_ce_hw },
 {  98098, ur_m161_u1x12_uart0_dual },
 {  98099, ur_m161_u1x12_uart0_dual },
 {  98100, ur_m161_u1x12_uart0_dual_pr_u4 },
 {  98101, ur_m161_u1x12_uart0_dual_pr_ee },
 {  98102, ur_m161_u1x12_uart0_dual_pr_ee },
 {  98103, ur_m161_u1x12_uart0_dual_pr_ce },
 {  98104, ur_m161_u1x12_uart0_dual_pr_ce },
 {  98105, ur_m161_u1x12_uart0_dual_pr_ee_ce },
 {  98106, ur_m161_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  98108, ur_m161_u1x12_uart0_dual_ee_hw },
 {  98110, ur_m161_u1x12_uart0_dual_ee_ce_hw },
 {  98111, ur_m161_u1x12_uart0_dual_ee_ce_hw },
 {  98154, ur_m161_u1x12_uart1_noled },
 {  98155, ur_m161_u1x12_uart1_noled },
 {  98156, ur_m161_u1x12_uart1_noled_pr_u4 },
 {  98157, ur_m161_u1x12_uart1_noled_pr_ee },
 {  98158, ur_m161_u1x12_uart1_noled_pr_ee },
 {  98159, ur_m161_u1x12_uart1_noled_pr_ce },
 {  98160, ur_m161_u1x12_uart1_noled_pr_ce_u4 },
 {  98161, ur_m161_u1x12_uart1_noled_pr_ee_ce },
 {  98162, ur_m161_u1x12_uart1_noled_pr_ee_ce_u4 },
 {  98164, ur_m161_u1x12_uart1_noled_ee_hw },
 {  98166, ur_m161_u1x12_uart1_noled_ee_ce_hw },
 {  98167, ur_m161_u1x12_uart1_noled_ee_ce_hw },
 {  98168, ur_m161_u1x12_uart1_lednop },
 {  98169, ur_m161_u1x12_uart1_lednop },
 {  98170, ur_m161_u1x12_uart1_lednop_pr_u4 },
 {  98171, ur_m161_u1x12_uart1_lednop_pr_ee },
 {  98172, ur_m161_u1x12_uart1_lednop_pr_ee },
 {  98173, ur_m161_u1x12_uart1_lednop_pr_ce },
 {  98174, ur_m161_u1x12_uart1_lednop_pr_ce_u4 },
 {  98175, ur_m161_u1x12_uart1_lednop_pr_ee_ce },
 {  98176, ur_m161_u1x12_uart1_lednop_pr_ee_ce_u4 },
 {  98178, ur_m161_u1x12_uart1_lednop_ee_hw },
 {  98180, ur_m161_u1x12_uart1_lednop_ee_ce_hw },
 {  98181, ur_m161_u1x12_uart1_lednop_ee_ce_hw },
 {  98182, ur_m161_u1x12_uart1_dual },
 {  98183, ur_m161_u1x12_uart1_dual },
 {  98184, ur_m161_u1x12_uart1_dual_pr_u4 },
 {  98185, ur_m161_u1x12_uart1_dual_pr_ee },
 {  98186, ur_m161_u1x12_uart1_dual_pr_ee },
 {  98187, ur_m161_u1x12_uart1_dual_pr_ce },
 {  98188, ur_m161_u1x12_uart1_dual_pr_ce },
 {  98189, ur_m161_u1x12_uart1_dual_pr_ee_ce },
 {  98190, ur_m161_u1x12_uart1_dual_pr_ee_ce_u4 },
 {  98192, ur_m161_u1x12_uart1_dual_ee_hw },
 {  98194, ur_m161_u1x12_uart1_dual_ee_ce_hw },
 {  98195, ur_m161_u1x12_uart1_dual_ee_ce_hw },
 {  98280, ur_m161_u2x8_uart0_noled },
 {  98281, ur_m161_u2x8_uart0_noled },
 {  98282, ur_m161_u2x8_uart0_noled_pr_u4 },
 {  98283, ur_m161_u2x8_uart0_noled_pr_ee },
 {  98284, ur_m161_u2x8_uart0_noled_pr_ee },
 {  98285, ur_m161_u2x8_uart0_noled_pr_ce },
 {  98286, ur_m161_u2x8_uart0_noled_pr_ce_u4 },
 {  98287, ur_m161_u2x8_uart0_noled_pr_ee_ce },
 {  98288, ur_m161_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  98290, ur_m161_u2x8_uart0_noled_ee_hw },
 {  98292, ur_m161_u2x8_uart0_noled_ee_ce_hw },
 {  98293, ur_m161_u2x8_uart0_noled_ee_ce_hw },
 {  98294, ur_m161_u2x8_uart0_lednop },
 {  98295, ur_m161_u2x8_uart0_lednop },
 {  98296, ur_m161_u2x8_uart0_lednop_pr_u4 },
 {  98297, ur_m161_u2x8_uart0_lednop_pr_ee },
 {  98298, ur_m161_u2x8_uart0_lednop_pr_ee },
 {  98299, ur_m161_u2x8_uart0_lednop_pr_ce },
 {  98300, ur_m161_u2x8_uart0_lednop_pr_ce_u4 },
 {  98301, ur_m161_u2x8_uart0_lednop_pr_ee_ce },
 {  98302, ur_m161_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  98304, ur_m161_u2x8_uart0_lednop_ee_hw },
 {  98306, ur_m161_u2x8_uart0_lednop_ee_ce_hw },
 {  98307, ur_m161_u2x8_uart0_lednop_ee_ce_hw },
 {  98308, ur_m161_u2x8_uart0_dual },
 {  98309, ur_m161_u2x8_uart0_dual },
 {  98310, ur_m161_u2x8_uart0_dual_pr_u4 },
 {  98311, ur_m161_u2x8_uart0_dual_pr_ee },
 {  98312, ur_m161_u2x8_uart0_dual_pr_ee },
 {  98313, ur_m161_u2x8_uart0_dual_pr_ce },
 {  98314, ur_m161_u2x8_uart0_dual_pr_ce },
 {  98315, ur_m161_u2x8_uart0_dual_pr_ee_ce },
 {  98316, ur_m161_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  98318, ur_m161_u2x8_uart0_dual_ee_hw },
 {  98320, ur_m161_u2x8_uart0_dual_ee_ce_hw },
 {  98321, ur_m161_u2x8_uart0_dual_ee_ce_hw },
 {  98364, ur_m161_u2x8_uart1_noled },
 {  98365, ur_m161_u2x8_uart1_noled },
 {  98366, ur_m161_u2x8_uart1_noled_pr_u4 },
 {  98367, ur_m161_u2x8_uart1_noled_pr_ee },
 {  98368, ur_m161_u2x8_uart1_noled_pr_ee },
 {  98369, ur_m161_u2x8_uart1_noled_pr_ce },
 {  98370, ur_m161_u2x8_uart1_noled_pr_ce_u4 },
 {  98371, ur_m161_u2x8_uart1_noled_pr_ee_ce },
 {  98372, ur_m161_u2x8_uart1_noled_pr_ee_ce_u4 },
 {  98374, ur_m161_u2x8_uart1_noled_ee_hw },
 {  98376, ur_m161_u2x8_uart1_noled_ee_ce_hw },
 {  98377, ur_m161_u2x8_uart1_noled_ee_ce_hw },
 {  98378, ur_m161_u2x8_uart1_lednop },
 {  98379, ur_m161_u2x8_uart1_lednop },
 {  98380, ur_m161_u2x8_uart1_lednop_pr_u4 },
 {  98381, ur_m161_u2x8_uart1_lednop_pr_ee },
 {  98382, ur_m161_u2x8_uart1_lednop_pr_ee },
 {  98383, ur_m161_u2x8_uart1_lednop_pr_ce },
 {  98384, ur_m161_u2x8_uart1_lednop_pr_ce_u4 },
 {  98385, ur_m161_u2x8_uart1_lednop_pr_ee_ce },
 {  98386, ur_m161_u2x8_uart1_lednop_pr_ee_ce_u4 },
 {  98388, ur_m161_u2x8_uart1_lednop_ee_hw },
 {  98390, ur_m161_u2x8_uart1_lednop_ee_ce_hw },
 {  98391, ur_m161_u2x8_uart1_lednop_ee_ce_hw },
 {  98392, ur_m161_u2x8_uart1_dual },
 {  98393, ur_m161_u2x8_uart1_dual },
 {  98394, ur_m161_u2x8_uart1_dual_pr_u4 },
 {  98395, ur_m161_u2x8_uart1_dual_pr_ee },
 {  98396, ur_m161_u2x8_uart1_dual_pr_ee },
 {  98397, ur_m161_u2x8_uart1_dual_pr_ce },
 {  98398, ur_m161_u2x8_uart1_dual_pr_ce },
 {  98399, ur_m161_u2x8_uart1_dual_pr_ee_ce },
 {  98400, ur_m161_u2x8_uart1_dual_pr_ee_ce_u4 },
 {  98402, ur_m161_u2x8_uart1_dual_ee_hw },
 {  98404, ur_m161_u2x8_uart1_dual_ee_ce_hw },
 {  98405, ur_m161_u2x8_uart1_dual_ee_ce_hw },
 {  98490, ur_m161_u2x12_uart0_noled },
 {  98491, ur_m161_u2x12_uart0_noled },
 {  98492, ur_m161_u2x12_uart0_noled_pr_u4 },
 {  98493, ur_m161_u2x12_uart0_noled_pr_ee },
 {  98494, ur_m161_u2x12_uart0_noled_pr_ee },
 {  98495, ur_m161_u2x12_uart0_noled_pr_ce },
 {  98496, ur_m161_u2x12_uart0_noled_pr_ce_u4 },
 {  98497, ur_m161_u2x12_uart0_noled_pr_ee_ce },
 {  98498, ur_m161_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  98500, ur_m161_u2x12_uart0_noled_ee_hw },
 {  98502, ur_m161_u2x12_uart0_noled_ee_ce_hw },
 {  98503, ur_m161_u2x12_uart0_noled_ee_ce_hw },
 {  98504, ur_m161_u2x12_uart0_lednop },
 {  98505, ur_m161_u2x12_uart0_lednop },
 {  98506, ur_m161_u2x12_uart0_lednop_pr_u4 },
 {  98507, ur_m161_u2x12_uart0_lednop_pr_ee },
 {  98508, ur_m161_u2x12_uart0_lednop_pr_ee },
 {  98509, ur_m161_u2x12_uart0_lednop_pr_ce },
 {  98510, ur_m161_u2x12_uart0_lednop_pr_ce_u4 },
 {  98511, ur_m161_u2x12_uart0_lednop_pr_ee_ce },
 {  98512, ur_m161_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  98514, ur_m161_u2x12_uart0_lednop_ee_hw },
 {  98516, ur_m161_u2x12_uart0_lednop_ee_ce_hw },
 {  98517, ur_m161_u2x12_uart0_lednop_ee_ce_hw },
 {  98518, ur_m161_u2x12_uart0_dual },
 {  98519, ur_m161_u2x12_uart0_dual },
 {  98520, ur_m161_u2x12_uart0_dual_pr_u4 },
 {  98521, ur_m161_u2x12_uart0_dual_pr_ee },
 {  98522, ur_m161_u2x12_uart0_dual_pr_ee },
 {  98523, ur_m161_u2x12_uart0_dual_pr_ce },
 {  98524, ur_m161_u2x12_uart0_dual_pr_ce },
 {  98525, ur_m161_u2x12_uart0_dual_pr_ee_ce },
 {  98526, ur_m161_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  98528, ur_m161_u2x12_uart0_dual_ee_hw },
 {  98530, ur_m161_u2x12_uart0_dual_ee_ce_hw },
 {  98531, ur_m161_u2x12_uart0_dual_ee_ce_hw },
 {  98574, ur_m161_u2x12_uart1_noled },
 {  98575, ur_m161_u2x12_uart1_noled },
 {  98576, ur_m161_u2x12_uart1_noled_pr_u4 },
 {  98577, ur_m161_u2x12_uart1_noled_pr_ee },
 {  98578, ur_m161_u2x12_uart1_noled_pr_ee },
 {  98579, ur_m161_u2x12_uart1_noled_pr_ce },
 {  98580, ur_m161_u2x12_uart1_noled_pr_ce_u4 },
 {  98581, ur_m161_u2x12_uart1_noled_pr_ee_ce },
 {  98582, ur_m161_u2x12_uart1_noled_pr_ee_ce_u4 },
 {  98584, ur_m161_u2x12_uart1_noled_ee_hw },
 {  98586, ur_m161_u2x12_uart1_noled_ee_ce_hw },
 {  98587, ur_m161_u2x12_uart1_noled_ee_ce_hw },
 {  98588, ur_m161_u2x12_uart1_lednop },
 {  98589, ur_m161_u2x12_uart1_lednop },
 {  98590, ur_m161_u2x12_uart1_lednop_pr_u4 },
 {  98591, ur_m161_u2x12_uart1_lednop_pr_ee },
 {  98592, ur_m161_u2x12_uart1_lednop_pr_ee },
 {  98593, ur_m161_u2x12_uart1_lednop_pr_ce },
 {  98594, ur_m161_u2x12_uart1_lednop_pr_ce_u4 },
 {  98595, ur_m161_u2x12_uart1_lednop_pr_ee_ce },
 {  98596, ur_m161_u2x12_uart1_lednop_pr_ee_ce_u4 },
 {  98598, ur_m161_u2x12_uart1_lednop_ee_hw },
 {  98600, ur_m161_u2x12_uart1_lednop_ee_ce_hw },
 {  98601, ur_m161_u2x12_uart1_lednop_ee_ce_hw },
 {  98602, ur_m161_u2x12_uart1_dual },
 {  98603, ur_m161_u2x12_uart1_dual },
 {  98604, ur_m161_u2x12_uart1_dual_pr_u4 },
 {  98605, ur_m161_u2x12_uart1_dual_pr_ee },
 {  98606, ur_m161_u2x12_uart1_dual_pr_ee },
 {  98607, ur_m161_u2x12_uart1_dual_pr_ce },
 {  98608, ur_m161_u2x12_uart1_dual_pr_ce },
 {  98609, ur_m161_u2x12_uart1_dual_pr_ee_ce },
 {  98610, ur_m161_u2x12_uart1_dual_pr_ee_ce_u4 },
 {  98612, ur_m161_u2x12_uart1_dual_ee_hw },
 {  98614, ur_m161_u2x12_uart1_dual_ee_ce_hw },
 {  98615, ur_m161_u2x12_uart1_dual_ee_ce_hw },
 {  98700, ur_m161_swio10_noled },
 {  98701, ur_m161_swio10_noled },
 {  98702, ur_m161_swio10_noled_pr_u4 },
 {  98703, ur_m161_swio10_noled_pr_ee },
 {  98704, ur_m161_swio10_noled_pr_ee },
 {  98705, ur_m161_swio10_noled_pr_ce },
 {  98706, ur_m161_swio10_noled_pr_ce },
 {  98707, ur_m161_swio10_noled_pr_ee_ce },
 {  98708, ur_m161_swio10_noled_pr_ee_ce_u4 },
 {  98710, ur_m161_swio10_noled_ee_hw },
 {  98712, ur_m161_swio10_noled_ee_ce_hw },
 {  98713, ur_m161_swio10_noled_ee_ce_hw },
 {  98714, ur_m161_swio10_lednop },
 {  98715, ur_m161_swio10_lednop_pr },
 {  98716, ur_m161_swio10_lednop_pr },
 {  98717, ur_m161_swio10_lednop_pr_ee },
 {  98718, ur_m161_swio10_lednop_pr_ee_u4 },
 {  98719, ur_m161_swio10_lednop_pr_ce },
 {  98720, ur_m161_swio10_lednop_pr_ce },
 {  98721, ur_m161_swio10_lednop_pr_ee_ce },
 {  98722, ur_m161_swio10_lednop_pr_ee_ce_u4 },
 {  98724, ur_m161_swio10_lednop_ee_hw },
 {  98726, ur_m161_swio10_lednop_ee_ce_hw },
 {  98727, ur_m161_swio10_lednop_ee_ce_hw },
 {  98728, ur_m161_swio10_dual },
 {  98729, ur_m161_swio10_dual },
 {  98730, ur_m161_swio10_dual },
 {  98731, ur_m161_swio10_dual_pr_ee },
 {  98732, ur_m161_swio10_dual_pr_ee_u4 },
 {  98733, ur_m161_swio10_dual_pr_ce },
 {  98734, ur_m161_swio10_dual_pr_ce },
 {  98735, ur_m161_swio10_dual_pr_ee_ce },
 {  98736, ur_m161_swio10_dual_pr_ee_ce_u4 },
 {  98738, ur_m161_swio10_dual_ee_hw },
 {  98740, ur_m163_swio10_dual_ee_ce_u4_hw },
 {  98741, ur_m163_swio10_dual_ee_ce_u4_hw },
 {  98742, ur_m161_swio11_noled },
 {  98743, ur_m161_swio11_noled_pr },
 {  98744, ur_m161_swio11_noled_pr },
 {  98745, ur_m161_swio11_noled_pr_ee },
 {  98746, ur_m161_swio11_noled_pr_ee },
 {  98747, ur_m161_swio11_noled_pr_ce },
 {  98748, ur_m161_swio11_noled_pr_ce },
 {  98749, ur_m161_swio11_noled_pr_ee_ce },
 {  98750, ur_m161_swio11_noled_pr_ee_ce_u4 },
 {  98752, ur_m161_swio11_noled_ee_hw },
 {  98754, ur_m161_swio11_noled_ee_ce_hw },
 {  98755, ur_m161_swio11_noled_ee_ce_hw },
 {  98756, ur_m161_swio11_lednop },
 {  98757, ur_m161_swio11_lednop_pr },
 {  98758, ur_m161_swio11_lednop_pr },
 {  98759, ur_m161_swio11_lednop_pr_ee },
 {  98760, ur_m161_swio11_lednop_pr_ee_u4 },
 {  98761, ur_m161_swio11_lednop_pr_ce },
 {  98762, ur_m161_swio11_lednop_pr_ce },
 {  98763, ur_m161_swio11_lednop_pr_ee_ce },
 {  98764, ur_m161_swio11_lednop_pr_ee_ce_u4 },
 {  98766, ur_m161_swio11_lednop_ee_hw },
 {  98768, ur_m161_swio11_lednop_ee_ce_hw },
 {  98769, ur_m161_swio11_lednop_ee_ce_hw },
 {  98770, ur_m161_swio11_dual },
 {  98771, ur_m161_swio11_dual },
 {  98772, ur_m161_swio11_dual },
 {  98773, ur_m161_swio11_dual_pr_ee },
 {  98774, ur_m161_swio11_dual_pr_ee_u4 },
 {  98775, ur_m161_swio11_dual_pr_ce },
 {  98776, ur_m161_swio11_dual_pr_ce_u4 },
 {  98777, ur_m161_swio11_dual_pr_ee_ce },
 {  98778, ur_m161_swio11_dual_pr_ee_ce_u4 },
 {  98780, ur_m161_swio11_dual_ee_hw },
 {  98782, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  98783, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  98784, ur_m161_swio11_noled },
 {  98785, ur_m161_swio11_noled_pr },
 {  98786, ur_m161_swio11_noled_pr },
 {  98787, ur_m161_swio11_noled_pr_ee },
 {  98788, ur_m161_swio11_noled_pr_ee },
 {  98789, ur_m161_swio11_noled_pr_ce },
 {  98790, ur_m161_swio11_noled_pr_ce },
 {  98791, ur_m161_swio11_noled_pr_ee_ce },
 {  98792, ur_m161_swio11_noled_pr_ee_ce_u4 },
 {  98794, ur_m161_swio11_noled_ee_hw },
 {  98796, ur_m161_swio11_noled_ee_ce_hw },
 {  98797, ur_m161_swio11_noled_ee_ce_hw },
 {  98798, ur_m161_swio11_lednop },
 {  98799, ur_m161_swio11_lednop_pr },
 {  98800, ur_m161_swio11_lednop_pr },
 {  98801, ur_m161_swio11_lednop_pr_ee },
 {  98802, ur_m161_swio11_lednop_pr_ee_u4 },
 {  98803, ur_m161_swio11_lednop_pr_ce },
 {  98804, ur_m161_swio11_lednop_pr_ce },
 {  98805, ur_m161_swio11_lednop_pr_ee_ce },
 {  98806, ur_m161_swio11_lednop_pr_ee_ce_u4 },
 {  98808, ur_m161_swio11_lednop_ee_hw },
 {  98810, ur_m161_swio11_lednop_ee_ce_hw },
 {  98811, ur_m161_swio11_lednop_ee_ce_hw },
 {  98812, ur_m161_swio11_dual },
 {  98813, ur_m161_swio11_dual },
 {  98814, ur_m161_swio11_dual },
 {  98815, ur_m161_swio11_dual_pr_ee },
 {  98816, ur_m161_swio11_dual_pr_ee_u4 },
 {  98817, ur_m161_swio11_dual_pr_ce },
 {  98818, ur_m161_swio11_dual_pr_ce_u4 },
 {  98819, ur_m161_swio11_dual_pr_ee_ce },
 {  98820, ur_m161_swio11_dual_pr_ee_ce_u4 },
 {  98822, ur_m161_swio11_dual_ee_hw },
 {  98824, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  98825, ur_m163_swio11_dual_ee_ce_u4_hw },
 {  98826, ur_m161_swio13_noled },
 {  98827, ur_m161_swio13_noled_pr },
 {  98828, ur_m161_swio13_noled_pr },
 {  98829, ur_m161_swio13_noled_pr_ee },
 {  98830, ur_m161_swio13_noled_pr_ee_u4 },
 {  98831, ur_m161_swio13_noled_pr_ce },
 {  98832, ur_m161_swio13_noled_pr_ce },
 {  98833, ur_m161_swio13_noled_pr_ee_ce },
 {  98834, ur_m161_swio13_noled_pr_ee_ce_u4 },
 {  98836, ur_m161_swio13_noled_ee_hw },
 {  98838, ur_m161_swio13_noled_ee_ce_hw },
 {  98839, ur_m161_swio13_noled_ee_ce_hw },
 {  98840, ur_m161_swio13_lednop },
 {  98841, ur_m161_swio13_lednop_pr },
 {  98842, ur_m161_swio13_lednop_pr },
 {  98843, ur_m161_swio13_lednop_pr_ee },
 {  98844, ur_m161_swio13_lednop_pr_ee_u4 },
 {  98845, ur_m161_swio13_lednop_pr_ce },
 {  98846, ur_m161_swio13_lednop_pr_ce },
 {  98847, ur_m161_swio13_lednop_pr_ee_ce },
 {  98848, ur_m161_swio13_lednop_pr_ee_ce_u4 },
 {  98850, ur_m161_swio13_lednop_ee_hw },
 {  98852, ur_m161_swio13_lednop_ee_ce_hw },
 {  98853, ur_m161_swio13_lednop_ee_ce_hw },
 {  98854, ur_m161_swio13_dual },
 {  98855, ur_m161_swio13_dual },
 {  98856, ur_m161_swio13_dual },
 {  98857, ur_m161_swio13_dual_pr_ee },
 {  98858, ur_m161_swio13_dual_pr_ee_u4 },
 {  98859, ur_m161_swio13_dual_pr_ce },
 {  98860, ur_m161_swio13_dual_pr_ce_u4 },
 {  98861, ur_m161_swio13_dual_pr_ee_ce },
 {  98862, ur_m161_swio13_dual_pr_ee_ce_u4 },
 {  98864, ur_m161_swio13_dual_ee_hw },
 {  98866, ur_m163_swio13_dual_ee_ce_u4_hw },
 {  98867, ur_m163_swio13_dual_ee_ce_u4_hw },
 {  98868, ur_m161_swio14_noled },
 {  98869, ur_m161_swio14_noled_pr },
 {  98870, ur_m161_swio14_noled_pr },
 {  98871, ur_m161_swio14_noled_pr_ee },
 {  98872, ur_m161_swio14_noled_pr_ee },
 {  98873, ur_m161_swio14_noled_pr_ce },
 {  98874, ur_m161_swio14_noled_pr_ce },
 {  98875, ur_m161_swio14_noled_pr_ee_ce },
 {  98876, ur_m161_swio14_noled_pr_ee_ce_u4 },
 {  98878, ur_m161_swio14_noled_ee_hw },
 {  98880, ur_m161_swio14_noled_ee_ce_hw },
 {  98881, ur_m161_swio14_noled_ee_ce_hw },
 {  98882, ur_m161_swio14_lednop },
 {  98883, ur_m161_swio14_lednop_pr },
 {  98884, ur_m161_swio14_lednop_pr },
 {  98885, ur_m161_swio14_lednop_pr_ee },
 {  98886, ur_m161_swio14_lednop_pr_ee_u4 },
 {  98887, ur_m161_swio14_lednop_pr_ce },
 {  98888, ur_m161_swio14_lednop_pr_ce },
 {  98889, ur_m161_swio14_lednop_pr_ee_ce },
 {  98890, ur_m161_swio14_lednop_pr_ee_ce_u4 },
 {  98892, ur_m161_swio14_lednop_ee_hw },
 {  98894, ur_m161_swio14_lednop_ee_ce_hw },
 {  98895, ur_m161_swio14_lednop_ee_ce_hw },
 {  98896, ur_m161_swio14_dual },
 {  98897, ur_m161_swio14_dual },
 {  98898, ur_m161_swio14_dual },
 {  98899, ur_m161_swio14_dual_pr_ee },
 {  98900, ur_m161_swio14_dual_pr_ee_u4 },
 {  98901, ur_m161_swio14_dual_pr_ce },
 {  98902, ur_m161_swio14_dual_pr_ce_u4 },
 {  98903, ur_m161_swio14_dual_pr_ee_ce },
 {  98904, ur_m161_swio14_dual_pr_ee_ce_u4 },
 {  98906, ur_m161_swio14_dual_ee_hw },
 {  98908, ur_m163_swio14_dual_ee_ce_u4_hw },
 {  98909, ur_m163_swio14_dual_ee_ce_u4_hw },
 {  98910, ur_m161_swio15_noled },
 {  98911, ur_m161_swio15_noled_pr },
 {  98912, ur_m161_swio15_noled_pr },
 {  98913, ur_m161_swio15_noled_pr_ee },
 {  98914, ur_m161_swio15_noled_pr_ee_u4 },
 {  98915, ur_m161_swio15_noled_pr_ce },
 {  98916, ur_m161_swio15_noled_pr_ce },
 {  98917, ur_m161_swio15_noled_pr_ee_ce },
 {  98918, ur_m161_swio15_noled_pr_ee_ce_u4 },
 {  98920, ur_m161_swio15_noled_ee_hw },
 {  98922, ur_m161_swio15_noled_ee_ce_hw },
 {  98923, ur_m161_swio15_noled_ee_ce_hw },
 {  98924, ur_m161_swio15_lednop },
 {  98925, ur_m161_swio15_lednop_pr },
 {  98926, ur_m161_swio15_lednop_pr },
 {  98927, ur_m161_swio15_lednop_pr_ee },
 {  98928, ur_m161_swio15_lednop_pr_ee_u4 },
 {  98929, ur_m161_swio15_lednop_pr_ce },
 {  98930, ur_m161_swio15_lednop_pr_ce },
 {  98931, ur_m161_swio15_lednop_pr_ee_ce },
 {  98932, ur_m161_swio15_lednop_pr_ee_ce_u4 },
 {  98934, ur_m161_swio15_lednop_ee_hw },
 {  98936, ur_m161_swio15_lednop_ee_ce_hw },
 {  98937, ur_m161_swio15_lednop_ee_ce_hw },
 {  98938, ur_m161_swio15_dual },
 {  98939, ur_m161_swio15_dual },
 {  98940, ur_m161_swio15_dual },
 {  98941, ur_m161_swio15_dual_pr_ee },
 {  98942, ur_m161_swio15_dual_pr_ee_u4 },
 {  98943, ur_m161_swio15_dual_pr_ce },
 {  98944, ur_m161_swio15_dual_pr_ce_u4 },
 {  98945, ur_m161_swio15_dual_pr_ee_ce },
 {  98946, ur_m161_swio15_dual_pr_ee_ce_u4 },
 {  98948, ur_m161_swio15_dual_ee_hw },
 {  98950, ur_m163_swio15_dual_ee_ce_u4_hw },
 {  98951, ur_m163_swio15_dual_ee_ce_u4_hw },
 {  98952, ur_m8_autobaud_uart0_noled },
 {  98953, ur_m8_autobaud_uart0_noled },
 {  98954, ur_m8_autobaud_uart0_noled_pr_u4 },
 {  98955, ur_m8_autobaud_uart0_noled_pr_ee },
 {  98956, ur_m8_autobaud_uart0_noled_pr_ee_u4 },
 {  98957, ur_m8_autobaud_uart0_noled_pr_ce },
 {  98958, ur_m8_autobaud_uart0_noled_pr_ce_u4 },
 {  98959, ur_m8_autobaud_uart0_noled_pr_ee_ce },
 {  98960, ur_m8_autobaud_uart0_noled_pr_ee_ce_u4 },
 {  98961, ur_m8_autobaud_uart0_noled_hw },
 {  98962, ur_m8_autobaud_uart0_noled_ee_hw },
 {  98963, ur_m8_autobaud_uart0_noled_ce_hw },
 {  98964, ur_m8_autobaud_uart0_noled_ee_ce_hw },
 {  98965, ur_m8_autobaud_uart0_noled_ee_ce_hw },
 {  98966, ur_m8_autobaud_uart0_lednop },
 {  98967, ur_m8_autobaud_uart0_lednop },
 {  98968, ur_m8_autobaud_uart0_lednop_pr_u4 },
 {  98969, ur_m8_autobaud_uart0_lednop_pr_ee },
 {  98970, ur_m8_autobaud_uart0_lednop_pr_ee_u4 },
 {  98971, ur_m8_autobaud_uart0_lednop_pr_ce },
 {  98972, ur_m8_autobaud_uart0_lednop_pr_ce_u4 },
 {  98973, ur_m8_autobaud_uart0_lednop_pr_ee_ce },
 {  98974, ur_m8_autobaud_uart0_lednop_pr_ee_ce_u4 },
 {  98975, ur_m8_autobaud_uart0_lednop_hw },
 {  98976, ur_m8_autobaud_uart0_lednop_ee_hw },
 {  98977, ur_m8_autobaud_uart0_lednop_ce_hw },
 {  98978, ur_m8_autobaud_uart0_lednop_ee_ce_hw },
 {  98979, ur_m8_autobaud_uart0_lednop_ee_ce_hw },
 {  98980, ur_m8_autobaud_uart0_dual },
 {  98981, ur_m8_autobaud_uart0_dual },
 {  98982, ur_m8_autobaud_uart0_dual_pr_u4 },
 {  98983, ur_m8_autobaud_uart0_dual_pr_ee },
 {  98984, ur_m8_autobaud_uart0_dual_pr_ee_u4 },
 {  98985, ur_m8_autobaud_uart0_dual_pr_ce },
 {  98986, ur_m8_autobaud_uart0_dual_pr_ce_u4 },
 {  98987, ur_m8_autobaud_uart0_dual_pr_ee_ce },
 {  98988, ur_m8_autobaud_uart0_dual_pr_ee_ce_u4 },
 {  98989, ur_m8_autobaud_uart0_dual_hw },
 {  98990, ur_m8_autobaud_uart0_dual_ee_hw },
 {  98991, ur_m8_autobaud_uart0_dual_ce_hw },
 {  98992, ur_m8_autobaud_uart0_dual_ee_ce_hw },
 {  98993, ur_m8_autobaud_uart0_dual_ee_ce_u4_hw },
 {  99162, ur_m8_u1x8_uart0_noled },
 {  99163, ur_m8_u1x8_uart0_noled },
 {  99164, ur_m8_u1x8_uart0_noled_pr_u4 },
 {  99165, ur_m8_u1x8_uart0_noled_pr_ee },
 {  99166, ur_m8_u1x8_uart0_noled_pr_ee_u4 },
 {  99167, ur_m8_u1x8_uart0_noled_pr_ce },
 {  99168, ur_m8_u1x8_uart0_noled_pr_ce_u4 },
 {  99169, ur_m8_u1x8_uart0_noled_pr_ee_ce },
 {  99170, ur_m8_u1x8_uart0_noled_pr_ee_ce_u4 },
 {  99171, ur_m8_u1x8_uart0_noled_hw },
 {  99172, ur_m8_u1x8_uart0_noled_ee_hw },
 {  99173, ur_m8_u1x8_uart0_noled_ce_hw },
 {  99174, ur_m8_u1x8_uart0_noled_ee_ce_hw },
 {  99175, ur_m8_u1x8_uart0_noled_ee_ce_hw },
 {  99176, ur_m8_u1x8_uart0_lednop },
 {  99177, ur_m8_u1x8_uart0_lednop },
 {  99178, ur_m8_u1x8_uart0_lednop_pr_u4 },
 {  99179, ur_m8_u1x8_uart0_lednop_pr_ee },
 {  99180, ur_m8_u1x8_uart0_lednop_pr_ee_u4 },
 {  99181, ur_m8_u1x8_uart0_lednop_pr_ce },
 {  99182, ur_m8_u1x8_uart0_lednop_pr_ce_u4 },
 {  99183, ur_m8_u1x8_uart0_lednop_pr_ee_ce },
 {  99184, ur_m8_u1x8_uart0_lednop_pr_ee_ce_u4 },
 {  99185, ur_m8_u1x8_uart0_lednop_hw },
 {  99186, ur_m8_u1x8_uart0_lednop_ee_hw },
 {  99187, ur_m8_u1x8_uart0_lednop_ce_hw },
 {  99188, ur_m8_u1x8_uart0_lednop_ee_ce_hw },
 {  99189, ur_m8_u1x8_uart0_lednop_ee_ce_hw },
 {  99190, ur_m8_u1x8_uart0_dual },
 {  99191, ur_m8_u1x8_uart0_dual },
 {  99192, ur_m8_u1x8_uart0_dual_pr_u4 },
 {  99193, ur_m8_u1x8_uart0_dual_pr_ee },
 {  99194, ur_m8_u1x8_uart0_dual_pr_ee_u4 },
 {  99195, ur_m8_u1x8_uart0_dual_pr_ce },
 {  99196, ur_m8_u1x8_uart0_dual_pr_ce_u4 },
 {  99197, ur_m8_u1x8_uart0_dual_pr_ee_ce },
 {  99198, ur_m8_u1x8_uart0_dual_pr_ee_ce_u4 },
 {  99199, ur_m8_u1x8_uart0_dual_hw },
 {  99200, ur_m8_u1x8_uart0_dual_ee_hw },
 {  99201, ur_m8_u1x8_uart0_dual_ce_hw },
 {  99202, ur_m8_u1x8_uart0_dual_ee_ce_hw },
 {  99203, ur_m8_u1x8_uart0_dual_ee_ce_hw },
 {  99372, ur_m8_u1x12_uart0_noled },
 {  99373, ur_m8_u1x12_uart0_noled },
 {  99374, ur_m8_u1x12_uart0_noled_pr_u4 },
 {  99375, ur_m8_u1x12_uart0_noled_pr_ee },
 {  99376, ur_m8_u1x12_uart0_noled_pr_ee_u4 },
 {  99377, ur_m8_u1x12_uart0_noled_pr_ce },
 {  99378, ur_m8_u1x12_uart0_noled_pr_ce_u4 },
 {  99379, ur_m8_u1x12_uart0_noled_pr_ee_ce },
 {  99380, ur_m8_u1x12_uart0_noled_pr_ee_ce_u4 },
 {  99381, ur_m8_u1x12_uart0_noled_hw },
 {  99382, ur_m8_u1x12_uart0_noled_ee_hw },
 {  99383, ur_m8_u1x12_uart0_noled_ce_hw },
 {  99384, ur_m8_u1x12_uart0_noled_ee_ce_hw },
 {  99385, ur_m8_u1x12_uart0_noled_ee_ce_hw },
 {  99386, ur_m8_u1x12_uart0_lednop },
 {  99387, ur_m8_u1x12_uart0_lednop },
 {  99388, ur_m8_u1x12_uart0_lednop_pr_u4 },
 {  99389, ur_m8_u1x12_uart0_lednop_pr_ee },
 {  99390, ur_m8_u1x12_uart0_lednop_pr_ee_u4 },
 {  99391, ur_m8_u1x12_uart0_lednop_pr_ce },
 {  99392, ur_m8_u1x12_uart0_lednop_pr_ce_u4 },
 {  99393, ur_m8_u1x12_uart0_lednop_pr_ee_ce },
 {  99394, ur_m8_u1x12_uart0_lednop_pr_ee_ce_u4 },
 {  99395, ur_m8_u1x12_uart0_lednop_hw },
 {  99396, ur_m8_u1x12_uart0_lednop_ee_hw },
 {  99397, ur_m8_u1x12_uart0_lednop_ce_hw },
 {  99398, ur_m8_u1x12_uart0_lednop_ee_ce_hw },
 {  99399, ur_m8_u1x12_uart0_lednop_ee_ce_hw },
 {  99400, ur_m8_u1x12_uart0_dual },
 {  99401, ur_m8_u1x12_uart0_dual },
 {  99402, ur_m8_u1x12_uart0_dual_pr_u4 },
 {  99403, ur_m8_u1x12_uart0_dual_pr_ee },
 {  99404, ur_m8_u1x12_uart0_dual_pr_ee_u4 },
 {  99405, ur_m8_u1x12_uart0_dual_pr_ce },
 {  99406, ur_m8_u1x12_uart0_dual_pr_ce_u4 },
 {  99407, ur_m8_u1x12_uart0_dual_pr_ee_ce },
 {  99408, ur_m8_u1x12_uart0_dual_pr_ee_ce_u4 },
 {  99409, ur_m8_u1x12_uart0_dual_hw },
 {  99410, ur_m8_u1x12_uart0_dual_ee_hw },
 {  99411, ur_m8_u1x12_uart0_dual_ce_hw },
 {  99412, ur_m8_u1x12_uart0_dual_ee_ce_hw },
 {  99413, ur_m8_u1x12_uart0_dual_ee_ce_u4_hw },
 {  99582, ur_m8_u2x8_uart0_noled },
 {  99583, ur_m8_u2x8_uart0_noled },
 {  99584, ur_m8_u2x8_uart0_noled_pr_u4 },
 {  99585, ur_m8_u2x8_uart0_noled_pr_ee },
 {  99586, ur_m8_u2x8_uart0_noled_pr_ee_u4 },
 {  99587, ur_m8_u2x8_uart0_noled_pr_ce },
 {  99588, ur_m8_u2x8_uart0_noled_pr_ce_u4 },
 {  99589, ur_m8_u2x8_uart0_noled_pr_ee_ce },
 {  99590, ur_m8_u2x8_uart0_noled_pr_ee_ce_u4 },
 {  99591, ur_m8_u2x8_uart0_noled_hw },
 {  99592, ur_m8_u2x8_uart0_noled_ee_hw },
 {  99593, ur_m8_u2x8_uart0_noled_ce_hw },
 {  99594, ur_m8_u2x8_uart0_noled_ee_ce_hw },
 {  99595, ur_m8_u2x8_uart0_noled_ee_ce_hw },
 {  99596, ur_m8_u2x8_uart0_lednop },
 {  99597, ur_m8_u2x8_uart0_lednop },
 {  99598, ur_m8_u2x8_uart0_lednop_pr_u4 },
 {  99599, ur_m8_u2x8_uart0_lednop_pr_ee },
 {  99600, ur_m8_u2x8_uart0_lednop_pr_ee_u4 },
 {  99601, ur_m8_u2x8_uart0_lednop_pr_ce },
 {  99602, ur_m8_u2x8_uart0_lednop_pr_ce_u4 },
 {  99603, ur_m8_u2x8_uart0_lednop_pr_ee_ce },
 {  99604, ur_m8_u2x8_uart0_lednop_pr_ee_ce_u4 },
 {  99605, ur_m8_u2x8_uart0_lednop_hw },
 {  99606, ur_m8_u2x8_uart0_lednop_ee_hw },
 {  99607, ur_m8_u2x8_uart0_lednop_ce_hw },
 {  99608, ur_m8_u2x8_uart0_lednop_ee_ce_hw },
 {  99609, ur_m8_u2x8_uart0_lednop_ee_ce_hw },
 {  99610, ur_m8_u2x8_uart0_dual },
 {  99611, ur_m8_u2x8_uart0_dual },
 {  99612, ur_m8_u2x8_uart0_dual_pr_u4 },
 {  99613, ur_m8_u2x8_uart0_dual_pr_ee },
 {  99614, ur_m8_u2x8_uart0_dual_pr_ee_u4 },
 {  99615, ur_m8_u2x8_uart0_dual_pr_ce },
 {  99616, ur_m8_u2x8_uart0_dual_pr_ce_u4 },
 {  99617, ur_m8_u2x8_uart0_dual_pr_ee_ce },
 {  99618, ur_m8_u2x8_uart0_dual_pr_ee_ce_u4 },
 {  99619, ur_m8_u2x8_uart0_dual_hw },
 {  99620, ur_m8_u2x8_uart0_dual_ee_hw },
 {  99621, ur_m8_u2x8_uart0_dual_ce_hw },
 {  99622, ur_m8_u2x8_uart0_dual_ee_ce_hw },
 {  99623, ur_m8_u2x8_uart0_dual_ee_ce_u4_hw },
 {  99792, ur_m8_u2x12_uart0_noled },
 {  99793, ur_m8_u2x12_uart0_noled },
 {  99794, ur_m8_u2x12_uart0_noled_pr_u4 },
 {  99795, ur_m8_u2x12_uart0_noled_pr_ee },
 {  99796, ur_m8_u2x12_uart0_noled_pr_ee_u4 },
 {  99797, ur_m8_u2x12_uart0_noled_pr_ce },
 {  99798, ur_m8_u2x12_uart0_noled_pr_ce_u4 },
 {  99799, ur_m8_u2x12_uart0_noled_pr_ee_ce },
 {  99800, ur_m8_u2x12_uart0_noled_pr_ee_ce_u4 },
 {  99801, ur_m8_u2x12_uart0_noled_hw },
 {  99802, ur_m8_u2x12_uart0_noled_ee_hw },
 {  99803, ur_m8_u2x12_uart0_noled_ce_hw },
 {  99804, ur_m8_u2x12_uart0_noled_ee_ce_hw },
 {  99805, ur_m8_u2x12_uart0_noled_ee_ce_hw },
 {  99806, ur_m8_u2x12_uart0_lednop },
 {  99807, ur_m8_u2x12_uart0_lednop },
 {  99808, ur_m8_u2x12_uart0_lednop_pr_u4 },
 {  99809, ur_m8_u2x12_uart0_lednop_pr_ee },
 {  99810, ur_m8_u2x12_uart0_lednop_pr_ee_u4 },
 {  99811, ur_m8_u2x12_uart0_lednop_pr_ce },
 {  99812, ur_m8_u2x12_uart0_lednop_pr_ce_u4 },
 {  99813, ur_m8_u2x12_uart0_lednop_pr_ee_ce },
 {  99814, ur_m8_u2x12_uart0_lednop_pr_ee_ce_u4 },
 {  99815, ur_m8_u2x12_uart0_lednop_hw },
 {  99816, ur_m8_u2x12_uart0_lednop_ee_hw },
 {  99817, ur_m8_u2x12_uart0_lednop_ce_hw },
 {  99818, ur_m8_u2x12_uart0_lednop_ee_ce_hw },
 {  99819, ur_m8_u2x12_uart0_lednop_ee_ce_hw },
 {  99820, ur_m8_u2x12_uart0_dual },
 {  99821, ur_m8_u2x12_uart0_dual },
 {  99822, ur_m8_u2x12_uart0_dual_pr_u4 },
 {  99823, ur_m8_u2x12_uart0_dual_pr_ee },
 {  99824, ur_m8_u2x12_uart0_dual_pr_ee_u4 },
 {  99825, ur_m8_u2x12_uart0_dual_pr_ce },
 {  99826, ur_m8_u2x12_uart0_dual_pr_ce_u4 },
 {  99827, ur_m8_u2x12_uart0_dual_pr_ee_ce },
 {  99828, ur_m8_u2x12_uart0_dual_pr_ee_ce_u4 },
 {  99829, ur_m8_u2x12_uart0_dual_hw },
 {  99830, ur_m8_u2x12_uart0_dual_ee_hw },
 {  99831, ur_m8_u2x12_uart0_dual_ce_hw },
 {  99832, ur_m8_u2x12_uart0_dual_ee_ce_hw },
 {  99833, ur_m8_u2x12_uart0_dual_ee_ce_u4_hw },
 { 100002, ur_m8_swio10_noled },
 { 100003, ur_m8_swio10_noled },
 { 100004, ur_m8_swio10_noled_pr_u4 },
 { 100005, ur_m8_swio10_noled_pr_ee },
 { 100006, ur_m8_swio10_noled_pr_ee_u4 },
 { 100007, ur_m8_swio10_noled_pr_ce },
 { 100008, ur_m8_swio10_noled_pr_ce_u4 },
 { 100009, ur_m8_swio10_noled_pr_ee_ce },
 { 100010, ur_m8_swio10_noled_pr_ee_ce_u4 },
 { 100011, ur_m8_swio10_noled_hw },
 { 100012, ur_m8_swio10_noled_ee_hw },
 { 100013, ur_m8_swio10_noled_ce_hw },
 { 100014, ur_m8_swio10_noled_ee_ce_hw },
 { 100015, ur_m8_swio10_noled_ee_ce_hw },
 { 100016, ur_m8_swio10_lednop },
 { 100017, ur_m8_swio10_lednop_pr },
 { 100018, ur_m8_swio10_lednop_pr_u4 },
 { 100019, ur_m8_swio10_lednop_pr_ee },
 { 100020, ur_m8_swio10_lednop_pr_ee_u4 },
 { 100021, ur_m8_swio10_lednop_pr_ce },
 { 100022, ur_m8_swio10_lednop_pr_ce_u4 },
 { 100023, ur_m8_swio10_lednop_pr_ee_ce },
 { 100024, ur_m8_swio10_lednop_pr_ee_ce_u4 },
 { 100025, ur_m8_swio10_lednop_hw },
 { 100026, ur_m8_swio10_lednop_ee_hw },
 { 100027, ur_m8_swio10_lednop_ce_hw },
 { 100028, ur_m8_swio10_lednop_ee_ce_hw },
 { 100029, ur_m8_swio10_lednop_ee_ce_hw },
 { 100030, ur_m8_swio10_dual },
 { 100031, ur_m8_swio10_dual },
 { 100032, ur_m8_swio10_dual_pr_u4 },
 { 100033, ur_m8_swio10_dual_pr_ee },
 { 100034, ur_m8_swio10_dual_pr_ee_u4 },
 { 100035, ur_m8_swio10_dual_pr_ce },
 { 100036, ur_m8_swio10_dual_pr_ce_u4 },
 { 100037, ur_m8_swio10_dual_pr_ee_ce },
 { 100038, ur_m8_swio10_dual_pr_ee_ce_u4 },
 { 100039, ur_m8_swio10_dual_hw },
 { 100040, ur_m8_swio10_dual_ee_hw },
 { 100041, ur_m8_swio10_dual_ce_hw },
 { 100042, ur_m8_swio10_dual_ee_ce_hw },
 { 100043, ur_m8_swio10_dual_ee_ce_u4_hw },
 { 100044, ur_m8_swio11_noled },
 { 100045, ur_m8_swio11_noled_pr },
 { 100046, ur_m8_swio11_noled_pr_u4 },
 { 100047, ur_m8_swio11_noled_pr_ee },
 { 100048, ur_m8_swio11_noled_pr_ee_u4 },
 { 100049, ur_m8_swio11_noled_pr_ce },
 { 100050, ur_m8_swio11_noled_pr_ce_u4 },
 { 100051, ur_m8_swio11_noled_pr_ee_ce },
 { 100052, ur_m8_swio11_noled_pr_ee_ce_u4 },
 { 100053, ur_m8_swio11_noled_hw },
 { 100054, ur_m8_swio11_noled_ee_hw },
 { 100055, ur_m8_swio11_noled_ce_hw },
 { 100056, ur_m8_swio11_noled_ee_ce_hw },
 { 100057, ur_m8_swio11_noled_ee_ce_hw },
 { 100058, ur_m8_swio11_lednop },
 { 100059, ur_m8_swio11_lednop_pr },
 { 100060, ur_m8_swio11_lednop_pr_u4 },
 { 100061, ur_m8_swio11_lednop_pr_ee },
 { 100062, ur_m8_swio11_lednop_pr_ee_u4 },
 { 100063, ur_m8_swio11_lednop_pr_ce },
 { 100064, ur_m8_swio11_lednop_pr_ce_u4 },
 { 100065, ur_m8_swio11_lednop_pr_ee_ce },
 { 100066, ur_m8_swio11_lednop_pr_ee_ce_u4 },
 { 100067, ur_m8_swio11_lednop_hw },
 { 100068, ur_m8_swio11_lednop_ee_hw },
 { 100069, ur_m8_swio11_lednop_ce_hw },
 { 100070, ur_m8_swio11_lednop_ee_ce_hw },
 { 100071, ur_m8_swio11_lednop_ee_ce_hw },
 { 100072, ur_m8_swio11_dual },
 { 100073, ur_m8_swio11_dual },
 { 100074, ur_m8_swio11_dual_pr_u4 },
 { 100075, ur_m8_swio11_dual_pr_ee },
 { 100076, ur_m8_swio11_dual_pr_ee_u4 },
 { 100077, ur_m8_swio11_dual_pr_ce },
 { 100078, ur_m8_swio11_dual_pr_ce_u4 },
 { 100079, ur_m8_swio11_dual_pr_ee_ce },
 { 100080, ur_m8_swio11_dual_pr_ee_ce_u4 },
 { 100081, ur_m8_swio11_dual_hw },
 { 100082, ur_m8_swio11_dual_ee_hw },
 { 100083, ur_m8_swio11_dual_ce_hw },
 { 100084, ur_m8_swio11_dual_ee_ce_hw },
 { 100085, ur_m8_swio11_dual_ee_ce_u4_hw },
 { 100086, ur_m8_swio11_noled },
 { 100087, ur_m8_swio11_noled_pr },
 { 100088, ur_m8_swio11_noled_pr_u4 },
 { 100089, ur_m8_swio11_noled_pr_ee },
 { 100090, ur_m8_swio11_noled_pr_ee_u4 },
 { 100091, ur_m8_swio11_noled_pr_ce },
 { 100092, ur_m8_swio11_noled_pr_ce_u4 },
 { 100093, ur_m8_swio11_noled_pr_ee_ce },
 { 100094, ur_m8_swio11_noled_pr_ee_ce_u4 },
 { 100095, ur_m8_swio11_noled_hw },
 { 100096, ur_m8_swio11_noled_ee_hw },
 { 100097, ur_m8_swio11_noled_ce_hw },
 { 100098, ur_m8_swio11_noled_ee_ce_hw },
 { 100099, ur_m8_swio11_noled_ee_ce_hw },
 { 100100, ur_m8_swio11_lednop },
 { 100101, ur_m8_swio11_lednop_pr },
 { 100102, ur_m8_swio11_lednop_pr_u4 },
 { 100103, ur_m8_swio11_lednop_pr_ee },
 { 100104, ur_m8_swio11_lednop_pr_ee_u4 },
 { 100105, ur_m8_swio11_lednop_pr_ce },
 { 100106, ur_m8_swio11_lednop_pr_ce_u4 },
 { 100107, ur_m8_swio11_lednop_pr_ee_ce },
 { 100108, ur_m8_swio11_lednop_pr_ee_ce_u4 },
 { 100109, ur_m8_swio11_lednop_hw },
 { 100110, ur_m8_swio11_lednop_ee_hw },
 { 100111, ur_m8_swio11_lednop_ce_hw },
 { 100112, ur_m8_swio11_lednop_ee_ce_hw },
 { 100113, ur_m8_swio11_lednop_ee_ce_hw },
 { 100114, ur_m8_swio11_dual },
 { 100115, ur_m8_swio11_dual },
 { 100116, ur_m8_swio11_dual_pr_u4 },
 { 100117, ur_m8_swio11_dual_pr_ee },
 { 100118, ur_m8_swio11_dual_pr_ee_u4 },
 { 100119, ur_m8_swio11_dual_pr_ce },
 { 100120, ur_m8_swio11_dual_pr_ce_u4 },
 { 100121, ur_m8_swio11_dual_pr_ee_ce },
 { 100122, ur_m8_swio11_dual_pr_ee_ce_u4 },
 { 100123, ur_m8_swio11_dual_hw },
 { 100124, ur_m8_swio11_dual_ee_hw },
 { 100125, ur_m8_swio11_dual_ce_hw },
 { 100126, ur_m8_swio11_dual_ee_ce_hw },
 { 100127, ur_m8_swio11_dual_ee_ce_u4_hw },
 { 100128, ur_m8_swio13_noled },
 { 100129, ur_m8_swio13_noled_pr },
 { 100130, ur_m8_swio13_noled_pr_u4 },
 { 100131, ur_m8_swio13_noled_pr_ee },
 { 100132, ur_m8_swio13_noled_pr_ee_u4 },
 { 100133, ur_m8_swio13_noled_pr_ce },
 { 100134, ur_m8_swio13_noled_pr_ce_u4 },
 { 100135, ur_m8_swio13_noled_pr_ee_ce },
 { 100136, ur_m8_swio13_noled_pr_ee_ce_u4 },
 { 100137, ur_m8_swio13_noled_hw },
 { 100138, ur_m8_swio13_noled_ee_hw },
 { 100139, ur_m8_swio13_noled_ce_hw },
 { 100140, ur_m8_swio13_noled_ee_ce_hw },
 { 100141, ur_m8_swio13_noled_ee_ce_hw },
 { 100142, ur_m8_swio13_lednop },
 { 100143, ur_m8_swio13_lednop_pr },
 { 100144, ur_m8_swio13_lednop_pr_u4 },
 { 100145, ur_m8_swio13_lednop_pr_ee },
 { 100146, ur_m8_swio13_lednop_pr_ee_u4 },
 { 100147, ur_m8_swio13_lednop_pr_ce },
 { 100148, ur_m8_swio13_lednop_pr_ce_u4 },
 { 100149, ur_m8_swio13_lednop_pr_ee_ce },
 { 100150, ur_m8_swio13_lednop_pr_ee_ce_u4 },
 { 100151, ur_m8_swio13_lednop_hw },
 { 100152, ur_m8_swio13_lednop_ee_hw },
 { 100153, ur_m8_swio13_lednop_ce_hw },
 { 100154, ur_m8_swio13_lednop_ee_ce_hw },
 { 100155, ur_m8_swio13_lednop_ee_ce_hw },
 { 100156, ur_m8_swio13_dual },
 { 100157, ur_m8_swio13_dual },
 { 100158, ur_m8_swio13_dual_pr_u4 },
 { 100159, ur_m8_swio13_dual_pr_ee },
 { 100160, ur_m8_swio13_dual_pr_ee_u4 },
 { 100161, ur_m8_swio13_dual_pr_ce },
 { 100162, ur_m8_swio13_dual_pr_ce_u4 },
 { 100163, ur_m8_swio13_dual_pr_ee_ce },
 { 100164, ur_m8_swio13_dual_pr_ee_ce_u4 },
 { 100165, ur_m8_swio13_dual_hw },
 { 100166, ur_m8_swio13_dual_ee_hw },
 { 100167, ur_m8_swio13_dual_ce_hw },
 { 100168, ur_m8_swio13_dual_ee_ce_hw },
 { 100169, ur_m8_swio13_dual_ee_ce_u4_hw },
 { 100170, ur_m8_swio14_noled },
 { 100171, ur_m8_swio14_noled_pr },
 { 100172, ur_m8_swio14_noled_pr_u4 },
 { 100173, ur_m8_swio14_noled_pr_ee },
 { 100174, ur_m8_swio14_noled_pr_ee_u4 },
 { 100175, ur_m8_swio14_noled_pr_ce },
 { 100176, ur_m8_swio14_noled_pr_ce_u4 },
 { 100177, ur_m8_swio14_noled_pr_ee_ce },
 { 100178, ur_m8_swio14_noled_pr_ee_ce_u4 },
 { 100179, ur_m8_swio14_noled_hw },
 { 100180, ur_m8_swio14_noled_ee_hw },
 { 100181, ur_m8_swio14_noled_ce_hw },
 { 100182, ur_m8_swio14_noled_ee_ce_hw },
 { 100183, ur_m8_swio14_noled_ee_ce_hw },
 { 100184, ur_m8_swio14_lednop },
 { 100185, ur_m8_swio14_lednop_pr },
 { 100186, ur_m8_swio14_lednop_pr_u4 },
 { 100187, ur_m8_swio14_lednop_pr_ee },
 { 100188, ur_m8_swio14_lednop_pr_ee_u4 },
 { 100189, ur_m8_swio14_lednop_pr_ce },
 { 100190, ur_m8_swio14_lednop_pr_ce_u4 },
 { 100191, ur_m8_swio14_lednop_pr_ee_ce },
 { 100192, ur_m8_swio14_lednop_pr_ee_ce_u4 },
 { 100193, ur_m8_swio14_lednop_hw },
 { 100194, ur_m8_swio14_lednop_ee_hw },
 { 100195, ur_m8_swio14_lednop_ce_hw },
 { 100196, ur_m8_swio14_lednop_ee_ce_hw },
 { 100197, ur_m8_swio14_lednop_ee_ce_hw },
 { 100198, ur_m8_swio14_dual },
 { 100199, ur_m8_swio14_dual },
 { 100200, ur_m8_swio14_dual_pr_u4 },
 { 100201, ur_m8_swio14_dual_pr_ee },
 { 100202, ur_m8_swio14_dual_pr_ee_u4 },
 { 100203, ur_m8_swio14_dual_pr_ce },
 { 100204, ur_m8_swio14_dual_pr_ce_u4 },
 { 100205, ur_m8_swio14_dual_pr_ee_ce },
 { 100206, ur_m8_swio14_dual_pr_ee_ce_u4 },
 { 100207, ur_m8_swio14_dual_hw },
 { 100208, ur_m8_swio14_dual_ee_hw },
 { 100209, ur_m8_swio14_dual_ce_hw },
 { 100210, ur_m8_swio14_dual_ee_ce_hw },
 { 100211, ur_m8_swio14_dual_ee_ce_u4_hw },
 { 100212, ur_m8_swio15_noled },
 { 100213, ur_m8_swio15_noled_pr },
 { 100214, ur_m8_swio15_noled_pr_u4 },
 { 100215, ur_m8_swio15_noled_pr_ee },
 { 100216, ur_m8_swio15_noled_pr_ee_u4 },
 { 100217, ur_m8_swio15_noled_pr_ce },
 { 100218, ur_m8_swio15_noled_pr_ce_u4 },
 { 100219, ur_m8_swio15_noled_pr_ee_ce },
 { 100220, ur_m8_swio15_noled_pr_ee_ce_u4 },
 { 100221, ur_m8_swio15_noled_hw },
 { 100222, ur_m8_swio15_noled_ee_hw },
 { 100223, ur_m8_swio15_noled_ce_hw },
 { 100224, ur_m8_swio15_noled_ee_ce_hw },
 { 100225, ur_m8_swio15_noled_ee_ce_hw },
 { 100226, ur_m8_swio15_lednop },
 { 100227, ur_m8_swio15_lednop_pr },
 { 100228, ur_m8_swio15_lednop_pr_u4 },
 { 100229, ur_m8_swio15_lednop_pr_ee },
 { 100230, ur_m8_swio15_lednop_pr_ee_u4 },
 { 100231, ur_m8_swio15_lednop_pr_ce },
 { 100232, ur_m8_swio15_lednop_pr_ce_u4 },
 { 100233, ur_m8_swio15_lednop_pr_ee_ce },
 { 100234, ur_m8_swio15_lednop_pr_ee_ce_u4 },
 { 100235, ur_m8_swio15_lednop_hw },
 { 100236, ur_m8_swio15_lednop_ee_hw },
 { 100237, ur_m8_swio15_lednop_ce_hw },
 { 100238, ur_m8_swio15_lednop_ee_ce_hw },
 { 100239, ur_m8_swio15_lednop_ee_ce_hw },
 { 100240, ur_m8_swio15_dual },
 { 100241, ur_m8_swio15_dual },
 { 100242, ur_m8_swio15_dual_pr_u4 },
 { 100243, ur_m8_swio15_dual_pr_ee },
 { 100244, ur_m8_swio15_dual_pr_ee_u4 },
 { 100245, ur_m8_swio15_dual_pr_ce },
 { 100246, ur_m8_swio15_dual_pr_ce_u4 },
 { 100247, ur_m8_swio15_dual_pr_ee_ce },
 { 100248, ur_m8_swio15_dual_pr_ee_ce_u4 },
 { 100249, ur_m8_swio15_dual_hw },
 { 100250, ur_m8_swio15_dual_ee_hw },
 { 100251, ur_m8_swio15_dual_ce_hw },
 { 100252, ur_m8_swio15_dual_ee_ce_hw },
 { 100253, ur_m8_swio15_dual_ee_ce_u4_hw },
 { 100254, ur_m8_autobaud_uart0_noled },
 { 100255, ur_m8_autobaud_uart0_noled },
 { 100256, ur_m8_autobaud_uart0_noled_pr_u4 },
 { 100257, ur_m8_autobaud_uart0_noled_pr_ee },
 { 100258, ur_m8_autobaud_uart0_noled_pr_ee_u4 },
 { 100259, ur_m8_autobaud_uart0_noled_pr_ce },
 { 100260, ur_m8_autobaud_uart0_noled_pr_ce_u4 },
 { 100261, ur_m8_autobaud_uart0_noled_pr_ee_ce },
 { 100262, ur_m8_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 100263, ur_m8_autobaud_uart0_noled_hw },
 { 100264, ur_m8_autobaud_uart0_noled_ee_hw },
 { 100265, ur_m8_autobaud_uart0_noled_ce_hw },
 { 100266, ur_m8_autobaud_uart0_noled_ee_ce_hw },
 { 100267, ur_m8_autobaud_uart0_noled_ee_ce_hw },
 { 100268, ur_m8_autobaud_uart0_lednop },
 { 100269, ur_m8_autobaud_uart0_lednop },
 { 100270, ur_m8_autobaud_uart0_lednop_pr_u4 },
 { 100271, ur_m8_autobaud_uart0_lednop_pr_ee },
 { 100272, ur_m8_autobaud_uart0_lednop_pr_ee_u4 },
 { 100273, ur_m8_autobaud_uart0_lednop_pr_ce },
 { 100274, ur_m8_autobaud_uart0_lednop_pr_ce_u4 },
 { 100275, ur_m8_autobaud_uart0_lednop_pr_ee_ce },
 { 100276, ur_m8_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 100277, ur_m8_autobaud_uart0_lednop_hw },
 { 100278, ur_m8_autobaud_uart0_lednop_ee_hw },
 { 100279, ur_m8_autobaud_uart0_lednop_ce_hw },
 { 100280, ur_m8_autobaud_uart0_lednop_ee_ce_hw },
 { 100281, ur_m8_autobaud_uart0_lednop_ee_ce_hw },
 { 100282, ur_m8_autobaud_uart0_dual },
 { 100283, ur_m8_autobaud_uart0_dual },
 { 100284, ur_m8_autobaud_uart0_dual_pr_u4 },
 { 100285, ur_m8_autobaud_uart0_dual_pr_ee },
 { 100286, ur_m8_autobaud_uart0_dual_pr_ee_u4 },
 { 100287, ur_m8_autobaud_uart0_dual_pr_ce },
 { 100288, ur_m8_autobaud_uart0_dual_pr_ce_u4 },
 { 100289, ur_m8_autobaud_uart0_dual_pr_ee_ce },
 { 100290, ur_m8_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 100291, ur_m8_autobaud_uart0_dual_hw },
 { 100292, ur_m8_autobaud_uart0_dual_ee_hw },
 { 100293, ur_m8_autobaud_uart0_dual_ce_hw },
 { 100294, ur_m8_autobaud_uart0_dual_ee_ce_hw },
 { 100295, ur_m8_autobaud_uart0_dual_ee_ce_u4_hw },
 { 100464, ur_m8_u1x8_uart0_noled },
 { 100465, ur_m8_u1x8_uart0_noled },
 { 100466, ur_m8_u1x8_uart0_noled_pr_u4 },
 { 100467, ur_m8_u1x8_uart0_noled_pr_ee },
 { 100468, ur_m8_u1x8_uart0_noled_pr_ee_u4 },
 { 100469, ur_m8_u1x8_uart0_noled_pr_ce },
 { 100470, ur_m8_u1x8_uart0_noled_pr_ce_u4 },
 { 100471, ur_m8_u1x8_uart0_noled_pr_ee_ce },
 { 100472, ur_m8_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 100473, ur_m8_u1x8_uart0_noled_hw },
 { 100474, ur_m8_u1x8_uart0_noled_ee_hw },
 { 100475, ur_m8_u1x8_uart0_noled_ce_hw },
 { 100476, ur_m8_u1x8_uart0_noled_ee_ce_hw },
 { 100477, ur_m8_u1x8_uart0_noled_ee_ce_hw },
 { 100478, ur_m8_u1x8_uart0_lednop },
 { 100479, ur_m8_u1x8_uart0_lednop },
 { 100480, ur_m8_u1x8_uart0_lednop_pr_u4 },
 { 100481, ur_m8_u1x8_uart0_lednop_pr_ee },
 { 100482, ur_m8_u1x8_uart0_lednop_pr_ee_u4 },
 { 100483, ur_m8_u1x8_uart0_lednop_pr_ce },
 { 100484, ur_m8_u1x8_uart0_lednop_pr_ce_u4 },
 { 100485, ur_m8_u1x8_uart0_lednop_pr_ee_ce },
 { 100486, ur_m8_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 100487, ur_m8_u1x8_uart0_lednop_hw },
 { 100488, ur_m8_u1x8_uart0_lednop_ee_hw },
 { 100489, ur_m8_u1x8_uart0_lednop_ce_hw },
 { 100490, ur_m8_u1x8_uart0_lednop_ee_ce_hw },
 { 100491, ur_m8_u1x8_uart0_lednop_ee_ce_hw },
 { 100492, ur_m8_u1x8_uart0_dual },
 { 100493, ur_m8_u1x8_uart0_dual },
 { 100494, ur_m8_u1x8_uart0_dual_pr_u4 },
 { 100495, ur_m8_u1x8_uart0_dual_pr_ee },
 { 100496, ur_m8_u1x8_uart0_dual_pr_ee_u4 },
 { 100497, ur_m8_u1x8_uart0_dual_pr_ce },
 { 100498, ur_m8_u1x8_uart0_dual_pr_ce_u4 },
 { 100499, ur_m8_u1x8_uart0_dual_pr_ee_ce },
 { 100500, ur_m8_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 100501, ur_m8_u1x8_uart0_dual_hw },
 { 100502, ur_m8_u1x8_uart0_dual_ee_hw },
 { 100503, ur_m8_u1x8_uart0_dual_ce_hw },
 { 100504, ur_m8_u1x8_uart0_dual_ee_ce_hw },
 { 100505, ur_m8_u1x8_uart0_dual_ee_ce_hw },
 { 100674, ur_m8_u1x12_uart0_noled },
 { 100675, ur_m8_u1x12_uart0_noled },
 { 100676, ur_m8_u1x12_uart0_noled_pr_u4 },
 { 100677, ur_m8_u1x12_uart0_noled_pr_ee },
 { 100678, ur_m8_u1x12_uart0_noled_pr_ee_u4 },
 { 100679, ur_m8_u1x12_uart0_noled_pr_ce },
 { 100680, ur_m8_u1x12_uart0_noled_pr_ce_u4 },
 { 100681, ur_m8_u1x12_uart0_noled_pr_ee_ce },
 { 100682, ur_m8_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 100683, ur_m8_u1x12_uart0_noled_hw },
 { 100684, ur_m8_u1x12_uart0_noled_ee_hw },
 { 100685, ur_m8_u1x12_uart0_noled_ce_hw },
 { 100686, ur_m8_u1x12_uart0_noled_ee_ce_hw },
 { 100687, ur_m8_u1x12_uart0_noled_ee_ce_hw },
 { 100688, ur_m8_u1x12_uart0_lednop },
 { 100689, ur_m8_u1x12_uart0_lednop },
 { 100690, ur_m8_u1x12_uart0_lednop_pr_u4 },
 { 100691, ur_m8_u1x12_uart0_lednop_pr_ee },
 { 100692, ur_m8_u1x12_uart0_lednop_pr_ee_u4 },
 { 100693, ur_m8_u1x12_uart0_lednop_pr_ce },
 { 100694, ur_m8_u1x12_uart0_lednop_pr_ce_u4 },
 { 100695, ur_m8_u1x12_uart0_lednop_pr_ee_ce },
 { 100696, ur_m8_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 100697, ur_m8_u1x12_uart0_lednop_hw },
 { 100698, ur_m8_u1x12_uart0_lednop_ee_hw },
 { 100699, ur_m8_u1x12_uart0_lednop_ce_hw },
 { 100700, ur_m8_u1x12_uart0_lednop_ee_ce_hw },
 { 100701, ur_m8_u1x12_uart0_lednop_ee_ce_hw },
 { 100702, ur_m8_u1x12_uart0_dual },
 { 100703, ur_m8_u1x12_uart0_dual },
 { 100704, ur_m8_u1x12_uart0_dual_pr_u4 },
 { 100705, ur_m8_u1x12_uart0_dual_pr_ee },
 { 100706, ur_m8_u1x12_uart0_dual_pr_ee_u4 },
 { 100707, ur_m8_u1x12_uart0_dual_pr_ce },
 { 100708, ur_m8_u1x12_uart0_dual_pr_ce_u4 },
 { 100709, ur_m8_u1x12_uart0_dual_pr_ee_ce },
 { 100710, ur_m8_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 100711, ur_m8_u1x12_uart0_dual_hw },
 { 100712, ur_m8_u1x12_uart0_dual_ee_hw },
 { 100713, ur_m8_u1x12_uart0_dual_ce_hw },
 { 100714, ur_m8_u1x12_uart0_dual_ee_ce_hw },
 { 100715, ur_m8_u1x12_uart0_dual_ee_ce_u4_hw },
 { 100884, ur_m8_u2x8_uart0_noled },
 { 100885, ur_m8_u2x8_uart0_noled },
 { 100886, ur_m8_u2x8_uart0_noled_pr_u4 },
 { 100887, ur_m8_u2x8_uart0_noled_pr_ee },
 { 100888, ur_m8_u2x8_uart0_noled_pr_ee_u4 },
 { 100889, ur_m8_u2x8_uart0_noled_pr_ce },
 { 100890, ur_m8_u2x8_uart0_noled_pr_ce_u4 },
 { 100891, ur_m8_u2x8_uart0_noled_pr_ee_ce },
 { 100892, ur_m8_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 100893, ur_m8_u2x8_uart0_noled_hw },
 { 100894, ur_m8_u2x8_uart0_noled_ee_hw },
 { 100895, ur_m8_u2x8_uart0_noled_ce_hw },
 { 100896, ur_m8_u2x8_uart0_noled_ee_ce_hw },
 { 100897, ur_m8_u2x8_uart0_noled_ee_ce_hw },
 { 100898, ur_m8_u2x8_uart0_lednop },
 { 100899, ur_m8_u2x8_uart0_lednop },
 { 100900, ur_m8_u2x8_uart0_lednop_pr_u4 },
 { 100901, ur_m8_u2x8_uart0_lednop_pr_ee },
 { 100902, ur_m8_u2x8_uart0_lednop_pr_ee_u4 },
 { 100903, ur_m8_u2x8_uart0_lednop_pr_ce },
 { 100904, ur_m8_u2x8_uart0_lednop_pr_ce_u4 },
 { 100905, ur_m8_u2x8_uart0_lednop_pr_ee_ce },
 { 100906, ur_m8_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 100907, ur_m8_u2x8_uart0_lednop_hw },
 { 100908, ur_m8_u2x8_uart0_lednop_ee_hw },
 { 100909, ur_m8_u2x8_uart0_lednop_ce_hw },
 { 100910, ur_m8_u2x8_uart0_lednop_ee_ce_hw },
 { 100911, ur_m8_u2x8_uart0_lednop_ee_ce_hw },
 { 100912, ur_m8_u2x8_uart0_dual },
 { 100913, ur_m8_u2x8_uart0_dual },
 { 100914, ur_m8_u2x8_uart0_dual_pr_u4 },
 { 100915, ur_m8_u2x8_uart0_dual_pr_ee },
 { 100916, ur_m8_u2x8_uart0_dual_pr_ee_u4 },
 { 100917, ur_m8_u2x8_uart0_dual_pr_ce },
 { 100918, ur_m8_u2x8_uart0_dual_pr_ce_u4 },
 { 100919, ur_m8_u2x8_uart0_dual_pr_ee_ce },
 { 100920, ur_m8_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 100921, ur_m8_u2x8_uart0_dual_hw },
 { 100922, ur_m8_u2x8_uart0_dual_ee_hw },
 { 100923, ur_m8_u2x8_uart0_dual_ce_hw },
 { 100924, ur_m8_u2x8_uart0_dual_ee_ce_hw },
 { 100925, ur_m8_u2x8_uart0_dual_ee_ce_u4_hw },
 { 101094, ur_m8_u2x12_uart0_noled },
 { 101095, ur_m8_u2x12_uart0_noled },
 { 101096, ur_m8_u2x12_uart0_noled_pr_u4 },
 { 101097, ur_m8_u2x12_uart0_noled_pr_ee },
 { 101098, ur_m8_u2x12_uart0_noled_pr_ee_u4 },
 { 101099, ur_m8_u2x12_uart0_noled_pr_ce },
 { 101100, ur_m8_u2x12_uart0_noled_pr_ce_u4 },
 { 101101, ur_m8_u2x12_uart0_noled_pr_ee_ce },
 { 101102, ur_m8_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 101103, ur_m8_u2x12_uart0_noled_hw },
 { 101104, ur_m8_u2x12_uart0_noled_ee_hw },
 { 101105, ur_m8_u2x12_uart0_noled_ce_hw },
 { 101106, ur_m8_u2x12_uart0_noled_ee_ce_hw },
 { 101107, ur_m8_u2x12_uart0_noled_ee_ce_hw },
 { 101108, ur_m8_u2x12_uart0_lednop },
 { 101109, ur_m8_u2x12_uart0_lednop },
 { 101110, ur_m8_u2x12_uart0_lednop_pr_u4 },
 { 101111, ur_m8_u2x12_uart0_lednop_pr_ee },
 { 101112, ur_m8_u2x12_uart0_lednop_pr_ee_u4 },
 { 101113, ur_m8_u2x12_uart0_lednop_pr_ce },
 { 101114, ur_m8_u2x12_uart0_lednop_pr_ce_u4 },
 { 101115, ur_m8_u2x12_uart0_lednop_pr_ee_ce },
 { 101116, ur_m8_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 101117, ur_m8_u2x12_uart0_lednop_hw },
 { 101118, ur_m8_u2x12_uart0_lednop_ee_hw },
 { 101119, ur_m8_u2x12_uart0_lednop_ce_hw },
 { 101120, ur_m8_u2x12_uart0_lednop_ee_ce_hw },
 { 101121, ur_m8_u2x12_uart0_lednop_ee_ce_hw },
 { 101122, ur_m8_u2x12_uart0_dual },
 { 101123, ur_m8_u2x12_uart0_dual },
 { 101124, ur_m8_u2x12_uart0_dual_pr_u4 },
 { 101125, ur_m8_u2x12_uart0_dual_pr_ee },
 { 101126, ur_m8_u2x12_uart0_dual_pr_ee_u4 },
 { 101127, ur_m8_u2x12_uart0_dual_pr_ce },
 { 101128, ur_m8_u2x12_uart0_dual_pr_ce_u4 },
 { 101129, ur_m8_u2x12_uart0_dual_pr_ee_ce },
 { 101130, ur_m8_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 101131, ur_m8_u2x12_uart0_dual_hw },
 { 101132, ur_m8_u2x12_uart0_dual_ee_hw },
 { 101133, ur_m8_u2x12_uart0_dual_ce_hw },
 { 101134, ur_m8_u2x12_uart0_dual_ee_ce_hw },
 { 101135, ur_m8_u2x12_uart0_dual_ee_ce_u4_hw },
 { 101304, ur_m8_swio10_noled },
 { 101305, ur_m8_swio10_noled },
 { 101306, ur_m8_swio10_noled_pr_u4 },
 { 101307, ur_m8_swio10_noled_pr_ee },
 { 101308, ur_m8_swio10_noled_pr_ee_u4 },
 { 101309, ur_m8_swio10_noled_pr_ce },
 { 101310, ur_m8_swio10_noled_pr_ce_u4 },
 { 101311, ur_m8_swio10_noled_pr_ee_ce },
 { 101312, ur_m8_swio10_noled_pr_ee_ce_u4 },
 { 101313, ur_m8_swio10_noled_hw },
 { 101314, ur_m8_swio10_noled_ee_hw },
 { 101315, ur_m8_swio10_noled_ce_hw },
 { 101316, ur_m8_swio10_noled_ee_ce_hw },
 { 101317, ur_m8_swio10_noled_ee_ce_hw },
 { 101318, ur_m8_swio10_lednop },
 { 101319, ur_m8_swio10_lednop_pr },
 { 101320, ur_m8_swio10_lednop_pr_u4 },
 { 101321, ur_m8_swio10_lednop_pr_ee },
 { 101322, ur_m8_swio10_lednop_pr_ee_u4 },
 { 101323, ur_m8_swio10_lednop_pr_ce },
 { 101324, ur_m8_swio10_lednop_pr_ce_u4 },
 { 101325, ur_m8_swio10_lednop_pr_ee_ce },
 { 101326, ur_m8_swio10_lednop_pr_ee_ce_u4 },
 { 101327, ur_m8_swio10_lednop_hw },
 { 101328, ur_m8_swio10_lednop_ee_hw },
 { 101329, ur_m8_swio10_lednop_ce_hw },
 { 101330, ur_m8_swio10_lednop_ee_ce_hw },
 { 101331, ur_m8_swio10_lednop_ee_ce_hw },
 { 101332, ur_m8_swio10_dual },
 { 101333, ur_m8_swio10_dual },
 { 101334, ur_m8_swio10_dual_pr_u4 },
 { 101335, ur_m8_swio10_dual_pr_ee },
 { 101336, ur_m8_swio10_dual_pr_ee_u4 },
 { 101337, ur_m8_swio10_dual_pr_ce },
 { 101338, ur_m8_swio10_dual_pr_ce_u4 },
 { 101339, ur_m8_swio10_dual_pr_ee_ce },
 { 101340, ur_m8_swio10_dual_pr_ee_ce_u4 },
 { 101341, ur_m8_swio10_dual_hw },
 { 101342, ur_m8_swio10_dual_ee_hw },
 { 101343, ur_m8_swio10_dual_ce_hw },
 { 101344, ur_m8_swio10_dual_ee_ce_hw },
 { 101345, ur_m8_swio10_dual_ee_ce_u4_hw },
 { 101346, ur_m8_swio11_noled },
 { 101347, ur_m8_swio11_noled_pr },
 { 101348, ur_m8_swio11_noled_pr_u4 },
 { 101349, ur_m8_swio11_noled_pr_ee },
 { 101350, ur_m8_swio11_noled_pr_ee_u4 },
 { 101351, ur_m8_swio11_noled_pr_ce },
 { 101352, ur_m8_swio11_noled_pr_ce_u4 },
 { 101353, ur_m8_swio11_noled_pr_ee_ce },
 { 101354, ur_m8_swio11_noled_pr_ee_ce_u4 },
 { 101355, ur_m8_swio11_noled_hw },
 { 101356, ur_m8_swio11_noled_ee_hw },
 { 101357, ur_m8_swio11_noled_ce_hw },
 { 101358, ur_m8_swio11_noled_ee_ce_hw },
 { 101359, ur_m8_swio11_noled_ee_ce_hw },
 { 101360, ur_m8_swio11_lednop },
 { 101361, ur_m8_swio11_lednop_pr },
 { 101362, ur_m8_swio11_lednop_pr_u4 },
 { 101363, ur_m8_swio11_lednop_pr_ee },
 { 101364, ur_m8_swio11_lednop_pr_ee_u4 },
 { 101365, ur_m8_swio11_lednop_pr_ce },
 { 101366, ur_m8_swio11_lednop_pr_ce_u4 },
 { 101367, ur_m8_swio11_lednop_pr_ee_ce },
 { 101368, ur_m8_swio11_lednop_pr_ee_ce_u4 },
 { 101369, ur_m8_swio11_lednop_hw },
 { 101370, ur_m8_swio11_lednop_ee_hw },
 { 101371, ur_m8_swio11_lednop_ce_hw },
 { 101372, ur_m8_swio11_lednop_ee_ce_hw },
 { 101373, ur_m8_swio11_lednop_ee_ce_hw },
 { 101374, ur_m8_swio11_dual },
 { 101375, ur_m8_swio11_dual },
 { 101376, ur_m8_swio11_dual_pr_u4 },
 { 101377, ur_m8_swio11_dual_pr_ee },
 { 101378, ur_m8_swio11_dual_pr_ee_u4 },
 { 101379, ur_m8_swio11_dual_pr_ce },
 { 101380, ur_m8_swio11_dual_pr_ce_u4 },
 { 101381, ur_m8_swio11_dual_pr_ee_ce },
 { 101382, ur_m8_swio11_dual_pr_ee_ce_u4 },
 { 101383, ur_m8_swio11_dual_hw },
 { 101384, ur_m8_swio11_dual_ee_hw },
 { 101385, ur_m8_swio11_dual_ce_hw },
 { 101386, ur_m8_swio11_dual_ee_ce_hw },
 { 101387, ur_m8_swio11_dual_ee_ce_u4_hw },
 { 101388, ur_m8_swio11_noled },
 { 101389, ur_m8_swio11_noled_pr },
 { 101390, ur_m8_swio11_noled_pr_u4 },
 { 101391, ur_m8_swio11_noled_pr_ee },
 { 101392, ur_m8_swio11_noled_pr_ee_u4 },
 { 101393, ur_m8_swio11_noled_pr_ce },
 { 101394, ur_m8_swio11_noled_pr_ce_u4 },
 { 101395, ur_m8_swio11_noled_pr_ee_ce },
 { 101396, ur_m8_swio11_noled_pr_ee_ce_u4 },
 { 101397, ur_m8_swio11_noled_hw },
 { 101398, ur_m8_swio11_noled_ee_hw },
 { 101399, ur_m8_swio11_noled_ce_hw },
 { 101400, ur_m8_swio11_noled_ee_ce_hw },
 { 101401, ur_m8_swio11_noled_ee_ce_hw },
 { 101402, ur_m8_swio11_lednop },
 { 101403, ur_m8_swio11_lednop_pr },
 { 101404, ur_m8_swio11_lednop_pr_u4 },
 { 101405, ur_m8_swio11_lednop_pr_ee },
 { 101406, ur_m8_swio11_lednop_pr_ee_u4 },
 { 101407, ur_m8_swio11_lednop_pr_ce },
 { 101408, ur_m8_swio11_lednop_pr_ce_u4 },
 { 101409, ur_m8_swio11_lednop_pr_ee_ce },
 { 101410, ur_m8_swio11_lednop_pr_ee_ce_u4 },
 { 101411, ur_m8_swio11_lednop_hw },
 { 101412, ur_m8_swio11_lednop_ee_hw },
 { 101413, ur_m8_swio11_lednop_ce_hw },
 { 101414, ur_m8_swio11_lednop_ee_ce_hw },
 { 101415, ur_m8_swio11_lednop_ee_ce_hw },
 { 101416, ur_m8_swio11_dual },
 { 101417, ur_m8_swio11_dual },
 { 101418, ur_m8_swio11_dual_pr_u4 },
 { 101419, ur_m8_swio11_dual_pr_ee },
 { 101420, ur_m8_swio11_dual_pr_ee_u4 },
 { 101421, ur_m8_swio11_dual_pr_ce },
 { 101422, ur_m8_swio11_dual_pr_ce_u4 },
 { 101423, ur_m8_swio11_dual_pr_ee_ce },
 { 101424, ur_m8_swio11_dual_pr_ee_ce_u4 },
 { 101425, ur_m8_swio11_dual_hw },
 { 101426, ur_m8_swio11_dual_ee_hw },
 { 101427, ur_m8_swio11_dual_ce_hw },
 { 101428, ur_m8_swio11_dual_ee_ce_hw },
 { 101429, ur_m8_swio11_dual_ee_ce_u4_hw },
 { 101430, ur_m8_swio13_noled },
 { 101431, ur_m8_swio13_noled_pr },
 { 101432, ur_m8_swio13_noled_pr_u4 },
 { 101433, ur_m8_swio13_noled_pr_ee },
 { 101434, ur_m8_swio13_noled_pr_ee_u4 },
 { 101435, ur_m8_swio13_noled_pr_ce },
 { 101436, ur_m8_swio13_noled_pr_ce_u4 },
 { 101437, ur_m8_swio13_noled_pr_ee_ce },
 { 101438, ur_m8_swio13_noled_pr_ee_ce_u4 },
 { 101439, ur_m8_swio13_noled_hw },
 { 101440, ur_m8_swio13_noled_ee_hw },
 { 101441, ur_m8_swio13_noled_ce_hw },
 { 101442, ur_m8_swio13_noled_ee_ce_hw },
 { 101443, ur_m8_swio13_noled_ee_ce_hw },
 { 101444, ur_m8_swio13_lednop },
 { 101445, ur_m8_swio13_lednop_pr },
 { 101446, ur_m8_swio13_lednop_pr_u4 },
 { 101447, ur_m8_swio13_lednop_pr_ee },
 { 101448, ur_m8_swio13_lednop_pr_ee_u4 },
 { 101449, ur_m8_swio13_lednop_pr_ce },
 { 101450, ur_m8_swio13_lednop_pr_ce_u4 },
 { 101451, ur_m8_swio13_lednop_pr_ee_ce },
 { 101452, ur_m8_swio13_lednop_pr_ee_ce_u4 },
 { 101453, ur_m8_swio13_lednop_hw },
 { 101454, ur_m8_swio13_lednop_ee_hw },
 { 101455, ur_m8_swio13_lednop_ce_hw },
 { 101456, ur_m8_swio13_lednop_ee_ce_hw },
 { 101457, ur_m8_swio13_lednop_ee_ce_hw },
 { 101458, ur_m8_swio13_dual },
 { 101459, ur_m8_swio13_dual },
 { 101460, ur_m8_swio13_dual_pr_u4 },
 { 101461, ur_m8_swio13_dual_pr_ee },
 { 101462, ur_m8_swio13_dual_pr_ee_u4 },
 { 101463, ur_m8_swio13_dual_pr_ce },
 { 101464, ur_m8_swio13_dual_pr_ce_u4 },
 { 101465, ur_m8_swio13_dual_pr_ee_ce },
 { 101466, ur_m8_swio13_dual_pr_ee_ce_u4 },
 { 101467, ur_m8_swio13_dual_hw },
 { 101468, ur_m8_swio13_dual_ee_hw },
 { 101469, ur_m8_swio13_dual_ce_hw },
 { 101470, ur_m8_swio13_dual_ee_ce_hw },
 { 101471, ur_m8_swio13_dual_ee_ce_u4_hw },
 { 101472, ur_m8_swio14_noled },
 { 101473, ur_m8_swio14_noled_pr },
 { 101474, ur_m8_swio14_noled_pr_u4 },
 { 101475, ur_m8_swio14_noled_pr_ee },
 { 101476, ur_m8_swio14_noled_pr_ee_u4 },
 { 101477, ur_m8_swio14_noled_pr_ce },
 { 101478, ur_m8_swio14_noled_pr_ce_u4 },
 { 101479, ur_m8_swio14_noled_pr_ee_ce },
 { 101480, ur_m8_swio14_noled_pr_ee_ce_u4 },
 { 101481, ur_m8_swio14_noled_hw },
 { 101482, ur_m8_swio14_noled_ee_hw },
 { 101483, ur_m8_swio14_noled_ce_hw },
 { 101484, ur_m8_swio14_noled_ee_ce_hw },
 { 101485, ur_m8_swio14_noled_ee_ce_hw },
 { 101486, ur_m8_swio14_lednop },
 { 101487, ur_m8_swio14_lednop_pr },
 { 101488, ur_m8_swio14_lednop_pr_u4 },
 { 101489, ur_m8_swio14_lednop_pr_ee },
 { 101490, ur_m8_swio14_lednop_pr_ee_u4 },
 { 101491, ur_m8_swio14_lednop_pr_ce },
 { 101492, ur_m8_swio14_lednop_pr_ce_u4 },
 { 101493, ur_m8_swio14_lednop_pr_ee_ce },
 { 101494, ur_m8_swio14_lednop_pr_ee_ce_u4 },
 { 101495, ur_m8_swio14_lednop_hw },
 { 101496, ur_m8_swio14_lednop_ee_hw },
 { 101497, ur_m8_swio14_lednop_ce_hw },
 { 101498, ur_m8_swio14_lednop_ee_ce_hw },
 { 101499, ur_m8_swio14_lednop_ee_ce_hw },
 { 101500, ur_m8_swio14_dual },
 { 101501, ur_m8_swio14_dual },
 { 101502, ur_m8_swio14_dual_pr_u4 },
 { 101503, ur_m8_swio14_dual_pr_ee },
 { 101504, ur_m8_swio14_dual_pr_ee_u4 },
 { 101505, ur_m8_swio14_dual_pr_ce },
 { 101506, ur_m8_swio14_dual_pr_ce_u4 },
 { 101507, ur_m8_swio14_dual_pr_ee_ce },
 { 101508, ur_m8_swio14_dual_pr_ee_ce_u4 },
 { 101509, ur_m8_swio14_dual_hw },
 { 101510, ur_m8_swio14_dual_ee_hw },
 { 101511, ur_m8_swio14_dual_ce_hw },
 { 101512, ur_m8_swio14_dual_ee_ce_hw },
 { 101513, ur_m8_swio14_dual_ee_ce_u4_hw },
 { 101514, ur_m8_swio15_noled },
 { 101515, ur_m8_swio15_noled_pr },
 { 101516, ur_m8_swio15_noled_pr_u4 },
 { 101517, ur_m8_swio15_noled_pr_ee },
 { 101518, ur_m8_swio15_noled_pr_ee_u4 },
 { 101519, ur_m8_swio15_noled_pr_ce },
 { 101520, ur_m8_swio15_noled_pr_ce_u4 },
 { 101521, ur_m8_swio15_noled_pr_ee_ce },
 { 101522, ur_m8_swio15_noled_pr_ee_ce_u4 },
 { 101523, ur_m8_swio15_noled_hw },
 { 101524, ur_m8_swio15_noled_ee_hw },
 { 101525, ur_m8_swio15_noled_ce_hw },
 { 101526, ur_m8_swio15_noled_ee_ce_hw },
 { 101527, ur_m8_swio15_noled_ee_ce_hw },
 { 101528, ur_m8_swio15_lednop },
 { 101529, ur_m8_swio15_lednop_pr },
 { 101530, ur_m8_swio15_lednop_pr_u4 },
 { 101531, ur_m8_swio15_lednop_pr_ee },
 { 101532, ur_m8_swio15_lednop_pr_ee_u4 },
 { 101533, ur_m8_swio15_lednop_pr_ce },
 { 101534, ur_m8_swio15_lednop_pr_ce_u4 },
 { 101535, ur_m8_swio15_lednop_pr_ee_ce },
 { 101536, ur_m8_swio15_lednop_pr_ee_ce_u4 },
 { 101537, ur_m8_swio15_lednop_hw },
 { 101538, ur_m8_swio15_lednop_ee_hw },
 { 101539, ur_m8_swio15_lednop_ce_hw },
 { 101540, ur_m8_swio15_lednop_ee_ce_hw },
 { 101541, ur_m8_swio15_lednop_ee_ce_hw },
 { 101542, ur_m8_swio15_dual },
 { 101543, ur_m8_swio15_dual },
 { 101544, ur_m8_swio15_dual_pr_u4 },
 { 101545, ur_m8_swio15_dual_pr_ee },
 { 101546, ur_m8_swio15_dual_pr_ee_u4 },
 { 101547, ur_m8_swio15_dual_pr_ce },
 { 101548, ur_m8_swio15_dual_pr_ce_u4 },
 { 101549, ur_m8_swio15_dual_pr_ee_ce },
 { 101550, ur_m8_swio15_dual_pr_ee_ce_u4 },
 { 101551, ur_m8_swio15_dual_hw },
 { 101552, ur_m8_swio15_dual_ee_hw },
 { 101553, ur_m8_swio15_dual_ce_hw },
 { 101554, ur_m8_swio15_dual_ee_ce_hw },
 { 101555, ur_m8_swio15_dual_ee_ce_u4_hw },
 { 102606, ur_m8hva_swio10_noled },
 { 102607, ur_m8hva_swio10_noled },
 { 102608, ur_m8hva_swio10_noled_pr_u4 },
 { 102609, ur_m8hva_swio10_noled_pr_ee },
 { 102610, ur_m8hva_swio10_noled_pr_ee },
 { 102611, ur_m8hva_swio10_noled_pr_ce },
 { 102612, ur_m8hva_swio10_noled_pr_ce },
 { 102613, ur_m8hva_swio10_noled_pr_ee_ce },
 { 102614, ur_m8hva_swio10_noled_pr_ee_ce_u4 },
 { 102620, ur_m8hva_swio10_lednop },
 { 102621, ur_m8hva_swio10_lednop_pr },
 { 102622, ur_m8hva_swio10_lednop_pr },
 { 102623, ur_m8hva_swio10_lednop_pr_ee },
 { 102624, ur_m8hva_swio10_lednop_pr_ee },
 { 102625, ur_m8hva_swio10_lednop_pr_ce },
 { 102626, ur_m8hva_swio10_lednop_pr_ce },
 { 102627, ur_m8hva_swio10_lednop_pr_ee_ce },
 { 102628, ur_m8hva_swio10_lednop_pr_ee_ce_u4 },
 { 102634, ur_m8hva_swio10_dual },
 { 102635, ur_m8hva_swio10_dual },
 { 102636, ur_m8hva_swio10_dual },
 { 102637, ur_m8hva_swio10_dual_pr_ee },
 { 102638, ur_m8hva_swio10_dual_pr_ee_u4 },
 { 102639, ur_m8hva_swio10_dual_pr_ce },
 { 102640, ur_m8hva_swio10_dual_pr_ce },
 { 102641, ur_m8hva_swio10_dual_pr_ee_ce },
 { 102642, ur_m8hva_swio10_dual_pr_ee_ce_u4 },
 { 102648, ur_m8hva_swio11_noled },
 { 102649, ur_m8hva_swio11_noled_pr },
 { 102650, ur_m8hva_swio11_noled_pr },
 { 102651, ur_m8hva_swio11_noled_pr_ee },
 { 102652, ur_m8hva_swio11_noled_pr_ee },
 { 102653, ur_m8hva_swio11_noled_pr_ce },
 { 102654, ur_m8hva_swio11_noled_pr_ce },
 { 102655, ur_m8hva_swio11_noled_pr_ee_ce },
 { 102656, ur_m8hva_swio11_noled_pr_ee_ce_u4 },
 { 102662, ur_m8hva_swio11_lednop },
 { 102663, ur_m8hva_swio11_lednop_pr },
 { 102664, ur_m8hva_swio11_lednop_pr },
 { 102665, ur_m8hva_swio11_lednop_pr_ee },
 { 102666, ur_m8hva_swio11_lednop_pr_ee_u4 },
 { 102667, ur_m8hva_swio11_lednop_pr_ce },
 { 102668, ur_m8hva_swio11_lednop_pr_ce },
 { 102669, ur_m8hva_swio11_lednop_pr_ee_ce },
 { 102670, ur_m8hva_swio11_lednop_pr_ee_ce_u4 },
 { 102676, ur_m8hva_swio11_dual },
 { 102677, ur_m8hva_swio11_dual },
 { 102678, ur_m8hva_swio11_dual },
 { 102679, ur_m8hva_swio11_dual_pr_ee },
 { 102680, ur_m8hva_swio11_dual_pr_ee_u4 },
 { 102681, ur_m8hva_swio11_dual_pr_ce },
 { 102682, ur_m8hva_swio11_dual_pr_ce_u4 },
 { 102683, ur_m8hva_swio11_dual_pr_ee_ce },
 { 102684, ur_m8hva_swio11_dual_pr_ee_ce_u4 },
 { 102690, ur_m8hva_swio11_noled },
 { 102691, ur_m8hva_swio11_noled_pr },
 { 102692, ur_m8hva_swio11_noled_pr },
 { 102693, ur_m8hva_swio11_noled_pr_ee },
 { 102694, ur_m8hva_swio11_noled_pr_ee },
 { 102695, ur_m8hva_swio11_noled_pr_ce },
 { 102696, ur_m8hva_swio11_noled_pr_ce },
 { 102697, ur_m8hva_swio11_noled_pr_ee_ce },
 { 102698, ur_m8hva_swio11_noled_pr_ee_ce_u4 },
 { 102704, ur_m8hva_swio11_lednop },
 { 102705, ur_m8hva_swio11_lednop_pr },
 { 102706, ur_m8hva_swio11_lednop_pr },
 { 102707, ur_m8hva_swio11_lednop_pr_ee },
 { 102708, ur_m8hva_swio11_lednop_pr_ee_u4 },
 { 102709, ur_m8hva_swio11_lednop_pr_ce },
 { 102710, ur_m8hva_swio11_lednop_pr_ce },
 { 102711, ur_m8hva_swio11_lednop_pr_ee_ce },
 { 102712, ur_m8hva_swio11_lednop_pr_ee_ce_u4 },
 { 102718, ur_m8hva_swio11_dual },
 { 102719, ur_m8hva_swio11_dual },
 { 102720, ur_m8hva_swio11_dual },
 { 102721, ur_m8hva_swio11_dual_pr_ee },
 { 102722, ur_m8hva_swio11_dual_pr_ee_u4 },
 { 102723, ur_m8hva_swio11_dual_pr_ce },
 { 102724, ur_m8hva_swio11_dual_pr_ce_u4 },
 { 102725, ur_m8hva_swio11_dual_pr_ee_ce },
 { 102726, ur_m8hva_swio11_dual_pr_ee_ce_u4 },
 { 102732, ur_m8hva_swio13_noled },
 { 102733, ur_m8hva_swio13_noled_pr },
 { 102734, ur_m8hva_swio13_noled_pr },
 { 102735, ur_m8hva_swio13_noled_pr_ee },
 { 102736, ur_m8hva_swio13_noled_pr_ee },
 { 102737, ur_m8hva_swio13_noled_pr_ce },
 { 102738, ur_m8hva_swio13_noled_pr_ce },
 { 102739, ur_m8hva_swio13_noled_pr_ee_ce },
 { 102740, ur_m8hva_swio13_noled_pr_ee_ce_u4 },
 { 102746, ur_m8hva_swio13_lednop },
 { 102747, ur_m8hva_swio13_lednop_pr },
 { 102748, ur_m8hva_swio13_lednop_pr },
 { 102749, ur_m8hva_swio13_lednop_pr_ee },
 { 102750, ur_m8hva_swio13_lednop_pr_ee_u4 },
 { 102751, ur_m8hva_swio13_lednop_pr_ce },
 { 102752, ur_m8hva_swio13_lednop_pr_ce },
 { 102753, ur_m8hva_swio13_lednop_pr_ee_ce },
 { 102754, ur_m8hva_swio13_lednop_pr_ee_ce_u4 },
 { 102760, ur_m8hva_swio13_dual },
 { 102761, ur_m8hva_swio13_dual },
 { 102762, ur_m8hva_swio13_dual },
 { 102763, ur_m8hva_swio13_dual_pr_ee },
 { 102764, ur_m8hva_swio13_dual_pr_ee_u4 },
 { 102765, ur_m8hva_swio13_dual_pr_ce },
 { 102766, ur_m8hva_swio13_dual_pr_ce_u4 },
 { 102767, ur_m8hva_swio13_dual_pr_ee_ce },
 { 102768, ur_m8hva_swio13_dual_pr_ee_ce_u4 },
 { 102774, ur_m8hva_swio14_noled },
 { 102775, ur_m8hva_swio14_noled_pr },
 { 102776, ur_m8hva_swio14_noled_pr },
 { 102777, ur_m8hva_swio14_noled_pr_ee },
 { 102778, ur_m8hva_swio14_noled_pr_ee },
 { 102779, ur_m8hva_swio14_noled_pr_ce },
 { 102780, ur_m8hva_swio14_noled_pr_ce },
 { 102781, ur_m8hva_swio14_noled_pr_ee_ce },
 { 102782, ur_m8hva_swio14_noled_pr_ee_ce_u4 },
 { 102788, ur_m8hva_swio14_lednop },
 { 102789, ur_m8hva_swio14_lednop_pr },
 { 102790, ur_m8hva_swio14_lednop_pr },
 { 102791, ur_m8hva_swio14_lednop_pr_ee },
 { 102792, ur_m8hva_swio14_lednop_pr_ee_u4 },
 { 102793, ur_m8hva_swio14_lednop_pr_ce },
 { 102794, ur_m8hva_swio14_lednop_pr_ce },
 { 102795, ur_m8hva_swio14_lednop_pr_ee_ce },
 { 102796, ur_m8hva_swio14_lednop_pr_ee_ce_u4 },
 { 102802, ur_m8hva_swio14_dual },
 { 102803, ur_m8hva_swio14_dual },
 { 102804, ur_m8hva_swio14_dual },
 { 102805, ur_m8hva_swio14_dual_pr_ee },
 { 102806, ur_m8hva_swio14_dual_pr_ee_u4 },
 { 102807, ur_m8hva_swio14_dual_pr_ce },
 { 102808, ur_m8hva_swio14_dual_pr_ce_u4 },
 { 102809, ur_m8hva_swio14_dual_pr_ee_ce },
 { 102810, ur_m8hva_swio14_dual_pr_ee_ce_u4 },
 { 102816, ur_m8hva_swio15_noled },
 { 102817, ur_m8hva_swio15_noled_pr },
 { 102818, ur_m8hva_swio15_noled_pr },
 { 102819, ur_m8hva_swio15_noled_pr_ee },
 { 102820, ur_m8hva_swio15_noled_pr_ee },
 { 102821, ur_m8hva_swio15_noled_pr_ce },
 { 102822, ur_m8hva_swio15_noled_pr_ce },
 { 102823, ur_m8hva_swio15_noled_pr_ee_ce },
 { 102824, ur_m8hva_swio15_noled_pr_ee_ce_u4 },
 { 102830, ur_m8hva_swio15_lednop },
 { 102831, ur_m8hva_swio15_lednop_pr },
 { 102832, ur_m8hva_swio15_lednop_pr },
 { 102833, ur_m8hva_swio15_lednop_pr_ee },
 { 102834, ur_m8hva_swio15_lednop_pr_ee_u4 },
 { 102835, ur_m8hva_swio15_lednop_pr_ce },
 { 102836, ur_m8hva_swio15_lednop_pr_ce },
 { 102837, ur_m8hva_swio15_lednop_pr_ee_ce },
 { 102838, ur_m8hva_swio15_lednop_pr_ee_ce_u4 },
 { 102844, ur_m8hva_swio15_dual },
 { 102845, ur_m8hva_swio15_dual },
 { 102846, ur_m8hva_swio15_dual },
 { 102847, ur_m8hva_swio15_dual_pr_ee },
 { 102848, ur_m8hva_swio15_dual_pr_ee_u4 },
 { 102849, ur_m8hva_swio15_dual_pr_ce },
 { 102850, ur_m8hva_swio15_dual_pr_ce_u4 },
 { 102851, ur_m8hva_swio15_dual_pr_ee_ce },
 { 102852, ur_m8hva_swio15_dual_pr_ee_ce_u4 },
 { 102858, ur_m8u2_autobaud_uart0_noled },
 { 102859, ur_m8u2_autobaud_uart0_noled },
 { 102860, ur_m8u2_autobaud_uart0_noled_pr_u4 },
 { 102861, ur_m8u2_autobaud_uart0_noled_pr_ee },
 { 102862, ur_m8u2_autobaud_uart0_noled_pr_ee },
 { 102863, ur_m8u2_autobaud_uart0_noled_pr_ce },
 { 102864, ur_m8u2_autobaud_uart0_noled_pr_ce },
 { 102865, ur_m8u2_autobaud_uart0_noled_pr_ee_ce },
 { 102866, ur_m8u2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 102868, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 102870, ur_m8u2_autobaud_uart0_noled_ee_ce_hw },
 { 102871, ur_m8u2_autobaud_uart0_noled_ee_ce_hw },
 { 102872, ur_m8u2_autobaud_uart0_lednop },
 { 102873, ur_m8u2_autobaud_uart0_lednop },
 { 102874, ur_m8u2_autobaud_uart0_lednop_pr_u4 },
 { 102875, ur_m8u2_autobaud_uart0_lednop_pr_ee },
 { 102876, ur_m8u2_autobaud_uart0_lednop_pr_ee },
 { 102877, ur_m8u2_autobaud_uart0_lednop_pr_ce },
 { 102878, ur_m8u2_autobaud_uart0_lednop_pr_ce },
 { 102879, ur_m8u2_autobaud_uart0_lednop_pr_ee_ce },
 { 102880, ur_m8u2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 102882, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 102884, ur_m8u2_autobaud_uart0_lednop_ee_ce_hw },
 { 102885, ur_m8u2_autobaud_uart0_lednop_ee_ce_hw },
 { 102886, ur_m8u2_autobaud_uart0_dual },
 { 102887, ur_m8u2_autobaud_uart0_dual_pr },
 { 102888, ur_m8u2_autobaud_uart0_dual_pr },
 { 102889, ur_m8u2_autobaud_uart0_dual_pr_ee },
 { 102890, ur_m8u2_autobaud_uart0_dual_pr_ee_u4 },
 { 102891, ur_m8u2_autobaud_uart0_dual_pr_ce },
 { 102892, ur_m8u2_autobaud_uart0_dual_pr_ce },
 { 102893, ur_m8u2_autobaud_uart0_dual_pr_ee_ce },
 { 102894, ur_m8u2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 102896, ur_m8u2_autobaud_uart0_dual_ee_hw },
 { 102898, ur_m8u2_autobaud_uart0_dual_ee_ce_hw },
 { 102899, ur_m8u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 103068, ur_m8u2_u1x8_uart0_noled },
 { 103069, ur_m8u2_u1x8_uart0_noled },
 { 103070, ur_m8u2_u1x8_uart0_noled_pr_u4 },
 { 103071, ur_m8u2_u1x8_uart0_noled_pr_ee },
 { 103072, ur_m8u2_u1x8_uart0_noled_pr_ee },
 { 103073, ur_m8u2_u1x8_uart0_noled_pr_ce },
 { 103074, ur_m8u2_u1x8_uart0_noled_pr_ce_u4 },
 { 103075, ur_m8u2_u1x8_uart0_noled_pr_ee_ce },
 { 103076, ur_m8u2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 103078, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 103080, ur_m8u2_u1x8_uart0_noled_ee_ce_hw },
 { 103081, ur_m8u2_u1x8_uart0_noled_ee_ce_hw },
 { 103082, ur_m8u2_u1x8_uart0_lednop },
 { 103083, ur_m8u2_u1x8_uart0_lednop },
 { 103084, ur_m8u2_u1x8_uart0_lednop_pr_u4 },
 { 103085, ur_m8u2_u1x8_uart0_lednop_pr_ee },
 { 103086, ur_m8u2_u1x8_uart0_lednop_pr_ee },
 { 103087, ur_m8u2_u1x8_uart0_lednop_pr_ce },
 { 103088, ur_m8u2_u1x8_uart0_lednop_pr_ce },
 { 103089, ur_m8u2_u1x8_uart0_lednop_pr_ee_ce },
 { 103090, ur_m8u2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 103092, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 103094, ur_m8u2_u1x8_uart0_lednop_ee_ce_hw },
 { 103095, ur_m8u2_u1x8_uart0_lednop_ee_ce_hw },
 { 103096, ur_m8u2_u1x8_uart0_dual },
 { 103097, ur_m8u2_u1x8_uart0_dual },
 { 103098, ur_m8u2_u1x8_uart0_dual_pr_u4 },
 { 103099, ur_m8u2_u1x8_uart0_dual_pr_ee },
 { 103100, ur_m8u2_u1x8_uart0_dual_pr_ee },
 { 103101, ur_m8u2_u1x8_uart0_dual_pr_ce },
 { 103102, ur_m8u2_u1x8_uart0_dual_pr_ce },
 { 103103, ur_m8u2_u1x8_uart0_dual_pr_ee_ce },
 { 103104, ur_m8u2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 103106, ur_m8u2_u1x8_uart0_dual_ee_hw },
 { 103108, ur_m8u2_u1x8_uart0_dual_ee_ce_hw },
 { 103109, ur_m8u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 103278, ur_m8u2_u1x12_uart0_noled },
 { 103279, ur_m8u2_u1x12_uart0_noled },
 { 103280, ur_m8u2_u1x12_uart0_noled_pr_u4 },
 { 103281, ur_m8u2_u1x12_uart0_noled_pr_ee },
 { 103282, ur_m8u2_u1x12_uart0_noled_pr_ee },
 { 103283, ur_m8u2_u1x12_uart0_noled_pr_ce },
 { 103284, ur_m8u2_u1x12_uart0_noled_pr_ce_u4 },
 { 103285, ur_m8u2_u1x12_uart0_noled_pr_ee_ce },
 { 103286, ur_m8u2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 103288, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 103290, ur_m8u2_u1x12_uart0_noled_ee_ce_hw },
 { 103291, ur_m8u2_u1x12_uart0_noled_ee_ce_hw },
 { 103292, ur_m8u2_u1x12_uart0_lednop },
 { 103293, ur_m8u2_u1x12_uart0_lednop },
 { 103294, ur_m8u2_u1x12_uart0_lednop_pr_u4 },
 { 103295, ur_m8u2_u1x12_uart0_lednop_pr_ee },
 { 103296, ur_m8u2_u1x12_uart0_lednop_pr_ee },
 { 103297, ur_m8u2_u1x12_uart0_lednop_pr_ce },
 { 103298, ur_m8u2_u1x12_uart0_lednop_pr_ce },
 { 103299, ur_m8u2_u1x12_uart0_lednop_pr_ee_ce },
 { 103300, ur_m8u2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 103302, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 103304, ur_m8u2_u1x12_uart0_lednop_ee_ce_hw },
 { 103305, ur_m8u2_u1x12_uart0_lednop_ee_ce_hw },
 { 103306, ur_m8u2_u1x12_uart0_dual },
 { 103307, ur_m8u2_u1x12_uart0_dual },
 { 103308, ur_m8u2_u1x12_uart0_dual_pr_u4 },
 { 103309, ur_m8u2_u1x12_uart0_dual_pr_ee },
 { 103310, ur_m8u2_u1x12_uart0_dual_pr_ee },
 { 103311, ur_m8u2_u1x12_uart0_dual_pr_ce },
 { 103312, ur_m8u2_u1x12_uart0_dual_pr_ce },
 { 103313, ur_m8u2_u1x12_uart0_dual_pr_ee_ce },
 { 103314, ur_m8u2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 103316, ur_m8u2_u1x12_uart0_dual_ee_hw },
 { 103318, ur_m8u2_u1x12_uart0_dual_ee_ce_hw },
 { 103319, ur_m8u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 103488, ur_m8u2_u2x8_uart0_noled },
 { 103489, ur_m8u2_u2x8_uart0_noled },
 { 103490, ur_m8u2_u2x8_uart0_noled_pr_u4 },
 { 103491, ur_m8u2_u2x8_uart0_noled_pr_ee },
 { 103492, ur_m8u2_u2x8_uart0_noled_pr_ee },
 { 103493, ur_m8u2_u2x8_uart0_noled_pr_ce },
 { 103494, ur_m8u2_u2x8_uart0_noled_pr_ce_u4 },
 { 103495, ur_m8u2_u2x8_uart0_noled_pr_ee_ce },
 { 103496, ur_m8u2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 103498, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 103500, ur_m8u2_u2x8_uart0_noled_ee_ce_hw },
 { 103501, ur_m8u2_u2x8_uart0_noled_ee_ce_hw },
 { 103502, ur_m8u2_u2x8_uart0_lednop },
 { 103503, ur_m8u2_u2x8_uart0_lednop },
 { 103504, ur_m8u2_u2x8_uart0_lednop_pr_u4 },
 { 103505, ur_m8u2_u2x8_uart0_lednop_pr_ee },
 { 103506, ur_m8u2_u2x8_uart0_lednop_pr_ee },
 { 103507, ur_m8u2_u2x8_uart0_lednop_pr_ce },
 { 103508, ur_m8u2_u2x8_uart0_lednop_pr_ce },
 { 103509, ur_m8u2_u2x8_uart0_lednop_pr_ee_ce },
 { 103510, ur_m8u2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 103512, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 103514, ur_m8u2_u2x8_uart0_lednop_ee_ce_hw },
 { 103515, ur_m8u2_u2x8_uart0_lednop_ee_ce_hw },
 { 103516, ur_m8u2_u2x8_uart0_dual },
 { 103517, ur_m8u2_u2x8_uart0_dual },
 { 103518, ur_m8u2_u2x8_uart0_dual_pr_u4 },
 { 103519, ur_m8u2_u2x8_uart0_dual_pr_ee },
 { 103520, ur_m8u2_u2x8_uart0_dual_pr_ee },
 { 103521, ur_m8u2_u2x8_uart0_dual_pr_ce },
 { 103522, ur_m8u2_u2x8_uart0_dual_pr_ce },
 { 103523, ur_m8u2_u2x8_uart0_dual_pr_ee_ce },
 { 103524, ur_m8u2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 103526, ur_m8u2_u2x8_uart0_dual_ee_hw },
 { 103528, ur_m8u2_u2x8_uart0_dual_ee_ce_hw },
 { 103529, ur_m8u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 103698, ur_m8u2_u2x12_uart0_noled },
 { 103699, ur_m8u2_u2x12_uart0_noled },
 { 103700, ur_m8u2_u2x12_uart0_noled_pr_u4 },
 { 103701, ur_m8u2_u2x12_uart0_noled_pr_ee },
 { 103702, ur_m8u2_u2x12_uart0_noled_pr_ee },
 { 103703, ur_m8u2_u2x12_uart0_noled_pr_ce },
 { 103704, ur_m8u2_u2x12_uart0_noled_pr_ce },
 { 103705, ur_m8u2_u2x12_uart0_noled_pr_ee_ce },
 { 103706, ur_m8u2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 103708, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 103710, ur_m8u2_u2x12_uart0_noled_ee_ce_hw },
 { 103711, ur_m8u2_u2x12_uart0_noled_ee_ce_hw },
 { 103712, ur_m8u2_u2x12_uart0_lednop },
 { 103713, ur_m8u2_u2x12_uart0_lednop },
 { 103714, ur_m8u2_u2x12_uart0_lednop_pr_u4 },
 { 103715, ur_m8u2_u2x12_uart0_lednop_pr_ee },
 { 103716, ur_m8u2_u2x12_uart0_lednop_pr_ee },
 { 103717, ur_m8u2_u2x12_uart0_lednop_pr_ce },
 { 103718, ur_m8u2_u2x12_uart0_lednop_pr_ce },
 { 103719, ur_m8u2_u2x12_uart0_lednop_pr_ee_ce },
 { 103720, ur_m8u2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 103722, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 103724, ur_m8u2_u2x12_uart0_lednop_ee_ce_hw },
 { 103725, ur_m8u2_u2x12_uart0_lednop_ee_ce_hw },
 { 103726, ur_m8u2_u2x12_uart0_dual },
 { 103727, ur_m8u2_u2x12_uart0_dual_pr },
 { 103728, ur_m8u2_u2x12_uart0_dual_pr_u4 },
 { 103729, ur_m8u2_u2x12_uart0_dual_pr_ee },
 { 103730, ur_m8u2_u2x12_uart0_dual_pr_ee },
 { 103731, ur_m8u2_u2x12_uart0_dual_pr_ce },
 { 103732, ur_m8u2_u2x12_uart0_dual_pr_ce },
 { 103733, ur_m8u2_u2x12_uart0_dual_pr_ee_ce },
 { 103734, ur_m8u2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 103736, ur_m8u2_u2x12_uart0_dual_ee_hw },
 { 103738, ur_m8u2_u2x12_uart0_dual_ee_ce_hw },
 { 103739, ur_m8u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 103908, ur_m8u2_swio10_noled },
 { 103909, ur_m8u2_swio10_noled },
 { 103910, ur_m8u2_swio10_noled_pr_u4 },
 { 103911, ur_m8u2_swio10_noled_pr_ee },
 { 103912, ur_m8u2_swio10_noled_pr_ee },
 { 103913, ur_m8u2_swio10_noled_pr_ce },
 { 103914, ur_m8u2_swio10_noled_pr_ce },
 { 103915, ur_m8u2_swio10_noled_pr_ee_ce },
 { 103916, ur_m8u2_swio10_noled_pr_ee_ce_u4 },
 { 103918, ur_m8u2_swio10_noled_ee_hw },
 { 103920, ur_m8u2_swio10_noled_ee_ce_hw },
 { 103921, ur_m8u2_swio10_noled_ee_ce_hw },
 { 103922, ur_m8u2_swio10_lednop },
 { 103923, ur_m8u2_swio10_lednop_pr },
 { 103924, ur_m8u2_swio10_lednop_pr },
 { 103925, ur_m8u2_swio10_lednop_pr_ee },
 { 103926, ur_m8u2_swio10_lednop_pr_ee },
 { 103927, ur_m8u2_swio10_lednop_pr_ce },
 { 103928, ur_m8u2_swio10_lednop_pr_ce },
 { 103929, ur_m8u2_swio10_lednop_pr_ee_ce },
 { 103930, ur_m8u2_swio10_lednop_pr_ee_ce_u4 },
 { 103932, ur_m8u2_swio10_lednop_ee_hw },
 { 103934, ur_m8u2_swio10_lednop_ee_ce_hw },
 { 103935, ur_m8u2_swio10_lednop_ee_ce_hw },
 { 103936, ur_m8u2_swio10_dual },
 { 103937, ur_m8u2_swio10_dual },
 { 103938, ur_m8u2_swio10_dual },
 { 103939, ur_m8u2_swio10_dual_pr_ee },
 { 103940, ur_m8u2_swio10_dual_pr_ee_u4 },
 { 103941, ur_m8u2_swio10_dual_pr_ce },
 { 103942, ur_m8u2_swio10_dual_pr_ce },
 { 103943, ur_m8u2_swio10_dual_pr_ee_ce },
 { 103944, ur_m8u2_swio10_dual_pr_ee_ce_u4 },
 { 103946, ur_m8u2_swio10_dual_ee_hw },
 { 103948, ur_m8u2_swio10_dual_ee_ce_hw },
 { 103949, ur_m8u2_swio10_dual_ee_ce_u4_hw },
 { 103950, ur_m8u2_swio11_noled },
 { 103951, ur_m8u2_swio11_noled },
 { 103952, ur_m8u2_swio11_noled_pr_u4 },
 { 103953, ur_m8u2_swio11_noled_pr_ee },
 { 103954, ur_m8u2_swio11_noled_pr_ee },
 { 103955, ur_m8u2_swio11_noled_pr_ce },
 { 103956, ur_m8u2_swio11_noled_pr_ce },
 { 103957, ur_m8u2_swio11_noled_pr_ee_ce },
 { 103958, ur_m8u2_swio11_noled_pr_ee_ce_u4 },
 { 103960, ur_m8u2_swio11_noled_ee_hw },
 { 103962, ur_m8u2_swio11_noled_ee_ce_hw },
 { 103963, ur_m8u2_swio11_noled_ee_ce_hw },
 { 103964, ur_m8u2_swio11_lednop },
 { 103965, ur_m8u2_swio11_lednop_pr },
 { 103966, ur_m8u2_swio11_lednop_pr },
 { 103967, ur_m8u2_swio11_lednop_pr_ee },
 { 103968, ur_m8u2_swio11_lednop_pr_ee_u4 },
 { 103969, ur_m8u2_swio11_lednop_pr_ce },
 { 103970, ur_m8u2_swio11_lednop_pr_ce },
 { 103971, ur_m8u2_swio11_lednop_pr_ee_ce },
 { 103972, ur_m8u2_swio11_lednop_pr_ee_ce_u4 },
 { 103974, ur_m8u2_swio11_lednop_ee_hw },
 { 103976, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 103977, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 103978, ur_m8u2_swio11_dual },
 { 103979, ur_m8u2_swio11_dual },
 { 103980, ur_m8u2_swio11_dual },
 { 103981, ur_m8u2_swio11_dual_pr_ee },
 { 103982, ur_m8u2_swio11_dual_pr_ee_u4 },
 { 103983, ur_m8u2_swio11_dual_pr_ce },
 { 103984, ur_m8u2_swio11_dual_pr_ce },
 { 103985, ur_m8u2_swio11_dual_pr_ee_ce },
 { 103986, ur_m8u2_swio11_dual_pr_ee_ce_u4 },
 { 103988, ur_m8u2_swio11_dual_ee_hw },
 { 103990, ur_m8u2_swio11_dual_ee_ce_hw },
 { 103991, ur_m8u2_swio11_dual_ee_ce_u4_hw },
 { 103992, ur_m8u2_swio11_noled },
 { 103993, ur_m8u2_swio11_noled },
 { 103994, ur_m8u2_swio11_noled_pr_u4 },
 { 103995, ur_m8u2_swio11_noled_pr_ee },
 { 103996, ur_m8u2_swio11_noled_pr_ee },
 { 103997, ur_m8u2_swio11_noled_pr_ce },
 { 103998, ur_m8u2_swio11_noled_pr_ce },
 { 103999, ur_m8u2_swio11_noled_pr_ee_ce },
 { 104000, ur_m8u2_swio11_noled_pr_ee_ce_u4 },
 { 104002, ur_m8u2_swio11_noled_ee_hw },
 { 104004, ur_m8u2_swio11_noled_ee_ce_hw },
 { 104005, ur_m8u2_swio11_noled_ee_ce_hw },
 { 104006, ur_m8u2_swio11_lednop },
 { 104007, ur_m8u2_swio11_lednop_pr },
 { 104008, ur_m8u2_swio11_lednop_pr },
 { 104009, ur_m8u2_swio11_lednop_pr_ee },
 { 104010, ur_m8u2_swio11_lednop_pr_ee_u4 },
 { 104011, ur_m8u2_swio11_lednop_pr_ce },
 { 104012, ur_m8u2_swio11_lednop_pr_ce },
 { 104013, ur_m8u2_swio11_lednop_pr_ee_ce },
 { 104014, ur_m8u2_swio11_lednop_pr_ee_ce_u4 },
 { 104016, ur_m8u2_swio11_lednop_ee_hw },
 { 104018, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 104019, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 104020, ur_m8u2_swio11_dual },
 { 104021, ur_m8u2_swio11_dual },
 { 104022, ur_m8u2_swio11_dual },
 { 104023, ur_m8u2_swio11_dual_pr_ee },
 { 104024, ur_m8u2_swio11_dual_pr_ee_u4 },
 { 104025, ur_m8u2_swio11_dual_pr_ce },
 { 104026, ur_m8u2_swio11_dual_pr_ce },
 { 104027, ur_m8u2_swio11_dual_pr_ee_ce },
 { 104028, ur_m8u2_swio11_dual_pr_ee_ce_u4 },
 { 104030, ur_m8u2_swio11_dual_ee_hw },
 { 104032, ur_m8u2_swio11_dual_ee_ce_hw },
 { 104033, ur_m8u2_swio11_dual_ee_ce_u4_hw },
 { 104034, ur_m8u2_swio13_noled },
 { 104035, ur_m8u2_swio13_noled },
 { 104036, ur_m8u2_swio13_noled_pr_u4 },
 { 104037, ur_m8u2_swio13_noled_pr_ee },
 { 104038, ur_m8u2_swio13_noled_pr_ee },
 { 104039, ur_m8u2_swio13_noled_pr_ce },
 { 104040, ur_m8u2_swio13_noled_pr_ce },
 { 104041, ur_m8u2_swio13_noled_pr_ee_ce },
 { 104042, ur_m8u2_swio13_noled_pr_ee_ce_u4 },
 { 104044, ur_m8u2_swio13_noled_ee_hw },
 { 104046, ur_m8u2_swio13_noled_ee_ce_hw },
 { 104047, ur_m8u2_swio13_noled_ee_ce_hw },
 { 104048, ur_m8u2_swio13_lednop },
 { 104049, ur_m8u2_swio13_lednop_pr },
 { 104050, ur_m8u2_swio13_lednop_pr },
 { 104051, ur_m8u2_swio13_lednop_pr_ee },
 { 104052, ur_m8u2_swio13_lednop_pr_ee_u4 },
 { 104053, ur_m8u2_swio13_lednop_pr_ce },
 { 104054, ur_m8u2_swio13_lednop_pr_ce },
 { 104055, ur_m8u2_swio13_lednop_pr_ee_ce },
 { 104056, ur_m8u2_swio13_lednop_pr_ee_ce_u4 },
 { 104058, ur_m8u2_swio13_lednop_ee_hw },
 { 104060, ur_m8u2_swio13_lednop_ee_ce_hw },
 { 104061, ur_m8u2_swio13_lednop_ee_ce_hw },
 { 104062, ur_m8u2_swio13_dual },
 { 104063, ur_m8u2_swio13_dual },
 { 104064, ur_m8u2_swio13_dual },
 { 104065, ur_m8u2_swio13_dual_pr_ee },
 { 104066, ur_m8u2_swio13_dual_pr_ee_u4 },
 { 104067, ur_m8u2_swio13_dual_pr_ce },
 { 104068, ur_m8u2_swio13_dual_pr_ce_u4 },
 { 104069, ur_m8u2_swio13_dual_pr_ee_ce },
 { 104070, ur_m8u2_swio13_dual_pr_ee_ce_u4 },
 { 104072, ur_m8u2_swio13_dual_ee_hw },
 { 104074, ur_m8u2_swio13_dual_ee_ce_hw },
 { 104075, ur_m8u2_swio13_dual_ee_ce_u4_hw },
 { 104076, ur_m8u2_swio14_noled },
 { 104077, ur_m8u2_swio14_noled },
 { 104078, ur_m8u2_swio14_noled_pr_u4 },
 { 104079, ur_m8u2_swio14_noled_pr_ee },
 { 104080, ur_m8u2_swio14_noled_pr_ee },
 { 104081, ur_m8u2_swio14_noled_pr_ce },
 { 104082, ur_m8u2_swio14_noled_pr_ce },
 { 104083, ur_m8u2_swio14_noled_pr_ee_ce },
 { 104084, ur_m8u2_swio14_noled_pr_ee_ce_u4 },
 { 104086, ur_m8u2_swio14_noled_ee_hw },
 { 104088, ur_m8u2_swio14_noled_ee_ce_hw },
 { 104089, ur_m8u2_swio14_noled_ee_ce_hw },
 { 104090, ur_m8u2_swio14_lednop },
 { 104091, ur_m8u2_swio14_lednop_pr },
 { 104092, ur_m8u2_swio14_lednop_pr },
 { 104093, ur_m8u2_swio14_lednop_pr_ee },
 { 104094, ur_m8u2_swio14_lednop_pr_ee_u4 },
 { 104095, ur_m8u2_swio14_lednop_pr_ce },
 { 104096, ur_m8u2_swio14_lednop_pr_ce },
 { 104097, ur_m8u2_swio14_lednop_pr_ee_ce },
 { 104098, ur_m8u2_swio14_lednop_pr_ee_ce_u4 },
 { 104100, ur_m8u2_swio14_lednop_ee_hw },
 { 104102, ur_m8u2_swio14_lednop_ee_ce_hw },
 { 104103, ur_m8u2_swio14_lednop_ee_ce_hw },
 { 104104, ur_m8u2_swio14_dual },
 { 104105, ur_m8u2_swio14_dual },
 { 104106, ur_m8u2_swio14_dual },
 { 104107, ur_m8u2_swio14_dual_pr_ee },
 { 104108, ur_m8u2_swio14_dual_pr_ee_u4 },
 { 104109, ur_m8u2_swio14_dual_pr_ce },
 { 104110, ur_m8u2_swio14_dual_pr_ce },
 { 104111, ur_m8u2_swio14_dual_pr_ee_ce },
 { 104112, ur_m8u2_swio14_dual_pr_ee_ce_u4 },
 { 104114, ur_m8u2_swio14_dual_ee_hw },
 { 104116, ur_m8u2_swio14_dual_ee_ce_hw },
 { 104117, ur_m8u2_swio14_dual_ee_ce_u4_hw },
 { 104118, ur_m8u2_swio15_noled },
 { 104119, ur_m8u2_swio15_noled },
 { 104120, ur_m8u2_swio15_noled_pr_u4 },
 { 104121, ur_m8u2_swio15_noled_pr_ee },
 { 104122, ur_m8u2_swio15_noled_pr_ee },
 { 104123, ur_m8u2_swio15_noled_pr_ce },
 { 104124, ur_m8u2_swio15_noled_pr_ce },
 { 104125, ur_m8u2_swio15_noled_pr_ee_ce },
 { 104126, ur_m8u2_swio15_noled_pr_ee_ce_u4 },
 { 104128, ur_m8u2_swio15_noled_ee_hw },
 { 104130, ur_m8u2_swio15_noled_ee_ce_hw },
 { 104131, ur_m8u2_swio15_noled_ee_ce_hw },
 { 104132, ur_m8u2_swio15_lednop },
 { 104133, ur_m8u2_swio15_lednop_pr },
 { 104134, ur_m8u2_swio15_lednop_pr },
 { 104135, ur_m8u2_swio15_lednop_pr_ee },
 { 104136, ur_m8u2_swio15_lednop_pr_ee_u4 },
 { 104137, ur_m8u2_swio15_lednop_pr_ce },
 { 104138, ur_m8u2_swio15_lednop_pr_ce },
 { 104139, ur_m8u2_swio15_lednop_pr_ee_ce },
 { 104140, ur_m8u2_swio15_lednop_pr_ee_ce_u4 },
 { 104142, ur_m8u2_swio15_lednop_ee_hw },
 { 104144, ur_m8u2_swio15_lednop_ee_ce_hw },
 { 104145, ur_m8u2_swio15_lednop_ee_ce_hw },
 { 104146, ur_m8u2_swio15_dual },
 { 104147, ur_m8u2_swio15_dual },
 { 104148, ur_m8u2_swio15_dual },
 { 104149, ur_m8u2_swio15_dual_pr_ee },
 { 104150, ur_m8u2_swio15_dual_pr_ee_u4 },
 { 104151, ur_m8u2_swio15_dual_pr_ce },
 { 104152, ur_m8u2_swio15_dual_pr_ce_u4 },
 { 104153, ur_m8u2_swio15_dual_pr_ee_ce },
 { 104154, ur_m8u2_swio15_dual_pr_ee_ce_u4 },
 { 104156, ur_m8u2_swio15_dual_ee_hw },
 { 104158, ur_m8u2_swio15_dual_ee_ce_hw },
 { 104159, ur_m8u2_swio15_dual_ee_ce_u4_hw },
 { 104160, ur_m16_autobaud_uart0_noled },
 { 104161, ur_m16_autobaud_uart0_noled },
 { 104162, ur_m16_autobaud_uart0_noled_pr_u4 },
 { 104163, ur_m16_autobaud_uart0_noled_pr_ee },
 { 104164, ur_m16_autobaud_uart0_noled_pr_ee },
 { 104165, ur_m16_autobaud_uart0_noled_pr_ce },
 { 104166, ur_m16_autobaud_uart0_noled_pr_ce },
 { 104167, ur_m16_autobaud_uart0_noled_pr_ee_ce },
 { 104168, ur_m16_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 104169, ur_m16_autobaud_uart0_noled_hw },
 { 104170, ur_m16_autobaud_uart0_noled_ee_hw },
 { 104171, ur_m16_autobaud_uart0_noled_ce_hw },
 { 104172, ur_m16_autobaud_uart0_noled_ee_ce_hw },
 { 104173, ur_m16_autobaud_uart0_noled_ee_ce_hw },
 { 104174, ur_m16_autobaud_uart0_lednop },
 { 104175, ur_m16_autobaud_uart0_lednop },
 { 104176, ur_m16_autobaud_uart0_lednop_pr_u4 },
 { 104177, ur_m16_autobaud_uart0_lednop_pr_ee },
 { 104178, ur_m16_autobaud_uart0_lednop_pr_ee },
 { 104179, ur_m16_autobaud_uart0_lednop_pr_ce },
 { 104180, ur_m16_autobaud_uart0_lednop_pr_ce },
 { 104181, ur_m16_autobaud_uart0_lednop_pr_ee_ce },
 { 104182, ur_m16_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 104183, ur_m16_autobaud_uart0_lednop_hw },
 { 104184, ur_m16_autobaud_uart0_lednop_ee_hw },
 { 104185, ur_m16_autobaud_uart0_lednop_ce_hw },
 { 104186, ur_m16_autobaud_uart0_lednop_ee_ce_hw },
 { 104187, ur_m16_autobaud_uart0_lednop_ee_ce_hw },
 { 104188, ur_m16_autobaud_uart0_dual },
 { 104189, ur_m16_autobaud_uart0_dual_pr },
 { 104190, ur_m16_autobaud_uart0_dual_pr_u4 },
 { 104191, ur_m16_autobaud_uart0_dual_pr_ee },
 { 104192, ur_m16_autobaud_uart0_dual_pr_ee },
 { 104193, ur_m16_autobaud_uart0_dual_pr_ce },
 { 104194, ur_m16_autobaud_uart0_dual_pr_ce },
 { 104195, ur_m16_autobaud_uart0_dual_pr_ee_ce },
 { 104196, ur_m16_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 104197, ur_m16_autobaud_uart0_dual_hw },
 { 104198, ur_m16_autobaud_uart0_dual_ee_hw },
 { 104199, ur_m16_autobaud_uart0_dual_ce_hw },
 { 104200, ur_m16_autobaud_uart0_dual_ee_ce_hw },
 { 104201, ur_m16_autobaud_uart0_dual_ee_ce_u4_hw },
 { 104370, ur_m16_u1x8_uart0_noled },
 { 104371, ur_m16_u1x8_uart0_noled },
 { 104372, ur_m16_u1x8_uart0_noled_pr_u4 },
 { 104373, ur_m16_u1x8_uart0_noled_pr_ee },
 { 104374, ur_m16_u1x8_uart0_noled_pr_ee },
 { 104375, ur_m16_u1x8_uart0_noled_pr_ce },
 { 104376, ur_m16_u1x8_uart0_noled_pr_ce_u4 },
 { 104377, ur_m16_u1x8_uart0_noled_pr_ee_ce },
 { 104378, ur_m16_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 104379, ur_m16_u1x8_uart0_noled_hw },
 { 104380, ur_m16_u1x8_uart0_noled_ee_hw },
 { 104381, ur_m16_u1x8_uart0_noled_ce_hw },
 { 104382, ur_m16_u1x8_uart0_noled_ee_ce_hw },
 { 104383, ur_m16_u1x8_uart0_noled_ee_ce_hw },
 { 104384, ur_m16_u1x8_uart0_lednop },
 { 104385, ur_m16_u1x8_uart0_lednop },
 { 104386, ur_m16_u1x8_uart0_lednop_pr_u4 },
 { 104387, ur_m16_u1x8_uart0_lednop_pr_ee },
 { 104388, ur_m16_u1x8_uart0_lednop_pr_ee },
 { 104389, ur_m16_u1x8_uart0_lednop_pr_ce },
 { 104390, ur_m16_u1x8_uart0_lednop_pr_ce_u4 },
 { 104391, ur_m16_u1x8_uart0_lednop_pr_ee_ce },
 { 104392, ur_m16_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 104393, ur_m16_u1x8_uart0_lednop_hw },
 { 104394, ur_m16_u1x8_uart0_lednop_ee_hw },
 { 104395, ur_m16_u1x8_uart0_lednop_ce_hw },
 { 104396, ur_m16_u1x8_uart0_lednop_ee_ce_hw },
 { 104397, ur_m16_u1x8_uart0_lednop_ee_ce_hw },
 { 104398, ur_m16_u1x8_uart0_dual },
 { 104399, ur_m16_u1x8_uart0_dual },
 { 104400, ur_m16_u1x8_uart0_dual_pr_u4 },
 { 104401, ur_m16_u1x8_uart0_dual_pr_ee },
 { 104402, ur_m16_u1x8_uart0_dual_pr_ee },
 { 104403, ur_m16_u1x8_uart0_dual_pr_ce },
 { 104404, ur_m16_u1x8_uart0_dual_pr_ce },
 { 104405, ur_m16_u1x8_uart0_dual_pr_ee_ce },
 { 104406, ur_m16_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 104407, ur_m16_u1x8_uart0_dual_hw },
 { 104408, ur_m16_u1x8_uart0_dual_ee_hw },
 { 104409, ur_m16_u1x8_uart0_dual_ce_hw },
 { 104410, ur_m16_u1x8_uart0_dual_ee_ce_hw },
 { 104411, ur_m16_u1x8_uart0_dual_ee_ce_u4_hw },
 { 104580, ur_m16_u1x12_uart0_noled },
 { 104581, ur_m16_u1x12_uart0_noled },
 { 104582, ur_m16_u1x12_uart0_noled_pr_u4 },
 { 104583, ur_m16_u1x12_uart0_noled_pr_ee },
 { 104584, ur_m16_u1x12_uart0_noled_pr_ee },
 { 104585, ur_m16_u1x12_uart0_noled_pr_ce },
 { 104586, ur_m16_u1x12_uart0_noled_pr_ce_u4 },
 { 104587, ur_m16_u1x12_uart0_noled_pr_ee_ce },
 { 104588, ur_m16_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 104589, ur_m16_u1x12_uart0_noled_hw },
 { 104590, ur_m16_u1x12_uart0_noled_ee_hw },
 { 104591, ur_m16_u1x12_uart0_noled_ce_hw },
 { 104592, ur_m16_u1x12_uart0_noled_ee_ce_hw },
 { 104593, ur_m16_u1x12_uart0_noled_ee_ce_hw },
 { 104594, ur_m16_u1x12_uart0_lednop },
 { 104595, ur_m16_u1x12_uart0_lednop },
 { 104596, ur_m16_u1x12_uart0_lednop_pr_u4 },
 { 104597, ur_m16_u1x12_uart0_lednop_pr_ee },
 { 104598, ur_m16_u1x12_uart0_lednop_pr_ee },
 { 104599, ur_m16_u1x12_uart0_lednop_pr_ce },
 { 104600, ur_m16_u1x12_uart0_lednop_pr_ce_u4 },
 { 104601, ur_m16_u1x12_uart0_lednop_pr_ee_ce },
 { 104602, ur_m16_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 104603, ur_m16_u1x12_uart0_lednop_hw },
 { 104604, ur_m16_u1x12_uart0_lednop_ee_hw },
 { 104605, ur_m16_u1x12_uart0_lednop_ce_hw },
 { 104606, ur_m16_u1x12_uart0_lednop_ee_ce_hw },
 { 104607, ur_m16_u1x12_uart0_lednop_ee_ce_hw },
 { 104608, ur_m16_u1x12_uart0_dual },
 { 104609, ur_m16_u1x12_uart0_dual },
 { 104610, ur_m16_u1x12_uart0_dual_pr_u4 },
 { 104611, ur_m16_u1x12_uart0_dual_pr_ee },
 { 104612, ur_m16_u1x12_uart0_dual_pr_ee },
 { 104613, ur_m16_u1x12_uart0_dual_pr_ce },
 { 104614, ur_m16_u1x12_uart0_dual_pr_ce },
 { 104615, ur_m16_u1x12_uart0_dual_pr_ee_ce },
 { 104616, ur_m16_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 104617, ur_m16_u1x12_uart0_dual_hw },
 { 104618, ur_m16_u1x12_uart0_dual_ee_hw },
 { 104619, ur_m16_u1x12_uart0_dual_ce_hw },
 { 104620, ur_m16_u1x12_uart0_dual_ee_ce_hw },
 { 104621, ur_m16_u1x12_uart0_dual_ee_ce_u4_hw },
 { 104790, ur_m16_u2x8_uart0_noled },
 { 104791, ur_m16_u2x8_uart0_noled },
 { 104792, ur_m16_u2x8_uart0_noled_pr_u4 },
 { 104793, ur_m16_u2x8_uart0_noled_pr_ee },
 { 104794, ur_m16_u2x8_uart0_noled_pr_ee },
 { 104795, ur_m16_u2x8_uart0_noled_pr_ce },
 { 104796, ur_m16_u2x8_uart0_noled_pr_ce_u4 },
 { 104797, ur_m16_u2x8_uart0_noled_pr_ee_ce },
 { 104798, ur_m16_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 104799, ur_m16_u2x8_uart0_noled_hw },
 { 104800, ur_m16_u2x8_uart0_noled_ee_hw },
 { 104801, ur_m16_u2x8_uart0_noled_ce_hw },
 { 104802, ur_m16_u2x8_uart0_noled_ee_ce_hw },
 { 104803, ur_m16_u2x8_uart0_noled_ee_ce_hw },
 { 104804, ur_m16_u2x8_uart0_lednop },
 { 104805, ur_m16_u2x8_uart0_lednop },
 { 104806, ur_m16_u2x8_uart0_lednop_pr_u4 },
 { 104807, ur_m16_u2x8_uart0_lednop_pr_ee },
 { 104808, ur_m16_u2x8_uart0_lednop_pr_ee },
 { 104809, ur_m16_u2x8_uart0_lednop_pr_ce },
 { 104810, ur_m16_u2x8_uart0_lednop_pr_ce_u4 },
 { 104811, ur_m16_u2x8_uart0_lednop_pr_ee_ce },
 { 104812, ur_m16_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 104813, ur_m16_u2x8_uart0_lednop_hw },
 { 104814, ur_m16_u2x8_uart0_lednop_ee_hw },
 { 104815, ur_m16_u2x8_uart0_lednop_ce_hw },
 { 104816, ur_m16_u2x8_uart0_lednop_ee_ce_hw },
 { 104817, ur_m16_u2x8_uart0_lednop_ee_ce_hw },
 { 104818, ur_m16_u2x8_uart0_dual },
 { 104819, ur_m16_u2x8_uart0_dual },
 { 104820, ur_m16_u2x8_uart0_dual_pr_u4 },
 { 104821, ur_m16_u2x8_uart0_dual_pr_ee },
 { 104822, ur_m16_u2x8_uart0_dual_pr_ee },
 { 104823, ur_m16_u2x8_uart0_dual_pr_ce },
 { 104824, ur_m16_u2x8_uart0_dual_pr_ce },
 { 104825, ur_m16_u2x8_uart0_dual_pr_ee_ce },
 { 104826, ur_m16_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 104827, ur_m16_u2x8_uart0_dual_hw },
 { 104828, ur_m16_u2x8_uart0_dual_ee_hw },
 { 104829, ur_m16_u2x8_uart0_dual_ce_hw },
 { 104830, ur_m16_u2x8_uart0_dual_ee_ce_hw },
 { 104831, ur_m16_u2x8_uart0_dual_ee_ce_u4_hw },
 { 105000, ur_m16_u2x12_uart0_noled },
 { 105001, ur_m16_u2x12_uart0_noled },
 { 105002, ur_m16_u2x12_uart0_noled_pr_u4 },
 { 105003, ur_m16_u2x12_uart0_noled_pr_ee },
 { 105004, ur_m16_u2x12_uart0_noled_pr_ee },
 { 105005, ur_m16_u2x12_uart0_noled_pr_ce },
 { 105006, ur_m16_u2x12_uart0_noled_pr_ce_u4 },
 { 105007, ur_m16_u2x12_uart0_noled_pr_ee_ce },
 { 105008, ur_m16_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 105009, ur_m16_u2x12_uart0_noled_hw },
 { 105010, ur_m16_u2x12_uart0_noled_ee_hw },
 { 105011, ur_m16_u2x12_uart0_noled_ce_hw },
 { 105012, ur_m16_u2x12_uart0_noled_ee_ce_hw },
 { 105013, ur_m16_u2x12_uart0_noled_ee_ce_hw },
 { 105014, ur_m16_u2x12_uart0_lednop },
 { 105015, ur_m16_u2x12_uart0_lednop },
 { 105016, ur_m16_u2x12_uart0_lednop_pr_u4 },
 { 105017, ur_m16_u2x12_uart0_lednop_pr_ee },
 { 105018, ur_m16_u2x12_uart0_lednop_pr_ee },
 { 105019, ur_m16_u2x12_uart0_lednop_pr_ce },
 { 105020, ur_m16_u2x12_uart0_lednop_pr_ce_u4 },
 { 105021, ur_m16_u2x12_uart0_lednop_pr_ee_ce },
 { 105022, ur_m16_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 105023, ur_m16_u2x12_uart0_lednop_hw },
 { 105024, ur_m16_u2x12_uart0_lednop_ee_hw },
 { 105025, ur_m16_u2x12_uart0_lednop_ce_hw },
 { 105026, ur_m16_u2x12_uart0_lednop_ee_ce_hw },
 { 105027, ur_m16_u2x12_uart0_lednop_ee_ce_hw },
 { 105028, ur_m16_u2x12_uart0_dual },
 { 105029, ur_m16_u2x12_uart0_dual },
 { 105030, ur_m16_u2x12_uart0_dual_pr_u4 },
 { 105031, ur_m16_u2x12_uart0_dual_pr_ee },
 { 105032, ur_m16_u2x12_uart0_dual_pr_ee },
 { 105033, ur_m16_u2x12_uart0_dual_pr_ce },
 { 105034, ur_m16_u2x12_uart0_dual_pr_ce },
 { 105035, ur_m16_u2x12_uart0_dual_pr_ee_ce },
 { 105036, ur_m16_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 105037, ur_m16_u2x12_uart0_dual_hw },
 { 105038, ur_m16_u2x12_uart0_dual_ee_hw },
 { 105039, ur_m16_u2x12_uart0_dual_ce_hw },
 { 105040, ur_m16_u2x12_uart0_dual_ee_ce_hw },
 { 105041, ur_m16_u2x12_uart0_dual_ee_ce_u4_hw },
 { 105210, ur_m16_swio10_noled },
 { 105211, ur_m16_swio10_noled },
 { 105212, ur_m16_swio10_noled_pr_u4 },
 { 105213, ur_m16_swio10_noled_pr_ee },
 { 105214, ur_m16_swio10_noled_pr_ee },
 { 105215, ur_m16_swio10_noled_pr_ce },
 { 105216, ur_m16_swio10_noled_pr_ce },
 { 105217, ur_m16_swio10_noled_pr_ee_ce },
 { 105218, ur_m16_swio10_noled_pr_ee_ce_u4 },
 { 105219, ur_m16_swio10_noled_hw },
 { 105220, ur_m16_swio10_noled_ee_hw },
 { 105221, ur_m16_swio10_noled_ce_hw },
 { 105222, ur_m16_swio10_noled_ee_ce_hw },
 { 105223, ur_m16_swio10_noled_ee_ce_hw },
 { 105224, ur_m16_swio10_lednop },
 { 105225, ur_m16_swio10_lednop_pr },
 { 105226, ur_m16_swio10_lednop_pr },
 { 105227, ur_m16_swio10_lednop_pr_ee },
 { 105228, ur_m16_swio10_lednop_pr_ee_u4 },
 { 105229, ur_m16_swio10_lednop_pr_ce },
 { 105230, ur_m16_swio10_lednop_pr_ce },
 { 105231, ur_m16_swio10_lednop_pr_ee_ce },
 { 105232, ur_m16_swio10_lednop_pr_ee_ce_u4 },
 { 105233, ur_m16_swio10_lednop_hw },
 { 105234, ur_m16_swio10_lednop_ee_hw },
 { 105235, ur_m16_swio10_lednop_ce_hw },
 { 105236, ur_m16_swio10_lednop_ee_ce_hw },
 { 105237, ur_m16_swio10_lednop_ee_ce_hw },
 { 105238, ur_m16_swio10_dual },
 { 105239, ur_m16_swio10_dual },
 { 105240, ur_m16_swio10_dual },
 { 105241, ur_m16_swio10_dual_pr_ee },
 { 105242, ur_m16_swio10_dual_pr_ee_u4 },
 { 105243, ur_m16_swio10_dual_pr_ce },
 { 105244, ur_m16_swio10_dual_pr_ce_u4 },
 { 105245, ur_m16_swio10_dual_pr_ee_ce },
 { 105246, ur_m16_swio10_dual_pr_ee_ce_u4 },
 { 105247, ur_m16_swio10_dual_hw },
 { 105248, ur_m16_swio10_dual_ee_hw },
 { 105249, ur_m16_swio10_dual_ce_hw },
 { 105250, ur_m16_swio10_dual_ee_ce_hw },
 { 105251, ur_m16_swio10_dual_ee_ce_u4_hw },
 { 105252, ur_m16_swio11_noled },
 { 105253, ur_m16_swio11_noled_pr },
 { 105254, ur_m16_swio11_noled_pr },
 { 105255, ur_m16_swio11_noled_pr_ee },
 { 105256, ur_m16_swio11_noled_pr_ee },
 { 105257, ur_m16_swio11_noled_pr_ce },
 { 105258, ur_m16_swio11_noled_pr_ce },
 { 105259, ur_m16_swio11_noled_pr_ee_ce },
 { 105260, ur_m16_swio11_noled_pr_ee_ce_u4 },
 { 105261, ur_m16_swio11_noled_hw },
 { 105262, ur_m16_swio11_noled_ee_hw },
 { 105263, ur_m16_swio11_noled_ce_hw },
 { 105264, ur_m16_swio11_noled_ee_ce_hw },
 { 105265, ur_m16_swio11_noled_ee_ce_hw },
 { 105266, ur_m16_swio11_lednop },
 { 105267, ur_m16_swio11_lednop_pr },
 { 105268, ur_m16_swio11_lednop_pr },
 { 105269, ur_m16_swio11_lednop_pr_ee },
 { 105270, ur_m16_swio11_lednop_pr_ee_u4 },
 { 105271, ur_m16_swio11_lednop_pr_ce },
 { 105272, ur_m16_swio11_lednop_pr_ce },
 { 105273, ur_m16_swio11_lednop_pr_ee_ce },
 { 105274, ur_m16_swio11_lednop_pr_ee_ce_u4 },
 { 105275, ur_m16_swio11_lednop_hw },
 { 105276, ur_m16_swio11_lednop_ee_hw },
 { 105277, ur_m16_swio11_lednop_ce_hw },
 { 105278, ur_m16_swio11_lednop_ee_ce_hw },
 { 105279, ur_m16_swio11_lednop_ee_ce_hw },
 { 105280, ur_m16_swio11_dual },
 { 105281, ur_m16_swio11_dual },
 { 105282, ur_m16_swio11_dual },
 { 105283, ur_m16_swio11_dual_pr_ee },
 { 105284, ur_m16_swio11_dual_pr_ee_u4 },
 { 105285, ur_m16_swio11_dual_pr_ce },
 { 105286, ur_m16_swio11_dual_pr_ce_u4 },
 { 105287, ur_m16_swio11_dual_pr_ee_ce },
 { 105288, ur_m16_swio11_dual_pr_ee_ce_u4 },
 { 105289, ur_m16_swio11_dual_hw },
 { 105290, ur_m16_swio11_dual_ee_hw },
 { 105291, ur_m16_swio11_dual_ce_hw },
 { 105292, ur_m16_swio11_dual_ee_ce_hw },
 { 105293, ur_m16_swio11_dual_ee_ce_u4_hw },
 { 105294, ur_m16_swio11_noled },
 { 105295, ur_m16_swio11_noled_pr },
 { 105296, ur_m16_swio11_noled_pr },
 { 105297, ur_m16_swio11_noled_pr_ee },
 { 105298, ur_m16_swio11_noled_pr_ee },
 { 105299, ur_m16_swio11_noled_pr_ce },
 { 105300, ur_m16_swio11_noled_pr_ce },
 { 105301, ur_m16_swio11_noled_pr_ee_ce },
 { 105302, ur_m16_swio11_noled_pr_ee_ce_u4 },
 { 105303, ur_m16_swio11_noled_hw },
 { 105304, ur_m16_swio11_noled_ee_hw },
 { 105305, ur_m16_swio11_noled_ce_hw },
 { 105306, ur_m16_swio11_noled_ee_ce_hw },
 { 105307, ur_m16_swio11_noled_ee_ce_hw },
 { 105308, ur_m16_swio11_lednop },
 { 105309, ur_m16_swio11_lednop_pr },
 { 105310, ur_m16_swio11_lednop_pr },
 { 105311, ur_m16_swio11_lednop_pr_ee },
 { 105312, ur_m16_swio11_lednop_pr_ee_u4 },
 { 105313, ur_m16_swio11_lednop_pr_ce },
 { 105314, ur_m16_swio11_lednop_pr_ce },
 { 105315, ur_m16_swio11_lednop_pr_ee_ce },
 { 105316, ur_m16_swio11_lednop_pr_ee_ce_u4 },
 { 105317, ur_m16_swio11_lednop_hw },
 { 105318, ur_m16_swio11_lednop_ee_hw },
 { 105319, ur_m16_swio11_lednop_ce_hw },
 { 105320, ur_m16_swio11_lednop_ee_ce_hw },
 { 105321, ur_m16_swio11_lednop_ee_ce_hw },
 { 105322, ur_m16_swio11_dual },
 { 105323, ur_m16_swio11_dual },
 { 105324, ur_m16_swio11_dual },
 { 105325, ur_m16_swio11_dual_pr_ee },
 { 105326, ur_m16_swio11_dual_pr_ee_u4 },
 { 105327, ur_m16_swio11_dual_pr_ce },
 { 105328, ur_m16_swio11_dual_pr_ce_u4 },
 { 105329, ur_m16_swio11_dual_pr_ee_ce },
 { 105330, ur_m16_swio11_dual_pr_ee_ce_u4 },
 { 105331, ur_m16_swio11_dual_hw },
 { 105332, ur_m16_swio11_dual_ee_hw },
 { 105333, ur_m16_swio11_dual_ce_hw },
 { 105334, ur_m16_swio11_dual_ee_ce_hw },
 { 105335, ur_m16_swio11_dual_ee_ce_u4_hw },
 { 105336, ur_m16_swio13_noled },
 { 105337, ur_m16_swio13_noled_pr },
 { 105338, ur_m16_swio13_noled_pr },
 { 105339, ur_m16_swio13_noled_pr_ee },
 { 105340, ur_m16_swio13_noled_pr_ee_u4 },
 { 105341, ur_m16_swio13_noled_pr_ce },
 { 105342, ur_m16_swio13_noled_pr_ce },
 { 105343, ur_m16_swio13_noled_pr_ee_ce },
 { 105344, ur_m16_swio13_noled_pr_ee_ce_u4 },
 { 105345, ur_m16_swio13_noled_hw },
 { 105346, ur_m16_swio13_noled_ee_hw },
 { 105347, ur_m16_swio13_noled_ce_hw },
 { 105348, ur_m16_swio13_noled_ee_ce_hw },
 { 105349, ur_m16_swio13_noled_ee_ce_hw },
 { 105350, ur_m16_swio13_lednop },
 { 105351, ur_m16_swio13_lednop_pr },
 { 105352, ur_m16_swio13_lednop_pr },
 { 105353, ur_m16_swio13_lednop_pr_ee },
 { 105354, ur_m16_swio13_lednop_pr_ee_u4 },
 { 105355, ur_m16_swio13_lednop_pr_ce },
 { 105356, ur_m16_swio13_lednop_pr_ce },
 { 105357, ur_m16_swio13_lednop_pr_ee_ce },
 { 105358, ur_m16_swio13_lednop_pr_ee_ce_u4 },
 { 105359, ur_m16_swio13_lednop_hw },
 { 105360, ur_m16_swio13_lednop_ee_hw },
 { 105361, ur_m16_swio13_lednop_ce_hw },
 { 105362, ur_m16_swio13_lednop_ee_ce_hw },
 { 105363, ur_m16_swio13_lednop_ee_ce_hw },
 { 105364, ur_m16_swio13_dual },
 { 105365, ur_m16_swio13_dual },
 { 105366, ur_m16_swio13_dual },
 { 105367, ur_m16_swio13_dual_pr_ee },
 { 105368, ur_m16_swio13_dual_pr_ee_u4 },
 { 105369, ur_m16_swio13_dual_pr_ce },
 { 105370, ur_m16_swio13_dual_pr_ce_u4 },
 { 105371, ur_m16_swio13_dual_pr_ee_ce },
 { 105372, ur_m16_swio13_dual_pr_ee_ce_u4 },
 { 105373, ur_m16_swio13_dual_hw },
 { 105374, ur_m16_swio13_dual_ee_hw },
 { 105375, ur_m16_swio13_dual_ce_hw },
 { 105376, ur_m16_swio13_dual_ee_ce_hw },
 { 105377, ur_m16_swio13_dual_ee_ce_u4_hw },
 { 105378, ur_m16_swio14_noled },
 { 105379, ur_m16_swio14_noled_pr },
 { 105380, ur_m16_swio14_noled_pr },
 { 105381, ur_m16_swio14_noled_pr_ee },
 { 105382, ur_m16_swio14_noled_pr_ee },
 { 105383, ur_m16_swio14_noled_pr_ce },
 { 105384, ur_m16_swio14_noled_pr_ce },
 { 105385, ur_m16_swio14_noled_pr_ee_ce },
 { 105386, ur_m16_swio14_noled_pr_ee_ce_u4 },
 { 105387, ur_m16_swio14_noled_hw },
 { 105388, ur_m16_swio14_noled_ee_hw },
 { 105389, ur_m16_swio14_noled_ce_hw },
 { 105390, ur_m16_swio14_noled_ee_ce_hw },
 { 105391, ur_m16_swio14_noled_ee_ce_hw },
 { 105392, ur_m16_swio14_lednop },
 { 105393, ur_m16_swio14_lednop_pr },
 { 105394, ur_m16_swio14_lednop_pr },
 { 105395, ur_m16_swio14_lednop_pr_ee },
 { 105396, ur_m16_swio14_lednop_pr_ee_u4 },
 { 105397, ur_m16_swio14_lednop_pr_ce },
 { 105398, ur_m16_swio14_lednop_pr_ce },
 { 105399, ur_m16_swio14_lednop_pr_ee_ce },
 { 105400, ur_m16_swio14_lednop_pr_ee_ce_u4 },
 { 105401, ur_m16_swio14_lednop_hw },
 { 105402, ur_m16_swio14_lednop_ee_hw },
 { 105403, ur_m16_swio14_lednop_ce_hw },
 { 105404, ur_m16_swio14_lednop_ee_ce_hw },
 { 105405, ur_m16_swio14_lednop_ee_ce_hw },
 { 105406, ur_m16_swio14_dual },
 { 105407, ur_m16_swio14_dual },
 { 105408, ur_m16_swio14_dual },
 { 105409, ur_m16_swio14_dual_pr_ee },
 { 105410, ur_m16_swio14_dual_pr_ee_u4 },
 { 105411, ur_m16_swio14_dual_pr_ce },
 { 105412, ur_m16_swio14_dual_pr_ce_u4 },
 { 105413, ur_m16_swio14_dual_pr_ee_ce },
 { 105414, ur_m16_swio14_dual_pr_ee_ce_u4 },
 { 105415, ur_m16_swio14_dual_hw },
 { 105416, ur_m16_swio14_dual_ee_hw },
 { 105417, ur_m16_swio14_dual_ce_hw },
 { 105418, ur_m16_swio14_dual_ee_ce_hw },
 { 105419, ur_m16_swio14_dual_ee_ce_u4_hw },
 { 105420, ur_m16_swio15_noled },
 { 105421, ur_m16_swio15_noled_pr },
 { 105422, ur_m16_swio15_noled_pr },
 { 105423, ur_m16_swio15_noled_pr_ee },
 { 105424, ur_m16_swio15_noled_pr_ee_u4 },
 { 105425, ur_m16_swio15_noled_pr_ce },
 { 105426, ur_m16_swio15_noled_pr_ce },
 { 105427, ur_m16_swio15_noled_pr_ee_ce },
 { 105428, ur_m16_swio15_noled_pr_ee_ce_u4 },
 { 105429, ur_m16_swio15_noled_hw },
 { 105430, ur_m16_swio15_noled_ee_hw },
 { 105431, ur_m16_swio15_noled_ce_hw },
 { 105432, ur_m16_swio15_noled_ee_ce_hw },
 { 105433, ur_m16_swio15_noled_ee_ce_hw },
 { 105434, ur_m16_swio15_lednop },
 { 105435, ur_m16_swio15_lednop_pr },
 { 105436, ur_m16_swio15_lednop_pr },
 { 105437, ur_m16_swio15_lednop_pr_ee },
 { 105438, ur_m16_swio15_lednop_pr_ee_u4 },
 { 105439, ur_m16_swio15_lednop_pr_ce },
 { 105440, ur_m16_swio15_lednop_pr_ce },
 { 105441, ur_m16_swio15_lednop_pr_ee_ce },
 { 105442, ur_m16_swio15_lednop_pr_ee_ce_u4 },
 { 105443, ur_m16_swio15_lednop_hw },
 { 105444, ur_m16_swio15_lednop_ee_hw },
 { 105445, ur_m16_swio15_lednop_ce_hw },
 { 105446, ur_m16_swio15_lednop_ee_ce_hw },
 { 105447, ur_m16_swio15_lednop_ee_ce_hw },
 { 105448, ur_m16_swio15_dual },
 { 105449, ur_m16_swio15_dual },
 { 105450, ur_m16_swio15_dual },
 { 105451, ur_m16_swio15_dual_pr_ee },
 { 105452, ur_m16_swio15_dual_pr_ee_u4 },
 { 105453, ur_m16_swio15_dual_pr_ce },
 { 105454, ur_m16_swio15_dual_pr_ce_u4 },
 { 105455, ur_m16_swio15_dual_pr_ee_ce },
 { 105456, ur_m16_swio15_dual_pr_ee_ce_u4 },
 { 105457, ur_m16_swio15_dual_hw },
 { 105458, ur_m16_swio15_dual_ee_hw },
 { 105459, ur_m16_swio15_dual_ce_hw },
 { 105460, ur_m16_swio15_dual_ee_ce_hw },
 { 105461, ur_m16_swio15_dual_ee_ce_u4_hw },
 { 105462, ur_m16_autobaud_uart0_noled },
 { 105463, ur_m16_autobaud_uart0_noled },
 { 105464, ur_m16_autobaud_uart0_noled_pr_u4 },
 { 105465, ur_m16_autobaud_uart0_noled_pr_ee },
 { 105466, ur_m16_autobaud_uart0_noled_pr_ee },
 { 105467, ur_m16_autobaud_uart0_noled_pr_ce },
 { 105468, ur_m16_autobaud_uart0_noled_pr_ce },
 { 105469, ur_m16_autobaud_uart0_noled_pr_ee_ce },
 { 105470, ur_m16_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 105471, ur_m16_autobaud_uart0_noled_hw },
 { 105472, ur_m16_autobaud_uart0_noled_ee_hw },
 { 105473, ur_m16_autobaud_uart0_noled_ce_hw },
 { 105474, ur_m16_autobaud_uart0_noled_ee_ce_hw },
 { 105475, ur_m16_autobaud_uart0_noled_ee_ce_hw },
 { 105476, ur_m16_autobaud_uart0_lednop },
 { 105477, ur_m16_autobaud_uart0_lednop },
 { 105478, ur_m16_autobaud_uart0_lednop_pr_u4 },
 { 105479, ur_m16_autobaud_uart0_lednop_pr_ee },
 { 105480, ur_m16_autobaud_uart0_lednop_pr_ee },
 { 105481, ur_m16_autobaud_uart0_lednop_pr_ce },
 { 105482, ur_m16_autobaud_uart0_lednop_pr_ce },
 { 105483, ur_m16_autobaud_uart0_lednop_pr_ee_ce },
 { 105484, ur_m16_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 105485, ur_m16_autobaud_uart0_lednop_hw },
 { 105486, ur_m16_autobaud_uart0_lednop_ee_hw },
 { 105487, ur_m16_autobaud_uart0_lednop_ce_hw },
 { 105488, ur_m16_autobaud_uart0_lednop_ee_ce_hw },
 { 105489, ur_m16_autobaud_uart0_lednop_ee_ce_hw },
 { 105490, ur_m16_autobaud_uart0_dual },
 { 105491, ur_m16_autobaud_uart0_dual_pr },
 { 105492, ur_m16_autobaud_uart0_dual_pr_u4 },
 { 105493, ur_m16_autobaud_uart0_dual_pr_ee },
 { 105494, ur_m16_autobaud_uart0_dual_pr_ee },
 { 105495, ur_m16_autobaud_uart0_dual_pr_ce },
 { 105496, ur_m16_autobaud_uart0_dual_pr_ce },
 { 105497, ur_m16_autobaud_uart0_dual_pr_ee_ce },
 { 105498, ur_m16_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 105499, ur_m16_autobaud_uart0_dual_hw },
 { 105500, ur_m16_autobaud_uart0_dual_ee_hw },
 { 105501, ur_m16_autobaud_uart0_dual_ce_hw },
 { 105502, ur_m16_autobaud_uart0_dual_ee_ce_hw },
 { 105503, ur_m16_autobaud_uart0_dual_ee_ce_u4_hw },
 { 105672, ur_m16_u1x8_uart0_noled },
 { 105673, ur_m16_u1x8_uart0_noled },
 { 105674, ur_m16_u1x8_uart0_noled_pr_u4 },
 { 105675, ur_m16_u1x8_uart0_noled_pr_ee },
 { 105676, ur_m16_u1x8_uart0_noled_pr_ee },
 { 105677, ur_m16_u1x8_uart0_noled_pr_ce },
 { 105678, ur_m16_u1x8_uart0_noled_pr_ce_u4 },
 { 105679, ur_m16_u1x8_uart0_noled_pr_ee_ce },
 { 105680, ur_m16_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 105681, ur_m16_u1x8_uart0_noled_hw },
 { 105682, ur_m16_u1x8_uart0_noled_ee_hw },
 { 105683, ur_m16_u1x8_uart0_noled_ce_hw },
 { 105684, ur_m16_u1x8_uart0_noled_ee_ce_hw },
 { 105685, ur_m16_u1x8_uart0_noled_ee_ce_hw },
 { 105686, ur_m16_u1x8_uart0_lednop },
 { 105687, ur_m16_u1x8_uart0_lednop },
 { 105688, ur_m16_u1x8_uart0_lednop_pr_u4 },
 { 105689, ur_m16_u1x8_uart0_lednop_pr_ee },
 { 105690, ur_m16_u1x8_uart0_lednop_pr_ee },
 { 105691, ur_m16_u1x8_uart0_lednop_pr_ce },
 { 105692, ur_m16_u1x8_uart0_lednop_pr_ce_u4 },
 { 105693, ur_m16_u1x8_uart0_lednop_pr_ee_ce },
 { 105694, ur_m16_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 105695, ur_m16_u1x8_uart0_lednop_hw },
 { 105696, ur_m16_u1x8_uart0_lednop_ee_hw },
 { 105697, ur_m16_u1x8_uart0_lednop_ce_hw },
 { 105698, ur_m16_u1x8_uart0_lednop_ee_ce_hw },
 { 105699, ur_m16_u1x8_uart0_lednop_ee_ce_hw },
 { 105700, ur_m16_u1x8_uart0_dual },
 { 105701, ur_m16_u1x8_uart0_dual },
 { 105702, ur_m16_u1x8_uart0_dual_pr_u4 },
 { 105703, ur_m16_u1x8_uart0_dual_pr_ee },
 { 105704, ur_m16_u1x8_uart0_dual_pr_ee },
 { 105705, ur_m16_u1x8_uart0_dual_pr_ce },
 { 105706, ur_m16_u1x8_uart0_dual_pr_ce },
 { 105707, ur_m16_u1x8_uart0_dual_pr_ee_ce },
 { 105708, ur_m16_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 105709, ur_m16_u1x8_uart0_dual_hw },
 { 105710, ur_m16_u1x8_uart0_dual_ee_hw },
 { 105711, ur_m16_u1x8_uart0_dual_ce_hw },
 { 105712, ur_m16_u1x8_uart0_dual_ee_ce_hw },
 { 105713, ur_m16_u1x8_uart0_dual_ee_ce_u4_hw },
 { 105882, ur_m16_u1x12_uart0_noled },
 { 105883, ur_m16_u1x12_uart0_noled },
 { 105884, ur_m16_u1x12_uart0_noled_pr_u4 },
 { 105885, ur_m16_u1x12_uart0_noled_pr_ee },
 { 105886, ur_m16_u1x12_uart0_noled_pr_ee },
 { 105887, ur_m16_u1x12_uart0_noled_pr_ce },
 { 105888, ur_m16_u1x12_uart0_noled_pr_ce_u4 },
 { 105889, ur_m16_u1x12_uart0_noled_pr_ee_ce },
 { 105890, ur_m16_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 105891, ur_m16_u1x12_uart0_noled_hw },
 { 105892, ur_m16_u1x12_uart0_noled_ee_hw },
 { 105893, ur_m16_u1x12_uart0_noled_ce_hw },
 { 105894, ur_m16_u1x12_uart0_noled_ee_ce_hw },
 { 105895, ur_m16_u1x12_uart0_noled_ee_ce_hw },
 { 105896, ur_m16_u1x12_uart0_lednop },
 { 105897, ur_m16_u1x12_uart0_lednop },
 { 105898, ur_m16_u1x12_uart0_lednop_pr_u4 },
 { 105899, ur_m16_u1x12_uart0_lednop_pr_ee },
 { 105900, ur_m16_u1x12_uart0_lednop_pr_ee },
 { 105901, ur_m16_u1x12_uart0_lednop_pr_ce },
 { 105902, ur_m16_u1x12_uart0_lednop_pr_ce_u4 },
 { 105903, ur_m16_u1x12_uart0_lednop_pr_ee_ce },
 { 105904, ur_m16_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 105905, ur_m16_u1x12_uart0_lednop_hw },
 { 105906, ur_m16_u1x12_uart0_lednop_ee_hw },
 { 105907, ur_m16_u1x12_uart0_lednop_ce_hw },
 { 105908, ur_m16_u1x12_uart0_lednop_ee_ce_hw },
 { 105909, ur_m16_u1x12_uart0_lednop_ee_ce_hw },
 { 105910, ur_m16_u1x12_uart0_dual },
 { 105911, ur_m16_u1x12_uart0_dual },
 { 105912, ur_m16_u1x12_uart0_dual_pr_u4 },
 { 105913, ur_m16_u1x12_uart0_dual_pr_ee },
 { 105914, ur_m16_u1x12_uart0_dual_pr_ee },
 { 105915, ur_m16_u1x12_uart0_dual_pr_ce },
 { 105916, ur_m16_u1x12_uart0_dual_pr_ce },
 { 105917, ur_m16_u1x12_uart0_dual_pr_ee_ce },
 { 105918, ur_m16_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 105919, ur_m16_u1x12_uart0_dual_hw },
 { 105920, ur_m16_u1x12_uart0_dual_ee_hw },
 { 105921, ur_m16_u1x12_uart0_dual_ce_hw },
 { 105922, ur_m16_u1x12_uart0_dual_ee_ce_hw },
 { 105923, ur_m16_u1x12_uart0_dual_ee_ce_u4_hw },
 { 106092, ur_m16_u2x8_uart0_noled },
 { 106093, ur_m16_u2x8_uart0_noled },
 { 106094, ur_m16_u2x8_uart0_noled_pr_u4 },
 { 106095, ur_m16_u2x8_uart0_noled_pr_ee },
 { 106096, ur_m16_u2x8_uart0_noled_pr_ee },
 { 106097, ur_m16_u2x8_uart0_noled_pr_ce },
 { 106098, ur_m16_u2x8_uart0_noled_pr_ce_u4 },
 { 106099, ur_m16_u2x8_uart0_noled_pr_ee_ce },
 { 106100, ur_m16_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 106101, ur_m16_u2x8_uart0_noled_hw },
 { 106102, ur_m16_u2x8_uart0_noled_ee_hw },
 { 106103, ur_m16_u2x8_uart0_noled_ce_hw },
 { 106104, ur_m16_u2x8_uart0_noled_ee_ce_hw },
 { 106105, ur_m16_u2x8_uart0_noled_ee_ce_hw },
 { 106106, ur_m16_u2x8_uart0_lednop },
 { 106107, ur_m16_u2x8_uart0_lednop },
 { 106108, ur_m16_u2x8_uart0_lednop_pr_u4 },
 { 106109, ur_m16_u2x8_uart0_lednop_pr_ee },
 { 106110, ur_m16_u2x8_uart0_lednop_pr_ee },
 { 106111, ur_m16_u2x8_uart0_lednop_pr_ce },
 { 106112, ur_m16_u2x8_uart0_lednop_pr_ce_u4 },
 { 106113, ur_m16_u2x8_uart0_lednop_pr_ee_ce },
 { 106114, ur_m16_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 106115, ur_m16_u2x8_uart0_lednop_hw },
 { 106116, ur_m16_u2x8_uart0_lednop_ee_hw },
 { 106117, ur_m16_u2x8_uart0_lednop_ce_hw },
 { 106118, ur_m16_u2x8_uart0_lednop_ee_ce_hw },
 { 106119, ur_m16_u2x8_uart0_lednop_ee_ce_hw },
 { 106120, ur_m16_u2x8_uart0_dual },
 { 106121, ur_m16_u2x8_uart0_dual },
 { 106122, ur_m16_u2x8_uart0_dual_pr_u4 },
 { 106123, ur_m16_u2x8_uart0_dual_pr_ee },
 { 106124, ur_m16_u2x8_uart0_dual_pr_ee },
 { 106125, ur_m16_u2x8_uart0_dual_pr_ce },
 { 106126, ur_m16_u2x8_uart0_dual_pr_ce },
 { 106127, ur_m16_u2x8_uart0_dual_pr_ee_ce },
 { 106128, ur_m16_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 106129, ur_m16_u2x8_uart0_dual_hw },
 { 106130, ur_m16_u2x8_uart0_dual_ee_hw },
 { 106131, ur_m16_u2x8_uart0_dual_ce_hw },
 { 106132, ur_m16_u2x8_uart0_dual_ee_ce_hw },
 { 106133, ur_m16_u2x8_uart0_dual_ee_ce_u4_hw },
 { 106302, ur_m16_u2x12_uart0_noled },
 { 106303, ur_m16_u2x12_uart0_noled },
 { 106304, ur_m16_u2x12_uart0_noled_pr_u4 },
 { 106305, ur_m16_u2x12_uart0_noled_pr_ee },
 { 106306, ur_m16_u2x12_uart0_noled_pr_ee },
 { 106307, ur_m16_u2x12_uart0_noled_pr_ce },
 { 106308, ur_m16_u2x12_uart0_noled_pr_ce_u4 },
 { 106309, ur_m16_u2x12_uart0_noled_pr_ee_ce },
 { 106310, ur_m16_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 106311, ur_m16_u2x12_uart0_noled_hw },
 { 106312, ur_m16_u2x12_uart0_noled_ee_hw },
 { 106313, ur_m16_u2x12_uart0_noled_ce_hw },
 { 106314, ur_m16_u2x12_uart0_noled_ee_ce_hw },
 { 106315, ur_m16_u2x12_uart0_noled_ee_ce_hw },
 { 106316, ur_m16_u2x12_uart0_lednop },
 { 106317, ur_m16_u2x12_uart0_lednop },
 { 106318, ur_m16_u2x12_uart0_lednop_pr_u4 },
 { 106319, ur_m16_u2x12_uart0_lednop_pr_ee },
 { 106320, ur_m16_u2x12_uart0_lednop_pr_ee },
 { 106321, ur_m16_u2x12_uart0_lednop_pr_ce },
 { 106322, ur_m16_u2x12_uart0_lednop_pr_ce_u4 },
 { 106323, ur_m16_u2x12_uart0_lednop_pr_ee_ce },
 { 106324, ur_m16_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 106325, ur_m16_u2x12_uart0_lednop_hw },
 { 106326, ur_m16_u2x12_uart0_lednop_ee_hw },
 { 106327, ur_m16_u2x12_uart0_lednop_ce_hw },
 { 106328, ur_m16_u2x12_uart0_lednop_ee_ce_hw },
 { 106329, ur_m16_u2x12_uart0_lednop_ee_ce_hw },
 { 106330, ur_m16_u2x12_uart0_dual },
 { 106331, ur_m16_u2x12_uart0_dual },
 { 106332, ur_m16_u2x12_uart0_dual_pr_u4 },
 { 106333, ur_m16_u2x12_uart0_dual_pr_ee },
 { 106334, ur_m16_u2x12_uart0_dual_pr_ee },
 { 106335, ur_m16_u2x12_uart0_dual_pr_ce },
 { 106336, ur_m16_u2x12_uart0_dual_pr_ce },
 { 106337, ur_m16_u2x12_uart0_dual_pr_ee_ce },
 { 106338, ur_m16_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 106339, ur_m16_u2x12_uart0_dual_hw },
 { 106340, ur_m16_u2x12_uart0_dual_ee_hw },
 { 106341, ur_m16_u2x12_uart0_dual_ce_hw },
 { 106342, ur_m16_u2x12_uart0_dual_ee_ce_hw },
 { 106343, ur_m16_u2x12_uart0_dual_ee_ce_u4_hw },
 { 106512, ur_m16_swio10_noled },
 { 106513, ur_m16_swio10_noled },
 { 106514, ur_m16_swio10_noled_pr_u4 },
 { 106515, ur_m16_swio10_noled_pr_ee },
 { 106516, ur_m16_swio10_noled_pr_ee },
 { 106517, ur_m16_swio10_noled_pr_ce },
 { 106518, ur_m16_swio10_noled_pr_ce },
 { 106519, ur_m16_swio10_noled_pr_ee_ce },
 { 106520, ur_m16_swio10_noled_pr_ee_ce_u4 },
 { 106521, ur_m16_swio10_noled_hw },
 { 106522, ur_m16_swio10_noled_ee_hw },
 { 106523, ur_m16_swio10_noled_ce_hw },
 { 106524, ur_m16_swio10_noled_ee_ce_hw },
 { 106525, ur_m16_swio10_noled_ee_ce_hw },
 { 106526, ur_m16_swio10_lednop },
 { 106527, ur_m16_swio10_lednop_pr },
 { 106528, ur_m16_swio10_lednop_pr },
 { 106529, ur_m16_swio10_lednop_pr_ee },
 { 106530, ur_m16_swio10_lednop_pr_ee_u4 },
 { 106531, ur_m16_swio10_lednop_pr_ce },
 { 106532, ur_m16_swio10_lednop_pr_ce },
 { 106533, ur_m16_swio10_lednop_pr_ee_ce },
 { 106534, ur_m16_swio10_lednop_pr_ee_ce_u4 },
 { 106535, ur_m16_swio10_lednop_hw },
 { 106536, ur_m16_swio10_lednop_ee_hw },
 { 106537, ur_m16_swio10_lednop_ce_hw },
 { 106538, ur_m16_swio10_lednop_ee_ce_hw },
 { 106539, ur_m16_swio10_lednop_ee_ce_hw },
 { 106540, ur_m16_swio10_dual },
 { 106541, ur_m16_swio10_dual },
 { 106542, ur_m16_swio10_dual },
 { 106543, ur_m16_swio10_dual_pr_ee },
 { 106544, ur_m16_swio10_dual_pr_ee_u4 },
 { 106545, ur_m16_swio10_dual_pr_ce },
 { 106546, ur_m16_swio10_dual_pr_ce_u4 },
 { 106547, ur_m16_swio10_dual_pr_ee_ce },
 { 106548, ur_m16_swio10_dual_pr_ee_ce_u4 },
 { 106549, ur_m16_swio10_dual_hw },
 { 106550, ur_m16_swio10_dual_ee_hw },
 { 106551, ur_m16_swio10_dual_ce_hw },
 { 106552, ur_m16_swio10_dual_ee_ce_hw },
 { 106553, ur_m16_swio10_dual_ee_ce_u4_hw },
 { 106554, ur_m16_swio11_noled },
 { 106555, ur_m16_swio11_noled_pr },
 { 106556, ur_m16_swio11_noled_pr },
 { 106557, ur_m16_swio11_noled_pr_ee },
 { 106558, ur_m16_swio11_noled_pr_ee },
 { 106559, ur_m16_swio11_noled_pr_ce },
 { 106560, ur_m16_swio11_noled_pr_ce },
 { 106561, ur_m16_swio11_noled_pr_ee_ce },
 { 106562, ur_m16_swio11_noled_pr_ee_ce_u4 },
 { 106563, ur_m16_swio11_noled_hw },
 { 106564, ur_m16_swio11_noled_ee_hw },
 { 106565, ur_m16_swio11_noled_ce_hw },
 { 106566, ur_m16_swio11_noled_ee_ce_hw },
 { 106567, ur_m16_swio11_noled_ee_ce_hw },
 { 106568, ur_m16_swio11_lednop },
 { 106569, ur_m16_swio11_lednop_pr },
 { 106570, ur_m16_swio11_lednop_pr },
 { 106571, ur_m16_swio11_lednop_pr_ee },
 { 106572, ur_m16_swio11_lednop_pr_ee_u4 },
 { 106573, ur_m16_swio11_lednop_pr_ce },
 { 106574, ur_m16_swio11_lednop_pr_ce },
 { 106575, ur_m16_swio11_lednop_pr_ee_ce },
 { 106576, ur_m16_swio11_lednop_pr_ee_ce_u4 },
 { 106577, ur_m16_swio11_lednop_hw },
 { 106578, ur_m16_swio11_lednop_ee_hw },
 { 106579, ur_m16_swio11_lednop_ce_hw },
 { 106580, ur_m16_swio11_lednop_ee_ce_hw },
 { 106581, ur_m16_swio11_lednop_ee_ce_hw },
 { 106582, ur_m16_swio11_dual },
 { 106583, ur_m16_swio11_dual },
 { 106584, ur_m16_swio11_dual },
 { 106585, ur_m16_swio11_dual_pr_ee },
 { 106586, ur_m16_swio11_dual_pr_ee_u4 },
 { 106587, ur_m16_swio11_dual_pr_ce },
 { 106588, ur_m16_swio11_dual_pr_ce_u4 },
 { 106589, ur_m16_swio11_dual_pr_ee_ce },
 { 106590, ur_m16_swio11_dual_pr_ee_ce_u4 },
 { 106591, ur_m16_swio11_dual_hw },
 { 106592, ur_m16_swio11_dual_ee_hw },
 { 106593, ur_m16_swio11_dual_ce_hw },
 { 106594, ur_m16_swio11_dual_ee_ce_hw },
 { 106595, ur_m16_swio11_dual_ee_ce_u4_hw },
 { 106596, ur_m16_swio11_noled },
 { 106597, ur_m16_swio11_noled_pr },
 { 106598, ur_m16_swio11_noled_pr },
 { 106599, ur_m16_swio11_noled_pr_ee },
 { 106600, ur_m16_swio11_noled_pr_ee },
 { 106601, ur_m16_swio11_noled_pr_ce },
 { 106602, ur_m16_swio11_noled_pr_ce },
 { 106603, ur_m16_swio11_noled_pr_ee_ce },
 { 106604, ur_m16_swio11_noled_pr_ee_ce_u4 },
 { 106605, ur_m16_swio11_noled_hw },
 { 106606, ur_m16_swio11_noled_ee_hw },
 { 106607, ur_m16_swio11_noled_ce_hw },
 { 106608, ur_m16_swio11_noled_ee_ce_hw },
 { 106609, ur_m16_swio11_noled_ee_ce_hw },
 { 106610, ur_m16_swio11_lednop },
 { 106611, ur_m16_swio11_lednop_pr },
 { 106612, ur_m16_swio11_lednop_pr },
 { 106613, ur_m16_swio11_lednop_pr_ee },
 { 106614, ur_m16_swio11_lednop_pr_ee_u4 },
 { 106615, ur_m16_swio11_lednop_pr_ce },
 { 106616, ur_m16_swio11_lednop_pr_ce },
 { 106617, ur_m16_swio11_lednop_pr_ee_ce },
 { 106618, ur_m16_swio11_lednop_pr_ee_ce_u4 },
 { 106619, ur_m16_swio11_lednop_hw },
 { 106620, ur_m16_swio11_lednop_ee_hw },
 { 106621, ur_m16_swio11_lednop_ce_hw },
 { 106622, ur_m16_swio11_lednop_ee_ce_hw },
 { 106623, ur_m16_swio11_lednop_ee_ce_hw },
 { 106624, ur_m16_swio11_dual },
 { 106625, ur_m16_swio11_dual },
 { 106626, ur_m16_swio11_dual },
 { 106627, ur_m16_swio11_dual_pr_ee },
 { 106628, ur_m16_swio11_dual_pr_ee_u4 },
 { 106629, ur_m16_swio11_dual_pr_ce },
 { 106630, ur_m16_swio11_dual_pr_ce_u4 },
 { 106631, ur_m16_swio11_dual_pr_ee_ce },
 { 106632, ur_m16_swio11_dual_pr_ee_ce_u4 },
 { 106633, ur_m16_swio11_dual_hw },
 { 106634, ur_m16_swio11_dual_ee_hw },
 { 106635, ur_m16_swio11_dual_ce_hw },
 { 106636, ur_m16_swio11_dual_ee_ce_hw },
 { 106637, ur_m16_swio11_dual_ee_ce_u4_hw },
 { 106638, ur_m16_swio13_noled },
 { 106639, ur_m16_swio13_noled_pr },
 { 106640, ur_m16_swio13_noled_pr },
 { 106641, ur_m16_swio13_noled_pr_ee },
 { 106642, ur_m16_swio13_noled_pr_ee_u4 },
 { 106643, ur_m16_swio13_noled_pr_ce },
 { 106644, ur_m16_swio13_noled_pr_ce },
 { 106645, ur_m16_swio13_noled_pr_ee_ce },
 { 106646, ur_m16_swio13_noled_pr_ee_ce_u4 },
 { 106647, ur_m16_swio13_noled_hw },
 { 106648, ur_m16_swio13_noled_ee_hw },
 { 106649, ur_m16_swio13_noled_ce_hw },
 { 106650, ur_m16_swio13_noled_ee_ce_hw },
 { 106651, ur_m16_swio13_noled_ee_ce_hw },
 { 106652, ur_m16_swio13_lednop },
 { 106653, ur_m16_swio13_lednop_pr },
 { 106654, ur_m16_swio13_lednop_pr },
 { 106655, ur_m16_swio13_lednop_pr_ee },
 { 106656, ur_m16_swio13_lednop_pr_ee_u4 },
 { 106657, ur_m16_swio13_lednop_pr_ce },
 { 106658, ur_m16_swio13_lednop_pr_ce },
 { 106659, ur_m16_swio13_lednop_pr_ee_ce },
 { 106660, ur_m16_swio13_lednop_pr_ee_ce_u4 },
 { 106661, ur_m16_swio13_lednop_hw },
 { 106662, ur_m16_swio13_lednop_ee_hw },
 { 106663, ur_m16_swio13_lednop_ce_hw },
 { 106664, ur_m16_swio13_lednop_ee_ce_hw },
 { 106665, ur_m16_swio13_lednop_ee_ce_hw },
 { 106666, ur_m16_swio13_dual },
 { 106667, ur_m16_swio13_dual },
 { 106668, ur_m16_swio13_dual },
 { 106669, ur_m16_swio13_dual_pr_ee },
 { 106670, ur_m16_swio13_dual_pr_ee_u4 },
 { 106671, ur_m16_swio13_dual_pr_ce },
 { 106672, ur_m16_swio13_dual_pr_ce_u4 },
 { 106673, ur_m16_swio13_dual_pr_ee_ce },
 { 106674, ur_m16_swio13_dual_pr_ee_ce_u4 },
 { 106675, ur_m16_swio13_dual_hw },
 { 106676, ur_m16_swio13_dual_ee_hw },
 { 106677, ur_m16_swio13_dual_ce_hw },
 { 106678, ur_m16_swio13_dual_ee_ce_hw },
 { 106679, ur_m16_swio13_dual_ee_ce_u4_hw },
 { 106680, ur_m16_swio14_noled },
 { 106681, ur_m16_swio14_noled_pr },
 { 106682, ur_m16_swio14_noled_pr },
 { 106683, ur_m16_swio14_noled_pr_ee },
 { 106684, ur_m16_swio14_noled_pr_ee },
 { 106685, ur_m16_swio14_noled_pr_ce },
 { 106686, ur_m16_swio14_noled_pr_ce },
 { 106687, ur_m16_swio14_noled_pr_ee_ce },
 { 106688, ur_m16_swio14_noled_pr_ee_ce_u4 },
 { 106689, ur_m16_swio14_noled_hw },
 { 106690, ur_m16_swio14_noled_ee_hw },
 { 106691, ur_m16_swio14_noled_ce_hw },
 { 106692, ur_m16_swio14_noled_ee_ce_hw },
 { 106693, ur_m16_swio14_noled_ee_ce_hw },
 { 106694, ur_m16_swio14_lednop },
 { 106695, ur_m16_swio14_lednop_pr },
 { 106696, ur_m16_swio14_lednop_pr },
 { 106697, ur_m16_swio14_lednop_pr_ee },
 { 106698, ur_m16_swio14_lednop_pr_ee_u4 },
 { 106699, ur_m16_swio14_lednop_pr_ce },
 { 106700, ur_m16_swio14_lednop_pr_ce },
 { 106701, ur_m16_swio14_lednop_pr_ee_ce },
 { 106702, ur_m16_swio14_lednop_pr_ee_ce_u4 },
 { 106703, ur_m16_swio14_lednop_hw },
 { 106704, ur_m16_swio14_lednop_ee_hw },
 { 106705, ur_m16_swio14_lednop_ce_hw },
 { 106706, ur_m16_swio14_lednop_ee_ce_hw },
 { 106707, ur_m16_swio14_lednop_ee_ce_hw },
 { 106708, ur_m16_swio14_dual },
 { 106709, ur_m16_swio14_dual },
 { 106710, ur_m16_swio14_dual },
 { 106711, ur_m16_swio14_dual_pr_ee },
 { 106712, ur_m16_swio14_dual_pr_ee_u4 },
 { 106713, ur_m16_swio14_dual_pr_ce },
 { 106714, ur_m16_swio14_dual_pr_ce_u4 },
 { 106715, ur_m16_swio14_dual_pr_ee_ce },
 { 106716, ur_m16_swio14_dual_pr_ee_ce_u4 },
 { 106717, ur_m16_swio14_dual_hw },
 { 106718, ur_m16_swio14_dual_ee_hw },
 { 106719, ur_m16_swio14_dual_ce_hw },
 { 106720, ur_m16_swio14_dual_ee_ce_hw },
 { 106721, ur_m16_swio14_dual_ee_ce_u4_hw },
 { 106722, ur_m16_swio15_noled },
 { 106723, ur_m16_swio15_noled_pr },
 { 106724, ur_m16_swio15_noled_pr },
 { 106725, ur_m16_swio15_noled_pr_ee },
 { 106726, ur_m16_swio15_noled_pr_ee_u4 },
 { 106727, ur_m16_swio15_noled_pr_ce },
 { 106728, ur_m16_swio15_noled_pr_ce },
 { 106729, ur_m16_swio15_noled_pr_ee_ce },
 { 106730, ur_m16_swio15_noled_pr_ee_ce_u4 },
 { 106731, ur_m16_swio15_noled_hw },
 { 106732, ur_m16_swio15_noled_ee_hw },
 { 106733, ur_m16_swio15_noled_ce_hw },
 { 106734, ur_m16_swio15_noled_ee_ce_hw },
 { 106735, ur_m16_swio15_noled_ee_ce_hw },
 { 106736, ur_m16_swio15_lednop },
 { 106737, ur_m16_swio15_lednop_pr },
 { 106738, ur_m16_swio15_lednop_pr },
 { 106739, ur_m16_swio15_lednop_pr_ee },
 { 106740, ur_m16_swio15_lednop_pr_ee_u4 },
 { 106741, ur_m16_swio15_lednop_pr_ce },
 { 106742, ur_m16_swio15_lednop_pr_ce },
 { 106743, ur_m16_swio15_lednop_pr_ee_ce },
 { 106744, ur_m16_swio15_lednop_pr_ee_ce_u4 },
 { 106745, ur_m16_swio15_lednop_hw },
 { 106746, ur_m16_swio15_lednop_ee_hw },
 { 106747, ur_m16_swio15_lednop_ce_hw },
 { 106748, ur_m16_swio15_lednop_ee_ce_hw },
 { 106749, ur_m16_swio15_lednop_ee_ce_hw },
 { 106750, ur_m16_swio15_dual },
 { 106751, ur_m16_swio15_dual },
 { 106752, ur_m16_swio15_dual },
 { 106753, ur_m16_swio15_dual_pr_ee },
 { 106754, ur_m16_swio15_dual_pr_ee_u4 },
 { 106755, ur_m16_swio15_dual_pr_ce },
 { 106756, ur_m16_swio15_dual_pr_ce_u4 },
 { 106757, ur_m16_swio15_dual_pr_ee_ce },
 { 106758, ur_m16_swio15_dual_pr_ee_ce_u4 },
 { 106759, ur_m16_swio15_dual_hw },
 { 106760, ur_m16_swio15_dual_ee_hw },
 { 106761, ur_m16_swio15_dual_ce_hw },
 { 106762, ur_m16_swio15_dual_ee_ce_hw },
 { 106763, ur_m16_swio15_dual_ee_ce_u4_hw },
 { 107814, ur_m16hva_swio10_noled },
 { 107815, ur_m16hva_swio10_noled },
 { 107816, ur_m16hva_swio10_noled_pr_u4 },
 { 107817, ur_m16hva_swio10_noled_pr_ee },
 { 107818, ur_m16hva_swio10_noled_pr_ee },
 { 107819, ur_m16hva_swio10_noled_pr_ce },
 { 107820, ur_m16hva_swio10_noled_pr_ce },
 { 107821, ur_m16hva_swio10_noled_pr_ee_ce },
 { 107822, ur_m16hva_swio10_noled_pr_ee_ce_u4 },
 { 107828, ur_m16hva_swio10_lednop },
 { 107829, ur_m16hva_swio10_lednop_pr },
 { 107830, ur_m16hva_swio10_lednop_pr },
 { 107831, ur_m16hva_swio10_lednop_pr_ee },
 { 107832, ur_m16hva_swio10_lednop_pr_ee },
 { 107833, ur_m16hva_swio10_lednop_pr_ce },
 { 107834, ur_m16hva_swio10_lednop_pr_ce },
 { 107835, ur_m16hva_swio10_lednop_pr_ee_ce },
 { 107836, ur_m16hva_swio10_lednop_pr_ee_ce_u4 },
 { 107842, ur_m16hva_swio10_dual },
 { 107843, ur_m16hva_swio10_dual },
 { 107844, ur_m16hva_swio10_dual },
 { 107845, ur_m16hva_swio10_dual_pr_ee },
 { 107846, ur_m16hva_swio10_dual_pr_ee_u4 },
 { 107847, ur_m16hva_swio10_dual_pr_ce },
 { 107848, ur_m16hva_swio10_dual_pr_ce_u4 },
 { 107849, ur_m16hva_swio10_dual_pr_ee_ce },
 { 107850, ur_m16hva_swio10_dual_pr_ee_ce_u4 },
 { 107856, ur_m16hva_swio11_noled },
 { 107857, ur_m16hva_swio11_noled_pr },
 { 107858, ur_m16hva_swio11_noled_pr },
 { 107859, ur_m16hva_swio11_noled_pr_ee },
 { 107860, ur_m16hva_swio11_noled_pr_ee },
 { 107861, ur_m16hva_swio11_noled_pr_ce },
 { 107862, ur_m16hva_swio11_noled_pr_ce },
 { 107863, ur_m16hva_swio11_noled_pr_ee_ce },
 { 107864, ur_m16hva_swio11_noled_pr_ee_ce_u4 },
 { 107870, ur_m16hva_swio11_lednop },
 { 107871, ur_m16hva_swio11_lednop_pr },
 { 107872, ur_m16hva_swio11_lednop_pr },
 { 107873, ur_m16hva_swio11_lednop_pr_ee },
 { 107874, ur_m16hva_swio11_lednop_pr_ee_u4 },
 { 107875, ur_m16hva_swio11_lednop_pr_ce },
 { 107876, ur_m16hva_swio11_lednop_pr_ce },
 { 107877, ur_m16hva_swio11_lednop_pr_ee_ce },
 { 107878, ur_m16hva_swio11_lednop_pr_ee_ce_u4 },
 { 107884, ur_m16hva_swio11_dual },
 { 107885, ur_m16hva_swio11_dual },
 { 107886, ur_m16hva_swio11_dual },
 { 107887, ur_m16hva_swio11_dual_pr_ee },
 { 107888, ur_m16hva_swio11_dual_pr_ee_u4 },
 { 107889, ur_m16hva_swio11_dual_pr_ce },
 { 107890, ur_m16hva_swio11_dual_pr_ce_u4 },
 { 107891, ur_m16hva_swio11_dual_pr_ee_ce },
 { 107892, ur_m16hva_swio11_dual_pr_ee_ce_u4 },
 { 107898, ur_m16hva_swio11_noled },
 { 107899, ur_m16hva_swio11_noled_pr },
 { 107900, ur_m16hva_swio11_noled_pr },
 { 107901, ur_m16hva_swio11_noled_pr_ee },
 { 107902, ur_m16hva_swio11_noled_pr_ee },
 { 107903, ur_m16hva_swio11_noled_pr_ce },
 { 107904, ur_m16hva_swio11_noled_pr_ce },
 { 107905, ur_m16hva_swio11_noled_pr_ee_ce },
 { 107906, ur_m16hva_swio11_noled_pr_ee_ce_u4 },
 { 107912, ur_m16hva_swio11_lednop },
 { 107913, ur_m16hva_swio11_lednop_pr },
 { 107914, ur_m16hva_swio11_lednop_pr },
 { 107915, ur_m16hva_swio11_lednop_pr_ee },
 { 107916, ur_m16hva_swio11_lednop_pr_ee_u4 },
 { 107917, ur_m16hva_swio11_lednop_pr_ce },
 { 107918, ur_m16hva_swio11_lednop_pr_ce },
 { 107919, ur_m16hva_swio11_lednop_pr_ee_ce },
 { 107920, ur_m16hva_swio11_lednop_pr_ee_ce_u4 },
 { 107926, ur_m16hva_swio11_dual },
 { 107927, ur_m16hva_swio11_dual },
 { 107928, ur_m16hva_swio11_dual },
 { 107929, ur_m16hva_swio11_dual_pr_ee },
 { 107930, ur_m16hva_swio11_dual_pr_ee_u4 },
 { 107931, ur_m16hva_swio11_dual_pr_ce },
 { 107932, ur_m16hva_swio11_dual_pr_ce_u4 },
 { 107933, ur_m16hva_swio11_dual_pr_ee_ce },
 { 107934, ur_m16hva_swio11_dual_pr_ee_ce_u4 },
 { 107940, ur_m16hva_swio13_noled },
 { 107941, ur_m16hva_swio13_noled_pr },
 { 107942, ur_m16hva_swio13_noled_pr },
 { 107943, ur_m16hva_swio13_noled_pr_ee },
 { 107944, ur_m16hva_swio13_noled_pr_ee },
 { 107945, ur_m16hva_swio13_noled_pr_ce },
 { 107946, ur_m16hva_swio13_noled_pr_ce },
 { 107947, ur_m16hva_swio13_noled_pr_ee_ce },
 { 107948, ur_m16hva_swio13_noled_pr_ee_ce_u4 },
 { 107954, ur_m16hva_swio13_lednop },
 { 107955, ur_m16hva_swio13_lednop_pr },
 { 107956, ur_m16hva_swio13_lednop_pr },
 { 107957, ur_m16hva_swio13_lednop_pr_ee },
 { 107958, ur_m16hva_swio13_lednop_pr_ee_u4 },
 { 107959, ur_m16hva_swio13_lednop_pr_ce },
 { 107960, ur_m16hva_swio13_lednop_pr_ce },
 { 107961, ur_m16hva_swio13_lednop_pr_ee_ce },
 { 107962, ur_m16hva_swio13_lednop_pr_ee_ce_u4 },
 { 107968, ur_m16hva_swio13_dual },
 { 107969, ur_m16hva_swio13_dual },
 { 107970, ur_m16hva_swio13_dual },
 { 107971, ur_m16hva_swio13_dual_pr_ee },
 { 107972, ur_m16hva_swio13_dual_pr_ee_u4 },
 { 107973, ur_m16hva_swio13_dual_pr_ce },
 { 107974, ur_m16hva_swio13_dual_pr_ce_u4 },
 { 107975, ur_m16hva_swio13_dual_pr_ee_ce },
 { 107976, ur_m16hva_swio13_dual_pr_ee_ce_u4 },
 { 107982, ur_m16hva_swio14_noled },
 { 107983, ur_m16hva_swio14_noled_pr },
 { 107984, ur_m16hva_swio14_noled_pr },
 { 107985, ur_m16hva_swio14_noled_pr_ee },
 { 107986, ur_m16hva_swio14_noled_pr_ee },
 { 107987, ur_m16hva_swio14_noled_pr_ce },
 { 107988, ur_m16hva_swio14_noled_pr_ce },
 { 107989, ur_m16hva_swio14_noled_pr_ee_ce },
 { 107990, ur_m16hva_swio14_noled_pr_ee_ce_u4 },
 { 107996, ur_m16hva_swio14_lednop },
 { 107997, ur_m16hva_swio14_lednop_pr },
 { 107998, ur_m16hva_swio14_lednop_pr },
 { 107999, ur_m16hva_swio14_lednop_pr_ee },
 { 108000, ur_m16hva_swio14_lednop_pr_ee_u4 },
 { 108001, ur_m16hva_swio14_lednop_pr_ce },
 { 108002, ur_m16hva_swio14_lednop_pr_ce },
 { 108003, ur_m16hva_swio14_lednop_pr_ee_ce },
 { 108004, ur_m16hva_swio14_lednop_pr_ee_ce_u4 },
 { 108010, ur_m16hva_swio14_dual },
 { 108011, ur_m16hva_swio14_dual },
 { 108012, ur_m16hva_swio14_dual },
 { 108013, ur_m16hva_swio14_dual_pr_ee },
 { 108014, ur_m16hva_swio14_dual_pr_ee_u4 },
 { 108015, ur_m16hva_swio14_dual_pr_ce },
 { 108016, ur_m16hva_swio14_dual_pr_ce_u4 },
 { 108017, ur_m16hva_swio14_dual_pr_ee_ce },
 { 108018, ur_m16hva_swio14_dual_pr_ee_ce_u4 },
 { 108024, ur_m16hva_swio15_noled },
 { 108025, ur_m16hva_swio15_noled_pr },
 { 108026, ur_m16hva_swio15_noled_pr },
 { 108027, ur_m16hva_swio15_noled_pr_ee },
 { 108028, ur_m16hva_swio15_noled_pr_ee },
 { 108029, ur_m16hva_swio15_noled_pr_ce },
 { 108030, ur_m16hva_swio15_noled_pr_ce },
 { 108031, ur_m16hva_swio15_noled_pr_ee_ce },
 { 108032, ur_m16hva_swio15_noled_pr_ee_ce_u4 },
 { 108038, ur_m16hva_swio15_lednop },
 { 108039, ur_m16hva_swio15_lednop_pr },
 { 108040, ur_m16hva_swio15_lednop_pr },
 { 108041, ur_m16hva_swio15_lednop_pr_ee },
 { 108042, ur_m16hva_swio15_lednop_pr_ee_u4 },
 { 108043, ur_m16hva_swio15_lednop_pr_ce },
 { 108044, ur_m16hva_swio15_lednop_pr_ce },
 { 108045, ur_m16hva_swio15_lednop_pr_ee_ce },
 { 108046, ur_m16hva_swio15_lednop_pr_ee_ce_u4 },
 { 108052, ur_m16hva_swio15_dual },
 { 108053, ur_m16hva_swio15_dual },
 { 108054, ur_m16hva_swio15_dual },
 { 108055, ur_m16hva_swio15_dual_pr_ee },
 { 108056, ur_m16hva_swio15_dual_pr_ee_u4 },
 { 108057, ur_m16hva_swio15_dual_pr_ce },
 { 108058, ur_m16hva_swio15_dual_pr_ce_u4 },
 { 108059, ur_m16hva_swio15_dual_pr_ee_ce },
 { 108060, ur_m16hva_swio15_dual_pr_ee_ce_u4 },
 { 109116, ur_m16hvb_swio10_noled },
 { 109117, ur_m16hvb_swio10_noled },
 { 109118, ur_m16hvb_swio10_noled_pr_u4 },
 { 109119, ur_m16hvb_swio10_noled_pr_ee },
 { 109120, ur_m16hvb_swio10_noled_pr_ee },
 { 109121, ur_m16hvb_swio10_noled_pr_ce },
 { 109122, ur_m16hvb_swio10_noled_pr_ce },
 { 109123, ur_m16hvb_swio10_noled_pr_ee_ce },
 { 109124, ur_m16hvb_swio10_noled_pr_ee_ce_u4 },
 { 109126, ur_m16hvb_swio10_noled_ee_hw },
 { 109128, ur_m16hvb_swio10_noled_ee_ce_hw },
 { 109129, ur_m16hvb_swio10_noled_ee_ce_hw },
 { 109130, ur_m16hvb_swio10_lednop },
 { 109131, ur_m16hvb_swio10_lednop_pr },
 { 109132, ur_m16hvb_swio10_lednop_pr },
 { 109133, ur_m16hvb_swio10_lednop_pr_ee },
 { 109134, ur_m16hvb_swio10_lednop_pr_ee },
 { 109135, ur_m16hvb_swio10_lednop_pr_ce },
 { 109136, ur_m16hvb_swio10_lednop_pr_ce },
 { 109137, ur_m16hvb_swio10_lednop_pr_ee_ce },
 { 109138, ur_m16hvb_swio10_lednop_pr_ee_ce_u4 },
 { 109140, ur_m16hvb_swio10_lednop_ee_hw },
 { 109142, ur_m16hvb_swio10_lednop_ee_ce_hw },
 { 109143, ur_m16hvb_swio10_lednop_ee_ce_hw },
 { 109144, ur_m16hvb_swio10_dual },
 { 109145, ur_m16hvb_swio10_dual },
 { 109146, ur_m16hvb_swio10_dual },
 { 109147, ur_m16hvb_swio10_dual_pr_ee },
 { 109148, ur_m16hvb_swio10_dual_pr_ee_u4 },
 { 109149, ur_m16hvb_swio10_dual_pr_ce },
 { 109150, ur_m16hvb_swio10_dual_pr_ce_u4 },
 { 109151, ur_m16hvb_swio10_dual_pr_ee_ce },
 { 109152, ur_m16hvb_swio10_dual_pr_ee_ce_u4 },
 { 109154, ur_m16hvb_swio10_dual_ee_hw },
 { 109156, ur_m16hvb_swio10_dual_ee_ce_hw },
 { 109157, ur_m16hvb_swio10_dual_ee_ce_u4_hw },
 { 109158, ur_m16hvb_swio11_noled },
 { 109159, ur_m16hvb_swio11_noled },
 { 109160, ur_m16hvb_swio11_noled_pr_u4 },
 { 109161, ur_m16hvb_swio11_noled_pr_ee },
 { 109162, ur_m16hvb_swio11_noled_pr_ee },
 { 109163, ur_m16hvb_swio11_noled_pr_ce },
 { 109164, ur_m16hvb_swio11_noled_pr_ce },
 { 109165, ur_m16hvb_swio11_noled_pr_ee_ce },
 { 109166, ur_m16hvb_swio11_noled_pr_ee_ce_u4 },
 { 109168, ur_m16hvb_swio11_noled_ee_hw },
 { 109170, ur_m16hvb_swio11_noled_ee_ce_hw },
 { 109171, ur_m16hvb_swio11_noled_ee_ce_hw },
 { 109172, ur_m16hvb_swio11_lednop },
 { 109173, ur_m16hvb_swio11_lednop_pr },
 { 109174, ur_m16hvb_swio11_lednop_pr },
 { 109175, ur_m16hvb_swio11_lednop_pr_ee },
 { 109176, ur_m16hvb_swio11_lednop_pr_ee_u4 },
 { 109177, ur_m16hvb_swio11_lednop_pr_ce },
 { 109178, ur_m16hvb_swio11_lednop_pr_ce },
 { 109179, ur_m16hvb_swio11_lednop_pr_ee_ce },
 { 109180, ur_m16hvb_swio11_lednop_pr_ee_ce_u4 },
 { 109182, ur_m16hvb_swio11_lednop_ee_hw },
 { 109184, ur_m16hvb_swio11_lednop_ee_ce_hw },
 { 109185, ur_m16hvb_swio11_lednop_ee_ce_hw },
 { 109186, ur_m16hvb_swio11_dual },
 { 109187, ur_m16hvb_swio11_dual },
 { 109188, ur_m16hvb_swio11_dual },
 { 109189, ur_m16hvb_swio11_dual_pr_ee },
 { 109190, ur_m16hvb_swio11_dual_pr_ee_u4 },
 { 109191, ur_m16hvb_swio11_dual_pr_ce },
 { 109192, ur_m16hvb_swio11_dual_pr_ce_u4 },
 { 109193, ur_m16hvb_swio11_dual_pr_ee_ce },
 { 109194, ur_m16hvb_swio11_dual_pr_ee_ce_u4 },
 { 109196, ur_m16hvb_swio11_dual_ee_hw },
 { 109198, ur_m16hvb_swio11_dual_ee_ce_hw },
 { 109199, ur_m16hvb_swio11_dual_ee_ce_u4_hw },
 { 109200, ur_m16hvb_swio11_noled },
 { 109201, ur_m16hvb_swio11_noled },
 { 109202, ur_m16hvb_swio11_noled_pr_u4 },
 { 109203, ur_m16hvb_swio11_noled_pr_ee },
 { 109204, ur_m16hvb_swio11_noled_pr_ee },
 { 109205, ur_m16hvb_swio11_noled_pr_ce },
 { 109206, ur_m16hvb_swio11_noled_pr_ce },
 { 109207, ur_m16hvb_swio11_noled_pr_ee_ce },
 { 109208, ur_m16hvb_swio11_noled_pr_ee_ce_u4 },
 { 109210, ur_m16hvb_swio11_noled_ee_hw },
 { 109212, ur_m16hvb_swio11_noled_ee_ce_hw },
 { 109213, ur_m16hvb_swio11_noled_ee_ce_hw },
 { 109214, ur_m16hvb_swio11_lednop },
 { 109215, ur_m16hvb_swio11_lednop_pr },
 { 109216, ur_m16hvb_swio11_lednop_pr },
 { 109217, ur_m16hvb_swio11_lednop_pr_ee },
 { 109218, ur_m16hvb_swio11_lednop_pr_ee_u4 },
 { 109219, ur_m16hvb_swio11_lednop_pr_ce },
 { 109220, ur_m16hvb_swio11_lednop_pr_ce },
 { 109221, ur_m16hvb_swio11_lednop_pr_ee_ce },
 { 109222, ur_m16hvb_swio11_lednop_pr_ee_ce_u4 },
 { 109224, ur_m16hvb_swio11_lednop_ee_hw },
 { 109226, ur_m16hvb_swio11_lednop_ee_ce_hw },
 { 109227, ur_m16hvb_swio11_lednop_ee_ce_hw },
 { 109228, ur_m16hvb_swio11_dual },
 { 109229, ur_m16hvb_swio11_dual },
 { 109230, ur_m16hvb_swio11_dual },
 { 109231, ur_m16hvb_swio11_dual_pr_ee },
 { 109232, ur_m16hvb_swio11_dual_pr_ee_u4 },
 { 109233, ur_m16hvb_swio11_dual_pr_ce },
 { 109234, ur_m16hvb_swio11_dual_pr_ce_u4 },
 { 109235, ur_m16hvb_swio11_dual_pr_ee_ce },
 { 109236, ur_m16hvb_swio11_dual_pr_ee_ce_u4 },
 { 109238, ur_m16hvb_swio11_dual_ee_hw },
 { 109240, ur_m16hvb_swio11_dual_ee_ce_hw },
 { 109241, ur_m16hvb_swio11_dual_ee_ce_u4_hw },
 { 109242, ur_m16hvb_swio13_noled },
 { 109243, ur_m16hvb_swio13_noled },
 { 109244, ur_m16hvb_swio13_noled_pr_u4 },
 { 109245, ur_m16hvb_swio13_noled_pr_ee },
 { 109246, ur_m16hvb_swio13_noled_pr_ee },
 { 109247, ur_m16hvb_swio13_noled_pr_ce },
 { 109248, ur_m16hvb_swio13_noled_pr_ce },
 { 109249, ur_m16hvb_swio13_noled_pr_ee_ce },
 { 109250, ur_m16hvb_swio13_noled_pr_ee_ce_u4 },
 { 109252, ur_m16hvb_swio13_noled_ee_hw },
 { 109254, ur_m16hvb_swio13_noled_ee_ce_hw },
 { 109255, ur_m16hvb_swio13_noled_ee_ce_hw },
 { 109256, ur_m16hvb_swio13_lednop },
 { 109257, ur_m16hvb_swio13_lednop_pr },
 { 109258, ur_m16hvb_swio13_lednop_pr },
 { 109259, ur_m16hvb_swio13_lednop_pr_ee },
 { 109260, ur_m16hvb_swio13_lednop_pr_ee_u4 },
 { 109261, ur_m16hvb_swio13_lednop_pr_ce },
 { 109262, ur_m16hvb_swio13_lednop_pr_ce },
 { 109263, ur_m16hvb_swio13_lednop_pr_ee_ce },
 { 109264, ur_m16hvb_swio13_lednop_pr_ee_ce_u4 },
 { 109266, ur_m16hvb_swio13_lednop_ee_hw },
 { 109268, ur_m16hvb_swio13_lednop_ee_ce_hw },
 { 109269, ur_m16hvb_swio13_lednop_ee_ce_hw },
 { 109270, ur_m16hvb_swio13_dual },
 { 109271, ur_m16hvb_swio13_dual },
 { 109272, ur_m16hvb_swio13_dual },
 { 109273, ur_m16hvb_swio13_dual_pr_ee },
 { 109274, ur_m16hvb_swio13_dual_pr_ee_u4 },
 { 109275, ur_m16hvb_swio13_dual_pr_ce },
 { 109276, ur_m16hvb_swio13_dual_pr_ce_u4 },
 { 109277, ur_m16hvb_swio13_dual_pr_ee_ce },
 { 109278, ur_m16hvb_swio13_dual_pr_ee_ce_u4 },
 { 109280, ur_m16hvb_swio13_dual_ee_hw },
 { 109282, ur_m16hvb_swio13_dual_ee_ce_hw },
 { 109283, ur_m16hvb_swio13_dual_ee_ce_u4_hw },
 { 109284, ur_m16hvb_swio14_noled },
 { 109285, ur_m16hvb_swio14_noled },
 { 109286, ur_m16hvb_swio14_noled_pr_u4 },
 { 109287, ur_m16hvb_swio14_noled_pr_ee },
 { 109288, ur_m16hvb_swio14_noled_pr_ee },
 { 109289, ur_m16hvb_swio14_noled_pr_ce },
 { 109290, ur_m16hvb_swio14_noled_pr_ce },
 { 109291, ur_m16hvb_swio14_noled_pr_ee_ce },
 { 109292, ur_m16hvb_swio14_noled_pr_ee_ce_u4 },
 { 109294, ur_m16hvb_swio14_noled_ee_hw },
 { 109296, ur_m16hvb_swio14_noled_ee_ce_hw },
 { 109297, ur_m16hvb_swio14_noled_ee_ce_hw },
 { 109298, ur_m16hvb_swio14_lednop },
 { 109299, ur_m16hvb_swio14_lednop_pr },
 { 109300, ur_m16hvb_swio14_lednop_pr },
 { 109301, ur_m16hvb_swio14_lednop_pr_ee },
 { 109302, ur_m16hvb_swio14_lednop_pr_ee_u4 },
 { 109303, ur_m16hvb_swio14_lednop_pr_ce },
 { 109304, ur_m16hvb_swio14_lednop_pr_ce },
 { 109305, ur_m16hvb_swio14_lednop_pr_ee_ce },
 { 109306, ur_m16hvb_swio14_lednop_pr_ee_ce_u4 },
 { 109308, ur_m16hvb_swio14_lednop_ee_hw },
 { 109310, ur_m16hvb_swio14_lednop_ee_ce_hw },
 { 109311, ur_m16hvb_swio14_lednop_ee_ce_hw },
 { 109312, ur_m16hvb_swio14_dual },
 { 109313, ur_m16hvb_swio14_dual },
 { 109314, ur_m16hvb_swio14_dual },
 { 109315, ur_m16hvb_swio14_dual_pr_ee },
 { 109316, ur_m16hvb_swio14_dual_pr_ee_u4 },
 { 109317, ur_m16hvb_swio14_dual_pr_ce },
 { 109318, ur_m16hvb_swio14_dual_pr_ce_u4 },
 { 109319, ur_m16hvb_swio14_dual_pr_ee_ce },
 { 109320, ur_m16hvb_swio14_dual_pr_ee_ce_u4 },
 { 109322, ur_m16hvb_swio14_dual_ee_hw },
 { 109324, ur_m16hvb_swio14_dual_ee_ce_hw },
 { 109325, ur_m16hvb_swio14_dual_ee_ce_u4_hw },
 { 109326, ur_m16hvb_swio15_noled },
 { 109327, ur_m16hvb_swio15_noled },
 { 109328, ur_m16hvb_swio15_noled_pr_u4 },
 { 109329, ur_m16hvb_swio15_noled_pr_ee },
 { 109330, ur_m16hvb_swio15_noled_pr_ee },
 { 109331, ur_m16hvb_swio15_noled_pr_ce },
 { 109332, ur_m16hvb_swio15_noled_pr_ce },
 { 109333, ur_m16hvb_swio15_noled_pr_ee_ce },
 { 109334, ur_m16hvb_swio15_noled_pr_ee_ce_u4 },
 { 109336, ur_m16hvb_swio15_noled_ee_hw },
 { 109338, ur_m16hvb_swio15_noled_ee_ce_hw },
 { 109339, ur_m16hvb_swio15_noled_ee_ce_hw },
 { 109340, ur_m16hvb_swio15_lednop },
 { 109341, ur_m16hvb_swio15_lednop_pr },
 { 109342, ur_m16hvb_swio15_lednop_pr },
 { 109343, ur_m16hvb_swio15_lednop_pr_ee },
 { 109344, ur_m16hvb_swio15_lednop_pr_ee_u4 },
 { 109345, ur_m16hvb_swio15_lednop_pr_ce },
 { 109346, ur_m16hvb_swio15_lednop_pr_ce },
 { 109347, ur_m16hvb_swio15_lednop_pr_ee_ce },
 { 109348, ur_m16hvb_swio15_lednop_pr_ee_ce_u4 },
 { 109350, ur_m16hvb_swio15_lednop_ee_hw },
 { 109352, ur_m16hvb_swio15_lednop_ee_ce_hw },
 { 109353, ur_m16hvb_swio15_lednop_ee_ce_hw },
 { 109354, ur_m16hvb_swio15_dual },
 { 109355, ur_m16hvb_swio15_dual },
 { 109356, ur_m16hvb_swio15_dual },
 { 109357, ur_m16hvb_swio15_dual_pr_ee },
 { 109358, ur_m16hvb_swio15_dual_pr_ee_u4 },
 { 109359, ur_m16hvb_swio15_dual_pr_ce },
 { 109360, ur_m16hvb_swio15_dual_pr_ce_u4 },
 { 109361, ur_m16hvb_swio15_dual_pr_ee_ce },
 { 109362, ur_m16hvb_swio15_dual_pr_ee_ce_u4 },
 { 109364, ur_m16hvb_swio15_dual_ee_hw },
 { 109366, ur_m16hvb_swio15_dual_ee_ce_hw },
 { 109367, ur_m16hvb_swio15_dual_ee_ce_u4_hw },
 { 110418, ur_m16hvbrevb_swio10_noled },
 { 110419, ur_m16hvbrevb_swio10_noled_pr },
 { 110420, ur_m16hvbrevb_swio10_noled_pr },
 { 110421, ur_m16hvbrevb_swio10_noled_pr_ee },
 { 110422, ur_m16hvbrevb_swio10_noled_pr_ee_u4 },
 { 110423, ur_m16hvbrevb_swio10_noled_pr_ce },
 { 110424, ur_m16hvbrevb_swio10_noled_pr_ce },
 { 110425, ur_m16hvbrevb_swio10_noled_pr_ee_ce },
 { 110426, ur_m16hvbrevb_swio10_noled_pr_ee_ce_u4 },
 { 110428, ur_m16hvbrevb_swio10_noled_ee_hw },
 { 110430, ur_m16hvbrevb_swio10_noled_ee_ce_hw },
 { 110431, ur_m16hvbrevb_swio10_noled_ee_ce_hw },
 { 110432, ur_m16hvbrevb_swio10_lednop },
 { 110433, ur_m16hvbrevb_swio10_lednop_pr },
 { 110434, ur_m16hvbrevb_swio10_lednop_pr },
 { 110435, ur_m16hvbrevb_swio10_lednop_pr_ee },
 { 110436, ur_m16hvbrevb_swio10_lednop_pr_ee_u4 },
 { 110437, ur_m16hvbrevb_swio10_lednop_pr_ce },
 { 110438, ur_m16hvbrevb_swio10_lednop_pr_ce },
 { 110439, ur_m16hvbrevb_swio10_lednop_pr_ee_ce },
 { 110440, ur_m16hvbrevb_swio10_lednop_pr_ee_ce_u4 },
 { 110442, ur_m16hvbrevb_swio10_lednop_ee_hw },
 { 110444, ur_m16hvbrevb_swio10_lednop_ee_ce_hw },
 { 110445, ur_m16hvbrevb_swio10_lednop_ee_ce_hw },
 { 110446, ur_m16hvbrevb_swio10_dual },
 { 110447, ur_m16hvbrevb_swio10_dual },
 { 110448, ur_m16hvbrevb_swio10_dual },
 { 110449, ur_m16hvbrevb_swio10_dual_pr_ee },
 { 110450, ur_m16hvbrevb_swio10_dual_pr_ee_u4 },
 { 110451, ur_m16hvbrevb_swio10_dual_pr_ce },
 { 110452, ur_m16hvbrevb_swio10_dual_pr_ce_u4 },
 { 110453, ur_m16hvbrevb_swio10_dual_pr_ee_ce },
 { 110454, ur_m16hvbrevb_swio10_dual_pr_ee_ce_u4 },
 { 110456, ur_m16hvbrevb_swio10_dual_ee_hw },
 { 110458, ur_m16hvbrevb_swio10_dual_ee_ce_hw },
 { 110459, ur_m16hvbrevb_swio10_dual_ee_ce_u4_hw },
 { 110460, ur_m16hvbrevb_swio11_noled },
 { 110461, ur_m16hvbrevb_swio11_noled_pr },
 { 110462, ur_m16hvbrevb_swio11_noled_pr },
 { 110463, ur_m16hvbrevb_swio11_noled_pr_ee },
 { 110464, ur_m16hvbrevb_swio11_noled_pr_ee_u4 },
 { 110465, ur_m16hvbrevb_swio11_noled_pr_ce },
 { 110466, ur_m16hvbrevb_swio11_noled_pr_ce },
 { 110467, ur_m16hvbrevb_swio11_noled_pr_ee_ce },
 { 110468, ur_m16hvbrevb_swio11_noled_pr_ee_ce_u4 },
 { 110470, ur_m16hvbrevb_swio11_noled_ee_hw },
 { 110472, ur_m16hvbrevb_swio11_noled_ee_ce_hw },
 { 110473, ur_m16hvbrevb_swio11_noled_ee_ce_hw },
 { 110474, ur_m16hvbrevb_swio11_lednop },
 { 110475, ur_m16hvbrevb_swio11_lednop_pr },
 { 110476, ur_m16hvbrevb_swio11_lednop_pr },
 { 110477, ur_m16hvbrevb_swio11_lednop_pr_ee },
 { 110478, ur_m16hvbrevb_swio11_lednop_pr_ee_u4 },
 { 110479, ur_m16hvbrevb_swio11_lednop_pr_ce },
 { 110480, ur_m16hvbrevb_swio11_lednop_pr_ce },
 { 110481, ur_m16hvbrevb_swio11_lednop_pr_ee_ce },
 { 110482, ur_m16hvbrevb_swio11_lednop_pr_ee_ce_u4 },
 { 110484, ur_m16hvbrevb_swio11_lednop_ee_hw },
 { 110486, ur_m16hvbrevb_swio11_lednop_ee_ce_hw },
 { 110487, ur_m16hvbrevb_swio11_lednop_ee_ce_hw },
 { 110488, ur_m16hvbrevb_swio11_dual },
 { 110489, ur_m16hvbrevb_swio11_dual },
 { 110490, ur_m16hvbrevb_swio11_dual },
 { 110491, ur_m16hvbrevb_swio11_dual_pr_ee },
 { 110492, ur_m16hvbrevb_swio11_dual_pr_ee_u4 },
 { 110493, ur_m16hvbrevb_swio11_dual_pr_ce },
 { 110494, ur_m16hvbrevb_swio11_dual_pr_ce_u4 },
 { 110495, ur_m16hvbrevb_swio11_dual_pr_ee_ce },
 { 110496, ur_m16hvbrevb_swio11_dual_pr_ee_ce_u4 },
 { 110498, ur_m16hvbrevb_swio11_dual_ee_hw },
 { 110500, ur_m16hvbrevb_swio11_dual_ee_ce_hw },
 { 110501, ur_m16hvbrevb_swio11_dual_ee_ce_u4_hw },
 { 110502, ur_m16hvbrevb_swio11_noled },
 { 110503, ur_m16hvbrevb_swio11_noled_pr },
 { 110504, ur_m16hvbrevb_swio11_noled_pr },
 { 110505, ur_m16hvbrevb_swio11_noled_pr_ee },
 { 110506, ur_m16hvbrevb_swio11_noled_pr_ee_u4 },
 { 110507, ur_m16hvbrevb_swio11_noled_pr_ce },
 { 110508, ur_m16hvbrevb_swio11_noled_pr_ce },
 { 110509, ur_m16hvbrevb_swio11_noled_pr_ee_ce },
 { 110510, ur_m16hvbrevb_swio11_noled_pr_ee_ce_u4 },
 { 110512, ur_m16hvbrevb_swio11_noled_ee_hw },
 { 110514, ur_m16hvbrevb_swio11_noled_ee_ce_hw },
 { 110515, ur_m16hvbrevb_swio11_noled_ee_ce_hw },
 { 110516, ur_m16hvbrevb_swio11_lednop },
 { 110517, ur_m16hvbrevb_swio11_lednop_pr },
 { 110518, ur_m16hvbrevb_swio11_lednop_pr },
 { 110519, ur_m16hvbrevb_swio11_lednop_pr_ee },
 { 110520, ur_m16hvbrevb_swio11_lednop_pr_ee_u4 },
 { 110521, ur_m16hvbrevb_swio11_lednop_pr_ce },
 { 110522, ur_m16hvbrevb_swio11_lednop_pr_ce },
 { 110523, ur_m16hvbrevb_swio11_lednop_pr_ee_ce },
 { 110524, ur_m16hvbrevb_swio11_lednop_pr_ee_ce_u4 },
 { 110526, ur_m16hvbrevb_swio11_lednop_ee_hw },
 { 110528, ur_m16hvbrevb_swio11_lednop_ee_ce_hw },
 { 110529, ur_m16hvbrevb_swio11_lednop_ee_ce_hw },
 { 110530, ur_m16hvbrevb_swio11_dual },
 { 110531, ur_m16hvbrevb_swio11_dual },
 { 110532, ur_m16hvbrevb_swio11_dual },
 { 110533, ur_m16hvbrevb_swio11_dual_pr_ee },
 { 110534, ur_m16hvbrevb_swio11_dual_pr_ee_u4 },
 { 110535, ur_m16hvbrevb_swio11_dual_pr_ce },
 { 110536, ur_m16hvbrevb_swio11_dual_pr_ce_u4 },
 { 110537, ur_m16hvbrevb_swio11_dual_pr_ee_ce },
 { 110538, ur_m16hvbrevb_swio11_dual_pr_ee_ce_u4 },
 { 110540, ur_m16hvbrevb_swio11_dual_ee_hw },
 { 110542, ur_m16hvbrevb_swio11_dual_ee_ce_hw },
 { 110543, ur_m16hvbrevb_swio11_dual_ee_ce_u4_hw },
 { 110544, ur_m16hvbrevb_swio13_noled },
 { 110545, ur_m16hvbrevb_swio13_noled_pr },
 { 110546, ur_m16hvbrevb_swio13_noled_pr },
 { 110547, ur_m16hvbrevb_swio13_noled_pr_ee },
 { 110548, ur_m16hvbrevb_swio13_noled_pr_ee_u4 },
 { 110549, ur_m16hvbrevb_swio13_noled_pr_ce },
 { 110550, ur_m16hvbrevb_swio13_noled_pr_ce },
 { 110551, ur_m16hvbrevb_swio13_noled_pr_ee_ce },
 { 110552, ur_m16hvbrevb_swio13_noled_pr_ee_ce_u4 },
 { 110554, ur_m16hvbrevb_swio13_noled_ee_hw },
 { 110556, ur_m16hvbrevb_swio13_noled_ee_ce_hw },
 { 110557, ur_m16hvbrevb_swio13_noled_ee_ce_hw },
 { 110558, ur_m16hvbrevb_swio13_lednop },
 { 110559, ur_m16hvbrevb_swio13_lednop_pr },
 { 110560, ur_m16hvbrevb_swio13_lednop_pr },
 { 110561, ur_m16hvbrevb_swio13_lednop_pr_ee },
 { 110562, ur_m16hvbrevb_swio13_lednop_pr_ee_u4 },
 { 110563, ur_m16hvbrevb_swio13_lednop_pr_ce },
 { 110564, ur_m16hvbrevb_swio13_lednop_pr_ce_u4 },
 { 110565, ur_m16hvbrevb_swio13_lednop_pr_ee_ce },
 { 110566, ur_m16hvbrevb_swio13_lednop_pr_ee_ce_u4 },
 { 110568, ur_m16hvbrevb_swio13_lednop_ee_hw },
 { 110570, ur_m16hvbrevb_swio13_lednop_ee_ce_hw },
 { 110571, ur_m16hvbrevb_swio13_lednop_ee_ce_hw },
 { 110572, ur_m16hvbrevb_swio13_dual },
 { 110573, ur_m16hvbrevb_swio13_dual },
 { 110574, ur_m16hvbrevb_swio13_dual },
 { 110575, ur_m16hvbrevb_swio13_dual_pr_ee },
 { 110576, ur_m16hvbrevb_swio13_dual_pr_ee_u4 },
 { 110577, ur_m16hvbrevb_swio13_dual_pr_ce },
 { 110578, ur_m16hvbrevb_swio13_dual_pr_ce_u4 },
 { 110579, ur_m16hvbrevb_swio13_dual_pr_ee_ce },
 { 110580, ur_m16hvbrevb_swio13_dual_pr_ee_ce_u4 },
 { 110582, ur_m16hvbrevb_swio13_dual_ee_hw },
 { 110584, ur_m16hvbrevb_swio13_dual_ee_ce_hw },
 { 110585, ur_m16hvbrevb_swio13_dual_ee_ce_u4_hw },
 { 110586, ur_m16hvbrevb_swio14_noled },
 { 110587, ur_m16hvbrevb_swio14_noled_pr },
 { 110588, ur_m16hvbrevb_swio14_noled_pr },
 { 110589, ur_m16hvbrevb_swio14_noled_pr_ee },
 { 110590, ur_m16hvbrevb_swio14_noled_pr_ee_u4 },
 { 110591, ur_m16hvbrevb_swio14_noled_pr_ce },
 { 110592, ur_m16hvbrevb_swio14_noled_pr_ce },
 { 110593, ur_m16hvbrevb_swio14_noled_pr_ee_ce },
 { 110594, ur_m16hvbrevb_swio14_noled_pr_ee_ce_u4 },
 { 110596, ur_m16hvbrevb_swio14_noled_ee_hw },
 { 110598, ur_m16hvbrevb_swio14_noled_ee_ce_hw },
 { 110599, ur_m16hvbrevb_swio14_noled_ee_ce_hw },
 { 110600, ur_m16hvbrevb_swio14_lednop },
 { 110601, ur_m16hvbrevb_swio14_lednop_pr },
 { 110602, ur_m16hvbrevb_swio14_lednop_pr },
 { 110603, ur_m16hvbrevb_swio14_lednop_pr_ee },
 { 110604, ur_m16hvbrevb_swio14_lednop_pr_ee_u4 },
 { 110605, ur_m16hvbrevb_swio14_lednop_pr_ce },
 { 110606, ur_m16hvbrevb_swio14_lednop_pr_ce },
 { 110607, ur_m16hvbrevb_swio14_lednop_pr_ee_ce },
 { 110608, ur_m16hvbrevb_swio14_lednop_pr_ee_ce_u4 },
 { 110610, ur_m16hvbrevb_swio14_lednop_ee_hw },
 { 110612, ur_m16hvbrevb_swio14_lednop_ee_ce_hw },
 { 110613, ur_m16hvbrevb_swio14_lednop_ee_ce_hw },
 { 110614, ur_m16hvbrevb_swio14_dual },
 { 110615, ur_m16hvbrevb_swio14_dual },
 { 110616, ur_m16hvbrevb_swio14_dual },
 { 110617, ur_m16hvbrevb_swio14_dual_pr_ee },
 { 110618, ur_m16hvbrevb_swio14_dual_pr_ee_u4 },
 { 110619, ur_m16hvbrevb_swio14_dual_pr_ce },
 { 110620, ur_m16hvbrevb_swio14_dual_pr_ce_u4 },
 { 110621, ur_m16hvbrevb_swio14_dual_pr_ee_ce },
 { 110622, ur_m16hvbrevb_swio14_dual_pr_ee_ce_u4 },
 { 110624, ur_m16hvbrevb_swio14_dual_ee_hw },
 { 110626, ur_m16hvbrevb_swio14_dual_ee_ce_hw },
 { 110627, ur_m16hvbrevb_swio14_dual_ee_ce_u4_hw },
 { 110628, ur_m16hvbrevb_swio15_noled },
 { 110629, ur_m16hvbrevb_swio15_noled_pr },
 { 110630, ur_m16hvbrevb_swio15_noled_pr },
 { 110631, ur_m16hvbrevb_swio15_noled_pr_ee },
 { 110632, ur_m16hvbrevb_swio15_noled_pr_ee_u4 },
 { 110633, ur_m16hvbrevb_swio15_noled_pr_ce },
 { 110634, ur_m16hvbrevb_swio15_noled_pr_ce },
 { 110635, ur_m16hvbrevb_swio15_noled_pr_ee_ce },
 { 110636, ur_m16hvbrevb_swio15_noled_pr_ee_ce_u4 },
 { 110638, ur_m16hvbrevb_swio15_noled_ee_hw },
 { 110640, ur_m16hvbrevb_swio15_noled_ee_ce_hw },
 { 110641, ur_m16hvbrevb_swio15_noled_ee_ce_hw },
 { 110642, ur_m16hvbrevb_swio15_lednop },
 { 110643, ur_m16hvbrevb_swio15_lednop_pr },
 { 110644, ur_m16hvbrevb_swio15_lednop_pr },
 { 110645, ur_m16hvbrevb_swio15_lednop_pr_ee },
 { 110646, ur_m16hvbrevb_swio15_lednop_pr_ee_u4 },
 { 110647, ur_m16hvbrevb_swio15_lednop_pr_ce },
 { 110648, ur_m16hvbrevb_swio15_lednop_pr_ce_u4 },
 { 110649, ur_m16hvbrevb_swio15_lednop_pr_ee_ce },
 { 110650, ur_m16hvbrevb_swio15_lednop_pr_ee_ce_u4 },
 { 110652, ur_m16hvbrevb_swio15_lednop_ee_hw },
 { 110654, ur_m16hvbrevb_swio15_lednop_ee_ce_hw },
 { 110655, ur_m16hvbrevb_swio15_lednop_ee_ce_hw },
 { 110656, ur_m16hvbrevb_swio15_dual },
 { 110657, ur_m16hvbrevb_swio15_dual },
 { 110658, ur_m16hvbrevb_swio15_dual },
 { 110659, ur_m16hvbrevb_swio15_dual_pr_ee },
 { 110660, ur_m16hvbrevb_swio15_dual_pr_ee_u4 },
 { 110661, ur_m16hvbrevb_swio15_dual_pr_ce },
 { 110662, ur_m16hvbrevb_swio15_dual_pr_ce_u4 },
 { 110663, ur_m16hvbrevb_swio15_dual_pr_ee_ce },
 { 110664, ur_m16hvbrevb_swio15_dual_pr_ee_ce_u4 },
 { 110666, ur_m16hvbrevb_swio15_dual_ee_hw },
 { 110668, ur_m16hvbrevb_swio15_dual_ee_ce_hw },
 { 110669, ur_m16hvbrevb_swio15_dual_ee_ce_u4_hw },
 { 110670, ur_m16m1_autobaud_uart0_noled },
 { 110671, ur_m16m1_autobaud_uart0_noled },
 { 110672, ur_m16m1_autobaud_uart0_noled_pr_u4 },
 { 110673, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 110674, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 110675, ur_m16m1_autobaud_uart0_noled_pr_ce },
 { 110676, ur_m16m1_autobaud_uart0_noled_pr_ce },
 { 110677, ur_m16m1_autobaud_uart0_noled_pr_ee_ce },
 { 110678, ur_m16m1_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 110680, ur_m16m1_autobaud_uart0_noled_ee_hw },
 { 110682, ur_m16m1_autobaud_uart0_noled_ee_ce_hw },
 { 110683, ur_m16m1_autobaud_uart0_noled_ee_ce_hw },
 { 110684, ur_m16m1_autobaud_uart0_lednop },
 { 110685, ur_m16m1_autobaud_uart0_lednop },
 { 110686, ur_m16m1_autobaud_uart0_lednop_pr_u4 },
 { 110687, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 110688, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 110689, ur_m16m1_autobaud_uart0_lednop_pr_ce },
 { 110690, ur_m16m1_autobaud_uart0_lednop_pr_ce },
 { 110691, ur_m16m1_autobaud_uart0_lednop_pr_ee_ce },
 { 110692, ur_m16m1_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 110694, ur_m16m1_autobaud_uart0_lednop_ee_hw },
 { 110696, ur_m16m1_autobaud_uart0_lednop_ee_ce_hw },
 { 110697, ur_m16m1_autobaud_uart0_lednop_ee_ce_hw },
 { 110698, ur_m16m1_autobaud_uart0_dual },
 { 110699, ur_m16m1_autobaud_uart0_dual },
 { 110700, ur_m16m1_autobaud_uart0_dual },
 { 110701, ur_m16m1_autobaud_uart0_dual_pr_ee },
 { 110702, ur_m16m1_autobaud_uart0_dual_pr_ee_u4 },
 { 110703, ur_m16m1_autobaud_uart0_dual_pr_ce },
 { 110704, ur_m16m1_autobaud_uart0_dual_pr_ce_u4 },
 { 110705, ur_m16m1_autobaud_uart0_dual_pr_ee_ce },
 { 110706, ur_m16m1_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 110708, ur_m16m1_autobaud_uart0_dual_ee_hw },
 { 110710, ur_m16m1_autobaud_uart0_dual_ee_ce_hw },
 { 110711, ur_m16m1_autobaud_uart0_dual_ee_ce_u4_hw },
 { 110838, ur_m16m1_lin_uart0_noled },
 { 110839, ur_m16m1_lin_uart0_noled },
 { 110840, ur_m16m1_lin_uart0_noled_pr_u4 },
 { 110841, ur_m16m1_lin_uart0_noled_pr_ee },
 { 110842, ur_m16m1_lin_uart0_noled_pr_ee },
 { 110843, ur_m16m1_lin_uart0_noled_pr_ce },
 { 110844, ur_m16m1_lin_uart0_noled_pr_ce_u4 },
 { 110845, ur_m16m1_lin_uart0_noled_pr_ee_ce },
 { 110846, ur_m16m1_lin_uart0_noled_pr_ee_ce_u4 },
 { 110848, ur_m16m1_lin_uart0_noled_ee_hw },
 { 110850, ur_m16m1_lin_uart0_noled_ee_ce_hw },
 { 110851, ur_m16m1_lin_uart0_noled_ee_ce_hw },
 { 110852, ur_m16m1_lin_uart0_lednop },
 { 110853, ur_m16m1_lin_uart0_lednop },
 { 110854, ur_m16m1_lin_uart0_lednop_pr_u4 },
 { 110855, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 110856, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 110857, ur_m16m1_lin_uart0_lednop_pr_ce },
 { 110858, ur_m16m1_lin_uart0_lednop_pr_ce },
 { 110859, ur_m16m1_lin_uart0_lednop_pr_ee_ce },
 { 110860, ur_m16m1_lin_uart0_lednop_pr_ee_ce_u4 },
 { 110862, ur_m16m1_lin_uart0_lednop_ee_hw },
 { 110864, ur_m16m1_lin_uart0_lednop_ee_ce_hw },
 { 110865, ur_m16m1_lin_uart0_lednop_ee_ce_hw },
 { 110866, ur_m16m1_lin_uart0_dual },
 { 110867, ur_m16m1_lin_uart0_dual_pr },
 { 110868, ur_m16m1_lin_uart0_dual_pr },
 { 110869, ur_m16m1_lin_uart0_dual_pr_ee },
 { 110870, ur_m16m1_lin_uart0_dual_pr_ee },
 { 110871, ur_m16m1_lin_uart0_dual_pr_ce },
 { 110872, ur_m16m1_lin_uart0_dual_pr_ce },
 { 110873, ur_m16m1_lin_uart0_dual_pr_ee_ce },
 { 110874, ur_m16m1_lin_uart0_dual_pr_ee_ce_u4 },
 { 110876, ur_m16m1_lin_uart0_dual_ee_hw },
 { 110878, ur_m16m1_lin_uart0_dual_ee_ce_hw },
 { 110879, ur_m16m1_lin_uart0_dual_ee_ce_u4_hw },
 { 111720, ur_m16m1_swio10_noled },
 { 111721, ur_m16m1_swio10_noled },
 { 111722, ur_m16m1_swio10_noled_pr_u4 },
 { 111723, ur_m16m1_swio10_noled_pr_ee },
 { 111724, ur_m16m1_swio10_noled_pr_ee },
 { 111725, ur_m16m1_swio10_noled_pr_ce },
 { 111726, ur_m16m1_swio10_noled_pr_ce },
 { 111727, ur_m16m1_swio10_noled_pr_ee_ce },
 { 111728, ur_m16m1_swio10_noled_pr_ee_ce_u4 },
 { 111730, ur_m16m1_swio10_noled_ee_hw },
 { 111732, ur_m16m1_swio10_noled_ee_ce_hw },
 { 111733, ur_m16m1_swio10_noled_ee_ce_hw },
 { 111734, ur_m16m1_swio10_lednop },
 { 111735, ur_m16m1_swio10_lednop_pr },
 { 111736, ur_m16m1_swio10_lednop_pr },
 { 111737, ur_m16m1_swio10_lednop_pr_ee },
 { 111738, ur_m16m1_swio10_lednop_pr_ee },
 { 111739, ur_m16m1_swio10_lednop_pr_ce },
 { 111740, ur_m16m1_swio10_lednop_pr_ce },
 { 111741, ur_m16m1_swio10_lednop_pr_ee_ce },
 { 111742, ur_m16m1_swio10_lednop_pr_ee_ce_u4 },
 { 111744, ur_m16m1_swio10_lednop_ee_hw },
 { 111746, ur_m16m1_swio10_lednop_ee_ce_hw },
 { 111747, ur_m16m1_swio10_lednop_ee_ce_hw },
 { 111748, ur_m16m1_swio10_dual },
 { 111749, ur_m16m1_swio10_dual },
 { 111750, ur_m16m1_swio10_dual },
 { 111751, ur_m16m1_swio10_dual_pr_ee },
 { 111752, ur_m16m1_swio10_dual_pr_ee_u4 },
 { 111753, ur_m16m1_swio10_dual_pr_ce },
 { 111754, ur_m16m1_swio10_dual_pr_ce_u4 },
 { 111755, ur_m16m1_swio10_dual_pr_ee_ce },
 { 111756, ur_m16m1_swio10_dual_pr_ee_ce_u4 },
 { 111758, ur_m16m1_swio10_dual_ee_hw },
 { 111760, ur_m16m1_swio10_dual_ee_ce_hw },
 { 111761, ur_m16m1_swio10_dual_ee_ce_u4_hw },
 { 111762, ur_m16m1_swio11_noled },
 { 111763, ur_m16m1_swio11_noled },
 { 111764, ur_m16m1_swio11_noled_pr_u4 },
 { 111765, ur_m16m1_swio11_noled_pr_ee },
 { 111766, ur_m16m1_swio11_noled_pr_ee },
 { 111767, ur_m16m1_swio11_noled_pr_ce },
 { 111768, ur_m16m1_swio11_noled_pr_ce },
 { 111769, ur_m16m1_swio11_noled_pr_ee_ce },
 { 111770, ur_m16m1_swio11_noled_pr_ee_ce_u4 },
 { 111772, ur_m16m1_swio11_noled_ee_hw },
 { 111774, ur_m16m1_swio11_noled_ee_ce_hw },
 { 111775, ur_m16m1_swio11_noled_ee_ce_hw },
 { 111776, ur_m16m1_swio11_lednop },
 { 111777, ur_m16m1_swio11_lednop_pr },
 { 111778, ur_m16m1_swio11_lednop_pr },
 { 111779, ur_m16m1_swio11_lednop_pr_ee },
 { 111780, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 111781, ur_m16m1_swio11_lednop_pr_ce },
 { 111782, ur_m16m1_swio11_lednop_pr_ce },
 { 111783, ur_m16m1_swio11_lednop_pr_ee_ce },
 { 111784, ur_m16m1_swio11_lednop_pr_ee_ce_u4 },
 { 111786, ur_m16m1_swio11_lednop_ee_hw },
 { 111788, ur_m16m1_swio11_lednop_ee_ce_hw },
 { 111789, ur_m16m1_swio11_lednop_ee_ce_hw },
 { 111790, ur_m16m1_swio11_dual },
 { 111791, ur_m16m1_swio11_dual },
 { 111792, ur_m16m1_swio11_dual },
 { 111793, ur_m16m1_swio11_dual_pr_ee },
 { 111794, ur_m16m1_swio11_dual_pr_ee_u4 },
 { 111795, ur_m16m1_swio11_dual_pr_ce },
 { 111796, ur_m16m1_swio11_dual_pr_ce_u4 },
 { 111797, ur_m16m1_swio11_dual_pr_ee_ce },
 { 111798, ur_m16m1_swio11_dual_pr_ee_ce_u4 },
 { 111800, ur_m16m1_swio11_dual_ee_hw },
 { 111802, ur_m16m1_swio11_dual_ee_ce_hw },
 { 111803, ur_m16m1_swio11_dual_ee_ce_u4_hw },
 { 111804, ur_m16m1_swio11_noled },
 { 111805, ur_m16m1_swio11_noled },
 { 111806, ur_m16m1_swio11_noled_pr_u4 },
 { 111807, ur_m16m1_swio11_noled_pr_ee },
 { 111808, ur_m16m1_swio11_noled_pr_ee },
 { 111809, ur_m16m1_swio11_noled_pr_ce },
 { 111810, ur_m16m1_swio11_noled_pr_ce },
 { 111811, ur_m16m1_swio11_noled_pr_ee_ce },
 { 111812, ur_m16m1_swio11_noled_pr_ee_ce_u4 },
 { 111814, ur_m16m1_swio11_noled_ee_hw },
 { 111816, ur_m16m1_swio11_noled_ee_ce_hw },
 { 111817, ur_m16m1_swio11_noled_ee_ce_hw },
 { 111818, ur_m16m1_swio11_lednop },
 { 111819, ur_m16m1_swio11_lednop_pr },
 { 111820, ur_m16m1_swio11_lednop_pr },
 { 111821, ur_m16m1_swio11_lednop_pr_ee },
 { 111822, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 111823, ur_m16m1_swio11_lednop_pr_ce },
 { 111824, ur_m16m1_swio11_lednop_pr_ce },
 { 111825, ur_m16m1_swio11_lednop_pr_ee_ce },
 { 111826, ur_m16m1_swio11_lednop_pr_ee_ce_u4 },
 { 111828, ur_m16m1_swio11_lednop_ee_hw },
 { 111830, ur_m16m1_swio11_lednop_ee_ce_hw },
 { 111831, ur_m16m1_swio11_lednop_ee_ce_hw },
 { 111832, ur_m16m1_swio11_dual },
 { 111833, ur_m16m1_swio11_dual },
 { 111834, ur_m16m1_swio11_dual },
 { 111835, ur_m16m1_swio11_dual_pr_ee },
 { 111836, ur_m16m1_swio11_dual_pr_ee_u4 },
 { 111837, ur_m16m1_swio11_dual_pr_ce },
 { 111838, ur_m16m1_swio11_dual_pr_ce_u4 },
 { 111839, ur_m16m1_swio11_dual_pr_ee_ce },
 { 111840, ur_m16m1_swio11_dual_pr_ee_ce_u4 },
 { 111842, ur_m16m1_swio11_dual_ee_hw },
 { 111844, ur_m16m1_swio11_dual_ee_ce_hw },
 { 111845, ur_m16m1_swio11_dual_ee_ce_u4_hw },
 { 111846, ur_m16m1_swio13_noled },
 { 111847, ur_m16m1_swio13_noled },
 { 111848, ur_m16m1_swio13_noled_pr_u4 },
 { 111849, ur_m16m1_swio13_noled_pr_ee },
 { 111850, ur_m16m1_swio13_noled_pr_ee },
 { 111851, ur_m16m1_swio13_noled_pr_ce },
 { 111852, ur_m16m1_swio13_noled_pr_ce },
 { 111853, ur_m16m1_swio13_noled_pr_ee_ce },
 { 111854, ur_m16m1_swio13_noled_pr_ee_ce_u4 },
 { 111856, ur_m16m1_swio13_noled_ee_hw },
 { 111858, ur_m16m1_swio13_noled_ee_ce_hw },
 { 111859, ur_m16m1_swio13_noled_ee_ce_hw },
 { 111860, ur_m16m1_swio13_lednop },
 { 111861, ur_m16m1_swio13_lednop_pr },
 { 111862, ur_m16m1_swio13_lednop_pr },
 { 111863, ur_m16m1_swio13_lednop_pr_ee },
 { 111864, ur_m16m1_swio13_lednop_pr_ee_u4 },
 { 111865, ur_m16m1_swio13_lednop_pr_ce },
 { 111866, ur_m16m1_swio13_lednop_pr_ce },
 { 111867, ur_m16m1_swio13_lednop_pr_ee_ce },
 { 111868, ur_m16m1_swio13_lednop_pr_ee_ce_u4 },
 { 111870, ur_m16m1_swio13_lednop_ee_hw },
 { 111872, ur_m16m1_swio13_lednop_ee_ce_hw },
 { 111873, ur_m16m1_swio13_lednop_ee_ce_hw },
 { 111874, ur_m16m1_swio13_dual },
 { 111875, ur_m16m1_swio13_dual },
 { 111876, ur_m16m1_swio13_dual },
 { 111877, ur_m16m1_swio13_dual_pr_ee },
 { 111878, ur_m16m1_swio13_dual_pr_ee_u4 },
 { 111879, ur_m16m1_swio13_dual_pr_ce },
 { 111880, ur_m16m1_swio13_dual_pr_ce_u4 },
 { 111881, ur_m16m1_swio13_dual_pr_ee_ce },
 { 111882, ur_m16m1_swio13_dual_pr_ee_ce_u4 },
 { 111884, ur_m16m1_swio13_dual_ee_hw },
 { 111886, ur_m16m1_swio13_dual_ee_ce_hw },
 { 111887, ur_m16m1_swio13_dual_ee_ce_u4_hw },
 { 111888, ur_m16m1_swio14_noled },
 { 111889, ur_m16m1_swio14_noled },
 { 111890, ur_m16m1_swio14_noled_pr_u4 },
 { 111891, ur_m16m1_swio14_noled_pr_ee },
 { 111892, ur_m16m1_swio14_noled_pr_ee },
 { 111893, ur_m16m1_swio14_noled_pr_ce },
 { 111894, ur_m16m1_swio14_noled_pr_ce },
 { 111895, ur_m16m1_swio14_noled_pr_ee_ce },
 { 111896, ur_m16m1_swio14_noled_pr_ee_ce_u4 },
 { 111898, ur_m16m1_swio14_noled_ee_hw },
 { 111900, ur_m16m1_swio14_noled_ee_ce_hw },
 { 111901, ur_m16m1_swio14_noled_ee_ce_hw },
 { 111902, ur_m16m1_swio14_lednop },
 { 111903, ur_m16m1_swio14_lednop_pr },
 { 111904, ur_m16m1_swio14_lednop_pr },
 { 111905, ur_m16m1_swio14_lednop_pr_ee },
 { 111906, ur_m16m1_swio14_lednop_pr_ee_u4 },
 { 111907, ur_m16m1_swio14_lednop_pr_ce },
 { 111908, ur_m16m1_swio14_lednop_pr_ce },
 { 111909, ur_m16m1_swio14_lednop_pr_ee_ce },
 { 111910, ur_m16m1_swio14_lednop_pr_ee_ce_u4 },
 { 111912, ur_m16m1_swio14_lednop_ee_hw },
 { 111914, ur_m16m1_swio14_lednop_ee_ce_hw },
 { 111915, ur_m16m1_swio14_lednop_ee_ce_hw },
 { 111916, ur_m16m1_swio14_dual },
 { 111917, ur_m16m1_swio14_dual },
 { 111918, ur_m16m1_swio14_dual },
 { 111919, ur_m16m1_swio14_dual_pr_ee },
 { 111920, ur_m16m1_swio14_dual_pr_ee_u4 },
 { 111921, ur_m16m1_swio14_dual_pr_ce },
 { 111922, ur_m16m1_swio14_dual_pr_ce_u4 },
 { 111923, ur_m16m1_swio14_dual_pr_ee_ce },
 { 111924, ur_m16m1_swio14_dual_pr_ee_ce_u4 },
 { 111926, ur_m16m1_swio14_dual_ee_hw },
 { 111928, ur_m16m1_swio14_dual_ee_ce_hw },
 { 111929, ur_m16m1_swio14_dual_ee_ce_u4_hw },
 { 111930, ur_m16m1_swio15_noled },
 { 111931, ur_m16m1_swio15_noled },
 { 111932, ur_m16m1_swio15_noled_pr_u4 },
 { 111933, ur_m16m1_swio15_noled_pr_ee },
 { 111934, ur_m16m1_swio15_noled_pr_ee },
 { 111935, ur_m16m1_swio15_noled_pr_ce },
 { 111936, ur_m16m1_swio15_noled_pr_ce },
 { 111937, ur_m16m1_swio15_noled_pr_ee_ce },
 { 111938, ur_m16m1_swio15_noled_pr_ee_ce_u4 },
 { 111940, ur_m16m1_swio15_noled_ee_hw },
 { 111942, ur_m16m1_swio15_noled_ee_ce_hw },
 { 111943, ur_m16m1_swio15_noled_ee_ce_hw },
 { 111944, ur_m16m1_swio15_lednop },
 { 111945, ur_m16m1_swio15_lednop_pr },
 { 111946, ur_m16m1_swio15_lednop_pr },
 { 111947, ur_m16m1_swio15_lednop_pr_ee },
 { 111948, ur_m16m1_swio15_lednop_pr_ee_u4 },
 { 111949, ur_m16m1_swio15_lednop_pr_ce },
 { 111950, ur_m16m1_swio15_lednop_pr_ce },
 { 111951, ur_m16m1_swio15_lednop_pr_ee_ce },
 { 111952, ur_m16m1_swio15_lednop_pr_ee_ce_u4 },
 { 111954, ur_m16m1_swio15_lednop_ee_hw },
 { 111956, ur_m16m1_swio15_lednop_ee_ce_hw },
 { 111957, ur_m16m1_swio15_lednop_ee_ce_hw },
 { 111958, ur_m16m1_swio15_dual },
 { 111959, ur_m16m1_swio15_dual },
 { 111960, ur_m16m1_swio15_dual },
 { 111961, ur_m16m1_swio15_dual_pr_ee },
 { 111962, ur_m16m1_swio15_dual_pr_ee_u4 },
 { 111963, ur_m16m1_swio15_dual_pr_ce },
 { 111964, ur_m16m1_swio15_dual_pr_ce_u4 },
 { 111965, ur_m16m1_swio15_dual_pr_ee_ce },
 { 111966, ur_m16m1_swio15_dual_pr_ee_ce_u4 },
 { 111968, ur_m16m1_swio15_dual_ee_hw },
 { 111970, ur_m16m1_swio15_dual_ee_ce_hw },
 { 111971, ur_m16m1_swio15_dual_ee_ce_u4_hw },
 { 111972, ur_m16u2_autobaud_uart0_noled },
 { 111973, ur_m16u2_autobaud_uart0_noled },
 { 111974, ur_m16u2_autobaud_uart0_noled_pr_u4 },
 { 111975, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 111976, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 111977, ur_m16u2_autobaud_uart0_noled_pr_ce },
 { 111978, ur_m16u2_autobaud_uart0_noled_pr_ce },
 { 111979, ur_m16u2_autobaud_uart0_noled_pr_ee_ce },
 { 111980, ur_m16u2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 111982, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 111984, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 111985, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 111986, ur_m16u2_autobaud_uart0_lednop },
 { 111987, ur_m16u2_autobaud_uart0_lednop },
 { 111988, ur_m16u2_autobaud_uart0_lednop_pr_u4 },
 { 111989, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 111990, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 111991, ur_m16u2_autobaud_uart0_lednop_pr_ce },
 { 111992, ur_m16u2_autobaud_uart0_lednop_pr_ce },
 { 111993, ur_m16u2_autobaud_uart0_lednop_pr_ee_ce },
 { 111994, ur_m16u2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 111996, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 111998, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 111999, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 112000, ur_m16u2_autobaud_uart0_dual },
 { 112001, ur_m16u2_autobaud_uart0_dual },
 { 112002, ur_m16u2_autobaud_uart0_dual },
 { 112003, ur_m16u2_autobaud_uart0_dual_pr_ee },
 { 112004, ur_m16u2_autobaud_uart0_dual_pr_ee_u4 },
 { 112005, ur_m16u2_autobaud_uart0_dual_pr_ce },
 { 112006, ur_m16u2_autobaud_uart0_dual_pr_ce },
 { 112007, ur_m16u2_autobaud_uart0_dual_pr_ee_ce },
 { 112008, ur_m16u2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 112010, ur_m16u2_autobaud_uart0_dual_ee_hw },
 { 112012, ur_m16u2_autobaud_uart0_dual_ee_ce_hw },
 { 112013, ur_m16u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 112182, ur_m16u2_u1x8_uart0_noled },
 { 112183, ur_m16u2_u1x8_uart0_noled },
 { 112184, ur_m16u2_u1x8_uart0_noled_pr_u4 },
 { 112185, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 112186, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 112187, ur_m16u2_u1x8_uart0_noled_pr_ce },
 { 112188, ur_m16u2_u1x8_uart0_noled_pr_ce_u4 },
 { 112189, ur_m16u2_u1x8_uart0_noled_pr_ee_ce },
 { 112190, ur_m16u2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 112192, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 112194, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 112195, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 112196, ur_m16u2_u1x8_uart0_lednop },
 { 112197, ur_m16u2_u1x8_uart0_lednop },
 { 112198, ur_m16u2_u1x8_uart0_lednop_pr_u4 },
 { 112199, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 112200, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 112201, ur_m16u2_u1x8_uart0_lednop_pr_ce },
 { 112202, ur_m16u2_u1x8_uart0_lednop_pr_ce },
 { 112203, ur_m16u2_u1x8_uart0_lednop_pr_ee_ce },
 { 112204, ur_m16u2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 112206, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 112208, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 112209, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 112210, ur_m16u2_u1x8_uart0_dual },
 { 112211, ur_m16u2_u1x8_uart0_dual },
 { 112212, ur_m16u2_u1x8_uart0_dual_pr_u4 },
 { 112213, ur_m16u2_u1x8_uart0_dual_pr_ee },
 { 112214, ur_m16u2_u1x8_uart0_dual_pr_ee },
 { 112215, ur_m16u2_u1x8_uart0_dual_pr_ce },
 { 112216, ur_m16u2_u1x8_uart0_dual_pr_ce },
 { 112217, ur_m16u2_u1x8_uart0_dual_pr_ee_ce },
 { 112218, ur_m16u2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 112220, ur_m16u2_u1x8_uart0_dual_ee_hw },
 { 112222, ur_m16u2_u1x8_uart0_dual_ee_ce_hw },
 { 112223, ur_m16u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 112392, ur_m16u2_u1x12_uart0_noled },
 { 112393, ur_m16u2_u1x12_uart0_noled },
 { 112394, ur_m16u2_u1x12_uart0_noled_pr_u4 },
 { 112395, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 112396, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 112397, ur_m16u2_u1x12_uart0_noled_pr_ce },
 { 112398, ur_m16u2_u1x12_uart0_noled_pr_ce_u4 },
 { 112399, ur_m16u2_u1x12_uart0_noled_pr_ee_ce },
 { 112400, ur_m16u2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 112402, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 112404, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 112405, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 112406, ur_m16u2_u1x12_uart0_lednop },
 { 112407, ur_m16u2_u1x12_uart0_lednop },
 { 112408, ur_m16u2_u1x12_uart0_lednop_pr_u4 },
 { 112409, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 112410, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 112411, ur_m16u2_u1x12_uart0_lednop_pr_ce },
 { 112412, ur_m16u2_u1x12_uart0_lednop_pr_ce },
 { 112413, ur_m16u2_u1x12_uart0_lednop_pr_ee_ce },
 { 112414, ur_m16u2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 112416, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 112418, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 112419, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 112420, ur_m16u2_u1x12_uart0_dual },
 { 112421, ur_m16u2_u1x12_uart0_dual_pr },
 { 112422, ur_m16u2_u1x12_uart0_dual_pr_u4 },
 { 112423, ur_m16u2_u1x12_uart0_dual_pr_ee },
 { 112424, ur_m16u2_u1x12_uart0_dual_pr_ee },
 { 112425, ur_m16u2_u1x12_uart0_dual_pr_ce },
 { 112426, ur_m16u2_u1x12_uart0_dual_pr_ce },
 { 112427, ur_m16u2_u1x12_uart0_dual_pr_ee_ce },
 { 112428, ur_m16u2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 112430, ur_m16u2_u1x12_uart0_dual_ee_hw },
 { 112432, ur_m16u2_u1x12_uart0_dual_ee_ce_hw },
 { 112433, ur_m16u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 112602, ur_m16u2_u2x8_uart0_noled },
 { 112603, ur_m16u2_u2x8_uart0_noled },
 { 112604, ur_m16u2_u2x8_uart0_noled_pr_u4 },
 { 112605, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 112606, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 112607, ur_m16u2_u2x8_uart0_noled_pr_ce },
 { 112608, ur_m16u2_u2x8_uart0_noled_pr_ce_u4 },
 { 112609, ur_m16u2_u2x8_uart0_noled_pr_ee_ce },
 { 112610, ur_m16u2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 112612, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 112614, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 112615, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 112616, ur_m16u2_u2x8_uart0_lednop },
 { 112617, ur_m16u2_u2x8_uart0_lednop },
 { 112618, ur_m16u2_u2x8_uart0_lednop_pr_u4 },
 { 112619, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 112620, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 112621, ur_m16u2_u2x8_uart0_lednop_pr_ce },
 { 112622, ur_m16u2_u2x8_uart0_lednop_pr_ce },
 { 112623, ur_m16u2_u2x8_uart0_lednop_pr_ee_ce },
 { 112624, ur_m16u2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 112626, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 112628, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 112629, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 112630, ur_m16u2_u2x8_uart0_dual },
 { 112631, ur_m16u2_u2x8_uart0_dual_pr },
 { 112632, ur_m16u2_u2x8_uart0_dual_pr_u4 },
 { 112633, ur_m16u2_u2x8_uart0_dual_pr_ee },
 { 112634, ur_m16u2_u2x8_uart0_dual_pr_ee },
 { 112635, ur_m16u2_u2x8_uart0_dual_pr_ce },
 { 112636, ur_m16u2_u2x8_uart0_dual_pr_ce },
 { 112637, ur_m16u2_u2x8_uart0_dual_pr_ee_ce },
 { 112638, ur_m16u2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 112640, ur_m16u2_u2x8_uart0_dual_ee_hw },
 { 112642, ur_m16u2_u2x8_uart0_dual_ee_ce_hw },
 { 112643, ur_m16u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 112812, ur_m16u2_u2x12_uart0_noled },
 { 112813, ur_m16u2_u2x12_uart0_noled },
 { 112814, ur_m16u2_u2x12_uart0_noled_pr_u4 },
 { 112815, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 112816, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 112817, ur_m16u2_u2x12_uart0_noled_pr_ce },
 { 112818, ur_m16u2_u2x12_uart0_noled_pr_ce },
 { 112819, ur_m16u2_u2x12_uart0_noled_pr_ee_ce },
 { 112820, ur_m16u2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 112822, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 112824, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 112825, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 112826, ur_m16u2_u2x12_uart0_lednop },
 { 112827, ur_m16u2_u2x12_uart0_lednop },
 { 112828, ur_m16u2_u2x12_uart0_lednop_pr_u4 },
 { 112829, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 112830, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 112831, ur_m16u2_u2x12_uart0_lednop_pr_ce },
 { 112832, ur_m16u2_u2x12_uart0_lednop_pr_ce },
 { 112833, ur_m16u2_u2x12_uart0_lednop_pr_ee_ce },
 { 112834, ur_m16u2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 112836, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 112838, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 112839, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 112840, ur_m16u2_u2x12_uart0_dual },
 { 112841, ur_m16u2_u2x12_uart0_dual_pr },
 { 112842, ur_m16u2_u2x12_uart0_dual_pr },
 { 112843, ur_m16u2_u2x12_uart0_dual_pr_ee },
 { 112844, ur_m16u2_u2x12_uart0_dual_pr_ee },
 { 112845, ur_m16u2_u2x12_uart0_dual_pr_ce },
 { 112846, ur_m16u2_u2x12_uart0_dual_pr_ce },
 { 112847, ur_m16u2_u2x12_uart0_dual_pr_ee_ce },
 { 112848, ur_m16u2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 112850, ur_m16u2_u2x12_uart0_dual_ee_hw },
 { 112852, ur_m16u2_u2x12_uart0_dual_ee_ce_hw },
 { 112853, ur_m16u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 113022, ur_m16u2_swio10_noled },
 { 113023, ur_m16u2_swio10_noled },
 { 113024, ur_m16u2_swio10_noled_pr_u4 },
 { 113025, ur_m16u2_swio10_noled_pr_ee },
 { 113026, ur_m16u2_swio10_noled_pr_ee },
 { 113027, ur_m16u2_swio10_noled_pr_ce },
 { 113028, ur_m16u2_swio10_noled_pr_ce },
 { 113029, ur_m16u2_swio10_noled_pr_ee_ce },
 { 113030, ur_m16u2_swio10_noled_pr_ee_ce_u4 },
 { 113032, ur_m8u2_swio10_noled_ee_hw },
 { 113034, ur_m16u2_swio10_noled_ee_ce_hw },
 { 113035, ur_m16u2_swio10_noled_ee_ce_hw },
 { 113036, ur_m16u2_swio10_lednop },
 { 113037, ur_m16u2_swio10_lednop_pr },
 { 113038, ur_m16u2_swio10_lednop_pr },
 { 113039, ur_m16u2_swio10_lednop_pr_ee },
 { 113040, ur_m16u2_swio10_lednop_pr_ee },
 { 113041, ur_m16u2_swio10_lednop_pr_ce },
 { 113042, ur_m16u2_swio10_lednop_pr_ce },
 { 113043, ur_m16u2_swio10_lednop_pr_ee_ce },
 { 113044, ur_m16u2_swio10_lednop_pr_ee_ce_u4 },
 { 113046, ur_m8u2_swio10_lednop_ee_hw },
 { 113048, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 113049, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 113050, ur_m16u2_swio10_dual },
 { 113051, ur_m16u2_swio10_dual },
 { 113052, ur_m16u2_swio10_dual },
 { 113053, ur_m16u2_swio10_dual_pr_ee },
 { 113054, ur_m16u2_swio10_dual_pr_ee_u4 },
 { 113055, ur_m16u2_swio10_dual_pr_ce },
 { 113056, ur_m16u2_swio10_dual_pr_ce_u4 },
 { 113057, ur_m16u2_swio10_dual_pr_ee_ce },
 { 113058, ur_m16u2_swio10_dual_pr_ee_ce_u4 },
 { 113060, ur_m16u2_swio10_dual_ee_hw },
 { 113062, ur_m16u2_swio10_dual_ee_ce_hw },
 { 113063, ur_m16u2_swio10_dual_ee_ce_u4_hw },
 { 113064, ur_m16u2_swio11_noled },
 { 113065, ur_m16u2_swio11_noled },
 { 113066, ur_m16u2_swio11_noled_pr_u4 },
 { 113067, ur_m16u2_swio11_noled_pr_ee },
 { 113068, ur_m16u2_swio11_noled_pr_ee },
 { 113069, ur_m16u2_swio11_noled_pr_ce },
 { 113070, ur_m16u2_swio11_noled_pr_ce },
 { 113071, ur_m16u2_swio11_noled_pr_ee_ce },
 { 113072, ur_m16u2_swio11_noled_pr_ee_ce_u4 },
 { 113074, ur_m8u2_swio11_noled_ee_hw },
 { 113076, ur_m16u2_swio11_noled_ee_ce_hw },
 { 113077, ur_m16u2_swio11_noled_ee_ce_hw },
 { 113078, ur_m16u2_swio11_lednop },
 { 113079, ur_m16u2_swio11_lednop_pr },
 { 113080, ur_m16u2_swio11_lednop_pr },
 { 113081, ur_m16u2_swio11_lednop_pr_ee },
 { 113082, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 113083, ur_m16u2_swio11_lednop_pr_ce },
 { 113084, ur_m16u2_swio11_lednop_pr_ce },
 { 113085, ur_m16u2_swio11_lednop_pr_ee_ce },
 { 113086, ur_m16u2_swio11_lednop_pr_ee_ce_u4 },
 { 113088, ur_m8u2_swio11_lednop_ee_hw },
 { 113090, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 113091, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 113092, ur_m16u2_swio11_dual },
 { 113093, ur_m16u2_swio11_dual },
 { 113094, ur_m16u2_swio11_dual },
 { 113095, ur_m16u2_swio11_dual_pr_ee },
 { 113096, ur_m16u2_swio11_dual_pr_ee_u4 },
 { 113097, ur_m16u2_swio11_dual_pr_ce },
 { 113098, ur_m16u2_swio11_dual_pr_ce_u4 },
 { 113099, ur_m16u2_swio11_dual_pr_ee_ce },
 { 113100, ur_m16u2_swio11_dual_pr_ee_ce_u4 },
 { 113102, ur_m16u2_swio11_dual_ee_hw },
 { 113104, ur_m16u2_swio11_dual_ee_ce_hw },
 { 113105, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 113106, ur_m16u2_swio11_noled },
 { 113107, ur_m16u2_swio11_noled },
 { 113108, ur_m16u2_swio11_noled_pr_u4 },
 { 113109, ur_m16u2_swio11_noled_pr_ee },
 { 113110, ur_m16u2_swio11_noled_pr_ee },
 { 113111, ur_m16u2_swio11_noled_pr_ce },
 { 113112, ur_m16u2_swio11_noled_pr_ce },
 { 113113, ur_m16u2_swio11_noled_pr_ee_ce },
 { 113114, ur_m16u2_swio11_noled_pr_ee_ce_u4 },
 { 113116, ur_m8u2_swio11_noled_ee_hw },
 { 113118, ur_m16u2_swio11_noled_ee_ce_hw },
 { 113119, ur_m16u2_swio11_noled_ee_ce_hw },
 { 113120, ur_m16u2_swio11_lednop },
 { 113121, ur_m16u2_swio11_lednop_pr },
 { 113122, ur_m16u2_swio11_lednop_pr },
 { 113123, ur_m16u2_swio11_lednop_pr_ee },
 { 113124, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 113125, ur_m16u2_swio11_lednop_pr_ce },
 { 113126, ur_m16u2_swio11_lednop_pr_ce },
 { 113127, ur_m16u2_swio11_lednop_pr_ee_ce },
 { 113128, ur_m16u2_swio11_lednop_pr_ee_ce_u4 },
 { 113130, ur_m8u2_swio11_lednop_ee_hw },
 { 113132, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 113133, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 113134, ur_m16u2_swio11_dual },
 { 113135, ur_m16u2_swio11_dual },
 { 113136, ur_m16u2_swio11_dual },
 { 113137, ur_m16u2_swio11_dual_pr_ee },
 { 113138, ur_m16u2_swio11_dual_pr_ee_u4 },
 { 113139, ur_m16u2_swio11_dual_pr_ce },
 { 113140, ur_m16u2_swio11_dual_pr_ce_u4 },
 { 113141, ur_m16u2_swio11_dual_pr_ee_ce },
 { 113142, ur_m16u2_swio11_dual_pr_ee_ce_u4 },
 { 113144, ur_m16u2_swio11_dual_ee_hw },
 { 113146, ur_m16u2_swio11_dual_ee_ce_hw },
 { 113147, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 113148, ur_m16u2_swio13_noled },
 { 113149, ur_m16u2_swio13_noled },
 { 113150, ur_m16u2_swio13_noled_pr_u4 },
 { 113151, ur_m16u2_swio13_noled_pr_ee },
 { 113152, ur_m16u2_swio13_noled_pr_ee },
 { 113153, ur_m16u2_swio13_noled_pr_ce },
 { 113154, ur_m16u2_swio13_noled_pr_ce },
 { 113155, ur_m16u2_swio13_noled_pr_ee_ce },
 { 113156, ur_m16u2_swio13_noled_pr_ee_ce_u4 },
 { 113158, ur_m8u2_swio13_noled_ee_hw },
 { 113160, ur_m16u2_swio13_noled_ee_ce_hw },
 { 113161, ur_m16u2_swio13_noled_ee_ce_hw },
 { 113162, ur_m16u2_swio13_lednop },
 { 113163, ur_m16u2_swio13_lednop_pr },
 { 113164, ur_m16u2_swio13_lednop_pr },
 { 113165, ur_m16u2_swio13_lednop_pr_ee },
 { 113166, ur_m16u2_swio13_lednop_pr_ee_u4 },
 { 113167, ur_m16u2_swio13_lednop_pr_ce },
 { 113168, ur_m16u2_swio13_lednop_pr_ce },
 { 113169, ur_m16u2_swio13_lednop_pr_ee_ce },
 { 113170, ur_m16u2_swio13_lednop_pr_ee_ce_u4 },
 { 113172, ur_m8u2_swio13_lednop_ee_hw },
 { 113174, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 113175, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 113176, ur_m16u2_swio13_dual },
 { 113177, ur_m16u2_swio13_dual },
 { 113178, ur_m16u2_swio13_dual },
 { 113179, ur_m16u2_swio13_dual_pr_ee },
 { 113180, ur_m16u2_swio13_dual_pr_ee_u4 },
 { 113181, ur_m16u2_swio13_dual_pr_ce },
 { 113182, ur_m16u2_swio13_dual_pr_ce_u4 },
 { 113183, ur_m16u2_swio13_dual_pr_ee_ce },
 { 113184, ur_m16u2_swio13_dual_pr_ee_ce_u4 },
 { 113186, ur_m16u2_swio13_dual_ee_hw },
 { 113188, ur_m16u2_swio13_dual_ee_ce_hw },
 { 113189, ur_m16u2_swio13_dual_ee_ce_u4_hw },
 { 113190, ur_m16u2_swio14_noled },
 { 113191, ur_m16u2_swio14_noled },
 { 113192, ur_m16u2_swio14_noled_pr_u4 },
 { 113193, ur_m16u2_swio14_noled_pr_ee },
 { 113194, ur_m16u2_swio14_noled_pr_ee },
 { 113195, ur_m16u2_swio14_noled_pr_ce },
 { 113196, ur_m16u2_swio14_noled_pr_ce },
 { 113197, ur_m16u2_swio14_noled_pr_ee_ce },
 { 113198, ur_m16u2_swio14_noled_pr_ee_ce_u4 },
 { 113200, ur_m8u2_swio14_noled_ee_hw },
 { 113202, ur_m16u2_swio14_noled_ee_ce_hw },
 { 113203, ur_m16u2_swio14_noled_ee_ce_hw },
 { 113204, ur_m16u2_swio14_lednop },
 { 113205, ur_m16u2_swio14_lednop_pr },
 { 113206, ur_m16u2_swio14_lednop_pr },
 { 113207, ur_m16u2_swio14_lednop_pr_ee },
 { 113208, ur_m16u2_swio14_lednop_pr_ee_u4 },
 { 113209, ur_m16u2_swio14_lednop_pr_ce },
 { 113210, ur_m16u2_swio14_lednop_pr_ce },
 { 113211, ur_m16u2_swio14_lednop_pr_ee_ce },
 { 113212, ur_m16u2_swio14_lednop_pr_ee_ce_u4 },
 { 113214, ur_m8u2_swio14_lednop_ee_hw },
 { 113216, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 113217, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 113218, ur_m16u2_swio14_dual },
 { 113219, ur_m16u2_swio14_dual },
 { 113220, ur_m16u2_swio14_dual },
 { 113221, ur_m16u2_swio14_dual_pr_ee },
 { 113222, ur_m16u2_swio14_dual_pr_ee_u4 },
 { 113223, ur_m16u2_swio14_dual_pr_ce },
 { 113224, ur_m16u2_swio14_dual_pr_ce_u4 },
 { 113225, ur_m16u2_swio14_dual_pr_ee_ce },
 { 113226, ur_m16u2_swio14_dual_pr_ee_ce_u4 },
 { 113228, ur_m16u2_swio14_dual_ee_hw },
 { 113230, ur_m16u2_swio14_dual_ee_ce_hw },
 { 113231, ur_m16u2_swio14_dual_ee_ce_u4_hw },
 { 113232, ur_m16u2_swio15_noled },
 { 113233, ur_m16u2_swio15_noled },
 { 113234, ur_m16u2_swio15_noled_pr_u4 },
 { 113235, ur_m16u2_swio15_noled_pr_ee },
 { 113236, ur_m16u2_swio15_noled_pr_ee },
 { 113237, ur_m16u2_swio15_noled_pr_ce },
 { 113238, ur_m16u2_swio15_noled_pr_ce },
 { 113239, ur_m16u2_swio15_noled_pr_ee_ce },
 { 113240, ur_m16u2_swio15_noled_pr_ee_ce_u4 },
 { 113242, ur_m8u2_swio15_noled_ee_hw },
 { 113244, ur_m16u2_swio15_noled_ee_ce_hw },
 { 113245, ur_m16u2_swio15_noled_ee_ce_hw },
 { 113246, ur_m16u2_swio15_lednop },
 { 113247, ur_m16u2_swio15_lednop_pr },
 { 113248, ur_m16u2_swio15_lednop_pr },
 { 113249, ur_m16u2_swio15_lednop_pr_ee },
 { 113250, ur_m16u2_swio15_lednop_pr_ee_u4 },
 { 113251, ur_m16u2_swio15_lednop_pr_ce },
 { 113252, ur_m16u2_swio15_lednop_pr_ce },
 { 113253, ur_m16u2_swio15_lednop_pr_ee_ce },
 { 113254, ur_m16u2_swio15_lednop_pr_ee_ce_u4 },
 { 113256, ur_m8u2_swio15_lednop_ee_hw },
 { 113258, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 113259, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 113260, ur_m16u2_swio15_dual },
 { 113261, ur_m16u2_swio15_dual },
 { 113262, ur_m16u2_swio15_dual },
 { 113263, ur_m16u2_swio15_dual_pr_ee },
 { 113264, ur_m16u2_swio15_dual_pr_ee_u4 },
 { 113265, ur_m16u2_swio15_dual_pr_ce },
 { 113266, ur_m16u2_swio15_dual_pr_ce_u4 },
 { 113267, ur_m16u2_swio15_dual_pr_ee_ce },
 { 113268, ur_m16u2_swio15_dual_pr_ee_ce_u4 },
 { 113270, ur_m16u2_swio15_dual_ee_hw },
 { 113272, ur_m16u2_swio15_dual_ee_ce_hw },
 { 113273, ur_m16u2_swio15_dual_ee_ce_u4_hw },
 { 113274, ur_m16u4_autobaud_uart0_noled },
 { 113275, ur_m16u4_autobaud_uart0_noled },
 { 113276, ur_m16u4_autobaud_uart0_noled_pr_u4 },
 { 113277, ur_m16u4_autobaud_uart0_noled_pr_ee },
 { 113278, ur_m16u4_autobaud_uart0_noled_pr_ee },
 { 113279, ur_m16u4_autobaud_uart0_noled_pr_ce },
 { 113280, ur_m16u4_autobaud_uart0_noled_pr_ce },
 { 113281, ur_m16u4_autobaud_uart0_noled_pr_ee_ce },
 { 113282, ur_m16u4_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 113284, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 113286, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 113287, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 113288, ur_m16u4_autobaud_uart0_lednop },
 { 113289, ur_m16u4_autobaud_uart0_lednop },
 { 113290, ur_m16u4_autobaud_uart0_lednop_pr_u4 },
 { 113291, ur_m16u4_autobaud_uart0_lednop_pr_ee },
 { 113292, ur_m16u4_autobaud_uart0_lednop_pr_ee },
 { 113293, ur_m16u4_autobaud_uart0_lednop_pr_ce },
 { 113294, ur_m16u4_autobaud_uart0_lednop_pr_ce },
 { 113295, ur_m16u4_autobaud_uart0_lednop_pr_ee_ce },
 { 113296, ur_m16u4_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 113298, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 113300, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 113301, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 113302, ur_m16u4_autobaud_uart0_dual },
 { 113303, ur_m16u4_autobaud_uart0_dual },
 { 113304, ur_m16u4_autobaud_uart0_dual },
 { 113305, ur_m16u4_autobaud_uart0_dual_pr_ee },
 { 113306, ur_m16u4_autobaud_uart0_dual_pr_ee_u4 },
 { 113307, ur_m16u4_autobaud_uart0_dual_pr_ce },
 { 113308, ur_m16u4_autobaud_uart0_dual_pr_ce },
 { 113309, ur_m16u4_autobaud_uart0_dual_pr_ee_ce },
 { 113310, ur_m16u4_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 113312, ur_m16u2_autobaud_uart0_dual_ee_hw },
 { 113314, ur_m16u2_autobaud_uart0_dual_ee_ce_hw },
 { 113315, ur_m16u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 113484, ur_m16u4_u1x8_uart0_noled },
 { 113485, ur_m16u4_u1x8_uart0_noled },
 { 113486, ur_m16u4_u1x8_uart0_noled_pr_u4 },
 { 113487, ur_m16u4_u1x8_uart0_noled_pr_ee },
 { 113488, ur_m16u4_u1x8_uart0_noled_pr_ee },
 { 113489, ur_m16u4_u1x8_uart0_noled_pr_ce },
 { 113490, ur_m16u4_u1x8_uart0_noled_pr_ce_u4 },
 { 113491, ur_m16u4_u1x8_uart0_noled_pr_ee_ce },
 { 113492, ur_m16u4_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 113494, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 113496, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 113497, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 113498, ur_m16u4_u1x8_uart0_lednop },
 { 113499, ur_m16u4_u1x8_uart0_lednop },
 { 113500, ur_m16u4_u1x8_uart0_lednop_pr_u4 },
 { 113501, ur_m16u4_u1x8_uart0_lednop_pr_ee },
 { 113502, ur_m16u4_u1x8_uart0_lednop_pr_ee },
 { 113503, ur_m16u4_u1x8_uart0_lednop_pr_ce },
 { 113504, ur_m16u4_u1x8_uart0_lednop_pr_ce },
 { 113505, ur_m16u4_u1x8_uart0_lednop_pr_ee_ce },
 { 113506, ur_m16u4_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 113508, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 113510, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 113511, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 113512, ur_m16u4_u1x8_uart0_dual },
 { 113513, ur_m16u4_u1x8_uart0_dual },
 { 113514, ur_m16u4_u1x8_uart0_dual_pr_u4 },
 { 113515, ur_m16u4_u1x8_uart0_dual_pr_ee },
 { 113516, ur_m16u4_u1x8_uart0_dual_pr_ee },
 { 113517, ur_m16u4_u1x8_uart0_dual_pr_ce },
 { 113518, ur_m16u4_u1x8_uart0_dual_pr_ce },
 { 113519, ur_m16u4_u1x8_uart0_dual_pr_ee_ce },
 { 113520, ur_m16u4_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 113522, ur_m16u2_u1x8_uart0_dual_ee_hw },
 { 113524, ur_m16u2_u1x8_uart0_dual_ee_ce_hw },
 { 113525, ur_m16u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 113694, ur_m16u4_u1x12_uart0_noled },
 { 113695, ur_m16u4_u1x12_uart0_noled },
 { 113696, ur_m16u4_u1x12_uart0_noled_pr_u4 },
 { 113697, ur_m16u4_u1x12_uart0_noled_pr_ee },
 { 113698, ur_m16u4_u1x12_uart0_noled_pr_ee },
 { 113699, ur_m16u4_u1x12_uart0_noled_pr_ce },
 { 113700, ur_m16u4_u1x12_uart0_noled_pr_ce_u4 },
 { 113701, ur_m16u4_u1x12_uart0_noled_pr_ee_ce },
 { 113702, ur_m16u4_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 113704, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 113706, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 113707, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 113708, ur_m16u4_u1x12_uart0_lednop },
 { 113709, ur_m16u4_u1x12_uart0_lednop },
 { 113710, ur_m16u4_u1x12_uart0_lednop_pr_u4 },
 { 113711, ur_m16u4_u1x12_uart0_lednop_pr_ee },
 { 113712, ur_m16u4_u1x12_uart0_lednop_pr_ee },
 { 113713, ur_m16u4_u1x12_uart0_lednop_pr_ce },
 { 113714, ur_m16u4_u1x12_uart0_lednop_pr_ce },
 { 113715, ur_m16u4_u1x12_uart0_lednop_pr_ee_ce },
 { 113716, ur_m16u4_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 113718, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 113720, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 113721, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 113722, ur_m16u4_u1x12_uart0_dual },
 { 113723, ur_m16u4_u1x12_uart0_dual_pr },
 { 113724, ur_m16u4_u1x12_uart0_dual_pr_u4 },
 { 113725, ur_m16u4_u1x12_uart0_dual_pr_ee },
 { 113726, ur_m16u4_u1x12_uart0_dual_pr_ee },
 { 113727, ur_m16u4_u1x12_uart0_dual_pr_ce },
 { 113728, ur_m16u4_u1x12_uart0_dual_pr_ce },
 { 113729, ur_m16u4_u1x12_uart0_dual_pr_ee_ce },
 { 113730, ur_m16u4_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 113732, ur_m16u2_u1x12_uart0_dual_ee_hw },
 { 113734, ur_m16u2_u1x12_uart0_dual_ee_ce_hw },
 { 113735, ur_m16u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 113904, ur_m16u4_u2x8_uart0_noled },
 { 113905, ur_m16u4_u2x8_uart0_noled },
 { 113906, ur_m16u4_u2x8_uart0_noled_pr_u4 },
 { 113907, ur_m16u4_u2x8_uart0_noled_pr_ee },
 { 113908, ur_m16u4_u2x8_uart0_noled_pr_ee },
 { 113909, ur_m16u4_u2x8_uart0_noled_pr_ce },
 { 113910, ur_m16u4_u2x8_uart0_noled_pr_ce_u4 },
 { 113911, ur_m16u4_u2x8_uart0_noled_pr_ee_ce },
 { 113912, ur_m16u4_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 113914, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 113916, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 113917, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 113918, ur_m16u4_u2x8_uart0_lednop },
 { 113919, ur_m16u4_u2x8_uart0_lednop },
 { 113920, ur_m16u4_u2x8_uart0_lednop_pr_u4 },
 { 113921, ur_m16u4_u2x8_uart0_lednop_pr_ee },
 { 113922, ur_m16u4_u2x8_uart0_lednop_pr_ee },
 { 113923, ur_m16u4_u2x8_uart0_lednop_pr_ce },
 { 113924, ur_m16u4_u2x8_uart0_lednop_pr_ce },
 { 113925, ur_m16u4_u2x8_uart0_lednop_pr_ee_ce },
 { 113926, ur_m16u4_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 113928, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 113930, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 113931, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 113932, ur_m16u4_u2x8_uart0_dual },
 { 113933, ur_m16u4_u2x8_uart0_dual_pr },
 { 113934, ur_m16u4_u2x8_uart0_dual_pr_u4 },
 { 113935, ur_m16u4_u2x8_uart0_dual_pr_ee },
 { 113936, ur_m16u4_u2x8_uart0_dual_pr_ee },
 { 113937, ur_m16u4_u2x8_uart0_dual_pr_ce },
 { 113938, ur_m16u4_u2x8_uart0_dual_pr_ce },
 { 113939, ur_m16u4_u2x8_uart0_dual_pr_ee_ce },
 { 113940, ur_m16u4_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 113942, ur_m16u2_u2x8_uart0_dual_ee_hw },
 { 113944, ur_m16u2_u2x8_uart0_dual_ee_ce_hw },
 { 113945, ur_m16u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 114114, ur_m16u4_u2x12_uart0_noled },
 { 114115, ur_m16u4_u2x12_uart0_noled },
 { 114116, ur_m16u4_u2x12_uart0_noled_pr_u4 },
 { 114117, ur_m16u4_u2x12_uart0_noled_pr_ee },
 { 114118, ur_m16u4_u2x12_uart0_noled_pr_ee },
 { 114119, ur_m16u4_u2x12_uart0_noled_pr_ce },
 { 114120, ur_m16u4_u2x12_uart0_noled_pr_ce },
 { 114121, ur_m16u4_u2x12_uart0_noled_pr_ee_ce },
 { 114122, ur_m16u4_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 114124, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 114126, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 114127, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 114128, ur_m16u4_u2x12_uart0_lednop },
 { 114129, ur_m16u4_u2x12_uart0_lednop },
 { 114130, ur_m16u4_u2x12_uart0_lednop_pr_u4 },
 { 114131, ur_m16u4_u2x12_uart0_lednop_pr_ee },
 { 114132, ur_m16u4_u2x12_uart0_lednop_pr_ee },
 { 114133, ur_m16u4_u2x12_uart0_lednop_pr_ce },
 { 114134, ur_m16u4_u2x12_uart0_lednop_pr_ce },
 { 114135, ur_m16u4_u2x12_uart0_lednop_pr_ee_ce },
 { 114136, ur_m16u4_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 114138, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 114140, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 114141, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 114142, ur_m16u4_u2x12_uart0_dual },
 { 114143, ur_m16u4_u2x12_uart0_dual_pr },
 { 114144, ur_m16u4_u2x12_uart0_dual_pr },
 { 114145, ur_m16u4_u2x12_uart0_dual_pr_ee },
 { 114146, ur_m16u4_u2x12_uart0_dual_pr_ee },
 { 114147, ur_m16u4_u2x12_uart0_dual_pr_ce },
 { 114148, ur_m16u4_u2x12_uart0_dual_pr_ce },
 { 114149, ur_m16u4_u2x12_uart0_dual_pr_ee_ce },
 { 114150, ur_m16u4_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 114152, ur_m16u2_u2x12_uart0_dual_ee_hw },
 { 114154, ur_m16u2_u2x12_uart0_dual_ee_ce_hw },
 { 114155, ur_m16u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 114324, ur_m16u4_swio10_noled },
 { 114325, ur_m16u4_swio10_noled },
 { 114326, ur_m16u4_swio10_noled_pr_u4 },
 { 114327, ur_m16u4_swio10_noled_pr_ee },
 { 114328, ur_m16u4_swio10_noled_pr_ee },
 { 114329, ur_m16u4_swio10_noled_pr_ce },
 { 114330, ur_m16u4_swio10_noled_pr_ce },
 { 114331, ur_m16u4_swio10_noled_pr_ee_ce },
 { 114332, ur_m16u4_swio10_noled_pr_ee_ce_u4 },
 { 114334, ur_m8u2_swio10_noled_ee_hw },
 { 114336, ur_m16u2_swio10_noled_ee_ce_hw },
 { 114337, ur_m16u2_swio10_noled_ee_ce_hw },
 { 114338, ur_m16u4_swio10_lednop },
 { 114339, ur_m16u4_swio10_lednop_pr },
 { 114340, ur_m16u4_swio10_lednop_pr },
 { 114341, ur_m16u4_swio10_lednop_pr_ee },
 { 114342, ur_m16u4_swio10_lednop_pr_ee },
 { 114343, ur_m16u4_swio10_lednop_pr_ce },
 { 114344, ur_m16u4_swio10_lednop_pr_ce },
 { 114345, ur_m16u4_swio10_lednop_pr_ee_ce },
 { 114346, ur_m16u4_swio10_lednop_pr_ee_ce_u4 },
 { 114348, ur_m8u2_swio10_lednop_ee_hw },
 { 114350, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 114351, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 114352, ur_m16u4_swio10_dual },
 { 114353, ur_m16u4_swio10_dual },
 { 114354, ur_m16u4_swio10_dual },
 { 114355, ur_m16u4_swio10_dual_pr_ee },
 { 114356, ur_m16u4_swio10_dual_pr_ee_u4 },
 { 114357, ur_m16u4_swio10_dual_pr_ce },
 { 114358, ur_m16u4_swio10_dual_pr_ce_u4 },
 { 114359, ur_m16u4_swio10_dual_pr_ee_ce },
 { 114360, ur_m16u4_swio10_dual_pr_ee_ce_u4 },
 { 114362, ur_m16u2_swio10_dual_ee_hw },
 { 114364, ur_m16u2_swio10_dual_ee_ce_hw },
 { 114365, ur_m16u2_swio10_dual_ee_ce_u4_hw },
 { 114366, ur_m16u4_swio11_noled },
 { 114367, ur_m16u4_swio11_noled },
 { 114368, ur_m16u4_swio11_noled_pr_u4 },
 { 114369, ur_m16u4_swio11_noled_pr_ee },
 { 114370, ur_m16u4_swio11_noled_pr_ee },
 { 114371, ur_m16u4_swio11_noled_pr_ce },
 { 114372, ur_m16u4_swio11_noled_pr_ce },
 { 114373, ur_m16u4_swio11_noled_pr_ee_ce },
 { 114374, ur_m16u4_swio11_noled_pr_ee_ce_u4 },
 { 114376, ur_m8u2_swio11_noled_ee_hw },
 { 114378, ur_m16u2_swio11_noled_ee_ce_hw },
 { 114379, ur_m16u2_swio11_noled_ee_ce_hw },
 { 114380, ur_m16u4_swio11_lednop },
 { 114381, ur_m16u4_swio11_lednop_pr },
 { 114382, ur_m16u4_swio11_lednop_pr },
 { 114383, ur_m16u4_swio11_lednop_pr_ee },
 { 114384, ur_m16u4_swio11_lednop_pr_ee_u4 },
 { 114385, ur_m16u4_swio11_lednop_pr_ce },
 { 114386, ur_m16u4_swio11_lednop_pr_ce },
 { 114387, ur_m16u4_swio11_lednop_pr_ee_ce },
 { 114388, ur_m16u4_swio11_lednop_pr_ee_ce_u4 },
 { 114390, ur_m8u2_swio11_lednop_ee_hw },
 { 114392, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 114393, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 114394, ur_m16u4_swio11_dual },
 { 114395, ur_m16u4_swio11_dual },
 { 114396, ur_m16u4_swio11_dual },
 { 114397, ur_m16u4_swio11_dual_pr_ee },
 { 114398, ur_m16u4_swio11_dual_pr_ee_u4 },
 { 114399, ur_m16u4_swio11_dual_pr_ce },
 { 114400, ur_m16u4_swio11_dual_pr_ce_u4 },
 { 114401, ur_m16u4_swio11_dual_pr_ee_ce },
 { 114402, ur_m16u4_swio11_dual_pr_ee_ce_u4 },
 { 114404, ur_m16u2_swio11_dual_ee_hw },
 { 114406, ur_m16u2_swio11_dual_ee_ce_hw },
 { 114407, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 114408, ur_m16u4_swio11_noled },
 { 114409, ur_m16u4_swio11_noled },
 { 114410, ur_m16u4_swio11_noled_pr_u4 },
 { 114411, ur_m16u4_swio11_noled_pr_ee },
 { 114412, ur_m16u4_swio11_noled_pr_ee },
 { 114413, ur_m16u4_swio11_noled_pr_ce },
 { 114414, ur_m16u4_swio11_noled_pr_ce },
 { 114415, ur_m16u4_swio11_noled_pr_ee_ce },
 { 114416, ur_m16u4_swio11_noled_pr_ee_ce_u4 },
 { 114418, ur_m8u2_swio11_noled_ee_hw },
 { 114420, ur_m16u2_swio11_noled_ee_ce_hw },
 { 114421, ur_m16u2_swio11_noled_ee_ce_hw },
 { 114422, ur_m16u4_swio11_lednop },
 { 114423, ur_m16u4_swio11_lednop_pr },
 { 114424, ur_m16u4_swio11_lednop_pr },
 { 114425, ur_m16u4_swio11_lednop_pr_ee },
 { 114426, ur_m16u4_swio11_lednop_pr_ee_u4 },
 { 114427, ur_m16u4_swio11_lednop_pr_ce },
 { 114428, ur_m16u4_swio11_lednop_pr_ce },
 { 114429, ur_m16u4_swio11_lednop_pr_ee_ce },
 { 114430, ur_m16u4_swio11_lednop_pr_ee_ce_u4 },
 { 114432, ur_m8u2_swio11_lednop_ee_hw },
 { 114434, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 114435, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 114436, ur_m16u4_swio11_dual },
 { 114437, ur_m16u4_swio11_dual },
 { 114438, ur_m16u4_swio11_dual },
 { 114439, ur_m16u4_swio11_dual_pr_ee },
 { 114440, ur_m16u4_swio11_dual_pr_ee_u4 },
 { 114441, ur_m16u4_swio11_dual_pr_ce },
 { 114442, ur_m16u4_swio11_dual_pr_ce_u4 },
 { 114443, ur_m16u4_swio11_dual_pr_ee_ce },
 { 114444, ur_m16u4_swio11_dual_pr_ee_ce_u4 },
 { 114446, ur_m16u2_swio11_dual_ee_hw },
 { 114448, ur_m16u2_swio11_dual_ee_ce_hw },
 { 114449, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 114450, ur_m16u4_swio13_noled },
 { 114451, ur_m16u4_swio13_noled },
 { 114452, ur_m16u4_swio13_noled_pr_u4 },
 { 114453, ur_m16u4_swio13_noled_pr_ee },
 { 114454, ur_m16u4_swio13_noled_pr_ee },
 { 114455, ur_m16u4_swio13_noled_pr_ce },
 { 114456, ur_m16u4_swio13_noled_pr_ce },
 { 114457, ur_m16u4_swio13_noled_pr_ee_ce },
 { 114458, ur_m16u4_swio13_noled_pr_ee_ce_u4 },
 { 114460, ur_m8u2_swio13_noled_ee_hw },
 { 114462, ur_m16u2_swio13_noled_ee_ce_hw },
 { 114463, ur_m16u2_swio13_noled_ee_ce_hw },
 { 114464, ur_m16u4_swio13_lednop },
 { 114465, ur_m16u4_swio13_lednop_pr },
 { 114466, ur_m16u4_swio13_lednop_pr },
 { 114467, ur_m16u4_swio13_lednop_pr_ee },
 { 114468, ur_m16u4_swio13_lednop_pr_ee_u4 },
 { 114469, ur_m16u4_swio13_lednop_pr_ce },
 { 114470, ur_m16u4_swio13_lednop_pr_ce },
 { 114471, ur_m16u4_swio13_lednop_pr_ee_ce },
 { 114472, ur_m16u4_swio13_lednop_pr_ee_ce_u4 },
 { 114474, ur_m8u2_swio13_lednop_ee_hw },
 { 114476, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 114477, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 114478, ur_m16u4_swio13_dual },
 { 114479, ur_m16u4_swio13_dual },
 { 114480, ur_m16u4_swio13_dual },
 { 114481, ur_m16u4_swio13_dual_pr_ee },
 { 114482, ur_m16u4_swio13_dual_pr_ee_u4 },
 { 114483, ur_m16u4_swio13_dual_pr_ce },
 { 114484, ur_m16u4_swio13_dual_pr_ce_u4 },
 { 114485, ur_m16u4_swio13_dual_pr_ee_ce },
 { 114486, ur_m16u4_swio13_dual_pr_ee_ce_u4 },
 { 114488, ur_m16u2_swio13_dual_ee_hw },
 { 114490, ur_m16u2_swio13_dual_ee_ce_hw },
 { 114491, ur_m16u2_swio13_dual_ee_ce_u4_hw },
 { 114492, ur_m16u4_swio14_noled },
 { 114493, ur_m16u4_swio14_noled },
 { 114494, ur_m16u4_swio14_noled_pr_u4 },
 { 114495, ur_m16u4_swio14_noled_pr_ee },
 { 114496, ur_m16u4_swio14_noled_pr_ee },
 { 114497, ur_m16u4_swio14_noled_pr_ce },
 { 114498, ur_m16u4_swio14_noled_pr_ce },
 { 114499, ur_m16u4_swio14_noled_pr_ee_ce },
 { 114500, ur_m16u4_swio14_noled_pr_ee_ce_u4 },
 { 114502, ur_m8u2_swio14_noled_ee_hw },
 { 114504, ur_m16u2_swio14_noled_ee_ce_hw },
 { 114505, ur_m16u2_swio14_noled_ee_ce_hw },
 { 114506, ur_m16u4_swio14_lednop },
 { 114507, ur_m16u4_swio14_lednop_pr },
 { 114508, ur_m16u4_swio14_lednop_pr },
 { 114509, ur_m16u4_swio14_lednop_pr_ee },
 { 114510, ur_m16u4_swio14_lednop_pr_ee_u4 },
 { 114511, ur_m16u4_swio14_lednop_pr_ce },
 { 114512, ur_m16u4_swio14_lednop_pr_ce },
 { 114513, ur_m16u4_swio14_lednop_pr_ee_ce },
 { 114514, ur_m16u4_swio14_lednop_pr_ee_ce_u4 },
 { 114516, ur_m8u2_swio14_lednop_ee_hw },
 { 114518, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 114519, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 114520, ur_m16u4_swio14_dual },
 { 114521, ur_m16u4_swio14_dual },
 { 114522, ur_m16u4_swio14_dual },
 { 114523, ur_m16u4_swio14_dual_pr_ee },
 { 114524, ur_m16u4_swio14_dual_pr_ee_u4 },
 { 114525, ur_m16u4_swio14_dual_pr_ce },
 { 114526, ur_m16u4_swio14_dual_pr_ce_u4 },
 { 114527, ur_m16u4_swio14_dual_pr_ee_ce },
 { 114528, ur_m16u4_swio14_dual_pr_ee_ce_u4 },
 { 114530, ur_m16u2_swio14_dual_ee_hw },
 { 114532, ur_m16u2_swio14_dual_ee_ce_hw },
 { 114533, ur_m16u2_swio14_dual_ee_ce_u4_hw },
 { 114534, ur_m16u4_swio15_noled },
 { 114535, ur_m16u4_swio15_noled },
 { 114536, ur_m16u4_swio15_noled_pr_u4 },
 { 114537, ur_m16u4_swio15_noled_pr_ee },
 { 114538, ur_m16u4_swio15_noled_pr_ee },
 { 114539, ur_m16u4_swio15_noled_pr_ce },
 { 114540, ur_m16u4_swio15_noled_pr_ce },
 { 114541, ur_m16u4_swio15_noled_pr_ee_ce },
 { 114542, ur_m16u4_swio15_noled_pr_ee_ce_u4 },
 { 114544, ur_m8u2_swio15_noled_ee_hw },
 { 114546, ur_m16u2_swio15_noled_ee_ce_hw },
 { 114547, ur_m16u2_swio15_noled_ee_ce_hw },
 { 114548, ur_m16u4_swio15_lednop },
 { 114549, ur_m16u4_swio15_lednop_pr },
 { 114550, ur_m16u4_swio15_lednop_pr },
 { 114551, ur_m16u4_swio15_lednop_pr_ee },
 { 114552, ur_m16u4_swio15_lednop_pr_ee_u4 },
 { 114553, ur_m16u4_swio15_lednop_pr_ce },
 { 114554, ur_m16u4_swio15_lednop_pr_ce },
 { 114555, ur_m16u4_swio15_lednop_pr_ee_ce },
 { 114556, ur_m16u4_swio15_lednop_pr_ee_ce_u4 },
 { 114558, ur_m8u2_swio15_lednop_ee_hw },
 { 114560, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 114561, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 114562, ur_m16u4_swio15_dual },
 { 114563, ur_m16u4_swio15_dual },
 { 114564, ur_m16u4_swio15_dual },
 { 114565, ur_m16u4_swio15_dual_pr_ee },
 { 114566, ur_m16u4_swio15_dual_pr_ee_u4 },
 { 114567, ur_m16u4_swio15_dual_pr_ce },
 { 114568, ur_m16u4_swio15_dual_pr_ce_u4 },
 { 114569, ur_m16u4_swio15_dual_pr_ee_ce },
 { 114570, ur_m16u4_swio15_dual_pr_ee_ce_u4 },
 { 114572, ur_m16u2_swio15_dual_ee_hw },
 { 114574, ur_m16u2_swio15_dual_ee_ce_hw },
 { 114575, ur_m16u2_swio15_dual_ee_ce_u4_hw },
 { 114576, ur_m32_autobaud_uart0_noled },
 { 114577, ur_m32_autobaud_uart0_noled },
 { 114578, ur_m32_autobaud_uart0_noled_pr_u4 },
 { 114579, ur_m32_autobaud_uart0_noled_pr_ee },
 { 114580, ur_m32_autobaud_uart0_noled_pr_ee },
 { 114581, ur_m32_autobaud_uart0_noled_pr_ce },
 { 114582, ur_m32_autobaud_uart0_noled_pr_ce },
 { 114583, ur_m32_autobaud_uart0_noled_pr_ee_ce },
 { 114584, ur_m32_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 114586, ur_m32_autobaud_uart0_noled_ee_hw },
 { 114588, ur_m32_autobaud_uart0_noled_ee_ce_hw },
 { 114589, ur_m32_autobaud_uart0_noled_ee_ce_hw },
 { 114590, ur_m32_autobaud_uart0_lednop },
 { 114591, ur_m32_autobaud_uart0_lednop },
 { 114592, ur_m32_autobaud_uart0_lednop_pr_u4 },
 { 114593, ur_m32_autobaud_uart0_lednop_pr_ee },
 { 114594, ur_m32_autobaud_uart0_lednop_pr_ee },
 { 114595, ur_m32_autobaud_uart0_lednop_pr_ce },
 { 114596, ur_m32_autobaud_uart0_lednop_pr_ce },
 { 114597, ur_m32_autobaud_uart0_lednop_pr_ee_ce },
 { 114598, ur_m32_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 114600, ur_m32_autobaud_uart0_lednop_ee_hw },
 { 114602, ur_m32_autobaud_uart0_lednop_ee_ce_hw },
 { 114603, ur_m32_autobaud_uart0_lednop_ee_ce_hw },
 { 114604, ur_m32_autobaud_uart0_dual },
 { 114605, ur_m32_autobaud_uart0_dual_pr },
 { 114606, ur_m32_autobaud_uart0_dual_pr_u4 },
 { 114607, ur_m32_autobaud_uart0_dual_pr_ee },
 { 114608, ur_m32_autobaud_uart0_dual_pr_ee },
 { 114609, ur_m32_autobaud_uart0_dual_pr_ce },
 { 114610, ur_m32_autobaud_uart0_dual_pr_ce },
 { 114611, ur_m32_autobaud_uart0_dual_pr_ee_ce },
 { 114612, ur_m32_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 114614, ur_m32_autobaud_uart0_dual_ee_hw },
 { 114616, ur_m32_autobaud_uart0_dual_ee_ce_hw },
 { 114617, ur_m32_autobaud_uart0_dual_ee_ce_u4_hw },
 { 114786, ur_m32_u1x8_uart0_noled },
 { 114787, ur_m32_u1x8_uart0_noled },
 { 114788, ur_m32_u1x8_uart0_noled_pr_u4 },
 { 114789, ur_m32_u1x8_uart0_noled_pr_ee },
 { 114790, ur_m32_u1x8_uart0_noled_pr_ee },
 { 114791, ur_m32_u1x8_uart0_noled_pr_ce },
 { 114792, ur_m32_u1x8_uart0_noled_pr_ce_u4 },
 { 114793, ur_m32_u1x8_uart0_noled_pr_ee_ce },
 { 114794, ur_m32_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 114796, ur_m32_u1x8_uart0_noled_ee_hw },
 { 114798, ur_m32_u1x8_uart0_noled_ee_ce_hw },
 { 114799, ur_m32_u1x8_uart0_noled_ee_ce_hw },
 { 114800, ur_m32_u1x8_uart0_lednop },
 { 114801, ur_m32_u1x8_uart0_lednop },
 { 114802, ur_m32_u1x8_uart0_lednop_pr_u4 },
 { 114803, ur_m32_u1x8_uart0_lednop_pr_ee },
 { 114804, ur_m32_u1x8_uart0_lednop_pr_ee },
 { 114805, ur_m32_u1x8_uart0_lednop_pr_ce },
 { 114806, ur_m32_u1x8_uart0_lednop_pr_ce_u4 },
 { 114807, ur_m32_u1x8_uart0_lednop_pr_ee_ce },
 { 114808, ur_m32_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 114810, ur_m32_u1x8_uart0_lednop_ee_hw },
 { 114812, ur_m32_u1x8_uart0_lednop_ee_ce_hw },
 { 114813, ur_m32_u1x8_uart0_lednop_ee_ce_hw },
 { 114814, ur_m32_u1x8_uart0_dual },
 { 114815, ur_m32_u1x8_uart0_dual },
 { 114816, ur_m32_u1x8_uart0_dual_pr_u4 },
 { 114817, ur_m32_u1x8_uart0_dual_pr_ee },
 { 114818, ur_m32_u1x8_uart0_dual_pr_ee },
 { 114819, ur_m32_u1x8_uart0_dual_pr_ce },
 { 114820, ur_m32_u1x8_uart0_dual_pr_ce },
 { 114821, ur_m32_u1x8_uart0_dual_pr_ee_ce },
 { 114822, ur_m32_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 114824, ur_m32_u1x8_uart0_dual_ee_hw },
 { 114826, ur_m32_u1x8_uart0_dual_ee_ce_hw },
 { 114827, ur_m32_u1x8_uart0_dual_ee_ce_u4_hw },
 { 114996, ur_m32_u1x12_uart0_noled },
 { 114997, ur_m32_u1x12_uart0_noled },
 { 114998, ur_m32_u1x12_uart0_noled_pr_u4 },
 { 114999, ur_m32_u1x12_uart0_noled_pr_ee },
 { 115000, ur_m32_u1x12_uart0_noled_pr_ee },
 { 115001, ur_m32_u1x12_uart0_noled_pr_ce },
 { 115002, ur_m32_u1x12_uart0_noled_pr_ce_u4 },
 { 115003, ur_m32_u1x12_uart0_noled_pr_ee_ce },
 { 115004, ur_m32_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 115006, ur_m32_u1x12_uart0_noled_ee_hw },
 { 115008, ur_m32_u1x12_uart0_noled_ee_ce_hw },
 { 115009, ur_m32_u1x12_uart0_noled_ee_ce_hw },
 { 115010, ur_m32_u1x12_uart0_lednop },
 { 115011, ur_m32_u1x12_uart0_lednop },
 { 115012, ur_m32_u1x12_uart0_lednop_pr_u4 },
 { 115013, ur_m32_u1x12_uart0_lednop_pr_ee },
 { 115014, ur_m32_u1x12_uart0_lednop_pr_ee },
 { 115015, ur_m32_u1x12_uart0_lednop_pr_ce },
 { 115016, ur_m32_u1x12_uart0_lednop_pr_ce_u4 },
 { 115017, ur_m32_u1x12_uart0_lednop_pr_ee_ce },
 { 115018, ur_m32_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 115020, ur_m32_u1x12_uart0_lednop_ee_hw },
 { 115022, ur_m32_u1x12_uart0_lednop_ee_ce_hw },
 { 115023, ur_m32_u1x12_uart0_lednop_ee_ce_hw },
 { 115024, ur_m32_u1x12_uart0_dual },
 { 115025, ur_m32_u1x12_uart0_dual },
 { 115026, ur_m32_u1x12_uart0_dual_pr_u4 },
 { 115027, ur_m32_u1x12_uart0_dual_pr_ee },
 { 115028, ur_m32_u1x12_uart0_dual_pr_ee },
 { 115029, ur_m32_u1x12_uart0_dual_pr_ce },
 { 115030, ur_m32_u1x12_uart0_dual_pr_ce },
 { 115031, ur_m32_u1x12_uart0_dual_pr_ee_ce },
 { 115032, ur_m32_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 115034, ur_m32_u1x12_uart0_dual_ee_hw },
 { 115036, ur_m32_u1x12_uart0_dual_ee_ce_hw },
 { 115037, ur_m32_u1x12_uart0_dual_ee_ce_u4_hw },
 { 115206, ur_m32_u2x8_uart0_noled },
 { 115207, ur_m32_u2x8_uart0_noled },
 { 115208, ur_m32_u2x8_uart0_noled_pr_u4 },
 { 115209, ur_m32_u2x8_uart0_noled_pr_ee },
 { 115210, ur_m32_u2x8_uart0_noled_pr_ee },
 { 115211, ur_m32_u2x8_uart0_noled_pr_ce },
 { 115212, ur_m32_u2x8_uart0_noled_pr_ce_u4 },
 { 115213, ur_m32_u2x8_uart0_noled_pr_ee_ce },
 { 115214, ur_m32_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 115216, ur_m32_u2x8_uart0_noled_ee_hw },
 { 115218, ur_m32_u2x8_uart0_noled_ee_ce_hw },
 { 115219, ur_m32_u2x8_uart0_noled_ee_ce_hw },
 { 115220, ur_m32_u2x8_uart0_lednop },
 { 115221, ur_m32_u2x8_uart0_lednop },
 { 115222, ur_m32_u2x8_uart0_lednop_pr_u4 },
 { 115223, ur_m32_u2x8_uart0_lednop_pr_ee },
 { 115224, ur_m32_u2x8_uart0_lednop_pr_ee },
 { 115225, ur_m32_u2x8_uart0_lednop_pr_ce },
 { 115226, ur_m32_u2x8_uart0_lednop_pr_ce_u4 },
 { 115227, ur_m32_u2x8_uart0_lednop_pr_ee_ce },
 { 115228, ur_m32_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 115230, ur_m32_u2x8_uart0_lednop_ee_hw },
 { 115232, ur_m32_u2x8_uart0_lednop_ee_ce_hw },
 { 115233, ur_m32_u2x8_uart0_lednop_ee_ce_hw },
 { 115234, ur_m32_u2x8_uart0_dual },
 { 115235, ur_m32_u2x8_uart0_dual },
 { 115236, ur_m32_u2x8_uart0_dual_pr_u4 },
 { 115237, ur_m32_u2x8_uart0_dual_pr_ee },
 { 115238, ur_m32_u2x8_uart0_dual_pr_ee },
 { 115239, ur_m32_u2x8_uart0_dual_pr_ce },
 { 115240, ur_m32_u2x8_uart0_dual_pr_ce },
 { 115241, ur_m32_u2x8_uart0_dual_pr_ee_ce },
 { 115242, ur_m32_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 115244, ur_m32_u2x8_uart0_dual_ee_hw },
 { 115246, ur_m32_u2x8_uart0_dual_ee_ce_hw },
 { 115247, ur_m32_u2x8_uart0_dual_ee_ce_u4_hw },
 { 115416, ur_m32_u2x12_uart0_noled },
 { 115417, ur_m32_u2x12_uart0_noled },
 { 115418, ur_m32_u2x12_uart0_noled_pr_u4 },
 { 115419, ur_m32_u2x12_uart0_noled_pr_ee },
 { 115420, ur_m32_u2x12_uart0_noled_pr_ee },
 { 115421, ur_m32_u2x12_uart0_noled_pr_ce },
 { 115422, ur_m32_u2x12_uart0_noled_pr_ce_u4 },
 { 115423, ur_m32_u2x12_uart0_noled_pr_ee_ce },
 { 115424, ur_m32_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 115426, ur_m32_u2x12_uart0_noled_ee_hw },
 { 115428, ur_m32_u2x12_uart0_noled_ee_ce_hw },
 { 115429, ur_m32_u2x12_uart0_noled_ee_ce_hw },
 { 115430, ur_m32_u2x12_uart0_lednop },
 { 115431, ur_m32_u2x12_uart0_lednop },
 { 115432, ur_m32_u2x12_uart0_lednop_pr_u4 },
 { 115433, ur_m32_u2x12_uart0_lednop_pr_ee },
 { 115434, ur_m32_u2x12_uart0_lednop_pr_ee },
 { 115435, ur_m32_u2x12_uart0_lednop_pr_ce },
 { 115436, ur_m32_u2x12_uart0_lednop_pr_ce_u4 },
 { 115437, ur_m32_u2x12_uart0_lednop_pr_ee_ce },
 { 115438, ur_m32_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 115440, ur_m32_u2x12_uart0_lednop_ee_hw },
 { 115442, ur_m32_u2x12_uart0_lednop_ee_ce_hw },
 { 115443, ur_m32_u2x12_uart0_lednop_ee_ce_hw },
 { 115444, ur_m32_u2x12_uart0_dual },
 { 115445, ur_m32_u2x12_uart0_dual },
 { 115446, ur_m32_u2x12_uart0_dual_pr_u4 },
 { 115447, ur_m32_u2x12_uart0_dual_pr_ee },
 { 115448, ur_m32_u2x12_uart0_dual_pr_ee },
 { 115449, ur_m32_u2x12_uart0_dual_pr_ce },
 { 115450, ur_m32_u2x12_uart0_dual_pr_ce },
 { 115451, ur_m32_u2x12_uart0_dual_pr_ee_ce },
 { 115452, ur_m32_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 115454, ur_m32_u2x12_uart0_dual_ee_hw },
 { 115456, ur_m32_u2x12_uart0_dual_ee_ce_hw },
 { 115457, ur_m32_u2x12_uart0_dual_ee_ce_u4_hw },
 { 115626, ur_m32_swio10_noled },
 { 115627, ur_m32_swio10_noled },
 { 115628, ur_m32_swio10_noled_pr_u4 },
 { 115629, ur_m32_swio10_noled_pr_ee },
 { 115630, ur_m32_swio10_noled_pr_ee },
 { 115631, ur_m32_swio10_noled_pr_ce },
 { 115632, ur_m32_swio10_noled_pr_ce },
 { 115633, ur_m32_swio10_noled_pr_ee_ce },
 { 115634, ur_m32_swio10_noled_pr_ee_ce_u4 },
 { 115636, ur_m32_swio10_noled_ee_hw },
 { 115638, ur_m32_swio10_noled_ee_ce_hw },
 { 115639, ur_m32_swio10_noled_ee_ce_hw },
 { 115640, ur_m32_swio10_lednop },
 { 115641, ur_m32_swio10_lednop_pr },
 { 115642, ur_m32_swio10_lednop_pr },
 { 115643, ur_m32_swio10_lednop_pr_ee },
 { 115644, ur_m32_swio10_lednop_pr_ee_u4 },
 { 115645, ur_m32_swio10_lednop_pr_ce },
 { 115646, ur_m32_swio10_lednop_pr_ce },
 { 115647, ur_m32_swio10_lednop_pr_ee_ce },
 { 115648, ur_m32_swio10_lednop_pr_ee_ce_u4 },
 { 115650, ur_m32_swio10_lednop_ee_hw },
 { 115652, ur_m32_swio10_lednop_ee_ce_hw },
 { 115653, ur_m32_swio10_lednop_ee_ce_hw },
 { 115654, ur_m32_swio10_dual },
 { 115655, ur_m32_swio10_dual },
 { 115656, ur_m32_swio10_dual },
 { 115657, ur_m32_swio10_dual_pr_ee },
 { 115658, ur_m32_swio10_dual_pr_ee_u4 },
 { 115659, ur_m32_swio10_dual_pr_ce },
 { 115660, ur_m32_swio10_dual_pr_ce_u4 },
 { 115661, ur_m32_swio10_dual_pr_ee_ce },
 { 115662, ur_m32_swio10_dual_pr_ee_ce_u4 },
 { 115664, ur_m32_swio10_dual_ee_hw },
 { 115666, ur_m32_swio10_dual_ee_ce_hw },
 { 115667, ur_m32_swio10_dual_ee_ce_u4_hw },
 { 115668, ur_m32_swio11_noled },
 { 115669, ur_m32_swio11_noled_pr },
 { 115670, ur_m32_swio11_noled_pr },
 { 115671, ur_m32_swio11_noled_pr_ee },
 { 115672, ur_m32_swio11_noled_pr_ee },
 { 115673, ur_m32_swio11_noled_pr_ce },
 { 115674, ur_m32_swio11_noled_pr_ce },
 { 115675, ur_m32_swio11_noled_pr_ee_ce },
 { 115676, ur_m32_swio11_noled_pr_ee_ce_u4 },
 { 115678, ur_m32_swio11_noled_ee_hw },
 { 115680, ur_m32_swio11_noled_ee_ce_hw },
 { 115681, ur_m32_swio11_noled_ee_ce_hw },
 { 115682, ur_m32_swio11_lednop },
 { 115683, ur_m32_swio11_lednop_pr },
 { 115684, ur_m32_swio11_lednop_pr },
 { 115685, ur_m32_swio11_lednop_pr_ee },
 { 115686, ur_m32_swio11_lednop_pr_ee_u4 },
 { 115687, ur_m32_swio11_lednop_pr_ce },
 { 115688, ur_m32_swio11_lednop_pr_ce },
 { 115689, ur_m32_swio11_lednop_pr_ee_ce },
 { 115690, ur_m32_swio11_lednop_pr_ee_ce_u4 },
 { 115692, ur_m32_swio11_lednop_ee_hw },
 { 115694, ur_m32_swio11_lednop_ee_ce_hw },
 { 115695, ur_m32_swio11_lednop_ee_ce_hw },
 { 115696, ur_m32_swio11_dual },
 { 115697, ur_m32_swio11_dual },
 { 115698, ur_m32_swio11_dual },
 { 115699, ur_m32_swio11_dual_pr_ee },
 { 115700, ur_m32_swio11_dual_pr_ee_u4 },
 { 115701, ur_m32_swio11_dual_pr_ce },
 { 115702, ur_m32_swio11_dual_pr_ce_u4 },
 { 115703, ur_m32_swio11_dual_pr_ee_ce },
 { 115704, ur_m32_swio11_dual_pr_ee_ce_u4 },
 { 115706, ur_m32_swio11_dual_ee_hw },
 { 115708, ur_m32_swio11_dual_ee_ce_hw },
 { 115709, ur_m32_swio11_dual_ee_ce_u4_hw },
 { 115710, ur_m32_swio11_noled },
 { 115711, ur_m32_swio11_noled_pr },
 { 115712, ur_m32_swio11_noled_pr },
 { 115713, ur_m32_swio11_noled_pr_ee },
 { 115714, ur_m32_swio11_noled_pr_ee },
 { 115715, ur_m32_swio11_noled_pr_ce },
 { 115716, ur_m32_swio11_noled_pr_ce },
 { 115717, ur_m32_swio11_noled_pr_ee_ce },
 { 115718, ur_m32_swio11_noled_pr_ee_ce_u4 },
 { 115720, ur_m32_swio11_noled_ee_hw },
 { 115722, ur_m32_swio11_noled_ee_ce_hw },
 { 115723, ur_m32_swio11_noled_ee_ce_hw },
 { 115724, ur_m32_swio11_lednop },
 { 115725, ur_m32_swio11_lednop_pr },
 { 115726, ur_m32_swio11_lednop_pr },
 { 115727, ur_m32_swio11_lednop_pr_ee },
 { 115728, ur_m32_swio11_lednop_pr_ee_u4 },
 { 115729, ur_m32_swio11_lednop_pr_ce },
 { 115730, ur_m32_swio11_lednop_pr_ce },
 { 115731, ur_m32_swio11_lednop_pr_ee_ce },
 { 115732, ur_m32_swio11_lednop_pr_ee_ce_u4 },
 { 115734, ur_m32_swio11_lednop_ee_hw },
 { 115736, ur_m32_swio11_lednop_ee_ce_hw },
 { 115737, ur_m32_swio11_lednop_ee_ce_hw },
 { 115738, ur_m32_swio11_dual },
 { 115739, ur_m32_swio11_dual },
 { 115740, ur_m32_swio11_dual },
 { 115741, ur_m32_swio11_dual_pr_ee },
 { 115742, ur_m32_swio11_dual_pr_ee_u4 },
 { 115743, ur_m32_swio11_dual_pr_ce },
 { 115744, ur_m32_swio11_dual_pr_ce_u4 },
 { 115745, ur_m32_swio11_dual_pr_ee_ce },
 { 115746, ur_m32_swio11_dual_pr_ee_ce_u4 },
 { 115748, ur_m32_swio11_dual_ee_hw },
 { 115750, ur_m32_swio11_dual_ee_ce_hw },
 { 115751, ur_m32_swio11_dual_ee_ce_u4_hw },
 { 115752, ur_m32_swio13_noled },
 { 115753, ur_m32_swio13_noled_pr },
 { 115754, ur_m32_swio13_noled_pr },
 { 115755, ur_m32_swio13_noled_pr_ee },
 { 115756, ur_m32_swio13_noled_pr_ee_u4 },
 { 115757, ur_m32_swio13_noled_pr_ce },
 { 115758, ur_m32_swio13_noled_pr_ce },
 { 115759, ur_m32_swio13_noled_pr_ee_ce },
 { 115760, ur_m32_swio13_noled_pr_ee_ce_u4 },
 { 115762, ur_m32_swio13_noled_ee_hw },
 { 115764, ur_m32_swio13_noled_ee_ce_hw },
 { 115765, ur_m32_swio13_noled_ee_ce_hw },
 { 115766, ur_m32_swio13_lednop },
 { 115767, ur_m32_swio13_lednop_pr },
 { 115768, ur_m32_swio13_lednop_pr },
 { 115769, ur_m32_swio13_lednop_pr_ee },
 { 115770, ur_m32_swio13_lednop_pr_ee_u4 },
 { 115771, ur_m32_swio13_lednop_pr_ce },
 { 115772, ur_m32_swio13_lednop_pr_ce },
 { 115773, ur_m32_swio13_lednop_pr_ee_ce },
 { 115774, ur_m32_swio13_lednop_pr_ee_ce_u4 },
 { 115776, ur_m32_swio13_lednop_ee_hw },
 { 115778, ur_m32_swio13_lednop_ee_ce_hw },
 { 115779, ur_m32_swio13_lednop_ee_ce_hw },
 { 115780, ur_m32_swio13_dual },
 { 115781, ur_m32_swio13_dual },
 { 115782, ur_m32_swio13_dual },
 { 115783, ur_m32_swio13_dual_pr_ee },
 { 115784, ur_m32_swio13_dual_pr_ee_u4 },
 { 115785, ur_m32_swio13_dual_pr_ce },
 { 115786, ur_m32_swio13_dual_pr_ce_u4 },
 { 115787, ur_m32_swio13_dual_pr_ee_ce },
 { 115788, ur_m32_swio13_dual_pr_ee_ce_u4 },
 { 115790, ur_m32_swio13_dual_ee_hw },
 { 115792, ur_m32_swio13_dual_ee_ce_hw },
 { 115793, ur_m32_swio13_dual_ee_ce_u4_hw },
 { 115794, ur_m32_swio14_noled },
 { 115795, ur_m32_swio14_noled_pr },
 { 115796, ur_m32_swio14_noled_pr },
 { 115797, ur_m32_swio14_noled_pr_ee },
 { 115798, ur_m32_swio14_noled_pr_ee },
 { 115799, ur_m32_swio14_noled_pr_ce },
 { 115800, ur_m32_swio14_noled_pr_ce },
 { 115801, ur_m32_swio14_noled_pr_ee_ce },
 { 115802, ur_m32_swio14_noled_pr_ee_ce_u4 },
 { 115804, ur_m32_swio14_noled_ee_hw },
 { 115806, ur_m32_swio14_noled_ee_ce_hw },
 { 115807, ur_m32_swio14_noled_ee_ce_hw },
 { 115808, ur_m32_swio14_lednop },
 { 115809, ur_m32_swio14_lednop_pr },
 { 115810, ur_m32_swio14_lednop_pr },
 { 115811, ur_m32_swio14_lednop_pr_ee },
 { 115812, ur_m32_swio14_lednop_pr_ee_u4 },
 { 115813, ur_m32_swio14_lednop_pr_ce },
 { 115814, ur_m32_swio14_lednop_pr_ce },
 { 115815, ur_m32_swio14_lednop_pr_ee_ce },
 { 115816, ur_m32_swio14_lednop_pr_ee_ce_u4 },
 { 115818, ur_m32_swio14_lednop_ee_hw },
 { 115820, ur_m32_swio14_lednop_ee_ce_hw },
 { 115821, ur_m32_swio14_lednop_ee_ce_hw },
 { 115822, ur_m32_swio14_dual },
 { 115823, ur_m32_swio14_dual },
 { 115824, ur_m32_swio14_dual },
 { 115825, ur_m32_swio14_dual_pr_ee },
 { 115826, ur_m32_swio14_dual_pr_ee_u4 },
 { 115827, ur_m32_swio14_dual_pr_ce },
 { 115828, ur_m32_swio14_dual_pr_ce_u4 },
 { 115829, ur_m32_swio14_dual_pr_ee_ce },
 { 115830, ur_m32_swio14_dual_pr_ee_ce_u4 },
 { 115832, ur_m32_swio14_dual_ee_hw },
 { 115834, ur_m32_swio14_dual_ee_ce_hw },
 { 115835, ur_m32_swio14_dual_ee_ce_u4_hw },
 { 115836, ur_m32_swio15_noled },
 { 115837, ur_m32_swio15_noled_pr },
 { 115838, ur_m32_swio15_noled_pr },
 { 115839, ur_m32_swio15_noled_pr_ee },
 { 115840, ur_m32_swio15_noled_pr_ee_u4 },
 { 115841, ur_m32_swio15_noled_pr_ce },
 { 115842, ur_m32_swio15_noled_pr_ce },
 { 115843, ur_m32_swio15_noled_pr_ee_ce },
 { 115844, ur_m32_swio15_noled_pr_ee_ce_u4 },
 { 115846, ur_m32_swio15_noled_ee_hw },
 { 115848, ur_m32_swio15_noled_ee_ce_hw },
 { 115849, ur_m32_swio15_noled_ee_ce_hw },
 { 115850, ur_m32_swio15_lednop },
 { 115851, ur_m32_swio15_lednop_pr },
 { 115852, ur_m32_swio15_lednop_pr },
 { 115853, ur_m32_swio15_lednop_pr_ee },
 { 115854, ur_m32_swio15_lednop_pr_ee_u4 },
 { 115855, ur_m32_swio15_lednop_pr_ce },
 { 115856, ur_m32_swio15_lednop_pr_ce },
 { 115857, ur_m32_swio15_lednop_pr_ee_ce },
 { 115858, ur_m32_swio15_lednop_pr_ee_ce_u4 },
 { 115860, ur_m32_swio15_lednop_ee_hw },
 { 115862, ur_m32_swio15_lednop_ee_ce_hw },
 { 115863, ur_m32_swio15_lednop_ee_ce_hw },
 { 115864, ur_m32_swio15_dual },
 { 115865, ur_m32_swio15_dual },
 { 115866, ur_m32_swio15_dual },
 { 115867, ur_m32_swio15_dual_pr_ee },
 { 115868, ur_m32_swio15_dual_pr_ee_u4 },
 { 115869, ur_m32_swio15_dual_pr_ce },
 { 115870, ur_m32_swio15_dual_pr_ce_u4 },
 { 115871, ur_m32_swio15_dual_pr_ee_ce },
 { 115872, ur_m32_swio15_dual_pr_ee_ce_u4 },
 { 115874, ur_m32_swio15_dual_ee_hw },
 { 115876, ur_m32_swio15_dual_ee_ce_hw },
 { 115877, ur_m32_swio15_dual_ee_ce_u4_hw },
 { 115878, ur_m32_autobaud_uart0_noled },
 { 115879, ur_m32_autobaud_uart0_noled },
 { 115880, ur_m32_autobaud_uart0_noled_pr_u4 },
 { 115881, ur_m32_autobaud_uart0_noled_pr_ee },
 { 115882, ur_m32_autobaud_uart0_noled_pr_ee },
 { 115883, ur_m32_autobaud_uart0_noled_pr_ce },
 { 115884, ur_m32_autobaud_uart0_noled_pr_ce },
 { 115885, ur_m32_autobaud_uart0_noled_pr_ee_ce },
 { 115886, ur_m32_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 115888, ur_m32_autobaud_uart0_noled_ee_hw },
 { 115890, ur_m32_autobaud_uart0_noled_ee_ce_hw },
 { 115891, ur_m32_autobaud_uart0_noled_ee_ce_hw },
 { 115892, ur_m32_autobaud_uart0_lednop },
 { 115893, ur_m32_autobaud_uart0_lednop },
 { 115894, ur_m32_autobaud_uart0_lednop_pr_u4 },
 { 115895, ur_m32_autobaud_uart0_lednop_pr_ee },
 { 115896, ur_m32_autobaud_uart0_lednop_pr_ee },
 { 115897, ur_m32_autobaud_uart0_lednop_pr_ce },
 { 115898, ur_m32_autobaud_uart0_lednop_pr_ce },
 { 115899, ur_m32_autobaud_uart0_lednop_pr_ee_ce },
 { 115900, ur_m32_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 115902, ur_m32_autobaud_uart0_lednop_ee_hw },
 { 115904, ur_m32_autobaud_uart0_lednop_ee_ce_hw },
 { 115905, ur_m32_autobaud_uart0_lednop_ee_ce_hw },
 { 115906, ur_m32_autobaud_uart0_dual },
 { 115907, ur_m32_autobaud_uart0_dual_pr },
 { 115908, ur_m32_autobaud_uart0_dual_pr_u4 },
 { 115909, ur_m32_autobaud_uart0_dual_pr_ee },
 { 115910, ur_m32_autobaud_uart0_dual_pr_ee },
 { 115911, ur_m32_autobaud_uart0_dual_pr_ce },
 { 115912, ur_m32_autobaud_uart0_dual_pr_ce },
 { 115913, ur_m32_autobaud_uart0_dual_pr_ee_ce },
 { 115914, ur_m32_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 115916, ur_m32_autobaud_uart0_dual_ee_hw },
 { 115918, ur_m32_autobaud_uart0_dual_ee_ce_hw },
 { 115919, ur_m32_autobaud_uart0_dual_ee_ce_u4_hw },
 { 116088, ur_m32_u1x8_uart0_noled },
 { 116089, ur_m32_u1x8_uart0_noled },
 { 116090, ur_m32_u1x8_uart0_noled_pr_u4 },
 { 116091, ur_m32_u1x8_uart0_noled_pr_ee },
 { 116092, ur_m32_u1x8_uart0_noled_pr_ee },
 { 116093, ur_m32_u1x8_uart0_noled_pr_ce },
 { 116094, ur_m32_u1x8_uart0_noled_pr_ce_u4 },
 { 116095, ur_m32_u1x8_uart0_noled_pr_ee_ce },
 { 116096, ur_m32_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 116098, ur_m32_u1x8_uart0_noled_ee_hw },
 { 116100, ur_m32_u1x8_uart0_noled_ee_ce_hw },
 { 116101, ur_m32_u1x8_uart0_noled_ee_ce_hw },
 { 116102, ur_m32_u1x8_uart0_lednop },
 { 116103, ur_m32_u1x8_uart0_lednop },
 { 116104, ur_m32_u1x8_uart0_lednop_pr_u4 },
 { 116105, ur_m32_u1x8_uart0_lednop_pr_ee },
 { 116106, ur_m32_u1x8_uart0_lednop_pr_ee },
 { 116107, ur_m32_u1x8_uart0_lednop_pr_ce },
 { 116108, ur_m32_u1x8_uart0_lednop_pr_ce_u4 },
 { 116109, ur_m32_u1x8_uart0_lednop_pr_ee_ce },
 { 116110, ur_m32_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 116112, ur_m32_u1x8_uart0_lednop_ee_hw },
 { 116114, ur_m32_u1x8_uart0_lednop_ee_ce_hw },
 { 116115, ur_m32_u1x8_uart0_lednop_ee_ce_hw },
 { 116116, ur_m32_u1x8_uart0_dual },
 { 116117, ur_m32_u1x8_uart0_dual },
 { 116118, ur_m32_u1x8_uart0_dual_pr_u4 },
 { 116119, ur_m32_u1x8_uart0_dual_pr_ee },
 { 116120, ur_m32_u1x8_uart0_dual_pr_ee },
 { 116121, ur_m32_u1x8_uart0_dual_pr_ce },
 { 116122, ur_m32_u1x8_uart0_dual_pr_ce },
 { 116123, ur_m32_u1x8_uart0_dual_pr_ee_ce },
 { 116124, ur_m32_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 116126, ur_m32_u1x8_uart0_dual_ee_hw },
 { 116128, ur_m32_u1x8_uart0_dual_ee_ce_hw },
 { 116129, ur_m32_u1x8_uart0_dual_ee_ce_u4_hw },
 { 116298, ur_m32_u1x12_uart0_noled },
 { 116299, ur_m32_u1x12_uart0_noled },
 { 116300, ur_m32_u1x12_uart0_noled_pr_u4 },
 { 116301, ur_m32_u1x12_uart0_noled_pr_ee },
 { 116302, ur_m32_u1x12_uart0_noled_pr_ee },
 { 116303, ur_m32_u1x12_uart0_noled_pr_ce },
 { 116304, ur_m32_u1x12_uart0_noled_pr_ce_u4 },
 { 116305, ur_m32_u1x12_uart0_noled_pr_ee_ce },
 { 116306, ur_m32_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 116308, ur_m32_u1x12_uart0_noled_ee_hw },
 { 116310, ur_m32_u1x12_uart0_noled_ee_ce_hw },
 { 116311, ur_m32_u1x12_uart0_noled_ee_ce_hw },
 { 116312, ur_m32_u1x12_uart0_lednop },
 { 116313, ur_m32_u1x12_uart0_lednop },
 { 116314, ur_m32_u1x12_uart0_lednop_pr_u4 },
 { 116315, ur_m32_u1x12_uart0_lednop_pr_ee },
 { 116316, ur_m32_u1x12_uart0_lednop_pr_ee },
 { 116317, ur_m32_u1x12_uart0_lednop_pr_ce },
 { 116318, ur_m32_u1x12_uart0_lednop_pr_ce_u4 },
 { 116319, ur_m32_u1x12_uart0_lednop_pr_ee_ce },
 { 116320, ur_m32_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 116322, ur_m32_u1x12_uart0_lednop_ee_hw },
 { 116324, ur_m32_u1x12_uart0_lednop_ee_ce_hw },
 { 116325, ur_m32_u1x12_uart0_lednop_ee_ce_hw },
 { 116326, ur_m32_u1x12_uart0_dual },
 { 116327, ur_m32_u1x12_uart0_dual },
 { 116328, ur_m32_u1x12_uart0_dual_pr_u4 },
 { 116329, ur_m32_u1x12_uart0_dual_pr_ee },
 { 116330, ur_m32_u1x12_uart0_dual_pr_ee },
 { 116331, ur_m32_u1x12_uart0_dual_pr_ce },
 { 116332, ur_m32_u1x12_uart0_dual_pr_ce },
 { 116333, ur_m32_u1x12_uart0_dual_pr_ee_ce },
 { 116334, ur_m32_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 116336, ur_m32_u1x12_uart0_dual_ee_hw },
 { 116338, ur_m32_u1x12_uart0_dual_ee_ce_hw },
 { 116339, ur_m32_u1x12_uart0_dual_ee_ce_u4_hw },
 { 116508, ur_m32_u2x8_uart0_noled },
 { 116509, ur_m32_u2x8_uart0_noled },
 { 116510, ur_m32_u2x8_uart0_noled_pr_u4 },
 { 116511, ur_m32_u2x8_uart0_noled_pr_ee },
 { 116512, ur_m32_u2x8_uart0_noled_pr_ee },
 { 116513, ur_m32_u2x8_uart0_noled_pr_ce },
 { 116514, ur_m32_u2x8_uart0_noled_pr_ce_u4 },
 { 116515, ur_m32_u2x8_uart0_noled_pr_ee_ce },
 { 116516, ur_m32_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 116518, ur_m32_u2x8_uart0_noled_ee_hw },
 { 116520, ur_m32_u2x8_uart0_noled_ee_ce_hw },
 { 116521, ur_m32_u2x8_uart0_noled_ee_ce_hw },
 { 116522, ur_m32_u2x8_uart0_lednop },
 { 116523, ur_m32_u2x8_uart0_lednop },
 { 116524, ur_m32_u2x8_uart0_lednop_pr_u4 },
 { 116525, ur_m32_u2x8_uart0_lednop_pr_ee },
 { 116526, ur_m32_u2x8_uart0_lednop_pr_ee },
 { 116527, ur_m32_u2x8_uart0_lednop_pr_ce },
 { 116528, ur_m32_u2x8_uart0_lednop_pr_ce_u4 },
 { 116529, ur_m32_u2x8_uart0_lednop_pr_ee_ce },
 { 116530, ur_m32_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 116532, ur_m32_u2x8_uart0_lednop_ee_hw },
 { 116534, ur_m32_u2x8_uart0_lednop_ee_ce_hw },
 { 116535, ur_m32_u2x8_uart0_lednop_ee_ce_hw },
 { 116536, ur_m32_u2x8_uart0_dual },
 { 116537, ur_m32_u2x8_uart0_dual },
 { 116538, ur_m32_u2x8_uart0_dual_pr_u4 },
 { 116539, ur_m32_u2x8_uart0_dual_pr_ee },
 { 116540, ur_m32_u2x8_uart0_dual_pr_ee },
 { 116541, ur_m32_u2x8_uart0_dual_pr_ce },
 { 116542, ur_m32_u2x8_uart0_dual_pr_ce },
 { 116543, ur_m32_u2x8_uart0_dual_pr_ee_ce },
 { 116544, ur_m32_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 116546, ur_m32_u2x8_uart0_dual_ee_hw },
 { 116548, ur_m32_u2x8_uart0_dual_ee_ce_hw },
 { 116549, ur_m32_u2x8_uart0_dual_ee_ce_u4_hw },
 { 116718, ur_m32_u2x12_uart0_noled },
 { 116719, ur_m32_u2x12_uart0_noled },
 { 116720, ur_m32_u2x12_uart0_noled_pr_u4 },
 { 116721, ur_m32_u2x12_uart0_noled_pr_ee },
 { 116722, ur_m32_u2x12_uart0_noled_pr_ee },
 { 116723, ur_m32_u2x12_uart0_noled_pr_ce },
 { 116724, ur_m32_u2x12_uart0_noled_pr_ce_u4 },
 { 116725, ur_m32_u2x12_uart0_noled_pr_ee_ce },
 { 116726, ur_m32_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 116728, ur_m32_u2x12_uart0_noled_ee_hw },
 { 116730, ur_m32_u2x12_uart0_noled_ee_ce_hw },
 { 116731, ur_m32_u2x12_uart0_noled_ee_ce_hw },
 { 116732, ur_m32_u2x12_uart0_lednop },
 { 116733, ur_m32_u2x12_uart0_lednop },
 { 116734, ur_m32_u2x12_uart0_lednop_pr_u4 },
 { 116735, ur_m32_u2x12_uart0_lednop_pr_ee },
 { 116736, ur_m32_u2x12_uart0_lednop_pr_ee },
 { 116737, ur_m32_u2x12_uart0_lednop_pr_ce },
 { 116738, ur_m32_u2x12_uart0_lednop_pr_ce_u4 },
 { 116739, ur_m32_u2x12_uart0_lednop_pr_ee_ce },
 { 116740, ur_m32_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 116742, ur_m32_u2x12_uart0_lednop_ee_hw },
 { 116744, ur_m32_u2x12_uart0_lednop_ee_ce_hw },
 { 116745, ur_m32_u2x12_uart0_lednop_ee_ce_hw },
 { 116746, ur_m32_u2x12_uart0_dual },
 { 116747, ur_m32_u2x12_uart0_dual },
 { 116748, ur_m32_u2x12_uart0_dual_pr_u4 },
 { 116749, ur_m32_u2x12_uart0_dual_pr_ee },
 { 116750, ur_m32_u2x12_uart0_dual_pr_ee },
 { 116751, ur_m32_u2x12_uart0_dual_pr_ce },
 { 116752, ur_m32_u2x12_uart0_dual_pr_ce },
 { 116753, ur_m32_u2x12_uart0_dual_pr_ee_ce },
 { 116754, ur_m32_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 116756, ur_m32_u2x12_uart0_dual_ee_hw },
 { 116758, ur_m32_u2x12_uart0_dual_ee_ce_hw },
 { 116759, ur_m32_u2x12_uart0_dual_ee_ce_u4_hw },
 { 116928, ur_m32_swio10_noled },
 { 116929, ur_m32_swio10_noled },
 { 116930, ur_m32_swio10_noled_pr_u4 },
 { 116931, ur_m32_swio10_noled_pr_ee },
 { 116932, ur_m32_swio10_noled_pr_ee },
 { 116933, ur_m32_swio10_noled_pr_ce },
 { 116934, ur_m32_swio10_noled_pr_ce },
 { 116935, ur_m32_swio10_noled_pr_ee_ce },
 { 116936, ur_m32_swio10_noled_pr_ee_ce_u4 },
 { 116938, ur_m32_swio10_noled_ee_hw },
 { 116940, ur_m32_swio10_noled_ee_ce_hw },
 { 116941, ur_m32_swio10_noled_ee_ce_hw },
 { 116942, ur_m32_swio10_lednop },
 { 116943, ur_m32_swio10_lednop_pr },
 { 116944, ur_m32_swio10_lednop_pr },
 { 116945, ur_m32_swio10_lednop_pr_ee },
 { 116946, ur_m32_swio10_lednop_pr_ee_u4 },
 { 116947, ur_m32_swio10_lednop_pr_ce },
 { 116948, ur_m32_swio10_lednop_pr_ce },
 { 116949, ur_m32_swio10_lednop_pr_ee_ce },
 { 116950, ur_m32_swio10_lednop_pr_ee_ce_u4 },
 { 116952, ur_m32_swio10_lednop_ee_hw },
 { 116954, ur_m32_swio10_lednop_ee_ce_hw },
 { 116955, ur_m32_swio10_lednop_ee_ce_hw },
 { 116956, ur_m32_swio10_dual },
 { 116957, ur_m32_swio10_dual },
 { 116958, ur_m32_swio10_dual },
 { 116959, ur_m32_swio10_dual_pr_ee },
 { 116960, ur_m32_swio10_dual_pr_ee_u4 },
 { 116961, ur_m32_swio10_dual_pr_ce },
 { 116962, ur_m32_swio10_dual_pr_ce_u4 },
 { 116963, ur_m32_swio10_dual_pr_ee_ce },
 { 116964, ur_m32_swio10_dual_pr_ee_ce_u4 },
 { 116966, ur_m32_swio10_dual_ee_hw },
 { 116968, ur_m32_swio10_dual_ee_ce_hw },
 { 116969, ur_m32_swio10_dual_ee_ce_u4_hw },
 { 116970, ur_m32_swio11_noled },
 { 116971, ur_m32_swio11_noled_pr },
 { 116972, ur_m32_swio11_noled_pr },
 { 116973, ur_m32_swio11_noled_pr_ee },
 { 116974, ur_m32_swio11_noled_pr_ee },
 { 116975, ur_m32_swio11_noled_pr_ce },
 { 116976, ur_m32_swio11_noled_pr_ce },
 { 116977, ur_m32_swio11_noled_pr_ee_ce },
 { 116978, ur_m32_swio11_noled_pr_ee_ce_u4 },
 { 116980, ur_m32_swio11_noled_ee_hw },
 { 116982, ur_m32_swio11_noled_ee_ce_hw },
 { 116983, ur_m32_swio11_noled_ee_ce_hw },
 { 116984, ur_m32_swio11_lednop },
 { 116985, ur_m32_swio11_lednop_pr },
 { 116986, ur_m32_swio11_lednop_pr },
 { 116987, ur_m32_swio11_lednop_pr_ee },
 { 116988, ur_m32_swio11_lednop_pr_ee_u4 },
 { 116989, ur_m32_swio11_lednop_pr_ce },
 { 116990, ur_m32_swio11_lednop_pr_ce },
 { 116991, ur_m32_swio11_lednop_pr_ee_ce },
 { 116992, ur_m32_swio11_lednop_pr_ee_ce_u4 },
 { 116994, ur_m32_swio11_lednop_ee_hw },
 { 116996, ur_m32_swio11_lednop_ee_ce_hw },
 { 116997, ur_m32_swio11_lednop_ee_ce_hw },
 { 116998, ur_m32_swio11_dual },
 { 116999, ur_m32_swio11_dual },
 { 117000, ur_m32_swio11_dual },
 { 117001, ur_m32_swio11_dual_pr_ee },
 { 117002, ur_m32_swio11_dual_pr_ee_u4 },
 { 117003, ur_m32_swio11_dual_pr_ce },
 { 117004, ur_m32_swio11_dual_pr_ce_u4 },
 { 117005, ur_m32_swio11_dual_pr_ee_ce },
 { 117006, ur_m32_swio11_dual_pr_ee_ce_u4 },
 { 117008, ur_m32_swio11_dual_ee_hw },
 { 117010, ur_m32_swio11_dual_ee_ce_hw },
 { 117011, ur_m32_swio11_dual_ee_ce_u4_hw },
 { 117012, ur_m32_swio11_noled },
 { 117013, ur_m32_swio11_noled_pr },
 { 117014, ur_m32_swio11_noled_pr },
 { 117015, ur_m32_swio11_noled_pr_ee },
 { 117016, ur_m32_swio11_noled_pr_ee },
 { 117017, ur_m32_swio11_noled_pr_ce },
 { 117018, ur_m32_swio11_noled_pr_ce },
 { 117019, ur_m32_swio11_noled_pr_ee_ce },
 { 117020, ur_m32_swio11_noled_pr_ee_ce_u4 },
 { 117022, ur_m32_swio11_noled_ee_hw },
 { 117024, ur_m32_swio11_noled_ee_ce_hw },
 { 117025, ur_m32_swio11_noled_ee_ce_hw },
 { 117026, ur_m32_swio11_lednop },
 { 117027, ur_m32_swio11_lednop_pr },
 { 117028, ur_m32_swio11_lednop_pr },
 { 117029, ur_m32_swio11_lednop_pr_ee },
 { 117030, ur_m32_swio11_lednop_pr_ee_u4 },
 { 117031, ur_m32_swio11_lednop_pr_ce },
 { 117032, ur_m32_swio11_lednop_pr_ce },
 { 117033, ur_m32_swio11_lednop_pr_ee_ce },
 { 117034, ur_m32_swio11_lednop_pr_ee_ce_u4 },
 { 117036, ur_m32_swio11_lednop_ee_hw },
 { 117038, ur_m32_swio11_lednop_ee_ce_hw },
 { 117039, ur_m32_swio11_lednop_ee_ce_hw },
 { 117040, ur_m32_swio11_dual },
 { 117041, ur_m32_swio11_dual },
 { 117042, ur_m32_swio11_dual },
 { 117043, ur_m32_swio11_dual_pr_ee },
 { 117044, ur_m32_swio11_dual_pr_ee_u4 },
 { 117045, ur_m32_swio11_dual_pr_ce },
 { 117046, ur_m32_swio11_dual_pr_ce_u4 },
 { 117047, ur_m32_swio11_dual_pr_ee_ce },
 { 117048, ur_m32_swio11_dual_pr_ee_ce_u4 },
 { 117050, ur_m32_swio11_dual_ee_hw },
 { 117052, ur_m32_swio11_dual_ee_ce_hw },
 { 117053, ur_m32_swio11_dual_ee_ce_u4_hw },
 { 117054, ur_m32_swio13_noled },
 { 117055, ur_m32_swio13_noled_pr },
 { 117056, ur_m32_swio13_noled_pr },
 { 117057, ur_m32_swio13_noled_pr_ee },
 { 117058, ur_m32_swio13_noled_pr_ee_u4 },
 { 117059, ur_m32_swio13_noled_pr_ce },
 { 117060, ur_m32_swio13_noled_pr_ce },
 { 117061, ur_m32_swio13_noled_pr_ee_ce },
 { 117062, ur_m32_swio13_noled_pr_ee_ce_u4 },
 { 117064, ur_m32_swio13_noled_ee_hw },
 { 117066, ur_m32_swio13_noled_ee_ce_hw },
 { 117067, ur_m32_swio13_noled_ee_ce_hw },
 { 117068, ur_m32_swio13_lednop },
 { 117069, ur_m32_swio13_lednop_pr },
 { 117070, ur_m32_swio13_lednop_pr },
 { 117071, ur_m32_swio13_lednop_pr_ee },
 { 117072, ur_m32_swio13_lednop_pr_ee_u4 },
 { 117073, ur_m32_swio13_lednop_pr_ce },
 { 117074, ur_m32_swio13_lednop_pr_ce },
 { 117075, ur_m32_swio13_lednop_pr_ee_ce },
 { 117076, ur_m32_swio13_lednop_pr_ee_ce_u4 },
 { 117078, ur_m32_swio13_lednop_ee_hw },
 { 117080, ur_m32_swio13_lednop_ee_ce_hw },
 { 117081, ur_m32_swio13_lednop_ee_ce_hw },
 { 117082, ur_m32_swio13_dual },
 { 117083, ur_m32_swio13_dual },
 { 117084, ur_m32_swio13_dual },
 { 117085, ur_m32_swio13_dual_pr_ee },
 { 117086, ur_m32_swio13_dual_pr_ee_u4 },
 { 117087, ur_m32_swio13_dual_pr_ce },
 { 117088, ur_m32_swio13_dual_pr_ce_u4 },
 { 117089, ur_m32_swio13_dual_pr_ee_ce },
 { 117090, ur_m32_swio13_dual_pr_ee_ce_u4 },
 { 117092, ur_m32_swio13_dual_ee_hw },
 { 117094, ur_m32_swio13_dual_ee_ce_hw },
 { 117095, ur_m32_swio13_dual_ee_ce_u4_hw },
 { 117096, ur_m32_swio14_noled },
 { 117097, ur_m32_swio14_noled_pr },
 { 117098, ur_m32_swio14_noled_pr },
 { 117099, ur_m32_swio14_noled_pr_ee },
 { 117100, ur_m32_swio14_noled_pr_ee },
 { 117101, ur_m32_swio14_noled_pr_ce },
 { 117102, ur_m32_swio14_noled_pr_ce },
 { 117103, ur_m32_swio14_noled_pr_ee_ce },
 { 117104, ur_m32_swio14_noled_pr_ee_ce_u4 },
 { 117106, ur_m32_swio14_noled_ee_hw },
 { 117108, ur_m32_swio14_noled_ee_ce_hw },
 { 117109, ur_m32_swio14_noled_ee_ce_hw },
 { 117110, ur_m32_swio14_lednop },
 { 117111, ur_m32_swio14_lednop_pr },
 { 117112, ur_m32_swio14_lednop_pr },
 { 117113, ur_m32_swio14_lednop_pr_ee },
 { 117114, ur_m32_swio14_lednop_pr_ee_u4 },
 { 117115, ur_m32_swio14_lednop_pr_ce },
 { 117116, ur_m32_swio14_lednop_pr_ce },
 { 117117, ur_m32_swio14_lednop_pr_ee_ce },
 { 117118, ur_m32_swio14_lednop_pr_ee_ce_u4 },
 { 117120, ur_m32_swio14_lednop_ee_hw },
 { 117122, ur_m32_swio14_lednop_ee_ce_hw },
 { 117123, ur_m32_swio14_lednop_ee_ce_hw },
 { 117124, ur_m32_swio14_dual },
 { 117125, ur_m32_swio14_dual },
 { 117126, ur_m32_swio14_dual },
 { 117127, ur_m32_swio14_dual_pr_ee },
 { 117128, ur_m32_swio14_dual_pr_ee_u4 },
 { 117129, ur_m32_swio14_dual_pr_ce },
 { 117130, ur_m32_swio14_dual_pr_ce_u4 },
 { 117131, ur_m32_swio14_dual_pr_ee_ce },
 { 117132, ur_m32_swio14_dual_pr_ee_ce_u4 },
 { 117134, ur_m32_swio14_dual_ee_hw },
 { 117136, ur_m32_swio14_dual_ee_ce_hw },
 { 117137, ur_m32_swio14_dual_ee_ce_u4_hw },
 { 117138, ur_m32_swio15_noled },
 { 117139, ur_m32_swio15_noled_pr },
 { 117140, ur_m32_swio15_noled_pr },
 { 117141, ur_m32_swio15_noled_pr_ee },
 { 117142, ur_m32_swio15_noled_pr_ee_u4 },
 { 117143, ur_m32_swio15_noled_pr_ce },
 { 117144, ur_m32_swio15_noled_pr_ce },
 { 117145, ur_m32_swio15_noled_pr_ee_ce },
 { 117146, ur_m32_swio15_noled_pr_ee_ce_u4 },
 { 117148, ur_m32_swio15_noled_ee_hw },
 { 117150, ur_m32_swio15_noled_ee_ce_hw },
 { 117151, ur_m32_swio15_noled_ee_ce_hw },
 { 117152, ur_m32_swio15_lednop },
 { 117153, ur_m32_swio15_lednop_pr },
 { 117154, ur_m32_swio15_lednop_pr },
 { 117155, ur_m32_swio15_lednop_pr_ee },
 { 117156, ur_m32_swio15_lednop_pr_ee_u4 },
 { 117157, ur_m32_swio15_lednop_pr_ce },
 { 117158, ur_m32_swio15_lednop_pr_ce },
 { 117159, ur_m32_swio15_lednop_pr_ee_ce },
 { 117160, ur_m32_swio15_lednop_pr_ee_ce_u4 },
 { 117162, ur_m32_swio15_lednop_ee_hw },
 { 117164, ur_m32_swio15_lednop_ee_ce_hw },
 { 117165, ur_m32_swio15_lednop_ee_ce_hw },
 { 117166, ur_m32_swio15_dual },
 { 117167, ur_m32_swio15_dual },
 { 117168, ur_m32_swio15_dual },
 { 117169, ur_m32_swio15_dual_pr_ee },
 { 117170, ur_m32_swio15_dual_pr_ee_u4 },
 { 117171, ur_m32_swio15_dual_pr_ce },
 { 117172, ur_m32_swio15_dual_pr_ce_u4 },
 { 117173, ur_m32_swio15_dual_pr_ee_ce },
 { 117174, ur_m32_swio15_dual_pr_ee_ce_u4 },
 { 117176, ur_m32_swio15_dual_ee_hw },
 { 117178, ur_m32_swio15_dual_ee_ce_hw },
 { 117179, ur_m32_swio15_dual_ee_ce_u4_hw },
 { 117180, ur_m16m1_autobaud_uart0_noled },
 { 117181, ur_m16m1_autobaud_uart0_noled },
 { 117182, ur_m16m1_autobaud_uart0_noled_pr_u4 },
 { 117183, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 117184, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 117185, ur_m32c1_autobaud_uart0_noled_pr_ce },
 { 117186, ur_m32c1_autobaud_uart0_noled_pr_ce },
 { 117187, ur_m32c1_autobaud_uart0_noled_pr_ee_ce },
 { 117188, ur_m32c1_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 117190, ur_m16m1_autobaud_uart0_noled_ee_hw },
 { 117192, ur_m32c1_autobaud_uart0_noled_ee_ce_hw },
 { 117193, ur_m32c1_autobaud_uart0_noled_ee_ce_hw },
 { 117194, ur_m16m1_autobaud_uart0_lednop },
 { 117195, ur_m16m1_autobaud_uart0_lednop },
 { 117196, ur_m16m1_autobaud_uart0_lednop_pr_u4 },
 { 117197, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 117198, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 117199, ur_m32c1_autobaud_uart0_lednop_pr_ce },
 { 117200, ur_m32c1_autobaud_uart0_lednop_pr_ce },
 { 117201, ur_m32c1_autobaud_uart0_lednop_pr_ee_ce },
 { 117202, ur_m32c1_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 117204, ur_m16m1_autobaud_uart0_lednop_ee_hw },
 { 117206, ur_m32c1_autobaud_uart0_lednop_ee_ce_hw },
 { 117207, ur_m32c1_autobaud_uart0_lednop_ee_ce_hw },
 { 117208, ur_m32c1_autobaud_uart0_dual },
 { 117209, ur_m32c1_autobaud_uart0_dual },
 { 117210, ur_m32c1_autobaud_uart0_dual },
 { 117211, ur_m32c1_autobaud_uart0_dual_pr_ee },
 { 117212, ur_m32c1_autobaud_uart0_dual_pr_ee_u4 },
 { 117213, ur_m32c1_autobaud_uart0_dual_pr_ce },
 { 117214, ur_m32c1_autobaud_uart0_dual_pr_ce_u4 },
 { 117215, ur_m32c1_autobaud_uart0_dual_pr_ee_ce },
 { 117216, ur_m32c1_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 117218, ur_m32c1_autobaud_uart0_dual_ee_hw },
 { 117220, ur_m32c1_autobaud_uart0_dual_ee_ce_hw },
 { 117221, ur_m32c1_autobaud_uart0_dual_ee_ce_u4_hw },
 { 117348, ur_m16m1_lin_uart0_noled },
 { 117349, ur_m16m1_lin_uart0_noled },
 { 117350, ur_m16m1_lin_uart0_noled_pr_u4 },
 { 117351, ur_m16m1_lin_uart0_noled_pr_ee },
 { 117352, ur_m16m1_lin_uart0_noled_pr_ee },
 { 117353, ur_m32c1_lin_uart0_noled_pr_ce },
 { 117354, ur_m32c1_lin_uart0_noled_pr_ce_u4 },
 { 117355, ur_m32c1_lin_uart0_noled_pr_ee_ce },
 { 117356, ur_m32c1_lin_uart0_noled_pr_ee_ce_u4 },
 { 117358, ur_m16m1_lin_uart0_noled_ee_hw },
 { 117360, ur_m32c1_lin_uart0_noled_ee_ce_hw },
 { 117361, ur_m32c1_lin_uart0_noled_ee_ce_hw },
 { 117362, ur_m16m1_lin_uart0_lednop },
 { 117363, ur_m16m1_lin_uart0_lednop },
 { 117364, ur_m16m1_lin_uart0_lednop_pr_u4 },
 { 117365, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 117366, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 117367, ur_m32c1_lin_uart0_lednop_pr_ce },
 { 117368, ur_m32c1_lin_uart0_lednop_pr_ce },
 { 117369, ur_m32c1_lin_uart0_lednop_pr_ee_ce },
 { 117370, ur_m32c1_lin_uart0_lednop_pr_ee_ce_u4 },
 { 117372, ur_m16m1_lin_uart0_lednop_ee_hw },
 { 117374, ur_m32c1_lin_uart0_lednop_ee_ce_hw },
 { 117375, ur_m32c1_lin_uart0_lednop_ee_ce_hw },
 { 117376, ur_m32c1_lin_uart0_dual },
 { 117377, ur_m32c1_lin_uart0_dual_pr },
 { 117378, ur_m32c1_lin_uart0_dual_pr },
 { 117379, ur_m32c1_lin_uart0_dual_pr_ee },
 { 117380, ur_m32c1_lin_uart0_dual_pr_ee },
 { 117381, ur_m32c1_lin_uart0_dual_pr_ce },
 { 117382, ur_m32c1_lin_uart0_dual_pr_ce },
 { 117383, ur_m32c1_lin_uart0_dual_pr_ee_ce },
 { 117384, ur_m32c1_lin_uart0_dual_pr_ee_ce_u4 },
 { 117386, ur_m32c1_lin_uart0_dual_ee_hw },
 { 117388, ur_m32c1_lin_uart0_dual_ee_ce_hw },
 { 117389, ur_m32c1_lin_uart0_dual_ee_ce_u4_hw },
 { 118230, ur_m16m1_swio10_noled },
 { 118231, ur_m16m1_swio10_noled },
 { 118232, ur_m16m1_swio10_noled_pr_u4 },
 { 118233, ur_m16m1_swio10_noled_pr_ee },
 { 118234, ur_m16m1_swio10_noled_pr_ee },
 { 118235, ur_m32c1_swio10_noled_pr_ce },
 { 118236, ur_m32c1_swio10_noled_pr_ce },
 { 118237, ur_m32c1_swio10_noled_pr_ee_ce },
 { 118238, ur_m32c1_swio10_noled_pr_ee_ce_u4 },
 { 118240, ur_m16m1_swio10_noled_ee_hw },
 { 118242, ur_m32c1_swio10_noled_ee_ce_hw },
 { 118243, ur_m32c1_swio10_noled_ee_ce_hw },
 { 118244, ur_m16m1_swio10_lednop },
 { 118245, ur_m16m1_swio10_lednop_pr },
 { 118246, ur_m16m1_swio10_lednop_pr },
 { 118247, ur_m16m1_swio10_lednop_pr_ee },
 { 118248, ur_m16m1_swio10_lednop_pr_ee },
 { 118249, ur_m32c1_swio10_lednop_pr_ce },
 { 118250, ur_m32c1_swio10_lednop_pr_ce },
 { 118251, ur_m32c1_swio10_lednop_pr_ee_ce },
 { 118252, ur_m32c1_swio10_lednop_pr_ee_ce_u4 },
 { 118254, ur_m16m1_swio10_lednop_ee_hw },
 { 118256, ur_m32c1_swio10_lednop_ee_ce_hw },
 { 118257, ur_m32c1_swio10_lednop_ee_ce_hw },
 { 118258, ur_m32c1_swio10_dual },
 { 118259, ur_m32c1_swio10_dual },
 { 118260, ur_m32c1_swio10_dual },
 { 118261, ur_m32c1_swio10_dual_pr_ee },
 { 118262, ur_m32c1_swio10_dual_pr_ee_u4 },
 { 118263, ur_m32c1_swio10_dual_pr_ce },
 { 118264, ur_m32c1_swio10_dual_pr_ce_u4 },
 { 118265, ur_m32c1_swio10_dual_pr_ee_ce },
 { 118266, ur_m32c1_swio10_dual_pr_ee_ce_u4 },
 { 118268, ur_m32c1_swio10_dual_ee_hw },
 { 118270, ur_m32c1_swio10_dual_ee_ce_hw },
 { 118271, ur_m32c1_swio10_dual_ee_ce_u4_hw },
 { 118272, ur_m16m1_swio11_noled },
 { 118273, ur_m16m1_swio11_noled },
 { 118274, ur_m16m1_swio11_noled_pr_u4 },
 { 118275, ur_m16m1_swio11_noled_pr_ee },
 { 118276, ur_m16m1_swio11_noled_pr_ee },
 { 118277, ur_m32c1_swio11_noled_pr_ce },
 { 118278, ur_m32c1_swio11_noled_pr_ce },
 { 118279, ur_m32c1_swio11_noled_pr_ee_ce },
 { 118280, ur_m32c1_swio11_noled_pr_ee_ce_u4 },
 { 118282, ur_m16m1_swio11_noled_ee_hw },
 { 118284, ur_m32c1_swio11_noled_ee_ce_hw },
 { 118285, ur_m32c1_swio11_noled_ee_ce_hw },
 { 118286, ur_m16m1_swio11_lednop },
 { 118287, ur_m16m1_swio11_lednop_pr },
 { 118288, ur_m16m1_swio11_lednop_pr },
 { 118289, ur_m16m1_swio11_lednop_pr_ee },
 { 118290, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 118291, ur_m32c1_swio11_lednop_pr_ce },
 { 118292, ur_m32c1_swio11_lednop_pr_ce },
 { 118293, ur_m32c1_swio11_lednop_pr_ee_ce },
 { 118294, ur_m32c1_swio11_lednop_pr_ee_ce_u4 },
 { 118296, ur_m16m1_swio11_lednop_ee_hw },
 { 118298, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 118299, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 118300, ur_m32c1_swio11_dual },
 { 118301, ur_m32c1_swio11_dual },
 { 118302, ur_m32c1_swio11_dual },
 { 118303, ur_m32c1_swio11_dual_pr_ee },
 { 118304, ur_m32c1_swio11_dual_pr_ee_u4 },
 { 118305, ur_m32c1_swio11_dual_pr_ce },
 { 118306, ur_m32c1_swio11_dual_pr_ce_u4 },
 { 118307, ur_m32c1_swio11_dual_pr_ee_ce },
 { 118308, ur_m32c1_swio11_dual_pr_ee_ce_u4 },
 { 118310, ur_m32c1_swio11_dual_ee_hw },
 { 118312, ur_m32c1_swio11_dual_ee_ce_hw },
 { 118313, ur_m32c1_swio11_dual_ee_ce_u4_hw },
 { 118314, ur_m16m1_swio11_noled },
 { 118315, ur_m16m1_swio11_noled },
 { 118316, ur_m16m1_swio11_noled_pr_u4 },
 { 118317, ur_m16m1_swio11_noled_pr_ee },
 { 118318, ur_m16m1_swio11_noled_pr_ee },
 { 118319, ur_m32c1_swio11_noled_pr_ce },
 { 118320, ur_m32c1_swio11_noled_pr_ce },
 { 118321, ur_m32c1_swio11_noled_pr_ee_ce },
 { 118322, ur_m32c1_swio11_noled_pr_ee_ce_u4 },
 { 118324, ur_m16m1_swio11_noled_ee_hw },
 { 118326, ur_m32c1_swio11_noled_ee_ce_hw },
 { 118327, ur_m32c1_swio11_noled_ee_ce_hw },
 { 118328, ur_m16m1_swio11_lednop },
 { 118329, ur_m16m1_swio11_lednop_pr },
 { 118330, ur_m16m1_swio11_lednop_pr },
 { 118331, ur_m16m1_swio11_lednop_pr_ee },
 { 118332, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 118333, ur_m32c1_swio11_lednop_pr_ce },
 { 118334, ur_m32c1_swio11_lednop_pr_ce },
 { 118335, ur_m32c1_swio11_lednop_pr_ee_ce },
 { 118336, ur_m32c1_swio11_lednop_pr_ee_ce_u4 },
 { 118338, ur_m16m1_swio11_lednop_ee_hw },
 { 118340, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 118341, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 118342, ur_m32c1_swio11_dual },
 { 118343, ur_m32c1_swio11_dual },
 { 118344, ur_m32c1_swio11_dual },
 { 118345, ur_m32c1_swio11_dual_pr_ee },
 { 118346, ur_m32c1_swio11_dual_pr_ee_u4 },
 { 118347, ur_m32c1_swio11_dual_pr_ce },
 { 118348, ur_m32c1_swio11_dual_pr_ce_u4 },
 { 118349, ur_m32c1_swio11_dual_pr_ee_ce },
 { 118350, ur_m32c1_swio11_dual_pr_ee_ce_u4 },
 { 118352, ur_m32c1_swio11_dual_ee_hw },
 { 118354, ur_m32c1_swio11_dual_ee_ce_hw },
 { 118355, ur_m32c1_swio11_dual_ee_ce_u4_hw },
 { 118356, ur_m16m1_swio13_noled },
 { 118357, ur_m16m1_swio13_noled },
 { 118358, ur_m16m1_swio13_noled_pr_u4 },
 { 118359, ur_m16m1_swio13_noled_pr_ee },
 { 118360, ur_m16m1_swio13_noled_pr_ee },
 { 118361, ur_m32c1_swio13_noled_pr_ce },
 { 118362, ur_m32c1_swio13_noled_pr_ce },
 { 118363, ur_m32c1_swio13_noled_pr_ee_ce },
 { 118364, ur_m32c1_swio13_noled_pr_ee_ce_u4 },
 { 118366, ur_m16m1_swio13_noled_ee_hw },
 { 118368, ur_m32c1_swio13_noled_ee_ce_hw },
 { 118369, ur_m32c1_swio13_noled_ee_ce_hw },
 { 118370, ur_m16m1_swio13_lednop },
 { 118371, ur_m16m1_swio13_lednop_pr },
 { 118372, ur_m16m1_swio13_lednop_pr },
 { 118373, ur_m16m1_swio13_lednop_pr_ee },
 { 118374, ur_m16m1_swio13_lednop_pr_ee_u4 },
 { 118375, ur_m32c1_swio13_lednop_pr_ce },
 { 118376, ur_m32c1_swio13_lednop_pr_ce },
 { 118377, ur_m32c1_swio13_lednop_pr_ee_ce },
 { 118378, ur_m32c1_swio13_lednop_pr_ee_ce_u4 },
 { 118380, ur_m16m1_swio13_lednop_ee_hw },
 { 118382, ur_m32c1_swio13_lednop_ee_ce_hw },
 { 118383, ur_m32c1_swio13_lednop_ee_ce_hw },
 { 118384, ur_m32c1_swio13_dual },
 { 118385, ur_m32c1_swio13_dual },
 { 118386, ur_m32c1_swio13_dual },
 { 118387, ur_m32c1_swio13_dual_pr_ee },
 { 118388, ur_m32c1_swio13_dual_pr_ee_u4 },
 { 118389, ur_m32c1_swio13_dual_pr_ce },
 { 118390, ur_m32c1_swio13_dual_pr_ce_u4 },
 { 118391, ur_m32c1_swio13_dual_pr_ee_ce },
 { 118392, ur_m32c1_swio13_dual_pr_ee_ce_u4 },
 { 118394, ur_m32c1_swio13_dual_ee_hw },
 { 118396, ur_m32c1_swio13_dual_ee_ce_hw },
 { 118397, ur_m32c1_swio13_dual_ee_ce_u4_hw },
 { 118398, ur_m16m1_swio14_noled },
 { 118399, ur_m16m1_swio14_noled },
 { 118400, ur_m16m1_swio14_noled_pr_u4 },
 { 118401, ur_m16m1_swio14_noled_pr_ee },
 { 118402, ur_m16m1_swio14_noled_pr_ee },
 { 118403, ur_m32c1_swio14_noled_pr_ce },
 { 118404, ur_m32c1_swio14_noled_pr_ce },
 { 118405, ur_m32c1_swio14_noled_pr_ee_ce },
 { 118406, ur_m32c1_swio14_noled_pr_ee_ce_u4 },
 { 118408, ur_m16m1_swio14_noled_ee_hw },
 { 118410, ur_m32c1_swio14_noled_ee_ce_hw },
 { 118411, ur_m32c1_swio14_noled_ee_ce_hw },
 { 118412, ur_m16m1_swio14_lednop },
 { 118413, ur_m16m1_swio14_lednop_pr },
 { 118414, ur_m16m1_swio14_lednop_pr },
 { 118415, ur_m16m1_swio14_lednop_pr_ee },
 { 118416, ur_m16m1_swio14_lednop_pr_ee_u4 },
 { 118417, ur_m32c1_swio14_lednop_pr_ce },
 { 118418, ur_m32c1_swio14_lednop_pr_ce },
 { 118419, ur_m32c1_swio14_lednop_pr_ee_ce },
 { 118420, ur_m32c1_swio14_lednop_pr_ee_ce_u4 },
 { 118422, ur_m16m1_swio14_lednop_ee_hw },
 { 118424, ur_m32c1_swio14_lednop_ee_ce_hw },
 { 118425, ur_m32c1_swio14_lednop_ee_ce_hw },
 { 118426, ur_m32c1_swio14_dual },
 { 118427, ur_m32c1_swio14_dual },
 { 118428, ur_m32c1_swio14_dual },
 { 118429, ur_m32c1_swio14_dual_pr_ee },
 { 118430, ur_m32c1_swio14_dual_pr_ee_u4 },
 { 118431, ur_m32c1_swio14_dual_pr_ce },
 { 118432, ur_m32c1_swio14_dual_pr_ce_u4 },
 { 118433, ur_m32c1_swio14_dual_pr_ee_ce },
 { 118434, ur_m32c1_swio14_dual_pr_ee_ce_u4 },
 { 118436, ur_m32c1_swio14_dual_ee_hw },
 { 118438, ur_m32c1_swio14_dual_ee_ce_hw },
 { 118439, ur_m32c1_swio14_dual_ee_ce_u4_hw },
 { 118440, ur_m16m1_swio15_noled },
 { 118441, ur_m16m1_swio15_noled },
 { 118442, ur_m16m1_swio15_noled_pr_u4 },
 { 118443, ur_m16m1_swio15_noled_pr_ee },
 { 118444, ur_m16m1_swio15_noled_pr_ee },
 { 118445, ur_m32c1_swio15_noled_pr_ce },
 { 118446, ur_m32c1_swio15_noled_pr_ce },
 { 118447, ur_m32c1_swio15_noled_pr_ee_ce },
 { 118448, ur_m32c1_swio15_noled_pr_ee_ce_u4 },
 { 118450, ur_m16m1_swio15_noled_ee_hw },
 { 118452, ur_m32c1_swio15_noled_ee_ce_hw },
 { 118453, ur_m32c1_swio15_noled_ee_ce_hw },
 { 118454, ur_m16m1_swio15_lednop },
 { 118455, ur_m16m1_swio15_lednop_pr },
 { 118456, ur_m16m1_swio15_lednop_pr },
 { 118457, ur_m16m1_swio15_lednop_pr_ee },
 { 118458, ur_m16m1_swio15_lednop_pr_ee_u4 },
 { 118459, ur_m32c1_swio15_lednop_pr_ce },
 { 118460, ur_m32c1_swio15_lednop_pr_ce },
 { 118461, ur_m32c1_swio15_lednop_pr_ee_ce },
 { 118462, ur_m32c1_swio15_lednop_pr_ee_ce_u4 },
 { 118464, ur_m16m1_swio15_lednop_ee_hw },
 { 118466, ur_m32c1_swio15_lednop_ee_ce_hw },
 { 118467, ur_m32c1_swio15_lednop_ee_ce_hw },
 { 118468, ur_m32c1_swio15_dual },
 { 118469, ur_m32c1_swio15_dual },
 { 118470, ur_m32c1_swio15_dual },
 { 118471, ur_m32c1_swio15_dual_pr_ee },
 { 118472, ur_m32c1_swio15_dual_pr_ee_u4 },
 { 118473, ur_m32c1_swio15_dual_pr_ce },
 { 118474, ur_m32c1_swio15_dual_pr_ce_u4 },
 { 118475, ur_m32c1_swio15_dual_pr_ee_ce },
 { 118476, ur_m32c1_swio15_dual_pr_ee_ce_u4 },
 { 118478, ur_m32c1_swio15_dual_ee_hw },
 { 118480, ur_m32c1_swio15_dual_ee_ce_hw },
 { 118481, ur_m32c1_swio15_dual_ee_ce_u4_hw },
 { 119532, ur_m16hvb_swio10_noled },
 { 119533, ur_m16hvb_swio10_noled },
 { 119534, ur_m16hvb_swio10_noled_pr_u4 },
 { 119535, ur_m16hvb_swio10_noled_pr_ee },
 { 119536, ur_m16hvb_swio10_noled_pr_ee },
 { 119537, ur_m32hvb_swio10_noled_pr_ce },
 { 119538, ur_m32hvb_swio10_noled_pr_ce },
 { 119539, ur_m32hvb_swio10_noled_pr_ee_ce },
 { 119540, ur_m32hvb_swio10_noled_pr_ee_ce_u4 },
 { 119542, ur_m16hvb_swio10_noled_ee_hw },
 { 119544, ur_m32hvb_swio10_noled_ee_ce_hw },
 { 119545, ur_m32hvb_swio10_noled_ee_ce_hw },
 { 119546, ur_m16hvb_swio10_lednop },
 { 119547, ur_m16hvb_swio10_lednop_pr },
 { 119548, ur_m16hvb_swio10_lednop_pr },
 { 119549, ur_m16hvb_swio10_lednop_pr_ee },
 { 119550, ur_m16hvb_swio10_lednop_pr_ee },
 { 119551, ur_m32hvb_swio10_lednop_pr_ce },
 { 119552, ur_m32hvb_swio10_lednop_pr_ce },
 { 119553, ur_m32hvb_swio10_lednop_pr_ee_ce },
 { 119554, ur_m32hvb_swio10_lednop_pr_ee_ce_u4 },
 { 119556, ur_m16hvb_swio10_lednop_ee_hw },
 { 119558, ur_m32hvb_swio10_lednop_ee_ce_hw },
 { 119559, ur_m32hvb_swio10_lednop_ee_ce_hw },
 { 119560, ur_m32hvb_swio10_dual },
 { 119561, ur_m32hvb_swio10_dual },
 { 119562, ur_m32hvb_swio10_dual },
 { 119563, ur_m32hvb_swio10_dual_pr_ee },
 { 119564, ur_m32hvb_swio10_dual_pr_ee_u4 },
 { 119565, ur_m32hvb_swio10_dual_pr_ce },
 { 119566, ur_m32hvb_swio10_dual_pr_ce_u4 },
 { 119567, ur_m32hvb_swio10_dual_pr_ee_ce },
 { 119568, ur_m32hvb_swio10_dual_pr_ee_ce_u4 },
 { 119570, ur_m32hvb_swio10_dual_ee_hw },
 { 119572, ur_m32hvb_swio10_dual_ee_ce_hw },
 { 119573, ur_m32hvb_swio10_dual_ee_ce_u4_hw },
 { 119574, ur_m16hvb_swio11_noled },
 { 119575, ur_m16hvb_swio11_noled },
 { 119576, ur_m16hvb_swio11_noled_pr_u4 },
 { 119577, ur_m16hvb_swio11_noled_pr_ee },
 { 119578, ur_m16hvb_swio11_noled_pr_ee },
 { 119579, ur_m32hvb_swio11_noled_pr_ce },
 { 119580, ur_m32hvb_swio11_noled_pr_ce },
 { 119581, ur_m32hvb_swio11_noled_pr_ee_ce },
 { 119582, ur_m32hvb_swio11_noled_pr_ee_ce_u4 },
 { 119584, ur_m16hvb_swio11_noled_ee_hw },
 { 119586, ur_m32hvb_swio11_noled_ee_ce_hw },
 { 119587, ur_m32hvb_swio11_noled_ee_ce_hw },
 { 119588, ur_m16hvb_swio11_lednop },
 { 119589, ur_m16hvb_swio11_lednop_pr },
 { 119590, ur_m16hvb_swio11_lednop_pr },
 { 119591, ur_m16hvb_swio11_lednop_pr_ee },
 { 119592, ur_m16hvb_swio11_lednop_pr_ee_u4 },
 { 119593, ur_m32hvb_swio11_lednop_pr_ce },
 { 119594, ur_m32hvb_swio11_lednop_pr_ce },
 { 119595, ur_m32hvb_swio11_lednop_pr_ee_ce },
 { 119596, ur_m32hvb_swio11_lednop_pr_ee_ce_u4 },
 { 119598, ur_m16hvb_swio11_lednop_ee_hw },
 { 119600, ur_m32hvb_swio11_lednop_ee_ce_hw },
 { 119601, ur_m32hvb_swio11_lednop_ee_ce_hw },
 { 119602, ur_m32hvb_swio11_dual },
 { 119603, ur_m32hvb_swio11_dual },
 { 119604, ur_m32hvb_swio11_dual },
 { 119605, ur_m32hvb_swio11_dual_pr_ee },
 { 119606, ur_m32hvb_swio11_dual_pr_ee_u4 },
 { 119607, ur_m32hvb_swio11_dual_pr_ce },
 { 119608, ur_m32hvb_swio11_dual_pr_ce_u4 },
 { 119609, ur_m32hvb_swio11_dual_pr_ee_ce },
 { 119610, ur_m32hvb_swio11_dual_pr_ee_ce_u4 },
 { 119612, ur_m32hvb_swio11_dual_ee_hw },
 { 119614, ur_m32hvb_swio11_dual_ee_ce_hw },
 { 119615, ur_m32hvb_swio11_dual_ee_ce_u4_hw },
 { 119616, ur_m16hvb_swio11_noled },
 { 119617, ur_m16hvb_swio11_noled },
 { 119618, ur_m16hvb_swio11_noled_pr_u4 },
 { 119619, ur_m16hvb_swio11_noled_pr_ee },
 { 119620, ur_m16hvb_swio11_noled_pr_ee },
 { 119621, ur_m32hvb_swio11_noled_pr_ce },
 { 119622, ur_m32hvb_swio11_noled_pr_ce },
 { 119623, ur_m32hvb_swio11_noled_pr_ee_ce },
 { 119624, ur_m32hvb_swio11_noled_pr_ee_ce_u4 },
 { 119626, ur_m16hvb_swio11_noled_ee_hw },
 { 119628, ur_m32hvb_swio11_noled_ee_ce_hw },
 { 119629, ur_m32hvb_swio11_noled_ee_ce_hw },
 { 119630, ur_m16hvb_swio11_lednop },
 { 119631, ur_m16hvb_swio11_lednop_pr },
 { 119632, ur_m16hvb_swio11_lednop_pr },
 { 119633, ur_m16hvb_swio11_lednop_pr_ee },
 { 119634, ur_m16hvb_swio11_lednop_pr_ee_u4 },
 { 119635, ur_m32hvb_swio11_lednop_pr_ce },
 { 119636, ur_m32hvb_swio11_lednop_pr_ce },
 { 119637, ur_m32hvb_swio11_lednop_pr_ee_ce },
 { 119638, ur_m32hvb_swio11_lednop_pr_ee_ce_u4 },
 { 119640, ur_m16hvb_swio11_lednop_ee_hw },
 { 119642, ur_m32hvb_swio11_lednop_ee_ce_hw },
 { 119643, ur_m32hvb_swio11_lednop_ee_ce_hw },
 { 119644, ur_m32hvb_swio11_dual },
 { 119645, ur_m32hvb_swio11_dual },
 { 119646, ur_m32hvb_swio11_dual },
 { 119647, ur_m32hvb_swio11_dual_pr_ee },
 { 119648, ur_m32hvb_swio11_dual_pr_ee_u4 },
 { 119649, ur_m32hvb_swio11_dual_pr_ce },
 { 119650, ur_m32hvb_swio11_dual_pr_ce_u4 },
 { 119651, ur_m32hvb_swio11_dual_pr_ee_ce },
 { 119652, ur_m32hvb_swio11_dual_pr_ee_ce_u4 },
 { 119654, ur_m32hvb_swio11_dual_ee_hw },
 { 119656, ur_m32hvb_swio11_dual_ee_ce_hw },
 { 119657, ur_m32hvb_swio11_dual_ee_ce_u4_hw },
 { 119658, ur_m16hvb_swio13_noled },
 { 119659, ur_m16hvb_swio13_noled },
 { 119660, ur_m16hvb_swio13_noled_pr_u4 },
 { 119661, ur_m16hvb_swio13_noled_pr_ee },
 { 119662, ur_m16hvb_swio13_noled_pr_ee },
 { 119663, ur_m32hvb_swio13_noled_pr_ce },
 { 119664, ur_m32hvb_swio13_noled_pr_ce },
 { 119665, ur_m32hvb_swio13_noled_pr_ee_ce },
 { 119666, ur_m32hvb_swio13_noled_pr_ee_ce_u4 },
 { 119668, ur_m16hvb_swio13_noled_ee_hw },
 { 119670, ur_m32hvb_swio13_noled_ee_ce_hw },
 { 119671, ur_m32hvb_swio13_noled_ee_ce_hw },
 { 119672, ur_m16hvb_swio13_lednop },
 { 119673, ur_m16hvb_swio13_lednop_pr },
 { 119674, ur_m16hvb_swio13_lednop_pr },
 { 119675, ur_m16hvb_swio13_lednop_pr_ee },
 { 119676, ur_m16hvb_swio13_lednop_pr_ee_u4 },
 { 119677, ur_m32hvb_swio13_lednop_pr_ce },
 { 119678, ur_m32hvb_swio13_lednop_pr_ce },
 { 119679, ur_m32hvb_swio13_lednop_pr_ee_ce },
 { 119680, ur_m32hvb_swio13_lednop_pr_ee_ce_u4 },
 { 119682, ur_m16hvb_swio13_lednop_ee_hw },
 { 119684, ur_m32hvb_swio13_lednop_ee_ce_hw },
 { 119685, ur_m32hvb_swio13_lednop_ee_ce_hw },
 { 119686, ur_m32hvb_swio13_dual },
 { 119687, ur_m32hvb_swio13_dual },
 { 119688, ur_m32hvb_swio13_dual },
 { 119689, ur_m32hvb_swio13_dual_pr_ee },
 { 119690, ur_m32hvb_swio13_dual_pr_ee_u4 },
 { 119691, ur_m32hvb_swio13_dual_pr_ce },
 { 119692, ur_m32hvb_swio13_dual_pr_ce_u4 },
 { 119693, ur_m32hvb_swio13_dual_pr_ee_ce },
 { 119694, ur_m32hvb_swio13_dual_pr_ee_ce_u4 },
 { 119696, ur_m32hvb_swio13_dual_ee_hw },
 { 119698, ur_m32hvb_swio13_dual_ee_ce_hw },
 { 119699, ur_m32hvb_swio13_dual_ee_ce_u4_hw },
 { 119700, ur_m16hvb_swio14_noled },
 { 119701, ur_m16hvb_swio14_noled },
 { 119702, ur_m16hvb_swio14_noled_pr_u4 },
 { 119703, ur_m16hvb_swio14_noled_pr_ee },
 { 119704, ur_m16hvb_swio14_noled_pr_ee },
 { 119705, ur_m32hvb_swio14_noled_pr_ce },
 { 119706, ur_m32hvb_swio14_noled_pr_ce },
 { 119707, ur_m32hvb_swio14_noled_pr_ee_ce },
 { 119708, ur_m32hvb_swio14_noled_pr_ee_ce_u4 },
 { 119710, ur_m16hvb_swio14_noled_ee_hw },
 { 119712, ur_m32hvb_swio14_noled_ee_ce_hw },
 { 119713, ur_m32hvb_swio14_noled_ee_ce_hw },
 { 119714, ur_m16hvb_swio14_lednop },
 { 119715, ur_m16hvb_swio14_lednop_pr },
 { 119716, ur_m16hvb_swio14_lednop_pr },
 { 119717, ur_m16hvb_swio14_lednop_pr_ee },
 { 119718, ur_m16hvb_swio14_lednop_pr_ee_u4 },
 { 119719, ur_m32hvb_swio14_lednop_pr_ce },
 { 119720, ur_m32hvb_swio14_lednop_pr_ce },
 { 119721, ur_m32hvb_swio14_lednop_pr_ee_ce },
 { 119722, ur_m32hvb_swio14_lednop_pr_ee_ce_u4 },
 { 119724, ur_m16hvb_swio14_lednop_ee_hw },
 { 119726, ur_m32hvb_swio14_lednop_ee_ce_hw },
 { 119727, ur_m32hvb_swio14_lednop_ee_ce_hw },
 { 119728, ur_m32hvb_swio14_dual },
 { 119729, ur_m32hvb_swio14_dual },
 { 119730, ur_m32hvb_swio14_dual },
 { 119731, ur_m32hvb_swio14_dual_pr_ee },
 { 119732, ur_m32hvb_swio14_dual_pr_ee_u4 },
 { 119733, ur_m32hvb_swio14_dual_pr_ce },
 { 119734, ur_m32hvb_swio14_dual_pr_ce_u4 },
 { 119735, ur_m32hvb_swio14_dual_pr_ee_ce },
 { 119736, ur_m32hvb_swio14_dual_pr_ee_ce_u4 },
 { 119738, ur_m32hvb_swio14_dual_ee_hw },
 { 119740, ur_m32hvb_swio14_dual_ee_ce_hw },
 { 119741, ur_m32hvb_swio14_dual_ee_ce_u4_hw },
 { 119742, ur_m16hvb_swio15_noled },
 { 119743, ur_m16hvb_swio15_noled },
 { 119744, ur_m16hvb_swio15_noled_pr_u4 },
 { 119745, ur_m16hvb_swio15_noled_pr_ee },
 { 119746, ur_m16hvb_swio15_noled_pr_ee },
 { 119747, ur_m32hvb_swio15_noled_pr_ce },
 { 119748, ur_m32hvb_swio15_noled_pr_ce },
 { 119749, ur_m32hvb_swio15_noled_pr_ee_ce },
 { 119750, ur_m32hvb_swio15_noled_pr_ee_ce_u4 },
 { 119752, ur_m16hvb_swio15_noled_ee_hw },
 { 119754, ur_m32hvb_swio15_noled_ee_ce_hw },
 { 119755, ur_m32hvb_swio15_noled_ee_ce_hw },
 { 119756, ur_m16hvb_swio15_lednop },
 { 119757, ur_m16hvb_swio15_lednop_pr },
 { 119758, ur_m16hvb_swio15_lednop_pr },
 { 119759, ur_m16hvb_swio15_lednop_pr_ee },
 { 119760, ur_m16hvb_swio15_lednop_pr_ee_u4 },
 { 119761, ur_m32hvb_swio15_lednop_pr_ce },
 { 119762, ur_m32hvb_swio15_lednop_pr_ce },
 { 119763, ur_m32hvb_swio15_lednop_pr_ee_ce },
 { 119764, ur_m32hvb_swio15_lednop_pr_ee_ce_u4 },
 { 119766, ur_m16hvb_swio15_lednop_ee_hw },
 { 119768, ur_m32hvb_swio15_lednop_ee_ce_hw },
 { 119769, ur_m32hvb_swio15_lednop_ee_ce_hw },
 { 119770, ur_m32hvb_swio15_dual },
 { 119771, ur_m32hvb_swio15_dual },
 { 119772, ur_m32hvb_swio15_dual },
 { 119773, ur_m32hvb_swio15_dual_pr_ee },
 { 119774, ur_m32hvb_swio15_dual_pr_ee_u4 },
 { 119775, ur_m32hvb_swio15_dual_pr_ce },
 { 119776, ur_m32hvb_swio15_dual_pr_ce_u4 },
 { 119777, ur_m32hvb_swio15_dual_pr_ee_ce },
 { 119778, ur_m32hvb_swio15_dual_pr_ee_ce_u4 },
 { 119780, ur_m32hvb_swio15_dual_ee_hw },
 { 119782, ur_m32hvb_swio15_dual_ee_ce_hw },
 { 119783, ur_m32hvb_swio15_dual_ee_ce_u4_hw },
 { 120834, ur_m32hvbrevb_swio10_noled },
 { 120835, ur_m32hvbrevb_swio10_noled_pr },
 { 120836, ur_m32hvbrevb_swio10_noled_pr },
 { 120837, ur_m32hvbrevb_swio10_noled_pr_ee },
 { 120838, ur_m32hvbrevb_swio10_noled_pr_ee_u4 },
 { 120839, ur_m32hvbrevb_swio10_noled_pr_ce },
 { 120840, ur_m32hvbrevb_swio10_noled_pr_ce },
 { 120841, ur_m32hvbrevb_swio10_noled_pr_ee_ce },
 { 120842, ur_m32hvbrevb_swio10_noled_pr_ee_ce_u4 },
 { 120844, ur_m32hvbrevb_swio10_noled_ee_hw },
 { 120846, ur_m32hvbrevb_swio10_noled_ee_ce_hw },
 { 120847, ur_m32hvbrevb_swio10_noled_ee_ce_hw },
 { 120848, ur_m32hvbrevb_swio10_lednop },
 { 120849, ur_m32hvbrevb_swio10_lednop_pr },
 { 120850, ur_m32hvbrevb_swio10_lednop_pr },
 { 120851, ur_m32hvbrevb_swio10_lednop_pr_ee },
 { 120852, ur_m32hvbrevb_swio10_lednop_pr_ee_u4 },
 { 120853, ur_m32hvbrevb_swio10_lednop_pr_ce },
 { 120854, ur_m32hvbrevb_swio10_lednop_pr_ce },
 { 120855, ur_m32hvbrevb_swio10_lednop_pr_ee_ce },
 { 120856, ur_m32hvbrevb_swio10_lednop_pr_ee_ce_u4 },
 { 120858, ur_m32hvbrevb_swio10_lednop_ee_hw },
 { 120860, ur_m32hvbrevb_swio10_lednop_ee_ce_hw },
 { 120861, ur_m32hvbrevb_swio10_lednop_ee_ce_hw },
 { 120862, ur_m32hvbrevb_swio10_dual },
 { 120863, ur_m32hvbrevb_swio10_dual },
 { 120864, ur_m32hvbrevb_swio10_dual },
 { 120865, ur_m32hvbrevb_swio10_dual_pr_ee },
 { 120866, ur_m32hvbrevb_swio10_dual_pr_ee_u4 },
 { 120867, ur_m32hvbrevb_swio10_dual_pr_ce },
 { 120868, ur_m32hvbrevb_swio10_dual_pr_ce_u4 },
 { 120869, ur_m32hvbrevb_swio10_dual_pr_ee_ce },
 { 120870, ur_m32hvbrevb_swio10_dual_pr_ee_ce_u4 },
 { 120872, ur_m32hvbrevb_swio10_dual_ee_hw },
 { 120874, ur_m32hvbrevb_swio10_dual_ee_ce_hw },
 { 120875, ur_m32hvbrevb_swio10_dual_ee_ce_u4_hw },
 { 120876, ur_m32hvbrevb_swio11_noled },
 { 120877, ur_m32hvbrevb_swio11_noled_pr },
 { 120878, ur_m32hvbrevb_swio11_noled_pr },
 { 120879, ur_m32hvbrevb_swio11_noled_pr_ee },
 { 120880, ur_m32hvbrevb_swio11_noled_pr_ee_u4 },
 { 120881, ur_m32hvbrevb_swio11_noled_pr_ce },
 { 120882, ur_m32hvbrevb_swio11_noled_pr_ce },
 { 120883, ur_m32hvbrevb_swio11_noled_pr_ee_ce },
 { 120884, ur_m32hvbrevb_swio11_noled_pr_ee_ce_u4 },
 { 120886, ur_m32hvbrevb_swio11_noled_ee_hw },
 { 120888, ur_m32hvbrevb_swio11_noled_ee_ce_hw },
 { 120889, ur_m32hvbrevb_swio11_noled_ee_ce_hw },
 { 120890, ur_m32hvbrevb_swio11_lednop },
 { 120891, ur_m32hvbrevb_swio11_lednop_pr },
 { 120892, ur_m32hvbrevb_swio11_lednop_pr },
 { 120893, ur_m32hvbrevb_swio11_lednop_pr_ee },
 { 120894, ur_m32hvbrevb_swio11_lednop_pr_ee_u4 },
 { 120895, ur_m32hvbrevb_swio11_lednop_pr_ce },
 { 120896, ur_m32hvbrevb_swio11_lednop_pr_ce },
 { 120897, ur_m32hvbrevb_swio11_lednop_pr_ee_ce },
 { 120898, ur_m32hvbrevb_swio11_lednop_pr_ee_ce_u4 },
 { 120900, ur_m32hvbrevb_swio11_lednop_ee_hw },
 { 120902, ur_m32hvbrevb_swio11_lednop_ee_ce_hw },
 { 120903, ur_m32hvbrevb_swio11_lednop_ee_ce_hw },
 { 120904, ur_m32hvbrevb_swio11_dual },
 { 120905, ur_m32hvbrevb_swio11_dual },
 { 120906, ur_m32hvbrevb_swio11_dual },
 { 120907, ur_m32hvbrevb_swio11_dual_pr_ee },
 { 120908, ur_m32hvbrevb_swio11_dual_pr_ee_u4 },
 { 120909, ur_m32hvbrevb_swio11_dual_pr_ce },
 { 120910, ur_m32hvbrevb_swio11_dual_pr_ce_u4 },
 { 120911, ur_m32hvbrevb_swio11_dual_pr_ee_ce },
 { 120912, ur_m32hvbrevb_swio11_dual_pr_ee_ce_u4 },
 { 120914, ur_m32hvbrevb_swio11_dual_ee_hw },
 { 120916, ur_m32hvbrevb_swio11_dual_ee_ce_hw },
 { 120917, ur_m32hvbrevb_swio11_dual_ee_ce_u4_hw },
 { 120918, ur_m32hvbrevb_swio11_noled },
 { 120919, ur_m32hvbrevb_swio11_noled_pr },
 { 120920, ur_m32hvbrevb_swio11_noled_pr },
 { 120921, ur_m32hvbrevb_swio11_noled_pr_ee },
 { 120922, ur_m32hvbrevb_swio11_noled_pr_ee_u4 },
 { 120923, ur_m32hvbrevb_swio11_noled_pr_ce },
 { 120924, ur_m32hvbrevb_swio11_noled_pr_ce },
 { 120925, ur_m32hvbrevb_swio11_noled_pr_ee_ce },
 { 120926, ur_m32hvbrevb_swio11_noled_pr_ee_ce_u4 },
 { 120928, ur_m32hvbrevb_swio11_noled_ee_hw },
 { 120930, ur_m32hvbrevb_swio11_noled_ee_ce_hw },
 { 120931, ur_m32hvbrevb_swio11_noled_ee_ce_hw },
 { 120932, ur_m32hvbrevb_swio11_lednop },
 { 120933, ur_m32hvbrevb_swio11_lednop_pr },
 { 120934, ur_m32hvbrevb_swio11_lednop_pr },
 { 120935, ur_m32hvbrevb_swio11_lednop_pr_ee },
 { 120936, ur_m32hvbrevb_swio11_lednop_pr_ee_u4 },
 { 120937, ur_m32hvbrevb_swio11_lednop_pr_ce },
 { 120938, ur_m32hvbrevb_swio11_lednop_pr_ce },
 { 120939, ur_m32hvbrevb_swio11_lednop_pr_ee_ce },
 { 120940, ur_m32hvbrevb_swio11_lednop_pr_ee_ce_u4 },
 { 120942, ur_m32hvbrevb_swio11_lednop_ee_hw },
 { 120944, ur_m32hvbrevb_swio11_lednop_ee_ce_hw },
 { 120945, ur_m32hvbrevb_swio11_lednop_ee_ce_hw },
 { 120946, ur_m32hvbrevb_swio11_dual },
 { 120947, ur_m32hvbrevb_swio11_dual },
 { 120948, ur_m32hvbrevb_swio11_dual },
 { 120949, ur_m32hvbrevb_swio11_dual_pr_ee },
 { 120950, ur_m32hvbrevb_swio11_dual_pr_ee_u4 },
 { 120951, ur_m32hvbrevb_swio11_dual_pr_ce },
 { 120952, ur_m32hvbrevb_swio11_dual_pr_ce_u4 },
 { 120953, ur_m32hvbrevb_swio11_dual_pr_ee_ce },
 { 120954, ur_m32hvbrevb_swio11_dual_pr_ee_ce_u4 },
 { 120956, ur_m32hvbrevb_swio11_dual_ee_hw },
 { 120958, ur_m32hvbrevb_swio11_dual_ee_ce_hw },
 { 120959, ur_m32hvbrevb_swio11_dual_ee_ce_u4_hw },
 { 120960, ur_m32hvbrevb_swio13_noled },
 { 120961, ur_m32hvbrevb_swio13_noled_pr },
 { 120962, ur_m32hvbrevb_swio13_noled_pr },
 { 120963, ur_m32hvbrevb_swio13_noled_pr_ee },
 { 120964, ur_m32hvbrevb_swio13_noled_pr_ee_u4 },
 { 120965, ur_m32hvbrevb_swio13_noled_pr_ce },
 { 120966, ur_m32hvbrevb_swio13_noled_pr_ce },
 { 120967, ur_m32hvbrevb_swio13_noled_pr_ee_ce },
 { 120968, ur_m32hvbrevb_swio13_noled_pr_ee_ce_u4 },
 { 120970, ur_m32hvbrevb_swio13_noled_ee_hw },
 { 120972, ur_m32hvbrevb_swio13_noled_ee_ce_hw },
 { 120973, ur_m32hvbrevb_swio13_noled_ee_ce_hw },
 { 120974, ur_m32hvbrevb_swio13_lednop },
 { 120975, ur_m32hvbrevb_swio13_lednop_pr },
 { 120976, ur_m32hvbrevb_swio13_lednop_pr },
 { 120977, ur_m32hvbrevb_swio13_lednop_pr_ee },
 { 120978, ur_m32hvbrevb_swio13_lednop_pr_ee_u4 },
 { 120979, ur_m32hvbrevb_swio13_lednop_pr_ce },
 { 120980, ur_m32hvbrevb_swio13_lednop_pr_ce_u4 },
 { 120981, ur_m32hvbrevb_swio13_lednop_pr_ee_ce },
 { 120982, ur_m32hvbrevb_swio13_lednop_pr_ee_ce_u4 },
 { 120984, ur_m32hvbrevb_swio13_lednop_ee_hw },
 { 120986, ur_m32hvbrevb_swio13_lednop_ee_ce_hw },
 { 120987, ur_m32hvbrevb_swio13_lednop_ee_ce_hw },
 { 120988, ur_m32hvbrevb_swio13_dual },
 { 120989, ur_m32hvbrevb_swio13_dual },
 { 120990, ur_m32hvbrevb_swio13_dual },
 { 120991, ur_m32hvbrevb_swio13_dual_pr_ee },
 { 120992, ur_m32hvbrevb_swio13_dual_pr_ee_u4 },
 { 120993, ur_m32hvbrevb_swio13_dual_pr_ce },
 { 120994, ur_m32hvbrevb_swio13_dual_pr_ce_u4 },
 { 120995, ur_m32hvbrevb_swio13_dual_pr_ee_ce },
 { 120996, ur_m32hvbrevb_swio13_dual_pr_ee_ce_u4 },
 { 120998, ur_m32hvbrevb_swio13_dual_ee_hw },
 { 121000, ur_m32hvbrevb_swio13_dual_ee_ce_hw },
 { 121001, ur_m32hvbrevb_swio13_dual_ee_ce_u4_hw },
 { 121002, ur_m32hvbrevb_swio14_noled },
 { 121003, ur_m32hvbrevb_swio14_noled_pr },
 { 121004, ur_m32hvbrevb_swio14_noled_pr },
 { 121005, ur_m32hvbrevb_swio14_noled_pr_ee },
 { 121006, ur_m32hvbrevb_swio14_noled_pr_ee_u4 },
 { 121007, ur_m32hvbrevb_swio14_noled_pr_ce },
 { 121008, ur_m32hvbrevb_swio14_noled_pr_ce },
 { 121009, ur_m32hvbrevb_swio14_noled_pr_ee_ce },
 { 121010, ur_m32hvbrevb_swio14_noled_pr_ee_ce_u4 },
 { 121012, ur_m32hvbrevb_swio14_noled_ee_hw },
 { 121014, ur_m32hvbrevb_swio14_noled_ee_ce_hw },
 { 121015, ur_m32hvbrevb_swio14_noled_ee_ce_hw },
 { 121016, ur_m32hvbrevb_swio14_lednop },
 { 121017, ur_m32hvbrevb_swio14_lednop_pr },
 { 121018, ur_m32hvbrevb_swio14_lednop_pr },
 { 121019, ur_m32hvbrevb_swio14_lednop_pr_ee },
 { 121020, ur_m32hvbrevb_swio14_lednop_pr_ee_u4 },
 { 121021, ur_m32hvbrevb_swio14_lednop_pr_ce },
 { 121022, ur_m32hvbrevb_swio14_lednop_pr_ce },
 { 121023, ur_m32hvbrevb_swio14_lednop_pr_ee_ce },
 { 121024, ur_m32hvbrevb_swio14_lednop_pr_ee_ce_u4 },
 { 121026, ur_m32hvbrevb_swio14_lednop_ee_hw },
 { 121028, ur_m32hvbrevb_swio14_lednop_ee_ce_hw },
 { 121029, ur_m32hvbrevb_swio14_lednop_ee_ce_hw },
 { 121030, ur_m32hvbrevb_swio14_dual },
 { 121031, ur_m32hvbrevb_swio14_dual },
 { 121032, ur_m32hvbrevb_swio14_dual },
 { 121033, ur_m32hvbrevb_swio14_dual_pr_ee },
 { 121034, ur_m32hvbrevb_swio14_dual_pr_ee_u4 },
 { 121035, ur_m32hvbrevb_swio14_dual_pr_ce },
 { 121036, ur_m32hvbrevb_swio14_dual_pr_ce_u4 },
 { 121037, ur_m32hvbrevb_swio14_dual_pr_ee_ce },
 { 121038, ur_m32hvbrevb_swio14_dual_pr_ee_ce_u4 },
 { 121040, ur_m32hvbrevb_swio14_dual_ee_hw },
 { 121042, ur_m32hvbrevb_swio14_dual_ee_ce_hw },
 { 121043, ur_m32hvbrevb_swio14_dual_ee_ce_u4_hw },
 { 121044, ur_m32hvbrevb_swio15_noled },
 { 121045, ur_m32hvbrevb_swio15_noled_pr },
 { 121046, ur_m32hvbrevb_swio15_noled_pr },
 { 121047, ur_m32hvbrevb_swio15_noled_pr_ee },
 { 121048, ur_m32hvbrevb_swio15_noled_pr_ee_u4 },
 { 121049, ur_m32hvbrevb_swio15_noled_pr_ce },
 { 121050, ur_m32hvbrevb_swio15_noled_pr_ce },
 { 121051, ur_m32hvbrevb_swio15_noled_pr_ee_ce },
 { 121052, ur_m32hvbrevb_swio15_noled_pr_ee_ce_u4 },
 { 121054, ur_m32hvbrevb_swio15_noled_ee_hw },
 { 121056, ur_m32hvbrevb_swio15_noled_ee_ce_hw },
 { 121057, ur_m32hvbrevb_swio15_noled_ee_ce_hw },
 { 121058, ur_m32hvbrevb_swio15_lednop },
 { 121059, ur_m32hvbrevb_swio15_lednop_pr },
 { 121060, ur_m32hvbrevb_swio15_lednop_pr },
 { 121061, ur_m32hvbrevb_swio15_lednop_pr_ee },
 { 121062, ur_m32hvbrevb_swio15_lednop_pr_ee_u4 },
 { 121063, ur_m32hvbrevb_swio15_lednop_pr_ce },
 { 121064, ur_m32hvbrevb_swio15_lednop_pr_ce_u4 },
 { 121065, ur_m32hvbrevb_swio15_lednop_pr_ee_ce },
 { 121066, ur_m32hvbrevb_swio15_lednop_pr_ee_ce_u4 },
 { 121068, ur_m32hvbrevb_swio15_lednop_ee_hw },
 { 121070, ur_m32hvbrevb_swio15_lednop_ee_ce_hw },
 { 121071, ur_m32hvbrevb_swio15_lednop_ee_ce_hw },
 { 121072, ur_m32hvbrevb_swio15_dual },
 { 121073, ur_m32hvbrevb_swio15_dual },
 { 121074, ur_m32hvbrevb_swio15_dual },
 { 121075, ur_m32hvbrevb_swio15_dual_pr_ee },
 { 121076, ur_m32hvbrevb_swio15_dual_pr_ee_u4 },
 { 121077, ur_m32hvbrevb_swio15_dual_pr_ce },
 { 121078, ur_m32hvbrevb_swio15_dual_pr_ce_u4 },
 { 121079, ur_m32hvbrevb_swio15_dual_pr_ee_ce },
 { 121080, ur_m32hvbrevb_swio15_dual_pr_ee_ce_u4 },
 { 121082, ur_m32hvbrevb_swio15_dual_ee_hw },
 { 121084, ur_m32hvbrevb_swio15_dual_ee_ce_hw },
 { 121085, ur_m32hvbrevb_swio15_dual_ee_ce_u4_hw },
 { 121086, ur_m16m1_autobaud_uart0_noled },
 { 121087, ur_m16m1_autobaud_uart0_noled },
 { 121088, ur_m16m1_autobaud_uart0_noled_pr_u4 },
 { 121089, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 121090, ur_m16m1_autobaud_uart0_noled_pr_ee },
 { 121091, ur_m32c1_autobaud_uart0_noled_pr_ce },
 { 121092, ur_m32c1_autobaud_uart0_noled_pr_ce },
 { 121093, ur_m32c1_autobaud_uart0_noled_pr_ee_ce },
 { 121094, ur_m32c1_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 121096, ur_m16m1_autobaud_uart0_noled_ee_hw },
 { 121098, ur_m32c1_autobaud_uart0_noled_ee_ce_hw },
 { 121099, ur_m32c1_autobaud_uart0_noled_ee_ce_hw },
 { 121100, ur_m16m1_autobaud_uart0_lednop },
 { 121101, ur_m16m1_autobaud_uart0_lednop },
 { 121102, ur_m16m1_autobaud_uart0_lednop_pr_u4 },
 { 121103, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 121104, ur_m16m1_autobaud_uart0_lednop_pr_ee },
 { 121105, ur_m32c1_autobaud_uart0_lednop_pr_ce },
 { 121106, ur_m32c1_autobaud_uart0_lednop_pr_ce },
 { 121107, ur_m32c1_autobaud_uart0_lednop_pr_ee_ce },
 { 121108, ur_m32c1_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 121110, ur_m16m1_autobaud_uart0_lednop_ee_hw },
 { 121112, ur_m32c1_autobaud_uart0_lednop_ee_ce_hw },
 { 121113, ur_m32c1_autobaud_uart0_lednop_ee_ce_hw },
 { 121114, ur_m32c1_autobaud_uart0_dual },
 { 121115, ur_m32c1_autobaud_uart0_dual },
 { 121116, ur_m32c1_autobaud_uart0_dual },
 { 121117, ur_m32c1_autobaud_uart0_dual_pr_ee },
 { 121118, ur_m32c1_autobaud_uart0_dual_pr_ee_u4 },
 { 121119, ur_m32c1_autobaud_uart0_dual_pr_ce },
 { 121120, ur_m32c1_autobaud_uart0_dual_pr_ce_u4 },
 { 121121, ur_m32c1_autobaud_uart0_dual_pr_ee_ce },
 { 121122, ur_m32c1_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 121124, ur_m32c1_autobaud_uart0_dual_ee_hw },
 { 121126, ur_m32c1_autobaud_uart0_dual_ee_ce_hw },
 { 121127, ur_m32c1_autobaud_uart0_dual_ee_ce_u4_hw },
 { 121254, ur_m16m1_lin_uart0_noled },
 { 121255, ur_m16m1_lin_uart0_noled },
 { 121256, ur_m16m1_lin_uart0_noled_pr_u4 },
 { 121257, ur_m16m1_lin_uart0_noled_pr_ee },
 { 121258, ur_m16m1_lin_uart0_noled_pr_ee },
 { 121259, ur_m32c1_lin_uart0_noled_pr_ce },
 { 121260, ur_m32c1_lin_uart0_noled_pr_ce_u4 },
 { 121261, ur_m32c1_lin_uart0_noled_pr_ee_ce },
 { 121262, ur_m32c1_lin_uart0_noled_pr_ee_ce_u4 },
 { 121264, ur_m16m1_lin_uart0_noled_ee_hw },
 { 121266, ur_m32c1_lin_uart0_noled_ee_ce_hw },
 { 121267, ur_m32c1_lin_uart0_noled_ee_ce_hw },
 { 121268, ur_m16m1_lin_uart0_lednop },
 { 121269, ur_m16m1_lin_uart0_lednop },
 { 121270, ur_m16m1_lin_uart0_lednop_pr_u4 },
 { 121271, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 121272, ur_m16m1_lin_uart0_lednop_pr_ee },
 { 121273, ur_m32c1_lin_uart0_lednop_pr_ce },
 { 121274, ur_m32c1_lin_uart0_lednop_pr_ce },
 { 121275, ur_m32c1_lin_uart0_lednop_pr_ee_ce },
 { 121276, ur_m32c1_lin_uart0_lednop_pr_ee_ce_u4 },
 { 121278, ur_m16m1_lin_uart0_lednop_ee_hw },
 { 121280, ur_m32c1_lin_uart0_lednop_ee_ce_hw },
 { 121281, ur_m32c1_lin_uart0_lednop_ee_ce_hw },
 { 121282, ur_m32c1_lin_uart0_dual },
 { 121283, ur_m32c1_lin_uart0_dual_pr },
 { 121284, ur_m32c1_lin_uart0_dual_pr },
 { 121285, ur_m32c1_lin_uart0_dual_pr_ee },
 { 121286, ur_m32c1_lin_uart0_dual_pr_ee },
 { 121287, ur_m32c1_lin_uart0_dual_pr_ce },
 { 121288, ur_m32c1_lin_uart0_dual_pr_ce },
 { 121289, ur_m32c1_lin_uart0_dual_pr_ee_ce },
 { 121290, ur_m32c1_lin_uart0_dual_pr_ee_ce_u4 },
 { 121292, ur_m32c1_lin_uart0_dual_ee_hw },
 { 121294, ur_m32c1_lin_uart0_dual_ee_ce_hw },
 { 121295, ur_m32c1_lin_uart0_dual_ee_ce_u4_hw },
 { 122136, ur_m16m1_swio10_noled },
 { 122137, ur_m16m1_swio10_noled },
 { 122138, ur_m16m1_swio10_noled_pr_u4 },
 { 122139, ur_m16m1_swio10_noled_pr_ee },
 { 122140, ur_m16m1_swio10_noled_pr_ee },
 { 122141, ur_m32c1_swio10_noled_pr_ce },
 { 122142, ur_m32c1_swio10_noled_pr_ce },
 { 122143, ur_m32c1_swio10_noled_pr_ee_ce },
 { 122144, ur_m32c1_swio10_noled_pr_ee_ce_u4 },
 { 122146, ur_m16m1_swio10_noled_ee_hw },
 { 122148, ur_m32c1_swio10_noled_ee_ce_hw },
 { 122149, ur_m32c1_swio10_noled_ee_ce_hw },
 { 122150, ur_m16m1_swio10_lednop },
 { 122151, ur_m16m1_swio10_lednop_pr },
 { 122152, ur_m16m1_swio10_lednop_pr },
 { 122153, ur_m16m1_swio10_lednop_pr_ee },
 { 122154, ur_m16m1_swio10_lednop_pr_ee },
 { 122155, ur_m32c1_swio10_lednop_pr_ce },
 { 122156, ur_m32c1_swio10_lednop_pr_ce },
 { 122157, ur_m32c1_swio10_lednop_pr_ee_ce },
 { 122158, ur_m32c1_swio10_lednop_pr_ee_ce_u4 },
 { 122160, ur_m16m1_swio10_lednop_ee_hw },
 { 122162, ur_m32c1_swio10_lednop_ee_ce_hw },
 { 122163, ur_m32c1_swio10_lednop_ee_ce_hw },
 { 122164, ur_m32c1_swio10_dual },
 { 122165, ur_m32c1_swio10_dual },
 { 122166, ur_m32c1_swio10_dual },
 { 122167, ur_m32c1_swio10_dual_pr_ee },
 { 122168, ur_m32c1_swio10_dual_pr_ee_u4 },
 { 122169, ur_m32c1_swio10_dual_pr_ce },
 { 122170, ur_m32c1_swio10_dual_pr_ce_u4 },
 { 122171, ur_m32c1_swio10_dual_pr_ee_ce },
 { 122172, ur_m32c1_swio10_dual_pr_ee_ce_u4 },
 { 122174, ur_m32c1_swio10_dual_ee_hw },
 { 122176, ur_m32c1_swio10_dual_ee_ce_hw },
 { 122177, ur_m32c1_swio10_dual_ee_ce_u4_hw },
 { 122178, ur_m16m1_swio11_noled },
 { 122179, ur_m16m1_swio11_noled },
 { 122180, ur_m16m1_swio11_noled_pr_u4 },
 { 122181, ur_m16m1_swio11_noled_pr_ee },
 { 122182, ur_m16m1_swio11_noled_pr_ee },
 { 122183, ur_m32c1_swio11_noled_pr_ce },
 { 122184, ur_m32c1_swio11_noled_pr_ce },
 { 122185, ur_m32c1_swio11_noled_pr_ee_ce },
 { 122186, ur_m32c1_swio11_noled_pr_ee_ce_u4 },
 { 122188, ur_m16m1_swio11_noled_ee_hw },
 { 122190, ur_m32c1_swio11_noled_ee_ce_hw },
 { 122191, ur_m32c1_swio11_noled_ee_ce_hw },
 { 122192, ur_m16m1_swio11_lednop },
 { 122193, ur_m16m1_swio11_lednop_pr },
 { 122194, ur_m16m1_swio11_lednop_pr },
 { 122195, ur_m16m1_swio11_lednop_pr_ee },
 { 122196, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 122197, ur_m32c1_swio11_lednop_pr_ce },
 { 122198, ur_m32c1_swio11_lednop_pr_ce },
 { 122199, ur_m32c1_swio11_lednop_pr_ee_ce },
 { 122200, ur_m32c1_swio11_lednop_pr_ee_ce_u4 },
 { 122202, ur_m16m1_swio11_lednop_ee_hw },
 { 122204, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 122205, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 122206, ur_m32c1_swio11_dual },
 { 122207, ur_m32c1_swio11_dual },
 { 122208, ur_m32c1_swio11_dual },
 { 122209, ur_m32c1_swio11_dual_pr_ee },
 { 122210, ur_m32c1_swio11_dual_pr_ee_u4 },
 { 122211, ur_m32c1_swio11_dual_pr_ce },
 { 122212, ur_m32c1_swio11_dual_pr_ce_u4 },
 { 122213, ur_m32c1_swio11_dual_pr_ee_ce },
 { 122214, ur_m32c1_swio11_dual_pr_ee_ce_u4 },
 { 122216, ur_m32c1_swio11_dual_ee_hw },
 { 122218, ur_m32c1_swio11_dual_ee_ce_hw },
 { 122219, ur_m32c1_swio11_dual_ee_ce_u4_hw },
 { 122220, ur_m16m1_swio11_noled },
 { 122221, ur_m16m1_swio11_noled },
 { 122222, ur_m16m1_swio11_noled_pr_u4 },
 { 122223, ur_m16m1_swio11_noled_pr_ee },
 { 122224, ur_m16m1_swio11_noled_pr_ee },
 { 122225, ur_m32c1_swio11_noled_pr_ce },
 { 122226, ur_m32c1_swio11_noled_pr_ce },
 { 122227, ur_m32c1_swio11_noled_pr_ee_ce },
 { 122228, ur_m32c1_swio11_noled_pr_ee_ce_u4 },
 { 122230, ur_m16m1_swio11_noled_ee_hw },
 { 122232, ur_m32c1_swio11_noled_ee_ce_hw },
 { 122233, ur_m32c1_swio11_noled_ee_ce_hw },
 { 122234, ur_m16m1_swio11_lednop },
 { 122235, ur_m16m1_swio11_lednop_pr },
 { 122236, ur_m16m1_swio11_lednop_pr },
 { 122237, ur_m16m1_swio11_lednop_pr_ee },
 { 122238, ur_m16m1_swio11_lednop_pr_ee_u4 },
 { 122239, ur_m32c1_swio11_lednop_pr_ce },
 { 122240, ur_m32c1_swio11_lednop_pr_ce },
 { 122241, ur_m32c1_swio11_lednop_pr_ee_ce },
 { 122242, ur_m32c1_swio11_lednop_pr_ee_ce_u4 },
 { 122244, ur_m16m1_swio11_lednop_ee_hw },
 { 122246, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 122247, ur_m32c1_swio11_lednop_ee_ce_hw },
 { 122248, ur_m32c1_swio11_dual },
 { 122249, ur_m32c1_swio11_dual },
 { 122250, ur_m32c1_swio11_dual },
 { 122251, ur_m32c1_swio11_dual_pr_ee },
 { 122252, ur_m32c1_swio11_dual_pr_ee_u4 },
 { 122253, ur_m32c1_swio11_dual_pr_ce },
 { 122254, ur_m32c1_swio11_dual_pr_ce_u4 },
 { 122255, ur_m32c1_swio11_dual_pr_ee_ce },
 { 122256, ur_m32c1_swio11_dual_pr_ee_ce_u4 },
 { 122258, ur_m32c1_swio11_dual_ee_hw },
 { 122260, ur_m32c1_swio11_dual_ee_ce_hw },
 { 122261, ur_m32c1_swio11_dual_ee_ce_u4_hw },
 { 122262, ur_m16m1_swio13_noled },
 { 122263, ur_m16m1_swio13_noled },
 { 122264, ur_m16m1_swio13_noled_pr_u4 },
 { 122265, ur_m16m1_swio13_noled_pr_ee },
 { 122266, ur_m16m1_swio13_noled_pr_ee },
 { 122267, ur_m32c1_swio13_noled_pr_ce },
 { 122268, ur_m32c1_swio13_noled_pr_ce },
 { 122269, ur_m32c1_swio13_noled_pr_ee_ce },
 { 122270, ur_m32c1_swio13_noled_pr_ee_ce_u4 },
 { 122272, ur_m16m1_swio13_noled_ee_hw },
 { 122274, ur_m32c1_swio13_noled_ee_ce_hw },
 { 122275, ur_m32c1_swio13_noled_ee_ce_hw },
 { 122276, ur_m16m1_swio13_lednop },
 { 122277, ur_m16m1_swio13_lednop_pr },
 { 122278, ur_m16m1_swio13_lednop_pr },
 { 122279, ur_m16m1_swio13_lednop_pr_ee },
 { 122280, ur_m16m1_swio13_lednop_pr_ee_u4 },
 { 122281, ur_m32c1_swio13_lednop_pr_ce },
 { 122282, ur_m32c1_swio13_lednop_pr_ce },
 { 122283, ur_m32c1_swio13_lednop_pr_ee_ce },
 { 122284, ur_m32c1_swio13_lednop_pr_ee_ce_u4 },
 { 122286, ur_m16m1_swio13_lednop_ee_hw },
 { 122288, ur_m32c1_swio13_lednop_ee_ce_hw },
 { 122289, ur_m32c1_swio13_lednop_ee_ce_hw },
 { 122290, ur_m32c1_swio13_dual },
 { 122291, ur_m32c1_swio13_dual },
 { 122292, ur_m32c1_swio13_dual },
 { 122293, ur_m32c1_swio13_dual_pr_ee },
 { 122294, ur_m32c1_swio13_dual_pr_ee_u4 },
 { 122295, ur_m32c1_swio13_dual_pr_ce },
 { 122296, ur_m32c1_swio13_dual_pr_ce_u4 },
 { 122297, ur_m32c1_swio13_dual_pr_ee_ce },
 { 122298, ur_m32c1_swio13_dual_pr_ee_ce_u4 },
 { 122300, ur_m32c1_swio13_dual_ee_hw },
 { 122302, ur_m32c1_swio13_dual_ee_ce_hw },
 { 122303, ur_m32c1_swio13_dual_ee_ce_u4_hw },
 { 122304, ur_m16m1_swio14_noled },
 { 122305, ur_m16m1_swio14_noled },
 { 122306, ur_m16m1_swio14_noled_pr_u4 },
 { 122307, ur_m16m1_swio14_noled_pr_ee },
 { 122308, ur_m16m1_swio14_noled_pr_ee },
 { 122309, ur_m32c1_swio14_noled_pr_ce },
 { 122310, ur_m32c1_swio14_noled_pr_ce },
 { 122311, ur_m32c1_swio14_noled_pr_ee_ce },
 { 122312, ur_m32c1_swio14_noled_pr_ee_ce_u4 },
 { 122314, ur_m16m1_swio14_noled_ee_hw },
 { 122316, ur_m32c1_swio14_noled_ee_ce_hw },
 { 122317, ur_m32c1_swio14_noled_ee_ce_hw },
 { 122318, ur_m16m1_swio14_lednop },
 { 122319, ur_m16m1_swio14_lednop_pr },
 { 122320, ur_m16m1_swio14_lednop_pr },
 { 122321, ur_m16m1_swio14_lednop_pr_ee },
 { 122322, ur_m16m1_swio14_lednop_pr_ee_u4 },
 { 122323, ur_m32c1_swio14_lednop_pr_ce },
 { 122324, ur_m32c1_swio14_lednop_pr_ce },
 { 122325, ur_m32c1_swio14_lednop_pr_ee_ce },
 { 122326, ur_m32c1_swio14_lednop_pr_ee_ce_u4 },
 { 122328, ur_m16m1_swio14_lednop_ee_hw },
 { 122330, ur_m32c1_swio14_lednop_ee_ce_hw },
 { 122331, ur_m32c1_swio14_lednop_ee_ce_hw },
 { 122332, ur_m32c1_swio14_dual },
 { 122333, ur_m32c1_swio14_dual },
 { 122334, ur_m32c1_swio14_dual },
 { 122335, ur_m32c1_swio14_dual_pr_ee },
 { 122336, ur_m32c1_swio14_dual_pr_ee_u4 },
 { 122337, ur_m32c1_swio14_dual_pr_ce },
 { 122338, ur_m32c1_swio14_dual_pr_ce_u4 },
 { 122339, ur_m32c1_swio14_dual_pr_ee_ce },
 { 122340, ur_m32c1_swio14_dual_pr_ee_ce_u4 },
 { 122342, ur_m32c1_swio14_dual_ee_hw },
 { 122344, ur_m32c1_swio14_dual_ee_ce_hw },
 { 122345, ur_m32c1_swio14_dual_ee_ce_u4_hw },
 { 122346, ur_m16m1_swio15_noled },
 { 122347, ur_m16m1_swio15_noled },
 { 122348, ur_m16m1_swio15_noled_pr_u4 },
 { 122349, ur_m16m1_swio15_noled_pr_ee },
 { 122350, ur_m16m1_swio15_noled_pr_ee },
 { 122351, ur_m32c1_swio15_noled_pr_ce },
 { 122352, ur_m32c1_swio15_noled_pr_ce },
 { 122353, ur_m32c1_swio15_noled_pr_ee_ce },
 { 122354, ur_m32c1_swio15_noled_pr_ee_ce_u4 },
 { 122356, ur_m16m1_swio15_noled_ee_hw },
 { 122358, ur_m32c1_swio15_noled_ee_ce_hw },
 { 122359, ur_m32c1_swio15_noled_ee_ce_hw },
 { 122360, ur_m16m1_swio15_lednop },
 { 122361, ur_m16m1_swio15_lednop_pr },
 { 122362, ur_m16m1_swio15_lednop_pr },
 { 122363, ur_m16m1_swio15_lednop_pr_ee },
 { 122364, ur_m16m1_swio15_lednop_pr_ee_u4 },
 { 122365, ur_m32c1_swio15_lednop_pr_ce },
 { 122366, ur_m32c1_swio15_lednop_pr_ce },
 { 122367, ur_m32c1_swio15_lednop_pr_ee_ce },
 { 122368, ur_m32c1_swio15_lednop_pr_ee_ce_u4 },
 { 122370, ur_m16m1_swio15_lednop_ee_hw },
 { 122372, ur_m32c1_swio15_lednop_ee_ce_hw },
 { 122373, ur_m32c1_swio15_lednop_ee_ce_hw },
 { 122374, ur_m32c1_swio15_dual },
 { 122375, ur_m32c1_swio15_dual },
 { 122376, ur_m32c1_swio15_dual },
 { 122377, ur_m32c1_swio15_dual_pr_ee },
 { 122378, ur_m32c1_swio15_dual_pr_ee_u4 },
 { 122379, ur_m32c1_swio15_dual_pr_ce },
 { 122380, ur_m32c1_swio15_dual_pr_ce_u4 },
 { 122381, ur_m32c1_swio15_dual_pr_ee_ce },
 { 122382, ur_m32c1_swio15_dual_pr_ee_ce_u4 },
 { 122384, ur_m32c1_swio15_dual_ee_hw },
 { 122386, ur_m32c1_swio15_dual_ee_ce_hw },
 { 122387, ur_m32c1_swio15_dual_ee_ce_u4_hw },
 { 122388, ur_m16u2_autobaud_uart0_noled },
 { 122389, ur_m16u2_autobaud_uart0_noled },
 { 122390, ur_m16u2_autobaud_uart0_noled_pr_u4 },
 { 122391, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 122392, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 122393, ur_m32u2_autobaud_uart0_noled_pr_ce },
 { 122394, ur_m32u2_autobaud_uart0_noled_pr_ce },
 { 122395, ur_m32u2_autobaud_uart0_noled_pr_ee_ce },
 { 122396, ur_m32u2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 122398, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 122400, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 { 122401, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 { 122402, ur_m16u2_autobaud_uart0_lednop },
 { 122403, ur_m16u2_autobaud_uart0_lednop },
 { 122404, ur_m16u2_autobaud_uart0_lednop_pr_u4 },
 { 122405, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 122406, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 122407, ur_m32u2_autobaud_uart0_lednop_pr_ce },
 { 122408, ur_m32u2_autobaud_uart0_lednop_pr_ce },
 { 122409, ur_m32u2_autobaud_uart0_lednop_pr_ee_ce },
 { 122410, ur_m32u2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 122412, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 122414, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 { 122415, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 { 122416, ur_m32u2_autobaud_uart0_dual },
 { 122417, ur_m32u2_autobaud_uart0_dual },
 { 122418, ur_m32u2_autobaud_uart0_dual },
 { 122419, ur_m32u2_autobaud_uart0_dual_pr_ee },
 { 122420, ur_m32u2_autobaud_uart0_dual_pr_ee_u4 },
 { 122421, ur_m32u2_autobaud_uart0_dual_pr_ce },
 { 122422, ur_m32u2_autobaud_uart0_dual_pr_ce },
 { 122423, ur_m32u2_autobaud_uart0_dual_pr_ee_ce },
 { 122424, ur_m32u2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 122426, ur_m32u2_autobaud_uart0_dual_ee_hw },
 { 122428, ur_m32u2_autobaud_uart0_dual_ee_ce_hw },
 { 122429, ur_m32u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 122598, ur_m16u2_u1x8_uart0_noled },
 { 122599, ur_m16u2_u1x8_uart0_noled },
 { 122600, ur_m16u2_u1x8_uart0_noled_pr_u4 },
 { 122601, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 122602, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 122603, ur_m32u2_u1x8_uart0_noled_pr_ce },
 { 122604, ur_m32u2_u1x8_uart0_noled_pr_ce_u4 },
 { 122605, ur_m32u2_u1x8_uart0_noled_pr_ee_ce },
 { 122606, ur_m32u2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 122608, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 122610, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 { 122611, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 { 122612, ur_m16u2_u1x8_uart0_lednop },
 { 122613, ur_m16u2_u1x8_uart0_lednop },
 { 122614, ur_m16u2_u1x8_uart0_lednop_pr_u4 },
 { 122615, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 122616, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 122617, ur_m32u2_u1x8_uart0_lednop_pr_ce },
 { 122618, ur_m32u2_u1x8_uart0_lednop_pr_ce },
 { 122619, ur_m32u2_u1x8_uart0_lednop_pr_ee_ce },
 { 122620, ur_m32u2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 122622, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 122624, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 { 122625, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 { 122626, ur_m32u2_u1x8_uart0_dual },
 { 122627, ur_m32u2_u1x8_uart0_dual },
 { 122628, ur_m32u2_u1x8_uart0_dual_pr_u4 },
 { 122629, ur_m32u2_u1x8_uart0_dual_pr_ee },
 { 122630, ur_m32u2_u1x8_uart0_dual_pr_ee },
 { 122631, ur_m32u2_u1x8_uart0_dual_pr_ce },
 { 122632, ur_m32u2_u1x8_uart0_dual_pr_ce },
 { 122633, ur_m32u2_u1x8_uart0_dual_pr_ee_ce },
 { 122634, ur_m32u2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 122636, ur_m32u2_u1x8_uart0_dual_ee_hw },
 { 122638, ur_m32u2_u1x8_uart0_dual_ee_ce_hw },
 { 122639, ur_m32u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 122808, ur_m16u2_u1x12_uart0_noled },
 { 122809, ur_m16u2_u1x12_uart0_noled },
 { 122810, ur_m16u2_u1x12_uart0_noled_pr_u4 },
 { 122811, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 122812, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 122813, ur_m32u2_u1x12_uart0_noled_pr_ce },
 { 122814, ur_m32u2_u1x12_uart0_noled_pr_ce_u4 },
 { 122815, ur_m32u2_u1x12_uart0_noled_pr_ee_ce },
 { 122816, ur_m32u2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 122818, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 122820, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 { 122821, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 { 122822, ur_m16u2_u1x12_uart0_lednop },
 { 122823, ur_m16u2_u1x12_uart0_lednop },
 { 122824, ur_m16u2_u1x12_uart0_lednop_pr_u4 },
 { 122825, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 122826, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 122827, ur_m32u2_u1x12_uart0_lednop_pr_ce },
 { 122828, ur_m32u2_u1x12_uart0_lednop_pr_ce },
 { 122829, ur_m32u2_u1x12_uart0_lednop_pr_ee_ce },
 { 122830, ur_m32u2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 122832, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 122834, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 { 122835, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 { 122836, ur_m32u2_u1x12_uart0_dual },
 { 122837, ur_m32u2_u1x12_uart0_dual_pr },
 { 122838, ur_m32u2_u1x12_uart0_dual_pr_u4 },
 { 122839, ur_m32u2_u1x12_uart0_dual_pr_ee },
 { 122840, ur_m32u2_u1x12_uart0_dual_pr_ee },
 { 122841, ur_m32u2_u1x12_uart0_dual_pr_ce },
 { 122842, ur_m32u2_u1x12_uart0_dual_pr_ce },
 { 122843, ur_m32u2_u1x12_uart0_dual_pr_ee_ce },
 { 122844, ur_m32u2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 122846, ur_m32u2_u1x12_uart0_dual_ee_hw },
 { 122848, ur_m32u2_u1x12_uart0_dual_ee_ce_hw },
 { 122849, ur_m32u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 123018, ur_m16u2_u2x8_uart0_noled },
 { 123019, ur_m16u2_u2x8_uart0_noled },
 { 123020, ur_m16u2_u2x8_uart0_noled_pr_u4 },
 { 123021, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 123022, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 123023, ur_m32u2_u2x8_uart0_noled_pr_ce },
 { 123024, ur_m32u2_u2x8_uart0_noled_pr_ce_u4 },
 { 123025, ur_m32u2_u2x8_uart0_noled_pr_ee_ce },
 { 123026, ur_m32u2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 123028, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 123030, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 { 123031, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 { 123032, ur_m16u2_u2x8_uart0_lednop },
 { 123033, ur_m16u2_u2x8_uart0_lednop },
 { 123034, ur_m16u2_u2x8_uart0_lednop_pr_u4 },
 { 123035, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 123036, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 123037, ur_m32u2_u2x8_uart0_lednop_pr_ce },
 { 123038, ur_m32u2_u2x8_uart0_lednop_pr_ce },
 { 123039, ur_m32u2_u2x8_uart0_lednop_pr_ee_ce },
 { 123040, ur_m32u2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 123042, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 123044, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 { 123045, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 { 123046, ur_m32u2_u2x8_uart0_dual },
 { 123047, ur_m32u2_u2x8_uart0_dual_pr },
 { 123048, ur_m32u2_u2x8_uart0_dual_pr_u4 },
 { 123049, ur_m32u2_u2x8_uart0_dual_pr_ee },
 { 123050, ur_m32u2_u2x8_uart0_dual_pr_ee },
 { 123051, ur_m32u2_u2x8_uart0_dual_pr_ce },
 { 123052, ur_m32u2_u2x8_uart0_dual_pr_ce },
 { 123053, ur_m32u2_u2x8_uart0_dual_pr_ee_ce },
 { 123054, ur_m32u2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 123056, ur_m32u2_u2x8_uart0_dual_ee_hw },
 { 123058, ur_m32u2_u2x8_uart0_dual_ee_ce_hw },
 { 123059, ur_m32u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 123228, ur_m16u2_u2x12_uart0_noled },
 { 123229, ur_m16u2_u2x12_uart0_noled },
 { 123230, ur_m16u2_u2x12_uart0_noled_pr_u4 },
 { 123231, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 123232, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 123233, ur_m32u2_u2x12_uart0_noled_pr_ce },
 { 123234, ur_m32u2_u2x12_uart0_noled_pr_ce },
 { 123235, ur_m32u2_u2x12_uart0_noled_pr_ee_ce },
 { 123236, ur_m32u2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 123238, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 123240, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 { 123241, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 { 123242, ur_m16u2_u2x12_uart0_lednop },
 { 123243, ur_m16u2_u2x12_uart0_lednop },
 { 123244, ur_m16u2_u2x12_uart0_lednop_pr_u4 },
 { 123245, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 123246, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 123247, ur_m32u2_u2x12_uart0_lednop_pr_ce },
 { 123248, ur_m32u2_u2x12_uart0_lednop_pr_ce },
 { 123249, ur_m32u2_u2x12_uart0_lednop_pr_ee_ce },
 { 123250, ur_m32u2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 123252, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 123254, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 { 123255, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 { 123256, ur_m32u2_u2x12_uart0_dual },
 { 123257, ur_m32u2_u2x12_uart0_dual_pr },
 { 123258, ur_m32u2_u2x12_uart0_dual_pr },
 { 123259, ur_m32u2_u2x12_uart0_dual_pr_ee },
 { 123260, ur_m32u2_u2x12_uart0_dual_pr_ee },
 { 123261, ur_m32u2_u2x12_uart0_dual_pr_ce },
 { 123262, ur_m32u2_u2x12_uart0_dual_pr_ce },
 { 123263, ur_m32u2_u2x12_uart0_dual_pr_ee_ce },
 { 123264, ur_m32u2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 123266, ur_m32u2_u2x12_uart0_dual_ee_hw },
 { 123268, ur_m32u2_u2x12_uart0_dual_ee_ce_hw },
 { 123269, ur_m32u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 123438, ur_m16u2_swio10_noled },
 { 123439, ur_m16u2_swio10_noled },
 { 123440, ur_m16u2_swio10_noled_pr_u4 },
 { 123441, ur_m16u2_swio10_noled_pr_ee },
 { 123442, ur_m16u2_swio10_noled_pr_ee },
 { 123443, ur_m32u2_swio10_noled_pr_ce },
 { 123444, ur_m32u2_swio10_noled_pr_ce },
 { 123445, ur_m32u2_swio10_noled_pr_ee_ce },
 { 123446, ur_m32u2_swio10_noled_pr_ee_ce_u4 },
 { 123448, ur_m8u2_swio10_noled_ee_hw },
 { 123450, ur_m32u2_swio10_noled_ee_ce_hw },
 { 123451, ur_m32u2_swio10_noled_ee_ce_hw },
 { 123452, ur_m16u2_swio10_lednop },
 { 123453, ur_m16u2_swio10_lednop_pr },
 { 123454, ur_m16u2_swio10_lednop_pr },
 { 123455, ur_m16u2_swio10_lednop_pr_ee },
 { 123456, ur_m16u2_swio10_lednop_pr_ee },
 { 123457, ur_m32u2_swio10_lednop_pr_ce },
 { 123458, ur_m32u2_swio10_lednop_pr_ce },
 { 123459, ur_m32u2_swio10_lednop_pr_ee_ce },
 { 123460, ur_m32u2_swio10_lednop_pr_ee_ce_u4 },
 { 123462, ur_m8u2_swio10_lednop_ee_hw },
 { 123464, ur_m32u2_swio10_lednop_ee_ce_hw },
 { 123465, ur_m32u2_swio10_lednop_ee_ce_hw },
 { 123466, ur_m32u2_swio10_dual },
 { 123467, ur_m32u2_swio10_dual },
 { 123468, ur_m32u2_swio10_dual },
 { 123469, ur_m32u2_swio10_dual_pr_ee },
 { 123470, ur_m32u2_swio10_dual_pr_ee_u4 },
 { 123471, ur_m32u2_swio10_dual_pr_ce },
 { 123472, ur_m32u2_swio10_dual_pr_ce_u4 },
 { 123473, ur_m32u2_swio10_dual_pr_ee_ce },
 { 123474, ur_m32u2_swio10_dual_pr_ee_ce_u4 },
 { 123476, ur_m32u2_swio10_dual_ee_hw },
 { 123478, ur_m32u2_swio10_dual_ee_ce_hw },
 { 123479, ur_m32u2_swio10_dual_ee_ce_u4_hw },
 { 123480, ur_m16u2_swio11_noled },
 { 123481, ur_m16u2_swio11_noled },
 { 123482, ur_m16u2_swio11_noled_pr_u4 },
 { 123483, ur_m16u2_swio11_noled_pr_ee },
 { 123484, ur_m16u2_swio11_noled_pr_ee },
 { 123485, ur_m32u2_swio11_noled_pr_ce },
 { 123486, ur_m32u2_swio11_noled_pr_ce },
 { 123487, ur_m32u2_swio11_noled_pr_ee_ce },
 { 123488, ur_m32u2_swio11_noled_pr_ee_ce_u4 },
 { 123490, ur_m8u2_swio11_noled_ee_hw },
 { 123492, ur_m32u2_swio11_noled_ee_ce_hw },
 { 123493, ur_m32u2_swio11_noled_ee_ce_hw },
 { 123494, ur_m16u2_swio11_lednop },
 { 123495, ur_m16u2_swio11_lednop_pr },
 { 123496, ur_m16u2_swio11_lednop_pr },
 { 123497, ur_m16u2_swio11_lednop_pr_ee },
 { 123498, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 123499, ur_m32u2_swio11_lednop_pr_ce },
 { 123500, ur_m32u2_swio11_lednop_pr_ce },
 { 123501, ur_m32u2_swio11_lednop_pr_ee_ce },
 { 123502, ur_m32u2_swio11_lednop_pr_ee_ce_u4 },
 { 123504, ur_m8u2_swio11_lednop_ee_hw },
 { 123506, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 123507, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 123508, ur_m32u2_swio11_dual },
 { 123509, ur_m32u2_swio11_dual },
 { 123510, ur_m32u2_swio11_dual },
 { 123511, ur_m32u2_swio11_dual_pr_ee },
 { 123512, ur_m32u2_swio11_dual_pr_ee_u4 },
 { 123513, ur_m32u2_swio11_dual_pr_ce },
 { 123514, ur_m32u2_swio11_dual_pr_ce_u4 },
 { 123515, ur_m32u2_swio11_dual_pr_ee_ce },
 { 123516, ur_m32u2_swio11_dual_pr_ee_ce_u4 },
 { 123518, ur_m32u2_swio11_dual_ee_hw },
 { 123520, ur_m32u2_swio11_dual_ee_ce_hw },
 { 123521, ur_m32u2_swio11_dual_ee_ce_u4_hw },
 { 123522, ur_m16u2_swio11_noled },
 { 123523, ur_m16u2_swio11_noled },
 { 123524, ur_m16u2_swio11_noled_pr_u4 },
 { 123525, ur_m16u2_swio11_noled_pr_ee },
 { 123526, ur_m16u2_swio11_noled_pr_ee },
 { 123527, ur_m32u2_swio11_noled_pr_ce },
 { 123528, ur_m32u2_swio11_noled_pr_ce },
 { 123529, ur_m32u2_swio11_noled_pr_ee_ce },
 { 123530, ur_m32u2_swio11_noled_pr_ee_ce_u4 },
 { 123532, ur_m8u2_swio11_noled_ee_hw },
 { 123534, ur_m32u2_swio11_noled_ee_ce_hw },
 { 123535, ur_m32u2_swio11_noled_ee_ce_hw },
 { 123536, ur_m16u2_swio11_lednop },
 { 123537, ur_m16u2_swio11_lednop_pr },
 { 123538, ur_m16u2_swio11_lednop_pr },
 { 123539, ur_m16u2_swio11_lednop_pr_ee },
 { 123540, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 123541, ur_m32u2_swio11_lednop_pr_ce },
 { 123542, ur_m32u2_swio11_lednop_pr_ce },
 { 123543, ur_m32u2_swio11_lednop_pr_ee_ce },
 { 123544, ur_m32u2_swio11_lednop_pr_ee_ce_u4 },
 { 123546, ur_m8u2_swio11_lednop_ee_hw },
 { 123548, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 123549, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 123550, ur_m32u2_swio11_dual },
 { 123551, ur_m32u2_swio11_dual },
 { 123552, ur_m32u2_swio11_dual },
 { 123553, ur_m32u2_swio11_dual_pr_ee },
 { 123554, ur_m32u2_swio11_dual_pr_ee_u4 },
 { 123555, ur_m32u2_swio11_dual_pr_ce },
 { 123556, ur_m32u2_swio11_dual_pr_ce_u4 },
 { 123557, ur_m32u2_swio11_dual_pr_ee_ce },
 { 123558, ur_m32u2_swio11_dual_pr_ee_ce_u4 },
 { 123560, ur_m32u2_swio11_dual_ee_hw },
 { 123562, ur_m32u2_swio11_dual_ee_ce_hw },
 { 123563, ur_m32u2_swio11_dual_ee_ce_u4_hw },
 { 123564, ur_m16u2_swio13_noled },
 { 123565, ur_m16u2_swio13_noled },
 { 123566, ur_m16u2_swio13_noled_pr_u4 },
 { 123567, ur_m16u2_swio13_noled_pr_ee },
 { 123568, ur_m16u2_swio13_noled_pr_ee },
 { 123569, ur_m32u2_swio13_noled_pr_ce },
 { 123570, ur_m32u2_swio13_noled_pr_ce },
 { 123571, ur_m32u2_swio13_noled_pr_ee_ce },
 { 123572, ur_m32u2_swio13_noled_pr_ee_ce_u4 },
 { 123574, ur_m8u2_swio13_noled_ee_hw },
 { 123576, ur_m32u2_swio13_noled_ee_ce_hw },
 { 123577, ur_m32u2_swio13_noled_ee_ce_hw },
 { 123578, ur_m16u2_swio13_lednop },
 { 123579, ur_m16u2_swio13_lednop_pr },
 { 123580, ur_m16u2_swio13_lednop_pr },
 { 123581, ur_m16u2_swio13_lednop_pr_ee },
 { 123582, ur_m16u2_swio13_lednop_pr_ee_u4 },
 { 123583, ur_m32u2_swio13_lednop_pr_ce },
 { 123584, ur_m32u2_swio13_lednop_pr_ce },
 { 123585, ur_m32u2_swio13_lednop_pr_ee_ce },
 { 123586, ur_m32u2_swio13_lednop_pr_ee_ce_u4 },
 { 123588, ur_m8u2_swio13_lednop_ee_hw },
 { 123590, ur_m32u2_swio13_lednop_ee_ce_hw },
 { 123591, ur_m32u2_swio13_lednop_ee_ce_hw },
 { 123592, ur_m32u2_swio13_dual },
 { 123593, ur_m32u2_swio13_dual },
 { 123594, ur_m32u2_swio13_dual },
 { 123595, ur_m32u2_swio13_dual_pr_ee },
 { 123596, ur_m32u2_swio13_dual_pr_ee_u4 },
 { 123597, ur_m32u2_swio13_dual_pr_ce },
 { 123598, ur_m32u2_swio13_dual_pr_ce_u4 },
 { 123599, ur_m32u2_swio13_dual_pr_ee_ce },
 { 123600, ur_m32u2_swio13_dual_pr_ee_ce_u4 },
 { 123602, ur_m32u2_swio13_dual_ee_hw },
 { 123604, ur_m32u2_swio13_dual_ee_ce_hw },
 { 123605, ur_m32u2_swio13_dual_ee_ce_u4_hw },
 { 123606, ur_m16u2_swio14_noled },
 { 123607, ur_m16u2_swio14_noled },
 { 123608, ur_m16u2_swio14_noled_pr_u4 },
 { 123609, ur_m16u2_swio14_noled_pr_ee },
 { 123610, ur_m16u2_swio14_noled_pr_ee },
 { 123611, ur_m32u2_swio14_noled_pr_ce },
 { 123612, ur_m32u2_swio14_noled_pr_ce },
 { 123613, ur_m32u2_swio14_noled_pr_ee_ce },
 { 123614, ur_m32u2_swio14_noled_pr_ee_ce_u4 },
 { 123616, ur_m8u2_swio14_noled_ee_hw },
 { 123618, ur_m32u2_swio14_noled_ee_ce_hw },
 { 123619, ur_m32u2_swio14_noled_ee_ce_hw },
 { 123620, ur_m16u2_swio14_lednop },
 { 123621, ur_m16u2_swio14_lednop_pr },
 { 123622, ur_m16u2_swio14_lednop_pr },
 { 123623, ur_m16u2_swio14_lednop_pr_ee },
 { 123624, ur_m16u2_swio14_lednop_pr_ee_u4 },
 { 123625, ur_m32u2_swio14_lednop_pr_ce },
 { 123626, ur_m32u2_swio14_lednop_pr_ce },
 { 123627, ur_m32u2_swio14_lednop_pr_ee_ce },
 { 123628, ur_m32u2_swio14_lednop_pr_ee_ce_u4 },
 { 123630, ur_m8u2_swio14_lednop_ee_hw },
 { 123632, ur_m32u2_swio14_lednop_ee_ce_hw },
 { 123633, ur_m32u2_swio14_lednop_ee_ce_hw },
 { 123634, ur_m32u2_swio14_dual },
 { 123635, ur_m32u2_swio14_dual },
 { 123636, ur_m32u2_swio14_dual },
 { 123637, ur_m32u2_swio14_dual_pr_ee },
 { 123638, ur_m32u2_swio14_dual_pr_ee_u4 },
 { 123639, ur_m32u2_swio14_dual_pr_ce },
 { 123640, ur_m32u2_swio14_dual_pr_ce_u4 },
 { 123641, ur_m32u2_swio14_dual_pr_ee_ce },
 { 123642, ur_m32u2_swio14_dual_pr_ee_ce_u4 },
 { 123644, ur_m32u2_swio14_dual_ee_hw },
 { 123646, ur_m32u2_swio14_dual_ee_ce_hw },
 { 123647, ur_m32u2_swio14_dual_ee_ce_u4_hw },
 { 123648, ur_m16u2_swio15_noled },
 { 123649, ur_m16u2_swio15_noled },
 { 123650, ur_m16u2_swio15_noled_pr_u4 },
 { 123651, ur_m16u2_swio15_noled_pr_ee },
 { 123652, ur_m16u2_swio15_noled_pr_ee },
 { 123653, ur_m32u2_swio15_noled_pr_ce },
 { 123654, ur_m32u2_swio15_noled_pr_ce },
 { 123655, ur_m32u2_swio15_noled_pr_ee_ce },
 { 123656, ur_m32u2_swio15_noled_pr_ee_ce_u4 },
 { 123658, ur_m8u2_swio15_noled_ee_hw },
 { 123660, ur_m32u2_swio15_noled_ee_ce_hw },
 { 123661, ur_m32u2_swio15_noled_ee_ce_hw },
 { 123662, ur_m16u2_swio15_lednop },
 { 123663, ur_m16u2_swio15_lednop_pr },
 { 123664, ur_m16u2_swio15_lednop_pr },
 { 123665, ur_m16u2_swio15_lednop_pr_ee },
 { 123666, ur_m16u2_swio15_lednop_pr_ee_u4 },
 { 123667, ur_m32u2_swio15_lednop_pr_ce },
 { 123668, ur_m32u2_swio15_lednop_pr_ce },
 { 123669, ur_m32u2_swio15_lednop_pr_ee_ce },
 { 123670, ur_m32u2_swio15_lednop_pr_ee_ce_u4 },
 { 123672, ur_m8u2_swio15_lednop_ee_hw },
 { 123674, ur_m32u2_swio15_lednop_ee_ce_hw },
 { 123675, ur_m32u2_swio15_lednop_ee_ce_hw },
 { 123676, ur_m32u2_swio15_dual },
 { 123677, ur_m32u2_swio15_dual },
 { 123678, ur_m32u2_swio15_dual },
 { 123679, ur_m32u2_swio15_dual_pr_ee },
 { 123680, ur_m32u2_swio15_dual_pr_ee_u4 },
 { 123681, ur_m32u2_swio15_dual_pr_ce },
 { 123682, ur_m32u2_swio15_dual_pr_ce_u4 },
 { 123683, ur_m32u2_swio15_dual_pr_ee_ce },
 { 123684, ur_m32u2_swio15_dual_pr_ee_ce_u4 },
 { 123686, ur_m32u2_swio15_dual_ee_hw },
 { 123688, ur_m32u2_swio15_dual_ee_ce_hw },
 { 123689, ur_m32u2_swio15_dual_ee_ce_u4_hw },
 { 123690, ur_m16u4_autobaud_uart0_noled },
 { 123691, ur_m16u4_autobaud_uart0_noled },
 { 123692, ur_m16u4_autobaud_uart0_noled_pr_u4 },
 { 123693, ur_m16u4_autobaud_uart0_noled_pr_ee },
 { 123694, ur_m16u4_autobaud_uart0_noled_pr_ee },
 { 123695, ur_m32u4_autobaud_uart0_noled_pr_ce },
 { 123696, ur_m32u4_autobaud_uart0_noled_pr_ce },
 { 123697, ur_m32u4_autobaud_uart0_noled_pr_ee_ce },
 { 123698, ur_m32u4_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 123700, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 123702, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 { 123703, ur_m324a_autobaud_uart1_noled_ee_ce_hw },
 { 123704, ur_m16u4_autobaud_uart0_lednop },
 { 123705, ur_m16u4_autobaud_uart0_lednop },
 { 123706, ur_m16u4_autobaud_uart0_lednop_pr_u4 },
 { 123707, ur_m16u4_autobaud_uart0_lednop_pr_ee },
 { 123708, ur_m16u4_autobaud_uart0_lednop_pr_ee },
 { 123709, ur_m32u4_autobaud_uart0_lednop_pr_ce },
 { 123710, ur_m32u4_autobaud_uart0_lednop_pr_ce },
 { 123711, ur_m32u4_autobaud_uart0_lednop_pr_ee_ce },
 { 123712, ur_m32u4_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 123714, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 123716, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 { 123717, ur_m324a_autobaud_uart1_lednop_ee_ce_hw },
 { 123718, ur_m32u4_autobaud_uart0_dual },
 { 123719, ur_m32u4_autobaud_uart0_dual },
 { 123720, ur_m32u4_autobaud_uart0_dual },
 { 123721, ur_m32u4_autobaud_uart0_dual_pr_ee },
 { 123722, ur_m32u4_autobaud_uart0_dual_pr_ee_u4 },
 { 123723, ur_m32u4_autobaud_uart0_dual_pr_ce },
 { 123724, ur_m32u4_autobaud_uart0_dual_pr_ce },
 { 123725, ur_m32u4_autobaud_uart0_dual_pr_ee_ce },
 { 123726, ur_m32u4_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 123728, ur_m32u2_autobaud_uart0_dual_ee_hw },
 { 123730, ur_m32u2_autobaud_uart0_dual_ee_ce_hw },
 { 123731, ur_m32u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 123900, ur_m16u4_u1x8_uart0_noled },
 { 123901, ur_m16u4_u1x8_uart0_noled },
 { 123902, ur_m16u4_u1x8_uart0_noled_pr_u4 },
 { 123903, ur_m16u4_u1x8_uart0_noled_pr_ee },
 { 123904, ur_m16u4_u1x8_uart0_noled_pr_ee },
 { 123905, ur_m32u4_u1x8_uart0_noled_pr_ce },
 { 123906, ur_m32u4_u1x8_uart0_noled_pr_ce_u4 },
 { 123907, ur_m32u4_u1x8_uart0_noled_pr_ee_ce },
 { 123908, ur_m32u4_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 123910, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 123912, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 { 123913, ur_m328pb_u1x8_uart1_noled_ee_ce_hw },
 { 123914, ur_m16u4_u1x8_uart0_lednop },
 { 123915, ur_m16u4_u1x8_uart0_lednop },
 { 123916, ur_m16u4_u1x8_uart0_lednop_pr_u4 },
 { 123917, ur_m16u4_u1x8_uart0_lednop_pr_ee },
 { 123918, ur_m16u4_u1x8_uart0_lednop_pr_ee },
 { 123919, ur_m32u4_u1x8_uart0_lednop_pr_ce },
 { 123920, ur_m32u4_u1x8_uart0_lednop_pr_ce },
 { 123921, ur_m32u4_u1x8_uart0_lednop_pr_ee_ce },
 { 123922, ur_m32u4_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 123924, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 123926, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 { 123927, ur_m328pb_u1x8_uart1_lednop_ee_ce_hw },
 { 123928, ur_m32u4_u1x8_uart0_dual },
 { 123929, ur_m32u4_u1x8_uart0_dual },
 { 123930, ur_m32u4_u1x8_uart0_dual_pr_u4 },
 { 123931, ur_m32u4_u1x8_uart0_dual_pr_ee },
 { 123932, ur_m32u4_u1x8_uart0_dual_pr_ee },
 { 123933, ur_m32u4_u1x8_uart0_dual_pr_ce },
 { 123934, ur_m32u4_u1x8_uart0_dual_pr_ce },
 { 123935, ur_m32u4_u1x8_uart0_dual_pr_ee_ce },
 { 123936, ur_m32u4_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 123938, ur_m32u2_u1x8_uart0_dual_ee_hw },
 { 123940, ur_m32u2_u1x8_uart0_dual_ee_ce_hw },
 { 123941, ur_m32u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 124110, ur_m16u4_u1x12_uart0_noled },
 { 124111, ur_m16u4_u1x12_uart0_noled },
 { 124112, ur_m16u4_u1x12_uart0_noled_pr_u4 },
 { 124113, ur_m16u4_u1x12_uart0_noled_pr_ee },
 { 124114, ur_m16u4_u1x12_uart0_noled_pr_ee },
 { 124115, ur_m32u4_u1x12_uart0_noled_pr_ce },
 { 124116, ur_m32u4_u1x12_uart0_noled_pr_ce_u4 },
 { 124117, ur_m32u4_u1x12_uart0_noled_pr_ee_ce },
 { 124118, ur_m32u4_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 124120, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 124122, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 { 124123, ur_m328pb_u1x12_uart1_noled_ee_ce_hw },
 { 124124, ur_m16u4_u1x12_uart0_lednop },
 { 124125, ur_m16u4_u1x12_uart0_lednop },
 { 124126, ur_m16u4_u1x12_uart0_lednop_pr_u4 },
 { 124127, ur_m16u4_u1x12_uart0_lednop_pr_ee },
 { 124128, ur_m16u4_u1x12_uart0_lednop_pr_ee },
 { 124129, ur_m32u4_u1x12_uart0_lednop_pr_ce },
 { 124130, ur_m32u4_u1x12_uart0_lednop_pr_ce },
 { 124131, ur_m32u4_u1x12_uart0_lednop_pr_ee_ce },
 { 124132, ur_m32u4_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 124134, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 124136, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 { 124137, ur_m328pb_u1x12_uart1_lednop_ee_ce_hw },
 { 124138, ur_m32u4_u1x12_uart0_dual },
 { 124139, ur_m32u4_u1x12_uart0_dual_pr },
 { 124140, ur_m32u4_u1x12_uart0_dual_pr_u4 },
 { 124141, ur_m32u4_u1x12_uart0_dual_pr_ee },
 { 124142, ur_m32u4_u1x12_uart0_dual_pr_ee },
 { 124143, ur_m32u4_u1x12_uart0_dual_pr_ce },
 { 124144, ur_m32u4_u1x12_uart0_dual_pr_ce },
 { 124145, ur_m32u4_u1x12_uart0_dual_pr_ee_ce },
 { 124146, ur_m32u4_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 124148, ur_m32u2_u1x12_uart0_dual_ee_hw },
 { 124150, ur_m32u2_u1x12_uart0_dual_ee_ce_hw },
 { 124151, ur_m32u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 124320, ur_m16u4_u2x8_uart0_noled },
 { 124321, ur_m16u4_u2x8_uart0_noled },
 { 124322, ur_m16u4_u2x8_uart0_noled_pr_u4 },
 { 124323, ur_m16u4_u2x8_uart0_noled_pr_ee },
 { 124324, ur_m16u4_u2x8_uart0_noled_pr_ee },
 { 124325, ur_m32u4_u2x8_uart0_noled_pr_ce },
 { 124326, ur_m32u4_u2x8_uart0_noled_pr_ce_u4 },
 { 124327, ur_m32u4_u2x8_uart0_noled_pr_ee_ce },
 { 124328, ur_m32u4_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 124330, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 124332, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 { 124333, ur_m328pb_u2x8_uart1_noled_ee_ce_hw },
 { 124334, ur_m16u4_u2x8_uart0_lednop },
 { 124335, ur_m16u4_u2x8_uart0_lednop },
 { 124336, ur_m16u4_u2x8_uart0_lednop_pr_u4 },
 { 124337, ur_m16u4_u2x8_uart0_lednop_pr_ee },
 { 124338, ur_m16u4_u2x8_uart0_lednop_pr_ee },
 { 124339, ur_m32u4_u2x8_uart0_lednop_pr_ce },
 { 124340, ur_m32u4_u2x8_uart0_lednop_pr_ce },
 { 124341, ur_m32u4_u2x8_uart0_lednop_pr_ee_ce },
 { 124342, ur_m32u4_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 124344, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 124346, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 { 124347, ur_m328pb_u2x8_uart1_lednop_ee_ce_hw },
 { 124348, ur_m32u4_u2x8_uart0_dual },
 { 124349, ur_m32u4_u2x8_uart0_dual_pr },
 { 124350, ur_m32u4_u2x8_uart0_dual_pr_u4 },
 { 124351, ur_m32u4_u2x8_uart0_dual_pr_ee },
 { 124352, ur_m32u4_u2x8_uart0_dual_pr_ee },
 { 124353, ur_m32u4_u2x8_uart0_dual_pr_ce },
 { 124354, ur_m32u4_u2x8_uart0_dual_pr_ce },
 { 124355, ur_m32u4_u2x8_uart0_dual_pr_ee_ce },
 { 124356, ur_m32u4_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 124358, ur_m32u2_u2x8_uart0_dual_ee_hw },
 { 124360, ur_m32u2_u2x8_uart0_dual_ee_ce_hw },
 { 124361, ur_m32u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 124530, ur_m16u4_u2x12_uart0_noled },
 { 124531, ur_m16u4_u2x12_uart0_noled },
 { 124532, ur_m16u4_u2x12_uart0_noled_pr_u4 },
 { 124533, ur_m16u4_u2x12_uart0_noled_pr_ee },
 { 124534, ur_m16u4_u2x12_uart0_noled_pr_ee },
 { 124535, ur_m32u4_u2x12_uart0_noled_pr_ce },
 { 124536, ur_m32u4_u2x12_uart0_noled_pr_ce },
 { 124537, ur_m32u4_u2x12_uart0_noled_pr_ee_ce },
 { 124538, ur_m32u4_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 124540, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 124542, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 { 124543, ur_m328pb_u2x12_uart1_noled_ee_ce_hw },
 { 124544, ur_m16u4_u2x12_uart0_lednop },
 { 124545, ur_m16u4_u2x12_uart0_lednop },
 { 124546, ur_m16u4_u2x12_uart0_lednop_pr_u4 },
 { 124547, ur_m16u4_u2x12_uart0_lednop_pr_ee },
 { 124548, ur_m16u4_u2x12_uart0_lednop_pr_ee },
 { 124549, ur_m32u4_u2x12_uart0_lednop_pr_ce },
 { 124550, ur_m32u4_u2x12_uart0_lednop_pr_ce },
 { 124551, ur_m32u4_u2x12_uart0_lednop_pr_ee_ce },
 { 124552, ur_m32u4_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 124554, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 124556, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 { 124557, ur_m328pb_u2x12_uart1_lednop_ee_ce_hw },
 { 124558, ur_m32u4_u2x12_uart0_dual },
 { 124559, ur_m32u4_u2x12_uart0_dual_pr },
 { 124560, ur_m32u4_u2x12_uart0_dual_pr },
 { 124561, ur_m32u4_u2x12_uart0_dual_pr_ee },
 { 124562, ur_m32u4_u2x12_uart0_dual_pr_ee },
 { 124563, ur_m32u4_u2x12_uart0_dual_pr_ce },
 { 124564, ur_m32u4_u2x12_uart0_dual_pr_ce },
 { 124565, ur_m32u4_u2x12_uart0_dual_pr_ee_ce },
 { 124566, ur_m32u4_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 124568, ur_m32u2_u2x12_uart0_dual_ee_hw },
 { 124570, ur_m32u2_u2x12_uart0_dual_ee_ce_hw },
 { 124571, ur_m32u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 124740, ur_m16u4_swio10_noled },
 { 124741, ur_m16u4_swio10_noled },
 { 124742, ur_m16u4_swio10_noled_pr_u4 },
 { 124743, ur_m16u4_swio10_noled_pr_ee },
 { 124744, ur_m16u4_swio10_noled_pr_ee },
 { 124745, ur_m32u4_swio10_noled_pr_ce },
 { 124746, ur_m32u4_swio10_noled_pr_ce },
 { 124747, ur_m32u4_swio10_noled_pr_ee_ce },
 { 124748, ur_m32u4_swio10_noled_pr_ee_ce_u4 },
 { 124750, ur_m8u2_swio10_noled_ee_hw },
 { 124752, ur_m32u2_swio10_noled_ee_ce_hw },
 { 124753, ur_m32u2_swio10_noled_ee_ce_hw },
 { 124754, ur_m16u4_swio10_lednop },
 { 124755, ur_m16u4_swio10_lednop_pr },
 { 124756, ur_m16u4_swio10_lednop_pr },
 { 124757, ur_m16u4_swio10_lednop_pr_ee },
 { 124758, ur_m16u4_swio10_lednop_pr_ee },
 { 124759, ur_m32u4_swio10_lednop_pr_ce },
 { 124760, ur_m32u4_swio10_lednop_pr_ce },
 { 124761, ur_m32u4_swio10_lednop_pr_ee_ce },
 { 124762, ur_m32u4_swio10_lednop_pr_ee_ce_u4 },
 { 124764, ur_m8u2_swio10_lednop_ee_hw },
 { 124766, ur_m32u2_swio10_lednop_ee_ce_hw },
 { 124767, ur_m32u2_swio10_lednop_ee_ce_hw },
 { 124768, ur_m32u4_swio10_dual },
 { 124769, ur_m32u4_swio10_dual },
 { 124770, ur_m32u4_swio10_dual },
 { 124771, ur_m32u4_swio10_dual_pr_ee },
 { 124772, ur_m32u4_swio10_dual_pr_ee_u4 },
 { 124773, ur_m32u4_swio10_dual_pr_ce },
 { 124774, ur_m32u4_swio10_dual_pr_ce_u4 },
 { 124775, ur_m32u4_swio10_dual_pr_ee_ce },
 { 124776, ur_m32u4_swio10_dual_pr_ee_ce_u4 },
 { 124778, ur_m32u2_swio10_dual_ee_hw },
 { 124780, ur_m32u2_swio10_dual_ee_ce_hw },
 { 124781, ur_m32u2_swio10_dual_ee_ce_u4_hw },
 { 124782, ur_m16u4_swio11_noled },
 { 124783, ur_m16u4_swio11_noled },
 { 124784, ur_m16u4_swio11_noled_pr_u4 },
 { 124785, ur_m16u4_swio11_noled_pr_ee },
 { 124786, ur_m16u4_swio11_noled_pr_ee },
 { 124787, ur_m32u4_swio11_noled_pr_ce },
 { 124788, ur_m32u4_swio11_noled_pr_ce },
 { 124789, ur_m32u4_swio11_noled_pr_ee_ce },
 { 124790, ur_m32u4_swio11_noled_pr_ee_ce_u4 },
 { 124792, ur_m8u2_swio11_noled_ee_hw },
 { 124794, ur_m32u2_swio11_noled_ee_ce_hw },
 { 124795, ur_m32u2_swio11_noled_ee_ce_hw },
 { 124796, ur_m16u4_swio11_lednop },
 { 124797, ur_m16u4_swio11_lednop_pr },
 { 124798, ur_m16u4_swio11_lednop_pr },
 { 124799, ur_m16u4_swio11_lednop_pr_ee },
 { 124800, ur_m16u4_swio11_lednop_pr_ee_u4 },
 { 124801, ur_m32u4_swio11_lednop_pr_ce },
 { 124802, ur_m32u4_swio11_lednop_pr_ce },
 { 124803, ur_m32u4_swio11_lednop_pr_ee_ce },
 { 124804, ur_m32u4_swio11_lednop_pr_ee_ce_u4 },
 { 124806, ur_m8u2_swio11_lednop_ee_hw },
 { 124808, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 124809, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 124810, ur_m32u4_swio11_dual },
 { 124811, ur_m32u4_swio11_dual },
 { 124812, ur_m32u4_swio11_dual },
 { 124813, ur_m32u4_swio11_dual_pr_ee },
 { 124814, ur_m32u4_swio11_dual_pr_ee_u4 },
 { 124815, ur_m32u4_swio11_dual_pr_ce },
 { 124816, ur_m32u4_swio11_dual_pr_ce_u4 },
 { 124817, ur_m32u4_swio11_dual_pr_ee_ce },
 { 124818, ur_m32u4_swio11_dual_pr_ee_ce_u4 },
 { 124820, ur_m32u2_swio11_dual_ee_hw },
 { 124822, ur_m32u2_swio11_dual_ee_ce_hw },
 { 124823, ur_m32u2_swio11_dual_ee_ce_u4_hw },
 { 124824, ur_m16u4_swio11_noled },
 { 124825, ur_m16u4_swio11_noled },
 { 124826, ur_m16u4_swio11_noled_pr_u4 },
 { 124827, ur_m16u4_swio11_noled_pr_ee },
 { 124828, ur_m16u4_swio11_noled_pr_ee },
 { 124829, ur_m32u4_swio11_noled_pr_ce },
 { 124830, ur_m32u4_swio11_noled_pr_ce },
 { 124831, ur_m32u4_swio11_noled_pr_ee_ce },
 { 124832, ur_m32u4_swio11_noled_pr_ee_ce_u4 },
 { 124834, ur_m8u2_swio11_noled_ee_hw },
 { 124836, ur_m32u2_swio11_noled_ee_ce_hw },
 { 124837, ur_m32u2_swio11_noled_ee_ce_hw },
 { 124838, ur_m16u4_swio11_lednop },
 { 124839, ur_m16u4_swio11_lednop_pr },
 { 124840, ur_m16u4_swio11_lednop_pr },
 { 124841, ur_m16u4_swio11_lednop_pr_ee },
 { 124842, ur_m16u4_swio11_lednop_pr_ee_u4 },
 { 124843, ur_m32u4_swio11_lednop_pr_ce },
 { 124844, ur_m32u4_swio11_lednop_pr_ce },
 { 124845, ur_m32u4_swio11_lednop_pr_ee_ce },
 { 124846, ur_m32u4_swio11_lednop_pr_ee_ce_u4 },
 { 124848, ur_m8u2_swio11_lednop_ee_hw },
 { 124850, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 124851, ur_m32u2_swio11_lednop_ee_ce_hw },
 { 124852, ur_m32u4_swio11_dual },
 { 124853, ur_m32u4_swio11_dual },
 { 124854, ur_m32u4_swio11_dual },
 { 124855, ur_m32u4_swio11_dual_pr_ee },
 { 124856, ur_m32u4_swio11_dual_pr_ee_u4 },
 { 124857, ur_m32u4_swio11_dual_pr_ce },
 { 124858, ur_m32u4_swio11_dual_pr_ce_u4 },
 { 124859, ur_m32u4_swio11_dual_pr_ee_ce },
 { 124860, ur_m32u4_swio11_dual_pr_ee_ce_u4 },
 { 124862, ur_m32u2_swio11_dual_ee_hw },
 { 124864, ur_m32u2_swio11_dual_ee_ce_hw },
 { 124865, ur_m32u2_swio11_dual_ee_ce_u4_hw },
 { 124866, ur_m16u4_swio13_noled },
 { 124867, ur_m16u4_swio13_noled },
 { 124868, ur_m16u4_swio13_noled_pr_u4 },
 { 124869, ur_m16u4_swio13_noled_pr_ee },
 { 124870, ur_m16u4_swio13_noled_pr_ee },
 { 124871, ur_m32u4_swio13_noled_pr_ce },
 { 124872, ur_m32u4_swio13_noled_pr_ce },
 { 124873, ur_m32u4_swio13_noled_pr_ee_ce },
 { 124874, ur_m32u4_swio13_noled_pr_ee_ce_u4 },
 { 124876, ur_m8u2_swio13_noled_ee_hw },
 { 124878, ur_m32u2_swio13_noled_ee_ce_hw },
 { 124879, ur_m32u2_swio13_noled_ee_ce_hw },
 { 124880, ur_m16u4_swio13_lednop },
 { 124881, ur_m16u4_swio13_lednop_pr },
 { 124882, ur_m16u4_swio13_lednop_pr },
 { 124883, ur_m16u4_swio13_lednop_pr_ee },
 { 124884, ur_m16u4_swio13_lednop_pr_ee_u4 },
 { 124885, ur_m32u4_swio13_lednop_pr_ce },
 { 124886, ur_m32u4_swio13_lednop_pr_ce },
 { 124887, ur_m32u4_swio13_lednop_pr_ee_ce },
 { 124888, ur_m32u4_swio13_lednop_pr_ee_ce_u4 },
 { 124890, ur_m8u2_swio13_lednop_ee_hw },
 { 124892, ur_m32u2_swio13_lednop_ee_ce_hw },
 { 124893, ur_m32u2_swio13_lednop_ee_ce_hw },
 { 124894, ur_m32u4_swio13_dual },
 { 124895, ur_m32u4_swio13_dual },
 { 124896, ur_m32u4_swio13_dual },
 { 124897, ur_m32u4_swio13_dual_pr_ee },
 { 124898, ur_m32u4_swio13_dual_pr_ee_u4 },
 { 124899, ur_m32u4_swio13_dual_pr_ce },
 { 124900, ur_m32u4_swio13_dual_pr_ce_u4 },
 { 124901, ur_m32u4_swio13_dual_pr_ee_ce },
 { 124902, ur_m32u4_swio13_dual_pr_ee_ce_u4 },
 { 124904, ur_m32u2_swio13_dual_ee_hw },
 { 124906, ur_m32u2_swio13_dual_ee_ce_hw },
 { 124907, ur_m32u2_swio13_dual_ee_ce_u4_hw },
 { 124908, ur_m16u4_swio14_noled },
 { 124909, ur_m16u4_swio14_noled },
 { 124910, ur_m16u4_swio14_noled_pr_u4 },
 { 124911, ur_m16u4_swio14_noled_pr_ee },
 { 124912, ur_m16u4_swio14_noled_pr_ee },
 { 124913, ur_m32u4_swio14_noled_pr_ce },
 { 124914, ur_m32u4_swio14_noled_pr_ce },
 { 124915, ur_m32u4_swio14_noled_pr_ee_ce },
 { 124916, ur_m32u4_swio14_noled_pr_ee_ce_u4 },
 { 124918, ur_m8u2_swio14_noled_ee_hw },
 { 124920, ur_m32u2_swio14_noled_ee_ce_hw },
 { 124921, ur_m32u2_swio14_noled_ee_ce_hw },
 { 124922, ur_m16u4_swio14_lednop },
 { 124923, ur_m16u4_swio14_lednop_pr },
 { 124924, ur_m16u4_swio14_lednop_pr },
 { 124925, ur_m16u4_swio14_lednop_pr_ee },
 { 124926, ur_m16u4_swio14_lednop_pr_ee_u4 },
 { 124927, ur_m32u4_swio14_lednop_pr_ce },
 { 124928, ur_m32u4_swio14_lednop_pr_ce },
 { 124929, ur_m32u4_swio14_lednop_pr_ee_ce },
 { 124930, ur_m32u4_swio14_lednop_pr_ee_ce_u4 },
 { 124932, ur_m8u2_swio14_lednop_ee_hw },
 { 124934, ur_m32u2_swio14_lednop_ee_ce_hw },
 { 124935, ur_m32u2_swio14_lednop_ee_ce_hw },
 { 124936, ur_m32u4_swio14_dual },
 { 124937, ur_m32u4_swio14_dual },
 { 124938, ur_m32u4_swio14_dual },
 { 124939, ur_m32u4_swio14_dual_pr_ee },
 { 124940, ur_m32u4_swio14_dual_pr_ee_u4 },
 { 124941, ur_m32u4_swio14_dual_pr_ce },
 { 124942, ur_m32u4_swio14_dual_pr_ce_u4 },
 { 124943, ur_m32u4_swio14_dual_pr_ee_ce },
 { 124944, ur_m32u4_swio14_dual_pr_ee_ce_u4 },
 { 124946, ur_m32u2_swio14_dual_ee_hw },
 { 124948, ur_m32u2_swio14_dual_ee_ce_hw },
 { 124949, ur_m32u2_swio14_dual_ee_ce_u4_hw },
 { 124950, ur_m16u4_swio15_noled },
 { 124951, ur_m16u4_swio15_noled },
 { 124952, ur_m16u4_swio15_noled_pr_u4 },
 { 124953, ur_m16u4_swio15_noled_pr_ee },
 { 124954, ur_m16u4_swio15_noled_pr_ee },
 { 124955, ur_m32u4_swio15_noled_pr_ce },
 { 124956, ur_m32u4_swio15_noled_pr_ce },
 { 124957, ur_m32u4_swio15_noled_pr_ee_ce },
 { 124958, ur_m32u4_swio15_noled_pr_ee_ce_u4 },
 { 124960, ur_m8u2_swio15_noled_ee_hw },
 { 124962, ur_m32u2_swio15_noled_ee_ce_hw },
 { 124963, ur_m32u2_swio15_noled_ee_ce_hw },
 { 124964, ur_m16u4_swio15_lednop },
 { 124965, ur_m16u4_swio15_lednop_pr },
 { 124966, ur_m16u4_swio15_lednop_pr },
 { 124967, ur_m16u4_swio15_lednop_pr_ee },
 { 124968, ur_m16u4_swio15_lednop_pr_ee_u4 },
 { 124969, ur_m32u4_swio15_lednop_pr_ce },
 { 124970, ur_m32u4_swio15_lednop_pr_ce },
 { 124971, ur_m32u4_swio15_lednop_pr_ee_ce },
 { 124972, ur_m32u4_swio15_lednop_pr_ee_ce_u4 },
 { 124974, ur_m8u2_swio15_lednop_ee_hw },
 { 124976, ur_m32u2_swio15_lednop_ee_ce_hw },
 { 124977, ur_m32u2_swio15_lednop_ee_ce_hw },
 { 124978, ur_m32u4_swio15_dual },
 { 124979, ur_m32u4_swio15_dual },
 { 124980, ur_m32u4_swio15_dual },
 { 124981, ur_m32u4_swio15_dual_pr_ee },
 { 124982, ur_m32u4_swio15_dual_pr_ee_u4 },
 { 124983, ur_m32u4_swio15_dual_pr_ce },
 { 124984, ur_m32u4_swio15_dual_pr_ce_u4 },
 { 124985, ur_m32u4_swio15_dual_pr_ee_ce },
 { 124986, ur_m32u4_swio15_dual_pr_ee_ce_u4 },
 { 124988, ur_m32u2_swio15_dual_ee_hw },
 { 124990, ur_m32u2_swio15_dual_ee_ce_hw },
 { 124991, ur_m32u2_swio15_dual_ee_ce_u4_hw },
 { 124992, ur_m64_autobaud_uart0_noled },
 { 124993, ur_m64_autobaud_uart0_noled },
 { 124994, ur_m64_autobaud_uart0_noled_pr_u4 },
 { 124995, ur_m64_autobaud_uart0_noled_pr_ee },
 { 124996, ur_m64_autobaud_uart0_noled_pr_ee },
 { 124997, ur_m64_autobaud_uart0_noled_pr_ce },
 { 124998, ur_m64_autobaud_uart0_noled_pr_ce },
 { 124999, ur_m64_autobaud_uart0_noled_pr_ee_ce },
 { 125000, ur_m64_autobaud_uart0_noled_pr_ee_ce },
 { 125002, ur_m64_autobaud_uart0_noled_ee_hw },
 { 125004, ur_m64_autobaud_uart0_noled_ee_ce_hw },
 { 125005, ur_m64_autobaud_uart0_noled_ee_ce_hw },
 { 125006, ur_m64_autobaud_uart0_lednop },
 { 125007, ur_m64_autobaud_uart0_lednop },
 { 125008, ur_m64_autobaud_uart0_lednop_pr_u4 },
 { 125009, ur_m64_autobaud_uart0_lednop_pr_ee },
 { 125010, ur_m64_autobaud_uart0_lednop_pr_ee },
 { 125011, ur_m64_autobaud_uart0_lednop_pr_ce },
 { 125012, ur_m64_autobaud_uart0_lednop_pr_ce },
 { 125013, ur_m64_autobaud_uart0_lednop_pr_ee_ce },
 { 125014, ur_m64_autobaud_uart0_lednop_pr_ee_ce },
 { 125016, ur_m64_autobaud_uart0_lednop_ee_hw },
 { 125018, ur_m64_autobaud_uart0_lednop_ee_ce_hw },
 { 125019, ur_m64_autobaud_uart0_lednop_ee_ce_hw },
 { 125020, ur_m64_autobaud_uart0_dual },
 { 125021, ur_m64_autobaud_uart0_dual },
 { 125022, ur_m64_autobaud_uart0_dual },
 { 125023, ur_m64_autobaud_uart0_dual_pr_ee },
 { 125024, ur_m64_autobaud_uart0_dual_pr_ee },
 { 125025, ur_m64_autobaud_uart0_dual_pr_ce },
 { 125026, ur_m64_autobaud_uart0_dual_pr_ce },
 { 125027, ur_m64_autobaud_uart0_dual_pr_ee_ce },
 { 125028, ur_m64_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 125030, ur_m64_autobaud_uart0_dual_ee_hw },
 { 125032, ur_m64_autobaud_uart0_dual_ee_ce_hw },
 { 125033, ur_m64_autobaud_uart0_dual_ee_ce_hw },
 { 125076, ur_m64_autobaud_uart1_noled },
 { 125077, ur_m64_autobaud_uart1_noled },
 { 125078, ur_m64_autobaud_uart1_noled_pr_u4 },
 { 125079, ur_m64_autobaud_uart1_noled_pr_ee },
 { 125080, ur_m64_autobaud_uart1_noled_pr_ee },
 { 125081, ur_m64_autobaud_uart1_noled_pr_ce },
 { 125082, ur_m64_autobaud_uart1_noled_pr_ce },
 { 125083, ur_m64_autobaud_uart1_noled_pr_ee_ce },
 { 125084, ur_m64_autobaud_uart1_noled_pr_ee_ce },
 { 125086, ur_m64_autobaud_uart1_noled_ee_hw },
 { 125088, ur_m64_autobaud_uart1_noled_ee_ce_hw },
 { 125089, ur_m64_autobaud_uart1_noled_ee_ce_hw },
 { 125090, ur_m64_autobaud_uart1_lednop },
 { 125091, ur_m64_autobaud_uart1_lednop_pr },
 { 125092, ur_m64_autobaud_uart1_lednop_pr },
 { 125093, ur_m64_autobaud_uart1_lednop_pr_ee },
 { 125094, ur_m64_autobaud_uart1_lednop_pr_ee },
 { 125095, ur_m64_autobaud_uart1_lednop_pr_ce },
 { 125096, ur_m64_autobaud_uart1_lednop_pr_ce },
 { 125097, ur_m64_autobaud_uart1_lednop_pr_ee_ce },
 { 125098, ur_m64_autobaud_uart1_lednop_pr_ee_ce },
 { 125100, ur_m64_autobaud_uart1_lednop_ee_hw },
 { 125102, ur_m64_autobaud_uart1_lednop_ee_ce_hw },
 { 125103, ur_m64_autobaud_uart1_lednop_ee_ce_hw },
 { 125104, ur_m64_autobaud_uart1_dual },
 { 125105, ur_m64_autobaud_uart1_dual },
 { 125106, ur_m64_autobaud_uart1_dual },
 { 125107, ur_m64_autobaud_uart1_dual_pr_ee },
 { 125108, ur_m64_autobaud_uart1_dual_pr_ee_u4 },
 { 125109, ur_m64_autobaud_uart1_dual_pr_ce },
 { 125110, ur_m64_autobaud_uart1_dual_pr_ce },
 { 125111, ur_m64_autobaud_uart1_dual_pr_ee_ce },
 { 125112, ur_m64_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 125114, ur_m64_autobaud_uart1_dual_ee_hw },
 { 125116, ur_m64_autobaud_uart1_dual_ee_ce_hw },
 { 125117, ur_m64_autobaud_uart1_dual_ee_ce_hw },
 { 125202, ur_m64_u1x8_uart0_noled },
 { 125203, ur_m64_u1x8_uart0_noled },
 { 125204, ur_m64_u1x8_uart0_noled_pr_u4 },
 { 125205, ur_m64_u1x8_uart0_noled_pr_ee },
 { 125206, ur_m64_u1x8_uart0_noled_pr_ee },
 { 125207, ur_m64_u1x8_uart0_noled_pr_ce },
 { 125208, ur_m64_u1x8_uart0_noled_pr_ce_u4 },
 { 125209, ur_m64_u1x8_uart0_noled_pr_ee_ce },
 { 125210, ur_m64_u1x8_uart0_noled_pr_ee_ce },
 { 125212, ur_m64_u1x8_uart0_noled_ee_hw },
 { 125214, ur_m64_u1x8_uart0_noled_ee_ce_hw },
 { 125215, ur_m64_u1x8_uart0_noled_ee_ce_hw },
 { 125216, ur_m64_u1x8_uart0_lednop },
 { 125217, ur_m64_u1x8_uart0_lednop },
 { 125218, ur_m64_u1x8_uart0_lednop_pr_u4 },
 { 125219, ur_m64_u1x8_uart0_lednop_pr_ee },
 { 125220, ur_m64_u1x8_uart0_lednop_pr_ee },
 { 125221, ur_m64_u1x8_uart0_lednop_pr_ce },
 { 125222, ur_m64_u1x8_uart0_lednop_pr_ce_u4 },
 { 125223, ur_m64_u1x8_uart0_lednop_pr_ee_ce },
 { 125224, ur_m64_u1x8_uart0_lednop_pr_ee_ce },
 { 125226, ur_m64_u1x8_uart0_lednop_ee_hw },
 { 125228, ur_m64_u1x8_uart0_lednop_ee_ce_hw },
 { 125229, ur_m64_u1x8_uart0_lednop_ee_ce_hw },
 { 125230, ur_m64_u1x8_uart0_dual },
 { 125231, ur_m64_u1x8_uart0_dual },
 { 125232, ur_m64_u1x8_uart0_dual },
 { 125233, ur_m64_u1x8_uart0_dual_pr_ee },
 { 125234, ur_m64_u1x8_uart0_dual_pr_ee },
 { 125235, ur_m64_u1x8_uart0_dual_pr_ce },
 { 125236, ur_m64_u1x8_uart0_dual_pr_ce },
 { 125237, ur_m64_u1x8_uart0_dual_pr_ee_ce },
 { 125238, ur_m64_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 125240, ur_m64_u1x8_uart0_dual_ee_hw },
 { 125242, ur_m64_u1x8_uart0_dual_ee_ce_hw },
 { 125243, ur_m64_u1x8_uart0_dual_ee_ce_hw },
 { 125286, ur_m64_u1x8_uart1_noled },
 { 125287, ur_m64_u1x8_uart1_noled },
 { 125288, ur_m64_u1x8_uart1_noled_pr_u4 },
 { 125289, ur_m64_u1x8_uart1_noled_pr_ee },
 { 125290, ur_m64_u1x8_uart1_noled_pr_ee },
 { 125291, ur_m64_u1x8_uart1_noled_pr_ce },
 { 125292, ur_m64_u1x8_uart1_noled_pr_ce_u4 },
 { 125293, ur_m64_u1x8_uart1_noled_pr_ee_ce },
 { 125294, ur_m64_u1x8_uart1_noled_pr_ee_ce },
 { 125296, ur_m64_u1x8_uart1_noled_ee_hw },
 { 125298, ur_m64_u1x8_uart1_noled_ee_ce_hw },
 { 125299, ur_m64_u1x8_uart1_noled_ee_ce_hw },
 { 125300, ur_m64_u1x8_uart1_lednop },
 { 125301, ur_m64_u1x8_uart1_lednop },
 { 125302, ur_m64_u1x8_uart1_lednop_pr_u4 },
 { 125303, ur_m64_u1x8_uart1_lednop_pr_ee },
 { 125304, ur_m64_u1x8_uart1_lednop_pr_ee },
 { 125305, ur_m64_u1x8_uart1_lednop_pr_ce },
 { 125306, ur_m64_u1x8_uart1_lednop_pr_ce },
 { 125307, ur_m64_u1x8_uart1_lednop_pr_ee_ce },
 { 125308, ur_m64_u1x8_uart1_lednop_pr_ee_ce },
 { 125310, ur_m64_u1x8_uart1_lednop_ee_hw },
 { 125312, ur_m64_u1x8_uart1_lednop_ee_ce_hw },
 { 125313, ur_m64_u1x8_uart1_lednop_ee_ce_hw },
 { 125314, ur_m64_u1x8_uart1_dual },
 { 125315, ur_m64_u1x8_uart1_dual },
 { 125316, ur_m64_u1x8_uart1_dual },
 { 125317, ur_m64_u1x8_uart1_dual_pr_ee },
 { 125318, ur_m64_u1x8_uart1_dual_pr_ee },
 { 125319, ur_m64_u1x8_uart1_dual_pr_ce },
 { 125320, ur_m64_u1x8_uart1_dual_pr_ce },
 { 125321, ur_m64_u1x8_uart1_dual_pr_ee_ce },
 { 125322, ur_m64_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 125324, ur_m64_u1x8_uart1_dual_ee_hw },
 { 125326, ur_m64_u1x8_uart1_dual_ee_ce_hw },
 { 125327, ur_m64_u1x8_uart1_dual_ee_ce_hw },
 { 125412, ur_m64_u1x12_uart0_noled },
 { 125413, ur_m64_u1x12_uart0_noled },
 { 125414, ur_m64_u1x12_uart0_noled_pr_u4 },
 { 125415, ur_m64_u1x12_uart0_noled_pr_ee },
 { 125416, ur_m64_u1x12_uart0_noled_pr_ee },
 { 125417, ur_m64_u1x12_uart0_noled_pr_ce },
 { 125418, ur_m64_u1x12_uart0_noled_pr_ce_u4 },
 { 125419, ur_m64_u1x12_uart0_noled_pr_ee_ce },
 { 125420, ur_m64_u1x12_uart0_noled_pr_ee_ce },
 { 125422, ur_m64_u1x12_uart0_noled_ee_hw },
 { 125424, ur_m64_u1x12_uart0_noled_ee_ce_hw },
 { 125425, ur_m64_u1x12_uart0_noled_ee_ce_hw },
 { 125426, ur_m64_u1x12_uart0_lednop },
 { 125427, ur_m64_u1x12_uart0_lednop },
 { 125428, ur_m64_u1x12_uart0_lednop_pr_u4 },
 { 125429, ur_m64_u1x12_uart0_lednop_pr_ee },
 { 125430, ur_m64_u1x12_uart0_lednop_pr_ee },
 { 125431, ur_m64_u1x12_uart0_lednop_pr_ce },
 { 125432, ur_m64_u1x12_uart0_lednop_pr_ce_u4 },
 { 125433, ur_m64_u1x12_uart0_lednop_pr_ee_ce },
 { 125434, ur_m64_u1x12_uart0_lednop_pr_ee_ce },
 { 125436, ur_m64_u1x12_uart0_lednop_ee_hw },
 { 125438, ur_m64_u1x12_uart0_lednop_ee_ce_hw },
 { 125439, ur_m64_u1x12_uart0_lednop_ee_ce_hw },
 { 125440, ur_m64_u1x12_uart0_dual },
 { 125441, ur_m64_u1x12_uart0_dual },
 { 125442, ur_m64_u1x12_uart0_dual },
 { 125443, ur_m64_u1x12_uart0_dual_pr_ee },
 { 125444, ur_m64_u1x12_uart0_dual_pr_ee },
 { 125445, ur_m64_u1x12_uart0_dual_pr_ce },
 { 125446, ur_m64_u1x12_uart0_dual_pr_ce },
 { 125447, ur_m64_u1x12_uart0_dual_pr_ee_ce },
 { 125448, ur_m64_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 125450, ur_m64_u1x12_uart0_dual_ee_hw },
 { 125452, ur_m64_u1x12_uart0_dual_ee_ce_hw },
 { 125453, ur_m64_u1x12_uart0_dual_ee_ce_hw },
 { 125496, ur_m64_u1x12_uart1_noled },
 { 125497, ur_m64_u1x12_uart1_noled },
 { 125498, ur_m64_u1x12_uart1_noled_pr_u4 },
 { 125499, ur_m64_u1x12_uart1_noled_pr_ee },
 { 125500, ur_m64_u1x12_uart1_noled_pr_ee },
 { 125501, ur_m64_u1x12_uart1_noled_pr_ce },
 { 125502, ur_m64_u1x12_uart1_noled_pr_ce },
 { 125503, ur_m64_u1x12_uart1_noled_pr_ee_ce },
 { 125504, ur_m64_u1x12_uart1_noled_pr_ee_ce },
 { 125506, ur_m64_u1x12_uart1_noled_ee_hw },
 { 125508, ur_m64_u1x12_uart1_noled_ee_ce_hw },
 { 125509, ur_m64_u1x12_uart1_noled_ee_ce_hw },
 { 125510, ur_m64_u1x12_uart1_lednop },
 { 125511, ur_m64_u1x12_uart1_lednop },
 { 125512, ur_m64_u1x12_uart1_lednop_pr_u4 },
 { 125513, ur_m64_u1x12_uart1_lednop_pr_ee },
 { 125514, ur_m64_u1x12_uart1_lednop_pr_ee },
 { 125515, ur_m64_u1x12_uart1_lednop_pr_ce },
 { 125516, ur_m64_u1x12_uart1_lednop_pr_ce },
 { 125517, ur_m64_u1x12_uart1_lednop_pr_ee_ce },
 { 125518, ur_m64_u1x12_uart1_lednop_pr_ee_ce },
 { 125520, ur_m64_u1x12_uart1_lednop_ee_hw },
 { 125522, ur_m64_u1x12_uart1_lednop_ee_ce_hw },
 { 125523, ur_m64_u1x12_uart1_lednop_ee_ce_hw },
 { 125524, ur_m64_u1x12_uart1_dual },
 { 125525, ur_m64_u1x12_uart1_dual },
 { 125526, ur_m64_u1x12_uart1_dual },
 { 125527, ur_m64_u1x12_uart1_dual_pr_ee },
 { 125528, ur_m64_u1x12_uart1_dual_pr_ee },
 { 125529, ur_m64_u1x12_uart1_dual_pr_ce },
 { 125530, ur_m64_u1x12_uart1_dual_pr_ce },
 { 125531, ur_m64_u1x12_uart1_dual_pr_ee_ce },
 { 125532, ur_m64_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 125534, ur_m64_u1x12_uart1_dual_ee_hw },
 { 125536, ur_m64_u1x12_uart1_dual_ee_ce_hw },
 { 125537, ur_m64_u1x12_uart1_dual_ee_ce_hw },
 { 125622, ur_m64_u2x8_uart0_noled },
 { 125623, ur_m64_u2x8_uart0_noled },
 { 125624, ur_m64_u2x8_uart0_noled_pr_u4 },
 { 125625, ur_m64_u2x8_uart0_noled_pr_ee },
 { 125626, ur_m64_u2x8_uart0_noled_pr_ee },
 { 125627, ur_m64_u2x8_uart0_noled_pr_ce },
 { 125628, ur_m64_u2x8_uart0_noled_pr_ce_u4 },
 { 125629, ur_m64_u2x8_uart0_noled_pr_ee_ce },
 { 125630, ur_m64_u2x8_uart0_noled_pr_ee_ce },
 { 125632, ur_m64_u2x8_uart0_noled_ee_hw },
 { 125634, ur_m64_u2x8_uart0_noled_ee_ce_hw },
 { 125635, ur_m64_u2x8_uart0_noled_ee_ce_hw },
 { 125636, ur_m64_u2x8_uart0_lednop },
 { 125637, ur_m64_u2x8_uart0_lednop },
 { 125638, ur_m64_u2x8_uart0_lednop_pr_u4 },
 { 125639, ur_m64_u2x8_uart0_lednop_pr_ee },
 { 125640, ur_m64_u2x8_uart0_lednop_pr_ee },
 { 125641, ur_m64_u2x8_uart0_lednop_pr_ce },
 { 125642, ur_m64_u2x8_uart0_lednop_pr_ce_u4 },
 { 125643, ur_m64_u2x8_uart0_lednop_pr_ee_ce },
 { 125644, ur_m64_u2x8_uart0_lednop_pr_ee_ce },
 { 125646, ur_m64_u2x8_uart0_lednop_ee_hw },
 { 125648, ur_m64_u2x8_uart0_lednop_ee_ce_hw },
 { 125649, ur_m64_u2x8_uart0_lednop_ee_ce_hw },
 { 125650, ur_m64_u2x8_uart0_dual },
 { 125651, ur_m64_u2x8_uart0_dual },
 { 125652, ur_m64_u2x8_uart0_dual },
 { 125653, ur_m64_u2x8_uart0_dual_pr_ee },
 { 125654, ur_m64_u2x8_uart0_dual_pr_ee },
 { 125655, ur_m64_u2x8_uart0_dual_pr_ce },
 { 125656, ur_m64_u2x8_uart0_dual_pr_ce },
 { 125657, ur_m64_u2x8_uart0_dual_pr_ee_ce },
 { 125658, ur_m64_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 125660, ur_m64_u2x8_uart0_dual_ee_hw },
 { 125662, ur_m64_u2x8_uart0_dual_ee_ce_hw },
 { 125663, ur_m64_u2x8_uart0_dual_ee_ce_hw },
 { 125706, ur_m64_u2x8_uart1_noled },
 { 125707, ur_m64_u2x8_uart1_noled },
 { 125708, ur_m64_u2x8_uart1_noled_pr_u4 },
 { 125709, ur_m64_u2x8_uart1_noled_pr_ee },
 { 125710, ur_m64_u2x8_uart1_noled_pr_ee },
 { 125711, ur_m64_u2x8_uart1_noled_pr_ce },
 { 125712, ur_m64_u2x8_uart1_noled_pr_ce },
 { 125713, ur_m64_u2x8_uart1_noled_pr_ee_ce },
 { 125714, ur_m64_u2x8_uart1_noled_pr_ee_ce },
 { 125716, ur_m64_u2x8_uart1_noled_ee_hw },
 { 125718, ur_m64_u2x8_uart1_noled_ee_ce_hw },
 { 125719, ur_m64_u2x8_uart1_noled_ee_ce_hw },
 { 125720, ur_m64_u2x8_uart1_lednop },
 { 125721, ur_m64_u2x8_uart1_lednop },
 { 125722, ur_m64_u2x8_uart1_lednop_pr_u4 },
 { 125723, ur_m64_u2x8_uart1_lednop_pr_ee },
 { 125724, ur_m64_u2x8_uart1_lednop_pr_ee },
 { 125725, ur_m64_u2x8_uart1_lednop_pr_ce },
 { 125726, ur_m64_u2x8_uart1_lednop_pr_ce },
 { 125727, ur_m64_u2x8_uart1_lednop_pr_ee_ce },
 { 125728, ur_m64_u2x8_uart1_lednop_pr_ee_ce },
 { 125730, ur_m64_u2x8_uart1_lednop_ee_hw },
 { 125732, ur_m64_u2x8_uart1_lednop_ee_ce_hw },
 { 125733, ur_m64_u2x8_uart1_lednop_ee_ce_hw },
 { 125734, ur_m64_u2x8_uart1_dual },
 { 125735, ur_m64_u2x8_uart1_dual },
 { 125736, ur_m64_u2x8_uart1_dual },
 { 125737, ur_m64_u2x8_uart1_dual_pr_ee },
 { 125738, ur_m64_u2x8_uart1_dual_pr_ee },
 { 125739, ur_m64_u2x8_uart1_dual_pr_ce },
 { 125740, ur_m64_u2x8_uart1_dual_pr_ce },
 { 125741, ur_m64_u2x8_uart1_dual_pr_ee_ce },
 { 125742, ur_m64_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 125744, ur_m64_u2x8_uart1_dual_ee_hw },
 { 125746, ur_m64_u2x8_uart1_dual_ee_ce_hw },
 { 125747, ur_m64_u2x8_uart1_dual_ee_ce_hw },
 { 125832, ur_m64_u2x12_uart0_noled },
 { 125833, ur_m64_u2x12_uart0_noled },
 { 125834, ur_m64_u2x12_uart0_noled_pr_u4 },
 { 125835, ur_m64_u2x12_uart0_noled_pr_ee },
 { 125836, ur_m64_u2x12_uart0_noled_pr_ee },
 { 125837, ur_m64_u2x12_uart0_noled_pr_ce },
 { 125838, ur_m64_u2x12_uart0_noled_pr_ce_u4 },
 { 125839, ur_m64_u2x12_uart0_noled_pr_ee_ce },
 { 125840, ur_m64_u2x12_uart0_noled_pr_ee_ce },
 { 125842, ur_m64_u2x12_uart0_noled_ee_hw },
 { 125844, ur_m64_u2x12_uart0_noled_ee_ce_hw },
 { 125845, ur_m64_u2x12_uart0_noled_ee_ce_hw },
 { 125846, ur_m64_u2x12_uart0_lednop },
 { 125847, ur_m64_u2x12_uart0_lednop },
 { 125848, ur_m64_u2x12_uart0_lednop_pr_u4 },
 { 125849, ur_m64_u2x12_uart0_lednop_pr_ee },
 { 125850, ur_m64_u2x12_uart0_lednop_pr_ee },
 { 125851, ur_m64_u2x12_uart0_lednop_pr_ce },
 { 125852, ur_m64_u2x12_uart0_lednop_pr_ce_u4 },
 { 125853, ur_m64_u2x12_uart0_lednop_pr_ee_ce },
 { 125854, ur_m64_u2x12_uart0_lednop_pr_ee_ce },
 { 125856, ur_m64_u2x12_uart0_lednop_ee_hw },
 { 125858, ur_m64_u2x12_uart0_lednop_ee_ce_hw },
 { 125859, ur_m64_u2x12_uart0_lednop_ee_ce_hw },
 { 125860, ur_m64_u2x12_uart0_dual },
 { 125861, ur_m64_u2x12_uart0_dual },
 { 125862, ur_m64_u2x12_uart0_dual },
 { 125863, ur_m64_u2x12_uart0_dual_pr_ee },
 { 125864, ur_m64_u2x12_uart0_dual_pr_ee },
 { 125865, ur_m64_u2x12_uart0_dual_pr_ce },
 { 125866, ur_m64_u2x12_uart0_dual_pr_ce },
 { 125867, ur_m64_u2x12_uart0_dual_pr_ee_ce },
 { 125868, ur_m64_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 125870, ur_m64_u2x12_uart0_dual_ee_hw },
 { 125872, ur_m64_u2x12_uart0_dual_ee_ce_hw },
 { 125873, ur_m64_u2x12_uart0_dual_ee_ce_hw },
 { 125916, ur_m64_u2x12_uart1_noled },
 { 125917, ur_m64_u2x12_uart1_noled },
 { 125918, ur_m64_u2x12_uart1_noled_pr_u4 },
 { 125919, ur_m64_u2x12_uart1_noled_pr_ee },
 { 125920, ur_m64_u2x12_uart1_noled_pr_ee },
 { 125921, ur_m64_u2x12_uart1_noled_pr_ce },
 { 125922, ur_m64_u2x12_uart1_noled_pr_ce },
 { 125923, ur_m64_u2x12_uart1_noled_pr_ee_ce },
 { 125924, ur_m64_u2x12_uart1_noled_pr_ee_ce },
 { 125926, ur_m64_u2x12_uart1_noled_ee_hw },
 { 125928, ur_m64_u2x12_uart1_noled_ee_ce_hw },
 { 125929, ur_m64_u2x12_uart1_noled_ee_ce_hw },
 { 125930, ur_m64_u2x12_uart1_lednop },
 { 125931, ur_m64_u2x12_uart1_lednop },
 { 125932, ur_m64_u2x12_uart1_lednop_pr_u4 },
 { 125933, ur_m64_u2x12_uart1_lednop_pr_ee },
 { 125934, ur_m64_u2x12_uart1_lednop_pr_ee },
 { 125935, ur_m64_u2x12_uart1_lednop_pr_ce },
 { 125936, ur_m64_u2x12_uart1_lednop_pr_ce },
 { 125937, ur_m64_u2x12_uart1_lednop_pr_ee_ce },
 { 125938, ur_m64_u2x12_uart1_lednop_pr_ee_ce },
 { 125940, ur_m64_u2x12_uart1_lednop_ee_hw },
 { 125942, ur_m64_u2x12_uart1_lednop_ee_ce_hw },
 { 125943, ur_m64_u2x12_uart1_lednop_ee_ce_hw },
 { 125944, ur_m64_u2x12_uart1_dual },
 { 125945, ur_m64_u2x12_uart1_dual },
 { 125946, ur_m64_u2x12_uart1_dual },
 { 125947, ur_m64_u2x12_uart1_dual_pr_ee },
 { 125948, ur_m64_u2x12_uart1_dual_pr_ee },
 { 125949, ur_m64_u2x12_uart1_dual_pr_ce },
 { 125950, ur_m64_u2x12_uart1_dual_pr_ce },
 { 125951, ur_m64_u2x12_uart1_dual_pr_ee_ce },
 { 125952, ur_m64_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 125954, ur_m64_u2x12_uart1_dual_ee_hw },
 { 125956, ur_m64_u2x12_uart1_dual_ee_ce_hw },
 { 125957, ur_m64_u2x12_uart1_dual_ee_ce_hw },
 { 126042, ur_m64_swio10_noled },
 { 126043, ur_m64_swio10_noled_pr },
 { 126044, ur_m64_swio10_noled_pr },
 { 126045, ur_m64_swio10_noled_pr_ee },
 { 126046, ur_m64_swio10_noled_pr_ee },
 { 126047, ur_m64_swio10_noled_pr_ce },
 { 126048, ur_m64_swio10_noled_pr_ce },
 { 126049, ur_m64_swio10_noled_pr_ee_ce },
 { 126050, ur_m64_swio10_noled_pr_ee_ce },
 { 126052, ur_m64_swio10_noled_ee_hw },
 { 126054, ur_m64_swio10_noled_ee_ce_hw },
 { 126055, ur_m64_swio10_noled_ee_ce_hw },
 { 126056, ur_m64_swio10_lednop },
 { 126057, ur_m64_swio10_lednop_pr },
 { 126058, ur_m64_swio10_lednop_pr },
 { 126059, ur_m64_swio10_lednop_pr_ee },
 { 126060, ur_m64_swio10_lednop_pr_ee },
 { 126061, ur_m64_swio10_lednop_pr_ce },
 { 126062, ur_m64_swio10_lednop_pr_ce },
 { 126063, ur_m64_swio10_lednop_pr_ee_ce },
 { 126064, ur_m64_swio10_lednop_pr_ee_ce },
 { 126066, ur_m64_swio10_lednop_ee_hw },
 { 126068, ur_m64_swio10_lednop_ee_ce_hw },
 { 126069, ur_m64_swio10_lednop_ee_ce_hw },
 { 126070, ur_m64_swio10_dual },
 { 126071, ur_m64_swio10_dual },
 { 126072, ur_m64_swio10_dual },
 { 126073, ur_m64_swio10_dual_pr_ee },
 { 126074, ur_m64_swio10_dual_pr_ee_u4 },
 { 126075, ur_m64_swio10_dual_pr_ce },
 { 126076, ur_m64_swio10_dual_pr_ce },
 { 126077, ur_m64_swio10_dual_pr_ee_ce },
 { 126078, ur_m64_swio10_dual_pr_ee_ce_u4 },
 { 126080, ur_m64_swio10_dual_ee_hw },
 { 126082, ur_m64_swio10_dual_ee_ce_hw },
 { 126083, ur_m64_swio10_dual_ee_ce_hw },
 { 126084, ur_m64_swio11_noled },
 { 126085, ur_m64_swio11_noled_pr },
 { 126086, ur_m64_swio11_noled_pr },
 { 126087, ur_m64_swio11_noled_pr_ee },
 { 126088, ur_m64_swio11_noled_pr_ee },
 { 126089, ur_m64_swio11_noled_pr_ce },
 { 126090, ur_m64_swio11_noled_pr_ce },
 { 126091, ur_m64_swio11_noled_pr_ee_ce },
 { 126092, ur_m64_swio11_noled_pr_ee_ce },
 { 126094, ur_m64_swio11_noled_ee_hw },
 { 126096, ur_m64_swio11_noled_ee_ce_hw },
 { 126097, ur_m64_swio11_noled_ee_ce_hw },
 { 126098, ur_m64_swio11_lednop },
 { 126099, ur_m64_swio11_lednop_pr },
 { 126100, ur_m64_swio11_lednop_pr },
 { 126101, ur_m64_swio11_lednop_pr_ee },
 { 126102, ur_m64_swio11_lednop_pr_ee },
 { 126103, ur_m64_swio11_lednop_pr_ce },
 { 126104, ur_m64_swio11_lednop_pr_ce },
 { 126105, ur_m64_swio11_lednop_pr_ee_ce },
 { 126106, ur_m64_swio11_lednop_pr_ee_ce },
 { 126108, ur_m64_swio11_lednop_ee_hw },
 { 126110, ur_m64_swio11_lednop_ee_ce_hw },
 { 126111, ur_m64_swio11_lednop_ee_ce_hw },
 { 126112, ur_m64_swio11_dual },
 { 126113, ur_m64_swio11_dual },
 { 126114, ur_m64_swio11_dual },
 { 126115, ur_m64_swio11_dual_pr_ee },
 { 126116, ur_m64_swio11_dual_pr_ee_u4 },
 { 126117, ur_m64_swio11_dual_pr_ce },
 { 126118, ur_m64_swio11_dual_pr_ce },
 { 126119, ur_m64_swio11_dual_pr_ee_ce },
 { 126120, ur_m64_swio11_dual_pr_ee_ce_u4 },
 { 126122, ur_m64_swio11_dual_ee_hw },
 { 126124, ur_m64_swio11_dual_ee_ce_hw },
 { 126125, ur_m64_swio11_dual_ee_ce_hw },
 { 126126, ur_m64_swio11_noled },
 { 126127, ur_m64_swio11_noled_pr },
 { 126128, ur_m64_swio11_noled_pr },
 { 126129, ur_m64_swio11_noled_pr_ee },
 { 126130, ur_m64_swio11_noled_pr_ee },
 { 126131, ur_m64_swio11_noled_pr_ce },
 { 126132, ur_m64_swio11_noled_pr_ce },
 { 126133, ur_m64_swio11_noled_pr_ee_ce },
 { 126134, ur_m64_swio11_noled_pr_ee_ce },
 { 126136, ur_m64_swio11_noled_ee_hw },
 { 126138, ur_m64_swio11_noled_ee_ce_hw },
 { 126139, ur_m64_swio11_noled_ee_ce_hw },
 { 126140, ur_m64_swio11_lednop },
 { 126141, ur_m64_swio11_lednop_pr },
 { 126142, ur_m64_swio11_lednop_pr },
 { 126143, ur_m64_swio11_lednop_pr_ee },
 { 126144, ur_m64_swio11_lednop_pr_ee },
 { 126145, ur_m64_swio11_lednop_pr_ce },
 { 126146, ur_m64_swio11_lednop_pr_ce },
 { 126147, ur_m64_swio11_lednop_pr_ee_ce },
 { 126148, ur_m64_swio11_lednop_pr_ee_ce },
 { 126150, ur_m64_swio11_lednop_ee_hw },
 { 126152, ur_m64_swio11_lednop_ee_ce_hw },
 { 126153, ur_m64_swio11_lednop_ee_ce_hw },
 { 126154, ur_m64_swio11_dual },
 { 126155, ur_m64_swio11_dual },
 { 126156, ur_m64_swio11_dual },
 { 126157, ur_m64_swio11_dual_pr_ee },
 { 126158, ur_m64_swio11_dual_pr_ee_u4 },
 { 126159, ur_m64_swio11_dual_pr_ce },
 { 126160, ur_m64_swio11_dual_pr_ce },
 { 126161, ur_m64_swio11_dual_pr_ee_ce },
 { 126162, ur_m64_swio11_dual_pr_ee_ce_u4 },
 { 126164, ur_m64_swio11_dual_ee_hw },
 { 126166, ur_m64_swio11_dual_ee_ce_hw },
 { 126167, ur_m64_swio11_dual_ee_ce_hw },
 { 126168, ur_m64_swio13_noled },
 { 126169, ur_m64_swio13_noled_pr },
 { 126170, ur_m64_swio13_noled_pr },
 { 126171, ur_m64_swio13_noled_pr_ee },
 { 126172, ur_m64_swio13_noled_pr_ee },
 { 126173, ur_m64_swio13_noled_pr_ce },
 { 126174, ur_m64_swio13_noled_pr_ce },
 { 126175, ur_m64_swio13_noled_pr_ee_ce },
 { 126176, ur_m64_swio13_noled_pr_ee_ce },
 { 126178, ur_m64_swio13_noled_ee_hw },
 { 126180, ur_m64_swio13_noled_ee_ce_hw },
 { 126181, ur_m64_swio13_noled_ee_ce_hw },
 { 126182, ur_m64_swio13_lednop },
 { 126183, ur_m64_swio13_lednop_pr },
 { 126184, ur_m64_swio13_lednop_pr },
 { 126185, ur_m64_swio13_lednop_pr_ee },
 { 126186, ur_m64_swio13_lednop_pr_ee },
 { 126187, ur_m64_swio13_lednop_pr_ce },
 { 126188, ur_m64_swio13_lednop_pr_ce },
 { 126189, ur_m64_swio13_lednop_pr_ee_ce },
 { 126190, ur_m64_swio13_lednop_pr_ee_ce },
 { 126192, ur_m64_swio13_lednop_ee_hw },
 { 126194, ur_m64_swio13_lednop_ee_ce_hw },
 { 126195, ur_m64_swio13_lednop_ee_ce_hw },
 { 126196, ur_m64_swio13_dual },
 { 126197, ur_m64_swio13_dual },
 { 126198, ur_m64_swio13_dual },
 { 126199, ur_m64_swio13_dual_pr_ee },
 { 126200, ur_m64_swio13_dual_pr_ee_u4 },
 { 126201, ur_m64_swio13_dual_pr_ce },
 { 126202, ur_m64_swio13_dual_pr_ce },
 { 126203, ur_m64_swio13_dual_pr_ee_ce },
 { 126204, ur_m64_swio13_dual_pr_ee_ce_u4 },
 { 126206, ur_m64_swio13_dual_ee_hw },
 { 126208, ur_m64_swio13_dual_ee_ce_hw },
 { 126209, ur_m64_swio13_dual_ee_ce_hw },
 { 126210, ur_m64_swio14_noled },
 { 126211, ur_m64_swio14_noled_pr },
 { 126212, ur_m64_swio14_noled_pr },
 { 126213, ur_m64_swio14_noled_pr_ee },
 { 126214, ur_m64_swio14_noled_pr_ee },
 { 126215, ur_m64_swio14_noled_pr_ce },
 { 126216, ur_m64_swio14_noled_pr_ce },
 { 126217, ur_m64_swio14_noled_pr_ee_ce },
 { 126218, ur_m64_swio14_noled_pr_ee_ce },
 { 126220, ur_m64_swio14_noled_ee_hw },
 { 126222, ur_m64_swio14_noled_ee_ce_hw },
 { 126223, ur_m64_swio14_noled_ee_ce_hw },
 { 126224, ur_m64_swio14_lednop },
 { 126225, ur_m64_swio14_lednop_pr },
 { 126226, ur_m64_swio14_lednop_pr },
 { 126227, ur_m64_swio14_lednop_pr_ee },
 { 126228, ur_m64_swio14_lednop_pr_ee },
 { 126229, ur_m64_swio14_lednop_pr_ce },
 { 126230, ur_m64_swio14_lednop_pr_ce },
 { 126231, ur_m64_swio14_lednop_pr_ee_ce },
 { 126232, ur_m64_swio14_lednop_pr_ee_ce },
 { 126234, ur_m64_swio14_lednop_ee_hw },
 { 126236, ur_m64_swio14_lednop_ee_ce_hw },
 { 126237, ur_m64_swio14_lednop_ee_ce_hw },
 { 126238, ur_m64_swio14_dual },
 { 126239, ur_m64_swio14_dual },
 { 126240, ur_m64_swio14_dual },
 { 126241, ur_m64_swio14_dual_pr_ee },
 { 126242, ur_m64_swio14_dual_pr_ee_u4 },
 { 126243, ur_m64_swio14_dual_pr_ce },
 { 126244, ur_m64_swio14_dual_pr_ce },
 { 126245, ur_m64_swio14_dual_pr_ee_ce },
 { 126246, ur_m64_swio14_dual_pr_ee_ce_u4 },
 { 126248, ur_m64_swio14_dual_ee_hw },
 { 126250, ur_m64_swio14_dual_ee_ce_hw },
 { 126251, ur_m64_swio14_dual_ee_ce_hw },
 { 126252, ur_m64_swio15_noled },
 { 126253, ur_m64_swio15_noled_pr },
 { 126254, ur_m64_swio15_noled_pr },
 { 126255, ur_m64_swio15_noled_pr_ee },
 { 126256, ur_m64_swio15_noled_pr_ee },
 { 126257, ur_m64_swio15_noled_pr_ce },
 { 126258, ur_m64_swio15_noled_pr_ce },
 { 126259, ur_m64_swio15_noled_pr_ee_ce },
 { 126260, ur_m64_swio15_noled_pr_ee_ce },
 { 126262, ur_m64_swio15_noled_ee_hw },
 { 126264, ur_m64_swio15_noled_ee_ce_hw },
 { 126265, ur_m64_swio15_noled_ee_ce_hw },
 { 126266, ur_m64_swio15_lednop },
 { 126267, ur_m64_swio15_lednop_pr },
 { 126268, ur_m64_swio15_lednop_pr },
 { 126269, ur_m64_swio15_lednop_pr_ee },
 { 126270, ur_m64_swio15_lednop_pr_ee },
 { 126271, ur_m64_swio15_lednop_pr_ce },
 { 126272, ur_m64_swio15_lednop_pr_ce },
 { 126273, ur_m64_swio15_lednop_pr_ee_ce },
 { 126274, ur_m64_swio15_lednop_pr_ee_ce },
 { 126276, ur_m64_swio15_lednop_ee_hw },
 { 126278, ur_m64_swio15_lednop_ee_ce_hw },
 { 126279, ur_m64_swio15_lednop_ee_ce_hw },
 { 126280, ur_m64_swio15_dual },
 { 126281, ur_m64_swio15_dual },
 { 126282, ur_m64_swio15_dual },
 { 126283, ur_m64_swio15_dual_pr_ee },
 { 126284, ur_m64_swio15_dual_pr_ee_u4 },
 { 126285, ur_m64_swio15_dual_pr_ce },
 { 126286, ur_m64_swio15_dual_pr_ce },
 { 126287, ur_m64_swio15_dual_pr_ee_ce },
 { 126288, ur_m64_swio15_dual_pr_ee_ce_u4 },
 { 126290, ur_m64_swio15_dual_ee_hw },
 { 126292, ur_m64_swio15_dual_ee_ce_hw },
 { 126293, ur_m64_swio15_dual_ee_ce_hw },
 { 126294, ur_m64_autobaud_uart0_noled },
 { 126295, ur_m64_autobaud_uart0_noled },
 { 126296, ur_m64_autobaud_uart0_noled_pr_u4 },
 { 126297, ur_m64_autobaud_uart0_noled_pr_ee },
 { 126298, ur_m64_autobaud_uart0_noled_pr_ee },
 { 126299, ur_m64_autobaud_uart0_noled_pr_ce },
 { 126300, ur_m64_autobaud_uart0_noled_pr_ce },
 { 126301, ur_m64_autobaud_uart0_noled_pr_ee_ce },
 { 126302, ur_m64_autobaud_uart0_noled_pr_ee_ce },
 { 126304, ur_m64_autobaud_uart0_noled_ee_hw },
 { 126306, ur_m64_autobaud_uart0_noled_ee_ce_hw },
 { 126307, ur_m64_autobaud_uart0_noled_ee_ce_hw },
 { 126308, ur_m64_autobaud_uart0_lednop },
 { 126309, ur_m64_autobaud_uart0_lednop },
 { 126310, ur_m64_autobaud_uart0_lednop_pr_u4 },
 { 126311, ur_m64_autobaud_uart0_lednop_pr_ee },
 { 126312, ur_m64_autobaud_uart0_lednop_pr_ee },
 { 126313, ur_m64_autobaud_uart0_lednop_pr_ce },
 { 126314, ur_m64_autobaud_uart0_lednop_pr_ce },
 { 126315, ur_m64_autobaud_uart0_lednop_pr_ee_ce },
 { 126316, ur_m64_autobaud_uart0_lednop_pr_ee_ce },
 { 126318, ur_m64_autobaud_uart0_lednop_ee_hw },
 { 126320, ur_m64_autobaud_uart0_lednop_ee_ce_hw },
 { 126321, ur_m64_autobaud_uart0_lednop_ee_ce_hw },
 { 126322, ur_m64_autobaud_uart0_dual },
 { 126323, ur_m64_autobaud_uart0_dual },
 { 126324, ur_m64_autobaud_uart0_dual },
 { 126325, ur_m64_autobaud_uart0_dual_pr_ee },
 { 126326, ur_m64_autobaud_uart0_dual_pr_ee },
 { 126327, ur_m64_autobaud_uart0_dual_pr_ce },
 { 126328, ur_m64_autobaud_uart0_dual_pr_ce },
 { 126329, ur_m64_autobaud_uart0_dual_pr_ee_ce },
 { 126330, ur_m64_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 126332, ur_m64_autobaud_uart0_dual_ee_hw },
 { 126334, ur_m64_autobaud_uart0_dual_ee_ce_hw },
 { 126335, ur_m64_autobaud_uart0_dual_ee_ce_hw },
 { 126378, ur_m64_autobaud_uart1_noled },
 { 126379, ur_m64_autobaud_uart1_noled },
 { 126380, ur_m64_autobaud_uart1_noled_pr_u4 },
 { 126381, ur_m64_autobaud_uart1_noled_pr_ee },
 { 126382, ur_m64_autobaud_uart1_noled_pr_ee },
 { 126383, ur_m64_autobaud_uart1_noled_pr_ce },
 { 126384, ur_m64_autobaud_uart1_noled_pr_ce },
 { 126385, ur_m64_autobaud_uart1_noled_pr_ee_ce },
 { 126386, ur_m64_autobaud_uart1_noled_pr_ee_ce },
 { 126388, ur_m64_autobaud_uart1_noled_ee_hw },
 { 126390, ur_m64_autobaud_uart1_noled_ee_ce_hw },
 { 126391, ur_m64_autobaud_uart1_noled_ee_ce_hw },
 { 126392, ur_m64_autobaud_uart1_lednop },
 { 126393, ur_m64_autobaud_uart1_lednop_pr },
 { 126394, ur_m64_autobaud_uart1_lednop_pr },
 { 126395, ur_m64_autobaud_uart1_lednop_pr_ee },
 { 126396, ur_m64_autobaud_uart1_lednop_pr_ee },
 { 126397, ur_m64_autobaud_uart1_lednop_pr_ce },
 { 126398, ur_m64_autobaud_uart1_lednop_pr_ce },
 { 126399, ur_m64_autobaud_uart1_lednop_pr_ee_ce },
 { 126400, ur_m64_autobaud_uart1_lednop_pr_ee_ce },
 { 126402, ur_m64_autobaud_uart1_lednop_ee_hw },
 { 126404, ur_m64_autobaud_uart1_lednop_ee_ce_hw },
 { 126405, ur_m64_autobaud_uart1_lednop_ee_ce_hw },
 { 126406, ur_m64_autobaud_uart1_dual },
 { 126407, ur_m64_autobaud_uart1_dual },
 { 126408, ur_m64_autobaud_uart1_dual },
 { 126409, ur_m64_autobaud_uart1_dual_pr_ee },
 { 126410, ur_m64_autobaud_uart1_dual_pr_ee_u4 },
 { 126411, ur_m64_autobaud_uart1_dual_pr_ce },
 { 126412, ur_m64_autobaud_uart1_dual_pr_ce },
 { 126413, ur_m64_autobaud_uart1_dual_pr_ee_ce },
 { 126414, ur_m64_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 126416, ur_m64_autobaud_uart1_dual_ee_hw },
 { 126418, ur_m64_autobaud_uart1_dual_ee_ce_hw },
 { 126419, ur_m64_autobaud_uart1_dual_ee_ce_hw },
 { 126504, ur_m64_u1x8_uart0_noled },
 { 126505, ur_m64_u1x8_uart0_noled },
 { 126506, ur_m64_u1x8_uart0_noled_pr_u4 },
 { 126507, ur_m64_u1x8_uart0_noled_pr_ee },
 { 126508, ur_m64_u1x8_uart0_noled_pr_ee },
 { 126509, ur_m64_u1x8_uart0_noled_pr_ce },
 { 126510, ur_m64_u1x8_uart0_noled_pr_ce_u4 },
 { 126511, ur_m64_u1x8_uart0_noled_pr_ee_ce },
 { 126512, ur_m64_u1x8_uart0_noled_pr_ee_ce },
 { 126514, ur_m64_u1x8_uart0_noled_ee_hw },
 { 126516, ur_m64_u1x8_uart0_noled_ee_ce_hw },
 { 126517, ur_m64_u1x8_uart0_noled_ee_ce_hw },
 { 126518, ur_m64_u1x8_uart0_lednop },
 { 126519, ur_m64_u1x8_uart0_lednop },
 { 126520, ur_m64_u1x8_uart0_lednop_pr_u4 },
 { 126521, ur_m64_u1x8_uart0_lednop_pr_ee },
 { 126522, ur_m64_u1x8_uart0_lednop_pr_ee },
 { 126523, ur_m64_u1x8_uart0_lednop_pr_ce },
 { 126524, ur_m64_u1x8_uart0_lednop_pr_ce_u4 },
 { 126525, ur_m64_u1x8_uart0_lednop_pr_ee_ce },
 { 126526, ur_m64_u1x8_uart0_lednop_pr_ee_ce },
 { 126528, ur_m64_u1x8_uart0_lednop_ee_hw },
 { 126530, ur_m64_u1x8_uart0_lednop_ee_ce_hw },
 { 126531, ur_m64_u1x8_uart0_lednop_ee_ce_hw },
 { 126532, ur_m64_u1x8_uart0_dual },
 { 126533, ur_m64_u1x8_uart0_dual },
 { 126534, ur_m64_u1x8_uart0_dual },
 { 126535, ur_m64_u1x8_uart0_dual_pr_ee },
 { 126536, ur_m64_u1x8_uart0_dual_pr_ee },
 { 126537, ur_m64_u1x8_uart0_dual_pr_ce },
 { 126538, ur_m64_u1x8_uart0_dual_pr_ce },
 { 126539, ur_m64_u1x8_uart0_dual_pr_ee_ce },
 { 126540, ur_m64_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 126542, ur_m64_u1x8_uart0_dual_ee_hw },
 { 126544, ur_m64_u1x8_uart0_dual_ee_ce_hw },
 { 126545, ur_m64_u1x8_uart0_dual_ee_ce_hw },
 { 126588, ur_m64_u1x8_uart1_noled },
 { 126589, ur_m64_u1x8_uart1_noled },
 { 126590, ur_m64_u1x8_uart1_noled_pr_u4 },
 { 126591, ur_m64_u1x8_uart1_noled_pr_ee },
 { 126592, ur_m64_u1x8_uart1_noled_pr_ee },
 { 126593, ur_m64_u1x8_uart1_noled_pr_ce },
 { 126594, ur_m64_u1x8_uart1_noled_pr_ce_u4 },
 { 126595, ur_m64_u1x8_uart1_noled_pr_ee_ce },
 { 126596, ur_m64_u1x8_uart1_noled_pr_ee_ce },
 { 126598, ur_m64_u1x8_uart1_noled_ee_hw },
 { 126600, ur_m64_u1x8_uart1_noled_ee_ce_hw },
 { 126601, ur_m64_u1x8_uart1_noled_ee_ce_hw },
 { 126602, ur_m64_u1x8_uart1_lednop },
 { 126603, ur_m64_u1x8_uart1_lednop },
 { 126604, ur_m64_u1x8_uart1_lednop_pr_u4 },
 { 126605, ur_m64_u1x8_uart1_lednop_pr_ee },
 { 126606, ur_m64_u1x8_uart1_lednop_pr_ee },
 { 126607, ur_m64_u1x8_uart1_lednop_pr_ce },
 { 126608, ur_m64_u1x8_uart1_lednop_pr_ce },
 { 126609, ur_m64_u1x8_uart1_lednop_pr_ee_ce },
 { 126610, ur_m64_u1x8_uart1_lednop_pr_ee_ce },
 { 126612, ur_m64_u1x8_uart1_lednop_ee_hw },
 { 126614, ur_m64_u1x8_uart1_lednop_ee_ce_hw },
 { 126615, ur_m64_u1x8_uart1_lednop_ee_ce_hw },
 { 126616, ur_m64_u1x8_uart1_dual },
 { 126617, ur_m64_u1x8_uart1_dual },
 { 126618, ur_m64_u1x8_uart1_dual },
 { 126619, ur_m64_u1x8_uart1_dual_pr_ee },
 { 126620, ur_m64_u1x8_uart1_dual_pr_ee },
 { 126621, ur_m64_u1x8_uart1_dual_pr_ce },
 { 126622, ur_m64_u1x8_uart1_dual_pr_ce },
 { 126623, ur_m64_u1x8_uart1_dual_pr_ee_ce },
 { 126624, ur_m64_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 126626, ur_m64_u1x8_uart1_dual_ee_hw },
 { 126628, ur_m64_u1x8_uart1_dual_ee_ce_hw },
 { 126629, ur_m64_u1x8_uart1_dual_ee_ce_hw },
 { 126714, ur_m64_u1x12_uart0_noled },
 { 126715, ur_m64_u1x12_uart0_noled },
 { 126716, ur_m64_u1x12_uart0_noled_pr_u4 },
 { 126717, ur_m64_u1x12_uart0_noled_pr_ee },
 { 126718, ur_m64_u1x12_uart0_noled_pr_ee },
 { 126719, ur_m64_u1x12_uart0_noled_pr_ce },
 { 126720, ur_m64_u1x12_uart0_noled_pr_ce_u4 },
 { 126721, ur_m64_u1x12_uart0_noled_pr_ee_ce },
 { 126722, ur_m64_u1x12_uart0_noled_pr_ee_ce },
 { 126724, ur_m64_u1x12_uart0_noled_ee_hw },
 { 126726, ur_m64_u1x12_uart0_noled_ee_ce_hw },
 { 126727, ur_m64_u1x12_uart0_noled_ee_ce_hw },
 { 126728, ur_m64_u1x12_uart0_lednop },
 { 126729, ur_m64_u1x12_uart0_lednop },
 { 126730, ur_m64_u1x12_uart0_lednop_pr_u4 },
 { 126731, ur_m64_u1x12_uart0_lednop_pr_ee },
 { 126732, ur_m64_u1x12_uart0_lednop_pr_ee },
 { 126733, ur_m64_u1x12_uart0_lednop_pr_ce },
 { 126734, ur_m64_u1x12_uart0_lednop_pr_ce_u4 },
 { 126735, ur_m64_u1x12_uart0_lednop_pr_ee_ce },
 { 126736, ur_m64_u1x12_uart0_lednop_pr_ee_ce },
 { 126738, ur_m64_u1x12_uart0_lednop_ee_hw },
 { 126740, ur_m64_u1x12_uart0_lednop_ee_ce_hw },
 { 126741, ur_m64_u1x12_uart0_lednop_ee_ce_hw },
 { 126742, ur_m64_u1x12_uart0_dual },
 { 126743, ur_m64_u1x12_uart0_dual },
 { 126744, ur_m64_u1x12_uart0_dual },
 { 126745, ur_m64_u1x12_uart0_dual_pr_ee },
 { 126746, ur_m64_u1x12_uart0_dual_pr_ee },
 { 126747, ur_m64_u1x12_uart0_dual_pr_ce },
 { 126748, ur_m64_u1x12_uart0_dual_pr_ce },
 { 126749, ur_m64_u1x12_uart0_dual_pr_ee_ce },
 { 126750, ur_m64_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 126752, ur_m64_u1x12_uart0_dual_ee_hw },
 { 126754, ur_m64_u1x12_uart0_dual_ee_ce_hw },
 { 126755, ur_m64_u1x12_uart0_dual_ee_ce_hw },
 { 126798, ur_m64_u1x12_uart1_noled },
 { 126799, ur_m64_u1x12_uart1_noled },
 { 126800, ur_m64_u1x12_uart1_noled_pr_u4 },
 { 126801, ur_m64_u1x12_uart1_noled_pr_ee },
 { 126802, ur_m64_u1x12_uart1_noled_pr_ee },
 { 126803, ur_m64_u1x12_uart1_noled_pr_ce },
 { 126804, ur_m64_u1x12_uart1_noled_pr_ce },
 { 126805, ur_m64_u1x12_uart1_noled_pr_ee_ce },
 { 126806, ur_m64_u1x12_uart1_noled_pr_ee_ce },
 { 126808, ur_m64_u1x12_uart1_noled_ee_hw },
 { 126810, ur_m64_u1x12_uart1_noled_ee_ce_hw },
 { 126811, ur_m64_u1x12_uart1_noled_ee_ce_hw },
 { 126812, ur_m64_u1x12_uart1_lednop },
 { 126813, ur_m64_u1x12_uart1_lednop },
 { 126814, ur_m64_u1x12_uart1_lednop_pr_u4 },
 { 126815, ur_m64_u1x12_uart1_lednop_pr_ee },
 { 126816, ur_m64_u1x12_uart1_lednop_pr_ee },
 { 126817, ur_m64_u1x12_uart1_lednop_pr_ce },
 { 126818, ur_m64_u1x12_uart1_lednop_pr_ce },
 { 126819, ur_m64_u1x12_uart1_lednop_pr_ee_ce },
 { 126820, ur_m64_u1x12_uart1_lednop_pr_ee_ce },
 { 126822, ur_m64_u1x12_uart1_lednop_ee_hw },
 { 126824, ur_m64_u1x12_uart1_lednop_ee_ce_hw },
 { 126825, ur_m64_u1x12_uart1_lednop_ee_ce_hw },
 { 126826, ur_m64_u1x12_uart1_dual },
 { 126827, ur_m64_u1x12_uart1_dual },
 { 126828, ur_m64_u1x12_uart1_dual },
 { 126829, ur_m64_u1x12_uart1_dual_pr_ee },
 { 126830, ur_m64_u1x12_uart1_dual_pr_ee },
 { 126831, ur_m64_u1x12_uart1_dual_pr_ce },
 { 126832, ur_m64_u1x12_uart1_dual_pr_ce },
 { 126833, ur_m64_u1x12_uart1_dual_pr_ee_ce },
 { 126834, ur_m64_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 126836, ur_m64_u1x12_uart1_dual_ee_hw },
 { 126838, ur_m64_u1x12_uart1_dual_ee_ce_hw },
 { 126839, ur_m64_u1x12_uart1_dual_ee_ce_hw },
 { 126924, ur_m64_u2x8_uart0_noled },
 { 126925, ur_m64_u2x8_uart0_noled },
 { 126926, ur_m64_u2x8_uart0_noled_pr_u4 },
 { 126927, ur_m64_u2x8_uart0_noled_pr_ee },
 { 126928, ur_m64_u2x8_uart0_noled_pr_ee },
 { 126929, ur_m64_u2x8_uart0_noled_pr_ce },
 { 126930, ur_m64_u2x8_uart0_noled_pr_ce_u4 },
 { 126931, ur_m64_u2x8_uart0_noled_pr_ee_ce },
 { 126932, ur_m64_u2x8_uart0_noled_pr_ee_ce },
 { 126934, ur_m64_u2x8_uart0_noled_ee_hw },
 { 126936, ur_m64_u2x8_uart0_noled_ee_ce_hw },
 { 126937, ur_m64_u2x8_uart0_noled_ee_ce_hw },
 { 126938, ur_m64_u2x8_uart0_lednop },
 { 126939, ur_m64_u2x8_uart0_lednop },
 { 126940, ur_m64_u2x8_uart0_lednop_pr_u4 },
 { 126941, ur_m64_u2x8_uart0_lednop_pr_ee },
 { 126942, ur_m64_u2x8_uart0_lednop_pr_ee },
 { 126943, ur_m64_u2x8_uart0_lednop_pr_ce },
 { 126944, ur_m64_u2x8_uart0_lednop_pr_ce_u4 },
 { 126945, ur_m64_u2x8_uart0_lednop_pr_ee_ce },
 { 126946, ur_m64_u2x8_uart0_lednop_pr_ee_ce },
 { 126948, ur_m64_u2x8_uart0_lednop_ee_hw },
 { 126950, ur_m64_u2x8_uart0_lednop_ee_ce_hw },
 { 126951, ur_m64_u2x8_uart0_lednop_ee_ce_hw },
 { 126952, ur_m64_u2x8_uart0_dual },
 { 126953, ur_m64_u2x8_uart0_dual },
 { 126954, ur_m64_u2x8_uart0_dual },
 { 126955, ur_m64_u2x8_uart0_dual_pr_ee },
 { 126956, ur_m64_u2x8_uart0_dual_pr_ee },
 { 126957, ur_m64_u2x8_uart0_dual_pr_ce },
 { 126958, ur_m64_u2x8_uart0_dual_pr_ce },
 { 126959, ur_m64_u2x8_uart0_dual_pr_ee_ce },
 { 126960, ur_m64_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 126962, ur_m64_u2x8_uart0_dual_ee_hw },
 { 126964, ur_m64_u2x8_uart0_dual_ee_ce_hw },
 { 126965, ur_m64_u2x8_uart0_dual_ee_ce_hw },
 { 127008, ur_m64_u2x8_uart1_noled },
 { 127009, ur_m64_u2x8_uart1_noled },
 { 127010, ur_m64_u2x8_uart1_noled_pr_u4 },
 { 127011, ur_m64_u2x8_uart1_noled_pr_ee },
 { 127012, ur_m64_u2x8_uart1_noled_pr_ee },
 { 127013, ur_m64_u2x8_uart1_noled_pr_ce },
 { 127014, ur_m64_u2x8_uart1_noled_pr_ce },
 { 127015, ur_m64_u2x8_uart1_noled_pr_ee_ce },
 { 127016, ur_m64_u2x8_uart1_noled_pr_ee_ce },
 { 127018, ur_m64_u2x8_uart1_noled_ee_hw },
 { 127020, ur_m64_u2x8_uart1_noled_ee_ce_hw },
 { 127021, ur_m64_u2x8_uart1_noled_ee_ce_hw },
 { 127022, ur_m64_u2x8_uart1_lednop },
 { 127023, ur_m64_u2x8_uart1_lednop },
 { 127024, ur_m64_u2x8_uart1_lednop_pr_u4 },
 { 127025, ur_m64_u2x8_uart1_lednop_pr_ee },
 { 127026, ur_m64_u2x8_uart1_lednop_pr_ee },
 { 127027, ur_m64_u2x8_uart1_lednop_pr_ce },
 { 127028, ur_m64_u2x8_uart1_lednop_pr_ce },
 { 127029, ur_m64_u2x8_uart1_lednop_pr_ee_ce },
 { 127030, ur_m64_u2x8_uart1_lednop_pr_ee_ce },
 { 127032, ur_m64_u2x8_uart1_lednop_ee_hw },
 { 127034, ur_m64_u2x8_uart1_lednop_ee_ce_hw },
 { 127035, ur_m64_u2x8_uart1_lednop_ee_ce_hw },
 { 127036, ur_m64_u2x8_uart1_dual },
 { 127037, ur_m64_u2x8_uart1_dual },
 { 127038, ur_m64_u2x8_uart1_dual },
 { 127039, ur_m64_u2x8_uart1_dual_pr_ee },
 { 127040, ur_m64_u2x8_uart1_dual_pr_ee },
 { 127041, ur_m64_u2x8_uart1_dual_pr_ce },
 { 127042, ur_m64_u2x8_uart1_dual_pr_ce },
 { 127043, ur_m64_u2x8_uart1_dual_pr_ee_ce },
 { 127044, ur_m64_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 127046, ur_m64_u2x8_uart1_dual_ee_hw },
 { 127048, ur_m64_u2x8_uart1_dual_ee_ce_hw },
 { 127049, ur_m64_u2x8_uart1_dual_ee_ce_hw },
 { 127134, ur_m64_u2x12_uart0_noled },
 { 127135, ur_m64_u2x12_uart0_noled },
 { 127136, ur_m64_u2x12_uart0_noled_pr_u4 },
 { 127137, ur_m64_u2x12_uart0_noled_pr_ee },
 { 127138, ur_m64_u2x12_uart0_noled_pr_ee },
 { 127139, ur_m64_u2x12_uart0_noled_pr_ce },
 { 127140, ur_m64_u2x12_uart0_noled_pr_ce_u4 },
 { 127141, ur_m64_u2x12_uart0_noled_pr_ee_ce },
 { 127142, ur_m64_u2x12_uart0_noled_pr_ee_ce },
 { 127144, ur_m64_u2x12_uart0_noled_ee_hw },
 { 127146, ur_m64_u2x12_uart0_noled_ee_ce_hw },
 { 127147, ur_m64_u2x12_uart0_noled_ee_ce_hw },
 { 127148, ur_m64_u2x12_uart0_lednop },
 { 127149, ur_m64_u2x12_uart0_lednop },
 { 127150, ur_m64_u2x12_uart0_lednop_pr_u4 },
 { 127151, ur_m64_u2x12_uart0_lednop_pr_ee },
 { 127152, ur_m64_u2x12_uart0_lednop_pr_ee },
 { 127153, ur_m64_u2x12_uart0_lednop_pr_ce },
 { 127154, ur_m64_u2x12_uart0_lednop_pr_ce_u4 },
 { 127155, ur_m64_u2x12_uart0_lednop_pr_ee_ce },
 { 127156, ur_m64_u2x12_uart0_lednop_pr_ee_ce },
 { 127158, ur_m64_u2x12_uart0_lednop_ee_hw },
 { 127160, ur_m64_u2x12_uart0_lednop_ee_ce_hw },
 { 127161, ur_m64_u2x12_uart0_lednop_ee_ce_hw },
 { 127162, ur_m64_u2x12_uart0_dual },
 { 127163, ur_m64_u2x12_uart0_dual },
 { 127164, ur_m64_u2x12_uart0_dual },
 { 127165, ur_m64_u2x12_uart0_dual_pr_ee },
 { 127166, ur_m64_u2x12_uart0_dual_pr_ee },
 { 127167, ur_m64_u2x12_uart0_dual_pr_ce },
 { 127168, ur_m64_u2x12_uart0_dual_pr_ce },
 { 127169, ur_m64_u2x12_uart0_dual_pr_ee_ce },
 { 127170, ur_m64_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 127172, ur_m64_u2x12_uart0_dual_ee_hw },
 { 127174, ur_m64_u2x12_uart0_dual_ee_ce_hw },
 { 127175, ur_m64_u2x12_uart0_dual_ee_ce_hw },
 { 127218, ur_m64_u2x12_uart1_noled },
 { 127219, ur_m64_u2x12_uart1_noled },
 { 127220, ur_m64_u2x12_uart1_noled_pr_u4 },
 { 127221, ur_m64_u2x12_uart1_noled_pr_ee },
 { 127222, ur_m64_u2x12_uart1_noled_pr_ee },
 { 127223, ur_m64_u2x12_uart1_noled_pr_ce },
 { 127224, ur_m64_u2x12_uart1_noled_pr_ce },
 { 127225, ur_m64_u2x12_uart1_noled_pr_ee_ce },
 { 127226, ur_m64_u2x12_uart1_noled_pr_ee_ce },
 { 127228, ur_m64_u2x12_uart1_noled_ee_hw },
 { 127230, ur_m64_u2x12_uart1_noled_ee_ce_hw },
 { 127231, ur_m64_u2x12_uart1_noled_ee_ce_hw },
 { 127232, ur_m64_u2x12_uart1_lednop },
 { 127233, ur_m64_u2x12_uart1_lednop },
 { 127234, ur_m64_u2x12_uart1_lednop_pr_u4 },
 { 127235, ur_m64_u2x12_uart1_lednop_pr_ee },
 { 127236, ur_m64_u2x12_uart1_lednop_pr_ee },
 { 127237, ur_m64_u2x12_uart1_lednop_pr_ce },
 { 127238, ur_m64_u2x12_uart1_lednop_pr_ce },
 { 127239, ur_m64_u2x12_uart1_lednop_pr_ee_ce },
 { 127240, ur_m64_u2x12_uart1_lednop_pr_ee_ce },
 { 127242, ur_m64_u2x12_uart1_lednop_ee_hw },
 { 127244, ur_m64_u2x12_uart1_lednop_ee_ce_hw },
 { 127245, ur_m64_u2x12_uart1_lednop_ee_ce_hw },
 { 127246, ur_m64_u2x12_uart1_dual },
 { 127247, ur_m64_u2x12_uart1_dual },
 { 127248, ur_m64_u2x12_uart1_dual },
 { 127249, ur_m64_u2x12_uart1_dual_pr_ee },
 { 127250, ur_m64_u2x12_uart1_dual_pr_ee },
 { 127251, ur_m64_u2x12_uart1_dual_pr_ce },
 { 127252, ur_m64_u2x12_uart1_dual_pr_ce },
 { 127253, ur_m64_u2x12_uart1_dual_pr_ee_ce },
 { 127254, ur_m64_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 127256, ur_m64_u2x12_uart1_dual_ee_hw },
 { 127258, ur_m64_u2x12_uart1_dual_ee_ce_hw },
 { 127259, ur_m64_u2x12_uart1_dual_ee_ce_hw },
 { 127344, ur_m64_swio10_noled },
 { 127345, ur_m64_swio10_noled_pr },
 { 127346, ur_m64_swio10_noled_pr },
 { 127347, ur_m64_swio10_noled_pr_ee },
 { 127348, ur_m64_swio10_noled_pr_ee },
 { 127349, ur_m64_swio10_noled_pr_ce },
 { 127350, ur_m64_swio10_noled_pr_ce },
 { 127351, ur_m64_swio10_noled_pr_ee_ce },
 { 127352, ur_m64_swio10_noled_pr_ee_ce },
 { 127354, ur_m64_swio10_noled_ee_hw },
 { 127356, ur_m64_swio10_noled_ee_ce_hw },
 { 127357, ur_m64_swio10_noled_ee_ce_hw },
 { 127358, ur_m64_swio10_lednop },
 { 127359, ur_m64_swio10_lednop_pr },
 { 127360, ur_m64_swio10_lednop_pr },
 { 127361, ur_m64_swio10_lednop_pr_ee },
 { 127362, ur_m64_swio10_lednop_pr_ee },
 { 127363, ur_m64_swio10_lednop_pr_ce },
 { 127364, ur_m64_swio10_lednop_pr_ce },
 { 127365, ur_m64_swio10_lednop_pr_ee_ce },
 { 127366, ur_m64_swio10_lednop_pr_ee_ce },
 { 127368, ur_m64_swio10_lednop_ee_hw },
 { 127370, ur_m64_swio10_lednop_ee_ce_hw },
 { 127371, ur_m64_swio10_lednop_ee_ce_hw },
 { 127372, ur_m64_swio10_dual },
 { 127373, ur_m64_swio10_dual },
 { 127374, ur_m64_swio10_dual },
 { 127375, ur_m64_swio10_dual_pr_ee },
 { 127376, ur_m64_swio10_dual_pr_ee_u4 },
 { 127377, ur_m64_swio10_dual_pr_ce },
 { 127378, ur_m64_swio10_dual_pr_ce },
 { 127379, ur_m64_swio10_dual_pr_ee_ce },
 { 127380, ur_m64_swio10_dual_pr_ee_ce_u4 },
 { 127382, ur_m64_swio10_dual_ee_hw },
 { 127384, ur_m64_swio10_dual_ee_ce_hw },
 { 127385, ur_m64_swio10_dual_ee_ce_hw },
 { 127386, ur_m64_swio11_noled },
 { 127387, ur_m64_swio11_noled_pr },
 { 127388, ur_m64_swio11_noled_pr },
 { 127389, ur_m64_swio11_noled_pr_ee },
 { 127390, ur_m64_swio11_noled_pr_ee },
 { 127391, ur_m64_swio11_noled_pr_ce },
 { 127392, ur_m64_swio11_noled_pr_ce },
 { 127393, ur_m64_swio11_noled_pr_ee_ce },
 { 127394, ur_m64_swio11_noled_pr_ee_ce },
 { 127396, ur_m64_swio11_noled_ee_hw },
 { 127398, ur_m64_swio11_noled_ee_ce_hw },
 { 127399, ur_m64_swio11_noled_ee_ce_hw },
 { 127400, ur_m64_swio11_lednop },
 { 127401, ur_m64_swio11_lednop_pr },
 { 127402, ur_m64_swio11_lednop_pr },
 { 127403, ur_m64_swio11_lednop_pr_ee },
 { 127404, ur_m64_swio11_lednop_pr_ee },
 { 127405, ur_m64_swio11_lednop_pr_ce },
 { 127406, ur_m64_swio11_lednop_pr_ce },
 { 127407, ur_m64_swio11_lednop_pr_ee_ce },
 { 127408, ur_m64_swio11_lednop_pr_ee_ce },
 { 127410, ur_m64_swio11_lednop_ee_hw },
 { 127412, ur_m64_swio11_lednop_ee_ce_hw },
 { 127413, ur_m64_swio11_lednop_ee_ce_hw },
 { 127414, ur_m64_swio11_dual },
 { 127415, ur_m64_swio11_dual },
 { 127416, ur_m64_swio11_dual },
 { 127417, ur_m64_swio11_dual_pr_ee },
 { 127418, ur_m64_swio11_dual_pr_ee_u4 },
 { 127419, ur_m64_swio11_dual_pr_ce },
 { 127420, ur_m64_swio11_dual_pr_ce },
 { 127421, ur_m64_swio11_dual_pr_ee_ce },
 { 127422, ur_m64_swio11_dual_pr_ee_ce_u4 },
 { 127424, ur_m64_swio11_dual_ee_hw },
 { 127426, ur_m64_swio11_dual_ee_ce_hw },
 { 127427, ur_m64_swio11_dual_ee_ce_hw },
 { 127428, ur_m64_swio11_noled },
 { 127429, ur_m64_swio11_noled_pr },
 { 127430, ur_m64_swio11_noled_pr },
 { 127431, ur_m64_swio11_noled_pr_ee },
 { 127432, ur_m64_swio11_noled_pr_ee },
 { 127433, ur_m64_swio11_noled_pr_ce },
 { 127434, ur_m64_swio11_noled_pr_ce },
 { 127435, ur_m64_swio11_noled_pr_ee_ce },
 { 127436, ur_m64_swio11_noled_pr_ee_ce },
 { 127438, ur_m64_swio11_noled_ee_hw },
 { 127440, ur_m64_swio11_noled_ee_ce_hw },
 { 127441, ur_m64_swio11_noled_ee_ce_hw },
 { 127442, ur_m64_swio11_lednop },
 { 127443, ur_m64_swio11_lednop_pr },
 { 127444, ur_m64_swio11_lednop_pr },
 { 127445, ur_m64_swio11_lednop_pr_ee },
 { 127446, ur_m64_swio11_lednop_pr_ee },
 { 127447, ur_m64_swio11_lednop_pr_ce },
 { 127448, ur_m64_swio11_lednop_pr_ce },
 { 127449, ur_m64_swio11_lednop_pr_ee_ce },
 { 127450, ur_m64_swio11_lednop_pr_ee_ce },
 { 127452, ur_m64_swio11_lednop_ee_hw },
 { 127454, ur_m64_swio11_lednop_ee_ce_hw },
 { 127455, ur_m64_swio11_lednop_ee_ce_hw },
 { 127456, ur_m64_swio11_dual },
 { 127457, ur_m64_swio11_dual },
 { 127458, ur_m64_swio11_dual },
 { 127459, ur_m64_swio11_dual_pr_ee },
 { 127460, ur_m64_swio11_dual_pr_ee_u4 },
 { 127461, ur_m64_swio11_dual_pr_ce },
 { 127462, ur_m64_swio11_dual_pr_ce },
 { 127463, ur_m64_swio11_dual_pr_ee_ce },
 { 127464, ur_m64_swio11_dual_pr_ee_ce_u4 },
 { 127466, ur_m64_swio11_dual_ee_hw },
 { 127468, ur_m64_swio11_dual_ee_ce_hw },
 { 127469, ur_m64_swio11_dual_ee_ce_hw },
 { 127470, ur_m64_swio13_noled },
 { 127471, ur_m64_swio13_noled_pr },
 { 127472, ur_m64_swio13_noled_pr },
 { 127473, ur_m64_swio13_noled_pr_ee },
 { 127474, ur_m64_swio13_noled_pr_ee },
 { 127475, ur_m64_swio13_noled_pr_ce },
 { 127476, ur_m64_swio13_noled_pr_ce },
 { 127477, ur_m64_swio13_noled_pr_ee_ce },
 { 127478, ur_m64_swio13_noled_pr_ee_ce },
 { 127480, ur_m64_swio13_noled_ee_hw },
 { 127482, ur_m64_swio13_noled_ee_ce_hw },
 { 127483, ur_m64_swio13_noled_ee_ce_hw },
 { 127484, ur_m64_swio13_lednop },
 { 127485, ur_m64_swio13_lednop_pr },
 { 127486, ur_m64_swio13_lednop_pr },
 { 127487, ur_m64_swio13_lednop_pr_ee },
 { 127488, ur_m64_swio13_lednop_pr_ee },
 { 127489, ur_m64_swio13_lednop_pr_ce },
 { 127490, ur_m64_swio13_lednop_pr_ce },
 { 127491, ur_m64_swio13_lednop_pr_ee_ce },
 { 127492, ur_m64_swio13_lednop_pr_ee_ce },
 { 127494, ur_m64_swio13_lednop_ee_hw },
 { 127496, ur_m64_swio13_lednop_ee_ce_hw },
 { 127497, ur_m64_swio13_lednop_ee_ce_hw },
 { 127498, ur_m64_swio13_dual },
 { 127499, ur_m64_swio13_dual },
 { 127500, ur_m64_swio13_dual },
 { 127501, ur_m64_swio13_dual_pr_ee },
 { 127502, ur_m64_swio13_dual_pr_ee_u4 },
 { 127503, ur_m64_swio13_dual_pr_ce },
 { 127504, ur_m64_swio13_dual_pr_ce },
 { 127505, ur_m64_swio13_dual_pr_ee_ce },
 { 127506, ur_m64_swio13_dual_pr_ee_ce_u4 },
 { 127508, ur_m64_swio13_dual_ee_hw },
 { 127510, ur_m64_swio13_dual_ee_ce_hw },
 { 127511, ur_m64_swio13_dual_ee_ce_hw },
 { 127512, ur_m64_swio14_noled },
 { 127513, ur_m64_swio14_noled_pr },
 { 127514, ur_m64_swio14_noled_pr },
 { 127515, ur_m64_swio14_noled_pr_ee },
 { 127516, ur_m64_swio14_noled_pr_ee },
 { 127517, ur_m64_swio14_noled_pr_ce },
 { 127518, ur_m64_swio14_noled_pr_ce },
 { 127519, ur_m64_swio14_noled_pr_ee_ce },
 { 127520, ur_m64_swio14_noled_pr_ee_ce },
 { 127522, ur_m64_swio14_noled_ee_hw },
 { 127524, ur_m64_swio14_noled_ee_ce_hw },
 { 127525, ur_m64_swio14_noled_ee_ce_hw },
 { 127526, ur_m64_swio14_lednop },
 { 127527, ur_m64_swio14_lednop_pr },
 { 127528, ur_m64_swio14_lednop_pr },
 { 127529, ur_m64_swio14_lednop_pr_ee },
 { 127530, ur_m64_swio14_lednop_pr_ee },
 { 127531, ur_m64_swio14_lednop_pr_ce },
 { 127532, ur_m64_swio14_lednop_pr_ce },
 { 127533, ur_m64_swio14_lednop_pr_ee_ce },
 { 127534, ur_m64_swio14_lednop_pr_ee_ce },
 { 127536, ur_m64_swio14_lednop_ee_hw },
 { 127538, ur_m64_swio14_lednop_ee_ce_hw },
 { 127539, ur_m64_swio14_lednop_ee_ce_hw },
 { 127540, ur_m64_swio14_dual },
 { 127541, ur_m64_swio14_dual },
 { 127542, ur_m64_swio14_dual },
 { 127543, ur_m64_swio14_dual_pr_ee },
 { 127544, ur_m64_swio14_dual_pr_ee_u4 },
 { 127545, ur_m64_swio14_dual_pr_ce },
 { 127546, ur_m64_swio14_dual_pr_ce },
 { 127547, ur_m64_swio14_dual_pr_ee_ce },
 { 127548, ur_m64_swio14_dual_pr_ee_ce_u4 },
 { 127550, ur_m64_swio14_dual_ee_hw },
 { 127552, ur_m64_swio14_dual_ee_ce_hw },
 { 127553, ur_m64_swio14_dual_ee_ce_hw },
 { 127554, ur_m64_swio15_noled },
 { 127555, ur_m64_swio15_noled_pr },
 { 127556, ur_m64_swio15_noled_pr },
 { 127557, ur_m64_swio15_noled_pr_ee },
 { 127558, ur_m64_swio15_noled_pr_ee },
 { 127559, ur_m64_swio15_noled_pr_ce },
 { 127560, ur_m64_swio15_noled_pr_ce },
 { 127561, ur_m64_swio15_noled_pr_ee_ce },
 { 127562, ur_m64_swio15_noled_pr_ee_ce },
 { 127564, ur_m64_swio15_noled_ee_hw },
 { 127566, ur_m64_swio15_noled_ee_ce_hw },
 { 127567, ur_m64_swio15_noled_ee_ce_hw },
 { 127568, ur_m64_swio15_lednop },
 { 127569, ur_m64_swio15_lednop_pr },
 { 127570, ur_m64_swio15_lednop_pr },
 { 127571, ur_m64_swio15_lednop_pr_ee },
 { 127572, ur_m64_swio15_lednop_pr_ee },
 { 127573, ur_m64_swio15_lednop_pr_ce },
 { 127574, ur_m64_swio15_lednop_pr_ce },
 { 127575, ur_m64_swio15_lednop_pr_ee_ce },
 { 127576, ur_m64_swio15_lednop_pr_ee_ce },
 { 127578, ur_m64_swio15_lednop_ee_hw },
 { 127580, ur_m64_swio15_lednop_ee_ce_hw },
 { 127581, ur_m64_swio15_lednop_ee_ce_hw },
 { 127582, ur_m64_swio15_dual },
 { 127583, ur_m64_swio15_dual },
 { 127584, ur_m64_swio15_dual },
 { 127585, ur_m64_swio15_dual_pr_ee },
 { 127586, ur_m64_swio15_dual_pr_ee_u4 },
 { 127587, ur_m64_swio15_dual_pr_ce },
 { 127588, ur_m64_swio15_dual_pr_ce },
 { 127589, ur_m64_swio15_dual_pr_ee_ce },
 { 127590, ur_m64_swio15_dual_pr_ee_ce_u4 },
 { 127592, ur_m64_swio15_dual_ee_hw },
 { 127594, ur_m64_swio15_dual_ee_ce_hw },
 { 127595, ur_m64_swio15_dual_ee_ce_hw },
 { 127596, ur_m64c1_autobaud_uart0_noled },
 { 127597, ur_m64c1_autobaud_uart0_noled },
 { 127598, ur_m64c1_autobaud_uart0_noled_pr_u4 },
 { 127599, ur_m64c1_autobaud_uart0_noled_pr_ee },
 { 127600, ur_m64c1_autobaud_uart0_noled_pr_ee },
 { 127601, ur_m64c1_autobaud_uart0_noled_pr_ce },
 { 127602, ur_m64c1_autobaud_uart0_noled_pr_ce },
 { 127603, ur_m64c1_autobaud_uart0_noled_pr_ee_ce },
 { 127604, ur_m64c1_autobaud_uart0_noled_pr_ee_ce },
 { 127606, ur_m64c1_autobaud_uart0_noled_ee_hw },
 { 127608, ur_m64c1_autobaud_uart0_noled_ee_ce_hw },
 { 127609, ur_m64c1_autobaud_uart0_noled_ee_ce_hw },
 { 127610, ur_m64c1_autobaud_uart0_lednop },
 { 127611, ur_m64c1_autobaud_uart0_lednop },
 { 127612, ur_m64c1_autobaud_uart0_lednop_pr_u4 },
 { 127613, ur_m64c1_autobaud_uart0_lednop_pr_ee },
 { 127614, ur_m64c1_autobaud_uart0_lednop_pr_ee },
 { 127615, ur_m64c1_autobaud_uart0_lednop_pr_ce },
 { 127616, ur_m64c1_autobaud_uart0_lednop_pr_ce },
 { 127617, ur_m64c1_autobaud_uart0_lednop_pr_ee_ce },
 { 127618, ur_m64c1_autobaud_uart0_lednop_pr_ee_ce },
 { 127620, ur_m64c1_autobaud_uart0_lednop_ee_hw },
 { 127622, ur_m64c1_autobaud_uart0_lednop_ee_ce_hw },
 { 127623, ur_m64c1_autobaud_uart0_lednop_ee_ce_hw },
 { 127624, ur_m64c1_autobaud_uart0_dual },
 { 127625, ur_m64c1_autobaud_uart0_dual },
 { 127626, ur_m64c1_autobaud_uart0_dual },
 { 127627, ur_m64c1_autobaud_uart0_dual_pr_ee },
 { 127628, ur_m64c1_autobaud_uart0_dual_pr_ee_u4 },
 { 127629, ur_m64c1_autobaud_uart0_dual_pr_ce },
 { 127630, ur_m64c1_autobaud_uart0_dual_pr_ce },
 { 127631, ur_m64c1_autobaud_uart0_dual_pr_ee_ce },
 { 127632, ur_m64c1_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 127634, ur_m64c1_autobaud_uart0_dual_ee_hw },
 { 127636, ur_m64c1_autobaud_uart0_dual_ee_ce_hw },
 { 127637, ur_m64c1_autobaud_uart0_dual_ee_ce_hw },
 { 127764, ur_m64c1_lin_uart0_noled },
 { 127765, ur_m64c1_lin_uart0_noled },
 { 127766, ur_m64c1_lin_uart0_noled_pr_u4 },
 { 127767, ur_m64c1_lin_uart0_noled_pr_ee },
 { 127768, ur_m64c1_lin_uart0_noled_pr_ee },
 { 127769, ur_m64c1_lin_uart0_noled_pr_ce },
 { 127770, ur_m64c1_lin_uart0_noled_pr_ce_u4 },
 { 127771, ur_m64c1_lin_uart0_noled_pr_ee_ce },
 { 127772, ur_m64c1_lin_uart0_noled_pr_ee_ce },
 { 127774, ur_m64c1_lin_uart0_noled_ee_hw },
 { 127776, ur_m64c1_lin_uart0_noled_ee_ce_hw },
 { 127777, ur_m64c1_lin_uart0_noled_ee_ce_hw },
 { 127778, ur_m64c1_lin_uart0_lednop },
 { 127779, ur_m64c1_lin_uart0_lednop },
 { 127780, ur_m64c1_lin_uart0_lednop_pr_u4 },
 { 127781, ur_m64c1_lin_uart0_lednop_pr_ee },
 { 127782, ur_m64c1_lin_uart0_lednop_pr_ee },
 { 127783, ur_m64c1_lin_uart0_lednop_pr_ce },
 { 127784, ur_m64c1_lin_uart0_lednop_pr_ce },
 { 127785, ur_m64c1_lin_uart0_lednop_pr_ee_ce },
 { 127786, ur_m64c1_lin_uart0_lednop_pr_ee_ce },
 { 127788, ur_m64c1_lin_uart0_lednop_ee_hw },
 { 127790, ur_m64c1_lin_uart0_lednop_ee_ce_hw },
 { 127791, ur_m64c1_lin_uart0_lednop_ee_ce_hw },
 { 127792, ur_m64c1_lin_uart0_dual },
 { 127793, ur_m64c1_lin_uart0_dual },
 { 127794, ur_m64c1_lin_uart0_dual },
 { 127795, ur_m64c1_lin_uart0_dual_pr_ee },
 { 127796, ur_m64c1_lin_uart0_dual_pr_ee },
 { 127797, ur_m64c1_lin_uart0_dual_pr_ce },
 { 127798, ur_m64c1_lin_uart0_dual_pr_ce },
 { 127799, ur_m64c1_lin_uart0_dual_pr_ee_ce },
 { 127800, ur_m64c1_lin_uart0_dual_pr_ee_ce_u4 },
 { 127802, ur_m64c1_lin_uart0_dual_ee_hw },
 { 127804, ur_m64c1_lin_uart0_dual_ee_ce_hw },
 { 127805, ur_m64c1_lin_uart0_dual_ee_ce_hw },
 { 128646, ur_m64c1_swio10_noled },
 { 128647, ur_m64c1_swio10_noled },
 { 128648, ur_m64c1_swio10_noled_pr_u4 },
 { 128649, ur_m64c1_swio10_noled_pr_ee },
 { 128650, ur_m64c1_swio10_noled_pr_ee },
 { 128651, ur_m64c1_swio10_noled_pr_ce },
 { 128652, ur_m64c1_swio10_noled_pr_ce },
 { 128653, ur_m64c1_swio10_noled_pr_ee_ce },
 { 128654, ur_m64c1_swio10_noled_pr_ee_ce },
 { 128656, ur_m64c1_swio10_noled_ee_hw },
 { 128658, ur_m64c1_swio10_noled_ee_ce_hw },
 { 128659, ur_m64c1_swio10_noled_ee_ce_hw },
 { 128660, ur_m64c1_swio10_lednop },
 { 128661, ur_m64c1_swio10_lednop },
 { 128662, ur_m64c1_swio10_lednop_pr_u4 },
 { 128663, ur_m64c1_swio10_lednop_pr_ee },
 { 128664, ur_m64c1_swio10_lednop_pr_ee },
 { 128665, ur_m64c1_swio10_lednop_pr_ce },
 { 128666, ur_m64c1_swio10_lednop_pr_ce },
 { 128667, ur_m64c1_swio10_lednop_pr_ee_ce },
 { 128668, ur_m64c1_swio10_lednop_pr_ee_ce },
 { 128670, ur_m64c1_swio10_lednop_ee_hw },
 { 128672, ur_m64c1_swio10_lednop_ee_ce_hw },
 { 128673, ur_m64c1_swio10_lednop_ee_ce_hw },
 { 128674, ur_m64c1_swio10_dual },
 { 128675, ur_m64c1_swio10_dual },
 { 128676, ur_m64c1_swio10_dual },
 { 128677, ur_m64c1_swio10_dual_pr_ee },
 { 128678, ur_m64c1_swio10_dual_pr_ee_u4 },
 { 128679, ur_m64c1_swio10_dual_pr_ce },
 { 128680, ur_m64c1_swio10_dual_pr_ce },
 { 128681, ur_m64c1_swio10_dual_pr_ee_ce },
 { 128682, ur_m64c1_swio10_dual_pr_ee_ce_u4 },
 { 128684, ur_m64c1_swio10_dual_ee_hw },
 { 128686, ur_m64c1_swio10_dual_ee_ce_hw },
 { 128687, ur_m64c1_swio10_dual_ee_ce_hw },
 { 128688, ur_m64c1_swio11_noled },
 { 128689, ur_m64c1_swio11_noled },
 { 128690, ur_m64c1_swio11_noled_pr_u4 },
 { 128691, ur_m64c1_swio11_noled_pr_ee },
 { 128692, ur_m64c1_swio11_noled_pr_ee },
 { 128693, ur_m64c1_swio11_noled_pr_ce },
 { 128694, ur_m64c1_swio11_noled_pr_ce },
 { 128695, ur_m64c1_swio11_noled_pr_ee_ce },
 { 128696, ur_m64c1_swio11_noled_pr_ee_ce },
 { 128698, ur_m64c1_swio11_noled_ee_hw },
 { 128700, ur_m64c1_swio11_noled_ee_ce_hw },
 { 128701, ur_m64c1_swio11_noled_ee_ce_hw },
 { 128702, ur_m64c1_swio11_lednop },
 { 128703, ur_m64c1_swio11_lednop_pr },
 { 128704, ur_m64c1_swio11_lednop_pr },
 { 128705, ur_m64c1_swio11_lednop_pr_ee },
 { 128706, ur_m64c1_swio11_lednop_pr_ee },
 { 128707, ur_m64c1_swio11_lednop_pr_ce },
 { 128708, ur_m64c1_swio11_lednop_pr_ce },
 { 128709, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 128710, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 128712, ur_m64c1_swio11_lednop_ee_hw },
 { 128714, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 128715, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 128716, ur_m64c1_swio11_dual },
 { 128717, ur_m64c1_swio11_dual },
 { 128718, ur_m64c1_swio11_dual },
 { 128719, ur_m64c1_swio11_dual_pr_ee },
 { 128720, ur_m64c1_swio11_dual_pr_ee_u4 },
 { 128721, ur_m64c1_swio11_dual_pr_ce },
 { 128722, ur_m64c1_swio11_dual_pr_ce },
 { 128723, ur_m64c1_swio11_dual_pr_ee_ce },
 { 128724, ur_m64c1_swio11_dual_pr_ee_ce_u4 },
 { 128726, ur_m64c1_swio11_dual_ee_hw },
 { 128728, ur_m64c1_swio11_dual_ee_ce_hw },
 { 128729, ur_m64c1_swio11_dual_ee_ce_hw },
 { 128730, ur_m64c1_swio11_noled },
 { 128731, ur_m64c1_swio11_noled },
 { 128732, ur_m64c1_swio11_noled_pr_u4 },
 { 128733, ur_m64c1_swio11_noled_pr_ee },
 { 128734, ur_m64c1_swio11_noled_pr_ee },
 { 128735, ur_m64c1_swio11_noled_pr_ce },
 { 128736, ur_m64c1_swio11_noled_pr_ce },
 { 128737, ur_m64c1_swio11_noled_pr_ee_ce },
 { 128738, ur_m64c1_swio11_noled_pr_ee_ce },
 { 128740, ur_m64c1_swio11_noled_ee_hw },
 { 128742, ur_m64c1_swio11_noled_ee_ce_hw },
 { 128743, ur_m64c1_swio11_noled_ee_ce_hw },
 { 128744, ur_m64c1_swio11_lednop },
 { 128745, ur_m64c1_swio11_lednop_pr },
 { 128746, ur_m64c1_swio11_lednop_pr },
 { 128747, ur_m64c1_swio11_lednop_pr_ee },
 { 128748, ur_m64c1_swio11_lednop_pr_ee },
 { 128749, ur_m64c1_swio11_lednop_pr_ce },
 { 128750, ur_m64c1_swio11_lednop_pr_ce },
 { 128751, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 128752, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 128754, ur_m64c1_swio11_lednop_ee_hw },
 { 128756, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 128757, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 128758, ur_m64c1_swio11_dual },
 { 128759, ur_m64c1_swio11_dual },
 { 128760, ur_m64c1_swio11_dual },
 { 128761, ur_m64c1_swio11_dual_pr_ee },
 { 128762, ur_m64c1_swio11_dual_pr_ee_u4 },
 { 128763, ur_m64c1_swio11_dual_pr_ce },
 { 128764, ur_m64c1_swio11_dual_pr_ce },
 { 128765, ur_m64c1_swio11_dual_pr_ee_ce },
 { 128766, ur_m64c1_swio11_dual_pr_ee_ce_u4 },
 { 128768, ur_m64c1_swio11_dual_ee_hw },
 { 128770, ur_m64c1_swio11_dual_ee_ce_hw },
 { 128771, ur_m64c1_swio11_dual_ee_ce_hw },
 { 128772, ur_m64c1_swio13_noled },
 { 128773, ur_m64c1_swio13_noled },
 { 128774, ur_m64c1_swio13_noled_pr_u4 },
 { 128775, ur_m64c1_swio13_noled_pr_ee },
 { 128776, ur_m64c1_swio13_noled_pr_ee },
 { 128777, ur_m64c1_swio13_noled_pr_ce },
 { 128778, ur_m64c1_swio13_noled_pr_ce },
 { 128779, ur_m64c1_swio13_noled_pr_ee_ce },
 { 128780, ur_m64c1_swio13_noled_pr_ee_ce },
 { 128782, ur_m64c1_swio13_noled_ee_hw },
 { 128784, ur_m64c1_swio13_noled_ee_ce_hw },
 { 128785, ur_m64c1_swio13_noled_ee_ce_hw },
 { 128786, ur_m64c1_swio13_lednop },
 { 128787, ur_m64c1_swio13_lednop_pr },
 { 128788, ur_m64c1_swio13_lednop_pr },
 { 128789, ur_m64c1_swio13_lednop_pr_ee },
 { 128790, ur_m64c1_swio13_lednop_pr_ee },
 { 128791, ur_m64c1_swio13_lednop_pr_ce },
 { 128792, ur_m64c1_swio13_lednop_pr_ce },
 { 128793, ur_m64c1_swio13_lednop_pr_ee_ce },
 { 128794, ur_m64c1_swio13_lednop_pr_ee_ce },
 { 128796, ur_m64c1_swio13_lednop_ee_hw },
 { 128798, ur_m64c1_swio13_lednop_ee_ce_hw },
 { 128799, ur_m64c1_swio13_lednop_ee_ce_hw },
 { 128800, ur_m64c1_swio13_dual },
 { 128801, ur_m64c1_swio13_dual },
 { 128802, ur_m64c1_swio13_dual },
 { 128803, ur_m64c1_swio13_dual_pr_ee },
 { 128804, ur_m64c1_swio13_dual_pr_ee_u4 },
 { 128805, ur_m64c1_swio13_dual_pr_ce },
 { 128806, ur_m64c1_swio13_dual_pr_ce },
 { 128807, ur_m64c1_swio13_dual_pr_ee_ce },
 { 128808, ur_m64c1_swio13_dual_pr_ee_ce_u4 },
 { 128810, ur_m64c1_swio13_dual_ee_hw },
 { 128812, ur_m64c1_swio13_dual_ee_ce_hw },
 { 128813, ur_m64c1_swio13_dual_ee_ce_hw },
 { 128814, ur_m64c1_swio14_noled },
 { 128815, ur_m64c1_swio14_noled },
 { 128816, ur_m64c1_swio14_noled_pr_u4 },
 { 128817, ur_m64c1_swio14_noled_pr_ee },
 { 128818, ur_m64c1_swio14_noled_pr_ee },
 { 128819, ur_m64c1_swio14_noled_pr_ce },
 { 128820, ur_m64c1_swio14_noled_pr_ce },
 { 128821, ur_m64c1_swio14_noled_pr_ee_ce },
 { 128822, ur_m64c1_swio14_noled_pr_ee_ce },
 { 128824, ur_m64c1_swio14_noled_ee_hw },
 { 128826, ur_m64c1_swio14_noled_ee_ce_hw },
 { 128827, ur_m64c1_swio14_noled_ee_ce_hw },
 { 128828, ur_m64c1_swio14_lednop },
 { 128829, ur_m64c1_swio14_lednop_pr },
 { 128830, ur_m64c1_swio14_lednop_pr },
 { 128831, ur_m64c1_swio14_lednop_pr_ee },
 { 128832, ur_m64c1_swio14_lednop_pr_ee },
 { 128833, ur_m64c1_swio14_lednop_pr_ce },
 { 128834, ur_m64c1_swio14_lednop_pr_ce },
 { 128835, ur_m64c1_swio14_lednop_pr_ee_ce },
 { 128836, ur_m64c1_swio14_lednop_pr_ee_ce },
 { 128838, ur_m64c1_swio14_lednop_ee_hw },
 { 128840, ur_m64c1_swio14_lednop_ee_ce_hw },
 { 128841, ur_m64c1_swio14_lednop_ee_ce_hw },
 { 128842, ur_m64c1_swio14_dual },
 { 128843, ur_m64c1_swio14_dual },
 { 128844, ur_m64c1_swio14_dual },
 { 128845, ur_m64c1_swio14_dual_pr_ee },
 { 128846, ur_m64c1_swio14_dual_pr_ee_u4 },
 { 128847, ur_m64c1_swio14_dual_pr_ce },
 { 128848, ur_m64c1_swio14_dual_pr_ce },
 { 128849, ur_m64c1_swio14_dual_pr_ee_ce },
 { 128850, ur_m64c1_swio14_dual_pr_ee_ce_u4 },
 { 128852, ur_m64c1_swio14_dual_ee_hw },
 { 128854, ur_m64c1_swio14_dual_ee_ce_hw },
 { 128855, ur_m64c1_swio14_dual_ee_ce_hw },
 { 128856, ur_m64c1_swio15_noled },
 { 128857, ur_m64c1_swio15_noled },
 { 128858, ur_m64c1_swio15_noled_pr_u4 },
 { 128859, ur_m64c1_swio15_noled_pr_ee },
 { 128860, ur_m64c1_swio15_noled_pr_ee },
 { 128861, ur_m64c1_swio15_noled_pr_ce },
 { 128862, ur_m64c1_swio15_noled_pr_ce },
 { 128863, ur_m64c1_swio15_noled_pr_ee_ce },
 { 128864, ur_m64c1_swio15_noled_pr_ee_ce },
 { 128866, ur_m64c1_swio15_noled_ee_hw },
 { 128868, ur_m64c1_swio15_noled_ee_ce_hw },
 { 128869, ur_m64c1_swio15_noled_ee_ce_hw },
 { 128870, ur_m64c1_swio15_lednop },
 { 128871, ur_m64c1_swio15_lednop_pr },
 { 128872, ur_m64c1_swio15_lednop_pr },
 { 128873, ur_m64c1_swio15_lednop_pr_ee },
 { 128874, ur_m64c1_swio15_lednop_pr_ee },
 { 128875, ur_m64c1_swio15_lednop_pr_ce },
 { 128876, ur_m64c1_swio15_lednop_pr_ce },
 { 128877, ur_m64c1_swio15_lednop_pr_ee_ce },
 { 128878, ur_m64c1_swio15_lednop_pr_ee_ce },
 { 128880, ur_m64c1_swio15_lednop_ee_hw },
 { 128882, ur_m64c1_swio15_lednop_ee_ce_hw },
 { 128883, ur_m64c1_swio15_lednop_ee_ce_hw },
 { 128884, ur_m64c1_swio15_dual },
 { 128885, ur_m64c1_swio15_dual },
 { 128886, ur_m64c1_swio15_dual },
 { 128887, ur_m64c1_swio15_dual_pr_ee },
 { 128888, ur_m64c1_swio15_dual_pr_ee_u4 },
 { 128889, ur_m64c1_swio15_dual_pr_ce },
 { 128890, ur_m64c1_swio15_dual_pr_ce },
 { 128891, ur_m64c1_swio15_dual_pr_ee_ce },
 { 128892, ur_m64c1_swio15_dual_pr_ee_ce_u4 },
 { 128894, ur_m64c1_swio15_dual_ee_hw },
 { 128896, ur_m64c1_swio15_dual_ee_ce_hw },
 { 128897, ur_m64c1_swio15_dual_ee_ce_hw },
 { 128898, ur_m64hve2_autobaud_uart0_noled },
 { 128899, ur_m64hve2_autobaud_uart0_noled },
 { 128900, ur_m64hve2_autobaud_uart0_noled_pr_u4 },
 { 128901, ur_m64hve2_autobaud_uart0_noled_pr_ee },
 { 128902, ur_m64hve2_autobaud_uart0_noled_pr_ee },
 { 128903, ur_m64hve2_autobaud_uart0_noled_pr_ce },
 { 128904, ur_m64hve2_autobaud_uart0_noled_pr_ce },
 { 128905, ur_m64hve2_autobaud_uart0_noled_pr_ee_ce },
 { 128906, ur_m64hve2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 128908, ur_m64hve2_autobaud_uart0_noled_ee_hw },
 { 128910, ur_m64hve2_autobaud_uart0_noled_ee_ce_hw },
 { 128911, ur_m64hve2_autobaud_uart0_noled_ee_ce_hw },
 { 128912, ur_m64hve2_autobaud_uart0_lednop },
 { 128913, ur_m64hve2_autobaud_uart0_lednop_pr },
 { 128914, ur_m64hve2_autobaud_uart0_lednop_pr },
 { 128915, ur_m64hve2_autobaud_uart0_lednop_pr_ee },
 { 128916, ur_m64hve2_autobaud_uart0_lednop_pr_ee_u4 },
 { 128917, ur_m64hve2_autobaud_uart0_lednop_pr_ce },
 { 128918, ur_m64hve2_autobaud_uart0_lednop_pr_ce },
 { 128919, ur_m64hve2_autobaud_uart0_lednop_pr_ee_ce },
 { 128920, ur_m64hve2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 128922, ur_m64hve2_autobaud_uart0_lednop_ee_hw },
 { 128924, ur_m64hve2_autobaud_uart0_lednop_ee_ce_hw },
 { 128925, ur_m64hve2_autobaud_uart0_lednop_ee_ce_hw },
 { 128926, ur_m64hve2_autobaud_uart0_dual },
 { 128927, ur_m64hve2_autobaud_uart0_dual },
 { 128928, ur_m64hve2_autobaud_uart0_dual },
 { 128929, ur_m64hve2_autobaud_uart0_dual_pr_ee },
 { 128930, ur_m64hve2_autobaud_uart0_dual_pr_ee_u4 },
 { 128931, ur_m64hve2_autobaud_uart0_dual_pr_ce },
 { 128932, ur_m64hve2_autobaud_uart0_dual_pr_ce_u4 },
 { 128933, ur_m64hve2_autobaud_uart0_dual_pr_ee_ce },
 { 128934, ur_m64hve2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 128936, ur_m64hve2_autobaud_uart0_dual_ee_hw },
 { 128938, ur_m64hve2_autobaud_uart0_dual_ee_ce_hw },
 { 128939, ur_m64hve2_autobaud_uart0_dual_ee_ce_hw },
 { 129066, ur_m64hve2_lin_uart0_noled },
 { 129067, ur_m64hve2_lin_uart0_noled },
 { 129068, ur_m64hve2_lin_uart0_noled_pr_u4 },
 { 129069, ur_m64hve2_lin_uart0_noled_pr_ee },
 { 129070, ur_m64hve2_lin_uart0_noled_pr_ee },
 { 129071, ur_m64hve2_lin_uart0_noled_pr_ce },
 { 129072, ur_m64hve2_lin_uart0_noled_pr_ce },
 { 129073, ur_m64hve2_lin_uart0_noled_pr_ee_ce },
 { 129074, ur_m64hve2_lin_uart0_noled_pr_ee_ce_u4 },
 { 129076, ur_m64hve2_lin_uart0_noled_ee_hw },
 { 129078, ur_m64hve2_lin_uart0_noled_ee_ce_hw },
 { 129079, ur_m64hve2_lin_uart0_noled_ee_ce_hw },
 { 129080, ur_m64hve2_lin_uart0_lednop },
 { 129081, ur_m64hve2_lin_uart0_lednop },
 { 129082, ur_m64hve2_lin_uart0_lednop_pr_u4 },
 { 129083, ur_m64hve2_lin_uart0_lednop_pr_ee },
 { 129084, ur_m64hve2_lin_uart0_lednop_pr_ee },
 { 129085, ur_m64hve2_lin_uart0_lednop_pr_ce },
 { 129086, ur_m64hve2_lin_uart0_lednop_pr_ce },
 { 129087, ur_m64hve2_lin_uart0_lednop_pr_ee_ce },
 { 129088, ur_m64hve2_lin_uart0_lednop_pr_ee_ce_u4 },
 { 129090, ur_m64hve2_lin_uart0_lednop_ee_hw },
 { 129092, ur_m64hve2_lin_uart0_lednop_ee_ce_hw },
 { 129093, ur_m64hve2_lin_uart0_lednop_ee_ce_hw },
 { 129094, ur_m64hve2_lin_uart0_dual },
 { 129095, ur_m64hve2_lin_uart0_dual_pr },
 { 129096, ur_m64hve2_lin_uart0_dual_pr },
 { 129097, ur_m64hve2_lin_uart0_dual_pr_ee },
 { 129098, ur_m64hve2_lin_uart0_dual_pr_ee },
 { 129099, ur_m64hve2_lin_uart0_dual_pr_ce },
 { 129100, ur_m64hve2_lin_uart0_dual_pr_ce },
 { 129101, ur_m64hve2_lin_uart0_dual_pr_ee_ce },
 { 129102, ur_m64hve2_lin_uart0_dual_pr_ee_ce_u4 },
 { 129104, ur_m64hve2_lin_uart0_dual_ee_hw },
 { 129106, ur_m64hve2_lin_uart0_dual_ee_ce_hw },
 { 129107, ur_m64hve2_lin_uart0_dual_ee_ce_hw },
 { 129948, ur_m64hve2_swio10_noled },
 { 129949, ur_m64hve2_swio10_noled_pr },
 { 129950, ur_m64hve2_swio10_noled_pr },
 { 129951, ur_m64hve2_swio10_noled_pr_ee },
 { 129952, ur_m64hve2_swio10_noled_pr_ee_u4 },
 { 129953, ur_m64hve2_swio10_noled_pr_ce },
 { 129954, ur_m64hve2_swio10_noled_pr_ce },
 { 129955, ur_m64hve2_swio10_noled_pr_ee_ce },
 { 129956, ur_m64hve2_swio10_noled_pr_ee_ce_u4 },
 { 129958, ur_m64hve2_swio10_noled_ee_hw },
 { 129960, ur_m64hve2_swio10_noled_ee_ce_hw },
 { 129961, ur_m64hve2_swio10_noled_ee_ce_hw },
 { 129962, ur_m64hve2_swio10_lednop },
 { 129963, ur_m64hve2_swio10_lednop_pr },
 { 129964, ur_m64hve2_swio10_lednop_pr },
 { 129965, ur_m64hve2_swio10_lednop_pr_ee },
 { 129966, ur_m64hve2_swio10_lednop_pr_ee_u4 },
 { 129967, ur_m64hve2_swio10_lednop_pr_ce },
 { 129968, ur_m64hve2_swio10_lednop_pr_ce },
 { 129969, ur_m64hve2_swio10_lednop_pr_ee_ce },
 { 129970, ur_m64hve2_swio10_lednop_pr_ee_ce_u4 },
 { 129972, ur_m64hve2_swio10_lednop_ee_hw },
 { 129974, ur_m64hve2_swio10_lednop_ee_ce_hw },
 { 129975, ur_m64hve2_swio10_lednop_ee_ce_hw },
 { 129976, ur_m64hve2_swio10_dual },
 { 129977, ur_m64hve2_swio10_dual },
 { 129978, ur_m64hve2_swio10_dual },
 { 129979, ur_m64hve2_swio10_dual_pr_ee },
 { 129980, ur_m64hve2_swio10_dual_pr_ee_u4 },
 { 129981, ur_m64hve2_swio10_dual_pr_ce },
 { 129982, ur_m64hve2_swio10_dual_pr_ce_u4 },
 { 129983, ur_m64hve2_swio10_dual_pr_ee_ce },
 { 129984, ur_m64hve2_swio10_dual_pr_ee_ce_u4 },
 { 129986, ur_m64hve2_swio10_dual_ee_hw },
 { 129988, ur_m64hve2_swio10_dual_ee_ce_hw },
 { 129989, ur_m64hve2_swio10_dual_ee_ce_hw },
 { 129990, ur_m64hve2_swio11_noled },
 { 129991, ur_m64hve2_swio11_noled_pr },
 { 129992, ur_m64hve2_swio11_noled_pr },
 { 129993, ur_m64hve2_swio11_noled_pr_ee },
 { 129994, ur_m64hve2_swio11_noled_pr_ee_u4 },
 { 129995, ur_m64hve2_swio11_noled_pr_ce },
 { 129996, ur_m64hve2_swio11_noled_pr_ce },
 { 129997, ur_m64hve2_swio11_noled_pr_ee_ce },
 { 129998, ur_m64hve2_swio11_noled_pr_ee_ce_u4 },
 { 130000, ur_m64hve2_swio11_noled_ee_hw },
 { 130002, ur_m64hve2_swio11_noled_ee_ce_hw },
 { 130003, ur_m64hve2_swio11_noled_ee_ce_hw },
 { 130004, ur_m64hve2_swio11_lednop },
 { 130005, ur_m64hve2_swio11_lednop_pr },
 { 130006, ur_m64hve2_swio11_lednop_pr },
 { 130007, ur_m64hve2_swio11_lednop_pr_ee },
 { 130008, ur_m64hve2_swio11_lednop_pr_ee_u4 },
 { 130009, ur_m64hve2_swio11_lednop_pr_ce },
 { 130010, ur_m64hve2_swio11_lednop_pr_ce },
 { 130011, ur_m64hve2_swio11_lednop_pr_ee_ce },
 { 130012, ur_m64hve2_swio11_lednop_pr_ee_ce_u4 },
 { 130014, ur_m64hve2_swio11_lednop_ee_hw },
 { 130016, ur_m64hve2_swio11_lednop_ee_ce_hw },
 { 130017, ur_m64hve2_swio11_lednop_ee_ce_hw },
 { 130018, ur_m64hve2_swio11_dual },
 { 130019, ur_m64hve2_swio11_dual },
 { 130020, ur_m64hve2_swio11_dual },
 { 130021, ur_m64hve2_swio11_dual_pr_ee },
 { 130022, ur_m64hve2_swio11_dual_pr_ee_u4 },
 { 130023, ur_m64hve2_swio11_dual_pr_ce },
 { 130024, ur_m64hve2_swio11_dual_pr_ce_u4 },
 { 130025, ur_m64hve2_swio11_dual_pr_ee_ce },
 { 130026, ur_m64hve2_swio11_dual_pr_ee_ce_u4 },
 { 130028, ur_m64hve2_swio11_dual_ee_hw },
 { 130030, ur_m64hve2_swio11_dual_ee_ce_hw },
 { 130031, ur_m64hve2_swio11_dual_ee_ce_hw },
 { 130032, ur_m64hve2_swio11_noled },
 { 130033, ur_m64hve2_swio11_noled_pr },
 { 130034, ur_m64hve2_swio11_noled_pr },
 { 130035, ur_m64hve2_swio11_noled_pr_ee },
 { 130036, ur_m64hve2_swio11_noled_pr_ee_u4 },
 { 130037, ur_m64hve2_swio11_noled_pr_ce },
 { 130038, ur_m64hve2_swio11_noled_pr_ce },
 { 130039, ur_m64hve2_swio11_noled_pr_ee_ce },
 { 130040, ur_m64hve2_swio11_noled_pr_ee_ce_u4 },
 { 130042, ur_m64hve2_swio11_noled_ee_hw },
 { 130044, ur_m64hve2_swio11_noled_ee_ce_hw },
 { 130045, ur_m64hve2_swio11_noled_ee_ce_hw },
 { 130046, ur_m64hve2_swio11_lednop },
 { 130047, ur_m64hve2_swio11_lednop_pr },
 { 130048, ur_m64hve2_swio11_lednop_pr },
 { 130049, ur_m64hve2_swio11_lednop_pr_ee },
 { 130050, ur_m64hve2_swio11_lednop_pr_ee_u4 },
 { 130051, ur_m64hve2_swio11_lednop_pr_ce },
 { 130052, ur_m64hve2_swio11_lednop_pr_ce },
 { 130053, ur_m64hve2_swio11_lednop_pr_ee_ce },
 { 130054, ur_m64hve2_swio11_lednop_pr_ee_ce_u4 },
 { 130056, ur_m64hve2_swio11_lednop_ee_hw },
 { 130058, ur_m64hve2_swio11_lednop_ee_ce_hw },
 { 130059, ur_m64hve2_swio11_lednop_ee_ce_hw },
 { 130060, ur_m64hve2_swio11_dual },
 { 130061, ur_m64hve2_swio11_dual },
 { 130062, ur_m64hve2_swio11_dual },
 { 130063, ur_m64hve2_swio11_dual_pr_ee },
 { 130064, ur_m64hve2_swio11_dual_pr_ee_u4 },
 { 130065, ur_m64hve2_swio11_dual_pr_ce },
 { 130066, ur_m64hve2_swio11_dual_pr_ce_u4 },
 { 130067, ur_m64hve2_swio11_dual_pr_ee_ce },
 { 130068, ur_m64hve2_swio11_dual_pr_ee_ce_u4 },
 { 130070, ur_m64hve2_swio11_dual_ee_hw },
 { 130072, ur_m64hve2_swio11_dual_ee_ce_hw },
 { 130073, ur_m64hve2_swio11_dual_ee_ce_hw },
 { 130074, ur_m64hve2_swio13_noled },
 { 130075, ur_m64hve2_swio13_noled_pr },
 { 130076, ur_m64hve2_swio13_noled_pr },
 { 130077, ur_m64hve2_swio13_noled_pr_ee },
 { 130078, ur_m64hve2_swio13_noled_pr_ee_u4 },
 { 130079, ur_m64hve2_swio13_noled_pr_ce },
 { 130080, ur_m64hve2_swio13_noled_pr_ce },
 { 130081, ur_m64hve2_swio13_noled_pr_ee_ce },
 { 130082, ur_m64hve2_swio13_noled_pr_ee_ce_u4 },
 { 130084, ur_m64hve2_swio13_noled_ee_hw },
 { 130086, ur_m64hve2_swio13_noled_ee_ce_hw },
 { 130087, ur_m64hve2_swio13_noled_ee_ce_hw },
 { 130088, ur_m64hve2_swio13_lednop },
 { 130089, ur_m64hve2_swio13_lednop_pr },
 { 130090, ur_m64hve2_swio13_lednop_pr },
 { 130091, ur_m64hve2_swio13_lednop_pr_ee },
 { 130092, ur_m64hve2_swio13_lednop_pr_ee_u4 },
 { 130093, ur_m64hve2_swio13_lednop_pr_ce },
 { 130094, ur_m64hve2_swio13_lednop_pr_ce_u4 },
 { 130095, ur_m64hve2_swio13_lednop_pr_ee_ce },
 { 130096, ur_m64hve2_swio13_lednop_pr_ee_ce_u4 },
 { 130098, ur_m64hve2_swio13_lednop_ee_hw },
 { 130100, ur_m64hve2_swio13_lednop_ee_ce_hw },
 { 130101, ur_m64hve2_swio13_lednop_ee_ce_hw },
 { 130102, ur_m64hve2_swio13_dual },
 { 130103, ur_m64hve2_swio13_dual },
 { 130104, ur_m64hve2_swio13_dual },
 { 130105, ur_m64hve2_swio13_dual_pr_ee },
 { 130106, ur_m64hve2_swio13_dual_pr_ee_u4 },
 { 130107, ur_m64hve2_swio13_dual_pr_ce },
 { 130108, ur_m64hve2_swio13_dual_pr_ce_u4 },
 { 130109, ur_m64hve2_swio13_dual_pr_ee_ce },
 { 130110, ur_m64hve2_swio13_dual_pr_ee_ce_u4 },
 { 130112, ur_m64hve2_swio13_dual_ee_hw },
 { 130114, ur_m64hve2_swio13_dual_ee_ce_hw },
 { 130115, ur_m64hve2_swio13_dual_ee_ce_hw },
 { 130116, ur_m64hve2_swio14_noled },
 { 130117, ur_m64hve2_swio14_noled_pr },
 { 130118, ur_m64hve2_swio14_noled_pr },
 { 130119, ur_m64hve2_swio14_noled_pr_ee },
 { 130120, ur_m64hve2_swio14_noled_pr_ee_u4 },
 { 130121, ur_m64hve2_swio14_noled_pr_ce },
 { 130122, ur_m64hve2_swio14_noled_pr_ce },
 { 130123, ur_m64hve2_swio14_noled_pr_ee_ce },
 { 130124, ur_m64hve2_swio14_noled_pr_ee_ce_u4 },
 { 130126, ur_m64hve2_swio14_noled_ee_hw },
 { 130128, ur_m64hve2_swio14_noled_ee_ce_hw },
 { 130129, ur_m64hve2_swio14_noled_ee_ce_hw },
 { 130130, ur_m64hve2_swio14_lednop },
 { 130131, ur_m64hve2_swio14_lednop_pr },
 { 130132, ur_m64hve2_swio14_lednop_pr },
 { 130133, ur_m64hve2_swio14_lednop_pr_ee },
 { 130134, ur_m64hve2_swio14_lednop_pr_ee_u4 },
 { 130135, ur_m64hve2_swio14_lednop_pr_ce },
 { 130136, ur_m64hve2_swio14_lednop_pr_ce },
 { 130137, ur_m64hve2_swio14_lednop_pr_ee_ce },
 { 130138, ur_m64hve2_swio14_lednop_pr_ee_ce_u4 },
 { 130140, ur_m64hve2_swio14_lednop_ee_hw },
 { 130142, ur_m64hve2_swio14_lednop_ee_ce_hw },
 { 130143, ur_m64hve2_swio14_lednop_ee_ce_hw },
 { 130144, ur_m64hve2_swio14_dual },
 { 130145, ur_m64hve2_swio14_dual },
 { 130146, ur_m64hve2_swio14_dual },
 { 130147, ur_m64hve2_swio14_dual_pr_ee },
 { 130148, ur_m64hve2_swio14_dual_pr_ee_u4 },
 { 130149, ur_m64hve2_swio14_dual_pr_ce },
 { 130150, ur_m64hve2_swio14_dual_pr_ce_u4 },
 { 130151, ur_m64hve2_swio14_dual_pr_ee_ce },
 { 130152, ur_m64hve2_swio14_dual_pr_ee_ce_u4 },
 { 130154, ur_m64hve2_swio14_dual_ee_hw },
 { 130156, ur_m64hve2_swio14_dual_ee_ce_hw },
 { 130157, ur_m64hve2_swio14_dual_ee_ce_hw },
 { 130158, ur_m64hve2_swio15_noled },
 { 130159, ur_m64hve2_swio15_noled_pr },
 { 130160, ur_m64hve2_swio15_noled_pr },
 { 130161, ur_m64hve2_swio15_noled_pr_ee },
 { 130162, ur_m64hve2_swio15_noled_pr_ee_u4 },
 { 130163, ur_m64hve2_swio15_noled_pr_ce },
 { 130164, ur_m64hve2_swio15_noled_pr_ce },
 { 130165, ur_m64hve2_swio15_noled_pr_ee_ce },
 { 130166, ur_m64hve2_swio15_noled_pr_ee_ce_u4 },
 { 130168, ur_m64hve2_swio15_noled_ee_hw },
 { 130170, ur_m64hve2_swio15_noled_ee_ce_hw },
 { 130171, ur_m64hve2_swio15_noled_ee_ce_hw },
 { 130172, ur_m64hve2_swio15_lednop },
 { 130173, ur_m64hve2_swio15_lednop_pr },
 { 130174, ur_m64hve2_swio15_lednop_pr },
 { 130175, ur_m64hve2_swio15_lednop_pr_ee },
 { 130176, ur_m64hve2_swio15_lednop_pr_ee_u4 },
 { 130177, ur_m64hve2_swio15_lednop_pr_ce },
 { 130178, ur_m64hve2_swio15_lednop_pr_ce_u4 },
 { 130179, ur_m64hve2_swio15_lednop_pr_ee_ce },
 { 130180, ur_m64hve2_swio15_lednop_pr_ee_ce_u4 },
 { 130182, ur_m64hve2_swio15_lednop_ee_hw },
 { 130184, ur_m64hve2_swio15_lednop_ee_ce_hw },
 { 130185, ur_m64hve2_swio15_lednop_ee_ce_hw },
 { 130186, ur_m64hve2_swio15_dual },
 { 130187, ur_m64hve2_swio15_dual },
 { 130188, ur_m64hve2_swio15_dual },
 { 130189, ur_m64hve2_swio15_dual_pr_ee },
 { 130190, ur_m64hve2_swio15_dual_pr_ee_u4 },
 { 130191, ur_m64hve2_swio15_dual_pr_ce },
 { 130192, ur_m64hve2_swio15_dual_pr_ce_u4 },
 { 130193, ur_m64hve2_swio15_dual_pr_ee_ce },
 { 130194, ur_m64hve2_swio15_dual_pr_ee_ce_u4 },
 { 130196, ur_m64hve2_swio15_dual_ee_hw },
 { 130198, ur_m64hve2_swio15_dual_ee_ce_hw },
 { 130199, ur_m64hve2_swio15_dual_ee_ce_hw },
 { 130200, ur_m64c1_autobaud_uart0_noled },
 { 130201, ur_m64c1_autobaud_uart0_noled },
 { 130202, ur_m64c1_autobaud_uart0_noled_pr_u4 },
 { 130203, ur_m64c1_autobaud_uart0_noled_pr_ee },
 { 130204, ur_m64c1_autobaud_uart0_noled_pr_ee },
 { 130205, ur_m64c1_autobaud_uart0_noled_pr_ce },
 { 130206, ur_m64c1_autobaud_uart0_noled_pr_ce },
 { 130207, ur_m64c1_autobaud_uart0_noled_pr_ee_ce },
 { 130208, ur_m64c1_autobaud_uart0_noled_pr_ee_ce },
 { 130210, ur_m64c1_autobaud_uart0_noled_ee_hw },
 { 130212, ur_m64c1_autobaud_uart0_noled_ee_ce_hw },
 { 130213, ur_m64c1_autobaud_uart0_noled_ee_ce_hw },
 { 130214, ur_m64c1_autobaud_uart0_lednop },
 { 130215, ur_m64c1_autobaud_uart0_lednop },
 { 130216, ur_m64c1_autobaud_uart0_lednop_pr_u4 },
 { 130217, ur_m64c1_autobaud_uart0_lednop_pr_ee },
 { 130218, ur_m64c1_autobaud_uart0_lednop_pr_ee },
 { 130219, ur_m64c1_autobaud_uart0_lednop_pr_ce },
 { 130220, ur_m64c1_autobaud_uart0_lednop_pr_ce },
 { 130221, ur_m64c1_autobaud_uart0_lednop_pr_ee_ce },
 { 130222, ur_m64c1_autobaud_uart0_lednop_pr_ee_ce },
 { 130224, ur_m64c1_autobaud_uart0_lednop_ee_hw },
 { 130226, ur_m64c1_autobaud_uart0_lednop_ee_ce_hw },
 { 130227, ur_m64c1_autobaud_uart0_lednop_ee_ce_hw },
 { 130228, ur_m64c1_autobaud_uart0_dual },
 { 130229, ur_m64c1_autobaud_uart0_dual },
 { 130230, ur_m64c1_autobaud_uart0_dual },
 { 130231, ur_m64c1_autobaud_uart0_dual_pr_ee },
 { 130232, ur_m64c1_autobaud_uart0_dual_pr_ee_u4 },
 { 130233, ur_m64c1_autobaud_uart0_dual_pr_ce },
 { 130234, ur_m64c1_autobaud_uart0_dual_pr_ce },
 { 130235, ur_m64c1_autobaud_uart0_dual_pr_ee_ce },
 { 130236, ur_m64c1_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 130238, ur_m64c1_autobaud_uart0_dual_ee_hw },
 { 130240, ur_m64c1_autobaud_uart0_dual_ee_ce_hw },
 { 130241, ur_m64c1_autobaud_uart0_dual_ee_ce_hw },
 { 130368, ur_m64c1_lin_uart0_noled },
 { 130369, ur_m64c1_lin_uart0_noled },
 { 130370, ur_m64c1_lin_uart0_noled_pr_u4 },
 { 130371, ur_m64c1_lin_uart0_noled_pr_ee },
 { 130372, ur_m64c1_lin_uart0_noled_pr_ee },
 { 130373, ur_m64c1_lin_uart0_noled_pr_ce },
 { 130374, ur_m64c1_lin_uart0_noled_pr_ce_u4 },
 { 130375, ur_m64c1_lin_uart0_noled_pr_ee_ce },
 { 130376, ur_m64c1_lin_uart0_noled_pr_ee_ce },
 { 130378, ur_m64c1_lin_uart0_noled_ee_hw },
 { 130380, ur_m64c1_lin_uart0_noled_ee_ce_hw },
 { 130381, ur_m64c1_lin_uart0_noled_ee_ce_hw },
 { 130382, ur_m64c1_lin_uart0_lednop },
 { 130383, ur_m64c1_lin_uart0_lednop },
 { 130384, ur_m64c1_lin_uart0_lednop_pr_u4 },
 { 130385, ur_m64c1_lin_uart0_lednop_pr_ee },
 { 130386, ur_m64c1_lin_uart0_lednop_pr_ee },
 { 130387, ur_m64c1_lin_uart0_lednop_pr_ce },
 { 130388, ur_m64c1_lin_uart0_lednop_pr_ce },
 { 130389, ur_m64c1_lin_uart0_lednop_pr_ee_ce },
 { 130390, ur_m64c1_lin_uart0_lednop_pr_ee_ce },
 { 130392, ur_m64c1_lin_uart0_lednop_ee_hw },
 { 130394, ur_m64c1_lin_uart0_lednop_ee_ce_hw },
 { 130395, ur_m64c1_lin_uart0_lednop_ee_ce_hw },
 { 130396, ur_m64c1_lin_uart0_dual },
 { 130397, ur_m64c1_lin_uart0_dual },
 { 130398, ur_m64c1_lin_uart0_dual },
 { 130399, ur_m64c1_lin_uart0_dual_pr_ee },
 { 130400, ur_m64c1_lin_uart0_dual_pr_ee },
 { 130401, ur_m64c1_lin_uart0_dual_pr_ce },
 { 130402, ur_m64c1_lin_uart0_dual_pr_ce },
 { 130403, ur_m64c1_lin_uart0_dual_pr_ee_ce },
 { 130404, ur_m64c1_lin_uart0_dual_pr_ee_ce_u4 },
 { 130406, ur_m64c1_lin_uart0_dual_ee_hw },
 { 130408, ur_m64c1_lin_uart0_dual_ee_ce_hw },
 { 130409, ur_m64c1_lin_uart0_dual_ee_ce_hw },
 { 131250, ur_m64c1_swio10_noled },
 { 131251, ur_m64c1_swio10_noled },
 { 131252, ur_m64c1_swio10_noled_pr_u4 },
 { 131253, ur_m64c1_swio10_noled_pr_ee },
 { 131254, ur_m64c1_swio10_noled_pr_ee },
 { 131255, ur_m64c1_swio10_noled_pr_ce },
 { 131256, ur_m64c1_swio10_noled_pr_ce },
 { 131257, ur_m64c1_swio10_noled_pr_ee_ce },
 { 131258, ur_m64c1_swio10_noled_pr_ee_ce },
 { 131260, ur_m64c1_swio10_noled_ee_hw },
 { 131262, ur_m64c1_swio10_noled_ee_ce_hw },
 { 131263, ur_m64c1_swio10_noled_ee_ce_hw },
 { 131264, ur_m64c1_swio10_lednop },
 { 131265, ur_m64c1_swio10_lednop },
 { 131266, ur_m64c1_swio10_lednop_pr_u4 },
 { 131267, ur_m64c1_swio10_lednop_pr_ee },
 { 131268, ur_m64c1_swio10_lednop_pr_ee },
 { 131269, ur_m64c1_swio10_lednop_pr_ce },
 { 131270, ur_m64c1_swio10_lednop_pr_ce },
 { 131271, ur_m64c1_swio10_lednop_pr_ee_ce },
 { 131272, ur_m64c1_swio10_lednop_pr_ee_ce },
 { 131274, ur_m64c1_swio10_lednop_ee_hw },
 { 131276, ur_m64c1_swio10_lednop_ee_ce_hw },
 { 131277, ur_m64c1_swio10_lednop_ee_ce_hw },
 { 131278, ur_m64c1_swio10_dual },
 { 131279, ur_m64c1_swio10_dual },
 { 131280, ur_m64c1_swio10_dual },
 { 131281, ur_m64c1_swio10_dual_pr_ee },
 { 131282, ur_m64c1_swio10_dual_pr_ee_u4 },
 { 131283, ur_m64c1_swio10_dual_pr_ce },
 { 131284, ur_m64c1_swio10_dual_pr_ce },
 { 131285, ur_m64c1_swio10_dual_pr_ee_ce },
 { 131286, ur_m64c1_swio10_dual_pr_ee_ce_u4 },
 { 131288, ur_m64c1_swio10_dual_ee_hw },
 { 131290, ur_m64c1_swio10_dual_ee_ce_hw },
 { 131291, ur_m64c1_swio10_dual_ee_ce_hw },
 { 131292, ur_m64c1_swio11_noled },
 { 131293, ur_m64c1_swio11_noled },
 { 131294, ur_m64c1_swio11_noled_pr_u4 },
 { 131295, ur_m64c1_swio11_noled_pr_ee },
 { 131296, ur_m64c1_swio11_noled_pr_ee },
 { 131297, ur_m64c1_swio11_noled_pr_ce },
 { 131298, ur_m64c1_swio11_noled_pr_ce },
 { 131299, ur_m64c1_swio11_noled_pr_ee_ce },
 { 131300, ur_m64c1_swio11_noled_pr_ee_ce },
 { 131302, ur_m64c1_swio11_noled_ee_hw },
 { 131304, ur_m64c1_swio11_noled_ee_ce_hw },
 { 131305, ur_m64c1_swio11_noled_ee_ce_hw },
 { 131306, ur_m64c1_swio11_lednop },
 { 131307, ur_m64c1_swio11_lednop_pr },
 { 131308, ur_m64c1_swio11_lednop_pr },
 { 131309, ur_m64c1_swio11_lednop_pr_ee },
 { 131310, ur_m64c1_swio11_lednop_pr_ee },
 { 131311, ur_m64c1_swio11_lednop_pr_ce },
 { 131312, ur_m64c1_swio11_lednop_pr_ce },
 { 131313, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 131314, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 131316, ur_m64c1_swio11_lednop_ee_hw },
 { 131318, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 131319, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 131320, ur_m64c1_swio11_dual },
 { 131321, ur_m64c1_swio11_dual },
 { 131322, ur_m64c1_swio11_dual },
 { 131323, ur_m64c1_swio11_dual_pr_ee },
 { 131324, ur_m64c1_swio11_dual_pr_ee_u4 },
 { 131325, ur_m64c1_swio11_dual_pr_ce },
 { 131326, ur_m64c1_swio11_dual_pr_ce },
 { 131327, ur_m64c1_swio11_dual_pr_ee_ce },
 { 131328, ur_m64c1_swio11_dual_pr_ee_ce_u4 },
 { 131330, ur_m64c1_swio11_dual_ee_hw },
 { 131332, ur_m64c1_swio11_dual_ee_ce_hw },
 { 131333, ur_m64c1_swio11_dual_ee_ce_hw },
 { 131334, ur_m64c1_swio11_noled },
 { 131335, ur_m64c1_swio11_noled },
 { 131336, ur_m64c1_swio11_noled_pr_u4 },
 { 131337, ur_m64c1_swio11_noled_pr_ee },
 { 131338, ur_m64c1_swio11_noled_pr_ee },
 { 131339, ur_m64c1_swio11_noled_pr_ce },
 { 131340, ur_m64c1_swio11_noled_pr_ce },
 { 131341, ur_m64c1_swio11_noled_pr_ee_ce },
 { 131342, ur_m64c1_swio11_noled_pr_ee_ce },
 { 131344, ur_m64c1_swio11_noled_ee_hw },
 { 131346, ur_m64c1_swio11_noled_ee_ce_hw },
 { 131347, ur_m64c1_swio11_noled_ee_ce_hw },
 { 131348, ur_m64c1_swio11_lednop },
 { 131349, ur_m64c1_swio11_lednop_pr },
 { 131350, ur_m64c1_swio11_lednop_pr },
 { 131351, ur_m64c1_swio11_lednop_pr_ee },
 { 131352, ur_m64c1_swio11_lednop_pr_ee },
 { 131353, ur_m64c1_swio11_lednop_pr_ce },
 { 131354, ur_m64c1_swio11_lednop_pr_ce },
 { 131355, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 131356, ur_m64c1_swio11_lednop_pr_ee_ce },
 { 131358, ur_m64c1_swio11_lednop_ee_hw },
 { 131360, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 131361, ur_m64c1_swio11_lednop_ee_ce_hw },
 { 131362, ur_m64c1_swio11_dual },
 { 131363, ur_m64c1_swio11_dual },
 { 131364, ur_m64c1_swio11_dual },
 { 131365, ur_m64c1_swio11_dual_pr_ee },
 { 131366, ur_m64c1_swio11_dual_pr_ee_u4 },
 { 131367, ur_m64c1_swio11_dual_pr_ce },
 { 131368, ur_m64c1_swio11_dual_pr_ce },
 { 131369, ur_m64c1_swio11_dual_pr_ee_ce },
 { 131370, ur_m64c1_swio11_dual_pr_ee_ce_u4 },
 { 131372, ur_m64c1_swio11_dual_ee_hw },
 { 131374, ur_m64c1_swio11_dual_ee_ce_hw },
 { 131375, ur_m64c1_swio11_dual_ee_ce_hw },
 { 131376, ur_m64c1_swio13_noled },
 { 131377, ur_m64c1_swio13_noled },
 { 131378, ur_m64c1_swio13_noled_pr_u4 },
 { 131379, ur_m64c1_swio13_noled_pr_ee },
 { 131380, ur_m64c1_swio13_noled_pr_ee },
 { 131381, ur_m64c1_swio13_noled_pr_ce },
 { 131382, ur_m64c1_swio13_noled_pr_ce },
 { 131383, ur_m64c1_swio13_noled_pr_ee_ce },
 { 131384, ur_m64c1_swio13_noled_pr_ee_ce },
 { 131386, ur_m64c1_swio13_noled_ee_hw },
 { 131388, ur_m64c1_swio13_noled_ee_ce_hw },
 { 131389, ur_m64c1_swio13_noled_ee_ce_hw },
 { 131390, ur_m64c1_swio13_lednop },
 { 131391, ur_m64c1_swio13_lednop_pr },
 { 131392, ur_m64c1_swio13_lednop_pr },
 { 131393, ur_m64c1_swio13_lednop_pr_ee },
 { 131394, ur_m64c1_swio13_lednop_pr_ee },
 { 131395, ur_m64c1_swio13_lednop_pr_ce },
 { 131396, ur_m64c1_swio13_lednop_pr_ce },
 { 131397, ur_m64c1_swio13_lednop_pr_ee_ce },
 { 131398, ur_m64c1_swio13_lednop_pr_ee_ce },
 { 131400, ur_m64c1_swio13_lednop_ee_hw },
 { 131402, ur_m64c1_swio13_lednop_ee_ce_hw },
 { 131403, ur_m64c1_swio13_lednop_ee_ce_hw },
 { 131404, ur_m64c1_swio13_dual },
 { 131405, ur_m64c1_swio13_dual },
 { 131406, ur_m64c1_swio13_dual },
 { 131407, ur_m64c1_swio13_dual_pr_ee },
 { 131408, ur_m64c1_swio13_dual_pr_ee_u4 },
 { 131409, ur_m64c1_swio13_dual_pr_ce },
 { 131410, ur_m64c1_swio13_dual_pr_ce },
 { 131411, ur_m64c1_swio13_dual_pr_ee_ce },
 { 131412, ur_m64c1_swio13_dual_pr_ee_ce_u4 },
 { 131414, ur_m64c1_swio13_dual_ee_hw },
 { 131416, ur_m64c1_swio13_dual_ee_ce_hw },
 { 131417, ur_m64c1_swio13_dual_ee_ce_hw },
 { 131418, ur_m64c1_swio14_noled },
 { 131419, ur_m64c1_swio14_noled },
 { 131420, ur_m64c1_swio14_noled_pr_u4 },
 { 131421, ur_m64c1_swio14_noled_pr_ee },
 { 131422, ur_m64c1_swio14_noled_pr_ee },
 { 131423, ur_m64c1_swio14_noled_pr_ce },
 { 131424, ur_m64c1_swio14_noled_pr_ce },
 { 131425, ur_m64c1_swio14_noled_pr_ee_ce },
 { 131426, ur_m64c1_swio14_noled_pr_ee_ce },
 { 131428, ur_m64c1_swio14_noled_ee_hw },
 { 131430, ur_m64c1_swio14_noled_ee_ce_hw },
 { 131431, ur_m64c1_swio14_noled_ee_ce_hw },
 { 131432, ur_m64c1_swio14_lednop },
 { 131433, ur_m64c1_swio14_lednop_pr },
 { 131434, ur_m64c1_swio14_lednop_pr },
 { 131435, ur_m64c1_swio14_lednop_pr_ee },
 { 131436, ur_m64c1_swio14_lednop_pr_ee },
 { 131437, ur_m64c1_swio14_lednop_pr_ce },
 { 131438, ur_m64c1_swio14_lednop_pr_ce },
 { 131439, ur_m64c1_swio14_lednop_pr_ee_ce },
 { 131440, ur_m64c1_swio14_lednop_pr_ee_ce },
 { 131442, ur_m64c1_swio14_lednop_ee_hw },
 { 131444, ur_m64c1_swio14_lednop_ee_ce_hw },
 { 131445, ur_m64c1_swio14_lednop_ee_ce_hw },
 { 131446, ur_m64c1_swio14_dual },
 { 131447, ur_m64c1_swio14_dual },
 { 131448, ur_m64c1_swio14_dual },
 { 131449, ur_m64c1_swio14_dual_pr_ee },
 { 131450, ur_m64c1_swio14_dual_pr_ee_u4 },
 { 131451, ur_m64c1_swio14_dual_pr_ce },
 { 131452, ur_m64c1_swio14_dual_pr_ce },
 { 131453, ur_m64c1_swio14_dual_pr_ee_ce },
 { 131454, ur_m64c1_swio14_dual_pr_ee_ce_u4 },
 { 131456, ur_m64c1_swio14_dual_ee_hw },
 { 131458, ur_m64c1_swio14_dual_ee_ce_hw },
 { 131459, ur_m64c1_swio14_dual_ee_ce_hw },
 { 131460, ur_m64c1_swio15_noled },
 { 131461, ur_m64c1_swio15_noled },
 { 131462, ur_m64c1_swio15_noled_pr_u4 },
 { 131463, ur_m64c1_swio15_noled_pr_ee },
 { 131464, ur_m64c1_swio15_noled_pr_ee },
 { 131465, ur_m64c1_swio15_noled_pr_ce },
 { 131466, ur_m64c1_swio15_noled_pr_ce },
 { 131467, ur_m64c1_swio15_noled_pr_ee_ce },
 { 131468, ur_m64c1_swio15_noled_pr_ee_ce },
 { 131470, ur_m64c1_swio15_noled_ee_hw },
 { 131472, ur_m64c1_swio15_noled_ee_ce_hw },
 { 131473, ur_m64c1_swio15_noled_ee_ce_hw },
 { 131474, ur_m64c1_swio15_lednop },
 { 131475, ur_m64c1_swio15_lednop_pr },
 { 131476, ur_m64c1_swio15_lednop_pr },
 { 131477, ur_m64c1_swio15_lednop_pr_ee },
 { 131478, ur_m64c1_swio15_lednop_pr_ee },
 { 131479, ur_m64c1_swio15_lednop_pr_ce },
 { 131480, ur_m64c1_swio15_lednop_pr_ce },
 { 131481, ur_m64c1_swio15_lednop_pr_ee_ce },
 { 131482, ur_m64c1_swio15_lednop_pr_ee_ce },
 { 131484, ur_m64c1_swio15_lednop_ee_hw },
 { 131486, ur_m64c1_swio15_lednop_ee_ce_hw },
 { 131487, ur_m64c1_swio15_lednop_ee_ce_hw },
 { 131488, ur_m64c1_swio15_dual },
 { 131489, ur_m64c1_swio15_dual },
 { 131490, ur_m64c1_swio15_dual },
 { 131491, ur_m64c1_swio15_dual_pr_ee },
 { 131492, ur_m64c1_swio15_dual_pr_ee_u4 },
 { 131493, ur_m64c1_swio15_dual_pr_ce },
 { 131494, ur_m64c1_swio15_dual_pr_ce },
 { 131495, ur_m64c1_swio15_dual_pr_ee_ce },
 { 131496, ur_m64c1_swio15_dual_pr_ee_ce_u4 },
 { 131498, ur_m64c1_swio15_dual_ee_hw },
 { 131500, ur_m64c1_swio15_dual_ee_ce_hw },
 { 131501, ur_m64c1_swio15_dual_ee_ce_hw },
 { 131502, ur_m644rfr2_autobaud_uart0_noled },
 { 131503, ur_m644rfr2_autobaud_uart0_noled },
 { 131504, ur_m644rfr2_autobaud_uart0_noled_pr_u4 },
 { 131505, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 { 131506, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 { 131507, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 { 131508, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 { 131509, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 131510, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 131512, ur_m644rfr2_autobaud_uart0_noled_ee_hw },
 { 131514, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 131515, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 131516, ur_m644rfr2_autobaud_uart0_lednop },
 { 131517, ur_m644rfr2_autobaud_uart0_lednop },
 { 131518, ur_m644rfr2_autobaud_uart0_lednop_pr_u4 },
 { 131519, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 { 131520, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 { 131521, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 { 131522, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 { 131523, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 131524, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 131526, ur_m644rfr2_autobaud_uart0_lednop_ee_hw },
 { 131528, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 131529, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 131530, ur_m644rfr2_autobaud_uart0_dual },
 { 131531, ur_m644rfr2_autobaud_uart0_dual },
 { 131532, ur_m644rfr2_autobaud_uart0_dual },
 { 131533, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 { 131534, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 { 131535, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 { 131536, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 { 131537, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 131538, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 131540, ur_m644rfr2_autobaud_uart0_dual_ee_hw },
 { 131542, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 131543, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 131586, ur_m644rfr2_autobaud_uart1_noled },
 { 131587, ur_m644rfr2_autobaud_uart1_noled },
 { 131588, ur_m644rfr2_autobaud_uart1_noled_pr_u4 },
 { 131589, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 { 131590, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 { 131591, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 { 131592, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 { 131593, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 131594, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 131596, ur_m644rfr2_autobaud_uart1_noled_ee_hw },
 { 131598, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 131599, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 131600, ur_m644rfr2_autobaud_uart1_lednop },
 { 131601, ur_m644rfr2_autobaud_uart1_lednop },
 { 131602, ur_m644rfr2_autobaud_uart1_lednop_pr_u4 },
 { 131603, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 { 131604, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 { 131605, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 { 131606, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 { 131607, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 131608, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 131610, ur_m644rfr2_autobaud_uart1_lednop_ee_hw },
 { 131612, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 131613, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 131614, ur_m644rfr2_autobaud_uart1_dual },
 { 131615, ur_m644rfr2_autobaud_uart1_dual },
 { 131616, ur_m644rfr2_autobaud_uart1_dual },
 { 131617, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 { 131618, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 { 131619, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 { 131620, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 { 131621, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 131622, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 131624, ur_m644rfr2_autobaud_uart1_dual_ee_hw },
 { 131626, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 131627, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 131712, ur_m644rfr2_u1x8_uart0_noled },
 { 131713, ur_m644rfr2_u1x8_uart0_noled },
 { 131714, ur_m644rfr2_u1x8_uart0_noled_pr_u4 },
 { 131715, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 { 131716, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 { 131717, ur_m644rfr2_u1x8_uart0_noled_pr_ce },
 { 131718, ur_m644rfr2_u1x8_uart0_noled_pr_ce_u4 },
 { 131719, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 131720, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 131722, ur_m644rfr2_u1x8_uart0_noled_ee_hw },
 { 131724, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 131725, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 131726, ur_m644rfr2_u1x8_uart0_lednop },
 { 131727, ur_m644rfr2_u1x8_uart0_lednop },
 { 131728, ur_m644rfr2_u1x8_uart0_lednop_pr_u4 },
 { 131729, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 { 131730, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 { 131731, ur_m644rfr2_u1x8_uart0_lednop_pr_ce },
 { 131732, ur_m644rfr2_u1x8_uart0_lednop_pr_ce_u4 },
 { 131733, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 131734, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 131736, ur_m644rfr2_u1x8_uart0_lednop_ee_hw },
 { 131738, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 131739, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 131740, ur_m644rfr2_u1x8_uart0_dual },
 { 131741, ur_m644rfr2_u1x8_uart0_dual },
 { 131742, ur_m644rfr2_u1x8_uart0_dual },
 { 131743, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 { 131744, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 { 131745, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 { 131746, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 { 131747, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 131748, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 131750, ur_m644rfr2_u1x8_uart0_dual_ee_hw },
 { 131752, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 131753, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 131796, ur_m644rfr2_u1x8_uart1_noled },
 { 131797, ur_m644rfr2_u1x8_uart1_noled },
 { 131798, ur_m644rfr2_u1x8_uart1_noled_pr_u4 },
 { 131799, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 { 131800, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 { 131801, ur_m644rfr2_u1x8_uart1_noled_pr_ce },
 { 131802, ur_m644rfr2_u1x8_uart1_noled_pr_ce_u4 },
 { 131803, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 131804, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 131806, ur_m644rfr2_u1x8_uart1_noled_ee_hw },
 { 131808, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 131809, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 131810, ur_m644rfr2_u1x8_uart1_lednop },
 { 131811, ur_m644rfr2_u1x8_uart1_lednop },
 { 131812, ur_m644rfr2_u1x8_uart1_lednop_pr_u4 },
 { 131813, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 { 131814, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 { 131815, ur_m644rfr2_u1x8_uart1_lednop_pr_ce },
 { 131816, ur_m644rfr2_u1x8_uart1_lednop_pr_ce_u4 },
 { 131817, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 131818, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 131820, ur_m644rfr2_u1x8_uart1_lednop_ee_hw },
 { 131822, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 131823, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 131824, ur_m644rfr2_u1x8_uart1_dual },
 { 131825, ur_m644rfr2_u1x8_uart1_dual },
 { 131826, ur_m644rfr2_u1x8_uart1_dual },
 { 131827, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 { 131828, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 { 131829, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 { 131830, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 { 131831, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 131832, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 131834, ur_m644rfr2_u1x8_uart1_dual_ee_hw },
 { 131836, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 131837, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 131922, ur_m644rfr2_u1x12_uart0_noled },
 { 131923, ur_m644rfr2_u1x12_uart0_noled },
 { 131924, ur_m644rfr2_u1x12_uart0_noled_pr_u4 },
 { 131925, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 { 131926, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 { 131927, ur_m644rfr2_u1x12_uart0_noled_pr_ce },
 { 131928, ur_m644rfr2_u1x12_uart0_noled_pr_ce_u4 },
 { 131929, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 131930, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 131932, ur_m644rfr2_u1x12_uart0_noled_ee_hw },
 { 131934, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 131935, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 131936, ur_m644rfr2_u1x12_uart0_lednop },
 { 131937, ur_m644rfr2_u1x12_uart0_lednop },
 { 131938, ur_m644rfr2_u1x12_uart0_lednop_pr_u4 },
 { 131939, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 { 131940, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 { 131941, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 { 131942, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 { 131943, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 131944, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 131946, ur_m644rfr2_u1x12_uart0_lednop_ee_hw },
 { 131948, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 131949, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 131950, ur_m644rfr2_u1x12_uart0_dual },
 { 131951, ur_m644rfr2_u1x12_uart0_dual },
 { 131952, ur_m644rfr2_u1x12_uart0_dual },
 { 131953, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 { 131954, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 { 131955, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 { 131956, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 { 131957, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 131958, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 131960, ur_m644rfr2_u1x12_uart0_dual_ee_hw },
 { 131962, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 131963, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 132006, ur_m644rfr2_u1x12_uart1_noled },
 { 132007, ur_m644rfr2_u1x12_uart1_noled },
 { 132008, ur_m644rfr2_u1x12_uart1_noled_pr_u4 },
 { 132009, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 { 132010, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 { 132011, ur_m644rfr2_u1x12_uart1_noled_pr_ce },
 { 132012, ur_m644rfr2_u1x12_uart1_noled_pr_ce_u4 },
 { 132013, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 132014, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 132016, ur_m644rfr2_u1x12_uart1_noled_ee_hw },
 { 132018, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 132019, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 132020, ur_m644rfr2_u1x12_uart1_lednop },
 { 132021, ur_m644rfr2_u1x12_uart1_lednop },
 { 132022, ur_m644rfr2_u1x12_uart1_lednop_pr_u4 },
 { 132023, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 { 132024, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 { 132025, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 { 132026, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 { 132027, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 132028, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 132030, ur_m644rfr2_u1x12_uart1_lednop_ee_hw },
 { 132032, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 132033, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 132034, ur_m644rfr2_u1x12_uart1_dual },
 { 132035, ur_m644rfr2_u1x12_uart1_dual },
 { 132036, ur_m644rfr2_u1x12_uart1_dual },
 { 132037, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 { 132038, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 { 132039, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 { 132040, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 { 132041, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 132042, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 132044, ur_m644rfr2_u1x12_uart1_dual_ee_hw },
 { 132046, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 132047, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 132132, ur_m644rfr2_u2x8_uart0_noled },
 { 132133, ur_m644rfr2_u2x8_uart0_noled },
 { 132134, ur_m644rfr2_u2x8_uart0_noled_pr_u4 },
 { 132135, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 { 132136, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 { 132137, ur_m644rfr2_u2x8_uart0_noled_pr_ce },
 { 132138, ur_m644rfr2_u2x8_uart0_noled_pr_ce_u4 },
 { 132139, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 132140, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 132142, ur_m644rfr2_u2x8_uart0_noled_ee_hw },
 { 132144, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 132145, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 132146, ur_m644rfr2_u2x8_uart0_lednop },
 { 132147, ur_m644rfr2_u2x8_uart0_lednop },
 { 132148, ur_m644rfr2_u2x8_uart0_lednop_pr_u4 },
 { 132149, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 { 132150, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 { 132151, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 { 132152, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 { 132153, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 132154, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 132156, ur_m644rfr2_u2x8_uart0_lednop_ee_hw },
 { 132158, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 132159, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 132160, ur_m644rfr2_u2x8_uart0_dual },
 { 132161, ur_m644rfr2_u2x8_uart0_dual },
 { 132162, ur_m644rfr2_u2x8_uart0_dual },
 { 132163, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 { 132164, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 { 132165, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 { 132166, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 { 132167, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 132168, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 132170, ur_m644rfr2_u2x8_uart0_dual_ee_hw },
 { 132172, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 132173, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 132216, ur_m644rfr2_u2x8_uart1_noled },
 { 132217, ur_m644rfr2_u2x8_uart1_noled },
 { 132218, ur_m644rfr2_u2x8_uart1_noled_pr_u4 },
 { 132219, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 { 132220, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 { 132221, ur_m644rfr2_u2x8_uart1_noled_pr_ce },
 { 132222, ur_m644rfr2_u2x8_uart1_noled_pr_ce_u4 },
 { 132223, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 132224, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 132226, ur_m644rfr2_u2x8_uart1_noled_ee_hw },
 { 132228, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 132229, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 132230, ur_m644rfr2_u2x8_uart1_lednop },
 { 132231, ur_m644rfr2_u2x8_uart1_lednop },
 { 132232, ur_m644rfr2_u2x8_uart1_lednop_pr_u4 },
 { 132233, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 { 132234, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 { 132235, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 { 132236, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 { 132237, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 132238, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 132240, ur_m644rfr2_u2x8_uart1_lednop_ee_hw },
 { 132242, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 132243, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 132244, ur_m644rfr2_u2x8_uart1_dual },
 { 132245, ur_m644rfr2_u2x8_uart1_dual },
 { 132246, ur_m644rfr2_u2x8_uart1_dual },
 { 132247, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 { 132248, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 { 132249, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 { 132250, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 { 132251, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 132252, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 132254, ur_m644rfr2_u2x8_uart1_dual_ee_hw },
 { 132256, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 132257, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 132342, ur_m644rfr2_u2x12_uart0_noled },
 { 132343, ur_m644rfr2_u2x12_uart0_noled },
 { 132344, ur_m644rfr2_u2x12_uart0_noled_pr_u4 },
 { 132345, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 { 132346, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 { 132347, ur_m644rfr2_u2x12_uart0_noled_pr_ce },
 { 132348, ur_m644rfr2_u2x12_uart0_noled_pr_ce_u4 },
 { 132349, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 132350, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 132352, ur_m644rfr2_u2x12_uart0_noled_ee_hw },
 { 132354, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 132355, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 132356, ur_m644rfr2_u2x12_uart0_lednop },
 { 132357, ur_m644rfr2_u2x12_uart0_lednop },
 { 132358, ur_m644rfr2_u2x12_uart0_lednop_pr_u4 },
 { 132359, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 { 132360, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 { 132361, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 { 132362, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 { 132363, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 132364, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 132366, ur_m644rfr2_u2x12_uart0_lednop_ee_hw },
 { 132368, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 132369, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 132370, ur_m644rfr2_u2x12_uart0_dual },
 { 132371, ur_m644rfr2_u2x12_uart0_dual },
 { 132372, ur_m644rfr2_u2x12_uart0_dual },
 { 132373, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 { 132374, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 { 132375, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 { 132376, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 { 132377, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 132378, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 132380, ur_m644rfr2_u2x12_uart0_dual_ee_hw },
 { 132382, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 132383, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 132426, ur_m644rfr2_u2x12_uart1_noled },
 { 132427, ur_m644rfr2_u2x12_uart1_noled },
 { 132428, ur_m644rfr2_u2x12_uart1_noled_pr_u4 },
 { 132429, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 { 132430, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 { 132431, ur_m644rfr2_u2x12_uart1_noled_pr_ce },
 { 132432, ur_m644rfr2_u2x12_uart1_noled_pr_ce_u4 },
 { 132433, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 132434, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 132436, ur_m644rfr2_u2x12_uart1_noled_ee_hw },
 { 132438, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 132439, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 132440, ur_m644rfr2_u2x12_uart1_lednop },
 { 132441, ur_m644rfr2_u2x12_uart1_lednop },
 { 132442, ur_m644rfr2_u2x12_uart1_lednop_pr_u4 },
 { 132443, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 { 132444, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 { 132445, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 { 132446, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 { 132447, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 132448, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 132450, ur_m644rfr2_u2x12_uart1_lednop_ee_hw },
 { 132452, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 132453, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 132454, ur_m644rfr2_u2x12_uart1_dual },
 { 132455, ur_m644rfr2_u2x12_uart1_dual },
 { 132456, ur_m644rfr2_u2x12_uart1_dual },
 { 132457, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 { 132458, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 { 132459, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 { 132460, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 { 132461, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 132462, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 132464, ur_m644rfr2_u2x12_uart1_dual_ee_hw },
 { 132466, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 132467, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 132552, ur_m644rfr2_swio10_noled },
 { 132553, ur_m644rfr2_swio10_noled },
 { 132554, ur_m644rfr2_swio10_noled_pr_u4 },
 { 132555, ur_m644rfr2_swio10_noled_pr_ee },
 { 132556, ur_m644rfr2_swio10_noled_pr_ee },
 { 132557, ur_m644rfr2_swio10_noled_pr_ce },
 { 132558, ur_m644rfr2_swio10_noled_pr_ce },
 { 132559, ur_m644rfr2_swio10_noled_pr_ee_ce },
 { 132560, ur_m644rfr2_swio10_noled_pr_ee_ce },
 { 132562, ur_m644rfr2_swio10_noled_ee_hw },
 { 132564, ur_m644rfr2_swio10_noled_ee_ce_hw },
 { 132565, ur_m644rfr2_swio10_noled_ee_ce_hw },
 { 132566, ur_m644rfr2_swio10_lednop },
 { 132567, ur_m644rfr2_swio10_lednop },
 { 132568, ur_m644rfr2_swio10_lednop_pr_u4 },
 { 132569, ur_m644rfr2_swio10_lednop_pr_ee },
 { 132570, ur_m644rfr2_swio10_lednop_pr_ee },
 { 132571, ur_m644rfr2_swio10_lednop_pr_ce },
 { 132572, ur_m644rfr2_swio10_lednop_pr_ce },
 { 132573, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 { 132574, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 { 132576, ur_m644rfr2_swio10_lednop_ee_hw },
 { 132578, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 { 132579, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 { 132580, ur_m644rfr2_swio10_dual },
 { 132581, ur_m644rfr2_swio10_dual },
 { 132582, ur_m644rfr2_swio10_dual },
 { 132583, ur_m644rfr2_swio10_dual_pr_ee },
 { 132584, ur_m644rfr2_swio10_dual_pr_ee_u4 },
 { 132585, ur_m644rfr2_swio10_dual_pr_ce },
 { 132586, ur_m644rfr2_swio10_dual_pr_ce },
 { 132587, ur_m644rfr2_swio10_dual_pr_ee_ce },
 { 132588, ur_m644rfr2_swio10_dual_pr_ee_ce_u4 },
 { 132590, ur_m644rfr2_swio10_dual_ee_hw },
 { 132592, ur_m644rfr2_swio10_dual_ee_ce_hw },
 { 132593, ur_m644rfr2_swio10_dual_ee_ce_hw },
 { 132594, ur_m644rfr2_swio11_noled },
 { 132595, ur_m644rfr2_swio11_noled },
 { 132596, ur_m644rfr2_swio11_noled_pr_u4 },
 { 132597, ur_m644rfr2_swio11_noled_pr_ee },
 { 132598, ur_m644rfr2_swio11_noled_pr_ee },
 { 132599, ur_m644rfr2_swio11_noled_pr_ce },
 { 132600, ur_m644rfr2_swio11_noled_pr_ce },
 { 132601, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 132602, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 132604, ur_m644rfr2_swio11_noled_ee_hw },
 { 132606, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 132607, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 132608, ur_m644rfr2_swio11_lednop },
 { 132609, ur_m644rfr2_swio11_lednop_pr },
 { 132610, ur_m644rfr2_swio11_lednop_pr },
 { 132611, ur_m644rfr2_swio11_lednop_pr_ee },
 { 132612, ur_m644rfr2_swio11_lednop_pr_ee },
 { 132613, ur_m644rfr2_swio11_lednop_pr_ce },
 { 132614, ur_m644rfr2_swio11_lednop_pr_ce },
 { 132615, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 132616, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 132618, ur_m644rfr2_swio11_lednop_ee_hw },
 { 132620, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 132621, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 132622, ur_m644rfr2_swio11_dual },
 { 132623, ur_m644rfr2_swio11_dual },
 { 132624, ur_m644rfr2_swio11_dual },
 { 132625, ur_m644rfr2_swio11_dual_pr_ee },
 { 132626, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 { 132627, ur_m644rfr2_swio11_dual_pr_ce },
 { 132628, ur_m644rfr2_swio11_dual_pr_ce },
 { 132629, ur_m644rfr2_swio11_dual_pr_ee_ce },
 { 132630, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 { 132632, ur_m644rfr2_swio11_dual_ee_hw },
 { 132634, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 132635, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 132636, ur_m644rfr2_swio11_noled },
 { 132637, ur_m644rfr2_swio11_noled },
 { 132638, ur_m644rfr2_swio11_noled_pr_u4 },
 { 132639, ur_m644rfr2_swio11_noled_pr_ee },
 { 132640, ur_m644rfr2_swio11_noled_pr_ee },
 { 132641, ur_m644rfr2_swio11_noled_pr_ce },
 { 132642, ur_m644rfr2_swio11_noled_pr_ce },
 { 132643, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 132644, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 132646, ur_m644rfr2_swio11_noled_ee_hw },
 { 132648, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 132649, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 132650, ur_m644rfr2_swio11_lednop },
 { 132651, ur_m644rfr2_swio11_lednop_pr },
 { 132652, ur_m644rfr2_swio11_lednop_pr },
 { 132653, ur_m644rfr2_swio11_lednop_pr_ee },
 { 132654, ur_m644rfr2_swio11_lednop_pr_ee },
 { 132655, ur_m644rfr2_swio11_lednop_pr_ce },
 { 132656, ur_m644rfr2_swio11_lednop_pr_ce },
 { 132657, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 132658, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 132660, ur_m644rfr2_swio11_lednop_ee_hw },
 { 132662, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 132663, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 132664, ur_m644rfr2_swio11_dual },
 { 132665, ur_m644rfr2_swio11_dual },
 { 132666, ur_m644rfr2_swio11_dual },
 { 132667, ur_m644rfr2_swio11_dual_pr_ee },
 { 132668, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 { 132669, ur_m644rfr2_swio11_dual_pr_ce },
 { 132670, ur_m644rfr2_swio11_dual_pr_ce },
 { 132671, ur_m644rfr2_swio11_dual_pr_ee_ce },
 { 132672, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 { 132674, ur_m644rfr2_swio11_dual_ee_hw },
 { 132676, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 132677, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 132678, ur_m644rfr2_swio13_noled },
 { 132679, ur_m644rfr2_swio13_noled },
 { 132680, ur_m644rfr2_swio13_noled_pr_u4 },
 { 132681, ur_m644rfr2_swio13_noled_pr_ee },
 { 132682, ur_m644rfr2_swio13_noled_pr_ee },
 { 132683, ur_m644rfr2_swio13_noled_pr_ce },
 { 132684, ur_m644rfr2_swio13_noled_pr_ce },
 { 132685, ur_m644rfr2_swio13_noled_pr_ee_ce },
 { 132686, ur_m644rfr2_swio13_noled_pr_ee_ce },
 { 132688, ur_m644rfr2_swio13_noled_ee_hw },
 { 132690, ur_m644rfr2_swio13_noled_ee_ce_hw },
 { 132691, ur_m644rfr2_swio13_noled_ee_ce_hw },
 { 132692, ur_m644rfr2_swio13_lednop },
 { 132693, ur_m644rfr2_swio13_lednop_pr },
 { 132694, ur_m644rfr2_swio13_lednop_pr },
 { 132695, ur_m644rfr2_swio13_lednop_pr_ee },
 { 132696, ur_m644rfr2_swio13_lednop_pr_ee },
 { 132697, ur_m644rfr2_swio13_lednop_pr_ce },
 { 132698, ur_m644rfr2_swio13_lednop_pr_ce },
 { 132699, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 { 132700, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 { 132702, ur_m644rfr2_swio13_lednop_ee_hw },
 { 132704, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 { 132705, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 { 132706, ur_m644rfr2_swio13_dual },
 { 132707, ur_m644rfr2_swio13_dual },
 { 132708, ur_m644rfr2_swio13_dual },
 { 132709, ur_m644rfr2_swio13_dual_pr_ee },
 { 132710, ur_m644rfr2_swio13_dual_pr_ee_u4 },
 { 132711, ur_m644rfr2_swio13_dual_pr_ce },
 { 132712, ur_m644rfr2_swio13_dual_pr_ce },
 { 132713, ur_m644rfr2_swio13_dual_pr_ee_ce },
 { 132714, ur_m644rfr2_swio13_dual_pr_ee_ce_u4 },
 { 132716, ur_m644rfr2_swio13_dual_ee_hw },
 { 132718, ur_m644rfr2_swio13_dual_ee_ce_hw },
 { 132719, ur_m644rfr2_swio13_dual_ee_ce_hw },
 { 132720, ur_m644rfr2_swio14_noled },
 { 132721, ur_m644rfr2_swio14_noled },
 { 132722, ur_m644rfr2_swio14_noled_pr_u4 },
 { 132723, ur_m644rfr2_swio14_noled_pr_ee },
 { 132724, ur_m644rfr2_swio14_noled_pr_ee },
 { 132725, ur_m644rfr2_swio14_noled_pr_ce },
 { 132726, ur_m644rfr2_swio14_noled_pr_ce },
 { 132727, ur_m644rfr2_swio14_noled_pr_ee_ce },
 { 132728, ur_m644rfr2_swio14_noled_pr_ee_ce },
 { 132730, ur_m644rfr2_swio14_noled_ee_hw },
 { 132732, ur_m644rfr2_swio14_noled_ee_ce_hw },
 { 132733, ur_m644rfr2_swio14_noled_ee_ce_hw },
 { 132734, ur_m644rfr2_swio14_lednop },
 { 132735, ur_m644rfr2_swio14_lednop_pr },
 { 132736, ur_m644rfr2_swio14_lednop_pr },
 { 132737, ur_m644rfr2_swio14_lednop_pr_ee },
 { 132738, ur_m644rfr2_swio14_lednop_pr_ee },
 { 132739, ur_m644rfr2_swio14_lednop_pr_ce },
 { 132740, ur_m644rfr2_swio14_lednop_pr_ce },
 { 132741, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 { 132742, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 { 132744, ur_m644rfr2_swio14_lednop_ee_hw },
 { 132746, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 { 132747, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 { 132748, ur_m644rfr2_swio14_dual },
 { 132749, ur_m644rfr2_swio14_dual },
 { 132750, ur_m644rfr2_swio14_dual },
 { 132751, ur_m644rfr2_swio14_dual_pr_ee },
 { 132752, ur_m644rfr2_swio14_dual_pr_ee_u4 },
 { 132753, ur_m644rfr2_swio14_dual_pr_ce },
 { 132754, ur_m644rfr2_swio14_dual_pr_ce },
 { 132755, ur_m644rfr2_swio14_dual_pr_ee_ce },
 { 132756, ur_m644rfr2_swio14_dual_pr_ee_ce_u4 },
 { 132758, ur_m644rfr2_swio14_dual_ee_hw },
 { 132760, ur_m644rfr2_swio14_dual_ee_ce_hw },
 { 132761, ur_m644rfr2_swio14_dual_ee_ce_hw },
 { 132762, ur_m644rfr2_swio15_noled },
 { 132763, ur_m644rfr2_swio15_noled },
 { 132764, ur_m644rfr2_swio15_noled_pr_u4 },
 { 132765, ur_m644rfr2_swio15_noled_pr_ee },
 { 132766, ur_m644rfr2_swio15_noled_pr_ee },
 { 132767, ur_m644rfr2_swio15_noled_pr_ce },
 { 132768, ur_m644rfr2_swio15_noled_pr_ce },
 { 132769, ur_m644rfr2_swio15_noled_pr_ee_ce },
 { 132770, ur_m644rfr2_swio15_noled_pr_ee_ce },
 { 132772, ur_m644rfr2_swio15_noled_ee_hw },
 { 132774, ur_m644rfr2_swio15_noled_ee_ce_hw },
 { 132775, ur_m644rfr2_swio15_noled_ee_ce_hw },
 { 132776, ur_m644rfr2_swio15_lednop },
 { 132777, ur_m644rfr2_swio15_lednop_pr },
 { 132778, ur_m644rfr2_swio15_lednop_pr },
 { 132779, ur_m644rfr2_swio15_lednop_pr_ee },
 { 132780, ur_m644rfr2_swio15_lednop_pr_ee },
 { 132781, ur_m644rfr2_swio15_lednop_pr_ce },
 { 132782, ur_m644rfr2_swio15_lednop_pr_ce },
 { 132783, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 { 132784, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 { 132786, ur_m644rfr2_swio15_lednop_ee_hw },
 { 132788, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 { 132789, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 { 132790, ur_m644rfr2_swio15_dual },
 { 132791, ur_m644rfr2_swio15_dual },
 { 132792, ur_m644rfr2_swio15_dual },
 { 132793, ur_m644rfr2_swio15_dual_pr_ee },
 { 132794, ur_m644rfr2_swio15_dual_pr_ee_u4 },
 { 132795, ur_m644rfr2_swio15_dual_pr_ce },
 { 132796, ur_m644rfr2_swio15_dual_pr_ce },
 { 132797, ur_m644rfr2_swio15_dual_pr_ee_ce },
 { 132798, ur_m644rfr2_swio15_dual_pr_ee_ce_u4 },
 { 132800, ur_m644rfr2_swio15_dual_ee_hw },
 { 132802, ur_m644rfr2_swio15_dual_ee_ce_hw },
 { 132803, ur_m644rfr2_swio15_dual_ee_ce_hw },
 { 132804, ur_m644rfr2_autobaud_uart0_noled },
 { 132805, ur_m644rfr2_autobaud_uart0_noled },
 { 132806, ur_m644rfr2_autobaud_uart0_noled_pr_u4 },
 { 132807, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 { 132808, ur_m644rfr2_autobaud_uart0_noled_pr_ee },
 { 132809, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 { 132810, ur_m644rfr2_autobaud_uart0_noled_pr_ce },
 { 132811, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 132812, ur_m644rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 132814, ur_m644rfr2_autobaud_uart0_noled_ee_hw },
 { 132816, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 132817, ur_m644rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 132818, ur_m644rfr2_autobaud_uart0_lednop },
 { 132819, ur_m644rfr2_autobaud_uart0_lednop },
 { 132820, ur_m644rfr2_autobaud_uart0_lednop_pr_u4 },
 { 132821, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 { 132822, ur_m644rfr2_autobaud_uart0_lednop_pr_ee },
 { 132823, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 { 132824, ur_m644rfr2_autobaud_uart0_lednop_pr_ce },
 { 132825, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 132826, ur_m644rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 132828, ur_m644rfr2_autobaud_uart0_lednop_ee_hw },
 { 132830, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 132831, ur_m644rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 132832, ur_m644rfr2_autobaud_uart0_dual },
 { 132833, ur_m644rfr2_autobaud_uart0_dual },
 { 132834, ur_m644rfr2_autobaud_uart0_dual },
 { 132835, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 { 132836, ur_m644rfr2_autobaud_uart0_dual_pr_ee },
 { 132837, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 { 132838, ur_m644rfr2_autobaud_uart0_dual_pr_ce },
 { 132839, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 132840, ur_m644rfr2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 132842, ur_m644rfr2_autobaud_uart0_dual_ee_hw },
 { 132844, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 132845, ur_m644rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 132888, ur_m644rfr2_autobaud_uart1_noled },
 { 132889, ur_m644rfr2_autobaud_uart1_noled },
 { 132890, ur_m644rfr2_autobaud_uart1_noled_pr_u4 },
 { 132891, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 { 132892, ur_m644rfr2_autobaud_uart1_noled_pr_ee },
 { 132893, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 { 132894, ur_m644rfr2_autobaud_uart1_noled_pr_ce },
 { 132895, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 132896, ur_m644rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 132898, ur_m644rfr2_autobaud_uart1_noled_ee_hw },
 { 132900, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 132901, ur_m644rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 132902, ur_m644rfr2_autobaud_uart1_lednop },
 { 132903, ur_m644rfr2_autobaud_uart1_lednop },
 { 132904, ur_m644rfr2_autobaud_uart1_lednop_pr_u4 },
 { 132905, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 { 132906, ur_m644rfr2_autobaud_uart1_lednop_pr_ee },
 { 132907, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 { 132908, ur_m644rfr2_autobaud_uart1_lednop_pr_ce },
 { 132909, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 132910, ur_m644rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 132912, ur_m644rfr2_autobaud_uart1_lednop_ee_hw },
 { 132914, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 132915, ur_m644rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 132916, ur_m644rfr2_autobaud_uart1_dual },
 { 132917, ur_m644rfr2_autobaud_uart1_dual },
 { 132918, ur_m644rfr2_autobaud_uart1_dual },
 { 132919, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 { 132920, ur_m644rfr2_autobaud_uart1_dual_pr_ee },
 { 132921, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 { 132922, ur_m644rfr2_autobaud_uart1_dual_pr_ce },
 { 132923, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 132924, ur_m644rfr2_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 132926, ur_m644rfr2_autobaud_uart1_dual_ee_hw },
 { 132928, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 132929, ur_m644rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 133014, ur_m644rfr2_u1x8_uart0_noled },
 { 133015, ur_m644rfr2_u1x8_uart0_noled },
 { 133016, ur_m644rfr2_u1x8_uart0_noled_pr_u4 },
 { 133017, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 { 133018, ur_m644rfr2_u1x8_uart0_noled_pr_ee },
 { 133019, ur_m644rfr2_u1x8_uart0_noled_pr_ce },
 { 133020, ur_m644rfr2_u1x8_uart0_noled_pr_ce_u4 },
 { 133021, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 133022, ur_m644rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 133024, ur_m644rfr2_u1x8_uart0_noled_ee_hw },
 { 133026, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 133027, ur_m644rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 133028, ur_m644rfr2_u1x8_uart0_lednop },
 { 133029, ur_m644rfr2_u1x8_uart0_lednop },
 { 133030, ur_m644rfr2_u1x8_uart0_lednop_pr_u4 },
 { 133031, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 { 133032, ur_m644rfr2_u1x8_uart0_lednop_pr_ee },
 { 133033, ur_m644rfr2_u1x8_uart0_lednop_pr_ce },
 { 133034, ur_m644rfr2_u1x8_uart0_lednop_pr_ce_u4 },
 { 133035, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 133036, ur_m644rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 133038, ur_m644rfr2_u1x8_uart0_lednop_ee_hw },
 { 133040, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 133041, ur_m644rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 133042, ur_m644rfr2_u1x8_uart0_dual },
 { 133043, ur_m644rfr2_u1x8_uart0_dual },
 { 133044, ur_m644rfr2_u1x8_uart0_dual },
 { 133045, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 { 133046, ur_m644rfr2_u1x8_uart0_dual_pr_ee },
 { 133047, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 { 133048, ur_m644rfr2_u1x8_uart0_dual_pr_ce },
 { 133049, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 133050, ur_m644rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 133052, ur_m644rfr2_u1x8_uart0_dual_ee_hw },
 { 133054, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 133055, ur_m644rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 133098, ur_m644rfr2_u1x8_uart1_noled },
 { 133099, ur_m644rfr2_u1x8_uart1_noled },
 { 133100, ur_m644rfr2_u1x8_uart1_noled_pr_u4 },
 { 133101, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 { 133102, ur_m644rfr2_u1x8_uart1_noled_pr_ee },
 { 133103, ur_m644rfr2_u1x8_uart1_noled_pr_ce },
 { 133104, ur_m644rfr2_u1x8_uart1_noled_pr_ce_u4 },
 { 133105, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 133106, ur_m644rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 133108, ur_m644rfr2_u1x8_uart1_noled_ee_hw },
 { 133110, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 133111, ur_m644rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 133112, ur_m644rfr2_u1x8_uart1_lednop },
 { 133113, ur_m644rfr2_u1x8_uart1_lednop },
 { 133114, ur_m644rfr2_u1x8_uart1_lednop_pr_u4 },
 { 133115, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 { 133116, ur_m644rfr2_u1x8_uart1_lednop_pr_ee },
 { 133117, ur_m644rfr2_u1x8_uart1_lednop_pr_ce },
 { 133118, ur_m644rfr2_u1x8_uart1_lednop_pr_ce_u4 },
 { 133119, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 133120, ur_m644rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 133122, ur_m644rfr2_u1x8_uart1_lednop_ee_hw },
 { 133124, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 133125, ur_m644rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 133126, ur_m644rfr2_u1x8_uart1_dual },
 { 133127, ur_m644rfr2_u1x8_uart1_dual },
 { 133128, ur_m644rfr2_u1x8_uart1_dual },
 { 133129, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 { 133130, ur_m644rfr2_u1x8_uart1_dual_pr_ee },
 { 133131, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 { 133132, ur_m644rfr2_u1x8_uart1_dual_pr_ce },
 { 133133, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 133134, ur_m644rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 133136, ur_m644rfr2_u1x8_uart1_dual_ee_hw },
 { 133138, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 133139, ur_m644rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 133140, ur_m640_u1x8_uart2_noled },
 { 133141, ur_m640_u1x8_uart2_noled },
 { 133142, ur_m640_u1x8_uart2_noled_pr_u4 },
 { 133143, ur_m640_u1x8_uart2_noled_pr_ee },
 { 133144, ur_m640_u1x8_uart2_noled_pr_ee },
 { 133145, ur_m640_u1x8_uart2_noled_pr_ce },
 { 133146, ur_m640_u1x8_uart2_noled_pr_ce_u4 },
 { 133147, ur_m640_u1x8_uart2_noled_pr_ee_ce },
 { 133148, ur_m640_u1x8_uart2_noled_pr_ee_ce },
 { 133150, ur_m640_u1x8_uart2_noled_ee_hw },
 { 133152, ur_m640_u1x8_uart2_noled_ee_ce_hw },
 { 133153, ur_m640_u1x8_uart2_noled_ee_ce_hw },
 { 133154, ur_m640_u1x8_uart2_lednop },
 { 133155, ur_m640_u1x8_uart2_lednop },
 { 133156, ur_m640_u1x8_uart2_lednop_pr_u4 },
 { 133157, ur_m640_u1x8_uart2_lednop_pr_ee },
 { 133158, ur_m640_u1x8_uart2_lednop_pr_ee },
 { 133159, ur_m640_u1x8_uart2_lednop_pr_ce },
 { 133160, ur_m640_u1x8_uart2_lednop_pr_ce_u4 },
 { 133161, ur_m640_u1x8_uart2_lednop_pr_ee_ce },
 { 133162, ur_m640_u1x8_uart2_lednop_pr_ee_ce },
 { 133164, ur_m640_u1x8_uart2_lednop_ee_hw },
 { 133166, ur_m640_u1x8_uart2_lednop_ee_ce_hw },
 { 133167, ur_m640_u1x8_uart2_lednop_ee_ce_hw },
 { 133168, ur_m640_u1x8_uart2_dual },
 { 133169, ur_m640_u1x8_uart2_dual },
 { 133170, ur_m640_u1x8_uart2_dual },
 { 133171, ur_m640_u1x8_uart2_dual_pr_ee },
 { 133172, ur_m640_u1x8_uart2_dual_pr_ee },
 { 133173, ur_m640_u1x8_uart2_dual_pr_ce },
 { 133174, ur_m640_u1x8_uart2_dual_pr_ce },
 { 133175, ur_m640_u1x8_uart2_dual_pr_ee_ce },
 { 133176, ur_m640_u1x8_uart2_dual_pr_ee_ce_u4 },
 { 133178, ur_m640_u1x8_uart2_dual_ee_hw },
 { 133180, ur_m640_u1x8_uart2_dual_ee_ce_hw },
 { 133181, ur_m640_u1x8_uart2_dual_ee_ce_hw },
 { 133182, ur_m640_u1x8_uart3_noled },
 { 133183, ur_m640_u1x8_uart3_noled },
 { 133184, ur_m640_u1x8_uart3_noled_pr_u4 },
 { 133185, ur_m640_u1x8_uart3_noled_pr_ee },
 { 133186, ur_m640_u1x8_uart3_noled_pr_ee },
 { 133187, ur_m640_u1x8_uart3_noled_pr_ce },
 { 133188, ur_m640_u1x8_uart3_noled_pr_ce_u4 },
 { 133189, ur_m640_u1x8_uart3_noled_pr_ee_ce },
 { 133190, ur_m640_u1x8_uart3_noled_pr_ee_ce },
 { 133192, ur_m640_u1x8_uart3_noled_ee_hw },
 { 133194, ur_m640_u1x8_uart3_noled_ee_ce_hw },
 { 133195, ur_m640_u1x8_uart3_noled_ee_ce_hw },
 { 133196, ur_m640_u1x8_uart3_lednop },
 { 133197, ur_m640_u1x8_uart3_lednop },
 { 133198, ur_m640_u1x8_uart3_lednop_pr_u4 },
 { 133199, ur_m640_u1x8_uart3_lednop_pr_ee },
 { 133200, ur_m640_u1x8_uart3_lednop_pr_ee },
 { 133201, ur_m640_u1x8_uart3_lednop_pr_ce },
 { 133202, ur_m640_u1x8_uart3_lednop_pr_ce_u4 },
 { 133203, ur_m640_u1x8_uart3_lednop_pr_ee_ce },
 { 133204, ur_m640_u1x8_uart3_lednop_pr_ee_ce },
 { 133206, ur_m640_u1x8_uart3_lednop_ee_hw },
 { 133208, ur_m640_u1x8_uart3_lednop_ee_ce_hw },
 { 133209, ur_m640_u1x8_uart3_lednop_ee_ce_hw },
 { 133210, ur_m640_u1x8_uart3_dual },
 { 133211, ur_m640_u1x8_uart3_dual },
 { 133212, ur_m640_u1x8_uart3_dual },
 { 133213, ur_m640_u1x8_uart3_dual_pr_ee },
 { 133214, ur_m640_u1x8_uart3_dual_pr_ee },
 { 133215, ur_m640_u1x8_uart3_dual_pr_ce },
 { 133216, ur_m640_u1x8_uart3_dual_pr_ce },
 { 133217, ur_m640_u1x8_uart3_dual_pr_ee_ce },
 { 133218, ur_m640_u1x8_uart3_dual_pr_ee_ce_u4 },
 { 133220, ur_m640_u1x8_uart3_dual_ee_hw },
 { 133222, ur_m640_u1x8_uart3_dual_ee_ce_hw },
 { 133223, ur_m640_u1x8_uart3_dual_ee_ce_hw },
 { 133224, ur_m644rfr2_u1x12_uart0_noled },
 { 133225, ur_m644rfr2_u1x12_uart0_noled },
 { 133226, ur_m644rfr2_u1x12_uart0_noled_pr_u4 },
 { 133227, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 { 133228, ur_m644rfr2_u1x12_uart0_noled_pr_ee },
 { 133229, ur_m644rfr2_u1x12_uart0_noled_pr_ce },
 { 133230, ur_m644rfr2_u1x12_uart0_noled_pr_ce_u4 },
 { 133231, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 133232, ur_m644rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 133234, ur_m644rfr2_u1x12_uart0_noled_ee_hw },
 { 133236, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 133237, ur_m644rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 133238, ur_m644rfr2_u1x12_uart0_lednop },
 { 133239, ur_m644rfr2_u1x12_uart0_lednop },
 { 133240, ur_m644rfr2_u1x12_uart0_lednop_pr_u4 },
 { 133241, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 { 133242, ur_m644rfr2_u1x12_uart0_lednop_pr_ee },
 { 133243, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 { 133244, ur_m644rfr2_u1x12_uart0_lednop_pr_ce },
 { 133245, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 133246, ur_m644rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 133248, ur_m644rfr2_u1x12_uart0_lednop_ee_hw },
 { 133250, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 133251, ur_m644rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 133252, ur_m644rfr2_u1x12_uart0_dual },
 { 133253, ur_m644rfr2_u1x12_uart0_dual },
 { 133254, ur_m644rfr2_u1x12_uart0_dual },
 { 133255, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 { 133256, ur_m644rfr2_u1x12_uart0_dual_pr_ee },
 { 133257, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 { 133258, ur_m644rfr2_u1x12_uart0_dual_pr_ce },
 { 133259, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 133260, ur_m644rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 133262, ur_m644rfr2_u1x12_uart0_dual_ee_hw },
 { 133264, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 133265, ur_m644rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 133308, ur_m644rfr2_u1x12_uart1_noled },
 { 133309, ur_m644rfr2_u1x12_uart1_noled },
 { 133310, ur_m644rfr2_u1x12_uart1_noled_pr_u4 },
 { 133311, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 { 133312, ur_m644rfr2_u1x12_uart1_noled_pr_ee },
 { 133313, ur_m644rfr2_u1x12_uart1_noled_pr_ce },
 { 133314, ur_m644rfr2_u1x12_uart1_noled_pr_ce_u4 },
 { 133315, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 133316, ur_m644rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 133318, ur_m644rfr2_u1x12_uart1_noled_ee_hw },
 { 133320, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 133321, ur_m644rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 133322, ur_m644rfr2_u1x12_uart1_lednop },
 { 133323, ur_m644rfr2_u1x12_uart1_lednop },
 { 133324, ur_m644rfr2_u1x12_uart1_lednop_pr_u4 },
 { 133325, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 { 133326, ur_m644rfr2_u1x12_uart1_lednop_pr_ee },
 { 133327, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 { 133328, ur_m644rfr2_u1x12_uart1_lednop_pr_ce },
 { 133329, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 133330, ur_m644rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 133332, ur_m644rfr2_u1x12_uart1_lednop_ee_hw },
 { 133334, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 133335, ur_m644rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 133336, ur_m644rfr2_u1x12_uart1_dual },
 { 133337, ur_m644rfr2_u1x12_uart1_dual },
 { 133338, ur_m644rfr2_u1x12_uart1_dual },
 { 133339, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 { 133340, ur_m644rfr2_u1x12_uart1_dual_pr_ee },
 { 133341, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 { 133342, ur_m644rfr2_u1x12_uart1_dual_pr_ce },
 { 133343, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 133344, ur_m644rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 133346, ur_m644rfr2_u1x12_uart1_dual_ee_hw },
 { 133348, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 133349, ur_m644rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 133350, ur_m640_u1x12_uart2_noled },
 { 133351, ur_m640_u1x12_uart2_noled },
 { 133352, ur_m640_u1x12_uart2_noled_pr_u4 },
 { 133353, ur_m640_u1x12_uart2_noled_pr_ee },
 { 133354, ur_m640_u1x12_uart2_noled_pr_ee },
 { 133355, ur_m640_u1x12_uart2_noled_pr_ce },
 { 133356, ur_m640_u1x12_uart2_noled_pr_ce_u4 },
 { 133357, ur_m640_u1x12_uart2_noled_pr_ee_ce },
 { 133358, ur_m640_u1x12_uart2_noled_pr_ee_ce },
 { 133360, ur_m640_u1x12_uart2_noled_ee_hw },
 { 133362, ur_m640_u1x12_uart2_noled_ee_ce_hw },
 { 133363, ur_m640_u1x12_uart2_noled_ee_ce_hw },
 { 133364, ur_m640_u1x12_uart2_lednop },
 { 133365, ur_m640_u1x12_uart2_lednop },
 { 133366, ur_m640_u1x12_uart2_lednop_pr_u4 },
 { 133367, ur_m640_u1x12_uart2_lednop_pr_ee },
 { 133368, ur_m640_u1x12_uart2_lednop_pr_ee },
 { 133369, ur_m640_u1x12_uart2_lednop_pr_ce },
 { 133370, ur_m640_u1x12_uart2_lednop_pr_ce },
 { 133371, ur_m640_u1x12_uart2_lednop_pr_ee_ce },
 { 133372, ur_m640_u1x12_uart2_lednop_pr_ee_ce },
 { 133374, ur_m640_u1x12_uart2_lednop_ee_hw },
 { 133376, ur_m640_u1x12_uart2_lednop_ee_ce_hw },
 { 133377, ur_m640_u1x12_uart2_lednop_ee_ce_hw },
 { 133378, ur_m640_u1x12_uart2_dual },
 { 133379, ur_m640_u1x12_uart2_dual },
 { 133380, ur_m640_u1x12_uart2_dual },
 { 133381, ur_m640_u1x12_uart2_dual_pr_ee },
 { 133382, ur_m640_u1x12_uart2_dual_pr_ee },
 { 133383, ur_m640_u1x12_uart2_dual_pr_ce },
 { 133384, ur_m640_u1x12_uart2_dual_pr_ce },
 { 133385, ur_m640_u1x12_uart2_dual_pr_ee_ce },
 { 133386, ur_m640_u1x12_uart2_dual_pr_ee_ce_u4 },
 { 133388, ur_m640_u1x12_uart2_dual_ee_hw },
 { 133390, ur_m640_u1x12_uart2_dual_ee_ce_hw },
 { 133391, ur_m640_u1x12_uart2_dual_ee_ce_hw },
 { 133392, ur_m640_u1x12_uart3_noled },
 { 133393, ur_m640_u1x12_uart3_noled },
 { 133394, ur_m640_u1x12_uart3_noled_pr_u4 },
 { 133395, ur_m640_u1x12_uart3_noled_pr_ee },
 { 133396, ur_m640_u1x12_uart3_noled_pr_ee },
 { 133397, ur_m640_u1x12_uart3_noled_pr_ce },
 { 133398, ur_m640_u1x12_uart3_noled_pr_ce_u4 },
 { 133399, ur_m640_u1x12_uart3_noled_pr_ee_ce },
 { 133400, ur_m640_u1x12_uart3_noled_pr_ee_ce },
 { 133402, ur_m640_u1x12_uart3_noled_ee_hw },
 { 133404, ur_m640_u1x12_uart3_noled_ee_ce_hw },
 { 133405, ur_m640_u1x12_uart3_noled_ee_ce_hw },
 { 133406, ur_m640_u1x12_uart3_lednop },
 { 133407, ur_m640_u1x12_uart3_lednop },
 { 133408, ur_m640_u1x12_uart3_lednop_pr_u4 },
 { 133409, ur_m640_u1x12_uart3_lednop_pr_ee },
 { 133410, ur_m640_u1x12_uart3_lednop_pr_ee },
 { 133411, ur_m640_u1x12_uart3_lednop_pr_ce },
 { 133412, ur_m640_u1x12_uart3_lednop_pr_ce },
 { 133413, ur_m640_u1x12_uart3_lednop_pr_ee_ce },
 { 133414, ur_m640_u1x12_uart3_lednop_pr_ee_ce },
 { 133416, ur_m640_u1x12_uart3_lednop_ee_hw },
 { 133418, ur_m640_u1x12_uart3_lednop_ee_ce_hw },
 { 133419, ur_m640_u1x12_uart3_lednop_ee_ce_hw },
 { 133420, ur_m640_u1x12_uart3_dual },
 { 133421, ur_m640_u1x12_uart3_dual },
 { 133422, ur_m640_u1x12_uart3_dual },
 { 133423, ur_m640_u1x12_uart3_dual_pr_ee },
 { 133424, ur_m640_u1x12_uart3_dual_pr_ee },
 { 133425, ur_m640_u1x12_uart3_dual_pr_ce },
 { 133426, ur_m640_u1x12_uart3_dual_pr_ce },
 { 133427, ur_m640_u1x12_uart3_dual_pr_ee_ce },
 { 133428, ur_m640_u1x12_uart3_dual_pr_ee_ce_u4 },
 { 133430, ur_m640_u1x12_uart3_dual_ee_hw },
 { 133432, ur_m640_u1x12_uart3_dual_ee_ce_hw },
 { 133433, ur_m640_u1x12_uart3_dual_ee_ce_hw },
 { 133434, ur_m644rfr2_u2x8_uart0_noled },
 { 133435, ur_m644rfr2_u2x8_uart0_noled },
 { 133436, ur_m644rfr2_u2x8_uart0_noled_pr_u4 },
 { 133437, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 { 133438, ur_m644rfr2_u2x8_uart0_noled_pr_ee },
 { 133439, ur_m644rfr2_u2x8_uart0_noled_pr_ce },
 { 133440, ur_m644rfr2_u2x8_uart0_noled_pr_ce_u4 },
 { 133441, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 133442, ur_m644rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 133444, ur_m644rfr2_u2x8_uart0_noled_ee_hw },
 { 133446, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 133447, ur_m644rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 133448, ur_m644rfr2_u2x8_uart0_lednop },
 { 133449, ur_m644rfr2_u2x8_uart0_lednop },
 { 133450, ur_m644rfr2_u2x8_uart0_lednop_pr_u4 },
 { 133451, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 { 133452, ur_m644rfr2_u2x8_uart0_lednop_pr_ee },
 { 133453, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 { 133454, ur_m644rfr2_u2x8_uart0_lednop_pr_ce },
 { 133455, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 133456, ur_m644rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 133458, ur_m644rfr2_u2x8_uart0_lednop_ee_hw },
 { 133460, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 133461, ur_m644rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 133462, ur_m644rfr2_u2x8_uart0_dual },
 { 133463, ur_m644rfr2_u2x8_uart0_dual },
 { 133464, ur_m644rfr2_u2x8_uart0_dual },
 { 133465, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 { 133466, ur_m644rfr2_u2x8_uart0_dual_pr_ee },
 { 133467, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 { 133468, ur_m644rfr2_u2x8_uart0_dual_pr_ce },
 { 133469, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 133470, ur_m644rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 133472, ur_m644rfr2_u2x8_uart0_dual_ee_hw },
 { 133474, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 133475, ur_m644rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 133518, ur_m644rfr2_u2x8_uart1_noled },
 { 133519, ur_m644rfr2_u2x8_uart1_noled },
 { 133520, ur_m644rfr2_u2x8_uart1_noled_pr_u4 },
 { 133521, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 { 133522, ur_m644rfr2_u2x8_uart1_noled_pr_ee },
 { 133523, ur_m644rfr2_u2x8_uart1_noled_pr_ce },
 { 133524, ur_m644rfr2_u2x8_uart1_noled_pr_ce_u4 },
 { 133525, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 133526, ur_m644rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 133528, ur_m644rfr2_u2x8_uart1_noled_ee_hw },
 { 133530, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 133531, ur_m644rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 133532, ur_m644rfr2_u2x8_uart1_lednop },
 { 133533, ur_m644rfr2_u2x8_uart1_lednop },
 { 133534, ur_m644rfr2_u2x8_uart1_lednop_pr_u4 },
 { 133535, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 { 133536, ur_m644rfr2_u2x8_uart1_lednop_pr_ee },
 { 133537, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 { 133538, ur_m644rfr2_u2x8_uart1_lednop_pr_ce },
 { 133539, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 133540, ur_m644rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 133542, ur_m644rfr2_u2x8_uart1_lednop_ee_hw },
 { 133544, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 133545, ur_m644rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 133546, ur_m644rfr2_u2x8_uart1_dual },
 { 133547, ur_m644rfr2_u2x8_uart1_dual },
 { 133548, ur_m644rfr2_u2x8_uart1_dual },
 { 133549, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 { 133550, ur_m644rfr2_u2x8_uart1_dual_pr_ee },
 { 133551, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 { 133552, ur_m644rfr2_u2x8_uart1_dual_pr_ce },
 { 133553, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 133554, ur_m644rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 133556, ur_m644rfr2_u2x8_uart1_dual_ee_hw },
 { 133558, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 133559, ur_m644rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 133560, ur_m640_u2x8_uart2_noled },
 { 133561, ur_m640_u2x8_uart2_noled },
 { 133562, ur_m640_u2x8_uart2_noled_pr_u4 },
 { 133563, ur_m640_u2x8_uart2_noled_pr_ee },
 { 133564, ur_m640_u2x8_uart2_noled_pr_ee },
 { 133565, ur_m640_u2x8_uart2_noled_pr_ce },
 { 133566, ur_m640_u2x8_uart2_noled_pr_ce_u4 },
 { 133567, ur_m640_u2x8_uart2_noled_pr_ee_ce },
 { 133568, ur_m640_u2x8_uart2_noled_pr_ee_ce },
 { 133570, ur_m640_u2x8_uart2_noled_ee_hw },
 { 133572, ur_m640_u2x8_uart2_noled_ee_ce_hw },
 { 133573, ur_m640_u2x8_uart2_noled_ee_ce_hw },
 { 133574, ur_m640_u2x8_uart2_lednop },
 { 133575, ur_m640_u2x8_uart2_lednop },
 { 133576, ur_m640_u2x8_uart2_lednop_pr_u4 },
 { 133577, ur_m640_u2x8_uart2_lednop_pr_ee },
 { 133578, ur_m640_u2x8_uart2_lednop_pr_ee },
 { 133579, ur_m640_u2x8_uart2_lednop_pr_ce },
 { 133580, ur_m640_u2x8_uart2_lednop_pr_ce },
 { 133581, ur_m640_u2x8_uart2_lednop_pr_ee_ce },
 { 133582, ur_m640_u2x8_uart2_lednop_pr_ee_ce },
 { 133584, ur_m640_u2x8_uart2_lednop_ee_hw },
 { 133586, ur_m640_u2x8_uart2_lednop_ee_ce_hw },
 { 133587, ur_m640_u2x8_uart2_lednop_ee_ce_hw },
 { 133588, ur_m640_u2x8_uart2_dual },
 { 133589, ur_m640_u2x8_uart2_dual },
 { 133590, ur_m640_u2x8_uart2_dual },
 { 133591, ur_m640_u2x8_uart2_dual_pr_ee },
 { 133592, ur_m640_u2x8_uart2_dual_pr_ee },
 { 133593, ur_m640_u2x8_uart2_dual_pr_ce },
 { 133594, ur_m640_u2x8_uart2_dual_pr_ce },
 { 133595, ur_m640_u2x8_uart2_dual_pr_ee_ce },
 { 133596, ur_m640_u2x8_uart2_dual_pr_ee_ce_u4 },
 { 133598, ur_m640_u2x8_uart2_dual_ee_hw },
 { 133600, ur_m640_u2x8_uart2_dual_ee_ce_hw },
 { 133601, ur_m640_u2x8_uart2_dual_ee_ce_hw },
 { 133602, ur_m640_u2x8_uart3_noled },
 { 133603, ur_m640_u2x8_uart3_noled },
 { 133604, ur_m640_u2x8_uart3_noled_pr_u4 },
 { 133605, ur_m640_u2x8_uart3_noled_pr_ee },
 { 133606, ur_m640_u2x8_uart3_noled_pr_ee },
 { 133607, ur_m640_u2x8_uart3_noled_pr_ce },
 { 133608, ur_m640_u2x8_uart3_noled_pr_ce_u4 },
 { 133609, ur_m640_u2x8_uart3_noled_pr_ee_ce },
 { 133610, ur_m640_u2x8_uart3_noled_pr_ee_ce },
 { 133612, ur_m640_u2x8_uart3_noled_ee_hw },
 { 133614, ur_m640_u2x8_uart3_noled_ee_ce_hw },
 { 133615, ur_m640_u2x8_uart3_noled_ee_ce_hw },
 { 133616, ur_m640_u2x8_uart3_lednop },
 { 133617, ur_m640_u2x8_uart3_lednop },
 { 133618, ur_m640_u2x8_uart3_lednop_pr_u4 },
 { 133619, ur_m640_u2x8_uart3_lednop_pr_ee },
 { 133620, ur_m640_u2x8_uart3_lednop_pr_ee },
 { 133621, ur_m640_u2x8_uart3_lednop_pr_ce },
 { 133622, ur_m640_u2x8_uart3_lednop_pr_ce },
 { 133623, ur_m640_u2x8_uart3_lednop_pr_ee_ce },
 { 133624, ur_m640_u2x8_uart3_lednop_pr_ee_ce },
 { 133626, ur_m640_u2x8_uart3_lednop_ee_hw },
 { 133628, ur_m640_u2x8_uart3_lednop_ee_ce_hw },
 { 133629, ur_m640_u2x8_uart3_lednop_ee_ce_hw },
 { 133630, ur_m640_u2x8_uart3_dual },
 { 133631, ur_m640_u2x8_uart3_dual },
 { 133632, ur_m640_u2x8_uart3_dual },
 { 133633, ur_m640_u2x8_uart3_dual_pr_ee },
 { 133634, ur_m640_u2x8_uart3_dual_pr_ee },
 { 133635, ur_m640_u2x8_uart3_dual_pr_ce },
 { 133636, ur_m640_u2x8_uart3_dual_pr_ce },
 { 133637, ur_m640_u2x8_uart3_dual_pr_ee_ce },
 { 133638, ur_m640_u2x8_uart3_dual_pr_ee_ce_u4 },
 { 133640, ur_m640_u2x8_uart3_dual_ee_hw },
 { 133642, ur_m640_u2x8_uart3_dual_ee_ce_hw },
 { 133643, ur_m640_u2x8_uart3_dual_ee_ce_hw },
 { 133644, ur_m644rfr2_u2x12_uart0_noled },
 { 133645, ur_m644rfr2_u2x12_uart0_noled },
 { 133646, ur_m644rfr2_u2x12_uart0_noled_pr_u4 },
 { 133647, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 { 133648, ur_m644rfr2_u2x12_uart0_noled_pr_ee },
 { 133649, ur_m644rfr2_u2x12_uart0_noled_pr_ce },
 { 133650, ur_m644rfr2_u2x12_uart0_noled_pr_ce_u4 },
 { 133651, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 133652, ur_m644rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 133654, ur_m644rfr2_u2x12_uart0_noled_ee_hw },
 { 133656, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 133657, ur_m644rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 133658, ur_m644rfr2_u2x12_uart0_lednop },
 { 133659, ur_m644rfr2_u2x12_uart0_lednop },
 { 133660, ur_m644rfr2_u2x12_uart0_lednop_pr_u4 },
 { 133661, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 { 133662, ur_m644rfr2_u2x12_uart0_lednop_pr_ee },
 { 133663, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 { 133664, ur_m644rfr2_u2x12_uart0_lednop_pr_ce },
 { 133665, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 133666, ur_m644rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 133668, ur_m644rfr2_u2x12_uart0_lednop_ee_hw },
 { 133670, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 133671, ur_m644rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 133672, ur_m644rfr2_u2x12_uart0_dual },
 { 133673, ur_m644rfr2_u2x12_uart0_dual },
 { 133674, ur_m644rfr2_u2x12_uart0_dual },
 { 133675, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 { 133676, ur_m644rfr2_u2x12_uart0_dual_pr_ee },
 { 133677, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 { 133678, ur_m644rfr2_u2x12_uart0_dual_pr_ce },
 { 133679, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 133680, ur_m644rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 133682, ur_m644rfr2_u2x12_uart0_dual_ee_hw },
 { 133684, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 133685, ur_m644rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 133728, ur_m644rfr2_u2x12_uart1_noled },
 { 133729, ur_m644rfr2_u2x12_uart1_noled },
 { 133730, ur_m644rfr2_u2x12_uart1_noled_pr_u4 },
 { 133731, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 { 133732, ur_m644rfr2_u2x12_uart1_noled_pr_ee },
 { 133733, ur_m644rfr2_u2x12_uart1_noled_pr_ce },
 { 133734, ur_m644rfr2_u2x12_uart1_noled_pr_ce_u4 },
 { 133735, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 133736, ur_m644rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 133738, ur_m644rfr2_u2x12_uart1_noled_ee_hw },
 { 133740, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 133741, ur_m644rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 133742, ur_m644rfr2_u2x12_uart1_lednop },
 { 133743, ur_m644rfr2_u2x12_uart1_lednop },
 { 133744, ur_m644rfr2_u2x12_uart1_lednop_pr_u4 },
 { 133745, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 { 133746, ur_m644rfr2_u2x12_uart1_lednop_pr_ee },
 { 133747, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 { 133748, ur_m644rfr2_u2x12_uart1_lednop_pr_ce },
 { 133749, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 133750, ur_m644rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 133752, ur_m644rfr2_u2x12_uart1_lednop_ee_hw },
 { 133754, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 133755, ur_m644rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 133756, ur_m644rfr2_u2x12_uart1_dual },
 { 133757, ur_m644rfr2_u2x12_uart1_dual },
 { 133758, ur_m644rfr2_u2x12_uart1_dual },
 { 133759, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 { 133760, ur_m644rfr2_u2x12_uart1_dual_pr_ee },
 { 133761, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 { 133762, ur_m644rfr2_u2x12_uart1_dual_pr_ce },
 { 133763, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 133764, ur_m644rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 133766, ur_m644rfr2_u2x12_uart1_dual_ee_hw },
 { 133768, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 133769, ur_m644rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 133770, ur_m640_u2x12_uart2_noled },
 { 133771, ur_m640_u2x12_uart2_noled },
 { 133772, ur_m640_u2x12_uart2_noled_pr_u4 },
 { 133773, ur_m640_u2x12_uart2_noled_pr_ee },
 { 133774, ur_m640_u2x12_uart2_noled_pr_ee },
 { 133775, ur_m640_u2x12_uart2_noled_pr_ce },
 { 133776, ur_m640_u2x12_uart2_noled_pr_ce_u4 },
 { 133777, ur_m640_u2x12_uart2_noled_pr_ee_ce },
 { 133778, ur_m640_u2x12_uart2_noled_pr_ee_ce },
 { 133780, ur_m640_u2x12_uart2_noled_ee_hw },
 { 133782, ur_m640_u2x12_uart2_noled_ee_ce_hw },
 { 133783, ur_m640_u2x12_uart2_noled_ee_ce_hw },
 { 133784, ur_m640_u2x12_uart2_lednop },
 { 133785, ur_m640_u2x12_uart2_lednop },
 { 133786, ur_m640_u2x12_uart2_lednop_pr_u4 },
 { 133787, ur_m640_u2x12_uart2_lednop_pr_ee },
 { 133788, ur_m640_u2x12_uart2_lednop_pr_ee },
 { 133789, ur_m640_u2x12_uart2_lednop_pr_ce },
 { 133790, ur_m640_u2x12_uart2_lednop_pr_ce },
 { 133791, ur_m640_u2x12_uart2_lednop_pr_ee_ce },
 { 133792, ur_m640_u2x12_uart2_lednop_pr_ee_ce },
 { 133794, ur_m640_u2x12_uart2_lednop_ee_hw },
 { 133796, ur_m640_u2x12_uart2_lednop_ee_ce_hw },
 { 133797, ur_m640_u2x12_uart2_lednop_ee_ce_hw },
 { 133798, ur_m640_u2x12_uart2_dual },
 { 133799, ur_m640_u2x12_uart2_dual },
 { 133800, ur_m640_u2x12_uart2_dual },
 { 133801, ur_m640_u2x12_uart2_dual_pr_ee },
 { 133802, ur_m640_u2x12_uart2_dual_pr_ee },
 { 133803, ur_m640_u2x12_uart2_dual_pr_ce },
 { 133804, ur_m640_u2x12_uart2_dual_pr_ce },
 { 133805, ur_m640_u2x12_uart2_dual_pr_ee_ce },
 { 133806, ur_m640_u2x12_uart2_dual_pr_ee_ce_u4 },
 { 133808, ur_m640_u2x12_uart2_dual_ee_hw },
 { 133810, ur_m640_u2x12_uart2_dual_ee_ce_hw },
 { 133811, ur_m640_u2x12_uart2_dual_ee_ce_hw },
 { 133812, ur_m640_u2x12_uart3_noled },
 { 133813, ur_m640_u2x12_uart3_noled },
 { 133814, ur_m640_u2x12_uart3_noled_pr_u4 },
 { 133815, ur_m640_u2x12_uart3_noled_pr_ee },
 { 133816, ur_m640_u2x12_uart3_noled_pr_ee },
 { 133817, ur_m640_u2x12_uart3_noled_pr_ce },
 { 133818, ur_m640_u2x12_uart3_noled_pr_ce_u4 },
 { 133819, ur_m640_u2x12_uart3_noled_pr_ee_ce },
 { 133820, ur_m640_u2x12_uart3_noled_pr_ee_ce },
 { 133822, ur_m640_u2x12_uart3_noled_ee_hw },
 { 133824, ur_m640_u2x12_uart3_noled_ee_ce_hw },
 { 133825, ur_m640_u2x12_uart3_noled_ee_ce_hw },
 { 133826, ur_m640_u2x12_uart3_lednop },
 { 133827, ur_m640_u2x12_uart3_lednop },
 { 133828, ur_m640_u2x12_uart3_lednop_pr_u4 },
 { 133829, ur_m640_u2x12_uart3_lednop_pr_ee },
 { 133830, ur_m640_u2x12_uart3_lednop_pr_ee },
 { 133831, ur_m640_u2x12_uart3_lednop_pr_ce },
 { 133832, ur_m640_u2x12_uart3_lednop_pr_ce },
 { 133833, ur_m640_u2x12_uart3_lednop_pr_ee_ce },
 { 133834, ur_m640_u2x12_uart3_lednop_pr_ee_ce },
 { 133836, ur_m640_u2x12_uart3_lednop_ee_hw },
 { 133838, ur_m640_u2x12_uart3_lednop_ee_ce_hw },
 { 133839, ur_m640_u2x12_uart3_lednop_ee_ce_hw },
 { 133840, ur_m640_u2x12_uart3_dual },
 { 133841, ur_m640_u2x12_uart3_dual },
 { 133842, ur_m640_u2x12_uart3_dual },
 { 133843, ur_m640_u2x12_uart3_dual_pr_ee },
 { 133844, ur_m640_u2x12_uart3_dual_pr_ee },
 { 133845, ur_m640_u2x12_uart3_dual_pr_ce },
 { 133846, ur_m640_u2x12_uart3_dual_pr_ce },
 { 133847, ur_m640_u2x12_uart3_dual_pr_ee_ce },
 { 133848, ur_m640_u2x12_uart3_dual_pr_ee_ce_u4 },
 { 133850, ur_m640_u2x12_uart3_dual_ee_hw },
 { 133852, ur_m640_u2x12_uart3_dual_ee_ce_hw },
 { 133853, ur_m640_u2x12_uart3_dual_ee_ce_hw },
 { 133854, ur_m644rfr2_swio10_noled },
 { 133855, ur_m644rfr2_swio10_noled },
 { 133856, ur_m644rfr2_swio10_noled_pr_u4 },
 { 133857, ur_m644rfr2_swio10_noled_pr_ee },
 { 133858, ur_m644rfr2_swio10_noled_pr_ee },
 { 133859, ur_m644rfr2_swio10_noled_pr_ce },
 { 133860, ur_m644rfr2_swio10_noled_pr_ce },
 { 133861, ur_m644rfr2_swio10_noled_pr_ee_ce },
 { 133862, ur_m644rfr2_swio10_noled_pr_ee_ce },
 { 133864, ur_m644rfr2_swio10_noled_ee_hw },
 { 133866, ur_m644rfr2_swio10_noled_ee_ce_hw },
 { 133867, ur_m644rfr2_swio10_noled_ee_ce_hw },
 { 133868, ur_m644rfr2_swio10_lednop },
 { 133869, ur_m644rfr2_swio10_lednop },
 { 133870, ur_m644rfr2_swio10_lednop_pr_u4 },
 { 133871, ur_m644rfr2_swio10_lednop_pr_ee },
 { 133872, ur_m644rfr2_swio10_lednop_pr_ee },
 { 133873, ur_m644rfr2_swio10_lednop_pr_ce },
 { 133874, ur_m644rfr2_swio10_lednop_pr_ce },
 { 133875, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 { 133876, ur_m644rfr2_swio10_lednop_pr_ee_ce },
 { 133878, ur_m644rfr2_swio10_lednop_ee_hw },
 { 133880, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 { 133881, ur_m644rfr2_swio10_lednop_ee_ce_hw },
 { 133882, ur_m644rfr2_swio10_dual },
 { 133883, ur_m644rfr2_swio10_dual },
 { 133884, ur_m644rfr2_swio10_dual },
 { 133885, ur_m644rfr2_swio10_dual_pr_ee },
 { 133886, ur_m644rfr2_swio10_dual_pr_ee_u4 },
 { 133887, ur_m644rfr2_swio10_dual_pr_ce },
 { 133888, ur_m644rfr2_swio10_dual_pr_ce },
 { 133889, ur_m644rfr2_swio10_dual_pr_ee_ce },
 { 133890, ur_m644rfr2_swio10_dual_pr_ee_ce_u4 },
 { 133892, ur_m644rfr2_swio10_dual_ee_hw },
 { 133894, ur_m644rfr2_swio10_dual_ee_ce_hw },
 { 133895, ur_m644rfr2_swio10_dual_ee_ce_hw },
 { 133896, ur_m644rfr2_swio11_noled },
 { 133897, ur_m644rfr2_swio11_noled },
 { 133898, ur_m644rfr2_swio11_noled_pr_u4 },
 { 133899, ur_m644rfr2_swio11_noled_pr_ee },
 { 133900, ur_m644rfr2_swio11_noled_pr_ee },
 { 133901, ur_m644rfr2_swio11_noled_pr_ce },
 { 133902, ur_m644rfr2_swio11_noled_pr_ce },
 { 133903, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 133904, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 133906, ur_m644rfr2_swio11_noled_ee_hw },
 { 133908, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 133909, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 133910, ur_m644rfr2_swio11_lednop },
 { 133911, ur_m644rfr2_swio11_lednop_pr },
 { 133912, ur_m644rfr2_swio11_lednop_pr },
 { 133913, ur_m644rfr2_swio11_lednop_pr_ee },
 { 133914, ur_m644rfr2_swio11_lednop_pr_ee },
 { 133915, ur_m644rfr2_swio11_lednop_pr_ce },
 { 133916, ur_m644rfr2_swio11_lednop_pr_ce },
 { 133917, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 133918, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 133920, ur_m644rfr2_swio11_lednop_ee_hw },
 { 133922, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 133923, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 133924, ur_m644rfr2_swio11_dual },
 { 133925, ur_m644rfr2_swio11_dual },
 { 133926, ur_m644rfr2_swio11_dual },
 { 133927, ur_m644rfr2_swio11_dual_pr_ee },
 { 133928, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 { 133929, ur_m644rfr2_swio11_dual_pr_ce },
 { 133930, ur_m644rfr2_swio11_dual_pr_ce },
 { 133931, ur_m644rfr2_swio11_dual_pr_ee_ce },
 { 133932, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 { 133934, ur_m644rfr2_swio11_dual_ee_hw },
 { 133936, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 133937, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 133938, ur_m644rfr2_swio11_noled },
 { 133939, ur_m644rfr2_swio11_noled },
 { 133940, ur_m644rfr2_swio11_noled_pr_u4 },
 { 133941, ur_m644rfr2_swio11_noled_pr_ee },
 { 133942, ur_m644rfr2_swio11_noled_pr_ee },
 { 133943, ur_m644rfr2_swio11_noled_pr_ce },
 { 133944, ur_m644rfr2_swio11_noled_pr_ce },
 { 133945, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 133946, ur_m644rfr2_swio11_noled_pr_ee_ce },
 { 133948, ur_m644rfr2_swio11_noled_ee_hw },
 { 133950, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 133951, ur_m644rfr2_swio11_noled_ee_ce_hw },
 { 133952, ur_m644rfr2_swio11_lednop },
 { 133953, ur_m644rfr2_swio11_lednop_pr },
 { 133954, ur_m644rfr2_swio11_lednop_pr },
 { 133955, ur_m644rfr2_swio11_lednop_pr_ee },
 { 133956, ur_m644rfr2_swio11_lednop_pr_ee },
 { 133957, ur_m644rfr2_swio11_lednop_pr_ce },
 { 133958, ur_m644rfr2_swio11_lednop_pr_ce },
 { 133959, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 133960, ur_m644rfr2_swio11_lednop_pr_ee_ce },
 { 133962, ur_m644rfr2_swio11_lednop_ee_hw },
 { 133964, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 133965, ur_m644rfr2_swio11_lednop_ee_ce_hw },
 { 133966, ur_m644rfr2_swio11_dual },
 { 133967, ur_m644rfr2_swio11_dual },
 { 133968, ur_m644rfr2_swio11_dual },
 { 133969, ur_m644rfr2_swio11_dual_pr_ee },
 { 133970, ur_m644rfr2_swio11_dual_pr_ee_u4 },
 { 133971, ur_m644rfr2_swio11_dual_pr_ce },
 { 133972, ur_m644rfr2_swio11_dual_pr_ce },
 { 133973, ur_m644rfr2_swio11_dual_pr_ee_ce },
 { 133974, ur_m644rfr2_swio11_dual_pr_ee_ce_u4 },
 { 133976, ur_m644rfr2_swio11_dual_ee_hw },
 { 133978, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 133979, ur_m644rfr2_swio11_dual_ee_ce_hw },
 { 133980, ur_m644rfr2_swio13_noled },
 { 133981, ur_m644rfr2_swio13_noled },
 { 133982, ur_m644rfr2_swio13_noled_pr_u4 },
 { 133983, ur_m644rfr2_swio13_noled_pr_ee },
 { 133984, ur_m644rfr2_swio13_noled_pr_ee },
 { 133985, ur_m644rfr2_swio13_noled_pr_ce },
 { 133986, ur_m644rfr2_swio13_noled_pr_ce },
 { 133987, ur_m644rfr2_swio13_noled_pr_ee_ce },
 { 133988, ur_m644rfr2_swio13_noled_pr_ee_ce },
 { 133990, ur_m644rfr2_swio13_noled_ee_hw },
 { 133992, ur_m644rfr2_swio13_noled_ee_ce_hw },
 { 133993, ur_m644rfr2_swio13_noled_ee_ce_hw },
 { 133994, ur_m644rfr2_swio13_lednop },
 { 133995, ur_m644rfr2_swio13_lednop_pr },
 { 133996, ur_m644rfr2_swio13_lednop_pr },
 { 133997, ur_m644rfr2_swio13_lednop_pr_ee },
 { 133998, ur_m644rfr2_swio13_lednop_pr_ee },
 { 133999, ur_m644rfr2_swio13_lednop_pr_ce },
 { 134000, ur_m644rfr2_swio13_lednop_pr_ce },
 { 134001, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 { 134002, ur_m644rfr2_swio13_lednop_pr_ee_ce },
 { 134004, ur_m644rfr2_swio13_lednop_ee_hw },
 { 134006, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 { 134007, ur_m644rfr2_swio13_lednop_ee_ce_hw },
 { 134008, ur_m644rfr2_swio13_dual },
 { 134009, ur_m644rfr2_swio13_dual },
 { 134010, ur_m644rfr2_swio13_dual },
 { 134011, ur_m644rfr2_swio13_dual_pr_ee },
 { 134012, ur_m644rfr2_swio13_dual_pr_ee_u4 },
 { 134013, ur_m644rfr2_swio13_dual_pr_ce },
 { 134014, ur_m644rfr2_swio13_dual_pr_ce },
 { 134015, ur_m644rfr2_swio13_dual_pr_ee_ce },
 { 134016, ur_m644rfr2_swio13_dual_pr_ee_ce_u4 },
 { 134018, ur_m644rfr2_swio13_dual_ee_hw },
 { 134020, ur_m644rfr2_swio13_dual_ee_ce_hw },
 { 134021, ur_m644rfr2_swio13_dual_ee_ce_hw },
 { 134022, ur_m644rfr2_swio14_noled },
 { 134023, ur_m644rfr2_swio14_noled },
 { 134024, ur_m644rfr2_swio14_noled_pr_u4 },
 { 134025, ur_m644rfr2_swio14_noled_pr_ee },
 { 134026, ur_m644rfr2_swio14_noled_pr_ee },
 { 134027, ur_m644rfr2_swio14_noled_pr_ce },
 { 134028, ur_m644rfr2_swio14_noled_pr_ce },
 { 134029, ur_m644rfr2_swio14_noled_pr_ee_ce },
 { 134030, ur_m644rfr2_swio14_noled_pr_ee_ce },
 { 134032, ur_m644rfr2_swio14_noled_ee_hw },
 { 134034, ur_m644rfr2_swio14_noled_ee_ce_hw },
 { 134035, ur_m644rfr2_swio14_noled_ee_ce_hw },
 { 134036, ur_m644rfr2_swio14_lednop },
 { 134037, ur_m644rfr2_swio14_lednop_pr },
 { 134038, ur_m644rfr2_swio14_lednop_pr },
 { 134039, ur_m644rfr2_swio14_lednop_pr_ee },
 { 134040, ur_m644rfr2_swio14_lednop_pr_ee },
 { 134041, ur_m644rfr2_swio14_lednop_pr_ce },
 { 134042, ur_m644rfr2_swio14_lednop_pr_ce },
 { 134043, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 { 134044, ur_m644rfr2_swio14_lednop_pr_ee_ce },
 { 134046, ur_m644rfr2_swio14_lednop_ee_hw },
 { 134048, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 { 134049, ur_m644rfr2_swio14_lednop_ee_ce_hw },
 { 134050, ur_m644rfr2_swio14_dual },
 { 134051, ur_m644rfr2_swio14_dual },
 { 134052, ur_m644rfr2_swio14_dual },
 { 134053, ur_m644rfr2_swio14_dual_pr_ee },
 { 134054, ur_m644rfr2_swio14_dual_pr_ee_u4 },
 { 134055, ur_m644rfr2_swio14_dual_pr_ce },
 { 134056, ur_m644rfr2_swio14_dual_pr_ce },
 { 134057, ur_m644rfr2_swio14_dual_pr_ee_ce },
 { 134058, ur_m644rfr2_swio14_dual_pr_ee_ce_u4 },
 { 134060, ur_m644rfr2_swio14_dual_ee_hw },
 { 134062, ur_m644rfr2_swio14_dual_ee_ce_hw },
 { 134063, ur_m644rfr2_swio14_dual_ee_ce_hw },
 { 134064, ur_m644rfr2_swio15_noled },
 { 134065, ur_m644rfr2_swio15_noled },
 { 134066, ur_m644rfr2_swio15_noled_pr_u4 },
 { 134067, ur_m644rfr2_swio15_noled_pr_ee },
 { 134068, ur_m644rfr2_swio15_noled_pr_ee },
 { 134069, ur_m644rfr2_swio15_noled_pr_ce },
 { 134070, ur_m644rfr2_swio15_noled_pr_ce },
 { 134071, ur_m644rfr2_swio15_noled_pr_ee_ce },
 { 134072, ur_m644rfr2_swio15_noled_pr_ee_ce },
 { 134074, ur_m644rfr2_swio15_noled_ee_hw },
 { 134076, ur_m644rfr2_swio15_noled_ee_ce_hw },
 { 134077, ur_m644rfr2_swio15_noled_ee_ce_hw },
 { 134078, ur_m644rfr2_swio15_lednop },
 { 134079, ur_m644rfr2_swio15_lednop_pr },
 { 134080, ur_m644rfr2_swio15_lednop_pr },
 { 134081, ur_m644rfr2_swio15_lednop_pr_ee },
 { 134082, ur_m644rfr2_swio15_lednop_pr_ee },
 { 134083, ur_m644rfr2_swio15_lednop_pr_ce },
 { 134084, ur_m644rfr2_swio15_lednop_pr_ce },
 { 134085, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 { 134086, ur_m644rfr2_swio15_lednop_pr_ee_ce },
 { 134088, ur_m644rfr2_swio15_lednop_ee_hw },
 { 134090, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 { 134091, ur_m644rfr2_swio15_lednop_ee_ce_hw },
 { 134092, ur_m644rfr2_swio15_dual },
 { 134093, ur_m644rfr2_swio15_dual },
 { 134094, ur_m644rfr2_swio15_dual },
 { 134095, ur_m644rfr2_swio15_dual_pr_ee },
 { 134096, ur_m644rfr2_swio15_dual_pr_ee_u4 },
 { 134097, ur_m644rfr2_swio15_dual_pr_ce },
 { 134098, ur_m644rfr2_swio15_dual_pr_ce },
 { 134099, ur_m644rfr2_swio15_dual_pr_ee_ce },
 { 134100, ur_m644rfr2_swio15_dual_pr_ee_ce_u4 },
 { 134102, ur_m644rfr2_swio15_dual_ee_hw },
 { 134104, ur_m644rfr2_swio15_dual_ee_ce_hw },
 { 134105, ur_m644rfr2_swio15_dual_ee_ce_hw },
 { 134106, ur_m128_autobaud_uart0_noled },
 { 134107, ur_m128_autobaud_uart0_noled },
 { 134108, ur_m128_autobaud_uart0_noled_pr_u4 },
 { 134109, ur_m128_autobaud_uart0_noled_pr_ee },
 { 134110, ur_m128_autobaud_uart0_noled_pr_ee },
 { 134111, ur_m128_autobaud_uart0_noled_pr_ce },
 { 134112, ur_m128_autobaud_uart0_noled_pr_ce },
 { 134113, ur_m128_autobaud_uart0_noled_pr_ee_ce },
 { 134114, ur_m128_autobaud_uart0_noled_pr_ee_ce },
 { 134116, ur_m128_autobaud_uart0_noled_ee_hw },
 { 134118, ur_m128_autobaud_uart0_noled_ee_ce_hw },
 { 134119, ur_m128_autobaud_uart0_noled_ee_ce_hw },
 { 134120, ur_m128_autobaud_uart0_lednop },
 { 134121, ur_m128_autobaud_uart0_lednop_pr },
 { 134122, ur_m128_autobaud_uart0_lednop_pr },
 { 134123, ur_m128_autobaud_uart0_lednop_pr_ee },
 { 134124, ur_m128_autobaud_uart0_lednop_pr_ee },
 { 134125, ur_m128_autobaud_uart0_lednop_pr_ce },
 { 134126, ur_m128_autobaud_uart0_lednop_pr_ce },
 { 134127, ur_m128_autobaud_uart0_lednop_pr_ee_ce },
 { 134128, ur_m128_autobaud_uart0_lednop_pr_ee_ce },
 { 134130, ur_m128_autobaud_uart0_lednop_ee_hw },
 { 134132, ur_m128_autobaud_uart0_lednop_ee_ce_hw },
 { 134133, ur_m128_autobaud_uart0_lednop_ee_ce_hw },
 { 134134, ur_m128_autobaud_uart0_dual },
 { 134135, ur_m128_autobaud_uart0_dual },
 { 134136, ur_m128_autobaud_uart0_dual },
 { 134137, ur_m128_autobaud_uart0_dual_pr_ee },
 { 134138, ur_m128_autobaud_uart0_dual_pr_ee_u4 },
 { 134139, ur_m128_autobaud_uart0_dual_pr_ce },
 { 134140, ur_m128_autobaud_uart0_dual_pr_ce_u4 },
 { 134141, ur_m128_autobaud_uart0_dual_pr_ee_ce },
 { 134142, ur_m128_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 134144, ur_m128_autobaud_uart0_dual_ee_hw },
 { 134146, ur_m128_autobaud_uart0_dual_ee_ce_hw },
 { 134147, ur_m128_autobaud_uart0_dual_ee_ce_hw },
 { 134190, ur_m128_autobaud_uart1_noled },
 { 134191, ur_m128_autobaud_uart1_noled_pr },
 { 134192, ur_m128_autobaud_uart1_noled_pr },
 { 134193, ur_m128_autobaud_uart1_noled_pr_ee },
 { 134194, ur_m128_autobaud_uart1_noled_pr_ee },
 { 134195, ur_m128_autobaud_uart1_noled_pr_ce },
 { 134196, ur_m128_autobaud_uart1_noled_pr_ce },
 { 134197, ur_m128_autobaud_uart1_noled_pr_ee_ce },
 { 134198, ur_m128_autobaud_uart1_noled_pr_ee_ce },
 { 134200, ur_m128_autobaud_uart1_noled_ee_hw },
 { 134202, ur_m128_autobaud_uart1_noled_ee_ce_hw },
 { 134203, ur_m128_autobaud_uart1_noled_ee_ce_hw },
 { 134204, ur_m128_autobaud_uart1_lednop },
 { 134205, ur_m128_autobaud_uart1_lednop_pr },
 { 134206, ur_m128_autobaud_uart1_lednop_pr },
 { 134207, ur_m128_autobaud_uart1_lednop_pr_ee },
 { 134208, ur_m128_autobaud_uart1_lednop_pr_ee },
 { 134209, ur_m128_autobaud_uart1_lednop_pr_ce },
 { 134210, ur_m128_autobaud_uart1_lednop_pr_ce },
 { 134211, ur_m128_autobaud_uart1_lednop_pr_ee_ce },
 { 134212, ur_m128_autobaud_uart1_lednop_pr_ee_ce },
 { 134214, ur_m128_autobaud_uart1_lednop_ee_hw },
 { 134216, ur_m128_autobaud_uart1_lednop_ee_ce_hw },
 { 134217, ur_m128_autobaud_uart1_lednop_ee_ce_hw },
 { 134218, ur_m128_autobaud_uart1_dual },
 { 134219, ur_m128_autobaud_uart1_dual },
 { 134220, ur_m128_autobaud_uart1_dual },
 { 134221, ur_m128_autobaud_uart1_dual_pr_ee },
 { 134222, ur_m128_autobaud_uart1_dual_pr_ee_u4 },
 { 134223, ur_m128_autobaud_uart1_dual_pr_ce },
 { 134224, ur_m128_autobaud_uart1_dual_pr_ce_u4 },
 { 134225, ur_m128_autobaud_uart1_dual_pr_ee_ce },
 { 134226, ur_m128_autobaud_uart1_dual_pr_ee_ce },
 { 134228, ur_m128_autobaud_uart1_dual_ee_hw },
 { 134230, ur_m128_autobaud_uart1_dual_ee_ce_hw },
 { 134231, ur_m128_autobaud_uart1_dual_ee_ce_hw },
 { 134316, ur_m128_u1x8_uart0_noled },
 { 134317, ur_m128_u1x8_uart0_noled },
 { 134318, ur_m128_u1x8_uart0_noled_pr_u4 },
 { 134319, ur_m128_u1x8_uart0_noled_pr_ee },
 { 134320, ur_m128_u1x8_uart0_noled_pr_ee },
 { 134321, ur_m128_u1x8_uart0_noled_pr_ce },
 { 134322, ur_m128_u1x8_uart0_noled_pr_ce },
 { 134323, ur_m128_u1x8_uart0_noled_pr_ee_ce },
 { 134324, ur_m128_u1x8_uart0_noled_pr_ee_ce },
 { 134326, ur_m128_u1x8_uart0_noled_ee_hw },
 { 134328, ur_m128_u1x8_uart0_noled_ee_ce_hw },
 { 134329, ur_m128_u1x8_uart0_noled_ee_ce_hw },
 { 134330, ur_m128_u1x8_uart0_lednop },
 { 134331, ur_m128_u1x8_uart0_lednop },
 { 134332, ur_m128_u1x8_uart0_lednop_pr_u4 },
 { 134333, ur_m128_u1x8_uart0_lednop_pr_ee },
 { 134334, ur_m128_u1x8_uart0_lednop_pr_ee },
 { 134335, ur_m128_u1x8_uart0_lednop_pr_ce },
 { 134336, ur_m128_u1x8_uart0_lednop_pr_ce },
 { 134337, ur_m128_u1x8_uart0_lednop_pr_ee_ce },
 { 134338, ur_m128_u1x8_uart0_lednop_pr_ee_ce },
 { 134340, ur_m128_u1x8_uart0_lednop_ee_hw },
 { 134342, ur_m128_u1x8_uart0_lednop_ee_ce_hw },
 { 134343, ur_m128_u1x8_uart0_lednop_ee_ce_hw },
 { 134344, ur_m128_u1x8_uart0_dual },
 { 134345, ur_m128_u1x8_uart0_dual },
 { 134346, ur_m128_u1x8_uart0_dual },
 { 134347, ur_m128_u1x8_uart0_dual_pr_ee },
 { 134348, ur_m128_u1x8_uart0_dual_pr_ee_u4 },
 { 134349, ur_m128_u1x8_uart0_dual_pr_ce },
 { 134350, ur_m128_u1x8_uart0_dual_pr_ce_u4 },
 { 134351, ur_m128_u1x8_uart0_dual_pr_ee_ce },
 { 134352, ur_m128_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 134354, ur_m128_u1x8_uart0_dual_ee_hw },
 { 134356, ur_m128_u1x8_uart0_dual_ee_ce_hw },
 { 134357, ur_m128_u1x8_uart0_dual_ee_ce_hw },
 { 134400, ur_m128_u1x8_uart1_noled },
 { 134401, ur_m128_u1x8_uart1_noled },
 { 134402, ur_m128_u1x8_uart1_noled_pr_u4 },
 { 134403, ur_m128_u1x8_uart1_noled_pr_ee },
 { 134404, ur_m128_u1x8_uart1_noled_pr_ee },
 { 134405, ur_m128_u1x8_uart1_noled_pr_ce },
 { 134406, ur_m128_u1x8_uart1_noled_pr_ce },
 { 134407, ur_m128_u1x8_uart1_noled_pr_ee_ce },
 { 134408, ur_m128_u1x8_uart1_noled_pr_ee_ce },
 { 134410, ur_m128_u1x8_uart1_noled_ee_hw },
 { 134412, ur_m128_u1x8_uart1_noled_ee_ce_hw },
 { 134413, ur_m128_u1x8_uart1_noled_ee_ce_hw },
 { 134414, ur_m128_u1x8_uart1_lednop },
 { 134415, ur_m128_u1x8_uart1_lednop },
 { 134416, ur_m128_u1x8_uart1_lednop_pr_u4 },
 { 134417, ur_m128_u1x8_uart1_lednop_pr_ee },
 { 134418, ur_m128_u1x8_uart1_lednop_pr_ee },
 { 134419, ur_m128_u1x8_uart1_lednop_pr_ce },
 { 134420, ur_m128_u1x8_uart1_lednop_pr_ce },
 { 134421, ur_m128_u1x8_uart1_lednop_pr_ee_ce },
 { 134422, ur_m128_u1x8_uart1_lednop_pr_ee_ce },
 { 134424, ur_m128_u1x8_uart1_lednop_ee_hw },
 { 134426, ur_m128_u1x8_uart1_lednop_ee_ce_hw },
 { 134427, ur_m128_u1x8_uart1_lednop_ee_ce_hw },
 { 134428, ur_m128_u1x8_uart1_dual },
 { 134429, ur_m128_u1x8_uart1_dual },
 { 134430, ur_m128_u1x8_uart1_dual },
 { 134431, ur_m128_u1x8_uart1_dual_pr_ee },
 { 134432, ur_m128_u1x8_uart1_dual_pr_ee_u4 },
 { 134433, ur_m128_u1x8_uart1_dual_pr_ce },
 { 134434, ur_m128_u1x8_uart1_dual_pr_ce_u4 },
 { 134435, ur_m128_u1x8_uart1_dual_pr_ee_ce },
 { 134436, ur_m128_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 134438, ur_m128_u1x8_uart1_dual_ee_hw },
 { 134440, ur_m128_u1x8_uart1_dual_ee_ce_hw },
 { 134441, ur_m128_u1x8_uart1_dual_ee_ce_hw },
 { 134526, ur_m128_u1x12_uart0_noled },
 { 134527, ur_m128_u1x12_uart0_noled },
 { 134528, ur_m128_u1x12_uart0_noled_pr_u4 },
 { 134529, ur_m128_u1x12_uart0_noled_pr_ee },
 { 134530, ur_m128_u1x12_uart0_noled_pr_ee },
 { 134531, ur_m128_u1x12_uart0_noled_pr_ce },
 { 134532, ur_m128_u1x12_uart0_noled_pr_ce },
 { 134533, ur_m128_u1x12_uart0_noled_pr_ee_ce },
 { 134534, ur_m128_u1x12_uart0_noled_pr_ee_ce },
 { 134536, ur_m128_u1x12_uart0_noled_ee_hw },
 { 134538, ur_m128_u1x12_uart0_noled_ee_ce_hw },
 { 134539, ur_m128_u1x12_uart0_noled_ee_ce_hw },
 { 134540, ur_m128_u1x12_uart0_lednop },
 { 134541, ur_m128_u1x12_uart0_lednop },
 { 134542, ur_m128_u1x12_uart0_lednop_pr_u4 },
 { 134543, ur_m128_u1x12_uart0_lednop_pr_ee },
 { 134544, ur_m128_u1x12_uart0_lednop_pr_ee },
 { 134545, ur_m128_u1x12_uart0_lednop_pr_ce },
 { 134546, ur_m128_u1x12_uart0_lednop_pr_ce },
 { 134547, ur_m128_u1x12_uart0_lednop_pr_ee_ce },
 { 134548, ur_m128_u1x12_uart0_lednop_pr_ee_ce },
 { 134550, ur_m128_u1x12_uart0_lednop_ee_hw },
 { 134552, ur_m128_u1x12_uart0_lednop_ee_ce_hw },
 { 134553, ur_m128_u1x12_uart0_lednop_ee_ce_hw },
 { 134554, ur_m128_u1x12_uart0_dual },
 { 134555, ur_m128_u1x12_uart0_dual },
 { 134556, ur_m128_u1x12_uart0_dual },
 { 134557, ur_m128_u1x12_uart0_dual_pr_ee },
 { 134558, ur_m128_u1x12_uart0_dual_pr_ee_u4 },
 { 134559, ur_m128_u1x12_uart0_dual_pr_ce },
 { 134560, ur_m128_u1x12_uart0_dual_pr_ce_u4 },
 { 134561, ur_m128_u1x12_uart0_dual_pr_ee_ce },
 { 134562, ur_m128_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 134564, ur_m128_u1x12_uart0_dual_ee_hw },
 { 134566, ur_m128_u1x12_uart0_dual_ee_ce_hw },
 { 134567, ur_m128_u1x12_uart0_dual_ee_ce_hw },
 { 134610, ur_m128_u1x12_uart1_noled },
 { 134611, ur_m128_u1x12_uart1_noled },
 { 134612, ur_m128_u1x12_uart1_noled_pr_u4 },
 { 134613, ur_m128_u1x12_uart1_noled_pr_ee },
 { 134614, ur_m128_u1x12_uart1_noled_pr_ee },
 { 134615, ur_m128_u1x12_uart1_noled_pr_ce },
 { 134616, ur_m128_u1x12_uart1_noled_pr_ce },
 { 134617, ur_m128_u1x12_uart1_noled_pr_ee_ce },
 { 134618, ur_m128_u1x12_uart1_noled_pr_ee_ce },
 { 134620, ur_m128_u1x12_uart1_noled_ee_hw },
 { 134622, ur_m128_u1x12_uart1_noled_ee_ce_hw },
 { 134623, ur_m128_u1x12_uart1_noled_ee_ce_hw },
 { 134624, ur_m128_u1x12_uart1_lednop },
 { 134625, ur_m128_u1x12_uart1_lednop_pr },
 { 134626, ur_m128_u1x12_uart1_lednop_pr },
 { 134627, ur_m128_u1x12_uart1_lednop_pr_ee },
 { 134628, ur_m128_u1x12_uart1_lednop_pr_ee },
 { 134629, ur_m128_u1x12_uart1_lednop_pr_ce },
 { 134630, ur_m128_u1x12_uart1_lednop_pr_ce },
 { 134631, ur_m128_u1x12_uart1_lednop_pr_ee_ce },
 { 134632, ur_m128_u1x12_uart1_lednop_pr_ee_ce },
 { 134634, ur_m128_u1x12_uart1_lednop_ee_hw },
 { 134636, ur_m128_u1x12_uart1_lednop_ee_ce_hw },
 { 134637, ur_m128_u1x12_uart1_lednop_ee_ce_hw },
 { 134638, ur_m128_u1x12_uart1_dual },
 { 134639, ur_m128_u1x12_uart1_dual },
 { 134640, ur_m128_u1x12_uart1_dual },
 { 134641, ur_m128_u1x12_uart1_dual_pr_ee },
 { 134642, ur_m128_u1x12_uart1_dual_pr_ee_u4 },
 { 134643, ur_m128_u1x12_uart1_dual_pr_ce },
 { 134644, ur_m128_u1x12_uart1_dual_pr_ce_u4 },
 { 134645, ur_m128_u1x12_uart1_dual_pr_ee_ce },
 { 134646, ur_m128_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 134648, ur_m128_u1x12_uart1_dual_ee_hw },
 { 134650, ur_m128_u1x12_uart1_dual_ee_ce_hw },
 { 134651, ur_m128_u1x12_uart1_dual_ee_ce_hw },
 { 134736, ur_m128_u2x8_uart0_noled },
 { 134737, ur_m128_u2x8_uart0_noled },
 { 134738, ur_m128_u2x8_uart0_noled_pr_u4 },
 { 134739, ur_m128_u2x8_uart0_noled_pr_ee },
 { 134740, ur_m128_u2x8_uart0_noled_pr_ee },
 { 134741, ur_m128_u2x8_uart0_noled_pr_ce },
 { 134742, ur_m128_u2x8_uart0_noled_pr_ce },
 { 134743, ur_m128_u2x8_uart0_noled_pr_ee_ce },
 { 134744, ur_m128_u2x8_uart0_noled_pr_ee_ce },
 { 134746, ur_m128_u2x8_uart0_noled_ee_hw },
 { 134748, ur_m128_u2x8_uart0_noled_ee_ce_hw },
 { 134749, ur_m128_u2x8_uart0_noled_ee_ce_hw },
 { 134750, ur_m128_u2x8_uart0_lednop },
 { 134751, ur_m128_u2x8_uart0_lednop },
 { 134752, ur_m128_u2x8_uart0_lednop_pr_u4 },
 { 134753, ur_m128_u2x8_uart0_lednop_pr_ee },
 { 134754, ur_m128_u2x8_uart0_lednop_pr_ee },
 { 134755, ur_m128_u2x8_uart0_lednop_pr_ce },
 { 134756, ur_m128_u2x8_uart0_lednop_pr_ce },
 { 134757, ur_m128_u2x8_uart0_lednop_pr_ee_ce },
 { 134758, ur_m128_u2x8_uart0_lednop_pr_ee_ce },
 { 134760, ur_m128_u2x8_uart0_lednop_ee_hw },
 { 134762, ur_m128_u2x8_uart0_lednop_ee_ce_hw },
 { 134763, ur_m128_u2x8_uart0_lednop_ee_ce_hw },
 { 134764, ur_m128_u2x8_uart0_dual },
 { 134765, ur_m128_u2x8_uart0_dual },
 { 134766, ur_m128_u2x8_uart0_dual },
 { 134767, ur_m128_u2x8_uart0_dual_pr_ee },
 { 134768, ur_m128_u2x8_uart0_dual_pr_ee_u4 },
 { 134769, ur_m128_u2x8_uart0_dual_pr_ce },
 { 134770, ur_m128_u2x8_uart0_dual_pr_ce_u4 },
 { 134771, ur_m128_u2x8_uart0_dual_pr_ee_ce },
 { 134772, ur_m128_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 134774, ur_m128_u2x8_uart0_dual_ee_hw },
 { 134776, ur_m128_u2x8_uart0_dual_ee_ce_hw },
 { 134777, ur_m128_u2x8_uart0_dual_ee_ce_hw },
 { 134820, ur_m128_u2x8_uart1_noled },
 { 134821, ur_m128_u2x8_uart1_noled },
 { 134822, ur_m128_u2x8_uart1_noled_pr_u4 },
 { 134823, ur_m128_u2x8_uart1_noled_pr_ee },
 { 134824, ur_m128_u2x8_uart1_noled_pr_ee },
 { 134825, ur_m128_u2x8_uart1_noled_pr_ce },
 { 134826, ur_m128_u2x8_uart1_noled_pr_ce },
 { 134827, ur_m128_u2x8_uart1_noled_pr_ee_ce },
 { 134828, ur_m128_u2x8_uart1_noled_pr_ee_ce },
 { 134830, ur_m128_u2x8_uart1_noled_ee_hw },
 { 134832, ur_m128_u2x8_uart1_noled_ee_ce_hw },
 { 134833, ur_m128_u2x8_uart1_noled_ee_ce_hw },
 { 134834, ur_m128_u2x8_uart1_lednop },
 { 134835, ur_m128_u2x8_uart1_lednop_pr },
 { 134836, ur_m128_u2x8_uart1_lednop_pr },
 { 134837, ur_m128_u2x8_uart1_lednop_pr_ee },
 { 134838, ur_m128_u2x8_uart1_lednop_pr_ee },
 { 134839, ur_m128_u2x8_uart1_lednop_pr_ce },
 { 134840, ur_m128_u2x8_uart1_lednop_pr_ce },
 { 134841, ur_m128_u2x8_uart1_lednop_pr_ee_ce },
 { 134842, ur_m128_u2x8_uart1_lednop_pr_ee_ce },
 { 134844, ur_m128_u2x8_uart1_lednop_ee_hw },
 { 134846, ur_m128_u2x8_uart1_lednop_ee_ce_hw },
 { 134847, ur_m128_u2x8_uart1_lednop_ee_ce_hw },
 { 134848, ur_m128_u2x8_uart1_dual },
 { 134849, ur_m128_u2x8_uart1_dual },
 { 134850, ur_m128_u2x8_uart1_dual },
 { 134851, ur_m128_u2x8_uart1_dual_pr_ee },
 { 134852, ur_m128_u2x8_uart1_dual_pr_ee_u4 },
 { 134853, ur_m128_u2x8_uart1_dual_pr_ce },
 { 134854, ur_m128_u2x8_uart1_dual_pr_ce_u4 },
 { 134855, ur_m128_u2x8_uart1_dual_pr_ee_ce },
 { 134856, ur_m128_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 134858, ur_m128_u2x8_uart1_dual_ee_hw },
 { 134860, ur_m128_u2x8_uart1_dual_ee_ce_hw },
 { 134861, ur_m128_u2x8_uart1_dual_ee_ce_hw },
 { 134946, ur_m128_u2x12_uart0_noled },
 { 134947, ur_m128_u2x12_uart0_noled },
 { 134948, ur_m128_u2x12_uart0_noled_pr_u4 },
 { 134949, ur_m128_u2x12_uart0_noled_pr_ee },
 { 134950, ur_m128_u2x12_uart0_noled_pr_ee },
 { 134951, ur_m128_u2x12_uart0_noled_pr_ce },
 { 134952, ur_m128_u2x12_uart0_noled_pr_ce },
 { 134953, ur_m128_u2x12_uart0_noled_pr_ee_ce },
 { 134954, ur_m128_u2x12_uart0_noled_pr_ee_ce },
 { 134956, ur_m128_u2x12_uart0_noled_ee_hw },
 { 134958, ur_m128_u2x12_uart0_noled_ee_ce_hw },
 { 134959, ur_m128_u2x12_uart0_noled_ee_ce_hw },
 { 134960, ur_m128_u2x12_uart0_lednop },
 { 134961, ur_m128_u2x12_uart0_lednop },
 { 134962, ur_m128_u2x12_uart0_lednop_pr_u4 },
 { 134963, ur_m128_u2x12_uart0_lednop_pr_ee },
 { 134964, ur_m128_u2x12_uart0_lednop_pr_ee },
 { 134965, ur_m128_u2x12_uart0_lednop_pr_ce },
 { 134966, ur_m128_u2x12_uart0_lednop_pr_ce },
 { 134967, ur_m128_u2x12_uart0_lednop_pr_ee_ce },
 { 134968, ur_m128_u2x12_uart0_lednop_pr_ee_ce },
 { 134970, ur_m128_u2x12_uart0_lednop_ee_hw },
 { 134972, ur_m128_u2x12_uart0_lednop_ee_ce_hw },
 { 134973, ur_m128_u2x12_uart0_lednop_ee_ce_hw },
 { 134974, ur_m128_u2x12_uart0_dual },
 { 134975, ur_m128_u2x12_uart0_dual },
 { 134976, ur_m128_u2x12_uart0_dual },
 { 134977, ur_m128_u2x12_uart0_dual_pr_ee },
 { 134978, ur_m128_u2x12_uart0_dual_pr_ee_u4 },
 { 134979, ur_m128_u2x12_uart0_dual_pr_ce },
 { 134980, ur_m128_u2x12_uart0_dual_pr_ce_u4 },
 { 134981, ur_m128_u2x12_uart0_dual_pr_ee_ce },
 { 134982, ur_m128_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 134984, ur_m128_u2x12_uart0_dual_ee_hw },
 { 134986, ur_m128_u2x12_uart0_dual_ee_ce_hw },
 { 134987, ur_m128_u2x12_uart0_dual_ee_ce_hw },
 { 135030, ur_m128_u2x12_uart1_noled },
 { 135031, ur_m128_u2x12_uart1_noled },
 { 135032, ur_m128_u2x12_uart1_noled_pr_u4 },
 { 135033, ur_m128_u2x12_uart1_noled_pr_ee },
 { 135034, ur_m128_u2x12_uart1_noled_pr_ee },
 { 135035, ur_m128_u2x12_uart1_noled_pr_ce },
 { 135036, ur_m128_u2x12_uart1_noled_pr_ce },
 { 135037, ur_m128_u2x12_uart1_noled_pr_ee_ce },
 { 135038, ur_m128_u2x12_uart1_noled_pr_ee_ce },
 { 135040, ur_m128_u2x12_uart1_noled_ee_hw },
 { 135042, ur_m128_u2x12_uart1_noled_ee_ce_hw },
 { 135043, ur_m128_u2x12_uart1_noled_ee_ce_hw },
 { 135044, ur_m128_u2x12_uart1_lednop },
 { 135045, ur_m128_u2x12_uart1_lednop_pr },
 { 135046, ur_m128_u2x12_uart1_lednop_pr },
 { 135047, ur_m128_u2x12_uart1_lednop_pr_ee },
 { 135048, ur_m128_u2x12_uart1_lednop_pr_ee },
 { 135049, ur_m128_u2x12_uart1_lednop_pr_ce },
 { 135050, ur_m128_u2x12_uart1_lednop_pr_ce },
 { 135051, ur_m128_u2x12_uart1_lednop_pr_ee_ce },
 { 135052, ur_m128_u2x12_uart1_lednop_pr_ee_ce },
 { 135054, ur_m128_u2x12_uart1_lednop_ee_hw },
 { 135056, ur_m128_u2x12_uart1_lednop_ee_ce_hw },
 { 135057, ur_m128_u2x12_uart1_lednop_ee_ce_hw },
 { 135058, ur_m128_u2x12_uart1_dual },
 { 135059, ur_m128_u2x12_uart1_dual },
 { 135060, ur_m128_u2x12_uart1_dual },
 { 135061, ur_m128_u2x12_uart1_dual_pr_ee },
 { 135062, ur_m128_u2x12_uart1_dual_pr_ee_u4 },
 { 135063, ur_m128_u2x12_uart1_dual_pr_ce },
 { 135064, ur_m128_u2x12_uart1_dual_pr_ce_u4 },
 { 135065, ur_m128_u2x12_uart1_dual_pr_ee_ce },
 { 135066, ur_m128_u2x12_uart1_dual_pr_ee_ce },
 { 135068, ur_m128_u2x12_uart1_dual_ee_hw },
 { 135070, ur_m128_u2x12_uart1_dual_ee_ce_hw },
 { 135071, ur_m128_u2x12_uart1_dual_ee_ce_hw },
 { 135156, ur_m128_swio10_noled },
 { 135157, ur_m128_swio10_noled_pr },
 { 135158, ur_m128_swio10_noled_pr },
 { 135159, ur_m128_swio10_noled_pr_ee },
 { 135160, ur_m128_swio10_noled_pr_ee },
 { 135161, ur_m128_swio10_noled_pr_ce },
 { 135162, ur_m128_swio10_noled_pr_ce },
 { 135163, ur_m128_swio10_noled_pr_ee_ce },
 { 135164, ur_m128_swio10_noled_pr_ee_ce },
 { 135166, ur_m128_swio10_noled_ee_hw },
 { 135168, ur_m128_swio10_noled_ee_ce_hw },
 { 135169, ur_m128_swio10_noled_ee_ce_hw },
 { 135170, ur_m128_swio10_lednop },
 { 135171, ur_m128_swio10_lednop },
 { 135172, ur_m128_swio10_lednop },
 { 135173, ur_m128_swio10_lednop_pr_ee },
 { 135174, ur_m128_swio10_lednop_pr_ee },
 { 135175, ur_m128_swio10_lednop_pr_ce },
 { 135176, ur_m128_swio10_lednop_pr_ce },
 { 135177, ur_m128_swio10_lednop_pr_ee_ce },
 { 135178, ur_m128_swio10_lednop_pr_ee_ce },
 { 135180, ur_m128_swio10_lednop_ee_hw },
 { 135182, ur_m128_swio10_lednop_ee_ce_hw },
 { 135183, ur_m128_swio10_lednop_ee_ce_hw },
 { 135184, ur_m128_swio10_dual },
 { 135185, ur_m128_swio10_dual },
 { 135186, ur_m128_swio10_dual },
 { 135187, ur_m128_swio10_dual_pr_ee },
 { 135188, ur_m128_swio10_dual_pr_ee_u4 },
 { 135189, ur_m128_swio10_dual_pr_ce },
 { 135190, ur_m128_swio10_dual_pr_ce_u4 },
 { 135191, ur_m128_swio10_dual_pr_ee_ce },
 { 135192, ur_m128_swio10_dual_pr_ee_ce },
 { 135194, ur_m128_swio10_dual_ee_hw },
 { 135196, ur_m128_swio10_dual_ee_ce_hw },
 { 135197, ur_m128_swio10_dual_ee_ce_hw },
 { 135198, ur_m128_swio11_noled },
 { 135199, ur_m128_swio11_noled },
 { 135200, ur_m128_swio11_noled },
 { 135201, ur_m128_swio11_noled_pr_ee },
 { 135202, ur_m128_swio11_noled_pr_ee },
 { 135203, ur_m128_swio11_noled_pr_ce },
 { 135204, ur_m128_swio11_noled_pr_ce },
 { 135205, ur_m128_swio11_noled_pr_ee_ce },
 { 135206, ur_m128_swio11_noled_pr_ee_ce },
 { 135208, ur_m128_swio11_noled_ee_hw },
 { 135210, ur_m128_swio11_noled_ee_ce_hw },
 { 135211, ur_m128_swio11_noled_ee_ce_hw },
 { 135212, ur_m128_swio11_lednop },
 { 135213, ur_m128_swio11_lednop },
 { 135214, ur_m128_swio11_lednop },
 { 135215, ur_m128_swio11_lednop_pr_ee },
 { 135216, ur_m128_swio11_lednop_pr_ee },
 { 135217, ur_m128_swio11_lednop_pr_ce },
 { 135218, ur_m128_swio11_lednop_pr_ce },
 { 135219, ur_m128_swio11_lednop_pr_ee_ce },
 { 135220, ur_m128_swio11_lednop_pr_ee_ce },
 { 135222, ur_m128_swio11_lednop_ee_hw },
 { 135224, ur_m128_swio11_lednop_ee_ce_hw },
 { 135225, ur_m128_swio11_lednop_ee_ce_hw },
 { 135226, ur_m128_swio11_dual },
 { 135227, ur_m128_swio11_dual },
 { 135228, ur_m128_swio11_dual },
 { 135229, ur_m128_swio11_dual_pr_ee },
 { 135230, ur_m128_swio11_dual_pr_ee_u4 },
 { 135231, ur_m128_swio11_dual_pr_ce },
 { 135232, ur_m128_swio11_dual_pr_ce_u4 },
 { 135233, ur_m128_swio11_dual_pr_ee_ce },
 { 135234, ur_m128_swio11_dual_pr_ee_ce },
 { 135236, ur_m128_swio11_dual_ee_hw },
 { 135238, ur_m128_swio11_dual_ee_ce_hw },
 { 135239, ur_m128_swio11_dual_ee_ce_hw },
 { 135240, ur_m128_swio11_noled },
 { 135241, ur_m128_swio11_noled },
 { 135242, ur_m128_swio11_noled },
 { 135243, ur_m128_swio11_noled_pr_ee },
 { 135244, ur_m128_swio11_noled_pr_ee },
 { 135245, ur_m128_swio11_noled_pr_ce },
 { 135246, ur_m128_swio11_noled_pr_ce },
 { 135247, ur_m128_swio11_noled_pr_ee_ce },
 { 135248, ur_m128_swio11_noled_pr_ee_ce },
 { 135250, ur_m128_swio11_noled_ee_hw },
 { 135252, ur_m128_swio11_noled_ee_ce_hw },
 { 135253, ur_m128_swio11_noled_ee_ce_hw },
 { 135254, ur_m128_swio11_lednop },
 { 135255, ur_m128_swio11_lednop },
 { 135256, ur_m128_swio11_lednop },
 { 135257, ur_m128_swio11_lednop_pr_ee },
 { 135258, ur_m128_swio11_lednop_pr_ee },
 { 135259, ur_m128_swio11_lednop_pr_ce },
 { 135260, ur_m128_swio11_lednop_pr_ce },
 { 135261, ur_m128_swio11_lednop_pr_ee_ce },
 { 135262, ur_m128_swio11_lednop_pr_ee_ce },
 { 135264, ur_m128_swio11_lednop_ee_hw },
 { 135266, ur_m128_swio11_lednop_ee_ce_hw },
 { 135267, ur_m128_swio11_lednop_ee_ce_hw },
 { 135268, ur_m128_swio11_dual },
 { 135269, ur_m128_swio11_dual },
 { 135270, ur_m128_swio11_dual },
 { 135271, ur_m128_swio11_dual_pr_ee },
 { 135272, ur_m128_swio11_dual_pr_ee_u4 },
 { 135273, ur_m128_swio11_dual_pr_ce },
 { 135274, ur_m128_swio11_dual_pr_ce_u4 },
 { 135275, ur_m128_swio11_dual_pr_ee_ce },
 { 135276, ur_m128_swio11_dual_pr_ee_ce },
 { 135278, ur_m128_swio11_dual_ee_hw },
 { 135280, ur_m128_swio11_dual_ee_ce_hw },
 { 135281, ur_m128_swio11_dual_ee_ce_hw },
 { 135282, ur_m128_swio13_noled },
 { 135283, ur_m128_swio13_noled },
 { 135284, ur_m128_swio13_noled },
 { 135285, ur_m128_swio13_noled_pr_ee },
 { 135286, ur_m128_swio13_noled_pr_ee },
 { 135287, ur_m128_swio13_noled_pr_ce },
 { 135288, ur_m128_swio13_noled_pr_ce },
 { 135289, ur_m128_swio13_noled_pr_ee_ce },
 { 135290, ur_m128_swio13_noled_pr_ee_ce },
 { 135292, ur_m128_swio13_noled_ee_hw },
 { 135294, ur_m128_swio13_noled_ee_ce_hw },
 { 135295, ur_m128_swio13_noled_ee_ce_hw },
 { 135296, ur_m128_swio13_lednop },
 { 135297, ur_m128_swio13_lednop },
 { 135298, ur_m128_swio13_lednop },
 { 135299, ur_m128_swio13_lednop_pr_ee },
 { 135300, ur_m128_swio13_lednop_pr_ee },
 { 135301, ur_m128_swio13_lednop_pr_ce },
 { 135302, ur_m128_swio13_lednop_pr_ce },
 { 135303, ur_m128_swio13_lednop_pr_ee_ce },
 { 135304, ur_m128_swio13_lednop_pr_ee_ce },
 { 135306, ur_m128_swio13_lednop_ee_hw },
 { 135308, ur_m128_swio13_lednop_ee_ce_hw },
 { 135309, ur_m128_swio13_lednop_ee_ce_hw },
 { 135310, ur_m128_swio13_dual },
 { 135311, ur_m128_swio13_dual },
 { 135312, ur_m128_swio13_dual },
 { 135313, ur_m128_swio13_dual_pr_ee },
 { 135314, ur_m128_swio13_dual_pr_ee_u4 },
 { 135315, ur_m128_swio13_dual_pr_ce },
 { 135316, ur_m128_swio13_dual_pr_ce_u4 },
 { 135317, ur_m128_swio13_dual_pr_ee_ce },
 { 135318, ur_m128_swio13_dual_pr_ee_ce },
 { 135320, ur_m128_swio13_dual_ee_hw },
 { 135322, ur_m128_swio13_dual_ee_ce_hw },
 { 135323, ur_m128_swio13_dual_ee_ce_hw },
 { 135324, ur_m128_swio14_noled },
 { 135325, ur_m128_swio14_noled },
 { 135326, ur_m128_swio14_noled },
 { 135327, ur_m128_swio14_noled_pr_ee },
 { 135328, ur_m128_swio14_noled_pr_ee },
 { 135329, ur_m128_swio14_noled_pr_ce },
 { 135330, ur_m128_swio14_noled_pr_ce },
 { 135331, ur_m128_swio14_noled_pr_ee_ce },
 { 135332, ur_m128_swio14_noled_pr_ee_ce },
 { 135334, ur_m128_swio14_noled_ee_hw },
 { 135336, ur_m128_swio14_noled_ee_ce_hw },
 { 135337, ur_m128_swio14_noled_ee_ce_hw },
 { 135338, ur_m128_swio14_lednop },
 { 135339, ur_m128_swio14_lednop },
 { 135340, ur_m128_swio14_lednop },
 { 135341, ur_m128_swio14_lednop_pr_ee },
 { 135342, ur_m128_swio14_lednop_pr_ee },
 { 135343, ur_m128_swio14_lednop_pr_ce },
 { 135344, ur_m128_swio14_lednop_pr_ce },
 { 135345, ur_m128_swio14_lednop_pr_ee_ce },
 { 135346, ur_m128_swio14_lednop_pr_ee_ce },
 { 135348, ur_m128_swio14_lednop_ee_hw },
 { 135350, ur_m128_swio14_lednop_ee_ce_hw },
 { 135351, ur_m128_swio14_lednop_ee_ce_hw },
 { 135352, ur_m128_swio14_dual },
 { 135353, ur_m128_swio14_dual },
 { 135354, ur_m128_swio14_dual },
 { 135355, ur_m128_swio14_dual_pr_ee },
 { 135356, ur_m128_swio14_dual_pr_ee_u4 },
 { 135357, ur_m128_swio14_dual_pr_ce },
 { 135358, ur_m128_swio14_dual_pr_ce_u4 },
 { 135359, ur_m128_swio14_dual_pr_ee_ce },
 { 135360, ur_m128_swio14_dual_pr_ee_ce },
 { 135362, ur_m128_swio14_dual_ee_hw },
 { 135364, ur_m128_swio14_dual_ee_ce_hw },
 { 135365, ur_m128_swio14_dual_ee_ce_hw },
 { 135366, ur_m128_swio15_noled },
 { 135367, ur_m128_swio15_noled },
 { 135368, ur_m128_swio15_noled },
 { 135369, ur_m128_swio15_noled_pr_ee },
 { 135370, ur_m128_swio15_noled_pr_ee },
 { 135371, ur_m128_swio15_noled_pr_ce },
 { 135372, ur_m128_swio15_noled_pr_ce },
 { 135373, ur_m128_swio15_noled_pr_ee_ce },
 { 135374, ur_m128_swio15_noled_pr_ee_ce },
 { 135376, ur_m128_swio15_noled_ee_hw },
 { 135378, ur_m128_swio15_noled_ee_ce_hw },
 { 135379, ur_m128_swio15_noled_ee_ce_hw },
 { 135380, ur_m128_swio15_lednop },
 { 135381, ur_m128_swio15_lednop },
 { 135382, ur_m128_swio15_lednop },
 { 135383, ur_m128_swio15_lednop_pr_ee },
 { 135384, ur_m128_swio15_lednop_pr_ee },
 { 135385, ur_m128_swio15_lednop_pr_ce },
 { 135386, ur_m128_swio15_lednop_pr_ce },
 { 135387, ur_m128_swio15_lednop_pr_ee_ce },
 { 135388, ur_m128_swio15_lednop_pr_ee_ce },
 { 135390, ur_m128_swio15_lednop_ee_hw },
 { 135392, ur_m128_swio15_lednop_ee_ce_hw },
 { 135393, ur_m128_swio15_lednop_ee_ce_hw },
 { 135394, ur_m128_swio15_dual },
 { 135395, ur_m128_swio15_dual },
 { 135396, ur_m128_swio15_dual },
 { 135397, ur_m128_swio15_dual_pr_ee },
 { 135398, ur_m128_swio15_dual_pr_ee_u4 },
 { 135399, ur_m128_swio15_dual_pr_ce },
 { 135400, ur_m128_swio15_dual_pr_ce_u4 },
 { 135401, ur_m128_swio15_dual_pr_ee_ce },
 { 135402, ur_m128_swio15_dual_pr_ee_ce },
 { 135404, ur_m128_swio15_dual_ee_hw },
 { 135406, ur_m128_swio15_dual_ee_ce_hw },
 { 135407, ur_m128_swio15_dual_ee_ce_hw },
 { 135408, ur_m128_autobaud_uart0_noled },
 { 135409, ur_m128_autobaud_uart0_noled },
 { 135410, ur_m128_autobaud_uart0_noled_pr_u4 },
 { 135411, ur_m128_autobaud_uart0_noled_pr_ee },
 { 135412, ur_m128_autobaud_uart0_noled_pr_ee },
 { 135413, ur_m128_autobaud_uart0_noled_pr_ce },
 { 135414, ur_m128_autobaud_uart0_noled_pr_ce },
 { 135415, ur_m128_autobaud_uart0_noled_pr_ee_ce },
 { 135416, ur_m128_autobaud_uart0_noled_pr_ee_ce },
 { 135418, ur_m128_autobaud_uart0_noled_ee_hw },
 { 135420, ur_m128_autobaud_uart0_noled_ee_ce_hw },
 { 135421, ur_m128_autobaud_uart0_noled_ee_ce_hw },
 { 135422, ur_m128_autobaud_uart0_lednop },
 { 135423, ur_m128_autobaud_uart0_lednop_pr },
 { 135424, ur_m128_autobaud_uart0_lednop_pr },
 { 135425, ur_m128_autobaud_uart0_lednop_pr_ee },
 { 135426, ur_m128_autobaud_uart0_lednop_pr_ee },
 { 135427, ur_m128_autobaud_uart0_lednop_pr_ce },
 { 135428, ur_m128_autobaud_uart0_lednop_pr_ce },
 { 135429, ur_m128_autobaud_uart0_lednop_pr_ee_ce },
 { 135430, ur_m128_autobaud_uart0_lednop_pr_ee_ce },
 { 135432, ur_m128_autobaud_uart0_lednop_ee_hw },
 { 135434, ur_m128_autobaud_uart0_lednop_ee_ce_hw },
 { 135435, ur_m128_autobaud_uart0_lednop_ee_ce_hw },
 { 135436, ur_m128_autobaud_uart0_dual },
 { 135437, ur_m128_autobaud_uart0_dual },
 { 135438, ur_m128_autobaud_uart0_dual },
 { 135439, ur_m128_autobaud_uart0_dual_pr_ee },
 { 135440, ur_m128_autobaud_uart0_dual_pr_ee_u4 },
 { 135441, ur_m128_autobaud_uart0_dual_pr_ce },
 { 135442, ur_m128_autobaud_uart0_dual_pr_ce_u4 },
 { 135443, ur_m128_autobaud_uart0_dual_pr_ee_ce },
 { 135444, ur_m128_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 135446, ur_m128_autobaud_uart0_dual_ee_hw },
 { 135448, ur_m128_autobaud_uart0_dual_ee_ce_hw },
 { 135449, ur_m128_autobaud_uart0_dual_ee_ce_hw },
 { 135492, ur_m128_autobaud_uart1_noled },
 { 135493, ur_m128_autobaud_uart1_noled_pr },
 { 135494, ur_m128_autobaud_uart1_noled_pr },
 { 135495, ur_m128_autobaud_uart1_noled_pr_ee },
 { 135496, ur_m128_autobaud_uart1_noled_pr_ee },
 { 135497, ur_m128_autobaud_uart1_noled_pr_ce },
 { 135498, ur_m128_autobaud_uart1_noled_pr_ce },
 { 135499, ur_m128_autobaud_uart1_noled_pr_ee_ce },
 { 135500, ur_m128_autobaud_uart1_noled_pr_ee_ce },
 { 135502, ur_m128_autobaud_uart1_noled_ee_hw },
 { 135504, ur_m128_autobaud_uart1_noled_ee_ce_hw },
 { 135505, ur_m128_autobaud_uart1_noled_ee_ce_hw },
 { 135506, ur_m128_autobaud_uart1_lednop },
 { 135507, ur_m128_autobaud_uart1_lednop_pr },
 { 135508, ur_m128_autobaud_uart1_lednop_pr },
 { 135509, ur_m128_autobaud_uart1_lednop_pr_ee },
 { 135510, ur_m128_autobaud_uart1_lednop_pr_ee },
 { 135511, ur_m128_autobaud_uart1_lednop_pr_ce },
 { 135512, ur_m128_autobaud_uart1_lednop_pr_ce },
 { 135513, ur_m128_autobaud_uart1_lednop_pr_ee_ce },
 { 135514, ur_m128_autobaud_uart1_lednop_pr_ee_ce },
 { 135516, ur_m128_autobaud_uart1_lednop_ee_hw },
 { 135518, ur_m128_autobaud_uart1_lednop_ee_ce_hw },
 { 135519, ur_m128_autobaud_uart1_lednop_ee_ce_hw },
 { 135520, ur_m128_autobaud_uart1_dual },
 { 135521, ur_m128_autobaud_uart1_dual },
 { 135522, ur_m128_autobaud_uart1_dual },
 { 135523, ur_m128_autobaud_uart1_dual_pr_ee },
 { 135524, ur_m128_autobaud_uart1_dual_pr_ee_u4 },
 { 135525, ur_m128_autobaud_uart1_dual_pr_ce },
 { 135526, ur_m128_autobaud_uart1_dual_pr_ce_u4 },
 { 135527, ur_m128_autobaud_uart1_dual_pr_ee_ce },
 { 135528, ur_m128_autobaud_uart1_dual_pr_ee_ce },
 { 135530, ur_m128_autobaud_uart1_dual_ee_hw },
 { 135532, ur_m128_autobaud_uart1_dual_ee_ce_hw },
 { 135533, ur_m128_autobaud_uart1_dual_ee_ce_hw },
 { 135618, ur_m128_u1x8_uart0_noled },
 { 135619, ur_m128_u1x8_uart0_noled },
 { 135620, ur_m128_u1x8_uart0_noled_pr_u4 },
 { 135621, ur_m128_u1x8_uart0_noled_pr_ee },
 { 135622, ur_m128_u1x8_uart0_noled_pr_ee },
 { 135623, ur_m128_u1x8_uart0_noled_pr_ce },
 { 135624, ur_m128_u1x8_uart0_noled_pr_ce },
 { 135625, ur_m128_u1x8_uart0_noled_pr_ee_ce },
 { 135626, ur_m128_u1x8_uart0_noled_pr_ee_ce },
 { 135628, ur_m128_u1x8_uart0_noled_ee_hw },
 { 135630, ur_m128_u1x8_uart0_noled_ee_ce_hw },
 { 135631, ur_m128_u1x8_uart0_noled_ee_ce_hw },
 { 135632, ur_m128_u1x8_uart0_lednop },
 { 135633, ur_m128_u1x8_uart0_lednop },
 { 135634, ur_m128_u1x8_uart0_lednop_pr_u4 },
 { 135635, ur_m128_u1x8_uart0_lednop_pr_ee },
 { 135636, ur_m128_u1x8_uart0_lednop_pr_ee },
 { 135637, ur_m128_u1x8_uart0_lednop_pr_ce },
 { 135638, ur_m128_u1x8_uart0_lednop_pr_ce },
 { 135639, ur_m128_u1x8_uart0_lednop_pr_ee_ce },
 { 135640, ur_m128_u1x8_uart0_lednop_pr_ee_ce },
 { 135642, ur_m128_u1x8_uart0_lednop_ee_hw },
 { 135644, ur_m128_u1x8_uart0_lednop_ee_ce_hw },
 { 135645, ur_m128_u1x8_uart0_lednop_ee_ce_hw },
 { 135646, ur_m128_u1x8_uart0_dual },
 { 135647, ur_m128_u1x8_uart0_dual },
 { 135648, ur_m128_u1x8_uart0_dual },
 { 135649, ur_m128_u1x8_uart0_dual_pr_ee },
 { 135650, ur_m128_u1x8_uart0_dual_pr_ee_u4 },
 { 135651, ur_m128_u1x8_uart0_dual_pr_ce },
 { 135652, ur_m128_u1x8_uart0_dual_pr_ce_u4 },
 { 135653, ur_m128_u1x8_uart0_dual_pr_ee_ce },
 { 135654, ur_m128_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 135656, ur_m128_u1x8_uart0_dual_ee_hw },
 { 135658, ur_m128_u1x8_uart0_dual_ee_ce_hw },
 { 135659, ur_m128_u1x8_uart0_dual_ee_ce_hw },
 { 135702, ur_m128_u1x8_uart1_noled },
 { 135703, ur_m128_u1x8_uart1_noled },
 { 135704, ur_m128_u1x8_uart1_noled_pr_u4 },
 { 135705, ur_m128_u1x8_uart1_noled_pr_ee },
 { 135706, ur_m128_u1x8_uart1_noled_pr_ee },
 { 135707, ur_m128_u1x8_uart1_noled_pr_ce },
 { 135708, ur_m128_u1x8_uart1_noled_pr_ce },
 { 135709, ur_m128_u1x8_uart1_noled_pr_ee_ce },
 { 135710, ur_m128_u1x8_uart1_noled_pr_ee_ce },
 { 135712, ur_m128_u1x8_uart1_noled_ee_hw },
 { 135714, ur_m128_u1x8_uart1_noled_ee_ce_hw },
 { 135715, ur_m128_u1x8_uart1_noled_ee_ce_hw },
 { 135716, ur_m128_u1x8_uart1_lednop },
 { 135717, ur_m128_u1x8_uart1_lednop },
 { 135718, ur_m128_u1x8_uart1_lednop_pr_u4 },
 { 135719, ur_m128_u1x8_uart1_lednop_pr_ee },
 { 135720, ur_m128_u1x8_uart1_lednop_pr_ee },
 { 135721, ur_m128_u1x8_uart1_lednop_pr_ce },
 { 135722, ur_m128_u1x8_uart1_lednop_pr_ce },
 { 135723, ur_m128_u1x8_uart1_lednop_pr_ee_ce },
 { 135724, ur_m128_u1x8_uart1_lednop_pr_ee_ce },
 { 135726, ur_m128_u1x8_uart1_lednop_ee_hw },
 { 135728, ur_m128_u1x8_uart1_lednop_ee_ce_hw },
 { 135729, ur_m128_u1x8_uart1_lednop_ee_ce_hw },
 { 135730, ur_m128_u1x8_uart1_dual },
 { 135731, ur_m128_u1x8_uart1_dual },
 { 135732, ur_m128_u1x8_uart1_dual },
 { 135733, ur_m128_u1x8_uart1_dual_pr_ee },
 { 135734, ur_m128_u1x8_uart1_dual_pr_ee_u4 },
 { 135735, ur_m128_u1x8_uart1_dual_pr_ce },
 { 135736, ur_m128_u1x8_uart1_dual_pr_ce_u4 },
 { 135737, ur_m128_u1x8_uart1_dual_pr_ee_ce },
 { 135738, ur_m128_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 135740, ur_m128_u1x8_uart1_dual_ee_hw },
 { 135742, ur_m128_u1x8_uart1_dual_ee_ce_hw },
 { 135743, ur_m128_u1x8_uart1_dual_ee_ce_hw },
 { 135828, ur_m128_u1x12_uart0_noled },
 { 135829, ur_m128_u1x12_uart0_noled },
 { 135830, ur_m128_u1x12_uart0_noled_pr_u4 },
 { 135831, ur_m128_u1x12_uart0_noled_pr_ee },
 { 135832, ur_m128_u1x12_uart0_noled_pr_ee },
 { 135833, ur_m128_u1x12_uart0_noled_pr_ce },
 { 135834, ur_m128_u1x12_uart0_noled_pr_ce },
 { 135835, ur_m128_u1x12_uart0_noled_pr_ee_ce },
 { 135836, ur_m128_u1x12_uart0_noled_pr_ee_ce },
 { 135838, ur_m128_u1x12_uart0_noled_ee_hw },
 { 135840, ur_m128_u1x12_uart0_noled_ee_ce_hw },
 { 135841, ur_m128_u1x12_uart0_noled_ee_ce_hw },
 { 135842, ur_m128_u1x12_uart0_lednop },
 { 135843, ur_m128_u1x12_uart0_lednop },
 { 135844, ur_m128_u1x12_uart0_lednop_pr_u4 },
 { 135845, ur_m128_u1x12_uart0_lednop_pr_ee },
 { 135846, ur_m128_u1x12_uart0_lednop_pr_ee },
 { 135847, ur_m128_u1x12_uart0_lednop_pr_ce },
 { 135848, ur_m128_u1x12_uart0_lednop_pr_ce },
 { 135849, ur_m128_u1x12_uart0_lednop_pr_ee_ce },
 { 135850, ur_m128_u1x12_uart0_lednop_pr_ee_ce },
 { 135852, ur_m128_u1x12_uart0_lednop_ee_hw },
 { 135854, ur_m128_u1x12_uart0_lednop_ee_ce_hw },
 { 135855, ur_m128_u1x12_uart0_lednop_ee_ce_hw },
 { 135856, ur_m128_u1x12_uart0_dual },
 { 135857, ur_m128_u1x12_uart0_dual },
 { 135858, ur_m128_u1x12_uart0_dual },
 { 135859, ur_m128_u1x12_uart0_dual_pr_ee },
 { 135860, ur_m128_u1x12_uart0_dual_pr_ee_u4 },
 { 135861, ur_m128_u1x12_uart0_dual_pr_ce },
 { 135862, ur_m128_u1x12_uart0_dual_pr_ce_u4 },
 { 135863, ur_m128_u1x12_uart0_dual_pr_ee_ce },
 { 135864, ur_m128_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 135866, ur_m128_u1x12_uart0_dual_ee_hw },
 { 135868, ur_m128_u1x12_uart0_dual_ee_ce_hw },
 { 135869, ur_m128_u1x12_uart0_dual_ee_ce_hw },
 { 135912, ur_m128_u1x12_uart1_noled },
 { 135913, ur_m128_u1x12_uart1_noled },
 { 135914, ur_m128_u1x12_uart1_noled_pr_u4 },
 { 135915, ur_m128_u1x12_uart1_noled_pr_ee },
 { 135916, ur_m128_u1x12_uart1_noled_pr_ee },
 { 135917, ur_m128_u1x12_uart1_noled_pr_ce },
 { 135918, ur_m128_u1x12_uart1_noled_pr_ce },
 { 135919, ur_m128_u1x12_uart1_noled_pr_ee_ce },
 { 135920, ur_m128_u1x12_uart1_noled_pr_ee_ce },
 { 135922, ur_m128_u1x12_uart1_noled_ee_hw },
 { 135924, ur_m128_u1x12_uart1_noled_ee_ce_hw },
 { 135925, ur_m128_u1x12_uart1_noled_ee_ce_hw },
 { 135926, ur_m128_u1x12_uart1_lednop },
 { 135927, ur_m128_u1x12_uart1_lednop_pr },
 { 135928, ur_m128_u1x12_uart1_lednop_pr },
 { 135929, ur_m128_u1x12_uart1_lednop_pr_ee },
 { 135930, ur_m128_u1x12_uart1_lednop_pr_ee },
 { 135931, ur_m128_u1x12_uart1_lednop_pr_ce },
 { 135932, ur_m128_u1x12_uart1_lednop_pr_ce },
 { 135933, ur_m128_u1x12_uart1_lednop_pr_ee_ce },
 { 135934, ur_m128_u1x12_uart1_lednop_pr_ee_ce },
 { 135936, ur_m128_u1x12_uart1_lednop_ee_hw },
 { 135938, ur_m128_u1x12_uart1_lednop_ee_ce_hw },
 { 135939, ur_m128_u1x12_uart1_lednop_ee_ce_hw },
 { 135940, ur_m128_u1x12_uart1_dual },
 { 135941, ur_m128_u1x12_uart1_dual },
 { 135942, ur_m128_u1x12_uart1_dual },
 { 135943, ur_m128_u1x12_uart1_dual_pr_ee },
 { 135944, ur_m128_u1x12_uart1_dual_pr_ee_u4 },
 { 135945, ur_m128_u1x12_uart1_dual_pr_ce },
 { 135946, ur_m128_u1x12_uart1_dual_pr_ce_u4 },
 { 135947, ur_m128_u1x12_uart1_dual_pr_ee_ce },
 { 135948, ur_m128_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 135950, ur_m128_u1x12_uart1_dual_ee_hw },
 { 135952, ur_m128_u1x12_uart1_dual_ee_ce_hw },
 { 135953, ur_m128_u1x12_uart1_dual_ee_ce_hw },
 { 136038, ur_m128_u2x8_uart0_noled },
 { 136039, ur_m128_u2x8_uart0_noled },
 { 136040, ur_m128_u2x8_uart0_noled_pr_u4 },
 { 136041, ur_m128_u2x8_uart0_noled_pr_ee },
 { 136042, ur_m128_u2x8_uart0_noled_pr_ee },
 { 136043, ur_m128_u2x8_uart0_noled_pr_ce },
 { 136044, ur_m128_u2x8_uart0_noled_pr_ce },
 { 136045, ur_m128_u2x8_uart0_noled_pr_ee_ce },
 { 136046, ur_m128_u2x8_uart0_noled_pr_ee_ce },
 { 136048, ur_m128_u2x8_uart0_noled_ee_hw },
 { 136050, ur_m128_u2x8_uart0_noled_ee_ce_hw },
 { 136051, ur_m128_u2x8_uart0_noled_ee_ce_hw },
 { 136052, ur_m128_u2x8_uart0_lednop },
 { 136053, ur_m128_u2x8_uart0_lednop },
 { 136054, ur_m128_u2x8_uart0_lednop_pr_u4 },
 { 136055, ur_m128_u2x8_uart0_lednop_pr_ee },
 { 136056, ur_m128_u2x8_uart0_lednop_pr_ee },
 { 136057, ur_m128_u2x8_uart0_lednop_pr_ce },
 { 136058, ur_m128_u2x8_uart0_lednop_pr_ce },
 { 136059, ur_m128_u2x8_uart0_lednop_pr_ee_ce },
 { 136060, ur_m128_u2x8_uart0_lednop_pr_ee_ce },
 { 136062, ur_m128_u2x8_uart0_lednop_ee_hw },
 { 136064, ur_m128_u2x8_uart0_lednop_ee_ce_hw },
 { 136065, ur_m128_u2x8_uart0_lednop_ee_ce_hw },
 { 136066, ur_m128_u2x8_uart0_dual },
 { 136067, ur_m128_u2x8_uart0_dual },
 { 136068, ur_m128_u2x8_uart0_dual },
 { 136069, ur_m128_u2x8_uart0_dual_pr_ee },
 { 136070, ur_m128_u2x8_uart0_dual_pr_ee_u4 },
 { 136071, ur_m128_u2x8_uart0_dual_pr_ce },
 { 136072, ur_m128_u2x8_uart0_dual_pr_ce_u4 },
 { 136073, ur_m128_u2x8_uart0_dual_pr_ee_ce },
 { 136074, ur_m128_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 136076, ur_m128_u2x8_uart0_dual_ee_hw },
 { 136078, ur_m128_u2x8_uart0_dual_ee_ce_hw },
 { 136079, ur_m128_u2x8_uart0_dual_ee_ce_hw },
 { 136122, ur_m128_u2x8_uart1_noled },
 { 136123, ur_m128_u2x8_uart1_noled },
 { 136124, ur_m128_u2x8_uart1_noled_pr_u4 },
 { 136125, ur_m128_u2x8_uart1_noled_pr_ee },
 { 136126, ur_m128_u2x8_uart1_noled_pr_ee },
 { 136127, ur_m128_u2x8_uart1_noled_pr_ce },
 { 136128, ur_m128_u2x8_uart1_noled_pr_ce },
 { 136129, ur_m128_u2x8_uart1_noled_pr_ee_ce },
 { 136130, ur_m128_u2x8_uart1_noled_pr_ee_ce },
 { 136132, ur_m128_u2x8_uart1_noled_ee_hw },
 { 136134, ur_m128_u2x8_uart1_noled_ee_ce_hw },
 { 136135, ur_m128_u2x8_uart1_noled_ee_ce_hw },
 { 136136, ur_m128_u2x8_uart1_lednop },
 { 136137, ur_m128_u2x8_uart1_lednop_pr },
 { 136138, ur_m128_u2x8_uart1_lednop_pr },
 { 136139, ur_m128_u2x8_uart1_lednop_pr_ee },
 { 136140, ur_m128_u2x8_uart1_lednop_pr_ee },
 { 136141, ur_m128_u2x8_uart1_lednop_pr_ce },
 { 136142, ur_m128_u2x8_uart1_lednop_pr_ce },
 { 136143, ur_m128_u2x8_uart1_lednop_pr_ee_ce },
 { 136144, ur_m128_u2x8_uart1_lednop_pr_ee_ce },
 { 136146, ur_m128_u2x8_uart1_lednop_ee_hw },
 { 136148, ur_m128_u2x8_uart1_lednop_ee_ce_hw },
 { 136149, ur_m128_u2x8_uart1_lednop_ee_ce_hw },
 { 136150, ur_m128_u2x8_uart1_dual },
 { 136151, ur_m128_u2x8_uart1_dual },
 { 136152, ur_m128_u2x8_uart1_dual },
 { 136153, ur_m128_u2x8_uart1_dual_pr_ee },
 { 136154, ur_m128_u2x8_uart1_dual_pr_ee_u4 },
 { 136155, ur_m128_u2x8_uart1_dual_pr_ce },
 { 136156, ur_m128_u2x8_uart1_dual_pr_ce_u4 },
 { 136157, ur_m128_u2x8_uart1_dual_pr_ee_ce },
 { 136158, ur_m128_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 136160, ur_m128_u2x8_uart1_dual_ee_hw },
 { 136162, ur_m128_u2x8_uart1_dual_ee_ce_hw },
 { 136163, ur_m128_u2x8_uart1_dual_ee_ce_hw },
 { 136248, ur_m128_u2x12_uart0_noled },
 { 136249, ur_m128_u2x12_uart0_noled },
 { 136250, ur_m128_u2x12_uart0_noled_pr_u4 },
 { 136251, ur_m128_u2x12_uart0_noled_pr_ee },
 { 136252, ur_m128_u2x12_uart0_noled_pr_ee },
 { 136253, ur_m128_u2x12_uart0_noled_pr_ce },
 { 136254, ur_m128_u2x12_uart0_noled_pr_ce },
 { 136255, ur_m128_u2x12_uart0_noled_pr_ee_ce },
 { 136256, ur_m128_u2x12_uart0_noled_pr_ee_ce },
 { 136258, ur_m128_u2x12_uart0_noled_ee_hw },
 { 136260, ur_m128_u2x12_uart0_noled_ee_ce_hw },
 { 136261, ur_m128_u2x12_uart0_noled_ee_ce_hw },
 { 136262, ur_m128_u2x12_uart0_lednop },
 { 136263, ur_m128_u2x12_uart0_lednop },
 { 136264, ur_m128_u2x12_uart0_lednop_pr_u4 },
 { 136265, ur_m128_u2x12_uart0_lednop_pr_ee },
 { 136266, ur_m128_u2x12_uart0_lednop_pr_ee },
 { 136267, ur_m128_u2x12_uart0_lednop_pr_ce },
 { 136268, ur_m128_u2x12_uart0_lednop_pr_ce },
 { 136269, ur_m128_u2x12_uart0_lednop_pr_ee_ce },
 { 136270, ur_m128_u2x12_uart0_lednop_pr_ee_ce },
 { 136272, ur_m128_u2x12_uart0_lednop_ee_hw },
 { 136274, ur_m128_u2x12_uart0_lednop_ee_ce_hw },
 { 136275, ur_m128_u2x12_uart0_lednop_ee_ce_hw },
 { 136276, ur_m128_u2x12_uart0_dual },
 { 136277, ur_m128_u2x12_uart0_dual },
 { 136278, ur_m128_u2x12_uart0_dual },
 { 136279, ur_m128_u2x12_uart0_dual_pr_ee },
 { 136280, ur_m128_u2x12_uart0_dual_pr_ee_u4 },
 { 136281, ur_m128_u2x12_uart0_dual_pr_ce },
 { 136282, ur_m128_u2x12_uart0_dual_pr_ce_u4 },
 { 136283, ur_m128_u2x12_uart0_dual_pr_ee_ce },
 { 136284, ur_m128_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 136286, ur_m128_u2x12_uart0_dual_ee_hw },
 { 136288, ur_m128_u2x12_uart0_dual_ee_ce_hw },
 { 136289, ur_m128_u2x12_uart0_dual_ee_ce_hw },
 { 136332, ur_m128_u2x12_uart1_noled },
 { 136333, ur_m128_u2x12_uart1_noled },
 { 136334, ur_m128_u2x12_uart1_noled_pr_u4 },
 { 136335, ur_m128_u2x12_uart1_noled_pr_ee },
 { 136336, ur_m128_u2x12_uart1_noled_pr_ee },
 { 136337, ur_m128_u2x12_uart1_noled_pr_ce },
 { 136338, ur_m128_u2x12_uart1_noled_pr_ce },
 { 136339, ur_m128_u2x12_uart1_noled_pr_ee_ce },
 { 136340, ur_m128_u2x12_uart1_noled_pr_ee_ce },
 { 136342, ur_m128_u2x12_uart1_noled_ee_hw },
 { 136344, ur_m128_u2x12_uart1_noled_ee_ce_hw },
 { 136345, ur_m128_u2x12_uart1_noled_ee_ce_hw },
 { 136346, ur_m128_u2x12_uart1_lednop },
 { 136347, ur_m128_u2x12_uart1_lednop_pr },
 { 136348, ur_m128_u2x12_uart1_lednop_pr },
 { 136349, ur_m128_u2x12_uart1_lednop_pr_ee },
 { 136350, ur_m128_u2x12_uart1_lednop_pr_ee },
 { 136351, ur_m128_u2x12_uart1_lednop_pr_ce },
 { 136352, ur_m128_u2x12_uart1_lednop_pr_ce },
 { 136353, ur_m128_u2x12_uart1_lednop_pr_ee_ce },
 { 136354, ur_m128_u2x12_uart1_lednop_pr_ee_ce },
 { 136356, ur_m128_u2x12_uart1_lednop_ee_hw },
 { 136358, ur_m128_u2x12_uart1_lednop_ee_ce_hw },
 { 136359, ur_m128_u2x12_uart1_lednop_ee_ce_hw },
 { 136360, ur_m128_u2x12_uart1_dual },
 { 136361, ur_m128_u2x12_uart1_dual },
 { 136362, ur_m128_u2x12_uart1_dual },
 { 136363, ur_m128_u2x12_uart1_dual_pr_ee },
 { 136364, ur_m128_u2x12_uart1_dual_pr_ee_u4 },
 { 136365, ur_m128_u2x12_uart1_dual_pr_ce },
 { 136366, ur_m128_u2x12_uart1_dual_pr_ce_u4 },
 { 136367, ur_m128_u2x12_uart1_dual_pr_ee_ce },
 { 136368, ur_m128_u2x12_uart1_dual_pr_ee_ce },
 { 136370, ur_m128_u2x12_uart1_dual_ee_hw },
 { 136372, ur_m128_u2x12_uart1_dual_ee_ce_hw },
 { 136373, ur_m128_u2x12_uart1_dual_ee_ce_hw },
 { 136458, ur_m128_swio10_noled },
 { 136459, ur_m128_swio10_noled_pr },
 { 136460, ur_m128_swio10_noled_pr },
 { 136461, ur_m128_swio10_noled_pr_ee },
 { 136462, ur_m128_swio10_noled_pr_ee },
 { 136463, ur_m128_swio10_noled_pr_ce },
 { 136464, ur_m128_swio10_noled_pr_ce },
 { 136465, ur_m128_swio10_noled_pr_ee_ce },
 { 136466, ur_m128_swio10_noled_pr_ee_ce },
 { 136468, ur_m128_swio10_noled_ee_hw },
 { 136470, ur_m128_swio10_noled_ee_ce_hw },
 { 136471, ur_m128_swio10_noled_ee_ce_hw },
 { 136472, ur_m128_swio10_lednop },
 { 136473, ur_m128_swio10_lednop },
 { 136474, ur_m128_swio10_lednop },
 { 136475, ur_m128_swio10_lednop_pr_ee },
 { 136476, ur_m128_swio10_lednop_pr_ee },
 { 136477, ur_m128_swio10_lednop_pr_ce },
 { 136478, ur_m128_swio10_lednop_pr_ce },
 { 136479, ur_m128_swio10_lednop_pr_ee_ce },
 { 136480, ur_m128_swio10_lednop_pr_ee_ce },
 { 136482, ur_m128_swio10_lednop_ee_hw },
 { 136484, ur_m128_swio10_lednop_ee_ce_hw },
 { 136485, ur_m128_swio10_lednop_ee_ce_hw },
 { 136486, ur_m128_swio10_dual },
 { 136487, ur_m128_swio10_dual },
 { 136488, ur_m128_swio10_dual },
 { 136489, ur_m128_swio10_dual_pr_ee },
 { 136490, ur_m128_swio10_dual_pr_ee_u4 },
 { 136491, ur_m128_swio10_dual_pr_ce },
 { 136492, ur_m128_swio10_dual_pr_ce_u4 },
 { 136493, ur_m128_swio10_dual_pr_ee_ce },
 { 136494, ur_m128_swio10_dual_pr_ee_ce },
 { 136496, ur_m128_swio10_dual_ee_hw },
 { 136498, ur_m128_swio10_dual_ee_ce_hw },
 { 136499, ur_m128_swio10_dual_ee_ce_hw },
 { 136500, ur_m128_swio11_noled },
 { 136501, ur_m128_swio11_noled },
 { 136502, ur_m128_swio11_noled },
 { 136503, ur_m128_swio11_noled_pr_ee },
 { 136504, ur_m128_swio11_noled_pr_ee },
 { 136505, ur_m128_swio11_noled_pr_ce },
 { 136506, ur_m128_swio11_noled_pr_ce },
 { 136507, ur_m128_swio11_noled_pr_ee_ce },
 { 136508, ur_m128_swio11_noled_pr_ee_ce },
 { 136510, ur_m128_swio11_noled_ee_hw },
 { 136512, ur_m128_swio11_noled_ee_ce_hw },
 { 136513, ur_m128_swio11_noled_ee_ce_hw },
 { 136514, ur_m128_swio11_lednop },
 { 136515, ur_m128_swio11_lednop },
 { 136516, ur_m128_swio11_lednop },
 { 136517, ur_m128_swio11_lednop_pr_ee },
 { 136518, ur_m128_swio11_lednop_pr_ee },
 { 136519, ur_m128_swio11_lednop_pr_ce },
 { 136520, ur_m128_swio11_lednop_pr_ce },
 { 136521, ur_m128_swio11_lednop_pr_ee_ce },
 { 136522, ur_m128_swio11_lednop_pr_ee_ce },
 { 136524, ur_m128_swio11_lednop_ee_hw },
 { 136526, ur_m128_swio11_lednop_ee_ce_hw },
 { 136527, ur_m128_swio11_lednop_ee_ce_hw },
 { 136528, ur_m128_swio11_dual },
 { 136529, ur_m128_swio11_dual },
 { 136530, ur_m128_swio11_dual },
 { 136531, ur_m128_swio11_dual_pr_ee },
 { 136532, ur_m128_swio11_dual_pr_ee_u4 },
 { 136533, ur_m128_swio11_dual_pr_ce },
 { 136534, ur_m128_swio11_dual_pr_ce_u4 },
 { 136535, ur_m128_swio11_dual_pr_ee_ce },
 { 136536, ur_m128_swio11_dual_pr_ee_ce },
 { 136538, ur_m128_swio11_dual_ee_hw },
 { 136540, ur_m128_swio11_dual_ee_ce_hw },
 { 136541, ur_m128_swio11_dual_ee_ce_hw },
 { 136542, ur_m128_swio11_noled },
 { 136543, ur_m128_swio11_noled },
 { 136544, ur_m128_swio11_noled },
 { 136545, ur_m128_swio11_noled_pr_ee },
 { 136546, ur_m128_swio11_noled_pr_ee },
 { 136547, ur_m128_swio11_noled_pr_ce },
 { 136548, ur_m128_swio11_noled_pr_ce },
 { 136549, ur_m128_swio11_noled_pr_ee_ce },
 { 136550, ur_m128_swio11_noled_pr_ee_ce },
 { 136552, ur_m128_swio11_noled_ee_hw },
 { 136554, ur_m128_swio11_noled_ee_ce_hw },
 { 136555, ur_m128_swio11_noled_ee_ce_hw },
 { 136556, ur_m128_swio11_lednop },
 { 136557, ur_m128_swio11_lednop },
 { 136558, ur_m128_swio11_lednop },
 { 136559, ur_m128_swio11_lednop_pr_ee },
 { 136560, ur_m128_swio11_lednop_pr_ee },
 { 136561, ur_m128_swio11_lednop_pr_ce },
 { 136562, ur_m128_swio11_lednop_pr_ce },
 { 136563, ur_m128_swio11_lednop_pr_ee_ce },
 { 136564, ur_m128_swio11_lednop_pr_ee_ce },
 { 136566, ur_m128_swio11_lednop_ee_hw },
 { 136568, ur_m128_swio11_lednop_ee_ce_hw },
 { 136569, ur_m128_swio11_lednop_ee_ce_hw },
 { 136570, ur_m128_swio11_dual },
 { 136571, ur_m128_swio11_dual },
 { 136572, ur_m128_swio11_dual },
 { 136573, ur_m128_swio11_dual_pr_ee },
 { 136574, ur_m128_swio11_dual_pr_ee_u4 },
 { 136575, ur_m128_swio11_dual_pr_ce },
 { 136576, ur_m128_swio11_dual_pr_ce_u4 },
 { 136577, ur_m128_swio11_dual_pr_ee_ce },
 { 136578, ur_m128_swio11_dual_pr_ee_ce },
 { 136580, ur_m128_swio11_dual_ee_hw },
 { 136582, ur_m128_swio11_dual_ee_ce_hw },
 { 136583, ur_m128_swio11_dual_ee_ce_hw },
 { 136584, ur_m128_swio13_noled },
 { 136585, ur_m128_swio13_noled },
 { 136586, ur_m128_swio13_noled },
 { 136587, ur_m128_swio13_noled_pr_ee },
 { 136588, ur_m128_swio13_noled_pr_ee },
 { 136589, ur_m128_swio13_noled_pr_ce },
 { 136590, ur_m128_swio13_noled_pr_ce },
 { 136591, ur_m128_swio13_noled_pr_ee_ce },
 { 136592, ur_m128_swio13_noled_pr_ee_ce },
 { 136594, ur_m128_swio13_noled_ee_hw },
 { 136596, ur_m128_swio13_noled_ee_ce_hw },
 { 136597, ur_m128_swio13_noled_ee_ce_hw },
 { 136598, ur_m128_swio13_lednop },
 { 136599, ur_m128_swio13_lednop },
 { 136600, ur_m128_swio13_lednop },
 { 136601, ur_m128_swio13_lednop_pr_ee },
 { 136602, ur_m128_swio13_lednop_pr_ee },
 { 136603, ur_m128_swio13_lednop_pr_ce },
 { 136604, ur_m128_swio13_lednop_pr_ce },
 { 136605, ur_m128_swio13_lednop_pr_ee_ce },
 { 136606, ur_m128_swio13_lednop_pr_ee_ce },
 { 136608, ur_m128_swio13_lednop_ee_hw },
 { 136610, ur_m128_swio13_lednop_ee_ce_hw },
 { 136611, ur_m128_swio13_lednop_ee_ce_hw },
 { 136612, ur_m128_swio13_dual },
 { 136613, ur_m128_swio13_dual },
 { 136614, ur_m128_swio13_dual },
 { 136615, ur_m128_swio13_dual_pr_ee },
 { 136616, ur_m128_swio13_dual_pr_ee_u4 },
 { 136617, ur_m128_swio13_dual_pr_ce },
 { 136618, ur_m128_swio13_dual_pr_ce_u4 },
 { 136619, ur_m128_swio13_dual_pr_ee_ce },
 { 136620, ur_m128_swio13_dual_pr_ee_ce },
 { 136622, ur_m128_swio13_dual_ee_hw },
 { 136624, ur_m128_swio13_dual_ee_ce_hw },
 { 136625, ur_m128_swio13_dual_ee_ce_hw },
 { 136626, ur_m128_swio14_noled },
 { 136627, ur_m128_swio14_noled },
 { 136628, ur_m128_swio14_noled },
 { 136629, ur_m128_swio14_noled_pr_ee },
 { 136630, ur_m128_swio14_noled_pr_ee },
 { 136631, ur_m128_swio14_noled_pr_ce },
 { 136632, ur_m128_swio14_noled_pr_ce },
 { 136633, ur_m128_swio14_noled_pr_ee_ce },
 { 136634, ur_m128_swio14_noled_pr_ee_ce },
 { 136636, ur_m128_swio14_noled_ee_hw },
 { 136638, ur_m128_swio14_noled_ee_ce_hw },
 { 136639, ur_m128_swio14_noled_ee_ce_hw },
 { 136640, ur_m128_swio14_lednop },
 { 136641, ur_m128_swio14_lednop },
 { 136642, ur_m128_swio14_lednop },
 { 136643, ur_m128_swio14_lednop_pr_ee },
 { 136644, ur_m128_swio14_lednop_pr_ee },
 { 136645, ur_m128_swio14_lednop_pr_ce },
 { 136646, ur_m128_swio14_lednop_pr_ce },
 { 136647, ur_m128_swio14_lednop_pr_ee_ce },
 { 136648, ur_m128_swio14_lednop_pr_ee_ce },
 { 136650, ur_m128_swio14_lednop_ee_hw },
 { 136652, ur_m128_swio14_lednop_ee_ce_hw },
 { 136653, ur_m128_swio14_lednop_ee_ce_hw },
 { 136654, ur_m128_swio14_dual },
 { 136655, ur_m128_swio14_dual },
 { 136656, ur_m128_swio14_dual },
 { 136657, ur_m128_swio14_dual_pr_ee },
 { 136658, ur_m128_swio14_dual_pr_ee_u4 },
 { 136659, ur_m128_swio14_dual_pr_ce },
 { 136660, ur_m128_swio14_dual_pr_ce_u4 },
 { 136661, ur_m128_swio14_dual_pr_ee_ce },
 { 136662, ur_m128_swio14_dual_pr_ee_ce },
 { 136664, ur_m128_swio14_dual_ee_hw },
 { 136666, ur_m128_swio14_dual_ee_ce_hw },
 { 136667, ur_m128_swio14_dual_ee_ce_hw },
 { 136668, ur_m128_swio15_noled },
 { 136669, ur_m128_swio15_noled },
 { 136670, ur_m128_swio15_noled },
 { 136671, ur_m128_swio15_noled_pr_ee },
 { 136672, ur_m128_swio15_noled_pr_ee },
 { 136673, ur_m128_swio15_noled_pr_ce },
 { 136674, ur_m128_swio15_noled_pr_ce },
 { 136675, ur_m128_swio15_noled_pr_ee_ce },
 { 136676, ur_m128_swio15_noled_pr_ee_ce },
 { 136678, ur_m128_swio15_noled_ee_hw },
 { 136680, ur_m128_swio15_noled_ee_ce_hw },
 { 136681, ur_m128_swio15_noled_ee_ce_hw },
 { 136682, ur_m128_swio15_lednop },
 { 136683, ur_m128_swio15_lednop },
 { 136684, ur_m128_swio15_lednop },
 { 136685, ur_m128_swio15_lednop_pr_ee },
 { 136686, ur_m128_swio15_lednop_pr_ee },
 { 136687, ur_m128_swio15_lednop_pr_ce },
 { 136688, ur_m128_swio15_lednop_pr_ce },
 { 136689, ur_m128_swio15_lednop_pr_ee_ce },
 { 136690, ur_m128_swio15_lednop_pr_ee_ce },
 { 136692, ur_m128_swio15_lednop_ee_hw },
 { 136694, ur_m128_swio15_lednop_ee_ce_hw },
 { 136695, ur_m128_swio15_lednop_ee_ce_hw },
 { 136696, ur_m128_swio15_dual },
 { 136697, ur_m128_swio15_dual },
 { 136698, ur_m128_swio15_dual },
 { 136699, ur_m128_swio15_dual_pr_ee },
 { 136700, ur_m128_swio15_dual_pr_ee_u4 },
 { 136701, ur_m128_swio15_dual_pr_ce },
 { 136702, ur_m128_swio15_dual_pr_ce_u4 },
 { 136703, ur_m128_swio15_dual_pr_ee_ce },
 { 136704, ur_m128_swio15_dual_pr_ee_ce },
 { 136706, ur_m128_swio15_dual_ee_hw },
 { 136708, ur_m128_swio15_dual_ee_ce_hw },
 { 136709, ur_m128_swio15_dual_ee_ce_hw },
 { 136710, ur_m1284rfr2_autobaud_uart0_noled },
 { 136711, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 136712, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 136713, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 136714, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 136715, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 136716, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 136717, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 136718, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 136720, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 136722, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 136723, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 136724, ur_m1284rfr2_autobaud_uart0_lednop },
 { 136725, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 136726, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 136727, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 136728, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 136729, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 136730, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 136731, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 136732, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 136734, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 136736, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 136737, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 136738, ur_m1284rfr2_autobaud_uart0_dual },
 { 136739, ur_m1284rfr2_autobaud_uart0_dual },
 { 136740, ur_m1284rfr2_autobaud_uart0_dual },
 { 136741, ur_m1284rfr2_autobaud_uart0_dual_pr_ee },
 { 136742, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 136743, ur_m1284rfr2_autobaud_uart0_dual_pr_ce },
 { 136744, ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 136745, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 136746, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 136748, ur_m1284rfr2_autobaud_uart0_dual_ee_hw },
 { 136750, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 136751, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 136794, ur_m1284rfr2_autobaud_uart1_noled },
 { 136795, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 136796, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 136797, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 136798, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 136799, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 136800, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 136801, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 136802, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 136804, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 136806, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 136807, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 136808, ur_m1284rfr2_autobaud_uart1_lednop },
 { 136809, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 136810, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 136811, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 136812, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 136813, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 136814, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 136815, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 136816, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 136818, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 136820, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 136821, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 136822, ur_m1284rfr2_autobaud_uart1_dual },
 { 136823, ur_m1284rfr2_autobaud_uart1_dual },
 { 136824, ur_m1284rfr2_autobaud_uart1_dual },
 { 136825, ur_m1284rfr2_autobaud_uart1_dual_pr_ee },
 { 136826, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 136827, ur_m1284rfr2_autobaud_uart1_dual_pr_ce },
 { 136828, ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 136829, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 136830, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 136832, ur_m1284rfr2_autobaud_uart1_dual_ee_hw },
 { 136834, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 136835, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 136920, ur_m1284rfr2_u1x8_uart0_noled },
 { 136921, ur_m1284rfr2_u1x8_uart0_noled },
 { 136922, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 136923, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 136924, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 136925, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 136926, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 136927, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 136928, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 136930, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 136932, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 136933, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 136934, ur_m1284rfr2_u1x8_uart0_lednop },
 { 136935, ur_m1284rfr2_u1x8_uart0_lednop },
 { 136936, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 136937, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 136938, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 136939, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 136940, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 136941, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 136942, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 136944, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 136946, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 136947, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 136948, ur_m1284rfr2_u1x8_uart0_dual },
 { 136949, ur_m1284rfr2_u1x8_uart0_dual },
 { 136950, ur_m1284rfr2_u1x8_uart0_dual },
 { 136951, ur_m1284rfr2_u1x8_uart0_dual_pr_ee },
 { 136952, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 136953, ur_m1284rfr2_u1x8_uart0_dual_pr_ce },
 { 136954, ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 136955, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 136956, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 136958, ur_m1284rfr2_u1x8_uart0_dual_ee_hw },
 { 136960, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 136961, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 137004, ur_m1284rfr2_u1x8_uart1_noled },
 { 137005, ur_m1284rfr2_u1x8_uart1_noled },
 { 137006, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 137007, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 137008, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 137009, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 137010, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 137011, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 137012, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 137014, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 137016, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 137017, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 137018, ur_m1284rfr2_u1x8_uart1_lednop },
 { 137019, ur_m1284rfr2_u1x8_uart1_lednop },
 { 137020, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 137021, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 137022, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 137023, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 137024, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 137025, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 137026, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 137028, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 137030, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 137031, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 137032, ur_m1284rfr2_u1x8_uart1_dual },
 { 137033, ur_m1284rfr2_u1x8_uart1_dual },
 { 137034, ur_m1284rfr2_u1x8_uart1_dual },
 { 137035, ur_m1284rfr2_u1x8_uart1_dual_pr_ee },
 { 137036, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 137037, ur_m1284rfr2_u1x8_uart1_dual_pr_ce },
 { 137038, ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 137039, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 137040, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 137042, ur_m1284rfr2_u1x8_uart1_dual_ee_hw },
 { 137044, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 137045, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 137130, ur_m1284rfr2_u1x12_uart0_noled },
 { 137131, ur_m1284rfr2_u1x12_uart0_noled },
 { 137132, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 137133, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 137134, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 137135, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 137136, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 137137, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 137138, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 137140, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 137142, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 137143, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 137144, ur_m1284rfr2_u1x12_uart0_lednop },
 { 137145, ur_m1284rfr2_u1x12_uart0_lednop },
 { 137146, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 137147, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 137148, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 137149, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 137150, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 137151, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 137152, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 137154, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 137156, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 137157, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 137158, ur_m1284rfr2_u1x12_uart0_dual },
 { 137159, ur_m1284rfr2_u1x12_uart0_dual },
 { 137160, ur_m1284rfr2_u1x12_uart0_dual },
 { 137161, ur_m1284rfr2_u1x12_uart0_dual_pr_ee },
 { 137162, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 137163, ur_m1284rfr2_u1x12_uart0_dual_pr_ce },
 { 137164, ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 137165, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 137166, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 137168, ur_m1284rfr2_u1x12_uart0_dual_ee_hw },
 { 137170, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 137171, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 137214, ur_m1284rfr2_u1x12_uart1_noled },
 { 137215, ur_m1284rfr2_u1x12_uart1_noled },
 { 137216, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 137217, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 137218, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 137219, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 137220, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 137221, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 137222, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 137224, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 137226, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 137227, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 137228, ur_m1284rfr2_u1x12_uart1_lednop },
 { 137229, ur_m1284rfr2_u1x12_uart1_lednop },
 { 137230, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 137231, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 137232, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 137233, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 137234, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 137235, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 137236, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 137238, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 137240, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 137241, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 137242, ur_m1284rfr2_u1x12_uart1_dual },
 { 137243, ur_m1284rfr2_u1x12_uart1_dual },
 { 137244, ur_m1284rfr2_u1x12_uart1_dual },
 { 137245, ur_m1284rfr2_u1x12_uart1_dual_pr_ee },
 { 137246, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 137247, ur_m1284rfr2_u1x12_uart1_dual_pr_ce },
 { 137248, ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 137249, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 137250, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 137252, ur_m1284rfr2_u1x12_uart1_dual_ee_hw },
 { 137254, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 137255, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 137340, ur_m1284rfr2_u2x8_uart0_noled },
 { 137341, ur_m1284rfr2_u2x8_uart0_noled },
 { 137342, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 137343, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 137344, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 137345, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 137346, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 137347, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 137348, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 137350, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 137352, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 137353, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 137354, ur_m1284rfr2_u2x8_uart0_lednop },
 { 137355, ur_m1284rfr2_u2x8_uart0_lednop },
 { 137356, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 137357, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 137358, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 137359, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 137360, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 137361, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 137362, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 137364, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 137366, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 137367, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 137368, ur_m1284rfr2_u2x8_uart0_dual },
 { 137369, ur_m1284rfr2_u2x8_uart0_dual },
 { 137370, ur_m1284rfr2_u2x8_uart0_dual },
 { 137371, ur_m1284rfr2_u2x8_uart0_dual_pr_ee },
 { 137372, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 137373, ur_m1284rfr2_u2x8_uart0_dual_pr_ce },
 { 137374, ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 137375, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 137376, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 137378, ur_m1284rfr2_u2x8_uart0_dual_ee_hw },
 { 137380, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 137381, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 137424, ur_m1284rfr2_u2x8_uart1_noled },
 { 137425, ur_m1284rfr2_u2x8_uart1_noled },
 { 137426, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 137427, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 137428, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 137429, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 137430, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 137431, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 137432, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 137434, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 137436, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 137437, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 137438, ur_m1284rfr2_u2x8_uart1_lednop },
 { 137439, ur_m1284rfr2_u2x8_uart1_lednop },
 { 137440, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 137441, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 137442, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 137443, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 137444, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 137445, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 137446, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 137448, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 137450, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 137451, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 137452, ur_m1284rfr2_u2x8_uart1_dual },
 { 137453, ur_m1284rfr2_u2x8_uart1_dual },
 { 137454, ur_m1284rfr2_u2x8_uart1_dual },
 { 137455, ur_m1284rfr2_u2x8_uart1_dual_pr_ee },
 { 137456, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 137457, ur_m1284rfr2_u2x8_uart1_dual_pr_ce },
 { 137458, ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 137459, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 137460, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 137462, ur_m1284rfr2_u2x8_uart1_dual_ee_hw },
 { 137464, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 137465, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 137550, ur_m1284rfr2_u2x12_uart0_noled },
 { 137551, ur_m1284rfr2_u2x12_uart0_noled },
 { 137552, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 137553, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 137554, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 137555, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 137556, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 137557, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 137558, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 137560, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 137562, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 137563, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 137564, ur_m1284rfr2_u2x12_uart0_lednop },
 { 137565, ur_m1284rfr2_u2x12_uart0_lednop },
 { 137566, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 137567, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 137568, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 137569, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 137570, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 137571, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 137572, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 137574, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 137576, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 137577, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 137578, ur_m1284rfr2_u2x12_uart0_dual },
 { 137579, ur_m1284rfr2_u2x12_uart0_dual },
 { 137580, ur_m1284rfr2_u2x12_uart0_dual },
 { 137581, ur_m1284rfr2_u2x12_uart0_dual_pr_ee },
 { 137582, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 137583, ur_m1284rfr2_u2x12_uart0_dual_pr_ce },
 { 137584, ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 137585, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 137586, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 137588, ur_m1284rfr2_u2x12_uart0_dual_ee_hw },
 { 137590, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 137591, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 137634, ur_m1284rfr2_u2x12_uart1_noled },
 { 137635, ur_m1284rfr2_u2x12_uart1_noled },
 { 137636, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 137637, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 137638, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 137639, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 137640, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 137641, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 137642, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 137644, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 137646, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 137647, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 137648, ur_m1284rfr2_u2x12_uart1_lednop },
 { 137649, ur_m1284rfr2_u2x12_uart1_lednop },
 { 137650, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 137651, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 137652, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 137653, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 137654, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 137655, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 137656, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 137658, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 137660, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 137661, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 137662, ur_m1284rfr2_u2x12_uart1_dual },
 { 137663, ur_m1284rfr2_u2x12_uart1_dual },
 { 137664, ur_m1284rfr2_u2x12_uart1_dual },
 { 137665, ur_m1284rfr2_u2x12_uart1_dual_pr_ee },
 { 137666, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 137667, ur_m1284rfr2_u2x12_uart1_dual_pr_ce },
 { 137668, ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 137669, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 137670, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 137672, ur_m1284rfr2_u2x12_uart1_dual_ee_hw },
 { 137674, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 137675, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 137760, ur_m1284rfr2_swio10_noled },
 { 137761, ur_m1284rfr2_swio10_noled_pr },
 { 137762, ur_m1284rfr2_swio10_noled_pr },
 { 137763, ur_m1284rfr2_swio10_noled_pr_ee },
 { 137764, ur_m1284rfr2_swio10_noled_pr_ee },
 { 137765, ur_m1284rfr2_swio10_noled_pr_ce },
 { 137766, ur_m1284rfr2_swio10_noled_pr_ce },
 { 137767, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 137768, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 137770, ur_m1284rfr2_swio10_noled_ee_hw },
 { 137772, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 137773, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 137774, ur_m1284rfr2_swio10_lednop },
 { 137775, ur_m1284rfr2_swio10_lednop_pr },
 { 137776, ur_m1284rfr2_swio10_lednop_pr },
 { 137777, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 137778, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 137779, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 137780, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 137781, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 137782, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 137784, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 137786, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 137787, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 137788, ur_m1284rfr2_swio10_dual },
 { 137789, ur_m1284rfr2_swio10_dual },
 { 137790, ur_m1284rfr2_swio10_dual },
 { 137791, ur_m1284rfr2_swio10_dual_pr_ee },
 { 137792, ur_m1284rfr2_swio10_dual_pr_ee_u4 },
 { 137793, ur_m1284rfr2_swio10_dual_pr_ce },
 { 137794, ur_m1284rfr2_swio10_dual_pr_ce_u4 },
 { 137795, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 137796, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 137798, ur_m1284rfr2_swio10_dual_ee_hw },
 { 137800, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 137801, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 137802, ur_m1284rfr2_swio11_noled },
 { 137803, ur_m1284rfr2_swio11_noled_pr },
 { 137804, ur_m1284rfr2_swio11_noled_pr },
 { 137805, ur_m1284rfr2_swio11_noled_pr_ee },
 { 137806, ur_m1284rfr2_swio11_noled_pr_ee },
 { 137807, ur_m1284rfr2_swio11_noled_pr_ce },
 { 137808, ur_m1284rfr2_swio11_noled_pr_ce },
 { 137809, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 137810, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 137812, ur_m1284rfr2_swio11_noled_ee_hw },
 { 137814, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 137815, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 137816, ur_m1284rfr2_swio11_lednop },
 { 137817, ur_m1284rfr2_swio11_lednop_pr },
 { 137818, ur_m1284rfr2_swio11_lednop_pr },
 { 137819, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 137820, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 137821, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 137822, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 137823, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 137824, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 137826, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 137828, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 137829, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 137830, ur_m1284rfr2_swio11_dual },
 { 137831, ur_m1284rfr2_swio11_dual },
 { 137832, ur_m1284rfr2_swio11_dual },
 { 137833, ur_m1284rfr2_swio11_dual_pr_ee },
 { 137834, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 137835, ur_m1284rfr2_swio11_dual_pr_ce },
 { 137836, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 137837, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 137838, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 137840, ur_m1284rfr2_swio11_dual_ee_hw },
 { 137842, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 137843, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 137844, ur_m1284rfr2_swio11_noled },
 { 137845, ur_m1284rfr2_swio11_noled_pr },
 { 137846, ur_m1284rfr2_swio11_noled_pr },
 { 137847, ur_m1284rfr2_swio11_noled_pr_ee },
 { 137848, ur_m1284rfr2_swio11_noled_pr_ee },
 { 137849, ur_m1284rfr2_swio11_noled_pr_ce },
 { 137850, ur_m1284rfr2_swio11_noled_pr_ce },
 { 137851, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 137852, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 137854, ur_m1284rfr2_swio11_noled_ee_hw },
 { 137856, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 137857, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 137858, ur_m1284rfr2_swio11_lednop },
 { 137859, ur_m1284rfr2_swio11_lednop_pr },
 { 137860, ur_m1284rfr2_swio11_lednop_pr },
 { 137861, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 137862, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 137863, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 137864, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 137865, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 137866, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 137868, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 137870, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 137871, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 137872, ur_m1284rfr2_swio11_dual },
 { 137873, ur_m1284rfr2_swio11_dual },
 { 137874, ur_m1284rfr2_swio11_dual },
 { 137875, ur_m1284rfr2_swio11_dual_pr_ee },
 { 137876, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 137877, ur_m1284rfr2_swio11_dual_pr_ce },
 { 137878, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 137879, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 137880, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 137882, ur_m1284rfr2_swio11_dual_ee_hw },
 { 137884, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 137885, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 137886, ur_m1284rfr2_swio13_noled },
 { 137887, ur_m1284rfr2_swio13_noled_pr },
 { 137888, ur_m1284rfr2_swio13_noled_pr },
 { 137889, ur_m1284rfr2_swio13_noled_pr_ee },
 { 137890, ur_m1284rfr2_swio13_noled_pr_ee },
 { 137891, ur_m1284rfr2_swio13_noled_pr_ce },
 { 137892, ur_m1284rfr2_swio13_noled_pr_ce },
 { 137893, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 137894, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 137896, ur_m1284rfr2_swio13_noled_ee_hw },
 { 137898, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 137899, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 137900, ur_m1284rfr2_swio13_lednop },
 { 137901, ur_m1284rfr2_swio13_lednop },
 { 137902, ur_m1284rfr2_swio13_lednop },
 { 137903, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 137904, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 137905, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 137906, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 137907, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 137908, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 137910, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 137912, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 137913, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 137914, ur_m1284rfr2_swio13_dual },
 { 137915, ur_m1284rfr2_swio13_dual },
 { 137916, ur_m1284rfr2_swio13_dual },
 { 137917, ur_m1284rfr2_swio13_dual_pr_ee },
 { 137918, ur_m1284rfr2_swio13_dual_pr_ee_u4 },
 { 137919, ur_m1284rfr2_swio13_dual_pr_ce },
 { 137920, ur_m1284rfr2_swio13_dual_pr_ce_u4 },
 { 137921, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 137922, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 137924, ur_m1284rfr2_swio13_dual_ee_hw },
 { 137926, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 137927, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 137928, ur_m1284rfr2_swio14_noled },
 { 137929, ur_m1284rfr2_swio14_noled_pr },
 { 137930, ur_m1284rfr2_swio14_noled_pr },
 { 137931, ur_m1284rfr2_swio14_noled_pr_ee },
 { 137932, ur_m1284rfr2_swio14_noled_pr_ee },
 { 137933, ur_m1284rfr2_swio14_noled_pr_ce },
 { 137934, ur_m1284rfr2_swio14_noled_pr_ce },
 { 137935, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 137936, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 137938, ur_m1284rfr2_swio14_noled_ee_hw },
 { 137940, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 137941, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 137942, ur_m1284rfr2_swio14_lednop },
 { 137943, ur_m1284rfr2_swio14_lednop_pr },
 { 137944, ur_m1284rfr2_swio14_lednop_pr },
 { 137945, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 137946, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 137947, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 137948, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 137949, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 137950, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 137952, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 137954, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 137955, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 137956, ur_m1284rfr2_swio14_dual },
 { 137957, ur_m1284rfr2_swio14_dual },
 { 137958, ur_m1284rfr2_swio14_dual },
 { 137959, ur_m1284rfr2_swio14_dual_pr_ee },
 { 137960, ur_m1284rfr2_swio14_dual_pr_ee_u4 },
 { 137961, ur_m1284rfr2_swio14_dual_pr_ce },
 { 137962, ur_m1284rfr2_swio14_dual_pr_ce_u4 },
 { 137963, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 137964, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 137966, ur_m1284rfr2_swio14_dual_ee_hw },
 { 137968, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 137969, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 137970, ur_m1284rfr2_swio15_noled },
 { 137971, ur_m1284rfr2_swio15_noled_pr },
 { 137972, ur_m1284rfr2_swio15_noled_pr },
 { 137973, ur_m1284rfr2_swio15_noled_pr_ee },
 { 137974, ur_m1284rfr2_swio15_noled_pr_ee },
 { 137975, ur_m1284rfr2_swio15_noled_pr_ce },
 { 137976, ur_m1284rfr2_swio15_noled_pr_ce },
 { 137977, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 137978, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 137980, ur_m1284rfr2_swio15_noled_ee_hw },
 { 137982, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 137983, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 137984, ur_m1284rfr2_swio15_lednop },
 { 137985, ur_m1284rfr2_swio15_lednop },
 { 137986, ur_m1284rfr2_swio15_lednop },
 { 137987, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 137988, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 137989, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 137990, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 137991, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 137992, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 137994, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 137996, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 137997, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 137998, ur_m1284rfr2_swio15_dual },
 { 137999, ur_m1284rfr2_swio15_dual },
 { 138000, ur_m1284rfr2_swio15_dual },
 { 138001, ur_m1284rfr2_swio15_dual_pr_ee },
 { 138002, ur_m1284rfr2_swio15_dual_pr_ee_u4 },
 { 138003, ur_m1284rfr2_swio15_dual_pr_ce },
 { 138004, ur_m1284rfr2_swio15_dual_pr_ce_u4 },
 { 138005, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 138006, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 138008, ur_m1284rfr2_swio15_dual_ee_hw },
 { 138010, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 138011, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 138012, ur_m1284rfr2_autobaud_uart0_noled },
 { 138013, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 138014, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 138015, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 138016, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 138017, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 138018, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 138019, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 138020, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 138022, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 138024, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 138025, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 138026, ur_m1284rfr2_autobaud_uart0_lednop },
 { 138027, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 138028, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 138029, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 138030, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 138031, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 138032, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 138033, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 138034, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 138036, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 138038, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 138039, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 138040, ur_m1284rfr2_autobaud_uart0_dual },
 { 138041, ur_m1284rfr2_autobaud_uart0_dual },
 { 138042, ur_m1284rfr2_autobaud_uart0_dual },
 { 138043, ur_m1284rfr2_autobaud_uart0_dual_pr_ee },
 { 138044, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 138045, ur_m1284rfr2_autobaud_uart0_dual_pr_ce },
 { 138046, ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 138047, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 138048, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 138050, ur_m1284rfr2_autobaud_uart0_dual_ee_hw },
 { 138052, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 138053, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 138096, ur_m1284rfr2_autobaud_uart1_noled },
 { 138097, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 138098, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 138099, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 138100, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 138101, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 138102, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 138103, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 138104, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 138106, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 138108, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 138109, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 138110, ur_m1284rfr2_autobaud_uart1_lednop },
 { 138111, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 138112, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 138113, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 138114, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 138115, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 138116, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 138117, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 138118, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 138120, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 138122, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 138123, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 138124, ur_m1284rfr2_autobaud_uart1_dual },
 { 138125, ur_m1284rfr2_autobaud_uart1_dual },
 { 138126, ur_m1284rfr2_autobaud_uart1_dual },
 { 138127, ur_m1284rfr2_autobaud_uart1_dual_pr_ee },
 { 138128, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 138129, ur_m1284rfr2_autobaud_uart1_dual_pr_ce },
 { 138130, ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 138131, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 138132, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 138134, ur_m1284rfr2_autobaud_uart1_dual_ee_hw },
 { 138136, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 138137, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 138222, ur_m1284rfr2_u1x8_uart0_noled },
 { 138223, ur_m1284rfr2_u1x8_uart0_noled },
 { 138224, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 138225, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 138226, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 138227, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 138228, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 138229, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 138230, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 138232, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 138234, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 138235, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 138236, ur_m1284rfr2_u1x8_uart0_lednop },
 { 138237, ur_m1284rfr2_u1x8_uart0_lednop },
 { 138238, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 138239, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 138240, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 138241, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 138242, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 138243, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 138244, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 138246, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 138248, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 138249, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 138250, ur_m1284rfr2_u1x8_uart0_dual },
 { 138251, ur_m1284rfr2_u1x8_uart0_dual },
 { 138252, ur_m1284rfr2_u1x8_uart0_dual },
 { 138253, ur_m1284rfr2_u1x8_uart0_dual_pr_ee },
 { 138254, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 138255, ur_m1284rfr2_u1x8_uart0_dual_pr_ce },
 { 138256, ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 138257, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 138258, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 138260, ur_m1284rfr2_u1x8_uart0_dual_ee_hw },
 { 138262, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 138263, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 138306, ur_m1284rfr2_u1x8_uart1_noled },
 { 138307, ur_m1284rfr2_u1x8_uart1_noled },
 { 138308, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 138309, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 138310, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 138311, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 138312, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 138313, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 138314, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 138316, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 138318, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 138319, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 138320, ur_m1284rfr2_u1x8_uart1_lednop },
 { 138321, ur_m1284rfr2_u1x8_uart1_lednop },
 { 138322, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 138323, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 138324, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 138325, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 138326, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 138327, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 138328, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 138330, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 138332, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 138333, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 138334, ur_m1284rfr2_u1x8_uart1_dual },
 { 138335, ur_m1284rfr2_u1x8_uart1_dual },
 { 138336, ur_m1284rfr2_u1x8_uart1_dual },
 { 138337, ur_m1284rfr2_u1x8_uart1_dual_pr_ee },
 { 138338, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 138339, ur_m1284rfr2_u1x8_uart1_dual_pr_ce },
 { 138340, ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 138341, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 138342, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 138344, ur_m1284rfr2_u1x8_uart1_dual_ee_hw },
 { 138346, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 138347, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 138432, ur_m1284rfr2_u1x12_uart0_noled },
 { 138433, ur_m1284rfr2_u1x12_uart0_noled },
 { 138434, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 138435, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 138436, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 138437, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 138438, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 138439, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 138440, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 138442, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 138444, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 138445, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 138446, ur_m1284rfr2_u1x12_uart0_lednop },
 { 138447, ur_m1284rfr2_u1x12_uart0_lednop },
 { 138448, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 138449, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 138450, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 138451, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 138452, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 138453, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 138454, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 138456, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 138458, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 138459, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 138460, ur_m1284rfr2_u1x12_uart0_dual },
 { 138461, ur_m1284rfr2_u1x12_uart0_dual },
 { 138462, ur_m1284rfr2_u1x12_uart0_dual },
 { 138463, ur_m1284rfr2_u1x12_uart0_dual_pr_ee },
 { 138464, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 138465, ur_m1284rfr2_u1x12_uart0_dual_pr_ce },
 { 138466, ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 138467, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 138468, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 138470, ur_m1284rfr2_u1x12_uart0_dual_ee_hw },
 { 138472, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 138473, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 138516, ur_m1284rfr2_u1x12_uart1_noled },
 { 138517, ur_m1284rfr2_u1x12_uart1_noled },
 { 138518, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 138519, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 138520, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 138521, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 138522, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 138523, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 138524, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 138526, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 138528, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 138529, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 138530, ur_m1284rfr2_u1x12_uart1_lednop },
 { 138531, ur_m1284rfr2_u1x12_uart1_lednop },
 { 138532, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 138533, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 138534, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 138535, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 138536, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 138537, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 138538, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 138540, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 138542, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 138543, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 138544, ur_m1284rfr2_u1x12_uart1_dual },
 { 138545, ur_m1284rfr2_u1x12_uart1_dual },
 { 138546, ur_m1284rfr2_u1x12_uart1_dual },
 { 138547, ur_m1284rfr2_u1x12_uart1_dual_pr_ee },
 { 138548, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 138549, ur_m1284rfr2_u1x12_uart1_dual_pr_ce },
 { 138550, ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 138551, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 138552, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 138554, ur_m1284rfr2_u1x12_uart1_dual_ee_hw },
 { 138556, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 138557, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 138642, ur_m1284rfr2_u2x8_uart0_noled },
 { 138643, ur_m1284rfr2_u2x8_uart0_noled },
 { 138644, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 138645, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 138646, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 138647, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 138648, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 138649, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 138650, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 138652, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 138654, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 138655, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 138656, ur_m1284rfr2_u2x8_uart0_lednop },
 { 138657, ur_m1284rfr2_u2x8_uart0_lednop },
 { 138658, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 138659, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 138660, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 138661, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 138662, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 138663, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 138664, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 138666, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 138668, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 138669, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 138670, ur_m1284rfr2_u2x8_uart0_dual },
 { 138671, ur_m1284rfr2_u2x8_uart0_dual },
 { 138672, ur_m1284rfr2_u2x8_uart0_dual },
 { 138673, ur_m1284rfr2_u2x8_uart0_dual_pr_ee },
 { 138674, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 138675, ur_m1284rfr2_u2x8_uart0_dual_pr_ce },
 { 138676, ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 138677, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 138678, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 138680, ur_m1284rfr2_u2x8_uart0_dual_ee_hw },
 { 138682, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 138683, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 138726, ur_m1284rfr2_u2x8_uart1_noled },
 { 138727, ur_m1284rfr2_u2x8_uart1_noled },
 { 138728, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 138729, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 138730, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 138731, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 138732, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 138733, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 138734, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 138736, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 138738, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 138739, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 138740, ur_m1284rfr2_u2x8_uart1_lednop },
 { 138741, ur_m1284rfr2_u2x8_uart1_lednop },
 { 138742, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 138743, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 138744, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 138745, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 138746, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 138747, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 138748, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 138750, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 138752, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 138753, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 138754, ur_m1284rfr2_u2x8_uart1_dual },
 { 138755, ur_m1284rfr2_u2x8_uart1_dual },
 { 138756, ur_m1284rfr2_u2x8_uart1_dual },
 { 138757, ur_m1284rfr2_u2x8_uart1_dual_pr_ee },
 { 138758, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 138759, ur_m1284rfr2_u2x8_uart1_dual_pr_ce },
 { 138760, ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 138761, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 138762, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 138764, ur_m1284rfr2_u2x8_uart1_dual_ee_hw },
 { 138766, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 138767, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 138852, ur_m1284rfr2_u2x12_uart0_noled },
 { 138853, ur_m1284rfr2_u2x12_uart0_noled },
 { 138854, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 138855, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 138856, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 138857, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 138858, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 138859, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 138860, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 138862, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 138864, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 138865, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 138866, ur_m1284rfr2_u2x12_uart0_lednop },
 { 138867, ur_m1284rfr2_u2x12_uart0_lednop },
 { 138868, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 138869, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 138870, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 138871, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 138872, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 138873, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 138874, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 138876, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 138878, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 138879, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 138880, ur_m1284rfr2_u2x12_uart0_dual },
 { 138881, ur_m1284rfr2_u2x12_uart0_dual },
 { 138882, ur_m1284rfr2_u2x12_uart0_dual },
 { 138883, ur_m1284rfr2_u2x12_uart0_dual_pr_ee },
 { 138884, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 138885, ur_m1284rfr2_u2x12_uart0_dual_pr_ce },
 { 138886, ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 138887, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 138888, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 138890, ur_m1284rfr2_u2x12_uart0_dual_ee_hw },
 { 138892, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 138893, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 138936, ur_m1284rfr2_u2x12_uart1_noled },
 { 138937, ur_m1284rfr2_u2x12_uart1_noled },
 { 138938, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 138939, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 138940, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 138941, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 138942, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 138943, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 138944, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 138946, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 138948, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 138949, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 138950, ur_m1284rfr2_u2x12_uart1_lednop },
 { 138951, ur_m1284rfr2_u2x12_uart1_lednop },
 { 138952, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 138953, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 138954, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 138955, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 138956, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 138957, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 138958, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 138960, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 138962, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 138963, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 138964, ur_m1284rfr2_u2x12_uart1_dual },
 { 138965, ur_m1284rfr2_u2x12_uart1_dual },
 { 138966, ur_m1284rfr2_u2x12_uart1_dual },
 { 138967, ur_m1284rfr2_u2x12_uart1_dual_pr_ee },
 { 138968, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 138969, ur_m1284rfr2_u2x12_uart1_dual_pr_ce },
 { 138970, ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 138971, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 138972, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 138974, ur_m1284rfr2_u2x12_uart1_dual_ee_hw },
 { 138976, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 138977, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 139062, ur_m1284rfr2_swio10_noled },
 { 139063, ur_m1284rfr2_swio10_noled_pr },
 { 139064, ur_m1284rfr2_swio10_noled_pr },
 { 139065, ur_m1284rfr2_swio10_noled_pr_ee },
 { 139066, ur_m1284rfr2_swio10_noled_pr_ee },
 { 139067, ur_m1284rfr2_swio10_noled_pr_ce },
 { 139068, ur_m1284rfr2_swio10_noled_pr_ce },
 { 139069, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 139070, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 139072, ur_m1284rfr2_swio10_noled_ee_hw },
 { 139074, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 139075, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 139076, ur_m1284rfr2_swio10_lednop },
 { 139077, ur_m1284rfr2_swio10_lednop_pr },
 { 139078, ur_m1284rfr2_swio10_lednop_pr },
 { 139079, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 139080, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 139081, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 139082, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 139083, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 139084, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 139086, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 139088, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 139089, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 139090, ur_m1284rfr2_swio10_dual },
 { 139091, ur_m1284rfr2_swio10_dual },
 { 139092, ur_m1284rfr2_swio10_dual },
 { 139093, ur_m1284rfr2_swio10_dual_pr_ee },
 { 139094, ur_m1284rfr2_swio10_dual_pr_ee_u4 },
 { 139095, ur_m1284rfr2_swio10_dual_pr_ce },
 { 139096, ur_m1284rfr2_swio10_dual_pr_ce_u4 },
 { 139097, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 139098, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 139100, ur_m1284rfr2_swio10_dual_ee_hw },
 { 139102, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 139103, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 139104, ur_m1284rfr2_swio11_noled },
 { 139105, ur_m1284rfr2_swio11_noled_pr },
 { 139106, ur_m1284rfr2_swio11_noled_pr },
 { 139107, ur_m1284rfr2_swio11_noled_pr_ee },
 { 139108, ur_m1284rfr2_swio11_noled_pr_ee },
 { 139109, ur_m1284rfr2_swio11_noled_pr_ce },
 { 139110, ur_m1284rfr2_swio11_noled_pr_ce },
 { 139111, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 139112, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 139114, ur_m1284rfr2_swio11_noled_ee_hw },
 { 139116, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 139117, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 139118, ur_m1284rfr2_swio11_lednop },
 { 139119, ur_m1284rfr2_swio11_lednop_pr },
 { 139120, ur_m1284rfr2_swio11_lednop_pr },
 { 139121, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 139122, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 139123, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 139124, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 139125, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 139126, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 139128, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 139130, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 139131, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 139132, ur_m1284rfr2_swio11_dual },
 { 139133, ur_m1284rfr2_swio11_dual },
 { 139134, ur_m1284rfr2_swio11_dual },
 { 139135, ur_m1284rfr2_swio11_dual_pr_ee },
 { 139136, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 139137, ur_m1284rfr2_swio11_dual_pr_ce },
 { 139138, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 139139, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 139140, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 139142, ur_m1284rfr2_swio11_dual_ee_hw },
 { 139144, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 139145, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 139146, ur_m1284rfr2_swio11_noled },
 { 139147, ur_m1284rfr2_swio11_noled_pr },
 { 139148, ur_m1284rfr2_swio11_noled_pr },
 { 139149, ur_m1284rfr2_swio11_noled_pr_ee },
 { 139150, ur_m1284rfr2_swio11_noled_pr_ee },
 { 139151, ur_m1284rfr2_swio11_noled_pr_ce },
 { 139152, ur_m1284rfr2_swio11_noled_pr_ce },
 { 139153, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 139154, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 139156, ur_m1284rfr2_swio11_noled_ee_hw },
 { 139158, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 139159, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 139160, ur_m1284rfr2_swio11_lednop },
 { 139161, ur_m1284rfr2_swio11_lednop_pr },
 { 139162, ur_m1284rfr2_swio11_lednop_pr },
 { 139163, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 139164, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 139165, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 139166, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 139167, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 139168, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 139170, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 139172, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 139173, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 139174, ur_m1284rfr2_swio11_dual },
 { 139175, ur_m1284rfr2_swio11_dual },
 { 139176, ur_m1284rfr2_swio11_dual },
 { 139177, ur_m1284rfr2_swio11_dual_pr_ee },
 { 139178, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 139179, ur_m1284rfr2_swio11_dual_pr_ce },
 { 139180, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 139181, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 139182, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 139184, ur_m1284rfr2_swio11_dual_ee_hw },
 { 139186, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 139187, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 139188, ur_m1284rfr2_swio13_noled },
 { 139189, ur_m1284rfr2_swio13_noled_pr },
 { 139190, ur_m1284rfr2_swio13_noled_pr },
 { 139191, ur_m1284rfr2_swio13_noled_pr_ee },
 { 139192, ur_m1284rfr2_swio13_noled_pr_ee },
 { 139193, ur_m1284rfr2_swio13_noled_pr_ce },
 { 139194, ur_m1284rfr2_swio13_noled_pr_ce },
 { 139195, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 139196, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 139198, ur_m1284rfr2_swio13_noled_ee_hw },
 { 139200, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 139201, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 139202, ur_m1284rfr2_swio13_lednop },
 { 139203, ur_m1284rfr2_swio13_lednop },
 { 139204, ur_m1284rfr2_swio13_lednop },
 { 139205, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 139206, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 139207, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 139208, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 139209, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 139210, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 139212, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 139214, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 139215, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 139216, ur_m1284rfr2_swio13_dual },
 { 139217, ur_m1284rfr2_swio13_dual },
 { 139218, ur_m1284rfr2_swio13_dual },
 { 139219, ur_m1284rfr2_swio13_dual_pr_ee },
 { 139220, ur_m1284rfr2_swio13_dual_pr_ee_u4 },
 { 139221, ur_m1284rfr2_swio13_dual_pr_ce },
 { 139222, ur_m1284rfr2_swio13_dual_pr_ce_u4 },
 { 139223, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 139224, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 139226, ur_m1284rfr2_swio13_dual_ee_hw },
 { 139228, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 139229, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 139230, ur_m1284rfr2_swio14_noled },
 { 139231, ur_m1284rfr2_swio14_noled_pr },
 { 139232, ur_m1284rfr2_swio14_noled_pr },
 { 139233, ur_m1284rfr2_swio14_noled_pr_ee },
 { 139234, ur_m1284rfr2_swio14_noled_pr_ee },
 { 139235, ur_m1284rfr2_swio14_noled_pr_ce },
 { 139236, ur_m1284rfr2_swio14_noled_pr_ce },
 { 139237, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 139238, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 139240, ur_m1284rfr2_swio14_noled_ee_hw },
 { 139242, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 139243, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 139244, ur_m1284rfr2_swio14_lednop },
 { 139245, ur_m1284rfr2_swio14_lednop_pr },
 { 139246, ur_m1284rfr2_swio14_lednop_pr },
 { 139247, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 139248, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 139249, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 139250, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 139251, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 139252, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 139254, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 139256, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 139257, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 139258, ur_m1284rfr2_swio14_dual },
 { 139259, ur_m1284rfr2_swio14_dual },
 { 139260, ur_m1284rfr2_swio14_dual },
 { 139261, ur_m1284rfr2_swio14_dual_pr_ee },
 { 139262, ur_m1284rfr2_swio14_dual_pr_ee_u4 },
 { 139263, ur_m1284rfr2_swio14_dual_pr_ce },
 { 139264, ur_m1284rfr2_swio14_dual_pr_ce_u4 },
 { 139265, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 139266, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 139268, ur_m1284rfr2_swio14_dual_ee_hw },
 { 139270, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 139271, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 139272, ur_m1284rfr2_swio15_noled },
 { 139273, ur_m1284rfr2_swio15_noled_pr },
 { 139274, ur_m1284rfr2_swio15_noled_pr },
 { 139275, ur_m1284rfr2_swio15_noled_pr_ee },
 { 139276, ur_m1284rfr2_swio15_noled_pr_ee },
 { 139277, ur_m1284rfr2_swio15_noled_pr_ce },
 { 139278, ur_m1284rfr2_swio15_noled_pr_ce },
 { 139279, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 139280, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 139282, ur_m1284rfr2_swio15_noled_ee_hw },
 { 139284, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 139285, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 139286, ur_m1284rfr2_swio15_lednop },
 { 139287, ur_m1284rfr2_swio15_lednop },
 { 139288, ur_m1284rfr2_swio15_lednop },
 { 139289, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 139290, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 139291, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 139292, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 139293, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 139294, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 139296, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 139298, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 139299, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 139300, ur_m1284rfr2_swio15_dual },
 { 139301, ur_m1284rfr2_swio15_dual },
 { 139302, ur_m1284rfr2_swio15_dual },
 { 139303, ur_m1284rfr2_swio15_dual_pr_ee },
 { 139304, ur_m1284rfr2_swio15_dual_pr_ee_u4 },
 { 139305, ur_m1284rfr2_swio15_dual_pr_ce },
 { 139306, ur_m1284rfr2_swio15_dual_pr_ce_u4 },
 { 139307, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 139308, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 139310, ur_m1284rfr2_swio15_dual_ee_hw },
 { 139312, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 139313, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 139314, ur_m1284rfr2_autobaud_uart0_noled },
 { 139315, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 139316, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 139317, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 139318, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 139319, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 139320, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 139321, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 139322, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 139324, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 139326, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 139327, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 139328, ur_m1284rfr2_autobaud_uart0_lednop },
 { 139329, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 139330, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 139331, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 139332, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 139333, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 139334, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 139335, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 139336, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 139338, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 139340, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 139341, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 139342, ur_m1284rfr2_autobaud_uart0_dual },
 { 139343, ur_m1284rfr2_autobaud_uart0_dual },
 { 139344, ur_m1284rfr2_autobaud_uart0_dual },
 { 139345, ur_m1284rfr2_autobaud_uart0_dual_pr_ee },
 { 139346, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 139347, ur_m1284rfr2_autobaud_uart0_dual_pr_ce },
 { 139348, ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 139349, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 139350, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 139352, ur_m1284rfr2_autobaud_uart0_dual_ee_hw },
 { 139354, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 139355, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 139398, ur_m1284rfr2_autobaud_uart1_noled },
 { 139399, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 139400, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 139401, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 139402, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 139403, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 139404, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 139405, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 139406, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 139408, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 139410, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 139411, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 139412, ur_m1284rfr2_autobaud_uart1_lednop },
 { 139413, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 139414, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 139415, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 139416, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 139417, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 139418, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 139419, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 139420, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 139422, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 139424, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 139425, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 139426, ur_m1284rfr2_autobaud_uart1_dual },
 { 139427, ur_m1284rfr2_autobaud_uart1_dual },
 { 139428, ur_m1284rfr2_autobaud_uart1_dual },
 { 139429, ur_m1284rfr2_autobaud_uart1_dual_pr_ee },
 { 139430, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 139431, ur_m1284rfr2_autobaud_uart1_dual_pr_ce },
 { 139432, ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 139433, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 139434, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 139436, ur_m1284rfr2_autobaud_uart1_dual_ee_hw },
 { 139438, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 139439, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 139524, ur_m1284rfr2_u1x8_uart0_noled },
 { 139525, ur_m1284rfr2_u1x8_uart0_noled },
 { 139526, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 139527, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 139528, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 139529, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 139530, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 139531, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 139532, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 139534, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 139536, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 139537, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 139538, ur_m1284rfr2_u1x8_uart0_lednop },
 { 139539, ur_m1284rfr2_u1x8_uart0_lednop },
 { 139540, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 139541, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 139542, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 139543, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 139544, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 139545, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 139546, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 139548, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 139550, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 139551, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 139552, ur_m1284rfr2_u1x8_uart0_dual },
 { 139553, ur_m1284rfr2_u1x8_uart0_dual },
 { 139554, ur_m1284rfr2_u1x8_uart0_dual },
 { 139555, ur_m1284rfr2_u1x8_uart0_dual_pr_ee },
 { 139556, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 139557, ur_m1284rfr2_u1x8_uart0_dual_pr_ce },
 { 139558, ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 139559, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 139560, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 139562, ur_m1284rfr2_u1x8_uart0_dual_ee_hw },
 { 139564, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 139565, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 139608, ur_m1284rfr2_u1x8_uart1_noled },
 { 139609, ur_m1284rfr2_u1x8_uart1_noled },
 { 139610, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 139611, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 139612, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 139613, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 139614, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 139615, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 139616, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 139618, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 139620, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 139621, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 139622, ur_m1284rfr2_u1x8_uart1_lednop },
 { 139623, ur_m1284rfr2_u1x8_uart1_lednop },
 { 139624, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 139625, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 139626, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 139627, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 139628, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 139629, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 139630, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 139632, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 139634, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 139635, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 139636, ur_m1284rfr2_u1x8_uart1_dual },
 { 139637, ur_m1284rfr2_u1x8_uart1_dual },
 { 139638, ur_m1284rfr2_u1x8_uart1_dual },
 { 139639, ur_m1284rfr2_u1x8_uart1_dual_pr_ee },
 { 139640, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 139641, ur_m1284rfr2_u1x8_uart1_dual_pr_ce },
 { 139642, ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 139643, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 139644, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 139646, ur_m1284rfr2_u1x8_uart1_dual_ee_hw },
 { 139648, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 139649, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 139650, ur_m1280_u1x8_uart2_noled },
 { 139651, ur_m1280_u1x8_uart2_noled },
 { 139652, ur_m1280_u1x8_uart2_noled_pr_u4 },
 { 139653, ur_m1280_u1x8_uart2_noled_pr_ee },
 { 139654, ur_m1280_u1x8_uart2_noled_pr_ee },
 { 139655, ur_m1280_u1x8_uart2_noled_pr_ce },
 { 139656, ur_m1280_u1x8_uart2_noled_pr_ce },
 { 139657, ur_m1280_u1x8_uart2_noled_pr_ee_ce },
 { 139658, ur_m1280_u1x8_uart2_noled_pr_ee_ce },
 { 139660, ur_m1280_u1x8_uart2_noled_ee_hw },
 { 139662, ur_m1280_u1x8_uart2_noled_ee_ce_hw },
 { 139663, ur_m1280_u1x8_uart2_noled_ee_ce_hw },
 { 139664, ur_m1280_u1x8_uart2_lednop },
 { 139665, ur_m1280_u1x8_uart2_lednop },
 { 139666, ur_m1280_u1x8_uart2_lednop_pr_u4 },
 { 139667, ur_m1280_u1x8_uart2_lednop_pr_ee },
 { 139668, ur_m1280_u1x8_uart2_lednop_pr_ee },
 { 139669, ur_m1280_u1x8_uart2_lednop_pr_ce },
 { 139670, ur_m1280_u1x8_uart2_lednop_pr_ce },
 { 139671, ur_m1280_u1x8_uart2_lednop_pr_ee_ce },
 { 139672, ur_m1280_u1x8_uart2_lednop_pr_ee_ce },
 { 139674, ur_m1280_u1x8_uart2_lednop_ee_hw },
 { 139676, ur_m1280_u1x8_uart2_lednop_ee_ce_hw },
 { 139677, ur_m1280_u1x8_uart2_lednop_ee_ce_hw },
 { 139678, ur_m1280_u1x8_uart2_dual },
 { 139679, ur_m1280_u1x8_uart2_dual },
 { 139680, ur_m1280_u1x8_uart2_dual },
 { 139681, ur_m1280_u1x8_uart2_dual_pr_ee },
 { 139682, ur_m1280_u1x8_uart2_dual_pr_ee_u4 },
 { 139683, ur_m1280_u1x8_uart2_dual_pr_ce },
 { 139684, ur_m1280_u1x8_uart2_dual_pr_ce_u4 },
 { 139685, ur_m1280_u1x8_uart2_dual_pr_ee_ce },
 { 139686, ur_m1280_u1x8_uart2_dual_pr_ee_ce_u4 },
 { 139688, ur_m1280_u1x8_uart2_dual_ee_hw },
 { 139690, ur_m1280_u1x8_uart2_dual_ee_ce_hw },
 { 139691, ur_m1280_u1x8_uart2_dual_ee_ce_hw },
 { 139692, ur_m1280_u1x8_uart3_noled },
 { 139693, ur_m1280_u1x8_uart3_noled },
 { 139694, ur_m1280_u1x8_uart3_noled_pr_u4 },
 { 139695, ur_m1280_u1x8_uart3_noled_pr_ee },
 { 139696, ur_m1280_u1x8_uart3_noled_pr_ee },
 { 139697, ur_m1280_u1x8_uart3_noled_pr_ce },
 { 139698, ur_m1280_u1x8_uart3_noled_pr_ce },
 { 139699, ur_m1280_u1x8_uart3_noled_pr_ee_ce },
 { 139700, ur_m1280_u1x8_uart3_noled_pr_ee_ce },
 { 139702, ur_m1280_u1x8_uart3_noled_ee_hw },
 { 139704, ur_m1280_u1x8_uart3_noled_ee_ce_hw },
 { 139705, ur_m1280_u1x8_uart3_noled_ee_ce_hw },
 { 139706, ur_m1280_u1x8_uart3_lednop },
 { 139707, ur_m1280_u1x8_uart3_lednop },
 { 139708, ur_m1280_u1x8_uart3_lednop_pr_u4 },
 { 139709, ur_m1280_u1x8_uart3_lednop_pr_ee },
 { 139710, ur_m1280_u1x8_uart3_lednop_pr_ee },
 { 139711, ur_m1280_u1x8_uart3_lednop_pr_ce },
 { 139712, ur_m1280_u1x8_uart3_lednop_pr_ce },
 { 139713, ur_m1280_u1x8_uart3_lednop_pr_ee_ce },
 { 139714, ur_m1280_u1x8_uart3_lednop_pr_ee_ce },
 { 139716, ur_m1280_u1x8_uart3_lednop_ee_hw },
 { 139718, ur_m1280_u1x8_uart3_lednop_ee_ce_hw },
 { 139719, ur_m1280_u1x8_uart3_lednop_ee_ce_hw },
 { 139720, ur_m1280_u1x8_uart3_dual },
 { 139721, ur_m1280_u1x8_uart3_dual },
 { 139722, ur_m1280_u1x8_uart3_dual },
 { 139723, ur_m1280_u1x8_uart3_dual_pr_ee },
 { 139724, ur_m1280_u1x8_uart3_dual_pr_ee_u4 },
 { 139725, ur_m1280_u1x8_uart3_dual_pr_ce },
 { 139726, ur_m1280_u1x8_uart3_dual_pr_ce_u4 },
 { 139727, ur_m1280_u1x8_uart3_dual_pr_ee_ce },
 { 139728, ur_m1280_u1x8_uart3_dual_pr_ee_ce_u4 },
 { 139730, ur_m1280_u1x8_uart3_dual_ee_hw },
 { 139732, ur_m1280_u1x8_uart3_dual_ee_ce_hw },
 { 139733, ur_m1280_u1x8_uart3_dual_ee_ce_hw },
 { 139734, ur_m1284rfr2_u1x12_uart0_noled },
 { 139735, ur_m1284rfr2_u1x12_uart0_noled },
 { 139736, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 139737, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 139738, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 139739, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 139740, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 139741, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 139742, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 139744, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 139746, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 139747, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 139748, ur_m1284rfr2_u1x12_uart0_lednop },
 { 139749, ur_m1284rfr2_u1x12_uart0_lednop },
 { 139750, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 139751, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 139752, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 139753, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 139754, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 139755, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 139756, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 139758, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 139760, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 139761, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 139762, ur_m1284rfr2_u1x12_uart0_dual },
 { 139763, ur_m1284rfr2_u1x12_uart0_dual },
 { 139764, ur_m1284rfr2_u1x12_uart0_dual },
 { 139765, ur_m1284rfr2_u1x12_uart0_dual_pr_ee },
 { 139766, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 139767, ur_m1284rfr2_u1x12_uart0_dual_pr_ce },
 { 139768, ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 139769, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 139770, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 139772, ur_m1284rfr2_u1x12_uart0_dual_ee_hw },
 { 139774, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 139775, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 139818, ur_m1284rfr2_u1x12_uart1_noled },
 { 139819, ur_m1284rfr2_u1x12_uart1_noled },
 { 139820, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 139821, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 139822, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 139823, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 139824, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 139825, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 139826, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 139828, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 139830, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 139831, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 139832, ur_m1284rfr2_u1x12_uart1_lednop },
 { 139833, ur_m1284rfr2_u1x12_uart1_lednop },
 { 139834, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 139835, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 139836, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 139837, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 139838, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 139839, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 139840, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 139842, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 139844, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 139845, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 139846, ur_m1284rfr2_u1x12_uart1_dual },
 { 139847, ur_m1284rfr2_u1x12_uart1_dual },
 { 139848, ur_m1284rfr2_u1x12_uart1_dual },
 { 139849, ur_m1284rfr2_u1x12_uart1_dual_pr_ee },
 { 139850, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 139851, ur_m1284rfr2_u1x12_uart1_dual_pr_ce },
 { 139852, ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 139853, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 139854, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 139856, ur_m1284rfr2_u1x12_uart1_dual_ee_hw },
 { 139858, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 139859, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 139860, ur_m1280_u1x12_uart2_noled },
 { 139861, ur_m1280_u1x12_uart2_noled },
 { 139862, ur_m1280_u1x12_uart2_noled_pr_u4 },
 { 139863, ur_m1280_u1x12_uart2_noled_pr_ee },
 { 139864, ur_m1280_u1x12_uart2_noled_pr_ee },
 { 139865, ur_m1280_u1x12_uart2_noled_pr_ce },
 { 139866, ur_m1280_u1x12_uart2_noled_pr_ce },
 { 139867, ur_m1280_u1x12_uart2_noled_pr_ee_ce },
 { 139868, ur_m1280_u1x12_uart2_noled_pr_ee_ce },
 { 139870, ur_m1280_u1x12_uart2_noled_ee_hw },
 { 139872, ur_m1280_u1x12_uart2_noled_ee_ce_hw },
 { 139873, ur_m1280_u1x12_uart2_noled_ee_ce_hw },
 { 139874, ur_m1280_u1x12_uart2_lednop },
 { 139875, ur_m1280_u1x12_uart2_lednop },
 { 139876, ur_m1280_u1x12_uart2_lednop_pr_u4 },
 { 139877, ur_m1280_u1x12_uart2_lednop_pr_ee },
 { 139878, ur_m1280_u1x12_uart2_lednop_pr_ee },
 { 139879, ur_m1280_u1x12_uart2_lednop_pr_ce },
 { 139880, ur_m1280_u1x12_uart2_lednop_pr_ce },
 { 139881, ur_m1280_u1x12_uart2_lednop_pr_ee_ce },
 { 139882, ur_m1280_u1x12_uart2_lednop_pr_ee_ce },
 { 139884, ur_m1280_u1x12_uart2_lednop_ee_hw },
 { 139886, ur_m1280_u1x12_uart2_lednop_ee_ce_hw },
 { 139887, ur_m1280_u1x12_uart2_lednop_ee_ce_hw },
 { 139888, ur_m1280_u1x12_uart2_dual },
 { 139889, ur_m1280_u1x12_uart2_dual },
 { 139890, ur_m1280_u1x12_uart2_dual },
 { 139891, ur_m1280_u1x12_uart2_dual_pr_ee },
 { 139892, ur_m1280_u1x12_uart2_dual_pr_ee_u4 },
 { 139893, ur_m1280_u1x12_uart2_dual_pr_ce },
 { 139894, ur_m1280_u1x12_uart2_dual_pr_ce_u4 },
 { 139895, ur_m1280_u1x12_uart2_dual_pr_ee_ce },
 { 139896, ur_m1280_u1x12_uart2_dual_pr_ee_ce_u4 },
 { 139898, ur_m1280_u1x12_uart2_dual_ee_hw },
 { 139900, ur_m1280_u1x12_uart2_dual_ee_ce_hw },
 { 139901, ur_m1280_u1x12_uart2_dual_ee_ce_hw },
 { 139902, ur_m1280_u1x12_uart3_noled },
 { 139903, ur_m1280_u1x12_uart3_noled },
 { 139904, ur_m1280_u1x12_uart3_noled_pr_u4 },
 { 139905, ur_m1280_u1x12_uart3_noled_pr_ee },
 { 139906, ur_m1280_u1x12_uart3_noled_pr_ee },
 { 139907, ur_m1280_u1x12_uart3_noled_pr_ce },
 { 139908, ur_m1280_u1x12_uart3_noled_pr_ce },
 { 139909, ur_m1280_u1x12_uart3_noled_pr_ee_ce },
 { 139910, ur_m1280_u1x12_uart3_noled_pr_ee_ce },
 { 139912, ur_m1280_u1x12_uart3_noled_ee_hw },
 { 139914, ur_m1280_u1x12_uart3_noled_ee_ce_hw },
 { 139915, ur_m1280_u1x12_uart3_noled_ee_ce_hw },
 { 139916, ur_m1280_u1x12_uart3_lednop },
 { 139917, ur_m1280_u1x12_uart3_lednop },
 { 139918, ur_m1280_u1x12_uart3_lednop_pr_u4 },
 { 139919, ur_m1280_u1x12_uart3_lednop_pr_ee },
 { 139920, ur_m1280_u1x12_uart3_lednop_pr_ee },
 { 139921, ur_m1280_u1x12_uart3_lednop_pr_ce },
 { 139922, ur_m1280_u1x12_uart3_lednop_pr_ce },
 { 139923, ur_m1280_u1x12_uart3_lednop_pr_ee_ce },
 { 139924, ur_m1280_u1x12_uart3_lednop_pr_ee_ce },
 { 139926, ur_m1280_u1x12_uart3_lednop_ee_hw },
 { 139928, ur_m1280_u1x12_uart3_lednop_ee_ce_hw },
 { 139929, ur_m1280_u1x12_uart3_lednop_ee_ce_hw },
 { 139930, ur_m1280_u1x12_uart3_dual },
 { 139931, ur_m1280_u1x12_uart3_dual },
 { 139932, ur_m1280_u1x12_uart3_dual },
 { 139933, ur_m1280_u1x12_uart3_dual_pr_ee },
 { 139934, ur_m1280_u1x12_uart3_dual_pr_ee_u4 },
 { 139935, ur_m1280_u1x12_uart3_dual_pr_ce },
 { 139936, ur_m1280_u1x12_uart3_dual_pr_ce_u4 },
 { 139937, ur_m1280_u1x12_uart3_dual_pr_ee_ce },
 { 139938, ur_m1280_u1x12_uart3_dual_pr_ee_ce_u4 },
 { 139940, ur_m1280_u1x12_uart3_dual_ee_hw },
 { 139942, ur_m1280_u1x12_uart3_dual_ee_ce_hw },
 { 139943, ur_m1280_u1x12_uart3_dual_ee_ce_hw },
 { 139944, ur_m1284rfr2_u2x8_uart0_noled },
 { 139945, ur_m1284rfr2_u2x8_uart0_noled },
 { 139946, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 139947, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 139948, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 139949, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 139950, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 139951, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 139952, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 139954, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 139956, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 139957, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 139958, ur_m1284rfr2_u2x8_uart0_lednop },
 { 139959, ur_m1284rfr2_u2x8_uart0_lednop },
 { 139960, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 139961, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 139962, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 139963, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 139964, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 139965, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 139966, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 139968, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 139970, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 139971, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 139972, ur_m1284rfr2_u2x8_uart0_dual },
 { 139973, ur_m1284rfr2_u2x8_uart0_dual },
 { 139974, ur_m1284rfr2_u2x8_uart0_dual },
 { 139975, ur_m1284rfr2_u2x8_uart0_dual_pr_ee },
 { 139976, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 139977, ur_m1284rfr2_u2x8_uart0_dual_pr_ce },
 { 139978, ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 139979, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 139980, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 139982, ur_m1284rfr2_u2x8_uart0_dual_ee_hw },
 { 139984, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 139985, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 140028, ur_m1284rfr2_u2x8_uart1_noled },
 { 140029, ur_m1284rfr2_u2x8_uart1_noled },
 { 140030, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 140031, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 140032, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 140033, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 140034, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 140035, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 140036, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 140038, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 140040, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 140041, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 140042, ur_m1284rfr2_u2x8_uart1_lednop },
 { 140043, ur_m1284rfr2_u2x8_uart1_lednop },
 { 140044, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 140045, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 140046, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 140047, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 140048, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 140049, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 140050, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 140052, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 140054, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 140055, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 140056, ur_m1284rfr2_u2x8_uart1_dual },
 { 140057, ur_m1284rfr2_u2x8_uart1_dual },
 { 140058, ur_m1284rfr2_u2x8_uart1_dual },
 { 140059, ur_m1284rfr2_u2x8_uart1_dual_pr_ee },
 { 140060, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 140061, ur_m1284rfr2_u2x8_uart1_dual_pr_ce },
 { 140062, ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 140063, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 140064, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 140066, ur_m1284rfr2_u2x8_uart1_dual_ee_hw },
 { 140068, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 140069, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 140070, ur_m1280_u2x8_uart2_noled },
 { 140071, ur_m1280_u2x8_uart2_noled },
 { 140072, ur_m1280_u2x8_uart2_noled_pr_u4 },
 { 140073, ur_m1280_u2x8_uart2_noled_pr_ee },
 { 140074, ur_m1280_u2x8_uart2_noled_pr_ee },
 { 140075, ur_m1280_u2x8_uart2_noled_pr_ce },
 { 140076, ur_m1280_u2x8_uart2_noled_pr_ce },
 { 140077, ur_m1280_u2x8_uart2_noled_pr_ee_ce },
 { 140078, ur_m1280_u2x8_uart2_noled_pr_ee_ce },
 { 140080, ur_m1280_u2x8_uart2_noled_ee_hw },
 { 140082, ur_m1280_u2x8_uart2_noled_ee_ce_hw },
 { 140083, ur_m1280_u2x8_uart2_noled_ee_ce_hw },
 { 140084, ur_m1280_u2x8_uart2_lednop },
 { 140085, ur_m1280_u2x8_uart2_lednop },
 { 140086, ur_m1280_u2x8_uart2_lednop_pr_u4 },
 { 140087, ur_m1280_u2x8_uart2_lednop_pr_ee },
 { 140088, ur_m1280_u2x8_uart2_lednop_pr_ee },
 { 140089, ur_m1280_u2x8_uart2_lednop_pr_ce },
 { 140090, ur_m1280_u2x8_uart2_lednop_pr_ce },
 { 140091, ur_m1280_u2x8_uart2_lednop_pr_ee_ce },
 { 140092, ur_m1280_u2x8_uart2_lednop_pr_ee_ce },
 { 140094, ur_m1280_u2x8_uart2_lednop_ee_hw },
 { 140096, ur_m1280_u2x8_uart2_lednop_ee_ce_hw },
 { 140097, ur_m1280_u2x8_uart2_lednop_ee_ce_hw },
 { 140098, ur_m1280_u2x8_uart2_dual },
 { 140099, ur_m1280_u2x8_uart2_dual },
 { 140100, ur_m1280_u2x8_uart2_dual },
 { 140101, ur_m1280_u2x8_uart2_dual_pr_ee },
 { 140102, ur_m1280_u2x8_uart2_dual_pr_ee_u4 },
 { 140103, ur_m1280_u2x8_uart2_dual_pr_ce },
 { 140104, ur_m1280_u2x8_uart2_dual_pr_ce_u4 },
 { 140105, ur_m1280_u2x8_uart2_dual_pr_ee_ce },
 { 140106, ur_m1280_u2x8_uart2_dual_pr_ee_ce_u4 },
 { 140108, ur_m1280_u2x8_uart2_dual_ee_hw },
 { 140110, ur_m1280_u2x8_uart2_dual_ee_ce_hw },
 { 140111, ur_m1280_u2x8_uart2_dual_ee_ce_hw },
 { 140112, ur_m1280_u2x8_uart3_noled },
 { 140113, ur_m1280_u2x8_uart3_noled },
 { 140114, ur_m1280_u2x8_uart3_noled_pr_u4 },
 { 140115, ur_m1280_u2x8_uart3_noled_pr_ee },
 { 140116, ur_m1280_u2x8_uart3_noled_pr_ee },
 { 140117, ur_m1280_u2x8_uart3_noled_pr_ce },
 { 140118, ur_m1280_u2x8_uart3_noled_pr_ce },
 { 140119, ur_m1280_u2x8_uart3_noled_pr_ee_ce },
 { 140120, ur_m1280_u2x8_uart3_noled_pr_ee_ce },
 { 140122, ur_m1280_u2x8_uart3_noled_ee_hw },
 { 140124, ur_m1280_u2x8_uart3_noled_ee_ce_hw },
 { 140125, ur_m1280_u2x8_uart3_noled_ee_ce_hw },
 { 140126, ur_m1280_u2x8_uart3_lednop },
 { 140127, ur_m1280_u2x8_uart3_lednop },
 { 140128, ur_m1280_u2x8_uart3_lednop_pr_u4 },
 { 140129, ur_m1280_u2x8_uart3_lednop_pr_ee },
 { 140130, ur_m1280_u2x8_uart3_lednop_pr_ee },
 { 140131, ur_m1280_u2x8_uart3_lednop_pr_ce },
 { 140132, ur_m1280_u2x8_uart3_lednop_pr_ce },
 { 140133, ur_m1280_u2x8_uart3_lednop_pr_ee_ce },
 { 140134, ur_m1280_u2x8_uart3_lednop_pr_ee_ce },
 { 140136, ur_m1280_u2x8_uart3_lednop_ee_hw },
 { 140138, ur_m1280_u2x8_uart3_lednop_ee_ce_hw },
 { 140139, ur_m1280_u2x8_uart3_lednop_ee_ce_hw },
 { 140140, ur_m1280_u2x8_uart3_dual },
 { 140141, ur_m1280_u2x8_uart3_dual },
 { 140142, ur_m1280_u2x8_uart3_dual },
 { 140143, ur_m1280_u2x8_uart3_dual_pr_ee },
 { 140144, ur_m1280_u2x8_uart3_dual_pr_ee_u4 },
 { 140145, ur_m1280_u2x8_uart3_dual_pr_ce },
 { 140146, ur_m1280_u2x8_uart3_dual_pr_ce_u4 },
 { 140147, ur_m1280_u2x8_uart3_dual_pr_ee_ce },
 { 140148, ur_m1280_u2x8_uart3_dual_pr_ee_ce_u4 },
 { 140150, ur_m1280_u2x8_uart3_dual_ee_hw },
 { 140152, ur_m1280_u2x8_uart3_dual_ee_ce_hw },
 { 140153, ur_m1280_u2x8_uart3_dual_ee_ce_hw },
 { 140154, ur_m1284rfr2_u2x12_uart0_noled },
 { 140155, ur_m1284rfr2_u2x12_uart0_noled },
 { 140156, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 140157, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 140158, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 140159, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 140160, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 140161, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 140162, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 140164, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 140166, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 140167, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 140168, ur_m1284rfr2_u2x12_uart0_lednop },
 { 140169, ur_m1284rfr2_u2x12_uart0_lednop },
 { 140170, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 140171, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 140172, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 140173, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 140174, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 140175, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 140176, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 140178, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 140180, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 140181, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 140182, ur_m1284rfr2_u2x12_uart0_dual },
 { 140183, ur_m1284rfr2_u2x12_uart0_dual },
 { 140184, ur_m1284rfr2_u2x12_uart0_dual },
 { 140185, ur_m1284rfr2_u2x12_uart0_dual_pr_ee },
 { 140186, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 140187, ur_m1284rfr2_u2x12_uart0_dual_pr_ce },
 { 140188, ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 140189, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 140190, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 140192, ur_m1284rfr2_u2x12_uart0_dual_ee_hw },
 { 140194, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 140195, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 140238, ur_m1284rfr2_u2x12_uart1_noled },
 { 140239, ur_m1284rfr2_u2x12_uart1_noled },
 { 140240, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 140241, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 140242, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 140243, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 140244, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 140245, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 140246, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 140248, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 140250, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 140251, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 140252, ur_m1284rfr2_u2x12_uart1_lednop },
 { 140253, ur_m1284rfr2_u2x12_uart1_lednop },
 { 140254, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 140255, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 140256, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 140257, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 140258, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 140259, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 140260, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 140262, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 140264, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 140265, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 140266, ur_m1284rfr2_u2x12_uart1_dual },
 { 140267, ur_m1284rfr2_u2x12_uart1_dual },
 { 140268, ur_m1284rfr2_u2x12_uart1_dual },
 { 140269, ur_m1284rfr2_u2x12_uart1_dual_pr_ee },
 { 140270, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 140271, ur_m1284rfr2_u2x12_uart1_dual_pr_ce },
 { 140272, ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 140273, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 140274, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 140276, ur_m1284rfr2_u2x12_uart1_dual_ee_hw },
 { 140278, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 140279, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 140280, ur_m1280_u2x12_uart2_noled },
 { 140281, ur_m1280_u2x12_uart2_noled },
 { 140282, ur_m1280_u2x12_uart2_noled_pr_u4 },
 { 140283, ur_m1280_u2x12_uart2_noled_pr_ee },
 { 140284, ur_m1280_u2x12_uart2_noled_pr_ee },
 { 140285, ur_m1280_u2x12_uart2_noled_pr_ce },
 { 140286, ur_m1280_u2x12_uart2_noled_pr_ce },
 { 140287, ur_m1280_u2x12_uart2_noled_pr_ee_ce },
 { 140288, ur_m1280_u2x12_uart2_noled_pr_ee_ce },
 { 140290, ur_m1280_u2x12_uart2_noled_ee_hw },
 { 140292, ur_m1280_u2x12_uart2_noled_ee_ce_hw },
 { 140293, ur_m1280_u2x12_uart2_noled_ee_ce_hw },
 { 140294, ur_m1280_u2x12_uart2_lednop },
 { 140295, ur_m1280_u2x12_uart2_lednop },
 { 140296, ur_m1280_u2x12_uart2_lednop_pr_u4 },
 { 140297, ur_m1280_u2x12_uart2_lednop_pr_ee },
 { 140298, ur_m1280_u2x12_uart2_lednop_pr_ee },
 { 140299, ur_m1280_u2x12_uart2_lednop_pr_ce },
 { 140300, ur_m1280_u2x12_uart2_lednop_pr_ce },
 { 140301, ur_m1280_u2x12_uart2_lednop_pr_ee_ce },
 { 140302, ur_m1280_u2x12_uart2_lednop_pr_ee_ce },
 { 140304, ur_m1280_u2x12_uart2_lednop_ee_hw },
 { 140306, ur_m1280_u2x12_uart2_lednop_ee_ce_hw },
 { 140307, ur_m1280_u2x12_uart2_lednop_ee_ce_hw },
 { 140308, ur_m1280_u2x12_uart2_dual },
 { 140309, ur_m1280_u2x12_uart2_dual },
 { 140310, ur_m1280_u2x12_uart2_dual },
 { 140311, ur_m1280_u2x12_uart2_dual_pr_ee },
 { 140312, ur_m1280_u2x12_uart2_dual_pr_ee_u4 },
 { 140313, ur_m1280_u2x12_uart2_dual_pr_ce },
 { 140314, ur_m1280_u2x12_uart2_dual_pr_ce_u4 },
 { 140315, ur_m1280_u2x12_uart2_dual_pr_ee_ce },
 { 140316, ur_m1280_u2x12_uart2_dual_pr_ee_ce_u4 },
 { 140318, ur_m1280_u2x12_uart2_dual_ee_hw },
 { 140320, ur_m1280_u2x12_uart2_dual_ee_ce_hw },
 { 140321, ur_m1280_u2x12_uart2_dual_ee_ce_hw },
 { 140322, ur_m1280_u2x12_uart3_noled },
 { 140323, ur_m1280_u2x12_uart3_noled },
 { 140324, ur_m1280_u2x12_uart3_noled_pr_u4 },
 { 140325, ur_m1280_u2x12_uart3_noled_pr_ee },
 { 140326, ur_m1280_u2x12_uart3_noled_pr_ee },
 { 140327, ur_m1280_u2x12_uart3_noled_pr_ce },
 { 140328, ur_m1280_u2x12_uart3_noled_pr_ce },
 { 140329, ur_m1280_u2x12_uart3_noled_pr_ee_ce },
 { 140330, ur_m1280_u2x12_uart3_noled_pr_ee_ce },
 { 140332, ur_m1280_u2x12_uart3_noled_ee_hw },
 { 140334, ur_m1280_u2x12_uart3_noled_ee_ce_hw },
 { 140335, ur_m1280_u2x12_uart3_noled_ee_ce_hw },
 { 140336, ur_m1280_u2x12_uart3_lednop },
 { 140337, ur_m1280_u2x12_uart3_lednop },
 { 140338, ur_m1280_u2x12_uart3_lednop_pr_u4 },
 { 140339, ur_m1280_u2x12_uart3_lednop_pr_ee },
 { 140340, ur_m1280_u2x12_uart3_lednop_pr_ee },
 { 140341, ur_m1280_u2x12_uart3_lednop_pr_ce },
 { 140342, ur_m1280_u2x12_uart3_lednop_pr_ce },
 { 140343, ur_m1280_u2x12_uart3_lednop_pr_ee_ce },
 { 140344, ur_m1280_u2x12_uart3_lednop_pr_ee_ce },
 { 140346, ur_m1280_u2x12_uart3_lednop_ee_hw },
 { 140348, ur_m1280_u2x12_uart3_lednop_ee_ce_hw },
 { 140349, ur_m1280_u2x12_uart3_lednop_ee_ce_hw },
 { 140350, ur_m1280_u2x12_uart3_dual },
 { 140351, ur_m1280_u2x12_uart3_dual },
 { 140352, ur_m1280_u2x12_uart3_dual },
 { 140353, ur_m1280_u2x12_uart3_dual_pr_ee },
 { 140354, ur_m1280_u2x12_uart3_dual_pr_ee_u4 },
 { 140355, ur_m1280_u2x12_uart3_dual_pr_ce },
 { 140356, ur_m1280_u2x12_uart3_dual_pr_ce_u4 },
 { 140357, ur_m1280_u2x12_uart3_dual_pr_ee_ce },
 { 140358, ur_m1280_u2x12_uart3_dual_pr_ee_ce_u4 },
 { 140360, ur_m1280_u2x12_uart3_dual_ee_hw },
 { 140362, ur_m1280_u2x12_uart3_dual_ee_ce_hw },
 { 140363, ur_m1280_u2x12_uart3_dual_ee_ce_hw },
 { 140364, ur_m1284rfr2_swio10_noled },
 { 140365, ur_m1284rfr2_swio10_noled_pr },
 { 140366, ur_m1284rfr2_swio10_noled_pr },
 { 140367, ur_m1284rfr2_swio10_noled_pr_ee },
 { 140368, ur_m1284rfr2_swio10_noled_pr_ee },
 { 140369, ur_m1284rfr2_swio10_noled_pr_ce },
 { 140370, ur_m1284rfr2_swio10_noled_pr_ce },
 { 140371, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 140372, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 140374, ur_m1284rfr2_swio10_noled_ee_hw },
 { 140376, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 140377, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 140378, ur_m1284rfr2_swio10_lednop },
 { 140379, ur_m1284rfr2_swio10_lednop_pr },
 { 140380, ur_m1284rfr2_swio10_lednop_pr },
 { 140381, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 140382, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 140383, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 140384, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 140385, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 140386, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 140388, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 140390, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 140391, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 140392, ur_m1284rfr2_swio10_dual },
 { 140393, ur_m1284rfr2_swio10_dual },
 { 140394, ur_m1284rfr2_swio10_dual },
 { 140395, ur_m1284rfr2_swio10_dual_pr_ee },
 { 140396, ur_m1284rfr2_swio10_dual_pr_ee_u4 },
 { 140397, ur_m1284rfr2_swio10_dual_pr_ce },
 { 140398, ur_m1284rfr2_swio10_dual_pr_ce_u4 },
 { 140399, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 140400, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 140402, ur_m1284rfr2_swio10_dual_ee_hw },
 { 140404, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 140405, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 140406, ur_m1284rfr2_swio11_noled },
 { 140407, ur_m1284rfr2_swio11_noled_pr },
 { 140408, ur_m1284rfr2_swio11_noled_pr },
 { 140409, ur_m1284rfr2_swio11_noled_pr_ee },
 { 140410, ur_m1284rfr2_swio11_noled_pr_ee },
 { 140411, ur_m1284rfr2_swio11_noled_pr_ce },
 { 140412, ur_m1284rfr2_swio11_noled_pr_ce },
 { 140413, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 140414, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 140416, ur_m1284rfr2_swio11_noled_ee_hw },
 { 140418, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 140419, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 140420, ur_m1284rfr2_swio11_lednop },
 { 140421, ur_m1284rfr2_swio11_lednop_pr },
 { 140422, ur_m1284rfr2_swio11_lednop_pr },
 { 140423, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 140424, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 140425, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 140426, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 140427, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 140428, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 140430, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 140432, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 140433, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 140434, ur_m1284rfr2_swio11_dual },
 { 140435, ur_m1284rfr2_swio11_dual },
 { 140436, ur_m1284rfr2_swio11_dual },
 { 140437, ur_m1284rfr2_swio11_dual_pr_ee },
 { 140438, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 140439, ur_m1284rfr2_swio11_dual_pr_ce },
 { 140440, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 140441, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 140442, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 140444, ur_m1284rfr2_swio11_dual_ee_hw },
 { 140446, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 140447, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 140448, ur_m1284rfr2_swio11_noled },
 { 140449, ur_m1284rfr2_swio11_noled_pr },
 { 140450, ur_m1284rfr2_swio11_noled_pr },
 { 140451, ur_m1284rfr2_swio11_noled_pr_ee },
 { 140452, ur_m1284rfr2_swio11_noled_pr_ee },
 { 140453, ur_m1284rfr2_swio11_noled_pr_ce },
 { 140454, ur_m1284rfr2_swio11_noled_pr_ce },
 { 140455, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 140456, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 140458, ur_m1284rfr2_swio11_noled_ee_hw },
 { 140460, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 140461, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 140462, ur_m1284rfr2_swio11_lednop },
 { 140463, ur_m1284rfr2_swio11_lednop_pr },
 { 140464, ur_m1284rfr2_swio11_lednop_pr },
 { 140465, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 140466, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 140467, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 140468, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 140469, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 140470, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 140472, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 140474, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 140475, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 140476, ur_m1284rfr2_swio11_dual },
 { 140477, ur_m1284rfr2_swio11_dual },
 { 140478, ur_m1284rfr2_swio11_dual },
 { 140479, ur_m1284rfr2_swio11_dual_pr_ee },
 { 140480, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 140481, ur_m1284rfr2_swio11_dual_pr_ce },
 { 140482, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 140483, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 140484, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 140486, ur_m1284rfr2_swio11_dual_ee_hw },
 { 140488, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 140489, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 140490, ur_m1284rfr2_swio13_noled },
 { 140491, ur_m1284rfr2_swio13_noled_pr },
 { 140492, ur_m1284rfr2_swio13_noled_pr },
 { 140493, ur_m1284rfr2_swio13_noled_pr_ee },
 { 140494, ur_m1284rfr2_swio13_noled_pr_ee },
 { 140495, ur_m1284rfr2_swio13_noled_pr_ce },
 { 140496, ur_m1284rfr2_swio13_noled_pr_ce },
 { 140497, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 140498, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 140500, ur_m1284rfr2_swio13_noled_ee_hw },
 { 140502, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 140503, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 140504, ur_m1284rfr2_swio13_lednop },
 { 140505, ur_m1284rfr2_swio13_lednop },
 { 140506, ur_m1284rfr2_swio13_lednop },
 { 140507, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 140508, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 140509, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 140510, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 140511, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 140512, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 140514, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 140516, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 140517, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 140518, ur_m1284rfr2_swio13_dual },
 { 140519, ur_m1284rfr2_swio13_dual },
 { 140520, ur_m1284rfr2_swio13_dual },
 { 140521, ur_m1284rfr2_swio13_dual_pr_ee },
 { 140522, ur_m1284rfr2_swio13_dual_pr_ee_u4 },
 { 140523, ur_m1284rfr2_swio13_dual_pr_ce },
 { 140524, ur_m1284rfr2_swio13_dual_pr_ce_u4 },
 { 140525, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 140526, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 140528, ur_m1284rfr2_swio13_dual_ee_hw },
 { 140530, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 140531, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 140532, ur_m1284rfr2_swio14_noled },
 { 140533, ur_m1284rfr2_swio14_noled_pr },
 { 140534, ur_m1284rfr2_swio14_noled_pr },
 { 140535, ur_m1284rfr2_swio14_noled_pr_ee },
 { 140536, ur_m1284rfr2_swio14_noled_pr_ee },
 { 140537, ur_m1284rfr2_swio14_noled_pr_ce },
 { 140538, ur_m1284rfr2_swio14_noled_pr_ce },
 { 140539, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 140540, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 140542, ur_m1284rfr2_swio14_noled_ee_hw },
 { 140544, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 140545, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 140546, ur_m1284rfr2_swio14_lednop },
 { 140547, ur_m1284rfr2_swio14_lednop_pr },
 { 140548, ur_m1284rfr2_swio14_lednop_pr },
 { 140549, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 140550, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 140551, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 140552, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 140553, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 140554, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 140556, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 140558, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 140559, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 140560, ur_m1284rfr2_swio14_dual },
 { 140561, ur_m1284rfr2_swio14_dual },
 { 140562, ur_m1284rfr2_swio14_dual },
 { 140563, ur_m1284rfr2_swio14_dual_pr_ee },
 { 140564, ur_m1284rfr2_swio14_dual_pr_ee_u4 },
 { 140565, ur_m1284rfr2_swio14_dual_pr_ce },
 { 140566, ur_m1284rfr2_swio14_dual_pr_ce_u4 },
 { 140567, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 140568, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 140570, ur_m1284rfr2_swio14_dual_ee_hw },
 { 140572, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 140573, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 140574, ur_m1284rfr2_swio15_noled },
 { 140575, ur_m1284rfr2_swio15_noled_pr },
 { 140576, ur_m1284rfr2_swio15_noled_pr },
 { 140577, ur_m1284rfr2_swio15_noled_pr_ee },
 { 140578, ur_m1284rfr2_swio15_noled_pr_ee },
 { 140579, ur_m1284rfr2_swio15_noled_pr_ce },
 { 140580, ur_m1284rfr2_swio15_noled_pr_ce },
 { 140581, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 140582, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 140584, ur_m1284rfr2_swio15_noled_ee_hw },
 { 140586, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 140587, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 140588, ur_m1284rfr2_swio15_lednop },
 { 140589, ur_m1284rfr2_swio15_lednop },
 { 140590, ur_m1284rfr2_swio15_lednop },
 { 140591, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 140592, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 140593, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 140594, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 140595, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 140596, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 140598, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 140600, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 140601, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 140602, ur_m1284rfr2_swio15_dual },
 { 140603, ur_m1284rfr2_swio15_dual },
 { 140604, ur_m1284rfr2_swio15_dual },
 { 140605, ur_m1284rfr2_swio15_dual_pr_ee },
 { 140606, ur_m1284rfr2_swio15_dual_pr_ee_u4 },
 { 140607, ur_m1284rfr2_swio15_dual_pr_ce },
 { 140608, ur_m1284rfr2_swio15_dual_pr_ce_u4 },
 { 140609, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 140610, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 140612, ur_m1284rfr2_swio15_dual_ee_hw },
 { 140614, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 140615, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 140616, ur_m1284rfr2_autobaud_uart0_noled },
 { 140617, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 140618, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 140619, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 140620, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 140621, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 140622, ur_m1284rfr2_autobaud_uart0_noled_pr_ce },
 { 140623, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 140624, ur_m1284rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 140626, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 140628, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 140629, ur_m1284rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 140630, ur_m1284rfr2_autobaud_uart0_lednop },
 { 140631, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 140632, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 140633, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 140634, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 140635, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 140636, ur_m1284rfr2_autobaud_uart0_lednop_pr_ce },
 { 140637, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 140638, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 140640, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 140642, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 140643, ur_m1284rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 140644, ur_m1284rfr2_autobaud_uart0_dual },
 { 140645, ur_m1284rfr2_autobaud_uart0_dual },
 { 140646, ur_m1284rfr2_autobaud_uart0_dual },
 { 140647, ur_m1284rfr2_autobaud_uart0_dual_pr_ee },
 { 140648, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 140649, ur_m1284rfr2_autobaud_uart0_dual_pr_ce },
 { 140650, ur_m1284rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 140651, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 140652, ur_m1284rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 140654, ur_m1284rfr2_autobaud_uart0_dual_ee_hw },
 { 140656, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 140657, ur_m1284rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 140700, ur_m1284rfr2_autobaud_uart1_noled },
 { 140701, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 140702, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 140703, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 140704, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 140705, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 140706, ur_m1284rfr2_autobaud_uart1_noled_pr_ce },
 { 140707, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 140708, ur_m1284rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 140710, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 140712, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 140713, ur_m1284rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 140714, ur_m1284rfr2_autobaud_uart1_lednop },
 { 140715, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 140716, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 140717, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 140718, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 140719, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 140720, ur_m1284rfr2_autobaud_uart1_lednop_pr_ce },
 { 140721, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 140722, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 140724, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 140726, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 140727, ur_m1284rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 140728, ur_m1284rfr2_autobaud_uart1_dual },
 { 140729, ur_m1284rfr2_autobaud_uart1_dual },
 { 140730, ur_m1284rfr2_autobaud_uart1_dual },
 { 140731, ur_m1284rfr2_autobaud_uart1_dual_pr_ee },
 { 140732, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 140733, ur_m1284rfr2_autobaud_uart1_dual_pr_ce },
 { 140734, ur_m1284rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 140735, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 140736, ur_m1284rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 140738, ur_m1284rfr2_autobaud_uart1_dual_ee_hw },
 { 140740, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 140741, ur_m1284rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 140826, ur_m1284rfr2_u1x8_uart0_noled },
 { 140827, ur_m1284rfr2_u1x8_uart0_noled },
 { 140828, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 140829, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 140830, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 140831, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 140832, ur_m1284rfr2_u1x8_uart0_noled_pr_ce },
 { 140833, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 140834, ur_m1284rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 140836, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 140838, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 140839, ur_m1284rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 140840, ur_m1284rfr2_u1x8_uart0_lednop },
 { 140841, ur_m1284rfr2_u1x8_uart0_lednop },
 { 140842, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 140843, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 140844, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 140845, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 140846, ur_m1284rfr2_u1x8_uart0_lednop_pr_ce },
 { 140847, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 140848, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 140850, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 140852, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 140853, ur_m1284rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 140854, ur_m1284rfr2_u1x8_uart0_dual },
 { 140855, ur_m1284rfr2_u1x8_uart0_dual },
 { 140856, ur_m1284rfr2_u1x8_uart0_dual },
 { 140857, ur_m1284rfr2_u1x8_uart0_dual_pr_ee },
 { 140858, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 140859, ur_m1284rfr2_u1x8_uart0_dual_pr_ce },
 { 140860, ur_m1284rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 140861, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 140862, ur_m1284rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 140864, ur_m1284rfr2_u1x8_uart0_dual_ee_hw },
 { 140866, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 140867, ur_m1284rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 140910, ur_m1284rfr2_u1x8_uart1_noled },
 { 140911, ur_m1284rfr2_u1x8_uart1_noled },
 { 140912, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 140913, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 140914, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 140915, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 140916, ur_m1284rfr2_u1x8_uart1_noled_pr_ce },
 { 140917, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 140918, ur_m1284rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 140920, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 140922, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 140923, ur_m1284rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 140924, ur_m1284rfr2_u1x8_uart1_lednop },
 { 140925, ur_m1284rfr2_u1x8_uart1_lednop },
 { 140926, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 140927, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 140928, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 140929, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 140930, ur_m1284rfr2_u1x8_uart1_lednop_pr_ce },
 { 140931, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 140932, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 140934, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 140936, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 140937, ur_m1284rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 140938, ur_m1284rfr2_u1x8_uart1_dual },
 { 140939, ur_m1284rfr2_u1x8_uart1_dual },
 { 140940, ur_m1284rfr2_u1x8_uart1_dual },
 { 140941, ur_m1284rfr2_u1x8_uart1_dual_pr_ee },
 { 140942, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 140943, ur_m1284rfr2_u1x8_uart1_dual_pr_ce },
 { 140944, ur_m1284rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 140945, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 140946, ur_m1284rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 140948, ur_m1284rfr2_u1x8_uart1_dual_ee_hw },
 { 140950, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 140951, ur_m1284rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 141036, ur_m1284rfr2_u1x12_uart0_noled },
 { 141037, ur_m1284rfr2_u1x12_uart0_noled },
 { 141038, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 141039, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 141040, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 141041, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 141042, ur_m1284rfr2_u1x12_uart0_noled_pr_ce },
 { 141043, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 141044, ur_m1284rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 141046, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 141048, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 141049, ur_m1284rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 141050, ur_m1284rfr2_u1x12_uart0_lednop },
 { 141051, ur_m1284rfr2_u1x12_uart0_lednop },
 { 141052, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 141053, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 141054, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 141055, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 141056, ur_m1284rfr2_u1x12_uart0_lednop_pr_ce },
 { 141057, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 141058, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 141060, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 141062, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 141063, ur_m1284rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 141064, ur_m1284rfr2_u1x12_uart0_dual },
 { 141065, ur_m1284rfr2_u1x12_uart0_dual },
 { 141066, ur_m1284rfr2_u1x12_uart0_dual },
 { 141067, ur_m1284rfr2_u1x12_uart0_dual_pr_ee },
 { 141068, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 141069, ur_m1284rfr2_u1x12_uart0_dual_pr_ce },
 { 141070, ur_m1284rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 141071, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 141072, ur_m1284rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 141074, ur_m1284rfr2_u1x12_uart0_dual_ee_hw },
 { 141076, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 141077, ur_m1284rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 141120, ur_m1284rfr2_u1x12_uart1_noled },
 { 141121, ur_m1284rfr2_u1x12_uart1_noled },
 { 141122, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 141123, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 141124, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 141125, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 141126, ur_m1284rfr2_u1x12_uart1_noled_pr_ce },
 { 141127, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 141128, ur_m1284rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 141130, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 141132, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 141133, ur_m1284rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 141134, ur_m1284rfr2_u1x12_uart1_lednop },
 { 141135, ur_m1284rfr2_u1x12_uart1_lednop },
 { 141136, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 141137, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 141138, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 141139, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 141140, ur_m1284rfr2_u1x12_uart1_lednop_pr_ce },
 { 141141, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 141142, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 141144, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 141146, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 141147, ur_m1284rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 141148, ur_m1284rfr2_u1x12_uart1_dual },
 { 141149, ur_m1284rfr2_u1x12_uart1_dual },
 { 141150, ur_m1284rfr2_u1x12_uart1_dual },
 { 141151, ur_m1284rfr2_u1x12_uart1_dual_pr_ee },
 { 141152, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 141153, ur_m1284rfr2_u1x12_uart1_dual_pr_ce },
 { 141154, ur_m1284rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 141155, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 141156, ur_m1284rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 141158, ur_m1284rfr2_u1x12_uart1_dual_ee_hw },
 { 141160, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 141161, ur_m1284rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 141246, ur_m1284rfr2_u2x8_uart0_noled },
 { 141247, ur_m1284rfr2_u2x8_uart0_noled },
 { 141248, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 141249, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 141250, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 141251, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 141252, ur_m1284rfr2_u2x8_uart0_noled_pr_ce },
 { 141253, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 141254, ur_m1284rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 141256, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 141258, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 141259, ur_m1284rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 141260, ur_m1284rfr2_u2x8_uart0_lednop },
 { 141261, ur_m1284rfr2_u2x8_uart0_lednop },
 { 141262, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 141263, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 141264, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 141265, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 141266, ur_m1284rfr2_u2x8_uart0_lednop_pr_ce },
 { 141267, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 141268, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 141270, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 141272, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 141273, ur_m1284rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 141274, ur_m1284rfr2_u2x8_uart0_dual },
 { 141275, ur_m1284rfr2_u2x8_uart0_dual },
 { 141276, ur_m1284rfr2_u2x8_uart0_dual },
 { 141277, ur_m1284rfr2_u2x8_uart0_dual_pr_ee },
 { 141278, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 141279, ur_m1284rfr2_u2x8_uart0_dual_pr_ce },
 { 141280, ur_m1284rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 141281, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 141282, ur_m1284rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 141284, ur_m1284rfr2_u2x8_uart0_dual_ee_hw },
 { 141286, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 141287, ur_m1284rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 141330, ur_m1284rfr2_u2x8_uart1_noled },
 { 141331, ur_m1284rfr2_u2x8_uart1_noled },
 { 141332, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 141333, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 141334, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 141335, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 141336, ur_m1284rfr2_u2x8_uart1_noled_pr_ce },
 { 141337, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 141338, ur_m1284rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 141340, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 141342, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 141343, ur_m1284rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 141344, ur_m1284rfr2_u2x8_uart1_lednop },
 { 141345, ur_m1284rfr2_u2x8_uart1_lednop },
 { 141346, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 141347, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 141348, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 141349, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 141350, ur_m1284rfr2_u2x8_uart1_lednop_pr_ce },
 { 141351, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 141352, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 141354, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 141356, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 141357, ur_m1284rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 141358, ur_m1284rfr2_u2x8_uart1_dual },
 { 141359, ur_m1284rfr2_u2x8_uart1_dual },
 { 141360, ur_m1284rfr2_u2x8_uart1_dual },
 { 141361, ur_m1284rfr2_u2x8_uart1_dual_pr_ee },
 { 141362, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 141363, ur_m1284rfr2_u2x8_uart1_dual_pr_ce },
 { 141364, ur_m1284rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 141365, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 141366, ur_m1284rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 141368, ur_m1284rfr2_u2x8_uart1_dual_ee_hw },
 { 141370, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 141371, ur_m1284rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 141456, ur_m1284rfr2_u2x12_uart0_noled },
 { 141457, ur_m1284rfr2_u2x12_uart0_noled },
 { 141458, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 141459, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 141460, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 141461, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 141462, ur_m1284rfr2_u2x12_uart0_noled_pr_ce },
 { 141463, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 141464, ur_m1284rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 141466, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 141468, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 141469, ur_m1284rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 141470, ur_m1284rfr2_u2x12_uart0_lednop },
 { 141471, ur_m1284rfr2_u2x12_uart0_lednop },
 { 141472, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 141473, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 141474, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 141475, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 141476, ur_m1284rfr2_u2x12_uart0_lednop_pr_ce },
 { 141477, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 141478, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 141480, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 141482, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 141483, ur_m1284rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 141484, ur_m1284rfr2_u2x12_uart0_dual },
 { 141485, ur_m1284rfr2_u2x12_uart0_dual },
 { 141486, ur_m1284rfr2_u2x12_uart0_dual },
 { 141487, ur_m1284rfr2_u2x12_uart0_dual_pr_ee },
 { 141488, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 141489, ur_m1284rfr2_u2x12_uart0_dual_pr_ce },
 { 141490, ur_m1284rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 141491, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 141492, ur_m1284rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 141494, ur_m1284rfr2_u2x12_uart0_dual_ee_hw },
 { 141496, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 141497, ur_m1284rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 141540, ur_m1284rfr2_u2x12_uart1_noled },
 { 141541, ur_m1284rfr2_u2x12_uart1_noled },
 { 141542, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 141543, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 141544, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 141545, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 141546, ur_m1284rfr2_u2x12_uart1_noled_pr_ce },
 { 141547, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 141548, ur_m1284rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 141550, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 141552, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 141553, ur_m1284rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 141554, ur_m1284rfr2_u2x12_uart1_lednop },
 { 141555, ur_m1284rfr2_u2x12_uart1_lednop },
 { 141556, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 141557, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 141558, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 141559, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 141560, ur_m1284rfr2_u2x12_uart1_lednop_pr_ce },
 { 141561, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 141562, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 141564, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 141566, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 141567, ur_m1284rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 141568, ur_m1284rfr2_u2x12_uart1_dual },
 { 141569, ur_m1284rfr2_u2x12_uart1_dual },
 { 141570, ur_m1284rfr2_u2x12_uart1_dual },
 { 141571, ur_m1284rfr2_u2x12_uart1_dual_pr_ee },
 { 141572, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 141573, ur_m1284rfr2_u2x12_uart1_dual_pr_ce },
 { 141574, ur_m1284rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 141575, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 141576, ur_m1284rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 141578, ur_m1284rfr2_u2x12_uart1_dual_ee_hw },
 { 141580, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 141581, ur_m1284rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 141666, ur_m1284rfr2_swio10_noled },
 { 141667, ur_m1284rfr2_swio10_noled_pr },
 { 141668, ur_m1284rfr2_swio10_noled_pr },
 { 141669, ur_m1284rfr2_swio10_noled_pr_ee },
 { 141670, ur_m1284rfr2_swio10_noled_pr_ee },
 { 141671, ur_m1284rfr2_swio10_noled_pr_ce },
 { 141672, ur_m1284rfr2_swio10_noled_pr_ce },
 { 141673, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 141674, ur_m1284rfr2_swio10_noled_pr_ee_ce },
 { 141676, ur_m1284rfr2_swio10_noled_ee_hw },
 { 141678, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 141679, ur_m1284rfr2_swio10_noled_ee_ce_hw },
 { 141680, ur_m1284rfr2_swio10_lednop },
 { 141681, ur_m1284rfr2_swio10_lednop_pr },
 { 141682, ur_m1284rfr2_swio10_lednop_pr },
 { 141683, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 141684, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 141685, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 141686, ur_m1284rfr2_swio10_lednop_pr_ce },
 { 141687, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 141688, ur_m1284rfr2_swio10_lednop_pr_ee_ce },
 { 141690, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 141692, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 141693, ur_m1284rfr2_swio10_lednop_ee_ce_hw },
 { 141694, ur_m1284rfr2_swio10_dual },
 { 141695, ur_m1284rfr2_swio10_dual },
 { 141696, ur_m1284rfr2_swio10_dual },
 { 141697, ur_m1284rfr2_swio10_dual_pr_ee },
 { 141698, ur_m1284rfr2_swio10_dual_pr_ee_u4 },
 { 141699, ur_m1284rfr2_swio10_dual_pr_ce },
 { 141700, ur_m1284rfr2_swio10_dual_pr_ce_u4 },
 { 141701, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 141702, ur_m1284rfr2_swio10_dual_pr_ee_ce },
 { 141704, ur_m1284rfr2_swio10_dual_ee_hw },
 { 141706, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 141707, ur_m1284rfr2_swio10_dual_ee_ce_hw },
 { 141708, ur_m1284rfr2_swio11_noled },
 { 141709, ur_m1284rfr2_swio11_noled_pr },
 { 141710, ur_m1284rfr2_swio11_noled_pr },
 { 141711, ur_m1284rfr2_swio11_noled_pr_ee },
 { 141712, ur_m1284rfr2_swio11_noled_pr_ee },
 { 141713, ur_m1284rfr2_swio11_noled_pr_ce },
 { 141714, ur_m1284rfr2_swio11_noled_pr_ce },
 { 141715, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 141716, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 141718, ur_m1284rfr2_swio11_noled_ee_hw },
 { 141720, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 141721, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 141722, ur_m1284rfr2_swio11_lednop },
 { 141723, ur_m1284rfr2_swio11_lednop_pr },
 { 141724, ur_m1284rfr2_swio11_lednop_pr },
 { 141725, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 141726, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 141727, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 141728, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 141729, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 141730, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 141732, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 141734, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 141735, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 141736, ur_m1284rfr2_swio11_dual },
 { 141737, ur_m1284rfr2_swio11_dual },
 { 141738, ur_m1284rfr2_swio11_dual },
 { 141739, ur_m1284rfr2_swio11_dual_pr_ee },
 { 141740, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 141741, ur_m1284rfr2_swio11_dual_pr_ce },
 { 141742, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 141743, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 141744, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 141746, ur_m1284rfr2_swio11_dual_ee_hw },
 { 141748, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 141749, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 141750, ur_m1284rfr2_swio11_noled },
 { 141751, ur_m1284rfr2_swio11_noled_pr },
 { 141752, ur_m1284rfr2_swio11_noled_pr },
 { 141753, ur_m1284rfr2_swio11_noled_pr_ee },
 { 141754, ur_m1284rfr2_swio11_noled_pr_ee },
 { 141755, ur_m1284rfr2_swio11_noled_pr_ce },
 { 141756, ur_m1284rfr2_swio11_noled_pr_ce },
 { 141757, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 141758, ur_m1284rfr2_swio11_noled_pr_ee_ce },
 { 141760, ur_m1284rfr2_swio11_noled_ee_hw },
 { 141762, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 141763, ur_m1284rfr2_swio11_noled_ee_ce_hw },
 { 141764, ur_m1284rfr2_swio11_lednop },
 { 141765, ur_m1284rfr2_swio11_lednop_pr },
 { 141766, ur_m1284rfr2_swio11_lednop_pr },
 { 141767, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 141768, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 141769, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 141770, ur_m1284rfr2_swio11_lednop_pr_ce },
 { 141771, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 141772, ur_m1284rfr2_swio11_lednop_pr_ee_ce },
 { 141774, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 141776, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 141777, ur_m1284rfr2_swio11_lednop_ee_ce_hw },
 { 141778, ur_m1284rfr2_swio11_dual },
 { 141779, ur_m1284rfr2_swio11_dual },
 { 141780, ur_m1284rfr2_swio11_dual },
 { 141781, ur_m1284rfr2_swio11_dual_pr_ee },
 { 141782, ur_m1284rfr2_swio11_dual_pr_ee_u4 },
 { 141783, ur_m1284rfr2_swio11_dual_pr_ce },
 { 141784, ur_m1284rfr2_swio11_dual_pr_ce_u4 },
 { 141785, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 141786, ur_m1284rfr2_swio11_dual_pr_ee_ce },
 { 141788, ur_m1284rfr2_swio11_dual_ee_hw },
 { 141790, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 141791, ur_m1284rfr2_swio11_dual_ee_ce_hw },
 { 141792, ur_m1284rfr2_swio13_noled },
 { 141793, ur_m1284rfr2_swio13_noled_pr },
 { 141794, ur_m1284rfr2_swio13_noled_pr },
 { 141795, ur_m1284rfr2_swio13_noled_pr_ee },
 { 141796, ur_m1284rfr2_swio13_noled_pr_ee },
 { 141797, ur_m1284rfr2_swio13_noled_pr_ce },
 { 141798, ur_m1284rfr2_swio13_noled_pr_ce },
 { 141799, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 141800, ur_m1284rfr2_swio13_noled_pr_ee_ce },
 { 141802, ur_m1284rfr2_swio13_noled_ee_hw },
 { 141804, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 141805, ur_m1284rfr2_swio13_noled_ee_ce_hw },
 { 141806, ur_m1284rfr2_swio13_lednop },
 { 141807, ur_m1284rfr2_swio13_lednop },
 { 141808, ur_m1284rfr2_swio13_lednop },
 { 141809, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 141810, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 141811, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 141812, ur_m1284rfr2_swio13_lednop_pr_ce },
 { 141813, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 141814, ur_m1284rfr2_swio13_lednop_pr_ee_ce },
 { 141816, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 141818, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 141819, ur_m1284rfr2_swio13_lednop_ee_ce_hw },
 { 141820, ur_m1284rfr2_swio13_dual },
 { 141821, ur_m1284rfr2_swio13_dual },
 { 141822, ur_m1284rfr2_swio13_dual },
 { 141823, ur_m1284rfr2_swio13_dual_pr_ee },
 { 141824, ur_m1284rfr2_swio13_dual_pr_ee_u4 },
 { 141825, ur_m1284rfr2_swio13_dual_pr_ce },
 { 141826, ur_m1284rfr2_swio13_dual_pr_ce_u4 },
 { 141827, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 141828, ur_m1284rfr2_swio13_dual_pr_ee_ce },
 { 141830, ur_m1284rfr2_swio13_dual_ee_hw },
 { 141832, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 141833, ur_m1284rfr2_swio13_dual_ee_ce_hw },
 { 141834, ur_m1284rfr2_swio14_noled },
 { 141835, ur_m1284rfr2_swio14_noled_pr },
 { 141836, ur_m1284rfr2_swio14_noled_pr },
 { 141837, ur_m1284rfr2_swio14_noled_pr_ee },
 { 141838, ur_m1284rfr2_swio14_noled_pr_ee },
 { 141839, ur_m1284rfr2_swio14_noled_pr_ce },
 { 141840, ur_m1284rfr2_swio14_noled_pr_ce },
 { 141841, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 141842, ur_m1284rfr2_swio14_noled_pr_ee_ce },
 { 141844, ur_m1284rfr2_swio14_noled_ee_hw },
 { 141846, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 141847, ur_m1284rfr2_swio14_noled_ee_ce_hw },
 { 141848, ur_m1284rfr2_swio14_lednop },
 { 141849, ur_m1284rfr2_swio14_lednop_pr },
 { 141850, ur_m1284rfr2_swio14_lednop_pr },
 { 141851, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 141852, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 141853, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 141854, ur_m1284rfr2_swio14_lednop_pr_ce },
 { 141855, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 141856, ur_m1284rfr2_swio14_lednop_pr_ee_ce },
 { 141858, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 141860, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 141861, ur_m1284rfr2_swio14_lednop_ee_ce_hw },
 { 141862, ur_m1284rfr2_swio14_dual },
 { 141863, ur_m1284rfr2_swio14_dual },
 { 141864, ur_m1284rfr2_swio14_dual },
 { 141865, ur_m1284rfr2_swio14_dual_pr_ee },
 { 141866, ur_m1284rfr2_swio14_dual_pr_ee_u4 },
 { 141867, ur_m1284rfr2_swio14_dual_pr_ce },
 { 141868, ur_m1284rfr2_swio14_dual_pr_ce_u4 },
 { 141869, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 141870, ur_m1284rfr2_swio14_dual_pr_ee_ce },
 { 141872, ur_m1284rfr2_swio14_dual_ee_hw },
 { 141874, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 141875, ur_m1284rfr2_swio14_dual_ee_ce_hw },
 { 141876, ur_m1284rfr2_swio15_noled },
 { 141877, ur_m1284rfr2_swio15_noled_pr },
 { 141878, ur_m1284rfr2_swio15_noled_pr },
 { 141879, ur_m1284rfr2_swio15_noled_pr_ee },
 { 141880, ur_m1284rfr2_swio15_noled_pr_ee },
 { 141881, ur_m1284rfr2_swio15_noled_pr_ce },
 { 141882, ur_m1284rfr2_swio15_noled_pr_ce },
 { 141883, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 141884, ur_m1284rfr2_swio15_noled_pr_ee_ce },
 { 141886, ur_m1284rfr2_swio15_noled_ee_hw },
 { 141888, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 141889, ur_m1284rfr2_swio15_noled_ee_ce_hw },
 { 141890, ur_m1284rfr2_swio15_lednop },
 { 141891, ur_m1284rfr2_swio15_lednop },
 { 141892, ur_m1284rfr2_swio15_lednop },
 { 141893, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 141894, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 141895, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 141896, ur_m1284rfr2_swio15_lednop_pr_ce },
 { 141897, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 141898, ur_m1284rfr2_swio15_lednop_pr_ee_ce },
 { 141900, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 141902, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 141903, ur_m1284rfr2_swio15_lednop_ee_ce_hw },
 { 141904, ur_m1284rfr2_swio15_dual },
 { 141905, ur_m1284rfr2_swio15_dual },
 { 141906, ur_m1284rfr2_swio15_dual },
 { 141907, ur_m1284rfr2_swio15_dual_pr_ee },
 { 141908, ur_m1284rfr2_swio15_dual_pr_ee_u4 },
 { 141909, ur_m1284rfr2_swio15_dual_pr_ce },
 { 141910, ur_m1284rfr2_swio15_dual_pr_ce_u4 },
 { 141911, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 141912, ur_m1284rfr2_swio15_dual_pr_ee_ce },
 { 141914, ur_m1284rfr2_swio15_dual_ee_hw },
 { 141916, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 141917, ur_m1284rfr2_swio15_dual_ee_ce_hw },
 { 141918, ur_m1284rfr2_autobaud_uart0_noled },
 { 141919, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 141920, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 141921, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 141922, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 141923, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 141924, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 141925, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 141926, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 141928, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 141930, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 141931, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 141932, ur_m1284rfr2_autobaud_uart0_lednop },
 { 141933, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 141934, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 141935, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 141936, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 141937, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 141938, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 141939, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 141940, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 141942, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 141944, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 141945, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 141946, ur_m2564rfr2_autobaud_uart0_dual },
 { 141947, ur_m2564rfr2_autobaud_uart0_dual },
 { 141948, ur_m2564rfr2_autobaud_uart0_dual },
 { 141949, ur_m2564rfr2_autobaud_uart0_dual_pr_ee },
 { 141950, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 141951, ur_m2564rfr2_autobaud_uart0_dual_pr_ce },
 { 141952, ur_m2564rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 141953, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 141954, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 141956, ur_m2564rfr2_autobaud_uart0_dual_ee_hw },
 { 141958, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 141959, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 142002, ur_m1284rfr2_autobaud_uart1_noled },
 { 142003, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 142004, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 142005, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 142006, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 142007, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 142008, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 142009, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 142010, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 142012, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 142014, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 142015, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 142016, ur_m1284rfr2_autobaud_uart1_lednop },
 { 142017, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 142018, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 142019, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 142020, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 142021, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 142022, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 142023, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 142024, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 142026, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 142028, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 142029, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 142030, ur_m2564rfr2_autobaud_uart1_dual },
 { 142031, ur_m2564rfr2_autobaud_uart1_dual },
 { 142032, ur_m2564rfr2_autobaud_uart1_dual },
 { 142033, ur_m2564rfr2_autobaud_uart1_dual_pr_ee },
 { 142034, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 142035, ur_m2564rfr2_autobaud_uart1_dual_pr_ce },
 { 142036, ur_m2564rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 142037, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 142038, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 142040, ur_m2564rfr2_autobaud_uart1_dual_ee_hw },
 { 142042, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 142043, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 142128, ur_m1284rfr2_u1x8_uart0_noled },
 { 142129, ur_m1284rfr2_u1x8_uart0_noled },
 { 142130, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 142131, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 142132, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 142133, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 142134, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 142135, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 142136, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 142138, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 142140, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 142141, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 142142, ur_m1284rfr2_u1x8_uart0_lednop },
 { 142143, ur_m1284rfr2_u1x8_uart0_lednop },
 { 142144, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 142145, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 142146, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 142147, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 142148, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 142149, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 142150, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 142152, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 142154, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 142155, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 142156, ur_m2564rfr2_u1x8_uart0_dual },
 { 142157, ur_m2564rfr2_u1x8_uart0_dual },
 { 142158, ur_m2564rfr2_u1x8_uart0_dual },
 { 142159, ur_m2564rfr2_u1x8_uart0_dual_pr_ee },
 { 142160, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 142161, ur_m2564rfr2_u1x8_uart0_dual_pr_ce },
 { 142162, ur_m2564rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 142163, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 142164, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 142166, ur_m2564rfr2_u1x8_uart0_dual_ee_hw },
 { 142168, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 142169, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 142212, ur_m1284rfr2_u1x8_uart1_noled },
 { 142213, ur_m1284rfr2_u1x8_uart1_noled },
 { 142214, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 142215, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 142216, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 142217, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 142218, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 142219, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 142220, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 142222, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 142224, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 142225, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 142226, ur_m1284rfr2_u1x8_uart1_lednop },
 { 142227, ur_m1284rfr2_u1x8_uart1_lednop },
 { 142228, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 142229, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 142230, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 142231, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 142232, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 142233, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 142234, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 142236, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 142238, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 142239, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 142240, ur_m2564rfr2_u1x8_uart1_dual },
 { 142241, ur_m2564rfr2_u1x8_uart1_dual },
 { 142242, ur_m2564rfr2_u1x8_uart1_dual },
 { 142243, ur_m2564rfr2_u1x8_uart1_dual_pr_ee },
 { 142244, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 142245, ur_m2564rfr2_u1x8_uart1_dual_pr_ce },
 { 142246, ur_m2564rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 142247, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 142248, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 142250, ur_m2564rfr2_u1x8_uart1_dual_ee_hw },
 { 142252, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 142253, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 142338, ur_m1284rfr2_u1x12_uart0_noled },
 { 142339, ur_m1284rfr2_u1x12_uart0_noled },
 { 142340, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 142341, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 142342, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 142343, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 142344, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 142345, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 142346, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 142348, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 142350, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 142351, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 142352, ur_m1284rfr2_u1x12_uart0_lednop },
 { 142353, ur_m1284rfr2_u1x12_uart0_lednop },
 { 142354, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 142355, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 142356, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 142357, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 142358, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 142359, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 142360, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 142362, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 142364, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 142365, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 142366, ur_m2564rfr2_u1x12_uart0_dual },
 { 142367, ur_m2564rfr2_u1x12_uart0_dual },
 { 142368, ur_m2564rfr2_u1x12_uart0_dual },
 { 142369, ur_m2564rfr2_u1x12_uart0_dual_pr_ee },
 { 142370, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 142371, ur_m2564rfr2_u1x12_uart0_dual_pr_ce },
 { 142372, ur_m2564rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 142373, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 142374, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 142376, ur_m2564rfr2_u1x12_uart0_dual_ee_hw },
 { 142378, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 142379, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 142422, ur_m1284rfr2_u1x12_uart1_noled },
 { 142423, ur_m1284rfr2_u1x12_uart1_noled },
 { 142424, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 142425, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 142426, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 142427, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 142428, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 142429, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 142430, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 142432, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 142434, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 142435, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 142436, ur_m1284rfr2_u1x12_uart1_lednop },
 { 142437, ur_m1284rfr2_u1x12_uart1_lednop },
 { 142438, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 142439, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 142440, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 142441, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 142442, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 142443, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 142444, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 142446, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 142448, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 142449, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 142450, ur_m2564rfr2_u1x12_uart1_dual },
 { 142451, ur_m2564rfr2_u1x12_uart1_dual },
 { 142452, ur_m2564rfr2_u1x12_uart1_dual },
 { 142453, ur_m2564rfr2_u1x12_uart1_dual_pr_ee },
 { 142454, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 142455, ur_m2564rfr2_u1x12_uart1_dual_pr_ce },
 { 142456, ur_m2564rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 142457, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 142458, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 142460, ur_m2564rfr2_u1x12_uart1_dual_ee_hw },
 { 142462, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 142463, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 142548, ur_m1284rfr2_u2x8_uart0_noled },
 { 142549, ur_m1284rfr2_u2x8_uart0_noled },
 { 142550, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 142551, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 142552, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 142553, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 142554, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 142555, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 142556, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 142558, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 142560, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 142561, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 142562, ur_m1284rfr2_u2x8_uart0_lednop },
 { 142563, ur_m1284rfr2_u2x8_uart0_lednop },
 { 142564, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 142565, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 142566, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 142567, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 142568, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 142569, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 142570, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 142572, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 142574, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 142575, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 142576, ur_m2564rfr2_u2x8_uart0_dual },
 { 142577, ur_m2564rfr2_u2x8_uart0_dual },
 { 142578, ur_m2564rfr2_u2x8_uart0_dual },
 { 142579, ur_m2564rfr2_u2x8_uart0_dual_pr_ee },
 { 142580, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 142581, ur_m2564rfr2_u2x8_uart0_dual_pr_ce },
 { 142582, ur_m2564rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 142583, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 142584, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 142586, ur_m2564rfr2_u2x8_uart0_dual_ee_hw },
 { 142588, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 142589, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 142632, ur_m1284rfr2_u2x8_uart1_noled },
 { 142633, ur_m1284rfr2_u2x8_uart1_noled },
 { 142634, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 142635, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 142636, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 142637, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 142638, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 142639, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 142640, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 142642, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 142644, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 142645, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 142646, ur_m1284rfr2_u2x8_uart1_lednop },
 { 142647, ur_m1284rfr2_u2x8_uart1_lednop },
 { 142648, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 142649, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 142650, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 142651, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 142652, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 142653, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 142654, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 142656, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 142658, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 142659, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 142660, ur_m2564rfr2_u2x8_uart1_dual },
 { 142661, ur_m2564rfr2_u2x8_uart1_dual },
 { 142662, ur_m2564rfr2_u2x8_uart1_dual },
 { 142663, ur_m2564rfr2_u2x8_uart1_dual_pr_ee },
 { 142664, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 142665, ur_m2564rfr2_u2x8_uart1_dual_pr_ce },
 { 142666, ur_m2564rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 142667, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 142668, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 142670, ur_m2564rfr2_u2x8_uart1_dual_ee_hw },
 { 142672, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 142673, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 142758, ur_m1284rfr2_u2x12_uart0_noled },
 { 142759, ur_m1284rfr2_u2x12_uart0_noled },
 { 142760, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 142761, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 142762, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 142763, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 142764, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 142765, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 142766, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 142768, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 142770, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 142771, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 142772, ur_m1284rfr2_u2x12_uart0_lednop },
 { 142773, ur_m1284rfr2_u2x12_uart0_lednop },
 { 142774, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 142775, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 142776, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 142777, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 142778, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 142779, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 142780, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 142782, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 142784, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 142785, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 142786, ur_m2564rfr2_u2x12_uart0_dual },
 { 142787, ur_m2564rfr2_u2x12_uart0_dual },
 { 142788, ur_m2564rfr2_u2x12_uart0_dual },
 { 142789, ur_m2564rfr2_u2x12_uart0_dual_pr_ee },
 { 142790, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 142791, ur_m2564rfr2_u2x12_uart0_dual_pr_ce },
 { 142792, ur_m2564rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 142793, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 142794, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 142796, ur_m2564rfr2_u2x12_uart0_dual_ee_hw },
 { 142798, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 142799, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 142842, ur_m1284rfr2_u2x12_uart1_noled },
 { 142843, ur_m1284rfr2_u2x12_uart1_noled },
 { 142844, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 142845, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 142846, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 142847, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 142848, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 142849, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 142850, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 142852, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 142854, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 142855, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 142856, ur_m1284rfr2_u2x12_uart1_lednop },
 { 142857, ur_m1284rfr2_u2x12_uart1_lednop },
 { 142858, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 142859, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 142860, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 142861, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 142862, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 142863, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 142864, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 142866, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 142868, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 142869, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 142870, ur_m2564rfr2_u2x12_uart1_dual },
 { 142871, ur_m2564rfr2_u2x12_uart1_dual },
 { 142872, ur_m2564rfr2_u2x12_uart1_dual },
 { 142873, ur_m2564rfr2_u2x12_uart1_dual_pr_ee },
 { 142874, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 142875, ur_m2564rfr2_u2x12_uart1_dual_pr_ce },
 { 142876, ur_m2564rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 142877, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 142878, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 142880, ur_m2564rfr2_u2x12_uart1_dual_ee_hw },
 { 142882, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 142883, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 142968, ur_m1284rfr2_swio10_noled },
 { 142969, ur_m1284rfr2_swio10_noled_pr },
 { 142970, ur_m1284rfr2_swio10_noled_pr },
 { 142971, ur_m1284rfr2_swio10_noled_pr_ee },
 { 142972, ur_m1284rfr2_swio10_noled_pr_ee },
 { 142973, ur_m2564rfr2_swio10_noled_pr_ce },
 { 142974, ur_m2564rfr2_swio10_noled_pr_ce },
 { 142975, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 142976, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 142978, ur_m1284rfr2_swio10_noled_ee_hw },
 { 142980, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 142981, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 142982, ur_m1284rfr2_swio10_lednop },
 { 142983, ur_m1284rfr2_swio10_lednop_pr },
 { 142984, ur_m1284rfr2_swio10_lednop_pr },
 { 142985, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 142986, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 142987, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 142988, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 142989, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 142990, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 142992, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 142994, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 142995, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 142996, ur_m2564rfr2_swio10_dual },
 { 142997, ur_m2564rfr2_swio10_dual },
 { 142998, ur_m2564rfr2_swio10_dual },
 { 142999, ur_m2564rfr2_swio10_dual_pr_ee },
 { 143000, ur_m2564rfr2_swio10_dual_pr_ee_u4 },
 { 143001, ur_m2564rfr2_swio10_dual_pr_ce },
 { 143002, ur_m2564rfr2_swio10_dual_pr_ce_u4 },
 { 143003, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 143004, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 143006, ur_m2564rfr2_swio10_dual_ee_hw },
 { 143008, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 143009, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 143010, ur_m1284rfr2_swio11_noled },
 { 143011, ur_m1284rfr2_swio11_noled_pr },
 { 143012, ur_m1284rfr2_swio11_noled_pr },
 { 143013, ur_m1284rfr2_swio11_noled_pr_ee },
 { 143014, ur_m1284rfr2_swio11_noled_pr_ee },
 { 143015, ur_m2564rfr2_swio11_noled_pr_ce },
 { 143016, ur_m2564rfr2_swio11_noled_pr_ce },
 { 143017, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 143018, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 143020, ur_m1284rfr2_swio11_noled_ee_hw },
 { 143022, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 143023, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 143024, ur_m1284rfr2_swio11_lednop },
 { 143025, ur_m1284rfr2_swio11_lednop_pr },
 { 143026, ur_m1284rfr2_swio11_lednop_pr },
 { 143027, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 143028, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 143029, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 143030, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 143031, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 143032, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 143034, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 143036, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 143037, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 143038, ur_m2564rfr2_swio11_dual },
 { 143039, ur_m2564rfr2_swio11_dual },
 { 143040, ur_m2564rfr2_swio11_dual },
 { 143041, ur_m2564rfr2_swio11_dual_pr_ee },
 { 143042, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 143043, ur_m2564rfr2_swio11_dual_pr_ce },
 { 143044, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 143045, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 143046, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 143048, ur_m2564rfr2_swio11_dual_ee_hw },
 { 143050, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 143051, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 143052, ur_m1284rfr2_swio11_noled },
 { 143053, ur_m1284rfr2_swio11_noled_pr },
 { 143054, ur_m1284rfr2_swio11_noled_pr },
 { 143055, ur_m1284rfr2_swio11_noled_pr_ee },
 { 143056, ur_m1284rfr2_swio11_noled_pr_ee },
 { 143057, ur_m2564rfr2_swio11_noled_pr_ce },
 { 143058, ur_m2564rfr2_swio11_noled_pr_ce },
 { 143059, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 143060, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 143062, ur_m1284rfr2_swio11_noled_ee_hw },
 { 143064, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 143065, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 143066, ur_m1284rfr2_swio11_lednop },
 { 143067, ur_m1284rfr2_swio11_lednop_pr },
 { 143068, ur_m1284rfr2_swio11_lednop_pr },
 { 143069, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 143070, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 143071, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 143072, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 143073, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 143074, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 143076, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 143078, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 143079, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 143080, ur_m2564rfr2_swio11_dual },
 { 143081, ur_m2564rfr2_swio11_dual },
 { 143082, ur_m2564rfr2_swio11_dual },
 { 143083, ur_m2564rfr2_swio11_dual_pr_ee },
 { 143084, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 143085, ur_m2564rfr2_swio11_dual_pr_ce },
 { 143086, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 143087, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 143088, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 143090, ur_m2564rfr2_swio11_dual_ee_hw },
 { 143092, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 143093, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 143094, ur_m1284rfr2_swio13_noled },
 { 143095, ur_m1284rfr2_swio13_noled_pr },
 { 143096, ur_m1284rfr2_swio13_noled_pr },
 { 143097, ur_m1284rfr2_swio13_noled_pr_ee },
 { 143098, ur_m1284rfr2_swio13_noled_pr_ee },
 { 143099, ur_m2564rfr2_swio13_noled_pr_ce },
 { 143100, ur_m2564rfr2_swio13_noled_pr_ce },
 { 143101, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 143102, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 143104, ur_m1284rfr2_swio13_noled_ee_hw },
 { 143106, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 143107, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 143108, ur_m1284rfr2_swio13_lednop },
 { 143109, ur_m1284rfr2_swio13_lednop },
 { 143110, ur_m1284rfr2_swio13_lednop },
 { 143111, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 143112, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 143113, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 143114, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 143115, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 143116, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 143118, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 143120, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 143121, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 143122, ur_m2564rfr2_swio13_dual },
 { 143123, ur_m2564rfr2_swio13_dual },
 { 143124, ur_m2564rfr2_swio13_dual },
 { 143125, ur_m2564rfr2_swio13_dual_pr_ee },
 { 143126, ur_m2564rfr2_swio13_dual_pr_ee_u4 },
 { 143127, ur_m2564rfr2_swio13_dual_pr_ce },
 { 143128, ur_m2564rfr2_swio13_dual_pr_ce_u4 },
 { 143129, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 143130, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 143132, ur_m2564rfr2_swio13_dual_ee_hw },
 { 143134, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 143135, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 143136, ur_m1284rfr2_swio14_noled },
 { 143137, ur_m1284rfr2_swio14_noled_pr },
 { 143138, ur_m1284rfr2_swio14_noled_pr },
 { 143139, ur_m1284rfr2_swio14_noled_pr_ee },
 { 143140, ur_m1284rfr2_swio14_noled_pr_ee },
 { 143141, ur_m2564rfr2_swio14_noled_pr_ce },
 { 143142, ur_m2564rfr2_swio14_noled_pr_ce },
 { 143143, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 143144, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 143146, ur_m1284rfr2_swio14_noled_ee_hw },
 { 143148, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 143149, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 143150, ur_m1284rfr2_swio14_lednop },
 { 143151, ur_m1284rfr2_swio14_lednop_pr },
 { 143152, ur_m1284rfr2_swio14_lednop_pr },
 { 143153, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 143154, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 143155, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 143156, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 143157, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 143158, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 143160, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 143162, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 143163, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 143164, ur_m2564rfr2_swio14_dual },
 { 143165, ur_m2564rfr2_swio14_dual },
 { 143166, ur_m2564rfr2_swio14_dual },
 { 143167, ur_m2564rfr2_swio14_dual_pr_ee },
 { 143168, ur_m2564rfr2_swio14_dual_pr_ee_u4 },
 { 143169, ur_m2564rfr2_swio14_dual_pr_ce },
 { 143170, ur_m2564rfr2_swio14_dual_pr_ce_u4 },
 { 143171, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 143172, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 143174, ur_m2564rfr2_swio14_dual_ee_hw },
 { 143176, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 143177, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 143178, ur_m1284rfr2_swio15_noled },
 { 143179, ur_m1284rfr2_swio15_noled_pr },
 { 143180, ur_m1284rfr2_swio15_noled_pr },
 { 143181, ur_m1284rfr2_swio15_noled_pr_ee },
 { 143182, ur_m1284rfr2_swio15_noled_pr_ee },
 { 143183, ur_m2564rfr2_swio15_noled_pr_ce },
 { 143184, ur_m2564rfr2_swio15_noled_pr_ce },
 { 143185, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 143186, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 143188, ur_m1284rfr2_swio15_noled_ee_hw },
 { 143190, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 143191, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 143192, ur_m1284rfr2_swio15_lednop },
 { 143193, ur_m1284rfr2_swio15_lednop },
 { 143194, ur_m1284rfr2_swio15_lednop },
 { 143195, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 143196, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 143197, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 143198, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 143199, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 143200, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 143202, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 143204, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 143205, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 143206, ur_m2564rfr2_swio15_dual },
 { 143207, ur_m2564rfr2_swio15_dual },
 { 143208, ur_m2564rfr2_swio15_dual },
 { 143209, ur_m2564rfr2_swio15_dual_pr_ee },
 { 143210, ur_m2564rfr2_swio15_dual_pr_ee_u4 },
 { 143211, ur_m2564rfr2_swio15_dual_pr_ce },
 { 143212, ur_m2564rfr2_swio15_dual_pr_ce_u4 },
 { 143213, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 143214, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 143216, ur_m2564rfr2_swio15_dual_ee_hw },
 { 143218, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 143219, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 143220, ur_m1284rfr2_autobaud_uart0_noled },
 { 143221, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 143222, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 143223, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 143224, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 143225, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 143226, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 143227, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 143228, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 143230, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 143232, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 143233, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 143234, ur_m1284rfr2_autobaud_uart0_lednop },
 { 143235, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 143236, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 143237, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 143238, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 143239, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 143240, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 143241, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 143242, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 143244, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 143246, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 143247, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 143248, ur_m2564rfr2_autobaud_uart0_dual },
 { 143249, ur_m2564rfr2_autobaud_uart0_dual },
 { 143250, ur_m2564rfr2_autobaud_uart0_dual },
 { 143251, ur_m2564rfr2_autobaud_uart0_dual_pr_ee },
 { 143252, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 143253, ur_m2564rfr2_autobaud_uart0_dual_pr_ce },
 { 143254, ur_m2564rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 143255, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 143256, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 143258, ur_m2564rfr2_autobaud_uart0_dual_ee_hw },
 { 143260, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 143261, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 143304, ur_m1284rfr2_autobaud_uart1_noled },
 { 143305, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 143306, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 143307, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 143308, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 143309, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 143310, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 143311, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 143312, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 143314, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 143316, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 143317, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 143318, ur_m1284rfr2_autobaud_uart1_lednop },
 { 143319, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 143320, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 143321, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 143322, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 143323, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 143324, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 143325, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 143326, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 143328, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 143330, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 143331, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 143332, ur_m2564rfr2_autobaud_uart1_dual },
 { 143333, ur_m2564rfr2_autobaud_uart1_dual },
 { 143334, ur_m2564rfr2_autobaud_uart1_dual },
 { 143335, ur_m2564rfr2_autobaud_uart1_dual_pr_ee },
 { 143336, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 143337, ur_m2564rfr2_autobaud_uart1_dual_pr_ce },
 { 143338, ur_m2564rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 143339, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 143340, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 143342, ur_m2564rfr2_autobaud_uart1_dual_ee_hw },
 { 143344, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 143345, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 143430, ur_m1284rfr2_u1x8_uart0_noled },
 { 143431, ur_m1284rfr2_u1x8_uart0_noled },
 { 143432, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 143433, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 143434, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 143435, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 143436, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 143437, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 143438, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 143440, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 143442, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 143443, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 143444, ur_m1284rfr2_u1x8_uart0_lednop },
 { 143445, ur_m1284rfr2_u1x8_uart0_lednop },
 { 143446, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 143447, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 143448, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 143449, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 143450, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 143451, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 143452, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 143454, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 143456, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 143457, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 143458, ur_m2564rfr2_u1x8_uart0_dual },
 { 143459, ur_m2564rfr2_u1x8_uart0_dual },
 { 143460, ur_m2564rfr2_u1x8_uart0_dual },
 { 143461, ur_m2564rfr2_u1x8_uart0_dual_pr_ee },
 { 143462, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 143463, ur_m2564rfr2_u1x8_uart0_dual_pr_ce },
 { 143464, ur_m2564rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 143465, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 143466, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 143468, ur_m2564rfr2_u1x8_uart0_dual_ee_hw },
 { 143470, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 143471, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 143514, ur_m1284rfr2_u1x8_uart1_noled },
 { 143515, ur_m1284rfr2_u1x8_uart1_noled },
 { 143516, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 143517, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 143518, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 143519, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 143520, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 143521, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 143522, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 143524, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 143526, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 143527, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 143528, ur_m1284rfr2_u1x8_uart1_lednop },
 { 143529, ur_m1284rfr2_u1x8_uart1_lednop },
 { 143530, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 143531, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 143532, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 143533, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 143534, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 143535, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 143536, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 143538, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 143540, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 143541, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 143542, ur_m2564rfr2_u1x8_uart1_dual },
 { 143543, ur_m2564rfr2_u1x8_uart1_dual },
 { 143544, ur_m2564rfr2_u1x8_uart1_dual },
 { 143545, ur_m2564rfr2_u1x8_uart1_dual_pr_ee },
 { 143546, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 143547, ur_m2564rfr2_u1x8_uart1_dual_pr_ce },
 { 143548, ur_m2564rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 143549, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 143550, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 143552, ur_m2564rfr2_u1x8_uart1_dual_ee_hw },
 { 143554, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 143555, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 143556, ur_m1280_u1x8_uart2_noled },
 { 143557, ur_m1280_u1x8_uart2_noled },
 { 143558, ur_m1280_u1x8_uart2_noled_pr_u4 },
 { 143559, ur_m1280_u1x8_uart2_noled_pr_ee },
 { 143560, ur_m1280_u1x8_uart2_noled_pr_ee },
 { 143561, ur_m2560_u1x8_uart2_noled_pr_ce },
 { 143562, ur_m2560_u1x8_uart2_noled_pr_ce },
 { 143563, ur_m2560_u1x8_uart2_noled_pr_ee_ce },
 { 143564, ur_m2560_u1x8_uart2_noled_pr_ee_ce },
 { 143566, ur_m1280_u1x8_uart2_noled_ee_hw },
 { 143568, ur_m2560_u1x8_uart2_noled_ee_ce_hw },
 { 143569, ur_m2560_u1x8_uart2_noled_ee_ce_hw },
 { 143570, ur_m1280_u1x8_uart2_lednop },
 { 143571, ur_m1280_u1x8_uart2_lednop },
 { 143572, ur_m1280_u1x8_uart2_lednop_pr_u4 },
 { 143573, ur_m1280_u1x8_uart2_lednop_pr_ee },
 { 143574, ur_m1280_u1x8_uart2_lednop_pr_ee },
 { 143575, ur_m2560_u1x8_uart2_lednop_pr_ce },
 { 143576, ur_m2560_u1x8_uart2_lednop_pr_ce },
 { 143577, ur_m2560_u1x8_uart2_lednop_pr_ee_ce },
 { 143578, ur_m2560_u1x8_uart2_lednop_pr_ee_ce },
 { 143580, ur_m1280_u1x8_uart2_lednop_ee_hw },
 { 143582, ur_m2560_u1x8_uart2_lednop_ee_ce_hw },
 { 143583, ur_m2560_u1x8_uart2_lednop_ee_ce_hw },
 { 143584, ur_m2560_u1x8_uart2_dual },
 { 143585, ur_m2560_u1x8_uart2_dual },
 { 143586, ur_m2560_u1x8_uart2_dual },
 { 143587, ur_m2560_u1x8_uart2_dual_pr_ee },
 { 143588, ur_m2560_u1x8_uart2_dual_pr_ee_u4 },
 { 143589, ur_m2560_u1x8_uart2_dual_pr_ce },
 { 143590, ur_m2560_u1x8_uart2_dual_pr_ce_u4 },
 { 143591, ur_m2560_u1x8_uart2_dual_pr_ee_ce },
 { 143592, ur_m2560_u1x8_uart2_dual_pr_ee_ce_u4 },
 { 143594, ur_m2560_u1x8_uart2_dual_ee_hw },
 { 143596, ur_m2560_u1x8_uart2_dual_ee_ce_hw },
 { 143597, ur_m2560_u1x8_uart2_dual_ee_ce_hw },
 { 143598, ur_m1280_u1x8_uart3_noled },
 { 143599, ur_m1280_u1x8_uart3_noled },
 { 143600, ur_m1280_u1x8_uart3_noled_pr_u4 },
 { 143601, ur_m1280_u1x8_uart3_noled_pr_ee },
 { 143602, ur_m1280_u1x8_uart3_noled_pr_ee },
 { 143603, ur_m2560_u1x8_uart3_noled_pr_ce },
 { 143604, ur_m2560_u1x8_uart3_noled_pr_ce },
 { 143605, ur_m2560_u1x8_uart3_noled_pr_ee_ce },
 { 143606, ur_m2560_u1x8_uart3_noled_pr_ee_ce },
 { 143608, ur_m1280_u1x8_uart3_noled_ee_hw },
 { 143610, ur_m2560_u1x8_uart3_noled_ee_ce_hw },
 { 143611, ur_m2560_u1x8_uart3_noled_ee_ce_hw },
 { 143612, ur_m1280_u1x8_uart3_lednop },
 { 143613, ur_m1280_u1x8_uart3_lednop },
 { 143614, ur_m1280_u1x8_uart3_lednop_pr_u4 },
 { 143615, ur_m1280_u1x8_uart3_lednop_pr_ee },
 { 143616, ur_m1280_u1x8_uart3_lednop_pr_ee },
 { 143617, ur_m2560_u1x8_uart3_lednop_pr_ce },
 { 143618, ur_m2560_u1x8_uart3_lednop_pr_ce },
 { 143619, ur_m2560_u1x8_uart3_lednop_pr_ee_ce },
 { 143620, ur_m2560_u1x8_uart3_lednop_pr_ee_ce },
 { 143622, ur_m1280_u1x8_uart3_lednop_ee_hw },
 { 143624, ur_m2560_u1x8_uart3_lednop_ee_ce_hw },
 { 143625, ur_m2560_u1x8_uart3_lednop_ee_ce_hw },
 { 143626, ur_m2560_u1x8_uart3_dual },
 { 143627, ur_m2560_u1x8_uart3_dual },
 { 143628, ur_m2560_u1x8_uart3_dual },
 { 143629, ur_m2560_u1x8_uart3_dual_pr_ee },
 { 143630, ur_m2560_u1x8_uart3_dual_pr_ee_u4 },
 { 143631, ur_m2560_u1x8_uart3_dual_pr_ce },
 { 143632, ur_m2560_u1x8_uart3_dual_pr_ce_u4 },
 { 143633, ur_m2560_u1x8_uart3_dual_pr_ee_ce },
 { 143634, ur_m2560_u1x8_uart3_dual_pr_ee_ce_u4 },
 { 143636, ur_m2560_u1x8_uart3_dual_ee_hw },
 { 143638, ur_m2560_u1x8_uart3_dual_ee_ce_hw },
 { 143639, ur_m2560_u1x8_uart3_dual_ee_ce_hw },
 { 143640, ur_m1284rfr2_u1x12_uart0_noled },
 { 143641, ur_m1284rfr2_u1x12_uart0_noled },
 { 143642, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 143643, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 143644, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 143645, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 143646, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 143647, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 143648, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 143650, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 143652, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 143653, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 143654, ur_m1284rfr2_u1x12_uart0_lednop },
 { 143655, ur_m1284rfr2_u1x12_uart0_lednop },
 { 143656, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 143657, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 143658, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 143659, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 143660, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 143661, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 143662, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 143664, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 143666, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 143667, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 143668, ur_m2564rfr2_u1x12_uart0_dual },
 { 143669, ur_m2564rfr2_u1x12_uart0_dual },
 { 143670, ur_m2564rfr2_u1x12_uart0_dual },
 { 143671, ur_m2564rfr2_u1x12_uart0_dual_pr_ee },
 { 143672, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 143673, ur_m2564rfr2_u1x12_uart0_dual_pr_ce },
 { 143674, ur_m2564rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 143675, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 143676, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 143678, ur_m2564rfr2_u1x12_uart0_dual_ee_hw },
 { 143680, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 143681, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 143724, ur_m1284rfr2_u1x12_uart1_noled },
 { 143725, ur_m1284rfr2_u1x12_uart1_noled },
 { 143726, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 143727, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 143728, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 143729, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 143730, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 143731, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 143732, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 143734, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 143736, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 143737, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 143738, ur_m1284rfr2_u1x12_uart1_lednop },
 { 143739, ur_m1284rfr2_u1x12_uart1_lednop },
 { 143740, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 143741, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 143742, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 143743, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 143744, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 143745, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 143746, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 143748, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 143750, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 143751, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 143752, ur_m2564rfr2_u1x12_uart1_dual },
 { 143753, ur_m2564rfr2_u1x12_uart1_dual },
 { 143754, ur_m2564rfr2_u1x12_uart1_dual },
 { 143755, ur_m2564rfr2_u1x12_uart1_dual_pr_ee },
 { 143756, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 143757, ur_m2564rfr2_u1x12_uart1_dual_pr_ce },
 { 143758, ur_m2564rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 143759, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 143760, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 143762, ur_m2564rfr2_u1x12_uart1_dual_ee_hw },
 { 143764, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 143765, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 143766, ur_m1280_u1x12_uart2_noled },
 { 143767, ur_m1280_u1x12_uart2_noled },
 { 143768, ur_m1280_u1x12_uart2_noled_pr_u4 },
 { 143769, ur_m1280_u1x12_uart2_noled_pr_ee },
 { 143770, ur_m1280_u1x12_uart2_noled_pr_ee },
 { 143771, ur_m2560_u1x12_uart2_noled_pr_ce },
 { 143772, ur_m2560_u1x12_uart2_noled_pr_ce },
 { 143773, ur_m2560_u1x12_uart2_noled_pr_ee_ce },
 { 143774, ur_m2560_u1x12_uart2_noled_pr_ee_ce },
 { 143776, ur_m1280_u1x12_uart2_noled_ee_hw },
 { 143778, ur_m2560_u1x12_uart2_noled_ee_ce_hw },
 { 143779, ur_m2560_u1x12_uart2_noled_ee_ce_hw },
 { 143780, ur_m1280_u1x12_uart2_lednop },
 { 143781, ur_m1280_u1x12_uart2_lednop },
 { 143782, ur_m1280_u1x12_uart2_lednop_pr_u4 },
 { 143783, ur_m1280_u1x12_uart2_lednop_pr_ee },
 { 143784, ur_m1280_u1x12_uart2_lednop_pr_ee },
 { 143785, ur_m2560_u1x12_uart2_lednop_pr_ce },
 { 143786, ur_m2560_u1x12_uart2_lednop_pr_ce },
 { 143787, ur_m2560_u1x12_uart2_lednop_pr_ee_ce },
 { 143788, ur_m2560_u1x12_uart2_lednop_pr_ee_ce },
 { 143790, ur_m1280_u1x12_uart2_lednop_ee_hw },
 { 143792, ur_m2560_u1x12_uart2_lednop_ee_ce_hw },
 { 143793, ur_m2560_u1x12_uart2_lednop_ee_ce_hw },
 { 143794, ur_m2560_u1x12_uart2_dual },
 { 143795, ur_m2560_u1x12_uart2_dual },
 { 143796, ur_m2560_u1x12_uart2_dual },
 { 143797, ur_m2560_u1x12_uart2_dual_pr_ee },
 { 143798, ur_m2560_u1x12_uart2_dual_pr_ee_u4 },
 { 143799, ur_m2560_u1x12_uart2_dual_pr_ce },
 { 143800, ur_m2560_u1x12_uart2_dual_pr_ce_u4 },
 { 143801, ur_m2560_u1x12_uart2_dual_pr_ee_ce },
 { 143802, ur_m2560_u1x12_uart2_dual_pr_ee_ce_u4 },
 { 143804, ur_m2560_u1x12_uart2_dual_ee_hw },
 { 143806, ur_m2560_u1x12_uart2_dual_ee_ce_hw },
 { 143807, ur_m2560_u1x12_uart2_dual_ee_ce_hw },
 { 143808, ur_m1280_u1x12_uart3_noled },
 { 143809, ur_m1280_u1x12_uart3_noled },
 { 143810, ur_m1280_u1x12_uart3_noled_pr_u4 },
 { 143811, ur_m1280_u1x12_uart3_noled_pr_ee },
 { 143812, ur_m1280_u1x12_uart3_noled_pr_ee },
 { 143813, ur_m2560_u1x12_uart3_noled_pr_ce },
 { 143814, ur_m2560_u1x12_uart3_noled_pr_ce },
 { 143815, ur_m2560_u1x12_uart3_noled_pr_ee_ce },
 { 143816, ur_m2560_u1x12_uart3_noled_pr_ee_ce },
 { 143818, ur_m1280_u1x12_uart3_noled_ee_hw },
 { 143820, ur_m2560_u1x12_uart3_noled_ee_ce_hw },
 { 143821, ur_m2560_u1x12_uart3_noled_ee_ce_hw },
 { 143822, ur_m1280_u1x12_uart3_lednop },
 { 143823, ur_m1280_u1x12_uart3_lednop },
 { 143824, ur_m1280_u1x12_uart3_lednop_pr_u4 },
 { 143825, ur_m1280_u1x12_uart3_lednop_pr_ee },
 { 143826, ur_m1280_u1x12_uart3_lednop_pr_ee },
 { 143827, ur_m2560_u1x12_uart3_lednop_pr_ce },
 { 143828, ur_m2560_u1x12_uart3_lednop_pr_ce },
 { 143829, ur_m2560_u1x12_uart3_lednop_pr_ee_ce },
 { 143830, ur_m2560_u1x12_uart3_lednop_pr_ee_ce },
 { 143832, ur_m1280_u1x12_uart3_lednop_ee_hw },
 { 143834, ur_m2560_u1x12_uart3_lednop_ee_ce_hw },
 { 143835, ur_m2560_u1x12_uart3_lednop_ee_ce_hw },
 { 143836, ur_m2560_u1x12_uart3_dual },
 { 143837, ur_m2560_u1x12_uart3_dual },
 { 143838, ur_m2560_u1x12_uart3_dual },
 { 143839, ur_m2560_u1x12_uart3_dual_pr_ee },
 { 143840, ur_m2560_u1x12_uart3_dual_pr_ee_u4 },
 { 143841, ur_m2560_u1x12_uart3_dual_pr_ce },
 { 143842, ur_m2560_u1x12_uart3_dual_pr_ce_u4 },
 { 143843, ur_m2560_u1x12_uart3_dual_pr_ee_ce },
 { 143844, ur_m2560_u1x12_uart3_dual_pr_ee_ce_u4 },
 { 143846, ur_m2560_u1x12_uart3_dual_ee_hw },
 { 143848, ur_m2560_u1x12_uart3_dual_ee_ce_hw },
 { 143849, ur_m2560_u1x12_uart3_dual_ee_ce_hw },
 { 143850, ur_m1284rfr2_u2x8_uart0_noled },
 { 143851, ur_m1284rfr2_u2x8_uart0_noled },
 { 143852, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 143853, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 143854, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 143855, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 143856, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 143857, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 143858, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 143860, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 143862, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 143863, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 143864, ur_m1284rfr2_u2x8_uart0_lednop },
 { 143865, ur_m1284rfr2_u2x8_uart0_lednop },
 { 143866, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 143867, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 143868, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 143869, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 143870, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 143871, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 143872, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 143874, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 143876, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 143877, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 143878, ur_m2564rfr2_u2x8_uart0_dual },
 { 143879, ur_m2564rfr2_u2x8_uart0_dual },
 { 143880, ur_m2564rfr2_u2x8_uart0_dual },
 { 143881, ur_m2564rfr2_u2x8_uart0_dual_pr_ee },
 { 143882, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 143883, ur_m2564rfr2_u2x8_uart0_dual_pr_ce },
 { 143884, ur_m2564rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 143885, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 143886, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 143888, ur_m2564rfr2_u2x8_uart0_dual_ee_hw },
 { 143890, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 143891, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 143934, ur_m1284rfr2_u2x8_uart1_noled },
 { 143935, ur_m1284rfr2_u2x8_uart1_noled },
 { 143936, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 143937, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 143938, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 143939, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 143940, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 143941, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 143942, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 143944, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 143946, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 143947, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 143948, ur_m1284rfr2_u2x8_uart1_lednop },
 { 143949, ur_m1284rfr2_u2x8_uart1_lednop },
 { 143950, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 143951, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 143952, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 143953, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 143954, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 143955, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 143956, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 143958, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 143960, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 143961, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 143962, ur_m2564rfr2_u2x8_uart1_dual },
 { 143963, ur_m2564rfr2_u2x8_uart1_dual },
 { 143964, ur_m2564rfr2_u2x8_uart1_dual },
 { 143965, ur_m2564rfr2_u2x8_uart1_dual_pr_ee },
 { 143966, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 143967, ur_m2564rfr2_u2x8_uart1_dual_pr_ce },
 { 143968, ur_m2564rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 143969, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 143970, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 143972, ur_m2564rfr2_u2x8_uart1_dual_ee_hw },
 { 143974, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 143975, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 143976, ur_m1280_u2x8_uart2_noled },
 { 143977, ur_m1280_u2x8_uart2_noled },
 { 143978, ur_m1280_u2x8_uart2_noled_pr_u4 },
 { 143979, ur_m1280_u2x8_uart2_noled_pr_ee },
 { 143980, ur_m1280_u2x8_uart2_noled_pr_ee },
 { 143981, ur_m2560_u2x8_uart2_noled_pr_ce },
 { 143982, ur_m2560_u2x8_uart2_noled_pr_ce },
 { 143983, ur_m2560_u2x8_uart2_noled_pr_ee_ce },
 { 143984, ur_m2560_u2x8_uart2_noled_pr_ee_ce },
 { 143986, ur_m1280_u2x8_uart2_noled_ee_hw },
 { 143988, ur_m2560_u2x8_uart2_noled_ee_ce_hw },
 { 143989, ur_m2560_u2x8_uart2_noled_ee_ce_hw },
 { 143990, ur_m1280_u2x8_uart2_lednop },
 { 143991, ur_m1280_u2x8_uart2_lednop },
 { 143992, ur_m1280_u2x8_uart2_lednop_pr_u4 },
 { 143993, ur_m1280_u2x8_uart2_lednop_pr_ee },
 { 143994, ur_m1280_u2x8_uart2_lednop_pr_ee },
 { 143995, ur_m2560_u2x8_uart2_lednop_pr_ce },
 { 143996, ur_m2560_u2x8_uart2_lednop_pr_ce },
 { 143997, ur_m2560_u2x8_uart2_lednop_pr_ee_ce },
 { 143998, ur_m2560_u2x8_uart2_lednop_pr_ee_ce },
 { 144000, ur_m1280_u2x8_uart2_lednop_ee_hw },
 { 144002, ur_m2560_u2x8_uart2_lednop_ee_ce_hw },
 { 144003, ur_m2560_u2x8_uart2_lednop_ee_ce_hw },
 { 144004, ur_m2560_u2x8_uart2_dual },
 { 144005, ur_m2560_u2x8_uart2_dual },
 { 144006, ur_m2560_u2x8_uart2_dual },
 { 144007, ur_m2560_u2x8_uart2_dual_pr_ee },
 { 144008, ur_m2560_u2x8_uart2_dual_pr_ee_u4 },
 { 144009, ur_m2560_u2x8_uart2_dual_pr_ce },
 { 144010, ur_m2560_u2x8_uart2_dual_pr_ce_u4 },
 { 144011, ur_m2560_u2x8_uart2_dual_pr_ee_ce },
 { 144012, ur_m2560_u2x8_uart2_dual_pr_ee_ce_u4 },
 { 144014, ur_m2560_u2x8_uart2_dual_ee_hw },
 { 144016, ur_m2560_u2x8_uart2_dual_ee_ce_hw },
 { 144017, ur_m2560_u2x8_uart2_dual_ee_ce_hw },
 { 144018, ur_m1280_u2x8_uart3_noled },
 { 144019, ur_m1280_u2x8_uart3_noled },
 { 144020, ur_m1280_u2x8_uart3_noled_pr_u4 },
 { 144021, ur_m1280_u2x8_uart3_noled_pr_ee },
 { 144022, ur_m1280_u2x8_uart3_noled_pr_ee },
 { 144023, ur_m2560_u2x8_uart3_noled_pr_ce },
 { 144024, ur_m2560_u2x8_uart3_noled_pr_ce },
 { 144025, ur_m2560_u2x8_uart3_noled_pr_ee_ce },
 { 144026, ur_m2560_u2x8_uart3_noled_pr_ee_ce },
 { 144028, ur_m1280_u2x8_uart3_noled_ee_hw },
 { 144030, ur_m2560_u2x8_uart3_noled_ee_ce_hw },
 { 144031, ur_m2560_u2x8_uart3_noled_ee_ce_hw },
 { 144032, ur_m1280_u2x8_uart3_lednop },
 { 144033, ur_m1280_u2x8_uart3_lednop },
 { 144034, ur_m1280_u2x8_uart3_lednop_pr_u4 },
 { 144035, ur_m1280_u2x8_uart3_lednop_pr_ee },
 { 144036, ur_m1280_u2x8_uart3_lednop_pr_ee },
 { 144037, ur_m2560_u2x8_uart3_lednop_pr_ce },
 { 144038, ur_m2560_u2x8_uart3_lednop_pr_ce },
 { 144039, ur_m2560_u2x8_uart3_lednop_pr_ee_ce },
 { 144040, ur_m2560_u2x8_uart3_lednop_pr_ee_ce },
 { 144042, ur_m1280_u2x8_uart3_lednop_ee_hw },
 { 144044, ur_m2560_u2x8_uart3_lednop_ee_ce_hw },
 { 144045, ur_m2560_u2x8_uart3_lednop_ee_ce_hw },
 { 144046, ur_m2560_u2x8_uart3_dual },
 { 144047, ur_m2560_u2x8_uart3_dual },
 { 144048, ur_m2560_u2x8_uart3_dual },
 { 144049, ur_m2560_u2x8_uart3_dual_pr_ee },
 { 144050, ur_m2560_u2x8_uart3_dual_pr_ee_u4 },
 { 144051, ur_m2560_u2x8_uart3_dual_pr_ce },
 { 144052, ur_m2560_u2x8_uart3_dual_pr_ce_u4 },
 { 144053, ur_m2560_u2x8_uart3_dual_pr_ee_ce },
 { 144054, ur_m2560_u2x8_uart3_dual_pr_ee_ce_u4 },
 { 144056, ur_m2560_u2x8_uart3_dual_ee_hw },
 { 144058, ur_m2560_u2x8_uart3_dual_ee_ce_hw },
 { 144059, ur_m2560_u2x8_uart3_dual_ee_ce_hw },
 { 144060, ur_m1284rfr2_u2x12_uart0_noled },
 { 144061, ur_m1284rfr2_u2x12_uart0_noled },
 { 144062, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 144063, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 144064, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 144065, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 144066, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 144067, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 144068, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 144070, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 144072, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 144073, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 144074, ur_m1284rfr2_u2x12_uart0_lednop },
 { 144075, ur_m1284rfr2_u2x12_uart0_lednop },
 { 144076, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 144077, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 144078, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 144079, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 144080, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 144081, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 144082, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 144084, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 144086, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 144087, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 144088, ur_m2564rfr2_u2x12_uart0_dual },
 { 144089, ur_m2564rfr2_u2x12_uart0_dual },
 { 144090, ur_m2564rfr2_u2x12_uart0_dual },
 { 144091, ur_m2564rfr2_u2x12_uart0_dual_pr_ee },
 { 144092, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 144093, ur_m2564rfr2_u2x12_uart0_dual_pr_ce },
 { 144094, ur_m2564rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 144095, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 144096, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 144098, ur_m2564rfr2_u2x12_uart0_dual_ee_hw },
 { 144100, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 144101, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 144144, ur_m1284rfr2_u2x12_uart1_noled },
 { 144145, ur_m1284rfr2_u2x12_uart1_noled },
 { 144146, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 144147, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 144148, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 144149, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 144150, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 144151, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 144152, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 144154, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 144156, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 144157, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 144158, ur_m1284rfr2_u2x12_uart1_lednop },
 { 144159, ur_m1284rfr2_u2x12_uart1_lednop },
 { 144160, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 144161, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 144162, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 144163, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 144164, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 144165, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 144166, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 144168, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 144170, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 144171, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 144172, ur_m2564rfr2_u2x12_uart1_dual },
 { 144173, ur_m2564rfr2_u2x12_uart1_dual },
 { 144174, ur_m2564rfr2_u2x12_uart1_dual },
 { 144175, ur_m2564rfr2_u2x12_uart1_dual_pr_ee },
 { 144176, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 144177, ur_m2564rfr2_u2x12_uart1_dual_pr_ce },
 { 144178, ur_m2564rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 144179, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 144180, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 144182, ur_m2564rfr2_u2x12_uart1_dual_ee_hw },
 { 144184, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 144185, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 144186, ur_m1280_u2x12_uart2_noled },
 { 144187, ur_m1280_u2x12_uart2_noled },
 { 144188, ur_m1280_u2x12_uart2_noled_pr_u4 },
 { 144189, ur_m1280_u2x12_uart2_noled_pr_ee },
 { 144190, ur_m1280_u2x12_uart2_noled_pr_ee },
 { 144191, ur_m2560_u2x12_uart2_noled_pr_ce },
 { 144192, ur_m2560_u2x12_uart2_noled_pr_ce },
 { 144193, ur_m2560_u2x12_uart2_noled_pr_ee_ce },
 { 144194, ur_m2560_u2x12_uart2_noled_pr_ee_ce },
 { 144196, ur_m1280_u2x12_uart2_noled_ee_hw },
 { 144198, ur_m2560_u2x12_uart2_noled_ee_ce_hw },
 { 144199, ur_m2560_u2x12_uart2_noled_ee_ce_hw },
 { 144200, ur_m1280_u2x12_uart2_lednop },
 { 144201, ur_m1280_u2x12_uart2_lednop },
 { 144202, ur_m1280_u2x12_uart2_lednop_pr_u4 },
 { 144203, ur_m1280_u2x12_uart2_lednop_pr_ee },
 { 144204, ur_m1280_u2x12_uart2_lednop_pr_ee },
 { 144205, ur_m2560_u2x12_uart2_lednop_pr_ce },
 { 144206, ur_m2560_u2x12_uart2_lednop_pr_ce },
 { 144207, ur_m2560_u2x12_uart2_lednop_pr_ee_ce },
 { 144208, ur_m2560_u2x12_uart2_lednop_pr_ee_ce },
 { 144210, ur_m1280_u2x12_uart2_lednop_ee_hw },
 { 144212, ur_m2560_u2x12_uart2_lednop_ee_ce_hw },
 { 144213, ur_m2560_u2x12_uart2_lednop_ee_ce_hw },
 { 144214, ur_m2560_u2x12_uart2_dual },
 { 144215, ur_m2560_u2x12_uart2_dual },
 { 144216, ur_m2560_u2x12_uart2_dual },
 { 144217, ur_m2560_u2x12_uart2_dual_pr_ee },
 { 144218, ur_m2560_u2x12_uart2_dual_pr_ee_u4 },
 { 144219, ur_m2560_u2x12_uart2_dual_pr_ce },
 { 144220, ur_m2560_u2x12_uart2_dual_pr_ce_u4 },
 { 144221, ur_m2560_u2x12_uart2_dual_pr_ee_ce },
 { 144222, ur_m2560_u2x12_uart2_dual_pr_ee_ce_u4 },
 { 144224, ur_m2560_u2x12_uart2_dual_ee_hw },
 { 144226, ur_m2560_u2x12_uart2_dual_ee_ce_hw },
 { 144227, ur_m2560_u2x12_uart2_dual_ee_ce_hw },
 { 144228, ur_m1280_u2x12_uart3_noled },
 { 144229, ur_m1280_u2x12_uart3_noled },
 { 144230, ur_m1280_u2x12_uart3_noled_pr_u4 },
 { 144231, ur_m1280_u2x12_uart3_noled_pr_ee },
 { 144232, ur_m1280_u2x12_uart3_noled_pr_ee },
 { 144233, ur_m2560_u2x12_uart3_noled_pr_ce },
 { 144234, ur_m2560_u2x12_uart3_noled_pr_ce },
 { 144235, ur_m2560_u2x12_uart3_noled_pr_ee_ce },
 { 144236, ur_m2560_u2x12_uart3_noled_pr_ee_ce },
 { 144238, ur_m1280_u2x12_uart3_noled_ee_hw },
 { 144240, ur_m2560_u2x12_uart3_noled_ee_ce_hw },
 { 144241, ur_m2560_u2x12_uart3_noled_ee_ce_hw },
 { 144242, ur_m1280_u2x12_uart3_lednop },
 { 144243, ur_m1280_u2x12_uart3_lednop },
 { 144244, ur_m1280_u2x12_uart3_lednop_pr_u4 },
 { 144245, ur_m1280_u2x12_uart3_lednop_pr_ee },
 { 144246, ur_m1280_u2x12_uart3_lednop_pr_ee },
 { 144247, ur_m2560_u2x12_uart3_lednop_pr_ce },
 { 144248, ur_m2560_u2x12_uart3_lednop_pr_ce },
 { 144249, ur_m2560_u2x12_uart3_lednop_pr_ee_ce },
 { 144250, ur_m2560_u2x12_uart3_lednop_pr_ee_ce },
 { 144252, ur_m1280_u2x12_uart3_lednop_ee_hw },
 { 144254, ur_m2560_u2x12_uart3_lednop_ee_ce_hw },
 { 144255, ur_m2560_u2x12_uart3_lednop_ee_ce_hw },
 { 144256, ur_m2560_u2x12_uart3_dual },
 { 144257, ur_m2560_u2x12_uart3_dual },
 { 144258, ur_m2560_u2x12_uart3_dual },
 { 144259, ur_m2560_u2x12_uart3_dual_pr_ee },
 { 144260, ur_m2560_u2x12_uart3_dual_pr_ee_u4 },
 { 144261, ur_m2560_u2x12_uart3_dual_pr_ce },
 { 144262, ur_m2560_u2x12_uart3_dual_pr_ce_u4 },
 { 144263, ur_m2560_u2x12_uart3_dual_pr_ee_ce },
 { 144264, ur_m2560_u2x12_uart3_dual_pr_ee_ce_u4 },
 { 144266, ur_m2560_u2x12_uart3_dual_ee_hw },
 { 144268, ur_m2560_u2x12_uart3_dual_ee_ce_hw },
 { 144269, ur_m2560_u2x12_uart3_dual_ee_ce_hw },
 { 144270, ur_m1284rfr2_swio10_noled },
 { 144271, ur_m1284rfr2_swio10_noled_pr },
 { 144272, ur_m1284rfr2_swio10_noled_pr },
 { 144273, ur_m1284rfr2_swio10_noled_pr_ee },
 { 144274, ur_m1284rfr2_swio10_noled_pr_ee },
 { 144275, ur_m2564rfr2_swio10_noled_pr_ce },
 { 144276, ur_m2564rfr2_swio10_noled_pr_ce },
 { 144277, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 144278, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 144280, ur_m1284rfr2_swio10_noled_ee_hw },
 { 144282, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 144283, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 144284, ur_m1284rfr2_swio10_lednop },
 { 144285, ur_m1284rfr2_swio10_lednop_pr },
 { 144286, ur_m1284rfr2_swio10_lednop_pr },
 { 144287, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 144288, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 144289, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 144290, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 144291, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 144292, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 144294, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 144296, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 144297, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 144298, ur_m2564rfr2_swio10_dual },
 { 144299, ur_m2564rfr2_swio10_dual },
 { 144300, ur_m2564rfr2_swio10_dual },
 { 144301, ur_m2564rfr2_swio10_dual_pr_ee },
 { 144302, ur_m2564rfr2_swio10_dual_pr_ee_u4 },
 { 144303, ur_m2564rfr2_swio10_dual_pr_ce },
 { 144304, ur_m2564rfr2_swio10_dual_pr_ce_u4 },
 { 144305, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 144306, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 144308, ur_m2564rfr2_swio10_dual_ee_hw },
 { 144310, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 144311, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 144312, ur_m1284rfr2_swio11_noled },
 { 144313, ur_m1284rfr2_swio11_noled_pr },
 { 144314, ur_m1284rfr2_swio11_noled_pr },
 { 144315, ur_m1284rfr2_swio11_noled_pr_ee },
 { 144316, ur_m1284rfr2_swio11_noled_pr_ee },
 { 144317, ur_m2564rfr2_swio11_noled_pr_ce },
 { 144318, ur_m2564rfr2_swio11_noled_pr_ce },
 { 144319, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 144320, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 144322, ur_m1284rfr2_swio11_noled_ee_hw },
 { 144324, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 144325, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 144326, ur_m1284rfr2_swio11_lednop },
 { 144327, ur_m1284rfr2_swio11_lednop_pr },
 { 144328, ur_m1284rfr2_swio11_lednop_pr },
 { 144329, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 144330, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 144331, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 144332, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 144333, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 144334, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 144336, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 144338, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 144339, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 144340, ur_m2564rfr2_swio11_dual },
 { 144341, ur_m2564rfr2_swio11_dual },
 { 144342, ur_m2564rfr2_swio11_dual },
 { 144343, ur_m2564rfr2_swio11_dual_pr_ee },
 { 144344, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 144345, ur_m2564rfr2_swio11_dual_pr_ce },
 { 144346, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 144347, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 144348, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 144350, ur_m2564rfr2_swio11_dual_ee_hw },
 { 144352, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 144353, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 144354, ur_m1284rfr2_swio11_noled },
 { 144355, ur_m1284rfr2_swio11_noled_pr },
 { 144356, ur_m1284rfr2_swio11_noled_pr },
 { 144357, ur_m1284rfr2_swio11_noled_pr_ee },
 { 144358, ur_m1284rfr2_swio11_noled_pr_ee },
 { 144359, ur_m2564rfr2_swio11_noled_pr_ce },
 { 144360, ur_m2564rfr2_swio11_noled_pr_ce },
 { 144361, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 144362, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 144364, ur_m1284rfr2_swio11_noled_ee_hw },
 { 144366, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 144367, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 144368, ur_m1284rfr2_swio11_lednop },
 { 144369, ur_m1284rfr2_swio11_lednop_pr },
 { 144370, ur_m1284rfr2_swio11_lednop_pr },
 { 144371, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 144372, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 144373, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 144374, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 144375, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 144376, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 144378, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 144380, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 144381, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 144382, ur_m2564rfr2_swio11_dual },
 { 144383, ur_m2564rfr2_swio11_dual },
 { 144384, ur_m2564rfr2_swio11_dual },
 { 144385, ur_m2564rfr2_swio11_dual_pr_ee },
 { 144386, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 144387, ur_m2564rfr2_swio11_dual_pr_ce },
 { 144388, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 144389, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 144390, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 144392, ur_m2564rfr2_swio11_dual_ee_hw },
 { 144394, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 144395, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 144396, ur_m1284rfr2_swio13_noled },
 { 144397, ur_m1284rfr2_swio13_noled_pr },
 { 144398, ur_m1284rfr2_swio13_noled_pr },
 { 144399, ur_m1284rfr2_swio13_noled_pr_ee },
 { 144400, ur_m1284rfr2_swio13_noled_pr_ee },
 { 144401, ur_m2564rfr2_swio13_noled_pr_ce },
 { 144402, ur_m2564rfr2_swio13_noled_pr_ce },
 { 144403, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 144404, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 144406, ur_m1284rfr2_swio13_noled_ee_hw },
 { 144408, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 144409, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 144410, ur_m1284rfr2_swio13_lednop },
 { 144411, ur_m1284rfr2_swio13_lednop },
 { 144412, ur_m1284rfr2_swio13_lednop },
 { 144413, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 144414, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 144415, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 144416, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 144417, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 144418, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 144420, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 144422, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 144423, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 144424, ur_m2564rfr2_swio13_dual },
 { 144425, ur_m2564rfr2_swio13_dual },
 { 144426, ur_m2564rfr2_swio13_dual },
 { 144427, ur_m2564rfr2_swio13_dual_pr_ee },
 { 144428, ur_m2564rfr2_swio13_dual_pr_ee_u4 },
 { 144429, ur_m2564rfr2_swio13_dual_pr_ce },
 { 144430, ur_m2564rfr2_swio13_dual_pr_ce_u4 },
 { 144431, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 144432, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 144434, ur_m2564rfr2_swio13_dual_ee_hw },
 { 144436, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 144437, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 144438, ur_m1284rfr2_swio14_noled },
 { 144439, ur_m1284rfr2_swio14_noled_pr },
 { 144440, ur_m1284rfr2_swio14_noled_pr },
 { 144441, ur_m1284rfr2_swio14_noled_pr_ee },
 { 144442, ur_m1284rfr2_swio14_noled_pr_ee },
 { 144443, ur_m2564rfr2_swio14_noled_pr_ce },
 { 144444, ur_m2564rfr2_swio14_noled_pr_ce },
 { 144445, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 144446, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 144448, ur_m1284rfr2_swio14_noled_ee_hw },
 { 144450, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 144451, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 144452, ur_m1284rfr2_swio14_lednop },
 { 144453, ur_m1284rfr2_swio14_lednop_pr },
 { 144454, ur_m1284rfr2_swio14_lednop_pr },
 { 144455, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 144456, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 144457, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 144458, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 144459, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 144460, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 144462, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 144464, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 144465, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 144466, ur_m2564rfr2_swio14_dual },
 { 144467, ur_m2564rfr2_swio14_dual },
 { 144468, ur_m2564rfr2_swio14_dual },
 { 144469, ur_m2564rfr2_swio14_dual_pr_ee },
 { 144470, ur_m2564rfr2_swio14_dual_pr_ee_u4 },
 { 144471, ur_m2564rfr2_swio14_dual_pr_ce },
 { 144472, ur_m2564rfr2_swio14_dual_pr_ce_u4 },
 { 144473, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 144474, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 144476, ur_m2564rfr2_swio14_dual_ee_hw },
 { 144478, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 144479, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 144480, ur_m1284rfr2_swio15_noled },
 { 144481, ur_m1284rfr2_swio15_noled_pr },
 { 144482, ur_m1284rfr2_swio15_noled_pr },
 { 144483, ur_m1284rfr2_swio15_noled_pr_ee },
 { 144484, ur_m1284rfr2_swio15_noled_pr_ee },
 { 144485, ur_m2564rfr2_swio15_noled_pr_ce },
 { 144486, ur_m2564rfr2_swio15_noled_pr_ce },
 { 144487, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 144488, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 144490, ur_m1284rfr2_swio15_noled_ee_hw },
 { 144492, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 144493, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 144494, ur_m1284rfr2_swio15_lednop },
 { 144495, ur_m1284rfr2_swio15_lednop },
 { 144496, ur_m1284rfr2_swio15_lednop },
 { 144497, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 144498, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 144499, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 144500, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 144501, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 144502, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 144504, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 144506, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 144507, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 144508, ur_m2564rfr2_swio15_dual },
 { 144509, ur_m2564rfr2_swio15_dual },
 { 144510, ur_m2564rfr2_swio15_dual },
 { 144511, ur_m2564rfr2_swio15_dual_pr_ee },
 { 144512, ur_m2564rfr2_swio15_dual_pr_ee_u4 },
 { 144513, ur_m2564rfr2_swio15_dual_pr_ce },
 { 144514, ur_m2564rfr2_swio15_dual_pr_ce_u4 },
 { 144515, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 144516, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 144518, ur_m2564rfr2_swio15_dual_ee_hw },
 { 144520, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 144521, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 144522, ur_m1284rfr2_autobaud_uart0_noled },
 { 144523, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 144524, ur_m1284rfr2_autobaud_uart0_noled_pr },
 { 144525, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 144526, ur_m1284rfr2_autobaud_uart0_noled_pr_ee },
 { 144527, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 144528, ur_m2564rfr2_autobaud_uart0_noled_pr_ce },
 { 144529, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 144530, ur_m2564rfr2_autobaud_uart0_noled_pr_ee_ce },
 { 144532, ur_m1284rfr2_autobaud_uart0_noled_ee_hw },
 { 144534, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 144535, ur_m2564rfr2_autobaud_uart0_noled_ee_ce_hw },
 { 144536, ur_m1284rfr2_autobaud_uart0_lednop },
 { 144537, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 144538, ur_m1284rfr2_autobaud_uart0_lednop_pr },
 { 144539, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 144540, ur_m1284rfr2_autobaud_uart0_lednop_pr_ee },
 { 144541, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 144542, ur_m2564rfr2_autobaud_uart0_lednop_pr_ce },
 { 144543, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 144544, ur_m2564rfr2_autobaud_uart0_lednop_pr_ee_ce },
 { 144546, ur_m1284rfr2_autobaud_uart0_lednop_ee_hw },
 { 144548, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 144549, ur_m2564rfr2_autobaud_uart0_lednop_ee_ce_hw },
 { 144550, ur_m2564rfr2_autobaud_uart0_dual },
 { 144551, ur_m2564rfr2_autobaud_uart0_dual },
 { 144552, ur_m2564rfr2_autobaud_uart0_dual },
 { 144553, ur_m2564rfr2_autobaud_uart0_dual_pr_ee },
 { 144554, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_u4 },
 { 144555, ur_m2564rfr2_autobaud_uart0_dual_pr_ce },
 { 144556, ur_m2564rfr2_autobaud_uart0_dual_pr_ce_u4 },
 { 144557, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 144558, ur_m2564rfr2_autobaud_uart0_dual_pr_ee_ce },
 { 144560, ur_m2564rfr2_autobaud_uart0_dual_ee_hw },
 { 144562, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 144563, ur_m2564rfr2_autobaud_uart0_dual_ee_ce_hw },
 { 144606, ur_m1284rfr2_autobaud_uart1_noled },
 { 144607, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 144608, ur_m1284rfr2_autobaud_uart1_noled_pr },
 { 144609, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 144610, ur_m1284rfr2_autobaud_uart1_noled_pr_ee },
 { 144611, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 144612, ur_m2564rfr2_autobaud_uart1_noled_pr_ce },
 { 144613, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 144614, ur_m2564rfr2_autobaud_uart1_noled_pr_ee_ce },
 { 144616, ur_m1284rfr2_autobaud_uart1_noled_ee_hw },
 { 144618, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 144619, ur_m2564rfr2_autobaud_uart1_noled_ee_ce_hw },
 { 144620, ur_m1284rfr2_autobaud_uart1_lednop },
 { 144621, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 144622, ur_m1284rfr2_autobaud_uart1_lednop_pr },
 { 144623, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 144624, ur_m1284rfr2_autobaud_uart1_lednop_pr_ee },
 { 144625, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 144626, ur_m2564rfr2_autobaud_uart1_lednop_pr_ce },
 { 144627, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 144628, ur_m2564rfr2_autobaud_uart1_lednop_pr_ee_ce },
 { 144630, ur_m1284rfr2_autobaud_uart1_lednop_ee_hw },
 { 144632, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 144633, ur_m2564rfr2_autobaud_uart1_lednop_ee_ce_hw },
 { 144634, ur_m2564rfr2_autobaud_uart1_dual },
 { 144635, ur_m2564rfr2_autobaud_uart1_dual },
 { 144636, ur_m2564rfr2_autobaud_uart1_dual },
 { 144637, ur_m2564rfr2_autobaud_uart1_dual_pr_ee },
 { 144638, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_u4 },
 { 144639, ur_m2564rfr2_autobaud_uart1_dual_pr_ce },
 { 144640, ur_m2564rfr2_autobaud_uart1_dual_pr_ce_u4 },
 { 144641, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 144642, ur_m2564rfr2_autobaud_uart1_dual_pr_ee_ce },
 { 144644, ur_m2564rfr2_autobaud_uart1_dual_ee_hw },
 { 144646, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 144647, ur_m2564rfr2_autobaud_uart1_dual_ee_ce_hw },
 { 144732, ur_m1284rfr2_u1x8_uart0_noled },
 { 144733, ur_m1284rfr2_u1x8_uart0_noled },
 { 144734, ur_m1284rfr2_u1x8_uart0_noled_pr_u4 },
 { 144735, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 144736, ur_m1284rfr2_u1x8_uart0_noled_pr_ee },
 { 144737, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 144738, ur_m2564rfr2_u1x8_uart0_noled_pr_ce },
 { 144739, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 144740, ur_m2564rfr2_u1x8_uart0_noled_pr_ee_ce },
 { 144742, ur_m1284rfr2_u1x8_uart0_noled_ee_hw },
 { 144744, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 144745, ur_m2564rfr2_u1x8_uart0_noled_ee_ce_hw },
 { 144746, ur_m1284rfr2_u1x8_uart0_lednop },
 { 144747, ur_m1284rfr2_u1x8_uart0_lednop },
 { 144748, ur_m1284rfr2_u1x8_uart0_lednop_pr_u4 },
 { 144749, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 144750, ur_m1284rfr2_u1x8_uart0_lednop_pr_ee },
 { 144751, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 144752, ur_m2564rfr2_u1x8_uart0_lednop_pr_ce },
 { 144753, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 144754, ur_m2564rfr2_u1x8_uart0_lednop_pr_ee_ce },
 { 144756, ur_m1284rfr2_u1x8_uart0_lednop_ee_hw },
 { 144758, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 144759, ur_m2564rfr2_u1x8_uart0_lednop_ee_ce_hw },
 { 144760, ur_m2564rfr2_u1x8_uart0_dual },
 { 144761, ur_m2564rfr2_u1x8_uart0_dual },
 { 144762, ur_m2564rfr2_u1x8_uart0_dual },
 { 144763, ur_m2564rfr2_u1x8_uart0_dual_pr_ee },
 { 144764, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_u4 },
 { 144765, ur_m2564rfr2_u1x8_uart0_dual_pr_ce },
 { 144766, ur_m2564rfr2_u1x8_uart0_dual_pr_ce_u4 },
 { 144767, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce },
 { 144768, ur_m2564rfr2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 144770, ur_m2564rfr2_u1x8_uart0_dual_ee_hw },
 { 144772, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 144773, ur_m2564rfr2_u1x8_uart0_dual_ee_ce_hw },
 { 144816, ur_m1284rfr2_u1x8_uart1_noled },
 { 144817, ur_m1284rfr2_u1x8_uart1_noled },
 { 144818, ur_m1284rfr2_u1x8_uart1_noled_pr_u4 },
 { 144819, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 144820, ur_m1284rfr2_u1x8_uart1_noled_pr_ee },
 { 144821, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 144822, ur_m2564rfr2_u1x8_uart1_noled_pr_ce },
 { 144823, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 144824, ur_m2564rfr2_u1x8_uart1_noled_pr_ee_ce },
 { 144826, ur_m1284rfr2_u1x8_uart1_noled_ee_hw },
 { 144828, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 144829, ur_m2564rfr2_u1x8_uart1_noled_ee_ce_hw },
 { 144830, ur_m1284rfr2_u1x8_uart1_lednop },
 { 144831, ur_m1284rfr2_u1x8_uart1_lednop },
 { 144832, ur_m1284rfr2_u1x8_uart1_lednop_pr_u4 },
 { 144833, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 144834, ur_m1284rfr2_u1x8_uart1_lednop_pr_ee },
 { 144835, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 144836, ur_m2564rfr2_u1x8_uart1_lednop_pr_ce },
 { 144837, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 144838, ur_m2564rfr2_u1x8_uart1_lednop_pr_ee_ce },
 { 144840, ur_m1284rfr2_u1x8_uart1_lednop_ee_hw },
 { 144842, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 144843, ur_m2564rfr2_u1x8_uart1_lednop_ee_ce_hw },
 { 144844, ur_m2564rfr2_u1x8_uart1_dual },
 { 144845, ur_m2564rfr2_u1x8_uart1_dual },
 { 144846, ur_m2564rfr2_u1x8_uart1_dual },
 { 144847, ur_m2564rfr2_u1x8_uart1_dual_pr_ee },
 { 144848, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_u4 },
 { 144849, ur_m2564rfr2_u1x8_uart1_dual_pr_ce },
 { 144850, ur_m2564rfr2_u1x8_uart1_dual_pr_ce_u4 },
 { 144851, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce },
 { 144852, ur_m2564rfr2_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 144854, ur_m2564rfr2_u1x8_uart1_dual_ee_hw },
 { 144856, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 144857, ur_m2564rfr2_u1x8_uart1_dual_ee_ce_hw },
 { 144942, ur_m1284rfr2_u1x12_uart0_noled },
 { 144943, ur_m1284rfr2_u1x12_uart0_noled },
 { 144944, ur_m1284rfr2_u1x12_uart0_noled_pr_u4 },
 { 144945, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 144946, ur_m1284rfr2_u1x12_uart0_noled_pr_ee },
 { 144947, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 144948, ur_m2564rfr2_u1x12_uart0_noled_pr_ce },
 { 144949, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 144950, ur_m2564rfr2_u1x12_uart0_noled_pr_ee_ce },
 { 144952, ur_m1284rfr2_u1x12_uart0_noled_ee_hw },
 { 144954, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 144955, ur_m2564rfr2_u1x12_uart0_noled_ee_ce_hw },
 { 144956, ur_m1284rfr2_u1x12_uart0_lednop },
 { 144957, ur_m1284rfr2_u1x12_uart0_lednop },
 { 144958, ur_m1284rfr2_u1x12_uart0_lednop_pr_u4 },
 { 144959, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 144960, ur_m1284rfr2_u1x12_uart0_lednop_pr_ee },
 { 144961, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 144962, ur_m2564rfr2_u1x12_uart0_lednop_pr_ce },
 { 144963, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 144964, ur_m2564rfr2_u1x12_uart0_lednop_pr_ee_ce },
 { 144966, ur_m1284rfr2_u1x12_uart0_lednop_ee_hw },
 { 144968, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 144969, ur_m2564rfr2_u1x12_uart0_lednop_ee_ce_hw },
 { 144970, ur_m2564rfr2_u1x12_uart0_dual },
 { 144971, ur_m2564rfr2_u1x12_uart0_dual },
 { 144972, ur_m2564rfr2_u1x12_uart0_dual },
 { 144973, ur_m2564rfr2_u1x12_uart0_dual_pr_ee },
 { 144974, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_u4 },
 { 144975, ur_m2564rfr2_u1x12_uart0_dual_pr_ce },
 { 144976, ur_m2564rfr2_u1x12_uart0_dual_pr_ce_u4 },
 { 144977, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce },
 { 144978, ur_m2564rfr2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 144980, ur_m2564rfr2_u1x12_uart0_dual_ee_hw },
 { 144982, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 144983, ur_m2564rfr2_u1x12_uart0_dual_ee_ce_hw },
 { 145026, ur_m1284rfr2_u1x12_uart1_noled },
 { 145027, ur_m1284rfr2_u1x12_uart1_noled },
 { 145028, ur_m1284rfr2_u1x12_uart1_noled_pr_u4 },
 { 145029, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 145030, ur_m1284rfr2_u1x12_uart1_noled_pr_ee },
 { 145031, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 145032, ur_m2564rfr2_u1x12_uart1_noled_pr_ce },
 { 145033, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 145034, ur_m2564rfr2_u1x12_uart1_noled_pr_ee_ce },
 { 145036, ur_m1284rfr2_u1x12_uart1_noled_ee_hw },
 { 145038, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 145039, ur_m2564rfr2_u1x12_uart1_noled_ee_ce_hw },
 { 145040, ur_m1284rfr2_u1x12_uart1_lednop },
 { 145041, ur_m1284rfr2_u1x12_uart1_lednop },
 { 145042, ur_m1284rfr2_u1x12_uart1_lednop_pr_u4 },
 { 145043, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 145044, ur_m1284rfr2_u1x12_uart1_lednop_pr_ee },
 { 145045, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 145046, ur_m2564rfr2_u1x12_uart1_lednop_pr_ce },
 { 145047, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 145048, ur_m2564rfr2_u1x12_uart1_lednop_pr_ee_ce },
 { 145050, ur_m1284rfr2_u1x12_uart1_lednop_ee_hw },
 { 145052, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 145053, ur_m2564rfr2_u1x12_uart1_lednop_ee_ce_hw },
 { 145054, ur_m2564rfr2_u1x12_uart1_dual },
 { 145055, ur_m2564rfr2_u1x12_uart1_dual },
 { 145056, ur_m2564rfr2_u1x12_uart1_dual },
 { 145057, ur_m2564rfr2_u1x12_uart1_dual_pr_ee },
 { 145058, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_u4 },
 { 145059, ur_m2564rfr2_u1x12_uart1_dual_pr_ce },
 { 145060, ur_m2564rfr2_u1x12_uart1_dual_pr_ce_u4 },
 { 145061, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce },
 { 145062, ur_m2564rfr2_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 145064, ur_m2564rfr2_u1x12_uart1_dual_ee_hw },
 { 145066, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 145067, ur_m2564rfr2_u1x12_uart1_dual_ee_ce_hw },
 { 145152, ur_m1284rfr2_u2x8_uart0_noled },
 { 145153, ur_m1284rfr2_u2x8_uart0_noled },
 { 145154, ur_m1284rfr2_u2x8_uart0_noled_pr_u4 },
 { 145155, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 145156, ur_m1284rfr2_u2x8_uart0_noled_pr_ee },
 { 145157, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 145158, ur_m2564rfr2_u2x8_uart0_noled_pr_ce },
 { 145159, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 145160, ur_m2564rfr2_u2x8_uart0_noled_pr_ee_ce },
 { 145162, ur_m1284rfr2_u2x8_uart0_noled_ee_hw },
 { 145164, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 145165, ur_m2564rfr2_u2x8_uart0_noled_ee_ce_hw },
 { 145166, ur_m1284rfr2_u2x8_uart0_lednop },
 { 145167, ur_m1284rfr2_u2x8_uart0_lednop },
 { 145168, ur_m1284rfr2_u2x8_uart0_lednop_pr_u4 },
 { 145169, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 145170, ur_m1284rfr2_u2x8_uart0_lednop_pr_ee },
 { 145171, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 145172, ur_m2564rfr2_u2x8_uart0_lednop_pr_ce },
 { 145173, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 145174, ur_m2564rfr2_u2x8_uart0_lednop_pr_ee_ce },
 { 145176, ur_m1284rfr2_u2x8_uart0_lednop_ee_hw },
 { 145178, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 145179, ur_m2564rfr2_u2x8_uart0_lednop_ee_ce_hw },
 { 145180, ur_m2564rfr2_u2x8_uart0_dual },
 { 145181, ur_m2564rfr2_u2x8_uart0_dual },
 { 145182, ur_m2564rfr2_u2x8_uart0_dual },
 { 145183, ur_m2564rfr2_u2x8_uart0_dual_pr_ee },
 { 145184, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_u4 },
 { 145185, ur_m2564rfr2_u2x8_uart0_dual_pr_ce },
 { 145186, ur_m2564rfr2_u2x8_uart0_dual_pr_ce_u4 },
 { 145187, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce },
 { 145188, ur_m2564rfr2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 145190, ur_m2564rfr2_u2x8_uart0_dual_ee_hw },
 { 145192, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 145193, ur_m2564rfr2_u2x8_uart0_dual_ee_ce_hw },
 { 145236, ur_m1284rfr2_u2x8_uart1_noled },
 { 145237, ur_m1284rfr2_u2x8_uart1_noled },
 { 145238, ur_m1284rfr2_u2x8_uart1_noled_pr_u4 },
 { 145239, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 145240, ur_m1284rfr2_u2x8_uart1_noled_pr_ee },
 { 145241, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 145242, ur_m2564rfr2_u2x8_uart1_noled_pr_ce },
 { 145243, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 145244, ur_m2564rfr2_u2x8_uart1_noled_pr_ee_ce },
 { 145246, ur_m1284rfr2_u2x8_uart1_noled_ee_hw },
 { 145248, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 145249, ur_m2564rfr2_u2x8_uart1_noled_ee_ce_hw },
 { 145250, ur_m1284rfr2_u2x8_uart1_lednop },
 { 145251, ur_m1284rfr2_u2x8_uart1_lednop },
 { 145252, ur_m1284rfr2_u2x8_uart1_lednop_pr_u4 },
 { 145253, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 145254, ur_m1284rfr2_u2x8_uart1_lednop_pr_ee },
 { 145255, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 145256, ur_m2564rfr2_u2x8_uart1_lednop_pr_ce },
 { 145257, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 145258, ur_m2564rfr2_u2x8_uart1_lednop_pr_ee_ce },
 { 145260, ur_m1284rfr2_u2x8_uart1_lednop_ee_hw },
 { 145262, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 145263, ur_m2564rfr2_u2x8_uart1_lednop_ee_ce_hw },
 { 145264, ur_m2564rfr2_u2x8_uart1_dual },
 { 145265, ur_m2564rfr2_u2x8_uart1_dual },
 { 145266, ur_m2564rfr2_u2x8_uart1_dual },
 { 145267, ur_m2564rfr2_u2x8_uart1_dual_pr_ee },
 { 145268, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_u4 },
 { 145269, ur_m2564rfr2_u2x8_uart1_dual_pr_ce },
 { 145270, ur_m2564rfr2_u2x8_uart1_dual_pr_ce_u4 },
 { 145271, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce },
 { 145272, ur_m2564rfr2_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 145274, ur_m2564rfr2_u2x8_uart1_dual_ee_hw },
 { 145276, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 145277, ur_m2564rfr2_u2x8_uart1_dual_ee_ce_hw },
 { 145362, ur_m1284rfr2_u2x12_uart0_noled },
 { 145363, ur_m1284rfr2_u2x12_uart0_noled },
 { 145364, ur_m1284rfr2_u2x12_uart0_noled_pr_u4 },
 { 145365, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 145366, ur_m1284rfr2_u2x12_uart0_noled_pr_ee },
 { 145367, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 145368, ur_m2564rfr2_u2x12_uart0_noled_pr_ce },
 { 145369, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 145370, ur_m2564rfr2_u2x12_uart0_noled_pr_ee_ce },
 { 145372, ur_m1284rfr2_u2x12_uart0_noled_ee_hw },
 { 145374, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 145375, ur_m2564rfr2_u2x12_uart0_noled_ee_ce_hw },
 { 145376, ur_m1284rfr2_u2x12_uart0_lednop },
 { 145377, ur_m1284rfr2_u2x12_uart0_lednop },
 { 145378, ur_m1284rfr2_u2x12_uart0_lednop_pr_u4 },
 { 145379, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 145380, ur_m1284rfr2_u2x12_uart0_lednop_pr_ee },
 { 145381, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 145382, ur_m2564rfr2_u2x12_uart0_lednop_pr_ce },
 { 145383, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 145384, ur_m2564rfr2_u2x12_uart0_lednop_pr_ee_ce },
 { 145386, ur_m1284rfr2_u2x12_uart0_lednop_ee_hw },
 { 145388, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 145389, ur_m2564rfr2_u2x12_uart0_lednop_ee_ce_hw },
 { 145390, ur_m2564rfr2_u2x12_uart0_dual },
 { 145391, ur_m2564rfr2_u2x12_uart0_dual },
 { 145392, ur_m2564rfr2_u2x12_uart0_dual },
 { 145393, ur_m2564rfr2_u2x12_uart0_dual_pr_ee },
 { 145394, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_u4 },
 { 145395, ur_m2564rfr2_u2x12_uart0_dual_pr_ce },
 { 145396, ur_m2564rfr2_u2x12_uart0_dual_pr_ce_u4 },
 { 145397, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce },
 { 145398, ur_m2564rfr2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 145400, ur_m2564rfr2_u2x12_uart0_dual_ee_hw },
 { 145402, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 145403, ur_m2564rfr2_u2x12_uart0_dual_ee_ce_hw },
 { 145446, ur_m1284rfr2_u2x12_uart1_noled },
 { 145447, ur_m1284rfr2_u2x12_uart1_noled },
 { 145448, ur_m1284rfr2_u2x12_uart1_noled_pr_u4 },
 { 145449, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 145450, ur_m1284rfr2_u2x12_uart1_noled_pr_ee },
 { 145451, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 145452, ur_m2564rfr2_u2x12_uart1_noled_pr_ce },
 { 145453, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 145454, ur_m2564rfr2_u2x12_uart1_noled_pr_ee_ce },
 { 145456, ur_m1284rfr2_u2x12_uart1_noled_ee_hw },
 { 145458, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 145459, ur_m2564rfr2_u2x12_uart1_noled_ee_ce_hw },
 { 145460, ur_m1284rfr2_u2x12_uart1_lednop },
 { 145461, ur_m1284rfr2_u2x12_uart1_lednop },
 { 145462, ur_m1284rfr2_u2x12_uart1_lednop_pr_u4 },
 { 145463, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 145464, ur_m1284rfr2_u2x12_uart1_lednop_pr_ee },
 { 145465, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 145466, ur_m2564rfr2_u2x12_uart1_lednop_pr_ce },
 { 145467, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 145468, ur_m2564rfr2_u2x12_uart1_lednop_pr_ee_ce },
 { 145470, ur_m1284rfr2_u2x12_uart1_lednop_ee_hw },
 { 145472, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 145473, ur_m2564rfr2_u2x12_uart1_lednop_ee_ce_hw },
 { 145474, ur_m2564rfr2_u2x12_uart1_dual },
 { 145475, ur_m2564rfr2_u2x12_uart1_dual },
 { 145476, ur_m2564rfr2_u2x12_uart1_dual },
 { 145477, ur_m2564rfr2_u2x12_uart1_dual_pr_ee },
 { 145478, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_u4 },
 { 145479, ur_m2564rfr2_u2x12_uart1_dual_pr_ce },
 { 145480, ur_m2564rfr2_u2x12_uart1_dual_pr_ce_u4 },
 { 145481, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce },
 { 145482, ur_m2564rfr2_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 145484, ur_m2564rfr2_u2x12_uart1_dual_ee_hw },
 { 145486, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 145487, ur_m2564rfr2_u2x12_uart1_dual_ee_ce_hw },
 { 145572, ur_m1284rfr2_swio10_noled },
 { 145573, ur_m1284rfr2_swio10_noled_pr },
 { 145574, ur_m1284rfr2_swio10_noled_pr },
 { 145575, ur_m1284rfr2_swio10_noled_pr_ee },
 { 145576, ur_m1284rfr2_swio10_noled_pr_ee },
 { 145577, ur_m2564rfr2_swio10_noled_pr_ce },
 { 145578, ur_m2564rfr2_swio10_noled_pr_ce },
 { 145579, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 145580, ur_m2564rfr2_swio10_noled_pr_ee_ce },
 { 145582, ur_m1284rfr2_swio10_noled_ee_hw },
 { 145584, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 145585, ur_m2564rfr2_swio10_noled_ee_ce_hw },
 { 145586, ur_m1284rfr2_swio10_lednop },
 { 145587, ur_m1284rfr2_swio10_lednop_pr },
 { 145588, ur_m1284rfr2_swio10_lednop_pr },
 { 145589, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 145590, ur_m1284rfr2_swio10_lednop_pr_ee },
 { 145591, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 145592, ur_m2564rfr2_swio10_lednop_pr_ce },
 { 145593, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 145594, ur_m2564rfr2_swio10_lednop_pr_ee_ce },
 { 145596, ur_m1284rfr2_swio10_lednop_ee_hw },
 { 145598, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 145599, ur_m2564rfr2_swio10_lednop_ee_ce_hw },
 { 145600, ur_m2564rfr2_swio10_dual },
 { 145601, ur_m2564rfr2_swio10_dual },
 { 145602, ur_m2564rfr2_swio10_dual },
 { 145603, ur_m2564rfr2_swio10_dual_pr_ee },
 { 145604, ur_m2564rfr2_swio10_dual_pr_ee_u4 },
 { 145605, ur_m2564rfr2_swio10_dual_pr_ce },
 { 145606, ur_m2564rfr2_swio10_dual_pr_ce_u4 },
 { 145607, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 145608, ur_m2564rfr2_swio10_dual_pr_ee_ce },
 { 145610, ur_m2564rfr2_swio10_dual_ee_hw },
 { 145612, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 145613, ur_m2564rfr2_swio10_dual_ee_ce_hw },
 { 145614, ur_m1284rfr2_swio11_noled },
 { 145615, ur_m1284rfr2_swio11_noled_pr },
 { 145616, ur_m1284rfr2_swio11_noled_pr },
 { 145617, ur_m1284rfr2_swio11_noled_pr_ee },
 { 145618, ur_m1284rfr2_swio11_noled_pr_ee },
 { 145619, ur_m2564rfr2_swio11_noled_pr_ce },
 { 145620, ur_m2564rfr2_swio11_noled_pr_ce },
 { 145621, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 145622, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 145624, ur_m1284rfr2_swio11_noled_ee_hw },
 { 145626, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 145627, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 145628, ur_m1284rfr2_swio11_lednop },
 { 145629, ur_m1284rfr2_swio11_lednop_pr },
 { 145630, ur_m1284rfr2_swio11_lednop_pr },
 { 145631, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 145632, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 145633, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 145634, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 145635, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 145636, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 145638, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 145640, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 145641, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 145642, ur_m2564rfr2_swio11_dual },
 { 145643, ur_m2564rfr2_swio11_dual },
 { 145644, ur_m2564rfr2_swio11_dual },
 { 145645, ur_m2564rfr2_swio11_dual_pr_ee },
 { 145646, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 145647, ur_m2564rfr2_swio11_dual_pr_ce },
 { 145648, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 145649, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 145650, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 145652, ur_m2564rfr2_swio11_dual_ee_hw },
 { 145654, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 145655, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 145656, ur_m1284rfr2_swio11_noled },
 { 145657, ur_m1284rfr2_swio11_noled_pr },
 { 145658, ur_m1284rfr2_swio11_noled_pr },
 { 145659, ur_m1284rfr2_swio11_noled_pr_ee },
 { 145660, ur_m1284rfr2_swio11_noled_pr_ee },
 { 145661, ur_m2564rfr2_swio11_noled_pr_ce },
 { 145662, ur_m2564rfr2_swio11_noled_pr_ce },
 { 145663, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 145664, ur_m2564rfr2_swio11_noled_pr_ee_ce },
 { 145666, ur_m1284rfr2_swio11_noled_ee_hw },
 { 145668, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 145669, ur_m2564rfr2_swio11_noled_ee_ce_hw },
 { 145670, ur_m1284rfr2_swio11_lednop },
 { 145671, ur_m1284rfr2_swio11_lednop_pr },
 { 145672, ur_m1284rfr2_swio11_lednop_pr },
 { 145673, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 145674, ur_m1284rfr2_swio11_lednop_pr_ee },
 { 145675, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 145676, ur_m2564rfr2_swio11_lednop_pr_ce },
 { 145677, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 145678, ur_m2564rfr2_swio11_lednop_pr_ee_ce },
 { 145680, ur_m1284rfr2_swio11_lednop_ee_hw },
 { 145682, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 145683, ur_m2564rfr2_swio11_lednop_ee_ce_hw },
 { 145684, ur_m2564rfr2_swio11_dual },
 { 145685, ur_m2564rfr2_swio11_dual },
 { 145686, ur_m2564rfr2_swio11_dual },
 { 145687, ur_m2564rfr2_swio11_dual_pr_ee },
 { 145688, ur_m2564rfr2_swio11_dual_pr_ee_u4 },
 { 145689, ur_m2564rfr2_swio11_dual_pr_ce },
 { 145690, ur_m2564rfr2_swio11_dual_pr_ce_u4 },
 { 145691, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 145692, ur_m2564rfr2_swio11_dual_pr_ee_ce },
 { 145694, ur_m2564rfr2_swio11_dual_ee_hw },
 { 145696, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 145697, ur_m2564rfr2_swio11_dual_ee_ce_hw },
 { 145698, ur_m1284rfr2_swio13_noled },
 { 145699, ur_m1284rfr2_swio13_noled_pr },
 { 145700, ur_m1284rfr2_swio13_noled_pr },
 { 145701, ur_m1284rfr2_swio13_noled_pr_ee },
 { 145702, ur_m1284rfr2_swio13_noled_pr_ee },
 { 145703, ur_m2564rfr2_swio13_noled_pr_ce },
 { 145704, ur_m2564rfr2_swio13_noled_pr_ce },
 { 145705, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 145706, ur_m2564rfr2_swio13_noled_pr_ee_ce },
 { 145708, ur_m1284rfr2_swio13_noled_ee_hw },
 { 145710, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 145711, ur_m2564rfr2_swio13_noled_ee_ce_hw },
 { 145712, ur_m1284rfr2_swio13_lednop },
 { 145713, ur_m1284rfr2_swio13_lednop },
 { 145714, ur_m1284rfr2_swio13_lednop },
 { 145715, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 145716, ur_m1284rfr2_swio13_lednop_pr_ee },
 { 145717, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 145718, ur_m2564rfr2_swio13_lednop_pr_ce },
 { 145719, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 145720, ur_m2564rfr2_swio13_lednop_pr_ee_ce },
 { 145722, ur_m1284rfr2_swio13_lednop_ee_hw },
 { 145724, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 145725, ur_m2564rfr2_swio13_lednop_ee_ce_hw },
 { 145726, ur_m2564rfr2_swio13_dual },
 { 145727, ur_m2564rfr2_swio13_dual },
 { 145728, ur_m2564rfr2_swio13_dual },
 { 145729, ur_m2564rfr2_swio13_dual_pr_ee },
 { 145730, ur_m2564rfr2_swio13_dual_pr_ee_u4 },
 { 145731, ur_m2564rfr2_swio13_dual_pr_ce },
 { 145732, ur_m2564rfr2_swio13_dual_pr_ce_u4 },
 { 145733, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 145734, ur_m2564rfr2_swio13_dual_pr_ee_ce },
 { 145736, ur_m2564rfr2_swio13_dual_ee_hw },
 { 145738, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 145739, ur_m2564rfr2_swio13_dual_ee_ce_hw },
 { 145740, ur_m1284rfr2_swio14_noled },
 { 145741, ur_m1284rfr2_swio14_noled_pr },
 { 145742, ur_m1284rfr2_swio14_noled_pr },
 { 145743, ur_m1284rfr2_swio14_noled_pr_ee },
 { 145744, ur_m1284rfr2_swio14_noled_pr_ee },
 { 145745, ur_m2564rfr2_swio14_noled_pr_ce },
 { 145746, ur_m2564rfr2_swio14_noled_pr_ce },
 { 145747, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 145748, ur_m2564rfr2_swio14_noled_pr_ee_ce },
 { 145750, ur_m1284rfr2_swio14_noled_ee_hw },
 { 145752, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 145753, ur_m2564rfr2_swio14_noled_ee_ce_hw },
 { 145754, ur_m1284rfr2_swio14_lednop },
 { 145755, ur_m1284rfr2_swio14_lednop_pr },
 { 145756, ur_m1284rfr2_swio14_lednop_pr },
 { 145757, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 145758, ur_m1284rfr2_swio14_lednop_pr_ee },
 { 145759, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 145760, ur_m2564rfr2_swio14_lednop_pr_ce },
 { 145761, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 145762, ur_m2564rfr2_swio14_lednop_pr_ee_ce },
 { 145764, ur_m1284rfr2_swio14_lednop_ee_hw },
 { 145766, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 145767, ur_m2564rfr2_swio14_lednop_ee_ce_hw },
 { 145768, ur_m2564rfr2_swio14_dual },
 { 145769, ur_m2564rfr2_swio14_dual },
 { 145770, ur_m2564rfr2_swio14_dual },
 { 145771, ur_m2564rfr2_swio14_dual_pr_ee },
 { 145772, ur_m2564rfr2_swio14_dual_pr_ee_u4 },
 { 145773, ur_m2564rfr2_swio14_dual_pr_ce },
 { 145774, ur_m2564rfr2_swio14_dual_pr_ce_u4 },
 { 145775, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 145776, ur_m2564rfr2_swio14_dual_pr_ee_ce },
 { 145778, ur_m2564rfr2_swio14_dual_ee_hw },
 { 145780, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 145781, ur_m2564rfr2_swio14_dual_ee_ce_hw },
 { 145782, ur_m1284rfr2_swio15_noled },
 { 145783, ur_m1284rfr2_swio15_noled_pr },
 { 145784, ur_m1284rfr2_swio15_noled_pr },
 { 145785, ur_m1284rfr2_swio15_noled_pr_ee },
 { 145786, ur_m1284rfr2_swio15_noled_pr_ee },
 { 145787, ur_m2564rfr2_swio15_noled_pr_ce },
 { 145788, ur_m2564rfr2_swio15_noled_pr_ce },
 { 145789, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 145790, ur_m2564rfr2_swio15_noled_pr_ee_ce },
 { 145792, ur_m1284rfr2_swio15_noled_ee_hw },
 { 145794, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 145795, ur_m2564rfr2_swio15_noled_ee_ce_hw },
 { 145796, ur_m1284rfr2_swio15_lednop },
 { 145797, ur_m1284rfr2_swio15_lednop },
 { 145798, ur_m1284rfr2_swio15_lednop },
 { 145799, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 145800, ur_m1284rfr2_swio15_lednop_pr_ee },
 { 145801, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 145802, ur_m2564rfr2_swio15_lednop_pr_ce },
 { 145803, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 145804, ur_m2564rfr2_swio15_lednop_pr_ee_ce },
 { 145806, ur_m1284rfr2_swio15_lednop_ee_hw },
 { 145808, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 145809, ur_m2564rfr2_swio15_lednop_ee_ce_hw },
 { 145810, ur_m2564rfr2_swio15_dual },
 { 145811, ur_m2564rfr2_swio15_dual },
 { 145812, ur_m2564rfr2_swio15_dual },
 { 145813, ur_m2564rfr2_swio15_dual_pr_ee },
 { 145814, ur_m2564rfr2_swio15_dual_pr_ee_u4 },
 { 145815, ur_m2564rfr2_swio15_dual_pr_ce },
 { 145816, ur_m2564rfr2_swio15_dual_pr_ce_u4 },
 { 145817, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 145818, ur_m2564rfr2_swio15_dual_pr_ee_ce },
 { 145820, ur_m2564rfr2_swio15_dual_ee_hw },
 { 145822, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 145823, ur_m2564rfr2_swio15_dual_ee_ce_hw },
 { 146874, ur_t48_swio10_noled },
 { 146875, ur_t48_swio10_noled },
 { 146876, ur_t48_swio10_noled_pr_u4 },
 { 146877, ur_t48_swio10_noled_pr_ee },
 { 146878, ur_t48_swio10_noled_pr_ee_u4 },
 { 146879, ur_t48_swio10_noled_pr_ce },
 { 146880, ur_t48_swio10_noled_pr_ce_u4 },
 { 146881, ur_t48_swio10_noled_pr_ee_ce },
 { 146882, ur_t48_swio10_noled_pr_ee_ce_u4 },
 { 146888, ur_t48_swio10_lednop },
 { 146889, ur_t48_swio10_lednop },
 { 146890, ur_t48_swio10_lednop_pr_u4 },
 { 146891, ur_t48_swio10_lednop_pr_ee },
 { 146892, ur_t48_swio10_lednop_pr_ee_u4 },
 { 146893, ur_t48_swio10_lednop_pr_ce },
 { 146894, ur_t48_swio10_lednop_pr_ce_u4 },
 { 146895, ur_t48_swio10_lednop_pr_ee_ce },
 { 146896, ur_t48_swio10_lednop_pr_ee_ce_u4 },
 { 146902, ur_t48_swio10_dual },
 { 146903, ur_t48_swio10_dual_pr },
 { 146904, ur_t48_swio10_dual_pr_u4 },
 { 146905, ur_t48_swio10_dual_pr_ee },
 { 146906, ur_t48_swio10_dual_pr_ee },
 { 146907, ur_t48_swio10_dual_pr_ce },
 { 146908, ur_t48_swio10_dual_pr_ce_u4 },
 { 146909, ur_t48_swio10_dual_pr_ee_ce },
 { 146910, ur_t48_swio10_dual_pr_ee_ce_u4 },
 { 146916, ur_t48_swio11_noled },
 { 146917, ur_t48_swio11_noled },
 { 146918, ur_t48_swio11_noled_pr_u4 },
 { 146919, ur_t48_swio11_noled_pr_ee },
 { 146920, ur_t48_swio11_noled_pr_ee_u4 },
 { 146921, ur_t48_swio11_noled_pr_ce },
 { 146922, ur_t48_swio11_noled_pr_ce_u4 },
 { 146923, ur_t48_swio11_noled_pr_ee_ce },
 { 146924, ur_t48_swio11_noled_pr_ee_ce_u4 },
 { 146930, ur_t48_swio11_lednop },
 { 146931, ur_t48_swio11_lednop },
 { 146932, ur_t48_swio11_lednop_pr_u4 },
 { 146933, ur_t48_swio11_lednop_pr_ee },
 { 146934, ur_t48_swio11_lednop_pr_ee_u4 },
 { 146935, ur_t48_swio11_lednop_pr_ce },
 { 146936, ur_t48_swio11_lednop_pr_ce_u4 },
 { 146937, ur_t48_swio11_lednop_pr_ee_ce },
 { 146938, ur_t48_swio11_lednop_pr_ee_ce_u4 },
 { 146944, ur_t48_swio11_dual },
 { 146945, ur_t48_swio11_dual },
 { 146946, ur_t48_swio11_dual_pr_u4 },
 { 146947, ur_t48_swio11_dual_pr_ee },
 { 146948, ur_t48_swio11_dual_pr_ee_u4 },
 { 146949, ur_t48_swio11_dual_pr_ce },
 { 146950, ur_t48_swio11_dual_pr_ce_u4 },
 { 146951, ur_t48_swio11_dual_pr_ee_ce },
 { 146952, ur_t48_swio11_dual_pr_ee_ce_u4 },
 { 146958, ur_t48_swio11_noled },
 { 146959, ur_t48_swio11_noled },
 { 146960, ur_t48_swio11_noled_pr_u4 },
 { 146961, ur_t48_swio11_noled_pr_ee },
 { 146962, ur_t48_swio11_noled_pr_ee_u4 },
 { 146963, ur_t48_swio11_noled_pr_ce },
 { 146964, ur_t48_swio11_noled_pr_ce_u4 },
 { 146965, ur_t48_swio11_noled_pr_ee_ce },
 { 146966, ur_t48_swio11_noled_pr_ee_ce_u4 },
 { 146972, ur_t48_swio11_lednop },
 { 146973, ur_t48_swio11_lednop },
 { 146974, ur_t48_swio11_lednop_pr_u4 },
 { 146975, ur_t48_swio11_lednop_pr_ee },
 { 146976, ur_t48_swio11_lednop_pr_ee_u4 },
 { 146977, ur_t48_swio11_lednop_pr_ce },
 { 146978, ur_t48_swio11_lednop_pr_ce_u4 },
 { 146979, ur_t48_swio11_lednop_pr_ee_ce },
 { 146980, ur_t48_swio11_lednop_pr_ee_ce_u4 },
 { 146986, ur_t48_swio11_dual },
 { 146987, ur_t48_swio11_dual },
 { 146988, ur_t48_swio11_dual_pr_u4 },
 { 146989, ur_t48_swio11_dual_pr_ee },
 { 146990, ur_t48_swio11_dual_pr_ee_u4 },
 { 146991, ur_t48_swio11_dual_pr_ce },
 { 146992, ur_t48_swio11_dual_pr_ce_u4 },
 { 146993, ur_t48_swio11_dual_pr_ee_ce },
 { 146994, ur_t48_swio11_dual_pr_ee_ce_u4 },
 { 147000, ur_t48_swio13_noled },
 { 147001, ur_t48_swio13_noled },
 { 147002, ur_t48_swio13_noled_pr_u4 },
 { 147003, ur_t48_swio13_noled_pr_ee },
 { 147004, ur_t48_swio13_noled_pr_ee_u4 },
 { 147005, ur_t48_swio13_noled_pr_ce },
 { 147006, ur_t48_swio13_noled_pr_ce_u4 },
 { 147007, ur_t48_swio13_noled_pr_ee_ce },
 { 147008, ur_t48_swio13_noled_pr_ee_ce_u4 },
 { 147014, ur_t48_swio13_lednop },
 { 147015, ur_t48_swio13_lednop_pr },
 { 147016, ur_t48_swio13_lednop_pr_u4 },
 { 147017, ur_t48_swio13_lednop_pr_ee },
 { 147018, ur_t48_swio13_lednop_pr_ee_u4 },
 { 147019, ur_t48_swio13_lednop_pr_ce },
 { 147020, ur_t48_swio13_lednop_pr_ce_u4 },
 { 147021, ur_t48_swio13_lednop_pr_ee_ce },
 { 147022, ur_t48_swio13_lednop_pr_ee_ce_u4 },
 { 147028, ur_t48_swio13_dual },
 { 147029, ur_t48_swio13_dual },
 { 147030, ur_t48_swio13_dual_pr_u4 },
 { 147031, ur_t48_swio13_dual_pr_ee },
 { 147032, ur_t48_swio13_dual_pr_ee_u4 },
 { 147033, ur_t48_swio13_dual_pr_ce },
 { 147034, ur_t48_swio13_dual_pr_ce_u4 },
 { 147035, ur_t48_swio13_dual_pr_ee_ce },
 { 147036, ur_t48_swio13_dual_pr_ee_ce_u4 },
 { 147042, ur_t48_swio14_noled },
 { 147043, ur_t48_swio14_noled },
 { 147044, ur_t48_swio14_noled_pr_u4 },
 { 147045, ur_t48_swio14_noled_pr_ee },
 { 147046, ur_t48_swio14_noled_pr_ee_u4 },
 { 147047, ur_t48_swio14_noled_pr_ce },
 { 147048, ur_t48_swio14_noled_pr_ce_u4 },
 { 147049, ur_t48_swio14_noled_pr_ee_ce },
 { 147050, ur_t48_swio14_noled_pr_ee_ce_u4 },
 { 147056, ur_t48_swio14_lednop },
 { 147057, ur_t48_swio14_lednop },
 { 147058, ur_t48_swio14_lednop_pr_u4 },
 { 147059, ur_t48_swio14_lednop_pr_ee },
 { 147060, ur_t48_swio14_lednop_pr_ee_u4 },
 { 147061, ur_t48_swio14_lednop_pr_ce },
 { 147062, ur_t48_swio14_lednop_pr_ce_u4 },
 { 147063, ur_t48_swio14_lednop_pr_ee_ce },
 { 147064, ur_t48_swio14_lednop_pr_ee_ce_u4 },
 { 147070, ur_t48_swio14_dual },
 { 147071, ur_t48_swio14_dual },
 { 147072, ur_t48_swio14_dual_pr_u4 },
 { 147073, ur_t48_swio14_dual_pr_ee },
 { 147074, ur_t48_swio14_dual_pr_ee_u4 },
 { 147075, ur_t48_swio14_dual_pr_ce },
 { 147076, ur_t48_swio14_dual_pr_ce_u4 },
 { 147077, ur_t48_swio14_dual_pr_ee_ce },
 { 147078, ur_t48_swio14_dual_pr_ee_ce_u4 },
 { 147084, ur_t48_swio15_noled },
 { 147085, ur_t48_swio15_noled },
 { 147086, ur_t48_swio15_noled_pr_u4 },
 { 147087, ur_t48_swio15_noled_pr_ee },
 { 147088, ur_t48_swio15_noled_pr_ee_u4 },
 { 147089, ur_t48_swio15_noled_pr_ce },
 { 147090, ur_t48_swio15_noled_pr_ce_u4 },
 { 147091, ur_t48_swio15_noled_pr_ee_ce },
 { 147092, ur_t48_swio15_noled_pr_ee_ce_u4 },
 { 147098, ur_t48_swio15_lednop },
 { 147099, ur_t48_swio15_lednop_pr },
 { 147100, ur_t48_swio15_lednop_pr_u4 },
 { 147101, ur_t48_swio15_lednop_pr_ee },
 { 147102, ur_t48_swio15_lednop_pr_ee_u4 },
 { 147103, ur_t48_swio15_lednop_pr_ce },
 { 147104, ur_t48_swio15_lednop_pr_ce_u4 },
 { 147105, ur_t48_swio15_lednop_pr_ee_ce },
 { 147106, ur_t48_swio15_lednop_pr_ee_ce_u4 },
 { 147112, ur_t48_swio15_dual },
 { 147113, ur_t48_swio15_dual },
 { 147114, ur_t48_swio15_dual_pr_u4 },
 { 147115, ur_t48_swio15_dual_pr_ee },
 { 147116, ur_t48_swio15_dual_pr_ee_u4 },
 { 147117, ur_t48_swio15_dual_pr_ce },
 { 147118, ur_t48_swio15_dual_pr_ce_u4 },
 { 147119, ur_t48_swio15_dual_pr_ee_ce },
 { 147120, ur_t48_swio15_dual_pr_ee_ce_u4 },
 { 148176, ur_t88_swio10_noled },
 { 148177, ur_t88_swio10_noled },
 { 148178, ur_t88_swio10_noled_pr_u4 },
 { 148179, ur_t88_swio10_noled_pr_ee },
 { 148180, ur_t88_swio10_noled_pr_ee_u4 },
 { 148181, ur_t88_swio10_noled_pr_ce },
 { 148182, ur_t88_swio10_noled_pr_ce_u4 },
 { 148183, ur_t88_swio10_noled_pr_ee_ce },
 { 148184, ur_t88_swio10_noled_pr_ee_ce_u4 },
 { 148190, ur_t88_swio10_lednop },
 { 148191, ur_t88_swio10_lednop },
 { 148192, ur_t88_swio10_lednop_pr_u4 },
 { 148193, ur_t88_swio10_lednop_pr_ee },
 { 148194, ur_t88_swio10_lednop_pr_ee_u4 },
 { 148195, ur_t88_swio10_lednop_pr_ce },
 { 148196, ur_t88_swio10_lednop_pr_ce_u4 },
 { 148197, ur_t88_swio10_lednop_pr_ee_ce },
 { 148198, ur_t88_swio10_lednop_pr_ee_ce_u4 },
 { 148204, ur_t88_swio10_dual },
 { 148205, ur_t88_swio10_dual_pr },
 { 148206, ur_t88_swio10_dual_pr_u4 },
 { 148207, ur_t88_swio10_dual_pr_ee },
 { 148208, ur_t88_swio10_dual_pr_ee },
 { 148209, ur_t88_swio10_dual_pr_ce },
 { 148210, ur_t88_swio10_dual_pr_ce_u4 },
 { 148211, ur_t88_swio10_dual_pr_ee_ce },
 { 148212, ur_t88_swio10_dual_pr_ee_ce_u4 },
 { 148218, ur_t88_swio11_noled },
 { 148219, ur_t88_swio11_noled },
 { 148220, ur_t88_swio11_noled_pr_u4 },
 { 148221, ur_t88_swio11_noled_pr_ee },
 { 148222, ur_t88_swio11_noled_pr_ee_u4 },
 { 148223, ur_t88_swio11_noled_pr_ce },
 { 148224, ur_t88_swio11_noled_pr_ce_u4 },
 { 148225, ur_t88_swio11_noled_pr_ee_ce },
 { 148226, ur_t88_swio11_noled_pr_ee_ce_u4 },
 { 148232, ur_t88_swio11_lednop },
 { 148233, ur_t88_swio11_lednop },
 { 148234, ur_t88_swio11_lednop_pr_u4 },
 { 148235, ur_t88_swio11_lednop_pr_ee },
 { 148236, ur_t88_swio11_lednop_pr_ee_u4 },
 { 148237, ur_t88_swio11_lednop_pr_ce },
 { 148238, ur_t88_swio11_lednop_pr_ce_u4 },
 { 148239, ur_t88_swio11_lednop_pr_ee_ce },
 { 148240, ur_t88_swio11_lednop_pr_ee_ce_u4 },
 { 148246, ur_t88_swio11_dual },
 { 148247, ur_t88_swio11_dual },
 { 148248, ur_t88_swio11_dual_pr_u4 },
 { 148249, ur_t88_swio11_dual_pr_ee },
 { 148250, ur_t88_swio11_dual_pr_ee_u4 },
 { 148251, ur_t88_swio11_dual_pr_ce },
 { 148252, ur_t88_swio11_dual_pr_ce_u4 },
 { 148253, ur_t88_swio11_dual_pr_ee_ce },
 { 148254, ur_t88_swio11_dual_pr_ee_ce_u4 },
 { 148260, ur_t88_swio11_noled },
 { 148261, ur_t88_swio11_noled },
 { 148262, ur_t88_swio11_noled_pr_u4 },
 { 148263, ur_t88_swio11_noled_pr_ee },
 { 148264, ur_t88_swio11_noled_pr_ee_u4 },
 { 148265, ur_t88_swio11_noled_pr_ce },
 { 148266, ur_t88_swio11_noled_pr_ce_u4 },
 { 148267, ur_t88_swio11_noled_pr_ee_ce },
 { 148268, ur_t88_swio11_noled_pr_ee_ce_u4 },
 { 148274, ur_t88_swio11_lednop },
 { 148275, ur_t88_swio11_lednop },
 { 148276, ur_t88_swio11_lednop_pr_u4 },
 { 148277, ur_t88_swio11_lednop_pr_ee },
 { 148278, ur_t88_swio11_lednop_pr_ee_u4 },
 { 148279, ur_t88_swio11_lednop_pr_ce },
 { 148280, ur_t88_swio11_lednop_pr_ce_u4 },
 { 148281, ur_t88_swio11_lednop_pr_ee_ce },
 { 148282, ur_t88_swio11_lednop_pr_ee_ce_u4 },
 { 148288, ur_t88_swio11_dual },
 { 148289, ur_t88_swio11_dual },
 { 148290, ur_t88_swio11_dual_pr_u4 },
 { 148291, ur_t88_swio11_dual_pr_ee },
 { 148292, ur_t88_swio11_dual_pr_ee_u4 },
 { 148293, ur_t88_swio11_dual_pr_ce },
 { 148294, ur_t88_swio11_dual_pr_ce_u4 },
 { 148295, ur_t88_swio11_dual_pr_ee_ce },
 { 148296, ur_t88_swio11_dual_pr_ee_ce_u4 },
 { 148302, ur_t88_swio13_noled },
 { 148303, ur_t88_swio13_noled },
 { 148304, ur_t88_swio13_noled_pr_u4 },
 { 148305, ur_t88_swio13_noled_pr_ee },
 { 148306, ur_t88_swio13_noled_pr_ee_u4 },
 { 148307, ur_t88_swio13_noled_pr_ce },
 { 148308, ur_t88_swio13_noled_pr_ce_u4 },
 { 148309, ur_t88_swio13_noled_pr_ee_ce },
 { 148310, ur_t88_swio13_noled_pr_ee_ce_u4 },
 { 148316, ur_t88_swio13_lednop },
 { 148317, ur_t88_swio13_lednop_pr },
 { 148318, ur_t88_swio13_lednop_pr_u4 },
 { 148319, ur_t88_swio13_lednop_pr_ee },
 { 148320, ur_t88_swio13_lednop_pr_ee_u4 },
 { 148321, ur_t88_swio13_lednop_pr_ce },
 { 148322, ur_t88_swio13_lednop_pr_ce_u4 },
 { 148323, ur_t88_swio13_lednop_pr_ee_ce },
 { 148324, ur_t88_swio13_lednop_pr_ee_ce_u4 },
 { 148330, ur_t88_swio13_dual },
 { 148331, ur_t88_swio13_dual },
 { 148332, ur_t88_swio13_dual_pr_u4 },
 { 148333, ur_t88_swio13_dual_pr_ee },
 { 148334, ur_t88_swio13_dual_pr_ee_u4 },
 { 148335, ur_t88_swio13_dual_pr_ce },
 { 148336, ur_t88_swio13_dual_pr_ce_u4 },
 { 148337, ur_t88_swio13_dual_pr_ee_ce },
 { 148338, ur_t88_swio13_dual_pr_ee_ce_u4 },
 { 148344, ur_t88_swio14_noled },
 { 148345, ur_t88_swio14_noled },
 { 148346, ur_t88_swio14_noled_pr_u4 },
 { 148347, ur_t88_swio14_noled_pr_ee },
 { 148348, ur_t88_swio14_noled_pr_ee_u4 },
 { 148349, ur_t88_swio14_noled_pr_ce },
 { 148350, ur_t88_swio14_noled_pr_ce_u4 },
 { 148351, ur_t88_swio14_noled_pr_ee_ce },
 { 148352, ur_t88_swio14_noled_pr_ee_ce_u4 },
 { 148358, ur_t88_swio14_lednop },
 { 148359, ur_t88_swio14_lednop },
 { 148360, ur_t88_swio14_lednop_pr_u4 },
 { 148361, ur_t88_swio14_lednop_pr_ee },
 { 148362, ur_t88_swio14_lednop_pr_ee_u4 },
 { 148363, ur_t88_swio14_lednop_pr_ce },
 { 148364, ur_t88_swio14_lednop_pr_ce_u4 },
 { 148365, ur_t88_swio14_lednop_pr_ee_ce },
 { 148366, ur_t88_swio14_lednop_pr_ee_ce_u4 },
 { 148372, ur_t88_swio14_dual },
 { 148373, ur_t88_swio14_dual },
 { 148374, ur_t88_swio14_dual_pr_u4 },
 { 148375, ur_t88_swio14_dual_pr_ee },
 { 148376, ur_t88_swio14_dual_pr_ee_u4 },
 { 148377, ur_t88_swio14_dual_pr_ce },
 { 148378, ur_t88_swio14_dual_pr_ce_u4 },
 { 148379, ur_t88_swio14_dual_pr_ee_ce },
 { 148380, ur_t88_swio14_dual_pr_ee_ce_u4 },
 { 148386, ur_t88_swio15_noled },
 { 148387, ur_t88_swio15_noled },
 { 148388, ur_t88_swio15_noled_pr_u4 },
 { 148389, ur_t88_swio15_noled_pr_ee },
 { 148390, ur_t88_swio15_noled_pr_ee_u4 },
 { 148391, ur_t88_swio15_noled_pr_ce },
 { 148392, ur_t88_swio15_noled_pr_ce_u4 },
 { 148393, ur_t88_swio15_noled_pr_ee_ce },
 { 148394, ur_t88_swio15_noled_pr_ee_ce_u4 },
 { 148400, ur_t88_swio15_lednop },
 { 148401, ur_t88_swio15_lednop_pr },
 { 148402, ur_t88_swio15_lednop_pr_u4 },
 { 148403, ur_t88_swio15_lednop_pr_ee },
 { 148404, ur_t88_swio15_lednop_pr_ee_u4 },
 { 148405, ur_t88_swio15_lednop_pr_ce },
 { 148406, ur_t88_swio15_lednop_pr_ce_u4 },
 { 148407, ur_t88_swio15_lednop_pr_ee_ce },
 { 148408, ur_t88_swio15_lednop_pr_ee_ce_u4 },
 { 148414, ur_t88_swio15_dual },
 { 148415, ur_t88_swio15_dual },
 { 148416, ur_t88_swio15_dual_pr_u4 },
 { 148417, ur_t88_swio15_dual_pr_ee },
 { 148418, ur_t88_swio15_dual_pr_ee_u4 },
 { 148419, ur_t88_swio15_dual_pr_ce },
 { 148420, ur_t88_swio15_dual_pr_ce_u4 },
 { 148421, ur_t88_swio15_dual_pr_ee_ce },
 { 148422, ur_t88_swio15_dual_pr_ee_ce_u4 },
 { 148428, ur_t828_autobaud_uart0_noled },
 { 148429, ur_t828_autobaud_uart0_noled },
 { 148430, ur_t828_autobaud_uart0_noled_pr_u4 },
 { 148431, ur_t828_autobaud_uart0_noled_pr_ee },
 { 148432, ur_t828_autobaud_uart0_noled_pr_ee_u4 },
 { 148433, ur_t828_autobaud_uart0_noled_pr_ce },
 { 148434, ur_t828_autobaud_uart0_noled_pr_ce_u4 },
 { 148435, ur_t828_autobaud_uart0_noled_pr_ee_ce },
 { 148436, ur_t828_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 148437, ur_t828_autobaud_uart0_noled_hw },
 { 148438, ur_t828_autobaud_uart0_noled_ee_hw },
 { 148439, ur_t828_autobaud_uart0_noled_ce_hw },
 { 148440, ur_t828_autobaud_uart0_noled_ee_ce_hw },
 { 148441, ur_t828_autobaud_uart0_noled_ee_ce_hw },
 { 148442, ur_t828_autobaud_uart0_lednop },
 { 148443, ur_t828_autobaud_uart0_lednop },
 { 148444, ur_t828_autobaud_uart0_lednop_pr_u4 },
 { 148445, ur_t828_autobaud_uart0_lednop_pr_ee },
 { 148446, ur_t828_autobaud_uart0_lednop_pr_ee_u4 },
 { 148447, ur_t828_autobaud_uart0_lednop_pr_ce },
 { 148448, ur_t828_autobaud_uart0_lednop_pr_ce_u4 },
 { 148449, ur_t828_autobaud_uart0_lednop_pr_ee_ce },
 { 148450, ur_t828_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 148451, ur_t828_autobaud_uart0_lednop_hw },
 { 148452, ur_t828_autobaud_uart0_lednop_ee_hw },
 { 148453, ur_t828_autobaud_uart0_lednop_ce_hw },
 { 148454, ur_t828_autobaud_uart0_lednop_ee_ce_hw },
 { 148455, ur_t828_autobaud_uart0_lednop_ee_ce_hw },
 { 148456, ur_t828_autobaud_uart0_dual },
 { 148457, ur_t828_autobaud_uart0_dual },
 { 148458, ur_t828_autobaud_uart0_dual_pr_u4 },
 { 148459, ur_t828_autobaud_uart0_dual_pr_ee },
 { 148460, ur_t828_autobaud_uart0_dual_pr_ee_u4 },
 { 148461, ur_t828_autobaud_uart0_dual_pr_ce },
 { 148462, ur_t828_autobaud_uart0_dual_pr_ce_u4 },
 { 148463, ur_t828_autobaud_uart0_dual_pr_ee_ce },
 { 148464, ur_t828_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 148465, ur_t828_autobaud_uart0_dual_hw },
 { 148466, ur_t828_autobaud_uart0_dual_ee_hw },
 { 148467, ur_t828_autobaud_uart0_dual_ce_hw },
 { 148468, ur_t828_autobaud_uart0_dual_ee_ce_hw },
 { 148469, ur_t828_autobaud_uart0_dual_ee_ce_u4_hw },
 { 148638, ur_t828_u1x8_uart0_noled },
 { 148639, ur_t828_u1x8_uart0_noled },
 { 148640, ur_t828_u1x8_uart0_noled_pr_u4 },
 { 148641, ur_t828_u1x8_uart0_noled_pr_ee },
 { 148642, ur_t828_u1x8_uart0_noled_pr_ee_u4 },
 { 148643, ur_t828_u1x8_uart0_noled_pr_ce },
 { 148644, ur_t828_u1x8_uart0_noled_pr_ce_u4 },
 { 148645, ur_t828_u1x8_uart0_noled_pr_ee_ce },
 { 148646, ur_t828_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 148647, ur_t828_u1x8_uart0_noled_hw },
 { 148648, ur_t828_u1x8_uart0_noled_ee_hw },
 { 148649, ur_t828_u1x8_uart0_noled_ce_hw },
 { 148650, ur_t828_u1x8_uart0_noled_ee_ce_hw },
 { 148651, ur_t828_u1x8_uart0_noled_ee_ce_hw },
 { 148652, ur_t828_u1x8_uart0_lednop },
 { 148653, ur_t828_u1x8_uart0_lednop },
 { 148654, ur_t828_u1x8_uart0_lednop_pr_u4 },
 { 148655, ur_t828_u1x8_uart0_lednop_pr_ee },
 { 148656, ur_t828_u1x8_uart0_lednop_pr_ee_u4 },
 { 148657, ur_t828_u1x8_uart0_lednop_pr_ce },
 { 148658, ur_t828_u1x8_uart0_lednop_pr_ce_u4 },
 { 148659, ur_t828_u1x8_uart0_lednop_pr_ee_ce },
 { 148660, ur_t828_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 148661, ur_t828_u1x8_uart0_lednop_hw },
 { 148662, ur_t828_u1x8_uart0_lednop_ee_hw },
 { 148663, ur_t828_u1x8_uart0_lednop_ce_hw },
 { 148664, ur_t828_u1x8_uart0_lednop_ee_ce_hw },
 { 148665, ur_t828_u1x8_uart0_lednop_ee_ce_hw },
 { 148666, ur_t828_u1x8_uart0_dual },
 { 148667, ur_t828_u1x8_uart0_dual },
 { 148668, ur_t828_u1x8_uart0_dual_pr_u4 },
 { 148669, ur_t828_u1x8_uart0_dual_pr_ee },
 { 148670, ur_t828_u1x8_uart0_dual_pr_ee_u4 },
 { 148671, ur_t828_u1x8_uart0_dual_pr_ce },
 { 148672, ur_t828_u1x8_uart0_dual_pr_ce_u4 },
 { 148673, ur_t828_u1x8_uart0_dual_pr_ee_ce },
 { 148674, ur_t828_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 148675, ur_t828_u1x8_uart0_dual_hw },
 { 148676, ur_t828_u1x8_uart0_dual_ee_hw },
 { 148677, ur_t828_u1x8_uart0_dual_ce_hw },
 { 148678, ur_t828_u1x8_uart0_dual_ee_ce_hw },
 { 148679, ur_t828_u1x8_uart0_dual_ee_ce_u4_hw },
 { 148848, ur_t828_u1x12_uart0_noled },
 { 148849, ur_t828_u1x12_uart0_noled },
 { 148850, ur_t828_u1x12_uart0_noled_pr_u4 },
 { 148851, ur_t828_u1x12_uart0_noled_pr_ee },
 { 148852, ur_t828_u1x12_uart0_noled_pr_ee_u4 },
 { 148853, ur_t828_u1x12_uart0_noled_pr_ce },
 { 148854, ur_t828_u1x12_uart0_noled_pr_ce_u4 },
 { 148855, ur_t828_u1x12_uart0_noled_pr_ee_ce },
 { 148856, ur_t828_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 148857, ur_t828_u1x12_uart0_noled_hw },
 { 148858, ur_t828_u1x12_uart0_noled_ee_hw },
 { 148859, ur_t828_u1x12_uart0_noled_ce_hw },
 { 148860, ur_t828_u1x12_uart0_noled_ee_ce_hw },
 { 148861, ur_t828_u1x12_uart0_noled_ee_ce_hw },
 { 148862, ur_t828_u1x12_uart0_lednop },
 { 148863, ur_t828_u1x12_uart0_lednop },
 { 148864, ur_t828_u1x12_uart0_lednop_pr_u4 },
 { 148865, ur_t828_u1x12_uart0_lednop_pr_ee },
 { 148866, ur_t828_u1x12_uart0_lednop_pr_ee_u4 },
 { 148867, ur_t828_u1x12_uart0_lednop_pr_ce },
 { 148868, ur_t828_u1x12_uart0_lednop_pr_ce_u4 },
 { 148869, ur_t828_u1x12_uart0_lednop_pr_ee_ce },
 { 148870, ur_t828_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 148871, ur_t828_u1x12_uart0_lednop_hw },
 { 148872, ur_t828_u1x12_uart0_lednop_ee_hw },
 { 148873, ur_t828_u1x12_uart0_lednop_ce_hw },
 { 148874, ur_t828_u1x12_uart0_lednop_ee_ce_hw },
 { 148875, ur_t828_u1x12_uart0_lednop_ee_ce_hw },
 { 148876, ur_t828_u1x12_uart0_dual },
 { 148877, ur_t828_u1x12_uart0_dual_pr },
 { 148878, ur_t828_u1x12_uart0_dual_pr_u4 },
 { 148879, ur_t828_u1x12_uart0_dual_pr_ee },
 { 148880, ur_t828_u1x12_uart0_dual_pr_ee_u4 },
 { 148881, ur_t828_u1x12_uart0_dual_pr_ce },
 { 148882, ur_t828_u1x12_uart0_dual_pr_ce_u4 },
 { 148883, ur_t828_u1x12_uart0_dual_pr_ee_ce },
 { 148884, ur_t828_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 148885, ur_t828_u1x12_uart0_dual_hw },
 { 148886, ur_t828_u1x12_uart0_dual_ee_hw },
 { 148887, ur_t828_u1x12_uart0_dual_ce_hw },
 { 148888, ur_t828_u1x12_uart0_dual_ee_ce_hw },
 { 148889, ur_t828_u1x12_uart0_dual_ee_ce_u4_hw },
 { 149058, ur_t828_u2x8_uart0_noled },
 { 149059, ur_t828_u2x8_uart0_noled },
 { 149060, ur_t828_u2x8_uart0_noled_pr_u4 },
 { 149061, ur_t828_u2x8_uart0_noled_pr_ee },
 { 149062, ur_t828_u2x8_uart0_noled_pr_ee_u4 },
 { 149063, ur_t828_u2x8_uart0_noled_pr_ce },
 { 149064, ur_t828_u2x8_uart0_noled_pr_ce_u4 },
 { 149065, ur_t828_u2x8_uart0_noled_pr_ee_ce },
 { 149066, ur_t828_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 149067, ur_t828_u2x8_uart0_noled_hw },
 { 149068, ur_t828_u2x8_uart0_noled_ee_hw },
 { 149069, ur_t828_u2x8_uart0_noled_ce_hw },
 { 149070, ur_t828_u2x8_uart0_noled_ee_ce_hw },
 { 149071, ur_t828_u2x8_uart0_noled_ee_ce_hw },
 { 149072, ur_t828_u2x8_uart0_lednop },
 { 149073, ur_t828_u2x8_uart0_lednop },
 { 149074, ur_t828_u2x8_uart0_lednop_pr_u4 },
 { 149075, ur_t828_u2x8_uart0_lednop_pr_ee },
 { 149076, ur_t828_u2x8_uart0_lednop_pr_ee_u4 },
 { 149077, ur_t828_u2x8_uart0_lednop_pr_ce },
 { 149078, ur_t828_u2x8_uart0_lednop_pr_ce_u4 },
 { 149079, ur_t828_u2x8_uart0_lednop_pr_ee_ce },
 { 149080, ur_t828_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 149081, ur_t828_u2x8_uart0_lednop_hw },
 { 149082, ur_t828_u2x8_uart0_lednop_ee_hw },
 { 149083, ur_t828_u2x8_uart0_lednop_ce_hw },
 { 149084, ur_t828_u2x8_uart0_lednop_ee_ce_hw },
 { 149085, ur_t828_u2x8_uart0_lednop_ee_ce_hw },
 { 149086, ur_t828_u2x8_uart0_dual },
 { 149087, ur_t828_u2x8_uart0_dual_pr },
 { 149088, ur_t828_u2x8_uart0_dual_pr_u4 },
 { 149089, ur_t828_u2x8_uart0_dual_pr_ee },
 { 149090, ur_t828_u2x8_uart0_dual_pr_ee_u4 },
 { 149091, ur_t828_u2x8_uart0_dual_pr_ce },
 { 149092, ur_t828_u2x8_uart0_dual_pr_ce_u4 },
 { 149093, ur_t828_u2x8_uart0_dual_pr_ee_ce },
 { 149094, ur_t828_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 149095, ur_t828_u2x8_uart0_dual_hw },
 { 149096, ur_t828_u2x8_uart0_dual_ee_hw },
 { 149097, ur_t828_u2x8_uart0_dual_ce_hw },
 { 149098, ur_t828_u2x8_uart0_dual_ee_ce_hw },
 { 149099, ur_t828_u2x8_uart0_dual_ee_ce_u4_hw },
 { 149268, ur_t828_u2x12_uart0_noled },
 { 149269, ur_t828_u2x12_uart0_noled },
 { 149270, ur_t828_u2x12_uart0_noled_pr_u4 },
 { 149271, ur_t828_u2x12_uart0_noled_pr_ee },
 { 149272, ur_t828_u2x12_uart0_noled_pr_ee_u4 },
 { 149273, ur_t828_u2x12_uart0_noled_pr_ce },
 { 149274, ur_t828_u2x12_uart0_noled_pr_ce_u4 },
 { 149275, ur_t828_u2x12_uart0_noled_pr_ee_ce },
 { 149276, ur_t828_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 149277, ur_t828_u2x12_uart0_noled_hw },
 { 149278, ur_t828_u2x12_uart0_noled_ee_hw },
 { 149279, ur_t828_u2x12_uart0_noled_ce_hw },
 { 149280, ur_t828_u2x12_uart0_noled_ee_ce_hw },
 { 149281, ur_t828_u2x12_uart0_noled_ee_ce_hw },
 { 149282, ur_t828_u2x12_uart0_lednop },
 { 149283, ur_t828_u2x12_uart0_lednop },
 { 149284, ur_t828_u2x12_uart0_lednop_pr_u4 },
 { 149285, ur_t828_u2x12_uart0_lednop_pr_ee },
 { 149286, ur_t828_u2x12_uart0_lednop_pr_ee_u4 },
 { 149287, ur_t828_u2x12_uart0_lednop_pr_ce },
 { 149288, ur_t828_u2x12_uart0_lednop_pr_ce_u4 },
 { 149289, ur_t828_u2x12_uart0_lednop_pr_ee_ce },
 { 149290, ur_t828_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 149291, ur_t828_u2x12_uart0_lednop_hw },
 { 149292, ur_t828_u2x12_uart0_lednop_ee_hw },
 { 149293, ur_t828_u2x12_uart0_lednop_ce_hw },
 { 149294, ur_t828_u2x12_uart0_lednop_ee_ce_hw },
 { 149295, ur_t828_u2x12_uart0_lednop_ee_ce_hw },
 { 149296, ur_t828_u2x12_uart0_dual },
 { 149297, ur_t828_u2x12_uart0_dual_pr },
 { 149298, ur_t828_u2x12_uart0_dual_pr_u4 },
 { 149299, ur_t828_u2x12_uart0_dual_pr_ee },
 { 149300, ur_t828_u2x12_uart0_dual_pr_ee_u4 },
 { 149301, ur_t828_u2x12_uart0_dual_pr_ce },
 { 149302, ur_t828_u2x12_uart0_dual_pr_ce_u4 },
 { 149303, ur_t828_u2x12_uart0_dual_pr_ee_ce },
 { 149304, ur_t828_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 149305, ur_t828_u2x12_uart0_dual_hw },
 { 149306, ur_t828_u2x12_uart0_dual_ee_hw },
 { 149307, ur_t828_u2x12_uart0_dual_ce_hw },
 { 149308, ur_t828_u2x12_uart0_dual_ee_ce_hw },
 { 149309, ur_t828_u2x12_uart0_dual_ee_ce_u4_hw },
 { 149478, ur_t828_swio10_noled },
 { 149479, ur_t828_swio10_noled },
 { 149480, ur_t828_swio10_noled_pr_u4 },
 { 149481, ur_t828_swio10_noled_pr_ee },
 { 149482, ur_t828_swio10_noled_pr_ee_u4 },
 { 149483, ur_t828_swio10_noled_pr_ce },
 { 149484, ur_t828_swio10_noled_pr_ce_u4 },
 { 149485, ur_t828_swio10_noled_pr_ee_ce },
 { 149486, ur_t828_swio10_noled_pr_ee_ce_u4 },
 { 149487, ur_t828_swio10_noled_hw },
 { 149488, ur_t828_swio10_noled_ee_hw },
 { 149489, ur_t828_swio10_noled_ce_hw },
 { 149490, ur_t828_swio10_noled_ee_ce_hw },
 { 149491, ur_t828_swio10_noled_ee_ce_hw },
 { 149492, ur_t828_swio10_lednop },
 { 149493, ur_t828_swio10_lednop },
 { 149494, ur_t828_swio10_lednop_pr_u4 },
 { 149495, ur_t828_swio10_lednop_pr_ee },
 { 149496, ur_t828_swio10_lednop_pr_ee_u4 },
 { 149497, ur_t828_swio10_lednop_pr_ce },
 { 149498, ur_t828_swio10_lednop_pr_ce_u4 },
 { 149499, ur_t828_swio10_lednop_pr_ee_ce },
 { 149500, ur_t828_swio10_lednop_pr_ee_ce_u4 },
 { 149501, ur_t828_swio10_lednop_hw },
 { 149502, ur_t828_swio10_lednop_ee_hw },
 { 149503, ur_t828_swio10_lednop_ce_hw },
 { 149504, ur_t828_swio10_lednop_ee_ce_hw },
 { 149505, ur_t828_swio10_lednop_ee_ce_hw },
 { 149506, ur_t828_swio10_dual },
 { 149507, ur_t828_swio10_dual },
 { 149508, ur_t828_swio10_dual_pr_u4 },
 { 149509, ur_t828_swio10_dual_pr_ee },
 { 149510, ur_t828_swio10_dual_pr_ee_u4 },
 { 149511, ur_t828_swio10_dual_pr_ce },
 { 149512, ur_t828_swio10_dual_pr_ce_u4 },
 { 149513, ur_t828_swio10_dual_pr_ee_ce },
 { 149514, ur_t828_swio10_dual_pr_ee_ce_u4 },
 { 149515, ur_t828_swio10_dual_hw },
 { 149516, ur_t828_swio10_dual_ee_hw },
 { 149517, ur_t828_swio10_dual_ce_hw },
 { 149518, ur_t828_swio10_dual_ee_ce_hw },
 { 149519, ur_t828_swio10_dual_ee_ce_u4_hw },
 { 149520, ur_t828_swio11_noled },
 { 149521, ur_t828_swio11_noled },
 { 149522, ur_t828_swio11_noled_pr_u4 },
 { 149523, ur_t828_swio11_noled_pr_ee },
 { 149524, ur_t828_swio11_noled_pr_ee_u4 },
 { 149525, ur_t828_swio11_noled_pr_ce },
 { 149526, ur_t828_swio11_noled_pr_ce_u4 },
 { 149527, ur_t828_swio11_noled_pr_ee_ce },
 { 149528, ur_t828_swio11_noled_pr_ee_ce_u4 },
 { 149529, ur_t828_swio11_noled_hw },
 { 149530, ur_t828_swio11_noled_ee_hw },
 { 149531, ur_t828_swio11_noled_ce_hw },
 { 149532, ur_t828_swio11_noled_ee_ce_hw },
 { 149533, ur_t828_swio11_noled_ee_ce_hw },
 { 149534, ur_t828_swio11_lednop },
 { 149535, ur_t828_swio11_lednop_pr },
 { 149536, ur_t828_swio11_lednop_pr_u4 },
 { 149537, ur_t828_swio11_lednop_pr_ee },
 { 149538, ur_t828_swio11_lednop_pr_ee_u4 },
 { 149539, ur_t828_swio11_lednop_pr_ce },
 { 149540, ur_t828_swio11_lednop_pr_ce_u4 },
 { 149541, ur_t828_swio11_lednop_pr_ee_ce },
 { 149542, ur_t828_swio11_lednop_pr_ee_ce_u4 },
 { 149543, ur_t828_swio11_lednop_hw },
 { 149544, ur_t828_swio11_lednop_ee_hw },
 { 149545, ur_t828_swio11_lednop_ce_hw },
 { 149546, ur_t828_swio11_lednop_ee_ce_hw },
 { 149547, ur_t828_swio11_lednop_ee_ce_hw },
 { 149548, ur_t828_swio11_dual },
 { 149549, ur_t828_swio11_dual },
 { 149550, ur_t828_swio11_dual_pr_u4 },
 { 149551, ur_t828_swio11_dual_pr_ee },
 { 149552, ur_t828_swio11_dual_pr_ee_u4 },
 { 149553, ur_t828_swio11_dual_pr_ce },
 { 149554, ur_t828_swio11_dual_pr_ce_u4 },
 { 149555, ur_t828_swio11_dual_pr_ee_ce },
 { 149556, ur_t828_swio11_dual_pr_ee_ce_u4 },
 { 149557, ur_t828_swio11_dual_hw },
 { 149558, ur_t828_swio11_dual_ee_hw },
 { 149559, ur_t828_swio11_dual_ce_hw },
 { 149560, ur_t828_swio11_dual_ee_ce_hw },
 { 149561, ur_t828_swio11_dual_ee_ce_u4_hw },
 { 149562, ur_t828_swio11_noled },
 { 149563, ur_t828_swio11_noled },
 { 149564, ur_t828_swio11_noled_pr_u4 },
 { 149565, ur_t828_swio11_noled_pr_ee },
 { 149566, ur_t828_swio11_noled_pr_ee_u4 },
 { 149567, ur_t828_swio11_noled_pr_ce },
 { 149568, ur_t828_swio11_noled_pr_ce_u4 },
 { 149569, ur_t828_swio11_noled_pr_ee_ce },
 { 149570, ur_t828_swio11_noled_pr_ee_ce_u4 },
 { 149571, ur_t828_swio11_noled_hw },
 { 149572, ur_t828_swio11_noled_ee_hw },
 { 149573, ur_t828_swio11_noled_ce_hw },
 { 149574, ur_t828_swio11_noled_ee_ce_hw },
 { 149575, ur_t828_swio11_noled_ee_ce_hw },
 { 149576, ur_t828_swio11_lednop },
 { 149577, ur_t828_swio11_lednop_pr },
 { 149578, ur_t828_swio11_lednop_pr_u4 },
 { 149579, ur_t828_swio11_lednop_pr_ee },
 { 149580, ur_t828_swio11_lednop_pr_ee_u4 },
 { 149581, ur_t828_swio11_lednop_pr_ce },
 { 149582, ur_t828_swio11_lednop_pr_ce_u4 },
 { 149583, ur_t828_swio11_lednop_pr_ee_ce },
 { 149584, ur_t828_swio11_lednop_pr_ee_ce_u4 },
 { 149585, ur_t828_swio11_lednop_hw },
 { 149586, ur_t828_swio11_lednop_ee_hw },
 { 149587, ur_t828_swio11_lednop_ce_hw },
 { 149588, ur_t828_swio11_lednop_ee_ce_hw },
 { 149589, ur_t828_swio11_lednop_ee_ce_hw },
 { 149590, ur_t828_swio11_dual },
 { 149591, ur_t828_swio11_dual },
 { 149592, ur_t828_swio11_dual_pr_u4 },
 { 149593, ur_t828_swio11_dual_pr_ee },
 { 149594, ur_t828_swio11_dual_pr_ee_u4 },
 { 149595, ur_t828_swio11_dual_pr_ce },
 { 149596, ur_t828_swio11_dual_pr_ce_u4 },
 { 149597, ur_t828_swio11_dual_pr_ee_ce },
 { 149598, ur_t828_swio11_dual_pr_ee_ce_u4 },
 { 149599, ur_t828_swio11_dual_hw },
 { 149600, ur_t828_swio11_dual_ee_hw },
 { 149601, ur_t828_swio11_dual_ce_hw },
 { 149602, ur_t828_swio11_dual_ee_ce_hw },
 { 149603, ur_t828_swio11_dual_ee_ce_u4_hw },
 { 149604, ur_t828_swio13_noled },
 { 149605, ur_t828_swio13_noled },
 { 149606, ur_t828_swio13_noled_pr_u4 },
 { 149607, ur_t828_swio13_noled_pr_ee },
 { 149608, ur_t828_swio13_noled_pr_ee_u4 },
 { 149609, ur_t828_swio13_noled_pr_ce },
 { 149610, ur_t828_swio13_noled_pr_ce_u4 },
 { 149611, ur_t828_swio13_noled_pr_ee_ce },
 { 149612, ur_t828_swio13_noled_pr_ee_ce_u4 },
 { 149613, ur_t828_swio13_noled_hw },
 { 149614, ur_t828_swio13_noled_ee_hw },
 { 149615, ur_t828_swio13_noled_ce_hw },
 { 149616, ur_t828_swio13_noled_ee_ce_hw },
 { 149617, ur_t828_swio13_noled_ee_ce_hw },
 { 149618, ur_t828_swio13_lednop },
 { 149619, ur_t828_swio13_lednop_pr },
 { 149620, ur_t828_swio13_lednop_pr_u4 },
 { 149621, ur_t828_swio13_lednop_pr_ee },
 { 149622, ur_t828_swio13_lednop_pr_ee_u4 },
 { 149623, ur_t828_swio13_lednop_pr_ce },
 { 149624, ur_t828_swio13_lednop_pr_ce_u4 },
 { 149625, ur_t828_swio13_lednop_pr_ee_ce },
 { 149626, ur_t828_swio13_lednop_pr_ee_ce_u4 },
 { 149627, ur_t828_swio13_lednop_hw },
 { 149628, ur_t828_swio13_lednop_ee_hw },
 { 149629, ur_t828_swio13_lednop_ce_hw },
 { 149630, ur_t828_swio13_lednop_ee_ce_hw },
 { 149631, ur_t828_swio13_lednop_ee_ce_hw },
 { 149632, ur_t828_swio13_dual },
 { 149633, ur_t828_swio13_dual },
 { 149634, ur_t828_swio13_dual_pr_u4 },
 { 149635, ur_t828_swio13_dual_pr_ee },
 { 149636, ur_t828_swio13_dual_pr_ee_u4 },
 { 149637, ur_t828_swio13_dual_pr_ce },
 { 149638, ur_t828_swio13_dual_pr_ce_u4 },
 { 149639, ur_t828_swio13_dual_pr_ee_ce },
 { 149640, ur_t828_swio13_dual_pr_ee_ce_u4 },
 { 149641, ur_t828_swio13_dual_hw },
 { 149642, ur_t828_swio13_dual_ee_hw },
 { 149643, ur_t828_swio13_dual_ce_hw },
 { 149644, ur_t828_swio13_dual_ee_ce_hw },
 { 149645, ur_t828_swio13_dual_ee_ce_u4_hw },
 { 149646, ur_t828_swio14_noled },
 { 149647, ur_t828_swio14_noled },
 { 149648, ur_t828_swio14_noled_pr_u4 },
 { 149649, ur_t828_swio14_noled_pr_ee },
 { 149650, ur_t828_swio14_noled_pr_ee_u4 },
 { 149651, ur_t828_swio14_noled_pr_ce },
 { 149652, ur_t828_swio14_noled_pr_ce_u4 },
 { 149653, ur_t828_swio14_noled_pr_ee_ce },
 { 149654, ur_t828_swio14_noled_pr_ee_ce_u4 },
 { 149655, ur_t828_swio14_noled_hw },
 { 149656, ur_t828_swio14_noled_ee_hw },
 { 149657, ur_t828_swio14_noled_ce_hw },
 { 149658, ur_t828_swio14_noled_ee_ce_hw },
 { 149659, ur_t828_swio14_noled_ee_ce_hw },
 { 149660, ur_t828_swio14_lednop },
 { 149661, ur_t828_swio14_lednop_pr },
 { 149662, ur_t828_swio14_lednop_pr_u4 },
 { 149663, ur_t828_swio14_lednop_pr_ee },
 { 149664, ur_t828_swio14_lednop_pr_ee_u4 },
 { 149665, ur_t828_swio14_lednop_pr_ce },
 { 149666, ur_t828_swio14_lednop_pr_ce_u4 },
 { 149667, ur_t828_swio14_lednop_pr_ee_ce },
 { 149668, ur_t828_swio14_lednop_pr_ee_ce_u4 },
 { 149669, ur_t828_swio14_lednop_hw },
 { 149670, ur_t828_swio14_lednop_ee_hw },
 { 149671, ur_t828_swio14_lednop_ce_hw },
 { 149672, ur_t828_swio14_lednop_ee_ce_hw },
 { 149673, ur_t828_swio14_lednop_ee_ce_hw },
 { 149674, ur_t828_swio14_dual },
 { 149675, ur_t828_swio14_dual },
 { 149676, ur_t828_swio14_dual_pr_u4 },
 { 149677, ur_t828_swio14_dual_pr_ee },
 { 149678, ur_t828_swio14_dual_pr_ee_u4 },
 { 149679, ur_t828_swio14_dual_pr_ce },
 { 149680, ur_t828_swio14_dual_pr_ce_u4 },
 { 149681, ur_t828_swio14_dual_pr_ee_ce },
 { 149682, ur_t828_swio14_dual_pr_ee_ce_u4 },
 { 149683, ur_t828_swio14_dual_hw },
 { 149684, ur_t828_swio14_dual_ee_hw },
 { 149685, ur_t828_swio14_dual_ce_hw },
 { 149686, ur_t828_swio14_dual_ee_ce_hw },
 { 149687, ur_t828_swio14_dual_ee_ce_u4_hw },
 { 149688, ur_t828_swio15_noled },
 { 149689, ur_t828_swio15_noled },
 { 149690, ur_t828_swio15_noled_pr_u4 },
 { 149691, ur_t828_swio15_noled_pr_ee },
 { 149692, ur_t828_swio15_noled_pr_ee_u4 },
 { 149693, ur_t828_swio15_noled_pr_ce },
 { 149694, ur_t828_swio15_noled_pr_ce_u4 },
 { 149695, ur_t828_swio15_noled_pr_ee_ce },
 { 149696, ur_t828_swio15_noled_pr_ee_ce_u4 },
 { 149697, ur_t828_swio15_noled_hw },
 { 149698, ur_t828_swio15_noled_ee_hw },
 { 149699, ur_t828_swio15_noled_ce_hw },
 { 149700, ur_t828_swio15_noled_ee_ce_hw },
 { 149701, ur_t828_swio15_noled_ee_ce_hw },
 { 149702, ur_t828_swio15_lednop },
 { 149703, ur_t828_swio15_lednop_pr },
 { 149704, ur_t828_swio15_lednop_pr_u4 },
 { 149705, ur_t828_swio15_lednop_pr_ee },
 { 149706, ur_t828_swio15_lednop_pr_ee_u4 },
 { 149707, ur_t828_swio15_lednop_pr_ce },
 { 149708, ur_t828_swio15_lednop_pr_ce_u4 },
 { 149709, ur_t828_swio15_lednop_pr_ee_ce },
 { 149710, ur_t828_swio15_lednop_pr_ee_ce_u4 },
 { 149711, ur_t828_swio15_lednop_hw },
 { 149712, ur_t828_swio15_lednop_ee_hw },
 { 149713, ur_t828_swio15_lednop_ce_hw },
 { 149714, ur_t828_swio15_lednop_ee_ce_hw },
 { 149715, ur_t828_swio15_lednop_ee_ce_hw },
 { 149716, ur_t828_swio15_dual },
 { 149717, ur_t828_swio15_dual },
 { 149718, ur_t828_swio15_dual_pr_u4 },
 { 149719, ur_t828_swio15_dual_pr_ee },
 { 149720, ur_t828_swio15_dual_pr_ee_u4 },
 { 149721, ur_t828_swio15_dual_pr_ce },
 { 149722, ur_t828_swio15_dual_pr_ce_u4 },
 { 149723, ur_t828_swio15_dual_pr_ee_ce },
 { 149724, ur_t828_swio15_dual_pr_ee_ce_u4 },
 { 149725, ur_t828_swio15_dual_hw },
 { 149726, ur_t828_swio15_dual_ee_hw },
 { 149727, ur_t828_swio15_dual_ce_hw },
 { 149728, ur_t828_swio15_dual_ee_ce_hw },
 { 149729, ur_t828_swio15_dual_ee_ce_u4_hw },
 { 149730, ur_t87_autobaud_uart0_noled },
 { 149731, ur_t87_autobaud_uart0_noled },
 { 149732, ur_t87_autobaud_uart0_noled_pr_u4 },
 { 149733, ur_t87_autobaud_uart0_noled_pr_ee },
 { 149734, ur_t87_autobaud_uart0_noled_pr_ee },
 { 149735, ur_t87_autobaud_uart0_noled_pr_ce },
 { 149736, ur_t87_autobaud_uart0_noled_pr_ce },
 { 149737, ur_t87_autobaud_uart0_noled_pr_ee_ce },
 { 149738, ur_t87_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 149744, ur_t87_autobaud_uart0_lednop },
 { 149745, ur_t87_autobaud_uart0_lednop },
 { 149746, ur_t87_autobaud_uart0_lednop_pr_u4 },
 { 149747, ur_t87_autobaud_uart0_lednop_pr_ee },
 { 149748, ur_t87_autobaud_uart0_lednop_pr_ee },
 { 149749, ur_t87_autobaud_uart0_lednop_pr_ce },
 { 149750, ur_t87_autobaud_uart0_lednop_pr_ce },
 { 149751, ur_t87_autobaud_uart0_lednop_pr_ee_ce },
 { 149752, ur_t87_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 149758, ur_t87_autobaud_uart0_dual },
 { 149759, ur_t87_autobaud_uart0_dual_pr },
 { 149760, ur_t87_autobaud_uart0_dual_pr },
 { 149761, ur_t87_autobaud_uart0_dual_pr_ee },
 { 149762, ur_t87_autobaud_uart0_dual_pr_ee },
 { 149763, ur_t87_autobaud_uart0_dual_pr_ce },
 { 149764, ur_t87_autobaud_uart0_dual_pr_ce },
 { 149765, ur_t87_autobaud_uart0_dual_pr_ee_ce },
 { 149766, ur_t87_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 149898, ur_t87_lin_uart0_noled },
 { 149899, ur_t87_lin_uart0_noled },
 { 149900, ur_t87_lin_uart0_noled_pr_u4 },
 { 149901, ur_t87_lin_uart0_noled_pr_ee },
 { 149902, ur_t87_lin_uart0_noled_pr_ee },
 { 149903, ur_t87_lin_uart0_noled_pr_ce },
 { 149904, ur_t87_lin_uart0_noled_pr_ce_u4 },
 { 149905, ur_t87_lin_uart0_noled_pr_ee_ce },
 { 149906, ur_t87_lin_uart0_noled_pr_ee_ce_u4 },
 { 149912, ur_t87_lin_uart0_lednop },
 { 149913, ur_t87_lin_uart0_lednop },
 { 149914, ur_t87_lin_uart0_lednop_pr_u4 },
 { 149915, ur_t87_lin_uart0_lednop_pr_ee },
 { 149916, ur_t87_lin_uart0_lednop_pr_ee },
 { 149917, ur_t87_lin_uart0_lednop_pr_ce },
 { 149918, ur_t87_lin_uart0_lednop_pr_ce_u4 },
 { 149919, ur_t87_lin_uart0_lednop_pr_ee_ce },
 { 149920, ur_t87_lin_uart0_lednop_pr_ee_ce_u4 },
 { 149926, ur_t87_lin_uart0_dual },
 { 149927, ur_t87_lin_uart0_dual },
 { 149928, ur_t87_lin_uart0_dual_pr_u4 },
 { 149929, ur_t87_lin_uart0_dual_pr_ee },
 { 149930, ur_t87_lin_uart0_dual_pr_ee },
 { 149931, ur_t87_lin_uart0_dual_pr_ce },
 { 149932, ur_t87_lin_uart0_dual_pr_ce },
 { 149933, ur_t87_lin_uart0_dual_pr_ee_ce },
 { 149934, ur_t87_lin_uart0_dual_pr_ee_ce_u4 },
 { 150780, ur_t87_swio10_noled },
 { 150781, ur_t87_swio10_noled },
 { 150782, ur_t87_swio10_noled_pr_u4 },
 { 150783, ur_t87_swio10_noled_pr_ee },
 { 150784, ur_t87_swio10_noled_pr_ee },
 { 150785, ur_t87_swio10_noled_pr_ce },
 { 150786, ur_t87_swio10_noled_pr_ce },
 { 150787, ur_t87_swio10_noled_pr_ee_ce },
 { 150788, ur_t87_swio10_noled_pr_ee_ce_u4 },
 { 150794, ur_t87_swio10_lednop },
 { 150795, ur_t87_swio10_lednop },
 { 150796, ur_t87_swio10_lednop_pr_u4 },
 { 150797, ur_t87_swio10_lednop_pr_ee },
 { 150798, ur_t87_swio10_lednop_pr_ee },
 { 150799, ur_t87_swio10_lednop_pr_ce },
 { 150800, ur_t87_swio10_lednop_pr_ce },
 { 150801, ur_t87_swio10_lednop_pr_ee_ce },
 { 150802, ur_t87_swio10_lednop_pr_ee_ce_u4 },
 { 150808, ur_t87_swio10_dual },
 { 150809, ur_t87_swio10_dual_pr },
 { 150810, ur_t87_swio10_dual_pr },
 { 150811, ur_t87_swio10_dual_pr_ee },
 { 150812, ur_t87_swio10_dual_pr_ee_u4 },
 { 150813, ur_t87_swio10_dual_pr_ce },
 { 150814, ur_t87_swio10_dual_pr_ce },
 { 150815, ur_t87_swio10_dual_pr_ee_ce },
 { 150816, ur_t87_swio10_dual_pr_ee_ce_u4 },
 { 150822, ur_t87_swio11_noled },
 { 150823, ur_t87_swio11_noled },
 { 150824, ur_t87_swio11_noled_pr_u4 },
 { 150825, ur_t87_swio11_noled_pr_ee },
 { 150826, ur_t87_swio11_noled_pr_ee },
 { 150827, ur_t87_swio11_noled_pr_ce },
 { 150828, ur_t87_swio11_noled_pr_ce },
 { 150829, ur_t87_swio11_noled_pr_ee_ce },
 { 150830, ur_t87_swio11_noled_pr_ee_ce_u4 },
 { 150836, ur_t87_swio11_lednop },
 { 150837, ur_t87_swio11_lednop },
 { 150838, ur_t87_swio11_lednop_pr_u4 },
 { 150839, ur_t87_swio11_lednop_pr_ee },
 { 150840, ur_t87_swio11_lednop_pr_ee },
 { 150841, ur_t87_swio11_lednop_pr_ce },
 { 150842, ur_t87_swio11_lednop_pr_ce },
 { 150843, ur_t87_swio11_lednop_pr_ee_ce },
 { 150844, ur_t87_swio11_lednop_pr_ee_ce_u4 },
 { 150850, ur_t87_swio11_dual },
 { 150851, ur_t87_swio11_dual },
 { 150852, ur_t87_swio11_dual },
 { 150853, ur_t87_swio11_dual_pr_ee },
 { 150854, ur_t87_swio11_dual_pr_ee_u4 },
 { 150855, ur_t87_swio11_dual_pr_ce },
 { 150856, ur_t87_swio11_dual_pr_ce },
 { 150857, ur_t87_swio11_dual_pr_ee_ce },
 { 150858, ur_t87_swio11_dual_pr_ee_ce_u4 },
 { 150864, ur_t87_swio11_noled },
 { 150865, ur_t87_swio11_noled },
 { 150866, ur_t87_swio11_noled_pr_u4 },
 { 150867, ur_t87_swio11_noled_pr_ee },
 { 150868, ur_t87_swio11_noled_pr_ee },
 { 150869, ur_t87_swio11_noled_pr_ce },
 { 150870, ur_t87_swio11_noled_pr_ce },
 { 150871, ur_t87_swio11_noled_pr_ee_ce },
 { 150872, ur_t87_swio11_noled_pr_ee_ce_u4 },
 { 150878, ur_t87_swio11_lednop },
 { 150879, ur_t87_swio11_lednop },
 { 150880, ur_t87_swio11_lednop_pr_u4 },
 { 150881, ur_t87_swio11_lednop_pr_ee },
 { 150882, ur_t87_swio11_lednop_pr_ee },
 { 150883, ur_t87_swio11_lednop_pr_ce },
 { 150884, ur_t87_swio11_lednop_pr_ce },
 { 150885, ur_t87_swio11_lednop_pr_ee_ce },
 { 150886, ur_t87_swio11_lednop_pr_ee_ce_u4 },
 { 150892, ur_t87_swio11_dual },
 { 150893, ur_t87_swio11_dual },
 { 150894, ur_t87_swio11_dual },
 { 150895, ur_t87_swio11_dual_pr_ee },
 { 150896, ur_t87_swio11_dual_pr_ee_u4 },
 { 150897, ur_t87_swio11_dual_pr_ce },
 { 150898, ur_t87_swio11_dual_pr_ce },
 { 150899, ur_t87_swio11_dual_pr_ee_ce },
 { 150900, ur_t87_swio11_dual_pr_ee_ce_u4 },
 { 150906, ur_t87_swio13_noled },
 { 150907, ur_t87_swio13_noled },
 { 150908, ur_t87_swio13_noled_pr_u4 },
 { 150909, ur_t87_swio13_noled_pr_ee },
 { 150910, ur_t87_swio13_noled_pr_ee },
 { 150911, ur_t87_swio13_noled_pr_ce },
 { 150912, ur_t87_swio13_noled_pr_ce },
 { 150913, ur_t87_swio13_noled_pr_ee_ce },
 { 150914, ur_t87_swio13_noled_pr_ee_ce_u4 },
 { 150920, ur_t87_swio13_lednop },
 { 150921, ur_t87_swio13_lednop_pr },
 { 150922, ur_t87_swio13_lednop_pr },
 { 150923, ur_t87_swio13_lednop_pr_ee },
 { 150924, ur_t87_swio13_lednop_pr_ee },
 { 150925, ur_t87_swio13_lednop_pr_ce },
 { 150926, ur_t87_swio13_lednop_pr_ce },
 { 150927, ur_t87_swio13_lednop_pr_ee_ce },
 { 150928, ur_t87_swio13_lednop_pr_ee_ce_u4 },
 { 150934, ur_t87_swio13_dual },
 { 150935, ur_t87_swio13_dual },
 { 150936, ur_t87_swio13_dual },
 { 150937, ur_t87_swio13_dual_pr_ee },
 { 150938, ur_t87_swio13_dual_pr_ee_u4 },
 { 150939, ur_t87_swio13_dual_pr_ce },
 { 150940, ur_t87_swio13_dual_pr_ce },
 { 150941, ur_t87_swio13_dual_pr_ee_ce },
 { 150942, ur_t87_swio13_dual_pr_ee_ce_u4 },
 { 150948, ur_t87_swio14_noled },
 { 150949, ur_t87_swio14_noled },
 { 150950, ur_t87_swio14_noled_pr_u4 },
 { 150951, ur_t87_swio14_noled_pr_ee },
 { 150952, ur_t87_swio14_noled_pr_ee },
 { 150953, ur_t87_swio14_noled_pr_ce },
 { 150954, ur_t87_swio14_noled_pr_ce },
 { 150955, ur_t87_swio14_noled_pr_ee_ce },
 { 150956, ur_t87_swio14_noled_pr_ee_ce_u4 },
 { 150962, ur_t87_swio14_lednop },
 { 150963, ur_t87_swio14_lednop },
 { 150964, ur_t87_swio14_lednop_pr_u4 },
 { 150965, ur_t87_swio14_lednop_pr_ee },
 { 150966, ur_t87_swio14_lednop_pr_ee },
 { 150967, ur_t87_swio14_lednop_pr_ce },
 { 150968, ur_t87_swio14_lednop_pr_ce },
 { 150969, ur_t87_swio14_lednop_pr_ee_ce },
 { 150970, ur_t87_swio14_lednop_pr_ee_ce_u4 },
 { 150976, ur_t87_swio14_dual },
 { 150977, ur_t87_swio14_dual },
 { 150978, ur_t87_swio14_dual },
 { 150979, ur_t87_swio14_dual_pr_ee },
 { 150980, ur_t87_swio14_dual_pr_ee_u4 },
 { 150981, ur_t87_swio14_dual_pr_ce },
 { 150982, ur_t87_swio14_dual_pr_ce },
 { 150983, ur_t87_swio14_dual_pr_ee_ce },
 { 150984, ur_t87_swio14_dual_pr_ee_ce_u4 },
 { 150990, ur_t87_swio15_noled },
 { 150991, ur_t87_swio15_noled },
 { 150992, ur_t87_swio15_noled_pr_u4 },
 { 150993, ur_t87_swio15_noled_pr_ee },
 { 150994, ur_t87_swio15_noled_pr_ee },
 { 150995, ur_t87_swio15_noled_pr_ce },
 { 150996, ur_t87_swio15_noled_pr_ce },
 { 150997, ur_t87_swio15_noled_pr_ee_ce },
 { 150998, ur_t87_swio15_noled_pr_ee_ce_u4 },
 { 151004, ur_t87_swio15_lednop },
 { 151005, ur_t87_swio15_lednop_pr },
 { 151006, ur_t87_swio15_lednop_pr },
 { 151007, ur_t87_swio15_lednop_pr_ee },
 { 151008, ur_t87_swio15_lednop_pr_ee },
 { 151009, ur_t87_swio15_lednop_pr_ce },
 { 151010, ur_t87_swio15_lednop_pr_ce },
 { 151011, ur_t87_swio15_lednop_pr_ee_ce },
 { 151012, ur_t87_swio15_lednop_pr_ee_ce_u4 },
 { 151018, ur_t87_swio15_dual },
 { 151019, ur_t87_swio15_dual },
 { 151020, ur_t87_swio15_dual },
 { 151021, ur_t87_swio15_dual_pr_ee },
 { 151022, ur_t87_swio15_dual_pr_ee_u4 },
 { 151023, ur_t87_swio15_dual_pr_ce },
 { 151024, ur_t87_swio15_dual_pr_ce },
 { 151025, ur_t87_swio15_dual_pr_ee_ce },
 { 151026, ur_t87_swio15_dual_pr_ee_ce_u4 },
 { 151032, ur_t167_autobaud_uart0_noled },
 { 151033, ur_t167_autobaud_uart0_noled },
 { 151034, ur_t167_autobaud_uart0_noled_pr_u4 },
 { 151035, ur_t167_autobaud_uart0_noled_pr_ee },
 { 151036, ur_t167_autobaud_uart0_noled_pr_ee },
 { 151037, ur_t167_autobaud_uart0_noled_pr_ce },
 { 151038, ur_t167_autobaud_uart0_noled_pr_ce },
 { 151039, ur_t167_autobaud_uart0_noled_pr_ee_ce },
 { 151040, ur_t167_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 151046, ur_t167_autobaud_uart0_lednop },
 { 151047, ur_t167_autobaud_uart0_lednop },
 { 151048, ur_t167_autobaud_uart0_lednop_pr_u4 },
 { 151049, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 151050, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 151051, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 151052, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 151053, ur_t167_autobaud_uart0_lednop_pr_ee_ce },
 { 151054, ur_t167_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 151060, ur_t167_autobaud_uart0_dual },
 { 151061, ur_t167_autobaud_uart0_dual_pr },
 { 151062, ur_t167_autobaud_uart0_dual_pr },
 { 151063, ur_t167_autobaud_uart0_dual_pr_ee },
 { 151064, ur_t167_autobaud_uart0_dual_pr_ee_u4 },
 { 151065, ur_t167_autobaud_uart0_dual_pr_ce },
 { 151066, ur_t167_autobaud_uart0_dual_pr_ce },
 { 151067, ur_t167_autobaud_uart0_dual_pr_ee_ce },
 { 151068, ur_t167_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 151200, ur_t167_lin_uart0_noled },
 { 151201, ur_t167_lin_uart0_noled },
 { 151202, ur_t167_lin_uart0_noled_pr_u4 },
 { 151203, ur_t167_lin_uart0_noled_pr_ee },
 { 151204, ur_t167_lin_uart0_noled_pr_ee },
 { 151205, ur_t167_lin_uart0_noled_pr_ce },
 { 151206, ur_t167_lin_uart0_noled_pr_ce_u4 },
 { 151207, ur_t167_lin_uart0_noled_pr_ee_ce },
 { 151208, ur_t167_lin_uart0_noled_pr_ee_ce_u4 },
 { 151214, ur_t167_lin_uart0_lednop },
 { 151215, ur_t167_lin_uart0_lednop },
 { 151216, ur_t167_lin_uart0_lednop_pr_u4 },
 { 151217, ur_t167_lin_uart0_lednop_pr_ee },
 { 151218, ur_t167_lin_uart0_lednop_pr_ee },
 { 151219, ur_t167_lin_uart0_lednop_pr_ce },
 { 151220, ur_t167_lin_uart0_lednop_pr_ce_u4 },
 { 151221, ur_t167_lin_uart0_lednop_pr_ee_ce },
 { 151222, ur_t167_lin_uart0_lednop_pr_ee_ce_u4 },
 { 151228, ur_t167_lin_uart0_dual },
 { 151229, ur_t167_lin_uart0_dual },
 { 151230, ur_t167_lin_uart0_dual_pr_u4 },
 { 151231, ur_t167_lin_uart0_dual_pr_ee },
 { 151232, ur_t167_lin_uart0_dual_pr_ee },
 { 151233, ur_t167_lin_uart0_dual_pr_ce },
 { 151234, ur_t167_lin_uart0_dual_pr_ce },
 { 151235, ur_t167_lin_uart0_dual_pr_ee_ce },
 { 151236, ur_t167_lin_uart0_dual_pr_ee_ce_u4 },
 { 152082, ur_t167_swio10_noled },
 { 152083, ur_t167_swio10_noled },
 { 152084, ur_t167_swio10_noled_pr_u4 },
 { 152085, ur_t167_swio10_noled_pr_ee },
 { 152086, ur_t167_swio10_noled_pr_ee },
 { 152087, ur_t167_swio10_noled_pr_ce },
 { 152088, ur_t167_swio10_noled_pr_ce },
 { 152089, ur_t167_swio10_noled_pr_ee_ce },
 { 152090, ur_t167_swio10_noled_pr_ee_ce_u4 },
 { 152096, ur_t167_swio10_lednop },
 { 152097, ur_t167_swio10_lednop },
 { 152098, ur_t167_swio10_lednop_pr_u4 },
 { 152099, ur_t167_swio10_lednop_pr_ee },
 { 152100, ur_t167_swio10_lednop_pr_ee },
 { 152101, ur_t167_swio10_lednop_pr_ce },
 { 152102, ur_t167_swio10_lednop_pr_ce },
 { 152103, ur_t167_swio10_lednop_pr_ee_ce },
 { 152104, ur_t167_swio10_lednop_pr_ee_ce_u4 },
 { 152110, ur_t167_swio10_dual },
 { 152111, ur_t167_swio10_dual },
 { 152112, ur_t167_swio10_dual },
 { 152113, ur_t167_swio10_dual_pr_ee },
 { 152114, ur_t167_swio10_dual_pr_ee_u4 },
 { 152115, ur_t167_swio10_dual_pr_ce },
 { 152116, ur_t167_swio10_dual_pr_ce },
 { 152117, ur_t167_swio10_dual_pr_ee_ce },
 { 152118, ur_t167_swio10_dual_pr_ee_ce_u4 },
 { 152124, ur_t167_swio11_noled },
 { 152125, ur_t167_swio11_noled },
 { 152126, ur_t167_swio11_noled_pr_u4 },
 { 152127, ur_t167_swio11_noled_pr_ee },
 { 152128, ur_t167_swio11_noled_pr_ee },
 { 152129, ur_t167_swio11_noled_pr_ce },
 { 152130, ur_t167_swio11_noled_pr_ce },
 { 152131, ur_t167_swio11_noled_pr_ee_ce },
 { 152132, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 152138, ur_t167_swio11_lednop },
 { 152139, ur_t167_swio11_lednop },
 { 152140, ur_t167_swio11_lednop_pr_u4 },
 { 152141, ur_t167_swio11_lednop_pr_ee },
 { 152142, ur_t167_swio11_lednop_pr_ee },
 { 152143, ur_t167_swio11_lednop_pr_ce },
 { 152144, ur_t167_swio11_lednop_pr_ce },
 { 152145, ur_t167_swio11_lednop_pr_ee_ce },
 { 152146, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 152152, ur_t167_swio11_dual },
 { 152153, ur_t167_swio11_dual },
 { 152154, ur_t167_swio11_dual },
 { 152155, ur_t167_swio11_dual_pr_ee },
 { 152156, ur_t167_swio11_dual_pr_ee_u4 },
 { 152157, ur_t167_swio11_dual_pr_ce },
 { 152158, ur_t167_swio11_dual_pr_ce },
 { 152159, ur_t167_swio11_dual_pr_ee_ce },
 { 152160, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 152166, ur_t167_swio11_noled },
 { 152167, ur_t167_swio11_noled },
 { 152168, ur_t167_swio11_noled_pr_u4 },
 { 152169, ur_t167_swio11_noled_pr_ee },
 { 152170, ur_t167_swio11_noled_pr_ee },
 { 152171, ur_t167_swio11_noled_pr_ce },
 { 152172, ur_t167_swio11_noled_pr_ce },
 { 152173, ur_t167_swio11_noled_pr_ee_ce },
 { 152174, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 152180, ur_t167_swio11_lednop },
 { 152181, ur_t167_swio11_lednop },
 { 152182, ur_t167_swio11_lednop_pr_u4 },
 { 152183, ur_t167_swio11_lednop_pr_ee },
 { 152184, ur_t167_swio11_lednop_pr_ee },
 { 152185, ur_t167_swio11_lednop_pr_ce },
 { 152186, ur_t167_swio11_lednop_pr_ce },
 { 152187, ur_t167_swio11_lednop_pr_ee_ce },
 { 152188, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 152194, ur_t167_swio11_dual },
 { 152195, ur_t167_swio11_dual },
 { 152196, ur_t167_swio11_dual },
 { 152197, ur_t167_swio11_dual_pr_ee },
 { 152198, ur_t167_swio11_dual_pr_ee_u4 },
 { 152199, ur_t167_swio11_dual_pr_ce },
 { 152200, ur_t167_swio11_dual_pr_ce },
 { 152201, ur_t167_swio11_dual_pr_ee_ce },
 { 152202, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 152208, ur_t167_swio13_noled },
 { 152209, ur_t167_swio13_noled },
 { 152210, ur_t167_swio13_noled_pr_u4 },
 { 152211, ur_t167_swio13_noled_pr_ee },
 { 152212, ur_t167_swio13_noled_pr_ee },
 { 152213, ur_t167_swio13_noled_pr_ce },
 { 152214, ur_t167_swio13_noled_pr_ce },
 { 152215, ur_t167_swio13_noled_pr_ee_ce },
 { 152216, ur_t167_swio13_noled_pr_ee_ce_u4 },
 { 152222, ur_t167_swio13_lednop },
 { 152223, ur_t167_swio13_lednop_pr },
 { 152224, ur_t167_swio13_lednop_pr },
 { 152225, ur_t167_swio13_lednop_pr_ee },
 { 152226, ur_t167_swio13_lednop_pr_ee },
 { 152227, ur_t167_swio13_lednop_pr_ce },
 { 152228, ur_t167_swio13_lednop_pr_ce },
 { 152229, ur_t167_swio13_lednop_pr_ee_ce },
 { 152230, ur_t167_swio13_lednop_pr_ee_ce_u4 },
 { 152236, ur_t167_swio13_dual },
 { 152237, ur_t167_swio13_dual },
 { 152238, ur_t167_swio13_dual },
 { 152239, ur_t167_swio13_dual_pr_ee },
 { 152240, ur_t167_swio13_dual_pr_ee_u4 },
 { 152241, ur_t167_swio13_dual_pr_ce },
 { 152242, ur_t167_swio13_dual_pr_ce },
 { 152243, ur_t167_swio13_dual_pr_ee_ce },
 { 152244, ur_t167_swio13_dual_pr_ee_ce_u4 },
 { 152250, ur_t167_swio14_noled },
 { 152251, ur_t167_swio14_noled },
 { 152252, ur_t167_swio14_noled_pr_u4 },
 { 152253, ur_t167_swio14_noled_pr_ee },
 { 152254, ur_t167_swio14_noled_pr_ee },
 { 152255, ur_t167_swio14_noled_pr_ce },
 { 152256, ur_t167_swio14_noled_pr_ce },
 { 152257, ur_t167_swio14_noled_pr_ee_ce },
 { 152258, ur_t167_swio14_noled_pr_ee_ce_u4 },
 { 152264, ur_t167_swio14_lednop },
 { 152265, ur_t167_swio14_lednop },
 { 152266, ur_t167_swio14_lednop_pr_u4 },
 { 152267, ur_t167_swio14_lednop_pr_ee },
 { 152268, ur_t167_swio14_lednop_pr_ee },
 { 152269, ur_t167_swio14_lednop_pr_ce },
 { 152270, ur_t167_swio14_lednop_pr_ce },
 { 152271, ur_t167_swio14_lednop_pr_ee_ce },
 { 152272, ur_t167_swio14_lednop_pr_ee_ce_u4 },
 { 152278, ur_t167_swio14_dual },
 { 152279, ur_t167_swio14_dual },
 { 152280, ur_t167_swio14_dual },
 { 152281, ur_t167_swio14_dual_pr_ee },
 { 152282, ur_t167_swio14_dual_pr_ee_u4 },
 { 152283, ur_t167_swio14_dual_pr_ce },
 { 152284, ur_t167_swio14_dual_pr_ce },
 { 152285, ur_t167_swio14_dual_pr_ee_ce },
 { 152286, ur_t167_swio14_dual_pr_ee_ce_u4 },
 { 152292, ur_t167_swio15_noled },
 { 152293, ur_t167_swio15_noled },
 { 152294, ur_t167_swio15_noled_pr_u4 },
 { 152295, ur_t167_swio15_noled_pr_ee },
 { 152296, ur_t167_swio15_noled_pr_ee },
 { 152297, ur_t167_swio15_noled_pr_ce },
 { 152298, ur_t167_swio15_noled_pr_ce },
 { 152299, ur_t167_swio15_noled_pr_ee_ce },
 { 152300, ur_t167_swio15_noled_pr_ee_ce_u4 },
 { 152306, ur_t167_swio15_lednop },
 { 152307, ur_t167_swio15_lednop_pr },
 { 152308, ur_t167_swio15_lednop_pr },
 { 152309, ur_t167_swio15_lednop_pr_ee },
 { 152310, ur_t167_swio15_lednop_pr_ee },
 { 152311, ur_t167_swio15_lednop_pr_ce },
 { 152312, ur_t167_swio15_lednop_pr_ce },
 { 152313, ur_t167_swio15_lednop_pr_ee_ce },
 { 152314, ur_t167_swio15_lednop_pr_ee_ce_u4 },
 { 152320, ur_t167_swio15_dual },
 { 152321, ur_t167_swio15_dual },
 { 152322, ur_t167_swio15_dual },
 { 152323, ur_t167_swio15_dual_pr_ee },
 { 152324, ur_t167_swio15_dual_pr_ee_u4 },
 { 152325, ur_t167_swio15_dual_pr_ce },
 { 152326, ur_t167_swio15_dual_pr_ce },
 { 152327, ur_t167_swio15_dual_pr_ee_ce },
 { 152328, ur_t167_swio15_dual_pr_ee_ce_u4 },
 { 153384, ur_t25_swio10_noled },
 { 153385, ur_t25_swio10_noled },
 { 153386, ur_t25_swio10_noled_pr_u4 },
 { 153387, ur_t25_swio10_noled_pr_ee },
 { 153388, ur_t25_swio10_noled_pr_ee_u4 },
 { 153389, ur_t25_swio10_noled_pr_ce },
 { 153390, ur_t25_swio10_noled_pr_ce_u4 },
 { 153391, ur_t25_swio10_noled_pr_ee_ce },
 { 153392, ur_t25_swio10_noled_pr_ee_ce_u4 },
 { 153398, ur_t25_swio10_lednop },
 { 153399, ur_t25_swio10_lednop },
 { 153400, ur_t25_swio10_lednop_pr_u4 },
 { 153401, ur_t25_swio10_lednop_pr_ee },
 { 153402, ur_t25_swio10_lednop_pr_ee_u4 },
 { 153403, ur_t25_swio10_lednop_pr_ce },
 { 153404, ur_t25_swio10_lednop_pr_ce_u4 },
 { 153405, ur_t25_swio10_lednop_pr_ee_ce },
 { 153406, ur_t25_swio10_lednop_pr_ee_ce_u4 },
 { 153426, ur_t25_swio11_noled },
 { 153427, ur_t25_swio11_noled },
 { 153428, ur_t25_swio11_noled_pr_u4 },
 { 153429, ur_t25_swio11_noled_pr_ee },
 { 153430, ur_t25_swio11_noled_pr_ee_u4 },
 { 153431, ur_t25_swio11_noled_pr_ce },
 { 153432, ur_t25_swio11_noled_pr_ce_u4 },
 { 153433, ur_t25_swio11_noled_pr_ee_ce },
 { 153434, ur_t25_swio11_noled_pr_ee_ce_u4 },
 { 153440, ur_t25_swio11_lednop },
 { 153441, ur_t25_swio11_lednop },
 { 153442, ur_t25_swio11_lednop_pr_u4 },
 { 153443, ur_t25_swio11_lednop_pr_ee },
 { 153444, ur_t25_swio11_lednop_pr_ee_u4 },
 { 153445, ur_t25_swio11_lednop_pr_ce },
 { 153446, ur_t25_swio11_lednop_pr_ce_u4 },
 { 153447, ur_t25_swio11_lednop_pr_ee_ce },
 { 153448, ur_t25_swio11_lednop_pr_ee_ce_u4 },
 { 153468, ur_t25_swio11_noled },
 { 153469, ur_t25_swio11_noled },
 { 153470, ur_t25_swio11_noled_pr_u4 },
 { 153471, ur_t25_swio11_noled_pr_ee },
 { 153472, ur_t25_swio11_noled_pr_ee_u4 },
 { 153473, ur_t25_swio11_noled_pr_ce },
 { 153474, ur_t25_swio11_noled_pr_ce_u4 },
 { 153475, ur_t25_swio11_noled_pr_ee_ce },
 { 153476, ur_t25_swio11_noled_pr_ee_ce_u4 },
 { 153482, ur_t25_swio11_lednop },
 { 153483, ur_t25_swio11_lednop },
 { 153484, ur_t25_swio11_lednop_pr_u4 },
 { 153485, ur_t25_swio11_lednop_pr_ee },
 { 153486, ur_t25_swio11_lednop_pr_ee_u4 },
 { 153487, ur_t25_swio11_lednop_pr_ce },
 { 153488, ur_t25_swio11_lednop_pr_ce_u4 },
 { 153489, ur_t25_swio11_lednop_pr_ee_ce },
 { 153490, ur_t25_swio11_lednop_pr_ee_ce_u4 },
 { 153510, ur_t25_swio13_noled },
 { 153511, ur_t25_swio13_noled },
 { 153512, ur_t25_swio13_noled_pr_u4 },
 { 153513, ur_t25_swio13_noled_pr_ee },
 { 153514, ur_t25_swio13_noled_pr_ee_u4 },
 { 153515, ur_t25_swio13_noled_pr_ce },
 { 153516, ur_t25_swio13_noled_pr_ce_u4 },
 { 153517, ur_t25_swio13_noled_pr_ee_ce },
 { 153518, ur_t25_swio13_noled_pr_ee_ce_u4 },
 { 153524, ur_t25_swio13_lednop },
 { 153525, ur_t25_swio13_lednop },
 { 153526, ur_t25_swio13_lednop_pr_u4 },
 { 153527, ur_t25_swio13_lednop_pr_ee },
 { 153528, ur_t25_swio13_lednop_pr_ee_u4 },
 { 153529, ur_t25_swio13_lednop_pr_ce },
 { 153530, ur_t25_swio13_lednop_pr_ce_u4 },
 { 153531, ur_t25_swio13_lednop_pr_ee_ce },
 { 153532, ur_t25_swio13_lednop_pr_ee_ce_u4 },
 { 153552, ur_t25_swio14_noled },
 { 153553, ur_t25_swio14_noled },
 { 153554, ur_t25_swio14_noled_pr_u4 },
 { 153555, ur_t25_swio14_noled_pr_ee },
 { 153556, ur_t25_swio14_noled_pr_ee_u4 },
 { 153557, ur_t25_swio14_noled_pr_ce },
 { 153558, ur_t25_swio14_noled_pr_ce_u4 },
 { 153559, ur_t25_swio14_noled_pr_ee_ce },
 { 153560, ur_t25_swio14_noled_pr_ee_ce_u4 },
 { 153566, ur_t25_swio14_lednop },
 { 153567, ur_t25_swio14_lednop },
 { 153568, ur_t25_swio14_lednop_pr_u4 },
 { 153569, ur_t25_swio14_lednop_pr_ee },
 { 153570, ur_t25_swio14_lednop_pr_ee_u4 },
 { 153571, ur_t25_swio14_lednop_pr_ce },
 { 153572, ur_t25_swio14_lednop_pr_ce_u4 },
 { 153573, ur_t25_swio14_lednop_pr_ee_ce },
 { 153574, ur_t25_swio14_lednop_pr_ee_ce_u4 },
 { 153594, ur_t25_swio15_noled },
 { 153595, ur_t25_swio15_noled },
 { 153596, ur_t25_swio15_noled_pr_u4 },
 { 153597, ur_t25_swio15_noled_pr_ee },
 { 153598, ur_t25_swio15_noled_pr_ee_u4 },
 { 153599, ur_t25_swio15_noled_pr_ce },
 { 153600, ur_t25_swio15_noled_pr_ce_u4 },
 { 153601, ur_t25_swio15_noled_pr_ee_ce },
 { 153602, ur_t25_swio15_noled_pr_ee_ce_u4 },
 { 153608, ur_t25_swio15_lednop },
 { 153609, ur_t25_swio15_lednop },
 { 153610, ur_t25_swio15_lednop_pr_u4 },
 { 153611, ur_t25_swio15_lednop_pr_ee },
 { 153612, ur_t25_swio15_lednop_pr_ee_u4 },
 { 153613, ur_t25_swio15_lednop_pr_ce },
 { 153614, ur_t25_swio15_lednop_pr_ce_u4 },
 { 153615, ur_t25_swio15_lednop_pr_ee_ce },
 { 153616, ur_t25_swio15_lednop_pr_ee_ce_u4 },
 { 154686, ur_t45_swio10_noled },
 { 154687, ur_t45_swio10_noled },
 { 154688, ur_t45_swio10_noled_pr_u4 },
 { 154689, ur_t45_swio10_noled_pr_ee },
 { 154690, ur_t45_swio10_noled_pr_ee_u4 },
 { 154691, ur_t45_swio10_noled_pr_ce },
 { 154692, ur_t45_swio10_noled_pr_ce_u4 },
 { 154693, ur_t45_swio10_noled_pr_ee_ce },
 { 154694, ur_t45_swio10_noled_pr_ee_ce_u4 },
 { 154700, ur_t45_swio10_lednop },
 { 154701, ur_t45_swio10_lednop },
 { 154702, ur_t45_swio10_lednop_pr_u4 },
 { 154703, ur_t45_swio10_lednop_pr_ee },
 { 154704, ur_t45_swio10_lednop_pr_ee_u4 },
 { 154705, ur_t45_swio10_lednop_pr_ce },
 { 154706, ur_t45_swio10_lednop_pr_ce_u4 },
 { 154707, ur_t45_swio10_lednop_pr_ee_ce },
 { 154708, ur_t45_swio10_lednop_pr_ee_ce_u4 },
 { 154728, ur_t45_swio11_noled },
 { 154729, ur_t45_swio11_noled },
 { 154730, ur_t45_swio11_noled_pr_u4 },
 { 154731, ur_t45_swio11_noled_pr_ee },
 { 154732, ur_t45_swio11_noled_pr_ee_u4 },
 { 154733, ur_t45_swio11_noled_pr_ce },
 { 154734, ur_t45_swio11_noled_pr_ce_u4 },
 { 154735, ur_t45_swio11_noled_pr_ee_ce },
 { 154736, ur_t45_swio11_noled_pr_ee_ce_u4 },
 { 154742, ur_t45_swio11_lednop },
 { 154743, ur_t45_swio11_lednop },
 { 154744, ur_t45_swio11_lednop_pr_u4 },
 { 154745, ur_t45_swio11_lednop_pr_ee },
 { 154746, ur_t45_swio11_lednop_pr_ee_u4 },
 { 154747, ur_t45_swio11_lednop_pr_ce },
 { 154748, ur_t45_swio11_lednop_pr_ce_u4 },
 { 154749, ur_t45_swio11_lednop_pr_ee_ce },
 { 154750, ur_t45_swio11_lednop_pr_ee_ce_u4 },
 { 154770, ur_t45_swio11_noled },
 { 154771, ur_t45_swio11_noled },
 { 154772, ur_t45_swio11_noled_pr_u4 },
 { 154773, ur_t45_swio11_noled_pr_ee },
 { 154774, ur_t45_swio11_noled_pr_ee_u4 },
 { 154775, ur_t45_swio11_noled_pr_ce },
 { 154776, ur_t45_swio11_noled_pr_ce_u4 },
 { 154777, ur_t45_swio11_noled_pr_ee_ce },
 { 154778, ur_t45_swio11_noled_pr_ee_ce_u4 },
 { 154784, ur_t45_swio11_lednop },
 { 154785, ur_t45_swio11_lednop },
 { 154786, ur_t45_swio11_lednop_pr_u4 },
 { 154787, ur_t45_swio11_lednop_pr_ee },
 { 154788, ur_t45_swio11_lednop_pr_ee_u4 },
 { 154789, ur_t45_swio11_lednop_pr_ce },
 { 154790, ur_t45_swio11_lednop_pr_ce_u4 },
 { 154791, ur_t45_swio11_lednop_pr_ee_ce },
 { 154792, ur_t45_swio11_lednop_pr_ee_ce_u4 },
 { 154812, ur_t45_swio13_noled },
 { 154813, ur_t45_swio13_noled },
 { 154814, ur_t45_swio13_noled_pr_u4 },
 { 154815, ur_t45_swio13_noled_pr_ee },
 { 154816, ur_t45_swio13_noled_pr_ee_u4 },
 { 154817, ur_t45_swio13_noled_pr_ce },
 { 154818, ur_t45_swio13_noled_pr_ce_u4 },
 { 154819, ur_t45_swio13_noled_pr_ee_ce },
 { 154820, ur_t45_swio13_noled_pr_ee_ce_u4 },
 { 154826, ur_t45_swio13_lednop },
 { 154827, ur_t45_swio13_lednop },
 { 154828, ur_t45_swio13_lednop_pr_u4 },
 { 154829, ur_t45_swio13_lednop_pr_ee },
 { 154830, ur_t45_swio13_lednop_pr_ee_u4 },
 { 154831, ur_t45_swio13_lednop_pr_ce },
 { 154832, ur_t45_swio13_lednop_pr_ce_u4 },
 { 154833, ur_t45_swio13_lednop_pr_ee_ce },
 { 154834, ur_t45_swio13_lednop_pr_ee_ce_u4 },
 { 154854, ur_t45_swio14_noled },
 { 154855, ur_t45_swio14_noled },
 { 154856, ur_t45_swio14_noled_pr_u4 },
 { 154857, ur_t45_swio14_noled_pr_ee },
 { 154858, ur_t45_swio14_noled_pr_ee_u4 },
 { 154859, ur_t45_swio14_noled_pr_ce },
 { 154860, ur_t45_swio14_noled_pr_ce_u4 },
 { 154861, ur_t45_swio14_noled_pr_ee_ce },
 { 154862, ur_t45_swio14_noled_pr_ee_ce_u4 },
 { 154868, ur_t45_swio14_lednop },
 { 154869, ur_t45_swio14_lednop },
 { 154870, ur_t45_swio14_lednop_pr_u4 },
 { 154871, ur_t45_swio14_lednop_pr_ee },
 { 154872, ur_t45_swio14_lednop_pr_ee_u4 },
 { 154873, ur_t45_swio14_lednop_pr_ce },
 { 154874, ur_t45_swio14_lednop_pr_ce_u4 },
 { 154875, ur_t45_swio14_lednop_pr_ee_ce },
 { 154876, ur_t45_swio14_lednop_pr_ee_ce_u4 },
 { 154896, ur_t45_swio15_noled },
 { 154897, ur_t45_swio15_noled },
 { 154898, ur_t45_swio15_noled_pr_u4 },
 { 154899, ur_t45_swio15_noled_pr_ee },
 { 154900, ur_t45_swio15_noled_pr_ee_u4 },
 { 154901, ur_t45_swio15_noled_pr_ce },
 { 154902, ur_t45_swio15_noled_pr_ce_u4 },
 { 154903, ur_t45_swio15_noled_pr_ee_ce },
 { 154904, ur_t45_swio15_noled_pr_ee_ce_u4 },
 { 154910, ur_t45_swio15_lednop },
 { 154911, ur_t45_swio15_lednop },
 { 154912, ur_t45_swio15_lednop_pr_u4 },
 { 154913, ur_t45_swio15_lednop_pr_ee },
 { 154914, ur_t45_swio15_lednop_pr_ee_u4 },
 { 154915, ur_t45_swio15_lednop_pr_ce },
 { 154916, ur_t45_swio15_lednop_pr_ce_u4 },
 { 154917, ur_t45_swio15_lednop_pr_ee_ce },
 { 154918, ur_t45_swio15_lednop_pr_ee_ce_u4 },
 { 155988, ur_t85_swio10_noled },
 { 155989, ur_t85_swio10_noled },
 { 155990, ur_t85_swio10_noled_pr_u4 },
 { 155991, ur_t85_swio10_noled_pr_ee },
 { 155992, ur_t85_swio10_noled_pr_ee_u4 },
 { 155993, ur_t85_swio10_noled_pr_ce },
 { 155994, ur_t85_swio10_noled_pr_ce_u4 },
 { 155995, ur_t85_swio10_noled_pr_ee_ce },
 { 155996, ur_t85_swio10_noled_pr_ee_ce_u4 },
 { 156002, ur_t85_swio10_lednop },
 { 156003, ur_t85_swio10_lednop },
 { 156004, ur_t85_swio10_lednop_pr_u4 },
 { 156005, ur_t85_swio10_lednop_pr_ee },
 { 156006, ur_t85_swio10_lednop_pr_ee_u4 },
 { 156007, ur_t85_swio10_lednop_pr_ce },
 { 156008, ur_t85_swio10_lednop_pr_ce_u4 },
 { 156009, ur_t85_swio10_lednop_pr_ee_ce },
 { 156010, ur_t85_swio10_lednop_pr_ee_ce_u4 },
 { 156030, ur_t85_swio11_noled },
 { 156031, ur_t85_swio11_noled },
 { 156032, ur_t85_swio11_noled_pr_u4 },
 { 156033, ur_t85_swio11_noled_pr_ee },
 { 156034, ur_t85_swio11_noled_pr_ee_u4 },
 { 156035, ur_t85_swio11_noled_pr_ce },
 { 156036, ur_t85_swio11_noled_pr_ce_u4 },
 { 156037, ur_t85_swio11_noled_pr_ee_ce },
 { 156038, ur_t85_swio11_noled_pr_ee_ce_u4 },
 { 156044, ur_t85_swio11_lednop },
 { 156045, ur_t85_swio11_lednop },
 { 156046, ur_t85_swio11_lednop_pr_u4 },
 { 156047, ur_t85_swio11_lednop_pr_ee },
 { 156048, ur_t85_swio11_lednop_pr_ee_u4 },
 { 156049, ur_t85_swio11_lednop_pr_ce },
 { 156050, ur_t85_swio11_lednop_pr_ce_u4 },
 { 156051, ur_t85_swio11_lednop_pr_ee_ce },
 { 156052, ur_t85_swio11_lednop_pr_ee_ce_u4 },
 { 156072, ur_t85_swio11_noled },
 { 156073, ur_t85_swio11_noled },
 { 156074, ur_t85_swio11_noled_pr_u4 },
 { 156075, ur_t85_swio11_noled_pr_ee },
 { 156076, ur_t85_swio11_noled_pr_ee_u4 },
 { 156077, ur_t85_swio11_noled_pr_ce },
 { 156078, ur_t85_swio11_noled_pr_ce_u4 },
 { 156079, ur_t85_swio11_noled_pr_ee_ce },
 { 156080, ur_t85_swio11_noled_pr_ee_ce_u4 },
 { 156086, ur_t85_swio11_lednop },
 { 156087, ur_t85_swio11_lednop },
 { 156088, ur_t85_swio11_lednop_pr_u4 },
 { 156089, ur_t85_swio11_lednop_pr_ee },
 { 156090, ur_t85_swio11_lednop_pr_ee_u4 },
 { 156091, ur_t85_swio11_lednop_pr_ce },
 { 156092, ur_t85_swio11_lednop_pr_ce_u4 },
 { 156093, ur_t85_swio11_lednop_pr_ee_ce },
 { 156094, ur_t85_swio11_lednop_pr_ee_ce_u4 },
 { 156114, ur_t85_swio13_noled },
 { 156115, ur_t85_swio13_noled },
 { 156116, ur_t85_swio13_noled_pr_u4 },
 { 156117, ur_t85_swio13_noled_pr_ee },
 { 156118, ur_t85_swio13_noled_pr_ee_u4 },
 { 156119, ur_t85_swio13_noled_pr_ce },
 { 156120, ur_t85_swio13_noled_pr_ce_u4 },
 { 156121, ur_t85_swio13_noled_pr_ee_ce },
 { 156122, ur_t85_swio13_noled_pr_ee_ce_u4 },
 { 156128, ur_t85_swio13_lednop },
 { 156129, ur_t85_swio13_lednop },
 { 156130, ur_t85_swio13_lednop_pr_u4 },
 { 156131, ur_t85_swio13_lednop_pr_ee },
 { 156132, ur_t85_swio13_lednop_pr_ee_u4 },
 { 156133, ur_t85_swio13_lednop_pr_ce },
 { 156134, ur_t85_swio13_lednop_pr_ce_u4 },
 { 156135, ur_t85_swio13_lednop_pr_ee_ce },
 { 156136, ur_t85_swio13_lednop_pr_ee_ce_u4 },
 { 156156, ur_t85_swio14_noled },
 { 156157, ur_t85_swio14_noled },
 { 156158, ur_t85_swio14_noled_pr_u4 },
 { 156159, ur_t85_swio14_noled_pr_ee },
 { 156160, ur_t85_swio14_noled_pr_ee_u4 },
 { 156161, ur_t85_swio14_noled_pr_ce },
 { 156162, ur_t85_swio14_noled_pr_ce_u4 },
 { 156163, ur_t85_swio14_noled_pr_ee_ce },
 { 156164, ur_t85_swio14_noled_pr_ee_ce_u4 },
 { 156170, ur_t85_swio14_lednop },
 { 156171, ur_t85_swio14_lednop },
 { 156172, ur_t85_swio14_lednop_pr_u4 },
 { 156173, ur_t85_swio14_lednop_pr_ee },
 { 156174, ur_t85_swio14_lednop_pr_ee_u4 },
 { 156175, ur_t85_swio14_lednop_pr_ce },
 { 156176, ur_t85_swio14_lednop_pr_ce_u4 },
 { 156177, ur_t85_swio14_lednop_pr_ee_ce },
 { 156178, ur_t85_swio14_lednop_pr_ee_ce_u4 },
 { 156198, ur_t85_swio15_noled },
 { 156199, ur_t85_swio15_noled },
 { 156200, ur_t85_swio15_noled_pr_u4 },
 { 156201, ur_t85_swio15_noled_pr_ee },
 { 156202, ur_t85_swio15_noled_pr_ee_u4 },
 { 156203, ur_t85_swio15_noled_pr_ce },
 { 156204, ur_t85_swio15_noled_pr_ce_u4 },
 { 156205, ur_t85_swio15_noled_pr_ee_ce },
 { 156206, ur_t85_swio15_noled_pr_ee_ce_u4 },
 { 156212, ur_t85_swio15_lednop },
 { 156213, ur_t85_swio15_lednop },
 { 156214, ur_t85_swio15_lednop_pr_u4 },
 { 156215, ur_t85_swio15_lednop_pr_ee },
 { 156216, ur_t85_swio15_lednop_pr_ee_u4 },
 { 156217, ur_t85_swio15_lednop_pr_ce },
 { 156218, ur_t85_swio15_lednop_pr_ce_u4 },
 { 156219, ur_t85_swio15_lednop_pr_ee_ce },
 { 156220, ur_t85_swio15_lednop_pr_ee_ce_u4 },
 { 157290, ur_t24_swio10_noled },
 { 157291, ur_t24_swio10_noled },
 { 157292, ur_t24_swio10_noled_pr_u4 },
 { 157293, ur_t24_swio10_noled_pr_ee },
 { 157294, ur_t24_swio10_noled_pr_ee_u4 },
 { 157295, ur_t24_swio10_noled_pr_ce },
 { 157296, ur_t24_swio10_noled_pr_ce_u4 },
 { 157297, ur_t24_swio10_noled_pr_ee_ce },
 { 157298, ur_t24_swio10_noled_pr_ee_ce_u4 },
 { 157304, ur_t24_swio10_lednop },
 { 157305, ur_t24_swio10_lednop },
 { 157306, ur_t24_swio10_lednop_pr_u4 },
 { 157307, ur_t24_swio10_lednop_pr_ee },
 { 157308, ur_t24_swio10_lednop_pr_ee_u4 },
 { 157309, ur_t24_swio10_lednop_pr_ce },
 { 157310, ur_t24_swio10_lednop_pr_ce_u4 },
 { 157311, ur_t24_swio10_lednop_pr_ee_ce },
 { 157312, ur_t24_swio10_lednop_pr_ee_ce_u4 },
 { 157332, ur_t24_swio11_noled },
 { 157333, ur_t24_swio11_noled },
 { 157334, ur_t24_swio11_noled_pr_u4 },
 { 157335, ur_t24_swio11_noled_pr_ee },
 { 157336, ur_t24_swio11_noled_pr_ee_u4 },
 { 157337, ur_t24_swio11_noled_pr_ce },
 { 157338, ur_t24_swio11_noled_pr_ce_u4 },
 { 157339, ur_t24_swio11_noled_pr_ee_ce },
 { 157340, ur_t24_swio11_noled_pr_ee_ce_u4 },
 { 157346, ur_t24_swio11_lednop },
 { 157347, ur_t24_swio11_lednop },
 { 157348, ur_t24_swio11_lednop_pr_u4 },
 { 157349, ur_t24_swio11_lednop_pr_ee },
 { 157350, ur_t24_swio11_lednop_pr_ee_u4 },
 { 157351, ur_t24_swio11_lednop_pr_ce },
 { 157352, ur_t24_swio11_lednop_pr_ce_u4 },
 { 157353, ur_t24_swio11_lednop_pr_ee_ce },
 { 157354, ur_t24_swio11_lednop_pr_ee_ce_u4 },
 { 157374, ur_t24_swio11_noled },
 { 157375, ur_t24_swio11_noled },
 { 157376, ur_t24_swio11_noled_pr_u4 },
 { 157377, ur_t24_swio11_noled_pr_ee },
 { 157378, ur_t24_swio11_noled_pr_ee_u4 },
 { 157379, ur_t24_swio11_noled_pr_ce },
 { 157380, ur_t24_swio11_noled_pr_ce_u4 },
 { 157381, ur_t24_swio11_noled_pr_ee_ce },
 { 157382, ur_t24_swio11_noled_pr_ee_ce_u4 },
 { 157388, ur_t24_swio11_lednop },
 { 157389, ur_t24_swio11_lednop },
 { 157390, ur_t24_swio11_lednop_pr_u4 },
 { 157391, ur_t24_swio11_lednop_pr_ee },
 { 157392, ur_t24_swio11_lednop_pr_ee_u4 },
 { 157393, ur_t24_swio11_lednop_pr_ce },
 { 157394, ur_t24_swio11_lednop_pr_ce_u4 },
 { 157395, ur_t24_swio11_lednop_pr_ee_ce },
 { 157396, ur_t24_swio11_lednop_pr_ee_ce_u4 },
 { 157416, ur_t24_swio13_noled },
 { 157417, ur_t24_swio13_noled },
 { 157418, ur_t24_swio13_noled_pr_u4 },
 { 157419, ur_t24_swio13_noled_pr_ee },
 { 157420, ur_t24_swio13_noled_pr_ee_u4 },
 { 157421, ur_t24_swio13_noled_pr_ce },
 { 157422, ur_t24_swio13_noled_pr_ce_u4 },
 { 157423, ur_t24_swio13_noled_pr_ee_ce },
 { 157424, ur_t24_swio13_noled_pr_ee_ce_u4 },
 { 157430, ur_t24_swio13_lednop },
 { 157431, ur_t24_swio13_lednop },
 { 157432, ur_t24_swio13_lednop_pr_u4 },
 { 157433, ur_t24_swio13_lednop_pr_ee },
 { 157434, ur_t24_swio13_lednop_pr_ee_u4 },
 { 157435, ur_t24_swio13_lednop_pr_ce },
 { 157436, ur_t24_swio13_lednop_pr_ce_u4 },
 { 157437, ur_t24_swio13_lednop_pr_ee_ce },
 { 157438, ur_t24_swio13_lednop_pr_ee_ce_u4 },
 { 157458, ur_t24_swio14_noled },
 { 157459, ur_t24_swio14_noled },
 { 157460, ur_t24_swio14_noled_pr_u4 },
 { 157461, ur_t24_swio14_noled_pr_ee },
 { 157462, ur_t24_swio14_noled_pr_ee_u4 },
 { 157463, ur_t24_swio14_noled_pr_ce },
 { 157464, ur_t24_swio14_noled_pr_ce_u4 },
 { 157465, ur_t24_swio14_noled_pr_ee_ce },
 { 157466, ur_t24_swio14_noled_pr_ee_ce_u4 },
 { 157472, ur_t24_swio14_lednop },
 { 157473, ur_t24_swio14_lednop },
 { 157474, ur_t24_swio14_lednop_pr_u4 },
 { 157475, ur_t24_swio14_lednop_pr_ee },
 { 157476, ur_t24_swio14_lednop_pr_ee_u4 },
 { 157477, ur_t24_swio14_lednop_pr_ce },
 { 157478, ur_t24_swio14_lednop_pr_ce_u4 },
 { 157479, ur_t24_swio14_lednop_pr_ee_ce },
 { 157480, ur_t24_swio14_lednop_pr_ee_ce_u4 },
 { 157500, ur_t24_swio15_noled },
 { 157501, ur_t24_swio15_noled },
 { 157502, ur_t24_swio15_noled_pr_u4 },
 { 157503, ur_t24_swio15_noled_pr_ee },
 { 157504, ur_t24_swio15_noled_pr_ee_u4 },
 { 157505, ur_t24_swio15_noled_pr_ce },
 { 157506, ur_t24_swio15_noled_pr_ce_u4 },
 { 157507, ur_t24_swio15_noled_pr_ee_ce },
 { 157508, ur_t24_swio15_noled_pr_ee_ce_u4 },
 { 157514, ur_t24_swio15_lednop },
 { 157515, ur_t24_swio15_lednop },
 { 157516, ur_t24_swio15_lednop_pr_u4 },
 { 157517, ur_t24_swio15_lednop_pr_ee },
 { 157518, ur_t24_swio15_lednop_pr_ee_u4 },
 { 157519, ur_t24_swio15_lednop_pr_ce },
 { 157520, ur_t24_swio15_lednop_pr_ce_u4 },
 { 157521, ur_t24_swio15_lednop_pr_ee_ce },
 { 157522, ur_t24_swio15_lednop_pr_ee_ce_u4 },
 { 158592, ur_t24_swio10_noled },
 { 158593, ur_t24_swio10_noled },
 { 158594, ur_t24_swio10_noled_pr_u4 },
 { 158595, ur_t24_swio10_noled_pr_ee },
 { 158596, ur_t24_swio10_noled_pr_ee_u4 },
 { 158597, ur_t24_swio10_noled_pr_ce },
 { 158598, ur_t24_swio10_noled_pr_ce_u4 },
 { 158599, ur_t24_swio10_noled_pr_ee_ce },
 { 158600, ur_t24_swio10_noled_pr_ee_ce_u4 },
 { 158606, ur_t24_swio10_lednop },
 { 158607, ur_t24_swio10_lednop },
 { 158608, ur_t24_swio10_lednop_pr_u4 },
 { 158609, ur_t24_swio10_lednop_pr_ee },
 { 158610, ur_t24_swio10_lednop_pr_ee_u4 },
 { 158611, ur_t24_swio10_lednop_pr_ce },
 { 158612, ur_t24_swio10_lednop_pr_ce_u4 },
 { 158613, ur_t24_swio10_lednop_pr_ee_ce },
 { 158614, ur_t24_swio10_lednop_pr_ee_ce_u4 },
 { 158634, ur_t24_swio11_noled },
 { 158635, ur_t24_swio11_noled },
 { 158636, ur_t24_swio11_noled_pr_u4 },
 { 158637, ur_t24_swio11_noled_pr_ee },
 { 158638, ur_t24_swio11_noled_pr_ee_u4 },
 { 158639, ur_t24_swio11_noled_pr_ce },
 { 158640, ur_t24_swio11_noled_pr_ce_u4 },
 { 158641, ur_t24_swio11_noled_pr_ee_ce },
 { 158642, ur_t24_swio11_noled_pr_ee_ce_u4 },
 { 158648, ur_t24_swio11_lednop },
 { 158649, ur_t24_swio11_lednop },
 { 158650, ur_t24_swio11_lednop_pr_u4 },
 { 158651, ur_t24_swio11_lednop_pr_ee },
 { 158652, ur_t24_swio11_lednop_pr_ee_u4 },
 { 158653, ur_t24_swio11_lednop_pr_ce },
 { 158654, ur_t24_swio11_lednop_pr_ce_u4 },
 { 158655, ur_t24_swio11_lednop_pr_ee_ce },
 { 158656, ur_t24_swio11_lednop_pr_ee_ce_u4 },
 { 158676, ur_t24_swio11_noled },
 { 158677, ur_t24_swio11_noled },
 { 158678, ur_t24_swio11_noled_pr_u4 },
 { 158679, ur_t24_swio11_noled_pr_ee },
 { 158680, ur_t24_swio11_noled_pr_ee_u4 },
 { 158681, ur_t24_swio11_noled_pr_ce },
 { 158682, ur_t24_swio11_noled_pr_ce_u4 },
 { 158683, ur_t24_swio11_noled_pr_ee_ce },
 { 158684, ur_t24_swio11_noled_pr_ee_ce_u4 },
 { 158690, ur_t24_swio11_lednop },
 { 158691, ur_t24_swio11_lednop },
 { 158692, ur_t24_swio11_lednop_pr_u4 },
 { 158693, ur_t24_swio11_lednop_pr_ee },
 { 158694, ur_t24_swio11_lednop_pr_ee_u4 },
 { 158695, ur_t24_swio11_lednop_pr_ce },
 { 158696, ur_t24_swio11_lednop_pr_ce_u4 },
 { 158697, ur_t24_swio11_lednop_pr_ee_ce },
 { 158698, ur_t24_swio11_lednop_pr_ee_ce_u4 },
 { 158718, ur_t24_swio13_noled },
 { 158719, ur_t24_swio13_noled },
 { 158720, ur_t24_swio13_noled_pr_u4 },
 { 158721, ur_t24_swio13_noled_pr_ee },
 { 158722, ur_t24_swio13_noled_pr_ee_u4 },
 { 158723, ur_t24_swio13_noled_pr_ce },
 { 158724, ur_t24_swio13_noled_pr_ce_u4 },
 { 158725, ur_t24_swio13_noled_pr_ee_ce },
 { 158726, ur_t24_swio13_noled_pr_ee_ce_u4 },
 { 158732, ur_t24_swio13_lednop },
 { 158733, ur_t24_swio13_lednop },
 { 158734, ur_t24_swio13_lednop_pr_u4 },
 { 158735, ur_t24_swio13_lednop_pr_ee },
 { 158736, ur_t24_swio13_lednop_pr_ee_u4 },
 { 158737, ur_t24_swio13_lednop_pr_ce },
 { 158738, ur_t24_swio13_lednop_pr_ce_u4 },
 { 158739, ur_t24_swio13_lednop_pr_ee_ce },
 { 158740, ur_t24_swio13_lednop_pr_ee_ce_u4 },
 { 158760, ur_t24_swio14_noled },
 { 158761, ur_t24_swio14_noled },
 { 158762, ur_t24_swio14_noled_pr_u4 },
 { 158763, ur_t24_swio14_noled_pr_ee },
 { 158764, ur_t24_swio14_noled_pr_ee_u4 },
 { 158765, ur_t24_swio14_noled_pr_ce },
 { 158766, ur_t24_swio14_noled_pr_ce_u4 },
 { 158767, ur_t24_swio14_noled_pr_ee_ce },
 { 158768, ur_t24_swio14_noled_pr_ee_ce_u4 },
 { 158774, ur_t24_swio14_lednop },
 { 158775, ur_t24_swio14_lednop },
 { 158776, ur_t24_swio14_lednop_pr_u4 },
 { 158777, ur_t24_swio14_lednop_pr_ee },
 { 158778, ur_t24_swio14_lednop_pr_ee_u4 },
 { 158779, ur_t24_swio14_lednop_pr_ce },
 { 158780, ur_t24_swio14_lednop_pr_ce_u4 },
 { 158781, ur_t24_swio14_lednop_pr_ee_ce },
 { 158782, ur_t24_swio14_lednop_pr_ee_ce_u4 },
 { 158802, ur_t24_swio15_noled },
 { 158803, ur_t24_swio15_noled },
 { 158804, ur_t24_swio15_noled_pr_u4 },
 { 158805, ur_t24_swio15_noled_pr_ee },
 { 158806, ur_t24_swio15_noled_pr_ee_u4 },
 { 158807, ur_t24_swio15_noled_pr_ce },
 { 158808, ur_t24_swio15_noled_pr_ce_u4 },
 { 158809, ur_t24_swio15_noled_pr_ee_ce },
 { 158810, ur_t24_swio15_noled_pr_ee_ce_u4 },
 { 158816, ur_t24_swio15_lednop },
 { 158817, ur_t24_swio15_lednop },
 { 158818, ur_t24_swio15_lednop_pr_u4 },
 { 158819, ur_t24_swio15_lednop_pr_ee },
 { 158820, ur_t24_swio15_lednop_pr_ee_u4 },
 { 158821, ur_t24_swio15_lednop_pr_ce },
 { 158822, ur_t24_swio15_lednop_pr_ce_u4 },
 { 158823, ur_t24_swio15_lednop_pr_ee_ce },
 { 158824, ur_t24_swio15_lednop_pr_ee_ce_u4 },
 { 159894, ur_t44_swio10_noled },
 { 159895, ur_t44_swio10_noled },
 { 159896, ur_t44_swio10_noled_pr_u4 },
 { 159897, ur_t44_swio10_noled_pr_ee },
 { 159898, ur_t44_swio10_noled_pr_ee_u4 },
 { 159899, ur_t44_swio10_noled_pr_ce },
 { 159900, ur_t44_swio10_noled_pr_ce_u4 },
 { 159901, ur_t44_swio10_noled_pr_ee_ce },
 { 159902, ur_t44_swio10_noled_pr_ee_ce_u4 },
 { 159908, ur_t44_swio10_lednop },
 { 159909, ur_t44_swio10_lednop },
 { 159910, ur_t44_swio10_lednop_pr_u4 },
 { 159911, ur_t44_swio10_lednop_pr_ee },
 { 159912, ur_t44_swio10_lednop_pr_ee_u4 },
 { 159913, ur_t44_swio10_lednop_pr_ce },
 { 159914, ur_t44_swio10_lednop_pr_ce_u4 },
 { 159915, ur_t44_swio10_lednop_pr_ee_ce },
 { 159916, ur_t44_swio10_lednop_pr_ee_ce_u4 },
 { 159936, ur_t44_swio11_noled },
 { 159937, ur_t44_swio11_noled },
 { 159938, ur_t44_swio11_noled_pr_u4 },
 { 159939, ur_t44_swio11_noled_pr_ee },
 { 159940, ur_t44_swio11_noled_pr_ee_u4 },
 { 159941, ur_t44_swio11_noled_pr_ce },
 { 159942, ur_t44_swio11_noled_pr_ce_u4 },
 { 159943, ur_t44_swio11_noled_pr_ee_ce },
 { 159944, ur_t44_swio11_noled_pr_ee_ce_u4 },
 { 159950, ur_t44_swio11_lednop },
 { 159951, ur_t44_swio11_lednop },
 { 159952, ur_t44_swio11_lednop_pr_u4 },
 { 159953, ur_t44_swio11_lednop_pr_ee },
 { 159954, ur_t44_swio11_lednop_pr_ee_u4 },
 { 159955, ur_t44_swio11_lednop_pr_ce },
 { 159956, ur_t44_swio11_lednop_pr_ce_u4 },
 { 159957, ur_t44_swio11_lednop_pr_ee_ce },
 { 159958, ur_t44_swio11_lednop_pr_ee_ce_u4 },
 { 159978, ur_t44_swio11_noled },
 { 159979, ur_t44_swio11_noled },
 { 159980, ur_t44_swio11_noled_pr_u4 },
 { 159981, ur_t44_swio11_noled_pr_ee },
 { 159982, ur_t44_swio11_noled_pr_ee_u4 },
 { 159983, ur_t44_swio11_noled_pr_ce },
 { 159984, ur_t44_swio11_noled_pr_ce_u4 },
 { 159985, ur_t44_swio11_noled_pr_ee_ce },
 { 159986, ur_t44_swio11_noled_pr_ee_ce_u4 },
 { 159992, ur_t44_swio11_lednop },
 { 159993, ur_t44_swio11_lednop },
 { 159994, ur_t44_swio11_lednop_pr_u4 },
 { 159995, ur_t44_swio11_lednop_pr_ee },
 { 159996, ur_t44_swio11_lednop_pr_ee_u4 },
 { 159997, ur_t44_swio11_lednop_pr_ce },
 { 159998, ur_t44_swio11_lednop_pr_ce_u4 },
 { 159999, ur_t44_swio11_lednop_pr_ee_ce },
 { 160000, ur_t44_swio11_lednop_pr_ee_ce_u4 },
 { 160020, ur_t44_swio13_noled },
 { 160021, ur_t44_swio13_noled },
 { 160022, ur_t44_swio13_noled_pr_u4 },
 { 160023, ur_t44_swio13_noled_pr_ee },
 { 160024, ur_t44_swio13_noled_pr_ee_u4 },
 { 160025, ur_t44_swio13_noled_pr_ce },
 { 160026, ur_t44_swio13_noled_pr_ce_u4 },
 { 160027, ur_t44_swio13_noled_pr_ee_ce },
 { 160028, ur_t44_swio13_noled_pr_ee_ce_u4 },
 { 160034, ur_t44_swio13_lednop },
 { 160035, ur_t44_swio13_lednop },
 { 160036, ur_t44_swio13_lednop_pr_u4 },
 { 160037, ur_t44_swio13_lednop_pr_ee },
 { 160038, ur_t44_swio13_lednop_pr_ee_u4 },
 { 160039, ur_t44_swio13_lednop_pr_ce },
 { 160040, ur_t44_swio13_lednop_pr_ce_u4 },
 { 160041, ur_t44_swio13_lednop_pr_ee_ce },
 { 160042, ur_t44_swio13_lednop_pr_ee_ce_u4 },
 { 160062, ur_t44_swio14_noled },
 { 160063, ur_t44_swio14_noled },
 { 160064, ur_t44_swio14_noled_pr_u4 },
 { 160065, ur_t44_swio14_noled_pr_ee },
 { 160066, ur_t44_swio14_noled_pr_ee_u4 },
 { 160067, ur_t44_swio14_noled_pr_ce },
 { 160068, ur_t44_swio14_noled_pr_ce_u4 },
 { 160069, ur_t44_swio14_noled_pr_ee_ce },
 { 160070, ur_t44_swio14_noled_pr_ee_ce_u4 },
 { 160076, ur_t44_swio14_lednop },
 { 160077, ur_t44_swio14_lednop },
 { 160078, ur_t44_swio14_lednop_pr_u4 },
 { 160079, ur_t44_swio14_lednop_pr_ee },
 { 160080, ur_t44_swio14_lednop_pr_ee_u4 },
 { 160081, ur_t44_swio14_lednop_pr_ce },
 { 160082, ur_t44_swio14_lednop_pr_ce_u4 },
 { 160083, ur_t44_swio14_lednop_pr_ee_ce },
 { 160084, ur_t44_swio14_lednop_pr_ee_ce_u4 },
 { 160104, ur_t44_swio15_noled },
 { 160105, ur_t44_swio15_noled },
 { 160106, ur_t44_swio15_noled_pr_u4 },
 { 160107, ur_t44_swio15_noled_pr_ee },
 { 160108, ur_t44_swio15_noled_pr_ee_u4 },
 { 160109, ur_t44_swio15_noled_pr_ce },
 { 160110, ur_t44_swio15_noled_pr_ce_u4 },
 { 160111, ur_t44_swio15_noled_pr_ee_ce },
 { 160112, ur_t44_swio15_noled_pr_ee_ce_u4 },
 { 160118, ur_t44_swio15_lednop },
 { 160119, ur_t44_swio15_lednop },
 { 160120, ur_t44_swio15_lednop_pr_u4 },
 { 160121, ur_t44_swio15_lednop_pr_ee },
 { 160122, ur_t44_swio15_lednop_pr_ee_u4 },
 { 160123, ur_t44_swio15_lednop_pr_ce },
 { 160124, ur_t44_swio15_lednop_pr_ce_u4 },
 { 160125, ur_t44_swio15_lednop_pr_ee_ce },
 { 160126, ur_t44_swio15_lednop_pr_ee_ce_u4 },
 { 161196, ur_t44_swio10_noled },
 { 161197, ur_t44_swio10_noled },
 { 161198, ur_t44_swio10_noled_pr_u4 },
 { 161199, ur_t44_swio10_noled_pr_ee },
 { 161200, ur_t44_swio10_noled_pr_ee_u4 },
 { 161201, ur_t44_swio10_noled_pr_ce },
 { 161202, ur_t44_swio10_noled_pr_ce_u4 },
 { 161203, ur_t44_swio10_noled_pr_ee_ce },
 { 161204, ur_t44_swio10_noled_pr_ee_ce_u4 },
 { 161210, ur_t44_swio10_lednop },
 { 161211, ur_t44_swio10_lednop },
 { 161212, ur_t44_swio10_lednop_pr_u4 },
 { 161213, ur_t44_swio10_lednop_pr_ee },
 { 161214, ur_t44_swio10_lednop_pr_ee_u4 },
 { 161215, ur_t44_swio10_lednop_pr_ce },
 { 161216, ur_t44_swio10_lednop_pr_ce_u4 },
 { 161217, ur_t44_swio10_lednop_pr_ee_ce },
 { 161218, ur_t44_swio10_lednop_pr_ee_ce_u4 },
 { 161238, ur_t44_swio11_noled },
 { 161239, ur_t44_swio11_noled },
 { 161240, ur_t44_swio11_noled_pr_u4 },
 { 161241, ur_t44_swio11_noled_pr_ee },
 { 161242, ur_t44_swio11_noled_pr_ee_u4 },
 { 161243, ur_t44_swio11_noled_pr_ce },
 { 161244, ur_t44_swio11_noled_pr_ce_u4 },
 { 161245, ur_t44_swio11_noled_pr_ee_ce },
 { 161246, ur_t44_swio11_noled_pr_ee_ce_u4 },
 { 161252, ur_t44_swio11_lednop },
 { 161253, ur_t44_swio11_lednop },
 { 161254, ur_t44_swio11_lednop_pr_u4 },
 { 161255, ur_t44_swio11_lednop_pr_ee },
 { 161256, ur_t44_swio11_lednop_pr_ee_u4 },
 { 161257, ur_t44_swio11_lednop_pr_ce },
 { 161258, ur_t44_swio11_lednop_pr_ce_u4 },
 { 161259, ur_t44_swio11_lednop_pr_ee_ce },
 { 161260, ur_t44_swio11_lednop_pr_ee_ce_u4 },
 { 161280, ur_t44_swio11_noled },
 { 161281, ur_t44_swio11_noled },
 { 161282, ur_t44_swio11_noled_pr_u4 },
 { 161283, ur_t44_swio11_noled_pr_ee },
 { 161284, ur_t44_swio11_noled_pr_ee_u4 },
 { 161285, ur_t44_swio11_noled_pr_ce },
 { 161286, ur_t44_swio11_noled_pr_ce_u4 },
 { 161287, ur_t44_swio11_noled_pr_ee_ce },
 { 161288, ur_t44_swio11_noled_pr_ee_ce_u4 },
 { 161294, ur_t44_swio11_lednop },
 { 161295, ur_t44_swio11_lednop },
 { 161296, ur_t44_swio11_lednop_pr_u4 },
 { 161297, ur_t44_swio11_lednop_pr_ee },
 { 161298, ur_t44_swio11_lednop_pr_ee_u4 },
 { 161299, ur_t44_swio11_lednop_pr_ce },
 { 161300, ur_t44_swio11_lednop_pr_ce_u4 },
 { 161301, ur_t44_swio11_lednop_pr_ee_ce },
 { 161302, ur_t44_swio11_lednop_pr_ee_ce_u4 },
 { 161322, ur_t44_swio13_noled },
 { 161323, ur_t44_swio13_noled },
 { 161324, ur_t44_swio13_noled_pr_u4 },
 { 161325, ur_t44_swio13_noled_pr_ee },
 { 161326, ur_t44_swio13_noled_pr_ee_u4 },
 { 161327, ur_t44_swio13_noled_pr_ce },
 { 161328, ur_t44_swio13_noled_pr_ce_u4 },
 { 161329, ur_t44_swio13_noled_pr_ee_ce },
 { 161330, ur_t44_swio13_noled_pr_ee_ce_u4 },
 { 161336, ur_t44_swio13_lednop },
 { 161337, ur_t44_swio13_lednop },
 { 161338, ur_t44_swio13_lednop_pr_u4 },
 { 161339, ur_t44_swio13_lednop_pr_ee },
 { 161340, ur_t44_swio13_lednop_pr_ee_u4 },
 { 161341, ur_t44_swio13_lednop_pr_ce },
 { 161342, ur_t44_swio13_lednop_pr_ce_u4 },
 { 161343, ur_t44_swio13_lednop_pr_ee_ce },
 { 161344, ur_t44_swio13_lednop_pr_ee_ce_u4 },
 { 161364, ur_t44_swio14_noled },
 { 161365, ur_t44_swio14_noled },
 { 161366, ur_t44_swio14_noled_pr_u4 },
 { 161367, ur_t44_swio14_noled_pr_ee },
 { 161368, ur_t44_swio14_noled_pr_ee_u4 },
 { 161369, ur_t44_swio14_noled_pr_ce },
 { 161370, ur_t44_swio14_noled_pr_ce_u4 },
 { 161371, ur_t44_swio14_noled_pr_ee_ce },
 { 161372, ur_t44_swio14_noled_pr_ee_ce_u4 },
 { 161378, ur_t44_swio14_lednop },
 { 161379, ur_t44_swio14_lednop },
 { 161380, ur_t44_swio14_lednop_pr_u4 },
 { 161381, ur_t44_swio14_lednop_pr_ee },
 { 161382, ur_t44_swio14_lednop_pr_ee_u4 },
 { 161383, ur_t44_swio14_lednop_pr_ce },
 { 161384, ur_t44_swio14_lednop_pr_ce_u4 },
 { 161385, ur_t44_swio14_lednop_pr_ee_ce },
 { 161386, ur_t44_swio14_lednop_pr_ee_ce_u4 },
 { 161406, ur_t44_swio15_noled },
 { 161407, ur_t44_swio15_noled },
 { 161408, ur_t44_swio15_noled_pr_u4 },
 { 161409, ur_t44_swio15_noled_pr_ee },
 { 161410, ur_t44_swio15_noled_pr_ee_u4 },
 { 161411, ur_t44_swio15_noled_pr_ce },
 { 161412, ur_t44_swio15_noled_pr_ce_u4 },
 { 161413, ur_t44_swio15_noled_pr_ee_ce },
 { 161414, ur_t44_swio15_noled_pr_ee_ce_u4 },
 { 161420, ur_t44_swio15_lednop },
 { 161421, ur_t44_swio15_lednop },
 { 161422, ur_t44_swio15_lednop_pr_u4 },
 { 161423, ur_t44_swio15_lednop_pr_ee },
 { 161424, ur_t44_swio15_lednop_pr_ee_u4 },
 { 161425, ur_t44_swio15_lednop_pr_ce },
 { 161426, ur_t44_swio15_lednop_pr_ce_u4 },
 { 161427, ur_t44_swio15_lednop_pr_ee_ce },
 { 161428, ur_t44_swio15_lednop_pr_ee_ce_u4 },
 { 162498, ur_t84_swio10_noled },
 { 162499, ur_t84_swio10_noled },
 { 162500, ur_t84_swio10_noled_pr_u4 },
 { 162501, ur_t84_swio10_noled_pr_ee },
 { 162502, ur_t84_swio10_noled_pr_ee_u4 },
 { 162503, ur_t84_swio10_noled_pr_ce },
 { 162504, ur_t84_swio10_noled_pr_ce_u4 },
 { 162505, ur_t84_swio10_noled_pr_ee_ce },
 { 162506, ur_t84_swio10_noled_pr_ee_ce_u4 },
 { 162512, ur_t84_swio10_lednop },
 { 162513, ur_t84_swio10_lednop },
 { 162514, ur_t84_swio10_lednop_pr_u4 },
 { 162515, ur_t84_swio10_lednop_pr_ee },
 { 162516, ur_t84_swio10_lednop_pr_ee_u4 },
 { 162517, ur_t84_swio10_lednop_pr_ce },
 { 162518, ur_t84_swio10_lednop_pr_ce_u4 },
 { 162519, ur_t84_swio10_lednop_pr_ee_ce },
 { 162520, ur_t84_swio10_lednop_pr_ee_ce_u4 },
 { 162540, ur_t84_swio11_noled },
 { 162541, ur_t84_swio11_noled },
 { 162542, ur_t84_swio11_noled_pr_u4 },
 { 162543, ur_t84_swio11_noled_pr_ee },
 { 162544, ur_t84_swio11_noled_pr_ee_u4 },
 { 162545, ur_t84_swio11_noled_pr_ce },
 { 162546, ur_t84_swio11_noled_pr_ce_u4 },
 { 162547, ur_t84_swio11_noled_pr_ee_ce },
 { 162548, ur_t84_swio11_noled_pr_ee_ce_u4 },
 { 162554, ur_t84_swio11_lednop },
 { 162555, ur_t84_swio11_lednop },
 { 162556, ur_t84_swio11_lednop_pr_u4 },
 { 162557, ur_t84_swio11_lednop_pr_ee },
 { 162558, ur_t84_swio11_lednop_pr_ee_u4 },
 { 162559, ur_t84_swio11_lednop_pr_ce },
 { 162560, ur_t84_swio11_lednop_pr_ce_u4 },
 { 162561, ur_t84_swio11_lednop_pr_ee_ce },
 { 162562, ur_t84_swio11_lednop_pr_ee_ce_u4 },
 { 162582, ur_t84_swio11_noled },
 { 162583, ur_t84_swio11_noled },
 { 162584, ur_t84_swio11_noled_pr_u4 },
 { 162585, ur_t84_swio11_noled_pr_ee },
 { 162586, ur_t84_swio11_noled_pr_ee_u4 },
 { 162587, ur_t84_swio11_noled_pr_ce },
 { 162588, ur_t84_swio11_noled_pr_ce_u4 },
 { 162589, ur_t84_swio11_noled_pr_ee_ce },
 { 162590, ur_t84_swio11_noled_pr_ee_ce_u4 },
 { 162596, ur_t84_swio11_lednop },
 { 162597, ur_t84_swio11_lednop },
 { 162598, ur_t84_swio11_lednop_pr_u4 },
 { 162599, ur_t84_swio11_lednop_pr_ee },
 { 162600, ur_t84_swio11_lednop_pr_ee_u4 },
 { 162601, ur_t84_swio11_lednop_pr_ce },
 { 162602, ur_t84_swio11_lednop_pr_ce_u4 },
 { 162603, ur_t84_swio11_lednop_pr_ee_ce },
 { 162604, ur_t84_swio11_lednop_pr_ee_ce_u4 },
 { 162624, ur_t84_swio13_noled },
 { 162625, ur_t84_swio13_noled },
 { 162626, ur_t84_swio13_noled_pr_u4 },
 { 162627, ur_t84_swio13_noled_pr_ee },
 { 162628, ur_t84_swio13_noled_pr_ee_u4 },
 { 162629, ur_t84_swio13_noled_pr_ce },
 { 162630, ur_t84_swio13_noled_pr_ce_u4 },
 { 162631, ur_t84_swio13_noled_pr_ee_ce },
 { 162632, ur_t84_swio13_noled_pr_ee_ce_u4 },
 { 162638, ur_t84_swio13_lednop },
 { 162639, ur_t84_swio13_lednop },
 { 162640, ur_t84_swio13_lednop_pr_u4 },
 { 162641, ur_t84_swio13_lednop_pr_ee },
 { 162642, ur_t84_swio13_lednop_pr_ee_u4 },
 { 162643, ur_t84_swio13_lednop_pr_ce },
 { 162644, ur_t84_swio13_lednop_pr_ce_u4 },
 { 162645, ur_t84_swio13_lednop_pr_ee_ce },
 { 162646, ur_t84_swio13_lednop_pr_ee_ce_u4 },
 { 162666, ur_t84_swio14_noled },
 { 162667, ur_t84_swio14_noled },
 { 162668, ur_t84_swio14_noled_pr_u4 },
 { 162669, ur_t84_swio14_noled_pr_ee },
 { 162670, ur_t84_swio14_noled_pr_ee_u4 },
 { 162671, ur_t84_swio14_noled_pr_ce },
 { 162672, ur_t84_swio14_noled_pr_ce_u4 },
 { 162673, ur_t84_swio14_noled_pr_ee_ce },
 { 162674, ur_t84_swio14_noled_pr_ee_ce_u4 },
 { 162680, ur_t84_swio14_lednop },
 { 162681, ur_t84_swio14_lednop },
 { 162682, ur_t84_swio14_lednop_pr_u4 },
 { 162683, ur_t84_swio14_lednop_pr_ee },
 { 162684, ur_t84_swio14_lednop_pr_ee_u4 },
 { 162685, ur_t84_swio14_lednop_pr_ce },
 { 162686, ur_t84_swio14_lednop_pr_ce_u4 },
 { 162687, ur_t84_swio14_lednop_pr_ee_ce },
 { 162688, ur_t84_swio14_lednop_pr_ee_ce_u4 },
 { 162708, ur_t84_swio15_noled },
 { 162709, ur_t84_swio15_noled },
 { 162710, ur_t84_swio15_noled_pr_u4 },
 { 162711, ur_t84_swio15_noled_pr_ee },
 { 162712, ur_t84_swio15_noled_pr_ee_u4 },
 { 162713, ur_t84_swio15_noled_pr_ce },
 { 162714, ur_t84_swio15_noled_pr_ce_u4 },
 { 162715, ur_t84_swio15_noled_pr_ee_ce },
 { 162716, ur_t84_swio15_noled_pr_ee_ce_u4 },
 { 162722, ur_t84_swio15_lednop },
 { 162723, ur_t84_swio15_lednop },
 { 162724, ur_t84_swio15_lednop_pr_u4 },
 { 162725, ur_t84_swio15_lednop_pr_ee },
 { 162726, ur_t84_swio15_lednop_pr_ee_u4 },
 { 162727, ur_t84_swio15_lednop_pr_ce },
 { 162728, ur_t84_swio15_lednop_pr_ce_u4 },
 { 162729, ur_t84_swio15_lednop_pr_ee_ce },
 { 162730, ur_t84_swio15_lednop_pr_ee_ce_u4 },
 { 163800, ur_t44_swio10_noled },
 { 163801, ur_t44_swio10_noled },
 { 163802, ur_t44_swio10_noled_pr_u4 },
 { 163803, ur_t84a_swio10_noled_pr_ee },
 { 163804, ur_t84a_swio10_noled_pr_ee_u4 },
 { 163805, ur_t84a_swio10_noled_pr_ce },
 { 163806, ur_t84a_swio10_noled_pr_ce_u4 },
 { 163807, ur_t84a_swio10_noled_pr_ee_ce },
 { 163808, ur_t84a_swio10_noled_pr_ee_ce_u4 },
 { 163814, ur_t44_swio10_lednop },
 { 163815, ur_t44_swio10_lednop },
 { 163816, ur_t44_swio10_lednop_pr_u4 },
 { 163817, ur_t84a_swio10_lednop_pr_ee },
 { 163818, ur_t84a_swio10_lednop_pr_ee_u4 },
 { 163819, ur_t84a_swio10_lednop_pr_ce },
 { 163820, ur_t84a_swio10_lednop_pr_ce_u4 },
 { 163821, ur_t84a_swio10_lednop_pr_ee_ce },
 { 163822, ur_t84a_swio10_lednop_pr_ee_ce_u4 },
 { 163842, ur_t44_swio11_noled },
 { 163843, ur_t44_swio11_noled },
 { 163844, ur_t44_swio11_noled_pr_u4 },
 { 163845, ur_t84a_swio11_noled_pr_ee },
 { 163846, ur_t84a_swio11_noled_pr_ee_u4 },
 { 163847, ur_t84a_swio11_noled_pr_ce },
 { 163848, ur_t84a_swio11_noled_pr_ce_u4 },
 { 163849, ur_t84a_swio11_noled_pr_ee_ce },
 { 163850, ur_t84a_swio11_noled_pr_ee_ce_u4 },
 { 163856, ur_t44_swio11_lednop },
 { 163857, ur_t44_swio11_lednop },
 { 163858, ur_t44_swio11_lednop_pr_u4 },
 { 163859, ur_t84a_swio11_lednop_pr_ee },
 { 163860, ur_t84a_swio11_lednop_pr_ee_u4 },
 { 163861, ur_t84a_swio11_lednop_pr_ce },
 { 163862, ur_t84a_swio11_lednop_pr_ce_u4 },
 { 163863, ur_t84a_swio11_lednop_pr_ee_ce },
 { 163864, ur_t84a_swio11_lednop_pr_ee_ce_u4 },
 { 163884, ur_t44_swio11_noled },
 { 163885, ur_t44_swio11_noled },
 { 163886, ur_t44_swio11_noled_pr_u4 },
 { 163887, ur_t84a_swio11_noled_pr_ee },
 { 163888, ur_t84a_swio11_noled_pr_ee_u4 },
 { 163889, ur_t84a_swio11_noled_pr_ce },
 { 163890, ur_t84a_swio11_noled_pr_ce_u4 },
 { 163891, ur_t84a_swio11_noled_pr_ee_ce },
 { 163892, ur_t84a_swio11_noled_pr_ee_ce_u4 },
 { 163898, ur_t44_swio11_lednop },
 { 163899, ur_t44_swio11_lednop },
 { 163900, ur_t44_swio11_lednop_pr_u4 },
 { 163901, ur_t84a_swio11_lednop_pr_ee },
 { 163902, ur_t84a_swio11_lednop_pr_ee_u4 },
 { 163903, ur_t84a_swio11_lednop_pr_ce },
 { 163904, ur_t84a_swio11_lednop_pr_ce_u4 },
 { 163905, ur_t84a_swio11_lednop_pr_ee_ce },
 { 163906, ur_t84a_swio11_lednop_pr_ee_ce_u4 },
 { 163926, ur_t44_swio13_noled },
 { 163927, ur_t44_swio13_noled },
 { 163928, ur_t44_swio13_noled_pr_u4 },
 { 163929, ur_t84a_swio13_noled_pr_ee },
 { 163930, ur_t84a_swio13_noled_pr_ee_u4 },
 { 163931, ur_t84a_swio13_noled_pr_ce },
 { 163932, ur_t84a_swio13_noled_pr_ce_u4 },
 { 163933, ur_t84a_swio13_noled_pr_ee_ce },
 { 163934, ur_t84a_swio13_noled_pr_ee_ce_u4 },
 { 163940, ur_t44_swio13_lednop },
 { 163941, ur_t44_swio13_lednop },
 { 163942, ur_t44_swio13_lednop_pr_u4 },
 { 163943, ur_t84a_swio13_lednop_pr_ee },
 { 163944, ur_t84a_swio13_lednop_pr_ee_u4 },
 { 163945, ur_t84a_swio13_lednop_pr_ce },
 { 163946, ur_t84a_swio13_lednop_pr_ce_u4 },
 { 163947, ur_t84a_swio13_lednop_pr_ee_ce },
 { 163948, ur_t84a_swio13_lednop_pr_ee_ce_u4 },
 { 163968, ur_t44_swio14_noled },
 { 163969, ur_t44_swio14_noled },
 { 163970, ur_t44_swio14_noled_pr_u4 },
 { 163971, ur_t84a_swio14_noled_pr_ee },
 { 163972, ur_t84a_swio14_noled_pr_ee_u4 },
 { 163973, ur_t84a_swio14_noled_pr_ce },
 { 163974, ur_t84a_swio14_noled_pr_ce_u4 },
 { 163975, ur_t84a_swio14_noled_pr_ee_ce },
 { 163976, ur_t84a_swio14_noled_pr_ee_ce_u4 },
 { 163982, ur_t44_swio14_lednop },
 { 163983, ur_t44_swio14_lednop },
 { 163984, ur_t44_swio14_lednop_pr_u4 },
 { 163985, ur_t84a_swio14_lednop_pr_ee },
 { 163986, ur_t84a_swio14_lednop_pr_ee_u4 },
 { 163987, ur_t84a_swio14_lednop_pr_ce },
 { 163988, ur_t84a_swio14_lednop_pr_ce_u4 },
 { 163989, ur_t84a_swio14_lednop_pr_ee_ce },
 { 163990, ur_t84a_swio14_lednop_pr_ee_ce_u4 },
 { 164010, ur_t44_swio15_noled },
 { 164011, ur_t44_swio15_noled },
 { 164012, ur_t44_swio15_noled_pr_u4 },
 { 164013, ur_t84a_swio15_noled_pr_ee },
 { 164014, ur_t84a_swio15_noled_pr_ee_u4 },
 { 164015, ur_t84a_swio15_noled_pr_ce },
 { 164016, ur_t84a_swio15_noled_pr_ce_u4 },
 { 164017, ur_t84a_swio15_noled_pr_ee_ce },
 { 164018, ur_t84a_swio15_noled_pr_ee_ce_u4 },
 { 164024, ur_t44_swio15_lednop },
 { 164025, ur_t44_swio15_lednop },
 { 164026, ur_t44_swio15_lednop_pr_u4 },
 { 164027, ur_t84a_swio15_lednop_pr_ee },
 { 164028, ur_t84a_swio15_lednop_pr_ee_u4 },
 { 164029, ur_t84a_swio15_lednop_pr_ce },
 { 164030, ur_t84a_swio15_lednop_pr_ce_u4 },
 { 164031, ur_t84a_swio15_lednop_pr_ee_ce },
 { 164032, ur_t84a_swio15_lednop_pr_ee_ce_u4 },
 { 164052, ur_t1634_autobaud_uart0_noled },
 { 164053, ur_t1634_autobaud_uart0_noled },
 { 164054, ur_t1634_autobaud_uart0_noled },
 { 164055, ur_t1634_autobaud_uart0_noled_pr_ee },
 { 164056, ur_t1634_autobaud_uart0_noled_pr_ee },
 { 164057, ur_t1634_autobaud_uart0_noled_pr_ce },
 { 164058, ur_t1634_autobaud_uart0_noled_pr_ce },
 { 164059, ur_t1634_autobaud_uart0_noled_pr_ee_ce },
 { 164060, ur_t1634_autobaud_uart0_noled_pr_ee_ce },
 { 164066, ur_t1634_autobaud_uart0_lednop },
 { 164067, ur_t1634_autobaud_uart0_lednop },
 { 164068, ur_t1634_autobaud_uart0_lednop },
 { 164069, ur_t1634_autobaud_uart0_lednop_pr_ee },
 { 164070, ur_t1634_autobaud_uart0_lednop_pr_ee },
 { 164071, ur_t1634_autobaud_uart0_lednop_pr_ce },
 { 164072, ur_t1634_autobaud_uart0_lednop_pr_ce },
 { 164073, ur_t1634_autobaud_uart0_lednop_pr_ee_ce },
 { 164074, ur_t1634_autobaud_uart0_lednop_pr_ee_ce },
 { 164136, ur_t1634_autobaud_uart1_noled },
 { 164137, ur_t1634_autobaud_uart1_noled },
 { 164138, ur_t1634_autobaud_uart1_noled },
 { 164139, ur_t1634_autobaud_uart1_noled_pr_ee },
 { 164140, ur_t1634_autobaud_uart1_noled_pr_ee },
 { 164141, ur_t1634_autobaud_uart1_noled_pr_ce },
 { 164142, ur_t1634_autobaud_uart1_noled_pr_ce },
 { 164143, ur_t1634_autobaud_uart1_noled_pr_ee_ce },
 { 164144, ur_t1634_autobaud_uart1_noled_pr_ee_ce },
 { 164150, ur_t1634_autobaud_uart1_lednop },
 { 164151, ur_t1634_autobaud_uart1_lednop },
 { 164152, ur_t1634_autobaud_uart1_lednop },
 { 164153, ur_t1634_autobaud_uart1_lednop_pr_ee },
 { 164154, ur_t1634_autobaud_uart1_lednop_pr_ee },
 { 164155, ur_t1634_autobaud_uart1_lednop_pr_ce },
 { 164156, ur_t1634_autobaud_uart1_lednop_pr_ce },
 { 164157, ur_t1634_autobaud_uart1_lednop_pr_ee_ce },
 { 164158, ur_t1634_autobaud_uart1_lednop_pr_ee_ce },
 { 164262, ur_t1634_u1x8_uart0_noled },
 { 164263, ur_t1634_u1x8_uart0_noled },
 { 164264, ur_t1634_u1x8_uart0_noled },
 { 164265, ur_t1634_u1x8_uart0_noled_pr_ee },
 { 164266, ur_t1634_u1x8_uart0_noled_pr_ee },
 { 164267, ur_t1634_u1x8_uart0_noled_pr_ce },
 { 164268, ur_t1634_u1x8_uart0_noled_pr_ce },
 { 164269, ur_t1634_u1x8_uart0_noled_pr_ee_ce },
 { 164270, ur_t1634_u1x8_uart0_noled_pr_ee_ce },
 { 164276, ur_t1634_u1x8_uart0_lednop },
 { 164277, ur_t1634_u1x8_uart0_lednop },
 { 164278, ur_t1634_u1x8_uart0_lednop },
 { 164279, ur_t1634_u1x8_uart0_lednop_pr_ee },
 { 164280, ur_t1634_u1x8_uart0_lednop_pr_ee },
 { 164281, ur_t1634_u1x8_uart0_lednop_pr_ce },
 { 164282, ur_t1634_u1x8_uart0_lednop_pr_ce },
 { 164283, ur_t1634_u1x8_uart0_lednop_pr_ee_ce },
 { 164284, ur_t1634_u1x8_uart0_lednop_pr_ee_ce },
 { 164346, ur_t1634_u1x8_uart1_noled },
 { 164347, ur_t1634_u1x8_uart1_noled },
 { 164348, ur_t1634_u1x8_uart1_noled },
 { 164349, ur_t1634_u1x8_uart1_noled_pr_ee },
 { 164350, ur_t1634_u1x8_uart1_noled_pr_ee },
 { 164351, ur_t1634_u1x8_uart1_noled_pr_ce },
 { 164352, ur_t1634_u1x8_uart1_noled_pr_ce },
 { 164353, ur_t1634_u1x8_uart1_noled_pr_ee_ce },
 { 164354, ur_t1634_u1x8_uart1_noled_pr_ee_ce },
 { 164360, ur_t1634_u1x8_uart1_lednop },
 { 164361, ur_t1634_u1x8_uart1_lednop },
 { 164362, ur_t1634_u1x8_uart1_lednop },
 { 164363, ur_t1634_u1x8_uart1_lednop_pr_ee },
 { 164364, ur_t1634_u1x8_uart1_lednop_pr_ee },
 { 164365, ur_t1634_u1x8_uart1_lednop_pr_ce },
 { 164366, ur_t1634_u1x8_uart1_lednop_pr_ce },
 { 164367, ur_t1634_u1x8_uart1_lednop_pr_ee_ce },
 { 164368, ur_t1634_u1x8_uart1_lednop_pr_ee_ce },
 { 164472, ur_t1634_u1x12_uart0_noled },
 { 164473, ur_t1634_u1x12_uart0_noled },
 { 164474, ur_t1634_u1x12_uart0_noled },
 { 164475, ur_t1634_u1x12_uart0_noled_pr_ee },
 { 164476, ur_t1634_u1x12_uart0_noled_pr_ee },
 { 164477, ur_t1634_u1x12_uart0_noled_pr_ce },
 { 164478, ur_t1634_u1x12_uart0_noled_pr_ce },
 { 164479, ur_t1634_u1x12_uart0_noled_pr_ee_ce },
 { 164480, ur_t1634_u1x12_uart0_noled_pr_ee_ce },
 { 164486, ur_t1634_u1x12_uart0_lednop },
 { 164487, ur_t1634_u1x12_uart0_lednop },
 { 164488, ur_t1634_u1x12_uart0_lednop },
 { 164489, ur_t1634_u1x12_uart0_lednop_pr_ee },
 { 164490, ur_t1634_u1x12_uart0_lednop_pr_ee },
 { 164491, ur_t1634_u1x12_uart0_lednop_pr_ce },
 { 164492, ur_t1634_u1x12_uart0_lednop_pr_ce },
 { 164493, ur_t1634_u1x12_uart0_lednop_pr_ee_ce },
 { 164494, ur_t1634_u1x12_uart0_lednop_pr_ee_ce },
 { 164556, ur_t1634_u1x12_uart1_noled },
 { 164557, ur_t1634_u1x12_uart1_noled },
 { 164558, ur_t1634_u1x12_uart1_noled },
 { 164559, ur_t1634_u1x12_uart1_noled_pr_ee },
 { 164560, ur_t1634_u1x12_uart1_noled_pr_ee },
 { 164561, ur_t1634_u1x12_uart1_noled_pr_ce },
 { 164562, ur_t1634_u1x12_uart1_noled_pr_ce },
 { 164563, ur_t1634_u1x12_uart1_noled_pr_ee_ce },
 { 164564, ur_t1634_u1x12_uart1_noled_pr_ee_ce },
 { 164570, ur_t1634_u1x12_uart1_lednop },
 { 164571, ur_t1634_u1x12_uart1_lednop },
 { 164572, ur_t1634_u1x12_uart1_lednop },
 { 164573, ur_t1634_u1x12_uart1_lednop_pr_ee },
 { 164574, ur_t1634_u1x12_uart1_lednop_pr_ee },
 { 164575, ur_t1634_u1x12_uart1_lednop_pr_ce },
 { 164576, ur_t1634_u1x12_uart1_lednop_pr_ce },
 { 164577, ur_t1634_u1x12_uart1_lednop_pr_ee_ce },
 { 164578, ur_t1634_u1x12_uart1_lednop_pr_ee_ce },
 { 164682, ur_t1634_u2x8_uart0_noled },
 { 164683, ur_t1634_u2x8_uart0_noled },
 { 164684, ur_t1634_u2x8_uart0_noled },
 { 164685, ur_t1634_u2x8_uart0_noled_pr_ee },
 { 164686, ur_t1634_u2x8_uart0_noled_pr_ee },
 { 164687, ur_t1634_u2x8_uart0_noled_pr_ce },
 { 164688, ur_t1634_u2x8_uart0_noled_pr_ce },
 { 164689, ur_t1634_u2x8_uart0_noled_pr_ee_ce },
 { 164690, ur_t1634_u2x8_uart0_noled_pr_ee_ce },
 { 164696, ur_t1634_u2x8_uart0_lednop },
 { 164697, ur_t1634_u2x8_uart0_lednop },
 { 164698, ur_t1634_u2x8_uart0_lednop },
 { 164699, ur_t1634_u2x8_uart0_lednop_pr_ee },
 { 164700, ur_t1634_u2x8_uart0_lednop_pr_ee },
 { 164701, ur_t1634_u2x8_uart0_lednop_pr_ce },
 { 164702, ur_t1634_u2x8_uart0_lednop_pr_ce },
 { 164703, ur_t1634_u2x8_uart0_lednop_pr_ee_ce },
 { 164704, ur_t1634_u2x8_uart0_lednop_pr_ee_ce },
 { 164766, ur_t1634_u2x8_uart1_noled },
 { 164767, ur_t1634_u2x8_uart1_noled },
 { 164768, ur_t1634_u2x8_uart1_noled },
 { 164769, ur_t1634_u2x8_uart1_noled_pr_ee },
 { 164770, ur_t1634_u2x8_uart1_noled_pr_ee },
 { 164771, ur_t1634_u2x8_uart1_noled_pr_ce },
 { 164772, ur_t1634_u2x8_uart1_noled_pr_ce },
 { 164773, ur_t1634_u2x8_uart1_noled_pr_ee_ce },
 { 164774, ur_t1634_u2x8_uart1_noled_pr_ee_ce },
 { 164780, ur_t1634_u2x8_uart1_lednop },
 { 164781, ur_t1634_u2x8_uart1_lednop },
 { 164782, ur_t1634_u2x8_uart1_lednop },
 { 164783, ur_t1634_u2x8_uart1_lednop_pr_ee },
 { 164784, ur_t1634_u2x8_uart1_lednop_pr_ee },
 { 164785, ur_t1634_u2x8_uart1_lednop_pr_ce },
 { 164786, ur_t1634_u2x8_uart1_lednop_pr_ce },
 { 164787, ur_t1634_u2x8_uart1_lednop_pr_ee_ce },
 { 164788, ur_t1634_u2x8_uart1_lednop_pr_ee_ce },
 { 164892, ur_t1634_u2x12_uart0_noled },
 { 164893, ur_t1634_u2x12_uart0_noled },
 { 164894, ur_t1634_u2x12_uart0_noled },
 { 164895, ur_t1634_u2x12_uart0_noled_pr_ee },
 { 164896, ur_t1634_u2x12_uart0_noled_pr_ee },
 { 164897, ur_t1634_u2x12_uart0_noled_pr_ce },
 { 164898, ur_t1634_u2x12_uart0_noled_pr_ce },
 { 164899, ur_t1634_u2x12_uart0_noled_pr_ee_ce },
 { 164900, ur_t1634_u2x12_uart0_noled_pr_ee_ce },
 { 164906, ur_t1634_u2x12_uart0_lednop },
 { 164907, ur_t1634_u2x12_uart0_lednop },
 { 164908, ur_t1634_u2x12_uart0_lednop },
 { 164909, ur_t1634_u2x12_uart0_lednop_pr_ee },
 { 164910, ur_t1634_u2x12_uart0_lednop_pr_ee },
 { 164911, ur_t1634_u2x12_uart0_lednop_pr_ce },
 { 164912, ur_t1634_u2x12_uart0_lednop_pr_ce },
 { 164913, ur_t1634_u2x12_uart0_lednop_pr_ee_ce },
 { 164914, ur_t1634_u2x12_uart0_lednop_pr_ee_ce },
 { 164976, ur_t1634_u2x12_uart1_noled },
 { 164977, ur_t1634_u2x12_uart1_noled },
 { 164978, ur_t1634_u2x12_uart1_noled },
 { 164979, ur_t1634_u2x12_uart1_noled_pr_ee },
 { 164980, ur_t1634_u2x12_uart1_noled_pr_ee },
 { 164981, ur_t1634_u2x12_uart1_noled_pr_ce },
 { 164982, ur_t1634_u2x12_uart1_noled_pr_ce },
 { 164983, ur_t1634_u2x12_uart1_noled_pr_ee_ce },
 { 164984, ur_t1634_u2x12_uart1_noled_pr_ee_ce },
 { 164990, ur_t1634_u2x12_uart1_lednop },
 { 164991, ur_t1634_u2x12_uart1_lednop },
 { 164992, ur_t1634_u2x12_uart1_lednop },
 { 164993, ur_t1634_u2x12_uart1_lednop_pr_ee },
 { 164994, ur_t1634_u2x12_uart1_lednop_pr_ee },
 { 164995, ur_t1634_u2x12_uart1_lednop_pr_ce },
 { 164996, ur_t1634_u2x12_uart1_lednop_pr_ce },
 { 164997, ur_t1634_u2x12_uart1_lednop_pr_ee_ce },
 { 164998, ur_t1634_u2x12_uart1_lednop_pr_ee_ce },
 { 165102, ur_t1634_swio10_noled },
 { 165103, ur_t1634_swio10_noled },
 { 165104, ur_t1634_swio10_noled },
 { 165105, ur_t1634_swio10_noled_pr_ee },
 { 165106, ur_t1634_swio10_noled_pr_ee },
 { 165107, ur_t1634_swio10_noled_pr_ce },
 { 165108, ur_t1634_swio10_noled_pr_ce },
 { 165109, ur_t1634_swio10_noled_pr_ee_ce },
 { 165110, ur_t1634_swio10_noled_pr_ee_ce },
 { 165116, ur_t1634_swio10_lednop },
 { 165117, ur_t1634_swio10_lednop },
 { 165118, ur_t1634_swio10_lednop },
 { 165119, ur_t1634_swio10_lednop_pr_ee },
 { 165120, ur_t1634_swio10_lednop_pr_ee },
 { 165121, ur_t1634_swio10_lednop_pr_ce },
 { 165122, ur_t1634_swio10_lednop_pr_ce },
 { 165123, ur_t1634_swio10_lednop_pr_ee_ce },
 { 165124, ur_t1634_swio10_lednop_pr_ee_ce },
 { 165144, ur_t1634_swio11_noled },
 { 165145, ur_t1634_swio11_noled },
 { 165146, ur_t1634_swio11_noled },
 { 165147, ur_t1634_swio11_noled_pr_ee },
 { 165148, ur_t1634_swio11_noled_pr_ee },
 { 165149, ur_t1634_swio11_noled_pr_ce },
 { 165150, ur_t1634_swio11_noled_pr_ce },
 { 165151, ur_t1634_swio11_noled_pr_ee_ce },
 { 165152, ur_t1634_swio11_noled_pr_ee_ce },
 { 165158, ur_t1634_swio11_lednop },
 { 165159, ur_t1634_swio11_lednop_pr },
 { 165160, ur_t1634_swio11_lednop_pr },
 { 165161, ur_t1634_swio11_lednop_pr_ee },
 { 165162, ur_t1634_swio11_lednop_pr_ee },
 { 165163, ur_t1634_swio11_lednop_pr_ce },
 { 165164, ur_t1634_swio11_lednop_pr_ce },
 { 165165, ur_t1634_swio11_lednop_pr_ee_ce },
 { 165166, ur_t1634_swio11_lednop_pr_ee_ce },
 { 165186, ur_t1634_swio11_noled },
 { 165187, ur_t1634_swio11_noled },
 { 165188, ur_t1634_swio11_noled },
 { 165189, ur_t1634_swio11_noled_pr_ee },
 { 165190, ur_t1634_swio11_noled_pr_ee },
 { 165191, ur_t1634_swio11_noled_pr_ce },
 { 165192, ur_t1634_swio11_noled_pr_ce },
 { 165193, ur_t1634_swio11_noled_pr_ee_ce },
 { 165194, ur_t1634_swio11_noled_pr_ee_ce },
 { 165200, ur_t1634_swio11_lednop },
 { 165201, ur_t1634_swio11_lednop_pr },
 { 165202, ur_t1634_swio11_lednop_pr },
 { 165203, ur_t1634_swio11_lednop_pr_ee },
 { 165204, ur_t1634_swio11_lednop_pr_ee },
 { 165205, ur_t1634_swio11_lednop_pr_ce },
 { 165206, ur_t1634_swio11_lednop_pr_ce },
 { 165207, ur_t1634_swio11_lednop_pr_ee_ce },
 { 165208, ur_t1634_swio11_lednop_pr_ee_ce },
 { 165228, ur_t1634_swio13_noled },
 { 165229, ur_t1634_swio13_noled },
 { 165230, ur_t1634_swio13_noled },
 { 165231, ur_t1634_swio13_noled_pr_ee },
 { 165232, ur_t1634_swio13_noled_pr_ee },
 { 165233, ur_t1634_swio13_noled_pr_ce },
 { 165234, ur_t1634_swio13_noled_pr_ce },
 { 165235, ur_t1634_swio13_noled_pr_ee_ce },
 { 165236, ur_t1634_swio13_noled_pr_ee_ce },
 { 165242, ur_t1634_swio13_lednop },
 { 165243, ur_t1634_swio13_lednop_pr },
 { 165244, ur_t1634_swio13_lednop_pr },
 { 165245, ur_t1634_swio13_lednop_pr_ee },
 { 165246, ur_t1634_swio13_lednop_pr_ee },
 { 165247, ur_t1634_swio13_lednop_pr_ce },
 { 165248, ur_t1634_swio13_lednop_pr_ce },
 { 165249, ur_t1634_swio13_lednop_pr_ee_ce },
 { 165250, ur_t1634_swio13_lednop_pr_ee_ce },
 { 165270, ur_t1634_swio14_noled },
 { 165271, ur_t1634_swio14_noled },
 { 165272, ur_t1634_swio14_noled },
 { 165273, ur_t1634_swio14_noled_pr_ee },
 { 165274, ur_t1634_swio14_noled_pr_ee },
 { 165275, ur_t1634_swio14_noled_pr_ce },
 { 165276, ur_t1634_swio14_noled_pr_ce },
 { 165277, ur_t1634_swio14_noled_pr_ee_ce },
 { 165278, ur_t1634_swio14_noled_pr_ee_ce },
 { 165284, ur_t1634_swio14_lednop },
 { 165285, ur_t1634_swio14_lednop_pr },
 { 165286, ur_t1634_swio14_lednop_pr },
 { 165287, ur_t1634_swio14_lednop_pr_ee },
 { 165288, ur_t1634_swio14_lednop_pr_ee },
 { 165289, ur_t1634_swio14_lednop_pr_ce },
 { 165290, ur_t1634_swio14_lednop_pr_ce },
 { 165291, ur_t1634_swio14_lednop_pr_ee_ce },
 { 165292, ur_t1634_swio14_lednop_pr_ee_ce },
 { 165312, ur_t1634_swio15_noled },
 { 165313, ur_t1634_swio15_noled },
 { 165314, ur_t1634_swio15_noled },
 { 165315, ur_t1634_swio15_noled_pr_ee },
 { 165316, ur_t1634_swio15_noled_pr_ee },
 { 165317, ur_t1634_swio15_noled_pr_ce },
 { 165318, ur_t1634_swio15_noled_pr_ce },
 { 165319, ur_t1634_swio15_noled_pr_ee_ce },
 { 165320, ur_t1634_swio15_noled_pr_ee_ce },
 { 165326, ur_t1634_swio15_lednop },
 { 165327, ur_t1634_swio15_lednop_pr },
 { 165328, ur_t1634_swio15_lednop_pr },
 { 165329, ur_t1634_swio15_lednop_pr_ee },
 { 165330, ur_t1634_swio15_lednop_pr_ee },
 { 165331, ur_t1634_swio15_lednop_pr_ce },
 { 165332, ur_t1634_swio15_lednop_pr_ce },
 { 165333, ur_t1634_swio15_lednop_pr_ee_ce },
 { 165334, ur_t1634_swio15_lednop_pr_ee_ce },
 { 166404, ur_t13_swio10_noled },
 { 166405, ur_t13_swio10_noled },
 { 166406, ur_t13_swio10_noled_pr_u4 },
 { 166407, ur_t13_swio10_noled_pr_ee },
 { 166408, ur_t13_swio10_noled_pr_ee_u4 },
 { 166409, ur_t13_swio10_noled_pr_ce },
 { 166410, ur_t13_swio10_noled_pr_ce_u4 },
 { 166411, ur_t13_swio10_noled_pr_ee_ce },
 { 166412, ur_t13_swio10_noled_pr_ee_ce_u4 },
 { 166418, ur_t13_swio10_lednop },
 { 166419, ur_t13_swio10_lednop },
 { 166420, ur_t13_swio10_lednop_pr_u4 },
 { 166421, ur_t13_swio10_lednop_pr_ee },
 { 166422, ur_t13_swio10_lednop_pr_ee_u4 },
 { 166423, ur_t13_swio10_lednop_pr_ce },
 { 166424, ur_t13_swio10_lednop_pr_ce_u4 },
 { 166425, ur_t13_swio10_lednop_pr_ee_ce },
 { 166426, ur_t13_swio10_lednop_pr_ee_ce_u4 },
 { 166446, ur_t13_swio11_noled },
 { 166447, ur_t13_swio11_noled },
 { 166448, ur_t13_swio11_noled_pr_u4 },
 { 166449, ur_t13_swio11_noled_pr_ee },
 { 166450, ur_t13_swio11_noled_pr_ee_u4 },
 { 166451, ur_t13_swio11_noled_pr_ce },
 { 166452, ur_t13_swio11_noled_pr_ce_u4 },
 { 166453, ur_t13_swio11_noled_pr_ee_ce },
 { 166454, ur_t13_swio11_noled_pr_ee_ce_u4 },
 { 166460, ur_t13_swio11_lednop },
 { 166461, ur_t13_swio11_lednop },
 { 166462, ur_t13_swio11_lednop_pr_u4 },
 { 166463, ur_t13_swio11_lednop_pr_ee },
 { 166464, ur_t13_swio11_lednop_pr_ee_u4 },
 { 166465, ur_t13_swio11_lednop_pr_ce },
 { 166466, ur_t13_swio11_lednop_pr_ce_u4 },
 { 166467, ur_t13_swio11_lednop_pr_ee_ce },
 { 166468, ur_t13_swio11_lednop_pr_ee_ce_u4 },
 { 166488, ur_t13_swio11_noled },
 { 166489, ur_t13_swio11_noled },
 { 166490, ur_t13_swio11_noled_pr_u4 },
 { 166491, ur_t13_swio11_noled_pr_ee },
 { 166492, ur_t13_swio11_noled_pr_ee_u4 },
 { 166493, ur_t13_swio11_noled_pr_ce },
 { 166494, ur_t13_swio11_noled_pr_ce_u4 },
 { 166495, ur_t13_swio11_noled_pr_ee_ce },
 { 166496, ur_t13_swio11_noled_pr_ee_ce_u4 },
 { 166502, ur_t13_swio11_lednop },
 { 166503, ur_t13_swio11_lednop },
 { 166504, ur_t13_swio11_lednop_pr_u4 },
 { 166505, ur_t13_swio11_lednop_pr_ee },
 { 166506, ur_t13_swio11_lednop_pr_ee_u4 },
 { 166507, ur_t13_swio11_lednop_pr_ce },
 { 166508, ur_t13_swio11_lednop_pr_ce_u4 },
 { 166509, ur_t13_swio11_lednop_pr_ee_ce },
 { 166510, ur_t13_swio11_lednop_pr_ee_ce_u4 },
 { 166530, ur_t13_swio13_noled },
 { 166531, ur_t13_swio13_noled },
 { 166532, ur_t13_swio13_noled_pr_u4 },
 { 166533, ur_t13_swio13_noled_pr_ee },
 { 166534, ur_t13_swio13_noled_pr_ee_u4 },
 { 166535, ur_t13_swio13_noled_pr_ce },
 { 166536, ur_t13_swio13_noled_pr_ce_u4 },
 { 166537, ur_t13_swio13_noled_pr_ee_ce },
 { 166538, ur_t13_swio13_noled_pr_ee_ce_u4 },
 { 166544, ur_t13_swio13_lednop },
 { 166545, ur_t13_swio13_lednop },
 { 166546, ur_t13_swio13_lednop_pr_u4 },
 { 166547, ur_t13_swio13_lednop_pr_ee },
 { 166548, ur_t13_swio13_lednop_pr_ee_u4 },
 { 166549, ur_t13_swio13_lednop_pr_ce },
 { 166550, ur_t13_swio13_lednop_pr_ce_u4 },
 { 166551, ur_t13_swio13_lednop_pr_ee_ce },
 { 166552, ur_t13_swio13_lednop_pr_ee_ce_u4 },
 { 166572, ur_t13_swio14_noled },
 { 166573, ur_t13_swio14_noled },
 { 166574, ur_t13_swio14_noled_pr_u4 },
 { 166575, ur_t13_swio14_noled_pr_ee },
 { 166576, ur_t13_swio14_noled_pr_ee_u4 },
 { 166577, ur_t13_swio14_noled_pr_ce },
 { 166578, ur_t13_swio14_noled_pr_ce_u4 },
 { 166579, ur_t13_swio14_noled_pr_ee_ce },
 { 166580, ur_t13_swio14_noled_pr_ee_ce_u4 },
 { 166586, ur_t13_swio14_lednop },
 { 166587, ur_t13_swio14_lednop },
 { 166588, ur_t13_swio14_lednop_pr_u4 },
 { 166589, ur_t13_swio14_lednop_pr_ee },
 { 166590, ur_t13_swio14_lednop_pr_ee_u4 },
 { 166591, ur_t13_swio14_lednop_pr_ce },
 { 166592, ur_t13_swio14_lednop_pr_ce_u4 },
 { 166593, ur_t13_swio14_lednop_pr_ee_ce },
 { 166594, ur_t13_swio14_lednop_pr_ee_ce_u4 },
 { 166614, ur_t13_swio15_noled },
 { 166615, ur_t13_swio15_noled },
 { 166616, ur_t13_swio15_noled_pr_u4 },
 { 166617, ur_t13_swio15_noled_pr_ee },
 { 166618, ur_t13_swio15_noled_pr_ee_u4 },
 { 166619, ur_t13_swio15_noled_pr_ce },
 { 166620, ur_t13_swio15_noled_pr_ce_u4 },
 { 166621, ur_t13_swio15_noled_pr_ee_ce },
 { 166622, ur_t13_swio15_noled_pr_ee_ce_u4 },
 { 166628, ur_t13_swio15_lednop },
 { 166629, ur_t13_swio15_lednop },
 { 166630, ur_t13_swio15_lednop_pr_u4 },
 { 166631, ur_t13_swio15_lednop_pr_ee },
 { 166632, ur_t13_swio15_lednop_pr_ee_u4 },
 { 166633, ur_t13_swio15_lednop_pr_ce },
 { 166634, ur_t13_swio15_lednop_pr_ce_u4 },
 { 166635, ur_t13_swio15_lednop_pr_ee_ce },
 { 166636, ur_t13_swio15_lednop_pr_ee_ce_u4 },
 { 167706, ur_t13_swio10_noled },
 { 167707, ur_t13_swio10_noled },
 { 167708, ur_t13_swio10_noled_pr_u4 },
 { 167709, ur_t13_swio10_noled_pr_ee },
 { 167710, ur_t13_swio10_noled_pr_ee_u4 },
 { 167711, ur_t13_swio10_noled_pr_ce },
 { 167712, ur_t13_swio10_noled_pr_ce_u4 },
 { 167713, ur_t13_swio10_noled_pr_ee_ce },
 { 167714, ur_t13_swio10_noled_pr_ee_ce_u4 },
 { 167720, ur_t13_swio10_lednop },
 { 167721, ur_t13_swio10_lednop },
 { 167722, ur_t13_swio10_lednop_pr_u4 },
 { 167723, ur_t13_swio10_lednop_pr_ee },
 { 167724, ur_t13_swio10_lednop_pr_ee_u4 },
 { 167725, ur_t13_swio10_lednop_pr_ce },
 { 167726, ur_t13_swio10_lednop_pr_ce_u4 },
 { 167727, ur_t13_swio10_lednop_pr_ee_ce },
 { 167728, ur_t13_swio10_lednop_pr_ee_ce_u4 },
 { 167748, ur_t13_swio11_noled },
 { 167749, ur_t13_swio11_noled },
 { 167750, ur_t13_swio11_noled_pr_u4 },
 { 167751, ur_t13_swio11_noled_pr_ee },
 { 167752, ur_t13_swio11_noled_pr_ee_u4 },
 { 167753, ur_t13_swio11_noled_pr_ce },
 { 167754, ur_t13_swio11_noled_pr_ce_u4 },
 { 167755, ur_t13_swio11_noled_pr_ee_ce },
 { 167756, ur_t13_swio11_noled_pr_ee_ce_u4 },
 { 167762, ur_t13_swio11_lednop },
 { 167763, ur_t13_swio11_lednop },
 { 167764, ur_t13_swio11_lednop_pr_u4 },
 { 167765, ur_t13_swio11_lednop_pr_ee },
 { 167766, ur_t13_swio11_lednop_pr_ee_u4 },
 { 167767, ur_t13_swio11_lednop_pr_ce },
 { 167768, ur_t13_swio11_lednop_pr_ce_u4 },
 { 167769, ur_t13_swio11_lednop_pr_ee_ce },
 { 167770, ur_t13_swio11_lednop_pr_ee_ce_u4 },
 { 167790, ur_t13_swio11_noled },
 { 167791, ur_t13_swio11_noled },
 { 167792, ur_t13_swio11_noled_pr_u4 },
 { 167793, ur_t13_swio11_noled_pr_ee },
 { 167794, ur_t13_swio11_noled_pr_ee_u4 },
 { 167795, ur_t13_swio11_noled_pr_ce },
 { 167796, ur_t13_swio11_noled_pr_ce_u4 },
 { 167797, ur_t13_swio11_noled_pr_ee_ce },
 { 167798, ur_t13_swio11_noled_pr_ee_ce_u4 },
 { 167804, ur_t13_swio11_lednop },
 { 167805, ur_t13_swio11_lednop },
 { 167806, ur_t13_swio11_lednop_pr_u4 },
 { 167807, ur_t13_swio11_lednop_pr_ee },
 { 167808, ur_t13_swio11_lednop_pr_ee_u4 },
 { 167809, ur_t13_swio11_lednop_pr_ce },
 { 167810, ur_t13_swio11_lednop_pr_ce_u4 },
 { 167811, ur_t13_swio11_lednop_pr_ee_ce },
 { 167812, ur_t13_swio11_lednop_pr_ee_ce_u4 },
 { 167832, ur_t13_swio13_noled },
 { 167833, ur_t13_swio13_noled },
 { 167834, ur_t13_swio13_noled_pr_u4 },
 { 167835, ur_t13_swio13_noled_pr_ee },
 { 167836, ur_t13_swio13_noled_pr_ee_u4 },
 { 167837, ur_t13_swio13_noled_pr_ce },
 { 167838, ur_t13_swio13_noled_pr_ce_u4 },
 { 167839, ur_t13_swio13_noled_pr_ee_ce },
 { 167840, ur_t13_swio13_noled_pr_ee_ce_u4 },
 { 167846, ur_t13_swio13_lednop },
 { 167847, ur_t13_swio13_lednop },
 { 167848, ur_t13_swio13_lednop_pr_u4 },
 { 167849, ur_t13_swio13_lednop_pr_ee },
 { 167850, ur_t13_swio13_lednop_pr_ee_u4 },
 { 167851, ur_t13_swio13_lednop_pr_ce },
 { 167852, ur_t13_swio13_lednop_pr_ce_u4 },
 { 167853, ur_t13_swio13_lednop_pr_ee_ce },
 { 167854, ur_t13_swio13_lednop_pr_ee_ce_u4 },
 { 167874, ur_t13_swio14_noled },
 { 167875, ur_t13_swio14_noled },
 { 167876, ur_t13_swio14_noled_pr_u4 },
 { 167877, ur_t13_swio14_noled_pr_ee },
 { 167878, ur_t13_swio14_noled_pr_ee_u4 },
 { 167879, ur_t13_swio14_noled_pr_ce },
 { 167880, ur_t13_swio14_noled_pr_ce_u4 },
 { 167881, ur_t13_swio14_noled_pr_ee_ce },
 { 167882, ur_t13_swio14_noled_pr_ee_ce_u4 },
 { 167888, ur_t13_swio14_lednop },
 { 167889, ur_t13_swio14_lednop },
 { 167890, ur_t13_swio14_lednop_pr_u4 },
 { 167891, ur_t13_swio14_lednop_pr_ee },
 { 167892, ur_t13_swio14_lednop_pr_ee_u4 },
 { 167893, ur_t13_swio14_lednop_pr_ce },
 { 167894, ur_t13_swio14_lednop_pr_ce_u4 },
 { 167895, ur_t13_swio14_lednop_pr_ee_ce },
 { 167896, ur_t13_swio14_lednop_pr_ee_ce_u4 },
 { 167916, ur_t13_swio15_noled },
 { 167917, ur_t13_swio15_noled },
 { 167918, ur_t13_swio15_noled_pr_u4 },
 { 167919, ur_t13_swio15_noled_pr_ee },
 { 167920, ur_t13_swio15_noled_pr_ee_u4 },
 { 167921, ur_t13_swio15_noled_pr_ce },
 { 167922, ur_t13_swio15_noled_pr_ce_u4 },
 { 167923, ur_t13_swio15_noled_pr_ee_ce },
 { 167924, ur_t13_swio15_noled_pr_ee_ce_u4 },
 { 167930, ur_t13_swio15_lednop },
 { 167931, ur_t13_swio15_lednop },
 { 167932, ur_t13_swio15_lednop_pr_u4 },
 { 167933, ur_t13_swio15_lednop_pr_ee },
 { 167934, ur_t13_swio15_lednop_pr_ee_u4 },
 { 167935, ur_t13_swio15_lednop_pr_ce },
 { 167936, ur_t13_swio15_lednop_pr_ce_u4 },
 { 167937, ur_t13_swio15_lednop_pr_ee_ce },
 { 167938, ur_t13_swio15_lednop_pr_ee_ce_u4 },
 { 169008, ur_t43u_swio10_noled },
 { 169009, ur_t43u_swio10_noled },
 { 169010, ur_t43u_swio10_noled_pr_u4 },
 { 169011, ur_t43u_swio10_noled_pr_ee },
 { 169012, ur_t43u_swio10_noled_pr_ee_u4 },
 { 169013, ur_t43u_swio10_noled_pr_ce },
 { 169014, ur_t43u_swio10_noled_pr_ce_u4 },
 { 169015, ur_t43u_swio10_noled_pr_ee_ce },
 { 169016, ur_t43u_swio10_noled_pr_ee_ce_u4 },
 { 169022, ur_t43u_swio10_lednop },
 { 169023, ur_t43u_swio10_lednop },
 { 169024, ur_t43u_swio10_lednop_pr_u4 },
 { 169025, ur_t43u_swio10_lednop_pr_ee },
 { 169026, ur_t43u_swio10_lednop_pr_ee_u4 },
 { 169027, ur_t43u_swio10_lednop_pr_ce },
 { 169028, ur_t43u_swio10_lednop_pr_ce_u4 },
 { 169029, ur_t43u_swio10_lednop_pr_ee_ce },
 { 169030, ur_t43u_swio10_lednop_pr_ee_ce_u4 },
 { 169050, ur_t43u_swio11_noled },
 { 169051, ur_t43u_swio11_noled },
 { 169052, ur_t43u_swio11_noled_pr_u4 },
 { 169053, ur_t43u_swio11_noled_pr_ee },
 { 169054, ur_t43u_swio11_noled_pr_ee_u4 },
 { 169055, ur_t43u_swio11_noled_pr_ce },
 { 169056, ur_t43u_swio11_noled_pr_ce_u4 },
 { 169057, ur_t43u_swio11_noled_pr_ee_ce },
 { 169058, ur_t43u_swio11_noled_pr_ee_ce_u4 },
 { 169064, ur_t43u_swio11_lednop },
 { 169065, ur_t43u_swio11_lednop },
 { 169066, ur_t43u_swio11_lednop_pr_u4 },
 { 169067, ur_t43u_swio11_lednop_pr_ee },
 { 169068, ur_t43u_swio11_lednop_pr_ee_u4 },
 { 169069, ur_t43u_swio11_lednop_pr_ce },
 { 169070, ur_t43u_swio11_lednop_pr_ce_u4 },
 { 169071, ur_t43u_swio11_lednop_pr_ee_ce },
 { 169072, ur_t43u_swio11_lednop_pr_ee_ce_u4 },
 { 169092, ur_t43u_swio11_noled },
 { 169093, ur_t43u_swio11_noled },
 { 169094, ur_t43u_swio11_noled_pr_u4 },
 { 169095, ur_t43u_swio11_noled_pr_ee },
 { 169096, ur_t43u_swio11_noled_pr_ee_u4 },
 { 169097, ur_t43u_swio11_noled_pr_ce },
 { 169098, ur_t43u_swio11_noled_pr_ce_u4 },
 { 169099, ur_t43u_swio11_noled_pr_ee_ce },
 { 169100, ur_t43u_swio11_noled_pr_ee_ce_u4 },
 { 169106, ur_t43u_swio11_lednop },
 { 169107, ur_t43u_swio11_lednop },
 { 169108, ur_t43u_swio11_lednop_pr_u4 },
 { 169109, ur_t43u_swio11_lednop_pr_ee },
 { 169110, ur_t43u_swio11_lednop_pr_ee_u4 },
 { 169111, ur_t43u_swio11_lednop_pr_ce },
 { 169112, ur_t43u_swio11_lednop_pr_ce_u4 },
 { 169113, ur_t43u_swio11_lednop_pr_ee_ce },
 { 169114, ur_t43u_swio11_lednop_pr_ee_ce_u4 },
 { 169134, ur_t43u_swio13_noled },
 { 169135, ur_t43u_swio13_noled },
 { 169136, ur_t43u_swio13_noled_pr_u4 },
 { 169137, ur_t43u_swio13_noled_pr_ee },
 { 169138, ur_t43u_swio13_noled_pr_ee_u4 },
 { 169139, ur_t43u_swio13_noled_pr_ce },
 { 169140, ur_t43u_swio13_noled_pr_ce_u4 },
 { 169141, ur_t43u_swio13_noled_pr_ee_ce },
 { 169142, ur_t43u_swio13_noled_pr_ee_ce_u4 },
 { 169148, ur_t43u_swio13_lednop },
 { 169149, ur_t43u_swio13_lednop },
 { 169150, ur_t43u_swio13_lednop_pr_u4 },
 { 169151, ur_t43u_swio13_lednop_pr_ee },
 { 169152, ur_t43u_swio13_lednop_pr_ee_u4 },
 { 169153, ur_t43u_swio13_lednop_pr_ce },
 { 169154, ur_t43u_swio13_lednop_pr_ce_u4 },
 { 169155, ur_t43u_swio13_lednop_pr_ee_ce },
 { 169156, ur_t43u_swio13_lednop_pr_ee_ce_u4 },
 { 169176, ur_t43u_swio14_noled },
 { 169177, ur_t43u_swio14_noled },
 { 169178, ur_t43u_swio14_noled_pr_u4 },
 { 169179, ur_t43u_swio14_noled_pr_ee },
 { 169180, ur_t43u_swio14_noled_pr_ee_u4 },
 { 169181, ur_t43u_swio14_noled_pr_ce },
 { 169182, ur_t43u_swio14_noled_pr_ce_u4 },
 { 169183, ur_t43u_swio14_noled_pr_ee_ce },
 { 169184, ur_t43u_swio14_noled_pr_ee_ce_u4 },
 { 169190, ur_t43u_swio14_lednop },
 { 169191, ur_t43u_swio14_lednop },
 { 169192, ur_t43u_swio14_lednop_pr_u4 },
 { 169193, ur_t43u_swio14_lednop_pr_ee },
 { 169194, ur_t43u_swio14_lednop_pr_ee_u4 },
 { 169195, ur_t43u_swio14_lednop_pr_ce },
 { 169196, ur_t43u_swio14_lednop_pr_ce_u4 },
 { 169197, ur_t43u_swio14_lednop_pr_ee_ce },
 { 169198, ur_t43u_swio14_lednop_pr_ee_ce_u4 },
 { 169218, ur_t43u_swio15_noled },
 { 169219, ur_t43u_swio15_noled },
 { 169220, ur_t43u_swio15_noled_pr_u4 },
 { 169221, ur_t43u_swio15_noled_pr_ee },
 { 169222, ur_t43u_swio15_noled_pr_ee_u4 },
 { 169223, ur_t43u_swio15_noled_pr_ce },
 { 169224, ur_t43u_swio15_noled_pr_ce_u4 },
 { 169225, ur_t43u_swio15_noled_pr_ee_ce },
 { 169226, ur_t43u_swio15_noled_pr_ee_ce_u4 },
 { 169232, ur_t43u_swio15_lednop },
 { 169233, ur_t43u_swio15_lednop },
 { 169234, ur_t43u_swio15_lednop_pr_u4 },
 { 169235, ur_t43u_swio15_lednop_pr_ee },
 { 169236, ur_t43u_swio15_lednop_pr_ee_u4 },
 { 169237, ur_t43u_swio15_lednop_pr_ce },
 { 169238, ur_t43u_swio15_lednop_pr_ce_u4 },
 { 169239, ur_t43u_swio15_lednop_pr_ee_ce },
 { 169240, ur_t43u_swio15_lednop_pr_ee_ce_u4 },
 { 169260, ur_t2313_autobaud_uart0_noled },
 { 169261, ur_t2313_autobaud_uart0_noled_pr },
 { 169262, ur_t2313_autobaud_uart0_noled_pr_u4 },
 { 169263, ur_t2313_autobaud_uart0_noled_pr_ee },
 { 169264, ur_t2313_autobaud_uart0_noled_pr_ee_u4 },
 { 169265, ur_t2313_autobaud_uart0_noled_pr_ce },
 { 169266, ur_t2313_autobaud_uart0_noled_pr_ce_u4 },
 { 169267, ur_t2313_autobaud_uart0_noled_pr_ee_ce },
 { 169268, ur_t2313_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 169274, ur_t2313_autobaud_uart0_lednop },
 { 169275, ur_t2313_autobaud_uart0_lednop_pr },
 { 169276, ur_t2313_autobaud_uart0_lednop_pr_u4 },
 { 169277, ur_t2313_autobaud_uart0_lednop_pr_ee },
 { 169278, ur_t2313_autobaud_uart0_lednop_pr_ee_u4 },
 { 169279, ur_t2313_autobaud_uart0_lednop_pr_ce },
 { 169280, ur_t2313_autobaud_uart0_lednop_pr_ce_u4 },
 { 169281, ur_t2313_autobaud_uart0_lednop_pr_ee_ce },
 { 169282, ur_t2313_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 169470, ur_t2313_u1x8_uart0_noled },
 { 169471, ur_t2313_u1x8_uart0_noled_pr },
 { 169472, ur_t2313_u1x8_uart0_noled_pr_u4 },
 { 169473, ur_t2313_u1x8_uart0_noled_pr_ee },
 { 169474, ur_t2313_u1x8_uart0_noled_pr_ee_u4 },
 { 169475, ur_t2313_u1x8_uart0_noled_pr_ce },
 { 169476, ur_t2313_u1x8_uart0_noled_pr_ce_u4 },
 { 169477, ur_t2313_u1x8_uart0_noled_pr_ee_ce },
 { 169478, ur_t2313_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 169484, ur_t2313_u1x8_uart0_lednop },
 { 169485, ur_t2313_u1x8_uart0_lednop },
 { 169486, ur_t2313_u1x8_uart0_lednop_pr_u4 },
 { 169487, ur_t2313_u1x8_uart0_lednop_pr_ee },
 { 169488, ur_t2313_u1x8_uart0_lednop_pr_ee_u4 },
 { 169489, ur_t2313_u1x8_uart0_lednop_pr_ce },
 { 169490, ur_t2313_u1x8_uart0_lednop_pr_ce_u4 },
 { 169491, ur_t2313_u1x8_uart0_lednop_pr_ee_ce },
 { 169492, ur_t2313_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 169680, ur_t2313_u1x12_uart0_noled },
 { 169681, ur_t2313_u1x12_uart0_noled },
 { 169682, ur_t2313_u1x12_uart0_noled_pr_u4 },
 { 169683, ur_t2313_u1x12_uart0_noled_pr_ee },
 { 169684, ur_t2313_u1x12_uart0_noled_pr_ee_u4 },
 { 169685, ur_t2313_u1x12_uart0_noled_pr_ce },
 { 169686, ur_t2313_u1x12_uart0_noled_pr_ce_u4 },
 { 169687, ur_t2313_u1x12_uart0_noled_pr_ee_ce },
 { 169688, ur_t2313_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 169694, ur_t2313_u1x12_uart0_lednop },
 { 169695, ur_t2313_u1x12_uart0_lednop },
 { 169696, ur_t2313_u1x12_uart0_lednop_pr_u4 },
 { 169697, ur_t2313_u1x12_uart0_lednop_pr_ee },
 { 169698, ur_t2313_u1x12_uart0_lednop_pr_ee_u4 },
 { 169699, ur_t2313_u1x12_uart0_lednop_pr_ce },
 { 169700, ur_t2313_u1x12_uart0_lednop_pr_ce_u4 },
 { 169701, ur_t2313_u1x12_uart0_lednop_pr_ee_ce },
 { 169702, ur_t2313_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 169890, ur_t2313_u2x8_uart0_noled },
 { 169891, ur_t2313_u2x8_uart0_noled },
 { 169892, ur_t2313_u2x8_uart0_noled_pr_u4 },
 { 169893, ur_t2313_u2x8_uart0_noled_pr_ee },
 { 169894, ur_t2313_u2x8_uart0_noled_pr_ee_u4 },
 { 169895, ur_t2313_u2x8_uart0_noled_pr_ce },
 { 169896, ur_t2313_u2x8_uart0_noled_pr_ce_u4 },
 { 169897, ur_t2313_u2x8_uart0_noled_pr_ee_ce },
 { 169898, ur_t2313_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 169904, ur_t2313_u2x8_uart0_lednop },
 { 169905, ur_t2313_u2x8_uart0_lednop },
 { 169906, ur_t2313_u2x8_uart0_lednop_pr_u4 },
 { 169907, ur_t2313_u2x8_uart0_lednop_pr_ee },
 { 169908, ur_t2313_u2x8_uart0_lednop_pr_ee_u4 },
 { 169909, ur_t2313_u2x8_uart0_lednop_pr_ce },
 { 169910, ur_t2313_u2x8_uart0_lednop_pr_ce_u4 },
 { 169911, ur_t2313_u2x8_uart0_lednop_pr_ee_ce },
 { 169912, ur_t2313_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 170100, ur_t2313_u2x12_uart0_noled },
 { 170101, ur_t2313_u2x12_uart0_noled },
 { 170102, ur_t2313_u2x12_uart0_noled_pr_u4 },
 { 170103, ur_t2313_u2x12_uart0_noled_pr_ee },
 { 170104, ur_t2313_u2x12_uart0_noled_pr_ee_u4 },
 { 170105, ur_t2313_u2x12_uart0_noled_pr_ce },
 { 170106, ur_t2313_u2x12_uart0_noled_pr_ce_u4 },
 { 170107, ur_t2313_u2x12_uart0_noled_pr_ee_ce },
 { 170108, ur_t2313_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 170114, ur_t2313_u2x12_uart0_lednop },
 { 170115, ur_t2313_u2x12_uart0_lednop },
 { 170116, ur_t2313_u2x12_uart0_lednop_pr_u4 },
 { 170117, ur_t2313_u2x12_uart0_lednop_pr_ee },
 { 170118, ur_t2313_u2x12_uart0_lednop_pr_ee_u4 },
 { 170119, ur_t2313_u2x12_uart0_lednop_pr_ce },
 { 170120, ur_t2313_u2x12_uart0_lednop_pr_ce_u4 },
 { 170121, ur_t2313_u2x12_uart0_lednop_pr_ee_ce },
 { 170122, ur_t2313_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 170310, ur_t2313_swio10_noled },
 { 170311, ur_t2313_swio10_noled },
 { 170312, ur_t2313_swio10_noled_pr_u4 },
 { 170313, ur_t2313_swio10_noled_pr_ee },
 { 170314, ur_t2313_swio10_noled_pr_ee_u4 },
 { 170315, ur_t2313_swio10_noled_pr_ce },
 { 170316, ur_t2313_swio10_noled_pr_ce_u4 },
 { 170317, ur_t2313_swio10_noled_pr_ee_ce },
 { 170318, ur_t2313_swio10_noled_pr_ee_ce_u4 },
 { 170324, ur_t2313_swio10_lednop },
 { 170325, ur_t2313_swio10_lednop },
 { 170326, ur_t2313_swio10_lednop_pr_u4 },
 { 170327, ur_t2313_swio10_lednop_pr_ee },
 { 170328, ur_t2313_swio10_lednop_pr_ee_u4 },
 { 170329, ur_t2313_swio10_lednop_pr_ce },
 { 170330, ur_t2313_swio10_lednop_pr_ce_u4 },
 { 170331, ur_t2313_swio10_lednop_pr_ee_ce },
 { 170332, ur_t2313_swio10_lednop_pr_ee_ce_u4 },
 { 170352, ur_t2313_swio11_noled },
 { 170353, ur_t2313_swio11_noled },
 { 170354, ur_t2313_swio11_noled_pr_u4 },
 { 170355, ur_t2313_swio11_noled_pr_ee },
 { 170356, ur_t2313_swio11_noled_pr_ee_u4 },
 { 170357, ur_t2313_swio11_noled_pr_ce },
 { 170358, ur_t2313_swio11_noled_pr_ce_u4 },
 { 170359, ur_t2313_swio11_noled_pr_ee_ce },
 { 170360, ur_t2313_swio11_noled_pr_ee_ce_u4 },
 { 170366, ur_t2313_swio11_lednop },
 { 170367, ur_t2313_swio11_lednop },
 { 170368, ur_t2313_swio11_lednop_pr_u4 },
 { 170369, ur_t2313_swio11_lednop_pr_ee },
 { 170370, ur_t2313_swio11_lednop_pr_ee_u4 },
 { 170371, ur_t2313_swio11_lednop_pr_ce },
 { 170372, ur_t2313_swio11_lednop_pr_ce_u4 },
 { 170373, ur_t2313_swio11_lednop_pr_ee_ce },
 { 170374, ur_t2313_swio11_lednop_pr_ee_ce_u4 },
 { 170394, ur_t2313_swio11_noled },
 { 170395, ur_t2313_swio11_noled },
 { 170396, ur_t2313_swio11_noled_pr_u4 },
 { 170397, ur_t2313_swio11_noled_pr_ee },
 { 170398, ur_t2313_swio11_noled_pr_ee_u4 },
 { 170399, ur_t2313_swio11_noled_pr_ce },
 { 170400, ur_t2313_swio11_noled_pr_ce_u4 },
 { 170401, ur_t2313_swio11_noled_pr_ee_ce },
 { 170402, ur_t2313_swio11_noled_pr_ee_ce_u4 },
 { 170408, ur_t2313_swio11_lednop },
 { 170409, ur_t2313_swio11_lednop },
 { 170410, ur_t2313_swio11_lednop_pr_u4 },
 { 170411, ur_t2313_swio11_lednop_pr_ee },
 { 170412, ur_t2313_swio11_lednop_pr_ee_u4 },
 { 170413, ur_t2313_swio11_lednop_pr_ce },
 { 170414, ur_t2313_swio11_lednop_pr_ce_u4 },
 { 170415, ur_t2313_swio11_lednop_pr_ee_ce },
 { 170416, ur_t2313_swio11_lednop_pr_ee_ce_u4 },
 { 170436, ur_t2313_swio13_noled },
 { 170437, ur_t2313_swio13_noled },
 { 170438, ur_t2313_swio13_noled_pr_u4 },
 { 170439, ur_t2313_swio13_noled_pr_ee },
 { 170440, ur_t2313_swio13_noled_pr_ee_u4 },
 { 170441, ur_t2313_swio13_noled_pr_ce },
 { 170442, ur_t2313_swio13_noled_pr_ce_u4 },
 { 170443, ur_t2313_swio13_noled_pr_ee_ce },
 { 170444, ur_t2313_swio13_noled_pr_ee_ce_u4 },
 { 170450, ur_t2313_swio13_lednop },
 { 170451, ur_t2313_swio13_lednop },
 { 170452, ur_t2313_swio13_lednop_pr_u4 },
 { 170453, ur_t2313_swio13_lednop_pr_ee },
 { 170454, ur_t2313_swio13_lednop_pr_ee_u4 },
 { 170455, ur_t2313_swio13_lednop_pr_ce },
 { 170456, ur_t2313_swio13_lednop_pr_ce_u4 },
 { 170457, ur_t2313_swio13_lednop_pr_ee_ce },
 { 170458, ur_t2313_swio13_lednop_pr_ee_ce_u4 },
 { 170478, ur_t2313_swio14_noled },
 { 170479, ur_t2313_swio14_noled },
 { 170480, ur_t2313_swio14_noled_pr_u4 },
 { 170481, ur_t2313_swio14_noled_pr_ee },
 { 170482, ur_t2313_swio14_noled_pr_ee_u4 },
 { 170483, ur_t2313_swio14_noled_pr_ce },
 { 170484, ur_t2313_swio14_noled_pr_ce_u4 },
 { 170485, ur_t2313_swio14_noled_pr_ee_ce },
 { 170486, ur_t2313_swio14_noled_pr_ee_ce_u4 },
 { 170492, ur_t2313_swio14_lednop },
 { 170493, ur_t2313_swio14_lednop },
 { 170494, ur_t2313_swio14_lednop_pr_u4 },
 { 170495, ur_t2313_swio14_lednop_pr_ee },
 { 170496, ur_t2313_swio14_lednop_pr_ee_u4 },
 { 170497, ur_t2313_swio14_lednop_pr_ce },
 { 170498, ur_t2313_swio14_lednop_pr_ce_u4 },
 { 170499, ur_t2313_swio14_lednop_pr_ee_ce },
 { 170500, ur_t2313_swio14_lednop_pr_ee_ce_u4 },
 { 170520, ur_t2313_swio15_noled },
 { 170521, ur_t2313_swio15_noled },
 { 170522, ur_t2313_swio15_noled_pr_u4 },
 { 170523, ur_t2313_swio15_noled_pr_ee },
 { 170524, ur_t2313_swio15_noled_pr_ee_u4 },
 { 170525, ur_t2313_swio15_noled_pr_ce },
 { 170526, ur_t2313_swio15_noled_pr_ce_u4 },
 { 170527, ur_t2313_swio15_noled_pr_ee_ce },
 { 170528, ur_t2313_swio15_noled_pr_ee_ce_u4 },
 { 170534, ur_t2313_swio15_lednop },
 { 170535, ur_t2313_swio15_lednop },
 { 170536, ur_t2313_swio15_lednop_pr_u4 },
 { 170537, ur_t2313_swio15_lednop_pr_ee },
 { 170538, ur_t2313_swio15_lednop_pr_ee_u4 },
 { 170539, ur_t2313_swio15_lednop_pr_ce },
 { 170540, ur_t2313_swio15_lednop_pr_ce_u4 },
 { 170541, ur_t2313_swio15_lednop_pr_ee_ce },
 { 170542, ur_t2313_swio15_lednop_pr_ee_ce_u4 },
 { 170562, ur_t2313_autobaud_uart0_noled },
 { 170563, ur_t2313_autobaud_uart0_noled_pr },
 { 170564, ur_t2313_autobaud_uart0_noled_pr_u4 },
 { 170565, ur_t2313_autobaud_uart0_noled_pr_ee },
 { 170566, ur_t2313_autobaud_uart0_noled_pr_ee_u4 },
 { 170567, ur_t2313_autobaud_uart0_noled_pr_ce },
 { 170568, ur_t2313_autobaud_uart0_noled_pr_ce_u4 },
 { 170569, ur_t2313_autobaud_uart0_noled_pr_ee_ce },
 { 170570, ur_t2313_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 170576, ur_t2313_autobaud_uart0_lednop },
 { 170577, ur_t2313_autobaud_uart0_lednop_pr },
 { 170578, ur_t2313_autobaud_uart0_lednop_pr_u4 },
 { 170579, ur_t2313_autobaud_uart0_lednop_pr_ee },
 { 170580, ur_t2313_autobaud_uart0_lednop_pr_ee_u4 },
 { 170581, ur_t2313_autobaud_uart0_lednop_pr_ce },
 { 170582, ur_t2313_autobaud_uart0_lednop_pr_ce_u4 },
 { 170583, ur_t2313_autobaud_uart0_lednop_pr_ee_ce },
 { 170584, ur_t2313_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 170772, ur_t2313_u1x8_uart0_noled },
 { 170773, ur_t2313_u1x8_uart0_noled_pr },
 { 170774, ur_t2313_u1x8_uart0_noled_pr_u4 },
 { 170775, ur_t2313_u1x8_uart0_noled_pr_ee },
 { 170776, ur_t2313_u1x8_uart0_noled_pr_ee_u4 },
 { 170777, ur_t2313_u1x8_uart0_noled_pr_ce },
 { 170778, ur_t2313_u1x8_uart0_noled_pr_ce_u4 },
 { 170779, ur_t2313_u1x8_uart0_noled_pr_ee_ce },
 { 170780, ur_t2313_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 170786, ur_t2313_u1x8_uart0_lednop },
 { 170787, ur_t2313_u1x8_uart0_lednop },
 { 170788, ur_t2313_u1x8_uart0_lednop_pr_u4 },
 { 170789, ur_t2313_u1x8_uart0_lednop_pr_ee },
 { 170790, ur_t2313_u1x8_uart0_lednop_pr_ee_u4 },
 { 170791, ur_t2313_u1x8_uart0_lednop_pr_ce },
 { 170792, ur_t2313_u1x8_uart0_lednop_pr_ce_u4 },
 { 170793, ur_t2313_u1x8_uart0_lednop_pr_ee_ce },
 { 170794, ur_t2313_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 170982, ur_t2313_u1x12_uart0_noled },
 { 170983, ur_t2313_u1x12_uart0_noled },
 { 170984, ur_t2313_u1x12_uart0_noled_pr_u4 },
 { 170985, ur_t2313_u1x12_uart0_noled_pr_ee },
 { 170986, ur_t2313_u1x12_uart0_noled_pr_ee_u4 },
 { 170987, ur_t2313_u1x12_uart0_noled_pr_ce },
 { 170988, ur_t2313_u1x12_uart0_noled_pr_ce_u4 },
 { 170989, ur_t2313_u1x12_uart0_noled_pr_ee_ce },
 { 170990, ur_t2313_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 170996, ur_t2313_u1x12_uart0_lednop },
 { 170997, ur_t2313_u1x12_uart0_lednop },
 { 170998, ur_t2313_u1x12_uart0_lednop_pr_u4 },
 { 170999, ur_t2313_u1x12_uart0_lednop_pr_ee },
 { 171000, ur_t2313_u1x12_uart0_lednop_pr_ee_u4 },
 { 171001, ur_t2313_u1x12_uart0_lednop_pr_ce },
 { 171002, ur_t2313_u1x12_uart0_lednop_pr_ce_u4 },
 { 171003, ur_t2313_u1x12_uart0_lednop_pr_ee_ce },
 { 171004, ur_t2313_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 171192, ur_t2313_u2x8_uart0_noled },
 { 171193, ur_t2313_u2x8_uart0_noled },
 { 171194, ur_t2313_u2x8_uart0_noled_pr_u4 },
 { 171195, ur_t2313_u2x8_uart0_noled_pr_ee },
 { 171196, ur_t2313_u2x8_uart0_noled_pr_ee_u4 },
 { 171197, ur_t2313_u2x8_uart0_noled_pr_ce },
 { 171198, ur_t2313_u2x8_uart0_noled_pr_ce_u4 },
 { 171199, ur_t2313_u2x8_uart0_noled_pr_ee_ce },
 { 171200, ur_t2313_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 171206, ur_t2313_u2x8_uart0_lednop },
 { 171207, ur_t2313_u2x8_uart0_lednop },
 { 171208, ur_t2313_u2x8_uart0_lednop_pr_u4 },
 { 171209, ur_t2313_u2x8_uart0_lednop_pr_ee },
 { 171210, ur_t2313_u2x8_uart0_lednop_pr_ee_u4 },
 { 171211, ur_t2313_u2x8_uart0_lednop_pr_ce },
 { 171212, ur_t2313_u2x8_uart0_lednop_pr_ce_u4 },
 { 171213, ur_t2313_u2x8_uart0_lednop_pr_ee_ce },
 { 171214, ur_t2313_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 171402, ur_t2313_u2x12_uart0_noled },
 { 171403, ur_t2313_u2x12_uart0_noled },
 { 171404, ur_t2313_u2x12_uart0_noled_pr_u4 },
 { 171405, ur_t2313_u2x12_uart0_noled_pr_ee },
 { 171406, ur_t2313_u2x12_uart0_noled_pr_ee_u4 },
 { 171407, ur_t2313_u2x12_uart0_noled_pr_ce },
 { 171408, ur_t2313_u2x12_uart0_noled_pr_ce_u4 },
 { 171409, ur_t2313_u2x12_uart0_noled_pr_ee_ce },
 { 171410, ur_t2313_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 171416, ur_t2313_u2x12_uart0_lednop },
 { 171417, ur_t2313_u2x12_uart0_lednop },
 { 171418, ur_t2313_u2x12_uart0_lednop_pr_u4 },
 { 171419, ur_t2313_u2x12_uart0_lednop_pr_ee },
 { 171420, ur_t2313_u2x12_uart0_lednop_pr_ee_u4 },
 { 171421, ur_t2313_u2x12_uart0_lednop_pr_ce },
 { 171422, ur_t2313_u2x12_uart0_lednop_pr_ce_u4 },
 { 171423, ur_t2313_u2x12_uart0_lednop_pr_ee_ce },
 { 171424, ur_t2313_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 171612, ur_t2313_swio10_noled },
 { 171613, ur_t2313_swio10_noled },
 { 171614, ur_t2313_swio10_noled_pr_u4 },
 { 171615, ur_t2313_swio10_noled_pr_ee },
 { 171616, ur_t2313_swio10_noled_pr_ee_u4 },
 { 171617, ur_t2313_swio10_noled_pr_ce },
 { 171618, ur_t2313_swio10_noled_pr_ce_u4 },
 { 171619, ur_t2313_swio10_noled_pr_ee_ce },
 { 171620, ur_t2313_swio10_noled_pr_ee_ce_u4 },
 { 171626, ur_t2313_swio10_lednop },
 { 171627, ur_t2313_swio10_lednop },
 { 171628, ur_t2313_swio10_lednop_pr_u4 },
 { 171629, ur_t2313_swio10_lednop_pr_ee },
 { 171630, ur_t2313_swio10_lednop_pr_ee_u4 },
 { 171631, ur_t2313_swio10_lednop_pr_ce },
 { 171632, ur_t2313_swio10_lednop_pr_ce_u4 },
 { 171633, ur_t2313_swio10_lednop_pr_ee_ce },
 { 171634, ur_t2313_swio10_lednop_pr_ee_ce_u4 },
 { 171654, ur_t2313_swio11_noled },
 { 171655, ur_t2313_swio11_noled },
 { 171656, ur_t2313_swio11_noled_pr_u4 },
 { 171657, ur_t2313_swio11_noled_pr_ee },
 { 171658, ur_t2313_swio11_noled_pr_ee_u4 },
 { 171659, ur_t2313_swio11_noled_pr_ce },
 { 171660, ur_t2313_swio11_noled_pr_ce_u4 },
 { 171661, ur_t2313_swio11_noled_pr_ee_ce },
 { 171662, ur_t2313_swio11_noled_pr_ee_ce_u4 },
 { 171668, ur_t2313_swio11_lednop },
 { 171669, ur_t2313_swio11_lednop },
 { 171670, ur_t2313_swio11_lednop_pr_u4 },
 { 171671, ur_t2313_swio11_lednop_pr_ee },
 { 171672, ur_t2313_swio11_lednop_pr_ee_u4 },
 { 171673, ur_t2313_swio11_lednop_pr_ce },
 { 171674, ur_t2313_swio11_lednop_pr_ce_u4 },
 { 171675, ur_t2313_swio11_lednop_pr_ee_ce },
 { 171676, ur_t2313_swio11_lednop_pr_ee_ce_u4 },
 { 171696, ur_t2313_swio11_noled },
 { 171697, ur_t2313_swio11_noled },
 { 171698, ur_t2313_swio11_noled_pr_u4 },
 { 171699, ur_t2313_swio11_noled_pr_ee },
 { 171700, ur_t2313_swio11_noled_pr_ee_u4 },
 { 171701, ur_t2313_swio11_noled_pr_ce },
 { 171702, ur_t2313_swio11_noled_pr_ce_u4 },
 { 171703, ur_t2313_swio11_noled_pr_ee_ce },
 { 171704, ur_t2313_swio11_noled_pr_ee_ce_u4 },
 { 171710, ur_t2313_swio11_lednop },
 { 171711, ur_t2313_swio11_lednop },
 { 171712, ur_t2313_swio11_lednop_pr_u4 },
 { 171713, ur_t2313_swio11_lednop_pr_ee },
 { 171714, ur_t2313_swio11_lednop_pr_ee_u4 },
 { 171715, ur_t2313_swio11_lednop_pr_ce },
 { 171716, ur_t2313_swio11_lednop_pr_ce_u4 },
 { 171717, ur_t2313_swio11_lednop_pr_ee_ce },
 { 171718, ur_t2313_swio11_lednop_pr_ee_ce_u4 },
 { 171738, ur_t2313_swio13_noled },
 { 171739, ur_t2313_swio13_noled },
 { 171740, ur_t2313_swio13_noled_pr_u4 },
 { 171741, ur_t2313_swio13_noled_pr_ee },
 { 171742, ur_t2313_swio13_noled_pr_ee_u4 },
 { 171743, ur_t2313_swio13_noled_pr_ce },
 { 171744, ur_t2313_swio13_noled_pr_ce_u4 },
 { 171745, ur_t2313_swio13_noled_pr_ee_ce },
 { 171746, ur_t2313_swio13_noled_pr_ee_ce_u4 },
 { 171752, ur_t2313_swio13_lednop },
 { 171753, ur_t2313_swio13_lednop },
 { 171754, ur_t2313_swio13_lednop_pr_u4 },
 { 171755, ur_t2313_swio13_lednop_pr_ee },
 { 171756, ur_t2313_swio13_lednop_pr_ee_u4 },
 { 171757, ur_t2313_swio13_lednop_pr_ce },
 { 171758, ur_t2313_swio13_lednop_pr_ce_u4 },
 { 171759, ur_t2313_swio13_lednop_pr_ee_ce },
 { 171760, ur_t2313_swio13_lednop_pr_ee_ce_u4 },
 { 171780, ur_t2313_swio14_noled },
 { 171781, ur_t2313_swio14_noled },
 { 171782, ur_t2313_swio14_noled_pr_u4 },
 { 171783, ur_t2313_swio14_noled_pr_ee },
 { 171784, ur_t2313_swio14_noled_pr_ee_u4 },
 { 171785, ur_t2313_swio14_noled_pr_ce },
 { 171786, ur_t2313_swio14_noled_pr_ce_u4 },
 { 171787, ur_t2313_swio14_noled_pr_ee_ce },
 { 171788, ur_t2313_swio14_noled_pr_ee_ce_u4 },
 { 171794, ur_t2313_swio14_lednop },
 { 171795, ur_t2313_swio14_lednop },
 { 171796, ur_t2313_swio14_lednop_pr_u4 },
 { 171797, ur_t2313_swio14_lednop_pr_ee },
 { 171798, ur_t2313_swio14_lednop_pr_ee_u4 },
 { 171799, ur_t2313_swio14_lednop_pr_ce },
 { 171800, ur_t2313_swio14_lednop_pr_ce_u4 },
 { 171801, ur_t2313_swio14_lednop_pr_ee_ce },
 { 171802, ur_t2313_swio14_lednop_pr_ee_ce_u4 },
 { 171822, ur_t2313_swio15_noled },
 { 171823, ur_t2313_swio15_noled },
 { 171824, ur_t2313_swio15_noled_pr_u4 },
 { 171825, ur_t2313_swio15_noled_pr_ee },
 { 171826, ur_t2313_swio15_noled_pr_ee_u4 },
 { 171827, ur_t2313_swio15_noled_pr_ce },
 { 171828, ur_t2313_swio15_noled_pr_ce_u4 },
 { 171829, ur_t2313_swio15_noled_pr_ee_ce },
 { 171830, ur_t2313_swio15_noled_pr_ee_ce_u4 },
 { 171836, ur_t2313_swio15_lednop },
 { 171837, ur_t2313_swio15_lednop },
 { 171838, ur_t2313_swio15_lednop_pr_u4 },
 { 171839, ur_t2313_swio15_lednop_pr_ee },
 { 171840, ur_t2313_swio15_lednop_pr_ee_u4 },
 { 171841, ur_t2313_swio15_lednop_pr_ce },
 { 171842, ur_t2313_swio15_lednop_pr_ce_u4 },
 { 171843, ur_t2313_swio15_lednop_pr_ee_ce },
 { 171844, ur_t2313_swio15_lednop_pr_ee_ce_u4 },
 { 171864, ur_t4313_autobaud_uart0_noled },
 { 171865, ur_t4313_autobaud_uart0_noled },
 { 171866, ur_t4313_autobaud_uart0_noled_pr_u4 },
 { 171867, ur_t4313_autobaud_uart0_noled_pr_ee },
 { 171868, ur_t4313_autobaud_uart0_noled_pr_ee_u4 },
 { 171869, ur_t4313_autobaud_uart0_noled_pr_ce },
 { 171870, ur_t4313_autobaud_uart0_noled_pr_ce_u4 },
 { 171871, ur_t4313_autobaud_uart0_noled_pr_ee_ce },
 { 171872, ur_t4313_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 171878, ur_t4313_autobaud_uart0_lednop },
 { 171879, ur_t4313_autobaud_uart0_lednop },
 { 171880, ur_t4313_autobaud_uart0_lednop_pr_u4 },
 { 171881, ur_t4313_autobaud_uart0_lednop_pr_ee },
 { 171882, ur_t4313_autobaud_uart0_lednop_pr_ee_u4 },
 { 171883, ur_t4313_autobaud_uart0_lednop_pr_ce },
 { 171884, ur_t4313_autobaud_uart0_lednop_pr_ce_u4 },
 { 171885, ur_t4313_autobaud_uart0_lednop_pr_ee_ce },
 { 171886, ur_t4313_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 172074, ur_t4313_u1x8_uart0_noled },
 { 172075, ur_t4313_u1x8_uart0_noled_pr },
 { 172076, ur_t4313_u1x8_uart0_noled_pr_u4 },
 { 172077, ur_t4313_u1x8_uart0_noled_pr_ee },
 { 172078, ur_t4313_u1x8_uart0_noled_pr_ee_u4 },
 { 172079, ur_t4313_u1x8_uart0_noled_pr_ce },
 { 172080, ur_t4313_u1x8_uart0_noled_pr_ce_u4 },
 { 172081, ur_t4313_u1x8_uart0_noled_pr_ee_ce },
 { 172082, ur_t4313_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 172088, ur_t4313_u1x8_uart0_lednop },
 { 172089, ur_t4313_u1x8_uart0_lednop },
 { 172090, ur_t4313_u1x8_uart0_lednop_pr_u4 },
 { 172091, ur_t4313_u1x8_uart0_lednop_pr_ee },
 { 172092, ur_t4313_u1x8_uart0_lednop_pr_ee_u4 },
 { 172093, ur_t4313_u1x8_uart0_lednop_pr_ce },
 { 172094, ur_t4313_u1x8_uart0_lednop_pr_ce_u4 },
 { 172095, ur_t4313_u1x8_uart0_lednop_pr_ee_ce },
 { 172096, ur_t4313_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 172284, ur_t4313_u1x12_uart0_noled },
 { 172285, ur_t4313_u1x12_uart0_noled },
 { 172286, ur_t4313_u1x12_uart0_noled_pr_u4 },
 { 172287, ur_t4313_u1x12_uart0_noled_pr_ee },
 { 172288, ur_t4313_u1x12_uart0_noled_pr_ee_u4 },
 { 172289, ur_t4313_u1x12_uart0_noled_pr_ce },
 { 172290, ur_t4313_u1x12_uart0_noled_pr_ce_u4 },
 { 172291, ur_t4313_u1x12_uart0_noled_pr_ee_ce },
 { 172292, ur_t4313_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 172298, ur_t4313_u1x12_uart0_lednop },
 { 172299, ur_t4313_u1x12_uart0_lednop },
 { 172300, ur_t4313_u1x12_uart0_lednop_pr_u4 },
 { 172301, ur_t4313_u1x12_uart0_lednop_pr_ee },
 { 172302, ur_t4313_u1x12_uart0_lednop_pr_ee_u4 },
 { 172303, ur_t4313_u1x12_uart0_lednop_pr_ce },
 { 172304, ur_t4313_u1x12_uart0_lednop_pr_ce_u4 },
 { 172305, ur_t4313_u1x12_uart0_lednop_pr_ee_ce },
 { 172306, ur_t4313_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 172494, ur_t4313_u2x8_uart0_noled },
 { 172495, ur_t4313_u2x8_uart0_noled },
 { 172496, ur_t4313_u2x8_uart0_noled_pr_u4 },
 { 172497, ur_t4313_u2x8_uart0_noled_pr_ee },
 { 172498, ur_t4313_u2x8_uart0_noled_pr_ee_u4 },
 { 172499, ur_t4313_u2x8_uart0_noled_pr_ce },
 { 172500, ur_t4313_u2x8_uart0_noled_pr_ce_u4 },
 { 172501, ur_t4313_u2x8_uart0_noled_pr_ee_ce },
 { 172502, ur_t4313_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 172508, ur_t4313_u2x8_uart0_lednop },
 { 172509, ur_t4313_u2x8_uart0_lednop },
 { 172510, ur_t4313_u2x8_uart0_lednop_pr_u4 },
 { 172511, ur_t4313_u2x8_uart0_lednop_pr_ee },
 { 172512, ur_t4313_u2x8_uart0_lednop_pr_ee_u4 },
 { 172513, ur_t4313_u2x8_uart0_lednop_pr_ce },
 { 172514, ur_t4313_u2x8_uart0_lednop_pr_ce_u4 },
 { 172515, ur_t4313_u2x8_uart0_lednop_pr_ee_ce },
 { 172516, ur_t4313_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 172704, ur_t4313_u2x12_uart0_noled },
 { 172705, ur_t4313_u2x12_uart0_noled },
 { 172706, ur_t4313_u2x12_uart0_noled_pr_u4 },
 { 172707, ur_t4313_u2x12_uart0_noled_pr_ee },
 { 172708, ur_t4313_u2x12_uart0_noled_pr_ee_u4 },
 { 172709, ur_t4313_u2x12_uart0_noled_pr_ce },
 { 172710, ur_t4313_u2x12_uart0_noled_pr_ce_u4 },
 { 172711, ur_t4313_u2x12_uart0_noled_pr_ee_ce },
 { 172712, ur_t4313_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 172718, ur_t4313_u2x12_uart0_lednop },
 { 172719, ur_t4313_u2x12_uart0_lednop },
 { 172720, ur_t4313_u2x12_uart0_lednop_pr_u4 },
 { 172721, ur_t4313_u2x12_uart0_lednop_pr_ee },
 { 172722, ur_t4313_u2x12_uart0_lednop_pr_ee_u4 },
 { 172723, ur_t4313_u2x12_uart0_lednop_pr_ce },
 { 172724, ur_t4313_u2x12_uart0_lednop_pr_ce_u4 },
 { 172725, ur_t4313_u2x12_uart0_lednop_pr_ee_ce },
 { 172726, ur_t4313_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 172914, ur_t4313_swio10_noled },
 { 172915, ur_t4313_swio10_noled },
 { 172916, ur_t4313_swio10_noled_pr_u4 },
 { 172917, ur_t4313_swio10_noled_pr_ee },
 { 172918, ur_t4313_swio10_noled_pr_ee_u4 },
 { 172919, ur_t4313_swio10_noled_pr_ce },
 { 172920, ur_t4313_swio10_noled_pr_ce_u4 },
 { 172921, ur_t4313_swio10_noled_pr_ee_ce },
 { 172922, ur_t4313_swio10_noled_pr_ee_ce_u4 },
 { 172928, ur_t4313_swio10_lednop },
 { 172929, ur_t4313_swio10_lednop },
 { 172930, ur_t4313_swio10_lednop_pr_u4 },
 { 172931, ur_t4313_swio10_lednop_pr_ee },
 { 172932, ur_t4313_swio10_lednop_pr_ee_u4 },
 { 172933, ur_t4313_swio10_lednop_pr_ce },
 { 172934, ur_t4313_swio10_lednop_pr_ce_u4 },
 { 172935, ur_t4313_swio10_lednop_pr_ee_ce },
 { 172936, ur_t4313_swio10_lednop_pr_ee_ce_u4 },
 { 172956, ur_t4313_swio11_noled },
 { 172957, ur_t4313_swio11_noled },
 { 172958, ur_t4313_swio11_noled_pr_u4 },
 { 172959, ur_t4313_swio11_noled_pr_ee },
 { 172960, ur_t4313_swio11_noled_pr_ee_u4 },
 { 172961, ur_t4313_swio11_noled_pr_ce },
 { 172962, ur_t4313_swio11_noled_pr_ce_u4 },
 { 172963, ur_t4313_swio11_noled_pr_ee_ce },
 { 172964, ur_t4313_swio11_noled_pr_ee_ce_u4 },
 { 172970, ur_t4313_swio11_lednop },
 { 172971, ur_t4313_swio11_lednop },
 { 172972, ur_t4313_swio11_lednop_pr_u4 },
 { 172973, ur_t4313_swio11_lednop_pr_ee },
 { 172974, ur_t4313_swio11_lednop_pr_ee_u4 },
 { 172975, ur_t4313_swio11_lednop_pr_ce },
 { 172976, ur_t4313_swio11_lednop_pr_ce_u4 },
 { 172977, ur_t4313_swio11_lednop_pr_ee_ce },
 { 172978, ur_t4313_swio11_lednop_pr_ee_ce_u4 },
 { 172998, ur_t4313_swio11_noled },
 { 172999, ur_t4313_swio11_noled },
 { 173000, ur_t4313_swio11_noled_pr_u4 },
 { 173001, ur_t4313_swio11_noled_pr_ee },
 { 173002, ur_t4313_swio11_noled_pr_ee_u4 },
 { 173003, ur_t4313_swio11_noled_pr_ce },
 { 173004, ur_t4313_swio11_noled_pr_ce_u4 },
 { 173005, ur_t4313_swio11_noled_pr_ee_ce },
 { 173006, ur_t4313_swio11_noled_pr_ee_ce_u4 },
 { 173012, ur_t4313_swio11_lednop },
 { 173013, ur_t4313_swio11_lednop },
 { 173014, ur_t4313_swio11_lednop_pr_u4 },
 { 173015, ur_t4313_swio11_lednop_pr_ee },
 { 173016, ur_t4313_swio11_lednop_pr_ee_u4 },
 { 173017, ur_t4313_swio11_lednop_pr_ce },
 { 173018, ur_t4313_swio11_lednop_pr_ce_u4 },
 { 173019, ur_t4313_swio11_lednop_pr_ee_ce },
 { 173020, ur_t4313_swio11_lednop_pr_ee_ce_u4 },
 { 173040, ur_t4313_swio13_noled },
 { 173041, ur_t4313_swio13_noled },
 { 173042, ur_t4313_swio13_noled_pr_u4 },
 { 173043, ur_t4313_swio13_noled_pr_ee },
 { 173044, ur_t4313_swio13_noled_pr_ee_u4 },
 { 173045, ur_t4313_swio13_noled_pr_ce },
 { 173046, ur_t4313_swio13_noled_pr_ce_u4 },
 { 173047, ur_t4313_swio13_noled_pr_ee_ce },
 { 173048, ur_t4313_swio13_noled_pr_ee_ce_u4 },
 { 173054, ur_t4313_swio13_lednop },
 { 173055, ur_t4313_swio13_lednop },
 { 173056, ur_t4313_swio13_lednop_pr_u4 },
 { 173057, ur_t4313_swio13_lednop_pr_ee },
 { 173058, ur_t4313_swio13_lednop_pr_ee_u4 },
 { 173059, ur_t4313_swio13_lednop_pr_ce },
 { 173060, ur_t4313_swio13_lednop_pr_ce_u4 },
 { 173061, ur_t4313_swio13_lednop_pr_ee_ce },
 { 173062, ur_t4313_swio13_lednop_pr_ee_ce_u4 },
 { 173082, ur_t4313_swio14_noled },
 { 173083, ur_t4313_swio14_noled },
 { 173084, ur_t4313_swio14_noled_pr_u4 },
 { 173085, ur_t4313_swio14_noled_pr_ee },
 { 173086, ur_t4313_swio14_noled_pr_ee_u4 },
 { 173087, ur_t4313_swio14_noled_pr_ce },
 { 173088, ur_t4313_swio14_noled_pr_ce_u4 },
 { 173089, ur_t4313_swio14_noled_pr_ee_ce },
 { 173090, ur_t4313_swio14_noled_pr_ee_ce_u4 },
 { 173096, ur_t4313_swio14_lednop },
 { 173097, ur_t4313_swio14_lednop },
 { 173098, ur_t4313_swio14_lednop_pr_u4 },
 { 173099, ur_t4313_swio14_lednop_pr_ee },
 { 173100, ur_t4313_swio14_lednop_pr_ee_u4 },
 { 173101, ur_t4313_swio14_lednop_pr_ce },
 { 173102, ur_t4313_swio14_lednop_pr_ce_u4 },
 { 173103, ur_t4313_swio14_lednop_pr_ee_ce },
 { 173104, ur_t4313_swio14_lednop_pr_ee_ce_u4 },
 { 173124, ur_t4313_swio15_noled },
 { 173125, ur_t4313_swio15_noled },
 { 173126, ur_t4313_swio15_noled_pr_u4 },
 { 173127, ur_t4313_swio15_noled_pr_ee },
 { 173128, ur_t4313_swio15_noled_pr_ee_u4 },
 { 173129, ur_t4313_swio15_noled_pr_ce },
 { 173130, ur_t4313_swio15_noled_pr_ce_u4 },
 { 173131, ur_t4313_swio15_noled_pr_ee_ce },
 { 173132, ur_t4313_swio15_noled_pr_ee_ce_u4 },
 { 173138, ur_t4313_swio15_lednop },
 { 173139, ur_t4313_swio15_lednop },
 { 173140, ur_t4313_swio15_lednop_pr_u4 },
 { 173141, ur_t4313_swio15_lednop_pr_ee },
 { 173142, ur_t4313_swio15_lednop_pr_ee_u4 },
 { 173143, ur_t4313_swio15_lednop_pr_ce },
 { 173144, ur_t4313_swio15_lednop_pr_ce_u4 },
 { 173145, ur_t4313_swio15_lednop_pr_ee_ce },
 { 173146, ur_t4313_swio15_lednop_pr_ee_ce_u4 },
 { 174216, ur_t261_swio10_noled },
 { 174217, ur_t261_swio10_noled },
 { 174218, ur_t261_swio10_noled_pr_u4 },
 { 174219, ur_t261_swio10_noled_pr_ee },
 { 174220, ur_t261_swio10_noled_pr_ee_u4 },
 { 174221, ur_t261_swio10_noled_pr_ce },
 { 174222, ur_t261_swio10_noled_pr_ce_u4 },
 { 174223, ur_t261_swio10_noled_pr_ee_ce },
 { 174224, ur_t261_swio10_noled_pr_ee_ce_u4 },
 { 174230, ur_t261_swio10_lednop },
 { 174231, ur_t261_swio10_lednop },
 { 174232, ur_t261_swio10_lednop_pr_u4 },
 { 174233, ur_t261_swio10_lednop_pr_ee },
 { 174234, ur_t261_swio10_lednop_pr_ee_u4 },
 { 174235, ur_t261_swio10_lednop_pr_ce },
 { 174236, ur_t261_swio10_lednop_pr_ce_u4 },
 { 174237, ur_t261_swio10_lednop_pr_ee_ce },
 { 174238, ur_t261_swio10_lednop_pr_ee_ce_u4 },
 { 174258, ur_t261_swio11_noled },
 { 174259, ur_t261_swio11_noled },
 { 174260, ur_t261_swio11_noled_pr_u4 },
 { 174261, ur_t261_swio11_noled_pr_ee },
 { 174262, ur_t261_swio11_noled_pr_ee_u4 },
 { 174263, ur_t261_swio11_noled_pr_ce },
 { 174264, ur_t261_swio11_noled_pr_ce_u4 },
 { 174265, ur_t261_swio11_noled_pr_ee_ce },
 { 174266, ur_t261_swio11_noled_pr_ee_ce_u4 },
 { 174272, ur_t261_swio11_lednop },
 { 174273, ur_t261_swio11_lednop },
 { 174274, ur_t261_swio11_lednop_pr_u4 },
 { 174275, ur_t261_swio11_lednop_pr_ee },
 { 174276, ur_t261_swio11_lednop_pr_ee_u4 },
 { 174277, ur_t261_swio11_lednop_pr_ce },
 { 174278, ur_t261_swio11_lednop_pr_ce_u4 },
 { 174279, ur_t261_swio11_lednop_pr_ee_ce },
 { 174280, ur_t261_swio11_lednop_pr_ee_ce_u4 },
 { 174300, ur_t261_swio11_noled },
 { 174301, ur_t261_swio11_noled },
 { 174302, ur_t261_swio11_noled_pr_u4 },
 { 174303, ur_t261_swio11_noled_pr_ee },
 { 174304, ur_t261_swio11_noled_pr_ee_u4 },
 { 174305, ur_t261_swio11_noled_pr_ce },
 { 174306, ur_t261_swio11_noled_pr_ce_u4 },
 { 174307, ur_t261_swio11_noled_pr_ee_ce },
 { 174308, ur_t261_swio11_noled_pr_ee_ce_u4 },
 { 174314, ur_t261_swio11_lednop },
 { 174315, ur_t261_swio11_lednop },
 { 174316, ur_t261_swio11_lednop_pr_u4 },
 { 174317, ur_t261_swio11_lednop_pr_ee },
 { 174318, ur_t261_swio11_lednop_pr_ee_u4 },
 { 174319, ur_t261_swio11_lednop_pr_ce },
 { 174320, ur_t261_swio11_lednop_pr_ce_u4 },
 { 174321, ur_t261_swio11_lednop_pr_ee_ce },
 { 174322, ur_t261_swio11_lednop_pr_ee_ce_u4 },
 { 174342, ur_t261_swio13_noled },
 { 174343, ur_t261_swio13_noled },
 { 174344, ur_t261_swio13_noled_pr_u4 },
 { 174345, ur_t261_swio13_noled_pr_ee },
 { 174346, ur_t261_swio13_noled_pr_ee_u4 },
 { 174347, ur_t261_swio13_noled_pr_ce },
 { 174348, ur_t261_swio13_noled_pr_ce_u4 },
 { 174349, ur_t261_swio13_noled_pr_ee_ce },
 { 174350, ur_t261_swio13_noled_pr_ee_ce_u4 },
 { 174356, ur_t261_swio13_lednop },
 { 174357, ur_t261_swio13_lednop },
 { 174358, ur_t261_swio13_lednop_pr_u4 },
 { 174359, ur_t261_swio13_lednop_pr_ee },
 { 174360, ur_t261_swio13_lednop_pr_ee_u4 },
 { 174361, ur_t261_swio13_lednop_pr_ce },
 { 174362, ur_t261_swio13_lednop_pr_ce_u4 },
 { 174363, ur_t261_swio13_lednop_pr_ee_ce },
 { 174364, ur_t261_swio13_lednop_pr_ee_ce_u4 },
 { 174384, ur_t261_swio14_noled },
 { 174385, ur_t261_swio14_noled },
 { 174386, ur_t261_swio14_noled_pr_u4 },
 { 174387, ur_t261_swio14_noled_pr_ee },
 { 174388, ur_t261_swio14_noled_pr_ee_u4 },
 { 174389, ur_t261_swio14_noled_pr_ce },
 { 174390, ur_t261_swio14_noled_pr_ce_u4 },
 { 174391, ur_t261_swio14_noled_pr_ee_ce },
 { 174392, ur_t261_swio14_noled_pr_ee_ce_u4 },
 { 174398, ur_t261_swio14_lednop },
 { 174399, ur_t261_swio14_lednop },
 { 174400, ur_t261_swio14_lednop_pr_u4 },
 { 174401, ur_t261_swio14_lednop_pr_ee },
 { 174402, ur_t261_swio14_lednop_pr_ee_u4 },
 { 174403, ur_t261_swio14_lednop_pr_ce },
 { 174404, ur_t261_swio14_lednop_pr_ce_u4 },
 { 174405, ur_t261_swio14_lednop_pr_ee_ce },
 { 174406, ur_t261_swio14_lednop_pr_ee_ce_u4 },
 { 174426, ur_t261_swio15_noled },
 { 174427, ur_t261_swio15_noled },
 { 174428, ur_t261_swio15_noled_pr_u4 },
 { 174429, ur_t261_swio15_noled_pr_ee },
 { 174430, ur_t261_swio15_noled_pr_ee_u4 },
 { 174431, ur_t261_swio15_noled_pr_ce },
 { 174432, ur_t261_swio15_noled_pr_ce_u4 },
 { 174433, ur_t261_swio15_noled_pr_ee_ce },
 { 174434, ur_t261_swio15_noled_pr_ee_ce_u4 },
 { 174440, ur_t261_swio15_lednop },
 { 174441, ur_t261_swio15_lednop },
 { 174442, ur_t261_swio15_lednop_pr_u4 },
 { 174443, ur_t261_swio15_lednop_pr_ee },
 { 174444, ur_t261_swio15_lednop_pr_ee_u4 },
 { 174445, ur_t261_swio15_lednop_pr_ce },
 { 174446, ur_t261_swio15_lednop_pr_ce_u4 },
 { 174447, ur_t261_swio15_lednop_pr_ee_ce },
 { 174448, ur_t261_swio15_lednop_pr_ee_ce_u4 },
 { 175518, ur_t261_swio10_noled },
 { 175519, ur_t261_swio10_noled },
 { 175520, ur_t261_swio10_noled_pr_u4 },
 { 175521, ur_t261_swio10_noled_pr_ee },
 { 175522, ur_t261_swio10_noled_pr_ee_u4 },
 { 175523, ur_t261_swio10_noled_pr_ce },
 { 175524, ur_t261_swio10_noled_pr_ce_u4 },
 { 175525, ur_t261_swio10_noled_pr_ee_ce },
 { 175526, ur_t261_swio10_noled_pr_ee_ce_u4 },
 { 175532, ur_t261_swio10_lednop },
 { 175533, ur_t261_swio10_lednop },
 { 175534, ur_t261_swio10_lednop_pr_u4 },
 { 175535, ur_t261_swio10_lednop_pr_ee },
 { 175536, ur_t261_swio10_lednop_pr_ee_u4 },
 { 175537, ur_t261_swio10_lednop_pr_ce },
 { 175538, ur_t261_swio10_lednop_pr_ce_u4 },
 { 175539, ur_t261_swio10_lednop_pr_ee_ce },
 { 175540, ur_t261_swio10_lednop_pr_ee_ce_u4 },
 { 175560, ur_t261_swio11_noled },
 { 175561, ur_t261_swio11_noled },
 { 175562, ur_t261_swio11_noled_pr_u4 },
 { 175563, ur_t261_swio11_noled_pr_ee },
 { 175564, ur_t261_swio11_noled_pr_ee_u4 },
 { 175565, ur_t261_swio11_noled_pr_ce },
 { 175566, ur_t261_swio11_noled_pr_ce_u4 },
 { 175567, ur_t261_swio11_noled_pr_ee_ce },
 { 175568, ur_t261_swio11_noled_pr_ee_ce_u4 },
 { 175574, ur_t261_swio11_lednop },
 { 175575, ur_t261_swio11_lednop },
 { 175576, ur_t261_swio11_lednop_pr_u4 },
 { 175577, ur_t261_swio11_lednop_pr_ee },
 { 175578, ur_t261_swio11_lednop_pr_ee_u4 },
 { 175579, ur_t261_swio11_lednop_pr_ce },
 { 175580, ur_t261_swio11_lednop_pr_ce_u4 },
 { 175581, ur_t261_swio11_lednop_pr_ee_ce },
 { 175582, ur_t261_swio11_lednop_pr_ee_ce_u4 },
 { 175602, ur_t261_swio11_noled },
 { 175603, ur_t261_swio11_noled },
 { 175604, ur_t261_swio11_noled_pr_u4 },
 { 175605, ur_t261_swio11_noled_pr_ee },
 { 175606, ur_t261_swio11_noled_pr_ee_u4 },
 { 175607, ur_t261_swio11_noled_pr_ce },
 { 175608, ur_t261_swio11_noled_pr_ce_u4 },
 { 175609, ur_t261_swio11_noled_pr_ee_ce },
 { 175610, ur_t261_swio11_noled_pr_ee_ce_u4 },
 { 175616, ur_t261_swio11_lednop },
 { 175617, ur_t261_swio11_lednop },
 { 175618, ur_t261_swio11_lednop_pr_u4 },
 { 175619, ur_t261_swio11_lednop_pr_ee },
 { 175620, ur_t261_swio11_lednop_pr_ee_u4 },
 { 175621, ur_t261_swio11_lednop_pr_ce },
 { 175622, ur_t261_swio11_lednop_pr_ce_u4 },
 { 175623, ur_t261_swio11_lednop_pr_ee_ce },
 { 175624, ur_t261_swio11_lednop_pr_ee_ce_u4 },
 { 175644, ur_t261_swio13_noled },
 { 175645, ur_t261_swio13_noled },
 { 175646, ur_t261_swio13_noled_pr_u4 },
 { 175647, ur_t261_swio13_noled_pr_ee },
 { 175648, ur_t261_swio13_noled_pr_ee_u4 },
 { 175649, ur_t261_swio13_noled_pr_ce },
 { 175650, ur_t261_swio13_noled_pr_ce_u4 },
 { 175651, ur_t261_swio13_noled_pr_ee_ce },
 { 175652, ur_t261_swio13_noled_pr_ee_ce_u4 },
 { 175658, ur_t261_swio13_lednop },
 { 175659, ur_t261_swio13_lednop },
 { 175660, ur_t261_swio13_lednop_pr_u4 },
 { 175661, ur_t261_swio13_lednop_pr_ee },
 { 175662, ur_t261_swio13_lednop_pr_ee_u4 },
 { 175663, ur_t261_swio13_lednop_pr_ce },
 { 175664, ur_t261_swio13_lednop_pr_ce_u4 },
 { 175665, ur_t261_swio13_lednop_pr_ee_ce },
 { 175666, ur_t261_swio13_lednop_pr_ee_ce_u4 },
 { 175686, ur_t261_swio14_noled },
 { 175687, ur_t261_swio14_noled },
 { 175688, ur_t261_swio14_noled_pr_u4 },
 { 175689, ur_t261_swio14_noled_pr_ee },
 { 175690, ur_t261_swio14_noled_pr_ee_u4 },
 { 175691, ur_t261_swio14_noled_pr_ce },
 { 175692, ur_t261_swio14_noled_pr_ce_u4 },
 { 175693, ur_t261_swio14_noled_pr_ee_ce },
 { 175694, ur_t261_swio14_noled_pr_ee_ce_u4 },
 { 175700, ur_t261_swio14_lednop },
 { 175701, ur_t261_swio14_lednop },
 { 175702, ur_t261_swio14_lednop_pr_u4 },
 { 175703, ur_t261_swio14_lednop_pr_ee },
 { 175704, ur_t261_swio14_lednop_pr_ee_u4 },
 { 175705, ur_t261_swio14_lednop_pr_ce },
 { 175706, ur_t261_swio14_lednop_pr_ce_u4 },
 { 175707, ur_t261_swio14_lednop_pr_ee_ce },
 { 175708, ur_t261_swio14_lednop_pr_ee_ce_u4 },
 { 175728, ur_t261_swio15_noled },
 { 175729, ur_t261_swio15_noled },
 { 175730, ur_t261_swio15_noled_pr_u4 },
 { 175731, ur_t261_swio15_noled_pr_ee },
 { 175732, ur_t261_swio15_noled_pr_ee_u4 },
 { 175733, ur_t261_swio15_noled_pr_ce },
 { 175734, ur_t261_swio15_noled_pr_ce_u4 },
 { 175735, ur_t261_swio15_noled_pr_ee_ce },
 { 175736, ur_t261_swio15_noled_pr_ee_ce_u4 },
 { 175742, ur_t261_swio15_lednop },
 { 175743, ur_t261_swio15_lednop },
 { 175744, ur_t261_swio15_lednop_pr_u4 },
 { 175745, ur_t261_swio15_lednop_pr_ee },
 { 175746, ur_t261_swio15_lednop_pr_ee_u4 },
 { 175747, ur_t261_swio15_lednop_pr_ce },
 { 175748, ur_t261_swio15_lednop_pr_ce_u4 },
 { 175749, ur_t261_swio15_lednop_pr_ee_ce },
 { 175750, ur_t261_swio15_lednop_pr_ee_ce_u4 },
 { 175770, ur_t441_autobaud_uart0_noled },
 { 175771, ur_t441_autobaud_uart0_noled },
 { 175772, ur_t441_autobaud_uart0_noled },
 { 175773, ur_t441_autobaud_uart0_noled_pr_ee },
 { 175774, ur_t441_autobaud_uart0_noled_pr_ee },
 { 175775, ur_t441_autobaud_uart0_noled_pr_ce },
 { 175776, ur_t441_autobaud_uart0_noled_pr_ce },
 { 175777, ur_t441_autobaud_uart0_noled_pr_ee_ce },
 { 175778, ur_t441_autobaud_uart0_noled_pr_ee_ce },
 { 175784, ur_t441_autobaud_uart0_lednop },
 { 175785, ur_t441_autobaud_uart0_lednop },
 { 175786, ur_t441_autobaud_uart0_lednop },
 { 175787, ur_t441_autobaud_uart0_lednop_pr_ee },
 { 175788, ur_t441_autobaud_uart0_lednop_pr_ee },
 { 175789, ur_t441_autobaud_uart0_lednop_pr_ce },
 { 175790, ur_t441_autobaud_uart0_lednop_pr_ce },
 { 175791, ur_t441_autobaud_uart0_lednop_pr_ee_ce },
 { 175792, ur_t441_autobaud_uart0_lednop_pr_ee_ce },
 { 175798, ur_t441_autobaud_uart0_dual },
 { 175799, ur_t441_autobaud_uart0_dual },
 { 175800, ur_t441_autobaud_uart0_dual },
 { 175801, ur_t441_autobaud_uart0_dual_pr_ee },
 { 175802, ur_t441_autobaud_uart0_dual_pr_ee },
 { 175803, ur_t441_autobaud_uart0_dual_pr_ce },
 { 175804, ur_t441_autobaud_uart0_dual_pr_ce },
 { 175805, ur_t441_autobaud_uart0_dual_pr_ee_ce },
 { 175806, ur_t441_autobaud_uart0_dual_pr_ee_ce },
 { 175812, ur_t441_autobaud_uart0_alt1_noled },
 { 175813, ur_t441_autobaud_uart0_alt1_noled },
 { 175814, ur_t441_autobaud_uart0_alt1_noled },
 { 175815, ur_t441_autobaud_uart0_alt1_noled_pr_ee },
 { 175816, ur_t441_autobaud_uart0_alt1_noled_pr_ee },
 { 175817, ur_t441_autobaud_uart0_alt1_noled_pr_ce },
 { 175818, ur_t441_autobaud_uart0_alt1_noled_pr_ce },
 { 175819, ur_t441_autobaud_uart0_alt1_noled_pr_ee_ce },
 { 175820, ur_t441_autobaud_uart0_alt1_noled_pr_ee_ce },
 { 175826, ur_t441_autobaud_uart0_alt1_lednop },
 { 175827, ur_t441_autobaud_uart0_alt1_lednop_pr },
 { 175828, ur_t441_autobaud_uart0_alt1_lednop_pr },
 { 175829, ur_t441_autobaud_uart0_alt1_lednop_pr_ee },
 { 175830, ur_t441_autobaud_uart0_alt1_lednop_pr_ee },
 { 175831, ur_t441_autobaud_uart0_alt1_lednop_pr_ce },
 { 175832, ur_t441_autobaud_uart0_alt1_lednop_pr_ce },
 { 175833, ur_t441_autobaud_uart0_alt1_lednop_pr_ee_ce },
 { 175834, ur_t441_autobaud_uart0_alt1_lednop_pr_ee_ce },
 { 175840, ur_t441_autobaud_uart0_alt1_dual },
 { 175841, ur_t441_autobaud_uart0_alt1_dual },
 { 175842, ur_t441_autobaud_uart0_alt1_dual },
 { 175843, ur_t441_autobaud_uart0_alt1_dual_pr_ee },
 { 175844, ur_t441_autobaud_uart0_alt1_dual_pr_ee },
 { 175845, ur_t441_autobaud_uart0_alt1_dual_pr_ce },
 { 175846, ur_t441_autobaud_uart0_alt1_dual_pr_ce },
 { 175847, ur_t441_autobaud_uart0_alt1_dual_pr_ee_ce },
 { 175848, ur_t441_autobaud_uart0_alt1_dual_pr_ee_ce },
 { 175854, ur_t441_autobaud_uart1_noled },
 { 175855, ur_t441_autobaud_uart1_noled },
 { 175856, ur_t441_autobaud_uart1_noled },
 { 175857, ur_t441_autobaud_uart1_noled_pr_ee },
 { 175858, ur_t441_autobaud_uart1_noled_pr_ee },
 { 175859, ur_t441_autobaud_uart1_noled_pr_ce },
 { 175860, ur_t441_autobaud_uart1_noled_pr_ce },
 { 175861, ur_t441_autobaud_uart1_noled_pr_ee_ce },
 { 175862, ur_t441_autobaud_uart1_noled_pr_ee_ce },
 { 175868, ur_t441_autobaud_uart1_lednop },
 { 175869, ur_t441_autobaud_uart1_lednop },
 { 175870, ur_t441_autobaud_uart1_lednop },
 { 175871, ur_t441_autobaud_uart1_lednop_pr_ee },
 { 175872, ur_t441_autobaud_uart1_lednop_pr_ee },
 { 175873, ur_t441_autobaud_uart1_lednop_pr_ce },
 { 175874, ur_t441_autobaud_uart1_lednop_pr_ce },
 { 175875, ur_t441_autobaud_uart1_lednop_pr_ee_ce },
 { 175876, ur_t441_autobaud_uart1_lednop_pr_ee_ce },
 { 175882, ur_t441_autobaud_uart1_dual },
 { 175883, ur_t441_autobaud_uart1_dual },
 { 175884, ur_t441_autobaud_uart1_dual },
 { 175885, ur_t441_autobaud_uart1_dual_pr_ee },
 { 175886, ur_t441_autobaud_uart1_dual_pr_ee },
 { 175887, ur_t441_autobaud_uart1_dual_pr_ce },
 { 175888, ur_t441_autobaud_uart1_dual_pr_ce },
 { 175889, ur_t441_autobaud_uart1_dual_pr_ee_ce },
 { 175890, ur_t441_autobaud_uart1_dual_pr_ee_ce },
 { 175980, ur_t441_u1x8_uart0_noled },
 { 175981, ur_t441_u1x8_uart0_noled },
 { 175982, ur_t441_u1x8_uart0_noled },
 { 175983, ur_t441_u1x8_uart0_noled_pr_ee },
 { 175984, ur_t441_u1x8_uart0_noled_pr_ee },
 { 175985, ur_t441_u1x8_uart0_noled_pr_ce },
 { 175986, ur_t441_u1x8_uart0_noled_pr_ce },
 { 175987, ur_t441_u1x8_uart0_noled_pr_ee_ce },
 { 175988, ur_t441_u1x8_uart0_noled_pr_ee_ce },
 { 175994, ur_t441_u1x8_uart0_lednop },
 { 175995, ur_t441_u1x8_uart0_lednop },
 { 175996, ur_t441_u1x8_uart0_lednop },
 { 175997, ur_t441_u1x8_uart0_lednop_pr_ee },
 { 175998, ur_t441_u1x8_uart0_lednop_pr_ee },
 { 175999, ur_t441_u1x8_uart0_lednop_pr_ce },
 { 176000, ur_t441_u1x8_uart0_lednop_pr_ce },
 { 176001, ur_t441_u1x8_uart0_lednop_pr_ee_ce },
 { 176002, ur_t441_u1x8_uart0_lednop_pr_ee_ce },
 { 176008, ur_t441_u1x8_uart0_dual },
 { 176009, ur_t441_u1x8_uart0_dual },
 { 176010, ur_t441_u1x8_uart0_dual },
 { 176011, ur_t441_u1x8_uart0_dual_pr_ee },
 { 176012, ur_t441_u1x8_uart0_dual_pr_ee },
 { 176013, ur_t441_u1x8_uart0_dual_pr_ce },
 { 176014, ur_t441_u1x8_uart0_dual_pr_ce },
 { 176015, ur_t441_u1x8_uart0_dual_pr_ee_ce },
 { 176016, ur_t441_u1x8_uart0_dual_pr_ee_ce },
 { 176022, ur_t441_u1x8_uart0_alt1_noled },
 { 176023, ur_t441_u1x8_uart0_alt1_noled },
 { 176024, ur_t441_u1x8_uart0_alt1_noled },
 { 176025, ur_t441_u1x8_uart0_alt1_noled_pr_ee },
 { 176026, ur_t441_u1x8_uart0_alt1_noled_pr_ee },
 { 176027, ur_t441_u1x8_uart0_alt1_noled_pr_ce },
 { 176028, ur_t441_u1x8_uart0_alt1_noled_pr_ce },
 { 176029, ur_t441_u1x8_uart0_alt1_noled_pr_ee_ce },
 { 176030, ur_t441_u1x8_uart0_alt1_noled_pr_ee_ce },
 { 176036, ur_t441_u1x8_uart0_alt1_lednop },
 { 176037, ur_t441_u1x8_uart0_alt1_lednop },
 { 176038, ur_t441_u1x8_uart0_alt1_lednop },
 { 176039, ur_t441_u1x8_uart0_alt1_lednop_pr_ee },
 { 176040, ur_t441_u1x8_uart0_alt1_lednop_pr_ee },
 { 176041, ur_t441_u1x8_uart0_alt1_lednop_pr_ce },
 { 176042, ur_t441_u1x8_uart0_alt1_lednop_pr_ce },
 { 176043, ur_t441_u1x8_uart0_alt1_lednop_pr_ee_ce },
 { 176044, ur_t441_u1x8_uart0_alt1_lednop_pr_ee_ce },
 { 176050, ur_t441_u1x8_uart0_alt1_dual },
 { 176051, ur_t441_u1x8_uart0_alt1_dual_pr },
 { 176052, ur_t441_u1x8_uart0_alt1_dual_pr },
 { 176053, ur_t441_u1x8_uart0_alt1_dual_pr_ee },
 { 176054, ur_t441_u1x8_uart0_alt1_dual_pr_ee },
 { 176055, ur_t441_u1x8_uart0_alt1_dual_pr_ce },
 { 176056, ur_t441_u1x8_uart0_alt1_dual_pr_ce },
 { 176057, ur_t441_u1x8_uart0_alt1_dual_pr_ee_ce },
 { 176058, ur_t441_u1x8_uart0_alt1_dual_pr_ee_ce },
 { 176064, ur_t441_u1x8_uart1_noled },
 { 176065, ur_t441_u1x8_uart1_noled },
 { 176066, ur_t441_u1x8_uart1_noled },
 { 176067, ur_t441_u1x8_uart1_noled_pr_ee },
 { 176068, ur_t441_u1x8_uart1_noled_pr_ee },
 { 176069, ur_t441_u1x8_uart1_noled_pr_ce },
 { 176070, ur_t441_u1x8_uart1_noled_pr_ce },
 { 176071, ur_t441_u1x8_uart1_noled_pr_ee_ce },
 { 176072, ur_t441_u1x8_uart1_noled_pr_ee_ce },
 { 176078, ur_t441_u1x8_uart1_lednop },
 { 176079, ur_t441_u1x8_uart1_lednop },
 { 176080, ur_t441_u1x8_uart1_lednop },
 { 176081, ur_t441_u1x8_uart1_lednop_pr_ee },
 { 176082, ur_t441_u1x8_uart1_lednop_pr_ee },
 { 176083, ur_t441_u1x8_uart1_lednop_pr_ce },
 { 176084, ur_t441_u1x8_uart1_lednop_pr_ce },
 { 176085, ur_t441_u1x8_uart1_lednop_pr_ee_ce },
 { 176086, ur_t441_u1x8_uart1_lednop_pr_ee_ce },
 { 176092, ur_t441_u1x8_uart1_dual },
 { 176093, ur_t441_u1x8_uart1_dual },
 { 176094, ur_t441_u1x8_uart1_dual },
 { 176095, ur_t441_u1x8_uart1_dual_pr_ee },
 { 176096, ur_t441_u1x8_uart1_dual_pr_ee },
 { 176097, ur_t441_u1x8_uart1_dual_pr_ce },
 { 176098, ur_t441_u1x8_uart1_dual_pr_ce },
 { 176099, ur_t441_u1x8_uart1_dual_pr_ee_ce },
 { 176100, ur_t441_u1x8_uart1_dual_pr_ee_ce },
 { 176190, ur_t441_u1x12_uart0_noled },
 { 176191, ur_t441_u1x12_uart0_noled },
 { 176192, ur_t441_u1x12_uart0_noled },
 { 176193, ur_t441_u1x12_uart0_noled_pr_ee },
 { 176194, ur_t441_u1x12_uart0_noled_pr_ee },
 { 176195, ur_t441_u1x12_uart0_noled_pr_ce },
 { 176196, ur_t441_u1x12_uart0_noled_pr_ce },
 { 176197, ur_t441_u1x12_uart0_noled_pr_ee_ce },
 { 176198, ur_t441_u1x12_uart0_noled_pr_ee_ce },
 { 176204, ur_t441_u1x12_uart0_lednop },
 { 176205, ur_t441_u1x12_uart0_lednop },
 { 176206, ur_t441_u1x12_uart0_lednop },
 { 176207, ur_t441_u1x12_uart0_lednop_pr_ee },
 { 176208, ur_t441_u1x12_uart0_lednop_pr_ee },
 { 176209, ur_t441_u1x12_uart0_lednop_pr_ce },
 { 176210, ur_t441_u1x12_uart0_lednop_pr_ce },
 { 176211, ur_t441_u1x12_uart0_lednop_pr_ee_ce },
 { 176212, ur_t441_u1x12_uart0_lednop_pr_ee_ce },
 { 176218, ur_t441_u1x12_uart0_dual },
 { 176219, ur_t441_u1x12_uart0_dual_pr },
 { 176220, ur_t441_u1x12_uart0_dual_pr },
 { 176221, ur_t441_u1x12_uart0_dual_pr_ee },
 { 176222, ur_t441_u1x12_uart0_dual_pr_ee },
 { 176223, ur_t441_u1x12_uart0_dual_pr_ce },
 { 176224, ur_t441_u1x12_uart0_dual_pr_ce },
 { 176225, ur_t441_u1x12_uart0_dual_pr_ee_ce },
 { 176226, ur_t441_u1x12_uart0_dual_pr_ee_ce },
 { 176232, ur_t441_u1x12_uart0_alt1_noled },
 { 176233, ur_t441_u1x12_uart0_alt1_noled },
 { 176234, ur_t441_u1x12_uart0_alt1_noled },
 { 176235, ur_t441_u1x12_uart0_alt1_noled_pr_ee },
 { 176236, ur_t441_u1x12_uart0_alt1_noled_pr_ee },
 { 176237, ur_t441_u1x12_uart0_alt1_noled_pr_ce },
 { 176238, ur_t441_u1x12_uart0_alt1_noled_pr_ce },
 { 176239, ur_t441_u1x12_uart0_alt1_noled_pr_ee_ce },
 { 176240, ur_t441_u1x12_uart0_alt1_noled_pr_ee_ce },
 { 176246, ur_t441_u1x12_uart0_alt1_lednop },
 { 176247, ur_t441_u1x12_uart0_alt1_lednop },
 { 176248, ur_t441_u1x12_uart0_alt1_lednop },
 { 176249, ur_t441_u1x12_uart0_alt1_lednop_pr_ee },
 { 176250, ur_t441_u1x12_uart0_alt1_lednop_pr_ee },
 { 176251, ur_t441_u1x12_uart0_alt1_lednop_pr_ce },
 { 176252, ur_t441_u1x12_uart0_alt1_lednop_pr_ce },
 { 176253, ur_t441_u1x12_uart0_alt1_lednop_pr_ee_ce },
 { 176254, ur_t441_u1x12_uart0_alt1_lednop_pr_ee_ce },
 { 176260, ur_t441_u1x12_uart0_alt1_dual },
 { 176261, ur_t441_u1x12_uart0_alt1_dual_pr },
 { 176262, ur_t441_u1x12_uart0_alt1_dual_pr },
 { 176263, ur_t441_u1x12_uart0_alt1_dual_pr_ee },
 { 176264, ur_t441_u1x12_uart0_alt1_dual_pr_ee },
 { 176265, ur_t441_u1x12_uart0_alt1_dual_pr_ce },
 { 176266, ur_t441_u1x12_uart0_alt1_dual_pr_ce },
 { 176267, ur_t441_u1x12_uart0_alt1_dual_pr_ee_ce },
 { 176268, ur_t441_u1x12_uart0_alt1_dual_pr_ee_ce },
 { 176274, ur_t441_u1x12_uart1_noled },
 { 176275, ur_t441_u1x12_uart1_noled },
 { 176276, ur_t441_u1x12_uart1_noled },
 { 176277, ur_t441_u1x12_uart1_noled_pr_ee },
 { 176278, ur_t441_u1x12_uart1_noled_pr_ee },
 { 176279, ur_t441_u1x12_uart1_noled_pr_ce },
 { 176280, ur_t441_u1x12_uart1_noled_pr_ce },
 { 176281, ur_t441_u1x12_uart1_noled_pr_ee_ce },
 { 176282, ur_t441_u1x12_uart1_noled_pr_ee_ce },
 { 176288, ur_t441_u1x12_uart1_lednop },
 { 176289, ur_t441_u1x12_uart1_lednop },
 { 176290, ur_t441_u1x12_uart1_lednop },
 { 176291, ur_t441_u1x12_uart1_lednop_pr_ee },
 { 176292, ur_t441_u1x12_uart1_lednop_pr_ee },
 { 176293, ur_t441_u1x12_uart1_lednop_pr_ce },
 { 176294, ur_t441_u1x12_uart1_lednop_pr_ce },
 { 176295, ur_t441_u1x12_uart1_lednop_pr_ee_ce },
 { 176296, ur_t441_u1x12_uart1_lednop_pr_ee_ce },
 { 176302, ur_t441_u1x12_uart1_dual },
 { 176303, ur_t441_u1x12_uart1_dual_pr },
 { 176304, ur_t441_u1x12_uart1_dual_pr },
 { 176305, ur_t441_u1x12_uart1_dual_pr_ee },
 { 176306, ur_t441_u1x12_uart1_dual_pr_ee },
 { 176307, ur_t441_u1x12_uart1_dual_pr_ce },
 { 176308, ur_t441_u1x12_uart1_dual_pr_ce },
 { 176309, ur_t441_u1x12_uart1_dual_pr_ee_ce },
 { 176310, ur_t441_u1x12_uart1_dual_pr_ee_ce },
 { 176400, ur_t441_u2x8_uart0_noled },
 { 176401, ur_t441_u2x8_uart0_noled },
 { 176402, ur_t441_u2x8_uart0_noled },
 { 176403, ur_t441_u2x8_uart0_noled_pr_ee },
 { 176404, ur_t441_u2x8_uart0_noled_pr_ee },
 { 176405, ur_t441_u2x8_uart0_noled_pr_ce },
 { 176406, ur_t441_u2x8_uart0_noled_pr_ce },
 { 176407, ur_t441_u2x8_uart0_noled_pr_ee_ce },
 { 176408, ur_t441_u2x8_uart0_noled_pr_ee_ce },
 { 176414, ur_t441_u2x8_uart0_lednop },
 { 176415, ur_t441_u2x8_uart0_lednop },
 { 176416, ur_t441_u2x8_uart0_lednop },
 { 176417, ur_t441_u2x8_uart0_lednop_pr_ee },
 { 176418, ur_t441_u2x8_uart0_lednop_pr_ee },
 { 176419, ur_t441_u2x8_uart0_lednop_pr_ce },
 { 176420, ur_t441_u2x8_uart0_lednop_pr_ce },
 { 176421, ur_t441_u2x8_uart0_lednop_pr_ee_ce },
 { 176422, ur_t441_u2x8_uart0_lednop_pr_ee_ce },
 { 176428, ur_t441_u2x8_uart0_dual },
 { 176429, ur_t441_u2x8_uart0_dual_pr },
 { 176430, ur_t441_u2x8_uart0_dual_pr },
 { 176431, ur_t441_u2x8_uart0_dual_pr_ee },
 { 176432, ur_t441_u2x8_uart0_dual_pr_ee },
 { 176433, ur_t441_u2x8_uart0_dual_pr_ce },
 { 176434, ur_t441_u2x8_uart0_dual_pr_ce },
 { 176435, ur_t441_u2x8_uart0_dual_pr_ee_ce },
 { 176436, ur_t441_u2x8_uart0_dual_pr_ee_ce },
 { 176442, ur_t441_u2x8_uart0_alt1_noled },
 { 176443, ur_t441_u2x8_uart0_alt1_noled },
 { 176444, ur_t441_u2x8_uart0_alt1_noled },
 { 176445, ur_t441_u2x8_uart0_alt1_noled_pr_ee },
 { 176446, ur_t441_u2x8_uart0_alt1_noled_pr_ee },
 { 176447, ur_t441_u2x8_uart0_alt1_noled_pr_ce },
 { 176448, ur_t441_u2x8_uart0_alt1_noled_pr_ce },
 { 176449, ur_t441_u2x8_uart0_alt1_noled_pr_ee_ce },
 { 176450, ur_t441_u2x8_uart0_alt1_noled_pr_ee_ce },
 { 176456, ur_t441_u2x8_uart0_alt1_lednop },
 { 176457, ur_t441_u2x8_uart0_alt1_lednop },
 { 176458, ur_t441_u2x8_uart0_alt1_lednop },
 { 176459, ur_t441_u2x8_uart0_alt1_lednop_pr_ee },
 { 176460, ur_t441_u2x8_uart0_alt1_lednop_pr_ee },
 { 176461, ur_t441_u2x8_uart0_alt1_lednop_pr_ce },
 { 176462, ur_t441_u2x8_uart0_alt1_lednop_pr_ce },
 { 176463, ur_t441_u2x8_uart0_alt1_lednop_pr_ee_ce },
 { 176464, ur_t441_u2x8_uart0_alt1_lednop_pr_ee_ce },
 { 176470, ur_t441_u2x8_uart0_alt1_dual },
 { 176471, ur_t441_u2x8_uart0_alt1_dual_pr },
 { 176472, ur_t441_u2x8_uart0_alt1_dual_pr },
 { 176473, ur_t441_u2x8_uart0_alt1_dual_pr_ee },
 { 176474, ur_t441_u2x8_uart0_alt1_dual_pr_ee },
 { 176475, ur_t441_u2x8_uart0_alt1_dual_pr_ce },
 { 176476, ur_t441_u2x8_uart0_alt1_dual_pr_ce },
 { 176477, ur_t441_u2x8_uart0_alt1_dual_pr_ee_ce },
 { 176478, ur_t441_u2x8_uart0_alt1_dual_pr_ee_ce },
 { 176484, ur_t441_u2x8_uart1_noled },
 { 176485, ur_t441_u2x8_uart1_noled },
 { 176486, ur_t441_u2x8_uart1_noled },
 { 176487, ur_t441_u2x8_uart1_noled_pr_ee },
 { 176488, ur_t441_u2x8_uart1_noled_pr_ee },
 { 176489, ur_t441_u2x8_uart1_noled_pr_ce },
 { 176490, ur_t441_u2x8_uart1_noled_pr_ce },
 { 176491, ur_t441_u2x8_uart1_noled_pr_ee_ce },
 { 176492, ur_t441_u2x8_uart1_noled_pr_ee_ce },
 { 176498, ur_t441_u2x8_uart1_lednop },
 { 176499, ur_t441_u2x8_uart1_lednop },
 { 176500, ur_t441_u2x8_uart1_lednop },
 { 176501, ur_t441_u2x8_uart1_lednop_pr_ee },
 { 176502, ur_t441_u2x8_uart1_lednop_pr_ee },
 { 176503, ur_t441_u2x8_uart1_lednop_pr_ce },
 { 176504, ur_t441_u2x8_uart1_lednop_pr_ce },
 { 176505, ur_t441_u2x8_uart1_lednop_pr_ee_ce },
 { 176506, ur_t441_u2x8_uart1_lednop_pr_ee_ce },
 { 176512, ur_t441_u2x8_uart1_dual },
 { 176513, ur_t441_u2x8_uart1_dual_pr },
 { 176514, ur_t441_u2x8_uart1_dual_pr },
 { 176515, ur_t441_u2x8_uart1_dual_pr_ee },
 { 176516, ur_t441_u2x8_uart1_dual_pr_ee },
 { 176517, ur_t441_u2x8_uart1_dual_pr_ce },
 { 176518, ur_t441_u2x8_uart1_dual_pr_ce },
 { 176519, ur_t441_u2x8_uart1_dual_pr_ee_ce },
 { 176520, ur_t441_u2x8_uart1_dual_pr_ee_ce },
 { 176610, ur_t441_u2x12_uart0_noled },
 { 176611, ur_t441_u2x12_uart0_noled },
 { 176612, ur_t441_u2x12_uart0_noled },
 { 176613, ur_t441_u2x12_uart0_noled_pr_ee },
 { 176614, ur_t441_u2x12_uart0_noled_pr_ee },
 { 176615, ur_t441_u2x12_uart0_noled_pr_ce },
 { 176616, ur_t441_u2x12_uart0_noled_pr_ce },
 { 176617, ur_t441_u2x12_uart0_noled_pr_ee_ce },
 { 176618, ur_t441_u2x12_uart0_noled_pr_ee_ce },
 { 176624, ur_t441_u2x12_uart0_lednop },
 { 176625, ur_t441_u2x12_uart0_lednop },
 { 176626, ur_t441_u2x12_uart0_lednop },
 { 176627, ur_t441_u2x12_uart0_lednop_pr_ee },
 { 176628, ur_t441_u2x12_uart0_lednop_pr_ee },
 { 176629, ur_t441_u2x12_uart0_lednop_pr_ce },
 { 176630, ur_t441_u2x12_uart0_lednop_pr_ce },
 { 176631, ur_t441_u2x12_uart0_lednop_pr_ee_ce },
 { 176632, ur_t441_u2x12_uart0_lednop_pr_ee_ce },
 { 176638, ur_t441_u2x12_uart0_dual },
 { 176639, ur_t441_u2x12_uart0_dual_pr },
 { 176640, ur_t441_u2x12_uart0_dual_pr },
 { 176641, ur_t441_u2x12_uart0_dual_pr_ee },
 { 176642, ur_t441_u2x12_uart0_dual_pr_ee },
 { 176643, ur_t441_u2x12_uart0_dual_pr_ce },
 { 176644, ur_t441_u2x12_uart0_dual_pr_ce },
 { 176645, ur_t441_u2x12_uart0_dual_pr_ee_ce },
 { 176646, ur_t441_u2x12_uart0_dual_pr_ee_ce },
 { 176652, ur_t441_u2x12_uart0_alt1_noled },
 { 176653, ur_t441_u2x12_uart0_alt1_noled },
 { 176654, ur_t441_u2x12_uart0_alt1_noled },
 { 176655, ur_t441_u2x12_uart0_alt1_noled_pr_ee },
 { 176656, ur_t441_u2x12_uart0_alt1_noled_pr_ee },
 { 176657, ur_t441_u2x12_uart0_alt1_noled_pr_ce },
 { 176658, ur_t441_u2x12_uart0_alt1_noled_pr_ce },
 { 176659, ur_t441_u2x12_uart0_alt1_noled_pr_ee_ce },
 { 176660, ur_t441_u2x12_uart0_alt1_noled_pr_ee_ce },
 { 176666, ur_t441_u2x12_uart0_alt1_lednop },
 { 176667, ur_t441_u2x12_uart0_alt1_lednop },
 { 176668, ur_t441_u2x12_uart0_alt1_lednop },
 { 176669, ur_t441_u2x12_uart0_alt1_lednop_pr_ee },
 { 176670, ur_t441_u2x12_uart0_alt1_lednop_pr_ee },
 { 176671, ur_t441_u2x12_uart0_alt1_lednop_pr_ce },
 { 176672, ur_t441_u2x12_uart0_alt1_lednop_pr_ce },
 { 176673, ur_t441_u2x12_uart0_alt1_lednop_pr_ee_ce },
 { 176674, ur_t441_u2x12_uart0_alt1_lednop_pr_ee_ce },
 { 176680, ur_t441_u2x12_uart0_alt1_dual },
 { 176681, ur_t441_u2x12_uart0_alt1_dual_pr },
 { 176682, ur_t441_u2x12_uart0_alt1_dual_pr },
 { 176683, ur_t441_u2x12_uart0_alt1_dual_pr_ee },
 { 176684, ur_t441_u2x12_uart0_alt1_dual_pr_ee },
 { 176685, ur_t441_u2x12_uart0_alt1_dual_pr_ce },
 { 176686, ur_t441_u2x12_uart0_alt1_dual_pr_ce },
 { 176687, ur_t441_u2x12_uart0_alt1_dual_pr_ee_ce },
 { 176688, ur_t441_u2x12_uart0_alt1_dual_pr_ee_ce },
 { 176694, ur_t441_u2x12_uart1_noled },
 { 176695, ur_t441_u2x12_uart1_noled },
 { 176696, ur_t441_u2x12_uart1_noled },
 { 176697, ur_t441_u2x12_uart1_noled_pr_ee },
 { 176698, ur_t441_u2x12_uart1_noled_pr_ee },
 { 176699, ur_t441_u2x12_uart1_noled_pr_ce },
 { 176700, ur_t441_u2x12_uart1_noled_pr_ce },
 { 176701, ur_t441_u2x12_uart1_noled_pr_ee_ce },
 { 176702, ur_t441_u2x12_uart1_noled_pr_ee_ce },
 { 176708, ur_t441_u2x12_uart1_lednop },
 { 176709, ur_t441_u2x12_uart1_lednop },
 { 176710, ur_t441_u2x12_uart1_lednop },
 { 176711, ur_t441_u2x12_uart1_lednop_pr_ee },
 { 176712, ur_t441_u2x12_uart1_lednop_pr_ee },
 { 176713, ur_t441_u2x12_uart1_lednop_pr_ce },
 { 176714, ur_t441_u2x12_uart1_lednop_pr_ce },
 { 176715, ur_t441_u2x12_uart1_lednop_pr_ee_ce },
 { 176716, ur_t441_u2x12_uart1_lednop_pr_ee_ce },
 { 176722, ur_t441_u2x12_uart1_dual },
 { 176723, ur_t441_u2x12_uart1_dual_pr },
 { 176724, ur_t441_u2x12_uart1_dual_pr },
 { 176725, ur_t441_u2x12_uart1_dual_pr_ee },
 { 176726, ur_t441_u2x12_uart1_dual_pr_ee },
 { 176727, ur_t441_u2x12_uart1_dual_pr_ce },
 { 176728, ur_t441_u2x12_uart1_dual_pr_ce },
 { 176729, ur_t441_u2x12_uart1_dual_pr_ee_ce },
 { 176730, ur_t441_u2x12_uart1_dual_pr_ee_ce },
 { 176820, ur_t441_swio10_noled },
 { 176821, ur_t441_swio10_noled },
 { 176822, ur_t441_swio10_noled },
 { 176823, ur_t441_swio10_noled_pr_ee },
 { 176824, ur_t441_swio10_noled_pr_ee },
 { 176825, ur_t441_swio10_noled_pr_ce },
 { 176826, ur_t441_swio10_noled_pr_ce },
 { 176827, ur_t441_swio10_noled_pr_ee_ce },
 { 176828, ur_t441_swio10_noled_pr_ee_ce },
 { 176834, ur_t441_swio10_lednop },
 { 176835, ur_t441_swio10_lednop_pr },
 { 176836, ur_t441_swio10_lednop_pr },
 { 176837, ur_t441_swio10_lednop_pr_ee },
 { 176838, ur_t441_swio10_lednop_pr_ee },
 { 176839, ur_t441_swio10_lednop_pr_ce },
 { 176840, ur_t441_swio10_lednop_pr_ce },
 { 176841, ur_t441_swio10_lednop_pr_ee_ce },
 { 176842, ur_t441_swio10_lednop_pr_ee_ce },
 { 176848, ur_t441_swio10_dual },
 { 176849, ur_t441_swio10_dual },
 { 176850, ur_t441_swio10_dual },
 { 176851, ur_t441_swio10_dual_pr_ee },
 { 176852, ur_t441_swio10_dual_pr_ee },
 { 176853, ur_t441_swio10_dual_pr_ce },
 { 176854, ur_t441_swio10_dual_pr_ce },
 { 176855, ur_t441_swio10_dual_pr_ee_ce },
 { 176856, ur_t441_swio10_dual_pr_ee_ce },
 { 176862, ur_t441_swio11_noled },
 { 176863, ur_t441_swio11_noled },
 { 176864, ur_t441_swio11_noled },
 { 176865, ur_t441_swio11_noled_pr_ee },
 { 176866, ur_t441_swio11_noled_pr_ee },
 { 176867, ur_t441_swio11_noled_pr_ce },
 { 176868, ur_t441_swio11_noled_pr_ce },
 { 176869, ur_t441_swio11_noled_pr_ee_ce },
 { 176870, ur_t441_swio11_noled_pr_ee_ce },
 { 176876, ur_t441_swio11_lednop },
 { 176877, ur_t441_swio11_lednop_pr },
 { 176878, ur_t441_swio11_lednop_pr },
 { 176879, ur_t441_swio11_lednop_pr_ee },
 { 176880, ur_t441_swio11_lednop_pr_ee },
 { 176881, ur_t441_swio11_lednop_pr_ce },
 { 176882, ur_t441_swio11_lednop_pr_ce },
 { 176883, ur_t441_swio11_lednop_pr_ee_ce },
 { 176884, ur_t441_swio11_lednop_pr_ee_ce },
 { 176890, ur_t441_swio11_dual },
 { 176891, ur_t441_swio11_dual },
 { 176892, ur_t441_swio11_dual },
 { 176893, ur_t441_swio11_dual_pr_ee },
 { 176894, ur_t441_swio11_dual_pr_ee },
 { 176895, ur_t441_swio11_dual_pr_ce },
 { 176896, ur_t441_swio11_dual_pr_ce },
 { 176897, ur_t441_swio11_dual_pr_ee_ce },
 { 176898, ur_t441_swio11_dual_pr_ee_ce },
 { 176904, ur_t441_swio11_noled },
 { 176905, ur_t441_swio11_noled },
 { 176906, ur_t441_swio11_noled },
 { 176907, ur_t441_swio11_noled_pr_ee },
 { 176908, ur_t441_swio11_noled_pr_ee },
 { 176909, ur_t441_swio11_noled_pr_ce },
 { 176910, ur_t441_swio11_noled_pr_ce },
 { 176911, ur_t441_swio11_noled_pr_ee_ce },
 { 176912, ur_t441_swio11_noled_pr_ee_ce },
 { 176918, ur_t441_swio11_lednop },
 { 176919, ur_t441_swio11_lednop_pr },
 { 176920, ur_t441_swio11_lednop_pr },
 { 176921, ur_t441_swio11_lednop_pr_ee },
 { 176922, ur_t441_swio11_lednop_pr_ee },
 { 176923, ur_t441_swio11_lednop_pr_ce },
 { 176924, ur_t441_swio11_lednop_pr_ce },
 { 176925, ur_t441_swio11_lednop_pr_ee_ce },
 { 176926, ur_t441_swio11_lednop_pr_ee_ce },
 { 176932, ur_t441_swio11_dual },
 { 176933, ur_t441_swio11_dual },
 { 176934, ur_t441_swio11_dual },
 { 176935, ur_t441_swio11_dual_pr_ee },
 { 176936, ur_t441_swio11_dual_pr_ee },
 { 176937, ur_t441_swio11_dual_pr_ce },
 { 176938, ur_t441_swio11_dual_pr_ce },
 { 176939, ur_t441_swio11_dual_pr_ee_ce },
 { 176940, ur_t441_swio11_dual_pr_ee_ce },
 { 176946, ur_t441_swio13_noled },
 { 176947, ur_t441_swio13_noled },
 { 176948, ur_t441_swio13_noled },
 { 176949, ur_t441_swio13_noled_pr_ee },
 { 176950, ur_t441_swio13_noled_pr_ee },
 { 176951, ur_t441_swio13_noled_pr_ce },
 { 176952, ur_t441_swio13_noled_pr_ce },
 { 176953, ur_t441_swio13_noled_pr_ee_ce },
 { 176954, ur_t441_swio13_noled_pr_ee_ce },
 { 176960, ur_t441_swio13_lednop },
 { 176961, ur_t441_swio13_lednop_pr },
 { 176962, ur_t441_swio13_lednop_pr },
 { 176963, ur_t441_swio13_lednop_pr_ee },
 { 176964, ur_t441_swio13_lednop_pr_ee },
 { 176965, ur_t441_swio13_lednop_pr_ce },
 { 176966, ur_t441_swio13_lednop_pr_ce },
 { 176967, ur_t441_swio13_lednop_pr_ee_ce },
 { 176968, ur_t441_swio13_lednop_pr_ee_ce },
 { 176974, ur_t441_swio13_dual },
 { 176975, ur_t441_swio13_dual },
 { 176976, ur_t441_swio13_dual },
 { 176977, ur_t441_swio13_dual_pr_ee },
 { 176978, ur_t441_swio13_dual_pr_ee },
 { 176979, ur_t441_swio13_dual_pr_ce },
 { 176980, ur_t441_swio13_dual_pr_ce },
 { 176981, ur_t441_swio13_dual_pr_ee_ce },
 { 176982, ur_t441_swio13_dual_pr_ee_ce },
 { 176988, ur_t441_swio14_noled },
 { 176989, ur_t441_swio14_noled },
 { 176990, ur_t441_swio14_noled },
 { 176991, ur_t441_swio14_noled_pr_ee },
 { 176992, ur_t441_swio14_noled_pr_ee },
 { 176993, ur_t441_swio14_noled_pr_ce },
 { 176994, ur_t441_swio14_noled_pr_ce },
 { 176995, ur_t441_swio14_noled_pr_ee_ce },
 { 176996, ur_t441_swio14_noled_pr_ee_ce },
 { 177002, ur_t441_swio14_lednop },
 { 177003, ur_t441_swio14_lednop_pr },
 { 177004, ur_t441_swio14_lednop_pr },
 { 177005, ur_t441_swio14_lednop_pr_ee },
 { 177006, ur_t441_swio14_lednop_pr_ee },
 { 177007, ur_t441_swio14_lednop_pr_ce },
 { 177008, ur_t441_swio14_lednop_pr_ce },
 { 177009, ur_t441_swio14_lednop_pr_ee_ce },
 { 177010, ur_t441_swio14_lednop_pr_ee_ce },
 { 177016, ur_t441_swio14_dual },
 { 177017, ur_t441_swio14_dual },
 { 177018, ur_t441_swio14_dual },
 { 177019, ur_t441_swio14_dual_pr_ee },
 { 177020, ur_t441_swio14_dual_pr_ee },
 { 177021, ur_t441_swio14_dual_pr_ce },
 { 177022, ur_t441_swio14_dual_pr_ce },
 { 177023, ur_t441_swio14_dual_pr_ee_ce },
 { 177024, ur_t441_swio14_dual_pr_ee_ce },
 { 177030, ur_t441_swio15_noled },
 { 177031, ur_t441_swio15_noled },
 { 177032, ur_t441_swio15_noled },
 { 177033, ur_t441_swio15_noled_pr_ee },
 { 177034, ur_t441_swio15_noled_pr_ee },
 { 177035, ur_t441_swio15_noled_pr_ce },
 { 177036, ur_t441_swio15_noled_pr_ce },
 { 177037, ur_t441_swio15_noled_pr_ee_ce },
 { 177038, ur_t441_swio15_noled_pr_ee_ce },
 { 177044, ur_t441_swio15_lednop },
 { 177045, ur_t441_swio15_lednop_pr },
 { 177046, ur_t441_swio15_lednop_pr },
 { 177047, ur_t441_swio15_lednop_pr_ee },
 { 177048, ur_t441_swio15_lednop_pr_ee },
 { 177049, ur_t441_swio15_lednop_pr_ce },
 { 177050, ur_t441_swio15_lednop_pr_ce },
 { 177051, ur_t441_swio15_lednop_pr_ee_ce },
 { 177052, ur_t441_swio15_lednop_pr_ee_ce },
 { 177058, ur_t441_swio15_dual },
 { 177059, ur_t441_swio15_dual },
 { 177060, ur_t441_swio15_dual },
 { 177061, ur_t441_swio15_dual_pr_ee },
 { 177062, ur_t441_swio15_dual_pr_ee },
 { 177063, ur_t441_swio15_dual_pr_ce },
 { 177064, ur_t441_swio15_dual_pr_ce },
 { 177065, ur_t441_swio15_dual_pr_ee_ce },
 { 177066, ur_t441_swio15_dual_pr_ee_ce },
 { 178122, ur_t461_swio10_noled },
 { 178123, ur_t461_swio10_noled },
 { 178124, ur_t461_swio10_noled_pr_u4 },
 { 178125, ur_t461_swio10_noled_pr_ee },
 { 178126, ur_t461_swio10_noled_pr_ee_u4 },
 { 178127, ur_t461_swio10_noled_pr_ce },
 { 178128, ur_t461_swio10_noled_pr_ce_u4 },
 { 178129, ur_t461_swio10_noled_pr_ee_ce },
 { 178130, ur_t461_swio10_noled_pr_ee_ce_u4 },
 { 178136, ur_t461_swio10_lednop },
 { 178137, ur_t461_swio10_lednop },
 { 178138, ur_t461_swio10_lednop_pr_u4 },
 { 178139, ur_t461_swio10_lednop_pr_ee },
 { 178140, ur_t461_swio10_lednop_pr_ee_u4 },
 { 178141, ur_t461_swio10_lednop_pr_ce },
 { 178142, ur_t461_swio10_lednop_pr_ce_u4 },
 { 178143, ur_t461_swio10_lednop_pr_ee_ce },
 { 178144, ur_t461_swio10_lednop_pr_ee_ce_u4 },
 { 178164, ur_t461_swio11_noled },
 { 178165, ur_t461_swio11_noled },
 { 178166, ur_t461_swio11_noled_pr_u4 },
 { 178167, ur_t461_swio11_noled_pr_ee },
 { 178168, ur_t461_swio11_noled_pr_ee_u4 },
 { 178169, ur_t461_swio11_noled_pr_ce },
 { 178170, ur_t461_swio11_noled_pr_ce_u4 },
 { 178171, ur_t461_swio11_noled_pr_ee_ce },
 { 178172, ur_t461_swio11_noled_pr_ee_ce_u4 },
 { 178178, ur_t461_swio11_lednop },
 { 178179, ur_t461_swio11_lednop },
 { 178180, ur_t461_swio11_lednop_pr_u4 },
 { 178181, ur_t461_swio11_lednop_pr_ee },
 { 178182, ur_t461_swio11_lednop_pr_ee_u4 },
 { 178183, ur_t461_swio11_lednop_pr_ce },
 { 178184, ur_t461_swio11_lednop_pr_ce_u4 },
 { 178185, ur_t461_swio11_lednop_pr_ee_ce },
 { 178186, ur_t461_swio11_lednop_pr_ee_ce_u4 },
 { 178206, ur_t461_swio11_noled },
 { 178207, ur_t461_swio11_noled },
 { 178208, ur_t461_swio11_noled_pr_u4 },
 { 178209, ur_t461_swio11_noled_pr_ee },
 { 178210, ur_t461_swio11_noled_pr_ee_u4 },
 { 178211, ur_t461_swio11_noled_pr_ce },
 { 178212, ur_t461_swio11_noled_pr_ce_u4 },
 { 178213, ur_t461_swio11_noled_pr_ee_ce },
 { 178214, ur_t461_swio11_noled_pr_ee_ce_u4 },
 { 178220, ur_t461_swio11_lednop },
 { 178221, ur_t461_swio11_lednop },
 { 178222, ur_t461_swio11_lednop_pr_u4 },
 { 178223, ur_t461_swio11_lednop_pr_ee },
 { 178224, ur_t461_swio11_lednop_pr_ee_u4 },
 { 178225, ur_t461_swio11_lednop_pr_ce },
 { 178226, ur_t461_swio11_lednop_pr_ce_u4 },
 { 178227, ur_t461_swio11_lednop_pr_ee_ce },
 { 178228, ur_t461_swio11_lednop_pr_ee_ce_u4 },
 { 178248, ur_t461_swio13_noled },
 { 178249, ur_t461_swio13_noled },
 { 178250, ur_t461_swio13_noled_pr_u4 },
 { 178251, ur_t461_swio13_noled_pr_ee },
 { 178252, ur_t461_swio13_noled_pr_ee_u4 },
 { 178253, ur_t461_swio13_noled_pr_ce },
 { 178254, ur_t461_swio13_noled_pr_ce_u4 },
 { 178255, ur_t461_swio13_noled_pr_ee_ce },
 { 178256, ur_t461_swio13_noled_pr_ee_ce_u4 },
 { 178262, ur_t461_swio13_lednop },
 { 178263, ur_t461_swio13_lednop },
 { 178264, ur_t461_swio13_lednop_pr_u4 },
 { 178265, ur_t461_swio13_lednop_pr_ee },
 { 178266, ur_t461_swio13_lednop_pr_ee_u4 },
 { 178267, ur_t461_swio13_lednop_pr_ce },
 { 178268, ur_t461_swio13_lednop_pr_ce_u4 },
 { 178269, ur_t461_swio13_lednop_pr_ee_ce },
 { 178270, ur_t461_swio13_lednop_pr_ee_ce_u4 },
 { 178290, ur_t461_swio14_noled },
 { 178291, ur_t461_swio14_noled },
 { 178292, ur_t461_swio14_noled_pr_u4 },
 { 178293, ur_t461_swio14_noled_pr_ee },
 { 178294, ur_t461_swio14_noled_pr_ee_u4 },
 { 178295, ur_t461_swio14_noled_pr_ce },
 { 178296, ur_t461_swio14_noled_pr_ce_u4 },
 { 178297, ur_t461_swio14_noled_pr_ee_ce },
 { 178298, ur_t461_swio14_noled_pr_ee_ce_u4 },
 { 178304, ur_t461_swio14_lednop },
 { 178305, ur_t461_swio14_lednop },
 { 178306, ur_t461_swio14_lednop_pr_u4 },
 { 178307, ur_t461_swio14_lednop_pr_ee },
 { 178308, ur_t461_swio14_lednop_pr_ee_u4 },
 { 178309, ur_t461_swio14_lednop_pr_ce },
 { 178310, ur_t461_swio14_lednop_pr_ce_u4 },
 { 178311, ur_t461_swio14_lednop_pr_ee_ce },
 { 178312, ur_t461_swio14_lednop_pr_ee_ce_u4 },
 { 178332, ur_t461_swio15_noled },
 { 178333, ur_t461_swio15_noled },
 { 178334, ur_t461_swio15_noled_pr_u4 },
 { 178335, ur_t461_swio15_noled_pr_ee },
 { 178336, ur_t461_swio15_noled_pr_ee_u4 },
 { 178337, ur_t461_swio15_noled_pr_ce },
 { 178338, ur_t461_swio15_noled_pr_ce_u4 },
 { 178339, ur_t461_swio15_noled_pr_ee_ce },
 { 178340, ur_t461_swio15_noled_pr_ee_ce_u4 },
 { 178346, ur_t461_swio15_lednop },
 { 178347, ur_t461_swio15_lednop },
 { 178348, ur_t461_swio15_lednop_pr_u4 },
 { 178349, ur_t461_swio15_lednop_pr_ee },
 { 178350, ur_t461_swio15_lednop_pr_ee_u4 },
 { 178351, ur_t461_swio15_lednop_pr_ce },
 { 178352, ur_t461_swio15_lednop_pr_ce_u4 },
 { 178353, ur_t461_swio15_lednop_pr_ee_ce },
 { 178354, ur_t461_swio15_lednop_pr_ee_ce_u4 },
 { 179424, ur_t461_swio10_noled },
 { 179425, ur_t461_swio10_noled },
 { 179426, ur_t461_swio10_noled_pr_u4 },
 { 179427, ur_t461_swio10_noled_pr_ee },
 { 179428, ur_t461_swio10_noled_pr_ee_u4 },
 { 179429, ur_t461_swio10_noled_pr_ce },
 { 179430, ur_t461_swio10_noled_pr_ce_u4 },
 { 179431, ur_t461_swio10_noled_pr_ee_ce },
 { 179432, ur_t461_swio10_noled_pr_ee_ce_u4 },
 { 179438, ur_t461_swio10_lednop },
 { 179439, ur_t461_swio10_lednop },
 { 179440, ur_t461_swio10_lednop_pr_u4 },
 { 179441, ur_t461_swio10_lednop_pr_ee },
 { 179442, ur_t461_swio10_lednop_pr_ee_u4 },
 { 179443, ur_t461_swio10_lednop_pr_ce },
 { 179444, ur_t461_swio10_lednop_pr_ce_u4 },
 { 179445, ur_t461_swio10_lednop_pr_ee_ce },
 { 179446, ur_t461_swio10_lednop_pr_ee_ce_u4 },
 { 179466, ur_t461_swio11_noled },
 { 179467, ur_t461_swio11_noled },
 { 179468, ur_t461_swio11_noled_pr_u4 },
 { 179469, ur_t461_swio11_noled_pr_ee },
 { 179470, ur_t461_swio11_noled_pr_ee_u4 },
 { 179471, ur_t461_swio11_noled_pr_ce },
 { 179472, ur_t461_swio11_noled_pr_ce_u4 },
 { 179473, ur_t461_swio11_noled_pr_ee_ce },
 { 179474, ur_t461_swio11_noled_pr_ee_ce_u4 },
 { 179480, ur_t461_swio11_lednop },
 { 179481, ur_t461_swio11_lednop },
 { 179482, ur_t461_swio11_lednop_pr_u4 },
 { 179483, ur_t461_swio11_lednop_pr_ee },
 { 179484, ur_t461_swio11_lednop_pr_ee_u4 },
 { 179485, ur_t461_swio11_lednop_pr_ce },
 { 179486, ur_t461_swio11_lednop_pr_ce_u4 },
 { 179487, ur_t461_swio11_lednop_pr_ee_ce },
 { 179488, ur_t461_swio11_lednop_pr_ee_ce_u4 },
 { 179508, ur_t461_swio11_noled },
 { 179509, ur_t461_swio11_noled },
 { 179510, ur_t461_swio11_noled_pr_u4 },
 { 179511, ur_t461_swio11_noled_pr_ee },
 { 179512, ur_t461_swio11_noled_pr_ee_u4 },
 { 179513, ur_t461_swio11_noled_pr_ce },
 { 179514, ur_t461_swio11_noled_pr_ce_u4 },
 { 179515, ur_t461_swio11_noled_pr_ee_ce },
 { 179516, ur_t461_swio11_noled_pr_ee_ce_u4 },
 { 179522, ur_t461_swio11_lednop },
 { 179523, ur_t461_swio11_lednop },
 { 179524, ur_t461_swio11_lednop_pr_u4 },
 { 179525, ur_t461_swio11_lednop_pr_ee },
 { 179526, ur_t461_swio11_lednop_pr_ee_u4 },
 { 179527, ur_t461_swio11_lednop_pr_ce },
 { 179528, ur_t461_swio11_lednop_pr_ce_u4 },
 { 179529, ur_t461_swio11_lednop_pr_ee_ce },
 { 179530, ur_t461_swio11_lednop_pr_ee_ce_u4 },
 { 179550, ur_t461_swio13_noled },
 { 179551, ur_t461_swio13_noled },
 { 179552, ur_t461_swio13_noled_pr_u4 },
 { 179553, ur_t461_swio13_noled_pr_ee },
 { 179554, ur_t461_swio13_noled_pr_ee_u4 },
 { 179555, ur_t461_swio13_noled_pr_ce },
 { 179556, ur_t461_swio13_noled_pr_ce_u4 },
 { 179557, ur_t461_swio13_noled_pr_ee_ce },
 { 179558, ur_t461_swio13_noled_pr_ee_ce_u4 },
 { 179564, ur_t461_swio13_lednop },
 { 179565, ur_t461_swio13_lednop },
 { 179566, ur_t461_swio13_lednop_pr_u4 },
 { 179567, ur_t461_swio13_lednop_pr_ee },
 { 179568, ur_t461_swio13_lednop_pr_ee_u4 },
 { 179569, ur_t461_swio13_lednop_pr_ce },
 { 179570, ur_t461_swio13_lednop_pr_ce_u4 },
 { 179571, ur_t461_swio13_lednop_pr_ee_ce },
 { 179572, ur_t461_swio13_lednop_pr_ee_ce_u4 },
 { 179592, ur_t461_swio14_noled },
 { 179593, ur_t461_swio14_noled },
 { 179594, ur_t461_swio14_noled_pr_u4 },
 { 179595, ur_t461_swio14_noled_pr_ee },
 { 179596, ur_t461_swio14_noled_pr_ee_u4 },
 { 179597, ur_t461_swio14_noled_pr_ce },
 { 179598, ur_t461_swio14_noled_pr_ce_u4 },
 { 179599, ur_t461_swio14_noled_pr_ee_ce },
 { 179600, ur_t461_swio14_noled_pr_ee_ce_u4 },
 { 179606, ur_t461_swio14_lednop },
 { 179607, ur_t461_swio14_lednop },
 { 179608, ur_t461_swio14_lednop_pr_u4 },
 { 179609, ur_t461_swio14_lednop_pr_ee },
 { 179610, ur_t461_swio14_lednop_pr_ee_u4 },
 { 179611, ur_t461_swio14_lednop_pr_ce },
 { 179612, ur_t461_swio14_lednop_pr_ce_u4 },
 { 179613, ur_t461_swio14_lednop_pr_ee_ce },
 { 179614, ur_t461_swio14_lednop_pr_ee_ce_u4 },
 { 179634, ur_t461_swio15_noled },
 { 179635, ur_t461_swio15_noled },
 { 179636, ur_t461_swio15_noled_pr_u4 },
 { 179637, ur_t461_swio15_noled_pr_ee },
 { 179638, ur_t461_swio15_noled_pr_ee_u4 },
 { 179639, ur_t461_swio15_noled_pr_ce },
 { 179640, ur_t461_swio15_noled_pr_ce_u4 },
 { 179641, ur_t461_swio15_noled_pr_ee_ce },
 { 179642, ur_t461_swio15_noled_pr_ee_ce_u4 },
 { 179648, ur_t461_swio15_lednop },
 { 179649, ur_t461_swio15_lednop },
 { 179650, ur_t461_swio15_lednop_pr_u4 },
 { 179651, ur_t461_swio15_lednop_pr_ee },
 { 179652, ur_t461_swio15_lednop_pr_ee_u4 },
 { 179653, ur_t461_swio15_lednop_pr_ce },
 { 179654, ur_t461_swio15_lednop_pr_ce_u4 },
 { 179655, ur_t461_swio15_lednop_pr_ee_ce },
 { 179656, ur_t461_swio15_lednop_pr_ee_ce_u4 },
 { 179676, ur_t441_autobaud_uart0_noled },
 { 179677, ur_t441_autobaud_uart0_noled },
 { 179678, ur_t441_autobaud_uart0_noled },
 { 179679, ur_t841_autobaud_uart0_noled_pr_ee },
 { 179680, ur_t841_autobaud_uart0_noled_pr_ee },
 { 179681, ur_t841_autobaud_uart0_noled_pr_ce },
 { 179682, ur_t841_autobaud_uart0_noled_pr_ce },
 { 179683, ur_t841_autobaud_uart0_noled_pr_ee_ce },
 { 179684, ur_t841_autobaud_uart0_noled_pr_ee_ce },
 { 179690, ur_t441_autobaud_uart0_lednop },
 { 179691, ur_t441_autobaud_uart0_lednop },
 { 179692, ur_t441_autobaud_uart0_lednop },
 { 179693, ur_t841_autobaud_uart0_lednop_pr_ee },
 { 179694, ur_t841_autobaud_uart0_lednop_pr_ee },
 { 179695, ur_t841_autobaud_uart0_lednop_pr_ce },
 { 179696, ur_t841_autobaud_uart0_lednop_pr_ce },
 { 179697, ur_t841_autobaud_uart0_lednop_pr_ee_ce },
 { 179698, ur_t841_autobaud_uart0_lednop_pr_ee_ce },
 { 179704, ur_t841_autobaud_uart0_dual },
 { 179705, ur_t841_autobaud_uart0_dual },
 { 179706, ur_t841_autobaud_uart0_dual },
 { 179707, ur_t841_autobaud_uart0_dual_pr_ee },
 { 179708, ur_t841_autobaud_uart0_dual_pr_ee },
 { 179709, ur_t841_autobaud_uart0_dual_pr_ce },
 { 179710, ur_t841_autobaud_uart0_dual_pr_ce },
 { 179711, ur_t841_autobaud_uart0_dual_pr_ee_ce },
 { 179712, ur_t841_autobaud_uart0_dual_pr_ee_ce },
 { 179718, ur_t441_autobaud_uart0_alt1_noled },
 { 179719, ur_t441_autobaud_uart0_alt1_noled },
 { 179720, ur_t441_autobaud_uart0_alt1_noled },
 { 179721, ur_t841_autobaud_uart0_alt1_noled_pr_ee },
 { 179722, ur_t841_autobaud_uart0_alt1_noled_pr_ee },
 { 179723, ur_t841_autobaud_uart0_alt1_noled_pr_ce },
 { 179724, ur_t841_autobaud_uart0_alt1_noled_pr_ce },
 { 179725, ur_t841_autobaud_uart0_alt1_noled_pr_ee_ce },
 { 179726, ur_t841_autobaud_uart0_alt1_noled_pr_ee_ce },
 { 179732, ur_t441_autobaud_uart0_alt1_lednop },
 { 179733, ur_t441_autobaud_uart0_alt1_lednop_pr },
 { 179734, ur_t441_autobaud_uart0_alt1_lednop_pr },
 { 179735, ur_t841_autobaud_uart0_alt1_lednop_pr_ee },
 { 179736, ur_t841_autobaud_uart0_alt1_lednop_pr_ee },
 { 179737, ur_t841_autobaud_uart0_alt1_lednop_pr_ce },
 { 179738, ur_t841_autobaud_uart0_alt1_lednop_pr_ce },
 { 179739, ur_t841_autobaud_uart0_alt1_lednop_pr_ee_ce },
 { 179740, ur_t841_autobaud_uart0_alt1_lednop_pr_ee_ce },
 { 179746, ur_t841_autobaud_uart0_alt1_dual },
 { 179747, ur_t841_autobaud_uart0_alt1_dual },
 { 179748, ur_t841_autobaud_uart0_alt1_dual },
 { 179749, ur_t841_autobaud_uart0_alt1_dual_pr_ee },
 { 179750, ur_t841_autobaud_uart0_alt1_dual_pr_ee },
 { 179751, ur_t841_autobaud_uart0_alt1_dual_pr_ce },
 { 179752, ur_t841_autobaud_uart0_alt1_dual_pr_ce },
 { 179753, ur_t841_autobaud_uart0_alt1_dual_pr_ee_ce },
 { 179754, ur_t841_autobaud_uart0_alt1_dual_pr_ee_ce },
 { 179760, ur_t441_autobaud_uart1_noled },
 { 179761, ur_t441_autobaud_uart1_noled },
 { 179762, ur_t441_autobaud_uart1_noled },
 { 179763, ur_t841_autobaud_uart1_noled_pr_ee },
 { 179764, ur_t841_autobaud_uart1_noled_pr_ee },
 { 179765, ur_t841_autobaud_uart1_noled_pr_ce },
 { 179766, ur_t841_autobaud_uart1_noled_pr_ce },
 { 179767, ur_t841_autobaud_uart1_noled_pr_ee_ce },
 { 179768, ur_t841_autobaud_uart1_noled_pr_ee_ce },
 { 179774, ur_t441_autobaud_uart1_lednop },
 { 179775, ur_t441_autobaud_uart1_lednop },
 { 179776, ur_t441_autobaud_uart1_lednop },
 { 179777, ur_t841_autobaud_uart1_lednop_pr_ee },
 { 179778, ur_t841_autobaud_uart1_lednop_pr_ee },
 { 179779, ur_t841_autobaud_uart1_lednop_pr_ce },
 { 179780, ur_t841_autobaud_uart1_lednop_pr_ce },
 { 179781, ur_t841_autobaud_uart1_lednop_pr_ee_ce },
 { 179782, ur_t841_autobaud_uart1_lednop_pr_ee_ce },
 { 179788, ur_t841_autobaud_uart1_dual },
 { 179789, ur_t841_autobaud_uart1_dual },
 { 179790, ur_t841_autobaud_uart1_dual },
 { 179791, ur_t841_autobaud_uart1_dual_pr_ee },
 { 179792, ur_t841_autobaud_uart1_dual_pr_ee },
 { 179793, ur_t841_autobaud_uart1_dual_pr_ce },
 { 179794, ur_t841_autobaud_uart1_dual_pr_ce },
 { 179795, ur_t841_autobaud_uart1_dual_pr_ee_ce },
 { 179796, ur_t841_autobaud_uart1_dual_pr_ee_ce },
 { 179886, ur_t441_u1x8_uart0_noled },
 { 179887, ur_t441_u1x8_uart0_noled },
 { 179888, ur_t441_u1x8_uart0_noled },
 { 179889, ur_t841_u1x8_uart0_noled_pr_ee },
 { 179890, ur_t841_u1x8_uart0_noled_pr_ee },
 { 179891, ur_t841_u1x8_uart0_noled_pr_ce },
 { 179892, ur_t841_u1x8_uart0_noled_pr_ce },
 { 179893, ur_t841_u1x8_uart0_noled_pr_ee_ce },
 { 179894, ur_t841_u1x8_uart0_noled_pr_ee_ce },
 { 179900, ur_t441_u1x8_uart0_lednop },
 { 179901, ur_t441_u1x8_uart0_lednop },
 { 179902, ur_t441_u1x8_uart0_lednop },
 { 179903, ur_t841_u1x8_uart0_lednop_pr_ee },
 { 179904, ur_t841_u1x8_uart0_lednop_pr_ee },
 { 179905, ur_t841_u1x8_uart0_lednop_pr_ce },
 { 179906, ur_t841_u1x8_uart0_lednop_pr_ce },
 { 179907, ur_t841_u1x8_uart0_lednop_pr_ee_ce },
 { 179908, ur_t841_u1x8_uart0_lednop_pr_ee_ce },
 { 179914, ur_t841_u1x8_uart0_dual },
 { 179915, ur_t841_u1x8_uart0_dual_pr },
 { 179916, ur_t841_u1x8_uart0_dual_pr },
 { 179917, ur_t841_u1x8_uart0_dual_pr_ee },
 { 179918, ur_t841_u1x8_uart0_dual_pr_ee },
 { 179919, ur_t841_u1x8_uart0_dual_pr_ce },
 { 179920, ur_t841_u1x8_uart0_dual_pr_ce },
 { 179921, ur_t841_u1x8_uart0_dual_pr_ee_ce },
 { 179922, ur_t841_u1x8_uart0_dual_pr_ee_ce },
 { 179928, ur_t441_u1x8_uart0_alt1_noled },
 { 179929, ur_t441_u1x8_uart0_alt1_noled },
 { 179930, ur_t441_u1x8_uart0_alt1_noled },
 { 179931, ur_t841_u1x8_uart0_alt1_noled_pr_ee },
 { 179932, ur_t841_u1x8_uart0_alt1_noled_pr_ee },
 { 179933, ur_t841_u1x8_uart0_alt1_noled_pr_ce },
 { 179934, ur_t841_u1x8_uart0_alt1_noled_pr_ce },
 { 179935, ur_t841_u1x8_uart0_alt1_noled_pr_ee_ce },
 { 179936, ur_t841_u1x8_uart0_alt1_noled_pr_ee_ce },
 { 179942, ur_t441_u1x8_uart0_alt1_lednop },
 { 179943, ur_t441_u1x8_uart0_alt1_lednop },
 { 179944, ur_t441_u1x8_uart0_alt1_lednop },
 { 179945, ur_t841_u1x8_uart0_alt1_lednop_pr_ee },
 { 179946, ur_t841_u1x8_uart0_alt1_lednop_pr_ee },
 { 179947, ur_t841_u1x8_uart0_alt1_lednop_pr_ce },
 { 179948, ur_t841_u1x8_uart0_alt1_lednop_pr_ce },
 { 179949, ur_t841_u1x8_uart0_alt1_lednop_pr_ee_ce },
 { 179950, ur_t841_u1x8_uart0_alt1_lednop_pr_ee_ce },
 { 179956, ur_t841_u1x8_uart0_alt1_dual },
 { 179957, ur_t841_u1x8_uart0_alt1_dual_pr },
 { 179958, ur_t841_u1x8_uart0_alt1_dual_pr },
 { 179959, ur_t841_u1x8_uart0_alt1_dual_pr_ee },
 { 179960, ur_t841_u1x8_uart0_alt1_dual_pr_ee },
 { 179961, ur_t841_u1x8_uart0_alt1_dual_pr_ce },
 { 179962, ur_t841_u1x8_uart0_alt1_dual_pr_ce },
 { 179963, ur_t841_u1x8_uart0_alt1_dual_pr_ee_ce },
 { 179964, ur_t841_u1x8_uart0_alt1_dual_pr_ee_ce },
 { 179970, ur_t441_u1x8_uart1_noled },
 { 179971, ur_t441_u1x8_uart1_noled },
 { 179972, ur_t441_u1x8_uart1_noled },
 { 179973, ur_t841_u1x8_uart1_noled_pr_ee },
 { 179974, ur_t841_u1x8_uart1_noled_pr_ee },
 { 179975, ur_t841_u1x8_uart1_noled_pr_ce },
 { 179976, ur_t841_u1x8_uart1_noled_pr_ce },
 { 179977, ur_t841_u1x8_uart1_noled_pr_ee_ce },
 { 179978, ur_t841_u1x8_uart1_noled_pr_ee_ce },
 { 179984, ur_t441_u1x8_uart1_lednop },
 { 179985, ur_t441_u1x8_uart1_lednop },
 { 179986, ur_t441_u1x8_uart1_lednop },
 { 179987, ur_t841_u1x8_uart1_lednop_pr_ee },
 { 179988, ur_t841_u1x8_uart1_lednop_pr_ee },
 { 179989, ur_t841_u1x8_uart1_lednop_pr_ce },
 { 179990, ur_t841_u1x8_uart1_lednop_pr_ce },
 { 179991, ur_t841_u1x8_uart1_lednop_pr_ee_ce },
 { 179992, ur_t841_u1x8_uart1_lednop_pr_ee_ce },
 { 179998, ur_t841_u1x8_uart1_dual },
 { 179999, ur_t841_u1x8_uart1_dual_pr },
 { 180000, ur_t841_u1x8_uart1_dual_pr },
 { 180001, ur_t841_u1x8_uart1_dual_pr_ee },
 { 180002, ur_t841_u1x8_uart1_dual_pr_ee },
 { 180003, ur_t841_u1x8_uart1_dual_pr_ce },
 { 180004, ur_t841_u1x8_uart1_dual_pr_ce },
 { 180005, ur_t841_u1x8_uart1_dual_pr_ee_ce },
 { 180006, ur_t841_u1x8_uart1_dual_pr_ee_ce },
 { 180096, ur_t441_u1x12_uart0_noled },
 { 180097, ur_t441_u1x12_uart0_noled },
 { 180098, ur_t441_u1x12_uart0_noled },
 { 180099, ur_t841_u1x12_uart0_noled_pr_ee },
 { 180100, ur_t841_u1x12_uart0_noled_pr_ee },
 { 180101, ur_t841_u1x12_uart0_noled_pr_ce },
 { 180102, ur_t841_u1x12_uart0_noled_pr_ce },
 { 180103, ur_t841_u1x12_uart0_noled_pr_ee_ce },
 { 180104, ur_t841_u1x12_uart0_noled_pr_ee_ce },
 { 180110, ur_t441_u1x12_uart0_lednop },
 { 180111, ur_t441_u1x12_uart0_lednop },
 { 180112, ur_t441_u1x12_uart0_lednop },
 { 180113, ur_t841_u1x12_uart0_lednop_pr_ee },
 { 180114, ur_t841_u1x12_uart0_lednop_pr_ee },
 { 180115, ur_t841_u1x12_uart0_lednop_pr_ce },
 { 180116, ur_t841_u1x12_uart0_lednop_pr_ce },
 { 180117, ur_t841_u1x12_uart0_lednop_pr_ee_ce },
 { 180118, ur_t841_u1x12_uart0_lednop_pr_ee_ce },
 { 180124, ur_t841_u1x12_uart0_dual },
 { 180125, ur_t841_u1x12_uart0_dual_pr },
 { 180126, ur_t841_u1x12_uart0_dual_pr },
 { 180127, ur_t841_u1x12_uart0_dual_pr_ee },
 { 180128, ur_t841_u1x12_uart0_dual_pr_ee },
 { 180129, ur_t841_u1x12_uart0_dual_pr_ce },
 { 180130, ur_t841_u1x12_uart0_dual_pr_ce },
 { 180131, ur_t841_u1x12_uart0_dual_pr_ee_ce },
 { 180132, ur_t841_u1x12_uart0_dual_pr_ee_ce },
 { 180138, ur_t441_u1x12_uart0_alt1_noled },
 { 180139, ur_t441_u1x12_uart0_alt1_noled },
 { 180140, ur_t441_u1x12_uart0_alt1_noled },
 { 180141, ur_t841_u1x12_uart0_alt1_noled_pr_ee },
 { 180142, ur_t841_u1x12_uart0_alt1_noled_pr_ee },
 { 180143, ur_t841_u1x12_uart0_alt1_noled_pr_ce },
 { 180144, ur_t841_u1x12_uart0_alt1_noled_pr_ce },
 { 180145, ur_t841_u1x12_uart0_alt1_noled_pr_ee_ce },
 { 180146, ur_t841_u1x12_uart0_alt1_noled_pr_ee_ce },
 { 180152, ur_t441_u1x12_uart0_alt1_lednop },
 { 180153, ur_t441_u1x12_uart0_alt1_lednop },
 { 180154, ur_t441_u1x12_uart0_alt1_lednop },
 { 180155, ur_t841_u1x12_uart0_alt1_lednop_pr_ee },
 { 180156, ur_t841_u1x12_uart0_alt1_lednop_pr_ee },
 { 180157, ur_t841_u1x12_uart0_alt1_lednop_pr_ce },
 { 180158, ur_t841_u1x12_uart0_alt1_lednop_pr_ce },
 { 180159, ur_t841_u1x12_uart0_alt1_lednop_pr_ee_ce },
 { 180160, ur_t841_u1x12_uart0_alt1_lednop_pr_ee_ce },
 { 180166, ur_t841_u1x12_uart0_alt1_dual },
 { 180167, ur_t841_u1x12_uart0_alt1_dual_pr },
 { 180168, ur_t841_u1x12_uart0_alt1_dual_pr },
 { 180169, ur_t841_u1x12_uart0_alt1_dual_pr_ee },
 { 180170, ur_t841_u1x12_uart0_alt1_dual_pr_ee },
 { 180171, ur_t841_u1x12_uart0_alt1_dual_pr_ce },
 { 180172, ur_t841_u1x12_uart0_alt1_dual_pr_ce },
 { 180173, ur_t841_u1x12_uart0_alt1_dual_pr_ee_ce },
 { 180174, ur_t841_u1x12_uart0_alt1_dual_pr_ee_ce },
 { 180180, ur_t441_u1x12_uart1_noled },
 { 180181, ur_t441_u1x12_uart1_noled },
 { 180182, ur_t441_u1x12_uart1_noled },
 { 180183, ur_t841_u1x12_uart1_noled_pr_ee },
 { 180184, ur_t841_u1x12_uart1_noled_pr_ee },
 { 180185, ur_t841_u1x12_uart1_noled_pr_ce },
 { 180186, ur_t841_u1x12_uart1_noled_pr_ce },
 { 180187, ur_t841_u1x12_uart1_noled_pr_ee_ce },
 { 180188, ur_t841_u1x12_uart1_noled_pr_ee_ce },
 { 180194, ur_t441_u1x12_uart1_lednop },
 { 180195, ur_t441_u1x12_uart1_lednop },
 { 180196, ur_t441_u1x12_uart1_lednop },
 { 180197, ur_t841_u1x12_uart1_lednop_pr_ee },
 { 180198, ur_t841_u1x12_uart1_lednop_pr_ee },
 { 180199, ur_t841_u1x12_uart1_lednop_pr_ce },
 { 180200, ur_t841_u1x12_uart1_lednop_pr_ce },
 { 180201, ur_t841_u1x12_uart1_lednop_pr_ee_ce },
 { 180202, ur_t841_u1x12_uart1_lednop_pr_ee_ce },
 { 180208, ur_t841_u1x12_uart1_dual },
 { 180209, ur_t841_u1x12_uart1_dual_pr },
 { 180210, ur_t841_u1x12_uart1_dual_pr },
 { 180211, ur_t841_u1x12_uart1_dual_pr_ee },
 { 180212, ur_t841_u1x12_uart1_dual_pr_ee },
 { 180213, ur_t841_u1x12_uart1_dual_pr_ce },
 { 180214, ur_t841_u1x12_uart1_dual_pr_ce },
 { 180215, ur_t841_u1x12_uart1_dual_pr_ee_ce },
 { 180216, ur_t841_u1x12_uart1_dual_pr_ee_ce },
 { 180306, ur_t441_u2x8_uart0_noled },
 { 180307, ur_t441_u2x8_uart0_noled },
 { 180308, ur_t441_u2x8_uart0_noled },
 { 180309, ur_t841_u2x8_uart0_noled_pr_ee },
 { 180310, ur_t841_u2x8_uart0_noled_pr_ee },
 { 180311, ur_t841_u2x8_uart0_noled_pr_ce },
 { 180312, ur_t841_u2x8_uart0_noled_pr_ce },
 { 180313, ur_t841_u2x8_uart0_noled_pr_ee_ce },
 { 180314, ur_t841_u2x8_uart0_noled_pr_ee_ce },
 { 180320, ur_t441_u2x8_uart0_lednop },
 { 180321, ur_t441_u2x8_uart0_lednop },
 { 180322, ur_t441_u2x8_uart0_lednop },
 { 180323, ur_t841_u2x8_uart0_lednop_pr_ee },
 { 180324, ur_t841_u2x8_uart0_lednop_pr_ee },
 { 180325, ur_t841_u2x8_uart0_lednop_pr_ce },
 { 180326, ur_t841_u2x8_uart0_lednop_pr_ce },
 { 180327, ur_t841_u2x8_uart0_lednop_pr_ee_ce },
 { 180328, ur_t841_u2x8_uart0_lednop_pr_ee_ce },
 { 180334, ur_t841_u2x8_uart0_dual },
 { 180335, ur_t841_u2x8_uart0_dual_pr },
 { 180336, ur_t841_u2x8_uart0_dual_pr },
 { 180337, ur_t841_u2x8_uart0_dual_pr_ee },
 { 180338, ur_t841_u2x8_uart0_dual_pr_ee },
 { 180339, ur_t841_u2x8_uart0_dual_pr_ce },
 { 180340, ur_t841_u2x8_uart0_dual_pr_ce },
 { 180341, ur_t841_u2x8_uart0_dual_pr_ee_ce },
 { 180342, ur_t841_u2x8_uart0_dual_pr_ee_ce },
 { 180348, ur_t441_u2x8_uart0_alt1_noled },
 { 180349, ur_t441_u2x8_uart0_alt1_noled },
 { 180350, ur_t441_u2x8_uart0_alt1_noled },
 { 180351, ur_t841_u2x8_uart0_alt1_noled_pr_ee },
 { 180352, ur_t841_u2x8_uart0_alt1_noled_pr_ee },
 { 180353, ur_t841_u2x8_uart0_alt1_noled_pr_ce },
 { 180354, ur_t841_u2x8_uart0_alt1_noled_pr_ce },
 { 180355, ur_t841_u2x8_uart0_alt1_noled_pr_ee_ce },
 { 180356, ur_t841_u2x8_uart0_alt1_noled_pr_ee_ce },
 { 180362, ur_t441_u2x8_uart0_alt1_lednop },
 { 180363, ur_t441_u2x8_uart0_alt1_lednop },
 { 180364, ur_t441_u2x8_uart0_alt1_lednop },
 { 180365, ur_t841_u2x8_uart0_alt1_lednop_pr_ee },
 { 180366, ur_t841_u2x8_uart0_alt1_lednop_pr_ee },
 { 180367, ur_t841_u2x8_uart0_alt1_lednop_pr_ce },
 { 180368, ur_t841_u2x8_uart0_alt1_lednop_pr_ce },
 { 180369, ur_t841_u2x8_uart0_alt1_lednop_pr_ee_ce },
 { 180370, ur_t841_u2x8_uart0_alt1_lednop_pr_ee_ce },
 { 180376, ur_t841_u2x8_uart0_alt1_dual },
 { 180377, ur_t841_u2x8_uart0_alt1_dual_pr },
 { 180378, ur_t841_u2x8_uart0_alt1_dual_pr },
 { 180379, ur_t841_u2x8_uart0_alt1_dual_pr_ee },
 { 180380, ur_t841_u2x8_uart0_alt1_dual_pr_ee },
 { 180381, ur_t841_u2x8_uart0_alt1_dual_pr_ce },
 { 180382, ur_t841_u2x8_uart0_alt1_dual_pr_ce },
 { 180383, ur_t841_u2x8_uart0_alt1_dual_pr_ee_ce },
 { 180384, ur_t841_u2x8_uart0_alt1_dual_pr_ee_ce },
 { 180390, ur_t441_u2x8_uart1_noled },
 { 180391, ur_t441_u2x8_uart1_noled },
 { 180392, ur_t441_u2x8_uart1_noled },
 { 180393, ur_t841_u2x8_uart1_noled_pr_ee },
 { 180394, ur_t841_u2x8_uart1_noled_pr_ee },
 { 180395, ur_t841_u2x8_uart1_noled_pr_ce },
 { 180396, ur_t841_u2x8_uart1_noled_pr_ce },
 { 180397, ur_t841_u2x8_uart1_noled_pr_ee_ce },
 { 180398, ur_t841_u2x8_uart1_noled_pr_ee_ce },
 { 180404, ur_t441_u2x8_uart1_lednop },
 { 180405, ur_t441_u2x8_uart1_lednop },
 { 180406, ur_t441_u2x8_uart1_lednop },
 { 180407, ur_t841_u2x8_uart1_lednop_pr_ee },
 { 180408, ur_t841_u2x8_uart1_lednop_pr_ee },
 { 180409, ur_t841_u2x8_uart1_lednop_pr_ce },
 { 180410, ur_t841_u2x8_uart1_lednop_pr_ce },
 { 180411, ur_t841_u2x8_uart1_lednop_pr_ee_ce },
 { 180412, ur_t841_u2x8_uart1_lednop_pr_ee_ce },
 { 180418, ur_t841_u2x8_uart1_dual },
 { 180419, ur_t841_u2x8_uart1_dual_pr },
 { 180420, ur_t841_u2x8_uart1_dual_pr },
 { 180421, ur_t841_u2x8_uart1_dual_pr_ee },
 { 180422, ur_t841_u2x8_uart1_dual_pr_ee },
 { 180423, ur_t841_u2x8_uart1_dual_pr_ce },
 { 180424, ur_t841_u2x8_uart1_dual_pr_ce },
 { 180425, ur_t841_u2x8_uart1_dual_pr_ee_ce },
 { 180426, ur_t841_u2x8_uart1_dual_pr_ee_ce },
 { 180516, ur_t441_u2x12_uart0_noled },
 { 180517, ur_t441_u2x12_uart0_noled },
 { 180518, ur_t441_u2x12_uart0_noled },
 { 180519, ur_t841_u2x12_uart0_noled_pr_ee },
 { 180520, ur_t841_u2x12_uart0_noled_pr_ee },
 { 180521, ur_t841_u2x12_uart0_noled_pr_ce },
 { 180522, ur_t841_u2x12_uart0_noled_pr_ce },
 { 180523, ur_t841_u2x12_uart0_noled_pr_ee_ce },
 { 180524, ur_t841_u2x12_uart0_noled_pr_ee_ce },
 { 180530, ur_t441_u2x12_uart0_lednop },
 { 180531, ur_t441_u2x12_uart0_lednop },
 { 180532, ur_t441_u2x12_uart0_lednop },
 { 180533, ur_t841_u2x12_uart0_lednop_pr_ee },
 { 180534, ur_t841_u2x12_uart0_lednop_pr_ee },
 { 180535, ur_t841_u2x12_uart0_lednop_pr_ce },
 { 180536, ur_t841_u2x12_uart0_lednop_pr_ce },
 { 180537, ur_t841_u2x12_uart0_lednop_pr_ee_ce },
 { 180538, ur_t841_u2x12_uart0_lednop_pr_ee_ce },
 { 180544, ur_t841_u2x12_uart0_dual },
 { 180545, ur_t841_u2x12_uart0_dual_pr },
 { 180546, ur_t841_u2x12_uart0_dual_pr },
 { 180547, ur_t841_u2x12_uart0_dual_pr_ee },
 { 180548, ur_t841_u2x12_uart0_dual_pr_ee },
 { 180549, ur_t841_u2x12_uart0_dual_pr_ce },
 { 180550, ur_t841_u2x12_uart0_dual_pr_ce },
 { 180551, ur_t841_u2x12_uart0_dual_pr_ee_ce },
 { 180552, ur_t841_u2x12_uart0_dual_pr_ee_ce },
 { 180558, ur_t441_u2x12_uart0_alt1_noled },
 { 180559, ur_t441_u2x12_uart0_alt1_noled },
 { 180560, ur_t441_u2x12_uart0_alt1_noled },
 { 180561, ur_t841_u2x12_uart0_alt1_noled_pr_ee },
 { 180562, ur_t841_u2x12_uart0_alt1_noled_pr_ee },
 { 180563, ur_t841_u2x12_uart0_alt1_noled_pr_ce },
 { 180564, ur_t841_u2x12_uart0_alt1_noled_pr_ce },
 { 180565, ur_t841_u2x12_uart0_alt1_noled_pr_ee_ce },
 { 180566, ur_t841_u2x12_uart0_alt1_noled_pr_ee_ce },
 { 180572, ur_t441_u2x12_uart0_alt1_lednop },
 { 180573, ur_t441_u2x12_uart0_alt1_lednop },
 { 180574, ur_t441_u2x12_uart0_alt1_lednop },
 { 180575, ur_t841_u2x12_uart0_alt1_lednop_pr_ee },
 { 180576, ur_t841_u2x12_uart0_alt1_lednop_pr_ee },
 { 180577, ur_t841_u2x12_uart0_alt1_lednop_pr_ce },
 { 180578, ur_t841_u2x12_uart0_alt1_lednop_pr_ce },
 { 180579, ur_t841_u2x12_uart0_alt1_lednop_pr_ee_ce },
 { 180580, ur_t841_u2x12_uart0_alt1_lednop_pr_ee_ce },
 { 180586, ur_t841_u2x12_uart0_alt1_dual },
 { 180587, ur_t841_u2x12_uart0_alt1_dual_pr },
 { 180588, ur_t841_u2x12_uart0_alt1_dual_pr },
 { 180589, ur_t841_u2x12_uart0_alt1_dual_pr_ee },
 { 180590, ur_t841_u2x12_uart0_alt1_dual_pr_ee },
 { 180591, ur_t841_u2x12_uart0_alt1_dual_pr_ce },
 { 180592, ur_t841_u2x12_uart0_alt1_dual_pr_ce },
 { 180593, ur_t841_u2x12_uart0_alt1_dual_pr_ee_ce },
 { 180594, ur_t841_u2x12_uart0_alt1_dual_pr_ee_ce },
 { 180600, ur_t441_u2x12_uart1_noled },
 { 180601, ur_t441_u2x12_uart1_noled },
 { 180602, ur_t441_u2x12_uart1_noled },
 { 180603, ur_t841_u2x12_uart1_noled_pr_ee },
 { 180604, ur_t841_u2x12_uart1_noled_pr_ee },
 { 180605, ur_t841_u2x12_uart1_noled_pr_ce },
 { 180606, ur_t841_u2x12_uart1_noled_pr_ce },
 { 180607, ur_t841_u2x12_uart1_noled_pr_ee_ce },
 { 180608, ur_t841_u2x12_uart1_noled_pr_ee_ce },
 { 180614, ur_t441_u2x12_uart1_lednop },
 { 180615, ur_t441_u2x12_uart1_lednop },
 { 180616, ur_t441_u2x12_uart1_lednop },
 { 180617, ur_t841_u2x12_uart1_lednop_pr_ee },
 { 180618, ur_t841_u2x12_uart1_lednop_pr_ee },
 { 180619, ur_t841_u2x12_uart1_lednop_pr_ce },
 { 180620, ur_t841_u2x12_uart1_lednop_pr_ce },
 { 180621, ur_t841_u2x12_uart1_lednop_pr_ee_ce },
 { 180622, ur_t841_u2x12_uart1_lednop_pr_ee_ce },
 { 180628, ur_t841_u2x12_uart1_dual },
 { 180629, ur_t841_u2x12_uart1_dual_pr },
 { 180630, ur_t841_u2x12_uart1_dual_pr },
 { 180631, ur_t841_u2x12_uart1_dual_pr_ee },
 { 180632, ur_t841_u2x12_uart1_dual_pr_ee },
 { 180633, ur_t841_u2x12_uart1_dual_pr_ce },
 { 180634, ur_t841_u2x12_uart1_dual_pr_ce },
 { 180635, ur_t841_u2x12_uart1_dual_pr_ee_ce },
 { 180636, ur_t841_u2x12_uart1_dual_pr_ee_ce },
 { 180726, ur_t441_swio10_noled },
 { 180727, ur_t441_swio10_noled },
 { 180728, ur_t441_swio10_noled },
 { 180729, ur_t841_swio10_noled_pr_ee },
 { 180730, ur_t841_swio10_noled_pr_ee },
 { 180731, ur_t841_swio10_noled_pr_ce },
 { 180732, ur_t841_swio10_noled_pr_ce },
 { 180733, ur_t841_swio10_noled_pr_ee_ce },
 { 180734, ur_t841_swio10_noled_pr_ee_ce },
 { 180740, ur_t441_swio10_lednop },
 { 180741, ur_t441_swio10_lednop_pr },
 { 180742, ur_t441_swio10_lednop_pr },
 { 180743, ur_t841_swio10_lednop_pr_ee },
 { 180744, ur_t841_swio10_lednop_pr_ee },
 { 180745, ur_t841_swio10_lednop_pr_ce },
 { 180746, ur_t841_swio10_lednop_pr_ce },
 { 180747, ur_t841_swio10_lednop_pr_ee_ce },
 { 180748, ur_t841_swio10_lednop_pr_ee_ce },
 { 180754, ur_t841_swio10_dual },
 { 180755, ur_t841_swio10_dual },
 { 180756, ur_t841_swio10_dual },
 { 180757, ur_t841_swio10_dual_pr_ee },
 { 180758, ur_t841_swio10_dual_pr_ee },
 { 180759, ur_t841_swio10_dual_pr_ce },
 { 180760, ur_t841_swio10_dual_pr_ce },
 { 180761, ur_t841_swio10_dual_pr_ee_ce },
 { 180762, ur_t841_swio10_dual_pr_ee_ce },
 { 180768, ur_t441_swio11_noled },
 { 180769, ur_t441_swio11_noled },
 { 180770, ur_t441_swio11_noled },
 { 180771, ur_t841_swio11_noled_pr_ee },
 { 180772, ur_t841_swio11_noled_pr_ee },
 { 180773, ur_t841_swio11_noled_pr_ce },
 { 180774, ur_t841_swio11_noled_pr_ce },
 { 180775, ur_t841_swio11_noled_pr_ee_ce },
 { 180776, ur_t841_swio11_noled_pr_ee_ce },
 { 180782, ur_t441_swio11_lednop },
 { 180783, ur_t441_swio11_lednop_pr },
 { 180784, ur_t441_swio11_lednop_pr },
 { 180785, ur_t841_swio11_lednop_pr_ee },
 { 180786, ur_t841_swio11_lednop_pr_ee },
 { 180787, ur_t841_swio11_lednop_pr_ce },
 { 180788, ur_t841_swio11_lednop_pr_ce },
 { 180789, ur_t841_swio11_lednop_pr_ee_ce },
 { 180790, ur_t841_swio11_lednop_pr_ee_ce },
 { 180796, ur_t841_swio11_dual },
 { 180797, ur_t841_swio11_dual },
 { 180798, ur_t841_swio11_dual },
 { 180799, ur_t841_swio11_dual_pr_ee },
 { 180800, ur_t841_swio11_dual_pr_ee },
 { 180801, ur_t841_swio11_dual_pr_ce },
 { 180802, ur_t841_swio11_dual_pr_ce },
 { 180803, ur_t841_swio11_dual_pr_ee_ce },
 { 180804, ur_t841_swio11_dual_pr_ee_ce },
 { 180810, ur_t441_swio11_noled },
 { 180811, ur_t441_swio11_noled },
 { 180812, ur_t441_swio11_noled },
 { 180813, ur_t841_swio11_noled_pr_ee },
 { 180814, ur_t841_swio11_noled_pr_ee },
 { 180815, ur_t841_swio11_noled_pr_ce },
 { 180816, ur_t841_swio11_noled_pr_ce },
 { 180817, ur_t841_swio11_noled_pr_ee_ce },
 { 180818, ur_t841_swio11_noled_pr_ee_ce },
 { 180824, ur_t441_swio11_lednop },
 { 180825, ur_t441_swio11_lednop_pr },
 { 180826, ur_t441_swio11_lednop_pr },
 { 180827, ur_t841_swio11_lednop_pr_ee },
 { 180828, ur_t841_swio11_lednop_pr_ee },
 { 180829, ur_t841_swio11_lednop_pr_ce },
 { 180830, ur_t841_swio11_lednop_pr_ce },
 { 180831, ur_t841_swio11_lednop_pr_ee_ce },
 { 180832, ur_t841_swio11_lednop_pr_ee_ce },
 { 180838, ur_t841_swio11_dual },
 { 180839, ur_t841_swio11_dual },
 { 180840, ur_t841_swio11_dual },
 { 180841, ur_t841_swio11_dual_pr_ee },
 { 180842, ur_t841_swio11_dual_pr_ee },
 { 180843, ur_t841_swio11_dual_pr_ce },
 { 180844, ur_t841_swio11_dual_pr_ce },
 { 180845, ur_t841_swio11_dual_pr_ee_ce },
 { 180846, ur_t841_swio11_dual_pr_ee_ce },
 { 180852, ur_t441_swio13_noled },
 { 180853, ur_t441_swio13_noled },
 { 180854, ur_t441_swio13_noled },
 { 180855, ur_t841_swio13_noled_pr_ee },
 { 180856, ur_t841_swio13_noled_pr_ee },
 { 180857, ur_t841_swio13_noled_pr_ce },
 { 180858, ur_t841_swio13_noled_pr_ce },
 { 180859, ur_t841_swio13_noled_pr_ee_ce },
 { 180860, ur_t841_swio13_noled_pr_ee_ce },
 { 180866, ur_t441_swio13_lednop },
 { 180867, ur_t441_swio13_lednop_pr },
 { 180868, ur_t441_swio13_lednop_pr },
 { 180869, ur_t841_swio13_lednop_pr_ee },
 { 180870, ur_t841_swio13_lednop_pr_ee },
 { 180871, ur_t841_swio13_lednop_pr_ce },
 { 180872, ur_t841_swio13_lednop_pr_ce },
 { 180873, ur_t841_swio13_lednop_pr_ee_ce },
 { 180874, ur_t841_swio13_lednop_pr_ee_ce },
 { 180880, ur_t841_swio13_dual },
 { 180881, ur_t841_swio13_dual },
 { 180882, ur_t841_swio13_dual },
 { 180883, ur_t841_swio13_dual_pr_ee },
 { 180884, ur_t841_swio13_dual_pr_ee },
 { 180885, ur_t841_swio13_dual_pr_ce },
 { 180886, ur_t841_swio13_dual_pr_ce },
 { 180887, ur_t841_swio13_dual_pr_ee_ce },
 { 180888, ur_t841_swio13_dual_pr_ee_ce },
 { 180894, ur_t441_swio14_noled },
 { 180895, ur_t441_swio14_noled },
 { 180896, ur_t441_swio14_noled },
 { 180897, ur_t841_swio14_noled_pr_ee },
 { 180898, ur_t841_swio14_noled_pr_ee },
 { 180899, ur_t841_swio14_noled_pr_ce },
 { 180900, ur_t841_swio14_noled_pr_ce },
 { 180901, ur_t841_swio14_noled_pr_ee_ce },
 { 180902, ur_t841_swio14_noled_pr_ee_ce },
 { 180908, ur_t441_swio14_lednop },
 { 180909, ur_t441_swio14_lednop_pr },
 { 180910, ur_t441_swio14_lednop_pr },
 { 180911, ur_t841_swio14_lednop_pr_ee },
 { 180912, ur_t841_swio14_lednop_pr_ee },
 { 180913, ur_t841_swio14_lednop_pr_ce },
 { 180914, ur_t841_swio14_lednop_pr_ce },
 { 180915, ur_t841_swio14_lednop_pr_ee_ce },
 { 180916, ur_t841_swio14_lednop_pr_ee_ce },
 { 180922, ur_t841_swio14_dual },
 { 180923, ur_t841_swio14_dual },
 { 180924, ur_t841_swio14_dual },
 { 180925, ur_t841_swio14_dual_pr_ee },
 { 180926, ur_t841_swio14_dual_pr_ee },
 { 180927, ur_t841_swio14_dual_pr_ce },
 { 180928, ur_t841_swio14_dual_pr_ce },
 { 180929, ur_t841_swio14_dual_pr_ee_ce },
 { 180930, ur_t841_swio14_dual_pr_ee_ce },
 { 180936, ur_t441_swio15_noled },
 { 180937, ur_t441_swio15_noled },
 { 180938, ur_t441_swio15_noled },
 { 180939, ur_t841_swio15_noled_pr_ee },
 { 180940, ur_t841_swio15_noled_pr_ee },
 { 180941, ur_t841_swio15_noled_pr_ce },
 { 180942, ur_t841_swio15_noled_pr_ce },
 { 180943, ur_t841_swio15_noled_pr_ee_ce },
 { 180944, ur_t841_swio15_noled_pr_ee_ce },
 { 180950, ur_t441_swio15_lednop },
 { 180951, ur_t441_swio15_lednop_pr },
 { 180952, ur_t441_swio15_lednop_pr },
 { 180953, ur_t841_swio15_lednop_pr_ee },
 { 180954, ur_t841_swio15_lednop_pr_ee },
 { 180955, ur_t841_swio15_lednop_pr_ce },
 { 180956, ur_t841_swio15_lednop_pr_ce },
 { 180957, ur_t841_swio15_lednop_pr_ee_ce },
 { 180958, ur_t841_swio15_lednop_pr_ee_ce },
 { 180964, ur_t841_swio15_dual },
 { 180965, ur_t841_swio15_dual },
 { 180966, ur_t841_swio15_dual },
 { 180967, ur_t841_swio15_dual_pr_ee },
 { 180968, ur_t841_swio15_dual_pr_ee },
 { 180969, ur_t841_swio15_dual_pr_ce },
 { 180970, ur_t841_swio15_dual_pr_ce },
 { 180971, ur_t841_swio15_dual_pr_ee_ce },
 { 180972, ur_t841_swio15_dual_pr_ee_ce },
 { 182028, ur_t461_swio10_noled },
 { 182029, ur_t461_swio10_noled },
 { 182030, ur_t461_swio10_noled_pr_u4 },
 { 182031, ur_t861_swio10_noled_pr_ee },
 { 182032, ur_t861_swio10_noled_pr_ee_u4 },
 { 182033, ur_t861_swio10_noled_pr_ce },
 { 182034, ur_t861_swio10_noled_pr_ce_u4 },
 { 182035, ur_t861_swio10_noled_pr_ee_ce },
 { 182036, ur_t861_swio10_noled_pr_ee_ce_u4 },
 { 182042, ur_t461_swio10_lednop },
 { 182043, ur_t461_swio10_lednop },
 { 182044, ur_t461_swio10_lednop_pr_u4 },
 { 182045, ur_t861_swio10_lednop_pr_ee },
 { 182046, ur_t861_swio10_lednop_pr_ee_u4 },
 { 182047, ur_t861_swio10_lednop_pr_ce },
 { 182048, ur_t861_swio10_lednop_pr_ce_u4 },
 { 182049, ur_t861_swio10_lednop_pr_ee_ce },
 { 182050, ur_t861_swio10_lednop_pr_ee_ce_u4 },
 { 182070, ur_t461_swio11_noled },
 { 182071, ur_t461_swio11_noled },
 { 182072, ur_t461_swio11_noled_pr_u4 },
 { 182073, ur_t861_swio11_noled_pr_ee },
 { 182074, ur_t861_swio11_noled_pr_ee_u4 },
 { 182075, ur_t861_swio11_noled_pr_ce },
 { 182076, ur_t861_swio11_noled_pr_ce_u4 },
 { 182077, ur_t861_swio11_noled_pr_ee_ce },
 { 182078, ur_t861_swio11_noled_pr_ee_ce_u4 },
 { 182084, ur_t461_swio11_lednop },
 { 182085, ur_t461_swio11_lednop },
 { 182086, ur_t461_swio11_lednop_pr_u4 },
 { 182087, ur_t861_swio11_lednop_pr_ee },
 { 182088, ur_t861_swio11_lednop_pr_ee_u4 },
 { 182089, ur_t861_swio11_lednop_pr_ce },
 { 182090, ur_t861_swio11_lednop_pr_ce_u4 },
 { 182091, ur_t861_swio11_lednop_pr_ee_ce },
 { 182092, ur_t861_swio11_lednop_pr_ee_ce_u4 },
 { 182112, ur_t461_swio11_noled },
 { 182113, ur_t461_swio11_noled },
 { 182114, ur_t461_swio11_noled_pr_u4 },
 { 182115, ur_t861_swio11_noled_pr_ee },
 { 182116, ur_t861_swio11_noled_pr_ee_u4 },
 { 182117, ur_t861_swio11_noled_pr_ce },
 { 182118, ur_t861_swio11_noled_pr_ce_u4 },
 { 182119, ur_t861_swio11_noled_pr_ee_ce },
 { 182120, ur_t861_swio11_noled_pr_ee_ce_u4 },
 { 182126, ur_t461_swio11_lednop },
 { 182127, ur_t461_swio11_lednop },
 { 182128, ur_t461_swio11_lednop_pr_u4 },
 { 182129, ur_t861_swio11_lednop_pr_ee },
 { 182130, ur_t861_swio11_lednop_pr_ee_u4 },
 { 182131, ur_t861_swio11_lednop_pr_ce },
 { 182132, ur_t861_swio11_lednop_pr_ce_u4 },
 { 182133, ur_t861_swio11_lednop_pr_ee_ce },
 { 182134, ur_t861_swio11_lednop_pr_ee_ce_u4 },
 { 182154, ur_t461_swio13_noled },
 { 182155, ur_t461_swio13_noled },
 { 182156, ur_t461_swio13_noled_pr_u4 },
 { 182157, ur_t861_swio13_noled_pr_ee },
 { 182158, ur_t861_swio13_noled_pr_ee_u4 },
 { 182159, ur_t861_swio13_noled_pr_ce },
 { 182160, ur_t861_swio13_noled_pr_ce_u4 },
 { 182161, ur_t861_swio13_noled_pr_ee_ce },
 { 182162, ur_t861_swio13_noled_pr_ee_ce_u4 },
 { 182168, ur_t461_swio13_lednop },
 { 182169, ur_t461_swio13_lednop },
 { 182170, ur_t461_swio13_lednop_pr_u4 },
 { 182171, ur_t861_swio13_lednop_pr_ee },
 { 182172, ur_t861_swio13_lednop_pr_ee_u4 },
 { 182173, ur_t861_swio13_lednop_pr_ce },
 { 182174, ur_t861_swio13_lednop_pr_ce_u4 },
 { 182175, ur_t861_swio13_lednop_pr_ee_ce },
 { 182176, ur_t861_swio13_lednop_pr_ee_ce_u4 },
 { 182196, ur_t461_swio14_noled },
 { 182197, ur_t461_swio14_noled },
 { 182198, ur_t461_swio14_noled_pr_u4 },
 { 182199, ur_t861_swio14_noled_pr_ee },
 { 182200, ur_t861_swio14_noled_pr_ee_u4 },
 { 182201, ur_t861_swio14_noled_pr_ce },
 { 182202, ur_t861_swio14_noled_pr_ce_u4 },
 { 182203, ur_t861_swio14_noled_pr_ee_ce },
 { 182204, ur_t861_swio14_noled_pr_ee_ce_u4 },
 { 182210, ur_t461_swio14_lednop },
 { 182211, ur_t461_swio14_lednop },
 { 182212, ur_t461_swio14_lednop_pr_u4 },
 { 182213, ur_t861_swio14_lednop_pr_ee },
 { 182214, ur_t861_swio14_lednop_pr_ee_u4 },
 { 182215, ur_t861_swio14_lednop_pr_ce },
 { 182216, ur_t861_swio14_lednop_pr_ce_u4 },
 { 182217, ur_t861_swio14_lednop_pr_ee_ce },
 { 182218, ur_t861_swio14_lednop_pr_ee_ce_u4 },
 { 182238, ur_t461_swio15_noled },
 { 182239, ur_t461_swio15_noled },
 { 182240, ur_t461_swio15_noled_pr_u4 },
 { 182241, ur_t861_swio15_noled_pr_ee },
 { 182242, ur_t861_swio15_noled_pr_ee_u4 },
 { 182243, ur_t861_swio15_noled_pr_ce },
 { 182244, ur_t861_swio15_noled_pr_ce_u4 },
 { 182245, ur_t861_swio15_noled_pr_ee_ce },
 { 182246, ur_t861_swio15_noled_pr_ee_ce_u4 },
 { 182252, ur_t461_swio15_lednop },
 { 182253, ur_t461_swio15_lednop },
 { 182254, ur_t461_swio15_lednop_pr_u4 },
 { 182255, ur_t861_swio15_lednop_pr_ee },
 { 182256, ur_t861_swio15_lednop_pr_ee_u4 },
 { 182257, ur_t861_swio15_lednop_pr_ce },
 { 182258, ur_t861_swio15_lednop_pr_ce_u4 },
 { 182259, ur_t861_swio15_lednop_pr_ee_ce },
 { 182260, ur_t861_swio15_lednop_pr_ee_ce_u4 },
 { 183330, ur_t461_swio10_noled },
 { 183331, ur_t461_swio10_noled },
 { 183332, ur_t461_swio10_noled_pr_u4 },
 { 183333, ur_t861_swio10_noled_pr_ee },
 { 183334, ur_t861_swio10_noled_pr_ee_u4 },
 { 183335, ur_t861_swio10_noled_pr_ce },
 { 183336, ur_t861_swio10_noled_pr_ce_u4 },
 { 183337, ur_t861_swio10_noled_pr_ee_ce },
 { 183338, ur_t861_swio10_noled_pr_ee_ce_u4 },
 { 183344, ur_t461_swio10_lednop },
 { 183345, ur_t461_swio10_lednop },
 { 183346, ur_t461_swio10_lednop_pr_u4 },
 { 183347, ur_t861_swio10_lednop_pr_ee },
 { 183348, ur_t861_swio10_lednop_pr_ee_u4 },
 { 183349, ur_t861_swio10_lednop_pr_ce },
 { 183350, ur_t861_swio10_lednop_pr_ce_u4 },
 { 183351, ur_t861_swio10_lednop_pr_ee_ce },
 { 183352, ur_t861_swio10_lednop_pr_ee_ce_u4 },
 { 183372, ur_t461_swio11_noled },
 { 183373, ur_t461_swio11_noled },
 { 183374, ur_t461_swio11_noled_pr_u4 },
 { 183375, ur_t861_swio11_noled_pr_ee },
 { 183376, ur_t861_swio11_noled_pr_ee_u4 },
 { 183377, ur_t861_swio11_noled_pr_ce },
 { 183378, ur_t861_swio11_noled_pr_ce_u4 },
 { 183379, ur_t861_swio11_noled_pr_ee_ce },
 { 183380, ur_t861_swio11_noled_pr_ee_ce_u4 },
 { 183386, ur_t461_swio11_lednop },
 { 183387, ur_t461_swio11_lednop },
 { 183388, ur_t461_swio11_lednop_pr_u4 },
 { 183389, ur_t861_swio11_lednop_pr_ee },
 { 183390, ur_t861_swio11_lednop_pr_ee_u4 },
 { 183391, ur_t861_swio11_lednop_pr_ce },
 { 183392, ur_t861_swio11_lednop_pr_ce_u4 },
 { 183393, ur_t861_swio11_lednop_pr_ee_ce },
 { 183394, ur_t861_swio11_lednop_pr_ee_ce_u4 },
 { 183414, ur_t461_swio11_noled },
 { 183415, ur_t461_swio11_noled },
 { 183416, ur_t461_swio11_noled_pr_u4 },
 { 183417, ur_t861_swio11_noled_pr_ee },
 { 183418, ur_t861_swio11_noled_pr_ee_u4 },
 { 183419, ur_t861_swio11_noled_pr_ce },
 { 183420, ur_t861_swio11_noled_pr_ce_u4 },
 { 183421, ur_t861_swio11_noled_pr_ee_ce },
 { 183422, ur_t861_swio11_noled_pr_ee_ce_u4 },
 { 183428, ur_t461_swio11_lednop },
 { 183429, ur_t461_swio11_lednop },
 { 183430, ur_t461_swio11_lednop_pr_u4 },
 { 183431, ur_t861_swio11_lednop_pr_ee },
 { 183432, ur_t861_swio11_lednop_pr_ee_u4 },
 { 183433, ur_t861_swio11_lednop_pr_ce },
 { 183434, ur_t861_swio11_lednop_pr_ce_u4 },
 { 183435, ur_t861_swio11_lednop_pr_ee_ce },
 { 183436, ur_t861_swio11_lednop_pr_ee_ce_u4 },
 { 183456, ur_t461_swio13_noled },
 { 183457, ur_t461_swio13_noled },
 { 183458, ur_t461_swio13_noled_pr_u4 },
 { 183459, ur_t861_swio13_noled_pr_ee },
 { 183460, ur_t861_swio13_noled_pr_ee_u4 },
 { 183461, ur_t861_swio13_noled_pr_ce },
 { 183462, ur_t861_swio13_noled_pr_ce_u4 },
 { 183463, ur_t861_swio13_noled_pr_ee_ce },
 { 183464, ur_t861_swio13_noled_pr_ee_ce_u4 },
 { 183470, ur_t461_swio13_lednop },
 { 183471, ur_t461_swio13_lednop },
 { 183472, ur_t461_swio13_lednop_pr_u4 },
 { 183473, ur_t861_swio13_lednop_pr_ee },
 { 183474, ur_t861_swio13_lednop_pr_ee_u4 },
 { 183475, ur_t861_swio13_lednop_pr_ce },
 { 183476, ur_t861_swio13_lednop_pr_ce_u4 },
 { 183477, ur_t861_swio13_lednop_pr_ee_ce },
 { 183478, ur_t861_swio13_lednop_pr_ee_ce_u4 },
 { 183498, ur_t461_swio14_noled },
 { 183499, ur_t461_swio14_noled },
 { 183500, ur_t461_swio14_noled_pr_u4 },
 { 183501, ur_t861_swio14_noled_pr_ee },
 { 183502, ur_t861_swio14_noled_pr_ee_u4 },
 { 183503, ur_t861_swio14_noled_pr_ce },
 { 183504, ur_t861_swio14_noled_pr_ce_u4 },
 { 183505, ur_t861_swio14_noled_pr_ee_ce },
 { 183506, ur_t861_swio14_noled_pr_ee_ce_u4 },
 { 183512, ur_t461_swio14_lednop },
 { 183513, ur_t461_swio14_lednop },
 { 183514, ur_t461_swio14_lednop_pr_u4 },
 { 183515, ur_t861_swio14_lednop_pr_ee },
 { 183516, ur_t861_swio14_lednop_pr_ee_u4 },
 { 183517, ur_t861_swio14_lednop_pr_ce },
 { 183518, ur_t861_swio14_lednop_pr_ce_u4 },
 { 183519, ur_t861_swio14_lednop_pr_ee_ce },
 { 183520, ur_t861_swio14_lednop_pr_ee_ce_u4 },
 { 183540, ur_t461_swio15_noled },
 { 183541, ur_t461_swio15_noled },
 { 183542, ur_t461_swio15_noled_pr_u4 },
 { 183543, ur_t861_swio15_noled_pr_ee },
 { 183544, ur_t861_swio15_noled_pr_ee_u4 },
 { 183545, ur_t861_swio15_noled_pr_ce },
 { 183546, ur_t861_swio15_noled_pr_ce_u4 },
 { 183547, ur_t861_swio15_noled_pr_ee_ce },
 { 183548, ur_t861_swio15_noled_pr_ee_ce_u4 },
 { 183554, ur_t461_swio15_lednop },
 { 183555, ur_t461_swio15_lednop },
 { 183556, ur_t461_swio15_lednop_pr_u4 },
 { 183557, ur_t861_swio15_lednop_pr_ee },
 { 183558, ur_t861_swio15_lednop_pr_ee_u4 },
 { 183559, ur_t861_swio15_lednop_pr_ce },
 { 183560, ur_t861_swio15_lednop_pr_ce_u4 },
 { 183561, ur_t861_swio15_lednop_pr_ee_ce },
 { 183562, ur_t861_swio15_lednop_pr_ee_ce_u4 },
 { 183582, ur_c32_autobaud_uart0_noled },
 { 183583, ur_c32_autobaud_uart0_noled },
 { 183584, ur_c32_autobaud_uart0_noled_pr_u4 },
 { 183585, ur_c32_autobaud_uart0_noled_pr_ee },
 { 183586, ur_c32_autobaud_uart0_noled_pr_ee },
 { 183587, ur_c32_autobaud_uart0_noled_pr_ce },
 { 183588, ur_c32_autobaud_uart0_noled_pr_ce },
 { 183589, ur_c32_autobaud_uart0_noled_pr_ee_ce },
 { 183590, ur_c32_autobaud_uart0_noled_pr_ee_ce },
 { 183592, ur_c32_autobaud_uart0_noled_ee_hw },
 { 183594, ur_c32_autobaud_uart0_noled_ee_ce_hw },
 { 183595, ur_c32_autobaud_uart0_noled_ee_ce_hw },
 { 183596, ur_c32_autobaud_uart0_lednop },
 { 183597, ur_c32_autobaud_uart0_lednop_pr },
 { 183598, ur_c32_autobaud_uart0_lednop_pr },
 { 183599, ur_c32_autobaud_uart0_lednop_pr_ee },
 { 183600, ur_c32_autobaud_uart0_lednop_pr_ee },
 { 183601, ur_c32_autobaud_uart0_lednop_pr_ce },
 { 183602, ur_c32_autobaud_uart0_lednop_pr_ce },
 { 183603, ur_c32_autobaud_uart0_lednop_pr_ee_ce },
 { 183604, ur_c32_autobaud_uart0_lednop_pr_ee_ce },
 { 183606, ur_c32_autobaud_uart0_lednop_ee_hw },
 { 183608, ur_c32_autobaud_uart0_lednop_ee_ce_hw },
 { 183609, ur_c32_autobaud_uart0_lednop_ee_ce_hw },
 { 183610, ur_c32_autobaud_uart0_dual },
 { 183611, ur_c32_autobaud_uart0_dual },
 { 183612, ur_c32_autobaud_uart0_dual },
 { 183613, ur_c32_autobaud_uart0_dual_pr_ee },
 { 183614, ur_c32_autobaud_uart0_dual_pr_ee_u4 },
 { 183615, ur_c32_autobaud_uart0_dual_pr_ce },
 { 183616, ur_c32_autobaud_uart0_dual_pr_ce },
 { 183617, ur_c32_autobaud_uart0_dual_pr_ee_ce },
 { 183618, ur_c32_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 183620, ur_c32_autobaud_uart0_dual_ee_hw },
 { 183622, ur_c32_autobaud_uart0_dual_ee_ce_hw },
 { 183623, ur_c32_autobaud_uart0_dual_ee_ce_hw },
 { 183666, ur_c32_autobaud_uart1_noled },
 { 183667, ur_c32_autobaud_uart1_noled },
 { 183668, ur_c32_autobaud_uart1_noled_pr_u4 },
 { 183669, ur_c32_autobaud_uart1_noled_pr_ee },
 { 183670, ur_c32_autobaud_uart1_noled_pr_ee },
 { 183671, ur_c32_autobaud_uart1_noled_pr_ce },
 { 183672, ur_c32_autobaud_uart1_noled_pr_ce },
 { 183673, ur_c32_autobaud_uart1_noled_pr_ee_ce },
 { 183674, ur_c32_autobaud_uart1_noled_pr_ee_ce },
 { 183676, ur_c32_autobaud_uart1_noled_ee_hw },
 { 183678, ur_c32_autobaud_uart1_noled_ee_ce_hw },
 { 183679, ur_c32_autobaud_uart1_noled_ee_ce_hw },
 { 183680, ur_c32_autobaud_uart1_lednop },
 { 183681, ur_c32_autobaud_uart1_lednop_pr },
 { 183682, ur_c32_autobaud_uart1_lednop_pr },
 { 183683, ur_c32_autobaud_uart1_lednop_pr_ee },
 { 183684, ur_c32_autobaud_uart1_lednop_pr_ee },
 { 183685, ur_c32_autobaud_uart1_lednop_pr_ce },
 { 183686, ur_c32_autobaud_uart1_lednop_pr_ce },
 { 183687, ur_c32_autobaud_uart1_lednop_pr_ee_ce },
 { 183688, ur_c32_autobaud_uart1_lednop_pr_ee_ce },
 { 183690, ur_c32_autobaud_uart1_lednop_ee_hw },
 { 183692, ur_c32_autobaud_uart1_lednop_ee_ce_hw },
 { 183693, ur_c32_autobaud_uart1_lednop_ee_ce_hw },
 { 183694, ur_c32_autobaud_uart1_dual },
 { 183695, ur_c32_autobaud_uart1_dual },
 { 183696, ur_c32_autobaud_uart1_dual },
 { 183697, ur_c32_autobaud_uart1_dual_pr_ee },
 { 183698, ur_c32_autobaud_uart1_dual_pr_ee_u4 },
 { 183699, ur_c32_autobaud_uart1_dual_pr_ce },
 { 183700, ur_c32_autobaud_uart1_dual_pr_ce },
 { 183701, ur_c32_autobaud_uart1_dual_pr_ee_ce },
 { 183702, ur_c32_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 183704, ur_c32_autobaud_uart1_dual_ee_hw },
 { 183706, ur_c32_autobaud_uart1_dual_ee_ce_hw },
 { 183707, ur_c32_autobaud_uart1_dual_ee_ce_hw },
 { 183792, ur_c32_u1x8_uart0_noled },
 { 183793, ur_c32_u1x8_uart0_noled },
 { 183794, ur_c32_u1x8_uart0_noled_pr_u4 },
 { 183795, ur_c32_u1x8_uart0_noled_pr_ee },
 { 183796, ur_c32_u1x8_uart0_noled_pr_ee },
 { 183797, ur_c32_u1x8_uart0_noled_pr_ce },
 { 183798, ur_c32_u1x8_uart0_noled_pr_ce_u4 },
 { 183799, ur_c32_u1x8_uart0_noled_pr_ee_ce },
 { 183800, ur_c32_u1x8_uart0_noled_pr_ee_ce },
 { 183802, ur_c32_u1x8_uart0_noled_ee_hw },
 { 183804, ur_c32_u1x8_uart0_noled_ee_ce_hw },
 { 183805, ur_c32_u1x8_uart0_noled_ee_ce_hw },
 { 183806, ur_c32_u1x8_uart0_lednop },
 { 183807, ur_c32_u1x8_uart0_lednop },
 { 183808, ur_c32_u1x8_uart0_lednop_pr_u4 },
 { 183809, ur_c32_u1x8_uart0_lednop_pr_ee },
 { 183810, ur_c32_u1x8_uart0_lednop_pr_ee },
 { 183811, ur_c32_u1x8_uart0_lednop_pr_ce },
 { 183812, ur_c32_u1x8_uart0_lednop_pr_ce },
 { 183813, ur_c32_u1x8_uart0_lednop_pr_ee_ce },
 { 183814, ur_c32_u1x8_uart0_lednop_pr_ee_ce },
 { 183816, ur_c32_u1x8_uart0_lednop_ee_hw },
 { 183818, ur_c32_u1x8_uart0_lednop_ee_ce_hw },
 { 183819, ur_c32_u1x8_uart0_lednop_ee_ce_hw },
 { 183820, ur_c32_u1x8_uart0_dual },
 { 183821, ur_c32_u1x8_uart0_dual },
 { 183822, ur_c32_u1x8_uart0_dual },
 { 183823, ur_c32_u1x8_uart0_dual_pr_ee },
 { 183824, ur_c32_u1x8_uart0_dual_pr_ee },
 { 183825, ur_c32_u1x8_uart0_dual_pr_ce },
 { 183826, ur_c32_u1x8_uart0_dual_pr_ce },
 { 183827, ur_c32_u1x8_uart0_dual_pr_ee_ce },
 { 183828, ur_c32_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 183830, ur_c32_u1x8_uart0_dual_ee_hw },
 { 183832, ur_c32_u1x8_uart0_dual_ee_ce_hw },
 { 183833, ur_c32_u1x8_uart0_dual_ee_ce_hw },
 { 183876, ur_c32_u1x8_uart1_noled },
 { 183877, ur_c32_u1x8_uart1_noled },
 { 183878, ur_c32_u1x8_uart1_noled_pr_u4 },
 { 183879, ur_c32_u1x8_uart1_noled_pr_ee },
 { 183880, ur_c32_u1x8_uart1_noled_pr_ee },
 { 183881, ur_c32_u1x8_uart1_noled_pr_ce },
 { 183882, ur_c32_u1x8_uart1_noled_pr_ce_u4 },
 { 183883, ur_c32_u1x8_uart1_noled_pr_ee_ce },
 { 183884, ur_c32_u1x8_uart1_noled_pr_ee_ce },
 { 183886, ur_c32_u1x8_uart1_noled_ee_hw },
 { 183888, ur_c32_u1x8_uart1_noled_ee_ce_hw },
 { 183889, ur_c32_u1x8_uart1_noled_ee_ce_hw },
 { 183890, ur_c32_u1x8_uart1_lednop },
 { 183891, ur_c32_u1x8_uart1_lednop },
 { 183892, ur_c32_u1x8_uart1_lednop_pr_u4 },
 { 183893, ur_c32_u1x8_uart1_lednop_pr_ee },
 { 183894, ur_c32_u1x8_uart1_lednop_pr_ee },
 { 183895, ur_c32_u1x8_uart1_lednop_pr_ce },
 { 183896, ur_c32_u1x8_uart1_lednop_pr_ce },
 { 183897, ur_c32_u1x8_uart1_lednop_pr_ee_ce },
 { 183898, ur_c32_u1x8_uart1_lednop_pr_ee_ce },
 { 183900, ur_c32_u1x8_uart1_lednop_ee_hw },
 { 183902, ur_c32_u1x8_uart1_lednop_ee_ce_hw },
 { 183903, ur_c32_u1x8_uart1_lednop_ee_ce_hw },
 { 183904, ur_c32_u1x8_uart1_dual },
 { 183905, ur_c32_u1x8_uart1_dual },
 { 183906, ur_c32_u1x8_uart1_dual },
 { 183907, ur_c32_u1x8_uart1_dual_pr_ee },
 { 183908, ur_c32_u1x8_uart1_dual_pr_ee },
 { 183909, ur_c32_u1x8_uart1_dual_pr_ce },
 { 183910, ur_c32_u1x8_uart1_dual_pr_ce },
 { 183911, ur_c32_u1x8_uart1_dual_pr_ee_ce },
 { 183912, ur_c32_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 183914, ur_c32_u1x8_uart1_dual_ee_hw },
 { 183916, ur_c32_u1x8_uart1_dual_ee_ce_hw },
 { 183917, ur_c32_u1x8_uart1_dual_ee_ce_hw },
 { 184002, ur_c32_u1x12_uart0_noled },
 { 184003, ur_c32_u1x12_uart0_noled },
 { 184004, ur_c32_u1x12_uart0_noled_pr_u4 },
 { 184005, ur_c32_u1x12_uart0_noled_pr_ee },
 { 184006, ur_c32_u1x12_uart0_noled_pr_ee },
 { 184007, ur_c32_u1x12_uart0_noled_pr_ce },
 { 184008, ur_c32_u1x12_uart0_noled_pr_ce },
 { 184009, ur_c32_u1x12_uart0_noled_pr_ee_ce },
 { 184010, ur_c32_u1x12_uart0_noled_pr_ee_ce },
 { 184012, ur_c32_u1x12_uart0_noled_ee_hw },
 { 184014, ur_c32_u1x12_uart0_noled_ee_ce_hw },
 { 184015, ur_c32_u1x12_uart0_noled_ee_ce_hw },
 { 184016, ur_c32_u1x12_uart0_lednop },
 { 184017, ur_c32_u1x12_uart0_lednop },
 { 184018, ur_c32_u1x12_uart0_lednop_pr_u4 },
 { 184019, ur_c32_u1x12_uart0_lednop_pr_ee },
 { 184020, ur_c32_u1x12_uart0_lednop_pr_ee },
 { 184021, ur_c32_u1x12_uart0_lednop_pr_ce },
 { 184022, ur_c32_u1x12_uart0_lednop_pr_ce },
 { 184023, ur_c32_u1x12_uart0_lednop_pr_ee_ce },
 { 184024, ur_c32_u1x12_uart0_lednop_pr_ee_ce },
 { 184026, ur_c32_u1x12_uart0_lednop_ee_hw },
 { 184028, ur_c32_u1x12_uart0_lednop_ee_ce_hw },
 { 184029, ur_c32_u1x12_uart0_lednop_ee_ce_hw },
 { 184030, ur_c32_u1x12_uart0_dual },
 { 184031, ur_c32_u1x12_uart0_dual },
 { 184032, ur_c32_u1x12_uart0_dual },
 { 184033, ur_c32_u1x12_uart0_dual_pr_ee },
 { 184034, ur_c32_u1x12_uart0_dual_pr_ee },
 { 184035, ur_c32_u1x12_uart0_dual_pr_ce },
 { 184036, ur_c32_u1x12_uart0_dual_pr_ce },
 { 184037, ur_c32_u1x12_uart0_dual_pr_ee_ce },
 { 184038, ur_c32_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 184040, ur_c32_u1x12_uart0_dual_ee_hw },
 { 184042, ur_c32_u1x12_uart0_dual_ee_ce_hw },
 { 184043, ur_c32_u1x12_uart0_dual_ee_ce_hw },
 { 184086, ur_c32_u1x12_uart1_noled },
 { 184087, ur_c32_u1x12_uart1_noled },
 { 184088, ur_c32_u1x12_uart1_noled_pr_u4 },
 { 184089, ur_c32_u1x12_uart1_noled_pr_ee },
 { 184090, ur_c32_u1x12_uart1_noled_pr_ee },
 { 184091, ur_c32_u1x12_uart1_noled_pr_ce },
 { 184092, ur_c32_u1x12_uart1_noled_pr_ce },
 { 184093, ur_c32_u1x12_uart1_noled_pr_ee_ce },
 { 184094, ur_c32_u1x12_uart1_noled_pr_ee_ce },
 { 184096, ur_c32_u1x12_uart1_noled_ee_hw },
 { 184098, ur_c32_u1x12_uart1_noled_ee_ce_hw },
 { 184099, ur_c32_u1x12_uart1_noled_ee_ce_hw },
 { 184100, ur_c32_u1x12_uart1_lednop },
 { 184101, ur_c32_u1x12_uart1_lednop },
 { 184102, ur_c32_u1x12_uart1_lednop_pr_u4 },
 { 184103, ur_c32_u1x12_uart1_lednop_pr_ee },
 { 184104, ur_c32_u1x12_uart1_lednop_pr_ee },
 { 184105, ur_c32_u1x12_uart1_lednop_pr_ce },
 { 184106, ur_c32_u1x12_uart1_lednop_pr_ce },
 { 184107, ur_c32_u1x12_uart1_lednop_pr_ee_ce },
 { 184108, ur_c32_u1x12_uart1_lednop_pr_ee_ce },
 { 184110, ur_c32_u1x12_uart1_lednop_ee_hw },
 { 184112, ur_c32_u1x12_uart1_lednop_ee_ce_hw },
 { 184113, ur_c32_u1x12_uart1_lednop_ee_ce_hw },
 { 184114, ur_c32_u1x12_uart1_dual },
 { 184115, ur_c32_u1x12_uart1_dual },
 { 184116, ur_c32_u1x12_uart1_dual },
 { 184117, ur_c32_u1x12_uart1_dual_pr_ee },
 { 184118, ur_c32_u1x12_uart1_dual_pr_ee },
 { 184119, ur_c32_u1x12_uart1_dual_pr_ce },
 { 184120, ur_c32_u1x12_uart1_dual_pr_ce },
 { 184121, ur_c32_u1x12_uart1_dual_pr_ee_ce },
 { 184122, ur_c32_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 184124, ur_c32_u1x12_uart1_dual_ee_hw },
 { 184126, ur_c32_u1x12_uart1_dual_ee_ce_hw },
 { 184127, ur_c32_u1x12_uart1_dual_ee_ce_hw },
 { 184212, ur_c32_u2x8_uart0_noled },
 { 184213, ur_c32_u2x8_uart0_noled },
 { 184214, ur_c32_u2x8_uart0_noled_pr_u4 },
 { 184215, ur_c32_u2x8_uart0_noled_pr_ee },
 { 184216, ur_c32_u2x8_uart0_noled_pr_ee },
 { 184217, ur_c32_u2x8_uart0_noled_pr_ce },
 { 184218, ur_c32_u2x8_uart0_noled_pr_ce },
 { 184219, ur_c32_u2x8_uart0_noled_pr_ee_ce },
 { 184220, ur_c32_u2x8_uart0_noled_pr_ee_ce },
 { 184222, ur_c32_u2x8_uart0_noled_ee_hw },
 { 184224, ur_c32_u2x8_uart0_noled_ee_ce_hw },
 { 184225, ur_c32_u2x8_uart0_noled_ee_ce_hw },
 { 184226, ur_c32_u2x8_uart0_lednop },
 { 184227, ur_c32_u2x8_uart0_lednop },
 { 184228, ur_c32_u2x8_uart0_lednop_pr_u4 },
 { 184229, ur_c32_u2x8_uart0_lednop_pr_ee },
 { 184230, ur_c32_u2x8_uart0_lednop_pr_ee },
 { 184231, ur_c32_u2x8_uart0_lednop_pr_ce },
 { 184232, ur_c32_u2x8_uart0_lednop_pr_ce },
 { 184233, ur_c32_u2x8_uart0_lednop_pr_ee_ce },
 { 184234, ur_c32_u2x8_uart0_lednop_pr_ee_ce },
 { 184236, ur_c32_u2x8_uart0_lednop_ee_hw },
 { 184238, ur_c32_u2x8_uart0_lednop_ee_ce_hw },
 { 184239, ur_c32_u2x8_uart0_lednop_ee_ce_hw },
 { 184240, ur_c32_u2x8_uart0_dual },
 { 184241, ur_c32_u2x8_uart0_dual },
 { 184242, ur_c32_u2x8_uart0_dual },
 { 184243, ur_c32_u2x8_uart0_dual_pr_ee },
 { 184244, ur_c32_u2x8_uart0_dual_pr_ee },
 { 184245, ur_c32_u2x8_uart0_dual_pr_ce },
 { 184246, ur_c32_u2x8_uart0_dual_pr_ce },
 { 184247, ur_c32_u2x8_uart0_dual_pr_ee_ce },
 { 184248, ur_c32_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 184250, ur_c32_u2x8_uart0_dual_ee_hw },
 { 184252, ur_c32_u2x8_uart0_dual_ee_ce_hw },
 { 184253, ur_c32_u2x8_uart0_dual_ee_ce_hw },
 { 184296, ur_c32_u2x8_uart1_noled },
 { 184297, ur_c32_u2x8_uart1_noled },
 { 184298, ur_c32_u2x8_uart1_noled_pr_u4 },
 { 184299, ur_c32_u2x8_uart1_noled_pr_ee },
 { 184300, ur_c32_u2x8_uart1_noled_pr_ee },
 { 184301, ur_c32_u2x8_uart1_noled_pr_ce },
 { 184302, ur_c32_u2x8_uart1_noled_pr_ce },
 { 184303, ur_c32_u2x8_uart1_noled_pr_ee_ce },
 { 184304, ur_c32_u2x8_uart1_noled_pr_ee_ce },
 { 184306, ur_c32_u2x8_uart1_noled_ee_hw },
 { 184308, ur_c32_u2x8_uart1_noled_ee_ce_hw },
 { 184309, ur_c32_u2x8_uart1_noled_ee_ce_hw },
 { 184310, ur_c32_u2x8_uart1_lednop },
 { 184311, ur_c32_u2x8_uart1_lednop },
 { 184312, ur_c32_u2x8_uart1_lednop_pr_u4 },
 { 184313, ur_c32_u2x8_uart1_lednop_pr_ee },
 { 184314, ur_c32_u2x8_uart1_lednop_pr_ee },
 { 184315, ur_c32_u2x8_uart1_lednop_pr_ce },
 { 184316, ur_c32_u2x8_uart1_lednop_pr_ce },
 { 184317, ur_c32_u2x8_uart1_lednop_pr_ee_ce },
 { 184318, ur_c32_u2x8_uart1_lednop_pr_ee_ce },
 { 184320, ur_c32_u2x8_uart1_lednop_ee_hw },
 { 184322, ur_c32_u2x8_uart1_lednop_ee_ce_hw },
 { 184323, ur_c32_u2x8_uart1_lednop_ee_ce_hw },
 { 184324, ur_c32_u2x8_uart1_dual },
 { 184325, ur_c32_u2x8_uart1_dual },
 { 184326, ur_c32_u2x8_uart1_dual },
 { 184327, ur_c32_u2x8_uart1_dual_pr_ee },
 { 184328, ur_c32_u2x8_uart1_dual_pr_ee },
 { 184329, ur_c32_u2x8_uart1_dual_pr_ce },
 { 184330, ur_c32_u2x8_uart1_dual_pr_ce },
 { 184331, ur_c32_u2x8_uart1_dual_pr_ee_ce },
 { 184332, ur_c32_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 184334, ur_c32_u2x8_uart1_dual_ee_hw },
 { 184336, ur_c32_u2x8_uart1_dual_ee_ce_hw },
 { 184337, ur_c32_u2x8_uart1_dual_ee_ce_hw },
 { 184422, ur_c32_u2x12_uart0_noled },
 { 184423, ur_c32_u2x12_uart0_noled },
 { 184424, ur_c32_u2x12_uart0_noled_pr_u4 },
 { 184425, ur_c32_u2x12_uart0_noled_pr_ee },
 { 184426, ur_c32_u2x12_uart0_noled_pr_ee },
 { 184427, ur_c32_u2x12_uart0_noled_pr_ce },
 { 184428, ur_c32_u2x12_uart0_noled_pr_ce },
 { 184429, ur_c32_u2x12_uart0_noled_pr_ee_ce },
 { 184430, ur_c32_u2x12_uart0_noled_pr_ee_ce },
 { 184432, ur_c32_u2x12_uart0_noled_ee_hw },
 { 184434, ur_c32_u2x12_uart0_noled_ee_ce_hw },
 { 184435, ur_c32_u2x12_uart0_noled_ee_ce_hw },
 { 184436, ur_c32_u2x12_uart0_lednop },
 { 184437, ur_c32_u2x12_uart0_lednop },
 { 184438, ur_c32_u2x12_uart0_lednop_pr_u4 },
 { 184439, ur_c32_u2x12_uart0_lednop_pr_ee },
 { 184440, ur_c32_u2x12_uart0_lednop_pr_ee },
 { 184441, ur_c32_u2x12_uart0_lednop_pr_ce },
 { 184442, ur_c32_u2x12_uart0_lednop_pr_ce },
 { 184443, ur_c32_u2x12_uart0_lednop_pr_ee_ce },
 { 184444, ur_c32_u2x12_uart0_lednop_pr_ee_ce },
 { 184446, ur_c32_u2x12_uart0_lednop_ee_hw },
 { 184448, ur_c32_u2x12_uart0_lednop_ee_ce_hw },
 { 184449, ur_c32_u2x12_uart0_lednop_ee_ce_hw },
 { 184450, ur_c32_u2x12_uart0_dual },
 { 184451, ur_c32_u2x12_uart0_dual },
 { 184452, ur_c32_u2x12_uart0_dual },
 { 184453, ur_c32_u2x12_uart0_dual_pr_ee },
 { 184454, ur_c32_u2x12_uart0_dual_pr_ee },
 { 184455, ur_c32_u2x12_uart0_dual_pr_ce },
 { 184456, ur_c32_u2x12_uart0_dual_pr_ce },
 { 184457, ur_c32_u2x12_uart0_dual_pr_ee_ce },
 { 184458, ur_c32_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 184460, ur_c32_u2x12_uart0_dual_ee_hw },
 { 184462, ur_c32_u2x12_uart0_dual_ee_ce_hw },
 { 184463, ur_c32_u2x12_uart0_dual_ee_ce_hw },
 { 184506, ur_c32_u2x12_uart1_noled },
 { 184507, ur_c32_u2x12_uart1_noled },
 { 184508, ur_c32_u2x12_uart1_noled_pr_u4 },
 { 184509, ur_c32_u2x12_uart1_noled_pr_ee },
 { 184510, ur_c32_u2x12_uart1_noled_pr_ee },
 { 184511, ur_c32_u2x12_uart1_noled_pr_ce },
 { 184512, ur_c32_u2x12_uart1_noled_pr_ce },
 { 184513, ur_c32_u2x12_uart1_noled_pr_ee_ce },
 { 184514, ur_c32_u2x12_uart1_noled_pr_ee_ce },
 { 184516, ur_c32_u2x12_uart1_noled_ee_hw },
 { 184518, ur_c32_u2x12_uart1_noled_ee_ce_hw },
 { 184519, ur_c32_u2x12_uart1_noled_ee_ce_hw },
 { 184520, ur_c32_u2x12_uart1_lednop },
 { 184521, ur_c32_u2x12_uart1_lednop },
 { 184522, ur_c32_u2x12_uart1_lednop_pr_u4 },
 { 184523, ur_c32_u2x12_uart1_lednop_pr_ee },
 { 184524, ur_c32_u2x12_uart1_lednop_pr_ee },
 { 184525, ur_c32_u2x12_uart1_lednop_pr_ce },
 { 184526, ur_c32_u2x12_uart1_lednop_pr_ce },
 { 184527, ur_c32_u2x12_uart1_lednop_pr_ee_ce },
 { 184528, ur_c32_u2x12_uart1_lednop_pr_ee_ce },
 { 184530, ur_c32_u2x12_uart1_lednop_ee_hw },
 { 184532, ur_c32_u2x12_uart1_lednop_ee_ce_hw },
 { 184533, ur_c32_u2x12_uart1_lednop_ee_ce_hw },
 { 184534, ur_c32_u2x12_uart1_dual },
 { 184535, ur_c32_u2x12_uart1_dual },
 { 184536, ur_c32_u2x12_uart1_dual },
 { 184537, ur_c32_u2x12_uart1_dual_pr_ee },
 { 184538, ur_c32_u2x12_uart1_dual_pr_ee },
 { 184539, ur_c32_u2x12_uart1_dual_pr_ce },
 { 184540, ur_c32_u2x12_uart1_dual_pr_ce },
 { 184541, ur_c32_u2x12_uart1_dual_pr_ee_ce },
 { 184542, ur_c32_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 184544, ur_c32_u2x12_uart1_dual_ee_hw },
 { 184546, ur_c32_u2x12_uart1_dual_ee_ce_hw },
 { 184547, ur_c32_u2x12_uart1_dual_ee_ce_hw },
 { 184632, ur_c32_swio10_noled },
 { 184633, ur_c32_swio10_noled_pr },
 { 184634, ur_c32_swio10_noled_pr },
 { 184635, ur_c32_swio10_noled_pr_ee },
 { 184636, ur_c32_swio10_noled_pr_ee },
 { 184637, ur_c32_swio10_noled_pr_ce },
 { 184638, ur_c32_swio10_noled_pr_ce },
 { 184639, ur_c32_swio10_noled_pr_ee_ce },
 { 184640, ur_c32_swio10_noled_pr_ee_ce },
 { 184642, ur_c32_swio10_noled_ee_hw },
 { 184644, ur_c32_swio10_noled_ee_ce_hw },
 { 184645, ur_c32_swio10_noled_ee_ce_hw },
 { 184646, ur_c32_swio10_lednop },
 { 184647, ur_c32_swio10_lednop_pr },
 { 184648, ur_c32_swio10_lednop_pr },
 { 184649, ur_c32_swio10_lednop_pr_ee },
 { 184650, ur_c32_swio10_lednop_pr_ee },
 { 184651, ur_c32_swio10_lednop_pr_ce },
 { 184652, ur_c32_swio10_lednop_pr_ce },
 { 184653, ur_c32_swio10_lednop_pr_ee_ce },
 { 184654, ur_c32_swio10_lednop_pr_ee_ce },
 { 184656, ur_c32_swio10_lednop_ee_hw },
 { 184658, ur_c32_swio10_lednop_ee_ce_hw },
 { 184659, ur_c32_swio10_lednop_ee_ce_hw },
 { 184660, ur_c32_swio10_dual },
 { 184661, ur_c32_swio10_dual },
 { 184662, ur_c32_swio10_dual },
 { 184663, ur_c32_swio10_dual_pr_ee },
 { 184664, ur_c32_swio10_dual_pr_ee_u4 },
 { 184665, ur_c32_swio10_dual_pr_ce },
 { 184666, ur_c32_swio10_dual_pr_ce },
 { 184667, ur_c32_swio10_dual_pr_ee_ce },
 { 184668, ur_c32_swio10_dual_pr_ee_ce_u4 },
 { 184670, ur_c32_swio10_dual_ee_hw },
 { 184672, ur_c32_swio10_dual_ee_ce_hw },
 { 184673, ur_c32_swio10_dual_ee_ce_hw },
 { 184674, ur_c32_swio11_noled },
 { 184675, ur_c32_swio11_noled_pr },
 { 184676, ur_c32_swio11_noled_pr },
 { 184677, ur_c32_swio11_noled_pr_ee },
 { 184678, ur_c32_swio11_noled_pr_ee },
 { 184679, ur_c32_swio11_noled_pr_ce },
 { 184680, ur_c32_swio11_noled_pr_ce },
 { 184681, ur_c32_swio11_noled_pr_ee_ce },
 { 184682, ur_c32_swio11_noled_pr_ee_ce },
 { 184684, ur_c32_swio11_noled_ee_hw },
 { 184686, ur_c32_swio11_noled_ee_ce_hw },
 { 184687, ur_c32_swio11_noled_ee_ce_hw },
 { 184688, ur_c32_swio11_lednop },
 { 184689, ur_c32_swio11_lednop_pr },
 { 184690, ur_c32_swio11_lednop_pr },
 { 184691, ur_c32_swio11_lednop_pr_ee },
 { 184692, ur_c32_swio11_lednop_pr_ee },
 { 184693, ur_c32_swio11_lednop_pr_ce },
 { 184694, ur_c32_swio11_lednop_pr_ce },
 { 184695, ur_c32_swio11_lednop_pr_ee_ce },
 { 184696, ur_c32_swio11_lednop_pr_ee_ce },
 { 184698, ur_c32_swio11_lednop_ee_hw },
 { 184700, ur_c32_swio11_lednop_ee_ce_hw },
 { 184701, ur_c32_swio11_lednop_ee_ce_hw },
 { 184702, ur_c32_swio11_dual },
 { 184703, ur_c32_swio11_dual },
 { 184704, ur_c32_swio11_dual },
 { 184705, ur_c32_swio11_dual_pr_ee },
 { 184706, ur_c32_swio11_dual_pr_ee_u4 },
 { 184707, ur_c32_swio11_dual_pr_ce },
 { 184708, ur_c32_swio11_dual_pr_ce },
 { 184709, ur_c32_swio11_dual_pr_ee_ce },
 { 184710, ur_c32_swio11_dual_pr_ee_ce_u4 },
 { 184712, ur_c32_swio11_dual_ee_hw },
 { 184714, ur_c32_swio11_dual_ee_ce_hw },
 { 184715, ur_c32_swio11_dual_ee_ce_hw },
 { 184716, ur_c32_swio11_noled },
 { 184717, ur_c32_swio11_noled_pr },
 { 184718, ur_c32_swio11_noled_pr },
 { 184719, ur_c32_swio11_noled_pr_ee },
 { 184720, ur_c32_swio11_noled_pr_ee },
 { 184721, ur_c32_swio11_noled_pr_ce },
 { 184722, ur_c32_swio11_noled_pr_ce },
 { 184723, ur_c32_swio11_noled_pr_ee_ce },
 { 184724, ur_c32_swio11_noled_pr_ee_ce },
 { 184726, ur_c32_swio11_noled_ee_hw },
 { 184728, ur_c32_swio11_noled_ee_ce_hw },
 { 184729, ur_c32_swio11_noled_ee_ce_hw },
 { 184730, ur_c32_swio11_lednop },
 { 184731, ur_c32_swio11_lednop_pr },
 { 184732, ur_c32_swio11_lednop_pr },
 { 184733, ur_c32_swio11_lednop_pr_ee },
 { 184734, ur_c32_swio11_lednop_pr_ee },
 { 184735, ur_c32_swio11_lednop_pr_ce },
 { 184736, ur_c32_swio11_lednop_pr_ce },
 { 184737, ur_c32_swio11_lednop_pr_ee_ce },
 { 184738, ur_c32_swio11_lednop_pr_ee_ce },
 { 184740, ur_c32_swio11_lednop_ee_hw },
 { 184742, ur_c32_swio11_lednop_ee_ce_hw },
 { 184743, ur_c32_swio11_lednop_ee_ce_hw },
 { 184744, ur_c32_swio11_dual },
 { 184745, ur_c32_swio11_dual },
 { 184746, ur_c32_swio11_dual },
 { 184747, ur_c32_swio11_dual_pr_ee },
 { 184748, ur_c32_swio11_dual_pr_ee_u4 },
 { 184749, ur_c32_swio11_dual_pr_ce },
 { 184750, ur_c32_swio11_dual_pr_ce },
 { 184751, ur_c32_swio11_dual_pr_ee_ce },
 { 184752, ur_c32_swio11_dual_pr_ee_ce_u4 },
 { 184754, ur_c32_swio11_dual_ee_hw },
 { 184756, ur_c32_swio11_dual_ee_ce_hw },
 { 184757, ur_c32_swio11_dual_ee_ce_hw },
 { 184758, ur_c32_swio13_noled },
 { 184759, ur_c32_swio13_noled_pr },
 { 184760, ur_c32_swio13_noled_pr },
 { 184761, ur_c32_swio13_noled_pr_ee },
 { 184762, ur_c32_swio13_noled_pr_ee },
 { 184763, ur_c32_swio13_noled_pr_ce },
 { 184764, ur_c32_swio13_noled_pr_ce },
 { 184765, ur_c32_swio13_noled_pr_ee_ce },
 { 184766, ur_c32_swio13_noled_pr_ee_ce },
 { 184768, ur_c32_swio13_noled_ee_hw },
 { 184770, ur_c32_swio13_noled_ee_ce_hw },
 { 184771, ur_c32_swio13_noled_ee_ce_hw },
 { 184772, ur_c32_swio13_lednop },
 { 184773, ur_c32_swio13_lednop_pr },
 { 184774, ur_c32_swio13_lednop_pr },
 { 184775, ur_c32_swio13_lednop_pr_ee },
 { 184776, ur_c32_swio13_lednop_pr_ee },
 { 184777, ur_c32_swio13_lednop_pr_ce },
 { 184778, ur_c32_swio13_lednop_pr_ce },
 { 184779, ur_c32_swio13_lednop_pr_ee_ce },
 { 184780, ur_c32_swio13_lednop_pr_ee_ce },
 { 184782, ur_c32_swio13_lednop_ee_hw },
 { 184784, ur_c32_swio13_lednop_ee_ce_hw },
 { 184785, ur_c32_swio13_lednop_ee_ce_hw },
 { 184786, ur_c32_swio13_dual },
 { 184787, ur_c32_swio13_dual },
 { 184788, ur_c32_swio13_dual },
 { 184789, ur_c32_swio13_dual_pr_ee },
 { 184790, ur_c32_swio13_dual_pr_ee_u4 },
 { 184791, ur_c32_swio13_dual_pr_ce },
 { 184792, ur_c32_swio13_dual_pr_ce_u4 },
 { 184793, ur_c32_swio13_dual_pr_ee_ce },
 { 184794, ur_c32_swio13_dual_pr_ee_ce_u4 },
 { 184796, ur_c32_swio13_dual_ee_hw },
 { 184798, ur_c32_swio13_dual_ee_ce_hw },
 { 184799, ur_c32_swio13_dual_ee_ce_hw },
 { 184800, ur_c32_swio14_noled },
 { 184801, ur_c32_swio14_noled_pr },
 { 184802, ur_c32_swio14_noled_pr },
 { 184803, ur_c32_swio14_noled_pr_ee },
 { 184804, ur_c32_swio14_noled_pr_ee },
 { 184805, ur_c32_swio14_noled_pr_ce },
 { 184806, ur_c32_swio14_noled_pr_ce },
 { 184807, ur_c32_swio14_noled_pr_ee_ce },
 { 184808, ur_c32_swio14_noled_pr_ee_ce },
 { 184810, ur_c32_swio14_noled_ee_hw },
 { 184812, ur_c32_swio14_noled_ee_ce_hw },
 { 184813, ur_c32_swio14_noled_ee_ce_hw },
 { 184814, ur_c32_swio14_lednop },
 { 184815, ur_c32_swio14_lednop_pr },
 { 184816, ur_c32_swio14_lednop_pr },
 { 184817, ur_c32_swio14_lednop_pr_ee },
 { 184818, ur_c32_swio14_lednop_pr_ee },
 { 184819, ur_c32_swio14_lednop_pr_ce },
 { 184820, ur_c32_swio14_lednop_pr_ce },
 { 184821, ur_c32_swio14_lednop_pr_ee_ce },
 { 184822, ur_c32_swio14_lednop_pr_ee_ce },
 { 184824, ur_c32_swio14_lednop_ee_hw },
 { 184826, ur_c32_swio14_lednop_ee_ce_hw },
 { 184827, ur_c32_swio14_lednop_ee_ce_hw },
 { 184828, ur_c32_swio14_dual },
 { 184829, ur_c32_swio14_dual },
 { 184830, ur_c32_swio14_dual },
 { 184831, ur_c32_swio14_dual_pr_ee },
 { 184832, ur_c32_swio14_dual_pr_ee_u4 },
 { 184833, ur_c32_swio14_dual_pr_ce },
 { 184834, ur_c32_swio14_dual_pr_ce },
 { 184835, ur_c32_swio14_dual_pr_ee_ce },
 { 184836, ur_c32_swio14_dual_pr_ee_ce_u4 },
 { 184838, ur_c32_swio14_dual_ee_hw },
 { 184840, ur_c32_swio14_dual_ee_ce_hw },
 { 184841, ur_c32_swio14_dual_ee_ce_hw },
 { 184842, ur_c32_swio15_noled },
 { 184843, ur_c32_swio15_noled_pr },
 { 184844, ur_c32_swio15_noled_pr },
 { 184845, ur_c32_swio15_noled_pr_ee },
 { 184846, ur_c32_swio15_noled_pr_ee },
 { 184847, ur_c32_swio15_noled_pr_ce },
 { 184848, ur_c32_swio15_noled_pr_ce },
 { 184849, ur_c32_swio15_noled_pr_ee_ce },
 { 184850, ur_c32_swio15_noled_pr_ee_ce },
 { 184852, ur_c32_swio15_noled_ee_hw },
 { 184854, ur_c32_swio15_noled_ee_ce_hw },
 { 184855, ur_c32_swio15_noled_ee_ce_hw },
 { 184856, ur_c32_swio15_lednop },
 { 184857, ur_c32_swio15_lednop_pr },
 { 184858, ur_c32_swio15_lednop_pr },
 { 184859, ur_c32_swio15_lednop_pr_ee },
 { 184860, ur_c32_swio15_lednop_pr_ee },
 { 184861, ur_c32_swio15_lednop_pr_ce },
 { 184862, ur_c32_swio15_lednop_pr_ce },
 { 184863, ur_c32_swio15_lednop_pr_ee_ce },
 { 184864, ur_c32_swio15_lednop_pr_ee_ce },
 { 184866, ur_c32_swio15_lednop_ee_hw },
 { 184868, ur_c32_swio15_lednop_ee_ce_hw },
 { 184869, ur_c32_swio15_lednop_ee_ce_hw },
 { 184870, ur_c32_swio15_dual },
 { 184871, ur_c32_swio15_dual },
 { 184872, ur_c32_swio15_dual },
 { 184873, ur_c32_swio15_dual_pr_ee },
 { 184874, ur_c32_swio15_dual_pr_ee_u4 },
 { 184875, ur_c32_swio15_dual_pr_ce },
 { 184876, ur_c32_swio15_dual_pr_ce_u4 },
 { 184877, ur_c32_swio15_dual_pr_ee_ce },
 { 184878, ur_c32_swio15_dual_pr_ee_ce_u4 },
 { 184880, ur_c32_swio15_dual_ee_hw },
 { 184882, ur_c32_swio15_dual_ee_ce_hw },
 { 184883, ur_c32_swio15_dual_ee_ce_hw },
 { 184884, ur_c64_autobaud_uart0_noled },
 { 184885, ur_c64_autobaud_uart0_noled },
 { 184886, ur_c64_autobaud_uart0_noled_pr_u4 },
 { 184887, ur_c64_autobaud_uart0_noled_pr_ee },
 { 184888, ur_c64_autobaud_uart0_noled_pr_ee },
 { 184889, ur_c64_autobaud_uart0_noled_pr_ce },
 { 184890, ur_c64_autobaud_uart0_noled_pr_ce },
 { 184891, ur_c64_autobaud_uart0_noled_pr_ee_ce },
 { 184892, ur_c64_autobaud_uart0_noled_pr_ee_ce },
 { 184894, ur_m649_autobaud_uart0_noled_ee_hw },
 { 184896, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 { 184897, ur_m649_autobaud_uart0_noled_ee_ce_hw },
 { 184898, ur_c64_autobaud_uart0_lednop },
 { 184899, ur_c64_autobaud_uart0_lednop_pr },
 { 184900, ur_c64_autobaud_uart0_lednop_pr },
 { 184901, ur_c64_autobaud_uart0_lednop_pr_ee },
 { 184902, ur_c64_autobaud_uart0_lednop_pr_ee },
 { 184903, ur_c64_autobaud_uart0_lednop_pr_ce },
 { 184904, ur_c64_autobaud_uart0_lednop_pr_ce },
 { 184905, ur_c64_autobaud_uart0_lednop_pr_ee_ce },
 { 184906, ur_c64_autobaud_uart0_lednop_pr_ee_ce },
 { 184908, ur_m649_autobaud_uart0_lednop_ee_hw },
 { 184910, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 { 184911, ur_m649_autobaud_uart0_lednop_ee_ce_hw },
 { 184912, ur_c64_autobaud_uart0_dual },
 { 184913, ur_c64_autobaud_uart0_dual },
 { 184914, ur_c64_autobaud_uart0_dual },
 { 184915, ur_c64_autobaud_uart0_dual_pr_ee },
 { 184916, ur_c64_autobaud_uart0_dual_pr_ee_u4 },
 { 184917, ur_c64_autobaud_uart0_dual_pr_ce },
 { 184918, ur_c64_autobaud_uart0_dual_pr_ce },
 { 184919, ur_c64_autobaud_uart0_dual_pr_ee_ce },
 { 184920, ur_c64_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 184922, ur_m649_autobaud_uart0_dual_ee_hw },
 { 184924, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 { 184925, ur_m649_autobaud_uart0_dual_ee_ce_hw },
 { 184968, ur_c64_autobaud_uart1_noled },
 { 184969, ur_c64_autobaud_uart1_noled },
 { 184970, ur_c64_autobaud_uart1_noled_pr_u4 },
 { 184971, ur_c64_autobaud_uart1_noled_pr_ee },
 { 184972, ur_c64_autobaud_uart1_noled_pr_ee },
 { 184973, ur_c64_autobaud_uart1_noled_pr_ce },
 { 184974, ur_c64_autobaud_uart1_noled_pr_ce },
 { 184975, ur_c64_autobaud_uart1_noled_pr_ee_ce },
 { 184976, ur_c64_autobaud_uart1_noled_pr_ee_ce },
 { 184978, ur_c64_autobaud_uart1_noled_ee_hw },
 { 184980, ur_c64_autobaud_uart1_noled_ee_ce_hw },
 { 184981, ur_c64_autobaud_uart1_noled_ee_ce_hw },
 { 184982, ur_c64_autobaud_uart1_lednop },
 { 184983, ur_c64_autobaud_uart1_lednop_pr },
 { 184984, ur_c64_autobaud_uart1_lednop_pr },
 { 184985, ur_c64_autobaud_uart1_lednop_pr_ee },
 { 184986, ur_c64_autobaud_uart1_lednop_pr_ee },
 { 184987, ur_c64_autobaud_uart1_lednop_pr_ce },
 { 184988, ur_c64_autobaud_uart1_lednop_pr_ce },
 { 184989, ur_c64_autobaud_uart1_lednop_pr_ee_ce },
 { 184990, ur_c64_autobaud_uart1_lednop_pr_ee_ce },
 { 184992, ur_c64_autobaud_uart1_lednop_ee_hw },
 { 184994, ur_c64_autobaud_uart1_lednop_ee_ce_hw },
 { 184995, ur_c64_autobaud_uart1_lednop_ee_ce_hw },
 { 184996, ur_c64_autobaud_uart1_dual },
 { 184997, ur_c64_autobaud_uart1_dual },
 { 184998, ur_c64_autobaud_uart1_dual },
 { 184999, ur_c64_autobaud_uart1_dual_pr_ee },
 { 185000, ur_c64_autobaud_uart1_dual_pr_ee_u4 },
 { 185001, ur_c64_autobaud_uart1_dual_pr_ce },
 { 185002, ur_c64_autobaud_uart1_dual_pr_ce },
 { 185003, ur_c64_autobaud_uart1_dual_pr_ee_ce },
 { 185004, ur_c64_autobaud_uart1_dual_pr_ee_ce_u4 },
 { 185006, ur_c64_autobaud_uart1_dual_ee_hw },
 { 185008, ur_c64_autobaud_uart1_dual_ee_ce_hw },
 { 185009, ur_c64_autobaud_uart1_dual_ee_ce_hw },
 { 185094, ur_c64_u1x8_uart0_noled },
 { 185095, ur_c64_u1x8_uart0_noled },
 { 185096, ur_c64_u1x8_uart0_noled_pr_u4 },
 { 185097, ur_c64_u1x8_uart0_noled_pr_ee },
 { 185098, ur_c64_u1x8_uart0_noled_pr_ee },
 { 185099, ur_c64_u1x8_uart0_noled_pr_ce },
 { 185100, ur_c64_u1x8_uart0_noled_pr_ce_u4 },
 { 185101, ur_c64_u1x8_uart0_noled_pr_ee_ce },
 { 185102, ur_c64_u1x8_uart0_noled_pr_ee_ce },
 { 185104, ur_m649_u1x8_uart0_noled_ee_hw },
 { 185106, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 { 185107, ur_m649_u1x8_uart0_noled_ee_ce_hw },
 { 185108, ur_c64_u1x8_uart0_lednop },
 { 185109, ur_c64_u1x8_uart0_lednop },
 { 185110, ur_c64_u1x8_uart0_lednop_pr_u4 },
 { 185111, ur_c64_u1x8_uart0_lednop_pr_ee },
 { 185112, ur_c64_u1x8_uart0_lednop_pr_ee },
 { 185113, ur_c64_u1x8_uart0_lednop_pr_ce },
 { 185114, ur_c64_u1x8_uart0_lednop_pr_ce },
 { 185115, ur_c64_u1x8_uart0_lednop_pr_ee_ce },
 { 185116, ur_c64_u1x8_uart0_lednop_pr_ee_ce },
 { 185118, ur_m649_u1x8_uart0_lednop_ee_hw },
 { 185120, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 { 185121, ur_m649_u1x8_uart0_lednop_ee_ce_hw },
 { 185122, ur_c64_u1x8_uart0_dual },
 { 185123, ur_c64_u1x8_uart0_dual },
 { 185124, ur_c64_u1x8_uart0_dual },
 { 185125, ur_c64_u1x8_uart0_dual_pr_ee },
 { 185126, ur_c64_u1x8_uart0_dual_pr_ee },
 { 185127, ur_c64_u1x8_uart0_dual_pr_ce },
 { 185128, ur_c64_u1x8_uart0_dual_pr_ce },
 { 185129, ur_c64_u1x8_uart0_dual_pr_ee_ce },
 { 185130, ur_c64_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 185132, ur_m649_u1x8_uart0_dual_ee_hw },
 { 185134, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 { 185135, ur_m649_u1x8_uart0_dual_ee_ce_hw },
 { 185178, ur_c64_u1x8_uart1_noled },
 { 185179, ur_c64_u1x8_uart1_noled },
 { 185180, ur_c64_u1x8_uart1_noled_pr_u4 },
 { 185181, ur_c64_u1x8_uart1_noled_pr_ee },
 { 185182, ur_c64_u1x8_uart1_noled_pr_ee },
 { 185183, ur_c64_u1x8_uart1_noled_pr_ce },
 { 185184, ur_c64_u1x8_uart1_noled_pr_ce_u4 },
 { 185185, ur_c64_u1x8_uart1_noled_pr_ee_ce },
 { 185186, ur_c64_u1x8_uart1_noled_pr_ee_ce },
 { 185188, ur_c64_u1x8_uart1_noled_ee_hw },
 { 185190, ur_c64_u1x8_uart1_noled_ee_ce_hw },
 { 185191, ur_c64_u1x8_uart1_noled_ee_ce_hw },
 { 185192, ur_c64_u1x8_uart1_lednop },
 { 185193, ur_c64_u1x8_uart1_lednop },
 { 185194, ur_c64_u1x8_uart1_lednop_pr_u4 },
 { 185195, ur_c64_u1x8_uart1_lednop_pr_ee },
 { 185196, ur_c64_u1x8_uart1_lednop_pr_ee },
 { 185197, ur_c64_u1x8_uart1_lednop_pr_ce },
 { 185198, ur_c64_u1x8_uart1_lednop_pr_ce },
 { 185199, ur_c64_u1x8_uart1_lednop_pr_ee_ce },
 { 185200, ur_c64_u1x8_uart1_lednop_pr_ee_ce },
 { 185202, ur_c64_u1x8_uart1_lednop_ee_hw },
 { 185204, ur_c64_u1x8_uart1_lednop_ee_ce_hw },
 { 185205, ur_c64_u1x8_uart1_lednop_ee_ce_hw },
 { 185206, ur_c64_u1x8_uart1_dual },
 { 185207, ur_c64_u1x8_uart1_dual },
 { 185208, ur_c64_u1x8_uart1_dual },
 { 185209, ur_c64_u1x8_uart1_dual_pr_ee },
 { 185210, ur_c64_u1x8_uart1_dual_pr_ee },
 { 185211, ur_c64_u1x8_uart1_dual_pr_ce },
 { 185212, ur_c64_u1x8_uart1_dual_pr_ce },
 { 185213, ur_c64_u1x8_uart1_dual_pr_ee_ce },
 { 185214, ur_c64_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 185216, ur_c64_u1x8_uart1_dual_ee_hw },
 { 185218, ur_c64_u1x8_uart1_dual_ee_ce_hw },
 { 185219, ur_c64_u1x8_uart1_dual_ee_ce_hw },
 { 185304, ur_c64_u1x12_uart0_noled },
 { 185305, ur_c64_u1x12_uart0_noled },
 { 185306, ur_c64_u1x12_uart0_noled_pr_u4 },
 { 185307, ur_c64_u1x12_uart0_noled_pr_ee },
 { 185308, ur_c64_u1x12_uart0_noled_pr_ee },
 { 185309, ur_c64_u1x12_uart0_noled_pr_ce },
 { 185310, ur_c64_u1x12_uart0_noled_pr_ce },
 { 185311, ur_c64_u1x12_uart0_noled_pr_ee_ce },
 { 185312, ur_c64_u1x12_uart0_noled_pr_ee_ce },
 { 185314, ur_m649_u1x12_uart0_noled_ee_hw },
 { 185316, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 { 185317, ur_m649_u1x12_uart0_noled_ee_ce_hw },
 { 185318, ur_c64_u1x12_uart0_lednop },
 { 185319, ur_c64_u1x12_uart0_lednop },
 { 185320, ur_c64_u1x12_uart0_lednop_pr_u4 },
 { 185321, ur_c64_u1x12_uart0_lednop_pr_ee },
 { 185322, ur_c64_u1x12_uart0_lednop_pr_ee },
 { 185323, ur_c64_u1x12_uart0_lednop_pr_ce },
 { 185324, ur_c64_u1x12_uart0_lednop_pr_ce },
 { 185325, ur_c64_u1x12_uart0_lednop_pr_ee_ce },
 { 185326, ur_c64_u1x12_uart0_lednop_pr_ee_ce },
 { 185328, ur_m649_u1x12_uart0_lednop_ee_hw },
 { 185330, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 { 185331, ur_m649_u1x12_uart0_lednop_ee_ce_hw },
 { 185332, ur_c64_u1x12_uart0_dual },
 { 185333, ur_c64_u1x12_uart0_dual },
 { 185334, ur_c64_u1x12_uart0_dual },
 { 185335, ur_c64_u1x12_uart0_dual_pr_ee },
 { 185336, ur_c64_u1x12_uart0_dual_pr_ee },
 { 185337, ur_c64_u1x12_uart0_dual_pr_ce },
 { 185338, ur_c64_u1x12_uart0_dual_pr_ce },
 { 185339, ur_c64_u1x12_uart0_dual_pr_ee_ce },
 { 185340, ur_c64_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 185342, ur_m649_u1x12_uart0_dual_ee_hw },
 { 185344, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 { 185345, ur_m649_u1x12_uart0_dual_ee_ce_hw },
 { 185388, ur_c64_u1x12_uart1_noled },
 { 185389, ur_c64_u1x12_uart1_noled },
 { 185390, ur_c64_u1x12_uart1_noled_pr_u4 },
 { 185391, ur_c64_u1x12_uart1_noled_pr_ee },
 { 185392, ur_c64_u1x12_uart1_noled_pr_ee },
 { 185393, ur_c64_u1x12_uart1_noled_pr_ce },
 { 185394, ur_c64_u1x12_uart1_noled_pr_ce },
 { 185395, ur_c64_u1x12_uart1_noled_pr_ee_ce },
 { 185396, ur_c64_u1x12_uart1_noled_pr_ee_ce },
 { 185398, ur_c64_u1x12_uart1_noled_ee_hw },
 { 185400, ur_c64_u1x12_uart1_noled_ee_ce_hw },
 { 185401, ur_c64_u1x12_uart1_noled_ee_ce_hw },
 { 185402, ur_c64_u1x12_uart1_lednop },
 { 185403, ur_c64_u1x12_uart1_lednop },
 { 185404, ur_c64_u1x12_uart1_lednop_pr_u4 },
 { 185405, ur_c64_u1x12_uart1_lednop_pr_ee },
 { 185406, ur_c64_u1x12_uart1_lednop_pr_ee },
 { 185407, ur_c64_u1x12_uart1_lednop_pr_ce },
 { 185408, ur_c64_u1x12_uart1_lednop_pr_ce },
 { 185409, ur_c64_u1x12_uart1_lednop_pr_ee_ce },
 { 185410, ur_c64_u1x12_uart1_lednop_pr_ee_ce },
 { 185412, ur_c64_u1x12_uart1_lednop_ee_hw },
 { 185414, ur_c64_u1x12_uart1_lednop_ee_ce_hw },
 { 185415, ur_c64_u1x12_uart1_lednop_ee_ce_hw },
 { 185416, ur_c64_u1x12_uart1_dual },
 { 185417, ur_c64_u1x12_uart1_dual },
 { 185418, ur_c64_u1x12_uart1_dual },
 { 185419, ur_c64_u1x12_uart1_dual_pr_ee },
 { 185420, ur_c64_u1x12_uart1_dual_pr_ee },
 { 185421, ur_c64_u1x12_uart1_dual_pr_ce },
 { 185422, ur_c64_u1x12_uart1_dual_pr_ce },
 { 185423, ur_c64_u1x12_uart1_dual_pr_ee_ce },
 { 185424, ur_c64_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 185426, ur_c64_u1x12_uart1_dual_ee_hw },
 { 185428, ur_c64_u1x12_uart1_dual_ee_ce_hw },
 { 185429, ur_c64_u1x12_uart1_dual_ee_ce_hw },
 { 185514, ur_c64_u2x8_uart0_noled },
 { 185515, ur_c64_u2x8_uart0_noled },
 { 185516, ur_c64_u2x8_uart0_noled_pr_u4 },
 { 185517, ur_c64_u2x8_uart0_noled_pr_ee },
 { 185518, ur_c64_u2x8_uart0_noled_pr_ee },
 { 185519, ur_c64_u2x8_uart0_noled_pr_ce },
 { 185520, ur_c64_u2x8_uart0_noled_pr_ce },
 { 185521, ur_c64_u2x8_uart0_noled_pr_ee_ce },
 { 185522, ur_c64_u2x8_uart0_noled_pr_ee_ce },
 { 185524, ur_m649_u2x8_uart0_noled_ee_hw },
 { 185526, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 { 185527, ur_m649_u2x8_uart0_noled_ee_ce_hw },
 { 185528, ur_c64_u2x8_uart0_lednop },
 { 185529, ur_c64_u2x8_uart0_lednop },
 { 185530, ur_c64_u2x8_uart0_lednop_pr_u4 },
 { 185531, ur_c64_u2x8_uart0_lednop_pr_ee },
 { 185532, ur_c64_u2x8_uart0_lednop_pr_ee },
 { 185533, ur_c64_u2x8_uart0_lednop_pr_ce },
 { 185534, ur_c64_u2x8_uart0_lednop_pr_ce },
 { 185535, ur_c64_u2x8_uart0_lednop_pr_ee_ce },
 { 185536, ur_c64_u2x8_uart0_lednop_pr_ee_ce },
 { 185538, ur_m649_u2x8_uart0_lednop_ee_hw },
 { 185540, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 { 185541, ur_m649_u2x8_uart0_lednop_ee_ce_hw },
 { 185542, ur_c64_u2x8_uart0_dual },
 { 185543, ur_c64_u2x8_uart0_dual },
 { 185544, ur_c64_u2x8_uart0_dual },
 { 185545, ur_c64_u2x8_uart0_dual_pr_ee },
 { 185546, ur_c64_u2x8_uart0_dual_pr_ee },
 { 185547, ur_c64_u2x8_uart0_dual_pr_ce },
 { 185548, ur_c64_u2x8_uart0_dual_pr_ce },
 { 185549, ur_c64_u2x8_uart0_dual_pr_ee_ce },
 { 185550, ur_c64_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 185552, ur_m649_u2x8_uart0_dual_ee_hw },
 { 185554, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 { 185555, ur_m649_u2x8_uart0_dual_ee_ce_hw },
 { 185598, ur_c64_u2x8_uart1_noled },
 { 185599, ur_c64_u2x8_uart1_noled },
 { 185600, ur_c64_u2x8_uart1_noled_pr_u4 },
 { 185601, ur_c64_u2x8_uart1_noled_pr_ee },
 { 185602, ur_c64_u2x8_uart1_noled_pr_ee },
 { 185603, ur_c64_u2x8_uart1_noled_pr_ce },
 { 185604, ur_c64_u2x8_uart1_noled_pr_ce },
 { 185605, ur_c64_u2x8_uart1_noled_pr_ee_ce },
 { 185606, ur_c64_u2x8_uart1_noled_pr_ee_ce },
 { 185608, ur_c64_u2x8_uart1_noled_ee_hw },
 { 185610, ur_c64_u2x8_uart1_noled_ee_ce_hw },
 { 185611, ur_c64_u2x8_uart1_noled_ee_ce_hw },
 { 185612, ur_c64_u2x8_uart1_lednop },
 { 185613, ur_c64_u2x8_uart1_lednop },
 { 185614, ur_c64_u2x8_uart1_lednop_pr_u4 },
 { 185615, ur_c64_u2x8_uart1_lednop_pr_ee },
 { 185616, ur_c64_u2x8_uart1_lednop_pr_ee },
 { 185617, ur_c64_u2x8_uart1_lednop_pr_ce },
 { 185618, ur_c64_u2x8_uart1_lednop_pr_ce },
 { 185619, ur_c64_u2x8_uart1_lednop_pr_ee_ce },
 { 185620, ur_c64_u2x8_uart1_lednop_pr_ee_ce },
 { 185622, ur_c64_u2x8_uart1_lednop_ee_hw },
 { 185624, ur_c64_u2x8_uart1_lednop_ee_ce_hw },
 { 185625, ur_c64_u2x8_uart1_lednop_ee_ce_hw },
 { 185626, ur_c64_u2x8_uart1_dual },
 { 185627, ur_c64_u2x8_uart1_dual },
 { 185628, ur_c64_u2x8_uart1_dual },
 { 185629, ur_c64_u2x8_uart1_dual_pr_ee },
 { 185630, ur_c64_u2x8_uart1_dual_pr_ee },
 { 185631, ur_c64_u2x8_uart1_dual_pr_ce },
 { 185632, ur_c64_u2x8_uart1_dual_pr_ce },
 { 185633, ur_c64_u2x8_uart1_dual_pr_ee_ce },
 { 185634, ur_c64_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 185636, ur_c64_u2x8_uart1_dual_ee_hw },
 { 185638, ur_c64_u2x8_uart1_dual_ee_ce_hw },
 { 185639, ur_c64_u2x8_uart1_dual_ee_ce_hw },
 { 185724, ur_c64_u2x12_uart0_noled },
 { 185725, ur_c64_u2x12_uart0_noled },
 { 185726, ur_c64_u2x12_uart0_noled_pr_u4 },
 { 185727, ur_c64_u2x12_uart0_noled_pr_ee },
 { 185728, ur_c64_u2x12_uart0_noled_pr_ee },
 { 185729, ur_c64_u2x12_uart0_noled_pr_ce },
 { 185730, ur_c64_u2x12_uart0_noled_pr_ce },
 { 185731, ur_c64_u2x12_uart0_noled_pr_ee_ce },
 { 185732, ur_c64_u2x12_uart0_noled_pr_ee_ce },
 { 185734, ur_m649_u2x12_uart0_noled_ee_hw },
 { 185736, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 { 185737, ur_m649_u2x12_uart0_noled_ee_ce_hw },
 { 185738, ur_c64_u2x12_uart0_lednop },
 { 185739, ur_c64_u2x12_uart0_lednop },
 { 185740, ur_c64_u2x12_uart0_lednop_pr_u4 },
 { 185741, ur_c64_u2x12_uart0_lednop_pr_ee },
 { 185742, ur_c64_u2x12_uart0_lednop_pr_ee },
 { 185743, ur_c64_u2x12_uart0_lednop_pr_ce },
 { 185744, ur_c64_u2x12_uart0_lednop_pr_ce },
 { 185745, ur_c64_u2x12_uart0_lednop_pr_ee_ce },
 { 185746, ur_c64_u2x12_uart0_lednop_pr_ee_ce },
 { 185748, ur_m649_u2x12_uart0_lednop_ee_hw },
 { 185750, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 { 185751, ur_m649_u2x12_uart0_lednop_ee_ce_hw },
 { 185752, ur_c64_u2x12_uart0_dual },
 { 185753, ur_c64_u2x12_uart0_dual },
 { 185754, ur_c64_u2x12_uart0_dual },
 { 185755, ur_c64_u2x12_uart0_dual_pr_ee },
 { 185756, ur_c64_u2x12_uart0_dual_pr_ee },
 { 185757, ur_c64_u2x12_uart0_dual_pr_ce },
 { 185758, ur_c64_u2x12_uart0_dual_pr_ce },
 { 185759, ur_c64_u2x12_uart0_dual_pr_ee_ce },
 { 185760, ur_c64_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 185762, ur_m649_u2x12_uart0_dual_ee_hw },
 { 185764, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 { 185765, ur_m649_u2x12_uart0_dual_ee_ce_hw },
 { 185808, ur_c64_u2x12_uart1_noled },
 { 185809, ur_c64_u2x12_uart1_noled },
 { 185810, ur_c64_u2x12_uart1_noled_pr_u4 },
 { 185811, ur_c64_u2x12_uart1_noled_pr_ee },
 { 185812, ur_c64_u2x12_uart1_noled_pr_ee },
 { 185813, ur_c64_u2x12_uart1_noled_pr_ce },
 { 185814, ur_c64_u2x12_uart1_noled_pr_ce },
 { 185815, ur_c64_u2x12_uart1_noled_pr_ee_ce },
 { 185816, ur_c64_u2x12_uart1_noled_pr_ee_ce },
 { 185818, ur_c64_u2x12_uart1_noled_ee_hw },
 { 185820, ur_c64_u2x12_uart1_noled_ee_ce_hw },
 { 185821, ur_c64_u2x12_uart1_noled_ee_ce_hw },
 { 185822, ur_c64_u2x12_uart1_lednop },
 { 185823, ur_c64_u2x12_uart1_lednop },
 { 185824, ur_c64_u2x12_uart1_lednop_pr_u4 },
 { 185825, ur_c64_u2x12_uart1_lednop_pr_ee },
 { 185826, ur_c64_u2x12_uart1_lednop_pr_ee },
 { 185827, ur_c64_u2x12_uart1_lednop_pr_ce },
 { 185828, ur_c64_u2x12_uart1_lednop_pr_ce },
 { 185829, ur_c64_u2x12_uart1_lednop_pr_ee_ce },
 { 185830, ur_c64_u2x12_uart1_lednop_pr_ee_ce },
 { 185832, ur_c64_u2x12_uart1_lednop_ee_hw },
 { 185834, ur_c64_u2x12_uart1_lednop_ee_ce_hw },
 { 185835, ur_c64_u2x12_uart1_lednop_ee_ce_hw },
 { 185836, ur_c64_u2x12_uart1_dual },
 { 185837, ur_c64_u2x12_uart1_dual },
 { 185838, ur_c64_u2x12_uart1_dual },
 { 185839, ur_c64_u2x12_uart1_dual_pr_ee },
 { 185840, ur_c64_u2x12_uart1_dual_pr_ee },
 { 185841, ur_c64_u2x12_uart1_dual_pr_ce },
 { 185842, ur_c64_u2x12_uart1_dual_pr_ce },
 { 185843, ur_c64_u2x12_uart1_dual_pr_ee_ce },
 { 185844, ur_c64_u2x12_uart1_dual_pr_ee_ce_u4 },
 { 185846, ur_c64_u2x12_uart1_dual_ee_hw },
 { 185848, ur_c64_u2x12_uart1_dual_ee_ce_hw },
 { 185849, ur_c64_u2x12_uart1_dual_ee_ce_hw },
 { 185934, ur_c64_swio10_noled },
 { 185935, ur_c64_swio10_noled_pr },
 { 185936, ur_c64_swio10_noled_pr },
 { 185937, ur_c64_swio10_noled_pr_ee },
 { 185938, ur_c64_swio10_noled_pr_ee },
 { 185939, ur_c64_swio10_noled_pr_ce },
 { 185940, ur_c64_swio10_noled_pr_ce },
 { 185941, ur_c64_swio10_noled_pr_ee_ce },
 { 185942, ur_c64_swio10_noled_pr_ee_ce },
 { 185944, ur_m649_swio10_noled_ee_hw },
 { 185946, ur_m649_swio10_noled_ee_ce_hw },
 { 185947, ur_m649_swio10_noled_ee_ce_hw },
 { 185948, ur_c64_swio10_lednop },
 { 185949, ur_c64_swio10_lednop_pr },
 { 185950, ur_c64_swio10_lednop_pr },
 { 185951, ur_c64_swio10_lednop_pr_ee },
 { 185952, ur_c64_swio10_lednop_pr_ee },
 { 185953, ur_c64_swio10_lednop_pr_ce },
 { 185954, ur_c64_swio10_lednop_pr_ce },
 { 185955, ur_c64_swio10_lednop_pr_ee_ce },
 { 185956, ur_c64_swio10_lednop_pr_ee_ce },
 { 185958, ur_m649_swio10_lednop_ee_hw },
 { 185960, ur_m649_swio10_lednop_ee_ce_hw },
 { 185961, ur_m649_swio10_lednop_ee_ce_hw },
 { 185962, ur_c64_swio10_dual },
 { 185963, ur_c64_swio10_dual },
 { 185964, ur_c64_swio10_dual },
 { 185965, ur_c64_swio10_dual_pr_ee },
 { 185966, ur_c64_swio10_dual_pr_ee_u4 },
 { 185967, ur_c64_swio10_dual_pr_ce },
 { 185968, ur_c64_swio10_dual_pr_ce },
 { 185969, ur_c64_swio10_dual_pr_ee_ce },
 { 185970, ur_c64_swio10_dual_pr_ee_ce_u4 },
 { 185972, ur_m649_swio10_dual_ee_hw },
 { 185974, ur_m649_swio10_dual_ee_ce_hw },
 { 185975, ur_m649_swio10_dual_ee_ce_hw },
 { 185976, ur_c64_swio11_noled },
 { 185977, ur_c64_swio11_noled_pr },
 { 185978, ur_c64_swio11_noled_pr },
 { 185979, ur_c64_swio11_noled_pr_ee },
 { 185980, ur_c64_swio11_noled_pr_ee },
 { 185981, ur_c64_swio11_noled_pr_ce },
 { 185982, ur_c64_swio11_noled_pr_ce },
 { 185983, ur_c64_swio11_noled_pr_ee_ce },
 { 185984, ur_c64_swio11_noled_pr_ee_ce },
 { 185986, ur_m649_swio11_noled_ee_hw },
 { 185988, ur_m649_swio11_noled_ee_ce_hw },
 { 185989, ur_m649_swio11_noled_ee_ce_hw },
 { 185990, ur_c64_swio11_lednop },
 { 185991, ur_c64_swio11_lednop_pr },
 { 185992, ur_c64_swio11_lednop_pr },
 { 185993, ur_c64_swio11_lednop_pr_ee },
 { 185994, ur_c64_swio11_lednop_pr_ee },
 { 185995, ur_c64_swio11_lednop_pr_ce },
 { 185996, ur_c64_swio11_lednop_pr_ce },
 { 185997, ur_c64_swio11_lednop_pr_ee_ce },
 { 185998, ur_c64_swio11_lednop_pr_ee_ce },
 { 186000, ur_m649_swio11_lednop_ee_hw },
 { 186002, ur_m649_swio11_lednop_ee_ce_hw },
 { 186003, ur_m649_swio11_lednop_ee_ce_hw },
 { 186004, ur_c64_swio11_dual },
 { 186005, ur_c64_swio11_dual },
 { 186006, ur_c64_swio11_dual },
 { 186007, ur_c64_swio11_dual_pr_ee },
 { 186008, ur_c64_swio11_dual_pr_ee_u4 },
 { 186009, ur_c64_swio11_dual_pr_ce },
 { 186010, ur_c64_swio11_dual_pr_ce },
 { 186011, ur_c64_swio11_dual_pr_ee_ce },
 { 186012, ur_c64_swio11_dual_pr_ee_ce_u4 },
 { 186014, ur_m649_swio11_dual_ee_hw },
 { 186016, ur_m649_swio11_dual_ee_ce_hw },
 { 186017, ur_m649_swio11_dual_ee_ce_hw },
 { 186018, ur_c64_swio11_noled },
 { 186019, ur_c64_swio11_noled_pr },
 { 186020, ur_c64_swio11_noled_pr },
 { 186021, ur_c64_swio11_noled_pr_ee },
 { 186022, ur_c64_swio11_noled_pr_ee },
 { 186023, ur_c64_swio11_noled_pr_ce },
 { 186024, ur_c64_swio11_noled_pr_ce },
 { 186025, ur_c64_swio11_noled_pr_ee_ce },
 { 186026, ur_c64_swio11_noled_pr_ee_ce },
 { 186028, ur_m649_swio11_noled_ee_hw },
 { 186030, ur_m649_swio11_noled_ee_ce_hw },
 { 186031, ur_m649_swio11_noled_ee_ce_hw },
 { 186032, ur_c64_swio11_lednop },
 { 186033, ur_c64_swio11_lednop_pr },
 { 186034, ur_c64_swio11_lednop_pr },
 { 186035, ur_c64_swio11_lednop_pr_ee },
 { 186036, ur_c64_swio11_lednop_pr_ee },
 { 186037, ur_c64_swio11_lednop_pr_ce },
 { 186038, ur_c64_swio11_lednop_pr_ce },
 { 186039, ur_c64_swio11_lednop_pr_ee_ce },
 { 186040, ur_c64_swio11_lednop_pr_ee_ce },
 { 186042, ur_m649_swio11_lednop_ee_hw },
 { 186044, ur_m649_swio11_lednop_ee_ce_hw },
 { 186045, ur_m649_swio11_lednop_ee_ce_hw },
 { 186046, ur_c64_swio11_dual },
 { 186047, ur_c64_swio11_dual },
 { 186048, ur_c64_swio11_dual },
 { 186049, ur_c64_swio11_dual_pr_ee },
 { 186050, ur_c64_swio11_dual_pr_ee_u4 },
 { 186051, ur_c64_swio11_dual_pr_ce },
 { 186052, ur_c64_swio11_dual_pr_ce },
 { 186053, ur_c64_swio11_dual_pr_ee_ce },
 { 186054, ur_c64_swio11_dual_pr_ee_ce_u4 },
 { 186056, ur_m649_swio11_dual_ee_hw },
 { 186058, ur_m649_swio11_dual_ee_ce_hw },
 { 186059, ur_m649_swio11_dual_ee_ce_hw },
 { 186060, ur_c64_swio13_noled },
 { 186061, ur_c64_swio13_noled_pr },
 { 186062, ur_c64_swio13_noled_pr },
 { 186063, ur_c64_swio13_noled_pr_ee },
 { 186064, ur_c64_swio13_noled_pr_ee },
 { 186065, ur_c64_swio13_noled_pr_ce },
 { 186066, ur_c64_swio13_noled_pr_ce },
 { 186067, ur_c64_swio13_noled_pr_ee_ce },
 { 186068, ur_c64_swio13_noled_pr_ee_ce },
 { 186070, ur_m649_swio13_noled_ee_hw },
 { 186072, ur_m649_swio13_noled_ee_ce_hw },
 { 186073, ur_m649_swio13_noled_ee_ce_hw },
 { 186074, ur_c64_swio13_lednop },
 { 186075, ur_c64_swio13_lednop_pr },
 { 186076, ur_c64_swio13_lednop_pr },
 { 186077, ur_c64_swio13_lednop_pr_ee },
 { 186078, ur_c64_swio13_lednop_pr_ee },
 { 186079, ur_c64_swio13_lednop_pr_ce },
 { 186080, ur_c64_swio13_lednop_pr_ce },
 { 186081, ur_c64_swio13_lednop_pr_ee_ce },
 { 186082, ur_c64_swio13_lednop_pr_ee_ce },
 { 186084, ur_m649_swio13_lednop_ee_hw },
 { 186086, ur_m649_swio13_lednop_ee_ce_hw },
 { 186087, ur_m649_swio13_lednop_ee_ce_hw },
 { 186088, ur_c64_swio13_dual },
 { 186089, ur_c64_swio13_dual },
 { 186090, ur_c64_swio13_dual },
 { 186091, ur_c64_swio13_dual_pr_ee },
 { 186092, ur_c64_swio13_dual_pr_ee_u4 },
 { 186093, ur_c64_swio13_dual_pr_ce },
 { 186094, ur_c64_swio13_dual_pr_ce_u4 },
 { 186095, ur_c64_swio13_dual_pr_ee_ce },
 { 186096, ur_c64_swio13_dual_pr_ee_ce_u4 },
 { 186098, ur_m649_swio13_dual_ee_hw },
 { 186100, ur_m649_swio13_dual_ee_ce_hw },
 { 186101, ur_m649_swio13_dual_ee_ce_hw },
 { 186102, ur_c64_swio14_noled },
 { 186103, ur_c64_swio14_noled_pr },
 { 186104, ur_c64_swio14_noled_pr },
 { 186105, ur_c64_swio14_noled_pr_ee },
 { 186106, ur_c64_swio14_noled_pr_ee },
 { 186107, ur_c64_swio14_noled_pr_ce },
 { 186108, ur_c64_swio14_noled_pr_ce },
 { 186109, ur_c64_swio14_noled_pr_ee_ce },
 { 186110, ur_c64_swio14_noled_pr_ee_ce },
 { 186112, ur_m649_swio14_noled_ee_hw },
 { 186114, ur_m649_swio14_noled_ee_ce_hw },
 { 186115, ur_m649_swio14_noled_ee_ce_hw },
 { 186116, ur_c64_swio14_lednop },
 { 186117, ur_c64_swio14_lednop_pr },
 { 186118, ur_c64_swio14_lednop_pr },
 { 186119, ur_c64_swio14_lednop_pr_ee },
 { 186120, ur_c64_swio14_lednop_pr_ee },
 { 186121, ur_c64_swio14_lednop_pr_ce },
 { 186122, ur_c64_swio14_lednop_pr_ce },
 { 186123, ur_c64_swio14_lednop_pr_ee_ce },
 { 186124, ur_c64_swio14_lednop_pr_ee_ce },
 { 186126, ur_m649_swio14_lednop_ee_hw },
 { 186128, ur_m649_swio14_lednop_ee_ce_hw },
 { 186129, ur_m649_swio14_lednop_ee_ce_hw },
 { 186130, ur_c64_swio14_dual },
 { 186131, ur_c64_swio14_dual },
 { 186132, ur_c64_swio14_dual },
 { 186133, ur_c64_swio14_dual_pr_ee },
 { 186134, ur_c64_swio14_dual_pr_ee_u4 },
 { 186135, ur_c64_swio14_dual_pr_ce },
 { 186136, ur_c64_swio14_dual_pr_ce },
 { 186137, ur_c64_swio14_dual_pr_ee_ce },
 { 186138, ur_c64_swio14_dual_pr_ee_ce_u4 },
 { 186140, ur_m649_swio14_dual_ee_hw },
 { 186142, ur_m649_swio14_dual_ee_ce_hw },
 { 186143, ur_m649_swio14_dual_ee_ce_hw },
 { 186144, ur_c64_swio15_noled },
 { 186145, ur_c64_swio15_noled_pr },
 { 186146, ur_c64_swio15_noled_pr },
 { 186147, ur_c64_swio15_noled_pr_ee },
 { 186148, ur_c64_swio15_noled_pr_ee },
 { 186149, ur_c64_swio15_noled_pr_ce },
 { 186150, ur_c64_swio15_noled_pr_ce },
 { 186151, ur_c64_swio15_noled_pr_ee_ce },
 { 186152, ur_c64_swio15_noled_pr_ee_ce },
 { 186154, ur_m649_swio15_noled_ee_hw },
 { 186156, ur_m649_swio15_noled_ee_ce_hw },
 { 186157, ur_m649_swio15_noled_ee_ce_hw },
 { 186158, ur_c64_swio15_lednop },
 { 186159, ur_c64_swio15_lednop_pr },
 { 186160, ur_c64_swio15_lednop_pr },
 { 186161, ur_c64_swio15_lednop_pr_ee },
 { 186162, ur_c64_swio15_lednop_pr_ee },
 { 186163, ur_c64_swio15_lednop_pr_ce },
 { 186164, ur_c64_swio15_lednop_pr_ce },
 { 186165, ur_c64_swio15_lednop_pr_ee_ce },
 { 186166, ur_c64_swio15_lednop_pr_ee_ce },
 { 186168, ur_m649_swio15_lednop_ee_hw },
 { 186170, ur_m649_swio15_lednop_ee_ce_hw },
 { 186171, ur_m649_swio15_lednop_ee_ce_hw },
 { 186172, ur_c64_swio15_dual },
 { 186173, ur_c64_swio15_dual },
 { 186174, ur_c64_swio15_dual },
 { 186175, ur_c64_swio15_dual_pr_ee },
 { 186176, ur_c64_swio15_dual_pr_ee_u4 },
 { 186177, ur_c64_swio15_dual_pr_ce },
 { 186178, ur_c64_swio15_dual_pr_ce_u4 },
 { 186179, ur_c64_swio15_dual_pr_ee_ce },
 { 186180, ur_c64_swio15_dual_pr_ee_ce_u4 },
 { 186182, ur_m649_swio15_dual_ee_hw },
 { 186184, ur_m649_swio15_dual_ee_ce_hw },
 { 186185, ur_m649_swio15_dual_ee_ce_hw },
 { 186186, ur_c128_autobaud_uart0_noled },
 { 186187, ur_c128_autobaud_uart0_noled_pr },
 { 186188, ur_c128_autobaud_uart0_noled_pr },
 { 186189, ur_c128_autobaud_uart0_noled_pr_ee },
 { 186190, ur_c128_autobaud_uart0_noled_pr_ee },
 { 186191, ur_c128_autobaud_uart0_noled_pr_ce },
 { 186192, ur_c128_autobaud_uart0_noled_pr_ce },
 { 186193, ur_c128_autobaud_uart0_noled_pr_ee_ce },
 { 186194, ur_c128_autobaud_uart0_noled_pr_ee_ce },
 { 186196, ur_c128_autobaud_uart0_noled_ee_hw },
 { 186198, ur_c128_autobaud_uart0_noled_ee_ce_hw },
 { 186199, ur_c128_autobaud_uart0_noled_ee_ce_hw },
 { 186200, ur_c128_autobaud_uart0_lednop },
 { 186201, ur_c128_autobaud_uart0_lednop_pr },
 { 186202, ur_c128_autobaud_uart0_lednop_pr },
 { 186203, ur_c128_autobaud_uart0_lednop_pr_ee },
 { 186204, ur_c128_autobaud_uart0_lednop_pr_ee },
 { 186205, ur_c128_autobaud_uart0_lednop_pr_ce },
 { 186206, ur_c128_autobaud_uart0_lednop_pr_ce },
 { 186207, ur_c128_autobaud_uart0_lednop_pr_ee_ce },
 { 186208, ur_c128_autobaud_uart0_lednop_pr_ee_ce },
 { 186210, ur_c128_autobaud_uart0_lednop_ee_hw },
 { 186212, ur_c128_autobaud_uart0_lednop_ee_ce_hw },
 { 186213, ur_c128_autobaud_uart0_lednop_ee_ce_hw },
 { 186214, ur_c128_autobaud_uart0_dual },
 { 186215, ur_c128_autobaud_uart0_dual },
 { 186216, ur_c128_autobaud_uart0_dual },
 { 186217, ur_c128_autobaud_uart0_dual_pr_ee },
 { 186218, ur_c128_autobaud_uart0_dual_pr_ee_u4 },
 { 186219, ur_c128_autobaud_uart0_dual_pr_ce },
 { 186220, ur_c128_autobaud_uart0_dual_pr_ce_u4 },
 { 186221, ur_c128_autobaud_uart0_dual_pr_ee_ce },
 { 186222, ur_c128_autobaud_uart0_dual_pr_ee_ce },
 { 186224, ur_c128_autobaud_uart0_dual_ee_hw },
 { 186226, ur_c128_autobaud_uart0_dual_ee_ce_hw },
 { 186227, ur_c128_autobaud_uart0_dual_ee_ce_hw },
 { 186270, ur_c128_autobaud_uart1_noled },
 { 186271, ur_c128_autobaud_uart1_noled_pr },
 { 186272, ur_c128_autobaud_uart1_noled_pr },
 { 186273, ur_c128_autobaud_uart1_noled_pr_ee },
 { 186274, ur_c128_autobaud_uart1_noled_pr_ee },
 { 186275, ur_c128_autobaud_uart1_noled_pr_ce },
 { 186276, ur_c128_autobaud_uart1_noled_pr_ce },
 { 186277, ur_c128_autobaud_uart1_noled_pr_ee_ce },
 { 186278, ur_c128_autobaud_uart1_noled_pr_ee_ce },
 { 186280, ur_c128_autobaud_uart1_noled_ee_hw },
 { 186282, ur_c128_autobaud_uart1_noled_ee_ce_hw },
 { 186283, ur_c128_autobaud_uart1_noled_ee_ce_hw },
 { 186284, ur_c128_autobaud_uart1_lednop },
 { 186285, ur_c128_autobaud_uart1_lednop_pr },
 { 186286, ur_c128_autobaud_uart1_lednop_pr },
 { 186287, ur_c128_autobaud_uart1_lednop_pr_ee },
 { 186288, ur_c128_autobaud_uart1_lednop_pr_ee },
 { 186289, ur_c128_autobaud_uart1_lednop_pr_ce },
 { 186290, ur_c128_autobaud_uart1_lednop_pr_ce },
 { 186291, ur_c128_autobaud_uart1_lednop_pr_ee_ce },
 { 186292, ur_c128_autobaud_uart1_lednop_pr_ee_ce },
 { 186294, ur_c128_autobaud_uart1_lednop_ee_hw },
 { 186296, ur_c128_autobaud_uart1_lednop_ee_ce_hw },
 { 186297, ur_c128_autobaud_uart1_lednop_ee_ce_hw },
 { 186298, ur_c128_autobaud_uart1_dual },
 { 186299, ur_c128_autobaud_uart1_dual },
 { 186300, ur_c128_autobaud_uart1_dual },
 { 186301, ur_c128_autobaud_uart1_dual_pr_ee },
 { 186302, ur_c128_autobaud_uart1_dual_pr_ee_u4 },
 { 186303, ur_c128_autobaud_uart1_dual_pr_ce },
 { 186304, ur_c128_autobaud_uart1_dual_pr_ce_u4 },
 { 186305, ur_c128_autobaud_uart1_dual_pr_ee_ce },
 { 186306, ur_c128_autobaud_uart1_dual_pr_ee_ce },
 { 186308, ur_c128_autobaud_uart1_dual_ee_hw },
 { 186310, ur_c128_autobaud_uart1_dual_ee_ce_hw },
 { 186311, ur_c128_autobaud_uart1_dual_ee_ce_hw },
 { 186396, ur_c128_u1x8_uart0_noled },
 { 186397, ur_c128_u1x8_uart0_noled },
 { 186398, ur_c128_u1x8_uart0_noled_pr_u4 },
 { 186399, ur_c128_u1x8_uart0_noled_pr_ee },
 { 186400, ur_c128_u1x8_uart0_noled_pr_ee },
 { 186401, ur_c128_u1x8_uart0_noled_pr_ce },
 { 186402, ur_c128_u1x8_uart0_noled_pr_ce },
 { 186403, ur_c128_u1x8_uart0_noled_pr_ee_ce },
 { 186404, ur_c128_u1x8_uart0_noled_pr_ee_ce },
 { 186406, ur_c128_u1x8_uart0_noled_ee_hw },
 { 186408, ur_c128_u1x8_uart0_noled_ee_ce_hw },
 { 186409, ur_c128_u1x8_uart0_noled_ee_ce_hw },
 { 186410, ur_c128_u1x8_uart0_lednop },
 { 186411, ur_c128_u1x8_uart0_lednop },
 { 186412, ur_c128_u1x8_uart0_lednop_pr_u4 },
 { 186413, ur_c128_u1x8_uart0_lednop_pr_ee },
 { 186414, ur_c128_u1x8_uart0_lednop_pr_ee },
 { 186415, ur_c128_u1x8_uart0_lednop_pr_ce },
 { 186416, ur_c128_u1x8_uart0_lednop_pr_ce },
 { 186417, ur_c128_u1x8_uart0_lednop_pr_ee_ce },
 { 186418, ur_c128_u1x8_uart0_lednop_pr_ee_ce },
 { 186420, ur_c128_u1x8_uart0_lednop_ee_hw },
 { 186422, ur_c128_u1x8_uart0_lednop_ee_ce_hw },
 { 186423, ur_c128_u1x8_uart0_lednop_ee_ce_hw },
 { 186424, ur_c128_u1x8_uart0_dual },
 { 186425, ur_c128_u1x8_uart0_dual },
 { 186426, ur_c128_u1x8_uart0_dual },
 { 186427, ur_c128_u1x8_uart0_dual_pr_ee },
 { 186428, ur_c128_u1x8_uart0_dual_pr_ee_u4 },
 { 186429, ur_c128_u1x8_uart0_dual_pr_ce },
 { 186430, ur_c128_u1x8_uart0_dual_pr_ce_u4 },
 { 186431, ur_c128_u1x8_uart0_dual_pr_ee_ce },
 { 186432, ur_c128_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 186434, ur_c128_u1x8_uart0_dual_ee_hw },
 { 186436, ur_c128_u1x8_uart0_dual_ee_ce_hw },
 { 186437, ur_c128_u1x8_uart0_dual_ee_ce_hw },
 { 186480, ur_c128_u1x8_uart1_noled },
 { 186481, ur_c128_u1x8_uart1_noled },
 { 186482, ur_c128_u1x8_uart1_noled_pr_u4 },
 { 186483, ur_c128_u1x8_uart1_noled_pr_ee },
 { 186484, ur_c128_u1x8_uart1_noled_pr_ee },
 { 186485, ur_c128_u1x8_uart1_noled_pr_ce },
 { 186486, ur_c128_u1x8_uart1_noled_pr_ce },
 { 186487, ur_c128_u1x8_uart1_noled_pr_ee_ce },
 { 186488, ur_c128_u1x8_uart1_noled_pr_ee_ce },
 { 186490, ur_c128_u1x8_uart1_noled_ee_hw },
 { 186492, ur_c128_u1x8_uart1_noled_ee_ce_hw },
 { 186493, ur_c128_u1x8_uart1_noled_ee_ce_hw },
 { 186494, ur_c128_u1x8_uart1_lednop },
 { 186495, ur_c128_u1x8_uart1_lednop },
 { 186496, ur_c128_u1x8_uart1_lednop_pr_u4 },
 { 186497, ur_c128_u1x8_uart1_lednop_pr_ee },
 { 186498, ur_c128_u1x8_uart1_lednop_pr_ee },
 { 186499, ur_c128_u1x8_uart1_lednop_pr_ce },
 { 186500, ur_c128_u1x8_uart1_lednop_pr_ce },
 { 186501, ur_c128_u1x8_uart1_lednop_pr_ee_ce },
 { 186502, ur_c128_u1x8_uart1_lednop_pr_ee_ce },
 { 186504, ur_c128_u1x8_uart1_lednop_ee_hw },
 { 186506, ur_c128_u1x8_uart1_lednop_ee_ce_hw },
 { 186507, ur_c128_u1x8_uart1_lednop_ee_ce_hw },
 { 186508, ur_c128_u1x8_uart1_dual },
 { 186509, ur_c128_u1x8_uart1_dual },
 { 186510, ur_c128_u1x8_uart1_dual },
 { 186511, ur_c128_u1x8_uart1_dual_pr_ee },
 { 186512, ur_c128_u1x8_uart1_dual_pr_ee_u4 },
 { 186513, ur_c128_u1x8_uart1_dual_pr_ce },
 { 186514, ur_c128_u1x8_uart1_dual_pr_ce_u4 },
 { 186515, ur_c128_u1x8_uart1_dual_pr_ee_ce },
 { 186516, ur_c128_u1x8_uart1_dual_pr_ee_ce_u4 },
 { 186518, ur_c128_u1x8_uart1_dual_ee_hw },
 { 186520, ur_c128_u1x8_uart1_dual_ee_ce_hw },
 { 186521, ur_c128_u1x8_uart1_dual_ee_ce_hw },
 { 186606, ur_c128_u1x12_uart0_noled },
 { 186607, ur_c128_u1x12_uart0_noled },
 { 186608, ur_c128_u1x12_uart0_noled_pr_u4 },
 { 186609, ur_c128_u1x12_uart0_noled_pr_ee },
 { 186610, ur_c128_u1x12_uart0_noled_pr_ee },
 { 186611, ur_c128_u1x12_uart0_noled_pr_ce },
 { 186612, ur_c128_u1x12_uart0_noled_pr_ce },
 { 186613, ur_c128_u1x12_uart0_noled_pr_ee_ce },
 { 186614, ur_c128_u1x12_uart0_noled_pr_ee_ce },
 { 186616, ur_c128_u1x12_uart0_noled_ee_hw },
 { 186618, ur_c128_u1x12_uart0_noled_ee_ce_hw },
 { 186619, ur_c128_u1x12_uart0_noled_ee_ce_hw },
 { 186620, ur_c128_u1x12_uart0_lednop },
 { 186621, ur_c128_u1x12_uart0_lednop_pr },
 { 186622, ur_c128_u1x12_uart0_lednop_pr },
 { 186623, ur_c128_u1x12_uart0_lednop_pr_ee },
 { 186624, ur_c128_u1x12_uart0_lednop_pr_ee },
 { 186625, ur_c128_u1x12_uart0_lednop_pr_ce },
 { 186626, ur_c128_u1x12_uart0_lednop_pr_ce },
 { 186627, ur_c128_u1x12_uart0_lednop_pr_ee_ce },
 { 186628, ur_c128_u1x12_uart0_lednop_pr_ee_ce },
 { 186630, ur_c128_u1x12_uart0_lednop_ee_hw },
 { 186632, ur_c128_u1x12_uart0_lednop_ee_ce_hw },
 { 186633, ur_c128_u1x12_uart0_lednop_ee_ce_hw },
 { 186634, ur_c128_u1x12_uart0_dual },
 { 186635, ur_c128_u1x12_uart0_dual },
 { 186636, ur_c128_u1x12_uart0_dual },
 { 186637, ur_c128_u1x12_uart0_dual_pr_ee },
 { 186638, ur_c128_u1x12_uart0_dual_pr_ee_u4 },
 { 186639, ur_c128_u1x12_uart0_dual_pr_ce },
 { 186640, ur_c128_u1x12_uart0_dual_pr_ce_u4 },
 { 186641, ur_c128_u1x12_uart0_dual_pr_ee_ce },
 { 186642, ur_c128_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 186644, ur_c128_u1x12_uart0_dual_ee_hw },
 { 186646, ur_c128_u1x12_uart0_dual_ee_ce_hw },
 { 186647, ur_c128_u1x12_uart0_dual_ee_ce_hw },
 { 186690, ur_c128_u1x12_uart1_noled },
 { 186691, ur_c128_u1x12_uart1_noled },
 { 186692, ur_c128_u1x12_uart1_noled_pr_u4 },
 { 186693, ur_c128_u1x12_uart1_noled_pr_ee },
 { 186694, ur_c128_u1x12_uart1_noled_pr_ee },
 { 186695, ur_c128_u1x12_uart1_noled_pr_ce },
 { 186696, ur_c128_u1x12_uart1_noled_pr_ce },
 { 186697, ur_c128_u1x12_uart1_noled_pr_ee_ce },
 { 186698, ur_c128_u1x12_uart1_noled_pr_ee_ce },
 { 186700, ur_c128_u1x12_uart1_noled_ee_hw },
 { 186702, ur_c128_u1x12_uart1_noled_ee_ce_hw },
 { 186703, ur_c128_u1x12_uart1_noled_ee_ce_hw },
 { 186704, ur_c128_u1x12_uart1_lednop },
 { 186705, ur_c128_u1x12_uart1_lednop_pr },
 { 186706, ur_c128_u1x12_uart1_lednop_pr },
 { 186707, ur_c128_u1x12_uart1_lednop_pr_ee },
 { 186708, ur_c128_u1x12_uart1_lednop_pr_ee },
 { 186709, ur_c128_u1x12_uart1_lednop_pr_ce },
 { 186710, ur_c128_u1x12_uart1_lednop_pr_ce },
 { 186711, ur_c128_u1x12_uart1_lednop_pr_ee_ce },
 { 186712, ur_c128_u1x12_uart1_lednop_pr_ee_ce },
 { 186714, ur_c128_u1x12_uart1_lednop_ee_hw },
 { 186716, ur_c128_u1x12_uart1_lednop_ee_ce_hw },
 { 186717, ur_c128_u1x12_uart1_lednop_ee_ce_hw },
 { 186718, ur_c128_u1x12_uart1_dual },
 { 186719, ur_c128_u1x12_uart1_dual },
 { 186720, ur_c128_u1x12_uart1_dual },
 { 186721, ur_c128_u1x12_uart1_dual_pr_ee },
 { 186722, ur_c128_u1x12_uart1_dual_pr_ee_u4 },
 { 186723, ur_c128_u1x12_uart1_dual_pr_ce },
 { 186724, ur_c128_u1x12_uart1_dual_pr_ce_u4 },
 { 186725, ur_c128_u1x12_uart1_dual_pr_ee_ce },
 { 186726, ur_c128_u1x12_uart1_dual_pr_ee_ce_u4 },
 { 186728, ur_c128_u1x12_uart1_dual_ee_hw },
 { 186730, ur_c128_u1x12_uart1_dual_ee_ce_hw },
 { 186731, ur_c128_u1x12_uart1_dual_ee_ce_hw },
 { 186816, ur_c128_u2x8_uart0_noled },
 { 186817, ur_c128_u2x8_uart0_noled },
 { 186818, ur_c128_u2x8_uart0_noled_pr_u4 },
 { 186819, ur_c128_u2x8_uart0_noled_pr_ee },
 { 186820, ur_c128_u2x8_uart0_noled_pr_ee },
 { 186821, ur_c128_u2x8_uart0_noled_pr_ce },
 { 186822, ur_c128_u2x8_uart0_noled_pr_ce },
 { 186823, ur_c128_u2x8_uart0_noled_pr_ee_ce },
 { 186824, ur_c128_u2x8_uart0_noled_pr_ee_ce },
 { 186826, ur_c128_u2x8_uart0_noled_ee_hw },
 { 186828, ur_c128_u2x8_uart0_noled_ee_ce_hw },
 { 186829, ur_c128_u2x8_uart0_noled_ee_ce_hw },
 { 186830, ur_c128_u2x8_uart0_lednop },
 { 186831, ur_c128_u2x8_uart0_lednop_pr },
 { 186832, ur_c128_u2x8_uart0_lednop_pr },
 { 186833, ur_c128_u2x8_uart0_lednop_pr_ee },
 { 186834, ur_c128_u2x8_uart0_lednop_pr_ee },
 { 186835, ur_c128_u2x8_uart0_lednop_pr_ce },
 { 186836, ur_c128_u2x8_uart0_lednop_pr_ce },
 { 186837, ur_c128_u2x8_uart0_lednop_pr_ee_ce },
 { 186838, ur_c128_u2x8_uart0_lednop_pr_ee_ce },
 { 186840, ur_c128_u2x8_uart0_lednop_ee_hw },
 { 186842, ur_c128_u2x8_uart0_lednop_ee_ce_hw },
 { 186843, ur_c128_u2x8_uart0_lednop_ee_ce_hw },
 { 186844, ur_c128_u2x8_uart0_dual },
 { 186845, ur_c128_u2x8_uart0_dual },
 { 186846, ur_c128_u2x8_uart0_dual },
 { 186847, ur_c128_u2x8_uart0_dual_pr_ee },
 { 186848, ur_c128_u2x8_uart0_dual_pr_ee_u4 },
 { 186849, ur_c128_u2x8_uart0_dual_pr_ce },
 { 186850, ur_c128_u2x8_uart0_dual_pr_ce_u4 },
 { 186851, ur_c128_u2x8_uart0_dual_pr_ee_ce },
 { 186852, ur_c128_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 186854, ur_c128_u2x8_uart0_dual_ee_hw },
 { 186856, ur_c128_u2x8_uart0_dual_ee_ce_hw },
 { 186857, ur_c128_u2x8_uart0_dual_ee_ce_hw },
 { 186900, ur_c128_u2x8_uart1_noled },
 { 186901, ur_c128_u2x8_uart1_noled },
 { 186902, ur_c128_u2x8_uart1_noled_pr_u4 },
 { 186903, ur_c128_u2x8_uart1_noled_pr_ee },
 { 186904, ur_c128_u2x8_uart1_noled_pr_ee },
 { 186905, ur_c128_u2x8_uart1_noled_pr_ce },
 { 186906, ur_c128_u2x8_uart1_noled_pr_ce },
 { 186907, ur_c128_u2x8_uart1_noled_pr_ee_ce },
 { 186908, ur_c128_u2x8_uart1_noled_pr_ee_ce },
 { 186910, ur_c128_u2x8_uart1_noled_ee_hw },
 { 186912, ur_c128_u2x8_uart1_noled_ee_ce_hw },
 { 186913, ur_c128_u2x8_uart1_noled_ee_ce_hw },
 { 186914, ur_c128_u2x8_uart1_lednop },
 { 186915, ur_c128_u2x8_uart1_lednop_pr },
 { 186916, ur_c128_u2x8_uart1_lednop_pr },
 { 186917, ur_c128_u2x8_uart1_lednop_pr_ee },
 { 186918, ur_c128_u2x8_uart1_lednop_pr_ee },
 { 186919, ur_c128_u2x8_uart1_lednop_pr_ce },
 { 186920, ur_c128_u2x8_uart1_lednop_pr_ce },
 { 186921, ur_c128_u2x8_uart1_lednop_pr_ee_ce },
 { 186922, ur_c128_u2x8_uart1_lednop_pr_ee_ce },
 { 186924, ur_c128_u2x8_uart1_lednop_ee_hw },
 { 186926, ur_c128_u2x8_uart1_lednop_ee_ce_hw },
 { 186927, ur_c128_u2x8_uart1_lednop_ee_ce_hw },
 { 186928, ur_c128_u2x8_uart1_dual },
 { 186929, ur_c128_u2x8_uart1_dual },
 { 186930, ur_c128_u2x8_uart1_dual },
 { 186931, ur_c128_u2x8_uart1_dual_pr_ee },
 { 186932, ur_c128_u2x8_uart1_dual_pr_ee_u4 },
 { 186933, ur_c128_u2x8_uart1_dual_pr_ce },
 { 186934, ur_c128_u2x8_uart1_dual_pr_ce_u4 },
 { 186935, ur_c128_u2x8_uart1_dual_pr_ee_ce },
 { 186936, ur_c128_u2x8_uart1_dual_pr_ee_ce_u4 },
 { 186938, ur_c128_u2x8_uart1_dual_ee_hw },
 { 186940, ur_c128_u2x8_uart1_dual_ee_ce_hw },
 { 186941, ur_c128_u2x8_uart1_dual_ee_ce_hw },
 { 187026, ur_c128_u2x12_uart0_noled },
 { 187027, ur_c128_u2x12_uart0_noled },
 { 187028, ur_c128_u2x12_uart0_noled_pr_u4 },
 { 187029, ur_c128_u2x12_uart0_noled_pr_ee },
 { 187030, ur_c128_u2x12_uart0_noled_pr_ee },
 { 187031, ur_c128_u2x12_uart0_noled_pr_ce },
 { 187032, ur_c128_u2x12_uart0_noled_pr_ce },
 { 187033, ur_c128_u2x12_uart0_noled_pr_ee_ce },
 { 187034, ur_c128_u2x12_uart0_noled_pr_ee_ce },
 { 187036, ur_c128_u2x12_uart0_noled_ee_hw },
 { 187038, ur_c128_u2x12_uart0_noled_ee_ce_hw },
 { 187039, ur_c128_u2x12_uart0_noled_ee_ce_hw },
 { 187040, ur_c128_u2x12_uart0_lednop },
 { 187041, ur_c128_u2x12_uart0_lednop_pr },
 { 187042, ur_c128_u2x12_uart0_lednop_pr },
 { 187043, ur_c128_u2x12_uart0_lednop_pr_ee },
 { 187044, ur_c128_u2x12_uart0_lednop_pr_ee },
 { 187045, ur_c128_u2x12_uart0_lednop_pr_ce },
 { 187046, ur_c128_u2x12_uart0_lednop_pr_ce },
 { 187047, ur_c128_u2x12_uart0_lednop_pr_ee_ce },
 { 187048, ur_c128_u2x12_uart0_lednop_pr_ee_ce },
 { 187050, ur_c128_u2x12_uart0_lednop_ee_hw },
 { 187052, ur_c128_u2x12_uart0_lednop_ee_ce_hw },
 { 187053, ur_c128_u2x12_uart0_lednop_ee_ce_hw },
 { 187054, ur_c128_u2x12_uart0_dual },
 { 187055, ur_c128_u2x12_uart0_dual },
 { 187056, ur_c128_u2x12_uart0_dual },
 { 187057, ur_c128_u2x12_uart0_dual_pr_ee },
 { 187058, ur_c128_u2x12_uart0_dual_pr_ee_u4 },
 { 187059, ur_c128_u2x12_uart0_dual_pr_ce },
 { 187060, ur_c128_u2x12_uart0_dual_pr_ce_u4 },
 { 187061, ur_c128_u2x12_uart0_dual_pr_ee_ce },
 { 187062, ur_c128_u2x12_uart0_dual_pr_ee_ce },
 { 187064, ur_c128_u2x12_uart0_dual_ee_hw },
 { 187066, ur_c128_u2x12_uart0_dual_ee_ce_hw },
 { 187067, ur_c128_u2x12_uart0_dual_ee_ce_hw },
 { 187110, ur_c128_u2x12_uart1_noled },
 { 187111, ur_c128_u2x12_uart1_noled },
 { 187112, ur_c128_u2x12_uart1_noled_pr_u4 },
 { 187113, ur_c128_u2x12_uart1_noled_pr_ee },
 { 187114, ur_c128_u2x12_uart1_noled_pr_ee },
 { 187115, ur_c128_u2x12_uart1_noled_pr_ce },
 { 187116, ur_c128_u2x12_uart1_noled_pr_ce },
 { 187117, ur_c128_u2x12_uart1_noled_pr_ee_ce },
 { 187118, ur_c128_u2x12_uart1_noled_pr_ee_ce },
 { 187120, ur_c128_u2x12_uart1_noled_ee_hw },
 { 187122, ur_c128_u2x12_uart1_noled_ee_ce_hw },
 { 187123, ur_c128_u2x12_uart1_noled_ee_ce_hw },
 { 187124, ur_c128_u2x12_uart1_lednop },
 { 187125, ur_c128_u2x12_uart1_lednop_pr },
 { 187126, ur_c128_u2x12_uart1_lednop_pr },
 { 187127, ur_c128_u2x12_uart1_lednop_pr_ee },
 { 187128, ur_c128_u2x12_uart1_lednop_pr_ee },
 { 187129, ur_c128_u2x12_uart1_lednop_pr_ce },
 { 187130, ur_c128_u2x12_uart1_lednop_pr_ce },
 { 187131, ur_c128_u2x12_uart1_lednop_pr_ee_ce },
 { 187132, ur_c128_u2x12_uart1_lednop_pr_ee_ce },
 { 187134, ur_c128_u2x12_uart1_lednop_ee_hw },
 { 187136, ur_c128_u2x12_uart1_lednop_ee_ce_hw },
 { 187137, ur_c128_u2x12_uart1_lednop_ee_ce_hw },
 { 187138, ur_c128_u2x12_uart1_dual },
 { 187139, ur_c128_u2x12_uart1_dual },
 { 187140, ur_c128_u2x12_uart1_dual },
 { 187141, ur_c128_u2x12_uart1_dual_pr_ee },
 { 187142, ur_c128_u2x12_uart1_dual_pr_ee_u4 },
 { 187143, ur_c128_u2x12_uart1_dual_pr_ce },
 { 187144, ur_c128_u2x12_uart1_dual_pr_ce_u4 },
 { 187145, ur_c128_u2x12_uart1_dual_pr_ee_ce },
 { 187146, ur_c128_u2x12_uart1_dual_pr_ee_ce },
 { 187148, ur_c128_u2x12_uart1_dual_ee_hw },
 { 187150, ur_c128_u2x12_uart1_dual_ee_ce_hw },
 { 187151, ur_c128_u2x12_uart1_dual_ee_ce_hw },
 { 187236, ur_c128_swio10_noled },
 { 187237, ur_c128_swio10_noled_pr },
 { 187238, ur_c128_swio10_noled_pr },
 { 187239, ur_c128_swio10_noled_pr_ee },
 { 187240, ur_c128_swio10_noled_pr_ee },
 { 187241, ur_c128_swio10_noled_pr_ce },
 { 187242, ur_c128_swio10_noled_pr_ce },
 { 187243, ur_c128_swio10_noled_pr_ee_ce },
 { 187244, ur_c128_swio10_noled_pr_ee_ce },
 { 187246, ur_c128_swio10_noled_ee_hw },
 { 187248, ur_c128_swio10_noled_ee_ce_hw },
 { 187249, ur_c128_swio10_noled_ee_ce_hw },
 { 187250, ur_c128_swio10_lednop },
 { 187251, ur_c128_swio10_lednop },
 { 187252, ur_c128_swio10_lednop },
 { 187253, ur_c128_swio10_lednop_pr_ee },
 { 187254, ur_c128_swio10_lednop_pr_ee },
 { 187255, ur_c128_swio10_lednop_pr_ce },
 { 187256, ur_c128_swio10_lednop_pr_ce },
 { 187257, ur_c128_swio10_lednop_pr_ee_ce },
 { 187258, ur_c128_swio10_lednop_pr_ee_ce },
 { 187260, ur_c128_swio10_lednop_ee_hw },
 { 187262, ur_c128_swio10_lednop_ee_ce_hw },
 { 187263, ur_c128_swio10_lednop_ee_ce_hw },
 { 187264, ur_c128_swio10_dual },
 { 187265, ur_c128_swio10_dual },
 { 187266, ur_c128_swio10_dual },
 { 187267, ur_c128_swio10_dual_pr_ee },
 { 187268, ur_c128_swio10_dual_pr_ee_u4 },
 { 187269, ur_c128_swio10_dual_pr_ce },
 { 187270, ur_c128_swio10_dual_pr_ce_u4 },
 { 187271, ur_c128_swio10_dual_pr_ee_ce },
 { 187272, ur_c128_swio10_dual_pr_ee_ce },
 { 187274, ur_c128_swio10_dual_ee_hw },
 { 187276, ur_c128_swio10_dual_ee_ce_hw },
 { 187277, ur_c128_swio10_dual_ee_ce_hw },
 { 187278, ur_c128_swio11_noled },
 { 187279, ur_c128_swio11_noled },
 { 187280, ur_c128_swio11_noled },
 { 187281, ur_c128_swio11_noled_pr_ee },
 { 187282, ur_c128_swio11_noled_pr_ee },
 { 187283, ur_c128_swio11_noled_pr_ce },
 { 187284, ur_c128_swio11_noled_pr_ce },
 { 187285, ur_c128_swio11_noled_pr_ee_ce },
 { 187286, ur_c128_swio11_noled_pr_ee_ce },
 { 187288, ur_c128_swio11_noled_ee_hw },
 { 187290, ur_c128_swio11_noled_ee_ce_hw },
 { 187291, ur_c128_swio11_noled_ee_ce_hw },
 { 187292, ur_c128_swio11_lednop },
 { 187293, ur_c128_swio11_lednop },
 { 187294, ur_c128_swio11_lednop },
 { 187295, ur_c128_swio11_lednop_pr_ee },
 { 187296, ur_c128_swio11_lednop_pr_ee },
 { 187297, ur_c128_swio11_lednop_pr_ce },
 { 187298, ur_c128_swio11_lednop_pr_ce },
 { 187299, ur_c128_swio11_lednop_pr_ee_ce },
 { 187300, ur_c128_swio11_lednop_pr_ee_ce },
 { 187302, ur_c128_swio11_lednop_ee_hw },
 { 187304, ur_c128_swio11_lednop_ee_ce_hw },
 { 187305, ur_c128_swio11_lednop_ee_ce_hw },
 { 187306, ur_c128_swio11_dual },
 { 187307, ur_c128_swio11_dual },
 { 187308, ur_c128_swio11_dual },
 { 187309, ur_c128_swio11_dual_pr_ee },
 { 187310, ur_c128_swio11_dual_pr_ee_u4 },
 { 187311, ur_c128_swio11_dual_pr_ce },
 { 187312, ur_c128_swio11_dual_pr_ce_u4 },
 { 187313, ur_c128_swio11_dual_pr_ee_ce },
 { 187314, ur_c128_swio11_dual_pr_ee_ce },
 { 187316, ur_c128_swio11_dual_ee_hw },
 { 187318, ur_c128_swio11_dual_ee_ce_hw },
 { 187319, ur_c128_swio11_dual_ee_ce_hw },
 { 187320, ur_c128_swio11_noled },
 { 187321, ur_c128_swio11_noled },
 { 187322, ur_c128_swio11_noled },
 { 187323, ur_c128_swio11_noled_pr_ee },
 { 187324, ur_c128_swio11_noled_pr_ee },
 { 187325, ur_c128_swio11_noled_pr_ce },
 { 187326, ur_c128_swio11_noled_pr_ce },
 { 187327, ur_c128_swio11_noled_pr_ee_ce },
 { 187328, ur_c128_swio11_noled_pr_ee_ce },
 { 187330, ur_c128_swio11_noled_ee_hw },
 { 187332, ur_c128_swio11_noled_ee_ce_hw },
 { 187333, ur_c128_swio11_noled_ee_ce_hw },
 { 187334, ur_c128_swio11_lednop },
 { 187335, ur_c128_swio11_lednop },
 { 187336, ur_c128_swio11_lednop },
 { 187337, ur_c128_swio11_lednop_pr_ee },
 { 187338, ur_c128_swio11_lednop_pr_ee },
 { 187339, ur_c128_swio11_lednop_pr_ce },
 { 187340, ur_c128_swio11_lednop_pr_ce },
 { 187341, ur_c128_swio11_lednop_pr_ee_ce },
 { 187342, ur_c128_swio11_lednop_pr_ee_ce },
 { 187344, ur_c128_swio11_lednop_ee_hw },
 { 187346, ur_c128_swio11_lednop_ee_ce_hw },
 { 187347, ur_c128_swio11_lednop_ee_ce_hw },
 { 187348, ur_c128_swio11_dual },
 { 187349, ur_c128_swio11_dual },
 { 187350, ur_c128_swio11_dual },
 { 187351, ur_c128_swio11_dual_pr_ee },
 { 187352, ur_c128_swio11_dual_pr_ee_u4 },
 { 187353, ur_c128_swio11_dual_pr_ce },
 { 187354, ur_c128_swio11_dual_pr_ce_u4 },
 { 187355, ur_c128_swio11_dual_pr_ee_ce },
 { 187356, ur_c128_swio11_dual_pr_ee_ce },
 { 187358, ur_c128_swio11_dual_ee_hw },
 { 187360, ur_c128_swio11_dual_ee_ce_hw },
 { 187361, ur_c128_swio11_dual_ee_ce_hw },
 { 187362, ur_c128_swio13_noled },
 { 187363, ur_c128_swio13_noled },
 { 187364, ur_c128_swio13_noled },
 { 187365, ur_c128_swio13_noled_pr_ee },
 { 187366, ur_c128_swio13_noled_pr_ee },
 { 187367, ur_c128_swio13_noled_pr_ce },
 { 187368, ur_c128_swio13_noled_pr_ce },
 { 187369, ur_c128_swio13_noled_pr_ee_ce },
 { 187370, ur_c128_swio13_noled_pr_ee_ce },
 { 187372, ur_c128_swio13_noled_ee_hw },
 { 187374, ur_c128_swio13_noled_ee_ce_hw },
 { 187375, ur_c128_swio13_noled_ee_ce_hw },
 { 187376, ur_c128_swio13_lednop },
 { 187377, ur_c128_swio13_lednop },
 { 187378, ur_c128_swio13_lednop },
 { 187379, ur_c128_swio13_lednop_pr_ee },
 { 187380, ur_c128_swio13_lednop_pr_ee },
 { 187381, ur_c128_swio13_lednop_pr_ce },
 { 187382, ur_c128_swio13_lednop_pr_ce },
 { 187383, ur_c128_swio13_lednop_pr_ee_ce },
 { 187384, ur_c128_swio13_lednop_pr_ee_ce },
 { 187386, ur_c128_swio13_lednop_ee_hw },
 { 187388, ur_c128_swio13_lednop_ee_ce_hw },
 { 187389, ur_c128_swio13_lednop_ee_ce_hw },
 { 187390, ur_c128_swio13_dual },
 { 187391, ur_c128_swio13_dual },
 { 187392, ur_c128_swio13_dual },
 { 187393, ur_c128_swio13_dual_pr_ee },
 { 187394, ur_c128_swio13_dual_pr_ee_u4 },
 { 187395, ur_c128_swio13_dual_pr_ce },
 { 187396, ur_c128_swio13_dual_pr_ce_u4 },
 { 187397, ur_c128_swio13_dual_pr_ee_ce },
 { 187398, ur_c128_swio13_dual_pr_ee_ce },
 { 187400, ur_c128_swio13_dual_ee_hw },
 { 187402, ur_c128_swio13_dual_ee_ce_hw },
 { 187403, ur_c128_swio13_dual_ee_ce_hw },
 { 187404, ur_c128_swio14_noled },
 { 187405, ur_c128_swio14_noled },
 { 187406, ur_c128_swio14_noled },
 { 187407, ur_c128_swio14_noled_pr_ee },
 { 187408, ur_c128_swio14_noled_pr_ee },
 { 187409, ur_c128_swio14_noled_pr_ce },
 { 187410, ur_c128_swio14_noled_pr_ce },
 { 187411, ur_c128_swio14_noled_pr_ee_ce },
 { 187412, ur_c128_swio14_noled_pr_ee_ce },
 { 187414, ur_c128_swio14_noled_ee_hw },
 { 187416, ur_c128_swio14_noled_ee_ce_hw },
 { 187417, ur_c128_swio14_noled_ee_ce_hw },
 { 187418, ur_c128_swio14_lednop },
 { 187419, ur_c128_swio14_lednop },
 { 187420, ur_c128_swio14_lednop },
 { 187421, ur_c128_swio14_lednop_pr_ee },
 { 187422, ur_c128_swio14_lednop_pr_ee },
 { 187423, ur_c128_swio14_lednop_pr_ce },
 { 187424, ur_c128_swio14_lednop_pr_ce },
 { 187425, ur_c128_swio14_lednop_pr_ee_ce },
 { 187426, ur_c128_swio14_lednop_pr_ee_ce },
 { 187428, ur_c128_swio14_lednop_ee_hw },
 { 187430, ur_c128_swio14_lednop_ee_ce_hw },
 { 187431, ur_c128_swio14_lednop_ee_ce_hw },
 { 187432, ur_c128_swio14_dual },
 { 187433, ur_c128_swio14_dual },
 { 187434, ur_c128_swio14_dual },
 { 187435, ur_c128_swio14_dual_pr_ee },
 { 187436, ur_c128_swio14_dual_pr_ee_u4 },
 { 187437, ur_c128_swio14_dual_pr_ce },
 { 187438, ur_c128_swio14_dual_pr_ce_u4 },
 { 187439, ur_c128_swio14_dual_pr_ee_ce },
 { 187440, ur_c128_swio14_dual_pr_ee_ce },
 { 187442, ur_c128_swio14_dual_ee_hw },
 { 187444, ur_c128_swio14_dual_ee_ce_hw },
 { 187445, ur_c128_swio14_dual_ee_ce_hw },
 { 187446, ur_c128_swio15_noled },
 { 187447, ur_c128_swio15_noled },
 { 187448, ur_c128_swio15_noled },
 { 187449, ur_c128_swio15_noled_pr_ee },
 { 187450, ur_c128_swio15_noled_pr_ee },
 { 187451, ur_c128_swio15_noled_pr_ce },
 { 187452, ur_c128_swio15_noled_pr_ce },
 { 187453, ur_c128_swio15_noled_pr_ee_ce },
 { 187454, ur_c128_swio15_noled_pr_ee_ce },
 { 187456, ur_c128_swio15_noled_ee_hw },
 { 187458, ur_c128_swio15_noled_ee_ce_hw },
 { 187459, ur_c128_swio15_noled_ee_ce_hw },
 { 187460, ur_c128_swio15_lednop },
 { 187461, ur_c128_swio15_lednop },
 { 187462, ur_c128_swio15_lednop },
 { 187463, ur_c128_swio15_lednop_pr_ee },
 { 187464, ur_c128_swio15_lednop_pr_ee },
 { 187465, ur_c128_swio15_lednop_pr_ce },
 { 187466, ur_c128_swio15_lednop_pr_ce },
 { 187467, ur_c128_swio15_lednop_pr_ee_ce },
 { 187468, ur_c128_swio15_lednop_pr_ee_ce },
 { 187470, ur_c128_swio15_lednop_ee_hw },
 { 187472, ur_c128_swio15_lednop_ee_ce_hw },
 { 187473, ur_c128_swio15_lednop_ee_ce_hw },
 { 187474, ur_c128_swio15_dual },
 { 187475, ur_c128_swio15_dual },
 { 187476, ur_c128_swio15_dual },
 { 187477, ur_c128_swio15_dual_pr_ee },
 { 187478, ur_c128_swio15_dual_pr_ee_u4 },
 { 187479, ur_c128_swio15_dual_pr_ce },
 { 187480, ur_c128_swio15_dual_pr_ce_u4 },
 { 187481, ur_c128_swio15_dual_pr_ee_ce },
 { 187482, ur_c128_swio15_dual_pr_ee_ce },
 { 187484, ur_c128_swio15_dual_ee_hw },
 { 187486, ur_c128_swio15_dual_ee_ce_hw },
 { 187487, ur_c128_swio15_dual_ee_ce_hw },
 { 188538, ur_pwm1_swio10_noled },
 { 188539, ur_pwm1_swio10_noled_pr },
 { 188540, ur_pwm1_swio10_noled_pr_u4 },
 { 188541, ur_pwm1_swio10_noled_pr_ee },
 { 188542, ur_pwm1_swio10_noled_pr_ee_u4 },
 { 188543, ur_pwm1_swio10_noled_pr_ce },
 { 188544, ur_pwm1_swio10_noled_pr_ce_u4 },
 { 188545, ur_pwm1_swio10_noled_pr_ee_ce },
 { 188546, ur_pwm1_swio10_noled_pr_ee_ce_u4 },
 { 188547, ur_pwm1_swio10_noled_hw },
 { 188548, ur_pwm1_swio10_noled_ee_hw },
 { 188549, ur_pwm1_swio10_noled_ce_hw },
 { 188550, ur_pwm1_swio10_noled_ee_ce_hw },
 { 188551, ur_pwm1_swio10_noled_ee_ce_hw },
 { 188552, ur_pwm1_swio10_lednop },
 { 188553, ur_pwm1_swio10_lednop_pr },
 { 188554, ur_pwm1_swio10_lednop_pr_u4 },
 { 188555, ur_pwm1_swio10_lednop_pr_ee },
 { 188556, ur_pwm1_swio10_lednop_pr_ee_u4 },
 { 188557, ur_pwm1_swio10_lednop_pr_ce },
 { 188558, ur_pwm1_swio10_lednop_pr_ce_u4 },
 { 188559, ur_pwm1_swio10_lednop_pr_ee_ce },
 { 188560, ur_pwm1_swio10_lednop_pr_ee_ce_u4 },
 { 188561, ur_pwm1_swio10_lednop_hw },
 { 188562, ur_pwm1_swio10_lednop_ee_hw },
 { 188563, ur_pwm1_swio10_lednop_ce_hw },
 { 188564, ur_pwm1_swio10_lednop_ee_ce_hw },
 { 188565, ur_pwm1_swio10_lednop_ee_ce_hw },
 { 188566, ur_pwm1_swio10_dual },
 { 188567, ur_pwm1_swio10_dual },
 { 188568, ur_pwm1_swio10_dual_pr_u4 },
 { 188569, ur_pwm1_swio10_dual_pr_ee },
 { 188570, ur_pwm1_swio10_dual_pr_ee_u4 },
 { 188571, ur_pwm1_swio10_dual_pr_ce },
 { 188572, ur_pwm1_swio10_dual_pr_ce_u4 },
 { 188573, ur_pwm1_swio10_dual_pr_ee_ce },
 { 188574, ur_pwm1_swio10_dual_pr_ee_ce_u4 },
 { 188575, ur_pwm1_swio10_dual_hw },
 { 188576, ur_pwm1_swio10_dual_ee_hw },
 { 188577, ur_pwm1_swio10_dual_ce_hw },
 { 188578, ur_pwm1_swio10_dual_ee_ce_hw },
 { 188579, ur_pwm1_swio10_dual_ee_ce_u4_hw },
 { 188580, ur_pwm1_swio11_noled },
 { 188581, ur_pwm1_swio11_noled_pr },
 { 188582, ur_pwm1_swio11_noled_pr_u4 },
 { 188583, ur_pwm1_swio11_noled_pr_ee },
 { 188584, ur_pwm1_swio11_noled_pr_ee_u4 },
 { 188585, ur_pwm1_swio11_noled_pr_ce },
 { 188586, ur_pwm1_swio11_noled_pr_ce_u4 },
 { 188587, ur_pwm1_swio11_noled_pr_ee_ce },
 { 188588, ur_pwm1_swio11_noled_pr_ee_ce_u4 },
 { 188589, ur_pwm1_swio11_noled_hw },
 { 188590, ur_pwm1_swio11_noled_ee_hw },
 { 188591, ur_pwm1_swio11_noled_ce_hw },
 { 188592, ur_pwm1_swio11_noled_ee_ce_hw },
 { 188593, ur_pwm1_swio11_noled_ee_ce_hw },
 { 188594, ur_pwm1_swio11_lednop },
 { 188595, ur_pwm1_swio11_lednop_pr },
 { 188596, ur_pwm1_swio11_lednop_pr_u4 },
 { 188597, ur_pwm1_swio11_lednop_pr_ee },
 { 188598, ur_pwm1_swio11_lednop_pr_ee_u4 },
 { 188599, ur_pwm1_swio11_lednop_pr_ce },
 { 188600, ur_pwm1_swio11_lednop_pr_ce_u4 },
 { 188601, ur_pwm1_swio11_lednop_pr_ee_ce },
 { 188602, ur_pwm1_swio11_lednop_pr_ee_ce_u4 },
 { 188603, ur_pwm1_swio11_lednop_hw },
 { 188604, ur_pwm1_swio11_lednop_ee_hw },
 { 188605, ur_pwm1_swio11_lednop_ce_hw },
 { 188606, ur_pwm1_swio11_lednop_ee_ce_hw },
 { 188607, ur_pwm1_swio11_lednop_ee_ce_hw },
 { 188608, ur_pwm1_swio11_dual },
 { 188609, ur_pwm1_swio11_dual },
 { 188610, ur_pwm1_swio11_dual_pr_u4 },
 { 188611, ur_pwm1_swio11_dual_pr_ee },
 { 188612, ur_pwm1_swio11_dual_pr_ee_u4 },
 { 188613, ur_pwm1_swio11_dual_pr_ce },
 { 188614, ur_pwm1_swio11_dual_pr_ce_u4 },
 { 188615, ur_pwm1_swio11_dual_pr_ee_ce },
 { 188616, ur_pwm1_swio11_dual_pr_ee_ce_u4 },
 { 188617, ur_pwm1_swio11_dual_hw },
 { 188618, ur_pwm1_swio11_dual_ee_hw },
 { 188619, ur_pwm1_swio11_dual_ce_hw },
 { 188620, ur_pwm1_swio11_dual_ee_ce_hw },
 { 188621, ur_pwm1_swio11_dual_ee_ce_u4_hw },
 { 188622, ur_pwm1_swio11_noled },
 { 188623, ur_pwm1_swio11_noled_pr },
 { 188624, ur_pwm1_swio11_noled_pr_u4 },
 { 188625, ur_pwm1_swio11_noled_pr_ee },
 { 188626, ur_pwm1_swio11_noled_pr_ee_u4 },
 { 188627, ur_pwm1_swio11_noled_pr_ce },
 { 188628, ur_pwm1_swio11_noled_pr_ce_u4 },
 { 188629, ur_pwm1_swio11_noled_pr_ee_ce },
 { 188630, ur_pwm1_swio11_noled_pr_ee_ce_u4 },
 { 188631, ur_pwm1_swio11_noled_hw },
 { 188632, ur_pwm1_swio11_noled_ee_hw },
 { 188633, ur_pwm1_swio11_noled_ce_hw },
 { 188634, ur_pwm1_swio11_noled_ee_ce_hw },
 { 188635, ur_pwm1_swio11_noled_ee_ce_hw },
 { 188636, ur_pwm1_swio11_lednop },
 { 188637, ur_pwm1_swio11_lednop_pr },
 { 188638, ur_pwm1_swio11_lednop_pr_u4 },
 { 188639, ur_pwm1_swio11_lednop_pr_ee },
 { 188640, ur_pwm1_swio11_lednop_pr_ee_u4 },
 { 188641, ur_pwm1_swio11_lednop_pr_ce },
 { 188642, ur_pwm1_swio11_lednop_pr_ce_u4 },
 { 188643, ur_pwm1_swio11_lednop_pr_ee_ce },
 { 188644, ur_pwm1_swio11_lednop_pr_ee_ce_u4 },
 { 188645, ur_pwm1_swio11_lednop_hw },
 { 188646, ur_pwm1_swio11_lednop_ee_hw },
 { 188647, ur_pwm1_swio11_lednop_ce_hw },
 { 188648, ur_pwm1_swio11_lednop_ee_ce_hw },
 { 188649, ur_pwm1_swio11_lednop_ee_ce_hw },
 { 188650, ur_pwm1_swio11_dual },
 { 188651, ur_pwm1_swio11_dual },
 { 188652, ur_pwm1_swio11_dual_pr_u4 },
 { 188653, ur_pwm1_swio11_dual_pr_ee },
 { 188654, ur_pwm1_swio11_dual_pr_ee_u4 },
 { 188655, ur_pwm1_swio11_dual_pr_ce },
 { 188656, ur_pwm1_swio11_dual_pr_ce_u4 },
 { 188657, ur_pwm1_swio11_dual_pr_ee_ce },
 { 188658, ur_pwm1_swio11_dual_pr_ee_ce_u4 },
 { 188659, ur_pwm1_swio11_dual_hw },
 { 188660, ur_pwm1_swio11_dual_ee_hw },
 { 188661, ur_pwm1_swio11_dual_ce_hw },
 { 188662, ur_pwm1_swio11_dual_ee_ce_hw },
 { 188663, ur_pwm1_swio11_dual_ee_ce_u4_hw },
 { 188664, ur_pwm1_swio13_noled },
 { 188665, ur_pwm1_swio13_noled_pr },
 { 188666, ur_pwm1_swio13_noled_pr_u4 },
 { 188667, ur_pwm1_swio13_noled_pr_ee },
 { 188668, ur_pwm1_swio13_noled_pr_ee_u4 },
 { 188669, ur_pwm1_swio13_noled_pr_ce },
 { 188670, ur_pwm1_swio13_noled_pr_ce_u4 },
 { 188671, ur_pwm1_swio13_noled_pr_ee_ce },
 { 188672, ur_pwm1_swio13_noled_pr_ee_ce_u4 },
 { 188673, ur_pwm1_swio13_noled_hw },
 { 188674, ur_pwm1_swio13_noled_ee_hw },
 { 188675, ur_pwm1_swio13_noled_ce_hw },
 { 188676, ur_pwm1_swio13_noled_ee_ce_hw },
 { 188677, ur_pwm1_swio13_noled_ee_ce_hw },
 { 188678, ur_pwm1_swio13_lednop },
 { 188679, ur_pwm1_swio13_lednop_pr },
 { 188680, ur_pwm1_swio13_lednop_pr_u4 },
 { 188681, ur_pwm1_swio13_lednop_pr_ee },
 { 188682, ur_pwm1_swio13_lednop_pr_ee_u4 },
 { 188683, ur_pwm1_swio13_lednop_pr_ce },
 { 188684, ur_pwm1_swio13_lednop_pr_ce_u4 },
 { 188685, ur_pwm1_swio13_lednop_pr_ee_ce },
 { 188686, ur_pwm1_swio13_lednop_pr_ee_ce_u4 },
 { 188687, ur_pwm1_swio13_lednop_hw },
 { 188688, ur_pwm1_swio13_lednop_ee_hw },
 { 188689, ur_pwm1_swio13_lednop_ce_hw },
 { 188690, ur_pwm1_swio13_lednop_ee_ce_hw },
 { 188691, ur_pwm1_swio13_lednop_ee_ce_hw },
 { 188692, ur_pwm1_swio13_dual },
 { 188693, ur_pwm1_swio13_dual },
 { 188694, ur_pwm1_swio13_dual_pr_u4 },
 { 188695, ur_pwm1_swio13_dual_pr_ee },
 { 188696, ur_pwm1_swio13_dual_pr_ee_u4 },
 { 188697, ur_pwm1_swio13_dual_pr_ce },
 { 188698, ur_pwm1_swio13_dual_pr_ce_u4 },
 { 188699, ur_pwm1_swio13_dual_pr_ee_ce },
 { 188700, ur_pwm1_swio13_dual_pr_ee_ce_u4 },
 { 188701, ur_pwm1_swio13_dual_hw },
 { 188702, ur_pwm1_swio13_dual_ee_hw },
 { 188703, ur_pwm1_swio13_dual_ce_hw },
 { 188704, ur_pwm1_swio13_dual_ee_ce_hw },
 { 188705, ur_pwm1_swio13_dual_ee_ce_u4_hw },
 { 188706, ur_pwm1_swio14_noled },
 { 188707, ur_pwm1_swio14_noled_pr },
 { 188708, ur_pwm1_swio14_noled_pr_u4 },
 { 188709, ur_pwm1_swio14_noled_pr_ee },
 { 188710, ur_pwm1_swio14_noled_pr_ee_u4 },
 { 188711, ur_pwm1_swio14_noled_pr_ce },
 { 188712, ur_pwm1_swio14_noled_pr_ce_u4 },
 { 188713, ur_pwm1_swio14_noled_pr_ee_ce },
 { 188714, ur_pwm1_swio14_noled_pr_ee_ce_u4 },
 { 188715, ur_pwm1_swio14_noled_hw },
 { 188716, ur_pwm1_swio14_noled_ee_hw },
 { 188717, ur_pwm1_swio14_noled_ce_hw },
 { 188718, ur_pwm1_swio14_noled_ee_ce_hw },
 { 188719, ur_pwm1_swio14_noled_ee_ce_hw },
 { 188720, ur_pwm1_swio14_lednop },
 { 188721, ur_pwm1_swio14_lednop_pr },
 { 188722, ur_pwm1_swio14_lednop_pr_u4 },
 { 188723, ur_pwm1_swio14_lednop_pr_ee },
 { 188724, ur_pwm1_swio14_lednop_pr_ee_u4 },
 { 188725, ur_pwm1_swio14_lednop_pr_ce },
 { 188726, ur_pwm1_swio14_lednop_pr_ce_u4 },
 { 188727, ur_pwm1_swio14_lednop_pr_ee_ce },
 { 188728, ur_pwm1_swio14_lednop_pr_ee_ce_u4 },
 { 188729, ur_pwm1_swio14_lednop_hw },
 { 188730, ur_pwm1_swio14_lednop_ee_hw },
 { 188731, ur_pwm1_swio14_lednop_ce_hw },
 { 188732, ur_pwm1_swio14_lednop_ee_ce_hw },
 { 188733, ur_pwm1_swio14_lednop_ee_ce_hw },
 { 188734, ur_pwm1_swio14_dual },
 { 188735, ur_pwm1_swio14_dual },
 { 188736, ur_pwm1_swio14_dual_pr_u4 },
 { 188737, ur_pwm1_swio14_dual_pr_ee },
 { 188738, ur_pwm1_swio14_dual_pr_ee_u4 },
 { 188739, ur_pwm1_swio14_dual_pr_ce },
 { 188740, ur_pwm1_swio14_dual_pr_ce_u4 },
 { 188741, ur_pwm1_swio14_dual_pr_ee_ce },
 { 188742, ur_pwm1_swio14_dual_pr_ee_ce_u4 },
 { 188743, ur_pwm1_swio14_dual_hw },
 { 188744, ur_pwm1_swio14_dual_ee_hw },
 { 188745, ur_pwm1_swio14_dual_ce_hw },
 { 188746, ur_pwm1_swio14_dual_ee_ce_hw },
 { 188747, ur_pwm1_swio14_dual_ee_ce_u4_hw },
 { 188748, ur_pwm1_swio15_noled },
 { 188749, ur_pwm1_swio15_noled_pr },
 { 188750, ur_pwm1_swio15_noled_pr_u4 },
 { 188751, ur_pwm1_swio15_noled_pr_ee },
 { 188752, ur_pwm1_swio15_noled_pr_ee_u4 },
 { 188753, ur_pwm1_swio15_noled_pr_ce },
 { 188754, ur_pwm1_swio15_noled_pr_ce_u4 },
 { 188755, ur_pwm1_swio15_noled_pr_ee_ce },
 { 188756, ur_pwm1_swio15_noled_pr_ee_ce_u4 },
 { 188757, ur_pwm1_swio15_noled_hw },
 { 188758, ur_pwm1_swio15_noled_ee_hw },
 { 188759, ur_pwm1_swio15_noled_ce_hw },
 { 188760, ur_pwm1_swio15_noled_ee_ce_hw },
 { 188761, ur_pwm1_swio15_noled_ee_ce_hw },
 { 188762, ur_pwm1_swio15_lednop },
 { 188763, ur_pwm1_swio15_lednop_pr },
 { 188764, ur_pwm1_swio15_lednop_pr_u4 },
 { 188765, ur_pwm1_swio15_lednop_pr_ee },
 { 188766, ur_pwm1_swio15_lednop_pr_ee_u4 },
 { 188767, ur_pwm1_swio15_lednop_pr_ce },
 { 188768, ur_pwm1_swio15_lednop_pr_ce_u4 },
 { 188769, ur_pwm1_swio15_lednop_pr_ee_ce },
 { 188770, ur_pwm1_swio15_lednop_pr_ee_ce_u4 },
 { 188771, ur_pwm1_swio15_lednop_hw },
 { 188772, ur_pwm1_swio15_lednop_ee_hw },
 { 188773, ur_pwm1_swio15_lednop_ce_hw },
 { 188774, ur_pwm1_swio15_lednop_ee_ce_hw },
 { 188775, ur_pwm1_swio15_lednop_ee_ce_hw },
 { 188776, ur_pwm1_swio15_dual },
 { 188777, ur_pwm1_swio15_dual },
 { 188778, ur_pwm1_swio15_dual_pr_u4 },
 { 188779, ur_pwm1_swio15_dual_pr_ee },
 { 188780, ur_pwm1_swio15_dual_pr_ee_u4 },
 { 188781, ur_pwm1_swio15_dual_pr_ce },
 { 188782, ur_pwm1_swio15_dual_pr_ce_u4 },
 { 188783, ur_pwm1_swio15_dual_pr_ee_ce },
 { 188784, ur_pwm1_swio15_dual_pr_ee_ce_u4 },
 { 188785, ur_pwm1_swio15_dual_hw },
 { 188786, ur_pwm1_swio15_dual_ee_hw },
 { 188787, ur_pwm1_swio15_dual_ce_hw },
 { 188788, ur_pwm1_swio15_dual_ee_ce_hw },
 { 188789, ur_pwm1_swio15_dual_ee_ce_u4_hw },
 { 188790, ur_pwm2_autobaud_uart0_noled },
 { 188791, ur_pwm2_autobaud_uart0_noled },
 { 188792, ur_pwm2_autobaud_uart0_noled_pr_u4 },
 { 188793, ur_pwm2_autobaud_uart0_noled_pr_ee },
 { 188794, ur_pwm2_autobaud_uart0_noled_pr_ee_u4 },
 { 188795, ur_pwm2_autobaud_uart0_noled_pr_ce },
 { 188796, ur_pwm2_autobaud_uart0_noled_pr_ce_u4 },
 { 188797, ur_pwm2_autobaud_uart0_noled_pr_ee_ce },
 { 188798, ur_pwm2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 188799, ur_pwm2_autobaud_uart0_noled_hw },
 { 188800, ur_pwm2_autobaud_uart0_noled_ee_hw },
 { 188801, ur_pwm2_autobaud_uart0_noled_ce_hw },
 { 188802, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 188803, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 188804, ur_pwm2_autobaud_uart0_lednop },
 { 188805, ur_pwm2_autobaud_uart0_lednop_pr },
 { 188806, ur_pwm2_autobaud_uart0_lednop_pr_u4 },
 { 188807, ur_pwm2_autobaud_uart0_lednop_pr_ee },
 { 188808, ur_pwm2_autobaud_uart0_lednop_pr_ee_u4 },
 { 188809, ur_pwm2_autobaud_uart0_lednop_pr_ce },
 { 188810, ur_pwm2_autobaud_uart0_lednop_pr_ce_u4 },
 { 188811, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce },
 { 188812, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 188813, ur_pwm2_autobaud_uart0_lednop_hw },
 { 188814, ur_pwm2_autobaud_uart0_lednop_ee_hw },
 { 188815, ur_pwm2_autobaud_uart0_lednop_ce_hw },
 { 188816, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 188817, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 188818, ur_pwm2_autobaud_uart0_dual },
 { 188819, ur_pwm2_autobaud_uart0_dual },
 { 188820, ur_pwm2_autobaud_uart0_dual_pr_u4 },
 { 188821, ur_pwm2_autobaud_uart0_dual_pr_ee },
 { 188822, ur_pwm2_autobaud_uart0_dual_pr_ee_u4 },
 { 188823, ur_pwm2_autobaud_uart0_dual_pr_ce },
 { 188824, ur_pwm2_autobaud_uart0_dual_pr_ce_u4 },
 { 188825, ur_pwm2_autobaud_uart0_dual_pr_ee_ce },
 { 188826, ur_pwm2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 188827, ur_pwm2_autobaud_uart0_dual_hw },
 { 188828, ur_pwm2_autobaud_uart0_dual_ee_hw },
 { 188829, ur_pwm2_autobaud_uart0_dual_ce_hw },
 { 188830, ur_pwm2_autobaud_uart0_dual_ee_ce_hw },
 { 188831, ur_pwm2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 189000, ur_pwm2_u1x8_uart0_noled },
 { 189001, ur_pwm2_u1x8_uart0_noled },
 { 189002, ur_pwm2_u1x8_uart0_noled_pr_u4 },
 { 189003, ur_pwm2_u1x8_uart0_noled_pr_ee },
 { 189004, ur_pwm2_u1x8_uart0_noled_pr_ee_u4 },
 { 189005, ur_pwm2_u1x8_uart0_noled_pr_ce },
 { 189006, ur_pwm2_u1x8_uart0_noled_pr_ce_u4 },
 { 189007, ur_pwm2_u1x8_uart0_noled_pr_ee_ce },
 { 189008, ur_pwm2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 189009, ur_pwm2_u1x8_uart0_noled_hw },
 { 189010, ur_pwm2_u1x8_uart0_noled_ee_hw },
 { 189011, ur_pwm2_u1x8_uart0_noled_ce_hw },
 { 189012, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 189013, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 189014, ur_pwm2_u1x8_uart0_lednop },
 { 189015, ur_pwm2_u1x8_uart0_lednop },
 { 189016, ur_pwm2_u1x8_uart0_lednop_pr_u4 },
 { 189017, ur_pwm2_u1x8_uart0_lednop_pr_ee },
 { 189018, ur_pwm2_u1x8_uart0_lednop_pr_ee_u4 },
 { 189019, ur_pwm2_u1x8_uart0_lednop_pr_ce },
 { 189020, ur_pwm2_u1x8_uart0_lednop_pr_ce_u4 },
 { 189021, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce },
 { 189022, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 189023, ur_pwm2_u1x8_uart0_lednop_hw },
 { 189024, ur_pwm2_u1x8_uart0_lednop_ee_hw },
 { 189025, ur_pwm2_u1x8_uart0_lednop_ce_hw },
 { 189026, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 189027, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 189028, ur_pwm2_u1x8_uart0_dual },
 { 189029, ur_pwm2_u1x8_uart0_dual_pr },
 { 189030, ur_pwm2_u1x8_uart0_dual_pr_u4 },
 { 189031, ur_pwm2_u1x8_uart0_dual_pr_ee },
 { 189032, ur_pwm2_u1x8_uart0_dual_pr_ee_u4 },
 { 189033, ur_pwm2_u1x8_uart0_dual_pr_ce },
 { 189034, ur_pwm2_u1x8_uart0_dual_pr_ce_u4 },
 { 189035, ur_pwm2_u1x8_uart0_dual_pr_ee_ce },
 { 189036, ur_pwm2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 189037, ur_pwm2_u1x8_uart0_dual_hw },
 { 189038, ur_pwm2_u1x8_uart0_dual_ee_hw },
 { 189039, ur_pwm2_u1x8_uart0_dual_ce_hw },
 { 189040, ur_pwm2_u1x8_uart0_dual_ee_ce_hw },
 { 189041, ur_pwm2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 189210, ur_pwm2_u1x12_uart0_noled },
 { 189211, ur_pwm2_u1x12_uart0_noled },
 { 189212, ur_pwm2_u1x12_uart0_noled_pr_u4 },
 { 189213, ur_pwm2_u1x12_uart0_noled_pr_ee },
 { 189214, ur_pwm2_u1x12_uart0_noled_pr_ee_u4 },
 { 189215, ur_pwm2_u1x12_uart0_noled_pr_ce },
 { 189216, ur_pwm2_u1x12_uart0_noled_pr_ce_u4 },
 { 189217, ur_pwm2_u1x12_uart0_noled_pr_ee_ce },
 { 189218, ur_pwm2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 189219, ur_pwm2_u1x12_uart0_noled_hw },
 { 189220, ur_pwm2_u1x12_uart0_noled_ee_hw },
 { 189221, ur_pwm2_u1x12_uart0_noled_ce_hw },
 { 189222, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 189223, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 189224, ur_pwm2_u1x12_uart0_lednop },
 { 189225, ur_pwm2_u1x12_uart0_lednop },
 { 189226, ur_pwm2_u1x12_uart0_lednop_pr_u4 },
 { 189227, ur_pwm2_u1x12_uart0_lednop_pr_ee },
 { 189228, ur_pwm2_u1x12_uart0_lednop_pr_ee_u4 },
 { 189229, ur_pwm2_u1x12_uart0_lednop_pr_ce },
 { 189230, ur_pwm2_u1x12_uart0_lednop_pr_ce_u4 },
 { 189231, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce },
 { 189232, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 189233, ur_pwm2_u1x12_uart0_lednop_hw },
 { 189234, ur_pwm2_u1x12_uart0_lednop_ee_hw },
 { 189235, ur_pwm2_u1x12_uart0_lednop_ce_hw },
 { 189236, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 189237, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 189238, ur_pwm2_u1x12_uart0_dual },
 { 189239, ur_pwm2_u1x12_uart0_dual_pr },
 { 189240, ur_pwm2_u1x12_uart0_dual_pr_u4 },
 { 189241, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 189242, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 189243, ur_pwm2_u1x12_uart0_dual_pr_ce },
 { 189244, ur_pwm2_u1x12_uart0_dual_pr_ce_u4 },
 { 189245, ur_pwm2_u1x12_uart0_dual_pr_ee_ce },
 { 189246, ur_pwm2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 189247, ur_pwm2_u1x12_uart0_dual_hw },
 { 189248, ur_pwm2_u1x12_uart0_dual_ee_hw },
 { 189249, ur_pwm2_u1x12_uart0_dual_ce_hw },
 { 189250, ur_pwm2_u1x12_uart0_dual_ee_ce_hw },
 { 189251, ur_pwm2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 189420, ur_pwm2_u2x8_uart0_noled },
 { 189421, ur_pwm2_u2x8_uart0_noled },
 { 189422, ur_pwm2_u2x8_uart0_noled_pr_u4 },
 { 189423, ur_pwm2_u2x8_uart0_noled_pr_ee },
 { 189424, ur_pwm2_u2x8_uart0_noled_pr_ee_u4 },
 { 189425, ur_pwm2_u2x8_uart0_noled_pr_ce },
 { 189426, ur_pwm2_u2x8_uart0_noled_pr_ce_u4 },
 { 189427, ur_pwm2_u2x8_uart0_noled_pr_ee_ce },
 { 189428, ur_pwm2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 189429, ur_pwm2_u2x8_uart0_noled_hw },
 { 189430, ur_pwm2_u2x8_uart0_noled_ee_hw },
 { 189431, ur_pwm2_u2x8_uart0_noled_ce_hw },
 { 189432, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 189433, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 189434, ur_pwm2_u2x8_uart0_lednop },
 { 189435, ur_pwm2_u2x8_uart0_lednop },
 { 189436, ur_pwm2_u2x8_uart0_lednop_pr_u4 },
 { 189437, ur_pwm2_u2x8_uart0_lednop_pr_ee },
 { 189438, ur_pwm2_u2x8_uart0_lednop_pr_ee_u4 },
 { 189439, ur_pwm2_u2x8_uart0_lednop_pr_ce },
 { 189440, ur_pwm2_u2x8_uart0_lednop_pr_ce_u4 },
 { 189441, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce },
 { 189442, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 189443, ur_pwm2_u2x8_uart0_lednop_hw },
 { 189444, ur_pwm2_u2x8_uart0_lednop_ee_hw },
 { 189445, ur_pwm2_u2x8_uart0_lednop_ce_hw },
 { 189446, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 189447, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 189448, ur_pwm2_u2x8_uart0_dual },
 { 189449, ur_pwm2_u2x8_uart0_dual_pr },
 { 189450, ur_pwm2_u2x8_uart0_dual_pr_u4 },
 { 189451, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 189452, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 189453, ur_pwm2_u2x8_uart0_dual_pr_ce },
 { 189454, ur_pwm2_u2x8_uart0_dual_pr_ce_u4 },
 { 189455, ur_pwm2_u2x8_uart0_dual_pr_ee_ce },
 { 189456, ur_pwm2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 189457, ur_pwm2_u2x8_uart0_dual_hw },
 { 189458, ur_pwm2_u2x8_uart0_dual_ee_hw },
 { 189459, ur_pwm2_u2x8_uart0_dual_ce_hw },
 { 189460, ur_pwm2_u2x8_uart0_dual_ee_ce_hw },
 { 189461, ur_pwm2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 189630, ur_pwm2_u2x12_uart0_noled },
 { 189631, ur_pwm2_u2x12_uart0_noled },
 { 189632, ur_pwm2_u2x12_uart0_noled_pr_u4 },
 { 189633, ur_pwm2_u2x12_uart0_noled_pr_ee },
 { 189634, ur_pwm2_u2x12_uart0_noled_pr_ee_u4 },
 { 189635, ur_pwm2_u2x12_uart0_noled_pr_ce },
 { 189636, ur_pwm2_u2x12_uart0_noled_pr_ce_u4 },
 { 189637, ur_pwm2_u2x12_uart0_noled_pr_ee_ce },
 { 189638, ur_pwm2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 189639, ur_pwm2_u2x12_uart0_noled_hw },
 { 189640, ur_pwm2_u2x12_uart0_noled_ee_hw },
 { 189641, ur_pwm2_u2x12_uart0_noled_ce_hw },
 { 189642, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 189643, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 189644, ur_pwm2_u2x12_uart0_lednop },
 { 189645, ur_pwm2_u2x12_uart0_lednop },
 { 189646, ur_pwm2_u2x12_uart0_lednop_pr_u4 },
 { 189647, ur_pwm2_u2x12_uart0_lednop_pr_ee },
 { 189648, ur_pwm2_u2x12_uart0_lednop_pr_ee_u4 },
 { 189649, ur_pwm2_u2x12_uart0_lednop_pr_ce },
 { 189650, ur_pwm2_u2x12_uart0_lednop_pr_ce_u4 },
 { 189651, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce },
 { 189652, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 189653, ur_pwm2_u2x12_uart0_lednop_hw },
 { 189654, ur_pwm2_u2x12_uart0_lednop_ee_hw },
 { 189655, ur_pwm2_u2x12_uart0_lednop_ce_hw },
 { 189656, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 189657, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 189658, ur_pwm2_u2x12_uart0_dual },
 { 189659, ur_pwm2_u2x12_uart0_dual_pr },
 { 189660, ur_pwm2_u2x12_uart0_dual_pr_u4 },
 { 189661, ur_pwm2_u2x12_uart0_dual_pr_ee },
 { 189662, ur_pwm2_u2x12_uart0_dual_pr_ee_u4 },
 { 189663, ur_pwm2_u2x12_uart0_dual_pr_ce },
 { 189664, ur_pwm2_u2x12_uart0_dual_pr_ce_u4 },
 { 189665, ur_pwm2_u2x12_uart0_dual_pr_ee_ce },
 { 189666, ur_pwm2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 189667, ur_pwm2_u2x12_uart0_dual_hw },
 { 189668, ur_pwm2_u2x12_uart0_dual_ee_hw },
 { 189669, ur_pwm2_u2x12_uart0_dual_ce_hw },
 { 189670, ur_pwm2_u2x12_uart0_dual_ee_ce_hw },
 { 189671, ur_pwm2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 189840, ur_pwm2_swio10_noled },
 { 189841, ur_pwm2_swio10_noled_pr },
 { 189842, ur_pwm2_swio10_noled_pr_u4 },
 { 189843, ur_pwm2_swio10_noled_pr_ee },
 { 189844, ur_pwm2_swio10_noled_pr_ee_u4 },
 { 189845, ur_pwm2_swio10_noled_pr_ce },
 { 189846, ur_pwm2_swio10_noled_pr_ce_u4 },
 { 189847, ur_pwm2_swio10_noled_pr_ee_ce },
 { 189848, ur_pwm2_swio10_noled_pr_ee_ce_u4 },
 { 189849, ur_pwm2_swio10_noled_hw },
 { 189850, ur_pwm2_swio10_noled_ee_hw },
 { 189851, ur_pwm2_swio10_noled_ce_hw },
 { 189852, ur_pwm2_swio10_noled_ee_ce_hw },
 { 189853, ur_pwm2_swio10_noled_ee_ce_hw },
 { 189854, ur_pwm2_swio10_lednop },
 { 189855, ur_pwm2_swio10_lednop_pr },
 { 189856, ur_pwm2_swio10_lednop_pr_u4 },
 { 189857, ur_pwm2_swio10_lednop_pr_ee },
 { 189858, ur_pwm2_swio10_lednop_pr_ee_u4 },
 { 189859, ur_pwm2_swio10_lednop_pr_ce },
 { 189860, ur_pwm2_swio10_lednop_pr_ce_u4 },
 { 189861, ur_pwm2_swio10_lednop_pr_ee_ce },
 { 189862, ur_pwm2_swio10_lednop_pr_ee_ce_u4 },
 { 189863, ur_pwm2_swio10_lednop_hw },
 { 189864, ur_pwm2_swio10_lednop_ee_hw },
 { 189865, ur_pwm2_swio10_lednop_ce_hw },
 { 189866, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 189867, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 189868, ur_pwm2_swio10_dual },
 { 189869, ur_pwm2_swio10_dual },
 { 189870, ur_pwm2_swio10_dual_pr_u4 },
 { 189871, ur_pwm2_swio10_dual_pr_ee },
 { 189872, ur_pwm2_swio10_dual_pr_ee_u4 },
 { 189873, ur_pwm2_swio10_dual_pr_ce },
 { 189874, ur_pwm2_swio10_dual_pr_ce_u4 },
 { 189875, ur_pwm2_swio10_dual_pr_ee_ce },
 { 189876, ur_pwm2_swio10_dual_pr_ee_ce_u4 },
 { 189877, ur_pwm2_swio10_dual_hw },
 { 189878, ur_pwm2_swio10_dual_ee_hw },
 { 189879, ur_pwm2_swio10_dual_ce_hw },
 { 189880, ur_pwm2_swio10_dual_ee_ce_hw },
 { 189881, ur_pwm2_swio10_dual_ee_ce_u4_hw },
 { 189882, ur_pwm2_swio11_noled },
 { 189883, ur_pwm2_swio11_noled_pr },
 { 189884, ur_pwm2_swio11_noled_pr_u4 },
 { 189885, ur_pwm2_swio11_noled_pr_ee },
 { 189886, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 189887, ur_pwm2_swio11_noled_pr_ce },
 { 189888, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 189889, ur_pwm2_swio11_noled_pr_ee_ce },
 { 189890, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 189891, ur_pwm2_swio11_noled_hw },
 { 189892, ur_pwm2_swio11_noled_ee_hw },
 { 189893, ur_pwm2_swio11_noled_ce_hw },
 { 189894, ur_pwm2_swio11_noled_ee_ce_hw },
 { 189895, ur_pwm2_swio11_noled_ee_ce_hw },
 { 189896, ur_pwm2_swio11_lednop },
 { 189897, ur_pwm2_swio11_lednop_pr },
 { 189898, ur_pwm2_swio11_lednop_pr_u4 },
 { 189899, ur_pwm2_swio11_lednop_pr_ee },
 { 189900, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 189901, ur_pwm2_swio11_lednop_pr_ce },
 { 189902, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 189903, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 189904, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 189905, ur_pwm2_swio11_lednop_hw },
 { 189906, ur_pwm2_swio11_lednop_ee_hw },
 { 189907, ur_pwm2_swio11_lednop_ce_hw },
 { 189908, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 189909, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 189910, ur_pwm2_swio11_dual },
 { 189911, ur_pwm2_swio11_dual },
 { 189912, ur_pwm2_swio11_dual_pr_u4 },
 { 189913, ur_pwm2_swio11_dual_pr_ee },
 { 189914, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 189915, ur_pwm2_swio11_dual_pr_ce },
 { 189916, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 189917, ur_pwm2_swio11_dual_pr_ee_ce },
 { 189918, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 189919, ur_pwm2_swio11_dual_hw },
 { 189920, ur_pwm2_swio11_dual_ee_hw },
 { 189921, ur_pwm2_swio11_dual_ce_hw },
 { 189922, ur_pwm2_swio11_dual_ee_ce_hw },
 { 189923, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 189924, ur_pwm2_swio11_noled },
 { 189925, ur_pwm2_swio11_noled_pr },
 { 189926, ur_pwm2_swio11_noled_pr_u4 },
 { 189927, ur_pwm2_swio11_noled_pr_ee },
 { 189928, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 189929, ur_pwm2_swio11_noled_pr_ce },
 { 189930, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 189931, ur_pwm2_swio11_noled_pr_ee_ce },
 { 189932, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 189933, ur_pwm2_swio11_noled_hw },
 { 189934, ur_pwm2_swio11_noled_ee_hw },
 { 189935, ur_pwm2_swio11_noled_ce_hw },
 { 189936, ur_pwm2_swio11_noled_ee_ce_hw },
 { 189937, ur_pwm2_swio11_noled_ee_ce_hw },
 { 189938, ur_pwm2_swio11_lednop },
 { 189939, ur_pwm2_swio11_lednop_pr },
 { 189940, ur_pwm2_swio11_lednop_pr_u4 },
 { 189941, ur_pwm2_swio11_lednop_pr_ee },
 { 189942, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 189943, ur_pwm2_swio11_lednop_pr_ce },
 { 189944, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 189945, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 189946, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 189947, ur_pwm2_swio11_lednop_hw },
 { 189948, ur_pwm2_swio11_lednop_ee_hw },
 { 189949, ur_pwm2_swio11_lednop_ce_hw },
 { 189950, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 189951, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 189952, ur_pwm2_swio11_dual },
 { 189953, ur_pwm2_swio11_dual },
 { 189954, ur_pwm2_swio11_dual_pr_u4 },
 { 189955, ur_pwm2_swio11_dual_pr_ee },
 { 189956, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 189957, ur_pwm2_swio11_dual_pr_ce },
 { 189958, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 189959, ur_pwm2_swio11_dual_pr_ee_ce },
 { 189960, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 189961, ur_pwm2_swio11_dual_hw },
 { 189962, ur_pwm2_swio11_dual_ee_hw },
 { 189963, ur_pwm2_swio11_dual_ce_hw },
 { 189964, ur_pwm2_swio11_dual_ee_ce_hw },
 { 189965, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 189966, ur_pwm2_swio13_noled },
 { 189967, ur_pwm2_swio13_noled_pr },
 { 189968, ur_pwm2_swio13_noled_pr_u4 },
 { 189969, ur_pwm2_swio13_noled_pr_ee },
 { 189970, ur_pwm2_swio13_noled_pr_ee_u4 },
 { 189971, ur_pwm2_swio13_noled_pr_ce },
 { 189972, ur_pwm2_swio13_noled_pr_ce_u4 },
 { 189973, ur_pwm2_swio13_noled_pr_ee_ce },
 { 189974, ur_pwm2_swio13_noled_pr_ee_ce_u4 },
 { 189975, ur_pwm2_swio13_noled_hw },
 { 189976, ur_pwm2_swio13_noled_ee_hw },
 { 189977, ur_pwm2_swio13_noled_ce_hw },
 { 189978, ur_pwm2_swio13_noled_ee_ce_hw },
 { 189979, ur_pwm2_swio13_noled_ee_ce_hw },
 { 189980, ur_pwm2_swio13_lednop },
 { 189981, ur_pwm2_swio13_lednop_pr },
 { 189982, ur_pwm2_swio13_lednop_pr_u4 },
 { 189983, ur_pwm2_swio13_lednop_pr_ee },
 { 189984, ur_pwm2_swio13_lednop_pr_ee_u4 },
 { 189985, ur_pwm2_swio13_lednop_pr_ce },
 { 189986, ur_pwm2_swio13_lednop_pr_ce_u4 },
 { 189987, ur_pwm2_swio13_lednop_pr_ee_ce },
 { 189988, ur_pwm2_swio13_lednop_pr_ee_ce_u4 },
 { 189989, ur_pwm2_swio13_lednop_hw },
 { 189990, ur_pwm2_swio13_lednop_ee_hw },
 { 189991, ur_pwm2_swio13_lednop_ce_hw },
 { 189992, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 189993, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 189994, ur_pwm2_swio13_dual },
 { 189995, ur_pwm2_swio13_dual },
 { 189996, ur_pwm2_swio13_dual_pr_u4 },
 { 189997, ur_pwm2_swio13_dual_pr_ee },
 { 189998, ur_pwm2_swio13_dual_pr_ee_u4 },
 { 189999, ur_pwm2_swio13_dual_pr_ce },
 { 190000, ur_pwm2_swio13_dual_pr_ce_u4 },
 { 190001, ur_pwm2_swio13_dual_pr_ee_ce },
 { 190002, ur_pwm2_swio13_dual_pr_ee_ce_u4 },
 { 190003, ur_pwm2_swio13_dual_hw },
 { 190004, ur_pwm2_swio13_dual_ee_hw },
 { 190005, ur_pwm2_swio13_dual_ce_hw },
 { 190006, ur_pwm2_swio13_dual_ee_ce_hw },
 { 190007, ur_pwm2_swio13_dual_ee_ce_u4_hw },
 { 190008, ur_pwm2_swio14_noled },
 { 190009, ur_pwm2_swio14_noled_pr },
 { 190010, ur_pwm2_swio14_noled_pr_u4 },
 { 190011, ur_pwm2_swio14_noled_pr_ee },
 { 190012, ur_pwm2_swio14_noled_pr_ee_u4 },
 { 190013, ur_pwm2_swio14_noled_pr_ce },
 { 190014, ur_pwm2_swio14_noled_pr_ce_u4 },
 { 190015, ur_pwm2_swio14_noled_pr_ee_ce },
 { 190016, ur_pwm2_swio14_noled_pr_ee_ce_u4 },
 { 190017, ur_pwm2_swio14_noled_hw },
 { 190018, ur_pwm2_swio14_noled_ee_hw },
 { 190019, ur_pwm2_swio14_noled_ce_hw },
 { 190020, ur_pwm2_swio14_noled_ee_ce_hw },
 { 190021, ur_pwm2_swio14_noled_ee_ce_hw },
 { 190022, ur_pwm2_swio14_lednop },
 { 190023, ur_pwm2_swio14_lednop_pr },
 { 190024, ur_pwm2_swio14_lednop_pr_u4 },
 { 190025, ur_pwm2_swio14_lednop_pr_ee },
 { 190026, ur_pwm2_swio14_lednop_pr_ee_u4 },
 { 190027, ur_pwm2_swio14_lednop_pr_ce },
 { 190028, ur_pwm2_swio14_lednop_pr_ce_u4 },
 { 190029, ur_pwm2_swio14_lednop_pr_ee_ce },
 { 190030, ur_pwm2_swio14_lednop_pr_ee_ce_u4 },
 { 190031, ur_pwm2_swio14_lednop_hw },
 { 190032, ur_pwm2_swio14_lednop_ee_hw },
 { 190033, ur_pwm2_swio14_lednop_ce_hw },
 { 190034, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 190035, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 190036, ur_pwm2_swio14_dual },
 { 190037, ur_pwm2_swio14_dual },
 { 190038, ur_pwm2_swio14_dual_pr_u4 },
 { 190039, ur_pwm2_swio14_dual_pr_ee },
 { 190040, ur_pwm2_swio14_dual_pr_ee_u4 },
 { 190041, ur_pwm2_swio14_dual_pr_ce },
 { 190042, ur_pwm2_swio14_dual_pr_ce_u4 },
 { 190043, ur_pwm2_swio14_dual_pr_ee_ce },
 { 190044, ur_pwm2_swio14_dual_pr_ee_ce_u4 },
 { 190045, ur_pwm2_swio14_dual_hw },
 { 190046, ur_pwm2_swio14_dual_ee_hw },
 { 190047, ur_pwm2_swio14_dual_ce_hw },
 { 190048, ur_pwm2_swio14_dual_ee_ce_hw },
 { 190049, ur_pwm2_swio14_dual_ee_ce_u4_hw },
 { 190050, ur_pwm2_swio15_noled },
 { 190051, ur_pwm2_swio15_noled_pr },
 { 190052, ur_pwm2_swio15_noled_pr_u4 },
 { 190053, ur_pwm2_swio15_noled_pr_ee },
 { 190054, ur_pwm2_swio15_noled_pr_ee_u4 },
 { 190055, ur_pwm2_swio15_noled_pr_ce },
 { 190056, ur_pwm2_swio15_noled_pr_ce_u4 },
 { 190057, ur_pwm2_swio15_noled_pr_ee_ce },
 { 190058, ur_pwm2_swio15_noled_pr_ee_ce_u4 },
 { 190059, ur_pwm2_swio15_noled_hw },
 { 190060, ur_pwm2_swio15_noled_ee_hw },
 { 190061, ur_pwm2_swio15_noled_ce_hw },
 { 190062, ur_pwm2_swio15_noled_ee_ce_hw },
 { 190063, ur_pwm2_swio15_noled_ee_ce_hw },
 { 190064, ur_pwm2_swio15_lednop },
 { 190065, ur_pwm2_swio15_lednop_pr },
 { 190066, ur_pwm2_swio15_lednop_pr_u4 },
 { 190067, ur_pwm2_swio15_lednop_pr_ee },
 { 190068, ur_pwm2_swio15_lednop_pr_ee_u4 },
 { 190069, ur_pwm2_swio15_lednop_pr_ce },
 { 190070, ur_pwm2_swio15_lednop_pr_ce_u4 },
 { 190071, ur_pwm2_swio15_lednop_pr_ee_ce },
 { 190072, ur_pwm2_swio15_lednop_pr_ee_ce_u4 },
 { 190073, ur_pwm2_swio15_lednop_hw },
 { 190074, ur_pwm2_swio15_lednop_ee_hw },
 { 190075, ur_pwm2_swio15_lednop_ce_hw },
 { 190076, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 190077, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 190078, ur_pwm2_swio15_dual },
 { 190079, ur_pwm2_swio15_dual },
 { 190080, ur_pwm2_swio15_dual_pr_u4 },
 { 190081, ur_pwm2_swio15_dual_pr_ee },
 { 190082, ur_pwm2_swio15_dual_pr_ee_u4 },
 { 190083, ur_pwm2_swio15_dual_pr_ce },
 { 190084, ur_pwm2_swio15_dual_pr_ce_u4 },
 { 190085, ur_pwm2_swio15_dual_pr_ee_ce },
 { 190086, ur_pwm2_swio15_dual_pr_ee_ce_u4 },
 { 190087, ur_pwm2_swio15_dual_hw },
 { 190088, ur_pwm2_swio15_dual_ee_hw },
 { 190089, ur_pwm2_swio15_dual_ce_hw },
 { 190090, ur_pwm2_swio15_dual_ee_ce_hw },
 { 190091, ur_pwm2_swio15_dual_ee_ce_u4_hw },
 { 190092, ur_pwm2_autobaud_uart0_noled },
 { 190093, ur_pwm2_autobaud_uart0_noled },
 { 190094, ur_pwm2_autobaud_uart0_noled_pr_u4 },
 { 190095, ur_pwm2_autobaud_uart0_noled_pr_ee },
 { 190096, ur_pwm2_autobaud_uart0_noled_pr_ee_u4 },
 { 190097, ur_pwm2_autobaud_uart0_noled_pr_ce },
 { 190098, ur_pwm2_autobaud_uart0_noled_pr_ce_u4 },
 { 190099, ur_pwm2_autobaud_uart0_noled_pr_ee_ce },
 { 190100, ur_pwm2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 190101, ur_pwm2_autobaud_uart0_noled_hw },
 { 190102, ur_pwm2_autobaud_uart0_noled_ee_hw },
 { 190103, ur_pwm2_autobaud_uart0_noled_ce_hw },
 { 190104, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 190105, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 190106, ur_pwm2_autobaud_uart0_lednop },
 { 190107, ur_pwm2_autobaud_uart0_lednop_pr },
 { 190108, ur_pwm2_autobaud_uart0_lednop_pr_u4 },
 { 190109, ur_pwm2_autobaud_uart0_lednop_pr_ee },
 { 190110, ur_pwm2_autobaud_uart0_lednop_pr_ee_u4 },
 { 190111, ur_pwm2_autobaud_uart0_lednop_pr_ce },
 { 190112, ur_pwm2_autobaud_uart0_lednop_pr_ce_u4 },
 { 190113, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce },
 { 190114, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 190115, ur_pwm2_autobaud_uart0_lednop_hw },
 { 190116, ur_pwm2_autobaud_uart0_lednop_ee_hw },
 { 190117, ur_pwm2_autobaud_uart0_lednop_ce_hw },
 { 190118, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 190119, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 190120, ur_pwm2_autobaud_uart0_dual },
 { 190121, ur_pwm2_autobaud_uart0_dual },
 { 190122, ur_pwm2_autobaud_uart0_dual_pr_u4 },
 { 190123, ur_pwm2_autobaud_uart0_dual_pr_ee },
 { 190124, ur_pwm2_autobaud_uart0_dual_pr_ee_u4 },
 { 190125, ur_pwm2_autobaud_uart0_dual_pr_ce },
 { 190126, ur_pwm2_autobaud_uart0_dual_pr_ce_u4 },
 { 190127, ur_pwm2_autobaud_uart0_dual_pr_ee_ce },
 { 190128, ur_pwm2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 190129, ur_pwm2_autobaud_uart0_dual_hw },
 { 190130, ur_pwm2_autobaud_uart0_dual_ee_hw },
 { 190131, ur_pwm2_autobaud_uart0_dual_ce_hw },
 { 190132, ur_pwm2_autobaud_uart0_dual_ee_ce_hw },
 { 190133, ur_pwm2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 190302, ur_pwm2_u1x8_uart0_noled },
 { 190303, ur_pwm2_u1x8_uart0_noled },
 { 190304, ur_pwm2_u1x8_uart0_noled_pr_u4 },
 { 190305, ur_pwm2_u1x8_uart0_noled_pr_ee },
 { 190306, ur_pwm2_u1x8_uart0_noled_pr_ee_u4 },
 { 190307, ur_pwm2_u1x8_uart0_noled_pr_ce },
 { 190308, ur_pwm2_u1x8_uart0_noled_pr_ce_u4 },
 { 190309, ur_pwm2_u1x8_uart0_noled_pr_ee_ce },
 { 190310, ur_pwm2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 190311, ur_pwm2_u1x8_uart0_noled_hw },
 { 190312, ur_pwm2_u1x8_uart0_noled_ee_hw },
 { 190313, ur_pwm2_u1x8_uart0_noled_ce_hw },
 { 190314, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 190315, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 190316, ur_pwm2_u1x8_uart0_lednop },
 { 190317, ur_pwm2_u1x8_uart0_lednop },
 { 190318, ur_pwm2_u1x8_uart0_lednop_pr_u4 },
 { 190319, ur_pwm2_u1x8_uart0_lednop_pr_ee },
 { 190320, ur_pwm2_u1x8_uart0_lednop_pr_ee_u4 },
 { 190321, ur_pwm2_u1x8_uart0_lednop_pr_ce },
 { 190322, ur_pwm2_u1x8_uart0_lednop_pr_ce_u4 },
 { 190323, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce },
 { 190324, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 190325, ur_pwm2_u1x8_uart0_lednop_hw },
 { 190326, ur_pwm2_u1x8_uart0_lednop_ee_hw },
 { 190327, ur_pwm2_u1x8_uart0_lednop_ce_hw },
 { 190328, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 190329, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 190330, ur_pwm2_u1x8_uart0_dual },
 { 190331, ur_pwm2_u1x8_uart0_dual_pr },
 { 190332, ur_pwm2_u1x8_uart0_dual_pr_u4 },
 { 190333, ur_pwm2_u1x8_uart0_dual_pr_ee },
 { 190334, ur_pwm2_u1x8_uart0_dual_pr_ee_u4 },
 { 190335, ur_pwm2_u1x8_uart0_dual_pr_ce },
 { 190336, ur_pwm2_u1x8_uart0_dual_pr_ce_u4 },
 { 190337, ur_pwm2_u1x8_uart0_dual_pr_ee_ce },
 { 190338, ur_pwm2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 190339, ur_pwm2_u1x8_uart0_dual_hw },
 { 190340, ur_pwm2_u1x8_uart0_dual_ee_hw },
 { 190341, ur_pwm2_u1x8_uart0_dual_ce_hw },
 { 190342, ur_pwm2_u1x8_uart0_dual_ee_ce_hw },
 { 190343, ur_pwm2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 190512, ur_pwm2_u1x12_uart0_noled },
 { 190513, ur_pwm2_u1x12_uart0_noled },
 { 190514, ur_pwm2_u1x12_uart0_noled_pr_u4 },
 { 190515, ur_pwm2_u1x12_uart0_noled_pr_ee },
 { 190516, ur_pwm2_u1x12_uart0_noled_pr_ee_u4 },
 { 190517, ur_pwm2_u1x12_uart0_noled_pr_ce },
 { 190518, ur_pwm2_u1x12_uart0_noled_pr_ce_u4 },
 { 190519, ur_pwm2_u1x12_uart0_noled_pr_ee_ce },
 { 190520, ur_pwm2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 190521, ur_pwm2_u1x12_uart0_noled_hw },
 { 190522, ur_pwm2_u1x12_uart0_noled_ee_hw },
 { 190523, ur_pwm2_u1x12_uart0_noled_ce_hw },
 { 190524, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 190525, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 190526, ur_pwm2_u1x12_uart0_lednop },
 { 190527, ur_pwm2_u1x12_uart0_lednop },
 { 190528, ur_pwm2_u1x12_uart0_lednop_pr_u4 },
 { 190529, ur_pwm2_u1x12_uart0_lednop_pr_ee },
 { 190530, ur_pwm2_u1x12_uart0_lednop_pr_ee_u4 },
 { 190531, ur_pwm2_u1x12_uart0_lednop_pr_ce },
 { 190532, ur_pwm2_u1x12_uart0_lednop_pr_ce_u4 },
 { 190533, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce },
 { 190534, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 190535, ur_pwm2_u1x12_uart0_lednop_hw },
 { 190536, ur_pwm2_u1x12_uart0_lednop_ee_hw },
 { 190537, ur_pwm2_u1x12_uart0_lednop_ce_hw },
 { 190538, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 190539, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 190540, ur_pwm2_u1x12_uart0_dual },
 { 190541, ur_pwm2_u1x12_uart0_dual_pr },
 { 190542, ur_pwm2_u1x12_uart0_dual_pr_u4 },
 { 190543, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 190544, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 190545, ur_pwm2_u1x12_uart0_dual_pr_ce },
 { 190546, ur_pwm2_u1x12_uart0_dual_pr_ce_u4 },
 { 190547, ur_pwm2_u1x12_uart0_dual_pr_ee_ce },
 { 190548, ur_pwm2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 190549, ur_pwm2_u1x12_uart0_dual_hw },
 { 190550, ur_pwm2_u1x12_uart0_dual_ee_hw },
 { 190551, ur_pwm2_u1x12_uart0_dual_ce_hw },
 { 190552, ur_pwm2_u1x12_uart0_dual_ee_ce_hw },
 { 190553, ur_pwm2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 190722, ur_pwm2_u2x8_uart0_noled },
 { 190723, ur_pwm2_u2x8_uart0_noled },
 { 190724, ur_pwm2_u2x8_uart0_noled_pr_u4 },
 { 190725, ur_pwm2_u2x8_uart0_noled_pr_ee },
 { 190726, ur_pwm2_u2x8_uart0_noled_pr_ee_u4 },
 { 190727, ur_pwm2_u2x8_uart0_noled_pr_ce },
 { 190728, ur_pwm2_u2x8_uart0_noled_pr_ce_u4 },
 { 190729, ur_pwm2_u2x8_uart0_noled_pr_ee_ce },
 { 190730, ur_pwm2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 190731, ur_pwm2_u2x8_uart0_noled_hw },
 { 190732, ur_pwm2_u2x8_uart0_noled_ee_hw },
 { 190733, ur_pwm2_u2x8_uart0_noled_ce_hw },
 { 190734, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 190735, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 190736, ur_pwm2_u2x8_uart0_lednop },
 { 190737, ur_pwm2_u2x8_uart0_lednop },
 { 190738, ur_pwm2_u2x8_uart0_lednop_pr_u4 },
 { 190739, ur_pwm2_u2x8_uart0_lednop_pr_ee },
 { 190740, ur_pwm2_u2x8_uart0_lednop_pr_ee_u4 },
 { 190741, ur_pwm2_u2x8_uart0_lednop_pr_ce },
 { 190742, ur_pwm2_u2x8_uart0_lednop_pr_ce_u4 },
 { 190743, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce },
 { 190744, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 190745, ur_pwm2_u2x8_uart0_lednop_hw },
 { 190746, ur_pwm2_u2x8_uart0_lednop_ee_hw },
 { 190747, ur_pwm2_u2x8_uart0_lednop_ce_hw },
 { 190748, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 190749, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 190750, ur_pwm2_u2x8_uart0_dual },
 { 190751, ur_pwm2_u2x8_uart0_dual_pr },
 { 190752, ur_pwm2_u2x8_uart0_dual_pr_u4 },
 { 190753, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 190754, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 190755, ur_pwm2_u2x8_uart0_dual_pr_ce },
 { 190756, ur_pwm2_u2x8_uart0_dual_pr_ce_u4 },
 { 190757, ur_pwm2_u2x8_uart0_dual_pr_ee_ce },
 { 190758, ur_pwm2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 190759, ur_pwm2_u2x8_uart0_dual_hw },
 { 190760, ur_pwm2_u2x8_uart0_dual_ee_hw },
 { 190761, ur_pwm2_u2x8_uart0_dual_ce_hw },
 { 190762, ur_pwm2_u2x8_uart0_dual_ee_ce_hw },
 { 190763, ur_pwm2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 190932, ur_pwm2_u2x12_uart0_noled },
 { 190933, ur_pwm2_u2x12_uart0_noled },
 { 190934, ur_pwm2_u2x12_uart0_noled_pr_u4 },
 { 190935, ur_pwm2_u2x12_uart0_noled_pr_ee },
 { 190936, ur_pwm2_u2x12_uart0_noled_pr_ee_u4 },
 { 190937, ur_pwm2_u2x12_uart0_noled_pr_ce },
 { 190938, ur_pwm2_u2x12_uart0_noled_pr_ce_u4 },
 { 190939, ur_pwm2_u2x12_uart0_noled_pr_ee_ce },
 { 190940, ur_pwm2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 190941, ur_pwm2_u2x12_uart0_noled_hw },
 { 190942, ur_pwm2_u2x12_uart0_noled_ee_hw },
 { 190943, ur_pwm2_u2x12_uart0_noled_ce_hw },
 { 190944, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 190945, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 190946, ur_pwm2_u2x12_uart0_lednop },
 { 190947, ur_pwm2_u2x12_uart0_lednop },
 { 190948, ur_pwm2_u2x12_uart0_lednop_pr_u4 },
 { 190949, ur_pwm2_u2x12_uart0_lednop_pr_ee },
 { 190950, ur_pwm2_u2x12_uart0_lednop_pr_ee_u4 },
 { 190951, ur_pwm2_u2x12_uart0_lednop_pr_ce },
 { 190952, ur_pwm2_u2x12_uart0_lednop_pr_ce_u4 },
 { 190953, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce },
 { 190954, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 190955, ur_pwm2_u2x12_uart0_lednop_hw },
 { 190956, ur_pwm2_u2x12_uart0_lednop_ee_hw },
 { 190957, ur_pwm2_u2x12_uart0_lednop_ce_hw },
 { 190958, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 190959, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 190960, ur_pwm2_u2x12_uart0_dual },
 { 190961, ur_pwm2_u2x12_uart0_dual_pr },
 { 190962, ur_pwm2_u2x12_uart0_dual_pr_u4 },
 { 190963, ur_pwm2_u2x12_uart0_dual_pr_ee },
 { 190964, ur_pwm2_u2x12_uart0_dual_pr_ee_u4 },
 { 190965, ur_pwm2_u2x12_uart0_dual_pr_ce },
 { 190966, ur_pwm2_u2x12_uart0_dual_pr_ce_u4 },
 { 190967, ur_pwm2_u2x12_uart0_dual_pr_ee_ce },
 { 190968, ur_pwm2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 190969, ur_pwm2_u2x12_uart0_dual_hw },
 { 190970, ur_pwm2_u2x12_uart0_dual_ee_hw },
 { 190971, ur_pwm2_u2x12_uart0_dual_ce_hw },
 { 190972, ur_pwm2_u2x12_uart0_dual_ee_ce_hw },
 { 190973, ur_pwm2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 191142, ur_pwm2_swio10_noled },
 { 191143, ur_pwm2_swio10_noled_pr },
 { 191144, ur_pwm2_swio10_noled_pr_u4 },
 { 191145, ur_pwm2_swio10_noled_pr_ee },
 { 191146, ur_pwm2_swio10_noled_pr_ee_u4 },
 { 191147, ur_pwm2_swio10_noled_pr_ce },
 { 191148, ur_pwm2_swio10_noled_pr_ce_u4 },
 { 191149, ur_pwm2_swio10_noled_pr_ee_ce },
 { 191150, ur_pwm2_swio10_noled_pr_ee_ce_u4 },
 { 191151, ur_pwm2_swio10_noled_hw },
 { 191152, ur_pwm2_swio10_noled_ee_hw },
 { 191153, ur_pwm2_swio10_noled_ce_hw },
 { 191154, ur_pwm2_swio10_noled_ee_ce_hw },
 { 191155, ur_pwm2_swio10_noled_ee_ce_hw },
 { 191156, ur_pwm2_swio10_lednop },
 { 191157, ur_pwm2_swio10_lednop_pr },
 { 191158, ur_pwm2_swio10_lednop_pr_u4 },
 { 191159, ur_pwm2_swio10_lednop_pr_ee },
 { 191160, ur_pwm2_swio10_lednop_pr_ee_u4 },
 { 191161, ur_pwm2_swio10_lednop_pr_ce },
 { 191162, ur_pwm2_swio10_lednop_pr_ce_u4 },
 { 191163, ur_pwm2_swio10_lednop_pr_ee_ce },
 { 191164, ur_pwm2_swio10_lednop_pr_ee_ce_u4 },
 { 191165, ur_pwm2_swio10_lednop_hw },
 { 191166, ur_pwm2_swio10_lednop_ee_hw },
 { 191167, ur_pwm2_swio10_lednop_ce_hw },
 { 191168, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 191169, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 191170, ur_pwm2_swio10_dual },
 { 191171, ur_pwm2_swio10_dual },
 { 191172, ur_pwm2_swio10_dual_pr_u4 },
 { 191173, ur_pwm2_swio10_dual_pr_ee },
 { 191174, ur_pwm2_swio10_dual_pr_ee_u4 },
 { 191175, ur_pwm2_swio10_dual_pr_ce },
 { 191176, ur_pwm2_swio10_dual_pr_ce_u4 },
 { 191177, ur_pwm2_swio10_dual_pr_ee_ce },
 { 191178, ur_pwm2_swio10_dual_pr_ee_ce_u4 },
 { 191179, ur_pwm2_swio10_dual_hw },
 { 191180, ur_pwm2_swio10_dual_ee_hw },
 { 191181, ur_pwm2_swio10_dual_ce_hw },
 { 191182, ur_pwm2_swio10_dual_ee_ce_hw },
 { 191183, ur_pwm2_swio10_dual_ee_ce_u4_hw },
 { 191184, ur_pwm2_swio11_noled },
 { 191185, ur_pwm2_swio11_noled_pr },
 { 191186, ur_pwm2_swio11_noled_pr_u4 },
 { 191187, ur_pwm2_swio11_noled_pr_ee },
 { 191188, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 191189, ur_pwm2_swio11_noled_pr_ce },
 { 191190, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 191191, ur_pwm2_swio11_noled_pr_ee_ce },
 { 191192, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 191193, ur_pwm2_swio11_noled_hw },
 { 191194, ur_pwm2_swio11_noled_ee_hw },
 { 191195, ur_pwm2_swio11_noled_ce_hw },
 { 191196, ur_pwm2_swio11_noled_ee_ce_hw },
 { 191197, ur_pwm2_swio11_noled_ee_ce_hw },
 { 191198, ur_pwm2_swio11_lednop },
 { 191199, ur_pwm2_swio11_lednop_pr },
 { 191200, ur_pwm2_swio11_lednop_pr_u4 },
 { 191201, ur_pwm2_swio11_lednop_pr_ee },
 { 191202, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 191203, ur_pwm2_swio11_lednop_pr_ce },
 { 191204, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 191205, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 191206, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 191207, ur_pwm2_swio11_lednop_hw },
 { 191208, ur_pwm2_swio11_lednop_ee_hw },
 { 191209, ur_pwm2_swio11_lednop_ce_hw },
 { 191210, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 191211, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 191212, ur_pwm2_swio11_dual },
 { 191213, ur_pwm2_swio11_dual },
 { 191214, ur_pwm2_swio11_dual_pr_u4 },
 { 191215, ur_pwm2_swio11_dual_pr_ee },
 { 191216, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 191217, ur_pwm2_swio11_dual_pr_ce },
 { 191218, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 191219, ur_pwm2_swio11_dual_pr_ee_ce },
 { 191220, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 191221, ur_pwm2_swio11_dual_hw },
 { 191222, ur_pwm2_swio11_dual_ee_hw },
 { 191223, ur_pwm2_swio11_dual_ce_hw },
 { 191224, ur_pwm2_swio11_dual_ee_ce_hw },
 { 191225, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 191226, ur_pwm2_swio11_noled },
 { 191227, ur_pwm2_swio11_noled_pr },
 { 191228, ur_pwm2_swio11_noled_pr_u4 },
 { 191229, ur_pwm2_swio11_noled_pr_ee },
 { 191230, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 191231, ur_pwm2_swio11_noled_pr_ce },
 { 191232, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 191233, ur_pwm2_swio11_noled_pr_ee_ce },
 { 191234, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 191235, ur_pwm2_swio11_noled_hw },
 { 191236, ur_pwm2_swio11_noled_ee_hw },
 { 191237, ur_pwm2_swio11_noled_ce_hw },
 { 191238, ur_pwm2_swio11_noled_ee_ce_hw },
 { 191239, ur_pwm2_swio11_noled_ee_ce_hw },
 { 191240, ur_pwm2_swio11_lednop },
 { 191241, ur_pwm2_swio11_lednop_pr },
 { 191242, ur_pwm2_swio11_lednop_pr_u4 },
 { 191243, ur_pwm2_swio11_lednop_pr_ee },
 { 191244, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 191245, ur_pwm2_swio11_lednop_pr_ce },
 { 191246, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 191247, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 191248, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 191249, ur_pwm2_swio11_lednop_hw },
 { 191250, ur_pwm2_swio11_lednop_ee_hw },
 { 191251, ur_pwm2_swio11_lednop_ce_hw },
 { 191252, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 191253, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 191254, ur_pwm2_swio11_dual },
 { 191255, ur_pwm2_swio11_dual },
 { 191256, ur_pwm2_swio11_dual_pr_u4 },
 { 191257, ur_pwm2_swio11_dual_pr_ee },
 { 191258, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 191259, ur_pwm2_swio11_dual_pr_ce },
 { 191260, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 191261, ur_pwm2_swio11_dual_pr_ee_ce },
 { 191262, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 191263, ur_pwm2_swio11_dual_hw },
 { 191264, ur_pwm2_swio11_dual_ee_hw },
 { 191265, ur_pwm2_swio11_dual_ce_hw },
 { 191266, ur_pwm2_swio11_dual_ee_ce_hw },
 { 191267, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 191268, ur_pwm2_swio13_noled },
 { 191269, ur_pwm2_swio13_noled_pr },
 { 191270, ur_pwm2_swio13_noled_pr_u4 },
 { 191271, ur_pwm2_swio13_noled_pr_ee },
 { 191272, ur_pwm2_swio13_noled_pr_ee_u4 },
 { 191273, ur_pwm2_swio13_noled_pr_ce },
 { 191274, ur_pwm2_swio13_noled_pr_ce_u4 },
 { 191275, ur_pwm2_swio13_noled_pr_ee_ce },
 { 191276, ur_pwm2_swio13_noled_pr_ee_ce_u4 },
 { 191277, ur_pwm2_swio13_noled_hw },
 { 191278, ur_pwm2_swio13_noled_ee_hw },
 { 191279, ur_pwm2_swio13_noled_ce_hw },
 { 191280, ur_pwm2_swio13_noled_ee_ce_hw },
 { 191281, ur_pwm2_swio13_noled_ee_ce_hw },
 { 191282, ur_pwm2_swio13_lednop },
 { 191283, ur_pwm2_swio13_lednop_pr },
 { 191284, ur_pwm2_swio13_lednop_pr_u4 },
 { 191285, ur_pwm2_swio13_lednop_pr_ee },
 { 191286, ur_pwm2_swio13_lednop_pr_ee_u4 },
 { 191287, ur_pwm2_swio13_lednop_pr_ce },
 { 191288, ur_pwm2_swio13_lednop_pr_ce_u4 },
 { 191289, ur_pwm2_swio13_lednop_pr_ee_ce },
 { 191290, ur_pwm2_swio13_lednop_pr_ee_ce_u4 },
 { 191291, ur_pwm2_swio13_lednop_hw },
 { 191292, ur_pwm2_swio13_lednop_ee_hw },
 { 191293, ur_pwm2_swio13_lednop_ce_hw },
 { 191294, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 191295, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 191296, ur_pwm2_swio13_dual },
 { 191297, ur_pwm2_swio13_dual },
 { 191298, ur_pwm2_swio13_dual_pr_u4 },
 { 191299, ur_pwm2_swio13_dual_pr_ee },
 { 191300, ur_pwm2_swio13_dual_pr_ee_u4 },
 { 191301, ur_pwm2_swio13_dual_pr_ce },
 { 191302, ur_pwm2_swio13_dual_pr_ce_u4 },
 { 191303, ur_pwm2_swio13_dual_pr_ee_ce },
 { 191304, ur_pwm2_swio13_dual_pr_ee_ce_u4 },
 { 191305, ur_pwm2_swio13_dual_hw },
 { 191306, ur_pwm2_swio13_dual_ee_hw },
 { 191307, ur_pwm2_swio13_dual_ce_hw },
 { 191308, ur_pwm2_swio13_dual_ee_ce_hw },
 { 191309, ur_pwm2_swio13_dual_ee_ce_u4_hw },
 { 191310, ur_pwm2_swio14_noled },
 { 191311, ur_pwm2_swio14_noled_pr },
 { 191312, ur_pwm2_swio14_noled_pr_u4 },
 { 191313, ur_pwm2_swio14_noled_pr_ee },
 { 191314, ur_pwm2_swio14_noled_pr_ee_u4 },
 { 191315, ur_pwm2_swio14_noled_pr_ce },
 { 191316, ur_pwm2_swio14_noled_pr_ce_u4 },
 { 191317, ur_pwm2_swio14_noled_pr_ee_ce },
 { 191318, ur_pwm2_swio14_noled_pr_ee_ce_u4 },
 { 191319, ur_pwm2_swio14_noled_hw },
 { 191320, ur_pwm2_swio14_noled_ee_hw },
 { 191321, ur_pwm2_swio14_noled_ce_hw },
 { 191322, ur_pwm2_swio14_noled_ee_ce_hw },
 { 191323, ur_pwm2_swio14_noled_ee_ce_hw },
 { 191324, ur_pwm2_swio14_lednop },
 { 191325, ur_pwm2_swio14_lednop_pr },
 { 191326, ur_pwm2_swio14_lednop_pr_u4 },
 { 191327, ur_pwm2_swio14_lednop_pr_ee },
 { 191328, ur_pwm2_swio14_lednop_pr_ee_u4 },
 { 191329, ur_pwm2_swio14_lednop_pr_ce },
 { 191330, ur_pwm2_swio14_lednop_pr_ce_u4 },
 { 191331, ur_pwm2_swio14_lednop_pr_ee_ce },
 { 191332, ur_pwm2_swio14_lednop_pr_ee_ce_u4 },
 { 191333, ur_pwm2_swio14_lednop_hw },
 { 191334, ur_pwm2_swio14_lednop_ee_hw },
 { 191335, ur_pwm2_swio14_lednop_ce_hw },
 { 191336, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 191337, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 191338, ur_pwm2_swio14_dual },
 { 191339, ur_pwm2_swio14_dual },
 { 191340, ur_pwm2_swio14_dual_pr_u4 },
 { 191341, ur_pwm2_swio14_dual_pr_ee },
 { 191342, ur_pwm2_swio14_dual_pr_ee_u4 },
 { 191343, ur_pwm2_swio14_dual_pr_ce },
 { 191344, ur_pwm2_swio14_dual_pr_ce_u4 },
 { 191345, ur_pwm2_swio14_dual_pr_ee_ce },
 { 191346, ur_pwm2_swio14_dual_pr_ee_ce_u4 },
 { 191347, ur_pwm2_swio14_dual_hw },
 { 191348, ur_pwm2_swio14_dual_ee_hw },
 { 191349, ur_pwm2_swio14_dual_ce_hw },
 { 191350, ur_pwm2_swio14_dual_ee_ce_hw },
 { 191351, ur_pwm2_swio14_dual_ee_ce_u4_hw },
 { 191352, ur_pwm2_swio15_noled },
 { 191353, ur_pwm2_swio15_noled_pr },
 { 191354, ur_pwm2_swio15_noled_pr_u4 },
 { 191355, ur_pwm2_swio15_noled_pr_ee },
 { 191356, ur_pwm2_swio15_noled_pr_ee_u4 },
 { 191357, ur_pwm2_swio15_noled_pr_ce },
 { 191358, ur_pwm2_swio15_noled_pr_ce_u4 },
 { 191359, ur_pwm2_swio15_noled_pr_ee_ce },
 { 191360, ur_pwm2_swio15_noled_pr_ee_ce_u4 },
 { 191361, ur_pwm2_swio15_noled_hw },
 { 191362, ur_pwm2_swio15_noled_ee_hw },
 { 191363, ur_pwm2_swio15_noled_ce_hw },
 { 191364, ur_pwm2_swio15_noled_ee_ce_hw },
 { 191365, ur_pwm2_swio15_noled_ee_ce_hw },
 { 191366, ur_pwm2_swio15_lednop },
 { 191367, ur_pwm2_swio15_lednop_pr },
 { 191368, ur_pwm2_swio15_lednop_pr_u4 },
 { 191369, ur_pwm2_swio15_lednop_pr_ee },
 { 191370, ur_pwm2_swio15_lednop_pr_ee_u4 },
 { 191371, ur_pwm2_swio15_lednop_pr_ce },
 { 191372, ur_pwm2_swio15_lednop_pr_ce_u4 },
 { 191373, ur_pwm2_swio15_lednop_pr_ee_ce },
 { 191374, ur_pwm2_swio15_lednop_pr_ee_ce_u4 },
 { 191375, ur_pwm2_swio15_lednop_hw },
 { 191376, ur_pwm2_swio15_lednop_ee_hw },
 { 191377, ur_pwm2_swio15_lednop_ce_hw },
 { 191378, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 191379, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 191380, ur_pwm2_swio15_dual },
 { 191381, ur_pwm2_swio15_dual },
 { 191382, ur_pwm2_swio15_dual_pr_u4 },
 { 191383, ur_pwm2_swio15_dual_pr_ee },
 { 191384, ur_pwm2_swio15_dual_pr_ee_u4 },
 { 191385, ur_pwm2_swio15_dual_pr_ce },
 { 191386, ur_pwm2_swio15_dual_pr_ce_u4 },
 { 191387, ur_pwm2_swio15_dual_pr_ee_ce },
 { 191388, ur_pwm2_swio15_dual_pr_ee_ce_u4 },
 { 191389, ur_pwm2_swio15_dual_hw },
 { 191390, ur_pwm2_swio15_dual_ee_hw },
 { 191391, ur_pwm2_swio15_dual_ce_hw },
 { 191392, ur_pwm2_swio15_dual_ee_ce_hw },
 { 191393, ur_pwm2_swio15_dual_ee_ce_u4_hw },
 { 191394, ur_pwm2_autobaud_uart0_noled },
 { 191395, ur_pwm2_autobaud_uart0_noled },
 { 191396, ur_pwm2_autobaud_uart0_noled_pr_u4 },
 { 191397, ur_pwm2_autobaud_uart0_noled_pr_ee },
 { 191398, ur_pwm2_autobaud_uart0_noled_pr_ee_u4 },
 { 191399, ur_pwm2_autobaud_uart0_noled_pr_ce },
 { 191400, ur_pwm2_autobaud_uart0_noled_pr_ce_u4 },
 { 191401, ur_pwm2_autobaud_uart0_noled_pr_ee_ce },
 { 191402, ur_pwm2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 191403, ur_pwm2_autobaud_uart0_noled_hw },
 { 191404, ur_pwm2_autobaud_uart0_noled_ee_hw },
 { 191405, ur_pwm2_autobaud_uart0_noled_ce_hw },
 { 191406, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 191407, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 191408, ur_pwm2_autobaud_uart0_lednop },
 { 191409, ur_pwm2_autobaud_uart0_lednop_pr },
 { 191410, ur_pwm2_autobaud_uart0_lednop_pr_u4 },
 { 191411, ur_pwm2_autobaud_uart0_lednop_pr_ee },
 { 191412, ur_pwm2_autobaud_uart0_lednop_pr_ee_u4 },
 { 191413, ur_pwm2_autobaud_uart0_lednop_pr_ce },
 { 191414, ur_pwm2_autobaud_uart0_lednop_pr_ce_u4 },
 { 191415, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce },
 { 191416, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 191417, ur_pwm2_autobaud_uart0_lednop_hw },
 { 191418, ur_pwm2_autobaud_uart0_lednop_ee_hw },
 { 191419, ur_pwm2_autobaud_uart0_lednop_ce_hw },
 { 191420, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 191421, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 191422, ur_pwm2_autobaud_uart0_dual },
 { 191423, ur_pwm2_autobaud_uart0_dual },
 { 191424, ur_pwm2_autobaud_uart0_dual_pr_u4 },
 { 191425, ur_pwm2_autobaud_uart0_dual_pr_ee },
 { 191426, ur_pwm2_autobaud_uart0_dual_pr_ee_u4 },
 { 191427, ur_pwm2_autobaud_uart0_dual_pr_ce },
 { 191428, ur_pwm2_autobaud_uart0_dual_pr_ce_u4 },
 { 191429, ur_pwm2_autobaud_uart0_dual_pr_ee_ce },
 { 191430, ur_pwm2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 191431, ur_pwm2_autobaud_uart0_dual_hw },
 { 191432, ur_pwm2_autobaud_uart0_dual_ee_hw },
 { 191433, ur_pwm2_autobaud_uart0_dual_ce_hw },
 { 191434, ur_pwm2_autobaud_uart0_dual_ee_ce_hw },
 { 191435, ur_pwm2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 191604, ur_pwm2_u1x8_uart0_noled },
 { 191605, ur_pwm2_u1x8_uart0_noled },
 { 191606, ur_pwm2_u1x8_uart0_noled_pr_u4 },
 { 191607, ur_pwm2_u1x8_uart0_noled_pr_ee },
 { 191608, ur_pwm2_u1x8_uart0_noled_pr_ee_u4 },
 { 191609, ur_pwm2_u1x8_uart0_noled_pr_ce },
 { 191610, ur_pwm2_u1x8_uart0_noled_pr_ce_u4 },
 { 191611, ur_pwm2_u1x8_uart0_noled_pr_ee_ce },
 { 191612, ur_pwm2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 191613, ur_pwm2_u1x8_uart0_noled_hw },
 { 191614, ur_pwm2_u1x8_uart0_noled_ee_hw },
 { 191615, ur_pwm2_u1x8_uart0_noled_ce_hw },
 { 191616, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 191617, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 191618, ur_pwm2_u1x8_uart0_lednop },
 { 191619, ur_pwm2_u1x8_uart0_lednop },
 { 191620, ur_pwm2_u1x8_uart0_lednop_pr_u4 },
 { 191621, ur_pwm2_u1x8_uart0_lednop_pr_ee },
 { 191622, ur_pwm2_u1x8_uart0_lednop_pr_ee_u4 },
 { 191623, ur_pwm2_u1x8_uart0_lednop_pr_ce },
 { 191624, ur_pwm2_u1x8_uart0_lednop_pr_ce_u4 },
 { 191625, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce },
 { 191626, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 191627, ur_pwm2_u1x8_uart0_lednop_hw },
 { 191628, ur_pwm2_u1x8_uart0_lednop_ee_hw },
 { 191629, ur_pwm2_u1x8_uart0_lednop_ce_hw },
 { 191630, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 191631, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 191632, ur_pwm2_u1x8_uart0_dual },
 { 191633, ur_pwm2_u1x8_uart0_dual_pr },
 { 191634, ur_pwm2_u1x8_uart0_dual_pr_u4 },
 { 191635, ur_pwm2_u1x8_uart0_dual_pr_ee },
 { 191636, ur_pwm2_u1x8_uart0_dual_pr_ee_u4 },
 { 191637, ur_pwm2_u1x8_uart0_dual_pr_ce },
 { 191638, ur_pwm2_u1x8_uart0_dual_pr_ce_u4 },
 { 191639, ur_pwm2_u1x8_uart0_dual_pr_ee_ce },
 { 191640, ur_pwm2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 191641, ur_pwm2_u1x8_uart0_dual_hw },
 { 191642, ur_pwm2_u1x8_uart0_dual_ee_hw },
 { 191643, ur_pwm2_u1x8_uart0_dual_ce_hw },
 { 191644, ur_pwm2_u1x8_uart0_dual_ee_ce_hw },
 { 191645, ur_pwm2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 191814, ur_pwm2_u1x12_uart0_noled },
 { 191815, ur_pwm2_u1x12_uart0_noled },
 { 191816, ur_pwm2_u1x12_uart0_noled_pr_u4 },
 { 191817, ur_pwm2_u1x12_uart0_noled_pr_ee },
 { 191818, ur_pwm2_u1x12_uart0_noled_pr_ee_u4 },
 { 191819, ur_pwm2_u1x12_uart0_noled_pr_ce },
 { 191820, ur_pwm2_u1x12_uart0_noled_pr_ce_u4 },
 { 191821, ur_pwm2_u1x12_uart0_noled_pr_ee_ce },
 { 191822, ur_pwm2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 191823, ur_pwm2_u1x12_uart0_noled_hw },
 { 191824, ur_pwm2_u1x12_uart0_noled_ee_hw },
 { 191825, ur_pwm2_u1x12_uart0_noled_ce_hw },
 { 191826, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 191827, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 191828, ur_pwm2_u1x12_uart0_lednop },
 { 191829, ur_pwm2_u1x12_uart0_lednop },
 { 191830, ur_pwm2_u1x12_uart0_lednop_pr_u4 },
 { 191831, ur_pwm2_u1x12_uart0_lednop_pr_ee },
 { 191832, ur_pwm2_u1x12_uart0_lednop_pr_ee_u4 },
 { 191833, ur_pwm2_u1x12_uart0_lednop_pr_ce },
 { 191834, ur_pwm2_u1x12_uart0_lednop_pr_ce_u4 },
 { 191835, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce },
 { 191836, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 191837, ur_pwm2_u1x12_uart0_lednop_hw },
 { 191838, ur_pwm2_u1x12_uart0_lednop_ee_hw },
 { 191839, ur_pwm2_u1x12_uart0_lednop_ce_hw },
 { 191840, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 191841, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 191842, ur_pwm2_u1x12_uart0_dual },
 { 191843, ur_pwm2_u1x12_uart0_dual_pr },
 { 191844, ur_pwm2_u1x12_uart0_dual_pr_u4 },
 { 191845, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 191846, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 191847, ur_pwm2_u1x12_uart0_dual_pr_ce },
 { 191848, ur_pwm2_u1x12_uart0_dual_pr_ce_u4 },
 { 191849, ur_pwm2_u1x12_uart0_dual_pr_ee_ce },
 { 191850, ur_pwm2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 191851, ur_pwm2_u1x12_uart0_dual_hw },
 { 191852, ur_pwm2_u1x12_uart0_dual_ee_hw },
 { 191853, ur_pwm2_u1x12_uart0_dual_ce_hw },
 { 191854, ur_pwm2_u1x12_uart0_dual_ee_ce_hw },
 { 191855, ur_pwm2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 192024, ur_pwm2_u2x8_uart0_noled },
 { 192025, ur_pwm2_u2x8_uart0_noled },
 { 192026, ur_pwm2_u2x8_uart0_noled_pr_u4 },
 { 192027, ur_pwm2_u2x8_uart0_noled_pr_ee },
 { 192028, ur_pwm2_u2x8_uart0_noled_pr_ee_u4 },
 { 192029, ur_pwm2_u2x8_uart0_noled_pr_ce },
 { 192030, ur_pwm2_u2x8_uart0_noled_pr_ce_u4 },
 { 192031, ur_pwm2_u2x8_uart0_noled_pr_ee_ce },
 { 192032, ur_pwm2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 192033, ur_pwm2_u2x8_uart0_noled_hw },
 { 192034, ur_pwm2_u2x8_uart0_noled_ee_hw },
 { 192035, ur_pwm2_u2x8_uart0_noled_ce_hw },
 { 192036, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 192037, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 192038, ur_pwm2_u2x8_uart0_lednop },
 { 192039, ur_pwm2_u2x8_uart0_lednop },
 { 192040, ur_pwm2_u2x8_uart0_lednop_pr_u4 },
 { 192041, ur_pwm2_u2x8_uart0_lednop_pr_ee },
 { 192042, ur_pwm2_u2x8_uart0_lednop_pr_ee_u4 },
 { 192043, ur_pwm2_u2x8_uart0_lednop_pr_ce },
 { 192044, ur_pwm2_u2x8_uart0_lednop_pr_ce_u4 },
 { 192045, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce },
 { 192046, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 192047, ur_pwm2_u2x8_uart0_lednop_hw },
 { 192048, ur_pwm2_u2x8_uart0_lednop_ee_hw },
 { 192049, ur_pwm2_u2x8_uart0_lednop_ce_hw },
 { 192050, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 192051, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 192052, ur_pwm2_u2x8_uart0_dual },
 { 192053, ur_pwm2_u2x8_uart0_dual_pr },
 { 192054, ur_pwm2_u2x8_uart0_dual_pr_u4 },
 { 192055, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 192056, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 192057, ur_pwm2_u2x8_uart0_dual_pr_ce },
 { 192058, ur_pwm2_u2x8_uart0_dual_pr_ce_u4 },
 { 192059, ur_pwm2_u2x8_uart0_dual_pr_ee_ce },
 { 192060, ur_pwm2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 192061, ur_pwm2_u2x8_uart0_dual_hw },
 { 192062, ur_pwm2_u2x8_uart0_dual_ee_hw },
 { 192063, ur_pwm2_u2x8_uart0_dual_ce_hw },
 { 192064, ur_pwm2_u2x8_uart0_dual_ee_ce_hw },
 { 192065, ur_pwm2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 192234, ur_pwm2_u2x12_uart0_noled },
 { 192235, ur_pwm2_u2x12_uart0_noled },
 { 192236, ur_pwm2_u2x12_uart0_noled_pr_u4 },
 { 192237, ur_pwm2_u2x12_uart0_noled_pr_ee },
 { 192238, ur_pwm2_u2x12_uart0_noled_pr_ee_u4 },
 { 192239, ur_pwm2_u2x12_uart0_noled_pr_ce },
 { 192240, ur_pwm2_u2x12_uart0_noled_pr_ce_u4 },
 { 192241, ur_pwm2_u2x12_uart0_noled_pr_ee_ce },
 { 192242, ur_pwm2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 192243, ur_pwm2_u2x12_uart0_noled_hw },
 { 192244, ur_pwm2_u2x12_uart0_noled_ee_hw },
 { 192245, ur_pwm2_u2x12_uart0_noled_ce_hw },
 { 192246, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 192247, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 192248, ur_pwm2_u2x12_uart0_lednop },
 { 192249, ur_pwm2_u2x12_uart0_lednop },
 { 192250, ur_pwm2_u2x12_uart0_lednop_pr_u4 },
 { 192251, ur_pwm2_u2x12_uart0_lednop_pr_ee },
 { 192252, ur_pwm2_u2x12_uart0_lednop_pr_ee_u4 },
 { 192253, ur_pwm2_u2x12_uart0_lednop_pr_ce },
 { 192254, ur_pwm2_u2x12_uart0_lednop_pr_ce_u4 },
 { 192255, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce },
 { 192256, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 192257, ur_pwm2_u2x12_uart0_lednop_hw },
 { 192258, ur_pwm2_u2x12_uart0_lednop_ee_hw },
 { 192259, ur_pwm2_u2x12_uart0_lednop_ce_hw },
 { 192260, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 192261, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 192262, ur_pwm2_u2x12_uart0_dual },
 { 192263, ur_pwm2_u2x12_uart0_dual_pr },
 { 192264, ur_pwm2_u2x12_uart0_dual_pr_u4 },
 { 192265, ur_pwm2_u2x12_uart0_dual_pr_ee },
 { 192266, ur_pwm2_u2x12_uart0_dual_pr_ee_u4 },
 { 192267, ur_pwm2_u2x12_uart0_dual_pr_ce },
 { 192268, ur_pwm2_u2x12_uart0_dual_pr_ce_u4 },
 { 192269, ur_pwm2_u2x12_uart0_dual_pr_ee_ce },
 { 192270, ur_pwm2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 192271, ur_pwm2_u2x12_uart0_dual_hw },
 { 192272, ur_pwm2_u2x12_uart0_dual_ee_hw },
 { 192273, ur_pwm2_u2x12_uart0_dual_ce_hw },
 { 192274, ur_pwm2_u2x12_uart0_dual_ee_ce_hw },
 { 192275, ur_pwm2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 192444, ur_pwm2_swio10_noled },
 { 192445, ur_pwm2_swio10_noled_pr },
 { 192446, ur_pwm2_swio10_noled_pr_u4 },
 { 192447, ur_pwm2_swio10_noled_pr_ee },
 { 192448, ur_pwm2_swio10_noled_pr_ee_u4 },
 { 192449, ur_pwm2_swio10_noled_pr_ce },
 { 192450, ur_pwm2_swio10_noled_pr_ce_u4 },
 { 192451, ur_pwm2_swio10_noled_pr_ee_ce },
 { 192452, ur_pwm2_swio10_noled_pr_ee_ce_u4 },
 { 192453, ur_pwm2_swio10_noled_hw },
 { 192454, ur_pwm2_swio10_noled_ee_hw },
 { 192455, ur_pwm2_swio10_noled_ce_hw },
 { 192456, ur_pwm2_swio10_noled_ee_ce_hw },
 { 192457, ur_pwm2_swio10_noled_ee_ce_hw },
 { 192458, ur_pwm2_swio10_lednop },
 { 192459, ur_pwm2_swio10_lednop_pr },
 { 192460, ur_pwm2_swio10_lednop_pr_u4 },
 { 192461, ur_pwm2_swio10_lednop_pr_ee },
 { 192462, ur_pwm2_swio10_lednop_pr_ee_u4 },
 { 192463, ur_pwm2_swio10_lednop_pr_ce },
 { 192464, ur_pwm2_swio10_lednop_pr_ce_u4 },
 { 192465, ur_pwm2_swio10_lednop_pr_ee_ce },
 { 192466, ur_pwm2_swio10_lednop_pr_ee_ce_u4 },
 { 192467, ur_pwm2_swio10_lednop_hw },
 { 192468, ur_pwm2_swio10_lednop_ee_hw },
 { 192469, ur_pwm2_swio10_lednop_ce_hw },
 { 192470, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 192471, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 192472, ur_pwm2_swio10_dual },
 { 192473, ur_pwm2_swio10_dual },
 { 192474, ur_pwm2_swio10_dual_pr_u4 },
 { 192475, ur_pwm2_swio10_dual_pr_ee },
 { 192476, ur_pwm2_swio10_dual_pr_ee_u4 },
 { 192477, ur_pwm2_swio10_dual_pr_ce },
 { 192478, ur_pwm2_swio10_dual_pr_ce_u4 },
 { 192479, ur_pwm2_swio10_dual_pr_ee_ce },
 { 192480, ur_pwm2_swio10_dual_pr_ee_ce_u4 },
 { 192481, ur_pwm2_swio10_dual_hw },
 { 192482, ur_pwm2_swio10_dual_ee_hw },
 { 192483, ur_pwm2_swio10_dual_ce_hw },
 { 192484, ur_pwm2_swio10_dual_ee_ce_hw },
 { 192485, ur_pwm2_swio10_dual_ee_ce_u4_hw },
 { 192486, ur_pwm2_swio11_noled },
 { 192487, ur_pwm2_swio11_noled_pr },
 { 192488, ur_pwm2_swio11_noled_pr_u4 },
 { 192489, ur_pwm2_swio11_noled_pr_ee },
 { 192490, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 192491, ur_pwm2_swio11_noled_pr_ce },
 { 192492, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 192493, ur_pwm2_swio11_noled_pr_ee_ce },
 { 192494, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 192495, ur_pwm2_swio11_noled_hw },
 { 192496, ur_pwm2_swio11_noled_ee_hw },
 { 192497, ur_pwm2_swio11_noled_ce_hw },
 { 192498, ur_pwm2_swio11_noled_ee_ce_hw },
 { 192499, ur_pwm2_swio11_noled_ee_ce_hw },
 { 192500, ur_pwm2_swio11_lednop },
 { 192501, ur_pwm2_swio11_lednop_pr },
 { 192502, ur_pwm2_swio11_lednop_pr_u4 },
 { 192503, ur_pwm2_swio11_lednop_pr_ee },
 { 192504, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 192505, ur_pwm2_swio11_lednop_pr_ce },
 { 192506, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 192507, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 192508, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 192509, ur_pwm2_swio11_lednop_hw },
 { 192510, ur_pwm2_swio11_lednop_ee_hw },
 { 192511, ur_pwm2_swio11_lednop_ce_hw },
 { 192512, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 192513, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 192514, ur_pwm2_swio11_dual },
 { 192515, ur_pwm2_swio11_dual },
 { 192516, ur_pwm2_swio11_dual_pr_u4 },
 { 192517, ur_pwm2_swio11_dual_pr_ee },
 { 192518, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 192519, ur_pwm2_swio11_dual_pr_ce },
 { 192520, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 192521, ur_pwm2_swio11_dual_pr_ee_ce },
 { 192522, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 192523, ur_pwm2_swio11_dual_hw },
 { 192524, ur_pwm2_swio11_dual_ee_hw },
 { 192525, ur_pwm2_swio11_dual_ce_hw },
 { 192526, ur_pwm2_swio11_dual_ee_ce_hw },
 { 192527, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 192528, ur_pwm2_swio11_noled },
 { 192529, ur_pwm2_swio11_noled_pr },
 { 192530, ur_pwm2_swio11_noled_pr_u4 },
 { 192531, ur_pwm2_swio11_noled_pr_ee },
 { 192532, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 192533, ur_pwm2_swio11_noled_pr_ce },
 { 192534, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 192535, ur_pwm2_swio11_noled_pr_ee_ce },
 { 192536, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 192537, ur_pwm2_swio11_noled_hw },
 { 192538, ur_pwm2_swio11_noled_ee_hw },
 { 192539, ur_pwm2_swio11_noled_ce_hw },
 { 192540, ur_pwm2_swio11_noled_ee_ce_hw },
 { 192541, ur_pwm2_swio11_noled_ee_ce_hw },
 { 192542, ur_pwm2_swio11_lednop },
 { 192543, ur_pwm2_swio11_lednop_pr },
 { 192544, ur_pwm2_swio11_lednop_pr_u4 },
 { 192545, ur_pwm2_swio11_lednop_pr_ee },
 { 192546, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 192547, ur_pwm2_swio11_lednop_pr_ce },
 { 192548, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 192549, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 192550, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 192551, ur_pwm2_swio11_lednop_hw },
 { 192552, ur_pwm2_swio11_lednop_ee_hw },
 { 192553, ur_pwm2_swio11_lednop_ce_hw },
 { 192554, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 192555, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 192556, ur_pwm2_swio11_dual },
 { 192557, ur_pwm2_swio11_dual },
 { 192558, ur_pwm2_swio11_dual_pr_u4 },
 { 192559, ur_pwm2_swio11_dual_pr_ee },
 { 192560, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 192561, ur_pwm2_swio11_dual_pr_ce },
 { 192562, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 192563, ur_pwm2_swio11_dual_pr_ee_ce },
 { 192564, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 192565, ur_pwm2_swio11_dual_hw },
 { 192566, ur_pwm2_swio11_dual_ee_hw },
 { 192567, ur_pwm2_swio11_dual_ce_hw },
 { 192568, ur_pwm2_swio11_dual_ee_ce_hw },
 { 192569, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 192570, ur_pwm2_swio13_noled },
 { 192571, ur_pwm2_swio13_noled_pr },
 { 192572, ur_pwm2_swio13_noled_pr_u4 },
 { 192573, ur_pwm2_swio13_noled_pr_ee },
 { 192574, ur_pwm2_swio13_noled_pr_ee_u4 },
 { 192575, ur_pwm2_swio13_noled_pr_ce },
 { 192576, ur_pwm2_swio13_noled_pr_ce_u4 },
 { 192577, ur_pwm2_swio13_noled_pr_ee_ce },
 { 192578, ur_pwm2_swio13_noled_pr_ee_ce_u4 },
 { 192579, ur_pwm2_swio13_noled_hw },
 { 192580, ur_pwm2_swio13_noled_ee_hw },
 { 192581, ur_pwm2_swio13_noled_ce_hw },
 { 192582, ur_pwm2_swio13_noled_ee_ce_hw },
 { 192583, ur_pwm2_swio13_noled_ee_ce_hw },
 { 192584, ur_pwm2_swio13_lednop },
 { 192585, ur_pwm2_swio13_lednop_pr },
 { 192586, ur_pwm2_swio13_lednop_pr_u4 },
 { 192587, ur_pwm2_swio13_lednop_pr_ee },
 { 192588, ur_pwm2_swio13_lednop_pr_ee_u4 },
 { 192589, ur_pwm2_swio13_lednop_pr_ce },
 { 192590, ur_pwm2_swio13_lednop_pr_ce_u4 },
 { 192591, ur_pwm2_swio13_lednop_pr_ee_ce },
 { 192592, ur_pwm2_swio13_lednop_pr_ee_ce_u4 },
 { 192593, ur_pwm2_swio13_lednop_hw },
 { 192594, ur_pwm2_swio13_lednop_ee_hw },
 { 192595, ur_pwm2_swio13_lednop_ce_hw },
 { 192596, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 192597, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 192598, ur_pwm2_swio13_dual },
 { 192599, ur_pwm2_swio13_dual },
 { 192600, ur_pwm2_swio13_dual_pr_u4 },
 { 192601, ur_pwm2_swio13_dual_pr_ee },
 { 192602, ur_pwm2_swio13_dual_pr_ee_u4 },
 { 192603, ur_pwm2_swio13_dual_pr_ce },
 { 192604, ur_pwm2_swio13_dual_pr_ce_u4 },
 { 192605, ur_pwm2_swio13_dual_pr_ee_ce },
 { 192606, ur_pwm2_swio13_dual_pr_ee_ce_u4 },
 { 192607, ur_pwm2_swio13_dual_hw },
 { 192608, ur_pwm2_swio13_dual_ee_hw },
 { 192609, ur_pwm2_swio13_dual_ce_hw },
 { 192610, ur_pwm2_swio13_dual_ee_ce_hw },
 { 192611, ur_pwm2_swio13_dual_ee_ce_u4_hw },
 { 192612, ur_pwm2_swio14_noled },
 { 192613, ur_pwm2_swio14_noled_pr },
 { 192614, ur_pwm2_swio14_noled_pr_u4 },
 { 192615, ur_pwm2_swio14_noled_pr_ee },
 { 192616, ur_pwm2_swio14_noled_pr_ee_u4 },
 { 192617, ur_pwm2_swio14_noled_pr_ce },
 { 192618, ur_pwm2_swio14_noled_pr_ce_u4 },
 { 192619, ur_pwm2_swio14_noled_pr_ee_ce },
 { 192620, ur_pwm2_swio14_noled_pr_ee_ce_u4 },
 { 192621, ur_pwm2_swio14_noled_hw },
 { 192622, ur_pwm2_swio14_noled_ee_hw },
 { 192623, ur_pwm2_swio14_noled_ce_hw },
 { 192624, ur_pwm2_swio14_noled_ee_ce_hw },
 { 192625, ur_pwm2_swio14_noled_ee_ce_hw },
 { 192626, ur_pwm2_swio14_lednop },
 { 192627, ur_pwm2_swio14_lednop_pr },
 { 192628, ur_pwm2_swio14_lednop_pr_u4 },
 { 192629, ur_pwm2_swio14_lednop_pr_ee },
 { 192630, ur_pwm2_swio14_lednop_pr_ee_u4 },
 { 192631, ur_pwm2_swio14_lednop_pr_ce },
 { 192632, ur_pwm2_swio14_lednop_pr_ce_u4 },
 { 192633, ur_pwm2_swio14_lednop_pr_ee_ce },
 { 192634, ur_pwm2_swio14_lednop_pr_ee_ce_u4 },
 { 192635, ur_pwm2_swio14_lednop_hw },
 { 192636, ur_pwm2_swio14_lednop_ee_hw },
 { 192637, ur_pwm2_swio14_lednop_ce_hw },
 { 192638, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 192639, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 192640, ur_pwm2_swio14_dual },
 { 192641, ur_pwm2_swio14_dual },
 { 192642, ur_pwm2_swio14_dual_pr_u4 },
 { 192643, ur_pwm2_swio14_dual_pr_ee },
 { 192644, ur_pwm2_swio14_dual_pr_ee_u4 },
 { 192645, ur_pwm2_swio14_dual_pr_ce },
 { 192646, ur_pwm2_swio14_dual_pr_ce_u4 },
 { 192647, ur_pwm2_swio14_dual_pr_ee_ce },
 { 192648, ur_pwm2_swio14_dual_pr_ee_ce_u4 },
 { 192649, ur_pwm2_swio14_dual_hw },
 { 192650, ur_pwm2_swio14_dual_ee_hw },
 { 192651, ur_pwm2_swio14_dual_ce_hw },
 { 192652, ur_pwm2_swio14_dual_ee_ce_hw },
 { 192653, ur_pwm2_swio14_dual_ee_ce_u4_hw },
 { 192654, ur_pwm2_swio15_noled },
 { 192655, ur_pwm2_swio15_noled_pr },
 { 192656, ur_pwm2_swio15_noled_pr_u4 },
 { 192657, ur_pwm2_swio15_noled_pr_ee },
 { 192658, ur_pwm2_swio15_noled_pr_ee_u4 },
 { 192659, ur_pwm2_swio15_noled_pr_ce },
 { 192660, ur_pwm2_swio15_noled_pr_ce_u4 },
 { 192661, ur_pwm2_swio15_noled_pr_ee_ce },
 { 192662, ur_pwm2_swio15_noled_pr_ee_ce_u4 },
 { 192663, ur_pwm2_swio15_noled_hw },
 { 192664, ur_pwm2_swio15_noled_ee_hw },
 { 192665, ur_pwm2_swio15_noled_ce_hw },
 { 192666, ur_pwm2_swio15_noled_ee_ce_hw },
 { 192667, ur_pwm2_swio15_noled_ee_ce_hw },
 { 192668, ur_pwm2_swio15_lednop },
 { 192669, ur_pwm2_swio15_lednop_pr },
 { 192670, ur_pwm2_swio15_lednop_pr_u4 },
 { 192671, ur_pwm2_swio15_lednop_pr_ee },
 { 192672, ur_pwm2_swio15_lednop_pr_ee_u4 },
 { 192673, ur_pwm2_swio15_lednop_pr_ce },
 { 192674, ur_pwm2_swio15_lednop_pr_ce_u4 },
 { 192675, ur_pwm2_swio15_lednop_pr_ee_ce },
 { 192676, ur_pwm2_swio15_lednop_pr_ee_ce_u4 },
 { 192677, ur_pwm2_swio15_lednop_hw },
 { 192678, ur_pwm2_swio15_lednop_ee_hw },
 { 192679, ur_pwm2_swio15_lednop_ce_hw },
 { 192680, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 192681, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 192682, ur_pwm2_swio15_dual },
 { 192683, ur_pwm2_swio15_dual },
 { 192684, ur_pwm2_swio15_dual_pr_u4 },
 { 192685, ur_pwm2_swio15_dual_pr_ee },
 { 192686, ur_pwm2_swio15_dual_pr_ee_u4 },
 { 192687, ur_pwm2_swio15_dual_pr_ce },
 { 192688, ur_pwm2_swio15_dual_pr_ce_u4 },
 { 192689, ur_pwm2_swio15_dual_pr_ee_ce },
 { 192690, ur_pwm2_swio15_dual_pr_ee_ce_u4 },
 { 192691, ur_pwm2_swio15_dual_hw },
 { 192692, ur_pwm2_swio15_dual_ee_hw },
 { 192693, ur_pwm2_swio15_dual_ce_hw },
 { 192694, ur_pwm2_swio15_dual_ee_ce_hw },
 { 192695, ur_pwm2_swio15_dual_ee_ce_u4_hw },
 { 192696, ur_pwm2_autobaud_uart0_noled },
 { 192697, ur_pwm2_autobaud_uart0_noled },
 { 192698, ur_pwm2_autobaud_uart0_noled_pr_u4 },
 { 192699, ur_pwm2_autobaud_uart0_noled_pr_ee },
 { 192700, ur_pwm2_autobaud_uart0_noled_pr_ee_u4 },
 { 192701, ur_pwm2_autobaud_uart0_noled_pr_ce },
 { 192702, ur_pwm2_autobaud_uart0_noled_pr_ce_u4 },
 { 192703, ur_pwm2_autobaud_uart0_noled_pr_ee_ce },
 { 192704, ur_pwm2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 192705, ur_pwm2_autobaud_uart0_noled_hw },
 { 192706, ur_pwm2_autobaud_uart0_noled_ee_hw },
 { 192707, ur_pwm2_autobaud_uart0_noled_ce_hw },
 { 192708, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 192709, ur_pwm2_autobaud_uart0_noled_ee_ce_hw },
 { 192710, ur_pwm2_autobaud_uart0_lednop },
 { 192711, ur_pwm2_autobaud_uart0_lednop_pr },
 { 192712, ur_pwm2_autobaud_uart0_lednop_pr_u4 },
 { 192713, ur_pwm2_autobaud_uart0_lednop_pr_ee },
 { 192714, ur_pwm2_autobaud_uart0_lednop_pr_ee_u4 },
 { 192715, ur_pwm2_autobaud_uart0_lednop_pr_ce },
 { 192716, ur_pwm2_autobaud_uart0_lednop_pr_ce_u4 },
 { 192717, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce },
 { 192718, ur_pwm2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 192719, ur_pwm2_autobaud_uart0_lednop_hw },
 { 192720, ur_pwm2_autobaud_uart0_lednop_ee_hw },
 { 192721, ur_pwm2_autobaud_uart0_lednop_ce_hw },
 { 192722, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 192723, ur_pwm2_autobaud_uart0_lednop_ee_ce_hw },
 { 192724, ur_pwm2_autobaud_uart0_dual },
 { 192725, ur_pwm2_autobaud_uart0_dual },
 { 192726, ur_pwm2_autobaud_uart0_dual_pr_u4 },
 { 192727, ur_pwm2_autobaud_uart0_dual_pr_ee },
 { 192728, ur_pwm2_autobaud_uart0_dual_pr_ee_u4 },
 { 192729, ur_pwm2_autobaud_uart0_dual_pr_ce },
 { 192730, ur_pwm2_autobaud_uart0_dual_pr_ce_u4 },
 { 192731, ur_pwm2_autobaud_uart0_dual_pr_ee_ce },
 { 192732, ur_pwm2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 192733, ur_pwm2_autobaud_uart0_dual_hw },
 { 192734, ur_pwm2_autobaud_uart0_dual_ee_hw },
 { 192735, ur_pwm2_autobaud_uart0_dual_ce_hw },
 { 192736, ur_pwm2_autobaud_uart0_dual_ee_ce_hw },
 { 192737, ur_pwm2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 192906, ur_pwm2_u1x8_uart0_noled },
 { 192907, ur_pwm2_u1x8_uart0_noled },
 { 192908, ur_pwm2_u1x8_uart0_noled_pr_u4 },
 { 192909, ur_pwm2_u1x8_uart0_noled_pr_ee },
 { 192910, ur_pwm2_u1x8_uart0_noled_pr_ee_u4 },
 { 192911, ur_pwm2_u1x8_uart0_noled_pr_ce },
 { 192912, ur_pwm2_u1x8_uart0_noled_pr_ce_u4 },
 { 192913, ur_pwm2_u1x8_uart0_noled_pr_ee_ce },
 { 192914, ur_pwm2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 192915, ur_pwm2_u1x8_uart0_noled_hw },
 { 192916, ur_pwm2_u1x8_uart0_noled_ee_hw },
 { 192917, ur_pwm2_u1x8_uart0_noled_ce_hw },
 { 192918, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 192919, ur_pwm2_u1x8_uart0_noled_ee_ce_hw },
 { 192920, ur_pwm2_u1x8_uart0_lednop },
 { 192921, ur_pwm2_u1x8_uart0_lednop },
 { 192922, ur_pwm2_u1x8_uart0_lednop_pr_u4 },
 { 192923, ur_pwm2_u1x8_uart0_lednop_pr_ee },
 { 192924, ur_pwm2_u1x8_uart0_lednop_pr_ee_u4 },
 { 192925, ur_pwm2_u1x8_uart0_lednop_pr_ce },
 { 192926, ur_pwm2_u1x8_uart0_lednop_pr_ce_u4 },
 { 192927, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce },
 { 192928, ur_pwm2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 192929, ur_pwm2_u1x8_uart0_lednop_hw },
 { 192930, ur_pwm2_u1x8_uart0_lednop_ee_hw },
 { 192931, ur_pwm2_u1x8_uart0_lednop_ce_hw },
 { 192932, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 192933, ur_pwm2_u1x8_uart0_lednop_ee_ce_hw },
 { 192934, ur_pwm2_u1x8_uart0_dual },
 { 192935, ur_pwm2_u1x8_uart0_dual_pr },
 { 192936, ur_pwm2_u1x8_uart0_dual_pr_u4 },
 { 192937, ur_pwm2_u1x8_uart0_dual_pr_ee },
 { 192938, ur_pwm2_u1x8_uart0_dual_pr_ee_u4 },
 { 192939, ur_pwm2_u1x8_uart0_dual_pr_ce },
 { 192940, ur_pwm2_u1x8_uart0_dual_pr_ce_u4 },
 { 192941, ur_pwm2_u1x8_uart0_dual_pr_ee_ce },
 { 192942, ur_pwm2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 192943, ur_pwm2_u1x8_uart0_dual_hw },
 { 192944, ur_pwm2_u1x8_uart0_dual_ee_hw },
 { 192945, ur_pwm2_u1x8_uart0_dual_ce_hw },
 { 192946, ur_pwm2_u1x8_uart0_dual_ee_ce_hw },
 { 192947, ur_pwm2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 193116, ur_pwm2_u1x12_uart0_noled },
 { 193117, ur_pwm2_u1x12_uart0_noled },
 { 193118, ur_pwm2_u1x12_uart0_noled_pr_u4 },
 { 193119, ur_pwm2_u1x12_uart0_noled_pr_ee },
 { 193120, ur_pwm2_u1x12_uart0_noled_pr_ee_u4 },
 { 193121, ur_pwm2_u1x12_uart0_noled_pr_ce },
 { 193122, ur_pwm2_u1x12_uart0_noled_pr_ce_u4 },
 { 193123, ur_pwm2_u1x12_uart0_noled_pr_ee_ce },
 { 193124, ur_pwm2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 193125, ur_pwm2_u1x12_uart0_noled_hw },
 { 193126, ur_pwm2_u1x12_uart0_noled_ee_hw },
 { 193127, ur_pwm2_u1x12_uart0_noled_ce_hw },
 { 193128, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 193129, ur_pwm2_u1x12_uart0_noled_ee_ce_hw },
 { 193130, ur_pwm2_u1x12_uart0_lednop },
 { 193131, ur_pwm2_u1x12_uart0_lednop },
 { 193132, ur_pwm2_u1x12_uart0_lednop_pr_u4 },
 { 193133, ur_pwm2_u1x12_uart0_lednop_pr_ee },
 { 193134, ur_pwm2_u1x12_uart0_lednop_pr_ee_u4 },
 { 193135, ur_pwm2_u1x12_uart0_lednop_pr_ce },
 { 193136, ur_pwm2_u1x12_uart0_lednop_pr_ce_u4 },
 { 193137, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce },
 { 193138, ur_pwm2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 193139, ur_pwm2_u1x12_uart0_lednop_hw },
 { 193140, ur_pwm2_u1x12_uart0_lednop_ee_hw },
 { 193141, ur_pwm2_u1x12_uart0_lednop_ce_hw },
 { 193142, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 193143, ur_pwm2_u1x12_uart0_lednop_ee_ce_hw },
 { 193144, ur_pwm2_u1x12_uart0_dual },
 { 193145, ur_pwm2_u1x12_uart0_dual_pr },
 { 193146, ur_pwm2_u1x12_uart0_dual_pr_u4 },
 { 193147, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 193148, ur_pwm2_u1x12_uart0_dual_pr_ee },
 { 193149, ur_pwm2_u1x12_uart0_dual_pr_ce },
 { 193150, ur_pwm2_u1x12_uart0_dual_pr_ce_u4 },
 { 193151, ur_pwm2_u1x12_uart0_dual_pr_ee_ce },
 { 193152, ur_pwm2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 193153, ur_pwm2_u1x12_uart0_dual_hw },
 { 193154, ur_pwm2_u1x12_uart0_dual_ee_hw },
 { 193155, ur_pwm2_u1x12_uart0_dual_ce_hw },
 { 193156, ur_pwm2_u1x12_uart0_dual_ee_ce_hw },
 { 193157, ur_pwm2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 193326, ur_pwm2_u2x8_uart0_noled },
 { 193327, ur_pwm2_u2x8_uart0_noled },
 { 193328, ur_pwm2_u2x8_uart0_noled_pr_u4 },
 { 193329, ur_pwm2_u2x8_uart0_noled_pr_ee },
 { 193330, ur_pwm2_u2x8_uart0_noled_pr_ee_u4 },
 { 193331, ur_pwm2_u2x8_uart0_noled_pr_ce },
 { 193332, ur_pwm2_u2x8_uart0_noled_pr_ce_u4 },
 { 193333, ur_pwm2_u2x8_uart0_noled_pr_ee_ce },
 { 193334, ur_pwm2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 193335, ur_pwm2_u2x8_uart0_noled_hw },
 { 193336, ur_pwm2_u2x8_uart0_noled_ee_hw },
 { 193337, ur_pwm2_u2x8_uart0_noled_ce_hw },
 { 193338, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 193339, ur_pwm2_u2x8_uart0_noled_ee_ce_hw },
 { 193340, ur_pwm2_u2x8_uart0_lednop },
 { 193341, ur_pwm2_u2x8_uart0_lednop },
 { 193342, ur_pwm2_u2x8_uart0_lednop_pr_u4 },
 { 193343, ur_pwm2_u2x8_uart0_lednop_pr_ee },
 { 193344, ur_pwm2_u2x8_uart0_lednop_pr_ee_u4 },
 { 193345, ur_pwm2_u2x8_uart0_lednop_pr_ce },
 { 193346, ur_pwm2_u2x8_uart0_lednop_pr_ce_u4 },
 { 193347, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce },
 { 193348, ur_pwm2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 193349, ur_pwm2_u2x8_uart0_lednop_hw },
 { 193350, ur_pwm2_u2x8_uart0_lednop_ee_hw },
 { 193351, ur_pwm2_u2x8_uart0_lednop_ce_hw },
 { 193352, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 193353, ur_pwm2_u2x8_uart0_lednop_ee_ce_hw },
 { 193354, ur_pwm2_u2x8_uart0_dual },
 { 193355, ur_pwm2_u2x8_uart0_dual_pr },
 { 193356, ur_pwm2_u2x8_uart0_dual_pr_u4 },
 { 193357, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 193358, ur_pwm2_u2x8_uart0_dual_pr_ee },
 { 193359, ur_pwm2_u2x8_uart0_dual_pr_ce },
 { 193360, ur_pwm2_u2x8_uart0_dual_pr_ce_u4 },
 { 193361, ur_pwm2_u2x8_uart0_dual_pr_ee_ce },
 { 193362, ur_pwm2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 193363, ur_pwm2_u2x8_uart0_dual_hw },
 { 193364, ur_pwm2_u2x8_uart0_dual_ee_hw },
 { 193365, ur_pwm2_u2x8_uart0_dual_ce_hw },
 { 193366, ur_pwm2_u2x8_uart0_dual_ee_ce_hw },
 { 193367, ur_pwm2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 193536, ur_pwm2_u2x12_uart0_noled },
 { 193537, ur_pwm2_u2x12_uart0_noled },
 { 193538, ur_pwm2_u2x12_uart0_noled_pr_u4 },
 { 193539, ur_pwm2_u2x12_uart0_noled_pr_ee },
 { 193540, ur_pwm2_u2x12_uart0_noled_pr_ee_u4 },
 { 193541, ur_pwm2_u2x12_uart0_noled_pr_ce },
 { 193542, ur_pwm2_u2x12_uart0_noled_pr_ce_u4 },
 { 193543, ur_pwm2_u2x12_uart0_noled_pr_ee_ce },
 { 193544, ur_pwm2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 193545, ur_pwm2_u2x12_uart0_noled_hw },
 { 193546, ur_pwm2_u2x12_uart0_noled_ee_hw },
 { 193547, ur_pwm2_u2x12_uart0_noled_ce_hw },
 { 193548, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 193549, ur_pwm2_u2x12_uart0_noled_ee_ce_hw },
 { 193550, ur_pwm2_u2x12_uart0_lednop },
 { 193551, ur_pwm2_u2x12_uart0_lednop },
 { 193552, ur_pwm2_u2x12_uart0_lednop_pr_u4 },
 { 193553, ur_pwm2_u2x12_uart0_lednop_pr_ee },
 { 193554, ur_pwm2_u2x12_uart0_lednop_pr_ee_u4 },
 { 193555, ur_pwm2_u2x12_uart0_lednop_pr_ce },
 { 193556, ur_pwm2_u2x12_uart0_lednop_pr_ce_u4 },
 { 193557, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce },
 { 193558, ur_pwm2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 193559, ur_pwm2_u2x12_uart0_lednop_hw },
 { 193560, ur_pwm2_u2x12_uart0_lednop_ee_hw },
 { 193561, ur_pwm2_u2x12_uart0_lednop_ce_hw },
 { 193562, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 193563, ur_pwm2_u2x12_uart0_lednop_ee_ce_hw },
 { 193564, ur_pwm2_u2x12_uart0_dual },
 { 193565, ur_pwm2_u2x12_uart0_dual_pr },
 { 193566, ur_pwm2_u2x12_uart0_dual_pr_u4 },
 { 193567, ur_pwm2_u2x12_uart0_dual_pr_ee },
 { 193568, ur_pwm2_u2x12_uart0_dual_pr_ee_u4 },
 { 193569, ur_pwm2_u2x12_uart0_dual_pr_ce },
 { 193570, ur_pwm2_u2x12_uart0_dual_pr_ce_u4 },
 { 193571, ur_pwm2_u2x12_uart0_dual_pr_ee_ce },
 { 193572, ur_pwm2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 193573, ur_pwm2_u2x12_uart0_dual_hw },
 { 193574, ur_pwm2_u2x12_uart0_dual_ee_hw },
 { 193575, ur_pwm2_u2x12_uart0_dual_ce_hw },
 { 193576, ur_pwm2_u2x12_uart0_dual_ee_ce_hw },
 { 193577, ur_pwm2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 193746, ur_pwm2_swio10_noled },
 { 193747, ur_pwm2_swio10_noled_pr },
 { 193748, ur_pwm2_swio10_noled_pr_u4 },
 { 193749, ur_pwm2_swio10_noled_pr_ee },
 { 193750, ur_pwm2_swio10_noled_pr_ee_u4 },
 { 193751, ur_pwm2_swio10_noled_pr_ce },
 { 193752, ur_pwm2_swio10_noled_pr_ce_u4 },
 { 193753, ur_pwm2_swio10_noled_pr_ee_ce },
 { 193754, ur_pwm2_swio10_noled_pr_ee_ce_u4 },
 { 193755, ur_pwm2_swio10_noled_hw },
 { 193756, ur_pwm2_swio10_noled_ee_hw },
 { 193757, ur_pwm2_swio10_noled_ce_hw },
 { 193758, ur_pwm2_swio10_noled_ee_ce_hw },
 { 193759, ur_pwm2_swio10_noled_ee_ce_hw },
 { 193760, ur_pwm2_swio10_lednop },
 { 193761, ur_pwm2_swio10_lednop_pr },
 { 193762, ur_pwm2_swio10_lednop_pr_u4 },
 { 193763, ur_pwm2_swio10_lednop_pr_ee },
 { 193764, ur_pwm2_swio10_lednop_pr_ee_u4 },
 { 193765, ur_pwm2_swio10_lednop_pr_ce },
 { 193766, ur_pwm2_swio10_lednop_pr_ce_u4 },
 { 193767, ur_pwm2_swio10_lednop_pr_ee_ce },
 { 193768, ur_pwm2_swio10_lednop_pr_ee_ce_u4 },
 { 193769, ur_pwm2_swio10_lednop_hw },
 { 193770, ur_pwm2_swio10_lednop_ee_hw },
 { 193771, ur_pwm2_swio10_lednop_ce_hw },
 { 193772, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 193773, ur_pwm2_swio10_lednop_ee_ce_hw },
 { 193774, ur_pwm2_swio10_dual },
 { 193775, ur_pwm2_swio10_dual },
 { 193776, ur_pwm2_swio10_dual_pr_u4 },
 { 193777, ur_pwm2_swio10_dual_pr_ee },
 { 193778, ur_pwm2_swio10_dual_pr_ee_u4 },
 { 193779, ur_pwm2_swio10_dual_pr_ce },
 { 193780, ur_pwm2_swio10_dual_pr_ce_u4 },
 { 193781, ur_pwm2_swio10_dual_pr_ee_ce },
 { 193782, ur_pwm2_swio10_dual_pr_ee_ce_u4 },
 { 193783, ur_pwm2_swio10_dual_hw },
 { 193784, ur_pwm2_swio10_dual_ee_hw },
 { 193785, ur_pwm2_swio10_dual_ce_hw },
 { 193786, ur_pwm2_swio10_dual_ee_ce_hw },
 { 193787, ur_pwm2_swio10_dual_ee_ce_u4_hw },
 { 193788, ur_pwm2_swio11_noled },
 { 193789, ur_pwm2_swio11_noled_pr },
 { 193790, ur_pwm2_swio11_noled_pr_u4 },
 { 193791, ur_pwm2_swio11_noled_pr_ee },
 { 193792, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 193793, ur_pwm2_swio11_noled_pr_ce },
 { 193794, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 193795, ur_pwm2_swio11_noled_pr_ee_ce },
 { 193796, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 193797, ur_pwm2_swio11_noled_hw },
 { 193798, ur_pwm2_swio11_noled_ee_hw },
 { 193799, ur_pwm2_swio11_noled_ce_hw },
 { 193800, ur_pwm2_swio11_noled_ee_ce_hw },
 { 193801, ur_pwm2_swio11_noled_ee_ce_hw },
 { 193802, ur_pwm2_swio11_lednop },
 { 193803, ur_pwm2_swio11_lednop_pr },
 { 193804, ur_pwm2_swio11_lednop_pr_u4 },
 { 193805, ur_pwm2_swio11_lednop_pr_ee },
 { 193806, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 193807, ur_pwm2_swio11_lednop_pr_ce },
 { 193808, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 193809, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 193810, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 193811, ur_pwm2_swio11_lednop_hw },
 { 193812, ur_pwm2_swio11_lednop_ee_hw },
 { 193813, ur_pwm2_swio11_lednop_ce_hw },
 { 193814, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 193815, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 193816, ur_pwm2_swio11_dual },
 { 193817, ur_pwm2_swio11_dual },
 { 193818, ur_pwm2_swio11_dual_pr_u4 },
 { 193819, ur_pwm2_swio11_dual_pr_ee },
 { 193820, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 193821, ur_pwm2_swio11_dual_pr_ce },
 { 193822, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 193823, ur_pwm2_swio11_dual_pr_ee_ce },
 { 193824, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 193825, ur_pwm2_swio11_dual_hw },
 { 193826, ur_pwm2_swio11_dual_ee_hw },
 { 193827, ur_pwm2_swio11_dual_ce_hw },
 { 193828, ur_pwm2_swio11_dual_ee_ce_hw },
 { 193829, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 193830, ur_pwm2_swio11_noled },
 { 193831, ur_pwm2_swio11_noled_pr },
 { 193832, ur_pwm2_swio11_noled_pr_u4 },
 { 193833, ur_pwm2_swio11_noled_pr_ee },
 { 193834, ur_pwm2_swio11_noled_pr_ee_u4 },
 { 193835, ur_pwm2_swio11_noled_pr_ce },
 { 193836, ur_pwm2_swio11_noled_pr_ce_u4 },
 { 193837, ur_pwm2_swio11_noled_pr_ee_ce },
 { 193838, ur_pwm2_swio11_noled_pr_ee_ce_u4 },
 { 193839, ur_pwm2_swio11_noled_hw },
 { 193840, ur_pwm2_swio11_noled_ee_hw },
 { 193841, ur_pwm2_swio11_noled_ce_hw },
 { 193842, ur_pwm2_swio11_noled_ee_ce_hw },
 { 193843, ur_pwm2_swio11_noled_ee_ce_hw },
 { 193844, ur_pwm2_swio11_lednop },
 { 193845, ur_pwm2_swio11_lednop_pr },
 { 193846, ur_pwm2_swio11_lednop_pr_u4 },
 { 193847, ur_pwm2_swio11_lednop_pr_ee },
 { 193848, ur_pwm2_swio11_lednop_pr_ee_u4 },
 { 193849, ur_pwm2_swio11_lednop_pr_ce },
 { 193850, ur_pwm2_swio11_lednop_pr_ce_u4 },
 { 193851, ur_pwm2_swio11_lednop_pr_ee_ce },
 { 193852, ur_pwm2_swio11_lednop_pr_ee_ce_u4 },
 { 193853, ur_pwm2_swio11_lednop_hw },
 { 193854, ur_pwm2_swio11_lednop_ee_hw },
 { 193855, ur_pwm2_swio11_lednop_ce_hw },
 { 193856, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 193857, ur_pwm2_swio11_lednop_ee_ce_hw },
 { 193858, ur_pwm2_swio11_dual },
 { 193859, ur_pwm2_swio11_dual },
 { 193860, ur_pwm2_swio11_dual_pr_u4 },
 { 193861, ur_pwm2_swio11_dual_pr_ee },
 { 193862, ur_pwm2_swio11_dual_pr_ee_u4 },
 { 193863, ur_pwm2_swio11_dual_pr_ce },
 { 193864, ur_pwm2_swio11_dual_pr_ce_u4 },
 { 193865, ur_pwm2_swio11_dual_pr_ee_ce },
 { 193866, ur_pwm2_swio11_dual_pr_ee_ce_u4 },
 { 193867, ur_pwm2_swio11_dual_hw },
 { 193868, ur_pwm2_swio11_dual_ee_hw },
 { 193869, ur_pwm2_swio11_dual_ce_hw },
 { 193870, ur_pwm2_swio11_dual_ee_ce_hw },
 { 193871, ur_pwm2_swio11_dual_ee_ce_u4_hw },
 { 193872, ur_pwm2_swio13_noled },
 { 193873, ur_pwm2_swio13_noled_pr },
 { 193874, ur_pwm2_swio13_noled_pr_u4 },
 { 193875, ur_pwm2_swio13_noled_pr_ee },
 { 193876, ur_pwm2_swio13_noled_pr_ee_u4 },
 { 193877, ur_pwm2_swio13_noled_pr_ce },
 { 193878, ur_pwm2_swio13_noled_pr_ce_u4 },
 { 193879, ur_pwm2_swio13_noled_pr_ee_ce },
 { 193880, ur_pwm2_swio13_noled_pr_ee_ce_u4 },
 { 193881, ur_pwm2_swio13_noled_hw },
 { 193882, ur_pwm2_swio13_noled_ee_hw },
 { 193883, ur_pwm2_swio13_noled_ce_hw },
 { 193884, ur_pwm2_swio13_noled_ee_ce_hw },
 { 193885, ur_pwm2_swio13_noled_ee_ce_hw },
 { 193886, ur_pwm2_swio13_lednop },
 { 193887, ur_pwm2_swio13_lednop_pr },
 { 193888, ur_pwm2_swio13_lednop_pr_u4 },
 { 193889, ur_pwm2_swio13_lednop_pr_ee },
 { 193890, ur_pwm2_swio13_lednop_pr_ee_u4 },
 { 193891, ur_pwm2_swio13_lednop_pr_ce },
 { 193892, ur_pwm2_swio13_lednop_pr_ce_u4 },
 { 193893, ur_pwm2_swio13_lednop_pr_ee_ce },
 { 193894, ur_pwm2_swio13_lednop_pr_ee_ce_u4 },
 { 193895, ur_pwm2_swio13_lednop_hw },
 { 193896, ur_pwm2_swio13_lednop_ee_hw },
 { 193897, ur_pwm2_swio13_lednop_ce_hw },
 { 193898, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 193899, ur_pwm2_swio13_lednop_ee_ce_hw },
 { 193900, ur_pwm2_swio13_dual },
 { 193901, ur_pwm2_swio13_dual },
 { 193902, ur_pwm2_swio13_dual_pr_u4 },
 { 193903, ur_pwm2_swio13_dual_pr_ee },
 { 193904, ur_pwm2_swio13_dual_pr_ee_u4 },
 { 193905, ur_pwm2_swio13_dual_pr_ce },
 { 193906, ur_pwm2_swio13_dual_pr_ce_u4 },
 { 193907, ur_pwm2_swio13_dual_pr_ee_ce },
 { 193908, ur_pwm2_swio13_dual_pr_ee_ce_u4 },
 { 193909, ur_pwm2_swio13_dual_hw },
 { 193910, ur_pwm2_swio13_dual_ee_hw },
 { 193911, ur_pwm2_swio13_dual_ce_hw },
 { 193912, ur_pwm2_swio13_dual_ee_ce_hw },
 { 193913, ur_pwm2_swio13_dual_ee_ce_u4_hw },
 { 193914, ur_pwm2_swio14_noled },
 { 193915, ur_pwm2_swio14_noled_pr },
 { 193916, ur_pwm2_swio14_noled_pr_u4 },
 { 193917, ur_pwm2_swio14_noled_pr_ee },
 { 193918, ur_pwm2_swio14_noled_pr_ee_u4 },
 { 193919, ur_pwm2_swio14_noled_pr_ce },
 { 193920, ur_pwm2_swio14_noled_pr_ce_u4 },
 { 193921, ur_pwm2_swio14_noled_pr_ee_ce },
 { 193922, ur_pwm2_swio14_noled_pr_ee_ce_u4 },
 { 193923, ur_pwm2_swio14_noled_hw },
 { 193924, ur_pwm2_swio14_noled_ee_hw },
 { 193925, ur_pwm2_swio14_noled_ce_hw },
 { 193926, ur_pwm2_swio14_noled_ee_ce_hw },
 { 193927, ur_pwm2_swio14_noled_ee_ce_hw },
 { 193928, ur_pwm2_swio14_lednop },
 { 193929, ur_pwm2_swio14_lednop_pr },
 { 193930, ur_pwm2_swio14_lednop_pr_u4 },
 { 193931, ur_pwm2_swio14_lednop_pr_ee },
 { 193932, ur_pwm2_swio14_lednop_pr_ee_u4 },
 { 193933, ur_pwm2_swio14_lednop_pr_ce },
 { 193934, ur_pwm2_swio14_lednop_pr_ce_u4 },
 { 193935, ur_pwm2_swio14_lednop_pr_ee_ce },
 { 193936, ur_pwm2_swio14_lednop_pr_ee_ce_u4 },
 { 193937, ur_pwm2_swio14_lednop_hw },
 { 193938, ur_pwm2_swio14_lednop_ee_hw },
 { 193939, ur_pwm2_swio14_lednop_ce_hw },
 { 193940, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 193941, ur_pwm2_swio14_lednop_ee_ce_hw },
 { 193942, ur_pwm2_swio14_dual },
 { 193943, ur_pwm2_swio14_dual },
 { 193944, ur_pwm2_swio14_dual_pr_u4 },
 { 193945, ur_pwm2_swio14_dual_pr_ee },
 { 193946, ur_pwm2_swio14_dual_pr_ee_u4 },
 { 193947, ur_pwm2_swio14_dual_pr_ce },
 { 193948, ur_pwm2_swio14_dual_pr_ce_u4 },
 { 193949, ur_pwm2_swio14_dual_pr_ee_ce },
 { 193950, ur_pwm2_swio14_dual_pr_ee_ce_u4 },
 { 193951, ur_pwm2_swio14_dual_hw },
 { 193952, ur_pwm2_swio14_dual_ee_hw },
 { 193953, ur_pwm2_swio14_dual_ce_hw },
 { 193954, ur_pwm2_swio14_dual_ee_ce_hw },
 { 193955, ur_pwm2_swio14_dual_ee_ce_u4_hw },
 { 193956, ur_pwm2_swio15_noled },
 { 193957, ur_pwm2_swio15_noled_pr },
 { 193958, ur_pwm2_swio15_noled_pr_u4 },
 { 193959, ur_pwm2_swio15_noled_pr_ee },
 { 193960, ur_pwm2_swio15_noled_pr_ee_u4 },
 { 193961, ur_pwm2_swio15_noled_pr_ce },
 { 193962, ur_pwm2_swio15_noled_pr_ce_u4 },
 { 193963, ur_pwm2_swio15_noled_pr_ee_ce },
 { 193964, ur_pwm2_swio15_noled_pr_ee_ce_u4 },
 { 193965, ur_pwm2_swio15_noled_hw },
 { 193966, ur_pwm2_swio15_noled_ee_hw },
 { 193967, ur_pwm2_swio15_noled_ce_hw },
 { 193968, ur_pwm2_swio15_noled_ee_ce_hw },
 { 193969, ur_pwm2_swio15_noled_ee_ce_hw },
 { 193970, ur_pwm2_swio15_lednop },
 { 193971, ur_pwm2_swio15_lednop_pr },
 { 193972, ur_pwm2_swio15_lednop_pr_u4 },
 { 193973, ur_pwm2_swio15_lednop_pr_ee },
 { 193974, ur_pwm2_swio15_lednop_pr_ee_u4 },
 { 193975, ur_pwm2_swio15_lednop_pr_ce },
 { 193976, ur_pwm2_swio15_lednop_pr_ce_u4 },
 { 193977, ur_pwm2_swio15_lednop_pr_ee_ce },
 { 193978, ur_pwm2_swio15_lednop_pr_ee_ce_u4 },
 { 193979, ur_pwm2_swio15_lednop_hw },
 { 193980, ur_pwm2_swio15_lednop_ee_hw },
 { 193981, ur_pwm2_swio15_lednop_ce_hw },
 { 193982, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 193983, ur_pwm2_swio15_lednop_ee_ce_hw },
 { 193984, ur_pwm2_swio15_dual },
 { 193985, ur_pwm2_swio15_dual },
 { 193986, ur_pwm2_swio15_dual_pr_u4 },
 { 193987, ur_pwm2_swio15_dual_pr_ee },
 { 193988, ur_pwm2_swio15_dual_pr_ee_u4 },
 { 193989, ur_pwm2_swio15_dual_pr_ce },
 { 193990, ur_pwm2_swio15_dual_pr_ce_u4 },
 { 193991, ur_pwm2_swio15_dual_pr_ee_ce },
 { 193992, ur_pwm2_swio15_dual_pr_ee_ce_u4 },
 { 193993, ur_pwm2_swio15_dual_hw },
 { 193994, ur_pwm2_swio15_dual_ee_hw },
 { 193995, ur_pwm2_swio15_dual_ce_hw },
 { 193996, ur_pwm2_swio15_dual_ee_ce_hw },
 { 193997, ur_pwm2_swio15_dual_ee_ce_u4_hw },
 { 195048, ur_pwm81_swio10_noled },
 { 195049, ur_pwm81_swio10_noled_pr },
 { 195050, ur_pwm81_swio10_noled_pr_u4 },
 { 195051, ur_pwm81_swio10_noled_pr_ee },
 { 195052, ur_pwm81_swio10_noled_pr_ee_u4 },
 { 195053, ur_pwm81_swio10_noled_pr_ce },
 { 195054, ur_pwm81_swio10_noled_pr_ce_u4 },
 { 195055, ur_pwm81_swio10_noled_pr_ee_ce },
 { 195056, ur_pwm81_swio10_noled_pr_ee_ce_u4 },
 { 195057, ur_pwm81_swio10_noled_hw },
 { 195058, ur_pwm81_swio10_noled_ee_hw },
 { 195059, ur_pwm81_swio10_noled_ce_hw },
 { 195060, ur_pwm81_swio10_noled_ee_ce_hw },
 { 195061, ur_pwm81_swio10_noled_ee_ce_hw },
 { 195062, ur_pwm81_swio10_lednop },
 { 195063, ur_pwm81_swio10_lednop_pr },
 { 195064, ur_pwm81_swio10_lednop_pr_u4 },
 { 195065, ur_pwm81_swio10_lednop_pr_ee },
 { 195066, ur_pwm81_swio10_lednop_pr_ee_u4 },
 { 195067, ur_pwm81_swio10_lednop_pr_ce },
 { 195068, ur_pwm81_swio10_lednop_pr_ce_u4 },
 { 195069, ur_pwm81_swio10_lednop_pr_ee_ce },
 { 195070, ur_pwm81_swio10_lednop_pr_ee_ce_u4 },
 { 195071, ur_pwm81_swio10_lednop_hw },
 { 195072, ur_pwm81_swio10_lednop_ee_hw },
 { 195073, ur_pwm81_swio10_lednop_ce_hw },
 { 195074, ur_pwm81_swio10_lednop_ee_ce_hw },
 { 195075, ur_pwm81_swio10_lednop_ee_ce_hw },
 { 195076, ur_pwm81_swio10_dual },
 { 195077, ur_pwm81_swio10_dual },
 { 195078, ur_pwm81_swio10_dual_pr_u4 },
 { 195079, ur_pwm81_swio10_dual_pr_ee },
 { 195080, ur_pwm81_swio10_dual_pr_ee_u4 },
 { 195081, ur_pwm81_swio10_dual_pr_ce },
 { 195082, ur_pwm81_swio10_dual_pr_ce_u4 },
 { 195083, ur_pwm81_swio10_dual_pr_ee_ce },
 { 195084, ur_pwm81_swio10_dual_pr_ee_ce_u4 },
 { 195085, ur_pwm81_swio10_dual_hw },
 { 195086, ur_pwm81_swio10_dual_ee_hw },
 { 195087, ur_pwm81_swio10_dual_ce_hw },
 { 195088, ur_pwm81_swio10_dual_ee_ce_hw },
 { 195089, ur_pwm81_swio10_dual_ee_ce_u4_hw },
 { 195090, ur_pwm81_swio11_noled },
 { 195091, ur_pwm81_swio11_noled_pr },
 { 195092, ur_pwm81_swio11_noled_pr_u4 },
 { 195093, ur_pwm81_swio11_noled_pr_ee },
 { 195094, ur_pwm81_swio11_noled_pr_ee_u4 },
 { 195095, ur_pwm81_swio11_noled_pr_ce },
 { 195096, ur_pwm81_swio11_noled_pr_ce_u4 },
 { 195097, ur_pwm81_swio11_noled_pr_ee_ce },
 { 195098, ur_pwm81_swio11_noled_pr_ee_ce_u4 },
 { 195099, ur_pwm81_swio11_noled_hw },
 { 195100, ur_pwm81_swio11_noled_ee_hw },
 { 195101, ur_pwm81_swio11_noled_ce_hw },
 { 195102, ur_pwm81_swio11_noled_ee_ce_hw },
 { 195103, ur_pwm81_swio11_noled_ee_ce_hw },
 { 195104, ur_pwm81_swio11_lednop },
 { 195105, ur_pwm81_swio11_lednop_pr },
 { 195106, ur_pwm81_swio11_lednop_pr_u4 },
 { 195107, ur_pwm81_swio11_lednop_pr_ee },
 { 195108, ur_pwm81_swio11_lednop_pr_ee_u4 },
 { 195109, ur_pwm81_swio11_lednop_pr_ce },
 { 195110, ur_pwm81_swio11_lednop_pr_ce_u4 },
 { 195111, ur_pwm81_swio11_lednop_pr_ee_ce },
 { 195112, ur_pwm81_swio11_lednop_pr_ee_ce_u4 },
 { 195113, ur_pwm81_swio11_lednop_hw },
 { 195114, ur_pwm81_swio11_lednop_ee_hw },
 { 195115, ur_pwm81_swio11_lednop_ce_hw },
 { 195116, ur_pwm81_swio11_lednop_ee_ce_hw },
 { 195117, ur_pwm81_swio11_lednop_ee_ce_hw },
 { 195118, ur_pwm81_swio11_dual },
 { 195119, ur_pwm81_swio11_dual },
 { 195120, ur_pwm81_swio11_dual_pr_u4 },
 { 195121, ur_pwm81_swio11_dual_pr_ee },
 { 195122, ur_pwm81_swio11_dual_pr_ee_u4 },
 { 195123, ur_pwm81_swio11_dual_pr_ce },
 { 195124, ur_pwm81_swio11_dual_pr_ce_u4 },
 { 195125, ur_pwm81_swio11_dual_pr_ee_ce },
 { 195126, ur_pwm81_swio11_dual_pr_ee_ce_u4 },
 { 195127, ur_pwm81_swio11_dual_hw },
 { 195128, ur_pwm81_swio11_dual_ee_hw },
 { 195129, ur_pwm81_swio11_dual_ce_hw },
 { 195130, ur_pwm81_swio11_dual_ee_ce_hw },
 { 195131, ur_pwm81_swio11_dual_ee_ce_u4_hw },
 { 195132, ur_pwm81_swio11_noled },
 { 195133, ur_pwm81_swio11_noled_pr },
 { 195134, ur_pwm81_swio11_noled_pr_u4 },
 { 195135, ur_pwm81_swio11_noled_pr_ee },
 { 195136, ur_pwm81_swio11_noled_pr_ee_u4 },
 { 195137, ur_pwm81_swio11_noled_pr_ce },
 { 195138, ur_pwm81_swio11_noled_pr_ce_u4 },
 { 195139, ur_pwm81_swio11_noled_pr_ee_ce },
 { 195140, ur_pwm81_swio11_noled_pr_ee_ce_u4 },
 { 195141, ur_pwm81_swio11_noled_hw },
 { 195142, ur_pwm81_swio11_noled_ee_hw },
 { 195143, ur_pwm81_swio11_noled_ce_hw },
 { 195144, ur_pwm81_swio11_noled_ee_ce_hw },
 { 195145, ur_pwm81_swio11_noled_ee_ce_hw },
 { 195146, ur_pwm81_swio11_lednop },
 { 195147, ur_pwm81_swio11_lednop_pr },
 { 195148, ur_pwm81_swio11_lednop_pr_u4 },
 { 195149, ur_pwm81_swio11_lednop_pr_ee },
 { 195150, ur_pwm81_swio11_lednop_pr_ee_u4 },
 { 195151, ur_pwm81_swio11_lednop_pr_ce },
 { 195152, ur_pwm81_swio11_lednop_pr_ce_u4 },
 { 195153, ur_pwm81_swio11_lednop_pr_ee_ce },
 { 195154, ur_pwm81_swio11_lednop_pr_ee_ce_u4 },
 { 195155, ur_pwm81_swio11_lednop_hw },
 { 195156, ur_pwm81_swio11_lednop_ee_hw },
 { 195157, ur_pwm81_swio11_lednop_ce_hw },
 { 195158, ur_pwm81_swio11_lednop_ee_ce_hw },
 { 195159, ur_pwm81_swio11_lednop_ee_ce_hw },
 { 195160, ur_pwm81_swio11_dual },
 { 195161, ur_pwm81_swio11_dual },
 { 195162, ur_pwm81_swio11_dual_pr_u4 },
 { 195163, ur_pwm81_swio11_dual_pr_ee },
 { 195164, ur_pwm81_swio11_dual_pr_ee_u4 },
 { 195165, ur_pwm81_swio11_dual_pr_ce },
 { 195166, ur_pwm81_swio11_dual_pr_ce_u4 },
 { 195167, ur_pwm81_swio11_dual_pr_ee_ce },
 { 195168, ur_pwm81_swio11_dual_pr_ee_ce_u4 },
 { 195169, ur_pwm81_swio11_dual_hw },
 { 195170, ur_pwm81_swio11_dual_ee_hw },
 { 195171, ur_pwm81_swio11_dual_ce_hw },
 { 195172, ur_pwm81_swio11_dual_ee_ce_hw },
 { 195173, ur_pwm81_swio11_dual_ee_ce_u4_hw },
 { 195174, ur_pwm81_swio13_noled },
 { 195175, ur_pwm81_swio13_noled_pr },
 { 195176, ur_pwm81_swio13_noled_pr_u4 },
 { 195177, ur_pwm81_swio13_noled_pr_ee },
 { 195178, ur_pwm81_swio13_noled_pr_ee_u4 },
 { 195179, ur_pwm81_swio13_noled_pr_ce },
 { 195180, ur_pwm81_swio13_noled_pr_ce_u4 },
 { 195181, ur_pwm81_swio13_noled_pr_ee_ce },
 { 195182, ur_pwm81_swio13_noled_pr_ee_ce_u4 },
 { 195183, ur_pwm81_swio13_noled_hw },
 { 195184, ur_pwm81_swio13_noled_ee_hw },
 { 195185, ur_pwm81_swio13_noled_ce_hw },
 { 195186, ur_pwm81_swio13_noled_ee_ce_hw },
 { 195187, ur_pwm81_swio13_noled_ee_ce_hw },
 { 195188, ur_pwm81_swio13_lednop },
 { 195189, ur_pwm81_swio13_lednop_pr },
 { 195190, ur_pwm81_swio13_lednop_pr_u4 },
 { 195191, ur_pwm81_swio13_lednop_pr_ee },
 { 195192, ur_pwm81_swio13_lednop_pr_ee_u4 },
 { 195193, ur_pwm81_swio13_lednop_pr_ce },
 { 195194, ur_pwm81_swio13_lednop_pr_ce_u4 },
 { 195195, ur_pwm81_swio13_lednop_pr_ee_ce },
 { 195196, ur_pwm81_swio13_lednop_pr_ee_ce_u4 },
 { 195197, ur_pwm81_swio13_lednop_hw },
 { 195198, ur_pwm81_swio13_lednop_ee_hw },
 { 195199, ur_pwm81_swio13_lednop_ce_hw },
 { 195200, ur_pwm81_swio13_lednop_ee_ce_hw },
 { 195201, ur_pwm81_swio13_lednop_ee_ce_hw },
 { 195202, ur_pwm81_swio13_dual },
 { 195203, ur_pwm81_swio13_dual },
 { 195204, ur_pwm81_swio13_dual_pr_u4 },
 { 195205, ur_pwm81_swio13_dual_pr_ee },
 { 195206, ur_pwm81_swio13_dual_pr_ee_u4 },
 { 195207, ur_pwm81_swio13_dual_pr_ce },
 { 195208, ur_pwm81_swio13_dual_pr_ce_u4 },
 { 195209, ur_pwm81_swio13_dual_pr_ee_ce },
 { 195210, ur_pwm81_swio13_dual_pr_ee_ce_u4 },
 { 195211, ur_pwm81_swio13_dual_hw },
 { 195212, ur_pwm81_swio13_dual_ee_hw },
 { 195213, ur_pwm81_swio13_dual_ce_hw },
 { 195214, ur_pwm81_swio13_dual_ee_ce_hw },
 { 195215, ur_pwm81_swio13_dual_ee_ce_u4_hw },
 { 195216, ur_pwm81_swio14_noled },
 { 195217, ur_pwm81_swio14_noled_pr },
 { 195218, ur_pwm81_swio14_noled_pr_u4 },
 { 195219, ur_pwm81_swio14_noled_pr_ee },
 { 195220, ur_pwm81_swio14_noled_pr_ee_u4 },
 { 195221, ur_pwm81_swio14_noled_pr_ce },
 { 195222, ur_pwm81_swio14_noled_pr_ce_u4 },
 { 195223, ur_pwm81_swio14_noled_pr_ee_ce },
 { 195224, ur_pwm81_swio14_noled_pr_ee_ce_u4 },
 { 195225, ur_pwm81_swio14_noled_hw },
 { 195226, ur_pwm81_swio14_noled_ee_hw },
 { 195227, ur_pwm81_swio14_noled_ce_hw },
 { 195228, ur_pwm81_swio14_noled_ee_ce_hw },
 { 195229, ur_pwm81_swio14_noled_ee_ce_hw },
 { 195230, ur_pwm81_swio14_lednop },
 { 195231, ur_pwm81_swio14_lednop_pr },
 { 195232, ur_pwm81_swio14_lednop_pr_u4 },
 { 195233, ur_pwm81_swio14_lednop_pr_ee },
 { 195234, ur_pwm81_swio14_lednop_pr_ee_u4 },
 { 195235, ur_pwm81_swio14_lednop_pr_ce },
 { 195236, ur_pwm81_swio14_lednop_pr_ce_u4 },
 { 195237, ur_pwm81_swio14_lednop_pr_ee_ce },
 { 195238, ur_pwm81_swio14_lednop_pr_ee_ce_u4 },
 { 195239, ur_pwm81_swio14_lednop_hw },
 { 195240, ur_pwm81_swio14_lednop_ee_hw },
 { 195241, ur_pwm81_swio14_lednop_ce_hw },
 { 195242, ur_pwm81_swio14_lednop_ee_ce_hw },
 { 195243, ur_pwm81_swio14_lednop_ee_ce_hw },
 { 195244, ur_pwm81_swio14_dual },
 { 195245, ur_pwm81_swio14_dual },
 { 195246, ur_pwm81_swio14_dual_pr_u4 },
 { 195247, ur_pwm81_swio14_dual_pr_ee },
 { 195248, ur_pwm81_swio14_dual_pr_ee_u4 },
 { 195249, ur_pwm81_swio14_dual_pr_ce },
 { 195250, ur_pwm81_swio14_dual_pr_ce_u4 },
 { 195251, ur_pwm81_swio14_dual_pr_ee_ce },
 { 195252, ur_pwm81_swio14_dual_pr_ee_ce_u4 },
 { 195253, ur_pwm81_swio14_dual_hw },
 { 195254, ur_pwm81_swio14_dual_ee_hw },
 { 195255, ur_pwm81_swio14_dual_ce_hw },
 { 195256, ur_pwm81_swio14_dual_ee_ce_hw },
 { 195257, ur_pwm81_swio14_dual_ee_ce_u4_hw },
 { 195258, ur_pwm81_swio15_noled },
 { 195259, ur_pwm81_swio15_noled_pr },
 { 195260, ur_pwm81_swio15_noled_pr_u4 },
 { 195261, ur_pwm81_swio15_noled_pr_ee },
 { 195262, ur_pwm81_swio15_noled_pr_ee_u4 },
 { 195263, ur_pwm81_swio15_noled_pr_ce },
 { 195264, ur_pwm81_swio15_noled_pr_ce_u4 },
 { 195265, ur_pwm81_swio15_noled_pr_ee_ce },
 { 195266, ur_pwm81_swio15_noled_pr_ee_ce_u4 },
 { 195267, ur_pwm81_swio15_noled_hw },
 { 195268, ur_pwm81_swio15_noled_ee_hw },
 { 195269, ur_pwm81_swio15_noled_ce_hw },
 { 195270, ur_pwm81_swio15_noled_ee_ce_hw },
 { 195271, ur_pwm81_swio15_noled_ee_ce_hw },
 { 195272, ur_pwm81_swio15_lednop },
 { 195273, ur_pwm81_swio15_lednop_pr },
 { 195274, ur_pwm81_swio15_lednop_pr_u4 },
 { 195275, ur_pwm81_swio15_lednop_pr_ee },
 { 195276, ur_pwm81_swio15_lednop_pr_ee_u4 },
 { 195277, ur_pwm81_swio15_lednop_pr_ce },
 { 195278, ur_pwm81_swio15_lednop_pr_ce_u4 },
 { 195279, ur_pwm81_swio15_lednop_pr_ee_ce },
 { 195280, ur_pwm81_swio15_lednop_pr_ee_ce_u4 },
 { 195281, ur_pwm81_swio15_lednop_hw },
 { 195282, ur_pwm81_swio15_lednop_ee_hw },
 { 195283, ur_pwm81_swio15_lednop_ce_hw },
 { 195284, ur_pwm81_swio15_lednop_ee_ce_hw },
 { 195285, ur_pwm81_swio15_lednop_ee_ce_hw },
 { 195286, ur_pwm81_swio15_dual },
 { 195287, ur_pwm81_swio15_dual },
 { 195288, ur_pwm81_swio15_dual_pr_u4 },
 { 195289, ur_pwm81_swio15_dual_pr_ee },
 { 195290, ur_pwm81_swio15_dual_pr_ee_u4 },
 { 195291, ur_pwm81_swio15_dual_pr_ce },
 { 195292, ur_pwm81_swio15_dual_pr_ce_u4 },
 { 195293, ur_pwm81_swio15_dual_pr_ee_ce },
 { 195294, ur_pwm81_swio15_dual_pr_ee_ce_u4 },
 { 195295, ur_pwm81_swio15_dual_hw },
 { 195296, ur_pwm81_swio15_dual_ee_hw },
 { 195297, ur_pwm81_swio15_dual_ce_hw },
 { 195298, ur_pwm81_swio15_dual_ee_ce_hw },
 { 195299, ur_pwm81_swio15_dual_ee_ce_u4_hw },
 { 196350, ur_pwm161_swio10_noled },
 { 196351, ur_pwm161_swio10_noled_pr },
 { 196352, ur_pwm161_swio10_noled_pr },
 { 196353, ur_pwm161_swio10_noled_pr_ee },
 { 196354, ur_pwm161_swio10_noled_pr_ee_u4 },
 { 196355, ur_pwm161_swio10_noled_pr_ce },
 { 196356, ur_pwm161_swio10_noled_pr_ce },
 { 196357, ur_pwm161_swio10_noled_pr_ee_ce },
 { 196358, ur_pwm161_swio10_noled_pr_ee_ce_u4 },
 { 196359, ur_pwm161_swio10_noled_hw },
 { 196360, ur_pwm161_swio10_noled_ee_hw },
 { 196361, ur_pwm161_swio10_noled_ce_hw },
 { 196362, ur_pwm161_swio10_noled_ee_ce_hw },
 { 196363, ur_pwm161_swio10_noled_ee_ce_hw },
 { 196364, ur_pwm161_swio10_lednop },
 { 196365, ur_pwm161_swio10_lednop_pr },
 { 196366, ur_pwm161_swio10_lednop_pr },
 { 196367, ur_pwm161_swio10_lednop_pr_ee },
 { 196368, ur_pwm161_swio10_lednop_pr_ee_u4 },
 { 196369, ur_pwm161_swio10_lednop_pr_ce },
 { 196370, ur_pwm161_swio10_lednop_pr_ce },
 { 196371, ur_pwm161_swio10_lednop_pr_ee_ce },
 { 196372, ur_pwm161_swio10_lednop_pr_ee_ce_u4 },
 { 196373, ur_pwm161_swio10_lednop_hw },
 { 196374, ur_pwm161_swio10_lednop_ee_hw },
 { 196375, ur_pwm161_swio10_lednop_ce_hw },
 { 196376, ur_pwm161_swio10_lednop_ee_ce_hw },
 { 196377, ur_pwm161_swio10_lednop_ee_ce_hw },
 { 196378, ur_pwm161_swio10_dual },
 { 196379, ur_pwm161_swio10_dual },
 { 196380, ur_pwm161_swio10_dual },
 { 196381, ur_pwm161_swio10_dual_pr_ee },
 { 196382, ur_pwm161_swio10_dual_pr_ee_u4 },
 { 196383, ur_pwm161_swio10_dual_pr_ce },
 { 196384, ur_pwm161_swio10_dual_pr_ce_u4 },
 { 196385, ur_pwm161_swio10_dual_pr_ee_ce },
 { 196386, ur_pwm161_swio10_dual_pr_ee_ce_u4 },
 { 196387, ur_pwm161_swio10_dual_hw },
 { 196388, ur_pwm161_swio10_dual_ee_hw },
 { 196389, ur_pwm161_swio10_dual_ce_hw },
 { 196390, ur_pwm161_swio10_dual_ee_ce_hw },
 { 196391, ur_pwm161_swio10_dual_ee_ce_u4_hw },
 { 196392, ur_pwm161_swio11_noled },
 { 196393, ur_pwm161_swio11_noled_pr },
 { 196394, ur_pwm161_swio11_noled_pr },
 { 196395, ur_pwm161_swio11_noled_pr_ee },
 { 196396, ur_pwm161_swio11_noled_pr_ee_u4 },
 { 196397, ur_pwm161_swio11_noled_pr_ce },
 { 196398, ur_pwm161_swio11_noled_pr_ce },
 { 196399, ur_pwm161_swio11_noled_pr_ee_ce },
 { 196400, ur_pwm161_swio11_noled_pr_ee_ce_u4 },
 { 196401, ur_pwm161_swio11_noled_hw },
 { 196402, ur_pwm161_swio11_noled_ee_hw },
 { 196403, ur_pwm161_swio11_noled_ce_hw },
 { 196404, ur_pwm161_swio11_noled_ee_ce_hw },
 { 196405, ur_pwm161_swio11_noled_ee_ce_hw },
 { 196406, ur_pwm161_swio11_lednop },
 { 196407, ur_pwm161_swio11_lednop_pr },
 { 196408, ur_pwm161_swio11_lednop_pr },
 { 196409, ur_pwm161_swio11_lednop_pr_ee },
 { 196410, ur_pwm161_swio11_lednop_pr_ee_u4 },
 { 196411, ur_pwm161_swio11_lednop_pr_ce },
 { 196412, ur_pwm161_swio11_lednop_pr_ce },
 { 196413, ur_pwm161_swio11_lednop_pr_ee_ce },
 { 196414, ur_pwm161_swio11_lednop_pr_ee_ce_u4 },
 { 196415, ur_pwm161_swio11_lednop_hw },
 { 196416, ur_pwm161_swio11_lednop_ee_hw },
 { 196417, ur_pwm161_swio11_lednop_ce_hw },
 { 196418, ur_pwm161_swio11_lednop_ee_ce_hw },
 { 196419, ur_pwm161_swio11_lednop_ee_ce_hw },
 { 196420, ur_pwm161_swio11_dual },
 { 196421, ur_pwm161_swio11_dual },
 { 196422, ur_pwm161_swio11_dual },
 { 196423, ur_pwm161_swio11_dual_pr_ee },
 { 196424, ur_pwm161_swio11_dual_pr_ee_u4 },
 { 196425, ur_pwm161_swio11_dual_pr_ce },
 { 196426, ur_pwm161_swio11_dual_pr_ce_u4 },
 { 196427, ur_pwm161_swio11_dual_pr_ee_ce },
 { 196428, ur_pwm161_swio11_dual_pr_ee_ce_u4 },
 { 196429, ur_pwm161_swio11_dual_hw },
 { 196430, ur_pwm161_swio11_dual_ee_hw },
 { 196431, ur_pwm161_swio11_dual_ce_hw },
 { 196432, ur_pwm161_swio11_dual_ee_ce_hw },
 { 196433, ur_pwm161_swio11_dual_ee_ce_u4_hw },
 { 196434, ur_pwm161_swio11_noled },
 { 196435, ur_pwm161_swio11_noled_pr },
 { 196436, ur_pwm161_swio11_noled_pr },
 { 196437, ur_pwm161_swio11_noled_pr_ee },
 { 196438, ur_pwm161_swio11_noled_pr_ee_u4 },
 { 196439, ur_pwm161_swio11_noled_pr_ce },
 { 196440, ur_pwm161_swio11_noled_pr_ce },
 { 196441, ur_pwm161_swio11_noled_pr_ee_ce },
 { 196442, ur_pwm161_swio11_noled_pr_ee_ce_u4 },
 { 196443, ur_pwm161_swio11_noled_hw },
 { 196444, ur_pwm161_swio11_noled_ee_hw },
 { 196445, ur_pwm161_swio11_noled_ce_hw },
 { 196446, ur_pwm161_swio11_noled_ee_ce_hw },
 { 196447, ur_pwm161_swio11_noled_ee_ce_hw },
 { 196448, ur_pwm161_swio11_lednop },
 { 196449, ur_pwm161_swio11_lednop_pr },
 { 196450, ur_pwm161_swio11_lednop_pr },
 { 196451, ur_pwm161_swio11_lednop_pr_ee },
 { 196452, ur_pwm161_swio11_lednop_pr_ee_u4 },
 { 196453, ur_pwm161_swio11_lednop_pr_ce },
 { 196454, ur_pwm161_swio11_lednop_pr_ce },
 { 196455, ur_pwm161_swio11_lednop_pr_ee_ce },
 { 196456, ur_pwm161_swio11_lednop_pr_ee_ce_u4 },
 { 196457, ur_pwm161_swio11_lednop_hw },
 { 196458, ur_pwm161_swio11_lednop_ee_hw },
 { 196459, ur_pwm161_swio11_lednop_ce_hw },
 { 196460, ur_pwm161_swio11_lednop_ee_ce_hw },
 { 196461, ur_pwm161_swio11_lednop_ee_ce_hw },
 { 196462, ur_pwm161_swio11_dual },
 { 196463, ur_pwm161_swio11_dual },
 { 196464, ur_pwm161_swio11_dual },
 { 196465, ur_pwm161_swio11_dual_pr_ee },
 { 196466, ur_pwm161_swio11_dual_pr_ee_u4 },
 { 196467, ur_pwm161_swio11_dual_pr_ce },
 { 196468, ur_pwm161_swio11_dual_pr_ce_u4 },
 { 196469, ur_pwm161_swio11_dual_pr_ee_ce },
 { 196470, ur_pwm161_swio11_dual_pr_ee_ce_u4 },
 { 196471, ur_pwm161_swio11_dual_hw },
 { 196472, ur_pwm161_swio11_dual_ee_hw },
 { 196473, ur_pwm161_swio11_dual_ce_hw },
 { 196474, ur_pwm161_swio11_dual_ee_ce_hw },
 { 196475, ur_pwm161_swio11_dual_ee_ce_u4_hw },
 { 196476, ur_pwm161_swio13_noled },
 { 196477, ur_pwm161_swio13_noled_pr },
 { 196478, ur_pwm161_swio13_noled_pr },
 { 196479, ur_pwm161_swio13_noled_pr_ee },
 { 196480, ur_pwm161_swio13_noled_pr_ee_u4 },
 { 196481, ur_pwm161_swio13_noled_pr_ce },
 { 196482, ur_pwm161_swio13_noled_pr_ce },
 { 196483, ur_pwm161_swio13_noled_pr_ee_ce },
 { 196484, ur_pwm161_swio13_noled_pr_ee_ce_u4 },
 { 196485, ur_pwm161_swio13_noled_hw },
 { 196486, ur_pwm161_swio13_noled_ee_hw },
 { 196487, ur_pwm161_swio13_noled_ce_hw },
 { 196488, ur_pwm161_swio13_noled_ee_ce_hw },
 { 196489, ur_pwm161_swio13_noled_ee_ce_hw },
 { 196490, ur_pwm161_swio13_lednop },
 { 196491, ur_pwm161_swio13_lednop_pr },
 { 196492, ur_pwm161_swio13_lednop_pr },
 { 196493, ur_pwm161_swio13_lednop_pr_ee },
 { 196494, ur_pwm161_swio13_lednop_pr_ee_u4 },
 { 196495, ur_pwm161_swio13_lednop_pr_ce },
 { 196496, ur_pwm161_swio13_lednop_pr_ce_u4 },
 { 196497, ur_pwm161_swio13_lednop_pr_ee_ce },
 { 196498, ur_pwm161_swio13_lednop_pr_ee_ce_u4 },
 { 196499, ur_pwm161_swio13_lednop_hw },
 { 196500, ur_pwm161_swio13_lednop_ee_hw },
 { 196501, ur_pwm161_swio13_lednop_ce_hw },
 { 196502, ur_pwm161_swio13_lednop_ee_ce_hw },
 { 196503, ur_pwm161_swio13_lednop_ee_ce_hw },
 { 196504, ur_pwm161_swio13_dual },
 { 196505, ur_pwm161_swio13_dual },
 { 196506, ur_pwm161_swio13_dual },
 { 196507, ur_pwm161_swio13_dual_pr_ee },
 { 196508, ur_pwm161_swio13_dual_pr_ee_u4 },
 { 196509, ur_pwm161_swio13_dual_pr_ce },
 { 196510, ur_pwm161_swio13_dual_pr_ce_u4 },
 { 196511, ur_pwm161_swio13_dual_pr_ee_ce },
 { 196512, ur_pwm161_swio13_dual_pr_ee_ce_u4 },
 { 196513, ur_pwm161_swio13_dual_hw },
 { 196514, ur_pwm161_swio13_dual_ee_hw },
 { 196515, ur_pwm161_swio13_dual_ce_hw },
 { 196516, ur_pwm161_swio13_dual_ee_ce_hw },
 { 196517, ur_pwm161_swio13_dual_ee_ce_u4_hw },
 { 196518, ur_pwm161_swio14_noled },
 { 196519, ur_pwm161_swio14_noled_pr },
 { 196520, ur_pwm161_swio14_noled_pr },
 { 196521, ur_pwm161_swio14_noled_pr_ee },
 { 196522, ur_pwm161_swio14_noled_pr_ee_u4 },
 { 196523, ur_pwm161_swio14_noled_pr_ce },
 { 196524, ur_pwm161_swio14_noled_pr_ce },
 { 196525, ur_pwm161_swio14_noled_pr_ee_ce },
 { 196526, ur_pwm161_swio14_noled_pr_ee_ce_u4 },
 { 196527, ur_pwm161_swio14_noled_hw },
 { 196528, ur_pwm161_swio14_noled_ee_hw },
 { 196529, ur_pwm161_swio14_noled_ce_hw },
 { 196530, ur_pwm161_swio14_noled_ee_ce_hw },
 { 196531, ur_pwm161_swio14_noled_ee_ce_hw },
 { 196532, ur_pwm161_swio14_lednop },
 { 196533, ur_pwm161_swio14_lednop_pr },
 { 196534, ur_pwm161_swio14_lednop_pr },
 { 196535, ur_pwm161_swio14_lednop_pr_ee },
 { 196536, ur_pwm161_swio14_lednop_pr_ee_u4 },
 { 196537, ur_pwm161_swio14_lednop_pr_ce },
 { 196538, ur_pwm161_swio14_lednop_pr_ce },
 { 196539, ur_pwm161_swio14_lednop_pr_ee_ce },
 { 196540, ur_pwm161_swio14_lednop_pr_ee_ce_u4 },
 { 196541, ur_pwm161_swio14_lednop_hw },
 { 196542, ur_pwm161_swio14_lednop_ee_hw },
 { 196543, ur_pwm161_swio14_lednop_ce_hw },
 { 196544, ur_pwm161_swio14_lednop_ee_ce_hw },
 { 196545, ur_pwm161_swio14_lednop_ee_ce_hw },
 { 196546, ur_pwm161_swio14_dual },
 { 196547, ur_pwm161_swio14_dual },
 { 196548, ur_pwm161_swio14_dual },
 { 196549, ur_pwm161_swio14_dual_pr_ee },
 { 196550, ur_pwm161_swio14_dual_pr_ee_u4 },
 { 196551, ur_pwm161_swio14_dual_pr_ce },
 { 196552, ur_pwm161_swio14_dual_pr_ce_u4 },
 { 196553, ur_pwm161_swio14_dual_pr_ee_ce },
 { 196554, ur_pwm161_swio14_dual_pr_ee_ce_u4 },
 { 196555, ur_pwm161_swio14_dual_hw },
 { 196556, ur_pwm161_swio14_dual_ee_hw },
 { 196557, ur_pwm161_swio14_dual_ce_hw },
 { 196558, ur_pwm161_swio14_dual_ee_ce_hw },
 { 196559, ur_pwm161_swio14_dual_ee_ce_u4_hw },
 { 196560, ur_pwm161_swio15_noled },
 { 196561, ur_pwm161_swio15_noled_pr },
 { 196562, ur_pwm161_swio15_noled_pr },
 { 196563, ur_pwm161_swio15_noled_pr_ee },
 { 196564, ur_pwm161_swio15_noled_pr_ee_u4 },
 { 196565, ur_pwm161_swio15_noled_pr_ce },
 { 196566, ur_pwm161_swio15_noled_pr_ce },
 { 196567, ur_pwm161_swio15_noled_pr_ee_ce },
 { 196568, ur_pwm161_swio15_noled_pr_ee_ce_u4 },
 { 196569, ur_pwm161_swio15_noled_hw },
 { 196570, ur_pwm161_swio15_noled_ee_hw },
 { 196571, ur_pwm161_swio15_noled_ce_hw },
 { 196572, ur_pwm161_swio15_noled_ee_ce_hw },
 { 196573, ur_pwm161_swio15_noled_ee_ce_hw },
 { 196574, ur_pwm161_swio15_lednop },
 { 196575, ur_pwm161_swio15_lednop_pr },
 { 196576, ur_pwm161_swio15_lednop_pr },
 { 196577, ur_pwm161_swio15_lednop_pr_ee },
 { 196578, ur_pwm161_swio15_lednop_pr_ee_u4 },
 { 196579, ur_pwm161_swio15_lednop_pr_ce },
 { 196580, ur_pwm161_swio15_lednop_pr_ce_u4 },
 { 196581, ur_pwm161_swio15_lednop_pr_ee_ce },
 { 196582, ur_pwm161_swio15_lednop_pr_ee_ce_u4 },
 { 196583, ur_pwm161_swio15_lednop_hw },
 { 196584, ur_pwm161_swio15_lednop_ee_hw },
 { 196585, ur_pwm161_swio15_lednop_ce_hw },
 { 196586, ur_pwm161_swio15_lednop_ee_ce_hw },
 { 196587, ur_pwm161_swio15_lednop_ee_ce_hw },
 { 196588, ur_pwm161_swio15_dual },
 { 196589, ur_pwm161_swio15_dual },
 { 196590, ur_pwm161_swio15_dual },
 { 196591, ur_pwm161_swio15_dual_pr_ee },
 { 196592, ur_pwm161_swio15_dual_pr_ee_u4 },
 { 196593, ur_pwm161_swio15_dual_pr_ce },
 { 196594, ur_pwm161_swio15_dual_pr_ce_u4 },
 { 196595, ur_pwm161_swio15_dual_pr_ee_ce },
 { 196596, ur_pwm161_swio15_dual_pr_ee_ce_u4 },
 { 196597, ur_pwm161_swio15_dual_hw },
 { 196598, ur_pwm161_swio15_dual_ee_hw },
 { 196599, ur_pwm161_swio15_dual_ce_hw },
 { 196600, ur_pwm161_swio15_dual_ee_ce_hw },
 { 196601, ur_pwm161_swio15_dual_ee_ce_u4_hw },
 { 196602, ur_pwm216_autobaud_uart0_noled },
 { 196603, ur_pwm216_autobaud_uart0_noled },
 { 196604, ur_pwm216_autobaud_uart0_noled_pr_u4 },
 { 196605, ur_pwm216_autobaud_uart0_noled_pr_ee },
 { 196606, ur_pwm216_autobaud_uart0_noled_pr_ee },
 { 196607, ur_pwm216_autobaud_uart0_noled_pr_ce },
 { 196608, ur_pwm216_autobaud_uart0_noled_pr_ce },
 { 196609, ur_pwm216_autobaud_uart0_noled_pr_ee_ce },
 { 196610, ur_pwm216_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 196612, ur_pwm216_autobaud_uart0_noled_ee_hw },
 { 196614, ur_pwm216_autobaud_uart0_noled_ee_ce_hw },
 { 196615, ur_pwm216_autobaud_uart0_noled_ee_ce_hw },
 { 196616, ur_pwm216_autobaud_uart0_lednop },
 { 196617, ur_pwm216_autobaud_uart0_lednop_pr },
 { 196618, ur_pwm216_autobaud_uart0_lednop_pr },
 { 196619, ur_pwm216_autobaud_uart0_lednop_pr_ee },
 { 196620, ur_pwm216_autobaud_uart0_lednop_pr_ee_u4 },
 { 196621, ur_pwm216_autobaud_uart0_lednop_pr_ce },
 { 196622, ur_pwm216_autobaud_uart0_lednop_pr_ce },
 { 196623, ur_pwm216_autobaud_uart0_lednop_pr_ee_ce },
 { 196624, ur_pwm216_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 196626, ur_pwm216_autobaud_uart0_lednop_ee_hw },
 { 196628, ur_pwm216_autobaud_uart0_lednop_ee_ce_hw },
 { 196629, ur_pwm216_autobaud_uart0_lednop_ee_ce_hw },
 { 196630, ur_pwm216_autobaud_uart0_dual },
 { 196631, ur_pwm216_autobaud_uart0_dual },
 { 196632, ur_pwm216_autobaud_uart0_dual },
 { 196633, ur_pwm216_autobaud_uart0_dual_pr_ee },
 { 196634, ur_pwm216_autobaud_uart0_dual_pr_ee_u4 },
 { 196635, ur_pwm216_autobaud_uart0_dual_pr_ce },
 { 196636, ur_pwm216_autobaud_uart0_dual_pr_ce_u4 },
 { 196637, ur_pwm216_autobaud_uart0_dual_pr_ee_ce },
 { 196638, ur_pwm216_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 196640, ur_pwm216_autobaud_uart0_dual_ee_hw },
 { 196642, ur_pwm216_autobaud_uart0_dual_ee_ce_hw },
 { 196643, ur_pwm216_autobaud_uart0_dual_ee_ce_u4_hw },
 { 196812, ur_pwm216_u1x8_uart0_noled },
 { 196813, ur_pwm216_u1x8_uart0_noled },
 { 196814, ur_pwm216_u1x8_uart0_noled_pr_u4 },
 { 196815, ur_pwm216_u1x8_uart0_noled_pr_ee },
 { 196816, ur_pwm216_u1x8_uart0_noled_pr_ee },
 { 196817, ur_pwm216_u1x8_uart0_noled_pr_ce },
 { 196818, ur_pwm216_u1x8_uart0_noled_pr_ce },
 { 196819, ur_pwm216_u1x8_uart0_noled_pr_ee_ce },
 { 196820, ur_pwm216_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 196822, ur_m169_u1x8_uart0_noled_ee_hw },
 { 196824, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 { 196825, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 { 196826, ur_pwm216_u1x8_uart0_lednop },
 { 196827, ur_pwm216_u1x8_uart0_lednop },
 { 196828, ur_pwm216_u1x8_uart0_lednop_pr_u4 },
 { 196829, ur_pwm216_u1x8_uart0_lednop_pr_ee },
 { 196830, ur_pwm216_u1x8_uart0_lednop_pr_ee },
 { 196831, ur_pwm216_u1x8_uart0_lednop_pr_ce },
 { 196832, ur_pwm216_u1x8_uart0_lednop_pr_ce },
 { 196833, ur_pwm216_u1x8_uart0_lednop_pr_ee_ce },
 { 196834, ur_pwm216_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 196836, ur_m169_u1x8_uart0_lednop_ee_hw },
 { 196838, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 { 196839, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 { 196840, ur_pwm216_u1x8_uart0_dual },
 { 196841, ur_pwm216_u1x8_uart0_dual_pr },
 { 196842, ur_pwm216_u1x8_uart0_dual_pr },
 { 196843, ur_pwm216_u1x8_uart0_dual_pr_ee },
 { 196844, ur_pwm216_u1x8_uart0_dual_pr_ee },
 { 196845, ur_pwm216_u1x8_uart0_dual_pr_ce },
 { 196846, ur_pwm216_u1x8_uart0_dual_pr_ce },
 { 196847, ur_pwm216_u1x8_uart0_dual_pr_ee_ce },
 { 196848, ur_pwm216_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 196850, ur_pwm216_u1x8_uart0_dual_ee_hw },
 { 196852, ur_pwm216_u1x8_uart0_dual_ee_ce_hw },
 { 196853, ur_pwm216_u1x8_uart0_dual_ee_ce_u4_hw },
 { 197022, ur_pwm216_u1x12_uart0_noled },
 { 197023, ur_pwm216_u1x12_uart0_noled },
 { 197024, ur_pwm216_u1x12_uart0_noled_pr_u4 },
 { 197025, ur_pwm216_u1x12_uart0_noled_pr_ee },
 { 197026, ur_pwm216_u1x12_uart0_noled_pr_ee },
 { 197027, ur_pwm216_u1x12_uart0_noled_pr_ce },
 { 197028, ur_pwm216_u1x12_uart0_noled_pr_ce },
 { 197029, ur_pwm216_u1x12_uart0_noled_pr_ee_ce },
 { 197030, ur_pwm216_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 197032, ur_m169_u1x12_uart0_noled_ee_hw },
 { 197034, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 { 197035, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 { 197036, ur_pwm216_u1x12_uart0_lednop },
 { 197037, ur_pwm216_u1x12_uart0_lednop },
 { 197038, ur_pwm216_u1x12_uart0_lednop_pr_u4 },
 { 197039, ur_pwm216_u1x12_uart0_lednop_pr_ee },
 { 197040, ur_pwm216_u1x12_uart0_lednop_pr_ee },
 { 197041, ur_pwm216_u1x12_uart0_lednop_pr_ce },
 { 197042, ur_pwm216_u1x12_uart0_lednop_pr_ce },
 { 197043, ur_pwm216_u1x12_uart0_lednop_pr_ee_ce },
 { 197044, ur_pwm216_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 197046, ur_m169_u1x12_uart0_lednop_ee_hw },
 { 197048, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 { 197049, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 { 197050, ur_pwm216_u1x12_uart0_dual },
 { 197051, ur_pwm216_u1x12_uart0_dual_pr },
 { 197052, ur_pwm216_u1x12_uart0_dual_pr },
 { 197053, ur_pwm216_u1x12_uart0_dual_pr_ee },
 { 197054, ur_pwm216_u1x12_uart0_dual_pr_ee_u4 },
 { 197055, ur_pwm216_u1x12_uart0_dual_pr_ce },
 { 197056, ur_pwm216_u1x12_uart0_dual_pr_ce },
 { 197057, ur_pwm216_u1x12_uart0_dual_pr_ee_ce },
 { 197058, ur_pwm216_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 197060, ur_pwm216_u1x12_uart0_dual_ee_hw },
 { 197062, ur_pwm216_u1x12_uart0_dual_ee_ce_hw },
 { 197063, ur_pwm216_u1x12_uart0_dual_ee_ce_u4_hw },
 { 197232, ur_pwm216_u2x8_uart0_noled },
 { 197233, ur_pwm216_u2x8_uart0_noled },
 { 197234, ur_pwm216_u2x8_uart0_noled_pr_u4 },
 { 197235, ur_pwm216_u2x8_uart0_noled_pr_ee },
 { 197236, ur_pwm216_u2x8_uart0_noled_pr_ee },
 { 197237, ur_pwm216_u2x8_uart0_noled_pr_ce },
 { 197238, ur_pwm216_u2x8_uart0_noled_pr_ce },
 { 197239, ur_pwm216_u2x8_uart0_noled_pr_ee_ce },
 { 197240, ur_pwm216_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 197242, ur_m169_u2x8_uart0_noled_ee_hw },
 { 197244, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 { 197245, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 { 197246, ur_pwm216_u2x8_uart0_lednop },
 { 197247, ur_pwm216_u2x8_uart0_lednop },
 { 197248, ur_pwm216_u2x8_uart0_lednop_pr_u4 },
 { 197249, ur_pwm216_u2x8_uart0_lednop_pr_ee },
 { 197250, ur_pwm216_u2x8_uart0_lednop_pr_ee },
 { 197251, ur_pwm216_u2x8_uart0_lednop_pr_ce },
 { 197252, ur_pwm216_u2x8_uart0_lednop_pr_ce },
 { 197253, ur_pwm216_u2x8_uart0_lednop_pr_ee_ce },
 { 197254, ur_pwm216_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 197256, ur_m169_u2x8_uart0_lednop_ee_hw },
 { 197258, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 { 197259, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 { 197260, ur_pwm216_u2x8_uart0_dual },
 { 197261, ur_pwm216_u2x8_uart0_dual_pr },
 { 197262, ur_pwm216_u2x8_uart0_dual_pr },
 { 197263, ur_pwm216_u2x8_uart0_dual_pr_ee },
 { 197264, ur_pwm216_u2x8_uart0_dual_pr_ee_u4 },
 { 197265, ur_pwm216_u2x8_uart0_dual_pr_ce },
 { 197266, ur_pwm216_u2x8_uart0_dual_pr_ce },
 { 197267, ur_pwm216_u2x8_uart0_dual_pr_ee_ce },
 { 197268, ur_pwm216_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 197270, ur_pwm216_u2x8_uart0_dual_ee_hw },
 { 197272, ur_pwm216_u2x8_uart0_dual_ee_ce_hw },
 { 197273, ur_pwm216_u2x8_uart0_dual_ee_ce_u4_hw },
 { 197442, ur_pwm216_u2x12_uart0_noled },
 { 197443, ur_pwm216_u2x12_uart0_noled },
 { 197444, ur_pwm216_u2x12_uart0_noled_pr_u4 },
 { 197445, ur_pwm216_u2x12_uart0_noled_pr_ee },
 { 197446, ur_pwm216_u2x12_uart0_noled_pr_ee },
 { 197447, ur_pwm216_u2x12_uart0_noled_pr_ce },
 { 197448, ur_pwm216_u2x12_uart0_noled_pr_ce },
 { 197449, ur_pwm216_u2x12_uart0_noled_pr_ee_ce },
 { 197450, ur_pwm216_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 197452, ur_m169_u2x12_uart0_noled_ee_hw },
 { 197454, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 { 197455, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 { 197456, ur_pwm216_u2x12_uart0_lednop },
 { 197457, ur_pwm216_u2x12_uart0_lednop },
 { 197458, ur_pwm216_u2x12_uart0_lednop_pr_u4 },
 { 197459, ur_pwm216_u2x12_uart0_lednop_pr_ee },
 { 197460, ur_pwm216_u2x12_uart0_lednop_pr_ee },
 { 197461, ur_pwm216_u2x12_uart0_lednop_pr_ce },
 { 197462, ur_pwm216_u2x12_uart0_lednop_pr_ce },
 { 197463, ur_pwm216_u2x12_uart0_lednop_pr_ee_ce },
 { 197464, ur_pwm216_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 197466, ur_m169_u2x12_uart0_lednop_ee_hw },
 { 197468, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 { 197469, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 { 197470, ur_pwm216_u2x12_uart0_dual },
 { 197471, ur_pwm216_u2x12_uart0_dual },
 { 197472, ur_pwm216_u2x12_uart0_dual },
 { 197473, ur_pwm216_u2x12_uart0_dual_pr_ee },
 { 197474, ur_pwm216_u2x12_uart0_dual_pr_ee_u4 },
 { 197475, ur_pwm216_u2x12_uart0_dual_pr_ce },
 { 197476, ur_pwm216_u2x12_uart0_dual_pr_ce },
 { 197477, ur_pwm216_u2x12_uart0_dual_pr_ee_ce },
 { 197478, ur_pwm216_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 197480, ur_pwm216_u2x12_uart0_dual_ee_hw },
 { 197482, ur_pwm216_u2x12_uart0_dual_ee_ce_hw },
 { 197483, ur_pwm216_u2x12_uart0_dual_ee_ce_u4_hw },
 { 197652, ur_pwm216_swio10_noled },
 { 197653, ur_pwm216_swio10_noled_pr },
 { 197654, ur_pwm216_swio10_noled_pr },
 { 197655, ur_pwm216_swio10_noled_pr_ee },
 { 197656, ur_pwm216_swio10_noled_pr_ee_u4 },
 { 197657, ur_pwm216_swio10_noled_pr_ce },
 { 197658, ur_pwm216_swio10_noled_pr_ce },
 { 197659, ur_pwm216_swio10_noled_pr_ee_ce },
 { 197660, ur_pwm216_swio10_noled_pr_ee_ce_u4 },
 { 197662, ur_pwm216_swio10_noled_ee_hw },
 { 197664, ur_pwm216_swio10_noled_ee_ce_hw },
 { 197665, ur_pwm216_swio10_noled_ee_ce_hw },
 { 197666, ur_pwm216_swio10_lednop },
 { 197667, ur_pwm216_swio10_lednop_pr },
 { 197668, ur_pwm216_swio10_lednop_pr },
 { 197669, ur_pwm216_swio10_lednop_pr_ee },
 { 197670, ur_pwm216_swio10_lednop_pr_ee_u4 },
 { 197671, ur_pwm216_swio10_lednop_pr_ce },
 { 197672, ur_pwm216_swio10_lednop_pr_ce },
 { 197673, ur_pwm216_swio10_lednop_pr_ee_ce },
 { 197674, ur_pwm216_swio10_lednop_pr_ee_ce_u4 },
 { 197676, ur_pwm216_swio10_lednop_ee_hw },
 { 197678, ur_pwm216_swio10_lednop_ee_ce_hw },
 { 197679, ur_pwm216_swio10_lednop_ee_ce_hw },
 { 197680, ur_pwm216_swio10_dual },
 { 197681, ur_pwm216_swio10_dual },
 { 197682, ur_pwm216_swio10_dual },
 { 197683, ur_pwm216_swio10_dual_pr_ee },
 { 197684, ur_pwm216_swio10_dual_pr_ee_u4 },
 { 197685, ur_pwm216_swio10_dual_pr_ce },
 { 197686, ur_pwm216_swio10_dual_pr_ce_u4 },
 { 197687, ur_pwm216_swio10_dual_pr_ee_ce },
 { 197688, ur_pwm216_swio10_dual_pr_ee_ce_u4 },
 { 197690, ur_pwm216_swio10_dual_ee_hw },
 { 197692, ur_pwm216_swio10_dual_ee_ce_hw },
 { 197693, ur_pwm216_swio10_dual_ee_ce_u4_hw },
 { 197694, ur_pwm216_swio11_noled },
 { 197695, ur_pwm216_swio11_noled_pr },
 { 197696, ur_pwm216_swio11_noled_pr },
 { 197697, ur_pwm216_swio11_noled_pr_ee },
 { 197698, ur_pwm216_swio11_noled_pr_ee_u4 },
 { 197699, ur_pwm216_swio11_noled_pr_ce },
 { 197700, ur_pwm216_swio11_noled_pr_ce },
 { 197701, ur_pwm216_swio11_noled_pr_ee_ce },
 { 197702, ur_pwm216_swio11_noled_pr_ee_ce_u4 },
 { 197704, ur_pwm216_swio11_noled_ee_hw },
 { 197706, ur_pwm216_swio11_noled_ee_ce_hw },
 { 197707, ur_pwm216_swio11_noled_ee_ce_hw },
 { 197708, ur_pwm216_swio11_lednop },
 { 197709, ur_pwm216_swio11_lednop_pr },
 { 197710, ur_pwm216_swio11_lednop_pr },
 { 197711, ur_pwm216_swio11_lednop_pr_ee },
 { 197712, ur_pwm216_swio11_lednop_pr_ee_u4 },
 { 197713, ur_pwm216_swio11_lednop_pr_ce },
 { 197714, ur_pwm216_swio11_lednop_pr_ce },
 { 197715, ur_pwm216_swio11_lednop_pr_ee_ce },
 { 197716, ur_pwm216_swio11_lednop_pr_ee_ce_u4 },
 { 197718, ur_pwm216_swio11_lednop_ee_hw },
 { 197720, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 197721, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 197722, ur_pwm216_swio11_dual },
 { 197723, ur_pwm216_swio11_dual },
 { 197724, ur_pwm216_swio11_dual },
 { 197725, ur_pwm216_swio11_dual_pr_ee },
 { 197726, ur_pwm216_swio11_dual_pr_ee_u4 },
 { 197727, ur_pwm216_swio11_dual_pr_ce },
 { 197728, ur_pwm216_swio11_dual_pr_ce_u4 },
 { 197729, ur_pwm216_swio11_dual_pr_ee_ce },
 { 197730, ur_pwm216_swio11_dual_pr_ee_ce_u4 },
 { 197732, ur_pwm216_swio11_dual_ee_hw },
 { 197734, ur_pwm216_swio11_dual_ee_ce_hw },
 { 197735, ur_pwm216_swio11_dual_ee_ce_u4_hw },
 { 197736, ur_pwm216_swio11_noled },
 { 197737, ur_pwm216_swio11_noled_pr },
 { 197738, ur_pwm216_swio11_noled_pr },
 { 197739, ur_pwm216_swio11_noled_pr_ee },
 { 197740, ur_pwm216_swio11_noled_pr_ee_u4 },
 { 197741, ur_pwm216_swio11_noled_pr_ce },
 { 197742, ur_pwm216_swio11_noled_pr_ce },
 { 197743, ur_pwm216_swio11_noled_pr_ee_ce },
 { 197744, ur_pwm216_swio11_noled_pr_ee_ce_u4 },
 { 197746, ur_pwm216_swio11_noled_ee_hw },
 { 197748, ur_pwm216_swio11_noled_ee_ce_hw },
 { 197749, ur_pwm216_swio11_noled_ee_ce_hw },
 { 197750, ur_pwm216_swio11_lednop },
 { 197751, ur_pwm216_swio11_lednop_pr },
 { 197752, ur_pwm216_swio11_lednop_pr },
 { 197753, ur_pwm216_swio11_lednop_pr_ee },
 { 197754, ur_pwm216_swio11_lednop_pr_ee_u4 },
 { 197755, ur_pwm216_swio11_lednop_pr_ce },
 { 197756, ur_pwm216_swio11_lednop_pr_ce },
 { 197757, ur_pwm216_swio11_lednop_pr_ee_ce },
 { 197758, ur_pwm216_swio11_lednop_pr_ee_ce_u4 },
 { 197760, ur_pwm216_swio11_lednop_ee_hw },
 { 197762, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 197763, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 197764, ur_pwm216_swio11_dual },
 { 197765, ur_pwm216_swio11_dual },
 { 197766, ur_pwm216_swio11_dual },
 { 197767, ur_pwm216_swio11_dual_pr_ee },
 { 197768, ur_pwm216_swio11_dual_pr_ee_u4 },
 { 197769, ur_pwm216_swio11_dual_pr_ce },
 { 197770, ur_pwm216_swio11_dual_pr_ce_u4 },
 { 197771, ur_pwm216_swio11_dual_pr_ee_ce },
 { 197772, ur_pwm216_swio11_dual_pr_ee_ce_u4 },
 { 197774, ur_pwm216_swio11_dual_ee_hw },
 { 197776, ur_pwm216_swio11_dual_ee_ce_hw },
 { 197777, ur_pwm216_swio11_dual_ee_ce_u4_hw },
 { 197778, ur_pwm216_swio13_noled },
 { 197779, ur_pwm216_swio13_noled_pr },
 { 197780, ur_pwm216_swio13_noled_pr },
 { 197781, ur_pwm216_swio13_noled_pr_ee },
 { 197782, ur_pwm216_swio13_noled_pr_ee_u4 },
 { 197783, ur_pwm216_swio13_noled_pr_ce },
 { 197784, ur_pwm216_swio13_noled_pr_ce },
 { 197785, ur_pwm216_swio13_noled_pr_ee_ce },
 { 197786, ur_pwm216_swio13_noled_pr_ee_ce_u4 },
 { 197788, ur_pwm216_swio13_noled_ee_hw },
 { 197790, ur_pwm216_swio13_noled_ee_ce_hw },
 { 197791, ur_pwm216_swio13_noled_ee_ce_hw },
 { 197792, ur_pwm216_swio13_lednop },
 { 197793, ur_pwm216_swio13_lednop_pr },
 { 197794, ur_pwm216_swio13_lednop_pr },
 { 197795, ur_pwm216_swio13_lednop_pr_ee },
 { 197796, ur_pwm216_swio13_lednop_pr_ee_u4 },
 { 197797, ur_pwm216_swio13_lednop_pr_ce },
 { 197798, ur_pwm216_swio13_lednop_pr_ce_u4 },
 { 197799, ur_pwm216_swio13_lednop_pr_ee_ce },
 { 197800, ur_pwm216_swio13_lednop_pr_ee_ce_u4 },
 { 197802, ur_pwm216_swio13_lednop_ee_hw },
 { 197804, ur_pwm216_swio13_lednop_ee_ce_hw },
 { 197805, ur_pwm216_swio13_lednop_ee_ce_hw },
 { 197806, ur_pwm216_swio13_dual },
 { 197807, ur_pwm216_swio13_dual },
 { 197808, ur_pwm216_swio13_dual },
 { 197809, ur_pwm216_swio13_dual_pr_ee },
 { 197810, ur_pwm216_swio13_dual_pr_ee_u4 },
 { 197811, ur_pwm216_swio13_dual_pr_ce },
 { 197812, ur_pwm216_swio13_dual_pr_ce_u4 },
 { 197813, ur_pwm216_swio13_dual_pr_ee_ce },
 { 197814, ur_pwm216_swio13_dual_pr_ee_ce_u4 },
 { 197816, ur_pwm216_swio13_dual_ee_hw },
 { 197818, ur_pwm216_swio13_dual_ee_ce_hw },
 { 197819, ur_pwm216_swio13_dual_ee_ce_u4_hw },
 { 197820, ur_pwm216_swio14_noled },
 { 197821, ur_pwm216_swio14_noled_pr },
 { 197822, ur_pwm216_swio14_noled_pr },
 { 197823, ur_pwm216_swio14_noled_pr_ee },
 { 197824, ur_pwm216_swio14_noled_pr_ee_u4 },
 { 197825, ur_pwm216_swio14_noled_pr_ce },
 { 197826, ur_pwm216_swio14_noled_pr_ce },
 { 197827, ur_pwm216_swio14_noled_pr_ee_ce },
 { 197828, ur_pwm216_swio14_noled_pr_ee_ce_u4 },
 { 197830, ur_pwm216_swio14_noled_ee_hw },
 { 197832, ur_pwm216_swio14_noled_ee_ce_hw },
 { 197833, ur_pwm216_swio14_noled_ee_ce_hw },
 { 197834, ur_pwm216_swio14_lednop },
 { 197835, ur_pwm216_swio14_lednop_pr },
 { 197836, ur_pwm216_swio14_lednop_pr },
 { 197837, ur_pwm216_swio14_lednop_pr_ee },
 { 197838, ur_pwm216_swio14_lednop_pr_ee_u4 },
 { 197839, ur_pwm216_swio14_lednop_pr_ce },
 { 197840, ur_pwm216_swio14_lednop_pr_ce },
 { 197841, ur_pwm216_swio14_lednop_pr_ee_ce },
 { 197842, ur_pwm216_swio14_lednop_pr_ee_ce_u4 },
 { 197844, ur_pwm216_swio14_lednop_ee_hw },
 { 197846, ur_pwm216_swio14_lednop_ee_ce_hw },
 { 197847, ur_pwm216_swio14_lednop_ee_ce_hw },
 { 197848, ur_pwm216_swio14_dual },
 { 197849, ur_pwm216_swio14_dual },
 { 197850, ur_pwm216_swio14_dual },
 { 197851, ur_pwm216_swio14_dual_pr_ee },
 { 197852, ur_pwm216_swio14_dual_pr_ee_u4 },
 { 197853, ur_pwm216_swio14_dual_pr_ce },
 { 197854, ur_pwm216_swio14_dual_pr_ce_u4 },
 { 197855, ur_pwm216_swio14_dual_pr_ee_ce },
 { 197856, ur_pwm216_swio14_dual_pr_ee_ce_u4 },
 { 197858, ur_pwm216_swio14_dual_ee_hw },
 { 197860, ur_pwm216_swio14_dual_ee_ce_hw },
 { 197861, ur_pwm216_swio14_dual_ee_ce_u4_hw },
 { 197862, ur_pwm216_swio15_noled },
 { 197863, ur_pwm216_swio15_noled_pr },
 { 197864, ur_pwm216_swio15_noled_pr },
 { 197865, ur_pwm216_swio15_noled_pr_ee },
 { 197866, ur_pwm216_swio15_noled_pr_ee_u4 },
 { 197867, ur_pwm216_swio15_noled_pr_ce },
 { 197868, ur_pwm216_swio15_noled_pr_ce },
 { 197869, ur_pwm216_swio15_noled_pr_ee_ce },
 { 197870, ur_pwm216_swio15_noled_pr_ee_ce_u4 },
 { 197872, ur_pwm216_swio15_noled_ee_hw },
 { 197874, ur_pwm216_swio15_noled_ee_ce_hw },
 { 197875, ur_pwm216_swio15_noled_ee_ce_hw },
 { 197876, ur_pwm216_swio15_lednop },
 { 197877, ur_pwm216_swio15_lednop_pr },
 { 197878, ur_pwm216_swio15_lednop_pr },
 { 197879, ur_pwm216_swio15_lednop_pr_ee },
 { 197880, ur_pwm216_swio15_lednop_pr_ee_u4 },
 { 197881, ur_pwm216_swio15_lednop_pr_ce },
 { 197882, ur_pwm216_swio15_lednop_pr_ce_u4 },
 { 197883, ur_pwm216_swio15_lednop_pr_ee_ce },
 { 197884, ur_pwm216_swio15_lednop_pr_ee_ce_u4 },
 { 197886, ur_pwm216_swio15_lednop_ee_hw },
 { 197888, ur_pwm216_swio15_lednop_ee_ce_hw },
 { 197889, ur_pwm216_swio15_lednop_ee_ce_hw },
 { 197890, ur_pwm216_swio15_dual },
 { 197891, ur_pwm216_swio15_dual },
 { 197892, ur_pwm216_swio15_dual },
 { 197893, ur_pwm216_swio15_dual_pr_ee },
 { 197894, ur_pwm216_swio15_dual_pr_ee_u4 },
 { 197895, ur_pwm216_swio15_dual_pr_ce },
 { 197896, ur_pwm216_swio15_dual_pr_ce_u4 },
 { 197897, ur_pwm216_swio15_dual_pr_ee_ce },
 { 197898, ur_pwm216_swio15_dual_pr_ee_ce_u4 },
 { 197900, ur_pwm216_swio15_dual_ee_hw },
 { 197902, ur_pwm216_swio15_dual_ee_ce_hw },
 { 197903, ur_pwm216_swio15_dual_ee_ce_u4_hw },
 { 197904, ur_pwm216_autobaud_uart0_noled },
 { 197905, ur_pwm216_autobaud_uart0_noled },
 { 197906, ur_pwm216_autobaud_uart0_noled_pr_u4 },
 { 197907, ur_pwm216_autobaud_uart0_noled_pr_ee },
 { 197908, ur_pwm216_autobaud_uart0_noled_pr_ee },
 { 197909, ur_pwm216_autobaud_uart0_noled_pr_ce },
 { 197910, ur_pwm216_autobaud_uart0_noled_pr_ce },
 { 197911, ur_pwm216_autobaud_uart0_noled_pr_ee_ce },
 { 197912, ur_pwm216_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 197914, ur_pwm216_autobaud_uart0_noled_ee_hw },
 { 197916, ur_pwm216_autobaud_uart0_noled_ee_ce_hw },
 { 197917, ur_pwm216_autobaud_uart0_noled_ee_ce_hw },
 { 197918, ur_pwm216_autobaud_uart0_lednop },
 { 197919, ur_pwm216_autobaud_uart0_lednop_pr },
 { 197920, ur_pwm216_autobaud_uart0_lednop_pr },
 { 197921, ur_pwm216_autobaud_uart0_lednop_pr_ee },
 { 197922, ur_pwm216_autobaud_uart0_lednop_pr_ee_u4 },
 { 197923, ur_pwm216_autobaud_uart0_lednop_pr_ce },
 { 197924, ur_pwm216_autobaud_uart0_lednop_pr_ce },
 { 197925, ur_pwm216_autobaud_uart0_lednop_pr_ee_ce },
 { 197926, ur_pwm216_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 197928, ur_pwm216_autobaud_uart0_lednop_ee_hw },
 { 197930, ur_pwm216_autobaud_uart0_lednop_ee_ce_hw },
 { 197931, ur_pwm216_autobaud_uart0_lednop_ee_ce_hw },
 { 197932, ur_pwm216_autobaud_uart0_dual },
 { 197933, ur_pwm216_autobaud_uart0_dual },
 { 197934, ur_pwm216_autobaud_uart0_dual },
 { 197935, ur_pwm216_autobaud_uart0_dual_pr_ee },
 { 197936, ur_pwm216_autobaud_uart0_dual_pr_ee_u4 },
 { 197937, ur_pwm216_autobaud_uart0_dual_pr_ce },
 { 197938, ur_pwm216_autobaud_uart0_dual_pr_ce_u4 },
 { 197939, ur_pwm216_autobaud_uart0_dual_pr_ee_ce },
 { 197940, ur_pwm216_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 197942, ur_pwm216_autobaud_uart0_dual_ee_hw },
 { 197944, ur_pwm216_autobaud_uart0_dual_ee_ce_hw },
 { 197945, ur_pwm216_autobaud_uart0_dual_ee_ce_u4_hw },
 { 198114, ur_pwm216_u1x8_uart0_noled },
 { 198115, ur_pwm216_u1x8_uart0_noled },
 { 198116, ur_pwm216_u1x8_uart0_noled_pr_u4 },
 { 198117, ur_pwm216_u1x8_uart0_noled_pr_ee },
 { 198118, ur_pwm216_u1x8_uart0_noled_pr_ee },
 { 198119, ur_pwm216_u1x8_uart0_noled_pr_ce },
 { 198120, ur_pwm216_u1x8_uart0_noled_pr_ce },
 { 198121, ur_pwm216_u1x8_uart0_noled_pr_ee_ce },
 { 198122, ur_pwm216_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 198124, ur_m169_u1x8_uart0_noled_ee_hw },
 { 198126, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 { 198127, ur_m169_u1x8_uart0_noled_ee_ce_hw },
 { 198128, ur_pwm216_u1x8_uart0_lednop },
 { 198129, ur_pwm216_u1x8_uart0_lednop },
 { 198130, ur_pwm216_u1x8_uart0_lednop_pr_u4 },
 { 198131, ur_pwm216_u1x8_uart0_lednop_pr_ee },
 { 198132, ur_pwm216_u1x8_uart0_lednop_pr_ee },
 { 198133, ur_pwm216_u1x8_uart0_lednop_pr_ce },
 { 198134, ur_pwm216_u1x8_uart0_lednop_pr_ce },
 { 198135, ur_pwm216_u1x8_uart0_lednop_pr_ee_ce },
 { 198136, ur_pwm216_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 198138, ur_m169_u1x8_uart0_lednop_ee_hw },
 { 198140, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 { 198141, ur_m169_u1x8_uart0_lednop_ee_ce_hw },
 { 198142, ur_pwm216_u1x8_uart0_dual },
 { 198143, ur_pwm216_u1x8_uart0_dual_pr },
 { 198144, ur_pwm216_u1x8_uart0_dual_pr },
 { 198145, ur_pwm216_u1x8_uart0_dual_pr_ee },
 { 198146, ur_pwm216_u1x8_uart0_dual_pr_ee },
 { 198147, ur_pwm216_u1x8_uart0_dual_pr_ce },
 { 198148, ur_pwm216_u1x8_uart0_dual_pr_ce },
 { 198149, ur_pwm216_u1x8_uart0_dual_pr_ee_ce },
 { 198150, ur_pwm216_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 198152, ur_pwm216_u1x8_uart0_dual_ee_hw },
 { 198154, ur_pwm216_u1x8_uart0_dual_ee_ce_hw },
 { 198155, ur_pwm216_u1x8_uart0_dual_ee_ce_u4_hw },
 { 198324, ur_pwm216_u1x12_uart0_noled },
 { 198325, ur_pwm216_u1x12_uart0_noled },
 { 198326, ur_pwm216_u1x12_uart0_noled_pr_u4 },
 { 198327, ur_pwm216_u1x12_uart0_noled_pr_ee },
 { 198328, ur_pwm216_u1x12_uart0_noled_pr_ee },
 { 198329, ur_pwm216_u1x12_uart0_noled_pr_ce },
 { 198330, ur_pwm216_u1x12_uart0_noled_pr_ce },
 { 198331, ur_pwm216_u1x12_uart0_noled_pr_ee_ce },
 { 198332, ur_pwm216_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 198334, ur_m169_u1x12_uart0_noled_ee_hw },
 { 198336, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 { 198337, ur_m169_u1x12_uart0_noled_ee_ce_hw },
 { 198338, ur_pwm216_u1x12_uart0_lednop },
 { 198339, ur_pwm216_u1x12_uart0_lednop },
 { 198340, ur_pwm216_u1x12_uart0_lednop_pr_u4 },
 { 198341, ur_pwm216_u1x12_uart0_lednop_pr_ee },
 { 198342, ur_pwm216_u1x12_uart0_lednop_pr_ee },
 { 198343, ur_pwm216_u1x12_uart0_lednop_pr_ce },
 { 198344, ur_pwm216_u1x12_uart0_lednop_pr_ce },
 { 198345, ur_pwm216_u1x12_uart0_lednop_pr_ee_ce },
 { 198346, ur_pwm216_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 198348, ur_m169_u1x12_uart0_lednop_ee_hw },
 { 198350, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 { 198351, ur_m169_u1x12_uart0_lednop_ee_ce_hw },
 { 198352, ur_pwm216_u1x12_uart0_dual },
 { 198353, ur_pwm216_u1x12_uart0_dual_pr },
 { 198354, ur_pwm216_u1x12_uart0_dual_pr },
 { 198355, ur_pwm216_u1x12_uart0_dual_pr_ee },
 { 198356, ur_pwm216_u1x12_uart0_dual_pr_ee_u4 },
 { 198357, ur_pwm216_u1x12_uart0_dual_pr_ce },
 { 198358, ur_pwm216_u1x12_uart0_dual_pr_ce },
 { 198359, ur_pwm216_u1x12_uart0_dual_pr_ee_ce },
 { 198360, ur_pwm216_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 198362, ur_pwm216_u1x12_uart0_dual_ee_hw },
 { 198364, ur_pwm216_u1x12_uart0_dual_ee_ce_hw },
 { 198365, ur_pwm216_u1x12_uart0_dual_ee_ce_u4_hw },
 { 198534, ur_pwm216_u2x8_uart0_noled },
 { 198535, ur_pwm216_u2x8_uart0_noled },
 { 198536, ur_pwm216_u2x8_uart0_noled_pr_u4 },
 { 198537, ur_pwm216_u2x8_uart0_noled_pr_ee },
 { 198538, ur_pwm216_u2x8_uart0_noled_pr_ee },
 { 198539, ur_pwm216_u2x8_uart0_noled_pr_ce },
 { 198540, ur_pwm216_u2x8_uart0_noled_pr_ce },
 { 198541, ur_pwm216_u2x8_uart0_noled_pr_ee_ce },
 { 198542, ur_pwm216_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 198544, ur_m169_u2x8_uart0_noled_ee_hw },
 { 198546, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 { 198547, ur_m169_u2x8_uart0_noled_ee_ce_hw },
 { 198548, ur_pwm216_u2x8_uart0_lednop },
 { 198549, ur_pwm216_u2x8_uart0_lednop },
 { 198550, ur_pwm216_u2x8_uart0_lednop_pr_u4 },
 { 198551, ur_pwm216_u2x8_uart0_lednop_pr_ee },
 { 198552, ur_pwm216_u2x8_uart0_lednop_pr_ee },
 { 198553, ur_pwm216_u2x8_uart0_lednop_pr_ce },
 { 198554, ur_pwm216_u2x8_uart0_lednop_pr_ce },
 { 198555, ur_pwm216_u2x8_uart0_lednop_pr_ee_ce },
 { 198556, ur_pwm216_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 198558, ur_m169_u2x8_uart0_lednop_ee_hw },
 { 198560, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 { 198561, ur_m169_u2x8_uart0_lednop_ee_ce_hw },
 { 198562, ur_pwm216_u2x8_uart0_dual },
 { 198563, ur_pwm216_u2x8_uart0_dual_pr },
 { 198564, ur_pwm216_u2x8_uart0_dual_pr },
 { 198565, ur_pwm216_u2x8_uart0_dual_pr_ee },
 { 198566, ur_pwm216_u2x8_uart0_dual_pr_ee_u4 },
 { 198567, ur_pwm216_u2x8_uart0_dual_pr_ce },
 { 198568, ur_pwm216_u2x8_uart0_dual_pr_ce },
 { 198569, ur_pwm216_u2x8_uart0_dual_pr_ee_ce },
 { 198570, ur_pwm216_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 198572, ur_pwm216_u2x8_uart0_dual_ee_hw },
 { 198574, ur_pwm216_u2x8_uart0_dual_ee_ce_hw },
 { 198575, ur_pwm216_u2x8_uart0_dual_ee_ce_u4_hw },
 { 198744, ur_pwm216_u2x12_uart0_noled },
 { 198745, ur_pwm216_u2x12_uart0_noled },
 { 198746, ur_pwm216_u2x12_uart0_noled_pr_u4 },
 { 198747, ur_pwm216_u2x12_uart0_noled_pr_ee },
 { 198748, ur_pwm216_u2x12_uart0_noled_pr_ee },
 { 198749, ur_pwm216_u2x12_uart0_noled_pr_ce },
 { 198750, ur_pwm216_u2x12_uart0_noled_pr_ce },
 { 198751, ur_pwm216_u2x12_uart0_noled_pr_ee_ce },
 { 198752, ur_pwm216_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 198754, ur_m169_u2x12_uart0_noled_ee_hw },
 { 198756, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 { 198757, ur_m169_u2x12_uart0_noled_ee_ce_hw },
 { 198758, ur_pwm216_u2x12_uart0_lednop },
 { 198759, ur_pwm216_u2x12_uart0_lednop },
 { 198760, ur_pwm216_u2x12_uart0_lednop_pr_u4 },
 { 198761, ur_pwm216_u2x12_uart0_lednop_pr_ee },
 { 198762, ur_pwm216_u2x12_uart0_lednop_pr_ee },
 { 198763, ur_pwm216_u2x12_uart0_lednop_pr_ce },
 { 198764, ur_pwm216_u2x12_uart0_lednop_pr_ce },
 { 198765, ur_pwm216_u2x12_uart0_lednop_pr_ee_ce },
 { 198766, ur_pwm216_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 198768, ur_m169_u2x12_uart0_lednop_ee_hw },
 { 198770, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 { 198771, ur_m169_u2x12_uart0_lednop_ee_ce_hw },
 { 198772, ur_pwm216_u2x12_uart0_dual },
 { 198773, ur_pwm216_u2x12_uart0_dual },
 { 198774, ur_pwm216_u2x12_uart0_dual },
 { 198775, ur_pwm216_u2x12_uart0_dual_pr_ee },
 { 198776, ur_pwm216_u2x12_uart0_dual_pr_ee_u4 },
 { 198777, ur_pwm216_u2x12_uart0_dual_pr_ce },
 { 198778, ur_pwm216_u2x12_uart0_dual_pr_ce },
 { 198779, ur_pwm216_u2x12_uart0_dual_pr_ee_ce },
 { 198780, ur_pwm216_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 198782, ur_pwm216_u2x12_uart0_dual_ee_hw },
 { 198784, ur_pwm216_u2x12_uart0_dual_ee_ce_hw },
 { 198785, ur_pwm216_u2x12_uart0_dual_ee_ce_u4_hw },
 { 198954, ur_pwm216_swio10_noled },
 { 198955, ur_pwm216_swio10_noled_pr },
 { 198956, ur_pwm216_swio10_noled_pr },
 { 198957, ur_pwm216_swio10_noled_pr_ee },
 { 198958, ur_pwm216_swio10_noled_pr_ee_u4 },
 { 198959, ur_pwm216_swio10_noled_pr_ce },
 { 198960, ur_pwm216_swio10_noled_pr_ce },
 { 198961, ur_pwm216_swio10_noled_pr_ee_ce },
 { 198962, ur_pwm216_swio10_noled_pr_ee_ce_u4 },
 { 198964, ur_pwm216_swio10_noled_ee_hw },
 { 198966, ur_pwm216_swio10_noled_ee_ce_hw },
 { 198967, ur_pwm216_swio10_noled_ee_ce_hw },
 { 198968, ur_pwm216_swio10_lednop },
 { 198969, ur_pwm216_swio10_lednop_pr },
 { 198970, ur_pwm216_swio10_lednop_pr },
 { 198971, ur_pwm216_swio10_lednop_pr_ee },
 { 198972, ur_pwm216_swio10_lednop_pr_ee_u4 },
 { 198973, ur_pwm216_swio10_lednop_pr_ce },
 { 198974, ur_pwm216_swio10_lednop_pr_ce },
 { 198975, ur_pwm216_swio10_lednop_pr_ee_ce },
 { 198976, ur_pwm216_swio10_lednop_pr_ee_ce_u4 },
 { 198978, ur_pwm216_swio10_lednop_ee_hw },
 { 198980, ur_pwm216_swio10_lednop_ee_ce_hw },
 { 198981, ur_pwm216_swio10_lednop_ee_ce_hw },
 { 198982, ur_pwm216_swio10_dual },
 { 198983, ur_pwm216_swio10_dual },
 { 198984, ur_pwm216_swio10_dual },
 { 198985, ur_pwm216_swio10_dual_pr_ee },
 { 198986, ur_pwm216_swio10_dual_pr_ee_u4 },
 { 198987, ur_pwm216_swio10_dual_pr_ce },
 { 198988, ur_pwm216_swio10_dual_pr_ce_u4 },
 { 198989, ur_pwm216_swio10_dual_pr_ee_ce },
 { 198990, ur_pwm216_swio10_dual_pr_ee_ce_u4 },
 { 198992, ur_pwm216_swio10_dual_ee_hw },
 { 198994, ur_pwm216_swio10_dual_ee_ce_hw },
 { 198995, ur_pwm216_swio10_dual_ee_ce_u4_hw },
 { 198996, ur_pwm216_swio11_noled },
 { 198997, ur_pwm216_swio11_noled_pr },
 { 198998, ur_pwm216_swio11_noled_pr },
 { 198999, ur_pwm216_swio11_noled_pr_ee },
 { 199000, ur_pwm216_swio11_noled_pr_ee_u4 },
 { 199001, ur_pwm216_swio11_noled_pr_ce },
 { 199002, ur_pwm216_swio11_noled_pr_ce },
 { 199003, ur_pwm216_swio11_noled_pr_ee_ce },
 { 199004, ur_pwm216_swio11_noled_pr_ee_ce_u4 },
 { 199006, ur_pwm216_swio11_noled_ee_hw },
 { 199008, ur_pwm216_swio11_noled_ee_ce_hw },
 { 199009, ur_pwm216_swio11_noled_ee_ce_hw },
 { 199010, ur_pwm216_swio11_lednop },
 { 199011, ur_pwm216_swio11_lednop_pr },
 { 199012, ur_pwm216_swio11_lednop_pr },
 { 199013, ur_pwm216_swio11_lednop_pr_ee },
 { 199014, ur_pwm216_swio11_lednop_pr_ee_u4 },
 { 199015, ur_pwm216_swio11_lednop_pr_ce },
 { 199016, ur_pwm216_swio11_lednop_pr_ce },
 { 199017, ur_pwm216_swio11_lednop_pr_ee_ce },
 { 199018, ur_pwm216_swio11_lednop_pr_ee_ce_u4 },
 { 199020, ur_pwm216_swio11_lednop_ee_hw },
 { 199022, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 199023, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 199024, ur_pwm216_swio11_dual },
 { 199025, ur_pwm216_swio11_dual },
 { 199026, ur_pwm216_swio11_dual },
 { 199027, ur_pwm216_swio11_dual_pr_ee },
 { 199028, ur_pwm216_swio11_dual_pr_ee_u4 },
 { 199029, ur_pwm216_swio11_dual_pr_ce },
 { 199030, ur_pwm216_swio11_dual_pr_ce_u4 },
 { 199031, ur_pwm216_swio11_dual_pr_ee_ce },
 { 199032, ur_pwm216_swio11_dual_pr_ee_ce_u4 },
 { 199034, ur_pwm216_swio11_dual_ee_hw },
 { 199036, ur_pwm216_swio11_dual_ee_ce_hw },
 { 199037, ur_pwm216_swio11_dual_ee_ce_u4_hw },
 { 199038, ur_pwm216_swio11_noled },
 { 199039, ur_pwm216_swio11_noled_pr },
 { 199040, ur_pwm216_swio11_noled_pr },
 { 199041, ur_pwm216_swio11_noled_pr_ee },
 { 199042, ur_pwm216_swio11_noled_pr_ee_u4 },
 { 199043, ur_pwm216_swio11_noled_pr_ce },
 { 199044, ur_pwm216_swio11_noled_pr_ce },
 { 199045, ur_pwm216_swio11_noled_pr_ee_ce },
 { 199046, ur_pwm216_swio11_noled_pr_ee_ce_u4 },
 { 199048, ur_pwm216_swio11_noled_ee_hw },
 { 199050, ur_pwm216_swio11_noled_ee_ce_hw },
 { 199051, ur_pwm216_swio11_noled_ee_ce_hw },
 { 199052, ur_pwm216_swio11_lednop },
 { 199053, ur_pwm216_swio11_lednop_pr },
 { 199054, ur_pwm216_swio11_lednop_pr },
 { 199055, ur_pwm216_swio11_lednop_pr_ee },
 { 199056, ur_pwm216_swio11_lednop_pr_ee_u4 },
 { 199057, ur_pwm216_swio11_lednop_pr_ce },
 { 199058, ur_pwm216_swio11_lednop_pr_ce },
 { 199059, ur_pwm216_swio11_lednop_pr_ee_ce },
 { 199060, ur_pwm216_swio11_lednop_pr_ee_ce_u4 },
 { 199062, ur_pwm216_swio11_lednop_ee_hw },
 { 199064, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 199065, ur_pwm216_swio11_lednop_ee_ce_hw },
 { 199066, ur_pwm216_swio11_dual },
 { 199067, ur_pwm216_swio11_dual },
 { 199068, ur_pwm216_swio11_dual },
 { 199069, ur_pwm216_swio11_dual_pr_ee },
 { 199070, ur_pwm216_swio11_dual_pr_ee_u4 },
 { 199071, ur_pwm216_swio11_dual_pr_ce },
 { 199072, ur_pwm216_swio11_dual_pr_ce_u4 },
 { 199073, ur_pwm216_swio11_dual_pr_ee_ce },
 { 199074, ur_pwm216_swio11_dual_pr_ee_ce_u4 },
 { 199076, ur_pwm216_swio11_dual_ee_hw },
 { 199078, ur_pwm216_swio11_dual_ee_ce_hw },
 { 199079, ur_pwm216_swio11_dual_ee_ce_u4_hw },
 { 199080, ur_pwm216_swio13_noled },
 { 199081, ur_pwm216_swio13_noled_pr },
 { 199082, ur_pwm216_swio13_noled_pr },
 { 199083, ur_pwm216_swio13_noled_pr_ee },
 { 199084, ur_pwm216_swio13_noled_pr_ee_u4 },
 { 199085, ur_pwm216_swio13_noled_pr_ce },
 { 199086, ur_pwm216_swio13_noled_pr_ce },
 { 199087, ur_pwm216_swio13_noled_pr_ee_ce },
 { 199088, ur_pwm216_swio13_noled_pr_ee_ce_u4 },
 { 199090, ur_pwm216_swio13_noled_ee_hw },
 { 199092, ur_pwm216_swio13_noled_ee_ce_hw },
 { 199093, ur_pwm216_swio13_noled_ee_ce_hw },
 { 199094, ur_pwm216_swio13_lednop },
 { 199095, ur_pwm216_swio13_lednop_pr },
 { 199096, ur_pwm216_swio13_lednop_pr },
 { 199097, ur_pwm216_swio13_lednop_pr_ee },
 { 199098, ur_pwm216_swio13_lednop_pr_ee_u4 },
 { 199099, ur_pwm216_swio13_lednop_pr_ce },
 { 199100, ur_pwm216_swio13_lednop_pr_ce_u4 },
 { 199101, ur_pwm216_swio13_lednop_pr_ee_ce },
 { 199102, ur_pwm216_swio13_lednop_pr_ee_ce_u4 },
 { 199104, ur_pwm216_swio13_lednop_ee_hw },
 { 199106, ur_pwm216_swio13_lednop_ee_ce_hw },
 { 199107, ur_pwm216_swio13_lednop_ee_ce_hw },
 { 199108, ur_pwm216_swio13_dual },
 { 199109, ur_pwm216_swio13_dual },
 { 199110, ur_pwm216_swio13_dual },
 { 199111, ur_pwm216_swio13_dual_pr_ee },
 { 199112, ur_pwm216_swio13_dual_pr_ee_u4 },
 { 199113, ur_pwm216_swio13_dual_pr_ce },
 { 199114, ur_pwm216_swio13_dual_pr_ce_u4 },
 { 199115, ur_pwm216_swio13_dual_pr_ee_ce },
 { 199116, ur_pwm216_swio13_dual_pr_ee_ce_u4 },
 { 199118, ur_pwm216_swio13_dual_ee_hw },
 { 199120, ur_pwm216_swio13_dual_ee_ce_hw },
 { 199121, ur_pwm216_swio13_dual_ee_ce_u4_hw },
 { 199122, ur_pwm216_swio14_noled },
 { 199123, ur_pwm216_swio14_noled_pr },
 { 199124, ur_pwm216_swio14_noled_pr },
 { 199125, ur_pwm216_swio14_noled_pr_ee },
 { 199126, ur_pwm216_swio14_noled_pr_ee_u4 },
 { 199127, ur_pwm216_swio14_noled_pr_ce },
 { 199128, ur_pwm216_swio14_noled_pr_ce },
 { 199129, ur_pwm216_swio14_noled_pr_ee_ce },
 { 199130, ur_pwm216_swio14_noled_pr_ee_ce_u4 },
 { 199132, ur_pwm216_swio14_noled_ee_hw },
 { 199134, ur_pwm216_swio14_noled_ee_ce_hw },
 { 199135, ur_pwm216_swio14_noled_ee_ce_hw },
 { 199136, ur_pwm216_swio14_lednop },
 { 199137, ur_pwm216_swio14_lednop_pr },
 { 199138, ur_pwm216_swio14_lednop_pr },
 { 199139, ur_pwm216_swio14_lednop_pr_ee },
 { 199140, ur_pwm216_swio14_lednop_pr_ee_u4 },
 { 199141, ur_pwm216_swio14_lednop_pr_ce },
 { 199142, ur_pwm216_swio14_lednop_pr_ce },
 { 199143, ur_pwm216_swio14_lednop_pr_ee_ce },
 { 199144, ur_pwm216_swio14_lednop_pr_ee_ce_u4 },
 { 199146, ur_pwm216_swio14_lednop_ee_hw },
 { 199148, ur_pwm216_swio14_lednop_ee_ce_hw },
 { 199149, ur_pwm216_swio14_lednop_ee_ce_hw },
 { 199150, ur_pwm216_swio14_dual },
 { 199151, ur_pwm216_swio14_dual },
 { 199152, ur_pwm216_swio14_dual },
 { 199153, ur_pwm216_swio14_dual_pr_ee },
 { 199154, ur_pwm216_swio14_dual_pr_ee_u4 },
 { 199155, ur_pwm216_swio14_dual_pr_ce },
 { 199156, ur_pwm216_swio14_dual_pr_ce_u4 },
 { 199157, ur_pwm216_swio14_dual_pr_ee_ce },
 { 199158, ur_pwm216_swio14_dual_pr_ee_ce_u4 },
 { 199160, ur_pwm216_swio14_dual_ee_hw },
 { 199162, ur_pwm216_swio14_dual_ee_ce_hw },
 { 199163, ur_pwm216_swio14_dual_ee_ce_u4_hw },
 { 199164, ur_pwm216_swio15_noled },
 { 199165, ur_pwm216_swio15_noled_pr },
 { 199166, ur_pwm216_swio15_noled_pr },
 { 199167, ur_pwm216_swio15_noled_pr_ee },
 { 199168, ur_pwm216_swio15_noled_pr_ee_u4 },
 { 199169, ur_pwm216_swio15_noled_pr_ce },
 { 199170, ur_pwm216_swio15_noled_pr_ce },
 { 199171, ur_pwm216_swio15_noled_pr_ee_ce },
 { 199172, ur_pwm216_swio15_noled_pr_ee_ce_u4 },
 { 199174, ur_pwm216_swio15_noled_ee_hw },
 { 199176, ur_pwm216_swio15_noled_ee_ce_hw },
 { 199177, ur_pwm216_swio15_noled_ee_ce_hw },
 { 199178, ur_pwm216_swio15_lednop },
 { 199179, ur_pwm216_swio15_lednop_pr },
 { 199180, ur_pwm216_swio15_lednop_pr },
 { 199181, ur_pwm216_swio15_lednop_pr_ee },
 { 199182, ur_pwm216_swio15_lednop_pr_ee_u4 },
 { 199183, ur_pwm216_swio15_lednop_pr_ce },
 { 199184, ur_pwm216_swio15_lednop_pr_ce_u4 },
 { 199185, ur_pwm216_swio15_lednop_pr_ee_ce },
 { 199186, ur_pwm216_swio15_lednop_pr_ee_ce_u4 },
 { 199188, ur_pwm216_swio15_lednop_ee_hw },
 { 199190, ur_pwm216_swio15_lednop_ee_ce_hw },
 { 199191, ur_pwm216_swio15_lednop_ee_ce_hw },
 { 199192, ur_pwm216_swio15_dual },
 { 199193, ur_pwm216_swio15_dual },
 { 199194, ur_pwm216_swio15_dual },
 { 199195, ur_pwm216_swio15_dual_pr_ee },
 { 199196, ur_pwm216_swio15_dual_pr_ee_u4 },
 { 199197, ur_pwm216_swio15_dual_pr_ce },
 { 199198, ur_pwm216_swio15_dual_pr_ce_u4 },
 { 199199, ur_pwm216_swio15_dual_pr_ee_ce },
 { 199200, ur_pwm216_swio15_dual_pr_ee_ce_u4 },
 { 199202, ur_pwm216_swio15_dual_ee_hw },
 { 199204, ur_pwm216_swio15_dual_ee_ce_hw },
 { 199205, ur_pwm216_swio15_dual_ee_ce_u4_hw },
 { 199206, ur_m8u2_autobaud_uart0_noled },
 { 199207, ur_m8u2_autobaud_uart0_noled },
 { 199208, ur_m8u2_autobaud_uart0_noled_pr_u4 },
 { 199209, ur_m8u2_autobaud_uart0_noled_pr_ee },
 { 199210, ur_m8u2_autobaud_uart0_noled_pr_ee },
 { 199211, ur_m8u2_autobaud_uart0_noled_pr_ce },
 { 199212, ur_m8u2_autobaud_uart0_noled_pr_ce },
 { 199213, ur_m8u2_autobaud_uart0_noled_pr_ee_ce },
 { 199214, ur_m8u2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 199216, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 199218, ur_m8u2_autobaud_uart0_noled_ee_ce_hw },
 { 199219, ur_m8u2_autobaud_uart0_noled_ee_ce_hw },
 { 199220, ur_m8u2_autobaud_uart0_lednop },
 { 199221, ur_m8u2_autobaud_uart0_lednop },
 { 199222, ur_m8u2_autobaud_uart0_lednop_pr_u4 },
 { 199223, ur_m8u2_autobaud_uart0_lednop_pr_ee },
 { 199224, ur_m8u2_autobaud_uart0_lednop_pr_ee },
 { 199225, ur_m8u2_autobaud_uart0_lednop_pr_ce },
 { 199226, ur_m8u2_autobaud_uart0_lednop_pr_ce },
 { 199227, ur_m8u2_autobaud_uart0_lednop_pr_ee_ce },
 { 199228, ur_m8u2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 199230, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 199232, ur_m8u2_autobaud_uart0_lednop_ee_ce_hw },
 { 199233, ur_m8u2_autobaud_uart0_lednop_ee_ce_hw },
 { 199234, ur_m8u2_autobaud_uart0_dual },
 { 199235, ur_m8u2_autobaud_uart0_dual_pr },
 { 199236, ur_m8u2_autobaud_uart0_dual_pr },
 { 199237, ur_m8u2_autobaud_uart0_dual_pr_ee },
 { 199238, ur_m8u2_autobaud_uart0_dual_pr_ee_u4 },
 { 199239, ur_m8u2_autobaud_uart0_dual_pr_ce },
 { 199240, ur_m8u2_autobaud_uart0_dual_pr_ce },
 { 199241, ur_m8u2_autobaud_uart0_dual_pr_ee_ce },
 { 199242, ur_m8u2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 199244, ur_m8u2_autobaud_uart0_dual_ee_hw },
 { 199246, ur_m8u2_autobaud_uart0_dual_ee_ce_hw },
 { 199247, ur_m8u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 199416, ur_m8u2_u1x8_uart0_noled },
 { 199417, ur_m8u2_u1x8_uart0_noled },
 { 199418, ur_m8u2_u1x8_uart0_noled_pr_u4 },
 { 199419, ur_m8u2_u1x8_uart0_noled_pr_ee },
 { 199420, ur_m8u2_u1x8_uart0_noled_pr_ee },
 { 199421, ur_m8u2_u1x8_uart0_noled_pr_ce },
 { 199422, ur_m8u2_u1x8_uart0_noled_pr_ce_u4 },
 { 199423, ur_m8u2_u1x8_uart0_noled_pr_ee_ce },
 { 199424, ur_m8u2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 199426, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 199428, ur_m8u2_u1x8_uart0_noled_ee_ce_hw },
 { 199429, ur_m8u2_u1x8_uart0_noled_ee_ce_hw },
 { 199430, ur_m8u2_u1x8_uart0_lednop },
 { 199431, ur_m8u2_u1x8_uart0_lednop },
 { 199432, ur_m8u2_u1x8_uart0_lednop_pr_u4 },
 { 199433, ur_m8u2_u1x8_uart0_lednop_pr_ee },
 { 199434, ur_m8u2_u1x8_uart0_lednop_pr_ee },
 { 199435, ur_m8u2_u1x8_uart0_lednop_pr_ce },
 { 199436, ur_m8u2_u1x8_uart0_lednop_pr_ce },
 { 199437, ur_m8u2_u1x8_uart0_lednop_pr_ee_ce },
 { 199438, ur_m8u2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 199440, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 199442, ur_m8u2_u1x8_uart0_lednop_ee_ce_hw },
 { 199443, ur_m8u2_u1x8_uart0_lednop_ee_ce_hw },
 { 199444, ur_m8u2_u1x8_uart0_dual },
 { 199445, ur_m8u2_u1x8_uart0_dual },
 { 199446, ur_m8u2_u1x8_uart0_dual_pr_u4 },
 { 199447, ur_m8u2_u1x8_uart0_dual_pr_ee },
 { 199448, ur_m8u2_u1x8_uart0_dual_pr_ee },
 { 199449, ur_m8u2_u1x8_uart0_dual_pr_ce },
 { 199450, ur_m8u2_u1x8_uart0_dual_pr_ce },
 { 199451, ur_m8u2_u1x8_uart0_dual_pr_ee_ce },
 { 199452, ur_m8u2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 199454, ur_m8u2_u1x8_uart0_dual_ee_hw },
 { 199456, ur_m8u2_u1x8_uart0_dual_ee_ce_hw },
 { 199457, ur_m8u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 199626, ur_m8u2_u1x12_uart0_noled },
 { 199627, ur_m8u2_u1x12_uart0_noled },
 { 199628, ur_m8u2_u1x12_uart0_noled_pr_u4 },
 { 199629, ur_m8u2_u1x12_uart0_noled_pr_ee },
 { 199630, ur_m8u2_u1x12_uart0_noled_pr_ee },
 { 199631, ur_m8u2_u1x12_uart0_noled_pr_ce },
 { 199632, ur_m8u2_u1x12_uart0_noled_pr_ce_u4 },
 { 199633, ur_m8u2_u1x12_uart0_noled_pr_ee_ce },
 { 199634, ur_m8u2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 199636, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 199638, ur_m8u2_u1x12_uart0_noled_ee_ce_hw },
 { 199639, ur_m8u2_u1x12_uart0_noled_ee_ce_hw },
 { 199640, ur_m8u2_u1x12_uart0_lednop },
 { 199641, ur_m8u2_u1x12_uart0_lednop },
 { 199642, ur_m8u2_u1x12_uart0_lednop_pr_u4 },
 { 199643, ur_m8u2_u1x12_uart0_lednop_pr_ee },
 { 199644, ur_m8u2_u1x12_uart0_lednop_pr_ee },
 { 199645, ur_m8u2_u1x12_uart0_lednop_pr_ce },
 { 199646, ur_m8u2_u1x12_uart0_lednop_pr_ce },
 { 199647, ur_m8u2_u1x12_uart0_lednop_pr_ee_ce },
 { 199648, ur_m8u2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 199650, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 199652, ur_m8u2_u1x12_uart0_lednop_ee_ce_hw },
 { 199653, ur_m8u2_u1x12_uart0_lednop_ee_ce_hw },
 { 199654, ur_m8u2_u1x12_uart0_dual },
 { 199655, ur_m8u2_u1x12_uart0_dual },
 { 199656, ur_m8u2_u1x12_uart0_dual_pr_u4 },
 { 199657, ur_m8u2_u1x12_uart0_dual_pr_ee },
 { 199658, ur_m8u2_u1x12_uart0_dual_pr_ee },
 { 199659, ur_m8u2_u1x12_uart0_dual_pr_ce },
 { 199660, ur_m8u2_u1x12_uart0_dual_pr_ce },
 { 199661, ur_m8u2_u1x12_uart0_dual_pr_ee_ce },
 { 199662, ur_m8u2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 199664, ur_m8u2_u1x12_uart0_dual_ee_hw },
 { 199666, ur_m8u2_u1x12_uart0_dual_ee_ce_hw },
 { 199667, ur_m8u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 199836, ur_m8u2_u2x8_uart0_noled },
 { 199837, ur_m8u2_u2x8_uart0_noled },
 { 199838, ur_m8u2_u2x8_uart0_noled_pr_u4 },
 { 199839, ur_m8u2_u2x8_uart0_noled_pr_ee },
 { 199840, ur_m8u2_u2x8_uart0_noled_pr_ee },
 { 199841, ur_m8u2_u2x8_uart0_noled_pr_ce },
 { 199842, ur_m8u2_u2x8_uart0_noled_pr_ce_u4 },
 { 199843, ur_m8u2_u2x8_uart0_noled_pr_ee_ce },
 { 199844, ur_m8u2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 199846, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 199848, ur_m8u2_u2x8_uart0_noled_ee_ce_hw },
 { 199849, ur_m8u2_u2x8_uart0_noled_ee_ce_hw },
 { 199850, ur_m8u2_u2x8_uart0_lednop },
 { 199851, ur_m8u2_u2x8_uart0_lednop },
 { 199852, ur_m8u2_u2x8_uart0_lednop_pr_u4 },
 { 199853, ur_m8u2_u2x8_uart0_lednop_pr_ee },
 { 199854, ur_m8u2_u2x8_uart0_lednop_pr_ee },
 { 199855, ur_m8u2_u2x8_uart0_lednop_pr_ce },
 { 199856, ur_m8u2_u2x8_uart0_lednop_pr_ce },
 { 199857, ur_m8u2_u2x8_uart0_lednop_pr_ee_ce },
 { 199858, ur_m8u2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 199860, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 199862, ur_m8u2_u2x8_uart0_lednop_ee_ce_hw },
 { 199863, ur_m8u2_u2x8_uart0_lednop_ee_ce_hw },
 { 199864, ur_m8u2_u2x8_uart0_dual },
 { 199865, ur_m8u2_u2x8_uart0_dual },
 { 199866, ur_m8u2_u2x8_uart0_dual_pr_u4 },
 { 199867, ur_m8u2_u2x8_uart0_dual_pr_ee },
 { 199868, ur_m8u2_u2x8_uart0_dual_pr_ee },
 { 199869, ur_m8u2_u2x8_uart0_dual_pr_ce },
 { 199870, ur_m8u2_u2x8_uart0_dual_pr_ce },
 { 199871, ur_m8u2_u2x8_uart0_dual_pr_ee_ce },
 { 199872, ur_m8u2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 199874, ur_m8u2_u2x8_uart0_dual_ee_hw },
 { 199876, ur_m8u2_u2x8_uart0_dual_ee_ce_hw },
 { 199877, ur_m8u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 200046, ur_m8u2_u2x12_uart0_noled },
 { 200047, ur_m8u2_u2x12_uart0_noled },
 { 200048, ur_m8u2_u2x12_uart0_noled_pr_u4 },
 { 200049, ur_m8u2_u2x12_uart0_noled_pr_ee },
 { 200050, ur_m8u2_u2x12_uart0_noled_pr_ee },
 { 200051, ur_m8u2_u2x12_uart0_noled_pr_ce },
 { 200052, ur_m8u2_u2x12_uart0_noled_pr_ce },
 { 200053, ur_m8u2_u2x12_uart0_noled_pr_ee_ce },
 { 200054, ur_m8u2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 200056, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 200058, ur_m8u2_u2x12_uart0_noled_ee_ce_hw },
 { 200059, ur_m8u2_u2x12_uart0_noled_ee_ce_hw },
 { 200060, ur_m8u2_u2x12_uart0_lednop },
 { 200061, ur_m8u2_u2x12_uart0_lednop },
 { 200062, ur_m8u2_u2x12_uart0_lednop_pr_u4 },
 { 200063, ur_m8u2_u2x12_uart0_lednop_pr_ee },
 { 200064, ur_m8u2_u2x12_uart0_lednop_pr_ee },
 { 200065, ur_m8u2_u2x12_uart0_lednop_pr_ce },
 { 200066, ur_m8u2_u2x12_uart0_lednop_pr_ce },
 { 200067, ur_m8u2_u2x12_uart0_lednop_pr_ee_ce },
 { 200068, ur_m8u2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 200070, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 200072, ur_m8u2_u2x12_uart0_lednop_ee_ce_hw },
 { 200073, ur_m8u2_u2x12_uart0_lednop_ee_ce_hw },
 { 200074, ur_m8u2_u2x12_uart0_dual },
 { 200075, ur_m8u2_u2x12_uart0_dual_pr },
 { 200076, ur_m8u2_u2x12_uart0_dual_pr_u4 },
 { 200077, ur_m8u2_u2x12_uart0_dual_pr_ee },
 { 200078, ur_m8u2_u2x12_uart0_dual_pr_ee },
 { 200079, ur_m8u2_u2x12_uart0_dual_pr_ce },
 { 200080, ur_m8u2_u2x12_uart0_dual_pr_ce },
 { 200081, ur_m8u2_u2x12_uart0_dual_pr_ee_ce },
 { 200082, ur_m8u2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 200084, ur_m8u2_u2x12_uart0_dual_ee_hw },
 { 200086, ur_m8u2_u2x12_uart0_dual_ee_ce_hw },
 { 200087, ur_m8u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 200256, ur_m8u2_swio10_noled },
 { 200257, ur_m8u2_swio10_noled },
 { 200258, ur_m8u2_swio10_noled_pr_u4 },
 { 200259, ur_m8u2_swio10_noled_pr_ee },
 { 200260, ur_m8u2_swio10_noled_pr_ee },
 { 200261, ur_m8u2_swio10_noled_pr_ce },
 { 200262, ur_m8u2_swio10_noled_pr_ce },
 { 200263, ur_m8u2_swio10_noled_pr_ee_ce },
 { 200264, ur_m8u2_swio10_noled_pr_ee_ce_u4 },
 { 200266, ur_m8u2_swio10_noled_ee_hw },
 { 200268, ur_m8u2_swio10_noled_ee_ce_hw },
 { 200269, ur_m8u2_swio10_noled_ee_ce_hw },
 { 200270, ur_m8u2_swio10_lednop },
 { 200271, ur_m8u2_swio10_lednop_pr },
 { 200272, ur_m8u2_swio10_lednop_pr },
 { 200273, ur_m8u2_swio10_lednop_pr_ee },
 { 200274, ur_m8u2_swio10_lednop_pr_ee },
 { 200275, ur_m8u2_swio10_lednop_pr_ce },
 { 200276, ur_m8u2_swio10_lednop_pr_ce },
 { 200277, ur_m8u2_swio10_lednop_pr_ee_ce },
 { 200278, ur_m8u2_swio10_lednop_pr_ee_ce_u4 },
 { 200280, ur_m8u2_swio10_lednop_ee_hw },
 { 200282, ur_m8u2_swio10_lednop_ee_ce_hw },
 { 200283, ur_m8u2_swio10_lednop_ee_ce_hw },
 { 200284, ur_m8u2_swio10_dual },
 { 200285, ur_m8u2_swio10_dual },
 { 200286, ur_m8u2_swio10_dual },
 { 200287, ur_m8u2_swio10_dual_pr_ee },
 { 200288, ur_m8u2_swio10_dual_pr_ee_u4 },
 { 200289, ur_m8u2_swio10_dual_pr_ce },
 { 200290, ur_m8u2_swio10_dual_pr_ce },
 { 200291, ur_m8u2_swio10_dual_pr_ee_ce },
 { 200292, ur_m8u2_swio10_dual_pr_ee_ce_u4 },
 { 200294, ur_m8u2_swio10_dual_ee_hw },
 { 200296, ur_m8u2_swio10_dual_ee_ce_hw },
 { 200297, ur_m8u2_swio10_dual_ee_ce_u4_hw },
 { 200298, ur_m8u2_swio11_noled },
 { 200299, ur_m8u2_swio11_noled },
 { 200300, ur_m8u2_swio11_noled_pr_u4 },
 { 200301, ur_m8u2_swio11_noled_pr_ee },
 { 200302, ur_m8u2_swio11_noled_pr_ee },
 { 200303, ur_m8u2_swio11_noled_pr_ce },
 { 200304, ur_m8u2_swio11_noled_pr_ce },
 { 200305, ur_m8u2_swio11_noled_pr_ee_ce },
 { 200306, ur_m8u2_swio11_noled_pr_ee_ce_u4 },
 { 200308, ur_m8u2_swio11_noled_ee_hw },
 { 200310, ur_m8u2_swio11_noled_ee_ce_hw },
 { 200311, ur_m8u2_swio11_noled_ee_ce_hw },
 { 200312, ur_m8u2_swio11_lednop },
 { 200313, ur_m8u2_swio11_lednop_pr },
 { 200314, ur_m8u2_swio11_lednop_pr },
 { 200315, ur_m8u2_swio11_lednop_pr_ee },
 { 200316, ur_m8u2_swio11_lednop_pr_ee_u4 },
 { 200317, ur_m8u2_swio11_lednop_pr_ce },
 { 200318, ur_m8u2_swio11_lednop_pr_ce },
 { 200319, ur_m8u2_swio11_lednop_pr_ee_ce },
 { 200320, ur_m8u2_swio11_lednop_pr_ee_ce_u4 },
 { 200322, ur_m8u2_swio11_lednop_ee_hw },
 { 200324, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 200325, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 200326, ur_m8u2_swio11_dual },
 { 200327, ur_m8u2_swio11_dual },
 { 200328, ur_m8u2_swio11_dual },
 { 200329, ur_m8u2_swio11_dual_pr_ee },
 { 200330, ur_m8u2_swio11_dual_pr_ee_u4 },
 { 200331, ur_m8u2_swio11_dual_pr_ce },
 { 200332, ur_m8u2_swio11_dual_pr_ce },
 { 200333, ur_m8u2_swio11_dual_pr_ee_ce },
 { 200334, ur_m8u2_swio11_dual_pr_ee_ce_u4 },
 { 200336, ur_m8u2_swio11_dual_ee_hw },
 { 200338, ur_m8u2_swio11_dual_ee_ce_hw },
 { 200339, ur_m8u2_swio11_dual_ee_ce_u4_hw },
 { 200340, ur_m8u2_swio11_noled },
 { 200341, ur_m8u2_swio11_noled },
 { 200342, ur_m8u2_swio11_noled_pr_u4 },
 { 200343, ur_m8u2_swio11_noled_pr_ee },
 { 200344, ur_m8u2_swio11_noled_pr_ee },
 { 200345, ur_m8u2_swio11_noled_pr_ce },
 { 200346, ur_m8u2_swio11_noled_pr_ce },
 { 200347, ur_m8u2_swio11_noled_pr_ee_ce },
 { 200348, ur_m8u2_swio11_noled_pr_ee_ce_u4 },
 { 200350, ur_m8u2_swio11_noled_ee_hw },
 { 200352, ur_m8u2_swio11_noled_ee_ce_hw },
 { 200353, ur_m8u2_swio11_noled_ee_ce_hw },
 { 200354, ur_m8u2_swio11_lednop },
 { 200355, ur_m8u2_swio11_lednop_pr },
 { 200356, ur_m8u2_swio11_lednop_pr },
 { 200357, ur_m8u2_swio11_lednop_pr_ee },
 { 200358, ur_m8u2_swio11_lednop_pr_ee_u4 },
 { 200359, ur_m8u2_swio11_lednop_pr_ce },
 { 200360, ur_m8u2_swio11_lednop_pr_ce },
 { 200361, ur_m8u2_swio11_lednop_pr_ee_ce },
 { 200362, ur_m8u2_swio11_lednop_pr_ee_ce_u4 },
 { 200364, ur_m8u2_swio11_lednop_ee_hw },
 { 200366, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 200367, ur_m8u2_swio11_lednop_ee_ce_hw },
 { 200368, ur_m8u2_swio11_dual },
 { 200369, ur_m8u2_swio11_dual },
 { 200370, ur_m8u2_swio11_dual },
 { 200371, ur_m8u2_swio11_dual_pr_ee },
 { 200372, ur_m8u2_swio11_dual_pr_ee_u4 },
 { 200373, ur_m8u2_swio11_dual_pr_ce },
 { 200374, ur_m8u2_swio11_dual_pr_ce },
 { 200375, ur_m8u2_swio11_dual_pr_ee_ce },
 { 200376, ur_m8u2_swio11_dual_pr_ee_ce_u4 },
 { 200378, ur_m8u2_swio11_dual_ee_hw },
 { 200380, ur_m8u2_swio11_dual_ee_ce_hw },
 { 200381, ur_m8u2_swio11_dual_ee_ce_u4_hw },
 { 200382, ur_m8u2_swio13_noled },
 { 200383, ur_m8u2_swio13_noled },
 { 200384, ur_m8u2_swio13_noled_pr_u4 },
 { 200385, ur_m8u2_swio13_noled_pr_ee },
 { 200386, ur_m8u2_swio13_noled_pr_ee },
 { 200387, ur_m8u2_swio13_noled_pr_ce },
 { 200388, ur_m8u2_swio13_noled_pr_ce },
 { 200389, ur_m8u2_swio13_noled_pr_ee_ce },
 { 200390, ur_m8u2_swio13_noled_pr_ee_ce_u4 },
 { 200392, ur_m8u2_swio13_noled_ee_hw },
 { 200394, ur_m8u2_swio13_noled_ee_ce_hw },
 { 200395, ur_m8u2_swio13_noled_ee_ce_hw },
 { 200396, ur_m8u2_swio13_lednop },
 { 200397, ur_m8u2_swio13_lednop_pr },
 { 200398, ur_m8u2_swio13_lednop_pr },
 { 200399, ur_m8u2_swio13_lednop_pr_ee },
 { 200400, ur_m8u2_swio13_lednop_pr_ee_u4 },
 { 200401, ur_m8u2_swio13_lednop_pr_ce },
 { 200402, ur_m8u2_swio13_lednop_pr_ce },
 { 200403, ur_m8u2_swio13_lednop_pr_ee_ce },
 { 200404, ur_m8u2_swio13_lednop_pr_ee_ce_u4 },
 { 200406, ur_m8u2_swio13_lednop_ee_hw },
 { 200408, ur_m8u2_swio13_lednop_ee_ce_hw },
 { 200409, ur_m8u2_swio13_lednop_ee_ce_hw },
 { 200410, ur_m8u2_swio13_dual },
 { 200411, ur_m8u2_swio13_dual },
 { 200412, ur_m8u2_swio13_dual },
 { 200413, ur_m8u2_swio13_dual_pr_ee },
 { 200414, ur_m8u2_swio13_dual_pr_ee_u4 },
 { 200415, ur_m8u2_swio13_dual_pr_ce },
 { 200416, ur_m8u2_swio13_dual_pr_ce_u4 },
 { 200417, ur_m8u2_swio13_dual_pr_ee_ce },
 { 200418, ur_m8u2_swio13_dual_pr_ee_ce_u4 },
 { 200420, ur_m8u2_swio13_dual_ee_hw },
 { 200422, ur_m8u2_swio13_dual_ee_ce_hw },
 { 200423, ur_m8u2_swio13_dual_ee_ce_u4_hw },
 { 200424, ur_m8u2_swio14_noled },
 { 200425, ur_m8u2_swio14_noled },
 { 200426, ur_m8u2_swio14_noled_pr_u4 },
 { 200427, ur_m8u2_swio14_noled_pr_ee },
 { 200428, ur_m8u2_swio14_noled_pr_ee },
 { 200429, ur_m8u2_swio14_noled_pr_ce },
 { 200430, ur_m8u2_swio14_noled_pr_ce },
 { 200431, ur_m8u2_swio14_noled_pr_ee_ce },
 { 200432, ur_m8u2_swio14_noled_pr_ee_ce_u4 },
 { 200434, ur_m8u2_swio14_noled_ee_hw },
 { 200436, ur_m8u2_swio14_noled_ee_ce_hw },
 { 200437, ur_m8u2_swio14_noled_ee_ce_hw },
 { 200438, ur_m8u2_swio14_lednop },
 { 200439, ur_m8u2_swio14_lednop_pr },
 { 200440, ur_m8u2_swio14_lednop_pr },
 { 200441, ur_m8u2_swio14_lednop_pr_ee },
 { 200442, ur_m8u2_swio14_lednop_pr_ee_u4 },
 { 200443, ur_m8u2_swio14_lednop_pr_ce },
 { 200444, ur_m8u2_swio14_lednop_pr_ce },
 { 200445, ur_m8u2_swio14_lednop_pr_ee_ce },
 { 200446, ur_m8u2_swio14_lednop_pr_ee_ce_u4 },
 { 200448, ur_m8u2_swio14_lednop_ee_hw },
 { 200450, ur_m8u2_swio14_lednop_ee_ce_hw },
 { 200451, ur_m8u2_swio14_lednop_ee_ce_hw },
 { 200452, ur_m8u2_swio14_dual },
 { 200453, ur_m8u2_swio14_dual },
 { 200454, ur_m8u2_swio14_dual },
 { 200455, ur_m8u2_swio14_dual_pr_ee },
 { 200456, ur_m8u2_swio14_dual_pr_ee_u4 },
 { 200457, ur_m8u2_swio14_dual_pr_ce },
 { 200458, ur_m8u2_swio14_dual_pr_ce },
 { 200459, ur_m8u2_swio14_dual_pr_ee_ce },
 { 200460, ur_m8u2_swio14_dual_pr_ee_ce_u4 },
 { 200462, ur_m8u2_swio14_dual_ee_hw },
 { 200464, ur_m8u2_swio14_dual_ee_ce_hw },
 { 200465, ur_m8u2_swio14_dual_ee_ce_u4_hw },
 { 200466, ur_m8u2_swio15_noled },
 { 200467, ur_m8u2_swio15_noled },
 { 200468, ur_m8u2_swio15_noled_pr_u4 },
 { 200469, ur_m8u2_swio15_noled_pr_ee },
 { 200470, ur_m8u2_swio15_noled_pr_ee },
 { 200471, ur_m8u2_swio15_noled_pr_ce },
 { 200472, ur_m8u2_swio15_noled_pr_ce },
 { 200473, ur_m8u2_swio15_noled_pr_ee_ce },
 { 200474, ur_m8u2_swio15_noled_pr_ee_ce_u4 },
 { 200476, ur_m8u2_swio15_noled_ee_hw },
 { 200478, ur_m8u2_swio15_noled_ee_ce_hw },
 { 200479, ur_m8u2_swio15_noled_ee_ce_hw },
 { 200480, ur_m8u2_swio15_lednop },
 { 200481, ur_m8u2_swio15_lednop_pr },
 { 200482, ur_m8u2_swio15_lednop_pr },
 { 200483, ur_m8u2_swio15_lednop_pr_ee },
 { 200484, ur_m8u2_swio15_lednop_pr_ee_u4 },
 { 200485, ur_m8u2_swio15_lednop_pr_ce },
 { 200486, ur_m8u2_swio15_lednop_pr_ce },
 { 200487, ur_m8u2_swio15_lednop_pr_ee_ce },
 { 200488, ur_m8u2_swio15_lednop_pr_ee_ce_u4 },
 { 200490, ur_m8u2_swio15_lednop_ee_hw },
 { 200492, ur_m8u2_swio15_lednop_ee_ce_hw },
 { 200493, ur_m8u2_swio15_lednop_ee_ce_hw },
 { 200494, ur_m8u2_swio15_dual },
 { 200495, ur_m8u2_swio15_dual },
 { 200496, ur_m8u2_swio15_dual },
 { 200497, ur_m8u2_swio15_dual_pr_ee },
 { 200498, ur_m8u2_swio15_dual_pr_ee_u4 },
 { 200499, ur_m8u2_swio15_dual_pr_ce },
 { 200500, ur_m8u2_swio15_dual_pr_ce_u4 },
 { 200501, ur_m8u2_swio15_dual_pr_ee_ce },
 { 200502, ur_m8u2_swio15_dual_pr_ee_ce_u4 },
 { 200504, ur_m8u2_swio15_dual_ee_hw },
 { 200506, ur_m8u2_swio15_dual_ee_ce_hw },
 { 200507, ur_m8u2_swio15_dual_ee_ce_u4_hw },
 { 200508, ur_m16u2_autobaud_uart0_noled },
 { 200509, ur_m16u2_autobaud_uart0_noled },
 { 200510, ur_m16u2_autobaud_uart0_noled_pr_u4 },
 { 200511, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 200512, ur_m16u2_autobaud_uart0_noled_pr_ee },
 { 200513, ur_m16u2_autobaud_uart0_noled_pr_ce },
 { 200514, ur_m16u2_autobaud_uart0_noled_pr_ce },
 { 200515, ur_m16u2_autobaud_uart0_noled_pr_ee_ce },
 { 200516, ur_m16u2_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 200518, ur_m164a_autobaud_uart1_noled_ee_hw },
 { 200520, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 200521, ur_m164a_autobaud_uart1_noled_ee_ce_hw },
 { 200522, ur_m16u2_autobaud_uart0_lednop },
 { 200523, ur_m16u2_autobaud_uart0_lednop },
 { 200524, ur_m16u2_autobaud_uart0_lednop_pr_u4 },
 { 200525, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 200526, ur_m16u2_autobaud_uart0_lednop_pr_ee },
 { 200527, ur_m16u2_autobaud_uart0_lednop_pr_ce },
 { 200528, ur_m16u2_autobaud_uart0_lednop_pr_ce },
 { 200529, ur_m16u2_autobaud_uart0_lednop_pr_ee_ce },
 { 200530, ur_m16u2_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 200532, ur_m164a_autobaud_uart1_lednop_ee_hw },
 { 200534, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 200535, ur_m164a_autobaud_uart1_lednop_ee_ce_hw },
 { 200536, ur_m16u2_autobaud_uart0_dual },
 { 200537, ur_m16u2_autobaud_uart0_dual },
 { 200538, ur_m16u2_autobaud_uart0_dual },
 { 200539, ur_m16u2_autobaud_uart0_dual_pr_ee },
 { 200540, ur_m16u2_autobaud_uart0_dual_pr_ee_u4 },
 { 200541, ur_m16u2_autobaud_uart0_dual_pr_ce },
 { 200542, ur_m16u2_autobaud_uart0_dual_pr_ce },
 { 200543, ur_m16u2_autobaud_uart0_dual_pr_ee_ce },
 { 200544, ur_m16u2_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 200546, ur_m16u2_autobaud_uart0_dual_ee_hw },
 { 200548, ur_m16u2_autobaud_uart0_dual_ee_ce_hw },
 { 200549, ur_m16u2_autobaud_uart0_dual_ee_ce_u4_hw },
 { 200718, ur_m16u2_u1x8_uart0_noled },
 { 200719, ur_m16u2_u1x8_uart0_noled },
 { 200720, ur_m16u2_u1x8_uart0_noled_pr_u4 },
 { 200721, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 200722, ur_m16u2_u1x8_uart0_noled_pr_ee },
 { 200723, ur_m16u2_u1x8_uart0_noled_pr_ce },
 { 200724, ur_m16u2_u1x8_uart0_noled_pr_ce_u4 },
 { 200725, ur_m16u2_u1x8_uart0_noled_pr_ee_ce },
 { 200726, ur_m16u2_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 200728, ur_m328pb_u1x8_uart1_noled_ee_hw },
 { 200730, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 200731, ur_m164a_u1x8_uart1_noled_ee_ce_hw },
 { 200732, ur_m16u2_u1x8_uart0_lednop },
 { 200733, ur_m16u2_u1x8_uart0_lednop },
 { 200734, ur_m16u2_u1x8_uart0_lednop_pr_u4 },
 { 200735, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 200736, ur_m16u2_u1x8_uart0_lednop_pr_ee },
 { 200737, ur_m16u2_u1x8_uart0_lednop_pr_ce },
 { 200738, ur_m16u2_u1x8_uart0_lednop_pr_ce },
 { 200739, ur_m16u2_u1x8_uart0_lednop_pr_ee_ce },
 { 200740, ur_m16u2_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 200742, ur_m328pb_u1x8_uart1_lednop_ee_hw },
 { 200744, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 200745, ur_m164a_u1x8_uart1_lednop_ee_ce_hw },
 { 200746, ur_m16u2_u1x8_uart0_dual },
 { 200747, ur_m16u2_u1x8_uart0_dual },
 { 200748, ur_m16u2_u1x8_uart0_dual_pr_u4 },
 { 200749, ur_m16u2_u1x8_uart0_dual_pr_ee },
 { 200750, ur_m16u2_u1x8_uart0_dual_pr_ee },
 { 200751, ur_m16u2_u1x8_uart0_dual_pr_ce },
 { 200752, ur_m16u2_u1x8_uart0_dual_pr_ce },
 { 200753, ur_m16u2_u1x8_uart0_dual_pr_ee_ce },
 { 200754, ur_m16u2_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 200756, ur_m16u2_u1x8_uart0_dual_ee_hw },
 { 200758, ur_m16u2_u1x8_uart0_dual_ee_ce_hw },
 { 200759, ur_m16u2_u1x8_uart0_dual_ee_ce_u4_hw },
 { 200928, ur_m16u2_u1x12_uart0_noled },
 { 200929, ur_m16u2_u1x12_uart0_noled },
 { 200930, ur_m16u2_u1x12_uart0_noled_pr_u4 },
 { 200931, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 200932, ur_m16u2_u1x12_uart0_noled_pr_ee },
 { 200933, ur_m16u2_u1x12_uart0_noled_pr_ce },
 { 200934, ur_m16u2_u1x12_uart0_noled_pr_ce_u4 },
 { 200935, ur_m16u2_u1x12_uart0_noled_pr_ee_ce },
 { 200936, ur_m16u2_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 200938, ur_m328pb_u1x12_uart1_noled_ee_hw },
 { 200940, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 200941, ur_m164a_u1x12_uart1_noled_ee_ce_hw },
 { 200942, ur_m16u2_u1x12_uart0_lednop },
 { 200943, ur_m16u2_u1x12_uart0_lednop },
 { 200944, ur_m16u2_u1x12_uart0_lednop_pr_u4 },
 { 200945, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 200946, ur_m16u2_u1x12_uart0_lednop_pr_ee },
 { 200947, ur_m16u2_u1x12_uart0_lednop_pr_ce },
 { 200948, ur_m16u2_u1x12_uart0_lednop_pr_ce },
 { 200949, ur_m16u2_u1x12_uart0_lednop_pr_ee_ce },
 { 200950, ur_m16u2_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 200952, ur_m328pb_u1x12_uart1_lednop_ee_hw },
 { 200954, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 200955, ur_m164a_u1x12_uart1_lednop_ee_ce_hw },
 { 200956, ur_m16u2_u1x12_uart0_dual },
 { 200957, ur_m16u2_u1x12_uart0_dual_pr },
 { 200958, ur_m16u2_u1x12_uart0_dual_pr_u4 },
 { 200959, ur_m16u2_u1x12_uart0_dual_pr_ee },
 { 200960, ur_m16u2_u1x12_uart0_dual_pr_ee },
 { 200961, ur_m16u2_u1x12_uart0_dual_pr_ce },
 { 200962, ur_m16u2_u1x12_uart0_dual_pr_ce },
 { 200963, ur_m16u2_u1x12_uart0_dual_pr_ee_ce },
 { 200964, ur_m16u2_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 200966, ur_m16u2_u1x12_uart0_dual_ee_hw },
 { 200968, ur_m16u2_u1x12_uart0_dual_ee_ce_hw },
 { 200969, ur_m16u2_u1x12_uart0_dual_ee_ce_u4_hw },
 { 201138, ur_m16u2_u2x8_uart0_noled },
 { 201139, ur_m16u2_u2x8_uart0_noled },
 { 201140, ur_m16u2_u2x8_uart0_noled_pr_u4 },
 { 201141, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 201142, ur_m16u2_u2x8_uart0_noled_pr_ee },
 { 201143, ur_m16u2_u2x8_uart0_noled_pr_ce },
 { 201144, ur_m16u2_u2x8_uart0_noled_pr_ce_u4 },
 { 201145, ur_m16u2_u2x8_uart0_noled_pr_ee_ce },
 { 201146, ur_m16u2_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 201148, ur_m328pb_u2x8_uart1_noled_ee_hw },
 { 201150, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 201151, ur_m164a_u2x8_uart1_noled_ee_ce_hw },
 { 201152, ur_m16u2_u2x8_uart0_lednop },
 { 201153, ur_m16u2_u2x8_uart0_lednop },
 { 201154, ur_m16u2_u2x8_uart0_lednop_pr_u4 },
 { 201155, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 201156, ur_m16u2_u2x8_uart0_lednop_pr_ee },
 { 201157, ur_m16u2_u2x8_uart0_lednop_pr_ce },
 { 201158, ur_m16u2_u2x8_uart0_lednop_pr_ce },
 { 201159, ur_m16u2_u2x8_uart0_lednop_pr_ee_ce },
 { 201160, ur_m16u2_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 201162, ur_m328pb_u2x8_uart1_lednop_ee_hw },
 { 201164, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 201165, ur_m164a_u2x8_uart1_lednop_ee_ce_hw },
 { 201166, ur_m16u2_u2x8_uart0_dual },
 { 201167, ur_m16u2_u2x8_uart0_dual_pr },
 { 201168, ur_m16u2_u2x8_uart0_dual_pr_u4 },
 { 201169, ur_m16u2_u2x8_uart0_dual_pr_ee },
 { 201170, ur_m16u2_u2x8_uart0_dual_pr_ee },
 { 201171, ur_m16u2_u2x8_uart0_dual_pr_ce },
 { 201172, ur_m16u2_u2x8_uart0_dual_pr_ce },
 { 201173, ur_m16u2_u2x8_uart0_dual_pr_ee_ce },
 { 201174, ur_m16u2_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 201176, ur_m16u2_u2x8_uart0_dual_ee_hw },
 { 201178, ur_m16u2_u2x8_uart0_dual_ee_ce_hw },
 { 201179, ur_m16u2_u2x8_uart0_dual_ee_ce_u4_hw },
 { 201348, ur_m16u2_u2x12_uart0_noled },
 { 201349, ur_m16u2_u2x12_uart0_noled },
 { 201350, ur_m16u2_u2x12_uart0_noled_pr_u4 },
 { 201351, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 201352, ur_m16u2_u2x12_uart0_noled_pr_ee },
 { 201353, ur_m16u2_u2x12_uart0_noled_pr_ce },
 { 201354, ur_m16u2_u2x12_uart0_noled_pr_ce },
 { 201355, ur_m16u2_u2x12_uart0_noled_pr_ee_ce },
 { 201356, ur_m16u2_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 201358, ur_m328pb_u2x12_uart1_noled_ee_hw },
 { 201360, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 201361, ur_m164a_u2x12_uart1_noled_ee_ce_hw },
 { 201362, ur_m16u2_u2x12_uart0_lednop },
 { 201363, ur_m16u2_u2x12_uart0_lednop },
 { 201364, ur_m16u2_u2x12_uart0_lednop_pr_u4 },
 { 201365, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 201366, ur_m16u2_u2x12_uart0_lednop_pr_ee },
 { 201367, ur_m16u2_u2x12_uart0_lednop_pr_ce },
 { 201368, ur_m16u2_u2x12_uart0_lednop_pr_ce },
 { 201369, ur_m16u2_u2x12_uart0_lednop_pr_ee_ce },
 { 201370, ur_m16u2_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 201372, ur_m328pb_u2x12_uart1_lednop_ee_hw },
 { 201374, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 201375, ur_m164a_u2x12_uart1_lednop_ee_ce_hw },
 { 201376, ur_m16u2_u2x12_uart0_dual },
 { 201377, ur_m16u2_u2x12_uart0_dual_pr },
 { 201378, ur_m16u2_u2x12_uart0_dual_pr },
 { 201379, ur_m16u2_u2x12_uart0_dual_pr_ee },
 { 201380, ur_m16u2_u2x12_uart0_dual_pr_ee },
 { 201381, ur_m16u2_u2x12_uart0_dual_pr_ce },
 { 201382, ur_m16u2_u2x12_uart0_dual_pr_ce },
 { 201383, ur_m16u2_u2x12_uart0_dual_pr_ee_ce },
 { 201384, ur_m16u2_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 201386, ur_m16u2_u2x12_uart0_dual_ee_hw },
 { 201388, ur_m16u2_u2x12_uart0_dual_ee_ce_hw },
 { 201389, ur_m16u2_u2x12_uart0_dual_ee_ce_u4_hw },
 { 201558, ur_m16u2_swio10_noled },
 { 201559, ur_m16u2_swio10_noled },
 { 201560, ur_m16u2_swio10_noled_pr_u4 },
 { 201561, ur_m16u2_swio10_noled_pr_ee },
 { 201562, ur_m16u2_swio10_noled_pr_ee },
 { 201563, ur_m16u2_swio10_noled_pr_ce },
 { 201564, ur_m16u2_swio10_noled_pr_ce },
 { 201565, ur_m16u2_swio10_noled_pr_ee_ce },
 { 201566, ur_m16u2_swio10_noled_pr_ee_ce_u4 },
 { 201568, ur_m8u2_swio10_noled_ee_hw },
 { 201570, ur_m16u2_swio10_noled_ee_ce_hw },
 { 201571, ur_m16u2_swio10_noled_ee_ce_hw },
 { 201572, ur_m16u2_swio10_lednop },
 { 201573, ur_m16u2_swio10_lednop_pr },
 { 201574, ur_m16u2_swio10_lednop_pr },
 { 201575, ur_m16u2_swio10_lednop_pr_ee },
 { 201576, ur_m16u2_swio10_lednop_pr_ee },
 { 201577, ur_m16u2_swio10_lednop_pr_ce },
 { 201578, ur_m16u2_swio10_lednop_pr_ce },
 { 201579, ur_m16u2_swio10_lednop_pr_ee_ce },
 { 201580, ur_m16u2_swio10_lednop_pr_ee_ce_u4 },
 { 201582, ur_m8u2_swio10_lednop_ee_hw },
 { 201584, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 201585, ur_m16u2_swio10_lednop_ee_ce_hw },
 { 201586, ur_m16u2_swio10_dual },
 { 201587, ur_m16u2_swio10_dual },
 { 201588, ur_m16u2_swio10_dual },
 { 201589, ur_m16u2_swio10_dual_pr_ee },
 { 201590, ur_m16u2_swio10_dual_pr_ee_u4 },
 { 201591, ur_m16u2_swio10_dual_pr_ce },
 { 201592, ur_m16u2_swio10_dual_pr_ce_u4 },
 { 201593, ur_m16u2_swio10_dual_pr_ee_ce },
 { 201594, ur_m16u2_swio10_dual_pr_ee_ce_u4 },
 { 201596, ur_m16u2_swio10_dual_ee_hw },
 { 201598, ur_m16u2_swio10_dual_ee_ce_hw },
 { 201599, ur_m16u2_swio10_dual_ee_ce_u4_hw },
 { 201600, ur_m16u2_swio11_noled },
 { 201601, ur_m16u2_swio11_noled },
 { 201602, ur_m16u2_swio11_noled_pr_u4 },
 { 201603, ur_m16u2_swio11_noled_pr_ee },
 { 201604, ur_m16u2_swio11_noled_pr_ee },
 { 201605, ur_m16u2_swio11_noled_pr_ce },
 { 201606, ur_m16u2_swio11_noled_pr_ce },
 { 201607, ur_m16u2_swio11_noled_pr_ee_ce },
 { 201608, ur_m16u2_swio11_noled_pr_ee_ce_u4 },
 { 201610, ur_m8u2_swio11_noled_ee_hw },
 { 201612, ur_m16u2_swio11_noled_ee_ce_hw },
 { 201613, ur_m16u2_swio11_noled_ee_ce_hw },
 { 201614, ur_m16u2_swio11_lednop },
 { 201615, ur_m16u2_swio11_lednop_pr },
 { 201616, ur_m16u2_swio11_lednop_pr },
 { 201617, ur_m16u2_swio11_lednop_pr_ee },
 { 201618, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 201619, ur_m16u2_swio11_lednop_pr_ce },
 { 201620, ur_m16u2_swio11_lednop_pr_ce },
 { 201621, ur_m16u2_swio11_lednop_pr_ee_ce },
 { 201622, ur_m16u2_swio11_lednop_pr_ee_ce_u4 },
 { 201624, ur_m8u2_swio11_lednop_ee_hw },
 { 201626, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 201627, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 201628, ur_m16u2_swio11_dual },
 { 201629, ur_m16u2_swio11_dual },
 { 201630, ur_m16u2_swio11_dual },
 { 201631, ur_m16u2_swio11_dual_pr_ee },
 { 201632, ur_m16u2_swio11_dual_pr_ee_u4 },
 { 201633, ur_m16u2_swio11_dual_pr_ce },
 { 201634, ur_m16u2_swio11_dual_pr_ce_u4 },
 { 201635, ur_m16u2_swio11_dual_pr_ee_ce },
 { 201636, ur_m16u2_swio11_dual_pr_ee_ce_u4 },
 { 201638, ur_m16u2_swio11_dual_ee_hw },
 { 201640, ur_m16u2_swio11_dual_ee_ce_hw },
 { 201641, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 201642, ur_m16u2_swio11_noled },
 { 201643, ur_m16u2_swio11_noled },
 { 201644, ur_m16u2_swio11_noled_pr_u4 },
 { 201645, ur_m16u2_swio11_noled_pr_ee },
 { 201646, ur_m16u2_swio11_noled_pr_ee },
 { 201647, ur_m16u2_swio11_noled_pr_ce },
 { 201648, ur_m16u2_swio11_noled_pr_ce },
 { 201649, ur_m16u2_swio11_noled_pr_ee_ce },
 { 201650, ur_m16u2_swio11_noled_pr_ee_ce_u4 },
 { 201652, ur_m8u2_swio11_noled_ee_hw },
 { 201654, ur_m16u2_swio11_noled_ee_ce_hw },
 { 201655, ur_m16u2_swio11_noled_ee_ce_hw },
 { 201656, ur_m16u2_swio11_lednop },
 { 201657, ur_m16u2_swio11_lednop_pr },
 { 201658, ur_m16u2_swio11_lednop_pr },
 { 201659, ur_m16u2_swio11_lednop_pr_ee },
 { 201660, ur_m16u2_swio11_lednop_pr_ee_u4 },
 { 201661, ur_m16u2_swio11_lednop_pr_ce },
 { 201662, ur_m16u2_swio11_lednop_pr_ce },
 { 201663, ur_m16u2_swio11_lednop_pr_ee_ce },
 { 201664, ur_m16u2_swio11_lednop_pr_ee_ce_u4 },
 { 201666, ur_m8u2_swio11_lednop_ee_hw },
 { 201668, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 201669, ur_m16u2_swio11_lednop_ee_ce_hw },
 { 201670, ur_m16u2_swio11_dual },
 { 201671, ur_m16u2_swio11_dual },
 { 201672, ur_m16u2_swio11_dual },
 { 201673, ur_m16u2_swio11_dual_pr_ee },
 { 201674, ur_m16u2_swio11_dual_pr_ee_u4 },
 { 201675, ur_m16u2_swio11_dual_pr_ce },
 { 201676, ur_m16u2_swio11_dual_pr_ce_u4 },
 { 201677, ur_m16u2_swio11_dual_pr_ee_ce },
 { 201678, ur_m16u2_swio11_dual_pr_ee_ce_u4 },
 { 201680, ur_m16u2_swio11_dual_ee_hw },
 { 201682, ur_m16u2_swio11_dual_ee_ce_hw },
 { 201683, ur_m16u2_swio11_dual_ee_ce_u4_hw },
 { 201684, ur_m16u2_swio13_noled },
 { 201685, ur_m16u2_swio13_noled },
 { 201686, ur_m16u2_swio13_noled_pr_u4 },
 { 201687, ur_m16u2_swio13_noled_pr_ee },
 { 201688, ur_m16u2_swio13_noled_pr_ee },
 { 201689, ur_m16u2_swio13_noled_pr_ce },
 { 201690, ur_m16u2_swio13_noled_pr_ce },
 { 201691, ur_m16u2_swio13_noled_pr_ee_ce },
 { 201692, ur_m16u2_swio13_noled_pr_ee_ce_u4 },
 { 201694, ur_m8u2_swio13_noled_ee_hw },
 { 201696, ur_m16u2_swio13_noled_ee_ce_hw },
 { 201697, ur_m16u2_swio13_noled_ee_ce_hw },
 { 201698, ur_m16u2_swio13_lednop },
 { 201699, ur_m16u2_swio13_lednop_pr },
 { 201700, ur_m16u2_swio13_lednop_pr },
 { 201701, ur_m16u2_swio13_lednop_pr_ee },
 { 201702, ur_m16u2_swio13_lednop_pr_ee_u4 },
 { 201703, ur_m16u2_swio13_lednop_pr_ce },
 { 201704, ur_m16u2_swio13_lednop_pr_ce },
 { 201705, ur_m16u2_swio13_lednop_pr_ee_ce },
 { 201706, ur_m16u2_swio13_lednop_pr_ee_ce_u4 },
 { 201708, ur_m8u2_swio13_lednop_ee_hw },
 { 201710, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 201711, ur_m16u2_swio13_lednop_ee_ce_hw },
 { 201712, ur_m16u2_swio13_dual },
 { 201713, ur_m16u2_swio13_dual },
 { 201714, ur_m16u2_swio13_dual },
 { 201715, ur_m16u2_swio13_dual_pr_ee },
 { 201716, ur_m16u2_swio13_dual_pr_ee_u4 },
 { 201717, ur_m16u2_swio13_dual_pr_ce },
 { 201718, ur_m16u2_swio13_dual_pr_ce_u4 },
 { 201719, ur_m16u2_swio13_dual_pr_ee_ce },
 { 201720, ur_m16u2_swio13_dual_pr_ee_ce_u4 },
 { 201722, ur_m16u2_swio13_dual_ee_hw },
 { 201724, ur_m16u2_swio13_dual_ee_ce_hw },
 { 201725, ur_m16u2_swio13_dual_ee_ce_u4_hw },
 { 201726, ur_m16u2_swio14_noled },
 { 201727, ur_m16u2_swio14_noled },
 { 201728, ur_m16u2_swio14_noled_pr_u4 },
 { 201729, ur_m16u2_swio14_noled_pr_ee },
 { 201730, ur_m16u2_swio14_noled_pr_ee },
 { 201731, ur_m16u2_swio14_noled_pr_ce },
 { 201732, ur_m16u2_swio14_noled_pr_ce },
 { 201733, ur_m16u2_swio14_noled_pr_ee_ce },
 { 201734, ur_m16u2_swio14_noled_pr_ee_ce_u4 },
 { 201736, ur_m8u2_swio14_noled_ee_hw },
 { 201738, ur_m16u2_swio14_noled_ee_ce_hw },
 { 201739, ur_m16u2_swio14_noled_ee_ce_hw },
 { 201740, ur_m16u2_swio14_lednop },
 { 201741, ur_m16u2_swio14_lednop_pr },
 { 201742, ur_m16u2_swio14_lednop_pr },
 { 201743, ur_m16u2_swio14_lednop_pr_ee },
 { 201744, ur_m16u2_swio14_lednop_pr_ee_u4 },
 { 201745, ur_m16u2_swio14_lednop_pr_ce },
 { 201746, ur_m16u2_swio14_lednop_pr_ce },
 { 201747, ur_m16u2_swio14_lednop_pr_ee_ce },
 { 201748, ur_m16u2_swio14_lednop_pr_ee_ce_u4 },
 { 201750, ur_m8u2_swio14_lednop_ee_hw },
 { 201752, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 201753, ur_m16u2_swio14_lednop_ee_ce_hw },
 { 201754, ur_m16u2_swio14_dual },
 { 201755, ur_m16u2_swio14_dual },
 { 201756, ur_m16u2_swio14_dual },
 { 201757, ur_m16u2_swio14_dual_pr_ee },
 { 201758, ur_m16u2_swio14_dual_pr_ee_u4 },
 { 201759, ur_m16u2_swio14_dual_pr_ce },
 { 201760, ur_m16u2_swio14_dual_pr_ce_u4 },
 { 201761, ur_m16u2_swio14_dual_pr_ee_ce },
 { 201762, ur_m16u2_swio14_dual_pr_ee_ce_u4 },
 { 201764, ur_m16u2_swio14_dual_ee_hw },
 { 201766, ur_m16u2_swio14_dual_ee_ce_hw },
 { 201767, ur_m16u2_swio14_dual_ee_ce_u4_hw },
 { 201768, ur_m16u2_swio15_noled },
 { 201769, ur_m16u2_swio15_noled },
 { 201770, ur_m16u2_swio15_noled_pr_u4 },
 { 201771, ur_m16u2_swio15_noled_pr_ee },
 { 201772, ur_m16u2_swio15_noled_pr_ee },
 { 201773, ur_m16u2_swio15_noled_pr_ce },
 { 201774, ur_m16u2_swio15_noled_pr_ce },
 { 201775, ur_m16u2_swio15_noled_pr_ee_ce },
 { 201776, ur_m16u2_swio15_noled_pr_ee_ce_u4 },
 { 201778, ur_m8u2_swio15_noled_ee_hw },
 { 201780, ur_m16u2_swio15_noled_ee_ce_hw },
 { 201781, ur_m16u2_swio15_noled_ee_ce_hw },
 { 201782, ur_m16u2_swio15_lednop },
 { 201783, ur_m16u2_swio15_lednop_pr },
 { 201784, ur_m16u2_swio15_lednop_pr },
 { 201785, ur_m16u2_swio15_lednop_pr_ee },
 { 201786, ur_m16u2_swio15_lednop_pr_ee_u4 },
 { 201787, ur_m16u2_swio15_lednop_pr_ce },
 { 201788, ur_m16u2_swio15_lednop_pr_ce },
 { 201789, ur_m16u2_swio15_lednop_pr_ee_ce },
 { 201790, ur_m16u2_swio15_lednop_pr_ee_ce_u4 },
 { 201792, ur_m8u2_swio15_lednop_ee_hw },
 { 201794, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 201795, ur_m16u2_swio15_lednop_ee_ce_hw },
 { 201796, ur_m16u2_swio15_dual },
 { 201797, ur_m16u2_swio15_dual },
 { 201798, ur_m16u2_swio15_dual },
 { 201799, ur_m16u2_swio15_dual_pr_ee },
 { 201800, ur_m16u2_swio15_dual_pr_ee_u4 },
 { 201801, ur_m16u2_swio15_dual_pr_ce },
 { 201802, ur_m16u2_swio15_dual_pr_ce_u4 },
 { 201803, ur_m16u2_swio15_dual_pr_ee_ce },
 { 201804, ur_m16u2_swio15_dual_pr_ee_ce_u4 },
 { 201806, ur_m16u2_swio15_dual_ee_hw },
 { 201808, ur_m16u2_swio15_dual_ee_ce_hw },
 { 201809, ur_m16u2_swio15_dual_ee_ce_u4_hw },
 { 201810, ur_usb646_autobaud_uart0_noled },
 { 201811, ur_usb646_autobaud_uart0_noled },
 { 201812, ur_usb646_autobaud_uart0_noled_pr_u4 },
 { 201813, ur_usb646_autobaud_uart0_noled_pr_ee },
 { 201814, ur_usb646_autobaud_uart0_noled_pr_ee },
 { 201815, ur_usb646_autobaud_uart0_noled_pr_ce },
 { 201816, ur_usb646_autobaud_uart0_noled_pr_ce },
 { 201817, ur_usb646_autobaud_uart0_noled_pr_ee_ce },
 { 201818, ur_usb646_autobaud_uart0_noled_pr_ee_ce },
 { 201820, ur_m644a_autobaud_uart1_noled_ee_hw },
 { 201822, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 { 201823, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 { 201824, ur_usb646_autobaud_uart0_lednop },
 { 201825, ur_usb646_autobaud_uart0_lednop },
 { 201826, ur_usb646_autobaud_uart0_lednop_pr_u4 },
 { 201827, ur_usb646_autobaud_uart0_lednop_pr_ee },
 { 201828, ur_usb646_autobaud_uart0_lednop_pr_ee },
 { 201829, ur_usb646_autobaud_uart0_lednop_pr_ce },
 { 201830, ur_usb646_autobaud_uart0_lednop_pr_ce },
 { 201831, ur_usb646_autobaud_uart0_lednop_pr_ee_ce },
 { 201832, ur_usb646_autobaud_uart0_lednop_pr_ee_ce },
 { 201834, ur_m644a_autobaud_uart1_lednop_ee_hw },
 { 201836, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 { 201837, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 { 201838, ur_usb646_autobaud_uart0_dual },
 { 201839, ur_usb646_autobaud_uart0_dual },
 { 201840, ur_usb646_autobaud_uart0_dual },
 { 201841, ur_usb646_autobaud_uart0_dual_pr_ee },
 { 201842, ur_usb646_autobaud_uart0_dual_pr_ee },
 { 201843, ur_usb646_autobaud_uart0_dual_pr_ce },
 { 201844, ur_usb646_autobaud_uart0_dual_pr_ce },
 { 201845, ur_usb646_autobaud_uart0_dual_pr_ee_ce },
 { 201846, ur_usb646_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 201848, ur_usb646_autobaud_uart0_dual_ee_hw },
 { 201850, ur_usb646_autobaud_uart0_dual_ee_ce_hw },
 { 201851, ur_usb646_autobaud_uart0_dual_ee_ce_hw },
 { 202020, ur_usb646_u1x8_uart0_noled },
 { 202021, ur_usb646_u1x8_uart0_noled },
 { 202022, ur_usb646_u1x8_uart0_noled_pr_u4 },
 { 202023, ur_usb646_u1x8_uart0_noled_pr_ee },
 { 202024, ur_usb646_u1x8_uart0_noled_pr_ee },
 { 202025, ur_usb646_u1x8_uart0_noled_pr_ce },
 { 202026, ur_usb646_u1x8_uart0_noled_pr_ce_u4 },
 { 202027, ur_usb646_u1x8_uart0_noled_pr_ee_ce },
 { 202028, ur_usb646_u1x8_uart0_noled_pr_ee_ce },
 { 202030, ur_m644a_u1x8_uart1_noled_ee_hw },
 { 202032, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 { 202033, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 { 202034, ur_usb646_u1x8_uart0_lednop },
 { 202035, ur_usb646_u1x8_uart0_lednop },
 { 202036, ur_usb646_u1x8_uart0_lednop_pr_u4 },
 { 202037, ur_usb646_u1x8_uart0_lednop_pr_ee },
 { 202038, ur_usb646_u1x8_uart0_lednop_pr_ee },
 { 202039, ur_usb646_u1x8_uart0_lednop_pr_ce },
 { 202040, ur_usb646_u1x8_uart0_lednop_pr_ce_u4 },
 { 202041, ur_usb646_u1x8_uart0_lednop_pr_ee_ce },
 { 202042, ur_usb646_u1x8_uart0_lednop_pr_ee_ce },
 { 202044, ur_m644a_u1x8_uart1_lednop_ee_hw },
 { 202046, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 { 202047, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 { 202048, ur_usb646_u1x8_uart0_dual },
 { 202049, ur_usb646_u1x8_uart0_dual },
 { 202050, ur_usb646_u1x8_uart0_dual },
 { 202051, ur_usb646_u1x8_uart0_dual_pr_ee },
 { 202052, ur_usb646_u1x8_uart0_dual_pr_ee },
 { 202053, ur_usb646_u1x8_uart0_dual_pr_ce },
 { 202054, ur_usb646_u1x8_uart0_dual_pr_ce },
 { 202055, ur_usb646_u1x8_uart0_dual_pr_ee_ce },
 { 202056, ur_usb646_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 202058, ur_usb646_u1x8_uart0_dual_ee_hw },
 { 202060, ur_usb646_u1x8_uart0_dual_ee_ce_hw },
 { 202061, ur_usb646_u1x8_uart0_dual_ee_ce_hw },
 { 202230, ur_usb646_u1x12_uart0_noled },
 { 202231, ur_usb646_u1x12_uart0_noled },
 { 202232, ur_usb646_u1x12_uart0_noled_pr_u4 },
 { 202233, ur_usb646_u1x12_uart0_noled_pr_ee },
 { 202234, ur_usb646_u1x12_uart0_noled_pr_ee },
 { 202235, ur_usb646_u1x12_uart0_noled_pr_ce },
 { 202236, ur_usb646_u1x12_uart0_noled_pr_ce_u4 },
 { 202237, ur_usb646_u1x12_uart0_noled_pr_ee_ce },
 { 202238, ur_usb646_u1x12_uart0_noled_pr_ee_ce },
 { 202240, ur_m644a_u1x12_uart1_noled_ee_hw },
 { 202242, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 { 202243, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 { 202244, ur_usb646_u1x12_uart0_lednop },
 { 202245, ur_usb646_u1x12_uart0_lednop },
 { 202246, ur_usb646_u1x12_uart0_lednop_pr_u4 },
 { 202247, ur_usb646_u1x12_uart0_lednop_pr_ee },
 { 202248, ur_usb646_u1x12_uart0_lednop_pr_ee },
 { 202249, ur_usb646_u1x12_uart0_lednop_pr_ce },
 { 202250, ur_usb646_u1x12_uart0_lednop_pr_ce },
 { 202251, ur_usb646_u1x12_uart0_lednop_pr_ee_ce },
 { 202252, ur_usb646_u1x12_uart0_lednop_pr_ee_ce },
 { 202254, ur_m644a_u1x12_uart1_lednop_ee_hw },
 { 202256, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 { 202257, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 { 202258, ur_usb646_u1x12_uart0_dual },
 { 202259, ur_usb646_u1x12_uart0_dual },
 { 202260, ur_usb646_u1x12_uart0_dual },
 { 202261, ur_usb646_u1x12_uart0_dual_pr_ee },
 { 202262, ur_usb646_u1x12_uart0_dual_pr_ee },
 { 202263, ur_usb646_u1x12_uart0_dual_pr_ce },
 { 202264, ur_usb646_u1x12_uart0_dual_pr_ce },
 { 202265, ur_usb646_u1x12_uart0_dual_pr_ee_ce },
 { 202266, ur_usb646_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 202268, ur_usb646_u1x12_uart0_dual_ee_hw },
 { 202270, ur_usb646_u1x12_uart0_dual_ee_ce_hw },
 { 202271, ur_usb646_u1x12_uart0_dual_ee_ce_hw },
 { 202440, ur_usb646_u2x8_uart0_noled },
 { 202441, ur_usb646_u2x8_uart0_noled },
 { 202442, ur_usb646_u2x8_uart0_noled_pr_u4 },
 { 202443, ur_usb646_u2x8_uart0_noled_pr_ee },
 { 202444, ur_usb646_u2x8_uart0_noled_pr_ee },
 { 202445, ur_usb646_u2x8_uart0_noled_pr_ce },
 { 202446, ur_usb646_u2x8_uart0_noled_pr_ce_u4 },
 { 202447, ur_usb646_u2x8_uart0_noled_pr_ee_ce },
 { 202448, ur_usb646_u2x8_uart0_noled_pr_ee_ce },
 { 202450, ur_m644a_u2x8_uart1_noled_ee_hw },
 { 202452, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 { 202453, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 { 202454, ur_usb646_u2x8_uart0_lednop },
 { 202455, ur_usb646_u2x8_uart0_lednop },
 { 202456, ur_usb646_u2x8_uart0_lednop_pr_u4 },
 { 202457, ur_usb646_u2x8_uart0_lednop_pr_ee },
 { 202458, ur_usb646_u2x8_uart0_lednop_pr_ee },
 { 202459, ur_usb646_u2x8_uart0_lednop_pr_ce },
 { 202460, ur_usb646_u2x8_uart0_lednop_pr_ce },
 { 202461, ur_usb646_u2x8_uart0_lednop_pr_ee_ce },
 { 202462, ur_usb646_u2x8_uart0_lednop_pr_ee_ce },
 { 202464, ur_m644a_u2x8_uart1_lednop_ee_hw },
 { 202466, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 { 202467, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 { 202468, ur_usb646_u2x8_uart0_dual },
 { 202469, ur_usb646_u2x8_uart0_dual },
 { 202470, ur_usb646_u2x8_uart0_dual },
 { 202471, ur_usb646_u2x8_uart0_dual_pr_ee },
 { 202472, ur_usb646_u2x8_uart0_dual_pr_ee },
 { 202473, ur_usb646_u2x8_uart0_dual_pr_ce },
 { 202474, ur_usb646_u2x8_uart0_dual_pr_ce },
 { 202475, ur_usb646_u2x8_uart0_dual_pr_ee_ce },
 { 202476, ur_usb646_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 202478, ur_usb646_u2x8_uart0_dual_ee_hw },
 { 202480, ur_usb646_u2x8_uart0_dual_ee_ce_hw },
 { 202481, ur_usb646_u2x8_uart0_dual_ee_ce_hw },
 { 202650, ur_usb646_u2x12_uart0_noled },
 { 202651, ur_usb646_u2x12_uart0_noled },
 { 202652, ur_usb646_u2x12_uart0_noled_pr_u4 },
 { 202653, ur_usb646_u2x12_uart0_noled_pr_ee },
 { 202654, ur_usb646_u2x12_uart0_noled_pr_ee },
 { 202655, ur_usb646_u2x12_uart0_noled_pr_ce },
 { 202656, ur_usb646_u2x12_uart0_noled_pr_ce_u4 },
 { 202657, ur_usb646_u2x12_uart0_noled_pr_ee_ce },
 { 202658, ur_usb646_u2x12_uart0_noled_pr_ee_ce },
 { 202660, ur_m644a_u2x12_uart1_noled_ee_hw },
 { 202662, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 { 202663, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 { 202664, ur_usb646_u2x12_uart0_lednop },
 { 202665, ur_usb646_u2x12_uart0_lednop },
 { 202666, ur_usb646_u2x12_uart0_lednop_pr_u4 },
 { 202667, ur_usb646_u2x12_uart0_lednop_pr_ee },
 { 202668, ur_usb646_u2x12_uart0_lednop_pr_ee },
 { 202669, ur_usb646_u2x12_uart0_lednop_pr_ce },
 { 202670, ur_usb646_u2x12_uart0_lednop_pr_ce },
 { 202671, ur_usb646_u2x12_uart0_lednop_pr_ee_ce },
 { 202672, ur_usb646_u2x12_uart0_lednop_pr_ee_ce },
 { 202674, ur_m644a_u2x12_uart1_lednop_ee_hw },
 { 202676, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 { 202677, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 { 202678, ur_usb646_u2x12_uart0_dual },
 { 202679, ur_usb646_u2x12_uart0_dual },
 { 202680, ur_usb646_u2x12_uart0_dual },
 { 202681, ur_usb646_u2x12_uart0_dual_pr_ee },
 { 202682, ur_usb646_u2x12_uart0_dual_pr_ee },
 { 202683, ur_usb646_u2x12_uart0_dual_pr_ce },
 { 202684, ur_usb646_u2x12_uart0_dual_pr_ce },
 { 202685, ur_usb646_u2x12_uart0_dual_pr_ee_ce },
 { 202686, ur_usb646_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 202688, ur_usb646_u2x12_uart0_dual_ee_hw },
 { 202690, ur_usb646_u2x12_uart0_dual_ee_ce_hw },
 { 202691, ur_usb646_u2x12_uart0_dual_ee_ce_hw },
 { 202860, ur_usb646_swio10_noled },
 { 202861, ur_usb646_swio10_noled },
 { 202862, ur_usb646_swio10_noled_pr_u4 },
 { 202863, ur_usb646_swio10_noled_pr_ee },
 { 202864, ur_usb646_swio10_noled_pr_ee },
 { 202865, ur_usb646_swio10_noled_pr_ce },
 { 202866, ur_usb646_swio10_noled_pr_ce },
 { 202867, ur_usb646_swio10_noled_pr_ee_ce },
 { 202868, ur_usb646_swio10_noled_pr_ee_ce },
 { 202870, ur_usb646_swio10_noled_ee_hw },
 { 202872, ur_usb646_swio10_noled_ee_ce_hw },
 { 202873, ur_usb646_swio10_noled_ee_ce_hw },
 { 202874, ur_usb646_swio10_lednop },
 { 202875, ur_usb646_swio10_lednop },
 { 202876, ur_usb646_swio10_lednop_pr_u4 },
 { 202877, ur_usb646_swio10_lednop_pr_ee },
 { 202878, ur_usb646_swio10_lednop_pr_ee },
 { 202879, ur_usb646_swio10_lednop_pr_ce },
 { 202880, ur_usb646_swio10_lednop_pr_ce },
 { 202881, ur_usb646_swio10_lednop_pr_ee_ce },
 { 202882, ur_usb646_swio10_lednop_pr_ee_ce },
 { 202884, ur_usb646_swio10_lednop_ee_hw },
 { 202886, ur_usb646_swio10_lednop_ee_ce_hw },
 { 202887, ur_usb646_swio10_lednop_ee_ce_hw },
 { 202888, ur_usb646_swio10_dual },
 { 202889, ur_usb646_swio10_dual },
 { 202890, ur_usb646_swio10_dual },
 { 202891, ur_usb646_swio10_dual_pr_ee },
 { 202892, ur_usb646_swio10_dual_pr_ee_u4 },
 { 202893, ur_usb646_swio10_dual_pr_ce },
 { 202894, ur_usb646_swio10_dual_pr_ce },
 { 202895, ur_usb646_swio10_dual_pr_ee_ce },
 { 202896, ur_usb646_swio10_dual_pr_ee_ce_u4 },
 { 202898, ur_usb646_swio10_dual_ee_hw },
 { 202900, ur_usb646_swio10_dual_ee_ce_hw },
 { 202901, ur_usb646_swio10_dual_ee_ce_hw },
 { 202902, ur_usb646_swio11_noled },
 { 202903, ur_usb646_swio11_noled },
 { 202904, ur_usb646_swio11_noled_pr_u4 },
 { 202905, ur_usb646_swio11_noled_pr_ee },
 { 202906, ur_usb646_swio11_noled_pr_ee },
 { 202907, ur_usb646_swio11_noled_pr_ce },
 { 202908, ur_usb646_swio11_noled_pr_ce },
 { 202909, ur_usb646_swio11_noled_pr_ee_ce },
 { 202910, ur_usb646_swio11_noled_pr_ee_ce },
 { 202912, ur_usb646_swio11_noled_ee_hw },
 { 202914, ur_usb646_swio11_noled_ee_ce_hw },
 { 202915, ur_usb646_swio11_noled_ee_ce_hw },
 { 202916, ur_usb646_swio11_lednop },
 { 202917, ur_usb646_swio11_lednop_pr },
 { 202918, ur_usb646_swio11_lednop_pr },
 { 202919, ur_usb646_swio11_lednop_pr_ee },
 { 202920, ur_usb646_swio11_lednop_pr_ee },
 { 202921, ur_usb646_swio11_lednop_pr_ce },
 { 202922, ur_usb646_swio11_lednop_pr_ce },
 { 202923, ur_usb646_swio11_lednop_pr_ee_ce },
 { 202924, ur_usb646_swio11_lednop_pr_ee_ce },
 { 202926, ur_usb646_swio11_lednop_ee_hw },
 { 202928, ur_usb646_swio11_lednop_ee_ce_hw },
 { 202929, ur_usb646_swio11_lednop_ee_ce_hw },
 { 202930, ur_usb646_swio11_dual },
 { 202931, ur_usb646_swio11_dual },
 { 202932, ur_usb646_swio11_dual },
 { 202933, ur_usb646_swio11_dual_pr_ee },
 { 202934, ur_usb646_swio11_dual_pr_ee_u4 },
 { 202935, ur_usb646_swio11_dual_pr_ce },
 { 202936, ur_usb646_swio11_dual_pr_ce },
 { 202937, ur_usb646_swio11_dual_pr_ee_ce },
 { 202938, ur_usb646_swio11_dual_pr_ee_ce_u4 },
 { 202940, ur_usb646_swio11_dual_ee_hw },
 { 202942, ur_usb646_swio11_dual_ee_ce_hw },
 { 202943, ur_usb646_swio11_dual_ee_ce_hw },
 { 202944, ur_usb646_swio11_noled },
 { 202945, ur_usb646_swio11_noled },
 { 202946, ur_usb646_swio11_noled_pr_u4 },
 { 202947, ur_usb646_swio11_noled_pr_ee },
 { 202948, ur_usb646_swio11_noled_pr_ee },
 { 202949, ur_usb646_swio11_noled_pr_ce },
 { 202950, ur_usb646_swio11_noled_pr_ce },
 { 202951, ur_usb646_swio11_noled_pr_ee_ce },
 { 202952, ur_usb646_swio11_noled_pr_ee_ce },
 { 202954, ur_usb646_swio11_noled_ee_hw },
 { 202956, ur_usb646_swio11_noled_ee_ce_hw },
 { 202957, ur_usb646_swio11_noled_ee_ce_hw },
 { 202958, ur_usb646_swio11_lednop },
 { 202959, ur_usb646_swio11_lednop_pr },
 { 202960, ur_usb646_swio11_lednop_pr },
 { 202961, ur_usb646_swio11_lednop_pr_ee },
 { 202962, ur_usb646_swio11_lednop_pr_ee },
 { 202963, ur_usb646_swio11_lednop_pr_ce },
 { 202964, ur_usb646_swio11_lednop_pr_ce },
 { 202965, ur_usb646_swio11_lednop_pr_ee_ce },
 { 202966, ur_usb646_swio11_lednop_pr_ee_ce },
 { 202968, ur_usb646_swio11_lednop_ee_hw },
 { 202970, ur_usb646_swio11_lednop_ee_ce_hw },
 { 202971, ur_usb646_swio11_lednop_ee_ce_hw },
 { 202972, ur_usb646_swio11_dual },
 { 202973, ur_usb646_swio11_dual },
 { 202974, ur_usb646_swio11_dual },
 { 202975, ur_usb646_swio11_dual_pr_ee },
 { 202976, ur_usb646_swio11_dual_pr_ee_u4 },
 { 202977, ur_usb646_swio11_dual_pr_ce },
 { 202978, ur_usb646_swio11_dual_pr_ce },
 { 202979, ur_usb646_swio11_dual_pr_ee_ce },
 { 202980, ur_usb646_swio11_dual_pr_ee_ce_u4 },
 { 202982, ur_usb646_swio11_dual_ee_hw },
 { 202984, ur_usb646_swio11_dual_ee_ce_hw },
 { 202985, ur_usb646_swio11_dual_ee_ce_hw },
 { 202986, ur_usb646_swio13_noled },
 { 202987, ur_usb646_swio13_noled },
 { 202988, ur_usb646_swio13_noled_pr_u4 },
 { 202989, ur_usb646_swio13_noled_pr_ee },
 { 202990, ur_usb646_swio13_noled_pr_ee },
 { 202991, ur_usb646_swio13_noled_pr_ce },
 { 202992, ur_usb646_swio13_noled_pr_ce },
 { 202993, ur_usb646_swio13_noled_pr_ee_ce },
 { 202994, ur_usb646_swio13_noled_pr_ee_ce },
 { 202996, ur_usb646_swio13_noled_ee_hw },
 { 202998, ur_usb646_swio13_noled_ee_ce_hw },
 { 202999, ur_usb646_swio13_noled_ee_ce_hw },
 { 203000, ur_usb646_swio13_lednop },
 { 203001, ur_usb646_swio13_lednop_pr },
 { 203002, ur_usb646_swio13_lednop_pr },
 { 203003, ur_usb646_swio13_lednop_pr_ee },
 { 203004, ur_usb646_swio13_lednop_pr_ee },
 { 203005, ur_usb646_swio13_lednop_pr_ce },
 { 203006, ur_usb646_swio13_lednop_pr_ce },
 { 203007, ur_usb646_swio13_lednop_pr_ee_ce },
 { 203008, ur_usb646_swio13_lednop_pr_ee_ce },
 { 203010, ur_usb646_swio13_lednop_ee_hw },
 { 203012, ur_usb646_swio13_lednop_ee_ce_hw },
 { 203013, ur_usb646_swio13_lednop_ee_ce_hw },
 { 203014, ur_usb646_swio13_dual },
 { 203015, ur_usb646_swio13_dual },
 { 203016, ur_usb646_swio13_dual },
 { 203017, ur_usb646_swio13_dual_pr_ee },
 { 203018, ur_usb646_swio13_dual_pr_ee_u4 },
 { 203019, ur_usb646_swio13_dual_pr_ce },
 { 203020, ur_usb646_swio13_dual_pr_ce },
 { 203021, ur_usb646_swio13_dual_pr_ee_ce },
 { 203022, ur_usb646_swio13_dual_pr_ee_ce_u4 },
 { 203024, ur_usb646_swio13_dual_ee_hw },
 { 203026, ur_usb646_swio13_dual_ee_ce_hw },
 { 203027, ur_usb646_swio13_dual_ee_ce_hw },
 { 203028, ur_usb646_swio14_noled },
 { 203029, ur_usb646_swio14_noled },
 { 203030, ur_usb646_swio14_noled_pr_u4 },
 { 203031, ur_usb646_swio14_noled_pr_ee },
 { 203032, ur_usb646_swio14_noled_pr_ee },
 { 203033, ur_usb646_swio14_noled_pr_ce },
 { 203034, ur_usb646_swio14_noled_pr_ce },
 { 203035, ur_usb646_swio14_noled_pr_ee_ce },
 { 203036, ur_usb646_swio14_noled_pr_ee_ce },
 { 203038, ur_usb646_swio14_noled_ee_hw },
 { 203040, ur_usb646_swio14_noled_ee_ce_hw },
 { 203041, ur_usb646_swio14_noled_ee_ce_hw },
 { 203042, ur_usb646_swio14_lednop },
 { 203043, ur_usb646_swio14_lednop_pr },
 { 203044, ur_usb646_swio14_lednop_pr },
 { 203045, ur_usb646_swio14_lednop_pr_ee },
 { 203046, ur_usb646_swio14_lednop_pr_ee },
 { 203047, ur_usb646_swio14_lednop_pr_ce },
 { 203048, ur_usb646_swio14_lednop_pr_ce },
 { 203049, ur_usb646_swio14_lednop_pr_ee_ce },
 { 203050, ur_usb646_swio14_lednop_pr_ee_ce },
 { 203052, ur_usb646_swio14_lednop_ee_hw },
 { 203054, ur_usb646_swio14_lednop_ee_ce_hw },
 { 203055, ur_usb646_swio14_lednop_ee_ce_hw },
 { 203056, ur_usb646_swio14_dual },
 { 203057, ur_usb646_swio14_dual },
 { 203058, ur_usb646_swio14_dual },
 { 203059, ur_usb646_swio14_dual_pr_ee },
 { 203060, ur_usb646_swio14_dual_pr_ee_u4 },
 { 203061, ur_usb646_swio14_dual_pr_ce },
 { 203062, ur_usb646_swio14_dual_pr_ce },
 { 203063, ur_usb646_swio14_dual_pr_ee_ce },
 { 203064, ur_usb646_swio14_dual_pr_ee_ce_u4 },
 { 203066, ur_usb646_swio14_dual_ee_hw },
 { 203068, ur_usb646_swio14_dual_ee_ce_hw },
 { 203069, ur_usb646_swio14_dual_ee_ce_hw },
 { 203070, ur_usb646_swio15_noled },
 { 203071, ur_usb646_swio15_noled },
 { 203072, ur_usb646_swio15_noled_pr_u4 },
 { 203073, ur_usb646_swio15_noled_pr_ee },
 { 203074, ur_usb646_swio15_noled_pr_ee },
 { 203075, ur_usb646_swio15_noled_pr_ce },
 { 203076, ur_usb646_swio15_noled_pr_ce },
 { 203077, ur_usb646_swio15_noled_pr_ee_ce },
 { 203078, ur_usb646_swio15_noled_pr_ee_ce },
 { 203080, ur_usb646_swio15_noled_ee_hw },
 { 203082, ur_usb646_swio15_noled_ee_ce_hw },
 { 203083, ur_usb646_swio15_noled_ee_ce_hw },
 { 203084, ur_usb646_swio15_lednop },
 { 203085, ur_usb646_swio15_lednop_pr },
 { 203086, ur_usb646_swio15_lednop_pr },
 { 203087, ur_usb646_swio15_lednop_pr_ee },
 { 203088, ur_usb646_swio15_lednop_pr_ee },
 { 203089, ur_usb646_swio15_lednop_pr_ce },
 { 203090, ur_usb646_swio15_lednop_pr_ce },
 { 203091, ur_usb646_swio15_lednop_pr_ee_ce },
 { 203092, ur_usb646_swio15_lednop_pr_ee_ce },
 { 203094, ur_usb646_swio15_lednop_ee_hw },
 { 203096, ur_usb646_swio15_lednop_ee_ce_hw },
 { 203097, ur_usb646_swio15_lednop_ee_ce_hw },
 { 203098, ur_usb646_swio15_dual },
 { 203099, ur_usb646_swio15_dual },
 { 203100, ur_usb646_swio15_dual },
 { 203101, ur_usb646_swio15_dual_pr_ee },
 { 203102, ur_usb646_swio15_dual_pr_ee_u4 },
 { 203103, ur_usb646_swio15_dual_pr_ce },
 { 203104, ur_usb646_swio15_dual_pr_ce },
 { 203105, ur_usb646_swio15_dual_pr_ee_ce },
 { 203106, ur_usb646_swio15_dual_pr_ee_ce_u4 },
 { 203108, ur_usb646_swio15_dual_ee_hw },
 { 203110, ur_usb646_swio15_dual_ee_ce_hw },
 { 203111, ur_usb646_swio15_dual_ee_ce_hw },
 { 203112, ur_usb646_autobaud_uart0_noled },
 { 203113, ur_usb646_autobaud_uart0_noled },
 { 203114, ur_usb646_autobaud_uart0_noled_pr_u4 },
 { 203115, ur_usb646_autobaud_uart0_noled_pr_ee },
 { 203116, ur_usb646_autobaud_uart0_noled_pr_ee },
 { 203117, ur_usb646_autobaud_uart0_noled_pr_ce },
 { 203118, ur_usb646_autobaud_uart0_noled_pr_ce },
 { 203119, ur_usb646_autobaud_uart0_noled_pr_ee_ce },
 { 203120, ur_usb646_autobaud_uart0_noled_pr_ee_ce },
 { 203122, ur_m644a_autobaud_uart1_noled_ee_hw },
 { 203124, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 { 203125, ur_m644a_autobaud_uart1_noled_ee_ce_hw },
 { 203126, ur_usb646_autobaud_uart0_lednop },
 { 203127, ur_usb646_autobaud_uart0_lednop },
 { 203128, ur_usb646_autobaud_uart0_lednop_pr_u4 },
 { 203129, ur_usb646_autobaud_uart0_lednop_pr_ee },
 { 203130, ur_usb646_autobaud_uart0_lednop_pr_ee },
 { 203131, ur_usb646_autobaud_uart0_lednop_pr_ce },
 { 203132, ur_usb646_autobaud_uart0_lednop_pr_ce },
 { 203133, ur_usb646_autobaud_uart0_lednop_pr_ee_ce },
 { 203134, ur_usb646_autobaud_uart0_lednop_pr_ee_ce },
 { 203136, ur_m644a_autobaud_uart1_lednop_ee_hw },
 { 203138, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 { 203139, ur_m644a_autobaud_uart1_lednop_ee_ce_hw },
 { 203140, ur_usb646_autobaud_uart0_dual },
 { 203141, ur_usb646_autobaud_uart0_dual },
 { 203142, ur_usb646_autobaud_uart0_dual },
 { 203143, ur_usb646_autobaud_uart0_dual_pr_ee },
 { 203144, ur_usb646_autobaud_uart0_dual_pr_ee },
 { 203145, ur_usb646_autobaud_uart0_dual_pr_ce },
 { 203146, ur_usb646_autobaud_uart0_dual_pr_ce },
 { 203147, ur_usb646_autobaud_uart0_dual_pr_ee_ce },
 { 203148, ur_usb646_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 203150, ur_usb646_autobaud_uart0_dual_ee_hw },
 { 203152, ur_usb646_autobaud_uart0_dual_ee_ce_hw },
 { 203153, ur_usb646_autobaud_uart0_dual_ee_ce_hw },
 { 203322, ur_usb646_u1x8_uart0_noled },
 { 203323, ur_usb646_u1x8_uart0_noled },
 { 203324, ur_usb646_u1x8_uart0_noled_pr_u4 },
 { 203325, ur_usb646_u1x8_uart0_noled_pr_ee },
 { 203326, ur_usb646_u1x8_uart0_noled_pr_ee },
 { 203327, ur_usb646_u1x8_uart0_noled_pr_ce },
 { 203328, ur_usb646_u1x8_uart0_noled_pr_ce_u4 },
 { 203329, ur_usb646_u1x8_uart0_noled_pr_ee_ce },
 { 203330, ur_usb646_u1x8_uart0_noled_pr_ee_ce },
 { 203332, ur_m644a_u1x8_uart1_noled_ee_hw },
 { 203334, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 { 203335, ur_m644a_u1x8_uart1_noled_ee_ce_hw },
 { 203336, ur_usb646_u1x8_uart0_lednop },
 { 203337, ur_usb646_u1x8_uart0_lednop },
 { 203338, ur_usb646_u1x8_uart0_lednop_pr_u4 },
 { 203339, ur_usb646_u1x8_uart0_lednop_pr_ee },
 { 203340, ur_usb646_u1x8_uart0_lednop_pr_ee },
 { 203341, ur_usb646_u1x8_uart0_lednop_pr_ce },
 { 203342, ur_usb646_u1x8_uart0_lednop_pr_ce_u4 },
 { 203343, ur_usb646_u1x8_uart0_lednop_pr_ee_ce },
 { 203344, ur_usb646_u1x8_uart0_lednop_pr_ee_ce },
 { 203346, ur_m644a_u1x8_uart1_lednop_ee_hw },
 { 203348, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 { 203349, ur_m644a_u1x8_uart1_lednop_ee_ce_hw },
 { 203350, ur_usb646_u1x8_uart0_dual },
 { 203351, ur_usb646_u1x8_uart0_dual },
 { 203352, ur_usb646_u1x8_uart0_dual },
 { 203353, ur_usb646_u1x8_uart0_dual_pr_ee },
 { 203354, ur_usb646_u1x8_uart0_dual_pr_ee },
 { 203355, ur_usb646_u1x8_uart0_dual_pr_ce },
 { 203356, ur_usb646_u1x8_uart0_dual_pr_ce },
 { 203357, ur_usb646_u1x8_uart0_dual_pr_ee_ce },
 { 203358, ur_usb646_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 203360, ur_usb646_u1x8_uart0_dual_ee_hw },
 { 203362, ur_usb646_u1x8_uart0_dual_ee_ce_hw },
 { 203363, ur_usb646_u1x8_uart0_dual_ee_ce_hw },
 { 203532, ur_usb646_u1x12_uart0_noled },
 { 203533, ur_usb646_u1x12_uart0_noled },
 { 203534, ur_usb646_u1x12_uart0_noled_pr_u4 },
 { 203535, ur_usb646_u1x12_uart0_noled_pr_ee },
 { 203536, ur_usb646_u1x12_uart0_noled_pr_ee },
 { 203537, ur_usb646_u1x12_uart0_noled_pr_ce },
 { 203538, ur_usb646_u1x12_uart0_noled_pr_ce_u4 },
 { 203539, ur_usb646_u1x12_uart0_noled_pr_ee_ce },
 { 203540, ur_usb646_u1x12_uart0_noled_pr_ee_ce },
 { 203542, ur_m644a_u1x12_uart1_noled_ee_hw },
 { 203544, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 { 203545, ur_m644a_u1x12_uart1_noled_ee_ce_hw },
 { 203546, ur_usb646_u1x12_uart0_lednop },
 { 203547, ur_usb646_u1x12_uart0_lednop },
 { 203548, ur_usb646_u1x12_uart0_lednop_pr_u4 },
 { 203549, ur_usb646_u1x12_uart0_lednop_pr_ee },
 { 203550, ur_usb646_u1x12_uart0_lednop_pr_ee },
 { 203551, ur_usb646_u1x12_uart0_lednop_pr_ce },
 { 203552, ur_usb646_u1x12_uart0_lednop_pr_ce },
 { 203553, ur_usb646_u1x12_uart0_lednop_pr_ee_ce },
 { 203554, ur_usb646_u1x12_uart0_lednop_pr_ee_ce },
 { 203556, ur_m644a_u1x12_uart1_lednop_ee_hw },
 { 203558, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 { 203559, ur_m644a_u1x12_uart1_lednop_ee_ce_hw },
 { 203560, ur_usb646_u1x12_uart0_dual },
 { 203561, ur_usb646_u1x12_uart0_dual },
 { 203562, ur_usb646_u1x12_uart0_dual },
 { 203563, ur_usb646_u1x12_uart0_dual_pr_ee },
 { 203564, ur_usb646_u1x12_uart0_dual_pr_ee },
 { 203565, ur_usb646_u1x12_uart0_dual_pr_ce },
 { 203566, ur_usb646_u1x12_uart0_dual_pr_ce },
 { 203567, ur_usb646_u1x12_uart0_dual_pr_ee_ce },
 { 203568, ur_usb646_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 203570, ur_usb646_u1x12_uart0_dual_ee_hw },
 { 203572, ur_usb646_u1x12_uart0_dual_ee_ce_hw },
 { 203573, ur_usb646_u1x12_uart0_dual_ee_ce_hw },
 { 203742, ur_usb646_u2x8_uart0_noled },
 { 203743, ur_usb646_u2x8_uart0_noled },
 { 203744, ur_usb646_u2x8_uart0_noled_pr_u4 },
 { 203745, ur_usb646_u2x8_uart0_noled_pr_ee },
 { 203746, ur_usb646_u2x8_uart0_noled_pr_ee },
 { 203747, ur_usb646_u2x8_uart0_noled_pr_ce },
 { 203748, ur_usb646_u2x8_uart0_noled_pr_ce_u4 },
 { 203749, ur_usb646_u2x8_uart0_noled_pr_ee_ce },
 { 203750, ur_usb646_u2x8_uart0_noled_pr_ee_ce },
 { 203752, ur_m644a_u2x8_uart1_noled_ee_hw },
 { 203754, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 { 203755, ur_m644a_u2x8_uart1_noled_ee_ce_hw },
 { 203756, ur_usb646_u2x8_uart0_lednop },
 { 203757, ur_usb646_u2x8_uart0_lednop },
 { 203758, ur_usb646_u2x8_uart0_lednop_pr_u4 },
 { 203759, ur_usb646_u2x8_uart0_lednop_pr_ee },
 { 203760, ur_usb646_u2x8_uart0_lednop_pr_ee },
 { 203761, ur_usb646_u2x8_uart0_lednop_pr_ce },
 { 203762, ur_usb646_u2x8_uart0_lednop_pr_ce },
 { 203763, ur_usb646_u2x8_uart0_lednop_pr_ee_ce },
 { 203764, ur_usb646_u2x8_uart0_lednop_pr_ee_ce },
 { 203766, ur_m644a_u2x8_uart1_lednop_ee_hw },
 { 203768, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 { 203769, ur_m644a_u2x8_uart1_lednop_ee_ce_hw },
 { 203770, ur_usb646_u2x8_uart0_dual },
 { 203771, ur_usb646_u2x8_uart0_dual },
 { 203772, ur_usb646_u2x8_uart0_dual },
 { 203773, ur_usb646_u2x8_uart0_dual_pr_ee },
 { 203774, ur_usb646_u2x8_uart0_dual_pr_ee },
 { 203775, ur_usb646_u2x8_uart0_dual_pr_ce },
 { 203776, ur_usb646_u2x8_uart0_dual_pr_ce },
 { 203777, ur_usb646_u2x8_uart0_dual_pr_ee_ce },
 { 203778, ur_usb646_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 203780, ur_usb646_u2x8_uart0_dual_ee_hw },
 { 203782, ur_usb646_u2x8_uart0_dual_ee_ce_hw },
 { 203783, ur_usb646_u2x8_uart0_dual_ee_ce_hw },
 { 203952, ur_usb646_u2x12_uart0_noled },
 { 203953, ur_usb646_u2x12_uart0_noled },
 { 203954, ur_usb646_u2x12_uart0_noled_pr_u4 },
 { 203955, ur_usb646_u2x12_uart0_noled_pr_ee },
 { 203956, ur_usb646_u2x12_uart0_noled_pr_ee },
 { 203957, ur_usb646_u2x12_uart0_noled_pr_ce },
 { 203958, ur_usb646_u2x12_uart0_noled_pr_ce_u4 },
 { 203959, ur_usb646_u2x12_uart0_noled_pr_ee_ce },
 { 203960, ur_usb646_u2x12_uart0_noled_pr_ee_ce },
 { 203962, ur_m644a_u2x12_uart1_noled_ee_hw },
 { 203964, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 { 203965, ur_m644a_u2x12_uart1_noled_ee_ce_hw },
 { 203966, ur_usb646_u2x12_uart0_lednop },
 { 203967, ur_usb646_u2x12_uart0_lednop },
 { 203968, ur_usb646_u2x12_uart0_lednop_pr_u4 },
 { 203969, ur_usb646_u2x12_uart0_lednop_pr_ee },
 { 203970, ur_usb646_u2x12_uart0_lednop_pr_ee },
 { 203971, ur_usb646_u2x12_uart0_lednop_pr_ce },
 { 203972, ur_usb646_u2x12_uart0_lednop_pr_ce },
 { 203973, ur_usb646_u2x12_uart0_lednop_pr_ee_ce },
 { 203974, ur_usb646_u2x12_uart0_lednop_pr_ee_ce },
 { 203976, ur_m644a_u2x12_uart1_lednop_ee_hw },
 { 203978, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 { 203979, ur_m644a_u2x12_uart1_lednop_ee_ce_hw },
 { 203980, ur_usb646_u2x12_uart0_dual },
 { 203981, ur_usb646_u2x12_uart0_dual },
 { 203982, ur_usb646_u2x12_uart0_dual },
 { 203983, ur_usb646_u2x12_uart0_dual_pr_ee },
 { 203984, ur_usb646_u2x12_uart0_dual_pr_ee },
 { 203985, ur_usb646_u2x12_uart0_dual_pr_ce },
 { 203986, ur_usb646_u2x12_uart0_dual_pr_ce },
 { 203987, ur_usb646_u2x12_uart0_dual_pr_ee_ce },
 { 203988, ur_usb646_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 203990, ur_usb646_u2x12_uart0_dual_ee_hw },
 { 203992, ur_usb646_u2x12_uart0_dual_ee_ce_hw },
 { 203993, ur_usb646_u2x12_uart0_dual_ee_ce_hw },
 { 204162, ur_usb646_swio10_noled },
 { 204163, ur_usb646_swio10_noled },
 { 204164, ur_usb646_swio10_noled_pr_u4 },
 { 204165, ur_usb646_swio10_noled_pr_ee },
 { 204166, ur_usb646_swio10_noled_pr_ee },
 { 204167, ur_usb646_swio10_noled_pr_ce },
 { 204168, ur_usb646_swio10_noled_pr_ce },
 { 204169, ur_usb646_swio10_noled_pr_ee_ce },
 { 204170, ur_usb646_swio10_noled_pr_ee_ce },
 { 204172, ur_usb646_swio10_noled_ee_hw },
 { 204174, ur_usb646_swio10_noled_ee_ce_hw },
 { 204175, ur_usb646_swio10_noled_ee_ce_hw },
 { 204176, ur_usb646_swio10_lednop },
 { 204177, ur_usb646_swio10_lednop },
 { 204178, ur_usb646_swio10_lednop_pr_u4 },
 { 204179, ur_usb646_swio10_lednop_pr_ee },
 { 204180, ur_usb646_swio10_lednop_pr_ee },
 { 204181, ur_usb646_swio10_lednop_pr_ce },
 { 204182, ur_usb646_swio10_lednop_pr_ce },
 { 204183, ur_usb646_swio10_lednop_pr_ee_ce },
 { 204184, ur_usb646_swio10_lednop_pr_ee_ce },
 { 204186, ur_usb646_swio10_lednop_ee_hw },
 { 204188, ur_usb646_swio10_lednop_ee_ce_hw },
 { 204189, ur_usb646_swio10_lednop_ee_ce_hw },
 { 204190, ur_usb646_swio10_dual },
 { 204191, ur_usb646_swio10_dual },
 { 204192, ur_usb646_swio10_dual },
 { 204193, ur_usb646_swio10_dual_pr_ee },
 { 204194, ur_usb646_swio10_dual_pr_ee_u4 },
 { 204195, ur_usb646_swio10_dual_pr_ce },
 { 204196, ur_usb646_swio10_dual_pr_ce },
 { 204197, ur_usb646_swio10_dual_pr_ee_ce },
 { 204198, ur_usb646_swio10_dual_pr_ee_ce_u4 },
 { 204200, ur_usb646_swio10_dual_ee_hw },
 { 204202, ur_usb646_swio10_dual_ee_ce_hw },
 { 204203, ur_usb646_swio10_dual_ee_ce_hw },
 { 204204, ur_usb646_swio11_noled },
 { 204205, ur_usb646_swio11_noled },
 { 204206, ur_usb646_swio11_noled_pr_u4 },
 { 204207, ur_usb646_swio11_noled_pr_ee },
 { 204208, ur_usb646_swio11_noled_pr_ee },
 { 204209, ur_usb646_swio11_noled_pr_ce },
 { 204210, ur_usb646_swio11_noled_pr_ce },
 { 204211, ur_usb646_swio11_noled_pr_ee_ce },
 { 204212, ur_usb646_swio11_noled_pr_ee_ce },
 { 204214, ur_usb646_swio11_noled_ee_hw },
 { 204216, ur_usb646_swio11_noled_ee_ce_hw },
 { 204217, ur_usb646_swio11_noled_ee_ce_hw },
 { 204218, ur_usb646_swio11_lednop },
 { 204219, ur_usb646_swio11_lednop_pr },
 { 204220, ur_usb646_swio11_lednop_pr },
 { 204221, ur_usb646_swio11_lednop_pr_ee },
 { 204222, ur_usb646_swio11_lednop_pr_ee },
 { 204223, ur_usb646_swio11_lednop_pr_ce },
 { 204224, ur_usb646_swio11_lednop_pr_ce },
 { 204225, ur_usb646_swio11_lednop_pr_ee_ce },
 { 204226, ur_usb646_swio11_lednop_pr_ee_ce },
 { 204228, ur_usb646_swio11_lednop_ee_hw },
 { 204230, ur_usb646_swio11_lednop_ee_ce_hw },
 { 204231, ur_usb646_swio11_lednop_ee_ce_hw },
 { 204232, ur_usb646_swio11_dual },
 { 204233, ur_usb646_swio11_dual },
 { 204234, ur_usb646_swio11_dual },
 { 204235, ur_usb646_swio11_dual_pr_ee },
 { 204236, ur_usb646_swio11_dual_pr_ee_u4 },
 { 204237, ur_usb646_swio11_dual_pr_ce },
 { 204238, ur_usb646_swio11_dual_pr_ce },
 { 204239, ur_usb646_swio11_dual_pr_ee_ce },
 { 204240, ur_usb646_swio11_dual_pr_ee_ce_u4 },
 { 204242, ur_usb646_swio11_dual_ee_hw },
 { 204244, ur_usb646_swio11_dual_ee_ce_hw },
 { 204245, ur_usb646_swio11_dual_ee_ce_hw },
 { 204246, ur_usb646_swio11_noled },
 { 204247, ur_usb646_swio11_noled },
 { 204248, ur_usb646_swio11_noled_pr_u4 },
 { 204249, ur_usb646_swio11_noled_pr_ee },
 { 204250, ur_usb646_swio11_noled_pr_ee },
 { 204251, ur_usb646_swio11_noled_pr_ce },
 { 204252, ur_usb646_swio11_noled_pr_ce },
 { 204253, ur_usb646_swio11_noled_pr_ee_ce },
 { 204254, ur_usb646_swio11_noled_pr_ee_ce },
 { 204256, ur_usb646_swio11_noled_ee_hw },
 { 204258, ur_usb646_swio11_noled_ee_ce_hw },
 { 204259, ur_usb646_swio11_noled_ee_ce_hw },
 { 204260, ur_usb646_swio11_lednop },
 { 204261, ur_usb646_swio11_lednop_pr },
 { 204262, ur_usb646_swio11_lednop_pr },
 { 204263, ur_usb646_swio11_lednop_pr_ee },
 { 204264, ur_usb646_swio11_lednop_pr_ee },
 { 204265, ur_usb646_swio11_lednop_pr_ce },
 { 204266, ur_usb646_swio11_lednop_pr_ce },
 { 204267, ur_usb646_swio11_lednop_pr_ee_ce },
 { 204268, ur_usb646_swio11_lednop_pr_ee_ce },
 { 204270, ur_usb646_swio11_lednop_ee_hw },
 { 204272, ur_usb646_swio11_lednop_ee_ce_hw },
 { 204273, ur_usb646_swio11_lednop_ee_ce_hw },
 { 204274, ur_usb646_swio11_dual },
 { 204275, ur_usb646_swio11_dual },
 { 204276, ur_usb646_swio11_dual },
 { 204277, ur_usb646_swio11_dual_pr_ee },
 { 204278, ur_usb646_swio11_dual_pr_ee_u4 },
 { 204279, ur_usb646_swio11_dual_pr_ce },
 { 204280, ur_usb646_swio11_dual_pr_ce },
 { 204281, ur_usb646_swio11_dual_pr_ee_ce },
 { 204282, ur_usb646_swio11_dual_pr_ee_ce_u4 },
 { 204284, ur_usb646_swio11_dual_ee_hw },
 { 204286, ur_usb646_swio11_dual_ee_ce_hw },
 { 204287, ur_usb646_swio11_dual_ee_ce_hw },
 { 204288, ur_usb646_swio13_noled },
 { 204289, ur_usb646_swio13_noled },
 { 204290, ur_usb646_swio13_noled_pr_u4 },
 { 204291, ur_usb646_swio13_noled_pr_ee },
 { 204292, ur_usb646_swio13_noled_pr_ee },
 { 204293, ur_usb646_swio13_noled_pr_ce },
 { 204294, ur_usb646_swio13_noled_pr_ce },
 { 204295, ur_usb646_swio13_noled_pr_ee_ce },
 { 204296, ur_usb646_swio13_noled_pr_ee_ce },
 { 204298, ur_usb646_swio13_noled_ee_hw },
 { 204300, ur_usb646_swio13_noled_ee_ce_hw },
 { 204301, ur_usb646_swio13_noled_ee_ce_hw },
 { 204302, ur_usb646_swio13_lednop },
 { 204303, ur_usb646_swio13_lednop_pr },
 { 204304, ur_usb646_swio13_lednop_pr },
 { 204305, ur_usb646_swio13_lednop_pr_ee },
 { 204306, ur_usb646_swio13_lednop_pr_ee },
 { 204307, ur_usb646_swio13_lednop_pr_ce },
 { 204308, ur_usb646_swio13_lednop_pr_ce },
 { 204309, ur_usb646_swio13_lednop_pr_ee_ce },
 { 204310, ur_usb646_swio13_lednop_pr_ee_ce },
 { 204312, ur_usb646_swio13_lednop_ee_hw },
 { 204314, ur_usb646_swio13_lednop_ee_ce_hw },
 { 204315, ur_usb646_swio13_lednop_ee_ce_hw },
 { 204316, ur_usb646_swio13_dual },
 { 204317, ur_usb646_swio13_dual },
 { 204318, ur_usb646_swio13_dual },
 { 204319, ur_usb646_swio13_dual_pr_ee },
 { 204320, ur_usb646_swio13_dual_pr_ee_u4 },
 { 204321, ur_usb646_swio13_dual_pr_ce },
 { 204322, ur_usb646_swio13_dual_pr_ce },
 { 204323, ur_usb646_swio13_dual_pr_ee_ce },
 { 204324, ur_usb646_swio13_dual_pr_ee_ce_u4 },
 { 204326, ur_usb646_swio13_dual_ee_hw },
 { 204328, ur_usb646_swio13_dual_ee_ce_hw },
 { 204329, ur_usb646_swio13_dual_ee_ce_hw },
 { 204330, ur_usb646_swio14_noled },
 { 204331, ur_usb646_swio14_noled },
 { 204332, ur_usb646_swio14_noled_pr_u4 },
 { 204333, ur_usb646_swio14_noled_pr_ee },
 { 204334, ur_usb646_swio14_noled_pr_ee },
 { 204335, ur_usb646_swio14_noled_pr_ce },
 { 204336, ur_usb646_swio14_noled_pr_ce },
 { 204337, ur_usb646_swio14_noled_pr_ee_ce },
 { 204338, ur_usb646_swio14_noled_pr_ee_ce },
 { 204340, ur_usb646_swio14_noled_ee_hw },
 { 204342, ur_usb646_swio14_noled_ee_ce_hw },
 { 204343, ur_usb646_swio14_noled_ee_ce_hw },
 { 204344, ur_usb646_swio14_lednop },
 { 204345, ur_usb646_swio14_lednop_pr },
 { 204346, ur_usb646_swio14_lednop_pr },
 { 204347, ur_usb646_swio14_lednop_pr_ee },
 { 204348, ur_usb646_swio14_lednop_pr_ee },
 { 204349, ur_usb646_swio14_lednop_pr_ce },
 { 204350, ur_usb646_swio14_lednop_pr_ce },
 { 204351, ur_usb646_swio14_lednop_pr_ee_ce },
 { 204352, ur_usb646_swio14_lednop_pr_ee_ce },
 { 204354, ur_usb646_swio14_lednop_ee_hw },
 { 204356, ur_usb646_swio14_lednop_ee_ce_hw },
 { 204357, ur_usb646_swio14_lednop_ee_ce_hw },
 { 204358, ur_usb646_swio14_dual },
 { 204359, ur_usb646_swio14_dual },
 { 204360, ur_usb646_swio14_dual },
 { 204361, ur_usb646_swio14_dual_pr_ee },
 { 204362, ur_usb646_swio14_dual_pr_ee_u4 },
 { 204363, ur_usb646_swio14_dual_pr_ce },
 { 204364, ur_usb646_swio14_dual_pr_ce },
 { 204365, ur_usb646_swio14_dual_pr_ee_ce },
 { 204366, ur_usb646_swio14_dual_pr_ee_ce_u4 },
 { 204368, ur_usb646_swio14_dual_ee_hw },
 { 204370, ur_usb646_swio14_dual_ee_ce_hw },
 { 204371, ur_usb646_swio14_dual_ee_ce_hw },
 { 204372, ur_usb646_swio15_noled },
 { 204373, ur_usb646_swio15_noled },
 { 204374, ur_usb646_swio15_noled_pr_u4 },
 { 204375, ur_usb646_swio15_noled_pr_ee },
 { 204376, ur_usb646_swio15_noled_pr_ee },
 { 204377, ur_usb646_swio15_noled_pr_ce },
 { 204378, ur_usb646_swio15_noled_pr_ce },
 { 204379, ur_usb646_swio15_noled_pr_ee_ce },
 { 204380, ur_usb646_swio15_noled_pr_ee_ce },
 { 204382, ur_usb646_swio15_noled_ee_hw },
 { 204384, ur_usb646_swio15_noled_ee_ce_hw },
 { 204385, ur_usb646_swio15_noled_ee_ce_hw },
 { 204386, ur_usb646_swio15_lednop },
 { 204387, ur_usb646_swio15_lednop_pr },
 { 204388, ur_usb646_swio15_lednop_pr },
 { 204389, ur_usb646_swio15_lednop_pr_ee },
 { 204390, ur_usb646_swio15_lednop_pr_ee },
 { 204391, ur_usb646_swio15_lednop_pr_ce },
 { 204392, ur_usb646_swio15_lednop_pr_ce },
 { 204393, ur_usb646_swio15_lednop_pr_ee_ce },
 { 204394, ur_usb646_swio15_lednop_pr_ee_ce },
 { 204396, ur_usb646_swio15_lednop_ee_hw },
 { 204398, ur_usb646_swio15_lednop_ee_ce_hw },
 { 204399, ur_usb646_swio15_lednop_ee_ce_hw },
 { 204400, ur_usb646_swio15_dual },
 { 204401, ur_usb646_swio15_dual },
 { 204402, ur_usb646_swio15_dual },
 { 204403, ur_usb646_swio15_dual_pr_ee },
 { 204404, ur_usb646_swio15_dual_pr_ee_u4 },
 { 204405, ur_usb646_swio15_dual_pr_ce },
 { 204406, ur_usb646_swio15_dual_pr_ce },
 { 204407, ur_usb646_swio15_dual_pr_ee_ce },
 { 204408, ur_usb646_swio15_dual_pr_ee_ce_u4 },
 { 204410, ur_usb646_swio15_dual_ee_hw },
 { 204412, ur_usb646_swio15_dual_ee_ce_hw },
 { 204413, ur_usb646_swio15_dual_ee_ce_hw },
 { 204414, ur_usb1286_autobaud_uart0_noled },
 { 204415, ur_usb1286_autobaud_uart0_noled_pr },
 { 204416, ur_usb1286_autobaud_uart0_noled_pr },
 { 204417, ur_usb1286_autobaud_uart0_noled_pr_ee },
 { 204418, ur_usb1286_autobaud_uart0_noled_pr_ee },
 { 204419, ur_usb1286_autobaud_uart0_noled_pr_ce },
 { 204420, ur_usb1286_autobaud_uart0_noled_pr_ce },
 { 204421, ur_usb1286_autobaud_uart0_noled_pr_ee_ce },
 { 204422, ur_usb1286_autobaud_uart0_noled_pr_ee_ce },
 { 204424, ur_m1284_autobaud_uart1_noled_ee_hw },
 { 204426, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 { 204427, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 { 204428, ur_usb1286_autobaud_uart0_lednop },
 { 204429, ur_usb1286_autobaud_uart0_lednop_pr },
 { 204430, ur_usb1286_autobaud_uart0_lednop_pr },
 { 204431, ur_usb1286_autobaud_uart0_lednop_pr_ee },
 { 204432, ur_usb1286_autobaud_uart0_lednop_pr_ee },
 { 204433, ur_usb1286_autobaud_uart0_lednop_pr_ce },
 { 204434, ur_usb1286_autobaud_uart0_lednop_pr_ce },
 { 204435, ur_usb1286_autobaud_uart0_lednop_pr_ee_ce },
 { 204436, ur_usb1286_autobaud_uart0_lednop_pr_ee_ce },
 { 204438, ur_m1284_autobaud_uart1_lednop_ee_hw },
 { 204440, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 { 204441, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 { 204442, ur_usb1286_autobaud_uart0_dual },
 { 204443, ur_usb1286_autobaud_uart0_dual },
 { 204444, ur_usb1286_autobaud_uart0_dual },
 { 204445, ur_usb1286_autobaud_uart0_dual_pr_ee },
 { 204446, ur_usb1286_autobaud_uart0_dual_pr_ee_u4 },
 { 204447, ur_usb1286_autobaud_uart0_dual_pr_ce },
 { 204448, ur_usb1286_autobaud_uart0_dual_pr_ce_u4 },
 { 204449, ur_usb1286_autobaud_uart0_dual_pr_ee_ce },
 { 204450, ur_usb1286_autobaud_uart0_dual_pr_ee_ce },
 { 204452, ur_usb1286_autobaud_uart0_dual_ee_hw },
 { 204454, ur_usb1286_autobaud_uart0_dual_ee_ce_hw },
 { 204455, ur_usb1286_autobaud_uart0_dual_ee_ce_hw },
 { 204624, ur_usb1286_u1x8_uart0_noled },
 { 204625, ur_usb1286_u1x8_uart0_noled },
 { 204626, ur_usb1286_u1x8_uart0_noled_pr_u4 },
 { 204627, ur_usb1286_u1x8_uart0_noled_pr_ee },
 { 204628, ur_usb1286_u1x8_uart0_noled_pr_ee },
 { 204629, ur_usb1286_u1x8_uart0_noled_pr_ce },
 { 204630, ur_usb1286_u1x8_uart0_noled_pr_ce },
 { 204631, ur_usb1286_u1x8_uart0_noled_pr_ee_ce },
 { 204632, ur_usb1286_u1x8_uart0_noled_pr_ee_ce },
 { 204634, ur_m1284_u1x8_uart1_noled_ee_hw },
 { 204636, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 { 204637, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 { 204638, ur_usb1286_u1x8_uart0_lednop },
 { 204639, ur_usb1286_u1x8_uart0_lednop },
 { 204640, ur_usb1286_u1x8_uart0_lednop_pr_u4 },
 { 204641, ur_usb1286_u1x8_uart0_lednop_pr_ee },
 { 204642, ur_usb1286_u1x8_uart0_lednop_pr_ee },
 { 204643, ur_usb1286_u1x8_uart0_lednop_pr_ce },
 { 204644, ur_usb1286_u1x8_uart0_lednop_pr_ce },
 { 204645, ur_usb1286_u1x8_uart0_lednop_pr_ee_ce },
 { 204646, ur_usb1286_u1x8_uart0_lednop_pr_ee_ce },
 { 204648, ur_m1284_u1x8_uart1_lednop_ee_hw },
 { 204650, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 { 204651, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 { 204652, ur_usb1286_u1x8_uart0_dual },
 { 204653, ur_usb1286_u1x8_uart0_dual },
 { 204654, ur_usb1286_u1x8_uart0_dual },
 { 204655, ur_usb1286_u1x8_uart0_dual_pr_ee },
 { 204656, ur_usb1286_u1x8_uart0_dual_pr_ee_u4 },
 { 204657, ur_usb1286_u1x8_uart0_dual_pr_ce },
 { 204658, ur_usb1286_u1x8_uart0_dual_pr_ce_u4 },
 { 204659, ur_usb1286_u1x8_uart0_dual_pr_ee_ce },
 { 204660, ur_usb1286_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 204662, ur_usb1286_u1x8_uart0_dual_ee_hw },
 { 204664, ur_usb1286_u1x8_uart0_dual_ee_ce_hw },
 { 204665, ur_usb1286_u1x8_uart0_dual_ee_ce_hw },
 { 204834, ur_usb1286_u1x12_uart0_noled },
 { 204835, ur_usb1286_u1x12_uart0_noled },
 { 204836, ur_usb1286_u1x12_uart0_noled_pr_u4 },
 { 204837, ur_usb1286_u1x12_uart0_noled_pr_ee },
 { 204838, ur_usb1286_u1x12_uart0_noled_pr_ee },
 { 204839, ur_usb1286_u1x12_uart0_noled_pr_ce },
 { 204840, ur_usb1286_u1x12_uart0_noled_pr_ce },
 { 204841, ur_usb1286_u1x12_uart0_noled_pr_ee_ce },
 { 204842, ur_usb1286_u1x12_uart0_noled_pr_ee_ce },
 { 204844, ur_m1284_u1x12_uart1_noled_ee_hw },
 { 204846, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 { 204847, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 { 204848, ur_usb1286_u1x12_uart0_lednop },
 { 204849, ur_usb1286_u1x12_uart0_lednop },
 { 204850, ur_usb1286_u1x12_uart0_lednop_pr_u4 },
 { 204851, ur_usb1286_u1x12_uart0_lednop_pr_ee },
 { 204852, ur_usb1286_u1x12_uart0_lednop_pr_ee },
 { 204853, ur_usb1286_u1x12_uart0_lednop_pr_ce },
 { 204854, ur_usb1286_u1x12_uart0_lednop_pr_ce },
 { 204855, ur_usb1286_u1x12_uart0_lednop_pr_ee_ce },
 { 204856, ur_usb1286_u1x12_uart0_lednop_pr_ee_ce },
 { 204858, ur_m1284_u1x12_uart1_lednop_ee_hw },
 { 204860, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 { 204861, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 { 204862, ur_usb1286_u1x12_uart0_dual },
 { 204863, ur_usb1286_u1x12_uart0_dual },
 { 204864, ur_usb1286_u1x12_uart0_dual },
 { 204865, ur_usb1286_u1x12_uart0_dual_pr_ee },
 { 204866, ur_usb1286_u1x12_uart0_dual_pr_ee_u4 },
 { 204867, ur_usb1286_u1x12_uart0_dual_pr_ce },
 { 204868, ur_usb1286_u1x12_uart0_dual_pr_ce_u4 },
 { 204869, ur_usb1286_u1x12_uart0_dual_pr_ee_ce },
 { 204870, ur_usb1286_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 204872, ur_usb1286_u1x12_uart0_dual_ee_hw },
 { 204874, ur_usb1286_u1x12_uart0_dual_ee_ce_hw },
 { 204875, ur_usb1286_u1x12_uart0_dual_ee_ce_hw },
 { 205044, ur_usb1286_u2x8_uart0_noled },
 { 205045, ur_usb1286_u2x8_uart0_noled },
 { 205046, ur_usb1286_u2x8_uart0_noled_pr_u4 },
 { 205047, ur_usb1286_u2x8_uart0_noled_pr_ee },
 { 205048, ur_usb1286_u2x8_uart0_noled_pr_ee },
 { 205049, ur_usb1286_u2x8_uart0_noled_pr_ce },
 { 205050, ur_usb1286_u2x8_uart0_noled_pr_ce },
 { 205051, ur_usb1286_u2x8_uart0_noled_pr_ee_ce },
 { 205052, ur_usb1286_u2x8_uart0_noled_pr_ee_ce },
 { 205054, ur_m1284_u2x8_uart1_noled_ee_hw },
 { 205056, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 { 205057, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 { 205058, ur_usb1286_u2x8_uart0_lednop },
 { 205059, ur_usb1286_u2x8_uart0_lednop },
 { 205060, ur_usb1286_u2x8_uart0_lednop_pr_u4 },
 { 205061, ur_usb1286_u2x8_uart0_lednop_pr_ee },
 { 205062, ur_usb1286_u2x8_uart0_lednop_pr_ee },
 { 205063, ur_usb1286_u2x8_uart0_lednop_pr_ce },
 { 205064, ur_usb1286_u2x8_uart0_lednop_pr_ce },
 { 205065, ur_usb1286_u2x8_uart0_lednop_pr_ee_ce },
 { 205066, ur_usb1286_u2x8_uart0_lednop_pr_ee_ce },
 { 205068, ur_m1284_u2x8_uart1_lednop_ee_hw },
 { 205070, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 { 205071, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 { 205072, ur_usb1286_u2x8_uart0_dual },
 { 205073, ur_usb1286_u2x8_uart0_dual },
 { 205074, ur_usb1286_u2x8_uart0_dual },
 { 205075, ur_usb1286_u2x8_uart0_dual_pr_ee },
 { 205076, ur_usb1286_u2x8_uart0_dual_pr_ee_u4 },
 { 205077, ur_usb1286_u2x8_uart0_dual_pr_ce },
 { 205078, ur_usb1286_u2x8_uart0_dual_pr_ce_u4 },
 { 205079, ur_usb1286_u2x8_uart0_dual_pr_ee_ce },
 { 205080, ur_usb1286_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 205082, ur_usb1286_u2x8_uart0_dual_ee_hw },
 { 205084, ur_usb1286_u2x8_uart0_dual_ee_ce_hw },
 { 205085, ur_usb1286_u2x8_uart0_dual_ee_ce_hw },
 { 205254, ur_usb1286_u2x12_uart0_noled },
 { 205255, ur_usb1286_u2x12_uart0_noled },
 { 205256, ur_usb1286_u2x12_uart0_noled_pr_u4 },
 { 205257, ur_usb1286_u2x12_uart0_noled_pr_ee },
 { 205258, ur_usb1286_u2x12_uart0_noled_pr_ee },
 { 205259, ur_usb1286_u2x12_uart0_noled_pr_ce },
 { 205260, ur_usb1286_u2x12_uart0_noled_pr_ce },
 { 205261, ur_usb1286_u2x12_uart0_noled_pr_ee_ce },
 { 205262, ur_usb1286_u2x12_uart0_noled_pr_ee_ce },
 { 205264, ur_m1284_u2x12_uart1_noled_ee_hw },
 { 205266, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 { 205267, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 { 205268, ur_usb1286_u2x12_uart0_lednop },
 { 205269, ur_usb1286_u2x12_uart0_lednop },
 { 205270, ur_usb1286_u2x12_uart0_lednop_pr_u4 },
 { 205271, ur_usb1286_u2x12_uart0_lednop_pr_ee },
 { 205272, ur_usb1286_u2x12_uart0_lednop_pr_ee },
 { 205273, ur_usb1286_u2x12_uart0_lednop_pr_ce },
 { 205274, ur_usb1286_u2x12_uart0_lednop_pr_ce },
 { 205275, ur_usb1286_u2x12_uart0_lednop_pr_ee_ce },
 { 205276, ur_usb1286_u2x12_uart0_lednop_pr_ee_ce },
 { 205278, ur_m1284_u2x12_uart1_lednop_ee_hw },
 { 205280, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 { 205281, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 { 205282, ur_usb1286_u2x12_uart0_dual },
 { 205283, ur_usb1286_u2x12_uart0_dual },
 { 205284, ur_usb1286_u2x12_uart0_dual },
 { 205285, ur_usb1286_u2x12_uart0_dual_pr_ee },
 { 205286, ur_usb1286_u2x12_uart0_dual_pr_ee_u4 },
 { 205287, ur_usb1286_u2x12_uart0_dual_pr_ce },
 { 205288, ur_usb1286_u2x12_uart0_dual_pr_ce_u4 },
 { 205289, ur_usb1286_u2x12_uart0_dual_pr_ee_ce },
 { 205290, ur_usb1286_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 205292, ur_usb1286_u2x12_uart0_dual_ee_hw },
 { 205294, ur_usb1286_u2x12_uart0_dual_ee_ce_hw },
 { 205295, ur_usb1286_u2x12_uart0_dual_ee_ce_hw },
 { 205464, ur_usb1286_swio10_noled },
 { 205465, ur_usb1286_swio10_noled_pr },
 { 205466, ur_usb1286_swio10_noled_pr },
 { 205467, ur_usb1286_swio10_noled_pr_ee },
 { 205468, ur_usb1286_swio10_noled_pr_ee },
 { 205469, ur_usb1286_swio10_noled_pr_ce },
 { 205470, ur_usb1286_swio10_noled_pr_ce },
 { 205471, ur_usb1286_swio10_noled_pr_ee_ce },
 { 205472, ur_usb1286_swio10_noled_pr_ee_ce },
 { 205474, ur_usb1286_swio10_noled_ee_hw },
 { 205476, ur_usb1286_swio10_noled_ee_ce_hw },
 { 205477, ur_usb1286_swio10_noled_ee_ce_hw },
 { 205478, ur_usb1286_swio10_lednop },
 { 205479, ur_usb1286_swio10_lednop_pr },
 { 205480, ur_usb1286_swio10_lednop_pr },
 { 205481, ur_usb1286_swio10_lednop_pr_ee },
 { 205482, ur_usb1286_swio10_lednop_pr_ee },
 { 205483, ur_usb1286_swio10_lednop_pr_ce },
 { 205484, ur_usb1286_swio10_lednop_pr_ce },
 { 205485, ur_usb1286_swio10_lednop_pr_ee_ce },
 { 205486, ur_usb1286_swio10_lednop_pr_ee_ce },
 { 205488, ur_usb1286_swio10_lednop_ee_hw },
 { 205490, ur_usb1286_swio10_lednop_ee_ce_hw },
 { 205491, ur_usb1286_swio10_lednop_ee_ce_hw },
 { 205492, ur_usb1286_swio10_dual },
 { 205493, ur_usb1286_swio10_dual },
 { 205494, ur_usb1286_swio10_dual },
 { 205495, ur_usb1286_swio10_dual_pr_ee },
 { 205496, ur_usb1286_swio10_dual_pr_ee_u4 },
 { 205497, ur_usb1286_swio10_dual_pr_ce },
 { 205498, ur_usb1286_swio10_dual_pr_ce_u4 },
 { 205499, ur_usb1286_swio10_dual_pr_ee_ce },
 { 205500, ur_usb1286_swio10_dual_pr_ee_ce },
 { 205502, ur_usb1286_swio10_dual_ee_hw },
 { 205504, ur_usb1286_swio10_dual_ee_ce_hw },
 { 205505, ur_usb1286_swio10_dual_ee_ce_hw },
 { 205506, ur_usb1286_swio11_noled },
 { 205507, ur_usb1286_swio11_noled_pr },
 { 205508, ur_usb1286_swio11_noled_pr },
 { 205509, ur_usb1286_swio11_noled_pr_ee },
 { 205510, ur_usb1286_swio11_noled_pr_ee },
 { 205511, ur_usb1286_swio11_noled_pr_ce },
 { 205512, ur_usb1286_swio11_noled_pr_ce },
 { 205513, ur_usb1286_swio11_noled_pr_ee_ce },
 { 205514, ur_usb1286_swio11_noled_pr_ee_ce },
 { 205516, ur_usb1286_swio11_noled_ee_hw },
 { 205518, ur_usb1286_swio11_noled_ee_ce_hw },
 { 205519, ur_usb1286_swio11_noled_ee_ce_hw },
 { 205520, ur_usb1286_swio11_lednop },
 { 205521, ur_usb1286_swio11_lednop_pr },
 { 205522, ur_usb1286_swio11_lednop_pr },
 { 205523, ur_usb1286_swio11_lednop_pr_ee },
 { 205524, ur_usb1286_swio11_lednop_pr_ee },
 { 205525, ur_usb1286_swio11_lednop_pr_ce },
 { 205526, ur_usb1286_swio11_lednop_pr_ce },
 { 205527, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 205528, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 205530, ur_usb1286_swio11_lednop_ee_hw },
 { 205532, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 205533, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 205534, ur_usb1286_swio11_dual },
 { 205535, ur_usb1286_swio11_dual },
 { 205536, ur_usb1286_swio11_dual },
 { 205537, ur_usb1286_swio11_dual_pr_ee },
 { 205538, ur_usb1286_swio11_dual_pr_ee_u4 },
 { 205539, ur_usb1286_swio11_dual_pr_ce },
 { 205540, ur_usb1286_swio11_dual_pr_ce_u4 },
 { 205541, ur_usb1286_swio11_dual_pr_ee_ce },
 { 205542, ur_usb1286_swio11_dual_pr_ee_ce },
 { 205544, ur_usb1286_swio11_dual_ee_hw },
 { 205546, ur_usb1286_swio11_dual_ee_ce_hw },
 { 205547, ur_usb1286_swio11_dual_ee_ce_hw },
 { 205548, ur_usb1286_swio11_noled },
 { 205549, ur_usb1286_swio11_noled_pr },
 { 205550, ur_usb1286_swio11_noled_pr },
 { 205551, ur_usb1286_swio11_noled_pr_ee },
 { 205552, ur_usb1286_swio11_noled_pr_ee },
 { 205553, ur_usb1286_swio11_noled_pr_ce },
 { 205554, ur_usb1286_swio11_noled_pr_ce },
 { 205555, ur_usb1286_swio11_noled_pr_ee_ce },
 { 205556, ur_usb1286_swio11_noled_pr_ee_ce },
 { 205558, ur_usb1286_swio11_noled_ee_hw },
 { 205560, ur_usb1286_swio11_noled_ee_ce_hw },
 { 205561, ur_usb1286_swio11_noled_ee_ce_hw },
 { 205562, ur_usb1286_swio11_lednop },
 { 205563, ur_usb1286_swio11_lednop_pr },
 { 205564, ur_usb1286_swio11_lednop_pr },
 { 205565, ur_usb1286_swio11_lednop_pr_ee },
 { 205566, ur_usb1286_swio11_lednop_pr_ee },
 { 205567, ur_usb1286_swio11_lednop_pr_ce },
 { 205568, ur_usb1286_swio11_lednop_pr_ce },
 { 205569, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 205570, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 205572, ur_usb1286_swio11_lednop_ee_hw },
 { 205574, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 205575, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 205576, ur_usb1286_swio11_dual },
 { 205577, ur_usb1286_swio11_dual },
 { 205578, ur_usb1286_swio11_dual },
 { 205579, ur_usb1286_swio11_dual_pr_ee },
 { 205580, ur_usb1286_swio11_dual_pr_ee_u4 },
 { 205581, ur_usb1286_swio11_dual_pr_ce },
 { 205582, ur_usb1286_swio11_dual_pr_ce_u4 },
 { 205583, ur_usb1286_swio11_dual_pr_ee_ce },
 { 205584, ur_usb1286_swio11_dual_pr_ee_ce },
 { 205586, ur_usb1286_swio11_dual_ee_hw },
 { 205588, ur_usb1286_swio11_dual_ee_ce_hw },
 { 205589, ur_usb1286_swio11_dual_ee_ce_hw },
 { 205590, ur_usb1286_swio13_noled },
 { 205591, ur_usb1286_swio13_noled_pr },
 { 205592, ur_usb1286_swio13_noled_pr },
 { 205593, ur_usb1286_swio13_noled_pr_ee },
 { 205594, ur_usb1286_swio13_noled_pr_ee },
 { 205595, ur_usb1286_swio13_noled_pr_ce },
 { 205596, ur_usb1286_swio13_noled_pr_ce },
 { 205597, ur_usb1286_swio13_noled_pr_ee_ce },
 { 205598, ur_usb1286_swio13_noled_pr_ee_ce },
 { 205600, ur_usb1286_swio13_noled_ee_hw },
 { 205602, ur_usb1286_swio13_noled_ee_ce_hw },
 { 205603, ur_usb1286_swio13_noled_ee_ce_hw },
 { 205604, ur_usb1286_swio13_lednop },
 { 205605, ur_usb1286_swio13_lednop },
 { 205606, ur_usb1286_swio13_lednop },
 { 205607, ur_usb1286_swio13_lednop_pr_ee },
 { 205608, ur_usb1286_swio13_lednop_pr_ee },
 { 205609, ur_usb1286_swio13_lednop_pr_ce },
 { 205610, ur_usb1286_swio13_lednop_pr_ce },
 { 205611, ur_usb1286_swio13_lednop_pr_ee_ce },
 { 205612, ur_usb1286_swio13_lednop_pr_ee_ce },
 { 205614, ur_usb1286_swio13_lednop_ee_hw },
 { 205616, ur_usb1286_swio13_lednop_ee_ce_hw },
 { 205617, ur_usb1286_swio13_lednop_ee_ce_hw },
 { 205618, ur_usb1286_swio13_dual },
 { 205619, ur_usb1286_swio13_dual },
 { 205620, ur_usb1286_swio13_dual },
 { 205621, ur_usb1286_swio13_dual_pr_ee },
 { 205622, ur_usb1286_swio13_dual_pr_ee_u4 },
 { 205623, ur_usb1286_swio13_dual_pr_ce },
 { 205624, ur_usb1286_swio13_dual_pr_ce_u4 },
 { 205625, ur_usb1286_swio13_dual_pr_ee_ce },
 { 205626, ur_usb1286_swio13_dual_pr_ee_ce },
 { 205628, ur_usb1286_swio13_dual_ee_hw },
 { 205630, ur_usb1286_swio13_dual_ee_ce_hw },
 { 205631, ur_usb1286_swio13_dual_ee_ce_hw },
 { 205632, ur_usb1286_swio14_noled },
 { 205633, ur_usb1286_swio14_noled_pr },
 { 205634, ur_usb1286_swio14_noled_pr },
 { 205635, ur_usb1286_swio14_noled_pr_ee },
 { 205636, ur_usb1286_swio14_noled_pr_ee },
 { 205637, ur_usb1286_swio14_noled_pr_ce },
 { 205638, ur_usb1286_swio14_noled_pr_ce },
 { 205639, ur_usb1286_swio14_noled_pr_ee_ce },
 { 205640, ur_usb1286_swio14_noled_pr_ee_ce },
 { 205642, ur_usb1286_swio14_noled_ee_hw },
 { 205644, ur_usb1286_swio14_noled_ee_ce_hw },
 { 205645, ur_usb1286_swio14_noled_ee_ce_hw },
 { 205646, ur_usb1286_swio14_lednop },
 { 205647, ur_usb1286_swio14_lednop_pr },
 { 205648, ur_usb1286_swio14_lednop_pr },
 { 205649, ur_usb1286_swio14_lednop_pr_ee },
 { 205650, ur_usb1286_swio14_lednop_pr_ee },
 { 205651, ur_usb1286_swio14_lednop_pr_ce },
 { 205652, ur_usb1286_swio14_lednop_pr_ce },
 { 205653, ur_usb1286_swio14_lednop_pr_ee_ce },
 { 205654, ur_usb1286_swio14_lednop_pr_ee_ce },
 { 205656, ur_usb1286_swio14_lednop_ee_hw },
 { 205658, ur_usb1286_swio14_lednop_ee_ce_hw },
 { 205659, ur_usb1286_swio14_lednop_ee_ce_hw },
 { 205660, ur_usb1286_swio14_dual },
 { 205661, ur_usb1286_swio14_dual },
 { 205662, ur_usb1286_swio14_dual },
 { 205663, ur_usb1286_swio14_dual_pr_ee },
 { 205664, ur_usb1286_swio14_dual_pr_ee_u4 },
 { 205665, ur_usb1286_swio14_dual_pr_ce },
 { 205666, ur_usb1286_swio14_dual_pr_ce_u4 },
 { 205667, ur_usb1286_swio14_dual_pr_ee_ce },
 { 205668, ur_usb1286_swio14_dual_pr_ee_ce },
 { 205670, ur_usb1286_swio14_dual_ee_hw },
 { 205672, ur_usb1286_swio14_dual_ee_ce_hw },
 { 205673, ur_usb1286_swio14_dual_ee_ce_hw },
 { 205674, ur_usb1286_swio15_noled },
 { 205675, ur_usb1286_swio15_noled_pr },
 { 205676, ur_usb1286_swio15_noled_pr },
 { 205677, ur_usb1286_swio15_noled_pr_ee },
 { 205678, ur_usb1286_swio15_noled_pr_ee },
 { 205679, ur_usb1286_swio15_noled_pr_ce },
 { 205680, ur_usb1286_swio15_noled_pr_ce },
 { 205681, ur_usb1286_swio15_noled_pr_ee_ce },
 { 205682, ur_usb1286_swio15_noled_pr_ee_ce },
 { 205684, ur_usb1286_swio15_noled_ee_hw },
 { 205686, ur_usb1286_swio15_noled_ee_ce_hw },
 { 205687, ur_usb1286_swio15_noled_ee_ce_hw },
 { 205688, ur_usb1286_swio15_lednop },
 { 205689, ur_usb1286_swio15_lednop },
 { 205690, ur_usb1286_swio15_lednop },
 { 205691, ur_usb1286_swio15_lednop_pr_ee },
 { 205692, ur_usb1286_swio15_lednop_pr_ee },
 { 205693, ur_usb1286_swio15_lednop_pr_ce },
 { 205694, ur_usb1286_swio15_lednop_pr_ce },
 { 205695, ur_usb1286_swio15_lednop_pr_ee_ce },
 { 205696, ur_usb1286_swio15_lednop_pr_ee_ce },
 { 205698, ur_usb1286_swio15_lednop_ee_hw },
 { 205700, ur_usb1286_swio15_lednop_ee_ce_hw },
 { 205701, ur_usb1286_swio15_lednop_ee_ce_hw },
 { 205702, ur_usb1286_swio15_dual },
 { 205703, ur_usb1286_swio15_dual },
 { 205704, ur_usb1286_swio15_dual },
 { 205705, ur_usb1286_swio15_dual_pr_ee },
 { 205706, ur_usb1286_swio15_dual_pr_ee_u4 },
 { 205707, ur_usb1286_swio15_dual_pr_ce },
 { 205708, ur_usb1286_swio15_dual_pr_ce_u4 },
 { 205709, ur_usb1286_swio15_dual_pr_ee_ce },
 { 205710, ur_usb1286_swio15_dual_pr_ee_ce },
 { 205712, ur_usb1286_swio15_dual_ee_hw },
 { 205714, ur_usb1286_swio15_dual_ee_ce_hw },
 { 205715, ur_usb1286_swio15_dual_ee_ce_hw },
 { 205716, ur_usb1286_autobaud_uart0_noled },
 { 205717, ur_usb1286_autobaud_uart0_noled_pr },
 { 205718, ur_usb1286_autobaud_uart0_noled_pr },
 { 205719, ur_usb1286_autobaud_uart0_noled_pr_ee },
 { 205720, ur_usb1286_autobaud_uart0_noled_pr_ee },
 { 205721, ur_usb1286_autobaud_uart0_noled_pr_ce },
 { 205722, ur_usb1286_autobaud_uart0_noled_pr_ce },
 { 205723, ur_usb1286_autobaud_uart0_noled_pr_ee_ce },
 { 205724, ur_usb1286_autobaud_uart0_noled_pr_ee_ce },
 { 205726, ur_m1284_autobaud_uart1_noled_ee_hw },
 { 205728, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 { 205729, ur_m1284_autobaud_uart1_noled_ee_ce_hw },
 { 205730, ur_usb1286_autobaud_uart0_lednop },
 { 205731, ur_usb1286_autobaud_uart0_lednop_pr },
 { 205732, ur_usb1286_autobaud_uart0_lednop_pr },
 { 205733, ur_usb1286_autobaud_uart0_lednop_pr_ee },
 { 205734, ur_usb1286_autobaud_uart0_lednop_pr_ee },
 { 205735, ur_usb1286_autobaud_uart0_lednop_pr_ce },
 { 205736, ur_usb1286_autobaud_uart0_lednop_pr_ce },
 { 205737, ur_usb1286_autobaud_uart0_lednop_pr_ee_ce },
 { 205738, ur_usb1286_autobaud_uart0_lednop_pr_ee_ce },
 { 205740, ur_m1284_autobaud_uart1_lednop_ee_hw },
 { 205742, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 { 205743, ur_m1284_autobaud_uart1_lednop_ee_ce_hw },
 { 205744, ur_usb1286_autobaud_uart0_dual },
 { 205745, ur_usb1286_autobaud_uart0_dual },
 { 205746, ur_usb1286_autobaud_uart0_dual },
 { 205747, ur_usb1286_autobaud_uart0_dual_pr_ee },
 { 205748, ur_usb1286_autobaud_uart0_dual_pr_ee_u4 },
 { 205749, ur_usb1286_autobaud_uart0_dual_pr_ce },
 { 205750, ur_usb1286_autobaud_uart0_dual_pr_ce_u4 },
 { 205751, ur_usb1286_autobaud_uart0_dual_pr_ee_ce },
 { 205752, ur_usb1286_autobaud_uart0_dual_pr_ee_ce },
 { 205754, ur_usb1286_autobaud_uart0_dual_ee_hw },
 { 205756, ur_usb1286_autobaud_uart0_dual_ee_ce_hw },
 { 205757, ur_usb1286_autobaud_uart0_dual_ee_ce_hw },
 { 205926, ur_usb1286_u1x8_uart0_noled },
 { 205927, ur_usb1286_u1x8_uart0_noled },
 { 205928, ur_usb1286_u1x8_uart0_noled_pr_u4 },
 { 205929, ur_usb1286_u1x8_uart0_noled_pr_ee },
 { 205930, ur_usb1286_u1x8_uart0_noled_pr_ee },
 { 205931, ur_usb1286_u1x8_uart0_noled_pr_ce },
 { 205932, ur_usb1286_u1x8_uart0_noled_pr_ce },
 { 205933, ur_usb1286_u1x8_uart0_noled_pr_ee_ce },
 { 205934, ur_usb1286_u1x8_uart0_noled_pr_ee_ce },
 { 205936, ur_m1284_u1x8_uart1_noled_ee_hw },
 { 205938, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 { 205939, ur_m1284_u1x8_uart1_noled_ee_ce_hw },
 { 205940, ur_usb1286_u1x8_uart0_lednop },
 { 205941, ur_usb1286_u1x8_uart0_lednop },
 { 205942, ur_usb1286_u1x8_uart0_lednop_pr_u4 },
 { 205943, ur_usb1286_u1x8_uart0_lednop_pr_ee },
 { 205944, ur_usb1286_u1x8_uart0_lednop_pr_ee },
 { 205945, ur_usb1286_u1x8_uart0_lednop_pr_ce },
 { 205946, ur_usb1286_u1x8_uart0_lednop_pr_ce },
 { 205947, ur_usb1286_u1x8_uart0_lednop_pr_ee_ce },
 { 205948, ur_usb1286_u1x8_uart0_lednop_pr_ee_ce },
 { 205950, ur_m1284_u1x8_uart1_lednop_ee_hw },
 { 205952, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 { 205953, ur_m1284_u1x8_uart1_lednop_ee_ce_hw },
 { 205954, ur_usb1286_u1x8_uart0_dual },
 { 205955, ur_usb1286_u1x8_uart0_dual },
 { 205956, ur_usb1286_u1x8_uart0_dual },
 { 205957, ur_usb1286_u1x8_uart0_dual_pr_ee },
 { 205958, ur_usb1286_u1x8_uart0_dual_pr_ee_u4 },
 { 205959, ur_usb1286_u1x8_uart0_dual_pr_ce },
 { 205960, ur_usb1286_u1x8_uart0_dual_pr_ce_u4 },
 { 205961, ur_usb1286_u1x8_uart0_dual_pr_ee_ce },
 { 205962, ur_usb1286_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 205964, ur_usb1286_u1x8_uart0_dual_ee_hw },
 { 205966, ur_usb1286_u1x8_uart0_dual_ee_ce_hw },
 { 205967, ur_usb1286_u1x8_uart0_dual_ee_ce_hw },
 { 206136, ur_usb1286_u1x12_uart0_noled },
 { 206137, ur_usb1286_u1x12_uart0_noled },
 { 206138, ur_usb1286_u1x12_uart0_noled_pr_u4 },
 { 206139, ur_usb1286_u1x12_uart0_noled_pr_ee },
 { 206140, ur_usb1286_u1x12_uart0_noled_pr_ee },
 { 206141, ur_usb1286_u1x12_uart0_noled_pr_ce },
 { 206142, ur_usb1286_u1x12_uart0_noled_pr_ce },
 { 206143, ur_usb1286_u1x12_uart0_noled_pr_ee_ce },
 { 206144, ur_usb1286_u1x12_uart0_noled_pr_ee_ce },
 { 206146, ur_m1284_u1x12_uart1_noled_ee_hw },
 { 206148, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 { 206149, ur_m1284_u1x12_uart1_noled_ee_ce_hw },
 { 206150, ur_usb1286_u1x12_uart0_lednop },
 { 206151, ur_usb1286_u1x12_uart0_lednop },
 { 206152, ur_usb1286_u1x12_uart0_lednop_pr_u4 },
 { 206153, ur_usb1286_u1x12_uart0_lednop_pr_ee },
 { 206154, ur_usb1286_u1x12_uart0_lednop_pr_ee },
 { 206155, ur_usb1286_u1x12_uart0_lednop_pr_ce },
 { 206156, ur_usb1286_u1x12_uart0_lednop_pr_ce },
 { 206157, ur_usb1286_u1x12_uart0_lednop_pr_ee_ce },
 { 206158, ur_usb1286_u1x12_uart0_lednop_pr_ee_ce },
 { 206160, ur_m1284_u1x12_uart1_lednop_ee_hw },
 { 206162, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 { 206163, ur_m1284_u1x12_uart1_lednop_ee_ce_hw },
 { 206164, ur_usb1286_u1x12_uart0_dual },
 { 206165, ur_usb1286_u1x12_uart0_dual },
 { 206166, ur_usb1286_u1x12_uart0_dual },
 { 206167, ur_usb1286_u1x12_uart0_dual_pr_ee },
 { 206168, ur_usb1286_u1x12_uart0_dual_pr_ee_u4 },
 { 206169, ur_usb1286_u1x12_uart0_dual_pr_ce },
 { 206170, ur_usb1286_u1x12_uart0_dual_pr_ce_u4 },
 { 206171, ur_usb1286_u1x12_uart0_dual_pr_ee_ce },
 { 206172, ur_usb1286_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 206174, ur_usb1286_u1x12_uart0_dual_ee_hw },
 { 206176, ur_usb1286_u1x12_uart0_dual_ee_ce_hw },
 { 206177, ur_usb1286_u1x12_uart0_dual_ee_ce_hw },
 { 206346, ur_usb1286_u2x8_uart0_noled },
 { 206347, ur_usb1286_u2x8_uart0_noled },
 { 206348, ur_usb1286_u2x8_uart0_noled_pr_u4 },
 { 206349, ur_usb1286_u2x8_uart0_noled_pr_ee },
 { 206350, ur_usb1286_u2x8_uart0_noled_pr_ee },
 { 206351, ur_usb1286_u2x8_uart0_noled_pr_ce },
 { 206352, ur_usb1286_u2x8_uart0_noled_pr_ce },
 { 206353, ur_usb1286_u2x8_uart0_noled_pr_ee_ce },
 { 206354, ur_usb1286_u2x8_uart0_noled_pr_ee_ce },
 { 206356, ur_m1284_u2x8_uart1_noled_ee_hw },
 { 206358, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 { 206359, ur_m1284_u2x8_uart1_noled_ee_ce_hw },
 { 206360, ur_usb1286_u2x8_uart0_lednop },
 { 206361, ur_usb1286_u2x8_uart0_lednop },
 { 206362, ur_usb1286_u2x8_uart0_lednop_pr_u4 },
 { 206363, ur_usb1286_u2x8_uart0_lednop_pr_ee },
 { 206364, ur_usb1286_u2x8_uart0_lednop_pr_ee },
 { 206365, ur_usb1286_u2x8_uart0_lednop_pr_ce },
 { 206366, ur_usb1286_u2x8_uart0_lednop_pr_ce },
 { 206367, ur_usb1286_u2x8_uart0_lednop_pr_ee_ce },
 { 206368, ur_usb1286_u2x8_uart0_lednop_pr_ee_ce },
 { 206370, ur_m1284_u2x8_uart1_lednop_ee_hw },
 { 206372, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 { 206373, ur_m1284_u2x8_uart1_lednop_ee_ce_hw },
 { 206374, ur_usb1286_u2x8_uart0_dual },
 { 206375, ur_usb1286_u2x8_uart0_dual },
 { 206376, ur_usb1286_u2x8_uart0_dual },
 { 206377, ur_usb1286_u2x8_uart0_dual_pr_ee },
 { 206378, ur_usb1286_u2x8_uart0_dual_pr_ee_u4 },
 { 206379, ur_usb1286_u2x8_uart0_dual_pr_ce },
 { 206380, ur_usb1286_u2x8_uart0_dual_pr_ce_u4 },
 { 206381, ur_usb1286_u2x8_uart0_dual_pr_ee_ce },
 { 206382, ur_usb1286_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 206384, ur_usb1286_u2x8_uart0_dual_ee_hw },
 { 206386, ur_usb1286_u2x8_uart0_dual_ee_ce_hw },
 { 206387, ur_usb1286_u2x8_uart0_dual_ee_ce_hw },
 { 206556, ur_usb1286_u2x12_uart0_noled },
 { 206557, ur_usb1286_u2x12_uart0_noled },
 { 206558, ur_usb1286_u2x12_uart0_noled_pr_u4 },
 { 206559, ur_usb1286_u2x12_uart0_noled_pr_ee },
 { 206560, ur_usb1286_u2x12_uart0_noled_pr_ee },
 { 206561, ur_usb1286_u2x12_uart0_noled_pr_ce },
 { 206562, ur_usb1286_u2x12_uart0_noled_pr_ce },
 { 206563, ur_usb1286_u2x12_uart0_noled_pr_ee_ce },
 { 206564, ur_usb1286_u2x12_uart0_noled_pr_ee_ce },
 { 206566, ur_m1284_u2x12_uart1_noled_ee_hw },
 { 206568, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 { 206569, ur_m1284_u2x12_uart1_noled_ee_ce_hw },
 { 206570, ur_usb1286_u2x12_uart0_lednop },
 { 206571, ur_usb1286_u2x12_uart0_lednop },
 { 206572, ur_usb1286_u2x12_uart0_lednop_pr_u4 },
 { 206573, ur_usb1286_u2x12_uart0_lednop_pr_ee },
 { 206574, ur_usb1286_u2x12_uart0_lednop_pr_ee },
 { 206575, ur_usb1286_u2x12_uart0_lednop_pr_ce },
 { 206576, ur_usb1286_u2x12_uart0_lednop_pr_ce },
 { 206577, ur_usb1286_u2x12_uart0_lednop_pr_ee_ce },
 { 206578, ur_usb1286_u2x12_uart0_lednop_pr_ee_ce },
 { 206580, ur_m1284_u2x12_uart1_lednop_ee_hw },
 { 206582, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 { 206583, ur_m1284_u2x12_uart1_lednop_ee_ce_hw },
 { 206584, ur_usb1286_u2x12_uart0_dual },
 { 206585, ur_usb1286_u2x12_uart0_dual },
 { 206586, ur_usb1286_u2x12_uart0_dual },
 { 206587, ur_usb1286_u2x12_uart0_dual_pr_ee },
 { 206588, ur_usb1286_u2x12_uart0_dual_pr_ee_u4 },
 { 206589, ur_usb1286_u2x12_uart0_dual_pr_ce },
 { 206590, ur_usb1286_u2x12_uart0_dual_pr_ce_u4 },
 { 206591, ur_usb1286_u2x12_uart0_dual_pr_ee_ce },
 { 206592, ur_usb1286_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 206594, ur_usb1286_u2x12_uart0_dual_ee_hw },
 { 206596, ur_usb1286_u2x12_uart0_dual_ee_ce_hw },
 { 206597, ur_usb1286_u2x12_uart0_dual_ee_ce_hw },
 { 206766, ur_usb1286_swio10_noled },
 { 206767, ur_usb1286_swio10_noled_pr },
 { 206768, ur_usb1286_swio10_noled_pr },
 { 206769, ur_usb1286_swio10_noled_pr_ee },
 { 206770, ur_usb1286_swio10_noled_pr_ee },
 { 206771, ur_usb1286_swio10_noled_pr_ce },
 { 206772, ur_usb1286_swio10_noled_pr_ce },
 { 206773, ur_usb1286_swio10_noled_pr_ee_ce },
 { 206774, ur_usb1286_swio10_noled_pr_ee_ce },
 { 206776, ur_usb1286_swio10_noled_ee_hw },
 { 206778, ur_usb1286_swio10_noled_ee_ce_hw },
 { 206779, ur_usb1286_swio10_noled_ee_ce_hw },
 { 206780, ur_usb1286_swio10_lednop },
 { 206781, ur_usb1286_swio10_lednop_pr },
 { 206782, ur_usb1286_swio10_lednop_pr },
 { 206783, ur_usb1286_swio10_lednop_pr_ee },
 { 206784, ur_usb1286_swio10_lednop_pr_ee },
 { 206785, ur_usb1286_swio10_lednop_pr_ce },
 { 206786, ur_usb1286_swio10_lednop_pr_ce },
 { 206787, ur_usb1286_swio10_lednop_pr_ee_ce },
 { 206788, ur_usb1286_swio10_lednop_pr_ee_ce },
 { 206790, ur_usb1286_swio10_lednop_ee_hw },
 { 206792, ur_usb1286_swio10_lednop_ee_ce_hw },
 { 206793, ur_usb1286_swio10_lednop_ee_ce_hw },
 { 206794, ur_usb1286_swio10_dual },
 { 206795, ur_usb1286_swio10_dual },
 { 206796, ur_usb1286_swio10_dual },
 { 206797, ur_usb1286_swio10_dual_pr_ee },
 { 206798, ur_usb1286_swio10_dual_pr_ee_u4 },
 { 206799, ur_usb1286_swio10_dual_pr_ce },
 { 206800, ur_usb1286_swio10_dual_pr_ce_u4 },
 { 206801, ur_usb1286_swio10_dual_pr_ee_ce },
 { 206802, ur_usb1286_swio10_dual_pr_ee_ce },
 { 206804, ur_usb1286_swio10_dual_ee_hw },
 { 206806, ur_usb1286_swio10_dual_ee_ce_hw },
 { 206807, ur_usb1286_swio10_dual_ee_ce_hw },
 { 206808, ur_usb1286_swio11_noled },
 { 206809, ur_usb1286_swio11_noled_pr },
 { 206810, ur_usb1286_swio11_noled_pr },
 { 206811, ur_usb1286_swio11_noled_pr_ee },
 { 206812, ur_usb1286_swio11_noled_pr_ee },
 { 206813, ur_usb1286_swio11_noled_pr_ce },
 { 206814, ur_usb1286_swio11_noled_pr_ce },
 { 206815, ur_usb1286_swio11_noled_pr_ee_ce },
 { 206816, ur_usb1286_swio11_noled_pr_ee_ce },
 { 206818, ur_usb1286_swio11_noled_ee_hw },
 { 206820, ur_usb1286_swio11_noled_ee_ce_hw },
 { 206821, ur_usb1286_swio11_noled_ee_ce_hw },
 { 206822, ur_usb1286_swio11_lednop },
 { 206823, ur_usb1286_swio11_lednop_pr },
 { 206824, ur_usb1286_swio11_lednop_pr },
 { 206825, ur_usb1286_swio11_lednop_pr_ee },
 { 206826, ur_usb1286_swio11_lednop_pr_ee },
 { 206827, ur_usb1286_swio11_lednop_pr_ce },
 { 206828, ur_usb1286_swio11_lednop_pr_ce },
 { 206829, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 206830, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 206832, ur_usb1286_swio11_lednop_ee_hw },
 { 206834, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 206835, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 206836, ur_usb1286_swio11_dual },
 { 206837, ur_usb1286_swio11_dual },
 { 206838, ur_usb1286_swio11_dual },
 { 206839, ur_usb1286_swio11_dual_pr_ee },
 { 206840, ur_usb1286_swio11_dual_pr_ee_u4 },
 { 206841, ur_usb1286_swio11_dual_pr_ce },
 { 206842, ur_usb1286_swio11_dual_pr_ce_u4 },
 { 206843, ur_usb1286_swio11_dual_pr_ee_ce },
 { 206844, ur_usb1286_swio11_dual_pr_ee_ce },
 { 206846, ur_usb1286_swio11_dual_ee_hw },
 { 206848, ur_usb1286_swio11_dual_ee_ce_hw },
 { 206849, ur_usb1286_swio11_dual_ee_ce_hw },
 { 206850, ur_usb1286_swio11_noled },
 { 206851, ur_usb1286_swio11_noled_pr },
 { 206852, ur_usb1286_swio11_noled_pr },
 { 206853, ur_usb1286_swio11_noled_pr_ee },
 { 206854, ur_usb1286_swio11_noled_pr_ee },
 { 206855, ur_usb1286_swio11_noled_pr_ce },
 { 206856, ur_usb1286_swio11_noled_pr_ce },
 { 206857, ur_usb1286_swio11_noled_pr_ee_ce },
 { 206858, ur_usb1286_swio11_noled_pr_ee_ce },
 { 206860, ur_usb1286_swio11_noled_ee_hw },
 { 206862, ur_usb1286_swio11_noled_ee_ce_hw },
 { 206863, ur_usb1286_swio11_noled_ee_ce_hw },
 { 206864, ur_usb1286_swio11_lednop },
 { 206865, ur_usb1286_swio11_lednop_pr },
 { 206866, ur_usb1286_swio11_lednop_pr },
 { 206867, ur_usb1286_swio11_lednop_pr_ee },
 { 206868, ur_usb1286_swio11_lednop_pr_ee },
 { 206869, ur_usb1286_swio11_lednop_pr_ce },
 { 206870, ur_usb1286_swio11_lednop_pr_ce },
 { 206871, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 206872, ur_usb1286_swio11_lednop_pr_ee_ce },
 { 206874, ur_usb1286_swio11_lednop_ee_hw },
 { 206876, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 206877, ur_usb1286_swio11_lednop_ee_ce_hw },
 { 206878, ur_usb1286_swio11_dual },
 { 206879, ur_usb1286_swio11_dual },
 { 206880, ur_usb1286_swio11_dual },
 { 206881, ur_usb1286_swio11_dual_pr_ee },
 { 206882, ur_usb1286_swio11_dual_pr_ee_u4 },
 { 206883, ur_usb1286_swio11_dual_pr_ce },
 { 206884, ur_usb1286_swio11_dual_pr_ce_u4 },
 { 206885, ur_usb1286_swio11_dual_pr_ee_ce },
 { 206886, ur_usb1286_swio11_dual_pr_ee_ce },
 { 206888, ur_usb1286_swio11_dual_ee_hw },
 { 206890, ur_usb1286_swio11_dual_ee_ce_hw },
 { 206891, ur_usb1286_swio11_dual_ee_ce_hw },
 { 206892, ur_usb1286_swio13_noled },
 { 206893, ur_usb1286_swio13_noled_pr },
 { 206894, ur_usb1286_swio13_noled_pr },
 { 206895, ur_usb1286_swio13_noled_pr_ee },
 { 206896, ur_usb1286_swio13_noled_pr_ee },
 { 206897, ur_usb1286_swio13_noled_pr_ce },
 { 206898, ur_usb1286_swio13_noled_pr_ce },
 { 206899, ur_usb1286_swio13_noled_pr_ee_ce },
 { 206900, ur_usb1286_swio13_noled_pr_ee_ce },
 { 206902, ur_usb1286_swio13_noled_ee_hw },
 { 206904, ur_usb1286_swio13_noled_ee_ce_hw },
 { 206905, ur_usb1286_swio13_noled_ee_ce_hw },
 { 206906, ur_usb1286_swio13_lednop },
 { 206907, ur_usb1286_swio13_lednop },
 { 206908, ur_usb1286_swio13_lednop },
 { 206909, ur_usb1286_swio13_lednop_pr_ee },
 { 206910, ur_usb1286_swio13_lednop_pr_ee },
 { 206911, ur_usb1286_swio13_lednop_pr_ce },
 { 206912, ur_usb1286_swio13_lednop_pr_ce },
 { 206913, ur_usb1286_swio13_lednop_pr_ee_ce },
 { 206914, ur_usb1286_swio13_lednop_pr_ee_ce },
 { 206916, ur_usb1286_swio13_lednop_ee_hw },
 { 206918, ur_usb1286_swio13_lednop_ee_ce_hw },
 { 206919, ur_usb1286_swio13_lednop_ee_ce_hw },
 { 206920, ur_usb1286_swio13_dual },
 { 206921, ur_usb1286_swio13_dual },
 { 206922, ur_usb1286_swio13_dual },
 { 206923, ur_usb1286_swio13_dual_pr_ee },
 { 206924, ur_usb1286_swio13_dual_pr_ee_u4 },
 { 206925, ur_usb1286_swio13_dual_pr_ce },
 { 206926, ur_usb1286_swio13_dual_pr_ce_u4 },
 { 206927, ur_usb1286_swio13_dual_pr_ee_ce },
 { 206928, ur_usb1286_swio13_dual_pr_ee_ce },
 { 206930, ur_usb1286_swio13_dual_ee_hw },
 { 206932, ur_usb1286_swio13_dual_ee_ce_hw },
 { 206933, ur_usb1286_swio13_dual_ee_ce_hw },
 { 206934, ur_usb1286_swio14_noled },
 { 206935, ur_usb1286_swio14_noled_pr },
 { 206936, ur_usb1286_swio14_noled_pr },
 { 206937, ur_usb1286_swio14_noled_pr_ee },
 { 206938, ur_usb1286_swio14_noled_pr_ee },
 { 206939, ur_usb1286_swio14_noled_pr_ce },
 { 206940, ur_usb1286_swio14_noled_pr_ce },
 { 206941, ur_usb1286_swio14_noled_pr_ee_ce },
 { 206942, ur_usb1286_swio14_noled_pr_ee_ce },
 { 206944, ur_usb1286_swio14_noled_ee_hw },
 { 206946, ur_usb1286_swio14_noled_ee_ce_hw },
 { 206947, ur_usb1286_swio14_noled_ee_ce_hw },
 { 206948, ur_usb1286_swio14_lednop },
 { 206949, ur_usb1286_swio14_lednop_pr },
 { 206950, ur_usb1286_swio14_lednop_pr },
 { 206951, ur_usb1286_swio14_lednop_pr_ee },
 { 206952, ur_usb1286_swio14_lednop_pr_ee },
 { 206953, ur_usb1286_swio14_lednop_pr_ce },
 { 206954, ur_usb1286_swio14_lednop_pr_ce },
 { 206955, ur_usb1286_swio14_lednop_pr_ee_ce },
 { 206956, ur_usb1286_swio14_lednop_pr_ee_ce },
 { 206958, ur_usb1286_swio14_lednop_ee_hw },
 { 206960, ur_usb1286_swio14_lednop_ee_ce_hw },
 { 206961, ur_usb1286_swio14_lednop_ee_ce_hw },
 { 206962, ur_usb1286_swio14_dual },
 { 206963, ur_usb1286_swio14_dual },
 { 206964, ur_usb1286_swio14_dual },
 { 206965, ur_usb1286_swio14_dual_pr_ee },
 { 206966, ur_usb1286_swio14_dual_pr_ee_u4 },
 { 206967, ur_usb1286_swio14_dual_pr_ce },
 { 206968, ur_usb1286_swio14_dual_pr_ce_u4 },
 { 206969, ur_usb1286_swio14_dual_pr_ee_ce },
 { 206970, ur_usb1286_swio14_dual_pr_ee_ce },
 { 206972, ur_usb1286_swio14_dual_ee_hw },
 { 206974, ur_usb1286_swio14_dual_ee_ce_hw },
 { 206975, ur_usb1286_swio14_dual_ee_ce_hw },
 { 206976, ur_usb1286_swio15_noled },
 { 206977, ur_usb1286_swio15_noled_pr },
 { 206978, ur_usb1286_swio15_noled_pr },
 { 206979, ur_usb1286_swio15_noled_pr_ee },
 { 206980, ur_usb1286_swio15_noled_pr_ee },
 { 206981, ur_usb1286_swio15_noled_pr_ce },
 { 206982, ur_usb1286_swio15_noled_pr_ce },
 { 206983, ur_usb1286_swio15_noled_pr_ee_ce },
 { 206984, ur_usb1286_swio15_noled_pr_ee_ce },
 { 206986, ur_usb1286_swio15_noled_ee_hw },
 { 206988, ur_usb1286_swio15_noled_ee_ce_hw },
 { 206989, ur_usb1286_swio15_noled_ee_ce_hw },
 { 206990, ur_usb1286_swio15_lednop },
 { 206991, ur_usb1286_swio15_lednop },
 { 206992, ur_usb1286_swio15_lednop },
 { 206993, ur_usb1286_swio15_lednop_pr_ee },
 { 206994, ur_usb1286_swio15_lednop_pr_ee },
 { 206995, ur_usb1286_swio15_lednop_pr_ce },
 { 206996, ur_usb1286_swio15_lednop_pr_ce },
 { 206997, ur_usb1286_swio15_lednop_pr_ee_ce },
 { 206998, ur_usb1286_swio15_lednop_pr_ee_ce },
 { 207000, ur_usb1286_swio15_lednop_ee_hw },
 { 207002, ur_usb1286_swio15_lednop_ee_ce_hw },
 { 207003, ur_usb1286_swio15_lednop_ee_ce_hw },
 { 207004, ur_usb1286_swio15_dual },
 { 207005, ur_usb1286_swio15_dual },
 { 207006, ur_usb1286_swio15_dual },
 { 207007, ur_usb1286_swio15_dual_pr_ee },
 { 207008, ur_usb1286_swio15_dual_pr_ee_u4 },
 { 207009, ur_usb1286_swio15_dual_pr_ce },
 { 207010, ur_usb1286_swio15_dual_pr_ce_u4 },
 { 207011, ur_usb1286_swio15_dual_pr_ee_ce },
 { 207012, ur_usb1286_swio15_dual_pr_ee_ce },
 { 207014, ur_usb1286_swio15_dual_ee_hw },
 { 207016, ur_usb1286_swio15_dual_ee_ce_hw },
 { 207017, ur_usb1286_swio15_dual_ee_ce_hw },
 { 207018, ur_t167_autobaud_uart0_noled },
 { 207019, ur_t167_autobaud_uart0_noled },
 { 207020, ur_t167_autobaud_uart0_noled_pr_u4 },
 { 207021, ur_t167_autobaud_uart0_noled_pr_ee },
 { 207022, ur_t167_autobaud_uart0_noled_pr_ee },
 { 207023, ur_t167_autobaud_uart0_noled_pr_ce },
 { 207024, ur_t167_autobaud_uart0_noled_pr_ce },
 { 207025, ur_t167_autobaud_uart0_noled_pr_ee_ce },
 { 207026, ur_t167_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 207032, ur_t167_autobaud_uart0_lednop },
 { 207033, ur_t167_autobaud_uart0_lednop },
 { 207034, ur_t167_autobaud_uart0_lednop_pr_u4 },
 { 207035, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 207036, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 207037, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 207038, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 207039, ur_t167_autobaud_uart0_lednop_pr_ee_ce },
 { 207040, ur_t167_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 207046, ur_t167_autobaud_uart0_dual },
 { 207047, ur_t167_autobaud_uart0_dual_pr },
 { 207048, ur_t167_autobaud_uart0_dual_pr },
 { 207049, ur_t167_autobaud_uart0_dual_pr_ee },
 { 207050, ur_t167_autobaud_uart0_dual_pr_ee_u4 },
 { 207051, ur_t167_autobaud_uart0_dual_pr_ce },
 { 207052, ur_t167_autobaud_uart0_dual_pr_ce },
 { 207053, ur_t167_autobaud_uart0_dual_pr_ee_ce },
 { 207054, ur_t167_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 207186, ur_t167_lin_uart0_noled },
 { 207187, ur_t167_lin_uart0_noled },
 { 207188, ur_t167_lin_uart0_noled_pr_u4 },
 { 207189, ur_t167_lin_uart0_noled_pr_ee },
 { 207190, ur_t167_lin_uart0_noled_pr_ee },
 { 207191, ur_t167_lin_uart0_noled_pr_ce },
 { 207192, ur_t167_lin_uart0_noled_pr_ce_u4 },
 { 207193, ur_t167_lin_uart0_noled_pr_ee_ce },
 { 207194, ur_t167_lin_uart0_noled_pr_ee_ce_u4 },
 { 207200, ur_t167_lin_uart0_lednop },
 { 207201, ur_t167_lin_uart0_lednop },
 { 207202, ur_t167_lin_uart0_lednop_pr_u4 },
 { 207203, ur_t167_lin_uart0_lednop_pr_ee },
 { 207204, ur_t167_lin_uart0_lednop_pr_ee },
 { 207205, ur_t167_lin_uart0_lednop_pr_ce },
 { 207206, ur_t167_lin_uart0_lednop_pr_ce_u4 },
 { 207207, ur_t167_lin_uart0_lednop_pr_ee_ce },
 { 207208, ur_t167_lin_uart0_lednop_pr_ee_ce_u4 },
 { 207214, ur_t167_lin_uart0_dual },
 { 207215, ur_t167_lin_uart0_dual },
 { 207216, ur_t167_lin_uart0_dual_pr_u4 },
 { 207217, ur_t167_lin_uart0_dual_pr_ee },
 { 207218, ur_t167_lin_uart0_dual_pr_ee },
 { 207219, ur_t167_lin_uart0_dual_pr_ce },
 { 207220, ur_t167_lin_uart0_dual_pr_ce },
 { 207221, ur_t167_lin_uart0_dual_pr_ee_ce },
 { 207222, ur_t167_lin_uart0_dual_pr_ee_ce_u4 },
 { 208068, ur_t167_swio10_noled },
 { 208069, ur_t167_swio10_noled },
 { 208070, ur_t167_swio10_noled_pr_u4 },
 { 208071, ur_t167_swio10_noled_pr_ee },
 { 208072, ur_t167_swio10_noled_pr_ee },
 { 208073, ur_t167_swio10_noled_pr_ce },
 { 208074, ur_t167_swio10_noled_pr_ce },
 { 208075, ur_t167_swio10_noled_pr_ee_ce },
 { 208076, ur_t167_swio10_noled_pr_ee_ce_u4 },
 { 208082, ur_t167_swio10_lednop },
 { 208083, ur_t167_swio10_lednop },
 { 208084, ur_t167_swio10_lednop_pr_u4 },
 { 208085, ur_t167_swio10_lednop_pr_ee },
 { 208086, ur_t167_swio10_lednop_pr_ee },
 { 208087, ur_t167_swio10_lednop_pr_ce },
 { 208088, ur_t167_swio10_lednop_pr_ce },
 { 208089, ur_t167_swio10_lednop_pr_ee_ce },
 { 208090, ur_t167_swio10_lednop_pr_ee_ce_u4 },
 { 208096, ur_t167_swio10_dual },
 { 208097, ur_t167_swio10_dual },
 { 208098, ur_t167_swio10_dual },
 { 208099, ur_t167_swio10_dual_pr_ee },
 { 208100, ur_t167_swio10_dual_pr_ee_u4 },
 { 208101, ur_t167_swio10_dual_pr_ce },
 { 208102, ur_t167_swio10_dual_pr_ce },
 { 208103, ur_t167_swio10_dual_pr_ee_ce },
 { 208104, ur_t167_swio10_dual_pr_ee_ce_u4 },
 { 208110, ur_t167_swio11_noled },
 { 208111, ur_t167_swio11_noled },
 { 208112, ur_t167_swio11_noled_pr_u4 },
 { 208113, ur_t167_swio11_noled_pr_ee },
 { 208114, ur_t167_swio11_noled_pr_ee },
 { 208115, ur_t167_swio11_noled_pr_ce },
 { 208116, ur_t167_swio11_noled_pr_ce },
 { 208117, ur_t167_swio11_noled_pr_ee_ce },
 { 208118, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 208124, ur_t167_swio11_lednop },
 { 208125, ur_t167_swio11_lednop },
 { 208126, ur_t167_swio11_lednop_pr_u4 },
 { 208127, ur_t167_swio11_lednop_pr_ee },
 { 208128, ur_t167_swio11_lednop_pr_ee },
 { 208129, ur_t167_swio11_lednop_pr_ce },
 { 208130, ur_t167_swio11_lednop_pr_ce },
 { 208131, ur_t167_swio11_lednop_pr_ee_ce },
 { 208132, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 208138, ur_t167_swio11_dual },
 { 208139, ur_t167_swio11_dual },
 { 208140, ur_t167_swio11_dual },
 { 208141, ur_t167_swio11_dual_pr_ee },
 { 208142, ur_t167_swio11_dual_pr_ee_u4 },
 { 208143, ur_t167_swio11_dual_pr_ce },
 { 208144, ur_t167_swio11_dual_pr_ce },
 { 208145, ur_t167_swio11_dual_pr_ee_ce },
 { 208146, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 208152, ur_t167_swio11_noled },
 { 208153, ur_t167_swio11_noled },
 { 208154, ur_t167_swio11_noled_pr_u4 },
 { 208155, ur_t167_swio11_noled_pr_ee },
 { 208156, ur_t167_swio11_noled_pr_ee },
 { 208157, ur_t167_swio11_noled_pr_ce },
 { 208158, ur_t167_swio11_noled_pr_ce },
 { 208159, ur_t167_swio11_noled_pr_ee_ce },
 { 208160, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 208166, ur_t167_swio11_lednop },
 { 208167, ur_t167_swio11_lednop },
 { 208168, ur_t167_swio11_lednop_pr_u4 },
 { 208169, ur_t167_swio11_lednop_pr_ee },
 { 208170, ur_t167_swio11_lednop_pr_ee },
 { 208171, ur_t167_swio11_lednop_pr_ce },
 { 208172, ur_t167_swio11_lednop_pr_ce },
 { 208173, ur_t167_swio11_lednop_pr_ee_ce },
 { 208174, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 208180, ur_t167_swio11_dual },
 { 208181, ur_t167_swio11_dual },
 { 208182, ur_t167_swio11_dual },
 { 208183, ur_t167_swio11_dual_pr_ee },
 { 208184, ur_t167_swio11_dual_pr_ee_u4 },
 { 208185, ur_t167_swio11_dual_pr_ce },
 { 208186, ur_t167_swio11_dual_pr_ce },
 { 208187, ur_t167_swio11_dual_pr_ee_ce },
 { 208188, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 208194, ur_t167_swio13_noled },
 { 208195, ur_t167_swio13_noled },
 { 208196, ur_t167_swio13_noled_pr_u4 },
 { 208197, ur_t167_swio13_noled_pr_ee },
 { 208198, ur_t167_swio13_noled_pr_ee },
 { 208199, ur_t167_swio13_noled_pr_ce },
 { 208200, ur_t167_swio13_noled_pr_ce },
 { 208201, ur_t167_swio13_noled_pr_ee_ce },
 { 208202, ur_t167_swio13_noled_pr_ee_ce_u4 },
 { 208208, ur_t167_swio13_lednop },
 { 208209, ur_t167_swio13_lednop_pr },
 { 208210, ur_t167_swio13_lednop_pr },
 { 208211, ur_t167_swio13_lednop_pr_ee },
 { 208212, ur_t167_swio13_lednop_pr_ee },
 { 208213, ur_t167_swio13_lednop_pr_ce },
 { 208214, ur_t167_swio13_lednop_pr_ce },
 { 208215, ur_t167_swio13_lednop_pr_ee_ce },
 { 208216, ur_t167_swio13_lednop_pr_ee_ce_u4 },
 { 208222, ur_t167_swio13_dual },
 { 208223, ur_t167_swio13_dual },
 { 208224, ur_t167_swio13_dual },
 { 208225, ur_t167_swio13_dual_pr_ee },
 { 208226, ur_t167_swio13_dual_pr_ee_u4 },
 { 208227, ur_t167_swio13_dual_pr_ce },
 { 208228, ur_t167_swio13_dual_pr_ce },
 { 208229, ur_t167_swio13_dual_pr_ee_ce },
 { 208230, ur_t167_swio13_dual_pr_ee_ce_u4 },
 { 208236, ur_t167_swio14_noled },
 { 208237, ur_t167_swio14_noled },
 { 208238, ur_t167_swio14_noled_pr_u4 },
 { 208239, ur_t167_swio14_noled_pr_ee },
 { 208240, ur_t167_swio14_noled_pr_ee },
 { 208241, ur_t167_swio14_noled_pr_ce },
 { 208242, ur_t167_swio14_noled_pr_ce },
 { 208243, ur_t167_swio14_noled_pr_ee_ce },
 { 208244, ur_t167_swio14_noled_pr_ee_ce_u4 },
 { 208250, ur_t167_swio14_lednop },
 { 208251, ur_t167_swio14_lednop },
 { 208252, ur_t167_swio14_lednop_pr_u4 },
 { 208253, ur_t167_swio14_lednop_pr_ee },
 { 208254, ur_t167_swio14_lednop_pr_ee },
 { 208255, ur_t167_swio14_lednop_pr_ce },
 { 208256, ur_t167_swio14_lednop_pr_ce },
 { 208257, ur_t167_swio14_lednop_pr_ee_ce },
 { 208258, ur_t167_swio14_lednop_pr_ee_ce_u4 },
 { 208264, ur_t167_swio14_dual },
 { 208265, ur_t167_swio14_dual },
 { 208266, ur_t167_swio14_dual },
 { 208267, ur_t167_swio14_dual_pr_ee },
 { 208268, ur_t167_swio14_dual_pr_ee_u4 },
 { 208269, ur_t167_swio14_dual_pr_ce },
 { 208270, ur_t167_swio14_dual_pr_ce },
 { 208271, ur_t167_swio14_dual_pr_ee_ce },
 { 208272, ur_t167_swio14_dual_pr_ee_ce_u4 },
 { 208278, ur_t167_swio15_noled },
 { 208279, ur_t167_swio15_noled },
 { 208280, ur_t167_swio15_noled_pr_u4 },
 { 208281, ur_t167_swio15_noled_pr_ee },
 { 208282, ur_t167_swio15_noled_pr_ee },
 { 208283, ur_t167_swio15_noled_pr_ce },
 { 208284, ur_t167_swio15_noled_pr_ce },
 { 208285, ur_t167_swio15_noled_pr_ee_ce },
 { 208286, ur_t167_swio15_noled_pr_ee_ce_u4 },
 { 208292, ur_t167_swio15_lednop },
 { 208293, ur_t167_swio15_lednop_pr },
 { 208294, ur_t167_swio15_lednop_pr },
 { 208295, ur_t167_swio15_lednop_pr_ee },
 { 208296, ur_t167_swio15_lednop_pr_ee },
 { 208297, ur_t167_swio15_lednop_pr_ce },
 { 208298, ur_t167_swio15_lednop_pr_ce },
 { 208299, ur_t167_swio15_lednop_pr_ee_ce },
 { 208300, ur_t167_swio15_lednop_pr_ee_ce_u4 },
 { 208306, ur_t167_swio15_dual },
 { 208307, ur_t167_swio15_dual },
 { 208308, ur_t167_swio15_dual },
 { 208309, ur_t167_swio15_dual_pr_ee },
 { 208310, ur_t167_swio15_dual_pr_ee_u4 },
 { 208311, ur_t167_swio15_dual_pr_ce },
 { 208312, ur_t167_swio15_dual_pr_ce },
 { 208313, ur_t167_swio15_dual_pr_ee_ce },
 { 208314, ur_t167_swio15_dual_pr_ee_ce_u4 },
 { 208320, ur_m48p_autobaud_uart0_noled },
 { 208321, ur_m48p_autobaud_uart0_noled },
 { 208322, ur_m48p_autobaud_uart0_noled_pr_u4 },
 { 208323, ur_m88_autobaud_uart0_noled_pr_ee },
 { 208324, ur_m88_autobaud_uart0_noled_pr_ee_u4 },
 { 208325, ur_m88_autobaud_uart0_noled_pr_ce },
 { 208326, ur_m88_autobaud_uart0_noled_pr_ce_u4 },
 { 208327, ur_m88_autobaud_uart0_noled_pr_ee_ce },
 { 208328, ur_m88_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 208329, ur_m88_autobaud_uart0_noled_hw },
 { 208330, ur_m88_autobaud_uart0_noled_ee_hw },
 { 208331, ur_m88_autobaud_uart0_noled_ce_hw },
 { 208332, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 { 208333, ur_m88_autobaud_uart0_noled_ee_ce_hw },
 { 208334, ur_m48p_autobaud_uart0_lednop },
 { 208335, ur_m48p_autobaud_uart0_lednop },
 { 208336, ur_m48p_autobaud_uart0_lednop_pr_u4 },
 { 208337, ur_m88_autobaud_uart0_lednop_pr_ee },
 { 208338, ur_m88_autobaud_uart0_lednop_pr_ee_u4 },
 { 208339, ur_m88_autobaud_uart0_lednop_pr_ce },
 { 208340, ur_m88_autobaud_uart0_lednop_pr_ce_u4 },
 { 208341, ur_m88_autobaud_uart0_lednop_pr_ee_ce },
 { 208342, ur_m88_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 208343, ur_m88_autobaud_uart0_lednop_hw },
 { 208344, ur_m88_autobaud_uart0_lednop_ee_hw },
 { 208345, ur_m88_autobaud_uart0_lednop_ce_hw },
 { 208346, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 { 208347, ur_m88_autobaud_uart0_lednop_ee_ce_hw },
 { 208348, ur_m88_autobaud_uart0_dual },
 { 208349, ur_m88_autobaud_uart0_dual_pr },
 { 208350, ur_m88_autobaud_uart0_dual_pr_u4 },
 { 208351, ur_m88_autobaud_uart0_dual_pr_ee },
 { 208352, ur_m88_autobaud_uart0_dual_pr_ee_u4 },
 { 208353, ur_m88_autobaud_uart0_dual_pr_ce },
 { 208354, ur_m88_autobaud_uart0_dual_pr_ce_u4 },
 { 208355, ur_m88_autobaud_uart0_dual_pr_ee_ce },
 { 208356, ur_m88_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 208357, ur_m88_autobaud_uart0_dual_hw },
 { 208358, ur_m88_autobaud_uart0_dual_ee_hw },
 { 208359, ur_m88_autobaud_uart0_dual_ce_hw },
 { 208360, ur_m88_autobaud_uart0_dual_ee_ce_hw },
 { 208361, ur_m88_autobaud_uart0_dual_ee_ce_u4_hw },
 { 208530, ur_m48p_u1x8_uart0_noled },
 { 208531, ur_m48p_u1x8_uart0_noled },
 { 208532, ur_m48p_u1x8_uart0_noled_pr_u4 },
 { 208533, ur_m88_u1x8_uart0_noled_pr_ee },
 { 208534, ur_m88_u1x8_uart0_noled_pr_ee_u4 },
 { 208535, ur_m88_u1x8_uart0_noled_pr_ce },
 { 208536, ur_m88_u1x8_uart0_noled_pr_ce_u4 },
 { 208537, ur_m88_u1x8_uart0_noled_pr_ee_ce },
 { 208538, ur_m88_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 208539, ur_m88_u1x8_uart0_noled_hw },
 { 208540, ur_m88_u1x8_uart0_noled_ee_hw },
 { 208541, ur_m88_u1x8_uart0_noled_ce_hw },
 { 208542, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 { 208543, ur_m88_u1x8_uart0_noled_ee_ce_hw },
 { 208544, ur_m48p_u1x8_uart0_lednop },
 { 208545, ur_m48p_u1x8_uart0_lednop },
 { 208546, ur_m48p_u1x8_uart0_lednop_pr_u4 },
 { 208547, ur_m88_u1x8_uart0_lednop_pr_ee },
 { 208548, ur_m88_u1x8_uart0_lednop_pr_ee_u4 },
 { 208549, ur_m88_u1x8_uart0_lednop_pr_ce },
 { 208550, ur_m88_u1x8_uart0_lednop_pr_ce_u4 },
 { 208551, ur_m88_u1x8_uart0_lednop_pr_ee_ce },
 { 208552, ur_m88_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 208553, ur_m88_u1x8_uart0_lednop_hw },
 { 208554, ur_m88_u1x8_uart0_lednop_ee_hw },
 { 208555, ur_m88_u1x8_uart0_lednop_ce_hw },
 { 208556, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 { 208557, ur_m88_u1x8_uart0_lednop_ee_ce_hw },
 { 208558, ur_m88_u1x8_uart0_dual },
 { 208559, ur_m88_u1x8_uart0_dual },
 { 208560, ur_m88_u1x8_uart0_dual_pr_u4 },
 { 208561, ur_m88_u1x8_uart0_dual_pr_ee },
 { 208562, ur_m88_u1x8_uart0_dual_pr_ee_u4 },
 { 208563, ur_m88_u1x8_uart0_dual_pr_ce },
 { 208564, ur_m88_u1x8_uart0_dual_pr_ce_u4 },
 { 208565, ur_m88_u1x8_uart0_dual_pr_ee_ce },
 { 208566, ur_m88_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 208567, ur_m88_u1x8_uart0_dual_hw },
 { 208568, ur_m88_u1x8_uart0_dual_ee_hw },
 { 208569, ur_m88_u1x8_uart0_dual_ce_hw },
 { 208570, ur_m88_u1x8_uart0_dual_ee_ce_hw },
 { 208571, ur_m88_u1x8_uart0_dual_ee_ce_u4_hw },
 { 208740, ur_m48p_u1x12_uart0_noled },
 { 208741, ur_m48p_u1x12_uart0_noled },
 { 208742, ur_m48p_u1x12_uart0_noled_pr_u4 },
 { 208743, ur_m88_u1x12_uart0_noled_pr_ee },
 { 208744, ur_m88_u1x12_uart0_noled_pr_ee_u4 },
 { 208745, ur_m88_u1x12_uart0_noled_pr_ce },
 { 208746, ur_m88_u1x12_uart0_noled_pr_ce_u4 },
 { 208747, ur_m88_u1x12_uart0_noled_pr_ee_ce },
 { 208748, ur_m88_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 208749, ur_m88_u1x12_uart0_noled_hw },
 { 208750, ur_m88_u1x12_uart0_noled_ee_hw },
 { 208751, ur_m88_u1x12_uart0_noled_ce_hw },
 { 208752, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 { 208753, ur_m88_u1x12_uart0_noled_ee_ce_hw },
 { 208754, ur_m48p_u1x12_uart0_lednop },
 { 208755, ur_m48p_u1x12_uart0_lednop },
 { 208756, ur_m48p_u1x12_uart0_lednop_pr_u4 },
 { 208757, ur_m88_u1x12_uart0_lednop_pr_ee },
 { 208758, ur_m88_u1x12_uart0_lednop_pr_ee_u4 },
 { 208759, ur_m88_u1x12_uart0_lednop_pr_ce },
 { 208760, ur_m88_u1x12_uart0_lednop_pr_ce_u4 },
 { 208761, ur_m88_u1x12_uart0_lednop_pr_ee_ce },
 { 208762, ur_m88_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 208763, ur_m88_u1x12_uart0_lednop_hw },
 { 208764, ur_m88_u1x12_uart0_lednop_ee_hw },
 { 208765, ur_m88_u1x12_uart0_lednop_ce_hw },
 { 208766, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 { 208767, ur_m88_u1x12_uart0_lednop_ee_ce_hw },
 { 208768, ur_m88_u1x12_uart0_dual },
 { 208769, ur_m88_u1x12_uart0_dual },
 { 208770, ur_m88_u1x12_uart0_dual_pr_u4 },
 { 208771, ur_m88_u1x12_uart0_dual_pr_ee },
 { 208772, ur_m88_u1x12_uart0_dual_pr_ee_u4 },
 { 208773, ur_m88_u1x12_uart0_dual_pr_ce },
 { 208774, ur_m88_u1x12_uart0_dual_pr_ce_u4 },
 { 208775, ur_m88_u1x12_uart0_dual_pr_ee_ce },
 { 208776, ur_m88_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 208777, ur_m88_u1x12_uart0_dual_hw },
 { 208778, ur_m88_u1x12_uart0_dual_ee_hw },
 { 208779, ur_m88_u1x12_uart0_dual_ce_hw },
 { 208780, ur_m88_u1x12_uart0_dual_ee_ce_hw },
 { 208781, ur_m88_u1x12_uart0_dual_ee_ce_u4_hw },
 { 208950, ur_m48p_u2x8_uart0_noled },
 { 208951, ur_m48p_u2x8_uart0_noled },
 { 208952, ur_m48p_u2x8_uart0_noled_pr_u4 },
 { 208953, ur_m88_u2x8_uart0_noled_pr_ee },
 { 208954, ur_m88_u2x8_uart0_noled_pr_ee_u4 },
 { 208955, ur_m88_u2x8_uart0_noled_pr_ce },
 { 208956, ur_m88_u2x8_uart0_noled_pr_ce_u4 },
 { 208957, ur_m88_u2x8_uart0_noled_pr_ee_ce },
 { 208958, ur_m88_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 208959, ur_m88_u2x8_uart0_noled_hw },
 { 208960, ur_m88_u2x8_uart0_noled_ee_hw },
 { 208961, ur_m88_u2x8_uart0_noled_ce_hw },
 { 208962, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 { 208963, ur_m88_u2x8_uart0_noled_ee_ce_hw },
 { 208964, ur_m48p_u2x8_uart0_lednop },
 { 208965, ur_m48p_u2x8_uart0_lednop },
 { 208966, ur_m48p_u2x8_uart0_lednop_pr_u4 },
 { 208967, ur_m88_u2x8_uart0_lednop_pr_ee },
 { 208968, ur_m88_u2x8_uart0_lednop_pr_ee_u4 },
 { 208969, ur_m88_u2x8_uart0_lednop_pr_ce },
 { 208970, ur_m88_u2x8_uart0_lednop_pr_ce_u4 },
 { 208971, ur_m88_u2x8_uart0_lednop_pr_ee_ce },
 { 208972, ur_m88_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 208973, ur_m88_u2x8_uart0_lednop_hw },
 { 208974, ur_m88_u2x8_uart0_lednop_ee_hw },
 { 208975, ur_m88_u2x8_uart0_lednop_ce_hw },
 { 208976, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 { 208977, ur_m88_u2x8_uart0_lednop_ee_ce_hw },
 { 208978, ur_m88_u2x8_uart0_dual },
 { 208979, ur_m88_u2x8_uart0_dual },
 { 208980, ur_m88_u2x8_uart0_dual_pr_u4 },
 { 208981, ur_m88_u2x8_uart0_dual_pr_ee },
 { 208982, ur_m88_u2x8_uart0_dual_pr_ee_u4 },
 { 208983, ur_m88_u2x8_uart0_dual_pr_ce },
 { 208984, ur_m88_u2x8_uart0_dual_pr_ce_u4 },
 { 208985, ur_m88_u2x8_uart0_dual_pr_ee_ce },
 { 208986, ur_m88_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 208987, ur_m88_u2x8_uart0_dual_hw },
 { 208988, ur_m88_u2x8_uart0_dual_ee_hw },
 { 208989, ur_m88_u2x8_uart0_dual_ce_hw },
 { 208990, ur_m88_u2x8_uart0_dual_ee_ce_hw },
 { 208991, ur_m88_u2x8_uart0_dual_ee_ce_u4_hw },
 { 209160, ur_m48p_u2x12_uart0_noled },
 { 209161, ur_m48p_u2x12_uart0_noled },
 { 209162, ur_m48p_u2x12_uart0_noled_pr_u4 },
 { 209163, ur_m88_u2x12_uart0_noled_pr_ee },
 { 209164, ur_m88_u2x12_uart0_noled_pr_ee_u4 },
 { 209165, ur_m88_u2x12_uart0_noled_pr_ce },
 { 209166, ur_m88_u2x12_uart0_noled_pr_ce_u4 },
 { 209167, ur_m88_u2x12_uart0_noled_pr_ee_ce },
 { 209168, ur_m88_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 209169, ur_m88_u2x12_uart0_noled_hw },
 { 209170, ur_m88_u2x12_uart0_noled_ee_hw },
 { 209171, ur_m88_u2x12_uart0_noled_ce_hw },
 { 209172, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 { 209173, ur_m88_u2x12_uart0_noled_ee_ce_hw },
 { 209174, ur_m48p_u2x12_uart0_lednop },
 { 209175, ur_m48p_u2x12_uart0_lednop },
 { 209176, ur_m48p_u2x12_uart0_lednop_pr_u4 },
 { 209177, ur_m88_u2x12_uart0_lednop_pr_ee },
 { 209178, ur_m88_u2x12_uart0_lednop_pr_ee_u4 },
 { 209179, ur_m88_u2x12_uart0_lednop_pr_ce },
 { 209180, ur_m88_u2x12_uart0_lednop_pr_ce_u4 },
 { 209181, ur_m88_u2x12_uart0_lednop_pr_ee_ce },
 { 209182, ur_m88_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 209183, ur_m88_u2x12_uart0_lednop_hw },
 { 209184, ur_m88_u2x12_uart0_lednop_ee_hw },
 { 209185, ur_m88_u2x12_uart0_lednop_ce_hw },
 { 209186, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 { 209187, ur_m88_u2x12_uart0_lednop_ee_ce_hw },
 { 209188, ur_m88_u2x12_uart0_dual },
 { 209189, ur_m88_u2x12_uart0_dual_pr },
 { 209190, ur_m88_u2x12_uart0_dual_pr_u4 },
 { 209191, ur_m88_u2x12_uart0_dual_pr_ee },
 { 209192, ur_m88_u2x12_uart0_dual_pr_ee_u4 },
 { 209193, ur_m88_u2x12_uart0_dual_pr_ce },
 { 209194, ur_m88_u2x12_uart0_dual_pr_ce_u4 },
 { 209195, ur_m88_u2x12_uart0_dual_pr_ee_ce },
 { 209196, ur_m88_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 209197, ur_m88_u2x12_uart0_dual_hw },
 { 209198, ur_m88_u2x12_uart0_dual_ee_hw },
 { 209199, ur_m88_u2x12_uart0_dual_ce_hw },
 { 209200, ur_m88_u2x12_uart0_dual_ee_ce_hw },
 { 209201, ur_m88_u2x12_uart0_dual_ee_ce_u4_hw },
 { 209370, ur_m48p_swio10_noled },
 { 209371, ur_m48p_swio10_noled },
 { 209372, ur_m48p_swio10_noled_pr_u4 },
 { 209373, ur_m88_swio10_noled_pr_ee },
 { 209374, ur_m88_swio10_noled_pr_ee_u4 },
 { 209375, ur_m88_swio10_noled_pr_ce },
 { 209376, ur_m88_swio10_noled_pr_ce_u4 },
 { 209377, ur_m88_swio10_noled_pr_ee_ce },
 { 209378, ur_m88_swio10_noled_pr_ee_ce_u4 },
 { 209379, ur_m88_swio10_noled_hw },
 { 209380, ur_m88_swio10_noled_ee_hw },
 { 209381, ur_m88_swio10_noled_ce_hw },
 { 209382, ur_m88_swio10_noled_ee_ce_hw },
 { 209383, ur_m88_swio10_noled_ee_ce_hw },
 { 209384, ur_m48p_swio10_lednop },
 { 209385, ur_m48p_swio10_lednop_pr },
 { 209386, ur_m48p_swio10_lednop_pr_u4 },
 { 209387, ur_m88_swio10_lednop_pr_ee },
 { 209388, ur_m88_swio10_lednop_pr_ee_u4 },
 { 209389, ur_m88_swio10_lednop_pr_ce },
 { 209390, ur_m88_swio10_lednop_pr_ce_u4 },
 { 209391, ur_m88_swio10_lednop_pr_ee_ce },
 { 209392, ur_m88_swio10_lednop_pr_ee_ce_u4 },
 { 209393, ur_m88_swio10_lednop_hw },
 { 209394, ur_m88_swio10_lednop_ee_hw },
 { 209395, ur_m88_swio10_lednop_ce_hw },
 { 209396, ur_m88_swio10_lednop_ee_ce_hw },
 { 209397, ur_m88_swio10_lednop_ee_ce_hw },
 { 209398, ur_m88_swio10_dual },
 { 209399, ur_m88_swio10_dual },
 { 209400, ur_m88_swio10_dual_pr_u4 },
 { 209401, ur_m88_swio10_dual_pr_ee },
 { 209402, ur_m88_swio10_dual_pr_ee_u4 },
 { 209403, ur_m88_swio10_dual_pr_ce },
 { 209404, ur_m88_swio10_dual_pr_ce_u4 },
 { 209405, ur_m88_swio10_dual_pr_ee_ce },
 { 209406, ur_m88_swio10_dual_pr_ee_ce_u4 },
 { 209407, ur_m88_swio10_dual_hw },
 { 209408, ur_m88_swio10_dual_ee_hw },
 { 209409, ur_m88_swio10_dual_ce_hw },
 { 209410, ur_m88_swio10_dual_ee_ce_hw },
 { 209411, ur_m88_swio10_dual_ee_ce_u4_hw },
 { 209412, ur_m48p_swio11_noled },
 { 209413, ur_m48p_swio11_noled },
 { 209414, ur_m48p_swio11_noled_pr_u4 },
 { 209415, ur_m88_swio11_noled_pr_ee },
 { 209416, ur_m88_swio11_noled_pr_ee_u4 },
 { 209417, ur_m88_swio11_noled_pr_ce },
 { 209418, ur_m88_swio11_noled_pr_ce_u4 },
 { 209419, ur_m88_swio11_noled_pr_ee_ce },
 { 209420, ur_m88_swio11_noled_pr_ee_ce_u4 },
 { 209421, ur_m88_swio11_noled_hw },
 { 209422, ur_m88_swio11_noled_ee_hw },
 { 209423, ur_m88_swio11_noled_ce_hw },
 { 209424, ur_m88_swio11_noled_ee_ce_hw },
 { 209425, ur_m88_swio11_noled_ee_ce_hw },
 { 209426, ur_m48p_swio11_lednop },
 { 209427, ur_m48p_swio11_lednop_pr },
 { 209428, ur_m48p_swio11_lednop_pr_u4 },
 { 209429, ur_m88_swio11_lednop_pr_ee },
 { 209430, ur_m88_swio11_lednop_pr_ee_u4 },
 { 209431, ur_m88_swio11_lednop_pr_ce },
 { 209432, ur_m88_swio11_lednop_pr_ce_u4 },
 { 209433, ur_m88_swio11_lednop_pr_ee_ce },
 { 209434, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 { 209435, ur_m88_swio11_lednop_hw },
 { 209436, ur_m88_swio11_lednop_ee_hw },
 { 209437, ur_m88_swio11_lednop_ce_hw },
 { 209438, ur_m88_swio11_lednop_ee_ce_hw },
 { 209439, ur_m88_swio11_lednop_ee_ce_hw },
 { 209440, ur_m88_swio11_dual },
 { 209441, ur_m88_swio11_dual },
 { 209442, ur_m88_swio11_dual_pr_u4 },
 { 209443, ur_m88_swio11_dual_pr_ee },
 { 209444, ur_m88_swio11_dual_pr_ee_u4 },
 { 209445, ur_m88_swio11_dual_pr_ce },
 { 209446, ur_m88_swio11_dual_pr_ce_u4 },
 { 209447, ur_m88_swio11_dual_pr_ee_ce },
 { 209448, ur_m88_swio11_dual_pr_ee_ce_u4 },
 { 209449, ur_m88_swio11_dual_hw },
 { 209450, ur_m88_swio11_dual_ee_hw },
 { 209451, ur_m88_swio11_dual_ce_hw },
 { 209452, ur_m88_swio11_dual_ee_ce_hw },
 { 209453, ur_m88_swio11_dual_ee_ce_u4_hw },
 { 209454, ur_m48p_swio11_noled },
 { 209455, ur_m48p_swio11_noled },
 { 209456, ur_m48p_swio11_noled_pr_u4 },
 { 209457, ur_m88_swio11_noled_pr_ee },
 { 209458, ur_m88_swio11_noled_pr_ee_u4 },
 { 209459, ur_m88_swio11_noled_pr_ce },
 { 209460, ur_m88_swio11_noled_pr_ce_u4 },
 { 209461, ur_m88_swio11_noled_pr_ee_ce },
 { 209462, ur_m88_swio11_noled_pr_ee_ce_u4 },
 { 209463, ur_m88_swio11_noled_hw },
 { 209464, ur_m88_swio11_noled_ee_hw },
 { 209465, ur_m88_swio11_noled_ce_hw },
 { 209466, ur_m88_swio11_noled_ee_ce_hw },
 { 209467, ur_m88_swio11_noled_ee_ce_hw },
 { 209468, ur_m48p_swio11_lednop },
 { 209469, ur_m48p_swio11_lednop_pr },
 { 209470, ur_m48p_swio11_lednop_pr_u4 },
 { 209471, ur_m88_swio11_lednop_pr_ee },
 { 209472, ur_m88_swio11_lednop_pr_ee_u4 },
 { 209473, ur_m88_swio11_lednop_pr_ce },
 { 209474, ur_m88_swio11_lednop_pr_ce_u4 },
 { 209475, ur_m88_swio11_lednop_pr_ee_ce },
 { 209476, ur_m88_swio11_lednop_pr_ee_ce_u4 },
 { 209477, ur_m88_swio11_lednop_hw },
 { 209478, ur_m88_swio11_lednop_ee_hw },
 { 209479, ur_m88_swio11_lednop_ce_hw },
 { 209480, ur_m88_swio11_lednop_ee_ce_hw },
 { 209481, ur_m88_swio11_lednop_ee_ce_hw },
 { 209482, ur_m88_swio11_dual },
 { 209483, ur_m88_swio11_dual },
 { 209484, ur_m88_swio11_dual_pr_u4 },
 { 209485, ur_m88_swio11_dual_pr_ee },
 { 209486, ur_m88_swio11_dual_pr_ee_u4 },
 { 209487, ur_m88_swio11_dual_pr_ce },
 { 209488, ur_m88_swio11_dual_pr_ce_u4 },
 { 209489, ur_m88_swio11_dual_pr_ee_ce },
 { 209490, ur_m88_swio11_dual_pr_ee_ce_u4 },
 { 209491, ur_m88_swio11_dual_hw },
 { 209492, ur_m88_swio11_dual_ee_hw },
 { 209493, ur_m88_swio11_dual_ce_hw },
 { 209494, ur_m88_swio11_dual_ee_ce_hw },
 { 209495, ur_m88_swio11_dual_ee_ce_u4_hw },
 { 209496, ur_m48p_swio13_noled },
 { 209497, ur_m48p_swio13_noled },
 { 209498, ur_m48p_swio13_noled_pr_u4 },
 { 209499, ur_m88_swio13_noled_pr_ee },
 { 209500, ur_m88_swio13_noled_pr_ee_u4 },
 { 209501, ur_m88_swio13_noled_pr_ce },
 { 209502, ur_m88_swio13_noled_pr_ce_u4 },
 { 209503, ur_m88_swio13_noled_pr_ee_ce },
 { 209504, ur_m88_swio13_noled_pr_ee_ce_u4 },
 { 209505, ur_m88_swio13_noled_hw },
 { 209506, ur_m88_swio13_noled_ee_hw },
 { 209507, ur_m88_swio13_noled_ce_hw },
 { 209508, ur_m88_swio13_noled_ee_ce_hw },
 { 209509, ur_m88_swio13_noled_ee_ce_hw },
 { 209510, ur_m48p_swio13_lednop },
 { 209511, ur_m48p_swio13_lednop_pr },
 { 209512, ur_m48p_swio13_lednop_pr_u4 },
 { 209513, ur_m88_swio13_lednop_pr_ee },
 { 209514, ur_m88_swio13_lednop_pr_ee_u4 },
 { 209515, ur_m88_swio13_lednop_pr_ce },
 { 209516, ur_m88_swio13_lednop_pr_ce_u4 },
 { 209517, ur_m88_swio13_lednop_pr_ee_ce },
 { 209518, ur_m88_swio13_lednop_pr_ee_ce_u4 },
 { 209519, ur_m88_swio13_lednop_hw },
 { 209520, ur_m88_swio13_lednop_ee_hw },
 { 209521, ur_m88_swio13_lednop_ce_hw },
 { 209522, ur_m88_swio13_lednop_ee_ce_hw },
 { 209523, ur_m88_swio13_lednop_ee_ce_hw },
 { 209524, ur_m88_swio13_dual },
 { 209525, ur_m88_swio13_dual },
 { 209526, ur_m88_swio13_dual_pr_u4 },
 { 209527, ur_m88_swio13_dual_pr_ee },
 { 209528, ur_m88_swio13_dual_pr_ee_u4 },
 { 209529, ur_m88_swio13_dual_pr_ce },
 { 209530, ur_m88_swio13_dual_pr_ce_u4 },
 { 209531, ur_m88_swio13_dual_pr_ee_ce },
 { 209532, ur_m88_swio13_dual_pr_ee_ce_u4 },
 { 209533, ur_m88_swio13_dual_hw },
 { 209534, ur_m88_swio13_dual_ee_hw },
 { 209535, ur_m88_swio13_dual_ce_hw },
 { 209536, ur_m88_swio13_dual_ee_ce_hw },
 { 209537, ur_m88_swio13_dual_ee_ce_u4_hw },
 { 209538, ur_m48p_swio14_noled },
 { 209539, ur_m48p_swio14_noled },
 { 209540, ur_m48p_swio14_noled_pr_u4 },
 { 209541, ur_m88_swio14_noled_pr_ee },
 { 209542, ur_m88_swio14_noled_pr_ee_u4 },
 { 209543, ur_m88_swio14_noled_pr_ce },
 { 209544, ur_m88_swio14_noled_pr_ce_u4 },
 { 209545, ur_m88_swio14_noled_pr_ee_ce },
 { 209546, ur_m88_swio14_noled_pr_ee_ce_u4 },
 { 209547, ur_m88_swio14_noled_hw },
 { 209548, ur_m88_swio14_noled_ee_hw },
 { 209549, ur_m88_swio14_noled_ce_hw },
 { 209550, ur_m88_swio14_noled_ee_ce_hw },
 { 209551, ur_m88_swio14_noled_ee_ce_hw },
 { 209552, ur_m48p_swio14_lednop },
 { 209553, ur_m48p_swio14_lednop_pr },
 { 209554, ur_m48p_swio14_lednop_pr_u4 },
 { 209555, ur_m88_swio14_lednop_pr_ee },
 { 209556, ur_m88_swio14_lednop_pr_ee_u4 },
 { 209557, ur_m88_swio14_lednop_pr_ce },
 { 209558, ur_m88_swio14_lednop_pr_ce_u4 },
 { 209559, ur_m88_swio14_lednop_pr_ee_ce },
 { 209560, ur_m88_swio14_lednop_pr_ee_ce_u4 },
 { 209561, ur_m88_swio14_lednop_hw },
 { 209562, ur_m88_swio14_lednop_ee_hw },
 { 209563, ur_m88_swio14_lednop_ce_hw },
 { 209564, ur_m88_swio14_lednop_ee_ce_hw },
 { 209565, ur_m88_swio14_lednop_ee_ce_hw },
 { 209566, ur_m88_swio14_dual },
 { 209567, ur_m88_swio14_dual },
 { 209568, ur_m88_swio14_dual_pr_u4 },
 { 209569, ur_m88_swio14_dual_pr_ee },
 { 209570, ur_m88_swio14_dual_pr_ee_u4 },
 { 209571, ur_m88_swio14_dual_pr_ce },
 { 209572, ur_m88_swio14_dual_pr_ce_u4 },
 { 209573, ur_m88_swio14_dual_pr_ee_ce },
 { 209574, ur_m88_swio14_dual_pr_ee_ce_u4 },
 { 209575, ur_m88_swio14_dual_hw },
 { 209576, ur_m88_swio14_dual_ee_hw },
 { 209577, ur_m88_swio14_dual_ce_hw },
 { 209578, ur_m88_swio14_dual_ee_ce_hw },
 { 209579, ur_m88_swio14_dual_ee_ce_u4_hw },
 { 209580, ur_m48p_swio15_noled },
 { 209581, ur_m48p_swio15_noled },
 { 209582, ur_m48p_swio15_noled_pr_u4 },
 { 209583, ur_m88_swio15_noled_pr_ee },
 { 209584, ur_m88_swio15_noled_pr_ee_u4 },
 { 209585, ur_m88_swio15_noled_pr_ce },
 { 209586, ur_m88_swio15_noled_pr_ce_u4 },
 { 209587, ur_m88_swio15_noled_pr_ee_ce },
 { 209588, ur_m88_swio15_noled_pr_ee_ce_u4 },
 { 209589, ur_m88_swio15_noled_hw },
 { 209590, ur_m88_swio15_noled_ee_hw },
 { 209591, ur_m88_swio15_noled_ce_hw },
 { 209592, ur_m88_swio15_noled_ee_ce_hw },
 { 209593, ur_m88_swio15_noled_ee_ce_hw },
 { 209594, ur_m48p_swio15_lednop },
 { 209595, ur_m48p_swio15_lednop_pr },
 { 209596, ur_m48p_swio15_lednop_pr_u4 },
 { 209597, ur_m88_swio15_lednop_pr_ee },
 { 209598, ur_m88_swio15_lednop_pr_ee_u4 },
 { 209599, ur_m88_swio15_lednop_pr_ce },
 { 209600, ur_m88_swio15_lednop_pr_ce_u4 },
 { 209601, ur_m88_swio15_lednop_pr_ee_ce },
 { 209602, ur_m88_swio15_lednop_pr_ee_ce_u4 },
 { 209603, ur_m88_swio15_lednop_hw },
 { 209604, ur_m88_swio15_lednop_ee_hw },
 { 209605, ur_m88_swio15_lednop_ce_hw },
 { 209606, ur_m88_swio15_lednop_ee_ce_hw },
 { 209607, ur_m88_swio15_lednop_ee_ce_hw },
 { 209608, ur_m88_swio15_dual },
 { 209609, ur_m88_swio15_dual },
 { 209610, ur_m88_swio15_dual_pr_u4 },
 { 209611, ur_m88_swio15_dual_pr_ee },
 { 209612, ur_m88_swio15_dual_pr_ee_u4 },
 { 209613, ur_m88_swio15_dual_pr_ce },
 { 209614, ur_m88_swio15_dual_pr_ce_u4 },
 { 209615, ur_m88_swio15_dual_pr_ee_ce },
 { 209616, ur_m88_swio15_dual_pr_ee_ce_u4 },
 { 209617, ur_m88_swio15_dual_hw },
 { 209618, ur_m88_swio15_dual_ee_hw },
 { 209619, ur_m88_swio15_dual_ce_hw },
 { 209620, ur_m88_swio15_dual_ee_ce_hw },
 { 209621, ur_m88_swio15_dual_ee_ce_u4_hw },
 { 209622, ur_m168_autobaud_uart0_noled },
 { 209623, ur_m168_autobaud_uart0_noled },
 { 209624, ur_m168_autobaud_uart0_noled_pr_u4 },
 { 209625, ur_m168_autobaud_uart0_noled_pr_ee },
 { 209626, ur_m168_autobaud_uart0_noled_pr_ee },
 { 209627, ur_m168_autobaud_uart0_noled_pr_ce },
 { 209628, ur_m168_autobaud_uart0_noled_pr_ce },
 { 209629, ur_m168_autobaud_uart0_noled_pr_ee_ce },
 { 209630, ur_m168_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 209631, ur_m168_autobaud_uart0_noled_hw },
 { 209632, ur_m168_autobaud_uart0_noled_ee_hw },
 { 209633, ur_m168_autobaud_uart0_noled_ce_hw },
 { 209634, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 { 209635, ur_m168_autobaud_uart0_noled_ee_ce_hw },
 { 209636, ur_m168_autobaud_uart0_lednop },
 { 209637, ur_m168_autobaud_uart0_lednop },
 { 209638, ur_m168_autobaud_uart0_lednop_pr_u4 },
 { 209639, ur_m168_autobaud_uart0_lednop_pr_ee },
 { 209640, ur_m168_autobaud_uart0_lednop_pr_ee },
 { 209641, ur_m168_autobaud_uart0_lednop_pr_ce },
 { 209642, ur_m168_autobaud_uart0_lednop_pr_ce },
 { 209643, ur_m168_autobaud_uart0_lednop_pr_ee_ce },
 { 209644, ur_m168_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 209645, ur_m168_autobaud_uart0_lednop_hw },
 { 209646, ur_m168_autobaud_uart0_lednop_ee_hw },
 { 209647, ur_m168_autobaud_uart0_lednop_ce_hw },
 { 209648, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 { 209649, ur_m168_autobaud_uart0_lednop_ee_ce_hw },
 { 209650, ur_m168_autobaud_uart0_dual },
 { 209651, ur_m168_autobaud_uart0_dual },
 { 209652, ur_m168_autobaud_uart0_dual },
 { 209653, ur_m168_autobaud_uart0_dual_pr_ee },
 { 209654, ur_m168_autobaud_uart0_dual_pr_ee_u4 },
 { 209655, ur_m168_autobaud_uart0_dual_pr_ce },
 { 209656, ur_m168_autobaud_uart0_dual_pr_ce },
 { 209657, ur_m168_autobaud_uart0_dual_pr_ee_ce },
 { 209658, ur_m168_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 209659, ur_m168_autobaud_uart0_dual_hw },
 { 209660, ur_m168_autobaud_uart0_dual_ee_hw },
 { 209661, ur_m168_autobaud_uart0_dual_ce_hw },
 { 209662, ur_m168_autobaud_uart0_dual_ee_ce_hw },
 { 209663, ur_m168_autobaud_uart0_dual_ee_ce_u4_hw },
 { 209832, ur_m168_u1x8_uart0_noled },
 { 209833, ur_m168_u1x8_uart0_noled },
 { 209834, ur_m168_u1x8_uart0_noled_pr_u4 },
 { 209835, ur_m168_u1x8_uart0_noled_pr_ee },
 { 209836, ur_m168_u1x8_uart0_noled_pr_ee },
 { 209837, ur_m168_u1x8_uart0_noled_pr_ce },
 { 209838, ur_m168_u1x8_uart0_noled_pr_ce_u4 },
 { 209839, ur_m168_u1x8_uart0_noled_pr_ee_ce },
 { 209840, ur_m168_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 209841, ur_m168_u1x8_uart0_noled_hw },
 { 209842, ur_m168_u1x8_uart0_noled_ee_hw },
 { 209843, ur_m168_u1x8_uart0_noled_ce_hw },
 { 209844, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 { 209845, ur_m168_u1x8_uart0_noled_ee_ce_hw },
 { 209846, ur_m168_u1x8_uart0_lednop },
 { 209847, ur_m168_u1x8_uart0_lednop },
 { 209848, ur_m168_u1x8_uart0_lednop_pr_u4 },
 { 209849, ur_m168_u1x8_uart0_lednop_pr_ee },
 { 209850, ur_m168_u1x8_uart0_lednop_pr_ee },
 { 209851, ur_m168_u1x8_uart0_lednop_pr_ce },
 { 209852, ur_m168_u1x8_uart0_lednop_pr_ce },
 { 209853, ur_m168_u1x8_uart0_lednop_pr_ee_ce },
 { 209854, ur_m168_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 209855, ur_m168_u1x8_uart0_lednop_hw },
 { 209856, ur_m168_u1x8_uart0_lednop_ee_hw },
 { 209857, ur_m168_u1x8_uart0_lednop_ce_hw },
 { 209858, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 { 209859, ur_m168_u1x8_uart0_lednop_ee_ce_hw },
 { 209860, ur_m168_u1x8_uart0_dual },
 { 209861, ur_m168_u1x8_uart0_dual },
 { 209862, ur_m168_u1x8_uart0_dual_pr_u4 },
 { 209863, ur_m168_u1x8_uart0_dual_pr_ee },
 { 209864, ur_m168_u1x8_uart0_dual_pr_ee },
 { 209865, ur_m168_u1x8_uart0_dual_pr_ce },
 { 209866, ur_m168_u1x8_uart0_dual_pr_ce },
 { 209867, ur_m168_u1x8_uart0_dual_pr_ee_ce },
 { 209868, ur_m168_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 209869, ur_m168_u1x8_uart0_dual_hw },
 { 209870, ur_m168_u1x8_uart0_dual_ee_hw },
 { 209871, ur_m168_u1x8_uart0_dual_ce_hw },
 { 209872, ur_m168_u1x8_uart0_dual_ee_ce_hw },
 { 209873, ur_m168_u1x8_uart0_dual_ee_ce_u4_hw },
 { 210042, ur_m168_u1x12_uart0_noled },
 { 210043, ur_m168_u1x12_uart0_noled },
 { 210044, ur_m168_u1x12_uart0_noled_pr_u4 },
 { 210045, ur_m168_u1x12_uart0_noled_pr_ee },
 { 210046, ur_m168_u1x12_uart0_noled_pr_ee },
 { 210047, ur_m168_u1x12_uart0_noled_pr_ce },
 { 210048, ur_m168_u1x12_uart0_noled_pr_ce_u4 },
 { 210049, ur_m168_u1x12_uart0_noled_pr_ee_ce },
 { 210050, ur_m168_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 210051, ur_m168_u1x12_uart0_noled_hw },
 { 210052, ur_m168_u1x12_uart0_noled_ee_hw },
 { 210053, ur_m168_u1x12_uart0_noled_ce_hw },
 { 210054, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 { 210055, ur_m168_u1x12_uart0_noled_ee_ce_hw },
 { 210056, ur_m168_u1x12_uart0_lednop },
 { 210057, ur_m168_u1x12_uart0_lednop },
 { 210058, ur_m168_u1x12_uart0_lednop_pr_u4 },
 { 210059, ur_m168_u1x12_uart0_lednop_pr_ee },
 { 210060, ur_m168_u1x12_uart0_lednop_pr_ee },
 { 210061, ur_m168_u1x12_uart0_lednop_pr_ce },
 { 210062, ur_m168_u1x12_uart0_lednop_pr_ce },
 { 210063, ur_m168_u1x12_uart0_lednop_pr_ee_ce },
 { 210064, ur_m168_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 210065, ur_m168_u1x12_uart0_lednop_hw },
 { 210066, ur_m168_u1x12_uart0_lednop_ee_hw },
 { 210067, ur_m168_u1x12_uart0_lednop_ce_hw },
 { 210068, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 { 210069, ur_m168_u1x12_uart0_lednop_ee_ce_hw },
 { 210070, ur_m168_u1x12_uart0_dual },
 { 210071, ur_m168_u1x12_uart0_dual_pr },
 { 210072, ur_m168_u1x12_uart0_dual_pr_u4 },
 { 210073, ur_m168_u1x12_uart0_dual_pr_ee },
 { 210074, ur_m168_u1x12_uart0_dual_pr_ee },
 { 210075, ur_m168_u1x12_uart0_dual_pr_ce },
 { 210076, ur_m168_u1x12_uart0_dual_pr_ce },
 { 210077, ur_m168_u1x12_uart0_dual_pr_ee_ce },
 { 210078, ur_m168_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 210079, ur_m168_u1x12_uart0_dual_hw },
 { 210080, ur_m168_u1x12_uart0_dual_ee_hw },
 { 210081, ur_m168_u1x12_uart0_dual_ce_hw },
 { 210082, ur_m168_u1x12_uart0_dual_ee_ce_hw },
 { 210083, ur_m168_u1x12_uart0_dual_ee_ce_u4_hw },
 { 210252, ur_m168_u2x8_uart0_noled },
 { 210253, ur_m168_u2x8_uart0_noled },
 { 210254, ur_m168_u2x8_uart0_noled_pr_u4 },
 { 210255, ur_m168_u2x8_uart0_noled_pr_ee },
 { 210256, ur_m168_u2x8_uart0_noled_pr_ee },
 { 210257, ur_m168_u2x8_uart0_noled_pr_ce },
 { 210258, ur_m168_u2x8_uart0_noled_pr_ce_u4 },
 { 210259, ur_m168_u2x8_uart0_noled_pr_ee_ce },
 { 210260, ur_m168_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 210261, ur_m168_u2x8_uart0_noled_hw },
 { 210262, ur_m168_u2x8_uart0_noled_ee_hw },
 { 210263, ur_m168_u2x8_uart0_noled_ce_hw },
 { 210264, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 { 210265, ur_m168_u2x8_uart0_noled_ee_ce_hw },
 { 210266, ur_m168_u2x8_uart0_lednop },
 { 210267, ur_m168_u2x8_uart0_lednop },
 { 210268, ur_m168_u2x8_uart0_lednop_pr_u4 },
 { 210269, ur_m168_u2x8_uart0_lednop_pr_ee },
 { 210270, ur_m168_u2x8_uart0_lednop_pr_ee },
 { 210271, ur_m168_u2x8_uart0_lednop_pr_ce },
 { 210272, ur_m168_u2x8_uart0_lednop_pr_ce },
 { 210273, ur_m168_u2x8_uart0_lednop_pr_ee_ce },
 { 210274, ur_m168_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 210275, ur_m168_u2x8_uart0_lednop_hw },
 { 210276, ur_m168_u2x8_uart0_lednop_ee_hw },
 { 210277, ur_m168_u2x8_uart0_lednop_ce_hw },
 { 210278, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 { 210279, ur_m168_u2x8_uart0_lednop_ee_ce_hw },
 { 210280, ur_m168_u2x8_uart0_dual },
 { 210281, ur_m168_u2x8_uart0_dual_pr },
 { 210282, ur_m168_u2x8_uart0_dual_pr_u4 },
 { 210283, ur_m168_u2x8_uart0_dual_pr_ee },
 { 210284, ur_m168_u2x8_uart0_dual_pr_ee },
 { 210285, ur_m168_u2x8_uart0_dual_pr_ce },
 { 210286, ur_m168_u2x8_uart0_dual_pr_ce },
 { 210287, ur_m168_u2x8_uart0_dual_pr_ee_ce },
 { 210288, ur_m168_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 210289, ur_m168_u2x8_uart0_dual_hw },
 { 210290, ur_m168_u2x8_uart0_dual_ee_hw },
 { 210291, ur_m168_u2x8_uart0_dual_ce_hw },
 { 210292, ur_m168_u2x8_uart0_dual_ee_ce_hw },
 { 210293, ur_m168_u2x8_uart0_dual_ee_ce_u4_hw },
 { 210462, ur_m168_u2x12_uart0_noled },
 { 210463, ur_m168_u2x12_uart0_noled },
 { 210464, ur_m168_u2x12_uart0_noled_pr_u4 },
 { 210465, ur_m168_u2x12_uart0_noled_pr_ee },
 { 210466, ur_m168_u2x12_uart0_noled_pr_ee },
 { 210467, ur_m168_u2x12_uart0_noled_pr_ce },
 { 210468, ur_m168_u2x12_uart0_noled_pr_ce },
 { 210469, ur_m168_u2x12_uart0_noled_pr_ee_ce },
 { 210470, ur_m168_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 210471, ur_m168_u2x12_uart0_noled_hw },
 { 210472, ur_m168_u2x12_uart0_noled_ee_hw },
 { 210473, ur_m168_u2x12_uart0_noled_ce_hw },
 { 210474, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 { 210475, ur_m168_u2x12_uart0_noled_ee_ce_hw },
 { 210476, ur_m168_u2x12_uart0_lednop },
 { 210477, ur_m168_u2x12_uart0_lednop },
 { 210478, ur_m168_u2x12_uart0_lednop_pr_u4 },
 { 210479, ur_m168_u2x12_uart0_lednop_pr_ee },
 { 210480, ur_m168_u2x12_uart0_lednop_pr_ee },
 { 210481, ur_m168_u2x12_uart0_lednop_pr_ce },
 { 210482, ur_m168_u2x12_uart0_lednop_pr_ce },
 { 210483, ur_m168_u2x12_uart0_lednop_pr_ee_ce },
 { 210484, ur_m168_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 210485, ur_m168_u2x12_uart0_lednop_hw },
 { 210486, ur_m168_u2x12_uart0_lednop_ee_hw },
 { 210487, ur_m168_u2x12_uart0_lednop_ce_hw },
 { 210488, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 { 210489, ur_m168_u2x12_uart0_lednop_ee_ce_hw },
 { 210490, ur_m168_u2x12_uart0_dual },
 { 210491, ur_m168_u2x12_uart0_dual_pr },
 { 210492, ur_m168_u2x12_uart0_dual_pr },
 { 210493, ur_m168_u2x12_uart0_dual_pr_ee },
 { 210494, ur_m168_u2x12_uart0_dual_pr_ee },
 { 210495, ur_m168_u2x12_uart0_dual_pr_ce },
 { 210496, ur_m168_u2x12_uart0_dual_pr_ce },
 { 210497, ur_m168_u2x12_uart0_dual_pr_ee_ce },
 { 210498, ur_m168_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 210499, ur_m168_u2x12_uart0_dual_hw },
 { 210500, ur_m168_u2x12_uart0_dual_ee_hw },
 { 210501, ur_m168_u2x12_uart0_dual_ce_hw },
 { 210502, ur_m168_u2x12_uart0_dual_ee_ce_hw },
 { 210503, ur_m168_u2x12_uart0_dual_ee_ce_u4_hw },
 { 210672, ur_m168_swio10_noled },
 { 210673, ur_m168_swio10_noled },
 { 210674, ur_m168_swio10_noled_pr_u4 },
 { 210675, ur_m168_swio10_noled_pr_ee },
 { 210676, ur_m168_swio10_noled_pr_ee },
 { 210677, ur_m168_swio10_noled_pr_ce },
 { 210678, ur_m168_swio10_noled_pr_ce },
 { 210679, ur_m168_swio10_noled_pr_ee_ce },
 { 210680, ur_m168_swio10_noled_pr_ee_ce_u4 },
 { 210681, ur_m168_swio10_noled_hw },
 { 210682, ur_m168_swio10_noled_ee_hw },
 { 210683, ur_m168_swio10_noled_ce_hw },
 { 210684, ur_m168_swio10_noled_ee_ce_hw },
 { 210685, ur_m168_swio10_noled_ee_ce_hw },
 { 210686, ur_m168_swio10_lednop },
 { 210687, ur_m168_swio10_lednop_pr },
 { 210688, ur_m168_swio10_lednop_pr },
 { 210689, ur_m168_swio10_lednop_pr_ee },
 { 210690, ur_m168_swio10_lednop_pr_ee },
 { 210691, ur_m168_swio10_lednop_pr_ce },
 { 210692, ur_m168_swio10_lednop_pr_ce },
 { 210693, ur_m168_swio10_lednop_pr_ee_ce },
 { 210694, ur_m168_swio10_lednop_pr_ee_ce_u4 },
 { 210695, ur_m168_swio10_lednop_hw },
 { 210696, ur_m168_swio10_lednop_ee_hw },
 { 210697, ur_m168_swio10_lednop_ce_hw },
 { 210698, ur_m168_swio10_lednop_ee_ce_hw },
 { 210699, ur_m168_swio10_lednop_ee_ce_hw },
 { 210700, ur_m168_swio10_dual },
 { 210701, ur_m168_swio10_dual },
 { 210702, ur_m168_swio10_dual },
 { 210703, ur_m168_swio10_dual_pr_ee },
 { 210704, ur_m168_swio10_dual_pr_ee_u4 },
 { 210705, ur_m168_swio10_dual_pr_ce },
 { 210706, ur_m168_swio10_dual_pr_ce_u4 },
 { 210707, ur_m168_swio10_dual_pr_ee_ce },
 { 210708, ur_m168_swio10_dual_pr_ee_ce_u4 },
 { 210709, ur_m168_swio10_dual_hw },
 { 210710, ur_m168_swio10_dual_ee_hw },
 { 210711, ur_m168_swio10_dual_ce_hw },
 { 210712, ur_m168_swio10_dual_ee_ce_hw },
 { 210713, ur_m168_swio10_dual_ee_ce_u4_hw },
 { 210714, ur_m168_swio11_noled },
 { 210715, ur_m168_swio11_noled },
 { 210716, ur_m168_swio11_noled_pr_u4 },
 { 210717, ur_m168_swio11_noled_pr_ee },
 { 210718, ur_m168_swio11_noled_pr_ee },
 { 210719, ur_m168_swio11_noled_pr_ce },
 { 210720, ur_m168_swio11_noled_pr_ce },
 { 210721, ur_m168_swio11_noled_pr_ee_ce },
 { 210722, ur_m168_swio11_noled_pr_ee_ce_u4 },
 { 210723, ur_m168_swio11_noled_hw },
 { 210724, ur_m168_swio11_noled_ee_hw },
 { 210725, ur_m168_swio11_noled_ce_hw },
 { 210726, ur_m168_swio11_noled_ee_ce_hw },
 { 210727, ur_m168_swio11_noled_ee_ce_hw },
 { 210728, ur_m168_swio11_lednop },
 { 210729, ur_m168_swio11_lednop_pr },
 { 210730, ur_m168_swio11_lednop_pr },
 { 210731, ur_m168_swio11_lednop_pr_ee },
 { 210732, ur_m168_swio11_lednop_pr_ee_u4 },
 { 210733, ur_m168_swio11_lednop_pr_ce },
 { 210734, ur_m168_swio11_lednop_pr_ce },
 { 210735, ur_m168_swio11_lednop_pr_ee_ce },
 { 210736, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 { 210737, ur_m168_swio11_lednop_hw },
 { 210738, ur_m168_swio11_lednop_ee_hw },
 { 210739, ur_m168_swio11_lednop_ce_hw },
 { 210740, ur_m168_swio11_lednop_ee_ce_hw },
 { 210741, ur_m168_swio11_lednop_ee_ce_hw },
 { 210742, ur_m168_swio11_dual },
 { 210743, ur_m168_swio11_dual },
 { 210744, ur_m168_swio11_dual },
 { 210745, ur_m168_swio11_dual_pr_ee },
 { 210746, ur_m168_swio11_dual_pr_ee_u4 },
 { 210747, ur_m168_swio11_dual_pr_ce },
 { 210748, ur_m168_swio11_dual_pr_ce_u4 },
 { 210749, ur_m168_swio11_dual_pr_ee_ce },
 { 210750, ur_m168_swio11_dual_pr_ee_ce_u4 },
 { 210751, ur_m168_swio11_dual_hw },
 { 210752, ur_m168_swio11_dual_ee_hw },
 { 210753, ur_m168_swio11_dual_ce_hw },
 { 210754, ur_m168_swio11_dual_ee_ce_hw },
 { 210755, ur_m168_swio11_dual_ee_ce_u4_hw },
 { 210756, ur_m168_swio11_noled },
 { 210757, ur_m168_swio11_noled },
 { 210758, ur_m168_swio11_noled_pr_u4 },
 { 210759, ur_m168_swio11_noled_pr_ee },
 { 210760, ur_m168_swio11_noled_pr_ee },
 { 210761, ur_m168_swio11_noled_pr_ce },
 { 210762, ur_m168_swio11_noled_pr_ce },
 { 210763, ur_m168_swio11_noled_pr_ee_ce },
 { 210764, ur_m168_swio11_noled_pr_ee_ce_u4 },
 { 210765, ur_m168_swio11_noled_hw },
 { 210766, ur_m168_swio11_noled_ee_hw },
 { 210767, ur_m168_swio11_noled_ce_hw },
 { 210768, ur_m168_swio11_noled_ee_ce_hw },
 { 210769, ur_m168_swio11_noled_ee_ce_hw },
 { 210770, ur_m168_swio11_lednop },
 { 210771, ur_m168_swio11_lednop_pr },
 { 210772, ur_m168_swio11_lednop_pr },
 { 210773, ur_m168_swio11_lednop_pr_ee },
 { 210774, ur_m168_swio11_lednop_pr_ee_u4 },
 { 210775, ur_m168_swio11_lednop_pr_ce },
 { 210776, ur_m168_swio11_lednop_pr_ce },
 { 210777, ur_m168_swio11_lednop_pr_ee_ce },
 { 210778, ur_m168_swio11_lednop_pr_ee_ce_u4 },
 { 210779, ur_m168_swio11_lednop_hw },
 { 210780, ur_m168_swio11_lednop_ee_hw },
 { 210781, ur_m168_swio11_lednop_ce_hw },
 { 210782, ur_m168_swio11_lednop_ee_ce_hw },
 { 210783, ur_m168_swio11_lednop_ee_ce_hw },
 { 210784, ur_m168_swio11_dual },
 { 210785, ur_m168_swio11_dual },
 { 210786, ur_m168_swio11_dual },
 { 210787, ur_m168_swio11_dual_pr_ee },
 { 210788, ur_m168_swio11_dual_pr_ee_u4 },
 { 210789, ur_m168_swio11_dual_pr_ce },
 { 210790, ur_m168_swio11_dual_pr_ce_u4 },
 { 210791, ur_m168_swio11_dual_pr_ee_ce },
 { 210792, ur_m168_swio11_dual_pr_ee_ce_u4 },
 { 210793, ur_m168_swio11_dual_hw },
 { 210794, ur_m168_swio11_dual_ee_hw },
 { 210795, ur_m168_swio11_dual_ce_hw },
 { 210796, ur_m168_swio11_dual_ee_ce_hw },
 { 210797, ur_m168_swio11_dual_ee_ce_u4_hw },
 { 210798, ur_m168_swio13_noled },
 { 210799, ur_m168_swio13_noled },
 { 210800, ur_m168_swio13_noled_pr_u4 },
 { 210801, ur_m168_swio13_noled_pr_ee },
 { 210802, ur_m168_swio13_noled_pr_ee },
 { 210803, ur_m168_swio13_noled_pr_ce },
 { 210804, ur_m168_swio13_noled_pr_ce },
 { 210805, ur_m168_swio13_noled_pr_ee_ce },
 { 210806, ur_m168_swio13_noled_pr_ee_ce_u4 },
 { 210807, ur_m168_swio13_noled_hw },
 { 210808, ur_m168_swio13_noled_ee_hw },
 { 210809, ur_m168_swio13_noled_ce_hw },
 { 210810, ur_m168_swio13_noled_ee_ce_hw },
 { 210811, ur_m168_swio13_noled_ee_ce_hw },
 { 210812, ur_m168_swio13_lednop },
 { 210813, ur_m168_swio13_lednop_pr },
 { 210814, ur_m168_swio13_lednop_pr },
 { 210815, ur_m168_swio13_lednop_pr_ee },
 { 210816, ur_m168_swio13_lednop_pr_ee_u4 },
 { 210817, ur_m168_swio13_lednop_pr_ce },
 { 210818, ur_m168_swio13_lednop_pr_ce },
 { 210819, ur_m168_swio13_lednop_pr_ee_ce },
 { 210820, ur_m168_swio13_lednop_pr_ee_ce_u4 },
 { 210821, ur_m168_swio13_lednop_hw },
 { 210822, ur_m168_swio13_lednop_ee_hw },
 { 210823, ur_m168_swio13_lednop_ce_hw },
 { 210824, ur_m168_swio13_lednop_ee_ce_hw },
 { 210825, ur_m168_swio13_lednop_ee_ce_hw },
 { 210826, ur_m168_swio13_dual },
 { 210827, ur_m168_swio13_dual },
 { 210828, ur_m168_swio13_dual },
 { 210829, ur_m168_swio13_dual_pr_ee },
 { 210830, ur_m168_swio13_dual_pr_ee_u4 },
 { 210831, ur_m168_swio13_dual_pr_ce },
 { 210832, ur_m168_swio13_dual_pr_ce_u4 },
 { 210833, ur_m168_swio13_dual_pr_ee_ce },
 { 210834, ur_m168_swio13_dual_pr_ee_ce_u4 },
 { 210835, ur_m168_swio13_dual_hw },
 { 210836, ur_m168_swio13_dual_ee_hw },
 { 210837, ur_m168_swio13_dual_ce_hw },
 { 210838, ur_m168_swio13_dual_ee_ce_hw },
 { 210839, ur_m168_swio13_dual_ee_ce_u4_hw },
 { 210840, ur_m168_swio14_noled },
 { 210841, ur_m168_swio14_noled },
 { 210842, ur_m168_swio14_noled_pr_u4 },
 { 210843, ur_m168_swio14_noled_pr_ee },
 { 210844, ur_m168_swio14_noled_pr_ee },
 { 210845, ur_m168_swio14_noled_pr_ce },
 { 210846, ur_m168_swio14_noled_pr_ce },
 { 210847, ur_m168_swio14_noled_pr_ee_ce },
 { 210848, ur_m168_swio14_noled_pr_ee_ce_u4 },
 { 210849, ur_m168_swio14_noled_hw },
 { 210850, ur_m168_swio14_noled_ee_hw },
 { 210851, ur_m168_swio14_noled_ce_hw },
 { 210852, ur_m168_swio14_noled_ee_ce_hw },
 { 210853, ur_m168_swio14_noled_ee_ce_hw },
 { 210854, ur_m168_swio14_lednop },
 { 210855, ur_m168_swio14_lednop_pr },
 { 210856, ur_m168_swio14_lednop_pr },
 { 210857, ur_m168_swio14_lednop_pr_ee },
 { 210858, ur_m168_swio14_lednop_pr_ee_u4 },
 { 210859, ur_m168_swio14_lednop_pr_ce },
 { 210860, ur_m168_swio14_lednop_pr_ce },
 { 210861, ur_m168_swio14_lednop_pr_ee_ce },
 { 210862, ur_m168_swio14_lednop_pr_ee_ce_u4 },
 { 210863, ur_m168_swio14_lednop_hw },
 { 210864, ur_m168_swio14_lednop_ee_hw },
 { 210865, ur_m168_swio14_lednop_ce_hw },
 { 210866, ur_m168_swio14_lednop_ee_ce_hw },
 { 210867, ur_m168_swio14_lednop_ee_ce_hw },
 { 210868, ur_m168_swio14_dual },
 { 210869, ur_m168_swio14_dual },
 { 210870, ur_m168_swio14_dual },
 { 210871, ur_m168_swio14_dual_pr_ee },
 { 210872, ur_m168_swio14_dual_pr_ee_u4 },
 { 210873, ur_m168_swio14_dual_pr_ce },
 { 210874, ur_m168_swio14_dual_pr_ce_u4 },
 { 210875, ur_m168_swio14_dual_pr_ee_ce },
 { 210876, ur_m168_swio14_dual_pr_ee_ce_u4 },
 { 210877, ur_m168_swio14_dual_hw },
 { 210878, ur_m168_swio14_dual_ee_hw },
 { 210879, ur_m168_swio14_dual_ce_hw },
 { 210880, ur_m168_swio14_dual_ee_ce_hw },
 { 210881, ur_m168_swio14_dual_ee_ce_u4_hw },
 { 210882, ur_m168_swio15_noled },
 { 210883, ur_m168_swio15_noled },
 { 210884, ur_m168_swio15_noled_pr_u4 },
 { 210885, ur_m168_swio15_noled_pr_ee },
 { 210886, ur_m168_swio15_noled_pr_ee },
 { 210887, ur_m168_swio15_noled_pr_ce },
 { 210888, ur_m168_swio15_noled_pr_ce },
 { 210889, ur_m168_swio15_noled_pr_ee_ce },
 { 210890, ur_m168_swio15_noled_pr_ee_ce_u4 },
 { 210891, ur_m168_swio15_noled_hw },
 { 210892, ur_m168_swio15_noled_ee_hw },
 { 210893, ur_m168_swio15_noled_ce_hw },
 { 210894, ur_m168_swio15_noled_ee_ce_hw },
 { 210895, ur_m168_swio15_noled_ee_ce_hw },
 { 210896, ur_m168_swio15_lednop },
 { 210897, ur_m168_swio15_lednop_pr },
 { 210898, ur_m168_swio15_lednop_pr },
 { 210899, ur_m168_swio15_lednop_pr_ee },
 { 210900, ur_m168_swio15_lednop_pr_ee_u4 },
 { 210901, ur_m168_swio15_lednop_pr_ce },
 { 210902, ur_m168_swio15_lednop_pr_ce },
 { 210903, ur_m168_swio15_lednop_pr_ee_ce },
 { 210904, ur_m168_swio15_lednop_pr_ee_ce_u4 },
 { 210905, ur_m168_swio15_lednop_hw },
 { 210906, ur_m168_swio15_lednop_ee_hw },
 { 210907, ur_m168_swio15_lednop_ce_hw },
 { 210908, ur_m168_swio15_lednop_ee_ce_hw },
 { 210909, ur_m168_swio15_lednop_ee_ce_hw },
 { 210910, ur_m168_swio15_dual },
 { 210911, ur_m168_swio15_dual },
 { 210912, ur_m168_swio15_dual },
 { 210913, ur_m168_swio15_dual_pr_ee },
 { 210914, ur_m168_swio15_dual_pr_ee_u4 },
 { 210915, ur_m168_swio15_dual_pr_ce },
 { 210916, ur_m168_swio15_dual_pr_ce_u4 },
 { 210917, ur_m168_swio15_dual_pr_ee_ce },
 { 210918, ur_m168_swio15_dual_pr_ee_ce_u4 },
 { 210919, ur_m168_swio15_dual_hw },
 { 210920, ur_m168_swio15_dual_ee_hw },
 { 210921, ur_m168_swio15_dual_ce_hw },
 { 210922, ur_m168_swio15_dual_ee_ce_hw },
 { 210923, ur_m168_swio15_dual_ee_ce_u4_hw },
 { 210924, ur_m168_autobaud_uart0_noled },
 { 210925, ur_m168_autobaud_uart0_noled },
 { 210926, ur_m168_autobaud_uart0_noled_pr_u4 },
 { 210927, ur_m168_autobaud_uart0_noled_pr_ee },
 { 210928, ur_m168_autobaud_uart0_noled_pr_ee },
 { 210929, ur_m328_autobaud_uart0_noled_pr_ce },
 { 210930, ur_m328_autobaud_uart0_noled_pr_ce },
 { 210931, ur_m328_autobaud_uart0_noled_pr_ee_ce },
 { 210932, ur_m328_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 210934, ur_m168_autobaud_uart0_noled_ee_hw },
 { 210936, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 { 210937, ur_m328_autobaud_uart0_noled_ee_ce_hw },
 { 210938, ur_m168_autobaud_uart0_lednop },
 { 210939, ur_m168_autobaud_uart0_lednop },
 { 210940, ur_m168_autobaud_uart0_lednop_pr_u4 },
 { 210941, ur_m168_autobaud_uart0_lednop_pr_ee },
 { 210942, ur_m168_autobaud_uart0_lednop_pr_ee },
 { 210943, ur_m328_autobaud_uart0_lednop_pr_ce },
 { 210944, ur_m328_autobaud_uart0_lednop_pr_ce },
 { 210945, ur_m328_autobaud_uart0_lednop_pr_ee_ce },
 { 210946, ur_m328_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 210948, ur_m168_autobaud_uart0_lednop_ee_hw },
 { 210950, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 { 210951, ur_m328_autobaud_uart0_lednop_ee_ce_hw },
 { 210952, ur_m328_autobaud_uart0_dual },
 { 210953, ur_m328_autobaud_uart0_dual },
 { 210954, ur_m328_autobaud_uart0_dual },
 { 210955, ur_m328_autobaud_uart0_dual_pr_ee },
 { 210956, ur_m328_autobaud_uart0_dual_pr_ee_u4 },
 { 210957, ur_m328_autobaud_uart0_dual_pr_ce },
 { 210958, ur_m328_autobaud_uart0_dual_pr_ce },
 { 210959, ur_m328_autobaud_uart0_dual_pr_ee_ce },
 { 210960, ur_m328_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 210962, ur_m328_autobaud_uart0_dual_ee_hw },
 { 210964, ur_m328_autobaud_uart0_dual_ee_ce_hw },
 { 210965, ur_m328_autobaud_uart0_dual_ee_ce_u4_hw },
 { 211134, ur_m168_u1x8_uart0_noled },
 { 211135, ur_m168_u1x8_uart0_noled },
 { 211136, ur_m168_u1x8_uart0_noled_pr_u4 },
 { 211137, ur_m168_u1x8_uart0_noled_pr_ee },
 { 211138, ur_m168_u1x8_uart0_noled_pr_ee },
 { 211139, ur_m328_u1x8_uart0_noled_pr_ce },
 { 211140, ur_m328_u1x8_uart0_noled_pr_ce_u4 },
 { 211141, ur_m328_u1x8_uart0_noled_pr_ee_ce },
 { 211142, ur_m328_u1x8_uart0_noled_pr_ee_ce_u4 },
 { 211144, ur_m168_u1x8_uart0_noled_ee_hw },
 { 211146, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 { 211147, ur_m328_u1x8_uart0_noled_ee_ce_hw },
 { 211148, ur_m168_u1x8_uart0_lednop },
 { 211149, ur_m168_u1x8_uart0_lednop },
 { 211150, ur_m168_u1x8_uart0_lednop_pr_u4 },
 { 211151, ur_m168_u1x8_uart0_lednop_pr_ee },
 { 211152, ur_m168_u1x8_uart0_lednop_pr_ee },
 { 211153, ur_m328_u1x8_uart0_lednop_pr_ce },
 { 211154, ur_m328_u1x8_uart0_lednop_pr_ce },
 { 211155, ur_m328_u1x8_uart0_lednop_pr_ee_ce },
 { 211156, ur_m328_u1x8_uart0_lednop_pr_ee_ce_u4 },
 { 211158, ur_m168_u1x8_uart0_lednop_ee_hw },
 { 211160, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 { 211161, ur_m328_u1x8_uart0_lednop_ee_ce_hw },
 { 211162, ur_m328_u1x8_uart0_dual },
 { 211163, ur_m328_u1x8_uart0_dual },
 { 211164, ur_m328_u1x8_uart0_dual_pr_u4 },
 { 211165, ur_m328_u1x8_uart0_dual_pr_ee },
 { 211166, ur_m328_u1x8_uart0_dual_pr_ee },
 { 211167, ur_m328_u1x8_uart0_dual_pr_ce },
 { 211168, ur_m328_u1x8_uart0_dual_pr_ce },
 { 211169, ur_m328_u1x8_uart0_dual_pr_ee_ce },
 { 211170, ur_m328_u1x8_uart0_dual_pr_ee_ce_u4 },
 { 211172, ur_m328_u1x8_uart0_dual_ee_hw },
 { 211174, ur_m328_u1x8_uart0_dual_ee_ce_hw },
 { 211175, ur_m328_u1x8_uart0_dual_ee_ce_u4_hw },
 { 211344, ur_m168_u1x12_uart0_noled },
 { 211345, ur_m168_u1x12_uart0_noled },
 { 211346, ur_m168_u1x12_uart0_noled_pr_u4 },
 { 211347, ur_m168_u1x12_uart0_noled_pr_ee },
 { 211348, ur_m168_u1x12_uart0_noled_pr_ee },
 { 211349, ur_m328_u1x12_uart0_noled_pr_ce },
 { 211350, ur_m328_u1x12_uart0_noled_pr_ce_u4 },
 { 211351, ur_m328_u1x12_uart0_noled_pr_ee_ce },
 { 211352, ur_m328_u1x12_uart0_noled_pr_ee_ce_u4 },
 { 211354, ur_m168_u1x12_uart0_noled_ee_hw },
 { 211356, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 { 211357, ur_m328_u1x12_uart0_noled_ee_ce_hw },
 { 211358, ur_m168_u1x12_uart0_lednop },
 { 211359, ur_m168_u1x12_uart0_lednop },
 { 211360, ur_m168_u1x12_uart0_lednop_pr_u4 },
 { 211361, ur_m168_u1x12_uart0_lednop_pr_ee },
 { 211362, ur_m168_u1x12_uart0_lednop_pr_ee },
 { 211363, ur_m328_u1x12_uart0_lednop_pr_ce },
 { 211364, ur_m328_u1x12_uart0_lednop_pr_ce },
 { 211365, ur_m328_u1x12_uart0_lednop_pr_ee_ce },
 { 211366, ur_m328_u1x12_uart0_lednop_pr_ee_ce_u4 },
 { 211368, ur_m168_u1x12_uart0_lednop_ee_hw },
 { 211370, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 { 211371, ur_m328_u1x12_uart0_lednop_ee_ce_hw },
 { 211372, ur_m328_u1x12_uart0_dual },
 { 211373, ur_m328_u1x12_uart0_dual_pr },
 { 211374, ur_m328_u1x12_uart0_dual_pr_u4 },
 { 211375, ur_m328_u1x12_uart0_dual_pr_ee },
 { 211376, ur_m328_u1x12_uart0_dual_pr_ee },
 { 211377, ur_m328_u1x12_uart0_dual_pr_ce },
 { 211378, ur_m328_u1x12_uart0_dual_pr_ce },
 { 211379, ur_m328_u1x12_uart0_dual_pr_ee_ce },
 { 211380, ur_m328_u1x12_uart0_dual_pr_ee_ce_u4 },
 { 211382, ur_m328_u1x12_uart0_dual_ee_hw },
 { 211384, ur_m328_u1x12_uart0_dual_ee_ce_hw },
 { 211385, ur_m328_u1x12_uart0_dual_ee_ce_u4_hw },
 { 211554, ur_m168_u2x8_uart0_noled },
 { 211555, ur_m168_u2x8_uart0_noled },
 { 211556, ur_m168_u2x8_uart0_noled_pr_u4 },
 { 211557, ur_m168_u2x8_uart0_noled_pr_ee },
 { 211558, ur_m168_u2x8_uart0_noled_pr_ee },
 { 211559, ur_m328_u2x8_uart0_noled_pr_ce },
 { 211560, ur_m328_u2x8_uart0_noled_pr_ce_u4 },
 { 211561, ur_m328_u2x8_uart0_noled_pr_ee_ce },
 { 211562, ur_m328_u2x8_uart0_noled_pr_ee_ce_u4 },
 { 211564, ur_m168_u2x8_uart0_noled_ee_hw },
 { 211566, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 { 211567, ur_m328_u2x8_uart0_noled_ee_ce_hw },
 { 211568, ur_m168_u2x8_uart0_lednop },
 { 211569, ur_m168_u2x8_uart0_lednop },
 { 211570, ur_m168_u2x8_uart0_lednop_pr_u4 },
 { 211571, ur_m168_u2x8_uart0_lednop_pr_ee },
 { 211572, ur_m168_u2x8_uart0_lednop_pr_ee },
 { 211573, ur_m328_u2x8_uart0_lednop_pr_ce },
 { 211574, ur_m328_u2x8_uart0_lednop_pr_ce },
 { 211575, ur_m328_u2x8_uart0_lednop_pr_ee_ce },
 { 211576, ur_m328_u2x8_uart0_lednop_pr_ee_ce_u4 },
 { 211578, ur_m168_u2x8_uart0_lednop_ee_hw },
 { 211580, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 { 211581, ur_m328_u2x8_uart0_lednop_ee_ce_hw },
 { 211582, ur_m328_u2x8_uart0_dual },
 { 211583, ur_m328_u2x8_uart0_dual_pr },
 { 211584, ur_m328_u2x8_uart0_dual_pr_u4 },
 { 211585, ur_m328_u2x8_uart0_dual_pr_ee },
 { 211586, ur_m328_u2x8_uart0_dual_pr_ee },
 { 211587, ur_m328_u2x8_uart0_dual_pr_ce },
 { 211588, ur_m328_u2x8_uart0_dual_pr_ce },
 { 211589, ur_m328_u2x8_uart0_dual_pr_ee_ce },
 { 211590, ur_m328_u2x8_uart0_dual_pr_ee_ce_u4 },
 { 211592, ur_m328_u2x8_uart0_dual_ee_hw },
 { 211594, ur_m328_u2x8_uart0_dual_ee_ce_hw },
 { 211595, ur_m328_u2x8_uart0_dual_ee_ce_u4_hw },
 { 211764, ur_m168_u2x12_uart0_noled },
 { 211765, ur_m168_u2x12_uart0_noled },
 { 211766, ur_m168_u2x12_uart0_noled_pr_u4 },
 { 211767, ur_m168_u2x12_uart0_noled_pr_ee },
 { 211768, ur_m168_u2x12_uart0_noled_pr_ee },
 { 211769, ur_m328_u2x12_uart0_noled_pr_ce },
 { 211770, ur_m328_u2x12_uart0_noled_pr_ce },
 { 211771, ur_m328_u2x12_uart0_noled_pr_ee_ce },
 { 211772, ur_m328_u2x12_uart0_noled_pr_ee_ce_u4 },
 { 211774, ur_m168_u2x12_uart0_noled_ee_hw },
 { 211776, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 { 211777, ur_m328_u2x12_uart0_noled_ee_ce_hw },
 { 211778, ur_m168_u2x12_uart0_lednop },
 { 211779, ur_m168_u2x12_uart0_lednop },
 { 211780, ur_m168_u2x12_uart0_lednop_pr_u4 },
 { 211781, ur_m168_u2x12_uart0_lednop_pr_ee },
 { 211782, ur_m168_u2x12_uart0_lednop_pr_ee },
 { 211783, ur_m328_u2x12_uart0_lednop_pr_ce },
 { 211784, ur_m328_u2x12_uart0_lednop_pr_ce },
 { 211785, ur_m328_u2x12_uart0_lednop_pr_ee_ce },
 { 211786, ur_m328_u2x12_uart0_lednop_pr_ee_ce_u4 },
 { 211788, ur_m168_u2x12_uart0_lednop_ee_hw },
 { 211790, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 { 211791, ur_m328_u2x12_uart0_lednop_ee_ce_hw },
 { 211792, ur_m328_u2x12_uart0_dual },
 { 211793, ur_m328_u2x12_uart0_dual_pr },
 { 211794, ur_m328_u2x12_uart0_dual_pr },
 { 211795, ur_m328_u2x12_uart0_dual_pr_ee },
 { 211796, ur_m328_u2x12_uart0_dual_pr_ee },
 { 211797, ur_m328_u2x12_uart0_dual_pr_ce },
 { 211798, ur_m328_u2x12_uart0_dual_pr_ce },
 { 211799, ur_m328_u2x12_uart0_dual_pr_ee_ce },
 { 211800, ur_m328_u2x12_uart0_dual_pr_ee_ce_u4 },
 { 211802, ur_m328_u2x12_uart0_dual_ee_hw },
 { 211804, ur_m328_u2x12_uart0_dual_ee_ce_hw },
 { 211805, ur_m328_u2x12_uart0_dual_ee_ce_u4_hw },
 { 211974, ur_m168_swio10_noled },
 { 211975, ur_m168_swio10_noled },
 { 211976, ur_m168_swio10_noled_pr_u4 },
 { 211977, ur_m168_swio10_noled_pr_ee },
 { 211978, ur_m168_swio10_noled_pr_ee },
 { 211979, ur_m328_swio10_noled_pr_ce },
 { 211980, ur_m328_swio10_noled_pr_ce },
 { 211981, ur_m328_swio10_noled_pr_ee_ce },
 { 211982, ur_m328_swio10_noled_pr_ee_ce_u4 },
 { 211984, ur_m168_swio10_noled_ee_hw },
 { 211986, ur_m328_swio10_noled_ee_ce_hw },
 { 211987, ur_m328_swio10_noled_ee_ce_hw },
 { 211988, ur_m168_swio10_lednop },
 { 211989, ur_m168_swio10_lednop_pr },
 { 211990, ur_m168_swio10_lednop_pr },
 { 211991, ur_m168_swio10_lednop_pr_ee },
 { 211992, ur_m168_swio10_lednop_pr_ee },
 { 211993, ur_m328_swio10_lednop_pr_ce },
 { 211994, ur_m328_swio10_lednop_pr_ce },
 { 211995, ur_m328_swio10_lednop_pr_ee_ce },
 { 211996, ur_m328_swio10_lednop_pr_ee_ce_u4 },
 { 211998, ur_m168_swio10_lednop_ee_hw },
 { 212000, ur_m328_swio10_lednop_ee_ce_hw },
 { 212001, ur_m328_swio10_lednop_ee_ce_hw },
 { 212002, ur_m328_swio10_dual },
 { 212003, ur_m328_swio10_dual },
 { 212004, ur_m328_swio10_dual },
 { 212005, ur_m328_swio10_dual_pr_ee },
 { 212006, ur_m328_swio10_dual_pr_ee_u4 },
 { 212007, ur_m328_swio10_dual_pr_ce },
 { 212008, ur_m328_swio10_dual_pr_ce_u4 },
 { 212009, ur_m328_swio10_dual_pr_ee_ce },
 { 212010, ur_m328_swio10_dual_pr_ee_ce_u4 },
 { 212012, ur_m328_swio10_dual_ee_hw },
 { 212014, ur_m328_swio10_dual_ee_ce_hw },
 { 212015, ur_m328_swio10_dual_ee_ce_u4_hw },
 { 212016, ur_m168_swio11_noled },
 { 212017, ur_m168_swio11_noled },
 { 212018, ur_m168_swio11_noled_pr_u4 },
 { 212019, ur_m168_swio11_noled_pr_ee },
 { 212020, ur_m168_swio11_noled_pr_ee },
 { 212021, ur_m328_swio11_noled_pr_ce },
 { 212022, ur_m328_swio11_noled_pr_ce },
 { 212023, ur_m328_swio11_noled_pr_ee_ce },
 { 212024, ur_m328_swio11_noled_pr_ee_ce_u4 },
 { 212026, ur_m168_swio11_noled_ee_hw },
 { 212028, ur_m328_swio11_noled_ee_ce_hw },
 { 212029, ur_m328_swio11_noled_ee_ce_hw },
 { 212030, ur_m168_swio11_lednop },
 { 212031, ur_m168_swio11_lednop_pr },
 { 212032, ur_m168_swio11_lednop_pr },
 { 212033, ur_m168_swio11_lednop_pr_ee },
 { 212034, ur_m168_swio11_lednop_pr_ee_u4 },
 { 212035, ur_m328_swio11_lednop_pr_ce },
 { 212036, ur_m328_swio11_lednop_pr_ce },
 { 212037, ur_m328_swio11_lednop_pr_ee_ce },
 { 212038, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 { 212040, ur_m168_swio11_lednop_ee_hw },
 { 212042, ur_m328_swio11_lednop_ee_ce_hw },
 { 212043, ur_m328_swio11_lednop_ee_ce_hw },
 { 212044, ur_m328_swio11_dual },
 { 212045, ur_m328_swio11_dual },
 { 212046, ur_m328_swio11_dual },
 { 212047, ur_m328_swio11_dual_pr_ee },
 { 212048, ur_m328_swio11_dual_pr_ee_u4 },
 { 212049, ur_m328_swio11_dual_pr_ce },
 { 212050, ur_m328_swio11_dual_pr_ce_u4 },
 { 212051, ur_m328_swio11_dual_pr_ee_ce },
 { 212052, ur_m328_swio11_dual_pr_ee_ce_u4 },
 { 212054, ur_m328_swio11_dual_ee_hw },
 { 212056, ur_m328_swio11_dual_ee_ce_hw },
 { 212057, ur_m328_swio11_dual_ee_ce_u4_hw },
 { 212058, ur_m168_swio11_noled },
 { 212059, ur_m168_swio11_noled },
 { 212060, ur_m168_swio11_noled_pr_u4 },
 { 212061, ur_m168_swio11_noled_pr_ee },
 { 212062, ur_m168_swio11_noled_pr_ee },
 { 212063, ur_m328_swio11_noled_pr_ce },
 { 212064, ur_m328_swio11_noled_pr_ce },
 { 212065, ur_m328_swio11_noled_pr_ee_ce },
 { 212066, ur_m328_swio11_noled_pr_ee_ce_u4 },
 { 212068, ur_m168_swio11_noled_ee_hw },
 { 212070, ur_m328_swio11_noled_ee_ce_hw },
 { 212071, ur_m328_swio11_noled_ee_ce_hw },
 { 212072, ur_m168_swio11_lednop },
 { 212073, ur_m168_swio11_lednop_pr },
 { 212074, ur_m168_swio11_lednop_pr },
 { 212075, ur_m168_swio11_lednop_pr_ee },
 { 212076, ur_m168_swio11_lednop_pr_ee_u4 },
 { 212077, ur_m328_swio11_lednop_pr_ce },
 { 212078, ur_m328_swio11_lednop_pr_ce },
 { 212079, ur_m328_swio11_lednop_pr_ee_ce },
 { 212080, ur_m328_swio11_lednop_pr_ee_ce_u4 },
 { 212082, ur_m168_swio11_lednop_ee_hw },
 { 212084, ur_m328_swio11_lednop_ee_ce_hw },
 { 212085, ur_m328_swio11_lednop_ee_ce_hw },
 { 212086, ur_m328_swio11_dual },
 { 212087, ur_m328_swio11_dual },
 { 212088, ur_m328_swio11_dual },
 { 212089, ur_m328_swio11_dual_pr_ee },
 { 212090, ur_m328_swio11_dual_pr_ee_u4 },
 { 212091, ur_m328_swio11_dual_pr_ce },
 { 212092, ur_m328_swio11_dual_pr_ce_u4 },
 { 212093, ur_m328_swio11_dual_pr_ee_ce },
 { 212094, ur_m328_swio11_dual_pr_ee_ce_u4 },
 { 212096, ur_m328_swio11_dual_ee_hw },
 { 212098, ur_m328_swio11_dual_ee_ce_hw },
 { 212099, ur_m328_swio11_dual_ee_ce_u4_hw },
 { 212100, ur_m168_swio13_noled },
 { 212101, ur_m168_swio13_noled },
 { 212102, ur_m168_swio13_noled_pr_u4 },
 { 212103, ur_m168_swio13_noled_pr_ee },
 { 212104, ur_m168_swio13_noled_pr_ee },
 { 212105, ur_m328_swio13_noled_pr_ce },
 { 212106, ur_m328_swio13_noled_pr_ce },
 { 212107, ur_m328_swio13_noled_pr_ee_ce },
 { 212108, ur_m328_swio13_noled_pr_ee_ce_u4 },
 { 212110, ur_m168_swio13_noled_ee_hw },
 { 212112, ur_m328_swio13_noled_ee_ce_hw },
 { 212113, ur_m328_swio13_noled_ee_ce_hw },
 { 212114, ur_m168_swio13_lednop },
 { 212115, ur_m168_swio13_lednop_pr },
 { 212116, ur_m168_swio13_lednop_pr },
 { 212117, ur_m168_swio13_lednop_pr_ee },
 { 212118, ur_m168_swio13_lednop_pr_ee_u4 },
 { 212119, ur_m328_swio13_lednop_pr_ce },
 { 212120, ur_m328_swio13_lednop_pr_ce },
 { 212121, ur_m328_swio13_lednop_pr_ee_ce },
 { 212122, ur_m328_swio13_lednop_pr_ee_ce_u4 },
 { 212124, ur_m168_swio13_lednop_ee_hw },
 { 212126, ur_m328_swio13_lednop_ee_ce_hw },
 { 212127, ur_m328_swio13_lednop_ee_ce_hw },
 { 212128, ur_m328_swio13_dual },
 { 212129, ur_m328_swio13_dual },
 { 212130, ur_m328_swio13_dual },
 { 212131, ur_m328_swio13_dual_pr_ee },
 { 212132, ur_m328_swio13_dual_pr_ee_u4 },
 { 212133, ur_m328_swio13_dual_pr_ce },
 { 212134, ur_m328_swio13_dual_pr_ce_u4 },
 { 212135, ur_m328_swio13_dual_pr_ee_ce },
 { 212136, ur_m328_swio13_dual_pr_ee_ce_u4 },
 { 212138, ur_m328_swio13_dual_ee_hw },
 { 212140, ur_m328_swio13_dual_ee_ce_hw },
 { 212141, ur_m328_swio13_dual_ee_ce_u4_hw },
 { 212142, ur_m168_swio14_noled },
 { 212143, ur_m168_swio14_noled },
 { 212144, ur_m168_swio14_noled_pr_u4 },
 { 212145, ur_m168_swio14_noled_pr_ee },
 { 212146, ur_m168_swio14_noled_pr_ee },
 { 212147, ur_m328_swio14_noled_pr_ce },
 { 212148, ur_m328_swio14_noled_pr_ce },
 { 212149, ur_m328_swio14_noled_pr_ee_ce },
 { 212150, ur_m328_swio14_noled_pr_ee_ce_u4 },
 { 212152, ur_m168_swio14_noled_ee_hw },
 { 212154, ur_m328_swio14_noled_ee_ce_hw },
 { 212155, ur_m328_swio14_noled_ee_ce_hw },
 { 212156, ur_m168_swio14_lednop },
 { 212157, ur_m168_swio14_lednop_pr },
 { 212158, ur_m168_swio14_lednop_pr },
 { 212159, ur_m168_swio14_lednop_pr_ee },
 { 212160, ur_m168_swio14_lednop_pr_ee_u4 },
 { 212161, ur_m328_swio14_lednop_pr_ce },
 { 212162, ur_m328_swio14_lednop_pr_ce },
 { 212163, ur_m328_swio14_lednop_pr_ee_ce },
 { 212164, ur_m328_swio14_lednop_pr_ee_ce_u4 },
 { 212166, ur_m168_swio14_lednop_ee_hw },
 { 212168, ur_m328_swio14_lednop_ee_ce_hw },
 { 212169, ur_m328_swio14_lednop_ee_ce_hw },
 { 212170, ur_m328_swio14_dual },
 { 212171, ur_m328_swio14_dual },
 { 212172, ur_m328_swio14_dual },
 { 212173, ur_m328_swio14_dual_pr_ee },
 { 212174, ur_m328_swio14_dual_pr_ee_u4 },
 { 212175, ur_m328_swio14_dual_pr_ce },
 { 212176, ur_m328_swio14_dual_pr_ce_u4 },
 { 212177, ur_m328_swio14_dual_pr_ee_ce },
 { 212178, ur_m328_swio14_dual_pr_ee_ce_u4 },
 { 212180, ur_m328_swio14_dual_ee_hw },
 { 212182, ur_m328_swio14_dual_ee_ce_hw },
 { 212183, ur_m328_swio14_dual_ee_ce_u4_hw },
 { 212184, ur_m168_swio15_noled },
 { 212185, ur_m168_swio15_noled },
 { 212186, ur_m168_swio15_noled_pr_u4 },
 { 212187, ur_m168_swio15_noled_pr_ee },
 { 212188, ur_m168_swio15_noled_pr_ee },
 { 212189, ur_m328_swio15_noled_pr_ce },
 { 212190, ur_m328_swio15_noled_pr_ce },
 { 212191, ur_m328_swio15_noled_pr_ee_ce },
 { 212192, ur_m328_swio15_noled_pr_ee_ce_u4 },
 { 212194, ur_m168_swio15_noled_ee_hw },
 { 212196, ur_m328_swio15_noled_ee_ce_hw },
 { 212197, ur_m328_swio15_noled_ee_ce_hw },
 { 212198, ur_m168_swio15_lednop },
 { 212199, ur_m168_swio15_lednop_pr },
 { 212200, ur_m168_swio15_lednop_pr },
 { 212201, ur_m168_swio15_lednop_pr_ee },
 { 212202, ur_m168_swio15_lednop_pr_ee_u4 },
 { 212203, ur_m328_swio15_lednop_pr_ce },
 { 212204, ur_m328_swio15_lednop_pr_ce },
 { 212205, ur_m328_swio15_lednop_pr_ee_ce },
 { 212206, ur_m328_swio15_lednop_pr_ee_ce_u4 },
 { 212208, ur_m168_swio15_lednop_ee_hw },
 { 212210, ur_m328_swio15_lednop_ee_ce_hw },
 { 212211, ur_m328_swio15_lednop_ee_ce_hw },
 { 212212, ur_m328_swio15_dual },
 { 212213, ur_m328_swio15_dual },
 { 212214, ur_m328_swio15_dual },
 { 212215, ur_m328_swio15_dual_pr_ee },
 { 212216, ur_m328_swio15_dual_pr_ee_u4 },
 { 212217, ur_m328_swio15_dual_pr_ce },
 { 212218, ur_m328_swio15_dual_pr_ce_u4 },
 { 212219, ur_m328_swio15_dual_pr_ee_ce },
 { 212220, ur_m328_swio15_dual_pr_ee_ce_u4 },
 { 212222, ur_m328_swio15_dual_ee_hw },
 { 212224, ur_m328_swio15_dual_ee_ce_hw },
 { 212225, ur_m328_swio15_dual_ee_ce_u4_hw },
 { 212226, ur_t87_autobaud_uart0_noled },
 { 212227, ur_t87_autobaud_uart0_noled },
 { 212228, ur_t87_autobaud_uart0_noled_pr_u4 },
 { 212229, ur_t87_autobaud_uart0_noled_pr_ee },
 { 212230, ur_t87_autobaud_uart0_noled_pr_ee },
 { 212231, ur_t87_autobaud_uart0_noled_pr_ce },
 { 212232, ur_t87_autobaud_uart0_noled_pr_ce },
 { 212233, ur_t87_autobaud_uart0_noled_pr_ee_ce },
 { 212234, ur_t87_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 212240, ur_t87_autobaud_uart0_lednop },
 { 212241, ur_t87_autobaud_uart0_lednop },
 { 212242, ur_t87_autobaud_uart0_lednop_pr_u4 },
 { 212243, ur_t87_autobaud_uart0_lednop_pr_ee },
 { 212244, ur_t87_autobaud_uart0_lednop_pr_ee },
 { 212245, ur_t87_autobaud_uart0_lednop_pr_ce },
 { 212246, ur_t87_autobaud_uart0_lednop_pr_ce },
 { 212247, ur_t87_autobaud_uart0_lednop_pr_ee_ce },
 { 212248, ur_t87_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 212254, ur_t87_autobaud_uart0_dual },
 { 212255, ur_t87_autobaud_uart0_dual_pr },
 { 212256, ur_t87_autobaud_uart0_dual_pr },
 { 212257, ur_t87_autobaud_uart0_dual_pr_ee },
 { 212258, ur_t87_autobaud_uart0_dual_pr_ee },
 { 212259, ur_t87_autobaud_uart0_dual_pr_ce },
 { 212260, ur_t87_autobaud_uart0_dual_pr_ce },
 { 212261, ur_t87_autobaud_uart0_dual_pr_ee_ce },
 { 212262, ur_t87_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 212394, ur_t87_lin_uart0_noled },
 { 212395, ur_t87_lin_uart0_noled },
 { 212396, ur_t87_lin_uart0_noled_pr_u4 },
 { 212397, ur_t87_lin_uart0_noled_pr_ee },
 { 212398, ur_t87_lin_uart0_noled_pr_ee },
 { 212399, ur_t87_lin_uart0_noled_pr_ce },
 { 212400, ur_t87_lin_uart0_noled_pr_ce_u4 },
 { 212401, ur_t87_lin_uart0_noled_pr_ee_ce },
 { 212402, ur_t87_lin_uart0_noled_pr_ee_ce_u4 },
 { 212408, ur_t87_lin_uart0_lednop },
 { 212409, ur_t87_lin_uart0_lednop },
 { 212410, ur_t87_lin_uart0_lednop_pr_u4 },
 { 212411, ur_t87_lin_uart0_lednop_pr_ee },
 { 212412, ur_t87_lin_uart0_lednop_pr_ee },
 { 212413, ur_t87_lin_uart0_lednop_pr_ce },
 { 212414, ur_t87_lin_uart0_lednop_pr_ce_u4 },
 { 212415, ur_t87_lin_uart0_lednop_pr_ee_ce },
 { 212416, ur_t87_lin_uart0_lednop_pr_ee_ce_u4 },
 { 212422, ur_t87_lin_uart0_dual },
 { 212423, ur_t87_lin_uart0_dual },
 { 212424, ur_t87_lin_uart0_dual_pr_u4 },
 { 212425, ur_t87_lin_uart0_dual_pr_ee },
 { 212426, ur_t87_lin_uart0_dual_pr_ee },
 { 212427, ur_t87_lin_uart0_dual_pr_ce },
 { 212428, ur_t87_lin_uart0_dual_pr_ce },
 { 212429, ur_t87_lin_uart0_dual_pr_ee_ce },
 { 212430, ur_t87_lin_uart0_dual_pr_ee_ce_u4 },
 { 213276, ur_t87_swio10_noled },
 { 213277, ur_t87_swio10_noled },
 { 213278, ur_t87_swio10_noled_pr_u4 },
 { 213279, ur_t87_swio10_noled_pr_ee },
 { 213280, ur_t87_swio10_noled_pr_ee },
 { 213281, ur_t87_swio10_noled_pr_ce },
 { 213282, ur_t87_swio10_noled_pr_ce },
 { 213283, ur_t87_swio10_noled_pr_ee_ce },
 { 213284, ur_t87_swio10_noled_pr_ee_ce_u4 },
 { 213290, ur_t87_swio10_lednop },
 { 213291, ur_t87_swio10_lednop },
 { 213292, ur_t87_swio10_lednop_pr_u4 },
 { 213293, ur_t87_swio10_lednop_pr_ee },
 { 213294, ur_t87_swio10_lednop_pr_ee },
 { 213295, ur_t87_swio10_lednop_pr_ce },
 { 213296, ur_t87_swio10_lednop_pr_ce },
 { 213297, ur_t87_swio10_lednop_pr_ee_ce },
 { 213298, ur_t87_swio10_lednop_pr_ee_ce_u4 },
 { 213304, ur_t87_swio10_dual },
 { 213305, ur_t87_swio10_dual_pr },
 { 213306, ur_t87_swio10_dual_pr },
 { 213307, ur_t87_swio10_dual_pr_ee },
 { 213308, ur_t87_swio10_dual_pr_ee_u4 },
 { 213309, ur_t87_swio10_dual_pr_ce },
 { 213310, ur_t87_swio10_dual_pr_ce },
 { 213311, ur_t87_swio10_dual_pr_ee_ce },
 { 213312, ur_t87_swio10_dual_pr_ee_ce_u4 },
 { 213318, ur_t87_swio11_noled },
 { 213319, ur_t87_swio11_noled },
 { 213320, ur_t87_swio11_noled_pr_u4 },
 { 213321, ur_t87_swio11_noled_pr_ee },
 { 213322, ur_t87_swio11_noled_pr_ee },
 { 213323, ur_t87_swio11_noled_pr_ce },
 { 213324, ur_t87_swio11_noled_pr_ce },
 { 213325, ur_t87_swio11_noled_pr_ee_ce },
 { 213326, ur_t87_swio11_noled_pr_ee_ce_u4 },
 { 213332, ur_t87_swio11_lednop },
 { 213333, ur_t87_swio11_lednop },
 { 213334, ur_t87_swio11_lednop_pr_u4 },
 { 213335, ur_t87_swio11_lednop_pr_ee },
 { 213336, ur_t87_swio11_lednop_pr_ee },
 { 213337, ur_t87_swio11_lednop_pr_ce },
 { 213338, ur_t87_swio11_lednop_pr_ce },
 { 213339, ur_t87_swio11_lednop_pr_ee_ce },
 { 213340, ur_t87_swio11_lednop_pr_ee_ce_u4 },
 { 213346, ur_t87_swio11_dual },
 { 213347, ur_t87_swio11_dual },
 { 213348, ur_t87_swio11_dual },
 { 213349, ur_t87_swio11_dual_pr_ee },
 { 213350, ur_t87_swio11_dual_pr_ee_u4 },
 { 213351, ur_t87_swio11_dual_pr_ce },
 { 213352, ur_t87_swio11_dual_pr_ce },
 { 213353, ur_t87_swio11_dual_pr_ee_ce },
 { 213354, ur_t87_swio11_dual_pr_ee_ce_u4 },
 { 213360, ur_t87_swio11_noled },
 { 213361, ur_t87_swio11_noled },
 { 213362, ur_t87_swio11_noled_pr_u4 },
 { 213363, ur_t87_swio11_noled_pr_ee },
 { 213364, ur_t87_swio11_noled_pr_ee },
 { 213365, ur_t87_swio11_noled_pr_ce },
 { 213366, ur_t87_swio11_noled_pr_ce },
 { 213367, ur_t87_swio11_noled_pr_ee_ce },
 { 213368, ur_t87_swio11_noled_pr_ee_ce_u4 },
 { 213374, ur_t87_swio11_lednop },
 { 213375, ur_t87_swio11_lednop },
 { 213376, ur_t87_swio11_lednop_pr_u4 },
 { 213377, ur_t87_swio11_lednop_pr_ee },
 { 213378, ur_t87_swio11_lednop_pr_ee },
 { 213379, ur_t87_swio11_lednop_pr_ce },
 { 213380, ur_t87_swio11_lednop_pr_ce },
 { 213381, ur_t87_swio11_lednop_pr_ee_ce },
 { 213382, ur_t87_swio11_lednop_pr_ee_ce_u4 },
 { 213388, ur_t87_swio11_dual },
 { 213389, ur_t87_swio11_dual },
 { 213390, ur_t87_swio11_dual },
 { 213391, ur_t87_swio11_dual_pr_ee },
 { 213392, ur_t87_swio11_dual_pr_ee_u4 },
 { 213393, ur_t87_swio11_dual_pr_ce },
 { 213394, ur_t87_swio11_dual_pr_ce },
 { 213395, ur_t87_swio11_dual_pr_ee_ce },
 { 213396, ur_t87_swio11_dual_pr_ee_ce_u4 },
 { 213402, ur_t87_swio13_noled },
 { 213403, ur_t87_swio13_noled },
 { 213404, ur_t87_swio13_noled_pr_u4 },
 { 213405, ur_t87_swio13_noled_pr_ee },
 { 213406, ur_t87_swio13_noled_pr_ee },
 { 213407, ur_t87_swio13_noled_pr_ce },
 { 213408, ur_t87_swio13_noled_pr_ce },
 { 213409, ur_t87_swio13_noled_pr_ee_ce },
 { 213410, ur_t87_swio13_noled_pr_ee_ce_u4 },
 { 213416, ur_t87_swio13_lednop },
 { 213417, ur_t87_swio13_lednop_pr },
 { 213418, ur_t87_swio13_lednop_pr },
 { 213419, ur_t87_swio13_lednop_pr_ee },
 { 213420, ur_t87_swio13_lednop_pr_ee },
 { 213421, ur_t87_swio13_lednop_pr_ce },
 { 213422, ur_t87_swio13_lednop_pr_ce },
 { 213423, ur_t87_swio13_lednop_pr_ee_ce },
 { 213424, ur_t87_swio13_lednop_pr_ee_ce_u4 },
 { 213430, ur_t87_swio13_dual },
 { 213431, ur_t87_swio13_dual },
 { 213432, ur_t87_swio13_dual },
 { 213433, ur_t87_swio13_dual_pr_ee },
 { 213434, ur_t87_swio13_dual_pr_ee_u4 },
 { 213435, ur_t87_swio13_dual_pr_ce },
 { 213436, ur_t87_swio13_dual_pr_ce },
 { 213437, ur_t87_swio13_dual_pr_ee_ce },
 { 213438, ur_t87_swio13_dual_pr_ee_ce_u4 },
 { 213444, ur_t87_swio14_noled },
 { 213445, ur_t87_swio14_noled },
 { 213446, ur_t87_swio14_noled_pr_u4 },
 { 213447, ur_t87_swio14_noled_pr_ee },
 { 213448, ur_t87_swio14_noled_pr_ee },
 { 213449, ur_t87_swio14_noled_pr_ce },
 { 213450, ur_t87_swio14_noled_pr_ce },
 { 213451, ur_t87_swio14_noled_pr_ee_ce },
 { 213452, ur_t87_swio14_noled_pr_ee_ce_u4 },
 { 213458, ur_t87_swio14_lednop },
 { 213459, ur_t87_swio14_lednop },
 { 213460, ur_t87_swio14_lednop_pr_u4 },
 { 213461, ur_t87_swio14_lednop_pr_ee },
 { 213462, ur_t87_swio14_lednop_pr_ee },
 { 213463, ur_t87_swio14_lednop_pr_ce },
 { 213464, ur_t87_swio14_lednop_pr_ce },
 { 213465, ur_t87_swio14_lednop_pr_ee_ce },
 { 213466, ur_t87_swio14_lednop_pr_ee_ce_u4 },
 { 213472, ur_t87_swio14_dual },
 { 213473, ur_t87_swio14_dual },
 { 213474, ur_t87_swio14_dual },
 { 213475, ur_t87_swio14_dual_pr_ee },
 { 213476, ur_t87_swio14_dual_pr_ee_u4 },
 { 213477, ur_t87_swio14_dual_pr_ce },
 { 213478, ur_t87_swio14_dual_pr_ce },
 { 213479, ur_t87_swio14_dual_pr_ee_ce },
 { 213480, ur_t87_swio14_dual_pr_ee_ce_u4 },
 { 213486, ur_t87_swio15_noled },
 { 213487, ur_t87_swio15_noled },
 { 213488, ur_t87_swio15_noled_pr_u4 },
 { 213489, ur_t87_swio15_noled_pr_ee },
 { 213490, ur_t87_swio15_noled_pr_ee },
 { 213491, ur_t87_swio15_noled_pr_ce },
 { 213492, ur_t87_swio15_noled_pr_ce },
 { 213493, ur_t87_swio15_noled_pr_ee_ce },
 { 213494, ur_t87_swio15_noled_pr_ee_ce_u4 },
 { 213500, ur_t87_swio15_lednop },
 { 213501, ur_t87_swio15_lednop_pr },
 { 213502, ur_t87_swio15_lednop_pr },
 { 213503, ur_t87_swio15_lednop_pr_ee },
 { 213504, ur_t87_swio15_lednop_pr_ee },
 { 213505, ur_t87_swio15_lednop_pr_ce },
 { 213506, ur_t87_swio15_lednop_pr_ce },
 { 213507, ur_t87_swio15_lednop_pr_ee_ce },
 { 213508, ur_t87_swio15_lednop_pr_ee_ce_u4 },
 { 213514, ur_t87_swio15_dual },
 { 213515, ur_t87_swio15_dual },
 { 213516, ur_t87_swio15_dual },
 { 213517, ur_t87_swio15_dual_pr_ee },
 { 213518, ur_t87_swio15_dual_pr_ee_u4 },
 { 213519, ur_t87_swio15_dual_pr_ce },
 { 213520, ur_t87_swio15_dual_pr_ce },
 { 213521, ur_t87_swio15_dual_pr_ee_ce },
 { 213522, ur_t87_swio15_dual_pr_ee_ce_u4 },
 { 213528, ur_t167_autobaud_uart0_noled },
 { 213529, ur_t167_autobaud_uart0_noled },
 { 213530, ur_t167_autobaud_uart0_noled_pr_u4 },
 { 213531, ur_t167_autobaud_uart0_noled_pr_ee },
 { 213532, ur_t167_autobaud_uart0_noled_pr_ee },
 { 213533, ur_t167_autobaud_uart0_noled_pr_ce },
 { 213534, ur_t167_autobaud_uart0_noled_pr_ce },
 { 213535, ur_t167_autobaud_uart0_noled_pr_ee_ce },
 { 213536, ur_t167_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 213542, ur_t167_autobaud_uart0_lednop },
 { 213543, ur_t167_autobaud_uart0_lednop },
 { 213544, ur_t167_autobaud_uart0_lednop_pr_u4 },
 { 213545, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 213546, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 213547, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 213548, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 213549, ur_t167_autobaud_uart0_lednop_pr_ee_ce },
 { 213550, ur_t167_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 213556, ur_t167_autobaud_uart0_dual },
 { 213557, ur_t167_autobaud_uart0_dual_pr },
 { 213558, ur_t167_autobaud_uart0_dual_pr },
 { 213559, ur_t167_autobaud_uart0_dual_pr_ee },
 { 213560, ur_t167_autobaud_uart0_dual_pr_ee_u4 },
 { 213561, ur_t167_autobaud_uart0_dual_pr_ce },
 { 213562, ur_t167_autobaud_uart0_dual_pr_ce },
 { 213563, ur_t167_autobaud_uart0_dual_pr_ee_ce },
 { 213564, ur_t167_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 213696, ur_t167_lin_uart0_noled },
 { 213697, ur_t167_lin_uart0_noled },
 { 213698, ur_t167_lin_uart0_noled_pr_u4 },
 { 213699, ur_t167_lin_uart0_noled_pr_ee },
 { 213700, ur_t167_lin_uart0_noled_pr_ee },
 { 213701, ur_t167_lin_uart0_noled_pr_ce },
 { 213702, ur_t167_lin_uart0_noled_pr_ce_u4 },
 { 213703, ur_t167_lin_uart0_noled_pr_ee_ce },
 { 213704, ur_t167_lin_uart0_noled_pr_ee_ce_u4 },
 { 213710, ur_t167_lin_uart0_lednop },
 { 213711, ur_t167_lin_uart0_lednop },
 { 213712, ur_t167_lin_uart0_lednop_pr_u4 },
 { 213713, ur_t167_lin_uart0_lednop_pr_ee },
 { 213714, ur_t167_lin_uart0_lednop_pr_ee },
 { 213715, ur_t167_lin_uart0_lednop_pr_ce },
 { 213716, ur_t167_lin_uart0_lednop_pr_ce_u4 },
 { 213717, ur_t167_lin_uart0_lednop_pr_ee_ce },
 { 213718, ur_t167_lin_uart0_lednop_pr_ee_ce_u4 },
 { 213724, ur_t167_lin_uart0_dual },
 { 213725, ur_t167_lin_uart0_dual },
 { 213726, ur_t167_lin_uart0_dual_pr_u4 },
 { 213727, ur_t167_lin_uart0_dual_pr_ee },
 { 213728, ur_t167_lin_uart0_dual_pr_ee },
 { 213729, ur_t167_lin_uart0_dual_pr_ce },
 { 213730, ur_t167_lin_uart0_dual_pr_ce },
 { 213731, ur_t167_lin_uart0_dual_pr_ee_ce },
 { 213732, ur_t167_lin_uart0_dual_pr_ee_ce_u4 },
 { 214578, ur_t167_swio10_noled },
 { 214579, ur_t167_swio10_noled },
 { 214580, ur_t167_swio10_noled_pr_u4 },
 { 214581, ur_t167_swio10_noled_pr_ee },
 { 214582, ur_t167_swio10_noled_pr_ee },
 { 214583, ur_t167_swio10_noled_pr_ce },
 { 214584, ur_t167_swio10_noled_pr_ce },
 { 214585, ur_t167_swio10_noled_pr_ee_ce },
 { 214586, ur_t167_swio10_noled_pr_ee_ce_u4 },
 { 214592, ur_t167_swio10_lednop },
 { 214593, ur_t167_swio10_lednop },
 { 214594, ur_t167_swio10_lednop_pr_u4 },
 { 214595, ur_t167_swio10_lednop_pr_ee },
 { 214596, ur_t167_swio10_lednop_pr_ee },
 { 214597, ur_t167_swio10_lednop_pr_ce },
 { 214598, ur_t167_swio10_lednop_pr_ce },
 { 214599, ur_t167_swio10_lednop_pr_ee_ce },
 { 214600, ur_t167_swio10_lednop_pr_ee_ce_u4 },
 { 214606, ur_t167_swio10_dual },
 { 214607, ur_t167_swio10_dual },
 { 214608, ur_t167_swio10_dual },
 { 214609, ur_t167_swio10_dual_pr_ee },
 { 214610, ur_t167_swio10_dual_pr_ee_u4 },
 { 214611, ur_t167_swio10_dual_pr_ce },
 { 214612, ur_t167_swio10_dual_pr_ce },
 { 214613, ur_t167_swio10_dual_pr_ee_ce },
 { 214614, ur_t167_swio10_dual_pr_ee_ce_u4 },
 { 214620, ur_t167_swio11_noled },
 { 214621, ur_t167_swio11_noled },
 { 214622, ur_t167_swio11_noled_pr_u4 },
 { 214623, ur_t167_swio11_noled_pr_ee },
 { 214624, ur_t167_swio11_noled_pr_ee },
 { 214625, ur_t167_swio11_noled_pr_ce },
 { 214626, ur_t167_swio11_noled_pr_ce },
 { 214627, ur_t167_swio11_noled_pr_ee_ce },
 { 214628, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 214634, ur_t167_swio11_lednop },
 { 214635, ur_t167_swio11_lednop },
 { 214636, ur_t167_swio11_lednop_pr_u4 },
 { 214637, ur_t167_swio11_lednop_pr_ee },
 { 214638, ur_t167_swio11_lednop_pr_ee },
 { 214639, ur_t167_swio11_lednop_pr_ce },
 { 214640, ur_t167_swio11_lednop_pr_ce },
 { 214641, ur_t167_swio11_lednop_pr_ee_ce },
 { 214642, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 214648, ur_t167_swio11_dual },
 { 214649, ur_t167_swio11_dual },
 { 214650, ur_t167_swio11_dual },
 { 214651, ur_t167_swio11_dual_pr_ee },
 { 214652, ur_t167_swio11_dual_pr_ee_u4 },
 { 214653, ur_t167_swio11_dual_pr_ce },
 { 214654, ur_t167_swio11_dual_pr_ce },
 { 214655, ur_t167_swio11_dual_pr_ee_ce },
 { 214656, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 214662, ur_t167_swio11_noled },
 { 214663, ur_t167_swio11_noled },
 { 214664, ur_t167_swio11_noled_pr_u4 },
 { 214665, ur_t167_swio11_noled_pr_ee },
 { 214666, ur_t167_swio11_noled_pr_ee },
 { 214667, ur_t167_swio11_noled_pr_ce },
 { 214668, ur_t167_swio11_noled_pr_ce },
 { 214669, ur_t167_swio11_noled_pr_ee_ce },
 { 214670, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 214676, ur_t167_swio11_lednop },
 { 214677, ur_t167_swio11_lednop },
 { 214678, ur_t167_swio11_lednop_pr_u4 },
 { 214679, ur_t167_swio11_lednop_pr_ee },
 { 214680, ur_t167_swio11_lednop_pr_ee },
 { 214681, ur_t167_swio11_lednop_pr_ce },
 { 214682, ur_t167_swio11_lednop_pr_ce },
 { 214683, ur_t167_swio11_lednop_pr_ee_ce },
 { 214684, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 214690, ur_t167_swio11_dual },
 { 214691, ur_t167_swio11_dual },
 { 214692, ur_t167_swio11_dual },
 { 214693, ur_t167_swio11_dual_pr_ee },
 { 214694, ur_t167_swio11_dual_pr_ee_u4 },
 { 214695, ur_t167_swio11_dual_pr_ce },
 { 214696, ur_t167_swio11_dual_pr_ce },
 { 214697, ur_t167_swio11_dual_pr_ee_ce },
 { 214698, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 214704, ur_t167_swio13_noled },
 { 214705, ur_t167_swio13_noled },
 { 214706, ur_t167_swio13_noled_pr_u4 },
 { 214707, ur_t167_swio13_noled_pr_ee },
 { 214708, ur_t167_swio13_noled_pr_ee },
 { 214709, ur_t167_swio13_noled_pr_ce },
 { 214710, ur_t167_swio13_noled_pr_ce },
 { 214711, ur_t167_swio13_noled_pr_ee_ce },
 { 214712, ur_t167_swio13_noled_pr_ee_ce_u4 },
 { 214718, ur_t167_swio13_lednop },
 { 214719, ur_t167_swio13_lednop_pr },
 { 214720, ur_t167_swio13_lednop_pr },
 { 214721, ur_t167_swio13_lednop_pr_ee },
 { 214722, ur_t167_swio13_lednop_pr_ee },
 { 214723, ur_t167_swio13_lednop_pr_ce },
 { 214724, ur_t167_swio13_lednop_pr_ce },
 { 214725, ur_t167_swio13_lednop_pr_ee_ce },
 { 214726, ur_t167_swio13_lednop_pr_ee_ce_u4 },
 { 214732, ur_t167_swio13_dual },
 { 214733, ur_t167_swio13_dual },
 { 214734, ur_t167_swio13_dual },
 { 214735, ur_t167_swio13_dual_pr_ee },
 { 214736, ur_t167_swio13_dual_pr_ee_u4 },
 { 214737, ur_t167_swio13_dual_pr_ce },
 { 214738, ur_t167_swio13_dual_pr_ce },
 { 214739, ur_t167_swio13_dual_pr_ee_ce },
 { 214740, ur_t167_swio13_dual_pr_ee_ce_u4 },
 { 214746, ur_t167_swio14_noled },
 { 214747, ur_t167_swio14_noled },
 { 214748, ur_t167_swio14_noled_pr_u4 },
 { 214749, ur_t167_swio14_noled_pr_ee },
 { 214750, ur_t167_swio14_noled_pr_ee },
 { 214751, ur_t167_swio14_noled_pr_ce },
 { 214752, ur_t167_swio14_noled_pr_ce },
 { 214753, ur_t167_swio14_noled_pr_ee_ce },
 { 214754, ur_t167_swio14_noled_pr_ee_ce_u4 },
 { 214760, ur_t167_swio14_lednop },
 { 214761, ur_t167_swio14_lednop },
 { 214762, ur_t167_swio14_lednop_pr_u4 },
 { 214763, ur_t167_swio14_lednop_pr_ee },
 { 214764, ur_t167_swio14_lednop_pr_ee },
 { 214765, ur_t167_swio14_lednop_pr_ce },
 { 214766, ur_t167_swio14_lednop_pr_ce },
 { 214767, ur_t167_swio14_lednop_pr_ee_ce },
 { 214768, ur_t167_swio14_lednop_pr_ee_ce_u4 },
 { 214774, ur_t167_swio14_dual },
 { 214775, ur_t167_swio14_dual },
 { 214776, ur_t167_swio14_dual },
 { 214777, ur_t167_swio14_dual_pr_ee },
 { 214778, ur_t167_swio14_dual_pr_ee_u4 },
 { 214779, ur_t167_swio14_dual_pr_ce },
 { 214780, ur_t167_swio14_dual_pr_ce },
 { 214781, ur_t167_swio14_dual_pr_ee_ce },
 { 214782, ur_t167_swio14_dual_pr_ee_ce_u4 },
 { 214788, ur_t167_swio15_noled },
 { 214789, ur_t167_swio15_noled },
 { 214790, ur_t167_swio15_noled_pr_u4 },
 { 214791, ur_t167_swio15_noled_pr_ee },
 { 214792, ur_t167_swio15_noled_pr_ee },
 { 214793, ur_t167_swio15_noled_pr_ce },
 { 214794, ur_t167_swio15_noled_pr_ce },
 { 214795, ur_t167_swio15_noled_pr_ee_ce },
 { 214796, ur_t167_swio15_noled_pr_ee_ce_u4 },
 { 214802, ur_t167_swio15_lednop },
 { 214803, ur_t167_swio15_lednop_pr },
 { 214804, ur_t167_swio15_lednop_pr },
 { 214805, ur_t167_swio15_lednop_pr_ee },
 { 214806, ur_t167_swio15_lednop_pr_ee },
 { 214807, ur_t167_swio15_lednop_pr_ce },
 { 214808, ur_t167_swio15_lednop_pr_ce },
 { 214809, ur_t167_swio15_lednop_pr_ee_ce },
 { 214810, ur_t167_swio15_lednop_pr_ee_ce_u4 },
 { 214816, ur_t167_swio15_dual },
 { 214817, ur_t167_swio15_dual },
 { 214818, ur_t167_swio15_dual },
 { 214819, ur_t167_swio15_dual_pr_ee },
 { 214820, ur_t167_swio15_dual_pr_ee_u4 },
 { 214821, ur_t167_swio15_dual_pr_ce },
 { 214822, ur_t167_swio15_dual_pr_ce },
 { 214823, ur_t167_swio15_dual_pr_ee_ce },
 { 214824, ur_t167_swio15_dual_pr_ee_ce_u4 },
 { 214830, ur_t167_autobaud_uart0_noled },
 { 214831, ur_t167_autobaud_uart0_noled },
 { 214832, ur_t167_autobaud_uart0_noled_pr_u4 },
 { 214833, ur_t167_autobaud_uart0_noled_pr_ee },
 { 214834, ur_t167_autobaud_uart0_noled_pr_ee },
 { 214835, ur_t167_autobaud_uart0_noled_pr_ce },
 { 214836, ur_t167_autobaud_uart0_noled_pr_ce },
 { 214837, ur_t167_autobaud_uart0_noled_pr_ee_ce },
 { 214838, ur_t167_autobaud_uart0_noled_pr_ee_ce_u4 },
 { 214844, ur_t167_autobaud_uart0_lednop },
 { 214845, ur_t167_autobaud_uart0_lednop },
 { 214846, ur_t167_autobaud_uart0_lednop_pr_u4 },
 { 214847, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 214848, ur_t167_autobaud_uart0_lednop_pr_ee },
 { 214849, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 214850, ur_t167_autobaud_uart0_lednop_pr_ce },
 { 214851, ur_t167_autobaud_uart0_lednop_pr_ee_ce },
 { 214852, ur_t167_autobaud_uart0_lednop_pr_ee_ce_u4 },
 { 214858, ur_t167_autobaud_uart0_dual },
 { 214859, ur_t167_autobaud_uart0_dual_pr },
 { 214860, ur_t167_autobaud_uart0_dual_pr },
 { 214861, ur_t167_autobaud_uart0_dual_pr_ee },
 { 214862, ur_t167_autobaud_uart0_dual_pr_ee_u4 },
 { 214863, ur_t167_autobaud_uart0_dual_pr_ce },
 { 214864, ur_t167_autobaud_uart0_dual_pr_ce },
 { 214865, ur_t167_autobaud_uart0_dual_pr_ee_ce },
 { 214866, ur_t167_autobaud_uart0_dual_pr_ee_ce_u4 },
 { 214998, ur_t167_lin_uart0_noled },
 { 214999, ur_t167_lin_uart0_noled },
 { 215000, ur_t167_lin_uart0_noled_pr_u4 },
 { 215001, ur_t167_lin_uart0_noled_pr_ee },
 { 215002, ur_t167_lin_uart0_noled_pr_ee },
 { 215003, ur_t167_lin_uart0_noled_pr_ce },
 { 215004, ur_t167_lin_uart0_noled_pr_ce_u4 },
 { 215005, ur_t167_lin_uart0_noled_pr_ee_ce },
 { 215006, ur_t167_lin_uart0_noled_pr_ee_ce_u4 },
 { 215012, ur_t167_lin_uart0_lednop },
 { 215013, ur_t167_lin_uart0_lednop },
 { 215014, ur_t167_lin_uart0_lednop_pr_u4 },
 { 215015, ur_t167_lin_uart0_lednop_pr_ee },
 { 215016, ur_t167_lin_uart0_lednop_pr_ee },
 { 215017, ur_t167_lin_uart0_lednop_pr_ce },
 { 215018, ur_t167_lin_uart0_lednop_pr_ce_u4 },
 { 215019, ur_t167_lin_uart0_lednop_pr_ee_ce },
 { 215020, ur_t167_lin_uart0_lednop_pr_ee_ce_u4 },
 { 215026, ur_t167_lin_uart0_dual },
 { 215027, ur_t167_lin_uart0_dual },
 { 215028, ur_t167_lin_uart0_dual_pr_u4 },
 { 215029, ur_t167_lin_uart0_dual_pr_ee },
 { 215030, ur_t167_lin_uart0_dual_pr_ee },
 { 215031, ur_t167_lin_uart0_dual_pr_ce },
 { 215032, ur_t167_lin_uart0_dual_pr_ce },
 { 215033, ur_t167_lin_uart0_dual_pr_ee_ce },
 { 215034, ur_t167_lin_uart0_dual_pr_ee_ce_u4 },
 { 215880, ur_t167_swio10_noled },
 { 215881, ur_t167_swio10_noled },
 { 215882, ur_t167_swio10_noled_pr_u4 },
 { 215883, ur_t167_swio10_noled_pr_ee },
 { 215884, ur_t167_swio10_noled_pr_ee },
 { 215885, ur_t167_swio10_noled_pr_ce },
 { 215886, ur_t167_swio10_noled_pr_ce },
 { 215887, ur_t167_swio10_noled_pr_ee_ce },
 { 215888, ur_t167_swio10_noled_pr_ee_ce_u4 },
 { 215894, ur_t167_swio10_lednop },
 { 215895, ur_t167_swio10_lednop },
 { 215896, ur_t167_swio10_lednop_pr_u4 },
 { 215897, ur_t167_swio10_lednop_pr_ee },
 { 215898, ur_t167_swio10_lednop_pr_ee },
 { 215899, ur_t167_swio10_lednop_pr_ce },
 { 215900, ur_t167_swio10_lednop_pr_ce },
 { 215901, ur_t167_swio10_lednop_pr_ee_ce },
 { 215902, ur_t167_swio10_lednop_pr_ee_ce_u4 },
 { 215908, ur_t167_swio10_dual },
 { 215909, ur_t167_swio10_dual },
 { 215910, ur_t167_swio10_dual },
 { 215911, ur_t167_swio10_dual_pr_ee },
 { 215912, ur_t167_swio10_dual_pr_ee_u4 },
 { 215913, ur_t167_swio10_dual_pr_ce },
 { 215914, ur_t167_swio10_dual_pr_ce },
 { 215915, ur_t167_swio10_dual_pr_ee_ce },
 { 215916, ur_t167_swio10_dual_pr_ee_ce_u4 },
 { 215922, ur_t167_swio11_noled },
 { 215923, ur_t167_swio11_noled },
 { 215924, ur_t167_swio11_noled_pr_u4 },
 { 215925, ur_t167_swio11_noled_pr_ee },
 { 215926, ur_t167_swio11_noled_pr_ee },
 { 215927, ur_t167_swio11_noled_pr_ce },
 { 215928, ur_t167_swio11_noled_pr_ce },
 { 215929, ur_t167_swio11_noled_pr_ee_ce },
 { 215930, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 215936, ur_t167_swio11_lednop },
 { 215937, ur_t167_swio11_lednop },
 { 215938, ur_t167_swio11_lednop_pr_u4 },
 { 215939, ur_t167_swio11_lednop_pr_ee },
 { 215940, ur_t167_swio11_lednop_pr_ee },
 { 215941, ur_t167_swio11_lednop_pr_ce },
 { 215942, ur_t167_swio11_lednop_pr_ce },
 { 215943, ur_t167_swio11_lednop_pr_ee_ce },
 { 215944, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 215950, ur_t167_swio11_dual },
 { 215951, ur_t167_swio11_dual },
 { 215952, ur_t167_swio11_dual },
 { 215953, ur_t167_swio11_dual_pr_ee },
 { 215954, ur_t167_swio11_dual_pr_ee_u4 },
 { 215955, ur_t167_swio11_dual_pr_ce },
 { 215956, ur_t167_swio11_dual_pr_ce },
 { 215957, ur_t167_swio11_dual_pr_ee_ce },
 { 215958, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 215964, ur_t167_swio11_noled },
 { 215965, ur_t167_swio11_noled },
 { 215966, ur_t167_swio11_noled_pr_u4 },
 { 215967, ur_t167_swio11_noled_pr_ee },
 { 215968, ur_t167_swio11_noled_pr_ee },
 { 215969, ur_t167_swio11_noled_pr_ce },
 { 215970, ur_t167_swio11_noled_pr_ce },
 { 215971, ur_t167_swio11_noled_pr_ee_ce },
 { 215972, ur_t167_swio11_noled_pr_ee_ce_u4 },
 { 215978, ur_t167_swio11_lednop },
 { 215979, ur_t167_swio11_lednop },
 { 215980, ur_t167_swio11_lednop_pr_u4 },
 { 215981, ur_t167_swio11_lednop_pr_ee },
 { 215982, ur_t167_swio11_lednop_pr_ee },
 { 215983, ur_t167_swio11_lednop_pr_ce },
 { 215984, ur_t167_swio11_lednop_pr_ce },
 { 215985, ur_t167_swio11_lednop_pr_ee_ce },
 { 215986, ur_t167_swio11_lednop_pr_ee_ce_u4 },
 { 215992, ur_t167_swio11_dual },
 { 215993, ur_t167_swio11_dual },
 { 215994, ur_t167_swio11_dual },
 { 215995, ur_t167_swio11_dual_pr_ee },
 { 215996, ur_t167_swio11_dual_pr_ee_u4 },
 { 215997, ur_t167_swio11_dual_pr_ce },
 { 215998, ur_t167_swio11_dual_pr_ce },
 { 215999, ur_t167_swio11_dual_pr_ee_ce },
 { 216000, ur_t167_swio11_dual_pr_ee_ce_u4 },
 { 216006, ur_t167_swio13_noled },
 { 216007, ur_t167_swio13_noled },
 { 216008, ur_t167_swio13_noled_pr_u4 },
 { 216009, ur_t167_swio13_noled_pr_ee },
 { 216010, ur_t167_swio13_noled_pr_ee },
 { 216011, ur_t167_swio13_noled_pr_ce },
 { 216012, ur_t167_swio13_noled_pr_ce },
 { 216013, ur_t167_swio13_noled_pr_ee_ce },
 { 216014, ur_t167_swio13_noled_pr_ee_ce_u4 },
 { 216020, ur_t167_swio13_lednop },
 { 216021, ur_t167_swio13_lednop_pr },
 { 216022, ur_t167_swio13_lednop_pr },
 { 216023, ur_t167_swio13_lednop_pr_ee },
 { 216024, ur_t167_swio13_lednop_pr_ee },
 { 216025, ur_t167_swio13_lednop_pr_ce },
 { 216026, ur_t167_swio13_lednop_pr_ce },
 { 216027, ur_t167_swio13_lednop_pr_ee_ce },
 { 216028, ur_t167_swio13_lednop_pr_ee_ce_u4 },
 { 216034, ur_t167_swio13_dual },
 { 216035, ur_t167_swio13_dual },
 { 216036, ur_t167_swio13_dual },
 { 216037, ur_t167_swio13_dual_pr_ee },
 { 216038, ur_t167_swio13_dual_pr_ee_u4 },
 { 216039, ur_t167_swio13_dual_pr_ce },
 { 216040, ur_t167_swio13_dual_pr_ce },
 { 216041, ur_t167_swio13_dual_pr_ee_ce },
 { 216042, ur_t167_swio13_dual_pr_ee_ce_u4 },
 { 216048, ur_t167_swio14_noled },
 { 216049, ur_t167_swio14_noled },
 { 216050, ur_t167_swio14_noled_pr_u4 },
 { 216051, ur_t167_swio14_noled_pr_ee },
 { 216052, ur_t167_swio14_noled_pr_ee },
 { 216053, ur_t167_swio14_noled_pr_ce },
 { 216054, ur_t167_swio14_noled_pr_ce },
 { 216055, ur_t167_swio14_noled_pr_ee_ce },
 { 216056, ur_t167_swio14_noled_pr_ee_ce_u4 },
 { 216062, ur_t167_swio14_lednop },
 { 216063, ur_t167_swio14_lednop },
 { 216064, ur_t167_swio14_lednop_pr_u4 },
 { 216065, ur_t167_swio14_lednop_pr_ee },
 { 216066, ur_t167_swio14_lednop_pr_ee },
 { 216067, ur_t167_swio14_lednop_pr_ce },
 { 216068, ur_t167_swio14_lednop_pr_ce },
 { 216069, ur_t167_swio14_lednop_pr_ee_ce },
 { 216070, ur_t167_swio14_lednop_pr_ee_ce_u4 },
 { 216076, ur_t167_swio14_dual },
 { 216077, ur_t167_swio14_dual },
 { 216078, ur_t167_swio14_dual },
 { 216079, ur_t167_swio14_dual_pr_ee },
 { 216080, ur_t167_swio14_dual_pr_ee_u4 },
 { 216081, ur_t167_swio14_dual_pr_ce },
 { 216082, ur_t167_swio14_dual_pr_ce },
 { 216083, ur_t167_swio14_dual_pr_ee_ce },
 { 216084, ur_t167_swio14_dual_pr_ee_ce_u4 },
 { 216090, ur_t167_swio15_noled },
 { 216091, ur_t167_swio15_noled },
 { 216092, ur_t167_swio15_noled_pr_u4 },
 { 216093, ur_t167_swio15_noled_pr_ee },
 { 216094, ur_t167_swio15_noled_pr_ee },
 { 216095, ur_t167_swio15_noled_pr_ce },
 { 216096, ur_t167_swio15_noled_pr_ce },
 { 216097, ur_t167_swio15_noled_pr_ee_ce },
 { 216098, ur_t167_swio15_noled_pr_ee_ce_u4 },
 { 216104, ur_t167_swio15_lednop },
 { 216105, ur_t167_swio15_lednop_pr },
 { 216106, ur_t167_swio15_lednop_pr },
 { 216107, ur_t167_swio15_lednop_pr_ee },
 { 216108, ur_t167_swio15_lednop_pr_ee },
 { 216109, ur_t167_swio15_lednop_pr_ce },
 { 216110, ur_t167_swio15_lednop_pr_ce },
 { 216111, ur_t167_swio15_lednop_pr_ee_ce },
 { 216112, ur_t167_swio15_lednop_pr_ee_ce_u4 },
 { 216118, ur_t167_swio15_dual },
 { 216119, ur_t167_swio15_dual },
 { 216120, ur_t167_swio15_dual },
 { 216121, ur_t167_swio15_dual_pr_ee },
 { 216122, ur_t167_swio15_dual_pr_ee_u4 },
 { 216123, ur_t167_swio15_dual_pr_ce },
 { 216124, ur_t167_swio15_dual_pr_ce },
 { 216125, ur_t167_swio15_dual_pr_ee_ce },
 { 216126, ur_t167_swio15_dual_pr_ee_ce_u4 },
};


static int huffsearch(const void *p1, const void *p2) {
  uint32_t h1 = ((Ul_huffcode *) p1)->hcode, h2 = ((Ul_huffcode *) p2)->hcode;
  return h1 < h2? -1: h1 == h2? 0: 1;
}

// Returns malloc'd urboot template bootloader from Huffman encoded array
static uint16_t *ul_urtemplate(const uint64_t *bl) {
  size_t end = 0, nn = 0;
  uint32_t hc = 0;
  int hcn = 0;
  Ul_huffcode key = { 0, 0 }, *res;
  uint64_t h64 = 0;
  int hn = 64;
  uint16_t *ret = NULL;

  while(!end || nn < end) {
    if(hn >= 64) {
      h64 = *bl++;
      hn = 0;
    }
    // Move 1 bit from Huffman bootloader bit string to a single Huffman code variable
    hc = ((uint64_t) hc << 1) | (h64 & 1), hcn++;
    h64 >>= 1, hn++;
    if(hcn > 27) {
      pmsg_error("unexpected problem decoding bootloader code");
      return NULL;
    }
    // Test whether Huffman code variable is in prefix table of codes
    key.hcode = ulhc(hcn, hc);
    if((res = bsearch(&key, hcodes, sizeof hcodes/sizeof *hcodes, sizeof *hcodes, huffsearch))) {
      if(!end) {
        end = 42 + res->word/2; // First decoded word is size of b/l incl 6 byte table
        if(end < 32+42 || end > 2048+42) {
          pmsg_error("unexpected bootloader code size");
          return NULL;
        }
        ret = mmt_malloc(2*end);
      }
      ret[nn++] = res->word;
      hc = 0, hcn = 0;
    }
  }

  return ret;
}

static int urlistsearch(const void *p1, const void *p2) {
  return ((Ul_urlist *) p1)->n - ((Ul_urlist *) p2)->n;
}

// Put version string into a buffer of max 16 characters incl nul; must be u8.0
static void urbootPutVersion(char *buf, uint16_t *vertable) {
  uint16_t ver = vertable[2], rjmpwp = vertable[1];

  uint8_t hi = ver>>8, type = ver & 0xff, flags;

  sprintf(buf, "u%d.%d ", hi>>3, hi&7);
  buf += strlen(buf);
  *buf++ = (rjmpwp & 0xf000) == 0xc000? 'w': '-'; // An rjmp opcode? It's to writepage()
  *buf++ = type & UR_EEPROM? 'e': '-';
  *buf++ = type & UR_UPDATE_FL? 'U': '-';
  *buf++ = type & UR_DUAL? 'd': '-';
  flags = (type/(UR_VBLMASK & -UR_VBLMASK)) & 1; // Only use 1 bit for v8.0+
  *buf++ = flags? 'j': 'h';
  *buf++ = type & UR_PROTECTME? 'P': 'p';
  *buf++ = 'r';
  *buf++ = type & UR_AUTOBAUD? 'a': '-';
  *buf++ = type & UR_HAS_CE? 'c': '-';
  *buf = 0;

  return;
}

// Configuration of supported features: boil 32 combos down to those in configs table
static const int urfeat[] = {   // u4 hw ce ee pr
  U_MIN,                        //  0  0  0  0  0 // Can have more features space allowing
  U_PR,                         //  0  0  0  0  1
  U_PR_EE,                      //  0  0  0  1  0 // Use _pr for all but min, even if not set
  U_PR_EE,                      //  0  0  0  1  1
  U_PR_CE,                      //  0  0  1  0  0
  U_PR_CE,                      //  0  0  1  0  1
  U_PR_EE_CE,                   //  0  0  1  1  0
  U_PR_EE_CE,                   //  0  0  1  1  1

  U_HW,                         //  0  1  0  0  0 // H/w bootloaders do not need vector protection
  U_HW,                         //  0  1  0  0  1
  U_EE_HW,                      //  0  1  0  1  0
  U_EE_HW,                      //  0  1  0  1  1
  U_CE_HW,                      //  0  1  1  0  0
  U_CE_HW,                      //  0  1  1  0  1
  U_EE_CE_HW,                   //  0  1  1  1  0
  U_EE_CE_HW,                   //  0  1  1  1  1

  U_PR_U4,                      //  1  0  0  0  0
  U_PR_U4,                      //  1  0  0  0  1
  U_PR_EE_U4,                   //  1  0  0  1  0
  U_PR_EE_U4,                   //  1  0  0  1  1
  U_PR_CE_U4,                   //  1  0  1  0  0
  U_PR_CE_U4,                   //  1  0  1  0  1
  U_PR_EE_CE_U4,                //  1  0  1  1  0
  U_PR_EE_CE_U4,                //  1  0  1  1  1

  U_EE_CE_U4_HW,                //  1  1  0  0  0
  U_EE_CE_U4_HW,                //  1  1  0  0  1
  U_EE_CE_U4_HW,                //  1  1  0  1  0
  U_EE_CE_U4_HW,                //  1  1  0  1  1
  U_EE_CE_U4_HW,                //  1  1  1  0  0
  U_EE_CE_U4_HW,                //  1  1  1  0  1
  U_EE_CE_U4_HW,                //  1  1  1  1  0
  U_EE_CE_U4_HW,                //  1  1  1  1  1
};

static int blcmp(const void *v1, const void *v2) {
  const Urboot_template *t1 = *(const Urboot_template **) v1, *t2 = *(const Urboot_template **) v2;
  int cmp, f1 = t1->features, f2 = t2->features;

  if(t1 == t2)
    return 0;
  if((cmp = t2->match_req - t1->match_req))
    return cmp;
  if((cmp = t1->usage - t2->usage))
    return cmp;
  if((cmp = !!(f2 & URFEATURE_EE) - !!(f1 & URFEATURE_EE)))
    return cmp;
  cmp = !!(f2 & URFEATURE_EE) + !!(f2 & URFEATURE_CE) + !!(f2 & URFEATURE_U4)
      - !!(f1 & URFEATURE_EE) - !!(f1 & URFEATURE_CE) - !!(f1 & URFEATURE_U4);
  if(cmp)
    return cmp;
  if((cmp = !!(f2 & URFEATURE_HW) - !!(f1 & URFEATURE_HW)))
    return cmp;
  if((cmp = !!(f2 & URFEATURE_PR) - !!(f1 & URFEATURE_PR)))
    return cmp;
  if((cmp = !!(f2 & URFEATURE_CE) - !!(f1 & URFEATURE_CE)))
    return cmp;
  if((cmp = t2->update_level - t1->update_level))
    return cmp;
  if((cmp = t1->size - t2->size))
    return cmp;
  return memcmp(t1->code, t2->code, t1->size);
}

int urbootexists(const char *mcu, const char *io, const char *blt, int req_feats) {
  int m, i, b, c;

  for(m=0; m<UL_MCU_N; m++)
    if(str_eq(mcus[m], mcu))
      break;
  if(m >= UL_MCU_N)
    return 0;

  for(i=0; i<UL_IOTYPE_N; i++)
    if(str_eq(iotypes[i], io))
      break;
  if(i >= UL_IOTYPE_N)
    return 0;

  for(b=0; b<UL_BLTYPE_N; b++)
    if(str_eq(bltypes[b], blt))
      break;
  if(b >= UL_BLTYPE_N)
    return 0;

  if(req_feats < 0 || req_feats >= (int) (sizeof urfeat/sizeof*urfeat))
    return 0;
  c = urfeat[req_feats];

  Ul_urlist key = { UL_BLN(m, i, b, c), NULL };
  return !!bsearch(&key, urbootlist, sizeof urbootlist/sizeof*urbootlist, sizeof *urbootlist, urlistsearch);
}

#define Return(...) do { \
  if(!silent) { \
    pmsg_error("(urboot) "); \
    msg_error(__VA_ARGS__); \
    msg_error("\n"); \
  } \
  goto error; \
} while (0)

// Returns malloc'd list of *np urboot templates, NULL if nothing matches
Urboot_template **urboottemplate(const Avrintel *up, const char *mcu, const char *io, const char *blt,
  int req_feats, int req_ulevel, int showall, int *np, int silent) {

  int m, i, b;
  Urboot_template **ret = NULL;

  for(m=0; m<UL_MCU_N; m++)
    if(str_eq(mcus[m], mcu))
      break;
  if(m >= UL_MCU_N)
    Return("mcu id %s not available for urboot templates", mcu);

  for(i=0; i<UL_IOTYPE_N; i++)
    if(str_eq(iotypes[i], io))
      break;
  if(i >= UL_IOTYPE_N)
    Return("io type %s not available for urboot templates", io);

  for(b=0; b<UL_BLTYPE_N; b++)
    if(str_eq(bltypes[b], blt))
      break;
  if(b >= UL_BLTYPE_N)
    Return("bootloader type %s not available for urboot templates", blt);

  if(req_feats < 0 || req_feats >= (int) (sizeof urfeat/sizeof*urfeat))
    Return("unexpected feature request");
  int req_c = urfeat[req_feats];
  // Specific feature set chosen? Then only one bootloader needs decoding and requesting
  int spec = !showall && (req_ulevel == 0 || req_ulevel == 4) ;

  ret = mmt_malloc(sizeof *ret * UL_CONFIG_N);
  *np = 0;

  for(int c = 0; c < UL_CONFIG_N; c++) {
    if(!spec || c == req_c) {
      const char *cfg = configs[c];

      Ul_urlist key = { UL_BLN(m, i, b, c), NULL }, *res;
      res = bsearch(&key, urbootlist, sizeof urbootlist/sizeof*urbootlist, sizeof *urbootlist, urlistsearch);
      if(!res && spec) {
        // If _hw not there, check if _ee_hw is (parts with large boot sections don't need small b/l)
        if((c == U_HW || c == U_CE_HW) && c+1 < UL_CONFIG_N) {
          key.n = UL_BLN(m, i, b, c+1);
          res = bsearch(&key, urbootlist, sizeof urbootlist/sizeof*urbootlist, sizeof *urbootlist, urlistsearch);
          if(res)
            cfg = configs[c+1];
        }
        if(!res)
          Return("no urboot template for (%s, %s, %s, %s)", mcu, io, blt, cfg);
      }
      if(!res)
        continue;

      uint16_t *ut = ul_urtemplate(res->bl);
      if(!ut)
        goto error;

      ret[*np] = mmt_malloc(sizeof **ret);
      int n = (*np)++;
      ret[n]->tofree = ut;

      int size = ut[0];         // Bootloader size including 6-byte-table in top flash
      int usage = ut[1];        // Flash usage, ie, boot section size or multiple of flash pages
      int update_level = ut[2]; // 0..4: update level the bootloader template was compiled with

      if(size < 32 || size > 2048)
        Return("unexpected bootloader size of %d", size);
      if(usage < 32 || usage > 32768)
        Return("unexpected bootloader usage of %d", usage);
      if(usage < size)
        Return("bootloader size %d exceeds usage %d unexpectedly", size, usage);
      if(update_level < 0 || update_level > 4)
        Return("unexpected bootloader UPDATE_FL %d", update_level);

      ret[n] = mmt_malloc(sizeof **ret);
      ret[n]->size = size;
      ret[n]->usage = usage;
      ret[n]->update_level = update_level;
      ret[n]->locs =  ut + 3;
      ret[n]->code =  ut + 3 + UL_CODELOCS_N;
      ret[n]->table = ut + 3 + UL_CODELOCS_N + size/2-3;

      int features = 0, flags = ret[n]->table[2] & 0xff;
      int vecnum = 0x7f & (ret[n]->table[0] >> 8);
      if(flags & UR_PROTECTME)
        features |= URFEATURE_PR;
      if(flags & UR_EEPROM)
        features |= URFEATURE_EE;
      if(flags & UR_HAS_CE)
        features |= URFEATURE_CE;
      if(!((flags/(UR_VBLMASK & -UR_VBLMASK)) & 1)) // Check flag
        features |= URFEATURE_HW;
      if(!((flags/(UR_VBLMASK & -UR_VBLMASK)) & 1) ^ (vecnum == 0))
        if(!silent)
          pmsg_warning("unexpected contradictory HW/vector info");
      if(update_level == 4)
        features |= URFEATURE_U4;

      ret[n]->features = features;
      urbootPutVersion(ret[n]->urversion, ret[n]->table);

      if(features & URFEATURE_HW) {
        strcpy(ret[n]->type, "hardware-supported");
      } else {
        char *q = str_vectorname(up, vecnum);
        snprintf(ret[n]->type, sizeof ret[n]->type, "vector/%s", q);
        mmt_free(q);
      }
    }
  }

  if(!*np)
    Return("no urboot template for (%s, %s, %s, 0x%02x, u%d)", mcu, io, blt, req_feats, req_ulevel);

  if(*np == 1 || spec)
    return ret;

  // Identify bootloaders matching the req_feats
  int nmatches = 0;
  if(req_feats & URFEATURE_HW)  // _pr never on for h/w bootloaders
    req_feats &= ~URFEATURE_PR;
  for(int k=0; k < *np; k++)    // Requested update level 1..3 is advisory, can match any 1..4
    if((req_feats & ret[k]->features) == req_feats && !!req_ulevel <= !!ret[k]->update_level)
      ret[k]->match_req = 1, nmatches++;

  if(!nmatches)
    Return("no urboot template matches (%s, %s, %s, 0x%02x, u%d)", mcu, io, blt, req_feats, req_ulevel);

  qsort(ret, *np, sizeof *ret, blcmp);

  // Deduplicate list of bootloaders
  Urboot_template **unq = mmt_malloc(sizeof *ret * nmatches);
  int u = 0;
  for(int k=0; k<nmatches; k++) {
    unq[u] = ret[k]; ret[k] = NULL;
    for(; k+1 < nmatches; k++)
      if(blcmp(unq+u, ret+k+1))
        break;
    u++;
  }

  for(int n = 0; n < *np; n++) {
    if(ret[n]) {
      mmt_free(ret[n]->tofree);
      mmt_free(ret[n]);
    }
  }
  mmt_free(ret);

  *np = u;
  return unq;

error:
  if(ret) {
    for(int n = 0; n < *np; n++) {
      mmt_free(ret[n]->tofree);
      mmt_free(ret[n]);
    }
    mmt_free(ret);
  }

  return NULL;
}
